/**
 * @file
 * @copyright This code is licensed under the 3-clause BSD license.\n
 *            Copyright ETH Zurich, Laboratory of Physical Chemistry, Reiher Group.\n
 *            See LICENSE.txt for details.
 *
 * @note This file was generated by the Embed binary from runtime values.
 *   Prefer improving the generator over editing this file whenever possible.
 *
 * This file contains functions generating runtime values. It was
 * generated from runtime values of its return type. It is not intended to be
 * human-readable. A small guide: Return values are directly brace-initialized
 * in deep nesting to keep file size to a minimum. Types are annotated only when
 * necessary. Floating point values are represented in hexadecimal (see
 * std::hexfloat) to ensure serialization does not cause loss of accuracy.
 *
 * The functions defined here might be declared and called elsewhere entirely.
 *
 */
#include "Sparrow/Resources/Dftb/znorg-0-1/Parameters.h"
#include "Sparrow/Implementations/Dftb/ParameterSet.h"

namespace Scine {
namespace Sparrow {
namespace dftb {

namespace {

std::vector<bool> remapElements(const std::vector<int>& elements) {
  std::vector<bool> required(112, false);
  for (int Z : elements) {
    required.at(Z) = true;
  }
  return required;
}

} // namespace

ParameterSet params_znorg_0_1(const std::vector<int>& elements) {
  ParameterSet data;

  if (elements.empty()) {
    data.pairData.emplace(std::make_pair(6, 1), params_znorg_0_1_c_h());
    data.pairData.emplace(std::make_pair(8, 8), params_znorg_0_1_o_o());
    data.pairData.emplace(std::make_pair(30, 1), params_znorg_0_1_zn_h());
    data.pairData.emplace(std::make_pair(7, 8), params_znorg_0_1_n_o());
    data.pairData.emplace(std::make_pair(30, 6), params_znorg_0_1_zn_c());
    data.pairData.emplace(std::make_pair(6, 16), params_znorg_0_1_c_s());
    data.pairData.emplace(std::make_pair(16, 8), params_znorg_0_1_s_o());
    data.pairData.emplace(std::make_pair(8, 16), params_znorg_0_1_o_s());
    data.pairData.emplace(std::make_pair(8, 30), params_znorg_0_1_o_zn());
    data.pairData.emplace(std::make_pair(7, 16), params_znorg_0_1_n_s());
    data.pairData.emplace(std::make_pair(7, 6), params_znorg_0_1_n_c());
    data.pairData.emplace(std::make_pair(7, 1), params_znorg_0_1_n_h());
    data.pairData.emplace(std::make_pair(16, 1), params_znorg_0_1_s_h());
    data.pairData.emplace(std::make_pair(30, 8), params_znorg_0_1_zn_o());
    data.pairData.emplace(std::make_pair(16, 7), params_znorg_0_1_s_n());
    data.pairData.emplace(std::make_pair(30, 30), params_znorg_0_1_zn_zn());
    data.pairData.emplace(std::make_pair(8, 1), params_znorg_0_1_o_h());
    data.pairData.emplace(std::make_pair(6, 7), params_znorg_0_1_c_n());
    data.pairData.emplace(std::make_pair(7, 7), params_znorg_0_1_n_n());
    data.pairData.emplace(std::make_pair(7, 30), params_znorg_0_1_n_zn());
    data.pairData.emplace(std::make_pair(6, 30), params_znorg_0_1_c_zn());
    data.pairData.emplace(std::make_pair(1, 7), params_znorg_0_1_h_n());
    data.pairData.emplace(std::make_pair(6, 6), params_znorg_0_1_c_c());
    data.pairData.emplace(std::make_pair(16, 6), params_znorg_0_1_s_c());
    data.pairData.emplace(std::make_pair(1, 30), params_znorg_0_1_h_zn());
    data.pairData.emplace(std::make_pair(1, 1), params_znorg_0_1_h_h());
    data.pairData.emplace(std::make_pair(1, 16), params_znorg_0_1_h_s());
    data.pairData.emplace(std::make_pair(6, 8), params_znorg_0_1_c_o());
    data.pairData.emplace(std::make_pair(16, 16), params_znorg_0_1_s_s());
    data.pairData.emplace(std::make_pair(16, 30), params_znorg_0_1_s_zn());
    data.pairData.emplace(std::make_pair(8, 7), params_znorg_0_1_o_n());
    data.pairData.emplace(std::make_pair(1, 8), params_znorg_0_1_h_o());
    data.pairData.emplace(std::make_pair(30, 16), params_znorg_0_1_zn_s());
    data.pairData.emplace(std::make_pair(8, 6), params_znorg_0_1_o_c());
    data.pairData.emplace(std::make_pair(30, 7), params_znorg_0_1_zn_n());
    data.pairData.emplace(std::make_pair(1, 6), params_znorg_0_1_h_c());
  }
  else {
    const auto required = remapElements(elements);
    if (required.at(6) && required.at(1)) {
      data.pairData.emplace(std::make_pair(6, 1), params_znorg_0_1_c_h());
    }
    if (required.at(8)) {
      data.pairData.emplace(std::make_pair(8, 8), params_znorg_0_1_o_o());
    }
    if (required.at(30) && required.at(1)) {
      data.pairData.emplace(std::make_pair(30, 1), params_znorg_0_1_zn_h());
    }
    if (required.at(7) && required.at(8)) {
      data.pairData.emplace(std::make_pair(7, 8), params_znorg_0_1_n_o());
    }
    if (required.at(30) && required.at(6)) {
      data.pairData.emplace(std::make_pair(30, 6), params_znorg_0_1_zn_c());
    }
    if (required.at(6) && required.at(16)) {
      data.pairData.emplace(std::make_pair(6, 16), params_znorg_0_1_c_s());
    }
    if (required.at(16) && required.at(8)) {
      data.pairData.emplace(std::make_pair(16, 8), params_znorg_0_1_s_o());
    }
    if (required.at(8) && required.at(16)) {
      data.pairData.emplace(std::make_pair(8, 16), params_znorg_0_1_o_s());
    }
    if (required.at(8) && required.at(30)) {
      data.pairData.emplace(std::make_pair(8, 30), params_znorg_0_1_o_zn());
    }
    if (required.at(7) && required.at(16)) {
      data.pairData.emplace(std::make_pair(7, 16), params_znorg_0_1_n_s());
    }
    if (required.at(7) && required.at(6)) {
      data.pairData.emplace(std::make_pair(7, 6), params_znorg_0_1_n_c());
    }
    if (required.at(7) && required.at(1)) {
      data.pairData.emplace(std::make_pair(7, 1), params_znorg_0_1_n_h());
    }
    if (required.at(16) && required.at(1)) {
      data.pairData.emplace(std::make_pair(16, 1), params_znorg_0_1_s_h());
    }
    if (required.at(30) && required.at(8)) {
      data.pairData.emplace(std::make_pair(30, 8), params_znorg_0_1_zn_o());
    }
    if (required.at(16) && required.at(7)) {
      data.pairData.emplace(std::make_pair(16, 7), params_znorg_0_1_s_n());
    }
    if (required.at(30)) {
      data.pairData.emplace(std::make_pair(30, 30), params_znorg_0_1_zn_zn());
    }
    if (required.at(8) && required.at(1)) {
      data.pairData.emplace(std::make_pair(8, 1), params_znorg_0_1_o_h());
    }
    if (required.at(6) && required.at(7)) {
      data.pairData.emplace(std::make_pair(6, 7), params_znorg_0_1_c_n());
    }
    if (required.at(7)) {
      data.pairData.emplace(std::make_pair(7, 7), params_znorg_0_1_n_n());
    }
    if (required.at(7) && required.at(30)) {
      data.pairData.emplace(std::make_pair(7, 30), params_znorg_0_1_n_zn());
    }
    if (required.at(6) && required.at(30)) {
      data.pairData.emplace(std::make_pair(6, 30), params_znorg_0_1_c_zn());
    }
    if (required.at(1) && required.at(7)) {
      data.pairData.emplace(std::make_pair(1, 7), params_znorg_0_1_h_n());
    }
    if (required.at(6)) {
      data.pairData.emplace(std::make_pair(6, 6), params_znorg_0_1_c_c());
    }
    if (required.at(16) && required.at(6)) {
      data.pairData.emplace(std::make_pair(16, 6), params_znorg_0_1_s_c());
    }
    if (required.at(1) && required.at(30)) {
      data.pairData.emplace(std::make_pair(1, 30), params_znorg_0_1_h_zn());
    }
    if (required.at(1)) {
      data.pairData.emplace(std::make_pair(1, 1), params_znorg_0_1_h_h());
    }
    if (required.at(1) && required.at(16)) {
      data.pairData.emplace(std::make_pair(1, 16), params_znorg_0_1_h_s());
    }
    if (required.at(6) && required.at(8)) {
      data.pairData.emplace(std::make_pair(6, 8), params_znorg_0_1_c_o());
    }
    if (required.at(16)) {
      data.pairData.emplace(std::make_pair(16, 16), params_znorg_0_1_s_s());
    }
    if (required.at(16) && required.at(30)) {
      data.pairData.emplace(std::make_pair(16, 30), params_znorg_0_1_s_zn());
    }
    if (required.at(8) && required.at(7)) {
      data.pairData.emplace(std::make_pair(8, 7), params_znorg_0_1_o_n());
    }
    if (required.at(1) && required.at(8)) {
      data.pairData.emplace(std::make_pair(1, 8), params_znorg_0_1_h_o());
    }
    if (required.at(30) && required.at(16)) {
      data.pairData.emplace(std::make_pair(30, 16), params_znorg_0_1_zn_s());
    }
    if (required.at(8) && required.at(6)) {
      data.pairData.emplace(std::make_pair(8, 6), params_znorg_0_1_o_c());
    }
    if (required.at(30) && required.at(7)) {
      data.pairData.emplace(std::make_pair(30, 7), params_znorg_0_1_zn_n());
    }
    if (required.at(1) && required.at(6)) {
      data.pairData.emplace(std::make_pair(1, 6), params_znorg_0_1_h_c());
    }
  }

  return data;
}

SkfData params_znorg_0_1_c_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.4f5472d4a944dp-2, 0x1.599b76121c73ep-2, 0x1.6345854e0c789p-2, 0x1.6c557822f57dap-2, 0x1.74d2622fea3f5p-2, 0x1.7cc1e484f7ec1p-2, 0x1.8425332bd1712p-2, 0x1.8afcc516bcd8cp-2, 0x1.914cbd4b5e6fap-2, 0x1.971cbe6b420a7p-2, 0x1.9c74407b4137cp-2, 0x1.a1579c0f1c46fp-2, 0x1.a5c832c5586d7p-2, 0x1.a9c6e8092129ap-2, 0x1.ad56911ada833p-2, 0x1.b07cb917e41b5p-2, 0x1.b340a2d647041p-2, 0x1.b5a97a53f2ce9p-2, 0x1.b7bcd2b5ca6bcp-2, 0x1.b97e24413f771p-2, 0x1.baef498b786f3p-2, 0x1.bc066c80c1967p-2, 0x1.bcd66b9a6affbp-2, 0x1.bd6115323ac91p-2, 0x1.bdaa51e506bdbp-2, 0x1.bdb53a630b7f5p-2, 0x1.bd844a09f3639p-2, 0x1.bd19b70c27019p-2, 0x1.bc77c9c1de279p-2, 0x1.bba11fd3e2976p-2, 0x1.ba98b6708b8c7p-2, 0x1.b961df0bf48c6p-2, 0x1.b80006166b27cp-2, 0x1.b676778ae99c6p-2, 0x1.b4c82dd0f4a75p-2, 0x1.b2f7b65f47ccfp-2, 0x1.b10731e8bb33bp-2, 0x1.aef85d0cc618dp-2, 0x1.acccb3085630dp-2, 0x1.aa858a8802225p-2, 0x1.a82434c821f79p-2, 0x1.a5aa145207e14p-2, 0x1.a318a8e575626p-2, 0x1.a071901f9a15ep-2, 0x1.9db68173c563dp-2, 0x1.9ae93ca17f9p-2, 0x1.980b82522c65ap-2, 0x1.951f03a8bd88bp-2, 0x1.9225565c594ccp-2, 0x1.8f1fea10782bcp-2, 0x1.8c1000bb4e5cap-2, 0x1.88f6ab7ef82afp-2, 0x1.85d4cca7ae455p-2, 0x1.82ab1dbf791f9p-2, 0x1.7f7a3b607a79fp-2, 0x1.7c42af5187316p-2, 0x1.7904fbd4186cfp-2, 0x1.75c1a34e4b0a6p-2, 0x1.72792c7fbc35bp-2, 0x1.6f2c235c5c358p-2, 0x1.6bdb176d0ee3ep-2, 0x1.6886990facf82p-2, 0x1.652f372616b06p-2, 0x1.61cd6804b7301p-2, 0x1.5e72b3d6855fap-2, 0x1.5b1723c526e09p-2, 0x1.57bb288b6fc75p-2, 0x1.545f26cc576cp-2, 0x1.510377749e78ep-2, 0x1.4da868bc5ede5p-2, 0x1.4a4e4002632c8p-2, 0x1.46f53b6a1c251p-2, 0x1.439d945d8a387p-2, 0x1.4047812689e73p-2, 0x1.3cf336648139dp-2, 0x1.39a0e7ef9299fp-2, 0x1.3650c93d0a0a2p-2, 0x1.33030d5ae3757p-2, 0x1.2fb7e6356cadp-2, 0x1.2c6f84b3303b7p-2, 0x1.292a1764e33f8p-2, 0x1.25e7ca505f4a7p-2, 0x1.22a8c69023de3p-2, 0x1.1f6d31d7efb3p-2, 0x1.1c352ea551fe1p-2, 0x1.1900dc336399ep-2, 0x1.15d056acfd31bp-2, 0x1.12a3b768bd26ap-2, 0x1.0f7b152963f68p-2, 0x1.0c568470b2a6cp-2, 0x1.093617aed55ffp-2, 0x1.0619dfb135e85p-2, 0x1.0301ebe604cd4p-2, 0x1.ffdc94ff849c7p-3, 0x1.f9be11f6cac73p-3, 0x1.f3a86881d5d83p-3, 0x1.ed9bb1c29bbcdp-3, 0x1.e79805423ef37p-3, 0x1.e19d80413d6c7p-3, 0x1.dbac375ea5ec8p-3, 0x1.d5c4452286618p-3, 0x1.cfe5c2be3a403p-3, 0x1.ca10c940074cbp-3, 0x1.c4457159e496dp-3, 0x1.be83d33ccbc4bp-3, 0x1.b8cc063609d0ap-3, 0x1.b31e20f9b268bp-3, 0x1.ad7a37ee2729ep-3, 0x1.a7e05f2eb7fd2p-3, 0x1.a250a90a01e6p-3, 0x1.9ccb2625478dap-3, 0x1.974fe59ea2408p-3, 0x1.91def5383d2dp-3, 0x1.8c78615da0ddcp-3, 0x1.871c355be6feap-3, 0x1.81ca7b8a147e6p-3, 0x1.7c833dbbe2aa5p-3, 0x1.774684dd3bf85p-3, 0x1.72145a281d59dp-3, 0x1.6cecc674353fcp-3, 0x1.67cfd2ca3cc5p-3, 0x1.62bd88653a7f5p-3, 0x1.5db5f0c49a852p-3, 0x1.58b91603e1939p-3, 0x1.53c7012dd5e5dp-3, 0x1.4edfbe317e80cp-3, 0x1.4a03546202409p-3, 0x1.4531d082d7c4dp-3, 0x1.406b3b62c58bfp-3, 0x1.3baf9e812fc1ep-3, 0x1.36ff02c200403p-3, 0x1.32597052c9c57p-3, 0x1.2dbeeea24df5cp-3, 0x1.292f8435deae9p-3, 0x1.24ab36ed0acf8p-3, 0x1.20320a8f2c07cp-3, 0x1.1bc403319965cp-3, 0x1.17612456e10f3p-3, 0x1.13096e8d6d0ffp-3, 0x1.0ebce3016b97dp-3, 0x1.0a7b81a8081fap-3, 0x1.064549b6ab214p-3, 0x1.021a3972ac8bbp-3, 0x1.fbf49dcacae4ap-4, 0x1.f3cb0e2f43fffp-4, 0x1.ebb7beb432f36p-4, 0x1.e3baa6ffd8beap-4, 0x1.dbd914532c6b3p-4, 0x1.d4089bd25066cp-4, 0x1.cc4e5442be26bp-4, 0x1.c4aa355c4abf7p-4, 0x1.bd1c367dc1138p-4, 0x1.b5a44d2f41611p-4, 0x1.ae426e7f0deaep-4, 0x1.a6f68ef4fea2cp-4, 0x1.9fc0a14ec9a6cp-4, 0x1.98a09805c20afp-4, 0x1.91966475be431p-4, 0x1.8aa1f6d52c75ap-4, 0x1.83c33e70a5daep-4, 0x1.7cfa2a22400cap-4, 0x1.7646a14bb4ab6p-4, 0x1.6fa8a21850eap-4, 0x1.6920065208e79p-4, 0x1.62acc4f95c3b3p-4, 0x1.5c4eb4af1fddfp-4, 0x1.5605d1118f40fp-4, 0x1.4fd1f96dfad46p-4, 0x1.49b31946ddb14p-4, 0x1.43a91222a8a76p-4, 0x1.3db3ca5972ebfp-4, 0x1.37d3256961ebbp-4, 0x1.320706e2606a1p-4, 0x1.2c4f50e2d558p-4, 0x1.26abe4c4ce061p-4, 0x1.211ca2d5cfaap-4, 0x1.1ba16c35829e9p-4, 0x1.163a1ed41cbc7p-4, 0x1.10e69989768b9p-4, 0x1.0ba6ba2fbbe72p-4, 0x1.067a5df5d7e1bp-4, 0x1.0161616d988a3p-4, 0x1.f8b741cc95d7ap-5, 0x1.eed1ee7554322p-5, 0x1.e5127fc2867f1p-5, 0x1.db78aaa0ec55bp-5, 0x1.d204230aeb4aap-5, 0x1.c8b49c4c09685p-5, 0x1.bf89ba0e760b4p-5, 0x1.b6835a04e1775p-5, 0x1.ada1010469907p-5, 0x1.a4e26dfed5fa2p-5, 0x1.9c475095962a5p-5, 0x1.93cf5822e4371p-5, 0x1.8b7a30ffec8a3p-5, 0x1.83478b1586fe2p-5, 0x1.7b371318e7176p-5, 0x1.7348758bda73fp-5, 0x1.6b7b5dd883c6ap-5, 0x1.63cf7971f9a84p-5, 0x1.5c44720bb7a66p-5, 0x1.54d9f7765cb69p-5, 0x1.4d8fa859e2a54p-5, 0x1.46653aa0c9f1dp-5, 0x1.3f5a5457a619dp-5, 0x1.386e9edc88488p-5, 0x1.31a1c3b774fc8p-5, 0x1.2af36c8565f85p-5, 0x1.246340a4ceedfp-5, 0x1.1df0e9ad8614cp-5, 0x1.179c104828c72p-5, 0x1.11645c9bd38c1p-5, 0x1.0b4976bede6c1p-5, 0x1.054b072301101p-5, 0x1.fed16b10221a5p-6, 0x1.f34454a8e0c8fp-6, 0x1.e7ee1b25a0609p-6, 0x1.dcce0a7ed9047p-6, 0x1.d1e377e2bc30fp-6, 0x1.c72db18c809ccp-6, 0x1.bcac080931686p-6, 0x1.b25dcb74d0ab5p-6, 0x1.a8424cb93c583p-6, 0x1.9e58ba3ee2454p-6, 0x1.94a0ccfa9c7cep-6, 0x1.8b196eaf8b89ep-6, 0x1.81c214904102bp-6, 0x1.789a111459048p-6, 0x1.6fa0b75964192p-6, 0x1.66d55b66425fep-6, 0x1.5e374fa912d4bp-6, 0x1.55c5ec063379bp-6, 0x1.4d808535cb583p-6, 0x1.45666fce8b7c9p-6, 0x1.3d7704a404caap-6, 0x1.35b1abf48a0f1p-6, 0x1.2e158c56faabbp-6, 0x1.26a231d3bc4c1p-6, 0x1.1f56e6748a988p-6, 0x1.18330c4a24345p-6, 0x1.1135ec091ed5ep-6, 0x1.0a5ef661776d3p-6, 0x1.03ad72ff462e4p-6, 0x1.fa41f954a0f0cp-7, 0x1.ed716be64236p-7, 0x1.e0e82fb747963p-7, 0x1.d4a50b8af4cd5p-7, 0x1.c8a6c9a21ee5bp-7, 0x1.bcec36c6ae093p-7, 0x1.b1742372d1504p-7, 0x1.a63d61f66144fp-7, 0x1.9b46c666d9638p-7, 0x1.908f2f5267aafp-7, 0x1.8615c2ba7e55ep-7, 0x1.7bd8707da810cp-7, 0x1.71d70c0addd61p-7, 0x1.68102af252b59p-7, 0x1.5e82b5aff803cp-7, 0x1.552d9865c3da3p-7, 0x1.4c0fc2a2e147fp-7, 0x1.432827668d475p-7, 0x1.3a75bd2cc3de2p-7, 0x1.31f77e3ce2146p-7, 0x1.29ac7379c24ap-7, 0x1.21937b8e3bb37p-7, 0x1.19abbc9d55ea6p-7, 0x1.11f43161aa83p-7, 0x1.0a6bea325165dp-7, 0x1.0311f44f00e58p-7, 0x1.f7cac5105d365p-8, 0x1.e9ca969739509p-8, 0x1.dc2191a1bbdddp-8, 0x1.cecdf9231d673p-8, 0x1.c1cdf6ba6d442p-8, 0x1.b51fe83877bfap-8, 0x1.a8c21c68ddd4dp-8, 0x1.9cb2e40d40668p-8, 0x1.90f0a15a9b963p-8, 0x1.8579bd45fcbcp-8, 0x1.7a4c8aad5b627p-8, 0x1.6f67a009e9f62p-8, 0x1.64c95f00148c3p-8, 0x1.5a70493d9846ap-8, 0x1.505ae81c674fbp-8, 0x1.4687c6ae75e1cp-8, 0x1.3cf5774fa98c2p-8, 0x1.33a293ee57b02p-8, 0x1.2a8db81dcdba4p-8, 0x1.21b57ed54d99p-8, 0x1.1918bac6c3f7fp-8, 0x1.10b5f4138b1b2p-8, 0x1.088bf0017f03fp-8, 0x1.0099704051cdp-8, 0x1.f1ba5aacea42ap-9, 0x1.e2abd48455c09p-9, 0x1.d405203d4d38fp-9, 0x1.c5c35d428a6d2p-9, 0x1.b7e55e77aabb7p-9, 0x1.aa67aa787921fp-9, 0x1.9d48bea866884p-9, 0x1.90860f902cdp-9, 0x1.841db2c3f78cfp-9, 0x1.780d71018434ep-9, 0x1.6c534266fbd61p-9, 0x1.60ed26b218b0ap-9, 0x1.55d91fa8d839p-9, 0x1.4b1509e2a51e8p-9, 0x1.409f89556da13p-9, 0x1.3676354fb242bp-9, 0x1.2c976550a118dp-9, 0x1.23012b0c77f09p-9, 0x1.19b221b70f664p-9, 0x1.10a82e30a11c6p-9, 0x1.07e1c4e9dc917p-9, 0x1.feba2929ed502p-10, 0x1.ee28f00399f93p-10, 0x1.de1e18894f3d6p-10, 0x1.ce8c86ed6af26p-10, 0x1.bf739ecfbdc76p-10, 0x1.b0cda5458c17ap-10, 0x1.a298a0429e9cep-10, 0x1.94d19a00c663bp-10, 0x1.8775c27481e86p-10, 0x1.7a8248808501bp-10, 0x1.6df4708eb9339p-10, 0x1.61c98f6f061b1p-10, 0x1.55ff052eac34ep-10, 0x1.4a924558b1d96p-10, 0x1.3f80be4e45e8ep-10, 0x1.34c7ffd5f898dp-10, 0x1.2a65a68994eb2p-10, 0x1.20576f278f371p-10, 0x1.169b1ba484f12p-10, 0x1.0d2d7b0cbeb32p-10, 0x1.040d83b240292p-10, 0x1.f67130866ebb2p-11, 0x1.e559487d58305p-11, 0x1.d4cf214efbfecp-11, 0x1.c4ceb02956d61p-11, 0x1.b5540569d4671p-11, 0x1.a65b4936d8618p-11, 0x1.97e087dda1738p-11, 0x1.89e047fa3e9c5p-11, 0x1.7c56dc97fc6e3p-11, 0x1.6f40c11273e56p-11, 0x1.629a7e478ffe3p-11, 0x1.5660d882b730bp-11, 0x1.4a906a96c52d2p-11, 0x1.3f261391bea2cp-11, 0x1.341eb53ea0a8p-11, 0x1.29774996baaf4p-11, 0x1.1f2c49ec8ff5ap-11, 0x1.154074847c296p-11, 0x1.0ba3836fab70ep-11, 0x1.025f0591abdd8p-11, 0x1.f2d91585208bep-12, 0x1.e1929c76911a4p-12, 0x1.d0e581495a9abp-12, 0x1.c0cd304be067bp-12, 0x1.b144f755730cfp-12, 0x1.a247e2500ba06p-12, 0x1.93d18b1a780d8p-12, 0x1.85dd8b78d06f2p-12, 0x1.78676751a1551p-12, 0x1.6b6b3bdd94a07p-12, 0x1.5ee4f0d032c9dp-12, 0x1.52d052a295a1ap-12, 0x1.472ab1305874ep-12, 0x1.3bee01aea39a7p-12, 0x1.3118d92e6eeb2p-12, 0x1.26a6eaba25bbcp-12, 0x1.1c94d5af8de96p-12, 0x1.12df500db1a83p-12, 0x1.098301f8a3c2bp-12, 0x1.007e7f876a46fp-12, 0x1.ef94e9d46aa63p-13, 0x1.ded0643efe886p-13, 0x1.cea6c1afe0ddep-13, 0x1.bf141c6d47821p-13, 0x1.b00ea5f34c5f5p-13, 0x1.a19585089cf39p-13, 0x1.93a3336f4a788p-13, 0x1.86313df6e402p-13, 0x1.793b8e608ec81p-13, 0x1.6cbe1bc7e8ae8p-13, 0x1.60b43616e2872p-13, 0x1.5519937f86e72p-13, 0x1.49ea11dcd57p-13, 0x1.3f21b7c6c02efp-13, 0x1.34bca7a26aad7p-13, 0x1.2ab7257cac5c2p-13, 0x1.210d925396cf7p-13, 0x1.17bc39881d263p-13, 0x1.0ec44a4b9bf67p-13, 0x1.06163961d83f8p-13, 0x1.fb7583ce412d1p-14, 0x1.eb55c2573c7cp-14, 0x1.dbc76b7d32cd9p-14, 0x1.ccc50d482732ep-14, 0x1.be531b351223cp-14, 0x1.b04e392a60814p-14, 0x1.a2cd85d9224c2p-14, 0x1.95c4df63bed8p-14, 0x1.892e8857c548ep-14, 0x1.7d059e1ba6f09p-14, 0x1.7146208b4277dp-14, 0x1.65ebd490b7b31p-14, 0x1.5af905a604c27p-14, 0x1.5055b1c161cc4p-14, 0x1.4611efbda0f8cp-14, 0x1.3c23ec5645397p-14, 0x1.3287e5a66004ap-14, 0x1.293c58489c68bp-14, 0x1.2038fe2cfbf75p-14, 0x1.177fbed6c912p-14, 0x1.0f0b82545af4cp-14, 0x1.06d98af3694fep-14, 0x1.fdceb34c665dcp-15, 0x1.ee644ee7c4939p-15, 0x1.df6eca83dabf1p-15, 0x1.d0e9419eb2333p-15, 0x1.c2cf0369710bcp-15, 0x1.b51b92105d5eap-15, 0x1.a7cabe0aed846p-15, 0x1.9add99ebc6897p-15, 0x1.8e3fe467863b1p-15, 0x1.81fe1b7ee32c4p-15, 0x1.760f2084321c8p-15, 0x1.6a8915b3847aep-15, 0x1.5f275fd7d778fp-15, 0x1.5415d015419bcp-15, 0x1.4933a87423574p-15, 0x1.3ecf992766fc9p-15, 0x1.348eae546877cp-15, 0x1.2a90a5d5b749bp-15, 0x1.20c40ef931588p-15, 0x1.17366df39a551p-15, 0x1.0dde4a890a053p-15, 0x1.04bac9c6d5c16p-15, 0x1.f794ea251e0e9p-16, 0x1.e624471bf7446p-16, 0x1.d4ee8bcf55316p-16, 0x1.c42129ceaada8p-16, 0x1.b3aa9d6d6aa44p-16, 0x1.a38948edc55f1p-16, 0x1.93b70b30a63bap-16, 0x1.84259277cfcddp-16, 0x1.74f7525b2d5fcp-16, 0x1.6602d8b6d1ee5p-16, 0x1.57549c13f65e7p-16, 0x1.48e95a813fefdp-16, 0x1.3ac0b86e94985p-16, 0x1.2cca5872bc2fdp-16, 0x1.1f23cd568ff44p-16, 0x1.11b0bf67f58d9p-16, 0x1.04762e919a063p-16, 0x1.eee6965eb8333p-17, 0x1.d54c7f48cb513p-17, 0x1.bc134d8a137ffp-17, 0x1.a35255a6e5fa7p-17, 0x1.8aeef75420392p-17, 0x1.72e97f3896f67p-17, 0x1.5bb5173ad579cp-17, 0x1.4401ef6d80234p-17, 0x1.2d1c536d0568ep-17, 0x1.16932b44b33fcp-17, 0x1.0054303cb32d2p-17, 0x1.d4e9568ab4125p-18, 0x1.a9d9cba24756ap-18, 0x1.7f69a4844a652p-18, 0x1.559f83022d80ap-18, 0x1.2c7adea1bbce9p-18, 0x1.03ff0cf3f5971p-18, 0x1.b9bff0ae55c41p-19, 0x1.69af1dd558eedp-19, 0x1.1c48bfc6a1747p-19, 0x1.a05178eb08c35p-20, 0x1.0a8df20cc5121p-20, 0x1.e0946452d710bp-22, -0x1.a15765687290ep-24, -0x1.51e52dcd08d0cp-21, -0x1.356d5173963f7p-20, -0x1.bf97d23d446fdp-20, -0x1.23bac640fa8cdp-19, -0x1.66815519e688fp-19, -0x1.a846386bc512cp-19, -0x1.e8b340d4bf525p-19, -0x1.13ef260860b23p-18, -0x1.32f2694e6f2d2p-18, -0x1.51c6c285207c6p-18, -0x1.6fb8e8dcc1a7cp-18, -0x1.8d42359cd402cp-18, -0x1.aa2cbc70e9aep-18, -0x1.c6c9fb0fc2141p-18, -0x1.e2557c4480cf3p-18, -0x1.fd962b9d1123ep-18, -0x1.0c25b610e3323p-17, -0x1.1939ca43f81f5p-17, -0x1.2608063148416p-17, -0x1.329379b3d42fep-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0b98f6b3d46dp-1, -0x1.0f80780572decp-1, -0x1.1330efb643a4cp-1, -0x1.16a95db420b8p-1, -0x1.19e8117bc5706p-1, -0x1.1cebeba70b83dp-1, -0x1.1fb54374b19b7p-1, -0x1.22451ac260f41p-1, -0x1.249be8f463e35p-1, -0x1.26b97367b081cp-1, -0x1.289d9e6d2aa19p-1, -0x1.2a4935a5fab2ap-1, -0x1.2bbdf874428d4p-1, -0x1.2cfe054d6c914p-1, -0x1.2e0b30cd6e7bp-1, -0x1.2ee6bb8d6fa28p-1, -0x1.2f917a7b2c18cp-1, -0x1.300c3d53b9ca5p-1, -0x1.30582b98aa553p-1, -0x1.3076ed5448641p-1, -0x1.306a97af55d18p-1, -0x1.3037adc3b1494p-1, -0x1.2fdd46c1fbf0ep-1, -0x1.2f5cf292fdb3ap-1, -0x1.2eb82a23bdeffp-1, -0x1.2df08d9e11dc9p-1, -0x1.2d07dcfaeea67p-1, -0x1.2bffe1cf714c9p-1, -0x1.2ada55454b0cp-1, -0x1.2998cffa33347p-1, -0x1.283cbfd80d0fap-1, -0x1.26c770a53c5a9p-1, -0x1.253a1442b1f6bp-1, -0x1.2395cfc6f4b2bp-1, -0x1.21dbc774e7d45p-1, -0x1.200d26e841f1fp-1, -0x1.1e2b24f88169ep-1, -0x1.1c36fecfe460dp-1, -0x1.1a31f3c61042fp-1, -0x1.181d3ccbe4912p-1, -0x1.15fa060c8f16cp-1, -0x1.13c969f4bba44p-1, -0x1.118c6dfc648c2p-1, -0x1.0f4401491843bp-1, -0x1.0cf0fe6509619p-1, -0x1.0a942ca9e78efp-1, -0x1.082e465ff9ad3p-1, -0x1.05bffca346924p-1, -0x1.0349fb51c98f1p-1, -0x1.00cceb240f335p-1, -0x1.fc92e451eb0eep-2, -0x1.f78066ad1eee5p-2, -0x1.f2639bbb0ee3cp-2, -0x1.ed3db96256501p-2, -0x1.e80fee2e756c8p-2, -0x1.e2db612c9e929p-2, -0x1.dda1328387c5cp-2, -0x1.d8627a75613ap-2, -0x1.d3204719c5501p-2, -0x1.cddb992acc42fp-2, -0x1.c89560580ae08p-2, -0x1.c34e783c52968p-2, -0x1.be07a6c133797p-2, -0x1.b8c5ac9d4bd6cp-2, -0x1.b38051d4435fep-2, -0x1.ae3ca750b7178p-2, -0x1.a8fb45e4b2617p-2, -0x1.a3bcbe35d0287p-2, -0x1.9e819967a54a5p-2, -0x1.994a59a3a443p-2, -0x1.94177adbe1d3ep-2, -0x1.8ee9735c78cd7p-2, -0x1.89c0b4705d5b9p-2, -0x1.849daa898eb12p-2, -0x1.7f80bd35c3d67p-2, -0x1.7a6a4ec82ad48p-2, -0x1.755abbf44ff64p-2, -0x1.70525b6703c97p-2, -0x1.6b517d1754431p-2, -0x1.66586afa56be6p-2, -0x1.6167686089d6ep-2, -0x1.5c7eb2c835af6p-2, -0x1.579e826b3f946p-2, -0x1.52c70aec1ee0ap-2, -0x1.4df87c2e8926bp-2, -0x1.493303068aa46p-2, -0x1.4476c9d0e5dabp-2, -0x1.3fc3f8e54d492p-2, -0x1.3b1ab6c86f60ap-2, -0x1.367b28597f18ep-2, -0x1.31e5708fa1117p-2, -0x1.2d59b0947a827p-2, -0x1.28d80773cb423p-2, -0x1.246091d33d9e6p-2, -0x1.1ff36a0c61867p-2, -0x1.1b90a7ff649d5p-2, -0x1.17386125edf5ap-2, -0x1.12eaa8ced3eb8p-2, -0x1.0ea78fb24a714p-2, -0x1.0a6f254a2d3b6p-2, -0x1.064176ec345c7p-2, -0x1.021e9080e8d3cp-2, -0x1.fc0cf92d85652p-3, -0x1.f3f288fed6d8dp-3, -0x1.ebede0b6ac299p-3, -0x1.e3ff0df1ba246p-3, -0x1.dc261e04fbbe4p-3, -0x1.d46316e178a7p-3, -0x1.ccb6014367b6bp-3, -0x1.c51ee06613fa5p-3, -0x1.bd9db51149d88p-3, -0x1.b6327d2ba1251p-3, -0x1.aedd33bc93ee8p-3, -0x1.a79dd0f75e743p-3, -0x1.a0744a646671bp-3, -0x1.996093210c1a2p-3, -0x1.92629bf1d4972p-3, -0x1.8b7a5440d3d2fp-3, -0x1.84a7a93d8b8e9p-3, -0x1.7dea874af7addp-3, -0x1.7742d9bc26eb9p-3, -0x1.70b08b2e53f75p-3, -0x1.6a3385c6fbff4p-3, -0x1.63cbb41d88852p-3, -0x1.5d78fd40d5fap-3, -0x1.573b4e3cdd338p-3, -0x1.51128b091f6b4p-3, -0x1.4afea0a6a3e8ap-3, -0x1.44ff759fd14b3p-3, -0x1.3f14f1a38d93ep-3, -0x1.393efb90230bap-3, -0x1.337d7965ed23p-3, -0x1.2dd05023d0685p-3, -0x1.283763aae8cap-3, -0x1.22b29649fc5cap-3, -0x1.1d41ca69195f2p-3, -0x1.17e4e06e8ee19p-3, -0x1.129bb328dd14cp-3, -0x1.0d66242afa9b8p-3, -0x1.08440e1d9cd41p-3, -0x1.03354be419018p-3, -0x1.fc736e98c85dp-4, -0x1.f2a251458f4dbp-4, -0x1.e8f6f04630869p-4, -0x1.df70f8d5a74fap-4, -0x1.d6101911f2ba5p-4, -0x1.ccd3fb164df48p-4, -0x1.c3c17a6290c65p-4, -0x1.bacdcbfbf79ep-4, -0x1.b1fde55517e44p-4, -0x1.a951727c4e1a2p-4, -0x1.a0c820bf69c9ep-4, -0x1.986199cbabc5cp-4, -0x1.901d883ecb469p-4, -0x1.87fb979684d0cp-4, -0x1.7ffb6ff9b2989p-4, -0x1.781cbb21fa307p-4, -0x1.705f21f093a1cp-4, -0x1.68c24c8f154c3p-4, -0x1.6145e3013708ap-4, -0x1.59e98d8b0de19p-4, -0x1.52aced16d27ebp-4, -0x1.4b8fbc73ed197p-4, -0x1.44918f715acf9p-4, -0x1.3db218c4ec367p-4, -0x1.36f0ef53e625p-4, -0x1.304dca353861bp-4, -0x1.29c8495568bf3p-4, -0x1.23601623f67dcp-4, -0x1.1d14d4c6c58cbp-4, -0x1.16e62f110952dp-4, -0x1.10d3c3ede3665p-4, -0x1.0add4196846dp-4, -0x1.05024c3b26babp-4, -0x1.fe8514b4c30c9p-5, -0x1.f33b44630f57bp-5, -0x1.e8267ab3846c1p-5, -0x1.dd4600df76795p-5, -0x1.d299276d25d04p-5, -0x1.c81f3ded9747cp-5, -0x1.bdd7945df7003p-5, -0x1.b3c17b6af222fp-5, -0x1.a9dc4527f0944p-5, -0x1.a02741f5f461ep-5, -0x1.96a1c6598cb88p-5, -0x1.8d4b2617a3541p-5, -0x1.8422b5f1640a2p-5, -0x1.7b27cbdc80eb6p-5, -0x1.7259b0472cb52p-5, -0x1.69b7e652d72fep-5, -0x1.61419c3050d68p-5, -0x1.58f63a8e2c97bp-5, -0x1.50d51d173398p-5, -0x1.48dda06846252p-5, -0x1.410f218c813b2p-5, -0x1.396901149068ep-5, -0x1.31ea9f3413117p-5, -0x1.2a935d52d0e16p-5, -0x1.23629e56d376bp-5, -0x1.1c57c78c8bf2cp-5, -0x1.15723dd1268c4p-5, -0x1.0eb16a182f1eep-5, -0x1.0814b09a125f9p-5, -0x1.019b7f4a88a54p-5, -0x1.f68a8030315c3p-6, -0x1.ea22be6967b1fp-6, -0x1.ddfe95e72f405p-6, -0x1.d21ce71a96183p-6, -0x1.c67c8ebc60d02p-6, -0x1.bb1c743389309p-6, -0x1.affb7f6728953p-6, -0x1.a51899c1782bep-6, -0x1.9a72b01c4fee4p-6, -0x1.9008b2681728cp-6, -0x1.85d993676007dp-6, -0x1.7be4495ec6389p-6, -0x1.7227ccf6e3c93p-6, -0x1.68a315f0dee4p-6, -0x1.5f5527c89315ap-6, -0x1.563d0240d95ebp-6, -0x1.4d59a91dc059cp-6, -0x1.44aa24614d21ap-6, -0x1.3c2d7e28f1252p-6, -0x1.33e2aeba96a8fp-6, -0x1.2bc9052cf992bp-6, -0x1.23df561fdf2e5p-6, -0x1.1c24cb995e383p-6, -0x1.14987fe4e135ap-6, -0x1.0d398ec7138dp-6, -0x1.06071756872bcp-6, -0x1.fe00764b4df41p-7, -0x1.f0483cc5b8f4dp-7, -0x1.e2e3da632d3b4p-7, -0x1.d5d198324414cp-7, -0x1.c90fd97015e55p-7, -0x1.bc9cfe0ec06c6p-7, -0x1.b0776bc74fc6p-7, -0x1.a49d912b45fdfp-7, -0x1.990ddfe64034ap-7, -0x1.8dc6cbce1ada7p-7, -0x1.82c6e1057b0dfp-7, -0x1.780c9821d4f21p-7, -0x1.6d964a77f31b9p-7, -0x1.63631a312dd03p-7, -0x1.59710b45a642p-7, -0x1.4fbeea5c112fp-7, -0x1.464b56d4a836bp-7, -0x1.3d14f6a80f364p-7, -0x1.341a74589ea6bp-7, -0x1.2b5a825b83086p-7, -0x1.22d3d6b022c92p-7, -0x1.1a852c3f983efp-7, -0x1.126d48d6017cp-7, -0x1.0a8b1f78a4a2cp-7, -0x1.02dcecf544a06p-7, -0x1.f6c428fc9242p-8, -0x1.e8327a60b8b52p-8, -0x1.da0285c442ad2p-8, -0x1.cc32102939e29p-8, -0x1.bebee73e84622p-8, -0x1.b1a6e37c94b66p-8, -0x1.a4e7e7b0b506ap-8, -0x1.987fe0f9deb19p-8, -0x1.8c6cca38bd957p-8, -0x1.80ac9d3471f4ep-8, -0x1.753d6a8698787p-8, -0x1.6a1d398addad7p-8, -0x1.5f4a3b691963cp-8, -0x1.54c2907c6383ap-8, -0x1.4a8469f164b93p-8, -0x1.408e026374254p-8, -0x1.36dd9d63a6cep-8, -0x1.2d7183430456fp-8, -0x1.24481c1aef0dap-8, -0x1.1b5fad96a8aebp-8, -0x1.12b6acf34f152p-8, -0x1.0a4b872a36a7cp-8, -0x1.021cb4dc79c3ep-8, -0x1.f451751679e12p-9, -0x1.e4dc783c25db4p-9, -0x1.d5d6b7b2eaabfp-9, -0x1.c73e58305744ap-9, -0x1.b9103c3318d6bp-9, -0x1.ab49bc1457899p-9, -0x1.9de83179ee78p-9, -0x1.90e90ef81ffc6p-9, -0x1.8449cc4a39d6ap-9, -0x1.7807f87134ee1p-9, -0x1.6c210e9b03dcdp-9, -0x1.6092f71be226fp-9, -0x1.555b241d873ap-9, -0x1.4a776bf228024p-9, -0x1.3fe59d5e0334p-9, -0x1.35a38df1b30e3p-9, -0x1.2baf1e5a8f437p-9, -0x1.220658a3249c8p-9, -0x1.18a6bddc1fc02p-9, -0x1.0f8f962d2008dp-9, -0x1.06bdc62f81b1p-9, -0x1.fc5f778f901d9p-10, -0x1.ebc78163e183ep-10, -0x1.dbb0180a6dac4p-10, -0x1.cc15a94c9f213p-10, -0x1.bcf4caa11de03p-10, -0x1.ae4a3f2b06fafp-10, -0x1.a012b194b586p-10, -0x1.924b698271fbdp-10, -0x1.84f024c11c385p-10, -0x1.77ff01f0339fap-10, -0x1.6b74aebd94a2cp-10, -0x1.5f4de2df7cfa5p-10, -0x1.538903eec5c3cp-10, -0x1.482222a3f45a6p-10, -0x1.3d1700a5b2bf8p-10, -0x1.3264e09a3028fp-10, -0x1.2807556bfddedp-10, -0x1.1dffc0a246f24p-10, -0x1.144a618d9625fp-10, -0x1.0ae4493ff40e2p-10, -0x1.01cb22a77ceaep-10, -0x1.f1f9676c390e5p-11, -0x1.e0ed9192806e3p-11, -0x1.d06e85f34ec82p-11, -0x1.c07816342c8c7p-11, -0x1.b1063453779a8p-11, -0x1.a214ecedbc2ddp-11, -0x1.93a0658b3408fp-11, -0x1.85a4ee1119089p-11, -0x1.781eb399ad493p-11, -0x1.6b0a3ae1afd6dp-11, -0x1.5e641bbbf18dep-11, -0x1.52291488126cap-11, -0x1.46536a5efb0d2p-11, -0x1.3ae622bf824a9p-11, -0x1.2fd844d62d164p-11, -0x1.2528b149aba7fp-11, -0x1.1ad4692a9b1bcp-11, -0x1.10d891d5d5231p-11, -0x1.07325f1bac8d3p-11, -0x1.fbbe3b167328p-12, -0x1.e9b85a9c90f05p-12, -0x1.d84da0092d38ap-12, -0x1.c7797753a40cdp-12, -0x1.b736df3c77f7dp-12, -0x1.a7811c91faff4p-12, -0x1.9853629e0a78bp-12, -0x1.89a9f9dad1a08p-12, -0x1.7b7fbf048d298p-12, -0x1.6dd0dc3f2c5fdp-12, -0x1.60994299c27f7p-12, -0x1.53d4dd15f8bbfp-12, -0x1.477eefbec1eddp-12, -0x1.3b97c1ffdb1cap-12, -0x1.30152bebe8b82p-12, -0x1.24f88b0c3dc89p-12, -0x1.1a3d4c2b8c8b3p-12, -0x1.0fdfba7851febp-12, -0x1.05dc8fff23d69p-12, -0x1.f8625af5ace7ap-13, -0x1.e5b56a788a5cdp-13, -0x1.d3ab9e1cc1c18p-13, -0x1.c23fa305fb3bdp-13, -0x1.b16c0b662cdf4p-13, -0x1.a12b703ee102bp-13, -0x1.9178e7dbf6949p-13, -0x1.824f8d286fcd5p-13, -0x1.73a9d124e3dc8p-13, -0x1.65861cc0e9573p-13, -0x1.57da4cec110e8p-13, -0x1.4aa70d22e8ed4p-13, -0x1.3de65721e4663p-13, -0x1.31944016b1676p-13, -0x1.25ac9d0e96203p-13, -0x1.1a2cf9070c33bp-13, -0x1.0f121bb2b9f9p-13, -0x1.045275ee7747fp-13, -0x1.f3e3adbcb7e57p-14, -0x1.dfd471f564501p-14, -0x1.cc7399f15c5c2p-14, -0x1.b9b3b1961a9ebp-14, -0x1.a795f216c8299p-14, -0x1.96133061a1a16p-14, -0x1.8524b0245c25cp-14, -0x1.74c515eb5f2ecp-14, -0x1.64ef58f7f1796p-14, -0x1.559f772f169c3p-14, -0x1.46d0282a7ff22p-14, -0x1.387cd88582adfp-14, -0x1.2aa10d33c57edp-14, -0x1.1d38880a7bc1ep-14, -0x1.103f2c9279fep-14, -0x1.03b0f8f299b2ep-14, -0x1.ef12575016adap-15, -0x1.d7af3b32b6eb1p-15, -0x1.c0c8aeda40d18p-15, -0x1.aabd223974435p-15, -0x1.95644a924abe7p-15, -0x1.80b840a0ad1fep-15, -0x1.6cb3636efc8bfp-15, -0x1.595a4f0b51126p-15, -0x1.4687b0d266774p-15, -0x1.34522516ca954p-15, -0x1.22aff83a727d4p-15, -0x1.1199865d0e8c9p-15, -0x1.0108833db410dp-15, -0x1.e1f5cfb731257p-16, -0x1.c2d56777ca64p-16, -0x1.a48c75f6a6379p-16, -0x1.8768ce0f6fe7bp-16, -0x1.6b0cca1cdd7a3p-16, -0x1.4f8b25fb4ea04p-16, -0x1.34dddabd41299p-16, -0x1.1b0687c12ace5p-16, -0x1.01e7c690faad6p-16, -0x1.d322a897a5a34p-17, -0x1.a3e9d9bacfe1ep-17, -0x1.761a47d525423p-17, -0x1.49a919e51ace4p-17, -0x1.1e8b595622c5ap-17, -0x1.e96d510070c2cp-18, -0x1.98423235d6a0bp-18, -0x1.49824d5e56a3ap-18, -0x1.fa36e67a28896p-19, -0x1.65fafd4a1e3e7p-19, -0x1.ad3ded33ca2e3p-20, -0x1.2a923efd6019ap-21, 0x1.e5a85a25d7a9dp-22, 0x1.7ffe5af0ff942p-20, 0x1.3e199d19893a4p-19, 0x1.bb44180dc1efp-19, 0x1.193d107a9932cp-18, 0x1.53557eaffd8c4p-18, 0x1.8b8907a3de004p-18, 0x1.c2120eb39afcap-18, 0x1.f68fa0768cddap-18, 0x1.150ecc5372847p-17, 0x1.2dda699765459p-17, 0x1.45d3c5efd325dp-17, 0x1.5d10467eb5865p-17, 0x1.7389b2d388304p-17, 0x1.8930a32aad5ap-17, 0x1.9e4a40c98a76p-17, 0x1.b2abf3185935p-17, 0x1.c6525f16b2768p-17, 0x1.d94abab03dcep-17, 0x1.eb9b49d5182efp-17, 0x1.fd586d626eb1dp-17, 0x1.0727b2f9b5612p-16, 0x1.0f5de81c74321p-16, 0x1.17458f9be30c5p-16, 0x1.1ee0d2eb1a481p-16, 0x1.26256f450b96ap-16, 0x1.2d3b5d6940d38p-16, 0x1.33f6335e9de74p-16, 0x1.3a6d2962ddf69p-16, 0x1.409ed3db4998p-16, 0x1.468bd18841ca9p-16, 0x1.4c3572b9c8f11p-16, 0x1.519dc3e9a4551p-16, 0x1.56c40f6c53585p-16, 0x1.5ba8c52092755p-16, 0x1.60501ac8e584cp-16, 0x1.647f9cdba381fp-16, 0x1.68e5b4af40f46p-16, 0x1.6cd12361ba5ep-16, 0x1.706ee62662b45p-16, 0x1.7402bf85e8a1ep-16, 0x1.77426c77f913cp-16, 0x1.7a4a2d310423p-16, 0x1.7d1bbf00c8485p-16, 0x1.7fb4a2ae0b15ap-16, 0x1.8218a401e218cp-16, 0x1.844656d04ed25p-16, 0x1.8625b21578f4p-16, 0x1.8807480833f54p-16, 0x1.899c950a5c819p-16, 0x1.8afedbf97fbbp-16, 0x1.8c30c6b4e81p-16, 0x1.8d3e89c769de4p-16, 0x1.8e01ab4f79f5p-16, 0x1.8ea26197b1bfdp-16, 0x1.8f15aa01d3e0bp-16, 0x1.8f5b77f7e93d5p-16, 0x1.8f745ce88135ep-16, 0x1.8f6079b222546p-16, 0x1.8f2686a27cb4bp-16, 0x1.8eb8d1be0836p-16, 0x1.8e21b3a9d870fp-16, 0x1.8d608f084ee8dp-16, 0x1.8c8509cbe9e9p-16, 0x1.8b7b93c838bcap-16, 0x1.8a431305b2961p-16, 0x1.88ec821ab9635p-16, 0x1.876ec8631163cp-16, 0x1.85c1fb1825a7dp-16, 0x1.83f7725f01fbbp-16, 0x1.820924d6aed62p-16, 0x1.7ff79507b1805p-16, 0x1.7dc3a539e789p-16, 0x1.7b6fbf91ba9e5p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.10910f830fab7p-2, -0x1.1c7a3f99c471fp-2, -0x1.28294fe4203bp-2, -0x1.339cb252de49p-2, -0x1.3ed2f51ea7fd6p-2, -0x1.49cac2442bc41p-2, -0x1.5482def818ff6p-2, -0x1.5efa2b1456ae9p-2, -0x1.692fa07f98d6ep-2, -0x1.732252905192dp-2, -0x1.7cd16d6be127fp-2, -0x1.863c3562c00e5p-2, -0x1.8f62064a5427cp-2, -0x1.984252d4fa5ddp-2, -0x1.a0dca3e8d5caap-2, -0x1.a93097f5cc36bp-2, -0x1.b13de24b21646p-2, -0x1.b9044a6d07cd8p-2, -0x1.c083ab6a7f38dp-2, -0x1.c7bbf333c4025p-2, -0x1.cead21f1a0019p-2, -0x1.d557495dcc1e2p-2, -0x1.dbba8c1ca5dc1p-2, -0x1.e1d71d1863898p-2, -0x1.e7ad3eddfc456p-2, -0x1.ed3d42fbe7ee9p-2, -0x1.f2878962df72dp-2, -0x1.f78c7fc8bfcbp-2, -0x1.fc4ca10db1822p-2, -0x1.00643a51d59a6p-1, -0x1.028046fc37222p-1, -0x1.047ac5f1088adp-1, -0x1.06540c07151bdp-1, -0x1.080c7339d9369p-1, -0x1.09a45a63d4855p-1, -0x1.0b1c24fa4495ap-1, -0x1.0c743aca4d252p-1, -0x1.0dad07b7959b4p-1, -0x1.0ec6fb7c5a95cp-1, -0x1.0fc2896afb3afp-1, -0x1.10a0283102c1dp-1, -0x1.1160519bafba5p-1, -0x1.1203825df9867p-1, -0x1.128a39d815fe9p-1, -0x1.12f4f9e07db6fp-1, -0x1.1344468e6e3dep-1, -0x1.1378a605e938dp-1, -0x1.1392a0452f0e2p-1, -0x1.1392bef3b15fep-1, -0x1.13798d327e6f6p-1, -0x1.1347976e1c9efp-1, -0x1.12fd6b31d95e3p-1, -0x1.129b96fc8324ap-1, -0x1.1222aa168dd33p-1, -0x1.119334699a399p-1, -0x1.10edc65961693p-1, -0x1.1032f09df8d6dp-1, -0x1.0f63441f7296bp-1, -0x1.0e7f51d2ccbadp-1, -0x1.0d87aa9831948p-1, -0x1.0c7cdf1a807f8p-1, -0x1.0b5f7fb01a5e9p-1, -0x1.0a301c3ced64ap-1, -0x1.08ef4415ba72fp-1, -0x1.079d85e48e53bp-1, -0x1.063b6f8e6b4d7p-1, -0x1.04c98e1a18b85p-1, -0x1.03486d981a205p-1, -0x1.01b8990bc1db8p-1, -0x1.001a9a555d522p-1, -0x1.fcddf43ae76e4p-2, -0x1.f96c7f8224b39p-2, -0x1.f5e1e27e3f813p-2, -0x1.f23f264d647f4p-2, -0x1.ee85510cc04cp-2, -0x1.eab565b911b2ap-2, -0x1.e6d064111a63dp-2, -0x1.e2d74879e726bp-2, -0x1.decb0be4e16fcp-2, -0x1.daaca3b7a4349p-2, -0x1.d67d01b57e709p-2, -0x1.d23d13eaa5fd3p-2, -0x1.cdedc49902fe8p-2, -0x1.c98ffa268fee4p-2, -0x1.c524970d41f5dp-2, -0x1.c0ac79cc6cd4ap-2, -0x1.bc287cdb9917bp-2, -0x1.b799769ec0c2p-2, -0x1.b300395be999fp-2, -0x1.ae5d93320f08bp-2, -0x1.a9b24e115412p-2, -0x1.a4ff2fb471842p-2, -0x1.a044f99b56b2ap-2, -0x1.9b846906f22fp-2, -0x1.96be36f6169dap-2, -0x1.91f3182376612p-2, -0x1.8d23bd04a5659p-2, -0x1.8850d1ca1df6cp-2, -0x1.837afe603b70ap-2, -0x1.7ea2e671203b2p-2, -0x1.79c9296780e9ap-2, -0x1.74ee6272497edp-2, -0x1.7013288913284p-2, -0x1.6b380e7162168p-2, -0x1.665da2c4a5ba1p-2, -0x1.61846ff6e9cd5p-2, -0x1.5cacfc5e3d729p-2, -0x1.57d7ca3ab8a71p-2, -0x1.530557bf24e07p-2, -0x1.4e361f1a3a518p-2, -0x1.496a968067b95p-2, -0x1.44a3303626eeap-2, -0x1.3fe05a9ac90cp-2, -0x1.3b228033bf839p-2, -0x1.366a07b85244dp-2, -0x1.31b7541dbf706p-2, -0x1.2d0ac4a3bfc26p-2, -0x1.2864b4e16282fp-2, -0x1.23c57cd241dc6p-2, -0x1.1f2d70e40429ap-2, -0x1.1a9ce2042726dp-2, -0x1.16141dae0d8bap-2, -0x1.11936df946b35p-2, -0x1.0d1b19a811a44p-2, -0x1.08ab64360e45ap-2, -0x1.04448de71c524p-2, -0x1.ffcda7acc2e07p-3, -0x1.f724e00adfa7fp-3, -0x1.ee8f32d7191b9p-3, -0x1.e60d080a17aa2p-3, -0x1.dd9ec1c585c07p-3, -0x1.d544bc731242dp-3, -0x1.ccff4ee38903bp-3, -0x1.c4ceca6dfcd27p-3, -0x1.bcb37b0ef1895p-3, -0x1.b4ada7878ee83p-3, -0x1.acbd917cc63cap-3, -0x1.a4e3759669f7cp-3, -0x1.9d1f8b9e3027cp-3, -0x1.9572069e9a8d7p-3, -0x1.8ddb1501bd459p-3, -0x1.865ae0afdb394p-3, -0x1.7ef18f2ddaf95p-3, -0x1.779f41bb842f7p-3, -0x1.706415718848p-3, -0x1.6940235f51fp-3, -0x1.623380a88e341p-3, -0x1.5b3e3ea278edfp-3, -0x1.54606af0d764cp-3, -0x1.4d9a0fa2b2b6bp-3, -0x1.46eb334eb4248p-3, -0x1.4053d92f3cc13p-3, -0x1.39d4013e1a9d3p-3, -0x1.336ba84fed056p-3, -0x1.2d1ac82f29c25p-3, -0x1.26e157b6c3584p-3, -0x1.20bf4aec72ebp-3, -0x1.1ab4931a96d25p-3, -0x1.14c11ee9b7755p-3, -0x1.0ee4da799b8f6p-3, -0x1.091faf79fbb2fp-3, -0x1.03718542ca7c6p-3, -0x1.fbb481d8185c1p-4, -0x1.f0b38aca9cd69p-4, -0x1.e5dfe719499dbp-4, -0x1.db39548a87bb6p-4, -0x1.d0bf8d1b4fbd1p-4, -0x1.c672472a9634p-4, -0x1.bc5135a3e3587p-4, -0x1.b25c082905f9fp-4, -0x1.a8926b3adffa5p-4, -0x1.9ef4086161702p-4, -0x1.958086529beb3p-4, -0x1.8c378918eca1p-4, -0x1.8318b2385a2cep-4, -0x1.7a23a0d30558bp-4, -0x1.7157f1ccc1ddcp-4, -0x1.68b53fedd0f4bp-4, -0x1.603b2404c058bp-4, -0x1.57e935076e722p-4, -0x1.4fbf0833361eap-4, -0x1.47bc312c42f8p-4, -0x1.3fe0421c0fafcp-4, -0x1.382acbcf109afp-4, -0x1.309b5dd18cb84p-4, -0x1.2931868ba6c5ap-4, -0x1.21ecd35c98276p-4, -0x1.1accd0b521539p-4, -0x1.13d10a3130a12p-4, -0x1.0cf90ab0c35b8p-4, -0x1.06445c7001462p-4, -0x1.ff65123d31188p-5, -0x1.f28633ecb3de6p-5, -0x1.e5eb2fa231162p-5, -0x1.d993167ba33p-5, -0x1.cd7cf92a38a98p-5, -0x1.c1a7e819cf772p-5, -0x1.b612f3970dc62p-5, -0x1.aabd2bf41f1f3p-5, -0x1.9fa5a1ac1cf2bp-5, -0x1.94cb65852723p-5, -0x1.8a2d88b134fd7p-5, -0x1.7fcb1ced9fb06p-5, -0x1.75a334a174ab7p-5, -0x1.6bb4e2fa8c658p-5, -0x1.61ff3c0972e63p-5, -0x1.588154dc264d2p-5, -0x1.4f3a4397af8e8p-5, -0x1.46291f909f9ap-5, -0x1.3d4d0162719f8p-5, -0x1.34a50305ddb4ap-5, -0x1.2c303fe620c71p-5, -0x1.23edd4f53d07fp-5, -0x1.1bdce0bf3c4e3p-5, -0x1.13fc837c7a6ccp-5, -0x1.0c4bdf22fb00bp-5, -0x1.04ca1776d2cfp-5, -0x1.faeca433533cdp-6, -0x1.ec9f6d32b7e4ap-6, -0x1.deaadcfb82703p-6, -0x1.d10d4aab375d7p-6, -0x1.c3c5118570bbdp-6, -0x1.b6d0910a8fd14p-6, -0x1.aa2e2d0cdda46p-6, -0x1.9ddc4dc4352b1p-6, -0x1.91d95fe035b32p-6, -0x1.8623d4991087p-6, -0x1.7aba21bef76dcp-6, -0x1.6f9ac1c83b82cp-6, -0x1.64c433de209d9p-6, -0x1.5a34fbe874c54p-6, -0x1.4feba297f2b81p-6, -0x1.45e6b56f7ce75p-6, -0x1.3c24c6cc351efp-6, -0x1.32a46dec81094p-6, -0x1.296446f5fe5ebp-6, -0x1.2062f2fa763d6p-6, -0x1.179f17fbd3e09p-6, -0x1.0f1760ef2b631p-6, -0x1.06ca7dbed62e2p-6, -0x1.fd6e46975ddbbp-7, -0x1.edb816daf204cp-7, -0x1.de6fe9e4e40acp-7, -0x1.cf93473c44fffp-7, -0x1.c11fc04ed8d19p-7, -0x1.b312f06bbce84p-7, -0x1.a56a7cbcbd021p-7, -0x1.9824143e499e1p-7, -0x1.8b3d6fb62d852p-7, -0x1.7eb451a9178e7p-7, -0x1.7286864ef1944p-7, -0x1.66b1e38624f94p-7, -0x1.5b3448c5d0f62p-7, -0x1.500b9f0eff5afp-7, -0x1.4535d8dceb2f1p-7, -0x1.3ab0f2145c49cp-7, -0x1.307aeff228e9bp-7, -0x1.2691e0f8e9ae8p-7, -0x1.1cf3dcdde7d6p-7, -0x1.139f047552f79p-7, -0x1.0a91819dc95bcp-7, -0x1.01c9872b3b1acp-7, -0x1.f28aa1a2663d3p-8, -0x1.e20646192401fp-8, -0x1.d20296197fa89p-8, -0x1.c27c3d38c397cp-8, -0x1.b36ff81337d8bp-8, -0x1.a4da941bcac28p-8, -0x1.96b8ef6af5be6p-8, -0x1.8907f88ce9ad5p-8, -0x1.7bc4ae4f14f47p-8, -0x1.6eec1f8d12f19p-8, -0x1.627b6afd1064ap-8, -0x1.566fbefbb75f3p-8, -0x1.4ac65957acde1p-8, -0x1.3f7c871caf3f9p-8, -0x1.348fa45e61b03p-8, -0x1.29fd1c02d1818p-8, -0x1.1fc2678cc13cfp-8, -0x1.15dd0ee5c1e43p-8, -0x1.0c4aa8282cf39p-8, -0x1.0308d768ff258p-8, -0x1.f42a9d0353499p-9, -0x1.e2db99b3b0879p-9, -0x1.d2203e6280dcp-9, -0x1.c1f43ed2f3569p-9, -0x1.b253689fd9dfdp-9, -0x1.a339a2cfc3853p-9, -0x1.94a2ed696354fp-9, -0x1.868b61084e7bcp-9, -0x1.78ef2e722708cp-9, -0x1.6bca9e2c3ce9cp-9, -0x1.5f1a1011b0f1bp-9, -0x1.52d9faea2a3d7p-9, -0x1.4706ec012938ep-9, -0x1.3b9d86bdff055p-9, -0x1.309a843c7bd57p-9, -0x1.25fab2e6567f5p-9, -0x1.1bbaf60d5ac72p-9, -0x1.11d845866b549p-9, -0x1.084fad4556343p-9, -0x1.fe3c99f3162d1p-10, -0x1.ec82af577bfeep-10, -0x1.db6c26b8e2aa2p-10, -0x1.caf3b146f6041p-10, -0x1.bb1424a105f5cp-10, -0x1.abc87a19097p-10, -0x1.9d0bcdf8a86aap-10, -0x1.8ed95ec86a331p-10, -0x1.812c8c98f8485p-10, -0x1.7400d84e90c94p-10, -0x1.6751e2eea6353p-10, -0x1.5b1b6cefbd618p-10, -0x1.4f59558b82e3fp-10, -0x1.44079a1328d4p-10, -0x1.3922554608632p-10, -0x1.2ea5beaa982f3p-10, -0x1.248e29e9ac0c7p-10, -0x1.1ad8062c0cea8p-10, -0x1.117fdd7a66939p-10, -0x1.0882541f92074p-10, -0x1.ffb8501a63b82p-11, -0x1.ef1460856962dp-11, -0x1.df12b86d599e5p-11, -0x1.cfad66850f831p-11, -0x1.c0dea8214594fp-11, -0x1.b2a0e819735c4p-11, -0x1.a4eebdad64e32p-11, -0x1.97c2eb6f82dbdp-11, -0x1.8b185e33ccca1p-11, -0x1.7eea2c037dcp-11, -0x1.7333931559e39p-11, -0x1.67eff8ca9c9ebp-11, -0x1.5d1ae8b082fbap-11, -0x1.52b013866c50ap-11, -0x1.48ab4e4888747p-11, -0x1.3f08913f0d2c6p-11, -0x1.35c3f711ea0c6p-11, -0x1.2cd9bbe0f3cdbp-11, -0x1.24463c607c13ep-11, -0x1.1c05f4fa4cd77p-11, -0x1.141580f3007bbp-11, -0x1.0c719993a7b28p-11, -0x1.05171557b800dp-11, -0x1.fc05ce3e64e5bp-12, -0x1.ee643ac9fc74p-12, -0x1.e143c2f2cc2bep-12, -0x1.d49eed815ff65p-12, -0x1.c87073eb83cf3p-12, -0x1.bcb340e196acbp-12, -0x1.b1626ee3c1b6fp-12, -0x1.a67946df05db1p-12, -0x1.9bf33ed2060c4p-12, -0x1.91cbf8796ce0ap-12, -0x1.87ff4003dc6c2p-12, -0x1.7e890acd4c6d2p-12, -0x1.75657621b82bfp-12, -0x1.6c90c6070994ap-12, -0x1.6407640e1f52ap-12, -0x1.5bc5de2adccfbp-12, -0x1.53c8e5931ce8ap-12, -0x1.4c0d4da47a47dp-12, -0x1.44900ad0c9d1fp-12, -0x1.3d4e31912d78dp-12, -0x1.3644f55fa8efap-12, -0x1.2f71a7b718bbp-12, -0x1.28d1b71974a3cp-12, -0x1.2262ae1c3eed8p-12, -0x1.1c22327b0b25ep-12, -0x1.160e042ffac58p-12, -0x1.1023fc921d2bap-12, -0x1.0a620d799214dp-12, -0x1.04c6406957206p-12, -0x1.fe9d6b7d4f403p-13, -0x1.f3f347cba2d96p-13, -0x1.e98aad28cea58p-13, -0x1.df605c116edaep-13, -0x1.d5713c9cd4d1ep-13, -0x1.cbba5d1066b6p-13, -0x1.c238f07cefbfap-13, -0x1.b8ea4d65af6cap-13, -0x1.afcbec70ec443p-13, -0x1.a6db6721f1d59p-13, -0x1.9e16769c2545ap-13, -0x1.957af26f26836p-13, -0x1.8d06cf6bb6148p-13, -0x1.84b81e813270ep-13, -0x1.7c8d0ba38d666p-13, -0x1.7483dcb97b5eep-13, -0x1.6c9af092b6b3ap-13, -0x1.64d0bde62f6ccp-13, -0x1.5d23d257e85f8p-13, -0x1.5592d1866fa7cp-13, -0x1.4e1c741fb623bp-13, -0x1.46bf86fd1ab5ap-13, -0x1.3f7aea468aabcp-13, -0x1.384d909c86aaep-13, -0x1.31367e48e0df9p-13, -0x1.2a34c8761408ap-13, -0x1.2347946d02b86p-13, -0x1.1c6e16d902decp-13, -0x1.15a793120079ap-13, -0x1.0ef35a6ca1cc6p-13, -0x1.0850cb9037fa1p-13, -0x1.01bf51d26ae5dp-13, -0x1.f67cc930c464ep-14, -0x1.e99b0d7ac1257p-14, -0x1.dcd88bfd4a8f3p-14, -0x1.d03474d8c9eb4p-14, -0x1.c3ae0bbfac6f8p-14, -0x1.b744a6ec175b2p-14, -0x1.aaf7ae1f370aap-14, -0x1.9ec699a9c2bp-14, -0x1.92b0f17d80a06p-14, -0x1.86b64c4792499p-14, -0x1.7ad64e934556bp-14, -0x1.6f10a9f531a0dp-14, -0x1.63651c3e68a7ep-14, -0x1.57d36eb77f73bp-14, -0x1.4c5b756337989p-14, -0x1.40fd0e4895793p-14, -0x1.35b820c428afep-14, -0x1.2a8c9ce056b35p-14, -0x1.1f7a7ab471ac8p-14, -0x1.1481b9ca69c5p-14, -0x1.09a2608ae707fp-14, -0x1.fdb8f75f39a04p-15, -0x1.e8603b774c41bp-15, -0x1.d33abcf37938ep-15, -0x1.be48b5003d028p-15, -0x1.a98a6573e9ab1p-15, -0x1.950017ec21bd4p-15, -0x1.80aa1cf5a8c89p-15, -0x1.6c88cb3e3af4cp-15, -0x1.589c7ed017b07p-15, -0x1.44e59856f0371p-15, -0x1.31647c6defb61p-15, -0x1.1e1992f68f3e8p-15, -0x1.0b054677ea933p-15, -0x1.f050070ca7102p-16, -0x1.cb047065ac3f4p-16, -0x1.a628a704dedeep-16, -0x1.81bd89d962cadp-16, -0x1.5dc3f7c3218dfp-16, -0x1.3a3cceac48424p-16, -0x1.1728eab01cf85p-16, -0x1.e9124a9d6dd53p-17, -0x1.a4bca95a5c3f2p-17, -0x1.615295c38019ep-17, -0x1.1ed5aa970be2ap-17, -0x1.ba8eefd51b6fcp-18, -0x1.3953040c19a8cp-18, -0x1.73f5014ee2dfdp-19, -0x1.e441c63764137p-21, 0x1.f808efe82f663p-21, 0x1.713dda82d9eadp-19, 0x1.304ebf63aabe9p-18, 0x1.a60e40ea887bcp-18, 0x1.0ceda0e76cd25p-17, 0x1.45d9db52798ebp-17, 0x1.7dcadcd428f52p-17, 0x1.b4bfc5d552b05p-17, 0x1.eab7ca73c0fa5p-17, 0x1.0fd9196f731c7p-16, 0x1.29d72dd40d70cp-16, 0x1.4355db036b656p-16, 0x1.5c54e408be7a9p-16, 0x1.74d41675a2c99p-16, 0x1.8cd34a73daa5cp-16, 0x1.a45262d21bca7p-16, 0x1.bb514d0c1da4dp-16, 0x1.d1d0014e300fbp-16, 0x1.e7ce82748dab4p-16, 0x1.fd4cde069acfp-16, 0x1.092596172c372p-15, 0x1.1364c7d61550cp-15, 0x1.1d641ae398c3cp-15, 0x1.2723ab1d32056p-15, 0x1.30a3998f48a6cp-15, 0x1.39e40c68c3b58p-15, 0x1.42e52eed3c074p-15, 0x1.4ba73165ea9f5p-15, 0x1.542a491162ac5p-15, 0x1.5c6eb0122b4a7p-15, 0x1.6474a55c4fbdep-15, 0x1.6c3c6ca1f2c1p-15, 0x1.73c64e3efb3cep-15, 0x1.7b129723e98e4p-15, 0x1.822198bfe4785p-15, 0x1.88f3a8ea1081ep-15, 0x1.8f8921ca3e58dp-15, 0x1.95e261c0ff5dep-15, 0x1.9bffcb4f2f7a2p-15, 0x1.a1e1c4fd00db2p-15, 0x1.a788b9409578cp-15, 0x1.acf5166435866p-15, 0x1.b2274e6c2b763p-15, 0x1.b71fd6fc550b3p-15, 0x1.bbdf293d6e864p-15, 0x1.c065c1c228dc8p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.be0c537120675p-1, 0x1.bd3bf80e72539p-1, 0x1.bc5c4b7d2d965p-1, 0x1.bb6cfed840468p-1, 0x1.ba6dcbd605a6ep-1, 0x1.b95e74c495737p-1, 0x1.b83ec47a05825p-1, 0x1.b70e8e3a5a5e5p-1, 0x1.b5cdad94b6dbp-1, 0x1.b47c063924527p-1, 0x1.b31983c82221ep-1, 0x1.b1a6199d0bc24p-1, 0x1.b021c2943e23dp-1, 0x1.ae8c80cdc9789p-1, 0x1.ace65d6d677cap-1, 0x1.ab2f685850627p-1, 0x1.a967b7f17d8bdp-1, 0x1.a78f68d4cdbaap-1, 0x1.a5a69d917b4ffp-1, 0x1.a3ad7e643a5d2p-1, 0x1.a1a438f15410ep-1, 0x1.9f8affff02939p-1, 0x1.9d620b304a732p-1, 0x1.9b2996c086d77p-1, 0x1.98e1e33fd3d03p-1, 0x1.968b35507fdc2p-1, 0x1.9425d565a2919p-1, 0x1.91b20f82f6884p-1, 0x1.8f3032fe0eb58p-1, 0x1.8ca09240f5f66p-1, 0x1.8a03828e4fa62p-1, 0x1.87595bc70164p-1, 0x1.84a2783171e8fp-1, 0x1.81df34426465fp-1, 0x1.7f0fee6777059p-1, 0x1.7c3506d347a2fp-1, 0x1.794edf4b423c9p-1, 0x1.765ddaf7167e4p-1, 0x1.73625e31da8b4p-1, 0x1.705cce5cd1228p-1, 0x1.6d4d91b3d74b9p-1, 0x1.6a350f23740bdp-1, 0x1.6713ae208353ap-1, 0x1.63e9d6817beafp-1, 0x1.60b7f0594758bp-1, 0x1.5d7e63d3a727ap-1, 0x1.5a3d991321d0bp-1, 0x1.56f5f8106f5f7p-1, 0x1.53a7e87b60c35p-1, 0x1.5053d19d365d1p-1, 0x1.4cfa1a3c65583p-1, 0x1.499b2881bb527p-1, 0x1.463761dee132bp-1, 0x1.42cf2af62e728p-1, 0x1.3f62e783c8e67p-1, 0x1.3bf2fa48071e8p-1, 0x1.387fc4f30de5ep-1, 0x1.3509a8119f6c4p-1, 0x1.319102fb1743p-1, 0x1.2e1633c086a4dp-1, 0x1.2a99971ceb50dp-1, 0x1.271b88667a272p-1, 0x1.239c6180f0fefp-1, 0x1.201c7ad0edbabp-1, 0x1.1c9c2b303c884p-1, 0x1.191bc7e31b194p-1, 0x1.159ba48e63dbp-1, 0x1.121c132e9d705p-1, 0x1.0e9d640fe569dp-1, 0x1.0b1fe5c6ad705p-1, 0x1.07a3e529460abp-1, 0x1.0429ad4a2dfc5p-1, 0x1.00b187731e884p-1, 0x1.fa7776419f867p-2, 0x1.f3911bfed8c36p-2, 0x1.ecb087cf5b7e2p-2, 0x1.e5d63db9353e5p-2, 0x1.df02be13c5e56p-2, 0x1.d83685859c1fdp-2, 0x1.d1720d03764fp-2, 0x1.cab5c9d0509cp-2, 0x1.c4022d7e78b9bp-2, 0x1.bd57a5f19f6aep-2, 0x1.b6b69d61d2b11p-2, 0x1.b01f7a5f5dfefp-2, 0x1.a9929fd7833efp-2, 0x1.a3106d19fbf4fp-2, 0x1.9c993ddf435ecp-2, 0x1.962d6a4f94045p-2, 0x1.8fcd470a94539p-2, 0x1.8979252fab3d1p-2, 0x1.83315266e9e91p-2, 0x1.7cf618ea8d27bp-2, 0x1.76c7bf910494fp-2, 0x1.70a689d77b7a5p-2, 0x1.6a92b7ecd78efp-2, 0x1.648c86bd29a03p-2, 0x1.5e942ffd86765p-2, 0x1.58a9ea383ba45p-2, 0x1.52cde8d962058p-2, 0x1.4d005c3bbf652p-2, 0x1.474171b5f0472p-2, 0x1.419153a7db939p-2, 0x1.3bf029885c5afp-2, 0x1.365e17f327db2p-2, 0x1.30db40b6e141bp-2, 0x1.2b67c2e35a4abp-2, 0x1.2603bad7f8d0ap-2, 0x1.20af42523b25dp-2, 0x1.1b6a707c59e58p-2, 0x1.163559fbfc3d7p-2, 0x1.1110110101541p-2, 0x1.0bfaa55450b7fp-2, 0x1.06f52466b800dp-2, 0x1.01ff995fca337p-2, 0x1.fa341a597902cp-3, 0x1.f0890d1e87d45p-3, 0x1.e6fe1458cd185p-3, 0x1.dd93353688529p-3, 0x1.d44870e79ccc2p-3, 0x1.cb1dc4bae0a4bp-3, 0x1.c2132a3b452f8p-3, 0x1.b928974cc3811p-3, 0x1.b05dfe49286ffp-3, 0x1.a7b34e1c8faa1p-3, 0x1.9f287261b2ce6p-3, 0x1.96bd537de95c7p-3, 0x1.8e71d6bce94f7p-3, 0x1.8645de6c30a3ep-3, 0x1.7e3949f62ce4cp-3, 0x1.764bf5fd057c8p-3, 0x1.6e7dbc751436cp-3, 0x1.66ce74bf032a2p-3, 0x1.5f3df3c18e44ep-3, 0x1.57cc0c02e4f99p-3, 0x1.50788dc1adcd7p-3, 0x1.4943470da21b5p-3, 0x1.422c03dfc914cp-3, 0x1.3b328e3246926p-3, 0x1.3456ae17c4bc2p-3, 0x1.2d9829d271806p-3, 0x1.26f6c5ea8e181p-3, 0x1.207245449b24ap-3, 0x1.1a0a693707062p-3, 0x1.13bef19f7fd4dp-3, 0x1.0d8f9cf7c5cfcp-3, 0x1.077c286a1a667p-3, 0x1.01844fe537a15p-3, 0x1.f74f9c5fb16cap-4, 0x1.ebccb9f7ae999p-4, 0x1.e07f69f19cfbep-4, 0x1.d5671bccaa512p-4, 0x1.ca833d4b8d993p-4, 0x1.bfd33a972ed39p-4, 0x1.b5567e607f263p-4, 0x1.ab0c720165481p-4, 0x1.a0f47d9cd50e3p-4, 0x1.970e083e075fdp-4, 0x1.8d5877f6d8065p-4, 0x1.83d331fd4d90dp-4, 0x1.7a7d9ac8479aap-4, 0x1.7157162b596f2p-4, 0x1.685f0771d165ep-4, 0x1.5f94d178ef999p-4, 0x1.56f7d6c94d629p-4, 0x1.4e8779af79a15p-4, 0x1.46431c53cb132p-4, 0x1.3e2a20d169bfap-4, 0x1.363be94c96e31p-4, 0x1.2e77d8082fd03p-4, 0x1.26dd4f7a73871p-4, 0x1.1f6bb2610b2eap-4, 0x1.182263d459d62p-4, 0x1.1100c75a14604p-4, 0x1.0a0640f727385p-4, 0x1.03323540ea59cp-4, 0x1.f90812db51df8p-5, 0x1.ebf646c8fb921p-5, 0x1.df2dd39912658p-5, 0x1.d2ad8837039edp-5, 0x1.c674354749fap-5, 0x1.ba80ad42149e1p-5, 0x1.aed1c48cb4ed2p-5, 0x1.a3665191e1f75p-5, 0x1.983d2cd8d0286p-5, 0x1.8d55311b29809p-5, 0x1.82ad3b59e875p-5, 0x1.78442af11ef79p-5, 0x1.6e18e1aaae397p-5, 0x1.642a43cff68bap-5, 0x1.5a77383a83f06p-5, 0x1.50fea863c0833p-5, 0x1.47bf8073b1ff3p-5, 0x1.3eb8af4ec4d9ap-5, 0x1.35e926a2b24f5p-5, 0x1.2d4fdaf280576p-5, 0x1.24ebc3a1a8255p-5, 0x1.1cbbdafe61783p-5, 0x1.14bf1e4b22e65p-5, 0x1.0cf48dc7512a1p-5, 0x1.055b2cb72e53dp-5, 0x1.fbe402d60eef3p-6, 0x1.ed702a8b5292cp-6, 0x1.df58e98441ddp-6, 0x1.d19c5ef19b2e4p-6, 0x1.c438b04797575p-6, 0x1.b72c094573d08p-6, 0x1.aa749bfbc480bp-6, 0x1.9e10a0d1914d5p-6, 0x1.91fe56884e3a1p-6, 0x1.863c023eb5d68p-6, 0x1.7ac7ef7290874p-6, 0x1.6fa07001711cap-6, 0x1.64c3dc2874151p-6, 0x1.5a309283072dap-6, 0x1.4fe4f808c4816p-6, 0x1.45df780a6b12ep-6, 0x1.3c1e842df843dp-6, 0x1.32a09469f53afp-6, 0x1.296426fff4b38p-6, 0x1.2067c07656528p-6, 0x1.17a9eb914a95p-6, 0x1.0f29394b2b0afp-6, 0x1.06e440cc2576bp-6, 0x1.fdb33ec292998p-7, 0x1.ee0ff0e5f4c5bp-7, 0x1.dedbeaf59fb38p-7, 0x1.d0148bf1d234bp-7, 0x1.c1b73ed17d0f8p-7, 0x1.b3c17a6aeb47ep-7, 0x1.a630c15b7586dp-7, 0x1.9902a1ee63ce5p-7, 0x1.8c34b602e9c72p-7, 0x1.7fc4a2f169479p-7, 0x1.73b0196ff13b6p-7, 0x1.67f4d57613a7ep-7, 0x1.5c909e200bc53p-7, 0x1.518145915b929p-7, 0x1.46c4a8d6c7b69p-7, 0x1.3c58afc7dcba3p-7, 0x1.323b4ce7f4563p-7, 0x1.286a7d46ca4d7p-7, 0x1.1ee44860ab1a2p-7, 0x1.15a6bffe432fap-7, 0x1.0cb000141b0f7p-7, 0x1.03fe2ea1c4d59p-7, 0x1.f71ef7218e201p-8, 0x1.e6c4412695026p-8, 0x1.d6e8c20528778p-8, 0x1.c789137aa44b3p-8, 0x1.b8a1e20b85359p-8, 0x1.aa2fecbf7884ap-8, 0x1.9c3004dd3f4c2p-8, 0x1.8e9f0da66cfe8p-8, 0x1.8179fc130e188p-8, 0x1.74bdd68d489bbp-8, 0x1.6867b4acf9b8bp-8, 0x1.5c74bef363cbep-8, 0x1.50e22e86efc74p-8, 0x1.45ad4cef12a2ap-8, 0x1.3ad373d05d955p-8, 0x1.30520ca8c189bp-8, 0x1.2626908c119e2p-8, 0x1.1c4e87e0cc045p-8, 0x1.12c78a1d2fffcp-8, 0x1.098f3d84aadefp-8, 0x1.00a356e5a2af2p-8, 0x1.f00332af4d19ep-9, 0x1.df4fabf411959p-9, 0x1.cf27d765d98ep-9, 0x1.bf878ddd97141p-9, 0x1.b06ac2c0f05e1p-9, 0x1.a1cd83834afdap-9, 0x1.93abf727e9cd6p-9, 0x1.86025dc526998p-9, 0x1.78cd1008ce43p-9, 0x1.6c087ebdaa111p-9, 0x1.5fb132523b40bp-9, 0x1.53c3ca60b6562p-9, 0x1.483cfd383d9f8p-9, 0x1.3d19976766badp-9, 0x1.32567b480fa14p-9, 0x1.27f0a08c86975p-9, 0x1.1de513ce0fb4ap-9, 0x1.1430f61cc3829p-9, 0x1.0ad17c90d7045p-9, 0x1.01c3efdd44b7ep-9, 0x1.f20b57c7c702bp-10, 0x1.e1283e95cce06p-10, 0x1.d0d99627a141bp-10, 0x1.c11a8467b172dp-10, 0x1.b1e6525b8345p-10, 0x1.a3386b5a4c78ep-10, 0x1.950c5c467fe36p-10, 0x1.875dd2ca41aa7p-10, 0x1.7a289c96d91fp-10, 0x1.6d68a6a7052dbp-10, 0x1.6119fc8450acbp-10, 0x1.5538c78f54833p-10, 0x1.49c14e4ae689dp-10, 0x1.3eaff3aa42a73p-10, 0x1.3401366219e45p-10, 0x1.29b1b03c961bap-10, 0x1.1fbe1570415f9p-10, 0x1.162333f9d7d9bp-10, 0x1.0cddf2f8ffa1ep-10, 0x1.03eb520fdf1edp-10, 0x1.f690d18b22f9ap-11, 0x1.e5e4cbd6e0ab2p-11, 0x1.d5cd1e0a6b612p-11, 0x1.c6447f67d464ep-11, 0x1.b745d2473b23dp-11, 0x1.a8cc22f7c79b4p-11, 0x1.9ad2a6a620504p-11, 0x1.8d54ba48537e6p-11, 0x1.804de18f2347p-11, 0x1.73b9c5dcac196p-11, 0x1.6794354054a89p-11, 0x1.5bd92177fca1ep-11, 0x1.50849ef65a5e7p-11, 0x1.4592e3ee7abc5p-11, 0x1.3b00476454076p-11, 0x1.30c940425d4f4p-11, 0x1.26ea64741b4e2p-11, 0x1.1d60680593c9cp-11, 0x1.14281c4796fe7p-11, 0x1.0b3e6ef8d2783p-11, 0x1.02a06973982eep-11, 0x1.f4965fc0a06e1p-12, 0x1.e47800d901855p-12, 0x1.d4e0650cb95ecp-12, 0x1.c5ca6c3995ca1p-12, 0x1.b73125c7a5db9p-12, 0x1.a90fcf3ac13p-12, 0x1.9b61d2cc98c8fp-12, 0x1.8e22c60f36efbp-12, 0x1.814e6897c0a2cp-12, 0x1.74e0a2b166fc5p-12, 0x1.68d584185a2fcp-12, 0x1.5d2942bca471cp-12, 0x1.51d8398cc9ab1p-12, 0x1.46dee7480779ep-12, 0x1.3c39ed581cbecp-12, 0x1.31e60eb26de9fp-12, 0x1.27e02ec06cd3p-12, 0x1.1e25504f1f2b7p-12, 0x1.14b29485a4ec5p-12, 0x1.0b8539e29ec66p-12, 0x1.029a9b405172cp-12, 0x1.f3e05dbed4d7p-13, 0x1.e3070af083243p-13, 0x1.d2a492a4f97afp-13, 0x1.c2b47ac5e5ec1p-13, 0x1.b33278df5fb1bp-13, 0x1.a41a7073f66b9p-13, 0x1.9568715c89dedp-13, 0x1.8718b633a95e3p-13, 0x1.7927a2cc45b67p-13, 0x1.6b91c2b37a2c7p-13, 0x1.5e53c7bd29e64p-13, 0x1.516a889b411a7p-13, 0x1.44d2ff7f5be04p-13, 0x1.388a48c698fb7p-13, 0x1.2c8da1af637e2p-13, 0x1.20da6718fa82fp-13, 0x1.156e144c800dap-13, 0x1.0a4641cf581ffp-13, 0x1.fec1487d4ebf7p-14, 0x1.e97616676483p-14, 0x1.d4a6c061f32bdp-14, 0x1.c04f4b2f93712p-14, 0x1.ac6beb4c4bb5ep-14, 0x1.98f902f98b1f3p-14, 0x1.85f32059ff7e5p-14, 0x1.7356fb9ce43bap-14, 0x1.612175386394ap-14, 0x1.4f4f9432b18bap-14, 0x1.3dde847983f07p-14, 0x1.2ccb95478b46ap-14, 0x1.1c14379795e38p-14, 0x1.0bb5fca50249bp-14, 0x1.f75d28f25b135p-15, 0x1.d7f7990b1085ap-15, 0x1.b9371c93f90bdp-15, 0x1.9b17bc0eae454p-15, 0x1.7d95b2fabf0dep-15, 0x1.60ad6d68a6dc8p-15, 0x1.445b85a2eb56cp-15, 0x1.289cc1ecca971p-15, 0x1.0d6e1255e723ap-15, 0x1.e5991d44b5fd8p-16, 0x1.b16ae88d4c075p-16, 0x1.7e4c48edce2fdp-16, 0x1.4c384491b67c4p-16, 0x1.1b2a21d02e378p-16, 0x1.d63ac76fdae2p-17, 0x1.781b8d7b12927p-17, 0x1.1bee7b16588bap-17, 0x1.8357b7c30e26p-18, 0x1.a5316f9d64b48p-19, 0x1.2c901f9e5d48p-21, -0x1.079356d64c87bp-19, -0x1.2986fd8aaa70ap-18, -0x1.cbb2033417a45p-18, -0x1.352b201f9bbp-17, -0x1.82bf5a558b9cbp-17, -0x1.ce9af2a8ab002p-17, -0x1.0c61790dbf6f6p-16, -0x1.309e161f9204p-16, -0x1.5405a17effce2p-16, -0x1.769a551cf283fp-16, -0x1.985e559f82dbfp-16, -0x1.b953b406965fdp-16, -0x1.d97c6f3c48f43p-16, -0x1.f8da7591d91bep-16, -0x1.0bb7d314db773p-15, -0x1.1a9ee927afe7fp-15, -0x1.29235f5ed25c6p-15, -0x1.37461269fc11fp-15, -0x1.4507d9ddad1dap-15, -0x1.526988bdbd4b5p-15, -0x1.5f6bee004c3aep-15, -0x1.6c0fd5095ee84p-15, -0x1.7856061f64fe3p-15, -0x1.843f46d8f253cp-15, -0x1.8fcc5a83e4ca4p-15, -0x1.9afe02863de0bp-15, -0x1.a5d4feb8e6c12p-15, -0x1.b0520dbc9ee95p-15, -0x1.ba75ed494e5b6p-15, -0x1.c4415a77f1be1p-15, -0x1.cdb512075a116p-15, -0x1.d6d1d09bf718dp-15, -0x1.df9852fad7b5p-15, -0x1.e80956401ff47p-15, -0x1.f0259811176fep-15, -0x1.f7edd6ca0b0a2p-15, -0x1.ff62d1a8289f4p-15, -0x1.0342a477c38a1p-14, -0x1.06aaff06bf395p-14, -0x1.09ead9dbc255p-14, -0x1.0d02970355e4ap-14, -0x1.0ff29947fa10ep-14, -0x1.12bb443cc81d7p-14, -0x1.155cfc46a2e91p-14, -0x1.17d826a4048b7p-14, -0x1.1a2d29737f0bp-14, -0x1.1c5c6bb8fb564p-14, -0x1.1e665561cc1e4p-14, -0x1.204b4f479febcp-14, -0x1.220bc33265595p-14, -0x1.23a81bd92cf9cp-14, -0x1.2520c4e218979p-14, -0x1.26762ae16663ep-14, -0x1.27a8bb57a25a4p-14, -0x1.28b8e4af0e6c6p-14, -0x1.29a716384b00ep-14, -0x1.2a73c0264bd7fp-14, -0x1.2b1f5389a67b9p-14, -0x1.2baa424b439acp-14, -0x1.2c14ff267e791p-14, -0x1.2c5ffda2bc8a7p-14, -0x1.2c8bb20c87ae3p-14, -0x1.2c98916e33511p-14, -0x1.2c87118817192p-14, -0x1.2c57a8c865961p-14, -0x1.2c0ace42aa7efp-14, -0x1.2ba0f9a6f52abp-14, -0x1.2b1aa338b9899p-14, -0x1.2a7843c56decdp-14, -0x1.29ba549aeca34p-14, -0x1.28e14f7da09fcp-14, -0x1.27edae9e8376cp-14, -0x1.26dfec90f2d4bp-14, -0x1.25b8844063e71p-14, -0x1.2477f0e5f9692p-14, -0x1.231eadfe02a1ep-14, -0x1.21ad373d68e7dp-14, -0x1.202408870e32p-14, -0x1.1e839de124cfep-14, -0x1.1ccc736a82cecp-14, -0x1.1aff054ff3c02p-14, -0x1.191bcfc19210ep-14, -0x1.17234ee824571p-14, -0x1.1515feda8a79cp-14, -0x1.12f45b933604ap-14, -0x1.10bee0e5b8477p-14, -0x1.0e760a746278cp-14, -0x1.0c1a53a601f3dp-14, -0x1.09ac379bb3846p-14, -0x1.072c3126d7209p-14, -0x1.049ababf229ddp-14, -0x1.01f84e78d5ba5p-14, -0x1.fe8acbf628516p-15, -0x1.f904f4ecc912ep-15, -0x1.f3600936aec5bp-15, -0x1.ed9cf922b24cdp-15, -0x1.e7bcb3db5a923p-15, -0x1.e1c0275531d49p-15, -0x1.dba8403d71ca4p-15, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      34, 0x1.cp+1, 0x1.19690dfbb2669p+1, 0x1.12deb65210b92p+1, -0x1.3f80ab33d3762p-3, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.d3137b07075b4p-2, -0x1.5885dd8f235e4p+0, 0x1.7ab851eb851f9p+0, 0x1.f68f53aac9c2ap-3}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.9e646f1561911p-2, -0x1.39ec7c965b76ep+0, 0x1.8242266000782p+0, -0x1.3a19944abe0b9p+0}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.6e8e60807357ep-2, -0x1.1c87e172c6042p+0, 0x1.5c91001997be8p+0, -0x1.8cd73294c0c1p-1}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.43361565c2d28p-2, -0x1.01990f3b6cec9p+0, 0x1.44c1874e1b8ap+0, -0x1.b0700d1785a4ep-1}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.1c04c8bc9cd3ep-2, -0x1.d14f7e6ef8e63p-1, 0x1.2acf49146051cp+0, -0x1.8168990d2b64ap-1}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.f15054ac29bf1p-3, -0x1.a359d6993daa5p-1, 0x1.13af68db441dfp+0, -0x1.79ed8eb3c01d3p-1}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.b1a6506141637p-3, -0x1.790e2bad7f77p-1, 0x1.fa04df4f0ac79p-1, -0x1.56e12c23db2f6p-1}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.7878b7a1c25dp-3, -0x1.52383b33d6e63p-1, 0x1.d0df9c926b5b7p-1, -0x1.4a8dc0bcd2771p-1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.453f39d1b2e5ap-3, -0x1.2e9dce86d4a54p-1, 0x1.a9350052ccfb3p-1, -0x1.36e7d0e8dcd3ap-1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.17785729b280fp-3, -0x1.0e179b7bffe13p-1, 0x1.83e5fbbbfa297p-1, -0x1.19d2fb9fb8a6dp-1}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.dd54da4ce8102p-4, -0x1.e0d382280d1d9p-2, 0x1.6214586b5ee23p-1, -0x1.11cc409843e53p-1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.94ca925fe974ap-4, -0x1.aacd4c7d18644p-2, 0x1.4139466d942d4p-1, -0x1.edf803fe637d1p-2}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.547cfa26a22b4p-4, -0x1.79c6f6b12fdaep-2, 0x1.2395ea074687p-1, -0x1.d4876ed5f0184p-2}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.1ba7fc32ebe5ap-4, -0x1.4d5f5889ba686p-2, 0x1.07794ee5f58fcp-1, -0x1.afea40a9dd149p-2}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.d32830a0b1bbdp-5, -0x1.254a3199c4ebep-2, 0x1.db1e2fa30e089p-2, -0x1.8bcf8e829a554p-2}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.7b2edfe75bc45p-5, -0x1.012e26b0fca78p-2, 0x1.ab9ee11880a21p-2, -0x1.70d7854bba325p-2}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.2e2b8c75c4a84p-5, -0x1.c17b6d696e17cp-3, 0x1.7f5c0e8a4b91cp-2, -0x1.50d25c4e7fb92p-2}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.d5f99c38b04abp-6, -0x1.8760ca96d23b1p-3, 0x1.56f0e4be50b92p-2, -0x1.3bdf097a40dfep-2}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.61309c7ffde72p-6, -0x1.538a36ab83fdfp-3, 0x1.3109543f01423p-2, -0x1.0fb17dc87f9b8p-2}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.f822bbecaab8ap-7, -0x1.2557a2693246ap-3, 0x1.106ee8fdfc2f6p-2, -0x1.055aff63c130dp-2}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.49cf56eac8605p-7, -0x1.f88626e627f1fp-4, 0x1.e224240cfd345p-3, -0x1.d5c50950f64d6p-3}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.6872b020c49bcp-8, -0x1.afe427c62290cp-4, 0x1.a9c4d103460c3p-3, -0x1.9e35dbf4a531ap-3}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.a3f4666ec9e28p-10, -0x1.6fbea0d08fba3p-4, 0x1.781045fa656cap-3, -0x1.716386dc748ecp-3}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, -0x1.bf7ad4b2745bbp-10, -0x1.371edfd2587a3p-4, 0x1.4bbca66f4d32ap-3, -0x1.5c3c0899887fbp-3}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, -0x1.26b723ee1bd1ep-8, -0x1.0562c05c0558ap-4, 0x1.21f2e2d7c1effp-3, -0x1.1dac56bd6986cp-3}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, -0x1.bfbdf090f733bp-8, -0x1.b3790a47f1109p-5, 0x1.ff5602c9bc78p-4, -0x1.0d129c70d132ap-3}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, -0x1.1f46ed245b291p-7, -0x1.66d343b9997c7p-5, 0x1.bec22f298a42ep-4, -0x1.dc126efea8805p-4}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, -0x1.5336deb95e5bp-7, -0x1.23ea079644ad7p-5, 0x1.85a1409019e21p-4, -0x1.75910b23b0c36p-4}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, -0x1.7d1fe64f54d1fp-7, -0x1.d251bba639eb1p-6, 0x1.58cd497756976p-4, -0x1.8da964729af1cp-4}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, -0x1.9e3864cb5bb38p-7, -0x1.6b9e25dd2b6c7p-6, 0x1.29151eb143ff7p-4, -0x1.a792c623c57p-5}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, -0x1.b79d909f1f14ap-7, -0x1.109e1f953925ap-6, 0x1.0fab0890663b4p-4, -0x1.319887a2ed3e2p-3}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, -0x1.ca42aed139431p-7, -0x1.8ad66753c9067p-7, 0x1.8ca673dcd5774p-5, 0x1.2823680a5341p-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.6b851eb851eb8p+1, -0x1.d6e8af81626b3p-7, -0x1.bcd85fa047eacp-8, 0x1.5478b38cf9187p-4, -0x1.5b7d5254d4ac6p-4}, 
        {0x1.6b851eb851eb8p+1, 0x1.cp+1, -0x1.47ae147ae147bp-7, 0x1.48ee4ccc9d502p-6, -0x1.1689a5d1503ffp-7, 0x1.c24b22de66ab8p-4}, 
      }}, 
      -0x1.2961fe7ac9b95p-2, 0x1.87b1054145cdbp-3
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_o_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, -0x1.541a531276a52p-2, -0x1.c1f65404b9f91p-1, -0x1.bb83cf2cf95d5p-5, 0x1.deb702602c908p-2, 0x1.0beea209aaa3bp-1, 0x1.fb4a2339c0ebfp-2, 0, 4, 2}, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5e0260bf5504bp+0, -0x1.42f9888293135p+0, -0x1.288476898a64dp+0, -0x1.0eb5d3fa0af8dp+0, -0x1.eb3a896396a41p-1, -0x1.ba8ef6e40d1c3p-1, -0x1.8b7d27177aa2cp-1, -0x1.5e14faee0c624p-1, -0x1.32627c92f81a8p-1, -0x1.086df6d512bdfp-1, -0x1.c0780d5ce068bp-2, -0x1.739c05146a01fp-2, -0x1.2a4557508f175p-2, -0x1.c8db617e67e9bp-3, -0x1.44175860d2186p-3, -0x1.8c4bdc41d6ca3p-4, -0x1.3ba14c9f8bb4dp-5, 0x1.0e33cab3c6445p-6, 0x1.1821be0cc341p-4, 0x1.e04a54905a294p-4, 0x1.4e33e061e131p-3, 0x1.a675a380dc321p-3, 0x1.f9087b78e543ep-3, 0x1.2314af2140532p-2, 0x1.470632a7cb0bap-2, 0x1.6872f98ac0bdcp-2, 0x1.87753561efd98p-2, 0x1.a426ffd61e2e6p-2, 0x1.bea248b0807c9p-2, 0x1.d700c3da3c3d9p-2, 0x1.ed5bd2c983aabp-2, 0x1.00e63470b65ecp-1, 0x1.0a35773525179p-1, 0x1.12a793d8957dcp-1, 0x1.1a48124a3a85ep-1, 0x1.21221ca7a3f1p-1, 0x1.27407ef12bf37p-1, 0x1.2cada7ebf354ep-1, 0x1.3173a964496d3p-1, 0x1.359c371107547p-1, 0x1.3930a46ffa879p-1, 0x1.3c39e28fac1dp-1, 0x1.3ec07eba04766p-1, 0x1.40cca287dbf7cp-1, 0x1.4266155fd7416p-1, 0x1.43943f000d561p-1, 0x1.445e2a8a56705p-1, 0x1.44ca899951177p-1, 0x1.44dfb713dd18dp-1, 0x1.44a3b9ae7d8fap-1, 0x1.441c4639e9b8ep-1, 0x1.434ec1f763bddp-1, 0x1.4240452aea711p-1, 0x1.40f59e0e6bf45p-1, 0x1.3f73542a8f8e9p-1, 0x1.3dbdabfd09df2p-1, 0x1.3bd8aac19316p-1, 0x1.39c81a2c705b4p-1, 0x1.378f8bea5ff3dp-1, 0x1.35325cc60f453p-1, 0x1.32b3b762fe011p-1, 0x1.3016968dead7bp-1, 0x1.2d5dc7310bd91p-1, 0x1.2a8c5d128caa5p-1, 0x1.27a420f9eabb4p-1, 0x1.24a79217553c1p-1, 0x1.2198cf0f58266p-1, 0x1.1e79d21f79eb4p-1, 0x1.1b4c73c69d0cp-1, 0x1.18126d4bf70e6p-1, 0x1.14cd5b12cb5ep-1, 0x1.117ebeb005be9p-1, 0x1.0e2800bdc759cp-1, 0x1.0aca726f180bap-1, 0x1.07674eea92907p-1, 0x1.03ffbc75e2909p-1, 0x1.0094cd7d51bdp-1, 0x1.fa4f03054dd16p-2, 0x1.f3718bfb236dcp-2, 0x1.ec92ee6c26d29p-2, 0x1.e5b4c23e235d4p-2, 0x1.ded88069b363p-2, 0x1.d7ff84c1f340fp-2, 0x1.d12b0fc597f5p-2, 0x1.ca5c4874f463ep-2, 0x1.c3943e26691fbp-2, 0x1.bcd3ea51cc20ap-2, 0x1.b61c324b80fcbp-2, 0x1.af6de8e8cb825p-2, 0x1.a8c9d008587cep-2, 0x1.a23099fb7a1cp-2, 0x1.9ba2eace35f83p-2, 0x1.9521596d94729p-2, 0x1.8eac70acdc155p-2, 0x1.8844b02b4a0dep-2, 0x1.81ea8d1c9bb1ep-2, 0x1.7b9e72f748679p-2, 0x1.7560c40bc601fp-2, 0x1.6f31da085e7b8p-2, 0x1.6912066d51e06p-2, 0x1.630192f4dab7fp-2, 0x1.5d00c1f276064p-2, 0x1.570fceac5ef67p-2, 0x1.512eedb1a81a8p-2, 0x1.4b5e4d2ebf2b6p-2, 0x1.459e154189defp-2, 0x1.3fee684db31ecp-2, 0x1.3a4f6351405fbp-2, 0x1.34c11e393a539p-2, 0x1.2f43ac35d7615p-2, 0x1.29d71c0d9964bp-2, 0x1.247b786ea4ac2p-2, 0x1.1f30c83dc1447p-2, 0x1.19f70ee26d85cp-2, 0x1.14ce4c8f91babp-2, 0x1.0fb67e8876c3cp-2, 0x1.0aaf9f61b481fp-2, 0x1.05b9a73ddae71p-2, 0x1.00d48c05afd7dp-2, 0x1.f8008337c62f9p-3, 0x1.ee7974184b8bap-3, 0x1.e513cb6b57214p-3, 0x1.dbcf66e23dc27p-3, 0x1.d2ac216460e03p-3, 0x1.c9a9d349e7f1fp-3, 0x1.c0c8528e9b8e4p-3, 0x1.b80772fda1159p-3, 0x1.af670656c518cp-3, 0x1.a6e6dc6e3cb27p-3, 0x1.9e86c347aac63p-3, 0x1.9646872d5bebbp-3, 0x1.8e25f2c468f19p-3, 0x1.8624cf1e9da0ep-3, 0x1.7e42e3caba2bap-3, 0x1.767ff6e3a3ed9p-3, 0x1.6edbcd1eefedep-3, 0x1.675629db32719p-3, 0x1.5feecf2e3cf6fp-3, 0x1.58a57df3882b1p-3, 0x1.5179f5dadd353p-3, 0x1.4a6bf577455ffp-3, 0x1.437b3a4e4e34p-3, 0x1.3ca780e7906c7p-3, 0x1.35f084dc6e557p-3, 0x1.2f5600e809954p-3, 0x1.28d7aef749ab9p-3, 0x1.22754838ec1e1p-3, 0x1.1c2fdbb35e4e8p-3, 0x1.160473ebf1033p-3, 0x1.0ff418e16ecf3p-3, 0x1.09fe81fc16051p-3, 0x1.0423664330267p-3, 0x1.fcc4f8cd402bfp-4, 0x1.f176f590a13c2p-4, 0x1.e65c2f0b04d8ep-4, 0x1.db7410fff6883p-4, 0x1.d0be06ce2947ap-4, 0x1.c6397b8143ecbp-4, 0x1.bbe5d9e36ff27p-4, 0x1.b1c28c8e742b4p-4, 0x1.a7cefdfc7b01fp-4, 0x1.9e0a989869e54p-4, 0x1.9474c6cdb279cp-4, 0x1.8b0cf317b144cp-4, 0x1.81d28810826b4p-4, 0x1.78c4f07f465c3p-4, 0x1.6fe39765d693ap-4, 0x1.672de80ded19ap-4, 0x1.5ea34e15b4022p-4, 0x1.5643357bc6c7fp-4, 0x1.4e0d0aaaa5287p-4, 0x1.46003a8399c99p-4, 0x1.3e1c32691e56fp-4, 0x1.36606048bf332p-4, 0x1.2ecc32a488f08p-4, 0x1.275f189c04d8ap-4, 0x1.201881f4cdd61p-4, 0x1.18f7df22c5505p-4, 0x1.11fca14ff06b7p-4, 0x1.0b263a6403d49p-4, 0x1.04741d0ba95cdp-4, 0x1.fbcb797eff79bp-5, 0x1.eef51b95c365bp-5, 0x1.e2640aa4eab86p-5, 0x1.d61732b5138bep-5, 0x1.ca0d819a91b89p-5, 0x1.be45e7017a641p-5, 0x1.b2bf547962284p-5, 0x1.a778bd80d5905p-5, 0x1.9c71179080a8dp-5, 0x1.91a75a261686fp-5, 0x1.871a7ecef1bd5p-5, 0x1.7cc981326d63cp-5, 0x1.72b35f1bf6b2fp-5, 0x1.68d71884d5cadp-5, 0x1.5f33af9daa798p-5, 0x1.55c828d79a8c5p-5, 0x1.4c938aed2fe82p-5, 0x1.4394deeae06e7p-5, 0x1.3acb30373ea03p-5, 0x1.32358c9ad3591p-5, 0x1.29d3044795baap-5, 0x1.21a2a9e004724p-5, 0x1.19a3927ddfff7p-5, 0x1.11d4d5b87f4bap-5, 0x1.0a358daab9a59p-5, 0x1.02c4d6f87434ap-5, 0x1.f703a1a78295bp-6, 0x1.e8d73a032a36dp-6, 0x1.db02bfbc36e3cp-6, 0x1.cd8480c14215fp-6, 0x1.c05ad03e23ef2p-6, 0x1.b38406a23bdabp-6, 0x1.a6fe81a5d3c7bp-6, 0x1.9ac8a44ed9cc7p-6, 0x1.8ee0d6f4c6aedp-6, 0x1.83458743c2e9p-6, 0x1.77f5283f27b89p-6, 0x1.6cee324330974p-6, 0x1.622f23060c42ep-6, 0x1.57b67d983dd91p-6, 0x1.4d82ca6453a85p-6, 0x1.4392972dfef8ap-6, 0x1.39e477108aaedp-6, 0x1.3077027cbaa54p-6, 0x1.2748d736173dfp-6, 0x1.1e58984fa52efp-6, 0x1.15a4ee281bd38p-6, 0x1.0d2c86658703cp-6, 0x1.04ee13f072b37p-6, 0x1.f9d09ddd28c49p-7, 0x1.ea33e979f436fp-7, 0x1.db038fd3894a1p-7, 0x1.cc3d205adb26bp-7, 0x1.bdde34c754498p-7, 0x1.afe47107aa27fp-7, 0x1.a24d83320251dp-7, 0x1.951723733664fp-7, 0x1.883f13fd7a5fep-7, 0x1.7bc320f634131p-7, 0x1.6fa12063240ddp-7, 0x1.63d6f216fd961p-7, 0x1.58627f9d46419p-7, 0x1.4d41bc25a061ap-7, 0x1.4272a46e76d1ap-7, 0x1.37f33eaf3ab74p-7, 0x1.2dc19a81fbc11p-7, 0x1.23dbd0cc79d91p-7, 0x1.1a4003a8e31a8p-7, 0x1.10ec5e4df8ccap-7, 0x1.07df14f6c6dep-7, 0x1.fe2cc9942c462p-8, 0x1.ed212782b3b8bp-8, 0x1.dc97e11e8d171p-8, 0x1.cc8da50c60b2p-8, 0x1.bcff32fbe1709p-8, 0x1.ade95b735a2d2p-8, 0x1.9f48ff9a74116p-8, 0x1.911b11049bd64p-8, 0x1.835c917b20a5bp-8, 0x1.760a92c6ad32ap-8, 0x1.69223678a3d2ap-8, 0x1.5ca0adb41934p-8, 0x1.508338f689454p-8, 0x1.44c727e07ee24p-8, 0x1.3969d8fde6c7bp-8, 0x1.2e68b98e67dfdp-8, 0x1.23c1454d9818p-8, 0x1.1971063b33be7p-8, 0x1.0f7594633bd35p-8, 0x1.05cc95a657e74p-8, 0x1.f8e77b0420039p-9, 0x1.e6d199b2930b7p-9, 0x1.d5532379c6a71p-9, 0x1.c467ce68c11e3p-9, 0x1.b40b6a0e214dbp-9, 0x1.a439df0a5c21fp-9, 0x1.94ef2ea2cb7ccp-9, 0x1.8627725556c9cp-9, 0x1.77dedb6c6d349p-9, 0x1.6a11b29457443p-9, 0x1.5cbc57709ddb8p-9, 0x1.4fdb40328a23p-9, 0x1.436af9307ace4p-9, 0x1.3768247dbdacp-9, 0x1.2bcf7983efe72p-9, 0x1.209dc49ca805ap-9, 0x1.15cfe6ac639abp-9, 0x1.0b62d4be6d3afp-9, 0x1.015397a17966bp-9, 0x1.ef3e970bb84ecp-10, 0x1.dc863f386669cp-10, 0x1.ca78ab6ad924dp-10, 0x1.b91083c77e79ap-10, 0x1.a848943a0641p-10, 0x1.981bcbbb75e87p-10, 0x1.88853b9ae6728p-10, 0x1.798016c8d3fe2p-10, 0x1.6b07b12402a0cp-10, 0x1.5d177ec9156ddp-10, 0x1.4fab1364a8618p-10, 0x1.42be2186fb1ddp-10, 0x1.364c79fae5d3fp-10, 0x1.2a520b1e55fd6p-10, 0x1.1ecae03d4f195p-10, 0x1.13b320efb9bcfp-10, 0x1.09071078df9b4p-10, 0x1.fd861a532d998p-11, 0x1.e9c71f896b516p-11, 0x1.d6ca55cb86f3p-11, 0x1.c48914d442c5ap-11, 0x1.b2fce5b8f249bp-11, 0x1.a21f81c42ad5p-11, 0x1.91ead156e6f9dp-11, 0x1.8258eacc6590ap-11, 0x1.73a7b40663eb5p-11, 0x1.6548c599bbf6dp-11, 0x1.577bd3f03892bp-11, 0x1.4a3ba55d32ca3p-11, 0x1.3d8328df005acp-11, 0x1.314d751b6d062p-11, 0x1.2595c760e694cp-11, 0x1.1a5782adabb91p-11, 0x1.0f8e2eb9ebf38p-11, 0x1.05357707a2f58p-11, 0x1.f69253ed2e15bp-12, 0x1.e38a6fb9d4701p-12, 0x1.d14b644909151p-12, 0x1.bfcd94d8a7091p-12, 0x1.af09a35db6d88p-12, 0x1.9ef86ed9023cfp-12, 0x1.8f9311b5082c2p-12, 0x1.80d2e02cc5439p-12, 0x1.72b166b9ec526p-12, 0x1.6528688de1bd9p-12, 0x1.5831de10dce6cp-12, 0x1.4bc7f36a7c745p-12, 0x1.3fe5071295d61p-12, 0x1.3483a868def09p-12, 0x1.299e965705112p-12, 0x1.1f30bdf7dded1p-12, 0x1.15353948cef7cp-12, 0x1.0ba74de11813ep-12, 0x1.02826bb1c0a1cp-12, 0x1.f3845796beb65p-13, 0x1.e2c49e5c29d4cp-13, 0x1.d2bd7b3c0df6p-13, 0x1.c36708fe70fe3p-13, 0x1.b4b9ab74bbe2ap-13, 0x1.a6ae0d4ceed62p-13, 0x1.993d1df1d2031p-13, 0x1.8c600f7d92716p-13, 0x1.801054b2c1bb1p-13, 0x1.74479f06d16dap-13, 0x1.68ffdcb67171dp-13, 0x1.5e3336e7953e8p-13, 0x1.53dc0fd4fc974p-13, 0x1.49f5010a0c07ap-13, 0x1.4078d9a5c8eeap-13, 0x1.37629caa4cc98p-13, 0x1.2ead7f5961306p-13, 0x1.2654e79876543p-13, 0x1.1e546a61b92b6p-13, 0x1.16a7ca3fb260cp-13, 0x1.0f4af5d11c703p-13, 0x1.083a06582cb5p-13, 0x1.01713e5373d4bp-13, 0x1.f5da103e3f5bdp-14, 0x1.e953e94487e08p-14, 0x1.dd497402eafcdp-14, 0x1.d1b464bd002ffp-14, 0x1.c68eb53a2eddap-14, 0x1.bbd2a2664938dp-14, 0x1.b17aa9fdeecb3p-14, 0x1.a781884ff77d1p-14, 0x1.9de23609f46cdp-14, 0x1.9497e6199fb1cp-14, 0x1.8b9e039a0271p-14, 0x1.82f02fcf36bbbp-14, 0x1.7a8a4034aaacbp-14, 0x1.72683c93d769ap-14, 0x1.6a865d3130301p-14, 0x1.62e108fe57becp-14, 0x1.5b74d3de54bf2p-14, 0x1.543e7cf692a45p-14, 0x1.4d3aed0904cf6p-14, 0x1.466734e210a5ap-14, 0x1.3fc08bcb55b5p-14, 0x1.39444e0efeb0dp-14, 0x1.32effb80ce9a7p-14, 0x1.2cc1361d0f224p-14, 0x1.26b5c0a8b3416p-14, 0x1.20cb7d5d95bf8p-14, 0x1.1b006ca85fb62p-14, 0x1.1552abe87e8a6p-14, 0x1.0fc0743e437a5p-14, 0x1.0a481961f7dc1p-14, 0x1.04e808847d8ep-14, 0x1.ff3d8e7279d02p-15, 0x1.f4d5e4d3c9884p-15, 0x1.ea967a9e81eep-15, 0x1.e07ce0f51da48p-15, 0x1.d686d1bbdd562p-15, 0x1.ccb22dc953cbap-15, 0x1.c2fcfb1a1f2ebp-15, 0x1.b96563206a063p-15, 0x1.afe9b118e1083p-15, 0x1.a6885073fe5d5p-15, 0x1.9d3fcb470d6d8p-15, 0x1.940ec8d67ca8p-15, 0x1.8af40c223acap-15, 0x1.81ee72850205cp-15, 0x1.78fcf25f43dbbp-15, 0x1.701e99ce81378p-15, 0x1.67528d71c632cp-15, 0x1.5e9807353c9c9p-15, 0x1.55ee5530770fp-15, 0x1.4d54d88bd0fb8p-15, 0x1.44cb046f2c137p-15, 0x1.3c505cfe9e573p-15, 0x1.33e4765aa19f4p-15, 0x1.2b86f3b5aac49p-15, 0x1.2337866b486a5p-15, 0x1.1af5ed179d4bap-15, 0x1.12c1f2d1c2c19p-15, 0x1.0a9b6e5270c5bp-15, 0x1.02824136ad164p-15, 0x1.f4ecae8044f3fp-16, 0x1.e4ef4b43623aep-16, 0x1.d50c54a5148ddp-16, 0x1.c543d6d4208d8p-16, 0x1.b595ecfdf5fb8p-16, 0x1.a602c0276fa31p-16, 0x1.968a860570aabp-16, 0x1.872d7ff2911fep-16, 0x1.77ebf9d196bdcp-16, 0x1.68c64932507cfp-16, 0x1.59bccc4bb4305p-16, 0x1.4acfe919f4601p-16, 0x1.3c000c8cc9c71p-16, 0x1.2d4da9b4fa41cp-16, 0x1.1eb938fd37a95p-16, 0x1.1043377649821p-16, 0x1.01ec261e977b1p-16, 0x1.e769127dd00cbp-17, 0x1.cb39cf95dd345p-17, 0x1.af4b9590431adp-17, 0x1.939f79875c54cp-17, 0x1.78369290a8835p-17, 0x1.5d11f8c8e0a8ep-17, 0x1.4232c45820cc8p-17, 0x1.279a0c9ecac31p-17, 0x1.0d48e75a8839ap-17, 0x1.e680cfbb39a08p-18, 0x1.b3033cc27d344p-18, 0x1.801b2ea603ca3p-18, 0x1.4dcab550e14dep-18, 0x1.1c13d6b971f43p-18, 0x1.d5f11b64f19a1p-19, 0x1.74f591c5de29ep-19, 0x1.1538d3d35cc69p-19, 0x1.6d7d11d4714ecp-20, 0x1.6628ec37b39ecp-21, -0x1.30556e9f47f14p-26, -0x1.73fb778ade2dfp-21, -0x1.6c9a68f65332p-20, -0x1.0e48a77db5f2ep-19, -0x1.64ee538fd55d1p-19, -0x1.ba3b791e592acp-19, -0x1.0716bedfa5669p-18, -0x1.3060f65654c5fp-18, -0x1.58fb3ba909423p-18, -0x1.80e47ae1c8cep-18, -0x1.a81bb38f5eafep-18, -0x1.ce9ff8f177828p-18, -0x1.f47071f80b532p-18, -0x1.0cc62cc808165p-17, -0x1.1ef97f3a2c624p-17, -0x1.30d1e1a619bd9p-17, -0x1.424f0f4fedfb4p-17, -0x1.5370cd657d0c8p-17, -0x1.6436eaea9229ap-17, -0x1.74a140d19f20cp-17, -0x1.84afb1b168f34p-17, -0x1.946229d8084cbp-17, -0x1.a3b89f2aca4c8p-17, -0x1.b2b3110d4319fp-17, -0x1.c1518847fe795p-17, -0x1.cf9416e053bc5p-17, -0x1.dd7ad80debc67p-17, -0x1.eb05f00369162p-17, -0x1.f8358bd5f1f68p-17, -0x1.0284f0aaddbb8p-16, -0x1.08c19773a4fc6p-16, -0x1.0ed0ddada5712p-16, -0x1.14b2eae28c63ap-16, -0x1.1a67eaa793012p-16, -0x1.1ff00c8b6a17ep-16, -0x1.254b83f710983p-16, -0x1.2a7a881e63f11p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2e28190e682e3p+1, -0x1.27c27e1d8f891p+1, -0x1.21563fb8edad4p+1, -0x1.1ae7aa418d3dfp+1, -0x1.147aaa53a6ed7p+1, -0x1.0e12d408e9bp+1, -0x1.07b3653b8916fp+1, -0x1.015f4b3c501dep+1, -0x1.f6324ea1b30dep+0, -0x1.e9c6a2e1f118ep+0, -0x1.dd7fbb046d09p+0, -0x1.d161439885918p+0, -0x1.c56e782df6b36p+0, -0x1.b9aa2aa64e837p+0, -0x1.ae16c94171495p+0, -0x1.a2b66518825dbp+0, -0x1.978ab9fea3f23p+0, -0x1.8c9536d21f439p+0, -0x1.81d7047e51b7ep+0, -0x1.77510b9e37a39p+0, -0x1.6d03fa4d50fd3p+0, -0x1.62f051485b391p+0, -0x1.591658ae93b8fp+0, -0x1.4f762a50432c2p+0, -0x1.460fb9d4629b7p+0, -0x1.3ce2d6caa73d3p+0, -0x1.33ef30d9b65e7p+0, -0x1.2b345b1d9351fp+0, -0x1.22b1cece640e9p+0, -0x1.1a66edbeb335ep+0, -0x1.1253051fee6abp+0, -0x1.0a7550828df89p+0, -0x1.02ccfcae9b4ap+0, -0x1.f6b253ebc6f7p-1, -0x1.e831dbd400b2dp-1, -0x1.da16a9587f803p-1, -0x1.cc5ec4561d978p-1, -0x1.bf08270f141d5p-1, -0x1.b210c152a28edp-1, -0x1.a5767bb583784p-1, -0x1.99373a7512733p-1, -0x1.8d50dfc09d5ffp-1, -0x1.81c14d619c0a3p-1, -0x1.768665ef66e42p-1, -0x1.6b9e0dd06c60bp-1, -0x1.61062c40606b9p-1, -0x1.56bcac74c9344p-1, -0x1.4cbf7ed86aa79p-1, -0x1.430c9a3fb7dd6p-1, -0x1.39a1fcf35ec95p-1, -0x1.307dad78b723ap-1, -0x1.279dbb1349435p-1, -0x1.1f003e0da75fbp-1, -0x1.16a357e321d27p-1, -0x1.0e853364bdedep-1, -0x1.06a404eba3225p-1, -0x1.fdfc153dbc47ep-2, -0x1.ef23198ce7c7cp-2, -0x1.e0b9bc3c88519p-2, -0x1.d2bcb8328bf1ep-2, -0x1.c528de11722c1p-2, -0x1.b7fb1441f7a34p-2, -0x1.ab3056b94a32p-2, -0x1.9ec5c98d4dcf2p-2, -0x1.92b877aa301ep-2, -0x1.87059e737fa42p-2, -0x1.7baa894d55a1ap-2, -0x1.70a4975552019p-2, -0x1.65f13b1965848p-2, -0x1.5b8dfa3f793c5p-2, -0x1.51786d1fd39f6p-2, -0x1.47ae3e55fbba1p-2, -0x1.3e2d2a4cb2f9fp-2, -0x1.34f2fec943e3p-2, -0x1.2bfd9a7939d12p-2, -0x1.234aec8409a29p-2, -0x1.1ad8f420bdc4fp-2, -0x1.12a5c02eac45dp-2, -0x1.0aaf6ecfbd1cp-2, -0x1.02f42d02da397p-2, -0x1.f6e46c7b11179p-3, -0x1.e84fa8089f88ap-3, -0x1.da26bb045dd22p-3, -0x1.cc666e3fb59bp-3, -0x1.bf0ba4377ec19p-3, -0x1.b213584786afbp-3, -0x1.a57a9de35ec41p-3, -0x1.993e9fd58faecp-3, -0x1.8d5c9f85b4d2p-3, -0x1.81d1f4456fd17p-3, -0x1.769c0aa38ef1dp-3, -0x1.6bb863c4940fcp-3, -0x1.612494bf960dp-3, -0x1.56de45fe9fed2p-3, -0x1.4ce332a1e4be1p-3, -0x1.433127e55c1c4p-3, -0x1.39c60488cc986p-3, -0x1.309fb83a8192dp-3, -0x1.27bc43051fc5cp-3, -0x1.1f19b4c13895cp-3, -0x1.16b62c8b36174p-3, -0x1.0e8fd83e2d667p-3, -0x1.06a4f3f3f9d5ap-3, -0x1.fde79315b7c4ep-4, -0x1.eef560611d7c3p-4, -0x1.e07017e57089cp-4, -0x1.d2549aa88ae02p-4, -0x1.c49fe1cea8873p-4, -0x1.b74efdd645c08p-4, -0x1.aa5f15db085e6p-4, -0x1.9dcd66ded6a4ep-4, -0x1.9197431851ebep-4, -0x1.85ba11462e9b6p-4, -0x1.7a334c06f781ap-4, -0x1.6f008135208bap-4, -0x1.641f51474ea8bp-4, -0x1.598d6eb4eb8b6p-4, -0x1.4f489d5f2abf8p-4, -0x1.454eb1feaa7c7p-4, -0x1.3b9d9195d9028p-4, -0x1.323330e83bb8p-4, -0x1.290d93f6b7573p-4, -0x1.202acd80cb9f6p-4, -0x1.1788fe8ac6106p-4, -0x1.0f2655e8ba991p-4, -0x1.07010fce34db7p-4, -0x1.fe2eeac49d469p-5, -0x1.eecfb8b01e1dcp-5, -0x1.dfe14d15797b2p-5, -0x1.d160833beb423p-5, -0x1.c34a4d4283005p-5, -0x1.b59bb36de116ep-5, -0x1.a851d37c0ec9ep-5, -0x1.9b69dffe1d747p-5, -0x1.8ee11fb7321e2p-5, -0x1.82b4ed00bc583p-5, -0x1.76e2b5338afcap-5, -0x1.6b67f815abcddp-5, -0x1.6042474cca516p-5, -0x1.556f45d50c7f3p-5, -0x1.4aeca77c349d5p-5, -0x1.40b83060ffd82p-5, -0x1.36cfb476bf7ap-5, -0x1.2d31170cea9d2p-5, -0x1.23da4a5aca1dcp-5, -0x1.1ac94f0f002d3p-5, -0x1.11fc33e2e6f15p-5, -0x1.09711dfa1b3e7p-5, -0x1.012623c6c229dp-5, -0x1.f2330b98ca4a6p-6, -0x1.e2930dff77e8ap-6, -0x1.d368ecf35b444p-6, -0x1.c4b15e3db9cb7p-6, -0x1.b6692e9418fbdp-6, -0x1.a88d40f282f56p-6, -0x1.9b1a8dfb19df2p-6, -0x1.8e0e235ac2869p-6, -0x1.81652332b7c8p-6, -0x1.751cc386caf09p-6, -0x1.69324db04250ep-6, -0x1.5da31dd504623p-6, -0x1.526ca263070a3p-6, -0x1.478c5b8faf414p-6, -0x1.3cffdadb39084p-6, -0x1.32c4c297bd6b8p-6, -0x1.28d8c573f36d3p-6, -0x1.1f39a609581a5p-6, -0x1.15e5366dc36a6p-6, -0x1.0cd957c834708p-6, -0x1.0413f9e8ca4dcp-6, -0x1.f72635c77b237p-7, -0x1.e6a98d5ea5fc8p-7, -0x1.d6ae2d893dbd6p-7, -0x1.c73063861e319p-7, -0x1.b82c962d30272p-7, -0x1.a99f4540ef931p-7, -0x1.9b8508c4f53d1p-7, -0x1.8dda905948d4fp-7, -0x1.809ca29a52a2ep-7, -0x1.73c81c856a013p-7, -0x1.6759f0e1c5833p-7, -0x1.5b4f27ad67756p-7, -0x1.4fa4dd8e828f4p-7, -0x1.445843485e4cep-7, -0x1.39669d347b76cp-7, -0x1.2ecd42bf1b771p-7, -0x1.24899de7716bp-7, -0x1.1a992ac3615a3p-7, -0x1.10f977066d74ap-7, -0x1.07a8218c05d62p-7, -0x1.fd45b3c9cac2ap-8, -0x1.ebcebfcf00f71p-8, -0x1.dae70686da116p-8, -0x1.ca8a462f2fc36p-8, -0x1.bab45b16a1472p-8, -0x1.ab613ed3f6926p-8, -0x1.9c8d0782c46dap-8, -0x1.8e33e7052855bp-8, -0x1.80522a4a68ed6p-8, -0x1.72e4389a6af4ap-8, -0x1.65e692e5cfb35p-8, -0x1.5955d31a53032p-8, -0x1.4d2eab7c3b82cp-8, -0x1.416de6031fa77p-8, -0x1.361063bbc299fp-8, -0x1.2b131c2d23e23p-8, -0x1.20731cc22fcdfp-8, -0x1.162d8836cd27ap-8, -0x1.0c3f9608ad01dp-8, -0x1.02a691ec03ffap-8, -0x1.f2bfb686d7759p-9, -0x1.e0d1c936dca2bp-9, -0x1.cf7e66524e6ap-9, -0x1.bec0bc98fe6e9p-9, -0x1.ae941e2a4edb5p-9, -0x1.9ef3ff95f16e8p-9, -0x1.8fdbf6f245fbep-9, -0x1.8147baf8abb62p-9, -0x1.733322278242ap-9, -0x1.659a21e9b5ff4p-9, -0x1.5878cdc3a5608p-9, -0x1.4bcb568550349p-9, -0x1.3f8e0981ae744p-9, -0x1.33bd4fcafb67ep-9, -0x1.2855ad73e8bccp-9, -0x1.1d53c0d59854dp-9, -0x1.12b441da28761p-9, -0x1.0874014bf5d08p-9, -0x1.fd1fd05150154p-10, -0x1.ea09edf3d8cf5p-10, -0x1.d7a08a61014d7p-10, -0x1.c5de010a57318p-10, -0x1.b4bcd8b90ff41p-10, -0x1.a437c25dca83dp-10, -0x1.944997e934565p-10, -0x1.84ed5b2aa1d0ap-10, -0x1.761e34b6c879cp-10, -0x1.67d772d4ea9ecp-10, -0x1.5a148873e9145p-10, -0x1.4cd10c2517e6dp-10, -0x1.4008b71e55e5ap-10, -0x1.33b76442328cbp-10, -0x1.27d90f2e56155p-10, -0x1.1c69d350a548p-10, -0x1.1165eb01d4eabp-10, -0x1.06c9aea5b95bcp-10, -0x1.f92327a3ca1bp-11, -0x1.e57458f2dbc64p-11, -0x1.d2804c3c5d191p-11, -0x1.c040920f0582fp-11, -0x1.aeaeeefc3d89cp-11, -0x1.9dc55a19e380bp-11, -0x1.8d7dfb8e19198p-11, -0x1.7dd32b24b8c31p-11, -0x1.6ebf6eee4605p-11, -0x1.603d79e7ef033p-11, -0x1.52482aacc2101p-11, -0x1.44da8a2fffe2dp-11, -0x1.37efca7e1ef89p-11, -0x1.2b83458a6308fp-11, -0x1.1f907bfed810ep-11, -0x1.1413141a3f982p-11, -0x1.0906d8913b874p-11, -0x1.fccf6ef37f87dp-12, -0x1.e86382795c2f1p-12, -0x1.d4c24f1c2a947p-12, -0x1.c1e478df491d4p-12, -0x1.afc2e26cd319dp-12, -0x1.9e56ab321ae2bp-12, -0x1.8d992d89e639dp-12, -0x1.7d83fcf1561a7p-12, -0x1.6e10e4498c7dfp-12, -0x1.5f39e4292e932p-12, -0x1.50f93134e02f5p-12, -0x1.4349328710fb3p-12, -0x1.362480208777p-12, -0x1.2985e165258b8p-12, -0x1.1d684ba4b4373p-12, -0x1.11c6e0abd2263p-12, -0x1.069ced614ebbp-12, -0x1.f7cbd0d6fb57dp-13, -0x1.e33ae1c1abe06p-13, -0x1.cf7e9a038c9f9p-13, -0x1.bc8ed1f660bc5p-13, -0x1.aa63ab65e7096p-13, -0x1.98f58f37c83c3p-13, -0x1.883d2b270a56cp-13, -0x1.78336f8fa242dp-13, -0x1.68d18d493b3e5p-13, -0x1.5a10f393bc9b4p-13, -0x1.4beb4e11babffp-13, -0x1.3e5a82d1a9c55p-13, -0x1.3158b06622c4cp-13, -0x1.24e02c103c25p-13, -0x1.18eb7ff24c6d3p-13, -0x1.0d75694d5ac6dp-13, -0x1.0278d6d9fc9cep-13, -0x1.efe1ce3b626b7p-14, -0x1.dbb1cdaf37c51p-14, -0x1.c8589ee4bedc9p-14, -0x1.b5cd8b1091cb1p-14, -0x1.a4082ed3cc20ap-14, -0x1.9300777b4a2afp-14, -0x1.82aea0389e78p-14, -0x1.730b2f83e6d48p-14, -0x1.640ef483460b5p-14, -0x1.55b30492bfdf1p-14, -0x1.47f0b8d97b7edp-14, -0x1.3ac1abf4c7da3p-14, -0x1.2e1fb7ade50fdp-14, -0x1.2204f2d157297p-14, -0x1.166baf06d0b44p-14, -0x1.0b4e76c7e9878p-14, -0x1.00a80b59fc977p-14, -0x1.ece6c5c7abf0cp-15, -0x1.d96e415cdae9ep-15, -0x1.c6ae7cae9a531p-15, -0x1.b4b654fa89011p-15, -0x1.a37d3a4652a53p-15, -0x1.92faf4c6142c6p-15, -0x1.8327a1984d98ap-15, -0x1.73fbafbad60a4p-15, -0x1.656fdd05e158ap-15, -0x1.577d334e33b98p-15, -0x1.4a1d059ae792ap-15, -0x1.3d48ed6dc99dbp-15, -0x1.30fac82ad6429p-15, -0x1.252cb48cf9931p-15, -0x1.19d9103bbd4bcp-15, -0x1.0efa7564010d2p-15, -0x1.048bb87a77357p-15, -0x1.f50fcc029979bp-16, -0x1.e1d480cd06142p-16, -0x1.cf5c7bf33eb52p-16, -0x1.bd9f0dce12bd6p-16, -0x1.ac93e6a1f9d9fp-16, -0x1.9c3312e6697cep-16, -0x1.8c74f7ade4785p-16, -0x1.7d524f3e71a01p-16, -0x1.6ec425a29e54ep-16, -0x1.60c3d569a2634p-16, -0x1.534b04c20ea5dp-16, -0x1.4653a23e58976p-16, -0x1.39d7e205ac49ep-16, -0x1.2dd23b0c6b604p-16, -0x1.223d6456a7319p-16, -0x1.1714527200943p-16, -0x1.0c5234c1b4ae8p-16, -0x1.01f2735c64293p-16, -0x1.efe1590b4a4e8p-17, -0x1.dc91650114a7fp-17, -0x1.c9ed12b06a857p-17, -0x1.b7ecc9ca3af12p-17, -0x1.a6894d51f5315p-17, -0x1.95bbb7ea157afp-17, -0x1.857d780dcbb1bp-17, -0x1.75c84c80fdeb5p-17, -0x1.669640d22c0c5p-17, -0x1.57e1aa1c456f8p-17, -0x1.49a52397ed73p-17, -0x1.3bdb8bd5f9c4p-17, -0x1.2e8001b26cd9ap-17, -0x1.218de15622b4bp-17, -0x1.1500c19940934p-17, -0x1.08d4715b6e898p-17, -0x1.fa09e9f5cbb6bp-18, -0x1.e31d07ca6ec6p-18, -0x1.ccdb0c8541c5bp-18, -0x1.b73d255d53c08p-18, -0x1.a23cd8529ce5ap-18, -0x1.8dd3ffc1e1b41p-18, -0x1.79fcc69b456b6p-18, -0x1.66b1a47d08df3p-18, -0x1.53ed5a236dd99p-18, -0x1.41aaedbede1ebp-18, -0x1.2fe5a7ba926b2p-18, -0x1.1e990f6508d62p-18, -0x1.0dc0e7f973553p-18, -0x1.fab25aa2bf09ap-19, -0x1.dabc238432cfbp-19, -0x1.bb97f49e895bap-19, -0x1.9d3efa5594cdp-19, -0x1.7faabd21ea30cp-19, -0x1.62d51d182e423p-19, -0x1.46b84d45e2a03p-19, -0x1.2b4ecf946812dp-19, -0x1.10937036631d6p-19, -0x1.ed0283818bba6p-20, -0x1.ba27348cd4066p-20, -0x1.888c1ac612b81p-20, -0x1.5828d6c938eap-20, -0x1.28f578d6cca92p-20, -0x1.f5d4f733b1d1dp-21, -0x1.9c017adc7300bp-21, -0x1.4462f61efbc7p-21, -0x1.ddd927f25a231p-22, -0x1.37244cecd2052p-22, -0x1.292072da02571p-23, 0x1.3f21a40f40c3fp-27, 0x1.4918d9004a154p-23, 0x1.3b3dc5971558ep-22, 0x1.ce200823c9f6dp-22, 0x1.2ea29d6fbaff5p-21, 0x1.745f493854da7p-21, 0x1.b84e3f2ed919ep-21, 0x1.fa77580e23fc1p-21, 0x1.1d710b34bef3p-20, 0x1.3ccad60661fffp-20, 0x1.5b4c7fa2451acp-20, 0x1.78f9585c1e8b8p-20, 0x1.95d4900c34a46p-20, 0x1.b1e1387b94578p-20, 0x1.cd2247a2bc4dfp-20, 0x1.e79a99c7adfefp-20, 0x1.00a679e30e734p-19, 0x1.0d1e01e7c14fep-19, 0x1.1935326aa9656p-19, 0x1.24ed4f949d26ap-19, 0x1.30479521390c7p-19, 0x1.3b4536fa9b089p-19, 0x1.45e76270f516ep-19, 0x1.502f3e263987bp-19, 0x1.5a1dea9b662e5p-19, 0x1.63b48429473fp-19, 0x1.6cf421a94d91ep-19, 0x1.75ddd5cbda702p-19, 0x1.7e72afc0ac88fp-19, 0x1.86b3bb4e81e64p-19, 0x1.8ea2014add4bap-19, 0x1.963e87f4e4223p-19, 0x1.9d8a5352bd6a6p-19, 0x1.a486655cd2f81p-19, 0x1.ab33be7bd839dp-19, 0x1.b1935d90cdd8fp-19, 0x1.b7a640168b878p-19, 0x1.bd6d6355bcd88p-19, 0x1.c2e9c2f7e911p-19, 0x1.c81c5a5471988p-19, 0x1.cd0624263052bp-19, 0x1.d1a81b22542f4p-19, 0x1.d603391f668fap-19, 0x1.da187868c39dbp-19, 0x1.dde8d30df387p-19, 0x1.e1754324e39f5p-19, 0x1.e4bec2dba44f7p-19, 0x1.e7c64c8f7d3acp-19, 0x1.ea8cdaabb7073p-19, 0x1.ed1367f2260cp-19, 0x1.ef5aef544643dp-19, 0x1.f1646c015f795p-19, 0x1.f330d96632d84p-19, 0x1.f4c1332c32515p-19, 0x1.f616751f0b309p-19, 0x1.f7319b84b77e9p-19, 0x1.f813a28938f16p-19, 0x1.f8bd869e3699fp-19, 0x1.f930443b29afdp-19, 0x1.f96cd800894eep-19, 0x1.f9743ebe0c733p-19, 0x1.f94774ac59a69p-19, 0x1.f8e77681e776cp-19, 0x1.f85540a36c9cdp-19, 0x1.f791cf27b9bc6p-19, 0x1.f69e1e3ef78ap-19, 0x1.f57b29705ae07p-19, 0x1.f429ec03fdde1p-19, 0x1.f2ab608af5a14p-19, 0x1.f10081d2df1f9p-19, 0x1.ef2a495d4f97dp-19, 0x1.ed29b04317df2p-19, 0x1.eaffaee608fa8p-19, 0x1.e8ad3cdf167b6p-19, 0x1.e63350ec6de7bp-19, 0x1.e392e0df8bd43p-19, 0x1.e0cce1abc6acep-19, 0x1.dde246f2fab16p-19, 0x1.dad40336b58e1p-19, 0x1.d7a308035064bp-19, 0x1.d45045811c217p-19, 0x1.d0dcaa826d714p-19, 0x1.cd492472cf34dp-19, 0x1.c9969f0edd46dp-19, 0x1.c5c6053349674p-19, 0x1.c1d83f7c536b3p-19, 0x1.bdce35178d708p-19, 0x1.b9a8cb7bf3becp-19, 0x1.b568e65b0407fp-19, 0x1.b10f6790477b2p-19, 0x1.ac9d2f2a022d1p-19, 0x1.a8131b1308d2bp-19, 0x1.a3720768ef0fep-19, 0x1.9ebace2fb6a24p-19, 0x1.99ee4754cd7f2p-19, 0x1.950d48a30b8f9p-19, 0x1.9018a5b71d6p-19, 0x1.8b112ff469058p-19, 0x1.85f7b67f9832ep-19, 0x1.80cd061d0dd6bp-19, 0x1.7b91e985665f7p-19, 0x1.7647286460a1ep-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.32c31829ddc05p-2, -0x1.f5306e476cf5ep-3, -0x1.8203b83e97981p-3, -0x1.0d16bcc638024p-3, -0x1.2ec7df9ac058dp-4, -0x1.0e545be1e030fp-6, 0x1.4bbf474b27151p-5, 0x1.8c3b55d47012dp-4, 0x1.372842336328p-3, 0x1.a58e1b3dc006bp-3, 0x1.0870b0cdff20cp-2, 0x1.3c6318f5fee66p-2, 0x1.6e786f284bc2dp-2, 0x1.9e922dfa597fdp-2, 0x1.cc987373a413ap-2, 0x1.f8796586eb867p-2, 0x1.11144ed61c099p-1, 0x1.24cf488340e5ep-1, 0x1.376bf8300881ep-1, 0x1.48ea84deaf8cdp-1, 0x1.594c9ffe28d8p-1, 0x1.6895479b5903dp-1, 0x1.76c8a1efe4715p-1, 0x1.83ec1e70c322bp-1, 0x1.9005e48d25565p-1, 0x1.9b1cd2f3ed0e4p-1, 0x1.a538613d25b31p-1, 0x1.ae608415cfa37p-1, 0x1.b69d92f6270bcp-1, 0x1.bdf82fb5788f7p-1, 0x1.c47930985398bp-1, 0x1.ca298d091ed6fp-1, 0x1.cf124cc689011p-1, 0x1.d33c79459225p-1, 0x1.d6b1111e30e19p-1, 0x1.d978fd58a6543p-1, 0x1.db9d084d46aa5p-1, 0x1.dd25d5a719c3cp-1, 0x1.de1bdb2319fc7p-1, 0x1.de8759e0ffa6bp-1, 0x1.de7058697508dp-1, 0x1.ddde9dc3b66e4p-1, 0x1.dcd9adf5174abp-1, 0x1.db68c81278b81p-1, 0x1.d992e5c1a543bp-1, 0x1.d75ebbc777776p-1, 0x1.d4d2bb1dde1dbp-1, 0x1.d1f5121117b4cp-1, 0x1.cecbad081d99ap-1, 0x1.cb5c36d3dd2f5p-1, 0x1.c7ac189b2bc9fp-1, 0x1.c3c079a6c6ad3p-1, 0x1.bf9e3f661ec34p-1, 0x1.bb4a0dff80d6ep-1, 0x1.b6c849a0ea1ep-1, 0x1.b21d189d2afe3p-1, 0x1.ad4c66377d1f2p-1, 0x1.a859e5e0f043dp-1, 0x1.a349169cc7c02p-1, 0x1.9e1d464392acdp-1, 0x1.98d9946ce0311p-1, 0x1.9380f4df30dd2p-1, 0x1.8e16317f421fbp-1, 0x1.889ba76b5c87ep-1, 0x1.8314913749326p-1, 0x1.7d82cc0631deep-1, 0x1.77e87f4dc82bap-1, 0x1.7247aef29462bp-1, 0x1.6ca23d5667089p-1, 0x1.66f9ed54ab94ap-1, 0x1.615064232223cp-1, 0x1.5ba72b119af06p-1, 0x1.55ffb1270536dp-1, 0x1.505b4c9ccc362p-1, 0x1.4abb3c3b259f8p-1, 0x1.4520a899af07dp-1, 0x1.3f8ca547e09d8p-1, 0x1.3a0031e0c6f2ap-1, 0x1.347c3b0d3f1f7p-1, 0x1.2f019b77c998ap-1, 0x1.29911cb4d93a7p-1, 0x1.242b78223a295p-1, 0x1.1ed157bfd77ep-1, 0x1.198357039670ep-1, 0x1.144203a968696p-1, 0x1.0f0dde8004f9bp-1, 0x1.09e75c321d96cp-1, 0x1.04cee60b4801bp-1, 0x1.ff89b56ef8e35p-2, 0x1.f5931df76e54ap-2, 0x1.ebba9ccc87d51p-2, 0x1.e200b7ea81577p-2, 0x1.d865e5645002dp-2, 0x1.ceea8c82fe8fep-2, 0x1.c58f06cc70164p-2, 0x1.bc53a0f1800d8p-2, 0x1.b3389ba46cffdp-2, 0x1.aa3e2c593f95p-2, 0x1.a1647df2930bbp-2, 0x1.98abb15d8d541p-2, 0x1.9013de2001dc3p-2, 0x1.879d12dbbc506p-2, 0x1.7f4755c99c914p-2, 0x1.7712a52ecfe49p-2, 0x1.6efef7cde5c7ap-2, 0x1.670c3d54f5215p-2, 0x1.5f3a5ec987e83p-2, 0x1.57893ef285f88p-2, 0x1.4ff8bac00adf4p-2, 0x1.4888a9b0cf14ep-2, 0x1.4138de34b6431p-2, 0x1.3a09260c061f5p-2, 0x1.32f94aa2d624p-2, 0x1.2c0911686183dp-2, 0x1.25383c21fab0fp-2, 0x1.1e868939813dbp-2, 0x1.17f3b407522dp-2, 0x1.117f7517be206p-2, 0x1.0b29826c242e9p-2, 0x1.04f18fb7d886p-2, 0x1.fdae9d3204cc2p-3, 0x1.f1b4dd9b41ddcp-3, 0x1.e5f53cc9d2b65p-3, 0x1.da6f13da57e2bp-3, 0x1.cf21b93ce47eep-3, 0x1.c40c810405396p-3, 0x1.b92ebd2df70acp-3, 0x1.ae87bde86adccp-3, 0x1.a416d1cf2fdadp-3, 0x1.99db46262edabp-3, 0x1.8fd4670f12569p-3, 0x1.86017fbaf20f1p-3, 0x1.7c61da98677c1p-3, 0x1.72f4c17e6686cp-3, 0x1.69b97dd41ac44p-3, 0x1.60af58b62c947p-3, 0x1.57d59b19ac9a5p-3, 0x1.4f2b8dece7857p-3, 0x1.46b07a365ede6p-3, 0x1.3e63a93222a63p-3, 0x1.3644646db19b5p-3, 0x1.2e51f5e296adfp-3, 0x1.268ba80fdee79p-3, 0x1.1ef0c61289334p-3, 0x1.17809bbd0d0c9p-3, 0x1.103a75ae02a4cp-3, 0x1.091da16608a27p-3, 0x1.022a0c8a7ee4bp-3, 0x1.f6bb99ddffd85p-4, 0x1.e971944dd9deap-4, 0x1.dc74ac839164ap-4, 0x1.cfc389426ee46p-4, 0x1.c35cd40e70f39p-4, 0x1.b73f39471af9ep-4, 0x1.ab696840a2f82p-4, 0x1.9fda135baa5a8p-4, 0x1.948ff01b725bfp-4, 0x1.8989b73ab7c78p-4, 0x1.7ec624bf1fc11p-4, 0x1.7443f80b548afp-4, 0x1.6a01f3efc9aa4p-4, 0x1.5ffedeba34412p-4, 0x1.56398243b79f5p-4, 0x1.4cb0abfdd14afp-4, 0x1.43632cfe05bdp-4, 0x1.3a4fda0857d8dp-4, 0x1.31758b9892275p-4, 0x1.28d31dea6a485p-4, 0x1.206771008a093p-4, 0x1.183168aa8529dp-4, 0x1.102fec89cb79p-4, 0x1.0861e815a03fep-4, 0x1.00c64a9e21b8dp-4, 0x1.f2b80e9ce5b95p-5, 0x1.e4442a5c1616ep-5, 0x1.d62ede427f97p-5, 0x1.c87627d220b9bp-5, 0x1.bb180c447c115p-5, 0x1.ae1298878042bp-5, 0x1.a163e13932a7fp-5, 0x1.950a02a23a7edp-5, 0x1.890320af5513bp-5, 0x1.7d4d66e9ce5b6p-5, 0x1.71e7086f05045p-5, 0x1.66ce3fe711938p-5, 0x1.5c014f7a99b11p-5, 0x1.517e80c7d9da4p-5, 0x1.474424d6fba27p-5, 0x1.3d50940db9ecp-5, 0x1.33a22e225f689p-5, 0x1.2a375a0e2f379p-5, 0x1.210e85ff39bdep-5, 0x1.18262749a8457p-5, 0x1.0f7cba5889994p-5, 0x1.0710c29e25f24p-5, 0x1.fdc19507bfadfp-6, 0x1.edd6c6b35139cp-6, 0x1.de5e4a8a29b7fp-6, 0x1.cf555e601b549p-6, 0x1.c0b94d6e57fb6p-6, 0x1.b287702f82bd7p-6, 0x1.a4bd2c3b20127p-6, 0x1.9757f42081cep-6, 0x1.8a5547411e9b5p-6, 0x1.7db2b1aa7d1a5p-6, 0x1.716dcbef99fdcp-6, 0x1.65843b01fb203p-6, 0x1.59f3b00a541e7p-6, 0x1.4eb9e840d4641p-6, 0x1.43d4acc5347b5p-6, 0x1.3941d276726f9p-6, 0x1.2eff39ca5a1dcp-6, 0x1.250acea4d755bp-6, 0x1.1b62882f1dc23p-6, 0x1.120468aeb28ffp-6, 0x1.08ee7d5c55b4ap-6, 0x1.001ede3add246p-6, 0x1.ef275bdc0dc04p-7, 0x1.de96332287f71p-7, 0x1.ce86b11d12873p-7, 0x1.bef558ea6028ep-7, 0x1.afdec1a1c2131p-7, 0x1.a13f96013b47ep-7, 0x1.9314941bd065ap-7, 0x1.855a8d08199d6p-7, 0x1.780e648f2d53fp-7, 0x1.6b2d10dbf5b81p-7, 0x1.5eb39a2adc33p-7, 0x1.529f1a79f4eabp-7, 0x1.46ecbd39a761bp-7, 0x1.3b99befdd8dap-7, 0x1.30a36d2fa6209p-7, 0x1.260725bfb0d79p-7, 0x1.1bc256d9030f4p-7, 0x1.11d27e94a59b3p-7, 0x1.08352aadcd6acp-7, 0x1.fdcff06d8355bp-8, 0x1.ebd1269cd866bp-8, 0x1.da696dad61a0ap-8, 0x1.c9945856e4fefp-8, 0x1.b94d95b4c34ccp-8, 0x1.a990f0b71cf22p-8, 0x1.9a5a4f957e491p-8, 0x1.8ba5b34334f96p-8, 0x1.7d6f36e5339e8p-8, 0x1.6fb30f4998d2cp-8, 0x1.626d8a60e9f3ep-8, 0x1.559b0eb8ef55p-8, 0x1.49381af943097p-8, 0x1.3d4145619879bp-8, 0x1.31b33b49b721dp-8, 0x1.268ac0a331322p-8, 0x1.1bc4af7cd89b4p-8, 0x1.115df787f436bp-8, 0x1.07539d9f2f68cp-8, 0x1.fb45769eb4649p-9, 0x1.e890fcc3bf97ep-9, 0x1.d68450d21fe1ep-9, 0x1.c51a1c9c2c838p-9, 0x1.b44d2fc1c6094p-9, 0x1.a4187ed34a90ap-9, 0x1.94772278789b4p-9, 0x1.8564569a98adbp-9, 0x1.76db79924f1ep-9, 0x1.68d80b58f83bbp-9, 0x1.5b55acbd69193p-9, 0x1.4e501e9c6e799p-9, 0x1.41c3411c8f293p-9, 0x1.35ab12ed65125p-9, 0x1.2a03b08a69064p-9, 0x1.1ec953812b9a3p-9, 0x1.13f851baec743p-9, 0x1.098d1cc9b8911p-9, 0x1.ff0882717f25ep-10, 0x1.ebb4cbc03307p-10, 0x1.d91896779ee29p-10, 0x1.c72d958c5130ap-10, 0x1.b5edacaaa0b37p-10, 0x1.a552eef829ab9p-10, 0x1.95579ddbdd23ep-10, 0x1.85f627cc2f7e7p-10, 0x1.77292723a54edp-10, 0x1.68eb60fb7e551p-10, 0x1.5b37c40c6ed57p-10, 0x1.4e09679573b0cp-10, 0x1.415b8a4862a7fp-10, 0x1.3529913c8fbfap-10, 0x1.296f06e71729ep-10, 0x1.1e279a18ddbc6p-10, 0x1.134f1d0245b0ap-10, 0x1.08e1843c457e8p-10, 0x1.fdb5cbae152bcp-11, 0x1.ea6ef0dbd85ep-11, 0x1.d7e72481d83a6p-11, 0x1.c61750a5fe4c5p-11, 0x1.b4f89b1b27837p-11, 0x1.a48463d32738dp-11, 0x1.94b443395e617p-11, 0x1.85820897fea2ep-11, 0x1.76e7b8869b96cp-11, 0x1.68df8b62145c9p-11, 0x1.5b63ebcdb6dd3p-11, 0x1.4e6f753de371fp-11, 0x1.41fcf28b1d18ep-11, 0x1.36075c8e33d27p-11, 0x1.2a89d8c4c1a64p-11, 0x1.1f7fb7fe6a72fp-11, 0x1.14e4751238cd2p-11, 0x1.0ab3b39c33a0ap-11, 0x1.00e93ec2b89b6p-11, 0x1.ef02100834c65p-12, 0x1.dcee4c16e0a2p-12, 0x1.cb8fa71abd82p-12, 0x1.badedc578a0a8p-12, 0x1.aad4eac230fc3p-12, 0x1.9b9dde1d9704dp-12, 0x1.8ccc4c7039477p-12, 0x1.7e8e00b5e7cf5p-12, 0x1.70dcf6585162dp-12, 0x1.63b362641dd3p-12, 0x1.570bb1adaf09cp-12, 0x1.4ae087037a7adp-12, 0x1.3f2cb96bb1f0fp-12, 0x1.33eb526f5827dp-12, 0x1.29178c706869ap-12, 0x1.1eacd10c2134dp-12, 0x1.14a6b788a3344p-12, 0x1.0b01034d9eb96p-12, 0x1.01b7a2686465bp-12, 0x1.f18d58341a2dap-13, 0x1.e054bee19dedp-13, 0x1.cfbe43d63347dp-13, 0x1.bfc2fc49b82fap-13, 0x1.b05c451dbe31cp-13, 0x1.a183c05e17d3p-13, 0x1.933352d574067p-13, 0x1.856521b38aef2p-13, 0x1.781390451afa8p-13, 0x1.6b393dbe5b27ap-13, 0x1.5ed1031422512p-13, 0x1.52d5f0e7225d7p-13, 0x1.47434d813bd56p-13, 0x1.3c1492de4f3bep-13, 0x1.31456cc76a5a1p-13, 0x1.26d1b6fcce958p-13, 0x1.1cb57b6cd44dfp-13, 0x1.12ecf07b4a1b8p-13, 0x1.09747753ba7a2p-13, 0x1.00489a4d7e339p-13, 0x1.eecc16b11bf32p-14, 0x1.dd9344f472e8fp-14, 0x1.cce0b8a77b792p-14, 0x1.bcaeb16fd96c7p-14, 0x1.acf7b29337727p-14, 0x1.9db6804f8d69p-14, 0x1.8ee61d474e30ep-14, 0x1.8081c80583201p-14, 0x1.7284f893498ccp-14, 0x1.64eb5e25e355cp-14, 0x1.57b0dcdd25347p-14, 0x1.4ad18b98b43eep-14, 0x1.3e49b1de3e777p-14, 0x1.3215c5d166e2dp-14, 0x1.26326a3dccb7fp-14, 0x1.1a9c6cb3b6664p-14, 0x1.0f50c3b42faafp-14, 0x1.044c8ced7a175p-14, 0x1.f31a1711b82a4p-15, 0x1.de1f4d08bf677p-15, 0x1.c9a3ce4034254p-15, 0x1.b5a2eeaa1a726p-15, 0x1.a21840bd94748p-15, 0x1.8eff929c30227p-15, 0x1.7c54eb5b51fc4p-15, 0x1.6a14885cb49b4p-15, 0x1.583adacace1fep-15, 0x1.46c485230cb2p-15, 0x1.35ae58df77f2cp-15, 0x1.24f554309f492p-15, 0x1.14969fd76294bp-15, 0x1.048f8d013275bp-15, 0x1.e9bb26a5e8559p-16, 0x1.cafc9de32af4cp-16, 0x1.acdefd5141bcfp-16, 0x1.8f5e04419e8fbp-16, 0x1.7275b0588be92p-16, 0x1.56223a3b0e5dap-16, 0x1.3a60126a393c1p-16, 0x1.1f2bde4738e03p-16, 0x1.0482751272e5p-16, 0x1.d4c1ba7eb6b47p-17, 0x1.a1889373cfaa9p-17, 0x1.6f542ec56c5cfp-17, 0x1.3e1f9528f212p-17, 0x1.0de619a7d1e3cp-17, 0x1.bd46aa47fc043p-18, 0x1.60a64423d00c8p-18, 0x1.05e330c65785ep-18, 0x1.59ec2680f1ac9p-19, 0x1.575fe962667f7p-20, 0x1.04b313182a4fep-27, -0x1.4c43f7cf1fe17p-20, -0x1.49cfc6b2a1469p-19, -0x1.ea0fb97af9f5bp-19, -0x1.437624c9ea668p-18, -0x1.9037b04b91f88p-18, -0x1.db513385a8183p-18, -0x1.1263939e231d6p-17, -0x1.364ee6b0e7399p-17, -0x1.596c9ae12360bp-17, -0x1.7bbea11aa5629p-17, -0x1.9d46d55a3ed92p-17, -0x1.be070099f83d4p-17, -0x1.de00daa264c91p-17, -0x1.fd360bc67e16cp-17, -0x1.0dd41739d6e91p-16, -0x1.1cac6863fbb1bp-16, -0x1.2b24bb008466ap-16, -0x1.393dcbe7cd421p-16, -0x1.46f853cde8bep-16, -0x1.545507e233e92p-16, -0x1.61549a559645cp-16, -0x1.6df7badae1d08p-16, -0x1.7a3f173e1bcc1p-16, -0x1.862b5bb7626fap-16, -0x1.91bd3368e083cp-16, -0x1.9cf548c34c1aep-16, -0x1.a7d445de3027bp-16, -0x1.b25ad4cf2c2dfp-16, -0x1.bc899ffa039ap-16, -0x1.c661525596bfp-16, -0x1.cfe297b220dp-16, -0x1.d90e1cf5bc419p-16, -0x1.e1e4904fe9a74p-16, -0x1.ea66a16c56e3cp-16, -0x1.f29501a8430bap-16, -0x1.fa70642803eb4p-16, -0x1.00fcbf05622fep-15, -0x1.0498833f95f69p-15, -0x1.080bdb7442cffp-15, -0x1.0b572571cf531p-15, -0x1.0e7ac0383823p-15, -0x1.11770bf884809p-15, -0x1.144c6a1ecbe6bp-15, -0x1.16fb3d556ac6ap-15, -0x1.1983e98969272p-15, -0x1.1be6d3e893882p-15, -0x1.1e2462e778fe1p-15, -0x1.203cfe3d289a7p-15, -0x1.22310ee16f6bcp-15, -0x1.2400ff0b2e455p-15, -0x1.25ad3a2b1c64bp-15, -0x1.27362ce8361dap-15, -0x1.289c4517ece45p-15, -0x1.29dff1b9f2672p-15, -0x1.2b01a2f023c84p-15, -0x1.2c01c9f432f13p-15, -0x1.2ce0d9130afd2p-15, -0x1.2d9f43a280089p-15, -0x1.2e3d7df1c6b19p-15, -0x1.2ebbfd48f31c1p-15, -0x1.2f1b37d7c8073p-15, -0x1.2f5ba4ab60202p-15, -0x1.2f7dbba668dbdp-15, -0x1.2f81f56fe26a4p-15, -0x1.2f68cb6b736c4p-15, -0x1.2f32b7a7fe634p-15, -0x1.2ee034dddb5e5p-15, -0x1.2e71be5548117p-15, -0x1.2de7cfe143b35p-15, -0x1.2d42e5d0ebff3p-15, -0x1.2c837ce28582fp-15, -0x1.2baa12367a336p-15, -0x1.2ab7234248deap-15, -0x1.29ab2dc539807p-15, -0x1.2886afb576f35p-15, -0x1.274a27397af44p-15, -0x1.25f61298d76c1p-15, -0x1.248af02fc5d9ep-15, -0x1.23093e614967dp-15, -0x1.21717b8b1248p-15, -0x1.1fc425f7f6418p-15, -0x1.1e01bbd777c1bp-15, -0x1.1c2abb2b75ca8p-15, -0x1.1a3fa1c02d83bp-15, -0x1.1840ed1f3d7d3p-15, -0x1.162f1a83e99b3p-15, -0x1.140aa6d003a77p-15, -0x1.11d40e7f5de93p-15, -0x1.0f8bcd9cce044p-15, -0x1.0d325fb96a2ddp-15, -0x1.0ac83fdf9e73ap-15, -0x1.084de88967412p-15, -0x1.05c3d3961a673p-15, -0x1.032a7a4070fdep-15, -0x1.00825514ce298p-15, -0x1.fb97b7d014ecp-16, -0x1.f60f0b9b281e6p-16, -0x1.f06b92213a508p-16, -0x1.eaae364892883p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.c834f9907dfdcp+0, -0x1.b8b68b907edfp+0, -0x1.ab2b2ad719ff1p+0, -0x1.9f630baa060f1p+0, -0x1.953019feef949p+0, -0x1.8c665dd41b024p+0, -0x1.84dc48bd59fa6p+0, -0x1.7e6afa4c4bec8p+0, -0x1.78ee63f8ae0b7p+0, -0x1.7445436c5351ap+0, -0x1.70510b6a5356ep+0, -0x1.6cf5d1314f6a6p+0, -0x1.6a1a40c357023p+0, -0x1.67a78e8974c66p+0, -0x1.65895c285c3dap+0, -0x1.63ad8e50d8ccap+0, -0x1.62041a66db16cp+0, -0x1.607ed550413dbp+0, -0x1.5f114916d70fp+0, -0x1.5db092d9b84aep+0, -0x1.5c534804c1963p+0, -0x1.5af10425c34cep+0, -0x1.5983ec4bff77fp+0, -0x1.5805f884e5f33p+0, -0x1.567280c93ce55p+0, -0x1.54c5c1ac402f2p+0, -0x1.52fcc50a04503p+0, -0x1.51154b596365fp+0, -0x1.4f0db5a2b43b1p+0, -0x1.4ce4f1022a8c8p+0, -0x1.4a9a64939acdbp+0, -0x1.482de1edcbaf6p+0, -0x1.459f97a1a830ap+0, -0x1.42f004fa26381p+0, -0x1.401fee759c97ep+0, -0x1.3d3052d549e38p+0, -0x1.3a2260e509a18p+0, -0x1.36f76e2b933fp+0, -0x1.33b0ee9bca155p+0, -0x1.30506d42f979dp+0, -0x1.2cd785e41d0ccp+0, -0x1.2947df74d4abbp+0, -0x1.25a32778896d5p+0, -0x1.21eb0e3455ddp+0, -0x1.1e2143a9227abp+0, -0x1.1a47752f2579bp+0, -0x1.165f4b7ff8b93p+0, -0x1.126a68f9a22a3p+0, -0x1.0e6a67ee85567p+0, -0x1.0a60d8ea9fd2ap+0, -0x1.064f40ef793f2p+0, -0x1.023717beb5522p+0, -0x1.fc338cb200fa5p-1, -0x1.f3f14bafefee9p-1, -0x1.eba9fd7cbc231p-1, -0x1.e360118dced68p-1, -0x1.db15d649d805p-1, -0x1.d2cd7a3365555p-1, -0x1.ca890d709fe5p-1, -0x1.c24a83645212bp-1, -0x1.ba13b41afd7fdp-1, -0x1.b1e65d660b5d2p-1, -0x1.a9c423987d7b5p-1, -0x1.a1ae2a63f766ep-1, -0x1.99a6def642925p-1, -0x1.91af0e7b6968p-1, -0x1.89c7f3ae9b6a8p-1, -0x1.81f2b12c0f9d6p-1, -0x1.7a30528a83d4cp-1, -0x1.7281cd75fe2d8p-1, -0x1.6ae802c569be8p-1, -0x1.6363bf873db56p-1, -0x1.5bf5be037d38bp-1, -0x1.549ea6b293604p-1, -0x1.4d5f1129132e5p-1, -0x1.463784f8656ecp-1, -0x1.3f287a844c4c4p-1, -0x1.38325bcd29408p-1, -0x1.3155852f22a04p-1, -0x1.2a924616b902dp-1, -0x1.23e8e1abe3cd8p-1, -0x1.1d598f7538212p-1, -0x1.16e47bf4ec5b7p-1, -0x1.1089c9418630dp-1, -0x1.0a498f9bc19b8p-1, -0x1.0423de02ca528p-1, -0x1.fc31758e97747p-2, -0x1.f050483a8623ap-2, -0x1.e4a42157d2742p-2, -0x1.d92ce0355c5adp-2, -0x1.cdea5733e0de5p-2, -0x1.c2dc4ccc21336p-2, -0x1.b8027c873419fp-2, -0x1.ad5c97e6eb8f7p-2, -0x1.a2ea473ceefcap-2, -0x1.98ab2a6ff1b4dp-2, -0x1.8e9ed9af42761p-2, -0x1.84c4e615a6415p-2, -0x1.7b1cda3d0c1dcp-2, -0x1.71a63ac508911p-2, -0x1.686086ce3783p-2, -0x1.5f4b386c9d1d8p-2, -0x1.5665c512f5515p-2, -0x1.4daf9df88c559p-2, -0x1.4528307ae2f3ep-2, -0x1.3ccee67bf06aap-2, -0x1.34a326bd84f3cp-2, -0x1.2ca45539f092p-2, -0x1.24d1d379e2b31p-2, -0x1.1d2b00e7489aep-2, -0x1.15af3b1ce0426p-2, -0x1.0e5dde3238dc8p-2, -0x1.07364503ddb5ap-2, -0x1.0037c9777f737p-2, -0x1.f2c3897815fddp-3, -0x1.e5671f0b519ffp-3, -0x1.d859048b7fc31p-3, -0x1.cb97eabe370b7p-3, -0x1.bf2282acc9da3p-3, -0x1.b2f77dfe43454p-3, -0x1.a7158f4ad8671p-3, -0x1.9b7b6a69316bfp-3, -0x1.9027c4b5ebffdp-3, -0x1.851955559e5bfp-3, -0x1.7a4ed571b2eb1p-3, -0x1.6fc700705a156p-3, -0x1.65809427c8bf3p-3, -0x1.5b7a510d0814dp-3, -0x1.51b2fa5e89a8ep-3, -0x1.4829564ab127p-3, -0x1.3edc2e129674bp-3, -0x1.35ca4e293181cp-3, -0x1.2cf2864f3546bp-3, -0x1.2453a9abc1852p-3, -0x1.1bec8ee247a6cp-3, -0x1.13bc1025bfc13p-3, -0x1.0bc10b497ce9dp-3, -0x1.03fa61cfd1397p-3, -0x1.f8cdf1ed81ab8p-4, -0x1.ea0b7385d8eb9p-4, -0x1.dbab2211dae1p-4, -0x1.cdaadeea908bep-4, -0x1.c008932644ff9p-4, -0x1.b2c22fa3b726ep-4, -0x1.a5d5ad133f497p-4, -0x1.99410bfe31266p-4, -0x1.8d0254cc8e858p-4, -0x1.8118213b9489bp-4, -0x1.757f7df4a3497p-4, -0x1.6a37097916c03p-4, -0x1.5f3cebfa2677fp-4, -0x1.548f559f3018fp-4, -0x1.4a2c7e7f8033p-4, -0x1.4012a69ab2636p-4, -0x1.364015cfc9e91p-4, -0x1.2cb31bd3119cap-4, -0x1.236a1022df166p-4, -0x1.1a6351fb41a26p-4, -0x1.119d4848b4eecp-4, -0x1.09166199ddc94p-4, -0x1.00cd14106419fp-4, -0x1.f17fbaa1e0856p-5, -0x1.e1da84e4b98d2p-5, -0x1.d2a79fd844c4ap-5, -0x1.c3e433081bc67p-5, -0x1.b58d747691c54p-5, -0x1.a7a0a87586981p-5, -0x1.9a1b217e08b93p-5, -0x1.8cfa4006e90fp-5, -0x1.803b725a4f439p-5, -0x1.73dc346a6c94ap-5, -0x1.67da0fa55b2dfp-5, -0x1.5c329ac84d97fp-5, -0x1.50e379b213db7p-5, -0x1.45ea5d351b4c2p-5, -0x1.3b4502e8f5fep-5, -0x1.30f134fb79082p-5, -0x1.26ecca0190893p-5, -0x1.1d35a4c7c8bbdp-5, -0x1.13c9b422b434ap-5, -0x1.0aa6f2bf26263p-5, -0x1.01cb66f25d836p-5, -0x1.f26a45145edb9p-6, -0x1.e1c4853a5b8afp-6, -0x1.d1a1deb5d740ap-6, -0x1.c1feb7b8a6b33p-6, -0x1.b2d78be858f6p-6, -0x1.a428ebff8f4aep-6, -0x1.95ef7d6fd0cd4p-6, -0x1.8827fa03d5bddp-6, -0x1.7acf2f825e225p-6, -0x1.6de1ff51a76e6p-6, -0x1.615d5e1b7dafcp-6, -0x1.553e53720681p-6, -0x1.4981f9753f6c6p-6, -0x1.3e257c7941576p-6, -0x1.33261aad5925ep-6, -0x1.288123c3e3491p-6, -0x1.1e33f89b103a2p-6, -0x1.143c0ae68da7ap-6, -0x1.0a96dcda0a7bap-6, -0x1.014200d4acf3ap-6, -0x1.f076321b18c28p-7, -0x1.deffae82047eap-7, -0x1.ce1bf8be2547bp-7, -0x1.bdc6b07591c02p-7, -0x1.adfb92751bdf6p-7, -0x1.9eb6781321483p-7, -0x1.8ff3569469fa6p-7, -0x1.81ae3e930044cp-7, -0x1.73e35b673d119p-7, -0x1.668ef292e998ep-7, -0x1.59ad632e77dfep-7, -0x1.4d3b255865b9dp-7, -0x1.4134c9a6be9c5p-7, -0x1.3596f89ac4279p-7, -0x1.2a5e7216cb2fp-7, -0x1.1f880cd629155p-7, -0x1.1510b5e7661fbp-7, -0x1.0af570287ed8ep-7, -0x1.013353c560011p-7, -0x1.ef8f1b711bae1p-8, -0x1.dd5ebe9bb91cp-8, -0x1.cbd03b4ecd615p-8, -0x1.bade6289321b1p-8, -0x1.aa842b16e1347p-8, -0x1.9abcb0a774e79p-8, -0x1.8b8332e91ed09p-8, -0x1.7cd314a79a38bp-8, -0x1.6ea7daef988c5p-8, -0x1.60fd2c35db598p-8, -0x1.53cecf82d7641p-8, -0x1.4718aba228b99p-8, -0x1.3ad6c65639296p-8, -0x1.2f05438fb21aep-8, -0x1.23a064a916ee6p-8, -0x1.18a487a628337p-8, -0x1.0e0e2677514b6p-8, -0x1.03d9d640a2a59p-8, -0x1.f4088d49b26f6p-9, -0x1.e114822830901p-9, -0x1.ced1503c57313p-9, -0x1.bd38ed9159bcp-9, -0x1.ac457fd11d6p-9, -0x1.9bf15afecbcd2p-9, -0x1.8c37003821adbp-9, -0x1.7d111c7dbabf3p-9, -0x1.6e7a87826cfc9p-9, -0x1.606e428102a6p-9, -0x1.52e77718ccbffp-9, -0x1.45e17630e60f9p-9, -0x1.3957b6e17301ep-9, -0x1.2d45d563ab65ap-9, -0x1.21a79207e6206p-9, -0x1.1678d031f6ce7p-9, -0x1.0bb5955b493fbp-9, -0x1.015a081b3dfbbp-9, -0x1.eec4de6a7bc35p-10, -0x1.db96615948d36p-10, -0x1.c921a1bc462a8p-10, -0x1.b75fe33da9526p-10, -0x1.a64aa2c1b8548p-10, -0x1.95db94ba404bp-10, -0x1.860ca3855aa17p-10, -0x1.76d7edd569186p-10, -0x1.6837c52449f4cp-10, -0x1.5a26ac2ff8fc6p-10, -0x1.4c9f55810b97cp-10, -0x1.3f9ca1faaf24dp-10, -0x1.33199f74814e7p-10, -0x1.2711875ca0b29p-10, -0x1.1b7fbd63f07dfp-10, -0x1.105fce324c485p-10, -0x1.05ad6e23d73a3p-10, -0x1.f6c8f01de495ep-11, -0x1.e301d8237a9aep-11, -0x1.cffddcd194efdp-11, -0x1.bdb58c999c263p-11, -0x1.ac21b9b172f27p-11, -0x1.9b3b77eee353p-11, -0x1.8afc1ab0de6bdp-11, -0x1.7b5d32d8ff0fp-11, -0x1.6c588cd1aa7a8p-11, -0x1.5de82ea37ec43p-11, -0x1.50065617b0fefp-11, -0x1.42ad76e7e8f51p-11, -0x1.35d838faf891cp-11, -0x1.298176af2f462p-11, -0x1.1da43b2f997dbp-11, -0x1.123bc0d6f580fp-11, -0x1.07436f9d80232p-11, -0x1.f96db72535acap-12, -0x1.e52386c4dde6ap-12, -0x1.d1a01dcaae69ep-12, -0x1.bedb9b7639f0fp-12, -0x1.acce6be02c867p-12, -0x1.9b71455a5ba21p-12, -0x1.8abd25e2027c8p-12, -0x1.7aab50a853431p-12, -0x1.6b354ba9d2775p-12, -0x1.5c54dd5c326ap-12, -0x1.4e040a6c70096p-12, -0x1.403d138e8c3cdp-12, -0x1.32fa735e5ab32p-12, -0x1.2636dc52c9eb3p-12, -0x1.19ed36bd90eccp-12, -0x1.0e189ede92d64p-12, -0x1.02b46304b484ap-12, -0x1.ef78037bba784p-13, -0x1.da56502d4d739p-13, -0x1.c5fb5fcc15d87p-13, -0x1.b25f3c5195152p-13, -0x1.9f7a42d545fd2p-13, -0x1.8d4520739fa0ap-13, -0x1.7bb8cf548e616p-13, -0x1.6af46c35d29eap-13, -0x1.5aa4aefa454a1p-13, -0x1.4aea58b6ce835p-13, -0x1.3bbf7d9b39286p-13, -0x1.2d1e7148e8777p-13, -0x1.1f01c460feb34p-13, -0x1.1164422749a15p-13, -0x1.0440ee3673c34p-13, -0x1.ef260496ca9f1p-14, -0x1.d6abd8468223dp-14, -0x1.bf0a96d4a8218p-14, -0x1.a839df7f944aep-14, -0x1.9231ad9146f19p-14, -0x1.7cea54ab033f6p-14, -0x1.685c7d3569532p-14, -0x1.548120e37afe5p-14, -0x1.41518765187cbp-14, -0x1.2ec7432e9c308p-14, -0x1.1cdc2e625457bp-14, -0x1.0b8a67d18381dp-14, -0x1.f598a03c7b21ep-15, -0x1.d5390deb1aa39p-15, -0x1.b5ebd0c77b68cp-15, -0x1.97a71488a8736p-15, -0x1.7a61738a26bf5p-15, -0x1.5e11f2066f7a2p-15, -0x1.42aff995d3d42p-15, -0x1.283354a6a9e23p-15, -0x1.0e942a5058929p-15, -0x1.eb95f47799621p-16, -0x1.bba1316678157p-16, -0x1.8d3c55bc67d35p-16, -0x1.605a463f0041cp-16, -0x1.34ee7b3499875p-16, -0x1.0aecf9af5655ep-16, -0x1.c4949a410dd98p-17, -0x1.75f7024580fe5p-17, -0x1.29ec3752d86dcp-17, -0x1.c0c05c98b49b3p-18, -0x1.327f74bf127f7p-18, -0x1.51e209f88630fp-19, -0x1.1f8f75221bba9p-21, 0x1.727db2fa7442p-20, 0x1.b1c67be68dcdep-19, 0x1.50f859750dbc9p-18, 0x1.c4fc48dedae3ap-18, 0x1.1a85ad45cb259p-17, 0x1.50a058d294799p-17, 0x1.84db2a50ed558p-17, 0x1.b7429dc9c83a9p-17, 0x1.e7e2aedc5f652p-17, 0x1.0b636f9ccac05p-16, 0x1.21fd1e6ec9a04p-16, 0x1.37c3b3fb69ccap-16, 0x1.4cbc4c407e45ap-16, 0x1.60ebd1e20e423p-16, 0x1.745700b7114eep-16, 0x1.8702684441ad3p-16, 0x1.98f26df29e52fp-16, 0x1.aa2b4f7fbaa87p-16, 0x1.bab124f9bbc19p-16, 0x1.ca87e2cd34862p-16, 0x1.d9b35bb040e76p-16, 0x1.e83742807411p-16, 0x1.f6172bec896edp-16, 0x1.01ab481a05d0fp-15, 0x1.07fc6652ba399p-15, 0x1.0e009292610d7p-15, 0x1.13b962c9a451cp-15, 0x1.19286193bd724p-15, 0x1.1e4f0ed7304dfp-15, 0x1.232ee06258ed6p-15, 0x1.27c9427f2637ep-15, 0x1.2c1f986cbfcd7p-15, 0x1.30333cfa19e55p-15, 0x1.340582f087077p-15, 0x1.3797b58ba1aa6p-15, 0x1.3aeb18e5d53f7p-15, 0x1.3e00ea60578dcp-15, 0x1.40da61032ec87p-15, 0x1.4378add86b6c7p-15, 0x1.45dcfc41aa44fp-15, 0x1.48087248523c8p-15, 0x1.49fc30e8d0ffep-15, 0x1.4bb95458dbd8cp-15, 0x1.4d40f44a12f41p-15, 0x1.4e94242984757p-15, 0x1.4fb3f34da0f2ep-15, 0x1.50a16d40b5e54p-15, 0x1.515d99db87198p-15, 0x1.51e97d86e58cfp-15, 0x1.5246195bc8e02p-15, 0x1.52746b4d3d661p-15, 0x1.52756e4efd09bp-15, 0x1.524a1a746d34fp-15, 0x1.51f365119e20ap-15, 0x1.517240d765c76p-15, 0x1.50c79ded82725p-15, 0x1.4ff46a0a7652ep-15, 0x1.4ef9908adaec7p-15, 0x1.4dd7fa7dc84c3p-15, 0x1.4c908ec342762p-15, 0x1.4b2432116d612p-15, 0x1.4993c7072dbc7p-15, 0x1.47e02e3782a8dp-15, 0x1.460a46375d26ep-15, 0x1.4412eba7912a3p-15, 0x1.41faf92e23b5bp-15, 0x1.3fc34799bedfp-15, 0x1.3d6cadd414056p-15, 0x1.3af800e856f21p-15, 0x1.3866140d5f8e9p-15, 0x1.35b7b8a550e73p-15, 0x1.32edbe40a983cp-15, 0x1.3008f29f1d04dp-15, 0x1.2d0a21b3a0afdp-15, 0x1.29f2159f62af8p-15, 0x1.26c196b5b9cd4p-15, 0x1.23796b792ead3p-15, 0x1.201a589b961adp-15, 0x1.1ca520f8f86f5p-15, 0x1.191a859b331bep-15, 0x1.157b45b17151ep-15, 0x1.11c81e900404ap-15, 0x1.0e01cbb128caap-15, 0x1.0a2906a1833abp-15, 0x1.063e87139edfbp-15, 0x1.024302ceb09ccp-15, 0x1.fc6e5b564fde6p-16, 0x1.f43773220d066p-16, 0x1.ebe2ace536919p-16, 0x1.e37164957336fp-16, 0x1.dae4f22a159d4p-16, 0x1.d23ea997bebdbp-16, 0x1.c97fdac9aff71p-16, 0x1.c0a9d194e3365p-16, 0x1.b7bdd5b48c01fp-16, 0x1.aebd2ac48a806p-16, 0x1.a5a91023fbaf7p-16, 0x1.9c82c11060113p-16, 0x1.934b7485d17cap-16, 0x1.8a045d4185dedp-16, 0x1.80aea9b56635dp-16, 0x1.774b8409d9927p-16, 0x1.6ddc12040f5abp-16, 0x1.6461751c4d21dp-16, 0x1.5adcca657c746p-16, 0x1.514f2a8b980b2p-16, 0x1.47b9a9d3ed5dbp-16, 0x1.3e1d581129116p-16, 0x1.347b40a2fb763p-16, 0x1.2ad46a75bb927p-16, 0x1.2129d7fd18d98p-16, 0x1.177c872cbb435p-16, 0x1.0dcd717bdc318p-16, 0x1.041d8be18fff1p-16, 0x1.f4db8da6c583dp-17, 0x1.e17e1c88cdcc2p-17, 0x1.ce249349588a2p-17, 0x1.bad0b7d2f6395p-17, 0x1.a78446dc29e38p-17, 0x1.9440f43b7b4a6p-17, 0x1.81086acb9ef7ap-17, 0x1.6ddc4c59c9054p-17, 0x1.5abe31bd128bp-17, 0x1.47afaad78f2f7p-17, 0x1.34b23e9f3b1c2p-17, 0x1.21c76b182c27ap-17, 0x1.0ef0a56e5c9dbp-17, 0x1.f85eb3e391fddp-18, 0x1.d309d844c31a1p-18, 0x1.ade56d738652fp-18, 0x1.88f417632ee04p-18, 0x1.643868bf6ee6p-18, 0x1.3fb4e2ce6bbb4p-18, 0x1.1b6bf5b1a9db5p-18, 0x1.eec000e74e03p-19, 0x1.a726a249cd037p-19, 0x1.601049f2177f7p-19, 0x1.198150ca6771dp-19, 0x1.a6fbdcfdfbb4p-20, 0x1.1c14737d616d5p-20, 0x1.24a8a1c834571p-21, 0x1.38641ba338f04p-25, -0x1.f65ecb550f419p-22, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.7dd88bf820d98p-1, 0x1.727e383c28a8ap-1, 0x1.66e8538bdaf08p-1, 0x1.5b1e890d86926p-1, 0x1.4f284c5807b27p-1, 0x1.430cd543a1795p-1, 0x1.36d31c7d9503dp-1, 0x1.2a81d8cbf8fabp-1, 0x1.1e1f7cf0b91bfp-1, 0x1.11b2361beb54p-1, 0x1.053feadee9844p-1, 0x1.f19c75257c1c3p-2, 0x1.d8c4fa4b101ddp-2, 0x1.c0038686e113bp-2, 0x1.a761ada1750d3p-2, 0x1.8ee877568255p-2, 0x1.76a0615513d93p-2, 0x1.5e9161ac75905p-2, 0x1.46c2e996eea4fp-2, 0x1.2f3be8947c74p-2, 0x1.1802cfc8f3f51p-2, 0x1.011d9591f2314p-2, 0x1.d523729439251p-3, 0x1.a8c88e601635dp-3, 0x1.7d33b8d061a2fp-3, 0x1.526d5623bafcdp-3, 0x1.287cfcd08a4f8p-3, 0x1.fed2fba4c2d87p-4, 0x1.ae71d9eecbfd8p-4, 0x1.5fe1524769853p-4, 0x1.132ac903e84efp-4, 0x1.90acb265709e1p-5, 0x1.fdab92147b042p-6, 0x1.c3711758e61e3p-7, -0x1.9369c502555ebp-9, -0x1.3eb77363ae677p-6, -0x1.218de8c91148ep-5, -0x1.9fc9de1963e46p-5, -0x1.0d0708730ea55p-4, -0x1.482d50665d1b4p-4, -0x1.81589e239970bp-4, -0x1.b88a840c214fdp-4, -0x1.edc543d11f18fp-4, -0x1.1085e189e8e49p-3, -0x1.2930c03ce6a37p-3, -0x1.40e54499d88dbp-3, -0x1.57a5b77a37256p-3, -0x1.6d749f2b7c263p-3, -0x1.8254bad7e250fp-3, -0x1.9648fe23b114dp-3, -0x1.a9548cfd99da6p-3, -0x1.bb7ab7a09dc18p-3, -0x1.ccbef6c5e2ccdp-3, -0x1.dd24e804ddb48p-3, -0x1.ecb04a6025c33p-3, -0x1.fb64fafd5b7bap-3, -0x1.04a3790335fd3p-2, -0x1.0b2d1fd958587p-2, -0x1.115184bb1b278p-2, -0x1.1712c3aadbd48p-2, -0x1.1c7300aedc6e4p-2, -0x1.2174669da8a25p-2, -0x1.261925fa9b9a5p-2, -0x1.2a6373e1d5ee3p-2, -0x1.2e558902f9e9p-2, -0x1.31f1a0aa0fcb2p-2, -0x1.3539f7d5ecabcp-2, -0x1.3830cc5b9170cp-2, -0x1.3ad85c15e7ed8p-2, -0x1.3d32e4216141ep-2, -0x1.3f42a022e5a77p-2, -0x1.4109c999a669p-2, -0x1.428a973b51268p-2, -0x1.43c73c5a3915ap-2, -0x1.44c1e855099d8p-2, -0x1.457cc60f99307p-2, -0x1.45f9fb747f26fp-2, -0x1.463ba8ff0a16dp-2, -0x1.4643e94d42a71p-2, -0x1.4614d0b9a2085p-2, -0x1.45b06cfc2d58ap-2, -0x1.4518c4d2a8fb9p-2, -0x1.444fd7af959d3p-2, -0x1.43579d6fb5c8ap-2, -0x1.42320615d2a02p-2, -0x1.40e0f98c82943p-2, -0x1.3f66576daf402p-2, -0x1.3dc3f6cfa05e6p-2, -0x1.3bfba61752a7ep-2, -0x1.3a0f2acfdd0b6p-2, -0x1.38004186b6803p-2, -0x1.35d09dac9ee1p-2, -0x1.3381e97afed47p-2, -0x1.3115c5dd891a6p-2, -0x1.2e8dca5ff0d3fp-2, -0x1.2beb851f85b57p-2, -0x1.29307ac086a3bp-2, -0x1.265e26670245ep-2, -0x1.2375f9b31ae2fp-2, -0x1.20795cc082001p-2, -0x1.1d69ae29065ddp-2, -0x1.1a48430a09ab3p-2, -0x1.1716670cbeb49p-2, -0x1.13d55c7102c13p-2, -0x1.10865c1ab4a8ep-2, -0x1.0d2a95a1619a8p-2, -0x1.09c32f622b6fbp-2, -0x1.06514693c2b8dp-2, -0x1.02d5ef5c5386dp-2, -0x1.fea469d298a08p-3, -0x1.f78e3311b15fbp-3, -0x1.f06b2d89edd2ep-3, -0x1.e93d3b00174p-3, -0x1.e2062c25a7424p-3, -0x1.dac7c0d7437c3p-3, -0x1.d383a85d87811p-3, -0x1.cc3b81aff8e69p-3, -0x1.c4f0dbb9f1972p-3, -0x1.bda535a150e72p-3, -0x1.b659ff0ec30b1p-3, -0x1.af109877783aap-3, -0x1.a7ca5368195e2p-3, -0x1.a08872d0df014p-3, -0x1.994c2b52923f8p-3, -0x1.9216a38c636fap-3, -0x1.8ae8f46a60e57p-3, -0x1.83c429747b522p-3, -0x1.7ca9411def4bcp-3, -0x1.75992d14efec9p-3, -0x1.6e94d2927f2f2p-3, -0x1.679d0aaa4e357p-3, -0x1.60b2a29a8f7d2p-3, -0x1.59d65c1b9c378p-3, -0x1.5308edaf5cefdp-3, -0x1.4c4b02f051707p-3, -0x1.459d3ce02f198p-3, -0x1.3f003235f6006p-3, -0x1.38746fab71675p-3, -0x1.31fa784a0d8fdp-3, -0x1.2b92c5b6eeadcp-3, -0x1.253dc87e4493fp-3, -0x1.1efbe85db9aep-3, -0x1.18cd848e01ad7p-3, -0x1.12b2f40b72cd9p-3, -0x1.0cac85dd97353p-3, -0x1.06ba815dbc9edp-3, -0x1.00dd267c67025p-3, -0x1.f6295c0b50061p-4, -0x1.eac293c8a4aaep-4, -0x1.df864ac7ed4a2p-4, -0x1.d474cae3674c6p-4, -0x1.c98e51b798459p-4, -0x1.bed3111ff0e79p-4, -0x1.b4432fb0edd73p-4, -0x1.a9dec92faf5bp-4, -0x1.9fa5ef06f488bp-4, -0x1.9598a8b982eaep-4, -0x1.8bb6f451f03dap-4, -0x1.8200c6cfcc7fep-4, -0x1.78760c922ce01p-4, -0x1.6f16a9bf94b41p-4, -0x1.65e27aab3fd44p-4, -0x1.5cd95437cdfeap-4, -0x1.53fb043751055p-4, -0x1.4b4751c8c41ddp-4, -0x1.42bdfdb2ebc8dp-4, -0x1.3a5ec2bca6986p-4, -0x1.32295602b285dp-4, -0x1.2a1d674aeca55p-4, -0x1.223aa15511e6dp-4, -0x1.1a80aa290848p-4, -0x1.12ef2362b725fp-4, -0x1.0b85aa7b7699cp-4, -0x1.0443d91120142p-4, -0x1.fa528a558c65ep-5, -0x1.ec6b02f63c63ep-5, -0x1.ded03b4149475p-5, -0x1.d1814cc70e99p-5, -0x1.c47d4be2b815ap-5, -0x1.b7c3482d64ae9p-5, -0x1.ab524ced0bc0dp-5, -0x1.9f29617f3ff35p-5, -0x1.934789bfe1543p-5, -0x1.87abc66bd485cp-5, -0x1.7c55157fd741ep-5, -0x1.7142729385e7bp-5, -0x1.6672d730a5c81p-5, -0x1.5be53b26d1647p-5, -0x1.519894db95677p-5, -0x1.478bd9971751dp-5, -0x1.3dbdfdcd5e7d4p-5, -0x1.342df5644f4a1p-5, -0x1.2adab3f676ba3p-5, -0x1.21c32d12b2156p-5, -0x1.18e65478d4b8p-5, -0x1.10431e5354d84p-5, -0x1.07d87f6e1e37bp-5, -0x1.ff4adad53479fp-6, -0x1.ef51bde20c2bdp-6, -0x1.dfc397be53c55p-6, -0x1.d09e5ae905b65p-6, -0x1.c1dffcf7f6588p-6, -0x1.b38676e67706ap-6, -0x1.a58fc55f63739p-6, -0x1.97f9e902afc59p-6, -0x1.8ac2e6a6acf12p-6, -0x1.7de8c7951bf43p-6, -0x1.716999c43cfadp-6, -0x1.6543700bfaccap-6, -0x1.5974625757195p-6, -0x1.4dfa8dd233cb5p-6, -0x1.42d41513acbddp-6, -0x1.37ff20450afd7p-6, -0x1.2d79dd45843c6p-6, -0x1.23427fcadfd0ap-6, -0x1.1957417f23024p-6, -0x1.0fb6621b56f5cp-6, -0x1.065e277f9dad8p-6, -0x1.fa99bb91307d6p-7, -0x1.e901aec49abefp-7, -0x1.d7f0da3143cbp-7, -0x1.c763fc4b09f93p-7, -0x1.b757e079c1effp-7, -0x1.a7c95f2ce673ep-7, -0x1.98b55deb3afafp-7, -0x1.8a18cf5e93ad3p-7, -0x1.7bf0b35bfb1ffp-7, -0x1.6e3a16e84db6dp-7, -0x1.60f214398cd15p-7, -0x1.5415d2b505e9dp-7, -0x1.47a286ea7923fp-7, -0x1.3b95728c6f46bp-7, -0x1.2febe465d6a4ap-7, -0x1.24a3384d1abbap-7, -0x1.19b8d714d28e9p-7, -0x1.0f2a367a2a73fp-7, -0x1.04f4d9112afccp-7, -0x1.f62c9c5dfb34fp-8, -0x1.e31863a49e331p-8, -0x1.d0a85913d79fbp-8, -0x1.bed7e6b36bb86p-8, -0x1.ada28f3c1e29dp-8, -0x1.9d03eddba5068p-8, -0x1.8cf7b5f5f1b94p-8, -0x1.7d79b2e3fc6ep-8, -0x1.6e85c7b047fa7p-8, -0x1.6017eed147f0cp-8, -0x1.522c39e1d9445p-8, -0x1.44bed157f5325p-8, -0x1.37cbf439c97e2p-8, -0x1.2b4ff7d15c016p-8, -0x1.1f47475ede6f3p-8, -0x1.13ae63c9d9fb4p-8, -0x1.0881e3515071ap-8, -0x1.fb7ce275f0f1bp-9, -0x1.e6c19b035ca21p-9, -0x1.d2cb99067eb4ap-9, -0x1.bf94ad5b4afa2p-9, -0x1.ad16d057a246dp-9, -0x1.9b4c21243871p-9, -0x1.8a2ee514fde6fp-9, -0x1.79b9870132923p-9, -0x1.69e6969b61a73p-9, -0x1.5ab0c7c95982fp-9, -0x1.4c12f1fc5d85bp-9, -0x1.3e080f89a7dcdp-9, -0x1.308b3d0367b75p-9, -0x1.2397b8925ad92p-9, -0x1.1728e15022a55p-9, -0x1.0b3a36a276657p-9, -0x1.ff8eaf2e8be49p-10, -0x1.e9980483ea8abp-10, -0x1.d488263373ed8p-10, -0x1.c05708b2841b2p-10, -0x1.acfcdabf5a4bep-10, -0x1.9a720425e282bp-10, -0x1.88af2487826bfp-10, -0x1.77ad1226059f3p-10, -0x1.6764d8b1c44acp-10, -0x1.57cfb81b2df02p-10, -0x1.48e72367cfd78p-10, -0x1.3aa4bf8aedbdfp-10, -0x1.2d026241c3438p-10, -0x1.1ffa10f386ddcp-10, -0x1.1385ff953cf2bp-10, -0x1.07a08f9177402p-10, -0x1.f8889d67f0ecep-11, -0x1.e2d7ec32ca73bp-11, -0x1.ce24d245eecc8p-11, -0x1.ba6568dc975a3p-11, -0x1.a79019a296412p-11, -0x1.959b9cb475643p-11, -0x1.847ef6a7e8efp-11, -0x1.7431769ca076bp-11, -0x1.64aab4557a4b5p-11, -0x1.55e28e5a20a25p-11, -0x1.47d128210c8bcp-11, -0x1.3a6ee841f3338p-11, -0x1.2db476b096739p-11, -0x1.219abafff7976p-11, -0x1.161adaade2a07p-11, -0x1.0b2e3776cc6c4p-11, -0x1.00ce6db1f7589p-11, -0x1.edeaa56bad7acp-12, -0x1.db39e6894041ep-12, -0x1.c97f2401ff1e1p-12, -0x1.b8af4bd5bbee1p-12, -0x1.a8bfb1c8540edp-12, -0x1.99a60c7b221e5p-12, -0x1.8b5872962c371p-12, -0x1.7dcd5800e68eap-12, -0x1.70fb8b2a64a2ep-12, -0x1.64da3260c9395p-12, -0x1.5960c937ce74cp-12, -0x1.4e871dfe379ecp-12, -0x1.44454f41fb8d7p-12, -0x1.3a93c962fd512p-12, -0x1.316b44341c371p-12, -0x1.28c4c0aa713fdp-12, -0x1.2099869a814a5p-12, -0x1.18e3228335905p-12, -0x1.119b636661b59p-12, -0x1.0abc58aeaca17p-12, -0x1.044050229a60fp-12, -0x1.fc43a7c9227ccp-13, -0x1.f0b750ff2c18bp-13, -0x1.e5d196012d515p-13, -0x1.db88de38083bep-13, -0x1.d1d3fabf15b3p-13, -0x1.c8aa22df66bbap-13, -0x1.c002f0a269e64p-13, -0x1.b7d65d7b832f1p-13, -0x1.b01cbf083261ep-13, -0x1.a8cec3e65f869p-13, -0x1.a1e570a05589ep-13, -0x1.9b5a1cae110fcp-13, -0x1.95266f8b680a6p-13, -0x1.8f445de2b4835p-13, -0x1.89ae26cb88fe5p-13, -0x1.845e511d10c8ep-13, -0x1.7f4fa8d3b1edap-13, -0x1.7a7d3c898a1d7p-13, -0x1.75e25b016378cp-13, -0x1.717a90c3bc595p-13, -0x1.6d41a5cd7c52ap-13, -0x1.69339b4ff6f0ap-13, -0x1.654ca981dda07p-13, -0x1.61893d80ba145p-13, -0x1.5de5f742962afp-13, -0x1.5a5fa79773abep-13, -0x1.56f34e3a3b955p-13, -0x1.539e17f0bd646p-13, -0x1.505d5cba71c9ep-13, -0x1.4d2e9e0da2371p-13, -0x1.4a0f85229b308p-13, -0x1.46fde14c9a234p-13, -0x1.43f7a6601742ep-13, -0x1.40faeb2628c8dp-13, -0x1.3e05e7dc98e6p-13, -0x1.3b16f4c26f5b4p-13, -0x1.382c88b091f05p-13, -0x1.354537be36703p-13, -0x1.325fb1f0d5199p-13, -0x1.2f7ac1f751a6ep-13, -0x1.2c954bf00e5f9p-13, -0x1.29ae4c39a4bcep-13, -0x1.26c4d64df5464p-13, -0x1.23d813a74f97dp-13, -0x1.20e742af6b6b6p-13, -0x1.1df1b5b7e8c79p-13, -0x1.1af6d1fc23fdbp-13, -0x1.17f60eac09b2bp-13, -0x1.14eef3ffba4efp-13, -0x1.11e11a53b6939p-13, -0x1.0ecc294d5c968p-13, -0x1.0bafd7077531cp-13, -0x1.088be7469bdadp-13, -0x1.05602ab541d57p-13, -0x1.022c7e27196ap-13, -0x1.fde193c76d5fcp-14, -0x1.f75a01f039e95p-14, -0x1.f0c2411e3f13dp-14, -0x1.ea1a5ea09a04cp-14, -0x1.e362798a7347fp-14, -0x1.dc9ac18a02d78p-14, -0x1.d5c375cb74f8cp-14, -0x1.cedce3e78db3ep-14, -0x1.c7e766dd7e621p-14, -0x1.c0e36617aaac8p-14, -0x1.b9d1547b06829p-14, -0x1.b2b1af80af5b8p-14, -0x1.ab84fe596fb2cp-14, -0x1.a44bd11ae84a4p-14, -0x1.9d06bff5f2ee9p-14, -0x1.95b66a761dc6p-14, -0x1.8e5b76c9c3675p-14, -0x1.86f691129c0e2p-14, -0x1.7f886abe6e35ep-14, -0x1.7811b9e79c22dp-14, -0x1.709338bd4f79cp-14, -0x1.690da4f2f9397p-14, -0x1.6181bf36edb1fp-14, -0x1.59f04aafd7aacp-14, -0x1.525a0c80c910dp-14, -0x1.4abfcb53ae73cp-14, -0x1.43224ee9e89b6p-14, -0x1.3b825fb2d76f2p-14, -0x1.33e0c6681d122p-14, -0x1.2c3e4baf6721dp-14, -0x1.249bb7c186992p-14, -0x1.1cf9d216a782bp-14, -0x1.1559611776f08p-14, -0x1.0dbb29d306f04p-14, -0x1.061fefb942ea4p-14, -0x1.fd10e8b392b85p-15, -0x1.edeaee4df9a3bp-15, -0x1.decf6a7a4898ap-15, -0x1.cfbfd25ae2f4cp-15, -0x1.c0bd959989889p-15, -0x1.b1ca1e0c12507p-15, -0x1.a2e6cf60064fp-15, -0x1.941506ccd9846p-15, -0x1.85561acc7b6eep-15, -0x1.76ab5ad9f9d41p-15, -0x1.68160f35f32b1p-15, -0x1.599778b09b0b8p-15, -0x1.4b30d07910dc7p-15, -0x1.3ce347f1ce654p-15, -0x1.2eb00889f43e6p-15, -0x1.2098339b38b01p-15, -0x1.129ce24c4a28p-15, -0x1.04bf257767aa8p-15, -0x1.ee000b2a0976cp-16, -0x1.d2c105548284ep-16, -0x1.b7c3287613a6fp-16, -0x1.9d08527f63069p-16, -0x1.8292503bb1f25p-16, -0x1.6862dd48ec1eap-16, -0x1.4e7ba415af3fp-16, -0x1.34de3de4eeba1p-16, -0x1.1b8c32d6ed94bp-16, -0x1.0286f9f749658p-16, -0x1.d39ff29f7cd37p-17, -0x1.a2d10bfeebc6fp-17, -0x1.72a3c8ad039b9p-17, -0x1.431a8feac9cbap-17, -0x1.1437a7e0908f3p-17, -0x1.cbfa6bd6ff67p-18, -0x1.70da7de3444f2p-18, -0x1.17134f7838505p-18, -0x1.7d50d55c6cdcp-19, -0x1.9e746bb8cc5b7p-20, -0x1.1f46dc62af633p-22, 0x1.093b30e524e48p-20, 0x1.2a53fd2dd376ep-19, 0x1.cd35a0060031dp-19, 0x1.369f21626c6f7p-18, 0x1.85350cd335ed4p-18, 0x1.d25ae4ab2f0f2p-18, 0x1.0f079938a34c8p-17, 0x1.34285ae907801p-17, 0x1.588f31c80170fp-17, 0x1.7c3bb23801f3fp-17, 0x1.9f2d8a114ca1fp-17, 0x1.c16480152ae75p-17, 0x1.e2e0735fecb0fp-17, 0x1.01d0ad6cf64d3p-16, 0x1.11d3a253eba98p-16, 0x1.21792acd22509p-16, 0x1.30c1644e7c3e1p-16, 0x1.3fac7712f0edfp-16, 0x1.4e3a95d1ff135p-16, 0x1.5c6bfd772b478p-16, 0x1.6a40f4d99cfcfp-16, 0x1.77b9cc73e3ccp-16, 0x1.84d6de1c0134bp-16, 0x1.91988cbbc0eadp-16, 0x1.9dff44096ca5dp-16, 0x1.aa0b7840f1ca5p-16, 0x1.b5bda5dd7b16cp-16, 0x1.c11651539844ap-16, 0x1.cc1606cbf0032p-16, 0x1.d6bd59de991e1p-16, 0x1.e10ce54f122bdp-16, 0x1.eb054ac8f6be9p-16, 0x1.f4a7329d65d7dp-16, 0x1.fdf34b8130ae5p-16, 0x1.03752525eb68bp-15, 0x1.07c674dba8308p-15, 0x1.0bedf5105c8cbp-15, 0x1.0fec08a4e9c46p-15, 0x1.13c1150dbbf3ep-15, 0x1.176d823476905p-15, 0x1.1af1ba5a16bbfp-15, 0x1.1e4e29f9929f7p-15, 0x1.21833faaf1d1bp-15, 0x1.24916c06e54a8p-15, 0x1.2779218addcb2p-15, 0x1.2a3ad47da39ecp-15, 0x1.2cd6fad46cd13p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d1f37c1fb8d6ep-1, 0x1.cdad4173d0db1p-1, 0x1.c945034bf112cp-1, 0x1.c4bcc54992725p-1, 0x1.c01685c5f4591p-1, 0x1.bb543c91834ddp-1, 0x1.b677d9d7d83a4p-1, 0x1.b1834525af07cp-1, 0x1.ac785c8e56039p-1, 0x1.a758f3ee2fdb9p-1, 0x1.a226d4480a797p-1, 0x1.9ce3bb3b2a418p-1, 0x1.97915a9009572p-1, 0x1.923157d9edb4cp-1, 0x1.8cc54c2b94d66p-1, 0x1.874ec3dd4fd92p-1, 0x1.81cf3e630a9dp-1, 0x1.7c482e30cb989p-1, 0x1.76baf8ac5c23ap-1, 0x1.7128f62ad1c8fp-1, 0x1.6b9371f8d9365p-1, 0x1.65fbaa6ca441ep-1, 0x1.6062d1007ecadp-1, 0x1.5aca0a751a1acp-1, 0x1.55326efaab66dp-1, 0x1.4f9d0a6014024p-1, 0x1.4a0adc4750de2p-1, 0x1.447cd85e7f6e6p-1, 0x1.3ef3e69cd5033p-1, 0x1.3970e382f30cbp-1, 0x1.33f4a05e08b13p-1, 0x1.2e7fe38d49a49p-1, 0x1.291368c93ce8cp-1, 0x1.23afe16c819bep-1, 0x1.1e55f4bda0b76p-1, 0x1.190640399a9afp-1, 0x1.13c157dedc62ap-1, 0x1.0e87c67856e21p-1, 0x1.095a0de877f05p-1, 0x1.0438a773ca32dp-1, 0x1.fe480816144e3p-2, 0x1.f439192905c91p-2, 0x1.ea45446916e5cp-2, 0x1.e06d3d29fdc46p-2, 0x1.d6b1a857301a5p-2, 0x1.cd131cfe1c1edp-2, 0x1.c39224d5caadfp-2, 0x1.ba2f3cc3b72dep-2, 0x1.b0ead55dc737ep-2, 0x1.a7c553694813bp-2, 0x1.9ebf1056e22e7p-2, 0x1.95d85abb6bafap-2, 0x1.8d1176c5a0c48p-2, 0x1.846a9eb0a900cp-2, 0x1.7be4033379aap-2, 0x1.737dcbed066a9p-2, 0x1.6b3817cd50b0fp-2, 0x1.6312fd7b53194p-2, 0x1.5b0e8bb7d36ddp-2, 0x1.532ac9bd25ce1p-2, 0x1.4b67b79beaa81p-2, 0x1.43c54e94d759ap-2, 0x1.3c43816f8ec15p-2, 0x1.34e23ccea3404p-2, 0x1.2da16780c7748p-2, 0x1.2680e2cf42c81p-2, 0x1.1f808ac9b706cp-2, 0x1.18a0368f49e32p-2, 0x1.11dfb895400e2p-2, 0x1.0b3edeeb1b07bp-2, 0x1.04bd737c4d021p-2, 0x1.fcb6789f1c90ap-3, 0x1.f02ff787d284fp-3, 0x1.e3e6e19714962p-3, 0x1.d7daae48cab9cp-3, 0x1.cc0acf1d7f57dp-3, 0x1.c076b003583d2p-3, 0x1.b51db7bb1bff4p-3, 0x1.a9ff483958f11p-3, 0x1.9f1abf03c8ea3p-3, 0x1.946f758b1c1bbp-3, 0x1.89fcc181357f4p-3, 0x1.7fc1f52bfeb3ap-3, 0x1.75be5fb4f04dep-3, 0x1.6bf14d75592cep-3, 0x1.625a083f8c648p-3, 0x1.58f7d7a50e619p-3, 0x1.4fca0139caf3ap-3, 0x1.46cfc8d4792dap-3, 0x1.3e0870cc3eb5ap-3, 0x1.35733a33a4fc1p-3, 0x1.2d0f6510fc80bp-3, 0x1.24dc309439939p-3, 0x1.1cd8db4a6b1f2p-3, 0x1.1504a34ecefeep-3, 0x1.0d5ec679a6316p-3, 0x1.05e6828ccf0dbp-3, 0x1.fd362abc8505dp-4, 0x1.eef77a00f3526p-4, 0x1.e10f6fd1ac0f7p-4, 0x1.d37c8a283a8b3p-4, 0x1.c63d48521795ep-4, 0x1.b9502b32413f7p-4, 0x1.acb3b57f434eep-4, 0x1.a0666bfde377ep-4, 0x1.9466d5b87e528p-4, 0x1.88b37c33402fdp-4, 0x1.7d4aeb9d480acp-4, 0x1.722bb2fed81e7p-4, 0x1.67546464a96bfp-4, 0x1.5cc395087dcd3p-4, 0x1.5277dd7709bep-4, 0x1.486fd9b34bab6p-4, 0x1.3eaa29576a782p-4, 0x1.35256fb330808p-4, 0x1.2be053e83c9efp-4, 0x1.22d98103f98e4p-4, 0x1.1a0fa61776edcp-4, 0x1.1181764d349ddp-4, 0x1.092da8fcf5eb9p-4, 0x1.0112f9bdb03edp-4, 0x1.f26050eb514b5p-5, 0x1.e307f2d1a61dep-5, 0x1.d41a6a8b0830dp-5, 0x1.c595525f11394p-5, 0x1.b7764d9367c93p-5, 0x1.a9bb087beb748p-5, 0x1.9c6138880c29dp-5, 0x1.8f669c4d74db5p-5, 0x1.82c8fb9023266p-5, 0x1.768627480820cp-5, 0x1.6a9bf9a455794p-5, 0x1.5f08560c8ed9bp-5, 0x1.53c9291f7d17ep-5, 0x1.48dc68b01a6ebp-5, 0x1.3e4013c09768bp-5, 0x1.33f2327b8d404p-5, 0x1.29f0d62b7816dp-5, 0x1.203a19308dc6bp-5, 0x1.16cc1ef50d1afp-5, 0x1.0da513e0164fep-5, 0x1.04c32d47279b4p-5, 0x1.f84952bc979b2p-6, 0x1.e78f9e4e2e65ap-6, 0x1.d755dcbcfa822p-6, 0x1.c798bed333a4p-6, 0x1.b8550682f5d87p-6, 0x1.a98786bbfb84p-6, 0x1.9b2d233fa0469p-6, 0x1.8d42d0734c6f8p-6, 0x1.7fc593316acap-6, 0x1.72b28098fd287p-6, 0x1.6606bddbfd6d9p-6, 0x1.59bf800c9437dp-6, 0x1.4dda0be94f68dp-6, 0x1.4253b5a863cabp-6, 0x1.3729e0c2213bp-6, 0x1.2c59ffbaa49e7p-6, 0x1.21e193eae52a6p-6, 0x1.17be2d492c803p-6, 0x1.0ded6a3117dbfp-6, 0x1.046cf72b2b7d2p-6, 0x1.f6751d6821d2cp-7, 0x1.e4a7f20721db4p-7, 0x1.d36e17a6b5e99p-7, 0x1.c2c3544b50f5ep-7, 0x1.b2a3881798314p-7, 0x1.a30aacd97b7acp-7, 0x1.93f4d59761887p-7, 0x1.855e2e1d7307p-7, 0x1.7742fa8b429c4p-7, 0x1.699f96e1bb48p-7, 0x1.5c70769195e0cp-7, 0x1.4fb2240a4798bp-7, 0x1.436140499b826p-7, 0x1.377a826bf4d34p-7, 0x1.2bfab73d51662p-7, 0x1.20dec0cb236dp-7, 0x1.162395f7095d1p-7, 0x1.0bc6420a765f7p-7, 0x1.01c3e44b59363p-7, 0x1.f0335f2397b69p-8, 0x1.dd89d3bdb301ep-8, 0x1.cb85d7e8c8c0bp-8, 0x1.ba2241dc6bcb8p-8, 0x1.a95a0bb8839edp-8, 0x1.992852bc48d16p-8, 0x1.8988567fc97f9p-8, 0x1.7a75782fffcd3p-8, 0x1.6beb39cd86e0ap-8, 0x1.5de53d6dfe1ap-8, 0x1.505f44801c7fbp-8, 0x1.43552f12858abp-8, 0x1.36c2fb1d5da37p-8, 0x1.2aa4c3cead816p-8, 0x1.1ef6c0d9922d2p-8, 0x1.13b545c841cf3p-8, 0x1.08dcc150e8f3dp-8, 0x1.fcd3795ac116ap-9, 0x1.e8b1b5eb7e61dp-9, 0x1.d54db0fb8dad9p-9, 0x1.c2a1146a5c001p-9, 0x1.b0a5ba158a30dp-9, 0x1.9f55aaa4eac2ep-9, 0x1.8eab1c5c2c27fp-9, 0x1.7ea071f2350dep-9, 0x1.6f30396e1c327p-9, 0x1.60552b09c1edp-9, 0x1.520a2819fa8cdp-9, 0x1.444a39fc4629ap-9, 0x1.3710910a0473cp-9, 0x1.2a58839120923p-9, 0x1.1e1d8cd2254cbp-9, 0x1.125b4c03aa4d9p-9, 0x1.070d835b1299dp-9, 0x1.f8602e351a1a4p-10, 0x1.e37e1948864ap-10, 0x1.cf6d13255fd3fp-10, 0x1.bc25a5ac06c2cp-10, 0x1.a9a097ad23ef1p-10, 0x1.97d6eb3861d79p-10, 0x1.86c1dbf4ee99fp-10, 0x1.765add83a4253p-10, 0x1.669b99eaabdc9p-10, 0x1.577df00a83c5fp-10, 0x1.48fbf21c371a1p-10, 0x1.3b0fe438b953ap-10, 0x1.2db43ae9226efp-10, 0x1.20e399bfc599dp-10, 0x1.1498d1f9e7c6dp-10, 0x1.08cee12a0300ep-10, 0x1.fb01dfd4ba24ap-11, 0x1.e554a12fbefa3p-11, 0x1.d08cfc2a05a6p-11, 0x1.bca235294e141p-11, 0x1.a98bdcd970f98p-11, 0x1.9741cde0f1e1dp-11, 0x1.85bc2aa494286p-11, 0x1.74f35b19a7e21p-11, 0x1.64e00aa6c54d3p-11, 0x1.557b2612aebacp-11, 0x1.46bdd98111c75p-11, 0x1.38a18e7cdf28cp-11, 0x1.2b1fea0ff1aeap-11, 0x1.1e32cae7c0746p-11, 0x1.11d44786d316p-11, 0x1.05feac82b626bp-11, 0x1.f558f59c52dd9p-12, 0x1.dfb0cc1e8937p-12, 0x1.cafaa602a05c6p-12, 0x1.b72cabc422b8cp-12, 0x1.a43d61d4877fdp-12, 0x1.9223a5a20df01p-12, 0x1.80d6aab3f226bp-12, 0x1.704df7db8d2e2p-12, 0x1.60816479d591cp-12, 0x1.516915d8d7faap-12, 0x1.42fd7c989c395p-12, 0x1.3537522f12c0bp-12, 0x1.280f967a88df4p-12, 0x1.1b7f8d663a532p-12, 0x1.0f80bca08b216p-12, 0x1.040ce962798d9p-12, 0x1.f23c2c8fc3e91p-13, 0x1.dd5d0270445p-13, 0x1.c97142bd751f4p-13, 0x1.b66e4a66fba4bp-13, 0x1.a449e123e56b4p-13, 0x1.92fa35befbd2p-13, 0x1.8275da7feed77p-13, 0x1.72b3c1b09008cp-13, 0x1.63ab3a3d66bdp-13, 0x1.5553ec70e8907p-13, 0x1.47a5d6c89ac6ep-13, 0x1.3a994ae375f2dp-13, 0x1.2e26ea88d33afp-13, 0x1.2247a4c74a1fdp-13, 0x1.16f4b32acb829p-13, 0x1.0c2797095b664p-13, 0x1.01da16e5d4ccdp-13, 0x1.f00c77d0191bcp-14, 0x1.dd4c9ed392ac9p-14, 0x1.cb69b12ff132ap-14, 0x1.ba59344f140d5p-14, 0x1.aa11203ad6a2p-14, 0x1.9a87db523518bp-14, 0x1.8bb4362283472p-14, 0x1.7d8d6763b400bp-14, 0x1.700b0816b5dadp-14, 0x1.63250fc4e1a0fp-14, 0x1.56d3d0df87fefp-14, 0x1.4b0ff53eaf82fp-14, 0x1.3fd27abe186afp-14, 0x1.3514aff7a1d09p-14, 0x1.2ad0311a335ap-14, 0x1.20fee4dc51feap-14, 0x1.179af9898b211p-14, 0x1.0e9ee229ea6dep-14, 0x1.060553c2afa76p-14, 0x1.fb92855f02e86p-15, 0x1.ebcbc026bc1d3p-15, 0x1.dcad2ec123ce9p-15, 0x1.ce2e17edf7e3fp-15, 0x1.c0462dafe66c3p-15, 0x1.b2ed88de3dcc6p-15, 0x1.a61ca4df38522p-15, 0x1.99cc5b899dd24p-15, 0x1.8df5e12c7cd59p-15, 0x1.8292c0bbc7478p-15, 0x1.779cd820ae19p-15, 0x1.6d0e54ac8bc2bp-15, 0x1.62e1afad52502p-15, 0x1.5911ab225a349p-15, 0x1.4f994e90938b6p-15, 0x1.4673e3f50a787p-15, 0x1.3d9cf4d4c94d8p-15, 0x1.3510476920934p-15, 0x1.2cc9dbe7627dbp-15, 0x1.24c5e9e331b1p-15, 0x1.1d00ddca77b7cp-15, 0x1.1577567a33a25p-15, 0x1.0e2622eb3ffecp-15, 0x1.070a3ff64f676p-15, 0x1.0020d62e4a021p-15, 0x1.f2ce6fa0a6ef5p-16, 0x1.e5b5bd916e65ep-16, 0x1.d8f2d5980ef27p-16, 0x1.cc813f0772d7ap-16, 0x1.c05cc59b2aa8p-16, 0x1.b481761aa6aadp-16, 0x1.a8eb9b1f83591p-16, 0x1.9d97b9fdac9e1p-16, 0x1.92828fcc2c19dp-16, 0x1.87a90e8d7af3dp-16, 0x1.7d085a762e5fcp-16, 0x1.729dc750fc225p-16, 0x1.6866d5fef906ap-16, 0x1.5e613213139d5p-16, 0x1.548aaf87d13d9p-16, 0x1.4ae1488e561dcp-16, 0x1.41631b75cb731p-16, 0x1.380e68aa409c8p-16, 0x1.2ee190ca26875p-16, 0x1.25db12d192e4cp-16, 0x1.1cf98a5a769e9p-16, 0x1.143badf102d34p-16, 0x1.0ba04d7b74c0ap-16, 0x1.032650b497592p-16, 0x1.f5996b706011dp-17, 0x1.e5251f4180223p-17, 0x1.d4ee0a6bb2b75p-17, 0x1.c4f29f54ebe49p-17, 0x1.b53172d53ec79p-17, 0x1.a5a939efbbd0fp-17, 0x1.9658c7a7a17bbp-17, 0x1.873f0af0c4fd3p-17, 0x1.785b0cba1b57cp-17, 0x1.69abee115df6ep-17, 0x1.5b30e65ec319fp-17, 0x1.4ce941b7cdd9ap-17, 0x1.3ed45f484a718p-17, 0x1.30f1afd08800ap-17, 0x1.2340b437f5222p-17, 0x1.15c0fc334294fp-17, 0x1.087224fd3b698p-17, 0x1.f6a7b04313a09p-18, 0x1.dccb94b14b182p-18, 0x1.c34f74e85fec3p-18, 0x1.aa32e0b613713p-18, 0x1.91757828e492ep-18, 0x1.7916e9c3171b5p-18, 0x1.6116f0c939466p-18, 0x1.497553aaf53ddp-18, 0x1.3231e284fd8b2p-18, 0x1.1b4c75baf7707p-18, 0x1.04c4eca848fa3p-18, 0x1.dd3658cd7c523p-19, 0x1.b19e3d5410452p-19, 0x1.86c1615e31868p-19, 0x1.5c9fa47cd745dp-19, 0x1.3338e980b8952p-19, 0x1.0a8d14c54bd2fp-19, 0x1.c5381538ee466p-20, 0x1.76cb5bb2b15a8p-20, 0x1.29d3bcf13d416p-20, 0x1.bca1e193c6b28p-21, 0x1.28854958366a9p-21, 0x1.2ea1e649467d9p-22, 0x1.208088ae6c284p-26, -0x1.04c4fc097c0a6p-22, -0x1.0ae3b19242749p-21, -0x1.9080da0fdd632p-21, -0x1.099db1b68f2c4p-20, -0x1.498a7200e2dafp-20, -0x1.88078f372169ap-20, -0x1.c516019da2ea8p-20, -0x1.005b6c8efcf2dp-19, -0x1.1d759eed9dd11p-19, -0x1.39da385594997p-19, -0x1.5589e5bae56a2p-19, -0x1.708560be94ad7p-19, -0x1.8acd6fc7433d4p-19, -0x1.a462e60f4f19dp-19, -0x1.bd46a3a91eb9bp-19, -0x1.d579957a3d8a6p-19, -0x1.ecfcb52df03bap-19, -0x1.01e8848fe8c31p-18, -0x1.0cfbd21f87ce8p-18, -0x1.17b8d2f565b53p-18, -0x1.22201ce414476p-18, -0x1.2c324bc941ddp-18, -0x1.35f00173255e6p-18, -0x1.3f59e583743a9p-18, -0x1.4870a5501676ep-18, -0x1.5134f3c1d0c1dp-18, -0x1.59a789310f7cbp-18, -0x1.61c92341080d1p-18, -0x1.699a84b955a64p-18, -0x1.711c755e41ab9p-18, -0x1.784fc1c7db20ap-18, -0x1.7f353b3804599p-18, -0x1.85cdb76f99ccp-18, -0x1.8c1a1082d6524p-18, -0x1.921b24ad108b1p-18, -0x1.97d1d623f10cp-18, -0x1.9d3f0aea3f156p-18, -0x1.a263aca25e966p-18, -0x1.a740a8609364fp-18, -0x1.abd6ee7d29f0dp-18, -0x1.b027726693921p-18, -0x1.b4332a7390637p-18, -0x1.b7fb0fb577aa6p-18, -0x1.bb801dcab1881p-18, -0x1.bec352b1741d4p-18, -0x1.c1c5ae9ad2896p-18, -0x1.c48833be2c2e2p-18, -0x1.c70be62d0ca65p-18, -0x1.c951cba785a87p-18, -0x1.cb5aeb71113e3p-18, -0x1.cd284e26058acp-18, -0x1.cebafd91a5f0ap-18, -0x1.d0140484d7a4dp-18, -0x1.d1346ead85367p-18, -0x1.d21d486eb83fep-18, -0x1.d2cf9eb96c6cfp-18, -0x1.d34c7ee6283b1p-18, -0x1.d394f68f5bbcdp-18, -0x1.d3aa136c8bb87p-18, -0x1.d38ce32e50e9fp-18, -0x1.d33e735b28864p-18, -0x1.d2bfd12d206p-18, -0x1.d21209705d3d3p-18, -0x1.d13628627cce8p-18, -0x1.d02d3992da7cep-18, -0x1.cef847c3b1dd9p-18, -0x1.cd985ccc24d95p-18, -0x1.cc0e817b24aa9p-18, -0x1.ca5bbd7b3b635p-18, -0x1.c88117373bbedp-18, -0x1.c67f93bfd09dfp-18, -0x1.c45836b1f0379p-18, -0x1.c20c021e301a4p-18, -0x1.bf9bf670f7fbfp-18, -0x1.bd09125b9511p-18, -0x1.ba5452be294f1p-18, -0x1.b77eb29275748p-18, -0x1.b4892ad77c62ap-18, -0x1.b174b27dfea4bp-18, -0x1.ae423e55c8a8bp-18, -0x1.aaf2c0fbd5af8p-18, -0x1.a7872ac93df04p-18, -0x1.a40069c2f691p-18, -0x1.a05f698a56c5cp-18, -0x1.9ca5134e66fbap-18, -0x1.98d24dbdf122p-18, -0x1.94e7fcfa53818p-18, -0x1.90e7028b0e58cp-18, -0x1.8cd03d520dfa4p-18, -0x1.88a48980a7e7ap-18, -0x1.8464c08d4dccap-18, -0x1.8011b929ee47ap-18, -0x1.7bac473b00e79p-18, -0x1.77353bcf3ba4dp-18, -0x1.72ad6517ebc6cp-18, -0x1.6e158e61efe9p-18, -0x1.696e800f4f5f9p-18, -0x1.64b8ff916a152p-18, -0x1.5ff5cf63c097fp-18, -0x1.5b25af0749f6cp-18, -0x1.56495afe5ce64p-18, -0x1.51618cc91f37dp-18, -0x1.4c6efae27f5f7p-18, -0x1.477258bdb0424p-18, -0x1.426c56c423434p-18, -0x1.3d5da25401221p-18, -0x1.3846e5bf19073p-18, -0x1.3328c84a45bbfp-18, -0x1.2e03ee2d4395dp-18, -0x1.28d8f892f47cp-18, -0x1.23a8859a0e929p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.6ec3cdf753da9p-3, -0x1.85a13dc13b799p-3, -0x1.9ca395221e04p-3, -0x1.b3bbec8afd74bp-3, -0x1.cadb71e55f41cp-3, -0x1.e1f386c06ddf8p-3, -0x1.f8f5da5b2c5a2p-3, -0x1.07ea3ff0640e2p-2, -0x1.134100955e86ep-2, -0x1.1e78b72cb131ep-2, -0x1.298b3547e042bp-2, -0x1.34729b0d83364p-2, -0x1.3f295b24b73e9p-2, -0x1.49aa3d97b6c1dp-2, -0x1.53f061cab65f6p-2, -0x1.5df73fa1de1c3p-2, -0x1.67baa7eef36fcp-2, -0x1.7136c43d4f248p-2, -0x1.7a681610aea13p-2, -0x1.834b75a9ad633p-2, -0x1.8bde1060fe47dp-2, -0x1.941d66a8e6c1dp-2, -0x1.9c0749c30dfbfp-2, -0x1.a399d93758a9p-2, -0x1.aad380174cb85p-2, -0x1.b1b2f2184fb81p-2, -0x1.b837288e0fa2ap-2, -0x1.be5f5f4d5c318p-2, -0x1.c42b117ee5751p-2, -0x1.c999f6686d1c6p-2, -0x1.ceabfe324afebp-2, -0x1.d3614eae5eaebp-2, -0x1.d7ba4024f9d0ep-2, -0x1.dbb75a2ba75ccp-2, -0x1.df59508931523p-2, -0x1.e2a10029d6462p-2, -0x1.e58f6c2612faep-2, -0x1.e825bade1ac7bp-2, -0x1.ea65332ba5e6bp-2, -0x1.ec4f39ab734e6p-2, -0x1.ede54e1f8f34cp-2, -0x1.ef2908eb20311p-2, -0x1.f01c18a85397cp-2, -0x1.f0c03fd8b609p-2, -0x1.f11752b0250d1p-2, -0x1.f12334fa51d45p-2, -0x1.f0e5d81ab029bp-2, -0x1.f061392688248p-2, -0x1.ef975f18c1ecbp-2, -0x1.ee8a591ef777cp-2, -0x1.ed3c3cff34804p-2, -0x1.ebaf2595c9ea1p-2, -0x1.e9e5316a8354ep-2, -0x1.e7e0815c88c8dp-2, -0x1.e5a3376429374p-2, -0x1.e32f7569ca18ep-2, -0x1.e0875c312c937p-2, -0x1.ddad0a58400ap-2, -0x1.daa29b68ae1afp-2, -0x1.d76a26fb570fcp-2, -0x1.d405bfecee44ap-2, -0x1.d07773a2ed1bdp-2, -0x1.ccc149601a169p-2, -0x1.c8e541a7d791ep-2, -0x1.c4e555af88e9p-2, -0x1.c0c376dd47a4p-2, -0x1.bc818e533f5f1p-2, -0x1.b8217c86fa56p-2, -0x1.b3a518e3fbd9cp-2, -0x1.af0e317904a4bp-2, -0x1.aa5e8aaf63286p-2, -0x1.a597df0bbc0fap-2, -0x1.a0bbdef7b9d24p-2, -0x1.9bcc309419b0dp-2, -0x1.96ca6f9295ad7p-2, -0x1.91b82d17263ddp-2, -0x1.8c96efa028ecbp-2, -0x1.876832f4fd171p-2, -0x1.822d681a9e41ep-2, -0x1.7ce7f54de01dep-2, -0x1.77993602e3fe3p-2, -0x1.72427ae967dfap-2, -0x1.6ce509f59ef6cp-2, -0x1.67821e6d3372bp-2, -0x1.621ae8f82d494p-2, -0x1.5cb08fb5684a1p-2, -0x1.57442e5259b21p-2, -0x1.51d6d625dcaeap-2, -0x1.4c698e4dc6ec6p-2, -0x1.46fd53cf087f3p-2, -0x1.419319b81ed8bp-2, -0x1.3c2bc945a2818p-2, -0x1.36c84208bd017p-2, -0x1.31695a0f5857fp-2, -0x1.2c0fde0dd7a4p-2, -0x1.26bc918a30f5cp-2, -0x1.21702f083c4fp-2, -0x1.1c2b68371584ap-2, -0x1.16eee61f67a89p-2, -0x1.11bb495286b97p-2, -0x1.0c912a1a3153p-2, -0x1.077118a8e1befp-2, -0x1.025b9d4a8d69fp-2, -0x1.faa2712b77bcp-3, -0x1.f0a4c739b157fp-3, -0x1.e6bf203f5e3a3p-3, -0x1.dcf25179e70d4p-3, -0x1.d33f22478dcc4p-3, -0x1.c9a64c8a49e13p-3, -0x1.c0287d0a5275bp-3, -0x1.b6c653d82d9e5p-3, -0x1.ad8064ae364e3p-3, -0x1.a457375168b16p-3, -0x1.9b4b47f166db8p-3, -0x1.925d07879e0a7p-3, -0x1.898cdc35686d3p-3, -0x1.80db21a12708cp-3, -0x1.78482952308b8p-3, -0x1.6fd43b0b934d9p-3, -0x1.677f9525874d8p-3, -0x1.5f4a6ce59653dp-3, -0x1.5734eed5570b6p-3, -0x1.4f3f3f17c1398p-3, -0x1.476979bd05f7ep-3, -0x1.3fb3b314e78a6p-3, -0x1.381df7ff7c97p-3, -0x1.30a84e3c6bf01p-3, -0x1.2952b4b888507p-3, -0x1.221d23d9c965fp-3, -0x1.1b078dc9aaf68p-3, -0x1.1411debdd97d6p-3, -0x1.0d3bfd3f3b368p-3, -0x1.0685ca6f4945ep-3, -0x1.ffde44977c85fp-4, -0x1.f2efb7e119eb7p-4, -0x1.e63f93b06c49bp-4, -0x1.d9cd7434c45f7p-4, -0x1.cd98ed51ac69p-4, -0x1.c1a18b15762a3p-4, -0x1.b5e6d22c71fd9p-4, -0x1.aa684050e242cp-4, -0x1.9f254cb79b55ep-4, -0x1.941d687970ca9p-4, -0x1.894ffef960131p-4, -0x1.7ebc764790af8p-4, -0x1.74622f812e767p-4, -0x1.6a40872d24a76p-4, -0x1.6056d595caaap-4, -0x1.56a46f1f8767ap-4, -0x1.4d28a49c7a8c3p-4, -0x1.43e2c39d363dfp-4, -0x1.3ad216be956eap-4, -0x1.31f5e5f4bc252p-4, -0x1.294d76d34d2f1p-4, -0x1.20d80cd2e5962p-4, -0x1.1894e993e6d2dp-4, -0x1.10834d1ea207bp-4, -0x1.08a27620eea66p-4, -0x1.00f1a2293bf9cp-4, -0x1.f2e01bbe5a203p-5, -0x1.e439ea7393278p-5, -0x1.d5ef2766abbbcp-5, -0x1.c7fe48f5bb64cp-5, -0x1.ba65c54704b7dp-5, -0x1.ad2412a32fe2p-5, -0x1.a037a7cb454bcp-5, -0x1.939efc4a7fe92p-5, -0x1.875888c41a64ap-5, -0x1.7b62c73d29cc6p-5, -0x1.6fbc3362addbcp-5, -0x1.64634acbe65e3p-5, -0x1.59568d39145e5p-5, -0x1.4e947cceb96d7p-5, -0x1.441b9e4d77d85p-5, -0x1.39ea7946a9401p-5, -0x1.2fff984dc6adbp-5, -0x1.26598926bfbp-5, -0x1.1cf6dcf157babp-5, -0x1.13d62851a04ccp-5, -0x1.0af60395af88p-5, -0x1.02550ad8a693bp-5, -0x1.f3e3bc46423ecp-6, -0x1.e39643124be73p-6, -0x1.d3befa8b60f7cp-6, -0x1.c45b3ba7d184p-6, -0x1.b568680c42d87p-6, -0x1.a6e3ea356102dp-6, -0x1.98cb359d723ap-6, -0x1.8b1bc6ddf2dabp-6, -0x1.7dd323cd6bee9p-6, -0x1.70eedb999d926p-6, -0x1.646c86de32b7ap-6, -0x1.5849c7b81a65ep-6, -0x1.4c8449d5ade48p-6, -0x1.4119c283d0225p-6, -0x1.3607f0b8195a4p-6, -0x1.2b4c9d183d66fp-6, -0x1.20e599fed210cp-6, -0x1.16d0c37d82b54p-6, -0x1.0d0bff5ce3f22p-6, -0x1.03953d19ff407p-6, -0x1.f4d4ebc35cdb3p-7, -0x1.e3135913de1b7p-7, -0x1.d1e1db12795d4p-7, -0x1.c13c9dd830feep-7, -0x1.b11fe091a170dp-7, -0x1.a187f56351abap-7, -0x1.9271414adbd05p-7, -0x1.83d83bfd3cc3dp-7, -0x1.75b96fc262b1fp-7, -0x1.6811794e2d226p-7, -0x1.5add079712b3p-7, -0x1.4e18dbaa77b85p-7, -0x1.41c1c87f0d07bp-7, -0x1.35d4b2c529d31p-7, -0x1.2a4e90b56d4b7p-7, -0x1.1f2c69ddb422bp-7, -0x1.146b56ec8cdbcp-7, -0x1.0a08817b4a6d4p-7, -0x1.000123d6d3571p-7, -0x1.eca5118e97f5dp-8, -0x1.d9f416ad72b7ep-8, -0x1.c7ea2d2d6d2a5p-8, -0x1.b6824acab2a29p-8, -0x1.a5b78462b9417p-8, -0x1.95850d7b586d7p-8, -0x1.85e637c8ca9c7p-8, -0x1.76d672b2ca46fp-8, -0x1.68514ad8f1fc7p-8, -0x1.5a5269968700fp-8, -0x1.4cd59485d66c7p-8, -0x1.3fd6ad03491b9p-8, -0x1.3351afb04f5f4p-8, -0x1.2742b3f6470c5p-8, -0x1.1ba5eb89789ebp-8, -0x1.1077a1ec4d391p-8, -0x1.05b43bf2d2e43p-8, -0x1.f6b06e8d63eacp-9, -0x1.e2c053d743ee7p-9, -0x1.cf9183890286cp-9, -0x1.bd1d8832336ffp-9, -0x1.ab5e1a3965cddp-9, -0x1.9a4d1eeaf1018p-9, -0x1.89e4a789a902cp-9, -0x1.7a1ef061872f8p-9, -0x1.6af65fdc725bp-9, -0x1.5c6585993ee0fp-9, -0x1.4e6719850883ap-9, -0x1.40f5faf6f5486p-9, -0x1.340d2fce855ap-9, -0x1.27a7e3947741bp-9, -0x1.1bc1669e647fp-9, -0x1.10552d3518be7p-9, -0x1.055ecebdbeb4ap-9, -0x1.f5b409cbe1616p-10, -0x1.e18555a563ef1p-10, -0x1.ce2978a4cdb68p-10, -0x1.bb98aa23a1422p-10, -0x1.a9cb5fa82fce3p-10, -0x1.98ba4b5bd8974p-10, -0x1.885e5a87826f7p-10, -0x1.78b0b4165d1bfp-10, -0x1.69aab71eea7bep-10, -0x1.5b45f972629c2p-10, -0x1.4d7c46326bf67p-10, -0x1.40479c6d355f3p-10, -0x1.33a22dbfeadf5p-10, -0x1.27865cff8b1d3p-10, -0x1.1beebce80fd02p-10, -0x1.10d60ed1fd839p-10, -0x1.0637416e36a25p-10, -0x1.f81adf1056776p-11, -0x1.e4a7bd9c790efp-11, -0x1.d20bfd40dde7bp-11, -0x1.c03ecdca87cbfp-11, -0x1.af37adc98128dp-11, -0x1.9eee68531fef7p-11, -0x1.8f5b12d06a3e9p-11, -0x1.80760ad87f3aep-11, -0x1.7237f416e8641p-11, -0x1.6499b63db4534p-11, -0x1.57947b033b228p-11, -0x1.4b21ac2b6e18p-11, -0x1.3f3af19c8cf8dp-11, -0x1.33da2f7f21b78p-11, -0x1.28f984691b88dp-11, -0x1.1e934793e75f2p-11, -0x1.14a2071d5db68p-11, -0x1.0b20865360c3dp-11, -0x1.0209bc0a04128p-11, -0x1.f2b1a1f82b6a4p-12, -0x1.e2123c6bc4284p-12, -0x1.d22c57140f241p-12, -0x1.c2f75c2067edfp-12, -0x1.b46b0d5b429c4p-12, -0x1.a67f814e5358cp-12, -0x1.992d20798c62dp-12, -0x1.8c6ca29ca7c34p-12, -0x1.80370c12df051p-12, -0x1.7485ab408717ep-12, -0x1.6952161235d54p-12, -0x1.5e96278d2259ap-12, -0x1.544bfd706b125p-12, -0x1.4a6df5e6ed49p-12, -0x1.40f6ad496042ep-12, -0x1.37e0fbf05b3bdp-12, -0x1.2f27f415fb066p-12, -0x1.26c6dfc6d0668p-12, -0x1.1eb93ee1cb09ep-12, -0x1.16fac526ce408p-12, -0x1.0f8758539f4aep-12, -0x1.085b0e4ee3632p-12, -0x1.01722b60d8615p-12, -0x1.f59240f3028ecp-13, -0x1.e8b91307e978fp-13, -0x1.dc52578d1121fp-13, -0x1.d057e89f0d0c5p-13, -0x1.c4c3ecdc54cc4p-13, -0x1.b990d46f30b78p-13, -0x1.aeb9562f11c64p-13, -0x1.a4386cd8c0ecep-13, -0x1.9a09545cdded4p-13, -0x1.902787441e682p-13, -0x1.868ebc28cc61p-13, -0x1.7d3ae344f6ca8p-13, -0x1.74282414d51c3p-13, -0x1.6b52db0cdd22p-13, -0x1.62b7976303ec3p-13, -0x1.5a5318eab779ap-13, -0x1.52224e030a018p-13, -0x1.4a225196a012dp-13, -0x1.4250692ce2894p-13, -0x1.3aaa030c02d8fp-13, -0x1.332cb46b6034bp-13, -0x1.2bd637b5d8761p-13, -0x1.24a46adb9c4b6p-13, -0x1.1d954db30fc72p-13, -0x1.16a700685a8a2p-13, -0x1.0fd7c1fb38be8p-13, -0x1.0925eeca9c4cfp-13, -0x1.028fff2dd46fcp-13, -0x1.f8290c356e782p-14, -0x1.eb645fb11fc3dp-14, -0x1.decf817eb1df6p-14, -0x1.d2682805e87b4p-14, -0x1.c62c3514003f1p-14, -0x1.ba19b39ff5348p-14, -0x1.ae2ed5a4a4777p-14, -0x1.a269f2102cce7p-14, -0x1.96c982c7e7899p-14, -0x1.8b4c22c0569f4p-14, -0x1.7ff08c28702b7p-14, -0x1.74b596a7a981ep-14, -0x1.699a35ae2d63ep-14, -0x1.5e9d76d6acb14p-14, -0x1.53be805938ecep-14, -0x1.48fc8f8e9fda5p-14, -0x1.3e56f783beeebp-14, -0x1.33cd1f9c49d1bp-14, -0x1.295e8244868cep-14, -0x1.1f0aabb17c15dp-14, -0x1.14d138af1e49dp-14, -0x1.0ab1d57bfbc6cp-14, -0x1.00ac3cb1fc232p-14, -0x1.ed806c777843cp-15, -0x1.d9db2cac33fbap-15, -0x1.c668793b0ab5cp-15, -0x1.b328264d5a2a7p-15, -0x1.a01a1b44453fbp-15, -0x1.8d3e511522a0ap-15, -0x1.7a94d0ba5495ep-15, -0x1.681db1b7ca73ep-15, -0x1.55d918b27d3dp-15, -0x1.43c7361a2d8f1p-15, -0x1.31e844e4c0bbfp-15, -0x1.203c895a90d4p-15, -0x1.0ec44ff30cca7p-15, -0x1.faffd882214efp-16, -0x1.d8df6fdcb448p-16, -0x1.b728238b04ba1p-16, -0x1.95dab993eb045p-16, -0x1.74f7febaa7674p-16, -0x1.5480c4e372b62p-16, -0x1.3475e190d86d1p-16, -0x1.14d82c78d3e16p-16, -0x1.eb50fc6185828p-17, -0x1.adcf5dde6fc9bp-17, -0x1.712d2ac599cc2p-17, -0x1.356c0b3a14fp-17, -0x1.f51b40426fbcp-18, -0x1.81270287a87f2p-18, -0x1.0efe77258b40fp-18, -0x1.3d493e34f365cp-19, -0x1.80e2fc7536017p-21, 0x1.e4bc0708be03ep-21, 0x1.4ee8b93b20fecp-19, 0x1.1077b157491ccp-18, 0x1.779f2212f1bdfp-18, 0x1.dce87902be16fp-18, 0x1.2028d497855d5p-17, 0x1.50ec67f854f7bp-17, 0x1.80be1b1f8d923p-17, 0x1.af9d28ea67093p-17, 0x1.dd88e315cb04ep-17, 0x1.05405954d7a74p-16, 0x1.1b420c293ceeep-16, 0x1.30c95654b75a2p-16, 0x1.45d6103687c82p-16, 0x1.5a681e551e7d5p-16, 0x1.6e7f716b7fa33p-16, 0x1.821c066fe5aeap-16, 0x1.953de693f8db9p-16, 0x1.a7e5273f09461p-16, 0x1.ba11ea029f37bp-16, 0x1.cbc45c89bc721p-16, 0x1.dcfcb8832943ep-16, 0x1.edbb43870fb16p-16, 0x1.fe004ef849931p-16, 0x1.06e61bf0cac5dp-15, 0x1.0e8fb36787e4cp-15, 0x1.15fd27d211975p-15, 0x1.1d2eb8b71ffbep-15, 0x1.2424ab1a4868p-15, 0x1.2adf49627a785p-15, 0x1.315ee33f348a2p-15, 0x1.37a3cd8c94bcfp-15, 0x1.3dae62365936bp-15, 0x1.437f0019ef5f1p-15, 0x1.49160ae7a69cfp-15, 0x1.4e73eb031da2cp-15, 0x1.53990d6303273p-15, 0x1.5885e3703c6a4p-15, 0x1.5d3ae2e488f0bp-15, 0x1.61b885a8afb79p-15, 0x1.65ff49b2519bdp-15, 0x1.6a0fb0e16b6a8p-15, 0x1.6dea40dd982b7p-15, 0x1.718f82f327d39p-15, 0x1.750003f014d17p-15, 0x1.783c5400e73a9p-15, 0x1.7b45068d962afp-15, 0x1.7e1ab2166c62fp-15, 0x1.80bdf01106d5ep-15, 0x1.832f5cc56c713p-15, 0x1.856f972b5348fp-15, 0x1.877f40c7977c6p-15, 0x1.895efd89ede99p-15, 0x1.8b0f73aadeefcp-15, 0x1.8c914b8a0ab12p-15, 0x1.8de52f8cc5f68p-15, 0x1.8f0bcbfd10c8cp-15, 0x1.9005cee8f07b1p-15, 0x1.90d3e80233a1fp-15, 0x1.9176c87ea2d84p-15, 0x1.91ef22f8a52c3p-15, 0x1.923dab505fc37p-15, 0x1.9263168d4eea5p-15, 0x1.92601ac063b8fp-15, 0x1.92356ee6a258p-15, 0x1.91e3cacc4d81p-15, 0x1.916be6f098053p-15, 0x1.90ce7c69e7873p-15, 0x1.900c44caa63dp-15, 0x1.8f25fa06a69dp-15, 0x1.8e1c56591ac24p-15, 0x1.8cf0142b238p-15, 0x1.8ba1edfaf440cp-15, 0x1.8a329e438e94ap-15, 0x1.88a2df6519642p-15, 0x1.86f36b8dcda7ep-15, 0x1.8524fca37fdaap-15, 0x1.83384c2dc22d9p-15, 0x1.812e1340a1a9bp-15, 0x1.7f070a67faa31p-15, 0x1.7cc3e9936b56ep-15, 0x1.7a656802da9d7p-15, 0x1.77ec3c339a9d2p-15, 0x1.75591bce21032p-15, 0x1.72acbb945912ep-15, 0x1.6fe7cf5085d3fp-15, 0x1.6d0b09c4c09ccp-15, 0x1.6a171c9b03684p-15, 0x1.670cb855cb364p-15, 0x1.63ec8c4147a7p-15, 0x1.60b746651ab5p-15, 0x1.5d6d9376a4f11p-15, 0x1.5a101ecbe123fp-15, 0x1.569f924ec4e25p-15, 0x1.531c96712c8ebp-15, 0x1.4f87d2214e1b4p-15, 0x1.4be1eabeacc7p-15, 0x1.482b840f94af6p-15, 0x1.4465403710e0dp-15, 0x1.408fbfab648cfp-15, 0x1.3caba12cfdab4p-15, 0x1.38b981bde2193p-15, 0x1.34b9fc99956cbp-15, 0x1.30adab2d74f35p-15, 0x1.2c95251184767p-15, 0x1.28710001af5f3p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c8f049952a2efp-1, 0x1.c56b28ab47c71p-1, 0x1.c1ef0311b5dep-1, 0x1.be7c373c01ec4p-1, 0x1.bb12cf306239cp-1, 0x1.b7b28dc0629a2p-1, 0x1.b45afaab2ec64p-1, 0x1.b10b6da826934p-1, 0x1.adc3185e79026p-1, 0x1.aa810f52e1917p-1, 0x1.a74451d7ba2f8p-1, 0x1.a40bd10da356dp-1, 0x1.a0d676044430cp-1, 0x1.9da3270b54cdfp-1, 0x1.9a70cc444c11p-1, 0x1.973e5384e7bcbp-1, 0x1.940ab39a5add6p-1, 0x1.90d4eefc4dd05p-1, 0x1.8d9c15fe262e9p-1, 0x1.8a5f488c37cc7p-1, 0x1.871db781a1036p-1, 0x1.83d6a5a2b3bd8p-1, 0x1.80896846e4849p-1, 0x1.7d3567bc5b2a6p-1, 0x1.79da1f6e65d52p-1, 0x1.76771dd738992p-1, 0x1.730c0444a754ep-1, 0x1.6f988676be169p-1, 0x1.6c1c6a1e73df2p-1, 0x1.689786420eaafp-1, 0x1.6509c28c3039cp-1, 0x1.61731689feaddp-1, 0x1.5dd388dc50062p-1, 0x1.5a2b2e5f530f2p-1, 0x1.567a294bb96c3p-1, 0x1.52c0a8540ae3ap-1, 0x1.4efee5c06c66p-1, 0x1.4b35268ad3477p-1, 0x1.4763b97d5a44bp-1, 0x1.438af6542211dp-1, 0x1.3fab3ce3f6ceap-1, 0x1.3bc4f446b663p-1, 0x1.37d88a0e4d497p-1, 0x1.33e6717eecf31p-1, 0x1.2fef22d102917p-1, 0x1.2bf31a7b4fe96p-1, 0x1.27f2d8856d6eap-1, 0x1.23eedfe2e283fp-1, 0x1.1fe7b5d6ee0b7p-1, 0x1.1bdde16106c07p-1, 0x1.17d1eab20580fp-1, 0x1.13c45aa9e6d54p-1, 0x1.0fb5ba5dffddep-1, 0x1.0ba692a77992cp-1, 0x1.07976bb9df504p-1, 0x1.0388ccc185515p-1, 0x1.fef6771314cbfp-2, 0x1.f6de78525a6c4p-2, 0x1.eecaa17062395p-2, 0x1.e6bbf21412528p-2, 0x1.deb364df008d2p-2, 0x1.d6b1eefd1f964p-2, 0x1.ceb87fc03e601p-2, 0x1.c6c80046bb166p-2, 0x1.bee1532cd7959p-2, 0x1.b70554481f93fp-2, 0x1.af34d86c51fd5p-2, 0x1.a770ad393a2c1p-2, 0x1.9fb998f0fba73p-2, 0x1.98105a5641759p-2, 0x1.9075a891d651ap-2, 0x1.88ea331f2947p-2, 0x1.816ea1bf4556cp-2, 0x1.7a039471c7963p-2, 0x1.72a9a3736c6dbp-2, 0x1.6b615f41bf6a9p-2, 0x1.642b50a3922a1p-2, 0x1.5d07f8b5d4c4bp-2, 0x1.55f7d0fc727d2p-2, 0x1.4efb4b76e0034p-2, 0x1.4812d2b804372p-2, 0x1.413eca01299dcp-2, 0x1.3a7f8d5fb7e15p-2, 0x1.33d571cd61cc1p-2, 0x1.2d40c5528d402p-2, 0x1.26c1cf2ab4852p-2, 0x1.2058cfea83594p-2, 0x1.1a0601a77698bp-2, 0x1.13c99820d2101p-2, 0x1.0da3c0e9b0399p-2, 0x1.0794a394036d3p-2, 0x1.019c61dc5ebd5p-2, 0x1.f7762facb508dp-3, 0x1.ebe1b832e2e71p-3, 0x1.e07b7fdc5fc01p-3, 0x1.d5439ef734f66p-3, 0x1.ca3a23e951a89p-3, 0x1.bf5f138b72844p-3, 0x1.b4b26983cdc8ap-3, 0x1.aa3418a050743p-3, 0x1.9fe40b303a7abp-3, 0x1.95c2235d01622p-3, 0x1.8bce3b82447fcp-3, 0x1.82082684bcd85p-3, 0x1.786fb0280816ap-3, 0x1.6f049d632d2cdp-3, 0x1.65c6acb3cacadp-3, 0x1.5cb5966fd7e93p-3, 0x1.53d10d15d6bf7p-3, 0x1.4b18bd9b8593cp-3, 0x1.428c4fbad5fabp-3, 0x1.3a2b663d4b12p-3, 0x1.31f59f45866b6p-3, 0x1.29ea949720adcp-3, 0x1.2209dbdcb0056p-3, 0x1.1a5306ebf71b7p-3, 0x1.12c5a408447fbp-3, 0x1.0b613e22f714fp-3, 0x1.04255d1a1c112p-3, 0x1.fa230bea7e636p-4, 0x1.ec4a76409af46p-4, 0x1.debff94949c05p-4, 0x1.d18290c09578cp-4, 0x1.c4913476806a6p-4, 0x1.b7ead8b61e0bbp-4, 0x1.ab8e6ea8f4ceep-4, 0x1.9f7ae4b6e5c93p-4, 0x1.93af26e266d25p-4, 0x1.882a1f215e177p-4, 0x1.7ceab5b276ad5p-4, 0x1.71efd16f17feap-4, 0x1.6738581a07a7fp-4, 0x1.5cc32eaac31f8p-4, 0x1.528f3995a2671p-4, 0x1.489b5d10d612ap-4, 0x1.3ee67d564d7c5p-4, 0x1.356f7ee299607p-4, 0x1.2c3546b0db3e1p-4, 0x1.2336ba73d3409p-4, 0x1.1a72c0cc1ed0ep-4, 0x1.11e8417bb90c6p-4, 0x1.09962596d15c2p-4, 0x1.017b57b2074dbp-4, 0x1.f32d881c42fb7p-5, 0x1.e3ceb1829e20ap-5, 0x1.d4d80bbc0e1ffp-5, 0x1.c6477b2f30b3ep-5, 0x1.b81ae8c8f4332p-5, 0x1.aa50423ce3deap-5, 0x1.9ce57a413d14dp-5, 0x1.8fd888c6f2b5bp-5, 0x1.83276b2dc34f2p-5, 0x1.76d024747ff9dp-5, 0x1.6ad0bd65aba89p-5, 0x1.5f2744c08c996p-5, 0x1.53d1cf5ed96d4p-5, 0x1.48ce78571978ap-5, 0x1.3e1b611bde4d2p-5, 0x1.33b6b197f3bp-5, 0x1.299e9847a0bbp-5, 0x1.1fd14a4f20815p-5, 0x1.164d038e631cap-5, 0x1.0d1006b2420e2p-5, 0x1.04189d433660fp-5, 0x1.f6ca2f63677b9p-6, 0x1.e5e79ac085a37p-6, 0x1.d5863956e04c3p-6, 0x1.c5a2d5df5aa06p-6, 0x1.b63a491a7548dp-6, 0x1.a74979d462b22p-6, 0x1.98cd5ce590f8bp-6, 0x1.8ac2f52fc9266p-6, 0x1.7d2753981d744p-6, 0x1.6ff796fdcdf9ap-6, 0x1.6330ec2e420a6p-6, 0x1.56d08dd64ff76p-6, 0x1.4ad3c470e9b79p-6, 0x1.3f37e63361d6p-6, 0x1.33fa56f75d0ecp-6, 0x1.29188822a77cbp-6, 0x1.1e8ff88cfab83p-6, 0x1.145e3463e843ap-6, 0x1.0a80d50cf5a5cp-6, 0x1.00f581061a0b8p-6, 0x1.ef73d7895e0f8p-7, 0x1.dd97ab25eb0b8p-7, 0x1.cc5216d88ae16p-7, 0x1.bb9ecdb01abb7p-7, 0x1.ab799b875af3cp-7, 0x1.9bde64b69964bp-7, 0x1.8cc925c3887a3p-7, 0x1.7e35f30f5af01p-7, 0x1.7020f88358507p-7, 0x1.6286793c1facep-7, 0x1.5562cf33a6a56p-7, 0x1.48b26aea2e71p-7, 0x1.3c71d30e4a599p-7, 0x1.309da4241e3aap-7, 0x1.2532902beda44p-7, 0x1.1a2d5e48254a9p-7, 0x1.0f8aea62f34eap-7, 0x1.054824d391fa6p-7, 0x1.f6c42406b3d47p-8, 0x1.e3ab942573385p-8, 0x1.d140f0fc4d9cbp-8, 0x1.bf7eb7864a3b3p-8, 0x1.ae5f8a0ae547bp-8, 0x1.9dde2f68e7d72p-8, 0x1.8df59261dd665p-8, 0x1.7ea0c0e652ea5p-8, 0x1.6fdaeb62f9df6p-8, 0x1.619f640ed946dp-8, 0x1.53e99e3aa2d14p-8, 0x1.46b52da14d6afp-8, 0x1.39fdc5ba10784p-8, 0x1.2dbf390bd376cp-8, 0x1.21f5788232a8ep-8, 0x1.169c92c42336bp-8, 0x1.0bb0b38c5601dp-8, 0x1.012e230363075p-8, 0x1.ee228a37a835ep-9, 0x1.daad31e037dfdp-9, 0x1.c7f5704512f1ep-9, 0x1.b5f4ac7e8776bp-9, 0x1.a4a48040b2ad4p-9, 0x1.93feb6a7e7083p-9, 0x1.83fd4b095b5dep-9, 0x1.749a67c842cf2p-9, 0x1.65d0652f5ae7ap-9, 0x1.5799c84ef3594p-9, 0x1.49f141df85457p-9, 0x1.3cd1ad28e167fp-9, 0x1.30360eedf7618p-9, 0x1.2419945d4316cp-9, 0x1.18779205e2f2bp-9, 0x1.0d4b82d1567dbp-9, 0x1.02910701eed9cp-9, 0x1.f087c66bd3a76p-10, 0x1.dcbffede75d28p-10, 0x1.c9c2cc4006c93p-10, 0x1.b78886775c95cp-10, 0x1.a609c699681d5p-10, 0x1.953f651dfc48ep-10, 0x1.8522781dc9b1p-10, 0x1.75ac51997967p-10, 0x1.66d67dc9f0fdep-10, 0x1.589ac17987882p-10, 0x1.4af318663fcd8p-10, 0x1.3dd9b3ace0516p-10, 0x1.3148f83cd2a54p-10, 0x1.253b7d54c225p-10, 0x1.19ac0b07d6164p-10, 0x1.0e9598cb77675p-10, 0x1.03f34c0d82c1p-10, 0x1.f380eda5a95b8p-11, 0x1.dff12cbc214cep-11, 0x1.cd2ea3bd10e4cp-11, 0x1.bb30f24e53ea9p-11, 0x1.a9f006daabd72p-11, 0x1.99641c1f04d7ap-11, 0x1.8985b6c71cc3p-11, 0x1.7a4da3194a41ap-11, 0x1.6bb4f2b12e54fp-11, 0x1.5db4fa490f9f7p-11, 0x1.50474f91a3fa6p-11, 0x1.4365c7180d1fcp-11, 0x1.370a7239c6a83p-11, 0x1.2b2f9d264ad14p-11, 0x1.1fcfccee2e8abp-11, 0x1.14e5bd9f766cap-11, 0x1.0a6c606ee8e81p-11, 0x1.005ed9ee1b0cdp-11, 0x1.ed71009bfc7bdp-12, 0x1.dae9b35b5dc29p-12, 0x1.c91f34ea8d241p-12, 0x1.b8094778e842ep-12, 0x1.a7a003793e29cp-12, 0x1.97dbd49ca8654p-12, 0x1.88b576e38b0cep-12, 0x1.7a25f3c43aecap-12, 0x1.6c269f66d6859p-12, 0x1.5eb115f5d9325p-12, 0x1.51bf3902fb72bp-12, 0x1.454b2cffe2456p-12, 0x1.394f56ca325f7p-12, 0x1.2dc6594a9637bp-12, 0x1.22ab1326440e1p-12, 0x1.17f89c8295995p-12, 0x1.0daa44da49c42p-12, 0x1.03bb90e3fbd74p-12, 0x1.f4507112df5bfp-13, 0x1.e1d849de84becp-13, 0x1.d006dd193df64p-13, 0x1.bed4b6a512edap-13, 0x1.ae3ab9c4cf0cdp-13, 0x1.9e321da6acab5p-13, 0x1.8eb46a0bf488dp-13, 0x1.7fbb740cc0551p-13, 0x1.71415af72b3a9p-13, 0x1.6340854938ad3p-13, 0x1.55b39dc4b9be1p-13, 0x1.4895909c84038p-13, 0x1.3be188ba450abp-13, 0x1.2f92ed1c4f4a5p-13, 0x1.23a55e4aaf25cp-13, 0x1.1814b3e2eb473p-13, 0x1.0cdcfa39cb7aap-13, 0x1.01fa7012869e2p-13, 0x1.eed308d577a5ap-14, 0x1.da4da8b5530a7p-14, 0x1.c65e5211ee54ep-14, 0x1.b2feeb6337662p-14, 0x1.a029ab7e74ae3p-14, 0x1.8dd915eceeb7ap-14, 0x1.7c07f76575accp-14, 0x1.6ab16267aeda7p-14, 0x1.59d0abf82e599p-14, 0x1.4961687c5948fp-14, 0x1.395f68b519f94p-14, 0x1.29c6b6d770de2p-14, 0x1.1a9393c1f619ap-14, 0x1.0bc2744e636c7p-14, 0x1.fa9ffd7c8721dp-15, 0x1.de721083d671ep-15, 0x1.c2f52531c763bp-15, 0x1.a8239395e989cp-15, 0x1.8df803f2042cfp-15, 0x1.746d6a89e53bcp-15, 0x1.5b7f039fc4b48p-15, 0x1.43284f9bba502p-15, 0x1.2b650f5cdcc86p-15, 0x1.143140b297fbep-15, 0x1.fb1235f9d394ep-16, 0x1.ced217e44700bp-16, 0x1.a39b6911dab4dp-16, 0x1.7967cc0a8c288p-16, 0x1.50313e4e87f06p-16, 0x1.27f212f4d30a1p-16, 0x1.00a4ed88c53fdp-16, 0x1.b4897a48285c2p-17, 0x1.69996f868261cp-17, 0x1.2070aba4988fdp-17, 0x1.b20d37be47d33p-18, 0x1.26a6438b80de1p-18, 0x1.3d3a2e363253bp-19, 0x1.9e319890068ebp-22, -0x1.9e5644f17d8c5p-20, -0x1.cbb42b40be3e4p-19, -0x1.60f6fce8413a8p-18, -0x1.d8f8390deccb7p-18, -0x1.26f497fde0088p-17, -0x1.5fea6317dc22bp-17, -0x1.9762b46605644p-17, -0x1.cd628b8d89adap-17, -0x1.00f75ae3129d5p-16, -0x1.1a85e90befd84p-16, -0x1.335f2aad65acbp-16, -0x1.4b8546fd9e192p-16, -0x1.62fa53c28b2edp-16, -0x1.79c056fc48a23p-16, -0x1.8fd94875614b3p-16, -0x1.a547133a1f4d3p-16, -0x1.ba0b96f7fdc23p-16, -0x1.ce28a946445eap-16, -0x1.e1a016d8d91a2p-16, -0x1.f473a49e45828p-16, -0x1.03528864ebdfap-15, -0x1.0c1b09e56adaep-15, -0x1.14943098d1338p-15, -0x1.1cbed441d50cdp-15, -0x1.249bcaff76bd5p-15, -0x1.2c2be9a6fce6cp-15, -0x1.3370041684c12p-15, -0x1.3a68ed80866f9p-15, -0x1.411778b0ab683p-15, -0x1.477c784a4913fp-15, -0x1.4d98bf00d7332p-15, -0x1.536d1fcab3cfdp-15, -0x1.58fa6e0e7ccd4p-15, -0x1.5e417dcb51f15p-15, -0x1.634323bc41b37p-15, -0x1.68003577276f1p-15, -0x1.6c7989873c8b1p-15, -0x1.70aff7839f3f3p-15, -0x1.74a45822089b2p-15, -0x1.78578545edfb5p-15, -0x1.7bca5a0c44ae8p-15, -0x1.7efdb2d422868p-15, -0x1.81f26d4467a4ep-15, -0x1.84a9684ea8466p-15, -0x1.8723842f85087p-15, -0x1.8961a26c9bcf5p-15, -0x1.8b64a5d041f03p-15, -0x1.8d2d72632b4b9p-15, -0x1.8ebced642b032p-15, -0x1.9013fd3e2f4edp-15, -0x1.9133897c9de7bp-15, -0x1.921c7abe36de3p-15, -0x1.92cfbaa697cc4p-15, -0x1.934e33ce84231p-15, -0x1.9398d1b30d9a3p-15, -0x1.93b080a3baa76p-15, -0x1.93962dafc54bap-15, -0x1.934ac69288312p-15, -0x1.92cf399f3a856p-15, -0x1.922475ac089dbp-15, -0x1.914b69fca46b8p-15, -0x1.9045062c607c9p-15, -0x1.8f123a17ebdcep-15, -0x1.8db3f5c6babf4p-15, -0x1.8c2b295435dc8p-15, -0x1.8a78c4d8b9e74p-15, -0x1.889db85279d18p-15, -0x1.869af38e53044p-15, -0x1.847166109f122p-15, -0x1.8221fefe1094ep-15, -0x1.7fadad04a82eep-15, -0x1.7d155e44cbc66p-15, -0x1.7a5a003a89b5ap-15, -0x1.777c7fa717115p-15, -0x1.747dc87a867f7p-15, -0x1.715ec5bdd07b4p-15, -0x1.6e20617d24042p-15, -0x1.6ac384b293884p-15, -0x1.674917311f7bdp-15, -0x1.63b1ff902237dp-15, -0x1.5fff23172a746p-15, -0x1.5c3165aa417ccp-15, -0x1.5849a9b6a4ae4p-15, -0x1.5448d01ffa8bap-15, -0x1.502fb82dfe58ep-15, -0x1.4bff3f7aaf38bp-15, -0x1.47b841e0fd638p-15, -0x1.435b996bfed69p-15, -0x1.3eea1e46a83cdp-15, -0x1.3a64a6ac10313p-15, -0x1.35cc06d83b6a2p-15, -0x1.312110f974537p-15, -0x1.2c6495222fe3ap-15, -0x1.2797613b7d838p-15, -0x1.22ba40f808281p-15, -0x1.1dcdfdc7a0551p-15, -0x1.18d35ecb57521p-15, -0x1.13cb28ca2685dp-15, -0x1.0eb61e26246a2p-15, -0x1.0994fed243d94p-15, -0x1.04688848a31c3p-15, -0x1.fe62eb02c2014p-16, -0x1.f3e0fdd3fe536p-16, -0x1.e94cb4ba94184p-16, -0x1.dea7763790c3fp-16, -0x1.d3f2a389642c4p-16, -0x1.c92f989ecf9fp-16, -0x1.be5fac0adb423p-16, -0x1.b3842ef9cf95p-16, -0x1.a89e6d2724a89p-16, -0x1.9dafacd46c1a9p-16, -0x1.92b92ec1351aep-16, -0x1.87bc2e23d4dd2p-16, -0x1.7cb9e0a32408bp-16, -0x1.71b376511fdd2p-16, -0x1.66aa19a66b6fdp-16, -0x1.5b9eef7eb049ep-16, -0x1.50931715da152p-16, -0x1.4587aa061d7c4p-16, -0x1.3a7dbc46d7efbp-16, -0x1.2f765c2c336a2p-16, -0x1.247292678d7aep-16, -0x1.19736208a3c14p-16, -0x1.0e79c87f731b4p-16, -0x1.0386bd9ed39eap-16, -0x1.f136673f8194ep-17, -0x1.db702e4a94a9fp-17, -0x1.c5bc9e8263d54p-17, -0x1.b01d7af247b1dp-17, -0x1.9a947b99199efp-17, -0x1.85234d760f578p-17, -0x1.6fcb9296bb17p-17, -0x1.5a8ee2261c1f4p-17, -0x1.456ec87cc6f87p-17, -0x1.306cc73215226p-17, -0x1.1b8a552e46e2dp-17, -0x1.06c8debd9eaf8p-17, -0x1.e4538b48c6a4dp-18, -0x1.bb5cc26780d97p-18, -0x1.92affcbef9f98p-18, -0x1.6a4fbfa8fda49p-18, -0x1.423e7c2024041p-18, -0x1.1a7e8eefd1a1fp-18, -0x1.e62481cb3fa46p-19, -0x1.97f78e08293a4p-19, -0x1.4a7a856d36ecp-19, -0x1.fb63081abcb8fp-20, -0x1.6340ff488e408p-20, -0x1.992d2013fb826p-21, -0x1.bb5878aa93d6bp-23, 0x1.70e9e3a756186p-22, 0x1.dca68cd3bb6d9p-21, 0x1.7ed8e01735764p-20, 0x1.06e289f2ac00ep-19, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      42, 0x1.0cccccccccccdp+2, 0x1.c9f337a76a7cbp+0, 0x1.8b6db1b2a8174p+1, -0x1.e82facbcd5397p-2, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.0b859c8c9320ep+1, -0x1.25dca5e59316bp+2, 0x1.06d70a3d70a78p+2, 0x1.1d882be0ccf11p-1}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.e9b79d909f1f1p+0, -0x1.10a9d3bee2d62p+2, 0x1.0b1f7b89c5a6p+2, -0x1.64ea36d90035ap+1}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.bfc148344c37ep+0, -0x1.f84cdfc3b3912p+1, 0x1.eb6a8a18395ap+1, -0x1.c3725f2863eafp+0}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.98f4623d0bfa1p+0, -0x1.d2120a3179f86p+1, 0x1.d054512f668e7p+1, -0x1.f06215ac7a4c3p+0}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.751f81a5870dap+0, -0x1.ae1d8d60463b5p+1, 0x1.b28bdf3ea6e6p+1, -0x1.c3054a25b4e89p+0}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.541355475a31ap+0, -0x1.8c6f264af7fbbp+1, 0x1.977c31d5fd532p+1, -0x1.b788c1bc9a582p+0}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.35a2f8bdec5f4p+0, -0x1.6ce3e7610265ep+1, 0x1.7d1cf302fe4dcp+1, -0x1.9ed7aee7f5fb9p+0}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.19a36e2eb1c43p+0, -0x1.4f65964daa722p+1, 0x1.6438f7e098814p+1, -0x1.891882a386c67p+0}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.ffd7c2ca148bbp-1, -0x1.33d7aaed72897p+1, 0x1.4ca30484dd37cp+1, -0x1.78c64689f0e1bp+0}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.d0ab2e1693c04p-1, -0x1.1a22c1ac434fdp+1, 0x1.3607c2d8bf67cp+1, -0x1.63ce6334b426cp+0}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.a577318fc5048p-1, -0x1.022ff166d35b4p+1, 0x1.20ae93ef2f79ep+1, -0x1.50002ca347c3ep+0}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.7df5cf2495e18p-1, -0x1.d7cc59e38eab5p+0, 0x1.0c859b7efd172p+1, -0x1.4430ea3e1e333p+0}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.59e4b44a1f08p-1, -0x1.ae640f57ef202p+0, 0x1.f22410a49a659p+0, -0x1.2b3c2a6445709p+0}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.39049235f8099p-1, -0x1.87f9d5b0d3f3bp+0, 0x1.ce3b90ad0cf1bp+0, -0x1.1ede6c30ce13p+0}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.1b1a2a4db163bp-1, -0x1.645fd05ed0a0fp+0, 0x1.abcef45546228p+0, -0x1.114a24d87e26cp+0}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.ffda4052d666bp-2, -0x1.43761daa8ae7ep+0, 0x1.8b037f4588ea9p+0, -0x1.f7f200da7cf88p-1}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.ce8ff327aa68fp-2, -0x1.2511dc30c4a81p+0, 0x1.6cc6e59ed3568p+0, -0x1.e5a3b2e5109a7p-1}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.a1f18c9fb6135p-2, -0x1.090d9af10096ep+0, 0x1.4fa3799b5257ap+0, -0x1.c17f33913314cp-1}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.79a027525460bp-2, -0x1.de8fcbd68c35fp-1, 0x1.34ab33f3e3c2p+0, -0x1.ac5f7ed62cc9fp-1}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.5542e557de0d6p-2, -0x1.af3b1bc9f2d6ap-1, 0x1.1af764a99963cp+0, -0x1.8d02d11615a01p-1}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.3485e3da2f8bep-2, -0x1.83dca71b0d998p-1, 0x1.03254de09817cp+0, -0x1.77953cd18014cp-1}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.171ac14c660a2p-2, -0x1.5c338f77eb3aep-1, 0x1.d938b32d2b0e1p-1, -0x1.5ca83ba3e95a4p-1}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.f96fa82e87d2cp-3, -0x1.38046a12c9c6ap-1, 0x1.af61f3b3194adp-1, -0x1.45c9d49ed8e32p-1}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.ca30db6a1e81dp-3, -0x1.171206e824226p-1, 0x1.8849bb7713beep-1, -0x1.343071e0b4d3fp-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.9ff8a8f3a9b07p-3, -0x1.f25557b8d562ep-2, 0x1.634e28ae08494p-1, -0x1.197463de5422p-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.7a4e7ab75643p-3, -0x1.bc2fbd7cb7605p-2, 0x1.4187df416ed48p-1, -0x1.05fdfea5f94d3p-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.58c32a8c9b845p-3, -0x1.8b41b66ce08fdp-2, 0x1.221779048e5a9p-1, -0x1.ed27431397d4ep-2}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.3aef6f8f04146p-3, -0x1.5f358b37d04p-2, 0x1.0480a312bd90bp-1, -0x1.bf66f665993b2p-2}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.2072d1aeb3dd1p-3, -0x1.37ad21354d7bdp-2, 0x1.d35114194a05cp-2, -0x1.a53ce3560f20fp-2}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.08f4b61fe21d9p-3, -0x1.145019ba73763p-2, 0x1.a0c4a6e60086ep-2, -0x1.7ba57c4228bf1p-2}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.e845996744b2bp-4, -0x1.e996654feaeabp-3, 0x1.7335e9e84d8eap-2, -0x1.5c2d2ba14eeb7p-2}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.c364388ebcc6cp-4, -0x1.b18949ba04f28p-3, 0x1.496deee96d0bfp-2, -0x1.43a5d5389b196p-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.a2bbecaab8a5dp-4, -0x1.7fef4166852b2p-3, 0x1.2297792a5031dp-2, -0x1.253b7f7c455c1p-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.85cdd50a88fp-4, -0x1.544144897e53fp-3, 0x1.fecebf410a9f6p-3, -0x1.076c2cd64e63cp-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.6c2699c7bcc2ap-4, -0x1.2deb50b3674bp-3, 0x1.bf9610a7353fbp-3, -0x1.da279a5506499p-3}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.555e6bc621b7ep-4, -0x1.0c63642e03377p-3, 0x1.86b0085f90a76p-3, -0x1.c8893cff45189p-3}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.4116ebd4cfd09p-4, -0x1.dea6335482968p-4, 0x1.4fe73e7e5f66fp-3, -0x1.43b371ade71fbp-3}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.2efa1e3eaf684p-4, -0x1.ac0321006c883p-4, 0x1.290f269cb44ebp-3, -0x1.e8a8fc492061ep-3}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.1ebe9c886162fp-4, -0x1.812c840e2564fp-4, 0x1.dcd7066f89cd8p-4, 0x1.4caec5a4cbdb4p-4}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.101f31f46ed24p-4, -0x1.596e0887e9e14p-4, 0x1.026184d6230d2p-3, -0x1.e42d23c01b134p-1}, 
        {0x1.6666666666666p+1, 0x1.a3d70a3d70a3dp+1, 0x1.02e2328f9f44dp-4, -0x1.42ae65b311f52p-4, 0x1.9f9ee8e67f991p-7, 0x1.97a117e5fad0ap-8}, 
        {0x1.a3d70a3d70a3dp+1, 0x1.0cccccccccccdp+2, 0x1.db22d0e560419p-6, -0x1.fe64f2ec418a9p-5, 0x1.628e91889a179p-6, -0x1.5b32ef43b477ep-10}, 
      }}, 
      0x1.66f82c43c5da9p-5, -0x1.fa0fed604f855p-6
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_zn_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.a63e53c92cea1p-3, 0x1.a213380cb3976p-3, 0x1.9d59606c9a2f2p-3, 0x1.98167f202fac3p-3, 0x1.92516a89ccb8bp-3, 0x1.8c12d8ab45025p-3, 0x1.85630115e49d7p-3, 0x1.7e4c4bd59cf8bp-3, 0x1.76d7e80d7bffbp-3, 0x1.6f0e844cb0e55p-3, 0x1.66fb03f1546f5p-3, 0x1.5ea511ea8a451p-3, 0x1.5615dac75a694p-3, 0x1.4d5539b0e18e6p-3, 0x1.446abc5a2ed6ap-3, 0x1.3b5d50c3613adp-3, 0x1.32332d87f8c6cp-3, 0x1.28f23becbd1e1p-3, 0x1.1f9fee50126bfp-3, 0x1.1640d9901bc93p-3, 0x1.0cd8d58f67c5dp-3, 0x1.036b8dec484fdp-3, 0x1.f3f93af0cc624p-4, 0x1.e11dfe9262abcp-4, 0x1.ce49d429e8c11p-4, 0x1.bb801ccd9d14cp-4, 0x1.a8c443811e903p-4, 0x1.9619f815c4f48p-4, 0x1.8384b3712370ap-4, 0x1.7107166e17897p-4, 0x1.5ea28c2ca0326p-4, 0x1.4c579f3cd2ef7p-4, 0x1.3a26ad9d86208p-4, 0x1.280e8c1177bb6p-4, 0x1.16150052fb305p-4, 0x1.04385e04c1c99p-4, 0x1.e4f2223b83e17p-5, 0x1.c1aecb4aff50cp-5, 0x1.9ea73ae3e1d9ap-5, 0x1.7bdbdc500c754p-5, 0x1.594cce3596f18p-5, 0x1.36fa993014f31p-5, 0x1.14e511cb33878p-5, 0x1.e6191df2e8b44p-6, 0x1.a2e2df2f8db74p-6, 0x1.60284b1ae7306p-6, 0x1.1deaaf286d1bcp-6, 0x1.b8561bc408b81p-7, 0x1.35d4e238bc02cp-7, 0x1.68a80c702cecbp-8, 0x1.9eb1bd4be48efp-10, -0x1.2e84ba29677bbp-9, -0x1.941bb48ff2c32p-8, -0x1.476b54d96d3ebp-7, -0x1.c3b307e85e6a3p-7, -0x1.1f6fea51ba8bep-6, -0x1.5c759328c372fp-6, -0x1.98e74401643d4p-6, -0x1.d4c1ad63b61eep-6, -0x1.0800cfecea42fp-5, -0x1.25518d86b2c74p-5, -0x1.4251735d2275p-5, -0x1.5efe3eb5c5b1ep-5, -0x1.7b55dd71206c8p-5, -0x1.9755e17ec3bf9p-5, -0x1.b2fbc56d512dcp-5, -0x1.ce44eeca21e4p-5, -0x1.e92eaacca0dc5p-5, -0x1.01db38c230014p-4, -0x1.0eecb929783b5p-4, -0x1.1bcaa3293b168p-4, -0x1.2873a2708afc6p-4, -0x1.34e67508ed9b1p-4, -0x1.4121d6da5545ep-4, -0x1.4d2482f2aea3ap-4, -0x1.58ed2cb19bdc1p-4, -0x1.647a8c56b23e3p-4, -0x1.6fcc699254d51p-4, -0x1.7adf0cbe929cbp-4, -0x1.85b24a6260c16p-4, -0x1.9044e8afd5ebap-4, -0x1.9a959f89088b1p-4, -0x1.a4a33ef9cf983p-4, -0x1.ae6c8aa2492p-4, -0x1.b7f0586f40469p-4, -0x1.c12d82bc0f2dfp-4, -0x1.ca22ecebb23dp-4, -0x1.d2cf87521d248p-4, -0x1.db324ad293b19p-4, -0x1.e34a40b72f9c5p-4, -0x1.eb167ba5932eap-4, -0x1.f2962768fa214p-4, -0x1.f9c8795628f41p-4, -0x1.005651e73e24dp-3, -0x1.03a103d1a362dp-3, -0x1.06c400be1ba0dp-3, -0x1.09beffc4bbe86p-3, -0x1.0c91c0e3fff3p-3, -0x1.0f3c091fd5a1cp-3, -0x1.11bda8af7dad5p-3, -0x1.141675583864cp-3, -0x1.16464cf43c316p-3, -0x1.184d1734b8e6p-3, -0x1.1a2abee0f6bcp-3, -0x1.1bdf3f325c7abp-3, -0x1.1d6a969e252eap-3, -0x1.1ecccd0de8844p-3, -0x1.2005f1d956089p-3, -0x1.21161f785ba7bp-3, -0x1.21fd775d989f6p-3, -0x1.22bc22cd32302p-3, -0x1.2352531658461p-3, -0x1.23c0446d07eeep-3, -0x1.240634b07eff5p-3, -0x1.24246e0dc8947p-3, -0x1.241b424459243p-3, -0x1.23eb08f4572a9p-3, -0x1.2394227cda64cp-3, -0x1.2316f32364cb6p-3, -0x1.2273eae1beeb6p-3, -0x1.21ab7ebb332bfp-3, -0x1.20be2424842c1p-3, -0x1.1fac6438cbe95p-3, -0x1.1e76c41b1aa1dp-3, -0x1.1d1dd2f74fd78p-3, -0x1.1ba225a249ba1p-3, -0x1.1a04556659f5dp-3, -0x1.184503b40c5bp-3, -0x1.1664d5459f19p-3, -0x1.146472fd8feb1p-3, -0x1.12448d1317265p-3, -0x1.1005d389f10f1p-3, -0x1.0da907b3c26fbp-3, -0x1.0b2ed9c7dc3e7p-3, -0x1.08980e4d01aa1p-3, -0x1.05e56714bc4e3p-3, -0x1.0317aae07861bp-3, -0x1.002fa17351496p-3, -0x1.fa5c2d34fa4b7p-4, -0x1.f427b2dc04ac8p-4, -0x1.edc373012d1dbp-4, -0x1.e731149c42b2bp-4, -0x1.e0723f6088768p-4, -0x1.d988a04a88dabp-4, -0x1.d275e783fbee6p-4, -0x1.cb3bc5b3d5c09p-4, -0x1.c3dbef1905c46p-4, -0x1.bc58190ca875ap-4, -0x1.b4b1f8e2b9efap-4, -0x1.aceb46ff24af3p-4, -0x1.a505b8ceddcfbp-4, -0x1.9d030902fdee2p-4, -0x1.94e4e957abc19p-4, -0x1.8cad0facc3f05p-4, -0x1.845d308bf600ep-4, -0x1.7bf6fb5c9fc9fp-4, -0x1.737c201a25efp-4, -0x1.6aee4a51053e8p-4, -0x1.624f249683de7p-4, -0x1.59a051a1bebe3p-4, -0x1.50e3752495643p-4, -0x1.481a2b495ea8fp-4, -0x1.3f460e9df5b46p-4, -0x1.3668afda1d73p-4, -0x1.2d83a292cf491p-4, -0x1.24a616cc38a26p-4, -0x1.1bb75de436c4cp-4, -0x1.12c590dcfd644p-4, -0x1.09d22bdb1ba99p-4, -0x1.00de9ef2e1a87p-4, -0x1.efd8a98dfaca4p-5, -0x1.ddf967de24bfbp-5, -0x1.cc2232ad3210fp-5, -0x1.ba55ba4fc52f4p-5, -0x1.a8969a50f8665p-5, -0x1.96e7630030bdbp-5, -0x1.854a959650a55p-5, -0x1.73c2a06456845p-5, -0x1.6251e5cac9019p-5, -0x1.50fab481d6c26p-5, -0x1.3fbf4de69b63fp-5, -0x1.2ea1d6d2b5c59p-5, -0x1.1da48d8a328adp-5, -0x1.0cc95cca9227fp-5, -0x1.f824989e61d65p-6, -0x1.d702927739736p-6, -0x1.b6305539c0c64p-6, -0x1.95b17b79dd71bp-6, -0x1.75896b36c79e5p-6, -0x1.55bb710422d8p-6, -0x1.364ab6593af45p-6, -0x1.173a427a1cc3cp-6, -0x1.f119f07af38e5p-7, -0x1.b48b27c4574d2p-7, -0x1.78cd7623488efp-7, -0x1.3de5cb4fc1496p-7, -0x1.03d8e1e3f71b1p-7, -0x1.95565233c1e1cp-8, -0x1.24c1af269377dp-8, -0x1.6bf76d11de33p-9, -0x1.242ee24aabc5cp-10, 0x1.103bdef559b9p-11, 0x1.166e9bb2b41c8p-9, 0x1.e4fc6fa21e1f3p-9, 0x1.57d66d05143f7p-8, 0x1.bb3b3b8d50823p-8, 0x1.0e540aa5d1ecep-7, 0x1.3e0c6eba65b81p-7, 0x1.6cc4ff2eddd72p-7, 0x1.9a7c5874e9933p-7, 0x1.c730d819dee55p-7, 0x1.f2e145f70fbe7p-7, 0x1.0ec68e0aed51bp-6, 0x1.239982d752248p-6, 0x1.37e9919bff63bp-6, 0x1.4bb61b225af7ap-6, 0x1.5eff4912e31e2p-6, 0x1.71c505d92ea27p-6, 0x1.84076011fe46dp-6, 0x1.95c67c9213f74p-6, 0x1.a70296ab277e3p-6, 0x1.b7bbf293a0961p-6, 0x1.c7f2f911f43aap-6, 0x1.d7a810931ebdcp-6, 0x1.e6dbcb49e14bfp-6, 0x1.f58eb333feb89p-6, 0x1.01e0b3bdb0173p-5, 0x1.08ba551d9f848p-5, 0x1.0f5498511cb31p-5, 0x1.15afe6c429406p-5, 0x1.1bccb4748c564p-5, 0x1.21ab6ddc37133p-5, 0x1.274cad54ec462p-5, 0x1.2cb0d4a5720ddp-5, 0x1.31d880c60163p-5, 0x1.36c4328a6b0d1p-5, 0x1.3b749163488cdp-5, 0x1.3fea35a8c6accp-5, 0x1.4425b0f883557p-5, 0x1.4827b6ba0355ep-5, 0x1.4bf0eef171a4dp-5, 0x1.4f82073e77ea2p-5, 0x1.52dbb983839b1p-5, 0x1.55feb888356f5p-5, 0x1.58ebc5294d2e4p-5, 0x1.5ba3a1d4a3fd3p-5, 0x1.5e27136377025p-5, 0x1.6076d3af066ffp-5, 0x1.6293e7d8cfdcfp-5, 0x1.647ee811aa4f6p-5, 0x1.6638bd64d3de5p-5, 0x1.67c244c8af763p-5, 0x1.691c517459719p-5, 0x1.6a47cb1a87b84p-5, 0x1.6b458d7070433p-5, 0x1.6c1683d13c82fp-5, 0x1.6cbb8fcec031p-5, 0x1.6d3597d3b42abp-5, 0x1.6d85972b874b2p-5, 0x1.6dac6e7bb153p-5, 0x1.6dab0bf970d7bp-5, 0x1.6d8269a6f2353p-5, 0x1.6d3377b7e3985p-5, 0x1.6cbf1df58f59bp-5, 0x1.6c265a377c1ap-5, 0x1.6b6a235266727p-5, 0x1.6a8b69b2a118cp-5, 0x1.698b23e22a54cp-5, 0x1.686a48b4da66ep-5, 0x1.6729c8bc98d57p-5, 0x1.65caa048a998p-5, 0x1.644dc39bc3a78p-5, 0x1.62b4102b8b265p-5, 0x1.60fe89f633e92p-5, 0x1.5f2e23ce2eap-5, 0x1.5d43c246eda65p-5, 0x1.5b40575d61909p-5, 0x1.5924d0242db5fp-5, 0x1.56f20d22c04b7p-5, 0x1.54a90710634d1p-5, 0x1.524a901722a33p-5, 0x1.4fd78ff7ccb8p-5, 0x1.4d50e4d26386p-5, 0x1.4ab76de208d61p-5, 0x1.480c00d0e1f7ap-5, 0x1.454f7cb3af1d2p-5, 0x1.4282a812c67c3p-5, 0x1.3fa65fb1fd234p-5, 0x1.3cbb66552bc88p-5, 0x1.39c28e46368c8p-5, 0x1.36bc9939d8bffp-5, 0x1.33aa48b82f727p-5, 0x1.308c5b72df8e1p-5, 0x1.2d63982ebfcbbp-5, 0x1.2a3099f05c223p-5, 0x1.26f4314133547p-5, 0x1.23af02f41decap-5, 0x1.2061c07b5b947p-5, 0x1.1d0d0dff7cce9p-5, 0x1.19b1959bbbcaep-5, 0x1.164ff20c06d68p-5, 0x1.12e8c3602a9a5p-5, 0x1.0f7ca599f2d4cp-5, 0x1.0c0c2c61e3e4ap-5, 0x1.0897e8aa7e731p-5, 0x1.05206de49e9b9p-5, 0x1.01a6455f258acp-5, 0x1.fc53e06e13034p-6, 0x1.f557eccc10633p-6, 0x1.ee59b2e24209fp-6, 0x1.e75a1c556dd0cp-6, 0x1.e05a2c2686b67p-6, 0x1.d95ac0f503a3dp-6, 0x1.d25cc19c1fbdap-6, 0x1.cb61043368241p-6, 0x1.c4686687f4706p-6, 0x1.bd73b1a572c78p-6, 0x1.b683b213ee658p-6, 0x1.af992725743cdp-6, 0x1.a8b4c6b0dccb5p-6, 0x1.a1d7486c1589ep-6, 0x1.9b0163960e045p-6, 0x1.9433bc6985479p-6, 0x1.8d6eec6a2cb78p-6, 0x1.86b3a64d1cc91p-6, 0x1.800277e992d07p-6, 0x1.795be924849e9p-6, 0x1.72c0954c3e199p-6, 0x1.6c310274fabf5p-6, 0x1.65adb61dde0bdp-6, 0x1.5f37295e686aap-6, 0x1.58cddbb696765p-6, 0x1.527246a094df1p-6, 0x1.4c24c835d204cp-6, 0x1.45e5e4cb4e0a9p-6, 0x1.3fb5f4faebb7p-6, 0x1.39956533b5558p-6, 0x1.3384867871b9cp-6, 0x1.2d83c902f8b33p-6, 0x1.279368fea0fb7p-6, 0x1.21b3d530dc371p-6, 0x1.1c1f186dbdbd8p-6, 0x1.167424876658p-6, 0x1.10dac240af9f4p-6, 0x1.0b52ffdf939fep-6, 0x1.05dcec58a04b3p-6, 0x1.0078a06dbf227p-6, 0x1.f64c1cc6bf262p-7, 0x1.ebca7d79b0ec3p-7, 0x1.e16c4b0bdf80cp-7, 0x1.d731822f4a30fp-7, 0x1.cd19fe1921017p-7, 0x1.c325afd3e990ap-7, 0x1.b9545cdbdf281p-7, 0x1.afa5e4a16d89fp-7, 0x1.a61a1c3a38e4ap-7, 0x1.9cb0d9d33fbf5p-7, 0x1.9369eec851555p-7, 0x1.8a4546be6e2eep-7, 0x1.81428045bc885p-7, 0x1.7861972bd91bbp-7, 0x1.6fa278b85b5f9p-7, 0x1.6704e4d3095cep-7, 0x1.5e88c370dd6a8p-7, 0x1.562df51963efbp-7, 0x1.4df473a9fcf4bp-7, 0x1.45dbf6cc386aap-7, 0x1.3de4794453cacp-7, 0x1.360dfb750c3d4p-7, 0x1.2e58526ca6a65p-7, 0x1.26c37df864abdp-7, 0x1.1f4f587021d51p-7, 0x1.17fbb07ef92ddp-7, 0x1.10c8c55ba204ap-7, 0x1.09b6324847844p-7, 0x1.02c3f5ccea193p-7, 0x1.f7e3e4fddfa71p-8, 0x1.ea80316bca757p-8, 0x1.dd5c55881017dp-8, 0x1.d078148668163p-8, 0x1.c3d340286b378p-8, 0x1.b76d724288c8dp-8, 0x1.ab462706b15f4p-8, 0x1.9f5d66397616ep-8, 0x1.93b252d1dd9b9p-8, 0x1.88448f60560eep-8, 0x1.7d13b3180ff44p-8, 0x1.721f48152387fp-8, 0x1.67669aa77a116p-8, 0x1.5ce933e0811c7p-8, 0x1.52a6879da56dfp-8, 0x1.489dd1ff2fbc5p-8, 0x1.3eceafca754a7p-8, 0x1.35383609d5e25p-8, 0x1.2bd9c78e3ebe1p-8, 0x1.22b2e5595180bp-8, 0x1.19c2a584b3bdep-8, 0x1.110866cd9df8fp-8, 0x1.08835fd4dd12p-8, 0x1.0032e83963471p-8, 0x1.f02c527beccadp-9, 0x1.e0585442124f4p-9, 0x1.d0e9b1864f20ap-9, 0x1.c1ddd9209afd7p-9, 0x1.b333038c963dep-9, 0x1.a4e7ae4447489p-9, 0x1.96fad6d0cd9fp-9, 0x1.896aa18f70027p-9, 0x1.7c356171ea10dp-9, 0x1.6f59aca960507p-9, 0x1.62d5d5ed789cap-9, 0x1.56a83ef861fe4p-9, 0x1.4acf3c7590f55p-9, 0x1.3f4a0b53bf65cp-9, 0x1.3415f6bd3379dp-9, 0x1.29320d17b544p-9, 0x1.1e9ca721fa4b5p-9, 0x1.14544701638cdp-9, 0x1.0a575adaf3b12p-9, 0x1.00a4412cb47dap-9, 0x1.ee7341558f413p-10, 0x1.dc2cf4ad1456p-10, 0x1.ca70c85c7c633p-10, 0x1.b93cbcaacaa02p-10, 0x1.a88e1ef8d9453p-10, 0x1.9861d6f71eebdp-10, 0x1.88b4ea049131ep-10, 0x1.798433a70e45dp-10, 0x1.6ace58c50a2e7p-10, 0x1.5c8e81ddf7d93p-10, 0x1.4ec460d6bf398p-10, 0x1.416b8d2f19c33p-10, 0x1.3481c6f773381p-10, 0x1.280483e55fc8bp-10, 0x1.1bf18d8ad1067p-10, 0x1.1045a5a11c9c8p-10, 0x1.04fedfc6f5194p-10, 0x1.f434825dfc985p-11, 0x1.df2c1f22c4ec3p-11, 0x1.cadefa7989e46p-11, 0x1.b747eb8135875p-11, 0x1.a4634a7368f76p-11, 0x1.922c531430bdep-11, 0x1.809c98a657731p-11, 0x1.6fb220ed2d45bp-11, 0x1.5f679daac00b9p-11, 0x1.4fb8efa0b3ee5p-11, 0x1.40a1a7b037ad5p-11, 0x1.321dd198e53b6p-11, 0x1.242a02a7a925ap-11, 0x1.16bfea22c0d43p-11, 0x1.09ddee78cb8efp-11, 0x1.fafec6570603cp-12, 0x1.e34138ced4f2fp-12, 0x1.cc7b841e687d8p-12, 0x1.b6a69ff3a4231p-12, 0x1.a1bad59df9964p-12, 0x1.8db54db8c076bp-12, 0x1.7a8458f96b23p-12, 0x1.682bd91c76e06p-12, 0x1.56a1af8cee16fp-12, 0x1.45def886640cbp-12, 0x1.35dee0fc602f8p-12, 0x1.26989301c9d36p-12, 0x1.18076a28be189p-12, 0x1.0a2615e08a7cbp-12, 0x1.f9dbc26824fa5p-13, 0x1.e0b30c0050217p-13, 0x1.c8c65b6efb449p-13, 0x1.b20cbf75e1421p-13, 0x1.9c7809875c5f9p-13, 0x1.88008bf020efp-13, 0x1.749b193471d4p-13, 0x1.623ecbdda45cfp-13, 0x1.50e0d05ba0e53p-13, 0x1.40787a73841b4p-13, 0x1.30fad264de3a9p-13, 0x1.2264613cd9ca3p-13, 0x1.14a0181ab2768p-13, 0x1.07b86ca112088p-13, 0x1.f72c00f6458c7p-14, 0x1.e069e08839667p-14, 0x1.cb1b8cafcfcebp-14, 0x1.b72bff74d013fp-14, 0x1.a49c4305ef0a4p-14, 0x1.934f1f1a2493dp-14, 0x1.833a2f311ed65p-14, 0x1.744feae809ff6p-14, 0x1.66839fe771a39p-14, 0x1.59c2d2579af44p-14, 0x1.4e147d0a7e937p-14, 0x1.4353abb6c2bf6p-14, 0x1.397e2f38811ebp-14, 0x1.308b17e46611ep-14, 0x1.2870b5efe9538p-14, 0x1.211fe0efc2e29p-14, 0x1.1a8efaac26a4fp-14, 0x1.14b4127c031fep-14, 0x1.0f82489721ed9p-14, 0x1.0afa520e1bad3p-14, 0x1.0706d0bec61b3p-14, 0x1.03a7b0d043226p-14, 0x1.00ccc929c4982p-14, 0x1.fcebb8b191034p-15, 0x1.f9261c544e7ddp-15, 0x1.f646e000a391p-15, 0x1.f4322cc148282p-15, 0x1.f2fde6b1d3708p-15, 0x1.f24f5b81e0bd5p-15, 0x1.f2600e0bb91e1p-15, 0x1.f30947b4d7ce4p-15, 0x1.f4434204fbbf8p-15, 0x1.f5fcc14687305p-15, 0x1.f835678af0b9p-15, 0x1.fad19949fb919p-15, 0x1.fdd30befb2562p-15, 0x1.009529b13a2f6p-14, 0x1.026b6ad4d179fp-14, 0x1.045c3a73ba16dp-14, 0x1.0673433b39fe9p-14, 0x1.089bc5fe823e8p-14, 0x1.0ad147f385c9dp-14, 0x1.0d1418fff499cp-14, 0x1.0f8929a0d3105p-14, 0x1.120246f838a3fp-14, 0x1.1475eb023f00cp-14, 0x1.16ecd0b95862bp-14, 0x1.196592ee802e8p-14, 0x1.1bdb8c599fc04p-14, 0x1.1e4cd491f0b23p-14, 0x1.20b69b9805daap-14, 0x1.23169dc2c55a2p-14, 0x1.256991c98fe99p-14, 0x1.27ae0cf21ff29p-14, 0x1.29e6990466eccp-14, 0x1.2c095fbba8da4p-14, 0x1.2e187a2768a7dp-14, 0x1.301380bc05645p-14, 0x1.31f57f4be524dp-14, 0x1.33bcc85889609p-14, 0x1.3571004d46cb2p-14, 0x1.3703966b65613p-14, 0x1.387db0b0554ccp-14, 0x1.39d9bd0b2ddacp-14, 0x1.3b16d9c23946p-14, 0x1.3c33d3e589367p-14, 0x1.3d35163405fa7p-14, 0x1.3e1d3709d81f5p-14, 0x1.3ecd13e5e1ca6p-14, 0x1.3f72e3351b65ep-14, 0x1.3fe3568fe36afp-14, 0x1.4035f48968d5p-14, 0x1.406bf849b78f3p-14, 0x1.407a15965574bp-14, 0x1.40681eff14ad7p-14, 0x1.40327b439b70dp-14, 0x1.3fd8a805b6aep-14, 0x1.3f5d67abe439ap-14, 0x1.3ebaad10ca12ep-14, 0x1.3df86fe5cebf1p-14, 0x1.3d1357f9a5e03p-14, 0x1.3c073e6447bdcp-14, 0x1.3adaf19a61fb4p-14, 0x1.398f932c5e31p-14, 0x1.381a8948b0428p-14, 0x1.368a2e03addb6p-14, 0x1.34d5f5af7f26ep-14, 0x1.32ffca86fcf26p-14, 0x1.310b33b817e43p-14, 0x1.2ef9eeca343e8p-14, 0x1.2cca35f860615p-14, 0x1.2a6b17a74544fp-14, 0x1.27fd6714e712bp-14, 0x1.2569be67ddde6p-14, 0x1.22bdf1d6ded29p-14, 0x1.1ff31089ba4ep-14, 0x1.1d0d6a7193146p-14, 0x1.1a0cdf3a29cd2p-14, 0x1.16f234219dd9fp-14, 0x1.13b985da68a44p-14, 0x1.106eda0c04175p-14, 0x1.0d03a8abc2bccp-14, 0x1.0983f160934cap-14, 0x1.05ec6ebb0dc4dp-14, 0x1.023156d419fa9p-14, 0x1.fd03637b160bdp-15, 0x1.f5538b5cece99p-15, 0x1.ed7f64eee831dp-15, 0x1.e58d8e7331679p-15, 0x1.dd6850c799a9dp-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.b0ee88edf2153p-3, 0x1.afc8d161b481ap-3, 0x1.ae759971e74f1p-3, 0x1.acf4a689f633ap-3, 0x1.ab4640f681536p-3, 0x1.a96b22afa44c2p-3, 0x1.a7646048c352bp-3, 0x1.a533638271e7bp-3, 0x1.a2d9b178fc0bfp-3, 0x1.a0591f11297bap-3, 0x1.9db391f3cb455p-3, 0x1.9aeae8be1cfd1p-3, 0x1.98013893dd946p-3, 0x1.94f87fbd75e44p-3, 0x1.91d2bf4e34ec2p-3, 0x1.8e91ef2db5433p-3, 0x1.8b37fcaf7c273p-3, 0x1.87c6c82945b95p-3, 0x1.844017cc7c987p-3, 0x1.80a5a5460f1f9p-3, 0x1.7cf91225b2023p-3, 0x1.793becfba615fp-3, 0x1.756fb09875c8cp-3, 0x1.7195b872c2c8dp-3, 0x1.6daf5088626bap-3, 0x1.69bdabdd0eb02p-3, 0x1.65c1f0e2b7789p-3, 0x1.61bd313945c2bp-3, 0x1.5db0606d0cee9p-3, 0x1.599c699569182p-3, 0x1.5582202b2a236p-3, 0x1.516247f44b01fp-3, 0x1.4d3d979f476afp-3, 0x1.4914bed8e67bdp-3, 0x1.44e85b7f8c71dp-3, 0x1.40b8f7d6b2df2p-3, 0x1.3c87197358f8bp-3, 0x1.38533a0a85618p-3, 0x1.341dc95e599e4p-3, 0x1.2fe730ed55b53p-3, 0x1.2bafcc4a3c19ap-3, 0x1.2777f6447a56p-3, 0x1.233fff151ec9ap-3, 0x1.1f08326f40efep-3, 0x1.1ad0d750f5c3dp-3, 0x1.169a2b2a8dcbcp-3, 0x1.126470819acaap-3, 0x1.0e2fdc18a226fp-3, 0x1.09fca4541f979p-3, 0x1.05cafc0cf910dp-3, 0x1.019b12f265799p-3, 0x1.fada2bd03909cp-4, 0x1.f2826810b984cp-4, 0x1.ea2f220b91cc7p-4, 0x1.e1e0b7af80b0dp-4, 0x1.d997726a418abp-4, 0x1.d1539fce05095p-4, 0x1.c9158a0a166ebp-4, 0x1.c0dd7c5f5c469p-4, 0x1.b8abb67631dc3p-4, 0x1.b0808a5568407p-4, 0x1.a85c3b02a9ed2p-4, 0x1.a03f13a16cfp-4, 0x1.98295a48a0d69p-4, 0x1.901b56527299ep-4, 0x1.88154defdbfc6p-4, 0x1.801785a9a14edp-4, 0x1.78224d4a023e2p-4, 0x1.7035da1133114p-4, 0x1.68528a74176bdp-4, 0x1.60789ac3abbb5p-4, 0x1.58a85981b2bd2p-4, 0x1.50e2102357439p-4, 0x1.49260869b45fcp-4, 0x1.41748a798bed6p-4, 0x1.39cde7c9528e9p-4, 0x1.3232626dedb33p-4, 0x1.2aa2461bf6488p-4, 0x1.231deb989400ap-4, 0x1.1ba5a113eeb33p-4, 0x1.1439a6e3d864bp-4, 0x1.0cda51b1bb5c9p-4, 0x1.0587eb544ad6fp-4, 0x1.fc8585a503e9p-5, 0x1.ee164a2cab383p-5, 0x1.dfc2bd72bff94p-5, 0x1.d18b7f2f7b598p-5, 0x1.c37111303de89p-5, 0x1.b5742bc4f806bp-5, 0x1.a795508693557p-5, 0x1.99d51fdbd3c0ep-5, 0x1.8c341fd40710ap-5, 0x1.7eb2e91b064e4p-5, 0x1.7152150372657p-5, 0x1.641229a23e7dap-5, 0x1.56f3b449cf0e4p-5, 0x1.49f7414428f48p-5, 0x1.3d1d4fd6b3744p-5, 0x1.306676ebc2106p-5, 0x1.23d328894fc32p-5, 0x1.1763e70d9e5d2p-5, 0x1.0b192e98553bfp-5, 0x1.fde6e91d0e73ap-6, 0x1.e5e66e556ed8ep-6, 0x1.ce31b9cafc57ap-6, 0x1.b6c9aeaa499ecp-6, 0x1.9faf1d50ef8dbp-6, 0x1.88e2d72773fdbp-6, 0x1.72658a4122f5fp-6, 0x1.5c381b343969fp-6, 0x1.465b1294c3f2p-6, 0x1.30cf2ea6fe3f2p-6, 0x1.1b94f04b04b0bp-6, 0x1.06ad17e3fb91fp-6, 0x1.e43044919542cp-7, 0x1.bbad1f976bb8cp-7, 0x1.93d1b3ea47105p-7, 0x1.6c9eed5b65074p-7, 0x1.4615909d42abcp-7, 0x1.20366fdb922eap-7, 0x1.f6041d312f913p-8, 0x1.acf2613b4d9cbp-8, 0x1.6538496c0931bp-8, 0x1.1ed702e824f05p-8, 0x1.b39e2e7a0f35p-9, 0x1.2c420e6e796d6p-9, 0x1.4f3576b10280bp-10, 0x1.2d42e40200ba1p-12, -0x1.66533b5ec54dep-11, -0x1.ac394fe7ec593p-10, -0x1.4ff00a02fe2a9p-9, -0x1.c70f0991e9288p-9, -0x1.1dbdc2bdcf547p-8, -0x1.569af368e042bp-8, -0x1.8e20308dd38a2p-8, -0x1.c44e31447ec28p-8, -0x1.f92694ce41d3dp-8, -0x1.1655084d3888dp-7, -0x1.2f6d00ec44bedp-7, -0x1.47dc1d79500c6p-7, -0x1.5fa2f6faea26cp-7, -0x1.76c2a13190e07p-7, -0x1.8d3bf8b18ce57p-7, -0x1.a30ffa6f497a3p-7, -0x1.b83fc2942b5dap-7, -0x1.cccc67e7deb77p-7, -0x1.e0b71f650eb06p-7, -0x1.f40133800a6fap-7, -0x1.0355dc7edeb0cp-6, -0x1.0c5c213c8ec69p-6, -0x1.1514051d56d09p-6, -0x1.1d7e65f8f8b68p-6, -0x1.259bdd427896bp-6, -0x1.2d6d3f9058702p-6, -0x1.34f35fd3e34e3p-6, -0x1.3c2ef49e2e9ep-6, -0x1.4320ee17576e8p-6, -0x1.49ca1027253bcp-6, -0x1.502b698384827p-6, -0x1.5645af42b8b4dp-6, -0x1.5c19dfff55689p-6, -0x1.61a8dc39f4dd4p-6, -0x1.66f3a4e7e217ep-6, -0x1.6bfb212cf2082p-6, -0x1.70c055d5a38c9p-6, -0x1.753f3b9cc7d9p-6, -0x1.79821c997cd4ap-6, -0x1.7d8591a5caa38p-6, -0x1.814ab407a25aep-6, -0x1.84d27eb25b0f6p-6, -0x1.881dff9f7a814p-6, -0x1.8b2e409c58178p-6, -0x1.8e044b1d52f9p-6, -0x1.90a1378aa906p-6, -0x1.93060c965663dp-6, -0x1.9533defb28389p-6, -0x1.972bc0cf4526ap-6, -0x1.98eec6ca81a49p-6, -0x1.9a7e02a61d1a4p-6, -0x1.9bda7e18b2bbfp-6, -0x1.9d0575b9dedeep-6, -0x1.9dffcc6830d78p-6, -0x1.9ecac4a1d1dbdp-6, -0x1.9f675e3937feap-6, -0x1.9fd697e380effp-6, -0x1.a019a63b18eefp-6, -0x1.a03193ad9153cp-6, -0x1.a01f6e66390e3p-6, -0x1.9fe44d2dd8904p-6, -0x1.9f813f207079cp-6, -0x1.9ef751af47921p-6, -0x1.9e47951530bd1p-6, -0x1.9d7317deb3a35p-6, -0x1.9c7adb522079cp-6, -0x1.9b5ff181a23e1p-6, -0x1.9a235cb0a77fep-6, -0x1.98c623ba691c8p-6, -0x1.97494799c965cp-6, -0x1.95adca706de5ap-6, -0x1.93f4b1950324bp-6, -0x1.921ed980267d7p-6, -0x1.902d5af1477b7p-6, -0x1.8e2121ed9e973p-6, -0x1.8bfb193b4e231p-6, -0x1.89bc4030b3856p-6, -0x1.8765775b2b822p-6, -0x1.84f7ab16fc59dp-6, -0x1.8273c4753037p-6, -0x1.7fdaa2ada8124p-6, -0x1.7d2d28c1c7ac8p-6, -0x1.7a6c32e06b08cp-6, -0x1.779898e59e31bp-6, -0x1.74b331815a73bp-6, -0x1.71bcceda3d295p-6, -0x1.6eb641b32fb5p-6, -0x1.6ba04cec20ba2p-6, -0x1.687bc0bdd462dp-6, -0x1.65495fcfaf2ccp-6, -0x1.6209ee3964aa4p-6, -0x1.5ebe0bc664cf1p-6, -0x1.5b6695d444033p-6, -0x1.5804343e4d0e4p-6, -0x1.5497944138037p-6, -0x1.51216967500b5p-6, -0x1.4da256e2363fap-6, -0x1.4a1b06ed49bc1p-6, -0x1.468c1c1b485b9p-6, -0x1.42f63568da7a8p-6, -0x1.3f59ee2281e53p-6, -0x1.3bb7de6ea0ce2p-6, -0x1.381097a67ca1cp-6, -0x1.3464ae1173d7bp-6, -0x1.30b4a93dfe063p-6, -0x1.2d0118ee76ef1p-6, -0x1.294a8a56c8e75p-6, -0x1.2591648024b2fp-6, -0x1.21d6418983039p-6, -0x1.1e1995712cd77p-6, -0x1.1a5bd8f6a4dd2p-6, -0x1.169d831be1c49p-6, -0x1.12df017f09766p-6, -0x1.0f20c8252c3c1p-6, -0x1.0b633f799c4f9p-6, -0x1.07a6d3c82986fp-6, -0x1.03ebeb38c4475p-6, -0x1.0032e4fa16be6p-6, -0x1.f8f84a5d36e7fp-7, -0x1.f1901deebe669p-7, -0x1.ea2dc5da2b322p-7, -0x1.e2d222d37991dp-7, -0x1.db7dd5abd74bbp-7, -0x1.d4316f10addap-7, -0x1.cceda3e95d2ecp-7, -0x1.c5b2fd93d164bp-7, -0x1.be82143a39e17p-7, -0x1.b75b779fc581ep-7, -0x1.b03fa8c3de3d1p-7, -0x1.a92f34d043776p-7, -0x1.a22a9050b791ep-7, -0x1.9b323df281f89p-7, -0x1.9446a905bf411p-7, -0x1.8d68496a416cap-7, -0x1.869781743556ep-7, -0x1.7fd4bdc703f25p-7, -0x1.79205ac29958p-7, -0x1.727ab6c6c3b62p-7, -0x1.6be429ca92321p-7, -0x1.655d04ee53567p-7, -0x1.5ee593da9cc63p-7, -0x1.587e2dbf496c2p-7, -0x1.522707ef151ddp-7, -0x1.4be06ab27345ap-7, -0x1.45aa9d419e769p-7, -0x1.3f85c9af59a1p-7, -0x1.397228c25391p-7, -0x1.336ff677609bdp-7, -0x1.2d7f549f61559p-7, -0x1.27a06e238e3c3p-7, -0x1.21d368ff50de7p-7, -0x1.1c186ad0896f4p-7, -0x1.166f911d51b32p-7, -0x1.10d8f5dfda6cdp-7, -0x1.0b54b523485a8p-7, -0x1.05e2dea167a55p-7, -0x1.0083844879f9ap-7, -0x1.f66d5ae88d855p-8, -0x1.ebf8e32609ef4p-8, -0x1.e1a9a1f9d85b1p-8, -0x1.d77fb046da2cdp-8, -0x1.cd7af8d04168ap-8, -0x1.c39b9105583eep-8, -0x1.b9e168a44dad7p-8, -0x1.b04c7b766e347p-8, -0x1.a6dc84d71f8dp-8, -0x1.9d9205e942effp-8, -0x1.946c560bc691ep-8, -0x1.8b6b84f9da88dp-8, -0x1.828f67721fed4p-8, -0x1.79d7dc46a1713p-8, -0x1.7144ba06f4a03p-8, -0x1.68d5dd492b338p-8, -0x1.608b17e3144ccp-8, -0x1.5864228d287bap-8, -0x1.5060d08e6f06p-8, -0x1.4880ef5413861p-8, -0x1.40c4271dec51cp-8, -0x1.392a498cd46d1p-8, -0x1.31b31fed0ec79p-8, -0x1.2a5e5051ab4abp-8, -0x1.232b94a35e161p-8, -0x1.1c1aab0b3fb51p-8, -0x1.152b3d09ca815p-8, -0x1.0e5d08482ec24p-8, -0x1.07afb1d1f5955p-8, -0x1.0122eaa6c9a62p-8, -0x1.f56cba12c1f95p-9, -0x1.e8d378ae99fdp-9, -0x1.dc7939b35e8eep-9, -0x1.d05d6618f2bbdp-9, -0x1.c47f5a6914733p-9, -0x1.b8de5ed6c6943p-9, -0x1.ad795c399108ap-9, -0x1.a25055ac1648cp-9, -0x1.97624a6c2740bp-9, -0x1.8cadc7945ebb5p-9, -0x1.8232c5a604df5p-9, -0x1.77f08180c11b5p-9, -0x1.6de60d94bf48bp-9, -0x1.641299d955e8fp-9, -0x1.5a758c1269a09p-9, -0x1.510e139bf7e7cp-9, -0x1.47db59853997ap-9, -0x1.3edc90e4f0a4ap-9, -0x1.36113ec94fcaap-9, -0x1.2d784f0dc124p-9, -0x1.25111b245a63ep-9, -0x1.1cdadc16c40a8p-9, -0x1.14d4e023341bap-9, -0x1.0cfe3268bbdcap-9, -0x1.055639dcaf711p-9, -0x1.fbb85c5641e26p-10, -0x1.ed57a91d3454cp-10, -0x1.df1a61079d781p-10, -0x1.d1337ecb45152p-10, -0x1.c3a2027e6c717p-10, -0x1.b664bf6424534p-10, -0x1.a979ef990323dp-10, -0x1.9ce020d63840bp-10, -0x1.9095e507df196p-10, -0x1.8499cac3236eap-10, -0x1.78ea4ed886676p-10, -0x1.6d8658bb2aa0ep-10, -0x1.626b88d4b4097p-10, -0x1.579955dab7e3fp-10, -0x1.4d0e042b4e317p-10, -0x1.42c85491d75cfp-10, -0x1.38c6dbee7bc9p-10, -0x1.2f0827174f9b1p-10, -0x1.258b26cc53f9ep-10, -0x1.1c4cf17deb103p-10, -0x1.134fd1d4b028dp-10, -0x1.0a8f3552d6538p-10, -0x1.020af46f387cbp-10, -0x1.f38362bc9ea6bp-11, -0x1.e3647b867e12bp-11, -0x1.d3b61370e1abbp-11, -0x1.c47741994083cp-11, -0x1.b5a4fd57f64e3p-11, -0x1.a73c531ad8dfcp-11, -0x1.993b919d41587p-11, -0x1.8b9fee33d4496p-11, -0x1.7e6772c295926p-11, -0x1.7190c37663a14p-11, -0x1.651799952fc28p-11, -0x1.58fba2148f37bp-11, -0x1.4d3a125a803ecp-11, -0x1.41d107574e80cp-11, -0x1.36be4f96b418p-11, -0x1.2c002a3f62676p-11, -0x1.21946af9f2b9cp-11, -0x1.1778fc2014542p-11, -0x1.0dac139a02f6p-11, -0x1.042bf361f2a64p-11, -0x1.f5ec38a79b0cdp-12, -0x1.e412b81327f9p-12, -0x1.d2c4d812944p-12, -0x1.c207308b97ea7p-12, -0x1.b1cdbe7dc68e6p-12, -0x1.a2187e91cab4ep-12, -0x1.92e3220f764c8p-12, -0x1.842adf786ae2cp-12, -0x1.75ecb52bd5822p-12, -0x1.6824f03241a93p-12, -0x1.5ad102d68d944p-12, -0x1.4dee7ec0db022p-12, -0x1.4176ab5bc318ap-12, -0x1.356b425f48f95p-12, -0x1.29c7241509dcbp-12, -0x1.1e8785dfd105dp-12, -0x1.13aa1a529bc37p-12, -0x1.092bdb559bc0fp-12, -0x1.fe1686817603fp-13, -0x1.ea852a5c11264p-13, -0x1.d7a1477a489f8p-13, -0x1.c569faeaf547cp-13, -0x1.b3db71baf431p-13, -0x1.a2ea18c96b6eap-13, -0x1.92928124f5606p-13, -0x1.82db71e048685p-13, -0x1.73a511427d3f5p-13, -0x1.65051056a1ac7p-13, -0x1.56eef3a45a8e4p-13, -0x1.496064c799b32p-13, -0x1.3c4d7a36eee01p-13, -0x1.2fbb4de60f784p-13, -0x1.23a24b2ee4be1p-13, -0x1.17ff60d69832ep-13, -0x1.0cce1003ce922p-13, -0x1.020aa2f2c1c88p-13, -0x1.ef64e9d2ec695p-14, -0x1.db82a59e0450ep-14, -0x1.c862fb1d78553p-14, -0x1.b609a33c8d5d1p-14, -0x1.a46abee559a12p-14, -0x1.937f6ea97d095p-14, -0x1.833e0a9a653b3p-14, -0x1.73a9ae922aeep-14, -0x1.64bdfb841afc7p-14, -0x1.566718a33f952p-14, -0x1.48abd05d3efe9p-14, -0x1.3b80b76be61d2p-14, -0x1.2ee3be92e811p-14, -0x1.22cde30d1b91ap-14, -0x1.173c508d4ec28p-14, -0x1.0c2937ec30ecfp-14, -0x1.0190a0ac18ff7p-14, -0x1.eed873679443bp-15, -0x1.db7b0204b2537p-15, -0x1.c8e779f501037p-15, -0x1.b72f0999fc827p-15, -0x1.a63e1abb69203p-15, -0x1.960fc9b386ce1p-15, -0x1.86990dd3f83b4p-15, -0x1.77da195e1f4c3p-15, -0x1.69c5e41595885p-15, -0x1.5c56f71a5933ep-15, -0x1.4f863d42e39a1p-15, -0x1.434db64fbe674p-15, -0x1.37a718d9d0b9p-15, -0x1.2c8080d046888p-15, -0x1.21f4a89300206p-15, -0x1.17e3c1cd8f997p-15, -0x1.0e4a61d7c50d1p-15, -0x1.0529df5978919p-15, -0x1.f8ec7387b8049p-16, -0x1.e85ca4048847dp-16, -0x1.d89e891fe9785p-16, -0x1.c9a095a9f24ebp-16, -0x1.bb660a713da6fp-16, -0x1.addc42eb13dadp-16, -0x1.a0fa986c15598p-16, -0x1.94c19eb669f0dp-16, -0x1.890aacc84e132p-16, -0x1.7e050bd7c033fp-16, -0x1.739030f95e93ep-16, -0x1.69942e5d027d8p-16, -0x1.6019a0288f6afp-16, -0x1.571731e460676p-16, -0x1.4e87c48771bbbp-16, -0x1.466aeea51130dp-16, -0x1.3ea8bb8754c3ep-16, -0x1.374e808f3bb59p-16, -0x1.3053fb23d12c4p-16, -0x1.29ad546c5c267p-16, -0x1.23595d9d9b209p-16, -0x1.1d537933cd963p-16, -0x1.17a3bb04c6e77p-16, -0x1.121ee112409b8p-16, -0x1.0ce732ce0647ep-16, -0x1.07f6c4ca272d9p-16, -0x1.03370f1ef5c88p-16, -0x1.fd577917ed922p-17, -0x1.f4add5b012fc6p-17, -0x1.ec5a0156cd6d9p-17, -0x1.e46e8023eb111p-17, -0x1.dcc8ae9f94b4ap-17, -0x1.d573563eaf073p-17, -0x1.ce63f0c416284p-17, -0x1.c799207641656p-17, -0x1.c11568e016c5bp-17, -0x1.ba9f2b7516d22p-17, -0x1.b487d9e6736f6p-17, -0x1.aeb186ce0355p-17, -0x1.a8f29caf3ed15p-17, -0x1.a348241a9229fp-17, -0x1.9dc252a0c3a48p-17, -0x1.9870d553a8f3bp-17, -0x1.93397a6b77476p-17, -0x1.8e43d3b797657p-17, -0x1.891b9c13042a2p-17, -0x1.842f4d1a7a12ep-17, -0x1.7f4f63a67b468p-17, -0x1.7a942cf02e5cdp-17, -0x1.75c98d0f81ca9p-17, -0x1.712720adf429ap-17, -0x1.6c844e9be5026p-17, -0x1.680c701066b81p-17, -0x1.6364c5e40b3d3p-17, -0x1.5eca0f9cc07d8p-17, -0x1.5a48599fc591ep-17, -0x1.55e0eec0fd28ap-17, -0x1.5154f48722cb2p-17, -0x1.4cd984368834fp-17, -0x1.485729548e554p-17, -0x1.43de3e513c1f1p-17, -0x1.3f5f44f5d7a59p-17, -0x1.3ae24f1170fc7p-17, -0x1.364d33fa21d1fp-17, -0x1.31ef4afebc754p-17, -0x1.2d4cefb1c0153p-17, -0x1.28ca49e84d358p-17, -0x1.245135f1f8ccap-17, -0x1.1f315e3998b47p-17, -0x1.1aa586fb497bbp-17, -0x1.166937dbd9633p-17, -0x1.11c7ce82a0f82p-17, -0x1.0d23e737c814ap-17, -0x1.0872ba9343a78p-17, -0x1.03c9d5ca0cf4p-17, -0x1.fe0ee80208e42p-18, -0x1.f4a797a62b3dp-18, -0x1.eb20dcf971b85p-18, -0x1.e199d8cf5c6eap-18, -0x1.d8036343bee84p-18, -0x1.ce4f96a38e558p-18, -0x1.c501349878ba1p-18, -0x1.bb1f2c913b413p-18, -0x1.b176b630e67e1p-18, -0x1.a7ca4eb5c3faep-18, -0x1.9e118e255f1fbp-18, -0x1.9452e7811a1dp-18, -0x1.8a9c5e696d096p-18, -0x1.80dd93260dfeap-18, -0x1.7715977115d88p-18, -0x1.6d41e07219d2ap-18, -0x1.63c51907fa787p-18, -0x1.59b2187f85c3ep-18, -0x1.4ffc9d55c50b1p-18, -0x1.4662edc360a2cp-18, -0x1.3c4095db65bc2p-18, -0x1.32e6586798ad3p-18, -0x1.2944b1d02550ep-18, -0x1.1f7e3995b44ccp-18, -0x1.1618c2a709653p-18, -0x1.0c65d21b61653p-18, -0x1.02da7488e62acp-18, -0x1.f2b298238de9ap-19, -0x1.dfc2c7c7f53dp-19, -0x1.ccf6b4cc5b7b1p-19, -0x1.ba3dd603bc149p-19, -0x1.a7a0c9e7751c3p-19, -0x1.952bcb226c718p-19, -0x1.82e35f49005cbp-19, -0x1.70105fde44cadp-19, -0x1.5e87a228c7df2p-19, -0x1.4c650cede038ep-19, -0x1.3adbbfcd29466p-19, -0x1.29322bc0e9d55p-19, -0x1.17bd6c1cd0a78p-19, -0x1.065da4c369519p-19, -0x1.ea8f7dc8ef7e3p-20, -0x1.c8c677c9e25d8p-20, -0x1.a73147fb92fb1p-20, -0x1.863f6de26d375p-20, -0x1.65828892eb1ep-20, -0x1.453d038322698p-20, -0x1.25697f51a82dfp-20, -0x1.0604baa898f35p-20, -0x1.ce1df05aaa705p-21, -0x1.9114c7339d3b6p-21, -0x1.54c1b90bcb40fp-21, -0x1.19ebcdfdcfbd1p-21, -0x1.b7485dad56218p-22, -0x1.4fc23182df3e5p-22, -0x1.c2ff69235880ap-23, -0x1.b4e28fcaf099ap-24, -0x1.d9a2e1b2c8262p-32, 0x1.aa0a5d3228419p-24, 0x1.a66ff8ac07594p-23, 0x1.392a8fe66bc47p-22, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.4b65eb9af77c2p-6, -0x1.7151cf5e2a356p-6, -0x1.989d06bd760d3p-6, -0x1.c12d110efcf9p-6, -0x1.eada706bb7396p-6, -0x1.0abc92f2f616ep-5, -0x1.2068d377ed8b8p-5, -0x1.36590e0de4b64p-5, -0x1.4c70ad7164e1ap-5, -0x1.629239d156afp-5, -0x1.78a70bd93fb4cp-5, -0x1.8e9255f86b909p-5, -0x1.a43e258d05a8fp-5, -0x1.b994580f31bb2p-5, -0x1.ce816aacbb39cp-5, -0x1.e2f3c865e04d9p-5, -0x1.f6dba0166439ap-5, -0x1.0515e553bbad2p-4, -0x1.0e6cd3a9e6d5ep-4, -0x1.176dc0850a8ccp-4, -0x1.201473c69a411p-4, -0x1.285dfaefab617p-4, -0x1.30487c20a3ca9p-4, -0x1.37d2a8092b67cp-4, -0x1.3efb3033bd77ep-4, -0x1.45c13701c73c7p-4, -0x1.4c248fe00e087p-4, -0x1.5226424d27655p-4, -0x1.57c7adf860613p-4, -0x1.5d0a6e0debe13p-4, -0x1.61efc3733062fp-4, -0x1.66790214250c5p-4, -0x1.6aa780f4369e1p-4, -0x1.6e7ca5cdbb995p-4, -0x1.71fca05a20d17p-4, -0x1.7528dd6edeaa9p-4, -0x1.7803a173cffbbp-4, -0x1.7a8f5a49364fbp-4, -0x1.7cce6e797083ep-4, -0x1.7ec348afa6abbp-4, -0x1.80706594cdcf3p-4, -0x1.81d7d50f3c2bfp-4, -0x1.82fc349c2ed19p-4, -0x1.83dfb66a8d564p-4, -0x1.84849cb0c7281p-4, -0x1.84ed24d1c8091p-4, -0x1.851b73e326aabp-4, -0x1.8511a64fd7af4p-4, -0x1.84d1af8aa4eb4p-4, -0x1.845d75db96963p-4, -0x1.83b6c3b87f9abp-4, -0x1.82df534792bafp-4, -0x1.81d8d224f84eap-4, -0x1.80a4e875f9634p-4, -0x1.7f452d995a464p-4, -0x1.7dbb2599f66e4p-4, -0x1.7c0840a53ceedp-4, -0x1.7a2dcf84c03b6p-4, -0x1.782d0ab963794p-4, -0x1.76071a6c8a1bcp-4, -0x1.73bd179881531p-4, -0x1.71500c45e0dbfp-4, -0x1.6ec0fe337249bp-4, -0x1.6c10e5c12bf8dp-4, -0x1.6940afec8c4fbp-4, -0x1.665140620f8e9p-4, -0x1.63436fdbe6c73p-4, -0x1.60180c78dde33p-4, -0x1.5ccfdc4c93d25p-4, -0x1.596b99234e7e5p-4, -0x1.55ebfa5291029p-4, -0x1.525171565eb15p-4, -0x1.4e9cc0b8a39fap-4, -0x1.4ace5cbfef60bp-4, -0x1.46e6c2dbba76bp-4, -0x1.42e66b89198c5p-4, -0x1.3ecddf018fb28p-4, -0x1.3a9cc6a15feefp-4, -0x1.36551e30f7133p-4, -0x1.31f6bab449402p-4, -0x1.2d8212e4fa9a7p-4, -0x1.28f79b00acf4bp-4, -0x1.2457beb4a3cdfp-4, -0x1.1fa2ef3dbca8cp-4, -0x1.1ad9adc84e604p-4, -0x1.15fc4d2d72a38p-4, -0x1.110b43d03e4cp-4, -0x1.0c06ff12598fcp-4, -0x1.06eff00fdbe07p-4, -0x1.01c68376f775cp-4, -0x1.f9165839dde6cp-5, -0x1.ee7cb9053ce23p-5, -0x1.e3c1179b00868p-5, -0x1.d8e47314c3eb7p-5, -0x1.cde7e2d866318p-5, -0x1.c2cbee7cbd4f4p-5, -0x1.b792070cb4aa4p-5, -0x1.ac3b13ee61786p-5, -0x1.a0c81fc35cd12p-5, -0x1.953a3e8333e15p-5, -0x1.899282511b75p-5, -0x1.7dd20ffc8cb1ep-5, -0x1.71f9fd7e84c94p-5, -0x1.660b75ea83b3fp-5, -0x1.5a077459c8606p-5, -0x1.4defa8b64cb49p-5, -0x1.41c4a26b11427p-5, -0x1.3587f50327de7p-5, -0x1.293aca431d063p-5, -0x1.1cde5d1b4a8fdp-5, -0x1.1073f9e4b83bp-5, -0x1.03fce1f291c04p-5, -0x1.eef4cffe3b15ep-6, -0x1.d5dbc12f18f87p-6, -0x1.bcb11b8164a4fp-6, -0x1.a377f69290dd6p-6, -0x1.8a329cc039cc2p-6, -0x1.70e4144160bcfp-6, -0x1.578ee72153b4ep-6, -0x1.3e35ffb0fdcebp-6, -0x1.24dc1e2a5368ap-6, -0x1.0b84162451418p-6, -0x1.e46147e637897p-7, -0x1.b1c953dd85f3dp-7, -0x1.7f457f8b71027p-7, -0x1.4cdbcba92011p-7, -0x1.1a91aad61cee2p-7, -0x1.d0d919c750d73p-8, -0x1.6ce4845f74e21p-8, -0x1.094fa94e11b3p-8, -0x1.4c4dcd541aae7p-9, -0x1.0dcfed721838bp-10, 0x1.ebb15f56400dcp-12, 0x1.00c8228a93257p-9, 0x1.c2e8b0f0485dep-9, 0x1.41e38e1c2f5abp-8, 0x1.a1a7aeb5006a2p-8, 0x1.005b47ada935ep-7, 0x1.2f82eef63b7abp-7, 0x1.5e4601ee5050fp-7, 0x1.8c9f8557ae409p-7, 0x1.ba8ab6fa1529p-7, 0x1.e802ec16da0c6p-7, 0x1.0a81b4d9b4ec3p-6, 0x1.20c3f43d790dep-6, 0x1.36c5eb5e88a71p-6, 0x1.4c85758d7f98ap-6, 0x1.620080eb68872p-6, 0x1.773507f681f52p-6, 0x1.8c21080cb7e52p-6, 0x1.a0c2a1998ec7bp-6, 0x1.b517f879456f4p-6, 0x1.c91f3f08873c7p-6, 0x1.dcd6c0a676768p-6, 0x1.f03cd5b1853ap-6, 0x1.01a7f0eebd29ep-5, 0x1.0b0733044ead5p-5, 0x1.143b78da1e966p-5, 0x1.1d4407d6796dcp-5, 0x1.2620406660102p-5, 0x1.2ecf7e82aba71p-5, 0x1.375129e559b99p-5, 0x1.3fa4b79c0453dp-5, 0x1.47c9a0c07fd71p-5, 0x1.4fbf64dc95cd2p-5, 0x1.5776610893f25p-5, 0x1.5f0b60e93562cp-5, 0x1.666fe4dcd99b5p-5, 0x1.6da3a7da673dp-5, 0x1.74a648fab251bp-5, 0x1.7b777c6bd6e6bp-5, 0x1.8217126ce91abp-5, 0x1.888490c2f210dp-5, 0x1.8ec0862b7a0c6p-5, 0x1.94ca14bfb4379p-5, 0x1.9aa1612961a8p-5, 0x1.a0465cc60016p-5, 0x1.a5b8ed21d775p-5, 0x1.aaf9221a11dabp-5, 0x1.b006f61d6c0fdp-5, 0x1.b4e288c593d99p-5, 0x1.b98bdf0588393p-5, 0x1.be031765f240cp-5, 0x1.c24872a6bd696p-5, 0x1.c65bf88e379c2p-5, 0x1.ca3df5b68d92dp-5, 0x1.cdeea19d90b93p-5, 0x1.d16e3ed459e8ep-5, 0x1.d4bd176fd5369p-5, 0x1.d7db8e3a2f62cp-5, 0x1.dac9c6454446fp-5, 0x1.dd885528bfb2bp-5, 0x1.e01784f287cecp-5, 0x1.e277caa3bd08p-5, 0x1.e4a990d7e5189p-5, 0x1.e6ad4d1cc8d11p-5, 0x1.e8837adcbeedap-5, 0x1.ea2c99dbed052p-5, 0x1.eba92d818cdbap-5, 0x1.ecf9c795ba4d8p-5, 0x1.ee1ee888e1d9ap-5, 0x1.ef192d59d3ea3p-5, 0x1.efe928c1f00f1p-5, 0x1.f08f7698662bp-5, 0x1.f10cb4531bcdbp-5, 0x1.f16181c5c2174p-5, 0x1.f18e8769afba2p-5, 0x1.f19466bc0aee6p-5, 0x1.f173cf686889dp-5, 0x1.f12d6fd4f40c7p-5, 0x1.f0c1ece125afcp-5, 0x1.f0320441b0b23p-5, 0x1.ef7e6253f9b6dp-5, 0x1.eea7b426d7919p-5, 0x1.edad928c089edp-5, 0x1.ec94490b25744p-5, 0x1.eb58e1127977ap-5, 0x1.e9fd5b9fad105p-5, 0x1.e8826ee03d50ap-5, 0x1.e6e8d4ba6c9e5p-5, 0x1.e5314a3a2b54p-5, 0x1.e35c8858e621dp-5, 0x1.e16b4d7fa393ep-5, 0x1.df5e533a2c30ep-5, 0x1.dd3652ee1289cp-5, 0x1.daf40e6c6de0dp-5, 0x1.d89837e0690a3p-5, 0x1.d62394d5abc3ap-5, 0x1.d396ce9ea871ep-5, 0x1.d0f2a79f810b6p-5, 0x1.ce37d82e01d94p-5, 0x1.cb670dff129c5p-5, 0x1.c88106ccf6225p-5, 0x1.c5866e38cb0a3p-5, 0x1.c278044977478p-5, 0x1.bf566d803e4cfp-5, 0x1.bc225fdc0f2c4p-5, 0x1.b8dc7feebd0fbp-5, 0x1.b5858af755bd5p-5, 0x1.b21e27a2f0f0ep-5, 0x1.aea6f5c820336p-5, 0x1.ab20aacf2ca54p-5, 0x1.a78be2b22d959p-5, 0x1.a3e949174df5cp-5, 0x1.a0398c5e64542p-5, 0x1.9c7d266a9cd5p-5, 0x1.98b4e0295aa04p-5, 0x1.94e149fac17a9p-5, 0x1.9103008521882p-5, 0x1.8d1a9fe643d39p-5, 0x1.8928be5e1fca1p-5, 0x1.852df6547bfacp-5, 0x1.812ada9f3f2ep-5, 0x1.7d2000c12fc4ep-5, 0x1.790df95143277p-5, 0x1.74f554d22df8dp-5, 0x1.70d69ef1836b6p-5, 0x1.6cb26b1a175c9p-5, 0x1.688936a4fca94p-5, 0x1.645b90f3e912ap-5, 0x1.602a04a9ba0e6p-5, 0x1.5bf5077a91ec2p-5, 0x1.57bd2a6db069cp-5, 0x1.5382de638fed6p-5, 0x1.4f46aab865d4cp-5, 0x1.4b09053befeb7p-5, 0x1.46ca6eaee9451p-5, 0x1.428b50389e203p-5, 0x1.3e4c284be2043p-5, 0x1.3a0d634e979b1p-5, 0x1.35cf707d37422p-5, 0x1.3192bbbdb443fp-5, 0x1.2d57b1e4d951bp-5, 0x1.291eb32c1cda7p-5, 0x1.24e832ce41dedp-5, 0x1.20b483f79a5ddp-5, 0x1.1c840cc047206p-5, 0x1.1857289dc0fcap-5, 0x1.142e302c8ef78p-5, 0x1.1009833085e65p-5, 0x1.0be96d9269d2p-5, 0x1.07ce47bdfc92dp-5, 0x1.03b85827b9403p-5, 0x1.ff4fed752a078p-6, 0x1.f73acd9356a77p-6, 0x1.ef31edeebe56ep-6, 0x1.e735c5cb130cep-6, 0x1.df46e2ce81ffbp-6, 0x1.d765d3bec7404p-6, 0x1.cf92ef67d2af8p-6, 0x1.c7cecc6465785p-6, 0x1.c019d708bc3e2p-6, 0x1.b87466d0de81dp-6, 0x1.b0def6cd57fdfp-6, 0x1.a959d4ffefecfp-6, 0x1.a1e579f213f04p-6, 0x1.9a822d224bf97p-6, 0x1.93303540b762p-6, 0x1.8beff309aace1p-6, 0x1.84c1a6cfd099ep-6, 0x1.7da5a126f7083p-6, 0x1.769c1aea1206ep-6, 0x1.6fa558886192p-6, 0x1.68c17f9c3ca38p-6, 0x1.61f0deb66de9p-6, 0x1.5b33861b1def3p-6, 0x1.5489cfc4aabc4p-6, 0x1.4df3bdf0ba409p-6, 0x1.47718bc5d8292p-6, 0x1.4103476a12966p-6, 0x1.3aa91e98b2293p-6, 0x1.346325537922cp-6, 0x1.2e3170e88dc38p-6, 0x1.2814201523bfdp-6, 0x1.220b332690a28p-6, 0x1.1c16d0d23e895p-6, 0x1.1636e2f579de2p-6, 0x1.106b864992463p-6, 0x1.0ab4ab0417309p-6, 0x1.051286cf0a864p-6, 0x1.ff09c7b892336p-7, 0x1.f417a56cd1496p-7, 0x1.e94e98c4f269ap-7, 0x1.deae85ad8cfd2p-7, 0x1.d4378eb5416b3p-7, 0x1.c9e96e8533038p-7, 0x1.bfc4121926b9p-7, 0x1.b5c745d260cc7p-7, 0x1.abf2f80f17df2p-7, 0x1.a247468e48853p-7, 0x1.98c3950e7bd71p-7, 0x1.8f680051a692ep-7, 0x1.863443ccf11f2p-7, 0x1.7d281e5632d7dp-7, 0x1.744386a515b8fp-7, 0x1.6b86123f2c6ep-7, 0x1.62efb5b20eabep-7, 0x1.5a802082f3266p-7, 0x1.52370e0bf8cbcp-7, 0x1.4a1418c2252cdp-7, 0x1.42174f649b9cdp-7, 0x1.3a6f0c99f236ep-7, 0x1.32cb2bd8a14d9p-7, 0x1.2b4c69e088486p-7, 0x1.23f24e56b3305p-7, 0x1.1cbc1788e5293p-7, 0x1.15aa379bc18b1p-7, 0x1.0ebb5654775f2p-7, 0x1.07ef3a09d728ap-7, 0x1.01458e596d838p-7, 0x1.f57b5b0fc6c25p-8, 0x1.e8ae90e9036a1p-8, 0x1.dc230e89240cep-8, 0x1.cfd8856b7a4b5p-8, 0x1.c3cde4bc2b018p-8, 0x1.b801e6e85a304p-8, 0x1.ac7372b3a653p-8, 0x1.a1224e1617604p-8, 0x1.960cea681d2b7p-8, 0x1.8b324b3750925p-8, 0x1.80923b0b4eeb3p-8, 0x1.762b2aba5d571p-8, 0x1.6bfc67f6144cp-8, 0x1.620505cc80594p-8, 0x1.58446923a4c4cp-8, 0x1.4eb9b1e49179dp-8, 0x1.4563ff2fe33ffp-8, 0x1.3c42830522595p-8, 0x1.33549761941bfp-8, 0x1.2a996f14cf2c4p-8, 0x1.22103c21250e5p-8, 0x1.19b8635890d6ep-8, 0x1.11910901ab5b4p-8, 0x1.0999bfb27b3fep-8, 0x1.01d189725ff21p-8, 0x1.f46f9ce80b787p-9, 0x1.e597d15c9038ep-9, 0x1.d71a7c62c8fc7p-9, 0x1.c8f58c5559c0ep-9, 0x1.bb28213302418p-9, 0x1.adb12f2e0059fp-9, 0x1.a08ec6a8ca7ap-9, 0x1.93bfb969efec8p-9, 0x1.8742d582a2ab2p-9, 0x1.7b1680c5c383p-9, 0x1.6f39831d2705ep-9, 0x1.63aa5638cb1eap-9, 0x1.5867bdfebdf2ap-9, 0x1.4d706ead70628p-9, 0x1.42c2c73ced3a8p-9, 0x1.385dad8e4d34ap-9, 0x1.2e4171e8918cbp-9, 0x1.246709e6158ccp-9, 0x1.1ad37b4b8d55ap-9, 0x1.11829ce927f9ep-9, 0x1.0873881d925a2p-9, 0x1.ff495ab06c57p-10, 0x1.ee2a297265cb8p-10, 0x1.dd864109280e6p-10, 0x1.cd5ab831c8fc3p-10, 0x1.bda69c9005631p-10, 0x1.ae66c10b9467ep-10, 0x1.9f960d485c61bp-10, 0x1.913503f35a6d4p-10, 0x1.83412b4bf4691p-10, 0x1.75b5f28a69063p-10, 0x1.68924dc27f94dp-10, 0x1.5bd3193824e6ap-10, 0x1.4f7800de7e8f3p-10, 0x1.437caa3952adap-10, 0x1.37df29d210b1dp-10, 0x1.2c9d4c1517a1cp-10, 0x1.21b58355d93d1p-10, 0x1.1724fcb45561ep-10, 0x1.0ce942758b9aap-10, 0x1.0301609e72e3dp-10, 0x1.f2d416eba76cp-11, 0x1.e0431b2de5daep-11, 0x1.ce4c5170ec967p-11, 0x1.bced94307b67fp-11, 0x1.ac1d174b73201p-11, 0x1.9bdcfc7b4b9f6p-11, 0x1.8c270c8dbfc3ap-11, 0x1.7cfc6e7d05398p-11, 0x1.6e4c13c41d688p-11, 0x1.601faf5ec8ddep-11, 0x1.526fd80ddb921p-11, 0x1.45380a38fa7edp-11, 0x1.38761e6633c5ep-11, 0x1.2c27962999aa5p-11, 0x1.2044cca550fep-11, 0x1.14cbc903ba6e7p-11, 0x1.09c36cca4f2a8p-11, 0x1.fe38d8abee9f3p-12, 0x1.e9b071e9e8485p-12, 0x1.d5e7f2621cbffp-12, 0x1.c2d8d69b63ab4p-12, 0x1.b07eb5521e858p-12, 0x1.9ed35fcd151eap-12, 0x1.8dd18bb1f8c57p-12, 0x1.7d744a634707ap-12, 0x1.6db6dbdea6be9p-12, 0x1.5e87e7d0d1bdp-12, 0x1.5001c7402f40dp-12, 0x1.4209927717eb6p-12, 0x1.3498ce6b96163p-12, 0x1.27b09168b174ep-12, 0x1.1b4be4b9a0f7cp-12, 0x1.0f6597dfc59dep-12, 0x1.03fb11df26d92p-12, 0x1.f20dc8f728b36p-13, 0x1.dd0b5575660eap-13, 0x1.c8e776f92069ap-13, 0x1.b5aa96be8463cp-13, 0x1.a31bb5d78c341p-13, 0x1.9165277cca15p-13, 0x1.8070ef3bc593dp-13, 0x1.702dcf52d21f6p-13, 0x1.60b23e2f30238p-13, 0x1.51d0bf8043c48p-13, 0x1.439c7562b0054p-13, 0x1.36089b8ed864ap-13, 0x1.2910a63401b93p-13, 0x1.1cac8889fc847p-13, 0x1.10d80d32b146dp-13, 0x1.058ce12471042p-13, 0x1.f58c57cd340dep-14, 0x1.e100193fd0dddp-14, 0x1.cd6c21ae897bcp-14, 0x1.bab60c3fdd92fp-14, 0x1.a8ec5c4af2bd5p-14, 0x1.97eea6132bba4p-14, 0x1.87d6578bb63d5p-14, 0x1.7871547f6d08cp-14, 0x1.69d95f0b6058bp-14, 0x1.5bf8cf50c96eap-14, 0x1.4eb8a49243e8dp-14, 0x1.42413e98f5bbap-14, 0x1.3637c5215dd45p-14, 0x1.2adeec721b455p-14, 0x1.2018c438b9762p-14, 0x1.15e08433532d1p-14, 0x1.0c287fa7724efp-14, 0x1.02f8c80361c96p-14, 0x1.f4acc3f7c27d9p-15, 0x1.e3d114d137f37p-15, 0x1.d4155cd453c61p-15, 0x1.c529fbb003a35p-15, 0x1.b6fbd50026367p-15, 0x1.a9a0f3929f4b1p-15, 0x1.9ce96e2f6adcp-15, 0x1.90d9e7394ee88p-15, 0x1.856e2f8a511c9p-15, 0x1.7ac665d2bd72dp-15, 0x1.704fb049f861ap-15, 0x1.66906ca76dbedp-15, 0x1.5d559cf80e2b1p-15, 0x1.5488261969d5bp-15, 0x1.4c24fbbf57366p-15, 0x1.447a2745db33fp-15, 0x1.3cc09ab35e0cap-15, 0x1.3596eea0e4ffep-15, 0x1.2ec528abe5df2p-15, 0x1.2845ea21f69ddp-15, 0x1.221489d18cae5p-15, 0x1.1c29a91aad3bdp-15, 0x1.1688c4862b8b6p-15, 0x1.10feb67c2d48dp-15, 0x1.0be990fcfc17p-15, 0x1.06f063eebb4e6p-15, 0x1.0225e6f341714p-15, 0x1.fb070d0039aa1p-16, 0x1.f2a752604a29ap-16, 0x1.e990a8b95f8a8p-16, 0x1.e12e7d3b0c562p-16, 0x1.d8f6c545a25dbp-16, 0x1.d15b53ba344dep-16, 0x1.c9a6b80cb2dd7p-16, 0x1.c227907b4484ap-16, 0x1.bae11dd40eab4p-16, 0x1.b3af3e1a63b2ap-16, 0x1.acd8e7ac930c9p-16, 0x1.a5ba4a2bd16bfp-16, 0x1.9edeae0d4ecfep-16, 0x1.9819f3be1abe8p-16, 0x1.916425387de33p-16, 0x1.8ac78a1b8fe39p-16, 0x1.84b33abecc5cbp-16, 0x1.7d7d65a9fbe8ep-16, 0x1.7710407f7fdddp-16, 0x1.709756ad24ccbp-16, 0x1.6a08a3944ea3dp-16, 0x1.63826de8205f6p-16, 0x1.5cf822b19cebep-16, 0x1.56753b3aa7783p-16, 0x1.4fe005e646794p-16, 0x1.494aa3347a65ap-16, 0x1.42b0aa2a8808ep-16, 0x1.3c09671706448p-16, 0x1.3558b22ff2b62p-16, 0x1.2ea17da69cc42p-16, 0x1.27de44ea4121cp-16, 0x1.2117745a255b7p-16, 0x1.1a39f1d141aa4p-16, 0x1.135e21433dc37p-16, 0x1.0c4d8f6f74c3p-16, 0x1.054882fb0c13cp-16, 0x1.fcc11f5f0991fp-17, 0x1.eea755dd346b5p-17, 0x1.dfefe31b2c3f2p-17, 0x1.d23886b548eebp-17, 0x1.c3d1fee664a5fp-17, 0x1.b54e7d4515357p-17, 0x1.a6c19617cfb0bp-17, 0x1.9830f3147bd38p-17, 0x1.897d4539942p-17, 0x1.7ac488f8e6225p-17, 0x1.6c0274cec2fe6p-17, 0x1.5d2af244fbafbp-17, 0x1.4e3a9afb34eb5p-17, 0x1.3f775535ec117p-17, 0x1.3078c50cb6e15p-17, 0x1.21554fd0254cep-17, 0x1.128d8a19853dap-17, 0x1.039e820a63734p-17, 0x1.e94e9e5a69ea5p-18, 0x1.cd4c4a3b15b3fp-18, 0x1.ad42f16e8db6p-18, 0x1.8f82688d9af63p-18, 0x1.716142f335844p-18, 0x1.5435b0ed8ebccp-18, 0x1.36461e6c068ecp-18, 0x1.18d080f0eb97dp-18, 0x1.f6bcbfb649494p-19, 0x1.bc3e7556af238p-19, 0x1.8202baa1e911ap-19, 0x1.48006ea4f5b0bp-19, 0x1.0ec2a8c91331p-19, 0x1.ac6eda5131deep-20, 0x1.3a3618fca9dd5p-20, 0x1.9409925c6fb03p-21, 0x1.6a7a830f79bbap-22, -0x1.3294f4b3f1dfp-24, -0x1.01366db4876f8p-21, -0x1.d8ac782334a85p-21, -0x1.57da71a4d1fc3p-20, -0x1.c39bf3d6a71e1p-20, -0x1.1400c8deb7b41p-19, -0x1.46710ffd4787cp-19, -0x1.798f8f247b979p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.4f94fc3a93df6p-5, 0x1.724fd303718f9p-5, 0x1.94991bb9e1a9cp-5, 0x1.b4fad06695e73p-5, 0x1.d2451c2177bd5p-5, 0x1.eb8ed7f1ecdf1p-5, 0x1.0013b63b560afp-4, 0x1.07ce6f6f6fca9p-4, 0x1.0cd27731cdec2p-4, 0x1.0f0e9e255c934p-4, 0x1.0e8572e0bc7fcp-4, 0x1.0b40d39d63dbfp-4, 0x1.055aa8325f4e7p-4, 0x1.f9e3c2e7158fp-5, 0x1.e4586bf94f4bap-5, 0x1.ca66e302629a9p-5, 0x1.ac6801828323fp-5, 0x1.8ab8808527ba9p-5, 0x1.65b65d5930d55p-5, 0x1.3dbdee237aa34p-5, 0x1.132964e6c3387p-5, 0x1.cca21a8e9e057p-6, 0x1.6f146aba2f37bp-6, 0x1.0e4ae57ae220fp-6, 0x1.55b75d89dc62ep-7, 0x1.154d65d2836b9p-8, -0x1.0e4c9e04f4fe8p-9, -0x1.13fcbe2bab499p-7, -0x1.e5b03ab28b3acp-7, -0x1.5bedefc41072ep-6, -0x1.c4e1add255efp-6, -0x1.16af764085314p-5, -0x1.4a8cc394bb61fp-5, -0x1.7de636214165p-5, -0x1.b09a50bbbc42ep-5, -0x1.e28e4c3c97de5p-5, -0x1.09d4d62485dc2p-4, -0x1.21eb77ba01fbfp-4, -0x1.3981ae8a37046p-4, -0x1.508f672473d4bp-4, -0x1.670dc1eaa7248p-4, -0x1.7cf6fb3aedfdp-4, -0x1.9246458abb4c5p-4, -0x1.a6f7b9f87fd9cp-4, -0x1.bb084493c87f2p-4, -0x1.ce758dbb41cc9p-4, -0x1.e13dee6da7fedp-4, -0x1.f3605ee7c24c2p-4, -0x1.026e350e9a81bp-3, -0x1.0ad90ee37f622p-3, -0x1.12f0ff1d7f34ep-3, -0x1.1ab67b53a718fp-3, -0x1.222a2567b3d6ap-3, -0x1.294cc5614a63bp-3, -0x1.301f4775ae454p-3, -0x1.36a2b891457b4p-3, -0x1.3cd8441944ed7p-3, -0x1.42c1314521e5ap-3, -0x1.485edd97c4602p-3, -0x1.4db2b9b362318p-3, -0x1.52be41c42ca64p-3, -0x1.57830089c2308p-3, -0x1.5c0286f549d9fp-3, -0x1.603e6e8365239p-3, -0x1.643855f8aa4efp-3, -0x1.67f1e00aa47d1p-3, -0x1.6b6cb1b001e76p-3, -0x1.6eaa7041abedcp-3, -0x1.71acc07e473d5p-3, -0x1.7475446d257f1p-3, -0x1.77059fe1e6194p-3, -0x1.795f6f946a2a7p-3, -0x1.7b844df479a24p-3, -0x1.7d75d20ed6775p-3, -0x1.7f358cd5dc717p-3, -0x1.80c5088192de6p-3, -0x1.8225c7d827c1ap-3, -0x1.8359597f219a1p-3, -0x1.8461068ea0e0bp-3, -0x1.853e4a81ea0a6p-3, -0x1.85f287f418235p-3, -0x1.867f19928b7e8p-3, -0x1.86e5525b672a1p-3, -0x1.87267cf8ac7bep-3, -0x1.8743dbe5b4169p-3, -0x1.873eaa5920cp-3, -0x1.87181b09d7856p-3, -0x1.86d1590497c3fp-3, -0x1.866b86b3a2c2p-3, -0x1.85e7bfda5a85ep-3, -0x1.8547177fec001p-3, -0x1.848a9b07361e5p-3, -0x1.83b348422d7b9p-3, -0x1.82c2208e572e6p-3, -0x1.81b8167d1ee11p-3, -0x1.809617405a6adp-3, -0x1.7f5d0833d4f04p-3, -0x1.7e0dc7fc615ep-3, -0x1.7ca92e9ee5117p-3, -0x1.7b300d430f227p-3, -0x1.79a32f71a05bdp-3, -0x1.780359e14532p-3, -0x1.76514c0a73eb6p-3, -0x1.748dbf7b1fbd2p-3, -0x1.72b968c3f023ap-3, -0x1.70d4f674b251cp-3, -0x1.6ee112b45a65bp-3, -0x1.6cde622738e41p-3, -0x1.6acd84f521644p-3, -0x1.68af164136d99p-3, -0x1.6683aca392249p-3, -0x1.644bda29307bbp-3, -0x1.62082c9e7a249p-3, -0x1.5fb92d6640517p-3, -0x1.5d5f61e9b332ap-3, -0x1.5afb4b8089796p-3, -0x1.588d67ba69326p-3, -0x1.561630c2ce699p-3, -0x1.53961c71f38d2p-3, -0x1.510d9e19ec1dep-3, -0x1.4e7d25401e887p-3, -0x1.4be51e735bb8bp-3, -0x1.4945f322511b1p-3, -0x1.46a009d302c88p-3, -0x1.43f3c639fea5bp-3, -0x1.41418961d7fa6p-3, -0x1.3e89b197b3f94p-3, -0x1.3bcc9a9e2f673p-3, -0x1.390a9e452e625p-3, -0x1.3644132349eaap-3, -0x1.33794dfd6e6e8p-3, -0x1.30aaa1888cf4bp-3, -0x1.2dd85fb537f7p-3, -0x1.2b02d2241b039p-3, -0x1.282a497afed4ep-3, -0x1.254f0f5748b48p-3, -0x1.22716bb83637p-3, -0x1.1f91a56b5bc6fp-3, -0x1.1cb001873889p-3, -0x1.19ccc319f3999p-3, -0x1.16e82bd706246p-3, -0x1.14027b94c4a0dp-3, -0x1.111bf0cc46468p-3, -0x1.0e34c85554df2p-3, -0x1.0b4d3d23eb0ecp-3, -0x1.08658968861a8p-3, -0x1.057de5866486ap-3, -0x1.02968872a28dep-3, -0x1.ff5f4fd4cc19ep-4, -0x1.f992f063972d7p-4, -0x1.f3c8588c3f689p-4, -0x1.edffec998a538p-4, -0x1.e83a0ce4d1d7cp-4, -0x1.e2771848c78a8p-4, -0x1.dcb76af28a51bp-4, -0x1.d6fb5ef6b599ep-4, -0x1.d1434baed3055p-4, -0x1.cb8f860eb5ad2p-4, -0x1.c5e06259dcep-4, -0x1.c0362fe0108ep-4, -0x1.ba913e2bc157ap-4, -0x1.b4f1d8d5cf4dp-4, -0x1.af584aff2c9c2p-4, -0x1.a9c4dd0ba6602p-4, -0x1.a437d4126824ep-4, -0x1.9ead15c520565p-4, -0x1.992d48ecfaa86p-4, -0x1.93b49f4e3b765p-4, -0x1.8e435ee2a8b5p-4, -0x1.88d9bd69e6d9cp-4, -0x1.8377f40cb8661p-4, -0x1.7e1e3ea378fbdp-4, -0x1.78ccd16f5aeb5p-4, -0x1.7383e44a760fbp-4, -0x1.6e43a7006d169p-4, -0x1.690c4b9d4dc22p-4, -0x1.63de032b5e32dp-4, -0x1.5eb8f65a20fe5p-4, -0x1.599d55df10644p-4, -0x1.548b48c414472p-4, -0x1.4f82fc52b5494p-4, -0x1.4a849292e8f0fp-4, -0x1.4590336569b57p-4, -0x1.40a60075a7df8p-4, -0x1.3bc61b97ac209p-4, -0x1.36f0a769a23a3p-4, -0x1.3225c0abd887p-4, -0x1.2d65869062fe9p-4, -0x1.28b0143c76127p-4, -0x1.240583de86782p-4, -0x1.1f65ed8db26c6p-4, -0x1.1ad16aa25c584p-4, -0x1.16480e5bf786fp-4, -0x1.11c9ef6082d5fp-4, -0x1.0d571ff6f9ac4p-4, -0x1.08efb2119023p-4, -0x1.0493b5acd8d22p-4, -0x1.004339fa074cdp-4, -0x1.f7fc98f0f2144p-5, -0x1.ef89f6635ac38p-5, -0x1.e72e99f19417ap-5, -0x1.deea9e1d87f4ep-5, -0x1.d6be11b7bf2dcp-5, -0x1.cea9039546093p-5, -0x1.c6ab7e78dd153p-5, -0x1.bec58cdcd2d6ep-5, -0x1.b6f7324d82195p-5, -0x1.af407b801a00fp-5, -0x1.a7a166247b21ap-5, -0x1.a019f1e534c3cp-5, -0x1.98aa17701ef46p-5, -0x1.9151dccf74714p-5, -0x1.8a11336260e6ap-5, -0x1.82e81829a2deap-5, -0x1.7bd68d83e717bp-5, -0x1.74dc51416f91ap-5, -0x1.6df98c224a06ep-5, -0x1.672e1b4d0b6e6p-5, -0x1.6079ec53b9b18p-5, -0x1.59dce8e59946fp-5, -0x1.5356fbf9a9e47p-5, -0x1.4ce80c3d43f6fp-5, -0x1.468fffe557986p-5, -0x1.404ebce2636b7p-5, -0x1.3a2422df04f6ap-5, -0x1.341015b88527p-5, -0x1.2e1272a728d41p-5, -0x1.282b1ff80a8f8p-5, -0x1.2259e96385025p-5, -0x1.1c9eb986dc01dp-5, -0x1.16f966c712e19p-5, -0x1.1169c669a84eap-5, -0x1.0befb4db8b416p-5, -0x1.068b0753d4d6bp-5, -0x1.013b918b0fe0bp-5, -0x1.f802555fe4582p-6, -0x1.edb74c95a06f1p-6, -0x1.e395ab15efaep-6, -0x1.d99d1acf343fcp-6, -0x1.cfcd3d462f0cap-6, -0x1.c625b11ac5bep-6, -0x1.bca61c2addcc5p-6, -0x1.b34e16ce086e3p-6, -0x1.aa1d455e6c415p-6, -0x1.a1134530f3eddp-6, -0x1.982faf4ecf8a4p-6, -0x1.8f72241141071p-6, -0x1.86da3e2a0b569p-6, -0x1.7e67988b0eedap-6, -0x1.7619d070fef7dp-6, -0x1.6df07a1f1bbcep-6, -0x1.65eb376bb5417p-6, -0x1.5e099f8e1a709p-6, -0x1.564b4c10b3b9bp-6, -0x1.4eafd7ba8a99ap-6, -0x1.4736dc4db4b02p-6, -0x1.3fdff4f3a91dfp-6, -0x1.38aabc3010967p-6, -0x1.3196ca0e8e5afp-6, -0x1.2aa3ba3af5388p-6, -0x1.23d129a91feeep-6, -0x1.1d1eb13752805p-6, -0x1.168bef7b2acb9p-6, -0x1.101874d8d0415p-6, -0x1.09c3e9d486acp-6, -0x1.038de36cbb37ep-6, -0x1.faec1822c225p-7, -0x1.eef7c9606971bp-7, -0x1.e33e41df6e6ap-7, -0x1.d7beafec0e93ap-7, -0x1.cc784ceec1bdp-7, -0x1.c16a560300b2p-7, -0x1.b6940689dc90cp-7, -0x1.abf498cce61ebp-7, -0x1.a18b563ca17a5p-7, -0x1.9757724e581fap-7, -0x1.8d582dff8ec03p-7, -0x1.838ccf95d79cp-7, -0x1.79f49166451b4p-7, -0x1.708ebd9b81132p-7, -0x1.675a8d8b783ecp-7, -0x1.5e574af5ef74p-7, -0x1.558435126a271p-7, -0x1.4ce09892c833p-7, -0x1.446bb4f7f0cc2p-7, -0x1.3c24dc2af28c6p-7, -0x1.340b460a822c5p-7, -0x1.2c1e47327fe01p-7, -0x1.245d2692fe82cp-7, -0x1.1cc737b2bda41p-7, -0x1.155bc05abd62ep-7, -0x1.0e1a110e426b9p-7, -0x1.070172a4e2a6p-7, -0x1.00113b722c754p-7, -0x1.f2916b9fe7aa4p-8, -0x1.e54ea7e7fa958p-8, -0x1.d8588a0e10e49p-8, -0x1.cbadd6aa23e48p-8, -0x1.bf4d3e15e7836p-8, -0x1.b3357939aaaa4p-8, -0x1.a7652c16bd256p-8, -0x1.9bdb24f9b79dep-8, -0x1.909613945d3cdp-8, -0x1.8594af4ad69f9p-8, -0x1.7ad5b7dcfdabap-8, -0x1.70580ecf6c2f7p-8, -0x1.661a6264531ep-8, -0x1.5c1b797cb190cp-8, -0x1.525a3d895a1f4p-8, -0x1.48d5668c8325ep-8, -0x1.3f8bd94ae02d9p-8, -0x1.367c6459d3844p-8, -0x1.2da5cb34e4534p-8, -0x1.2507534ad3ae4p-8, -0x1.1c9f7613bab85p-8, -0x1.146d4dd906125p-8, -0x1.0c6faf602320ep-8, -0x1.04a59515eea01p-8, -0x1.fa1bb78c09db4p-9, -0x1.eb4f89f56983ap-9, -0x1.dce3f77636386p-9, -0x1.ced732da6c291p-9, -0x1.c12743b64395p-9, -0x1.b3d23135b4667p-9, -0x1.a6d61802c2f53p-9, -0x1.9a311eabadfafp-9, -0x1.8de15849d5b81p-9, -0x1.81e4d82dc135dp-9, -0x1.7639fa76d2681p-9, -0x1.6adef6da44dfp-9, -0x1.5fd1f78c8b1b1p-9, -0x1.55115c04d6ccdp-9, -0x1.4a9b703b07784p-9, -0x1.406e72d5e7145p-9, -0x1.3688c1422dc9bp-9, -0x1.2ce93e25e527cp-9, -0x1.238dc3cc9563cp-9, -0x1.1a7500915cc26p-9, -0x1.119d722845f97p-9, -0x1.0905406f92834p-9, -0x1.00abd57d7df3cp-9, -0x1.f15d285b21abep-10, -0x1.e1b16ac41be28p-10, -0x1.d279624b9f506p-10, -0x1.c3b22770c9873p-10, -0x1.b55886721aa21p-10, -0x1.a76a7151e5d36p-10, -0x1.99e46dc9d4d4p-10, -0x1.8cc381d062c2dp-10, -0x1.80063d7f7d0c2p-10, -0x1.73a8c607d6036p-10, -0x1.67a8fac15e4p-10, -0x1.5c042a31a3fe8p-10, -0x1.50b7efa3b2a23p-10, -0x1.45c1fe31c0d83p-10, -0x1.3b1fcc29d0419p-10, -0x1.30cf2c3ef6268p-10, -0x1.26cda50a2838bp-10, -0x1.1d1942aba073bp-10, -0x1.13afd5c47aeefp-10, -0x1.0a8f828f1ce87p-10, -0x1.01b5c15851aecp-10, -0x1.f2421f732b1ddp-11, -0x1.e19ee739e0edbp-11, -0x1.d17e35b0f2eb2p-11, -0x1.c1dc7bebf7b92p-11, -0x1.b2b649e514ffep-11, -0x1.a407d6e58695ep-11, -0x1.95ce8c5a3799ep-11, -0x1.880717246bd98p-11, -0x1.7aae11e7390b7p-11, -0x1.6dc0e7c23f612p-11, -0x1.613c6fd8fec19p-11, -0x1.551e1d3e0a463p-11, -0x1.4962ed6295a7fp-11, -0x1.3e07dc867fecap-11, -0x1.330b6bab0def4p-11, -0x1.286a78f8bfeefp-11, -0x1.1e217b409a4cbp-11, -0x1.142f3f00ff866p-11, -0x1.0a9118b10d1aep-11, -0x1.014491c895192p-11, -0x1.f08f8834ee335p-12, -0x1.df2e968d54fc7p-12, -0x1.ce6484de97d94p-12, -0x1.be2bedb739c0fp-12, -0x1.ae80745894b7dp-12, -0x1.9f5e74469f2e1p-12, -0x1.90c25ea8c43bcp-12, -0x1.82a609f15140dp-12, -0x1.7507d92f69169p-12, -0x1.67e451d51cefcp-12, -0x1.5b330502fcdccp-12, -0x1.4ef846526e314p-12, -0x1.432abd85167c8p-12, -0x1.37c8a36dc2c6bp-12, -0x1.2cd0ca99d7635p-12, -0x1.22390d44553abp-12, -0x1.18052aa973a76p-12, -0x1.0e2f9b35a816bp-12, -0x1.04b5740006b25p-12, -0x1.f72cffe172435p-13, -0x1.e58f04323bb42p-13, -0x1.d49ba17f20307p-13, -0x1.c44827428d14ap-13, -0x1.b48faa5765e92p-13, -0x1.a56c3ef98703ep-13, -0x1.96d86dea8b0c4p-13, -0x1.88d1e37958184p-13, -0x1.7b4ec4f8b8a42p-13, -0x1.6e4f42c5d9dd1p-13, -0x1.61cdfcc856dd4p-13, -0x1.55c3c7f19326ep-13, -0x1.4a2f47465efa4p-13, -0x1.3f0ba72f092f3p-13, -0x1.34542550141e6p-13, -0x1.2a056a500d51cp-13, -0x1.201c226fe8dccp-13, -0x1.1693656f57f5cp-13, -0x1.0d6c6c011b01dp-13, -0x1.04953cff9d428p-13, -0x1.f83c80b77d69ep-14, -0x1.e7f0866b42d43p-14, -0x1.d8489c2b8971p-14, -0x1.c9355280bafc1p-14, -0x1.bab98a4b15e7fp-14, -0x1.accd79692fe99p-14, -0x1.9f6da6b9b6d12p-14, -0x1.929104ffd6005p-14, -0x1.86397e0e54f43p-14, -0x1.7a501f1cd21afp-14, -0x1.6ee26471811f5p-14, -0x1.63e69412cee4dp-14, -0x1.5955fde497c8p-14, -0x1.4f2ddc7e26f9ep-14, -0x1.456b20e9ff658p-14, -0x1.3c06bc1b1f291p-14, -0x1.32fead37f2744p-14, -0x1.2a4f1c04002cep-14, -0x1.21f3776ba2fbbp-14, -0x1.19e928fd900fbp-14, -0x1.122d549222f0dp-14, -0x1.0aaa1b4b800b3p-14, -0x1.03908f23969ffp-14, -0x1.f9502b09c4a1fp-15, -0x1.ec0110eac952ep-15, -0x1.df33e5dc17fb9p-15, -0x1.d2daf7ecdd313p-15, -0x1.c6f54249ead6cp-15, -0x1.bb7cebd6f4de4p-15, -0x1.b06b8274d8d73p-15, -0x1.a5be7614650a9p-15, -0x1.9b70012979b95p-15, -0x1.91817d2d9b70dp-15, -0x1.87dfe2291527dp-15, -0x1.7e9649c78c79p-15, -0x1.75997a19fd322p-15, -0x1.6cddb011aa2dp-15, -0x1.6483d29f2164dp-15, -0x1.5c5f5795d3064p-15, -0x1.547c32b55aa32p-15, -0x1.4cd72e98149b3p-15, -0x1.456da25e67fabp-15, -0x1.3e3bc37ac25c3p-15, -0x1.373f828f004a7p-15, -0x1.307563182bd24p-15, -0x1.29da1e50bba8cp-15, -0x1.2372c4eb6aaeep-15, -0x1.1d3f80eae9f22p-15, -0x1.171d37fa4f1f3p-15, -0x1.1131eee2b6171p-15, -0x1.0b660bb4b22fap-15, -0x1.05c58e5534f4ep-15, -0x1.00412a85c7e53p-15, -0x1.f5bbd97637297p-16, -0x1.eb37b5e38f0ccp-16, -0x1.e0e7b355f1d68p-16, -0x1.d6d731090632bp-16, -0x1.ccf2d370a72dcp-16, -0x1.c33fda151a6bbp-16, -0x1.b9bec7f92b075p-16, -0x1.b069b7871f0b4p-16, -0x1.a7424d2402cd4p-16, -0x1.9e462c4402f63p-16, -0x1.956ec87de8687p-16, -0x1.8cb27fef0e5b2p-16, -0x1.842032e80589bp-16, -0x1.7bae559adfa3cp-16, -0x1.735ffe36c1455p-16, -0x1.6b36d2bc009a1p-16, -0x1.631606bface58p-16, -0x1.5b1a35ec217eap-16, -0x1.533d415868dd1p-16, -0x1.4bcc671f71fd1p-16, -0x1.43c21e1957448p-16, -0x1.3c28ac024d8dcp-16, -0x1.34a2add0e46a8p-16, -0x1.2d3c3570653eep-16, -0x1.25f3a2d6706d6p-16, -0x1.1ea21521c323p-16, -0x1.17685c00dfa09p-16, -0x1.1045d1154c86p-16, -0x1.0939aa26d3e81p-16, -0x1.02405936693b3p-16, -0x1.f6a102f903a4p-17, -0x1.e8e5583a8a754p-17, -0x1.dbb31ae2ab7cfp-17, -0x1.cdd3478734dfep-17, -0x1.c081c9d443f8bp-17, -0x1.b34a731bc9d02p-17, -0x1.a624ebd45545ep-17, -0x1.9927124c4607bp-17, -0x1.8c453be806eeep-17, -0x1.7f804b52812a9p-17, -0x1.72b00166f738cp-17, -0x1.663e87995bc75p-17, -0x1.59cd6465781d8p-17, -0x1.4d71cd5dd8e1p-17, -0x1.4133ab5d4f2eep-17, -0x1.35195bbef78dap-17, -0x1.29192f6d10c79p-17, -0x1.1d7ff3a0335eep-17, -0x1.1156f18dfef77p-17, -0x1.059f2ee7bf2a2p-17, -0x1.f40ae5191674p-18, -0x1.dd057fe0f562dp-18, -0x1.c6494d9c2231fp-18, -0x1.afd44f9bbdf0ep-18, -0x1.99e73e9c63084p-18, -0x1.836fb5a20df38p-18, -0x1.6d60b009a5479p-18, -0x1.57dca30f76091p-18, -0x1.4271893cb0915p-18, -0x1.2d3f3917dcfcbp-18, -0x1.1855d2e7e6486p-18, -0x1.0392a77b39befp-18, -0x1.de31bd3e0703fp-19, -0x1.b5b43940b6843p-19, -0x1.8d7e7d3f86855p-19, -0x1.660ff6ea25bccp-19, -0x1.3f004c81196f9p-19, -0x1.18682c269884dp-19, -0x1.e4ced33342908p-20, -0x1.9970557999ea2p-20, -0x1.4f3b0327b4c3fp-20, -0x1.064bef0d4aaadp-20, -0x1.7b3f6d3a88655p-21, -0x1.da675323c9131p-22, -0x1.82e13dc54262ep-23, 0x1.9002b7d537a56p-24, 0x1.65fd743ae5993p-22, 0x1.36dad20c8094ep-21, 0x1.bb61f387d462ep-21, 0x1.1e9c8a5ae4cc2p-20, 0x1.5e6c1b831e919p-20, 0x1.9d5308d5500a2p-20, 0x1.db0dc9b5f4d4ep-20, 0x1.0be7145f0462p-19, 0x1.29a62541e72acp-19, 0x1.470693f227731p-19, 0x1.638baaba46118p-19, 0x1.7fd0eaa9b478fp-19, 0x1.9b8d3bb38aa57p-19, 0x1.b687c50a91245p-19, 0x1.d0fd1fdcd3ac6p-19, 0x1.eb03ce7c7d523p-19, 0x1.0229a3b8b0a9fp-18, 0x1.0eb81ed872365p-18, 0x1.1adf2e1a2557p-18, 0x1.26cf68aba694ep-18, 0x1.322a034256994p-18, 0x1.3dc12e47ef044p-18, 0x1.48c122563c581p-18, 0x1.53a7aeeca8bf7p-18, 0x1.5e345228ad4fep-18, 0x1.6879c25727fe6p-18, 0x1.727efb96897a4p-18, 0x1.7c340fc1ff524p-18, 0x1.85ad528cf588bp-18, 0x1.8edb0d9e87118p-18, 0x1.97c3de21d26b9p-18, 0x1.a06c67bae3674p-18, 0x1.a8cbc9e963f71p-18, 0x1.b119358fe7af2p-18, 0x1.b8ac51b75cae7p-18, 0x1.c089f35ddc514p-18, 0x1.c7a00f7854a15p-18, 0x1.cedf2f350398bp-18, 0x1.d578f7af961a7p-18, 0x1.dc2d82b9b980ep-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c51668a86a748p-1, 0x1.c3dcd24e33148p-1, 0x1.c285be497c67p-1, 0x1.c111322365d7fp-1, 0x1.bf7f30c748251p-1, 0x1.bdcfbb215b203p-1, 0x1.bc02d0d047e51p-1, 0x1.ba1870e0213a7p-1, 0x1.b8109a8734f6p-1, 0x1.b5eb4ddec1247p-1, 0x1.b3a88c9328296p-1, 0x1.b1485a8872765p-1, 0x1.aecabe7101533p-1, 0x1.ac2fc25536108p-1, 0x1.a977740b76579p-1, 0x1.a6a1e5a08c7f2p-1, 0x1.a3af2db0bf27ap-1, 0x1.a09f67b24d9fp-1, 0x1.9d72b43230e8fp-1, 0x1.9a29390420813p-1, 0x1.96c32166edf1dp-1, 0x1.93409e1e5207cp-1, 0x1.8fa1e583412afp-1, 0x1.8be7338bd4e31p-1, 0x1.8810c9cbcd257p-1, 0x1.841eef6e9759dp-1, 0x1.8011f12bb9d97p-1, 0x1.7bea21366ea86p-1, 0x1.77a7d729222c1p-1, 0x1.734b6fed7da6fp-1, 0x1.6ed54da188ad1p-1, 0x1.6a45d77a65babp-1, 0x1.659d79a5153c4p-1, 0x1.60dca525a2de6p-1, 0x1.5c03cfb50974p-1, 0x1.5713739e18369p-1, 0x1.520c0f998e27ep-1, 0x1.4cee26a9a093fp-1, 0x1.47ba3ff50daf6p-1, 0x1.4270e6a1e0ecdp-1, 0x1.3d12a9affc2afp-1, 0x1.37a01bd37a2fp-1, 0x1.3219d34efa075p-1, 0x1.2c8069cdd90fdp-1, 0x1.26d47c3e66247p-1, 0x1.2116aaac0cb0fp-1, 0x1.1b4798197f17ep-1, 0x1.1567ea5ad8be6p-1, 0x1.0f7849efbdac9p-1, 0x1.097961dd6f9ffp-1, 0x1.036bdf88da51bp-1, 0x1.faa0e5211fd09p-2, 0x1.ee4f994d6f8c5p-2, 0x1.e1e542d5d2ac1p-2, 0x1.d5634c87e4c74p-2, 0x1.c8cb2473103f4p-2, 0x1.bc1e3b9bc60f1p-2, 0x1.af5e05ae868bep-2, 0x1.a28bf8b2c4526p-2, 0x1.95a98cbda2435p-2, 0x1.88b83ba490f3ap-2, 0x1.7bb980afd700ap-2, 0x1.6eaed84d0d847p-2, 0x1.6199bfc197b37p-2, 0x1.547bb4dd2abffp-2, 0x1.475635ac6bbb4p-2, 0x1.3a2ac02bba52ep-2, 0x1.2cfad1fa36ed6p-2, 0x1.1fc7e80d154dfp-2, 0x1.12937e63537e6p-2, 0x1.055f0fb9e4648p-2, 0x1.f0582a80cfea1p-3, 0x1.d5f80c9d04585p-3, 0x1.bba0b033d57a4p-3, 0x1.a154fada936bp-3, 0x1.8717ccbff60b3p-3, 0x1.6cec001d91886p-3, 0x1.52d468ab76ce5p-3, 0x1.38d3d3161dc96p-3, 0x1.1eed0476d70e6p-3, 0x1.0522b9ced59cbp-3, 0x1.d6ef4f0a38c16p-4, 0x1.a3dcf1ceb951ap-4, 0x1.71139f5bf2891p-4, 0x1.3e988706b32acp-4, 0x1.0c70c31d49b08p-4, 0x1.b542b008484adp-5, 0x1.525e66b3a5f97p-5, 0x1.e07cac8aba4d1p-6, 0x1.1dd7f3f165a85p-6, 0x1.7384d595462edp-8, -0x1.895593b297b12p-8, -0x1.1fba1b43ad51cp-6, -0x1.db3b9af778081p-6, -0x1.4a648080e555p-5, -0x1.a628ee324a899p-5, -0x1.00718c1b0df19p-4, -0x1.2d459db362226p-4, -0x1.598ce867d9343p-4, -0x1.8543c74be25f3p-4, -0x1.b066b46ca4c4bp-4, -0x1.daf24933c861p-4, -0x1.02719f607c1bep-3, -0x1.171b371d1da4ep-3, -0x1.2b74688986771p-3, -0x1.3f7bc0a52b9b2p-3, -0x1.532fdccfa92e3p-3, -0x1.668f6adeb1ce4p-3, -0x1.7999292f7dbdep-3, -0x1.8c4be6b3dc0b5p-3, -0x1.9ea682fad5e71p-3, -0x1.b0a7ee3511e6fp-3, -0x1.c24f2934f1edep-3, -0x1.d39b456a8a82cp-3, -0x1.e48b64db7e23fp-3, -0x1.f51eba16dc41dp-3, -0x1.02aa441286c6dp-2, -0x1.0a961139f9b7dp-2, -0x1.1252765f9ea35p-2, -0x1.19df2d7a92cb7p-2, -0x1.213bf88bce364p-2, -0x1.2868a18d01f25p-2, -0x1.2f64fa5dcaddep-2, -0x1.3630dcaf49368p-2, -0x1.3ccc29ee27ef7p-2, -0x1.4336cb2b23344p-2, -0x1.4970b102201eep-2, -0x1.4f79d37fdc3afp-2, -0x1.55523206501a2p-2, -0x1.5af9d32fc64bfp-2, -0x1.6070c4b0bee8bp-2, -0x1.65b71b38af156p-2, -0x1.6accf251a3886p-2, -0x1.6fb26c3ee0e4bp-2, -0x1.7467b1da83ac9p-2, -0x1.78ecf2723f77p-2, -0x1.7d4263a33901cp-2, -0x1.816841351ebf9p-2, -0x1.855eccf47a2bcp-2, -0x1.89264e8c5bbefp-2, -0x1.8cbf135f6187p-2, -0x1.90296e602fafbp-2, -0x1.9365b7e963c8ep-2, -0x1.96744d9514618p-2, -0x1.99559213ea293p-2, -0x1.9c09ed03dee88p-2, -0x1.9e91cac6b063cp-2, -0x1.a0ed9c5813073p-2, -0x1.a31dd723b5f4dp-2, -0x1.a522f4db1f0c8p-2, -0x1.a6fd734b6bafbp-2, -0x1.a8add4330999fp-2, -0x1.aa349d176991fp-2, -0x1.ab92571abd18ep-2, -0x1.acc78ed1ca87ap-2, -0x1.add4d419ddc32p-2, -0x1.aebab9eee5cbdp-2, -0x1.af79d641c4e1fp-2, -0x1.b012c1cedd5acp-2, -0x1.b08617f4e939fp-2, -0x1.b0d4768c1b3dfp-2, -0x1.b0fe7dbda1ff8p-2, -0x1.b104cfdb83782p-2, -0x1.b0e81138e67b9p-2, -0x1.b0a8e802cc586p-2, -0x1.b047fc1942f98p-2, -0x1.afc5f6e9137f5p-2, -0x1.af238345faf1cp-2, -0x1.ae614d456ad87p-2, -0x1.ad800219deeb7p-2, -0x1.ac804feec84c3p-2, -0x1.ab62e5c516318p-2, -0x1.aa287350614e6p-2, -0x1.a8d1a8d4bd06dp-2, -0x1.a75f37053268bp-2, -0x1.a5d1cee2ec61dp-2, -0x1.a42a219d12911p-2, -0x1.a268e0715e91p-2, -0x1.a08ebc8d66051p-2, -0x1.9e9c66f0a1c5p-2, -0x1.9c92904f34c8ap-2, -0x1.9a71e8f571137p-2, -0x1.983b20ac1f042p-2, -0x1.95eee69d8a1dap-2, -0x1.938de93b51f71p-2, -0x1.9118d62501f64p-2, -0x1.8e905a0f6f646p-2, -0x1.8bf520ace1d27p-2, -0x1.8947d49600855p-2, -0x1.86891f338c649p-2, -0x1.83b9a8a8dda02p-2, -0x1.80da17bf2eb88p-2, -0x1.7deb11d1aace4p-2, -0x1.7aed3aba463fbp-2, -0x1.77e134bf5c4f9p-2, -0x1.74c7a08210824p-2, -0x1.71a11ced77a67p-2, -0x1.6e6e4726809f6p-2, -0x1.6b2fba7c9cf03p-2, -0x1.67e6105b2ec05p-2, -0x1.6491e03baba23p-2, -0x1.6133bf98829ffp-2, -0x1.5dcc41e0b7ebep-2, -0x1.5a5bf86c37158p-2, -0x1.56e37270dc34bp-2, -0x1.53633cf82e518p-2, -0x1.4fdbe2d5c7863p-2, -0x1.4c4dec9e6e5e2p-2, -0x1.48b9e09fd503bp-2, -0x1.452042d901c1p-2, -0x1.418194f35bfd7p-2, -0x1.3dde563c5951dp-2, -0x1.3a37039fc880ap-2, -0x1.368c17a2ba51ap-2, -0x1.32de0a5efce25p-2, -0x1.2f2d517f31558p-2, -0x1.2b7a603b6d5dfp-2, -0x1.27c5a7566d7bcp-2, -0x1.240f951b50e25p-2, -0x1.2058955bdb111p-2, -0x1.1ca1116f3aafbp-2, -0x1.18e970314f14p-2, -0x1.15321602695d6p-2, -0x1.117b64c788b5bp-2, -0x1.0dc5bbeb087b1p-2, -0x1.0a11785dc3d6dp-2, -0x1.065ef498a5f66p-2, -0x1.02ae889ea2804p-2, -0x1.fe0113fe32b0fp-3, -0x1.f6aa97b139d2cp-3, -0x1.ef5a3db82a727p-3, -0x1.e810a2a086a0cp-3, -0x1.e0ce5e2b3d923p-3, -0x1.d994035505f31p-3, -0x1.d262205f6c8e5p-3, -0x1.cb393eda75d8dp-3, -0x1.c419e3aed96b5p-3, -0x1.bd048f28d142bp-3, -0x1.b5f9bd036eb3cp-3, -0x1.aef9e47478968p-3, -0x1.a8057838bcacbp-3, -0x1.a11ce6a0e417ap-3, -0x1.9a40999eb07aep-3, -0x1.9370f6d2a38d7p-3, -0x1.8cae5f9a11facp-3, -0x1.85f9311d8b96ap-3, -0x1.7f51c45fa533cp-3, -0x1.78b86e4c0d3e9p-3, -0x1.722d7fc6f4c9dp-3, -0x1.6bb145bcbd363p-3, -0x1.65440931e6f29p-3, -0x1.5ee60f534314cp-3, -0x1.589799865391bp-3, -0x1.5258e579ebaafp-3, -0x1.4c2a2d36ef265p-3, -0x1.460ba73149d06p-3, -0x1.3ffd8658ffa06p-3, -0x1.39fffa2b6471p-3, -0x1.34132ec46e1cdp-3, -0x1.2e374cf01750bp-3, -0x1.286c7a3be0472p-3, -0x1.22b2d90855aacp-3, -0x1.1d0a889aa74f1p-3, -0x1.1773a52e426d5p-3, -0x1.11ee480674ad6p-3, -0x1.0c7a87800743fp-3, -0x1.07187722de76dp-3, -0x1.01c827b38b0dcp-3, -0x1.f9134e89aebc8p-4, -0x1.eeba0292857e5p-4, -0x1.e4847d48dc105p-4, -0x1.da72cb78e7ad2p-4, -0x1.d084f5165cb2p-4, -0x1.c6bafd5eb59a3p-4, -0x1.bd14e2fb5f973p-4, -0x1.b392a0238bae2p-4, -0x1.aa342abdd9211p-4, -0x1.a0f97481aeecp-4, -0x1.97e26b1849c96p-4, -0x1.8eeef83d7eeb1p-4, -0x1.861f01e0341c2p-4, -0x1.7d726a42782fp-4, -0x1.74e9101949f84p-4, -0x1.6c82ceabff0e1p-4, -0x1.643f7df34eb3cp-4, -0x1.5c1ef2b7f87ddp-4, -0x1.5420feb107917p-4, -0x1.4c4570a1ad0a4p-4, -0x1.448c1476b2c1dp-4, -0x1.3cf4b3637f9c6p-4, -0x1.357f13feafff3p-4, -0x1.2e2afa5e3ccdcp-4, -0x1.26f8283330ef6p-4, -0x1.1fe65ce4ec4e5p-4, -0x1.18f555abf1529p-4, -0x1.1224cdac3b70ap-4, -0x1.0b747e0f21153p-4, -0x1.04e41e1cba11ap-4, -0x1.fce6c6a99fa0cp-5, -0x1.f044030ea143p-5, -0x1.e3df55d896ce7p-5, -0x1.d7b82076dcb4dp-5, -0x1.cbcdc18614465p-5, -0x1.c01f94fd34fffp-5, -0x1.b4acf459a5199p-5, -0x1.a97536ca57368p-5, -0x1.9e77b159f441bp-5, -0x1.93b3b7180b7b8p-5, -0x1.892899414b88ap-5, -0x1.7ed5a766c4286p-5, -0x1.74ba2f9434711p-5, -0x1.6ad57e756159fp-5, -0x1.6126df7a7b9bep-5, -0x1.57ad9cfb90af9p-5, -0x1.4e69005b0c314p-5, -0x1.455852274a03p-5, -0x1.3c7ada3b3ba4ep-5, -0x1.33cfdfde1e4bfp-5, -0x1.2b56a9e24d54dp-5, -0x1.230e7ec327379p-5, -0x1.1af6a4c210f38p-5, -0x1.130e62029413ep-5, -0x1.0b54fca59eb16p-5, -0x1.03c9bae3e0dd5p-5, -0x1.f8d7c64ea9a98p-6, -0x1.ea757847d0f8dp-6, -0x1.dc6b19dea5666p-6, -0x1.ceb73a302f4b9p-6, -0x1.c1586977740e4p-6, -0x1.b44d39383b813p-6, -0x1.a7943c6849cbap-6, -0x1.9b2c079702955p-6, -0x1.8f13311382d68p-6, -0x1.8348511140123p-6, -0x1.77ca01cb24895p-6, -0x1.6c96dfa539fe1p-6, -0x1.61ad894ce19fep-6, -0x1.570c9fd7a94e3p-6, -0x1.4cb2c6e0bb627p-6, -0x1.429ea4a4f172ep-6, -0x1.38cee21d9a3c8p-6, -0x1.2f422b19e827ap-6, -0x1.25f72e57226eep-6, -0x1.1cec9d978da75p-6, -0x1.14212db8222d7p-6, -0x1.0b9396c50a23p-6, -0x1.0342940cf7dfep-6, -0x1.f659c866a844p-7, -0x1.e6a29282a1506p-7, -0x1.d75d116bbe6bfp-7, -0x1.c886d7293bcb2p-7, -0x1.ba1d7ce75dd9cp-7, -0x1.ac1ea31132c82p-7, -0x1.9e87f16845bc7p-7, -0x1.9157171a6c793p-7, -0x1.8489cad5b248p-7, -0x1.781dcada76af2p-7, -0x1.6c10dd0bb8e6fp-7, -0x1.6060cefdb4a75p-7, -0x1.550b7602cc13fp-7, -0x1.4a0eaf36cfab7p-7, -0x1.3f685f88b5644p-7, -0x1.351673c2c5dcdp-7, -0x1.2b16e09149314p-7, -0x1.2167a287c7de8p-7, -0x1.1806be24e4a06p-7, -0x1.0ef23fd4dc5ffp-7, -0x1.06283bf2b94aep-7, -0x1.fb4d9d90834f3p-8, -0x1.ead83919601ccp-8, -0x1.daeca2c47ca14p-8, -0x1.cb8742a51c595p-8, -0x1.bca49093f5d93p-8, -0x1.ae411423babbep-8, -0x1.a059649399f09p-8, -0x1.92ea28bfd25a6p-8, -0x1.85f01710641dfp-8, -0x1.7967f565f9613p-8, -0x1.6d4e9905195ap-8, -0x1.61a0e67fb17d6p-8, -0x1.565bd19d11cd8p-8, -0x1.4b7c5d4064706p-8, -0x1.40ff9b4db833bp-8, -0x1.36e2ac8dadc13p-8, -0x1.2d22c08fd54e3p-8, -0x1.23bd158bd34b9p-8, -0x1.1aaef84155ef3p-8, -0x1.11f5c3d6efdbfp-8, -0x1.098ee1b7e449cp-8, -0x1.0177c970f6facp-8, -0x1.f35c011893acdp-9, -0x1.e45e34d8ba8eep-9, -0x1.d5f1704c716b3p-9, -0x1.c81110b5a4602p-9, -0x1.bab88e1f74228p-9, -0x1.ade37b0e3ca09p-9, -0x1.a18d842e57626p-9, -0x1.95b27001c07ffp-9, -0x1.8a4e1e8ca7bedp-9, -0x1.7f5c89010f9e6p-9, -0x1.74d9c1698a156p-9, -0x1.6ac1f2532fb79p-9, -0x1.61115e76dbf4bp-9, -0x1.57c46061cf182p-9, -0x1.4ed76a1dc0bb1p-9, -0x1.464704d87a4e4p-9, -0x1.3e0fd08b0dff2p-9, -0x1.362e83a0b1da6p-9, -0x1.2e9fea9d64537p-9, -0x1.2760e7c4524eep-9, -0x1.206e72be27385p-9, -0x1.19c5983f42134p-9, -0x1.136379adf02cap-9, -0x1.0d454cc8ac4d5p-9, -0x1.07685b4c80d4p-9, -0x1.01ca029b8b05ap-9, -0x1.f8cf66c76b126p-10, -0x1.ee7de28b6ce34p-10, -0x1.e49aa4f8b28d5p-10, -0x1.db20ff0842e0cp-10, -0x1.d20c6586a86fp-10, -0x1.c9587064dc98p-10, -0x1.c100da0a2a49bp-10, -0x1.b9017ea714d4fp-10, -0x1.b1565b8954db3p-10, -0x1.a9fb8e71053aap-10, -0x1.a2ed54e702388p-10, -0x1.9c280b949dd1ep-10, -0x1.95a82d9ca8115p-10, -0x1.8f6a53f5dd6e8p-10, -0x1.896b34c6d51bbp-10, -0x1.83a7a2c36880ep-10, -0x1.7e1c8c8baee9ap-10, -0x1.78c6fc0c9546bp-10, -0x1.73a415e219e68p-10, -0x1.6eb118bb3644ap-10, -0x1.69eb5cbf82345p-10, -0x1.655052f6a268bp-10, -0x1.60dd84b16f37p-10, -0x1.5c9092f4ff7cp-10, -0x1.586735e77edfap-10, -0x1.545f3c3eecbbdp-10, -0x1.50768ab1b9867p-10, -0x1.4cab1b69539f5p-10, -0x1.48fafd769de38p-10, -0x1.4564544860e7bp-10, -0x1.41e55723aa77cp-10, -0x1.3e7c509e35411p-10, -0x1.3b279e1abc81p-10, -0x1.37e5af475fcp-10, -0x1.34b5059e02542p-10, -0x1.319433e6aa0c8p-10, -0x1.2e81ddbbea87bp-10, -0x1.2b7cb71154344p-10, -0x1.288383bbe6fa3p-10, -0x1.259516fc89ae6p-10, -0x1.22b0530c9071fp-10, -0x1.1fd428ac4119ap-10, -0x1.1cff96b35b3f5p-10, -0x1.1a31a9a3a87d2p-10, -0x1.17697b3d8e123p-10, -0x1.14a63216992f2p-10, -0x1.11e70132124c3p-10, -0x1.0f2b279b84664p-10, -0x1.0c71f0034243dp-10, -0x1.09bab05cde803p-10, -0x1.0704c97f9bfe2p-10, -0x1.044fa6c8c9eb1p-10, -0x1.019abdc00f627p-10, -0x1.fdcb1b7b3f685p-11, -0x1.f85f3f24a730bp-11, -0x1.f2f10a6349379p-11, -0x1.ed7fb2bb0abcbp-11, -0x1.e80a7ea826f76p-11, -0x1.e290c4fe39a09p-11, -0x1.dd11ec4aed82dp-11, -0x1.d78d6a3c3db76p-11, -0x1.d202c30a46327p-11, -0x1.cc7188e497391p-11, -0x1.c6d95b63012e1p-11, -0x1.c139e6f9cecb6p-11, -0x1.bb92e47165011p-11, -0x1.b5e418613a498p-11, -0x1.b02d52ae1f5edp-11, -0x1.aa6e6e0bc8a74p-11, -0x1.a4a74f81927ep-11, -0x1.9ed7e5f2730f7p-11, -0x1.990029a80c0c1p-11, -0x1.93201be0d61dep-11, -0x1.8d37c66155b01p-11, -0x1.87473b084f93bp-11, -0x1.814e9365f3261p-11, -0x1.7b4df055eae1cp-11, -0x1.7545799c4b79bp-11, -0x1.6f355d85522d2p-11, -0x1.691dd087ea745p-11, -0x1.62ff0ceaeacddp-11, -0x1.5cd9526d013fdp-11, -0x1.56ace5ef403bbp-11, -0x1.507a11224189fp-11, -0x1.4a412235d6012p-11, -0x1.44026b8b30061p-11, -0x1.3dbe436983a5ep-11, -0x1.377503b50d34p-11, -0x1.312709a874117p-11, -0x1.2ad4b5907ba56p-11, -0x1.247e6a89fb1a8p-11, -0x1.1e248e420db0ap-11, -0x1.17c788b86f3fbp-11, -0x1.1167c403fd45p-11, -0x1.0b05ac194dd75p-11, -0x1.04a1ae935298fp-11, -0x1.fc7874fbfbf42p-12, -0x1.efab8045b934ep-12, -0x1.e2dd61af36ba4p-12, -0x1.d60efd9cd9559p-12, -0x1.c94139d08835ap-12, -0x1.bc74fd11bb68p-12, -0x1.afab2ed906f77p-12, -0x1.a2e4b6ff18bf1p-12, -0x1.96227d6f09defp-12, -0x1.896569dbf4f5p-12, -0x1.7cae6379be317p-12, -0x1.6ffe50b8f2b27p-12, -0x1.63561705b5b4p-12, -0x1.56b69a899ebf3p-12, -0x1.4a20bdf07b584p-12, -0x1.3d95622fdfe55p-12, -0x1.3115665175cbap-12, -0x1.24a1a73ff20acp-12, -0x1.183aff96a6d3dp-12, -0x1.0be2477397575p-12, -0x1.ff30a8980ef61p-13, -0x1.e6bbf186cfe52p-13, -0x1.ce680909338acp-13, -0x1.b636883ae3af5p-13, -0x1.9e2901b8e266dp-13, -0x1.8641016133806p-13, -0x1.6e800c16b1503p-13, -0x1.56e79f88e0b1p-13, -0x1.3f7931ffae9fdp-13, -0x1.2836322af0b56p-13, -0x1.112006f58f47p-13, -0x1.f4701eb878b3ep-14, -0x1.c6ff448f36fd8p-14, -0x1.99f01cd378a12p-14, -0x1.6d45343d8fc66p-14, -0x1.410106a1a6275p-14, -0x1.1525febd5aef3p-14, -0x1.d36cec166a2fep-15, -0x1.7d696937630c8p-15, -0x1.2845e1e77e47ep-15, -0x1.a80d3fc1ce956p-16, -0x1.015f92bf30798p-16, -0x1.722b07e4a30bdp-18, 0x1.19a5d36c23401p-18, 0x1.ceeb3753725bbp-17, 0x1.869284144f363p-16, 0x1.11dca3ba082b6p-15, 0x1.5f71a3667b598p-15, 0x1.ac0515588f89fp-15, 0x1.f793f18abf39ap-15, 0x1.210da9c61d60cp-14, 0x1.45cc3d2eb7d2p-14, 0x1.6a0464230ab95p-14, 0x1.8db4e15284b75p-14, 0x1.b0dc88dd2219ap-14, 0x1.d37a403592c94p-14, 0x1.f58cfe00b350dp-14, 0x1.0b89e4f93b42dp-13, 0x1.1c06de542eddbp-13, 0x1.2c3cffc0cf9afp-13, 0x1.3c2be63a91c87p-13, 0x1.4bd336f2b35c6p-13, 0x1.5b329f3933d86p-13, 0x1.6a49d464dbaefp-13, 0x1.791893ba69aebp-13, 0x1.879ea252e58eap-13, 0x1.95dbcd013385dp-13, 0x1.a3cfe836ee56fp-13, 0x1.b17acfe891b7ep-13, 0x1.bedc677102982p-13, 0x1.cbf4997488306p-13, 0x1.d8c357c3340dep-13, 0x1.e5489b3acceaep-13, 0x1.f18463a84555p-13, 0x1.fd76b7a8c63e9p-13, 0x1.048fd2452acap-12, 0x1.0a3f9f1615e0cp-12, 0x1.0fcacf6f595ffp-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c8fdce5cf1d4ep-1, 0x1.c894ebde826dfp-1, 0x1.c82227fa0d0c8p-1, 0x1.c7a585e18efa5p-1, 0x1.c71f0829beb54p-1, 0x1.c68eb0d6f93ebp-1, 0x1.c5f4816fe6352p-1, 0x1.c5507b144b4b5p-1, 0x1.c4a29e96bb94cp-1, 0x1.c3eaec9805716p-1, 0x1.c32965a36ef68p-1, 0x1.c25e0a4b00326p-1, 0x1.c188db43438e2p-1, 0x1.c0a9d97e00b9dp-1, 0x1.bfc106439f01bp-1, 0x1.bece634aeae2p-1, 0x1.bdd1f2cf193e4p-1, 0x1.bccbb7a3ea8d4p-1, 0x1.bbbbb547e9cabp-1, 0x1.baa1eff4c2919p-1, 0x1.b97e6cadb9959p-1, 0x1.b851314c59bc7p-1, 0x1.b71a448b676e9p-1, 0x1.b5d9ae1033307p-1, 0x1.b48f767267e35p-1, 0x1.b33ba7426b8bcp-1, 0x1.b1de4b0e72f0dp-1, 0x1.b0776d6660b58p-1, 0x1.af071ade8ac0ep-1, 0x1.ad8d611180ff9p-1, 0x1.ac0a4ea0ec97ap-1, 0x1.aa7df3359f4cfp-1, 0x1.a8e85f7ee7523p-1, 0x1.a749a5313d136p-1, 0x1.a5a1d7045c205p-1, 0x1.a3f108b0d7edcp-1, 0x1.a2374eed3b297p-1, 0x1.a074bf6ac13d2p-1, 0x1.9ea970d1b375dp-1, 0x1.9cd57abd7700fp-1, 0x1.9af8f5b854fbap-1, 0x1.9913fb37056p-1, 0x1.9726a59402c03p-1, 0x1.9531100ab07cep-1, 0x1.933356b2584c8p-1, 0x1.912d967901477p-1, 0x1.8f1fed1e2a5dap-1, 0x1.8d0a792d671c4p-1, 0x1.8aed59f8e40abp-1, 0x1.88c8af93d5ebbp-1, 0x1.869c9accd5dbdp-1, 0x1.84693d282abfep-1, 0x1.822eb8da05108p-1, 0x1.7fed30c0aa5fep-1, 0x1.7da4c85e95708p-1, 0x1.7b55a3d48a6bap-1, 0x1.78ffe7db9ec76p-1, 0x1.76a3b9bf38d19p-1, 0x1.74413f5705555p-1, 0x1.71d89f00e35bap-1, 0x1.6f69ff9ac919fp-1, 0x1.6cf5887ca210fp-1, 0x1.6a7b6172237cep-1, 0x1.67fbb2b49e23ap-1, 0x1.6576a4e4c7c6ap-1, 0x1.62ec61048067dp-1, 0x1.605d10709441dp-1, 0x1.5dc8dcda7840bp-1, 0x1.5b2ff04205618p-1, 0x1.589274ef316e5p-1, 0x1.55f0956bc62fcp-1, 0x1.534a7c7d189eep-1, 0x1.50a0551dc169p-1, 0x1.4df24a77561bcp-1, 0x1.4b4087dc25d6ap-1, 0x1.488b38c0f7f6bp-1, 0x1.45d288b6d355ep-1, 0x1.4316a364c6a3ep-1, 0x1.4057b481bbbddp-1, 0x1.3d95e7ce50f58p-1, 0x1.3ad1690ebd904p-1, 0x1.380a6404bf115p-1, 0x1.35410469937d5p-1, 0x1.327575e80140cp-1, 0x1.2fa7e4166b2e1p-1, 0x1.2cd87a70f72d1p-1, 0x1.2a076453c21cp-1, 0x1.2734ccf528cdp-1, 0x1.2460df6021493p-1, 0x1.218bc66eaaf2ap-1, 0x1.1eb5acc4518fdp-1, 0x1.1bdebcc8c8bf4p-1, 0x1.190720a29d698p-1, 0x1.162f0232015d4p-1, 0x1.13568b0baf1cep-1, 0x1.107de473e8efdp-1, 0x1.0da5375993712p-1, 0x1.0accac516c0b9p-1, 0x1.07f46b915e772p-1, 0x1.051c9cebf4d25p-1, 0x1.024567cbeab24p-1, 0x1.fedde65fb841p-2, 0x1.f932cb4c2f8fbp-2, 0x1.f389ca911e82dp-2, 0x1.ede32f71d6746p-2, 0x1.e83f44397f66dp-2, 0x1.e29e5233c7c56p-2, 0x1.dd00a1a5d76edp-2, 0x1.d76679c78a704p-2, 0x1.d1d020bcf4518p-2, 0x1.cc3ddb90278c6p-2, 0x1.c6afee2b46e7dp-2, 0x1.c1269b52e045p-2, 0x1.bba224a08c794p-2, 0x1.b622ca7ddd711p-2, 0x1.b0a8cc1f8e4b5p-2, 0x1.ab346781029f6p-2, 0x1.a5c5d9600a5e2p-2, 0x1.a05d5d38f078ap-2, 0x1.9afb2d42d0548p-2, 0x1.959f826c33d28p-2, 0x1.904a9457f9051p-2, 0x1.8afc995a7eb59p-2, 0x1.85b5c67716673p-2, 0x1.80764f5dbe099p-2, 0x1.7b3e66691c14fp-2, 0x1.760e3c9cc2e5bp-2, 0x1.70e601a3b59f8p-2, 0x1.6bc5e3cf2e286p-2, 0x1.66ae1015a911p-2, 0x1.619eb2122d4dcp-2, 0x1.5c97f403d6584p-2, 0x1.5799fecd9c54ep-2, 0x1.52a4f9f65807ap-2, 0x1.4db90ba9037b3p-2, 0x1.48d658b536e86p-2, 0x1.43fd048fdc975p-2, 0x1.3f2d315420209p-2, 0x1.3a66ffc48fd14p-2, 0x1.35aa8f4c79df9p-2, 0x1.30f7fe01775cap-2, 0x1.2c4f68a52f719p-2, 0x1.27b0eaa747795p-2, 0x1.231c9e27861e7p-2, 0x1.1e929bf823554p-2, 0x1.1a12fba044c19p-2, 0x1.159dd35ea8bbp-2, 0x1.1133382c75d1fp-2, 0x1.0cd33dc037316p-2, 0x1.087df69100247p-2, 0x1.043373d9b179ep-2, 0x1.ffe78b38c974ap-3, 0x1.f77df54bf7bdcp-3, 0x1.ef2a41239d006p-3, 0x1.e6ec879af1c47p-3, 0x1.dec4df398ba88p-3, 0x1.d6b35c3b75bddp-3, 0x1.ceb810996f985p-3, 0x1.c6d30c116c94ep-3, 0x1.bf045c2f3c767p-3, 0x1.b74c0c5560e03p-3, 0x1.afaa25c6124edp-3, 0x1.a81eafac667ebp-3, 0x1.a0a9af259d866p-3, 0x1.994b274a96859p-3, 0x1.920319395c148p-3, 0x1.8ad1841ed05dbp-3, 0x1.83b66540739abp-3, 0x1.7cb1b80644f4bp-3, 0x1.75c37604b096bp-3, 0x1.6eeb970699043p-3, 0x1.682a11176bdf4p-3, 0x1.617ed88d44c17p-3, 0x1.5ae9e0131d467p-3, 0x1.546b18b304205p-3, 0x1.4e0271e05c15ep-3, 0x1.47afd982220b3p-3, 0x1.41733bfd2f84cp-3, 0x1.3b4c843e87b93p-3, 0x1.353b9bc597712p-3, 0x1.2f406aae7b0f3p-3, 0x1.295ad7bc3caddp-3, 0x1.238ac86307ae7p-3, 0x1.1dd020d259a54p-3, 0x1.182ac3ff228ebp-3, 0x1.129a93adddfb7p-3, 0x1.0d1f707c9d486p-3, 0x1.07b939ecfe7c5p-3, 0x1.0267ce6e17b6dp-3, 0x1.fa5616cca04bep-4, 0x1.f0059a7a3ef37p-4, 0x1.e5dddec9820f2p-4, 0x1.dbde98c7958e8p-4, 0x1.d2077bbd59215p-4, 0x1.c858394239c09p-4, 0x1.bed0814ecda55p-4, 0x1.b570024f39b68p-4, 0x1.ac3669356afb6p-4, 0x1.a323618b0d347p-4, 0x1.9a36958345a46p-4, 0x1.916fae0c3a79fp-4, 0x1.88ce52e0559e4p-4, 0x1.80522a974801p-4, 0x1.77fadab6ce16cp-4, 0x1.6fc807c331d79p-4, 0x1.67b9554f87f49p-4, 0x1.5fce660daae85p-4, 0x1.5806dbddee3ffp-4, 0x1.506257de8d489p-4, 0x1.48e07a7ad0e7fp-4, 0x1.4180e379f0247p-4, 0x1.3a43320da4db1p-4, 0x1.332704e079359p-4, 0x1.2c2bfa23cb6aap-4, 0x1.2551af9d868c5p-4, 0x1.1e97c2b591ce4p-4, 0x1.17fdd082f3718p-4, 0x1.118375d8aaaebp-4, 0x1.0b284f523cbf8p-4, 0x1.04ebf95ff832p-4, 0x1.fd9c20a5d65cap-5, 0x1.f19c60d1200c3p-5, 0x1.e5d7ebac5c3cdp-5, 0x1.da4df9a7df774p-5, 0x1.cefdc34f5902fp-5, 0x1.c3e6815ed5e2ep-5, 0x1.b9076cd72ce16p-5, 0x1.ae5fbf11d6d54p-5, 0x1.a3eeb1d435f21p-5, 0x1.99b37f6249abap-5, 0x1.8fad6290d149ep-5, 0x1.85db96d6dffdap-5, 0x1.7c3d585ee1c26p-5, 0x1.72d1e417110bfp-5, 0x1.699877c163975p-5, 0x1.60905202e96f2p-5, 0x1.57b8b272a36d8p-5, 0x1.4f10d9a7d2fb3p-5, 0x1.46980947c1a5cp-5, 0x1.3e4d841305785p-5, 0x1.36308df241639p-5, 0x1.2e406c0264854p-5, 0x1.267c64a06b1ffp-5, 0x1.1ee3bf749dbep-5, 0x1.1775c57d5a76bp-5, 0x1.1031c1195ed52p-5, 0x1.0916fe119be1p-5, 0x1.0224c9a294a37p-5, 0x1.f6b4e50a8b7ecp-6, 0x1.e96e91ef3bb69p-6, 0x1.dc753d8905fabp-6, 0x1.cfc78e96d7c6ep-6, 0x1.c3642f0f17298p-6, 0x1.b749cc2d299c4p-6, 0x1.ab77167e221ffp-6, 0x1.9feac1ecb0a63p-6, 0x1.94a385cc3cf6bp-6, 0x1.89a01ce345b2cp-6, 0x1.7edf4574fd20bp-6, 0x1.745fc14a2d99bp-6, 0x1.6a2055b96160dp-6, 0x1.601fcbae5ec77p-6, 0x1.565cefb0f0e04p-6, 0x1.4cd691eb08b87p-6, 0x1.438b862e37caep-6, 0x1.3a7aa3f887315p-6, 0x1.31a2c678b1ea2p-6, 0x1.2902cc91c93aep-6, 0x1.209998de3b73p-6, 0x1.186611b25392bp-6, 0x1.1067211e225aep-6, 0x1.089bb4eee47a7p-6, 0x1.0102beafdf83ap-6, 0x1.f336675581d6fp-7, 0x1.e4c819cef9ed8p-7, 0x1.d6b88e57693dap-7, 0x1.c905c5f35184ap-7, 0x1.bbadc91d6cd42p-7, 0x1.aeaea7c2d2ffdp-7, 0x1.a206793e49202p-7, 0x1.95b35c52b6effp-7, 0x1.89b37724f076ep-7, 0x1.7e04f734a156dp-7, 0x1.72a6115499101p-7, 0x1.679501a259475p-7, 0x1.5cd00b7cff619p-7, 0x1.5255797b826cbp-7, 0x1.48239d6262e3cp-7, 0x1.3e38d018b28bfp-7, 0x1.3493719c9b1fcp-7, 0x1.2b31e8f75133bp-7, 0x1.2212a43089494p-7, 0x1.193418416b8b8p-7, 0x1.1094c107134bdp-7, 0x1.083321349942ap-7, 0x1.000dc244b48a9p-7, 0x1.f04668d5e53c8p-8, 0x1.e0e41d0920f57p-8, 0x1.d1f1dc11ec0ccp-8, 0x1.c36cedf3b8a5cp-8, 0x1.b552a7a6423bbp-8, 0x1.a7a06af49f74dp-8, 0x1.9a53a65bc0777p-8, 0x1.8d69d4e86a5b9p-8, 0x1.80e07e14b5ec2p-8, 0x1.74b535a51b8f8p-8, 0x1.68e59b8511faap-8, 0x1.5d6f5ba34f705p-8, 0x1.52502dcdadd61p-8, 0x1.4785d58cbe903p-8, 0x1.3d0e21ff17272p-8, 0x1.32e6edb45867p-8, 0x1.290e1e87fe9bbp-8, 0x1.1f81a57bfce24p-8, 0x1.163f7e932e412p-8, 0x1.0d45b0aba0799p-8, 0x1.04924d58c101cp-8, 0x1.f846e17ae4261p-9, 0x1.e7ee82cc1e385p-9, 0x1.d817e044c5b18p-9, 0x1.c8bf6fbf3650cp-9, 0x1.b9e1bb047399bp-9, 0x1.ab7b5f8018f48p-9, 0x1.9d890df45b40dp-9, 0x1.90078a2e2de0dp-9, 0x1.82f3aab98e0b1p-9, 0x1.764a5895ff179p-9, 0x1.6a088eeb46f8dp-9, 0x1.5e2b5abe6b73p-9, 0x1.52afdaa6fac1fp-9, 0x1.47933e84adc1ep-9, 0x1.3cd2c7356159fp-9, 0x1.326bc64b741adp-9, 0x1.285b9dc493e4dp-9, 0x1.1e9fbfc0f5634p-9, 0x1.1535ae3b0881bp-9, 0x1.0c1afabfa82ap-9, 0x1.034d4626cffe4p-9, 0x1.f5948099b5bd1p-10, 0x1.e51f4f989c563p-10, 0x1.d5369370734b3p-10, 0x1.c5d602ae67a3bp-10, 0x1.b6f96fbdd5ea9p-10, 0x1.a89cc860bbb14p-10, 0x1.9abc152971d61p-10, 0x1.8d5378f5ae6e4p-10, 0x1.805f306af0197p-10, 0x1.73db91743338ap-10, 0x1.67c50ac12172ep-10, 0x1.5c1823469e413p-10, 0x1.50d179c0c946dp-10, 0x1.45edc4366e94bp-10, 0x1.3b69cf7dffdd1p-10, 0x1.31427ec3f7111p-10, 0x1.2774cb12c8b04p-10, 0x1.1dfdc2dc52a5cp-10, 0x1.14da8984d9b76p-10, 0x1.0c0856ef8381fp-10, 0x1.0384770c7025p-10, 0x1.f69892d09915ep-11, 0x1.e6ba817b08fa8p-11, 0x1.d769c50dfb8a8p-11, 0x1.c8a18d28cf008p-11, 0x1.ba5d2d403704ap-11, 0x1.ac981bcd26f11p-11, 0x1.9f4df17ee1c87p-11, 0x1.927a687031e4ap-11, 0x1.86195b5fc61d7p-11, 0x1.7a26c4ebb3ba8p-11, 0x1.6e9ebed01d69cp-11, 0x1.637d8128fa0cep-11, 0x1.58bf61b6fcf12p-11, 0x1.4e60d32799238p-11, 0x1.445e64601f341p-11, 0x1.3ab4bfcbf0747p-11, 0x1.3160aaadc5716p-11, 0x1.285f047401cb9p-11, 0x1.1facc61011d69p-11, 0x1.17470150ce28fp-11, 0x1.0f2ae03fdcc93p-11, 0x1.0755a4820f10ap-11, 0x1.ff894d7568c6p-12, 0x1.f0eaabe3b2cacp-12, 0x1.e2ca6dfae84fdp-12, 0x1.d523c7daddb2bp-12, 0x1.c7f216f52447cp-12, 0x1.bb30e0f086fdp-12, 0x1.aedbd2922161cp-12, 0x1.a2eebeac0b394p-12, 0x1.97659d1180b98p-12, 0x1.8c3c89907d8dfp-12, 0x1.816fc2f0bada5p-12, 0x1.76fba9f7fe3bp-12, 0x1.6cdcc073b1334p-12, 0x1.630fa847a8b82p-12, 0x1.5991228210af1p-12, 0x1.505e0e746d6ap-12, 0x1.477368d19fc3bp-12, 0x1.3ece4ad0db323p-12, 0x1.366be9557e0c4p-12, 0x1.2e49941bbe7f1p-12, 0x1.2664b4ea12888p-12, 0x1.1ebacec74ca81p-12, 0x1.17497d3555db1p-12, 0x1.100e7370726cbp-12, 0x1.09077bb307b2ep-12, 0x1.0232767dc8974p-12, 0x1.f71ab3c87fd78p-13, 0x1.ea2c61bb43249p-13, 0x1.dd963533a2b4cp-13, 0x1.d15493b52c402p-13, 0x1.c56408a1b5fdep-13, 0x1.b9c143fbf431ep-13, 0x1.ae691931eda2dp-13, 0x1.a3587def395b9p-13, 0x1.988c88f6d7c83p-13, 0x1.8e027104935cep-13, 0x1.83b78bb5b823bp-13, 0x1.79a94c790d7a5p-13, 0x1.6fd54385e6c26p-13, 0x1.66391cda32b42p-13, 0x1.5cd29f3f60c9dp-13, 0x1.539fab5600d87p-13, 0x1.4a9e3aa7f7018p-13, 0x1.41cc5ec1302bep-13, 0x1.3928404ea2c73p-13, 0x1.30b01e439023p-13, 0x1.28624d04ddd29p-13, 0x1.203d359a64e1bp-13, 0x1.183f54e61bd6ap-13, 0x1.10673ae104148p-13, 0x1.08b389ddacafp-13, 0x1.0122f5d038ac5p-13, 0x1.f3688737925aep-14, 0x1.e4cc90ca5d56ap-14, 0x1.d66fd1d571804p-14, 0x1.c85031c241c4dp-14, 0x1.ba6bb4aaacd8ep-14, 0x1.acc07a2654461p-14, 0x1.9f4cbc215077bp-14, 0x1.920ecdbc31eb8p-14, 0x1.85051a34f5d1ap-14, 0x1.782e23d8d680dp-14, 0x1.6b8882feb37aap-14, 0x1.5f12e509e19cap-14, 0x1.52cc0b7533954p-14, 0x1.46b2cae6037c2p-14, 0x1.3ac60a471222dp-14, 0x1.2f04c1eb0729p-14, 0x1.236dfab6649bcp-14, 0x1.1800cd50bf49fp-14, 0x1.0cbc615d0bb48p-14, 0x1.019fecb8d5cf5p-14, 0x1.ed5565846359ap-15, 0x1.d7b807487fee7p-15, 0x1.c26677542848fp-15, 0x1.ad5f852fae8dep-15, 0x1.98a21613f5fbap-15, 0x1.842d23b4aa7cdp-15, 0x1.6fffbb15f5fb6p-15, 0x1.5c18fb6d67cb5p-15, 0x1.4878150dbffd7p-15, 0x1.351c485d5124bp-15, 0x1.2204e4d6b022bp-15, 0x1.0f314813659a3p-15, 0x1.f941b9c0be2ffp-16, 0x1.d4a634b7a2d15p-16, 0x1.b08f0638a095ep-16, 0x1.8cfb48c19ef42p-16, 0x1.69ea2a92a1122p-16, 0x1.475aec2ff8b07p-16, 0x1.254cdef4c5efcp-16, 0x1.03bf63b558946p-16, 0x1.c563d2e1daeffp-17, 0x1.8447d8249fa92p-17, 0x1.4429e67de9d3ep-17, 0x1.05092268277e4p-17, 0x1.8dc986c5425aep-18, 0x1.137823c233e37p-18, 0x1.363995538436cp-19, 0x1.25b224e89fc66p-21, -0x1.3ef23a443b65ep-20, -0x1.84797775fc958p-19, -0x1.32cb3f9a5b2p-18, -0x1.a16909cf165ep-18, -0x1.070b7fde657e7p-17, -0x1.3c6aff9fea641p-17, -0x1.70d3709dc2beep-17, -0x1.a4453e0167bbep-17, -0x1.d6c0d2ce5d90ap-17, -0x1.04234d7976e81p-16, -0x1.1c6b82240ce93p-16, -0x1.34393fc09caa8p-16, -0x1.4b8cc08602b91p-16, -0x1.626640f0c6a68p-16, -0x1.78c6002451912p-16, -0x1.8eac40452f684p-16, -0x1.a41946cc9603dp-16, -0x1.b90d5cd57b8dep-16, -0x1.cd88cf6375e44p-16, -0x1.e18befa3abb9bp-16, -0x1.f517132807bccp-16, -0x1.04154a0e7cb75p-15, -0x1.0d6368bcf5a59p-15, -0x1.167617965be0ap-15, -0x1.1f4d8b20224f9p-15, -0x1.27e9fa7f450e2p-15, -0x1.304b9f87129c7p-15, -0x1.3872b6c5debfdp-15, -0x1.405f7f8fad22p-15, -0x1.48123c06f3c02p-15, -0x1.4f8b31238502ap-15, -0x1.56caa6b7bdf5dp-15, -0x1.5dd0e77409ed7p-15, -0x1.649e40e8cf645p-15, -0x1.6b330386e0655p-15, -0x1.718f829e7c8abp-15, -0x1.77b4145cf7abcp-15, -0x1.7da111c91b34p-15, -0x1.8356d6be4fd3ap-15, -0x1.88d5c1e6a5e0ap-15, -0x1.8e1e34b3c50ddp-15, -0x1.93309356dbf79p-15, -0x1.980d44b799f9p-15, -0x1.9cb4b26a426c3p-15, -0x1.a12748a4ec104p-15, -0x1.a5657633f3126p-15, -0x1.a96fac6db3b48p-15, -0x1.ad465f25940c4p-15, -0x1.b0ea049e6ba17p-15, -0x1.b45b157c56f85p-15, -0x1.b79a0cb5fdep-15, -0x1.baa767855f419p-15, -0x1.bd83a5582213dp-15, -0x1.c02f47bf8339fp-15, -0x1.c2aad25fde818p-15, -0x1.c4f6cadfe2991p-15, -0x1.c713b8d779012p-15, -0x1.c90225be692d1p-15, -0x1.cac29cdabd4fp-15, -0x1.cc55ab2ef738fp-15, -0x1.cdbbdf6816c3ep-15, -0x1.cef5c9cb7bd2ep-15, -0x1.d003fc24abe01p-15, -0x1.d0e709b3001e5p-15, -0x1.d19f87174478dp-15, -0x1.d22e0a414b684p-15, -0x1.d2932a5d7ff98p-15, -0x1.d2cf7fc27664bp-15, -0x1.d2e3a3de8772ap-15, -0x1.d2d03125754p-15, -0x1.d295c2fe23d25p-15, -0x1.d234f5b064c46p-15, -0x1.d1ae6652df0d9p-15, -0x1.d102b2b914b03p-15, -0x1.d03279618afe3p-15, -0x1.cf3e59641856ep-15, -0x1.ce26f2605b525p-15, -0x1.ccece46c60c47p-15, -0x1.cb90d003766c1p-15, -0x1.ca1355f534c22p-15, -0x1.c8751754ba816p-15, -0x1.c6b6b568222f5p-15, -0x1.c4d8d1983488ap-15, -0x1.c2dc0d60526a2p-15, -0x1.c0c10a3ea3e5dp-15, -0x1.be8869a4843c1p-15, -0x1.bc32cce731909p-15, -0x1.b9c0d530c0b7p-15, -0x1.b733237157facp-15, -0x1.b48a5850b0df7p-15, -0x1.b1c7141fdf0f6p-15, -0x1.aee9f6cb668cdp-15, -0x1.abf39fcd97c8bp-15, -0x1.a8e4ae2138778p-15, -0x1.a5bdc03479231p-15, -0x1.a27f73dc3833dp-15, -0x1.9f2a66478ed4bp-15, -0x1.9bbf33f3b1122p-15, -0x1.983e78a017d41p-15, -0x1.94a8cf42fa785p-15, -0x1.90fed1fe1920dp-15, -0x1.8d411a13d3076p-15, -0x1.89703fdc8d85fp-15, -0x1.858cdabc694d2p-15, -0x1.819781194626p-15, -0x1.7d90c85115f78p-15, -0x1.797944b07e567p-15, -0x1.75518969c5625p-15, -0x1.711a288c1124p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.f17703086cbecp-6, -0x1.1210ad38565a7p-5, -0x1.2b887c00ebf12p-5, -0x1.4526bb69ad73fp-5, -0x1.5eef57685d4ep-5, -0x1.78e6513cbb7dp-5, -0x1.930fb56404e5ap-5, -0x1.ad6f9126cf764p-5, -0x1.c809e82c92b2cp-5, -0x1.e2e2aa670bdc4p-5, -0x1.fdfdaa91a750bp-5, -0x1.0caf4ab748f17p-4, -0x1.1a8474edeaf56p-4, -0x1.287ff8e768253p-4, -0x1.36a35e1d62e81p-4, -0x1.44f00bf01a076p-4, -0x1.5367477e92806p-4, -0x1.620a31e980831p-4, -0x1.70d9c6f9ea926p-4, -0x1.7fd6dc23b3065p-4, -0x1.8f021fdbd09dfp-4, -0x1.9e5c1939e0b8fp-4, -0x1.ade527dcdbe6ep-4, -0x1.bd9d840afb50fp-4, -0x1.cd853f054b1c8p-4, -0x1.dd9c4387d1082p-4, -0x1.ede2566fc0e12p-4, -0x1.fe571781e1285p-4, -0x1.077d0125c5b3bp-3, -0x1.0fe5378ccfbc6p-3, -0x1.1863ca00802afp-3, -0x1.20f842fa7b048p-3, -0x1.29a21cf40293ep-3, -0x1.3260c2fa4a628p-3, -0x1.3b3391457222bp-3, -0x1.4419d5d126ceep-3, -0x1.4d12d0f618a7ap-3, -0x1.561db6039a885p-3, -0x1.5f39abd8ca7cfp-3, -0x1.6865cd7cf2acp-3, -0x1.71a12ab6b2de5p-3, -0x1.7aeac8a1c0827p-3, -0x1.8441a24314b46p-3, -0x1.8da4a91b5fd42p-3, -0x1.9712c5b7b5787p-3, -0x1.a08ad84071a04p-3, -0x1.aa0bb9064c936p-3, -0x1.b394390da39b5p-3, -0x1.bd232298074adp-3, -0x1.c6b739ac13b99p-3, -0x1.d04f3c9ba1a83p-3, -0x1.d9e9e4885877dp-3, -0x1.e385e5e6b36ccp-3, -0x1.ed21f0ff7a3dap-3, -0x1.f6bcb26fbe859p-3, -0x1.002a69d3acda1p-2, -0x1.04f47db2fa232p-2, -0x1.09bbe71b49623p-2, -0x1.0e7ff774d27ffp-2, -0x1.133fff86cb579p-2, -0x1.17fb4fb2e6269p-2, -0x1.1cb138300a82bp-2, -0x1.21610944342c3p-2, -0x1.260a137d8086bp-2, -0x1.2aaba7ea51a79p-2, -0x1.2f45185086fa4p-2, -0x1.33d5b763c0eb9p-2, -0x1.385cd8fa9ee61p-2, -0x1.3cd9d242eed3dp-2, -0x1.414bf9f4c8ddap-2, -0x1.45b2a8847c955p-2, -0x1.4a0d385355b13p-2, -0x1.4e5b05df1a72ep-2, -0x1.529b6ff0473c3p-2, -0x1.56cdd7c6f0042p-2, -0x1.5af1a14644977p-2, -0x1.5f06331ea52bcp-2, -0x1.630af6f646d53p-2, -0x1.66ff599052509p-2, -0x1.6ae2caf27c42dp-2, -0x1.6eb4be890c5d1p-2, -0x1.7274ab494b0c8p-2, -0x1.76220bd24c074p-2, -0x1.79bc5e8c15b77p-2, -0x1.7d4325c51851fp-2, -0x1.80b5e7cdf81e5p-2, -0x1.84142f139e2dfp-2, -0x1.875d8a37953aap-2, -0x1.8a918c26a9709p-2, -0x1.8dafcc2dcdc5ep-2, -0x1.90b7e60d46005p-2, -0x1.93a97a0a13a58p-2, -0x1.96842cfda95acp-2, -0x1.9947a863e4b4ap-2, -0x1.9bf39a6752dc3p-2, -0x1.9e87b5ebc2ad1p-2, -0x1.a103b297267ffp-2, -0x1.a3674cd8cd8b1p-2, -0x1.a5b245eef9403p-2, -0x1.a7e463ead45dfp-2, -0x1.a9fd71b2d0fcep-2, -0x1.abfd3f0377b58p-2, -0x1.ade3a06eae77dp-2, -0x1.afb06f597eff2p-2, -0x1.b16389f863ec1p-2, -0x1.b2fcd34a2a96ep-2, -0x1.b47c33116ee18p-2, -0x1.b5e195ccbb273p-2, -0x1.b72cecad5a5c1p-2, -0x1.b85e2d8ce214ep-2, -0x1.b97552e1836a3p-2, -0x1.ba725bb12a32p-2, -0x1.bb554b8379f3dp-2, -0x1.bc1e2a52b162dp-2, -0x1.bccd047b7e7cbp-2, -0x1.bd61eaabd4e33p-2, -0x1.bddcf1d0cb489p-2, -0x1.be3e330391f5bp-2, -0x1.be85cb758ac5cp-2, -0x1.beb3dc5b8ee84p-2, -0x1.bec88ad86f9a4p-2, -0x1.bec3ffe6bf096p-2, -0x1.bea66841e94a6p-2, -0x1.be6ff44eadaa2p-2, -0x1.be20d80300429p-2, -0x1.bdb94acd63a98p-2, -0x1.bd39877bc3145p-2, -0x1.bca1cc21d8d0ap-2, -0x1.bbf259ff2e435p-2, -0x1.bb2b7564be39dp-2, -0x1.ba4d659a45deap-2, -0x1.b95874c34f4efp-2, -0x1.b84cefc3fe2d7p-2, -0x1.b72b2625abd42p-2, -0x1.b5f369fb58dcbp-2, -0x1.b4a60fc605979p-2, -0x1.b3436e58ed7bfp-2, -0x1.b1cbdebdc145ep-2, -0x1.b03fbc18d4c4p-2, -0x1.ae9f638d5c7a9p-2, -0x1.aceb3421b16e7p-2, -0x1.ab238ea3b50b8p-2, -0x1.a948d58d4d3b6p-2, -0x1.a75b6ce90ab4bp-2, -0x1.a55bba36fe598p-2, -0x1.a34a2451c048ap-2, -0x1.a1271353ba38fp-2, -0x1.9ef2f07cab019p-2, -0x1.9cae26177db1ep-2, -0x1.9a591f6066273p-2, -0x1.97f4486b59fdfp-2, -0x1.95800e0aded5ap-2, -0x1.92fcddb73874ep-2, -0x1.906b2575fd67bp-2, -0x1.8dcb53c21216ap-2, -0x1.8b1dd7740f9ebp-2, -0x1.88631fab1d732p-2, -0x1.859b9bb63f1b5p-2, -0x1.82c7bafe18af5p-2, -0x1.7fe7ecef2e7a7p-2, -0x1.7cfca0e4a5093p-2, -0x1.7a0646137c5d3p-2, -0x1.77054b76553a1p-2, -0x1.73fa1fb9b58c9p-2, -0x1.70e53128d6eb5p-2, -0x1.6dc6ed9afd6e5p-2, -0x1.6a9fc26159811p-2, -0x1.67701c35719aap-2, -0x1.643867281e6a4p-2, -0x1.60f90e910f5b7p-2, -0x1.5db27cfedf5aap-2, -0x1.5a651c27b8fbp-2, -0x1.571154da85258p-2, -0x1.53b78ef0ae7p-2, -0x1.505831406e8cep-2, -0x1.4cf3a18fab1b9p-2, -0x1.498a4487624ap-2, -0x1.461c7da7a26fep-2, -0x1.42aaaf3c0df6fp-2, -0x1.3f353a50ef13ap-2, -0x1.3bbc7ea8ce8dfp-2, -0x1.3840dab29d6edp-2, -0x1.34c2ab805c76fp-2, -0x1.31424cbe54b79p-2, -0x1.2dc018aacb513p-2, -0x1.2a3c680e41ee7p-2, -0x1.26b7923431835p-2, -0x1.2331ece4496dfp-2, -0x1.1fabcc5c2cd0bp-2, -0x1.1c258349a78c9p-2, -0x1.189f62c562c71p-2, -0x1.1519ba4e0dfc2p-2, -0x1.1194d7c3fe5eap-2, -0x1.0e11076541036p-2, -0x1.0a8e93ca1f64fp-2, -0x1.070dc5e2116afp-2, -0x1.038ee4f11b313p-2, -0x1.0012368d961f9p-2, -0x1.f92ffd3cbe522p-3, -0x1.f240feb2d6279p-3, -0x1.eb57f2857a8acp-3, -0x1.e475565775d5ep-3, -0x1.dd99a465bdc66p-3, -0x1.d6c553878898dp-3, -0x1.cff8d72f19fc2p-3, -0x1.c9349f6b2d778p-3, -0x1.c27918e9119e1p-3, -0x1.bbc6acf758ca7p-3, -0x1.b51dc1892bb4p-3, -0x1.ae7eb93a27df8p-3, -0x1.a7e9f352d3984p-3, -0x1.a15fcbcd9ce4p-3, -0x1.9ae09b5c539b8p-3, -0x1.946cb76e2d9d1p-3, -0x1.8e047236429edp-3, -0x1.87a81ab275f5p-3, -0x1.8157fcb2d9bafp-3, -0x1.7b1460e178e61p-3, -0x1.74dd8cca84be3p-3, -0x1.6eb3c2e4ea211p-3, -0x1.6897429b3b379p-3, -0x1.62884854f6672p-3, -0x1.5c870d801e30cp-3, -0x1.5693c89b1cb4ap-3, -0x1.50aead3ef57f7p-3, -0x1.4ad7ec29b78d3p-3, -0x1.450fb34933077p-3, -0x1.3f562dc5e9f26p-3, -0x1.39ab840e39252p-3, -0x1.340fdbe1b366p-3, -0x1.2e83585caf8a5p-3, -0x1.29061a0402923p-3, -0x1.23983ed0d96dbp-3, -0x1.1e39e23cc4054p-3, -0x1.18eb1d4dd39b2p-3, -0x1.13ac06a2e0c25p-3, -0x1.0e7cb27fe20bfp-3, -0x1.095d32da5d181p-3, -0x1.044d9765eb001p-3, -0x1.fe9bdb4189586p-4, -0x1.f4bc81c0ca4cbp-4, -0x1.eafd34bc5d207p-4, -0x1.e15e02882a841p-4, -0x1.d7def5729e9e1p-4, -0x1.ce8013de0d5aep-4, -0x1.c541605a03634p-4, -0x1.bc22d9bca524ep-4, -0x1.b3247b3be01e6p-4, -0x1.aa463c86a6b8bp-4, -0x1.a18811ddfca19p-4, -0x1.98e9ec2df7e2fp-4, -0x1.906bb9268faadp-4, -0x1.880d635455f5ep-4, -0x1.7fced238fd559p-4, -0x1.77afea63b6f3p-4, -0x1.6fb08d895dbb5p-4, -0x1.67d09a9c6f684p-4, -0x1.600fede4cc5c1p-4, -0x1.586e61173f5f6p-4, -0x1.50ebcb6cc6639p-4, -0x1.498801b99c4a9p-4, -0x1.4242d683ffd54p-4, -0x1.3b1c1a1ab59bp-4, -0x1.34139aab41e12p-4, -0x1.2d292457d9ca7p-4, -0x1.265c814d0886bp-4, -0x1.1fad79d7060c8p-4, -0x1.191bd476bfe43p-4, -0x1.12a755f69024ep-4, -0x1.0c4fc17ea1c28p-4, -0x1.0614d8a9011fp-4, -0x1.ffecb72aaf9fcp-5, -0x1.f3e811f8a3521p-5, -0x1.e81b3c8552efcp-5, -0x1.dc85af17bf14bp-5, -0x1.d126df992adf3p-5, -0x1.c5fe41b91ef24p-5, -0x1.bb0b4710bc322p-5, -0x1.b04d5f45518fap-5, -0x1.a5c3f82a4242p-5, -0x1.9b6e7de22fc4p-5, -0x1.914c5aff6c279p-5, -0x1.875cf8a3b7908p-5, -0x1.7d9fbe9f40be1p-5, -0x1.7414138ef1708p-5, -0x1.6ab95cf9ff457p-5, -0x1.618eff6ec761bp-5, -0x1.58945e9ef0aebp-5, -0x1.4fc8dd7ad88b6p-5, -0x1.472bde4c4a497p-5, -0x1.3ebcc2d07f5b3p-5, -0x1.367aec516d1f4p-5, -0x1.2e65bbbe5fef5p-5, -0x1.267c91c3e1b02p-5, -0x1.1ebecee2f4543p-5, -0x1.172bd38799a1fp-5, -0x1.0fc3001eae92bp-5, -0x1.0883b52b1bb28p-5, -0x1.016d535a5adb3p-5, -0x1.f4fe7730a7656p-6, -0x1.e7719e45242efp-6, -0x1.da32df35b07a7p-6, -0x1.cd40fe321c78cp-6, -0x1.c09ac07920456p-6, -0x1.b43eec79bd7aap-6, -0x1.a82c49f3641dbp-6, -0x1.9c61a214e8404p-6, -0x1.90ddbf9a45877p-6, -0x1.859f6ee934d14p-6, -0x1.7aa57e2ca20b1p-6, -0x1.6feebd6ef9c72p-6, -0x1.6579feb35d591p-6, -0x1.5b46160dbd783p-6, -0x1.5151d9b9e48edp-6, -0x1.479c22316f4cap-6, -0x1.3e23ca40bd57ep-6, -0x1.34e7af1adfbd6p-6, -0x1.2be6b06c8687ep-6, -0x1.231fb06df4889p-6, -0x1.1a9193f3ffa58p-6, -0x1.123b42801fcadp-6, -0x1.0a1ba64f94f05p-6, -0x1.0231ac69a4e73p-6, -0x1.f4f88959fe079p-7, -0x1.e5f4c3b878f8p-7, -0x1.d755f35320f7ap-7, -0x1.c91a09834a3c9p-7, -0x1.bb3efdab5ce22p-7, -0x1.adc2cd496705fp-7, -0x1.a0a37c082eae1p-7, -0x1.93df13cecbea2p-7, -0x1.8773a4ced2392p-7, -0x1.7b5f45910d6cbp-7, -0x1.6fa01300ee2fbp-7, -0x1.64343076a08e5p-7, -0x1.5919c7bfcc80cp-7, -0x1.4e4f092730514p-7, -0x1.43d22b7aebc62p-7, -0x1.39a16c11b0693p-7, -0x1.2fbb0ecec706ap-7, -0x1.261d5e24fcae3p-7, -0x1.1cc6ab187d8c3p-7, -0x1.13b54d3fa8dd4p-7, -0x1.0ae7a2c2e54d1p-7, -0x1.025c105b7d36bp-7, -0x1.f42202a31c111p-8, -0x1.e409cef2216ap-8, -0x1.d46c765c0b337p-8, -0x1.c546f69f92fe6p-8, -0x1.b6965a773bec9p-8, -0x1.a857b98cd83b2p-8, -0x1.9a88386b92cfp-8, -0x1.8d2508708a8ebp-8, -0x1.802b67ba1385p-8, -0x1.7398a115a566cp-8, -0x1.676a0bec8b2efp-8, -0x1.5b9d0c2f60c4ap-8, -0x1.502f12406a341p-8, -0x1.451d9adcd517bp-8, -0x1.3a662f04f0923p-8, -0x1.300663e365246p-8, -0x1.25fbdab3805aep-8, -0x1.1c4440a69a3cap-8, -0x1.12dd4ec8a3adp-8, -0x1.09c4c9e3e82cdp-8, -0x1.00f88264110bbp-8, -0x1.f0eca870e227fp-9, -0x1.e0784d6b532a1p-9, -0x1.d08fd8ed59773p-9, -0x1.c12f467a5cc99p-9, -0x1.b252a7a30e27ep-9, -0x1.a3f623c434fdep-9, -0x1.9615f7c486332p-9, -0x1.88ae75d1a5e57p-9, -0x1.7bbc051c5f0acp-9, -0x1.6f3b2194238c9p-9, -0x1.63285ba1e8029p-9, -0x1.578057e26ace4p-9, -0x1.4c3fcedff41b3p-9, -0x1.41638ccba788bp-9, -0x1.36e87136692d4p-9, -0x1.2ccb6ec972a95p-9, -0x1.23098afe9a8abp-9, -0x1.199fddd866c4fp-9, -0x1.108b9199eebf6p-9, -0x1.07c9e27ea0adfp-9, -0x1.feb03ce3e1ea8p-10, -0x1.ee67498e06ba3p-10, -0x1.deb3cbe0b84a4p-10, -0x1.cf90c66f37969p-10, -0x1.c0f95ceab271p-10, -0x1.b2e8d392434afp-10, -0x1.a55a8ea3468f6p-10, -0x1.984a11ca2f37ap-10, -0x1.8bb2ff93d4f8cp-10, -0x1.7f9118df5a704p-10, -0x1.73e03c50bf93ap-10, -0x1.689c65c42a85ap-10, -0x1.5dc1adc1eeb25p-10, -0x1.534c48f376394p-10, -0x1.4938879908055p-10, -0x1.3f82d5007ff57p-10, -0x1.3627b6fd0d5b8p-10, -0x1.2d23cd5fedae9p-10, -0x1.2473d1724d195p-10, -0x1.1c1495703e41dp-10, -0x1.14030404e32f2p-10, -0x1.0c3c1fc7ccef8p-10, -0x1.04bd02bb9373bp-10, -0x1.fb05bb9b7a52ep-11, -0x1.ed15f0afe826cp-11, -0x1.dfa55f4522c1ap-11, -0x1.d2aeecd113fb2p-11, -0x1.c62da8b97f692p-11, -0x1.ba1ccb617eacep-11, -0x1.ae77b539e091ap-11, -0x1.a339edd476045p-11, -0x1.985f22fa57ed4p-11, -0x1.8de327c52d20dp-11, -0x1.83c1f3bb7ac2bp-11, -0x1.79f7a1f0027bbp-11, -0x1.708070243a394p-11, -0x1.6758bdeddecebp-11, -0x1.5e7d0bdfa874ep-11, -0x1.55e9fab5256e3p-11, -0x1.4d9c4a81bd4a3p-11, -0x1.4590d9e2e2dc2p-11, -0x1.3dc4a5357231ep-11, -0x1.3634c5ce4111ap-11, -0x1.2ede7135e152fp-11, -0x1.27bef867937ddp-11, -0x1.20d3c7136df95p-11, -0x1.1a1a62e3b52cfp-11, -0x1.13906ac564968p-11, -0x1.0d339633e6cd9p-11, -0x1.0701b487fb195p-11, -0x1.00f8ac49c6ccfp-11, -0x1.f62cf50c1aec6p-12, -0x1.eab2644d1c938p-12, -0x1.df7df69b07c1dp-12, -0x1.d48c25687d404p-12, -0x1.c9d99219b79b2p-12, -0x1.bf6304ce16c21p-12, -0x1.b5256b2fd5b88p-12, -0x1.ab1dd749c81adp-12, -0x1.a1497e6327218p-12, -0x1.97a5b7e158838p-12, -0x1.8e2ffc2fa29cp-12, -0x1.84e5e3acc5b7fp-12, -0x1.7bc5259e69e1ep-12, -0x1.72cb972a52c2dp-12, -0x1.69f72a554d6ebp-12, -0x1.6145ed07c8cd2p-12, -0x1.58b60818070d9p-12, -0x1.5045be59dce5p-12, -0x1.47f36bb3ec916p-12, -0x1.3fbd843a4a9e3p-12, -0x1.37a2934e7fd02p-12, -0x1.2fa13ac4d6319p-12, -0x1.27b8320ee0983p-12, -0x1.1fe6456b27044p-12, -0x1.182a5519f18cap-12, -0x1.1083549713367p-12, -0x1.08f049d8ad11ap-12, -0x1.01704c92d3882p-12, -0x1.f4050b0008a01p-13, -0x1.e54c5b5cb5f83p-13, -0x1.d6b51ba2e7042p-13, -0x1.c83dfb31d07d5p-13, -0x1.b9e5c616a9e69p-13, -0x1.abab63cbab76cp-13, -0x1.9d8dd5ffc799bp-13, -0x1.8f8c3767136b4p-13, -0x1.81a5ba93a56dbp-13, -0x1.73d9a8d6d4dcep-13, -0x1.6627612aa647ep-13, -0x1.588e5723519f7p-13, -0x1.4b0e11e8b02f2p-13, -0x1.3da62b3772fb8p-13, -0x1.30564e69fbaf9p-13, -0x1.231e3788b97afp-13, -0x1.15fdb261ddbcdp-13, -0x1.08f499a84642bp-13, -0x1.f805ac3305f68p-14, -0x1.de50bb55878bcp-14, -0x1.c4ca657938b7dp-14, -0x1.ab72c6aad42a5p-14, -0x1.924a10c493363p-14, -0x1.795089fcd3aa2p-14, -0x1.60868b81546f6p-14, -0x1.47ec801ea8eb2p-14, -0x1.2f82e2f3b0836p-14, -0x1.174a3e30c9dcp-14, -0x1.fe8653c503b2bp-15, -0x1.cedc958ef66bbp-15, -0x1.9f98a2629f994p-15, -0x1.70bbefe057a67p-15, -0x1.42480691c05a9p-15, -0x1.143e7fea66ef9p-15, -0x1.cd4208b8bbd7ap-16, -0x1.72e29300b298ep-16, -0x1.196220a1a6703p-16, -0x1.81888ddf05039p-17, -0x1.a432ad73546f4p-18, -0x1.23f005dc034e6p-20, 0x1.0e83f64a7b64bp-18, 0x1.311f159682ea1p-17, 0x1.d911be5b3ba6ep-17, 0x1.3f8930be35efep-16, 0x1.918cb61e34945p-16, 0x1.e28fa8e6d9fc9p-16, 0x1.194723f3cf4cp-15, 0x1.40c26ca3e3c6bp-15, 0x1.67b7d6462124fp-15, 0x1.8e258e4144d62p-15, 0x1.b409c888ae30fp-15, 0x1.d962c07800fe1p-15, 0x1.fe2eb9a26e1f7p-15, 0x1.1136004b005cbp-14, 0x1.230c75c9a5269p-14, 0x1.3499ed9ce3eaep-14, 0x1.45dd9d94ab8cep-14, 0x1.56d6c14c8a969p-14, 0x1.67849a71fc53ap-14, 0x1.77e67105bcd87p-14, 0x1.87fb93985073ep-14, 0x1.97c35781e03c4p-14, 0x1.a73d19159abb9p-14, 0x1.b6683bd0b5033p-14, 0x1.c5442a85459f1p-14, 0x1.d3d05780f8aedp-14, 0x1.e20c3caff39e1p-14, 0x1.eff75bbbe2e56p-14, 0x1.fd913e2760d8cp-14, 0x1.056cbab2f22dp-13, 0x1.0be7cd7823d2ep-13, 0x1.1239a82b06878p-13, 0x1.18621fa5c024ep-13, 0x1.1e610cda70a6cp-13, 0x1.24364cd74a9aep-13, 0x1.29e1c0c956318p-13, 0x1.2f634dfdd16bfp-13, 0x1.34badde2533d6p-13, 0x1.39e85e03afd0cp-13, 0x1.3eebc00bb391ep-13, 0x1.43c4f9bdc196p-13, 0x1.487404f25acb1p-13, 0x1.4cf8df91a5594p-13, 0x1.51538b8cf51cfp-13, 0x1.55840ed769f0cp-13, 0x1.598a735daf7dap-13, 0x1.5d66c6fcdcc2ep-13, 0x1.61191b789029fp-13, 0x1.64a18670448a7p-13, 0x1.68002153f68b3p-13, 0x1.6b35095813298p-13, 0x1.6e405f68c8a12p-13, 0x1.7122481cc0e82p-13, 0x1.73daeba7430b8p-13, 0x1.766a75c9d10acp-13, 0x1.78d115c54d00dp-13, 0x1.7b0efe4a99e56p-13, 0x1.7d24656ad939ap-13, 0x1.7f11848740398p-13, 0x1.80d69840882b5p-13, 0x1.8273e0661052cp-13, 0x1.83e99fe4a6b7dp-13, 0x1.85381cb50e466p-13, 0x1.865f9fca3dc64p-13, 0x1.876074ff67e0dp-13, 0x1.883aeb05c6cdfp-13, 0x1.88ef5352405f1p-13, 0x1.897e020ad5cc9p-13, 0x1.89e74df3fa4a6p-13, 0x1.8a2b905dc595ep-13, 0x1.8a4b25110b7d7p-13, 0x1.8a466a3c624b7p-13, 0x1.8a1dc06119e17p-13, 0x1.89d18a4024694p-13, 0x1.89622cc6fe208p-13, 0x1.88d00efc9188ep-13, 0x1.881b99ee18e54p-13, 0x1.8745389c0fedp-13, 0x1.864d57e7274ccp-13, 0x1.8534667d4a2a6p-13, 0x1.83fad4c6b2f99p-13, 0x1.82a114d31a6ebp-13, 0x1.81279a46f6a8ap-13, 0x1.7f8eda48dbaep-13, 0x1.7dd74b6efa8a7p-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.1c0795fea81fap-1, 0x1.1c3449552425fp-1, 0x1.1c661e8d70fcap-1, 0x1.1c9d4ac24b594p-1, 0x1.1cd9f91e15843p-1, 0x1.1d1c48a1c63bdp-1, 0x1.1d644a9c1645ap-1, 0x1.1db201ba087ffp-1, 0x1.1e05619900f0ep-1, 0x1.1e5e4ec38d3d7p-1, 0x1.1ebc9f03e647cp-1, 0x1.1f2019f997c9bp-1, 0x1.1f8879e23d4e2p-1, 0x1.1ff56c87a1509p-1, 0x1.20669447cc506p-1, 0x1.20db892d87e62p-1, 0x1.2153da118ce19p-1, 0x1.21cf0dbe167e7p-1, 0x1.224ca40fd674ep-1, 0x1.22cc17104fbf5p-1, 0x1.234cdc06943b3p-1, 0x1.23ce647c0e205p-1, 0x1.24501f33b3b6dp-1, 0x1.24d1791279ca7p-1, 0x1.2551ddf84fa6cp-1, 0x1.25d0b9894a3ccp-1, 0x1.264d77e6e9fdp-1, 0x1.26c78659a3ddbp-1, 0x1.273e53eb062a5p-1, 0x1.27b151f0f55cep-1, 0x1.281ff48a965p-1, 0x1.2889b30f9312fp-1, 0x1.28ee0872734f4p-1, 0x1.294c7396c9534p-1, 0x1.29a4779bf9ab1p-1, 0x1.29f59c1d644a7p-1, 0x1.2a3f6d68b36f5p-1, 0x1.2a817cab106ecp-1, 0x1.2abb6015f6b2bp-1, 0x1.2aecb2fc59743p-1, 0x1.2b1515e8c2a7cp-1, 0x1.2b342ead100a7p-1, 0x1.2b49a86c608b2p-1, 0x1.2b55339fc332bp-1, 0x1.2b56861629ba4p-1, 0x1.2b4d5af019bb7p-1, 0x1.2b3972978bf97p-1, 0x1.2b1a92b464d97p-1, 0x1.2af0861de30fdp-1, 0x1.2abb1cc95d20cp-1, 0x1.2a7a2bb69df83p-1, 0x1.2a2d8cda28f1cp-1, 0x1.29d51f05a7b9fp-1, 0x1.2970c5cebf9bbp-1, 0x1.2900697481ae4p-1, 0x1.2883f6c3ab1bcp-1, 0x1.27fb5ef9df806p-1, 0x1.276697a805d84p-1, 0x1.26c59a93ee07dp-1, 0x1.261865995f50dp-1, 0x1.255efa8aaafap-1, 0x1.24995f10e1b9p-1, 0x1.23c79c8bc16c9p-1, 0x1.22e9bff171947p-1, 0x1.21ffd9ae22c2ap-1, 0x1.2109fd83a1bb9p-1, 0x1.20084268ef6d6p-1, 0x1.1efac269ecb16p-1, 0x1.1de19a8725b81p-1, 0x1.1cbcea95c8ff8p-1, 0x1.1b8cd51fd8902p-1, 0x1.1a517f449974bp-1, 0x1.190b109951432p-1, 0x1.17b9b30a52976p-1, 0x1.165d92bc696e7p-1, 0x1.14f6ddeea3dep-1, 0x1.1385c4dc87a59p-1, 0x1.120a79a0b2d71p-1, 0x1.10853017f17d5p-1, 0x1.0ef61dc4cb8acp-1, 0x1.0d5d79b38fb07p-1, 0x1.0bbb7c5edf823p-1, 0x1.0a105f94c1bfp-1, 0x1.085c5e5c3af54p-1, 0x1.069fb4db7435ap-1, 0x1.04daa03e6f648p-1, 0x1.030d5e9e4bccp-1, 0x1.01382ee91fffp-1, 0x1.feb6a194ce233p-2, 0x1.faee09280d4cdp-2, 0x1.f717164fd81dcp-2, 0x1.f3324bc48a387p-2, 0x1.ef402d08a2a96p-2, 0x1.eb413e3fa3dc7p-2, 0x1.e7360406268d1p-2, 0x1.e31f034b280e2p-2, 0x1.defcc12a93e86p-2, 0x1.dacfc2c90318dp-2, 0x1.d6988d30b7f73p-2, 0x1.d257a52fd10e1p-2, 0x1.ce0d8f37b1216p-2, 0x1.c9bacf3d9e269p-2, 0x1.c55fe89c979dcp-2, 0x1.c0fd5df854e89p-2, 0x1.bc93b1217e167p-2, 0x1.b82362fb08485p-2, 0x1.b3acf360bee7ep-2, 0x1.af30e10ef3192p-2, 0x1.aaafa98b4c90dp-2, 0x1.a629c90eb92adp-2, 0x1.a19fba70790fp-2, 0x1.9d11f7123d459p-2, 0x1.9880f6cd5d21ep-2, 0x1.93ed2fe117844p-2, 0x1.8f5716e1daac8p-2, 0x1.8abf1ea9930c9p-2, 0x1.8625b848fa136p-2, 0x1.818b52f9d97ecp-2, 0x1.7cf05c1248eep-2, 0x1.78553ef8d8f25p-2, 0x1.73ba6519a6576p-2, 0x1.6f2035dc52ff4p-2, 0x1.6a87169ade2a6p-2, 0x1.65ef6a995440dp-2, 0x1.615992fe53e94p-2, 0x1.5cc5eecc5d6fap-2, 0x1.5834dadbeeaep-2, 0x1.53a6b1d65c135p-2, 0x1.4f1bcc3169db8p-2, 0x1.4a94802b9a0afp-2, 0x1.461121c92ac58p-2, 0x1.419202d1bfbbep-2, 0x1.3d1772ceb166cp-2, 0x1.38a1bf09fc593p-2, 0x1.3431328dc68c3p-2, 0x1.2fc616247e278p-2, 0x1.2b60b0598264cp-2, 0x1.2701457a58bdbp-2, 0x1.22a8179860c54p-2, 0x1.1e55668b0c61bp-2, 0x1.1a096ff28c227p-2, 0x1.15c46f3af022ep-2, 0x1.11869d9fb66f2p-2, 0x1.0d50322fc59afp-2, 0x1.092161d1c7386p-2, 0x1.04fa5f48e4629p-2, 0x1.00db5b39da3e5p-2, 0x1.f9890860cb1fp-3, 0x1.f16c0d4a00386p-3, 0x1.e9601a05cc615p-3, 0x1.e1657f5cd0729p-3, 0x1.d97c8a16fbc8ep-3, 0x1.d1a583092dae3p-3, 0x1.c9e0af23548b2p-3, 0x1.c22e4f7ef07e1p-3, 0x1.ba8ea16e05a85p-3, 0x1.b301de8a658f7p-3, 0x1.ab883cc550756p-3, 0x1.a421ee7766bb7p-3, 0x1.9ccf2270e5eabp-3, 0x1.9590040a1d273p-3, 0x1.8e64bb34271fep-3, 0x1.874d6c89cf18dp-3, 0x1.804a3960aabbcp-3, 0x1.795b3fda5636dp-3, 0x1.72809af5d7f0dp-3, 0x1.6bba62a117969p-3, 0x1.6508abca75b4ep-3, 0x1.5e6b88726ddfbp-3, 0x1.57e307bd4990cp-3, 0x1.516f3604d68ap-3, 0x1.4b101cea26043p-3, 0x1.44c5c367414fap-3, 0x1.3e902de0e3bb6p-3, 0x1.386f5e381e7f7p-3, 0x1.326353dbf9221p-3, 0x1.2c6c0bdafbdf8p-3, 0x1.268980f4a08f9p-3, 0x1.20bbabaab3b62p-3, 0x1.1b0282529182dp-3, 0x1.155df926478cbp-3, 0x1.0fce02559601dp-3, 0x1.0a528e16c77f9p-3, 0x1.04eb8ab764da8p-3, 0x1.ff31c9597b98bp-4, 0x1.f4b50d488ed35p-4, 0x1.ea60b32790e7ap-4, 0x1.e0348992aa949p-4, 0x1.d6305bf64509p-4, 0x1.cc53f2ae25df6p-4, 0x1.c29f13243f738p-4, 0x1.b9117feefd47fp-4, 0x1.afaaf8ef251aep-4, 0x1.a66b3b6d4926bp-4, 0x1.9d520236bd7acp-4, 0x1.945f05ba13979p-4, 0x1.8b91fc231c209p-4, 0x1.82ea99766fdfap-4, 0x1.7a688fac763fap-4, 0x1.720b8ecbec3bfp-4, 0x1.69d34503ec792p-4, 0x1.61bf5ec573996p-4, 0x1.59cf86dc62bccp-4, 0x1.52036687fde3p-4, 0x1.4a5aa592e65cbp-4, 0x1.42d4ea6a914b5p-4, 0x1.3b71da3638c7ep-4, 0x1.343118ed48376p-4, 0x1.2d12496d43fa9p-4, 0x1.26150d8f2ca4dp-4, 0x1.1f39063c5d07bp-4, 0x1.187dd382e5009p-4, 0x1.11e314a960836p-4, 0x1.0b6868424b3acp-4, 0x1.050d6c3ed280ep-4, 0x1.fda37c024a537p-5, 0x1.f169f4dc8675cp-5, 0x1.e56d7bfe9bd75p-5, 0x1.d9ad49a4b24fcp-5, 0x1.ce2895757d2cp-5, 0x1.c2de96a1ec588p-5, 0x1.b7ce8403e307bp-5, 0x1.acf7943bfebe5p-5, 0x1.a258fdce6bf3p-5, 0x1.97f1f73ecb13ep-5, 0x1.8dc1b72b2fca9p-5, 0x1.83c7746632c1bp-5, 0x1.7a02661020d43p-5, 0x1.7071c3af4c38ep-5, 0x1.6714c54778fbbp-5, 0x1.5deaa370754dp-5, 0x1.54f2976bd4821p-5, 0x1.4c2bdb39dbe7p-5, 0x1.4395a9ad9c1b9p-5, 0x1.3b2f3e803c41fp-5, 0x1.32f7d66381334p-5, 0x1.2aeeaf138a0a6p-5, 0x1.23130767cdfc5p-5, 0x1.1b641f635bd72p-5, 0x1.13e138445d448p-5, 0x1.0c899492e69bap-5, 0x1.055c782f11da4p-5, 0x1.fcb250bcd4ca6p-6, 0x1.eefdd7b15fceep-6, 0x1.e19a15a7da45ap-6, 0x1.d4859e1fe18eap-6, 0x1.c7bf07c244a88p-6, 0x1.bb44ec7576ebbp-6, 0x1.af15e970d37bbp-6, 0x1.a3309f4eb4f28p-6, 0x1.9793b21d6df1cp-6, 0x1.8c3dc96f2298fp-6, 0x1.812d906893c44p-6, 0x1.7661b5ced5beep-6, 0x1.6bd8ec140b0a1p-6, 0x1.6191e9631ac64p-6, 0x1.578b67aa73a31p-6, 0x1.4dc424a5d8849p-6, 0x1.443ae1e74d62cp-6, 0x1.3aee64df1a892p-6, 0x1.31dd76e2f4fddp-6, 0x1.2906e5345535cp-6, 0x1.20698105fb612p-6, 0x1.18041f80b0cd1p-6, 0x1.0fd599c73e9adp-6, 0x1.07dcccf9b48bcp-6, 0x1.00189a37f281ep-6, 0x1.f10fcd4708631p-7, 0x1.e25336c1b1b9cp-7, 0x1.d3f94b2f9eb98p-7, 0x1.c5ffece75b5dbp-7, 0x1.b8650644f45f4p-7, 0x1.ab2689a78d5e3p-7, 0x1.9e42716dd958ap-7, 0x1.91b6bff18bf45p-7, 0x1.85817f81bb282p-7, 0x1.79a0c25c54755p-7, 0x1.6e12a2a699062p-7, 0x1.62d54264be3f1p-7, 0x1.57e6cb70a618ap-7, 0x1.4d456f6fd541cp-7, 0x1.42ef67c8930e2p-7, 0x1.38e2f596524aep-7, 0x1.2f1e619d5f995p-7, 0x1.259ffc3de43adp-7, 0x1.1c661d6642ca3p-7, 0x1.136f2484d7512p-7, 0x1.0ab97879220bcp-7, 0x1.0243878466468p-7, 0x1.f4178e73863a9p-8, 0x1.e42168db9df1ep-8, 0x1.d4a1a64b7a385p-8, 0x1.c5955d0c260c1p-8, 0x1.b6f9b181ed0ddp-8, 0x1.a8cbd6083333p-8, 0x1.9b090acc96a2cp-8, 0x1.8dae9da969401p-8, 0x1.80b9e9ff8c93ep-8, 0x1.7428588fbbe9bp-8, 0x1.67f75f5353409p-8, 0x1.5c2481549aabap-8, 0x1.50ad4e86a2836p-8, 0x1.458f639cbccacp-8, 0x1.3ac869e19a41cp-8, 0x1.3056170e19376p-8, 0x1.26362d1fccdd9p-8, 0x1.1c667a2f46f82p-8, 0x1.12e4d8462d311p-8, 0x1.09af2d35250c7p-8, 0x1.00c36a69982c5p-8, 0x1.f03f1986c2ff4p-9, 0x1.df8338d4caa9ap-9, 0x1.cf4f59483a146p-9, 0x1.bf9fb7523d9a7p-9, 0x1.b070a4f54cf43p-9, 0x1.a1be8970537b7p-9, 0x1.9385e0e9ef83ep-9, 0x1.85c33c1be45dfp-9, 0x1.78733ffebde3ep-9, 0x1.6b92a575b5e45p-9, 0x1.5f1e38faea0d3p-9, 0x1.5312da4be5b7fp-9, 0x1.476d7c168d197p-9, 0x1.3c2b23a672481p-9, 0x1.3148e892a1999p-9, 0x1.26c3f46be3191p-9, 0x1.1c99826b870a2p-9, 0x1.12c6df22b8f65p-9, 0x1.0949682a690a6p-9, 0x1.001e8bd3cd72p-9, 0x1.ee8791b30dea9p-10, 0x1.dd6d5c22d3ef8p-10, 0x1.cce9b43dead5ap-10, 0x1.bcf7f64cfaaa5p-10, 0x1.ad939d02141e5p-10, 0x1.9eb840e1ea6b7p-10, 0x1.906197ae950bcp-10, 0x1.828b73d3cf1d5p-10, 0x1.7531c3d4d63c4p-10, 0x1.685091bbd90dcp-10, 0x1.5be4028b0c02p-10, 0x1.4fe855af620b9p-10, 0x1.4459e474f00e7p-10, 0x1.3935217d0ac9bp-10, 0x1.2e76983609d6cp-10, 0x1.241aec54d847dp-10, 0x1.1a1ed950323d8p-10, 0x1.107f31ddb25bdp-10, 0x1.0738df7098991p-10, 0x1.fc91c374ba3p-11, 0x1.eb589c5a1804ep-11, 0x1.dac09efed12f5p-11, 0x1.cac44a65c032fp-11, 0x1.bb5e46368cce6p-11, 0x1.ac8961d0c3ce1p-11, 0x1.9e40936288fcdp-11, 0x1.907ef702e489ap-11, 0x1.833fcdcfac926p-11, 0x1.767e7d0f05dc8p-11, 0x1.6a368d547f91ep-11, 0x1.5e63a9a9c2922p-11, 0x1.53019ebad492dp-11, 0x1.480c5a05ea8d1p-11, 0x1.3d7fe90ec6a51p-11, 0x1.335878959ed75p-11, 0x1.299253d185e42p-11, 0x1.2029e3ae52326p-11, 0x1.171bae0dfe278p-11, 0x1.0e64550d7b35p-11, 0x1.0600964cf0d87p-11, 0x1.fbda9476c68f9p-12, 0x1.ec4ec6cb73d03p-12, 0x1.dd57db9239193p-12, 0x1.cef01c514a7b6p-12, 0x1.c11202ccb197cp-12, 0x1.b3b837bec84eap-12, 0x1.a6dd919722d96p-12, 0x1.9a7d133fe1a73p-12, 0x1.8e91eae95391p-12, 0x1.831770dbdbc94p-12, 0x1.78092650048e6p-12, 0x1.6d62b44cb52c6p-12, 0x1.631fea8b7046ap-12, 0x1.593cbe628b8e4p-12, 0x1.4fb549b552ee1p-12, 0x1.4685c9e9facdbp-12, 0x1.3daa9ee5569c1p-12, 0x1.35204a0c3ca9ep-12, 0x1.2ce36d4a830f7p-12, 0x1.24f0ca1f864e7p-12, 0x1.1d4540b01f905p-12, 0x1.15ddceddfe587p-12, 0x1.0eb78f644b8bap-12, 0x1.07cfb8f98521ep-12, 0x1.01239d767bffcp-12, 0x1.f5615204c94a7p-13, 0x1.e8e8c287c4c44p-13, 0x1.dcd8c92df1959p-13, 0x1.d12cd28faa081p-13, 0x1.c5e079a4a3416p-13, 0x1.baef864c581c8p-13, 0x1.b055ebdf9d7d4p-13, 0x1.a60fc7cb3faf9p-13, 0x1.9c19603383e5dp-13, 0x1.926f22a060cc4p-13, 0x1.890da2b24bf7bp-13, 0x1.7ff198df71d9ap-13, 0x1.7717e1392ecb4p-13, 0x1.6e7d7a39b0dd9p-13, 0x1.661f839986fb9p-13, 0x1.5dfb3d2d06dadp-13, 0x1.560e05c9604a4p-13, 0x1.4e555a31380c5p-13, 0x1.46ced408a0cb7p-13, 0x1.3f7828d05471fp-13, 0x1.384f28e80641ap-13, 0x1.3151be97a8be7p-13, 0x1.2a7ded1f85314p-13, 0x1.23d1cfcf00bbap-13, 0x1.1d4b9921eaf57p-13, 0x1.16e991e435a71p-13, 0x1.10aa185bf27efp-13, 0x1.0a8b9f7972bc3p-13, 0x1.048cae0d6bfaap-13, 0x1.fd57bc09f897fp-14, 0x1.f1cfb756dfca3p-14, 0x1.e67ec9e34e16ep-14, 0x1.db629175f978cp-14, 0x1.d078cc5f1d1p-14, 0x1.c5bf58278dfe9p-14, 0x1.bb34304a1bc66p-14, 0x1.b0d56cf6f5e7bp-14, 0x1.a6a141e0dee74p-14, 0x1.9c95fd1405a4ap-14, 0x1.92b205d629ac9p-14, 0x1.88f3db8fe98e5p-14, 0x1.7f5a14befe521p-14, 0x1.75e35df12a98p-14, 0x1.6c8e78c7a7dfep-14, 0x1.635a3b02de73dp-14, 0x1.5a458d963246cp-14, 0x1.514f6bc3b142p-14, 0x1.4876e23f7201ap-14, 0x1.3fbb0e5a70049p-14, 0x1.371b1d34b2e03p-14, 0x1.2e964af695c4cp-14, 0x1.262be210f9d34p-14, 0x1.1ddb3a8438cp-14, 0x1.15a3b92dab15ap-14, 0x1.0d84cf1b922cap-14, 0x1.057df8e73c3bep-14, 0x1.fb1d7c2a71c76p-15, 0x1.eb6d60f6e0e43p-15, 0x1.dbead759f1e6ap-15, 0x1.cc9528d6f74eep-15, 0x1.bd6bb03c12016p-15, 0x1.ae6dd89a5e0ep-15, 0x1.9f9b1c485f14ap-15, 0x1.90f303ee5d612p-15, 0x1.8275259c6dd88p-15, 0x1.742123e9db37dp-15, 0x1.65f6ad1dac303p-15, 0x1.57f57a5ffe52p-15, 0x1.4a1d4ef3fa537p-15, 0x1.3c6df77a13e13p-15, 0x1.2ee7493a64549p-15, 0x1.21892176d1c56p-15, 0x1.145364c4d1761p-15, 0x1.0745fe6e823c8p-15, 0x1.f4c1bfb5d0443p-16, 0x1.db47fffa1d03bp-16, 0x1.c21eb593aeb75p-16, 0x1.a945e1688a1dcp-16, 0x1.90bd8c60083e7p-16, 0x1.7885c6740c5a3p-16, 0x1.609ea5cdebd9ep-16, 0x1.490845eeb052cp-16, 0x1.31c2c6e246d0dp-16, 0x1.1ace4c7d47616p-16, 0x1.042afda4f7e7ep-16, 0x1.dbb207424aba3p-17, 0x1.afb112ef1f77cp-17, 0x1.845376a0f6293p-17, 0x1.59998bc85c967p-17, 0x1.2f83abe1df0c2p-17, 0x1.06122f729c302p-17, 0x1.ba8ada294e511p-18, 0x1.6a3b712587464p-18, 0x1.1b36c425b7419p-18, 0x1.9afad53a8a06dp-19, 0x1.021fe3677c98fp-19, 0x1.af76d75d460e8p-21, -0x1.3e5651d766188p-22, -0x1.71b19f5b582b6p-20, -0x1.474bab99c2201p-19, -0x1.d322cf46b1c66p-19, -0x1.2e2ee6fa0dd82p-18, -0x1.717e2f3d0ace3p-18, -0x1.b37f2e6116bc8p-18, -0x1.f431e58d5aabcp-18, -0x1.19cb34d97f438p-17, -0x1.38d67209c2403p-17, -0x1.573ac95b53609p-17, -0x1.74f864683aceep-17, -0x1.920f778c3482dp-17, -0x1.ae8042090da97p-17, -0x1.ca4b0e2427e2fp-17, -0x1.e570313d8555bp-17, -0x1.fff00be092323p-17, -0x1.0ce584e78c972p-16, -0x1.1980d1034ab44p-16, -0x1.25ca2b601ef7fp-16, -0x1.31c1dab60020fp-16, -0x1.3d682b535eaa9p-16, -0x1.48bd6f160223dp-16, -0x1.53c1fd61c67d8p-16, -0x1.5e76331554b15p-16, -0x1.68da727cfa106p-16, -0x1.72ef2343b99b7p-16, -0x1.7cb4b262ad02dp-16, -0x1.862b920edda7dp-16, -0x1.8f5439a59cd49p-16, -0x1.982f2597871eap-16, -0x1.a0bcd7523e7c7p-16, -0x1.a8fdd528f5b5fp-16, -0x1.b0f2aa3be4f87p-16, -0x1.b89be65ebb028p-16, -0x1.bffa1dfe22ae6p-16, -0x1.c70dea0469d4ap-16, -0x1.cdd7e7bd6658cp-16, -0x1.d458b8b9a4e73p-16, -0x1.da9102b0f1402p-16, -0x1.e0816f6451fe5p-16, -0x1.e62aac7f7f102p-16, -0x1.eb8d6b79e6563p-16, -0x1.f0aa61774cd1fp-16, -0x1.f58247281c3dbp-16, -0x1.fa15d8a965b41p-16, -0x1.fe65d564acdbdp-16, -0x1.01397ff7c1c22p-15, -0x1.031f0ef5826a7p-15, -0x1.04e3fbf19aea1p-15, -0x1.0688ac972f001p-15, -0x1.080d87e62dcabp-15, -0x1.0972f62300f5ep-15, -0x1.0ab960c6437a7p-15, -0x1.0be1326c866aep-15, -0x1.0cead6c627671p-15, -0x1.0dd6ba873b3d6p-15, -0x1.0ea54b5791681p-15, -0x1.0f56f7c2d79adp-15, -0x1.0fec2f28d79e2p-15, -0x1.106561adde3cfp-15, -0x1.10c3002b4524bp-15, -0x1.11057c20257cap-15, -0x1.112d47a23899dp-15, -0x1.113ad54ee4a8ep-15, -0x1.112e983c7bc7ap-15, -0x1.110903ebaaadfp-15, -0x1.10ca8c391fe72p-15, -0x1.1073a54f67494p-15, -0x1.1004c398fc8c5p-15, -0x1.0f7e5bb29c35ep-15, -0x1.0ee0e25dc91e9p-15, -0x1.0e2ccc7395b3ap-15, -0x1.0d628ed7a5c96p-15, -0x1.0c829e6b71478p-15, -0x1.0b8d7001c8c44p-15, -0x1.0a837852964a7p-15, -0x1.09652beee4615p-15, -0x1.0832ff35247d8p-15, -0x1.06ed6645ba425p-15, -0x1.0594d4f7c856p-15, -0x1.0429bece42628p-15, -0x1.02ac96ed42764p-15, -0x1.011dd00fa391ap-15, -0x1.fefbb8f9be6f9p-16, -0x1.fb9a5bfe63f3ep-16, -0x1.f8186bb4060b5p-16, -0x1.f476c9811edecp-16, -0x1.f0b65599bbcfap-16, -0x1.ecd7eeede525ep-16, -0x1.e8dc73189188cp-16, -0x1.e4c4be4f2489ap-16, -0x1.e091ab516e2adp-16, -0x1.dc44135a36309p-16, -0x1.d7dcce1049df4p-16, -0x1.d35cb17810785p-16, -0x1.cec491e5a16c1p-16, -0x1.ca1541ef614a6p-16, }}, 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
    }}, 
    {
      50, 0x1.8a3d70a3d70a4p+1, 0x1.4f2c15d2cc3a7p+1, 0x1.85d1938dafa8bp+1, -0x1.5758468eabe4ap-6, 
      {{
        {0x1.15c28f5c28f5cp+1, 0x1.1816f0068db8cp+1, 0x1.9ed1401491335p-5, -0x1.7fef8a48c795p-3, 0x1.f6ac93dbccd02p-3, 0x1.3f4a00e1a39f6p-5}, 
        {0x1.1816f0068db8cp+1, 0x1.1a6b50b0f27bbp+1, 0x1.8388e97d6f87fp-5, -0x1.6d8f1d895c08p-3, 0x1.fb084d2348815p-3, -0x1.8f1c811998f3dp-3}, 
        {0x1.1a6b50b0f27bbp+1, 0x1.1cbfb15b573ebp+1, 0x1.699593e1afefp-5, -0x1.5b7fea4f2496p-3, 0x1.e53daebde45a9p-3, -0x1.0844ea565dec3p-3}, 
        {0x1.1cbfb15b573ebp+1, 0x1.1f141205bc01ap+1, 0x1.50ec40d1189b6p-5, -0x1.4a19795d3f7e7p-3, 0x1.d6cfd55a0bf93p-3, -0x1.25ed0863a9d7p-3}, 
        {0x1.1f141205bc01ap+1, 0x1.216872b020c4ap+1, 0x1.3982227f67dc6p-5, -0x1.3941088f55b62p-3, 0x1.c6c37461b65cbp-3, -0x1.1799cbc8cf4b9p-3}, 
        {0x1.216872b020c4ap+1, 0x1.23bcd35a85879p+1, 0x1.234c9b641f0e6p-5, -0x1.28fa7e5b08b17p-3, 0x1.b77f4e9471b2ep-3, -0x1.150b3c9f27f5bp-3}, 
        {0x1.23bcd35a85879p+1, 0x1.26113404ea4a9p+1, 0x1.0e413db1123b8p-5, -0x1.19418f51d460bp-3, 0x1.a85ee5f1f30d1p-3, -0x1.0f6e04b2795cdp-3}, 
        {0x1.26113404ea4a9p+1, 0x1.286594af4f0d8p+1, 0x1.f4ab968953574p-6, -0x1.0a142751e255fp-3, 0x1.998cf62cd00f2p-3, -0x1.0aaf1eba90ebap-3}, 
        {0x1.286594af4f0d8p+1, 0x1.2ab9f559b3d08p+1, 0x1.cf006a09e94adp-6, -0x1.f6df475b3042ep-4, 0x1.8afd5bc48547ap-3, -0x1.05b1157ee6d43p-3}, 
        {0x1.2ab9f559b3d08p+1, 0x1.2d0e560418937p+1, 0x1.ab6d3535e27d2p-6, -0x1.daa3146c0a0ffp-4, 0x1.7cb3893cb8acep-3, -0x1.00e2ac1938323p-3}, 
        {0x1.2d0e560418937p+1, 0x1.2f62b6ae7d567p+1, 0x1.89de94ae1ef81p-6, -0x1.bf6eb993d6853p-4, 0x1.6eace4e8cf5c9p-3, -0x1.f81d4f5a4ebcap-4}, 
        {0x1.2f62b6ae7d567p+1, 0x1.31b71758e2196p+1, 0x1.6a4180e18e664p-6, -0x1.a53d4ff10083dp-4, 0x1.60e9bd22fdb2bp-3, -0x1.ee770d39b4135p-4}, 
        {0x1.31b71758e2196p+1, 0x1.340b780346dc6p+1, 0x1.4c834dbab973p-6, -0x1.8c09ee3b81bdfp-4, 0x1.536a058156c29p-3, -0x1.e509146e9d583p-4}, 
        {0x1.340b780346dc6p+1, 0x1.365fd8adab9f5p+1, 0x1.3091aa4d4b2b6p-6, -0x1.73cfb9f0a0cbap-4, 0x1.462c34a3e6617p-3, -0x1.db9a4d01aab31p-4}, 
        {0x1.365fd8adab9f5p+1, 0x1.38b4395810625p+1, 0x1.165a9f70b99fap-6, -0x1.5c89e6aab3306p-4, 0x1.3930502ec91eap-3, -0x1.d23c09a753646p-4}, 
        {0x1.38b4395810625p+1, 0x1.3b089a0275254p+1, 0x1.fb991ea4a4c85p-7, -0x1.4633ac031475bp-4, 0x1.2c75e4b4d7751p-3, -0x1.c8f37c461635dp-4}, 
        {0x1.3b089a0275254p+1, 0x1.3d5cfaacd9e84p+1, 0x1.cdac69d79463fp-7, -0x1.30c84b4c9ed79p-4, 0x1.1ffc5a7a81802p-3, -0x1.bfceb8b3d1679p-4}, 
        {0x1.3d5cfaacd9e84p+1, 0x1.3fb15b573eab3p+1, 0x1.a2cd464eabd02p-7, -0x1.1c43147ac6005p-4, 0x1.13c2b761bb31ep-3, -0x1.b6903db92d52fp-4}, 
        {0x1.3fb15b573eab3p+1, 0x1.4205bc01a36e3p+1, 0x1.7ada880787192p-7, -0x1.089f5a10ea809p-4, 0x1.07c9af24a3331p-3, -0x1.ada63b475dac3p-4}, 
        {0x1.4205bc01a36e3p+1, 0x1.445a1cac08312p+1, 0x1.55b3b0f1fad9ap-7, -0x1.ebb0fb098b89ep-5, 0x1.f81de6d35b23ap-4, -0x1.a49364994847fp-4}, 
        {0x1.445a1cac08312p+1, 0x1.46ae7d566cf42p+1, 0x1.3338ed9675bfap-7, -0x1.c7d3d6cc6dc58p-5, 0x1.e1274312df215p-4, -0x1.9bb54f3b3cad5p-4}, 
        {0x1.46ae7d566cf42p+1, 0x1.4902de00d1b71p+1, 0x1.134b1568772bcp-7, -0x1.a59e269b95b47p-5, 0x1.caac91a3f6b24p-4, -0x1.92e02fe895aeap-4}, 
        {0x1.4902de00d1b71p+1, 0x1.4b573eab367a1p+1, 0x1.eb9751209f28fp-8, -0x1.8506e90e95bcap-5, 0x1.b4ad5545654eep-4, -0x1.8a1e4df8ace71p-4}, 
        {0x1.4b573eab367a1p+1, 0x1.4dab9f559b3dp+1, 0x1.b5399d2c8e8fep-8, -0x1.66052b1622dd2p-5, 0x1.9f28810a18b14p-4, -0x1.81709a113b77bp-4}, 
        {0x1.4dab9f559b3dp+1, 0x1.5p+1, 0x1.8342aa26891b9p-8, -0x1.48900db14df7dp-5, 0x1.8a1cfae1526d3p-4, -0x1.78d537282983ap-4}, 
        {0x1.5p+1, 0x1.525460aa64c3p+1, 0x1.55795c75ec524p-8, -0x1.2c9ec5753dfd8p-5, 0x1.7589c2c631d93p-4, -0x1.704d70f25f5e9p-4}, 
        {0x1.525460aa64c3p+1, 0x1.54a8c154c985fp+1, 0x1.2ba5deecf7f4fp-8, -0x1.12289a433e86cp-5, 0x1.616dc6975fbcdp-4, -0x1.67d9702f6b405p-4}, 
        {0x1.54a8c154c985fp+1, 0x1.56fd21ff2e48fp+1, 0x1.05919fe821c3dp-8, -0x1.f249d00c7f4cfp-6, 0x1.4dc7f1f9f4c34p-4, -0x1.5f7588e6f17bcp-4}, 
        {0x1.56fd21ff2e48fp+1, 0x1.595182a9930bep+1, 0x1.c60e9cf0d003p-9, -0x1.c31639d2a68c9p-6, 0x1.3a9763e5906f3p-4, -0x1.57294d253b3b4p-4}, 
        {0x1.595182a9930bep+1, 0x1.5ba5e353f7ceep+1, 0x1.87a5af733deeep-9, -0x1.96a576a6f75a5p-6, 0x1.27dad1808fdp-4, -0x1.4eeb856898e26p-4}, 
        {0x1.5ba5e353f7ceep+1, 0x1.5dfa43fe5c91dp+1, 0x1.4f82c77595f36p-9, -0x1.6ce6b22279f2fp-6, 0x1.159170c58d32dp-4, -0x1.46c49e68ff8d7p-4}, 
        {0x1.5dfa43fe5c91dp+1, 0x1.604ea4a8c154dp+1, 0x1.1d42a5d4d6d59p-9, -0x1.45c93ddae07a9p-6, 0x1.03ba01ed62fbep-4, -0x1.3ead817f851d4p-4}, 
        {0x1.604ea4a8c154dp+1, 0x1.62a305532617cp+1, 0x1.e108ec5348ffp-10, -0x1.213c92be9a84cp-6, 0x1.e4a7508accd4dp-5, -0x1.36ac3263e5fep-4}, 
        {0x1.62a305532617cp+1, 0x1.64f765fd8adacp+1, 0x1.91d392e9c60f9p-10, -0x1.fe609ffa22b64p-7, 0x1.c2ba6612bb9a6p-5, -0x1.2ebbe5c484e36p-4}, 
        {0x1.64f765fd8adacp+1, 0x1.674bc6a7ef9dbp+1, 0x1.4c2d2064c6738p-10, -0x1.bf28788916542p-7, 0x1.a1ab68f010369p-5, -0x1.26e112d4f5d5ap-4}, 
        {0x1.674bc6a7ef9dbp+1, 0x1.69a027525460bp+1, 0x1.0f6229b3053a2p-10, -0x1.84b08ad92551ep-7, 0x1.817800c9db90bp-5, -0x1.1f15c9b515c3dp-4}, 
        {0x1.69a027525460bp+1, 0x1.6bf487fcb923ap+1, 0x1.b587d80e8a2abp-11, -0x1.4ed8fded58acdp-7, 0x1.621e7b3f9b3c1p-5, -0x1.1760f943fc219p-4}, 
        {0x1.6bf487fcb923ap+1, 0x1.6e48e8a71de6ap+1, 0x1.5b5084bb02d06p-11, -0x1.1d824623a0b3ap-7, 0x1.439c641fe9e47p-5, -0x1.0fbd5bfac92d5p-4}, 
        {0x1.6e48e8a71de6ap+1, 0x1.709d495182a99p+1, 0x1.0ed332bc9daf1p-11, -0x1.e11a512cef2fbp-8, 0x1.25efda97ad371p-5, -0x1.082d71c39b487p-4}, 
        {0x1.709d495182a99p+1, 0x1.72f1a9fbe76c9p+1, 0x1.9d9b91a39c992p-12, -0x1.8fb56af171538p-8, 0x1.0916b7f2da9f1p-5, -0x1.00b0278e8e541p-4}, 
        {0x1.72f1a9fbe76c9p+1, 0x1.75460aa64c2f8p+1, 0x1.340e490364ad2p-12, -0x1.469895f84d903p-8, 0x1.da1de70da3ac2p-6, -0x1.f28de147728efp-5}, 
        {0x1.75460aa64c2f8p+1, 0x1.779a6b50b0f28p+1, 0x1.bd3c0e2424a2cp-13, -0x1.05872c2a7cb12p-8, 0x1.a3acb83b647a4p-6, -0x1.e3dbe32a045dap-5}, 
        {0x1.779a6b50b0f28p+1, 0x1.79eecbfb15b57p+1, 0x1.35f7b46cc1497p-13, -0x1.988a36550ab9cp-9, 0x1.6ed658aad2cb7p-6, -0x1.d5638136b849ap-5}, 
        {0x1.79eecbfb15b57p+1, 0x1.7c432ca57a787p+1, 0x1.9ba8db4bf4165p-14, -0x1.352e0fb96b1a5p-9, 0x1.3b947ddc0aa77p-6, -0x1.c6c92da1123b4p-5}, 
        {0x1.7c432ca57a787p+1, 0x1.7e978d4fdf3b6p+1, 0x1.00f32834709efp-14, -0x1.c1071d3d3870dp-10, 0x1.09eadcb78235ap-6, -0x1.b9626fd6bf632p-5}, 
        {0x1.7e978d4fdf3b6p+1, 0x1.80ebedfa43fe6p+1, 0x1.26c263d37101p-15, -0x1.34316dd9a83c1p-10, 0x1.b36fbd453c84ep-7, -0x1.a833acc34df97p-5}, 
        {0x1.80ebedfa43fe6p+1, 0x1.83404ea4a8c15p+1, 0x1.2b25503d93d07p-16, -0x1.85c43191d86b2p-11, 0x1.56ca71a6aa41bp-7, -0x1.a5d64a6c26961p-5}, 
        {0x1.83404ea4a8c15p+1, 0x1.8594af4f0d845p+1, 0x1.f44aebaca9866p-18, -0x1.b1e7f61449f16p-12, 0x1.f552ba9a32dfep-8, -0x1.6ce04e7bd4d9bp-5}, 
        {0x1.8594af4f0d845p+1, 0x1.87e90ff972474p+1, 0x1.25ce32b7f0654p-19, -0x1.78b153add011bp-13, 0x1.55f1fb08c4b0bp-8, -0x1.003005046cbc2p-4}, 
        {0x1.87e90ff972474p+1, 0x1.8a3d70a3d70a4p+1, 0x1.2327291171d87p-22, -0x1.b2f4ea5bf37fdp-15, 0x1.d88f1fd3b6cb5p-10, 0x1.89cbe2961d3ccp-3}, 
      }}, 
      -0x1.ed1e535f11682p+3, 0x1.2ff83406fd189p+8
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_n_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5483708ef4cd6p+0, -0x1.3dde73182d1fdp+0, -0x1.278ea2ed4ddafp+0, -0x1.11a4ba114ed6p+0, -0x1.f85e7eb3f925bp-1, -0x1.ce74f977e007cp-1, -0x1.a5a186c316d4p-1, -0x1.7df5984eed27cp-1, -0x1.577fadd7e0005p-1, -0x1.324b27ba63e8bp-1, -0x1.0e604c280af6bp-1, -0x1.d789759197062p-2, -0x1.94f81634a70a1p-2, -0x1.55107a5efd2b9p-2, -0x1.17d3b26b8f1ddp-2, -0x1.ba7f65c1f7a38p-3, -0x1.4a9e638905619p-3, -0x1.bfe7861c27b29p-4, -0x1.e9a86ec1f94dcp-5, -0x1.9e8c1c16a5f0dp-7, 0x1.06abba6049193p-5, 0x1.30da978a57272p-4, 0x1.d4eceeda4dcp-4, 0x1.37eaa5b9f2e6ep-3, 0x1.80eb80af1ded6p-3, 0x1.c59bdc7283779p-3, 0x1.030fa98f5cb42p-2, 0x1.214cf2f2ccba4p-2, 0x1.3d97ddb23e06cp-2, 0x1.58028094f4fbp-2, 0x1.709ef1c2247dfp-2, 0x1.877f44198bea3p-2, 0x1.9cb57f445a49fp-2, 0x1.b05390d60e857p-2, 0x1.c26b38538f71bp-2, 0x1.d30df0fdb54cp-2, 0x1.e24cdbf705ccdp-2, 0x1.f038ad17b65a6p-2, 0x1.fce19cb9f2a4ep-2, 0x1.042bb02ecebbap-1, 0x1.0954955c15d5ep-1, 0x1.0df2d8ec64e77p-1, 0x1.120d9c260b097p-1, 0x1.15abcab63dac2p-1, 0x1.18d41cd00e6dap-1, 0x1.1b8d1673645c9p-1, 0x1.1ddd040f75976p-1, 0x1.1fc9f58abf234p-1, 0x1.2159b9260f297p-1, 0x1.2291d7a135d9ep-1, 0x1.23779298d57d4p-1, 0x1.240fe5768af87p-1, 0x1.245f88b216c7cp-1, 0x1.246af6b0f792ep-1, 0x1.2436715c7cd86p-1, 0x1.23c6078c8c8a9p-1, 0x1.231d9998d412ap-1, 0x1.2240dcadace56p-1, 0x1.21335cd02da6ap-1, 0x1.1ff87dbd3f3cp-1, 0x1.1e937af905d95p-1, 0x1.1d0767749fa51p-1, 0x1.1b572d2b7eeaap-1, 0x1.19864b67a57cfp-1, 0x1.179663fa04fb7p-1, 0x1.1589fe36d0422p-1, 0x1.13635b51035c2p-1, 0x1.11249cac5f8a9p-1, 0x1.0ecfc5deaea53p-1, 0x1.0c66be61c2fe4p-1, 0x1.09eb52f961a6p-1, 0x1.075f36d8b61b7p-1, 0x1.04c40497fa2fep-1, 0x1.021b3f0c86b77p-1, 0x1.fecca4286b2e8p-2, 0x1.f94d26c38d4c8p-2, 0x1.f3ba86a786343p-2, 0x1.ee171bb643ec8p-2, 0x1.e86516e603cc5p-2, 0x1.e2a6844f66234p-2, 0x1.dcdd4d51f29dap-2, 0x1.d70b3ac40332fp-2, 0x1.d131f721cad2cp-2, 0x1.cb5310af63fb8p-2, 0x1.c56ffb833a48ep-2, 0x1.bf8a13704c3p-2, 0x1.b9a29dca84e1cp-2, 0x1.b3bacb0202018p-2, 0x1.add3b814b089ep-2, 0x1.a7ee6fd793848p-2, 0x1.a20bec1a9a88fp-2, 0x1.9c2d16aadcc63p-2, 0x1.9652ca37b55bep-2, 0x1.907dd31f66aefp-2, 0x1.8aaef027fff2dp-2, 0x1.84e6d328fd464p-2, 0x1.7f2621a9b134fp-2, 0x1.796d757800bdp-2, 0x1.73bd5d3a39e29p-2, 0x1.6e165cfe1c807p-2, 0x1.6878eec648c2ep-2, 0x1.62e58316a38ccp-2, 0x1.5d5c817f9acabp-2, 0x1.57de4927b73fp-2, 0x1.526b3152ac309p-2, 0x1.4d0389e4ecef8p-2, 0x1.47a79be2cdef6p-2, 0x1.4257a9ea5bbap-2, 0x1.3d13f0a725c46p-2, 0x1.37dca73f77e49p-2, 0x1.32b1ffba9788ep-2, 0x1.2d94275fce971p-2, 0x1.2883470e2217p-2, 0x1.237f838cbf367p-2, 0x1.1e88fdd43a5b6p-2, 0x1.199fd350e3ffap-2, 0x1.14c41e1e820efp-2, 0x1.0ff5f53de79c3p-2, 0x1.0b356cc4e8b4fp-2, 0x1.068296093d395p-2, 0x1.01dd7fc6fab9cp-2, 0x1.fa8c6c86642cap-3, 0x1.f17986d6b70bfp-3, 0x1.e8825de424a3fp-3, 0x1.dfa6fcd344e9bp-3, 0x1.d6e76ab9aa5dcp-3, 0x1.ce43aacc9cbc1p-3, 0x1.c5bbbc8d92a57p-3, 0x1.bd4f9bf4c4dccp-3, 0x1.b4ff419a3bd98p-3, 0x1.accaa2dd848b9p-3, 0x1.a4b1b20c4ac44p-3, 0x1.9cb45e87dcc96p-3, 0x1.94d294e9cbf7fp-3, 0x1.8d0c3f279c635p-3, 0x1.856144b597ac7p-3, 0x1.7dd18aa8bce85p-3, 0x1.765cf3d7c68d1p-3, 0x1.6f0360fb35ae5p-3, 0x1.67c4b0cc61a82p-3, 0x1.60a0c02359344p-3, 0x1.59976a13aa05ap-3, 0x1.52a88807cc10ap-3, 0x1.4bd3f1db467d9p-3, 0x1.45197df3624a4p-3, 0x1.3e7901566a9b1p-3, 0x1.37f24fc17817bp-3, 0x1.31859e908542ep-3, 0x1.2b31de89a8aa1p-3, 0x1.24f75d6c86754p-3, 0x1.1ed5eb380b0cap-3, 0x1.18cd56ebbe5d5p-3, 0x1.12dd6e9285073p-3, 0x1.0d05ff4d1f913p-3, 0x1.0746d55c74d7fp-3, 0x1.019fbc2bc75fp-3, 0x1.f820fcb5cab79p-4, 0x1.ed31cb90a52f8p-4, 0x1.e2717736f9c25p-4, 0x1.d7df909df450dp-4, 0x1.cd7ba7757ba3cp-4, 0x1.c3454a3cbd7c2p-4, 0x1.b93c06567b4e5p-4, 0x1.af5f681d4ff41p-4, 0x1.a5aefaf7a472p-4, 0x1.9c2a496b53d02p-4, 0x1.92d0dd30fb08ap-4, 0x1.89a23f46b90edp-4, 0x1.809df8027c231p-4, 0x1.77c38f23b483cp-4, 0x1.6f128be46e3dfp-4, 0x1.668a7509c9ac4p-4, 0x1.5e2ad0f3cfd31p-4, 0x1.55f325aca3211p-4, 0x1.4de2f8f70b595p-4, 0x1.45f9d05c678ecp-4, 0x1.3e37313a04c8cp-4, 0x1.369aa0cde628ep-4, 0x1.2f23a44305c78p-4, 0x1.27d1c0bd15d8ap-4, 0x1.20a47b63cf773p-4, 0x1.199b596dd5125p-4, 0x1.12b5e02b3715fp-4, 0x1.0bf3950f9f08fp-4, 0x1.0553fdbc30401p-4, 0x1.fdad401241961p-5, 0x1.f0f6041e304c4p-5, 0x1.e4815460a9249p-5, 0x1.d84e3e43466e2p-5, 0x1.cc5bcfe6550dcp-5, 0x1.c0a918321ceddp-5, 0x1.b53526e7dfe4p-5, 0x1.a9ff0cb295643p-5, 0x1.9f05db3762a4ep-5, 0x1.9448a525d206ep-5, 0x1.89c67e47c8b0fp-5, 0x1.7f7e7b913abadp-5, 0x1.756fb32f96285p-5, 0x1.6b993c98e83b3p-5, 0x1.61fa309ab17d9p-5, 0x1.5891a9686b569p-5, 0x1.4f5ec2a9b4f52p-5, 0x1.4660998828442p-5, 0x1.3d964cbcca3edp-5, 0x1.34fefc9d1dad3p-5, 0x1.2c99cb27c7c06p-5, 0x1.2465dc10cce3fp-5, 0x1.1c6254cd5e057p-5, 0x1.148e5c9f321bcp-5, 0x1.0ce91c9f6c454p-5, 0x1.0571bfc90cbd3p-5, 0x1.fc4ee605cf72ep-6, 0x1.ee12ca524c20ap-6, 0x1.e02d8e2c94be4p-6, 0x1.d29d97577c6bdp-6, 0x1.c5614fb3c9a52p-6, 0x1.b877254f6e928p-6, 0x1.abdd8a73cbc43p-6, 0x1.9f92f5b30ab58p-6, 0x1.9395e1f49019p-6, 0x1.87e4ce807d7bp-6, 0x1.7c7e3f0a5f155p-6, 0x1.7160bbbaed31dp-6, 0x1.668ad138f8563p-6, 0x1.5bfb10b18308p-6, 0x1.51b00fdf02d4cp-6, 0x1.47a8690fdc51ap-6, 0x1.3de2bb2c10ecfp-6, 0x1.345da9ba2f74bp-6, 0x1.2b17dce38265cp-6, 0x1.2210017787f9ap-6, 0x1.1944c8eeb7776p-6, 0x1.10b4e96c92602p-6, 0x1.085f1dc1103d5p-6, 0x1.0042256962f4fp-6, 0x1.f0b9892031211p-7, 0x1.e15b881944688p-7, 0x1.d267e2c484c62p-7, 0x1.c3dc3d7cd060dp-7, 0x1.b5b645ecf2f96p-7, 0x1.a7f3b30a22513p-7, 0x1.9a92450d79052p-7, 0x1.8d8fc56c57ee3p-7, 0x1.80ea06cfd4088p-7, 0x1.749ee50b3519ap-7, 0x1.68ac451179d35p-7, 0x1.5d1014e9f7f78p-7, 0x1.51c84ba427f96p-7, 0x1.46d2e94a8d2f4p-7, 0x1.3c2df6d4d2ef6p-7, 0x1.31d786192af95p-7, 0x1.27cdb1bcdf85fp-7, 0x1.1e0e9d2431566p-7, 0x1.149874618ae7cp-7, 0x1.0b696c23fcd61p-7, 0x1.027fc1a52b417p-7, 0x1.f3b3752d1cbfbp-8, 0x1.e2eb4a1c57e7bp-8, 0x1.d2a3aee578906p-8, 0x1.c2d960ceaa95ep-8, 0x1.b3892d6d1a912p-8, 0x1.a4aff27a5a681p-8, 0x1.964a9da8e618p-8, 0x1.88562c77ccaafp-8, 0x1.7acfac05ad7ap-8, 0x1.6db438e2e71d4p-8, 0x1.6100fee326334p-8, 0x1.54b338ee5f41dp-8, 0x1.48c830d12ee74p-8, 0x1.3d3d3f0cbba9ep-8, 0x1.320fcaa62778bp-8, 0x1.273d48f589d37p-8, 0x1.1cc33d7494192p-8, 0x1.129f398cdffdp-8, 0x1.08cedc65f7551p-8, 0x1.fe9fa56638072p-9, 0x1.ec3fad01b1fa4p-9, 0x1.da795e04edc2cp-9, 0x1.c94860be7c616p-9, 0x1.b8a876ff71e5p-9, 0x1.a8957bb5b0fabp-9, 0x1.990b628640a0ap-9, 0x1.8a0637679d57ap-9, 0x1.7b821e3c33fd9p-9, 0x1.6d7b526d0da16p-9, 0x1.5fee26849e3eap-9, 0x1.52d703c9f4dcbp-9, 0x1.463269dc3c2edp-9, 0x1.39fcee4e8a03ap-9, 0x1.2e333c446009cp-9, 0x1.22d2140e6c30bp-9, 0x1.17d64ac7f54d8p-9, 0x1.0d3cc9f4d47bfp-9, 0x1.03028f2023c4dp-9, 0x1.f24956f715e9cp-10, 0x1.df4086fe662adp-10, 0x1.cce51d1566907p-10, 0x1.bb31ad0d1a617p-10, 0x1.aa20ef0d2efc1p-10, 0x1.99adbeda97c6cp-10, 0x1.89d31b1fc3f4fp-10, 0x1.7a8c24b6c0508p-10, 0x1.6bd41df5528adp-10, 0x1.5da669fae10bfp-10, 0x1.4ffe8c0056895p-10, 0x1.42d826aa31cf2p-10, 0x1.362efb5c69e89p-10, 0x1.29fee990b6c61p-10, 0x1.1e43ee2eb744fp-10, 0x1.12fa22e672b28p-10, 0x1.081dbd8cfa1ecp-10, 0x1.fb561ef64bc6ap-11, 0x1.e73d09ddbece6p-11, 0x1.d3e948dcbca91p-11, 0x1.c1541c5bbcae2p-11, 0x1.af1ae204421ep-11, 0x1.9df0848cdadefp-11, 0x1.8d71ba5a5d029p-11, 0x1.7d98847f8bf6cp-11, 0x1.6e5f11a04644bp-11, 0x1.5fbfbcd9da0afp-11, 0x1.51b50cb00edap-11, 0x1.4439b1ff13cbap-11, 0x1.374886f1bba18p-11, 0x1.2adc8dfcaf21dp-11, 0x1.1ef0f0ddf4e95p-11, 0x1.1380ffa17d386p-11, 0x1.08882fa9e0c15p-11, 0x1.fc04357ba8cf9p-12, 0x1.e7d4fc343da4p-12, 0x1.d47a73101f266p-12, 0x1.c1ec9cf0f1372p-12, 0x1.b023be45a51f5p-12, 0x1.9f185b52343a8p-12, 0x1.8ec3367f803e8p-12, 0x1.7f1d4eb3e0b08p-12, 0x1.701fddb47d804p-12, 0x1.61c4568e99a9dp-12, 0x1.540464097d811p-12, 0x1.46d9e72099861p-12, 0x1.3a3ef585b2771p-12, 0x1.2e2dd82b05f81p-12, 0x1.22a109d57d6cbp-12, 0x1.179335b6a18ecp-12, 0x1.0cff360e3da41p-12, 0x1.02e012d3f006cp-12, 0x1.f26200cfc495ap-13, 0x1.dfdabc9624c68p-13, 0x1.ce216bbe0a499p-13, 0x1.bd2d725985404p-13, 0x1.acf68364e0944p-13, 0x1.9d749e715ef51p-13, 0x1.8ea00d5d17855p-13, 0x1.807162181ba63p-13, 0x1.72e17477b50bbp-13, 0x1.65e960165e9eep-13, 0x1.59828240f2ad7p-13, 0x1.4da677f0c0f0cp-13, 0x1.424f1bd263e3bp-13, 0x1.37768458a8771p-13, 0x1.2d1701db7aa24p-13, 0x1.232b1cc3bd655p-13, 0x1.19ad93c217a29p-13, 0x1.10995a11815f9p-13, 0x1.07e995c5cf949p-13, 0x1.ff333c494d049p-14, 0x1.ef49f413e5957p-14, 0x1.e00ebcadd4c84p-14, 0x1.d17958d7b5843p-14, 0x1.c381e1593af29p-14, 0x1.b620c21c87bfp-14, 0x1.a94eb760880c5p-14, 0x1.9d04cafcb8dc4p-14, 0x1.913c51b8ad678p-14, 0x1.85eee8b74f561p-14, 0x1.7b1672f2ec725p-14, 0x1.70ad16cdda4a5p-14, 0x1.66ad3bb247863p-14, 0x1.5d1187c4f9509p-14, 0x1.53d4dda8eac2ep-14, 0x1.4af25a52daf5bp-14, 0x1.426552ed9e18p-14, 0x1.3a2952ce3af0fp-14, 0x1.323a1977b658dp-14, 0x1.2a9398ad0a41bp-14, 0x1.2331f2942c56fp-14, 0x1.1c1177e4b0a1p-14, 0x1.152ea62713448p-14, 0x1.0e8626001ce9bp-14, 0x1.0814c98ab869ep-14, 0x1.01d78abd90d24p-14, 0x1.f79713c077b7dp-15, 0x1.ebdc1810dd708p-15, 0x1.e078f351e2621p-15, 0x1.d568ba4db8588p-15, 0x1.caa6c2fdd2d46p-15, 0x1.c02ea1e537043p-15, 0x1.b5fc27855dfaep-15, 0x1.ac0b5de640f06p-15, 0x1.a2588632f833p-15, 0x1.98e0166b5659cp-15, 0x1.8f9eb7298498bp-15, 0x1.86914179af04dp-15, 0x1.7db4bcc4036f3p-15, 0x1.75065ccbd6a7ap-15, 0x1.6c837fbb79bf2p-15, 0x1.6429ac44f92aep-15, 0x1.5bf68fd32f3edp-15, 0x1.53e7fcc7d41d1p-15, 0x1.4bfbe8cdfbf27p-15, 0x1.44306b37f67cfp-15, 0x1.3c83bb6e12bf4p-15, 0x1.34f42f6a5a096p-15, 0x1.2d803a44bc9c4p-15, 0x1.26266ac995b29p-15, 0x1.1ee56a1fee14ap-15, 0x1.17bbfa7b950d6p-15, 0x1.10a8f5dbe8a67p-15, 0x1.09ab4cd63538fp-15, 0x1.02c2056c479c1p-15, 0x1.f7d873dcd8492p-16, 0x1.ea522fced98a4p-16, 0x1.dcefbe2afde4bp-16, 0x1.cfafc0d671f0dp-16, 0x1.c290fa3601e11p-16, 0x1.b5924b5c302c6p-16, 0x1.a8b2b2457f879p-16, 0x1.9bf148296f435p-16, 0x1.8f4d3fdd01933p-16, 0x1.82c5e4451206ap-16, 0x1.765a96daec385p-16, 0x1.6a0ace41351d2p-16, 0x1.5dd614e727552p-16, 0x1.51bc07b6fc2ccp-16, 0x1.45bc54de1a35bp-16, 0x1.39d6ba9730bf7p-16, 0x1.2e0b060a4cd95p-16, 0x1.2259122fc2823p-16, 0x1.16c0c6cf2f5aep-16, 0x1.0b42177e35491p-16, 0x1.ffba055afa9e6p-17, 0x1.e9232189b5867p-17, 0x1.d2bfa68febbd1p-17, 0x1.bc8fc805eaeaep-17, 0x1.a693c88ed122cp-17, 0x1.90cbf85bd98b4p-17, 0x1.7b38b3c591ff6p-17, 0x1.65da61fab5e9p-17, 0x1.50b173b7e299ap-17, 0x1.3bbe621d55558p-17, 0x1.2701ad8995cd8p-17, 0x1.127bdc8730ap-17, 0x1.fc5af595750dbp-18, 0x1.d42e30815b9c7p-18, 0x1.ac729044300a3p-18, 0x1.8529403edc5b9p-18, 0x1.5e536f2f3ee01p-18, 0x1.37f24da20ba58p-18, 0x1.12070c944a073p-18, 0x1.d925b83c1645dp-19, 0x1.8f2dd471ed04dp-19, 0x1.4628c333d1a25p-19, 0x1.fc31a27cc2948p-20, 0x1.6e0081192131bp-20, 0x1.c3851aa97f99ap-21, 0x1.5df0569393596p-22, -0x1.8675b986b0b4dp-23, -0x1.6e3399ea33629p-21, -0x1.3b6144b807ac6p-20, -0x1.bda15f577b5f7p-20, -0x1.1eeb43bddda1p-19, -0x1.5dfea9f5fee0bp-19, -0x1.9c094498ac375p-19, -0x1.d9098da1f8215p-19, -0x1.0a7f0bc1afb82p-18, -0x1.27f2c6dbde3fp-18, -0x1.44df5ab013283p-18, -0x1.614436ea201eap-18, -0x1.7d20d86e743d9p-18, -0x1.9874c98e21764p-18, -0x1.b33fa230bafc3p-18, -0x1.cd8107e6a2747p-18, -0x1.e738ae02b5a12p-18, -0x1.00332acbbab91p-17, -0x1.0c84e6c9d7c03p-17, -0x1.18917956412d8p-17, -0x1.2458d7acf2064p-17, -0x1.2fdafde72aa2cp-17, -0x1.3b17eeeee30e6p-17, -0x1.460fb4772130ap-17, -0x1.50c25ee8f4283p-17, -0x1.5b3005567d2d6p-17, -0x1.6558c56607feep-17, -0x1.6f3cc33ec9916p-17, -0x1.78dc29709bd46p-17, -0x1.823728e2e7cd3p-17, -0x1.8b4df8b0a9bf2p-17, -0x1.9420d6160fcefp-17, -0x1.9cb0044efe0a2p-17, -0x1.a4fbcc7c84d04p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.10a1b3ca099a1p+1, -0x1.0b779d66260d1p+1, -0x1.06430018db37ap+1, -0x1.01074a2bca746p+1, -0x1.f78f53f2fc5f1p+0, -0x1.ed0e172e172f1p+0, -0x1.e29041e4fb762p+0, -0x1.d81ac7b806d89p+0, -0x1.cdb2291adf071p+0, -0x1.c35a7afe6da73p+0, -0x1.b9177005780f8p+0, -0x1.aeec5e75fd639p+0, -0x1.a4dc4638dc8fdp+0, -0x1.9ae9d605aac1cp+0, -0x1.91176ecd352adp+0, -0x1.87672797c932dp+0, -0x1.7ddad361f2b9p+0, -0x1.747408004fd0cp+0, -0x1.6b3424223eff7p+0, -0x1.621c539183294p+0, -0x1.592d924a0ba2cp+0, -0x1.5068b6d8618fdp+0, -0x1.47ce5929e5733p+0, -0x1.3f5efa935245dp+0, -0x1.371af607afdccp+0, -0x1.2f0287068dab1p+0, -0x1.2715cbef820b4p+0, -0x1.1f54c7fee3004p+0, -0x1.17bf659e629fep+0, -0x1.10557919242d9p+0, -0x1.0916c3325a8ecp+0, -0x1.0202f32743f3p+0, -0x1.f633503d1a90cp-1, -0x1.e8b4e4d3f0376p-1, -0x1.db89a9fd9e3d3p-1, -0x1.ceb08e7a7bb2ep-1, -0x1.c2286d9d806eap-1, -0x1.b5f0128fc1166p-1, -0x1.aa063ab0520fdp-1, -0x1.9e69971b3eb9ep-1, -0x1.9318cdbfe92bep-1, -0x1.88127a86c63fbp-1, -0x1.7d5530d9fa90fp-1, -0x1.72df7d97f8179p-1, -0x1.68afe93631736p-1, -0x1.5ec4f9bfb595p-1, -0x1.551d346aecd8dp-1, -0x1.4bb71eab0cbb4p-1, -0x1.42913ece7e7f6p-1, -0x1.39aa1c59b2c62p-1, -0x1.31004055f403ap-1, -0x1.289235bfd523ap-1, -0x1.205e8a28f1ce1p-1, -0x1.1863ce86dca72p-1, -0x1.10a09815a23bdp-1, -0x1.0913812c06796p-1, -0x1.01bb29e34f4c2p-1, -0x1.f52c7101e3c65p-2, -0x1.e746b341aa013p-2, -0x1.d9c2805b0653fp-2, -0x1.cc9d4a79c99dp-2, -0x1.bfd48fd4217b2p-2, -0x1.b365da80c5b26p-2, -0x1.a74ecc2140d94p-2, -0x1.9b8ce2364a30dp-2, -0x1.901de3d732657p-2, -0x1.84ff8fde991d5p-2, -0x1.7a2fb2be33508p-2, -0x1.6fac267cc3e07p-2, -0x1.6572d2a34917bp-2, -0x1.5b81ac1afd5efp-2, -0x1.51d6b4ffe3c3fp-2, -0x1.486ffc6c858eap-2, -0x1.3f4b9e4350e85p-2, -0x1.3667c2f8e25d1p-2, -0x1.2dc29f60d7f5ap-2, -0x1.255a747d27bf8p-2, -0x1.1d2d8f4eb612bp-2, -0x1.153a48a543d59p-2, -0x1.0d7f04ecc0b0fp-2, -0x1.05fa33f6981efp-2, -0x1.fd54a17cb0bcbp-3, -0x1.ef1bc253d9cb5p-3, -0x1.e146eb8cd194bp-3, -0x1.d3d353059b688p-3, -0x1.c6be42d4c00e3p-3, -0x1.ba0518bfe2acep-3, -0x1.ada545b62995ap-3, -0x1.a19c4d4f91c66p-3, -0x1.95e7c5510ad74p-3, -0x1.8a855534a61f8p-3, -0x1.7f72b5b483c82p-3, -0x1.74adb0572b256p-3, -0x1.6a341efc288e1p-3, -0x1.6003eb6847cd4p-3, -0x1.561b0ed135868p-3, -0x1.4c779168f9055p-3, -0x1.431789e9f9e8p-3, -0x1.39f91d24a4f75p-3, -0x1.311a7d8fa919cp-3, -0x1.2879eadbcb76bp-3, -0x1.2015b18bf4a4fp-3, -0x1.17ec2a91d7a49p-3, -0x1.0ffbbaef3d33p-3, -0x1.0842d35bbc0f2p-3, -0x1.00bfefee55d63p-3, -0x1.f2e32f94ec95cp-4, -0x1.e4acb99f3194ep-4, -0x1.d6d9b6961e3a4p-4, -0x1.c9677356a9f5dp-4, -0x1.bc53506935e3ep-4, -0x1.af9ac16c9475dp-4, -0x1.a33b4c82f15f1p-4, -0x1.973289c0ab8afp-4, -0x1.8b7e229d86165p-4, -0x1.801bd168b2211p-4, -0x1.750960c0342d8p-4, -0x1.6a44ab0c3af0bp-4, -0x1.5fcb99fedc626p-4, -0x1.559c26189a849p-4, -0x1.4bb45631e993fp-4, -0x1.42123f09c8e1p-4, -0x1.38b402d964499p-4, -0x1.2f97d0ec85adp-4, -0x1.26bbe53e92ce4p-4, -0x1.1e1e881bb1c73p-4, -0x1.15be0dc5badb9p-4, -0x1.0d98d61c7ea45p-4, -0x1.05ad4c490a309p-4, -0x1.fbf3ccd7116d6p-5, -0x1.ecfa4a96f565p-5, -0x1.de6b2814090c2p-5, -0x1.d0438fac58fe4p-5, -0x1.c280bf45d9fb6p-5, -0x1.b52007be1c215p-5, -0x1.a81ecc5d87706p-5, -0x1.9b7a824e33e6cp-5, -0x1.8f30b01670e76p-5, -0x1.833eed1719795p-5, -0x1.77a2e10dcf1p-5, -0x1.6c5a439b3213ep-5, -0x1.6162dbcd1edc4p-5, -0x1.56ba7facfd2bdp-5, -0x1.4c5f13d21369ep-5, -0x1.424e8af7ca3dbp-5, -0x1.3886e597cc23dp-5, -0x1.2f063187d6118p-5, -0x1.25ca8d2bdca1ep-5, -0x1.1cd217ce060ap-5, -0x1.141b097929903p-5, -0x1.0ba3a1f22997ap-5, -0x1.036a2ca33a273p-5, -0x1.f6da0096058fdp-6, -0x1.e754fd5c9c38bp-6, -0x1.d842289847523p-6, -0x1.c99e7028854f4p-6, -0x1.bb66d63faa26fp-6, -0x1.ad9870d8a4ffep-6, -0x1.a0306930ed211p-6, -0x1.932bfb466b3bfp-6, -0x1.8688755940cc7p-6, -0x1.7a43377146282p-6, -0x1.6e59b2e718876p-6, -0x1.62c969f0a01cdp-6, -0x1.578fef30e7864p-6, -0x1.4caae54b3468p-6, -0x1.4217fe7936fa3p-6, -0x1.37d4fc2442755p-6, -0x1.2ddfae8171831p-6, -0x1.2435f4309d5ffp-6, -0x1.1ad5b9de14ac1p-6, -0x1.11bcf9e6f512cp-6, -0x1.08e9bc001dedbp-6, -0x1.005a14df9313cp-6, -0x1.f0184bd0a3e14p-7, -0x1.dffc39b0e18f1p-7, -0x1.d05c66f3039a4p-7, -0x1.c1355ea6401d5p-7, -0x1.b283c2bf291d4p-7, -0x1.a4444b850c714p-7, -0x1.9673c70338162p-7, -0x1.890f187e0dd14p-7, -0x1.7c1337ebc0236p-7, -0x1.6f7d3170a91p-7, -0x1.634a24def45b1p-7, -0x1.57774539c4a4cp-7, -0x1.4c01d83b77e92p-7, -0x1.40e735df19e1ep-7, -0x1.3624c7ecdaa2bp-7, -0x1.2bb8098979cfcp-7, -0x1.219e86c88a91dp-7, -0x1.17d5dc418475p-7, -0x1.0e5bb6a77a11ep-7, -0x1.052dd2637ab69p-7, -0x1.f893f662e1cc7p-8, -0x1.e75c177ef91cfp-8, -0x1.d6afda9f6524ap-8, -0x1.c68b2eb859f4bp-8, -0x1.b6ea1e7ab194dp-8, -0x1.a7c8cfa4f7b6ap-8, -0x1.99238258a6651p-8, -0x1.8af690738d7dbp-8, -0x1.7d3e6ced3bdc4p-8, -0x1.6ff7a3384d39bp-8, -0x1.631ed6a785aadp-8, -0x1.56b0c1d69f705p-8, -0x1.4aaa3616ac6a6p-8, -0x1.3f081addf26a6p-8, -0x1.33c76d3b3d09dp-8, -0x1.28e53f4c69124p-8, -0x1.1e5eb7b849d4bp-8, -0x1.1431112b97a8p-8, -0x1.0a5999d8ee4ffp-8, -0x1.00d5b2fbf0b09p-8, -0x1.ef45a0be333bfp-9, -0x1.dd7cefc9446cp-9, -0x1.cc4c822405835p-9, -0x1.bbafa93c89752p-9, -0x1.aba1d805c1fb3p-9, -0x1.9c1ea21e9fc5bp-9, -0x1.8d21bafe17cbap-9, -0x1.7ea6f524186d3p-9, -0x1.70aa414f53642p-9, -0x1.6327adb7c56b9p-9, -0x1.561b654dc8666p-9, -0x1.4981aefd9d6f3p-9, -0x1.3d56ecf763005p-9, -0x1.31979bfb556cp-9, -0x1.264052aa347e7p-9, -0x1.1b4dc0d9c5d6ap-9, -0x1.10bcaeed58612p-9, -0x1.0689fd322def4p-9, -0x1.f965467f776e4p-10, -0x1.e6675eb7422cdp-10, -0x1.d4148bc2adaf5p-10, -0x1.c267415a6e8e6p-10, -0x1.b15a1d16ebec3p-10, -0x1.a0e7e5542c744p-10, -0x1.910b881cc0695p-10, -0x1.81c01a1b74f65p-10, -0x1.7300d5930bbb6p-10, -0x1.64c9195c7ed1p-10, -0x1.571467eb34c29p-10, -0x1.49de66575068dp-10, -0x1.3d22db6df0bb9p-10, -0x1.30ddaec70c28bp-10, -0x1.250ae7e0ebf23p-10, -0x1.19a6ad414f744p-10, -0x1.0ead439babb7p-10, -0x1.041b0cfd1d7e4p-10, -0x1.f3d90ffa1021ap-11, -0x1.e03c9de627eccp-11, -0x1.cd5a2e640698dp-11, -0x1.bb2b608e90e18p-11, -0x1.a9aa067f2393bp-11, -0x1.98d023df4c219p-11, -0x1.8897ec840c6abp-11, -0x1.78fbc311b9738p-11, -0x1.69f637a8c8241p-11, -0x1.5b82069aa7c63p-11, -0x1.4d9a17275037ep-11, -0x1.40397a42c1f1ap-11, -0x1.335b696266158p-11, -0x1.26fb455277f6ep-11, -0x1.1b149512ade3fp-11, -0x1.0fa304ba3eb0dp-11, -0x1.04a264640e744p-11, -0x1.f41d4e40c0179p-12, -0x1.dfc7c3dea13fp-12, -0x1.cc3c95811fbcep-12, -0x1.b9746ef55b03ep-12, -0x1.a7683a10ddbfep-12, -0x1.96111cd92a84p-12, -0x1.856877b8761e3p-12, -0x1.7567e3bd2a9f7p-12, -0x1.660930e662e51p-12, -0x1.5746647b1b797p-12, -0x1.4919b76dc022dp-12, -0x1.3b7d94c9f1225p-12, -0x1.2e6c982d3ea53p-12, -0x1.21e18c4aa8695p-12, -0x1.15d76978663p-12, -0x1.0a4954479082dp-12, -0x1.fe65384be74c8p-13, -0x1.e91d7412305ecp-13, -0x1.d4b29e45fdc37p-13, -0x1.c11c473fc0651p-13, -0x1.ae524ad9ca2a7p-13, -0x1.9c4cce0f787ccp-13, -0x1.8b043cac9c869p-13, -0x1.7a71470e5b85fp-13, -0x1.6a8cdff420b55p-13, -0x1.5b503a5fe3a3ep-13, -0x1.4cb4c786514ep-13, -0x1.3eb434cdeb12ap-13, -0x1.314869dd15363p-13, -0x1.246b86b58422ep-13, -0x1.1817e1df333c5p-13, -0x1.0c48069f3c883p-13, -0x1.00f6b33dcc07ep-13, -0x1.ec3daeacd4932p-14, -0x1.d7772470c6bc5p-14, -0x1.c390629ff6d3ep-14, -0x1.b0805d3c9ad04p-14, -0x1.9e3e5e7778a64p-14, -0x1.8cc203c8be065p-14, -0x1.7c033b254ebe7p-14, -0x1.6bfa4043b8407p-14, -0x1.5c9f99f8590b4p-14, -0x1.4dec17a701b6cp-14, -0x1.3fd8cec7a27eap-14, -0x1.325f187e2024dp-14, -0x1.25788f4568a9ap-14, -0x1.191f0caa1f78p-14, -0x1.0d4ca71d5b64ap-14, -0x1.01e9026088ca3p-14, -0x1.ee28f66204337p-15, -0x1.d96d5d9bea7b2p-15, -0x1.c595248eb35a3p-15, -0x1.b2969b2e3483bp-15, -0x1.a06873a7fde72p-15, -0x1.8f01bedcab81ep-15, -0x1.7e59e900609p-15, -0x1.6e68b64ee2f49p-15, -0x1.5f263fde96fd4p-15, -0x1.508af08cf0659p-15, -0x1.428f820345b46p-15, -0x1.352cf9d5e3534p-15, -0x1.285ca6bb4baep-15, -0x1.1c181dd84fe6fp-15, -0x1.10593825c176cp-15, -0x1.051a0feabcf8fp-15, -0x1.f4a9fc9a337afp-16, -0x1.e00931e92e9dfp-16, -0x1.cc475f893bfbep-16, -0x1.b95a9550c753ep-16, -0x1.a7394ee2b721cp-16, -0x1.95da6f95eb328p-16, -0x1.85353e77d5a5cp-16, -0x1.754162758366p-16, -0x1.65f6dea9e121p-16, -0x1.574e0ec9ea876p-16, -0x1.493fa3ab33955p-16, -0x1.3bc49ff30b712p-16, -0x1.2ed654dae3f5ap-16, -0x1.226e5f14ea76fp-16, -0x1.1686a3cce31cap-16, -0x1.0b194dc3dd157p-16, -0x1.0020ca84dab3fp-16, -0x1.eb2f8f6a931a7p-17, -0x1.d6f260ecbd89dp-17, -0x1.c38055d2f8b6fp-17, -0x1.b0d02b9859d38p-17, -0x1.9ed90c2c072cbp-17, -0x1.8d92898fe2915p-17, -0x1.7cf49973d7597p-17, -0x1.6cf7911ab5149p-17, -0x1.5d942151a5392p-17, -0x1.4ec352918650bp-17, -0x1.407e81517d667p-17, -0x1.32bf5a5442d4dp-17, -0x1.257fd767d775ep-17, -0x1.18ba3be960a6ep-17, -0x1.0c6911b2ab1d5p-17, -0x1.008725ef2838dp-17, -0x1.ea1f0c709c944p-18, -0x1.d3fafb75bc9bbp-18, -0x1.be9924f6d4b52p-18, -0x1.a9f10576b4c4fp-18, -0x1.95fa84dd66893p-18, -0x1.82adf1964f546p-18, -0x1.7003fc04503e1p-18, -0x1.5df5b1f3c702ep-18, -0x1.4c7c7a58dad35p-18, -0x1.3b921124df95cp-18, -0x1.2b30836fd441fp-18, -0x1.1b522b8226e71p-18, -0x1.0bf1ad4ce4064p-18, -0x1.fa13e5cf860fep-19, -0x1.dd2c5260526c3p-19, -0x1.c1237931f7941p-19, -0x1.a5f0ac2a22f19p-19, -0x1.8b8bb048f3b16p-19, -0x1.71ecb7fb4fe94p-19, -0x1.590c5dc694db9p-19, -0x1.40e39ef55f649p-19, -0x1.296bd6d504e33p-19, -0x1.129eb9b54f4f8p-19, -0x1.f8eca14b7f6b6p-20, -0x1.cdd9e9dba62e5p-20, -0x1.a3fa978e7d6b8p-20, -0x1.7b4485a3ab1fcp-20, -0x1.53ae178942ca2p-20, -0x1.2d2e32840c40ep-20, -0x1.07bc362c58e4ap-20, -0x1.c69fec4500fb6p-21, -0x1.7fc366e0bfe47p-21, -0x1.3ad42d9b61847p-21, -0x1.ef88abd9bf5fap-22, -0x1.6d0d5b46417aap-22, -0x1.dc3ac41ad5176p-23, -0x1.ca8404dfd04e5p-24, 0x1.5f93be51d911cp-28, 0x1.e957d23bb93b9p-24, 0x1.d7f481f8b492ap-23, 0x1.5a7e849574fcp-22, 0x1.c5f51b9cb316fp-22, 0x1.1737bf53ea932p-21, 0x1.49ff27ea5e912p-21, 0x1.7b58b42ff36f9p-21, 0x1.ab4bf289f723ep-21, 0x1.d9e0192c8992fp-21, 0x1.038e05cdaf966p-20, 0x1.1983304ddf5fdp-20, 0x1.2ed2b2cc33c0bp-20, 0x1.437f9312819dap-20, 0x1.578cb71d54e8cp-20, 0x1.6afce7c12271p-20, 0x1.7dd2d2998f459p-20, 0x1.90110bf46d5e1p-20, 0x1.a1ba10a2db079p-20, 0x1.b2d047a8f67d8p-20, 0x1.c35603c83854dp-20, 0x1.d34d8530aa765p-20, 0x1.e2b8faa839cb8p-20, 0x1.f19a831f7a37ap-20, 0x1.fff42ecbc50e1p-20, 0x1.06e4002e152aap-19, 0x1.0d8bf7149f472p-19, 0x1.13f2f1711347cp-19, 0x1.1a19df8092e68p-19, 0x1.2001acae18b68p-19, 0x1.25ab3ffe06ca9p-19, 0x1.2b177ca319476p-19, 0x1.30474208f160ep-19, 0x1.353b6c611daa8p-19, 0x1.39f4d4cdd347ep-19, 0x1.3e745207e8451p-19, 0x1.42bab80f3adabp-19, 0x1.46c8d8d8377ebp-19, 0x1.4a9f8450d0904p-19, 0x1.4e3f88b22e08fp-19, 0x1.51a9b2a5b843bp-19, 0x1.54decd5776c1ap-19, 0x1.57dfa2c85809ep-19, 0x1.5aacfbd6d33ccp-19, 0x1.5d47a05c4a504p-19, 0x1.5fb0574b769f9p-19, 0x1.61e7e6ef8a92cp-19, 0x1.63ef14c8bf8cap-19, 0x1.65c6a59f161bbp-19, 0x1.676f5dcf724c1p-19, 0x1.68ea01292988dp-19, 0x1.6a375304330e1p-19, 0x1.6b581653033dep-19, 0x1.6c4d0d985cdf5p-19, 0x1.6d16fb00754d5p-19, 0x1.6db6a05909a0dp-19, 0x1.6e2cbf21f4e67p-19, 0x1.6e7a186481c78p-19, 0x1.6e9f6ced53615p-19, 0x1.6e9d7d2782d7fp-19, 0x1.6e75091951abp-19, 0x1.6e26d079611fap-19, 0x1.6db39285f8f58p-19, 0x1.6d1c0e168f261p-19, 0x1.6c61018d4cac6p-19, 0x1.6b832ad3b170dp-19, 0x1.6a834750ba452p-19, 0x1.696213e9375c6p-19, 0x1.68204cc7e8896p-19, 0x1.66beada0d44e2p-19, 0x1.653df171781cap-19, 0x1.639ed2843ae71p-19, 0x1.61e20a659bce3p-19, 0x1.600851e804f62p-19, 0x1.5e1260d27e689p-19, 0x1.5c00ee5f886c2p-19, 0x1.59d4b0a741c86p-19, 0x1.578e5cdc53576p-19, 0x1.552ea72f5de3cp-19, 0x1.52b642becbb5dp-19, 0x1.5025e1a7f80e7p-19, 0x1.4d7e34b94474ap-19, 0x1.4abfebc6a63c4p-19, 0x1.47ebb551a66fep-19, 0x1.45023e9370dd8p-19, 0x1.4204337c09c02p-19, 0x1.3ef23ea6b7488p-19, 0x1.3bcd094077f85p-19, 0x1.38953b1cb7c4fp-19, 0x1.354b7a771daacp-19, 0x1.31f06c27c17f2p-19, 0x1.2e84b372b39fp-19, 0x1.2b08f1ff31da8p-19, 0x1.277dc7f58071dp-19, 0x1.23e3d3bd4add1p-19, 0x1.203bb217940c8p-19, 0x1.1c85fe2169026p-19, 0x1.18c35116713e7p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.179930d912f44p-1, -0x1.02ad4da283ea2p-1, -0x1.d928bb211b2cep-2, -0x1.ab1b5204fa995p-2, -0x1.7ba6dde883862p-2, -0x1.4b358786662f5p-2, -0x1.1a2782ef0bacbp-2, -0x1.d1a7cc369fd7p-3, -0x1.6f126121ce66ap-3, -0x1.0d1ab43d05541p-3, -0x1.5877d5ed8a1a1p-4, -0x1.3385d0927356dp-5, 0x1.097606c3f8076p-7, 0x1.af773d7f07257p-5, 0x1.8958e0b06a793p-4, 0x1.1ac87a8325d94p-3, 0x1.6e014e006c058p-3, 0x1.be2ff5470bc88p-3, 0x1.059b35176a788p-2, 0x1.2a7f4bc3a0735p-2, 0x1.4dbc9b120f913p-2, 0x1.6f5043143d8fp-2, 0x1.8f3341f04cb03p-2, 0x1.ad677da071c22p-2, 0x1.c9eefdbff4b09p-2, 0x1.e4cda107dc85dp-2, 0x1.fe08dc6f1e2dfp-2, 0x1.0ad3bfcb4c214p-1, 0x1.15d8c12d6819ep-1, 0x1.2017edab32eb5p-1, 0x1.29962dc6173f2p-1, 0x1.3258c5ccc70adp-1, 0x1.3a6544db29ed2p-1, 0x1.41c1751ec25fp-1, 0x1.48734e47ad008p-1, 0x1.4e80ea2781391p-1, 0x1.53f07a941b7d8p-1, 0x1.58c83f723e6fcp-1, 0x1.5d0e7c66a64c5p-1, 0x1.60c96e96db266p-1, 0x1.63ff438060e94p-1, 0x1.66b611e709383p-1, 0x1.68f3d5475373ep-1, 0x1.6abe6b75674c3p-1, 0x1.6c1b9380850ccp-1, 0x1.6d10eccd8ea9bp-1, 0x1.6da3f59d520eep-1, 0x1.6dda08aec6016p-1, 0x1.6db85a2a2c9f2p-1, 0x1.6d43f456b57ap-1, 0x1.6c81b4b74db3ep-1, 0x1.6b764a112640bp-1, 0x1.6a2633a0e36bep-1, 0x1.6895c179da133p-1, 0x1.66c915cbecb2fp-1, 0x1.64c426a87f6f1p-1, 0x1.628abfdbb2e75p-1, 0x1.60208487d4d04p-1, 0x1.5d88f0597fcaep-1, 0x1.5ac7585494b5p-1, 0x1.57deeb596abc5p-1, 0x1.54d2b2907fa51p-1, 0x1.51a591e9eb5b2p-1, 0x1.4e5a0e281eebcp-1, 0x1.4af35f899e495p-1, 0x1.47739fc70f2bp-1, 0x1.43dd24453da3dp-1, 0x1.40322343f1f3ep-1, 0x1.3c74b5720e761p-1, 0x1.38a6d763f0c11p-1, 0x1.34ca6ae39b8dp-1, 0x1.30e1381909f75p-1, 0x1.2cecee8edb824p-1, 0x1.28ef261b5dd35p-1, 0x1.24e95fb78a4adp-1, 0x1.20dd064d2404fp-1, 0x1.1ccb6f835738ep-1, 0x1.18b5dc8ebe16fp-1, 0x1.149d7b072888cp-1, 0x1.108365c354594p-1, 0x1.0c68a5b9381f5p-1, 0x1.084e32e0a24ffp-1, 0x1.0434f515a237dp-1, 0x1.001dc4f857183p-1, 0x1.f812d99023585p-2, 0x1.eff1527042e33p-2, 0x1.e7d85479d9f51p-2, 0x1.dfc927a053fd6p-2, 0x1.d7c4fd562cd86p-2, 0x1.cfccf1eb51a5cp-2, 0x1.c7e20dd37a83fp-2, 0x1.c00546d2fe1dfp-2, 0x1.b8378111544b7p-2, 0x1.b07990116378cp-2, 0x1.a8cc3790df9cep-2, 0x1.a1302c510a473p-2, 0x1.99a614cc10cc7p-2, 0x1.922e89dae3802p-2, 0x1.8aca174f9145bp-2, 0x1.83793c880f27bp-2, 0x1.7c3c6cfcc3d07p-2, 0x1.751410cd72f4bp-2, 0x1.6e00854e334c2p-2, 0x1.67021d95317d6p-2, 0x1.601923092e64bp-2, 0x1.5945d5effb286p-2, 0x1.52886dfbb19a1p-2, 0x1.4be11ad539aa5p-2, 0x1.455004a28de63p-2, 0x1.3ed54c8755ecap-2, 0x1.38710d1ea52fbp-2, 0x1.32235aed03dedp-2, 0x1.2bec44ca3cb5bp-2, 0x1.25cbd442c4971p-2, 0x1.1fc20df0e5bafp-2, 0x1.19cef1ce1b82fp-2, 0x1.13f27b7d37206p-2, 0x1.0e2ca28e19ff8p-2, 0x1.087d5abbcf65ep-2, 0x1.02e49425da21bp-2, 0x1.fac4770afbea4p-3, 0x1.efec74bf7222p-3, 0x1.e540ee68fadc6p-3, 0x1.dac1ab5748959p-3, 0x1.d06e6d7fe5befp-3, 0x1.c646f1d0d5976p-3, 0x1.bc4af0800d88p-3, 0x1.b27a1d57f5a48p-3, 0x1.a8d42800e15adp-3, 0x1.9f58bc478d83bp-3, 0x1.960782608b32bp-3, 0x1.8ce01f289665ep-3, 0x1.83e23461d5efcp-3, 0x1.7b0d60ee11cecp-3, 0x1.7261410609489p-3, 0x1.69dd6e6df6dd5p-3, 0x1.618180a78b137p-3, 0x1.594d0d217dc72p-3, 0x1.513fa764fc5c5p-3, 0x1.4958e14120cd7p-3, 0x1.41984af49cb0ep-3, 0x1.39fd7355c7b55p-3, 0x1.3287e7f92a359p-3, 0x1.2b3735568e724p-3, 0x1.240ae6ecbba04p-3, 0x1.1d028763c22b8p-3, 0x1.161da0ade65f4p-3, 0x1.0f5c0b98ed9aap-3, 0x1.08bca104d7dacp-3, 0x1.023f494987315p-3, 0x1.f7c71a551d75cp-4, 0x1.eb51ea7cf81dbp-4, 0x1.df1e14078f2c4p-4, 0x1.d32aa7e96a2a8p-4, 0x1.c776b734b4243p-4, 0x1.bc01533d76413p-4, 0x1.b0c98dbc52dcep-4, 0x1.a5ce78efadc0fp-4, 0x1.9b0f27bb69fa3p-4, 0x1.908aadc74c67fp-4, 0x1.86401f9c03baap-4, 0x1.7c2e92beecedcp-4, 0x1.72551dcc924c7p-4, 0x1.68b2d891f39bap-4, 0x1.5f46dc24976a4p-4, 0x1.561042f96f05dp-4, 0x1.4d0e28fa8fe58p-4, 0x1.443fab9bc60fdp-4, 0x1.3ba3e9ee0a63p-4, 0x1.333a04b1dad0ep-4, 0x1.2b011e687e0e6p-4, 0x1.22f85b6438b12p-4, 0x1.1b1ee1d778a9bp-4, 0x1.1373d9e2fe218p-4, 0x1.0bf66da30ae55p-4, 0x1.04a5c93b9a488p-4, 0x1.fb0235c7630c5p-5, 0x1.ed0f25df91f0dp-5, 0x1.df70c7b6b9265p-5, 0x1.d22584a3506bbp-5, 0x1.c52bca6b3a64ep-5, 0x1.b8820b52291c4p-5, 0x1.ac26be269e1a3p-5, 0x1.a0185e4d88873p-5, 0x1.94556bcca15ecp-5, 0x1.88dc6b538f321p-5, 0x1.7dabe643e9c1ep-5, 0x1.72c26ab827a34p-5, 0x1.681e8b898c1a6p-5, 0x1.5dbee055233d7p-5, 0x1.53a2057fd6948p-5, 0x1.49c69c39abcd7p-5, 0x1.402b4a80364ffp-5, 0x1.36cebb204a78bp-5, 0x1.2daf9db6f43dap-5, 0x1.24cca6b1c2d38p-5, 0x1.1c248f4e67ec2p-5, 0x1.13b61599bbcaep-5, 0x1.0b7ffc6e1e719p-5, 0x1.03810b7148324p-5, 0x1.f7701e231079bp-6, 0x1.e847b104ea0eep-6, 0x1.d9867b7224e1ep-6, 0x1.cb2a32cef109fp-6, 0x1.bd3095efebea9p-6, 0x1.af976d0f6aa22p-6, 0x1.a25c89c1d8bcdp-6, 0x1.957dc6e92bdf7p-6, 0x1.88f908a770a2dp-6, 0x1.7ccc3c5085bc6p-6, 0x1.70f5585b013aep-6, 0x1.65725c504f52cp-6, 0x1.5a4150bc11c31p-6, 0x1.4f60471ac0877p-6, 0x1.44cd59c7a694bp-6, 0x1.3a86abea2df51p-6, 0x1.308a6962954dap-6, 0x1.26d6c6b609e05p-6, 0x1.1d6a00fa35849p-6, 0x1.14425dc04a71fp-6, 0x1.0b5e2aff8fac7p-6, 0x1.02bbbeff751c3p-6, 0x1.f4b2f0828338bp-7, 0x1.e46b7ad2a9575p-7, 0x1.d49dfa501aad3p-7, 0x1.c5475c44b527ap-7, 0x1.b6649db3ecf61p-7, 0x1.a7f2cb2ac5b67p-7, 0x1.99ef008f2f695p-7, 0x1.8c5668eeff7a3p-7, 0x1.7f263e4e765f4p-7, 0x1.725bc97668571p-7, 0x1.65f461c2131c9p-7, 0x1.59ed6cecb2de5p-7, 0x1.4e445eded50fcp-7, 0x1.42f6b97b7f99dp-7, 0x1.38020c6d2ade9p-7, 0x1.2d63f4f2ad191p-7, 0x1.231a1dac05173p-7, 0x1.19223e6726c7dp-7, 0x1.0f7a1becbbae2p-7, 0x1.061f87ccfbf66p-7, 0x1.fa20c05917866p-8, 0x1.e8951f22d7ce2p-8, 0x1.d79819603e38ep-8, 0x1.c725b471cbcd7p-8, 0x1.b73a0d4a4d479p-8, 0x1.a7d1580a1f7cp-8, 0x1.98e7df9aec7c5p-8, 0x1.8a7a054be3bc7p-8, 0x1.7c84406e7051bp-8, 0x1.6f031df39ae4fp-8, 0x1.61f34009f5d99p-8, 0x1.55515dbc43398p-8, 0x1.491a4290c45cfp-8, 0x1.3d4ace2942374p-8, 0x1.31dff3e3d793bp-8, 0x1.26d6ba7c88843p-8, 0x1.1c2c3bafab833p-8, 0x1.11dda3dd200efp-8, 0x1.07e831ac6c5cep-8, 0x1.fc926b637484p-9, 0x1.e9fc24277936ap-9, 0x1.d8087465036cdp-9, 0x1.c6b2649e7feacp-9, 0x1.b5f51e6a15e4cp-9, 0x1.a5cbebc536b6ap-9, 0x1.96323669fd7ap-9, 0x1.872387269e189p-9, 0x1.789b85371d46p-9, 0x1.6a95f5a0c414bp-9, 0x1.5d0eba8ff5c77p-9, 0x1.5001d2b7faa94p-9, 0x1.436b58b4eea5bp-9, 0x1.3747827012ae2p-9, 0x1.2b92a085fe51p-9, 0x1.20491daf365e8p-9, 0x1.15677e2ada5b3p-9, 0x1.0aea5f2b8725bp-9, 0x1.00ce764696c88p-9, 0x1.ee2121cacfcbfp-10, 0x1.db5b2771e51a4p-10, 0x1.c944f45f596e8p-10, 0x1.b7d8abdace59dp-10, 0x1.a7109c8b75a25p-10, 0x1.96e73f70d5e69p-10, 0x1.875736e033145p-10, 0x1.785b4d865062dp-10, 0x1.69ee756db339p-10, 0x1.5c0bc7091a707p-10, 0x1.4eae80427e651p-10, 0x1.41d2038e38feep-10, 0x1.3571d702a4861p-10, 0x1.2989a373f3535p-10, 0x1.1e153394375bep-10, 0x1.13107317c4624p-10, 0x1.08776ddd8bf6p-10, 0x1.fc8c9e37725fdp-11, 0x1.e8f2c1210dbccp-11, 0x1.d61a136e08f2fp-11, 0x1.c3fb9dff86adbp-11, 0x1.b290a21bc8b95p-11, 0x1.a1d297ef37ccep-11, 0x1.91bb2d16102cp-11, 0x1.8244432d0d977p-11, 0x1.7367ee6a65d6fp-11, 0x1.6520743e25329p-11, 0x1.576849f95b2aep-11, 0x1.4a3a137d5a914p-11, 0x1.3d90a1f22d66cp-11, 0x1.3166f283e79bep-11, 0x1.25b82d27037b6p-11, 0x1.1a7fa3647c1d1p-11, 0x1.0fb8cf2b788fbp-11, 0x1.055f51ab12f21p-11, 0x1.f68dddaba862ep-12, 0x1.e3786b8beaa49p-12, 0x1.d125402842614p-12, 0x1.bf8cc0bf543d1p-12, 0x1.aea7964967a72p-12, 0x1.9e6eab797d4edp-12, 0x1.8edb2aca2601bp-12, 0x1.7fe67c9863675p-12, 0x1.718a45484d97dp-12, 0x1.63c063760a1cfp-12, 0x1.5682ee32a26eap-12, 0x1.49cc334b22566p-12, 0x1.3d96b59b78fb3p-12, 0x1.31dd2b6b7624ap-12, 0x1.269a7cd742feep-12, 0x1.1bc9c24164448p-12, 0x1.116642cf1bbb8p-12, 0x1.076b72eecd982p-12, 0x1.fba9e5d148a3ep-13, 0x1.e93d1af010c22p-13, 0x1.d7886cde1e8aep-13, 0x1.c68412c515567p-13, 0x1.b62890c07e13bp-13, 0x1.a66eb557eb876p-13, 0x1.974f970ec3c6p-13, 0x1.88c49202434a2p-13, 0x1.7ac745988dd52p-13, 0x1.6d51924075bacp-13, 0x1.605d974159447p-13, 0x1.53e5b098763c6p-13, 0x1.47e474e88db75p-13, 0x1.3c54b375e4199p-13, 0x1.31317232190cbp-13, 0x1.2675ebd585d3cp-13, 0x1.1c1d8e06d36ddp-13, 0x1.1223f78f0aadap-13, 0x1.0884f69e379acp-13, 0x1.fe790e2fd5ac1p-14, 0x1.ec8da1e152828p-14, 0x1.db404d2c07ddcp-14, 0x1.ca8a06c495496p-14, 0x1.ba64143a0629bp-14, 0x1.aac8070df1bap-14, 0x1.9bafb9dff7e1bp-14, 0x1.8d154db3087fp-14, 0x1.7ef3274541041p-14, 0x1.7143ec7e15c31p-14, 0x1.640281f0886d9p-14, 0x1.572a0873e4cf3p-14, 0x1.4ab5dac7d8dfdp-14, 0x1.3ea18b54b82e2p-14, 0x1.32e8e1f9345cap-14, 0x1.2787d9ebc49bdp-14, 0x1.1c7a9fab652e6p-14, 0x1.11bd8f04d5faep-14, 0x1.074d3124f8716p-14, 0x1.fa4c757cc88a2p-15, 0x1.e68b14785e38dp-15, 0x1.d3504c0a8615ap-15, 0x1.c096759e093a2p-15, 0x1.ae5833ff78f6cp-15, 0x1.9c907032f61f2p-15, 0x1.8b3a5674dcd4ap-15, 0x1.7a51534a46478p-15, 0x1.69d110b0e6c38p-15, 0x1.59b57365e0c13p-15, 0x1.49fa9846d0d9ep-15, 0x1.3a9cd1c92c9eap-15, 0x1.2b98a589f0b0bp-15, 0x1.1ceac9f30e619p-15, 0x1.0e9023f76bfb1p-15, 0x1.0085c4e7b8834p-15, 0x1.e591d0a3816p-16, 0x1.caade3fda0561p-16, 0x1.b05ad801bff81p-16, 0x1.9694099fc3c4ep-16, 0x1.7d551b0289243p-16, 0x1.6499f00ddaeccp-16, 0x1.4c5eab11eefe9p-16, 0x1.349fa99550b06p-16, 0x1.1d59813f4a4a6p-16, 0x1.0688fce419bc8p-16, 0x1.e05633623b452p-17, 0x1.b47a08ef966fep-17, 0x1.89782e1507e89p-17, 0x1.5f4bab7b6f67ep-17, 0x1.35efda0ed7749p-17, 0x1.0d605e58b304cp-17, 0x1.cb3248362b3bp-18, 0x1.7d2cb443825f1p-18, 0x1.30a8dc6de63d6p-18, 0x1.cb402517b15e3p-19, 0x1.38182e957da7bp-19, 0x1.4f9c4cddb054ap-20, 0x1.a571fe4ebe87dp-23, -0x1.c15c71ae334d9p-21, -0x1.f08c39b4b2b87p-20, -0x1.7d7ed24935a23p-19, -0x1.0004cdc4d8b93p-18, -0x1.3ff727c8f2ac9p-18, -0x1.7e9a2419b009p-18, -0x1.bbf13591fefd6p-18, -0x1.f7ff99c02612fp-18, -0x1.19642e9752905p-17, -0x1.36272fc3cfd52p-17, -0x1.524a2bc1189eap-17, -0x1.6dce6b4973e84p-17, -0x1.88b52636c2941p-17, -0x1.a2ff853649009p-17, -0x1.bcaea35009e4ep-17, -0x1.d5c38f6ab2a6dp-17, -0x1.ee3f4daf9c5bcp-17, -0x1.03116c6f15cfep-16, -0x1.0eb791c823686p-16, -0x1.1a128ca8ddeeap-16, -0x1.2522cfe9d781dp-16, -0x1.2fe8cbf47b633p-16, -0x1.3a64ef3d530f9p-16, -0x1.4497a6be1bc94p-16, -0x1.4e815e582ea6ap-16, -0x1.58228140debe6p-16, -0x1.617b7a579ac73p-16, -0x1.6a8cb48860ad8p-16, -0x1.73569b10892c3p-16, -0x1.7bd999cdde8abp-16, -0x1.84161d83eef54p-16, -0x1.8c0c9418e0daap-16, -0x1.93bd6cce69f03p-16, -0x1.9b291873c6dcp-16, -0x1.a250099cd5338p-16, -0x1.a932b4c668acfp-16, -0x1.afd1907b7d88ep-16, -0x1.b62d1579b9p-16, -0x1.bc45bed4f84bfp-16, -0x1.c21c0a05d4aa5p-16, -0x1.c7b077038a19dp-16, -0x1.cd03885e64d7p-16, -0x1.d215c349eb5c8p-16, -0x1.d6e7afabdce4cp-16, -0x1.db79d81e10991p-16, -0x1.dfccca024ce88p-16, -0x1.e3e1158069119p-16, -0x1.e7b74d86ef434p-16, -0x1.eb5007cce79f1p-16, -0x1.eeabdcd0b51bcp-16, -0x1.f1cb67d01c219p-16, -0x1.f4af46c5ae7d9p-16, -0x1.f7581a5e0ac87p-16, -0x1.f9c685f11f572p-16, -0x1.fbfb2f746af02p-16, -0x1.fdf6bf6ea0062p-16, -0x1.ffb9e0e8b1054p-16, -0x1.00a2a0b0cf651p-15, -0x1.014cc85e0d13ap-15, -0x1.01dbc09723721p-15, -0x1.024fe39402479p-15, -0x1.02a98ca6927e2p-15, -0x1.02e9182bbadeap-15, -0x1.030ee382489adp-15, -0x1.031b4cfff9617p-15, -0x1.030eb3e828d1cp-15, -0x1.02e9785c2c3e4p-15, -0x1.02abfb55eec52p-15, -0x1.02569e971061bp-15, -0x1.01e9c4a0960fcp-15, -0x1.0165d0a4d126bp-15, -0x1.00cb267bc1e4cp-15, -0x1.001a2a99575b9p-15, -0x1.fea683f86de91p-16, -0x1.fceda44cb293fp-16, -0x1.fb0a821ebca16p-16, -0x1.f8fdea2db8ed1p-16, -0x1.f6c8a9f4cc624p-16, -0x1.f46b8f8c7c0b4p-16, -0x1.f1e7699b36395p-16, -0x1.ef3d07395a27ep-16, -0x1.ec6d37d191d44p-16, -0x1.e978cb1825e5cp-16, -0x1.e66090e97d622p-16, -0x1.e32559341a0dbp-16, -0x1.dfc7f3e8088dp-16, -0x1.dc4930d6f39efp-16, -0x1.d8a9dfa5f8034p-16, -0x1.d4eacfb1088bbp-16, -0x1.d10ccffb5112bp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9e7b85295e026p+0, -0x1.8f68e64a85d91p+0, -0x1.820aea23403d3p+0, -0x1.763e176685aacp+0, -0x1.6bdf8c0ca3a2ep+0, -0x1.62cd510e413c6p+0, -0x1.5ae6b774c4046p+0, -0x1.540cab49ce002p+0, -0x1.4e21dbe183c31p+0, -0x1.490ac53ec15aap+0, -0x1.44adb0610c3e2p+0, -0x1.40f2b880ee7fep+0, -0x1.3dc3d5506ce0cp+0, -0x1.3b0cdd496cfb2p+0, -0x1.38bb762825631p+0, -0x1.36bef71704229p+0, -0x1.350847d0b3298p+0, -0x1.3389c5980b2b8p+0, -0x1.32372fca68f7ep+0, -0x1.3105987be9a8fp+0, -0x1.2feb54759afe7p+0, -0x1.2edfcf28eccccp+0, -0x1.2ddbfb6bb2c67p+0, -0x1.2cd93038b7968p+0, -0x1.2bd1d742cf3ecp+0, -0x1.2ac127577f058p+0, -0x1.29a312176e102p+0, -0x1.28743313d0fffp+0, -0x1.2731c056693aap+0, -0x1.25d97bf108bc5p+0, -0x1.2469a5e17fb6ap+0, -0x1.22e0edeea45f2p+0, -0x1.213e65e6674dep+0, -0x1.1f817523e0c4ep+0, -0x1.1da9ce161cf5fp+0, -0x1.1bb765d1870f3p+0, -0x1.19aa6d06b58a8p+0, -0x1.17834974ebb93p+0, -0x1.15428f2c6897p+0, -0x1.12e8f97bf7267p+0, -0x1.107763e182a91p+0, -0x1.0deec38965cf6p+0, -0x1.0b5021ca021ffp+0, -0x1.089c97ba6d479p+0, -0x1.05d54ab5345ep+0, -0x1.02fb696f25d57p+0, -0x1.0010294eb52bcp+0, -0x1.fa2987a8ed52ep-1, -0x1.f414e82161952p-1, -0x1.ede4e883282f5p-1, -0x1.e79bf780df908p-1, -0x1.e13c7ab7be317p-1, -0x1.dac8cc50db26p-1, -0x1.d4433973fb0efp-1, -0x1.cdae014c4650bp-1, -0x1.c70b544fb639p-1, -0x1.c05d53819af0fp-1, -0x1.b9a60f82c142cp-1, -0x1.b2e78764a8f1ap-1, -0x1.ac23a755cf124p-1, -0x1.a55c47527ed67p-1, -0x1.9e932a0bd4334p-1, -0x1.97c9fc2e7aa5p-1, -0x1.9102a3ba75f3cp-1, -0x1.8a3dfcbe35f75p-1, -0x1.837dc037cf438p-1, -0x1.7cc346ab330f3p-1, -0x1.760fd563047fbp-1, -0x1.6f649f0ec2d5ep-1, -0x1.68c2c45c5f15ep-1, -0x1.622b548897ef5p-1, -0x1.5b9f4de5772f2p-1, -0x1.551f9e590f3d7p-1, -0x1.4ead23d7f76cep-1, -0x1.4848acdf111d3p-1, -0x1.41f2f8ef47851p-1, -0x1.3bacb90cc96dep-1, -0x1.3576904215b88p-1, -0x1.2f5114265caap-1, -0x1.293ccd664ce7ep-1, -0x1.233a384e5b1ffp-1, -0x1.1d49c555bc07ap-1, -0x1.176bd9a98f2cfp-1, -0x1.11a0cfb7f15e7p-1, -0x1.0be8f7babc642p-1, -0x1.06449841a15b2p-1, -0x1.00b3eebb0d38ep-1, -0x1.f66e5ff5eec62p-2, -0x1.eb9d117ce0c4fp-2, -0x1.e0f43c5525abp-2, -0x1.d6741c8af2681p-2, -0x1.cc1ce0cff85acp-2, -0x1.c1eeab4eb7ecap-2, -0x1.b7e9926ccaf5bp-2, -0x1.ae0da17c5270bp-2, -0x1.a45ad95db1b0ep-2, -0x1.9ad13113825c1p-2, -0x1.9170964b3fc17p-2, -0x1.8838eddd4fbb7p-2, -0x1.7f2a144703da4p-2, -0x1.7643de20cd451p-2, -0x1.6d861892595d4p-2, -0x1.64f089c5b02c7p-2, -0x1.5c82f159cb5ccp-2, -0x1.543d08d49a4c3p-2, -0x1.4c1e8413e8b14p-2, -0x1.442711bc5a6c9p-2, -0x1.3c565ba58a33dp-2, -0x1.34ac07424dc04p-2, -0x1.2d27b60441693p-2, -0x1.25c905b9e979bp-2, -0x1.1e8f90e6ee1e2p-2, -0x1.177aef163d927p-2, -0x1.108ab5261886ap-2, -0x1.09be758e3c2e8p-2, -0x1.0315c0a0938a7p-2, -0x1.f9204989da827p-3, -0x1.ec5a5d6082ebp-3, -0x1.dfd8d330395fdp-3, -0x1.d39abec57229dp-3, -0x1.c79f31a87b0edp-3, -0x1.bbe53b731a4d6p-3, -0x1.b06bea21e215fp-3, -0x1.a5324a61b5685p-3, -0x1.9a3767d9bf6d1p-3, -0x1.8f7a4d72031dbp-3, -0x1.84fa059696955p-3, -0x1.7ab59a7788479p-3, -0x1.70ac1645565ep-3, -0x1.66dc8369fca1ap-3, -0x1.5d45ecbe92c87p-3, -0x1.53e75dbd74fedp-3, -0x1.4abfe2b10d8b9p-3, -0x1.41ce88df61dbdp-3, -0x1.39125eb280e02p-3, -0x1.308a73de01584p-3, -0x1.2835d981ce822p-3, -0x1.2013a24a76302p-3, -0x1.1822e28f26e4dp-3, -0x1.1062b06da6f73p-3, -0x1.08d223e46468ap-3, -0x1.017056eaca496p-3, -0x1.f478cb100d8bep-4, -0x1.e66adbd0afb26p-4, -0x1.d8b520e1deb79p-4, -0x1.cb55dfa511a4ap-4, -0x1.be4b623563b9ep-4, -0x1.b194519d67eadp-4, -0x1.a52e41cc03421p-4, -0x1.9917f035d1ddcp-4, -0x1.8d4fbb73bdf53p-4, -0x1.81d4075fa7caap-4, -0x1.76a33d2490686p-4, -0x1.6bbbcb4cc76c5p-4, -0x1.611c25ce4b081p-4, -0x1.56c2c61570066p-4, -0x1.4cae2b0df1528p-4, -0x1.42dcd92a75f68p-4, -0x1.394d5a6aaa69bp-4, -0x1.2ffe3e5ff628p-4, -0x1.26ee1a30e4f92p-4, -0x1.1e1b889b4bfdbp-4, -0x1.158529f53dafep-4, -0x1.0d29a42cd6df9p-4, -0x1.0507a2c6eedcp-4, -0x1.fa3badb9797e4p-5, -0x1.ead5ee30ed89ep-5, -0x1.dbdb7f61f6598p-5, -0x1.cd49e4c91a065p-5, -0x1.bf1eace55bf85p-5, -0x1.b157712a4abd8p-5, -0x1.a3f1d5f06da65p-5, -0x1.96eb8a643a432p-5, -0x1.8a42487397097p-5, -0x1.7df3d4ba0b264p-5, -0x1.71fdfe6ba9e9fp-5, -0x1.665e9f3ecd274p-5, -0x1.5b139b54bd22dp-5, -0x1.501ae121466c4p-5, -0x1.4572695167259p-5, -0x1.3b1836b11142ap-5, -0x1.310a561026583p-5, -0x1.2746de26b132ap-5, -0x1.1dcbef7874c89p-5, -0x1.1497b437e16b5p-5, -0x1.0ba860287efd3p-5, -0x1.02fc3080d8d81p-5, -0x1.f522d79805ed4p-6, -0x1.e4ccc39571763p-6, -0x1.d4f2d6a860d41p-6, -0x1.c591d46d4a38fp-6, -0x1.b6a6922f51811p-6, -0x1.a82df6a88de87p-6, -0x1.9a24f9c20475bp-6, -0x1.8c88a4536693cp-6, -0x1.7f560fe2b1021p-6, -0x1.728a6663abcdap-6, -0x1.6622e1f761d8ep-6, -0x1.5a1cccab9b33dp-6, -0x1.4e75803a69bffp-6, -0x1.432a65c9caf0cp-6, -0x1.3838f5ab70f3fp-6, -0x1.2d9eb71cbbb37p-6, -0x1.23594006e1b1dp-6, -0x1.196634bf60ac5p-6, -0x1.0fc347c8b28p-6, -0x1.066e39934ca52p-6, -0x1.fac9b07dfebep-7, -0x1.e949feb955898p-7, -0x1.d8592f60b23e4p-7, -0x1.c7f32de7968b4p-7, -0x1.b813ff32cc2eap-7, -0x1.a8b7c11f4715ap-7, -0x1.99daaa0a01ff6p-7, -0x1.8b790858bdb67p-7, -0x1.7d8f4203f751bp-7, -0x1.7019d421d1ef2p-7, -0x1.631552723e7fcp-7, -0x1.567e66ec2d92p-7, -0x1.4a51d14c0d3ffp-7, -0x1.3e8c66a370a25p-7, -0x1.332b10e9fb864p-7, -0x1.282ace8f957dbp-7, -0x1.1d88b20fe402bp-7, -0x1.1341e18727679p-7, -0x1.0953964854939p-7, -0x1.ff7638e94e29fp-8, -0x1.eceba528fe1d1p-8, -0x1.db0252636c242p-8, -0x1.c9b544e686b71p-8, -0x1.b8ffa374caa7ap-8, -0x1.a8dcb68246eb8p-8, -0x1.9947e774a08c1p-8, -0x1.8a3cbfe5d5b5ep-8, -0x1.7bb6e8e9ff84ep-8, -0x1.6db22a57e02b4p-8, -0x1.602a6a148d637p-8, -0x1.531bab61af80ep-8, -0x1.46820e2eec8f8p-8, -0x1.3a59ce6e16833p-8, -0x1.2e9f436a5ca5cp-8, -0x1.234edf2228281p-8, -0x1.18652da4107dep-8, -0x1.0dded46e97da7p-8, -0x1.03b891d2ab972p-8, -0x1.f3de78b24a9c2p-9, -0x1.e0ff8455d0edbp-9, -0x1.cece50f7f74cdp-9, -0x1.bd4515f28752bp-9, -0x1.ac5e367231874p-9, -0x1.9c14405d0495ep-9, -0x1.8c61eb3e61a1bp-9, -0x1.7d42173858e5p-9, -0x1.6eafcbfa3c823p-9, -0x1.60a637bc995ecp-9, -0x1.5320ae421fd18p-9, -0x1.461aa7ddfb5cfp-9, -0x1.398fc07f245eap-9, -0x1.2d7bb6c0bc067p-9, -0x1.21da6aff3e3b2p-9, -0x1.16a7de72d7ac3p-9, -0x1.0be0324e7abc3p-9, -0x1.017fa6e3a2f0dp-9, -0x1.ef0535963fb2fp-10, -0x1.dbcb14243bcap-10, -0x1.c94a1ad830902p-10, -0x1.b77bb2d299dfbp-10, -0x1.a6597b6308aeap-10, -0x1.95dd4886ef1d5p-10, -0x1.8601217095101p-10, -0x1.76bf3f1710e17p-10, -0x1.68120acea44bep-10, -0x1.59f41ce8f9cffp-10, -0x1.4c603b5e3feb3p-10, -0x1.3f51587d938dap-10, -0x1.32c291a5cec6ep-10, -0x1.26af2e063d913p-10, -0x1.1b129d664227bp-10, -0x1.0fe876f567b61p-10, -0x1.052c78221b64fp-10, -0x1.f5b506f0657d6p-11, -0x1.e1dd3f0c41512p-11, -0x1.cec9eb935d7f2p-11, -0x1.bc73a3462176ap-11, -0x1.aad33e9e08242p-11, -0x1.99e1d5cf0d52ep-11, -0x1.8998bed604eb9p-11, -0x1.79f18b93c8072p-11, -0x1.6ae607f51ccf5p-11, -0x1.5c703825da988p-11, -0x1.4e8a56d14b2afp-11, -0x1.412ed36e0056cp-11, -0x1.3458509484b41p-11, -0x1.2801a261fbdacp-11, -0x1.1c25cce5e35a4p-11, -0x1.10c0029a1b263p-11, -0x1.05cba2e5bc921p-11, -0x1.f6887155dab23p-12, -0x1.e24af1bb19462p-12, -0x1.ced6824a634ccp-12, -0x1.bc232d0f4431ep-12, -0x1.aa29483bb8636p-12, -0x1.98e173a2ffda9p-12, -0x1.88449647b73dap-12, -0x1.784bdbfbc0e63p-12, -0x1.68f0b30fb4c89p-12, -0x1.5a2cca15fda16p-12, -0x1.4bfa0db40b451p-12, -0x1.3e52a6851961ep-12, -0x1.3130f70c69514p-12, -0x1.248f99b63fc89p-12, -0x1.18695ee931d34p-12, -0x1.0cb94b24b5107p-12, -0x1.017a952eaac12p-12, -0x1.ed51489df7d57p-13, -0x1.d83f106e482e1p-13, -0x1.c435331065b6fp-13, -0x1.b0eb7d8b4eea4p-13, -0x1.9e5a203aa1e22p-13, -0x1.8c799c58e95a3p-13, -0x1.7b42c10e525a2p-13, -0x1.6aaea89c9b412p-13, -0x1.5ab6b59d2a889p-13, -0x1.4b549057f81a9p-13, -0x1.3c82242f5cefcp-13, -0x1.2e399d206dfa4p-13, -0x1.2075655826d36p-13, -0x1.133022dc85b0bp-13, -0x1.0664b549109ecp-13, -0x1.f41c673d8d6aep-14, -0x1.dc4fd449a50cep-14, -0x1.c55ab0b70ec72p-14, -0x1.af345e058fd5ap-14, -0x1.99d49c5c5563p-14, -0x1.853386d784d17p-14, -0x1.71498ff34cbbp-14, -0x1.5e0f7e16ba5dbp-14, -0x1.4b7e683d685c6p-14, -0x1.398fb2bbb9f87p-14, -0x1.283d0c236148cp-14, -0x1.17806a3d1d51fp-14, -0x1.07540727dacf5p-14, -0x1.ef64bd06f2ee3p-15, -0x1.d12c5583b566bp-15, -0x1.b3f4c5127442bp-15, -0x1.97b46c5e31c06p-15, -0x1.7c621a9867503p-15, -0x1.61f508c9dddabp-15, -0x1.4864d5509da7fp-15, -0x1.2fa97f8697908p-15, -0x1.17bb638f9e1c1p-15, -0x1.0093365674c6fp-15, -0x1.d4540350571f4p-16, -0x1.a8f240e0bd9c1p-16, -0x1.7ef4764efc669p-16, -0x1.564e88b142695p-16, -0x1.2ef4ea9b572a2p-16, -0x1.08dc95b45832cp-16, -0x1.c7f60918e3c5ap-17, -0x1.808c595f5f465p-17, -0x1.3b68f1ec4c1f1p-17, -0x1.f0f310401a9f4p-18, -0x1.6f594cd10efc1p-18, -0x1.e3c6896d11377p-19, -0x1.e1c496b78de32p-20, -0x1.7246d42a5b13p-25, 0x1.bb7e1c58bab59p-20, 0x1.b9ed9e34a3ea3p-19, 0x1.477bc404fc97fp-18, 0x1.ae87b27110a8dp-18, 0x1.0919646748171p-17, 0x1.394a12fab2f0cp-17, 0x1.67e0f36bde2ecp-17, 0x1.94e899e2208ecp-17, 0x1.c06b2671cc8d3p-17, 0x1.ea724b39b3c3dp-17, 0x1.0983a91439ee5p-16, 0x1.1d19913c7a55fp-16, 0x1.2fff22f86c3bfp-16, 0x1.423876f947fdep-16, 0x1.53c97c219700ap-16, 0x1.64b5f9d04e23bp-16, 0x1.750192116237ep-16, 0x1.84afc3a5db5f7p-16, 0x1.93c3ec1071ff7p-16, 0x1.a241496e24917p-16, 0x1.b02afc3eb75d5p-16, 0x1.bd840924d30bdp-16, 0x1.ca4f5a6e40e86p-16, 0x1.d68fc1b87c743p-16, 0x1.e247f95c0ffd4p-16, 0x1.ed7aa5c868592p-16, 0x1.f82a56ddb5fcep-16, 0x1.012cc493aefbcp-15, 0x1.060553857329fp-15, 0x1.0aa004f3f4261p-15, 0x1.0efdfd91a132bp-15, 0x1.13205a958af03p-15, 0x1.1708322cdc4d2p-15, 0x1.1ab693f71639p-15, 0x1.1e2c896af1ce1p-15, 0x1.216b163d71497p-15, 0x1.247338ba9b7a8p-15, 0x1.2745ea28ec44dp-15, 0x1.29e41f17f927fp-15, 0x1.2c4ec7abbadaap-15, 0x1.2e86cfec2daap-15, 0x1.308d200712d9bp-15, 0x1.32629c907f688p-15, 0x1.340826bf4061cp-15, 0x1.357e9ca4a2e0dp-15, 0x1.36c6d9606c6bcp-15, 0x1.37e1b551aad14p-15, 0x1.38d006456b329p-15, 0x1.39929f9703055p-15, 0x1.3a2a52624b791p-15, 0x1.3a97eda26785fp-15, 0x1.3adc3e4fd9cd3p-15, 0x1.3af80f8005484p-15, 0x1.3aec2a7ffd21fp-15, 0x1.3ab956ece59e5p-15, 0x1.3a605acd5af1dp-15, 0x1.39e1fa9bc849ap-15, 0x1.393ef96638d43p-15, 0x1.387818d4fadebp-15, 0x1.378e193c7acedp-15, 0x1.3681b9a8e9f57p-15, 0x1.3553b7e981951p-15, 0x1.3404d09acf1b9p-15, 0x1.3295bf2b057fcp-15, 0x1.31073de96a02ap-15, 0x1.2f5a05fecd5d6p-15, 0x1.2d8ecf7e47387p-15, 0x1.2ba651632544p-15, 0x1.29a1419220b4fp-15, 0x1.278054dc3c895p-15, 0x1.25443effa9f44p-15, 0x1.22edb2a78da3ep-15, 0x1.207d616829f8bp-15, 0x1.1df3fbc3dd52ap-15, 0x1.1b52311c5f016p-15, 0x1.1898afbe5528ep-15, 0x1.15c824d657fc1p-15, 0x1.12e13c6c6ea8p-15, 0x1.0fe4a16290574p-15, 0x1.0cd2fd6e7517p-15, 0x1.09acf915843f2p-15, 0x1.06733ba656707p-15, 0x1.03266b34e647cp-15, 0x1.ff8e592a5c87ap-16, 0x1.f8ac469ce54d4p-16, 0x1.f1a7e341161eap-16, 0x1.ea8270eb733d7p-16, 0x1.e33d2ec00129ap-16, 0x1.dbd9591b5a6bap-16, 0x1.d45829942647dp-16, 0x1.ccbad6e72df2ap-16, 0x1.c50294e89e303p-16, 0x1.bd30947d930c8p-16, 0x1.b54603824df0cp-16, 0x1.ad440cd08dd0ep-16, 0x1.a52bd82658f8bp-16, 0x1.9cfe8a1f071p-16, 0x1.94bd441f9a0acp-16, 0x1.8c69245878984p-16, 0x1.840345ae10a2ep-16, 0x1.7b8cbfb4e2e72p-16, 0x1.7306a6a2634c7p-16, 0x1.6a720b44a6269p-16, 0x1.61cffafab1c23p-16, 0x1.59217fa1f05b8p-16, 0x1.50679f98bfd78p-16, 0x1.47a35dae122dp-16, 0x1.3ed5b91abe065p-16, 0x1.35ffad78f4874p-16, 0x1.2d2232c438a73p-16, 0x1.243e3d3668eb6p-16, 0x1.1b54bd6cc74c5p-16, 0x1.1266a0402b8bap-16, 0x1.0974cecab7177p-16, 0x1.00802e60c464dp-16, 0x1.ef134118741e7p-17, 0x1.dd24061a3e928p-17, 0x1.cb345f89eb6e5p-17, 0x1.b945f99430df8p-17, 0x1.a75a78ab80746p-17, 0x1.9573798994dd6p-17, 0x1.8392912a1e991p-17, 0x1.71b94cce020e8p-17, 0x1.5fe931f018214p-17, 0x1.4e23be481d08ap-17, 0x1.3c6a67c4ab499p-17, 0x1.2abe9c9470929p-17, 0x1.1921c32055acbp-17, 0x1.07953a0f9cf8fp-17, 0x1.ec34b08fe572fp-18, 0x1.c964d9e95e4a1p-18, 0x1.a6bd7f0c0c505p-18, 0x1.84411f8ecf5ecp-18, 0x1.61f22b7226249p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.875d89f17e143p-1, 0x1.7cd5993e9cf0ep-1, 0x1.720e1b3735785p-1, 0x1.670db548a0d54p-1, 0x1.5bdae9c7a1ad4p-1, 0x1.507c13f10469ep-1, 0x1.44f7647d4e90ap-1, 0x1.3952debaf3e91p-1, 0x1.2d9456236101ap-1, 0x1.21c16c5ffae5fp-1, 0x1.15df8fb5087b1p-1, 0x1.09f3f9c92e4b4p-1, 0x1.fc075d81cb75ap-2, 0x1.e426f94bede8ep-2, 0x1.cc4ff6273a55p-2, 0x1.b48b164109d32p-2, 0x1.9ce0af00b75cp-2, 0x1.8558a9ae356ffp-2, 0x1.6dfa8471574dap-2, 0x1.56cd539fc9359p-2, 0x1.3fd7c35079957p-2, 0x1.2920192be7f4dp-2, 0x1.12ac367166389p-2, 0x1.f9033454060efp-3, 0x1.cd4ac704b2b79p-3, 0x1.a238a88a223fap-3, 0x1.77d5a6e0aecfep-3, 0x1.4e29dfc22a8f4p-3, 0x1.253cc61e3b72p-3, 0x1.fa2a4f57c619dp-4, 0x1.ab72651896a6fp-4, 0x1.5e5cf5ef687e5p-4, 0x1.12f401dc14d9dp-4, 0x1.9280d79568ae8p-5, 0x1.029409c405b25p-5, 0x1.d8bcbdd07500cp-7, -0x1.2a21919a42664p-9, -0x1.2fac25673e72fp-6, -0x1.1964cbb0901c3p-5, -0x1.974808cd05df1p-5, -0x1.08bd983aec22cp-4, -0x1.43fd9b4382f7bp-4, -0x1.7d6344428338bp-4, -0x1.b4ee7d2ab5af3p-4, -0x1.ea9fd9bd4d22cp-4, -0x1.0f3c473558033p-3, -0x1.283d33bb90e2fp-3, -0x1.4053e031f0715p-3, -0x1.5781bdce77255p-3, -0x1.6dc87d35af91ap-3, -0x1.832a0a95fb16p-3, -0x1.97a889e4a6e2p-3, -0x1.ab46533c777bep-3, -0x1.be05ef5d25f92p-3, -0x1.cfea144b4853cp-3, -0x1.e0f5a2100cb14p-3, -0x1.f12b9f9825c09p-3, -0x1.00479bd896db5p-2, -0x1.0791db126c63dp-2, -0x1.0e7642789c1f6p-2, -0x1.14f694cea4243p-2, -0x1.1b14a1548b61cp-2, -0x1.20d2428c58df9p-2, -0x1.26315d0c989e5p-2, -0x1.2b33de5f86515p-2, -0x1.2fdbbbee8273fp-2, -0x1.342af1f97a37p-2, -0x1.38238299dcacfp-2, -0x1.3bc774d0ceec1p-2, -0x1.3f18d3a04179bp-2, -0x1.4219ad2e91aa5p-2, -0x1.44cc11f46a721p-2, -0x1.473213f48aeb9p-2, -0x1.494dc5fd2d186p-2, -0x1.4b213af2ba2cbp-2, -0x1.4cae852388aa9p-2, -0x1.4df7b5a454423p-2, -0x1.4efedbb53568p-2, -0x1.4fc6042ec826bp-2, -0x1.504f38f74e452p-2, -0x1.509c807f80ac3p-2, -0x1.50afdd46dad3cp-2, -0x1.508b4d6721531p-2, -0x1.5030ca26e9162p-2, -0x1.4fa24792e59a3p-2, -0x1.4ee1b41dc8faap-2, -0x1.4df0f84680261p-2, -0x1.4cd1f644920eep-2, -0x1.4b8689ba74194p-2, -0x1.4a10876da1348p-2, -0x1.4871bd043b524p-2, -0x1.46abf0c8140d7p-2, -0x1.44c0e16edf5fp-2, -0x1.42b245e76fd3fp-2, -0x1.4081cd2bc46afp-2, -0x1.3e311e17c1d51p-2, -0x1.3bc1d7446c007p-2, -0x1.39358ee773812p-2, -0x1.368dd2b6eb4dcp-2, -0x1.33cc27d103301p-2, -0x1.30f20aa79d218p-2, -0x1.2e00eeef8fd67p-2, -0x1.2afa3f937cf58p-2, -0x1.27df5eaa04e2fp-2, -0x1.24b1a56f4292cp-2, -0x1.217264415f71ap-2, -0x1.1e22e2a0210b2p-2, -0x1.1ac45f2f4d3f5p-2, -0x1.17580fbbbf33fp-2, -0x1.13df214311bcbp-2, -0x1.105ab7fdb4922p-2, -0x1.0ccbef6b581b4p-2, -0x1.0933da618601ep-2, -0x1.0593831c4c2f1p-2, -0x1.01ebeb50dcb6fp-2, -0x1.fc7c188407d71p-3, -0x1.f515adacb0e11p-3, -0x1.eda6676012549p-3, -0x1.e630068c5801ap-3, -0x1.deb43bfef197p-3, -0x1.d734a89c9fb38p-3, -0x1.cfb2dd9bec354p-3, -0x1.c8305cc1e2aebp-3, -0x1.c0ae98a0cc4eap-3, -0x1.b92ef4d8d1537p-3, -0x1.b1b2c65a46dd8p-3, -0x1.aa3b53a98b37ap-3, -0x1.a2c9d52435a73p-3, -0x1.9b5f754789ee8p-3, -0x1.93fd50f7f10d9p-3, -0x1.8ca477c965a9dp-3, -0x1.8555ec48a1181p-3, -0x1.7e12a444f7716p-3, -0x1.76db891aafae8p-3, -0x1.6fb177fdca979p-3, -0x1.689542450e503p-3, -0x1.6187adb53c1c3p-3, -0x1.5a8974cc5d02ap-3, -0x1.539b470cfb174p-3, -0x1.4cbdc94945a7ap-3, -0x1.45f195edf36f8p-3, -0x1.3f373d4cd6847p-3, -0x1.388f45e70dbcdp-3, -0x1.31fa2cb6c11adp-3, -0x1.2b78657847cc7p-3, -0x1.250a5af2c08e9p-3, -0x1.1eb06f3ff4dc5p-3, -0x1.186afc137d3eap-3, -0x1.123a53012255ep-3, -0x1.0c1ebdc2611b3p-3, -0x1.06187e7b098dcp-3, -0x1.0027cffcf529p-3, -0x1.f499cc15676b8p-4, -0x1.e90fdb328e31ap-4, -0x1.ddb21a217efe4p-4, -0x1.d280c9179d8e1p-4, -0x1.c77c1c2c7a518p-4, -0x1.bca43bd4675dfp-4, -0x1.b1f94558d5245p-4, -0x1.a77b4b4e35d63p-4, -0x1.9d2a56079fc51p-4, -0x1.93066407df371p-4, -0x1.890f6a7034bccp-4, -0x1.7f45556c8b9b7p-4, -0x1.75a8089d3b793p-4, -0x1.6c375f7e4c238p-4, -0x1.62f32dcc3982fp-4, -0x1.59db3fe637e73p-4, -0x1.50ef5b2df7cbcp-4, -0x1.482f3e64eb5d2p-4, -0x1.3f9aa2070ea19p-4, -0x1.373138a334061p-4, -0x1.2ef2af30db78cp-4, -0x1.26dead63951f1p-4, -0x1.1ef4d5fbf493ap-4, -0x1.1734c7161cc4fp-4, -0x1.0f9e1a75e7172p-4, -0x1.083065d0aca64p-4, -0x1.00eb3b14bb281p-4, -0x1.f39c515cf1e5ap-5, -0x1.e5b1739685137p-5, -0x1.d814ed3411719p-5, -0x1.cac5c9136fbdp-5, -0x1.bdc30d0ae36d6p-5, -0x1.b10bba5d42131p-5, -0x1.a49ece29e6c55p-5, -0x1.987b41d87ea52p-5, -0x1.8ca00b80c6bb3p-5, -0x1.810c1e4e4b06ep-5, -0x1.75be6ae040c7p-5, -0x1.6ab5dfa587f36p-5, -0x1.5ff16934f2dcfp-5, -0x1.556ff2a1dedd1p-5, -0x1.4b3065cd3ba2p-5, -0x1.4131abb30dc2ep-5, -0x1.3772acb48cap-5, -0x1.2df250dee45b9p-5, -0x1.24af802ebc484p-5, -0x1.1ba922d08f2ep-5, -0x1.12de215def134p-5, -0x1.0a4d6517c78a3p-5, -0x1.01f5d81db5082p-5, -0x1.f3accb4507d5dp-6, -0x1.e3dbf43bdb655p-6, -0x1.d47706f750451p-6, -0x1.c57be28fb99c2p-6, -0x1.b6e869b22e4b4p-6, -0x1.a8ba82ef8b03p-6, -0x1.9af01906b461ep-6, -0x1.8d871b2a40813p-6, -0x1.807d7d41b9e77p-6, -0x1.73d1382693195p-6, -0x1.678049dcf5b52p-6, -0x1.5b88b5c8996efp-6, -0x1.4fe884ddb483dp-6, -0x1.449dc5ce3c886p-6, -0x1.39a68d338bfa4p-6, -0x1.2f00f5b496195p-6, -0x1.24ab2028c52ep-6, -0x1.1aa333b7ab596p-6, -0x1.10e75df59a56dp-6, -0x1.0775d2fd4bb41p-6, -0x1.fc999b0d68797p-7, -0x1.ead51df63aae8p-7, -0x1.d99abf0d4c338p-7, -0x1.c8e71c4e8da8dp-7, -0x1.b8b6e172db2c7p-7, -0x1.a906c804b8f7dp-7, -0x1.99d397709ed5bp-7, -0x1.8b1a25112c816p-7, -0x1.7cd75437674e4p-7, -0x1.6f08162f200e5p-7, -0x1.61a96a3fdf827p-7, -0x1.54b85daa4e129p-7, -0x1.48320ba273b05p-7, -0x1.3c139d46d2fd4p-7, -0x1.305a4994ae609p-7, -0x1.250355597df11p-7, -0x1.1a0c1321d4b1ap-7, -0x1.0f71e325cf4c1p-7, -0x1.0532333334674p-7, -0x1.f694fd2ad3d8p-8, -0x1.e3709bf6c0dd6p-8, -0x1.d0f26eb72ba29p-8, -0x1.bf15bbac9f87bp-8, -0x1.add5e32c57f38p-8, -0x1.9d2e5f5e481bfp-8, -0x1.8d1ac3f842bfdp-8, -0x1.7d96bdf678256p-8, -0x1.6e9e135180f7fp-8, -0x1.602ca2b22627bp-8, -0x1.523e632319053p-8, -0x1.44cf63c0c8a1fp-8, -0x1.37dbcb6781c7dp-8, -0x1.2b5fd86005b8p-8, -0x1.1f57e00abed0fp-8, -0x1.13c04e89bcc52p-8, -0x1.0895a6699d88fp-8, -0x1.fba900930a0f3p-9, -0x1.e6f31504969cep-9, -0x1.d3031199f5995p-9, -0x1.bfd2a7d1894cap-9, -0x1.ad5bb2810d628p-9, -0x1.9b98351ffcd18p-9, -0x1.8a825b11896bcp-9, -0x1.7a1476ee5d64ep-9, -0x1.6a4901ce4c847p-9, -0x1.5b1a9a923381ep-9, -0x1.4c84052e208f3p-9, -0x1.3e8029f3fa8dep-9, -0x1.310a14dec9d4dp-9, -0x1.241cf4dec71e8p-9, -0x1.17b41b2654176p-9, -0x1.0bcafa780072dp-9, -0x1.005d2675b71d1p-9, -0x1.eacca5e2619eap-10, -0x1.d5c4a67b971a9p-10, -0x1.c19a3307b0fdep-10, -0x1.ae456c2b019b9p-10, -0x1.9bbead8aa050cp-10, -0x1.89fe8c7cf4a1p-10, -0x1.78fdd6bde7d1ap-10, -0x1.68b59126d3892p-10, -0x1.591ef66a5059ap-10, -0x1.4a3375d405fccp-10, -0x1.3becb20c8f456p-10, -0x1.2e447fe196eedp-10, -0x1.2134e512352a2p-10, -0x1.14b8171fa22ecp-10, -0x1.08c87a2265363p-10, -0x1.fac13f47cd8dep-11, -0x1.e4f68af93e551p-11, -0x1.d026a96d94675p-11, -0x1.bc47c0eb79da8p-11, -0x1.a95049c3bdc65p-11, -0x1.97370c3298d6ep-11, -0x1.85f31e4a51d7ap-11, -0x1.757be1e744b02p-11, -0x1.65c902ad5220bp-11, -0x1.56d2740eb6723p-11, -0x1.48906f5c48729p-11, -0x1.3afb71df19c32p-11, -0x1.2e0c3afb7430ep-11, -0x1.21bbca5d2b165p-11, -0x1.16035e2d374ffp-11, -0x1.0adc715090084p-11, -0x1.0040b9b033118p-11, -0x1.ec544d149b6f1p-12, -0x1.d925bd98ec177p-12, -0x1.c6ea7eedbcc2dp-12, -0x1.b597b410e586ep-12, -0x1.a522e5e79589ap-12, -0x1.95820039af298p-12, -0x1.86ab4ebe6ebc3p-12, -0x1.78957a3a335adp-12, -0x1.6b3785ad28701p-12, -0x1.5e88cb92ab8c2p-12, -0x1.5280fb312bd72p-12, -0x1.471815fa57743p-12, -0x1.3c466cfb5585dp-12, -0x1.32049e5cd97e1p-12, -0x1.284b92f2d2061p-12, -0x1.1f147bdb78f1fp-12, -0x1.1658d02d8d4eap-12, -0x1.0e124ab570629p-12, -0x1.063ae7c0f488dp-12, -0x1.fd99c5f32c99cp-13, -0x1.ef856a99d375cp-13, -0x1.e22e25c5ed134p-13, -0x1.d589d244968d1p-13, -0x1.c98eb98307032p-13, -0x1.be338fcc0bf6p-13, -0x1.b36f709f7308ep-13, -0x1.a939db22e9609p-13, -0x1.9f8aaeabd0b73p-13, -0x1.965a27618a3d6p-13, -0x1.8da0daf7c14c1p-13, -0x1.8557b5803c4cp-13, -0x1.7d77f653acb8bp-13, -0x1.75fb2d11130e8p-13, -0x1.6edb36b334f0ap-13, -0x1.68123abbaf874p-13, -0x1.619aa8732f319p-13, -0x1.5b6f343e568dp-13, -0x1.558ad506dfb98p-13, -0x1.4fe8c1b88576cp-13, -0x1.4a846ed13e1bdp-13, -0x1.45598c045c52ep-13, -0x1.406401f0224fp-13, -0x1.3b9fefe55a7ep-13, -0x1.3709a9c086edap-13, -0x1.329db5d43fce7p-13, -0x1.2e58cae4524a7p-13, -0x1.2a37ce314035dp-13, -0x1.2637d193a619dp-13, -0x1.225611a73f8bbp-13, -0x1.1e8ff405081adp-13, -0x1.1ae3058c2fe1bp-13, -0x1.174cf8b96db9dp-13, -0x1.13cba40c60b7p-13, -0x1.105d007a9b217p-13, -0x1.0cff27effea95p-13, -0x1.09b053dc0d0d9p-13, -0x1.066edbcbd324p-13, -0x1.0339341022992p-13, -0x1.000dec6fb3b93p-13, -0x1.f9d75dc9db03cp-14, -0x1.f3a27ccdead2cp-14, -0x1.ed7aeb7b70fb9p-14, -0x1.e75e8cc1549e4p-14, -0x1.e14b6ebfb7ee7p-14, -0x1.db3fc8ae54cacp-14, -0x1.d539f8d675f0ep-14, -0x1.cf38829fe7136p-14, -0x1.c93a0cb06fba4p-14, -0x1.c33d5f1d2a32p-14, -0x1.bd4161ad46d79p-14, -0x1.b7451a2dbbdb6p-14, -0x1.b147aad53bbe9p-14, -0x1.ab4850b82e17cp-14, -0x1.a546624bf2de5p-14, -0x1.9f414df923238p-14, -0x1.993898bc49ea4p-14, -0x1.932bdcd49847p-14, -0x1.8d1ac88038012p-14, -0x1.87051cc5c2c1p-14, -0x1.80eaac4a757dp-14, -0x1.7acb5a34b8905p-14, -0x1.74a7191a98808p-14, -0x1.6e7de9fbc91fap-14, -0x1.684fdb46d58c5p-14, -0x1.621d07e91d675p-14, -0x1.5be5966944187p-14, -0x1.55a9b80bb9dcp-14, -0x1.4f69a80105caap-14, -0x1.4925aa9d7e595p-14, -0x1.42de0c9a1d179p-14, -0x1.3c93225e1dbp-14, -0x1.3645475119fcfp-14, -0x1.2ff4dd35583f6p-14, -0x1.29a24b8a016fcp-14, -0x1.234dfef4f8513p-14, -0x1.1cf868b40994ap-14, -0x1.16a1fe15368a4p-14, -0x1.104b37f5d16b1p-14, -0x1.09f4924832a9dp-14, -0x1.039e8b9fc41acp-14, -0x1.fa9349865039fp-15, -0x1.edecc0888476dp-15, -0x1.e14a843bcee04p-15, -0x1.d4ad9eae0114ep-15, -0x1.c8171b55cfe7p-15, -0x1.bb88066da1d7ep-15, -0x1.af016c5805813p-15, -0x1.a284590d77aap-15, -0x1.9611d79311fa7p-15, -0x1.89aaf179cc8f7p-15, -0x1.7d50ae65f9709p-15, -0x1.7104139e9e64bp-15, -0x1.64c623a46401ap-15, -0x1.5897ddcfbf88bp-15, -0x1.4c7a3df61206cp-15, -0x1.406e3c1569217p-15, -0x1.3474cc06a284bp-15, -0x1.288edd35a0e06p-15, -0x1.1cbd5a5f5873dp-15, -0x1.1101295567dacp-15, -0x1.055b2ac704e74p-15, -0x1.f398741dfacd8p-16, -0x1.dcaa5a0d18d25p-16, -0x1.c5eda7b9a3ebap-16, -0x1.af63f1e56206p-16, -0x1.990ec175ba913p-16, -0x1.82ef933bd2becp-16, -0x1.6d07d7c43fb47p-16, -0x1.5758f32df1bdbp-16, -0x1.41e43d07fb888p-16, -0x1.2cab0035d9ea3p-16, -0x1.17ae7ad9e895ap-16, -0x1.02efde45b19d8p-16, -0x1.dce09ddf85785p-17, -0x1.b461c8dd80a2dp-17, -0x1.8c6552f2d92edp-17, -0x1.64ed37d6aa767p-17, -0x1.3dfb599bd3eb6p-17, -0x1.179180cb72f7dp-17, -0x1.e362b90e35c93p-18, -0x1.98b90564cca0cp-18, -0x1.4f28e046c1518p-18, -0x1.06b511b2b111fp-18, -0x1.7ec060e6cb2ebp-19, -0x1.e4b28a929792ep-20, -0x1.a0e4f21379b51p-21, 0x1.f9bac7c4fe854p-23, 0x1.4a438d34732ap-20, 0x1.2855bf2ad0a9cp-19, 0x1.a9349e96981ep-19, 0x1.13dde373a3c3ep-18, 0x1.51f47924d35c2p-18, 0x1.8edd18c1e7315p-18, 0x1.ca96f5306f75dp-18, 0x1.0290b584cecb2p-17, 0x1.1f3dffe392c8ep-17, 0x1.3b5330762d2a2p-17, 0x1.56d03195fc528p-17, 0x1.71b500c58b6cep-17, 0x1.8c01ae40c9082p-17, 0x1.a5b65c8c3cbfdp-17, 0x1.bed3400359c44p-17, 0x1.d7589e662bf0dp-17, 0x1.ef46ce66832e8p-17, 0x1.034f1b9a60948p-16, 0x1.0eafa8063c737p-16, 0x1.19c54fe08395fp-16, 0x1.24905e2519c1p-16, 0x1.2f1125288befdp-16, 0x1.3947fe5ea775cp-16, 0x1.43354a2151fabp-16, 0x1.4cd96f77a198ap-16, 0x1.5634dbdd4fc47p-16, 0x1.5f48030a88723p-16, 0x1.68135ebc24978p-16, 0x1.70976e7c620ecp-16, 0x1.78d4b76c126p-16, 0x1.80cbc40c5bdp-16, 0x1.887d240906f34p-16, 0x1.8fe96c036cf0dp-16, 0x1.9711355e0169fp-16, 0x1.9df51e088e5d7p-16, 0x1.a495c84d1455cp-16, 0x1.aaf3da9d6afb5p-16, 0x1.b10fff619684ep-16, 0x1.b6eae4c6dc1b3p-16, 0x1.bc853c8fa2293p-16, 0x1.c1dfbbe40d76bp-16, 0x1.c6fb1b2372d4ep-16, 0x1.cbd815b6956fap-16, 0x1.d07769e2b6cebp-16, 0x1.d4d9d89d793fcp-16, 0x1.d90025619e068p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d431dcd503b1bp-1, 0x1.d0495a2db1eecp-1, 0x1.cc3fc8eceb993p-1, 0x1.c816daa2891bdp-1, 0x1.c3d03ec8f2a83p-1, 0x1.bf6da1b3723b6p-1, 0x1.baf0ab973244p-1, 0x1.b65affad3070ap-1, 0x1.b1ae3b6b83b9fp-1, 0x1.acebf5d45d4a1p-1, 0x1.a815bed9413c1p-1, 0x1.a32d1ed10d753p-1, 0x1.9e3395ff6ec01p-1, 0x1.992a9c2c7f96dp-1, 0x1.9413a04b5d9fap-1, 0x1.8ef0082e93cf5p-1, 0x1.89c13049492c8p-1, 0x1.84886b7c394b7p-1, 0x1.7f4702ed82319p-1, 0x1.79fe35ea6c2bep-1, 0x1.74af39d258b41p-1, 0x1.6f5b3a0a12431p-1, 0x1.6a0357f6c61bdp-1, 0x1.64a8aafffb35cp-1, 0x1.5f4c4097e46e7p-1, 0x1.59ef1c49760e8p-1, 0x1.549237cbb1032p-1, 0x1.4f368319a0858p-1, 0x1.49dce48e8db74p-1, 0x1.44863905f4e2p-1, 0x1.3f3353fed1404p-1, 0x1.39e4ffc1dccd4p-1, 0x1.349bfd8a6401bp-1, 0x1.2f5905b1590c9p-1, 0x1.2a1cc7da559b7p-1, 0x1.24e7eb22414f3p-1, 0x1.1fbb0e4f58e97p-1, 0x1.1a96c802551c9p-1, 0x1.157ba6e87992dp-1, 0x1.106a31ee55dbcp-1, 0x1.0b62e87306ff1p-1, 0x1.0666427bcdb82p-1, 0x1.0174b0e7d1ff2p-1, 0x1.f91d3b47da548p-2, 0x1.ef68d7bcb6dccp-2, 0x1.e5ccf0746b096p-2, 0x1.dc4a32052fb34p-2, 0x1.d2e13cbac21ecp-2, 0x1.c992a4fadd85p-2, 0x1.c05ef3a893a91p-2, 0x1.b746a6865dc5ep-2, 0x1.ae4a3096c85dp-2, 0x1.a569fa7ba84eap-2, 0x1.9ca662d3b52bp-2, 0x1.93ffbe96892c7p-2, 0x1.8b76596ee25bp-2, 0x1.830a76132a8fbp-2, 0x1.7abc4e9c313bap-2, 0x1.728c14da0f798p-2, 0x1.6a79f2a733c51p-2, 0x1.62860a399244cp-2, 0x1.5ab07671ec744p-2, 0x1.52f94b293e41fp-2, 0x1.4b60957c42fdep-2, 0x1.43e65c151b561p-2, 0x1.3c8a9f73114c1p-2, 0x1.354d5a3084b25p-2, 0x1.2e2e8146f6f46p-2, 0x1.272e04514bb77p-2, 0x1.204bcdcc3120fp-2, 0x1.1987c354c6a28p-2, 0x1.12e1c5e5789dap-2, 0x1.0c59b2112439ap-2, 0x1.05ef603c828a4p-2, 0x1.ff4549abc25edp-3, 0x1.f2e6a1166de33p-3, 0x1.e6c260fd2611bp-3, 0x1.dad81cf1e881p-3, 0x1.cf2762371a7c8p-3, 0x1.c3afb81efacdbp-3, 0x1.b870a0680bb57p-3, 0x1.ad6997968a2fcp-3, 0x1.a29a154af4468p-3, 0x1.98018c95befd1p-3, 0x1.8d9f6c483f5abp-3, 0x1.83731f42d2e37p-3, 0x1.797c0cc0672a9p-3, 0x1.6fb9989f5a55dp-3, 0x1.662b23a7d199p-3, 0x1.5cd00bcf8e751p-3, 0x1.53a7ac7b56154p-3, 0x1.4ab15ebdef2f3p-3, 0x1.41ec7994cfea1p-3, 0x1.3958522281f29p-3, 0x1.30f43be6cc935p-3, 0x1.28bf88f4b5866p-3, 0x1.20b98a265ea95p-3, 0x1.18e18f4ed4cdfp-3, 0x1.1136e769dcda4p-3, 0x1.09b8e0c9c0f9fp-3, 0x1.0266c9433924dp-3, 0x1.f67fdcaeedcd6p-4, 0x1.e8873ab8a70bbp-4, 0x1.dae247458af54p-4, 0x1.cd8f9d372715bp-4, 0x1.c08dd7f4b0039p-4, 0x1.b3db93adcebd8p-4, 0x1.a7776d9a316ffp-4, 0x1.9b6004360b9e2p-4, 0x1.8f93f77b8fe2ep-4, 0x1.8411e9197adbbp-4, 0x1.78d87ca6cb368p-4, 0x1.6de657d3b333dp-4, 0x1.633a2297de867p-4, 0x1.58d2875e1da1bp-4, 0x1.4eae332d8ca16p-4, 0x1.44cbd5d04842fp-4, 0x1.3b2a21f7c60dap-4, 0x1.31c7cd5edf7d7p-4, 0x1.28a390e9a7f1ep-4, 0x1.1fbc28c31aeb8p-4, 0x1.17105478b83c6p-4, 0x1.0e9ed7141d1fp-4, 0x1.06667732afd6cp-4, 0x1.fccbfe36d2ef8p-5, 0x1.ed3879a5a7a36p-5, 0x1.de10045a90534p-5, 0x1.cf5049bf04ec9p-5, 0x1.c0f6fd1b291c3p-5, 0x1.b301d9b09bb8cp-5, 0x1.a56ea2d243fd6p-5, 0x1.983b23f94348ep-5, 0x1.8b6530d71f154p-5, 0x1.7eeaa5654818ep-5, 0x1.72c965f2167edp-5, 0x1.66ff5f2b5322ap-5, 0x1.5b8a862670ff6p-5, 0x1.5068d86686a64p-5, 0x1.45985be02876ap-5, 0x1.3b171efb38b3p-5, 0x1.30e33892c55fep-5, 0x1.26fac7f30d422p-5, 0x1.1d5bf4d5c0649p-5, 0x1.1404ef5c946c3p-5, 0x1.0af3f00a3eac1p-5, 0x1.022737b9eeb74p-5, 0x1.f33a1f2aaf053p-6, 0x1.e2a79212be086p-6, 0x1.d2937b73084aap-6, 0x1.c2fa9ee425336p-6, 0x1.b3d9d0325e545p-6, 0x1.a52df33dacf9p-6, 0x1.96f3fbd7ae475p-6, 0x1.8928ed9fb8de1p-6, 0x1.7bc9dbdd3234p-6, 0x1.6ed3e9583aeffp-6, 0x1.62444830dddabp-6, 0x1.561839b4c9286p-6, 0x1.4a4d0e33c62c7p-6, 0x1.3ee024d2f680bp-6, 0x1.33ceeb5ef42eap-6, 0x1.2916de1cf9715p-6, 0x1.1eb5879b122dap-6, 0x1.14a8807f86f9p-6, 0x1.0aed6f577e2bbp-6, 0x1.01820864fe9dep-6, 0x1.f0c81ad8aaf2dp-7, 0x1.df229b01fefb4p-7, 0x1.ce0f49a444c03p-7, 0x1.bd89f8ed4fc53p-7, 0x1.ad8e947219d26p-7, 0x1.9e1920c5e9804p-7, 0x1.8f25bb111d48bp-7, 0x1.80b098a7b8abap-7, 0x1.72b6069fdaceap-7, 0x1.653269681a5fap-7, 0x1.58223c5e0baf8p-7, 0x1.4b821164e5c3bp-7, 0x1.3f4e907c68009p-7, 0x1.338477581f1bdp-7, 0x1.282098f7103aep-7, 0x1.1d1fdd3be6ad3p-7, 0x1.127f4085b132ep-7, 0x1.083bd34943817p-7, 0x1.fca5735692c9cp-8, 0x1.e98256363ab97p-8, 0x1.d708e3dcdba66p-8, 0x1.c533d5fb81f4p-8, 0x1.b3fe0a83c3b64p-8, 0x1.a36282e485b69p-8, 0x1.935c6348bfea9p-8, 0x1.83e6f1d857df4p-8, 0x1.74fd95fb1d7c2p-8, 0x1.669bd79e020b9p-8, 0x1.58bd5e7a9360fp-8, 0x1.4b5df160cb719p-8, 0x1.3e79758342724p-8, 0x1.320bedc5c962fp-8, 0x1.26117a0e7f9c8p-8, 0x1.1a86569965109p-8, 0x1.0f66db4e74c61p-8, 0x1.04af7b1a4dc3bp-8, 0x1.f4b98692e4043p-9, 0x1.e0d6b5cc36c9bp-9, 0x1.cdb00431636bfp-9, 0x1.bb3f2315bfe42p-9, 0x1.a97df39a96ddcp-9, 0x1.9866857fe4691p-9, 0x1.87f315fa5811fp-9, 0x1.781e0e8ea70cbp-9, 0x1.68e203f22577dp-9, 0x1.5a39b4f0a7d1fp-9, 0x1.4c200957a824p-9, 0x1.3e9010e6ac9e5p-9, 0x1.31850244e6a75p-9, 0x1.24fa39fc0159dp-9, 0x1.18eb397821236p-9, 0x1.0d53a60d015e9p-9, 0x1.022f48002a48p-9, 0x1.eef41330735b5p-10, 0x1.da5fec625786ap-10, 0x1.c69a72ab33f74p-10, 0x1.b39c3bb9da27cp-10, 0x1.a15e1a1cc47a2p-10, 0x1.8fd91b91dd46ap-10, 0x1.7f06875fb4fap-10, 0x1.6edfdcb82ce24p-10, 0x1.5f5ed12474e42p-10, 0x1.507d4efa23cd7p-10, 0x1.423573d971059p-10, 0x1.34818f3452cfep-10, 0x1.275c20de703c8p-10, 0x1.1abfd7a5b9bep-10, 0x1.0ea78ff398a19p-10, 0x1.030e527682a13p-10, 0x1.efdea5a7b4bf7p-11, 0x1.da8bdcc3e850cp-11, 0x1.c61b55d444ed4p-11, 0x1.b2846ae549558p-11, 0x1.9fbec220a8e81p-11, 0x1.8dc24b7fe37bp-11, 0x1.7c873e8dd1b77p-11, 0x1.6c061836dfb66p-11, 0x1.5c3798a7b53e2p-11, 0x1.4d14c139ffbd5p-11, 0x1.3e96d26f1ebd9p-11, 0x1.30b749f86af82p-11, 0x1.236fe0ccd4451p-11, 0x1.16ba894b929e6p-11, 0x1.0a916d6ba7549p-11, 0x1.fdddd9efcff67p-12, 0x1.e79b37aeacf2cp-12, 0x1.d25080c2fa1fp-12, 0x1.bdf3a37d254d9p-12, 0x1.aa7aeca645031p-12, 0x1.97dd046df5753p-12, 0x1.8610eb6e3c0b3p-12, 0x1.750df7c4fb60ep-12, 0x1.64cbd2427619dp-12, 0x1.554273ac6929dp-12, 0x1.466a2215422f5p-12, 0x1.383b6e46ff05bp-12, 0x1.2aaf314139d18p-12, 0x1.1dbe89c9f3a23p-12, 0x1.1162da10a7ab4p-12, 0x1.0595c563384afp-12, 0x1.f4a25be88e283p-13, 0x1.df1e6565113e9p-13, 0x1.ca945a61557dep-13, 0x1.b6f95f3ac3d1ap-13, 0x1.a443059676654p-13, 0x1.9267488f8496bp-13, 0x1.815c890348245p-13, 0x1.711989fabe032p-13, 0x1.61956d305e07cp-13, 0x1.52c7afb1891afp-13, 0x1.44a8269af95b3p-13, 0x1.372efbef5b18dp-13, 0x1.2a54ab877bdaap-13, 0x1.1e12001b420efp-13, 0x1.12601062df17ap-13, 0x1.07383c4f783d6p-13, 0x1.f92854b575d8dp-14, 0x1.e4db89d9455f3p-14, 0x1.d17e6fadd9026p-14, 0x1.bf05dbcb0f9acp-14, 0x1.ad671d06f4e22p-14, 0x1.9c97f6e73de2bp-14, 0x1.8c8e9d3964c7bp-14, 0x1.7d41afd0370bcp-14, 0x1.6ea83665d71b5p-14, 0x1.60b99ca1166bdp-14, 0x1.536dae3d2751bp-14, 0x1.46bc9352a3b7ep-14, 0x1.3a9eccc0ee7fep-14, 0x1.2f0d30b6fbcf6p-14, 0x1.2400e75a90b2ep-14, 0x1.1973678d1128bp-14, 0x1.0f5e73ccfb0a5p-14, 0x1.05bc17332db9fp-14, 0x1.f90d451652f24p-15, 0x1.e771530ae3aa6p-15, 0x1.d69a00068e20ep-15, 0x1.c67d6ef5de93bp-15, 0x1.b71238e795588p-15, 0x1.a84f6832edddap-15, 0x1.9a2c73ca924abp-15, 0x1.8ca13abad42e2p-15, 0x1.7fa5ffd1c8c7ep-15, 0x1.7333656ffb4f8p-15, 0x1.6742698063ap-15, 0x1.5bcc619662c96p-15, 0x1.50caf7308766dp-15, 0x1.4638241ef0d7cp-15, 0x1.3c0e2f0c1f1e7p-15, 0x1.3247a82715479p-15, 0x1.28df65edb7233p-15, 0x1.1fd082164c296p-15, 0x1.171656972538p-15, 0x1.0eac7acb5f96fp-15, 0x1.068ec0b3d044fp-15, 0x1.fd7264a63de57p-16, 0x1.ee501e485aab4p-16, 0x1.dfaf9353ba0ecp-16, 0x1.d18a0a2ec032ap-16, 0x1.c3d926206aad3p-16, 0x1.b696e2fe043f7p-16, 0x1.a9bd9105031aap-16, 0x1.9d47d0df81108p-16, 0x1.91308fd1d58a3p-16, 0x1.8573040fe057p-16, 0x1.7a0aa938996d9p-16, 0x1.6ef33cf69184ap-16, 0x1.6428bbc4101ep-16, 0x1.59a75dd1821bbp-16, 0x1.4f6b940d0e8efp-16, 0x1.4572054a0871bp-16, 0x1.3bb78b872b7adp-16, 0x1.3239315271145p-16, 0x1.28f42f497a0c2p-16, 0x1.1fe5e9b56d7d3p-16, 0x1.170bee4159619p-16, 0x1.0e63f1ca0e853p-16, 0x1.05ebce4685023p-16, 0x1.fb43018fc3f3dp-17, 0x1.eb064f206a241p-17, 0x1.db1e007e2c868p-17, 0x1.cb86cc2691d49p-17, 0x1.bc3da0813341bp-17, 0x1.ad3fa0b25ba69p-17, 0x1.9e8a219312034p-17, 0x1.901aa6cd05e7cp-17, 0x1.81eee0190836p-17, 0x1.7404a69eb4ec6p-17, 0x1.6659fa73ee53ap-17, 0x1.58ed003af80a9p-17, 0x1.4bbbfedde3bc2p-17, 0x1.3ec55d663ef8cp-17, 0x1.3207a0efbc37ap-17, 0x1.25816ab4d80dcp-17, 0x1.193176345d1e4p-17, 0x1.0d16976ec5cd8p-17, 0x1.012fb93a7cec5p-17, 0x1.eaf7b75c17a2ap-18, 0x1.d3f4253e8e71ep-18, 0x1.bd53086d38876p-18, 0x1.a712cf2b41935p-18, 0x1.913207202a136p-18, 0x1.7baf5aed18bb6p-18, 0x1.66898fe3f0c29p-18, 0x1.51bf83deb9d8p-18, 0x1.3d502b35e8ceep-18, 0x1.293a8ed430dcep-18, 0x1.157dca668d578p-18, 0x1.02190aa73d14cp-18, 0x1.de171784faae5p-19, 0x1.b8a92fa7a9832p-19, 0x1.93e70af5a5ff2p-19, 0x1.6fcf6d0c55e8dp-19, 0x1.4c612d68452e7p-19, 0x1.299b350eaf593p-19, 0x1.077c7c5dbca1cp-19, 0x1.cc0812035b1a6p-20, 0x1.8a61d81a3c34dp-20, 0x1.4a0480656aafbp-20, 0x1.0aee503d3df82p-20, 0x1.9a3b33b8eb651p-21, 0x1.2121731207d6bp-21, 0x1.55184bcd842e2p-22, 0x1.b3c0ec9a218dp-24, -0x1.d8ee784568173p-24, -0x1.54718f4861cefp-22, -0x1.16dbf64f90d22p-21, -0x1.810a8ae2f5cc5p-21, -0x1.e8c7be1e0c033p-21, -0x1.270b6a3e6fe6ap-20, -0x1.587d906309053p-20, -0x1.88bc032b2013ap-20, -0x1.b7c87d9649355p-20, -0x1.e5a4c4dde29fcp-20, -0x1.092954a0d8114p-19, -0x1.1eea035d1032dp-19, -0x1.341562c8e8d9bp-19, -0x1.48ac6d73ec44p-19, -0x1.5cb0248e1c6afp-19, -0x1.70219013f6836p-19, -0x1.8301bef0e3f54p-19, -0x1.9551c718be3c6p-19, -0x1.a712c598f4141p-19, -0x1.b845dea1e81ecp-19, -0x1.c8ec3d89151c8p-19, -0x1.d90714c46f994p-19, -0x1.e8979ddf94076p-19, -0x1.f79f196b23dbep-19, -0x1.030f67736c474p-18, -0x1.0a0c06535258fp-18, -0x1.10c613d9abca9p-18, -0x1.173e3dd38dd0bp-18, -0x1.1d75354319978p-18, -0x1.236bae4a21f8ap-18, -0x1.292260134496p-18, -0x1.2e9a04b99af5bp-18, -0x1.33d3592f2dfb1p-18, -0x1.38cf1d22476bap-18, -0x1.3d8e12e1c98dap-18, -0x1.4210ff40a7663p-18, -0x1.4658a9789f05ap-18, -0x1.4a65db0c4e189p-18, -0x1.4e395fa8bf00bp-18, -0x1.51d4050683369p-18, -0x1.55369aca7578dp-18, -0x1.5861f26637f55p-18, -0x1.5b56def8832d1p-18, -0x1.5e16352d5a0adp-18, -0x1.60a0cb1e31939p-18, -0x1.62f7783223d5ep-18, -0x1.651b14fe33d9fp-18, -0x1.670c7b25bcce1p-18, -0x1.68cc853b0fe45p-18, -0x1.6a5c0ea0530a8p-18, -0x1.6bbbf368aadc8p-18, -0x1.6ced1039bba23p-18, -0x1.6df0422d87b05p-18, -0x1.6ec666b4babd2p-18, -0x1.6f705b796271cp-18, -0x1.6feefe4224a74p-18, -0x1.70432cd5f2273p-18, -0x1.706dc4e042e91p-18, -0x1.706fa3d5dcf2bp-18, -0x1.7049a6da2e388p-18, -0x1.6ffcaaa53aa41p-18, -0x1.6f898b6a26096p-18, -0x1.6ef124be5b7bcp-18, -0x1.6e34518155781p-18, -0x1.6d53ebc5080b6p-18, -0x1.6c50ccb6f34c9p-18, -0x1.6b2bcc89dcb93p-18, -0x1.69e5c2602e4dbp-18, -0x1.687f843705b99p-18, -0x1.66f9e6d1e8274p-18, -0x1.6555bda727483p-18, -0x1.6393daccebd17p-18, -0x1.61b50ee6f0a83p-18, -0x1.5fba2914e73fcp-18, -0x1.5da3f6e183b66p-18, -0x1.5b73443237546p-18, -0x1.5928db37907c5p-18, -0x1.56c5845e42115p-18, -0x1.544a0640d2548p-18, -0x1.51b72599ece47p-18, -0x1.4f0da537574ep-18, -0x1.4c4e45ed87982p-18, -0x1.4979c68bd752dp-18, -0x1.4690e3d1569dbp-18, -0x1.4394586235ecdp-18, -0x1.4084dcbdc96e5p-18, -0x1.3d63273523c22p-18, -0x1.3a2febe23ff1bp-18, -0x1.36ebdc9fc06bep-18, -0x1.3397a9013732cp-18, -0x1.3033fe4bfcb71p-18, -0x1.2cc187708e2a6p-18, -0x1.2940ed0470683p-18, -0x1.25b2d53c96972p-18, -0x1.2217e3e8483p-18, -0x1.1e70ba6c8466dp-18, -0x1.1abdf7bfdf34ep-18, -0x1.17003866d5b79p-18, -0x1.1338167096b71p-18, -0x1.0f6629743c72cp-18, -0x1.0b8b068e73abep-18, -0x1.07a7405f90805p-18, -0x1.03bb670a07dd3p-18, -0x1.ff901062a572fp-19, -0x1.f79b5df260486p-19, -0x1.ef99c80a8fc34p-19, -0x1.e78c5af2584bdp-19, -0x1.df741df16268ap-19, -0x1.d75213513cb0ep-19, -0x1.cf27385f67cd5p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fdfa71ae52016p-4, -0x1.11a3db9da55cap-3, -0x1.24a9c98137119p-3, -0x1.3802659df558dp-3, -0x1.4ba0d8ece7a9dp-3, -0x1.5f782ff88346fp-3, -0x1.737b75598929p-3, -0x1.879dc92f4373cp-3, -0x1.9bd275c773618p-3, -0x1.b00d01aa1d64cp-3, -0x1.c4413f3c46e4fp-3, -0x1.d8635a2b180a7p-3, -0x1.ec67e2ce95ad6p-3, -0x1.0021ebd864b61p-2, -0x1.09f656b1d2646p-2, -0x1.13ac2a66acabep-2, -0x1.1d3ea00822365p-2, -0x1.26a933188d32ap-2, -0x1.2fe7a2cdc4d7ap-2, -0x1.38f5f2d1a9608p-2, -0x1.41d06b8ebafafp-2, -0x1.4a739a15a1b58p-2, -0x1.52dc4fa776151p-2, -0x1.5b07a0efbc518p-2, -0x1.62f2e4f8245b7p-2, -0x1.6a9bb3df4f03fp-2, -0x1.71ffe55b155a6p-2, -0x1.791d8f0e19aep-2, -0x1.7ff302b7bb7bcp-2, -0x1.867ecc44e8c64p-2, -0x1.8cbfafc7b162p-2, -0x1.92b4a75af1cc7p-2, -0x1.985ce0f6ea494p-2, -0x1.9db7bc3b1d9ep-2, -0x1.a2c4c83159d2ap-2, -0x1.a783c10d70ffep-2, -0x1.abf48decb41afp-2, -0x1.b0173e97fbbe5p-2, -0x1.b3ec094aa162cp-2, -0x1.b77348808e598p-2, -0x1.baad78cd371f1p-2, -0x1.bd9b36bd18152p-2, -0x1.c03d3cc3130cbp-2, -0x1.c2946132ca9cbp-2, -0x1.c4a19448f5f73p-2, -0x1.c665de426aca4p-2, -0x1.c7e25d8282fb5p-2, -0x1.c91844c94e64p-2, -0x1.ca08d979ed5bap-2, -0x1.cab571f14c5a6p-2, -0x1.cb1f73ed6221ep-2, -0x1.cb485304f8564p-2, -0x1.cb318f2ff2a7fp-2, -0x1.cadcb35ffdaf1p-2, -0x1.ca4b54296e7edp-2, -0x1.c97f0e7c2452cp-2, -0x1.c879866c22721p-2, -0x1.c73c6609923e3p-2, -0x1.c5c95c47dabd5p-2, -0x1.c4221bf36f128p-2, -0x1.c2485ab5ef2b8p-2, -0x1.c03dd0283a53dp-2, -0x1.be0434f20234ap-2, -0x1.bb9d41f677c79p-2, -0x1.b90aaf8da216ap-2, -0x1.b64e34c9f297ep-2, -0x1.b36986c9a76e8p-2, -0x1.b05e58138bdc5p-2, -0x1.ad2e57fead557p-2, -0x1.a9db322495f0ep-2, -0x1.a6668ddda38a7p-2, -0x1.a2d20dc711259p-2, -0x1.9f1f4f524c199p-2, -0x1.9b4fea5d32f23p-2, -0x1.976570d2d71b1p-2, -0x1.93616e546418fp-2, -0x1.8f4567e9d2988p-2, -0x1.8b12dbba01493p-2, -0x1.86cb40c9ecb61p-2, -0x1.827006c29d6f7p-2, -0x1.7e0295bd8a1c9p-2, -0x1.79844e1712dc1p-2, -0x1.74f68846ce42p-2, -0x1.705a94bd593b9p-2, -0x1.6bb1bbc763e8ap-2, -0x1.66fd3d75b57f5p-2, -0x1.623e5189e30c9p-2, -0x1.5d76276777fb4p-2, -0x1.58a5e60953bp-2, -0x1.53ceabfafc74cp-2, -0x1.4ef18f55b2ec6p-2, -0x1.4a0f9dc1095dcp-2, -0x1.4529dc76caf02p-2, -0x1.4041484a00b5ep-2, -0x1.3b56d5b0e181p-2, -0x1.366b70d17c209p-2, -0x1.317ffd90ee49bp-2, -0x1.2c9557a500264p-2, -0x1.27ac52a7f428ap-2, -0x1.22c5ba2e6784cp-2, -0x1.1de251df19f6fp-2, -0x1.1902d58c77e63p-2, -0x1.1427f94fc5e77p-2, -0x1.0f5269a5c6ebbp-2, -0x1.0a82cb8cbfa3dp-2, -0x1.05b9bca3b92f6p-2, -0x1.00f7d34adf79p-2, -0x1.f87b3d89c8c09p-3, -0x1.ef174eb297f83p-3, -0x1.e5c4dcef05788p-3, -0x1.dc84ddb555e18p-3, -0x1.d358395c0ce55p-3, -0x1.ca3fcb63cf857p-3, -0x1.c13c62c223f91p-3, -0x1.b84ec22cf073dp-3, -0x1.af77a0668a2dcp-3, -0x1.a6b7a88a325ecp-3, -0x1.9e0f7a58dfc11p-3, -0x1.957faa86332d1p-3, -0x1.8d08c30574202p-3, -0x1.84ab435680117p-3, -0x1.7c67a0d28884ep-3, -0x1.743e46f88c82p-3, -0x1.6c2f97b96f86bp-3, -0x1.643bebc399ba6p-3, -0x1.5c6392ce0e086p-3, -0x1.54a6d3e2d919cp-3, -0x1.4d05eda8d68b9p-3, -0x1.458116aca5ad2p-3, -0x1.3e187da8d4d0ep-3, -0x1.36cc49cd1d5b4p-3, -0x1.2f9c9b04b87bfp-3, -0x1.28898a3bab23cp-3, -0x1.219329a30cbcp-3, -0x1.1ab984f43d302p-3, -0x1.13fca1b2f1a87p-3, -0x1.0d5c7f6e2609p-3, -0x1.06d917ffd389fp-3, -0x1.00725fcb7d201p-3, -0x1.f4508bf6f2277p-4, -0x1.e7f56979ef8f4p-4, -0x1.dbd322f59d6e4p-4, -0x1.cfe97a2dd70f6p-4, -0x1.c438284514e28p-4, -0x1.b8bede2a20a73p-4, -0x1.ad7d450337a45p-4, -0x1.a272fe96840ebp-4, -0x1.979fa5aff2e53p-4, -0x1.8d02ce8461dd1p-4, -0x1.829c0712293cbp-4, -0x1.786ad77f03eebp-4, -0x1.6e6ec27354ebap-4, -0x1.64a74572d1315p-4, -0x1.5b13d9328e751p-4, -0x1.51b3f1ec7f012p-4, -0x1.4886ffb05e16fp-4, -0x1.3f8c6eb213b14p-4, -0x1.36c3a7959628dp-4, -0x1.2e2c0fb852006p-4, -0x1.25c509781e2dcp-4, -0x1.1d8df477c5d76p-4, -0x1.15862de131087p-4, -0x1.0dad10a53362bp-4, -0x1.0601f5b90da78p-4, -0x1.fd0868a34dadcp-5, -0x1.ee6644391a295p-5, -0x1.e01c26ed85718p-5, -0x1.d228b742cd595p-5, -0x1.c48a99e87ffffp-5, -0x1.b740721c71afdp-5, -0x1.aa48e207a5db7p-5, -0x1.9da28b1746a96p-5, -0x1.914c0e51b814dp-5, -0x1.85440ca7e7009p-5, -0x1.79892742e5d46p-5, -0x1.6e19ffcdef46p-5, -0x1.62f538bce3011p-5, -0x1.5819758f59bd1p-5, -0x1.4d855b106149ap-5, -0x1.43378f92f98d2p-5, -0x1.392ebb2b6a07ep-5, -0x1.2f6987e586609p-5, -0x1.25e6a1f7f662fp-5, -0x1.1ca4b7f49901dp-5, -0x1.13a27af61aa55p-5, -0x1.0ade9ecad05bap-5, -0x1.0257da1cf0e82p-5, -0x1.f419cd307b438p-6, -0x1.e3f9021a6bbe1p-6, -0x1.d44ad323c6b85p-6, -0x1.c50cc740ada7cp-6, -0x1.b63c6c65d9704p-6, -0x1.a7d757bcc932p-6, -0x1.99db25d3d18e5p-6, -0x1.8c457aca27d73p-6, -0x1.7f1402780e738p-6, -0x1.724470934b48cp-6, -0x1.65d480d00cc28p-6, -0x1.59c1f6fe5bb87p-6, -0x1.4e0a9f24419c5p-6, -0x1.42ac4d94c61e2p-6, -0x1.37a4df03dc33ep-6, -0x1.2cf238976f12bp-6, -0x1.229247f599a7ap-6, -0x1.188303503e0abp-6, -0x1.0ec2696e09974p-6, -0x1.054e81b10af4fp-6, -0x1.f84ab835e99dap-7, -0x1.e68a229e54259p-7, -0x1.d55785255e54cp-7, -0x1.c4af339427c33p-7, -0x1.b48d92eafeff9p-7, -0x1.a4ef1955c0f67p-7, -0x1.95d04e1ce211fp-7, -0x1.872dc993254c8p-7, -0x1.790435004a63cp-7, -0x1.6b504a88d38b8p-7, -0x1.5e0ed5130e418p-7, -0x1.513cb02986a92p-7, -0x1.44d6c7db14724p-7, -0x1.38da18989fd3fp-7, -0x1.2d43af10c7fc8p-7, -0x1.2210a8098d056p-7, -0x1.173e303821065p-7, -0x1.0cc9841701a26p-7, -0x1.02afefba7929dp-7, -0x1.f1dd9d474fed9p-8, -0x1.df071724637d6p-8, -0x1.ccd740a95b9e3p-8, -0x1.bb492b2fe75d1p-8, -0x1.aa58056abfff2p-8, -0x1.99ff1b0053b5bp-8, -0x1.8a39d423c62afp-8, -0x1.7b03b52c6f7p-8, -0x1.6c585e2c0c3e3p-8, -0x1.5e338a83c58bdp-8, -0x1.509110783b155p-8, -0x1.436ce0c4b91a6p-8, -0x1.36c3062db9f6bp-8, -0x1.2a8fa512dc1dep-8, -0x1.1ecefb006c497p-8, -0x1.137d5e40a47f5p-8, -0x1.08973d6cbe573p-8, -0x1.fc323dfbef7a7p-9, -0x1.e7ff41bd43ad8p-9, -0x1.d48eeff6b3afp-9, -0x1.c1dadfa900177p-9, -0x1.afdcd4200df82p-9, -0x1.9e8ebc1764113p-9, -0x1.8deab0dfac1c2p-9, -0x1.7deaf5855f947p-9, -0x1.6e89f5f8ceb66p-9, -0x1.5fc2463798397p-9, -0x1.518ea177bd1f4p-9, -0x1.43e9e95465fbp-9, -0x1.36cf24fc8089bp-9, -0x1.2a3980634a6eep-9, -0x1.1e244b72df9bbp-9, -0x1.128af940ec751p-9, -0x1.07691f45901d4p-9, -0x1.f974e92912a97p-10, -0x1.e4f5a231714c6p-10, -0x1.d14c59a426e31p-10, -0x1.be713e2c18bp-10, -0x1.ac5cbba50619ep-10, -0x1.9b0779a697bc1p-10, -0x1.8a6a5a14a4a8bp-10, -0x1.7a7e77b4c8e0ap-10, -0x1.6b3d24c969285p-10, -0x1.5c9fe9b21fb7dp-10, -0x1.4ea08391a72a1p-10, -0x1.4138e2f959115p-10, -0x1.34632a9a372cap-10, -0x1.2819adfb8de3cp-10, -0x1.1c56f037420afp-10, -0x1.1115a2bbadcafp-10, -0x1.0650a4133ad4cp-10, -0x1.f805fd630d8a3p-11, -0x1.e44fcf8c8e9bfp-11, -0x1.d1757c2b75da1p-11, -0x1.bf6e11ad86e7ep-11, -0x1.ae30ed2d2e7ep-11, -0x1.9db5b8440b003p-11, -0x1.8df466e88f4b3p-11, -0x1.7ee53556af123p-11, -0x1.7080a6038013ap-11, -0x1.62bf7f9bc0282p-11, -0x1.559acb0d272e3p-11, -0x1.490bd19a70538p-11, -0x1.3d0c1af9ff439p-11, -0x1.31956b7f0b2a7p-11, -0x1.26a1c24d30b21p-11, -0x1.1c2b5796502ep-11, -0x1.122c9ae29aafdp-11, -0x1.08a03162b04afp-11, -0x1.ff01e8975b81bp-12, -0x1.ed93de7a17453p-12, -0x1.dcecbd605b29p-12, -0x1.cd035ce30133p-12, -0x1.bdcef04607648p-12, -0x1.af47039038d2fp-12, -0x1.a16378b51e718p-12, -0x1.941c84d0fc8c2p-12, -0x1.876aad76867bdp-12, -0x1.7b46c60e0bc7ep-12, -0x1.6fa9ed45d3f1dp-12, -0x1.648d8a9357dafp-12, -0x1.59eb4bc518d01p-12, -0x1.4fbd22a4c5f8bp-12, -0x1.45fd42a969006p-12, -0x1.3ca61eb94b2b6p-12, -0x1.33b266fb4f479p-12, -0x1.2b1d06b773eaep-12, -0x1.22e1224630152p-12, -0x1.1afa150e695bep-12, -0x1.13636f91b28e6p-12, -0x1.0c18f5868ed27p-12, -0x1.05169c006e75bp-12, -0x1.fcb10f4a3bb2fp-13, -0x1.efb615dec23a8p-13, -0x1.e33548fce471bp-13, -0x1.d727fae43f8b5p-13, -0x1.cb87cfa67e01bp-13, -0x1.c04eba106ec19p-13, -0x1.b576f8aaaf27ep-13, -0x1.aafb12d173a12p-13, -0x1.a0d5d5e2decc9p-13, -0x1.9702528364886p-13, -0x1.8d7bd9f7b64dp-13, -0x1.843dfb93c0243p-13, -0x1.7b44823e28d25p-13, -0x1.728b7207e1018p-13, -0x1.6a0f05d747d46p-13, -0x1.61cbad265f92dp-13, -0x1.59be09d3abc1ap-13, -0x1.51e2ee052defbp-13, -0x1.4a375a1d1ff1p-13, -0x1.42b87abfe8062p-13, -0x1.3b63a6eae85dbp-13, -0x1.34365e1ba9212p-13, -0x1.2d2e4686f82c3p-13, -0x1.26492b5f9a73ap-13, -0x1.1f84fb2c191d5p-13, -0x1.18dfc62b47349p-13, -0x1.1257bcc72502cp-13, -0x1.0beb2e15a68b8p-13, -0x1.059886671b6d1p-13, -0x1.febc9bc36b124p-14, -0x1.f2764e53dd067p-14, -0x1.e65b9c2eb8c7ep-14, -0x1.da6a2ceb4e08cp-14, -0x1.ce9fd5a278277p-14, -0x1.c2fa969eec1cep-14, -0x1.b7789923b0f3bp-14, -0x1.ac182d4822746p-14, -0x1.a0d7c7e8e9c4cp-14, -0x1.95b600ad2f015p-14, -0x1.8ab1901f8a946p-14, -0x1.7fc94dda06a77p-14, -0x1.74fc2ec4a7968p-14, -0x1.6a494365e724cp-14, -0x1.5fafb644964a9p-14, -0x1.552eca5a9a8b4p-14, -0x1.4ac5d997ff2c3p-14, -0x1.40745375d951ap-14, -0x1.3639bb987b523p-14, -0x1.2c15a8807af44p-14, -0x1.2207c24a123e7p-14, -0x1.180fc17a5ebdep-14, -0x1.0e2d6dda1077bp-14, -0x1.04609d5d1258dp-14, -0x1.f552662d82476p-15, -0x1.e20e3c7484d9cp-15, -0x1.cef4b24d28814p-15, -0x1.bc05d0fbde3d5p-15, -0x1.a941b4902b8d2p-15, -0x1.96a88a3e66b73p-15, -0x1.843a8ecdd06e4p-15, -0x1.71f80d1a55f76p-15, -0x1.5fe15ca9463a2p-15, -0x1.4df6e0504f51cp-15, -0x1.3c3904ee19d79p-15, -0x1.2aa84033dd9bbp-15, -0x1.19450f7f51a35p-15, -0x1.080ff6c45b68ap-15, -0x1.ee12ff0bd06c7p-16, -0x1.cc646fbab34ccp-16, -0x1.ab15632001617p-16, -0x1.8a2702642382fp-16, -0x1.699a7aad2d446p-16, -0x1.4970fb97a642fp-16, -0x1.29abb5c74f7d2p-16, -0x1.0a4bd98ee08ffp-16, -0x1.d6a52b5bac88dp-17, -0x1.99822c46e4aadp-17, -0x1.5d31062c05e9p-17, -0x1.21b3ff9b4279p-17, -0x1.ce1aa70659924p-18, -0x1.5a7e5ede61481p-18, -0x1.d12ec7a0f4aadp-19, -0x1.e1a747b0f486ap-20, -0x1.3f343006beecep-23, 0x1.8ad56da48e431p-20, 0x1.9b3ef6a6c6efep-19, 0x1.36c13f63a8d1dp-18, 0x1.9e17554028b4ep-18, 0x1.01cf4c5f16902p-17, 0x1.33aa0ab0733ddp-17, 0x1.649a83d5a499dp-17, 0x1.949f6f2399134p-17, 0x1.c3b79d81ededdp-17, 0x1.f1e1f9d6e5aacp-17, 0x1.0f8ec4b082819p-16, 0x1.25b4b5ffa89a7p-16, 0x1.3b626e348da25p-16, 0x1.5097982b1a593p-16, 0x1.6553ec4c35108p-16, 0x1.7997309386d95p-16, 0x1.8d61388eb4a35p-16, 0x1.a0b1e556665fp-16, 0x1.b389258179173p-16, 0x1.c5e6f512bc90ep-16, 0x1.d7cb5d618dddcp-16, 0x1.e93674fd9cb45p-16, 0x1.fa285f8e393ap-16, 0x1.0550a6d6b3bfbp-15, 0x1.0d50be5f8569bp-15, 0x1.15149b62387e5p-15, 0x1.1c9c69163bdb3p-15, 0x1.23e858d049e3dp-15, 0x1.2af8a1e77f148p-15, 0x1.31cd819918256p-15, 0x1.38673aeafdefbp-15, 0x1.3ec6168d34b12p-15, 0x1.44ea62ba4b266p-15, 0x1.4ad47316df74ap-15, 0x1.5084a09055a1ep-15, 0x1.55fb493ad4807p-15, 0x1.5b38d02e9d3b8p-15, 0x1.603d9d64d3dabp-15, 0x1.650a1d93cdfe9p-15, 0x1.699ec20af6f84p-15, 0x1.6dfc008e5cb02p-15, 0x1.72225331f874cp-15, 0x1.76123834bf94dp-15, 0x1.79cc31db8eddbp-15, 0x1.7d50c64bfdf57p-15, 0x1.80a07f67289f5p-15, 0x1.83bbeaa4785b8p-15, 0x1.86a398ec80c3fp-15, 0x1.89581e73f468p-15, 0x1.8bda1296be691p-15, 0x1.8e2a0fb34e872p-15, 0x1.9048b3061d05dp-15, 0x1.92369c857194fp-15, 0x1.93f46ebd76f6cp-15, 0x1.9582ceac9fb6cp-15, 0x1.96e263a069a25p-15, 0x1.9813d7127d205p-15, 0x1.9917d4863c399p-15, 0x1.99ef0966bad5ap-15, 0x1.9a9a24e52ddc7p-15, 0x1.9b19d7d7d0e12p-15, 0x1.9b6ed4994e39p-15, 0x1.9b99cee8a69dep-15, 0x1.9b9b7bc99e1e6p-15, 0x1.9b749165b8172p-15, 0x1.9b25c6edbb006p-15, 0x1.9aafd47bc84f5p-15, 0x1.9a1372f606faap-15, 0x1.99515bf1e26f5p-15, 0x1.986a4997e248bp-15, 0x1.975ef6881a131p-15, 0x1.96301dbf34b32p-15, 0x1.94de7a7c1c876p-15, 0x1.936ac8264042bp-15, 0x1.91d5c2347595fp-15, 0x1.902024147a03bp-15, 0x1.8e4aa91314643p-15, 0x1.8c560c44d4f08p-15, 0x1.8a43086f7378p-15, 0x1.881257f3ce462p-15, 0x1.85c4b4b8878fp-15, 0x1.835ad8153ff1dp-15, 0x1.80d57abe70974p-15, 0x1.7e3554b1e0f41p-15, 0x1.7b7b1d23b8318p-15, 0x1.78a78a6c2baaep-15, 0x1.75bb51f5c5762p-15, 0x1.72b7282c440bfp-15, 0x1.6f9bc06c11418p-15, 0x1.6c69ccf24ec79p-15, 0x1.6921fecd788abp-15, 0x1.65c505ce97312p-15, 0x1.6253907b06502p-15, 0x1.5ece4bfec6c8ap-15, 0x1.5b35e41f619d4p-15, 0x1.578b032f55227p-15, 0x1.53ce52020a5eap-15, 0x1.500077e0529aep-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c7592509b90dap-1, 0x1.c3fb03e454df7p-1, 0x1.c0a3e3694c1ecp-1, 0x1.bd548666f3adcp-1, 0x1.ba0d5e9a393d7p-1, 0x1.b6ce975007616p-1, 0x1.b3981f54a0054p-1, 0x1.b069b2284c5a2p-1, 0x1.ad42e0764e19p-1, 0x1.aa2317cf31bdcp-1, 0x1.a709a9aac043p-1, 0x1.a3f5d1b825b41p-1, 0x1.a0e6bb84725b6p-1, 0x1.9ddb8780be27dp-1, 0x1.9ad34f71dd04p-1, 0x1.97cd2a53e8659p-1, 0x1.94c82fbc007a5p-1, 0x1.91c37ac28463p-1, 0x1.8ebe2c7fc98p-1, 0x1.8bb76e24fd414p-1, 0x1.88ae72ba6a588p-1, 0x1.85a2788be9954p-1, 0x1.8292ca4bb9f67p-1, 0x1.7f7ebff37d0b3p-1, 0x1.7c65bf6a84b27p-1, 0x1.79473cf8229bdp-1, 0x1.7622bb881bdbp-1, 0x1.72f7ccc6ebb14p-1, 0x1.6fc6111b02e61p-1, 0x1.6c8d377fbc7e2p-1, 0x1.694cfd4656d6p-1, 0x1.66052dc0d1feap-1, 0x1.62b5a1da3e02cp-1, 0x1.5f5e3f9f9d7c3p-1, 0x1.5bfef9bc37df2p-1, 0x1.5897ceebe69bep-1, 0x1.5528c9659beaap-1, 0x1.51b1fe4029586p-1, 0x1.4e338cd30cd72p-1, 0x1.4aad9e14cfeafp-1, 0x1.472063f85c8b1p-1, 0x1.438c18ca73df6p-1, 0x1.3ff0fe90535bep-1, 0x1.3c4f5e6868bf3p-1, 0x1.38a787edd8014p-1, 0x1.34f9d09f77063p-1, 0x1.3146934ac9675p-1, 0x1.2d8e2f7b6a7d4p-1, 0x1.29d108ef46a65p-1, 0x1.260f870fe6a1bp-1, 0x1.224a14710b037p-1, 0x1.1e811e54bab82p-1, 0x1.1ab51434e523p-1, 0x1.16e66752a623p-1, 0x1.13158a4b32262p-1, 0x1.0f42f0b2696a4p-1, 0x1.0b6f0eb3041fap-1, 0x1.079a58b44df9ep-1, 0x1.03c5430553b5fp-1, 0x1.ffe0831ad6fefp-2, 0x1.f8378f03f3495p-2, 0x1.f0908e429b7ep-2, 0x1.e8ec62e4e885p-2, 0x1.e14bec13adaebp-2, 0x1.d9b005a4fe272p-2, 0x1.d21987b7ae96p-2, 0x1.ca894657745e8p-2, 0x1.c30011294e7c6p-2, 0x1.bb7eb31fe31d9p-2, 0x1.b405f2377991bp-2, 0x1.ac968f3935f58p-2, 0x1.a531458547e0bp-2, 0x1.9dd6cae3afba8p-2, 0x1.9687cf5b4cdcap-2, 0x1.8f44fd0edc1d4p-2, 0x1.880ef81f9c6dap-2, 0x1.80e65e95466c8p-2, 0x1.79cbc84b0d7aap-2, 0x1.72bfc6e15b26ep-2, 0x1.6bc2e5b403dacp-2, 0x1.64d5a9d4a6eebp-2, 0x1.5df89208fb42p-2, 0x1.572c16ccc73f2p-2, 0x1.5070aa573ece7p-2, 0x1.49c6b8a394a5p-2, 0x1.432ea77c7ac21p-2, 0x1.3ca8d68a60dafp-2, 0x1.36359f643635dp-2, 0x1.2fd555a27f73dp-2, 0x1.298846f48a323p-2, 0x1.234ebb37952acp-2, 0x1.1d28f48fbab07p-2, 0x1.17172f8275f31p-2, 0x1.1119a312970f2p-2, 0x1.0b3080dd840c3p-2, 0x1.055bf5399d017p-2, 0x1.ff384eab44cb3p-3, 0x1.f3e272b1f9f86p-3, 0x1.e8b691098dadfp-3, 0x1.ddb4daaaf0c54p-3, 0x1.d2dd774a3ab46p-3, 0x1.c830859bf1ff4p-3, 0x1.bdae1b9af681dp-3, 0x1.b35646cef08c9p-3, 0x1.a9290c93065f5p-3, 0x1.9f266a5cbcbdep-3, 0x1.954e5602d9472p-3, 0x1.8ba0be0419b22p-3, 0x1.821d89cdae59ep-3, 0x1.78c49a014c1cdp-3, 0x1.6f95c8babdcfdp-3, 0x1.6690e9d4d91f2p-3, 0x1.5db5cb2dc8cabp-3, 0x1.550434ea7d9edp-3, 0x1.4c7be9b94e13cp-3, 0x1.441ca7139de11p-3, 0x1.3be6257e83d6ep-3, 0x1.33d818ca5fea9p-3, 0x1.2bf230514b797p-3, 0x1.243417346664dp-3, 0x1.1c9d7497e15cep-3, 0x1.152debddd0ca2p-3, 0x1.0de51cdfaed29p-3, 0x1.06c2a42691c26p-3, 0x1.ff8c364408bd4p-4, 0x1.f1de30bb101a5p-4, 0x1.e47a5f6963badp-4, 0x1.d75fe50bcdb01p-4, 0x1.ca8ddfc75bd07p-4, 0x1.be036989394c8p-4, 0x1.b1bf9863b8be4p-4, 0x1.a5c17ee880a0cp-4, 0x1.9a082c7ffb9c3p-4, 0x1.8e92adbde26e3p-4, 0x1.83600cb30ec0bp-4, 0x1.786f513c7f303p-4, 0x1.6dbf814f9cafcp-4, 0x1.634fa143c746bp-4, 0x1.591eb4192f41ap-4, 0x1.4f2bbbbd06199p-4, 0x1.4575b94b0cdeep-4, 0x1.3bfbad4c8ca59p-4, 0x1.32bc97f4c0de1p-4, 0x1.29b7795abedc5p-4, 0x1.20eb51b0e70bp-4, 0x1.18572179e94a8p-4, 0x1.0ff9e9bb69daep-4, 0x1.07d2ac2e52c69p-4, 0x1.ffc0d6d9bc3eep-5, 0x1.f044563ccc22dp-5, 0x1.e12de0420eed2p-5, 0x1.d27b81624a578p-5, 0x1.c42b491daf2b4p-5, 0x1.b63b4a42af47dp-5, 0x1.a8a99b30e346bp-5, 0x1.9b7456181c3d6p-5, 0x1.8e999933ba3d6p-5, 0x1.8217870264c7p-5, 0x1.75ec467a41ae8p-5, 0x1.6a160339c09dfp-5, 0x1.5e92edb519761p-5, 0x1.53613b6096e3fp-5, 0x1.487f26d7c841dp-5, 0x1.3deaf001b4192p-5, 0x1.33a2dc32249afp-5, 0x1.29a5364828cbap-5, 0x1.1ff04ec9e1f56p-5, 0x1.16827bfdb76a3p-5, 0x1.0d5a1a0107ce8p-5, 0x1.04758adc735e5p-5, 0x1.f7a66d2b9d4dcp-6, 0x1.e6e3167fbd92bp-6, 0x1.d69dfa0fe1b92p-6, 0x1.c6d40c82bedcfp-6, 0x1.b7824ede481bp-6, 0x1.a8a5ce970a116p-6, 0x1.9a3ba59be2b11p-6, 0x1.8c40fa5e507d9p-6, 0x1.7eb2ffd76e55bp-6, 0x1.718ef589cf25p-6, 0x1.64d2278056573p-6, 0x1.5879ee4a39632p-6, 0x1.4c83aef44ce7ap-6, 0x1.40ecdaffb8ccep-6, 0x1.35b2f0564342dp-6, 0x1.2ad3793c42cd5p-6, 0x1.204c0c40689ecp-6, 0x1.161a4c2974d9fp-6, 0x1.0c3be7e1fb6e3p-6, 0x1.02ae9a624eaa9p-6, 0x1.f2e0553170b11p-7, 0x1.e0fcd6a017d7dp-7, 0x1.cfae76297ad23p-7, 0x1.bef1083117923p-7, 0x1.aec07829ad8fp-7, 0x1.9f18c85786944p-7, 0x1.8ff611906806bp-7, 0x1.815482f985482p-7, 0x1.733061c36c318p-7, 0x1.658608e43a734p-7, 0x1.5851e8d03c3ap-7, 0x1.4b9087310393ep-7, 0x1.3f3e7e9b42c03p-7, 0x1.33587e4364a21p-7, 0x1.27db49b12609ep-7, 0x1.1cc3b8723bf22p-7, 0x1.120eb5cc2da98p-7, 0x1.07b9406d7e394p-7, 0x1.fb80d43c83c32p-8, 0x1.e842aee074d1p-8, 0x1.d5b27edd276bcp-8, 0x1.c3cad69ab4b1p-8, 0x1.b2866c3182fb8p-8, 0x1.a1e018c8a08f7p-8, 0x1.91d2d7f415d5ep-8, 0x1.8259c713571e2p-8, 0x1.737024affb9d2p-8, 0x1.65114fdcdff39p-8, 0x1.5738c795d29f5p-8, 0x1.49e22a1feef12p-8, 0x1.3d09346ac143bp-8, 0x1.30a9c17252913p-8, 0x1.24bfc9a2366edp-8, 0x1.19476239b629ap-8, 0x1.0e3cbcb12cba8p-8, 0x1.039c2620ae95bp-8, 0x1.f2c40d501be37p-9, 0x1.df15c1b0a4a44p-9, 0x1.cc26a23d67e38p-9, 0x1.b9f01a62508e3p-9, 0x1.a86bc6f92d6ecp-9, 0x1.9793752977533p-9, 0x1.8761214b99ab6p-9, 0x1.77cef5cfca91cp-9, 0x1.68d74a2895b57p-9, 0x1.5a74a1b91ea79p-9, 0x1.4ca1aac737d0bp-9, 0x1.3f593d7157a16p-9, 0x1.32965aa87bc05p-9, 0x1.26542b2e05786p-9, 0x1.1a8dfe959bc9dp-9, 0x1.0f3f4a4b18bf2p-9, 0x1.0463a89c8f884p-9, 0x1.f3edaf90ced7fp-10, 0x1.dfe9721f3a04ap-10, 0x1.ccb29f983bcc4p-10, 0x1.ba418116a6435p-10, 0x1.a88ea05991c55p-10, 0x1.9792c609fc504p-10, 0x1.8746f808bb144p-10, 0x1.77a477c4a451cp-10, 0x1.68a4c098fa879p-10, 0x1.5a4186341351p-10, 0x1.4c74b306248e5p-10, 0x1.3f3866b832372p-10, 0x1.3286f4ab1a96p-10, 0x1.265ae27e9744fp-10, 0x1.1aaee6a0496f1p-10, 0x1.0f7de6e2990c2p-10, 0x1.04c2f71b74257p-10, 0x1.f4f2af959d757p-11, 0x1.e138e9919741fp-11, 0x1.ce4fc7f7042f3p-11, 0x1.bc2ec8288affp-11, 0x1.aacdb6a8b56fap-11, 0x1.9a24acb20682p-11, 0x1.8a2c0ddd8f0abp-11, 0x1.7adc85d7ccfbcp-11, 0x1.6c2f0623a7ec2p-11, 0x1.5e1cc3eb5376ap-11, 0x1.509f35dee9813p-11, 0x1.43b0122083e74p-11, 0x1.37494c3da3165p-11, 0x1.2b651335ac3ebp-11, 0x1.1ffdcf8d47ed6p-11, 0x1.150e216e6d0a3p-11, 0x1.0a90ded4df425p-11, 0x1.008111c6ec2e3p-11, 0x1.edb3ed345dcc1p-12, 0x1.db2df4884a37ep-12, 0x1.c967716cb5e8fp-12, 0x1.b857f68bf2c14p-12, 0x1.a7f76e3d024eep-12, 0x1.983e177eeba5ep-12, 0x1.8924830994adep-12, 0x1.7aa39073a0c9dp-12, 0x1.6cb46b6cf55edp-12, 0x1.5f50890d6f247p-12, 0x1.5271a53763cd7p-12, 0x1.4611c00d829b2p-12, 0x1.3a2b1b7ba510dp-12, 0x1.2eb838d23373ep-12, 0x1.23b3d673a634p-12, 0x1.1918ed93cb101p-12, 0x1.0ee2b0085c787p-12, 0x1.050c862a8fc4cp-12, 0x1.f72419925b62dp-13, 0x1.e4de2655baa95p-13, 0x1.d33f32406ae7fp-13, 0x1.c23f9a4a75363p-13, 0x1.b1d81523d40f1p-13, 0x1.a201afb2e5a9dp-13, 0x1.92b5c9af85c98p-13, 0x1.83ee125a148fbp-13, 0x1.75a4854dbb95fp-13, 0x1.67d3676d40c29p-13, 0x1.5a7543e9bacfdp-13, 0x1.4d84e96273602p-13, 0x1.40fd671d5e66fp-13, 0x1.34da0a577574ep-13, 0x1.29165bac5bfbp-13, 0x1.1dae1c94a97d1p-13, 0x1.129d44fa40937p-13, 0x1.07e000e214367p-13, 0x1.fae55c559a03cp-14, 0x1.e6a3b4bf68d7p-14, 0x1.d2f4813ea9d08p-14, 0x1.bfd18f2a8c2e6p-14, 0x1.ad34ff0d27dc9p-14, 0x1.9b1940e08204p-14, 0x1.8979106ea4e0ap-14, 0x1.784f71d3dd706p-14, 0x1.6797ae220faf1p-14, 0x1.574d50242f13ep-14, 0x1.476c2140e1fecp-14, 0x1.37f0267b64ffap-14, 0x1.28d59d91be8d5p-14, 0x1.1a18fa37656afp-14, 0x1.0bb6e36b72f86p-14, 0x1.fb5861d31844p-15, 0x1.dfebd1695639dp-15, 0x1.c5227975ee52cp-15, 0x1.aaf71123c2a3fp-15, 0x1.91649e9382826p-15, 0x1.786672b059d7dp-15, 0x1.5ff82530a3642p-15, 0x1.481590c12b8c4p-15, 0x1.30bacf599fbd9p-15, 0x1.19e436b8c6713p-15, 0x1.038e550733fa4p-15, 0x1.db6bdb3e55116p-16, 0x1.b0afebf0c9722p-16, 0x1.86e3256d1edfep-16, 0x1.5e0029b2851fep-16, 0x1.3601ee18981efp-16, 0x1.0ee3b62e5e00bp-16, 0x1.d1421daae9128p-17, 0x1.866b932e919b6p-17, 0x1.3d3bf0649e396p-17, 0x1.eb57a17492636p-18, 0x1.5f687ef6c9526p-18, 0x1.ad3ac093070cfp-19, 0x1.43a7b8b846c63p-20, -0x1.8debd5996cf7p-21, -0x1.62c7adf17e9e9p-19, -0x1.2e13890a1693ep-18, -0x1.a7d664f44c58cp-18, -0x1.0f5addd3f305cp-17, -0x1.495d32ceeffe2p-17, -0x1.81f66674fadc5p-17, -0x1.b92a7b6003a27p-17, -0x1.eefd46390e533p-17, -0x1.11b938fb30da3p-16, -0x1.2b46c1edaba16p-16, -0x1.4428ef9e45856p-16, -0x1.5c616485657fp-16, -0x1.73f1b593974a2p-16, -0x1.8adb6bc15c2aap-16, -0x1.a1200585d5585p-16, -0x1.b6c0f83567953p-16, -0x1.cbbfb1495e372p-16, -0x1.e01d9791978b2p-16, -0x1.f3dc0c512b3cp-16, -0x1.037e362386b77p-15, -0x1.0cc00851c418p-15, -0x1.15b427f5bab15p-15, -0x1.1e5b3f650becbp-15, -0x1.26b5f8692c84fp-15, -0x1.2ec4fc9821c33p-15, -0x1.3688f5a5bc3c4p-15, -0x1.3e028dadad03bp-15, -0x1.45326f76d4154p-15, -0x1.4c1946b01b2ecp-15, -0x1.52b7c02735603p-15, -0x1.590e89f99294fp-15, -0x1.5f1e53bfd5452p-15, -0x1.64e7ceb4159b9p-15, -0x1.6a6badd33c494p-15, -0x1.6faaa5f9b7ac7p-15, -0x1.74a56dfbd01d6p-15, -0x1.795cbeb9dac83p-15, -0x1.7dd153308a229p-15, -0x1.8203e885948c7p-15, -0x1.85f53e10eda3ep-15, -0x1.89a61562c574fp-15, -0x1.8d17324681c39p-15, -0x1.90495ac2e9a3dp-15, -0x1.933d5717a9351p-15, -0x1.95f3f1b8638b8p-15, -0x1.986df7457d4abp-15, -0x1.9aac3682c67f5p-15, -0x1.9caf804c2ef35p-15, -0x1.9e78a788ac421p-15, -0x1.a008811b738adp-15, -0x1.a15fe3d3abdd6p-15, -0x1.a27fa85ab9156p-15, -0x1.a368a92142cf6p-15, -0x1.a41bc24b0ff81p-15, -0x1.a499d199da43cp-15, -0x1.a4e3b6572ed0dp-15, -0x1.a4fa513d7c60cp-15, -0x1.a4de846063b38p-15, -0x1.a4913314616d2p-15, -0x1.a41341d5eceacp-15, -0x1.a36596301a6dap-15, -0x1.a28916a2daeacp-15, -0x1.a17eaa88e8448p-15, -0x1.a04739fd71623p-15, -0x1.9ee3adc198865p-15, -0x1.9d54ef21d193dp-15, -0x1.9b9be7db32464p-15, -0x1.99b98200bd028p-15, -0x1.97aea7e0bcf2cp-15, -0x1.957c43ea35f3p-15, -0x1.932340927aaf2p-15, -0x1.90a4883af1f24p-15, -0x1.8e0105171540fp-15, -0x1.8b39a112b219p-15, -0x1.884f45b876db9p-15, -0x1.8542dc18d6e71p-15, -0x1.82154cb14586p-15, -0x1.7ec77f53d958fp-15, -0x1.7b5a5b0f54feap-15, -0x1.77cec617a24e7p-15, -0x1.7425a5aec1396p-15, -0x1.705fde0e312b1p-15, -0x1.6c7e5250d7cc1p-15, -0x1.6881e45d6d11ep-15, -0x1.646b74d16ad1ap-15, -0x1.603be2ec87637p-15, -0x1.5bf40c7cbcca5p-15, -0x1.5794cdcadd72dp-15, -0x1.531f0187bc4e2p-15, -0x1.4e9380b9e61ebp-15, -0x1.49f322abedc4ap-15, -0x1.453ebcdb531a4p-15, -0x1.407722e7faa67p-15, -0x1.3b9d26843fdfap-15, -0x1.36b197659dabcp-15, -0x1.31b54335f05c3p-15, -0x1.2ca8f5854d2e8p-15, -0x1.278d77bc711f5p-15, -0x1.2263910fc9f17p-15, -0x1.1d2c0673111f4p-15, -0x1.17e79a8d7f8fbp-15, -0x1.12970dae93edep-15, -0x1.0d3b1dc36cb8ep-15, -0x1.07d4864cb3e1ep-15, -0x1.026400551c54bp-15, -0x1.f9d484d0da316p-16, -0x1.eed0011631303p-16, -0x1.e3bbd864c5283p-16, -0x1.d899687a1b21cp-16, -0x1.cd6a09d91c90dp-16, -0x1.c22f0fbd90c4ep-16, -0x1.b6e9c81096df7p-16, -0x1.ab9b7b5e23eacp-16, -0x1.a0456ccb7e95bp-16, -0x1.94e8da0eb4f93p-16, -0x1.8986fb6705341p-16, -0x1.7e21039634889p-16, -0x1.72b81fdad162fp-16, -0x1.674d77eb5cae1p-16, -0x1.5be22df25288bp-16, -0x1.50775e8b078cbp-16, -0x1.450e20bf6911ap-16, -0x1.39a7860680b5fp-16, -0x1.2e449a43ca508p-16, -0x1.22e663c7500b3p-16, -0x1.178de34e8570ap-16, -0x1.0c3c1405dc62fp-16, -0x1.00f1eb8b13fb4p-16, -0x1.eb60b3e06d05p-17, -0x1.d4f0937e8a25ap-17, -0x1.be953ffd04f12p-17, -0x1.a850786ad8e87p-17, -0x1.9223f0e4847p-17, -0x1.7c1152a05cefp-17, -0x1.661a3bfbf7a27p-17, -0x1.5040408aafc8ep-17, -0x1.3a84e9253c76fp-17, -0x1.24e9b3fa4fbc4p-17, -0x1.0f7014a02c139p-17, -0x1.f432e84e5c32ep-18, -0x1.c9ce625a7fbe1p-18, -0x1.9fb53fe45459fp-18, -0x1.75ea14d977488p-18, -0x1.4c6f60c17874p-18, -0x1.23478eeb4ad5ap-18, -0x1.f4e9ed384cbebp-19, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      61, 0x1.f0a3d70a3d70ap+1, 0x1.04efdd2c1af74p+1, 0x1.d9d8277a9a14bp+1, -0x1.256fe0ce3f354p-1, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.77ecbb7f9d6f1p+1, -0x1.c9f2cd8ae92c7p+2, 0x1.d2c7ae147aeap+2, 0x1.351f408d14822p+0}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.54cadddf43c7dp+1, -0x1.a43c2faab0b94p+2, 0x1.dc0dbcd108545p+2, -0x1.826710b0599c7p+2}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.34a5c5f7c675ap+1, -0x1.80016b305175dp+2, 0x1.adaf732245418p+2, -0x1.e1571ac3c49ebp+1}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.174573a797892p+1, -0x1.5ec932bbc49bfp+2, 0x1.90ce103f7c04cp+2, -0x1.03eab9c81b363p+2}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.f8ea5b530ced5p+0, -0x1.3ff81956fbf1dp+2, 0x1.719d6a981c97dp+2, -0x1.d55316fb6b341p+1}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.c8069e7fb267cp+0, -0x1.2386bd1aad1d7p+2, 0x1.5574974b96295p+2, -0x1.bcde308207ffap+1}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.9b829068986fdp+0, -0x1.09470eea57cd8p+2, 0x1.3ac36b6cbea43p+2, -0x1.a13426fc827e6p+1}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.7306d50657321p+0, -0x1.e23211bec3b35p+1, 0x1.21bb2ba5462bfp+2, -0x1.8451338beb177p+1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.4e41700cd8559p+0, -0x1.b5b3d8a0e56d9p+1, 0x1.0a6e9e501439ep+2, -0x1.6d870ad3d187fp+1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.2ce5d5b24e9c4p+0, -0x1.8cd3f28ce885bp+1, 0x1.e9003b538a302p+1, -0x1.5192a124ce3bp+1}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.0eac53b0813cbp+0, -0x1.675404b23a9dfp+1, 0x1.c07dff077170bp+1, -0x1.3e2e7098fc8a8p+1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.e6a4873365882p-1, -0x1.44f9e14501317p+1, 0x1.9a4f76a32a2d2p+1, -0x1.25b39c7734339p+1}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.b532830a0b1bcp-1, -0x1.258f9f985ebc2p+1, 0x1.7710f338b345bp+1, -0x1.11031d8a37a7ep+1}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.888ede54b48d4p-1, -0x1.08ddbea8fa3c1p+1, 0x1.564e04281d3bap+1, -0x1.fc7fdabfdae6cp+0}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.604e1e71044f2p-1, -0x1.dd6787f1ef9d3p+0, 0x1.37cb77081f757p+1, -0x1.d3fa59ec25d67p+0}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.3c0c62e4d1a65p-1, -0x1.adc377ca09e43p+0, 0x1.1bb752ea9811ap+1, -0x1.b396bd8f8c88dp+0}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.1b6d655e28aa4p-1, -0x1.8275b52915761p+0, 0x1.0194adf15751p+1, -0x1.8daaafd5ace6dp+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.fc3760bf5d788p-2, -0x1.5b27da123d91cp+0, 0x1.d371095866af8p+0, -0x1.71be8319b63d7p+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.c791819d2391dp-2, -0x1.3788fd968e4aep+0, 0x1.a7127ebbb7379p+0, -0x1.535b43c37eca5p+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.9857f3061c79bp-2, -0x1.175178e50beafp+0, 0x1.7e59769a04296p+0, -0x1.34d46dd84f429p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.6e054690de093p-2, -0x1.f46ce3f6b393cp-1, 0x1.594a3638610dp+0, -0x1.1d5304db43165p+0}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.481f969e3c969p-2, -0x1.bfeb0792659d6p-1, 0x1.370d0cad6d7abp+0, -0x1.01df7ebaa67p+0}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.2636f3b213e3ep-2, -0x1.90a02162526b4p-1, 0x1.181b30ab8277ap+0, -0x1.de5e0074418adp-1}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.07e56473471f8p-2, -0x1.661acc2f45a42p-1, 0x1.f6cef0a53a824p-1, -0x1.aac900b9b0b25p-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.d99aa60913a5p-3, -0x1.3fedb74c508ddp-1, 0x1.c3981984b4aa4p-1, -0x1.867dfca4fa446p-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.a934acaff6d33p-3, -0x1.1dace79f0f486p-1, 0x1.94bc2e66ab1cep-1, -0x1.633f0cb265a84p-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.7dff3f0fe047dp-3, -0x1.fe00e9efeac48p-2, 0x1.6a1b03eadc5a9p-1, -0x1.3c85d091759a7p-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.576ee73e681aap-3, -0x1.c71af5249e744p-2, 0x1.441f70025d9a6p-1, -0x1.22a9b107b71dcp-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.3506573215fccp-3, -0x1.9609387abd78cp-2, 0x1.213e46491eab4p-1, -0x1.00d36b4fb474dp-1}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.1653c9abb01c9p-3, -0x1.6a38fdee5f5dap-2, 0x1.026c959179a77p-1, -0x1.d4114372edd93p-2}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.f5e310dbf0564p-4, -0x1.431f198623438p-2, 0x1.ccae230aeb3fp-2, -0x1.9e141b94e053fp-2}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.c507a6bd6e8bp-4, -0x1.2041303f87136p-2, 0x1.9afda4da55725p-2, -0x1.739e4e399213p-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.9971c10d7be98p-4, -0x1.0128bddac7647p-2, 0x1.6e6586fc62a33p-2, -0x1.5372ab84d477cp-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.728e92d55a3a1p-4, -0x1.caf41b29b08e5p-3, 0x1.45a9afd7f7389p-2, -0x1.1e9703b31efaep-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.4fd9fd36f7e3dp-4, -0x1.9999479005d0fp-3, 0x1.2345a528df06p-2, -0x1.123145aeada08p-2}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.30e0a84be4042p-4, -0x1.6da0a1b909127p-3, 0x1.025e73d67844bp-2, -0x1.d147cb24559bcp-3}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.1538ac18f81e9p-4, -0x1.46859370cd47cp-3, 0x1.cce77d60e6435p-3, -0x1.967e481150c3ep-3}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.f90b84988094ep-5, -0x1.2399c1763d7fep-3, 0x1.9c20041724402p-3, -0x1.94bf149663b0dp-3}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.ccec41dd1a21fp-5, -0x1.0492c96ceb34bp-3, 0x1.6b8e34d1e516ap-3, -0x1.3685659529f02p-3}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.a57a786c22681p-5, -0x1.d1f57a2bf6f99p-4, 0x1.464affab83e5ap-3, -0x1.312b5514e592bp-3}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.82363b256ffc1p-5, -0x1.a0ae805dba4bcp-4, 0x1.21ac32e67296ap-3, -0x1.24cd461746c9p-3}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.62a80064a9cdcp-5, -0x1.752519754a6fp-4, 0x1.fd12a6e607634p-4, -0x1.b73f251bfddecp-4}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.4660a2014727ep-5, -0x1.4e870899170acp-4, 0x1.c85cfe9afd671p-4, -0x1.d968df617d90fp-4}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.2d03d9a95421cp-5, -0x1.2c4a70976616p-4, 0x1.8f8dd98f4a7e9p-4, -0x1.a31d5d5e0a3a8p-4}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.163779e9d0e99p-5, -0x1.0e56947922bc4p-4, 0x1.5d42a56549446p-4, -0x1.5a21ab2658c89p-4}, 
        {0x1.8p+1, 0x1.851eb851eb852p+1, 0x1.01a9b8cb8e087p-5, -0x1.e81e1c0127595p-5, 0x1.33b97c60af40cp-4, -0x1.745bf6089458p-4}, 
        {0x1.851eb851eb852p+1, 0x1.8a3d70a3d70a4p+1, 0x1.de26916440f24p-6, -0x1.ba74d259ce103p-5, 0x1.070a9c4b2ccfcp-4, -0x1.546e7cb7558fbp-4}, 
        {0x1.8a3d70a3d70a4p+1, 0x1.8f5c28f5c28f6p+1, 0x1.bc59b8023a6cep-6, -0x1.93a349e6ade9p-5, 0x1.bc611aa7ca354p-5, -0x1.f3d42e3428e7cp-5}, 
        {0x1.8f5c28f5c28f6p+1, 0x1.947ae147ae148p+1, 0x1.9d6adf71eafeep-6, -0x1.727c970b116fdp-5, 0x1.80665cca7d9e8p-5, -0x1.43e926e0580f3p-4}, 
        {0x1.947ae147ae148p+1, 0x1.999999999999ap+1, 0x1.80ecfa69be09cp-6, -0x1.56d81fc344da8p-5, 0x1.32a949387cf7p-5, -0x1.ece29ac91ab05p-5}, 
        {0x1.999999999999ap+1, 0x1.9eb851eb851ecp+1, 0x1.666a98244e93ep-6, -0x1.40ad5bc644d09p-5, 0x1.ef07b4f90800ep-6, -0x1.c4a3471ae10f1p-5}, 
        {0x1.9eb851eb851ecp+1, 0x1.a3d70a3d70a3dp+1, 0x1.4d7f0ed3d859dp-6, -0x1.2f0c7398cd27p-5, 0x1.8265a3e8571bfp-6, -0x1.00482465b7052p-4}, 
        {0x1.a3d70a3d70a3dp+1, 0x1.a8f5c28f5c28fp+1, 0x1.35ce18266772dp-6, -0x1.220d9587e1f42p-5, 0x1.0761bb6598dd5p-6, -0x1.391b95b75057ap-5}, 
        {0x1.a8f5c28f5c28fp+1, 0x1.ae147ae147ae1p+1, 0x1.1efb6dca07f67p-6, -0x1.19054d37b1a06p-5, 0x1.7878c887af014p-7, -0x1.9b0160575d07ap-5}, 
        {0x1.ae147ae147ae1p+1, 0x1.b333333333333p+1, 0x1.08bfc2224edf6p-6, -0x1.1376cf32f121fp-5, 0x1.6660e2a704b2fp-8, -0x1.b5bdd1d673276p-6}, 
        {0x1.b333333333333p+1, 0x1.b851eb851eb85p+1, 0x1.e5a78f25a251p-7, -0x1.10ee4f131100fp-5, 0x1.28866c802a359p-9, -0x1.f305f7f77cbbp-6}, 
        {0x1.b851eb851eb85p+1, 0x1.bd70a3d70a3d7p+1, 0x1.ba0a5269595ffp-7, -0x1.10a55b500cca8p-5, -0x1.6d1317932a6d9p-10, 0x1.03ab6368cef97p-7}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.c28f5c28f5c29p+1, 0x1.8e5c4eb56fb8fp-7, -0x1.113f3be470769p-5, -0x1.cf2ae0913d013p-12, -0x1.c51433b687c8fp-4}, 
        {0x1.c28f5c28f5c29p+1, 0x1.c7ae147ae147bp+1, 0x1.6262cba732df5p-7, -0x1.15e2d3d683455p-5, -0x1.c16e038aced24p-7, 0x1.acf6d89b411d3p-2}, 
        {0x1.c7ae147ae147bp+1, 0x1.ccccccccccccdp+1, 0x1.361565c2d278p-7, -0x1.0e67048686f45p-5, 0x1.2b72bfb2579b1p-5, -0x1.7ca5955fd8921p+0}, 
        {0x1.ccccccccccccdp+1, 0x1.f0a3d70a3d70ap+1, 0x1.099e0e736049fp-7, -0x1.30e9f59b0d588p-5, -0x1.228f12acddd8fp-3, 0x1.5a1f9a6d7dd1cp-1}, 
      }}, 
      0x1.93af3f823ac3ap-1, -0x1.d0a59ebbc09ffp+1
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_zn_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.167ca235a241ep-1, 0x1.0e6998f28a8e5p-1, 0x1.0602d95b31aa4p-1, 0x1.fab8233d168p-2, 0x1.e90edd9ab9f06p-2, 0x1.d72bf71552b19p-2, 0x1.c52d4ab9166f8p-2, 0x1.b32ec5571721cp-2, 0x1.a14920794d128p-2, 0x1.8f9045898c338p-2, 0x1.7e18e5df78855p-2, 0x1.6cf3001775539p-2, 0x1.5c2bdbee4a8fdp-2, 0x1.4bcfb4a2a13b2p-2, 0x1.3be89e7172f7dp-2, 0x1.2c7eb4951b98ep-2, 0x1.1d986264116cbp-2, 0x1.0f3afb61ff0c1p-2, 0x1.016a82f51ca37p-2, 0x1.e853044b937bbp-3, 0x1.cef32ac3a1ccep-3, 0x1.b6b77a59a209bp-3, 0x1.9fa009c5ea979p-3, 0x1.89aa978bd7ac9p-3, 0x1.74d361b28ac65p-3, 0x1.611647508a885p-3, 0x1.4e6ee994ce38ap-3, 0x1.3cd7e1ba538cdp-3, 0x1.2c4a1bd29c7e9p-3, 0x1.1cbd0bab7035ep-3, 0x1.0e278beba9ea7p-3, 0x1.0080b4a1e8e25p-3, 0x1.e78030fb301d2p-4, 0x1.cfbf2a93de68p-4, 0x1.b9a2ff0d0d0ap-4, 0x1.a51a6aa85b20dp-4, 0x1.921189c0fd8c1p-4, 0x1.80746faaa0959p-4, 0x1.702f3b7579565p-4, 0x1.612e20469e01fp-4, 0x1.535d7798705f2p-4, 0x1.46a9e7ee1baa4p-4, 0x1.3b009368fbb0cp-4, 0x1.304f367d2a5e6p-4, 0x1.26842bd3f72p-4, 0x1.1d8e61d11e1ap-4, 0x1.155d5447bc4acp-4, 0x1.0de1168310bb8p-4, 0x1.070a6b3bbe8a8p-4, 0x1.00cadf5bf390cp-4, 0x1.f629bc3db32a8p-5, 0x1.ebb76ec22d45p-5, 0x1.e2272ea33534p-5, 0x1.d962e487a7c07p-5, 0x1.d155d8499c6a6p-5, 0x1.c9ec8ab2c19ecp-5, 0x1.c314a786ad06bp-5, 0x1.bcbd16fbaee68p-5, 0x1.b6d6200635f92p-5, 0x1.b1518a1217d85p-5, 0x1.ac22a8ac94863p-5, 0x1.a73e48b25fb57p-5, 0x1.a29a83c9cbe1fp-5, 0x1.9e2e860054894p-5, 0x1.99f257ae0f234p-5, 0x1.95deb727efc15p-5, 0x1.91ed0504360dap-5, 0x1.8e17411d0bbf2p-5, 0x1.8a581001de5b8p-5, 0x1.86aac27b82aa5p-5, 0x1.830b5aa28ee41p-5, 0x1.7f768c5aaad19p-5, 0x1.7be9b85a00e17p-5, 0x1.7862e392ffb3p-5, 0x1.74e0aa3937db6p-5, 0x1.71622e2e30bc9p-5, 0x1.6de701496906bp-5, 0x1.6a7bd6147d41p-5, 0x1.670c60e577bbp-5, 0x1.639f490c56d8ap-5, 0x1.6034d631914bfp-5, 0x1.5ccd78fbc5ea5p-5, 0x1.5969c2209905p-5, 0x1.560a5c2bf2b44p-5, 0x1.52b007b2c451fp-5, 0x1.4f5b9a01e1575p-5, 0x1.4c0dfd11a4499p-5, 0x1.48c8300dd0cf9p-5, 0x1.458b481aba454p-5, 0x1.4258709ede046p-5, 0x1.3f30ea8f84459p-5, 0x1.3c160a766df3ep-5, 0x1.390935164f981p-5, 0x1.360bdaee2b40cp-5, 0x1.331f72bbbaa3cp-5, 0x1.30457322ae23p-5, 0x1.2d7f4c8cc3051p-5, 0x1.2ace63a23333bp-5, 0x1.28340c5b58a5bp-5, 0x1.25b18638ba47fp-5, 0x1.2347f9d926717p-5, 0x1.20f877cca32bp-5, 0x1.1ec3f87416f36p-5, 0x1.1cab5ca9b4613p-5, 0x1.1aaf6ef9830c2p-5, 0x1.18d0e514522bap-5, 0x1.1710610c14543p-5, 0x1.156e723bb7fbfp-5, 0x1.13eb95bd27056p-5, 0x1.12883676e2002p-5, 0x1.1144acd90f429p-5, 0x1.10213e3bb6e85p-5, 0x1.0f1e1c0a9f09fp-5, 0x1.0e3b62f88305fp-5, 0x1.0d791a5157fecp-5, 0x1.0cd733820979p-5, 0x1.0c558a01e2ce1p-5, 0x1.0bf3e39cb145bp-5, 0x1.0bb1f10592f9cp-5, 0x1.0b8f4ec5c6d9ap-5, 0x1.0b8b8686f2d2cp-5, 0x1.0ba610973a469p-5, 0x1.0bde55833ea7dp-5, 0x1.0c33afaeedfbdp-5, 0x1.0ca56ce7f8e66p-5, 0x1.0d32cfd92880ap-5, 0x1.0ddb1135a0ccfp-5, 0x1.0e9d6097843abp-5, 0x1.0f78e52a36c15p-5, 0x1.106cbe23aa319p-5, 0x1.117802fdefe39p-5, 0x1.1299c3890137fp-5, 0x1.13d107f8948c8p-5, 0x1.151cd0fddf7dbp-5, 0x1.167c17f4eddf3p-5, 0x1.17edcf3042499p-5, 0x1.1970e26bb58dbp-5, 0x1.1b043766950d4p-5, 0x1.1ca6ae9bdb82ep-5, 0x1.1e57240ff32e1p-5, 0x1.201470399bdaap-5, 0x1.21dd69001fe48p-5, 0x1.23b0e2ae96cbfp-5, 0x1.258db0d0fb249p-5, 0x1.2772a704bb923p-5, 0x1.295e99bf0f3dap-5, 0x1.2b505f0313965p-5, 0x1.2d46cf040d955p-5, 0x1.2f40c4b6688c9p-5, 0x1.313d1e5239ef5p-5, 0x1.333abdc98bce7p-5, 0x1.35388938dca92p-5, 0x1.37356b570630ep-5, 0x1.393053dd74e4p-5, 0x1.3b2837e25cf74p-5, 0x1.3d1c1228a9368p-5, 0x1.3f0ae368ce83cp-5, 0x1.40f3b291fef43p-5, 0x1.42d58d020f4c2p-5, 0x1.44af86b117927p-5, 0x1.4680ba4f17a13p-5, 0x1.484849586114cp-5, 0x1.4a055c25a2b8bp-5, 0x1.4bb721f573bb4p-5, 0x1.4d5cd0ee38deep-5, 0x1.4ef51580e2ec3p-5, 0x1.5080ac2d21a51p-5, 0x1.51fdf408f054p-5, 0x1.536c3ba28f617p-5, 0x1.54cad923f034cp-5, 0x1.56192a7a93d6bp-5, 0x1.57569578d43eep-5, 0x1.588287efed4dcp-5, 0x1.599c77c1bc282p-5, 0x1.5aa3e2e97dff2p-5, 0x1.5b984f7dcc208p-5, 0x1.5c794bb0748e1p-5, 0x1.5d466dcc627cap-5, 0x1.5dff542cfe27dp-5, 0x1.5ea3a52db3454p-5, 0x1.5f330f14d23c4p-5, 0x1.5fad47fd01b04p-5, 0x1.60120dbed98fap-5, 0x1.606125da013b6p-5, 0x1.609a5d5cd5355p-5, 0x1.60bd88ca73427p-5, 0x1.60ca83ffc06e7p-5, 0x1.60c13217e4c7ap-5, 0x1.60a17d5055d0ep-5, 0x1.606b56ec81997p-5, 0x1.601eb718da724p-5, 0x1.5fbb9cccda0d1p-5, 0x1.5f420dab4ddc1p-5, 0x1.5eb215e09190ap-5, 0x1.5e0bc7ffeb972p-5, 0x1.5d4f3ce1ed3b6p-5, 0x1.5c7c938354482p-5, 0x1.5b93f0e17d887p-5, 0x1.5a957fd2f98d3p-5, 0x1.598170dd67092p-5, 0x1.5857fa0a2f7abp-5, 0x1.571956baef0abp-5, 0x1.55c5c77d3f243p-5, 0x1.545d91dd58189p-5, 0x1.52e100375e2cfp-5, 0x1.515061876c041p-5, 0x1.4fac09388af24p-5, 0x1.4df44ef2a8b6p-5, 0x1.4c298e6813ce1p-5, 0x1.4a4c2722a8a53p-5, 0x1.485c7c50c3fbep-5, 0x1.465af491e6283p-5, 0x1.4447f9c2d318p-5, 0x1.4223f8c98dbcap-5, 0x1.3fef61623449ep-5, 0x1.3daaa5ed543a4p-5, 0x1.3b563b3efc51dp-5, 0x1.38f2986da5d0fp-5, 0x1.368036a09901dp-5, 0x1.33ff90de6a66ep-5, 0x1.317123dc3f0e4p-5, 0x1.2ed56dce2a5e7p-5, 0x1.2c2cee38952ddp-5, 0x1.297825c26e1a7p-5, 0x1.26b79607e5ebbp-5, 0x1.23ebc16dc22f8p-5, 0x1.21152af560d28p-5, 0x1.1e34561192b1fp-5, 0x1.1b49c67c5214bp-5, 0x1.1856000d5ee53p-5, 0x1.15598691a8652p-5, 0x1.1254dda3851p-5, 0x1.0f488883e28a1p-5, 0x1.0c3509f4a911bp-5, 0x1.091ae414cdf4p-5, 0x1.05fa983de529p-5, 0x1.02d4a6e29fba6p-5, 0x1.ff531edc2a5c9p-6, 0x1.f8f3a04805c38p-6, 0x1.f28bcc047e815p-6, 0x1.ec1c994714bdap-6, 0x1.e5a6fc47da69ep-6, 0x1.df2be60d0a0b8p-6, 0x1.d8ac44393953bp-6, 0x1.d22900dbd6968p-6, 0x1.cba3024423ccap-6, 0x1.c51b2ad6ae6b9p-6, 0x1.be9258e5484d1p-6, 0x1.b809668980f13p-6, 0x1.b18129816ff64p-6, 0x1.aafa730ee5e1ep-6, 0x1.a4760fd90d169p-6, 0x1.9df4c7d0acea6p-6, 0x1.97775e171318ep-6, 0x1.90fe90e778a31p-6, 0x1.8a8b1982a4e4ap-6, 0x1.841dac1c8d6dap-6, 0x1.7db6f7cbfffe6p-6, 0x1.7757a67c7a8a6p-6, 0x1.71005ce24f82fp-6, 0x1.6ab1ba70ea154p-6, 0x1.646c595329362p-6, 0x1.5e30ce65d22f2p-6, 0x1.57ffa934123b7p-6, 0x1.51d973f5a2228p-6, 0x1.4bbeb38eb8251p-6, 0x1.45afe791ae33dp-6, 0x1.3fad8a42a4353p-6, 0x1.39b8109cbc8c4p-6, 0x1.33cfea58cc2aap-6, 0x1.2df581f579f64p-6, 0x1.28293cc0d6a7ap-6, 0x1.226b7ae34f937p-6, 0x1.1cbc976c0bda2p-6, 0x1.171ce85e5ed88p-6, 0x1.118cbec09d405p-6, 0x1.0c0c66abfce41p-6, 0x1.069c275d939d2p-6, 0x1.013c434831bfp-6, 0x1.f7d9f04e20b36p-7, 0x1.ed5cfe229e26p-7, 0x1.e302191c9b183p-7, 0x1.d8c9a15599412p-7, 0x1.ceb3ee1d8bcccp-7, 0x1.c4c14e27c8a66p-7, 0x1.baf207b918dcep-7, 0x1.b14658d6de48fp-7, 0x1.a7be7777351e2p-7, 0x1.9e5a91b1b4843p-7, 0x1.951acdf0af439p-7, 0x1.8bff4b234d2d4p-7, 0x1.830820f04a953p-7, 0x1.7a355fe954049p-7, 0x1.718711be91c5bp-7, 0x1.68fd397244536p-7, 0x1.6097d38cc785dp-7, 0x1.5856d650c5985p-7, 0x1.503a31ef83854p-7, 0x1.4841d0bd113b7p-7, 0x1.406d97640a814p-7, 0x1.38bd65195afp-7, 0x1.313113cfc5fb6p-7, 0x1.29c8786b45bc5p-7, 0x1.228362f4422f8p-7, 0x1.1b619eca7c08ep-7, 0x1.1462f2d772ab5p-7, 0x1.0d8721c05ebe8p-7, 0x1.06cdea1741e13p-7, 0x1.0037068b84ebap-7, 0x1.f3845c33af467p-8, 0x1.e6de28770c2c5p-8, 0x1.da7ad22a8424p-8, 0x1.ce59b34a5e0f6p-8, 0x1.c27a1fe0a687ep-8, 0x1.b6db665ec5e3p-8, 0x1.ab7ccff52178ap-8, 0x1.a05da0e8cf7c1p-8, 0x1.957d18e77b3e9p-8, 0x1.8ada7359d8fe6p-8, 0x1.8074e7b49dffbp-8, 0x1.764ba9c7d107ap-8, 0x1.6c5dea0c241fbp-8, 0x1.62aad5ee4d38cp-8, 0x1.5931981884ccap-8, 0x1.4ff158ba44643p-8, 0x1.46e93dce4a12ep-8, 0x1.3e186b5ebd701p-8, 0x1.357e03c74f7edp-8, 0x1.2d1927f55072dp-8, 0x1.24e8f7a5fdcp-8, 0x1.1cec91a2b9148p-8, 0x1.152313fba5c73p-8, 0x1.0d8b9c4008588p-8, 0x1.062547b4dbfdbp-8, 0x1.fdde671295ca5p-9, 0x1.efd0fa129bc4cp-9, 0x1.e220839c6fa8fp-9, 0x1.d4cb3fda68c3ep-9, 0x1.c7cf6c489c2dfp-9, 0x1.bb2b480a8f83ep-9, 0x1.aedd143dde3fep-9, 0x1.a2ca3e4f145fcp-9, 0x1.971b548153822p-9, 0x1.8bbd361209a6dp-9, 0x1.80ae33a243961p-9, 0x1.75eca12089179p-9, 0x1.6b76d6010d72p-9, 0x1.614b2d72a06fcp-9, 0x1.57680690162b5p-9, 0x1.4dcbc48ee087cp-9, 0x1.4474ceeaac2dcp-9, 0x1.3b61918e75932p-9, 0x1.32907cfb5f3d7p-9, 0x1.2a00066c46498p-9, 0x1.21aea7f6d5c03p-9, 0x1.199ae0a911d1cp-9, 0x1.11c334a506dp-9, 0x1.0a262d39db5fcp-9, 0x1.02c258fbab59fp-9, 0x1.f72c97b0d4445p-10, 0x1.e9413e5595c9p-10, 0x1.dbbfe3952d7b2p-10, 0x1.cea5d036e3001p-10, 0x1.c1f05832a2235p-10, 0x1.b59cdac7255f9p-10, 0x1.a9a8c28c5ee32p-10, 0x1.9e118581ea046p-10, 0x1.92d4a51aa9e28p-10, 0x1.87efae4466544p-10, 0x1.7d60396c755c3p-10, 0x1.7323ea80dda3fp-10, 0x1.693870ef83f16p-10, 0x1.5f9b87a1daa48p-10, 0x1.564af4f6ad124p-10, 0x1.4d448ab90067p-10, 0x1.448626151de82p-10, 0x1.3c0daf8ab61e2p-10, 0x1.33d91add1498ep-10, 0x1.2be66700f718cp-10, 0x1.24339e08e4c87p-10, 0x1.1cbed50f67e89p-10, 0x1.15862c1fdab08p-10, 0x1.0e87ce1de4aa6p-10, 0x1.07c1f0ab00c84p-10, 0x1.0132d40a8694dp-10, 0x1.f5b1860795474p-11, 0x1.e96425867a1eap-11, 0x1.dd7a4573623c1p-11, 0x1.d1f0b8f6462a5p-11, 0x1.c6c467386444ap-11, 0x1.bbf24b1eb4dbfp-11, 0x1.b177730196ca4p-11, 0x1.a7510064bbc01p-11, 0x1.9d7c27afe9d09p-11, 0x1.93f62fe654ed4p-11, 0x1.8abc725dd5b53p-11, 0x1.81cc5a7471f16p-11, 0x1.7923654432ec2p-11, 0x1.70bf2157caf3p-11, 0x1.689d2e5d7e909p-11, 0x1.60bb3cdd66226p-11, 0x1.59170dedb500fp-11, 0x1.51ae72e87a485p-11, 0x1.4a7f4d21aeddp-11, 0x1.43878d9ce9982p-11, 0x1.3cc534c5a079ap-11, 0x1.36365226dc6ffp-11, 0x1.2fd9042498119p-11, 0x1.29ab77b65c107p-11, 0x1.23abe822bf55fp-11, 0x1.1dd89ebb57ef7p-11, 0x1.182ff298b703bp-11, 0x1.12b0485888de5p-11, 0x1.0d5811da7aa1fp-11, 0x1.0825cdff344d3p-11, 0x1.03180866ca10dp-11, 0x1.fc5ab2635e5ebp-12, 0x1.f2c8c9817c72ep-12, 0x1.e977b6ec9bdccp-12, 0x1.e064f2ef9ef04p-12, 0x1.d78e0cddb57a8p-12, 0x1.cef0aa97234afp-12, 0x1.c68a880b94493p-12, 0x1.be5976bccbf77p-12, 0x1.b65b5d410b8c1p-12, 0x1.ae8e36c581f3ap-12, 0x1.a6f0128e4878ep-12, 0x1.9f7f13760e5c7p-12, 0x1.98396f73d9c49p-12, 0x1.911d6f17123cap-12, 0x1.8a296d0e23b9ep-12, 0x1.835bd5a1229ebp-12, 0x1.7cb32634f5bbep-12, 0x1.762decc3685a8p-12, 0x1.6fcac75d3b374p-12, 0x1.698863a394799p-12, 0x1.63657e48f0012p-12, 0x1.5d60e292870b1p-12, 0x1.577969d943335p-12, 0x1.51adfb0ea39d4p-12, 0x1.4bfd8a3fcdbd8p-12, 0x1.4667181b9c32fp-12, 0x1.40e9b17679c67p-12, 0x1.3b846ed05eb3bp-12, 0x1.363673db621d1p-12, 0x1.30feef04d8f8dp-12, 0x1.2bdd1901a497ep-12, 0x1.26d0345bca63ap-12, 0x1.21d78d07dfb57p-12, 0x1.1cf277f9e0294p-12, 0x1.182052bf4e9f2p-12, 0x1.1360831c87a4p-12, 0x1.0eb276ad6f23ap-12, 0x1.0a15a287cd198p-12, 0x1.058982e418522p-12, 0x1.010d9ac60c083p-12, 0x1.f942e75284421p-13, 0x1.f0893a63f6ed9p-13, 0x1.e7ed59bd36c2bp-13, 0x1.df6e7b7cd75aep-13, 0x1.d70be054bdab1p-13, 0x1.cec4d3019c153p-13, 0x1.c698a7ce2fc73p-13, 0x1.be86bc184fc67p-13, 0x1.b68e75deb05cap-13, 0x1.aeaf43543bf63p-13, 0x1.a6e89a77ffd66p-13, 0x1.9f39f8adbaecfp-13, 0x1.97a2e261e3376p-13, 0x1.9022e2a380f41p-13, 0x1.88b98ad60356cp-13, 0x1.81667250e9057p-13, 0x1.7a29361dba15bp-13, 0x1.730178a02eep-13, 0x1.6beee15df9329p-13, 0x1.64f11cb15d60dp-13, 0x1.5e07db8c120ecp-13, 0x1.5732d33bbab62p-13, 0x1.5071bd2650d2p-13, 0x1.49c456932cd3p-13, 0x1.432a607338b42p-13, 0x1.3ca39f2e6c58p-13, 0x1.362fda6edd4d5p-13, 0x1.2fcedcf2de529p-13, 0x1.2980746402d8fp-13, 0x1.234471280d301p-13, 0x1.1d1aa63b419d1p-13, 0x1.1702e90783fcep-13, 0x1.10fd113df4e9dp-13, 0x1.0b08f8b03b1c5p-13, 0x1.05267b2bf5d6ap-13, 0x1.feaaecae73db2p-14, 0x1.f32b9317256dp-14, 0x1.e7ceab75383eep-14, 0x1.dc93fa9a7c8efp-14, 0x1.d17b4811795d6p-14, 0x1.c6845de9017f9p-14, 0x1.bbaf08831cc8p-14, 0x1.b0fb16651fd24p-14, 0x1.a668580a778ffp-14, 0x1.9bf69fb154ae9p-14, 0x1.91a5c1376b471p-14, 0x1.877591e8c329cp-14, 0x1.7d65e8582a27ap-14, 0x1.73769c3813b4dp-14, 0x1.69a786360648cp-14, 0x1.5ff87fd9ff513p-14, 0x1.566963611f74ep-14, 0x1.4cfa0ba898e2fp-14, 0x1.43aa540cfeea4p-14, 0x1.3a7a185255a7dp-14, 0x1.3169348ebf4dbp-14, 0x1.28778507475a9p-14, 0x1.1fa4e631ab71fp-14, 0x1.16f134888d094p-14, 0x1.0e5c4c83cfbeep-14, 0x1.05e60a8c76682p-14, 0x1.fb1c95b475236p-15, 0x1.eaa9d2cc0c9e8p-15, 0x1.da7383cdb1134p-15, 0x1.ca795f5ae3ec7p-15, 0x1.babb1b3e8e3b9p-15, 0x1.ab386c601c7bbp-15, 0x1.9bf1069629553p-15, 0x1.8ce49c9e29128p-15, 0x1.7e12e015c73a1p-15, 0x1.6f7b8172e81fp-15, 0x1.611e2fec4c194p-15, 0x1.52fa997ec7786p-15, 0x1.45106ae5c9625p-15, 0x1.375f4f9548d2ap-15, 0x1.29e6f1be497d4p-15, 0x1.1ca6fa39abab8p-15, 0x1.0f9f1094384cep-15, 0x1.02cedb00501dbp-15, 0x1.ec6bfca79b8f2p-16, 0x1.d3a83bf4cd4e3p-16, 0x1.bb51b7f49be43p-16, 0x1.a367b1d6a5e12p-16, 0x1.8be967f4835b2p-16, 0x1.74d615d74537ap-16, 0x1.5e2cf43f1029fp-16, 0x1.47ed393c52e69p-16, 0x1.3216183c8cd4bp-16, 0x1.1ca6c21d264fcp-16, 0x1.079e6536dd78cp-16, 0x1.e5f85af5a7fe5p-17, 0x1.bd7e88c8dbacep-17, 0x1.95cda258a4181p-17, 0x1.6ee3f17fcb30dp-17, 0x1.48bfbbb95d01ap-17, 0x1.235f4241631d9p-17, 0x1.fd81848cac869p-18, 0x1.b5c4ea3c786a7p-18, 0x1.6f85209128e8ep-18, 0x1.2abe8bca8fcd4p-18, 0x1.cedb11eae0d94p-19, 0x1.4b1cde72340bp-19, 0x1.94763bcefe435p-20, 0x1.30b9972de123p-21, -0x1.7885f73ed26f6p-22, -0x1.4f13a12cc9356p-20, -0x1.1d4459a1b4da9p-19, -0x1.9047ecddd109bp-19, -0x1.004e13461bcb1p-18, -0x1.3724553d24a99p-18, -0x1.6caa91c374dbap-18, -0x1.a0e4a12d4be64p-18, -0x1.d3d65e8abaa4bp-18, -0x1.02c1d383af6bdp-17, -0x1.1af82cc6758fdp-17, -0x1.32902b3a23f03p-17, -0x1.498bbf80a5f6bp-17, -0x1.5fecdab2e720fp-17, -0x1.75b56e1f28d47p-17, -0x1.8ae76b3b11ee8p-17, -0x1.9f84c36ed88cbp-17, -0x1.b38f67e6795bp-17, -0x1.c7094989ee774p-17, -0x1.d9f458b321168p-17, -0x1.ec52852ec3225p-17, -0x1.fe25bde4a2b91p-17, -0x1.07b7f868bc74ap-16, -0x1.1019856986e6cp-16, -0x1.18387bc338d1bp-16, -0x1.2015d08d7e1cfp-16, -0x1.27b27815d01d7p-16, -0x1.2f0f65c6b9e21p-16, -0x1.362d8c282a58fp-16, -0x1.3d0ddcba8d8f5p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.1d1b35708dbc3p-1, 0x1.15e1ec4a42861p-1, 0x1.0e405e34f2c5p-1, 0x1.06449e5043f9fp-1, 0x1.fbf8857989eb6p-2, 0x1.eae8bc9cd2ff9p-2, 0x1.d972727825edp-2, 0x1.c7ad19fd4b1d1p-2, 0x1.b5ae15ba995d9p-2, 0x1.a3899980fe0eep-2, 0x1.91525ae1ed70ap-2, 0x1.7f18dbc0e40cep-2, 0x1.6cecd99e8d475p-2, 0x1.5adc40653acffp-2, 0x1.48f3b03cd1732p-2, 0x1.373e7e2a9ec3fp-2, 0x1.25c6ce47f6fa8p-2, 0x1.14959c856a3e1p-2, 0x1.03b2c9c03b25p-2, 0x1.e64a7ed159dcap-3, 0x1.c5e60e8008384p-3, 0x1.a6429849b6fe8p-3, 0x1.8768c4de181a4p-3, 0x1.695fc4fea9e0cp-3, 0x1.4c2d84ea5b607p-3, 0x1.2fd6c3b333afcp-3, 0x1.145f13f54ae19p-3, 0x1.f391c22c9096cp-4, 0x1.c02b25f624a21p-4, 0x1.8e8b8159b129dp-4, 0x1.5eb294eb44878p-4, 0x1.309eb64da6873p-4, 0x1.044cd878de584p-4, 0x1.b3718f1859d9ep-5, 0x1.61b9110b7f583p-5, 0x1.1363fe35d0cadp-5, 0x1.90c7b38057b99p-6, 0x1.01513f282781ap-6, 0x1.e107ace51d93ap-8, -0x1.5169ee99b7eadp-11, -0x1.0e7ae4a23f799p-7, -0x1.fbfa55625ddc6p-7, -0x1.6ef4812775eebp-6, -0x1.da4e964ca2603p-6, -0x1.201bb39c3d214p-5, -0x1.506dcb7346e97p-5, -0x1.7e341a5d7e275p-5, -0x1.a9853dbc33e44p-5, -0x1.d277cc8bd458fp-5, -0x1.f922432d76da5p-5, -0x1.0ecd79b161aa4p-4, -0x1.1ffbfb1a93331p-4, -0x1.30278dff34c56p-4, -0x1.3f5aed6c80b3bp-4, -0x1.4da09fd7e4f9dp-4, -0x1.5b02f204e0c7dp-4, -0x1.678bf2acb8ae4p-4, -0x1.73456ea35e85ap-4, -0x1.7e38ecf26c252p-4, -0x1.886fab27ed05dp-4, -0x1.91f29a9213126p-4, -0x1.9aca5f413e27ap-4, -0x1.a2ff50b0af236p-4, -0x1.aa997af3ecc19p-4, -0x1.b1a09f3330ba6p-4, -0x1.b81c33896f3c5p-4, -0x1.be1362465b911p-4, -0x1.c38d090bc190fp-4, -0x1.c88fb88c836dcp-4, -0x1.cd21b568583b5p-4, -0x1.d148fa260f544p-4, -0x1.d50b3a03927b2p-4, -0x1.d86de3e53c429p-4, -0x1.db7624e5093b3p-4, -0x1.de28ea9904c3fp-4, -0x1.e08ae4dcd00ep-4, -0x1.e2a087469d762p-4, -0x1.e470cad0efac5p-4, -0x1.e5fa2a5a1e7f2p-4, -0x1.e7432e83a9b27p-4, -0x1.e84f6c1095e75p-4, -0x1.e92245a0580d4p-4, -0x1.e9beede54f0cep-4, -0x1.ea2869d1ddep-4, -0x1.ea6192a23dd51p-4, -0x1.ea6d17e865de3p-4, -0x1.ea4d818df5bb1p-4, -0x1.ea0531ae3cdeep-4, -0x1.e9966658395a1p-4, -0x1.e9033b3f322e9p-4, -0x1.e84dab5937dbfp-4, -0x1.e777926fca562p-4, -0x1.e682aea8961f7p-4, -0x1.e570a20762006p-4, -0x1.e442f3e4551c6p-4, -0x1.e2fb12576c044p-4, -0x1.e19a539bffa57p-4, -0x1.e021f77175aa2p-4, -0x1.de932871e4df8p-4, -0x1.dceefd590b125p-4, -0x1.db367a3e12fafp-4, -0x1.d96a91c057f5bp-4, -0x1.d78c2625f56d6p-4, -0x1.d59c0a6e0782ep-4, -0x1.d39b0356caafep-4, -0x1.d189c854f5172p-4, -0x1.cf6904814f802p-4, -0x1.cd3957809a2c5p-4, -0x1.cafb565f185aep-4, -0x1.c8af8c5df04abp-4, -0x1.c6567bb8a7a71p-4, -0x1.c3f09e6217012p-4, -0x1.c17e66b43ef03p-4, -0x1.bf004013ce6f8p-4, -0x1.bc768f8a3b961p-4, -0x1.b9e1b457e55f1p-4, -0x1.b742087d3a263p-4, -0x1.b497e1392b095p-4, -0x1.b1e38f8041683p-4, -0x1.af25606e826c1p-4, -0x1.ac5d9db258f44p-4, -0x1.a98c8def3b2afp-4, -0x1.a6b2751845d1ep-4, -0x1.a3cf94c245cf1p-4, -0x1.a0e42c6de36c3p-4, -0x1.9df079cc2781ap-4, -0x1.9af4b8fdf0167p-4, -0x1.97f124ce6a456p-4, -0x1.94e5f6e8d35fbp-4, -0x1.91d36809579bfp-4, -0x1.8eb9b02a3f8a7p-4, -0x1.8b9906af3d9fap-4, -0x1.8871a28e48eefp-4, -0x1.8543ba748783bp-4, -0x1.820f84e6e7ef8p-4, -0x1.7ed5385e87f71p-4, -0x1.7b950b60f8324p-4, -0x1.784f34945bebp-4, -0x1.7503eacfad89bp-4, -0x1.71b3652799e78p-4, -0x1.6e5ddaf82342p-4, -0x1.6b0383eb3446fp-4, -0x1.67a497fd08cabp-4, -0x1.64414f7f7a8f9p-4, -0x1.60d9e31c7a973p-4, -0x1.5d6e8bd76e29cp-4, -0x1.59ff830d57a6cp-4, -0x1.568d0273f33a3p-4, -0x1.53174417d6985p-4, -0x1.4f9e825999e8p-4, -0x1.4c22f7ea1abedp-4, -0x1.48a4dfc5d117ap-4, -0x1.4524752eafdb9p-4, -0x1.41a1f3a4506e5p-4, -0x1.3e1d96db0b9c7p-4, -0x1.3a979ab28c7ccp-4, -0x1.37103b2bdcea2p-4, -0x1.3387b45eaaab4p-4, -0x1.2ffe426df8d48p-4, -0x1.2c74217cb77a7p-4, -0x1.28e98da29436dp-4, -0x1.255ec2e0ed55ap-4, -0x1.21d3fd1799e8cp-4, -0x1.1e4977f977cd4p-4, -0x1.1abf6f011ac3ap-4, -0x1.1736217b5ef95p-4, -0x1.13adc31486acp-4, -0x1.1026916379cd8p-4, -0x1.0ca0c6959fbf2p-4, -0x1.091c9c6b527ep-4, -0x1.059a4c2cf9924p-4, -0x1.021a0ea03dcc6p-4, -0x1.fd3837fab413p-5, -0x1.f64157c939bfdp-5, -0x1.ef4feaa88644ep-5, -0x1.e8645d3d848dbp-5, -0x1.e17f1ac2a2261p-5, -0x1.daa08cf4cd94ap-5, -0x1.d3c91c005d7c1p-5, -0x1.ccf92e6ea9c5bp-5, -0x1.c6312914e552fp-5, -0x1.bf716f03fd746p-5, -0x1.b8ba61791a2c3p-5, -0x1.b20c5fce917ddp-5, -0x1.ab67c76d6070cp-5, -0x1.a4ccf3bf550dfp-5, -0x1.9e3c3e21f2d75p-5, -0x1.97b5fdda24b9p-5, -0x1.913a88089d7e9p-5, -0x1.8aca2f9ef15a4p-5, -0x1.8465455561ce2p-5, -0x1.7e0c17a15386bp-5, -0x1.77bef2ac87d51p-5, -0x1.717e204d34e0ep-5, -0x1.6b49e7ff02e73p-5, -0x1.65228edcd151ep-5, -0x1.5f08579ae82dcp-5, -0x1.58fb828193e2p-5, -0x1.52fc4d68588cbp-5, -0x1.4d0af3b1fc598p-5, -0x1.4727ae4978a79p-5, -0x1.4152b39fae751p-5, -0x1.3b8c37a9c29f8p-5, -0x1.35d46be00bcd9p-5, -0x1.302b7f3d9d454p-5, -0x1.2a919e407e83p-5, -0x1.2506f2ea8d1c2p-5, -0x1.1f8ba4c305672p-5, -0x1.1a1fd8d8a37d1p-5, -0x1.14c3b1c4585bap-5, -0x1.0f774fac8e3a1p-5, -0x1.0a3ad048fff07p-5, -0x1.050e4ee738e77p-5, -0x1.ffe3c8df58a5ap-6, -0x1.f5cb4ed6bfb1p-6, -0x1.ebd35814393d7p-6, -0x1.e1fc0851e8e32p-6, -0x1.d8457eb231c6bp-6, -0x1.ceafd5ce65b26p-6, -0x1.c53b23c650702p-6, -0x1.bbe77a50ba227p-6, -0x1.b2b4e6ccd60dap-6, -0x1.a9a3725477d17p-6, -0x1.a0b321ced77c2p-6, -0x1.97e3f60414505p-6, -0x1.8f35ebb134ccdp-6, -0x1.86a8fb9cdda9ap-6, -0x1.7e3d1aac7da4ep-6, -0x1.75f239fa0a458p-6, -0x1.6dc846ea2b187p-6, -0x1.65bf2b42d909bp-6, -0x1.5dd6cd4263c61p-6, -0x1.560f0fb6e7002p-6, -0x1.4e67d21620d0cp-6, -0x1.46e0f09593633p-6, -0x1.3f7a4442e75e3p-6, -0x1.3833a31c7c0aep-6, -0x1.310ce029f55f1p-6, -0x1.2a05cb94e7951p-6, -0x1.231e32c1c59e1p-6, -0x1.1c55e068ea516p-6, -0x1.15ac9caf8e9cp-6, -0x1.0f222d40dbd5dp-6, -0x1.08b65567149bap-6, -0x1.0268d62492bc3p-6, -0x1.f872dc9935d98p-7, -0x1.ec4fb53859f14p-7, -0x1.e067aba584b32p-7, -0x1.d4ba319580384p-7, -0x1.c946b5239503cp-7, -0x1.be0ca101e981p-7, -0x1.b30b5ca95e9e3p-7, -0x1.a8424c8913bd9p-7, -0x1.9db0d2354b9dep-7, -0x1.93564c959a4d2p-7, -0x1.893218128a979p-7, -0x1.7f438ec2840fdp-7, -0x1.758a0895fa21p-7, -0x1.6c04db82dff2fp-7, -0x1.62b35baf82e71p-7, -0x1.5994db9c9a6b7p-7, -0x1.50a8ac4e6e2e3p-7, -0x1.47ee1d752c06ap-7, -0x1.3f647d9469124p-7, -0x1.370b1a29cb363p-7, -0x1.2ee13fd2d105fp-7, -0x1.26e63a719378fp-7, -0x1.1f1955509425fp-7, -0x1.1779db45e7655p-7, -0x1.100716d59f779p-7, -0x1.08c05252f5f28p-7, -0x1.01a4d8003f8f1p-7, -0x1.f567e45c49018p-8, -0x1.e7d9d6b435537p-8, -0x1.da9e1c9767cc6p-8, -0x1.cdb34c615342cp-8, -0x1.c117fd70649a7p-8, -0x1.b4cac85af3824p-8, -0x1.a8ca472271649p-8, -0x1.9d1515640e6b8p-8, -0x1.91a9d087eaf94p-8, -0x1.868717edec3c1p-8, -0x1.7bab8d19a76adp-8, -0x1.7115d3db73245p-8, -0x1.66c4927826794p-8, -0x1.5cb671ce84142p-8, -0x1.52ea1d7b56fdp-8, -0x1.495e43fba6b91p-8, -0x1.401196cd45c3fp-8, -0x1.3702ca8d1889ep-8, -0x1.2e309714432fdp-8, -0x1.2599b79383447p-8, -0x1.1d3ceaacffa7fp-8, -0x1.1518f28c3d9b2p-8, -0x1.0d2c94fcbe67ep-8, -0x1.05769b7f0f08ap-8, -0x1.fbeba6b82815dp-9, -0x1.ed521b6da1757p-9, -0x1.df1e3f39b2dfep-9, -0x1.d14dc42b70696p-9, -0x1.c3de6461c5e15p-9, -0x1.b6cde2240dba4p-9, -0x1.aa1a07f79df2ap-9, -0x1.9dc0a8b3704aap-9, -0x1.91bf9f922ef59p-9, -0x1.8614d041d8dd4p-9, -0x1.7abe26f018e84p-9, -0x1.6fb998543a73ap-9, -0x1.650521b727a57p-9, -0x1.5a9ec8fa3971bp-9, -0x1.50849c9b4d001p-9, -0x1.46b4b3b6b942ep-9, -0x1.3d2d2e077f60bp-9, -0x1.33ec33e58076bp-9, -0x1.2aeff642808c3p-9, -0x1.2236aea5c1cc3p-9, -0x1.19be9f255016ap-9, -0x1.1186125ec0f43p-9, -0x1.098b5b6d21471p-9, -0x1.01ccd5de74a49p-9, -0x1.f491cb4f9b0b2p-10, -0x1.e5fbee303ba8p-10, -0x1.d7d4fd9391ad8p-10, -0x1.ca19f32540b65p-10, -0x1.bcc7d8e656f1ap-10, -0x1.afdbc908dd0efp-10, -0x1.a352edca927ddp-10, -0x1.972a814dba487p-10, -0x1.8b5fcd6f84917p-10, -0x1.7ff02b9db5498p-10, -0x1.74d904ab4fd18p-10, -0x1.6a17d0a1f9911p-10, -0x1.5faa16924f75ap-10, -0x1.558d6c630812ap-10, -0x1.4bbf769f87e4dp-10, -0x1.423de84717b6dp-10, -0x1.39068299b2074p-10, -0x1.301714e3af138p-10, -0x1.276d7c47cced3p-10, -0x1.1f07a38990812p-10, -0x1.16e382d7eb4c9p-10, -0x1.0eed02b9a0d79p-10, -0x1.074550d3c7e1dp-10, -0x1.ffb3379b588f2p-11, -0x1.f1501fc1c7205p-11, -0x1.e35dcb1c5d86fp-11, -0x1.d5d8c2c8c4a3ep-11, -0x1.c8bda78f9eb37p-11, -0x1.bc093174ba06ap-11, -0x1.afb82f4498176p-11, -0x1.a3c78624010d6p-11, -0x1.9834311f7496ap-11, -0x1.8cfb40ba29416p-11, -0x1.8219da7eed0c8p-11, -0x1.778d3890c4a9dp-11, -0x1.6d52a93b6b00fp-11, -0x1.63678e85306cdp-11, -0x1.59c95dc2992edp-11, -0x1.50759f296fd14p-11, -0x1.4769ed665e08ep-11, -0x1.3ea3f533021b7p-11, -0x1.362174ec66019p-11, -0x1.2de03c2b62c68p-11, -0x1.25de2b5d2eea8p-11, -0x1.1e19335c82bd1p-11, -0x1.168f550ca187ep-11, -0x1.0f3ea0f5b938cp-11, -0x1.082536e475ed5p-11, -0x1.01414589c24e5p-11, -0x1.f5221436cbe2ep-12, -0x1.e8259fe9a84b8p-12, -0x1.db89e07310d53p-12, -0x1.cf4ba2f23ac27p-12, -0x1.c367ceadfc297p-12, -0x1.b7db646980674p-12, -0x1.aca37db8325d4p-12, -0x1.a1bd4c55e88cdp-12, -0x1.9726197dc716cp-12, -0x1.8cdb45456325cp-12, -0x1.82da45f60ac4ap-12, -0x1.7920a76e47f08p-12, -0x1.6fac0a85c741ap-12, -0x1.667a2474a3531p-12, -0x1.5d88be413a9a3p-12, -0x1.54d5b42cd28c5p-12, -0x1.4c5ef526804d4p-12, -0x1.4422823f9be13p-12, -0x1.3c1e6e21c6e4bp-12, -0x1.3450dc8963fa3p-12, -0x1.2cb801c123a3p-12, -0x1.2552221f7dca6p-12, -0x1.1e1d91887cf2bp-12, -0x1.1718b2f40a4e4p-12, -0x1.1041f7f4e07aap-12, -0x1.0997e044f34p-12, -0x1.0318f953fda77p-12, -0x1.f987bbae38108p-13, -0x1.ed2e6ab6aff83p-13, -0x1.e12367b653a9ap-13, -0x1.d56432b14f27cp-13, -0x1.c9ee62f537c0fp-13, -0x1.bebfa651ebd0ap-13, -0x1.b3d5c05b95ac1p-13, -0x1.a92e89ab3528ap-13, -0x1.9ec7ef27e2042p-13, -0x1.949ff1555648cp-13, -0x1.8ab4a3acf9567p-13, -0x1.81042bfa63093p-13, -0x1.778cc1be58319p-13, -0x1.6e4cad8f6e467p-13, -0x1.6542488147ef6p-13, -0x1.5c6bfb8dcd915p-13, -0x1.53c83f01f5622p-13, -0x1.4b5599ef76b13p-13, -0x1.4312a1a1fe4dbp-13, -0x1.3afdf918d1d5cp-13, -0x1.331650886b262p-13, -0x1.2b5a64da6aa6fp-13, -0x1.23c8ff38d4e77p-13, -0x1.1c60f49896adap-13, -0x1.1521254b6d6f9p-13, -0x1.0e087c8ddfe4dp-13, -0x1.0715f01e51a7dp-13, -0x1.00487fd351959p-13, -0x1.f33e6a6927a5bp-14, -0x1.e632462dc2a4cp-14, -0x1.d96aca7b01c1dp-14, -0x1.cce63ff8729f9p-14, -0x1.c0a2ffc2d6904p-14, -0x1.b49f72ca3773dp-14, -0x1.a8da112a81442p-14, -0x1.9d5161942e1e2p-14, -0x1.9203f8a7d12aep-14, -0x1.86f0786653bf3p-14, -0x1.7c158f8cb22acp-14, -0x1.7171f913402ep-14, -0x1.67047ba08017cp-14, -0x1.5ccbe9093fc36p-14, -0x1.52c71de11cecep-14, -0x1.48f50106e41ccp-14, -0x1.3f54832e0794bp-14, -0x1.35e49e799d9fep-14, -0x1.2ca45609effp-14, -0x1.2392b58c01f0cp-14, -0x1.1aaed0d9eb3fbp-14, -0x1.11f7c38e0f375p-14, -0x1.096cb0ab74937p-14, -0x1.010cc242e1af8p-14, -0x1.f1ae524cc1b66p-15, -0x1.e196393736e44p-15, -0x1.d1cfb417174b6p-15, -0x1.c259497fee981p-15, -0x1.b3318b38c9cc9p-15, -0x1.a45715b884f23p-15, -0x1.95c88fb43f10cp-15, -0x1.8784a99eae7e8p-15, -0x1.798a1d3a7b8fbp-15, -0x1.6bd7ad29c8e4bp-15, -0x1.5e6c247666436p-15, -0x1.5146562b4c21ep-15, -0x1.44651ce152a99p-15, -0x1.37c75a683fd81p-15, -0x1.2b6bf76bfdae7p-15, -0x1.1f51e33006ccdp-15, -0x1.1378134259667p-15, -0x1.07dd833c60fd7p-15, -0x1.f90268f6f9994p-16, -0x1.e2c45bcbb4a2bp-16, -0x1.ccfef72ef850ap-16, -0x1.b7b05d5d5e73fp-16, -0x1.a2d6ba0dbf4fdp-16, -0x1.8e70421af26ebp-16, -0x1.7a7b3301ed197p-16, -0x1.66f5d2a0c4f64p-16, -0x1.53de6ecde5b6cp-16, -0x1.41335d0513a17p-16, -0x1.2ef2fa1a903eap-16, -0x1.1d1ba9ca0c699p-16, -0x1.0babd68e70011p-16, -0x1.f543e27177fe4p-17, -0x1.d3f8e1643012cp-17, -0x1.b373a34041eb7p-17, -0x1.93b12cb1490a7p-17, -0x1.74ae8d531945dp-17, -0x1.5668df1a03698p-17, -0x1.38dd4684841a4p-17, -0x1.1c08f2030679ap-17, -0x1.ffd233980225ep-18, -0x1.c8f5fe9cd10bbp-18, -0x1.9377da407bf26p-18, -0x1.5f526cc6907cfp-18, -0x1.2c806cfe2ace5p-18, -0x1.f5f942b46d007p-19, -0x1.9583bf7aac6fbp-19, -0x1.3796199d3c15bp-19, -0x1.b84c6f0f55979p-20, -0x1.0654379b451c8p-20, -0x1.64bf2d2608872p-22, 0x1.3cd182cde8186p-22, 0x1.e5d7421ce106bp-21, 0x1.92091585f3dfbp-20, 0x1.164fd5258f2b4p-19, 0x1.61610cb40bcd9p-19, 0x1.aa417597c9584p-19, 0x1.f0fa3bc2d254ap-19, 0x1.1aca3974971a6p-18, 0x1.3c0c8b42fd80ep-18, 0x1.5c48852fc44aep-18, 0x1.7b828d4f7e254p-18, 0x1.99befe5472c6p-18, 0x1.b70227a2871fcp-18, 0x1.d3504dee002bdp-18, 0x1.eeadab28d5bfbp-18, 0x1.048f37619aee8p-17, 0x1.11535ec3d4ffcp-17, 0x1.1da558ca2fc3bp-17, 0x1.29872d2ffcad2p-17, 0x1.34fade3744d3ep-17, 0x1.400268cf1b4eep-17, 0x1.4a9fc4a7f88e2p-17, 0x1.54d4e41710709p-17, 0x1.5ea3b448d38f9p-17, 0x1.680e1d6c45cf1p-17, 0x1.7116027dec7bap-17, 0x1.79bd41770e4fbp-17, 0x1.8205b326c18fep-17, 0x1.89f12b636d886p-17, 0x1.918178cd28d1fp-17, 0x1.98b864f43508cp-17, 0x1.9f97b470235fap-17, 0x1.a62126cd76257p-17, 0x1.ac5676e2d8ed9p-17, 0x1.b2395a6e5a1c4p-17, 0x1.b7cb824d1f199p-17, 0x1.bd0e9a634c2f9p-17, 0x1.c20449d06daaap-17, 0x1.c6ae3273cc9fap-17, 0x1.cb0df145162e8p-17, 0x1.cf251e2d66bdp-17, 0x1.d2f54c09e6a84p-17, 0x1.d68008e0cf09dp-17, 0x1.d9c6dd8b804bfp-17, 0x1.dccb4df17ffedp-17, 0x1.df8ed8ff8e0f3p-17, 0x1.e212f8a2b653bp-17, 0x1.e45921fd89331p-17, 0x1.e662c547ff4fbp-17, 0x1.e8314e0af06adp-17, 0x1.e9c623266e73dp-17, 0x1.eb22a6f2e5454p-17, 0x1.ec48371d90a6cp-17, 0x1.ed382cb68688cp-17, 0x1.edf3dc1f42019p-17, 0x1.ee7c94ea8b4b3p-17, 0x1.eed3a1d9f0bp-17, 0x1.eefa48d077a88p-17, 0x1.eef1cadc8b0c5p-17, 0x1.eebb642bb9af4p-17, 0x1.ee584c3a143b2p-17, 0x1.edc9b5cab3567p-17, 0x1.ed10cf245bbabp-17, 0x1.ec2ec1ff43c19p-17, 0x1.eb24b3aa6ee06p-17, 0x1.e9f3c50f53866p-17, 0x1.e89d129aa6aeap-17, 0x1.e721b446b798bp-17, 0x1.e582bd7f90a3ap-17, 0x1.e3c13d5fbdfb4p-17, 0x1.e1de3e50776cap-17, 0x1.dfdac6541230dp-17, 0x1.ddb7d702cce92p-17, 0x1.db766d85ecb37p-17, 0x1.d917830dfc8f9p-17, 0x1.d69c0c71484c4p-17, 0x1.d404fa8ecb54cp-17, 0x1.d1533a53c4df4p-17, 0x1.ce87b4a8b527ep-17, 0x1.cba34ec242caep-17, 0x1.c8a6e9ac553fcp-17, 0x1.c5936273897dep-17, 0x1.c269923010d9bp-17, 0x1.bf2a4dc551725p-17, 0x1.bbd665f183f2cp-17, 0x1.b86ea78834058p-17, 0x1.b4f3db1220a94p-17, 0x1.b166c52f90ca6p-17, 0x1.adc826a7f2759p-17, 0x1.aa18bc77c9b13p-17, 0x1.a6594004d4709p-17, 0x1.a28a675554215p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.362bdd63bf844p-1, 0x1.3390649b48191p-1, 0x1.30c57961ef241p-1, 0x1.2dce92afe7cep-1, 0x1.2aaf27a6fd947p-1, 0x1.276aa5231e78fp-1, 0x1.240469400adf1p-1, 0x1.207fba508b11cp-1, 0x1.1cdfc337a927cp-1, 0x1.192793a594218p-1, 0x1.155a15de803cfp-1, 0x1.117a1333549ecp-1, 0x1.0d8a32f56b905p-1, 0x1.098cf6a572c41p-1, 0x1.0584bc34c87bdp-1, 0x1.0173be289ea31p-1, 0x1.fab82855816adp-2, 0x1.f27f67e47c88fp-2, 0x1.ea40e4b54b093p-2, 0x1.e200094e302a8p-2, 0x1.d9c002fb163b2p-2, 0x1.d183c44b44c2fp-2, 0x1.c94e07ded6daap-2, 0x1.c121534e30315p-2, 0x1.b8fff9d24d7dep-2, 0x1.b0ec1d98358a1p-2, 0x1.a8e7b25ce6a5fp-2, 0x1.a0f480efecb82p-2, 0x1.99142940dfcf1p-2, 0x1.914823accd047p-2, 0x1.8991c3b8eb7aep-2, 0x1.81f23ae960b06p-2, 0x1.7a6a9a218199p-2, 0x1.72fbd10347513p-2, 0x1.6ba6b4abbb465p-2, 0x1.646bfe16035edp-2, 0x1.5d4c4cb6303c5p-2, 0x1.564828117ce43p-2, 0x1.4f600123c476bp-2, 0x1.489433ed9b79bp-2, 0x1.41e508e3162e4p-2, 0x1.3b52b65549241p-2, 0x1.34dd6190ec6ep-2, 0x1.2e85201184bf8p-2, 0x1.2849f8c36c5d8p-2, 0x1.222be5312c5fap-2, 0x1.1c2ad29a92f4p-2, 0x1.1646a2ce8d3dfp-2, 0x1.107f2d0e7c7c3p-2, 0x1.0ad43f12d8cc9p-2, 0x1.05459dfe96ef4p-2, 0x1.ffa60e74adfd9p-3, 0x1.f4f86251a170fp-3, 0x1.ea81977ce7881p-3, 0x1.e041024fb1b6p-3, 0x1.d635ed13731cap-3, 0x1.cc5f9978d68d8p-3, 0x1.c2bd41cd33abfp-3, 0x1.b94e19f79aa1bp-3, 0x1.b011503e9608dp-3, 0x1.a7060e02cd8a1p-3, 0x1.9e2b7895ea63p-3, 0x1.9580b22e6b1d6p-3, 0x1.8d04dade44278p-3, 0x1.84b7115f98b62p-3, 0x1.7c9673afec146p-3, 0x1.74a21f8389f57p-3, 0x1.6cd9329c5405ep-3, 0x1.653acb22490e4p-3, 0x1.5dc6080e306b9p-3, 0x1.567a09a57c5f4p-3, 0x1.4f55f1fb35008p-3, 0x1.4858e562116b8p-3, 0x1.41820abfbdf7ap-3, 0x1.3ad08bc3b80f2p-3, 0x1.34439506ad041p-3, 0x1.2dda561c420b3p-3, 0x1.27940e5923d6fp-3, 0x1.216fd838f06f9p-3, 0x1.1b6cfb37297afp-3, 0x1.158ab4418bfe6p-3, 0x1.0fc843ec9e9fep-3, 0x1.0a24ee84db4bcp-3, 0x1.049ffc1c1067fp-3, 0x1.fe717126576d1p-4, 0x1.f3dce740f2eebp-4, 0x1.e98101a6524p-4, 0x1.df5c6f28625b2p-4, 0x1.d56de648c19afp-4, 0x1.cbb42530388a2p-4, 0x1.c22df1a257c6dp-4, 0x1.b8da18edf7364p-4, 0x1.afb76fda7faaap-4, 0x1.a6c4d29271548p-4, 0x1.9e01248c396fp-4, 0x1.956b507198f36p-4, 0x1.8d02480414b97p-4, 0x1.84c503ff23565p-4, 0x1.7cb283f987b36p-4, 0x1.74c9ce45554cap-4, 0x1.6d09efce77098p-4, 0x1.6571fbf83022cp-4, 0x1.5e010c79f0476p-4, 0x1.56b6413b8c974p-4, 0x1.4f90c030d28c4p-4, 0x1.488fb534f3a83p-4, 0x1.41b251e648be7p-4, 0x1.3af7cd8235c9cp-4, 0x1.345f64c0ca60bp-4, 0x1.2de859b003583p-4, 0x1.2791f38efeacdp-4, 0x1.215b7ea97e0fbp-4, 0x1.1b444c33bbf48p-4, 0x1.154bb226861dcp-4, 0x1.0f710b1bc42c1p-4, 0x1.09b3b62b8a0ap-4, 0x1.041316c9b9305p-4, 0x1.fd1d2948ce409p-5, 0x1.f24b3706674b7p-5, 0x1.e7af364e9cfb7p-5, 0x1.dd480e580ee23p-5, 0x1.d314adcfc0e08p-5, 0x1.c9140a9c803fcp-5, 0x1.bf4521a34c746p-5, 0x1.b5a6f68cc6001p-5, 0x1.ac38938bdb652p-5, 0x1.a2f909261763p-5, 0x1.99e76dfd97dfep-5, 0x1.9102de9c8454cp-5, 0x1.884a7d4238dcap-5, 0x1.7fbd71b26a295p-5, 0x1.775ae90629083p-5, 0x1.6f22157e672bdp-5, 0x1.67122e57de9e1p-5, 0x1.5f2a6fa0422bbp-5, 0x1.576a1a0ca74e2p-5, 0x1.4fd072d12afb3p-5, 0x1.485cc379ab5c2p-5, 0x1.410e59c3b1dcap-5, 0x1.39e48779705ep-5, 0x1.32dea24ddfa1bp-5, 0x1.2bfc03ba09d34p-5, 0x1.253c08dbc9ac6p-5, 0x1.1e9e1256172e8p-5, 0x1.18218432ac76cp-5, 0x1.11c5c5c4e7ee8p-5, 0x1.0b8a418debd97p-5, 0x1.056e6521e89a7p-5, 0x1.fee3421d1984bp-6, 0x1.f326d184e2157p-6, 0x1.e7a664eafb8afp-6, 0x1.dc60ee24201b2p-6, 0x1.d155643dd342dp-6, 0x1.c682c353d2943p-6, 0x1.bbe80c6733c5ap-6, 0x1.b18445371db41p-6, 0x1.a756781aef508p-6, 0x1.9d5db3de00cd7p-6, 0x1.93990b9cc60c9p-6, 0x1.8a0796a38ed12p-6, 0x1.80a8704ed5fp-6, 0x1.777ab7ed0e999p-6, 0x1.6e7d90a1d6696p-6, 0x1.65b0214a955fcp-6, 0x1.5d1194646d84bp-6, 0x1.54a118549341ap-6, 0x1.4c5ddd9b7779cp-6, 0x1.444719996dae7p-6, 0x1.3c5c04619e37dp-6, 0x1.349bd935013ebp-6, 0x1.2d05d66e57ab5p-6, 0x1.25993d6f12a18p-6, 0x1.1e55528d15209p-6, 0x1.17395d014b8fcp-6, 0x1.1044a6d717198p-6, 0x1.09767cdc68f32p-6, 0x1.02ce2e928e447p-6, 0x1.f8961c3f308e2p-7, 0x1.ebd8e080f1167p-7, 0x1.df63587798e78p-7, 0x1.d33437aa9c20ep-7, 0x1.c74a3683b17c8p-7, 0x1.bba41237e1552p-7, 0x1.b0408cb1898eap-7, 0x1.a51e6c7b6e4dap-7, 0x1.9a3c7cac98288p-7, 0x1.8f998cd52b747p-7, 0x1.853470ec34734p-7, 0x1.7b0c013e08b12p-7, 0x1.711f1a5ba17c3p-7, 0x1.676c9d0a87523p-7, 0x1.5df36e3583bf3p-7, 0x1.54b276de08c8ap-7, 0x1.4ba8a40df6a41p-7, 0x1.42d4e6ca2a1f3p-7, 0x1.3a36340560992p-7, 0x1.31cb84939dbdfp-7, 0x1.2993d51e03425p-7, 0x1.218e26172b39p-7, 0x1.19b97baff9796p-7, 0x1.1214ddccccb95p-7, 0x1.0a9f57fb0fea8p-7, 0x1.0357f9671ad45p-7, 0x1.f87ba9a4b7b95p-8, 0x1.eaa0011389548p-8, 0x1.dd1b2cb8f4f1ep-8, 0x1.cfeb6725ed79cp-8, 0x1.c30ef1cbdbdc2p-8, 0x1.b68414ec112d6p-8, 0x1.aa491f86d055bp-8, 0x1.9e5c674a894adp-8, 0x1.92bc488455bb8p-8, 0x1.8767260fe9462p-8, 0x1.7c5b6947b9229p-8, 0x1.719781f60dfc6p-8, 0x1.6719e645c8accp-8, 0x1.5ce112b2e3f71p-8, 0x1.52eb89fc229aap-8, 0x1.4937d513ee3a6p-8, 0x1.3fc48311e828cp-8, 0x1.3690292492b07p-8, 0x1.2d996282b9583p-8, 0x1.24ded05d3d5adp-8, 0x1.1c5f19d0dbee2p-8, 0x1.1418ebd7c8107p-8, 0x1.0c0af93b9f897p-8, 0x1.0433fa8715e3p-8, 0x1.f9255bef9d588p-9, 0x1.ea4baee075aacp-9, 0x1.dbd880d2afd95p-9, 0x1.cdc96fc8a93d6p-9, 0x1.c01c24b92672ep-9, 0x1.b2ce53733607ep-9, 0x1.a5ddba7fec9b1p-9, 0x1.994823068e79dp-9, 0x1.8d0b60b135a77p-9, 0x1.8125518ddee7fp-9, 0x1.7593ddf10f7e9p-9, 0x1.6a54f85a72331p-9, 0x1.5f669d57b82c9p-9, 0x1.54c6d36576b27p-9, 0x1.4a73aad2be6c8p-9, 0x1.406b3da428b66p-9, 0x1.36abaf76315e7p-9, 0x1.2d332d5e4a727p-9, 0x1.23ffedce620b3p-9, 0x1.1b103076de98dp-9, 0x1.12623e283158fp-9, 0x1.09f468b565901p-9, 0x1.01c50ad5c0831p-9, 0x1.f3a5100dfcffap-10, 0x1.e43698de0412ap-10, 0x1.d53b997b613a7p-10, 0x1.c6b10c1d2559p-10, 0x1.b893fb95f8c0ep-10, 0x1.aae183171558ep-10, 0x1.9d96cdf439925p-10, 0x1.90b11765b61c5p-10, 0x1.842daa4d63cf3p-10, 0x1.7809e0fb83134p-10, 0x1.6c4324f161931p-10, 0x1.60d6eea34bc8dp-10, 0x1.55c2c53cbde18p-10, 0x1.4b043e696c3dap-10, 0x1.4098fe1719f91p-10, 0x1.367eb637937a6p-10, 0x1.2cb3268477c09p-10, 0x1.23341c4903abfp-10, 0x1.19ff7227c870ap-10, 0x1.11130fdc9d243p-10, 0x1.086cea00d8a2ap-10, 0x1.000b01d4ac3fbp-10, 0x1.efd6ca0c16b0bp-11, 0x1.e0185aeeb5312p-11, 0x1.d0d7020712e6p-11, 0x1.c20f228f0f3d6p-11, 0x1.b3bd36d5dc3b8p-11, 0x1.a5ddcfcfcfb34p-11, 0x1.986d94a7ccbf3p-11, 0x1.8b694250d094ap-11, 0x1.7ecdab194a41bp-11, 0x1.7297b64288616p-11, 0x1.66c45f9345f65p-11, 0x1.5b50b6f0e8373p-11, 0x1.5039dff4658b9p-11, 0x1.457d11825d08bp-11, 0x1.3b1795655d0ep-11, 0x1.3106c7ed47c0ap-11, 0x1.2748178a500d2p-11, 0x1.1dd904666a57dp-11, 0x1.14b720000543fp-11, 0x1.0be00ccd48ec5p-11, 0x1.03517de36a449p-11, 0x1.f6126d340053ap-12, 0x1.e60a1448fa9cdp-12, 0x1.d685b668ac65cp-12, 0x1.c7813744c2657p-12, 0x1.b8f8983846a3ep-12, 0x1.aae7f79eadb59p-12, 0x1.9d4b901502d5bp-12, 0x1.901fb7cc09ec6p-12, 0x1.8360dfe3b7a49p-12, 0x1.770b93cffb0fdp-12, 0x1.6b1c78b9d9237p-12, 0x1.5f904cda7fecdp-12, 0x1.5463e6d540bfp-12, 0x1.49943523131dbp-12, 0x1.3f1e3d7b0c888p-12, 0x1.34ff1c44591e6p-12, 0x1.2b3404008a097p-12, 0x1.21ba3cb80ab49p-12, 0x1.188f236e3ad23p-12, 0x1.0fb02992a6b19p-12, 0x1.071ad47bb203ep-12, 0x1.fd9979d7efef8p-13, 0x1.ed871d1c32c05p-13, 0x1.ddfa0edfc6a4bp-13, 0x1.ceedeeef1f6a5p-13, 0x1.c05e7fdcdb96ap-13, 0x1.b247a61de2931p-13, 0x1.a4a5672c61f3ep-13, 0x1.9773e89e63b5ap-13, 0x1.8aaf6f3299c6fp-13, 0x1.7e545de8d8dbdp-13, 0x1.725f3524afed1p-13, 0x1.66cc91e81f0d6p-13, 0x1.5b992d0eef78dp-13, 0x1.50c1da860b864p-13, 0x1.4643887e30beep-13, 0x1.3c1b3ea5381b6p-13, 0x1.32461d57d068bp-13, 0x1.28c15cf738d77p-13, 0x1.1f8a4d3a78d22p-13, 0x1.169e548852832p-13, 0x1.0dfaef4197f54p-13, 0x1.059daf1455039p-13, 0x1.fb087499bf1b1p-14, 0x1.eb58967048987p-14, 0x1.dc275f3d6c0a5p-14, 0x1.cd709056796f8p-14, 0x1.bf300faeba6f4p-14, 0x1.b15384c497538p-14, 0x1.a3f39e2d40612p-14, 0x1.96fe913651112p-14, 0x1.8a70ca750ac7bp-14, 0x1.7e46d5c31c98ep-14, 0x1.727d5d5410778p-14, 0x1.671128b718b6dp-14, 0x1.5bff1bb1461bbp-14, 0x1.51443542f8e4ep-14, 0x1.46dd8ea85b44bp-14, 0x1.3cc85a9a11743p-14, 0x1.3301e4aead75cp-14, 0x1.29879099e95b2p-14, 0x1.2056d96e8bef3p-14, 0x1.176d50aace1adp-14, 0x1.0ec89d6072c1ap-14, 0x1.06667b6c59c9ep-14, 0x1.fc8975dd30b8dp-15, 0x1.ecc27f46287cdp-15, 0x1.dd74007acfcbep-15, 0x1.ce9a0b5468a3cp-15, 0x1.c030d4dc98763p-15, 0x1.b234b408fa937p-15, 0x1.a4a220c5a54c1p-15, 0x1.9775b2ff8b674p-15, 0x1.8aac21731a546p-15, 0x1.7e42408772bdfp-15, 0x1.72350108df685p-15, 0x1.66816f28dc04ap-15, 0x1.5b24b199f5c0cp-15, 0x1.501c08f36af67p-15, 0x1.4564ced6933d8p-15, 0x1.3afc74fedca1ep-15, 0x1.30e0841425ad6p-15, 0x1.270e9ac76816ap-15, 0x1.1d846ce3363a6p-15, 0x1.143fc2b90935ep-15, 0x1.0b3e78848fe17p-15, 0x1.027e7e0920357p-15, 0x1.f3fbaba598d93p-16, 0x1.e37528dfce7d1p-16, 0x1.d365bf5f8e822p-16, 0x1.c3c9db636bcd6p-16, 0x1.b49e0890ea799p-16, 0x1.a5def0a518029p-16, 0x1.97895a98b64a8p-16, 0x1.899a2a24b014ep-16, 0x1.7c0e5edc2e385p-16, 0x1.6ee31376ecedfp-16, 0x1.62157c68fce76p-16, 0x1.55a2e67fda9c3p-16, 0x1.4988b5a4e78e8p-16, 0x1.3dc46425f9a37p-16, 0x1.325381e3e06f6p-16, 0x1.2733b430c535dp-16, 0x1.1c62b4ed58052p-16, 0x1.11de51bc322a6p-16, 0x1.07a46af37c50bp-16, 0x1.fb65e4c1b2dbfp-17, 0x1.e80fd59c50afdp-17, 0x1.d542ceda9026ap-17, 0x1.c2fb175a05627p-17, 0x1.b135162526128p-17, 0x1.9fed513c3c0afp-17, 0x1.8f206c82dc9d7p-17, 0x1.7ecb2775f36c6p-17, 0x1.6eea5b2bf9dbap-17, 0x1.5f7af8d36974bp-17, 0x1.507a08e2954fp-17, 0x1.41e4aab29327cp-17, 0x1.33b8143b2412ep-17, 0x1.25f1924f96d35p-17, 0x1.188e87f536c6fp-17, 0x1.0b8c6da7b9ba3p-17, 0x1.fdd19fcc3e7fap-18, 0x1.e5429c80e8236p-18, 0x1.cd6733cd2fe18p-18, 0x1.b63ae91a6a912p-18, 0x1.9fb95f70e3b9bp-18, 0x1.89de578464867p-18, 0x1.74a5b0a0de607p-18, 0x1.600b67d95a4cbp-18, 0x1.4c0b986977a71p-18, 0x1.38a27b88af976p-18, 0x1.25cc6708c132cp-18, 0x1.1385cb8cfb6d1p-18, 0x1.01cb32b25437ap-18, 0x1.e132796d9ef03p-19, 0x1.bfd93e33ca98cp-19, 0x1.9f844935ca978p-19, 0x1.802d5a24c2e56p-19, 0x1.61ce5b8fcb61dp-19, 0x1.446160eca2816p-19, 0x1.27e0a786b77e1p-19, 0x1.0c4691f4482d2p-19, 0x1.e31b4cfdbb7a5p-20, 0x1.af61194299bd6p-20, 0x1.7d5417277f587p-20, 0x1.4cea130834e8cp-20, 0x1.1e19145297344p-20, 0x1.e1aec315800dcp-21, 0x1.8a36fa32e9f5fp-21, 0x1.35b84c03783a9p-21, 0x1.c84155a79a57dp-22, 0x1.2abcf5923b964p-22, 0x1.25822e422f744p-23, 0x1.60c48be364835p-33, -0x1.1a45c21d2aec8p-23, -0x1.154c00cb726a4p-22, -0x1.986ec24d044b7p-22, -0x1.0b54fdcb9e04dp-21, -0x1.480df03ae40f2p-21, -0x1.82710877409b3p-21, -0x1.ba8cc74e833ccp-21, -0x1.f06f60380b1b4p-21, -0x1.12135c14a3556p-20, -0x1.2ae02fa7094aep-20, -0x1.42a4c9c8933a4p-20, -0x1.59679fde7d3ap-20, -0x1.6f2f0023af748p-20, -0x1.8401175f427f7p-20, -0x1.97e3f10532b88p-20, -0x1.aadd7ce30b2c7p-20, -0x1.bcf39095d1341p-20, -0x1.ce2be8c0d67c3p-20, -0x1.de8c282e627dcp-20, -0x1.ee19da70b1512p-20, -0x1.fcda6d88e4188p-20, -0x1.05699a03771fcp-19, -0x1.0c04b1859b532p-19, -0x1.124108d402a25p-19, -0x1.18211c09b3daap-19, -0x1.1da758f1e2ac6p-19, -0x1.22d61edcb0bcep-19, -0x1.27afbf28718b8p-19, -0x1.2c367f16f8ef9p-19, -0x1.306c98d0876fp-19, -0x1.34543c9a59fb6p-19, -0x1.37ef929818046p-19, -0x1.3b40ba1760c8fp-19, -0x1.3e49ca1c0dedep-19, -0x1.410cd03d6db0cp-19, -0x1.438bd0feb23fbp-19, -0x1.45c8c472abcfdp-19, -0x1.47c597c545acp-19, -0x1.49842be4f8b0ep-19, -0x1.4b06566d5491cp-19, -0x1.4c4de23bd2237p-19, -0x1.4d5c90644071bp-19, -0x1.4e3418b721023p-19, -0x1.4ed62a0ff1103p-19, -0x1.4f446c8af9ff2p-19, -0x1.4f807f0410e52p-19, -0x1.4f8bf90870406p-19, -0x1.4f686a5c51dd3p-19, -0x1.4f175a99a03cfp-19, -0x1.4e9a4996a6ecep-19, -0x1.4df2aeb6109f7p-19, -0x1.4d21f90c086fp-19, -0x1.4c29916e5aaa8p-19, -0x1.4b0ad889636cfp-19, -0x1.49c728dd8d33bp-19, -0x1.485fd6a8b6ee6p-19, -0x1.46d62f27f7708p-19, -0x1.452b782ad9cfcp-19, -0x1.4360ef1c4b8aap-19, -0x1.4177c9a1a639bp-19, -0x1.3f7133ec19501p-19, -0x1.3d4e523cce121p-19, -0x1.3b1041abcd355p-19, -0x1.38b8188a26cd4p-19, -0x1.3646e7fd457f4p-19, -0x1.33bdbbb020b08p-19, -0x1.311d9b2c16079p-19, -0x1.2e678926140ffp-19, -0x1.2b9c83efd1859p-19, -0x1.28bd8507082dp-19, -0x1.25cb814e9884bp-19, -0x1.22c76782f5c15p-19, -0x1.1fb220ba5038cp-19, -0x1.1c8c8fc6df397p-19, -0x1.19579101e4eb1p-19, -0x1.1613f9e3fe98bp-19, -0x1.12c29a36f4ac1p-19, -0x1.0f643a6df969p-19, -0x1.0bf99dcfcab25p-19, -0x1.0883819fde878p-19, -0x1.05029e5a473cfp-19, -0x1.0177a7f7f6e48p-19, -0x1.fbc69d03fc244p-20, -0x1.f48c7c1bdd475p-20, -0x1.ed4240c4529cbp-20, -0x1.e5e93700a5b41p-20, -0x1.de82a593cabd5p-20, -0x1.d70fcc0e0115bp-20, -0x1.cf91e52b38b46p-20, -0x1.c80a213eda794p-20, -0x1.c079a7ab14954p-20, -0x1.b8e195448dbb1p-20, -0x1.b142faf641fbap-20, -0x1.a99edff662423p-20, -0x1.a1f63fa08e978p-20, -0x1.9a4a0c03aebb7p-20, -0x1.929b2ed40bbf8p-20, -0x1.8aea8a4f106b5p-20, -0x1.8338fa102987cp-20, -0x1.7b8757ca80ba7p-20, -0x1.73d676160ac86p-20, -0x1.6c2724a4fad53p-20, -0x1.647a2f986243ep-20, -0x1.5cd05f1b0c671p-20, -0x1.552a762808dc9p-20, -0x1.4d89327424a39p-20, -0x1.45ed4ad971142p-20, -0x1.3e576f0f49e15p-20, -0x1.36c846ce4cd01p-20, -0x1.2f40722c4a9b9p-20, -0x1.27c08bf0a5fa2p-20, -0x1.204926778f0bfp-20, -0x1.18dacf422d3b4p-20, -0x1.11760ed3ac902p-20, -0x1.0a1b6884ca028p-20, -0x1.02cb5b5a89028p-20, -0x1.f70cc175ff8dep-21, -0x1.e899d9ac49304p-21, -0x1.da3edbd0274c5p-21, -0x1.cbfc9c92f6b34p-21, -0x1.bdd3e34274b81p-21, -0x1.afc56e56d33bdp-21, -0x1.a1d1f379795f1p-21, -0x1.93fa207c495ap-21, -0x1.863e9cd5fdeedp-21, -0x1.78a009994102ap-21, -0x1.6b1f03643569dp-21, -0x1.5dbc24a100ebbp-21, -0x1.5078038afb509p-21, -0x1.43533307288d5p-21, -0x1.364e4256fa8b9p-21, -0x1.2969bae62182bp-21, -0x1.1ca62097168fap-21, -0x1.1003edbf1727fp-21, -0x1.038391a591e8p-21, -0x1.ee4adfbc20e2bp-22, -0x1.d5d3c1c4c64bcp-22, -0x1.bda26382fda0bp-22, -0x1.a5b74b9dae777p-22, -0x1.8e12f0772771ep-22, -0x1.76b5c470e5e99p-22, -0x1.5fa02c1e29ecp-22, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.38db1cd6f88e8p-4, 0x1.56c048807bbb7p-4, 0x1.73a9fdcd90c51p-4, 0x1.8f647e5e279cfp-4, 0x1.a9c075beec1bap-4, 0x1.c2954c5d4b066p-4, 0x1.d9bfd786480cfp-4, 0x1.ef258f4e338fap-4, 0x1.015962cd26aadp-3, 0x1.0a2c19dafe433p-3, 0x1.120881a66fc05p-3, 0x1.18edd74b3e856p-3, 0x1.1ede0bfda17efp-3, 0x1.23dd90fc9392fp-3, 0x1.27f2b2137557dp-3, 0x1.2b253ac2f19cep-3, 0x1.2d7e396cdc696p-3, 0x1.2f07dc77f0dd6p-3, 0x1.2fccea8603cfbp-3, 0x1.2fd875297e027p-3, 0x1.2f3604f3115f3p-3, 0x1.2df18e7a5a6ccp-3, 0x1.2c16f3bee627p-3, 0x1.29b1a9ac3a29fp-3, 0x1.26ccd6eb12fc3p-3, 0x1.2373969f25309p-3, 0x1.1fb0ef7777af2p-3, 0x1.1b8f81b0cd457p-3, 0x1.17194032d19c5p-3, 0x1.12576f65b54e8p-3, 0x1.0d52d65953becp-3, 0x1.0813eff832b34p-3, 0x1.02a2f5aa2dap-3, 0x1.fa11a631b3395p-4, 0x1.ee954772d1cdbp-4, 0x1.e2df08558b167p-4, 0x1.d6fad96734027p-4, 0x1.caf3aff674cf8p-4, 0x1.bed38689bcb13p-4, 0x1.b2a35ec70aabep-4, 0x1.a66b47249325ep-4, 0x1.9a3267c4aab4fp-4, 0x1.8dff10f1e891ep-4, 0x1.81d6cbc21649bp-4, 0x1.75be5eede4899p-4, 0x1.69b9d49c585cap-4, 0x1.5dcc7eb2cb726p-4, 0x1.51f900376633bp-4, 0x1.4641601d4fdbap-4, 0x1.3aa718f8d06ecp-4, 0x1.2f2b2a4e41aa3p-4, 0x1.23ce256361fb8p-4, 0x1.1890354ae2963p-4, 0x1.0d7123a4b3a4cp-4, 0x1.02705ee316833p-4, 0x1.ef1a0093c2405p-5, 0x1.d98ba7911335dp-5, 0x1.c432cd86dap-5, 0x1.af0c2db9ed69cp-5, 0x1.9a1441b49ac58p-5, 0x1.85475a588774ap-5, 0x1.70a1b2243787bp-5, 0x1.5c1f766ca6f03p-5, 0x1.47bcc902f86efp-5, 0x1.3375c1f17e55bp-5, 0x1.1f4675cb70605p-5, 0x1.0b2afc6ecc288p-5, 0x1.ee3ef7343faccp-6, 0x1.c6406a487369bp-6, 0x1.9e532a0ab6b91p-6, 0x1.76707ace7f921p-6, 0x1.4e922150e0543p-6, 0x1.26b26e829b7a4p-6, 0x1.fd9893186ef19p-7, 0x1.adb6725542fa5p-7, 0x1.5db6c78392c9p-7, 0x1.0d931ca220782p-7, 0x1.7b25acc9efb91p-8, 0x1.b4954139273f1p-9, 0x1.c85cfa4e260b9p-11, -0x1.a270f22726df1p-10, -0x1.0aaf616fd9d9bp-8, -0x1.ad2dceb8f0a88p-8, -0x1.280a93e74707fp-7, -0x1.79b067d9bf82ep-7, -0x1.cb84fc279d875p-7, -0x1.0ec1eea7fb16ap-6, -0x1.37d3cd14f88e7p-6, -0x1.60f4e69a1f8c4p-6, -0x1.8a2191f38098fp-6, -0x1.b355b2e4f6eb1p-6, -0x1.dc8cbd4f902cep-6, -0x1.02e0dbe802345p-5, -0x1.17779f5121ddcp-5, -0x1.2c07c3dd79737p-5, -0x1.408e33f6e7c23p-5, -0x1.5507ac5a693a1p-5, -0x1.6970bf51ce02cp-5, -0x1.7dc5d8e3f0498p-5, -0x1.92034398d3faep-5, -0x1.a6252d319bf78p-5, -0x1.ba27ab6e3546ep-5, -0x1.ce06c0e0ecb51p-5, -0x1.e1be6180bace7p-5, -0x1.f54a76fd1348bp-5, -0x1.0453727cdce6bp-4, -0x1.0de7c657523bdp-4, -0x1.176027feee24cp-4, -0x1.20ba8a4b7a274p-4, -0x1.29f4e36aef5c8p-4, -0x1.330d2df27907ep-4, -0x1.3c0169db4a76fp-4, -0x1.44cf9d8cbc0aap-4, -0x1.4d75d6ce0bffcp-4, -0x1.55f22b8fdbf46p-4, -0x1.5e42ba9f808c8p-4, -0x1.6665ac654845bp-4, -0x1.6e5933b609412p-4, -0x1.761b8e8ac1582p-4, -0x1.7dab06a44e9dp-4, -0x1.8505f23e9fdc3p-4, -0x1.8c2ab4d0b09afp-4, -0x1.9317bfc9c619ap-4, -0x1.99cb93518acfcp-4, -0x1.a044bf0134855p-4, -0x1.a681e28b7529ap-4, -0x1.ac81ae669fac1p-4, -0x1.b242e479c41b7p-4, -0x1.b7c458c9f6589p-4, -0x1.bd04f22aaff3bp-4, -0x1.c203aada444d5p-4, -0x1.c6bf9101e8971p-4, -0x1.cb37c72aa2b08p-4, -0x1.cf6b84affc458p-4, -0x1.d35a16247e197p-4, -0x1.d702dd9be9596p-4, -0x1.da6552dbe4277p-4, -0x1.dd81037650b0bp-4, -0x1.e05592cd14befp-4, -0x1.e2e2b9feef434p-4, -0x1.e52847c31fd37p-4, -0x1.e7262038871a9p-4, -0x1.e8dc3ca0db4f2p-4, -0x1.ea4aab0549a1p-4, -0x1.eb718dcdf5c99p-4, -0x1.ec511b5505a24p-4, -0x1.ece99d75dc5dep-4, -0x1.ed3b71156bfb8p-4, -0x1.ed4705a41818p-4, -0x1.ed0cdc9b3117cp-4, -0x1.ec8d88f5f44dp-4, -0x1.ebc9aea9843c6p-4, -0x1.eac2022513a0dp-4, -0x1.e97747d820111p-4, -0x1.e7ea53b32f07ap-4, -0x1.e61c08a252d2dp-4, -0x1.e40d5809adb1p-4, -0x1.e1bf414952cf5p-4, -0x1.df32d144329d3p-4, -0x1.dc6921e26e358p-4, -0x1.d963598f0ad34p-4, -0x1.d622aab623f05p-4, -0x1.d2a85347f3e16p-4, -0x1.cef59c3c676cap-4, -0x1.cb0bd90fde78bp-4, -0x1.c6eceb170e51ap-4, -0x1.c298c3c1d0f7ap-4, -0x1.be11c5a02e31dp-4, -0x1.b9596a88ddcc3p-4, -0x1.b47133f0add51p-4, -0x1.af5aaa52fa15ap-4, -0x1.aa175c993b52ep-4, -0x1.a4a8df81ce01cp-4, -0x1.9f10cd0530ac5p-4, -0x1.9950c3b84c78bp-4, -0x1.936a662c19172p-4, -0x1.8d5f5a50bdd7dp-4, -0x1.873148e08139ap-4, -0x1.80e1dcccd64fep-4, -0x1.7a72c2a6926f5p-4, -0x1.73e5a803015b2p-4, -0x1.6d3c3ae3a7e46p-4, -0x1.667829251a2ep-4, -0x1.5f9b1ff524ebp-4, -0x1.58a6cb4d67f18p-4, -0x1.519cd570590fbp-4, -0x1.4a7ee66939c1ap-4, -0x1.434ea3904cce2p-4, -0x1.3c0daf14020b4p-4, -0x1.34bda78768dd2p-4, -0x1.2d602775e7ad3p-4, -0x1.25f6c4fc19e98p-4, -0x1.1e8311651fb4bp-4, -0x1.170698cb69dcp-4, -0x1.0f82e1bd3fa64p-4, -0x1.07f96ce77c615p-4, -0x1.006bb4c855757p-4, -0x1.f1b65acfde06dp-5, -0x1.e29288265c07cp-5, -0x1.d36ebe2fa0c49p-5, -0x1.c44dbb065bd22p-5, -0x1.b5322dcb816f1p-5, -0x1.a61eb6398e0b8p-5, -0x1.9715e442dbeb9p-5, -0x1.881a37b7be1c5p-5, -0x1.792e1ff24afcfp-5, -0x1.6a53fb885bb4dp-5, -0x1.5b8e1804e98b8p-5, -0x1.4cdeb1a957a1dp-5, -0x1.3e47f3364c29p-5, -0x1.2fcbf5bb8e775p-5, -0x1.216cc06e568e6p-5, -0x1.132c488547fc5p-5, -0x1.050c711a0b138p-5, -0x1.ee1e162412832p-6, -0x1.d26baa20a379cp-6, -0x1.b704f6e159b88p-6, -0x1.9bed309269298p-6, -0x1.812766dfb94abp-6, -0x1.66b68506a42f9p-6, -0x1.4c9d51f089c0fp-6, -0x1.32de7059ae956p-6, -0x1.197c5f065ab39p-6, -0x1.0079790588531p-6, -0x1.cfafebfda165p-7, -0x1.9f33d512d900fp-7, -0x1.6f82911699426p-7, -0x1.409fbf40f5567p-7, -0x1.128ebb156096p-7, -0x1.caa53aa484762p-8, -0x1.71dc79df7352fp-8, -0x1.1ac86056e2c0ap-8, -0x1.8adb367ec35f2p-9, -0x1.c7416b2a359b7p-10, -0x1.ff454860fbf75p-12, 0x1.8119d13a9281ep-11, 0x1.f9ce25989dd7p-10, 0x1.95f4888908714p-9, 0x1.15b58602421f7p-8, 0x1.5ea3d7571571dp-8, 0x1.a5c42bb16efb3p-8, 0x1.eb15de6a2687cp-8, 0x1.174c57f50ee1cp-7, 0x1.38266161ab735p-7, 0x1.58194c6055e87p-7, 0x1.772587f78dc94p-7, 0x1.954bafd1e1d4dp-7, 0x1.b28c8ac05727dp-7, 0x1.cee9093d2c4b5p-7, 0x1.ea6243eefe7ecp-7, 0x1.027cbd16c0c25p-6, 0x1.0f580843f960fp-6, 0x1.1bc3c7a657d89p-6, 0x1.27c0d088b9e79p-6, 0x1.3350089e417cbp-6, 0x1.3e72654819e3bp-6, 0x1.4928eadd46615p-6, 0x1.5374abf51c168p-6, 0x1.5d56c8b44dd6cp-6, 0x1.66d06e1c74207p-6, 0x1.6fe2d55dc1b2ep-6, 0x1.788f432aac76ep-6, 0x1.80d7070dccdf7p-6, 0x1.88bb7ac230fa5p-6, 0x1.903e018eabb5ap-6, 0x1.976007a43de75p-6, 0x1.9e23018010b7fp-6, 0x1.a4886b50f4112p-6, 0x1.aa91c86064958p-6, 0x1.b040a27eb96d7p-6, 0x1.b596897211c3ep-6, 0x1.ba951267f7656p-6, 0x1.bf3dd76a1a6c9p-6, 0x1.c39276d6cee09p-6, 0x1.c79492dd94be1p-6, 0x1.cb45d0ffa146cp-6, 0x1.cea7d993f57a9p-6, 0x1.d1bc574f1a5cp-6, 0x1.d484f6ce445eep-6, 0x1.d7036625d372ep-6, 0x1.d93954731d5eep-6, 0x1.db287171b4622p-6, 0x1.dcd26d142a1cfp-6, 0x1.de38f7205b69dp-6, 0x1.df5dbecf4960cp-6, 0x1.e042727047399p-6, 0x1.e0e8bf0fb3eeep-6, 0x1.e152502120adfp-6, 0x1.e180cf2d2bd72p-6, 0x1.e175e382b2465p-6, 0x1.e13331eb39535p-6, 0x1.e0ba5c6285952p-6, 0x1.e00d01d1802dep-6, 0x1.df2cbdcc617a8p-6, 0x1.de1b2853f9099p-6, 0x1.dcd9d599d925p-6, 0x1.db6a55c7967dcp-6, 0x1.d9ce34c937699p-6, 0x1.d806fa1a97983p-6, 0x1.d6162897d28acp-6, 0x1.d3fd3e507f52dp-6, 0x1.d1bdb45decbeap-6, 0x1.cf58febc4ba73p-6, 0x1.ccd08c2698396p-6, 0x1.ca25c5f53861cp-6, 0x1.c75a0fff43636p-6, 0x1.c46ec87e783afp-6, 0x1.c16547f58fc5ep-6, 0x1.be3ee118d373ep-6, 0x1.bafce0b8e4cf8p-6, 0x1.b7a08daffc3b8p-6, 0x1.b42b28d19f9a1p-6, 0x1.b09decdcb9a3fp-6, 0x1.acfa0e7007626p-6, 0x1.a940bc00e0045p-6, 0x1.a5731dd43b9cep-6, 0x1.a19255f9badf2p-6, 0x1.9d9f804887068p-6, 0x1.999bb25de8d8bp-6, 0x1.9587fb9da90d9p-6, 0x1.916565341bda4p-6, 0x1.8d34f219b0378p-6, 0x1.88f79f183f681p-6, 0x1.84ae62d1ece48p-6, 0x1.805a2dc99db7p-6, 0x1.7bfbea6cbf7f4p-6, 0x1.77947d1e467e7p-6, 0x1.7324c442f92f2p-6, 0x1.6ead984ef2e51p-6, 0x1.6a2fcbd426913p-6, 0x1.65ac2b91d4ffbp-6, 0x1.61237e84c4996p-6, 0x1.5c9685f85dd7fp-6, 0x1.5805fd988c0ebp-6, 0x1.53729b844e1ecp-6, 0x1.4edd1060be18p-6, 0x1.4a46076cb896ap-6, 0x1.45ae269509d3cp-6, 0x1.41160e8909312p-6, 0x1.3c7e5acf7c8b4p-6, 0x1.37e7a1db99cd8p-6, 0x1.33335bdb84963p-6, 0x1.2e98ae94bff23p-6, 0x1.2a00b611a8969p-6, 0x1.256bfa826011ep-6, 0x1.20daff4899befp-6, 0x1.1c4e4307edf7dp-6, 0x1.17c63fb619951p-6, 0x1.13436aab5121p-6, 0x1.0ec634b2b3b4ep-6, 0x1.0a4f0a1b42d62p-6, 0x1.05de52c930e0bp-6, 0x1.017472479f548p-6, 0x1.fa238fb55c1eep-7, 0x1.f16d5d234217bp-7, 0x1.e8c6fab2810e9p-7, 0x1.e0310e1cbce8fp-7, 0x1.d7ac35212cab2p-7, 0x1.cf3905aa662bdp-7, 0x1.c6d80df4a709fp-7, 0x1.be89d4b44d7b5p-7, 0x1.b64ed93c79ecdp-7, 0x1.ae2793a5e1e37p-7, 0x1.a61474f5fe592p-7, 0x1.9e15e74672647p-7, 0x1.962c4decc4e97p-7, 0x1.8e5805a1ebd91p-7, 0x1.869964a9a08d5p-7, 0x1.7ef0baf95ce37p-7, 0x1.775e525f6edafp-7, 0x1.6fe26eaa67af3p-7, 0x1.687d4dd0d14f4p-7, 0x1.612f2818c20f3p-7, 0x1.59f8303ee2341p-7, 0x1.52d8939c9b941p-7, 0x1.4bd07a4db4082p-7, 0x1.44e00755ca2bep-7, 0x1.3e0758c5e3b4cp-7, 0x1.374687e22d533p-7, 0x1.309da9476d2c7p-7, 0x1.2a0ccd1010d74p-7, 0x1.2393fef88006fp-7, 0x1.1d334682cc182p-7, 0x1.16eaa719eb169p-7, 0x1.10ba20344d64bp-7, 0x1.0aa1ad7631f19p-7, 0x1.04a146d38baccp-7, 0x1.fd71c162db998p-8, 0x1.f1d0d80ecb048p-8, 0x1.e65fad0030b0fp-8, 0x1.db1e1533c062cp-8, 0x1.d00bdf8d3c498p-8, 0x1.c528d5165b56ep-8, 0x1.ba74b93d174e8p-8, 0x1.afef4a11aa0dp-8, 0x1.a59840838fbb9p-8, 0x1.9b6f509ebbae5p-8, 0x1.917429c780d62p-8, 0x1.87a676f5af416p-8, 0x1.7e05deee858edp-8, 0x1.7492047dadc6fp-8, 0x1.6b4a86adfae01p-8, 0x1.622f0101fc51cp-8, 0x1.593f0bac6b189p-8, 0x1.507a3bc815877p-8, 0x1.47e0238e7051ap-8, 0x1.3f70528ce3531p-8, 0x1.372a55d8853dbp-8, 0x1.2f0db840c9a0cp-8, 0x1.271a028163b56p-8, 0x1.1f4ebb73cf619p-8, 0x1.17ab684062e26p-8, 0x1.102f8c8e768e8p-8, 0x1.08daaab385fadp-8, 0x1.01ac43e092fc2p-8, 0x1.f547b09b9118ap-9, 0x1.e781cec86aa9ap-9, 0x1.da05dfcaded5p-9, 0x1.ccd2e02313e4bp-9, 0x1.bfe7cb961d6b5p-9, 0x1.b3439d72cb88dp-9, 0x1.a6e550d2da70bp-9, 0x1.9acbe0d994eb5p-9, 0x1.8ef648ef444ecp-9, 0x1.836384f92792dp-9, 0x1.7812918da72f5p-9, 0x1.6d026c23a34a1p-9, 0x1.6232133c31a12p-9, 0x1.57a0868945a41p-9, 0x1.4d4cc70e4fd07p-9, 0x1.4335d73f472bfp-9, 0x1.395abb1b44f5cp-9, 0x1.2fba7846548edp-9, 0x1.2654161fd0ad7p-9, 0x1.1d269dd69e80cp-9, 0x1.14311a7a0b846p-9, 0x1.0b729907f385ap-9, 0x1.02ea2877ddc94p-9, 0x1.f52db38662d3bp-10, 0x1.e4ef7fd7faf4ep-10, 0x1.d517e0059d112p-10, 0x1.c5a50255c9515p-10, 0x1.b695193e859ep-10, 0x1.a7e65b6e296ccp-10, 0x1.999703d35ca26p-10, 0x1.8ba551a38d85bp-10, 0x1.7e0f885f1af9bp-10, 0x1.70d3efd3f2666p-10, 0x1.63f0d41db2a02p-10, 0x1.576485a68e36p-10, 0x1.4b2d5927ae85dp-10, 0x1.3f49a7aa8a025p-10, 0x1.33b7ce8af55fap-10, 0x1.28762f7ab14dp-10, 0x1.1d833085f8e3bp-10, 0x1.12dd3c1a2da4bp-10, 0x1.0882c10e3f106p-10, 0x1.fce46558539ep-11, 0x1.e95411769c3b9p-11, 0x1.d6517f1536adfp-11, 0x1.c3d9aff38c0fp-11, 0x1.b1e9af03ca048p-11, 0x1.a07e90785058ep-11, 0x1.8f9571d0f0a4ap-11, 0x1.7f2b79e60f0ebp-11, 0x1.6f3dd8f52f9ep-11, 0x1.5fc9c8adfb569p-11, 0x1.50cc8c4279383p-11, 0x1.42437076e91dp-11, 0x1.342bcbb2fb658p-11, 0x1.2682fe170c241p-11, 0x1.1946718994fd3p-11, 0x1.0c7399c9a7f5fp-11, 0x1.0007f476ec16p-11, 0x1.e802123f666d9p-12, 0x1.d0b8d282e6c46p-12, 0x1.ba2f609dfff1dp-12, 0x1.a4610763b7d54p-12, 0x1.8f49258eaf24bp-12, 0x1.7ae32dbf3b08fp-12, 0x1.672aa6748a83bp-12, 0x1.541b2a06d17ddp-12, 0x1.41b0669a673e5p-12, 0x1.2fe61e1997669p-12, 0x1.1eb826237cbcbp-12, 0x1.0e2267fbad615p-12, 0x1.fc41c0ea18f48p-13, 0x1.dd5f3fae41fbp-13, 0x1.bf959380da26ap-13, 0x1.a2dd2a09605d2p-13, 0x1.872e9714feb84p-13, 0x1.6c82944c59f16p-13, 0x1.52d200eba142cp-13, 0x1.3a15e168bb066p-13, 0x1.22475f1fb49cdp-13, 0x1.0b5fc7f301557p-13, 0x1.eab11bcf0f5c7p-14, 0x1.c0568d7bbc003p-14, 0x1.97a3570e91ccfp-14, 0x1.708b306d0360ep-14, 0x1.4b0216653a11cp-14, 0x1.26fc49ba34e23p-14, 0x1.046e4e4172d0cp-14, 0x1.c699d3f05a173p-15, 0x1.871a48403553cp-15, 0x1.4a4888c2fcb6fp-15, 0x1.100fa3e45b11ap-15, 0x1.b0b64afe5e538p-16, 0x1.462e2a36e7588p-16, 0x1.c0bfd0ae9cddep-17, 0x1.fc95e183a9761p-18, 0x1.12cdcc9e7e63ap-19, -0x1.b13c6646b6ac2p-19, -0x1.15035e6b5b555p-17, -0x1.b5ae45290d2cdp-17, -0x1.2749804b3527dp-16, -0x1.6ff98a4844481p-16, -0x1.b5072f763806cp-16, -0x1.f6918f814ea9ep-16, -0x1.1a5b7f2e3d46ep-15, -0x1.37ca840ccd867p-15, -0x1.53a43a0d08ac5p-15, -0x1.6df6a416abb28p-15, -0x1.86cf661998ae8p-15, -0x1.9e3bc699e4e53p-15, -0x1.b448b07af19c7p-15, -0x1.c902b49e370f1p-15, -0x1.dc760beaf5711p-15, -0x1.eeae99023907ep-15, -0x1.ffb7ea2e3f884p-15, -0x1.07ce9da294bf2p-14, -0x1.0f34bbc050438p-14, -0x1.16139db495e79p-14, -0x1.1c706b4b8cec9p-14, -0x1.225026bb64659p-14, -0x1.27b7ad75c6888p-14, -0x1.2cabb8e48991bp-14, -0x1.3130df31063bdp-14, -0x1.354b93e6eb159p-14, -0x1.390028a433505p-14, -0x1.3c52cdc5593e1p-14, -0x1.3f47931815c63p-14, -0x1.41e26895aa74p-14, -0x1.44271f26d28e8p-14, -0x1.46196967e1f1ep-14, -0x1.47bcdc6f69e7cp-14, -0x1.4914f0917700cp-14, -0x1.4a250212e66a4p-14, -0x1.4af051ee76884p-14, -0x1.4b7a067e9b732p-14, -0x1.4bc52c2aeba19p-14, -0x1.4bd4b611f9fbfp-14, -0x1.4bab7eab92c6bp-14, -0x1.4b4c4861898a5p-14, -0x1.4ab9be2c1d2cep-14, -0x1.49f6741199056p-14, -0x1.4904e7c1baf47p-14, -0x1.47e7810b303b3p-14, -0x1.46a092709416cp-14, -0x1.453259b7c5ffdp-14, -0x1.439f00661aeb2p-14, -0x1.41e89c5e42e5p-14, -0x1.401130612a146p-14, -0x1.3e1aac85783d4p-14, -0x1.3c06eec97d647p-14, -0x1.39d7c382480f4p-14, -0x1.378ee5dcd69ecp-14, -0x1.352e0049f4ae2p-14, -0x1.32b6ad10197b8p-14, -0x1.302a76b7fb666p-14, -0x1.2d8ad88880b2bp-14, -0x1.2ad93f01adc97p-14, -0x1.28170844e3362p-14, -0x1.25458492b4144p-14, -0x1.2265f6acfbf86p-14, -0x1.1f799440c868cp-14, -0x1.1c81864f204d9p-14, -0x1.197ee98a237a3p-14, -0x1.1672cebc52965p-14, -0x1.135e3b1effd37p-14, -0x1.104228b339329p-14, -0x1.0d1f868efd8dep-14, -0x1.09f73932ce1b2p-14, -0x1.06ca1acd207ffp-14, -0x1.0398fb86cc143p-14, -0x1.0064a1ccd566bp-14, -0x1.fa5b953cd2836p-15, -0x1.f3ea53b949b34p-15, -0x1.ed76d53a5eedap-15, -0x1.e7025effde309p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.0ec72775a2b7cp-4, 0x1.29cb0db75f43cp-4, 0x1.448db5a131afcp-4, 0x1.5ef93ca2cb7bap-4, 0x1.78f7d18e1747bp-4, 0x1.927470d31b6eap-4, 0x1.ab5b1fc20b315p-4, 0x1.c399aefb51c11p-4, 0x1.db1f6027f47f5p-4, 0x1.f1ddb18f5e6d2p-4, 0x1.03e41fe762d3ep-3, 0x1.0e6a2601a4182p-3, 0x1.187ccb3615aabp-3, 0x1.2218ccd2d02bdp-3, 0x1.2b3bda11decb7p-3, 0x1.33e47d3230d76p-3, 0x1.3c120ba5fd3f1p-3, 0x1.43c49287820bbp-3, 0x1.4afcbfe0695edp-3, 0x1.51bbd43cdc526p-3, 0x1.5803907cb642bp-3, 0x1.5dd621c7b22cdp-3, 0x1.63360eb31d26cp-3, 0x1.68262cb543d96p-3, 0x1.6ca99641eaff7p-3, 0x1.70c39c3120064p-3, 0x1.7477b6b4c015p-3, 0x1.77c97bab754e9p-3, 0x1.7abc9553920dcp-3, 0x1.7d54bcb4411bfp-3, 0x1.7f95b53d23f82p-3, 0x1.818347b664ff4p-3, 0x1.83213a4737282p-3, 0x1.84734541dced1p-3, 0x1.857d03645c207p-3, 0x1.86421560c5af3p-3, 0x1.86c6002c8debep-3, 0x1.870c31fa814c1p-3, 0x1.8717ffa4b868cp-3, 0x1.86eca2d62848ep-3, 0x1.868d39519a8a3p-3, 0x1.85fcc32965a9ep-3, 0x1.853e2245db8f4p-3, 0x1.845418ab79dd6p-3, 0x1.8341494d6b367p-3, 0x1.820837625bbcbp-3, 0x1.80ab4678fe192p-3, 0x1.7f2cbac7a4835p-3, 0x1.7d8eb8cfb47a3p-3, 0x1.7bd3466c7a738p-3, 0x1.79fc4c27fcf1ep-3, 0x1.780b9542cda1p-3, 0x1.7602d07af56fcp-3, 0x1.73e39079bc144p-3, 0x1.71af4c6cbc66cp-3, 0x1.6f676166483b2p-3, 0x1.6d0d144cc7693p-3, 0x1.6aa19316ae084p-3, 0x1.6825f5718beb1p-3, 0x1.659b3db370b21p-3, 0x1.6302597356626p-3, 0x1.605c227ae0f2bp-3, 0x1.5da9602890d2p-3, 0x1.5aeac8f9f95bap-3, 0x1.5821041d8ad5cp-3, 0x1.554caa52b5ff4p-3, 0x1.526e46a9070cdp-3, 0x1.4f8657493dacap-3, 0x1.4c954e1d94c56p-3, 0x1.499b91c3a0cc3p-3, 0x1.46997ebfe11ep-3, 0x1.438f68bad5dcap-3, 0x1.407d9bb451f2cp-3, 0x1.3d645d0139586p-3, 0x1.3a43ebda43f5fp-3, 0x1.371c81d0a8c67p-3, 0x1.33ee5331f202ap-3, 0x1.30b9157294a88p-3, 0x1.2d7de4456306ep-3, 0x1.2a3c70efba613p-3, 0x1.26f4e104de0cbp-3, 0x1.23a757de81d02p-3, 0x1.2053f711df74cp-3, 0x1.1cfadedd4d08ep-3, 0x1.199c2e94160dp-3, 0x1.1638050331ae4p-3, 0x1.12ce80c59a8b4p-3, 0x1.0f5fc0945bd7bp-3, 0x1.0bebe394003cp-3, 0x1.08730997baad8p-3, 0x1.04f5535b511ffp-3, 0x1.0172e2b5fa425p-3, 0x1.fbd7b58fca64dp-4, 0x1.f4c0c04548aa5p-4, 0x1.eda131ced3ccdp-4, 0x1.e67959c47b324p-4, 0x1.df498b5298f17p-4, 0x1.d8121d61fab17p-4, 0x1.d0d36aaafc4a6p-4, 0x1.c98dd1cc6835bp-4, 0x1.c241b560564d6p-4, 0x1.baef7c04182dp-4, 0x1.b39790553db1ap-4, 0x1.ac3a60e88b9a2p-4, 0x1.a4d8603cfcd8dp-4, 0x1.9d7204a4b7ea7p-4, 0x1.9607c823d9f09p-4, 0x1.8e9a284e2933fp-4, 0x1.8729a62464145p-4, 0x1.7fb6c5edd5c4ep-4, 0x1.78420f09afd7ap-4, 0x1.70cc0bb9ad345p-4, 0x1.695548eda2068p-4, 0x1.61de56115e767p-4, 0x1.5a67c4d90b038p-4, 0x1.52f2290c6487bp-4, 0x1.4b7e185298acfp-4, 0x1.440c29fb8884bp-4, 0x1.3c9cf6c71eb7ap-4, 0x1.353118af8e361p-4, 0x1.2dc92ab5964afp-4, 0x1.2665c8aa8f28ep-4, 0x1.1f078ef804e31p-4, 0x1.17af1a67d873cp-4, 0x1.105d07edcfe89p-4, 0x1.0911f46fcefbep-4, 0x1.01ce7c8c56a5p-4, 0x1.f52678c5cb9a3p-5, 0x1.e6c19ebfb8338p-5, 0x1.d86fa0111056p-5, 0x1.ca31af8b1511cp-5, 0x1.bc08fd5d93b04p-5, 0x1.adf6b6b586a27p-5, 0x1.9ffc055f5b2a8p-5, 0x1.921a0f693273bp-5, 0x1.8451f6c5ae586p-5, 0x1.76a4d8f0d1ca9p-5, 0x1.6913ce97402b5p-5, 0x1.5b9feb400c1dap-5, 0x1.4e4a3cfaeb31ap-5, 0x1.4113cc1423582p-5, 0x1.33fd9acb158a8p-5, 0x1.2708a508967cap-5, 0x1.1a35e018f9106p-5, 0x1.0d863a6e382e9p-5, 0x1.00fa9b6990cd8p-5, 0x1.e927c652d549bp-6, 0x1.d0a5d4b3724b5p-6, 0x1.b871040f02ec6p-6, 0x1.a08ae6f0ace3cp-6, 0x1.88f5000ca00b7p-6, 0x1.71b0c200f3618p-6, 0x1.5abf8f1d6d373p-6, 0x1.4422b92e2cd72p-6, 0x1.2ddb8149c74cp-6, 0x1.17eb17a674a1bp-6, 0x1.02529b786ac29p-6, 0x1.da2635b0907f1p-7, 0x1.b05b255ecea31p-7, 0x1.8745dd514b105p-7, 0x1.5ee8124dfffb7p-7, 0x1.374356888b4e6p-7, 0x1.105919aea1cc3p-7, 0x1.d45551ffecf29p-8, 0x1.89725ede3b0c2p-8, 0x1.400a56fa63fc1p-8, 0x1.f04237e2208b6p-9, 0x1.636e7df0b3965p-9, 0x1.b33821c3fdfebp-10, 0x1.4b33f4c42922ap-11, -0x1.87e99bd4c4211p-12, -0x1.6382f16b3a2a6p-10, -0x1.2f7f49990379ep-9, -0x1.aa369aeb55378p-9, -0x1.10f3ee949f5d3p-8, -0x1.4b49fd33bf125p-8, -0x1.841e2a0793d7bp-8, -0x1.bb71604119e09p-8, -0x1.f144c45c1f45fp-8, -0x1.12ccd973b5579p-7, -0x1.2c38dfa0a5c21p-7, -0x1.44e759219b97ap-7, -0x1.5cd9446ee6f73p-7, -0x1.740fb955a27acp-7, -0x1.8a8be83e149c3p-7, -0x1.a04f1970a8643p-7, -0x1.b55aac5833148p-7, -0x1.c9b016c1954aep-7, -0x1.dd50e418c10c3p-7, -0x1.f03eb4a2dceffp-7, -0x1.013d9e5b87f2dp-6, -0x1.0a0421fae9327p-6, -0x1.1273d23fc2378p-6, -0x1.1a8da514f01e6p-6, -0x1.225298da0c2bap-6, -0x1.29c3b3fce7118p-6, -0x1.30e2049360654p-6, -0x1.37ae9ff67e411p-6, -0x1.3e2aa25ecab5p-6, -0x1.44572e8151a91p-6, -0x1.4a356d2cb76p-6, -0x1.4fc68ce646883p-6, -0x1.550bc1877fc75p-6, -0x1.5a0643dcb1dc6p-6, -0x1.5eb7514512abdp-6, -0x1.63202b545f8c5p-6, -0x1.67421775ee4eep-6, -0x1.6b1e5e917a4d4p-6, -0x1.6eb64cb0d40fcp-6, -0x1.720b30a72f6adp-6, -0x1.751e5bba54582p-6, -0x1.77f1214cd594dp-6, -0x1.7a84d68a6516ap-6, -0x1.7cdad21623dd2p-6, -0x1.7ef46bb9d675bp-6, -0x1.80d2fc17412fcp-6, -0x1.8277dc5bbc323p-6, -0x1.83e465f5df11ap-6, -0x1.8519f24d882a8p-6, -0x1.8619da7e2d72ep-6, -0x1.86e57712d6534p-6, -0x1.877e1fc3d456ep-6, -0x1.87e52b3694118p-6, -0x1.881beebf6fb6bp-6, -0x1.8823be25bbad6p-6, -0x1.87fdeb6a14297p-6, -0x1.87abc68f00341p-6, -0x1.872e9d63a4777p-6, -0x1.8687bb509d07bp-6, -0x1.85b8692714acbp-6, -0x1.84c1ecf1f67e9p-6, -0x1.83a589c9180cfp-6, -0x1.82647fa66cf54p-6, -0x1.81000b3d92036p-6, -0x1.7f7965d4fb046p-6, -0x1.7dd1c520da834p-6, -0x1.7c0a5b20d9653p-6, -0x1.7a24560029953p-6, -0x1.7820dff6ab1fep-6, -0x1.76011f2c205efp-6, -0x1.73c6359e1fb8ap-6, -0x1.7171410752eacp-6, -0x1.6f035ac7abeccp-6, -0x1.6c7d97cf41941p-6, -0x1.69e1088b43badp-6, -0x1.672eb8d433cc4p-6, -0x1.6467afdd84e73p-6, -0x1.618cf027813f1p-6, -0x1.5e9f7772d9ec9p-6, -0x1.5ba03eb51fa9cp-6, -0x1.58903a0f3df34p-6, -0x1.557058c5370b8p-6, -0x1.524185376c2aap-6, -0x1.4f04a4dcf81f2p-6, -0x1.4bba983f9bbbcp-6, -0x1.48643af90c3acp-6, -0x1.450263b1508c6p-6, -0x1.4195e41eb77c6p-6, -0x1.3e1f8906ba48cp-6, -0x1.3aa01a3fc76f7p-6, -0x1.37185ab44cf5bp-6, -0x1.33890867233b5p-6, -0x1.2ff2dc78abf31p-6, -0x1.2c568b2c44d7fp-6, -0x1.28b4c3ef1dbf5p-6, -0x1.250e3160a1e15p-6, -0x1.2163795b61342p-6, -0x1.1db53cfde77a6p-6, -0x1.1a0418b47805bp-6, -0x1.1650a4445a91fp-6, -0x1.129b72d7effaap-6, -0x1.0ee5130aa1a3cp-6, -0x1.0b2e0ef4fbcfbp-6, -0x1.0776ec3a0c5cp-6, -0x1.03c02c15bed0fp-6, -0x1.000a4b6b56b49p-6, -0x1.f8ab85a7783e1p-7, -0x1.f1460d58b82cdp-7, -0x1.e9e50e4e668d5p-7, -0x1.e28960b5c2577p-7, -0x1.db33d4a58a2b4p-7, -0x1.d3e5323ec8b6fp-7, -0x1.cc9e39ce932e5p-7, -0x1.c55fa3f047d4bp-7, -0x1.be2a21b02f0abp-7, -0x1.b6fe5cae69c42p-7, -0x1.afdcf74294229p-7, -0x1.a8c68c9e9a95ep-7, -0x1.a1bbb0f263807p-7, -0x1.9abcf19082d95p-7, -0x1.93cad51301833p-7, -0x1.8ce5db7f653b6p-7, -0x1.860e7e69cab0bp-7, -0x1.7f453119028f2p-7, -0x1.788a60abfc17ap-7, -0x1.71de743ef1cb8p-7, -0x1.6b41cd0f6e8b3p-7, -0x1.64b4c69f55612p-7, -0x1.5e37b6d87baabp-7, -0x1.57caee3155b15p-7, -0x1.516eb7d19f0a6p-7, -0x1.4b2359b5dcd3bp-7, -0x1.44e914d1c35cep-7, -0x1.3ec025329ec5ep-7, -0x1.38a8c22244f96p-7, -0x1.32a31e4a16027p-7, -0x1.2caf67d56bfc1p-7, -0x1.26cdc893031f5p-7, -0x1.20fe6615e3934p-7, -0x1.1b4161d63dba3p-7, -0x1.1596d95245caep-7, -0x1.0ffee62f0c754p-7, -0x1.0a799e585b76ep-7, -0x1.0507141f8128ap-7, -0x1.ff4eacb3ccd8ap-8, -0x1.f4b4e0fea75d4p-8, -0x1.ea40d59050cb6p-8, -0x1.dff29496aa1eep-8, -0x1.d5ca22372a28bp-8, -0x1.cbc77cc7205a3p-8, -0x1.c1ea9d027c6a9p-8, -0x1.b833764170b02p-8, -0x1.aea1f6af47009p-8, -0x1.a536078073595p-8, -0x1.9bef8d2761fdap-8, -0x1.92ce6786b88efp-8, -0x1.89d272212765ap-8, -0x1.80fb8448dedefp-8, -0x1.7849714fbf491p-8, -0x1.6fbc08b6ca406p-8, -0x1.6753165c2a5a8p-8, -0x1.5f0e62a6fe041p-8, -0x1.56edb2b16c1d5p-8, -0x1.4ef0c871fd679p-8, -0x1.471762e4db7e3p-8, -0x1.3f613e343f844p-8, -0x1.37ce13dffa934p-8, -0x1.305d9ae32f236p-8, -0x1.290f87d8628cdp-8, -0x1.21e38d1c1cad3p-8, -0x1.1ad95aef0df47p-8, -0x1.13dab044f0d05p-8, -0x1.0d11dfae4aca2p-8, -0x1.0669ef9c02b22p-8, -0x1.ffc5134cde57dp-9, -0x1.f2f6aba9316c3p-9, -0x1.e667f572eefc1p-9, -0x1.da183b1ed2fc8p-9, -0x1.ce06c4a64392fp-9, -0x1.c232d7bcc5d5p-9, -0x1.b69bb8047535p-9, -0x1.ab40a73fc43fep-9, -0x1.a020e580a3633p-9, -0x1.953bb1553011bp-9, -0x1.8a9047f3f8f2p-9, -0x1.801de5695af71p-9, -0x1.75e3c4c3b1da9p-9, -0x1.6be1203d3dffap-9, -0x1.621531630d495p-9, -0x1.587f313951d98p-9, -0x1.4f1e585f51cbfp-9, -0x1.45f1df33c5d6ep-9, -0x1.3cf8fdf8a19d8p-9, -0x1.3432ecf4a90f5p-9, -0x1.2b9ee4932bc5fp-9, -0x1.233c1d81e4b26p-9, -0x1.1b09d0ce4acc1p-9, -0x1.130738027eacbp-9, -0x1.0b338d40c49f1p-9, -0x1.038e0b5dcd001p-9, -0x1.f82bdbf3230a2p-10, -0x1.e994e32ff46d8p-10, -0x1.db55a76fc04dp-10, -0x1.cd6ca5d29095ap-10, -0x1.bfd85dc388b59p-10, -0x1.b297511f41b57p-10, -0x1.a5a80457904a3p-10, -0x1.9908fe9669b91p-10, -0x1.8cb8c9e02c3b3p-10, -0x1.80b5f33540bf3p-10, -0x1.74ff0ab1f80ebp-10, -0x1.6992a3ab7a196p-10, -0x1.5e6f54cb2c50cp-10, -0x1.5393b827f1727p-10, -0x1.48fe6b5df9276p-10, -0x1.3eae0fa636b14p-10, -0x1.34a149ea5d00fp-10, -0x1.2ad6c2d71630cp-10, -0x1.214d26ec1c5p-10, -0x1.1803268b3f758p-10, -0x1.0ef77609ccef5p-10, -0x1.0628cdc0c313bp-10, -0x1.fb2bd436a7317p-11, -0x1.ea7b1745a905cp-11, -0x1.da3cee0d0a17bp-11, -0x1.ca6eea44e0033p-11, -0x1.bb0ea60b2116dp-11, -0x1.ac19c3f4aa027p-11, -0x1.9d8def1bae9f1p-11, -0x1.8f68db2e0f771p-11, -0x1.81a84476214bcp-11, -0x1.7449efe013ea1p-11, -0x1.674baafb1e548p-11, -0x1.5aab4bfa09061p-11, -0x1.4e66b1b2d8d3ep-11, -0x1.427bc3a123341p-11, -0x1.36e871e5726abp-11, -0x1.2baab54330162p-11, -0x1.20c08f1aa0ba6p-11, -0x1.1628095feb5e3p-11, -0x1.0bdf368f8833dp-11, -0x1.01e431a283584p-11, -0x1.f06a3c0ced045p-12, -0x1.dda04f2688f68p-12, -0x1.cb670503c0adcp-12, -0x1.b9bad6bc7cc96p-12, -0x1.a8984df3ab68bp-12, -0x1.97fc04b26a146p-12, -0x1.87e2a546699e2p-12, -0x1.7848ea1f0c641p-12, -0x1.692b9da8a3243p-12, -0x1.5a879a2760db7p-12, -0x1.4c59c98db3994p-12, -0x1.3e9f2551374a1p-12, -0x1.3154b63f70363p-12, -0x1.2477945078d5cp-12, -0x1.1804e68304597p-12, -0x1.0bf9e2afa276ep-12, -0x1.0053cd601abdap-12, -0x1.ea1ff33d0677cp-13, -0x1.d4579183d5fa9p-13, -0x1.bf49546e32466p-13, -0x1.aaf036937025cp-13, -0x1.97474deea0984p-13, -0x1.8449cb81b9868p-13, -0x1.71f2fb043982cp-13, -0x1.603e428c3b8p-13, -0x1.4f27222669d4p-13, -0x1.3ea9336c1ea77p-13, -0x1.2ec0290a2a8e4p-13, -0x1.1f67ce512fc95p-13, -0x1.109c06c7958e7p-13, -0x1.0258cdc462234p-13, -0x1.e9346c23c3b95p-14, -0x1.ceb8d32b3a9dap-14, -0x1.b53751fa0ce74p-14, -0x1.9ca896c599de5p-14, -0x1.85057be14003cp-14, -0x1.6e47070534ddp-14, -0x1.5866687b9e2dap-14, -0x1.435cfa5d779afp-14, -0x1.2f243fc37e9fp-14, -0x1.1bb5e4001d151p-14, -0x1.090bb9de1390dp-14, -0x1.ee3f75d01be82p-15, -0x1.cbd80d71f3d24p-15, -0x1.aad5c487ea5cbp-15, -0x1.8b2d6e511d219p-15, -0x1.6cd425fba25a4p-15, -0x1.4fbf4d4c5ccefp-15, -0x1.33e48b5728297p-15, -0x1.1939cb2f89fcdp-15, -0x1.ff6a756cb98a7p-16, -0x1.ce9a929cb053fp-16, -0x1.9ff14d3429032p-16, -0x1.735c823e99cd9p-16, -0x1.48ca89d8721a5p-16, -0x1.202a3467095ecp-16, -0x1.f2d590490983cp-17, -0x1.a8f7fd5ba6d72p-17, -0x1.629c058c4173p-17, -0x1.1fa2dc6a3d50cp-17, -0x1.bfdd1e3105d3ap-18, -0x1.46c3fec1abf0fp-18, -0x1.a7837c6a47834p-19, -0x1.9a7d56b4c8a13p-20, 0x1.b16b39515d0ccp-27, 0x1.8b696d57c52edp-20, 0x1.7f302ea36997cp-19, 0x1.1742f191ed166p-18, 0x1.6a0a848a48fd5p-18, 0x1.b81d05a135bcbp-18, 0x1.00d3a666c5467p-17, 0x1.236a6eacd4ddp-17, 0x1.43e7f7ad87c15p-17, 0x1.6260bc08ac999p-17, 0x1.7ee899273754ep-17, 0x1.9992d35688a4fp-17, 0x1.b27219c38fea2p-17, 0x1.c99889b2479e9p-17, 0x1.df17b1f5c47c5p-17, 0x1.f300960728c58p-17, 0x1.02b1d8ae681a6p-16, 0x1.0b287d049c132p-16, 0x1.12ebf211f5056p-16, 0x1.1a03b2732910bp-16, 0x1.2076fb04b53fep-16, 0x1.264ccc9c5f795p-16, 0x1.2b8beda7410dfp-16, 0x1.303aebf04ec4ap-16, 0x1.34601e37da3cp-16, 0x1.3801a5a803153p-16, 0x1.3b256f3c1c3ffp-16, 0x1.3dd1352d5e1f3p-16, 0x1.400a8018741f1p-16, 0x1.41d6a869ba1d2p-16, 0x1.433ad7a02370cp-16, 0x1.443c09b06fff7p-16, 0x1.44df0e310f1ebp-16, 0x1.4528899ddb2d8p-16, 0x1.451cf68f86d2bp-16, 0x1.44c0a6c2b0e5cp-16, 0x1.4417c4504e98fp-16, 0x1.432652c6df2bfp-16, 0x1.41f0305a74eecp-16, 0x1.407916f8c1944p-16, 0x1.3ec49d899f394p-16, 0x1.3cd638c506f89p-16, 0x1.3ab13c72284a6p-16, 0x1.3858dc3d0d734p-16, 0x1.35d02ca7767abp-16, 0x1.331a23f5096a5p-16, 0x1.30399b2deea94p-16, 0x1.2d314ec45da86p-16, 0x1.2a03dfb1b46b4p-16, 0x1.26b3d40d80ea5p-16, 0x1.2343980a84348p-16, 0x1.1fb57eaa5425fp-16, 0x1.1c0bc2a30eba7p-16, 0x1.1848872615984p-16, 0x1.146dd8b716766p-16, 0x1.107dae0cc0d9dp-16, 0x1.0c79e8c69ee47p-16, 0x1.086455ff12b96p-16, 0x1.043eaeec0a549p-16, 0x1.000a997fa2171p-16, 0x1.f793516afdda2p-17, 0x1.eefaba9ca9068p-17, 0x1.e64e4cc32b233p-17, 0x1.dd90c4029a9a4p-17, 0x1.d4c4bc009fc23p-17, 0x1.cbecb1322dcacp-17, 0x1.c30b01f3ebf41p-17, 0x1.ba21efdcc2fd8p-17, 0x1.b133a0aefe01bp-17, 0x1.a8421f6add341p-17, 0x1.9f4f5ce2e0b3fp-17, 0x1.965d30e5181a1p-17, 0x1.8d6d5aa37304p-17, 0x1.848181bc8c8a5p-17, 0x1.7b9b36c86248dp-17, 0x1.72bbf44b4f5dfp-17, 0x1.69e51f591fb42p-17, 0x1.6118088d1c0bp-17, 0x1.5855ecd20b358p-17, 0x1.4f9ff657c6e95p-17, 0x1.46f73d6bbd265p-17, 0x1.3e5cc9540ee37p-17, 0x1.35d190f63c87ap-17, 0x1.2d567b6a77b42p-17, 0x1.24ec60b310088p-17, 0x1.1c940a2503aa5p-17, 0x1.144e32fa37761p-17, 0x1.0c1b890f928d3p-17, 0x1.03fcad1597397p-17, 0x1.f7e466bc53469p-18, 0x1.e7f9487fb2415p-18, 0x1.d838f9ca21dfep-18, 0x1.c8a45eb899b98p-18, 0x1.b93c46d0c89a8p-18, 0x1.aa016dbdeb17ap-18, 0x1.9af47c8ec8bf8p-18, 0x1.8c160aa4dedd5p-18, 0x1.7d669df5914cep-18, 0x1.6ee6ac1711faep-18, 0x1.60969abd566e2p-18, 0x1.5276bfc931d0bp-18, 0x1.44876256a6be1p-18, 0x1.36c8ba71d3c63p-18, 0x1.293af2662d6d8p-18, 0x1.1bde2770c7be4p-18, 0x1.0eb26a4537857p-18, 0x1.01b7c07fb0018p-18, 0x1.e9dc4bf27539p-19, 0x1.d0ab1a42bbae3p-19, 0x1.b7dbc0d41b795p-19, 0x1.9f6e05ae4e33dp-19, 0x1.8761a118c56b1p-19, 0x1.6fb63e4cf9185p-19, 0x1.586b7b349923ap-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.50d9a1b10ddbfp-2, 0x1.4467c879a22d7p-2, 0x1.33a92bf474964p-2, 0x1.1eec6f8a99c49p-2, 0x1.0695c68d80f96p-2, 0x1.d630c3188dc38p-3, 0x1.99dbdf7706e7fp-3, 0x1.592912811edf6p-3, 0x1.150f455b787d4p-3, 0x1.9cf3b144a7213p-4, 0x1.0c98971c99025p-4, 0x1.eaa0a26bc488fp-6, -0x1.760d17cf31757p-8, -0x1.505fc6de3a00fp-5, -0x1.369a4b0e7975fp-4, -0x1.c19bc49830af5p-4, -0x1.2429f58fc2ed7p-3, -0x1.6502bc461d268p-3, -0x1.a30b32c805a83p-3, -0x1.de06113510f9ep-3, -0x1.0ae1728692279p-2, -0x1.250e5eabba8f9p-2, -0x1.3d7d0eb659ecp-2, -0x1.54261e293b9f1p-2, -0x1.690692ead536dp-2, -0x1.7c1ef3905d0dcp-2, -0x1.8d72cfbb369e9p-2, -0x1.9d08936da43e2p-2, -0x1.aae94382458c6p-2, -0x1.b7200413b7e18p-2, -0x1.c1b99376e5d77p-2, -0x1.cac3e1ba233ap-2, -0x1.d24dcd83ab848p-2, -0x1.d8662c242a635p-2, -0x1.dd1f13655b9b9p-2, -0x1.e088e2a3795eep-2, -0x1.e2b4d2010020dp-2, -0x1.e3b43787f398fp-2, -0x1.e398667d0cddfp-2, -0x1.e27295270a908p-2, -0x1.e053c5ba11793p-2, -0x1.dd4cb14ec728dp-2, -0x1.d96db41de6803p-2, -0x1.d4c6bda291223p-2, -0x1.cf6745403a2d6p-2, -0x1.c95e4278f2a77p-2, -0x1.c2ba26ed54acbp-2, -0x1.bb88d81387f35p-2, -0x1.b3d7a98fb812bp-2, -0x1.abb358e5c0414p-2, -0x1.a3280af6650f7p-2, -0x1.9a414b95e6e98p-2, -0x1.910a0eb6fd4bbp-2, -0x1.878cb283e3e42p-2, -0x1.7dd3025ca9e0fp-2, -0x1.73e639feaa85cp-2, -0x1.69cf087560022p-2, -0x1.5f95929b30611p-2, -0x1.554175b6b0468p-2, -0x1.4ad9ca59d08a2p-2, -0x1.4065282bc6c4bp-2, -0x1.35e9aadcfc8a5p-2, -0x1.2b6cf7dc9c9fdp-2, -0x1.20f444653c0b7p-2, -0x1.16845b4097a37p-2, -0x1.0c21a211037a5p-2, -0x1.01d01e1f956e6p-2, -0x1.ef26f158f4767p-3, -0x1.dade067a97dcbp-3, -0x1.c6cb7808b12p-3, -0x1.b2f4a4d75a2e2p-3, -0x1.9f5e57874b874p-3, -0x1.8c0ccfe955967p-3, -0x1.7903cc291d0d2p-3, -0x1.664691c19b7dcp-3, -0x1.53d7f5f79199fp-3, -0x1.41ba6600d203fp-3, -0x1.2fd6713f4b066p-3, -0x1.1e5e757426301p-3, -0x1.0d3cc9a4eca45p-3, -0x1.f8e54e9fab705p-4, -0x1.d802067ff6db4p-4, -0x1.b7d122008e837p-4, -0x1.98538d15e98dbp-4, -0x1.7989c0bc67007p-4, -0x1.5b73cb9fba17ep-4, -0x1.3e115afed71cfp-4, -0x1.2161c39f62cbap-4, -0x1.05640a62b1a88p-4, -0x1.d42dd86464064p-5, -0x1.9ef1ca5399b34p-5, -0x1.6b106dff204f4p-5, -0x1.3885dd737aa6p-5, -0x1.074dd3adc45fp-5, -0x1.aec76cc9e8015p-6, -0x1.51853f235015p-6, -0x1.ed959b071c12ep-7, -0x1.3d1aaa9921fb7p-7, -0x1.2306d81f55243p-8, 0x1.546f4f1b8b072p-11, 0x1.6eb7705734e91p-8, 0x1.54d261a670332p-7, 0x1.edc294a32dee2p-7, 0x1.4121f8e98ce25p-6, 0x1.8936fced01518p-6, 0x1.cf2bfa346a433p-6, 0x1.098637193e3a7p-5, 0x1.2a71d465d047dp-5, 0x1.4a5e63d75de17p-5, 0x1.695159e4cf8cdp-5, 0x1.875010489273bp-5, 0x1.a45fc6619ecbep-5, 0x1.c085a2221a1dap-5, 0x1.dbc6b15b753ep-5, 0x1.f627eb3836c2ap-5, 0x1.07d718e04e934p-4, 0x1.142f29a4b6d4p-4, 0x1.201e85d24489bp-4, 0x1.2ba782807d309p-4, 0x1.36cc6c3a5a6bap-4, 0x1.418f870f2264p-4, 0x1.4bf30e679eb6cp-4, 0x1.55f934a30891ep-4, 0x1.5fa422853e5bp-4, 0x1.68f5f68002ac1p-4, 0x1.71f0c3e0c7f0bp-4, 0x1.7a9691efbb258p-4, 0x1.82e95b104a3b2p-4, 0x1.8aeb0bf10e6b8p-4, 0x1.929d82d2dc229p-4, 0x1.9a028eef4543p-4, 0x1.a11bf00910271p-4, 0x1.a7eb562c01aap-4, 0x1.ae72619b80d7dp-4, 0x1.b4b2a2eea1c4ep-4, 0x1.baad9b5907d42p-4, 0x1.c064bd1e55113p-4, 0x1.c5d96c2b886e9p-4, 0x1.cb0cfed0b4a74p-4, 0x1.d000be95d17c8p-4, 0x1.d4b5e92530bb4p-4, 0x1.d92db143dbe99p-4, 0x1.dd693fd001962p-4, 0x1.e169b4c108ddcp-4, 0x1.e53028251f4f1p-4, 0x1.e8bdab164869p-4, 0x1.ec1348a0936dcp-4, 0x1.ef3206951df38p-4, 0x1.f21ae647c1d85p-4, 0x1.f4cee53575b32p-4, 0x1.f74efd91cb238p-4, 0x1.f99c26bb4d6cfp-4, 0x1.fbb7559706bd4p-4, 0x1.fda17cd3992efp-4, 0x1.ff5b8d15526a2p-4, 0x1.00733a870757ep-3, 0x1.012190c2041e2p-3, 0x1.01b93ea543bc5p-3, 0x1.023ab897707d7p-3, 0x1.02a671ee180c8p-3, 0x1.02fcdcdc8b7b5p-3, 0x1.033e6a6191951p-3, 0x1.036b8a355ceb4p-3, 0x1.0384aab88b872p-3, 0x1.038a38e4d59d3p-3, 0x1.037d90de96c8ap-3, 0x1.035e0d4c0cfd6p-3, 0x1.032c2bdfe96aap-3, 0x1.02e85008c5fep-3, 0x1.0292dc0cb1157p-3, 0x1.022c3118735c8p-3, 0x1.01b4af4fbec21p-3, 0x1.012cb5ddfca37p-3, 0x1.0094a30774cf1p-3, 0x1.ffd9a874b7cb8p-4, 0x1.fe6b4c3f3336dp-4, 0x1.fcdee95663756p-4, 0x1.fb35365862444p-4, 0x1.f96ee8b6e4a78p-4, 0x1.f78cb4d1465a7p-4, 0x1.f58f4e0ad2f4dp-4, 0x1.f37766ddd278dp-4, 0x1.f145b0eb77318p-4, 0x1.eefadd0864c0dp-4, 0x1.ec979b456dd99p-4, 0x1.ea1c9af42620ep-4, 0x1.e78a8aa79057ap-4, 0x1.e4e218311d936p-4, 0x1.e223f09a88806p-4, 0x1.df50c01cc1742p-4, 0x1.dc693214488d6p-4, 0x1.d96df0f33536p-4, 0x1.d65fa63142fdcp-4, 0x1.d33efa3a23223p-4, 0x1.d00c945a916d6p-4, 0x1.ccc91aacea6b3p-4, 0x1.c9753205c360dp-4, 0x1.c6117de0726eep-4, 0x1.c29ea04b77094p-4, 0x1.bf1d39d517357p-4, 0x1.bb8de97880ba7p-4, 0x1.b7f14c8c1fef5p-4, 0x1.b447feb125203p-4, 0x1.b09299c47d25p-4, 0x1.acd1b5d11bbd4p-4, 0x1.a905e90346c49p-4, 0x1.a52fc79d11bf5p-4, 0x1.a14fe3ebe6908p-4, 0x1.9d66ce3f6e076p-4, 0x1.997514e1c4eb6p-4, 0x1.957b4410dab0bp-4, 0x1.9179e5f8cccccp-4, 0x1.8d7182aef08e7p-4, 0x1.8962a02d6d919p-4, 0x1.854dc24f81154p-4, 0x1.81336ace8bfbap-4, 0x1.7d14193fcef34p-4, 0x1.78f04b127e965p-4, 0x1.74c87b8de3808p-4, 0x1.709d23cf81146p-4, 0x1.6c6ebac94aad1p-4, 0x1.683db540049ecp-4, 0x1.640a85c9d15eap-4, 0x1.5fd59cccd8002p-4, 0x1.5b9f687debc09p-4, 0x1.576854df22dc4p-4, 0x1.5330cbbe5c25fp-4, 0x1.4ef934b3b9893p-4, 0x1.4ac1f52018435p-4, 0x1.468b702b8786ap-4, 0x1.425606c3c194cp-4, 0x1.3e22179aa3f74p-4, 0x1.39efff24b355p-4, 0x1.35c01797ca612p-4, 0x1.3192b8ea128p-4, 0x1.2d6838d1448d7p-4, 0x1.2940eac2167e5p-4, 0x1.251d1fefc6642p-4, 0x1.20fd274bd2d2ep-4, 0x1.1ce14d85f9791p-4, 0x1.18c9dd0c95f2p-4, 0x1.14b71e0d77b1ap-4, 0x1.10a9567733156p-4, 0x1.0ca0c9fadac7bp-4, 0x1.089dba0e1c886p-4, 0x1.04a065edc31d3p-4, 0x1.00a90aa09e781p-4, 0x1.f96fc5f5b942ep-5, 0x1.f19a4f439e5b5p-5, 0x1.e9d21e2031b03p-5, 0x1.e2179b3486e03p-5, 0x1.da6b2ae773bfdp-5, 0x1.d2cd2d6871e4cp-5, 0x1.cb3dfebb64313p-5, 0x1.c3bdf6c52e6acp-5, 0x1.bc4d6958f885ap-5, 0x1.b4eca645f964fp-5, 0x1.ad9bf965c0f94p-5, 0x1.a65baaaafe383p-5, 0x1.9f2bfe30d393ep-5, 0x1.980d344aada02p-5, 0x1.90ff89949fc6p-5, 0x1.8a033704291b9p-5, 0x1.831871f94cap-5, 0x1.7c3f6c4fed047p-5, 0x1.757854715b1f9p-5, 0x1.6ec3556617661p-5, 0x1.682096e7c9375p-5, 0x1.61903d7361cbbp-5, 0x1.5b126a5b5e18bp-5, 0x1.54a73bda1018fp-5, 0x1.4e4ecd23e8c81p-5, 0x1.48093679b6dcap-5, 0x1.41d68d3adfe05p-5, 0x1.3bb6e3f790d74p-5, 0x1.35aa4a82e3fe1p-5, 0x1.2fb0ce0503042p-5, 0x1.29ca790d27d85p-5, 0x1.23f753a383c72p-5, 0x1.1e37635af00efp-5, 0x1.188aab6279835p-5, 0x1.12f12c96b81d4p-5, 0x1.0d6ae5930d908p-5, 0x1.07f7d2c2acfddp-5, 0x1.0297ee71764fap-5, 0x1.fa9661b938eccp-6, 0x1.f023208627663p-6, 0x1.e5d601eb85536p-6, 0x1.dbaeeacf0515ap-6, 0x1.d1adbc79c8446p-6, 0x1.c7d254b792871p-6, 0x1.be1c8df58907fp-6, 0x1.b48c3f6084d44p-6, 0x1.ab213d02f7762p-6, 0x1.a1db57e25e435p-6, 0x1.98ba5e1c45c8bp-6, 0x1.8fbe1b02db37p-6, 0x1.86e6573901f5dp-6, 0x1.7e32d8cdf953bp-6, 0x1.75a3635897f4bp-6, 0x1.6d37b8121108bp-6, 0x1.64ef95f0515c3p-6, 0x1.5ccab9bff9e54p-6, 0x1.54c8de3dfed5ap-6, 0x1.4ce9bc30da4e8p-6, 0x1.452d0a815df8cp-6, 0x1.3d927e530db05p-6, 0x1.3619cb1c01dbbp-6, 0x1.2ec2a2bc48fc7p-6, 0x1.278cb594da111p-6, 0x1.2077b29e1e1ddp-6, 0x1.1983477e2056dp-6, 0x1.12af209e51ec2p-6, 0x1.0bfae940e7ccep-6, 0x1.05664b95d5e67p-6, 0x1.fde1e19ed6c7bp-7, 0x1.f135026cebc9ep-7, 0x1.e4c5487bf215ap-7, 0x1.d892012cd7279p-7, 0x1.cc9a78810ec99p-7, 0x1.c0ddf93f687cp-7, 0x1.b55bcd17ee94ep-7, 0x1.aa133cc6e1605p-7, 0x1.9f039036dc54dp-7, 0x1.942c0ea21e52cp-7, 0x1.898bfeb2e6dbep-7, 0x1.7f22a6a2ede36p-7, 0x1.74ef4c59f0963p-7, 0x1.6af1358b5a24bp-7, 0x1.6127a7d30454dp-7, 0x1.5791e8d108d2ep-7, 0x1.4e2f3e4496979p-7, 0x1.44feee25e61f3p-7, 0x1.3c003ebf3bb3dp-7, 0x1.333276c4f6615p-7, 0x1.2a94dd6ca2921p-7, 0x1.2226ba8323cp-7, 0x1.19e75681e91f2p-7, 0x1.11d5faa34fbd5p-7, 0x1.09f1f0f604e9fp-7, 0x1.023a846f898b3p-7, 0x1.f54ef24965a7p-8, 0x1.e687bd980f558p-8, 0x1.d815b1d485f53p-8, 0x1.c9f771c90e4d5p-8, 0x1.bc2ba273ac66fp-8, 0x1.aeb0eb1cec46ap-8, 0x1.a185f56d646afp-8, 0x1.94a96d822592fp-8, 0x1.881a020024bf5p-8, 0x1.7bd66426b2016p-8, 0x1.6fdd47e0ebc55p-8, 0x1.642d63d631af9p-8, 0x1.58c57179bf4e6p-8, 0x1.4da42d1978c1p-8, 0x1.42c855ebd9495p-8, 0x1.3830ae1d2427p-8, 0x1.2ddbfadba9922p-8, 0x1.23c904636ab4cp-8, 0x1.19f69608f3d3cp-8, 0x1.10637e43b0336p-8, 0x1.070e8eb75e36cp-8, 0x1.fbed3879f7a66p-9, 0x1.ea34fdd5ca82dp-9, 0x1.d8f22438dad76p-9, 0x1.c82268f1861d9p-9, 0x1.b7c38ff2866a4p-9, 0x1.a7d363de72a87p-9, 0x1.984fb611e7fd1p-9, 0x1.89365eacb4b7ap-9, 0x1.7a853c99e667dp-9, 0x1.6c3a3596d10ddp-9, 0x1.5e533638f0fe7p-9, 0x1.50ce31f2d4846p-9, 0x1.43a923180f7f6p-9, 0x1.36e20ae01859ep-9, 0x1.2a76f1685ed6bp-9, 0x1.1e65e5b56109bp-9, 0x1.12acfdb2f005cp-9, 0x1.074a563373d66p-9, 0x1.f87825dcfc498p-10, 0x1.e300bcfd02a09p-10, 0x1.ce2ad4bb897dfp-10, 0x1.b9f2ddc55674ap-10, 0x1.a65556763edfp-10, 0x1.934ecacea197cp-10, 0x1.80dbd46734dbp-10, 0x1.6ef91a6348f69p-10, 0x1.5da35161d43aap-10, 0x1.4cd73b6d5d8f7p-10, 0x1.3c91a7eb4609ap-10, 0x1.2ccf738a4474cp-10, 0x1.1d8d882ffe8f9p-10, 0x1.0ec8dce5b0365p-10, 0x1.007e75c4071a2p-10, 0x1.e556c7bc2bb86p-11, 0x1.ca998a5851f7bp-11, 0x1.b0bf88eb40436p-11, 0x1.97c332750e071p-11, 0x1.7f9f0f3790451p-11, 0x1.684dc085859f1p-11, 0x1.51ca0090276a8p-11, 0x1.3c0ea2339db1cp-11, 0x1.271690c380f0cp-11, 0x1.12dccfd6f476ep-11, 0x1.feb8f6265f794p-12, 0x1.d9218bebb6bbp-12, 0x1.b4e9f73ad8dd6p-12, 0x1.9208fd22ff38fp-12, 0x1.7075911383441p-12, 0x1.5026d46946203p-12, 0x1.311415f9392a8p-12, 0x1.1334d19867098p-12, 0x1.ed015f4219418p-13, 0x1.b5df08ebcb808p-13, 0x1.80f2a00695dbap-13, 0x1.4e2c7a7de0b5p-13, 0x1.1d7d4347ab9f8p-13, 0x1.ddabf2b3db6f9p-14, 0x1.844fdd31df64fp-14, 0x1.2ec98d84ca961p-14, 0x1.b9f9d946846b3p-15, 0x1.1d9d0585a3f92p-15, 0x1.108dd442335a9p-16, -0x1.8f3e4f68905b1p-21, -0x1.1c43e89dec294p-16, -0x1.0f9a2ae84bfa3p-15, -0x1.8ad699cd191c8p-15, -0x1.00038dc6384c1p-14, -0x1.37ad36b3e826dp-14, -0x1.6c7f1a25f87fdp-14, -0x1.9e8f80e44dd6cp-14, -0x1.cdf42c88128cfp-14, -0x1.fac259f76cca1p-14, -0x1.128761f13b3d9p-13, -0x1.2676d29dc3234p-13, -0x1.39395dd80d39dp-13, -0x1.4ad8a50f8e56fp-13, -0x1.5b5e0d87473bp-13, -0x1.6ad2c18e0dc34p-13, -0x1.793fb1b3bac76p-13, -0x1.86ad95fae3742p-13, -0x1.9324ef04d1f91p-13, -0x1.9eae07384a0c7p-13, -0x1.a950f3e4c99cap-13, -0x1.b315966087d56p-13, -0x1.bc039d22d801p-13, -0x1.c42284d98f317p-13, -0x1.cb79997ae3636p-13, -0x1.d20ff74fd8b58p-13, -0x1.d7ec8bf8eed8cp-13, -0x1.dd16176d7acfdp-13, -0x1.e1932cf344e69p-13, -0x1.e56a3412e0fe1p-13, -0x1.e8a16984fe4e7p-13, -0x1.eb3ee01c2a552p-13, -0x1.ed4881a8ac5b1p-13, -0x1.eec40fd5a7b3bp-13, -0x1.efb72502657fep-13, -0x1.f02735143da13p-13, -0x1.f0198e4577418p-13, -0x1.ef9359eed4c3ep-13, -0x1.ee999d5054249p-13, -0x1.ed313a54c34afp-13, -0x1.eb5ef05376127p-13, -0x1.e9275ccd5a149p-13, -0x1.e68efc25eacdbp-13, -0x1.e39a2a564af5dp-13, -0x1.e04d239ef58f6p-13, -0x1.dcac05325f37ap-13, -0x1.d8bacde121144p-13, -0x1.d47d5ebf625fp-13, -0x1.cff77bcc6db02p-13, -0x1.cb2ccc9321d23p-13, -0x1.c620dccb0036bp-13, -0x1.c0d71cf49f791p-13, -0x1.bb52e2f468216p-13, -0x1.b5976aac05f07p-13, -0x1.afa7d68f6b2a3p-13, -0x1.a98730395cfabp-13, -0x1.a33868fbef86bp-13, -0x1.9cbe5a6f07c75p-13, -0x1.961bc6fb3af48p-13, -0x1.8f535a6378fd2p-13, -0x1.8867aa4d404b8p-13, -0x1.815b36c609128p-13, -0x1.7a306ac7ddd53p-13, -0x1.72e99cbb609b4p-13, -0x1.6b890ef7917c5p-13, -0x1.6410f03f88f3bp-13, -0x1.5c835c3d9fc62p-13, -0x1.54e25bfc8b972p-13, -0x1.4d2fe65df12bap-13, -0x1.456de08ff42b3p-13, -0x1.3d9e1e7fdfc98p-13, -0x1.35c2634b62a49p-13, -0x1.2ddc61af3101cp-13, -0x1.25edbc74450eap-13, -0x1.1df806da4af4bp-13, -0x1.15fcc4ff7d32fp-13, -0x1.0dfd6c4763711p-13, -0x1.05fb63be575bfp-13, -0x1.fbf008f8f8325p-14, -0x1.ebe9340c4c019p-14, -0x1.dbe4c557f65ep-14, -0x1.cbe51fcfab3e5p-14, -0x1.bbec8d72c371bp-14, -0x1.abfd3ffe92839p-14, -0x1.9c19519d3f4a4p-14, -0x1.8c42c59033228p-14, -0x1.7c7b88d391ecbp-14, -0x1.6cc572c30be9dp-14, -0x1.5d2245b2fa00bp-14, -0x1.4d93af9161911p-14, -0x1.3e1b4a795bc1p-14, -0x1.2eba9d4bdbd3ap-14, -0x1.1f731c4608b9bp-14, -0x1.1046298bdf0ep-14, -0x1.013515b9d9446p-14, -0x1.e48240ddd71dp-15, -0x1.c6d6f19a91e5p-15, -0x1.a96a7bfcc567p-15, -0x1.8c3eff6544821p-15, -0x1.6f567d30d0349p-15, -0x1.52b2d9ae4ffep-15, -0x1.3655dd07ce1a2p-15, -0x1.1a41342b470f8p-15, -0x1.fcece34dbfe39p-16, -0x1.c5ee1d0a061edp-16, -0x1.8f88d641a21aap-16, -0x1.59bf9fe743954p-16, -0x1.2494dcc50edb6p-16, -0x1.e01585ffcc881p-17, -0x1.7846bb423d2dap-17, -0x1.11c11c23f8ecfp-17, -0x1.59103643d4494p-18, -0x1.227b7493a2ebap-19, 0x1.9f7c3bb377c74p-21, 0x1.ece4d67f9c121p-19, 0x1.b64658af8206ep-18, 0x1.39b39ee6d3d34p-17, 0x1.96e8c51ee4235p-17, 0x1.f2c1153fe982p-17, 0x1.269da0d2705cdp-16, 0x1.532b1b40698d8p-16, 0x1.7f088bd7a382dp-16, 0x1.aa359f490a652p-16, 0x1.d4b21c03f29e5p-16, 0x1.fe7de138032fp-16, 0x1.13cc72ef3a31fp-15, 0x1.28019be3280f5p-15, 0x1.3bde7d53d9191p-15, 0x1.4f63339da6ed3p-15, 0x1.628fe52b1f678p-15, 0x1.7564c20e554cdp-15, 0x1.87e2038dfb76ap-15, 0x1.9a07ebce0cfe9p-15, 0x1.abd6c55faffb2p-15, 0x1.bd4ee2f04218fp-15, 0x1.ce709eea01f9cp-15, 0x1.df3c5b14d2e0dp-15, 0x1.efb2804c2b1a9p-15, 0x1.ffd37e26e3fb5p-15, 0x1.07cfe54dec5ep-14, 0x1.0f8bf0dfbdb45p-14, 0x1.171e22b631e92p-14, 0x1.1e86be7d55d43p-14, 0x1.25c60a765f772p-14, 0x1.2cdc4f5a327f5p-14, 0x1.33c9d83227c47p-14, 0x1.3a8ef23941488p-14, 0x1.412becbc32a29p-14, 0x1.47a118f8bfb88p-14, 0x1.4deeca06ed324p-14, 0x1.541554ba389ecp-14, 0x1.5a150f88484fcp-14, 0x1.5fee527040679p-14, 0x1.65a176debb2bfp-14, 0x1.6b2ed79907dbap-14, 0x1.7096d0a20a7d9p-14, 0x1.75d9bf21cb7a4p-14, 0x1.7af8014f3a84ap-14, 0x1.7ff1f6583069cp-14, 0x1.84c7fe4ab212ap-14, 0x1.897a7a02f9708p-14, 0x1.8e09cb16483cap-14, 0x1.927653c1369b6p-14, 0x1.96c076d6e65b1p-14, 0x1.9ae897b031824p-14, 0x1.9eef1a1b2d8a3p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.47ce9138b0b5bp-2, 0x1.481b98a61e26p-2, 0x1.472436be43a18p-2, 0x1.44e1745ead5a3p-2, 0x1.4154c41f9e937p-2, 0x1.3c86749de67adp-2, 0x1.368429a6b9686p-2, 0x1.2f5fb4f84afd8p-2, 0x1.272dba2e39ab4p-2, 0x1.1e050c9377ad5p-2, 0x1.13fdb40fa4579p-2, 0x1.09302bf5f83bcp-2, 0x1.fb6a48574d478p-3, 0x1.e349acbddc0fbp-3, 0x1.ca2d960a4b9b9p-3, 0x1.b04320ce1b8fcp-3, 0x1.95b51ec844682p-3, 0x1.7aabdd1f23b2bp-3, 0x1.5f4cfb2984fddp-3, 0x1.43bb51efd348cp-3, 0x1.2816eb64af864p-3, 0x1.0c7d08d777032p-3, 0x1.e2106b7301da5p-4, 0x1.aba0c7b585dbbp-4, 0x1.75d6159978539p-4, 0x1.40d6828eba457p-4, 0x1.0cc3b73cf108fp-4, 0x1.b3764e7d3f2e2p-5, 0x1.4facb6bd7bb49p-5, 0x1.dcacc9a9dcdc4p-6, 0x1.1f30b7325a49p-6, 0x1.9c8bf26e3655fp-8, -0x1.2d2801b6a01acp-8, -0x1.efdd2df20892ap-7, -0x1.9eace3bf30487p-6, -0x1.1fb7935fbee85p-5, -0x1.6d13d566b09d4p-5, -0x1.b767e6c779ebap-5, -0x1.feb3a4d9f9f67p-5, -0x1.217ce2f23860ap-4, -0x1.421fc4581fbe2p-4, -0x1.61463513e3cebp-4, -0x1.7ef4f11086a7fp-4, -0x1.9b319273d2173p-4, -0x1.b6027436e9c9p-4, -0x1.cf6e96d5ac45fp-4, -0x1.e77d87e369194p-4, -0x1.fe374c7361e54p-4, -0x1.09d2267ef97e3p-3, -0x1.13e6a12d1526dp-3, -0x1.1d5d9218eac31p-3, -0x1.263b8ccbc42dbp-3, -0x1.2e8535fb7f918p-3, -0x1.363f3dbc43b28p-3, -0x1.3d6e59fe2b7e3p-3, -0x1.4417414ef1f5fp-3, -0x1.4a3ea60bc0253p-3, -0x1.4fe9324d43fe3p-3, -0x1.551b84929f59ap-3, -0x1.59da2d0b13282p-3, -0x1.5e29ab26b3adap-3, -0x1.620e6b51815c1p-3, -0x1.658cc4da90077p-3, -0x1.68a8f81b3f4c1p-3, -0x1.6b672cf7bab91p-3, -0x1.6dcb71bce066cp-3, -0x1.6fd9ba4ef2aeep-3, -0x1.7195df897ec75p-3, -0x1.73039ebac664ep-3, -0x1.7426993a9121ep-3, -0x1.7502541d5e95fp-3, -0x1.759a380adf60cp-3, -0x1.75f1913a5289bp-3, -0x1.760b8f9095335p-3, -0x1.75eb46de7333ap-3, -0x1.7593af32ce899p-3, -0x1.7507a53763efp-3, -0x1.744b3335a759ep-3, -0x1.735e641acbaf7p-3, -0x1.724514f28bd4fp-3, -0x1.7101b9ca4d419p-3, -0x1.6f96ade0ad145p-3, -0x1.6e063444fce6ep-3, -0x1.6c52787c97d85p-3, -0x1.6a7d8f2ccdde5p-3, -0x1.688976ca52dd1p-3, -0x1.66781848dfe1bp-3, -0x1.644b47c86214ep-3, -0x1.6204c5414ce5ap-3, -0x1.5fa63d2eb3f9p-3, -0x1.5d314934ca64ap-3, -0x1.5aa770c3bbc41p-3, -0x1.580a29b72c909p-3, -0x1.555ad8f2055fcp-3, -0x1.529ad2f6de5bcp-3, -0x1.4fcb5c7e77fdfp-3, -0x1.4cedab0bd075fp-3, -0x1.4a02e57d5c596p-3, -0x1.470c249c0fe58p-3, -0x1.440a73a8bbe1dp-3, -0x1.40fed0e78ea4ap-3, -0x1.3dea2e2940b75p-3, -0x1.3acd71516a0b1p-3, -0x1.37a974d984983p-3, -0x1.347f0850043c7p-3, -0x1.314ef0d3358f8p-3, -0x1.2e19e988695fdp-3, -0x1.2ae0a40f3e3abp-3, -0x1.27a3c8f08cd9cp-3, -0x1.2463f80943fc4p-3, -0x1.2121c8f1bce4ap-3, -0x1.1dddcb6143de4p-3, -0x1.1a98878d786f4p-3, -0x1.17527e858455bp-3, -0x1.140c2a8907e28p-3, -0x1.10c5ff5a9f8d6p-3, -0x1.0d806a8dd887cp-3, -0x1.0a3bd3d0e1b85p-3, -0x1.06f89d327b4c1p-3, -0x1.03b7236473272p-3, -0x1.0077bdfad4e89p-3, -0x1.fa757f508339fp-4, -0x1.f400ecefe6235p-4, -0x1.ed92580b640d9p-4, -0x1.e72a4b67e106dp-4, -0x1.e0c949c0206b6p-4, -0x1.da6fce29a9becp-4, -0x1.d41e4c75b4b0bp-4, -0x1.cdd5318e2194dp-4, -0x1.c794e3ce5ce12p-4, -0x1.c15dc35834bb7p-4, -0x1.bb302a64be7efp-4, -0x1.b50c6d91436dcp-4, -0x1.aef2dc284ef18p-4, -0x1.a8e3c0673d6bp-4, -0x1.a2df5fc0c4f34p-4, -0x1.9ce5fb1c89a61p-4, -0x1.96f7cf13f3d19p-4, -0x1.9115142c57596p-4, -0x1.8b3dff0e45999p-4, -0x1.8572c0ba10d22p-4, -0x1.7fb386b94ba0dp-4, -0x1.7a007b4d38ecdp-4, -0x1.7459c59a23d1dp-4, -0x1.6ebf89cfa3c45p-4, -0x1.6931e94de2ec5p-4, -0x1.63b102c816089p-4, -0x1.5e3cf2646aa44p-4, -0x1.58d5d1d9bce55p-4, -0x1.537bb88b5f038p-4, -0x1.4e2ebba34381cp-4, -0x1.48eeee2abe974p-4, -0x1.43bc61220cb1ap-4, -0x1.3e972396bd60fp-4, -0x1.397f42b9222bcp-4, -0x1.3474c9f0ced5ep-4, -0x1.2f77c2f027688p-4, -0x1.2a8835c6f54cfp-4, -0x1.25a628f406fd5p-4, -0x1.20d1a175df941p-4, -0x1.1c0aa2da7f8b6p-4, -0x1.17512f4e5088p-4, -0x1.12a547aa46203p-4, -0x1.0e06eb814d216p-4, -0x1.0976192d219bcp-4, -0x1.04f2fa68a767cp-4, -0x1.007d317e32b92p-4, -0x1.f829cb88973a4p-5, -0x1.ef7422689cb4p-5, -0x1.e6d95997753c6p-5, -0x1.de59612c24884p-5, -0x1.d5f4276c879b8p-5, -0x1.cda998df4b075p-5, -0x1.c579a05d0650bp-5, -0x1.bd642720913fcp-5, -0x1.b56914d6920abp-5, -0x1.ad884fac591e2p-5, -0x1.a5c1bc5dfc6fdp-5, -0x1.9e153e43c231ap-5, -0x1.9682b75ef7be2p-5, -0x1.8f0a0866389d7p-5, -0x1.87ab10d13686dp-5, -0x1.8065aee402b73p-5, -0x1.7939bfb9e5a3dp-5, -0x1.72271f4fcbb5ep-5, -0x1.6b2da88e5b79p-5, -0x1.644d3553b8667p-5, -0x1.5d859e7cfa0b2p-5, -0x1.56d6bbef61bbdp-5, -0x1.504064a152b71p-5, -0x1.49c26ea316345p-5, -0x1.435caf27704dap-5, -0x1.3d0efa8c07dfap-5, -0x1.36d92461aebfbp-5, -0x1.30baff7488decp-5, -0x1.2ab45dd41a715p-5, -0x1.24c510db2e556p-5, -0x1.1eece9379b656p-5, -0x1.192bb6f1e85e7p-5, -0x1.13814974d6714p-5, -0x1.0ded6f94dc583p-5, -0x1.086ff7978c50ap-5, -0x1.0308af3ae3ea2p-5, -0x1.fb6ec778fb25dp-6, -0x1.f0f7c3c15efeap-6, -0x1.e6abebf311931p-6, -0x1.dc8ad7db7cc5p-6, -0x1.d2941e7eebc37p-6, -0x1.c8c75625ef67dp-6, -0x1.bf24146a7e51ap-6, -0x1.b5a9ee44ff319p-6, -0x1.ac58781907c91p-6, -0x1.a32f45c1ecc48p-6, -0x1.9a2dea9f3a5c1p-6, -0x1.9153f9a0df8dap-6, -0x1.88a105532e692p-6, -0x1.80149fea9a37bp-6, -0x1.77ae5b4f34e5ap-6, -0x1.6f6dc927ec63p-6, -0x1.67527ae59baf7p-6, -0x1.5f5c01cde8874p-6, -0x1.5789ef05f4076p-6, -0x1.4fdbd39cda0f6p-6, -0x1.48514095f7a38p-6, -0x1.40e9c6f2fc882p-6, -0x1.39a4f7bdca32fp-6, -0x1.3282641211fe9p-6, -0x1.2b819d26ce13p-6, -0x1.24a234577c60ap-6, -0x1.1de3bb2d26f2p-6, -0x1.1745c36744d45p-6, -0x1.10c7df04560adp-6, -0x1.0a69a04a57654p-6, -0x1.042a99cf0e3aap-6, -0x1.fc14bd00580eap-7, -0x1.f0110356423e4p-7, -0x1.e4492e098fedap-7, -0x1.d8bc6561ecc92p-7, -0x1.cd69d29358b84p-7, -0x1.c2509fcc2f7ccp-7, -0x1.b76ff842f805fp-7, -0x1.acc70843d9b19p-7, -0x1.a254fd3d78258p-7, -0x1.981905cda4f09p-7, -0x1.8e1251cd8fb0fp-7, -0x1.8440125d89dc8p-7, -0x1.7aa179f074af9p-7, -0x1.7135bc56b4aa6p-7, -0x1.67fc0ec8b7485p-7, -0x1.5ef3a7f1287ebp-7, -0x1.561bbff6bbdd6p-7, -0x1.4d73908597641p-7, -0x1.44fa54d848f78p-7, -0x1.3caf49c06edafp-7, -0x1.3491adaefaf95p-7, -0x1.2ca0c0bbed859p-7, -0x1.24dbc4adc1ec1p-7, -0x1.1d41fd007f046p-7, -0x1.15d2aeec7289ep-7, -0x1.0e8d216c5cbf1p-7, -0x1.07709d4356aebp-7, -0x1.007c6d0294ad2p-7, -0x1.f35fba1d3fd4ap-8, -0x1.e6147748277c3p-8, -0x1.d915b1b7f7114p-8, -0x1.cc620d605314p-8, -0x1.bff831fe24081p-8, -0x1.b3d6cb1e748c7p-8, -0x1.a7fc8824a6907p-8, -0x1.9c681c5033b96p-8, -0x1.91183ec1ddf1ep-8, -0x1.860baa80440a5p-8, -0x1.7b411e7b92a1dp-8, -0x1.70b75d90ae3c2p-8, -0x1.666d2e8bbedf1p-8, -0x1.5c615c2a85146p-8, -0x1.5292b51de8339p-8, -0x1.49000c0af5adfp-8, -0x1.3fa8378b6120ep-8, -0x1.368a122da785p-8, -0x1.2da47a74a3f02p-8, -0x1.24f652d6d737dp-8, -0x1.1c7e81bcd44e9p-8, -0x1.143bf17f81d88p-8, -0x1.0c2d9065cb5a8p-8, -0x1.045250a234db4p-8, -0x1.f952509f96862p-9, -0x1.ea6222dd47b83p-9, -0x1.dbd213bf9f4d1p-9, -0x1.cda026c2bdff6p-9, -0x1.bfca671465cddp-9, -0x1.b24ee78a923ecp-9, -0x1.a52bc298afaacp-9, -0x1.985f1a4449bc7p-9, -0x1.8be71819a3fa9p-9, -0x1.7fc1ed20b3b6dp-9, -0x1.73edd1d0c566cp-9, -0x1.68690602c7358p-9, -0x1.5d31d0e36d4ep-9, -0x1.524680e54a52bp-9, -0x1.47a56bb32ad2bp-9, -0x1.3d4cee214782ap-9, -0x1.333b6c1db02c3p-9, -0x1.296f50a097a7bp-9, -0x1.1fe70d9ca9f78p-9, -0x1.16a11beecd353p-9, -0x1.0d9bfb4db845ap-9, -0x1.04d63238e0aafp-9, -0x1.f89c9bcf654b5p-10, -0x1.e805c46fd9507p-10, -0x1.d7e513377bfd3p-10, -0x1.c837ca10297ecp-10, -0x1.b8fb37c5ebbdbp-10, -0x1.aa2cb7e32909cp-10, -0x1.9bc9b28aff867p-10, -0x1.8dcf9c52afa54p-10, -0x1.803bf61cef456p-10, -0x1.730c4cf56d3bdp-10, -0x1.663e39ec54dc8p-10, -0x1.59cf61ef1e35ap-10, -0x1.4dbd75a0f595ap-10, -0x1.420631346ab3ep-10, -0x1.36a75c45ab769p-10, -0x1.2b9ec9b4b916cp-10, -0x1.20ea577e25381p-10, -0x1.1687ee93e7c51p-10, -0x1.0c7582b66e378p-10, -0x1.02b1124e03d2dp-10, -0x1.f2714c887095ep-11, -0x1.e014a3babed45p-11, -0x1.ce4865223b7cep-11, -0x1.bd08dfc80fc4dp-11, -0x1.ac527681b1e8p-11, -0x1.9c219fa451e47p-11, -0x1.8c72e4b7cb7cp-11, -0x1.7d42e22ae3e7bp-11, -0x1.6e8e4707106b4p-11, -0x1.6051d4a4a6129p-11, -0x1.528a5e5fa45a2p-11, -0x1.4534c94b75028p-11, -0x1.384e0be860bbfp-11, -0x1.2bc2897ba718ap-11, -0x1.1faf7c499be75p-11, -0x1.1402a38e06e46p-11, -0x1.08b938e04ff73p-11, -0x1.fba10b86cc6eep-12, -0x1.e68bc6bce9babp-12, -0x1.d22d746cd913fp-12, -0x1.be8103cdac53dp-12, -0x1.ab8181b9e4ee2p-12, -0x1.992a18243cb52p-12, -0x1.87760d90df527p-12, -0x1.7660c4920cffap-12, -0x1.65e5bb45a2edbp-12, -0x1.56008ad77535ep-12, -0x1.46ace701aafbbp-12, -0x1.37e69d8d2f465p-12, -0x1.29a995cf4a121p-12, -0x1.1bf1d02958f72p-12, -0x1.0ebb6589e13ddp-12, -0x1.020286f5112b6p-12, -0x1.eb86fa2657bb5p-13, -0x1.d3f54f838274ep-13, -0x1.bd48fb430b402p-13, -0x1.a77b174189b03p-13, -0x1.9284e90aa6ab7p-13, -0x1.7e5fe0efd148bp-13, -0x1.6b05992ce7074p-13, -0x1.586fd5150c00ep-13, -0x1.46988044d331cp-13, -0x1.3579add14c513p-13, -0x1.250d977791913p-13, -0x1.154e9ccc6db02p-13, -0x1.06374272a8666p-13, -0x1.ef8462ab90149p-14, -0x1.d3d46bdc9448dp-14, -0x1.b9547efeeb344p-14, -0x1.9ffabeafa8854p-14, -0x1.87bd901f7edb9p-14, -0x1.709399a9568d4p-14, -0x1.5a73c169f7dc9p-14, -0x1.45552be692e66p-14, -0x1.312f3ab7d03bdp-14, -0x1.1df98b2a15e4dp-14, -0x1.0babf4ead221ap-14, -0x1.f47d115d05738p-15, -0x1.d3531dc8e0d5ep-15, -0x1.b3cb0cf226ed2p-15, -0x1.95d64739ea491p-15, -0x1.79669d43f4475p-15, -0x1.5e6e45a5e8539p-15, -0x1.44dfda9ec22fbp-15, -0x1.2cae57c4fd007p-15, -0x1.15cd17b2a634ep-15, -0x1.002fd19f51b8ep-15, -0x1.d7952e40cf488p-16, -0x1.b123a3cfc56d6p-16, -0x1.8cf48375c79fbp-16, -0x1.6af1f50d2e2cap-16, -0x1.4b06c50da69d9p-16, -0x1.2d1e60f7275adp-16, -0x1.1124d372b5f93p-16, -0x1.ee0d80b6e341ap-17, -0x1.bd62c15860548p-17, -0x1.9024fce1007d3p-17, -0x1.6630e22e7995fp-17, -0x1.3f6433c77be18p-17, -0x1.1b9dc16bbf2bp-17, -0x1.f57ac38071f26p-18, -0x1.b947d82216966p-18, -0x1.826663a2913a3p-18, -0x1.509bf017a4676p-18, -0x1.23afe20939ff6p-18, -0x1.f6d6d7d8a20dbp-19, -0x1.af33042f03746p-19, -0x1.700d9de3a22bap-19, -0x1.39034ee7fe852p-19, -0x1.09b3ff927a163p-19, -0x1.c3857f9fd1d9cp-20, -0x1.81ab630de45a9p-20, -0x1.4d2be5b57042ap-20, -0x1.255f1632dba75p-20, -0x1.09a2acc968e6dp-20, -0x1.f2b3ca5426a9p-21, -0x1.e7dab0b7eedd4p-21, -0x1.f195ae0236742p-21, -0x1.0765441cb0a69p-20, -0x1.1f3472a96a608p-20, -0x1.3fb5016d081c2p-20, -0x1.686837c00d18bp-20, -0x1.98d3e27213254p-20, -0x1.d082302693c93p-20, -0x1.0780c7bc1c4cep-19, -0x1.29f246e2daa59p-19, -0x1.4f60ddf89745p-19, -0x1.7799c8e17edc4p-19, -0x1.a26c2a4753956p-19, -0x1.cfa8fe7a2b291p-19, -0x1.ff230e229849ap-19, -0x1.18577045f354cp-18, -0x1.3211568ebcfb8p-18, -0x1.4cab270b78802p-18, -0x1.681198faa2dccp-18, -0x1.8432270b73e81p-18, -0x1.a0fb091712ff7p-18, -0x1.be5b2e7de0f2dp-18, -0x1.dc4239144615ep-18, -0x1.faa0781521c2cp-18, -0x1.0cb371ea91c53p-17, -0x1.1c438c3d612aep-17, -0x1.2bf9a86ab638ep-17, -0x1.3bcf3084611cep-17, -0x1.4bbdd89a4697p-17, -0x1.5bbf9c30ab574p-17, -0x1.6bcebc06be40cp-17, -0x1.7be5bbe9ab674p-17, -0x1.8bff60aced216p-17, -0x1.9c16ae2bbae8ap-17, -0x1.ac26e5417c007p-17, -0x1.bc2b81bf4e277p-17, -0x1.cc20386edb2b5p-17, -0x1.dc00f4ffe6eeep-17, -0x1.ebc9d865e73dap-17, -0x1.fb7736ec0d88ap-17, -0x1.0582cb3ee868fp-16, -0x1.0d38d670b98ffp-16, -0x1.14dc2f020babp-16, -0x1.1c6b5d0e68b03p-16, -0x1.23e4fe351fb7bp-16, -0x1.2b47c4d00a49fp-16, -0x1.3292775949357p-16, -0x1.39c3efce3ae8p-16, -0x1.40db1b1223f51p-16, -0x1.47d6f83cf1dc1p-16, -0x1.4eb697e265b15p-16, -0x1.55791b6c73fcep-16, -0x1.5c1db457da062p-16, -0x1.62a3a38e365c6p-16, -0x1.690a38c2e0a74p-16, -0x1.6f50d1d2c75e4p-16, -0x1.7576da3aa907ap-16, -0x1.7b7bca89d38f9p-16, -0x1.815f27ed6fc29p-16, -0x1.872083b117b6ap-16, -0x1.8cbf7afda9db8p-16, -0x1.923bb66381ebcp-16, -0x1.9794e9855156ep-16, -0x1.9ccad2ab4ba12p-16, -0x1.a1dd3a4e36c7ep-16, -0x1.a6cbf29bf7841p-16, -0x1.ab96d6f700fc1p-16, -0x1.b03dcb7d2fe57p-16, -0x1.b4c0bc7a8c04ap-16, -0x1.b91f9e207909ep-16, -0x1.bd5a6c0cadccfp-16, -0x1.c17128f6dd4b9p-16, -0x1.c563de5e5fa6dp-16, -0x1.c9329c413ef91p-16, -0x1.ccdd78de3a17p-16, -0x1.d064907b7713bp-16, -0x1.d3c80526ad4fbp-16, -0x1.d707fe96032e3p-16, -0x1.da24a9e216ba6p-16, -0x1.dd1e394357228p-16, -0x1.dff4e3cf4c3p-16, -0x1.e2a8e5200a665p-16, -0x1.e53a7d0c5bc0fp-16, -0x1.e7a9ef49e07dbp-16, -0x1.e9f783345559p-16, -0x1.ec23838361e3fp-16, -0x1.ee2e3e08e6ff6p-16, -0x1.f018038ee0c17p-16, -0x1.f1e1279e0ee34p-16, -0x1.f38a006674aa3p-16, -0x1.f512e6993e78p-16, -0x1.f67c3556bb396p-16, -0x1.f7c64a11eafa9p-16, -0x1.f8f18466505a3p-16, -0x1.f9fe45fb9b381p-16, -0x1.faecf2586802p-16, -0x1.fbbdeeaab99f4p-16, -0x1.fc71a19af6b5ap-16, -0x1.fd08731f6e668p-16, -0x1.fd82cc545d3f3p-16, -0x1.fde11750400bcp-16, -0x1.fe23bf161544bp-16, -0x1.fe4b2f622d621p-16, -0x1.fe57d4ad063e7p-16, -0x1.fe4a1c07b085ep-16, -0x1.fe22730f06229p-16, -0x1.fde147d9c5892p-16, -0x1.fd8708eb52b0fp-16, -0x1.fd14251627973p-16, -0x1.fc890b74cb866p-16, -0x1.fbe62b4a8eee8p-16, -0x1.fb2bf3f2b6594p-16, -0x1.fa5ad4b032605p-16, -0x1.f9733cb3ef356p-16, -0x1.f8759af08df9p-16, -0x1.f7625e0cabec3p-16, -0x1.f639f456bbb64p-16, -0x1.f4fccbb661adcp-16, -0x1.f3ab51b0c0e28p-16, -0x1.f245f35fe83e4p-16, -0x1.f0cd1d6ff721ap-16, -0x1.ef413c163cb24p-16, -0x1.eda2bb0a09aa3p-16, -0x1.ebf2055a074b5p-16, -0x1.ea2f85782303p-16, -0x1.e85ba509eefd8p-16, -0x1.e676ccdb3729cp-16, -0x1.e48164cb640dfp-16, -0x1.e27bd3c6ad25ep-16, -0x1.e0667fc1aab34p-16, -0x1.de41cdbced32p-16, -0x1.dc0e21cb69b3p-16, -0x1.d9cbdf1735de9p-16, -0x1.d77b67f018369p-16, -0x1.d51d1dc0593d8p-16, -0x1.d2b1612510ea8p-16, -0x1.d03891dd7cd9dp-16, -0x1.cdb30ec6dc557p-16, -0x1.cb2135cb4fa0bp-16, -0x1.c88363dafbeccp-16, -0x1.c5d9f4d5377a6p-16, -0x1.c32543798329ep-16, -0x1.c065a95bdcd08p-16, -0x1.bd9b7ed3c1d25p-16, -0x1.bac71b01c9cd4p-16, -0x1.b7e8d3c9aefa2p-16, -0x1.b500fdcbaa55cp-16, -0x1.b20fec788bd21p-16, -0x1.af15f210107a1p-16, -0x1.ac135fac6651dp-16, -0x1.a908854c6d657p-16, -0x1.a5f5b1d95bd21p-16, -0x1.a2db33329312bp-16, -0x1.9fb95630ef65fp-16, -0x1.9c9066a2a770ep-16, -0x1.9960af4b61ddp-16, -0x1.962a79dbe9165p-16, -0x1.92ee0ee459fc6p-16, -0x1.8fabb5ddb8015p-16, -0x1.8c63b519c39dbp-16, -0x1.891651c0113dp-16, -0x1.85c3cfd1be3d9p-16, -0x1.826c722bdd5acp-16, -0x1.7f107a8cebdf8p-16, -0x1.7bb02991e4403p-16, -0x1.784bbec792b08p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.54b6664344df2p-13, -0x1.2e0926c3e9bdcp-14, -0x1.d4bd08e21e509p-12, -0x1.03453854b5c6bp-10, -0x1.c3393e8e05abep-10, -0x1.5d1d84b1a31c9p-9, -0x1.f60e30658a90dp-9, -0x1.56ed498716edep-8, -0x1.c2a7e44915dadp-8, -0x1.1f1d450cfa6b2p-7, -0x1.64c53da16b565p-7, -0x1.b21209313a8cbp-7, -0x1.0357e0d240736p-6, -0x1.311b064e461ebp-6, -0x1.6214ab515c489p-6, -0x1.95ff1e156cabdp-6, -0x1.cc8ed60e92023p-6, -0x1.02ba9e0601946p-5, -0x1.2030b268da7f9p-5, -0x1.3e8061b31270cp-5, -0x1.5d80cbeb78d8cp-5, -0x1.7d0a41e037e65p-5, -0x1.9cf5fd085bd32p-5, -0x1.bd1df83b2ab32p-5, -0x1.dd5d9914270f2p-5, -0x1.fd929d1b74916p-5, -0x1.0ecea4ebde364p-4, -0x1.1eaffc04e0ef3p-4, -0x1.2e5f447636191p-4, -0x1.3dcf36f9fb3b7p-4, -0x1.4cf396f749478p-4, -0x1.5bc180ccd113ep-4, -0x1.6a2f6ed6c4703p-4, -0x1.783623a3f2f93p-4, -0x1.85cbff61167ap-4, -0x1.92ead11b7088dp-4, -0x1.9f8cbe75deef2p-4, -0x1.abacd33bcb675p-4, -0x1.b746f95277ce6p-4, -0x1.c257e609e3961p-4, -0x1.ccdd12c25cd6dp-4, -0x1.d6d4ae923c58dp-4, -0x1.e03d9a27af5e7p-4, -0x1.e9175d02c8ebfp-4, -0x1.f16219ab25f34p-4, -0x1.f91e8320fda25p-4, -0x1.0026e4a798804p-3, -0x1.0378c7517277bp-3, -0x1.0685ef4f74baep-3, -0x1.094f92f97ccap-3, -0x1.0bd71841024ep-3, -0x1.0e1e0ff57cap-3, -0x1.10262e5f75b51p-3, -0x1.11f1449794f23p-3, -0x1.1381399559bddp-3, -0x1.14d805234e11cp-3, -0x1.15f7ac67700bbp-3, -0x1.16e240ca38c19p-3, -0x1.1799dc67d4759p-3, -0x1.18209f55637acp-3, -0x1.1878ad0b221a7p-3, -0x1.18a429627b7ccp-3, -0x1.18a5364f591d3p-3, -0x1.187df0e25c444p-3, -0x1.18306eb0ad271p-3, -0x1.17bebb15f4a69p-3, -0x1.172ad32c78ec6p-3, -0x1.1676a377db54ap-3, -0x1.15a406725b775p-3, -0x1.14b4c44e2db8dp-3, -0x1.13aa94178a258p-3, -0x1.12871d46a0a8dp-3, -0x1.114bf89efb177p-3, -0x1.0ffab0e1a4ed3p-3, -0x1.0e94c2336a8b2p-3, -0x1.0d1b9845216aap-3, -0x1.0b908c9418d84p-3, -0x1.09f28e15af57cp-3, -0x1.08470f04d0df5p-3, -0x1.068d36f49c73dp-3, -0x1.04c6130bcc548p-3, -0x1.02f29eed4cad8p-3, -0x1.0113c538a0d4fp-3, -0x1.fe54c0120ef48p-4, -0x1.fa6e72edd4d1cp-4, -0x1.f67618ad9cd82p-4, -0x1.f26d09b29d97dp-4, -0x1.ee5481fc8204fp-4, -0x1.ea2da23eaae6cp-4, -0x1.e5f970fde41d9p-4, -0x1.e1b8db974406p-4, -0x1.dd6cb73f290a3p-4, -0x1.d915c1f451fd4p-4, -0x1.d4b4a393d30c4p-4, -0x1.d049ef07d7a36p-4, -0x1.cbd62314f7e12p-4, -0x1.c759ab774f885p-4, -0x1.c2d4e26d6c4aap-4, -0x1.be4811f1739e2p-4, -0x1.b9b374e8b5fabp-4, -0x1.b517389a8fbeep-4, -0x1.b0737e3d4e9dep-4, -0x1.abc85c7789ce6p-4, -0x1.a715e0cd1f6b6p-4, -0x1.a25c110e17602p-4, -0x1.9d9aecd759bdep-4, -0x1.98d26eda783b2p-4, -0x1.94028de939549p-4, -0x1.8f2b3ddffb33fp-4, -0x1.8a4c7080d81cbp-4, -0x1.8566164366979p-4, -0x1.80781ee1bf134p-4, -0x1.7b8279adc2369p-4, -0x1.768515dfbfd6p-4, -0x1.717fe2e2426e2p-4, -0x1.6c72d0887b455p-4, -0x1.675dcf50a6689p-4, -0x1.6240d0bffdb77p-4, -0x1.5d1bc7aaede1ep-4, -0x1.57eea87634961p-4, -0x1.52b96972fe795p-4, -0x1.4d7c034e11559p-4, -0x1.4836717639c76p-4, -0x1.42e8b273d8bep-4, -0x1.3d92c84b2e77ap-4, -0x1.3834b8ed359f3p-4, -0x1.32ce8e93b76c5p-4, -0x1.2d60580115952p-4, -0x1.27ea28c52ac76p-4, -0x1.226c1997eb3bcp-4, -0x1.1ce648a1aa0f1p-4, -0x1.1758d9a33f24cp-4, -0x1.11c3f615c284fp-4, -0x1.0c27cd4c7ff49p-4, -0x1.0684948e9df26p-4, -0x1.00da871f76d05p-4, -0x1.f653cc70c4072p-5, -0x1.eae5f1ee8ef0bp-5, -0x1.df6c187ca134ap-5, -0x1.d3e6e50169d7p-5, -0x1.c857071cffe9ap-5, -0x1.bcbd38e2f7de3p-5, -0x1.b11a3e867d39fp-5, -0x1.a56ee5d66e409p-5, -0x1.99bc05aa5bce4p-5, -0x1.8e027d6288badp-5, -0x1.8243347bf6a31p-5, -0x1.767f1a2467c9ep-5, -0x1.6ab724c53bce8p-5, -0x1.5eec51864ae53p-5, -0x1.531fa3c7d2145p-5, -0x1.4752249bbfb42p-5, -0x1.3b84e24fc689fp-5, -0x1.2fb8effec4eadp-5, -0x1.23ef65120d18p-5, -0x1.18295cb43e30ep-5, -0x1.0c67f54495d44p-5, -0x1.00ac4fd5bf2adp-5, -0x1.e9ef1f74b2b14p-6, -0x1.d295b42b38cfep-6, -0x1.bb4eaaca341edp-6, -0x1.a41c52145de78p-6, -0x1.8d00f9c3f464fp-6, -0x1.75fef1cfb97fep-6, -0x1.5f1889aad3fb6p-6, -0x1.4851eb3a4062ap-6, -0x1.31a8e73f8f18fp-6, -0x1.1b22643f76f3fp-6, -0x1.04c0ab85e411cp-6, -0x1.dd0c03f07616cp-7, -0x1.b0e94e9a952a9p-7, -0x1.851daa92d9aeep-7, -0x1.59ad7dfc5c63ep-7, -0x1.2e9d201268c85p-7, -0x1.03f0d795b6c3cp-7, -0x1.b359b25d48087p-8, -0x1.5faa8be609212p-8, -0x1.0cdc5455c2954p-8, -0x1.75edf0a03341fp-9, -0x1.a808d81111455p-10, -0x1.a059a71794258p-12, 0x1.a7bc0a542d77dp-11, 0x1.05dbf4b1abb89p-9, 0x1.9fadcc6460b5bp-9, 0x1.1bab946f2afdcp-8, 0x1.6665907ea5b1fp-8, 0x1.affea3491cdb8p-8, 0x1.f870d4b74a5b9p-8, 0x1.1fdb36882a43ap-7, 0x1.42e4fb15f759bp-7, 0x1.65531e3b6fa55p-7, 0x1.872327e7dd841p-7, 0x1.a852c225188ebp-7, 0x1.c8dfb973dcb5ep-7, 0x1.e8c7fd1d61887p-7, 0x1.0404cfb1e54a2p-6, 0x1.13516ac38763ap-6, 0x1.2248fbdad5db3p-6, 0x1.30eac0825ee76p-6, 0x1.3f3607b92ca49p-6, 0x1.4d2a31f2336b4p-6, 0x1.5ac6b10aadfacp-6, 0x1.680b0833c532fp-6, 0x1.74f6cbd1b703dp-6, 0x1.8189a154918c2p-6, 0x1.8dc33f0d7c805p-6, 0x1.99a36c01b6fcdp-6, 0x1.a529ffbaeb78bp-6, 0x1.b056e2140af72p-6, 0x1.bb2a0b012ff3ap-6, 0x1.c5a3825198618p-6, 0x1.cfc35f6e4acc3p-6, 0x1.d989c917424afp-6, 0x1.e2f6f51f5dcb4p-6, 0x1.ec0b2824ad155p-6, 0x1.f4c6b53ffd45dp-6, 0x1.fd29fdabe9b35p-6, 0x1.029ab834deb2cp-5, 0x1.0674c4f459ea3p-5, 0x1.0a2369d7ac194p-5, 0x1.0da6f2024f2c8p-5, 0x1.10ffaecaaf872p-5, 0x1.142df78a5c128p-5, 0x1.1732296c18d0dp-5, 0x1.1a0ca738c0638p-5, 0x1.1cbdd923dc087p-5, 0x1.1f462c9815975p-5, 0x1.21a614035aaf6p-5, 0x1.23de06a2a24d2p-5, 0x1.25ee804d584e7p-5, 0x1.27d80140991c8p-5, 0x1.299b0deade46fp-5, 0x1.2b382eb8296e8p-5, 0x1.2cafefddc548cp-5, 0x1.2e02e125321f8p-5, 0x1.2f3195b65452p-5, 0x1.303ca3e1518efp-5, 0x1.3124a4e95be7ap-5, 0x1.31ea34d17898dp-5, 0x1.328df22a9080dp-5, 0x1.33107de1b8877p-5, 0x1.33727b0e88cccp-5, 0x1.33b48ec1b0b6p-5, 0x1.33d75fd3bdffcp-5, 0x1.33db96b48d65cp-5, 0x1.33c1dd3bccadcp-5, 0x1.338ade7aaaed1p-5, 0x1.3337468e8fa3p-5, 0x1.32c7c274ba641p-5, 0x1.323cffdefdc17p-5, 0x1.3197ad09c329fp-5, 0x1.30d8789330b6p-5, 0x1.30001153220edp-5, 0x1.2f0f2633dac1cp-5, 0x1.2e06660b77fadp-5, 0x1.2ce67f7671de4p-5, 0x1.2bb020b370108p-5, 0x1.2a63f7809601dp-5, 0x1.2902b0fa3ccbcp-5, 0x1.278cf97b16c03p-5, 0x1.26037c7d39135p-5, 0x1.2466e47bd2fb6p-5, 0x1.22b7dad61149dp-5, 0x1.20f707b36e2cep-5, 0x1.1f2511e91523cp-5, 0x1.1d429ee01520fp-5, 0x1.1b50527cdd0e2p-5, 0x1.194ecf0833f41p-5, 0x1.173eb51945ae6p-5, 0x1.1520a3808531bp-5, 0x1.12f53733a73cfp-5, 0x1.10bd0b3ae4419p-5, 0x1.0e78b89f69efdp-5, 0x1.0c28d65abf2efp-5, 0x1.09cdf9471268bp-5, 0x1.0768b41066e74p-5, 0x1.04f99726b606cp-5, 0x1.028130b117941p-5, 0x1.00000c81d85f6p-5, 0x1.faed68170ee4ep-6, 0x1.f5cb5cae056edp-6, 0x1.f09afff5029bp-6, 0x1.eb5d562311175p-6, 0x1.e6135e6b2f3d8p-6, 0x1.e0be12ef0d306p-6, 0x1.db5e68b32ad18p-6, 0x1.d5f54f94b48e7p-6, 0x1.d083b24151aefp-6, 0x1.cb0a76308a13dp-6, 0x1.c58a7b9e250f6p-6, 0x1.c0049d85a26cdp-6, 0x1.ba79b19f81152p-6, 0x1.b4ea88605bc4fp-6, 0x1.af57ecf920a3ap-6, 0x1.a9c2a557bcf69p-6, 0x1.a42b722899d3p-6, 0x1.9e930ed9d90fap-6, 0x1.98fa31a04ab88p-6, 0x1.93618b7d4464bp-6, 0x1.8dc9c8450b9eap-6, 0x1.88338ea62396ap-6, 0x1.829f8032080c2p-6, 0x1.7d0e396711dfdp-6, 0x1.778051baf2f0ep-6, 0x1.71f65ba58c0cbp-6, 0x1.6c70e4ac79d39p-6, 0x1.66f0756f97346p-6, 0x1.617591b69a155p-6, 0x1.5c00b87f7aa67p-6, 0x1.5692640da611cp-6, 0x1.512b09f9d5d51p-6, 0x1.4bcb1b4239709p-6, 0x1.4673045ae3a35p-6, 0x1.41232d3ed1c32p-6, 0x1.3bdbf981c142fp-6, 0x1.369dc8629bcfap-6, 0x1.3168f4ddf504ap-6, 0x1.2c3dd5c0b0f0ep-6, 0x1.271cbdbb46d3dp-6, 0x1.2205fb75e9f54p-6, 0x1.1cf9d9a50eac5p-6, 0x1.17f89f1dd8e18p-6, 0x1.13028eea78458p-6, 0x1.0e17e85eb4612p-6, 0x1.0938e72cd90d9p-6, 0x1.0465c37acff59p-6, 0x1.ff3d63eeac78ap-7, 0x1.f5c7c7de87785p-7, 0x1.ec6b0ec5c7b9ap-7, 0x1.e3278e363bb6dp-7, 0x1.d9fd957d1b2fap-7, 0x1.d0ed6dcd0618dp-7, 0x1.c7f75a682f2cep-7, 0x1.bf1b98ca553bp-7, 0x1.b65a60d2669bap-7, 0x1.adb3e4eb58945p-7, 0x1.a5285234db8b8p-7, 0x1.9cb7d0ac06cb2p-7, 0x1.94628353cec7ep-7, 0x1.8c28885cfcbfp-7, 0x1.8409f94cef4c1p-7, 0x1.7be84d85280a6p-7, 0x1.73fad8727f4a6p-7, 0x1.6c291c299e297p-7, 0x1.647324e7bdd26p-7, 0x1.5cd8facac3887p-7, 0x1.555aa1f15076ap-7, 0x1.4df81a997b815p-7, 0x1.46b1613e4a5ap-7, 0x1.3f866eb45d611p-7, 0x1.38773846d02a9p-7, 0x1.3183afd4a4eb2p-7, 0x1.2aabc3eea34cbp-7, 0x1.23ef5ff4eb67cp-7, 0x1.1d4e6c335268bp-7, 0x1.16c8cdfcc24dfp-7, 0x1.105e67c5f6f48p-7, 0x1.0a0f1940576e5p-7, 0x1.03dabf74eaca4p-7, 0x1.fb8269be5b838p-8, 0x1.ef84a30e59506p-8, 0x1.e3bbd635c52f5p-8, 0x1.d827aa0e0acffp-8, 0x1.ccc7c11fd174bp-8, 0x1.c19bb9d4fb758p-8, 0x1.b6a32eaa2f8adp-8, 0x1.abddb65edd18ap-8, 0x1.a14ae422c1cf2p-8, 0x1.96ea47c1fd275p-8, 0x1.8cbb6dd0ef852p-8, 0x1.82bddfd921178p-8, 0x1.78f1248693f67p-8, 0x1.6f54bfd41ed61p-8, 0x1.65e8333518158p-8, 0x1.5caafdbc3dbccp-8, 0x1.539c9c40e3d85p-8, 0x1.4abc8984727d1p-8, 0x1.420a3e58dc572p-8, 0x1.398531c7c83cfp-8, 0x1.312cd938bcdf2p-8, 0x1.2900a8955d5a5p-8, 0x1.2100126b04378p-8, 0x1.192a880a48bf4p-8, 0x1.117f79a5789dfp-8, 0x1.09fe566e70cf3p-8, 0x1.02a68cb4d00bcp-8, 0x1.f6ef140911453p-9, 0x1.e8e176893e273p-9, 0x1.db2319ab689e1p-9, 0x1.cdb2d55d9c53p-9, 0x1.c08f80f0fd541p-9, 0x1.b3b7f34be0149p-9, 0x1.a72b0319ab18fp-9, 0x1.9ae786fa1f839p-9, 0x1.8eec55b11d7afp-9, 0x1.8338465598d55p-9, 0x1.77ca30800858dp-9, 0x1.6ca0ec75f5355p-9, 0x1.61bb5352e7845p-9, 0x1.57183f2f9f0fp-9, 0x1.4cb68b48924fp-9, 0x1.42951425f1de6p-9, 0x1.38b2b7c45439dp-9, 0x1.2f0e55bd1d656p-9, 0x1.25a6cf6cca221p-9, 0x1.1c7b0815775edp-9, 0x1.1389e4fdebb21p-9, 0x1.0ad24d8dce8fcp-9, 0x1.02532b688b79cp-9, 0x1.f416d510d5567p-10, 0x1.e3f3f2b52c68ep-10, 0x1.d43b91b8194dcp-10, 0x1.c4eb996c99a69p-10, 0x1.b601f6b4eb8cap-10, 0x1.a77c9c32b98cdp-10, 0x1.995982708c021p-10, 0x1.8b96a804ce9ffp-10, 0x1.7e3211b0fdf3ep-10, 0x1.7129ca7d74353p-10, 0x1.647be3d2b3321p-10, 0x1.582675916698bp-10, 0x1.4c279e2899c33p-10, 0x1.407d82acb5ebcp-10, 0x1.35264eed58444p-10, 0x1.2a203588aacc2p-10, 0x1.1f696ffa22546p-10, 0x1.15003ea280c2ep-10, 0x1.0ae2e8c8f8ae7p-10, 0x1.010fbc989a27ap-10, 0x1.ef0a1e3482dc7p-11, 0x1.dc82785e62405p-11, 0x1.ca854d1792e94p-11, 0x1.b90f6f670ea8p-11, 0x1.a81dbfe78abd3p-11, 0x1.97ad2cb77cc79p-11, 0x1.87bab16277156p-11, 0x1.784356c2ba8a3p-11, 0x1.694432dd06442p-11, 0x1.5aba68b84db0cp-11, 0x1.4ca32834c752fp-11, 0x1.3efbade4da43dp-11, 0x1.31c142e5f9eaap-11, 0x1.24f13cbf15915p-11, 0x1.1888fd402ef63p-11, 0x1.0c85f262a53bdp-11, 0x1.00e5962855b58p-11, 0x1.eb4adcef85d63p-12, 0x1.d58619ed27a63p-12, 0x1.c0781dc0b1ebfp-12, 0x1.ac1c39bc97f07p-12, 0x1.986dd5bbf5b14p-12, 0x1.85686fd05f825p-12, 0x1.73079bf19e619p-12, 0x1.614703b3a36a2p-12, 0x1.502266017ba62p-12, 0x1.3f9596e44c57fp-12, 0x1.2f9c7f507f2dp-12, 0x1.20331cf59ff16p-12, 0x1.1155820e08b92p-12, 0x1.02ffd5278a73fp-12, 0x1.ea5ca1cdb35cbp-13, 0x1.cfba878b80cf1p-13, 0x1.b6121f98a476ep-13, 0x1.9d5c54977cdc9p-13, 0x1.859237336fe03p-13, 0x1.6eacfd9c5de78p-13, 0x1.58a603090710cp-13, 0x1.4376c7462c1a9p-13, 0x1.2f18ee4c3aa1ep-13, 0x1.1b863fe4005a7p-13, 0x1.08b8a755b0166p-13, 0x1.ed54661fa74d8p-14, 0x1.caaa289da2e8cp-14, 0x1.a9673d5b7f19ep-14, 0x1.89808f61bed2dp-14, 0x1.6aeb4c780138dp-14, 0x1.4d9ce418a8467p-14, 0x1.318b066040cc3p-14, 0x1.16aba2f7b504ap-14, 0x1.f9e9d0207a9c9p-15, 0x1.c8ba82b6616e8p-15, 0x1.99b6ae2a3fa33p-15, 0x1.6ccc1a26597ffp-15, 0x1.41e903d72d165p-15, 0x1.18fc1c277881cp-15, 0x1.e3e90c236f39fp-16, 0x1.9983a9a2742edp-16, 0x1.52a813f484c6ep-16, 0x1.0f3726ff1f86ep-16, 0x1.9e2526ba290cbp-17, 0x1.2439b4d21a9fap-17, 0x1.60e5293e62c5cp-18, 0x1.0a5fd275e6e14p-19, -0x1.2c639553b6f97p-20, -0x1.105ecc7882f6ap-18, -0x1.cb08611e725adp-18, -0x1.3dbca95f57e63p-17, -0x1.91093d64ee50ep-17, -0x1.df98f60c53d32p-17, -0x1.14ccc0a2c5c2p-16, -0x1.379b9c938e4c4p-16, -0x1.584e960477f0ap-16, -0x1.76fa91f1db648p-16, -0x1.93b3d6bd5277cp-16, -0x1.ae8e0f6a58fddp-16, -0x1.c79c4e9b29c95p-16, -0x1.def11168c57a2p-16, -0x1.f49e4233b9cffp-16, -0x1.045a9de5fe006p-15, -0x1.0da3665d08757p-15, -0x1.16319d70a0b4fp-15, -0x1.1e0d23a0aa9p-15, -0x1.253d98e6f6b6dp-15, -0x1.2bca5e891eb95p-15, -0x1.31ba98e2f08c6p-15, -0x1.3715310ca4ed8p-15, -0x1.3be0d65e40a6dp-15, -0x1.4023ffe895c73p-15, -0x1.43e4edc5e431cp-15, -0x1.4729aa5aa2699p-15, -0x1.49f80b8f7b421p-15, -0x1.4c55b3f36f3c2p-15, -0x1.4e4813d9c9a2ap-15, -0x1.4fd46a84f75e5p-15, -0x1.50ffc73f182bp-15, -0x1.51cf0a9855edfp-15, -0x1.5246e7951f1c6p-15, -0x1.526be51ab19a8p-15, -0x1.52425f4ea5fbbp-15, -0x1.51ce89105e9e7p-15, -0x1.51146d751cd8p-15, -0x1.5017f1332b76dp-15, -0x1.4edcd3f61fc7cp-15, -0x1.4d66b195d894fp-15, -0x1.4bb9031a8ab76p-15, -0x1.49d71fa5036a3p-15, -0x1.47c43d297d996p-15, -0x1.45837133912c8p-15, -0x1.4317b18b2693fp-15, -0x1.4083d4ed16149p-15, -0x1.3dca93d40b495p-15, -0x1.3aee894ba5041p-15, -0x1.37f233dc1f29dp-15, -0x1.34d7f6772f2a3p-15, -0x1.31a2197279ec7p-15, -0x1.2e52cb880e54fp-15, -0x1.2aec22d7fbb22p-15, -0x1.27701dd956da1p-15, -0x1.23e0a46437dfap-15, -0x1.203f88875edd8p-15, -0x1.1c8e8758ae23bp-15, -0x1.18cf49ac98b61p-15, -0x1.150364b5f3e0bp-15, -0x1.112c5a9073ea9p-15, -0x1.0d4b9ac4cad64p-15, -0x1.096282bb0cf33p-15, -0x1.05725e402020cp-15, -0x1.017c68016e98ap-15, -0x1.fb03943cd00d7p-16, -0x1.f3073da59d14cp-16, -0x1.eb05e2122c34dp-16, -0x1.e3017a0bc619fp-16, -0x1.dafbe1f028f7cp-16, -0x1.d2f6daecd9e17p-16, -0x1.caf40c03d4357p-16, -0x1.c2f502dc22c69p-16, -0x1.bafb34a8cf838p-16, -0x1.b307fef223ec7p-16, -0x1.ab1ca8b0b06cdp-16, -0x1.a33a632eaf08fp-16, -0x1.9b624b0f85868p-16, -0x1.9395695d51efbp-16, -0x1.8bd4b475047c9p-16, -0x1.84211118a19c6p-16, -0x1.7c7b534a643cep-16, -0x1.74e43f23d833ep-16, -0x1.6d5c89a243ea3p-16, -0x1.65e4d94525d36p-16, -0x1.5e7dc6a72fbb6p-16, -0x1.5727dcf2ee53p-16, -0x1.4fe39a3857d09p-16, -0x1.48b16fc278d35p-16, -0x1.4191c268f3f23p-16, -0x1.3a84eada7a02bp-16, -0x1.338b360db065fp-16, -0x1.2ca4e5ccfe999p-16, -0x1.25d2316441addp-16, -0x1.1f13466badf21p-16, -0x1.18684983d625ep-16, -0x1.11d15729e5759p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.93da7db5ba77dp-7, -0x1.6d54a185dcf12p-6, -0x1.1f1d8260ea00ep-5, -0x1.9cc41315a557p-5, -0x1.16b353398c05bp-4, -0x1.673041368fe6p-4, -0x1.be624f802dfap-4, -0x1.0d651b98244e8p-3, -0x1.3d740ec2219fp-3, -0x1.6ea34415b0b7ep-3, -0x1.a046430e34551p-3, -0x1.d1bb226dc97c5p-3, -0x1.0138a5d2d412p-2, -0x1.18f40f9c72ad4p-2, -0x1.2fd824355726dp-2, -0x1.45b55c92b8297p-2, -0x1.5a63ec5140d4bp-2, -0x1.6dc39cdb7f03p-2, -0x1.7fbb568c50037p-2, -0x1.903865887b98ap-2, -0x1.9f2dcec5b5c76p-2, -0x1.ac93b068a23a4p-2, -0x1.b8669c8292bcap-2, -0x1.c2a70a3b81a3dp-2, -0x1.cb58e61865021p-2, -0x1.d2832406a286bp-2, -0x1.d82f40d6d4b04p-2, -0x1.dc68bfa67ac5dp-2, -0x1.df3cb5b592744p-2, -0x1.e0b97949b057bp-2, -0x1.e0ee74dcc8198p-2, -0x1.dfebff22ecac5p-2, -0x1.ddc31a7cf9a48p-2, -0x1.da8598ff00839p-2, -0x1.d64408552aa5ap-2, -0x1.d1102728139a2p-2, -0x1.cafb4ce51292cp-2, -0x1.c416992f7603ep-2, -0x1.bc72da09d6aabp-2, -0x1.b42076def31dfp-2, -0x1.ab2f6029c4457p-2, -0x1.a1af02d200cfbp-2, -0x1.97ae3da012925p-2, -0x1.8d3b58beb757fp-2, -0x1.8263ff5377061p-2, -0x1.77353ab8d4435p-2, -0x1.6bbb6f5661184p-2, -0x1.60025adbe4a05p-2, -0x1.541514d6fe066p-2, -0x1.47fe1131efc31p-2, -0x1.3bc7238df5eedp-2, -0x1.2f79821e358b2p-2, -0x1.231dc808f2518p-2, -0x1.16bbf7cbe413p-2, -0x1.0a5b7f04b4dfap-2, -0x1.fc06773f83af3p-3, -0x1.e37303eb777ddp-3, -0x1.cb0845e2645e7p-3, -0x1.b2d0e3bb81dbcp-3, -0x1.9ad693a1e7752p-3, -0x1.83222623ad2c9p-3, -0x1.6bbb91ba122a1p-3, -0x1.54a9feadaf38cp-3, -0x1.3df3d2c83fa41p-3, -0x1.279ebc3e011b9p-3, -0x1.11afbba42b9c7p-3, -0x1.f8565a8909ac2p-4, -0x1.ce29a48f93ad9p-4, -0x1.a4dfb52264d7dp-4, -0x1.7c7ddea93cae3p-4, -0x1.55087c221eba1p-4, -0x1.2e8306b07fc0cp-4, -0x1.08f0295463088p-4, -0x1.c8a3a48b7f60dp-5, -0x1.815283abcb27fp-5, -0x1.3bee2df26c84p-5, -0x1.f0ed6b47531a2p-6, -0x1.6d4491fe9e694p-6, -0x1.dbe7614f3d0b1p-7, -0x1.c9c51f6d971dcp-8, 0x1.5256c7091c5dcp-12, 0x1.e51149aff3f89p-8, 0x1.d3120887c7bcbp-7, 0x1.562207ae935ep-6, 0x1.bf1b0866cd76ep-6, 0x1.1240554f22b71p-5, 0x1.433037da3818p-5, 0x1.72644db7d6ba8p-5, 0x1.9fe40d4826d62p-5, 0x1.cbb735c05f6c1p-5, 0x1.f5e5c49248369p-5, 0x1.0f3bf5e9b7888p-4, 0x1.22bb04cab436bp-4, 0x1.35745004d225p-4, 0x1.476c2705e4d1fp-4, 0x1.58a6e4011dd8dp-4, 0x1.6928e8867f818p-4, 0x1.78f69a2203652p-4, 0x1.88145efae1f8dp-4, 0x1.96869a7e62105p-4, 0x1.a451aa243770bp-4, 0x1.b179e25c31ce9p-4, 0x1.be038bb622514p-4, 0x1.c9f2e05a21f6p-4, 0x1.d54c09e2ef633p-4, 0x1.e0131f98708dap-4, 0x1.ea4c251558587p-4, 0x1.f3fb0965f4fcbp-4, 0x1.fd23a690600fap-4, 0x1.02e4e0b7add8cp-3, 0x1.06f884ecb640bp-3, 0x1.0ace8d848f1ebp-3, 0x1.0e68be180fad1p-3, 0x1.11c8d09159e0bp-3, 0x1.14f07587776f1p-3, 0x1.17e1549a5957ep-3, 0x1.1a9d0cc8976d2p-3, 0x1.1d2534b7724bbp-3, 0x1.1f7b5aebdea17p-3, 0x1.21a105f57222cp-3, 0x1.2397b48880926p-3, 0x1.2560dd8580accp-3, 0x1.26fdeff023544p-3, 0x1.287052d963433p-3, 0x1.29b9653f9cfe5p-3, 0x1.2ada7de8c9494p-3, 0x1.2bd4eb3acbe7bp-3, 0x1.2ca9f3154b8d2p-3, 0x1.2d5ad2b0ae945p-3, 0x1.2de8be8474b5fp-3, 0x1.2e54e23771a12p-3, 0x1.2ea0609cd25c2p-3, 0x1.2ecc53beec847p-3, 0x1.2ed9ccf712665p-3, 0x1.2ec9d511b6b75p-3, 0x1.2e9d6c7ebe89p-3, 0x1.2e558b8d1f622p-3, 0x1.2df322b04adf9p-3, 0x1.2d771acd6fd6ap-3, 0x1.2ce2558ece9e2p-3, 0x1.2c35adbb3cb48p-3, 0x1.2b71f78fedd1ep-3, 0x1.2a98011a6651ap-3, 0x1.29a8929114cd6p-3, 0x1.28a46ea933116p-3, 0x1.278c52e8a02a3p-3, 0x1.2660f7f27ecdp-3, 0x1.252311cdccea5p-3, 0x1.23d35025650aap-3, 0x1.22725e811422bp-3, 0x1.2100e477afa42p-3, 0x1.1f7f85da5987bp-3, 0x1.1deee2d94a476p-3, 0x1.1c4f98221a9fep-3, 0x1.1aa23ef8083eep-3, 0x1.18e76d471bd31p-3, 0x1.171fb5b307ff2p-3, 0x1.154ba7a23a926p-3, 0x1.136bcf45da816p-3, 0x1.1180b59f9f3c2p-3, 0x1.0f8ae086490cfp-3, 0x1.0d8ad2a9481eep-3, 0x1.0b810b94483fap-3, 0x1.096e07b2f249p-3, 0x1.0752405573743p-3, 0x1.052e88031e109p-3, 0x1.0302fec5db183p-3, 0x1.00d0069c05394p-3, 0x1.fd2c160cdede3p-4, 0x1.f8aae9929725ep-4, 0x1.f41d53fd49cc2p-4, 0x1.ef841c5227907p-4, 0x1.eae0048d374e4p-4, 0x1.e631c9c6ece98p-4, 0x1.e17a245935417p-4, 0x1.dcb9c803e753bp-4, 0x1.d7f16410bbfbbp-4, 0x1.d321a3764da6ap-4, 0x1.ce4b2cf97a9bep-4, 0x1.c96ea34cbcc8ap-4, 0x1.c48ca52dd289bp-4, 0x1.bfa5cd817ca2cp-4, 0x1.babab36d4fa07p-4, 0x1.b5cbea6f4ec31p-4, 0x1.b0da027369122p-4, 0x1.abe587e6ea30bp-4, 0x1.a6ef03ca157b8p-4, 0x1.a1f6fbbfe2a56p-4, 0x1.9cfdf21c0b517p-4, 0x1.980465ef7d31dp-4, 0x1.930ad313702d8p-4, 0x1.8e11b2334cb5p-4, 0x1.891978d56f773p-4, 0x1.84229962f049ep-4, 0x1.7f2d832ec8a16p-4, 0x1.7a3aa27cdf4a6p-4, 0x1.754a608936f95p-4, 0x1.705d238ef382p-4, 0x1.6b734ecf014b4p-4, 0x1.668d429694a64p-4, 0x1.61ab5c45df81ep-4, 0x1.5ccdf6573f18fp-4, 0x1.57f56866ea935p-4, 0x1.5322073b04b2fp-4, 0x1.4e5424cc02d28p-4, 0x1.498c104d8bdf9p-4, 0x1.44ca1637e2a88p-4, 0x1.400e8051bea56p-4, 0x1.3b5995ba60bdfp-4, 0x1.36ab9af3e2febp-4, 0x1.3204d1edb5deap-4, 0x1.2d657a0f4248dp-4, 0x1.28cdd042ae7bcp-4, 0x1.243e0effc3fb4p-4, 0x1.1fb66e57044dap-4, 0x1.1b3723fd08aacp-4, 0x1.16c06355ff65bp-4, 0x1.12525d80fc4dap-4, 0x1.0ded4162f064p-4, 0x1.09913bb158645p-4, 0x1.053e76fcbde83p-4, 0x1.00f51bbb24aabp-4, 0x1.f96aa0a4d47f6p-5, 0x1.f0fe72451296bp-5, 0x1.e8a5f11f52025p-5, 0x1.e0615e17e6926p-5, 0x1.d830f6426046cp-5, 0x1.d014f2f46261ap-5, 0x1.c80d89d820684p-5, 0x1.c01aecfe8b44ep-5, 0x1.b83d4af12077bp-5, 0x1.b074cec34bdb3p-5, 0x1.a8c1a0235a943p-5, 0x1.a123e36b371e4p-5, 0x1.999bb9b12883p-5, 0x1.922940d8c495bp-5, 0x1.8acc93a40c67cp-5, 0x1.8385c9c44e54bp-5, 0x1.7c54f7ea9230ep-5, 0x1.753a2fd7bc486p-5, 0x1.6e35806c97636p-5, 0x1.6746f5b9e4113p-5, 0x1.606e991086ea2p-5, 0x1.59ac7111e921p-5, 0x1.530081c076493p-5, 0x1.4c6acc90255edp-5, 0x1.45eb5076fb797p-5, 0x1.3f8209fd86674p-5, 0x1.392ef34f4e7ccp-5, 0x1.32f2044b3617ep-5, 0x1.2ccb3293cc1f9p-5, 0x1.26ba719f9cbffp-5, 0x1.20bfb2c9a826dp-5, 0x1.1adae561efc4fp-5, 0x1.150bf6be0d68bp-5, 0x1.0f52d249ae8dap-5, 0x1.09af6196ddb56p-5, 0x1.04218c6e19caep-5, 0x1.fd5271bc8e563p-6, 0x1.f28c969907a89p-6, 0x1.e7f14d07e4de8p-6, 0x1.dd80578ae99eap-6, 0x1.d33975ae7a8f2p-6, 0x1.c91c64284f6ap-6, 0x1.bf28dcf5c1246p-6, 0x1.b55e97799e58fp-6, 0x1.abbd489956cffp-6, 0x1.a244a2d98e54p-6, 0x1.98f4567a55747p-6, 0x1.8fcc11933fcc6p-6, 0x1.86cb802f3066dp-6, 0x1.7df24c67a82d4p-6, 0x1.75401e7f65d2p-6, 0x1.6cb49cfc5466dp-6, 0x1.644f6cc0cabb4p-6, 0x1.5c10312423f5p-6, 0x1.53f68c0aca036p-6, 0x1.4c021dfdba5f1p-6, 0x1.4432864191c14p-6, 0x1.3c8762ed1a997p-6, 0x1.350050ff6767p-6, 0x1.2d9cec756326cp-6, 0x1.265cd05ecc923p-6, 0x1.1f3f96f2a98e6p-6, 0x1.1844d9a32b0e4p-6, 0x1.116c313104375p-6, 0x1.0ab535be1e45ap-6, 0x1.041f7edfb740bp-6, 0x1.fb55476014f13p-7, 0x1.eeac75bf28c4ap-7, 0x1.e243b58bacc3dp-7, 0x1.d61a32e31776bp-7, 0x1.ca2f1970bfb37p-7, 0x1.be81948c7610fp-7, 0x1.b310cf586493ep-7, 0x1.a7dbf4ddee37p-7, 0x1.9ce2302970c11p-7, 0x1.9222ac651b93p-7, 0x1.879c94f2f62acp-7, 0x1.7d4f158641fdp-7, 0x1.73395a3bee764p-7, 0x1.695a8fb230062p-7, 0x1.5fb1e31f49b17p-7, 0x1.563e8267a54f3p-7, 0x1.4cff9c32ff55ap-7, 0x1.43f46000e12f1p-7, 0x1.3b1bfe3c5a9afp-7, 0x1.3275a84f3cadp-7, 0x1.2a0090b4adbedp-7, 0x1.21bbeb0b0b34p-7, 0x1.19a6ec24f98c6p-7, 0x1.11c0ca19c224fp-7, 0x1.0a08bc54f998p-7, 0x1.027dfba56378bp-7, 0x1.f63f84963bf3p-8, 0x1.e7da980a45ff7p-8, 0x1.d9cbac3c95194p-8, 0x1.cc113ef3d22d6p-8, 0x1.bea9d13fbf7a9p-8, 0x1.b193e78ff969ap-8, 0x1.a4ce09c95d762p-8, 0x1.9856c35a582e4p-8, 0x1.8c2ca34e5abdfp-8, 0x1.804e3c602a9e3p-8, 0x1.74ba250ae1bf4p-8, 0x1.696ef799a16f9p-8, 0x1.5e6b52362e986p-8, 0x1.53add6f6a72c6p-8, 0x1.49352bea573f8p-8, 0x1.3efffb257145p-8, 0x1.350cf2cba5825p-8, 0x1.2b5ac519b1c3dp-8, 0x1.21e8286e0922p-8, 0x1.18b3d75095401p-8, 0x1.0fbc90797885cp-8, 0x1.070116d6b7fffp-8, 0x1.fd0063220ca7ap-9, 0x1.ec71581f60a8dp-9, 0x1.dc52abf7bc5a3p-9, 0x1.cca20685e86c1p-9, 0x1.bd5d1830442cp-9, 0x1.ae713372550cdp-9, 0x1.9ff7b9bc2d49fp-9, 0x1.91e35f8e1cbc8p-9, 0x1.8431fa90248d1p-9, 0x1.76e168b4633bfp-9, 0x1.69ef902f176e6p-9, 0x1.5d5a5f6de6259p-9, 0x1.511fcd0e64efp-9, 0x1.453dd7d3db1c1p-9, 0x1.39b2869c396fep-9, 0x1.2e7be85448d48p-9, 0x1.239813eb18884p-9, 0x1.19052844a8f3ap-9, 0x1.0ec14c2c11136p-9, 0x1.04caae455f34dp-9, 0x1.f63f09fe56e47p-10, 0x1.e37c1d07269ffp-10, 0x1.d14921515d9d4p-10, 0x1.bfa2b1c0ef3f5p-10, 0x1.ae8578514a2fcp-10, 0x1.9dee2df4a1edbp-10, 0x1.8dd99a729f3c9p-10, 0x1.7e449445c58fbp-10, 0x1.6f2c007817ee4p-10, 0x1.608cd27efc2fbp-10, 0x1.52640c16fa30ap-10, 0x1.44aebd1f2b17bp-10, 0x1.376a03743b639p-10, 0x1.2a930acafd82cp-10, 0x1.1e270c8a7c10ap-10, 0x1.12234fa59c9bep-10, 0x1.068528743d92p-10, 0x1.f693f1184b1abp-11, 0x1.e0de5d3397251p-11, 0x1.cbe48c72188bbp-11, 0x1.b7a18f9b87176p-11, 0x1.a41090b82047cp-11, 0x1.912cd2c0885b1p-11, 0x1.7ef1b14ce901cp-11, 0x1.6d5aa043da06cp-11, 0x1.5c632b88ee51bp-11, 0x1.4c06f6ab15e72p-11, 0x1.3c41bc92b06b4p-11, 0x1.2d0f4f2f4fee3p-11, 0x1.1e6b9725e3139p-11, 0x1.1052937f45e93p-11, 0x1.02c05957a5bb9p-11, 0x1.eb62271cb2ab2p-12, 0x1.d24204eb40f68p-12, 0x1.ba18f7047c7ap-12, 0x1.a2dfd1f4e746ap-12, 0x1.8c8f934980f8p-12, 0x1.772160ee1e39bp-12, 0x1.628e888d10454p-12, 0x1.4ed07ef044dfcp-12, 0x1.3be0df640679ep-12, 0x1.29b96b1a7df73p-12, 0x1.1854089086ae3p-12, 0x1.07aac2f36c24bp-12, 0x1.ef6f931083406p-13, 0x1.d0eade2863b88p-13, 0x1.b3bc5289062f5p-13, 0x1.97d9202ea05a4p-13, 0x1.7d36ba8a89423p-13, 0x1.63cad75b64bb1p-13, 0x1.4b8b6d8be6cf2p-13, 0x1.346eb414fc5bap-13, 0x1.1e6b20e1d4a99p-13, 0x1.097767b201ef7p-13, 0x1.eb14f1f67a18cp-14, 0x1.c5370198f611dp-14, 0x1.a143cb6b5c3b6p-14, 0x1.7f2a8f64cb40ep-14, 0x1.5edafe2fd20b4p-14, 0x1.404537070a782p-14, 0x1.2359c5953fa15p-14, 0x1.08099fd60688cp-14, 0x1.dc8c47f961da8p-15, 0x1.ac022cbddf126p-15, 0x1.7e593ec78a485p-15, 0x1.537692e92d3a9p-15, 0x1.2b3ffde509dfcp-15, 0x1.059c105ef5314p-15, 0x1.c4e425b2f6adcp-16, 0x1.83540376cfb65p-16, 0x1.465912c28fdaap-16, 0x1.0dc60459b606ep-16, 0x1.b2ddb268789cap-17, 0x1.5251b5654382dp-17, 0x1.f32a4bac77b45p-18, 0x1.50af147d24c14p-18, 0x1.792b32e07e5d7p-19, 0x1.b232c8b74d72ep-21, -0x1.0b4680651d20ap-20, -0x1.5e81a7e4fd5b1p-19, -0x1.0f916e85ae08ep-18, -0x1.644961d59e891p-18, -0x1.adea811eaefd8p-18, -0x1.ecf29ba376c8fp-18, -0x1.10edcb75fa2bdp-17, -0x1.268dc454f9c9p-17, -0x1.3792680989884p-17, -0x1.4433175210e47p-17, -0x1.4ca5701d11bc4p-17, -0x1.511d591aba834p-17, -0x1.51cd0cf0747d4p-17, -0x1.4ee52513e5aacp-17, -0x1.4894a47a663eep-17, -0x1.3f09022de9773p-17, -0x1.326e33ca4a8cdp-17, -0x1.22eeb7eb94cbcp-17, -0x1.10b3a05427732p-17, -0x1.f7c93795e2a1dp-18, -0x1.c94fff1846993p-18, -0x1.9645a0bdeb346p-18, -0x1.5ef196d357aeep-18, -0x1.2398dd981f719p-18, -0x1.c8fc08a723c32p-19, -0x1.43c27c2565edep-19, -0x1.7001c83c7287ap-20, -0x1.3174b93994073p-22, 0x1.c505b4e364a3bp-21, 0x1.0de066bc83fcfp-19, 0x1.af43b12b307d6p-19, 0x1.2a8254b84f497p-18, 0x1.7f604888c19fp-18, 0x1.d60c391dfa765p-18, 0x1.172c412b9f9a7p-17, 0x1.440ca4f98f989p-17, 0x1.71923983669a6p-17, 0x1.9fa8c8f052adep-17, 0x1.ce3cefed8c0ap-17, 0x1.fd3c179e93001p-17, 0x1.164a37c6f6ce3p-16, 0x1.2e1a73dd33a3p-16, 0x1.4606956e73698p-16, 0x1.5e06cc74c1a5fp-16, 0x1.7613a0e6869b8p-16, 0x1.8e25f01fe883cp-16, 0x1.a636ea5ac3857p-16, 0x1.be401029a9ba4p-16, 0x1.d63b3003d965ep-16, 0x1.ee2263e1f1289p-16, 0x1.02f8077604addp-15, 0x1.0ecf6d9cdb95cp-15, 0x1.1a94dbcdc99f7p-15, 0x1.2645eab3e4364p-15, 0x1.31e05325f3ae1p-15, 0x1.3d61ed12d8ca8p-15, 0x1.48c8ae74d2ffep-15, 0x1.5412aa4dc0fb6p-15, 0x1.5f3e0faecf6dap-15, 0x1.6a4928cb17a0fp-15, 0x1.75325a1347d54p-15, 0x1.7ff821576ed2cp-15, 0x1.8a9914ed50b21p-15, 0x1.9513e2d6fb698p-15, 0x1.9f674fede9f7dp-15, 0x1.a992370f98d99p-15, 0x1.b393884d739fp-15, 0x1.bd6a4824b9bd2p-15, 0x1.c7158ebb3b7a6p-15, 0x1.d09487244fa9bp-15, 0x1.d9e66eacdb1eap-15, 0x1.e30a942db5b73p-15, 0x1.ec00576165a3bp-15, 0x1.f4c7283e9992ap-15, 0x1.fd5e865536e89p-15, 0x1.02e300167b95dp-14, 0x1.06fe995442467p-14, 0x1.0b01e435a6e6bp-14, 0x1.0eecbca4992dp-14, 0x1.12bf04dc7cf78p-14, 0x1.1678a529bea8p-14, 0x1.1a198baa9fde7p-14, 0x1.1da1ac10ee06bp-14, 0x1.2110ff67fb225p-14, 0x1.246783d628be5p-14, 0x1.27a53c614911dp-14, 0x1.2aca30b4a4ee2p-14, 0x1.2dd66ce76a86ap-14, 0x1.30ca0145a06a9p-14, 0x1.33a5021e78f9dp-14, 0x1.3667879239f17p-14, 0x1.3911ad647ee1dp-14, 0x1.3ba392ce48a9ap-14, 0x1.3e1d5a51ce941p-14, 0x1.407f298dfc3dep-14, 0x1.42c929130fe2cp-14, 0x1.44fb8437e0ec3p-14, 0x1.471668f047741p-14, 0x1.491a07a6185cep-14, 0x1.4b069313ffe18p-14, 0x1.4cdc40223a9a7p-14, 0x1.4e9b45c4b80ffp-14, 0x1.5043dcdb6e444p-14, 0x1.51d640126165fp-14, 0x1.5352abc3770f6p-14, 0x1.54b95dd94da6p-14, 0x1.560a95b3688f4p-14, 0x1.5746940bc142cp-14, 0x1.586d9ade626b6p-14, 0x1.597fed51418a8p-14, 0x1.5a7dcf9c98defp-14, 0x1.5b6786f2e289fp-14, 0x1.5c3d5968352dap-14, 0x1.5cff8dd900096p-14, 0x1.5dae6bd1fb21bp-14, 0x1.5e4a3b78ef386p-14, 0x1.5ed34577e2704p-14, 0x1.5f49d2eac277dp-14, 0x1.5fae2d4f97f1ep-14, 0x1.60009e77bd45fp-14, 0x1.6041707b8cd85p-14, 0x1.6070edabc177dp-14, 0x1.608f6086346bep-14, 0x1.609d13a5efb7cp-14, 0x1.609a51b72b678p-14, 0x1.6087656874589p-14, 0x1.6064995b701b6p-14, 0x1.60323818ce8b6p-14, 0x1.5ff08c0300debp-14, 0x1.5f9fdf489f778p-14, 0x1.5f407bdc2d1fap-14, 0x1.5ed2ab68c25b6p-14, 0x1.5e56b749c0cacp-14, 0x1.5dcce880f1f13p-14, 0x1.5d3587b08eafbp-14, 0x1.5c90dd11d9ceap-14, 0x1.5bdf306e723e6p-14, 0x1.5b20c9187efd8p-14, 0x1.5a55ede3c27aap-14, 0x1.597ee52129b11p-14, 0x1.589bf4989d0dep-14, 0x1.57ad6184b5bcep-14, 0x1.56b3708f114f1p-14, 0x1.55ae65cb6d01ap-14, 0x1.549e84b50c788p-14, 0x1.53841029b8bd6p-14, 0x1.525f4a65d7022p-14, 0x1.5130750101178p-14, 0x1.4ff7d0e959173p-14, 0x1.4eb59e5f762cbp-14, 0x1.4d6a1cf32fab4p-14, 0x1.4c158b7f14347p-14, 0x1.4ab82824d0a4ep-14, 0x1.49523049abb82p-14, 0x1.47e3e0938d1afp-14, 0x1.466d74e6dcd83p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e4d55c579cf26p-5, -0x1.37adf67ef94c7p-10, -0x1.008f0220e3dacp-4, -0x1.f7a3df939307bp-4, -0x1.71986fbd9506ap-3, -0x1.df139a0bb8ea7p-3, -0x1.2145c3b27d3c8p-2, -0x1.4d7a181cdbf2fp-2, -0x1.73e7665cb0c68p-2, -0x1.948674ec3c409p-2, -0x1.af79e3abe08eap-2, -0x1.c505390da237fp-2, -0x1.d581d6deeda99p-2, -0x1.e15805314a144p-2, -0x1.e8f8f30d3c7f2p-2, -0x1.ecd976571ffb9p-2, -0x1.ed6dfec05eb3bp-2, -0x1.eb27f582c380cp-2, -0x1.e6740031b854ep-2, -0x1.dfb86a0c65ccbp-2, -0x1.d753dc189048fp-2, -0x1.cd9cd4283a6b5p-2, -0x1.c2e1ae171132cp-2, -0x1.b768c6d714b8bp-2, -0x1.ab709513dbd7ep-2, -0x1.9f2fe340a979dp-2, -0x1.92d6404775d98p-2, -0x1.868c907cd2027p-2, -0x1.7a75a0bc701bep-2, -0x1.6eaea9f00fd64p-2, -0x1.634fc3387fc7bp-2, -0x1.586c529a43cb9p-2, -0x1.4e138c534afccp-2, -0x1.4450b7d80624ap-2, -0x1.3b2cb7342c0cap-2, -0x1.32aced531dca8p-2, -0x1.2ad472bd058e9p-2, -0x1.23a43f4c6527cp-2, -0x1.1d1b78aa7a305p-2, -0x1.1737ba07826c8p-2, -0x1.11f5541e66433p-2, -0x1.0d4f862f9cd0ap-2, -0x1.0940b06b73b6ap-2, -0x1.05c280f6d6d9cp-2, -0x1.02ce1bda0b412p-2, -0x1.005c3e6487e9p-2, -0x1.fccabd53c3759p-3, -0x1.f9c38d4b675aep-3, -0x1.f793566828dfdp-3, -0x1.f62a7e266394ep-3, -0x1.f57985eae9382p-3, -0x1.f571277ddc84ep-3, -0x1.f6026eb0cf8a3p-3, -0x1.f71ecf0455782p-3, -0x1.f8b834e42790ep-3, -0x1.fac1121d07f6bp-3, -0x1.fd2c6691124bap-3, -0x1.ffedc6754e6f8p-3, -0x1.017caf98e97d1p-2, -0x1.0321fd5ce2b56p-2, -0x1.04e180ab0932ep-2, -0x1.06b63cf4e534bp-2, -0x1.089b845eaf2d1p-2, -0x1.0a8cf6a5e3cbbp-2, -0x1.0c867fb1b4aa7p-2, -0x1.0e8455fea8d77p-2, -0x1.1082f8c83115ap-2, -0x1.127f2dc526b6fp-2, -0x1.1475fe8cf7327p-2, -0x1.1664b59b6a518p-2, -0x1.1848db165011p-2, -0x1.1a20318ae392ep-2, -0x1.1be8b2bf53353p-2, -0x1.1da08cc1c1c0cp-2, -0x1.1f461f3c8428dp-2, -0x1.20d7f8d93b9a6p-2, -0x1.2254d4bed19b1p-2, -0x1.23bee91d5044bp-2, -0x1.250f056507a27p-2, -0x1.264741aebccefp-2, -0x1.2766eeb682648p-2, -0x1.286d7cb21c206p-2, -0x1.295a78e903ce7p-2, -0x1.2a2d8b6f69f39p-2, -0x1.2ae675164a3bp-2, -0x1.2b850d86414f6p-2, -0x1.2c09417c82fb6p-2, -0x1.2c731131a89c2p-2, -0x1.2cc28ee3eccabp-2, -0x1.2cf7dd79841ddp-2, -0x1.2d132f35e5e3ep-2, -0x1.2d14c47e743b9p-2, -0x1.2cfceaa84f696p-2, -0x1.2ccbfacc8d405p-2, -0x1.2c8258a9b2129p-2, -0x1.2c207189a2012p-2, -0x1.2ba6bb295e555p-2, -0x1.2b15b2ad675f3p-2, -0x1.2a6ddba1256fbp-2, -0x1.29afbf0025814p-2, -0x1.28dbea4dfd691p-2, -0x1.27f2eebe531e7p-2, -0x1.26f5606d248ecp-2, -0x1.25e3d5a6a0f4bp-2, -0x1.24bee63f4b17ap-2, -0x1.23872b0178f41p-2, -0x1.223d3d2cdf198p-2, -0x1.20e1b60388aa5p-2, -0x1.1f752e66d64c1p-2, -0x1.1df83e86e91dbp-2, -0x1.1c6b7da291f63p-2, -0x1.1acf81d338c1fp-2, -0x1.1924dfe296ad4p-2, -0x1.176c2b29f2a0ap-2, -0x1.15a5f578f3ea8p-2, -0x1.13d2ceffef83bp-2, -0x1.11f3463c94b29p-2, -0x1.1007e7e9b77c6p-2, -0x1.0e113eee69d92p-2, -0x1.0c0fd44a07cf3p-2, -0x1.0a042efecf0bbp-2, -0x1.07eed3fc5ac54p-2, -0x1.05d046091043p-2, -0x1.03a905a9d71a5p-2, -0x1.0179910988dbp-2, -0x1.fe84c7c310903p-3, -0x1.fa07eec5770b1p-3, -0x1.f57d843cece09p-3, -0x1.f0e66fe1d8c7ap-3, -0x1.ec4393defab81p-3, -0x1.e795ccb451ap-3, -0x1.e2ddf11da57c4p-3, -0x1.de1cd1fea0a5ep-3, -0x1.d9533a573fefap-3, -0x1.d481ef413462bp-3, -0x1.cfa9aff52890cp-3, -0x1.cacb35d781b04p-3, -0x1.c5e7348c6517fp-3, -0x1.c0fe5a122a996p-3, -0x1.bc114ee04577dp-3, -0x1.b720b60a6203fp-3, -0x1.b22d2d68c17f9p-3, -0x1.ad374dc38dfd8p-3, -0x1.a83faafd73c6bp-3, -0x1.a346d43ca29c7p-3, -0x1.9e4d54130f38cp-3, -0x1.9953b0a658735p-3, -0x1.945a6bd6563b1p-3, -0x1.8f6203611e881p-3, -0x1.8a6af1045df75p-3, -0x1.8575aa9bdb99ep-3, -0x1.8082a23d4f8d5p-3, -0x1.7b92465230d96p-3, -0x1.76a501afbc8b6p-3, -0x1.71bb3bac90b22p-3, -0x1.6cd5583386c87p-3, -0x1.67f3b7d403368p-3, -0x1.6316b7d05e66bp-3, -0x1.5e3eb22b0bea7p-3, -0x1.596bfdb2e3f62p-3, -0x1.549eee0e097fdp-3, -0x1.4fd7d3c372485p-3, -0x1.4b16fc43d5d7ap-3, -0x1.465cb1f2b7bdp-3, -0x1.41a93c2fc39d7p-3, -0x1.3cfccf1f0e541p-3, -0x1.3857fca76de8bp-3, -0x1.33bac1b9db503p-3, -0x1.2f255945a3278p-3, -0x1.2a97fb81b482p-3, -0x1.2612ddfc5e66cp-3, -0x1.219633ab73572p-3, -0x1.1d222cfcccb5cp-3, -0x1.18b6f7e718109p-3, -0x1.1454bffac95c8p-3, -0x1.0ffbae72f02a1p-3, -0x1.0babea45eb6dap-3, -0x1.07659836090bbp-3, -0x1.0328dae22ff42p-3, -0x1.fdeba5acef887p-4, -0x1.f5993d38854p-4, -0x1.ed5ab59339232p-4, -0x1.e530441fb2c95p-4, -0x1.dd1a1a9352948p-4, -0x1.d518671179ca3p-4, -0x1.cd2b5445e1a91p-4, -0x1.c553097de555dp-4, -0x1.bd8faac099acfp-4, -0x1.b5e158e596d4bp-4, -0x1.ae4831aaabd99p-4, -0x1.a6c44fc88fb04p-4, -0x1.9f55cb06bb97ap-4, -0x1.97fcb84e81807p-4, -0x1.90b929bd63683p-4, -0x1.898b2eb6bdc56p-4, -0x1.8272d3f4cfeddp-4, -0x1.7b7023996dc21p-4, -0x1.7483253e882e5p-4, -0x1.6dabde068e169p-4, -0x1.66ea50ac8bd1p-4, -0x1.603e7d9408a8p-4, -0x1.59a862d8b2ed4p-4, -0x1.5327fc5deacccp-4, -0x1.4cbd43de35061p-4, -0x1.466830fab7254p-4, -0x1.4028b94ae8833p-4, -0x1.39fed06c78c03p-4, -0x1.33ea68132d731p-4, -0x1.2deb701881ebbp-4, -0x1.2801d68b0ce77p-4, -0x1.222d87bdc2bc6p-4, -0x1.1c6e6e5731898p-4, -0x1.16c47360c0be5p-4, -0x1.112f7e55e5ba4p-4, -0x1.0baf7533272a7p-4, -0x1.06443c84ca8cep-4, -0x1.00edb77542ba4p-4, -0x1.f7578fb6edb1fp-5, -0x1.ecfc9c91b3a3ep-5, -0x1.e2ca542e8592cp-5, -0x1.d8c072ece9b1cp-5, -0x1.cedeb2f2a292bp-5, -0x1.c524cc4569501p-5, -0x1.bb9274e40d9b1p-5, -0x1.b22760df0966cp-5, -0x1.a8e342707be07p-5, -0x1.9fc5ca138505p-5, -0x1.96cea69b09378p-5, -0x1.8dfd8547d3b24p-5, -0x1.855211de2f0c9p-5, -0x1.7ccbf6baed24p-5, -0x1.746adce7eabaep-5, -0x1.6c2e6c2ffb183p-5, -0x1.64164b3218782p-5, -0x1.5c221f73f2a4cp-5, -0x1.54518d740a7ffp-5, -0x1.4ca438bb8f47ap-5, -0x1.4519c3effd927p-5, -0x1.3db1d0e45681cp-5, -0x1.366c00a9c70bcp-5, -0x1.2f47f39fad6dp-5, -0x1.284549832eb66p-5, -0x1.2163a17e6f78ap-5, -0x1.1aa29a3775e22p-5, -0x1.1401d1deb5a85p-5, -0x1.0d80e63d7321fp-5, -0x1.071f74c3d627cp-5, -0x1.00dd1a968af6cp-5, -0x1.f572e9382cbc3p-6, -0x1.e9683f13e4ac5p-6, -0x1.dd996fe2b8422p-6, -0x1.d205b49786242p-6, -0x1.c6ac460daa556p-6, -0x1.bb8c5d2062969p-6, -0x1.b0a532c18d69cp-6, -0x1.a5f6000fd49b8p-6, -0x1.9b7dfe6c7b9cdp-6, -0x1.913c6790b90dcp-6, -0x1.873075a27de9bp-6, -0x1.7d5963487e009p-6, -0x1.73b66bbd96978p-6, -0x1.6a46cae38b71ep-6, -0x1.6109bd5527a34p-6, -0x1.57fe8077d528cp-6, -0x1.4f24528ca0083p-6, -0x1.467a72c0935d4p-6, -0x1.3e00213c775ep-6, -0x1.35b49f34121dfp-6, -0x1.2d972ef4b42c2p-6, -0x1.25a713f2df162p-6, -0x1.1de392d78e541p-6, -0x1.164bf18d6089cp-6, -0x1.0edf774d21bfcp-6, -0x1.079d6ca9616e5p-6, -0x1.00851b99589c1p-6, -0x1.f32b9f0718deap-7, -0x1.e59daa8fb889p-7, -0x1.d85ef691bce1cp-7, -0x1.cb6e22e93927dp-7, -0x1.bec9d29a1a1e9p-7, -0x1.b270abe05c66fp-7, -0x1.a661583f1b4c2p-7, -0x1.9a9a848e330ddp-7, -0x1.8f1ae1070d3ebp-7, -0x1.83e12150b08cp-7, -0x1.78ebfc8b16bfap-7, -0x1.6e3a2d5971b9cp-7, -0x1.63ca71ebab62bp-7, -0x1.599b8c0713e96p-7, -0x1.4fac410e46c11p-7, -0x1.45fb5a0833edfp-7, -0x1.3c87a3a68417ap-7, -0x1.334fee4b34333p-7, -0x1.2a530e0d69c01p-7, -0x1.218fdabd7966cp-7, -0x1.19052fe874fb3p-7, -0x1.10b1ecdb4b286p-7, -0x1.0894f4a564c95p-7, -0x1.00ad2e1a96b2bp-7, -0x1.f1f307a88e469p-8, -0x1.e2f1c8640bcd6p-8, -0x1.d45482b374b6p-8, -0x1.c619226f0d2dbp-8, -0x1.b83d9afa31cb3p-8, -0x1.aabfe74042ddbp-8, -0x1.9d9e09b02578ep-8, -0x1.90d60c37ca6b1p-8, -0x1.8466003fe704dp-8, -0x1.784bfea749648p-8, -0x1.6c8627bc65542p-8, -0x1.6112a335bc6bfp-8, -0x1.55efa02a0847ep-8, -0x1.4b1b550854b1ep-8, -0x1.4093ff8f4157bp-8, -0x1.3657e4c2cbbc7p-8, -0x1.2c6550e14415bp-8, -0x1.22ba97585d76ep-8, -0x1.195612b9fd871p-8, -0x1.103624b08b4c9p-8, -0x1.075935f24d4f4p-8, -0x1.fd7b6c68d63fap-9, -0x1.ecc4383ba7233p-9, -0x1.dc89ca734c85cp-9, -0x1.ccc92bd1de63p-9, -0x1.bd7f72a769d81p-9, -0x1.aea9c2b3f430cp-9, -0x1.a0454d0986666p-9, -0x1.924f4fedbf06p-9, -0x1.84c516b9e8a88p-9, -0x1.77a3f9b985ca9p-9, -0x1.6ae95e07dfe04p-9, -0x1.5e92b56e472d8p-9, -0x1.529d7e42d779p-9, -0x1.47074346f1e07p-9, -0x1.3bcd9b8417373p-9, -0x1.30ee2a27586b7p-9, -0x1.26669e5c255a1p-9, -0x1.1c34b327ddd9dp-9, -0x1.12562f45ae36ap-9, -0x1.08c8e501dcaf6p-9, -0x1.ff15642785db9p-10, -0x1.ed2516d7d257ep-10, -0x1.dbd36017279c3p-10, -0x1.cb13b7b16ebcbp-10, -0x1.bae23459a93d9p-10, -0x1.ab3b01d83d26bp-10, -0x1.9c1a60be4ff46p-10, -0x1.8d7ca616d6f0cp-10, -0x1.7f5e3b1413117p-10, -0x1.71bb9cbbf7dcbp-10, -0x1.64915b9628c14p-10, -0x1.57dc1b5ea1036p-10, -0x1.4b9892bc32922p-10, -0x1.3fc38af7b7e2p-10, -0x1.3459dfb161a45p-10, -0x1.29587e92dc18ap-10, -0x1.1ebc66ffaa216p-10, -0x1.1482a9c61856ep-10, -0x1.0aa868d22ac21p-10, -0x1.012ad6e3a8be2p-10, -0x1.f00e6e8d65373p-11, -0x1.de75bb1c17fffp-11, -0x1.cd865a99838e4p-11, -0x1.bd3b339da1fa1p-11, -0x1.ad8f4ba19e8dfp-11, -0x1.9e7dc6707a648p-11, -0x1.9001e59962461p-11, -0x1.821707e58689ap-11, -0x1.74b8a8d166cb9p-11, -0x1.67e2600911cb6p-11, -0x1.5b8fe0e6472c7p-11, -0x1.4fbcf9efce625p-11, -0x1.44659458e4cfp-11, -0x1.3985b38014554p-11, -0x1.2f19746d59d3bp-11, -0x1.251d0d5197c3bp-11, -0x1.1b8ccd07265fep-11, -0x1.12651a96794cep-11, -0x1.09a274be927cep-11, -0x1.014171822aaffp-11, -0x1.f27d7b6b4e2fbp-12, -0x1.e32e3919bcb1bp-12, -0x1.d48ece4d9a885p-12, -0x1.c699182d7d1a7p-12, -0x1.b9471ddccbd45p-12, -0x1.ac930f94e0b6fp-12, -0x1.a07745cb4ca4bp-12, -0x1.94ee40669dcbcp-12, -0x1.89f2a5fb5b724p-12, -0x1.7f7f430b9e8b1p-12, -0x1.758f093e5a574p-12, -0x1.6c1d0e8fe164ep-12, -0x1.63248c7f01c23p-12, -0x1.5aa0df3cf72b4p-12, -0x1.528d84e34092cp-12, -0x1.4ae61cb3d008cp-12, -0x1.43a6665e5b6e8p-12, -0x1.3cca414eb3f5dp-12, -0x1.364dabff0f55cp-12, -0x1.302cc34ea9d66p-12, -0x1.2a63c1d96829bp-12, -0x1.24eeff4d7b039p-12, -0x1.1fcaefc0994e9p-12, -0x1.1af42303c3adfp-12, -0x1.166743f8a4142p-12, -0x1.122117ed7af02p-12, -0x1.0e1e7dfd4b136p-12, -0x1.0a5c6e7738764p-12, -0x1.06d7fa47bd9dep-12, -0x1.038e4a6413f47p-12, -0x1.007c9f35cb6b6p-12, -0x1.fb40a013859d2p-13, -0x1.f5ed9507ab689p-13, -0x1.f0fb242dea90cp-13, -0x1.ec647efe0e1a9p-13, -0x1.e825007537f74p-13, -0x1.e4382c05aa1e7p-13, -0x1.e099ac8606bfp-13, -0x1.dd45532012562p-13, -0x1.da371647ba77fp-13, -0x1.d76b10baa3efdp-13, -0x1.d4dd80915895fp-13, -0x1.d28ac659074c1p-13, -0x1.d06f6438b437dp-13, -0x1.ce87fd19d47dp-13, -0x1.ccd153cf1a18fp-13, -0x1.cb484a356b3f9p-13, -0x1.c9e9e05286586p-13, -0x1.c8b3336d72e9fp-13, -0x1.c7a17d2ab47d5p-13, -0x1.c6b212ae43964p-13, -0x1.c5e263c88c9ffp-13, -0x1.c52ffa2f7aebp-13, -0x1.c49878c349799p-13, -0x1.c4199ade201b8p-13, -0x1.c3b133a5d346bp-13, -0x1.c35d2d5ee1e3dp-13, -0x1.c31b88bccbf6ap-13, -0x1.c2ea5c3213b49p-13, -0x1.c2c7d33e3e19p-13, -0x1.c2b22dbb1f548p-13, -0x1.c2a7bf30356p-13, -0x1.c2a6ee26c99eap-13, -0x1.c2ae338828dd1p-13, -0x1.c2bc1a0943f58p-13, -0x1.c2cf3da1dbb7p-13, -0x1.c2e64b0eb2c0fp-13, -0x1.c2ffff5591f17p-13, -0x1.c31b274a9be56p-13, -0x1.c3369f0ae713p-13, -0x1.c351517221e0fp-13, -0x1.c36a378f08ff5p-13, -0x1.c380581a04183p-13, -0x1.c392c6f76a953p-13, -0x1.c3a0a4c6cc295p-13, -0x1.c3a91e7e6fc01p-13, -0x1.c3ab6d0edd78ap-13, -0x1.c3a6d506fd3f9p-13, -0x1.c39aa6363232p-13, -0x1.c3863b48b0d2dp-13, -0x1.c368f96236eb1p-13, -0x1.c3424fb7770c7p-13, -0x1.c311b72e64fc6p-13, -0x1.c2d6b1fe32dbcp-13, -0x1.c290cb53eec0dp-13, -0x1.c23f96f8bb0b7p-13, -0x1.c1e2b0fba92b4p-13, -0x1.c179bd5f0c819p-13, -0x1.c10467d2a9655p-13, -0x1.c08263721a501p-13, -0x1.bff36a8ba0774p-13, -0x1.bf573e67cf45dp-13, -0x1.beada70e0b622p-13, -0x1.bdf6730399315p-13, -0x1.bd317704bcbcfp-13, -0x1.bc5e8dbeee1e3p-13, -0x1.bb7d9787e6ddap-13, -0x1.ba8e7a183df39p-13, -0x1.b991204894689p-13, -0x1.b88579d0acda1p-13, -0x1.b76b7b0c0bd46p-13, -0x1.b6431cc3f6ac6p-13, -0x1.b50c5c0356455p-13, -0x1.b3c739efbeb14p-13, -0x1.b273bbaaadffbp-13, -0x1.b111ea3086153p-13, -0x1.afa1d234a5b96p-13, -0x1.ae2383f73c8f5p-13, -0x1.ac9713146b2fp-13, -0x1.aafc9651304bdp-13, -0x1.a954276688af9p-13, -0x1.a79de2d0744e3p-13, -0x1.a5d9e79f32ce5p-13, -0x1.a408575253c6cp-13, -0x1.a22955b352cb8p-13, -0x1.a03d08b622fdfp-13, -0x1.9e43985b4186bp-13, -0x1.9c3d2e9570cf7p-13, -0x1.9a29f7304032fp-13, -0x1.980a1fb7962f4p-13, -0x1.95ddd75f1f91cp-13, -0x1.93a54ee94a728p-13, -0x1.9160b88bf25p-13, -0x1.8f1047d45ab97p-13, -0x1.8cb4318d01f3fp-13, -0x1.8a4caba2e1b46p-13, -0x1.87d9ed0eac5ddp-13, -0x1.855c2dbc8355cp-13, -0x1.82d3a675f5ea4p-13, -0x1.804090ca50c59p-13, -0x1.7da326f5ef617p-13, -0x1.7afba3cd5cf4dp-13, -0x1.784a42a74971ap-13, -0x1.758f3f4c46639p-13, -0x1.72cad5e7d2e15p-13, -0x1.6ffd42fc83b98p-13, -0x1.6d26c3582638ap-13, -0x1.6a4794054dcdap-13, -0x1.675ff23e92ee3p-13, -0x1.64701b5e77978p-13, -0x1.61784ccff0a46p-13, -0x1.5e78c40095933p-13, -0x1.5b71be544f1a7p-13, -0x1.5863791b07261p-13, -0x1.554e318716e2p-13, -0x1.523224a5dc02ap-13, -0x1.4f0f8f55540acp-13, -0x1.4be6ae3df6bcdp-13, -0x1.48b7bdc7fcb5dp-13, -0x1.4582fa124e45ep-13, -0x1.42489ee89f835p-13, -0x1.3f08e7b912c5cp-13, -0x1.3bc40f89ddd43p-13, -0x1.387a50ef65123p-13, -0x1.352be6028cb7ap-13, -0x1.31d908588c71bp-13, -0x1.2e81f0fbb0cd6p-13, -0x1.2b26d8690d3f3p-13, -0x1.27c7f68d3590fp-13, -0x1.246582c4b947dp-13, -0x1.20ffb3dcc95ffp-13, -0x1.1d96c014fc75ap-13, -0x1.1a2add1fc944dp-13, -0x1.16bc402151b6ep-13, -0x1.134b1dac06b25p-13, -0x1.0fd7a9b9c64c2p-13, -0x1.0c6217a3e3a62p-13, -0x1.08ea9a16743c6p-13, -0x1.057163076745bp-13, -0x1.01f6a3aaf5ef9p-13, -0x1.fcf518db6b4f6p-14, -0x1.f5fa99e1e5ed6p-14, -0x1.eefe2817ac77ap-14, -0x1.e8001f9fb1c6dp-14, -0x1.e100db1dd250fp-14, -0x1.da00b3c6f342bp-14, -0x1.d300016beaba8p-14, -0x1.cbff1a86b5164p-14, -0x1.c4fe543ad9d4cp-14, -0x1.bdfe0257b3401p-14, -0x1.b6fe7751b7dafp-14, -0x1.b0000439e104dp-14, -0x1.a902f8b2fffdfp-14, -0x1.a207a2ec9bef4p-14, -0x1.9b0e4f99563a9p-14, -0x1.941749eb76273p-14, -0x1.8d22db9275428p-14, -0x1.86314cba0fc89p-14, -0x1.7f42e40be2cafp-14, -0x1.7857e6b1efaa1p-14, -0x1.7170985763808p-14, -0x1.6a8d3b30729ffp-14, -0x1.63ae0ffc8b28p-14, -0x1.5cd3560ba82ccp-14, -0x1.55fd4b4320a2ep-14, -0x1.4f2c2c21800acp-14, -0x1.486033c295545p-14, -0x1.41999be206327p-14, -0x1.3ad89cddbd532p-14, -0x1.341d6db8bac46p-14, -0x1.2d68441ece89bp-14, -0x1.26b954674fc8dp-14, -0x1.2010d19f07eb3p-14, -0x1.196eed8c04fa3p-14, -0x1.12d3d8b563ff6p-14, -0x1.0c3fc268a033cp-14, -0x1.05b2d8bd1393dp-14, -0x1.fe5a912a029bdp-15, -0x1.f15e7b378d94ap-15, -0x1.e471c48747592p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.f9fa2f3d2d14dp-2, -0x1.f4fd077cdff13p-2, -0x1.ef97bf442c56fp-2, -0x1.e9ce94c6d86afp-2, -0x1.e3a5ed1c477cep-2, -0x1.dd224ad1f04e6p-2, -0x1.d648458b9a515p-2, -0x1.cf1c82c5af08bp-2, -0x1.c7a3afb9d290ap-2, -0x1.bfe27c56323bep-2, -0x1.b7dd972c944cdp-2, -0x1.af99aa370c78p-2, -0x1.a71b584cb425dp-2, -0x1.9e673b205eee9p-2, -0x1.9581e1a535395p-2, -0x1.8c6fceb8c7abfp-2, -0x1.833577f6dbb49p-2, -0x1.79d744a08afeap-2, -0x1.70598c85987ebp-2, -0x1.66c096e420df4p-2, -0x1.5d10993772332p-2, -0x1.534db5f2f8905p-2, -0x1.497bfb29994a9p-2, -0x1.3f9f6124834cap-2, -0x1.35bbc8ee8197dp-2, -0x1.2bd4fada2dd2bp-2, -0x1.21eea50a28ef8p-2, -0x1.180c5a02c33a6p-2, -0x1.0e318f4c47ea1p-2, -0x1.04619c2cb72efp-2, -0x1.f53f70fdcd45fp-3, -0x1.e1ddf7584f33p-3, -0x1.cea4b799035f7p-3, -0x1.bb9959e1111b2p-3, -0x1.a8c1412d765c4p-3, -0x1.96218a9aaabp-3, -0x1.83bf0d01116d5p-3, -0x1.719e58e861f08p-3, -0x1.5fc3b8ceb1875p-3, -0x1.4e3331be5f6efp-3, -0x1.3cf0842d475ecp-3, -0x1.2bff2d1e902d5p-3, -0x1.1b62678006179p-3, -0x1.0b1d2dbb64527p-3, -0x1.f66476e7b8ecbp-4, -0x1.d7481ed02fb33p-4, -0x1.b8e9dae22b445p-4, -0x1.9b4dc12d1f309p-4, -0x1.7e777a63d2146p-4, -0x1.626a46325ee5bp-4, -0x1.4728ff9865f94p-4, -0x1.2cb6213caceb4p-4, -0x1.1313c9b0a77fcp-4, -0x1.f4877f374f32dp-5, -0x1.c48eeb8d65dc7p-5, -0x1.96401e0680975p-5, -0x1.699cc3d09d858p-5, -0x1.3ea5f8c4e08ap-5, -0x1.155c4e28ea845p-5, -0x1.db7fa21d92c35p-6, -0x1.8fa020a549868p-6, -0x1.4718446de1a89p-6, -0x1.01e55342b7579p-6, -0x1.80076bef8c4e6p-7, -0x1.02de02fa590f1p-7, -0x1.1887fd3aa3c21p-8, -0x1.c2d6a9660b8c8p-11, 0x1.35cc97f2db1a6p-9, 0x1.615915fe11428p-8, 0x1.0d8efa92f0077p-7, 0x1.642bfd1989c45p-7, 0x1.b49661d6ae57dp-7, 0x1.fee2341d8eb14p-7, 0x1.2192587572c7p-6, 0x1.40ba1e699af57p-6, 0x1.5cf42d1663113p-6, 0x1.764ccfaf90e47p-6, 0x1.8cd0d6a1c8a4dp-6, 0x1.a08d92c20efb3p-6, 0x1.b190d0746da81p-6, 0x1.bfe8d2c2a33f4p-6, 0x1.cba44e5ce42b3p-6, 0x1.d4d2647fc15ddp-6, 0x1.db829dbb53c6fp-6, 0x1.dfc4e498e19fap-6, 0x1.e1a9801d09ea4p-6, 0x1.e1410e2595af2p-6, 0x1.de9c7da2cd2dbp-6, 0x1.d9cd08ad0744p-6, 0x1.d2e42e77ea1cbp-6, 0x1.c9f3ad256b808p-6, 0x1.bf0d7b7b4b8c7p-6, 0x1.b243c27e38acap-6, 0x1.a3a8d6f644c36p-6, 0x1.934f32e0aeddap-6, 0x1.81496ed361bb5p-6, 0x1.6daa3b56a9ea9p-6, 0x1.58845a39f67p-6, 0x1.41ea97e87422bp-6, 0x1.29efc4c280ee4p-6, 0x1.10a6ae80e294p-6, 0x1.ec44334d5d44ap-7, 0x1.b4e9760d79dd7p-7, 0x1.7b6262c2ab8c5p-7, 0x1.3fd3fe3d76009p-7, 0x1.02630855bf69ep-7, 0x1.8667dfda1dc47p-8, 0x1.04d58e86e962cp-8, 0x1.00ace29a01671p-9, -0x1.b3c23f705d085p-14, -0x1.20aad8b54209bp-9, -0x1.1bf853da01abap-8, -0x1.a9747cef4c242p-8, -0x1.1c43ecebd3136p-7, -0x1.6478d185cbf76p-7, -0x1.ad3933da74254p-7, -0x1.f6660e919e3c7p-7, -0x1.1ff08b4ebadb9p-6, -0x1.44c660f6be8dfp-6, -0x1.69a626cdfae91p-6, -0x1.8e81e1ca8e7d3p-6, -0x1.b34bffdc1df17p-6, -0x1.d7f75a3975315p-6, -0x1.fc77376ba8ffp-6, -0x1.105fa68bb687cp-5, -0x1.2261e0c2afbfdp-5, -0x1.343c967533aa1p-5, -0x1.45ea4d38a39eap-5, -0x1.5765c48361861p-5, -0x1.68a9f5f4ef33p-5, -0x1.79b21580e6c77p-5, -0x1.8a79917daa81ap-5, -0x1.9afc1297be5dbp-5, -0x1.ab357baabb261p-5, -0x1.bb21e980e43d4p-5, -0x1.cabdb27a6640ep-5, -0x1.da05661d514f9p-5, -0x1.e8f5cc8f65416p-5, -0x1.f78be5facbc26p-5, -0x1.02e274ef6f00fp-4, -0x1.09cf23270b0fbp-4, -0x1.108acf8d27208p-4, -0x1.171466783419ep-4, -0x1.1d6aee3242654p-4, -0x1.238d8677f076ep-4, -0x1.297b67f0ba818p-4, -0x1.2f33e3a134ba1p-4, -0x1.34b66257bbad4p-4, -0x1.3a0264141ca88p-4, -0x1.3f177f6abc9e7p-4, -0x1.43f560e3bba83p-4, -0x1.489bca5692c13p-4, -0x1.4d0a9242a3894p-4, -0x1.5141a32530fa6p-4, -0x1.5540facd31a89p-4, -0x1.5908a9ad68f8ep-4, -0x1.5c98d22d30823p-4, -0x1.5ff1a7f85909fp-4, -0x1.63136f4e7fff2p-4, -0x1.65fe7c523a8f6p-4, -0x1.68b332586ba93p-4, -0x1.6b3203381ba59p-4, -0x1.6d7b6e9b1f2dfp-4, -0x1.6f90014fda123p-4, -0x1.7170549c673e1p-4, -0x1.731d0d9365225p-4, -0x1.7496dc6aa9f28p-4, -0x1.75de7bd4174fap-4, -0x1.76f4b058c711ep-4, -0x1.77da47b6c2a26p-4, -0x1.78901841759e6p-4, -0x1.7917004505766p-4, -0x1.796fe56cb86e7p-4, -0x1.799bb42c8ea7ep-4, -0x1.799b5f2e2e471p-4, -0x1.796fdec142331p-4, -0x1.791a304f635b7p-4, -0x1.789b55d3a57fdp-4, -0x1.77f45555dbe13p-4, -0x1.77263869a6396p-4, -0x1.76320bb15655p-4, -0x1.7518de64b883ep-4, -0x1.73dbc1dbca225p-4, -0x1.727bc91d6517fp-4, -0x1.70fa0871e2eecp-4, -0x1.6f5794f9beba3p-4, -0x1.6d9584483139ep-4, -0x1.6bb4ec01c9288p-4, -0x1.69b6e17efbaaap-4, -0x1.679c7972a7f02p-4, -0x1.6566c79485f12p-4, -0x1.6316de4f7a77dp-4, -0x1.60adce73c5355p-4, -0x1.5e2ca6ecfd9e9p-4, -0x1.5b94747bd37cdp-4, -0x1.58e6417384c44p-4, -0x1.5623157afa70ap-4, -0x1.534bf5517d1a5p-4, -0x1.5061e296efd97p-4, -0x1.4d65db9781735p-4, -0x1.4a58db1ac1016p-4, -0x1.473bd836036a5p-4, -0x1.440fc62205f9dp-4, -0x1.40d59413bbcb8p-4, -0x1.3d8e2d182efccp-4, -0x1.3a3a77f363873p-4, -0x1.36db570224e52p-4, -0x1.3371a81eaa171p-4, -0x1.2ffe4487f959ep-4, -0x1.2c8200cbf77e7p-4, -0x1.28fdacb40b237p-4, -0x1.257213343e2dap-4, -0x1.21dffa5cc862ap-4, -0x1.1e48234decce3p-4, -0x1.1aab4a2e12324p-4, -0x1.170a262203dc7p-4, -0x1.13656947415ddp-4, -0x1.0fbdc0b04aad1p-4, -0x1.0c13d462d11fbp-4, -0x1.08684757ba0dcp-4, -0x1.04bbb77cdad87p-4, -0x1.010ebdb85d16dp-4, -0x1.fac3dbdb6b3dep-5, -0x1.f36bae082e654p-5, -0x1.ec1605dca5d3fp-5, -0x1.e4c3ed6818ffp-5, -0x1.dd7664f8698a3p-5, -0x1.d62e6331693c3p-5, -0x1.ceecd5266d1a5p-5, -0x1.c7b29e75fbe49p-5, -0x1.c08099677468ap-5, -0x1.b957970a88d6fp-5, -0x1.b2385f586ebb4p-5, -0x1.ab23b156a22b4p-5, -0x1.a41a433b20babp-5, -0x1.9d1cc291f6e81p-5, -0x1.962bd4640b412p-5, -0x1.8f48155f0197cp-5, -0x1.887219fe21e0dp-5, -0x1.81aa6eb42587dp-5, -0x1.7af19815ce5d8p-5, -0x1.7448130534d69p-5, -0x1.6dae54ddaf574p-5, -0x1.6724cba03e245p-5, -0x1.60abde206790ap-5, -0x1.5a43ec316bc75p-5, -0x1.53ed4ed3bfa7bp-5, -0x1.4da85862b5052p-5, -0x1.477554c24723ep-5, -0x1.4154898cefa7ep-5, -0x1.3b4636417b298p-5, -0x1.354a9470c7f99p-5, -0x1.2f61d7eb626abp-5, -0x1.298c2eeeefd82p-5, -0x1.23c9c2535949fp-5, -0x1.1e1ab5b7ac357p-5, -0x1.187f27ae9fc38p-5, -0x1.12f731eab954dp-5, -0x1.0d82e969ff06ap-5, -0x1.08225ea134b3dp-5, -0x1.02d59da6955eap-5, -0x1.fb395cb803411p-6, -0x1.f0ef2931360ecp-6, -0x1.e6cca0a38aaecp-6, -0x1.dcd1bb870eb84p-6, -0x1.d2fe6b3084fa7p-6, -0x1.c9529a1f7851bp-6, -0x1.bfce2c4af00dbp-6, -0x1.b670ff6cabde2p-6, -0x1.ad3aeb4af33d6p-6, -0x1.a42bc200da157p-6, -0x1.9b4350450ad0ap-6, -0x1.92815daefe9acp-6, -0x1.89e5acfaa9766p-6, -0x1.816ffc4a8f964p-6, -0x1.7920056846cbfp-6, -0x1.70f57e035ae6ap-6, -0x1.68f017ee9cbe4p-6, -0x1.610f815bcbbccp-6, -0x1.59536515af017p-6, -0x1.51bb6ab88415p-6, -0x1.4a4736e8df53ep-6, -0x1.42f66b88e6229p-6, -0x1.3bc8a7ebfb8c3p-6, -0x1.34bd8908cc4c5p-6, -0x1.2dd4a9a9cf5f6p-6, -0x1.270da29c335cbp-6, -0x1.20680add3d875p-6, -0x1.19e377c62306ep-6, -0x1.137f7d365e64ep-6, -0x1.0d3badbc814efp-6, -0x1.07179abd93816p-6, -0x1.0112d49af22ebp-6, -0x1.f659d5ad9544cp-7, -0x1.eacad86e48516p-7, -0x1.df77cdcf0e9a1p-7, -0x1.d45fd13292f3cp-7, -0x1.c981fd4502643p-7, -0x1.bedd6c374b695p-7, -0x1.b47137f7d8ad2p-7, -0x1.aa3c7a68b370ep-7, -0x1.a03e4d9339521p-7, -0x1.9675cbd969a0ep-7, -0x1.8ce21024c8e03p-7, -0x1.8382361304a8p-7, -0x1.7a555a204f783p-7, -0x1.715a99cf90a19p-7, -0x1.689113d06b15bp-7, -0x1.5ff7e823330aap-7, -0x1.578e383ae4be2p-7, -0x1.4f53271d154e5p-7, -0x1.4745d98008de1p-7, -0x1.3f6575e6e78a5p-7, -0x1.37b124bc24c15p-7, -0x1.3028106a2cf7p-7, -0x1.28c9657261515p-7, -0x1.21945282710ep-7, -0x1.1a8808881fb3p-7, -0x1.13a3bac383fdap-7, -0x1.0ce69ed7ce118p-7, -0x1.064fecdaa245p-7, -0x1.ffbdbec429929p-8, -0x1.f3256722a7ac5p-8, -0x1.e6d552481a054p-8, -0x1.dacc04f1333c2p-8, -0x1.cf080931ffef6p-8, -0x1.c387ee85a6064p-8, -0x1.b84a49dbfe414p-8, -0x1.ad4db5a518f53p-8, -0x1.a290d1dacc58p-8, -0x1.9812440859992p-8, -0x1.8dd0b750472c1p-8, -0x1.83cadc707d7fap-8, -0x1.79ff69c4c2d87p-8, -0x1.706d1b47a2f7ep-8, -0x1.6712b291dac62p-8, -0x1.5deef6d85b219p-8, -0x1.5500b4e8f3288p-8, -0x1.4c46bf25b567cp-8, -0x1.43bfed7f29aa8p-8, -0x1.3b6b1d6d5d6f2p-8, -0x1.334731e7e15bap-8, -0x1.2b53135cc5b55p-8, -0x1.238dafa6a3a7p-8, -0x1.1bf5fa01c7097p-8, -0x1.148aeb007f6f3p-8, -0x1.0d4b807eae68cp-8, -0x1.0636bd949d6b2p-8, -0x1.fe9755124b852p-9, -0x1.f112a9867adb6p-9, -0x1.e3dd9d75dfd49p-9, -0x1.d6f65fd3a44ddp-9, -0x1.ca5b2975f4a64p-9, -0x1.be0a3cf50f51cp-9, -0x1.b201e6898e42ap-9, -0x1.a6407be9f56dep-9, -0x1.9ac45c279e0d5p-9, -0x1.8f8bef8b15b56p-9, -0x1.8495a76ffbf03p-9, -0x1.79dffe206f423p-9, -0x1.6f6976b0252c5p-9, -0x1.65309cd72c9dep-9, -0x1.5b3404cc73991p-9, -0x1.51724b2020eedp-9, -0x1.47ea1495c2a2p-9, -0x1.3e9a0dfe6bf7p-9, -0x1.3580ec12c840ep-9, -0x1.2c9d6b4d2bfeap-9, -0x1.23ee4fc3b5bb6p-9, -0x1.1b72650281823p-9, -0x1.13287de6017ap-9, -0x1.0b0f74757c38dp-9, -0x1.032629bdbc111p-9, -0x1.f6d70b57fd182p-10, -0x1.e7bcedd23bc15p-10, -0x1.d8fbe56a15d38p-10, -0x1.ca91e9851e57fp-10, -0x1.bc7cfe26d89dp-10, -0x1.aebb33a9a36a9p-10, -0x1.a14aa678693f1p-10, -0x1.94297ec920d73p-10, -0x1.8755f058197f1p-10, -0x1.7ace3a242e32bp-10, -0x1.6e90a62bd8cc9p-10, -0x1.629b892b31a43p-10, -0x1.56ed425adddddp-10, -0x1.4b843b2fff8ebp-10, -0x1.405ee71d16d2ap-10, -0x1.357bc353eff9p-10, -0x1.2ad9568886031p-10, -0x1.207630b5031d8p-10, -0x1.1650eadeb8cbfp-10, -0x1.0c6826dc34ef9p-10, -0x1.02ba8f1c5ae23p-10, -0x1.f28dacdd23c1ap-11, -0x1.e0176f9812e4fp-11, -0x1.ce0fec4413fe1p-11, -0x1.bc74b83ab7abbp-11, -0x1.ab4377ed80456p-11, -0x1.9a79de80f8c1fp-11, -0x1.8a15ad69ee958p-11, -0x1.7a14b40ccc0a7p-11, -0x1.6a74cf5f13c4p-11, -0x1.5b33e98af3487p-11, -0x1.4c4ff994f185ap-11, -0x1.3dc70303ad623p-11, -0x1.2f971589adb49p-11, -0x1.21be4cb139d79p-11, -0x1.143acf8a36cf3p-11, -0x1.070ad05a04b67p-11, -0x1.f459189aa75a7p-12, -0x1.db3c9657d95a2p-12, -0x1.c2bcbe1cca841p-12, -0x1.aad6482b734e8p-12, -0x1.938600498a573p-12, -0x1.7cc8c5372187p-12, -0x1.669b8828e5a7p-12, -0x1.50fb4c45ea55cp-12, -0x1.3be52628fc821p-12, -0x1.27563b655f7f7p-12, -0x1.134bc20ef0a5bp-12, -0x1.ff86008b36d74p-13, -0x1.d972978819bc9p-13, -0x1.b45812e333b3cp-13, -0x1.903159ee8b199p-13, -0x1.6cf970afad683p-13, -0x1.4aab7715e1865p-13, -0x1.2942a8362a12fp-13, -0x1.08ba598d14fb2p-13, -0x1.d21bf48c39cd6p-14, -0x1.9472251110128p-14, -0x1.586e8593501ffp-14, -0x1.1e088648987bbp-14, -0x1.ca6f8ad54ca5p-15, -0x1.5be81bf4d5d7ep-15, -0x1.e0d55a33519e1p-16, -0x1.0fcf00843ab27p-16, -0x1.12794fff91f27p-18, 0x1.01b5c2db36f79p-17, 0x1.40ba394ae2bbfp-16, 0x1.fb1cb4aa86881p-16, 0x1.580f6011a149ap-15, 0x1.afee1bd400b44p-15, 0x1.029c1a902618cp-14, 0x1.2bfd87690a05fp-14, 0x1.5421e46d7f18ap-14, 0x1.7b0fa0f970877p-14, 0x1.a0cd0c9cfc49cp-14, 0x1.c56057e6d08a4p-14, 0x1.e8cf9527f9138p-14, 0x1.05905c98b07e8p-13, 0x1.162cce059001ep-13, 0x1.263ffcd2f1691p-13, 0x1.35ccb9433fc1p-13, 0x1.44d5c63602e51p-13, 0x1.535dd9782ad3bp-13, 0x1.61679c11c7aecp-13, 0x1.6ef5aa913035cp-13, 0x1.7c0a9553bf41dp-13, 0x1.88a8e0cc2daa6p-13, 0x1.94d305c6a9011p-13, 0x1.a08b71aab10b6p-13, 0x1.abd486bad9b53p-13, 0x1.b6b09c5275fb6p-13, 0x1.c121ff214ef0fp-13, 0x1.cb2af16570c5cp-13, 0x1.d4cdab2315044p-13, 0x1.de0c5a5ad45b6p-13, 0x1.e6e9233e118bbp-13, 0x1.ef662061cc4d6p-13, 0x1.f78562efcdc68p-13, 0x1.ff48f2d658e6cp-13, 0x1.0359677b2bb9dp-12, 0x1.06e276a8104c3p-12, 0x1.0a409d977016ep-12, 0x1.0d74cea954c4bp-12, 0x1.107ff80ca712bp-12, 0x1.136303d2f9d07p-12, 0x1.161ed803c20e5p-12, 0x1.18b456af0015dp-12, 0x1.1b245dff592a3p-12, 0x1.1d6fc84bb3a3p-12, 0x1.1f976c284e9eap-12, 0x1.219c1c775ec2p-12, 0x1.237ea8793ad4ap-12, 0x1.253fdbdc0ec3dp-12, 0x1.26e07ecb2ceb8p-12, 0x1.286155fdecfa8p-12, 0x1.29c322c62f6b1p-12, 0x1.2b06a31e7d002p-12, 0x1.2c2c91b7cad65p-12, 0x1.2d35a606e8e3bp-12, 0x1.2e229451998bdp-12, 0x1.2ef40dbb597d2p-12, 0x1.2faac051daff1p-12, 0x1.3047571935233p-12, 0x1.30ca7a17cc41dp-12, 0x1.3134ce61f8b63p-12, 0x1.3186f62567585p-12, 0x1.31c190b43fdf2p-12, 0x1.31e53a900d1b8p-12, 0x1.31f28d746b1bp-12, 0x1.31ea20617fb2cp-12, 0x1.31cc87a63ba58p-12, 0x1.319a54ea6b98fp-12, 0x1.3154173897f5p-12, 0x1.30fa5b07b1de7p-12, 0x1.308daa449ad05p-12, 0x1.300e8c5b7a388p-12, 0x1.2f7d8640eccb9p-12, 0x1.2edb1a7b0cab1p-12, 0x1.2e27c92a525cap-12, 0x1.2d6410125060ap-12, 0x1.2c906aa24d012p-12, 0x1.2bad51fdb974p-12, 0x1.2abb3d04888f8p-12, 0x1.29baa05b642b8p-12, 0x1.28abee73c94a6p-12, 0x1.278f9793fee0ap-12, 0x1.266609def93e8p-12, 0x1.252fb15c1bb3bp-12, 0x1.23ecf7fee0f99p-12, 0x1.229e45ae6e734p-12, 0x1.2144004d08ce1p-12, 0x1.1fde8bbf73e9ep-12, 0x1.1e6e49f43c3d4p-12, 0x1.1cf39aeae68e3p-12, 0x1.1b6edcbb0cbfcp-12, 0x1.19e06b9b6502dp-12, 0x1.1848a1e8b280fp-12, 0x1.16a7d82ca2ab1p-12, 0x1.14fe652498832p-12, 0x1.134c9dc861d58p-12, 0x1.1192d550dd21dp-12, 0x1.0fd15d3e8818bp-12, 0x1.0e08856002647p-12, 0x1.0c389bd87978ep-12, 0x1.0a61ed2605876p-12, 0x1.0884c427f63bep-12, 0x1.06a16a250ba96p-12, 0x1.04b826d1a226bp-12, 0x1.02c94055cc9aep-12, 0x1.00d4fb535e201p-12, 0x1.fdb735d7c9929p-13, 0x1.f9bac18d277dap-13, 0x1.f5b51a2c4095dp-13, 0x1.f1a6bd3d1b92ap-13, 0x1.ed902575d3a7ap-13, 0x1.e971cac5f6be3p-13, 0x1.e54c2261c6dcbp-13, 0x1.e11f9ecd55b94p-13, 0x1.dcecafe791e2ep-13, 0x1.d8b3c2f525fb1p-13, 0x1.d47542ab4b52fp-13, 0x1.d031973a72335p-13, 0x1.cbe92658d820dp-13, 0x1.c79c534cfaff1p-13, 0x1.c34b7ef7f4c93p-13, 0x1.bef707dfb9905p-13, 0x1.ba9f4a3936dafp-13, 0x1.b6449ff25c7f3p-13, 0x1.b1e760bc0429cp-13, 0x1.ad87e213c42d1p-13, 0x1.a926774da016ap-13, 0x1.a4c3719d9f253p-13, 0x1.a05f20214e078p-13, 0x1.9bf9cfe91bad2p-13, 0x1.9793cc01a15fep-13, 0x1.932d5d7ccef11p-13, 0x1.8ec6cb7af846fp-13, 0x1.8a605b33cb7ecp-13, 0x1.85fa4fff2c09cp-13, 0x1.8194eb5df2c3fp-13, 0x1.7d306d028e853p-13, 0x1.78cd12d993947p-13, 0x1.746b1912262dbp-13, 0x1.700aba265303dp-13, 0x1.6bac2ee345883p-13, 0x1.674fae716d15bp-13, 0x1.62f56e5c7d2d1p-13, 0x1.5e9da29b5ac78p-13, 0x1.5a487d97f070bp-13, 0x1.55f63036e026bp-13, 0x1.51a6e9df224f8p-13, 0x1.4d5ad8818d438p-13, 0x1.491228a0361cbp-13, 0x1.44cd0555c96acp-13, 0x1.408b985cbb5ecp-13, 0x1.3c4e0a1665f34p-13, 0x1.381481920ddbbp-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fe4335d79ed36p-2, -0x1.fa1858be529d5p-2, -0x1.f591eff3e35e2p-2, -0x1.f0b282c0ff0dfp-2, -0x1.eb7cb8789abd2p-2, -0x1.e5f3538b6f4f9p-2, -0x1.e0192ce29fce2p-2, -0x1.d9f12f957c519p-2, -0x1.d37e5506abe47p-2, -0x1.ccc3a16e5a323p-2, -0x1.c5c420d152965p-2, -0x1.be82e4607a2ecp-2, -0x1.b7030038c8e08p-2, -0x1.af478979a1fbp-2, -0x1.a75394a63dae7p-2, -0x1.9f2a34464fb76p-2, -0x1.96ce77ba63b8fp-2, -0x1.8e436a3915765p-2, -0x1.858c11eb5aea8p-2, -0x1.7cab6f1f6c675p-2, -0x1.73a47b8b25252p-2, -0x1.6a7a2998354e5p-2, -0x1.612f63b5cfe63p-2, -0x1.57c70bacc069fp-2, -0x1.4e43f9f3ff8b9p-2, -0x1.44a8fd04c62fap-2, -0x1.3af8d8ae0215dp-2, -0x1.31364567a2eccp-2, -0x1.2763efa6be765p-2, -0x1.1d847733e64d7p-2, -0x1.139a6e8536499p-2, -0x1.09a85a1dca11fp-2, -0x1.ff615fe88b9c2p-3, -0x1.eb6badc41b396p-3, -0x1.d7744c394f9aep-3, -0x1.c37fc9753200cp-3, -0x1.af929289aacc3p-3, -0x1.9bb0f2ab57a86p-3, -0x1.87df128b99edbp-3, -0x1.7420f7cfb3e08p-3, -0x1.607a84a55c969p-3, -0x1.4cef7774b646dp-3, -0x1.39836aaf34abbp-3, -0x1.2639d4bab1f37p-3, -0x1.131607f78ab2p-3, -0x1.001b32e063a05p-3, -0x1.da98c0841c6e7p-4, -0x1.b558ef13792f3p-4, -0x1.907c7a4f46af1p-4, -0x1.6c08a608388a1p-4, -0x1.4802720a7487ep-4, -0x1.246e9b4598a55p-4, -0x1.01519d0d9d9d4p-4, -0x1.bd5f64e14ea5fp-5, -0x1.7919af3bff851p-5, -0x1.35d996b544efp-5, -0x1.e74c41ffe524fp-6, -0x1.650bbe06874ebp-6, -0x1.c9fbbfbade581p-7, -0x1.9cb82287da542p-8, 0x1.4593da5a52f1cp-10, 0x1.1b1c73d69a148p-7, 0x1.0467fe0cef742p-6, 0x1.78de60e153882p-6, 0x1.eae9f86307ce5p-6, 0x1.2d4209fecafabp-5, 0x1.63d35b801b5f8p-5, 0x1.9926499c36a43p-5, 0x1.cd3881db0ed5fp-5, 0x1.000401ee8335p-4, 0x1.18c98f73bda23p-4, 0x1.30ec37c33d30ap-4, 0x1.486b6ea195c4bp-4, 0x1.5f46cc372aaacp-4, 0x1.757e0bff1602bp-4, 0x1.8b110bbf37a06p-4, 0x1.9fffca88e336ep-4, 0x1.b44a67c19bf6fp-4, 0x1.c7f1223331c16p-4, 0x1.daf45722b4c61p-4, 0x1.ed54816d82707p-4, 0x1.ff1238abdb62p-4, 0x1.0817182c29b71p-3, 0x1.10549b7dc3e9p-3, 0x1.18421aadbeaa7p-3, 0x1.1fe016d713d2p-3, 0x1.272f1d673f8f7p-3, 0x1.2e2fc7b9dcdf9p-3, 0x1.34e2bab51b44bp-3, 0x1.3b48a666d2d28p-3, 0x1.416245a21a696p-3, 0x1.47305d9d228d5p-3, 0x1.4cb3bd8f4dcf6p-3, 0x1.51ed3e4f4e7ebp-3, 0x1.56ddc1f1550f2p-3, 0x1.5b8633652098cp-3, 0x1.5fe78613f959p-3, 0x1.6402b57e8d4c4p-3, 0x1.67d8c4daa6f43p-3, 0x1.6b6abeb0c7f91p-3, 0x1.6eb9b479adcccp-3, 0x1.71c6be3bcca14p-3, 0x1.7492fa28cec4ep-3, 0x1.771f8c3b24b55p-3, 0x1.796d9dd3c9178p-3, 0x1.7b7e5d583f9f5p-3, 0x1.7d52fdd0f052dp-3, 0x1.7eecb687f8ab8p-3, 0x1.804cc2a88c184p-3, 0x1.817460df046bp-3, 0x1.8264d2f9b9f23p-3, 0x1.831f5d8acad39p-3, 0x1.83a5478ae4205p-3, 0x1.83f7d9fd3275dp-3, 0x1.84185f949650cp-3, 0x1.8408245a39191p-3, 0x1.83c875559d4aep-3, 0x1.835aa03647a3dp-3, 0x1.82bff2ff1f3d8p-3, 0x1.81f9bbb393882p-3, 0x1.81094806a993dp-3, 0x1.7fefe50c0beb8p-3, 0x1.7eaedeeb1c212p-3, 0x1.7d478094366bep-3, 0x1.7bbb137825961p-3, 0x1.7a0adf41dfdbdp-3, 0x1.783829929585ep-3, 0x1.764435c029e25p-3, 0x1.743044961234ep-3, 0x1.71fd9418b7a57p-3, 0x1.6fad5f4b4d399p-3, 0x1.6d40ddf836dfp-3, 0x1.6ab9447bf7db2p-3, 0x1.6817c392afa7bp-3, 0x1.655d88282c47ap-3, 0x1.628bbb2a8b093p-3, 0x1.5fa3815f6512bp-3, 0x1.5ca5fb3b978ecp-3, 0x1.599444bd83682p-3, 0x1.566f7549e27c2p-3, 0x1.53389f8b129afp-3, 0x1.4ff0d152d8f74p-3, 0x1.4c99137e97defp-3, 0x1.493269dde989bp-3, 0x1.45bdd31b93adap-3, 0x1.423c48a8cbef7p-3, 0x1.3eaebeaac7055p-3, 0x1.3b1623ea7829ap-3, 0x1.377361c67c778p-3, 0x1.33c75c272883dp-3, 0x1.3012f1749dcffp-3, 0x1.2c56fa8ee5722p-3, 0x1.28944ac7f5903p-3, 0x1.24cbafdf9d472p-3, 0x1.20fdf2013ad8ep-3, 0x1.1d2bd3c33b408p-3, 0x1.195612284380bp-3, 0x1.157d64a1fbc32p-3, 0x1.11a27d15680d4p-3, 0x1.0dc607e0c9434p-3, 0x1.09e8abe2dc408p-3, 0x1.060b0a8386dbp-3, 0x1.022dbfbdc7b83p-3, 0x1.fca2c455c9183p-4, 0x1.f4ed061d9a2f5p-4, 0x1.ed3b5ccb14dc5p-4, 0x1.e58ed5e399f77p-4, 0x1.dde87498d55bbp-4, 0x1.d64931e996f78p-4, 0x1.ceb1fcc47c4c3p-4, 0x1.c723ba2c19703p-4, 0x1.bf9f455cbbf73p-4, 0x1.b8256ff38a2d4p-4, 0x1.b0b70216e0bd2p-4, 0x1.a954ba9feec22p-4, 0x1.a1ff4f4559bb7p-4, 0x1.9ab76cc6d4456p-4, 0x1.937db719a7988p-4, 0x1.8c52c995ebe64p-4, 0x1.8537372482931p-4, 0x1.7e2b8a6d9fa45p-4, 0x1.77304607d71efp-4, 0x1.7045e4a797a56p-4, 0x1.696cd94efe19ep-4, 0x1.62a58f7debc04p-4, 0x1.5bf06b624feb4p-4, 0x1.554dca0890198p-4, 0x1.4ebe018bfdca4p-4, 0x1.484161474a914p-4, 0x1.41d83204e81bp-4, 0x1.3b82b62f482dap-4, 0x1.35412a00ea2bbp-4, 0x1.2f13c3b42cf44p-4, 0x1.28fab3b2d495fp-4, 0x1.22f624c53893bp-4, 0x1.1d063c411193dp-4, 0x1.172b1a37d61f4p-4, 0x1.1164d9a4a2628p-4, 0x1.0bb390999dc1p-4, 0x1.0617506cd4e64p-4, 0x1.009025e48287cp-4, 0x1.f63c32c579f94p-5, 0x1.eb825e210561dp-5, 0x1.e0f2ce103b112p-5, 0x1.d68d7afdb24f6p-5, 0x1.cc5255dc08c2ap-5, 0x1.c241487675458p-5, 0x1.b85a35bfdfcdfp-5, 0x1.ae9cfa20753f4p-5, 0x1.a5096bc1b5098p-5, 0x1.9b9f5ad8ea2acp-5, 0x1.925e91f01261cp-5, 0x1.8946d62d2ac68p-5, 0x1.8057e797dbce4p-5, 0x1.7791815d8a006p-5, 0x1.6ef35a13bd4aep-5, 0x1.667d23f8e875ap-5, 0x1.5e2e8d3388f7p-5, 0x1.5607400fa145fp-5, 0x1.4e06e33a8ad9bp-5, 0x1.462d19fd29562p-5, 0x1.3e79847472953p-5, 0x1.36ebbfc85b07dp-5, 0x1.2f8366611e56cp-5, 0x1.2840101aef867p-5, 0x1.212152780c09cp-5, 0x1.1a26c0d139822p-5, 0x1.134fec84b5902p-5, 0x1.0c9c652392c79p-5, 0x1.060bb89d8f17fp-5, 0x1.ff3ae6d6d12b8p-6, 0x1.f2a2416f5d10fp-6, 0x1.e64c950c3e8d5p-6, 0x1.da38f3b317ad6p-6, 0x1.ce666db0aa101p-6, 0x1.c2d411def5f7ap-6, 0x1.b780ede89f4bdp-6, 0x1.ac6c0e899aa9bp-6, 0x1.a1947fcd2f2bcp-6, 0x1.96f94d49636e9p-6, 0x1.8c998257d9576p-6, 0x1.82742a4c2a332p-6, 0x1.788850a7d6e3ap-6, 0x1.6ed5014bcc18ap-6, 0x1.655948a79baa2p-6, 0x1.5c1433e668f52p-6, 0x1.5304d1199bf07p-6, 0x1.4a2a2f6172317p-6, 0x1.41835f136bc54p-6, 0x1.390f71deaf4e6p-6, 0x1.30cd7aee70ab4p-6, 0x1.28bc8f0a62954p-6, 0x1.20dbc4b54bdafp-6, 0x1.192a3449c3052p-6, 0x1.11a6f81526eb7p-6, 0x1.0a512c70e02f7p-6, 0x1.0327efd9f4c39p-6, 0x1.f854c60e03ccap-7, 0x1.eaaf51f945cd9p-7, 0x1.dd5dce40baa7fp-7, 0x1.d05e8a941f8bcp-7, 0x1.c3afdba7fa93fp-7, 0x1.b7501b52fa61p-7, 0x1.ab3da8a8ba9b2p-7, 0x1.9f76e811fb6eap-7, 0x1.93fa4362790c2p-7, 0x1.88c629ec64949p-7, 0x1.7dd91091a470cp-7, 0x1.733171d2ecf84p-7, 0x1.68cdcddccd8cep-7, 0x1.5eacaa92ba9d2p-7, 0x1.54cc9398402dcp-7, 0x1.4b2c1a5858b26p-7, 0x1.41c9d60b1201p-7, 0x1.38a463b9888acp-7, 0x1.2fba66404c69p-7, 0x1.270a86504b21ap-7, 0x1.1e93726e491b1p-7, 0x1.1653def1004a2p-7, 0x1.0e4a85fdf4d7bp-7, 0x1.0676278510a31p-7, 0x1.fdab12762cbd6p-8, 0x1.eeceed25faa18p-8, 0x1.e055816c87d96p-8, 0x1.d23c7cf890f41p-8, 0x1.c48198c170c6cp-8, 0x1.b72298f243b7ep-8, 0x1.aa1d4cd36e1dfp-8, 0x1.9d6f8eb2a18f5p-8, 0x1.911743c97567bp-8, 0x1.85125c22b3b94p-8, 0x1.795ed27e694dcp-8, 0x1.6dfaac34d763ep-8, 0x1.62e3f9185a4f4p-8, 0x1.5818d3565864ap-8, 0x1.4d975f575361ap-8, 0x1.435dcb9e29892p-8, 0x1.396a50a69f3abp-8, 0x1.2fbb30c33fa71p-8, 0x1.264eb7faa77e4p-8, 0x1.1d233be44b0a2p-8, 0x1.14371b84c5c9p-8, 0x1.0b88bf29c6641p-8, 0x1.03169845a16bp-8, 0x1.f5be429538025p-9, 0x1.e5c1bb0bf76ddp-9, 0x1.d634b1f5ce31ep-9, 0x1.c714507a4620ep-9, 0x1.b85dd097752e3p-9, 0x1.aa0e7cd732f05p-9, 0x1.9c23b0044e232p-9, 0x1.8e9ad4dfce8d1p-9, 0x1.817165d65dbb9p-9, 0x1.74a4ecb5e80bcp-9, 0x1.683302637c2f4p-9, 0x1.5c194e9186746p-9, 0x1.505587767282cp-9, 0x1.44e57183b89e5p-9, 0x1.39c6df1d7205fp-9, 0x1.2ef7b052773dcp-9, 0x1.2475d2951419p-9, 0x1.1a3f40745f049p-9, 0x1.105201564115ep-9, 0x1.06ac29322c0d9p-9, 0x1.fa97b09925239p-10, 0x1.e85e75e650824p-10, 0x1.d6a91273d0fd8p-10, 0x1.c5740d71f3d68p-10, 0x1.b4bc0496bfcf7p-10, 0x1.a47dab9d2ed25p-10, 0x1.94b5cbc61d911p-10, 0x1.8561435b10a5dp-10, 0x1.767d0532d9555p-10, 0x1.680618380b508p-10, 0x1.59f996f1677c7p-10, 0x1.4c54af0c22fc2p-10, 0x1.3f14a0e823404p-10, 0x1.3236bf262bbd3p-10, 0x1.25b86e37fe66fp-10, 0x1.199723f270133p-10, 0x1.0dd067217ae42p-10, 0x1.0261cf1e408b8p-10, 0x1.ee9206ce1612fp-11, 0x1.d907767285578p-11, 0x1.c41f7a5ab466bp-11, 0x1.afd5bda961cf1p-11, 0x1.9c2608b2ce69fp-11, 0x1.890c404046bfp-11, 0x1.768464d788f1ap-11, 0x1.648a9205fee3bp-11, 0x1.531afdafc3c5bp-11, 0x1.4231f76271798p-11, 0x1.31cbe7aba7d2p-11, 0x1.21e54f73480e8p-11, 0x1.127ac7595b1c1p-11, 0x1.0388ff1793881p-11, 0x1.ea1979cccdb4bp-12, 0x1.ce05b9cb5e134p-12, 0x1.b2d0a1119031bp-12, 0x1.98743c0c43134p-12, 0x1.7eeabf9465f3ap-12, 0x1.662e87db95d43p-12, 0x1.4e3a175f51a2ap-12, 0x1.370815e2ad8d2p-12, 0x1.20934f6e66718p-12, 0x1.0ad6b35742f04p-12, 0x1.eb9aa6953c378p-13, 0x1.c2e4c4c20a7e8p-13, 0x1.9b82686d9d3ep-13, 0x1.756a7815126e7p-13, 0x1.509417c2596a4p-13, 0x1.2cf6a75fda959p-13, 0x1.0a89c1172dfbfp-13, 0x1.d28a6f7555b36p-14, 0x1.92422a73309f4p-14, 0x1.542b323d8d8dbp-14, 0x1.18366e32b42cfp-14, 0x1.bcaa563e43373p-15, 0x1.4cf230ed3dc57p-15, 0x1.c2511681ca1a9p-16, 0x1.e4c8fab224267p-17, 0x1.4f4da2a90334cp-19, -0x1.2ea58af5fa939p-17, -0x1.5183199c124a4p-16, -0x1.026c11c857b08p-15, -0x1.58c0bd0042534p-15, -0x1.abd6bbcf5cfa1p-15, -0x1.fbc4a1e86a971p-15, -0x1.245036c5f0527p-14, -0x1.493fc5cf1c856p-14, -0x1.6cbb6dd069ee9p-14, -0x1.8ecd59c71399bp-14, -0x1.af7f71ccfaf4ap-14, -0x1.cedb5ceb21141p-14, -0x1.ecea82dedc12fp-14, -0x1.04db06e90bba1p-13, -0x1.12a3760382342p-13, -0x1.1fd2e8bbc2005p-13, -0x1.2c6d9cb4502bep-13, -0x1.3877b3f937603p-13, -0x1.43f535be51858p-13, -0x1.4eea0f180fc57p-13, -0x1.595a13aef35d8p-13, -0x1.6348fe6dca2c3p-13, -0x1.6cba722ae3369p-13, -0x1.75b1fa4c5d60cp-13, -0x1.7e330b67ad2b5p-13, -0x1.864103dc7d7dcp-13, -0x1.8ddf2c6b17a01p-13, -0x1.9510b8c66467bp-13, -0x1.9bd8c821b486dp-13, -0x1.a23a65ba60359p-13, -0x1.a838895d7525bp-13, -0x1.add617e971db1p-13, -0x1.b315e3cc455a2p-13, -0x1.b7faad7da4495p-13, -0x1.bc8723f5d3f2dp-13, -0x1.c0bde520fd2a5p-13, -0x1.c4a17e4f2cebp-13, -0x1.c8346ca11a191p-13, -0x1.cb791d71c1846p-13, -0x1.ce71eebcfa658p-13, -0x1.d1212f831559ep-13, -0x1.d38920299e2fcp-13, -0x1.d5abf2d95d55dp-13, -0x1.d78bcbd99d6e7p-13, -0x1.d92ac1e8e043p-13, -0x1.da8ade9309659p-13, -0x1.dbae1e8517b8dp-13, -0x1.dc9671de7efbbp-13, -0x1.dd45bc80318f2p-13, -0x1.ddbdd6597d96bp-13, -0x1.de008bb2b0d8p-13, -0x1.de0f9d75b7968p-13, -0x1.ddecc174a468ap-13, -0x1.dd99a2ae5629fp-13, -0x1.dd17e191266ccp-13, -0x1.dc69143bcc8dfp-13, -0x1.db8ec6bc76513p-13, -0x1.da8a7b4e263c5p-13, -0x1.d95daa946d4fbp-13, -0x1.d809c3d578e77p-13, -0x1.d6902d32a39b1p-13, -0x1.d4f243df6efd3p-13, -0x1.d3315c5716decp-13, -0x1.d14ec290aa44ap-13, -0x1.cf4bba31cd30fp-13, -0x1.cd297ec02258ep-13, -0x1.cae943d16a4a2p-13, -0x1.c88c353a62cfp-13, -0x1.c613773c6f92fp-13, -0x1.c38026b2198a1p-13, -0x1.c0d3593a634fp-13, -0x1.be0e1d63102f9p-13, -0x1.bb317ad1caffp-13, -0x1.b83e726c544edp-13, -0x1.b535fe7fa1891p-13, -0x1.b21912e60f283p-13, -0x1.aee89d2c97a0ap-13, -0x1.aba584b72a03ep-13, -0x1.a850aae418403p-13, -0x1.a4eaeb2eaa807p-13, -0x1.a1751b50e194cp-13, -0x1.9df00b6464c8ap-13, -0x1.9a5c8602ab5e7p-13, -0x1.96bb506465493p-13, -0x1.930d2a801ea48p-13, -0x1.8f52cf2839d76p-13, -0x1.8b8cf4282ac1fp-13, -0x1.87bc4a610b4a4p-13, -0x1.83e17de58ce06p-13, -0x1.7ffd36153b45ep-13, -0x1.7c1015b72f377p-13, -0x1.781abb141c415p-13, -0x1.741dc00fd2117p-13, -0x1.7019ba4223c29p-13, -0x1.6c0f3b0f4ac09p-13, -0x1.67fecfbfbd28ap-13, -0x1.63e9019779743p-13, -0x1.5fce55ecdd0b8p-13, -0x1.5baf4e3eee555p-13, -0x1.578c684b362f4p-13, -0x1.53661e231e005p-13, -0x1.4f3ce640d6e63p-13, -0x1.4b11339bd5b31p-13, -0x1.46e375bcd9d39p-13, -0x1.42b418d18d85dp-13, -0x1.3e8385bfb82d7p-13, -0x1.3a522238112dbp-13, -0x1.362050c8a87a7p-13, -0x1.31ee70eeefaf2p-13, -0x1.2dbcdf2965797p-13, -0x1.298bf508e6f0fp-13, -0x1.255c09419ddbp-13, -0x1.212d6fbb9faaep-13, -0x1.1d0079a33188dp-13, -0x1.18d57578b97bdp-13, -0x1.14acaf205cb52p-13, -0x1.10866ff14f7f2p-13, -0x1.0c62fec4d1682p-13, -0x1.0842a004e2444p-13, -0x1.042595baab875p-13, -0x1.000c1f9c9a5a2p-13, -0x1.f7ecf6386fe07p-14, -0x1.efc9c6e775693p-14, -0x1.e7af2366979bap-14, -0x1.df9d799c2efbp-14, -0x1.d795334e0fdcbp-14, -0x1.cf96b63aa98c3p-14, -0x1.c7a264317c18dp-14, -0x1.bfb89b2b37ac4p-14, -0x1.b7d9b56148283p-14, -0x1.b0060964f67bcp-14, -0x1.a83dea3611465p-14, -0x1.a081a75923ceep-14, -0x1.98d18ced37b4cp-14, -0x1.912de3c133307p-14, -0x1.8996f168c1278p-14, -0x1.820cf850d3d4ap-14, -0x1.7a9037d3be3b7p-14, -0x1.7320ec4ce88d2p-14, -0x1.6bbf4f2c1f4eap-14, -0x1.646b9708808p-14, -0x1.5d25f7b308631p-14, -0x1.55eea248c038ap-14, -0x1.4ec5c5448e3ccp-14, -0x1.47ab8c90ab908p-14, -0x1.40a02197c06d4p-14, -0x1.39a3ab55a7e4bp-14, -0x1.32b64e67dd573p-14, -0x1.2bd82d1d942ap-14, -0x1.250967877d58bp-14, -0x1.1e4a1b8739fa4p-14, -0x1.179a64de7d404p-14, -0x1.10fa5d3de0191p-14, -0x1.0a6a1c5366193p-14, -0x1.03e9b7d8b630bp-14, -0x1.faf2874211f62p-15, -0x1.ee31a34d9897cp-15, -0x1.e190e431fcfe2p-15, -0x1.d51066d086b2bp-15, -0x1.c8b044a7626c3p-15, -0x1.bc7093eab6079p-15, -0x1.b051679d2c4ffp-15, -0x1.a452cfa7f94f5p-15, -0x1.9874d8f260852p-15, -0x1.8cb78d78b686cp-15, -0x1.811af462e7689p-15, -0x1.759f121a7f688p-15, -0x1.6a43e86039d2cp-15, -0x1.5f0976611a153p-15, -0x1.53efb8cb0c209p-15, -0x1.48f6a9e113a92p-15, -0x1.3e1e418f092fep-15, -0x1.3366757ce6a3fp-15, -0x1.28cf3921a6207p-15, -0x1.1e587dd5b7758p-15, -0x1.140232e508875p-15, -0x1.09cc45a0a7b68p-15, -0x1.ff6d42dfffec6p-16, -0x1.eb825fc35d1ffp-16, -0x1.d7d7b177f5045p-16, -0x1.c46d0419cb187p-16, -0x1.b1422073c650ap-16, -0x1.9e56cc1e5f5ddp-16, -0x1.8baac99d95c48p-16, -0x1.793dd87e35dap-16, -0x1.670fb5726b55ep-16, -0x1.55201a6da5812p-16, -0x1.436ebebfd1587p-16, -0x1.31fb572fedf1cp-16, -0x1.20c59615fc97ep-16, -0x1.0fcd2b744be2ep-16, -0x1.fe238a20541b5p-17, -0x1.dd261d13f187ep-17, -0x1.bca162e951cd4p-17, -0x1.9c94aad9452f1p-17, -0x1.7cff405c30399p-17, -0x1.5de06b559881bp-17, -0x1.3f37703e9072p-17, -0x1.2103904f0ff9ep-17, -0x1.034409a6447f1p-17, -0x1.cbf02ee39c419p-18, -0x1.923de427f89ddp-18, -0x1.596f9e9215279p-18, -0x1.2183c496c2e7cp-18, -0x1.d4f16fdb89cddp-19, -0x1.6899abad0c99bp-19, -0x1.fbf9dd6bdf363p-20, -0x1.2a2fc6427b0f8p-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.05e18b434913p-1, -0x1.052c90295970ep-1, -0x1.04676099f5d2fp-1, -0x1.039240e2230e8p-1, -0x1.02ad797f81636p-1, -0x1.01b956b7006abp-1, -0x1.00b6282cb745dp-1, -0x1.ff4880fda5d2ep-2, -0x1.fd07e9ca38e37p-2, -0x1.faab39ac6dd47p-2, -0x1.f8332366a0387p-2, -0x1.f5a05cf554da4p-2, -0x1.f2f39f02337ep-2, -0x1.f02da464ad0a8p-2, -0x1.ed4f29afaa7eap-2, -0x1.ea58eccb65475p-2, -0x1.e74bac9a53e25p-2, -0x1.e42828a808f91p-2, -0x1.e0ef20e0c7da7p-2, -0x1.dda15550a7a75p-2, -0x1.da3f85e91cc58p-2, -0x1.d6ca724be2781p-2, -0x1.d342d99a547c7p-2, -0x1.cfa97a485fd7cp-2, -0x1.cbff11f25edf4p-2, -0x1.c8445d3545aacp-2, -0x1.c47a1788a9f5cp-2, -0x1.c0a0fb1a468ccp-2, -0x1.bcb9c0aaba82fp-2, -0x1.b8c51f6b527c7p-2, -0x1.b4c3ccdcbf772p-2, -0x1.b0b67caeb1d6p-2, -0x1.ac9de0a0583dcp-2, -0x1.a87aa861c86b5p-2, -0x1.a44d817668e37p-2, -0x1.a01717186ed3ep-2, -0x1.9bd8121d86961p-2, -0x1.979118dcc67c4p-2, -0x1.9342cf1602c8dp-2, -0x1.8eedd5da985cp-2, -0x1.8a92cb77cce1cp-2, -0x1.86324b62cbf98p-2, -0x1.81ccee265b4a9p-2, -0x1.7d63495249ebep-2, -0x1.78f5ef6ca6fd8p-2, -0x1.74856fe4c1a86p-2, -0x1.70125707f0c13p-2, -0x1.6b9d2df822ef5p-2, -0x1.67267aa425c0fp-2, -0x1.62aebfc1a9d44p-2, -0x1.5e367cc8e237dp-2, -0x1.59be2df1c055p-2, -0x1.55464c32afcdp-2, -0x1.50cf4d40c588p-2, -0x1.4c59a391432cfp-2, -0x1.47e5be5c67176p-2, -0x1.437409a161363p-2, -0x1.3f04ee2b65593p-2, -0x1.3a98d197b82f3p-2, -0x1.3630165ca2488p-2, -0x1.31cb1bd13a9a6p-2, -0x1.2d6a3e35e2b11p-2, -0x1.290dd6bd6e68p-2, -0x1.24b63b96d8cf2p-2, -0x1.2063bff776687p-2, -0x1.1c16b4259163ep-2, -0x1.17cf65835e41bp-2, -0x1.138e1e9a3b39p-2, -0x1.0f53272625468p-2, -0x1.0b1ec4215d9c2p-2, -0x1.06f137d02c88p-2, -0x1.02cac1ccb9073p-2, -0x1.fd573e25d8711p-3, -0x1.f5281418aa801p-3, -0x1.ed08753811883p-3, -0x1.e4f8cc54e754p-3, -0x1.dcf97f62340f4p-3, -0x1.d50aef8c8738dp-3, -0x1.cd2d7951113fap-3, -0x1.c56174948a1b9p-3, -0x1.bda734b9d50cp-3, -0x1.b5ff08b8617d4p-3, -0x1.ae693b324913dp-3, -0x1.a6e6128a22f42p-3, -0x1.9f75d0f8934e8p-3, -0x1.9818b4a19ab57p-3, -0x1.90cef7a994878p-3, -0x1.8998d049ffb0fp-3, -0x1.827670e5fe6b4p-3, -0x1.7b68081e9db1dp-3, -0x1.746dc0e6dabd6p-3, -0x1.6d87c2977d65fp-3, -0x1.66b63102aecap-3, -0x1.5ff92c876a22fp-3, -0x1.5950d224b9b37p-3, -0x1.52bd3b8ccde3cp-3, -0x1.4c3e7f37e4ddep-3, -0x1.45d4b07713607p-3, -0x1.3f7fdf86ed05fp-3, -0x1.394019a20253bp-3, -0x1.331569134ef3p-3, -0x1.2cffd54882f9p-3, -0x1.26ff62e4338dcp-3, -0x1.211413cff838bp-3, -0x1.1b3de74e6ce94p-3, -0x1.157cda0d1c3f4p-3, -0x1.0fd0e6365adf1p-3, -0x1.0a3a03830862ap-3, -0x1.04b8274c3a4d3p-3, -0x1.fe968939b0149p-4, -0x1.f3e698863ad69p-4, -0x1.e96059c40ac8fp-4, -0x1.df03a60542e13p-4, -0x1.d4d0524ab5ed1p-4, -0x1.cac62fa62a09dp-4, -0x1.c0e50b5c73a45p-4, -0x1.b72caf0759f0ap-4, -0x1.ad9ce0b7317dep-4, -0x1.a4356314539bep-4, -0x1.9af5f58036c01p-4, -0x1.91de543658d42p-4, -0x1.88ee386cd29cp-4, -0x1.80255874a734ap-4, -0x1.778367d9bc237p-4, -0x1.6f0817827f6b2p-4, -0x1.66b315cf33611p-4, -0x1.5e840eb8dd456p-4, -0x1.567aabefd319bp-4, -0x1.4e9694f9e3c8ap-4, -0x1.46d76f50150bbp-4, -0x1.3f3cde7bf5a75p-4, -0x1.37c684347da75p-4, -0x1.3074007a7b06ap-4, -0x1.2944f1b486302p-4, -0x1.2238f4ca7aa51p-4, -0x1.1b4fa5407235cp-4, -0x1.14889d513eec5p-4, -0x1.0de3760860ac6p-4, -0x1.075fc75b73b77p-4, -0x1.00fd284317e83p-4, -0x1.f5765da695ae5p-5, -0x1.e932e0a66daf8p-5, -0x1.dd2f02a8e1ffcp-5, -0x1.d169eb9352145p-5, -0x1.c5e2c2398ae47p-5, -0x1.ba98ac88ddea6p-5, -0x1.af8acfb20af6ep-5, -0x1.a4b8505205a2ap-5, -0x1.9a20529990093p-5, -0x1.8fc1fa73a7478p-5, -0x1.859c6baac9222p-5, -0x1.7baeca0d0c7e2p-5, -0x1.71f8398f10e51p-5, -0x1.6877de6dc18f8p-5, -0x1.5f2cdd4ef40d7p-5, -0x1.56165b60dc384p-5, -0x1.4d337e785d2a6p-5, -0x1.44836d2e37981p-5, -0x1.3c054efb15884p-5, -0x1.33b84c52790fap-5, -0x1.2b9b8ebc91917p-5, -0x1.23ae40eef72d5p-5, -0x1.1bef8ee453085p-5, -0x1.145ea5f2f6344p-5, -0x1.0cfab4e265302p-5, -0x1.05c2ebffd9107p-5, -0x1.fd6cfa637b63dp-6, -0x1.efa938145c0c5p-6, -0x1.e238fbb0eff1cp-6, -0x1.d51ab3734ba46p-6, -0x1.c84cd1503164p-6, -0x1.bbcdcb1468fcbp-6, -0x1.af9c1a80489d9p-6, -0x1.a3b63d6177cdep-6, -0x1.981ab5aaf8781p-6, -0x1.8cc8098b7babap-6, -0x1.81bcc38215155p-6, -0x1.76f77271521b4p-6, -0x1.6c76a9b0bba5dp-6, -0x1.6239011cd8667p-6, -0x1.583d1525b4885p-6, -0x1.4e8186dbf19d3p-6, -0x1.4504fbfc7dba7p-6, -0x1.3bc61efae5d22p-6, -0x1.32c39f0a623cep-6, -0x1.29fc3025939b3p-6, -0x1.216e8b15160dcp-6, -0x1.19196d74d4409p-6, -0x1.10fb99b84480ep-6, -0x1.0913d72d83e7bp-6, -0x1.0160f1ff64b5bp-6, -0x1.f3c3766cef3b3p-7, -0x1.e52a117237e65p-7, -0x1.d6f36a9535f14p-7, -0x1.c91d4112bb89fp-7, -0x1.bba55dd8920acp-7, -0x1.ae89937e80056p-7, -0x1.a1c7be3dc103dp-7, -0x1.955dc3e6f8d9cp-7, -0x1.894993d6b2023p-7, -0x1.7d8926e88b9f9p-7, -0x1.721a7f69036bap-7, -0x1.66fba9061dbb9p-7, -0x1.5c2ab8bec9d1ep-7, -0x1.51a5ccd13aca2p-7, -0x1.476b0ca82cf39p-7, -0x1.3d78a8c733556p-7, -0x1.33ccdab61345ap-7, -0x1.2a65e4eb454afp-7, -0x1.214212b5a403cp-7, -0x1.185fb82558b17p-7, -0x1.0fbd31f412a29p-7, -0x1.0758e56c96daap-7, -0x1.fe6280a368b49p-8, -0x1.ee89718951b3cp-8, -0x1.df239a56061b4p-8, -0x1.d02e082819b9bp-8, -0x1.c1a5d83b90c66p-8, -0x1.b38837b31913fp-8, -0x1.a5d2636091eeap-8, -0x1.9881a78cf8e33p-8, -0x1.8b935fbfd11a5p-8, -0x1.7f04f68611f31p-8, -0x1.72d3e538b6c27p-8, -0x1.66fdb3c2f750bp-8, -0x1.5b7ff86842fa2p-8, -0x1.5058578a060d3p-8, -0x1.4584836d4fa1ap-8, -0x1.3b023c0060137p-8, -0x1.30cf4ea033445p-8, -0x1.26e995de0eceap-8, -0x1.1d4ef94525e41p-8, -0x1.13fd6d205b4bp-8, -0x1.0af2f2402d945p-8, -0x1.022d95c0d9144p-8, -0x1.f356e1a17410cp-9, -0x1.e2d550edf0f8ep-9, -0x1.d2d2dab509f06p-9, -0x1.c34bf712e6f04p-9, -0x1.b43d348171d52p-9, -0x1.a5a33768a7451p-9, -0x1.977ab9afcdd46p-9, -0x1.89c08a4fa3bd5p-9, -0x1.7c718ce588cacp-9, -0x1.6f8ab947b3aa2p-9, -0x1.63091b1a85377p-9, -0x1.56e9d166f4b35p-9, -0x1.4b2a0e322da6dp-9, -0x1.3fc716165f769p-9, -0x1.34be3fdcc6859p-9, -0x1.2a0cf419005bfp-9, -0x1.1fb0acc5a0af4p-9, -0x1.15a6f4e21e614p-9, -0x1.0bed681211b39p-9, -0x1.0281b23dd1c35p-9, -0x1.f2c31e68d636cp-10, -0x1.e115949e01a17p-10, -0x1.cff67c2b166ccp-10, -0x1.bf61a7ca131a6p-10, -0x1.af53072e2837ap-10, -0x1.9fc6a655cb872p-10, -0x1.90b8acdf985cep-10, -0x1.82255d6215f25p-10, -0x1.740914c65e117p-10, -0x1.666049a5a1d58p-10, -0x1.59278ba99343ap-10, -0x1.4c5b82efa2d79p-10, -0x1.3ff8ef6f2668dp-10, -0x1.33fca86258853p-10, -0x1.28639bb2297e4p-10, -0x1.1d2acd64ec4d6p-10, -0x1.124f570fce69bp-10, -0x1.07ce674b24b23p-10, -0x1.fb4a8252e5418p-11, -0x1.e7a277628373bp-11, -0x1.d49f82b3544c4p-11, -0x1.c23c9f132e501p-11, -0x1.b074ec3373d55p-11, -0x1.9f43adb24a4aep-11, -0x1.8ea44a29144dp-11, -0x1.7e924a4021048p-11, -0x1.6f0957c7822d1p-11, -0x1.60053cd4f4f27p-11, -0x1.5181e2e6d29b7p-11, -0x1.437b520bf531cp-11, -0x1.35edb0107f43bp-11, -0x1.28d53faf7735cp-11, -0x1.1c2e5fc921e02p-11, -0x1.0ff58a9e0f689p-11, -0x1.0427550ec0737p-11, -0x1.f180dbbfb46d1p-12, -0x1.db7b3a05a151cp-12, -0x1.c63785c5eda5ap-12, -0x1.b1afaf6dc3c01p-12, -0x1.9dddd5ac1c959p-12, -0x1.8abc44255ef4fp-12, -0x1.7845722f3a00fp-12, -0x1.667401948b28fp-12, -0x1.5542bd613019cp-12, -0x1.44ac98b59babfp-12, -0x1.34acada20b946p-12, -0x1.253e3c09339c1p-12, -0x1.165ca88a40319p-12, -0x1.08037b720672cp-12, -0x1.f45cbf6677b3bp-13, -0x1.d9b243cb2ddc7p-13, -0x1.bfff5e975c5f5p-13, -0x1.a73c29bee605p-13, -0x1.8f60fcca505ecp-13, -0x1.78666b0954284p-13, -0x1.624541d1d7676p-13, -0x1.4cf686cb059fbp-13, -0x1.387376443d25cp-13, -0x1.24b5819797eb2p-13, -0x1.11b64d97c7b62p-13, -0x1.fedf6211f7cf8p-14, -0x1.dbb766493af39p-14, -0x1.b9e9144f2eb0ep-14, -0x1.996933d5d9e2dp-14, -0x1.7a2ce50cc39f5p-14, -0x1.5c299df9e7b12p-14, -0x1.3f5527e5d6312p-14, -0x1.23a59cda889cdp-14, -0x1.0911653473e55p-14, -0x1.df1e6a8acc4fep-15, -0x1.ae2c161178d17p-15, -0x1.7f3a57d1075e4p-15, -0x1.5238452626f83p-15, -0x1.271579c172f59p-15, -0x1.fb8427242da78p-16, -0x1.ac5d5d9ddb086p-16, -0x1.6098c43aa7c33p-16, -0x1.181975a9c9cd3p-16, -0x1.a586e57d700cfp-17, -0x1.20f736cf7d30cp-17, -0x1.449e9f67ab926p-18, -0x1.4ae21f0ddb821p-20, 0x1.284d09f6ff4f8p-19, 0x1.705e1e91a1b72p-18, 0x1.2125707e7915dp-17, 0x1.852341fb1cb57p-17, 0x1.e453f8dab64f1p-17, 0x1.1f70d741a297p-16, 0x1.4a7a95acd6968p-16, 0x1.735af891e038ep-16, 0x1.9a25228cc8abep-16, 0x1.beeb9cd42dff6p-16, 0x1.e1c05bf4b1a9bp-16, 0x1.015a6233b2d14p-15, 0x1.10ecd782288d7p-15, 0x1.1f9fb6a90bb74p-15, 0x1.2d7ae6d9e032bp-15, 0x1.3a860fbad06c6p-15, 0x1.46c89b5d2ba5ep-15, 0x1.5249b82469171p-15, 0x1.5d105a9e204d8p-15, 0x1.67233f4b6d525p-15, 0x1.7088ec5c2c51ap-15, 0x1.7947b35c7a48cp-15, 0x1.8165b2d4e3392p-15, 0x1.88e8d7dda4e8cp-15, 0x1.8fd6dfa56945fp-15, 0x1.963558ebd9b4dp-15, 0x1.9c09a570683a6p-15, 0x1.a158fb55ada44p-15, 0x1.a6286679b20f2p-15, 0x1.aa7cc9c3786dep-15, 0x1.ae5ae06621606p-15, 0x1.b1c73f19f77ecp-15, 0x1.b4c6554bb3485p-15, 0x1.b75c6e4245407p-15, 0x1.b98db23b729bep-15, 0x1.bb5e277f8a62bp-15, 0x1.bcd1b36c7d9c9p-15, 0x1.bdec1b789b03fp-15, 0x1.beb1062d364fbp-15, 0x1.bf23fc1976e1cp-15, 0x1.bf4868bd913a6p-15, 0x1.bf219b6ea4d59p-15, 0x1.beb2c8337c0ebp-15, 0x1.bdff089a65e22p-15, 0x1.bd095c886332fp-15, 0x1.bbd4ab01db197p-15, 0x1.ba63c2ed0ecb9p-15, 0x1.b8b95bce7b995p-15, 0x1.b6d8167f5d6dfp-15, 0x1.b4c27dde86137p-15, 0x1.b27b077bafc6p-15, 0x1.b004143d7e9c2p-15, 0x1.ad5ff1025a8efp-15, 0x1.aa90d73c490c2p-15, 0x1.a798ed87f3763p-15, 0x1.a47a483f0068bp-15, 0x1.a136ea05e5377p-15, 0x1.9dd0c455557e4p-15, 0x1.9a49b7ff74102p-15, 0x1.96a395b0eb759p-15, 0x1.92e01e6e09b94p-15, 0x1.8f01040c04fafp-15, 0x1.8b07e9a686af9p-15, 0x1.86f664119c8b7p-15, 0x1.82cdfa482b8c4p-15, 0x1.7e9025d70367p-15, 0x1.7a3e5344ac4aap-15, 0x1.75d9e2760c26p-15, 0x1.7164270ffbf13p-15, 0x1.6cde68d5e2f4ep-15, 0x1.6849e405787c4p-15, 0x1.63a7c9afbb6f5p-15, 0x1.5ef9400f39c78p-15, 0x1.5a3f62dbbe8fep-15, 0x1.557b439b798abp-15, 0x1.50ade9f1b8fbp-15, 0x1.4bd853eb428bbp-15, 0x1.46fb7648676d6p-15, 0x1.42183cc4dd665p-15, 0x1.3d2f8a5d77209p-15, 0x1.38423993c4b8bp-15, 0x1.33511cafb5c54p-15, 0x1.2e5cfdff457cfp-15, 0x1.2966a014463cap-15, 0x1.246ebe0059667p-15, 0x1.1f760b8f20913p-15, 0x1.1a7d357ebb7e5p-15, 0x1.1584e1b699511p-15, 0x1.108daf7cb07cap-15, 0x1.0b9837a928374p-15, 0x1.06a50cd87d2d9p-15, 0x1.01b4bb9c315p-15, 0x1.f98f955423cadp-16, 0x1.efbd761437a07p-16, 0x1.e5f41086176ddp-16, 0x1.dc34510b484cep-16, 0x1.d27f19ad678a7p-16, 0x1.c8d5426fc7bf9p-16, 0x1.bf37999eb7d71p-16, 0x1.b5a6e41c7ca49p-16, 0x1.ac23ddac1b50dp-16, 0x1.a2af3939f9a6dp-16, 0x1.9949a1226c085p-16, 0x1.8ff3b7763f747p-16, 0x1.86ae163d4e082p-16, 0x1.7d794fb72e8cdp-16, 0x1.7455ee9a08719p-16, 0x1.6b44764fa792dp-16, 0x1.62456330c7e0ep-16, 0x1.59592abebceecp-16, 0x1.50803bdb71cdfp-16, 0x1.47bafeffd3f36p-16, 0x1.3f09d670b33c5p-16, 0x1.366d1e7227a5dp-16, 0x1.2de52d797d6f3p-16, 0x1.2572545dbd45cp-16, 0x1.1d14de86d2a2fp-16, 0x1.14cd121b63d14p-16, 0x1.0c9b302d568d8p-16, 0x1.047f74e51b34bp-16, 0x1.f8f42f5778a93p-17, 0x1.e91696a783841p-17, 0x1.d9667c81d2babp-17, 0x1.c9e4351d8c306p-17, 0x1.ba900c6c8907fp-17, 0x1.ab6a46644af8p-17, 0x1.9c731f44ddd5dp-17, 0x1.8daacbddb6a2cp-17, 0x1.7f1179d0b2b26p-17, 0x1.70a74fd31a164p-17, 0x1.626c6dece4b94p-17, 0x1.5460edb626c82p-17, 0x1.4684e292cb9a2p-17, 0x1.38d859ec9290cp-17, 0x1.2b5b5b6b7802ap-17, 0x1.1e0de92c79e97p-17, 0x1.10effff6d242dp-17, 0x1.0401976faf5bfp-17, 0x1.ee854498e1e41p-18, 0x1.d5661d06f327fp-18, 0x1.bca58af7320c3p-18, 0x1.a44358743a1eep-18, 0x1.8c3f471f1f369p-18, 0x1.7499108658414p-18, 0x1.5d50667a2b5bap-18, 0x1.4664f35ea794cp-18, 0x1.2fd65a7b436dfp-18, 0x1.19a438482b0a8p-18, 0x1.03ce22b94ec6cp-18, 0x1.dca7530e84207p-19, 0x1.b268acebf7045p-19, 0x1.88df5b32fcabdp-19, 0x1.600a5b3103408p-19, 0x1.37e89fda3dba8p-19, 0x1.107912472e24p-19, 0x1.d375245ce9556p-20, 0x1.8757ecb5f6435p-20, 0x1.3c981a3d313e6p-20, 0x1.e666730512efap-21, 0x1.564d8fb3ad5a6p-21, 0x1.91c0d0affc418p-22, 0x1.f0cdfc1bc4d32p-24, -0x1.282f07be8df68p-23, -0x1.9f2b16c276145p-22, -0x1.528922fa08c17p-21, -0x1.d2ec2445c66ap-21, -0x1.28621f6c3f842p-20, -0x1.660b9a7f5d553p-20, -0x1.a2756d3c24be1p-20, -0x1.dda2899eac0fep-20, -0x1.0bcaf49363795p-19, -0x1.282946223c9dp-19, -0x1.43edbce49910cp-19, -0x1.5f19df2ed17ccp-19, -0x1.79af35fe11236p-19, -0x1.93af4cb7b4e14p-19, -0x1.ad1bb0ead709cp-19, -0x1.c5f5f213e61cfp-19, -0x1.de3fa1624efcap-19, -0x1.f5fa518016e35p-19, -0x1.0693cb2db492dp-18, -0x1.11e4827901b5p-18, -0x1.1cf0198f38633p-18, -0x1.27b75bb389047p-18, -0x1.323b14676d7bp-18, -0x1.3c7c0f53e1168p-18, -0x1.467b183368ea4p-18, -0x1.5038fabce95c2p-18, -0x1.59b6828f4122dp-18, -0x1.62f47b1da63f9p-18, -0x1.6bf3af9cbe073p-18, -0x1.74b4eaf06dec6p-18, -0x1.7d38f79a5c1cbp-18, -0x1.85809fa91e342p-18, -0x1.8d8caca811223p-18, -0x1.955de78fd30b3p-18, -0x1.9cf518b75d6abp-18, -0x1.a45307c5ba919p-18, -0x1.ab787ba450718p-18, -0x1.b2663a71befbcp-18, -0x1.b91d09754b272p-18, -0x1.bf9dad12d6e91p-18, -0x1.c5e8e8bf5c08ap-18, -0x1.cbff7ef5ed437p-18, -0x1.d1e2312d33abdp-18, -0x1.d791bfcd67648p-18, -0x1.dd0eea26c247dp-18, -0x1.e25a6e6864b27p-18, -0x1.e7750997ab018p-18, -0x1.ec5f7787f3c25p-18, -0x1.f11a72d2cb587p-18, -0x1.f5a6b4d0836ebp-18, -0x1.fa04f5912d465p-18, -0x1.fe35ebd5f322fp-18, -0x1.011d2685696cbp-17, -0x1.030966a059b96p-17, -0x1.04e00f93e8c8dp-17, -0x1.06a17a05424ebp-17, -0x1.084dfde42a75fp-17, -0x1.09e5f268b2085p-17, -0x1.0b69ae11125c5p-17, -0x1.0cd9869fad25ep-17, -0x1.0e35d11933c38p-17, -0x1.0f7ee1c2effb1p-17, -0x1.10b50c2130057p-17, -0x1.11d8a2f5d4092p-17, -0x1.12e9f83efc274p-17, -0x1.13e95d35d4135p-17, -0x1.14d7224d7ff59p-17, -0x1.15b3973222f49p-17, -0x1.167f0ac804ba5p-17, -0x1.1739cb2ad10fcp-17, -0x1.17e425acf1d74p-17, -0x1.187e66d702d36p-17, -0x1.1908da675dc89p-17, -0x1.1983cb51be8aep-17, -0x1.19ef83befdac7p-17, -0x1.1a4c4d0ce182p-17, -0x1.1a9a6fce040d5p-17, -0x1.1ada33c9ceaa6p-17, -0x1.1b0bdffc87766p-17, -0x1.1b2fba977352ap-17, -0x1.1b4609010a102p-17, -0x1.1b4f0fd53be6p-17, -0x1.1b4b12e5c77bp-17, -0x1.1b3a553aa1a9p-17, -0x1.1b1d19126b3aap-17, -0x1.1af39fe2f6cd9p-17, -0x1.1abe2a59dd1ep-17, -0x1.1a7cf85d1eb8dp-17, -0x1.1a30490bd33a6p-17, -0x1.19d85abee5aa3p-17, -0x1.19756b09dbef8p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.397c2a21974a7p-4, 0x1.58d2e916c028ep-4, 0x1.7827cb5f735cep-4, 0x1.977a525c03209p-4, 0x1.b6c9dcd8ec23dp-4, 0x1.d61598a22e16bp-4, 0x1.f55c745dcbdb3p-4, 0x1.0a4e894fe58b8p-3, 0x1.19eadf732a4b4p-3, 0x1.29823276112cbp-3, 0x1.39134542b944bp-3, 0x1.489ca606365a4p-3, 0x1.581cad9e8c257p-3, 0x1.67918023778ddp-3, 0x1.76f90e649f5ecp-3, 0x1.86511833a498dp-3, 0x1.95972f4f5a337p-3, 0x1.a4c8bac714179p-3, 0x1.b3e2fab0265c1p-3, 0x1.c2e30c0c335bp-3, 0x1.d1c5ecc3f19cbp-3, 0x1.e0887f9f529e6p-3, 0x1.ef2790292c7c1p-3, 0x1.fd9fd67145824p-3, 0x1.05f6fd51f5a5ap-2, 0x1.0d074c38fb657p-2, 0x1.13ff212388aedp-2, 0x1.1adcc22743b2p-2, 0x1.219e73a456ce8p-2, 0x1.2842799a0e721p-2, 0x1.2ec718e7652a5p-2, 0x1.352a9879a812ap-2, 0x1.3b6b426b67e15p-2, 0x1.41876515bfc05p-2, 0x1.477d5415ccee2p-2, 0x1.4d4b6947ec36dp-2, 0x1.52f005b9f82aep-2, 0x1.5869929583a64p-2, 0x1.5db68202a46c9p-2, 0x1.62d55003a956fp-2, 0x1.67c48349cb764p-2, 0x1.6c82ae02a8e9p-2, 0x1.710e6e9e3a3a6p-2, 0x1.7566708cbb44dp-2, 0x1.79896cf3ee8b8p-2, 0x1.7d762b5b1a121p-2, 0x1.812b824d056c4p-2, 0x1.84a857ef53364p-2, 0x1.87eba28e8d136p-2, 0x1.8af4691e54251p-2, 0x1.8dc1c3ad2b6fap-2, 0x1.9052dbcb7fd11p-2, 0x1.92a6ece594b2ep-2, 0x1.94bd449025163p-2, 0x1.969542c7a2fc4p-2, 0x1.982e5a22152b5p-2, 0x1.99880ff3b28a7p-2, 0x1.9aa1fc6673cf5p-2, 0x1.9b7bca84e6b3ep-2, 0x1.9c153838a4c7p-2, 0x1.9c6e163ce4267p-2, 0x1.9c864805a766p-2, 0x1.9c5dc39c156ap-2, 0x1.9bf491709d421p-2, 0x1.9b4acc2385aa7p-2, 0x1.9a60a04488bap-2, 0x1.99364c0a2ebf1p-2, 0x1.97cc1f01904a5p-2, 0x1.962279b72223ap-2, 0x1.9439cd593f79ep-2, 0x1.92129b55028fep-2, 0x1.8fad74ee1b60dp-2, 0x1.8d0afad22ad25p-2, 0x1.8a2bdca83a2dep-2, 0x1.8710d89cd111fp-2, 0x1.83babaeb2c786p-2, 0x1.802a5d6407db9p-2, 0x1.7c60a6f267bd9p-2, 0x1.785e8b1ecabaep-2, 0x1.742509911a6fp-2, 0x1.6fb52d91b340bp-2, 0x1.6b100d89ca54fp-2, 0x1.6636ca8376b5cp-2, 0x1.612a8fa99f33bp-2, 0x1.5bec91c7fa507p-2, 0x1.567e0ecb580bdp-2, 0x1.50e04d425d295p-2, 0x1.4b149bded079ap-2, 0x1.451c50f7a5416p-2, 0x1.3ef8ca0bd3e56p-2, 0x1.38ab6b4621d6dp-2, 0x1.32359f01ec1b4p-2, 0x1.2b98d5510606bp-2, 0x1.24d68382c0d3ep-2, 0x1.1df023ac27fb1p-2, 0x1.16e7343182fcep-2, 0x1.0fbd3751264f6p-2, 0x1.0873b2afa3416p-2, 0x1.010c2ee55cfd3p-2, 0x1.f3106e1b24feep-3, 0x1.e3d2b0adc917ep-3, 0x1.d462432acb658p-3, 0x1.c4c245ac743c1p-3, 0x1.b4f5d9e9adfa2p-3, 0x1.a5002263d592dp-3, 0x1.94e44197f3aa6p-3, 0x1.84a5593374431p-3, 0x1.7446894c7ae23p-3, 0x1.63caef9de5a5ap-3, 0x1.5335a6c71ef56p-3, 0x1.4289c58fd20b8p-3, 0x1.31ca5e2fa906p-3, 0x1.20fa7d9a18e9fp-3, 0x1.101d2ace7a0a2p-3, 0x1.fe6acc58bd7e9p-4, 0x1.dc8c5198d6963p-4, 0x1.baa4c7bb61513p-4, 0x1.98ba000f595dp-4, 0x1.76d1b9a21dd46p-4, 0x1.54f1a016acb04p-4, 0x1.331f4a86c5417p-4, 0x1.11603a6e24b71p-4, 0x1.df73b5400d7cdp-5, 0x1.9c62fc8e3158ap-5, 0x1.5998bfe00bca7p-5, 0x1.171f413d897c7p-5, 0x1.aa011bbb118bdp-6, 0x1.268cf8f86cf7ep-6, 0x1.47eaaf1e8edeep-7, 0x1.12680e2c11556p-9, -0x1.7966d008de86cp-8, -0x1.bbd9dbd012674p-7, -0x1.5c5b4b0101749p-6, -0x1.d993e79b96a1fp-6, -0x1.2ac32fab427c4p-5, -0x1.681167850208cp-5, -0x1.a4aceb41c1935p-5, -0x1.e08e4d0a026e5p-5, -0x1.0dd730fc58c3cp-4, -0x1.2b03215ab0129p-4, -0x1.47c7a5fc21d5ap-4, -0x1.64218f7c1a896p-4, -0x1.800dd0e177572p-4, -0x1.9b897fbfe7aa4p-4, -0x1.b691d44eb7758p-4, -0x1.d124297531d6fp-4, -0x1.eb3dfcccc5f86p-4, -0x1.026e774c9135dp-3, -0x1.0eff60db3e122p-3, -0x1.1b50adbf1de86p-3, -0x1.276161d12088cp-3, -0x1.333091ff8aa42p-3, -0x1.3ebd6432934f6p-3, -0x1.4a070f2cba6ap-3, -0x1.550cda66ec228p-3, -0x1.5fce1de89e756p-3, -0x1.6a4a421c08507p-3, -0x1.7480bf9e966b8p-3, -0x1.7e711f0dc8efep-3, -0x1.881af8d09c3cbp-3, -0x1.917df4dda29b6p-3, -0x1.9a99ca7dfca06p-3, -0x1.a36e400d4e21ep-3, -0x1.abfb2ab6e3a8cp-3, -0x1.b4406e3026446p-3, -0x1.bc3dfc7087fa9p-3, -0x1.c3f3d5671770cp-3, -0x1.cb6206addd1ep-3, -0x1.d288ab3b26f63p-3, -0x1.d967eb10f20ebp-3, -0x1.dffffaea964d1p-3, -0x1.e6511be8d82f6p-3, -0x1.ec5b9b3c89257p-3, -0x1.f21fd1cfe193cp-3, -0x1.f79e23eeaee4cp-3, -0x1.fcd700ed8607dp-3, -0x1.00e571680d04fp-2, -0x1.033d26f768951p-2, -0x1.0572e84de93cap-2, -0x1.07870163c9154p-2, -0x1.0979c2d2875e1p-2, -0x1.0b4b81a6f181ep-2, -0x1.0cfc97331af78p-2, -0x1.0e8d60e06252ep-2, -0x1.0ffe4001862c1p-2, -0x1.114f99a4dcc45p-2, -0x1.1281d666beb03p-2, -0x1.139562442b1e4p-2, -0x1.148aac6dbb48ap-2, -0x1.1562271ae895p-2, -0x1.161c475db7dc9p-2, -0x1.16b984f6cf22cp-2, -0x1.173a5a2a08335p-2, -0x1.179f439381ea8p-2, -0x1.17e8bffd406d1p-2, -0x1.181750355ef32p-2, -0x1.182b76e4e4bebp-2, -0x1.1825b8673ccb7p-2, -0x1.18069aa25c19dp-2, -0x1.17cea4df9bdaap-2, -0x1.177e5fa55199bp-2, -0x1.1716549126b9bp-2, -0x1.16970e33380b9p-2, -0x1.160117ea01e8fp-2, -0x1.1554fdbf1da71p-2, -0x1.14934c44d5394p-2, -0x1.13bc90748d028p-2, -0x1.12d1578e0e64bp-2, -0x1.11d22ef7aea74p-2, -0x1.10bfa41f5be2bp-2, -0x1.0f9a445c89575p-2, -0x1.0e629cd3054dep-2, -0x1.0d193a56b5dd7p-2, -0x1.0bbea9503de8ep-2, -0x1.0a5375a28ac4dp-2, -0x1.08d82a914cb84p-2, -0x1.074d52a857b4ap-2, -0x1.05b377a3ed97cp-2, -0x1.040b2259f185ap-2, -0x1.0254daa40309dp-2, -0x1.0091274a7deb9p-2, -0x1.fd811be0c633fp-3, -0x1.f9c726003da3cp-3, -0x1.f5f573326d141p-3, -0x1.f20d06fda58c9p-3, -0x1.ee0ee20e4a857p-3, -0x1.e9fc02175529dp-3, -0x1.e5d561b48b027p-3, -0x1.e19bf84e52ec4p-3, -0x1.dd50b9ff38301p-3, -0x1.d8f4977b0319bp-3, -0x1.d4887df768d23p-3, -0x1.d00d57164b723p-3, -0x1.cb8408d17d1c4p-3, -0x1.c6ed756809a24p-3, -0x1.c24a7b4ced351p-3, -0x1.bd9bf5174630cp-3, -0x1.b8e2b973e7a1ap-3, -0x1.b41f9b1848fe4p-3, -0x1.af5368b6d77b2p-3, -0x1.aa7eecf4886dbp-3, -0x1.a5a2ee5fb74bfp-3, -0x1.a0c02f68467dp-3, -0x1.9bd76e58e8976p-3, -0x1.96e965519c9b5p-3, -0x1.91f6ca434c723p-3, -0x1.8d004eec80819p-3, -0x1.8806a0d72a14cp-3, -0x1.830a69576dbd5p-3, -0x1.7e0c4d8b7595cp-3, -0x1.790cee5c32c4ep-3, -0x1.740ce87f0c808p-3, -0x1.6f0cd47879ea1p-3, -0x1.6a0d469f6d454p-3, -0x1.650ecf219e997p-3, -0x1.6011fa0893716p-3, -0x1.5b174f3f746ebp-3, -0x1.561f5299964e5p-3, -0x1.512a83d9b57c3p-3, -0x1.4c395eb9da89dp-3, -0x1.474c5af3e2403p-3, -0x1.4263ec4a9a58ep-3, -0x1.3d8082937663bp-3, -0x1.38a289c0c5f99p-3, -0x1.33ca69ec75e9ep-3, -0x1.2ef8876345835p-3, -0x1.2a2d42b075404p-3, -0x1.2568f8a9da9ap-3, -0x1.20ac027c62b16p-3, -0x1.1bf6b5b8e9682p-3, -0x1.1749646172fecp-3, -0x1.12a45cf6b238fp-3, -0x1.0e07ea85d3ff1p-3, -0x1.097454b6a0526p-3, -0x1.04e9dfd9c73c1p-3, -0x1.0068ccf775dd4p-3, -0x1.f7e2b3bc2d306p-4, -0x1.ef0782628dc5p-4, -0x1.e64074f1d7bf5p-4, -0x1.dd8df460e7b09p-4, -0x1.d4f063ac67ae2p-4, -0x1.cc681ff5b6861p-4, -0x1.c3f580a201f86p-4, -0x1.bb98d779809adp-4, -0x1.b35270c6bf165p-4, -0x1.ab22937604435p-4, -0x1.a3098134b8cafp-4, -0x1.9b077690d08a5p-4, -0x1.931cab182d198p-4, -0x1.8b495177f07d6p-4, -0x1.838d979bb9ae9p-4, -0x1.7be9a6ccc852ep-4, -0x1.745da3d0fbdefp-4, -0x1.6ce9af09aa9b6p-4, -0x1.658de4924acp-4, -0x1.5e4a5c5ee8e4bp-4, -0x1.571f2a5a64bdep-4, -0x1.500c5e8470743p-4, -0x1.4912050f4e031p-4, -0x1.4230267d460c4p-4, -0x1.3b66c7bdd3329p-4, -0x1.34b5ea4a7eff1p-4, -0x1.2e1d8c436cf7dp-4, -0x1.279da88b8ecf9p-4, -0x1.213636e47fbdep-4, -0x1.1ae72c0a04b66p-4, -0x1.14b079cd2bdefp-4, -0x1.0e920f2f0c246p-4, -0x1.088bd87b20896p-4, -0x1.029dbf613c8aep-4, -0x1.f98f561e338f1p-5, -0x1.ee130092f454fp-5, -0x1.e2c64309c1c42p-5, -0x1.d7a8ddfbb6e84p-5, -0x1.ccba8da1bd9bdp-5, -0x1.c1fb0a2368887p-5, -0x1.b76a07c4eb9edp-5, -0x1.ad07371432ac5p-5, -0x1.a2d24515144c9p-5, -0x1.98cadb6c9e653p-5, -0x1.8ef0a08b8119dp-5, -0x1.854337d78d4f9p-5, -0x1.7bc241d4525ccp-5, -0x1.726d5c4ad0b02p-5, -0x1.69442270481f8p-5, -0x1.60462d0c201bcp-5, -0x1.5773129ce96eep-5, -0x1.4eca677c7a39bp-5, -0x1.464bbe0328c33p-5, -0x1.3df6a6aa2086dp-5, -0x1.35cab02cd6c91p-5, -0x1.2dc767a9a01a2p-5, -0x1.25ec58c1666cfp-5, -0x1.1e390db682938p-5, -0x1.16ad0f8ab91f2p-5, -0x1.0f47e61c63cc6p-5, -0x1.08091842bd453p-5, -0x1.00f02be95eb4cp-5, -0x1.f3f94c55cb5acp-6, -0x1.e65c16d5a0e67p-6, -0x1.d907bedd1073bp-6, -0x1.cbfb4aeb45a9ap-6, -0x1.bf35c0a2bbef8p-6, -0x1.b2b624f6a757p-6, -0x1.a67b7c56da802p-6, -0x1.9a84cada2fca5p-6, -0x1.8ed1146778a51p-6, -0x1.835f5cdcfcd87p-6, -0x1.782ea83686f68p-6, -0x1.6d3dfab217496p-6, -0x1.628c58f3298b1p-6, -0x1.5818c824aaf44p-6, -0x1.4de24e1999991p-6, -0x1.43e7f16c5639ep-6, -0x1.3a28b99cb532p-6, -0x1.30a3af2cc8e3ep-6, -0x1.2757dbbc7a0a8p-6, -0x1.1e444a23e9035p-6, -0x1.1568068ca29e8p-6, -0x1.0cc21e89b7f0fp-6, -0x1.0451a12ea9acfp-6, -0x1.f82b3e4a91902p-7, -0x1.e81a5584f7164p-7, -0x1.d86eb033fc89ap-7, -0x1.c9267a222e5b2p-7, -0x1.ba3fe2e0ada24p-7, -0x1.abb91de8a836cp-7, -0x1.9d9062bafef24p-7, -0x1.8fc3ecfe11a91p-7, -0x1.8251fc99b7e37p-7, -0x1.7538d5d18114bp-7, -0x1.6876c15d4bcb1p-7, -0x1.5c0a0c802025p-7, -0x1.4ff1091d873f1p-7, -0x1.442a0dcd49a6p-7, -0x1.38b375eda5f9p-7, -0x1.2d8ba1b41c291p-7, -0x1.22b0f63cc478fp-7, -0x1.1821dd9847c48p-7, -0x1.0ddcc6d883332p-7, -0x1.03e0261bdf7d8p-7, -0x1.f454e92ed24d1p-8, -0x1.e174613f65517p-8, -0x1.cf1bbb611573ep-8, -0x1.bd4808e724f15p-8, -0x1.abf6658b77e73p-8, -0x1.9b23f77776a4fp-8, -0x1.8acdef4ae7d2ep-8, -0x1.7af18820d8634p-8, -0x1.6b8c07929f17fp-8, -0x1.5c9abdb912b2p-8, -0x1.4e1b052bff75ap-8, -0x1.400a42fff286p-8, -0x1.3265e6c2692ep-8, -0x1.252b6a7474f73p-8, -0x1.18585283e5bcp-8, -0x1.0bea2dc30a975p-8, -0x1.ffbd2abe2a7b4p-9, -0x1.e86659aa6b63dp-9, -0x1.d1cb43cceb53ep-9, -0x1.bbe75914d299ep-9, -0x1.a6b61dc17b7e4p-9, -0x1.92332a436dda6p-9, -0x1.7e5a2b1b5165bp-9, -0x1.6b26e0b6f09c5p-9, -0x1.58951f4c67d73p-9, -0x1.46a0ceb398384p-9, -0x1.3545ea3df340ap-9, -0x1.2480808cc046dp-9, -0x1.144cb365e94ffp-9, -0x1.04a6b787653ffp-9, -0x1.eb15a8f2c3724p-10, -0x1.cdeac8be5cb31p-10, -0x1.b1c5a78e1f3f2p-10, -0x1.969f42f203cdcp-10, -0x1.7c70bc890844bp-10, -0x1.6333599af78dap-10, -0x1.4ae082b08b358p-10, -0x1.3371c32a041b6p-10, -0x1.1ce0c8d460768p-10, -0x1.0727637d4a39ap-10, -0x1.e47f090bd0c47p-11, -0x1.bc467ce9470e8p-11, -0x1.9599890c0b784p-11, -0x1.706cd4799b4d6p-11, -0x1.4cb545e2a0487p-11, -0x1.2a6802c08945cp-11, -0x1.097a6e72281c8p-11, -0x1.d3c452af0a84ep-12, -0x1.972a1fda3a05ap-12, -0x1.5d1273cd59255p-12, -0x1.2569f2937e61cp-12, -0x1.e03b662095bc6p-13, -0x1.7a367a69e70d3p-13, -0x1.18a1106b8063bp-13, -0x1.76afe300e719fp-14, -0x1.88e2f992f20dap-15, -0x1.a43d74c3f4bdfp-18, 0x1.1035079fb884bp-15, 0x1.22e97169c75b5p-14, 0x1.b6673bef9aad8p-14, 0x1.2168512f92b9ap-13, 0x1.64306f9e717bbp-13, 0x1.a3a8d7c045095p-13, 0x1.dfedacbb41727p-13, 0x1.0c8d2ce55c743p-12, 0x1.27a4cad1d4614p-12, 0x1.414ab2e956617p-12, 0x1.598b91098cc6dp-12, 0x1.7073bbcf70c6ep-12, 0x1.860f363b8ec56p-12, 0x1.9a69b1526d2e9p-12, 0x1.ad8e8db9044fep-12, 0x1.bf88dd4d23288p-12, 0x1.d06364b9aaac3p-12, 0x1.e0289d0687276p-12, 0x1.eee2b5245058fp-12, 0x1.fc9b93737b8a9p-12, 0x1.04ae6ba3865e8p-11, 0x1.0a97ed315b58dp-11, 0x1.100ed93a2b3a8p-11, 0x1.1517994460064p-11, 0x1.19b6763de67c7p-11, 0x1.1def9931cfbfp-11, 0x1.21c70bfb8b171p-11, 0x1.2540b9f7ae2ddp-11, 0x1.286070b24ea61p-11, 0x1.2b29e092e2f45p-11, 0x1.2da09d85ad62ap-11, 0x1.2fc81fa2aa459p-11, 0x1.31a3c3d2044f5p-11, 0x1.3336cc6e0a803p-11, 0x1.348461e2a7ee6p-11, 0x1.358f934a5e848p-11, 0x1.365b5708c3246p-11, 0x1.36ea8b627d33fp-11, 0x1.373ff712c9ceap-11, 0x1.375e49de8515p-11, 0x1.37481d24ba478p-11, 0x1.36fff46cbe46ap-11, 0x1.36883df1d5266p-11, 0x1.35e3532c6801p-11, 0x1.35137958cd11bp-11, 0x1.341ae1fba4905p-11, 0x1.32fbab63cfb5fp-11, 0x1.31b7e12a06a4dp-11, 0x1.30517cae0da6fp-11, 0x1.2eca659192febp-11, 0x1.2d247230b6304p-11, 0x1.2b6168184152bp-11, 0x1.2982fc7995c18p-11, 0x1.278ad49c53d7ap-11, 0x1.257a864dc3c87p-11, 0x1.2353984e019c3p-11, 0x1.211782baf7943p-11, 0x1.1ec7af79284e9p-11, 0x1.1c657a9a4fa69p-11, 0x1.19f232c1e3c4bp-11, 0x1.176f1987770d3p-11, 0x1.14dd63d70667cp-11, 0x1.123e3a4f38286p-11, 0x1.0f92b99d9173bp-11, 0x1.0cdbf2d8aa73ep-11, 0x1.0a1aebd866c61p-11, 0x1.07509f8c398d9p-11, 0x1.047dfe4f7bef7p-11, 0x1.01a3ee3bdc7d3p-11, 0x1.fd8696f3df553p-12, 0x1.f7b9d11fc9d0dp-12, 0x1.f1e31d5cd834p-12, 0x1.ec03fbf79e731p-12, 0x1.e61ddbba8dd8ap-12, 0x1.e0321a7d2685ap-12, 0x1.da4205afbc174p-12, 0x1.d44edae3d99c2p-12, 0x1.ce59c851598fep-12, 0x1.c863ed5837b84p-12, 0x1.c26e5aff30b41p-12, 0x1.bc7a146f39984p-12, 0x1.b6880f6be0449p-12, 0x1.b09934c8a0258p-12, 0x1.aaae60db38p-12, 0x1.a4c863eb14236p-12, 0x1.9ee8029dd1846p-12, 0x1.990df660efd05p-12, 0x1.933aedd0bb7c6p-12, 0x1.8d6f8d1c7c6b4p-12, 0x1.87ac6e67f9d4ap-12, 0x1.81f2222a5bfcp-12, 0x1.7c412f8a7e2dfp-12, 0x1.769a14b8b8391p-12, 0x1.70fd4746307f6p-12, 0x1.6b6b3479bfa12p-12, 0x1.65e441a275865p-12, 0x1.6068cc67cbedbp-12, 0x1.5af92b178cd07p-12, 0x1.5595acf1831efp-12, 0x1.503e9a70f730cp-12, 0x1.4af435940c84cp-12, 0x1.45b6ba210146bp-12, 0x1.40865de967e9bp-12, 0x1.3b63510b5b4c8p-12, 0x1.364dbe30bf6b2p-12, 0x1.3145cacc94044p-12, 0x1.2c4b97566deb3p-12, 0x1.275f3f841451ap-12, 0x1.2280da8156c16p-12, 0x1.1db07b26253a9p-12, 0x1.18ee302af051ap-12, 0x1.143a045b5d75ap-12, 0x1.0f93fec75b87fp-12, 0x1.0afc22f2a054p-12, 0x1.067271029701bp-12, 0x1.01f6e5eacac61p-12, 0x1.fb12f72fada5p-13, 0x1.f2545231cca54p-13, 0x1.e9b1c58f91f2ep-13, 0x1.e12b34df57c16p-13, 0x1.d8c07ee4f029ep-13, 0x1.d0717dd9cd21bp-13, 0x1.c83e07b29a85p-13, 0x1.c025ee625b526p-13, 0x1.b829001b209cp-13, 0x1.b047078c697ep-13, 0x1.a87fcc1f309b3p-13, 0x1.a0d3122fc95adp-13, 0x1.99409b45894bdp-13, 0x1.91c8264858b49p-13, 0x1.8a696fb43a843p-13, 0x1.832431cacd741p-13, 0x1.7bf824c2ddc34p-13, 0x1.74e4fef618aa2p-13, 0x1.6dea750ce352cp-13, 0x1.67083a286da8p-13, 0x1.603e000b09fcep-13, 0x1.598b773ed28fp-13, 0x1.52f04f3aac325p-13, 0x1.4c6c3685b9f8dp-13, 0x1.45fedad93f216p-13, 0x1.3fa7e94104053p-13, 0x1.39670e3a4b874p-13, 0x1.333bf5d159ebdp-13, 0x1.2d264bbda903ep-13, 0x1.2725bb7cbd116p-13, 0x1.2139f06bbbb6bp-13, 0x1.1b6295dfc40b5p-13, 0x1.159f573d0a89bp-13, 0x1.0fefe00cd85c4p-13, 0x1.0a53dc125fa07p-13, 0x1.04caf75e7cf16p-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.0f7aa2acefcb1p-4, 0x1.2aa0aa5c8ea37p-4, 0x1.45c63635c7368p-4, 0x1.60eb1b28edabp-4, 0x1.7c0f28cb7cc8dp-4, 0x1.9732264e65d72p-4, 0x1.b253cf09a33e1p-4, 0x1.cd73cedd2ae63p-4, 0x1.e891be9eecd27p-4, 0x1.01d6906189397p-3, 0x1.0f62af3045745p-3, 0x1.1cece254a2e66p-3, 0x1.2a74c171ee6cap-3, 0x1.37f9d4761cf3p-3, 0x1.457b931cf9e38p-3, 0x1.52f964b3179cap-3, 0x1.6072a01380583p-3, 0x1.6de68bd9e3fc4p-3, 0x1.7b545ec267215p-3, 0x1.88bb402ff3e1p-3, 0x1.961a48d207626p-3, 0x1.a37083635617bp-3, 0x1.b0bced7b3b731p-3, 0x1.bdfe786c7af8ep-3, 0x1.cb340a2cad73dp-3, 0x1.d85c7e405608ap-3, 0x1.e576a6a85fed1p-3, 0x1.f2814cce7654ep-3, 0x1.ff7b326e1fc77p-3, 0x1.0631893ca2077p-2, 0x1.0c9bd0fb7daecp-2, 0x1.12fbc86e0c851p-2, 0x1.1950c56e89e35p-2, 0x1.1f9a1c1c97248p-2, 0x1.25d71f3f7ac0fp-2, 0x1.2c0720a524251p-2, 0x1.3229717e137adp-2, 0x1.383d62b64e4f5p-2, 0x1.3e42454b82f01p-2, 0x1.44376aa0883e8p-2, 0x1.4a1c24ce52296p-2, 0x1.4fefc6f27d8b2p-2, 0x1.55b1a57b7f4d5p-2, 0x1.5b6116728fe19p-2, 0x1.60fd71c3514fcp-2, 0x1.6686118134adbp-2, 0x1.6bfa522a9c5e6p-2, 0x1.715992e9af37fp-2, 0x1.76a335d2d0b12p-2, 0x1.7bd6a020b2359p-2, 0x1.80f33a6de33dfp-2, 0x1.85f870ebd8b23p-2, 0x1.8ae5b3974f6f5p-2, 0x1.8fba7669fe118p-2, 0x1.9476318980e62p-2, 0x1.9918617375063p-2, 0x1.9da08726b102ep-2, 0x1.a20e2849948a7p-2, 0x1.a660cf4d678b1p-2, 0x1.aa980b8ec2acep-2, 0x1.aeb37172feeeap-2, 0x1.b2b29a82b683bp-2, 0x1.b69525814e26ap-2, 0x1.ba5ab6819dcp-2, 0x1.be02f6f7b9b2bp-2, 0x1.c18d95c7eca27p-2, 0x1.c4fa4752f42eep-2, 0x1.c848c57f8f952p-2, 0x1.cb78cfc17718ap-2, 0x1.ce8a2b1dcffc1p-2, 0x1.d17ca22d35acep-2, 0x1.d450051b6daccp-2, 0x1.d70429a4e3b24p-2, 0x1.d998eb1203fcbp-2, 0x1.dc0e2a308f913p-2, 0x1.de63cd4b05a57p-2, 0x1.e099c01e39169p-2, 0x1.e2aff3cd3358fp-2, 0x1.e4a65ed37364ep-2, 0x1.e67cfcf5af53bp-2, 0x1.e833cf31256e2p-2, 0x1.e9cadba99fdbcp-2, 0x1.eb422d9636d36p-2, 0x1.ec99d52cf2479p-2, 0x1.edd1e78d5b572p-2, 0x1.eeea7eaa137cdp-2, 0x1.efe3b93183882p-2, 0x1.f0bdba75ba8fp-2, 0x1.f178aa5389288p-2, 0x1.f214b518ebdb4p-2, 0x1.f2920b6ad9694p-2, 0x1.f2f0e22a7b94p-2, 0x1.f3317259e8c5ep-2, 0x1.f353f90068be4p-2, 0x1.f358b70e5091bp-2, 0x1.f33ff1408480bp-2, 0x1.f309f003a8e27p-2, 0x1.f2b6ff570e72fp-2, 0x1.f2476eaf63421p-2, 0x1.f1bb90d9310e1p-2, 0x1.f113bbdb36ad5p-2, 0x1.f05048d89c86p-2, 0x1.ef7193f315abap-2, 0x1.ee77fc2cef65cp-2, 0x1.ed63e34b17799p-2, 0x1.ec35adb72273ap-2, 0x1.eaedc26154958p-2, 0x1.e98c8aa2b8d5dp-2, 0x1.e812721f4907cp-2, 0x1.e67fe6a82bff8p-2, 0x1.e4d5581e1280ap-2, 0x1.e3133853b75b4p-2, 0x1.e139faf0855bep-2, 0x1.df4a15536fcf9p-2, 0x1.dd43fe75f7732p-2, 0x1.db282ecf6b33p-2, 0x1.d8f7203862f89p-2, 0x1.d6b14dce7dc25p-2, 0x1.d45733d862247p-2, 0x1.d1e94faa0c31dp-2, 0x1.cf681f8967eb4p-2, 0x1.ccd422933d7cfp-2, 0x1.ca2dd8a078f5fp-2, 0x1.c775c22bc51fdp-2, 0x1.c4ac60378e91cp-2, 0x1.c1d23434615d8p-2, 0x1.bee7bfe7b27c5p-2, 0x1.bbed85530fb6p-2, 0x1.b8e4069bc1705p-2, 0x1.b5cbc5f2d9912p-2, 0x1.b2a5457db67bbp-2, 0x1.af71073f02859p-2, 0x1.ac2f8d0027163p-2, 0x1.a8e1583b40a3bp-2, 0x1.a586ea05931bcp-2, 0x1.a220c2fa7eb8cp-2, 0x1.9eaf6326fa19dp-2, 0x1.9b3349f594b1ap-2, 0x1.97acf61b003a8p-2, 0x1.941ce58327c86p-2, 0x1.9083953ed1646p-2, 0x1.8ce18171cf096p-2, 0x1.89372541c0c28p-2, 0x1.8584fac564682p-2, 0x1.81cb7af47ae54p-2, 0x1.7e0b1d983e9fcp-2, 0x1.7a44593c6f68dp-2, 0x1.7677a320f1c3bp-2, 0x1.72a56f2c002fap-2, 0x1.6ece2fdcf9043p-2, 0x1.6af2563fb7b8bp-2, 0x1.671251e08b2e4p-2, 0x1.632e90c0bc3acp-2, 0x1.5f477f4ba8dc5p-2, 0x1.5b5d884c7646p-2, 0x1.577114e4508b8p-2, 0x1.53828c814196fp-2, 0x1.4f9254d5946b6p-2, 0x1.4ba0d1cfcd0ecp-2, 0x1.47ae65932a8c9p-2, 0x1.43bb7070b7788p-2, 0x1.3fc850e0e87efp-2, 0x1.3bd5637dbee6ep-2, 0x1.37e302fd79222p-2, 0x1.33f1882dc4ab3p-2, 0x1.300149ef76e82p-2, 0x1.2c129d32c4b79p-2, 0x1.2825d4f3fbbb5p-2, 0x1.243b4238b8fbbp-2, 0x1.2053340d972adp-2, 0x1.1c6df784579ccp-2, 0x1.188bd7b280ad6p-2, 0x1.14ad1db06d2d4p-2, 0x1.10d21098cf09fp-2, 0x1.0cfaf5889a316p-2, 0x1.09280f9f5ebacp-2, 0x1.0559a00009f9fp-2, 0x1.018fe5d20772ap-2, 0x1.fb963c8594f17p-3, 0x1.f417090f614e8p-3, 0x1.eca2a3c084ec6p-3, 0x1.e5397b319bf13p-3, 0x1.dddbfa1aa42e6p-3, 0x1.d68a875981beep-3, 0x1.cf4585f92119p-3, 0x1.c80d553929615p-3, 0x1.c0e250964c313p-3, 0x1.b9c4cfd31b10bp-3, 0x1.b2b5270160e0fp-3, 0x1.abb3a68c01dbap-3, 0x1.a4c09b41508f2p-3, 0x1.9ddc4e5dd6155p-3, 0x1.970705978a005p-3, 0x1.9041032973d48p-3, 0x1.898a85dfa9bfep-3, 0x1.82e3c923ad6fep-3, 0x1.7c4d0509229f1p-3, 0x1.75c66e5acf861p-3, 0x1.6f5036a7effc1p-3, 0x1.68ea8c51c9ad6p-3, 0x1.62959a99824bdp-3, 0x1.5c5189ae2e09bp-3, 0x1.561e7ebb1ba7fp-3, 0x1.4ffc9bf647379p-3, 0x1.49ec00af01a2ap-3, 0x1.43ecc95cb9a1bp-3, 0x1.3dff0fade8c15p-3, 0x1.3822ea9721d51p-3, 0x1.32586e623020ap-3, 0x1.2c9facbd570c4p-3, 0x1.26f8b4ca98021p-3, 0x1.2163932f09e29p-3, 0x1.1be0522239451p-3, 0x1.166ef97d8c3cep-3, 0x1.110f8ecba7e0ap-3, 0x1.0bc21557d08bp-3, 0x1.06868e3d49399p-3, 0x1.015cf876a3f85p-3, 0x1.f88aa1da0dba7p-4, 0x1.ee7f250eccec6p-4, 0x1.e4976c73465f3p-4, 0x1.dad3662734d4fp-4, 0x1.d132fca036da6p-4, 0x1.c7b616c77b14dp-4, 0x1.be5c98173ed35p-4, 0x1.b52660b806411p-4, 0x1.ac134d9d8ab52p-4, 0x1.a32338a36627ep-4, 0x1.9a55f8a974c5ep-4, 0x1.91ab61afdd7e3p-4, 0x1.892344f2c9a44p-4, 0x1.80bd7105c65e3p-4, 0x1.7879b1eec7c7cp-4, 0x1.7057d140d09a6p-4, 0x1.6857963636f75p-4, 0x1.6078c5ca86269p-4, 0x1.58bb22d3fb005p-4, 0x1.511e6e1c96f7p-4, 0x1.49a2667aca19cp-4, 0x1.4246c8e9b0e68p-4, 0x1.3b0b50a0e2bfep-4, 0x1.33efb72bd37ep-4, 0x1.2cf3b480c32ccp-4, 0x1.2616ff173c7f7p-4, 0x1.1f594bfe1faefp-4, 0x1.18ba4ef13b2c4p-4, 0x1.1239ba6e6f55cp-4, 0x1.0bd73fca5ca86p-4, 0x1.05928f449e025p-4, 0x1.fed6b03718a67p-5, 0x1.f2c2913f1af92p-5, 0x1.e6e81c8bd7235p-5, 0x1.db46ab76715f9p-5, 0x1.cfdd95ea77208p-5, 0x1.c4ac3288d056fp-5, 0x1.b9b1d6c9c3edcp-5, 0x1.aeedd71e162afp-5, 0x1.a45f870f3e247p-5, 0x1.9a06395eb6dccp-5, 0x1.8fe140246773ap-5, 0x1.85efecec2dad8p-5, 0x1.7c3190d283c81p-5, 0x1.72a57ca048a5bp-5, 0x1.694b00e5a940ep-5, 0x1.60216e1431bdcp-5, 0x1.57281498050bp-5, 0x1.4e5e44f03de31p-5, 0x1.45c34fc67cb17p-5, 0x1.3d568605a63ccp-5, 0x1.351738efd3c74p-5, 0x1.2d04ba3376c4ap-5, 0x1.251e5bffb6789p-5, 0x1.1d63711808e74p-5, 0x1.15d34ce70826p-5, 0x1.0e6d43908a61p-5, 0x1.0730aa02fe58cp-5, 0x1.001cd6080e195p-5, 0x1.f2623ca9216f9p-6, 0x1.e4d9b52f8b9bbp-6, 0x1.d79ec713ca859p-6, 0x1.cab025f40a46cp-6, 0x1.be0c87b6ac7a7p-6, 0x1.b1b2a4a37dc24p-6, 0x1.a5a1377ba57b9p-6, 0x1.99d6fd9061f2fp-6, 0x1.8e52b6d88b729p-6, 0x1.83132604f078fp-6, 0x1.781710938bcb2p-6, 0x1.6d5d3ee19a041p-6, 0x1.62e47c3c9b4b5p-6, 0x1.58ab96f244043p-6, 0x1.4eb1605f64e66p-6, 0x1.44f4acfdce05ap-6, 0x1.3b7454713c429p-6, 0x1.322f31934a1c8p-6, 0x1.2924227e7a67ap-6, 0x1.2052089856931p-6, 0x1.17b7c89aae915p-6, 0x1.0f544a9bfd34p-6, 0x1.07267a16fad46p-6, 0x1.fe5a8be2bdfaep-7, 0x1.eecf4103c3f48p-7, 0x1.dfa8ff2aebafap-7, 0x1.d0e5b8e793b29p-7, 0x1.c28367c63227p-7, 0x1.b4800c568f681p-7, 0x1.a6d9ae30ba0ep-7, 0x1.998e5bf8aa9cbp-7, 0x1.8c9c2b60b193p-7, 0x1.8001392abc853p-7, 0x1.73bba9286ca1ap-7, 0x1.67c9a63a21ceap-7, 0x1.5c29624ce815ep-7, 0x1.50d916577466cp-7, 0x1.45d702561321p-7, 0x1.3b216d45bc332p-7, 0x1.30b6a51e32c28p-7, 0x1.2694fecb514c6p-7, 0x1.1cbad62580d7p-7, 0x1.13268de968b67p-7, 0x1.09d68faedda57p-7, 0x1.00c94bdf1b097p-7, 0x1.effa73549b656p-8, 0x1.dee1adf8f1154p-8, 0x1.ce4550e379cbfp-8, 0x1.be22729418c84p-8, 0x1.ae7636b89cfc1p-8, 0x1.9f3dce11fe3a5p-8, 0x1.907676589f09fp-8, 0x1.821d7a1fa09fdp-8, 0x1.743030b754d2fp-8, 0x1.66abfe0ee00d7p-8, 0x1.598e529514cd6p-8, 0x1.4cd4ab18970fdp-8, 0x1.407c90a75498fp-8, 0x1.3483986d5f537p-8, 0x1.28e7639331aap-8, 0x1.1da59f1b6c9c5p-8, 0x1.12bc03c01a43ep-8, 0x1.082855cf7bdp-8, 0x1.fbd0ca10e2aafp-9, 0x1.e7f418ed0b266p-9, 0x1.d4b6649b460a7p-9, 0x1.c2138f8b04121p-9, 0x1.b00791e9a928fp-9, 0x1.9e8e795870718p-9, 0x1.8da468a1f6385p-9, 0x1.7d45976f6fb74p-9, 0x1.6d6e51fda33bp-9, 0x1.5e1af8d1b21f9p-9, 0x1.4f48006dbda4cp-9, 0x1.40f1f1057db06p-9, 0x1.33156632ca9d2p-9, 0x1.25af0eaa336cap-9, 0x1.18bbabefa44c4p-9, 0x1.0c38120b2dc1p-9, 0x1.0021273df57bdp-9, 0x1.e8e7c76eb710ep-10, 0x1.d25aa294c193fp-10, 0x1.bc951646b0acfp-10, 0x1.a7917afbcd04cp-10, 0x1.934a4ab6c7218p-10, 0x1.7fba20733c2d3p-10, 0x1.6cdbb7941529ap-10, 0x1.5aa9eb52d3b5p-10, 0x1.491fb62fd4404p-10, 0x1.38383163945afp-10, 0x1.27ee945114b94p-10, 0x1.183e33f94850fp-10, 0x1.0922826fc8d8bp-10, 0x1.f52e1ca14a695p-11, 0x1.d92f046f105fap-11, 0x1.be3f487034045p-11, 0x1.a456aaaf76c2bp-11, 0x1.8b6d221136affp-11, 0x1.737ad94c5dbd8p-11, 0x1.5c782de62af48p-11, 0x1.465daf30d8a7p-11, 0x1.31241d4d36552p-11, 0x1.1cc4682f38fadp-11, 0x1.0937aea591881p-11, 0x1.ecee7ac8a1e6ep-12, 0x1.c8f91c253f805p-12, 0x1.a6828cb72c112p-12, 0x1.857e6e04688bap-12, 0x1.65e0b5f10d7abp-12, 0x1.479dacf3f1848p-12, 0x1.2aa9ec51ac6d7p-12, 0x1.0efa5c5e0eed8p-12, 0x1.e908658809f77p-13, 0x1.b679e1a7de593p-13, 0x1.8634c3b0e4792p-13, 0x1.582532e381a7fp-13, 0x1.2c37e3eeb9a26p-13, 0x1.025a15c09e63fp-13, 0x1.b4f31cc75c3e2p-14, 0x1.69092fd22f09p-14, 0x1.20d3fabf9ffcep-14, 0x1.b8641f6220241p-15, 0x1.3605edd9714e9p-15, 0x1.749ca4620932cp-16, 0x1.14004c714a3bfp-17, -0x1.5101f3770f951p-18, -0x1.2698a457b8a76p-16, -0x1.ed784690f03eap-16, -0x1.54a602f5540c2p-15, -0x1.ad3ea2c4f2a4p-15, -0x1.005c8f6d15aafp-14, -0x1.27a383f32cc58p-14, -0x1.4c8c367bd2d8ep-14, -0x1.6f2df28bf2174p-14, -0x1.8f9f4c5e35608p-14, -0x1.adf62583af657p-14, -0x1.ca47b16d7279bp-14, -0x1.e4a879df5e9dp-14, -0x1.fd2c634c5d949p-14, -0x1.09f3588e26559p-13, -0x1.147504edec017p-13, -0x1.1e243dab4738bp-13, -0x1.2709bf4daf45ap-13, -0x1.2f2dfdf5ee2c5p-13, -0x1.3699274b3c8ffp-13, -0x1.3d53245e02c72p-13, -0x1.43639b805b0aep-13, -0x1.48d1f21481c8bp-13, -0x1.4da54e514b83fp-13, -0x1.51e498fccc69p-13, -0x1.55967f1d53cbap-13, -0x1.58c173a0ddcbcp-13, -0x1.5b6bb0fb20f48p-13, -0x1.5d9b3aba59299p-13, -0x1.5f55df12fc04fp-13, -0x1.60a138626c44p-13, -0x1.6182aea8e3347p-13, -0x1.61ff78faa13fp-13, -0x1.621c9ee89c818p-13, -0x1.61def9e0bf7b6p-13, -0x1.614b3685e870bp-13, -0x1.6065d5ffc90a5p-13, -0x1.5f332f42c7864p-13, -0x1.5db770500ae76p-13, -0x1.5bf69f6dd0c47p-13, -0x1.59f49c582c3cap-13, -0x1.57b5216a5b1b4p-13, -0x1.553bc4c0cc2f8p-13, -0x1.528bf953fbc6dp-13, -0x1.4fa9100c45dp-13, -0x1.4c9638ced4623p-13, -0x1.49568383c2f9bp-13, -0x1.45ece115a8db2p-13, -0x1.425c246a9652ap-13, -0x1.3ea70356b1d88p-13, -0x1.3ad017889754bp-13, -0x1.36d9df6f91d49p-13, -0x1.32c6bf1bcf373p-13, -0x1.2e990118b9f4cp-13, -0x1.2a52d74182e85p-13, -0x1.25f65b900d8d3p-13, -0x1.218590e64fcccp-13, -0x1.1d0263d2487dcp-13, -0x1.186eab4ca79a5p-13, -0x1.13cc29724b4dep-13, -0x1.0f1c8c38a12a5p-13, -0x1.0a616e1d16c11p-13, -0x1.059c56cfaba36p-13, -0x1.00cebbd8c61ddp-13, -0x1.f7f40274b7964p-14, -0x1.ee3ef41934459p-14, -0x1.e480d22c27045p-14, -0x1.dabc02bf39a91p-14, -0x1.d0f2cd87d2b7ep-14, -0x1.c7275cf60f776p-14, -0x1.bd5bbf4399c1fp-14, -0x1.b391e77a9c3a3p-14, -0x1.a9cbae74fc83fp-14, -0x1.a00ad3d41583fp-14, -0x1.9650fef107446p-14, -0x1.8c9fbfc5e3a53p-14, -0x1.82f88fcfd64c2p-14, -0x1.795cd2ea75efep-14, -0x1.6fcdd8246b23p-14, -0x1.664cda8d95823p-14, -0x1.5cdb01fed8585p-14, -0x1.537963dbb8564p-14, -0x1.4a2903cdf1a2ep-14, -0x1.40ead47b2c466p-14, -0x1.37bfb834f5da4p-14, -0x1.2ea881a327672p-14, -0x1.25a5f468d97cp-14, -0x1.1cb8c5c40c268p-14, -0x1.13e19d2826a3cp-14, -0x1.0b2114d3704d5p-14, -0x1.0277ba5fa442dp-14, -0x1.f3cc1e9b84cdap-15, -0x1.e2d9131a7daap-15, -0x1.d21727fd5665ap-15, -0x1.c1871de401885p-15, -0x1.b129a1414167bp-15, -0x1.a0ff4b466181ap-15, -0x1.9108a2c6d7763p-15, -0x1.81461d140bc2cp-15, -0x1.71b81ed17c52dp-15, -0x1.625efcc176dfp-15, -0x1.533afc8a9937bp-15, -0x1.444c557651d94p-15, -0x1.359331288e2ffp-15, -0x1.270fac50cfd35p-15, -0x1.18c1d754d0005p-15, -0x1.0aa9b6f4ecc3p-15, -0x1.f98e89d502a58p-16, -0x1.de34e100c8b53p-16, -0x1.c3463e4b570c1p-16, -0x1.a8c259f5d9c6p-16, -0x1.8ea8dab43a2adp-16, -0x1.74f956b27545dp-16, -0x1.5bb3548fd6e7bp-16, -0x1.42d64c506f89p-16, -0x1.2a61a84503074p-16, -0x1.1254c5e9cea03p-16, -0x1.f55ded78b86efp-17, -0x1.c6df0211742ddp-17, -0x1.992b415ca30e2p-17, -0x1.6c410fb9489dcp-17, -0x1.401ebf9066382p-17, -0x1.14c292af9d5f6p-17, -0x1.d455772a30a5dp-18, -0x1.80aabd5a8597dp-18, -0x1.2e8127057e3ap-18, -0x1.bba997843a62fp-19, -0x1.1d435ba978f0dp-19, -0x1.038ef10725adp-20, 0x1.6d2566f0dc948p-23, 0x1.5924e8e6eea2cp-20, 0x1.3f815ff813693p-19, 0x1.cfa7af25df249p-19, 0x1.2e87064dbabe8p-18, 0x1.73de9a283cfb7p-18, 0x1.b7def84fff83p-18, 0x1.fa8c8bbc3febdp-18, 0x1.1df5e1ec07efep-17, 0x1.3e00899ef7cc1p-17, 0x1.5d68774221268p-17, 0x1.7c2fe58d00092p-17, 0x1.9a590f19867adp-17, 0x1.b7e62de1d3eb5p-17, 0x1.d4d97ac528ca7p-17, 0x1.f1352d13d64ddp-17, 0x1.067dbd10f4ea1p-16, 0x1.14174a7029869p-16, 0x1.216856be167e4p-16, 0x1.2e71f8820db6ep-16, 0x1.3b354489a91aep-16, 0x1.47b34dc113458p-16, 0x1.53ed250df63f5p-16, 0x1.5fe3d92cf4e86p-16, 0x1.6b9876918ea3cp-16, 0x1.770c07486557p-16, 0x1.823f92dbb34c8p-16, 0x1.8d341e39ef887p-16, 0x1.97eaab9e7f6a6p-16, 0x1.a2643a7c5af24p-16, 0x1.aca1c76a9bbbcp-16, 0x1.b6a44c12ce561p-16, 0x1.c06cbf210820ap-16, 0x1.c9fc14359672p-16, 0x1.d3533bd849314p-16, 0x1.dc73236d364bep-16, 0x1.e55cb52aee1b5p-16, 0x1.ee10d8120d44dp-16, 0x1.f6906fe615bd8p-16, 0x1.fedc5d2787061p-16, 0x1.037abe8792e15p-15, 0x1.076e54c52c033p-15, 0x1.0b495c9c4c9a4p-15, 0x1.0f0c3fb4f451ep-15, 0x1.12b7660f18ca2p-15, 0x1.164b3602c9429p-15, 0x1.19c81440c30abp-15, 0x1.1d2e63d36ad3ep-15, 0x1.207e862027a61p-15, 0x1.23b8dae918a01p-15, 0x1.26ddc04f24112p-15, 0x1.29ed92d453ad7p-15, 0x1.2ce8ad5e8004ep-15, 0x1.2fcf693a423c7p-15, 0x1.32a21e1e27596p-15, 0x1.3561222e2466fp-15, 0x1.380cc9ff432cbp-15, 0x1.3aa5689b8437p-15, 0x1.3d2b4f85f57a7p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.2cf0dd4c911bep-1, 0x1.2d550fce4562p-1, 0x1.2dc1940775f93p-1, 0x1.2e34e40ace86dp-1, 0x1.2ead29a987a66p-1, 0x1.2f2847aae88f3p-1, 0x1.2fa3e433db81fp-1, 0x1.301d73ce961c9p-1, 0x1.3092449d2d523p-1, 0x1.30ff895a90e21p-1, 0x1.316263e34c2e5p-1, 0x1.31b7ef1271268p-1, 0x1.31fd47cf53a27p-1, 0x1.322f953635ce5p-1, 0x1.324c0fd122b74p-1, 0x1.325007def42fp-1, 0x1.3238eaad6549dp-1, 0x1.320447101ce56p-1, 0x1.31afd10252123p-1, 0x1.313964830537cp-1, 0x1.309f07bd3ff1ep-1, 0x1.2fdeec8e62f6ap-1, 0x1.2ef7717c839d7p-1, 0x1.2de7222e62547p-1, 0x1.2cacb775a76c7p-1, 0x1.2b4716fb0131ap-1, 0x1.29b5529a8b4ep-1, 0x1.27f6a77d90627p-1, 0x1.260a7cfd711b5p-1, 0x1.23f0635a216f7p-1, 0x1.21a8124d7a69ep-1, 0x1.1f316783677ap-1, 0x1.1c8c64fde3669p-1, 0x1.19b92f6abb733p-1, 0x1.16b80c702711p-1, 0x1.138960f478932p-1, 0x1.102daf64731aep-1, 0x1.0ca595fb38a6dp-1, 0x1.08f1cd0e36adap-1, 0x1.0513255f051b6p-1, 0x1.010a8674c7b1ap-1, 0x1.f9b1d9fc96bdfp-2, 0x1.f0fed27bab409p-2, 0x1.e7fe3afec0cb2p-2, 0x1.deb279339a79ap-2, 0x1.d51e10f6e3ad2p-2, 0x1.cb43a18487a26p-2, 0x1.c125e2bf95e16p-2, 0x1.b6c7a291e849fp-2, 0x1.ac2bc2638c826p-2, 0x1.a15534a9ecd03p-2, 0x1.9646fa8e92fb8p-2, 0x1.8b0421ad577d4p-2, 0x1.7f8fc1e9c27b9p-2, 0x1.73ecfb5b5ad84p-2, 0x1.681ef45096cbdp-2, 0x1.5c28d76823478p-2, 0x1.500dd1c028671p-2, 0x1.43d1113b32fb8p-2, 0x1.3775c2da72431p-2, 0x1.2aff112cdbd9cp-2, 0x1.1e7022d2e87bcp-2, 0x1.11cc191678919p-2, 0x1.05160e96849a5p-2, 0x1.f0a22c0c6353ap-3, 0x1.d70071fdbe33bp-3, 0x1.bd4cedc98b48fp-3, 0x1.a38d87bb73e7p-3, 0x1.89c80fb345dddp-3, 0x1.70023b586f337p-3, 0x1.5641a46f17f62p-3, 0x1.3c8bc74dfe41p-3, 0x1.22e6017425311p-3, 0x1.0955903d62439p-3, 0x1.dfbf1f69da6cfp-4, 0x1.ad11f309dddc6p-4, 0x1.7aad48043fbaap-4, 0x1.489a82a51ef02p-4, 0x1.16e2bd5d26225p-4, 0x1.cb1d8eebbadc2p-5, 0x1.694e47ed13717p-5, 0x1.0868116f67057p-5, 0x1.50f5768dcef9cp-6, 0x1.2655e1054af4bp-7, -0x1.43922b183e6a4p-9, -0x1.c38c7c22e45d3p-7, -0x1.98b649c10dc4bp-6, -0x1.26947af12e831p-5, -0x1.7f83064220103p-5, -0x1.d71b499cd4fabp-5, -0x1.16a932615fa47p-4, -0x1.410f09b4d2844p-4, -0x1.6aba5600d0571p-4, -0x1.93a68f23ff621p-4, -0x1.bbcf78d50574cp-4, -0x1.e33121bd69a0dp-4, -0x1.04e3f13fba5b8p-3, -0x1.17c82e54377dp-3, -0x1.2a43bcc8560dfp-3, -0x1.3c5534955e8cfp-3, -0x1.4dfb50618a7e1p-3, -0x1.5f34ecd8b67abp-3, -0x1.700107fe8b3e2p-3, -0x1.805ec07ab95dcp-3, -0x1.904d54dfdb746p-3, -0x1.9fcc22ed88d9dp-3, -0x1.aedaa6ce213cep-3, -0x1.bd787a50d511ep-3, -0x1.cba554206d031p-3, -0x1.d96106f73ad2ep-3, -0x1.e6ab80d0bc065p-3, -0x1.f384ca19456c2p-3, -0x1.ffed04dc37edcp-3, -0x1.05f235f88a6e5p-2, -0x1.0bb5a913ea916p-2, -0x1.114110ba7129dp-2, -0x1.1694ad0e83795p-2, -0x1.1bb0c8f0d44e2p-2, -0x1.2095b996cd2d5p-2, -0x1.2543de2168f5fp-2, -0x1.29bb9f34a55dcp-2, -0x1.2dfd6e8fa5acbp-2, -0x1.3209c6a5b0edcp-2, -0x1.35e12a381d9f3p-2, -0x1.398423f14cbe5p-2, -0x1.3cf34600d0556p-2, -0x1.402f29b8cc7f1p-2, -0x1.43386f2cb2fafp-2, -0x1.460fbcd168472p-2, -0x1.48b5bf1ee75aep-2, -0x1.4b2b2833759a3p-2, -0x1.4d70af78789a3p-2, -0x1.4f871148f843ap-2, -0x1.516f0e99e03ep-2, -0x1.53296ca4096ep-2, -0x1.54b6f4901767dp-2, -0x1.5618732433f31p-2, -0x1.574eb873afa91p-2, -0x1.585a979091cbfp-2, -0x1.593ce63f1a695p-2, -0x1.59f67cab3f968p-2, -0x1.5a88352026343p-2, -0x1.5af2ebc19f082p-2, -0x1.5b377e47a2e32p-2, -0x1.5b56cbbbda262p-2, -0x1.5b51b43922e39p-2, -0x1.5b2918ad24925p-2, -0x1.5addda9be5714p-2, -0x1.5a70dbe5635edp-2, -0x1.59e2fe8d31048p-2, -0x1.5935248412f2p-2, -0x1.58682f7394bb9p-2, -0x1.577d008b9d26bp-2, -0x1.56747851eeeb1p-2, -0x1.554f76739f451p-2, -0x1.540ed99872f47p-2, -0x1.52b37f381f75p-2, -0x1.513e43716c7bp-2, -0x1.4fb000e32a45p-2, -0x1.4e099086fa1efp-2, -0x1.4c4bc98de04aap-2, -0x1.4a77813e99964p-2, -0x1.488d8ad5a61dap-2, -0x1.468eb7670d2aap-2, -0x1.447bd5c1c58a2p-2, -0x1.4255b254c2c57p-2, -0x1.401d17159aefdp-2, -0x1.3dd2cb68baea6p-2, -0x1.3b77940b24485p-2, -0x1.390c32fda8f3p-2, -0x1.369167719bc29p-2, -0x1.3407edb6ecce4p-2, -0x1.31707f2ba9faep-2, -0x1.2ecbd22cd5b3ep-2, -0x1.2c1a9a0894b12p-2, -0x1.295d86f198652p-2, -0x1.269545f3d0a25p-2, -0x1.23c280ea4a847p-2, -0x1.20e5de763d0ebp-2, -0x1.1e0001f736bd9p-2, -0x1.1b118b84610d7p-2, -0x1.181b17e6d6716p-2, -0x1.151d4094fa744p-2, -0x1.12189baecebd2p-2, -0x1.0f0dbbfb3fafep-2, -0x1.0bfd30e6538d6p-2, -0x1.08e78680446f1p-2, -0x1.05cd457d6b2abp-2, -0x1.02aef336ff83fp-2, -0x1.ff1a235940148p-3, -0x1.f8d03f0d2aa3dp-3, -0x1.f2813031a1106p-3, -0x1.ec2de6cd2f81cp-3, -0x1.e5d74c4db0245p-3, -0x1.df7e439234d53p-3, -0x1.d923a8f614d68p-3, -0x1.d2c8525d26759p-3, -0x1.cc6d0f4100938p-3, -0x1.c612a8bf45d1ap-3, -0x1.bfb9e1a8dfe08p-3, -0x1.b963769223066p-3, -0x1.b3101de3ca07cp-3, -0x1.acc087ecc368bp-3, -0x1.a6755ef4b5a42p-3, -0x1.a02f474f3b39p-3, -0x1.99eedf6fc79a9p-3, -0x1.93b4bffe1f05ap-3, -0x1.8d817beb66819p-3, -0x1.8755a087ae25ep-3, -0x1.8131b59801f3bp-3, -0x1.7b163d6cda90cp-3, -0x1.7503b4f8f8703p-3, -0x1.6efa93e8a2614p-3, -0x1.68fb4cb920cf6p-3, -0x1.63064cd097204p-3, -0x1.5d1bfc9609ee7p-3, -0x1.573cbf89a579ep-3, -0x1.5168f45d2f325p-3, -0x1.4ba0f50c9a70ap-3, -0x1.45e516f6bdbc8p-3, -0x1.4035aaf621938p-3, -0x1.3a92fd79d7fcap-3, -0x1.34fd569e5ea9ap-3, -0x1.2f74fa468902ep-3, -0x1.29fa28345fa5ap-3, -0x1.248d1c21f715cp-3, -0x1.1f2e0dda377bfp-3, -0x1.19dd31518e663p-3, -0x1.149ab6be87062p-3, -0x1.0f66cab241e3ap-3, -0x1.0a419630c6bcbp-3, -0x1.052b3ec932552p-3, -0x1.0023e6adb1416p-3, -0x1.f65759969f303p-4, -0x1.ec8559c31d2abp-4, -0x1.e2d1ff338aee5p-4, -0x1.d93d753c8ed67p-4, -0x1.cfc7e1628d455p-4, -0x1.c6716386eadaap-4, -0x1.bd3a1614d8cc7p-4, -0x1.b4220e2d769a8p-4, -0x1.ab295bd376daap-4, -0x1.a2500a1623ee1p-4, -0x1.99961f3bc6e96p-4, -0x1.90fb9ceb77b8cp-4, -0x1.8880805642728p-4, -0x1.8024c25fac652p-4, -0x1.77e857c58e815p-4, -0x1.6fcb31474686ap-4, -0x1.67cd3bcc3a06bp-4, -0x1.5fee6089aab83p-4, -0x1.582e8527dadcfp-4, -0x1.508d8be67f736p-4, -0x1.490b53c07e6f8p-4, -0x1.41a7b88efa65p-4, -0x1.3a62932ba81c3p-4, -0x1.333bb9926fa93p-4, -0x1.2c32ff02576dcp-4, -0x1.2548341db9077p-4, -0x1.1e7b2709c273p-4, -0x1.17cba38d3f2bbp-4, -0x1.1139732eae349p-4, -0x1.0ac45d51a3a23p-4, -0x1.046c275374f1cp-4, -0x1.fc61294e69dap-5, -0x1.f022cde1f8ee4p-5, -0x1.e41cbc41051a2p-5, -0x1.d84e71160acf4p-5, -0x1.ccb766090caa8p-5, -0x1.c15711f0b096dp-5, -0x1.b62ce90206f1dp-5, -0x1.ab385cff0261dp-5, -0x1.a078dd639c7e9p-5, -0x1.95edd791b4ab4p-5, -0x1.8b96b6fba48ecp-5, -0x1.8172e54d918e3p-5, -0x1.7781ca9582526p-5, -0x1.6dc2cd6a363c9p-5, -0x1.64355310cb1a5p-5, -0x1.5ad8bfa12c862p-5, -0x1.51ac762959f92p-5, -0x1.48afd8cf849c1p-5, -0x1.3fe248f3069a3p-5, -0x1.3743274c40464p-5, -0x1.2ed1d40b56d92p-5, -0x1.268daef5e49ecp-5, -0x1.1e76178392d47p-5, -0x1.168a6cf9ad672p-5, -0x1.0eca0e85b038bp-5, -0x1.07345b56d27d9p-5, -0x1.ff91656d32b44p-6, -0x1.f10ce840e161p-6, -0x1.e2d9feb0b0656p-6, -0x1.d4f769013c112p-6, -0x1.c763e85d6f27ap-6, -0x1.ba1e3efe6e876p-6, -0x1.ad253051c97ep-6, -0x1.a077811dfb74bp-6, -0x1.9413f7a54c531p-6, -0x1.87f95bc71101p-6, -0x1.7c26771f5d9ebp-6, -0x1.709a1525334dep-6, -0x1.655303472a3efp-6, -0x1.5a501106add3cp-6, -0x1.4f901011ce5cp-6, -0x1.4511d45bb1914p-6, -0x1.3ad43433a990cp-6, -0x1.30d6085b08d69p-6, -0x1.27162c19a2577p-6, -0x1.1d937d511f3dbp-6, -0x1.144cdc8f15e0ap-6, -0x1.0b412d1dff851p-6, -0x1.026f55150c327p-6, -0x1.f3ac7acdb8b3bp-7, -0x1.e2e9a3de5cc5dp-7, -0x1.d29402ff0ce4bp-7, -0x1.c2a97bd5a948cp-7, -0x1.b327f8204e31dp-7, -0x1.a40d67c8ddb69p-7, -0x1.9557c0f6b924dp-7, -0x1.8705001ebc3edp-7, -0x1.7913281190d9bp-7, -0x1.6b8042085addp-7, -0x1.5e4a5dafdd02dp-7, -0x1.516f913210b5dp-7, -0x1.44edf93e4f513p-7, -0x1.38c3b910196b6p-7, -0x1.2ceefa7478f02p-7, -0x1.216dedce20cccp-7, -0x1.163eca18499d9p-7, -0x1.0b5fcce85bb1ap-7, -0x1.00cf3a6e7235p-7, -0x1.ed16bae98ae54p-8, -0x1.d9250ebc078adp-8, -0x1.c5c6204553627p-8, -0x1.b2f6ac9abdd0ep-8, -0x1.a0b37decd122bp-8, -0x1.8ef96b7c6d69cp-8, -0x1.7dc5598e35426p-8, -0x1.6d14395c59bb5p-8, -0x1.5ce30906e2eeap-8, -0x1.4d2ed3827b7c6p-8, -0x1.3df4b085dd95ap-8, -0x1.2f31c475ebba1p-8, -0x1.20e340508a43ep-8, -0x1.1306619649ce1p-8, -0x1.05987232f15f8p-8, -0x1.f12d90c9f9ce2p-9, -0x1.d7fd8d4835778p-9, -0x1.bf9bb70d7566dp-9, -0x1.a803034d72764p-9, -0x1.912e7f0a795bp-9, -0x1.7b194edb8e4e3p-9, -0x1.65beaeb12c5d9p-9, -0x1.5119f198a844p-9, -0x1.3d26817e58026p-9, -0x1.29dfdeee949b6p-9, -0x1.1741a0d5b21ap-9, -0x1.0547743efb638p-9, -0x1.e7da3825a2b9bp-10, -0x1.c65ce1a7f4aa6p-10, -0x1.a60ec0b877372p-10, -0x1.86e7db309e855p-10, -0x1.68e060868a8d1p-10, -0x1.4bf0a942cd307p-10, -0x1.3011367558271p-10, -0x1.153ab129ab82p-10, -0x1.f6cbd3b4ceb2bp-11, -0x1.c517afc8d2915p-11, -0x1.954b31f309d99p-11, -0x1.6758e125fe448p-11, -0x1.3b338ec7c222ep-11, -0x1.10ce55967ff21p-11, -0x1.d039311a481d4p-12, -0x1.822403909e474p-12, -0x1.374502d784644p-12, -0x1.df093221b2e8dp-13, -0x1.5597700d1e505p-13, -0x1.a40f5be932df1p-14, -0x1.50b783ba24b51p-15, 0x1.2107fd9780c86p-16, 0x1.2e1dfd678e193p-14, 0x1.04c52d39d6006p-13, 0x1.6d6ba7122cd99p-13, 0x1.d12996ef678ffp-13, 0x1.18129d5053607p-12, 0x1.4541f3a05cdeap-12, 0x1.703506ae8cabdp-12, 0x1.98fd9e8a2e92ap-12, 0x1.bfad1515e6514p-12, 0x1.e454580de12dbp-12, 0x1.0381f584a26efp-11, 0x1.13e5f4bb610bap-11, 0x1.235e044a0edeep-11, 0x1.31f1ccb04d88dp-11, 0x1.3fa8c54513e68p-11, 0x1.4c8a352a96732p-11, 0x1.589d343f79a94p-11, 0x1.63e8ac0d3d44cp-11, 0x1.6e7358b3de99dp-11, 0x1.7843c9d2a1902p-11, 0x1.8160636dfb14bp-11, 0x1.89cf5ed2979a7p-11, 0x1.9196cb757314bp-11, 0x1.98bc8fd100d79p-11, 0x1.9f466a3f5bf02p-11, 0x1.a539f1d17c20ap-11, 0x1.aa9c97236e602p-11, 0x1.af73a52d8b3c7p-11, 0x1.b3c44212aae4ep-11, 0x1.b7936feb54642p-11, 0x1.bae60d8de99b7p-11, 0x1.bdc0d753cc66cp-11, 0x1.c02867db800e8p-11, 0x1.c22138c7c6963p-11, 0x1.c3afa37bbacc8p-11, 0x1.c4d7e1d3ec851p-11, 0x1.c59e0edc7aeeap-11, 0x1.c6062784367a6p-11, 0x1.c6140b4cc933dp-11, 0x1.c5cb7cf7eab83p-11, 0x1.c5302331a4135p-11, 0x1.c4458937a636ap-11, 0x1.c30f1f7db8e51p-11, 0x1.c1903c4f48d46p-11, 0x1.bfcc1c6e1578ap-11, 0x1.bdc5e3ae0826dp-11, 0x1.bb809d8e39be8p-11, 0x1.b8ff3dcf2bccdp-11, 0x1.b644a10639e49p-11, 0x1.b3538d2e4fc76p-11, 0x1.b02eb235e1e54p-11, 0x1.acd8aa8a38dd8p-11, 0x1.a953fba00df87p-11, 0x1.a5a316798825bp-11, 0x1.a1c8582999099p-11, 0x1.9dc60a54c84adp-11, 0x1.999e63af700dbp-11, 0x1.95538879756a9p-11, 0x1.90e78af7819c5p-11, 0x1.8c5c6be9c880ap-11, 0x1.87b41b005d8c7p-11, 0x1.82f0774d27a32p-11, 0x1.7e134fb373d16p-11, 0x1.791e6355358e3p-11, 0x1.741361fdf81cep-11, 0x1.6ef3ec8b8dabap-11, 0x1.69c195547ee2ep-11, 0x1.647de08c49885p-11, 0x1.5f2a44a57122dp-11, 0x1.59c82ab16ee89p-11, 0x1.5458eebe8338p-11, 0x1.4edde03377777p-11, 0x1.4958422954dd8p-11, 0x1.43c94bc3183c9p-11, 0x1.3e3228836cba5p-11, 0x1.3893f8a076ae5p-11, 0x1.32efd155b27c5p-11, 0x1.2d46bd33f43f7p-11, 0x1.2799bc6f8fb4cp-11, 0x1.21e9c52cac735p-11, 0x1.1c37c3c9d42d7p-11, 0x1.16849b28bf7c6p-11, 0x1.10d124f569fecp-11, 0x1.0b1e31eb75e4fp-11, 0x1.056c8a19e6932p-11, 0x1.ff79da4a74761p-12, 0x1.f420250fd3b64p-12, 0x1.e8cd53a2b0d85p-12, 0x1.dd82b5c66d482p-12, 0x1.d2418c5ac986bp-12, 0x1.c70b09d0b344p-12, 0x1.bbe0529c2852fp-12, 0x1.b0c27da34655dp-12, 0x1.a5b294aa880aep-12, 0x1.9ab194be4c97p-12, 0x1.8fc06e99abf67p-12, 0x1.84e0070aac646p-12, 0x1.7a113753e4e22p-12, 0x1.6f54cd8b99067p-12, 0x1.64ab8cf85dd8cp-12, 0x1.5a162e6b5214p-12, 0x1.4f956097fa7a5p-12, 0x1.4529c869c9e23p-12, 0x1.3ad40157685a4p-12, 0x1.30949db3becb5p-12, 0x1.266c26fcd835ep-12, 0x1.1c5b1e28a2e6cp-12, 0x1.1261fbef9e3e8p-12, 0x1.088131157d9b8p-12, 0x1.fd724d5fa4d12p-13, 0x1.ea147cd585731p-13, 0x1.d6e9a597b0532p-13, 0x1.c3f26ee5ed7fdp-13, 0x1.b12f72b3019ccp-13, 0x1.9ea13e1f6d4d6p-13, 0x1.8c4851f0b39c8p-13, 0x1.7a2523053fb35p-13, 0x1.68381ac4fa15ep-13, 0x1.5681978eaa37cp-13, 0x1.4501ed22254fep-13, 0x1.33b965077773ep-13, 0x1.22a83ef30361dp-13, 0x1.11ceb126b3164p-13, 0x1.012ce8d0534dfp-13, 0x1.e18614ca3b1bcp-14, 0x1.c12263f5159efp-14, 0x1.a12ee73904bccp-14, 0x1.81abb741d3b44p-14, 0x1.6298ddf16c23dp-14, 0x1.43f656fd01037p-14, 0x1.25c410856e1f1p-14, 0x1.0801ebaaea547p-14, 0x1.d55f7a3850a3bp-15, 0x1.9b9a9b420890fp-15, 0x1.62b4b541bb1b1p-15, 0x1.2aad2d496b7ecp-15, 0x1.e706a754d31b6p-16, 0x1.7a6cc9d2a536ap-16, 0x1.0f8b15549071cp-16, 0x1.4cbf72563137fp-17, 0x1.f746134b8347ep-19, -0x1.36df137404525p-19, -0x1.15e0cf9c3528bp-17, -0x1.daae3b134f456p-17, -0x1.4e126f554319ap-16, -0x1.ad24e34eab465p-16, -0x1.05488c49d0de2p-15, -0x1.332ce2f243bbep-15, -0x1.6040dc296b38dp-15, -0x1.8c85e8fd95a97p-15, -0x1.b7fd84654468dp-15, -0x1.e2a932a74652fp-15, -0x1.064540640dedp-14, -0x1.1ad181fe4366cp-14, -0x1.2efa2c908ebd7p-14, -0x1.42c0121b5b7f3p-14, -0x1.562407f1ccad3p-14, -0x1.6926e67c9c588p-14, -0x1.7bc988ff381a9p-14, -0x1.8e0ccd5f06984p-14, -0x1.9ff193ecc88d5p-14, -0x1.b178bf3001bc9p-14, -0x1.c2a333b46095cp-14, -0x1.d371d7d90d539p-14, -0x1.e3e593a1d33d3p-14, -0x1.f3ff508a2cdfp-14, -0x1.01dffcacf67ccp-13, -0x1.09943cfde181fp-13, -0x1.111cdfaaa098dp-13, -0x1.187a5b904ecfap-13, -0x1.1fad27e3f097cp-13, -0x1.26b5bc20d5de9p-13, -0x1.2d948ff7b04a4p-13, -0x1.344a1b3e63ea6p-13, -0x1.3ad6d5e07e89ep-13, -0x1.413b37d061595p-13, -0x1.4777b8f903b84p-13, -0x1.4d8cd1305e6d9p-13, -0x1.537af82a6b7ebp-13, -0x1.5942a56cb9be5p-13, -0x1.5ee45042932cap-13, -0x1.64606fb1aa72dp-13, -0x1.69b77a6f53fb8p-13, -0x1.6ee9e6d63b57bp-13, -0x1.73f82adc97a3fp-13, -0x1.78e2bc0adeee3p-13, -0x1.7daa0f72e4cacp-13, -0x1.824e99a7761d3p-13, -0x1.86d0ceb45540dp-13, -0x1.8b312216adfd9p-13, -0x1.8f7006b5e2a8ap-13, -0x1.938deedcc4745p-13, -0x1.978b4c3326b93p-13, -0x1.9b688fb7d0d29p-13, -0x1.9f2629bac3bf1p-13, -0x1.a2c489d7dd6e7p-13, -0x1.a6441ef1c2505p-13, -0x1.a9a5572d21dcap-13, -0x1.ace89fec4243bp-13, -0x1.b00e65cad2604p-13, -0x1.b317149a0bd31p-13, -0x1.b603175d0ec45p-13, -0x1.b8d2d845869a4p-13, -0x1.bb86c0b08b08cp-13, -0x1.be1f3923bf477p-13, -0x1.c09ca94aaa06ap-13, -0x1.c2ff77f447097p-13, -0x1.c5480b10ccfdep-13, -0x1.c776c7afac14p-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.2bbf06b71009ap-1, 0x1.2bdf50ee7531ap-1, 0x1.2c02ee2317786p-1, 0x1.2c29af514d18fp-1, 0x1.2c53541f7f371p-1, 0x1.2c7f8b9847e31p-1, 0x1.2cadf53c91fdfp-1, 0x1.2cde2257005ecp-1, 0x1.2d0f977cbe1b8p-1, 0x1.2d41ce2ab491bp-1, 0x1.2d743670e577dp-1, 0x1.2da638a028b2bp-1, 0x1.2dd736f0e163ap-1, 0x1.2e068f1b47766p-1, 0x1.2e339bdbab42fp-1, 0x1.2e5db65ea784fp-1, 0x1.2e84379281fa2p-1, 0x1.2ea6795c12adbp-1, 0x1.2ec3d7ae72a0dp-1, 0x1.2edbb1856660ap-1, 0x1.2eed69c3109d4p-1, 0x1.2ef867f1e0a23p-1, 0x1.2efc18ec0ee42p-1, 0x1.2ef7ef6a236b2p-1, 0x1.2eeb647a382e6p-1, 0x1.2ed5f7e1b27ccp-1, 0x1.2eb7306b3adcap-1, 0x1.2e8e9c22b5bf5p-1, 0x1.2e5bd080f6d0ap-1, 0x1.2e1e6a88d4e0cp-1, 0x1.2dd60ed72dc02p-1, 0x1.2d8269a756b4p-1, 0x1.2d232ecd528a9p-1, 0x1.2cb819a717995p-1, 0x1.2c40ed060975fp-1, 0x1.2bbd7311b5c4bp-1, 0x1.2b2d7d24cc2a6p-1, 0x1.2a90e3a52c9e3p-1, 0x1.29e785d7d07dp-1, 0x1.293149b144a8bp-1, 0x1.286e1ba34e32dp-1, 0x1.279dee684962cp-1, 0x1.26c0baccbab83p-1, 0x1.25d67f7785246p-1, 0x1.24df40b11fdb3p-1, 0x1.23db082a23b2cp-1, 0x1.22c9e4c178315p-1, 0x1.21abea4a61d22p-1, 0x1.20813152a80ap-1, 0x1.1f49d6e9044e2p-1, 0x1.1e05fc64064f9p-1, 0x1.1cb5c7298d172p-1, 0x1.1b596076f9b98p-1, 0x1.19f0f52a332cbp-1, 0x1.187cb58b93de8p-1, 0x1.16fcd518d3bdbp-1, 0x1.15718a5101674p-1, 0x1.13db0e8195e64p-1, 0x1.12399d94b0e19p-1, 0x1.108d75e086ac6p-1, 0x1.0ed6d7f808229p-1, 0x1.0d16067cca0aep-1, 0x1.0b4b45f23295ep-1, 0x1.0976dc91ef2d9p-1, 0x1.07991221b7337p-1, 0x1.05b22fca5b3cfp-1, 0x1.03c27ff02419fp-1, 0x1.01ca4e0c7e91fp-1, 0x1.ff93cd11f0099p-2, 0x1.fb832d3709cc9p-2, 0x1.f7635848276f6p-2, 0x1.f334eb16d1841p-2, 0x1.eef883467cc87p-2, 0x1.eaaebf0f50639p-2, 0x1.e6583d036b9dep-2, 0x1.e1f59bd69de0ep-2, 0x1.dd877a288c996p-2, 0x1.d90e76513ea0ap-2, 0x1.d48b2e2ffb95p-2, 0x1.cffe3efc81c59p-2, 0x1.cb68451a784d4p-2, 0x1.c6c9dbef22341p-2, 0x1.c2239db938a3dp-2, 0x1.bd76236aea6d3p-2, 0x1.b8c20485f25adp-2, 0x1.b407d6f9b39bp-2, 0x1.af482f0355375p-2, 0x1.aa839f0fcd34bp-2, 0x1.a5bab79fd2205p-2, 0x1.a0ee072d9d0bdp-2, 0x1.9c1e1a147cd8fp-2, 0x1.974b7a7a21c48p-2, 0x1.9276b03998d47p-2, 0x1.8da040cfec9afp-2, 0x1.88c8af4a5b093p-2, 0x1.83f07c36131fcp-2, 0x1.7f1825916f0cfp-2, 0x1.7a4026bea25f3p-2, 0x1.7568f877c2c71p-2, 0x1.709310c42ef02p-2, 0x1.6bbee2ef3c903p-2, 0x1.66ecdf8021cd5p-2, 0x1.621d74331676cp-2, 0x1.5d510bf3946ebp-2, 0x1.58880ed7b6d5p-2, 0x1.53c2e21ca5e9fp-2, 0x1.4f01e82407bf6p-2, 0x1.4a45807266c37p-2, 0x1.458e07ae88ddep-2, 0x1.40dbd7a1a4a78p-2, 0x1.3c2f473873da5p-2, 0x1.3788aa851081bp-2, 0x1.32e852c195707p-2, 0x1.2e4e8e537cb5ep-2, 0x1.29bba8cfa998bp-2, 0x1.252feaff1cc67p-2, 0x1.20ab9ae447b8bp-2, 0x1.1c2efbc0f0cbdp-2, 0x1.17ba4e1ca95a1p-2, 0x1.134dcfcbc442dp-2, 0x1.0ee9bbf6cbfdp-2, 0x1.0a8e4b22677ddp-2, 0x1.063bb337b2cb5p-2, 0x1.01f2278cf76ecp-2, 0x1.fb63b1dd8990cp-3, 0x1.f2f5eb52beeedp-3, 0x1.ea9b5325019bap-3, 0x1.e2543c26be8b5p-3, 0x1.da20f465f8071p-3, 0x1.d201c5415932ap-3, 0x1.c9f6f37db7862p-3, 0x1.c200bf5bfb319p-3, 0x1.ba1f64af5db3fp-3, 0x1.b2531af3f95f1p-3, 0x1.aa9c1565958ccp-3, 0x1.a2fa8316bbd5ep-3, 0x1.9b6e8f07ef979p-3, 0x1.93f8603f14f8p-3, 0x1.8c9819defb1aap-3, 0x1.854ddb3ef3859p-3, 0x1.7e19c00285ad9p-3, 0x1.76fbe03122811p-3, 0x1.6ff4504ddb78cp-3, 0x1.6903216f1541ep-3, 0x1.622861562ef9p-3, 0x1.5b641a8712869p-3, 0x1.54b6545fb525cp-3, 0x1.4e1f132f72fa4p-3, 0x1.479e584e4a19ep-3, 0x1.41342233f429bp-3, 0x1.3ae06c8ec6ce5p-3, 0x1.34a3305a70edp-3, 0x1.2e7c63f67b3b6p-3, 0x1.286bfb3c8ec16p-3, 0x1.2271e79688565p-3, 0x1.1c8e18143f97dp-3, 0x1.16c0798115952p-3, 0x1.1108f67936f36p-3, 0x1.0b67777e99765p-3, 0x1.05dbe30daa5e9p-3, 0x1.00661db1b2e4bp-3, 0x1.f60c1431d9526p-4, 0x1.eb77125081a35p-4, 0x1.e10cf41d6c73ap-4, 0x1.d6cd74b11d6fp-4, 0x1.ccb84c0408fcfp-4, 0x1.c2cd2f1375fa8p-4, 0x1.b90bd00598a9bp-4, 0x1.af73de4d0bc76p-4, 0x1.a60506cb881e1p-4, 0x1.9cbef3f3ec2c5p-4, 0x1.93a14deb8d5cdp-4, 0x1.8aabbaaac78e4p-4, 0x1.81ddde1ce1149p-4, 0x1.79375a3f2b1a7p-4, 0x1.70b7cf3f6c75bp-4, 0x1.685edb99925b5p-4, 0x1.602c1c34a8894p-4, 0x1.581f2c7f18039p-4, 0x1.5037a68a2dce8p-4, 0x1.48752324ea85dp-4, 0x1.40d739f61b85ep-4, 0x1.395d8195bee1ap-4, 0x1.32078fa5b2acap-4, 0x1.2ad4f8e9b31dep-4, 0x1.23c5515ea56ecp-4, 0x1.1cd82c51359eep-4, 0x1.160d1c73c44bbp-4, 0x1.0f63b3f3aa3d2p-4, 0x1.08db848dd0c6ep-4, 0x1.02741fa2a3629p-4, 0x1.f85a2c92b4af1p-5, 0x1.ec0bf2c544f62p-5, 0x1.dffcb3554797p-5, 0x1.d42b8f94d09d8p-5, 0x1.c897a8d14d17dp-5, 0x1.bd402073e5eefp-5, 0x1.b2241820aee1fp-5, 0x1.a742b1d4b11fcp-5, 0x1.9c9b1002cb298p-5, 0x1.922c55af74c51p-5, 0x1.87f5a68b67595p-5, 0x1.7df6270d3055cp-5, 0x1.742cfc89b4544p-5, 0x1.6a994d4ba9a53p-5, 0x1.613a40aa0af92p-5, 0x1.580eff1d8c5cbp-5, 0x1.4f16b255160bap-5, 0x1.465085494c239p-5, 0x1.3dbba44f24457p-5, 0x1.35573d2995d05p-5, 0x1.2d227f1a62f27p-5, 0x1.251c9af204c54p-5, 0x1.1d44c31ebdf92p-5, 0x1.159a2bbadb198p-5, 0x1.0e1c0a9a22873p-5, 0x1.06c997567da74p-5, 0x1.ff4416b7bb7c5p-6, 0x1.f14943e6c213p-6, 0x1.e3a1309b854dap-6, 0x1.d64a5b1a2384bp-6, 0x1.c943459b7daabp-6, 0x1.bc8a765df6291p-6, 0x1.b01e77b4ecbf7p-6, 0x1.a3fdd816f7646p-6, 0x1.98272a2ae6ef9p-6, 0x1.8c9904d39de1cp-6, 0x1.8152033ac8c64p-6, 0x1.7650c4da76c6p-6, 0x1.6b93ed85ab0bbp-6, 0x1.611a256fde89ap-6, 0x1.56e21933873b6p-6, 0x1.4cea79d7ae0a5p-6, 0x1.4331fcd491ecbp-6, 0x1.39b75c1769223p-6, 0x1.3079560549002p-6, 0x1.2776ad7d35017p-6, 0x1.1eae29d96819fp-6, 0x1.161e96efd4c86p-6, 0x1.0dc6c511eb631p-6, 0x1.05a5890bacf2fp-6, 0x1.fb7378441ade1p-7, 0x1.ec047821629c5p-7, 0x1.dcfbd60e1c58ep-7, 0x1.ce575f49de71cp-7, 0x1.c014e9ecd2c2ap-7, 0x1.b23254de8c8d4p-7, 0x1.a4ad87cbcec13p-7, 0x1.9784731b5a921p-7, 0x1.8ab50fe1cd63dp-7, 0x1.7e3d5fd493afp-7, 0x1.721b6d3c0761ap-7, 0x1.664d4ae4c0c64p-7, 0x1.5ad114101f91ap-7, 0x1.4fa4ec642404cp-7, 0x1.44c6ffda8b784p-7, 0x1.3a3582af58014p-7, 0x1.2feeb14eb348ap-7, 0x1.25f0d0424439p-7, 0x1.1c3a2c1dfbe18p-7, 0x1.12c9196c63f5ap-7, 0x1.099bf49a75d1dp-7, 0x1.00b121e304249p-7, 0x1.f00e1a737f176p-8, 0x1.df38546bb592cp-8, 0x1.cedde7f8b5e89p-8, 0x1.befbda542dbdcp-8, 0x1.af8f3f7add28cp-8, 0x1.a09539ff8598bp-8, 0x1.920afadd5f6bcp-8, 0x1.83edc14a2a797p-8, 0x1.763ada87e0509p-8, 0x1.68efa1b61685ep-8, 0x1.5c097fa31c9cp-8, 0x1.4f85ea9cde87ap-8, 0x1.4362664198c1ep-8, 0x1.379c835065cb3p-8, 0x1.2c31df79b2589p-8, 0x1.2120252f9b448p-8, 0x1.16650b7646b71p-8, 0x1.0bfe55b4383cbp-8, 0x1.01e9d382b0675p-8, 0x1.f04ac0fc2e447p-9, 0x1.dd5dc82d03c55p-9, 0x1.cb08a2c0a77d5p-9, 0x1.b9474dca08268p-9, 0x1.a815dce824681p-9, 0x1.977079e84cd7fp-9, 0x1.87536468e0258p-9, 0x1.77baf17c774bp-9, 0x1.68a38b4d9e7c2p-9, 0x1.5a09b0c318007p-9, 0x1.4be9f524bdce9p-9, 0x1.3e40ffc0fcd68p-9, 0x1.310b8b930230cp-9, 0x1.244666e99760ep-9, 0x1.17ee730eb8eeap-9, 0x1.0c00a3efeea61p-9, 0x1.0079ffc76970dp-9, 0x1.eaaf3d8bebf47p-10, 0x1.d52d557b71bacp-10, 0x1.c068bd9b9b61fp-10, 0x1.ac5c0e1d7ecp-10, 0x1.9902007fca222p-10, 0x1.86556eeb4bbap-10, 0x1.745153914e8adp-10, 0x1.62f0c80bd8191p-10, 0x1.522f04bfc5bcp-10, 0x1.42076040d9552p-10, 0x1.32754eb7aeaaep-10, 0x1.23746149adac1p-10, 0x1.15004582e8b79p-10, 0x1.0714c4c200ce6p-10, 0x1.f35b874c0c3adp-11, 0x1.d98e82fca911cp-11, 0x1.c0baaf78f4982p-11, 0x1.a8d872d03e715p-11, 0x1.91e06529e8069p-11, 0x1.7bcb4fb54ebafp-11, 0x1.66922b9dc63a6p-11, 0x1.522e21029f0fep-11, 0x1.3e9885f33dca4p-11, 0x1.2bcadd6f3a5a6p-11, 0x1.19bed66a8c9fap-11, 0x1.086e4ad5be79cp-11, 0x1.efa67d544159ep-12, 0x1.cfcfbdf402fp-12, 0x1.b14d0209b89b6p-12, 0x1.9413429f01c81p-12, 0x1.7817c58052173p-12, 0x1.5d501b7cf701fp-12, 0x1.43b21eaedeac4p-12, 0x1.2b33f0ca1fe7ap-12, 0x1.13cbf97427062p-12, 0x1.fae1c9450994p-13, 0x1.d033420287f2bp-13, 0x1.a77abcc181422p-13, 0x1.80a71855c7835p-13, 0x1.5ba7afbf777b3p-13, 0x1.386c5732b43c4p-13, 0x1.16e5592dc3ee8p-13, 0x1.ee06e73aecd33p-14, 0x1.b16faa1f39c7ap-14, 0x1.77e833e6edecfp-14, 0x1.415493cfc8aa6p-14, 0x1.0d99aa2e702cfp-14, 0x1.b93a4681f85afp-15, 0x1.5c8ae4382d191p-15, 0x1.04f39764b1347p-15, 0x1.648887d643a11p-16, 0x1.9138f88ca9e58p-17, 0x1.ae441809c7554p-19, -0x1.512cc496060d5p-18, -0x1.abe786b150fa7p-17, -0x1.4f83be4b0380ep-16, -0x1.c14b2561a6561p-16, -0x1.15cbc2c0362dfp-15, -0x1.475a02bcf998ap-15, -0x1.7574bb124896bp-15, -0x1.a03f310ad03b1p-15, -0x1.c7db8e8247748p-15, -0x1.ec6ae96b89f6ap-15, -0x1.0706a595ffa3cp-14, -0x1.1670dbe67b758p-14, -0x1.24831a81db0d9p-14, -0x1.314be8886fd46p-14, -0x1.3cd954bbf6b55p-14, -0x1.4738f8c7b18e6p-14, -0x1.5077fc75387ffp-14, -0x1.58a318ce570f1p-14, -0x1.5fc69b2c4ad98p-14, -0x1.65ee6834bcd9dp-14, -0x1.6b25fec4c44ffp-14, -0x1.6f787aca4bf0fp-14, -0x1.72f0980c2bb06p-14, -0x1.7598b4e147a98p-14, -0x1.777ad4d707916p-14, -0x1.78a0a347784bdp-14, -0x1.791375df6547ep-14, -0x1.78dc4f14bc259p-14, -0x1.7803e08d85391p-14, -0x1.76928d77c2b44p-14, -0x1.74906cd27f106p-14, -0x1.72054ba859135p-14, -0x1.6ef8af3bd6959p-14, -0x1.6b71d725ca3b5p-14, -0x1.6777bf6610f14p-14, -0x1.63112266f332dp-14, -0x1.5e447af36eeabp-14, -0x1.59180620afa3dp-14, -0x1.5391c52afc065p-14, -0x1.4db77f4659a71p-14, -0x1.478ec3632d10ep-14, -0x1.411ce9e716553p-14, -0x1.3a67165a4affdp-14, -0x1.33723909b014bp-14, -0x1.2c43109dee466p-14, -0x1.24de2ba7c3c65p-14, -0x1.1d47ea21cd53ap-14, -0x1.15847ee8036cp-14, -0x1.0d97f1252711p-14, -0x1.05861db658ae3p-14, -0x1.faa5710a1fc76p-15, -0x1.ea029baf60067p-15, -0x1.d92a8731dbb54p-15, -0x1.c823b52c79505p-15, -0x1.b6f45f6af369fp-15, -0x1.a5a27a44137d6p-15, -0x1.9433b6e3342d8p-15, -0x1.82ad8581764cp-15, -0x1.7115178f0488ep-15, -0x1.5f6f61cccd8e1p-15, -0x1.4dc11e570d844p-15, -0x1.3c0ecea10a71bp-15, -0x1.2a5cbd625b5bfp-15, -0x1.18af00761386cp-15, -0x1.07097aac30ed9p-15, -0x1.eadfbb1b305efp-16, -0x1.c7cb5625ff23bp-16, -0x1.a4dc6e9e28cb4p-16, -0x1.8219541859e9cp-16, -0x1.5f8800bbb68efp-16, -0x1.3d2e1c4d4eb8ep-16, -0x1.1b10ff248c772p-16, -0x1.f26b6a123f36dp-17, -0x1.af41fff61686ep-17, -0x1.6caeb5caa98a8p-17, -0x1.2ab9f877d75b1p-17, -0x1.d2d762153fe36p-18, -0x1.51969341fa98cp-18, -0x1.a37ec8bd35035p-19, -0x1.4d7b290284642p-20, 0x1.4bf942f458ad3p-21, 0x1.499e7462e03b1p-19, 0x1.1e8702eb62dafp-18, 0x1.969ce318a19f8p-18, 0x1.0683fe1bec998p-17, 0x1.40e01489aa8a6p-17, 0x1.7a5efb2c0f158p-17, 0x1.b2fd4db4ae0eep-17, 0x1.eab7f9b72fbeap-17, 0x1.10c61da666924p-16, 0x1.2bbbcce9c8922p-16, 0x1.463bf26445be4p-16, 0x1.6045985e1cde4p-16, 0x1.79d7ea303400bp-16, 0x1.92f232d771ddap-16, 0x1.ab93db941b5d9p-16, 0x1.c3bc6a94e6b87p-16, 0x1.db6b81ad6cfc9p-16, 0x1.f2a0dd17a667ep-16, 0x1.04ae292012f48p-15, 0x1.0fcee74e5c234p-15, 0x1.1ab2ab4696ff1p-15, 0x1.25598222fa2c7p-15, 0x1.2fc383621b2f4p-15, 0x1.39f0d065a7158p-15, 0x1.43e193f594d96p-15, 0x1.4d9601c7b89ecp-15, 0x1.570e560b95912p-15, 0x1.604ad4fa4779bp-15, 0x1.694bca6a6fdf4p-15, 0x1.72118967fd9fp-15, 0x1.7a9c6bcfb849ep-15, 0x1.82ecd1ee6f929p-15, 0x1.8b032223b1f9bp-15, 0x1.92dfc887f17f7p-15, 0x1.9a833695f9e47p-15, 0x1.a1ede2d79e2c7p-15, 0x1.a9204895870cdp-15, 0x1.b01ae78a05739p-15, 0x1.b6de4396d275p-15, 0x1.bd6ae47da92a7p-15, 0x1.c3c1559b9c9b7p-15, 0x1.c9e225a71aeafp-15, 0x1.cfcde67081afbp-15, 0x1.d5852ca534b03p-15, 0x1.db088f951d701p-15, 0x1.e058a8fa840e4p-15, 0x1.e57614c4283ep-15, 0x1.ea6170e191b33p-15, 0x1.ef1b5d117906fp-15, 0x1.f3a47ab242f49p-15, 0x1.f7fd6c9476269p-15, 0x1.fc26d6cf1a497p-15, 0x1.0010af4afb82dp-14, 0x1.01f6d508cd025p-14, 0x1.03c6301c8dadep-14, 0x1.057f1456c7e5p-14, 0x1.0721d5cb8c1aap-14, 0x1.08aec8c1c0b7fp-14, 0x1.0a2641a335a1fp-14, 0x1.0b8894ed6fda6p-14, 0x1.0cd617232b9d3p-14, 0x1.0e0f1cbe8c267p-14, 0x1.0f33fa23f416p-14, 0x1.104503957f695p-14, 0x1.11428d271b168p-14, 0x1.122ceab332e3cp-14, 0x1.13046fcff210cp-14, 0x1.13c96fc50f407p-14, 0x1.147c3d822178ep-14, 0x1.151d2b9576202p-14, 0x1.15ac8c2366827p-14, 0x1.162ab0de25817p-14, 0x1.1697eafe01feap-14, 0x1.16f48b3a1b4dep-14, 0x1.1740e1c17ff0cp-14, 0x1.177d3e34b5b47p-14, 0x1.17a9ef9fa6b11p-14, 0x1.17c74473ed66bp-14, 0x1.17d58a837f3f3p-14, 0x1.17d50efbaecbdp-14, 0x1.17c61e6084a82p-14, 0x1.17a904886b97ap-14, 0x1.177e0c982a192p-14, 0x1.174580ff299e9p-14, 0x1.16ffab7405d3fp-14, 0x1.16acd4f1630e2p-14, 0x1.164d45b306a84p-14, 0x1.15e1453330f3fp-14, 0x1.15691a283521bp-14, 0x1.14e50a824b2adp-14, 0x1.14555b699ca3cp-14, 0x1.13ba513c859dbp-14, 0x1.13142f8e0b93fp-14, 0x1.1263392485588p-14, 0x1.11a7aff8728fcp-14, 0x1.10e1d53380bfdp-14, 0x1.1011e92fbcb04p-14, 0x1.0f382b76ed392p-14, 0x1.0e54dac213e66p-14, 0x1.0d6834f91737fp-14, 0x1.0c7277328cf34p-14, 0x1.0b73ddb3a9ec8p-14, 0x1.0a6ca3f051e12p-14, 0x1.095d048b450b1p-14, 0x1.084539566dc57p-14, 0x1.07257b53487dcp-14, 0x1.05fe02b367bfdp-14, 0x1.04cf06d9114b6p-14, 0x1.0398be57f2f17p-14, 0x1.025b5ef5eedd1p-14, 0x1.01171dabfd4bap-14, 0x1.ff985d4e459cep-15, 0x1.fcf58a92f45eep-15, 0x1.fa4628569ffa1p-15, 0x1.f78a9a389e667p-15, 0x1.f4c342497fd04p-15, 0x1.f1f0810da5867p-15, 0x1.ef12b57ff7888p-15, 0x1.ec2a3d14b6e6dp-15, 0x1.e93773bc6679fp-15, 0x1.e63ab3e6cc19dp-15, 0x1.e334568607161p-15, 0x1.e024b311bd05bp-15, 0x1.dd0c1f8a56706p-15, 0x1.d9eaf07c505ddp-15, 0x1.d6c179039a247p-15, 0x1.d3900acf053c9p-15, 0x1.d056f623c1af1p-15, 0x1.cd1689e0e5af9p-15, 0x1.c9cf1383022f1p-15, 0x1.c680df27c128fp-15, 0x1.c32c37918c38fp-15, 0x1.bfd1662b3b7b2p-15, 0x1.bc70b30bcd6d2p-15, 0x1.b90a64fa220dfp-15, 0x1.b59ec170bd32p-15, 0x1.b22e0ca18de2ep-15, 0x1.aeb88979b7e83p-15, 0x1.ab3e79a561a33p-15, 0x1.a7c01d938247p-15, 0x1.a43db479b4633p-15, 0x1.a0b77c580759ep-15, 0x1.9d2db1fcd18e9p-15, 0x1.99a091088238p-15, 0x1.961053f172d69p-15, 0x1.927d3407b624bp-15, 0x1.8ee76978e7073p-15, 0x1.8b4f2b53f1ba2p-15, 0x1.87b4af8cde6e3p-15, 0x1.84182b0094b22p-15, 0x1.8079d1789e7eep-15, 0x1.7cd9d5aee29f5p-15, 0x1.793869516087bp-15, 0x1.7595bd05e217cp-15, 0x1.71f2006dab326p-15, 0x1.6e4d622922d9cp-15, 0x1.6aa80fdb76877p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.253162ead5d3dp-8, 0x1.61fb438f24e04p-8, 0x1.a42b1d7a8af27p-8, 0x1.eba0a9a88f6cfp-8, 0x1.1c1bf20a22b89p-7, 0x1.44e467b4e0b88p-7, 0x1.70139b9a4b3e4p-7, 0x1.9d913cdea1761p-7, 0x1.cd42b05b47c86p-7, 0x1.ff0b06be65ed3p-7, 0x1.19657ed6d0ea8p-6, 0x1.3430861254c28p-6, 0x1.4fd4bcbd6f12cp-6, 0x1.6c3f3ef31662dp-6, 0x1.895c35789ef1fp-6, 0x1.a716ed154a07ap-6, 0x1.c559f023ef735p-6, 0x1.e40f218603791p-6, 0x1.018fec19abcc5p-5, 0x1.113a7d5e4e20fp-5, 0x1.20fb8d1a55da4p-5, 0x1.30c74609cb7d4p-5, 0x1.4091c16207239p-5, 0x1.504f125383c2p-5, 0x1.5ff350b8a820fp-5, 0x1.6f72a2ed5b151p-5, 0x1.7ec146d33e406p-5, 0x1.8dd39a0c77707p-5, 0x1.9c9e217b2ed65p-5, 0x1.ab15901697d3bp-5, 0x1.b92ecd279bae5p-5, 0x1.c6def9ff615ffp-5, 0x1.d41b77392fb75p-5, 0x1.e0d9e997b862bp-5, 0x1.ed103e8bfb9ep-5, 0x1.f8b4b071c7a28p-5, 0x1.01dee545ca9d6p-4, 0x1.07113662995b3p-4, 0x1.0bece7a147706p-4, 0x1.106dc2def4aefp-4, 0x1.148fc15b7c0f7p-4, 0x1.184f0d39866b6p-4, 0x1.1ba802e68835dp-4, 0x1.1e9732699e724p-4, 0x1.21196097ed007p-4, 0x1.232b882ce9444p-4, 0x1.24cadac4ed103p-4, 0x1.25f4c1b86cd73p-4, 0x1.26a6ded648d6fp-4, 0x1.26df0cfbe2895p-4, 0x1.269b6089d0ecbp-4, 0x1.25da27b460b49p-4, 0x1.2499eaaf4e8bep-4, 0x1.22d96bb4812ebp-4, 0x1.2097a6e5d8d0cp-4, 0x1.1dd3d20a77bd9p-4, 0x1.1a8d5c2834ffcp-4, 0x1.16c3ecfa33bf8p-4, 0x1.12776445d6325p-4, 0x1.0da7d90f816b7p-4, 0x1.085598b0d4eb3p-4, 0x1.028125d2262e6p-4, 0x1.f8566e925a032p-5, 0x1.eaa96dbdd6d9bp-5, 0x1.dbfd7ffdd2858p-5, 0x1.cc553ca3ce467p-5, 0x1.bbb3988c5af2ap-5, 0x1.aa1be30f37f3fp-5, 0x1.9791c2d323b23p-5, 0x1.8419328974814p-5, 0x1.6fb67d956966dp-5, 0x1.5a6e3ca302bb1p-5, 0x1.44455230edb2bp-5, 0x1.2d40e710ed807p-5, 0x1.156666e1e49d2p-5, 0x1.f976f90ce4a43p-6, 0x1.c68c1d35a8c2ep-6, 0x1.921877d90e57p-6, 0x1.5c28afebc5c2fp-6, 0x1.24c9cebf78c57p-6, 0x1.d812722b524d4p-7, 0x1.63e9508ad560ep-7, 0x1.da688ddb08ccep-8, 0x1.d03fc7b12f6dcp-9, -0x1.d9a42ee5b62eap-13, -0x1.0a235e2a0f14ep-8, -0x1.04d36fa458c0ep-7, -0x1.868d7ddae4614p-7, -0x1.05109b256babbp-6, -0x1.47b7d94cbd3ecp-6, -0x1.8b2cea9751158p-6, -0x1.cf602a501ef2fp-6, -0x1.0a20f1b64d7c2p-5, -0x1.2ce12afec5338p-5, -0x1.4fe8de3e7fdf8p-5, -0x1.7330287cba2dfp-5, -0x1.96af290eebbb9p-5, -0x1.ba5e040b51b9bp-5, -0x1.de34e4a9f5536p-5, -0x1.0115ffca1c30fp-4, -0x1.131dca9176db5p-4, -0x1.252df9c57f318p-4, -0x1.3742bc7c54ae8p-4, -0x1.49584accb136dp-4, -0x1.5b6ae6ca27da8p-4, -0x1.6d76dd78ba185p-4, -0x1.7f7887b7bfc36p-4, -0x1.916c4b24264b6p-4, -0x1.a34e9af20469dp-4, -0x1.b51bf8bd86993p-4, -0x1.c6d0f55327ad8p-4, -0x1.d86a316f47aa7p-4, -0x1.e9e45e750e067p-4, -0x1.fb3c3f1c9894ap-4, -0x1.0637540c41c9bp-3, -0x1.0ebc40595bc31p-3, -0x1.172b61b044955p-3, -0x1.1f833f271401ep-3, -0x1.27c269f0af80dp-3, -0x1.2fe77d99d482bp-3, -0x1.37f12041cca22p-3, -0x1.3fde02ced651fp-3, -0x1.47ace11e3afeep-3, -0x1.4f5c8230227a9p-3, -0x1.56ebb84f202ap-3, -0x1.5e596133872a2p-3, -0x1.65a466228c73ep-3, -0x1.6ccbbc093c463p-3, -0x1.73ce6393554fp-3, -0x1.7aab693e08b2dp-3, -0x1.8161e566bb175p-3, -0x1.87f0fc55c5d0bp-3, -0x1.8e57de4556fafp-3, -0x1.9495c7646cf9dp-3, -0x1.9aa9ffd6187a3p-3, -0x1.a093dbacfb473p-3, -0x1.a652bae33615fp-3, -0x1.abe6094ebe402p-3, -0x1.b14d3e9244c2cp-3, -0x1.b687de0abf39p-3, -0x1.bb9576b9a8d04p-3, -0x1.c075a32c183bfp-3, -0x1.c528095ec34aap-3, -0x1.c9ac5a9f06facp-3, -0x1.ce02536919011p-3, -0x1.d229bb436ff16p-3, -0x1.d6226497934d4p-3, -0x1.d9ec2c8856fc2p-3, -0x1.dd86fac5b6f3ep-3, -0x1.e0f2c15e682e9p-3, -0x1.e42f7c8f31663p-3, -0x1.e73d32904684bp-3, -0x1.ea1bf360a0a0cp-3, -0x1.eccbd88f98047p-3, -0x1.ef4d0504bbd78p-3, -0x1.f19fa4c6209a4p-3, -0x1.f3c3ecbd33843p-3, -0x1.f5ba1a7a3c1cep-3, -0x1.f78273f6a2ef1p-3, -0x1.f91d47561cff6p-3, -0x1.fa8aeaa6dbb1bp-3, -0x1.fbcbbba0e1a8fp-3, -0x1.fce01f648e382p-3, -0x1.fdc8823887dbfp-3, -0x1.fe85574719f77p-3, -0x1.ff17185b2821ap-3, -0x1.ff7e459cc436ap-3, -0x1.ffbb654d96aabp-3, -0x1.ffcf03851ca52p-3, -0x1.ffb9b1ece2967p-3, -0x1.ff7c077ccce12p-3, -0x1.ff16a0378c7dap-3, -0x1.fe8a1ce74b089p-3, -0x1.fdd722daade61p-3, -0x1.fcfe5ba243d32p-3, -0x1.fc0074ce6a188p-3, -0x1.fade1fadc582fp-3, -0x1.f998110c5d34fp-3, -0x1.f82f00f368081p-3, -0x1.f6a3aa69dc52dp-3, -0x1.f4f6cb35db95dp-3, -0x1.f329239ef92e5p-3, -0x1.f13b763175916p-3, -0x1.ef2e87827de3fp-3, -0x1.ed031df56d4c6p-3, -0x1.eaba01822ec7dp-3, -0x1.e853fb7cbb1bcp-3, -0x1.e5d1d65dc2badp-3, -0x1.e3345d8c9370ap-3, -0x1.e07c5d2a33adp-3, -0x1.ddaaa1ddcb2eep-3, -0x1.dabff8a24f60dp-3, -0x1.d7bd2e958a46dp-3, -0x1.d4a310c877975p-3, -0x1.d1726c10f9c0cp-3, -0x1.ce2c0cdcf8753p-3, -0x1.cad0bf06daa74p-3, -0x1.c7614dab6e721p-3, -0x1.c3de83013a869p-3, -0x1.c049283131329p-3, -0x1.bca20530dcc2ap-3, -0x1.b8e9e09dec9c8p-3, -0x1.b5217f9b366d6p-3, -0x1.b149a5af1b955p-3, -0x1.ad6314a35e40ap-3, -0x1.a96e8c665f244p-3, -0x1.a56ccaedb86f7p-3, -0x1.a15e8c1a4ccfcp-3, -0x1.9d44899da678ap-3, -0x1.991f7ae0bc2a7p-3, -0x1.94f014ec11ac1p-3, -0x1.90b70a5129285p-3, -0x1.8c750b15456f9p-3, -0x1.882ac49d7c3b5p-3, -0x1.83d8e19c0fa9ap-3, -0x1.7f8009ff029ecp-3, -0x1.7b20e2dff53e3p-3, -0x1.76bc0e7530dc2p-3, -0x1.72522c03e0c12p-3, -0x1.6de3d7d383319p-3, -0x1.6971ab226ea76p-3, -0x1.64fc3c1b805a5p-3, -0x1.60841dccde1ap-3, -0x1.5c09e01fc46fbp-3, -0x1.578e0fd167302p-3, -0x1.5311366cc938cp-3, -0x1.4e93da459b2e9p-3, -0x1.4a167e740435bp-3, -0x1.4599a2d15bad3p-3, -0x1.411dc3f5cce48p-3, -0x1.3ca35b36d2517p-3, -0x1.382adea68bcdp-3, -0x1.33b4c113e2a36p-3, -0x1.2f41720b78d5p-3, -0x1.2ad15dd95818dp-3, -0x1.2664ed8b5c39cp-3, -0x1.21fc86f44d604p-3, -0x1.1d988cafaa47bp-3, -0x1.19395e26136cp-3, -0x1.14df5792572fp-3, -0x1.108ad20713865p-3, -0x1.0c3c2374e5478p-3, -0x1.07f39eb12511bp-3, -0x1.03b1937d2200ap-3, -0x1.feec9d1bb6124p-4, -0x1.f684332857204p-4, -0x1.ee2a768ad6794p-4, -0x1.e5dfeec8dd163p-4, -0x1.dda51d95e7249p-4, -0x1.d57a7ee6c12bp-4, -0x1.cd608905c4efbp-4, -0x1.c557aca7abe6dp-4, -0x1.bd605500fc71p-4, -0x1.b57ae7dbfe8f6p-4, -0x1.ada7c5af32c64p-4, -0x1.a5e749b44262fp-4, -0x1.9e39c9ff50829p-4, -0x1.969f9796b4a7bp-4, -0x1.8f18fe8b0d44cp-4, -0x1.87a6460f98a58p-4, -0x1.8047b092dab94p-4, -0x1.78fd7bd779933p-4, -0x1.71c7e10d4fec5p-4, -0x1.6aa714eaa8fdbp-4, -0x1.639b47c5a03d4p-4, -0x1.5ca4a5ad9b7e6p-4, -0x1.55c35684d920dp-4, -0x1.4ef77e1a0abc5p-4, -0x1.48413c41f4ba7p-4, -0x1.41a0acf10cb4p-4, -0x1.3b15e85510c5ep-4, -0x1.34a102ee901e4p-4, -0x1.2e420daa60e49p-4, -0x1.27f915fafb366p-4, -0x1.21c625f1b74acp-4, -0x1.1ba94457e595ep-4, -0x1.15a274c7bfde3p-4, -0x1.0fb1b7c52be0cp-4, -0x1.09d70ad64c58cp-4, -0x1.0412689bdb517p-4, -0x1.fcc791d298b1dp-5, -0x1.f19641b95becep-5, -0x1.e690c5ec98a47p-5, -0x1.dbb6fe601cc0ap-5, -0x1.d108c629157b8p-5, -0x1.c685f3aba5aeap-5, -0x1.bc2e58c7df8f6p-5, -0x1.b201c306217e7p-5, -0x1.a7fffbc2cb034p-5, -0x1.9e28c8594c0fcp-5, -0x1.947bea4e85cp-5, -0x1.8af91f7a7b88p-5, -0x1.81a0223151ff5p-5, -0x1.7870a96b94f49p-5, -0x1.6f6a68edc68b9p-5, -0x1.668d116f31c4fp-5, -0x1.5dd850c0006fp-5, -0x1.554bd1ee90a19p-5, -0x1.4ce73d6c0b2c4p-5, -0x1.44aa393037735p-5, -0x1.3c9468dc8a9e1p-5, -0x1.34a56dde76a9fp-5, -0x1.2cdce790f1ffp-5, -0x1.253a735d3c726p-5, -0x1.1dbdacdadee64p-5, -0x1.16662deee7a44p-5, -0x1.0f338eea60a11p-5, -0x1.082566a803e24p-5, -0x1.013b4aa92cf87p-5, -0x1.f4e99e640f1b1p-6, -0x1.e7a30ec9f82abp-6, -0x1.daa20ababfceap-6, -0x1.cde5b492c7aa2p-6, -0x1.c16d2d068aecp-6, -0x1.b53793538f761p-6, -0x1.a944056fdc6f7p-6, -0x1.9d91a03807d9p-6, -0x1.921f7f9bcfe17p-6, -0x1.86ecbec954615p-6, -0x1.7bf87856e759ap-6, -0x1.7141c66b7b7d5p-6, -0x1.66c7c2e5c1aaap-6, -0x1.5c898781e306ep-6, -0x1.52862dfdf6b49p-6, -0x1.48bcd03d1eba8p-6, -0x1.3f2c886968f67p-6, -0x1.35d4711465541p-6, -0x1.2cb3a55684fc3p-6, -0x1.23c940ed3cdb7p-6, -0x1.1b146057fc635p-6, -0x1.129420f3f399p-6, -0x1.0a47a116b197bp-6, -0x1.022e0027a77d1p-6, -0x1.f48cbd71116bep-7, -0x1.e51fbd393487p-7, -0x1.d61345fde4c0fp-7, -0x1.c765a0ef53dedp-7, -0x1.b9151a401a207p-7, -0x1.ab20014b988bp-7, -0x1.9d84a8ba67953p-7, -0x1.904166a4e3193p-7, -0x1.835494b3d38b4p-7, -0x1.76bc903f57a4ep-7, -0x1.6a77ba6bf697fp-7, -0x1.5e8478460aa26p-7, -0x1.52e132db75f13p-7, -0x1.478c5753b8c1bp-7, -0x1.3c8457066ff01p-7, -0x1.31c7a790480c9p-7, -0x1.2754c2e6717edp-7, -0x1.1d2a27689d73cp-7, -0x1.134657f190adcp-7, -0x1.09a7dbe656c51p-7, -0x1.004d3f441efdep-7, -0x1.ee6a25599d9dcp-8, -0x1.dcbbd6e4a43b5p-8, -0x1.cb8cc7416e412p-8, -0x1.bada340e355bep-8, -0x1.aaa1647ee9312p-8, -0x1.9adfa96a90a46p-8, -0x1.8b925d568f3d5p-8, -0x1.7cb6e47fdc7aap-8, -0x1.6e4aace242bd9p-8, -0x1.604b2e3db4b96p-8, -0x1.52b5ea19ce82ap-8, -0x1.45886bc790e24p-8, -0x1.38c048616ae73p-8, -0x1.2c5b1ec9a0a2ep-8, -0x1.205697a71e8afp-8, -0x1.14b06560cee49p-8, -0x1.0966441779f3fp-8, -0x1.fcebf33c8b867p-9, -0x1.e7baaae3c4587p-9, -0x1.d334615ce40f7p-9, -0x1.bf54dc087b3b4p-9, -0x1.ac17f3567a807p-9, -0x1.997992ab171cbp-9, -0x1.8775b841977ccp-9, -0x1.7608750d1efa9p-9, -0x1.652dec9797b77p-9, -0x1.54e254ded359fp-9, -0x1.4521f62ff5d18p-9, -0x1.35e92b0146d63p-9, -0x1.27345fca80a9cp-9, -0x1.190012dbafcd5p-9, -0x1.0b48d432bf41ep-9, -0x1.fc168a9f7b6a5p-10, -0x1.e288320ff2e5ap-10, -0x1.c9e026b004959p-10, -0x1.b218126946e48p-10, -0x1.9b29c0b5de87cp-10, -0x1.850f1e3ec9813p-10, -0x1.6fc2387893ae2p-10, -0x1.5b3d3d3e8fe8ap-10, -0x1.477a7a6cb4213p-10, -0x1.34745d783eb8ap-10, -0x1.222573073b9fcp-10, -0x1.1088668712e3cp-10, -0x1.ff30038465cbap-11, -0x1.de9e58e9f4fd9p-11, -0x1.bf51d7c3e9eadp-11, -0x1.a140c4cb17d6ep-11, -0x1.84619e1280847p-11, -0x1.68ab1a2d0e78ap-11, -0x1.4e142752be73fp-11, -0x1.3493ea856acb3p-11, -0x1.1c21beb560086p-11, -0x1.04b533e5e4ef7p-11, -0x1.dc8c1ca3b7763p-12, -0x1.b1988b214e437p-12, -0x1.88800776e0ce3p-12, -0x1.61334925ee7bdp-12, -0x1.3ba3694c10231p-12, -0x1.17c1e0f176cbcp-12, -0x1.eb010eb26e4c4p-13, -0x1.a9a320a72ea3ep-13, -0x1.6b4f1525369cep-13, -0x1.2feabc02016ccp-13, -0x1.eeb9286f70e5fp-14, -0x1.8317913c1d32dp-14, -0x1.1cc0595225388p-14, -0x1.7708e4b9486f9p-15, -0x1.7cd84984b09bp-16, -0x1.ea2b5943aec12p-20, 0x1.2d3c437c04cdfp-16, 0x1.33b69678dd846p-15, 0x1.c849f279d36ap-15, 0x1.2a53ed40bfa92p-14, 0x1.6c8eda8cfcacap-14, 0x1.aafb5b48f08b6p-14, 0x1.e5bdf66ab4316p-14, 0x1.0e7d12c93441ep-13, 0x1.28692d69ea7d7p-13, 0x1.40b4033707d9bp-13, 0x1.576dce388d365p-13, 0x1.6ca64d287c2b3p-13, 0x1.806cc63323be3p-13, 0x1.92d009adfe44bp-13, 0x1.a3de74c5176e5p-13, 0x1.b3a5f41ee3f52p-13, 0x1.c23406767f3d2p-13, 0x1.cf95bf2c36914p-13, 0x1.dbd7c8cc6765bp-13, 0x1.e706678c9680bp-13, 0x1.f12d7bbec5707p-13, 0x1.fa58843af618cp-13, 0x1.0149505f772dcp-12, 0x1.04f34a220f114p-12, 0x1.082f63a5e00e8p-12, 0x1.0b02a51097714p-12, 0x1.0d71eb893ad78p-12, 0x1.0f81ea4f8ed07p-12, 0x1.11372bcea122ap-12, 0x1.129612aa7ed5ap-12, 0x1.13a2dac913bdcp-12, 0x1.14619a5641f49p-12, 0x1.14d642c32e887p-12, 0x1.1504a1c0d39cp-12, 0x1.14f06235dc00ep-12, 0x1.149d0d2fca8fep-12, 0x1.140e0acf8268ap-12, 0x1.1346a3312ebe6p-12, 0x1.1249ff4f97429p-12, 0x1.111b29e2ee3b9p-12, 0x1.0fbd103b1e22ep-12, 0x1.0e328315a5344p-12, 0x1.0c7e376f06954p-12, 0x1.0aa2c74fe065ap-12, 0x1.08a2b295b2e1p-12, 0x1.06805fb75ca03p-12, 0x1.043e1c85668b3p-12, 0x1.01de1ee61cc98p-12, 0x1.fec50b1b1cb6bp-13, 0x1.f99ab162ededp-13, 0x1.f44115724c22ap-13, 0x1.eebbf1d2e13c1p-13, 0x1.e90ed819678a4p-13, 0x1.e33d322e01e01p-13, 0x1.dd4a438cf4b27p-13, 0x1.d7392a7fd6c7p-13, 0x1.d10ce14f692f5p-13, 0x1.cac83f6e1f919p-13, 0x1.c46dfa9b792c1p-13, 0x1.be00a80052359p-13, 0x1.b782bd4437826p-13, 0x1.b0f6919bed123p-13, 0x1.aa5e5ed12cedap-13, 0x1.a3bc4243d378ep-13, 0x1.9d123de4806fp-13, 0x1.96623928d50efp-13, 0x1.8fae01f96998fp-13, 0x1.88f74d998ed4p-13, 0x1.823fb98905f07p-13, 0x1.7b88cc5fbefe5p-13, 0x1.74d3f6a3b8fd8p-13, 0x1.6e22939926a7bp-13, 0x1.6775ea0cf5adep-13, 0x1.60cf2d19c5059p-13, 0x1.5a2f7ce772cdfp-13, 0x1.5397e765576abp-13, 0x1.4d0968ff4e426p-13, 0x1.4684ed4d99a1dp-13, 0x1.400b4fbfcb34dp-13, 0x1.399d5c42c0633p-13, 0x1.333bcfe1d2185p-13, 0x1.2ce7596350489p-13, 0x1.26a099e05de9bp-13, 0x1.206825584eb41p-13, 0x1.1a3e833f99959p-13, 0x1.14242f0a7574bp-13, 0x1.0e1998b34364ap-13, 0x1.081f253cd1ffbp-13, 0x1.02352f30996f1p-13, 0x1.f8b80e320278dp-14, 0x1.ed27e7ef9ee79p-14, 0x1.e1ba67719effep-14, 0x1.d66ff7418cbc5p-14, 0x1.cb48f171ae95cp-14, 0x1.c045a06cb9027p-14, 0x1.b5663fbeaac2fp-14, 0x1.aaaafcd6f9d05p-14, 0x1.a013f7c4354ffp-14, 0x1.95a143e948ddbp-14, 0x1.8b52e8ac88715p-14, 0x1.8128e220ae20ep-14, 0x1.772321a7edf47p-14, 0x1.6d418e9148267p-14, 0x1.638406b03e333p-14, 0x1.59ea5eef105fp-14, 0x1.507463dba871bp-14, 0x1.4721da2f532a7p-14, 0x1.3df27f516f544p-14, 0x1.34e609d530beap-14, 0x1.2bfc29f29b22dp-14, 0x1.233489fad72eep-14, 0x1.1a8ecec7ff9e2p-14, 0x1.120a982886fabp-14, 0x1.09a7814658138p-14, 0x1.01652109cbfe8p-14, 0x1.f28614f12c84cp-15, 0x1.e2819a2185caep-15, 0x1.d2bbea3fcce5bp-15, 0x1.c334182d2f1dcp-15, 0x1.b3e931b0a56cdp-15, 0x1.a4da400fbe6eap-15, 0x1.960648a0a5dc2p-15, 0x1.876c4d559aeb9p-15, 0x1.790b4d4208634p-15, 0x1.6ae24519712bap-15, 0x1.5cf02fa861a8p-15, 0x1.4f34064796d5dp-15, 0x1.41acc1498559ap-15, 0x1.3459586275143p-15, 0x1.2738c30b5714p-15, 0x1.1a49f8df85ce2p-15, 0x1.0d8bf1f597f93p-15, 0x1.00fda7336f78bp-15, 0x1.e93c253b5f2a4p-16, 0x1.d0d85f4578bd6p-16, 0x1.b8cdf6c2e369cp-16, 0x1.a11ae9d7606cap-16, 0x1.89bd3b09d0e68p-16, 0x1.72b2f1b993b66p-16, 0x1.5bfa1a8c63b71p-16, 0x1.4590c7d50d902p-16, 0x1.2f7511f32f8aep-16, 0x1.19a517ac466edp-16, 0x1.041efe7e52562p-16, 0x1.ddc1e5d884a15p-17, 0x1.b3d25188d0d02p-17, 0x1.8a6bb6c26adbbp-17, 0x1.618a9bc8d281bp-17, 0x1.392b96d9f7fc3p-17, 0x1.114b4e8fda71cp-17, 0x1.d3ccf470b5ep-18, 0x1.85f3c4476a22fp-18, 0x1.3904bfd3e8221p-18, 0x1.d9f37a9f2cc41p-19, 0x1.43996cccabd08p-19, 0x1.5ddf223f7c4d5p-20, 0x1.bea6ab4035b93p-23, -0x1.d604eadc9b995p-21, -0x1.055e4a62a6b87p-19, -0x1.93b7664e0daadp-19, -0x1.104b73878c20ap-18, -0x1.56036de0953cdp-18, -0x1.9b088505cb5e9p-18, -0x1.df5f771ecb0c3p-18, -0x1.11866edfb7a1ap-17, -0x1.330a9704f388cp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.1bc8adad56d4dp-5, 0x1.378e11429c5fcp-5, 0x1.530c78bd7027fp-5, 0x1.6e2edc782e9dcp-5, 0x1.88dd38b090437p-5, 0x1.a2fcfd41f5558p-5, 0x1.bc718c6e853cap-5, 0x1.d51cc103db80bp-5, 0x1.ecdf75a84646ap-5, 0x1.01cd0440b4052p-4, 0x1.0c966bd010b0dp-4, 0x1.16bc59d5b20d7p-4, 0x1.202fa3924dc4cp-4, 0x1.28e1b8abc1cc7p-4, 0x1.30c4ca4c8525ap-4, 0x1.37cbebf4ea8a5p-4, 0x1.3deb2e33000e1p-4, 0x1.4317b3949e146p-4, 0x1.4747c03c444f3p-4, 0x1.4a72c48e97478p-4, 0x1.4c91637530dc9p-4, 0x1.4d9d74b57834dp-4, 0x1.4d9203d868d9fp-4, 0x1.4c6b4c1ba3c92p-4, 0x1.4a26b1dd9a77bp-4, 0x1.46c2b9eec4f6fp-4, 0x1.423eff292d01p-4, 0x1.3c9c26a688e42p-4, 0x1.35dbd2e41051fp-4, 0x1.2e00961a426b1p-4, 0x1.250de4064ffebp-4, 0x1.1b08035acecep-4, 0x1.0ff3ff05d992bp-4, 0x1.03d79773e8b2ap-4, 0x1.ed7267e0e079ap-5, 0x1.d13fa87f74297p-5, 0x1.b3260510e1c92p-5, 0x1.93358b3de97c7p-5, 0x1.717f27815e9bp-5, 0x1.4e148b949dec8p-5, 0x1.290815e1d7e23p-5, 0x1.026cba07554eep-5, 0x1.b4abd4e55f0b7p-6, 0x1.61af062f07838p-6, 0x1.0c0b6a847d859p-6, 0x1.67d3d21518052p-7, 0x1.65cf25e695934p-8, -0x1.96b6dbb38a6b9p-13, -0x1.87405c4a0b8ep-8, -0x1.849517b3b3e4dp-7, -0x1.24733fc7df4dcp-6, -0x1.8820dae8cf55ap-6, -0x1.ed2a519f55e3bp-6, -0x1.29b37d7338655p-5, -0x1.5d5752715b82ap-5, -0x1.916cd3eaa5d76p-5, -0x1.c5e07bc1432dbp-5, -0x1.fa9f198f0ef46p-5, -0x1.17caecf396f15p-4, -0x1.32592675d70dep-4, -0x1.4cf1361fc12c4p-4, -0x1.678a502e745aap-4, -0x1.821be2ac089f8p-4, -0x1.9c9d978ac8fcfp-4, -0x1.b707567dfddb5p-4, -0x1.d1514693caa37p-4, -0x1.eb73cf9385862p-4, -0x1.02b3cd91e9868p-3, -0x1.0f92caddd04fcp-3, -0x1.1c5377b085ccfp-3, -0x1.28f28e1c8ccd6p-3, -0x1.356cea758a864p-3, -0x1.41bf8b6d18bcdp-3, -0x1.4de7921c03ec2p-3, -0x1.59e241f938391p-3, -0x1.65ad00bf8ae8p-3, -0x1.7145564378edbp-3, -0x1.7ca8ec3a01455p-3, -0x1.87d58df192391p-3, -0x1.92c927fe1c0bdp-3, -0x1.9d81c7d9305a9p-3, -0x1.a7fd9b771911dp-3, -0x1.b23af0d1cc893p-3, -0x1.bc38356a8d7bdp-3, -0x1.c5f3f5c302eebp-3, -0x1.cf6cdcce8fb11p-3, -0x1.d8a1b35c9962cp-3, -0x1.e1915f7c7a5bbp-3, -0x1.ea3ae3dbbb06ep-3, -0x1.f29d5f1f3e36fp-3, -0x1.fab80b37eb6ep-3, -0x1.01451e59b813bp-2, -0x1.0509b104d3509p-2, -0x1.08a98173880dp-2, -0x1.0c245fba79d28p-2, -0x1.0f7a27cfc3ceap-2, -0x1.12aac12d4dcb9p-2, -0x1.15b61e7293fb4p-2, -0x1.189c3d061114bp-2, -0x1.1b5d24b67c05fp-2, -0x1.1df8e75c03e3cp-2, -0x1.206fa079b28cep-2, -0x1.22c174df1b639p-2, -0x1.24ee924a7cd11p-2, -0x1.26f72f0b72ec1p-2, -0x1.28db89a65ee0ep-2, -0x1.2a9be8789d809p-2, -0x1.2c38995da91abp-2, -0x1.2db1f1553e637p-2, -0x1.2f084c2aa16b6p-2, -0x1.303c0c1d10bd3p-2, -0x1.314d99898103ep-2, -0x1.323d6295b02dcp-2, -0x1.330bdadca284cp-2, -0x1.33b97b1c96eebp-2, -0x1.3446c0e6837adp-2, -0x1.34b42e4f245c4p-2, -0x1.350249a1a84e2p-2, -0x1.35319d140875fp-2, -0x1.3542b67d0bc28p-2, -0x1.3536270c0993fp-2, -0x1.350c830267b5ap-2, -0x1.34c6616eddc8ap-2, -0x1.34645bea8365ap-2, -0x1.33e70e57aceb8p-2, -0x1.334f16a294c74p-2, -0x1.329d1483d8b07p-2, -0x1.31d1a944cd0b5p-2, -0x1.30ed77859e881p-2, -0x1.2ff123054c1aep-2, -0x1.2edd506b71d42p-2, -0x1.2db2a513e2651p-2, -0x1.2c71c6dc14279p-2, -0x1.2b1b5bf2571b1p-2, -0x1.29b00aa6d365ep-2, -0x1.2830793e4f091p-2, -0x1.269d4dc6b2dc3p-2, -0x1.24f72ded4d0f3p-2, -0x1.233ebed6ca28p-2, -0x1.2174a4f8de544p-2, -0x1.1f9983f59e9ecp-2, -0x1.1dadfe787b139p-2, -0x1.1bb2b614dc776p-2, -0x1.19a84b2659b2p-2, -0x1.178f5cb27c8fep-2, -0x1.1568884c156b9p-2, -0x1.133469f80de86p-2, -0x1.10f39c13bba06p-2, -0x1.0ea6b73ca3d1ap-2, -0x1.0c4e5239aac2fp-2, -0x1.09eb01e5aa7adp-2, -0x1.077d591b62b57p-2, -0x1.0505e8a2bf062p-2, -0x1.02853f1f634dep-2, -0x1.fff7d20105dcp-3, -0x1.fad4e0e3da52ep-3, -0x1.f5a2ba9c9822bp-3, -0x1.f0626a251fa91p-3, -0x1.eb14f5a4f442fp-3, -0x1.e5bb5e5c819d8p-3, -0x1.e056a0928506dp-3, -0x1.dae7b3838681dp-3, -0x1.d56f89534f25fp-3, -0x1.cfef0f004cf4bp-3, -0x1.ca672c58d6f33p-3, -0x1.c4d8c3f23b8acp-3, -0x1.bf44b3218dc0ep-3, -0x1.b9abd1f61986cp-3, -0x1.b40ef33580e2ap-3, -0x1.ae6ee45952738p-3, -0x1.a8cc6d8e302dbp-3, -0x1.a32851b4550e2p-3, -0x1.9d834e618371ap-3, -0x1.97de1be437ff5p-3, -0x1.92396d48274efp-3, -0x1.8c95f05be7816p-3, -0x1.86f44db7bde13p-3, -0x1.815528c5851b4p-3, -0x1.7bb91fc995316p-3, -0x1.7620cbecb18c3p-3, -0x1.708cc146d5984p-3, -0x1.6afd8eeaeee0fp-3, -0x1.6573bef3609a1p-3, -0x1.5fefd68f59638p-3, -0x1.5a725610dc7d5p-3, -0x1.54fbb8fb7ae7fp-3, -0x1.4f8c7613baaep-3, -0x1.4a24ff6f0a0a2p-3, -0x1.44c5c2844ab7fp-3, -0x1.3f6f283ce2188p-3, -0x1.3a21950639ecbp-3, -0x1.34dd68e3bd169p-3, -0x1.2fa2ff813197bp-3, -0x1.2a72b04575f4bp-3, -0x1.254cce658dc2fp-3, -0x1.2031a8f800046p-3, -0x1.1b218b0873159p-3, -0x1.161cbbab862e6p-3, -0x1.11237e12dc24bp-3, -0x1.0c3611a15771cp-3, -0x1.0754b1ff733d9p-3, -0x1.027f972fbdd7dp-3, -0x1.fb6deb46d5e09p-4, -0x1.f1f5fc9de602ap-4, -0x1.e897bd7d7e149p-4, -0x1.df538257ac1a1p-4, -0x1.d62999211de14p-4, -0x1.cd1a497a6199fp-4, -0x1.c425d4d924a9fp-4, -0x1.bb4c76b146868p-4, -0x1.b28e649db6c76p-4, -0x1.a9ebce893550ep-4, -0x1.a164ded6ba88dp-4, -0x1.98f9ba89b5d97p-4, -0x1.90aa816de5feap-4, -0x1.88774e3ef1a3dp-4, -0x1.806036cf999f6p-4, -0x1.78654c308e77cp-4, -0x1.70869ad6ded17p-4, -0x1.68c42ac1f870cp-4, -0x1.611dffa1370f3p-4, -0x1.599418f8fe33dp-4, -0x1.52267247557p-4, -0x1.4ad5032806a63p-4, -0x1.439fbf78388d2p-4, -0x1.3c86977981bcfp-4, -0x1.358977f4722a3p-4, -0x1.2ea84a5a8e7cp-4, -0x1.27e2f4e7bce2ep-4, -0x1.21395ac31dcf7p-4, -0x1.1aab5c1f51966p-4, -0x1.1438d65a27249p-4, -0x1.0de1a41bb22c3p-4, -0x1.07a59d74c925ep-4, -0x1.018497fce7a17p-4, -0x1.f6fccddee96f7p-5, -0x1.eb25b690dd021p-5, -0x1.df8387c0ee122p-5, -0x1.d415db108a70ep-5, -0x1.c8dc4646eed36p-5, -0x1.bdd65b8591ca2p-5, -0x1.b303a97b542cbp-5, -0x1.a863bb9676f87p-5, -0x1.9df61a3557b18p-5, -0x1.93ba4ad5f6ca5p-5, -0x1.89afd044459aep-5, -0x1.7fd62ac740217p-5, -0x1.762cd84cd5021p-5, -0x1.6cb354949c206p-5, -0x1.6369195960652p-5, -0x1.5a4d9e797c56ap-5, -0x1.51605a1e10326p-5, -0x1.48a0c0e111e32p-5, -0x1.400e45f238eebp-5, -0x1.37a85b3acece2p-5, -0x1.2f6e718061edp-5, -0x1.275ff8865f89fp-5, -0x1.1f7c5f2e9c344p-5, -0x1.17c31398cb429p-5, -0x1.10338340e86bdp-5, -0x1.08cd1b1c9b9a8p-5, -0x1.018f47b796a0ep-5, -0x1.f4f2ea9debe58p-6, -0x1.e7161fd745475p-6, -0x1.d98706f77f056p-6, -0x1.cc4477d64578bp-6, -0x1.bf4d4a75c2945p-6, -0x1.b2a0572fe4545p-6, -0x1.a63c76e1d372fp-6, -0x1.9a208315ab45ap-6, -0x1.8e4b562a7e053p-6, -0x1.82bbcb7aa3647p-6, -0x1.7770bf8064752p-6, -0x1.6c690ff90e00cp-6, -0x1.61a39c066b72cp-6, -0x1.571f444eb919ap-6, -0x1.4cdaeb1b179ap-6, -0x1.42d5747486348p-6, -0x1.390dc63f6e6cfp-6, -0x1.2f82c855cc53fp-6, -0x1.2633649ff5916p-6, -0x1.1d1e872c15b21p-6, -0x1.14431e4455e0cp-6, -0x1.0ba01a83ca11ep-6, -0x1.03346eea23a3cp-6, -0x1.f5fe21dc66974p-7, -0x1.e5fdf11e7e7c2p-7, -0x1.d66640ca882c8p-7, -0x1.c7350b6024d38p-7, -0x1.b86850cad1665p-7, -0x1.a9fe167bfe0bp-7, -0x1.9bf4678331e0cp-7, -0x1.8e4954a439c22p-7, -0x1.80faf46b83c71p-7, -0x1.74076340a07e8p-7, -0x1.676cc3770fde5p-7, -0x1.5b293d5d52e09p-7, -0x1.4f3aff4a6d6f2p-7, -0x1.43a03da9bc9bap-7, -0x1.385733055e14ap-7, -0x1.2d5e200f132adp-7, -0x1.22b34ba7be5dbp-7, -0x1.185502e584dc7p-7, -0x1.0e4199189f868p-7, -0x1.047767ceea0d9p-7, -0x1.f5e99dac76fa2p-8, -0x1.e370687b2c6f9p-8, -0x1.d18008aa6f2eep-8, -0x1.c015635b31d09p-8, -0x1.af2d6a2acccd5p-8, -0x1.9ec51b2cf9226p-8, -0x1.8ed980e3ea7bfp-8, -0x1.7f67b23699389p-8, -0x1.706cd2655aabap-8, -0x1.61e610fcd2e15p-8, -0x1.53d0a9c757d1ap-8, -0x1.4629e4bcd9fd2p-8, -0x1.38ef15f162c8p-8, -0x1.2c1d9d823cd73p-8, -0x1.1fb2e781d5a24p-8, -0x1.13ac6be26c7f4p-8, -0x1.0807ae5f9e5a2p-8, -0x1.f9847ccdbbb8cp-9, -0x1.e3b36dfdd13ebp-9, -0x1.ce977d5c9139ep-9, -0x1.ba2c0ec1e342ep-9, -0x1.a66c9c9a0d228p-9, -0x1.9354b7adae3b5p-9, -0x1.80e006e846475p-9, -0x1.6f0a471d5e7dcp-9, -0x1.5dcf4acc7026fp-9, -0x1.4d2af9e3a434p-9, -0x1.3d1951817c2d2p-9, -0x1.2d9663b586ce7p-9, -0x1.1e9e574029543p-9, -0x1.102d67519abcfp-9, -0x1.023fe3482936ep-9, -0x1.e9a45cdba0f12p-10, -0x1.cfc17f6a86bbap-10, -0x1.b6d042ecddf09p-10, -0x1.9ec9e2552434ep-10, -0x1.87a7be4fe5dcbp-10, -0x1.71635cba8ff9ep-10, -0x1.5bf66819c7b1p-10, -0x1.475aaf0f5f9abp-10, -0x1.338a23d00ab74p-10, -0x1.207edb98f33c4p-10, -0x1.0e330e25341ccp-10, -0x1.f9422a46f01d9p-11, -0x1.d786d757564afp-11, -0x1.b7295b69f027p-11, -0x1.981f2f182675dp-11, -0x1.7a5e0a93e4184p-11, -0x1.5ddbe495ffde3p-11, -0x1.428ef14dc706ap-11, -0x1.286da151d169ap-11, -0x1.0f6ea0923d3f7p-11, -0x1.ef11aa98ebbc7p-12, -0x1.c166be0149ebep-12, -0x1.95cb2ad1d4defp-12, -0x1.6c2e0ee4f0ddcp-12, -0x1.447ef47156aep-12, -0x1.1eadd0047375fp-12, -0x1.f555fd0242ec4p-13, -0x1.b0ce8645d394ap-13, -0x1.6fa78b0be4a46p-13, -0x1.31c41f678b641p-13, -0x1.ee1030d44ac41p-14, -0x1.7eb010a2165d1p-14, -0x1.1532757b7010ap-14, -0x1.62c6c3e26cabdp-15, -0x1.4c40f1f647c0cp-16, 0x1.7e0df2a3194d1p-20, 0x1.679789bde1409p-16, 0x1.51ceb9702a4a7p-15, 0x1.e653f16829e77p-15, 0x1.38d9c82ef1095p-14, 0x1.7a21a38b5e71bp-14, 0x1.b72b3087113f9p-14, 0x1.f01ee8e6a5da7p-14, 0x1.12921084beab6p-13, 0x1.2b308732c59c4p-13, 0x1.41fd66f571011p-13, 0x1.570ab5277b0c1p-13, 0x1.6a69f11fc4bb1p-13, 0x1.7c2c173ea1e81p-13, 0x1.8c61a3eeee0d7p-13, 0x1.9b1a969af1d87p-13, 0x1.a866749524593p-13, 0x1.b4544bf4bb348p-13, 0x1.bef2b6662141bp-13, 0x1.c84fdbef547c2p-13, 0x1.d07975a83b7e2p-13, 0x1.d77cd066faa0fp-13, 0x1.dd66cf6058f82p-13, 0x1.e243eebc4ac68p-13, 0x1.e620461eac3b6p-13, 0x1.e9078b244049ap-13, 0x1.eb0513d40a1c1p-13, 0x1.ec23d9051d14ap-13, 0x1.ec6e78b8ee23ep-13, 0x1.ebef386a42665p-13, 0x1.eab00750dd40dp-13, 0x1.e8ba8099fe334p-13, 0x1.e617ed95c87f5p-13, 0x1.e2d147d9bc46ep-13, 0x1.deef3b584dbc5p-13, 0x1.da7a286dc4bb8p-13, 0x1.d57a25e280b6dp-13, 0x1.cff702e2b3e33p-13, 0x1.c9f848ebcac6bp-13, 0x1.c3853daf8592p-13, 0x1.bca4e4ecff9dep-13, 0x1.b55e023fab59cp-13, 0x1.adb71ae478b7dp-13, 0x1.a5b6777538fffp-13, 0x1.9d62259a67abbp-13, 0x1.94bff9b38387p-13, 0x1.8bd5907600311p-13, 0x1.82a8508312a4dp-13, 0x1.793d6bf462b11p-13, 0x1.6f99e1dfcf503p-13, 0x1.65c27fd269009p-13, 0x1.5bbbe342bb556p-13, 0x1.518a7afa9ae4fp-13, 0x1.473288787ec8ep-13, 0x1.3cb82148aa249p-13, 0x1.321f3056294c8p-13, 0x1.276b7733d7b26p-13, 0x1.1ca08f5d90d0cp-13, 0x1.11c1eb719d337p-13, 0x1.06d2d8629b8f3p-13, 0x1.f7acfd43ca06ep-14, 0x1.e19fc6855e57dp-14, 0x1.cb83d22bebd7fp-14, 0x1.b55ea37eb3f72p-14, 0x1.9f357d8628eb9p-14, 0x1.890d651a37614p-14, 0x1.72eb22e34147bp-14, 0x1.5cd3454dfe57ep-14, 0x1.46ca22728bd14p-14, 0x1.30d3d9eee657bp-14, 0x1.1af456b50e6e6p-14, 0x1.052f50cd17847p-14, 0x1.df109e16b9ae7p-15, 0x1.b40551763782ap-15, 0x1.89430e7b5e2f2p-15, 0x1.5ecfcf3d4c3f1p-15, 0x1.34b13839eba06p-15, 0x1.0aec9b52f5e54p-15, 0x1.c30df56c230afp-16, 0x1.710a1760f790ep-16, 0x1.1fd672dd54af5p-16, 0x1.9ef69ea1636ap-17, 0x1.0000d4e5b7bb6p-17, 0x1.8b67ea822c0dap-19, -0x1.c383ece510f13p-20, -0x1.a3a42e8005cc4p-18, -0x1.693f4275dac3dp-17, -0x1.fead532b4a58p-17, -0x1.49093c2a036c9p-16, -0x1.91b2d9b8acd22p-16, -0x1.d94f682c84187p-16, -0x1.0fed974ea1e15p-15, -0x1.32a968b842a1p-15, -0x1.54d9a74c43948p-15, -0x1.767cfcf7f7354p-15, -0x1.97923cd8ed04bp-15, -0x1.b8186186cb9d7p-15, -0x1.d80e8b6aa2b9dp-15, -0x1.f773ff23675bdp-15, -0x1.0b2411fb9e63dp-14, -0x1.1a454128a1202p-14, -0x1.291d6125c89c9p-14, -0x1.37ac55228e5cp-14, -0x1.45f20ec1931f9p-14, -0x1.53ee8d6eff5f5p-14, -0x1.61a1ddbc61f7bp-14, -0x1.6f0c18c1ebb73p-14, -0x1.7c2d6384e2265p-14, -0x1.8905ee63274f7p-14, -0x1.9595f483b504fp-14, -0x1.a1ddbb4be79e4p-14, -0x1.addd91d97b871p-14, -0x1.b995d0811b0a9p-14, -0x1.c506d8515570fp-14, -0x1.d0311299f94fap-14, -0x1.db14f0778bcb2p-14, -0x1.e5b2ea62eb324p-14, -0x1.f00b7fc4db33fp-14, -0x1.fa1f368d77142p-14, -0x1.01f74d67b11f3p-13, -0x1.06bd1f2f52991p-13, -0x1.0b615c39805f8p-13, -0x1.0fe452a6ebfdep-13, -0x1.144652f1a6f2dp-13, -0x1.1887afc35f24ap-13, -0x1.1ca8bdcd240c7p-13, -0x1.20a9d3a0c134p-13, -0x1.248b498b86656p-13, -0x1.284d7972915bcp-13, -0x1.2bf0beb06b078p-13, -0x1.2f7575f4161d3p-13, -0x1.32dbfd2159cbdp-13, -0x1.3624b33264867p-13, -0x1.394ff81aa10c3p-13, -0x1.3c5e2caac4e3dp-13, -0x1.3f4fb27602ac8p-13, -0x1.4224ebb865ab6p-13, -0x1.44de3b3e3b909p-13, -0x1.477c044c948e8p-13, -0x1.49feaa8ac50cbp-13, -0x1.4c6691ece6415p-13, -0x1.4eb41e9f504b5p-13, -0x1.50e7b4f2f9fbp-13, -0x1.5301b94ac74bbp-13, -0x1.55029009b2bd6p-13, -0x1.56ea9d81cb3ffp-13, -0x1.58ba45e40797ap-13, -0x1.5a71ed30dd355p-13, -0x1.5c11f7299f053p-13, -0x1.5d9ac74295c9ap-13, -0x1.5f0cc095c9e72p-13, -0x1.606845d6823bbp-13, -0x1.61adb9456b656p-13, -0x1.62dd7ca55ca96p-13, -0x1.63f7f130c0c92p-13, -0x1.64fd778f928fap-13, -0x1.65ee6fcdf0b04p-13, -0x1.66cb395336f51p-13, -0x1.679432d9a6a2cp-13, -0x1.6849ba669178ap-13, -0x1.68ec2d42fc7b3p-13, -0x1.697be7f4c4739p-13, -0x1.69f946383305dp-13, -0x1.6a64a2fa05447p-13, -0x1.6abe5851dc8dbp-13, -0x1.6b06bf7d1ffefp-13, -0x1.6b3e30da3293bp-13, -0x1.6b6503e41ba89p-13, -0x1.6b7b8f2e7ddbp-13, -0x1.6b822861ec7c7p-13, -0x1.6b79243895b07p-13, -0x1.6b60d67b3f689p-13, -0x1.6b3991fe8f22ap-13, -0x1.6b03a8a0a1d1p-13, -0x1.6abf6b46e3b6ap-13, -0x1.6a6d29dc39532p-13, -0x1.6a0d334f5c8d7p-13, -0x1.699fd59181ec9p-13, -0x1.69255d953b109p-13, -0x1.689e174d89cedp-13, -0x1.680a4dad325b3p-13, -0x1.676a4aa640c8ap-13, -0x1.66be5729bd6p-13, -0x1.6606bb2795351p-13, -0x1.6543bd8ea7a92p-13, -0x1.6475a44d0cacap-13, -0x1.639cb45078b9ep-13, -0x1.62b93186cb25bp-13, -0x1.61cb5edec32a7p-13, -0x1.60d37e48d814bp-13, -0x1.5fd1d0b82f286p-13, -0x1.5ec69623b841ap-13, -0x1.5db20d875f2cbp-13, -0x1.5c9474e5601f1p-13, -0x1.5b6e0947b5687p-13, -0x1.5a3f06c19ba8ap-13, -0x1.5907a871310b2p-13, -0x1.57c82881276c5p-13, -0x1.5680c02a8c1dap-13, -0x1.5531a7b6a8e12p-13, -0x1.53db1680eb33ep-13, -0x1.527d42f8e69d7p-13, -0x1.511862a467363p-13, -0x1.4facaa2188ae3p-13, -0x1.4e3a4d28e4bfap-13, -0x1.4cc17e8fcaa2cp-13, -0x1.4b42704a8404fp-13, -0x1.49bd536e9e806p-13, -0x1.4832583547179p-13, -0x1.46a1adfda6975p-13, -0x1.450b834f4e2f8p-13, -0x1.437005dca157bp-13, -0x1.41cf62854e1d8p-13, -0x1.4029c558c8266p-13, -0x1.3e7f5998c74c1p-13, -0x1.3cd049bbcab98p-13, -0x1.3b1cbf6fa33dp-13, -0x1.3964e39bf8327p-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.683d77940337p-1, 0x1.68a38c65f3441p-1, 0x1.690493eda6247p-1, 0x1.695c86bf3c785p-1, 0x1.69a7ae018fc05p-1, 0x1.69e2bb2ccb5bdp-1, 0x1.6a0ad6bc75e72p-1, 0x1.6a1da77706aabp-1, 0x1.6a1953d538f2cp-1, 0x1.69fc7ee9377d9p-1, 0x1.69c641f4fa4a4p-1, 0x1.697623ae1e43dp-1, 0x1.690c0dff98e43p-1, 0x1.688842f0a674ap-1, 0x1.67eb5134979d3p-1, 0x1.673608c8c1723p-1, 0x1.66696fec636f5p-1, 0x1.6586b8a94f2c5p-1, 0x1.648f371303191p-1, 0x1.638458541b86fp-1, 0x1.62679a971bc06p-1, 0x1.613a85cf01d7fp-1, 0x1.5ffea55d964ap-1, 0x1.5eb582908fe02p-1, 0x1.5d609feb19d0ep-1, 0x1.5c01752eec7e4p-1, 0x1.5a996c1699da2p-1, 0x1.5929ddb1e4638p-1, 0x1.57b41054a84a7p-1, 0x1.5639360909d57p-1, 0x1.54ba6b760a149p-1, 0x1.5338b72c55b73p-1, 0x1.51b5094bef04dp-1, 0x1.50303b764d8fep-1, 0x1.4eab11017f74cp-1, 0x1.4d263761e2edap-1, 0x1.4ba246c1054e9p-1, 0x1.4a1fc2b9366fp-1, 0x1.489f1b2e46a31p-1, 0x1.4720ad3cc5b58p-1, 0x1.45a4c439f2951p-1, 0x1.442b9abf417ddp-1, 0x1.42b55bbd1c2bcp-1, 0x1.41422391159f1p-1, 0x1.3fd2011c6752dp-1, 0x1.3e64f6d806f1ep-1, 0x1.3cfafbe420ee1p-1, 0x1.3b93fd11220b7p-1, 0x1.3a2fdde0ddc65p-1, 0x1.38ce797ea9602p-1, 0x1.376fa3ad87f8p-1, 0x1.361329abc485ep-1, 0x1.34b8d30b83304p-1, 0x1.3360628006ea6p-1, 0x1.3209969f82e54p-1, 0x1.30b42a997b1fdp-1, 0x1.2f5fd6e1c341fp-1, 0x1.2e0c51d04c5c4p-1, 0x1.2cb95035fa80dp-1, 0x1.2b6685e6cdda4p-1, 0x1.2a13a639b298ep-1, 0x1.28c0647e54829p-1, 0x1.276c74695a6c1p-1, 0x1.26178a776be71p-1, 0x1.24c15c476ee0ap-1, 0x1.2369a0ec64523p-1, 0x1.221011374f1d1p-1, 0x1.20b467f98d4bcp-1, 0x1.1f5662400ed12p-1, 0x1.1df5bf87caf7ep-1, 0x1.1c9241ebdba46p-1, 0x1.1b2bae4d9d304p-1, 0x1.19c1cc772f3b4p-1, 0x1.18546738b295cp-1, 0x1.16e34c8099967p-1, 0x1.156e4d6f5c00bp-1, 0x1.13f53e66e27bdp-1, 0x1.1277f715f1f54p-1, 0x1.10f6527fdf0c8p-1, 0x1.0f702f00d1e45p-1, 0x1.0de56e4eda551p-1, 0x1.0c55f57810fa1p-1, 0x1.0ac1acde05182p-1, 0x1.0928802eaa997p-1, 0x1.078a5e5b022cap-1, 0x1.05e7398ba9b5ep-1, 0x1.043f071389671p-1, 0x1.0291bf60c69eap-1, 0x1.00df5dec2a131p-1, 0x1.fe4fc24e3ff9ep-2, 0x1.fad694d0f4ff8p-2, 0x1.f7533bb02f08dp-2, 0x1.f3c5c4b319fa3p-2, 0x1.f02e42ebfca22p-2, 0x1.ec8cce8a632c5p-2, 0x1.e8e184ac15b8fp-2, 0x1.e52c872cfb30fp-2, 0x1.e16dfc762c13dp-2, 0x1.dda60f4c55c9fp-2, 0x1.d9d4ee9da3421p-2, 0x1.d5facd4f4e7a5p-2, 0x1.d217e20b036a5p-2, 0x1.ce2c670c369dp-2, 0x1.ca3899ed90e6bp-2, 0x1.c63cbb768daf3p-2, 0x1.c2390f696b092p-2, 0x1.be2ddc5181953p-2, 0x1.ba1b6b5220c67p-2, 0x1.b60207f602e26p-2, 0x1.b1e1ffff6c873p-2, 0x1.adbba3390fe83p-2, 0x1.a98f4347bec03p-2, 0x1.a55d337cf97bdp-2, 0x1.a125c8aa72ecap-2, 0x1.9ce958f68a46p-2, 0x1.98a83bb1cc8cp-2, 0x1.9462c92d86afap-2, 0x1.90195a936e812p-2, 0x1.8bcc49be6d06dp-2, 0x1.877bf11490d0cp-2, 0x1.8328ab6228495p-2, 0x1.7ed2d3b611352p-2, 0x1.7a7ac53f39dc4p-2, 0x1.7620db2b5762ap-2, 0x1.71c57086d777ap-2, 0x1.6d68e01e0b294p-2, 0x1.690b845f87c7ap-2, 0x1.64adb73fc8668p-2, 0x1.604fd21e00278p-2, 0x1.5bf22daa2a0eap-2, 0x1.579521cc499f3p-2, 0x1.5339058cdfc6cp-2, 0x1.4ede2efe8ded5p-2, 0x1.4a84f328e79afp-2, 0x1.462da5f465f31p-2, 0x1.41d89a1786401p-2, 0x1.3d8621050269ap-2, 0x1.39368adb24366p-2, 0x1.34ea26542e11ap-2, 0x1.30a140b7d47fp-2, 0x1.2c5c25cdbccc7p-2, 0x1.281b1fd104f84p-2, 0x1.23de7764c484bp-2, 0x1.1fa6738988dd5p-2, 0x1.1b735993beca6p-2, 0x1.17456d2308811p-2, 0x1.131cf01a78d82p-2, 0x1.0efa2299a9816p-2, 0x1.0add42f6a7e39p-2, 0x1.06c68db8b49edp-2, 0x1.02b63d93ca4c5p-2, 0x1.fd5916c9c9c0bp-3, 0x1.f5535c5e0e167p-3, 0x1.ed5bb631e8b98p-3, 0x1.e5728ad72ebcdp-3, 0x1.dd983d2223c38p-3, 0x1.d5cd2c28d2e09p-3, 0x1.ce11b343a5e2p-3, 0x1.c6662a0f1ep-3, 0x1.becae46ea361ep-3, 0x1.b74032906a989p-3, 0x1.afc660f24f81bp-3, 0x1.a85db867b1e49p-3, 0x1.a1067e202b52ep-3, 0x1.99c0f3af2e21dp-3, 0x1.928d57146a4ccp-3, 0x1.8b6be2c4fe69bp-3, 0x1.845ccdb55eb1ep-3, 0x1.7d604b63e9534p-3, 0x1.76768be4201f2p-3, 0x1.6f9fbbea7ecb6p-3, 0x1.68dc04d8d605ap-3, 0x1.622b8ccb35e6dp-3, 0x1.5b8e76a54e44ep-3, 0x1.5504e2203eba3p-3, 0x1.4e8eebd8d581ep-3, 0x1.482cad5e280c4p-3, 0x1.41de3d4081c73p-3, 0x1.3ba3af20a9fafp-3, 0x1.357d13bf6111bp-3, 0x1.2f6a790d2fac7p-3, 0x1.296bea3a57251p-3, 0x1.23816fc705cb3p-3, 0x1.1dab0f93a4a3p-3, 0x1.17e8ccf15200ap-3, 0x1.123aa8b26dbabp-3, 0x1.0ca0a13b4426bp-3, 0x1.071ab292bf3d4p-3, 0x1.01a8d6732955dp-3, 0x1.f89608b5dfc5ep-4, 0x1.ee02633ac1ce3p-4, 0x1.e396a2e6db60dp-4, 0x1.d952aa18a9e7bp-4, 0x1.cf36573c9104p-4, 0x1.c54184ededacfp-4, 0x1.bb740a1807e14p-4, 0x1.b1cdba16c341cp-4, 0x1.a84e64d71218dp-4, 0x1.9ef5d6f723c64p-4, 0x1.95c3d9e64b914p-4, 0x1.8cb834048ce12p-4, 0x1.83d2a8c1d3e57p-4, 0x1.7b12f8bcd0a77p-4, 0x1.7278e1e16f6a1p-4, 0x1.6a041f86e911ep-4, 0x1.61b46a8d6869cp-4, 0x1.5989797b41746p-4, 0x1.51830099b2df8p-4, 0x1.49a0b21133b58p-4, 0x1.41e23e0545bccp-4, 0x1.3a4752afcc2aap-4, 0x1.32cf9c7be37f8p-4, 0x1.2b7ac6203815cp-4, 0x1.244878b8d99ffp-4, 0x1.1d385be08ab74p-4, 0x1.164a15c987e5p-4, 0x1.0f7d4b55c9807p-4, 0x1.08d1a02ebbcdp-4, 0x1.0246b6dc6cd2dp-4, 0x1.f7b861b863befp-5, 0x1.eb235d6d8096p-5, 0x1.decda02b7a61dp-5, 0x1.d2b667b18133ep-5, 0x1.c6dcf0539d736p-5, 0x1.bb4075228c088p-5, 0x1.afe0301286b07p-5, 0x1.a4bb5a20f54dbp-5, 0x1.99d12b7912692p-5, 0x1.8f20db97790acp-5, 0x1.84a9a16ca6d12p-5, 0x1.7a6ab37e713a1p-5, 0x1.706348086cb3ap-5, 0x1.6692951b5004ap-5, 0x1.5cf7d0bb4ca82p-5, 0x1.539230fd68c69p-5, 0x1.4a60ec23d5e0ap-5, 0x1.416338b94cf62p-5, 0x1.38984dab6d595p-5, 0x1.2fff62642a25p-5, 0x1.2797aee23fa58p-5, 0x1.1f606bd0be6e2p-5, 0x1.1758d29da61efp-5, 0x1.0f801d8f9c86ap-5, 0x1.07d587dabdf45p-5, 0x1.00584db49094fp-5, 0x1.f20f58ce2f60bp-6, 0x1.e3c5c4c6284a6p-6, 0x1.d5d25ea2db228p-6, 0x1.c833a8479bfe2p-6, 0x1.bae82648e19c7p-6, 0x1.adee600a5709ap-6, 0x1.a144dfdb69865p-6, 0x1.94ea331256ed6p-6, 0x1.88dcea25c7d89p-6, 0x1.7d1b98c4fdf74p-6, 0x1.71a4d5eea3415p-6, 0x1.66773c063a06p-6, 0x1.5b9168e83beap-6, 0x1.50f1fdfcf1ae3p-6, 0x1.4697a04a09613p-6, 0x1.3c80f882f2b83p-6, 0x1.32acb3180d861p-6, 0x1.29198044ae8a1p-6, 0x1.1fc6141c073f5p-6, 0x1.16b12694f7b88p-6, 0x1.0dd97394ca85cp-6, 0x1.053dbaf8f5638p-6, 0x1.f9b9813f9e6ep-7, 0x1.e96a98e0b3343p-7, 0x1.d98c54c222985p-7, 0x1.ca1c54fbc4c4p-7, 0x1.bb1841da64438p-7, 0x1.ac7dcbe83290bp-7, 0x1.9e4aabf38854ap-7, 0x1.907ca3142b13dp-7, 0x1.83117aaef0dccp-7, 0x1.7607047809bfap-7, 0x1.695b1a73c7a77p-7, 0x1.5d0b9ef61cdf7p-7, 0x1.51167ca0c1c9fp-7, 0x1.4579a6601caa5p-7, 0x1.3a331766f4cbep-7, 0x1.2f40d32901107p-7, 0x1.24a0e55455fc9p-7, 0x1.1a5161c9c7a83p-7, 0x1.1050649446c26p-7, 0x1.069c11df46727p-7, 0x1.fa652bd86a28cp-8, 0x1.e8244a0e2595dp-8, 0x1.d671f6f463bc8p-8, 0x1.c54abb0253d08p-8, 0x1.b4ab2e7612b27p-8, 0x1.a48ff9379d3e5p-8, 0x1.94f5d2ba64719p-8, 0x1.85d981dd98869p-8, 0x1.7737dccb3d98p-8, 0x1.690dc8d618283p-8, 0x1.5b583a5686a79p-8, 0x1.4e14348659b71p-8, 0x1.413ec95bb61fbp-8, 0x1.34d519631794ap-8, 0x1.28d453987ef1fp-8, 0x1.1d39b53fdb72ap-8, 0x1.120289bcc24adp-8, 0x1.072c2a697a464p-8, 0x1.f967fcdae5014p-9, 0x1.e52ef52654419p-9, 0x1.d1a8423b35a3bp-9, 0x1.becf033a5df9ep-9, 0x1.ac9e7188a4ccp-9, 0x1.9b11e0774fbbdp-9, 0x1.8a24bcebdb383p-9, 0x1.79d28d073dc5p-9, 0x1.6a16efccb1a9fp-9, 0x1.5aed9cc8200e1p-9, 0x1.4c5263b43e639p-9, 0x1.3e412c206f07p-9, 0x1.30b5f51679e66p-9, 0x1.23acd4c02d836p-9, 0x1.1721f80cf783dp-9, 0x1.0b11a2578523cp-9, 0x1.fef05a16f8d9bp-10, 0x1.e8a40e96b649ep-10, 0x1.d3376b2d11ef9p-10, 0x1.bea3a2df56fb5p-10, 0x1.aae212068ec43p-10, 0x1.97ec3d9d797a6p-10, 0x1.85bbd28f52a39p-10, 0x1.744aa5077123fp-10, 0x1.6392afc1e49b7p-10, 0x1.538e135d19188p-10, 0x1.443715ac95647p-10, 0x1.3588210cf00fcp-10, 0x1.277bc3b8fa1dap-10, 0x1.1a0caf203ed51p-10, 0x1.0d35b73ee75b5p-10, 0x1.00f1d1f6fa34cp-10, 0x1.ea782cd656841p-11, 0x1.d41f78b640d21p-11, 0x1.bed03702a4314p-11, 0x1.aa8155e50bb3fp-11, 0x1.972a00fde1cacp-11, 0x1.84c1a02a16cbcp-11, 0x1.733fd64c3bc2ap-11, 0x1.629c80191f447p-11, 0x1.52cfb2e7fc7f2p-11, 0x1.43d1bb864a067p-11, 0x1.359b1d0f33dbp-11, 0x1.28248fc6cbed3p-11, 0x1.1b66fff8fcd19p-11, 0x1.0f5b8cdc439bcp-11, 0x1.03fb87783d078p-11, 0x1.f280e32010628p-12, 0x1.de47f92112004p-12, 0x1.cb40110517a92p-12, 0x1.b95d46019ee01p-12, 0x1.a8940c63f2471p-12, 0x1.98d92f8ce3d5ap-12, 0x1.8a21cff467c56p-12, 0x1.7c63613502b28p-12, 0x1.6f93a81f17fecp-12, 0x1.63a8b8d40d355p-12, 0x1.5898f4e9443c7p-12, 0x1.4e5b0992e606fp-12, 0x1.44e5edd67b114p-12, 0x1.3c30e0c545826p-12, 0x1.343367be5c085p-12, 0x1.2ce54cb873e19p-12, 0x1.263e9c935a855p-12, 0x1.2037a5710a341p-12, 0x1.1ac8f51655623p-12, 0x1.15eb575316132p-12, 0x1.1197d471d908cp-12, 0x1.0dc7afaef0f71p-12, 0x1.0a7465b6ea872p-12, 0x1.0797ab2c49bdfp-12, 0x1.052b6b34825e6p-12, 0x1.0329c60c20765p-12, 0x1.018d0fa20685dp-12, 0x1.004fce39b7ca4p-12, 0x1.fed972292583ep-13, 0x1.fdbd6e43ea4d1p-13, 0x1.fd41bb6c56631p-13, 0x1.fd5cde9035b73p-13, 0x1.fe05b46b33f0fp-13, 0x1.ff336f1ca93d3p-13, 0x1.006ec9e534894p-12, 0x1.017dfc2832f18p-12, 0x1.02c3607e7c187p-12, 0x1.043b2f2cd7e69p-12, 0x1.05e1c58036c05p-12, 0x1.07b3a4be58337p-12, 0x1.09ad711c6b841p-12, 0x1.0bcbf0bb9d7cfp-12, 0x1.0e0c0aab746fbp-12, 0x1.106ac5f1ece2ap-12, 0x1.12e5489939325p-12, 0x1.1578d6c3154acp-12, 0x1.1822d1c18fd8p-12, 0x1.1ae0b7353b6bbp-12, 0x1.1db02030abab2p-12, 0x1.208ec06128e7fp-12, 0x1.237a653c87394p-12, 0x1.2670f53408505p-12, 0x1.29706eec311p-12, 0x1.2c76e87981cbp-12, 0x1.2f828ea1f53c7p-12, 0x1.3291a42336037p-12, 0x1.35a280fd6f9dbp-12, 0x1.38b391c2ad5c8p-12, 0x1.3bc356eaa75c5p-12, 0x1.3ed0642af321ap-12, 0x1.41d95fd37a229p-12, 0x1.44dd022f29a16p-12, 0x1.47da14e8bda9fp-12, 0x1.4acf72739c652p-12, 0x1.4dbc0578a72e3p-12, 0x1.509ec846ee0d2p-12, 0x1.5376c44836ba2p-12, 0x1.564311793bafap-12, 0x1.5902d5e5963dcp-12, 0x1.5bb545273d18p-12, 0x1.5e599fe98728ep-12, 0x1.60ef336f9b3eep-12, 0x1.6375591e3f84p-12, 0x1.65eb7608f3218p-12, 0x1.6850fa82400c4p-12, 0x1.6aa561af33699p-12, 0x1.6ce8311def091p-12, 0x1.6f18f85f38eefp-12, 0x1.713750a303868p-12, 0x1.7342dc57d3044p-12, 0x1.753b46ccfa9p-12, 0x1.772043d792247p-12, 0x1.78f18f7a26098p-12, 0x1.7aaeed8f014bp-12, 0x1.7c5829750bf62p-12, 0x1.7ded15bf2c00ap-12, 0x1.7f6d8be617499p-12, 0x1.80d96bfc8db22p-12, 0x1.82309c65e2152p-12, 0x1.8373098ed137ap-12, 0x1.84a0a5a88d79fp-12, 0x1.85b96865f646ap-12, 0x1.86bd4ebaeea4bp-12, 0x1.87ac5a9dc1ce4p-12, 0x1.888692ca8a8a6p-12, 0x1.894c028892ee5p-12, 0x1.89fcb9719a0eep-12, 0x1.8a98cb3af86d1p-12, 0x1.8b204f8095289p-12, 0x1.8b9361919e01ap-12, 0x1.8bf2203ef99bcp-12, 0x1.8c3cadab667e6p-12, 0x1.8c732f1d3d5eep-12, 0x1.8c95ccd1c67ccp-12, 0x1.8ca4b1d21f5cdp-12, 0x1.8ca00bc99fc58p-12, 0x1.8c880addb73c2p-12, 0x1.8c5ce18734253p-12, 0x1.8c1ec46cf0077p-12, 0x1.8bcdea3fd5af8p-12, 0x1.8b6a8b9835f19p-12, 0x1.8af4e2d45edfep-12, 0x1.8a6d2bf877443p-12, 0x1.89d3a48f87631p-12, 0x1.89288b8daff09p-12, 0x1.886c213383806p-12, 0x1.879ea6f279e2bp-12, 0x1.86c05f52746bfp-12, 0x1.85d18dd84f8ddp-12, 0x1.84d276ed718a1p-12, 0x1.83c35fc8587fcp-12, 0x1.82a48e5618f7p-12, 0x1.81764924c9503p-12, 0x1.8038d74ecfbafp-12, 0x1.7eec806711cedp-12, 0x1.7d918c65f6751p-12, 0x1.7c2843973c64ap-12, 0x1.7ab0ee8896c68p-12, 0x1.792bd5f910e93p-12, 0x1.779942c92a99ep-12, 0x1.75f97debb218p-12, 0x1.744cd057492b7p-12, 0x1.729382f89b38ap-12, 0x1.70cddea5365c5p-12, 0x1.6efc2c0f06a8ep-12, 0x1.6d1eb3b86b692p-12, 0x1.6b35bde8e6dc7p-12, 0x1.694192a25a02ep-12, 0x1.67427996d0fa3p-12, 0x1.6538ba1ed4a8cp-12, 0x1.63249b30422aep-12, 0x1.610663559cbf3p-12, 0x1.5ede58a5deb3bp-12, 0x1.5cacc0bcbd9d7p-12, 0x1.5a71e0b360f45p-12, 0x1.582dfd1985abdp-12, 0x1.55e159ef0d6e7p-12, 0x1.538c3a9df3a12p-12, 0x1.512ee1f4a33a6p-12, 0x1.4ec99220ac873p-12, 0x1.4c5c8ca9d65b5p-12, 0x1.49e8126d86a14p-12, 0x1.476c639a807adp-12, 0x1.44e9bfacf2194p-12, 0x1.4260656ad24b5p-12, 0x1.3fd092e087e7bp-12, 0x1.3d3a855ddb86cp-12, 0x1.3a9e79732db01p-12, 0x1.37fcaaeeecfc4p-12, 0x1.355554db52048p-12, 0x1.32a8b17c539dcp-12, 0x1.2ff6fa4dd76d3p-12, 0x1.2d4068021c952p-12, 0x1.2a8532805a2dp-12, 0x1.27c590e392dd2p-12, 0x1.2501b9799991ep-12, 0x1.2239e1c245052p-12, 0x1.1f6e3e6ed1aa8p-12, 0x1.1c9f03616e64bp-12, 0x1.19cc63acf2364p-12, 0x1.16f69194b920ep-12, 0x1.141dbe8ca9196p-12, 0x1.11421b39560f7p-12, 0x1.0e63d7704d964p-12, 0x1.0b8322387e06dp-12, 0x1.08a029cac04f1p-12, 0x1.05bb1b927c53ap-12, 0x1.02d4242e6a977p-12, 0x1.ffd6dee2e2b87p-13, 0x1.fa0250c72ddbp-13, 0x1.f42af2861ec9ap-13, 0x1.ee51170abe4ap-13, 0x1.e8750fb12333bp-13, 0x1.e2972c490ddf2p-13, 0x1.dcb7bb189f80bp-13, 0x1.d6d708df3da65p-13, 0x1.d0f560d890badp-13, 0x1.cb130cbfa5a9fp-13, 0x1.c53054d22608fp-13, 0x1.bf4d7fd3b6fa6p-13, 0x1.b96ad31161fa6p-13, 0x1.b388926521b1fp-13, 0x1.ada700397c4d8p-13, 0x1.a7c65d8d37f23p-13, 0x1.a1e6e9f71cb5bp-13, 0x1.9c08e3a9c980dp-13, 0x1.962c8777975adp-13, 0x1.905210d68b1ebp-13, 0x1.8a79b9e4584d3p-13, 0x1.84a3bb6a62119p-13, 0x1.7ed04ce1d9198p-13, 0x1.78ffa477d1516p-13, 0x1.7331f71167d7p-13, 0x1.6d67784ff1ee9p-13, 0x1.67a05a9527765p-13, 0x1.61dccf075caa7p-13, 0x1.5c1d0595bbe89p-13, 0x1.56612cfc7cc01p-13, 0x1.50a972c925d0cp-13, 0x1.4af6035eca294p-13, 0x1.454709fa4958bp-13, 0x1.3f9cb0b68a18fp-13, 0x1.39f72090bd145p-13, 0x1.3456816c94dc3p-13, 0x1.2ebafa187ec62p-13, 0x1.2924b051d9fbbp-13, 0x1.2393c8c92af08p-13, 0x1.1e08672645d5ap-13, 0x1.1882ae0c790dap-13, 0x1.1302bf1eb238cp-13, 0x1.0d88bb039a3f8p-13, 0x1.0814c169b0769p-13, 0x1.02a6f10b56729p-13, 0x1.fa7ecf65c0b9dp-14, 0x1.efbc847d24bd7p-14, 0x1.e5073949434aep-14, 0x1.da5f23ee44fb4p-14, 0x1.cfc478cfecdb2p-14, 0x1.c5376a99599a9p-14, 0x1.bab82a44ba207p-14, 0x1.b046e722f1e7ap-14, 0x1.a5e3cee320899p-14, 0x1.9b8f0d9a2241fp-14, 0x1.9148cdc9f4e2bp-14, 0x1.871138690e307p-14, 0x1.7ce874e99b022p-14, 0x1.72cea940aaebap-14, 0x1.68c3f9ed478d6p-14, }}, 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
    }}, 
    {
      50, 0x1.e666666666666p+1, 0x1.0d59c98c9b1efp+0, 0x1.cfe7fdc745b5ep+0, -0x1.81d248bf39386p-3, 
      {{
        {0x1.3333333333333p+1, 0x1.36c8b43958106p+1, 0x1.350295a8eb938p-2, -0x1.080c5e4c33173p-1, 0x1.15d19b4596fa1p-2, 0x1.7b64fc4041fd2p-7}, 
        {0x1.36c8b43958106p+1, 0x1.3a5e353f7ced9p+1, 0x1.267103921f969p-2, -0x1.004164dec42e3p-1, 0x1.16d08f431207ap-2, -0x1.da3e3b505152ap-5}, 
        {0x1.3a5e353f7ced9p+1, 0x1.3df3b645a1cacp+1, 0x1.184ef64379e38p-2, -0x1.f10964e67ae1ep-2, 0x1.11d5cb4faac6ap-2, -0x1.41a1a02c55fe6p-5}, 
        {0x1.3df3b645a1cacp+1, 0x1.4189374bc6a7fp+1, 0x1.0a9aefd257c89p-2, -0x1.e1cbe6a35050ep-2, 0x1.0e753fc5fc4ep-2, -0x1.6a9d09c7a29abp-5}, 
        {0x1.4189374bc6a7fp+1, 0x1.451eb851eb852p+1, 0x1.faa6e4ca893f7p-3, -0x1.d2c1e81e8ec89p-2, 0x1.0aa68b5195dc9p-2, -0x1.5fab8712aa6c5p-5}, 
        {0x1.451eb851eb852p+1, 0x1.48b4395810625p+1, 0x1.e0ee00233b6e7p-3, -0x1.c3edac1e0b3a7p-2, 0x1.06f541530dac2p-2, -0x1.6276284c19c6dp-5}, 
        {0x1.48b4395810625p+1, 0x1.4c49ba5e353f8p+1, 0x1.c80835d980ba5p-3, -0x1.b54e95909f027p-2, 0x1.033c7667c2233p-2, -0x1.61dd9d858bf99p-5}, 
        {0x1.4c49ba5e353f8p+1, 0x1.4fdf3b645a1cbp+1, 0x1.aff28a3a6fd74p-3, -0x1.a6e4cec45c817p-2, 0x1.ff0a8b09e56e7p-3, -0x1.61d4affbc2b6cp-5}, 
        {0x1.4fdf3b645a1cbp+1, 0x1.5374bc6a7ef9ep+1, 0x1.98aa0170c3619p-3, -0x1.98b04b9220d13p-2, 0x1.f79c594354496p-3, -0x1.62316854337dap-5}, 
        {0x1.5374bc6a7ef9ep+1, 0x1.570a3d70a3d71p+1, 0x1.822b9fc9920d6p-3, -0x1.8ab11248652dp-2, 0x1.f02c35062b44ep-3, -0x1.618685a693744p-5}, 
        {0x1.570a3d70a3d71p+1, 0x1.5a9fbe76c8b44p+1, 0x1.6c74694d3a5f4p-3, -0x1.7ce71d051ad01p-2, 0x1.e8bfa77726a31p-3, -0x1.625735b019887p-5}, 
        {0x1.5a9fbe76c8b44p+1, 0x1.5e353f7ced917p+1, 0x1.5781628d8b3adp-3, -0x1.6f526ea09d0e7p-2, 0x1.e14eb8008242bp-3, -0x1.619d032144bdp-5}, 
        {0x1.5e353f7ced917p+1, 0x1.61cac083126e9p+1, 0x1.434f8f70870cep-3, -0x1.61f308cc409fp-2, 0x1.d9e1b189483dbp-3, -0x1.6236faff6e373p-5}, 
        {0x1.61cac083126e9p+1, 0x1.65604189374bcp+1, 0x1.2fdbf465a0a15p-3, -0x1.54c8e91b0aa4cp-2, 0x1.d2716f5659a37p-3, -0x1.61a7e7d24857fp-5}, 
        {0x1.65604189374bcp+1, 0x1.68f5c28f5c28fp+1, 0x1.1d239575367cbp-3, -0x1.47d4105ede781p-2, 0x1.cb042e4f1e438p-3, -0x1.622ba2ec1939ap-5}, 
        {0x1.68f5c28f5c28fp+1, 0x1.6c8b439581062p+1, 0x1.0b23770ebb6aep-3, -0x1.3b147dbd29943p-2, 0x1.c39429187f037p-3, -0x1.61ca637074545p-5}, 
        {0x1.6c8b439581062p+1, 0x1.7020c49ba5e35p+1, 0x1.f3b13a751be0ep-4, -0x1.2e8a33ce52d7bp-2, 0x1.bc262eaffd982p-3, -0x1.620c951af8b15p-5}, 
        {0x1.7020c49ba5e35p+1, 0x1.73b645a1cac08p+1, 0x1.d280188b8982fp-4, -0x1.2235303c047e9p-2, 0x1.b4b6d06b958e7p-3, -0x1.61c496819ee06p-5}, 
        {0x1.73b645a1cac08p+1, 0x1.774bc6a7ef9dbp+1, 0x1.b2ad90b634f4ap-4, -0x1.161572967b76ep-2, 0x1.ad48f5321402fp-3, -0x1.6213125cc90f9p-5}, 
        {0x1.774bc6a7ef9dbp+1, 0x1.7ae147ae147aep+1, 0x1.9433abb1a7b5fp-4, -0x1.0a2afb5ac029cp-2, 0x1.a5d9740ac0f11p-3, -0x1.61e032b3d657fp-5}, 
        {0x1.7ae147ae147aep+1, 0x1.7e76c8b439581p+1, 0x1.770c71b0fae7cp-4, -0x1.fceb99399b4ebp-3, 0x1.9e6b0462a0065p-3, -0x1.61f41f3eb5981p-5}, 
        {0x1.7e76c8b439581p+1, 0x1.820c49ba5e354p+1, 0x1.5b31eb32df128p-4, -0x1.e5ebc810a1353p-3, 0x1.96fc299dfaee3p-3, -0x1.61ea680d53325p-5}, 
        {0x1.820c49ba5e354p+1, 0x1.85a1cac083127p+1, 0x1.409e20a8464eap-4, -0x1.cf5684c3f3e4cp-3, 0x1.8f8d83147bfffp-3, -0x1.61f3ca9f528cfp-5}, 
        {0x1.85a1cac083127p+1, 0x1.89374bc6a7efap+1, 0x1.274b1a8901ecap-4, -0x1.b92bcf46d66b2p-3, 0x1.881eaa16c5463p-3, -0x1.61eb12d9f5d8ap-5}, 
        {0x1.89374bc6a7efap+1, 0x1.8cccccccccccdp+1, 0x1.0f32e13f24ccfp-4, -0x1.a36ba7b2fe902p-3, 0x1.80affff70eb41p-3, -0x1.61f1740c15cffp-5}, 
        {0x1.8cccccccccccdp+1, 0x1.90624dd2f1aap+1, 0x1.f09efa8500804p-5, -0x1.8e160dae52225p-3, 0x1.7941338b489cep-3, -0x1.61ea34b1c9421p-5}, 
        {0x1.90624dd2f1aap+1, 0x1.93f7ced916873p+1, 0x1.c535ee080cbd2p-5, -0x1.792b01176046cp-3, 0x1.71d28e15e2d9ep-3, -0x1.61f743401a1bap-5}, 
        {0x1.93f7ced916873p+1, 0x1.978d4fdf3b646p+1, 0x1.9c1eadf710f18p-5, -0x1.64aa82ce069ddp-3, 0x1.6a63a26ee8725p-3, -0x1.61e6f15ac93d1p-5}, 
        {0x1.978d4fdf3b646p+1, 0x1.9b22d0e560419p+1, 0x1.754d4b18746e8p-5, -0x1.509492548730ep-3, 0x1.62f50e844c28p-3, -0x1.61f4f3bfaf616p-5}, 
        {0x1.9b22d0e560419p+1, 0x1.9eb851eb851ecp+1, 0x1.50b5d6699844ep-5, -0x1.3ce92f51d8632p-3, 0x1.5b862f493b6adp-3, -0x1.61e9e50ad472dp-5}, 
        {0x1.9eb851eb851ecp+1, 0x1.a24dd2f1a9fbep+1, 0x1.2e4c60bea235dp-5, -0x1.29a85a37bac15p-3, 0x1.54178b800b6fbp-3, -0x1.61f50228e2321p-5}, 
        {0x1.a24dd2f1a9fbep+1, 0x1.a5e353f7ced91p+1, 0x1.0e04fb0734e21p-5, -0x1.16d21308599fdp-3, 0x1.4ca8abf78191p-3, -0x1.61e6b7b543457p-5}, 
        {0x1.a5e353f7ced91p+1, 0x1.a978d4fdf3b64p+1, 0x1.dfa76c2eec158p-6, -0x1.0466594947053p-3, 0x1.453a1942cdb8cp-3, -0x1.61f81b6d58fbap-5}, 
        {0x1.a978d4fdf3b64p+1, 0x1.ad0e560418937p+1, 0x1.a75945d98d816p-6, -0x1.e4ca5ae3d746ap-4, 0x1.3dcb2911a8c7fp-3, -0x1.61e70da25aa18p-5}, 
        {0x1.ad0e560418937p+1, 0x1.b0a3d70a3d70ap+1, 0x1.7307a49b1ca9fp-6, -0x1.c19d1f1e6d501p-4, 0x1.365c948f0492dp-3, -0x1.61f3aa7418decp-5}, 
        {0x1.b0a3d70a3d70ap+1, 0x1.b4395810624ddp+1, 0x1.429aaa6e5bb0ep-6, -0x1.9f44fdec05356p-4, 0x1.2eedbc3e3e6b5p-3, -0x1.61eeedf1ba591p-5}, 
        {0x1.b4395810624ddp+1, 0x1.b7ced916872bp+1, 0x1.15fa78fb96184p-6, -0x1.7dc1f9aba4a89p-4, 0x1.277efd63eb66ep-3, -0x1.61ebb580e7466p-5}, 
        {0x1.b7ced916872bp+1, 0x1.bb645a1cac083p+1, 0x1.da1e640d28842p-7, -0x1.5d140ff80f3e3p-4, 0x1.20104fd9c9df9p-3, -0x1.61f3c61e16fcep-5}, 
        {0x1.bb645a1cac083p+1, 0x1.bef9db22d0e56p+1, 0x1.8f81eedd36e01p-7, -0x1.3d3b4246a188cp-4, 0x1.18a176f44aed2p-3, -0x1.61e9d76b2ef1p-5}, 
        {0x1.bef9db22d0e56p+1, 0x1.c28f5c28f5c29p+1, 0x1.4befd5b7ee489p-7, -0x1.1e3790076d5f5p-4, 0x1.1132d37458886p-3, -0x1.61f294052a83fp-5}, 
        {0x1.c28f5c28f5c29p+1, 0x1.c624dd2f1a9fcp+1, 0x1.0f385c71d6c12p-7, -0x1.0008f8de4bbb3p-4, 0x1.09c400fc6de95p-3, -0x1.61eda032108e4p-5}, 
        {0x1.c624dd2f1a9fcp+1, 0x1.c9ba5e353f7cfp+1, 0x1.b2578cd80adb9p-8, -0x1.c55efbddc9244p-5, 0x1.0255492456863p-3, -0x1.61ed3c1a3dbe6p-5}, 
        {0x1.c9ba5e353f7cfp+1, 0x1.cd4fdf3b645a2p+1, 0x1.5334ae930fe49p-8, -0x1.8c563b3acc083p-5, 0x1.f5cd26ccb19f6p-4, -0x1.61f97bb1c044dp-5}, 
        {0x1.cd4fdf3b645a2p+1, 0x1.d0e5604189375p+1, 0x1.00a8a518df652p-8, -0x1.54f7b6f755f45p-5, 0x1.e6ef379ed40b3p-4, -0x1.61c50f28216a5p-5}, 
        {0x1.d0e5604189375p+1, 0x1.d47ae147ae148p+1, 0x1.74a7ef332e49ap-9, -0x1.1f4356e2b675ep-5, 0x1.d8137c1a9532fp-4, -0x1.628d5f69a8d7fp-5}, 
        {0x1.d47ae147ae148p+1, 0x1.d810624dd2f1bp+1, 0x1.ff5cb49162ad9p-10, -0x1.d672e8116ff86p-6, 0x1.c92f56d1066d7p-4, -0x1.5f9ea1cb75949p-5}, 
        {0x1.d810624dd2f1bp+1, 0x1.dba5e353f7ceep+1, 0x1.434b33790c02p-10, -0x1.71b185fc458eep-6, 0x1.ba6ab97e3d64bp-4, -0x1.6a9160779d3p-5}, 
        {0x1.dba5e353f7ceep+1, 0x1.df3b645a1cac1p+1, 0x1.673aef5add91ap-11, -0x1.104c2e9884262p-6, 0x1.ab30650eb854p-4, -0x1.41b679c997394p-5}, 
        {0x1.df3b645a1cac1p+1, 0x1.e2d0e56041893p+1, 0x1.3b5676043a83dp-12, -0x1.643dbc580c026p-7, 0x1.9dad56b9f718dp-4, -0x1.da2e577c566c5p-5}, 
        {0x1.e2d0e56041893p+1, 0x1.e666666666666p+1, 0x1.375c1742c8541p-14, -0x1.5ebff3db477ap-8, 0x1.89c2f1c5a3989p-4, -0x1.941d7be748261p+1}, 
      }}, 
      0x1.ca0539cc568adp+7, -0x1.02931690ccc44p+12
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_c_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.6d55582067c1ep-2, 0x1.7336fc92d32e4p-2, 0x1.77f8b7357cfeap-2, 0x1.7ba4f56b0cdd9p-2, 0x1.7e46534f93defp-2, 0x1.7fe80ee4979b9p-2, 0x1.8095de2427d9dp-2, 0x1.805b85231d8f7p-2, 0x1.7f4515d4cbe7cp-2, 0x1.7d5eeb7c376b3p-2, 0x1.7ab54d76b1448p-2, 0x1.77545286ae5a2p-2, 0x1.7347ffcf5a61bp-2, 0x1.6e9c62fdc98cfp-2, 0x1.695d7756a67e1p-2, 0x1.6396e5f031b77p-2, 0x1.5d53e97326c3ap-2, 0x1.569f699307195p-2, 0x1.4f8411d019867p-2, 0x1.480c3fb07577ap-2, 0x1.4041f03663fc6p-2, 0x1.382fc8ae2755ep-2, 0x1.2fdd1ef63d782p-2, 0x1.2753d89a2dfbdp-2, 0x1.1e9c531103c09p-2, 0x1.15be543b80983p-2, 0x1.0cc13dd5b26d8p-2, 0x1.03ac2b0b1d741p-2, 0x1.f50bce6b71b35p-3, 0x1.e2a9a7dfc7269p-3, 0x1.d03db58a8e562p-3, 0x1.bdd2e6606c3afp-3, 0x1.ab736448e6611p-3, 0x1.9928aa271f1bdp-3, 0x1.86fb874dad2eap-3, 0x1.74f419a6e3513p-3, 0x1.6319cb703e5c2p-3, 0x1.5173590f321a3p-3, 0x1.4006db13357a1p-3, 0x1.2ed9cee184f3bp-3, 0x1.1df11c19a2329p-3, 0x1.0d51186f5fb9ap-3, 0x1.f9fb199124e37p-4, 0x1.d9f37ace547bcp-4, 0x1.ba90eabc570ap-4, 0x1.9bd828e3cb5bap-4, 0x1.7dcd3c0b724f4p-4, 0x1.60738f763183ep-4, 0x1.43ce0d4d914b1p-4, 0x1.27df348031727p-4, 0x1.0ca9289adcca4p-4, 0x1.e45b74ad5af87p-5, 0x1.b0dcd03de56ebp-5, 0x1.7ed8adc5050dfp-5, 0x1.4e5089faaf2dfp-5, 0x1.1f44f5043a4b1p-5, 0x1.e36aec8223361p-6, 0x1.8b40f77d94c66p-6, 0x1.3606b6c2e6bbdp-6, 0x1.c7699e4c77013p-7, 0x1.288451ee1dc5cp-7, 0x1.1e9137013d45p-8, -0x1.181bf97e39c6bp-13, -0x1.24ec50fb87348p-8, -0x1.1b3ef5deb51a6p-7, -0x1.9ec4ae244edfep-7, -0x1.0e901465532d7p-6, -0x1.4b35a30f64818p-6, -0x1.85609dc00d60ap-6, -0x1.bd1f63e430d25p-6, -0x1.f28121c2533fep-6, -0x1.12cae2a87b708p-5, -0x1.2b36f159a4843p-5, -0x1.428d46da8b79fp-5, -0x1.58d6971d67974p-5, -0x1.6e1baa6bad4eap-5, -0x1.826549a771ab4p-5, -0x1.95bc2dabd140fp-5, -0x1.a828f25b7a91ap-5, -0x1.b9b40d77388f7p-5, -0x1.ca65c8f9291a2p-5, -0x1.da464065fbba2p-5, -0x1.e95d605302c14p-5, -0x1.f7b2e7525914ep-5, -0x1.02a733c980121p-4, -0x1.091ba45fed403p-4, -0x1.0f3a64f76d584p-4, -0x1.150701d379c04p-4, -0x1.1a84f50a6be08p-4, -0x1.1fb7a7b89b422p-4, -0x1.24a273360afc4p-4, -0x1.2948a21f6b81ap-4, -0x1.2dad70f41141fp-4, -0x1.31d40e0c772eap-4, -0x1.35bf98c0bc788p-4, -0x1.39731fb70f311p-4, -0x1.3cf19e764cc0fp-4, -0x1.403dfa782b025p-4, -0x1.435b00094d66fp-4, -0x1.464b5f49ed2abp-4, -0x1.4911a99851cbbp-4, -0x1.4bb04f9b2b502p-4, -0x1.4e29a009ec20ep-4, -0x1.507fc7395abcep-4, -0x1.52b4cf5e57dfcp-4, -0x1.54caa16a76a83p-4, -0x1.56c3065e3a364p-4, -0x1.589fa8eb3228ap-4, -0x1.5a621743a87bp-4, -0x1.5c0bc4fc46b14p-4, -0x1.5d9e0cec658bep-4, -0x1.5f1a3301be1b4p-4, -0x1.60816602b17e4p-4, -0x1.61d4c13e86536p-4, -0x1.63154e2c97149p-4, -0x1.644405fad02ffp-4, -0x1.6561d309cd45bp-4, -0x1.666f9252440d3p-4, -0x1.676e14ad27321p-4, -0x1.685e1ff6c8546p-4, -0x1.694070058ba11p-4, -0x1.6a15b76e9a1c5p-4, -0x1.6adea015f4875p-4, -0x1.6b9bcb8adf1b5p-4, -0x1.6c4dd33517c9fp-4, -0x1.6cf5485a16485p-4, -0x1.6d92b4034c441p-4, -0x1.6e2696cee06d9p-4, -0x1.6eb168b3bebd1p-4, -0x1.6f3398c07f31ep-4, -0x1.6fad8cdae2a14p-4, -0x1.701fa184062abp-4, -0x1.708a29a4189f4p-4, -0x1.70ed6e5fb57f6p-4, -0x1.7149aef8d2d9ap-4, -0x1.719f20bd83c37p-4, -0x1.71edef073c49cp-4, -0x1.72363b4dcfebfp-4, -0x1.72781d5179576p-4, -0x1.72b3a35f09b91p-4, -0x1.72e8d2b0a7323p-4, -0x1.7317a7ec4c5d5p-4, -0x1.734017bfb9e7p-4, -0x1.73620f97e0a04p-4, -0x1.737d767017909p-4, -0x1.73922db40e8a5p-4, -0x1.73a0122e4fb83p-4, -0x1.73adc733d3302p-4, -0x1.73a8d54bc633fp-4, -0x1.739c94ed1067dp-4, -0x1.7388f65b9425p-4, -0x1.736de7880d692p-4, -0x1.734b542fc16a9p-4, -0x1.7321260a35456p-4, -0x1.72ef4503b4307p-4, -0x1.72b59782c8a9fp-4, -0x1.727402b66300fp-4, -0x1.722a6aea0b477p-4, -0x1.71d8b3dd73bfbp-4, -0x1.717ec11cba544p-4, -0x1.711c7656d9cdbp-4, -0x1.70b1b7b00a74fp-4, -0x1.703e6a0e3b2fcp-4, -0x1.6fc2735e252b6p-4, -0x1.6f3dbacffd748p-4, -0x1.6eb0290b343c1p-4, -0x1.6e19a8591b6e4p-4, -0x1.6d7a24c6b06c4p-4, -0x1.6cd18c3e170e4p-4, -0x1.6c1fce9887706p-4, -0x1.6b64dda9a150dp-4, -0x1.6aa0ad45238ecp-4, -0x1.69d333400dbbp-4, -0x1.68fc676e23152p-4, -0x1.681c439caff45p-4, -0x1.6732c38b4ff61p-4, -0x1.663fe4e35ad6dp-4, -0x1.6543a72e6e876p-4, -0x1.643e0bcc7a3ebp-4, -0x1.632f15e98494ep-4, -0x1.6216ca735e44ap-4, -0x1.60f5300f51951p-4, -0x1.5fca4f0fdb163p-4, -0x1.5e96316a6d45cp-4, -0x1.5d58e2ad36aacp-4, -0x1.5c126ff4e958dp-4, -0x1.5ac2e7e2778bcp-4, -0x1.596a5a90c33e4p-4, -0x1.5808d98a3ecc7p-4, -0x1.569e77be7d0d6p-4, -0x1.552b4977b7384p-4, -0x1.53af645050d9dp-4, -0x1.522adf2860e4dp-4, -0x1.509dd21b52271p-4, -0x1.4f085675a2e2dp-4, -0x1.4d6a86aadb78p-4, -0x1.4bc47e4bc3541p-4, -0x1.4a1659fce6fbap-4, -0x1.4860376d7d13dp-4, -0x1.46a2354eae491p-4, -0x1.44dc734b4fea5p-4, -0x1.430f12000d2b2p-4, -0x1.413a32f400d01p-4, -0x1.3f5df891be0a2p-4, -0x1.3d7a8620bb4e8p-4, -0x1.3b8fffbf17c8dp-4, -0x1.399e8a5ba9a14p-4, -0x1.37a64bb0478c9p-4, -0x1.35a76a3c382ecp-4, -0x1.33a20d3eb341bp-4, -0x1.31965cb15fec6p-4, -0x1.2f848142bfbedp-4, -0x1.2d6ca4506ae3bp-4, -0x1.2b4eefe110269p-4, -0x1.292b8e9e26deep-4, -0x1.2702abcd3febfp-4, -0x1.24d47348ee8b4p-4, -0x1.22a1117938809p-4, -0x1.2068b34b89b04p-4, -0x1.1e2b862a255e1p-4, -0x1.1be9b7f3115e8p-4, -0x1.19a376ee80dbbp-4, -0x1.1758f1c4bdap-4, -0x1.150a577399391p-4, -0x1.12b7d7436f19p-4, -0x1.1061a0bbc6a9cp-4, -0x1.0e07e3979c5cfp-4, -0x1.0baacfb969a36p-4, -0x1.094a951ef76abp-4, -0x1.06e763d51365fp-4, -0x1.04816beb35af1p-4, -0x1.0218dd672d16dp-4, -0x1.ff5bd071cfe9fp-5, -0x1.fa81785cd07ecp-5, -0x1.f5a311cfec839p-5, -0x1.f0c0fb994f8d8p-5, -0x1.ebdb93fe85777p-5, -0x1.e6f338a71e066p-5, -0x1.e208468845717p-5, -0x1.dd1b19d15fdd7p-5, -0x1.d82c0dd9bdf8cp-5, -0x1.d33b7d0f7057fp-5, -0x1.ce49c0e74589p-5, -0x1.c95731cdf00d7p-5, -0x1.c464271a5aea5p-5, -0x1.bf70f70121e5dp-5, -0x1.ba7df6892a48p-5, -0x1.b58b798153acbp-5, -0x1.b099d2772d32ep-5, -0x1.aba952aeaf092p-5, -0x1.a6ba4a1ad6ea8p-5, -0x1.a1cd07572c792p-5, -0x1.9ce1d7a20afafp-5, -0x1.97f906d7a8bb4p-5, -0x1.9312df6dcc3bfp-5, -0x1.8e2faa7016ef3p-5, -0x1.894faf7ce46b9p-5, -0x1.847334c29f7e9p-5, -0x1.7f9a7efd8997fp-5, -0x1.7ac5d175e45f8p-5, -0x1.75f56dfe73f55p-5, -0x1.712994f34fa74p-5, -0x1.6c628538f147fp-5, -0x1.67a07c3b89d5bp-5, -0x1.62e3b5ee85fb2p-5, -0x1.5e2c6ccc453a8p-5, -0x1.597ad9d5faf72p-5, -0x1.54cf3493bc2e5p-5, -0x1.5029b314ac809p-5, -0x1.4b8a89ef54bf4p-5, -0x1.46f1ec4215fa2p-5, -0x1.42600bb3c2e6ep-5, -0x1.3dd51874567c5p-5, -0x1.3951413dcd62fp-5, -0x1.34d4b3551f69ep-5, -0x1.305f9a8b5d39ap-5, -0x1.2bf2213eeebecp-5, -0x1.278c705cf8499p-5, -0x1.232eaf62e00b2p-5, -0x1.1ed9045ffdcc2p-5, -0x1.1a8b93f770fcdp-5, -0x1.164681621b5ccp-5, -0x1.1209ee70c79d7p-5, -0x1.0dd5fb8e776d2p-5, -0x1.09aac7c2db05cp-5, -0x1.058870b4f4b7bp-5, -0x1.016f12addffccp-5, -0x1.fabd9137993d1p-6, -0x1.f2af582a3476ap-6, -0x1.eab3aab73d6edp-6, -0x1.e2cab6c02f373p-6, -0x1.daf4a78b82325p-6, -0x1.d331a5cc1f12p-6, -0x1.cb81d7a925929p-6, -0x1.c3e560c5f3f38p-6, -0x1.bc5c624a6fe15p-6, -0x1.b4e6faeb9509ep-6, -0x1.ad8546f43a93fp-6, -0x1.a637604e13b25p-6, -0x1.9efd5e8ae2e25p-6, -0x1.97d756ede13bfp-6, -0x1.90c55c754d2abp-6, -0x1.89c77fe429p-6, -0x1.82ddcfcc165f6p-6, -0x1.7c08589757aacp-6, -0x1.75472492ee485p-6, -0x1.6e9a3bf8ce05p-6, -0x1.6801a4fa2b342p-6, -0x1.617d63c9d579ep-6, -0x1.5b0d7aa6a3792p-6, -0x1.54b1e9e5ebe02p-6, -0x1.4e6aaffe00913p-6, -0x1.4837c990b3a63p-6, -0x1.42193175da56dp-6, -0x1.3c0ee0c5d79cdp-6, -0x1.36182222b0d1ap-6, -0x1.3036594a13a1p-6, -0x1.2a68b86aef883p-6, -0x1.24af31fe73b7dp-6, -0x1.1f09b6f42bd12p-6, -0x1.197836bc415b3p-6, -0x1.13fa9f51ad08cp-6, -0x1.0e90dd445c07bp-6, -0x1.093adbc3419cap-6, -0x1.03f884a6588edp-6, -0x1.fd9380f127616p-7, -0x1.f35ced0372992p-7, -0x1.e94d19a05f934p-7, -0x1.df63d0855c575p-7, -0x1.d5a0d923d21b6p-7, -0x1.cc03f8b4333a9p-7, -0x1.c28cf248f9af9p-7, -0x1.b93b86e175b61p-7, -0x1.b00f757c72332p-7, -0x1.a7087b2ac4015p-7, -0x1.9e2653218ea5dp-7, -0x1.9568b6cc8bd5ep-7, -0x1.8ccf5de00f6e4p-7, -0x1.8459fe6aef459p-7, -0x1.7c084ce84d6fap-7, -0x1.73d9fc5134106p-7, -0x1.6bcebe2e0f66fp-7, -0x1.63e642a7ff08cp-7, -0x1.5c20389a10987p-7, -0x1.547c4da243988p-7, -0x1.4cfa2e327f2c5p-7, -0x1.459985a145d66p-7, -0x1.3e59fe3a6523p-7, -0x1.373b414f66f91p-7, -0x1.303cf747e3653p-7, -0x1.295ec7b1b61abp-7, -0x1.22a05950f9688p-7, -0x1.1c01522fe2805p-7, -0x1.158157ae706bbp-7, -0x1.0f200e91eb042p-7, -0x1.08dd1b143865ep-7, -0x1.02b820f2f332cp-7, -0x1.f96186fcc44bp-8, -0x1.ed8d4b504a1e3p-8, -0x1.e1f2d4236d84ap-8, -0x1.d691663551d2ep-8, -0x1.cb6845dd54c1ep-8, -0x1.c076b726836cep-8, -0x1.b5bbfdeaa57a7p-8, -0x1.ab375dec7b5adp-8, -0x1.a0e81af1b39fap-8, -0x1.96cd78dc07dfap-8, -0x1.8ce6bbc1c8ec2p-8, -0x1.83332805c8e61p-8, -0x1.79b2026e879bap-8, -0x1.7062903cb333p-8, -0x1.67441740e45cfp-8, -0x1.5e55ddf0a301bp-8, -0x1.55972b7a9b7b9p-8, -0x1.4d0747da161a8p-8, -0x1.44a57be9979c1p-8, -0x1.3c711174b428bp-8, -0x1.3469534914d7bp-8, -0x1.2c8d8d469c94ap-8, -0x1.24dd0c6ec7fccp-8, -0x1.1d571ef32a16p-8, -0x1.15fb14431c1b9p-8, -0x1.0ec83d188f7dfp-8, -0x1.07bdeb841d624p-8, -0x1.00db72f83a05p-8, -0x1.f44050a73c97bp-9, -0x1.e716c3d5df5ddp-9, -0x1.da38ef234485p-9, -0x1.cda58544226dbp-9, -0x1.c15b3c0a0f961p-9, -0x1.b558cc70b9edep-9, -0x1.a99cf2aa2708ap-9, -0x1.9e266e299f29p-9, -0x1.92f401ad47182p-9, -0x1.88047346a112ep-9, -0x1.7d568c620fd36p-9, -0x1.72e919cd30edbp-9, -0x1.68baebbc53be3p-9, -0x1.5ecad5cf116a3p-9, -0x1.5517af1408c35p-9, -0x1.4ba0520bdb547p-9, -0x1.42639cab6ef77p-9, -0x1.3960705dab209p-9, -0x1.3095b204678f4p-9, -0x1.280249f8f2d9ap-9, -0x1.1fa5240c43f68p-9, -0x1.177d2f867171bp-9, -0x1.0f895f260f4a9p-9, -0x1.07c8a91eee129p-9, -0x1.003a0718c7779p-9, -0x1.f1b8ec5b0e545p-10, -0x1.e35dedcebed25p-10, -0x1.d5611a7d4060ap-10, -0x1.c7c0812ecdfe7p-10, -0x1.ba7a377e348afp-10, -0x1.ad8c59d3860f7p-10, -0x1.a0f50b5e8bbcdp-10, -0x1.94b27610ea382p-10, -0x1.88c2ca9824217p-10, -0x1.7d24405719fecp-10, -0x1.71d5155fe67adp-10, -0x1.66d38e6cea58bp-10, -0x1.5c1df6d9fb4edp-10, -0x1.51b2a09d3f90ap-10, -0x1.478fe44028df2p-10, -0x1.3db420d77485dp-10, -0x1.341dbbfbcc586p-10, -0x1.2acb21c1b80cep-10, -0x1.21bac4b1660d2p-10, -0x1.18eb1dbe4e00ep-10, -0x1.105aac3e607fep-10, -0x1.0807f5e13483cp-10, -0x1.ffe30d4d6a595p-11, -0x1.f02be1ab4c677p-11, -0x1.e0e799e3b474cp-11, -0x1.d2137363fcba8p-11, -0x1.c3acb7eaa1731p-11, -0x1.b5b0bd71a9953p-11, -0x1.a81ce618a9c76p-11, -0x1.9aeea00df9bc8p-11, -0x1.8e2365773b0c7p-11, -0x1.81b8bc5a07021p-11, -0x1.75ac36823a2bcp-11, -0x1.69fb716981eddp-11, -0x1.5ea4161d377cap-11, -0x1.53a3d923e0c3bp-11, -0x1.48f87a623fcf3p-11, -0x1.3e9fc4ff1938fp-11, -0x1.34978f47b69b5p-11, -0x1.2addba9293f82p-11, -0x1.2170332221d61p-11, -0x1.184cf006d4cd6p-11, -0x1.0f71f300f3c72p-11, -0x1.06dd4861a16dbp-11, -0x1.fd1a0dd7369cp-12, -0x1.ecfe9f6722c72p-12, -0x1.dd649bffa1dc6p-12, -0x1.ce486e51807e4p-12, -0x1.bfa694ed688ffp-12, -0x1.b17ba20391da2p-12, -0x1.a3c43b208ebdbp-12, -0x1.967d18ea154c8p-12, -0x1.89a306db4a48bp-12, -0x1.7d32e300cf572p-12, -0x1.71299db43fba8p-12, -0x1.6584395731353p-12, -0x1.5a3fca0f2a5d8p-12, -0x1.4f59757fd1a15p-12, -0x1.44ce72861e58p-12, -0x1.3a9c08f2e90dbp-12, -0x1.30bf914590f84p-12, -0x1.273674673d408p-12, -0x1.1dfe2b6524ca9p-12, -0x1.15143f2bbb3a9p-12, -0x1.0c764841d8918p-12, -0x1.0421ee8407f8dp-12, -0x1.f829d1c040d31p-13, -0x1.e899fa222ed8bp-13, -0x1.d98ffeb5401ep-13, -0x1.cb07a48f30596p-13, -0x1.bcfcccc908e97p-13, -0x1.af6b73fc6ce36p-13, -0x1.a24fb1bf050bfp-13, -0x1.95a5b81e7b077p-13, -0x1.8969d31e7a736p-13, -0x1.7d986836ced2fp-13, -0x1.722df5d39fb7ap-13, -0x1.672712d593b0dp-13, -0x1.5c806e1475725p-13, -0x1.5236cde21d6f9p-13, -0x1.48470f8ef630dp-13, -0x1.3eae26efd7d5p-13, -0x1.35691de515d2cp-13, -0x1.2c7513e352af2p-13, -0x1.23cf3d7c02a48p-13, -0x1.1b74e3eaa8da4p-13, -0x1.136364a027eb2p-13, -0x1.0b9830d1340f4p-13, -0x1.0410cd06033afp-13, -0x1.f995a15486fdap-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.7b684311b08fp-2, 0x1.87aa9f9aefd8p-2, 0x1.933982afd7c8ap-2, 0x1.9e17113566ab6p-2, 0x1.a845ce864c427p-2, 0x1.b1c8b3d6ec187p-2, 0x1.baa2fb0a2acddp-2, 0x1.c2d81abd64a76p-2, 0x1.ca6bfc607bae6p-2, 0x1.d1628552a6b1ap-2, 0x1.d7bfcb0793ba9p-2, 0x1.dd88456e8cc8p-2, 0x1.e2c059d8e4b1bp-2, 0x1.e76c705fcf48dp-2, 0x1.eb913e5454357p-2, 0x1.ef33817f8e6fap-2, 0x1.f257cc746e78dp-2, 0x1.f502c11648f67p-2, 0x1.f7392bc493e41p-2, 0x1.f8ffce7ea405cp-2, 0x1.fa5b42366268cp-2, 0x1.fb5019e5d4467p-2, 0x1.fbe2e3c8f44acp-2, 0x1.fc18255fd8878p-2, 0x1.fbf4430487b5cp-2, 0x1.fb7b8de414e78p-2, 0x1.fab243b6aa4fep-2, 0x1.f99c8b0783132p-2, 0x1.f83e6fa1b457ep-2, 0x1.f69be09bcedacp-2, 0x1.f4b8af8f20a2dp-2, 0x1.f298904e45ff5p-2, 0x1.f03f18d84298ap-2, 0x1.edafc198817b5p-2, 0x1.eaede5dd5f9d9p-2, 0x1.e7fcc4096050bp-2, 0x1.e4df7d27d8e6bp-2, 0x1.e1991458737fap-2, 0x1.de2c6f091404p-2, 0x1.da9c5673dbfc3p-2, 0x1.d6eb79b949b2p-2, 0x1.d31c6f50d43cbp-2, 0x1.cf31b5066026dp-2, 0x1.cb2daed8d8944p-2, 0x1.c712a5d4ba06fp-2, 0x1.c2e2c7e716f6ep-2, 0x1.bea028dcec781p-2, 0x1.ba4cc3f9be501p-2, 0x1.b5ea7d5007d5fp-2, 0x1.b17b225f420ecp-2, 0x1.ad006a142ee26p-2, 0x1.a87bf4ace3499p-2, 0x1.a3ef4bfc2e998p-2, 0x1.9f5be43847e5p-2, 0x1.9ac31d325c1e8p-2, 0x1.962643b8612eap-2, 0x1.918692f1dd55bp-2, 0x1.8ce5359cd8176p-2, 0x1.884347118957cp-2, 0x1.83a1d3ea36aacp-2, 0x1.7f01da32af87ep-2, 0x1.7a6449254c77ep-2, 0x1.75ca00acaf283p-2, 0x1.7133e54c213dp-2, 0x1.6ca282b2de522p-2, 0x1.6816a88b7032ap-2, 0x1.6390fe4b1bd97p-2, 0x1.5f121ef78294cp-2, 0x1.5a9a99bd910fcp-2, 0x1.562af290d25dbp-2, 0x1.51c3a2c69255fp-2, 0x1.4d6519a3df643p-2, 0x1.490fbcdac7da2p-2, 0x1.44c3e8f8264a6p-2, 0x1.4081f1c670751p-2, 0x1.3c4a22ab302c2p-2, 0x1.381cbf04380c4p-2, 0x1.33fa0287d73a5p-2, 0x1.2fe221a90665dp-2, 0x1.2bd549fe322d4p-2, 0x1.27d3a2a7bc0fep-2, 0x1.23dd4cb30fb8fp-2, 0x1.1ff263781be3ap-2, 0x1.1c12fcf0c54b1p-2, 0x1.183f2a0b85cp-2, 0x1.1476f6fb277e3p-2, 0x1.10ba6b852d6b5p-2, 0x1.0d098b4f7d562p-2, 0x1.0964562c8ab46p-2, 0x1.05cac8649d9fp-2, 0x1.023cdafa94af5p-2, 0x1.fd7507d5fd28cp-3, 0x1.f6876cca2dab9p-3, 0x1.efb0c5fbafcc6p-3, 0x1.e8f0efbbbae1dp-3, 0x1.e247c1d64c7c4p-3, 0x1.dbb50fe00e055p-3, 0x1.d538a9817d528p-3, 0x1.ced25ac2475bdp-3, 0x1.c881ec577195ap-3, 0x1.c24723f5e3ea5p-3, 0x1.bc21c4a99b73bp-3, 0x1.b6118f301647cp-3, 0x1.b016425306842p-3, 0x1.aa2f9b3f6d485p-3, 0x1.a45d55d54f014p-3, 0x1.9e9f2cecf4d16p-3, 0x1.98f4da9073dcdp-3, 0x1.935e182a002ep-3, 0x1.8dda9ea93d444p-3, 0x1.886a26a2cc68dp-3, 0x1.830c686d7f9a1p-3, 0x1.7dc11c3feb76cp-3, 0x1.7887fa500ff63p-3, 0x1.7360baf5484efp-3, 0x1.6e4b16cbb7bc6p-3, 0x1.6946c6d7977b2p-3, 0x1.645384a694abcp-3, 0x1.5f710a6d9c4b9p-3, 0x1.5a9f13220f23ep-3, 0x1.55dd5a8dd5589p-3, 0x1.512b9d5e75a67p-3, 0x1.4c89992fad397p-3, 0x1.47f70c92542b4p-3, 0x1.4373b7105abdap-3, 0x1.3eff592ea99e9p-3, 0x1.3a99b46daa3efp-3, 0x1.36428b4903f95p-3, 0x1.31f9a13720ec4p-3, 0x1.2dbebaa8fd99dp-3, 0x1.29919d0aa168ep-3, 0x1.25720ec4b7aa2p-3, 0x1.215fd73f7c24p-3, 0x1.1d5abee72aa62p-3, 0x1.19628f31f6ebp-3, 0x1.157712a74f353p-3, 0x1.119814e80aa8fp-3, 0x1.0dc562b70bc17p-3, 0x1.09feca018f361p-3, 0x1.064419e6a35e4p-3, 0x1.029522bcf2564p-3, 0x1.fde36c2cfa8p-4, 0x1.f6b34d837283cp-4, 0x1.ef99918ff791cp-4, 0x1.e895e2d24ab17p-4, 0x1.e1a7ee29882c9p-4, 0x1.dacf62c23d468p-4, 0x1.d40b3f5275679p-4, 0x1.cd5c9e99265bdp-4, 0x1.c6c284e43ce38p-4, 0x1.c03ca8fad0c2cp-4, 0x1.b9cac38471075p-4, 0x1.b36c8f0056793p-4, 0x1.ad21c7bc5a3b9p-4, 0x1.a6ea2bcb8f303p-4, 0x1.a0c57afc576ap-4, 0x1.9ab376ce0584p-4, 0x1.94b3e265ff7b1p-4, 0x1.8ec682845254ap-4, 0x1.88eb1d77f47eep-4, 0x1.83217b12a84fcp-4, 0x1.7d69649caa722p-4, 0x1.77c2a4c84aaeap-4, 0x1.722d07a5853c9p-4, 0x1.6ca85a95b918bp-4, 0x1.67346c3f91079p-4, 0x1.61d10c832c18dp-4, 0x1.5c7e0c6e900ep-4, 0x1.573b3e3268484p-4, 0x1.52087517121dbp-4, 0x1.4ce58571efb9ep-4, 0x1.47d2449b00a9p-4, 0x1.42ce88e2b5d93p-4, 0x1.3dda2988016b9p-4, 0x1.38f4feae9cb54p-4, 0x1.341ee15583e76p-4, 0x1.2f57ab4daca7p-4, 0x1.2a9f3730f468cp-4, 0x1.25f560594fe48p-4, 0x1.215a02d83d34bp-4, 0x1.1cccfb6e7bfb4p-4, 0x1.184e27841076cp-4, 0x1.13dd65208f3fep-4, 0x1.0f7a92e3b5609p-4, 0x1.0b258ffe4b5cap-4, 0x1.06de3c2b4c7bap-4, 0x1.02a477a954722p-4, 0x1.fcf046689c42ep-5, 0x1.f4b23ffeb925cp-5, 0x1.ec8e9f5dfe776p-5, 0x1.e48528a6d5021p-5, 0x1.dc95a0c62ab9p-5, 0x1.d4bfcd6ae97cbp-5, 0x1.cd0374fbd7128p-5, 0x1.c5605e8dcb4fap-5, 0x1.bdd651da47badp-5, 0x1.b66517366f94ep-5, 0x1.af0c778a5e874p-5, 0x1.a7cc3c48db80ep-5, 0x1.a0a42f67746d3p-5, 0x1.99941b56f348cp-5, 0x1.929bcafc388b1p-5, 0x1.8bbb09a9748f6p-5, 0x1.84f1a317ba5c6p-5, 0x1.7e3f6360f16aep-5, 0x1.77a416fa1da01p-5, 0x1.711f8aadf943p-5, 0x1.6ab18b97df2ap-5, 0x1.6459e71f0412bp-5, 0x1.5e186af1f32d7p-5, 0x1.57ece5024f45p-5, 0x1.51d72380d8dc2p-5, 0x1.4bd6f4d9ada56p-5, 0x1.45ec27b0c2622p-5, 0x1.40168ade9675fp-5, 0x1.3a55ed6d1f6b5p-5, 0x1.34aa1e94e2e9dp-5, 0x1.2f12edba4b6e3p-5, 0x1.29902a6b27ef5p-5, 0x1.2421a45c61b28p-5, 0x1.1ec72b67dd661p-5, 0x1.19808f8a904f2p-5, 0x1.144da0e2c0bep-5, 0x1.0f2e2fae73e5ep-5, 0x1.0a220c4a0d50bp-5, 0x1.0529072f14acdp-5, 0x1.0042f0f32c82dp-5, 0x1.f6df348e5d21bp-6, 0x1.ed5da7ecede36p-6, 0x1.e400ddcca86a7p-6, 0x1.dac8782b3f2a9p-6, 0x1.d1b41938f437bp-6, 0x1.c8c3635863176p-6, 0x1.bff5f91e89e65p-6, 0x1.b74b7d5317747p-6, 0x1.aec392f0f6997p-6, 0x1.a65ddd2718de2p-6, 0x1.9e19ff597484ap-6, 0x1.95f79d223c43ep-6, 0x1.8df65a5341f09p-6, 0x1.8615daf781f5ap-6, 0x1.7e55c354e177ep-6, 0x1.76b5b7ee089eep-6, 0x1.6f355d845d3cap-6, 0x1.67d4591a1dd3fp-6, 0x1.60924ff493233p-6, 0x1.596ee79e599c4p-6, 0x1.5269c5e9b786ep-6, 0x1.4b8290f30bc41p-6, 0x1.44b8ef23417e6p-6, 0x1.3e0c873256267p-6, 0x1.377d0029e0d72p-6, 0x1.310a0167a5b09p-6, 0x1.2ab332a02f886p-6, 0x1.24783be16560fp-6, 0x1.1e58c595322cap-6, 0x1.185478841af92p-6, 0x1.126afdd7ec53dp-6, 0x1.0c9bff1e50751p-6, 0x1.06e7264b7b3c8p-6, 0x1.014c1dbcc4951p-6, 0x1.f79520768e24cp-7, 0x1.ecc451fd085e2p-7, 0x1.e225275de846p-7, 0x1.d7b6f8d13dbe9p-7, 0x1.cd791f7b57c91p-7, 0x1.c36af571e7029p-7, 0x1.b98bd5c0e504fp-7, 0x1.afdb1c6fb57b8p-7, 0x1.a6582685ea54cp-7, 0x1.9d0252102f5cp-7, 0x1.93d8fe24feefep-7, 0x1.8adb8ae94faf8p-7, 0x1.820959951d8fep-7, 0x1.7961cc77ea801p-7, 0x1.70e446fd0991ap-7, 0x1.68902dafe8b9bp-7, 0x1.6064e6402245bp-7, 0x1.5861d785803dep-7, 0x1.50866983d6f6fp-7, 0x1.48d2056eb83c1p-7, 0x1.414415ad16d92p-7, 0x1.39dc05dca920ap-7, 0x1.329942d546174p-7, 0x1.2b7b3aac09a0dp-7, 0x1.24815cb65a228p-7, 0x1.1dab198cd127p-7, 0x1.16f7e30df014bp-7, 0x1.10672c60bdf22p-7, 0x1.09f869f73bef1p-7, 0x1.03ab1190ae703p-7, 0x1.fafd3477a905ap-8, 0x1.eee4f8b1c9d2fp-8, 0x1.e30c6336ec5f1p-8, 0x1.d7726a187d8a1p-8, 0x1.cc16061564664p-8, 0x1.c0f6329cf059dp-8, 0x1.b611edd19d078p-8, 0x1.ab68388b5aee5p-8, 0x1.a0f81659d7792p-8, 0x1.96c08d8646642p-8, 0x1.8cc0a7150d4c7p-8, 0x1.82f76ec72850ep-8, 0x1.7963f31b3ec2dp-8, 0x1.7005454e7520fp-8, 0x1.66da795d201cp-8, 0x1.5de2a6031f397p-8, 0x1.551ce4bbee46bp-8, 0x1.4c8851c2942dfp-8, 0x1.44240c114f14cp-8, 0x1.3bef3560fbcd1p-8, 0x1.33e8f2284f646p-8, 0x1.2c10699acc955p-8, 0x1.2464c5a79f0bep-8, 0x1.1ce532f80c8b6p-8, 0x1.1590e7b518198p-8, 0x1.0e6708df193d3p-8, 0x1.0766d1824b50dp-8, 0x1.008f79201f5bbp-8, 0x1.f3c073d40a569p-9, 0x1.e6b0a17da105ap-9, 0x1.d9edfa4fff395p-9, 0x1.cd7702ad98f11p-9, 0x1.c14a444230547p-9, 0x1.b5664dfc6952dp-9, 0x1.a9c9b40717744p-9, 0x1.9e730fc234696p-9, 0x1.9360ffbb993dbp-9, 0x1.889227a78e729p-9, 0x1.7e053058d19cep-9, 0x1.73b8c7b8b4e89p-9, 0x1.69aba0bee3698p-9, 0x1.5fdc7368d69bfp-9, 0x1.5649fcb13680cp-9, 0x1.4cf2fe86f3eb8p-9, 0x1.43d63fc43536dp-9, 0x1.3af28c251b915p-9, 0x1.3246b43e430bap-9, 0x1.29d18d7350b9fp-9, 0x1.2191f1ed022b1p-9, 0x1.1986c08f5364cp-9, 0x1.11aedcef7ce73p-9, 0x1.0a092f49a911ep-9, 0x1.0294a476bdcdp-9, 0x1.f6a05bc367d5fp-10, 0x1.e87582fa7512dp-10, 0x1.daa6b371ad6fbp-10, 0x1.cd31eaec3d66cp-10, 0x1.c0152ffbad78cp-10, 0x1.b34e91e9e38d2p-10, 0x1.a6dc28a2b17a3p-10, 0x1.9abc149db6decp-10, 0x1.8eec7ec793576p-10, 0x1.836b986b4b5e8p-10, 0x1.78379b1b3b74cp-10, 0x1.6d4ec89a58f9cp-10, 0x1.62af6ac4f189ep-10, 0x1.5857d3792b4f9p-10, 0x1.4e465c7fe086ep-10, 0x1.44796775094ap-10, 0x1.3aef5db02c1f5p-10, 0x1.31a6b02ca83f6p-10, 0x1.289dd771ffdabp-10, 0x1.1fd3537bd810fp-10, 0x1.1745aba28905p-10, 0x1.0ef36e829d79dp-10, 0x1.06db31e52dfbap-10, 0x1.fdf7254fa3475p-11, 0x1.eea6694915639p-11, 0x1.dfc1853370e01p-11, 0x1.d145dc244b5ffp-11, 0x1.c330de997b508p-11, 0x1.b5800a49837a2p-11, 0x1.a830e9f33a6efp-11, 0x1.9b41152deeb99p-11, 0x1.8eae303974c0bp-11, 0x1.8275ebce99c5fp-11, 0x1.769604eefeac2p-11, 0x1.6b0c44b5ce105p-11, 0x1.5fd68028b4243p-11, 0x1.54f2980805901p-11, 0x1.4a5e78a0281ddp-11, 0x1.4018199ad5559p-11, 0x1.361d7dd04adc6p-11, 0x1.2c6cb31927fdbp-11, 0x1.2303d220463fep-11, 0x1.19e0fe353eafap-11, 0x1.1102651e858f4p-11, 0x1.08663eecce562p-11, 0x1.000acdcdfa97bp-11, 0x1.efdcbbc0cda3p-12, 0x1.e01e8a0ecad3ep-12, 0x1.d0d7c57e4ea1fp-12, 0x1.c2053fe31586ap-12, 0x1.b3a3dd96f3e2fp-12, 0x1.a5b09523c015p-12, 0x1.98286ef00d21cp-12, 0x1.8b0884ebca58cp-12, 0x1.7e4e023dce0e2p-12, 0x1.71f622f29a3c1p-12, 0x1.65fe33ab7233fp-12, 0x1.5a63914f3f486p-12, 0x1.4f23a8bc1ba5cp-12, 0x1.443bf678c0588p-12, 0x1.39aa066986745p-12, 0x1.2f6b7382dd771p-12, 0x1.257de77f63a91p-12, 0x1.1bdf1a96955d3p-12, 0x1.128cd333a204bp-12, 0x1.0984e5add0485p-12, 0x1.00c53401d05f1p-12, 0x1.f0975b17a665fp-13, 0x1.e02c9d85f0807p-13, 0x1.d04641ebd348ap-13, 0x1.c0e0740eb5cfap-13, 0x1.b1f77859d5d7p-13, 0x1.a387ab5b9dc72p-13, 0x1.958d8146f3902p-13, 0x1.88058575aef9bp-13, 0x1.7aec59ec85bfdp-13, 0x1.6e3eb6dfe9facp-13, 0x1.61f96a3ee10c2p-13, 0x1.5619573a5406fp-13, 0x1.4a9b75d1f66f7p-13, 0x1.3f7cd26218f7cp-13, 0x1.34ba8d3326475p-13, 0x1.2a51da0a327a1p-13, 0x1.203fffbc699d1p-13, 0x1.168257c51b667p-13, 0x1.0d164dda37e93p-13, 0x1.03f95f8660d32p-13, 0x1.f65237838f0c7p-14, 0x1.e546451e490ffp-14, 0x1.d4ca4930e8ca7p-14, 0x1.c4d9c59b59fa1p-14, 0x1.b5705c0fe5a2p-14, 0x1.a689cd50f87fcp-14, 0x1.9821f87e56425p-14, 0x1.8a34da5edee96p-14, 0x1.7cbe8cae51bdfp-14, 0x1.6fbb456fb53dcp-14, 0x1.63275643b3cb9p-14, 0x1.56ff2bbd644fep-14, 0x1.4b3f4cbeed133p-14, 0x1.3fe459d6f9e79p-14, 0x1.34eb0ca1c1ab6p-14, 0x1.2a50372b23bd9p-14, 0x1.2010c35af6a68p-14, 0x1.1629b256582f4p-14, 0x1.0c981bf196e32p-14, 0x1.03592e1dcabedp-14, 0x1.f4d458b7f1bb7p-15, 0x1.e390de5f36a95p-15, 0x1.d2e2c731afb7bp-15, 0x1.c2c515169e98bp-15, 0x1.b332f0dd066e2p-15, 0x1.a427a93592a36p-15, 0x1.959eb1b9f3eebp-15, 0x1.8793a1f1968a5p-15, 0x1.7a023466864c1p-15, 0x1.6ce645b1812d1p-15, 0x1.603bd394f02f2p-15, 0x1.53fefc1f2d6f2p-15, 0x1.482bfcc262f7dp-15, 0x1.3cbf3181b17e7p-15, 0x1.31b5141ebb484p-15, 0x1.270a3b3ebfdbdp-15, 0x1.1cbb59ac81629p-15, 0x1.12c53d870a72dp-15, 0x1.0924cf8244602p-15, 0x1.ffae245791dd1p-16, 0x1.edb242582a00dp-16, 0x1.dc50612383ea8p-16, 0x1.cb831842ea8ep-16, 0x1.bb452d4c5755cp-16, 0x1.ab91929334d1ep-16, 0x1.9c6365d9f6b1fp-16, 0x1.8db5ef0cc87c1p-16, 0x1.7f849f13d92d5p-16, 0x1.71cb0e882960dp-16, 0x1.6484fc9523fd1p-16, 0x1.57ae4dcfe0349p-16, 0x1.4b430b1a398bfp-16, 0x1.3f3f608814e14p-16, 0x1.339f9c501dcc8p-16, 0x1.28602dc2c68f5p-16, 0x1.1d7da447fbb5cp-16, 0x1.12f4ae5b0edeep-16, 0x1.08c2189f5f621p-16, 0x1.fdc599d2eb6bap-17, 0x1.eaa7a2acae605p-17, 0x1.d8248ed14ae34p-17, 0x1.c636d652a918p-17, 0x1.b4d92496cb3cbp-17, 0x1.a40656db4b53ap-17, 0x1.93b97a5f4af44p-17, 0x1.83edcaf832168p-17, 0x1.749eb18be8996p-17, 0x1.65c7c29134155p-17, 0x1.5764bca0a6fe7p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9c2748e01ede4p-1, -0x1.a4e404a256de6p-1, -0x1.ac2639c5e332ep-1, -0x1.b1f25aa0d3434p-1, -0x1.b64fc8029d0fap-1, -0x1.b9481ddba88b7p-1, -0x1.bae703caa4bfbp-1, -0x1.bb39b7d2485b7p-1, -0x1.ba4ecb667e909p-1, -0x1.b835c8841ab45p-1, -0x1.b4fec8bc89025p-1, -0x1.b0ba4f4385afp-1, -0x1.ab7934bcc4189p-1, -0x1.a54c96796171fp-1, -0x1.9e45bb1283056p-1, -0x1.9675d53ebf5edp-1, -0x1.8dedc139267b6p-1, -0x1.84bdea60635c6p-1, -0x1.7af65dc2b0b59p-1, -0x1.70a6dd2d12db8p-1, -0x1.65dec3c01a827p-1, -0x1.5aac310c3669bp-1, -0x1.4f1d9f27f1888p-1, -0x1.434029645f8c2p-1, -0x1.37209ae5c5c9cp-1, -0x1.2acb301991928p-1, -0x1.1e4b76e7d5e91p-1, -0x1.11ac3f2736cb1p-1, -0x1.04f7a2efcd27p-1, -0x1.f06e31f6698b9p-2, -0x1.d6e701b565903p-2, -0x1.bd6a48b10fc0cp-2, -0x1.a4076827ef987p-2, -0x1.8acc8db2273bap-2, -0x1.71c6bc20140a5p-2, -0x1.5901d9e2bb765p-2, -0x1.4088beecbfee8p-2, -0x1.28653fbbeebe7p-2, -0x1.10a0369a2573ep-2, -0x1.f28319a260758p-3, -0x1.c4a0896ffa8a2p-3, -0x1.97a509a705762p-3, -0x1.6b9b4832bc689p-3, -0x1.408c6e9440dc1p-3, -0x1.16803e5a75802p-3, -0x1.dafa5d87820b3p-4, -0x1.8b1116095b147p-4, -0x1.3d4d2153a3ec2p-4, -0x1.e36a346ab15f2p-5, -0x1.509be220d1242p-5, -0x1.846c61440a2f5p-6, -0x1.c1ea4577619bfp-8, 0x1.353509a16dc3ep-7, 0x1.9cd4bc074e26ap-6, 0x1.4b1d69e20844ep-5, 0x1.c36c25f5c201p-5, 0x1.1baf4b9111383p-4, 0x1.537f717a6efd5p-4, 0x1.892c928f87a5cp-4, 0x1.bcbda0a5bf7fbp-4, 0x1.ee3a59560b629p-4, 0x1.0ed596811d446p-3, 0x1.258c92e2a987ep-3, 0x1.3b492bfe4dfcap-3, 0x1.500be9506bc88p-3, 0x1.63dbeed417eccp-3, 0x1.76be895216137p-3, 0x1.88b92819e68bdp-3, 0x1.99d1521d36bb1p-3, 0x1.aa0c9e0315a47p-3, 0x1.b970ad20676f4p-3, 0x1.c80328bdf25d8p-3, 0x1.d5c9c0c5f36fap-3, 0x1.e2ca2addc2bf7p-3, 0x1.ef0a210fd2b54p-3, 0x1.fa8f5f724f4abp-3, 0x1.02afd04a14c2bp-2, 0x1.07c04c6b02544p-2, 0x1.0c7bf88d40f7ap-2, 0x1.10e5a0ae73e11p-2, 0x1.150005de5a217p-2, 0x1.18cddc37947dap-2, 0x1.1c51c96caa749p-2, 0x1.1f8e63f145d3bp-2, 0x1.228632b15da31p-2, 0x1.253bad38991b8p-2, 0x1.27b13c250172cp-2, 0x1.29e939c0849a6p-2, 0x1.2be5f2a2acf08p-2, 0x1.2da9a64439bf6p-2, 0x1.2f368776134ffp-2, 0x1.308ebcb2c668fp-2, 0x1.31b460451ba38p-2, 0x1.32a9804095792p-2, 0x1.33701e4b0340cp-2, 0x1.340a2f3a1e026p-2, 0x1.34799a8d39db9p-2, 0x1.34c039d0a735p-2, 0x1.34dfd7fcd1408p-2, 0x1.34da30e517c24p-2, 0x1.34b0f0c8da47ep-2, 0x1.3465b4147c0aap-2, 0x1.33fa07591428ap-2, 0x1.336f6779eddf1p-2, 0x1.32c742084c43bp-2, 0x1.3202f5c1b44f5p-2, 0x1.3123d3239a791p-2, 0x1.302b1d08c3e61p-2, 0x1.2f1a0947d7801p-2, 0x1.2df1c14e8132ep-2, 0x1.2cb362b7f2218p-2, 0x1.2b5fffdf95c41p-2, 0x1.29f8a0717fd8p-2, 0x1.287e41f966ad6p-2, 0x1.26f1d86fa2cc8p-2, 0x1.25544ec257a52p-2, 0x1.23a68757e73e4p-2, 0x1.21e95c87b87a4p-2, 0x1.201da106cabe8p-2, 0x1.1e44204697ecp-2, 0x1.1c5d9ec5eee5dp-2, 0x1.1a6ada548bae9p-2, 0x1.186c8a4ae8387p-2, 0x1.16635fb838a5bp-2, 0x1.1450058884d4ap-2, 0x1.123320a4b5cf1p-2, 0x1.100d500e18d2bp-2, 0x1.0ddf2cf6988fdp-2, 0x1.0ba94ad6afaa4p-2, 0x1.096c378209052p-2, 0x1.07287b3ba7fd1p-2, 0x1.04de98ca8e6b3p-2, 0x1.028f0d8fd1748p-2, 0x1.003a519f0fea9p-2, 0x1.fbc1afb44fcf2p-3, 0x1.f7061c21a9f0dp-3, 0x1.f242ba495b291p-3, 0x1.ed78526338f2fp-3, 0x1.e8a7a37553de9p-3, 0x1.e3d163b54295ap-3, 0x1.def640efb77p-3, 0x1.da16e0f4b5fd4p-3, 0x1.d533e2069028p-3, 0x1.d04ddb49be5fep-3, 0x1.cb655d33f47cfp-3, 0x1.c67af1f8d34f2p-3, 0x1.c18f1df2fcd4bp-3, 0x1.bca49d115e1e1p-3, 0x1.b7b613bdf1a75p-3, 0x1.b2c797eab9a1ap-3, 0x1.add9a22c14b5cp-3, 0x1.a8eca5de1c367p-3, 0x1.a4011150df569p-3, 0x1.9f174dfbad16bp-3, 0x1.9a2fc0b60608ep-3, 0x1.954ac9f4acbb3p-3, 0x1.9068c6091b38fp-3, 0x1.8b8a0d61abfc7p-3, 0x1.86aef4c8ce58bp-3, 0x1.81d7cda1d4ebap-3, 0x1.7d04e622143dep-3, 0x1.7836898555ffap-3, 0x1.736d003cf479ap-3, 0x1.6ea8901924d19p-3, 0x1.69e97c6c5e881p-3, 0x1.65300628f54eap-3, 0x1.607c6bf938c43p-3, 0x1.5bceea52addfp-3, 0x1.5727bb84f78c9p-3, 0x1.528717c52820bp-3, 0x1.4ded35364c0abp-3, 0x1.495a47efd6b43p-3, 0x1.44ce8202c11f1p-3, 0x1.404a137dea84ep-3, 0x1.3bcd2a724f9eap-3, 0x1.3757f2f7957ccp-3, 0x1.32ea97312baa1p-3, 0x1.2e853f545f51dp-3, 0x1.2a2811af63cf4p-3, 0x1.25d332b179fd9p-3, 0x1.2186c4f419421p-3, 0x1.1d42e9450fc0fp-3, 0x1.1907beb174cd7p-3, 0x1.14d5629139ad2p-3, 0x1.10abf0933905dp-3, 0x1.0c8b82c986818p-3, 0x1.087431b5d550dp-3, 0x1.04661455cdf74p-3, 0x1.0061402f1f7b1p-3, 0x1.f8cb92b68114ap-4, 0x1.f0e78525579a2p-4, 0x1.e9167a6f40637p-4, 0x1.e15892c07cfdep-4, 0x1.d9adebc01d726p-4, 0x1.d216a0a1d02aep-4, 0x1.ca92ca3676f0cp-4, 0x1.c3227efb9b683p-4, 0x1.bbc5d329d9e7bp-4, 0x1.b47cd8c26b212p-4, 0x1.ad479f9bd0216p-4, 0x1.a626356defd1p-4, 0x1.9f18a5dda4337p-4, 0x1.981efa87f361bp-4, 0x1.91393b0d0e1d6p-4, 0x1.8a676d1b25935p-4, 0x1.83a9947945299p-4, 0x1.7cffb31234931p-4, 0x1.7669c8ff77f74p-4, 0x1.6fe7d49475667p-4, 0x1.6979d269c42bfp-4, 0x1.631fbd68a6e05p-4, 0x1.5cd98ed6ac027p-4, 0x1.56a73e616bc48p-4, 0x1.5088c22a5c5dcp-4, 0x1.4a7e0ed2aecdcp-4, 0x1.448717872793fp-4, 0x1.3ea3ce0be6b0cp-4, 0x1.38d422c811379p-4, 0x1.331804d14f99cp-4, 0x1.2d6f61f7172acp-4, 0x1.27da26cdb36e6p-4, 0x1.22583eb90691cp-4, 0x1.1ce993f6fe127p-4, 0x1.178e0fa9b42eap-4, 0x1.124599e13c038p-4, 0x1.0d1019a51a488p-4, 0x1.07ed74fd69c61p-4, 0x1.02dd90fbad4adp-4, 0x1.fbc0a386ab414p-5, 0x1.f1eb3523fe0f9p-5, 0x1.e83a9b8ed4de8p-5, 0x1.deae99da78e55p-5, 0x1.d546f17d0b435p-5, 0x1.cc03625e39608p-5, 0x1.c2e3aae5a1c92p-5, 0x1.b9e78808f6e4ap-5, 0x1.b10eb559efb55p-5, 0x1.a858ed1409736p-5, 0x1.9fc5e82a302c2p-5, 0x1.97555e544e0c6p-5, 0x1.8f07061ccad55p-5, 0x1.86da94ee06beep-5, 0x1.7ecfbf1fcacb6p-5, 0x1.76e63804b91bcp-5, 0x1.6f1db1f7bb80ep-5, 0x1.6775de696d7a6p-5, 0x1.5fee6ded81486p-5, 0x1.588710481f018p-5, 0x1.513f747b342eap-5, 0x1.4a1748d3b5acfp-5, 0x1.430e3af6c7873p-5, 0x1.3c23f7eecce2p-5, 0x1.35582c38518e1p-5, 0x1.2eaa83ced0c59p-5, 0x1.281aaa394830bp-5, 0x1.21a84a969e3b1p-5, 0x1.1b530fa9ce01cp-5, 0x1.151aa3e5d49f7p-5, 0x1.0efeb17960e6fp-5, 0x1.08fee25a3f8f7p-5, 0x1.031ae0507bbb7p-5, 0x1.faa4aa0279ff9p-6, 0x1.ef49d3f2a35bep-6, 0x1.e424916eeb208p-6, 0x1.d934356c864d7p-6, 0x1.ce7812ebb769ap-6, 0x1.c3ef7d0a7ee2p-6, 0x1.b999c716b4d17p-6, 0x1.af76449f830c7p-6, 0x1.a58449864b663p-6, 0x1.9bc32a0efb97fp-6, 0x1.92323aefc929p-6, 0x1.88d0d160641f2p-6, 0x1.7f9e43289ad52p-6, 0x1.7699e6ae781e5p-6, 0x1.6dc31303da4edp-6, 0x1.65191ff38f1dap-6, 0x1.5c9b660de9d47p-6, 0x1.54493eb4e8e7ap-6, 0x1.4c220427e11d7p-6, 0x1.4425118eb27d3p-6, 0x1.3c51c30495191p-6, 0x1.34a775a271bbap-6, 0x1.2d258788d3d94p-6, 0x1.25cb57e974c3dp-6, 0x1.1e98471059182p-6, 0x1.178bb66c99ba2p-6, 0x1.10a50898bcee4p-6, 0x1.09e3a162b6147p-6, 0x1.0346e5d38a9c5p-6, 0x1.f99c786d28ebap-7, 0x1.ecf21840d645ap-7, 0x1.e08d7ceaf0b03p-7, 0x1.d46d7ae05b3dp-7, 0x1.c890e94dd0a6ep-7, 0x1.bcf6a222f9fedp-7, 0x1.b19d821cd9a5ap-7, 0x1.a68468cf9a0d8p-7, 0x1.9baa38afb0c8fp-7, 0x1.910dd71a63f8ep-7, 0x1.86ae2c5da6d87p-7, 0x1.7c8a23bf6af47p-7, 0x1.72a0ab8449e85p-7, 0x1.68f0b4f599ec7p-7, 0x1.5f793466f5a82p-7, 0x1.5639213b2d6c4p-7, 0x1.4d2f75e8a6107p-7, 0x1.445b2ffd360d1p-7, 0x1.3bbb502179822p-7, 0x1.334eda1b99144p-7, 0x1.2b14d4d19ada2p-7, 0x1.230c4a4b30af4p-7, 0x1.1b3447b30bf15p-7, 0x1.138bdd57bf867p-7, 0x1.0c121eac2d5bbp-7, 0x1.04c5ecbd9156cp-7, 0x1.fb4da1818d662p-8, 0x1.ed675b0ce377ap-8, 0x1.dfd7461b9f23dp-8, 0x1.d29ba8ed3e9c4p-8, 0x1.c5b2cffe57fc8p-8, 0x1.b91b0e03f88fdp-8, 0x1.acd2bbe669473p-8, 0x1.a0d838bb4fedap-8, 0x1.9529e9bf373d4p-8, 0x1.89c63a4e8be88p-8, 0x1.7eab9bde0e95ep-8, 0x1.73d885f2c77aap-8, 0x1.694b76197f3cp-8, 0x1.5f02efddc6193p-8, 0x1.54fd7cc08a367p-8, 0x1.4b39ac2e4da44p-8, 0x1.41b61374fb026p-8, 0x1.38714db95bd86p-8, 0x1.2f69fbec425d9p-8, 0x1.269ec4bf62c1p-8, 0x1.1e0e5499df099p-8, 0x1.15b75d8c9791fp-8, 0x1.0d9897463405bp-8, 0x1.05b0bf06fda4fp-8, 0x1.fbfd2f28f7373p-9, 0x1.ed01d259b9ec2p-9, 0x1.de6d02f483de2p-9, 0x1.d03c670b97141p-9, 0x1.c26daf552e62ap-9, 0x1.b4fe971104a15p-9, 0x1.a7ece3edd2de4p-9, 0x1.9b3665ee6c9dap-9, 0x1.8ed8f74eb6617p-9, 0x1.82d27c6870483p-9, 0x1.7720e397d5e3p-9, 0x1.6bc2252015834p-9, 0x1.60b4430fa5c19p-9, 0x1.55f54924793dap-9, 0x1.4b834cb025fb6p-9, 0x1.415c6c7bd1147p-9, 0x1.377ed0ac290c5p-9, 0x1.2de8aaa5331afp-9, 0x1.249834ee05543p-9, 0x1.1b8bb31478ecep-9, 0x1.12c17190b9995p-9, 0x1.0a37c5a8da8cbp-9, 0x1.01ed0d5448913p-9, 0x1.f3bf5e3e5d3b5p-10, 0x1.e41c341babd47p-10, 0x1.d4ed8affeda35p-10, 0x1.c6306227df9b4p-10, 0x1.b7e1c913eec3dp-10, 0x1.a9fedf4e91eccp-10, 0x1.9c84d4327418dp-10, 0x1.8f70e6b091654p-10, 0x1.82c065164f71p-10, 0x1.7670acd373fc7p-10, 0x1.6a7f2a4006251p-10, 0x1.5ee958624bc6cp-10, 0x1.53acc0b48d715p-10, 0x1.48c6faeaf8c47p-10, 0x1.3e35acb9808bp-10, 0x1.33f68999b4f4bp-10, 0x1.2a075290a952ap-10, 0x1.2065d5f5091dap-10, 0x1.170fef351af85p-10, 0x1.0e03869cfadd6p-10, 0x1.053e911cf3436p-10, 0x1.f97e202025a76p-11, 0x1.e9062205c92adp-11, 0x1.d9115af4d7854p-11, 0x1.c99c1576e81e2p-11, 0x1.baa2b32428bf5p-11, 0x1.ac21ac335347fp-11, 0x1.9e158f0a4a3b9p-11, 0x1.907affcf759e8p-11, 0x1.834eb7fc29894p-11, 0x1.768d85efd189ep-11, 0x1.6a344c8445ef8p-11, 0x1.5e4002a350676p-11, 0x1.52adb2dd123a5p-11, 0x1.477a7affc10b1p-11, 0x1.3ca38bb0b38bdp-11, 0x1.32262806a3261p-11, 0x1.27ffa525516cp-11, 0x1.1e2d69da9deep-11, 0x1.14acee3cdf32ep-11, 0x1.0b7bbb4af8a48p-11, 0x1.02976a8da2bb1p-11, 0x1.f3fb4b750b766p-12, 0x1.e3584cb11ae7bp-12, 0x1.d3416acc119b7p-12, 0x1.c3b256006f718p-12, 0x1.b4a6dc18e9753p-12, 0x1.a61ae7c5edee4p-12, 0x1.980a7ff62be96p-12, 0x1.8a71c7327f7f2p-12, 0x1.7d4cfafc6545cp-12, 0x1.70987330767p-12, 0x1.6450a16b17dfp-12, 0x1.58721070984e6p-12, 0x1.4cf963984fb78p-12, 0x1.41e3563a6e67dp-12, 0x1.372cbb210ff54p-12, 0x1.2cd27bfc195edp-12, 0x1.22d198d788468p-12, 0x1.19272794e60fap-12, 0x1.0fd053678dd19p-12, 0x1.06ca5c53141fcp-12, 0x1.fc252d592e886p-13, 0x1.eb4cd53dc3b55p-13, 0x1.db06a7611a0e8p-13, 0x1.cb4dc09944608p-13, 0x1.bc1d629c3682dp-13, 0x1.ad70f31a27758p-13, 0x1.9f43fadd74391p-13, 0x1.919224ee6b598p-13, 0x1.84573dbbc0204p-13, 0x1.778f32474e0e8p-13, 0x1.6b360f565e5bep-13, 0x1.5f4800a74cdbdp-13, 0x1.53c15029e189fp-13, 0x1.489e653c97185p-13, 0x1.3ddbc3ecde344p-13, 0x1.33760c3bfbd56p-13, 0x1.2969f966e35cep-13, 0x1.1fb461325e487p-13, 0x1.1652333a48077p-13, 0x1.0d40784489fa6p-13, 0x1.047c51976c6dbp-13, 0x1.f805f0a754e6dp-14, 0x1.e7a379a1c43d4p-14, 0x1.d7cc0bfdf3b94p-14, 0x1.c87aa19268b1ap-14, 0x1.b9aa5efa99355p-14, 0x1.ab56926a65f39p-14, 0x1.9d7ab2894a299p-14, 0x1.90125d5247ed7p-14, 0x1.831956fa46c69p-14, 0x1.768b88dcd0654p-14, 0x1.6a65006e4bea9p-14, 0x1.5ea1ee339a63dp-14, 0x1.533ea4c0f4ebp-14, 0x1.483797bbd83e7p-14, 0x1.3d895ae5a6e2ap-14, 0x1.3330a1296abfep-14, 0x1.292a3baf15d98p-14, 0x1.1f7318f63b127p-14, 0x1.160843f362602p-14, 0x1.0ce6e333ff354p-14, 0x1.040c3807f160dp-14, 0x1.f6eb3b5c3b511p-15, 0x1.e6411111b9a9cp-15, 0x1.d6150aa818442p-15, 0x1.c66270c575566p-15, 0x1.b724b9bfc6cb9p-15, 0x1.a8578829fc422p-15, 0x1.99f6a967c5f64p-15, 0x1.8bfe144c622adp-15, 0x1.7e69e7c195aefp-15, 0x1.713669778515fp-15, 0x1.6460049da059cp-15, 0x1.57e348a143751p-15, 0x1.4bbce7fa205f2p-15, 0x1.3fe9b6f9ff45ap-15, 0x1.3466aaa5f2d45p-15, 0x1.2930d79772105p-15, 0x1.1e4570e6366fp-15, 0x1.13a1c717d2231p-15, 0x1.094347182ab5cp-15, 0x1.fe4ef2721a8f5p-16, 0x1.ea98006def0b8p-16, 0x1.d75d309155e53p-16, 0x1.c49a2c6412ea3p-16, 0x1.b24accbeeb4a9p-16, 0x1.a06b180e344adp-16, 0x1.8ef740a2b15e9p-16, 0x1.7deba30ef7622p-16, 0x1.6d44c48b0b2f2p-16, 0x1.5cff517197ab6p-16, 0x1.4d181bbb34ce3p-16, 0x1.3d8c198c5023fp-16, 0x1.2e5863cc9a4e5p-16, 0x1.1f7a34ca61997p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fb13732c6ac77p-2, -0x1.054d8645b6997p-1, -0x1.0cb957c500fedp-1, -0x1.13c84490fb653p-1, -0x1.1a76722248dfdp-1, -0x1.20c100a8bf85fp-1, -0x1.26a5e8f4fa461p-1, -0x1.2c23e14b628f6p-1, -0x1.313a625ffafdfp-1, -0x1.35e9675ea5f74p-1, -0x1.3a31716ba39b3p-1, -0x1.3e13931d5bdafp-1, -0x1.41913280b8e97p-1, -0x1.44ac0332faabap-1, -0x1.47661f5ca562dp-1, -0x1.49c1e2fe5defcp-1, -0x1.4bc1c8b2ab013p-1, -0x1.4d687aa9501bep-1, -0x1.4eb8dd2cfa4f9p-1, -0x1.4fb5f317bfa5cp-1, -0x1.5062c5b2e328ap-1, -0x1.50c2628c267acp-1, -0x1.50d805095d3d3p-1, -0x1.50a6d7d8247b2p-1, -0x1.50320ee716658p-1, -0x1.4f7cdb71fc6d7p-1, -0x1.4e8a67cac2958p-1, -0x1.4d5dd4e25a206p-1, -0x1.4bfa38c611271p-1, -0x1.4a629ccb35bb8p-1, -0x1.4899fb12874acp-1, -0x1.46a33c1590207p-1, -0x1.448134f788623p-1, -0x1.4236a6b9993p-1, -0x1.3fc63de91b6fep-1, -0x1.3d3292399b057p-1, -0x1.3a7e25caaaf34p-1, -0x1.37ab645a05cd6p-1, -0x1.34bca2dfadae9p-1, -0x1.31b41fd13411fp-1, -0x1.2e9403ca38c35p-1, -0x1.2b5e62134732ep-1, -0x1.281538b0ee5c1p-1, -0x1.24ba7017451c3p-1, -0x1.214fdaeb2c4f8p-1, -0x1.1dd7362a9e2c5p-1, -0x1.1a5229c4672bbp-1, -0x1.16c2495e71d3fp-1, -0x1.132914fcbee5ap-1, -0x1.0f87f9687e088p-1, -0x1.0be05071d265bp-1, -0x1.0833614120a17p-1, -0x1.048260da49fe3p-1, -0x1.00ce72ce424f3p-1, -0x1.fa31540082604p-2, -0x1.f2c412d17594dp-2, -0x1.eb5709a69dbffp-2, -0x1.e3ec033d9cd76p-2, -0x1.dc84aefa3ad26p-2, -0x1.d522a23ce0b8ap-2, -0x1.cdc759596d911p-2, -0x1.c67438188ca2bp-2, -0x1.bf2a89ec1b7f6p-2, -0x1.b7eb85acf42fdp-2, -0x1.b0b83cf5c24a4p-2, -0x1.a991ba87b5f05p-2, -0x1.a278f1a4d8093p-2, -0x1.9b6ec2ccb101ep-2, -0x1.9473fca2def14p-2, -0x1.8d895cc3c021bp-2, -0x1.86af908a82d39p-2, -0x1.7fe735ccbe25cp-2, -0x1.7930db8f74c81p-2, -0x1.728d02b8bfd2p-2, -0x1.6bfc1ec08f2e9p-2, -0x1.657e96622bfc9p-2, -0x1.5f14c44f19047p-2, -0x1.58bef7e2223d2p-2, -0x1.527d75cfb9d2dp-2, -0x1.4c5078cfa504dp-2, -0x1.4638323c7c0ccp-2, -0x1.4034caa761d7ep-2, -0x1.3a466260c63c9p-2, -0x1.346d11f8ad5p-2, -0x1.2ea8eab968d7ap-2, -0x1.28f9f71e983cap-2, -0x1.23603b48cf50ap-2, -0x1.1ddbb56cf4a3dp-2, -0x1.186c5e3e0617bp-2, -0x1.1312295070939p-2, -0x1.0dcd0576fe5e9p-2, -0x1.089cdd1a2c981p-2, -0x1.0381968ae4b0ap-2, -0x1.fcf628a289f49p-3, -0x1.f3126aef1750bp-3, -0x1.e957aba16834p-3, -0x1.dfc59c74b1d8p-3, -0x1.d65be9b395f7bp-3, -0x1.cd1a3aaa17ef5p-3, -0x1.c4003211d407bp-3, -0x1.bb0d6e7b70e98p-3, -0x1.b2418ab7682dfp-3, -0x1.a99c1e3ee2498p-3, -0x1.a11cbd9b5cd72p-3, -0x1.98c2faca65416p-3, -0x1.908e659a22659p-3, -0x1.887e8bfc08c5ep-3, -0x1.8092fa4c6f702p-3, -0x1.78cb3b8fb9ea4p-3, -0x1.7126d9a752039p-3, -0x1.69a55d81876d6p-3, -0x1.62464f477ad42p-3, -0x1.5b09368b1b71bp-3, -0x1.53ed9a761f4f5p-3, -0x1.4cf301f9472ep-3, -0x1.4618f3fa615f1p-3, -0x1.3f5ef77f1c56bp-3, -0x1.38c493d2f8322p-3, -0x1.324950a770bdep-3, -0x1.2becb62e69a75p-3, -0x1.25ae4d2fa2c4cp-3, -0x1.1f8d9f1aaeae6p-3, -0x1.198a3616c9bdep-3, -0x1.13a39d11ef8aap-3, -0x1.0dd95fcfdb499p-3, -0x1.082b0af944de1p-3, -0x1.02982c2b00037p-3, -0x1.fa40a408fa43p-4, -0x1.ef86186a0ea04p-4, -0x1.e4ffd70e83825p-4, -0x1.daad03d531d62p-4, -0x1.d08cc4f5b32efp-4, -0x1.c69e430c4538fp-4, -0x1.bce0a923aeffbp-4, -0x1.b35324be28e0cp-4, -0x1.a9f4e5de49c52p-4, -0x1.a0c51f10a6095p-4, -0x1.97c3057644d7ep-4, -0x1.8eedd0cf9ccd7p-4, -0x1.8644bb878f8d6p-4, -0x1.7dc702bd6bb5ap-4, -0x1.7573e64d21601p-4, -0x1.6d4aa8d4da239p-4, -0x1.654a8fb76ep-4, -0x1.5d72e31b83f2p-4, -0x1.55c2ede77cf9cp-4, -0x1.4e39fdbaa0abdp-4, -0x1.46d72a52ac1b1p-4, -0x1.3f9a3784e7c36p-4, -0x1.388243ac9d693p-4, -0x1.318ea6ad67419p-4, -0x1.2abebaf73999ep-4, -0x1.2411dd81c3104p-4, -0x1.1d876dc773415p-4, -0x1.171ecdc02573cp-4, -0x1.10d761db69cdep-4, -0x1.0ab090fa706d4p-4, -0x1.04a9c46996b9bp-4, -0x1.fd84cfb336b52p-5, -0x1.f1f3d2b10223bp-5, -0x1.e69f72944fc3p-5, -0x1.db8694c15358fp-5, -0x1.d0a823290fbdcp-5, -0x1.c6030c3969b1cp-5, -0x1.bb9642cd18926p-5, -0x1.b160be1b88fbap-5, -0x1.a76179a8c7dc2p-5, -0x1.9d9775358b168p-5, -0x1.9401b4af6569fp-5, -0x1.8a9f402127be1p-5, -0x1.816f23a37aba6p-5, -0x1.78706f4dad7e1p-5, -0x1.6fa23726b702fp-5, -0x1.67039316707f8p-5, -0x1.5e939ed6ff48fp-5, -0x1.565179e671054p-5, -0x1.4e3c47788bf06p-5, -0x1.46532e68d3336p-5, -0x1.3e95592cc05d4p-5, -0x1.3701f5c62f2b5p-5, -0x1.2f9835b600e99p-5, -0x1.28574deef16ecp-5, -0x1.213e76c89e68ep-5, -0x1.1a4cebf2bc0d4p-5, -0x1.1381ec68734c8p-5, -0x1.0cdcba63eb4dfp-5, -0x1.065c9b51f50bbp-5, -0x1.0000d7c5d90fdp-5, -0x1.f39176da9445fp-6, -0x1.e7672a08e9aa3p-6, -0x1.db816c9460e56p-6, -0x1.cfdee7e8aca8cp-6, -0x1.c47e4b486ee01p-6, -0x1.b95e4bb67088ep-6, -0x1.ae7da3df29c13p-6, -0x1.a3db14029a0f1p-6, -0x1.997561de7248ep-6, -0x1.8f4b589893a2ep-6, -0x1.855bc8a9e54a7p-6, -0x1.7ba587c981433p-6, -0x1.722770d83c0afp-6, -0x1.68e063cc7dde2p-6, -0x1.5fcf459e6d9cap-6, -0x1.56f3003479fa9p-6, -0x1.4e4a82502dfc1p-6, -0x1.45d4bf7b51708p-6, -0x1.3d90aff55bc2fp-6, -0x1.357d50a13215bp-6, -0x1.2d99a2f32bbc6p-6, -0x1.25e4acdf5fe4ep-6, -0x1.1e5d78c82fc4ep-6, -0x1.1703156d1ee33p-6, -0x1.0fd495d9e2f89p-6, -0x1.08d11155b3d95p-6, -0x1.01f7a352d5c79p-6, -0x1.f68ed6bcbc594p-7, -0x1.e97f1a2077c1ap-7, -0x1.dcbe5ff6bfa32p-7, -0x1.d04aff3c6a57ep-7, -0x1.c42356a6796cbp-7, -0x1.b845cc83c7f4cp-7, -0x1.acb0ce9f1f9abp-7, -0x1.a162d221abfc9p-7, -0x1.965a5375e5a8ap-7, -0x1.8b95d62abf3f6p-7, -0x1.8113e4d75dea4p-7, -0x1.76d310ff1831p-7, -0x1.6cd1f2f5de5bep-7, -0x1.630f29c5055acp-7, -0x1.59895b10715fap-7, -0x1.503f32fc1bf38p-7, -0x1.472f6411fb93cp-7, -0x1.3e58a7283e7bep-7, -0x1.35b9bb47eddd6p-7, -0x1.2d516593d9b5ep-7, -0x1.251e712fed5aep-7, -0x1.1d1faf28cca47p-7, -0x1.1553f65bcd8eap-7, -0x1.0dba235f3f8b3p-7, -0x1.0651186b05b7bp-7, -0x1.fe2f7a8314e48p-8, -0x1.f019fe31e28e3p-8, -0x1.e25fa1094aa9dp-8, -0x1.d4fe52be4b3b6p-8, -0x1.c7f40d68568cep-8, -0x1.bb3ed556186d6p-8, -0x1.aedcb8e2cab66p-8, -0x1.a2cbd04c33d32p-8, -0x1.970a3d890ed61p-8, -0x1.8b962c200fc62p-8, -0x1.806dd0ff5ac34p-8, -0x1.758f6a54a2a59p-8, -0x1.6af93f65a3171p-8, -0x1.60a9a06934ed1p-8, -0x1.569ee660db89dp-8, -0x1.4cd772f2c1fdep-8, -0x1.4351b04453d0ap-8, -0x1.3a0c10d537753p-8, -0x1.31050f5ac9f16p-8, -0x1.283b2e9c15864p-8, -0x1.1facf94e42397p-8, -0x1.175901f17a55fp-8, -0x1.0f3de2ae40a49p-8, -0x1.075a3d334b7f7p-8, -0x1.ff5975278322ep-9, -0x1.f068164bf2609p-9, -0x1.e1ddccc51c40fp-9, -0x1.d3b8158836557p-9, -0x1.c5f47b4e4b06ep-9, -0x1.b89096555fe95p-9, -0x1.ab8a0c22205b3p-9, -0x1.9ede8f4292fa6p-9, -0x1.928bdf11a084bp-9, -0x1.868fc77b5c602p-9, -0x1.7ae820c228af4p-9, -0x1.6f92cf44c7f6fp-9, -0x1.648dc34517166p-9, -0x1.59d6f8afa35bep-9, -0x1.4f6c76e42017ap-9, -0x1.454c507e742d7p-9, -0x1.3b74a320d81e7p-9, -0x1.31e3973e7e8ecp-9, -0x1.28975fe718587p-9, -0x1.1f8e3a931ec6ep-9, -0x1.16c66ef0d677cp-9, -0x1.0e3e4eb224373p-9, -0x1.05f4355aee98fp-9, -0x1.fbcd1021194f8p-10, -0x1.ec276ad34ffb3p-10, -0x1.dcf46a7debcd8p-10, -0x1.ce3110f942939p-10, -0x1.bfda71e8f0ee8p-10, -0x1.b1edb2616711cp-10, -0x1.a468088f0f54dp-10, -0x1.9746bb5ebb481p-10, -0x1.8a8722275e0dbp-10, -0x1.7e26a4557169ep-10, -0x1.7222b91716d9dp-10, -0x1.6678e70a605aep-10, -0x1.5b26c3ec186cap-10, -0x1.5029f4487df89p-10, -0x1.45802b2cc782ep-10, -0x1.3b2729da5c54bp-10, -0x1.311cbf7afc577p-10, -0x1.275ec8d6611d1p-10, -0x1.1deb30090ca5fp-10, -0x1.14bfec3c20bd7p-10, -0x1.0bdb015edfedp-10, -0x1.033a7fe0dc7fcp-10, -0x1.f5b908db9157fp-11, -0x1.e57e6f5454548p-11, -0x1.d5c19be2b3a8fp-11, -0x1.c67f0e297321dp-11, -0x1.b7b35c376c80dp-11, -0x1.a95b320b08fbcp-11, -0x1.9b7349b841c93p-11, -0x1.8df88938604c5p-11, -0x1.80e7d34ac11c4p-11, -0x1.743e26f343101p-11, -0x1.67f896d3e7e65p-11, -0x1.5c1448bcce063p-11, -0x1.508e753dc9b53p-11, -0x1.4564673adbefcp-11, -0x1.3a937b81d20bap-11, -0x1.301920623fefp-11, -0x1.25f2d547b10eap-11, -0x1.1c1e2a5568715p-11, -0x1.1298c00466cap-11, -0x1.096046c2aebfep-11, -0x1.00727e9590f54p-11, -0x1.ef9a6d79321f8p-12, -0x1.dedc9aae3391fp-12, -0x1.cea75e16349d3p-12, -0x1.bef6ad5c706bp-12, -0x1.afc699e0851aap-12, -0x1.a113500ed5e82p-12, -0x1.92d916bc92ec5p-12, -0x1.85144e872f103p-12, -0x1.77c1713625c65p-12, -0x1.6add1121b73b7p-12, -0x1.5e63d89b1478ap-12, -0x1.52528958aab73p-12, -0x1.46a5fbe52ff7dp-12, -0x1.3b5b1f113a5f1p-12, -0x1.306ef76908c6dp-12, -0x1.25de9eabfa4edp-12, -0x1.1ba743470b311p-12, -0x1.11c627d3179ccp-12, -0x1.0838a294dbf85p-12, -0x1.fdf839ff203f5p-13, -0x1.ec1c2676f0ca1p-13, -0x1.dad8275adc886p-13, -0x1.ca277d04bafdap-13, -0x1.ba058a7825148p-13, -0x1.aa6dd4832f3cdp-13, -0x1.9b5c00e334c46p-13, -0x1.8ccbd56c710f6p-13, -0x1.7eb9373a571aep-13, -0x1.712029e0f39ccp-13, -0x1.63fccea45a929p-13, -0x1.574b63b46265cp-13, -0x1.4b08436c72febp-13, -0x1.3f2fe397ce8f4p-13, -0x1.33bed4ba739a9p-13, -0x1.28b1c15c02336p-13, -0x1.1e056d5a8bd93p-13, -0x1.13b6b53d9ec7cp-13, -0x1.09c28d8f10267p-13, -0x1.002602371c1a3p-13, -0x1.edbc6bb89a6dp-14, -0x1.dbd0c28ebd4aep-14, -0x1.ca83a593b28a2p-14, -0x1.b9cfdb529ed3dp-14, -0x1.a9b0531b04db1p-14, -0x1.9a2023e3404dp-14, -0x1.8b1a8b33646e5p-14, -0x1.7c9aec13d7d38p-14, -0x1.6e9cce064d706p-14, -0x1.611bdc01f45f6p-14, -0x1.5413e37536cc1p-14, -0x1.4780d351c430cp-14, -0x1.3b5ebb1a9e40cp-14, -0x1.2fa9c9f7f17cap-14, -0x1.245e4dd376ebap-14, -0x1.1978b27913904p-14, -0x1.0ef580bc033b1p-14, -0x1.04d15da1bf898p-14, -0x1.f61213283ce83p-15, -0x1.e332bf2a2a454p-15, -0x1.d0fea8f8c0981p-15, -0x1.bf6fec69bd87bp-15, -0x1.ae80d6043edb2p-15, -0x1.9e2be194fe7b5p-15, -0x1.8e6bb8cc23a86p-15, -0x1.7f3b31dad240bp-15, -0x1.70954e2d56aeep-15, -0x1.6275391b4f1d8p-15, -0x1.54d646a999aa2p-15, -0x1.47b3f252a8762p-15, -0x1.3b09ddd73f294p-15, -0x1.2ed3d017b7135p-15, -0x1.230db3f383b4bp-15, -0x1.17b39733ea164p-15, -0x1.0cc1a97ab9823p-15, -0x1.02343b358f3fep-15, -0x1.f00f79496a3e7p-16, -0x1.dc7179b29743ep-16, -0x1.c987d18df701dp-16, -0x1.b74c14a683f5dp-16, -0x1.a5b80ee20c2fbp-16, -0x1.94c5c2803587cp-16, -0x1.846f6668cd70bp-16, -0x1.74af64817a239p-16, -0x1.65805816ff669p-16, -0x1.56dd0c48b4a7cp-16, -0x1.48c07a8769f38p-16, -0x1.3b25c919f48dbp-16, -0x1.2e0849b2465dfp-16, -0x1.21637802da633p-16, -0x1.1532f86804be9p-16, -0x1.0972969db5205p-16, -0x1.fc3c88d9a041fp-17, -0x1.e66430f5b97e3p-17, -0x1.d1549a18896e4p-17, -0x1.bd067dcc6d61p-17, -0x1.a972d82f6b511p-17, -0x1.9692e5eb3140cp-17, -0x1.846021fdb6bbfp-17, -0x1.72d443a53023cp-17, -0x1.61e93c66a12ebp-17, -0x1.51993614780fp-17, -0x1.41de90eafb5d8p-17, -0x1.32b3e1bae0841p-17, -0x1.2413f020c211bp-17, -0x1.15f9b4cef8dc8p-17, -0x1.086057d038d33p-17, -0x1.f6865e0048cd2p-18, -0x1.dd3b78d17fcf6p-18, -0x1.c4d7597f827aap-18, -0x1.ad51abc607128p-18, -0x1.96a26aec893edp-18, -0x1.80c1def9c6d43p-18, -0x1.6ba899ec84b2bp-18, -0x1.574f75317b748p-18, -0x1.43af8f16ac509p-18, -0x1.30c24858b584ap-18, -0x1.1e8141cb8ed99p-18, -0x1.0ce659e928f1p-18, -0x1.f7d7559fd1ac8p-19, -0x1.d7170feb76a8fp-19, -0x1.b780f834b0bbcp-19, -0x1.990a8e8bd4d8cp-19, -0x1.7ba9b9a8090f3p-19, -0x1.5f54c31c9dacp-19, -0x1.440253a76076ap-19, -0x1.29a96fc11e1bep-19, -0x1.104174103c32ep-19, -0x1.ef8424ba82165p-20, -0x1.c0469c21342f2p-20, -0x1.92baf25316ca7p-20, -0x1.66d262f2d9b64p-20, -0x1.3c7ebb3da3f5ep-20, -0x1.13b25433cf5edp-20, -0x1.d8c01b7b3df3ap-21, -0x1.8cf6927d47e9bp-21, -0x1.43efc88786008p-21, -0x1.fb28d0ca1bd56p-22, -0x1.739c0508f0ad3p-22, -0x1.e21c118989597p-23, -0x1.cd557978b718fp-24, 0x1.6d780845d80c9p-28, 0x1.e8e843363c90ep-24, 0x1.d4b83549e224fp-23, 0x1.563f7bf3a8e11p-22, 0x1.be0658f8eb13p-22, 0x1.10e8c4ef00414p-21, 0x1.40e0541affd23p-21, 0x1.6ef90dba76e7ep-21, 0x1.9b4193d95c11dp-21, 0x1.c5c7fabe8e2dp-21, 0x1.ee99d0b55440cp-21, 0x1.0ae2115a269bp-20, 0x1.1da9c0e91deap-20, 0x1.2faa0452d776ap-20, 0x1.40e8afee163d5p-20, 0x1.516b61b881332p-20, 0x1.61378370c9348p-20, 0x1.70524d14a87e7p-20, 0x1.7ec0c692dda7ep-20, 0x1.8c87ca2d2ed97p-20, 0x1.99ac064c667d2p-20, 0x1.a631ff61f4207p-20, 0x1.b21e11bc1868ep-20, 0x1.bd74731c25841p-20, 0x1.c83934e36f315p-20, 0x1.d27044ed1e1c6p-20, 0x1.dc1d6f82ff0aep-20, 0x1.e54460d21caaep-20, 0x1.ede8a63e3d1a8p-20, 0x1.f60dafd1604cfp-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.75604dee96b2bp-3, 0x1.81c645298f3e5p-3, 0x1.8c6d434c583edp-3, 0x1.9555aa382befap-3, 0x1.9c82e32baa6acp-3, 0x1.a1fb7e98a599cp-3, 0x1.a5c8815301f53p-3, 0x1.a7f52e6e2d248p-3, 0x1.a88e777ee0028p-3, 0x1.a7a2b3a0f5cdcp-3, 0x1.a54172dca5afep-3, 0x1.a17b3e0905907p-3, 0x1.9c617fb0f5797p-3, 0x1.960611b837a9cp-3, 0x1.8e7ad56c7d0bbp-3, 0x1.85d1e7b234454p-3, 0x1.7c1ddfe53685p-3, 0x1.71718cbe15d25p-3, 0x1.65df7231c97e2p-3, 0x1.597979a94be95p-3, 0x1.4c50fa76e1d43p-3, 0x1.3e76ee5a8231ap-3, 0x1.2ffc8d89e34fbp-3, 0x1.20f2b0b891bf4p-3, 0x1.116935aeca74bp-3, 0x1.016f3587a7bbbp-3, 0x1.e2267d1141358p-4, 0x1.c0c6e06919ec9p-4, 0x1.9edacff5d89a4p-4, 0x1.7c7c39c6d7d87p-4, 0x1.59c399a58d12dp-4, 0x1.36c806d509a89p-4, 0x1.139f56a6f0726p-4, 0x1.e0bc63c990a0ap-5, 0x1.9a302918e1f59p-5, 0x1.53be8ac5dbcd7p-5, 0x1.0d89a87c05b66p-5, 0x1.8f628691db471p-6, 0x1.04a5a34de22e1p-6, 0x1.ec4c6261f723p-8, -0x1.a462a68cc2311p-11, -0x1.279e6cf89b2c7p-7, -0x1.18c7be8718197p-6, -0x1.9be6faa47c29cp-6, -0x1.0e85615e01bddp-5, -0x1.4e0a1a5d9eaecp-5, -0x1.8c73c13cfb0ddp-5, -0x1.c9b5e66d17a0ap-5, -0x1.02e2bfbf80c38p-4, -0x1.204c675bb4495p-4, -0x1.3d13a16c5f68cp-4, -0x1.5934a96da8d81p-4, -0x1.74ac2e761c78ap-4, -0x1.8f77480c7d5p-4, -0x1.a993725becf76p-4, -0x1.c2fe914be5818p-4, -0x1.dbb6f7c0f1c34p-4, -0x1.f3bb6f2672fc1p-4, -0x1.05859dd31beb3p-3, -0x1.10d30d6c05692p-3, -0x1.1bc61e4867e07p-3, -0x1.265f1b8ca1969p-3, -0x1.309e7c81244e4p-3, -0x1.3a83fa613c862p-3, -0x1.44126d8dc3227p-3, -0x1.4d4997030033fp-3, -0x1.562a44176e6b4p-3, -0x1.5eb559e31fd3bp-3, -0x1.66ebd6f2b00c5p-3, -0x1.6eced42739374p-3, -0x1.765f84534aff1p-3, -0x1.7d9f3282c6656p-3, -0x1.848f3f2b79152p-3, -0x1.8b311cb3b6847p-3, -0x1.91864bc54666ep-3, -0x1.979057ce2e64p-3, -0x1.9d50d3ed338e5p-3, -0x1.a2c9586462c5bp-3, -0x1.a7fb8090e3c8cp-3, -0x1.ace8e957034cdp-3, -0x1.b1932fe9294e8p-3, -0x1.b5fbf0ceb0337p-3, -0x1.ba24c71216f78p-3, -0x1.be0f4b850e8b9p-3, -0x1.c1bd1412b55aap-3, -0x1.c52fb32306214p-3, -0x1.c868b71a77f79p-3, -0x1.cb69aa0354cf4p-3, -0x1.ce341169c6faep-3, -0x1.d0c96e69b9ebep-3, -0x1.d32b3de11b5cep-3, -0x1.d55af8aead373p-3, -0x1.d75a13e06bd17p-3, -0x1.d92a00b6fa06dp-3, -0x1.dacc2c6c28de8p-3, -0x1.dc41ffb7b7f62p-3, -0x1.dd8cde1aa036ap-3, -0x1.deae2503e2e9dp-3, -0x1.dfa72ae75a29ep-3, -0x1.e0793e5f0500dp-3, -0x1.e125a56ae9dp-3, -0x1.e1ad9cdc2eafbp-3, -0x1.e21257f00a5cfp-3, -0x1.e255001825fd9p-3, -0x1.e276b4e93343ep-3, -0x1.e2788c26245b8p-3, -0x1.e25b91dee0faap-3, -0x1.e220c89b22a12p-3, -0x1.e1c9298d74a32p-3, -0x1.e155a4cd7189cp-3, -0x1.e0c7219b14613p-3, -0x1.e01e7eae62767p-3, -0x1.df5c9296d617cp-3, -0x1.de822c2cb6405p-3, -0x1.dd90131422e5p-3, -0x1.dc87084f02d73p-3, -0x1.db67c6d80f425p-3, -0x1.da33043f40c3bp-3, -0x1.d8e9713eb0e32p-3, -0x1.d78bba3f217bfp-3, -0x1.d61a87c4bc5f7p-3, -0x1.d4967ebed694fp-3, -0x1.d30040b892573p-3, -0x1.d1586beb109c7p-3, -0x1.cf9f9b34e9e5ep-3, -0x1.cdd665fc9e16ap-3, -0x1.cbfd6005013fbp-3, -0x1.ca15193b0f91cp-3, -0x1.c81e1d8413fdap-3, -0x1.c618f4920b537p-3, -0x1.c40621c28bdc5p-3, -0x1.c1e6240b1531bp-3, -0x1.bfb975f3dba15p-3, -0x1.bd808da103afdp-3, -0x1.bb3bdce91495cp-3, -0x1.b8ebd176c6b96p-3, -0x1.b690d4f3dc68dp-3, -0x1.b42b4d3a9d1b4p-3, -0x1.b1bb9c8b78244p-3, -0x1.af4221c4b1e43p-3, -0x1.acbf389a00427p-3, -0x1.aa3339ca93697p-3, -0x1.a79e7b542e728p-3, -0x1.a50150a26c2ebp-3, -0x1.a25c0ab9aebfbp-3, -0x1.9faef85d72c1cp-3, -0x1.9cfa663251aacp-3, -0x1.9a415a5c3efd4p-3, -0x1.977dbe6ffebbcp-3, -0x1.94b375fb36d8ap-3, -0x1.91e2cadd443bdp-3, -0x1.8f0c05238b964p-3, -0x1.8c2f6b15c7432p-3, -0x1.894d4145ac248p-3, -0x1.8665caa158bdap-3, -0x1.83794887d330dp-3, -0x1.8087fadee6334p-3, -0x1.7d922029a602cp-3, -0x1.7a97f59eff086p-3, -0x1.7799b73fa6269p-3, -0x1.74979feb15607p-3, -0x1.7191e97311ca8p-3, -0x1.6e88ccad97956p-3, -0x1.6b7c8184ea3a5p-3, -0x1.686d3f05c5446p-3, -0x1.655b3b6ba6ad5p-3, -0x1.6246ac2b3814ep-3, -0x1.5f2fc5fb0814ep-3, -0x1.5c16bcda9d5eap-3, -0x1.58fbc41818691p-3, -0x1.55df0e5496b36p-3, -0x1.52c0cd87711f5p-3, -0x1.4fa133009678fp-3, -0x1.4c806f6a182b5p-3, -0x1.495eb2c925d18p-3, -0x1.463c2c7e80719p-3, -0x1.43190b469cca5p-3, -0x1.3ff57d3981056p-3, -0x1.3cd1afca74abdp-3, -0x1.39adcfc795563p-3, -0x1.368a09595e2aep-3, -0x1.336688022771bp-3, -0x1.3043769da546cp-3, -0x1.2d20ff6061058p-3, -0x1.29ff4bd736393p-3, -0x1.26de84e6bfb7dp-3, -0x1.23bed2cac59e2p-3, -0x1.20a05d1590e84p-3, -0x1.1d834aaf32ba4p-3, -0x1.1a67c1d4af824p-3, -0x1.174de8171b27p-3, -0x1.1435e25a974dep-3, -0x1.111fd4d545511p-3, -0x1.0e0be30e2a22p-3, -0x1.0afa2fdc14dp-3, -0x1.07eadd6480a8ep-3, -0x1.04de0d1a97038p-3, -0x1.01d3dfbe4708cp-3, -0x1.fd98eab704daap-4, -0x1.f78fda936a35ap-4, -0x1.f18ccc56ddf85p-4, -0x1.eb8ffbdcabd59p-4, -0x1.e599a396a6d7cp-4, -0x1.dfa9fc8e26b4bp-4, -0x1.d9c13e657cc1fp-4, -0x1.d3df9f59f92abp-4, -0x1.ce0554466603ap-4, -0x1.c83290a5e867bp-4, -0x1.c26786974b22bp-4, -0x1.bca466e081a73p-4, -0x1.b6e960f26a593p-4, -0x1.b136a2ecab3ccp-4, -0x1.ab8c59a1a1fe1p-4, -0x1.a5eab09a4eb2bp-4, -0x1.a051d21a20b28p-4, -0x1.9ac1e722ac923p-4, -0x1.953b17772eec4p-4, -0x1.8fbd899fcf4d9p-4, -0x1.8a4962eca69e1p-4, -0x1.84dec7788444cp-4, -0x1.7f7dda2b66f23p-4, -0x1.7a26bcbcab5adp-4, -0x1.74d98fb500896p-4, -0x1.6f9672701004bp-4, -0x1.6a5d831df15b8p-4, -0x1.652edec4688ffp-4, -0x1.600aa13ffaa3dp-4, -0x1.5af0e544dd33ep-4, -0x1.55e1c45fce52ep-4, -0x1.50dd56f6e398ep-4, -0x1.4be3b44a4bd4p-4, -0x1.46f4f2751deabp-4, -0x1.4211266e31f21p-4, -0x1.3d38640915021p-4, -0x1.386abdf7192ecp-4, -0x1.33a845c88f60dp-4, -0x1.2ef10bee29a3fp-4, -0x1.2a451fba92f04p-4, -0x1.25a48f6438bcep-4, -0x1.210f68074bfd2p-4, -0x1.1c85b5a801722p-4, -0x1.1807833500c8ap-4, -0x1.1394da8a19ba9p-4, -0x1.0f2dc4732acd2p-4, -0x1.0ad248af3fa63p-4, -0x1.06826df3e725fp-4, -0x1.023e39f0b65cfp-4, -0x1.fc0b62a6019ffp-5, -0x1.f3b1af936c68ap-5, -0x1.eb6f6012d7f53p-5, -0x1.e34477a10aea8p-5, -0x1.db30f7d70bbbfp-5, -0x1.d334e072ee946p-5, -0x1.cb502f60dc3f5p-5, -0x1.c382e0c4461aap-5, -0x1.bbccef0142d92p-5, -0x1.b42e52c60a3b6p-5, -0x1.aca703148fbebp-5, -0x1.a536f54c2e89cp-5, -0x1.9dde1d336dfa3p-5, -0x1.969c6d01d1cecp-5, -0x1.8f71d569b1b4cp-5, -0x1.885e45a21dda6p-5, -0x1.8161ab70bcd16p-5, -0x1.7a7bf333afc73p-5, -0x1.73ad07eb6f59cp-5, -0x1.6cf4d3449d83bp-5, -0x1.66533da1d4042p-5, -0x1.5fc82e255eb81p-5, -0x1.59538abae9a3bp-5, -0x1.52f538211984bp-5, -0x1.4cad19f30de0bp-5, -0x1.467b12b1d0131p-5, -0x1.405f03cda1fcap-5, -0x1.3a58cdaf3796fp-5, -0x1.34684fc0d2451p-5, -0x1.2e8d687737e76p-5, -0x1.28c7f55a95e12p-5, -0x1.2317d30f376eap-5, -0x1.1d7cdd5e202ffp-5, -0x1.17f6ef3d8d5e8p-5, -0x1.1285e2d94a535p-5, -0x1.0d29919ae8e7bp-5, -0x1.07e1d431d9772p-5, -0x1.02ae829b600c1p-5, -0x1.fb1ee854d3c4fp-6, -0x1.f108ff1e889b5p-6, -0x1.e71af5be65179p-6, -0x1.dd547737cc166p-6, -0x1.d3b52d75ae09fp-6, -0x1.ca3cc158ff13ep-6, -0x1.c0eadac6f857cp-6, -0x1.b7bf20b715c02p-6, -0x1.aeb93940e3e95p-6, -0x1.a5d8c9a98eb7dp-6, -0x1.9d1d76713f609p-6, -0x1.9486e3603dec7p-6, -0x1.8c14b393d41b8p-6, -0x1.83c6898b1151ap-6, -0x1.7b9c073337413p-6, -0x1.7394cdf40df51p-6, -0x1.6bb07ebbe2b4cp-6, -0x1.63eeba0b6522p-6, -0x1.5c4f200140141p-6, -0x1.54d150657cf89p-6, -0x1.4d74eab4a946fp-6, -0x1.46398e2ac5117p-6, -0x1.3f1ed9cdf5111p-6, -0x1.38246c78f8e1dp-6, -0x1.3149e4e5656e7p-6, -0x1.2a8ee1b59bce2p-6, -0x1.23f3017e92657p-6, -0x1.1d75e2d14bb1dp-6, -0x1.171724441c876p-6, -0x1.10d6647bbef07p-6, -0x1.0ab2ddf488cdep-6, -0x1.04ad017724d45p-6, -0x1.fd880034516fep-7, -0x1.f1eef218e1d54p-7, -0x1.e68e176acf115p-7, -0x1.db64af7914ad9p-7, -0x1.d071fa215e9dap-7, -0x1.c5b537de42207p-7, -0x1.bb2da9d4d1f79p-7, -0x1.b0da91e1f3495p-7, -0x1.a6bb32a714e2fp-7, -0x1.9ccecf969d4bdp-7, -0x1.9314acffdcfefp-7, -0x1.898c101a95af2p-7, -0x1.80343f12206edp-7, -0x1.770c81103c965p-7, -0x1.6e141e475d2f5p-7, -0x1.654a5ffcb2d2ep-7, -0x1.5cae9091c929p-7, -0x1.543ffb8dde09fp-7, -0x1.4bfdeda6b5bcbp-7, -0x1.43e7b4c951ef6p-7, -0x1.3bfca022238cbp-7, -0x1.343c00250c93p-7, -0x1.2ca5269504791p-7, -0x1.2537668b6de6p-7, -0x1.1df2147f2b641p-7, -0x1.16d4864b646bap-7, -0x1.0fde133600f67p-7, -0x1.090e13f5ea1b4p-7, -0x1.0263e2b908a7dp-7, -0x1.f7bdb653c7367p-8, -0x1.eafcb4ea6283p-8, -0x1.de837e9dfbd2bp-8, -0x1.d250d3ef5ed5fp-8, -0x1.c66378817525p-8, -0x1.baba33224e016p-8, -0x1.af53cdd3b146bp-8, -0x1.a42f15d340ecap-8, -0x1.994adba20169bp-8, -0x1.8ea5f30bc3af4p-8, -0x1.843f332db1a0dp-8, -0x1.7a15767ccfd8fp-8, -0x1.70279acbce198p-8, -0x1.667481507d19dp-8, -0x1.5cfb0ea8e4592p-8, -0x1.53ba2adfc1122p-8, -0x1.4ab0c170b77e5p-8, -0x1.41ddc14c1a8c3p-8, -0x1.39401cda03a95p-8, -0x1.30d6c9fd52573p-8, -0x1.28a0c215f2d2ap-8, -0x1.209d0202e3fdbp-8, -0x1.18ca8a2396a79p-8, -0x1.11285e59086e5p-8, -0x1.09b58606573d4p-8, -0x1.02710c10d939ep-8, -0x1.f6b3fdbfa698fp-9, -0x1.e8dee0b7655fep-9, -0x1.db60ebd9942fp-9, -0x1.ce3850f34a8e2p-9, -0x1.c16348ca08932p-9, -0x1.b4e013163ed34p-9, -0x1.a8acf67da5eadp-9, -0x1.9cc8408c21e8cp-9, -0x1.913045ac44e65p-9, -0x1.85e3611eb824ep-9, -0x1.7adff4f0e7758p-9, -0x1.702469f2f7eb3p-9, -0x1.65af2face26fep-9, -0x1.5b7ebc52fc8c2p-9, -0x1.51918cb988eb8p-9, -0x1.47e62447ee5f1p-9, -0x1.3e7b0ceb0c012p-9, -0x1.354ed7074e4c5p-9, -0x1.2c6019697e3fdp-9, -0x1.23ad713810ddcp-9, -0x1.1b3581e2f98c2p-9, -0x1.12f6f513cbd53p-9, -0x1.0af07a9cdeb48p-9, -0x1.0320c86896bb6p-9, -0x1.f70d34cff4c17p-10, -0x1.e84165024d933p-10, -0x1.d9dbb0faeb84dp-10, -0x1.cbd9b3eef77f5p-10, -0x1.be39149154378p-10, -0x1.b0f784ee29987p-10, -0x1.a412c245caac5p-10, -0x1.978894e79dc5p-10, -0x1.8b56d00c67051p-10, -0x1.7f7b51b1861a5p-10, -0x1.73f4027322602p-10, -0x1.68bed5679363p-10, -0x1.5dd9c7f940733p-10, -0x1.5342e1c230901p-10, -0x1.48f83466f1712p-10, -0x1.3ef7db71c0fbfp-10, -0x1.353ffc2e2cf32p-10, -0x1.2bcec585221b9p-10, -0x1.22a26fd83ada3p-10, -0x1.19b93cdea4458p-10, -0x1.111177815b74p-10, -0x1.08a973b8561b6p-10, -0x1.007f8e679741cp-10, -0x1.f1245a79915a7p-11, -0x1.e1bf7d1a39e4fp-11, -0x1.d2cd7266ad55bp-11, -0x1.c44b38dd88a5fp-11, -0x1.b635df82e1a59p-11, -0x1.a88a85a06cb76p-11, -0x1.9b465a8284103p-11, -0x1.8e669d3942e52p-11, -0x1.81e89c5853c91p-11, -0x1.75c9b5b7c238dp-11, -0x1.6a0756358e083p-11, -0x1.5e9ef9784ccd4p-11, -0x1.538e29b0ae372p-11, -0x1.48d27f5dc45c9p-11, -0x1.3e69a1106166ep-11, -0x1.3451432f97f1fp-11, -0x1.2a8727bd2a162p-11, -0x1.21091e1ba241fp-11, -0x1.17d502d464dfdp-11, -0x1.0ee8bf5ceb62dp-11, -0x1.064249dec29dap-11, -0x1.fbbf49fcb477ap-12, -0x1.eb7dbf47d8515p-12, -0x1.dbbc2985fda61p-12, -0x1.cc76d646fb569p-12, -0x1.bdaa2a56ac114p-12, -0x1.af52a15097cdap-12, -0x1.a16ccd34a8cbdp-12, -0x1.93f555fce5c88p-12, -0x1.86e8f9344ead3p-12, -0x1.7a44898e68e3fp-12, -0x1.6e04ee7fea19p-12, -0x1.622723d9baddbp-12, -0x1.56a839610c587p-12, -0x1.4b85526db0c94p-12, -0x1.40bba585414dap-12, -0x1.36487bfa1f479p-12, -0x1.2c293188f5298p-12, -0x1.225b33fbdeb71p-12, -0x1.18dc02c6f1aafp-12, -0x1.0fa92ead6be15p-12, -0x1.06c0596438916p-12, -0x1.fc3e6a6c8e63dp-13, -0x1.eb87095436bd6p-13, -0x1.db56344fe738dp-13, -0x1.cba7af4621b44p-13, -0x1.bc775c81c13b4p-13, -0x1.adc13c06ce004p-13, -0x1.9f816aea87b21p-13, -0x1.91b422abce645p-13, -0x1.8455b88d8bfabp-13, -0x1.77629cf49bfdfp-13, -0x1.6ad75ac820f05p-13, -0x1.5eb096d3f7dep-13, -0x1.52eb0f2cd5f77p-13, -0x1.47839a977fb4ap-13, -0x1.3c7727f30bfeap-13, -0x1.31c2bda35715bp-13, -0x1.2763790377818p-13, -0x1.1d568dcebec54p-13, -0x1.1399459d14fp-13, -0x1.0a28ff51509cp-13, -0x1.01032e942ce8cp-13, -0x1.f04ab69c66178p-14, -0x1.df1a42480eedfp-14, -0x1.ce705decdc52ep-14, -0x1.be488cc398c86p-14, -0x1.ae9e7687599bbp-14, -0x1.9f6de679f83a6p-14, -0x1.90b2ca8538c23p-14, -0x1.8269323af19d7p-14, -0x1.748d4dfb32b74p-14, -0x1.671b6e0f1b40cp-14, -0x1.5a1001cba11b5p-14, -0x1.4d6796b881fdcp-14, -0x1.411ed7ba1a6f8p-14, -0x1.35328c439349ep-14, -0x1.299f9787035d9p-14, -0x1.1e62f7b127b4fp-14, -0x1.1379c522736ebp-14, -0x1.08e131b2a4633p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.b106e4c4fdff9p-1, 0x1.9d82b2842307dp-1, 0x1.89e20970babdbp-1, 0x1.76642c24c6e04p-1, 0x1.633df31926a35p-1, 0x1.509b271f17c47p-1, 0x1.3e9f6ad6266ffp-1, 0x1.2d670ae959e99p-1, 0x1.1d0822245ff59p-1, 0x1.0d934d1db5b92p-1, 0x1.fe28c0143193cp-2, 0x1.e326490f9b5b8p-2, 0x1.ca2784aeb0efp-2, 0x1.b32e914c97682p-2, 0x1.9e388eb242b9fp-2, 0x1.8b3e2b7f8dbc6p-2, 0x1.7a341e2b22d7bp-2, 0x1.6b0c0fc636701p-2, 0x1.5db56c6081342p-2, 0x1.521dbce152fc5p-2, 0x1.4830f3a5aeac1p-2, 0x1.3fdabd7bc1031p-2, 0x1.390429beccd48p-2, 0x1.33972c5fbb39fp-2, 0x1.2f7cf90af59ffp-2, 0x1.2c9e9de0b9312p-2, 0x1.2ae55871a738p-2, 0x1.2a3acf7f54adcp-2, 0x1.2a892b19e433p-2, 0x1.2bbb1ce63eaf2p-2, 0x1.2dbbebe0145eap-2, 0x1.3077894b98c15p-2, 0x1.33daa829d31a3p-2, 0x1.37d2cebd7697dp-2, 0x1.3c4e5f77213b8p-2, 0x1.413c9bf69a571p-2, 0x1.468da5e09148dp-2, 0x1.4c327f974eaecp-2, 0x1.521d0d1871fc8p-2, 0x1.5840145209726p-2, 0x1.5e8f3be22311cp-2, 0x1.64ff0740e86c6p-2, 0x1.6b84d000fa4a1p-2, 0x1.7216bce85e722p-2, 0x1.78abb86342acbp-2, 0x1.7f3b679ea3ac1p-2, 0x1.85be229f4d8c8p-2, 0x1.8c2cecaa303d5p-2, 0x1.92816bff0b94ap-2, 0x1.98b5e0639e22ep-2, 0x1.9ec518debc3f5p-2, 0x1.a4aa69a30d0f9p-2, 0x1.aa61a32686e1ep-2, 0x1.afe70ada7c486p-2, 0x1.b53755595aa1dp-2, 0x1.ba4fa18a9d09ap-2, 0x1.bf2d743f92be8p-2, 0x1.c3ceb3f0b9fd2p-2, 0x1.c831a45854548p-2, 0x1.cc54e1a5c1c15p-2, 0x1.d0375b0bc765cp-2, 0x1.d3d84c93e7fd2p-2, 0x1.d737386367d14p-2, 0x1.da549c232a1a6p-2, 0x1.dd2f251d9d943p-2, 0x1.dfc77f45cfc3fp-2, 0x1.e21e01d950849p-2, 0x1.e4332ec4a82abp-2, 0x1.e607ad77395c8p-2, 0x1.e79c46ae3489fp-2, 0x1.e8f1e123422e2p-2, 0x1.ea097eebd46b7p-2, 0x1.eae43b479abcbp-2, 0x1.eb83489cf79e8p-2, 0x1.ebe7ee6dcaeeap-2, 0x1.ec138721bf7ccp-2, 0x1.ec077d9925074p-2, 0x1.ebc54a8ff59f4p-2, 0x1.eb4e71e830548p-2, 0x1.eaa47ffaed471p-2, 0x1.e9c907103ac04p-2, 0x1.e8bd9d18927acp-2, 0x1.e783d9b9943e8p-2, 0x1.e61d54b565768p-2, 0x1.e48ba4aa5ac69p-2, 0x1.e2d05e210c832p-2, 0x1.e0ed12da673eep-2, 0x1.dee3514dbb2a6p-2, 0x1.dcb4a447a647cp-2, 0x1.da62929cb802fp-2, 0x1.d7ee9ee4ee397p-2, 0x1.d55a4736ddd12p-2, 0x1.d2a704daac13bp-2, 0x1.cfd64bee76f03p-2, 0x1.cce98af7fb01dp-2, 0x1.c9e22a629b059p-2, 0x1.c6c18bed167c8p-2, 0x1.c3890a0e4dcd6p-2, 0x1.c039f75b8abf3p-2, 0x1.bcd59dfbe6dc4p-2, 0x1.b95d3f3337332p-2, 0x1.b5d2130bafcc4p-2, 0x1.b2354820f9ae3p-2, 0x1.ae88038ae8ceap-2, 0x1.aacb60e255332p-2, 0x1.a7007258b4fa8p-2, 0x1.a32840db08b64p-2, 0x1.9f43cc3a4e2d2p-2, 0x1.9b540b5635e68p-2, 0x1.9759ec498a5bp-2, 0x1.93565499ab46ep-2, 0x1.8f4a216b675fep-2, 0x1.8b3627bf3e7b1p-2, 0x1.871b34b5df3ep-2, 0x1.82fa0ddc1216ap-2, 0x1.7ed3717bc7a74p-2, 0x1.7aa816eee053p-2, 0x1.7678aeefec60fp-2, 0x1.7245e3e573587p-2, 0x1.6e105a25155eep-2, 0x1.69d8b02d04715p-2, 0x1.659f7ed36a29dp-2, 0x1.6165596c488f6p-2, 0x1.5d2acde71fcb8p-2, 0x1.58f064e611e4dp-2, 0x1.54b6a1d05fec8p-2, 0x1.507e02e2117e4p-2, 0x1.4c47013a6e1bp-2, 0x1.481210eab3351p-2, 0x1.43dfa1061c71bp-2, 0x1.3fb01bb42eb3bp-2, 0x1.3b83e645d239fp-2, 0x1.375b614dab184p-2, 0x1.3336e8bbd41a7p-2, 0x1.2f16d3fceaea9p-2, 0x1.2afb761c2a308p-2, 0x1.26e51de81caccp-2, 0x1.22d416194d9fdp-2, 0x1.1ec8a57a3c011p-2, 0x1.1ac30f0fd4bc2p-2, 0x1.16c39241a8513p-2, 0x1.12ca6b0143adcp-2, 0x1.0ed7d1f0132fcp-2, 0x1.0aebfc8377dcfp-2, 0x1.07071d26e2d43p-2, 0x1.0329635bdfa89p-2, 0x1.fea5f7b07dd28p-3, 0x1.f709d1b36b161p-3, 0x1.ef7ab274cd012p-3, 0x1.e7fb2487c48d8p-3, 0x1.e08b7045e8a36p-3, 0x1.d92bd919f571bp-3, 0x1.d1dc9daa37352p-3, 0x1.ca9df8062b6e1p-3, 0x1.c3701dd68b938p-3, 0x1.bc53408ec4cecp-3, 0x1.b5478d9f0b68dp-3, 0x1.ae4d2ea60f37ep-3, 0x1.a76449a185dcfp-3, 0x1.a08d011cd923p-3, 0x1.99c7745d63163p-3, 0x1.9313bf8bcac04p-3, 0x1.8c71fbda43173p-3, 0x1.85e23fa779f9ep-3, 0x1.7f649e9e519efp-3, 0x1.78f929d26d413p-3, 0x1.729fefd9d4c4ap-3, 0x1.6c58fce3f06b7p-3, 0x1.66245ace3f1edp-3, 0x1.600211371919ap-3, 0x1.59f2258edc322p-3, 0x1.53f49b27f2594p-3, 0x1.4e097345ec5dcp-3, 0x1.4830ad2c16fc6p-3, 0x1.426a462bbd405p-3, 0x1.3cb639b254e7p-3, 0x1.37148157bb79cp-3, 0x1.318514eca3c89p-3, 0x1.2c07ea89382bbp-3, 0x1.269cf69c05c72p-3, 0x1.21442bf91d75fp-3, 0x1.1bfd7be96b3f2p-3, 0x1.16c8d63a2042bp-3, 0x1.11a6294c2e3efp-3, 0x1.0c956223a7d0bp-3, 0x1.07966c76fbc24p-3, 0x1.02a932bde9fbep-3, 0x1.fb9b3c8049c8p-4, 0x1.f2072e4709988p-4, 0x1.e89608f3877b7p-4, 0x1.df47989b6c6b6p-4, 0x1.d61ba75fe57e9p-4, 0x1.cd11fd85e976ap-4, 0x1.c42a618d517c6p-4, 0x1.bb649846df6b7p-4, 0x1.b2c064e9488c7p-4, 0x1.aa3d89253a2f8p-4, 0x1.a1dbc53884227p-4, 0x1.999ad80075526p-4, 0x1.917a7f0b83c19p-4, 0x1.897a76aa5f4edp-4, 0x1.819a7a0072a61p-4, 0x1.79da4313fc656p-4, 0x1.72398addc428ep-4, 0x1.6ab80958844b3p-4, 0x1.635575900ccp-4, 0x1.5c1185b02b875p-4, 0x1.54ebef1364ec5p-4, 0x1.4de4665176495p-4, 0x1.46fa9f4daa2dap-4, 0x1.402e4d44f8163p-4, 0x1.397f22dbf1d63p-4, 0x1.32ecd22c709c5p-4, 0x1.2c770cd305fb1p-4, 0x1.261d83fc20f0fp-4, 0x1.1fdfe870e85ap-4, 0x1.19bdeaa3c0efep-4, 0x1.13b73abc75855p-4, 0x1.0dcb88a4052fep-4, 0x1.07fa84100978cp-4, 0x1.0243dc8db982dp-4, 0x1.f94e8319014a4p-5, 0x1.ee48c4d05d9fap-5, 0x1.e375dce579d8fp-5, 0x1.d8d529fb4e545p-5, 0x1.ce660ac5c551ap-5, 0x1.c427de1adaeb4p-5, 0x1.ba1a0302f5ea8p-5, 0x1.b03bd8c89055ep-5, 0x1.a68cbf0720f1fp-5, 0x1.9d0c15b9677cap-5, 0x1.93b93d470e42ep-5, 0x1.8a939691c224dp-5, 0x1.819a8301b34eap-5, 0x1.78cd64919acbfp-5, 0x1.702b9dda4550ep-5, 0x1.67b4921da87e6p-5, 0x1.5f67a55197bf1p-5, 0x1.57443c2a0f3c4p-5, 0x1.4f49bc2325cf2p-5, 0x1.47778b8aadaafp-5, 0x1.3fcd11897c031p-5, 0x1.3849b62c69447p-5, 0x1.30ece26d0008ap-5, 0x1.29b60039ec596p-5, 0x1.22a47a7f1ef52p-5, 0x1.1bb7bd2da655dp-5, 0x1.14ef35434f12ap-5, 0x1.0e4a50d1f2469p-5, 0x1.07c87f06860a8p-5, 0x1.0169302fe628ap-5, 0x1.f657ab8aace25p-6, 0x1.ea1fc4d97929ap-6, 0x1.de2994012b799p-6, 0x1.d274032b45338p-6, 0x1.c6fdff0091b7dp-6, 0x1.bbc676b3585ffp-6, 0x1.b0cc5c0905f42p-6, 0x1.a60ea36336656p-6, 0x1.9b8c43c833e6p-6, 0x1.914436eae23cbp-6, 0x1.873579321ca69p-6, 0x1.7d5f09bf7ff25p-6, 0x1.73bfea75ad80bp-6, 0x1.6a571ffe023bbp-6, 0x1.6123b1cdc1851p-6, 0x1.5824aa2ab6ed5p-6, 0x1.4f59162f65366p-6, 0x1.46c005cea2451p-6, 0x1.3e588bd6c4975p-6, 0x1.3621bdf44dd7dp-6, 0x1.2e1ab4b426433p-6, 0x1.26428b8563f0dp-6, 0x1.1e9860ba9eb4ap-6, 0x1.171b558ae5b52p-6, 0x1.0fca8e12419a5p-6, 0x1.08a53151db415p-6, 0x1.01aa692fbaff6p-6, 0x1.f5b2c4ec6f583p-7, 0x1.e86299a60bf02p-7, 0x1.db62b5abde337p-7, 0x1.ceb183de7f664p-7, 0x1.c24d74dbc48d3p-7, 0x1.b634fefa6531ep-7, 0x1.aa669e4507572p-7, 0x1.9ee0d474d2651p-7, 0x1.93a228eb6fb6ap-7, 0x1.88a928ac94ef7p-7, 0x1.7df466571277fp-7, 0x1.73827a1d74335p-7, 0x1.695201be22233p-7, 0x1.5f61a07b3673dp-7, 0x1.55afff11c99c5p-7, 0x1.4c3bcbb0f8206p-7, 0x1.4303b9f07cf03p-7, 0x1.3a0682c6f5ee5p-7, 0x1.3142e47fe3ec3p-7, 0x1.28b7a2b125cb2p-7, 0x1.20638630754d6p-7, 0x1.18455d0850457p-7, 0x1.105bfa6ccded3p-7, 0x1.08a636b00436p-7, 0x1.0122ef365b151p-7, 0x1.f3a20cd510445p-8, 0x1.e55ec762a65d5p-8, 0x1.d779e6ba56067p-8, 0x1.c9f14d430fbddp-8, 0x1.bcc2e70c3697dp-8, 0x1.afeca9b39d651p-8, 0x1.a36c944b56862p-8, 0x1.9740af3f0e5ffp-8, 0x1.8b670c393446p-8, 0x1.7fddc607ebf1p-8, 0x1.74a30081acc49p-8, 0x1.69b4e869bd0e1p-8, 0x1.5f11777092bcep-8, 0x1.54b767f13fc72p-8, 0x1.4aa4c08b7222bp-8, 0x1.40d7d09dd0381p-8, 0x1.374eefe83e9acp-8, 0x1.2e087e6f9d00ap-8, 0x1.2502e4617c309p-8, 0x1.1c3c91f7b469bp-8, 0x1.13b3ff5c1d025p-8, 0x1.0b67ac8c18651p-8, 0x1.0356213c603c1p-8, 0x1.f6fbd97969ca8p-9, 0x1.e7bb4bb738c5dp-9, 0x1.d8e7d59492871p-9, 0x1.ca7ec201313d9p-9, 0x1.bc7d6a4226562p-9, 0x1.aee135ba551eep-9, 0x1.a1a799b31051dp-9, 0x1.94ce19251cf4ep-9, 0x1.88524481d8203p-9, 0x1.7c31b97cf5547p-9, 0x1.706a22d662886p-9, 0x1.64f93824c5e5dp-9, 0x1.59dcbda0129bdp-9, 0x1.4f1283ecdda79p-9, 0x1.449867e7e7885p-9, 0x1.3a6c52723d628p-9, 0x1.308c383dc5a89p-9, 0x1.26f6199a2015p-9, 0x1.1da802425b902p-9, 0x1.14a0092ac71b3p-9, 0x1.0bdc504f7c82p-9, 0x1.035b048376a88p-9, 0x1.f634ba8006173p-10, 0x1.e63138e9a2e37p-10, 0x1.d6a81cb119f02p-10, 0x1.c7961273d8efep-10, 0x1.b8f7daa2ca1adp-10, 0x1.aaca49267782ap-10, 0x1.9d0a4504a793ep-10, 0x1.8fb4c806ab7bbp-10, 0x1.82c6de60e8ce2p-10, 0x1.763da65b8126bp-10, 0x1.6a164ffbdd37bp-10, 0x1.5e4e1caf5393bp-10, 0x1.52e25ef710583p-10, 0x1.47d07a148093dp-10, 0x1.3d15e1b75d215p-10, 0x1.32b019ac27395p-10, 0x1.289cb58c3a581p-10, 0x1.1ed9586e665ep-10, 0x1.1563b498ab0c4p-10, 0x1.0c398b331dddbp-10, 0x1.0358abfb5adp-10, 0x1.f57de9f2a2611p-11, 0x1.e4d4a469b0bep-11, 0x1.d4b17ad835dep-11, 0x1.c5107b965152dp-11, 0x1.b5edcf49220dcp-11, 0x1.a745b85468c4ap-11, 0x1.9914924fb4038p-11, 0x1.8b56d17c54a75p-11, 0x1.7e09023dac068p-11, 0x1.7127c8931f309p-11, 0x1.64afdf932b147p-11, 0x1.589e18e9c3bb1p-11, 0x1.4cef5c572b12bp-11, 0x1.41a0a730faaeap-11, 0x1.36af0be54bc19p-11, 0x1.2c17b17f69634p-11, 0x1.21d7d32e6a591p-11, 0x1.17ecbfcd60322p-11, 0x1.0e53d96dd82fap-11, 0x1.050a94e3bf832p-11, 0x1.f81cf2a6b6d8fp-12, 0x1.e6ba3f8234e4cp-12, 0x1.d5e865467141ep-12, 0x1.c5a2daea24335p-12, 0x1.b5e5389ab39c7p-12, 0x1.a6ab36e74d57ap-12, 0x1.97f0adf70b1bap-12, 0x1.89b194bcfa65dp-12, 0x1.7bea003284f28p-12, 0x1.6e96229512445p-12, 0x1.61b24aa77665fp-12, 0x1.553ae2f7957bap-12, 0x1.492c7126dcdc1p-12, 0x1.3d83953710f2ap-12, 0x1.323d08dbe41c6p-12, 0x1.27559ecd7166ap-12, 0x1.1cca4221ab93cp-12, 0x1.1297f5a68bfa4p-12, 0x1.08bbd342b30ecp-12, 0x1.fe6616ae6b8b3p-13, 0x1.ebf5c84c7813ep-13, 0x1.da217278fa96dp-13, 0x1.c8e3f5beca4bap-13, 0x1.b8385af8a137fp-13, 0x1.a819d23c1098fp-13, 0x1.9883b1c5a3f15p-13, 0x1.897174efa52a3p-13, 0x1.7adebb2c145c2p-13, 0x1.6cc747084811ap-13, 0x1.5f26fd31c27c4p-13, 0x1.51f9e387315a2p-13, 0x1.453c202a63c16p-13, 0x1.38e9f898bea59p-13, 0x1.2cffd0ccb6cfbp-13, 0x1.217a2a5faa501p-13, 0x1.1655a3b78ff59p-13, 0x1.0b8ef72f6c4cfp-13, 0x1.0122fa52e26f5p-13, 0x1.ee1d3a272717fp-14, 0x1.da9dd20f600f8p-14, 0x1.c7c2015b110fap-14, 0x1.b5843d669a163p-14, 0x1.a3df2a84e085p-14, 0x1.92cd9aa1fd7ecp-14, 0x1.824a8beccfb22p-14, 0x1.72512789f158dp-14, 0x1.62dcc04cd5921p-14, 0x1.53e8d17c6f616p-14, 0x1.4570fda0840d1p-14, 0x1.37710d4f2caf5p-14, 0x1.29e4ee06000b1p-14, 0x1.1cc8b114192b8p-14, 0x1.10188a7ad1c52p-14, 0x1.03d0cfe15e08ap-14, 0x1.efdbef148c668p-15, 0x1.d8d92ea29f613p-15, 0x1.c292c75f9949dp-15, 0x1.ad025d8e2b0e1p-15, 0x1.9821cee1dc338p-15, 0x1.83eb30af9cb22p-15, 0x1.7058ce26a4262p-15, 0x1.5d65269524dddp-15, 0x1.4b0aebc0d6f6cp-15, 0x1.3945003df7e25p-15, 0x1.280e75d8d73bbp-15, 0x1.17628c069b879p-15, 0x1.073cae6b521d3p-15, 0x1.ef30e6b7f878ep-16, 0x1.d0e334e728ed3p-16, 0x1.b3881662163fep-16, 0x1.9717a72b5b851p-16, 0x1.7b8a4dc4cc8eap-16, 0x1.60d8b8932d573p-16, 0x1.46fbdb5fbd5efp-16, 0x1.2dececf9d1ac1p-16, 0x1.15a564e172cc8p-16, 0x1.fc3df1edd576cp-17, 0x1.cea7368e5f1f8p-17, 0x1.a27aeff0ec0e7p-17, 0x1.77ade64d47c5ap-17, 0x1.4e354da57293ep-17, 0x1.2606c21931858p-17, 0x1.fe3087e73aedbp-18, 0x1.b2c0680b09a99p-18, 0x1.69aaa01ea3cbep-18, 0x1.22dd5e9d94f52p-18, 0x1.bc8efc920c961p-19, 0x1.37b0ff4051d7fp-19, 0x1.6e020ae2a1a7bp-20, 0x1.d3040e3eb4405p-22, -0x1.f26f8fb378c0dp-22, -0x1.664d40ea97f64p-20, -0x1.2444c3ecaf1d5p-19, -0x1.91c290c051624p-19, -0x1.fbb9400b9acbcp-19, -0x1.31208c7650983p-18, -0x1.62b8bd9d3e992p-18, -0x1.92b073fdc1e14p-18, -0x1.c11285a8b9f3cp-18, -0x1.ede962026439p-18, -0x1.0c9f8b37118cbp-17, -0x1.218ea919a4c86p-17, -0x1.35c6b535def1fp-17, -0x1.494c2ee7fe0ccp-17, -0x1.5c236c2bd116ep-17, -0x1.6e509b65195acp-17, -0x1.7fd7c50d5d8d1p-17, -0x1.90bccd49a9af8p-17, -0x1.a10375976ce62p-17, -0x1.b0af5e3d6307cp-17, -0x1.bfc407c6ff5f8p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.580accc89884p+0, -0x1.4f0191ad35982p+0, -0x1.45ae273a59f11p+0, -0x1.3c346ed794b1ap+0, -0x1.32b32bb81aa97p+0, -0x1.2944635ccf418p+0, -0x1.1ffdd7efc5f3ep+0, -0x1.16f171b199fdbp+0, -0x1.0e2dba019a672p+0, -0x1.05be2ca174925p+0, -0x1.fb57269cb18ccp-1, -0x1.ebf8d26739c4fp-1, -0x1.dd6a2f516595p-1, -0x1.cfb087dc00747p-1, -0x1.c2ce4b386ce85p-1, -0x1.b6c36376e5fa6p-1, -0x1.ab8d71d50e4b6p-1, -0x1.a1283e1aa5f24p-1, -0x1.978e2ae973c89p-1, -0x1.8eb87a610ad8cp-1, -0x1.869f768be0a6dp-1, -0x1.7f3aa92f2ad87p-1, -0x1.7880bfa94590bp-1, -0x1.7268591dfab7bp-1, -0x1.6ce7cc520ff5cp-1, -0x1.67f55b4f65ce6p-1, -0x1.63874113ba1d4p-1, -0x1.5f93c30b6cca5p-1, -0x1.5c1148b7491fcp-1, -0x1.58f672a6b2287p-1, -0x1.563a2a5831b21p-1, -0x1.53d3aa9ea7854p-1, -0x1.51ba8472ea2a1p-1, -0x1.4fe6a3c97f499p-1, -0x1.4e50551f42758p-1, -0x1.4cf04a3bb2a5bp-1, -0x1.4bbf9cb434132p-1, -0x1.4ab7ce37e0943p-1, -0x1.49d2c7cbfaa09p-1, -0x1.490ad8f725f8ap-1, -0x1.485ab6e4089e8p-1, -0x1.47bd7ad507797p-1, -0x1.472e9f6539f4cp-1, -0x1.46a9fcb764377p-1, -0x1.462bc431ff585p-1, -0x1.45b07c5fb5214p-1, -0x1.4534fd1ed4194p-1, -0x1.44b66bdd60d33p-1, -0x1.44323782373a2p-1, -0x1.43a613dcdcd16p-1, -0x1.430ff4cbf0b39p-1, -0x1.426e097af60d7p-1, -0x1.41beb80c25839p-1, -0x1.410099d59ecb4p-1, -0x1.40327833d45bdp-1, -0x1.3f5349e4ea262p-1, -0x1.3e6230dac2a9ep-1, -0x1.3d5e785e60655p-1, -0x1.3c47933e5255p-1, -0x1.3b1d19aba7281p-1, -0x1.39dec67b05608p-1, -0x1.388c73bfaff98p-1, -0x1.37261707ecd04p-1, -0x1.35abaf612119ap-1, -0x1.341d82a1205cbp-1, -0x1.327bb44788345p-1, -0x1.30c6866592288p-1, -0x1.2efe4b38ee6e1p-1, -0x1.2d2364143326dp-1, -0x1.2b364030fe863p-1, -0x1.29375b5d1f7cep-1, -0x1.27273c83516e8p-1, -0x1.2506741bf05b7p-1, -0x1.22d59a987a69dp-1, -0x1.20954edd8b00ep-1, -0x1.1e4634db68a86p-1, -0x1.1be8f44ef2187p-1, -0x1.197e37adb2849p-1, -0x1.1706ab3a01879p-1, -0x1.1482fc388f05p-1, -0x1.11f3d8400f974p-1, -0x1.0f59ec9d36295p-1, -0x1.0cb5e5c77d461p-1, -0x1.0a086ee522eaep-1, -0x1.0752315daedb5p-1, -0x1.0493d47a627fp-1, -0x1.01cdfd13c00f4p-1, -0x1.fe029a967c01ap-2, -0x1.f85cc8a0ed0bcp-2, -0x1.f2abbc628870bp-2, -0x1.ecf0a7682517bp-2, -0x1.e72cb475a9549p-2, -0x1.e16107580b933p-2, -0x1.db8ebcbc38041p-2, -0x1.d5b6ea0327a4cp-2, -0x1.cfda9d0d16cfcp-2, -0x1.c9fadbf9506acp-2, -0x1.c418a4dca7248p-2, -0x1.be34ed74f01d8p-2, -0x1.b850a2e289ae9p-2, -0x1.b26ca9710b047p-2, -0x1.ac89dc76088b5p-2, -0x1.a6a90e48e0bebp-2, -0x1.a0cb085223029p-2, -0x1.9af08b2d997d2p-2, -0x1.951a4ed825ac5p-2, -0x1.8f4902e2c85b1p-2, -0x1.897d4ea60a583p-2, -0x1.83b7d1739edbap-2, -0x1.7df922c6be44ap-2, -0x1.7841d2756a608p-2, -0x1.729268e557f64p-2, -0x1.6ceb674673666p-2, -0x1.674d47d390316p-2, -0x1.61b87e18130bfp-2, -0x1.5c2d773824a94p-2, -0x1.56ac9a384b781p-2, -0x1.5136484182da2p-2, -0x1.4bcadcdfa37ccp-2, -0x1.466aae390d748p-2, -0x1.41160d3fa93a8p-2, -0x1.3bcd45dc24adp-2, -0x1.36909f14bf2b7p-2, -0x1.31605b31171dbp-2, -0x1.2c3cb7dc12d15p-2, -0x1.2725ee44a7f28p-2, -0x1.221c333ddbca1p-2, -0x1.1d1fb75e0a528p-2, -0x1.1830a71d6d8c7p-2, -0x1.134f2af3dd26ap-2, -0x1.0e7b6775f4a88p-2, -0x1.09b57d71f02ap-2, -0x1.04fd8a0cb576ep-2, -0x1.0053a6df95ea1p-2, -0x1.f76fd42e65fdcp-3, -0x1.ee54cd27b878cp-3, -0x1.e5565816cc14cp-3, -0x1.dc748e58a81c3p-3, -0x1.d3af8383ba754p-3, -0x1.cb0745b070e5cp-3, -0x1.c27bddc108e8cp-3, -0x1.ba0d4fa74b5a4p-3, -0x1.b1bb9aa7307cfp-3, -0x1.a986b9959b012p-3, -0x1.a16ea312f1c15p-3, -0x1.997349c19bb93p-3, -0x1.91949c78cb495p-3, -0x1.89d34c14f8b4bp-3, -0x1.822d704635e81p-3, -0x1.7aa3f8f7af32p-3, -0x1.7336c92bc83abp-3, -0x1.6be5c0c0fb5b3p-3, -0x1.64b0bc993f371p-3, -0x1.5d9796c301d64p-3, -0x1.569a26a3338b3p-3, -0x1.4fb8411fd082dp-3, -0x1.48f1b8ca52954p-3, -0x1.42465e097db7fp-3, -0x1.3bb5ff41e99f4p-3, -0x1.354068fce8ae1p-3, -0x1.2ee5660d4f4c9p-3, -0x1.28a4bfb1efaa4p-3, -0x1.227e3db585501p-3, -0x1.1c71a68c0c1c6p-3, -0x1.167ebf6d8389ap-3, -0x1.10a54c6e3d09cp-3, -0x1.0ae51094dfae2p-3, -0x1.053dcdee6152ep-3, -0x1.ff5e8b404b5c5p-4, -0x1.f4726ff149cc9p-4, -0x1.e9b6c8fd8ed87p-4, -0x1.df2b1400900ep-4, -0x1.d4cecd3eb3457p-4, -0x1.caa16fbf8990ap-4, -0x1.c0a275676bd71p-4, -0x1.b6d15710a89cbp-4, -0x1.ad2d8ca49e6ebp-4, -0x1.a3b68d34d48e4p-4, -0x1.9a6bcf1428b75p-4, -0x1.914cc7f022606p-4, -0x1.8858ecea45f9cp-4, -0x1.7f8fb2b1769a5p-4, -0x1.76f08d9b252eap-4, -0x1.6e7af1bc3a85p-4, -0x1.662e530191769p-4, -0x1.5e0a2547d6c81p-4, -0x1.560ddc72af171p-4, -0x1.4e38ec82fca7fp-4, -0x1.468ac9ac2f16p-4, -0x1.3f02e868830a4p-4, -0x1.37a0bd8c26e3p-4, -0x1.3063be573964cp-4, -0x1.294b6086a0dep-4, -0x1.22571a63bde9bp-4, -0x1.1b8662d301e75p-4, -0x1.14d8b16174f25p-4, -0x1.0e4d7e513c0f3p-4, -0x1.07e442a52dfaep-4, -0x1.019c782b8f6b6p-4, -0x1.f6eb33100ddfdp-5, -0x1.eade4479befa1p-5, -0x1.df111d675b64fp-5, -0x1.d382b88ad122ap-5, -0x1.c832128416e57p-5, -0x1.bd1e29ef9ac5fp-5, -0x1.b245ff73f78cep-5, -0x1.a7a895cf0a40dp-5, -0x1.9d44f1e274fb2p-5, -0x1.931a1abf9dccbp-5, -0x1.892719b3338afp-5, -0x1.7f6afa5037785p-5, -0x1.75e4ca7a9547p-5, -0x1.6c939a713ee87p-5, -0x1.63767cd7d0085p-5, -0x1.5a8c86bfad968p-5, -0x1.51d4cfb0a321fp-5, -0x1.494e71b0ef3ecp-5, -0x1.40f8894cbf4fcp-5, -0x1.38d2359d1405ep-5, -0x1.30da984e078aap-5, -0x1.2910d5a475b05p-5, -0x1.2174148301ef7p-5, -0x1.1a037e6e7c3ebp-5, -0x1.12be3f91a4c61p-5, -0x1.0ba386c04e6d5p-5, -0x1.04b28579ea1fp-5, -0x1.fbd4dfd6eaf3ap-6, -0x1.ee94f9e1b49cdp-6, -0x1.e1a3cc2b84ddap-6, -0x1.d4ffcf2bc6a7ep-6, -0x1.c8a780b99ea3dp-6, -0x1.bc99640a969aap-6, -0x1.b0d401b070d85p-6, -0x1.a555e7962b437p-6, -0x1.9a1da8fc3e203p-6, -0x1.8f29de742fd4fp-6, -0x1.847925db7fcbdp-6, -0x1.7a0a2256005efp-6, -0x1.6fdb7c47a6243p-6, -0x1.65ebe14dd88eep-6, -0x1.5c3a04385633ap-6, -0x1.52c49d01ab454p-6, -0x1.498a68c74b2f5p-6, -0x1.408a29c1501dbp-6, -0x1.37c2a739ebb4p-6, -0x1.2f32ad848a5dfp-6, -0x1.26d90df4acbb4p-6, -0x1.1eb49ed483d49p-6, -0x1.16c43b5b46f0bp-6, -0x1.0f06c3a34f028p-6, -0x1.077b1c9ff6facp-6, -0x1.002030134265ep-6, -0x1.f1e9d9069a4d7p-7, -0x1.e3f08a5f0a043p-7, -0x1.d652640b60ffdp-7, -0x1.c90d5f2d7b02p-7, -0x1.bc1f7e16d0d94p-7, -0x1.af86cc31578dap-7, -0x1.a3415de80b1c1p-7, -0x1.974d508f1ae5dp-7, -0x1.8ba8ca4bd12bp-7, -0x1.8051f9fc16974p-7, -0x1.7547171dc48d9p-7, -0x1.6a8661b590b67p-7, -0x1.600e2235dc681p-7, -0x1.55dca96529fcfp-7, -0x1.4bf0504469595p-7, -0x1.424777f516236p-7, -0x1.38e0899f22312p-7, -0x1.2fb9f656bf977p-7, -0x1.26d2370207898p-7, -0x1.1e27cc3e8633dp-7, -0x1.15b93e46b4261p-7, -0x1.0d851cd75b31fp-7, -0x1.0589ff14f2234p-7, -0x1.fb8d06e1e8c7ap-8, -0x1.ec729f1e6a3c4p-8, -0x1.ddc220566e51cp-8, -0x1.cf78f1fb1a391p-8, -0x1.c19489428b4e2p-8, -0x1.b41268f2cdddep-8, -0x1.a6f0212d00653p-8, -0x1.9a2b4f38a0307p-8, -0x1.8dc19d4f115fp-8, -0x1.81b0c2675e5a5p-8, -0x1.75f6820240339p-8, -0x1.6a90abf662661p-8, -0x1.5f7d1c3d02139p-8, -0x1.54b9babed3e7dp-8, -0x1.4a447b2144e63p-8, -0x1.401b5c9410c9p-8, -0x1.363c699f40862p-8, -0x1.2ca5b7f1799c6p-8, -0x1.2355682ebfa7bp-8, -0x1.1a49a5bf990a2p-8, -0x1.1180a6a09e8a8p-8, -0x1.08f8ab327901dp-8, -0x1.00affe0a457dp-8, -0x1.f149e78502a69p-9, -0x1.e1abd598a36dcp-9, -0x1.d2829682ad33fp-9, -0x1.c3cb0d6bc3914p-9, -0x1.b58230177baffp-9, -0x1.a7a5068abe65ep-9, -0x1.9a30aab33eb71p-9, -0x1.8d22480fdd582p-9, -0x1.80771b5a11f73p-9, -0x1.742c7230661bap-9, -0x1.683faac1dd076p-9, -0x1.5cae337a8293bp-9, -0x1.51758ab0e94fap-9, -0x1.46933e54c7b8ep-9, -0x1.3c04eb9ea0db4p-9, -0x1.31c83ec06ec5p-9, -0x1.27daf2977bd96p-9, -0x1.1e3aad03c1b56p-9, -0x1.14e58e3f391a6p-9, -0x1.0bd955c31f8bp-9, -0x1.0313f620dff0ep-9, -0x1.f526de3cdf56fp-10, -0x1.e4ab9add2be5ep-10, -0x1.d4b254d489a6dp-10, -0x1.c53757961aa44p-10, -0x1.b63706cd3df24p-10, -0x1.a7adddd6d71d9p-10, -0x1.99986f3cb0e92p-10, -0x1.8bf364330e7dep-10, -0x1.7ebb7c18668bcp-10, -0x1.71ed8bf736586p-10, -0x1.65867e0a1f661p-10, -0x1.59835141effeap-10, -0x1.4de118cdfd187p-10, -0x1.429cfba67381bp-10, -0x1.37b43418d65e2p-10, -0x1.2d240f568db0dp-10, -0x1.22e9ed0572ee3p-10, -0x1.19033ed27f9d7p-10, -0x1.0f6d880687862p-10, -0x1.06265d1ccf1dbp-10, -0x1.fa56c6b7a17e8p-11, -0x1.e8f4a0dfa996dp-11, -0x1.d821d40f2913ep-11, -0x1.c7da0ae5837d2p-11, -0x1.b8190e84ca68ep-11, -0x1.a8dac5d69b922p-11, -0x1.9a1b34d45ef25p-11, -0x1.8bd67bd343387p-11, -0x1.7e08d6d40e3c9p-11, -0x1.70ae9cd6443b3p-11, -0x1.63c43f2ef5904p-11, -0x1.574648e300807p-11, -0x1.4b315e04b379ap-11, -0x1.3f823b14f11ebp-11, -0x1.3435b467683a6p-11, -0x1.2948b58a5f814p-11, -0x1.1eb840b17d22dp-11, -0x1.14816e23a6c32p-11, -0x1.0aa16bac4719fp-11, -0x1.01157c0f591c4p-11, -0x1.efb5ed0118038p-12, -0x1.ddde8c3abf72ap-12, -0x1.cc9fd2d40f9cfp-12, -0x1.bbf4e3a26974ap-12, -0x1.abd9064d8a65cp-12, -0x1.9c47a659928e6p-12, -0x1.8d3c523762f6ap-12, -0x1.7eb2ba598301fp-12, -0x1.70a6b04e81339p-12, -0x1.631425e02915dp-12, -0x1.55f72c37d0062p-12, -0x1.494bf3077b31dp-12, -0x1.3d0ec7b79401dp-12, -0x1.313c149987bb3p-12, -0x1.25d0601efcc2cp-12, -0x1.1ac84c151d2a4p-12, -0x1.102094e4c0491p-12, -0x1.05d610d6d8012p-12, -0x1.f7cb5eb9799e2p-13, -0x1.e498f0ba5fd3fp-13, -0x1.d20f17099f4a5p-13, -0x1.c0283f36d4d43p-13, -0x1.aedf03b91cb89p-13, -0x1.9e2e2aa852a35p-13, -0x1.8e10a47e4c6bdp-13, -0x1.7e818adf9b7efp-13, -0x1.6f7c1f6b3cb45p-13, -0x1.60fbca91b9297p-13, -0x1.52fc1a73d15abp-13, -0x1.4578c1c76e388p-13, -0x1.386d96c48d115p-13, -0x1.2bd69217b19d7p-13, -0x1.1fafcddc3359p-13, -0x1.13f5849c24d0bp-13, -0x1.08a41057e3cc2p-13, -0x1.fb6fd323fab62p-14, -0x1.e65b4cc866821p-14, -0x1.d203f33057daap-14, -0x1.be63638e95082p-14, -0x1.ab737100a6938p-14, -0x1.992e22e5827c9p-14, -0x1.878db34056f52p-14, -0x1.768c8d254cd9ap-14, -0x1.66254b32d2b5p-14, -0x1.5652b614d0321p-14, -0x1.470fc311f0a28p-14, -0x1.385792a526fc2p-14, -0x1.2a256f1ecb63bp-14, -0x1.1c74cb52eeec7p-14, -0x1.0f41414da7ddp-14, -0x1.02869113b6941p-14, -0x1.ec813ed671cb9p-15, -0x1.d4d6e95c9471fp-15, -0x1.be067749cf417p-15, -0x1.a80880d2f767ep-15, -0x1.92d5dea851c92p-15, -0x1.7e67a7dea5dcbp-15, -0x1.6ab72fe7616dbp-15, -0x1.57be049972696p-15, -0x1.4575ec45a93d9p-15, -0x1.33d8e3e0a5c8p-15, -0x1.22e11d34ad179p-15, -0x1.1288fd230f3dcp-15, -0x1.02cb19f6aa3a2p-15, -0x1.e744737c066bap-16, -0x1.ca12a17320282p-16, -0x1.adf6ff949a0fp-16, -0x1.92e825f793125p-16, -0x1.78dd001cf5b0bp-16, -0x1.5fccca22a0009p-16, -0x1.47af0e0e86512p-16, -0x1.307ba12bd97b1p-16, -0x1.1a2aa17f4131ep-16, -0x1.04b4734db6624p-16, -0x1.e0237d70e3ea5p-17, -0x1.b876dad7a9f36p-17, -0x1.925550bbc8f42p-17, -0x1.6db1ab47468bap-17, -0x1.4a7f2cb013355p-17, -0x1.28b18917084aep-17, -0x1.083ce2959535cp-17, -0x1.d22b8ae6ada62p-18, -0x1.966248d440d0dp-18, -0x1.5d08aa195d439p-18, -0x1.260a18a213c15p-18, -0x1.e2a56cc88cadap-19, -0x1.7d9eadb77b22cp-19, -0x1.1cdaf180a956ap-19, -0x1.806cff9325945p-20, -0x1.9e3b7ade2114p-21, -0x1.2c2c777ac27cfp-23, 0x1.f26f264ee9257p-22, 0x1.17844f14a8537p-20, 0x1.ab6fde787dc11p-20, 0x1.1c4c2152ece72p-19, 0x1.5f9aa3e05f9dcp-19, 0x1.9fbe66dd70cbap-19, 0x1.dcd16d3d29884p-19, 0x1.0b766abe18091p-18, 0x1.271471186cf84p-18, 0x1.414e81160e01ap-18, 0x1.5a2fec1089ec7p-18, 0x1.71c3a1299146ap-18, 0x1.881430fb4e782p-18, 0x1.9d2bd109c7fe4p-18, 0x1.b1145f35c370ep-18, 0x1.c3d765016b7c2p-18, 0x1.d57e1abd5a864p-18, 0x1.e6116a8e7982fp-18, 0x1.f599f363ba214p-18, 0x1.021005eb292efp-17, 0x1.08d5e268c4b38p-17, 0x1.0f22761f24e45p-17, 0x1.14f987c82315bp-17, 0x1.1a5ebf19c913ap-17, 0x1.1f55a5f3fe277p-17, 0x1.23e1a983717fcp-17, 0x1.28061b5843355p-17, 0x1.2bc63272b5079p-17, 0x1.2f250c4a7757cp-17, 0x1.3225adbc8cec4p-17, 0x1.34cb0407bf655p-17, 0x1.3717e5ab5c932p-17, 0x1.390f13472cd07p-17, 0x1.3ab3387126b88p-17, 0x1.3c06ec7cd6a01p-17, 0x1.3d0cb3486453dp-17, 0x1.3dc6fdf2f6af7p-17, 0x1.3e382b99e5d95p-17, 0x1.3e6289f99ef2dp-17, 0x1.3e485622d7e4p-17, 0x1.3debbd14011fdp-17, 0x1.3d4edc555bbcep-17, 0x1.3c73c28c1f708p-17, 0x1.3b5c700831402p-17, 0x1.3a0ad74e79cbcp-17, 0x1.3880dd986ab5p-17, 0x1.36c05b500afb7p-17, 0x1.34cb1c8c22e76p-17, 0x1.32a2e17f8a59ep-17, 0x1.30495ee9132fbp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2c45b3c56e6e3p-2, -0x1.38073bb8cc998p-2, -0x1.435d793f007bap-2, -0x1.4e4631d6901dep-2, -0x1.58bf6c316ebfap-2, -0x1.62c76e5c96df7p-2, -0x1.6c5cbbd349051p-2, -0x1.757e13832af26p-2, -0x1.7e2a6dc5ca275p-2, -0x1.8660fa534cd0ap-2, -0x1.8e211e319dfdep-2, -0x1.956a71a2cf88bp-2, -0x1.9c3cbe150c342p-2, -0x1.a297fc160e84ep-2, -0x1.a87c514bbe221p-2, -0x1.adea0e7353265p-2, -0x1.b2e1ad681b0d8p-2, -0x1.b763cf32cd9f2p-2, -0x1.bb713a2227e93p-2, -0x1.bf0ad7ed63453p-2, -0x1.c231b3e0fcf3bp-2, -0x1.c4e6f9161e593p-2, -0x1.c72bf0b4dbf54p-2, -0x1.c90200417e89p-2, -0x1.ca6aa7f4d3c9dp-2, -0x1.cb67811f9e5ebp-2, -0x1.cbfa3c990dda9p-2, -0x1.cc24a13831f21p-2, -0x1.cbe88a584d366p-2, -0x1.cb47e667e4284p-2, -0x1.ca44b58266c33p-2, -0x1.c8e1081449d9bp-2, -0x1.c71efd896597fp-2, -0x1.c500c30573cbbp-2, -0x1.c28892267ee1cp-2, -0x1.bfb8afd1159dcp-2, -0x1.bc936b0624c3ep-2, -0x1.b91b1bc24652cp-2, -0x1.b55221e665c25p-2, -0x1.b13ae42993e52p-2, -0x1.acd7cf13ecf53p-2, -0x1.a82b54026bd9ep-2, -0x1.a337e8338e11ep-2, -0x1.9e0003dcb00efp-2, -0x1.98862147fdf4cp-2, -0x1.92ccbbfae5d0dp-2, -0x1.8cd64fe4ec819p-2, -0x1.86a55896cd1d6p-2, -0x1.803c5081c9564p-2, -0x1.799db03f1158bp-2, -0x1.72cbeddf276fbp-2, -0x1.6bc97c41273edp-2, -0x1.6498ca71d3192p-2, -0x1.5d3c43124d839p-2, -0x1.55b64bc65c237p-2, -0x1.4e0944aa20bf4p-2, -0x1.463787cf19b36p-2, -0x1.3e4368c0560fbp-2, -0x1.362f340db63a8p-2, -0x1.2dfd2ede11f31p-2, -0x1.25af968825cccp-2, -0x1.1d48a032201c2p-2, -0x1.14ca7877a1cc9p-2, -0x1.0c37431614c4ap-2, -0x1.03911a9f22a2cp-2, -0x1.f5b420625af1fp-3, -0x1.e428566b336cbp-3, -0x1.d282d2497c489p-3, -0x1.c0c77a9ea140ap-3, -0x1.aefa215a41e77p-3, -0x1.9d1e8361f3871p-3, -0x1.8b384842e2ff9p-3, -0x1.794b01ed19131p-3, -0x1.675a2c77ea5ecp-3, -0x1.55692def50273p-3, -0x1.437b5629c8564p-3, -0x1.3193dea662f0bp-3, -0x1.1fb5ea72ac178p-3, -0x1.0de4861819beap-3, -0x1.f8454f214a429p-4, -0x1.d4e65c84932e7p-4, -0x1.b1b1c60209072p-4, -0x1.8eacf02e29233p-4, -0x1.6bdd12a655ddbp-4, -0x1.494738386992fp-4, -0x1.26f03f15030d4p-4, -0x1.04dcd90beac3ap-4, -0x1.c62317a411804p-5, -0x1.832562a0c447fp-5, -0x1.40c8eff735077p-5, -0x1.fe2b8ccde5949p-6, -0x1.7c272ea7d9bb3p-6, -0x1.f726fe8ac4443p-7, -0x1.f1fa450f08acdp-8, 0x1.0a2dfff2ab91dp-14, 0x1.f3e7d1987ce19p-8, 0x1.ee8931e8e1976p-7, 0x1.6fde91a9c918p-6, 0x1.e6bcf13fb540cp-6, 0x1.2deab26d72823p-5, 0x1.678f18d5fbb92p-5, 0x1.a0471940f5da6p-5, 0x1.d80e6aa7bc0a4p-5, 0x1.077086291dap-4, 0x1.225da247224d8p-4, 0x1.3ccccfb10551ap-4, 0x1.56bc769d23e21p-4, 0x1.702b20ca4b42ep-4, 0x1.891778d336687p-4, 0x1.a18049809a295p-4, 0x1.b9647d19f413dp-4, 0x1.d0c31cb554042p-4, 0x1.e79b4f8653dbdp-4, 0x1.fdec5a2c610e5p-4, 0x1.09dacf005099fp-3, 0x1.147b4c31ba0bdp-3, 0x1.1ed77104f59bfp-3, 0x1.28ef17259c3d4p-3, 0x1.32c225372711ap-3, 0x1.3c508e7be7db6p-3, 0x1.459a527c3716fp-3, 0x1.4e9f7cadf13e2p-3, 0x1.5760241c495edp-3, 0x1.5fdc6b10029acp-3, 0x1.68147eb8230a9p-3, 0x1.700896d3262c3p-3, 0x1.77b8f558c3f84p-3, 0x1.7f25e62451e5fp-3, 0x1.864fbe9fcb0fap-3, 0x1.8d36dd6f902d5p-3, 0x1.93dbaa1ede855p-3, 0x1.9a3e94cd14b05p-3, 0x1.a06015dbc9981p-3, 0x1.a640ad9db30c3p-3, 0x1.abe0e4067ffdcp-3, 0x1.b141485b8f839p-3, 0x1.b66270e5a0cbbp-3, 0x1.bb44faa380616p-3, 0x1.bfe988fdb022fp-3, 0x1.c450c57b1a9e9p-3, 0x1.c87b5f76d1d58p-3, 0x1.cc6a0bd6e5b71p-3, 0x1.d01d84c4508ffp-3, 0x1.d396896401593p-3, 0x1.d6d5dd91084cdp-3, 0x1.d9dc4997edaap-3, 0x1.dcaa99f3338bp-3, 0x1.df419f08ff46fp-3, 0x1.e1a22cea04c4p-3, 0x1.e3cd1b11940ecp-3, 0x1.e5c34426f1ad2p-3, 0x1.e78585bfde68ap-3, 0x1.e914c0245f45dp-3, 0x1.ea71d613c92e7p-3, 0x1.eb9dac8b07819p-3, 0x1.ec992a8c28188p-3, 0x1.ed6538e731265p-3, 0x1.ee02c2042cb67p-3, 0x1.ee72b1ae8ddb4p-3, 0x1.eeb5f4e1c715fp-3, 0x1.eecd7997398d2p-3, 0x1.eeba2e955f298p-3, 0x1.ee7d03403bea2p-3, 0x1.ee16e76b19128p-3, 0x1.ed88cb2b840b2p-3, 0x1.ecd39ead8c8edp-3, 0x1.ebf852094a0e1p-3, 0x1.eaf7d519a3034p-3, 0x1.e9d3175453928p-3, 0x1.e88b07a32d4dfp-3, 0x1.e720943e9d4f9p-3, 0x1.e594aa89646dfp-3, 0x1.e3e836ed87b38p-3, 0x1.e21c24ba7f417p-3, 0x1.e0315e048afc2p-3, 0x1.de28cb8544c21p-3, 0x1.dc03547d53256p-3, 0x1.d9c1de9751c55p-3, 0x1.d7654dcbdb0b3p-3, 0x1.d4ee8446b50e6p-3, 0x1.d25e624d1fdc7p-3, 0x1.cfb5c62543631p-3, 0x1.ccf58bfeb0ab7p-3, 0x1.ca1e8ddbfe516p-3, 0x1.c731a37d70613p-3, 0x1.c42fa24cb2a61p-3, 0x1.c1195d4998366p-3, 0x1.bdefa4f7e03efp-3, 0x1.bab3474e00ed6p-3, 0x1.b7650fa4e520bp-3, 0x1.b405c6a8a76d4p-3, 0x1.b096324a436bap-3, 0x1.ad1715b22d7bfp-3, 0x1.a9893133dc6e5p-3, 0x1.a5ed42423377dp-3, 0x1.a2440364cd55dp-3, 0x1.9e8e2c2e26dcdp-3, 0x1.9acc71329bc14p-3, 0x1.96ff84003a007p-3, 0x1.932813175f98bp-3, 0x1.8f46c9e420cecp-3, 0x1.8b5c50b8745c6p-3, 0x1.87694cc71afa6p-3, 0x1.836e601f46ac4p-3, 0x1.7f6c29a8ee726p-3, 0x1.7b634521d8f25p-3, 0x1.77544b1b4f203p-3, 0x1.733fd0f875271p-3, 0x1.6f2668ed48af2p-3, 0x1.6b08a1fe33cbap-3, 0x1.66e708003d5b8p-3, 0x1.62c22399ce11ep-3, 0x1.5e9a7a43fdd52p-3, 0x1.5a708e4c6cf9dp-3, 0x1.5644ded7a4f35p-3, 0x1.5217e7e3f50a7p-3, 0x1.4dea224cccdd7p-3, 0x1.49bc03ce8d9eep-3, 0x1.458dff0aca28fp-3, 0x1.4160838cfdd0ep-3, 0x1.3d33fdcfa076cp-3, 0x1.3908d741ab2c7p-3, 0x1.34df764c74d2cp-3, 0x1.30b83e59f21bep-3, 0x1.2c938fdb483c8p-3, 0x1.2871c84fb874bp-3, 0x1.2453424bd9e0dp-3, 0x1.203855811c4d7p-3, 0x1.1c2156c59bf74p-3, 0x1.180e981c3039dp-3, 0x1.140068bcbdf9fp-3, 0x1.0ff7151ccb268p-3, 0x1.0bf2e6f849a46p-3, 0x1.07f4255a8e34bp-3, 0x1.03fb14a78dbap-3, 0x1.0007f6a5331e3p-3, 0x1.f8361509e3d42p-4, 0x1.f06919daebc6ep-4, 0x1.e8a9700900d24p-4, 0x1.e0f786f1bcdf1p-4, 0x1.d953c9190c255p-4, 0x1.d1be9c3d92886p-4, 0x1.ca38616d4cc3ap-4, 0x1.c2c1751a584bp-4, 0x1.bb5a2f2fe3a1ep-4, 0x1.b402e3273ad76p-4, 0x1.acbbe01d01c0bp-4, 0x1.a58570e66c706p-4, 0x1.9e5fdc269e61cp-4, 0x1.974b64640e91bp-4, 0x1.9048481df5f81p-4, 0x1.8956c1e1c2673p-4, 0x1.827708608be1fp-4, 0x1.7ba94e848450bp-4, 0x1.74edc3866086bp-4, 0x1.6e449302b57e2p-4, 0x1.67ade50f46a05p-4, 0x1.6129de50413acp-4, 0x1.5ab8a00d616fap-4, 0x1.545a4846fedfap-4, 0x1.4e0ef1cafae42p-4, 0x1.47d6b449910e9p-4, 0x1.41b1a46a03c46p-4, 0x1.3b9fd3df24437p-4, 0x1.35a1517bb28a5p-4, 0x1.2fb629469308p-4, 0x1.29de648ed68dfp-4, 0x1.241a09ff94df2p-4, 0x1.1e691db393e0ap-4, 0x1.18cba148bdb4fp-4, 0x1.134193f35f3ffp-4, 0x1.0dcaf291318a2p-4, 0x1.0867b7bc299d2p-4, 0x1.0317dbdd0df8p-4, 0x1.fbb6aa7b9f588p-5, 0x1.f16430374dedap-5, 0x1.e7382d71e323cp-5, 0x1.dd3282dd9ed0dp-5, 0x1.d3530d7d009dap-5, 0x1.c999a6c4fe783p-5, 0x1.c00624beb2dbcp-5, 0x1.b6985a2887283p-5, 0x1.ad501696d2feap-5, 0x1.a42d2693f1b24p-5, 0x1.9b2f53bfcafcp-5, 0x1.925664eed10e1p-5, 0x1.89a21e4870821p-5, 0x1.81124164ef51fp-5, 0x1.78a68d6ac18a3p-5, 0x1.705ebf2b4a363p-5, 0x1.683a913f0f8f7p-5, 0x1.6039bc215c74dp-5, 0x1.585bf64b54171p-5, 0x1.50a0f44e73fb4p-5, 0x1.490868ee867p-5, 0x1.4192053b06833p-5, 0x1.3a3d78a7efd82p-5, 0x1.330a712606acdp-5, 0x1.2bf89b3a8ab1fp-5, 0x1.2507a2165f9b9p-5, 0x1.1e372faca78d4p-5, 0x1.1786ecc8d06fp-5, 0x1.10f68124180abp-5, 0x1.0a85937a81a98p-5, 0x1.0433c99f4658ep-5, 0x1.fc01912173009p-6, 0x1.efd869174ed4p-6, 0x1.e3eb623c5e4cfp-6, 0x1.d839c27427d7ap-6, 0x1.ccc2ce8d1d7a8p-6, 0x1.c185ca633842dp-6, 0x1.b681f9019225p-6, 0x1.abb69cc305594p-6, 0x1.a122f771c75bp-6, 0x1.96c64a661a48fp-6, 0x1.8c9fd6a3f9e74p-6, 0x1.82aedcf7e1d2ep-6, 0x1.78f29e12a30bap-6, 0x1.6f6a5aa448d4dp-6, 0x1.661553761f389p-6, 0x1.5cf2c983cfeb2p-6, 0x1.5401fe139f68ep-6, 0x1.4b4232cdcfeefp-6, 0x1.42b2a9d328e78p-6, 0x1.3a52a5d2a9d25p-6, 0x1.32216a1e6a127p-6, 0x1.2a1e3abfb1967p-6, 0x1.22485c8a3a2d6p-6, 0x1.1a9f152eb9319p-6, 0x1.1321ab4c9b05bp-6, 0x1.0bcf66830633dp-6, 0x1.04a78f8122a9fp-6, 0x1.fb52e02b47584p-7, 0x1.eda8a67b505f5p-7, 0x1.e04f0a65c5b12p-7, 0x1.d344a6f236623p-7, 0x1.c68819d6065bcp-7, 0x1.ba18038cd5b24p-7, 0x1.adf3076fa2e11p-7, 0x1.a217cbcab32ep-7, 0x1.9684f9f24ddf8p-7, 0x1.8b393e563f024p-7, 0x1.8033489449278p-7, 0x1.7571cb8965bcep-7, 0x1.6af37d62026ecp-7, 0x1.60b717a91e083p-7, 0x1.56bb57566d9f8p-7, 0x1.4cfefcdb77c54p-7, 0x1.4380cc2fbbf06p-7, 0x1.3a3f8cdbdcdf9p-7, 0x1.313a0a03ed504p-7, 0x1.286f1270ccc18p-7, 0x1.1fdd7898a9156p-7, 0x1.178412a6a8ba6p-7, 0x1.0f61ba81c1299p-7, 0x1.07754dd2c3dbep-7, 0x1.ff7b5c13499bep-8, 0x1.f07380c404ebap-8, 0x1.e1d0dbcdeb8dp-8, 0x1.d39146ec5afd9p-8, 0x1.c5b2a384bc619p-8, 0x1.b832daaa14c6ep-8, 0x1.ab0fdd1f52457p-8, 0x1.9e47a358626p-8, 0x1.91d82d7a1aa7bp-8, 0x1.85bf83590093fp-8, 0x1.79fbb476f9d98p-8, 0x1.6e8ad7ffef623p-8, 0x1.636b0cc56eb81p-8, 0x1.589a7939517d6p-8, 0x1.4e174b67794c5p-8, 0x1.43dfb8eea2874p-8, 0x1.39f1fef85f446p-8, 0x1.304c62303db66p-8, 0x1.26ed2eba25e3bp-8, 0x1.1dd2b827f83eap-8, 0x1.14fb596e722ffp-8, 0x1.0c6574d966154p-8, 0x1.040f73ff49857p-8, 0x1.f7ef8f684e29bp-9, 0x1.e839cff7f0342p-9, 0x1.d8faa7f8dd3b9p-9, 0x1.ca2f23dc717d3p-9, 0x1.bbd45e1b84158p-9, 0x1.ade77f16fa71cp-9, 0x1.a065bcf776134p-9, 0x1.934c5b8c26c53p-9, 0x1.8698ac28dbbb5p-9, 0x1.7a480d834cd7ap-9, 0x1.6e57eb8fbc2d6p-9, 0x1.62c5bf5cef326p-9, 0x1.578f0eef8bff9p-9, 0x1.4cb16d1cf096fp-9, 0x1.422a796580cc9p-9, 0x1.37f7dfce8159p-9, 0x1.2e1758bb82e3ep-9, 0x1.2486a8c76ccb9p-9, 0x1.1b43a09d2cb9bp-9, 0x1.124c1cd016d78p-9, 0x1.099e05b401e48p-9, 0x1.01374f3524d02p-9, 0x1.f22bf15f76ef5p-10, 0x1.e270198f0d9ap-10, 0x1.d337427e42287p-10, 0x1.c47dad9e76189p-10, 0x1.b63fb1fb7e65bp-10, 0x1.a879bbe9d4ab1p-10, 0x1.9b284cb4b8834p-10, 0x1.8e47fa4c4fc7cp-10, 0x1.81d56ef3d0f25p-10, 0x1.75cd68efcac43p-10, 0x1.6a2cba348db49p-10, 0x1.5ef04814c147cp-10, 0x1.54150af04054ep-10, 0x1.49980de32916bp-10, 0x1.3f766e754f2f6p-10, 0x1.35ad5c49f6dc8p-10, 0x1.2c3a18cfffa1p-10, 0x1.2319f6f26d82ap-10, 0x1.1a4a5ac96f415p-10, 0x1.11c8b94bde27p-10, 0x1.099298013ad16p-10, 0x1.01a58cb43a6f6p-10, 0x1.f3fe7a4bcab25p-11, 0x1.e53abd82900c9p-11, 0x1.d6fb6c9f8a7cbp-11, 0x1.c93c2f5c1788ep-11, 0x1.bbf8cb0367c49p-11, 0x1.af2d21df1726ap-11, 0x1.a2d532a52abccp-11, 0x1.96ed17e77e166p-11, 0x1.8b710784a7d62p-11, 0x1.805d521a5d84ep-11, 0x1.75ae62795e14ep-11, 0x1.6b60bd1aeabc7p-11, 0x1.6170ff97d31cfp-11, 0x1.57dbe0211b048p-11, 0x1.4e9e2cfa408a4p-11, 0x1.45b4cbf5236dap-11, 0x1.3d1cb9ef984cep-11, 0x1.34d30a52a4ff8p-11, 0x1.2cd4e6936edc5p-11, 0x1.251f8db5d9cbcp-11, 0x1.1db053d0df20cp-11, 0x1.1684a1949ade6p-11, 0x1.0f99f3d21304fp-11, 0x1.08eddb04ba79bp-11, 0x1.027dfaddb0e37p-11, 0x1.f89013a17e104p-12, 0x1.ec93a1462366p-12, 0x1.e10253f768123p-12, 0x1.d5d803eb8d324p-12, 0x1.cb10ab68eacdp-12, 0x1.c0a865f154ebfp-12, 0x1.b69b6f70fe37bp-12, 0x1.ace62370ca95bp-12, 0x1.a384fc4c1c958p-12, 0x1.9a74926a1111cp-12, 0x1.91b19b7a27ab8p-12, 0x1.8938e9b45737dp-12, 0x1.81076b1c84ac5p-12, 0x1.791a28c95c899p-12, 0x1.716e462e85c17p-12, 0x1.6a01006a2bd99p-12, 0x1.62cfad95d8a1dp-12, 0x1.5bd7bc1a95629p-12, 0x1.5516b20853f7cp-12, 0x1.4e8a2c708fa0cp-12, 0x1.482fdec425f8ep-12, 0x1.420592345e304p-12, 0x1.3c0925171837p-12, 0x1.36388a4e18243p-12, 0x1.3091c8b16a3ffp-12, 0x1.2b12fa7cd9612p-12, 0x1.25ba4cc068c23p-12, 0x1.2085fed3cc5ap-12, 0x1.1b7461ccd9dcbp-12, 0x1.1683d7f8e6aefp-12, 0x1.11b2d4590717bp-12, 0x1.0cffda212d53bp-12, 0x1.08697c3a18577p-12, 0x1.03ee5cc60cd52p-12, 0x1.ff1a59509e27ap-13, 0x1.f689561ea3c16p-13, 0x1.ee274a0326ccdp-13, 0x1.e5f1e9da3eb78p-13, 0x1.dde7047354c1fp-13, 0x1.d60481ba7779p-13, 0x1.ce4861e6c83aap-13, 0x1.c6b0bcadd956ap-13, 0x1.bf3bc07bf84bap-13, 0x1.b7e7b1b14bccdp-13, 0x1.b0b2e9e3b55b9p-13, 0x1.a99bd7255e21ep-13, 0x1.a2a0fb4fddf15p-13, 0x1.9bc0eb53edfd2p-13, 0x1.94fa4e8d8a7bfp-13, 0x1.8e4bde1c777cbp-13, 0x1.87b4644117d0bp-13, 0x1.8132bbbd76853p-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.1208521122dcep-2, -0x1.1e3cae2436b51p-2, -0x1.2a3dbd02ea0bdp-2, -0x1.360a0567bb219p-2, -0x1.41a0261eef736p-2, -0x1.4cfed5aa66736p-2, -0x1.5824e1da85b2p-2, -0x1.63112f5defacdp-2, -0x1.6dc2b94981b14p-2, -0x1.78389099fa6ddp-2, -0x1.8271dbb070bep-2, -0x1.8c6dd5caac3ffp-2, -0x1.962bce784be1p-2, -0x1.9fab290d87538p-2, -0x1.a8eb5c14473ap-2, -0x1.b1ebf0bc2f48fp-2, -0x1.baac824a286b7p-2, -0x1.c32cbd87e4507p-2, -0x1.cb6c6033c299ep-2, -0x1.d36b3871740b8p-2, -0x1.db29243baa01p-2, -0x1.e2a610d714954p-2, -0x1.e9e1fa46ef409p-2, -0x1.f0dceac33eab4p-2, -0x1.f796fa30fb15bp-2, -0x1.fe104d9c38ec8p-2, -0x1.02248b5a3b1e7p-1, -0x1.0520c9a58fc12p-1, -0x1.07fd066a2dd14p-1, -0x1.0ab96bf51a8a8p-1, -0x1.0d5629e910fc9p-1, -0x1.0fd375027b0c9p-1, -0x1.123186dca4434p-1, -0x1.14709db823545p-1, -0x1.1690fc427efcbp-1, -0x1.1892e95f0c04ep-1, -0x1.1a76aff1042edp-1, -0x1.1c3c9ea6d36c7p-1, -0x1.1de507c69e01dp-1, -0x1.1f7040fbf6c71p-1, -0x1.20dea326c9b8p-1, -0x1.22308a2b75525p-1, -0x1.236654c40fe58p-1, -0x1.24806452d783dp-1, -0x1.257f1cb5ca994p-1, -0x1.2662e41b63704p-1, -0x1.272c22d87786cp-1, -0x1.27db433f35325p-1, -0x1.2870b1773f953p-1, -0x1.28ecdb56e211cp-1, -0x1.2950303d5da87p-1, -0x1.299b20ee48c5dp-1, -0x1.29ce1f6e02d25p-1, -0x1.29e99edf340a1p-1, -0x1.29ee13615cb0ep-1, -0x1.29dbf1f069f4fp-1, -0x1.29b3b04554e6dp-1, -0x1.2975c4b7c1303p-1, -0x1.2922a6209ed66p-1, -0x1.28bacbbdc7c65p-1, -0x1.283ead1697302p-1, -0x1.27aec1e179275p-1, -0x1.270b81ea6ad5cp-1, -0x1.265564fa6dacep-1, -0x1.258ce2bfe4906p-1, -0x1.24b272b7db33ap-1, -0x1.23c68c18309f2p-1, -0x1.22c9a5baa588p-1, -0x1.21bc3608c5e5dp-1, -0x1.209eb2e8ac039p-1, -0x1.1f7191aa99f88p-1, -0x1.1e3546f76360ep-1, -0x1.1cea46bfa4b18p-1, -0x1.1b91042bc237fp-1, -0x1.1a29f18cadacdp-1, -0x1.18b5804d69fd4p-1, -0x1.173420e54b894p-1, -0x1.15a642caf038ap-1, -0x1.140c5467ea8fcp-1, -0x1.1266c30d1a7e4p-1, -0x1.10b5fae7b142p-1, -0x1.0efa66f6db196p-1, -0x1.0d347102097cep-1, -0x1.0b64818fda5abp-1, -0x1.098affdd98d0dp-1, -0x1.07a851d750234p-1, -0x1.05bcdc1070ee1p-1, -0x1.03c901bcfee6dp-1, -0x1.01cd24ab48b78p-1, -0x1.ff934a7c4019dp-2, -0x1.fb7dc4cf25756p-2, -0x1.f75a73483a83fp-2, -0x1.f32a0deca7be2p-2, -0x1.eeed49c5fe13dp-2, -0x1.eaa4d8db4cb5dp-2, -0x1.e6516a2b0b4bcp-2, -0x1.e1f3a9a5d3507p-2, -0x1.dd8c4029e0a93p-2, -0x1.d91bd37f50acbp-2, -0x1.d4a3065519711p-2, -0x1.d022783eb257dp-2, -0x1.cb9ac5b26900cp-2, -0x1.c70c880855026p-2, -0x1.c2785579efadbp-2, -0x1.bddec1223d66p-2, -0x1.b9405afe8a4ddp-2, -0x1.b49dafefb09ccp-2, -0x1.aff749bbe437fp-2, -0x1.ab4daf10fdd5cp-2, -0x1.a6a163873ea3p-2, -0x1.a1f2e7a48aa7cp-2, -0x1.9d42b8e00cb94p-2, -0x1.989151a64b73ep-2, -0x1.93df295d9cc3dp-2, -0x1.8f2cb46afcd3p-2, -0x1.8a7a643740e27p-2, -0x1.85c8a7349db3bp-2, -0x1.8117e8e482d42p-2, -0x1.7c6891ddc4a1bp-2, -0x1.77bb07d30f51ep-2, -0x1.730fad999f75bp-2, -0x1.6e66e3303c765p-2, -0x1.69c105c67509fp-2, -0x1.651e6fc411c18p-2, -0x1.607f78d0c0c2fp-2, -0x1.5be475dbf64a8p-2, -0x1.574db924fd8c6p-2, -0x1.52bb924334b0ep-2, -0x1.4e2e4e2e745a8p-2, -0x1.49a63747a164cp-2, -0x1.452395615cfbfp-2, -0x1.40a6adc8dcba2p-2, -0x1.3c2fc34edb65dp-2, -0x1.37bf1650abfep-2, -0x1.3354e4c160208p-2, -0x1.2ef16a330c589p-2, -0x1.2a94dfe01bd19p-2, -0x1.263f7cb4b8b64p-2, -0x1.21f175584626bp-2, -0x1.1daafc36e67f8p-2, -0x1.196c418b0e61cp-2, -0x1.153573672167dp-2, -0x1.1106bdbf18879p-2, -0x1.0ce04a722e9cap-2, -0x1.08c241548f256p-2, -0x1.04acc83909d6bp-2, -0x1.00a002fac8d34p-2, -0x1.f938270e04187p-3, -0x1.f14233cd584d2p-3, -0x1.e95e68905529dp-3, -0x1.e18cfe11f0bebp-3, -0x1.d9ce297e96012p-3, -0x1.d2221c875e36p-3, -0x1.ca890575345e3p-3, -0x1.c3030f3be467ap-3, -0x1.bb90618d1b6aep-3, -0x1.b43120eb4215ap-3, -0x1.ace56ebc48212p-3, -0x1.a5ad695c4bb85p-3, -0x1.9e892c3021339p-3, -0x1.9778cfb7bcec1p-3, -0x1.907c69a078ff1p-3, -0x1.89940cd737009p-3, -0x1.82bfc99a56945p-3, -0x1.7bffad8b88d78p-3, -0x1.7553c3c17c356p-3, -0x1.6ebc14d95537bp-3, -0x1.6838a707ffc15p-3, -0x1.61c97e2b55302p-3, -0x1.5b6e9bdb105aap-3, -0x1.5527ff798cc73p-3, -0x1.4ef5a64461d32p-3, -0x1.48d78b64bbe0ep-3, -0x1.42cda7ff8ed27p-3, -0x1.3cd7f3458af15p-3, -0x1.36f66282e5db5p-3, -0x1.3128e92ee8801p-3, -0x1.2b6f78fb43f29p-3, -0x1.25ca01e334f7dp-3, -0x1.2038723a6f4a7p-3, -0x1.1abab6bbc9892p-3, -0x1.1550ba97ba86bp-3, -0x1.0ffa678294a1ap-3, -0x1.0ab7a5c28ef82p-3, -0x1.05885c3d8ae18p-3, -0x1.006c7086a9e8p-3, -0x1.f6c78dd74393bp-4, -0x1.ecdc8503b21fcp-4, -0x1.e3178a668a61dp-4, -0x1.d9785f962456bp-4, -0x1.cffec4041756bp-4, -0x1.c6aa75159683ep-4, -0x1.bd7b2e3b591c2p-4, -0x1.b470a9090eafbp-4, -0x1.ab8a9d4c4f672p-4, -0x1.a2c8c1232801bp-4, -0x1.9a2ac9122568cp-4, -0x1.91b06819ee9cfp-4, -0x1.89594fcc61e91p-4, -0x1.812530614a1d1p-4, -0x1.7913b8ca95a5dp-4, -0x1.712496c81c86ep-4, -0x1.695776faf4dbfp-4, -0x1.61ac04f85398ep-4, -0x1.5a21eb5bfbd15p-4, -0x1.52b8d3da3d96p-4, -0x1.4b706751851d1p-4, -0x1.44484ddb79ac6p-4, -0x1.3d402eddaf456p-4, -0x1.3657b119eb6afp-4, -0x1.2f8e7abdfc214p-4, -0x1.28e4317326411p-4, -0x1.22587a6d26b8cp-4, -0x1.1beafa78cd6a4p-4, -0x1.159b560a2f029p-4, -0x1.0f69314a6f8d5p-4, -0x1.0954302528ee7p-4, -0x1.035bf6556cbbfp-4, -0x1.fb004ee4c3fa5p-5, -0x1.ef80cdf704acep-5, -0x1.e438b0c8edf24p-5, -0x1.d9273e412ab2fp-5, -0x1.ce4bbd5bfe5cdp-5, -0x1.c3a57540ca681p-5, -0x1.b933ad56df03ep-5, -0x1.aef5ad5997f7dp-5, -0x1.a4eabd6bc8e55p-5, -0x1.9b12262a7b5f5p-5, -0x1.916b30bf03117p-5, -0x1.87f526f068aa1p-5, -0x1.7eaf533430cf7p-5, -0x1.759900be80871p-5, -0x1.6cb17b91a01e5p-5, -0x1.63f8108ce4ab5p-5, -0x1.5b6c0d7afe64bp-5, -0x1.530cc11fae455p-5, -0x1.4ad97b44ecd78p-5, -0x1.42d18cc77a68ep-5, -0x1.3af447a2e4f84p-5, -0x1.3340fefd010c9p-5, -0x1.2bb70730dc247p-5, -0x1.2455b5d926472p-5, -0x1.1d1c61da1e54ep-5, -0x1.160a636af9573p-5, -0x1.0f1f141ed0148p-5, -0x1.0859ceed117eap-5, -0x1.01b9f0397e8f2p-5, -0x1.f67dabb761f2bp-6, -0x1.e9cfbe4c633fbp-6, -0x1.dd68d9da3b7ccp-6, -0x1.d147c318c2f06p-6, -0x1.c56b41db1481dp-6, -0x1.b9d2211a5e07fp-6, -0x1.ae7b2effedab4p-6, -0x1.a3653cee7ba8ep-6, -0x1.988f1f8ab4ad9p-6, -0x1.8df7aec30d3bep-6, -0x1.839dc5d6de1c8p-6, -0x1.7980435cd7382p-6, -0x1.6f9e0948c555fp-6, -0x1.65f5fcf0b4983p-6, -0x1.5c8707117288cp-6, -0x1.535013d276098p-6, -0x1.4a5012c92e91cp-6, -0x1.4185f6fbc5469p-6, -0x1.38f0b6e34fedcp-6, -0x1.308f4c6d77247p-6, -0x1.2860b4fd9f53ep-6, -0x1.2063f16d8ca6bp-6, -0x1.1898060d8d41fp-6, -0x1.10fbfaa42df95p-6, -0x1.098eda6d7817cp-6, -0x1.024fb419c37d6p-6, -0x1.f67b33983756fp-7, -0x1.e8af423081c85p-7, -0x1.db39c60080e04p-7, -0x1.ce18f7e369ddap-7, -0x1.c14b178548448p-7, -0x1.b4ce6b5c0f2aep-7, -0x1.a8a140a007444p-7, -0x1.9cc1eb439139dp-7, -0x1.912ec5ea4e9bbp-7, -0x1.85e631dfc24d9p-7, -0x1.7ae6970d51eb7p-7, -0x1.702e63efccbdp-7, -0x1.65bc0d8c6a25p-7, -0x1.5b8e0f6554a92p-7, -0x1.51a2eb6db6502p-7, -0x1.47f929fd627b6p-7, -0x1.3e8f59c408f8ap-7, -0x1.35640fbc0e70bp-7, -0x1.2c75e71d061f3p-7, -0x1.23c3814dce82ep-7, -0x1.1b4b85d65dd62p-7, -0x1.130ca2513e061p-7, -0x1.0b058a5cc00bep-7, -0x1.0334f78be99bp-7, -0x1.f73352ae44b51p-8, -0x1.e864ca194d6d4p-8, -0x1.d9fbeb81828c7p-8, -0x1.cbf6587ba54cdp-8, -0x1.be51bde85418dp-8, -0x1.b10bd3d364b4ap-8, -0x1.a4225d52f1489p-8, -0x1.979328661f9cfp-8, -0x1.8b5c0dd3a7982p-8, -0x1.7f7af10823b2ap-8, -0x1.73edbff42ebfep-8, -0x1.68b272ea58e6fp-8, -0x1.5dc70c7cf72bfp-8, -0x1.5329995bd68b3p-8, -0x1.48d83031d76f7p-8, -0x1.3ed0f18275bccp-8, -0x1.351207874869p-8, -0x1.2b99a60d75425p-8, -0x1.22660a5328ee2p-8, -0x1.19757ae50d806p-8, -0x1.10c6477bcce48p-8, -0x1.0856c8d99e415p-8, -0x1.002560a7e7e89p-8, -0x1.f060f2a9e574ep-9, -0x1.e0ed0be3786e3p-9, -0x1.d1ec041fc7bbep-9, -0x1.c35ae33f7537ap-9, -0x1.b536c19cf3426p-9, -0x1.a77cc7c93f00ap-9, -0x1.9a2a2e48f809ap-9, -0x1.8d3c3d51d3498p-9, -0x1.80b04c8877b89p-9, -0x1.7483c2bebf479p-9, -0x1.68b415b26e042p-9, -0x1.5d3ec9cc5ca48p-9, -0x1.522171e01dcc7p-9, -0x1.4759aeec21fc9p-9, -0x1.3ce52fda5f3bep-9, -0x1.32c1b14180fdap-9, -0x1.28ecfd26a5e43p-9, -0x1.1f64eabfa8002p-9, -0x1.16275e35fc7e5p-9, -0x1.0d32486a29a4ep-9, -0x1.0483a6b7d16e4p-9, -0x1.f8330574bb6bap-10, -0x1.e7e3e42495291p-10, -0x1.d8162c56183a7p-10, -0x1.c8c6380340b93p-10, -0x1.b9f077d77f127p-10, -0x1.ab9172bf744e8p-10, -0x1.9da5c579f17a5p-10, -0x1.902a222a5899bp-10, -0x1.831b4fec573f7p-10, -0x1.76762a68ed4a2p-10, -0x1.6a37a16ce06b5p-10, -0x1.5e5cb88084d4bp-10, -0x1.52e28680ed0e3p-10, -0x1.47c6353a72536p-10, -0x1.3d050104a89a9p-10, -0x1.329c385fad635p-10, -0x1.28893b92e46fcp-10, -0x1.1ec97c4d12a53p-10, -0x1.155a7d45d9556p-10, -0x1.0c39d1e09e51fp-10, -0x1.03651dd0d0944p-10, -0x1.f5b4297f2e319p-11, -0x1.e52cf3e5b576bp-11, -0x1.d5303feb6bfecp-11, -0x1.c5b9d084899afp-11, -0x1.b6c585d9a4e9fp-11, -0x1.a84f5ca0ca514p-11, -0x1.9a536d794db1cp-11, -0x1.8ccdec4a4e49bp-11, -0x1.7fbb27a3ebddap-11, -0x1.731788232a001p-11, -0x1.66df8fd87a0b7p-11, -0x1.5b0fd9b0ea72dp-11, -0x1.4fa518e1f46f3p-11, -0x1.449c1857e4a82p-11, -0x1.39f1ba26d730fp-11, -0x1.2fa2f6fe4544fp-11, -0x1.25acdd9f1c363p-11, -0x1.1c0c92545705dp-11, -0x1.12bf4e6e19861p-11, -0x1.09c25fbf40a34p-11, -0x1.0113281d66b4p-11, -0x1.f15e39c6a76ap-12, -0x1.e1278ceba0dc7p-12, -0x1.d17d7f95b81e7p-12, -0x1.c25b6be66c96ep-12, -0x1.b3bccf4c7b07ep-12, -0x1.a59d49a02a90ep-12, -0x1.97f89c4424127p-12, -0x1.8acaa94abfae3p-12, -0x1.7e0f729fbf628p-12, -0x1.71c319366616dp-12, -0x1.65e1dc3bd9fcbp-12, -0x1.5a68184dca9c8p-12, -0x1.4f5246b5464a5p-12, -0x1.449cfca5b0269p-12, -0x1.3a44ea7fcf74bp-12, -0x1.3046db18de9dap-12, -0x1.269fb305931b2p-12, -0x1.1d4c6fe90e8a7p-12, -0x1.144a27c7a5fa7p-12, -0x1.0b96085d76e7ap-12, -0x1.032d5678b3d4dp-12, -0x1.f61adaaf437bdp-13, -0x1.e6677c1460aa9p-13, -0x1.d73b9dae48f6dp-13, -0x1.c892754985dc9p-13, -0x1.ba6760c9d7c0dp-13, -0x1.acb5e509394f5p-13, -0x1.9f79acbd884f6p-13, -0x1.92ae8764c66acp-13, -0x1.86506837bf77p-13, -0x1.7a5b65230e0cdp-13, -0x1.6ecbb5c65416cp-13, -0x1.639db27997223p-13, -0x1.58cdd358944f3p-13, -0x1.4e58af54010fcp-13, -0x1.443afb48984aep-13, -0x1.3a71891bcb598p-13, -0x1.30f946de15116p-13, -0x1.27cf3df2bd52ep-13, -0x1.1ef0923d007e9p-13, -0x1.165a815277b03p-13, -0x1.0e0a61b2aed6fp-13, -0x1.05fda203ce89bp-13, -0x1.fc6390a87425ep-14, -0x1.ed48e2c219f63p-14, -0x1.dea69fc2bf82p-14, -0x1.d07857ac7a75ep-14, -0x1.c2b9c3be5067p-14, -0x1.b566c526477f8p-14, -0x1.a87b63bc348d4p-14, -0x1.9bf3ccc53fcbp-14, -0x1.8fcc51bfba6b8p-14, -0x1.840167374e73ep-14, -0x1.788fa3a138033p-14, -0x1.6d73be4069f0bp-14, -0x1.62aa8e11705b9p-14, -0x1.583108bde4dc7p-14, -0x1.4e0441974c59p-14, -0x1.44216899305d2p-14, -0x1.3a85c9725162fp-14, -0x1.312eca94c279ep-14, -0x1.2819ec4ccbb81p-14, -0x1.1f44c7de6a8fcp-14, -0x1.16ad0ea9480cp-14, -0x1.0e50895301a56p-14, -0x1.062d16f79c82ap-14, -0x1.fc8158c000643p-15, -0x1.ed12a67caac09p-15, -0x1.de0a52e0439d3p-15, -0x1.cf64c08c057bcp-15, -0x1.c11e77a1c04aap-15, -0x1.b3342468f14a9p-15, -0x1.a5a295fe4b92ap-15, -0x1.9866bd0d69da9p-15, -0x1.8b7daa947212p-15, -0x1.7ee48eb16594ep-15, -0x1.7298b778e3a19p-15, -0x1.66978fd620172p-15, -0x1.5ade9e73d47a8p-15, -0x1.4f6b84adf0e4ep-15, -0x1.443bfd8bd1c48p-15, -0x1.394ddcc2c6ebp-15, -0x1.2e9f0dc0ae4d2p-15, -0x1.242d92be77375p-15, -0x1.19f783da4a3c2p-15, -0x1.0ffb0e393459dp-15, -0x1.06367330102b3p-15, -0x1.f9500ee717418p-16, -0x1.e69c649e20837p-16, -0x1.d44ed9c4be3bcp-16, -0x1.c26482cb6d4aap-16, -0x1.b0da94e8a43d2p-16, -0x1.9fae64ba24e86p-16, -0x1.8edd64f25acd7p-16, -0x1.7e6525115dcb1p-16, -0x1.6e43502953ef2p-16, -0x1.5e75abaddb38bp-16, -0x1.4efa164e29245p-16, -0x1.3fce86d9973bdp-16, -0x1.30f10b2e4bf51p-16, -0x1.225fc731b7d14p-16, -0x1.1418f3d29c84p-16, -0x1.061ade1458f62p-16, -0x1.f0c7cc465fd66p-17, -0x1.d5e4fce29af72p-17, -0x1.bb8a55b87e02cp-17, -0x1.a1b4ffb549164p-17, -0x1.88624363b0309p-17, -0x1.6f8f8766a365ep-17, -0x1.573a4f030da7ep-17, -0x1.3f6038b814d33p-17, -0x1.27fefce575d7ep-17, -0x1.11146c7f7c49fp-17, -0x1.f53cdfa067dcdp-18, -0x1.c9360a8ac5fd9p-18, -0x1.9e108095d441cp-18, -0x1.73c890624250bp-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.90b3c35a4648dp-1, 0x1.8dbcec7f95be7p-1, 0x1.8a8b7c05a7cb1p-1, 0x1.871eed20b8dd2p-1, 0x1.8376f98fee41fp-1, 0x1.7f939754daabp-1, 0x1.7b74f6146c1b5p-1, 0x1.771b7c36b0b2ap-1, 0x1.7287c3d7eea42p-1, 0x1.6dba979accd55p-1, 0x1.68b4ef68dd827p-1, 0x1.6377ed2ca7c9cp-1, 0x1.5e04d98e5b59ap-1, 0x1.585d20baaab46p-1, 0x1.52824f39ca149p-1, 0x1.4c760edb4fb35p-1, 0x1.463a23ba9a0cfp-1, 0x1.3fd0695e768c1p-1, 0x1.393acff6009ffp-1, 0x1.327b59b4093fbp-1, 0x1.2b941849d2edbp-1, 0x1.24872a8180909p-1, 0x1.1d56b9f83d11bp-1, 0x1.1604f8f7d9916p-1, 0x1.0e94206f6975ep-1, 0x1.07066e0a3ee28p-1, 0x1.febc44c8fda1bp-2, 0x1.ef3afeb8f2832p-2, 0x1.df8d8cffb0098p-2, 0x1.cfb86f27662edp-2, 0x1.bfc01e6d19327p-2, 0x1.afa90b3676d8bp-2, 0x1.9f779ab783c96p-2, 0x1.8f3024c6363a8p-2, 0x1.7ed6f1da03bp-2, 0x1.6e7039357fca1p-2, 0x1.5e001f3832e72p-2, 0x1.4d8ab3d6ceee5p-2, 0x1.3d13f1380a03p-2, 0x1.2c9fba745b75p-2, 0x1.1c31da76f8aa8p-2, 0x1.0bce02fe7186dp-2, 0x1.f6ef9776aa141p-3, 0x1.d6656316c1b67p-3, 0x1.b6042b9f7bf8fp-3, 0x1.95d27bb9bc1ffp-3, 0x1.75d6a50528fe7p-3, 0x1.5616bf5637045p-3, 0x1.3698a81f6a06p-3, 0x1.176202034adeap-3, 0x1.f0f0691963fb4p-4, 0x1.b3c0d816152bap-4, 0x1.773f33208ce96p-4, 0x1.3b74e61cc70c7p-4, 0x1.006ae724c840bp-4, 0x1.8c536e6aceed5p-5, 0x1.1972c61c3350ep-5, 0x1.5086110000775p-6, 0x1.c694268a947b7p-8, -0x1.a68ab6aece89fp-8, -0x1.4137f4d955d61p-6, -0x1.0a81b0a7bd504p-5, -0x1.72779b67c7eb8p-5, -0x1.d873aff04bd8dp-5, -0x1.1e365975dfa82p-4, -0x1.4f2d1a21365f8p-4, -0x1.7f1a4564758ap-4, -0x1.adfa67e57444cp-4, -0x1.dbca6d3b54191p-4, -0x1.0443cecb61d25p-3, -0x1.1a17cdaf54e7cp-3, -0x1.2f60306193dc5p-3, -0x1.441c1ea45f4e9p-3, -0x1.584ae9a69527ap-3, -0x1.6bec0ac3ccfa7p-3, -0x1.7eff2242d1b24p-3, -0x1.9183f613376ebp-3, -0x1.a37a708aa4d9fp-3, -0x1.b4e29f2272b1cp-3, -0x1.c5bcb1362494bp-3, -0x1.d608f6c34ed88p-3, -0x1.e5c7df2b59205p-3, -0x1.f4f9f7f79552dp-3, -0x1.01cff5d0072adp-2, -0x1.08dd402abc7eap-2, -0x1.0fa54b674cefbp-2, -0x1.1628948cb87acp-2, -0x1.1c67a4b83c3b7p-2, -0x1.2263108a1ea3fp-2, -0x1.281b7794c434fp-2, -0x1.2d9183ce2b7efp-2, -0x1.32c5e903e518fp-2, -0x1.37b96451a6c58p-2, -0x1.3c6cbb9a7fefdp-2, -0x1.40e0bd04ceb98p-2, -0x1.45163e78fc326p-2, -0x1.490e1d230f1f6p-2, -0x1.4cc93cf71f6d2p-2, -0x1.50488838b861dp-2, -0x1.538cef0528ad5p-2, -0x1.569766e0cca75p-2, -0x1.5968ea4756b17p-2, -0x1.5c02783f154c9p-2, -0x1.5e6513ef3984dp-2, -0x1.6091c43920c82p-2, -0x1.628993549ea3ap-2, -0x1.644d8e6f43522p-2, -0x1.65dec54ea06f2p-2, -0x1.673e49f584c3cp-2, -0x1.686d304c28951p-2, -0x1.696c8dcb4ae4fp-2, -0x1.6a3d792a32e36p-2, -0x1.6ae10a0f92ed8p-2, -0x1.6b5858c543dd8p-2, -0x1.6ba47deecdacbp-2, -0x1.6bc69242bba6p-2, -0x1.6bbfae46ab00dp-2, -0x1.6b90ea0e0e9ddp-2, -0x1.6b3b5cfb9d578p-2, -0x1.6ac01d855e962p-2, -0x1.6a2040fb4a981p-2, -0x1.695cdb5077662p-2, -0x1.6876fee6bd572p-2, -0x1.676fbc5cd392fp-2, -0x1.6648225ecf798p-2, -0x1.65013d78fbee1p-2, -0x1.639c17ed025f5p-2, -0x1.6219b9894ffefp-2, -0x1.607b2782b3338p-2, -0x1.5ec164501d79fp-2, -0x1.5ced6f88807a5p-2, -0x1.5b0045c2bc32dp-2, -0x1.58fae07787c9dp-2, -0x1.56de35e55507cp-2, -0x1.54ab38f616b93p-2, -0x1.5262d926e19d1p-2, -0x1.500602715ce0fp-2, -0x1.4d959d36f174cp-2, -0x1.4b128e2dabe53p-2, -0x1.487db64ec7f1bp-2, -0x1.45d7f2c6d2831p-2, -0x1.43221ce75fd07p-2, -0x1.405d0a1a39fddp-2, -0x1.3d898bd60bb76p-2, -0x1.3aa86f9470cddp-2, -0x1.37ba7ec962b52p-2, -0x1.34c07edbf5e72p-2, -0x1.31bb31205cbbp-2, -0x1.2eab52d322efep-2, -0x1.2b919d15959abp-2, -0x1.286ec4eb4e3a5p-2, -0x1.25437b38d431ap-2, -0x1.22106cc34a88dp-2, -0x1.1ed642311d365p-2, -0x1.1b95a00ba6738p-2, -0x1.184f26c1bf5ddp-2, -0x1.150372ab30037p-2, -0x1.11b31c0cfbc74p-2, -0x1.0e5eb71e73ae8p-2, -0x1.0b06d40f144fbp-2, -0x1.07abff0d18f48p-2, -0x1.044ec04cc14b1p-2, -0x1.00ef9c103ea88p-2, -0x1.fb1e256081008p-3, -0x1.f45b414a2cc9cp-3, -0x1.ed977d20c2d12p-3, -0x1.e6d3c28e92ddfp-3, -0x1.e010f3ba5fadfp-3, -0x1.d94feb5db2a9p-3, -0x1.d2917cdc07f6fp-3, -0x1.cbd6745aca2bbp-3, -0x1.c51f96da0cd3ap-3, -0x1.be6da24df0c3dp-3, -0x1.b7c14db8b7748p-3, -0x1.b11b49456156dp-3, -0x1.aa7c3e62d9c8p-3, -0x1.a3e4cfdf9f0acp-3, -0x1.9d559a05d9f75p-3, -0x1.96cf32b7dad2p-3, -0x1.9052298cee192p-3, -0x1.89df07ee8400cp-3, -0x1.837651359824dp-3, -0x1.7d1882c8550c4p-3, -0x1.76c61437e6494p-3, -0x1.707f775e76962p-3, -0x1.6a45187d44cf6p-3, -0x1.64175e5ad514ap-3, -0x1.5df6aa6129d38p-3, -0x1.57e358bc04bd8p-3, -0x1.51ddc07725fb4p-3, -0x1.4be6339c7c6cp-3, -0x1.45fcff524d18ep-3, -0x1.40226bf93da1cp-3, -0x1.3a56bd4a40c17p-3, -0x1.349a32746246bp-3, -0x1.2eed063a6630bp-3, -0x1.294f6f103d933p-3, -0x1.23c19f38408b3p-3, -0x1.1e43c4e0344e7p-3, -0x1.18d60a3e11e5bp-3, -0x1.137895ac8aee9p-3, -0x1.0e2b89c7471dep-3, -0x1.08ef0586da823p-3, -0x1.03c3245c6ada2p-3, -0x1.fd4ffc9a09bdep-4, -0x1.f33b50193f834p-4, -0x1.e94866318c1ccp-4, -0x1.df775ba5cef68p-4, -0x1.d5c847349227cp-4, -0x1.cc3b39cb43a9ep-4, -0x1.c2d03eb88d61ap-4, -0x1.b9875bde07ca4p-4, -0x1.b06091e10b72fp-4, -0x1.a75bdc5ac2ba5p-4, -0x1.9e79320766ad5p-4, -0x1.95b884f4b4ed7p-4, -0x1.8d19c2af7f228p-4, -0x1.849cd47077da5p-4, -0x1.7c419f481e3a4p-4, -0x1.74080449d33e1p-4, -0x1.6befe0b617487p-4, -0x1.63f90e23eb728p-4, -0x1.5c2362a95a1f5p-4, -0x1.546eb103234d9p-4, -0x1.4cdac8bb8e986p-4, -0x1.45677650628bep-4, -0x1.3e148358017b6p-4, -0x1.36e1b6a5ac327p-4, -0x1.2fced46cec9e5p-4, -0x1.28db9e6426256p-4, -0x1.2207d3e6522f6p-4, -0x1.1b533213e3f1p-4, -0x1.14bd73f2d91ccp-4, -0x1.0e46528df8869p-4, -0x1.07ed85133e331p-4, -0x1.01b2c0f1790c7p-4, -0x1.f72b73ea36ec7p-5, -0x1.eb2c44c87dde5p-5, -0x1.df675633c337ap-5, -0x1.d3dc0740b2aa6p-5, -0x1.c889b4960b1b5p-5, -0x1.bd6fb89e785aep-5, -0x1.b28d6bb8f2fd7p-5, -0x1.a7e22467a218fp-5, -0x1.9d6d377d491c8p-5, -0x1.932df84949d9ap-5, -0x1.8923b8c236e02p-5, -0x1.7f4dc9af076a9p-5, -0x1.75ab7acee8a1bp-5, -0x1.6c3c1affb8887p-5, -0x1.62fef8632d059p-5, -0x1.59f36082af7e5p-5, -0x1.5118a071efd17p-5, -0x1.486e04f0377e7p-5, -0x1.3ff2da88818d3p-5, -0x1.37a66db05ef1bp-5, -0x1.2f880ae5aa983p-5, -0x1.2796fecb15307p-5, -0x1.1fd296439075cp-5, -0x1.183a1e8c9d1f4p-5, -0x1.10cce55781723p-5, -0x1.098a38e1708f6p-5, -0x1.0271680aaa927p-5, -0x1.f70384d9299e8p-6, -0x1.e97530ddaadefp-6, -0x1.dc3676b6f45c4p-6, -0x1.cf45fae450ddap-6, -0x1.c2a263f4caee8p-6, -0x1.b64a5aa9eeff3p-6, -0x1.aa3c8a18c9c16p-6, -0x1.9e779fc937dcp-6, -0x1.92fa4bd386433p-6, -0x1.87c340fc7a6ccp-6, -0x1.7cd134cfc3c92p-6, -0x1.7222dfb8e819p-6, -0x1.67b6fd1aaed83p-6, -0x1.5d8c4b6523aa3p-6, -0x1.53a18c2a280bep-6, -0x1.49f58430ac366p-6, -0x1.4086fb869b29dp-6, -0x1.3754bd9175a7p-6, -0x1.2e5d991db3514p-6, -0x1.25a0606cf5ee1p-6, -0x1.1d1be943059d7p-6, -0x1.14cf0cf1baa19p-6, -0x1.0cb8a863c53c2p-6, -0x1.04d79c266cf44p-6, -0x1.fa5598e497005p-7, -0x1.eb624266161dap-7, -0x1.dcd30c1c5df61p-7, -0x1.cea5d4d1eb5f8p-7, -0x1.c0d882dab4249p-7, -0x1.b369041c68e4dp-7, -0x1.a6554e15230bp-7, -0x1.999b5de077cebp-7, -0x1.8d39383b055e3p-7, -0x1.812ce9849656cp-7, -0x1.757485c0d1b07p-7, -0x1.6a0e28969a4d8p-7, -0x1.5ef7f54e2c3f3p-7, -0x1.543016cdf2207p-7, -0x1.49b4bf96317acp-7, -0x1.3f8429bb9e666p-7, -0x1.359c96e0d0577p-7, -0x1.2bfc502eb636bp-7, -0x1.22a1a64c0e22ap-7, -0x1.198af153ee7f8p-7, -0x1.10b690cb6b2d4p-7, -0x1.0822eb96638cdp-7, -0x1.ff9cdfd7041f3p-8, -0x1.ef6f268ef6369p-8, -0x1.dfb9a4bf2497ep-8, -0x1.d0796226e5349p-8, -0x1.c1ab74bcc519ap-8, -0x1.b34d008fb981cp-8, -0x1.a55b37a72fd44p-8, -0x1.97d359e20ce49p-8, -0x1.8ab2b4d4a9cc7p-8, -0x1.7df6a3a5e6968p-8, -0x1.719c8eeb597a1p-8, -0x1.65a1ec84b36dcp-8, -0x1.5a043f7663126p-8, -0x1.4ec117c386d94p-8, -0x1.43d612473e2a7p-8, -0x1.3940d88d65136p-8, -0x1.2eff20aac8dadp-8, -0x1.250ead14e1daep-8, -0x1.1b6d4c791fdd5p-8, -0x1.1218d993d5136p-8, -0x1.090f3b06c8abbp-8, -0x1.004e632f7fa98p-8, -0x1.efa89ffa89fbfp-9, -0x1.df3e158df69dbp-9, -0x1.cf59504182475p-9, -0x1.bff68f62e727ep-9, -0x1.b11228102c709p-9, -0x1.a2a884e256af9p-9, -0x1.94b6259803574p-9, -0x1.87379ec005f5bp-9, -0x1.7a29996412ee9p-9, -0x1.6d88d2b385cbp-9, -0x1.61521bae57631p-9, -0x1.558258d043e16p-9, -0x1.4a1681bc4146ap-9, -0x1.3f0ba0e83dfc3p-9, -0x1.345ed349430b5p-9, -0x1.2a0d47fffb188p-9, -0x1.20144005af975p-9, -0x1.16710dd9bf06dp-9, -0x1.0d21152f9e3acp-9, -0x1.0421ca9d6541p-9, -0x1.f6e16695ebecdp-10, -0x1.e616c9438a9acp-10, -0x1.d5df07fa87c91p-10, -0x1.c6358cb7ffa73p-10, -0x1.b715e022e696fp-10, -0x1.a87ba8f12adc3p-10, -0x1.9a62ab4e47989p-10, -0x1.8cc6c8437dfccp-10, -0x1.7fa3fd218b084p-10, -0x1.72f662ec16a35p-10, -0x1.66ba2dc6ba4c3p-10, -0x1.5aebac63c59f9p-10, -0x1.4f874774b69a7p-10, -0x1.4489811c70d71p-10, -0x1.39eef4633de7ap-10, -0x1.2fb454ac990f1p-10, -0x1.25d66d2ec777cp-10, -0x1.1c52206c494b5p-10, -0x1.132467af204a3p-10, -0x1.0a4a5285f4e57p-10, -0x1.01c106431622dp-10, -0x1.f30b7afac03d2p-11, -0x1.e32b8f25fcb62p-11, -0x1.d3dd105c308ffp-11, -0x1.c51aed96bfcb4p-11, -0x1.b6e03c850f2bcp-11, -0x1.a92838a13b0d3p-11, -0x1.9bee42489bacp-11, -0x1.8f2dddd81381ep-11, -0x1.82e2b2cc2828ap-11, -0x1.77088ae4e29c3p-11, -0x1.6b9b514d73ef9p-11, -0x1.609711c79bbf8p-11, -0x1.55f7f7dacb361p-11, -0x1.4bba4e0702245p-11, -0x1.41da7cfb5e178p-11, -0x1.38550ad05a49p-11, -0x1.2f269a45b646fp-11, -0x1.264bea03ff821p-11, -0x1.1dc1d3e1b6c53p-11, -0x1.15854c2c0941ep-11, -0x1.0d9360f31756ap-11, -0x1.05e93959c0f4cp-11, -0x1.fd0829d1db785p-12, -0x1.eec295cc97403p-12, -0x1.e0fc935cf28ap-12, -0x1.d3b12c2524601p-12, -0x1.c6db95722dd96p-12, -0x1.ba772f044c404p-12, -0x1.ae7f81ddf5361p-12, -0x1.a2f03f1952eb5p-12, -0x1.97c53ec42399dp-12, -0x1.8cfa7ec1f08a9p-12, -0x1.828c21b47d952p-12, -0x1.78766dea68892p-12, -0x1.6eb5cc53dac99p-12, -0x1.6546c77d39baep-12, -0x1.5c260a8fc55bap-12, -0x1.5350605807c0cp-12, -0x1.4ac2b2520a334p-12, -0x1.427a07bb2db54p-12, -0x1.3a7384a99bac6p-12, -0x1.32ac692935788p-12, -0x1.2b22105debff5p-12, -0x1.23d1efab65f47p-12, -0x1.1cb995e1ebdcp-12, -0x1.15d6aa7071b2ep-12, -0x1.0f26ec9bb6213p-12, -0x1.08a832ba5dfebp-12, -0x1.02586975f3645p-12, -0x1.f86b2621663eep-13, -0x1.ec7b8d602dee6p-13, -0x1.e0de5f5807fd3p-13, -0x1.d59019c50cdccp-13, -0x1.ca8d60200d864p-13, -0x1.bfd2fa57cfd14p-13, -0x1.b55dd392ddd85p-13, -0x1.ab2af8f9d100bp-13, -0x1.a1379889eab4dp-13, -0x1.9780ffefc6938p-13, -0x1.8e049b6a0ea9cp-13, -0x1.84bff4b3fd77bp-13, -0x1.7bb0b1f78707p-13, -0x1.72d494c706d7cp-13, -0x1.6a29791e40335p-13, -0x1.61ad546a9b46cp-13, -0x1.595e349a6646dp-13, -0x1.513a3f32feb0cp-13, -0x1.493fb06dbbecep-13, -0x1.416cda5b73b16p-13, -0x1.39c0240e75eafp-13, -0x1.323808cad889ep-13, -0x1.2ad3173cf3accp-13, -0x1.238ff0b5e8547p-13, -0x1.1c6d486e09ffap-13, -0x1.1569e2cd14a95p-13, -0x1.0e8494b80220fp-13, -0x1.07bc42e461e98p-13, -0x1.010fe131124c4p-13, -0x1.f4fce4087296p-14, -0x1.e80e0b5cba0aap-14, -0x1.db5173a504af9p-14, -0x1.cec571a64cf43p-14, -0x1.c2687287fdc7p-14, -0x1.b638fac0c547ep-14, -0x1.aa35a50c67844p-14, -0x1.9e5d216a78343p-14, -0x1.92ae3425a1c13p-14, -0x1.8727b4e35e36p-14, -0x1.7bc88dbbd66d5p-14, -0x1.708fba59bc71fp-14, -0x1.657c4721e6289p-14, -0x1.5a8d5062799a2p-14, -0x1.4fc20189727c7p-14, -0x1.4519946251c73p-14, -0x1.3a93505ac53f4p-14, -0x1.302e89ce17998p-14, -0x1.25eaa15737a98p-14, -0x1.1bc703292aa7ep-14, -0x1.11c3266dbabadp-14, -0x1.07de8caa34b66p-14, -0x1.fc31825417a8ep-15, -0x1.e8e2b0de68bf2p-15, -0x1.d5cfdf502122ep-15, -0x1.c2f85855847cfp-15, -0x1.b05b75eb75e18p-15, -0x1.9df8a06ac9f27p-15, -0x1.8bcf4d9d741aap-15, -0x1.79deffdd508dap-15, -0x1.6827453c36044p-15, -0x1.56a7b6b50e5cap-15, -0x1.455ff765acf99p-15, -0x1.344fb3d11f25bp-15, -0x1.2376a12a32be7p-15, -0x1.12d47ca5f137dp-15, -0x1.02690ad5d0a52p-15, -0x1.e4682e12b49p-16, -0x1.c46ae56e143ep-16, -0x1.a4d9e9d858028p-16, -0x1.85b4f386fb6c2p-16, -0x1.66fbc3c4b0218p-16, -0x1.48ae23f85f02ep-16, -0x1.2acbe4b85db6bp-16, -0x1.0d54dce975e8cp-16, -0x1.e091d1d2b2b6ap-17, -0x1.a74fd38831b7dp-17, -0x1.6ee388e883c38p-17, -0x1.374cc25a8218ap-17, -0x1.008b555f5c6cfp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.a084880388866p-1, 0x1.9fb1e57b52265p-1, 0x1.9ece968bd264p-1, 0x1.9dda3898077ccp-1, 0x1.9cd475395cfadp-1, 0x1.9bbd024374d14p-1, 0x1.9a93a1aeda008p-1, 0x1.9958216e4f71p-1, 0x1.980a5b32169d7p-1, 0x1.96aa341c34c3ap-1, 0x1.95379c68691a6p-1, 0x1.93b28f0a38099p-1, 0x1.921b11432a1cp-1, 0x1.9071323319e0cp-1, 0x1.8eb50a642a6ap-1, 0x1.8ce6bb53cf0c2p-1, 0x1.8b066efa198d2p-1, 0x1.8914575052e81p-1, 0x1.8710add7c0444p-1, 0x1.84fbb32151adcp-1, 0x1.82d5ae56d55f6p-1, 0x1.809eecc633ff2p-1, 0x1.7e57c16f20e59p-1, 0x1.7c0084939237fp-1, 0x1.7999934b47a42p-1, 0x1.77234f1a92c2ep-1, 0x1.749e1d8c8b592p-1, 0x1.720a67d0c96b3p-1, 0x1.6f689a5cba3dcp-1, 0x1.6cb924909bb48p-1, 0x1.69fc78602192ep-1, 0x1.673309fec2dcbp-1, 0x1.645d4f8faab82p-1, 0x1.617bc0d9443ep-1, 0x1.5e8ed6fc50499p-1, 0x1.5b970c2e78f6ap-1, 0x1.5894db7852513p-1, 0x1.5588c076b0049p-1, 0x1.5273371f41175p-1, 0x1.4f54bb8857881p-1, 0x1.4c2dc9b3c9c35p-1, 0x1.48fedd5cd3567p-1, 0x1.45c871c8df8b2p-1, 0x1.428b019b2745bp-1, 0x1.3f4706ab08a2ap-1, 0x1.3bfcf9dd03001p-1, 0x1.38ad52fe3f09ap-1, 0x1.355888a28acf3p-1, 0x1.31ff1004b6c3cp-1, 0x1.2ea15ce93666ep-1, 0x1.2b3fe182f683fp-1, 0x1.27db0e5a4c725p-1, 0x1.24735235eb6c8p-1, 0x1.21091a05cc6bep-1, 0x1.1d9cd0cff0c93p-1, 0x1.1a2edf9eed62p-1, 0x1.16bfad722b589p-1, 0x1.134f9f2fc871cp-1, 0x1.0fdf179806213p-1, 0x1.0c6e773a353cep-1, 0x1.08fe1c6b0bdddp-1, 0x1.058e633c5366ep-1, 0x1.021fa575df4c9p-1, 0x1.fd64751f78af1p-2, 0x1.f68cef5b0bd4bp-2, 0x1.efb95f35aa615p-2, 0x1.e8ea65917456bp-2, 0x1.e2209e985f4acp-2, 0x1.db5ca1baf78bbp-2, 0x1.d49f01b0e5629p-2, 0x1.cde84c7b12648p-2, 0x1.c7390b676281p-2, 0x1.c091c315dbdc8p-2, 0x1.b9f2f37f3126cp-2, 0x1.b35d17fc8f32p-2, 0x1.acd0a750a09b5p-2, 0x1.a64e13b1aaeb6p-2, 0x1.9fd5cad4b6ae1p-2, 0x1.996835f9b077dp-2, 0x1.9305b9f868e5fp-2, 0x1.8caeb74e6c911p-2, 0x1.86638a2d9b4fap-2, 0x1.80248a8b72083p-2, 0x1.79f20c30f900cp-2, 0x1.73cc5ecb426eep-2, 0x1.6db3cdfc76a65p-2, 0x1.67a8a16d51bffp-2, 0x1.61ab1cdf12479p-2, 0x1.5bbb803dc83bfp-2, 0x1.55da07b2f6bcfp-2, 0x1.5006ebb883928p-2, 0x1.4a42612be3d59p-2, 0x1.448c99617dd05p-2, 0x1.3ee5c2383d01ap-2, 0x1.394e062d42b73p-2, 0x1.33c58c6fb8847p-2, 0x1.2e4c78f4b451ep-2, 0x1.28e2ec8b2618bp-2, 0x1.238904efd09d9p-2, 0x1.1e3edce13b923p-2, 0x1.19048c33a151ap-2, 0x1.13da27e4cda7ap-2, 0x1.0ebfc22fea202p-2, 0x1.09b56aa134586p-2, 0x1.04bb2e299202ep-2, 0x1.ffa22e64150e8p-3, 0x1.f5ee5b5e278cap-3, 0x1.ec5aee677a011p-3, 0x1.e2e7ee094585bp-3, 0x1.d9955c557ae2ap-3, 0x1.d063370be2bbcp-3, 0x1.c75177bedcfcdp-3, 0x1.be6013f7ac297p-3, 0x1.b58efd5a42037p-3, 0x1.acde21c894908p-3, 0x1.a44d6b8575574p-3, 0x1.9bdcc156dda1cp-3, 0x1.938c06a7b50ccp-3, 0x1.8b5b1ba91263ap-3, 0x1.8349dd72e6125p-3, 0x1.7b5826241a7e4p-3, 0x1.7385cd02233c8p-3, 0x1.6bd2a697f097p-3, 0x1.643e84d457361p-3, 0x1.5cc93727da574p-3, 0x1.55728aa1ddd71p-3, 0x1.4e3a4a0d4637fp-3, 0x1.47203e0c742b9p-3, 0x1.40242d34ae193p-3, 0x1.3945dc28efb4bp-3, 0x1.32850db4189e2p-3, 0x1.2be182e2881c2p-3, 0x1.255afb1b19a0ep-3, 0x1.1ef134378ae5p-3, 0x1.18a3ea9c45707p-3, 0x1.1272d94f97013p-3, 0x1.0c5dba104736ep-3, 0x1.0664456ba406ep-3, 0x1.008632d2ee19bp-3, 0x1.f586716069cc9p-4, 0x1.ea3618f53fd19p-4, 0x1.df1ac59452b44p-4, 0x1.d433ded58338bp-4, 0x1.c980caddd2de2p-4, 0x1.bf00ee837b499p-4, 0x1.b4b3ad70f5024p-4, 0x1.aa986a46d864cp-4, 0x1.a0ae86bcca0dp-4, 0x1.96f563c145bp-4, 0x1.8d6c61986cdc9p-4, 0x1.8412dff9ca82p-4, 0x1.7ae83e2d1b9a7p-4, 0x1.71ebdb261a532p-4, 0x1.691d159f501adp-4, 0x1.607b4c33f5cadp-4, 0x1.5805dd78e3275p-4, 0x1.4fbc281493de8p-4, 0x1.479d8ad645317p-4, 0x1.3fa964cc326eep-4, 0x1.37df1558f0f4p-4, 0x1.303dfc47f58d6p-4, 0x1.28c579e141759p-4, 0x1.2174eefc4125cp-4, 0x1.1a4bbd11dc70ap-4, 0x1.1349464dc02d4p-4, 0x1.0c6ced9ee3e73p-4, 0x1.05b616c74f46ep-4, 0x1.fe484cd64c1b8p-5, 0x1.f16d043dfa93ep-5, 0x1.e4d920eafa8cep-5, 0x1.d88b7218aedbbp-5, 0x1.cc82c93123114p-5, 0x1.c0bdf9e45793fp-5, 0x1.b53bda3e4cd8cp-5, 0x1.a9fb42bbd51d7p-5, 0x1.9efb0e5e32468p-5, 0x1.943a1abd8fb49p-5, 0x1.89b7481a54e81p-5, 0x1.7f71796d64a61p-5, 0x1.7567947749535p-5, 0x1.6b9881ce57505p-5, 0x1.62032cebcf317p-5, 0x1.58a6843806dcp-5, 0x1.4f817915a0377p-5, 0x1.4692ffebd47ccp-5, 0x1.3dda102fdc951p-5, 0x1.3555a46d80082p-5, 0x1.2d04ba4eca7a1p-5, 0x1.24e652a2f733cp-5, 0x1.1cf97164936a5p-5, 0x1.153d1dbee1792p-5, 0x1.0db0621282563p-5, 0x1.06524bf96a872p-5, 0x1.fe43d894577bcp-6, 0x1.f03cae353178fp-6, 0x1.e28d47838bf08p-6, 0x1.d533d9b2e5e34p-6, 0x1.c82ea07dbb53p-6, 0x1.bb7bde260f2e9p-6, 0x1.af19db74e381fp-6, 0x1.a306e7b8a9109p-6, 0x1.974158c2b6885p-6, 0x1.8bc78ae3cad2fp-6, 0x1.8097e0e7a897cp-6, 0x1.75b0c40fd57c7p-6, 0x1.6b10a40d82c63p-6, 0x1.60b5f6fab477p-6, 0x1.569f39529af0cp-6, 0x1.4ccaede9424dep-6, 0x1.43379de28a101p-6, 0x1.39e3d8a87af63p-6, 0x1.30ce33e0fdc95p-6, 0x1.27f54b62ffcc2p-6, 0x1.1f57c12b04cc2p-6, 0x1.16f43d4f37b89p-6, 0x1.0ec96df2fbdbp-6, 0x1.06d6073a088c4p-6, 0x1.fe3186762302ap-7, 0x1.ef20c3e414efep-7, 0x1.e07752640f55ap-7, 0x1.d232c92d815d4p-7, 0x1.c450caeb81f4bp-7, 0x1.b6cf059e8c34dp-7, 0x1.a9ab327dada37p-7, 0x1.9ce315d72d592p-7, 0x1.90747ef0b1acap-7, 0x1.845d47e6fae8bp-7, 0x1.789b558d2ed2ep-7, 0x1.6d2c974bd1293p-7, 0x1.620f06ff5b047p-7, 0x1.5740a8d692e51p-7, 0x1.4cbf8b309e61ep-7, 0x1.4289c67adcab5p-7, 0x1.389d7d0e89779p-7, 0x1.2ef8db0e40d42p-7, 0x1.259a16435aff2p-7, 0x1.1c7f6dfb30e43p-7, 0x1.13a72ae44d511p-7, 0x1.0b0f9eeb915bcp-7, 0x1.02b7251954479p-7, 0x1.f53842dd083dp-8, 0x1.e57a018397479p-8, 0x1.d63071398bd9dp-8, 0x1.c7588e3286dd1p-8, 0x1.b8ef657d4babap-8, 0x1.aaf214beb00f4p-8, 0x1.9d5dc9ecce655p-8, 0x1.902fc30a80f16p-8, 0x1.83654de331119p-8, 0x1.76fbc7c702354p-8, 0x1.6af09d475fe82p-8, 0x1.5f4149f3f492ep-8, 0x1.53eb581814338p-8, 0x1.48ec60789c757p-8, 0x1.3e420a1255fc6p-8, 0x1.33ea09d8d6095p-8, 0x1.29e22275edb47p-8, 0x1.20282409a3a37p-8, 0x1.16b9ebeac5beep-8, 0x1.0d9564680f3e1p-8, 0x1.04b88489ece31p-8, 0x1.f8429fa9c3df5p-9, 0x1.e79bac191f97ap-9, 0x1.d77865eec9bc1p-9, 0x1.c7d51c45efde6p-9, 0x1.b8ae35521b229p-9, 0x1.aa002deaa114dp-9, 0x1.9bc7991775788p-9, 0x1.8e011f9f64f0ep-9, 0x1.80a97f97bc73ap-9, 0x1.73bd8bf563b8bp-9, 0x1.673a2c1f65938p-9, 0x1.5b1c5b82f0ea8p-9, 0x1.4f612928d2dbp-9, 0x1.4405b74c6619fp-9, 0x1.39073af40242ep-9, 0x1.2e62fb8ae3c4p-9, 0x1.2416527c94d97p-9, 0x1.1a1eaad1cfb51p-9, 0x1.107980cee1259p-9, 0x1.072461938bbb9p-9, 0x1.fc39d578c3b89p-10, 0x1.eac1940b4be62p-10, 0x1.d9db79df37deap-10, 0x1.c98320c8c2e3bp-10, 0x1.b9b440be70cc9p-10, 0x1.aa6aaf2a96b31p-10, 0x1.9ba25e3fd5fb7p-10, 0x1.8d575c507f94p-10, 0x1.7f85d328d66bap-10, 0x1.722a076c40e15p-10, 0x1.654057f547674p-10, 0x1.58c53d387a3d5p-10, 0x1.4cb548aa191c6p-10, 0x1.410d242696b73p-10, 0x1.35c9915dd64a2p-10, 0x1.2ae76941365dap-10, 0x1.20639b7449351p-10, 0x1.163b2dc0498dp-10, 0x1.0c6b3b8a39a49p-10, 0x1.02f0f54ba645p-10, 0x1.f393401c1b52cp-11, 0x1.e1e529d1b0c0dp-11, 0x1.d0d28103cdf12p-11, 0x1.c05645214a876p-11, 0x1.b06b9ac7421bdp-11, 0x1.a10dcad13125fp-11, 0x1.9238416df6207p-11, 0x1.83e68d39a5ca7p-11, 0x1.76145e5c2287cp-11, 0x1.68bd85ac658b4p-11, 0x1.5bddf3d86c46cp-11, 0x1.4f71b891b5ddap-11, 0x1.437501be45908p-11, 0x1.37e41aae127ep-11, 0x1.2cbb6b54da22fp-11, 0x1.21f7778842e86p-11, 0x1.1794de423dde5p-11, 0x1.0d9058e794ef9p-11, 0x1.03e6ba929ac24p-11, 0x1.f529dec3c8571p-12, 0x1.e32ff796030f3p-12, 0x1.d1d9f7e242e4ep-12, 0x1.c12245ff20fb6p-12, 0x1.b103751008349p-12, 0x1.a17843c93ebd2p-12, 0x1.927b9b3b44401p-12, 0x1.84088da567064p-12, 0x1.761a554f67ef2p-12, 0x1.68ac536a172f7p-12, 0x1.5bba0ef6c2359p-12, 0x1.4f3f33b5539f1p-12, 0x1.433791190ebcbp-12, 0x1.379f1943b83f3p-12, 0x1.2c71e0071a7f7p-12, 0x1.21ac19ecc1cb1p-12, 0x1.174a1b43d0bdcp-12, 0x1.0d485734d047p-12, 0x1.03a35edb5da34p-12, 0x1.f4afc0cb33d1ep-13, 0x1.e2c54c7279127p-13, 0x1.d1812c3c5531dp-13, 0x1.c0dd60dcf4362p-13, 0x1.b0d41e97855d7p-13, 0x1.a15fcbb33f652p-13, 0x1.927afefa954e2p-13, 0x1.84207e446110ep-13, 0x1.764b3d06cd4fep-13, 0x1.68f65af3cf328p-13, 0x1.5c1d229efc2ap-13, 0x1.4fbb082c7e60dp-13, 0x1.43cba8090119bp-13, 0x1.384ac5aa60bfcp-13, 0x1.2d344a58e336p-13, 0x1.22844400daac2p-13, 0x1.1836e40c6e84ap-13, 0x1.0e487e456f471p-13, 0x1.04b587bef4c2fp-13, 0x1.f6f52b8d588d4p-14, 0x1.e528b9bb26b3ep-14, 0x1.d3ff5f7019f54p-14, 0x1.c372fc8a26674p-14, 0x1.b37da978b74p-14, 0x1.a419b566a7a97p-14, 0x1.9541a471713e2p-14, 0x1.86f02ded68603p-14, 0x1.79203ab690997p-14, 0x1.6bcce38dd71e9p-14, 0x1.5ef16f825b8dp-14, 0x1.528952667d06p-14, 0x1.46902b506399ap-14, 0x1.3b01c325bd0bfp-14, 0x1.2fda0b32656f6p-14, 0x1.25151bc9b891dp-14, 0x1.1aaf32f2456fap-14, 0x1.10a4b31ba2769p-14, 0x1.06f221de207c4p-14, 0x1.fb284d88388b3p-15, 0x1.e90f143962c09p-15, 0x1.d79267af1a8b5p-15, 0x1.c6ac54d3546d4p-15, 0x1.b6572375680c5p-15, 0x1.a68d5435bd3cap-15, 0x1.97499e81e8d7bp-15, 0x1.8886eea0cb7e7p-15, 0x1.7a4063ce468b7p-15, 0x1.6c714e661bd7bp-15, 0x1.5f152e1d8f1e9p-15, 0x1.5227b04b6815p-15, 0x1.45a4ae3deb47cp-15, 0x1.39882b9e6d287p-15, 0x1.2dce54e21ebb4p-15, 0x1.22737dc7b74c7p-15, 0x1.17741fe19e964p-15, 0x1.0cccd92c41f32p-15, 0x1.027a6ab03a2eep-15, 0x1.f0f36e5fdc04ap-16, 0x1.dd8f83c0c61ap-16, 0x1.cac35a59c4ffcp-16, 0x1.b889730a5da75p-16, 0x1.a6dc886be3cf6p-16, 0x1.95b78c96427f6p-16, 0x1.8515a6f8100e8p-16, 0x1.74f23241663f7p-16, 0x1.6548ba60f416fp-16, 0x1.5614fa92b94f4p-16, 0x1.4752db7fe843dp-16, 0x1.38fe716f748e1p-16, 0x1.2b13fa86c117dp-16, 0x1.1d8fdd1a046eep-16, 0x1.106ea60bd565ap-16, 0x1.03ad073b7d492p-16, 0x1.ee8fac032a58dp-17, 0x1.d6781374f5fdep-17, 0x1.bf0d74bc748a3p-17, 0x1.a84a3e4af2f44p-17, 0x1.92291a7607419p-17, 0x1.7ca4ecf31f38bp-17, 0x1.67b8d06ab6cc6p-17, 0x1.5360142287dd7p-17, 0x1.3f9639bdf0eb5p-17, 0x1.2c56f313d912ap-17, 0x1.199e2019731efp-17, 0x1.0767cce1224ffp-17, 0x1.eb605f59cbcbfp-18, 0x1.c8e74e274972p-18, 0x1.a75d70717cb6p-18, 0x1.86bc1a2a8c42cp-18, 0x1.66fce5a4abe72p-18, 0x1.4819b067cc9bbp-18, 0x1.2a0c98273fa5p-18, 0x1.0ccff7d63a6e6p-18, 0x1.e0bcc9b4687ccp-19, 0x1.a96558b42f89dp-19, 0x1.738fa152a2ffdp-19, 0x1.3f320d9b89a07p-19, 0x1.0c43683f7c8e4p-19, 0x1.b575b00be7fc1p-20, 0x1.551fb6df8976p-20, 0x1.eee912216bacep-21, 0x1.38c8d3903580dp-21, 0x1.0f80ce4f9ed9dp-22, -0x1.226aef098007dp-24, -0x1.96f92891d8081p-22, -0x1.6de8503525c15p-21, -0x1.05d55707dc079p-20, -0x1.526e6f690fa6dp-20, -0x1.9ccb99e2ae488p-20, -0x1.e4f894ddaf2f9p-20, -0x1.15805cf1b478ap-19, -0x1.3777815d954a1p-19, -0x1.58670725e28bdp-19, -0x1.785412a1adfecp-19, -0x1.97439f43d4d82p-19, -0x1.b53a81b862c1cp-19, -0x1.d23d69e84e62dp-19, -0x1.ee50e4e47a10cp-19, -0x1.04bcaf5c7ee58p-18, -0x1.11dd9214d36dp-18, -0x1.1e8d322c4410bp-18, -0x1.2acd992bc5c2fp-18, -0x1.36a0c352e8cffp-18, -0x1.4208a04cd7577p-18, -0x1.4d0713dc0c775p-18, -0x1.579df67d201a4p-18, -0x1.61cf160109b31p-18, -0x1.6b9c361f313a7p-18, -0x1.750710ffaa17ap-18, -0x1.7e1157bdebd32p-18, -0x1.86bcb2e45744cp-18, -0x1.8f0ac2e0dc652p-18, -0x1.96fd20730a43bp-18, -0x1.9e955d13d3c79p-18, -0x1.a5d503574eb14p-18, -0x1.acbd9748b4ed9p-18, -0x1.b35096c0e62fbp-18, -0x1.b98f79b7ad90fp-18, -0x1.bf7bb29006004p-18, -0x1.c516ae5f992d4p-18, -0x1.ca61d531b3707p-18, -0x1.cf5e8a45e1ba1p-18, -0x1.d40e2c4a70009p-18, -0x1.d8721592faa09p-18, -0x1.dc8b9c4b42858p-18, -0x1.e05c12a675bp-18, -0x1.e3e4c70b17e79p-18, -0x1.e727043bb7697p-18, -0x1.ea24117c9636ap-18, -0x1.ecdd32b674659p-18, -0x1.ef53a8969ea1p-18, -0x1.f188b0ac64919p-18, -0x1.f37d85842146cp-18, -0x1.f5335ebff0b88p-18, -0x1.f6ab712e38b4fp-18, -0x1.f7e6eede209e4p-18, -0x1.f8e7073219bp-18, -0x1.f9ace6f093c28p-18, -0x1.fa39b852f70b5p-18, -0x1.fa8ea313044a7p-18, -0x1.faaccc76acf97p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e111195c270b7p-8, 0x1.1bc391a72b064p-7, 0x1.4ba5a98f7442bp-7, 0x1.8052943c9a61dp-7, 0x1.b9e8e8df9e75cp-7, 0x1.f8821f3366be3p-7, 0x1.1e19512830e3cp-6, 0x1.4284f5cce298dp-6, 0x1.6989523245e0dp-6, 0x1.93296690a7d95p-6, 0x1.bf65f47b9ae44p-6, 0x1.ee3d9670097fbp-6, 0x1.0fd66c5cf430dp-5, 0x1.29d729aaf5acp-5, 0x1.451d623fb708ep-5, 0x1.61a495d28e044p-5, 0x1.7f677244088c5p-5, 0x1.9e5fe128ad97fp-5, 0x1.be8715387fbf8p-5, 0x1.dfd59790144fep-5, 0x1.0121aa5979b13p-4, 0x1.12e3d4a0d444cp-4, 0x1.252cb72c1d038p-4, 0x1.37f782c5f9a91p-4, 0x1.4b3f3240acbc7p-4, 0x1.5efe900a736abp-4, 0x1.73303b895dcf7p-4, 0x1.87ceae3d6eaeap-4, 0x1.9cd440a86baeap-4, 0x1.b23b2efb51c2dp-4, 0x1.c7fd9d89e7834p-4, 0x1.de159d0521c29p-4, 0x1.f47d2e7db1c9cp-4, 0x1.05972397fdbb7p-3, 0x1.11116a0d989acp-3, 0x1.1caa5eb2add87p-3, 0x1.285ef4c71ceb4p-3, 0x1.342c20397743cp-3, 0x1.400ed7123fb69p-3, 0x1.4c0412c99c1d2p-3, 0x1.5808d1886bf1ap-3, 0x1.641a1755cf4d7p-3, 0x1.7034ef31fb12p-3, 0x1.7c566c1f532a9p-3, 0x1.887baa1a9e011p-3, 0x1.94a1cf03227fep-3, 0x1.a0c60b737bd07p-3, 0x1.ace59b8bcbb9ep-3, 0x1.b8fdc7ae01b2fp-3, 0x1.c50be52cd5ddep-3, 0x1.d10d56ee00449p-3, 0x1.dcff8e003911dp-3, 0x1.e8e00a258699cp-3, 0x1.f4ac5a523c976p-3, 0x1.00310e909300ap-2, 0x1.05ff809e9a785p-2, 0x1.0bc062e08aebcp-2, 0x1.11729d4680c0cp-2, 0x1.171520498aff7p-2, 0x1.1ca6e50d48193p-2, 0x1.2226ed7d0dd5cp-2, 0x1.27944464cda75p-2, 0x1.2cedfd85ca832p-2, 0x1.323335a74761ep-2, 0x1.376312a34fd66p-2, 0x1.3c7cc36fb9f25p-2, 0x1.417f80237f635p-2, 0x1.466a89f88fa43p-2, 0x1.4b3d2b4a3d911p-2, 0x1.4ff6b79061e07p-2, 0x1.54968b5757733p-2, 0x1.591c0c34f357dp-2, 0x1.5d86a8ba91942p-2, 0x1.61d5d8645f9abp-2, 0x1.66091b85ff414p-2, 0x1.6a1ffb34a6479p-2, 0x1.6e1a092ed938ep-2, 0x1.71f6dfc1e5b76p-2, 0x1.75b621ad36962p-2, 0x1.79577a03ac698p-2, 0x1.7cda9c0b116e3p-2, 0x1.803f4319ce982p-2, 0x1.8385327300232p-2, 0x1.86ac35210aa0ap-2, 0x1.89b41dceca768p-2, 0x1.8c9cc69f85d2fp-2, 0x1.8f661105b4e1ap-2, 0x1.920fe598c4c24p-2, 0x1.949a33e9ebae9p-2, 0x1.9704f2583341cp-2, 0x1.99501de3c7d4dp-2, 0x1.9b7bba00b1011p-2, 0x1.9d87d06907f38p-2, 0x1.9f7470eec432fp-2, 0x1.a141b14d36276p-2, 0x1.a2efacfa4804bp-2, 0x1.a47e84f7963e5p-2, 0x1.a5ee5fa37907cp-2, 0x1.a73f688a0b309p-2, 0x1.a871d0364a12dp-2, 0x1.a985cc03583f9p-2, 0x1.aa7b95edf6445p-2, 0x1.ab536c663f9bap-2, 0x1.ac0d9221bf235p-2, 0x1.acaa4dede1b0ep-2, 0x1.ad29ea82d5b81p-2, 0x1.ad8cb656e8ba9p-2, 0x1.add303726594p-2, 0x1.adfd27440378cp-2, 0x1.ae0b7a75e92aep-2, 0x1.adfe58c356df2p-2, 0x1.add620ceef576p-2, 0x1.ad9333f9b781dp-2, 0x1.ad35f63ac442p-2, 0x1.acbecdf7a719cp-2, 0x1.ac2e23dd97efdp-2, 0x1.ab8462bb61abep-2, 0x1.aac1f75c16ef4p-2, 0x1.a9e75062903b2p-2, 0x1.a8f4de25b7ecp-2, 0x1.a7eb128da245bp-2, 0x1.a6ca60f17a5dcp-2, 0x1.a5933df63cd9ap-2, 0x1.a4461f6e46a95p-2, 0x1.a2e37c39b74dcp-2, 0x1.a16bcc27a5592p-2, 0x1.9fdf87d826ebep-2, 0x1.9e3f289f2aa9p-2, 0x1.9c8b286824364p-2, 0x1.9ac4019a87e26p-2, 0x1.98ea2eff16524p-2, 0x1.96fe2ba5f591ap-2, 0x1.950072cd95542p-2, 0x1.92f17fca5df72p-2, 0x1.90d1cdef280f7p-2, 0x1.8ea1d8767970fp-2, 0x1.8c621a6c83b91p-2, 0x1.8a130e99e7012p-2, 0x1.87b52f6f313cep-2, 0x1.8548f6f118f58p-2, 0x1.82cedea5720dp-2, 0x1.80475f80d9e88p-2, 0x1.7db2f1d513863p-2, 0x1.7b120d4016933p-2, 0x1.7865289bccabap-2, 0x1.75acb9ee777cdp-2, 0x1.72e9365bbe07ap-2, 0x1.701b12166173dp-2, 0x1.6d42c0528ee6p-2, 0x1.6a60b338d32ebp-2, 0x1.67755bd9a7f71p-2, 0x1.64812a219adc9p-2, 0x1.61848cce06901p-2, 0x1.5e7ff162617ep-2, 0x1.5b73c41e1a13dp-2, 0x1.58606ff2fd1f8p-2, 0x1.55465e7c287aep-2, 0x1.5225f7f581a7ap-2, 0x1.4effa333af7bcp-2, 0x1.4bd3c59c943ap-2, 0x1.48a2c32044211p-2, 0x1.456cfe327790fp-2, 0x1.4232d7c471bc6p-2, 0x1.3ef4af3f5efaep-2, 0x1.3bb2e27f217eep-2, 0x1.386dcdcd8ff49p-2, 0x1.3525cbde1c5cbp-2, 0x1.31db35c9e7187p-2, 0x1.2e8e630c386e9p-2, 0x1.2b3fa97f5ad2ep-2, 0x1.27ef5d59d973ap-2, 0x1.249dd12c1c045p-2, 0x1.214b55de5d929p-2, 0x1.1df83aaeffb6fp-2, 0x1.1aa4cd312f935p-2, 0x1.1751594be3a89p-2, 0x1.13fe29392a287p-2, 0x1.10ab8585c4aecp-2, 0x1.0d59b51112b48p-2, 0x1.0a08fd0d48195p-2, 0x1.06b9a0ffe767p-2, 0x1.036be2c285f94p-2, 0x1.00200283d28d6p-2, 0x1.f9ac7d91b9d4p-3, 0x1.f31da8dd3632cp-3, 0x1.ec93fd575e94p-3, 0x1.e60fee24ca341p-3, 0x1.df91eb25d01ep-3, 0x1.d91a60fb64b2ep-3, 0x1.d2a9b90c59b48p-3, 0x1.cc40598b0c44p-3, 0x1.c5dea57b6751ap-3, 0x1.bf84fcb94eb8fp-3, 0x1.b933bbff5a686p-3, 0x1.b2eb3cedeb416p-3, 0x1.acabd61291c5bp-3, 0x1.a675daefbb23dp-3, 0x1.a0499c04b2b42p-3, 0x1.9a2766d5df46ap-3, 0x1.940f85f54cf73p-3, 0x1.8e02410b6ae72p-3, 0x1.87ffdce00f55fp-3, 0x1.82089b63addc9p-3, 0x1.7c1cbbb8c432p-3, 0x1.763c7a3d7ad5ep-3, 0x1.706810956ff32p-3, 0x1.6a9fb5b3b0e1bp-3, 0x1.64e39de4dcff6p-3, 0x1.5f33fad96d7a3p-3, 0x1.5990fbb01cc5bp-3, 0x1.53facd00713edp-3, 0x1.4e7198e563f61p-3, 0x1.48f58708201a7p-3, 0x1.4386bcaade89fp-3, 0x1.3e255cb3ce946p-3, 0x1.38d187b81a022p-3, 0x1.338b5c06f105fp-3, 0x1.2e52f5b4a9886p-3, 0x1.29286ea5e9e2fp-3, 0x1.240bde9ad47bfp-3, 0x1.1efd5b3a44195p-3, 0x1.19fcf81d0751dp-3, 0x1.150ac6d91ea1dp-3, 0x1.1026d70cfb61dp-3, 0x1.0b51366ac07e3p-3, 0x1.0689f0c377c12p-3, 0x1.01d1101248dd3p-3, 0x1.fa4d390f4d994p-4, 0x1.f1153928e5424p-4, 0x1.e7fa29ea30581p-4, 0x1.defc11792cd6dp-4, 0x1.d61af2bf08e42p-4, 0x1.cd56cd7dfb5d9p-4, 0x1.c4af9e6702039p-4, 0x1.bc255f2f837eap-4, 0x1.b3b806a6b7566p-4, 0x1.ab6788caf70aap-4, 0x1.a333d6ded8a26p-4, 0x1.9b1cdf7e1b7ep-4, 0x1.93228eb2684d6p-4, 0x1.8b44ce07d805ep-4, 0x1.838384a14dcf9p-4, 0x1.7bde974c93327p-4, 0x1.7455e8963e6fp-4, 0x1.6ce958dd5d8d5p-4, 0x1.6598c666e6233p-4, 0x1.5e640d70e61f9p-4, 0x1.574b084576a8cp-4, 0x1.504d8f4d6d5cfp-4, 0x1.496b7922cca7cp-4, 0x1.42a49aa2efd64p-4, 0x1.3bf8c70075055p-4, 0x1.3567cfd4dfd06p-4, 0x1.2ef18531f7be3p-4, 0x1.2895b5b2de05dp-4, 0x1.22542e8cdda97p-4, 0x1.1c2cbb9ff0cc5p-4, 0x1.161f2786ffab6p-4, 0x1.102b3ba7d3ef4p-4, 0x1.0a50c042c2a2ep-4, 0x1.048f7c820c743p-4, 0x1.fdce6d11e4f76p-5, 0x1.f2af6704febe6p-5, 0x1.e7c16f600e8abp-5, 0x1.dd040ceeb35a1p-5, 0x1.d276c4e154e04p-5, 0x1.c8191ae85a626p-5, 0x1.bdea914ecdcc5p-5, 0x1.b3eaa914655eap-5, 0x1.aa18e206f93bep-5, 0x1.a074badb61abap-5, 0x1.96fdb145be6c1p-5, 0x1.8db342112d67ep-5, 0x1.8494e936e69d5p-5, 0x1.7ba221f4caed2p-5, 0x1.72da66e35a91ap-5, 0x1.6a3d320b1e7dcp-5, 0x1.61c9fcf97ce8ap-5, 0x1.598040d500676p-5, 0x1.515f76710f201p-5, 0x1.4967166115f3ap-5, 0x1.4196990b25833p-5, 0x1.39ed76ba070aap-5, 0x1.326b27aec3716p-5, 0x1.2b0f2431a7d14p-5, 0x1.23d8e4a2be4fap-5, 0x1.1cc7e189c62fdp-5, 0x1.15db93a5a46fdp-5, 0x1.0f1373fb577d7p-5, 0x1.086efbe464de7p-5, 0x1.01eda51cce831p-5, 0x1.f71dd3a10d3ecp-6, 0x1.eaa48950d92e2p-6, 0x1.de6e61ad97e8bp-6, 0x1.d27a5446d4da6p-6, 0x1.c6c759ee363b9p-6, 0x1.bb546ccdc1a33p-6, 0x1.b020887d3be6dp-6, 0x1.a52aaa16ad6ccp-6, 0x1.9a71d04a0334fp-6, 0x1.8ff4fb6fe0fe3p-6, 0x1.85b32d9b9b644p-6, 0x1.7bab6aac5f963p-6, 0x1.71dcb85d96b9p-6, 0x1.68461e567b1bcp-6, 0x1.5ee6a638ee04ap-6, 0x1.55bd5baf87c1dp-6, 0x1.4cc94c7af4fd2p-6, 0x1.4409887e93f54p-6, 0x1.3b7d21cc61cap-6, 0x1.33232cb037dd8p-6, 0x1.2afabfba5ccd6p-6, 0x1.2302f3c96d3ep-6, 0x1.1b3ae413a0afep-6, 0x1.13a1ae2f7000dp-6, 0x1.0c36721b9ac82p-6, 0x1.04f852469dd98p-6, 0x1.fbcce72b14165p-7, 0x1.edfffad4a4f0bp-7, 0x1.e088335312334p-7, 0x1.d363e97f2f8d4p-7, 0x1.c6917b4add2e3p-7, 0x1.ba0f4bc962fbcp-7, 0x1.addbc336d6e55p-7, 0x1.a1f54efe847b6p-7, 0x1.965a61c06f203p-7, 0x1.8b097355ea988p-7, 0x1.800100d553d69p-7, 0x1.753f8c94efa05p-7, 0x1.6ac39e2cfa535p-7, 0x1.608bc278ea2fp-7, 0x1.56968b97f2374p-7, 0x1.4ce290ecbd3e3p-7, 0x1.436e6f1c7b8adp-7, 0x1.3a38c80d3a85fp-7, 0x1.314042e390fcap-7, 0x1.28838bffa8d4ap-7, 0x1.200154f9a874dp-7, 0x1.17b8549d8451cp-7, 0x1.0fa746e63c90dp-7, 0x1.07ccecf88e7dep-7, 0x1.00280d1d1d357p-7, 0x1.f16ee57433592p-8, 0x1.e2f3dc98d93ccp-8, 0x1.d4dcaac0d364p-8, 0x1.c727051422a9bp-8, 0x1.b9d0aab9c714cp-8, 0x1.acd764c699659p-8, 0x1.a039062b5c3bp-8, 0x1.93f36ba210102p-8, 0x1.88047b9a950dcp-8, 0x1.7c6a2626a1b8cp-8, 0x1.712264e519301p-8, 0x1.662b3aecc69a3p-8, 0x1.5b82b4b68bd6ap-8, 0x1.5126e80704daap-8, 0x1.4715f3d7aea4p-8, 0x1.3d4e003f932b9p-8, 0x1.33cd3e5b87d88p-8, 0x1.2a91e836021e6p-8, 0x1.219a40ae8b476p-8, 0x1.18e49360d9e3fp-8, 0x1.106f348b97a15p-8, 0x1.083880f6dc40ap-8, 0x1.003eddda5f177p-8, 0x1.f1017186dc97bp-9, 0x1.e1f90ef54d775p-9, 0x1.d3618fd2fae51p-9, 0x1.c537ffff2e9acp-9, 0x1.b7797b2ff80d5p-9, 0x1.aa232cbc49e5cp-9, 0x1.9d324f65dbcfp-9, 0x1.90a42d22de193p-9, 0x1.84761ee787a5ep-9, 0x1.78a58c6f820d5p-9, 0x1.6d2fec0747b07p-9, 0x1.6212c2557448cp-9, 0x1.574ba22410f68p-9, 0x1.4cd82c29eb91ep-9, 0x1.42b60ed3f66d6p-9, 0x1.38e3060ec28e2p-9, 0x1.2f5cdb1012188p-9, 0x1.2621642093d5dp-9, 0x1.1d2e8465c5017p-9, 0x1.14822bac0800dp-9, 0x1.0c1a5630f1b6cp-9, 0x1.03f50c6dd312cp-9, 0x1.f820c5c5131fp-10, 0x1.e8d4f3c129dd4p-10, 0x1.da02faacfaeb8p-10, 0x1.cba749371af83p-10, 0x1.bdbe6477c353bp-10, 0x1.b044e789ae766p-10, 0x1.a3378323b50cfp-10, 0x1.9692fd33348e8p-10, 0x1.8a543077461dbp-10, 0x1.7e780c1cd576ep-10, 0x1.72fb935b900aep-10, 0x1.67dbdd13bc099p-10, 0x1.5d16136d017d2p-10, 0x1.52a7737620f7p-10, 0x1.488d4cc5a30ebp-10, 0x1.3ec5011b85351p-10, 0x1.354c0403ebbd1p-10, 0x1.2c1fda7ad3786p-10, 0x1.233e1a90d06b5p-10, 0x1.1aa46b10df394p-10, 0x1.1250832741671p-10, 0x1.0a402a096e96ap-10, 0x1.0271369f21b61p-10, 0x1.f5c31e58f9757p-11, 0x1.e71e51fa8f474p-11, 0x1.d8f01022a1001p-11, 0x1.cb347d93d31b5p-11, 0x1.bde7db31124aap-11, 0x1.b106855d1a4cbp-11, 0x1.a48cf35c422e9p-11, 0x1.9877b6b89398p-11, 0x1.8cc37aa82bc98p-11, 0x1.816d0375e88bfp-11, 0x1.76712dec602bbp-11, 0x1.6bcceec326861p-11, 0x1.617d520e5c3b3p-11, 0x1.577f7ab089981p-11, 0x1.4dd0a1cec4194p-11, 0x1.446e16471a771p-11, 0x1.3b553c29490a3p-11, 0x1.32838c31b399fp-11, 0x1.29f693469fa07p-11, 0x1.21abf1f7b1f29p-11, 0x1.19a15bffa68f7p-11, 0x1.11d497c8454b8p-11, 0x1.0a437df08c5c8p-11, 0x1.02ebf8d50ebecp-11, 0x1.f7980835069b6p-12, 0x1.e9c35874fcf42p-12, 0x1.dc561c24aa175p-12, 0x1.cf4cace8450b1p-12, 0x1.c2a38373dc73ap-12, 0x1.b65736b5d589fp-12, 0x1.aa647b0597c6cp-12, 0x1.9ec8215659ff8p-12, 0x1.937f166e05b3p-12, 0x1.888662202a37ep-12, 0x1.7ddb268ceeaeep-12, 0x1.737a9f63fd52dp-12, 0x1.6962212b5e3cdp-12, 0x1.5f8f188a2d58bp-12, 0x1.55ff09972b8a1p-12, 0x1.4caf8f2b164a6p-12, 0x1.439e5a36c13edp-12, 0x1.3ac9311cdf4f5p-12, 0x1.322def0f72b02p-12, 0x1.29ca8370d9823p-12, 0x1.219cf13865ed2p-12, 0x1.19a34e5a79246p-12, 0x1.11dbc3341447fp-12, 0x1.0a4489f9d19e3p-12, 0x1.02dbee2a3a70cp-12, 0x1.f7409806d72ep-13, 0x1.e9201ff80123bp-13, 0x1.db536c7e61ec8p-13, 0x1.cdd7945836614p-13, 0x1.c0a9cbb05623cp-13, 0x1.b3c7632923939p-13, 0x1.a72dc6ed847efp-13, 0x1.9ada7dc7c4097p-13, 0x1.8ecb283e56935p-13, 0x1.82fd7fb64b646p-13, 0x1.776f559b6fb38p-13, 0x1.6c1e928df1824p-13, 0x1.610935957ce3cp-13, 0x1.562d5359ac0dap-13, 0x1.4b89155fbbc9dp-13, 0x1.411ab94d67765p-13, 0x1.36e09030d527dp-13, 0x1.2cd8fdcd76e94p-13, 0x1.230277edcd485p-13, 0x1.195b85b9f676ap-13, 0x1.0fe2bf12e511ep-13, 0x1.0696cbf2375e9p-13, 0x1.faecc79d17a8ap-14, 0x1.e9009a0885899p-14, 0x1.d766b88525fe8p-14, 0x1.c61ce7f9b7a42p-14, 0x1.b52107c039fd9p-14, 0x1.a47110990aa34p-14, 0x1.940b13a5e1889p-14, 0x1.83ed396cb52c5p-14, 0x1.7415c0e2256dbp-14, 0x1.6482fe7b6b36fp-14, 0x1.55335b478eabp-14, 0x1.4625540fc1108p-14, 0x1.3757787eb195ep-14, 0x1.28c86a4eb26bp-14, 0x1.1a76dc7e8914ap-14, 0x1.0c61928cc1faep-14, 0x1.fd0ebf72bec7fp-15, 0x1.e1ce4c9b7fa5ap-15, 0x1.c6ffadd529c1ep-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fbbc797901043p-3, -0x1.0661d8f452738p-2, -0x1.0e9ca39cec24cp-2, -0x1.1694812f2121ep-2, -0x1.1e4f2013cc1f2p-2, -0x1.25d1ec8bfbe9p-2, -0x1.2d22076aed9e8p-2, -0x1.34443f460d658p-2, -0x1.3b3d0bc61b4c5p-2, -0x1.42108acbd03f7p-2, -0x1.48c27f219468cp-2, -0x1.4f56507b05cc7p-2, -0x1.55cf0c89c9216p-2, -0x1.5c2f68f5ae7d9p-2, -0x1.6279c60c1db1p-2, -0x1.68b032005f652p-2, -0x1.6ed46c9b569a4p-2, -0x1.74e7eb3defa96p-2, -0x1.7aebdd1d9298ap-2, -0x1.80e12fa5b1374p-2, -0x1.86c892ecbd429p-2, -0x1.8ca27e2dc5f8dp-2, -0x1.926f343a84557p-2, -0x1.982ec7dbd094ep-2, -0x1.9de120186e5b7p-2, -0x1.a385fc5bc8592p-2, -0x1.a91cf877972e9p-2, -0x1.aea5907cb7e1ep-2, -0x1.b41f246870e14p-2, -0x1.b988fba4512efp-2, -0x1.bee24857822a7p-2, -0x1.c42a2a8913e5ap-2, -0x1.c95fb31339777p-2, -0x1.ce81e667e09c8p-2, -0x1.d38fbf276467p-2, -0x1.d888308a568e4p-2, -0x1.dd6a289f99d5ap-2, -0x1.e23492602c7f9p-2, -0x1.e6e6579a208e9p-2, -0x1.eb7e62b452ed3p-2, -0x1.effba04c8975ep-2, -0x1.f45d00b19a1c9p-2, -0x1.f8a1793b50d3bp-2, -0x1.fcc80581bde94p-2, -0x1.0067d43acb126p-1, -0x1.025bb6ada3041p-1, -0x1.043f34552b769p-1, -0x1.0611dc695841dp-1, -0x1.07d34374a097ap-1, -0x1.0983039ebf933p-1, -0x1.0b20bcec99a84p-1, -0x1.0cac1575f472cp-1, -0x1.0e24b991a9216p-1, -0x1.0f8a5bf8f515p-1, -0x1.10dcb5e28039bp-1, -0x1.121b8715aed96p-1, -0x1.134695f6cda01p-1, -0x1.145daf8c9b195p-1, -0x1.1560a77fb25fep-1, -0x1.164f5814509acp-1, -0x1.1729a21ee849bp-1, -0x1.17ef6cf3f16e6p-1, -0x1.18a0a65361e2p-1, -0x1.193d42502c9e8p-1, -0x1.19c53b342ab7fp-1, -0x1.1a389160c390cp-1, -0x1.1a974b2cac067p-1, -0x1.1ae174bf0874bp-1, -0x1.1b171fe83f9f9p-1, -0x1.1b3863f8c3915p-1, -0x1.1b455d9613ee4p-1, -0x1.1b3e2e8e37c2bp-1, -0x1.1b22fda9e9f0ep-1, -0x1.1af3f67db01b1p-1, -0x1.1ab1493a0dbc1p-1, -0x1.1a5b2a7b05c95p-1, -0x1.19f1d31717bbbp-1, -0x1.19757fede0ac3p-1, -0x1.18e671b689a56p-1, -0x1.1844ecce25e69p-1, -0x1.179139062410dp-1, -0x1.16cba172f1af2p-1, -0x1.15f4743aead51p-1, -0x1.150c0265b5ee6p-1, -0x1.14129fac1f198p-1, -0x1.1308a2488b765p-1, -0x1.11ee62c81913fp-1, -0x1.10c43bdc7c6d9p-1, -0x1.0f8a8a2eae5e2p-1, -0x1.0e41ac3276a44p-1, -0x1.0cea01fae48ep-1, -0x1.0b83ed0fbc9c8p-1, -0x1.0a0fd043e933cp-1, -0x1.088e0f8cf873p-1, -0x1.06ff0fdbaa128p-1, -0x1.056336f599cebp-1, -0x1.03baeb5009751p-1, -0x1.020693ebccfebp-1, -0x1.0046983261833p-1, -0x1.fcf6bfa85a846p-2, -0x1.f94aa54fd8208p-2, -0x1.f589b11695935p-2, -0x1.f1b4b2895d704p-2, -0x1.edcc78cc59bf9p-2, -0x1.e9d1d263584abp-2, -0x1.e5c58cfc650aap-2, -0x1.e1a8753cbb297p-2, -0x1.dd7b568ffaff1p-2, -0x1.d93efaf9acf44p-2, -0x1.d4f42ae90105ap-2, -0x1.d09bad0ec6102p-2, -0x1.cc3646358f3adp-2, -0x1.c7c4b91c02356p-2, -0x1.c347c6513e77fp-2, -0x1.bec02c1358ac5p-2, -0x1.ba2ea62fdd7fbp-2, -0x1.b593ede64f1cep-2, -0x1.b0f0b9cc9562bp-2, -0x1.ac45bdb552547p-2, -0x1.a793aa981116fp-2, -0x1.a2db2e7b40156p-2, -0x1.9e1cf45fee63ap-2, -0x1.9959a42f3ba73p-2, -0x1.9491e2a96f181p-2, -0x1.8fc65156ad3ep-2, -0x1.8af78e79366cp-2, -0x1.862635012d8b1p-2, -0x1.8152dc81cdaffp-2, -0x1.7c7e19280af91p-2, -0x1.77a87bb290301p-2, -0x1.72d2916b09599p-2, -0x1.6dfce420b1169p-2, -0x1.6927fa2417296p-2, -0x1.645456440cc58p-2, -0x1.5f8277cbb4e6p-2, -0x1.5ab2da81a15d8p-2, -0x1.55e5f6a7f8a91p-2, -0x1.511c40fd9a67fp-2, -0x1.4c562ac02dce8p-2, -0x1.479421af184f6p-2, -0x1.42d6900f4e6a2p-2, -0x1.3e1ddcaff0fc1p-2, -0x1.396a6aefb3feep-2, -0x1.34bc9ac2f928fp-2, -0x1.3014c8baa1835p-2, -0x1.2b734e0b81b94p-2, -0x1.26d88096752d7p-2, -0x1.2244b2f104647p-2, -0x1.1db8346e974b3p-2, -0x1.1933512a27e93p-2, -0x1.14b652106fc7ap-2, -0x1.10417cea86d1p-2, -0x1.0bd51468ec2e4p-2, -0x1.0771582eecd24p-2, -0x1.031684de68939p-2, -0x1.fd89a847cce1fp-3, -0x1.f4f8f985ee3cbp-3, -0x1.ec7b6545b1532p-3, -0x1.e4114db6b66c4p-3, -0x1.dbbb0f83f6c27p-3, -0x1.d37901ee5f53cp-3, -0x1.cb4b76e7be618p-3, -0x1.c332bb2e047ffp-3, -0x1.bb2f1666b98b6p-3, -0x1.b340cb3ab71afp-3, -0x1.ab681772029dp-3, -0x1.a3a5340fd0cbfp-3, -0x1.9bf8556e9f2p-3, -0x1.9461ab5c609aep-3, -0x1.8ce16136aef9dp-3, -0x1.85779e06fbe71p-3, -0x1.7e24849ebea73p-3, -0x1.76e833b38ca97p-3, -0x1.6fc2c5fb20813p-3, -0x1.68b452473f71ep-3, -0x1.61bceba181138p-3, -0x1.5adca166e9393p-3, -0x1.54137f6353398p-3, -0x1.4d618decadb6ep-3, -0x1.46c6d1fdf7136p-3, -0x1.40434d520198bp-3, -0x1.39d6fe7def7f5p-3, -0x1.3381e10b6ddebp-3, -0x1.2d43ed92a3f77p-3, -0x1.271d19d3cd2bep-3, -0x1.210d58d0901dep-3, -0x1.1b149ae4f42a9p-3, -0x1.1532cde002743p-3, -0x1.0f67dd1c143dbp-3, -0x1.09b3b196ba5b6p-3, -0x1.041632084cae6p-3, -0x1.fd1e85f62c747p-4, -0x1.f23d8dc43d6d7p-4, -0x1.e7893c5f24fccp-4, -0x1.dd014ed581df4p-4, -0x1.d2a57e8b67c76p-4, -0x1.c8758164cb059p-4, -0x1.be7109ef077d1p-4, -0x1.b497c789a2913p-4, -0x1.aae9668e2f68fp-4, -0x1.a1659077655e1p-4, -0x1.980bec07553f1p-4, -0x1.8edc1d6cd0e8dp-4, -0x1.85d5c667f7279p-4, -0x1.7cf8866de951p-4, -0x1.7443facba930dp-4, -0x1.6bb7bec821636p-4, -0x1.63536bc5562f5p-4, -0x1.5b169960c370ep-4, -0x1.5300dd92e43f9p-4, -0x1.4b11cccde967ep-4, -0x1.4348fa1b9d241p-4, -0x1.3ba5f73a784c6p-4, -0x1.342854b9e797p-4, -0x1.2ccfa215c5a77p-4, -0x1.259b6dd10a742p-4, -0x1.1e8b458fb089ep-4, -0x1.179eb62fd6dcap-4, -0x1.10d54be21bcccp-4, -0x1.0a2e9241378bp-4, -0x1.03aa1468d8224p-4, -0x1.fa8eba177d45p-5, -0x1.ee0bed12488e5p-5, -0x1.e1cad602ce264p-5, -0x1.d5ca88d40381ap-5, -0x1.ca0a1941a4619p-5, -0x1.be889afd60e6ep-5, -0x1.b34521d2b38b6p-5, -0x1.a83ec1c96555ep-5, -0x1.9d748f46c3cdap-5, -0x1.92e59f2d933c2p-5, -0x1.889106fcbdefep-5, -0x1.7e75dceccab62p-5, -0x1.7493380c1db4bp-5, -0x1.6ae8305a0dd89p-5, -0x1.6173dee0cfe79p-5, -0x1.58355dce421d5p-5, -0x1.4f2bc88b99613p-5, -0x1.46563bd3fe832p-5, -0x1.3db3d5ca15dd4p-5, -0x1.3543b60c850eep-5, -0x1.2d04fdc970218p-5, -0x1.24f6cfd0fefadp-5, -0x1.1d1850a6e9b3dp-5, -0x1.1568a69314a14p-5, -0x1.0de6f9b14531dp-5, -0x1.069273ffee95cp-5, -0x1.fed482dc46663p-6, -0x1.f0db1fd15953p-6, -0x1.e3371ecca0c1ep-6, -0x1.d5e6e3e69445cp-6, -0x1.c8e8d777f97c9p-6, -0x1.bc3b662dc5d4dp-6, -0x1.afdd011b8aaa5p-6, -0x1.a3cc1dcc6ff3dp-6, -0x1.98073652d29d1p-6, -0x1.8c8cc95688a9ep-6, -0x1.815b5a21de22dp-6, -0x1.767170ad47f9cp-6, -0x1.6bcd99a9e90cep-6, -0x1.616e668ae45b4p-6, -0x1.57526d8d8e019p-6, -0x1.4d7849c081555p-6, -0x1.43de9b09a8c8fp-6, -0x1.3a84062b400a2p-6, -0x1.316734c7d8cc2p-6, -0x1.2886d56567dfcp-6, -0x1.1fe19b6f6f009p-6, -0x1.17763f383f1efp-6, -0x1.0f437df961edap-6, -0x1.074819d331bc7p-6, -0x1.ff05b3975cce1p-7, -0x1.efe513991204ep-7, -0x1.e12bf540f563fp-7, -0x1.d2d803dfdcc05p-7, -0x1.c4e6f479f2479p-7, -0x1.b75685bd6e41dp-7, -0x1.aa247ff812c31p-7, -0x1.9d4eb50b8570dp-7, -0x1.90d300608e66p-7, -0x1.84af46d941d65p-7, -0x1.78e176c23907ep-7, -0x1.6d6787c2d0ca2p-7, -0x1.623f7acc78ab8p-7, -0x1.57675a093e8f1p-7, -0x1.4cdd38c973731p-7, -0x1.429f33709e77p-7, -0x1.38ab6f61adf1ep-7, -0x1.2f001aea810ecp-7, -0x1.259b6d2ecc76ap-7, -0x1.1c7ba61266d82p-7, -0x1.139f0e2307255p-7, -0x1.0b03f6817df72p-7, -0x1.02a8b8ca72ce5p-7, -0x1.f5176dfd60ecep-8, -0x1.e556b6d609ccp-8, -0x1.d60c311f84863p-8, -0x1.c734d20fcc3c6p-8, -0x1.b8cd9edfdbd71p-8, -0x1.aad3ac98c9647p-8, -0x1.9d441fe0581a8p-8, -0x1.901c2cc517c9cp-8, -0x1.8359168a19a1ap-8, -0x1.76f82f724cdbbp-8, -0x1.6af6d88b8b75cp-8, -0x1.5f528179650ebp-8, -0x1.5408a83fb5f9p-8, -0x1.4916d90d121cp-8, -0x1.3e7aae0511feep-8, -0x1.3431cf0a8a6f9p-8, -0x1.2a39f189b9bf6p-8, -0x1.2090d8427547dp-8, -0x1.173453125db08p-8, -0x1.0e223ebf27c19p-8, -0x1.055884c0fc92cp-8, -0x1.f9aa3619faf39p-9, -0x1.e92c07bfe7335p-9, -0x1.d9329b125ce75p-9, -0x1.c9ba246b3a987p-9, -0x1.babeef7650ea4p-9, -0x1.ac3d5ec8a15b9p-9, -0x1.9e31eb7833561p-9, -0x1.909924b492b0ap-9, -0x1.836faf5ff8341p-9, -0x1.76b245a931878p-9, -0x1.6a5db6a64ac43p-9, -0x1.5e6ee5f00583p-9, -0x1.52e2cb3e26f6dp-9, -0x1.47b67204a5839p-9, -0x1.3ce6f911b9c4ap-9, -0x1.3271922ce3e4cp-9, -0x1.285381b6dd66cp-9, -0x1.1e8a1e4a8de2bp-9, -0x1.1512d05efb671p-9, -0x1.0beb11ea451ffp-9, -0x1.03106e05a604ep-9, -0x1.f50101251d7ep-10, -0x1.e471ebc195ed2p-10, -0x1.d46f14ab8db67p-10, -0x1.c4f41429dc4bdp-10, -0x1.b5fca152546aap-10, -0x1.a784915f09cd3p-10, -0x1.9987d705d6313p-10, -0x1.8c0281d23afa4p-10, -0x1.7ef0bd8186ab3p-10, -0x1.724ed1615dbbep-10, -0x1.66191fb08ce7ap-10, -0x1.5a4c25024358fp-10, -0x1.4ee477a39d0ebp-10, -0x1.43dec703951f9p-10, -0x1.3937db1d4cb71p-10, -0x1.2eec93e4b20f9p-10, -0x1.24f9e8b589a87p-10, -0x1.1b5ce7c4d2f88p-10, -0x1.1212b59480b9dp-10, -0x1.09188c6997f34p-10, -0x1.006bbbc4a27f7p-10, -0x1.f0134fb8e8c73p-11, -0x1.dfdf9236973c9p-11, -0x1.d037573c7b31bp-11, -0x1.c115dd6de79c6p-11, -0x1.b27688df6733dp-11, -0x1.a454e22358ea1p-11, -0x1.96ac955b13d8dp-11, -0x1.8979714c8a13bp-11, -0x1.7cb7667c60037p-11, -0x1.7062864c70a2fp-11, -0x1.6477021eb4081p-11, -0x1.58f12a7c7ec37p-11, -0x1.4dcd6e42114fp-11, -0x1.430859ce68018p-11, -0x1.389e963746cccp-11, -0x1.2e8ce88171b02p-11, -0x1.24d030dd057cbp-11, -0x1.1b6569e5e9b68p-11, -0x1.1249a7e849c8ep-11, -0x1.097a18290e1f4p-11, -0x1.00f4003245d35p-11, -0x1.f1697a46ebcccp-12, -0x1.e173860b7ec99p-12, -0x1.d2013847a49f5p-12, -0x1.c30dd0cb3aa2bp-12, -0x1.b494b95f60331p-12, -0x1.a691848c7f6ffp-12, -0x1.98ffec678533p-12, -0x1.8bdbd1662a96cp-12, -0x1.7f21393a36cfep-12, -0x1.72cc4db39b2dep-12, -0x1.66d95ba951646p-12, -0x1.5b44d1e8e0a3ap-12, -0x1.500b402c6d94cp-12, -0x1.4529561737801p-12, -0x1.3a9be2386ecd2p-12, -0x1.305fd11440d45p-12, -0x1.26722c330531dp-12, -0x1.1cd019366d135p-12, -0x1.1376d8f49d885p-12, -0x1.0a63c6991381dp-12, -0x1.019456cb414acp-12, -0x1.f20c2db58114ep-13, -0x1.e16d57e207503p-13, -0x1.d147a490db90ap-13, -0x1.c196b8d163bedp-13, -0x1.b25664d0ccc28p-13, -0x1.a382a26755c2p-13, -0x1.951793afa26ebp-13, -0x1.871181a7c99cdp-13, -0x1.796cdadc06ed2p-13, -0x1.6c26321ac4c6cp-13, -0x1.5f3a3d31e735dp-13, -0x1.52a5d3b50f9fdp-13, -0x1.4665edccb9c78p-13, -0x1.3a77a30e00966p-13, -0x1.2ed8295acab81p-13, -0x1.2384d3ca4d038p-13, -0x1.187b11999e3e7p-13, -0x1.0db86d2433b22p-13, -0x1.033a8ae4253ep-13, -0x1.f1fe50f3f3b6cp-14, -0x1.de083777c6b36p-14, -0x1.ca8ea39864c38p-14, -0x1.b78d9c6db63cdp-14, -0x1.a501542bc79e3p-14, -0x1.92e62679243fcp-14, -0x1.813896d259e1ap-14, -0x1.6ff54efa59cdep-14, -0x1.5f191d7768495p-14, -0x1.4ea0f41c4a859p-14, -0x1.3e89e69d690abp-14, -0x1.2ed129319a649p-14, -0x1.1f740f3e4cf0dp-14, -0x1.10700a0ec5f15p-14, -0x1.01c2a79631127p-14, -0x1.e6d322786f3cp-15, -0x1.cac51567b5719p-15, -0x1.af56e1b8a0b3dp-15, -0x1.9484715734c8p-15, -0x1.7a49dc453bbbfp-15, -0x1.60a36694e6a2cp-15, -0x1.478d7e756cf63p-15, -0x1.2f04ba512ab52p-15, -0x1.1705d6fcc4315p-15, -0x1.ff1b6bedb6579p-16, -0x1.d132b76fb9d69p-16, -0x1.a44bdc22f8418p-16, -0x1.7861653aca397p-16, -0x1.4d6e1a75743f3p-16, -0x1.236cfd33e7efbp-16, -0x1.f4b28b5ae9efcp-17, -0x1.a45cc07d301f5p-17, -0x1.55cfd5a447fafp-17, -0x1.090364c7fed1ap-17, -0x1.7bdec272d121dp-18, -0x1.d2304c28a19a9p-19, -0x1.66909513c2422p-20, 0x1.945bb7b7fd2bep-21, 0x1.7708ab1181c95p-19, 0x1.4153951362038p-18, 0x1.c405d36d69961p-18, 0x1.21d39a654315bp-17, 0x1.6021b54bdfe8fp-17, 0x1.9cf2dd0654449p-17, 0x1.d84c8139eefecp-17, 0x1.0919f0cb545e2p-16, 0x1.2557085b1f919p-16, 0x1.40dffb6d34e89p-16, 0x1.5bb72a45a4023p-16, 0x1.75dee28b83066p-16, 0x1.8f596079e6e37p-16, 0x1.a828d0027e72dp-16, 0x1.c04f4de253a9p-16, 0x1.d7cee8a92563fp-16, 0x1.eea9a1b3d738ap-16, 0x1.0270b70d33783p-15, 0x1.0d3c1bc8ed809p-15, 0x1.17b7eea14d347p-15, 0x1.21e51a49ca1fap-15, 0x1.2bc484f54f03fp-15, 0x1.355710b13bdebp-15, 0x1.3e9d9bbb66069p-15, 0x1.479900d34afc6p-15, 0x1.504a1786a1e24p-15, 0x1.58b1b47979001p-15, 0x1.60d0a9aa0e865p-15, 0x1.68a7c6b089508p-15, 0x1.7037d8fac2a5ep-15, 0x1.7781ac04410a3p-15, 0x1.7e86098a94084p-15, 0x1.8545b9be2ff46p-15, 0x1.8bc1836ff0319p-15, 0x1.91fa2c3b68b16p-15, 0x1.97f078ae209ecp-15, 0x1.9da52c6bdffe8p-15, 0x1.a3190a502ba85p-15, 0x1.a84cd48d1289fp-15, 0x1.ad414cc766257p-15, 0x1.b1f7343083c3dp-15, 0x1.b66f4b9dc22b7p-15, 0x1.baaa539da5b98p-15, 0x1.bea90c8af4722p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.bfcb2fead3965p-1, 0x1.bd4de13b4bfb6p-1, 0x1.babc3b467fd53p-1, 0x1.b818ffd97f5cp-1, 0x1.b566da062426fp-1, 0x1.b2a857af6c3cfp-1, 0x1.afdfe488e45a7p-1, 0x1.ad0fc65d550b4p-1, 0x1.aa3a1a72d7319p-1, 0x1.a760d3e519e08p-1, 0x1.a485bad19eb84p-1, 0x1.a1aa6c34ee184p-1, 0x1.9ed05a5afc3ddp-1, 0x1.9bf8cdc83372ep-1, 0x1.9924e68399887p-1, 0x1.96559dad76eb5p-1, 0x1.938bc750848cp-1, 0x1.90c8145e254ccp-1, 0x1.8e0b14c8622c7p-1, 0x1.8b5539ae64477p-1, 0x1.88a6d791f3299p-1, 0x1.8600288e0f044p-1, 0x1.83614e88288c1p-1, 0x1.80ca5556abe41p-1, 0x1.7e3b34d8a554p-1, 0x1.7bb3d2fb3049ep-1, 0x1.793405aa27b5fp-1, 0x1.76bb94aa3e18bp-1, 0x1.744a3b5b2f702p-1, 0x1.71dfaa613b3d6p-1, 0x1.6f7b89357cdaap-1, 0x1.6d1d779d066e2p-1, 0x1.6ac50f06edbfep-1, 0x1.6871e3d1ab0ccp-1, 0x1.662386785e7cap-1, 0x1.63d984a8abb88p-1, 0x1.61936a41fa54bp-1, 0x1.5f50c23efc05fp-1, 0x1.5d11178a6770dp-1, 0x1.5ad3f5bfe049fp-1, 0x1.5898e9da0a19fp-1, 0x1.565f82cec483cp-1, 0x1.5427521a8e99bp-1, 0x1.51efec3c0fe54p-1, 0x1.4fb8e920ba929p-1, 0x1.4d81e48378a1ep-1, 0x1.4b4a7e3e4f6bep-1, 0x1.49125a8fd9fe2p-1, 0x1.46d9225573216p-1, 0x1.449e833ae3079p-1, 0x1.42622fe0548f4p-1, 0x1.4023dff754ba1p-1, 0x1.3de350578ee5cp-1, 0x1.3ba0430bf4293p-1, 0x1.395a7f58f0c8cp-1, 0x1.3711d1bc4c1b4p-1, 0x1.34c60be741971p-1, 0x1.327704b3629fdp-1, 0x1.30249812beddfp-1, 0x1.2dcea6fbce0cap-1, 0x1.2b7517518f597p-1, 0x1.2917d3c84b31p-1, 0x1.26b6cbc7571f6p-1, 0x1.2451f348415dep-1, 0x1.21e942b3b4f9fp-1, 0x1.1f7cb6bc6cc92p-1, 0x1.1d0c503881784p-1, 0x1.1a9813f956e1ep-1, 0x1.18200aa26bf57p-1, 0x1.15a4407f4b32dp-1, 0x1.1324c558d0b92p-1, 0x1.10a1ac49fce3p-1, 0x1.0e1b0b9480f4bp-1, 0x1.0b90fc75319f5p-1, 0x1.09039af889917p-1, 0x1.067305cf5c68bp-1, 0x1.03df5e23de853p-1, 0x1.0148c76f20501p-1, 0x1.fd5ece9e25e38p-2, 0x1.f826caba6bd74p-2, 0x1.f2e9d60bfa611p-2, 0x1.eda846c20fdb2p-2, 0x1.e86276146917p-2, 0x1.e318bff74c487p-2, 0x1.ddcb82d1855b5p-2, 0x1.d87b1f347521dp-2, 0x1.d327f7963de8ep-2, 0x1.cdd2700e221e8p-2, 0x1.c87aee131f27fp-2, 0x1.c321d83cd2097p-2, 0x1.bdc79606a6c12p-2, 0x1.b86c8f9561494p-2, 0x1.b3112d7ef9a82p-2, 0x1.adb5d894d2891p-2, 0x1.a85af9b045f7p-2, 0x1.a300f981898bfp-2, 0x1.9da84060e1482p-2, 0x1.9851362221f35p-2, 0x1.92fc41ea74f43p-2, 0x1.8da9ca085d9efp-2, 0x1.885a33cdf106p-2, 0x1.830de36d3be7bp-2, 0x1.7dc53bd6c7c4ap-2, 0x1.78809e9a36c34p-2, 0x1.73406bc8ea811p-2, 0x1.6e0501daa9104p-2, 0x1.68cebd94304c6p-2, 0x1.639df9efb391p-2, 0x1.5e731007296e7p-2, 0x1.594e5700687c7p-2, 0x1.543023faf956ap-2, 0x1.4f18c9ff9aaf9p-2, 0x1.4a0899f1625dfp-2, 0x1.44ffe2806c6f5p-2, 0x1.3ffef01e12899p-2, 0x1.3b060cf29055cp-2, 0x1.361580d411702p-2, 0x1.312d913f19784p-2, 0x1.2c4e81502e81bp-2, 0x1.277891bec6c68p-2, 0x1.22ac00d96019p-2, 0x1.1de90a82b8b98p-2, 0x1.192fe8301ccfbp-2, 0x1.1480d0e8b6ef1p-2, 0x1.0fdbf945dd7eep-2, 0x1.0b419374493a8p-2, 0x1.06b1cf363064fp-2, 0x1.022cd9e62fd02p-2, 0x1.fb65bcf607d75p-3, 0x1.f2880b17ee0c1p-3, 0x1.e9c0eaac116dep-3, 0x1.e110a38369de7p-3, 0x1.d87778d2bb86cp-3, 0x1.cff5a94082233p-3, 0x1.c78b6ef3f78b8p-3, 0x1.bf38ffa50d00cp-3, 0x1.b6fe8cad565f5p-3, 0x1.aedc4319c4e7ap-3, 0x1.a6d24bbd2efa1p-3, 0x1.9ee0cb438a61cp-3, 0x1.9707e245c95a3p-3, 0x1.8f47ad5e5345cp-3, 0x1.87a0453dfc0dbp-3, 0x1.8011bec1794b3p-3, 0x1.789c2b073e5a8p-3, 0x1.713f9785b68c2p-3, 0x1.69fc0e21cbdcdp-3, 0x1.62d19545b790bp-3, 0x1.5bc02ff805d2bp-3, 0x1.54c7ddf2c7f2ap-3, 0x1.4de89bbae72efp-3, 0x1.472262b792c31p-3, 0x1.40752949bb273p-3, 0x1.39e0e2e38ff4p-3, 0x1.33658020014afp-3, 0x1.2d02eeda2ec57p-3, 0x1.26b91a44c68f7p-3, 0x1.2087eb014cc1bp-3, 0x1.1a6f47373a45ap-3, 0x1.146f12aafa4cfp-3, 0x1.0e872ed4b849p-3, 0x1.08b77af6faddcp-3, 0x1.02ffd4350304fp-3, 0x1.fac02b51dcfe6p-4, 0x1.efb030f339664p-4, 0x1.e4cf67e08c486p-4, 0x1.da1d7b1b95cfcp-4, 0x1.cf9a123f6e6efp-4, 0x1.c544d1a9e1dabp-4, 0x1.bb1d5aa421217p-4, 0x1.b1234b8ad2ea1p-4, 0x1.a7563ff55b254p-4, 0x1.9db5d0dc79dcap-4, 0x1.944194c02c2fbp-4, 0x1.8af91fccc1c6ap-4, 0x1.81dc03ff3b4f3p-4, 0x1.78e9d148dc8dfp-4, 0x1.702215b1f7a4dp-4, 0x1.67845d7bee648p-4, 0x1.5f10334267319p-4, 0x1.56c5201bb6057p-4, 0x1.4ea2abb875ab7p-4, 0x1.46a85c8255466p-4, 0x1.3ed5b7ba15312p-4, 0x1.372a4194b692cp-4, 0x1.2fa57d57dc3ccp-4, 0x1.2846ed755e3cap-4, 0x1.210e13a610a7ap-4, 0x1.19fa7103be815p-4, 0x1.130b86225b078p-4, 0x1.0c40d32868db5p-4, 0x1.0599d7e69a8cep-4, 0x1.fe2c27dd5c3d6p-5, 0x1.f16a0d53080f1p-5, 0x1.e4ec5ed8eb7eep-5, 0x1.d8b21b1bd9702p-5, 0x1.ccba40f279d74p-5, 0x1.c103cf838a97dp-5, 0x1.b58dc66ab1691p-5, 0x1.aa5725dbe4629p-5, 0x1.9f5eeec56e784p-5, 0x1.94a422f0952cap-5, 0x1.8a25c520e952cp-5, 0x1.7fe2d932406aap-5, 0x1.75da6435693cfp-5, 0x1.6c0b6c8b93f82p-5, 0x1.6274fa008184bp-5, 0x1.591615e3762f6p-5, 0x1.4fedcb1efba2p-5, 0x1.46fb264f78d8fp-5, 0x1.3e3d35d8a3f44p-5, 0x1.35b309f9d6568p-5, 0x1.2d5bb4e148b29p-5, 0x1.25364abe413bcp-5, 0x1.1d41e1d23506fp-5, 0x1.157d9280e6776p-5, 0x1.0de8775f89db8p-5, 0x1.0681ad42f03b2p-5, 0x1.fe90a6998e3b4p-6, 0x1.f07715efd70a7p-6, 0x1.e2b4f047bbb21p-6, 0x1.d548823eb0ffap-6, 0x1.c8301d6426be6p-6, 0x1.bb6a184b6a9c7p-6, 0x1.aef4ce9bff96bp-6, 0x1.a2cea1206d70cp-6, 0x1.96f5f5d39ca0ap-6, 0x1.8b6937ecbf626p-6, 0x1.8026d7e9e149cp-6, 0x1.752d4b991e048p-6, 0x1.6a7b0e20924e8p-6, 0x1.600ea0050f88ap-6, 0x1.55e6872f9bcdp-6, 0x1.4c014ef1ceafap-6, 0x1.425d88090cc76p-6, 0x1.38f9c8a0b9ed4p-6, 0x1.2fd4ac535eac7p-6, 0x1.26ecd42ad4976p-6, 0x1.1e40e69f7d065p-6, 0x1.15cf8f96975cbp-6, 0x1.0d97805fafca4p-6, 0x1.05976fb13f2a5p-6, 0x1.fb9c3348f8018p-7, 0x1.ec747f60d81f3p-7, 0x1.ddb5514874149p-7, 0x1.cf5c4141ae47fp-7, 0x1.c166f223f85abp-7, 0x1.b3d3114d039e9p-7, 0x1.a69e56904e389p-7, 0x1.99c6842580452p-7, 0x1.8d496695ca3fcp-7, 0x1.8124d4a82cc2bp-7, 0x1.7556af4cdc46dp-7, 0x1.69dce187ad319p-7, 0x1.5eb56059bada6p-7, 0x1.53de2aaa319acp-7, 0x1.4955492e63517p-7, 0x1.3f18ce5124a7ep-7, 0x1.3526d61985d2p-7, 0x1.2b7d8610f3075p-7, 0x1.221b0d28c0c8ep-7, 0x1.18fda39f373d8p-7, 0x1.10238ae421b49p-7, 0x1.078b0d7ceff5dp-7, 0x1.fe64fdd0e3123p-8, 0x1.ee30770467ec3p-8, 0x1.de7550cb2030bp-8, 0x1.cf3066a0d72e5p-8, 0x1.c05ea50b74619p-8, 0x1.b1fd095f8bc34p-8, 0x1.a408a1848b4bp-8, 0x1.967e8bb89688fp-8, 0x1.895bf6541be1p-8, 0x1.7c9e1f8d383bdp-8, 0x1.7042553aee872p-8, 0x1.6445f49844c03p-8, 0x1.58a66a0754541p-8, 0x1.4d6130d4556e9p-8, 0x1.4273d2f8b4233p-8, 0x1.37dbe8de39026p-8, 0x1.2d97192250a4ep-8, 0x1.23a3185978ee8p-8, 0x1.19fda8d2e33c7p-8, 0x1.10a49a5c4ffedp-8, 0x1.0795ca062be79p-8, 0x1.fd9e43cff863fp-9, 0x1.ec9d31ca36445p-9, 0x1.dc2464e3a35fep-9, 0x1.cc2ffcb1a25a6p-9, 0x1.bcbc31022cf37p-9, 0x1.adc55168756bcp-9, 0x1.9f47c4ca760a3p-9, 0x1.914008ef6c81ap-9, 0x1.83aab20f5b1c8p-9, 0x1.76846a638dfd2p-9, 0x1.69c9f1b833168p-9, 0x1.5d781cff0ddf2p-9, 0x1.518bd5e346bdep-9, 0x1.46021a5e69e4fp-9, 0x1.3ad7fc4e92ca5p-9, 0x1.300aa10dcd3f7p-9, 0x1.2597410ab37a3p-9, 0x1.1b7b27624d8fp-9, 0x1.11b3b17b337d8p-9, 0x1.083e4ea1fb60cp-9, 0x1.fe30ff4df0896p-10, 0x1.ec7facfa849d5p-10, 0x1.db63ebb637db4p-10, 0x1.cad921b74bfd5p-10, 0x1.badad543e7935p-10, 0x1.ab64abfae7273p-10, 0x1.9c726a1f70521p-10, 0x1.8dfff1e73a5f3p-10, 0x1.800942cb97bf6p-10, 0x1.728a78dd386a6p-10, 0x1.657fcc1aad113p-10, 0x1.58e58fc9a7bf5p-10, 0x1.4cb831d2fe6dp-10, 0x1.40f43a2160de7p-10, 0x1.35964a02d1941p-10, 0x1.2a9b1b8cd328p-10, 0x1.1fff81034e9adp-10, 0x1.15c06442274bfp-10, 0x1.0bdac6298a217p-10, 0x1.024bbe0cdc9fdp-10, 0x1.f220f248b4086p-11, 0x1.e04c7402aba5fp-11, 0x1.cf14b00a353e9p-11, 0x1.be747db4c6eedp-11, 0x1.ae66dbe2d63e7p-11, 0x1.9ee6effd138dap-11, 0x1.8ff004f6b9794p-11, 0x1.817d8a54e206p-11, 0x1.738b133ad81dbp-11, 0x1.6614557b547aep-11, 0x1.591528ae9ba75p-11, 0x1.4c89854d6fc43p-11, 0x1.406d83d0c5e54p-11, 0x1.34bd5bd630961p-11, 0x1.29756348f6139p-11, 0x1.1e920d8fbbb6p-11, 0x1.140feabebe35bp-11, 0x1.09eba6ce84545p-11, 0x1.002208d6fc606p-11, 0x1.ed5fe49df0626p-12, 0x1.db24bc9fe6accp-12, 0x1.c98cc1bc2f8bbp-12, 0x1.b8924c68dd225p-12, 0x1.a82fe42a5d583p-12, 0x1.98603e3c2f817p-12, 0x1.891e3c41971d1p-12, 0x1.7a64eafe23203p-12, 0x1.6c2f8115f5fdcp-12, 0x1.5e795dd5a0081p-12, 0x1.513e080179b46p-12, 0x1.44792cac50b7dp-12, 0x1.38269e1551ec5p-12, 0x1.2c42528d0bf5ep-12, 0x1.20c86361686e6p-12, 0x1.15b50bd081058p-12, 0x1.0b04a8022b331p-12, 0x1.00b3b408205dep-12, 0x1.ed7d95c93eaabp-13, 0x1.da454b2ed3b03p-13, 0x1.c7b83461fc5cdp-13, 0x1.b5d035d7dd561p-13, 0x1.a4876a9872b38p-13, 0x1.93d8228901907p-13, 0x1.83bce0c20dac4p-13, 0x1.743059f0a0a82p-13, 0x1.652d72c297399p-13, 0x1.56af3e5dd5b1ap-13, 0x1.48b0fce205458p-13, 0x1.3b2e19f4c8fb9p-13, 0x1.2e222b580f436p-13, 0x1.2188ef8a6533fp-13, 0x1.155e4c70f977ep-13, 0x1.099e4e0b33e33p-13, 0x1.fc8a4a5f2c12p-14, 0x1.e69e4ca37c2b1p-14, 0x1.d17190a29d5cp-14, 0x1.bcfd46a31d97bp-14, 0x1.a93adf3317121p-14, 0x1.962408f91fd12p-14, 0x1.83b2ae956211ep-14, 0x1.71e0f492ad676p-14, 0x1.60a93766f807ap-14, 0x1.50060983063cp-14, 0x1.3ff23170d7678p-14, 0x1.3068a8007cc1cp-14, 0x1.21649683020d1p-14, 0x1.12e155130e349p-14, 0x1.04da68eae922cp-14, 0x1.ee97058f1921p-15, 0x1.d460fab0e4aa4p-15, 0x1.bb0ab7779210bp-15, 0x1.a28c900d85df3p-15, 0x1.8adf23b35a245p-15, 0x1.73fb59ff05399p-15, 0x1.5dda60315e98bp-15, 0x1.4875a6a171fe5p-15, 0x1.33c6de3d064a2p-15, 0x1.1fc7f61dd0a36p-15, 0x1.0c731932c254dp-15, 0x1.f38557f9d0ebap-16, 0x1.cf6294beb0df6p-16, 0x1.ac738b03481fep-16, 0x1.8aae43889efap-16, 0x1.6a09298da7322p-16, 0x1.4a7b06fd4c285p-16, 0x1.2bfb00bdaaa58p-16, 0x1.0e80931f7b549p-16, 0x1.e4071cd992a03p-17, 0x1.acf8272c1af0ep-17, 0x1.77c521f9b6deep-17, 0x1.445f7eb6680d4p-17, 0x1.12b93d8d73d66p-17, 0x1.c589cf3bbef59p-18, 0x1.68eb12d6d4aafp-18, 0x1.0f7d5b04fa733p-18, 0x1.72515d3626e3cp-19, 0x1.9757f0d2e5b52p-20, 0x1.56f109bebdeffp-22, -0x1.c10b93a863de7p-21, -0x1.05e03e748b177p-19, -0x1.962188f029397p-19, -0x1.109675bac8aadp-18, -0x1.53939346ca37ep-18, -0x1.9419d1bb9e006p-18, -0x1.d23a416c3ac09p-18, -0x1.0702aab785f58p-17, -0x1.23c57533fa41cp-17, -0x1.3f6d268746fcp-17, -0x1.5a0120396a5c6p-17, -0x1.7388820131a9ap-17, -0x1.8c0a2ca82baabp-17, -0x1.a38cc4d0ea75ep-17, -0x1.ba16b5a09ea72p-17, -0x1.cfae334cec847p-17, -0x1.e4593d8efde6dp-17, -0x1.f81da1fcb60a9p-17, -0x1.05807f246aafp-16, -0x1.0e84613581dfp-16, -0x1.171d195844b8cp-16, -0x1.1f4d34db40547p-16, -0x1.27172d272bd56p-16, -0x1.2e7d68a6af856p-16, -0x1.35823ba411111p-16, -0x1.3c27e91d2293bp-16, -0x1.4270a38dcd12dp-16, -0x1.485e8db1935e3p-16, -0x1.4df3bb3c561b8p-16, -0x1.5332318ab7632p-16, -0x1.581be84a676d8p-16, -0x1.5cb2ca1aaa4c5p-16, -0x1.60f8b5255bdep-16, -0x1.64ef7bb0c4d7ap-16, -0x1.6898e4aa8107dp-16, -0x1.6bf6ac2bb5829p-16, -0x1.6f0a83f6ebbe7p-16, -0x1.71d613efbab41p-16, -0x1.745afa8c8c8cp-16, -0x1.769acd42b62dep-16, -0x1.789718ed21894p-16, -0x1.7a51622db4654p-16, -0x1.7bcb25c9bf5efp-16, -0x1.7d05d90196f43p-16, -0x1.7e02e9e394946p-16, -0x1.7ec3bf9ab16ep-16, -0x1.7f49bab8df013p-16, -0x1.7f96357d6132fp-16, -0x1.7faa84173b2c3p-16, -0x1.7f87f4e3f65b3p-16, -0x1.7f2fd0aad87ccp-16, -0x1.7ea35ad4b559bp-16, -0x1.7de3d1a09244cp-16, -0x1.7cf26e5524b61p-16, -0x1.7bd0656f6f07bp-16, -0x1.7a7ee6ce83415p-16, -0x1.78ff1ddca2b54p-16, -0x1.775231b5cde49p-16, -0x1.7579454be6876p-16, -0x1.7375778889eb2p-16, -0x1.7147e36cb1567p-16, -0x1.6ef1a02e4520ap-16, -0x1.6c73c153b0e5ap-16, -0x1.69cf56cd9ab4cp-16, -0x1.67056d0ecf3d1p-16, -0x1.64170d2281f4ep-16, -0x1.61053cc0f2865p-16, -0x1.5dd0fe6292e34p-16, -0x1.5a7b5151bd226p-16, -0x1.570531bb14878p-16, -0x1.536f98bc9bcccp-16, -0x1.4fbb7c73a11acp-16, -0x1.4be9d00986e39p-16, -0x1.47fb83bf780a7p-16, -0x1.43f184f927c4ep-16, -0x1.3fccbe469f5edp-16, -0x1.3b8e176d29036p-16, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      31, 0x1.2acb5350092cdp+2, 0x1.8f00d9cec1cf1p+0, 0x1.dad8d53e72a05p+1, -0x1.a9fbdb3ccfb34p-1, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.45522b12fae54p+1, -0x1.5084319a46f29p+2, 0x1.063f93cfa5e1bp+2, 0x1.15596e0b358fcp-1}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.0754fdcd24f72p+1, -0x1.1b06d2aaf20dp+2, 0x1.10a62189ab172p+2, -0x1.5aafc98e037b1p+1}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.a7aa79ae96dbdp+0, -0x1.d364f27271b08p+1, 0x1.b94ab9cf21efbp+1, -0x1.8adb6c7aa2044p+0}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.529e378d626e1p+0, -0x1.810f0da1e5a71p+1, 0x1.7e103656566f2p+1, -0x1.9583a2e7201f1p+0}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.0cd78f17f903p+0, -0x1.3aba95d937685p+1, 0x1.413c77807803fp+1, -0x1.534a30c0ab8bdp+0}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.a7f6a046429f2p-1, -0x1.ff2454661afedp+0, 0x1.0e57bcfd2b155p+1, -0x1.2b594618adc9p+0}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.4bf333ff80225p-1, -0x1.9bfc3b8bd188fp+0, 0x1.c2e17e8c886e3p+0, -0x1.01c50fa8a0e74p+0}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.020e169ed79c6p-1, -0x1.498ace39e4098p+0, 0x1.758cc6a6be8f7p+0, -0x1.bb8323aff5045p-1}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.8e592093c20dp-2, -0x1.057c2330f0f5dp+0, 0x1.3305e7b2c0352p+0, -0x1.7a32eb5c0b156p-1}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.314759c30d2c3p-2, -0x1.9b81ae342ef81p-1, 0x1.f49622637d172p-1, -0x1.4039f4096a455p-1}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.d0b285cb2ff9cp-3, -0x1.40fefe01d9239p-1, 0x1.9484bf93dd356p-1, -0x1.0cdec3972a83fp-1}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.5f6778fdd688bp-3, -0x1.f0512184d21acp-2, 0x1.43db84e683a75p-1, -0x1.bf89272489729p-2}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, 0x1.0833357a3ed14p-3, -0x1.7c3332a726b03p-2, 0x1.00ba256dd57p-1, -0x1.70eb8d49eb15cp-2}, 
        {0x1.7333333333333p+1, 0x1.8p+1, 0x1.8b61efa6aa536p-4, -0x1.2093a55c27b9cp-2, 0x1.92c73a124abfcp-2, -0x1.2d06cead23f31p-2}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, 0x1.26dbe027bafa3p-4, -0x1.b21a91cfdcaafp-3, 0x1.38786277f329fp-2, -0x1.e5f2de731137dp-3}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, 0x1.b7214d7c3c55dp-5, -0x1.43b1b3a8743d2p-3, 0x1.df27e89a2df63p-3, -0x1.83c5cf5b2aeacp-3}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, 0x1.47447fc2c0a88p-5, -0x1.defe075b442fbp-4, 0x1.6ad2f732077c9p-3, -0x1.31c4dd3d02eb9p-3}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, 0x1.e9849be5896f7p-6, -0x1.60357450090cap-4, 0x1.0f17e80620363p-3, -0x1.dc5d39cdb416dp-4}, 
        {0x1.b333333333333p+1, 0x1.cp+1, 0x1.706a9f723ef7cp-6, -0x1.020ff7f5093f4p-4, 0x1.8f470b81bd987p-4, -0x1.6e8311d45fb31p-4}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, 0x1.17b2543450ce4p-6, -0x1.7a678b19f55b8p-5, 0x1.2152ec8ed415dp-4, -0x1.1678ba4f7abcdp-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d99999999999ap+1, 0x1.acf315a886bfbp-7, -0x1.176218efd5f79p-5, 0x1.9b909c8791ba3p-5, -0x1.a173aa0036d1cp-5}, 
        {0x1.d99999999999ap+1, 0x1.e666666666666p+1, 0x1.4bfd330e86a4bp-7, -0x1.a3300294fa0d8p-6, 0x1.1e544fede7ae4p-5, -0x1.3391b214c8344p-5}, 
        {0x1.e666666666666p+1, 0x1.f333333333333p+1, 0x1.025fdbefec75dp-7, -0x1.431c259d76319p-6, 0x1.841e01cf573ep-6, -0x1.b83af81a6a5bap-6}, 
        {0x1.f333333333333p+1, 0x1p+2, 0x1.9144c8ad2589fp-8, -0x1.02b183bc774bbp-6, 0x1.000c50fa9dbcp-6, -0x1.294e9165b1081p-6}, 
        {0x1p+2, 0x1.0666666666666p+2, 0x1.32d81184fa65cp-8, -0x1.b0ce563463145p-7, 0x1.4db64ab837a6p-7, -0x1.4fe4460e2718cp-7}, 
        {0x1.0666666666666p+2, 0x1.0cccccccccccdp+2, 0x1.c4920f8db8b5p-9, -0x1.7823ed33cee2p-7, 0x1.d1e39e9b24a4cp-8, -0x1.b379b925ca48cp-9}, 
        {0x1.0cccccccccccdp+2, 0x1.1333333333333p+2, 0x1.36ff2929e3274p-9, -0x1.4cd1470ce5b21p-7, 0x1.90915c6f13197p-8, 0x1.d8e9d8b81b30dp-8}, 
        {0x1.1333333333333p+2, 0x1.199999999999ap+2, 0x1.75a7609c75d3bp-10, -0x1.1daac0f4c9c73p-7, 0x1.0f388eb98da09p-7, 0x1.11330f7a3b68ap-7}, 
        {0x1.199999999999ap+2, 0x1.2p+2, 0x1.5201c870a5c9ap-11, -0x1.be74240dc7fa4p-8, 0x1.612e46916c40ap-7, 0x1.afdcab623be91p-5}, 
        {0x1.2p+2, 0x1.2666666666666p+2, 0x1.03f7eccd38a66p-13, -0x1.9311a8e8b635p-9, 0x1.b3b523b6da119p-6, -0x1.516de3f2ba6b8p-4}, 
        {0x1.2666666666666p+2, 0x1.2acb5350092cdp+2, 0x0p+0, -0x1.dde738e72a95bp-13, 0x1.ecadef9fa5ed9p-10, 0x1.a9d12e173143cp-3}, 
      }}, 
      -0x1.1beca1295ca62p+2, 0x1.8f4a3e7c2cf43p+4
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_s_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.05d5bdac43052p+0, -0x1.0f9b45d07a199p+0, -0x1.17cae24ba784dp+0, -0x1.1e6f9226993a9p+0, -0x1.23972820c1b95p+0, -0x1.2751b1386afa7p+0, -0x1.29b0d8d843691p+0, -0x1.2ac77aa0923b5p+0, -0x1.2aa95d94c3349p+0, -0x1.296adfbe45039p+0, -0x1.27209759c47eep+0, -0x1.23df164e13e32p+0, -0x1.1fbac9526b618p+0, -0x1.1ac7cf7af71f1p+0, -0x1.1519c530bc9dep+0, -0x1.0ec398d0a0909p+0, -0x1.07d778bde9506p+0, -0x1.0066d5fd246ebp+0, -0x1.f104d34536f66p-1, -0x1.e07458c40da35p-1, -0x1.cf3a7c0cf45f4p-1, -0x1.bd7405f428bc6p-1, -0x1.ab3a64006f286p-1, -0x1.98a6a1e870ed6p-1, -0x1.85cfbace5f762p-1, -0x1.72cb0e469a86bp-1, -0x1.5fac57a26086cp-1, -0x1.4c85aaf37e419p-1, -0x1.39678494a3f4bp-1, -0x1.2660e4a5e9af5p-1, -0x1.137f691c5c40ap-1, -0x1.00cf601d105b1p-1, -0x1.dcb7abeac0c88p-2, -0x1.b85d49a8f4478p-2, -0x1.94a111407ffffp-2, -0x1.719269583d37bp-2, -0x1.4f3ecfde49b9fp-2, -0x1.2db1fc6d9456ep-2, -0x1.0cf5fdfd6d84cp-2, -0x1.da26acff61c1dp-3, -0x1.9c222bbcc6c78p-3, -0x1.5fe9e8a0d29b9p-3, -0x1.2586d71a0ddbp-3, -0x1.d9ff3b1b6087ap-4, -0x1.6cb18715aa64p-4, -0x1.0329be00bc997p-4, -0x1.3ad302771791dp-5, -0x1.db79ec50e91e1p-7, 0x1.164c1e8552e27p-7, 0x1.f51f48e304502p-6, 0x1.a82a229639969p-5, 0x1.273cb9b110e9dp-4, 0x1.76cc1d522ae13p-4, 0x1.c2d22d45ac905p-4, 0x1.05afa0850077p-3, 0x1.28427001314a6p-3, 0x1.492ac7a36f58fp-3, 0x1.687252f1a1356p-3, 0x1.86231454f2edep-3, 0x1.a247569ba8675p-3, 0x1.bce9a12f465b2p-3, 0x1.d614adc092965p-3, 0x1.edd35e3e0a3acp-3, 0x1.02185b0873a5ap-2, 0x1.0c9c17ecd7458p-2, 0x1.167a407e8e1c2p-2, 0x1.1fb85d4793bbp-2, 0x1.285bed0af2fc6p-2, 0x1.306a5f86e0c1cp-2, 0x1.37e911677db24p-2, 0x1.3edd4964fb688p-2, 0x1.454c3662be3f6p-2, 0x1.4b3aee4fddc4dp-2, 0x1.50ae6d8373431p-2, 0x1.55ab9654803a3p-2, 0x1.5a3730b8ad79bp-2, 0x1.5e55e9c2ee467p-2, 0x1.620c52e9a1736p-2, 0x1.655ee10b642e3p-2, 0x1.6851eb3a9fe92p-2, 0x1.6ae9a968a4cc7p-2, 0x1.6d2a3316850f5p-2, 0x1.6f177e38406fcp-2, 0x1.70b55e7369f17p-2, 0x1.720784d5a039fp-2, 0x1.7311800c39e07p-2, 0x1.73d6bd124ef4fp-2, 0x1.745a8839e1553p-2, 0x1.74a00e6b67753p-2, 0x1.74aa5e7596d4fp-2, 0x1.747c6a4cb0558p-2, 0x1.74190822af156p-2, 0x1.7382f34db0667p-2, 0x1.72bcccfd6e216p-2, 0x1.71c91cc9dad46p-2, 0x1.70aa512a8bb49p-2, 0x1.6f62bfe86ed88p-2, 0x1.6df4a69954b1bp-2, 0x1.6c622b3016bc9p-2, 0x1.6aad5ca5d89dfp-2, 0x1.68d833ba89914p-2, 0x1.66e493c5a7452p-2, 0x1.64d44b8d6308cp-2, 0x1.62a91619db567p-2, 0x1.60649b7c04d95p-2, 0x1.5e087183213bep-2, 0x1.5b961c5f7ba6bp-2, 0x1.590f0f3487e59p-2, 0x1.5674ac9ed82bfp-2, 0x1.53c8473369498p-2, 0x1.510b21fd8e964p-2, 0x1.4e3e70ffd1034p-2, 0x1.4b6359ba801fap-2, 0x1.487af3b926bb2p-2, 0x1.45864926aadafp-2, 0x1.42865766b685fp-2, 0x1.3f7c0fb244869p-2, 0x1.3c6857b4c94eep-2, 0x1.394c0a27442d7p-2, 0x1.3627f766b7276p-2, 0x1.32fce603f14c7p-2, 0x1.2fcb934b18aa2p-2, 0x1.2c94b3c20b345p-2, 0x1.2958f39d50461p-2, 0x1.2618f72bd76b6p-2, 0x1.22d55b3a36229p-2, 0x1.1f8eb56e4a297p-2, 0x1.1c45949c3cc8p-2, 0x1.18fa8115dd648p-2, 0x1.15adfcf51a9abp-2, 0x1.126084623d72bp-2, 0x1.0f128dd64e827p-2, 0x1.0bc48a59f5e62p-2, 0x1.0876e5c0f4d91p-2, 0x1.052a06e263984p-2, 0x1.01de4fcdc2f32p-2, 0x1.fd283bfa123fcp-3, 0x1.f6979507a9d94p-3, 0x1.f00b5477e773dp-3, 0x1.e9841bdf0ca71p-3, 0x1.e3028501f3cp-3, 0x1.dc87222242d93p-3, 0x1.d6127e474d3fcp-3, 0x1.cfa51d841e48fp-3, 0x1.c93f7d3af93f1p-3, 0x1.c2e2145ea4988p-3, 0x1.bc8d53b1a1054p-3, 0x1.b643d76bd56c4p-3, 0x1.b001af5a71a0bp-3, 0x1.a9c9583c4e214p-3, 0x1.a39b2d2735fd2p-3, 0x1.9d7783f76b3bbp-3, 0x1.975ead8372f85p-3, 0x1.9150f5d2655e9p-3, 0x1.8b4ea453e4bdap-3, 0x1.8557fc18c2c58p-3, 0x1.7f6d3c0b61284p-3, 0x1.798e9f26d5921p-3, 0x1.73bc5cac00817p-3, 0x1.6df6a853dc847p-3, 0x1.683db27e7e656p-3, 0x1.6291a85e5af7cp-3, 0x1.5cf2b41faaefap-3, 0x1.5760fd0bc8b2fp-3, 0x1.51dca7a8bc0b1p-3, 0x1.4c65d5d5127f5p-3, 0x1.46fca6e06c23fp-3, 0x1.41a137a11f61ap-3, 0x1.3c53a2875c621p-3, 0x1.3713ffae5bfdp-3, 0x1.31e264ec08194p-3, 0x1.2cbee5df8e194p-3, 0x1.27a993ff4b084p-3, 0x1.22a27ea65ef06p-3, 0x1.1da9b3223764fp-3, 0x1.18bf3cc03e1d3p-3, 0x1.13e324dbd415ap-3, 0x1.0f1572ecae543p-3, 0x1.0a562c9589c1bp-3, 0x1.05a555b3450bap-3, 0x1.0102f06c3b9d6p-3, 0x1.f8ddfa7fa3b83p-4, 0x1.efd2f62c2976fp-4, 0x1.e6e4ce9ea2d22p-4, 0x1.de137ba6fcb02p-4, 0x1.d55ef242c2e83p-4, 0x1.ccc724baace63p-4, 0x1.c44c02bf4216cp-4, 0x1.bbed79845c0e7p-4, 0x1.b3ab73db99c4fp-4, 0x1.ab85da4d810bep-4, 0x1.a37c93316a655p-4, 0x1.9b8f82c4221fcp-4, 0x1.93be8b3d5b8fp-4, 0x1.8c098ce3e6624p-4, 0x1.84706620e0d78p-4, 0x1.7cf2f391dee22p-4, 0x1.7591101a329abp-4, 0x1.6e4a94f36db61p-4, 0x1.671f59bd3a1adp-4, 0x1.600f348ca450cp-4, 0x1.5919f9faf695bp-4, 0x1.523f7d3438d06p-4, 0x1.4b7f90056f402p-4, 0x1.44da02eaa4ebdp-4, 0x1.3e4ea51cd6946p-4, 0x1.37dd449fc3164p-4, 0x1.3185ae4faca9ap-4, 0x1.2b47adef0c97ap-4, 0x1.25230e343a71p-4, 0x1.1f1798d706412p-4, 0x1.1925169e3f661p-4, 0x1.134b4f6d2511fp-4, 0x1.0d8a0a50b8027p-4, 0x1.07e10d8ce4495p-4, 0x1.02501ea97fa11p-4, 0x1.f9ae04fe1f9fep-5, 0x1.eeeafa86a90e3p-5, 0x1.e456a52b16793p-5, 0x1.d9f08b14d3ae8p-5, 0x1.cfb8316f90dadp-5, 0x1.c5ad1c7fec70fp-5, 0x1.bbcecfb9715e3p-5, 0x1.b21ccdd3dc862p-5, 0x1.a89698dfb090dp-5, 0x1.9f3bb25a10a6dp-5, 0x1.960b9b3fe6adfp-5, 0x1.8d05d420588c7p-5, 0x1.8429dd2e8aaf2p-5, 0x1.7b773652bd31fp-5, 0x1.72ed5f3ac4046p-5, 0x1.6a8bd769e38acp-5, 0x1.62521e48153fap-5, 0x1.5a3fb330bff3p-5, 0x1.52541580eab01p-5, 0x1.4a8ec4a4ec662p-5, 0x1.42ef4025a5591p-5, 0x1.3b7507b54585p-5, 0x1.341f9b3ba9194p-5, 0x1.2cee7ae24bc0cp-5, 0x1.25e1271fdacdep-5, 0x1.1ef720c36e086p-5, 0x1.182fe8ff6289fp-5, 0x1.118b0173e3ap-5, 0x1.0b07ec391e884p-5, 0x1.04a62be925405p-5, 0x1.fcca875307dbbp-6, 0x1.f0896e690b683p-6, 0x1.e48815c45de42p-6, 0x1.d8c58761d59a4p-6, 0x1.cd40ce9bd6a76p-6, 0x1.c1f8f83a86833p-6, 0x1.b6ed12835c477p-6, 0x1.ac1c2d4827bfp-6, 0x1.a18559f57cf16p-6, 0x1.9727aba08be7bp-6, 0x1.8d0237146614p-6, 0x1.831412deb0a62p-6, 0x1.795c575bc1b25p-6, 0x1.6fda1ec232b79p-6, 0x1.668c852dda725p-6, 0x1.5d72a8aa4480dp-6, 0x1.548ba93c8ccfap-6, 0x1.4bd6a8ecc3652p-6, 0x1.4352cbceba4b2p-6, 0x1.3aff380a5419ap-6, 0x1.32db15e34c1aap-6, 0x1.2ae58fc08619p-6, 0x1.231dd232d65fep-6, 0x1.1b830bfb52cd7p-6, 0x1.14146e1131324p-6, 0x1.0cd12ba72ca8p-6, 0x1.05b87a3076184p-6, 0x1.fd9322ca7d745p-7, 0x1.f007568d9a19p-7, 0x1.e2cc084664378p-7, 0x1.d5dfb5312203ep-7, 0x1.c940df30146fp-7, 0x1.bcee0cd081b6bp-7, 0x1.b0e5c94f12da6p-7, 0x1.a526a49b6d6fdp-7, 0x1.99af335b2a35fp-7, 0x1.8e7e0eec1783bp-7, 0x1.8391d565df7e2p-7, 0x1.78e9299b0403fp-7, 0x1.6e82b319483b4p-7, 0x1.645d1e2980b7bp-7, 0x1.5a771bcece72p-7, 0x1.50cf61c548ca5p-7, 0x1.4764aa802f356p-7, 0x1.3e35b52786ff8p-7, 0x1.354145953729ap-7, 0x1.2c862451b4628p-7, 0x1.24031e902ca65p-7, 0x1.1bb7062a38b5p-7, 0x1.13a0b19b2fcdbp-7, 0x1.0bbefbfafb7b6p-7, 0x1.0410c4f88a466p-7, 0x1.f929e1a7c563fp-8, 0x1.ea94d0af8874cp-8, 0x1.dc6031a60822bp-8, 0x1.ce89e822e54bdp-8, 0x1.c10fe0a8fdc5cp-8, 0x1.b3f01096feb52p-8, 0x1.a72876173f181p-8, 0x1.9ab7180f30c2fp-8, 0x1.8e9a060e0f24ep-8, 0x1.82cf583b15dc6p-8, 0x1.77552f433077fp-8, 0x1.6c29b446127fcp-8, 0x1.614b18c3013f5p-8, 0x1.56b79684f80d2p-8, 0x1.4c6d6f8e7ca25p-8, 0x1.426aee04f23fbp-8, 0x1.38ae641ba74c2p-8, 0x1.2ea8635abfd28p-8, 0x1.2570e3d8c2f9bp-8, 0x1.1c7ab466a8589p-8, 0x1.13c446d3e7658p-8, 0x1.0b4c1470071e6p-8, 0x1.03109df424677p-8, 0x1.f620d6d8ba389p-9, 0x1.e694184244285p-9, 0x1.d7782d00d72f3p-9, 0x1.c8ca500dab434p-9, 0x1.ba87ca516eaf7p-9, 0x1.acadf27638c75p-9, 0x1.9f3a2cb97669bp-9, 0x1.9229eabdca204p-9, 0x1.857aab5cd52bp-9, 0x1.7929fa7916801p-9, 0x1.6d3570cfb4669p-9, 0x1.619ab3ca56f5fp-9, 0x1.5657755115b83p-9, 0x1.4b69739c77508p-9, 0x1.40ce79078c274p-9, 0x1.36845be2241b1p-9, 0x1.2c88fe432329p-9, 0x1.22da4ddb0dcf7p-9, 0x1.197643c6bb292p-9, 0x1.105ae46227aecp-9, 0x1.07863f1ba68bdp-9, 0x1.fdecdc8e59b1ap-10, 0x1.ed532de3c0c6ep-10, 0x1.dd3bd16bef0e3p-10, 0x1.cda33b1dc348dp-10, 0x1.be85f35b41259p-10, 0x1.afe0969b3bd67p-10, 0x1.a1afd51340d38p-10, 0x1.93f072628fb4fp-10, 0x1.869f453d83c3ep-10, 0x1.79b93719d2578p-10, 0x1.6d3b43db86583p-10, 0x1.61227982b6a95p-10, 0x1.556bf7da29033p-10, 0x1.4a14f026896bbp-10, 0x1.3f1aa4d6a022ap-10, 0x1.347a69345b397p-10, 0x1.2a31a116a8761p-10, 0x1.203dc0940fbc5p-10, 0x1.169c4bb665d15p-10, 0x1.0d4ad62f3e86p-10, 0x1.0447030d2ae48p-10, 0x1.f71d08e3e09b9p-11, 0x1.e63e36937c89bp-11, 0x1.d5ed2e0625b49p-11, 0x1.c625aa8f2339dp-11, 0x1.b6e3836b8ace1p-11, 0x1.a822ab375ff9p-11, 0x1.99df2f645c747p-11, 0x1.8c1537b2cf59ep-11, 0x1.7ec105abbb29dp-11, 0x1.71def41cb1757p-11, 0x1.656b76958e63ep-11, 0x1.596318e75184dp-11, 0x1.4dc27ea54dd76p-11, 0x1.428662a713978p-11, 0x1.37ab968c77d31p-11, 0x1.2d2f0242e415ap-11, 0x1.230da38c19a09p-11, 0x1.19448d8693a44p-11, 0x1.0fd0e836fa9e7p-11, 0x1.06aff013ad9f5p-11, 0x1.fbbdeb21c059dp-12, 0x1.eab6b95dc7ca3p-12, 0x1.da4539129cb2dp-12, 0x1.ca647dcf3be5fp-12, 0x1.bb0fbf9efdf01p-12, 0x1.ac425a3055e46p-12, 0x1.9df7cbfe67099p-12, 0x1.902bb57d70f61p-12, 0x1.82d9d84aa72b4p-12, 0x1.75fe165dd074ap-12, 0x1.6994713e9809p-12, 0x1.5d99093c49765p-12, 0x1.52081ca8a209p-12, 0x1.46de0716786f9p-12, 0x1.3c174099ead47p-12, 0x1.31b05d0ce4747p-12, 0x1.27a60b56576a4p-12, 0x1.1df514b45f5ddp-12, 0x1.149a5c0a92431p-12, 0x1.0b92dd32656b2p-12, 0x1.02dbac50058bep-12, 0x1.f4e3ea53e3b03p-13, 0x1.e4a5f50803614p-13, 0x1.d4f82afc1173fp-13, 0x1.c5d569ebf81fp-13, 0x1.b738b9dac5fa4p-13, 0x1.a91d4be40c5ecp-13, 0x1.9b7e791581924p-13, 0x1.8e57c14e544f6p-13, 0x1.81a4ca2620f75p-13, 0x1.75615dda35c1cp-13, 0x1.69896a41b26c8p-13, 0x1.5e18ffc8d5643p-13, 0x1.530c5072201e4p-13, 0x1.485faedf2537bp-13, 0x1.3e0f8d5d9dda6p-13, 0x1.34187cfe02ae4p-13, 0x1.2a772cad6ef6ep-13, 0x1.21286856cd153p-13, 0x1.18291809e98adp-13, 0x1.0f763f283da95p-13, 0x1.070cfb96ae77bp-13, 0x1.fdd509ec315eep-14, 0x1.ee1857bfa5dfep-14, 0x1.dedeb251df0cp-14, 0x1.d0231a5092bf4p-14, 0x1.c1e0be08ad60ap-14, 0x1.b412f8045f43p-14, 0x1.a6b54dba7d2a7p-14, 0x1.99c36e40192c9p-14, 0x1.8d393106f7e08p-14, 0x1.811294a120afp-14, 0x1.754bbd8fb971ep-14, 0x1.69e0f518995f1p-14, 0x1.5ecea822fb01cp-14, 0x1.5411661bc36fbp-14, 0x1.49a5dfe24352fp-14, 0x1.3f88e6bb1a45bp-14, 0x1.35b76b49b2d7ep-14, 0x1.2c2e7c91852dep-14, 0x1.22eb46fcf9536p-14, 0x1.19eb136a041d2p-14, 0x1.112b464042b8ap-14, 0x1.08a95e88b31fcp-14, 0x1.0062f50f0f149p-14, 0x1.f0ab7708a61bcp-15, 0x1.e0fef75b93708p-15, 0x1.d1bc2d27eb8ecp-15, 0x1.c2df07710ec2cp-15, 0x1.b463a0a414f12p-15, 0x1.a6463d19bd7e1p-15, 0x1.9883499f40a7ap-15, 0x1.8b175a0f57c07p-15, 0x1.7dff27ef098c2p-15, 0x1.71379116eb841p-15, 0x1.64bd9664c5b4cp-15, 0x1.588e5a77b5fecp-15, 0x1.4ca72071ba203p-15, 0x1.41054ac959345p-15, 0x1.35a65a1b32893p-15, 0x1.2a87ec09e25a6p-15, 0x1.1fa7ba24958dbp-15, 0x1.150398d517492p-15, 0x1.0a99765711bcbp-15, 0x1.006759b79a1ap-15, 0x1.ecd6c3aa380a4p-16, 0x1.d94788ed71b92p-16, 0x1.c61d9ab31c99p-16, 0x1.b355baa3d971ap-16, 0x1.a0ecd2d03cc57p-16, 0x1.8edff413545fcp-16, 0x1.7d2c546b9ff97p-16, 0x1.6bcf4d6c36e39p-16, 0x1.5ac65ab7f1826p-16, 0x1.4a0f188847a72p-16, 0x1.39a7424423245p-16, 0x1.298cb11e9798ap-16, 0x1.19bd5ac31c452p-16, 0x1.0a37500dce5a2p-16, 0x1.f5f1779beb86bp-17, 0x1.d7ffc31f5efe8p-17, 0x1.ba9638f51f10ap-17, 0x1.9db1bc601ad74p-17, 0x1.814f5b6c871bfp-17, 0x1.656c4ce5bcf26p-17, 0x1.4a05ee4b77c79p-17, 0x1.2f19c1f1e6244p-17, 0x1.14a56d0a411dcp-17, 0x1.f54d6bf5a809fp-18, 0x1.c237051d4d773p-18, 0x1.9003aca7a0e5bp-18, 0x1.5eafa20811789p-18, 0x1.2e3759ede6fa7p-18, 0x1.fd2ef6b4d5a68p-19, 0x1.9f99b99fb14d1p-19, 0x1.43a902eeee5fp-19, 0x1.d2ae5ac8d80cep-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.45ab2be5cb98ap-2, -0x1.69017ae1969c7p-2, -0x1.8ac2bf37eea2ap-2, -0x1.aade1351e3972p-2, -0x1.c9477783d7bfp-2, -0x1.e5f73b6352c77p-2, -0x1.0074b980fb113p-1, -0x1.0d0ec0ffe29ffp-1, -0x1.18cad646c9b4p-1, -0x1.23ab55165d463p-1, -0x1.2db3a639dcd18p-1, -0x1.36e8189c350bcp-1, -0x1.3f4dbaa33be26p-1, -0x1.46ea37b15e372p-1, -0x1.4dc3baf33d2cbp-1, -0x1.53e0d578123c7p-1, -0x1.5948677efab7ep-1, -0x1.5e018c787b22ep-1, -0x1.621388178547ep-1, -0x1.6585b4829feafp-1, -0x1.685f73612bb21p-1, -0x1.6aa8235108313p-1, -0x1.6c67124f7aa28p-1, -0x1.6da37d47c1c72p-1, -0x1.6e64831a7c576p-1, -0x1.6eb11e672a0bp-1, -0x1.6e901f5d6ccf6p-1, -0x1.6e08278bf70ddp-1, -0x1.6d1fa6fc6ccp-1, -0x1.6bdcd9df0ed8p-1, -0x1.6a45c687e421ep-1, -0x1.68603bce43572p-1, -0x1.6631cfdd3f703p-1, -0x1.63bfdf725e522p-1, -0x1.610f8d8ef416dp-1, -0x1.5e25c3aa09d65p-1, -0x1.5b07325fc14edp-1, -0x1.57b852771a26p-1, -0x1.543d6603b0103p-1, -0x1.509a797d3ada7p-1, -0x1.4cd364d33c545p-1, -0x1.48ebcca1f7e11p-1, -0x1.44e723a6d4533p-1, -0x1.40c8ac6fae612p-1, -0x1.3c937b218676bp-1, -0x1.384a772ef45a3p-1, -0x1.33f05cec65a6p-1, -0x1.2f87bf0b6422ep-1, -0x1.2b1308134ad89p-1, -0x1.26947be87c2bep-1, -0x1.220e396501d84p-1, -0x1.1d823bfb59376p-1, -0x1.18f25d5b16584p-1, -0x1.14605712d5b18p-1, -0x1.0fcdc42c6bd25p-1, -0x1.0b3c22bd1ba32p-1, -0x1.06acd55fbf512p-1, -0x1.0221248fbfb16p-1, -0x1.fb347fc77c6d4p-2, -0x1.f2327e6470c69p-2, -0x1.e93e4764cfad7p-2, -0x1.e059b254556ccp-2, -0x1.d7866e5d2fc61p-2, -0x1.cec6038e879cfp-2, -0x1.c619dc2dc9a8cp-2, -0x1.bd833b1135ee5p-2, -0x1.b5034565f5008p-2, -0x1.ac9b02cadbb8p-2, -0x1.a44b5f1ea5f5bp-2, -0x1.9c152c35315c5p-2, -0x1.93f92375fe4cfp-2, -0x1.8bf7e765ada3cp-2, -0x1.8412051bdcceep-2, -0x1.7c47f5a6ad2dfp-2, -0x1.749a1f5d9f23ep-2, -0x1.6d08d725638cap-2, -0x1.659461a5a6a1bp-2, -0x1.5e3cf470a6917p-2, -0x1.5702b71b90186p-2, -0x1.4fe5c446b32fp-2, -0x1.48e62a95b0569p-2, -0x1.4203ed98f0bafp-2, -0x1.3b3f06aa45084p-2, -0x1.349765be11d4fp-2, -0x1.2e0cf2293ed89p-2, -0x1.279f8b5b5365fp-2, -0x1.214f098bfc021p-2, -0x1.1b1b3e5c01023p-2, -0x1.1503f56ab1accp-2, -0x1.0f08f4e185594p-2, -0x1.0929fdf7a7b85p-2, -0x1.0366cd6e7baafp-2, -0x1.fb7e380e4c837p-3, -0x1.f0653de13b005p-3, -0x1.e582105b2407fp-3, -0x1.dad40de410e97p-3, -0x1.d05a8ff26fa99p-3, -0x1.c614eba997c95p-3, -0x1.bc02726dc9af1p-3, -0x1.b222726fb410fp-3, -0x1.a87437304e156p-3, -0x1.9ef709fcaaaf7p-3, -0x1.95aa3260a5949p-3, -0x1.8c8cf68f68128p-3, -0x1.839e9bc1785d4p-3, -0x1.7ade66891be22p-3, -0x1.724b9b1ea7677p-3, -0x1.69e57da6c30ebp-3, -0x1.61ab52745d8dap-3, -0x1.599c5e47494cap-3, -0x1.51b7e687b4aep-3, -0x1.49fd317dd3b9bp-3, -0x1.426b8684d83dp-3, -0x1.3b022e3863815p-3, -0x1.33c0729c16ff2p-3, -0x1.2ca59f3d7c5a8p-3, -0x1.25b101510d34bp-3, -0x1.1ee1e7cb5aca7p-3, -0x1.1837a377709bfp-3, -0x1.11b1870b39c92p-3, -0x1.0b4ee73a6d13ap-3, -0x1.050f1ac803eccp-3, -0x1.fde2f52c38071p-4, -0x1.f1eac367bfd9ep-4, -0x1.e6345ad26d629p-4, -0x1.dabe7a8007692p-4, -0x1.cf87e6162802ep-4, -0x1.c48f65d5cba4ep-4, -0x1.b9d3c6a1741f8p-4, -0x1.af53da0099fdp-4, -0x1.a50e76215b834p-4, -0x1.9b0275d8d2e7cp-4, -0x1.912eb8a2966a6p-4, -0x1.8792229f3efbp-4, -0x1.7e2b9c920160ep-4, -0x1.74fa13dcf9216p-4, -0x1.6bfc7a7bf6e1ep-4, -0x1.6331c6fd9b07cp-4, -0x1.5a98f47ab450ep-4, -0x1.5231028c01026p-4, -0x1.49f8f53e8acaap-4, -0x1.41efd506f84b2p-4, -0x1.3a14aeb433fd1p-4, -0x1.32669361c3381p-4, -0x1.2ae4986a1a67ep-4, -0x1.238dd75920ef3p-4, -0x1.1c616ddef9a61p-4, -0x1.155e87b3f5ab6p-4, -0x1.0e84348378788p-4, -0x1.07d1aa4a46b25p-4, -0x1.014616d69bf5p-4, -0x1.f5c157b033bb1p-5, -0x1.e9413da387de4p-5, -0x1.dd0a5217c3946p-5, -0x1.d11b0f0b901b3p-5, -0x1.c571f5cf0cf5p-5, -0x1.ba0d8ee7046e9p-5, -0x1.aeec69eff7ae6p-5, -0x1.a40d1d811499bp-5, -0x1.996e470f1d4c4p-5, -0x1.8f0e8acf563fbp-5, -0x1.84ec939a85b04p-5, -0x1.7b0712d01d947p-5, -0x1.715cc0399b698p-5, -0x1.67ec59ee27aefp-5, -0x1.5eb4a436891f5p-5, -0x1.55b46971768e4p-5, -0x1.4cea79f843e73p-5, -0x1.4455ac03fb302p-5, -0x1.3bf4db92dd57dp-5, -0x1.33c6ea4e566b3p-5, -0x1.2bcabf71593c9p-5, -0x1.23ff47af2f25ep-5, -0x1.1c63751ab429bp-5, -0x1.14f63f0e01e86p-5, -0x1.0db6a2128153p-5, -0x1.06a39fc968618p-5, -0x1.ff787da93988p-6, -0x1.f1ff157ff17c8p-6, -0x1.e4d927d5cd212p-6, -0x1.d804dee4d07e3p-6, -0x1.cb806e36d32c1p-6, -0x1.bf4a127ad9e9bp-6, -0x1.b360115b22ee8p-6, -0x1.a7c0b953c3e74p-6, -0x1.9c6a618a0103dp-6, -0x1.915b69a43b505p-6, -0x1.869239a27b469p-6, -0x1.7c0d41b7aecf8p-6, -0x1.71cafa236f15p-6, -0x1.67c9e30c7be09p-6, -0x1.5e08845bc51f2p-6, -0x1.54856d981bdf2p-6, -0x1.4b3f35c27d6a5p-6, -0x1.42347b32fa971p-6, -0x1.3963e37637cd9p-6, -0x1.30cc1b2b87dcp-6, -0x1.286bd5e399294p-6, -0x1.2041cdffc13bap-6, -0x1.184cc491d665p-6, -0x1.108b813c97939p-6, -0x1.08fcd214a518bp-6, -0x1.019f8b8208fd1p-6, -0x1.f4e5104488a7cp-7, -0x1.e6e95155d99f3p-7, -0x1.d949a7997fb5cp-7, -0x1.cc03ec2e8eb65p-7, -0x1.bf1603b9e6868p-7, -0x1.b27dde2f6c116p-7, -0x1.a639769c34438p-7, -0x1.9a46d2f1838adp-7, -0x1.8ea403d0e838p-7, -0x1.834f24590905p-7, -0x1.784659f36444bp-7, -0x1.6d87d422f4797p-7, -0x1.6311cc5399f42p-7, -0x1.58e285aa5bc6dp-7, -0x1.4ef84cd66c586p-7, -0x1.455177e31021p-7, -0x1.3bec660a39ad3p-7, -0x1.32c77f87de45ap-7, -0x1.29e1356e1f1adp-7, -0x1.2138017a249d5p-7, -0x1.18ca65e9b2e79p-7, -0x1.1096ed5163a9cp-7, -0x1.089c2a73bfff9p-7, -0x1.00d8b818da33dp-7, -0x1.f29671cd53304p-8, -0x1.e3e4ae743592bp-8, -0x1.d5998a01633bap-8, -0x1.c7b27725cc3bbp-8, -0x1.ba2cf71e35372p-8, -0x1.ad06996a5cdep-8, -0x1.a03cfb857eb2ep-8, -0x1.93cdc89fe6927p-8, -0x1.87b6b959d20ecp-8, -0x1.7bf5937f8258dp-8, -0x1.708829c667a41p-8, -0x1.656c5b8b80c0bp-8, -0x1.5aa01492ce8eap-8, -0x1.50214cc7ff07bp-8, -0x1.45ee08000352dp-8, -0x1.3c0455bbf1fa6p-8, -0x1.326250ecbbf5ep-8, -0x1.29061fb82a2f3p-8, -0x1.1fedf33eb88ccp-8, -0x1.171807627ab23p-8, -0x1.0e82a28ef82bbp-8, -0x1.062c15822de55p-8, -0x1.fc25762ca293fp-9, -0x1.ec69f019324f9p-9, -0x1.dd2275b1ef9c4p-9, -0x1.ce4bf6dda8ef6p-9, -0x1.bfe3761d04d69p-9, -0x1.b1e6082777d43p-9, -0x1.a450d389d5bf6p-9, -0x1.97211046bdb5bp-9, -0x1.8a540778b3047p-9, -0x1.7de712f5cbf4cp-9, -0x1.71d79cf51f936p-9, -0x1.66231fb5cc2c3p-9, -0x1.5ac7252787d63p-9, -0x1.4fc14694fc5d4p-9, -0x1.450f2c4f5f8d3p-9, -0x1.3aae8d5be06c3p-9, -0x1.309d2f225dc9p-9, -0x1.26d8e51dce41dp-9, -0x1.1d5f908ded1d4p-9, -0x1.142f202a926b1p-9, -0x1.0b458fd807e8dp-9, -0x1.02a0e85d8085bp-9, -0x1.f47e7e388ed9p-10, -0x1.e43d6b90cbf47p-10, -0x1.d47af446476a9p-10, -0x1.c5338b6c3a483p-10, -0x1.b663bb20736abp-10, -0x1.a80824074dbbap-10, -0x1.9a1d7cc9eec4p-10, -0x1.8ca09197e830ep-10, -0x1.7f8e43aa28dcap-10, -0x1.72e388c946a78p-10, -0x1.669d6ad5a3715p-10, -0x1.5ab90751cbc8p-10, -0x1.4f338eefc24fp-10, -0x1.440a451fd657cp-10, -0x1.393a7fa231284p-10, -0x1.2ec1a61a4be5bp-10, -0x1.249d31a469284p-10, -0x1.1acaac6deb858p-10, -0x1.1147b14ecfb5cp-10, -0x1.0811eb65a87d5p-10, -0x1.fe4e2b6b8f5bap-11, -0x1.ed09f58dcacb9p-11, -0x1.dc52e88e57282p-11, -0x1.cc24d55e0c2f1p-11, -0x1.bc7ba9cd210e2p-11, -0x1.ad536fdab9bb6p-11, -0x1.9ea84d075ec68p-11, -0x1.907681ab12e18p-11, -0x1.82ba684f58fd7p-11, -0x1.7570750c4f35ep-11, -0x1.689534e88b733p-11, -0x1.5c254d3e70ab1p-11, -0x1.501d7b227057fp-11, -0x1.447a92cd4b287p-11, -0x1.39397f0a8e25fp-11, -0x1.2e5740a841334p-11, -0x1.23d0edeb6d62ep-11, -0x1.19a3b20678203p-11, -0x1.0fcccc9302641p-11, -0x1.0649910e9d70cp-11, -0x1.fa2eccb30f723p-12, -0x1.e8678c74769fdp-12, -0x1.d73879c24a342p-12, -0x1.c69cd0e2ffe7ap-12, -0x1.b63d42993687cp-12, -0x1.a6ba949e2cbddp-12, -0x1.97bdf5bd352fdp-12, -0x1.894327d623677p-12, -0x1.7b460c3a4a079p-12, -0x1.6dc2a2da38ad5p-12, -0x1.60b5097a410d1p-12, -0x1.54197aea56e65p-12, -0x1.47ec4e44308b4p-12, -0x1.3c29f62c3548cp-12, -0x1.30cf0017a1516p-12, -0x1.25d813970dc2ap-12, -0x1.1b41f1a4e4108p-12, -0x1.110973f881a6dp-12, -0x1.072b8c5be0e81p-12, -0x1.fb4a880ff4329p-13, -0x1.e8e77605957afp-13, -0x1.d7284f01e4a75p-13, -0x1.c607aa9bf1303p-13, -0x1.b5804a671d1f7p-13, -0x1.a58d18d3de4acp-13, -0x1.9629280ded1fap-13, -0x1.874fb0e6f0fe4p-13, -0x1.78fc11c5ae672p-13, -0x1.6b29cd9cc5b44p-13, -0x1.5dd48ae6d86dfp-13, -0x1.50f812aa27bfdp-13, -0x1.44904f828cbbap-13, -0x1.38994cb0d81c6p-13, -0x1.2d0f352d4377cp-13, -0x1.21ee52c7597d6p-13, -0x1.17330d440c8ap-13, -0x1.0cd9e984aea57p-13, -0x1.02df88b240171p-13, -0x1.f2814ee020c06p-14, -0x1.dff43a221784ap-14, -0x1.ce11b5a77eb14p-14, -0x1.bcd3d645e20eap-14, -0x1.ac34e1b592e81p-14, -0x1.9c2f4d25e4c66p-14, -0x1.8cbdbbdc1a5f5p-14, -0x1.7ddafdda3e38cp-14, -0x1.6f820e8a925f5p-14, -0x1.61ae137f1d5a9p-14, -0x1.545a5b2e5de6ep-14, -0x1.47825bbb6a109p-14, -0x1.3b21b1cbc2f8fp-14, -0x1.2f341f5e3bdd8p-14, -0x1.23b58aa90be42p-14, -0x1.18a1fd0955cfep-14, -0x1.0df5a1ee6bdcap-14, -0x1.03acc5d2a6c23p-14, -0x1.f387aa73e1924p-15, -0x1.e06eb76ca2ffep-15, -0x1.ce0805eb669d9p-15, -0x1.bc4d23a7a4d45p-15, -0x1.ab37d6e3544fcp-15, -0x1.9ac21cb0abfb8p-15, -0x1.8ae6273a79c5fp-15, -0x1.7b9e5c1180b0ep-15, -0x1.6ce552a12bdb3p-15, -0x1.5eb5d2926b3f7p-15, -0x1.510ad243f2a9dp-15, -0x1.43df7553e9bb3p-15, -0x1.372f0b2b80254p-15, -0x1.2af50d972fbd2p-15, -0x1.1f2d1f6df4c62p-15, -0x1.13d30b387df39p-15, -0x1.08e2c1ebf0615p-15, -0x1.fcb0b34f7fb89p-16, -0x1.e86018ff06095p-16, -0x1.d4cc6e9e46512p-16, -0x1.c1eeb120b7d08p-16, -0x1.afc01e8378f3dp-16, -0x1.9e3a33aa95897p-16, -0x1.8d56aa285ef5ep-16, -0x1.7d0f7664251f8p-16, -0x1.6d5ec57b9967cp-16, -0x1.5e3efb6aa4372p-16, -0x1.4faab12a0c04dp-16, -0x1.419cb2d1fb28bp-16, -0x1.340ffdf67f618p-16, -0x1.26ffbfe5b978fp-16, -0x1.1a6753fff5ceap-16, -0x1.0e424226608d8p-16, -0x1.028c3d249ec17p-16, -0x1.ee824284c7da2p-17, -0x1.d8b9e582567b5p-17, -0x1.c3b7b8f381635p-17, -0x1.af745cfc31758p-17, -0x1.9be8b98da5525p-17, -0x1.890dfbe6ea2a4p-17, -0x1.76dd9402700ecp-17, -0x1.6551324ffa0c5p-17, -0x1.5462c52db150bp-17, -0x1.440c76f6003b5p-17, -0x1.3448ab956cd38p-17, -0x1.2511fe9254983p-17, -0x1.166340f645fb6p-17, -0x1.0837775e97fep-17, -0x1.f513b01e76f6bp-18, -0x1.daab9251fb9bbp-18, -0x1.c12dbda4dc074p-18, -0x1.a891b325f654fp-18, -0x1.90cf49356c1c8p-18, -0x1.79dea862655dbp-18, -0x1.63b8484ec2f9ap-18, -0x1.4e54eca40ed7p-18, -0x1.39ada26f4066p-18, -0x1.25bbbcd61c259p-18, -0x1.1278d2f66be94p-18, -0x1.ffbd79bf1d837p-19, -0x1.dbcf22bd05ef3p-19, -0x1.b91b466eee8b1p-19, -0x1.9796fe8db88b2p-19, -0x1.7737d35500a2ap-19, -0x1.57f3b85649f9ep-19, -0x1.39c1077f0170bp-19, -0x1.1c967d3f8f6a8p-19, -0x1.006b34c871b17p-19, -0x1.ca6d47bcc47d1p-20, -0x1.95e12f595af3p-20, -0x1.632261e4358f9p-20, -0x1.3221c1c9bfbecp-20, -0x1.02d0cb3dd66a8p-20, -0x1.aa431c87bfd1p-21, -0x1.520d51dd7a58cp-21, -0x1.f9cd03b5fb8dcp-22, -0x1.556bf9789d432p-22, -0x1.6d90320672f4p-23, -0x1.db3d5940e4847p-26, 0x1.d7f24e1e47e6cp-24, 0x1.04732bc823dd8p-22, 0x1.8dd85cb22e995p-22, 0x1.09297ba203533p-21, 0x1.4904268fd58bcp-21, 0x1.868e1f278402cp-21, 0x1.c1d8a4bbb15d4p-21, 0x1.faf44d9e701f3p-21, 0x1.18f88723f6a29p-20, 0x1.336f20437993dp-20, 0x1.4ce5552fe62dfp-20, 0x1.6562423718ecbp-20, 0x1.7cecc0125243fp-20, 0x1.938b6695599f8p-20, 0x1.a944909c4758bp-20, 0x1.be1e5d5d5fbbp-20, 0x1.d21eb42d672e4p-20, 0x1.e54b466924b5ap-20, 0x1.f7a9921ddceb1p-20, 0x1.049f72284d4ffp-19, 0x1.0d082db05be8ep-19, 0x1.151174660a693p-19, 0x1.1cbdaa034589dp-19, 0x1.240f1d9e7a36p-19, 0x1.2b080b312e6cfp-19, 0x1.31aa9c05e1a8ep-19, 0x1.37f8e7ecd9d12p-19, 0x1.3df4f5d1f69eap-19, 0x1.43a0bca3b82cep-19, 0x1.48fe240a9de81p-19, 0x1.4e0f052361954p-19, 0x1.52d52b1cf4f66p-19, 0x1.575253f826a26p-19, 0x1.5b8831153cc17p-19, 0x1.5f7867cef64d5p-19, 0x1.6324920c18ea4p-19, 0x1.668e3ecba7f5ep-19, 0x1.69b6f293de3e3p-19, 0x1.6ca0280dd0175p-19, 0x1.6f4b50757f89fp-19, 0x1.71b9d3ded42a4p-19, 0x1.73ed11cd0d89bp-19, 0x1.75e6619fb3cf4p-19, 0x1.77a712b2aedbdp-19, 0x1.79306d504d71dp-19, 0x1.7a83b236b87bfp-19, 0x1.7ba21b7183895p-19, 0x1.7c8cdc8c1e198p-19, 0x1.7d4522e664989p-19, 0x1.7dcc15be504dep-19, 0x1.7e22d6cb4b0c3p-19, 0x1.7e4a822bef8dcp-19, 0x1.7e442f1081d78p-19, 0x1.7e10ef41d08cbp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.a9afeb0a1f437p-1, -0x1.b549f7a6fcc4ap-1, -0x1.be4014a41a09p-1, -0x1.c4a2a8f86daep-1, -0x1.c8882ea5c9da5p-1, -0x1.ca0c08e0745bdp-1, -0x1.c94d68f5d9ba9p-1, -0x1.c66e4a8f23a82p-1, -0x1.c192b6d90870bp-1, -0x1.badffba06ddd4p-1, -0x1.b27be98ddd9ddp-1, -0x1.a88c5e867fe96p-1, -0x1.9d37003fb503cp-1, -0x1.90a0e8a2da322p-1, -0x1.82ee3d918aec7p-1, -0x1.7441d9eebc284p-1, -0x1.64bd208ed46dep-1, -0x1.547fec845284ep-1, -0x1.43a8848451f67p-1, -0x1.32538870a3ed6p-1, -0x1.209be07b24a0fp-1, -0x1.0e9a966b7a76ap-1, -0x1.f8cdb94e533f9p-2, -0x1.d42cf8d1fc29dp-2, -0x1.af7ac010f3bf9p-2, -0x1.8adb6d98e51c2p-2, -0x1.667022804c098p-2, -0x1.4256f76aea1aep-2, -0x1.1eab1bcaec148p-2, -0x1.f709d29e1866cp-3, -0x1.b1f3fbfd14796p-3, -0x1.6e3ac95ea30d4p-3, -0x1.2bff8bdb4ff71p-3, -0x1.d6be5db770519p-4, -0x1.58e514558c1b9p-4, -0x1.bd3aa6a544d61p-5, -0x1.a028896e222adp-6, 0x1.570008d92f91cp-9, 0x1.e64a6f1ac055fp-6, 0x1.c8e97f8e2ec03p-5, 0x1.4b528ff10a361p-4, 0x1.ae24d7604d9afp-4, 0x1.067451288e9a9p-3, 0x1.33cf6e5efd2b8p-3, 0x1.5f25fa878ce8fp-3, 0x1.887bc14160677p-3, 0x1.afd5f7cd6e1cap-3, 0x1.d53b14a9ccfdbp-3, 0x1.f8b2a9eac6487p-3, 0x1.0d22a130ad0edp-2, 0x1.1cfe20a58a236p-2, 0x1.2bf0e2144e947p-2, 0x1.3a004341a4ef9p-2, 0x1.4731e3da99279p-2, 0x1.538b99791f2cfp-2, 0x1.5f1364dd38795p-2, 0x1.69cf684d3f29bp-2, 0x1.73c5def1fbbf2p-2, 0x1.7cfd14fecf447p-2, 0x1.857b608e98761p-2, 0x1.8d471b3f8b00fp-2, 0x1.94669ca67089ep-2, 0x1.9ae0359d5ad65p-2, 0x1.a0b9aa670dee2p-2, 0x1.a5fa7796b508ep-2, 0x1.aaa81b1ce1376p-2, 0x1.aec898ef59e85p-2, 0x1.b261d9fa258f4p-2, 0x1.b579aaec53c6ap-2, 0x1.b815baebf2f22p-2, 0x1.ba3b9a1b3d1f2p-2, 0x1.bbf0b7f8d0b1cp-2, 0x1.bd3a61bb34023p-2, 0x1.be1dc0d1df2f8p-2, 0x1.be9fd9b25e381p-2, 0x1.bec58b089ad4ep-2, 0x1.be938d4afa105p-2, 0x1.be0e729e11211p-2, 0x1.bd3aa6e7a4564p-2, 0x1.bc1c6ff1e3ec5p-2, 0x1.bab7ed8c24921p-2, 0x1.b91119a75d212p-2, 0x1.b72bc87af25a6p-2, 0x1.b50ba8c4cd5f1p-2, 0x1.b2b44435ee76ap-2, 0x1.b0290015348cdp-2, 0x1.ad6d1e18af9ap-2, 0x1.aa83bd6da641cp-2, 0x1.a76fdbe1b051ep-2, 0x1.a434571c5b417p-2, 0x1.a0d3edd860bcap-2, 0x1.9d51410d628c4p-2, 0x1.99aed4ff4e868p-2, 0x1.95ef122e69628p-2, 0x1.92144629ac5bdp-2, 0x1.8e20a44b103a3p-2, 0x1.8a164669478c7p-2, 0x1.85f72d8b1d581p-2, 0x1.81c542a62fc4dp-2, 0x1.7d82576df2d0cp-2, 0x1.793027322005p-2, 0x1.74d057c6f340bp-2, 0x1.70647a6eb5c48p-2, 0x1.6bee0cbc054e9p-2, 0x1.676e796648fccp-2, 0x1.62e7190d33f23p-2, 0x1.5e5932eba39acp-2, 0x1.59c5fd7cd3482p-2, 0x1.552e9f1816499p-2, 0x1.50942e87308c1p-2, 0x1.4bf7b39a6f85ap-2, 0x1.475a27bc3c8c3p-2, 0x1.42bc7684bbee2p-2, 0x1.3e1f7e4d45c6cp-2, 0x1.398410c3350f7p-2, 0x1.34eaf3798b2fp-2, 0x1.3054e078e95d2p-2, 0x1.2bc286cd756bap-2, 0x1.27348b11fbcb4p-2, 0x1.22ab87f77fa6fp-2, 0x1.1e280ec813baep-2, 0x1.19aaa7e3d37b5p-2, 0x1.1533d336e8c72p-2, 0x1.10c408a7d60bfp-2, 0x1.0c5bb87dc11f3p-2, 0x1.07fb4bbefb7e6p-2, 0x1.03a3248873eccp-2, 0x1.fea73cbe40b5dp-3, 0x1.f61a1cf8f4e29p-3, 0x1.ed9f882e4cecfp-3, 0x1.e53811513ba7ep-3, 0x1.dce44060d4cd6p-3, 0x1.d4a492ea56b02p-3, 0x1.cc797c86abb88p-3, 0x1.c463675302ebfp-3, 0x1.bc62b463e3cc7p-3, 0x1.b477bc323ee7ep-3, 0x1.aca2cf02464fp-3, 0x1.a4e435440a701p-3, 0x1.9d3c2fee44e31p-3, 0x1.95aaf8d3fae9fp-3, 0x1.8e30c2f5ae9bep-3, 0x1.86cdbacf0610ap-3, 0x1.7f8206a1b038cp-3, 0x1.784dc6be0d157p-3, 0x1.713115ca18db6p-3, 0x1.6a2c0906b463bp-3, 0x1.633f902239251p-3, 0x1.5c69f7e57e668p-3, 0x1.55ac23e9bbbbep-3, 0x1.4f0616fee28fcp-3, 0x1.4877cfa37dac5p-3, 0x1.4201483bb3c6cp-3, 0x1.3ba27749386a7p-3, 0x1.355b4fa394da3p-3, 0x1.2f2bc0b02b749p-3, 0x1.2913b699503cap-3, 0x1.23131a83df3dp-3, 0x1.1d29d2c2b6d67p-3, 0x1.1757c307b619p-3, 0x1.119ccc91c6a6dp-3, 0x1.0bf8ce57d6db2p-3, 0x1.066ba5308beacp-3, 0x1.00f52bf6b4c93p-3, 0x1.f72a7755241c3p-4, 0x1.ec97572048391p-4, 0x1.e230a29568a6fp-4, 0x1.d7f601ebe43c5p-4, 0x1.cde71a79cbbaap-4, 0x1.c4038ede52bd7p-4, 0x1.ba4aff2946eb6p-4, 0x1.b0bd0900597bbp-4, 0x1.a75947c2c0c26p-4, 0x1.9e1f54abace92p-4, 0x1.950ec6f40c8f2p-4, 0x1.8c2733f3d6f7ep-4, 0x1.83682f43295dcp-4, 0x1.7ad14adb46e39p-4, 0x1.726217378883ep-4, 0x1.6a1a237634052p-4, 0x1.61f8fd79236e4p-4, 0x1.59fe32061b8e7p-4, 0x1.52294ce6ac4cfp-4, 0x1.4a79d9076f79dp-4, 0x1.42ef60967f116p-4, 0x1.3b896d20f9145p-4, 0x1.344787af72581p-4, 0x1.2d2938e13687dp-4, 0x1.262e090641768p-4, 0x1.1f558037dfce8p-4, 0x1.189f266fed463p-4, 0x1.120a839eadb59p-4, 0x1.0b971fbf440a2p-4, 0x1.054482eacdf58p-4, 0x1.fe246ad466f1cp-5, 0x1.f1ff7f8d76043p-5, 0x1.e61955b2ea911p-5, 0x1.da70ffb334d6ep-5, 0x1.cf0590d3d9ce8p-5, 0x1.c3d61d4a7ba66p-5, 0x1.b8e1ba5450155p-5, 0x1.ae277e4c38981p-5, 0x1.a3a680bf9fc83p-5, 0x1.995dda82492fcp-5, 0x1.8f4ca5c132907p-5, 0x1.8571fe149ee47p-5, 0x1.7bcd00916ac46p-5, 0x1.725ccbd9b1ef6p-5, 0x1.6920802cd840ap-5, 0x1.60173f76fe2b6p-5, 0x1.57402d5fe0bbdp-5, 0x1.4e9a6f592a0afp-5, 0x1.46252cac2e466p-5, 0x1.3ddf8e87132f1p-5, 0x1.35c8c0095cc8fp-5, 0x1.2ddfee4fd9f37p-5, 0x1.2624487feba42p-5, 0x1.1e94ffd222e53p-5, 0x1.1731479c304f7p-5, 0x1.0ff8555a20146p-5, 0x1.08e960b6e50d7p-5, 0x1.0203a3942ab9dp-5, 0x1.f68cb422eb1b6p-6, 0x1.e96185251c1cfp-6, 0x1.dc843b8a70fc3p-6, 0x1.cff35d4c852c2p-6, 0x1.c3ad750bc84ccp-6, 0x1.b7b11216ff3cep-6, 0x1.abfcc8718394cp-6, 0x1.a08f30d85cfd9p-6, 0x1.9566e8c632fbep-6, 0x1.8a829276378cap-6, 0x1.7fe0d4e60f80bp-6, 0x1.75805bd6c5f6fp-6, 0x1.6b5fd7cce6658p-6, 0x1.617dfe0fbde6fp-6, 0x1.57d988a7dc6b7p-6, 0x1.4e71365ce05dep-6, 0x1.4543cab295e0dp-6, 0x1.3c500de57e0c7p-6, 0x1.3394cce6bee24p-6, 0x1.2b10d9578b7p-6, 0x1.22c30984139edp-6, 0x1.1aaa385df2872p-6, 0x1.12c5457638d8dp-6, 0x1.0b1314f703db7p-6, 0x1.03928f9cb78b2p-6, 0x1.f885455db4d5bp-7, 0x1.ea447ff12bb7p-7, 0x1.dc60bb81c56bfp-7, 0x1.ced7ed84c9f15p-7, 0x1.c1a81445f149bp-7, 0x1.b4cf36d5e9721p-7, 0x1.a84b64f85101cp-7, 0x1.9c1ab7111f6cap-7, 0x1.903b4e11970ccp-7, 0x1.84ab5364b0111p-7, 0x1.7968f8db143c8p-7, 0x1.6e7278969ecc2p-7, 0x1.63c614f57b41ep-7, 0x1.5962187cdc08fp-7, 0x1.4f44d5c35167ap-7, 0x1.456ca75ac14d2p-7, 0x1.3bd7efba1a4d5p-7, 0x1.32851926adaa5p-7, 0x1.2972959d4a519p-7, 0x1.209edebb13965p-7, 0x1.180875a62349cp-7, 0x1.0fade2f5f5c7fp-7, 0x1.078db69ba64efp-7, 0x1.ff4d0f9415ef1p-8, 0x1.efede9bb5122cp-8, 0x1.e0fb468916f41p-8, 0x1.d2727ecc1c5p-8, 0x1.c450f9151189fp-8, 0x1.b6942985ef451p-8, 0x1.a93991a131599p-8, 0x1.9c3ec0190ca8fp-8, 0x1.8fa1509ea6128p-8, 0x1.835eebb150297p-8, 0x1.7775466de3182p-8, 0x1.6be2225e27a72p-8, 0x1.60a34d485f429p-8, 0x1.55b6a0fefc20ep-8, 0x1.4b1a03307b30fp-8, 0x1.40cb6537796c1p-8, 0x1.36c8c3eaf8b9ap-8, 0x1.2d10276ee5905p-8, 0x1.239fa304dc7c1p-8, 0x1.1a7554dd37fb1p-8, 0x1.118f65e86308bp-8, 0x1.08ec09a87e216p-8, 0x1.00897e0351ae3p-8, 0x1.f0cc162931153p-9, 0x1.e10006013df7p-9, 0x1.d1ab838e86a43p-9, 0x1.c2cb5a2e9840bp-9, 0x1.b45c684451a6cp-9, 0x1.a65b9ee019e03p-9, 0x1.98c60168ea4b5p-9, 0x1.8b98a546320c7p-9, 0x1.7ed0b18a7c472p-9, 0x1.726b5e9f0507dp-9, 0x1.6665f5f016978p-9, 0x1.5abdd19a54eefp-9, 0x1.4f705c18ec994p-9, 0x1.447b0ff49e437p-9, 0x1.39db7773c4cefp-9, 0x1.2f8f2c4b36f15p-9, 0x1.2593d7502507ap-9, 0x1.1be7302adff91p-9, 0x1.1286fd0a958cap-9, 0x1.0971125a08615p-9, 0x1.00a3527527649p-9, 0x1.f0375abf7ea56p-10, 0x1.dee1ac1e175bep-10, 0x1.cedcd8fb2416dp-10, 0x1.bf58c1863a7ap-10, 0x1.b051ad304815ap-10, 0x1.a1c3fbcf985f9p-10, 0x1.93ac2519d047p-10, 0x1.8606b81ffe55cp-10, 0x1.78d05accae7a6p-10, 0x1.6c05c96428e47p-10, 0x1.5fa3d606b008ep-10, 0x1.53a76834ceb32p-10, 0x1.480d7c55bbc29p-10, 0x1.3cd3233fb52f6p-10, 0x1.31f581c272fd6p-10, 0x1.2771d03390551p-10, 0x1.1d4559fcf605dp-10, 0x1.136d7d2d4791bp-10, 0x1.09e7aa0a37bcap-10, 0x1.00b162a4e2cc3p-10, 0x1.ef9074e0087dcp-11, 0x1.de53abb063812p-11, 0x1.cda7d3bbbe78ap-11, 0x1.bd887762b8788p-11, 0x1.adf140a140bc8p-11, 0x1.9eddf84df18a2p-11, 0x1.904a855cfbf2fp-11, 0x1.8232ec26e0d28p-11, 0x1.74934db28cf66p-11, 0x1.6767e7030dcfap-11, 0x1.5aad1068d07dcp-11, 0x1.4e5f3cd656424p-11, 0x1.427af93844768p-11, 0x1.36fcebd0ec653p-11, 0x1.2be1d39705e3ep-11, 0x1.21268797e9045p-11, 0x1.16c7f65cd1c4ap-11, 0x1.0cc3255379682p-11, 0x1.03153039dfa37p-11, 0x1.f376911a162fp-12, 0x1.e16569f6182e2p-12, 0x1.cff1a1afe881bp-12, 0x1.bf16172b793fep-12, 0x1.aecdd07e66a29p-12, 0x1.9f13f9eb8ef1fp-12, 0x1.8fe3e4e44c7dp-12, 0x1.8139070f5779dp-12, 0x1.730ef9554ad9fp-12, 0x1.656176f249785p-12, 0x1.582c5c8d33511p-12, 0x1.4b6ba7540e6fbp-12, 0x1.3f1b741d73d7ap-12, 0x1.3337fe8f1e1fdp-12, 0x1.27bda04953f37p-12, 0x1.1ca8d017456eep-12, 0x1.11f62123faap-12, 0x1.07a2423416b5bp-12, 0x1.fb53f9c804e0fp-13, 0x1.e81469d55b1fbp-13, 0x1.d57fcec0f1cd1p-13, 0x1.c3905414f3716p-13, 0x1.b240555416447p-13, 0x1.a18a5ca071c07p-13, 0x1.9169216a69291p-13, 0x1.81d78727a76c3p-13, 0x1.72d09c1163804p-13, 0x1.644f97ea15c8bp-13, 0x1.564fdacad657bp-13, 0x1.48ccebf7476e1p-13, 0x1.3bc278b8e9cbdp-13, 0x1.2f2c534132629p-13, 0x1.230671921059bp-13, 0x1.174cec6d69981p-13, 0x1.0bfbfe4a8b532p-13, 0x1.0110025244943p-13, 0x1.ed0ae6c241ca4p-14, 0x1.d8b1d61ea51bp-14, 0x1.c50e417f02a3ep-14, 0x1.b219d164b4266p-14, 0x1.9fce6641ff636p-14, 0x1.8e2616b84d21fp-14, 0x1.7d1b2de2f6165p-14, 0x1.6ca829ad5d141p-14, 0x1.5cc7b932bb17bp-14, 0x1.4d74bb29c298fp-14, 0x1.3eaa3c5a73876p-14, 0x1.3063761df7692p-14, 0x1.229bccea98ab4p-14, 0x1.154ecee7264a1p-14, 0x1.0878328b1c2eep-14, 0x1.f827aa8d939fcp-15, 0x1.e03b746c71049p-15, 0x1.c92411badb6f5p-15, 0x1.b2da17dbd2e03p-15, 0x1.9d56602b90933p-15, 0x1.889205aee1041p-15, 0x1.748662d635f0ap-15, 0x1.612d0f4fd0162p-15, 0x1.4e7fddedf81cep-15, 0x1.3c78da9b40abdp-15, 0x1.2b124860ca5dbp-15, 0x1.1a469f7c050b3p-15, 0x1.0a108b85249ep-15, 0x1.f4d5d3451791ep-16, 0x1.d6a18d9a6e0d5p-16, 0x1.b97abc45ee35p-16, 0x1.9d582e8ca3ff9p-16, 0x1.82310998ff78dp-16, 0x1.67fcc5703faf6p-16, 0x1.4eb32a04cd28dp-16, 0x1.364c4c5a33db2p-16, 0x1.1ec08bcaf3eacp-16, 0x1.08088f5d581eep-16, 0x1.e43a866a59727p-17, 0x1.b9efac2bfdef9p-17, 0x1.91236dffa5719p-17, 0x1.69c925b36fad9p-17, 0x1.43d4a47343857p-17, 0x1.1f3a2e6ac8402p-17, 0x1.f7dced33601fp-18, 0x1.b3cd358dc4e07p-18, 0x1.72303f2af31d7p-18, 0x1.32f1d98196ffdp-18, 0x1.ebfd25c88f8b4p-19, 0x1.768762e1c4609p-19, 0x1.055e5880ed646p-19, 0x1.30be93234415ep-20, 0x1.7b4608771e4f7p-22, -0x1.ad2bd37bc852ep-22, -0x1.2dd4e50526845p-20, -0x1.e9081912657bbp-20, -0x1.4e8f14b216c46p-19, -0x1.a52748cbec404p-19, -0x1.f86762956fcf3p-19, -0x1.243490ed32da9p-18, -0x1.4aa2ab0167132p-18, -0x1.6f89f3bf31728p-18, -0x1.92f5f06272627p-18, -0x1.b4f1bb873da5bp-18, -0x1.d588095d7fd7ep-18, -0x1.f4c32bb66fb2ap-18, -0x1.09568af8be0bbp-17, -0x1.17a7b05ff98p-17, -0x1.2559a6e5731b5p-17, -0x1.3270e59c3d9f9p-17, -0x1.3ef1bb81be836p-17, -0x1.4ae0512a946ccp-17, -0x1.5640aa48f7011p-17, -0x1.6116a738c6d8fp-17, -0x1.6b66067042e55p-17, -0x1.753265eb8c14ap-17, -0x1.7e7f44816a6dp-17, -0x1.8750033674af1p-17, -0x1.8fa7e6780ffd4p-17, -0x1.978a1757f6fb2p-17, -0x1.9ef9a4aae8762p-17, -0x1.a5f9842ba5fa7p-17, -0x1.ac8c938a11b2fp-17, -0x1.b2b59975c5998p-17, -0x1.b87746941a203p-17, -0x1.bdd436767659bp-17, -0x1.c2cef081c37eap-17, -0x1.c769e8cd4d91dp-17, -0x1.cba780f6534e9p-17, -0x1.cf8a08effbbfdp-17, -0x1.d313bfc52d6f1p-17, -0x1.d646d454f9becp-17, -0x1.d92566060abfep-17, -0x1.dbb18572e6712p-17, -0x1.dded350ed0a4ep-17, -0x1.dfda69c239bbbp-17, -0x1.e17b0b818955ap-17, -0x1.e2d0f5de7d305p-17, -0x1.e3ddf88bf6d6dp-17, -0x1.e4a3d7e7eabc6p-17, -0x1.e5244d7324bdfp-17, -0x1.e561084d0a6a9p-17, -0x1.e55bada09a989p-17, -0x1.e515d912f3883p-17, -0x1.e4911d2af50dbp-17, -0x1.e3cf03b39dd0ap-17, -0x1.e2d10e17b2b0ap-17, -0x1.e198b5bd18579p-17, -0x1.e0276c57040b3p-17, -0x1.de7e9c3b5abe3p-17, -0x1.dc9fa8a831868p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.483a3ab6fa784p+0, -0x1.40037b627c5b6p+0, -0x1.37827db125a9bp+0, -0x1.2ee9fa1018235p+0, -0x1.2663b00baf096p+0, -0x1.1e115f4b07056p+0, -0x1.160dafeda8c36p+0, -0x1.0e6d16e388d48p+0, -0x1.073eb4c0fd87p+0, -0x1.008d1a4b1ba01p+0, -0x1.f4bde4a6ce5e9p-1, -0x1.e96f3dc4d376bp-1, -0x1.df2f952caae93p-1, -0x1.d5fbcd7436bb8p-1, -0x1.cdcd27d8b7a49p-1, -0x1.c699f73b07a9ep-1, -0x1.c0564549b6684p-1, -0x1.baf46e242389bp-1, -0x1.b665a931535d2p-1, -0x1.b29a73fa4b9bap-1, -0x1.af82debe6ddaep-1, -0x1.ad0f05aa3f958p-1, -0x1.ab2e5c6392dd3p-1, -0x1.a9d1243959eabp-1, -0x1.a8e7ee9dbc574p-1, -0x1.a863e0cb9f9b8p-1, -0x1.a836c42754b8cp-1, -0x1.a8531369cdc46p-1, -0x1.a8ac08ff75836p-1, -0x1.a935abf0040adp-1, -0x1.a9e4d72cdac68p-1, -0x1.aaaf3a3b51a5ap-1, -0x1.ab8b5569add22p-1, -0x1.ac7074652ebddp-1, -0x1.ad56a89f95912p-1, -0x1.ae36c367347cfp-1, -0x1.af0a4f0fcd95ap-1, -0x1.afcb86e2b567cp-1, -0x1.b0754e0efd4a4p-1, -0x1.b1032614599bbp-1, -0x1.b1712525ebad5p-1, -0x1.b1bbece4009d4p-1, -0x1.b1e0a198f047bp-1, -0x1.b1dce1e6ba9e1p-1, -0x1.b1aebea3c2dbcp-1, -0x1.b154b2a1aa79bp-1, -0x1.b0cd9a4275f1bp-1, -0x1.b018aaf89a077p-1, -0x1.af356af3a3b63p-1, -0x1.ae23a93cae2b9p-1, -0x1.ace3766c07474p-1, -0x1.ab751e00cae89p-1, -0x1.a9d9204c9a3c2p-1, -0x1.a8102cdcb18efp-1, -0x1.a61b1d490cbaap-1, -0x1.a3faf0540e92ep-1, -0x1.a1b0c54853f91p-1, -0x1.9f3dd7891b3a1p-1, -0x1.9ca37a5553f14p-1, -0x1.99e314cb250cbp-1, -0x1.96fe1e42a98p-1, -0x1.93f61b13dc612p-1, -0x1.90cc99cbf75dep-1, -0x1.8d831b2545204p-1, -0x1.8a1b75d8f112cp-1, -0x1.8697298d8f29bp-1, -0x1.82f7d4639a311p-1, -0x1.7f3f1382f68aap-1, -0x1.7b6e81c5edd67p-1, -0x1.7787b677934c5p-1, -0x1.738c441f560afp-1, -0x1.6f7db75aab1f9p-1, -0x1.6b5d95cb13e56p-1, -0x1.672d5d214661dp-1, -0x1.62ee824d70f81p-1, -0x1.5ea270d89328fp-1, -0x1.5a4a8a65016e3p-1, -0x1.55e8264e99f0dp-1, -0x1.517c916027d1dp-1, -0x1.4d090d942c8d7p-1, -0x1.488ed1db2e057p-1, -0x1.440f09e6e55efp-1, -0x1.3f8ad5fdf5109p-1, -0x1.3b034addcb545p-1, -0x1.367971afb6892p-1, -0x1.31ee4813eb6d2p-1, -0x1.2d62c04248a1p-1, -0x1.28d7c13e14795p-1, -0x1.244e271824c57p-1, -0x1.1fc6c33a00591p-1, -0x1.1b425cb47a4f4p-1, -0x1.16c1b08cfc695p-1, -0x1.124572060b6f2p-1, -0x1.0dce4ae16d6b8p-1, -0x1.095cdb9c4c98ap-1, -0x1.04f1bba771f61p-1, -0x1.008d799ec288dp-1, -0x1.f861370690cbcp-2, -0x1.efb73df49d665p-2, -0x1.e71df3254e79dp-2, -0x1.de96321f1bf7bp-2, -0x1.d620c76e8ca5fp-2, -0x1.cdbe714591f61p-2, -0x1.c56fe017bbeffp-2, -0x1.bd35b72f2a0f6p-2, -0x1.b5108d3824082p-2, -0x1.ad00ecc327dd9p-2, -0x1.a50754bed7b38p-2, -0x1.9d2438ebdc633p-2, -0x1.9558024cdff34p-2, -0x1.8da30f944afe3p-2, -0x1.8605b590c10abp-2, -0x1.7e803f98c4819p-2, -0x1.7712eff5800e4p-2, -0x1.6fbe004c954f3p-2, -0x1.6881a208be421p-2, -0x1.615dfec115004p-2, -0x1.5a53389ed8e4bp-2, -0x1.53616ac15bc8bp-2, -0x1.4c88a99fb1bf7p-2, -0x1.45c9036798c61p-2, -0x1.3f228058fe0ap-2, -0x1.3895231d9fe76p-2, -0x1.3220e91c61513p-2, -0x1.2bc5cac82a208p-2, -0x1.2583bbea625f4p-2, -0x1.1f5aabe944ce4p-2, -0x1.194a860a777b8p-2, -0x1.135331b247a6p-2, -0x1.0d7492a0008f8p-2, -0x1.07ae892795f7fp-2, -0x1.0200f268e0469p-2, -0x1.f8d75108d59ffp-3, -0x1.eddd059bb0608p-3, -0x1.e312abf790172p-3, -0x1.d877e8aa54d81p-3, -0x1.ce0c5bb806bf7p-3, -0x1.c3cfa0eb4adfap-3, -0x1.b9c150211cf74p-3, -0x1.afe0fd9016ef5p-3, -0x1.a62e3a0be63a5p-3, -0x1.9ca893455fa95p-3, -0x1.934f9407b76cp-3, -0x1.8a22c473612b6p-3, -0x1.8121aa36cfaa7p-3, -0x1.784bc8c56f674p-3, -0x1.6fa0a18cd28ecp-3, -0x1.672007a65ccc7p-3, -0x1.5ec8d6124d96bp-3, -0x1.569ad7e951273p-3, -0x1.4e9588a836973p-3, -0x1.46b862a287d7ap-3, -0x1.3f02df2ba7187p-3, -0x1.377476bf5b0dfp-3, -0x1.300ca12998d0cp-3, -0x1.28cad5ad2fde7p-3, -0x1.21ae8b2923742p-3, -0x1.1ab7383c63da9p-3, -0x1.13e45367b9e71p-3, -0x1.0d35532db28d5p-3, -0x1.06a9ae30701fap-3, -0x1.0040db4d540a7p-3, -0x1.f3f4a36d07612p-4, -0x1.e7ab12148f0a2p-4, -0x1.dba3f2d0d7f28p-4, -0x1.cfde370b6d6dep-4, -0x1.c458d17b32fccp-4, -0x1.b912b644a9975p-4, -0x1.ae0adb17602b1p-4, -0x1.a3403748e1fbdp-4, -0x1.98b1c3eda0afdp-4, -0x1.8e5e7beffba0ap-4, -0x1.84455c25d5902p-4, -0x1.7a656364de661p-4, -0x1.70bd9295cf3dap-4, -0x1.674cecc6bb3dfp-4, -0x1.5e12773c9108dp-4, -0x1.550d3983ddfe1p-4, -0x1.4c3c3d80da88fp-4, -0x1.439e8f7ebef14p-4, -0x1.3b333e3e5d584p-4, -0x1.32f95b03f7074p-4, -0x1.2aeff9a44254dp-4, -0x1.231630909583dp-4, -0x1.1b6b18e22c968p-4, -0x1.13edce64800c7p-4, -0x1.0c9d6f9ea52ap-4, -0x1.05791ddbb2dbp-4, -0x1.fcfffa6452dd3p-5, -0x1.ef626914b9a47p-5, -0x1.e217db47ce342p-5, -0x1.d51eaa344b9a2p-5, -0x1.c87534cf9ac8ep-5, -0x1.bc19dfd336857p-5, -0x1.b00b15c06703p-5, -0x1.a44746e26bb07p-5, -0x1.98cce94f35b24p-5, -0x1.8d9a78e6c6099p-5, -0x1.82ae775158ec3p-5, -0x1.78076bfc703f9p-5, -0x1.6da3e416e00cp-5, -0x1.6382728bf09b8p-5, -0x1.59a1affdb53b4p-5, -0x1.50003abea8dd2p-5, -0x1.469cb6caa28abp-5, -0x1.3d75cdbf37d41p-5, -0x1.348a2ed394f8fp-5, -0x1.2bd88ecfdaa02p-5, -0x1.235fa80409903p-5, -0x1.1b1e3a3e848p-5, -0x1.13130ac22b84cp-5, -0x1.0b3ce43c1a9c7p-5, -0x1.039a96b9082b4p-5, -0x1.f855ef3497b98p-6, -0x1.e9d9c315200afp-6, -0x1.dbbe68e451309p-6, -0x1.ce01aad635e28p-6, -0x1.c0a15d69a47b8p-6, -0x1.b39b5f4f0757bp-6, -0x1.a6ed994e8c80cp-6, -0x1.9a95fe2dbec2bp-6, -0x1.8e928a94909bdp-6, -0x1.82e144f1df5dp-6, -0x1.77803d5f7366fp-6, -0x1.6c6d8d85875edp-6, -0x1.61a7587de304ap-6, -0x1.572bcab68de49p-6, -0x1.4cf919d42037bp-6, -0x1.430d8493c87a1p-6, -0x1.396752ad023p-6, -0x1.3004d4b30ebf4p-6, -0x1.26e463f63980dp-6, -0x1.1e046264f302fp-6, -0x1.15633a6cc2c63p-6, -0x1.0cff5edb2ae7ep-6, -0x1.04d74abe72777p-6, -0x1.f9d3028cdb5dep-7, -0x1.ea691b4a86b69p-7, -0x1.db6e05e07b0ddp-7, -0x1.ccdef8014693ep-7, -0x1.beb936a957dfcp-7, -0x1.b0fa15e10ba2p-7, -0x1.a39ef87f0bf9p-7, -0x1.96a54feae6a7bp-7, -0x1.8a0a9bdff7be5p-7, -0x1.7dcc6a30b3f5dp-7, -0x1.71e8568a4d1edp-7, -0x1.665c0a38b6431p-7, -0x1.5b253beb1dffep-7, -0x1.5041af78d26dfp-7, -0x1.45af35a69bad1p-7, -0x1.3b6babec91297p-7, -0x1.3174fc3c6a2a1p-7, -0x1.27c91cc850f9dp-7, -0x1.1e660fca3b0f8p-7, -0x1.1549e34bc70ep-7, -0x1.0c72b0eeaa08dp-7, -0x1.03de9db5a6255p-7, -0x1.f717b39c280c4p-8, -0x1.e6f140b3fd6fap-8, -0x1.d7466e75ac222p-8, -0x1.c813ddb96fe2fp-8, -0x1.b9564404a977ap-8, -0x1.ab0a6b22dcb12p-8, -0x1.9d2d30bfea882p-8, -0x1.8fbb86038b8bep-8, -0x1.82b26f2e0d2acp-8, -0x1.760f033650b4bp-8, -0x1.69ce6b6913f8dp-8, -0x1.5dede3097eb63p-8, -0x1.526ab6f3084a3p-8, -0x1.4742453c96a76p-8, -0x1.3c71fcdcf813ap-8, -0x1.31f75d50acfa7p-8, -0x1.27cff640f7fa5p-8, -0x1.1df9672c4678bp-8, -0x1.14715f0fe3611p-8, -0x1.0b359c12fd5a5p-8, -0x1.0243eb32facf5p-8, -0x1.f3344fe237997p-9, -0x1.e26c7802db47p-9, -0x1.d22c3df60ced2p-9, -0x1.c26fac131e598p-9, -0x1.b332e740330e3p-9, -0x1.a4722e5a70712p-9, -0x1.9629d9a0d0f66p-9, -0x1.88565a2166797p-9, -0x1.7af4392937af7p-9, -0x1.6e0017b696ea7p-9, -0x1.6176adedf22eep-9, -0x1.5554ca911e4aap-9, -0x1.49975279174ccp-9, -0x1.3e3b4012245a8p-9, -0x1.333da2da6cf46p-9, -0x1.289b9ee2ea469p-9, -0x1.1e526c52b8761p-9, -0x1.145f56ecb3158p-9, -0x1.0abfbd976f566p-9, -0x1.017111e774ffap-9, -0x1.f0e1af5782d8ap-10, -0x1.df7948f8fd3a8p-10, -0x1.cea43e97e01e6p-10, -0x1.be5dfff3382abp-10, -0x1.aea21dcf15c35p-10, -0x1.9f6c4923625dp-10, -0x1.90b8524ee24b9p-10, -0x1.8282284e53477p-10, -0x1.74c5d7f7be2f4p-10, -0x1.677f8b39ad355p-10, -0x1.5aab885e76e2fp-10, -0x1.4e4631536d875p-10, -0x1.424c02f3ddae7p-10, -0x1.36b99457f8e52p-10, -0x1.2b8b962764bbfp-10, -0x1.20bed1ef98d16p-10, -0x1.15fc3f2f30378p-10, -0x1.0be7e652a1c93p-10, -0x1.022bd329f3ea9p-10, -0x1.f18a5865e43ecp-11, -0x1.df625b47f59e9p-11, -0x1.cdda51afdacp-11, -0x1.bced077aee2d3p-11, -0x1.ac9570936fc2fp-11, -0x1.9ccea7dc48b7bp-11, -0x1.8d93ee2323951p-11, -0x1.7ee0a918d487fp-11, -0x1.70b0624fec34bp-11, -0x1.62fec6415633cp-11, -0x1.55c7a356e1e4fp-11, -0x1.4906e8fb99389p-11, -0x1.3cb8a6b1e7bp-11, -0x1.30d90b2f4eedap-11, -0x1.2564637d8cae8p-11, -0x1.1a571a214af39p-11, -0x1.0fadb645e21a4p-11, -0x1.0564daeea31dcp-11, -0x1.f6f28c59ca628p-12, -0x1.e3cfa0b67390fp-12, -0x1.d15ad6baf2bb8p-12, -0x1.bf8e43cb3bdabp-12, -0x1.ae642d7a99802p-12, -0x1.9dd70827e88a4p-12, -0x1.8de175a2eb4f4p-12, -0x1.7e7e43da77704p-12, -0x1.6fa86b92c77dep-12, -0x1.615b0f251cd15p-12, -0x1.53917946f7592p-12, -0x1.46471bd99624dp-12, -0x1.39778ec180487p-12, -0x1.2d1e8ec5a50d6p-12, -0x1.2137fc7629f63p-12, -0x1.15bfdb1a98373p-12, -0x1.0ab24fa756ba2p-12, -0x1.000b9fba2a6c3p-12, -0x1.eb90613b344dep-13, -0x1.d7c90ca6b9e3p-13, -0x1.c4ba854a12913p-13, -0x1.b25e4876c71d3p-13, -0x1.a0ae0b784d6a9p-13, -0x1.8fa3b9dbcd80fp-13, -0x1.7f3973c33ae39p-13, -0x1.6f698c4578e04p-13, -0x1.602e87d91c576p-13, -0x1.51831aca67b64p-13, -0x1.436227bce7d3p-13, -0x1.35c6be36fccf9p-13, -0x1.28ac193836812p-13, -0x1.1c0d9dd9b9b19p-13, -0x1.0fe6d9f8c126p-13, -0x1.043382ea6156fp-13, -0x1.f1dee8723888p-14, -0x1.dc2d5cd6942cfp-14, -0x1.c74aaba60537ap-14, -0x1.b32f62cbc41e7p-14, -0x1.9fd4533b5f81ap-14, -0x1.8d328ec3b1a6cp-14, -0x1.7b4365efef232p-14, -0x1.6a0065f99b804p-14, -0x1.596356c91f405p-14, -0x1.496639059861bp-14, -0x1.3a034432cc2c7p-14, -0x1.2b34e4ddaab3ep-14, -0x1.1cf5bad577e41p-14, -0x1.0f4097736b0f5p-14, -0x1.02107bee6af08p-14, -0x1.eac12f77d993bp-15, -0x1.d2588dfab4823p-15, -0x1.bade21f00a11dp-15, -0x1.a4494d352c323p-15, -0x1.8e91c219d14eep-15, -0x1.79af8095b6d2p-15, -0x1.659ad39554694p-15, -0x1.524c4e59c7064p-15, -0x1.3fbcc9ef1a4a1p-15, -0x1.2de562b58f4dbp-15, -0x1.1cbf75fd1dde4p-15, -0x1.0c449fb7f58c5p-15, -0x1.f8dd7078531c2p-16, -0x1.da6fa42fac436p-16, -0x1.bd346ff135b3fp-16, -0x1.a120d545850d4p-16, -0x1.862a3df624041p-16, -0x1.6c46783d5e8f9p-16, -0x1.536bb319695cp-16, -0x1.3b907abe529ebp-16, -0x1.24abb524ababcp-16, -0x1.0eb49ebad98eap-16, -0x1.f3458e552400ep-17, -0x1.cadc1c8542a13p-17, -0x1.a41d41eb9c1f9p-17, -0x1.7ef9ecf712cfep-17, -0x1.5b639b07c7989p-17, -0x1.394c530b96863p-17, -0x1.18a6a050b5342p-17, -0x1.f2cb1b070b83ap-18, -0x1.b6f93fb3d8afdp-18, -0x1.7dbfa4dc050eap-18, -0x1.4707237ee73f6p-18, -0x1.12b96ec752215p-18, -0x1.c18217650a1dap-19, -0x1.621292179b4a2p-19, -0x1.06fc6f639df96p-19, -0x1.60328c8076556p-20, -0x1.751052a9b05cp-21, -0x1.cb2632bf3a629p-24, 0x1.e64e0131128dbp-22, 0x1.088bbd5b44ee5p-20, 0x1.90762af5c6089p-20, 0x1.08c829374f44dp-19, 0x1.460ac317beb9ep-19, 0x1.801f7bf942332p-19, 0x1.b721e6caf843dp-19, 0x1.eb2c9ad5f36f8p-19, 0x1.0e2c9ec07b106p-18, 0x1.256045dc23306p-18, 0x1.3b3d31817638p-18, 0x1.4fcee51a7dd36p-18, 0x1.63207ceba85ffp-18, 0x1.753cb215d90c9p-18, 0x1.862dde7fe0bbcp-18, 0x1.95fe008db4deep-18, 0x1.a4b6beaff1967p-18, 0x1.b2616ae0c8e1bp-18, 0x1.bf0705ef309ebp-18, 0x1.cab042b01d67ep-18, 0x1.d5658906af698p-18, 0x1.df2ef8e3f5d8p-18, 0x1.e8146d106b64cp-18, 0x1.f01d7de86664bp-18, 0x1.f75183f226e79p-18, 0x1.fdb79a6826474p-18, 0x1.01ab50cdd9dbp-17, 0x1.041aa0a3545dep-17, 0x1.062cf561bf389p-17, 0x1.07e56d97d688fp-17, 0x1.09470ebaea268p-17, 0x1.0a54c622936d3p-17, 0x1.0b1169f9ae773p-17, 0x1.0b7fba2538793p-17, 0x1.0ba26120bc0f9p-17, 0x1.0b7bf4d82ccfep-17, 0x1.0b0ef76c4bbep-17, 0x1.0a5dd7fb0d6c1p-17, 0x1.096af3587bb62p-17, 0x1.083894c3715cfp-17, 0x1.06c8f68f62031p-17, 0x1.051e42c888efdp-17, 0x1.033a93d4c7d9p-17, 0x1.011ff5092d52bp-17, 0x1.fda0c66cacc28p-18, 0x1.f89b9a6c6ef11p-18, 0x1.f33428dd660ddp-18, 0x1.ed6e1a9dfa32dp-18, 0x1.e74cff9406f4p-18, 0x1.e0d44f8fa95cfp-18, 0x1.da076b2aa6e66p-18, 0x1.d2e99c98035ccp-18, 0x1.cb7e186f741a6p-18, 0x1.c3c7fe6bbada2p-18, 0x1.bbca5a22f5073p-18, 0x1.b38823b4de04cp-18, 0x1.ab04407465044p-18, 0x1.a2418383fdc5ap-18, 0x1.9942ae6ed385dp-18, 0x1.900a71bbcd8a8p-18, 0x1.869b6d7819e19p-18, 0x1.7cf831b6e63bbp-18, 0x1.73233f19972fdp-18, 0x1.691f0735d3fdep-18, 0x1.5eeded1e96484p-18, 0x1.549245c959573p-18, 0x1.4a0e586df3269p-18, 0x1.3f645ef514308p-18, 0x1.3496865193d85p-18, 0x1.29a6eee0b2f58p-18, 0x1.1e97acb6cca3ep-18, 0x1.136ac7fdde5fap-18, 0x1.08223d3b23dd7p-18, 0x1.f97ffb4933b2ap-19, 0x1.e28bdeb226434p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.5308d3d228ebbp-1, 0x1.5164496c6ecccp-1, 0x1.4f798d95af376p-1, 0x1.4d4713800f296p-1, 0x1.4acbc64785c77p-1, 0x1.480702f9e28bep-1, 0x1.44f8921dbb703p-1, 0x1.41a0a0e27c5dcp-1, 0x1.3dffba1cf7411p-1, 0x1.3a16bf2dd5d93p-1, 0x1.35e6e0ea0efbp-1, 0x1.31719898fac51p-1, 0x1.2cb8a117bea3fp-1, 0x1.27bdf02e7424bp-1, 0x1.2283b020a203cp-1, 0x1.1d0c39803844ap-1, 0x1.175a0d484692fp-1, 0x1.116fcf42f804cp-1, 0x1.0b5040bcff47p-1, 0x1.04fe3b8779fcap-1, 0x1.fcf95a90d4334p-2, 0x1.ef9d26323053fp-2, 0x1.e1edeae246caap-2, 0x1.d3f1c8b8fece2p-2, 0x1.c5aee7f482847p-2, 0x1.b72b7283ae27ep-2, 0x1.a86d8e1813acbp-2, 0x1.997b56ba01fp-2, 0x1.8a5ad9d8d04a9p-2, 0x1.7b1211d18285bp-2, 0x1.6ba6e1e5da11dp-2, 0x1.5c1f129dd7c63p-2, 0x1.4c804e8dcb652p-2, 0x1.3cd01f7b198e4p-2, 0x1.2d13ebda085ep-2, 0x1.1d50f49ef886bp-2, 0x1.0d8c535dab2d1p-2, 0x1.fb95f162a8fcep-3, 0x1.dc2355d0dbf03p-3, 0x1.bcca09dee66c7p-3, 0x1.9d92eaebc111fp-3, 0x1.7e867c920a1d4p-3, 0x1.5face7c0d4e42p-3, 0x1.410dfa2f9eb7ep-3, 0x1.22b12625bd023p-3, 0x1.049d828e1558fp-3, 0x1.cdb396a09077ep-4, 0x1.92d8c3d1b2b28p-4, 0x1.58b69c74a9aecp-4, 0x1.1f587f236d9f5p-4, 0x1.cd9237633466bp-5, 0x1.5e24ebc64a104p-5, 0x1.e0f7a1af1a1d5p-6, 0x1.0950a0b999acep-6, 0x1.aba8f690c3877p-9, -0x1.34fa294e8e0dcp-7, -0x1.666a95d228898p-6, -0x1.171d2e3d8569cp-5, -0x1.78ead5e993f85p-5, -0x1.d89400e46f192p-5, -0x1.1b07c18528dd1p-4, -0x1.48aa9e4333d13p-4, -0x1.752f089443f5bp-4, -0x1.a091efd73463bp-4, -0x1.cad0bc83a74f7p-4, -0x1.f3e94bcc469e9p-4, -0x1.0decf5a224d9ep-3, -0x1.2150aa4574308p-3, -0x1.341f547f7ee4fp-3, -0x1.4658b6be86b8cp-3, -0x1.57fcc314c0f88p-3, -0x1.690b992465c4fp-3, -0x1.798584137999bp-3, -0x1.896af887f047dp-3, -0x1.98bc92acc0ae4p-3, -0x1.a77b14406b5fbp-3, -0x1.b5a762ad65acep-3, -0x1.c342852cc2cd6p-3, -0x1.d04da2f36dd3dp-3, -0x1.dcca016a447adp-3, -0x1.e8b9027131926p-3, -0x1.f41c22ad8baacp-3, -0x1.fef4f7e3c6f08p-3, -0x1.04a297ae5076ep-2, -0x1.0987462ae4da9p-2, -0x1.0e29733f0cb54p-2, -0x1.128a143ea9152p-2, -0x1.16aa2743b2506p-2, -0x1.1a8ab27d97b46p-2, -0x1.1e2cc386558e5p-2, -0x1.21916ebd3147ep-2, -0x1.24b9cea715e05p-2, -0x1.27a703547eb92p-2, -0x1.2a5a31ccda492p-2, -0x1.2cd4837f61305p-2, -0x1.2f1725b93d9cfp-2, -0x1.31234920faa5fp-2, -0x1.32fa21372056cp-2, -0x1.349ce3dbe6debp-2, -0x1.360cc8d9e8444p-2, -0x1.374b0975bdb14p-2, -0x1.3858e00266ecap-2, -0x1.3937877a6b4a2p-2, -0x1.39e83b1d94669p-2, -0x1.3a6c36132cb1fp-2, -0x1.3ac4b310a4c19p-2, -0x1.3af2ec0486582p-2, -0x1.3af819c59abfep-2, -0x1.3ad573c62770cp-2, -0x1.3a8c2fcb2b04bp-2, -0x1.3a1d81a779edep-2, -0x1.398a9afaa2bf9p-2, -0x1.38d4aaf3839a4p-2, -0x1.37fcde166dfd9p-2, -0x1.37045e06c5349p-2, -0x1.35ec5153fa563p-2, -0x1.34b5db49cc56ap-2, -0x1.33621bc3b46b6p-2, -0x1.31f22f0360d7fp-2, -0x1.30672d8a2acabp-2, -0x1.2ec22bf5680f6p-2, -0x1.2d043add87705p-2, -0x1.2b2e66b7d81bfp-2, -0x1.2941b7bae9251p-2, -0x1.273f31c5679bep-2, -0x1.2527d44767754p-2, -0x1.22fc9a2df8e71p-2, -0x1.20be79d0fd796p-2, -0x1.1e6e64e31fc43p-2, -0x1.1c0d4863da818p-2, -0x1.199c0c937e3bap-2, -0x1.171b94e9157dap-2, -0x1.148cc00a24016p-2, -0x1.11f067c41b77dp-2, -0x1.0f4761077f542p-2, -0x1.0c927be4a12aep-2, -0x1.09d28389dde4dp-2, -0x1.07083e4352fb2p-2, -0x1.04346d7bf076bp-2, -0x1.0157cdbfe0a9fp-2, -0x1.fce62d8055a37p-3, -0x1.f70df6af0ddd7p-3, -0x1.f1285320a4454p-3, -0x1.eb36955723f0bp-3, -0x1.e53a0651f10a2p-3, -0x1.df33e59fb85f9p-3, -0x1.d925697224d36p-3, -0x1.d30fbeb346721p-3, -0x1.ccf4091c88e09p-3, -0x1.c6d3634f22427p-3, -0x1.c0aedeede7408p-3, -0x1.ba8784b861df2p-3, -0x1.b45e54a717ccfp-3, -0x1.ae344608f4b81p-3, -0x1.a80a47a1aa0d9p-3, -0x1.a1e13fc90b2bp-3, -0x1.9bba0c8b3cab5p-3, -0x1.959583c9aee42p-3, -0x1.8f74735cc930cp-3, -0x1.8957a1363b7b8p-3, -0x1.833fcb83e0ea3p-3, -0x1.7d2da8d31cce8p-3, -0x1.7721e834b017fp-3, -0x1.711d3160e95f9p-3, -0x1.6b2024dc2b26ep-3, -0x1.652b5c1bb08b4p-3, -0x1.5f3f69aa914d6p-3, -0x1.595cd94ee2e09p-3, -0x1.5384302f02d0cp-3, -0x1.4db5ecf6ebb73p-3, -0x1.47f287fd8e94fp-3, -0x1.423a736a2ed08p-3, -0x1.3c8e1b59a917bp-3, -0x1.36ede603a2814p-3, -0x1.315a33df9aa7bp-3, -0x1.2bd35fc9ce449p-3, -0x1.2659bf27ec0dfp-3, -0x1.20eda20d895e4p-3, -0x1.1b8f53605bec9p-3, -0x1.163f18fc28c11p-3, -0x1.10fd33d663ff1p-3, -0x1.0bc9e0217c3dbp-3, -0x1.06a5556fcb472p-3, -0x1.018fc6d627d87p-3, -0x1.f912c61c2d3f2p-4, -0x1.ef24a92f0e3b1p-4, -0x1.e55583b466975p-4, -0x1.dba59a8cf861cp-4, -0x1.d2152aebcd2cdp-4, -0x1.c8a46a9610b87p-4, -0x1.bf538822214b6p-4, -0x1.b622ab358bdap-4, -0x1.ad11f4c20754bp-4, -0x1.a4217f417d308p-4, -0x1.9b515ef0fa387p-4, -0x1.92a1a20a9dd23p-4, -0x1.8a1250fe6f154p-4, -0x1.81a36eaa3028p-4, -0x1.7954f89014f89p-4, -0x1.7126e70c691b6p-4, -0x1.69192d8a1f2cep-4, -0x1.612bbab64af35p-4, -0x1.595e78b283f5ep-4, -0x1.51b14d46313ddp-4, -0x1.4a241a0ebd606p-4, -0x1.42b6bcaeb5cf6p-4, -0x1.3b690efbd2721p-4, -0x1.343ae72be992fp-4, -0x1.2d2c1800cf6dcp-4, -0x1.263c70f3245cp-4, -0x1.1f6bbe5c1144dp-4, -0x1.18b9c99df6b73p-4, -0x1.1226594c0f081p-4, -0x1.0bb1315105369p-4, -0x1.055a13148583ep-4, -0x1.fe417b3f8f225p-5, -0x1.f209db822d2d4p-5, -0x1.e60cbc5cb4559p-5, -0x1.da498f4d43c4cp-5, -0x1.cebfc2256ef71p-5, -0x1.c36ebf4978a7fp-5, -0x1.b855ededa39f3p-5, -0x1.ad74b251a7ce2p-5, -0x1.a2ca6dfa4ee4dp-5, -0x1.98567fe941e19p-5, -0x1.8e1844d30a0f6p-5, -0x1.840f175353e18p-5, -0x1.7a3a501f76228p-5, -0x1.70994637469bbp-5, -0x1.672b4f14466a5p-5, -0x1.5defbed726b5dp-5, -0x1.54e5e873b9218p-5, -0x1.4c0d1ddb45fe2p-5, -0x1.4364b0255e0c3p-5, -0x1.3aebefb724a3bp-5, -0x1.32a22c691ffb6p-5, -0x1.2a86b5ab97ff4p-5, -0x1.2298daa987f1ap-5, -0x1.1ad7ea6a2e169p-5, -0x1.134333f13f66fp-5, -0x1.0bda065dc86fep-5, -0x1.049bb107c2686p-5, -0x1.fb0f0738cd619p-6, -0x1.ed399c7284ffp-6, -0x1.dfb5c30c373a1p-6, -0x1.d2821d9b48285p-6, -0x1.c59d502a17ec7p-6, -0x1.b9060064ec438p-6, -0x1.acbad5c4a9ee7p-6, -0x1.a0ba79b7769a9p-6, -0x1.950397c7499dbp-6, -0x1.8994ddbe7dd1dp-6, -0x1.7e6cfbca71eedp-6, -0x1.738aa49c4791ap-6, -0x1.68ec8d87ca171p-6, -0x1.5e916ea08cc5p-6, -0x1.547802d554aa8p-6, -0x1.4a9f0809cf9e8p-6, -0x1.41053f2eac12p-6, -0x1.37a96c5821306p-6, -0x1.2e8a56d2ee571p-6, -0x1.25a6c937dddbfp-6, -0x1.1cfd917de259cp-6, -0x1.148d810ac6c67p-6, -0x1.0c556cc291b16p-6, -0x1.04542d159ba8ep-6, -0x1.f9113c1ac6acfp-7, -0x1.e9e33eb05f005p-7, -0x1.db1c28a7189bdp-7, -0x1.ccb9c82b3f348p-7, -0x1.beb9f2eae7f18p-7, -0x1.b11a862466d14p-7, -0x1.a3d966b2c696dp-7, -0x1.96f4811856f2ap-7, -0x1.8a69c9875c297p-7, -0x1.7e373be8fdc7ap-7, -0x1.725adbe27e3a6p-7, -0x1.66d2b4d8c961fp-7, -0x1.5b9cd9f2801cep-7, -0x1.50b766186fe88p-7, -0x1.46207bf4aba58p-7, -0x1.3bd645f03af2cp-7, -0x1.31d6f62f7876fp-7, -0x1.2820c68d3219ap-7, -0x1.1eb1f89495dc7p-7, -0x1.1588d579f8b56p-7, -0x1.0ca3ae1288ff3p-7, -0x1.0400dacaf734ep-7, -0x1.f73d773a48088p-8, -0x1.e6f77009bdfa5p-8, -0x1.d72c7de788b2cp-8, -0x1.c7d98d88869a6p-8, -0x1.b8fb9a57b7dd2p-8, -0x1.aa8fae593a02bp-8, -0x1.9c92e20bddc52p-8, -0x1.8f025c49692a2p-8, -0x1.81db52259f343p-8, -0x1.751b06cc1af5fp-8, -0x1.68becb5d17ed6p-8, -0x1.5cc3fec936022p-8, -0x1.51280dac4d21dp-8, -0x1.45e8722761efbp-8, -0x1.3b02b3b9cc695p-8, -0x1.307467199ffcep-8, -0x1.263b2e0b675bbp-8, -0x1.1c54b7393fdc7p-8, -0x1.12bebe0967p-8, -0x1.09770a74431bp-8, -0x1.007b70d9fbf91p-8, -0x1.ef93a3af51a2dp-9, -0x1.dec034384cd44p-9, -0x1.ce7884793c45dp-9, -0x1.beb89d119494ap-9, -0x1.af7c9dbe068f4p-9, -0x1.a0c0bd0043f81p-9, -0x1.928147c67847fp-9, -0x1.84baa11298e8ep-9, -0x1.776941a193a96p-9, -0x1.6a89b792715dap-9, -0x1.5e18a60d8182ap-9, -0x1.5212c4eb96344p-9, -0x1.4674e05d6edd4p-9, -0x1.3b3bd8934ff08p-9, -0x1.3064a164e2206p-9, -0x1.25ec41f963c7bp-9, -0x1.1bcfd47036a4cp-9, -0x1.120c8589d76acp-9, -0x1.089f94514dcb6p-9, -0x1.ff0ca38c3e364p-10, -0x1.ed7c410d8f034p-10, -0x1.dc88e8f79bf1fp-10, -0x1.cc2da506ecfbep-10, -0x1.bc65a03c36e49p-10, -0x1.ad2c26366f85fp-10, -0x1.9e7ca28e54893p-10, -0x1.9052a0336a2c6p-10, -0x1.82a9c8ca94fcp-10, -0x1.757de40e3c7dp-10, -0x1.68cad7301f4fbp-10, -0x1.5c8ca43cd209bp-10, -0x1.50bf6980facafp-10, -0x1.455f60f0516fap-10, -0x1.3a68df8e6c3fbp-10, -0x1.2fd854d95ebe8p-10, -0x1.25aa4a36393c2p-10, -0x1.1bdb625f65c91p-10, -0x1.126858d4f5aedp-10, -0x1.094e014ecd6aep-10, -0x1.00894730d706bp-10, -0x1.f02e5a022d8bfp-11, -0x1.dfe997bf92b12p-11, -0x1.d03ea602ea199p-11, -0x1.c1280e55fbc2p-11, -0x1.b2a0845f7382ep-11, -0x1.a4a2e4e30e9e7p-11, -0x1.972a34c5d068p-11, -0x1.8a31a0163dcb6p-11, -0x1.7db47918a22dcp-11, -0x1.71ae37575b2e8p-11, -0x1.661a76b72bbacp-11, -0x1.5af4f68f91f39p-11, -0x1.503998c72059p-11, -0x1.45e460f3d50cfp-11, -0x1.3bf1737f69c61p-11, -0x1.325d14cf9cac2p-11, -0x1.2923a87266a27p-11, -0x1.2041b04e1effbp-11, -0x1.17b3cbd583b1cp-11, -0x1.0f76b73f9e258p-11, -0x1.07874ac3823eep-11, -0x1.ffc4f3afb3489p-12, -0x1.f10aa4ec7408dp-12, -0x1.e2d9f8c47218cp-12, -0x1.d52d70e86f0e2p-12, -0x1.c7ffbfcfb6a17p-12, -0x1.bb4bc75c59b81p-12, -0x1.af0c9786a2296p-12, -0x1.a33d6d0fa75f1p-12, -0x1.97d9b03af328p-12, -0x1.8cdcf38f211e9p-12, -0x1.8242f29d5fde4p-12, -0x1.780790cfc8c57p-12, -0x1.6e26d83e6a3dp-12, -0x1.649cf88afc694p-12, -0x1.5b6645c31f64bp-12, -0x1.527f374916dbep-12, -0x1.49e466c2de8efp-12, -0x1.41928f0f8f9dfp-12, -0x1.39868b42f5cp-12, -0x1.31bd55a73d6cdp-12, -0x1.2a3406c4ac1c1p-12, -0x1.22e7d46f40d43p-12, -0x1.1bd610da28c3ap-12, -0x1.14fc29b0f654dp-12, -0x1.0e57a7367ba99p-12, -0x1.07e62b692f455p-12, -0x1.01a5712d10174p-12, -0x1.f72696f5c36c8p-13, -0x1.eb5b49296215ep-13, -0x1.dfe4fa7f1b2eap-13, -0x1.d4bfd804ab29bp-13, -0x1.c9e838d30cffdp-13, -0x1.bf5a9c9ff1b01p-13, -0x1.b513aa58d7382p-13, -0x1.ab102ec79afddp-13, -0x1.a14d1b405b85fp-13, -0x1.97c784586b53ap-13, -0x1.8e7ca0a6411e4p-13, -0x1.8569c78a1f1c6p-13, -0x1.7c8c6fff5cadp-13, -0x1.73e22f76109dfp-13, -0x1.6b68b8b501f03p-13, -0x1.631ddac3a91p-13, -0x1.5aff7fdc1c91ap-13, -0x1.530bac64ba9dap-13, -0x1.4b407df16936cp-13, -0x1.439c2a4c44d2bp-13, -0x1.3c1cfe8589ecap-13, -0x1.34c15e0aa5c2ap-13, -0x1.2d87c1c429c7fp-13, -0x1.266eb73a98cabp-13, -0x1.1f74dfc1cfa7fp-13, -0x1.1898efaaee863p-13, -0x1.11d9ad7c9929dp-13, -0x1.0b35f131688d5p-13, -0x1.04aca37c6c6acp-13, -0x1.fc797a272dc19p-14, -0x1.efca8bffca56fp-14, -0x1.e34aa9e66e0bdp-14, -0x1.d6f81d4737eedp-14, -0x1.cad14a57fc729p-14, -0x1.bed4aee4222dfp-14, -0x1.b300e1229ee18p-14, -0x1.a7548e95f4562p-14, -0x1.9bce7af5e0561p-14, -0x1.906d7f227dffcp-14, -0x1.853088209d015p-14, -0x1.7a16961f179a9p-14, -0x1.6f1ebb84e2695p-14, -0x1.64481c07a3028p-14, -0x1.5991ebca8e7b9p-14, -0x1.4efb6e855abdep-14, -0x1.4483f6b3095c3p-14, -0x1.3a2ae4c8574edp-14, -0x1.2fefa67198ab9p-14, -0x1.25d1b5d7d1527p-14, -0x1.1bd098ecd25c8p-14, -0x1.11ebe0be2bd71p-14, -0x1.082328cec3f41p-14, -0x1.fcec2cedbc03dp-15, -0x1.e9c8b094ce60dp-15, -0x1.d6db4b0ab0a51p-15, -0x1.c4237afbfcfaep-15, -0x1.b1a0ce3a022eap-15, -0x1.9f52e0b5ec451p-15, -0x1.8d395b86bbb8bp-15, -0x1.7b53f3f9b42d1p-15, -0x1.69a26aacf017p-15, -0x1.58248ab3cfd98p-15, -0x1.46da28c4eef46p-15, -0x1.35c322715ad03p-15, -0x1.24df5d64bb2b4p-15, -0x1.142ec6ae258a6p-15, -0x1.03b1521157947p-15, -0x1.e6cdf2c01f25cp-16, -0x1.c69f77b683059p-16, -0x1.a6d73b37c9f8bp-16, -0x1.87754e0641b2bp-16, -0x1.6879c8631bf9fp-16, -0x1.49e4c90ab6649p-16, -0x1.2bb6743e26286p-16, -0x1.0deef2d992896p-16, -0x1.e11ce2edec47fp-17, -0x1.a72a3f398d9f7p-17, -0x1.6e065df05e25dp-17, -0x1.35b1a544b4858p-17, -0x1.fc58f9c204f5ap-18, -0x1.8eee99390a4b5p-18, -0x1.2324f687ccfd7p-18, -0x1.71f9b5d40b6ffp-19, -0x1.41dc2469211d6p-20, 0x1.66bc4ae09d28fp-22, 0x1.eeab7a529831p-20, 0x1.be8b41b6d0901p-19, 0x1.413b757dd5c63p-18, 0x1.a18bd5b05035cp-18, 0x1.001b25a117619p-17, 0x1.2e9d38f1f512dp-17, 0x1.5c4bfc293fb16p-17, 0x1.892750b4906e4p-17, 0x1.b52f228d29141p-17, 0x1.e06368a8b7734p-17, 0x1.056212af6b099p-16, 0x1.1a28b361dbb14p-16, 0x1.2e85a37c4be3cp-16, 0x1.4278f6391f4ep-16, 0x1.5602c51b12b46p-16, 0x1.6923300755d9dp-16, 0x1.7bda5d5b56ea7p-16, 0x1.8e2879fe81b7ap-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.55d3b321a7c54p-1, 0x1.55a7eb911f715p-1, 0x1.556b6aa60e99dp-1, 0x1.551d4876a3547p-1, 0x1.54bcb5bc014d7p-1, 0x1.5448fb92ba76ap-1, 0x1.53c17b0c89ba4p-1, 0x1.5325ac9b773a2p-1, 0x1.52751f5d92bacp-1, 0x1.51af784f9ed85p-1, 0x1.50d4716c2ed17p-1, 0x1.4fe3d8bc0703dp-1, 0x1.4edd8f5be9c07p-1, 0x1.4dc1887b5dfc3p-1, 0x1.4c8fc85784dddp-1, 0x1.4b4863348d7a7p-1, 0x1.49eb7c580011fp-1, 0x1.48794505aed11p-1, 0x1.46f1fb80d8236p-1, 0x1.4555ea12b42a1p-1, 0x1.43a5661777a4ep-1, 0x1.41e0cf129582fp-1, 0x1.40088dcae6ac8p-1, 0x1.3e1d136f2ccap-1, 0x1.3c1ed8c34db61p-1, 0x1.3a0e5d5683332p-1, 0x1.37ec26c2a1a1ep-1, 0x1.35b8bff48404fp-1, 0x1.3374b87d9ea37p-1, 0x1.3120a3eea1db8p-1, 0x1.2ebd193b1413cp-1, 0x1.2c4ab225b6d13p-1, 0x1.29ca0ab588fa6p-1, 0x1.273bc0b32d555p-1, 0x1.24a0732e7ac03p-1, 0x1.21f8c20bf118ep-1, 0x1.1f454d99d30d8p-1, 0x1.1c86b62c99698p-1, 0x1.19bd9bc27dad4p-1, 0x1.16ea9dadc9eb3p-1, 0x1.140e5a45af057p-1, 0x1.11296e9d4d13cp-1, 0x1.0e3c7640ae9bcp-1, 0x1.0b480af76658ap-1, 0x1.084cc48c8eeb3p-1, 0x1.054b389be3p-1, 0x1.0243fa63acd3ap-1, 0x1.fe6f35368f31dp-2, 0x1.f84d4e9bec8ep-2, 0x1.f22357739e527p-2, 0x1.ebf2606502f2dp-2, 0x1.e5bb740f71183p-2, 0x1.df7f96ddd1518p-2, 0x1.d93fc6e09a13ep-2, 0x1.d2fcfbadc640cp-2, 0x1.ccb826466ab62p-2, 0x1.c6723101846fcp-2, 0x1.c02bff7ba9e71p-2, 0x1.b9e66e8b497dep-2, 0x1.b3a254392244cp-2, 0x1.ad607fbca945dp-2, 0x1.a721b97c14122p-2, 0x1.a0e6c30fbe40dp-2, 0x1.9ab05748ab697p-2, 0x1.947f2a39e4847p-2, 0x1.8e53e94476317p-2, 0x1.882f3b25d95bfp-2, 0x1.8211c0088a6c7p-2, 0x1.7bfc1196a853ap-2, 0x1.75eec30e6160cp-2, 0x1.6fea61580810bp-2, 0x1.69ef731da60dbp-2, 0x1.63fe78e3df324p-2, 0x1.5e17ed240c5dfp-2, 0x1.583c44675dbb7p-2, 0x1.526bed62eeebep-2, 0x1.4ca75114aa56ep-2, 0x1.46eed2e0dcd88p-2, 0x1.4142d0b066e13p-2, 0x1.3ba3a30f6a0d8p-2, 0x1.36119d4c612c7p-2, 0x1.308d0d978c461p-2, 0x1.2b163d229dba2p-2, 0x1.25ad704092072p-2, 0x1.2052e685a57a4p-2, 0x1.1b06dae75710bp-2, 0x1.15c983dc66117p-2, 0x1.109b137cc2763p-2, 0x1.0b7bb7a15e1ap-2, 0x1.066b9a03d814fp-2, 0x1.016ae05df2e09p-2, 0x1.f8f359119f1b4p-3, 0x1.ef303937c2928p-3, 0x1.e58c961728b6bp-3, 0x1.dc089d8f4249ap-3, 0x1.d2a476b1fcb6fp-3, 0x1.c96041feec126p-3, 0x1.c03c199d9f574p-3, 0x1.b73811971d266p-3, 0x1.ae54380e7d944p-3, 0x1.a5909578983a9p-3, 0x1.9ced2cd2c2278p-3, 0x1.9469fbd896642p-3, 0x1.8c06fb38ba1d6p-3, 0x1.83c41ec8aa829p-3, 0x1.7ba155b77833fp-3, 0x1.739e8abf88e1bp-3, 0x1.6bbba4573f721p-3, 0x1.63f884e0a0aabp-3, 0x1.5c550ad7e8eeep-3, 0x1.54d111010b27cp-3, 0x1.4d6c6e94298cdp-3, 0x1.4626f768f7962p-3, 0x1.3f007c210de4ep-3, 0x1.37f8ca5132c4ap-3, 0x1.310faca9903c9p-3, 0x1.2a44eb1ce07cbp-3, 0x1.23984b068e02cp-3, 0x1.1d098f4fcd9fbp-3, 0x1.16987893ad167p-3, 0x1.1044c54226291p-3, 0x1.0a0e31c2255e4p-3, 0x1.03f478929c3e7p-3, 0x1.fbeea4d51e682p-4, 0x1.f02cecb06a177p-4, 0x1.e4a333be307efp-4, 0x1.d950e22a903fcp-4, 0x1.ce355d7f4c574p-4, 0x1.c35008da732fcp-4, 0x1.b8a045234de32p-4, 0x1.ae25713d8455fp-4, 0x1.a3deea3a87c1cp-4, 0x1.99cc0b893e685p-4, 0x1.8fec2f2405e56p-4, 0x1.863eadbd1b9b1p-4, 0x1.7cc2dee955eeap-4, 0x1.7378194956188p-4, 0x1.6a5db2b12825ap-4, 0x1.6173004e60a65p-4, 0x1.58b756ccbeb8dp-4, 0x1.502a0a795b3cap-4, 0x1.47ca6f646d723p-4, 0x1.3f97d981ac6bp-4, 0x1.37919cc757d85p-4, 0x1.2fb70d4bee606p-4, 0x1.28077f629afacp-4, 0x1.208247b661976p-4, 0x1.1926bb64113a1p-4, 0x1.11f43013077f4p-4, 0x1.0ae9fc0cc9977p-4, 0x1.040776537c0acp-4, 0x1.fa97ed6e87a86p-5, 0x1.ed6dabd526392p-5, 0x1.e08edb2adbce4p-5, 0x1.d3fa30cf5abc1p-5, 0x1.c7ae64548d589p-5, 0x1.bbaa2f9f3fe6dp-5, 0x1.afec4f05f1faep-5, 0x1.a473816ddd105p-5, 0x1.993e886641905p-5, 0x1.8e4c284204216p-5, 0x1.839b282fab6ffp-5, 0x1.792a524fcc29p-5, 0x1.6ef873c9ee0e9p-5, 0x1.65045cdff7defp-5, 0x1.5b4ce100312ffp-5, 0x1.51d0d6d5e1a1cp-5, 0x1.488f18589f5a8p-5, 0x1.3f8682da537abp-5, 0x1.36b5f714045eep-5, 0x1.2e1c59316cb93p-5, 0x1.25b890db700abp-5, 0x1.1d898941732cfp-5, 0x1.158e3121a31f9p-5, 0x1.0dc57ad03a494p-5, 0x1.062e5c3dc6483p-5, 0x1.fd8f9df8fdb74p-6, 0x1.ef21a089692c9p-6, 0x1.e110c1f0bf955p-6, 0x1.d35b0b4bb75p-6, 0x1.c5fe8d13abf3bp-6, 0x1.b8f95f20f30a2p-6, 0x1.ac49a0abbc897p-6, 0x1.9fed784b8dd53p-6, 0x1.93e313f56af9ep-6, 0x1.8828a8f8b3108p-6, 0x1.7cbc73facca42p-6, 0x1.719cb8f1a9d66p-6, 0x1.66c7c31d2f861p-6, 0x1.5c3be4ff9547cp-6, 0x1.51f77854c5eddp-6, 0x1.47f8de08cdffbp-6, 0x1.3e3e7e2d6bd2bp-6, 0x1.34c6c7eec1462p-6, 0x1.2b9031873cf1fp-6, 0x1.22993832c6bedp-6, 0x1.19e060212fe7fp-6, 0x1.1164346801d76p-6, 0x1.092346f3a6f0ep-6, 0x1.011c3078004a3p-6, 0x1.f29b20c0e1871p-7, 0x1.e36c197ecbe1cp-7, 0x1.d4a8a47ac8ec4p-7, 0x1.c64e280f55aafp-7, 0x1.b85a177cc8b5fp-7, 0x1.aac9f2c50c5d3p-7, 0x1.9d9b468693c4p-7, 0x1.90cbabd6c6106p-7, 0x1.8458c81bc2208p-7, 0x1.78404ce5b310fp-7, 0x1.6c7ff7c7a3487p-7, 0x1.6115922fe325fp-7, 0x1.55fef14023aebp-7, 0x1.4b39f5a52a7f6p-7, 0x1.40c48b6e59203p-7, 0x1.369ca9e4e02fbp-7, 0x1.2cc05362da349p-7, 0x1.232d952a32ed1p-7, 0x1.19e2873b7819ap-7, 0x1.10dd4c2c96938p-7, 0x1.081c10ff8dad9p-7, 0x1.ff3a19f242a15p-8, 0x1.eebd02ef25b2bp-8, 0x1.debd7392d0115p-8, 0x1.cf3816088e223p-8, 0x1.c029a7b7e13bap-8, 0x1.b18ef8f2b590dp-8, 0x1.a364eca3ecd6ep-8, 0x1.95a877fe48e5ep-8, 0x1.8856a22bbad5dp-8, 0x1.7b6c83fd2bfd2p-8, 0x1.6ee7479ac0878p-8, 0x1.62c42834a3694p-8, 0x1.570071b462701p-8, 0x1.4b99806ee252ap-8, 0x1.408cc0d6f5721p-8, 0x1.35d7af3095dbep-8, 0x1.2b77d744d3b9fp-8, 0x1.216ad41673ad9p-8, 0x1.17ae4f974bb9ep-8, 0x1.0e40025e5f05ap-8, 0x1.051db35ebf349p-8, 0x1.f88a6f3e7286cp-9, 0x1.e768e3e59fba1p-9, 0x1.d6d2a56412276p-9, 0x1.c6c3aeea25badp-9, 0x1.b738159d7d39fp-9, 0x1.a82c0810bb213p-9, 0x1.999bcdbcef5bp-9, 0x1.8b83c67ccf345p-9, 0x1.7de06a09b15dep-9, 0x1.70ae477a539b3p-9, 0x1.63ea04c370e05p-9, 0x1.57905e3a26be9p-9, 0x1.4b9e26182abp-9, 0x1.40104401d723dp-9, 0x1.34e3b48e0a198p-9, 0x1.2a1588cfddbd5p-9, 0x1.1fa2e5e23173ap-9, 0x1.158904750e05bp-9, 0x1.0bc5305cdd0dbp-9, 0x1.0254c8237432fp-9, 0x1.f26a7935ef2bep-10, 0x1.e0c820e514d7p-10, 0x1.cfbdaf99a90f6p-10, 0x1.bf466fb0a68d3p-10, 0x1.af5dccd2ede6dp-10, 0x1.9fff532d1ddcap-10, 0x1.9126aeaae99b8p-10, 0x1.82cfaa3607fb8p-10, 0x1.74f62ef89b14dp-10, 0x1.679643a316ebbp-10, 0x1.5aac0bb59bf0cp-10, 0x1.4e33c6ccbb34fp-10, 0x1.4229cff1ac313p-10, 0x1.368a9cedcb9a4p-10, 0x1.2b52bda18507ep-10, 0x1.207edb5e75e48p-10, 0x1.160bb844e4ab8p-10, 0x1.0bf62ea462cd4p-10, 0x1.023b305fadd3ep-10, 0x1.f1af8ca760497p-11, 0x1.df921f8342bf5p-11, 0x1.ce1883787a3f3p-11, 0x1.bd3d4d30056e5p-11, 0x1.acfb3abcecf51p-11, 0x1.9d4d3288b26fbp-11, 0x1.8e2e4245961d8p-11, 0x1.7f999de6a3fefp-11, 0x1.718a9e9d6ce95p-11, 0x1.63fcc1dd5b5a2p-11, 0x1.56eba8648d11cp-11, 0x1.4a53154a1e51ep-11, 0x1.3e2eed11cdc06p-11, 0x1.327b34c4e87f4p-11, 0x1.2734111065edbp-11, 0x1.1c55c568209b6p-11, 0x1.11dcb32f136f8p-11, 0x1.07c558e48b065p-11, 0x1.fc18a2ac6419dp-12, 0x1.e95ca5adc83c3p-12, 0x1.d7505cf46cea6p-12, 0x1.c5ed9ea935feep-12, 0x1.b52e73801c0f7p-12, 0x1.a50d154a714adp-12, 0x1.9583ed91e66dbp-12, 0x1.868d943c23386p-12, 0x1.7824ce36d3536p-12, 0x1.6a448c2bf7711p-12, 0x1.5ce7e93e530cp-12, 0x1.500a29cdd820ep-12, 0x1.43a6ba43dd8ep-12, 0x1.37b92de70091p-12, 0x1.2c3d3db68dcedp-12, 0x1.212ec74d430ffp-12, 0x1.1689cbcb4c6a9p-12, 0x1.0c4a6ec7512b8p-12, 0x1.026cf54673aaep-12, 0x1.f1db89762fd51p-13, 0x1.df92c414a03a4p-13, 0x1.cdf8e12f9e39cp-13, 0x1.bd0762b06ddep-13, 0x1.acb803d3509e6p-13, 0x1.9d04b764d827ep-13, 0x1.8de7a60b2b17cp-13, 0x1.7f5b2c9afd819p-13, 0x1.7159da77fd4cfp-13, 0x1.63de700067a8fp-13, 0x1.56e3dd03943d8p-13, 0x1.4a653f43328cep-13, 0x1.3e5de0fefb5f7p-13, 0x1.32c9378a99e03p-13, 0x1.27a2e1ed95781p-13, 0x1.1ce6a78cfaa82p-13, 0x1.129076de8dbdfp-13, 0x1.089c64255323ap-13, 0x1.fe0d506e4c486p-14, 0x1.eb973e9679a06p-14, 0x1.d9cf8fa2a1e84p-14, 0x1.c8af82a28cfcfp-14, 0x1.b83096a61cf7ap-14, 0x1.a84c889d3fdb6p-14, 0x1.98fd5147a0b39p-14, 0x1.8a3d2333ad7f2p-14, 0x1.7c0668cc98e93p-14, 0x1.6e53c276fc1f6p-14, 0x1.612004bbb5de2p-14, 0x1.54663680aecb2p-14, 0x1.48218f4f28dc8p-14, 0x1.3c4d75a743b15p-14, 0x1.30e57d605df28p-14, 0x1.25e5661601f2ap-14, 0x1.1b4919a10a24dp-14, 0x1.110caa9cabdp-14, 0x1.072c52f71b11fp-14, 0x1.fb48e51af3abcp-15, 0x1.e8e31ba588911p-15, 0x1.d7209902e8b1fp-15, 0x1.c5faf0af20844p-15, 0x1.b56bf7b9bc6d9p-15, 0x1.a56dc265f177fp-15, 0x1.95faa1ddfb3cdp-15, 0x1.870d21f92e65ep-15, 0x1.78a007143b2ebp-15, 0x1.6aae4bfb1dd5fp-15, 0x1.5d331fe449581p-15, 0x1.5029e47c88f0fp-15, 0x1.438e2c03263p-15, 0x1.375bb775e3344p-15, 0x1.2b8e74cc4e355p-15, 0x1.20227d4209d4fp-15, 0x1.151413af957bap-15, 0x1.0a5fa2f132ad7p-15, 0x1.0001bc5b7bf91p-15, 0x1.ebee2c7a91f66p-16, 0x1.d87914dd00b3dp-16, 0x1.c59e29d6e9447p-16, 0x1.b357a4f8dcb86p-16, 0x1.a19ffed2161f9p-16, 0x1.9071ec6e25aaep-16, 0x1.7fc85ce8eb162p-16, 0x1.6f9e771820675p-16, 0x1.5fef9749e655fp-16, 0x1.50b74d179d7dfp-16, 0x1.41f1594c7db13p-16, 0x1.3399abdf4ab72p-16, 0x1.25ac61fe920abp-16, 0x1.1825c42ee5cbbp-16, 0x1.0b02447a79f71p-16, 0x1.fc7cf9635e546p-17, 0x1.e3ae5977da465p-17, 0x1.cb9271f0b7b8dp-17, 0x1.b423515be4b63p-17, 0x1.9d5b4914cb777p-17, 0x1.8734ea5eef033p-17, 0x1.71ab039c69d31p-17, 0x1.5cb89d9f6dadcp-17, 0x1.4858f915ca868p-17, 0x1.34878c0dcafa7p-17, 0x1.213fff93752b6p-17, 0x1.0e7e2d6573789p-17, 0x1.f87c3b81ae46ep-18, 0x1.d4f80a85f10a1p-18, 0x1.b26885c167b81p-18, 0x1.90c6bbe4a0918p-18, 0x1.700c08a6b95aep-18, 0x1.5032112baf0f4p-18, 0x1.3132c08ff248cp-18, 0x1.13084497fe232p-18, 0x1.eb5a1505606aap-19, 0x1.b23777fa6a09cp-19, 0x1.7a9e786eb4996p-19, 0x1.44854a2e4ee1ep-19, 0x1.0fe289154a3c8p-19, 0x1.b95a67db021cap-20, 0x1.55b94f090d8b6p-20, 0x1.e9a267df0da64p-21, 0x1.2d2458d31a236p-21, 0x1.d7677abed325ap-23, -0x1.e2d3398e788d9p-24, -0x1.d3296f3150864p-22, -0x1.91f03e70ec942p-21, -0x1.1ac391913bf58p-20, -0x1.6a394b2070e75p-20, -0x1.b7656f4d521e6p-20, -0x1.0129d96b6d401p-19, -0x1.2587b0e1cc271p-19, -0x1.48d1b284fc47dp-19, -0x1.6b0d23f9dfc53p-19, -0x1.8c3f1e9fab406p-19, -0x1.ac6c9200c084dp-19, -0x1.cb9a4624fe16cp-19, -0x1.e9ccddc6b4972p-19, -0x1.03846c35b92e5p-18, -0x1.11a94a30de6afp-18, -0x1.1f5728526ad1bp-18, -0x1.2c901753cce14p-18, -0x1.39561a03bba57p-18, -0x1.45ab2614404bfp-18, -0x1.519124ddc4e6ep-18, -0x1.5d09f4179ba79p-18, -0x1.6817668678337p-18, -0x1.72bb44a13f177p-18, -0x1.7cf74d2c9ae57p-18, -0x1.86cd35cdbd978p-18, -0x1.903eab94abe64p-18, -0x1.994d537e7850dp-18, -0x1.a1facaefc3bb3p-18, -0x1.aa48a827df00bp-18, -0x1.b2387aace4879p-18, -0x1.b9cbcbb115584p-18, -0x1.c1041e71d3f15p-18, -0x1.c7e2f0907bac1p-18, -0x1.ce69ba656ae16p-18, -0x1.d499ef4d7f80fp-18, -0x1.da74fdf249438p-18, -0x1.dffc508d3a644p-18, -0x1.e5314d260d5b2p-18, -0x1.ea1555cca1e2ep-18, -0x1.eea9c8ce8aa66p-18, -0x1.f2f000e882ed2p-18, -0x1.f6e9557401047p-18, -0x1.fa971a911d07dp-18, -0x1.fdfaa14cfb02ep-18, -0x1.008a9be273fdcp-17, -0x1.01f414a32cb9ep-17, -0x1.033a5f35fd2bp-17, -0x1.045e1e9bf8d62p-17, -0x1.055ff495c34d5p-17, -0x1.064081ae27ffdp-17, -0x1.0700654386929p-17, -0x1.07a03d9028a54p-17, -0x1.0820a7b1904a6p-17, -0x1.08823faed0edfp-17, -0x1.08c5a07e00c84p-17, -0x1.08eb6408d26e9p-17, -0x1.08f42330665bdp-17, -0x1.08e075d05f3ffp-17, -0x1.08b0f2c1485cbp-17, -0x1.08662fda59e67p-17, -0x1.0800c1f2a6378p-17, -0x1.07813ce1bd625p-17, -0x1.06e8337fcf343p-17, -0x1.063637a558a16p-17, -0x1.056bda2a64877p-17, -0x1.0489aae569b7ap-17, -0x1.039038a9cfa71p-17, -0x1.028011462143bp-17, -0x1.0159c181f6b7fp-17, -0x1.001dd51b9dc15p-17, -0x1.fd99ad8b0d021p-18, -0x1.facea046fbb9fp-18, -0x1.f7db938f73cddp-18, -0x1.f4c1965f7d8e1p-18, -0x1.f181b58247e48p-18, -0x1.ee1cfb8c7638ep-18, -0x1.ea9470d5468f3p-18, -0x1.e6e91b6f8e6e9p-18, -0x1.e31bff22a14c4p-18, -0x1.df2e1d632314p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.0ce3e17ee63cp-4, 0x1.0d91631414a3dp-4, 0x1.0c73fab0b4591p-4, 0x1.0987c1b4f6de3p-4, 0x1.04cbcedcaa3cp-4, 0x1.fc841491893b4p-5, 0x1.ebddfa67ac9edp-5, 0x1.d7b33d96dd726p-5, 0x1.c0163ed7d6f48p-5, 0x1.a51d668b72a88p-5, 0x1.86e2ba85c42ffp-5, 0x1.658375b32f064p-5, 0x1.411fa2a7f35b4p-5, 0x1.19d9b9ec37493p-5, 0x1.dfac894325cdep-6, 0x1.867707e5364e8p-6, 0x1.28623b2fa2a1dp-6, 0x1.8b7f367ad8261p-7, 0x1.7b88ec361fa58p-8, -0x1.7c37d3096c1cap-11, -0x1.e8de4ed3b949dp-8, -0x1.d794c2a815535p-7, -0x1.604587cd02063p-6, -0x1.d755095f6b53cp-6, -0x1.2852efc947656p-5, -0x1.65f323e36e44fp-5, -0x1.a46303b67fa79p-5, -0x1.e37b542c69c6cp-5, -0x1.118aeb69d51fcp-4, -0x1.3186b06b7d542p-4, -0x1.519ef75a0fddp-4, -0x1.71c25a7578cadp-4, -0x1.91e016ee1473fp-4, -0x1.b1e81286c6ff9p-4, -0x1.d1cae003975ap-4, -0x1.f179c27d8412fp-4, -0x1.087357d991de9p-3, -0x1.180228b6483edp-3, -0x1.27630303e914dp-3, -0x1.368ff020fcd13p-3, -0x1.45835327efcep-3, -0x1.5437e82c2ede4p-3, -0x1.62a8c3306429cp-3, -0x1.70d14edda815ep-3, -0x1.7ead4b03041cp-3, -0x1.8c38cae402b6ep-3, -0x1.9970335cc2f0cp-3, -0x1.a65038e15470ap-3, -0x1.b2d5dd5ddeeaep-3, -0x1.befe6dfc93078p-3, -0x1.cac780d604b2ep-3, -0x1.d62ef29030aecp-3, -0x1.e132e3f0068cap-3, -0x1.ebd1b76110e6ap-3, -0x1.f60a0e7666d7p-3, -0x1.ffdac767e22dcp-3, -0x1.04a17d471a91dp-2, -0x1.0920fbf027267p-2, -0x1.0d6ba23a0f7bap-2, -0x1.11814c025dfa9p-2, -0x1.1561ed3fc53f4p-2, -0x1.190d90ccf549dp-2, -0x1.1c84573864353p-2, -0x1.1fc67599941a1p-2, -0x1.22d4346c5af16p-2, -0x1.25adee7299888p-2, -0x1.28540f9cba5d7p-2, -0x1.2ac713f94c655p-2, -0x1.2d0786abf1966p-2, -0x1.2f1600ebd830bp-2, -0x1.30f32909e7ab1p-2, -0x1.329fb17eb49fap-2, -0x1.341c58005c428p-2, -0x1.3569e4a0444edp-2, -0x1.368928f0cad9ep-2, -0x1.377aff32df023p-2, -0x1.3840498b7a909p-2, -0x1.38d9f140e5acp-2, -0x1.3948e5ffb9a21p-2, -0x1.398e1d27870dfp-2, -0x1.39aa911efb4edp-2, -0x1.399f40af74256p-2, -0x1.396d2e67d1892p-2, -0x1.391560066a704p-2, -0x1.3898dde9f81efp-2, -0x1.37f8b289522b2p-2, -0x1.3735e9f1d39f7p-2, -0x1.3651914c3a9f3p-2, -0x1.354cb667d852bp-2, -0x1.3428674be7c41p-2, -0x1.32e5b1ced9fa5p-2, -0x1.3185a333709e7p-2, -0x1.300947cb7497p-2, -0x1.2e71aa9fe1e6p-2, -0x1.2cbfd51e5391dp-2, -0x1.2af4cecb8f7e1p-2, -0x1.29119cfaf8972p-2, -0x1.2717428ac7a5dp-2, -0x1.2506bfa4d9188p-2, -0x1.22e11183e6db1p-2, -0x1.20a7323d07896p-2, -0x1.1e5a188d43ed7p-2, -0x1.1bfab7ab22aep-2, -0x1.1989ff1bfb8f5p-2, -0x1.1708da8cf0683p-2, -0x1.147831af62743p-2, -0x1.11d8e818c53a1p-2, -0x1.0f2bdd25a147bp-2, -0x1.0c71ebdfacd2cp-2, -0x1.09abeae6d4695p-2, -0x1.06daac5d0f331p-2, -0x1.03fefdd4e5b04p-2, -0x1.0119a842819fep-2, -0x1.fc56dfde64c19p-3, -0x1.f66a28de7c71ap-3, -0x1.f06ea133d96eap-3, -0x1.ea65b5074e07ep-3, -0x1.e450c6f4276cfp-3, -0x1.de31300431549p-3, -0x1.d8083faf48094p-3, -0x1.d1d73bde45d6bp-3, -0x1.cb9f60f126052p-3, -0x1.c561e1c827baep-3, -0x1.bf1fe7cfc306fp-3, -0x1.b8da930f43378p-3, -0x1.b292fa39e5f22p-3, -0x1.ac4a2ac24f8c9p-3, -0x1.a60128f022841p-3, -0x1.9fb8eff7b064fp-3, -0x1.99727213830c9p-3, -0x1.932e989facaccp-3, -0x1.8cee4436b296bp-3, -0x1.86b24ccffe919p-3, -0x1.807b81dfa8ff9p-3, -0x1.7a4aaa778958ep-3, -0x1.742085696c712p-3, -0x1.6dfdc96a50db8p-3, -0x1.67e3253696f6dp-3, -0x1.61d13fb704f52p-3, -0x1.5bc8b8268c678p-3, -0x1.55ca2638afep-3, -0x1.4fd61a4080c0ap-3, -0x1.49ed1d58174d2p-3, -0x1.440fb1886e234p-3, -0x1.3e3e51f1992d2p-3, -0x1.387972f33a265p-3, -0x1.32c1825529e79p-3, -0x1.2d16e7703dd8fp-3, -0x1.277a035723606p-3, -0x1.21eb30ff3ed61p-3, -0x1.1c6ac569755bbp-3, -0x1.16f90fcaed073p-3, -0x1.119659b59a08dp-3, -0x1.0c42e740a5fe8p-3, -0x1.06fef73091ca1p-3, -0x1.01cac31f1ab62p-3, -0x1.f94cff4592cdfp-4, -0x1.ef24b8ec55308p-4, -0x1.e51d093d4727cp-4, -0x1.db363d25cbce3p-4, -0x1.d17098c1cc609p-4, -0x1.c7cc57a6d0fb5p-4, -0x1.be49ad2e0a6cep-4, -0x1.b4e8c4bd63fb3p-4, -0x1.aba9c20f7baf8p-4, -0x1.a28cc17a84ad9p-4, -0x1.9991d8360a6f9p-4, -0x1.90b9149f7f17ap-4, -0x1.88027e7da2e82p-4, -0x1.7f6e1742aeb9fp-4, -0x1.76fbda4d42505p-4, -0x1.6eabbd2811175p-4, -0x1.667dafc849c7dp-4, -0x1.5e719ccab34fap-4, -0x1.568769af7ea3ep-4, -0x1.4ebef714cada1p-4, -0x1.471820efd88aap-4, -0x1.3f92bec4eca92p-4, -0x1.382ea3dde1f18p-4, -0x1.30eb9f7f6836ap-4, -0x1.29c97d1cf3803p-4, -0x1.22c8048b59645p-4, -0x1.1be6fa321ff36p-4, -0x1.15261f3b7ddc2p-4, -0x1.0e8531c30fa7ap-4, -0x1.0803ed0341dedp-4, -0x1.01a2098176162p-4, -0x1.f6be7a71c1838p-5, -0x1.ea76778850e3ep-5, -0x1.de6b6d0b89695p-5, -0x1.d29cb99e49c2bp-5, -0x1.c709b80d3c8fcp-5, -0x1.bbb1bf9851979p-5, -0x1.b0942439d9d36p-5, -0x1.a5b036eb4e0b5p-5, -0x1.9b0545e7cc552p-5, -0x1.90929cec50ae2p-5, -0x1.86578575b7d19p-5, -0x1.7c5346fc9029ep-5, -0x1.7285272ec8b21p-5, -0x1.68ec6a2743c2fp-5, -0x1.5f8852a356f13p-5, -0x1.565822364886ep-5, -0x1.4d5b197acdc1bp-5, -0x1.4490784299522p-5, -0x1.3bf77dc402e6fp-5, -0x1.338f68c5d0eadp-5, -0x1.2b5777c932e13p-5, -0x1.234ee931f3c61p-5, -0x1.1b74fb6cf0663p-5, -0x1.13c8ed14dbe5bp-5, -0x1.0c49fd155ec32p-5, -0x1.04f76acc9762ep-5, -0x1.fba0ec5615cfdp-6, -0x1.eda8bfa41c31bp-6, -0x1.e004d26163da1p-6, -0x1.d2b3a93e76fedp-6, -0x1.c5b3caf27148fp-6, -0x1.b903c06c60dfbp-6, -0x1.aca2150208211p-6, -0x1.a08d569c09e44p-6, -0x1.94c415df90732p-6, -0x1.8944e6558ee67p-6, -0x1.7e0e5e8f9e4d2p-6, -0x1.731f184aa18a6p-6, -0x1.6875b08f23f5ap-6, -0x1.5e10c7cfa4b12p-6, -0x1.53ef0204c6faap-6, -0x1.4a0f06c788886p-6, -0x1.406f81698934fp-6, -0x1.370f210b74294p-6, -0x1.2dec98b1a1bdp-6, -0x1.25069f56f7bp-6, -0x1.1c5beffe25483p-6, -0x1.13eb49c1393abp-6, -0x1.0bb36fdfb8117p-6, -0x1.03b329cb28807p-6, -0x1.f7d2866475ec6p-7, -0x1.e8a91815132ccp-7, -0x1.d9e7b13216b8bp-7, -0x1.cb8c02f27d3d5p-7, -0x1.bd93c7463be5fp-7, -0x1.affcc0dfd9a31p-7, -0x1.a2c4bb3bc49a4p-7, -0x1.95e98aa589bfdp-7, -0x1.89690c3b0685cp-7, -0x1.7d4125eda2b43p-7, -0x1.716fc681aff86p-7, -0x1.65f2e58c0176cp-7, -0x1.5ac8836dd7852p-7, -0x1.4feea94f3071p-7, -0x1.456369178cf4ap-7, -0x1.3b24dd6547758p-7, -0x1.313129838a92bp-7, -0x1.2786795ef8523p-7, -0x1.1e2301791872dp-7, -0x1.1504feda9c3cbp-7, -0x1.0c2ab70489b02p-7, -0x1.039277e05f1b3p-7, -0x1.f6752f5e792eap-8, -0x1.e642e9f04d70dp-8, -0x1.d68aecead88c5p-8, -0x1.c74a16028449p-8, -0x1.b87d53033df8dp-8, -0x1.aa21a1a6cf122p-8, -0x1.9c340f69eb56p-8, -0x1.8eb1b9601018ep-8, -0x1.8197cc064bc1cp-8, -0x1.74e38315044cfp-8, -0x1.68922950d356dp-8, -0x1.5ca1185a8c828p-8, -0x1.510db87e835a1p-8, -0x1.45d5808321418p-8, -0x1.3af5f576e51bfp-8, -0x1.306caa7dd633cp-8, -0x1.2637409e81c25p-8, -0x1.1c53668e92035p-8, -0x1.12bed87f0d2dbp-8, -0x1.09775fe84e566p-8, -0x1.007ad355c336fp-8, -0x1.ef8e2c630367cp-9, -0x1.deb4311f76a84p-9, -0x1.ce63adf4478b6p-9, -0x1.be98b4769d519p-9, -0x1.af4f6e5429e87p-9, -0x1.a0841cea170b1p-9, -0x1.923318dc296cfp-9, -0x1.8458d1ac2ec4ap-9, -0x1.76f1cd51c9493p-9, -0x1.69faa7d2a7d62p-9, -0x1.5d7012db4139fp-9, -0x1.514ed5581df2p-9, -0x1.4593cb0fbc25dp-9, -0x1.3a3be43d2617p-9, -0x1.2f44252b3d45fp-9, -0x1.24a9a5d0cf203p-9, -0x1.1a69916d77b86p-9, -0x1.10812627636c6p-9, -0x1.06edb4a9f87a5p-9, -0x1.fb593f8ad46bdp-10, -0x1.e976b81e9e65p-10, -0x1.d82edf085d1f8p-10, -0x1.c77ce25436fb1p-10, -0x1.b75c1168c02fp-10, -0x1.a7c7dc507831dp-10, -0x1.98bbd30581f64p-10, -0x1.8a33a4bf981c8p-10, -0x1.7c2b1f44581ecp-10, -0x1.6e9e2e39d4b4ap-10, -0x1.6188da7b8dd48p-10, -0x1.54e74971c30fbp-10, -0x1.48b5bc6b390f2p-10, -0x1.3cf08ff95f0cap-10, -0x1.31943b4eef4dfp-10, -0x1.269d4fa10861p-10, -0x1.1c08778aad16ap-10, -0x1.11d27672d602ep-10, -0x1.07f827f4ed1cdp-10, -0x1.fcecfe979be2fp-11, -0x1.ea950d7e7d30dp-11, -0x1.d8e2be27d7189p-11, -0x1.c7d07dfbb23a5p-11, -0x1.b758e52aa5defp-11, -0x1.a776b59ca671cp-11, -0x1.9824d9e4c088fp-11, -0x1.895e6439bdc8dp-11, -0x1.7b1e8d73aa2d8p-11, -0x1.6d60b40e33debp-11, -0x1.60205b2fde949p-11, -0x1.535929b602aap-11, -0x1.4706e9458c9bdp-11, -0x1.3b2585607631fp-11, -0x1.2fb10a7fed9e7p-11, -0x1.24a5a5331f887p-11, -0x1.19ffa1429baedp-11, -0x1.0fbb68d844d29p-11, -0x1.05d583abc239dp-11, -0x1.f8952c66ccd35p-12, -0x1.e62ec1b2fc0bfp-12, -0x1.d4717e6bf239p-12, -0x1.c3574e98c561cp-12, -0x1.b2da519c2f5c1p-12, -0x1.a2f4d8c163803p-12, -0x1.93a165d127b48p-12, -0x1.84daa9af1de59p-12, -0x1.769b82ff1a57ep-12, -0x1.68defcd269ff2p-12, -0x1.5ba04d5cf1706p-12, -0x1.4edad4b1fcce6p-12, -0x1.428a1b88acdd5p-12, -0x1.36a9d207db6afp-12, -0x1.2b35ce995e45bp-12, -0x1.202a0cc484475p-12, -0x1.1582ac0fb8a3ap-12, -0x1.0b3beee91fe3ep-12, -0x1.015239961c192p-12, -0x1.ef8422532b2dfp-13, -0x1.dd103501ceaedp-13, -0x1.cb42328eab9d1p-13, -0x1.ba13ddffdb01fp-13, -0x1.a97f342b5caf6p-13, -0x1.997e69e3cbef2p-13, -0x1.8a0bea312cdf1p-13, -0x1.7b225495a8244p-13, -0x1.6cbc7b5de94cfp-13, -0x1.5ed561fcf4a45p-13, -0x1.51683b732c6a3p-13, -0x1.447068c052fdp-13, -0x1.37e977605b208p-13, -0x1.2bcf1fd2b4699p-13, -0x1.201d442bf9b06p-13, -0x1.14cfeeb1adc43p-13, -0x1.09e3507feef68p-13, -0x1.fea780718ed38p-14, -0x1.ea3b717a10427p-14, -0x1.d67bafdcbd4e9p-14, -0x1.c361baf500b8ep-14, -0x1.b0e7535e672d6p-14, -0x1.9f0678adff3fbp-14, -0x1.8db9673cba67p-14, -0x1.7cfa960249da2p-14, -0x1.6cc4b480352d6p-14, -0x1.5d12a8bcb8abfp-14, -0x1.4ddf8d4d126cfp-14, -0x1.3f26af6ee01d9p-14, -0x1.30e38d3031146p-14, -0x1.2311d3a5f3dedp-14, -0x1.15ad5d3063984p-14, -0x1.08b22fcd20e8ap-14, -0x1.f838f6ed3afefp-15, -0x1.dfd131210f71p-15, -0x1.c8260cc1c266ep-15, -0x1.b130d32ae3a92p-15, -0x1.9aeb15aa85633p-15, -0x1.854eaabbabf33p-15, -0x1.7055ab5798cdcp-15, -0x1.5bfa705d5922ep-15, -0x1.4837900f03d48p-15, -0x1.3507dba41643dp-15, -0x1.22665cf05c3f2p-15, -0x1.104e541edaddfp-15, -0x1.fd766b006504fp-16, -0x1.db514ed7e4a94p-16, -0x1.ba250068a9548p-16, -0x1.99e98857d3029p-16, -0x1.7a97477958848p-16, -0x1.5c26f3200ed53p-16, -0x1.3e91918e9db99p-16, -0x1.21d0768873e2bp-16, -0x1.05dd4001cd809p-16, -0x1.d563a5dbdbc62p-17, -0x1.a090b05553d0bp-17, -0x1.6d367310da67ep-17, -0x1.3b4a3ddbbfd9cp-17, -0x1.0ac1d72cc04b4p-17, -0x1.b726edaa1cc0bp-18, -0x1.5b6b81c7ad13fp-18, -0x1.023f81758cdf5p-18, -0x1.57239148544e8p-19, -0x1.5d47bd54eacfcp-20, -0x1.5c10364ff3261p-24, 0x1.288932719ba61p-20, 0x1.2ee8401b18cc7p-19, 0x1.c5260af008478p-19, 0x1.2b8c354dc52fcp-18, 0x1.726c5ba0d5344p-18, 0x1.b73f9f05762fdp-18, 0x1.fa11a72ceae19p-18, 0x1.1d76d19d94db4p-17, 0x1.3cef27ecdc50cp-17, 0x1.5b76fe84f3414p-17, 0x1.791349dc42277p-17, 0x1.95c8cd8a966ecp-17, 0x1.b19c1ed79b05ap-17, 0x1.cc91a72d0d334p-17, 0x1.e6ada66dbfccap-17, 0x1.fff43532400e9p-17, 0x1.0c34a3760ab73p-16, 0x1.180855f83e99ap-16, 0x1.237709b5b7f7p-16, 0x1.2e82869df0bd8p-16, 0x1.392c85dcf43f7p-16, 0x1.4376b2b3dc22fp-16, 0x1.4d62ab470cfb8p-16, 0x1.56f2016295fd6p-16, 0x1.60263b3515cacp-16, 0x1.6900d40171745p-16, 0x1.71833cc7c1d72p-16, 0x1.79aedce5c4706p-16, 0x1.818512af26208p-16, 0x1.890733fdf214ep-16, 0x1.90368ebb76454p-16, 0x1.97146961ee396p-16, 0x1.9da203772d03ep-16, 0x1.a3e096009da2p-16, 0x1.a9d153f0d2ae8p-16, 0x1.af756a8eeee68p-16, 0x1.b4ce01d823079p-16, 0x1.b9dc3cdb7f001p-16, 0x1.bea13a1051866p-16, 0x1.c31e13a758648p-16, 0x1.c753dfd6ed69dp-16, 0x1.cb43b1226eb5ep-16, 0x1.ceee969d1866p-16, 0x1.d2559c2879718p-16, 0x1.d579caaec1ac1p-16, 0x1.d85c28590cf63p-16, 0x1.dafdb8c1e317dp-16, 0x1.dd5f7d240e222p-16, 0x1.df82748603e15p-16, 0x1.e1679be1f17e9p-16, 0x1.e30fee4aaff12p-16, 0x1.e47c650dafa7ap-16, 0x1.e5adf7d20987p-16, 0x1.e6a59cb4dfc33p-16, 0x1.e764486324e86p-16, 0x1.e7eaee30f44f6p-16, 0x1.e83a802e95efep-16, 0x1.e853ef3b5307bp-16, 0x1.e8382b16307c7p-16, 0x1.e7e8226cb69a7p-16, 0x1.e764c2e7d9a41p-16, 0x1.e6aef93720059p-16, 0x1.e5c7b11a218dep-16, 0x1.e4afd56876044p-16, 0x1.e368501830a49p-16, 0x1.e1f20a42f1e12p-16, 0x1.e04dec29b6535p-16, 0x1.de7cdd376b7ffp-16, 0x1.dc7fc40263a8bp-16, 0x1.da57864cb8843p-16, 0x1.d8050903b6cd8p-16, 0x1.d589303e5b514p-16, 0x1.d2e4df3af5a4fp-16, 0x1.d018f85c07978p-16, 0x1.cd265d2462ccap-16, 0x1.ca0dee32a2c52p-16, 0x1.c6d08b3c040e4p-16, 0x1.c36f1306b4b1bp-16, 0x1.bfea636398da4p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.6f480c774056dp-1, 0x1.6dba2faf0c6eep-1, 0x1.6c1d7557b1c5bp-1, 0x1.6a74baf8d4733p-1, 0x1.68c2b1c96e616p-1, 0x1.6709d77e16d08p-1, 0x1.654c715f85c9bp-1, 0x1.638c8951b2d15p-1, 0x1.61cbec7b2409cp-1, 0x1.600c2b43c197cp-1, 0x1.5e4e9a6a503e7p-1, 0x1.5c9454f75f051p-1, 0x1.5ade3edbc0e56p-1, 0x1.592d080f6fad5p-1, 0x1.5781300bfbd83p-1, 0x1.55db098359629p-1, 0x1.543abe38e7107p-1, 0x1.52a052e720291p-1, 0x1.510bab205648dp-1, 0x1.4f7c8d1c55a0ep-1, 0x1.4df2a567ce313p-1, 0x1.4c6d8a6cfb047p-1, 0x1.4aecbfcf30542p-1, 0x1.496fb994d27eap-1, 0x1.47f5df1cce514p-1, 0x1.467e8dddf09ddp-1, 0x1.45091bef8a36cp-1, 0x1.4394da5baaa5p-1, 0x1.4221173bebap-1, 0x1.40ad1fa24f342p-1, 0x1.3f38415019e16p-1, 0x1.3dc1cc3ce2e68p-1, 0x1.3c4913f048d2cp-1, 0x1.3acd70b0dcc26p-1, 0x1.394e408aeca6p-1, 0x1.37cae831d760ep-1, 0x1.3642d3be9a284p-1, 0x1.34b5774e336c5p-1, 0x1.33224f826de69p-1, 0x1.3188e1e789d2p-1, 0x1.2fe8bd4124c62p-1, 0x1.2e4179c0a3a5ap-1, 0x1.2c92b92742a06p-1, 0x1.2adc26d5d4ab5p-1, 0x1.291d77cc15ffcp-1, 0x1.27566a995d3a6p-1, 0x1.2586c74055456p-1, 0x1.23ae5f0f49ae2p-1, 0x1.21cd0c6e77b6dp-1, 0x1.1fe2b2a5b6caep-1, 0x1.1def3d9aafef6p-1, 0x1.1bf2a188c757p-1, 0x1.19ecdab3be384p-1, 0x1.17dded15fc274p-1, 0x1.15c5e40b60e9bp-1, 0x1.13a4d1f962e9fp-1, 0x1.117acff530609p-1, 0x1.0f47fd6878c75p-1, 0x1.0d0c7fb5709bdp-1, 0x1.0ac881da940adp-1, 0x1.087c3416a13dap-1, 0x1.0627cb8d2faaap-1, 0x1.03cb81ec460b4p-1, 0x1.016795133f03p-1, 0x1.fdf88d7689a07p-2, 0x1.f913b843495c3p-2, 0x1.f4213b6857337p-2, 0x1.ef21ad7f82126p-2, 0x1.ea15aa42c122p-2, 0x1.e4fdd1f32c2e8p-2, 0x1.dfdac8c52b4d6p-2, 0x1.daad3652094c6p-2, 0x1.d575c50f0824fp-2, 0x1.d03521ca07b7fp-2, 0x1.caebfb2bda185p-2, 0x1.c59b01403fab4p-2, 0x1.c042e5039298fp-2, 0x1.bae457f619325p-2, 0x1.b5800bb4f7d22p-2, 0x1.b016b198af4efp-2, 0x1.aaa8fa591354p-2, 0x1.a53795b6aa1c1p-2, 0x1.9fc332294d184p-2, 0x1.9a4c7c93fc003p-2, 0x1.94d41ffdb7a0ep-2, 0x1.8f5ac54f4ae9ep-2, 0x1.89e11315d86e7p-2, 0x1.8467ad4a0f563p-2, 0x1.7eef351bd83b7p-2, 0x1.797848c260e6cp-2, 0x1.7403835051b05p-2, 0x1.6e917c8c10d14p-2, 0x1.6922c8cbe344bp-2, 0x1.63b7f8d5cbfe6p-2, 0x1.5e5199c2f915ep-2, 0x1.58f034e69e5b1p-2, 0x1.53944fb811c8bp-2, 0x1.4e3e6bc007f8dp-2, 0x1.48ef0688c6d21p-2, 0x1.43a6999127496p-2, 0x1.3e659a424931bp-2, 0x1.392c79e7ccad9p-2, 0x1.33fba5aa73cb9p-2, 0x1.2ed3868d075b9p-2, 0x1.29b4816b5d902p-2, 0x1.249ef6fb65654p-2, 0x1.1f9343d0116a3p-2, 0x1.1a91c05e08dccp-2, 0x1.159ac101fe8a4p-2, 0x1.10ae960893f44p-2, 0x1.0bcd8bb7a66afp-2, 0x1.06f7ea58f5d69p-2, 0x1.022df64602731p-2, 0x1.fadfdfea16fcdp-3, 0x1.f17c280e3c494p-3, 0x1.e83136ae22f37p-3, 0x1.deff7612c9055p-3, 0x1.d5e74939c8b68p-3, 0x1.cce90bf81382ep-3, 0x1.c405131ded7p-3, 0x1.bb3bac9c0e1b8p-3, 0x1.b28d1fa9c0e09p-3, 0x1.a9f9acebe2a5dp-3, 0x1.a1818e9ca12ffp-3, 0x1.9924f8b3da8a2p-3, 0x1.90e4191005a6ep-3, 0x1.88bf179f89d5dp-3, 0x1.80b6168a6481fp-3, 0x1.78c9325c0f269p-3, 0x1.70f8822d8dba3p-3, 0x1.694417cf8b2c4p-3, 0x1.61abfff476c45p-3, 0x1.5a30425a8c64bp-3, 0x1.52d0e1f5bc419p-3, 0x1.4b8ddd1955056p-3, 0x1.44672da1792e8p-3, 0x1.3d5cc91c33ab2p-3, 0x1.366ea0f239c62p-3, 0x1.2f9ca28f41c44p-3, 0x1.28e6b789df3cbp-3, 0x1.224cc5caeb56bp-3, 0x1.1bceafb45a218p-3, 0x1.156c54478cdcap-3, 0x1.0f258f4b01864p-3, 0x1.08fa396f695b5p-3, 0x1.02ea287421048p-3, 0x1.f9ea5e95e3996p-4, 0x1.ee363c7661fdcp-4, 0x1.e2b786084b55fp-4, 0x1.d76dd1fd6eea4p-4, 0x1.cc58b27cd76d7p-4, 0x1.c177b56330a01p-4, 0x1.b6ca6481cd1b9p-4, 0x1.ac5045dc19413p-4, 0x1.a208dbe38ea6p-4, 0x1.97f3a5b226efp-4, 0x1.8e101f433faebp-4, 0x1.845dc1ab00b02p-4, 0x1.7adc034c366efp-4, 0x1.718a580ca68a3p-4, 0x1.68683187e23eep-4, 0x1.5f74ff4094183p-4, 0x1.56b02ed04e77ep-4, 0x1.4e192c15dd3f8p-4, 0x1.45af61621c8ap-4, 0x1.3d7237a359363p-4, 0x1.3561168f40b4fp-4, 0x1.2d7b64cb5fefep-4, 0x1.25c088143c024p-4, 0x1.1e2fe56304c44p-4, 0x1.16c8e111e9416p-4, 0x1.0f8adeff11436p-4, 0x1.087542ae44eafp-4, 0x1.01876f694364fp-4, 0x1.f58190bda8af6p-5, 0x1.e841618128115p-5, 0x1.db4d17bf0e252p-5, 0x1.cea37a8ee9942p-5, 0x1.c24351b22d7cfp-5, 0x1.b62b65c636737p-5, 0x1.aa5a80741367cp-5, 0x1.9ecf6c9e121a8p-5, 0x1.9388f68b2547ap-5, 0x1.8885ec102daf6p-5, 0x1.7dc51cb733b4ap-5, 0x1.734559e49fff1p-5, 0x1.690576fa80d82p-5, 0x1.5f044979e7e14p-5, 0x1.5540a9226d265p-5, 0x1.4bb9700fe870ap-5, 0x1.426d7ad668f2p-5, 0x1.395ba89c7b1cbp-5, 0x1.3082db33c8f9dp-5, 0x1.27e1f73022013p-5, 0x1.1f77e3fcf6111p-5, 0x1.17438bf150884p-5, 0x1.0f43dc6260893p-5, 0x1.0777c5b497e4ap-5, 0x1.ffbc76d6e26bdp-6, 0x1.f0ec686fc5a3bp-6, 0x1.e27d540b20f3ap-6, 0x1.d46d340d82e8ap-6, 0x1.c6ba097e53a41p-6, 0x1.b961dc1b24f71p-6, 0x1.ac62ba68cb525p-6, 0x1.9fbab9c261507p-6, 0x1.9367f666411d9p-6, 0x1.876893810dc58p-6, 0x1.7bbabb36dd4bbp-6, 0x1.705c9eaa95d92p-6, 0x1.654c760393cffp-6, 0x1.5a888071abc5bp-6, 0x1.500f042f95c1cp-6, 0x1.45de4e83d6293p-6, 0x1.3bf4b3c039738p-6, 0x1.32508f3fe9b29p-6, 0x1.28f043643a125p-6, 0x1.1fd239902c8a9p-6, 0x1.16f4e222cc7f3p-6, 0x1.0e56b47061d3cp-6, 0x1.05f62eba945fdp-6, 0x1.fba3ac4f160bap-7, 0x1.ebd06d70235e5p-7, 0x1.dc6fc679a87fdp-7, 0x1.cd7eea95819ccp-7, 0x1.befb1a5d2c16bp-7, 0x1.b0e1a3bf5ee5p-7, 0x1.a32fe1e42e014p-7, 0x1.95e33d0fd93e4p-7, 0x1.88f92a8456045p-7, 0x1.7c6f2c61a63fp-7, 0x1.7042d1851b72p-7, 0x1.6471b56791385p-7, 0x1.58f97ffab5b1cp-7, 0x1.4dd7e58570c23p-7, 0x1.430aa67f817fbp-7, 0x1.388f8f6c5800cp-7, 0x1.2e6478b548cffp-7, 0x1.2487468321e82p-7, 0x1.1af5e897333aap-7, 0x1.11ae5a23d8d4cp-7, 0x1.08aea1a4958ddp-7, 0x1.ffe9a16b96f28p-8, 0x1.eefe07d83f86ap-8, 0x1.de96c5572a761p-8, 0x1.ceb03dfcd466fp-8, 0x1.bf46ead78ec7p-8, 0x1.b057599c8b5a7p-8, 0x1.a1de2c54b6d08p-8, 0x1.93d819096c382p-8, 0x1.8641e9711b82p-8, 0x1.79187a9bf1b2ep-8, 0x1.6c58bca093a9ep-8, 0x1.5fffb249016eep-8, 0x1.540a70bfa95adp-8, 0x1.48761f3cc22e4p-8, 0x1.3d3ff6b3f3b09p-8, 0x1.3265418261429p-8, 0x1.27e35b1d1e471p-8, 0x1.1db7afc01abc2p-8, 0x1.13dfbc1d9196bp-8, 0x1.0a590d0e08a3fp-8, 0x1.01213f40e3e92p-8, 0x1.f06bfddb37688p-9, 0x1.df2a0f0b3d50dp-9, 0x1.ce7846cdc6db8p-9, 0x1.be52571e6ccffp-9, 0x1.aeb40ea08da82p-9, 0x1.9f995808fc8edp-9, 0x1.90fe398946d0ep-9, 0x1.82ded43ca7669p-9, 0x1.75376396a8051p-9, 0x1.68043cd37eea9p-9, 0x1.5b41ce6a32674p-9, 0x1.4eec9f8087c4ap-9, 0x1.43014f60c71c7p-9, 0x1.377c94f159c0dp-9, 0x1.2c5b3e2e43c5dp-9, 0x1.219a2fa48aaf5p-9, 0x1.173663ef7d723p-9, 0x1.0d2ceb37ef3aep-9, 0x1.037aeab55da8ep-9, 0x1.f43b38621a61bp-10, 0x1.e2249b1632c9dp-10, 0x1.d0acc082f3671p-10, 0x1.bfce91f1fe3bap-10, 0x1.af851e108f07fp-10, 0x1.9fcb98095613dp-10, 0x1.909d56a240647p-10, 0x1.81f5d35e245fp-10, 0x1.73d0a9a2683aep-10, 0x1.662995e07f5d7p-10, 0x1.58fc74c35763dp-10, 0x1.4c4542609af59p-10, 0x1.4000196dd9037p-10, 0x1.34293279720b6p-10, 0x1.28bce3275e86ap-10, 0x1.1db79d71b91c9p-10, 0x1.1315eeed05d99p-10, 0x1.08d480102fa86p-10, 0x1.fde0270081ca8p-11, 0x1.eacb0abf614c4p-11, 0x1.d8639542be219p-11, 0x1.c6a3e0be38c1bp-11, 0x1.b58636677ce2fp-11, 0x1.a5050d316daacp-11, 0x1.951b088e3f611p-11, 0x1.85c2f7386b4b8p-11, 0x1.76f7d2026523ep-11, 0x1.68b4baacff3f6p-11, 0x1.5af4fac466a99p-11, 0x1.4db402839f199p-11, 0x1.40ed67be69d18p-11, 0x1.349ce4d17ea24p-11, 0x1.28be579901e93p-11, 0x1.1d4dc06d1d696p-11, 0x1.12474124a5eep-11, 0x1.07a71c1db6852p-11, 0x1.fad366984c26dp-12, 0x1.e7170e9b87c6ep-12, 0x1.d4126d087e87dp-12, 0x1.c1bef86948bc2p-12, 0x1.b0165f58a6ee8p-12, 0x1.9f1286d6bcb56p-12, 0x1.8ead88a861c99p-12, 0x1.7ee1b1c0d8be5p-12, 0x1.6fa980b5c090cp-12, 0x1.60ffa43d0beaep-12, 0x1.52def9b4d183ep-12, 0x1.45428bb4c56dfp-12, 0x1.382590a92b93fp-12, 0x1.2b8369771577ep-12, 0x1.1f57a029bcce5p-12, 0x1.139de6a8cc212p-12, 0x1.08521577662f3p-12, 0x1.fae054f78a9d1p-13, 0x1.e5e88f9e75f07p-13, 0x1.d1b5652cda87fp-13, 0x1.be3fa3c33fc5fp-13, 0x1.ab805b29c1ef5p-13, 0x1.9970daafd081ep-13, 0x1.880aaf1b14d7ep-13, 0x1.7747a0a50a332p-13, 0x1.6721b10713d9bp-13, 0x1.57931994ac60dp-13, 0x1.48964963627f1p-13, 0x1.3a25e38055edbp-13, 0x1.2c3cbd32dcfbcp-13, 0x1.1ed5dc4c11f83p-13, 0x1.11ec7582f02dfp-13, 0x1.057beadcb8635p-13, 0x1.f2ff9442b0dp-14, 0x1.dbe796b6fe742p-14, 0x1.c5a79ec84f6cap-14, 0x1.b037bcf281515p-14, 0x1.9b904dbe73b33p-14, 0x1.87a9f71a54558p-14, 0x1.747da5c6a0515p-14, 0x1.62048ad74ba5bp-14, 0x1.503819489681dp-14, 0x1.3f1203a70a137p-14, 0x1.2e8c39ca24291p-14, 0x1.1ea0e6a13190ap-14, 0x1.0f4a6e11e38d7p-14, 0x1.00836ae825889p-14, 0x1.e48d59ad84cap-15, 0x1.c91e6d10c74eep-15, 0x1.aeb07780fe275p-15, 0x1.953a3f1782dfdp-15, 0x1.7cb2e4ff1b8ap-15, 0x1.6511e2104cea4p-15, 0x1.4e4f038a35d8fp-15, 0x1.386267e7261c9p-15, 0x1.23447bcc2ee8p-15, 0x1.0eedf712edac6p-15, 0x1.f6afb3d99a7dbp-16, 0x1.d0f6d43e1c742p-16, 0x1.aca460adb39efp-16, 0x1.89abeb296884fp-16, 0x1.6801815d3d051p-16, 0x1.4799a7d0847bep-16, 0x1.28695541010ecp-16, 0x1.0a65ee2784be9p-16, 0x1.db0a80c9bc7ap-17, 0x1.a37afe2bc2e36p-17, 0x1.6e0a7d1ab16bep-17, 0x1.3aa6e0e57d1abp-17, 0x1.093ec00948796p-17, 0x1.b382b9f6ac8e1p-18, 0x1.583d3e6c0d69ep-18, 0x1.008e190d9cd23p-18, 0x1.58af0a6c7c173p-19, 0x1.6df386526b5d2p-20, 0x1.bc5486a26dba6p-23, -0x1.e48d880f5b4fap-21, -0x1.07f336c998b13p-19, -0x1.90db4458fe015p-19, -0x1.0a0560b85ee8ep-18, -0x1.48d7906bb30ddp-18, -0x1.84fa122a0a671p-18, -0x1.be81f775a340dp-18, -0x1.f5838b32f9da7p-18, -0x1.15092d0a3f356p-17, -0x1.2e209d58b2916p-17, -0x1.46112aa53264p-17, -0x1.5ce3959f98f2fp-17, -0x1.72a04f1bae19fp-17, -0x1.874f7b80a142cp-17, -0x1.9af8f614c379ep-17, -0x1.ada45426cf88dp-17, -0x1.bf58e815ef4e9p-17, -0x1.d01dc4399c1ep-17, -0x1.dff9bdaa8e89dp-17, -0x1.eef36eedc9acdp-17, -0x1.fd113a82df46ap-17, -0x1.052ca6ab34708p-16, -0x1.0b68d08ce04d5p-16, -0x1.113fff4075da6p-16, -0x1.16b4ffb3dd254p-16, -0x1.1bca886f72fbbp-16, -0x1.20833a911c4b4p-16, -0x1.24e1a2bc41b6ap-16, -0x1.28e839ff1a6c3p-16, -0x1.2c9966adb8cedp-16, -0x1.2ff77d33369efp-16, -0x1.3304c0d95e501p-16, -0x1.35c364873a069p-16, -0x1.38358b76db1b3p-16, -0x1.3a5d49e2b155bp-16, -0x1.3c3ca5aacca8bp-16, -0x1.3dd596f25dbdcp-16, -0x1.3f2a08b5b79cep-16, -0x1.403bd959318c5p-16, -0x1.410cdb312440ap-16, -0x1.419ed50358d2fp-16, -0x1.41f382821f8a5p-16, -0x1.420c94c15f2bep-16, -0x1.41ebb2a5d72f2p-16, -0x1.4192794ed2cf2p-16, -0x1.41027c7a9225fp-16, -0x1.403d46e59263ap-16, -0x1.3f445aa5068eep-16, -0x1.3e19317c9b77dp-16, -0x1.3cbd3d2fd3f78p-16, -0x1.3b31e7cf20122p-16, -0x1.39789400e44edp-16, -0x1.37929d46a6975p-16, -0x1.3581583e83368p-16, -0x1.334612e11c65dp-16, -0x1.30e214bc2fa64p-16, -0x1.2e569f29f2c24p-16, -0x1.2ba4ed8566973p-16, -0x1.28ce355bbea19p-16, -0x1.25d3a69b0ab2bp-16, -0x1.22b66bbe37b3dp-16, -0x1.1f77a9f69706dp-16, -0x1.1c18815302daap-16, -0x1.189a0ce4c0984p-16, -0x1.14fd62e24571p-16, -0x1.114394c7e94c6p-16, -0x1.0d6daf76bb403p-16, -0x1.097cbb517791ep-16, -0x1.0571bc57ce183p-16, -0x1.014db24000314p-16, -0x1.fa23311dfd4f3p-17, -0x1.f17ccd5e0f0c4p-17, -0x1.e8aa2009e2805p-17, -0x1.dfad080847cd3p-17, -0x1.d6875c82b7968p-17, -0x1.cd3aed0897d2bp-17, -0x1.c3c981b05000cp-17, -0x1.ba34db365f325p-17, -0x1.b07eb31a8ddbfp-17, -0x1.a6a8bbbb59af2p-17, -0x1.9cb4a06fb3fd7p-17, -0x1.92a4059f40c3p-17, -0x1.887888d913768p-17, -0x1.7e33c0e92907bp-17, -0x1.73d73dec8c50ap-17, -0x1.6964896461801p-17, -0x1.5edd2647d42b5p-17, -0x1.5442911514b38p-17, -0x1.49963fe15def7p-17, -0x1.3ed9a268261ep-17, -0x1.340e221992c4ep-17, -0x1.293522282dc04p-17, -0x1.1e4fff95f9a1bp-17, -0x1.13601140f02ebp-17, -0x1.0866a7eef7f5ap-17, -0x1.faca1cb2c1a91p-18, -0x1.e4b9126fe4371p-18, -0x1.ce9cae972e863p-18, -0x1.b87762d16e0f4p-18, -0x1.a24b95027ad5fp-18, -0x1.8c1b9f5ccb72ep-18, -0x1.75e9d07492f07p-18, -0x1.5fb86b52854dep-18, -0x1.4989a786478fp-18, -0x1.335fb138a1899p-18, -0x1.1d3ca93d7fda3p-18, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      37, 0x1.4eb851eb851ecp+2, 0x1.d95c05b8f9d7cp+0, 0x1.0b1967c7d4aa7p+2, -0x1.6a719b245266cp-1, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.54c18d3a4a733p+1, -0x1.8ecfd3a1390f3p+2, 0x1.70b6accf950cp+2, 0x1.ff6056a17bbccp-1}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.0c7eed8c30b4dp+1, -0x1.4326c5390558bp+2, 0x1.83e3e34270164p+2, -0x1.3f9c3624eda3fp+2}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.a5f7dcc28bc44p+0, -0x1.fe52cc63ec1dap+1, 0x1.2401d30428cb6p+2, -0x1.4f9f863207d07p+1}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.4ae99dd89c9fcp+0, -0x1.9396dabaccac6p+1, 0x1.e353ca92e8d86p+1, -0x1.4baeb83352cbap+1}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.0332a8fbb82e3p+0, -0x1.3cdfd15746fcep+1, 0x1.7fd293505001bp+1, -0x1.030d9d6d431dfp+1}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.95f677347cc9p-1, -0x1.efc3431f39ae1p+0, 0x1.321b4a7c55789p+1, -0x1.aea35e4b50b58p+0}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.3e3175468567p-1, -0x1.823d3f324fac1p+0, 0x1.e30592487920fp+0, -0x1.5a8c7a55c7ca7p+0}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.f3d34b5ecd311p-2, -0x1.2c0806e3d47b2p+0, 0x1.7b0ea0c856cb2p+0, -0x1.1669924255932p+0}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.89dc88d41f2b1p-2, -0x1.d12504528b612p-1, 0x1.27888e813d1eep+0, -0x1.b9ee83ac3f521p-1}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.37c51fd53ce8p-2, -0x1.68306dfd9dca6p-1, 0x1.ca7cc24ecda4ep-1, -0x1.5bac66e78b5ebp-1}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.f069c503abd61p-3, -0x1.16ec02894833ep-1, 0x1.622f703c8a3b9p-1, -0x1.0ee82590a8cebp-1}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.8ded9d54bed12p-3, -0x1.b06c92c077b86p-2, 0x1.10e9cb5df130bp-1, -0x1.a2b52fd6b1012p-2}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, 0x1.4185c0da07352p-3, -0x1.4fd1ee5c3627bp-2, 0x1.a436d52ead47fp-2, -0x1.417470f2b7489p-2}, 
        {0x1.7333333333333p+1, 0x1.8p+1, 0x1.061eadcb1b1f9p-3, -0x1.056bbcdf4713cp-2, 0x1.43c719b2a97eep-2, -0x1.ebdc814e33d76p-3}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, 0x1.afa3837ec55bp-4, -0x1.9816216ca2f39p-3, 0x1.f3ff3fcddd09ep-3, -0x1.78abd1c550e6fp-3}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, 0x1.67449dec41168p-4, -0x1.3f631d844368fp-3, 0x1.82fee745de5ep-3, -0x1.2274d0c7624a6p-3}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, 0x1.2e8cb2c164668p-4, -0x1.f5674735fb739p-4, 0x1.2bdbdbd6da7afp-3, -0x1.c6108f7cb6d44p-4}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, 0x1.01f3ce9b8eee4p-4, -0x1.8b14f3946c1b1p-4, 0x1.cf7f8ca1e4836p-4, -0x1.69d61147591bep-4}, 
        {0x1.b333333333333p+1, 0x1.cp+1, 0x1.bd6f4651436a8p-5, -0x1.393cbe5f24ea7p-4, 0x1.62f28772e3613p-4, -0x1.26ab32530ca59p-4}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, 0x1.854bfc7390f06p-5, -0x1.f62cfcc8841e5p-5, 0x1.0a8bf859f92f7p-4, -0x1.e8d125cc40036p-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d99999999999ap+1, 0x1.57ebdea15da38p-5, -0x1.9a38b6bc93012p-5, 0x1.8272cbc378c41p-5, -0x1.989cb82c32de2p-5}, 
        {0x1.d99999999999ap+1, 0x1.e666666666666p+1, 0x1.325ae6c940391p-5, -0x1.5930b23aa5564p-5, 0x1.07dd614fcfe7cp-5, -0x1.520885417cae8p-5}, 
        {0x1.e666666666666p+1, 0x1.f333333333333p+1, 0x1.1222fd3a228a4p-5, -0x1.2e8eea71c49dep-5, 0x1.44e8d911ee9adp-6, -0x1.0d330f36e7284p-5}, 
        {0x1.f333333333333p+1, 0x1p+2, 0x1.ea78eefc4e45bp-6, -0x1.1624aecb38cfap-5, 0x1.46c79fe1fb05p-7, -0x1.8a13cb729572ap-6}, 
        {0x1p+2, 0x1.0666666666666p+2, 0x1.b415642cbd9d9p-6, -0x1.0bb72892481a1p-5, 0x1.6955640e85662p-9, -0x1.dd27453379952p-7}, 
        {0x1.0666666666666p+2, 0x1.0cccccccccccdp+2, 0x1.7ec0e92498c62p-6, -0x1.0ac7068f49441p-5, -0x1.a680445e7f621p-10, -0x1.23f1892e6913bp-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1333333333333p+2, 0x1.490f9efc69b19p-6, -0x1.0e834b057da81p-5, -0x1.826aa7b17ebddp-9, 0x1.7fe53c7d3d35cp-8}, 
        {0x1.1333333333333p+2, 0x1.199999999999ap+2, 0x1.1292474673bf8p-6, -0x1.11e7495eeb7dbp-5, -0x1.3828a0664da34p-10, 0x1.00048950ab4bbp-6}, 
        {0x1.199999999999ap+2, 0x1.2p+2, 0x1.b7b40850f42abp-7, -0x1.1003a1e9de86ep-5, 0x1.ca5cf95b411afp-9, 0x1.850a44bb14c7ep-6}, 
        {0x1.2p+2, 0x1.2666666666666p+2, 0x1.4cd2520a27029p-7, -0x1.0472f4ce3e0aap-5, 0x1.5c03cdfa43243p-7, 0x1.d813298c8a9a3p-6}, 
        {0x1.2666666666666p+2, 0x1.2cccccccccccdp+2, 0x1.d221eaaa2055cp-8, -0x1.d7ef327caea6cp-6, 0x1.3ba14040e4bfcp-6, 0x1.d9b6311e2a877p-6}, 
        {0x1.2cccccccccccdp+2, 0x1.3333333333333p+2, 0x1.23e0f7f4d3682p-8, -0x1.8a98d75ce0e77p-6, 0x1.c9be4efd24b6p-6, 0x1.6f7851428b5e6p-6}, 
        {0x1.3333333333333p+2, 0x1.399999999999ap+2, 0x1.33a3a09b8e7f7p-9, -0x1.240635c469dcbp-6, 0x1.1bfe007bc0dc2p-5, 0x1.478cb6735b621p-8}, 
        {0x1.399999999999ap+2, 0x1.4p+2, 0x1.e074571ed1f8ep-11, -0x1.5ff1072188b38p-7, 0x1.28467a867aafep-5, -0x1.3935590a3b7cdp-6}, 
        {0x1.4p+2, 0x1.4666666666666p+2, 0x1.83c427dce685cp-13, -0x1.0b6d73a0543f2p-8, 0x1.f2968d89e3879p-6, -0x1.457804dbc9e24p-4}, 
        {0x1.4666666666666p+2, 0x1.4cccccccccccdp+2, 0x1.c6811200acffep-20, -0x1.8c837ed6fc4c8p-12, 0x1.b01a1ed55eb2ep-8, -0x1.e871779ecd173p-6}, 
        {0x1.4cccccccccccdp+2, 0x1.4eb851eb851ecp+2, 0x0p+0, 0x1.8336fb7d99883p-15, -0x1.340f47d2620c2p-9, -0x1.29c73a3612a88p-4}, 
      }}, 
      0x1.75ec6b9ccd3dap+2, -0x1.4fa6e89b2f98cp+6
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_o_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.11aab06479331p-1, 0x1.140a78104fba3p-1, 0x1.15826db451734p-1, 0x1.161f7567a6c2ap-1, 0x1.15ee8cc2ffde8p-1, 0x1.14fcc5188b857p-1, 0x1.13571e0736fb1p-1, 0x1.110a5d6a32895p-1, 0x1.0e2324ce141bap-1, 0x1.0aaddcf87d0e3p-1, 0x1.06b67f35aba65p-1, 0x1.024891b19bac4p-1, 0x1.fade8da1d4bb4p-2, 0x1.f06afcfdada7dp-2, 0x1.e54b42ebe31c6p-2, 0x1.d99304868d898p-2, 0x1.cd54c4482ecdcp-2, 0x1.c0a218e2aaf25p-2, 0x1.b38bd3454f549p-2, 0x1.a621fdf7f68e1p-2, 0x1.9873cacf48985p-2, 0x1.8a90ba38a0429p-2, 0x1.7c82e7aeb8b7cp-2, 0x1.6e57f071fadb9p-2, 0x1.601b292b83045p-2, 0x1.51d6e002fd09p-2, 0x1.43948809e6004p-2, 0x1.355ce2e0d9563p-2, 0x1.27380d5d9bc4p-2, 0x1.192d76ce2283ep-2, 0x1.0b43d9f989bb4p-2, 0x1.fb028a6994bd8p-3, 0x1.dfd65b954b68dp-3, 0x1.c50d072498ccdp-3, 0x1.aaaf7bb7c023p-3, 0x1.90c5c4a4047e2p-3, 0x1.7757135d0406cp-3, 0x1.5e69c9379267p-3, 0x1.4603811e6c19dp-3, 0x1.2e29174e41fd7p-3, 0x1.16deaeeefa838p-3, 0x1.0027b7348d5ebp-3, 0x1.d40de3b058dfbp-4, 0x1.a8fcf76d217bp-4, 0x1.7f1faeb74caf2p-4, 0x1.5677f186eeb5cp-4, 0x1.2f06a2fd4aeb5p-4, 0x1.08cbb8e932d01p-4, 0x1.c78ca272f63a6p-5, 0x1.7fe9893fb6e28p-5, 0x1.3aa96d3846536p-5, 0x1.ef8c90ad508d2p-6, 0x1.6e71cb165c6b1p-6, 0x1.e3e40655b21ep-7, 0x1.e7eb73500151cp-8, 0x1.9e1b2d73ffb1dp-12, -0x1.a2aa2551068ecp-8, -0x1.a708c148834b8p-7, -0x1.3a2c6f9c99566p-6, -0x1.9cbaed469511ep-6, -0x1.fb48dba545446p-6, -0x1.2af7f9795cea3p-5, -0x1.5665464c318c8p-5, -0x1.7ff0e94ee8cebp-5, -0x1.a7bc15c5afc84p-5, -0x1.cdcb97e8d23aap-5, -0x1.f22d116d3a8b7p-5, -0x1.0a770cbb4132p-4, -0x1.1b0e203267009p-4, -0x1.2ae2880dd79f4p-4, -0x1.39fb03db12536p-4, -0x1.485e498f4b551p-4, -0x1.5613000b0b08cp-4, -0x1.631fb951fffc2p-4, -0x1.6f8aed551af56p-4, -0x1.7b5af5d0f7075p-4, -0x1.86960b511c82cp-4, -0x1.9142430a4a346p-4, -0x1.9b658d0dd9046p-4, -0x1.a505b25de6c08p-4, -0x1.ae28529b9c6fep-4, -0x1.b6d2e15102544p-4, -0x1.bf0aa31cf05fbp-4, -0x1.c6d4ab33ec519p-4, -0x1.ce35d9ae3d9dap-4, -0x1.d532dafabe462p-4, -0x1.dbd028922dab1p-4, -0x1.e2120ac41e5eap-4, -0x1.e7fc9b414809bp-4, -0x1.ed93c7ed513p-4, -0x1.f2db558790a99p-4, -0x1.f7d6e1d9824bp-4, -0x1.fc89e5459c6d5p-4, -0x1.007bd9de582c7p-3, -0x1.0291be9ffbbdep-3, -0x1.04882712e5ccep-3, -0x1.066087ab7d08p-3, -0x1.081c43577c728p-3, -0x1.09bcabcc05dfbp-3, -0x1.0b4301f516b75p-3, -0x1.0cb0768227ba8p-3, -0x1.0e062a8649edep-3, -0x1.0f45301f2aa5fp-3, -0x1.106e8b15f1f4cp-3, -0x1.1183316ebf25cp-3, -0x1.12840bdef14bp-3, -0x1.1371f627735e8p-3, -0x1.144dbf554271cp-3, -0x1.151829ef74ec2p-3, -0x1.15d1ec1d46757p-3, -0x1.167bafd048ae5p-3, -0x1.171612fe1bbf3p-3, -0x1.17a1a7f262c8fp-3, -0x1.181ef5bdadaecp-3, -0x1.188e78c18cffbp-3, -0x1.18f0a355e37c5p-3, -0x1.1945de80a08e6p-3, -0x1.198e8ab74f512p-3, -0x1.19cb00a217086p-3, -0x1.19fb91d8db76bp-3, -0x1.1a208995389ffp-3, -0x1.1a3a2d5657704p-3, -0x1.1a48bd75a1773p-3, -0x1.1a4c75acdc0e9p-3, -0x1.1a458d8f100b5p-3, -0x1.1a3438f5dfcap-3, -0x1.1a18a864b2772p-3, -0x1.19f30962c5427p-3, -0x1.19c386cc97786p-3, -0x1.198a491cffccbp-3, -0x1.194776adf3a09p-3, -0x1.18fb33f146a31p-3, -0x1.18a5a3a1c0092p-3, -0x1.1846e6ed451ebp-3, -0x1.17df1d99105b1p-3, -0x1.176e66210aefcp-3, -0x1.16f4ddd37cac2p-3, -0x1.1672a0ea0963ep-3, -0x1.15e7caa0e6b1ap-3, -0x1.1554754cbf136p-3, -0x1.14b8ba6fb0544p-3, -0x1.1414b2cd67e6dp-3, -0x1.1368767e5464cp-3, -0x1.12b41d01dd3eap-3, -0x1.11f7bd4f71ff1p-3, -0x1.11336de675852p-3, -0x1.106744dd142bdp-3, -0x1.0f983f7635818p-3, -0x1.0ebcdb3d3fbe8p-3, -0x1.0dd9cb68edabfp-3, -0x1.0cef2541ef7d3p-3, -0x1.0bfcfdfa9fefap-3, -0x1.0b036aba21d4p-3, -0x1.0a0280aad6552p-3, -0x1.08fa550b6fbeep-3, -0x1.07eafd41d2f26p-3, -0x1.06d48eeef62dep-3, -0x1.05b72002d5d2p-3, -0x1.0492c6cfb93bp-3, -0x1.03679a1c1fad1p-3, -0x1.0235b132b0d5ap-3, -0x1.00fd23efc918dp-3, -0x1.ff7c1598b6937p-4, -0x1.fcf0fdcbf7aa9p-4, -0x1.fa5934082c7dap-4, -0x1.f7b4ed34d7719p-4, -0x1.f5045f92280cp-4, -0x1.f247c2b4a15d5p-4, -0x1.ef7f4f7d05297p-4, -0x1.ecab400d56ea3p-4, -0x1.e9cbcfbbc2bd1p-4, -0x1.e6e13b04014a4p-4, -0x1.e3ebbf7804b5ap-4, -0x1.e0eb9bb0511efp-4, -0x1.dde10f3caeda3p-4, -0x1.dacc5a953d699p-4, -0x1.d7adbf0c625efp-4, -0x1.d4857ec17b828p-4, -0x1.d153dc947228ap-4, -0x1.ce191c1a1551p-4, -0x1.cad5819113ddcp-4, -0x1.c78951d777363p-4, -0x1.c434d260698f2p-4, -0x1.c0d8492a14d46p-4, -0x1.bd73fcb363aap-4, -0x1.ba0833f1912b8p-4, -0x1.b695364548142p-4, -0x1.b31b4b6f44ff6p-4, -0x1.af9abb846a2a6p-4, -0x1.ac13cee134e14p-4, -0x1.a886ce1ca2aa5p-4, -0x1.a4f401fa781d9p-4, -0x1.a15bb35d11dd6p-4, -0x1.9dbe2b36cc024p-4, -0x1.9a1bb27b16d73p-4, -0x1.9674920f66a49p-4, -0x1.92c912bc01e18p-4, -0x1.8f197d1cf8bcp-4, -0x1.8b66199341396p-4, -0x1.87af30362b4c1p-4, -0x1.83f508c54147ep-4, -0x1.8037ea9aaebdbp-4, -0x1.7c781c9e43bc2p-4, -0x1.78b5e53922886p-4, -0x1.74f18a4a22e37p-4, -0x1.712b511af5f2ep-4, -0x1.6d637e5606bfp-4, -0x1.699a55fd1f333p-4, -0x1.65d01b60c2d8p-4, -0x1.6205111840285p-4, -0x1.5e3978fa698eap-4, -0x1.5a6d9416e95e2p-4, -0x1.56a1a2b02938bp-4, -0x1.52d5e435b688fp-4, -0x1.4f0a973f1c80cp-4, -0x1.4b3ff9872230ep-4, -0x1.477647e75fb5ap-4, -0x1.43adbe541eaeep-4, -0x1.3fe697d87986p-4, -0x1.3c210e92b0b5cp-4, -0x1.385d5bb0ab86p-4, -0x1.349bb76c9fa8cp-4, -0x1.30dc5909d79fdp-4, -0x1.2d1f76d19495p-4, -0x1.296546100797p-4, -0x1.25adfb1166d02p-4, -0x1.21f9c91f10a21p-4, -0x1.1e48e27ccbc8dp-4, -0x1.1a9b78661dd58p-4, -0x1.16f1bb0bb7a61p-4, -0x1.134bd99102694p-4, -0x1.0faa0209c813ep-4, -0x1.0c0c6177fe513p-4, -0x1.087323c9b4cf7p-4, -0x1.04de73d72b4e9p-4, -0x1.014e7b61145e6p-4, -0x1.fb86c61e028d1p-5, -0x1.f47aa4dc034f5p-5, -0x1.ed78dfdee3cf7p-5, -0x1.e681c1d00211cp-5, -0x1.df95931dd3bd9p-5, -0x1.d8b499fac86adp-5, -0x1.d1df1a5c9ce0ap-5, -0x1.cb1555fc1e36cp-5, -0x1.c4578c555f50ep-5, -0x1.bda5faa85ffe5p-5, -0x1.b700dbfa23497p-5, -0x1.b0686916376b9p-5, -0x1.a9dcd890a7a8fp-5, -0x1.a35e5ec861ee4p-5, -0x1.9ced2de9f40a2p-5, -0x1.968975f2c2498p-5, -0x1.903364b494477p-5, -0x1.89eb25d9849bap-5, -0x1.83b0e2e8476fdp-5, -0x1.7d84c348d1d83p-5, -0x1.7766ec494ab3bp-5, -0x1.7157812357bcp-5, -0x1.6b56a301ac067p-5, -0x1.65647105e338dp-5, -0x1.5f81084ea484ep-5, -0x1.59ac83fe04446p-5, -0x1.53e6fd4022ce4p-5, -0x1.4e308b52044acp-5, -0x1.48894388a23bap-5, -0x1.42f139582d38bp-5, -0x1.3d687e5b7d1cfp-5, -0x1.37ef225baf4cp-5, -0x1.32853357eb50bp-5, -0x1.2d2abd8d4ee45p-5, -0x1.27dfcb7efc165p-5, -0x1.22a465fe444e7p-5, -0x1.1d789432f0822p-5, -0x1.185c5ba3a4dc8p-5, -0x1.134fc03e58cd8p-5, -0x1.0e52c460e1bfbp-5, -0x1.096568e192e99p-5, -0x1.0487ad17e9165p-5, -0x1.ff731dca81435p-6, -0x1.f5f6157b33c29p-6, -0x1.ec983760c7c6cp-6, -0x1.e35976e293fb5p-6, -0x1.da39c4c212e87p-6, -0x1.d1390f2c83b26p-6, -0x1.c85741cc9a541p-6, -0x1.bf9445dc1d8dcp-6, -0x1.b6f00235863c4p-6, -0x1.ae6a5b65855adp-6, -0x1.a60333bc96af9p-6, -0x1.9dba6b605c94dp-6, -0x1.958fe05d07b8dp-6, -0x1.8d836eb69558cp-6, -0x1.8594f079f4db6p-6, -0x1.7dc43dce19027p-6, -0x1.76112d04df98cp-6, -0x1.6e7b92abd974cp-6, -0x1.6703419cf3859p-6, -0x1.5fa80b0ef222p-6, -0x1.5869bea5c6586p-6, -0x1.51482a82b580bp-6, -0x1.4a431b54552dcp-6, -0x1.435a5c6656908p-6, -0x1.3c8db7b11fe58p-6, -0x1.35dcf5e930669p-6, -0x1.2f47de8e502aap-6, -0x1.28ce37fa87b9bp-6, -0x1.226fc770d84bdp-6, -0x1.1c2c512bc596ap-6, -0x1.1603986b92e74p-6, -0x1.0ff55f8446885p-6, -0x1.0a0167eb74dc6p-6, -0x1.04277245bb404p-6, -0x1.fcce7ce806aacp-7, -0x1.f1811740e51f9p-7, -0x1.e6663096634eap-7, -0x1.dab239a05e0d5p-7, -0x1.cff5bdfad68a9p-7, -0x1.c56a7721a0d4ep-7, -0x1.bb0fdf8f7d244p-7, -0x1.b0e570b30b338p-7, -0x1.a6eaa3040c926p-7, -0x1.9d1eee184e4cbp-7, -0x1.9381c8b81dc1dp-7, -0x1.8a12a8f2663abp-7, -0x1.80d104304492ep-7, -0x1.77bc4f48504b2p-7, -0x1.6ed3fe916489p-7, -0x1.661785f50d9c9p-7, -0x1.5d865901804d2p-7, -0x1.551feafb3172fp-7, -0x1.4ce3aeedfe61cp-7, -0x1.44d117bdf11f7p-7, -0x1.3ce798378fc9fp-7, -0x1.3526a31fd2578p-7, -0x1.2d8dab43a7536p-7, -0x1.261c23871682fp-7, -0x1.1ed17ef3f7981p-7, -0x1.17ad30c8448b9p-7, -0x1.10aeac8409df4p-7, -0x1.09d565f6f1f75p-7, -0x1.0320d14d63197p-7, -0x1.f920c63aa1b8dp-8, -0x1.ec4720e5372fep-8, -0x1.dfb39db61c0a1p-8, -0x1.d36528e4130a8p-8, -0x1.c75aafd7a0143p-8, -0x1.bb932140de41dp-8, -0x1.b00d6d2cb22c1p-8, -0x1.a4c885192f45fp-8, -0x1.99c35c098117dp-8, -0x1.8efce698f58cap-8, -0x1.84741b0d84ecdp-8, -0x1.7a27f169b2a6ap-8, -0x1.7017637dbba21p-8, -0x1.66416cf84091fp-8, -0x1.5ca50b76540cdp-8, -0x1.53413e92e7a5p-8, -0x1.4a1507f5b4b5ap-8, -0x1.411f6b619482p-8, -0x1.385f6ec24055cp-8, -0x1.2fd41a39a396cp-8, -0x1.277c782c946f5p-8, -0x1.1f57954eff73ep-8, -0x1.176480afb46cfp-8, -0x1.0fa24bc3825d3p-8, -0x1.08100a6fff15ep-8, -0x1.00acd315b6cc9p-8, -0x1.f2ef7d33c42fdp-9, -0x1.e4dfd0df5fabap-9, -0x1.d728dd41bedcep-9, -0x1.c9c8e3ac3f651p-9, -0x1.bcbe2abd6ab83p-9, -0x1.b006fe6f88382p-9, -0x1.a3a1b025f25fp-9, -0x1.978c96b9851a7p-9, -0x1.8bc60e840ed2ap-9, -0x1.804c796a81b08p-9, -0x1.751e3ee635128p-9, -0x1.6a39cc0d0b471p-9, -0x1.5f9d93987dce4p-9, -0x1.55480deb72db1p-9, -0x1.4b37b91720336p-9, -0x1.416b18de97c9ep-9, -0x1.37e0b6b93f5fap-9, -0x1.2e9721d451021p-9, -0x1.258cef12e9aecp-9, -0x1.1cc0b90d44da9p-9, -0x1.1431200e76eb2p-9, -0x1.0bdcca116698p-9, -0x1.03c262bc68b4ep-9, -0x1.f7c136b7dcd5ap-10, -0x1.e86c55b85016p-10, -0x1.d9839b82f2067p-10, -0x1.cb048c406d1b6p-10, -0x1.bcecb72635994p-10, -0x1.af39b66240eep-10, -0x1.a1e92f04ec0bcp-10, -0x1.94f8d0e918a53p-10, -0x1.8866569af6653p-10, -0x1.7c2f853d8001fp-10, -0x1.70522c6e4b586p-10, -0x1.64cc26296b8bbp-10, -0x1.599b56aa89521p-10, -0x1.4ebdac4ecdcd5p-10, -0x1.44311f7510a7dp-10, -0x1.39f3b25d9a1bbp-10, -0x1.30037109d4169p-10, -0x1.265e711ae5443p-10, -0x1.1d02d1b06de04p-10, -0x1.13eebb472bc2dp-10, -0x1.0b205f9725f44p-10, -0x1.0295f972149abp-10, -0x1.f49b99442efa2p-11, -0x1.e48c4b900936cp-11, -0x1.d4fab474c2b2ep-11, -0x1.c5e38fc8c4d62p-11, -0x1.b743aa4b439e1p-11, -0x1.a917e162fbf75p-11, -0x1.9b5d22deb6b33p-11, -0x1.8e106cb6f6c0dp-11, -0x1.812ecccf9b771p-11, -0x1.74b560bae14p-11, -0x1.68a1557d12ce7p-11, -0x1.5cefe75220442p-11, -0x1.519e617208604p-11, -0x1.46aa1dd86318cp-11, -0x1.3c10850b279ddp-11, -0x1.31cf0de3c13dap-11, -0x1.27e33d577349bp-11, -0x1.1e4aa641ab7aep-11, -0x1.1502e92e46d34p-11, -0x1.0c09b4257a3bbp-11, -0x1.035cc276c3a8bp-11, -0x1.f5f3b90d2f8fdp-12, -0x1.e5bdaf35a459ep-12, -0x1.d6132b513708bp-12, -0x1.c6f00a456dd03p-12, -0x1.b850418fea859p-12, -0x1.aa2fdee4db022p-12, -0x1.9c8b07cd171cp-12, -0x1.8f5df94675a02p-12, -0x1.82a50764f2b63p-12, -0x1.765c9cf151ce3p-12, -0x1.6a813b0cd83f2p-12, -0x1.5f0f78d111affp-12, -0x1.540402f5759a5p-12, -0x1.495b9b6feeb54p-12, -0x1.3f131919eda6ep-12, -0x1.3527675338195p-12, -0x1.2b9585a828b73p-12, -0x1.225a8775e93dfp-12, -0x1.1973938fd79ap-12, -0x1.10dde3e637d47p-12, -0x1.0896c52cc09edp-12, -0x1.009b9680e6919p-12, -0x1.f1d392261885bp-13, -0x1.e2fdbf9ba3a7p-13, -0x1.d4b0ddfe89249p-13, -0x1.c6e838040deddp-13, -0x1.b99f39d17225bp-13, -0x1.acd1704e14f5fp-13, -0x1.a07a887cc88eap-13, -0x1.94964ed4041ccp-13, -0x1.8920ae9671a0bp-13, -0x1.7e15b1302d548p-13, -0x1.73717d95142f8p-13, -0x1.6930579b70df7p-13, -0x1.5f4e9f5f790ebp-13, -0x1.55c8d0a51150bp-13, -0x1.4c9b823b32fd6p-13, -0x1.43c365618c342p-13, -0x1.3b3d453189921p-13, -0x1.330606059f58bp-13, -0x1.2b1aa4e61f04bp-13, -0x1.237836f6eb5e8p-13, -0x1.1c1be8e62a8bep-13, -0x1.1502fe5d6cd56p-13, -0x1.0e2ad1764b879p-13, -0x1.0790d22e2cf51p-13, -0x1.013285def6601p-13, -0x1.f61b0d715af8bp-14, -0x1.ea3f0677c0325p-14, -0x1.decc7b7362e63p-14, -0x1.d3bf17a2a2fd5p-14, -0x1.c912abe82881ap-14, -0x1.bec32dd0eeac4p-14, -0x1.b4ccb69f926dap-14, -0x1.ab2b82639b02bp-14, -0x1.a1dbef06c3f43p-14, -0x1.98da7b681cb7cp-14, -0x1.9023c67c1a2fep-14, -0x1.87b48e6cdb26dp-14, -0x1.7f89afc04b8cfp-14, -0x1.77a0248130f7dp-14, -0x1.6ff5036fc441ep-14, -0x1.68857f2e0a316p-14, -0x1.614ee57e0fbe3p-14, -0x1.5a4e9e773230dp-14, -0x1.53822bc5d83b1p-14, -0x1.4ce727ed98beap-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.29b647f348c98p-1, 0x1.323036a0420ecp-1, 0x1.3a0b02e43a88bp-1, 0x1.414a7aad54e5p-1, 0x1.47f2b8f781d1p-1, 0x1.4e081ad191b84p-1, 0x1.538f2e2a2ac9dp-1, 0x1.588ca9d528319p-1, 0x1.5d056529408d1p-1, 0x1.60fe48b67244p-1, 0x1.647c47d209467p-1, 0x1.67845dcc35959p-1, 0x1.6a1b8625a6715p-1, 0x1.6c46b42e6f009p-1, 0x1.6e0acd2036c5dp-1, 0x1.6f6ca47ff7a07p-1, 0x1.7070fa84316f7p-1, 0x1.711c7a558a85p-1, 0x1.7173b6947082dp-1, 0x1.717b25b0c205dp-1, 0x1.71371f7cb726ap-1, 0x1.70abdaa76ae8fp-1, 0x1.6fdd6856789c9p-1, 0x1.6ecfc578caee5p-1, 0x1.6d86c4cc42687p-1, 0x1.6c0616e788bc9p-1, 0x1.6a514bcd7b78fp-1, 0x1.686bd2abcb0bep-1, 0x1.6658f8a225db9p-1, 0x1.641be8331fd8p-1, 0x1.61b7aa00ef331p-1, 0x1.5f2f262a33519p-1, 0x1.5c852548c2a3fp-1, 0x1.59bc50c167f68p-1, 0x1.56d732da5b86fp-1, 0x1.53d83736d03a7p-1, 0x1.50c1abe90b5ebp-1, 0x1.4d95c2cf61eb9p-1, 0x1.4a5692cc35b24p-1, 0x1.470618a0b2d53p-1, 0x1.43a63782ec26dp-1, 0x1.4038b9b23e691p-1, 0x1.3cbf513dad06bp-1, 0x1.393b98ffc0139p-1, 0x1.35af15a9c844dp-1, 0x1.321b36af1428p-1, 0x1.2e8156f75736p-1, 0x1.2ae2bd61e4f66p-1, 0x1.27409d3aae27ap-1, 0x1.239c16c32ac26p-1, 0x1.1ff637e157987p-1, 0x1.1c4ffcf273304p-1, 0x1.18aa51b1685edp-1, 0x1.1506121d880bp-1, 0x1.11640b5258c7ap-1, 0x1.0dc4fc47a6205p-1, 0x1.0a2996768d4bp-1, 0x1.06927e650fc3ep-1, 0x1.03004c1eb5814p-1, 0x1.fee7174ab7401p-2, 0x1.f7d97acea731cp-2, 0x1.f0d8ad8acdbfp-2, 0x1.e9e58558eea22p-2, 0x1.e300ca622e912p-2, 0x1.dc2b1ca7e1fecp-2, 0x1.d56526c144e89p-2, 0x1.ceaf77e49f26dp-2, 0x1.c80a8f8b18c0cp-2, 0x1.c176de6533019p-2, 0x1.baf4c7502fedp-2, 0x1.b484a044ab324p-2, 0x1.ae26b337e5468p-2, 0x1.a7db3eebbe24fp-2, 0x1.a1a277ac33522p-2, 0x1.9b7c87fbe5ec5p-2, 0x1.95699132f5a52p-2, 0x1.8f69ac141e7b6p-2, 0x1.897ce95b8c545p-2, 0x1.83a35249c2117p-2, 0x1.7ddce92b9ce66p-2, 0x1.7829a9df85857p-2, 0x1.72898a57473d7p-2, 0x1.6cfc7b15d845ep-2, 0x1.678267a82154fp-2, 0x1.621b3717d1b9fp-2, 0x1.5cc6cc572e6d4p-2, 0x1.578506a50f21dp-2, 0x1.5255c1e8c3ddp-2, 0x1.4d38d7064b4e1p-2, 0x1.482e1c2befdcdp-2, 0x1.4335651aa4ac1p-2, 0x1.3e4e836a5198ap-2, 0x1.397946cac91d8p-2, 0x1.34b57d4187593p-2, 0x1.3002f363f8aaap-2, 0x1.2b61748de5d2bp-2, 0x1.26d0cb13d1b54p-2, 0x1.2250c0715c12dp-2, 0x1.1de11d73f5c1ep-2, 0x1.1981aa624648ap-2, 0x1.15322f2089a5dp-2, 0x1.10f2735205831p-2, 0x1.0cc23e7791da5p-2, 0x1.08a1580b41d12p-2, 0x1.048f87994ab07p-2, 0x1.008c94d68392ep-2, 0x1.f9308f6a03765p-3, 0x1.f164d0eea31bp-3, 0x1.e9b57f857dec1p-3, 0x1.e2222d61aa855p-3, 0x1.daaa6dc018a42p-3, 0x1.d34dd506b50d8p-3, 0x1.cc0bf8e099decp-3, 0x1.c4e47056acf3fp-3, 0x1.bdd6d3e442d71p-3, 0x1.b6e2bd87c9bbcp-3, 0x1.b007c8cfbda06p-3, 0x1.a94592e4892ddp-3, 0x1.a29bba8fde52ep-3, 0x1.9c09e0422a348p-3, 0x1.958fa6169dd75p-3, 0x1.8f2cafd618081p-3, 0x1.88e0a2f920e4ap-3, 0x1.82ab26a9097dcp-3, 0x1.7c8be3c0369b7p-3, 0x1.768284c994p-3, 0x1.708eb5ff38151p-3, 0x1.6ab025483aa5p-3, 0x1.64e68235c9305p-3, 0x1.5f317dff73967p-3, 0x1.5990cb7ecc58p-3, 0x1.54041f2a420d9p-3, 0x1.4e8b2f0f48124p-3, 0x1.4925b2cbbe8abp-3, 0x1.43d36386a296bp-3, 0x1.3e93fbe812fb9p-3, 0x1.39673810b2151p-3, 0x1.344cd5908bbf8p-3, 0x1.2f44935d9376ep-3, 0x1.2a4e31c9f4b86p-3, 0x1.2569727a49e19p-3, 0x1.2096185bebb18p-3, 0x1.1bd3e79b7f3c3p-3, 0x1.1722a59bcdc27p-3, 0x1.128218ed00cfbp-3, 0x1.0df2094447e53p-3, 0x1.09723f73dfc8ap-3, 0x1.05029928bf504p-3, 0x1.00a2b5d97751fp-3, 0x1.f8a4f1ffd88b1p-4, 0x1.f0235f5f17246p-4, 0x1.e7c04fe9b58dfp-4, 0x1.df7b619c64b4p-4, 0x1.d75434491945ap-4, 0x1.cf4a6988bd034p-4, 0x1.c75da4ad0f8cep-4, 0x1.bf8d8ab28ffc4p-4, 0x1.b7d9c2328ef51p-4, 0x1.b041f3556aee2p-4, 0x1.a8c5c7c4ede71p-4, 0x1.a164ea9ef6c3bp-4, 0x1.9a1f08685cb54p-4, 0x1.92f3cf001deeep-4, 0x1.8be2ed92f9d76p-4, 0x1.84ec148f5a37bp-4, 0x1.7e0ef599b2cf5p-4, 0x1.774b438144201p-4, 0x1.70a0b235511b4p-4, 0x1.6a0ef6bac6cdap-4, 0x1.6395c7224f889p-4, 0x1.5d34da7ed539dp-4, 0x1.56ebe8dc6b8ecp-4, 0x1.50baab37a23c8p-4, 0x1.4aa0db75380a7p-4, 0x1.449e345a2a385p-4, 0x1.3eb271841eaa7p-4, 0x1.38dd4f621f03ap-4, 0x1.331e8b2da7a7fp-4, 0x1.2d75e2e3fee15p-4, 0x1.27e3153fd7a9p-4, 0x1.2265e1b338e01p-4, 0x1.1cfe0861a5ccdp-4, 0x1.17ab4a1a8c41ap-4, 0x1.126d6853eeeeap-4, 0x1.0d4425254eae3p-4, 0x1.082f4342d2184p-4, 0x1.032e85f8a7502p-4, 0x1.fc83624d4616ap-5, 0x1.f2d112783189bp-5, 0x1.e945a667d3a78p-5, 0x1.dfe0a921a2665p-5, 0x1.d6a1a6b3c2daep-5, 0x1.cd882c2e6de85p-5, 0x1.c493c79dc52d4p-5, 0x1.bbc4080401a8dp-5, 0x1.b3187d53fee91p-5, 0x1.aa90b86c2f6c8p-5, 0x1.a22c4b11db9b4p-5, 0x1.99eac7ecb74d8p-5, 0x1.91cbc282c4061p-5, 0x1.89cecf3489064p-5, 0x1.81f38339878c5p-5, 0x1.7a39749cf67dfp-5, 0x1.72a03a3ac309ap-5, 0x1.6b276bbcc884cp-5, 0x1.63cea19841fdbp-5, 0x1.5c95750b7bd7p-5, 0x1.557b801baa546p-5, 0x1.4e805d92ff22p-5, 0x1.47a3a8fee6f89p-5, 0x1.40e4feae6e4fp-5, 0x1.3a43fbb0dbe19p-5, 0x1.33c03dd4675e2p-5, 0x1.2d5963a51610dp-5, 0x1.270f0c6bc114dp-5, 0x1.20e0d82d34da6p-5, 0x1.1ace67a96eef4p-5, 0x1.14d75c5afb713p-5, 0x1.0efb58766b21ep-5, 0x1.0939fee9dd2edp-5, 0x1.0392f35ca5d2cp-5, 0x1.fc0bb45e02908p-6, 0x1.f124b0f3c021dp-6, 0x1.e670281d8082ep-6, 0x1.dbed66ef29c17p-6, 0x1.d19bbbed7496cp-6, 0x1.c77a770df4d93p-6, 0x1.bd88e9b72c7c6p-6, 0x1.b3c666c0b5c98p-6, 0x1.aa324273814c4p-6, 0x1.a0cbd28a18ac9p-6, 0x1.97926e30f6a42p-6, 0x1.8e856e06db705p-6, 0x1.85a42c1d41a19p-6, 0x1.7cee03f8bf37ap-6, 0x1.746252917367ap-6, 0x1.6c0076538ae7ap-6, 0x1.63c7cf1fa8c79p-6, 0x1.5bb7be4b6abcbp-6, 0x1.53cfa6a1ce765p-6, 0x1.4c0eec63bad57p-6, 0x1.4474f5486db3dp-6, 0x1.3d01287de4bcfp-6, 0x1.35b2eea94f6dbp-6, 0x1.2e89b1e767be3p-6, 0x1.2784ddccd9933p-6, 0x1.20a3df66945ecp-6, 0x1.19e6253a10164p-6, 0x1.134b1f4592288p-6, 0x1.0cd23f005a87p-6, 0x1.067af75ada894p-6, 0x1.0044bcbebec6bp-6, 0x1.f45e0a1e1678cp-7, 0x1.e8728f501ead5p-7, 0x1.dcc5fabebdcf7p-7, 0x1.d1574107557edp-7, 0x1.c62559b92ce59p-7, 0x1.bb2f3f54f3765p-7, 0x1.b073ef4c088e8p-7, 0x1.a5f269ffce5b1p-7, 0x1.9ba9b2c0bbffbp-7, 0x1.9198cfcd42b4fp-7, 0x1.87beca50b2e68p-7, 0x1.7e1aae61ddc32p-7, 0x1.74ab8b01a048ep-7, 0x1.6b7072193e767p-7, 0x1.62687878b1d2ep-7, 0x1.5992b5d4be40dp-7, 0x1.50ee44c4e3a2fp-7, 0x1.487a42c14cafap-7, 0x1.4035d0204c319p-7, 0x1.382010141eadfp-7, 0x1.303828a841a57p-7, 0x1.287d42beb39c1p-7, 0x1.20ee8a0d2bf78p-7, 0x1.198b2d1a16e91p-7, 0x1.12525d3971893p-7, 0x1.0b434e89a5cefp-7, 0x1.045d37f01de8dp-7, 0x1.fb3ea62ba6703p-8, 0x1.ee11b8c756ad7p-8, 0x1.e13225fd9fcf2p-8, 0x1.d49e71897affdp-8, 0x1.c855248ef31a3p-8, 0x1.bc54cd92d0346p-8, 0x1.b09c00726462dp-8, 0x1.a529565aef7cep-8, 0x1.99fb6dc0e5e4p-8, 0x1.8f10ea570530cp-8, 0x1.846875053cae1p-8, 0x1.7a00bbdf3edbcp-8, 0x1.6fd8721b28549p-8, 0x1.65ee50079e789p-8, 0x1.5c4113021b69p-8, 0x1.52cf7d6cd5cfap-8, 0x1.499856a47cbcbp-8, 0x1.409a6af5ff9fep-8, 0x1.37d48b93fd96bp-8, 0x1.2f458e8c10fcp-8, 0x1.26ec4ebc198ecp-8, 0x1.1ec7abc71601fp-8, 0x1.16d68a0a7725ap-8, 0x1.0f17d2929301bp-8, 0x1.078a730f751bfp-8, 0x1.002d5dc9786b2p-8, 0x1.f1ff132b555d3p-9, 0x1.e3ffe3949aa81p-9, 0x1.d65b2c65a5d5p-9, 0x1.c90ef608b67e6p-9, 0x1.bc1951a33fd9cp-9, 0x1.af7858fdf871dp-9, 0x1.a32a2e6ca8932p-9, 0x1.972cfcb60cfd3p-9, 0x1.8b7ef6fb7f07p-9, 0x1.801e58a01c69dp-9, 0x1.74d132c91a44dp-9, 0x1.6a059e90d4d92p-9, 0x1.5f826ddc15975p-9, 0x1.5545fbdbd09ap-9, 0x1.4b4eab7830045p-9, 0x1.419ae738641f1p-9, 0x1.3829212a5d80ep-9, 0x1.2ef7d2ca95da2p-9, 0x1.26057cebba5a2p-9, 0x1.1d50a79ea3c44p-9, 0x1.14d7e21a15a9cp-9, 0x1.0c99c2a2c2e17p-9, 0x1.0494e67314128p-9, 0x1.f98fe34716a07p-10, 0x1.ea631e24ede12p-10, 0x1.dba0e0990341bp-10, 0x1.cd469ae97d7dcp-10, 0x1.bf51ca5a837dep-10, 0x1.b1bff8fe7fd2dp-10, 0x1.a48ebd880ca81p-10, 0x1.97bbbb1aab36fp-10, 0x1.8b44a11c9c953p-10, 0x1.7f272b08dc4a1p-10, 0x1.73612040febe4p-10, 0x1.67f053df8943fp-10, 0x1.5cd2a48aea006p-10, 0x1.5205fc477280fp-10, 0x1.4788504ba3aap-10, 0x1.3d57a0d2e8d3dp-10, 0x1.3371f8f180a4ap-10, 0x1.29d56e68bdbd6p-10, 0x1.2080217b40a4dp-10, 0x1.17703cc1b8ce2p-10, 0x1.0ea3f5001cf7ep-10, 0x1.061988fad698fp-10, 0x1.fb9e829947638p-11, 0x1.eb86e07942144p-11, 0x1.dbe8e32a11d2ep-11, 0x1.ccc154f2b8ce8p-11, 0x1.be0d127ccac5ap-11, 0x1.afc90a82afb97p-11, 0x1.a1f23d800ec4fp-11, 0x1.9485bd612e90fp-11, 0x1.8780ad365f5bfp-11, 0x1.7ae040e503716p-11, 0x1.6ea1bcdb2c88ap-11, 0x1.62c275c2b7e2dp-11, 0x1.573fd036bd8fap-11, 0x1.4c174078bc5d8p-11, 0x1.41464a26af136p-11, 0x1.36ca7ff25aaa7p-11, 0x1.2ca1835936543p-11, 0x1.22c9045cead2bp-11, 0x1.193ec13d842ffp-11, 0x1.1000863310a41p-11, 0x1.070c2d2960319p-11, 0x1.fcbf3af5c78p-12, 0x1.ebf1975f25bacp-12, 0x1.dbab7272679fp-12, 0x1.cbe8e863892a2p-12, 0x1.bca62e371f09bp-12, 0x1.addf9141d18f1p-12, 0x1.9f9176aaecab5p-12, 0x1.91b85aef0e8aep-12, 0x1.8450d16662918p-12, 0x1.775783cafda9cp-12, 0x1.6ac931c22954ap-12, 0x1.5ea2b065c864ap-12, 0x1.52e0e9d0ff242p-12, 0x1.4780dcadc5ab6p-12, 0x1.3c7f9bc255488p-12, 0x1.31da4d84f75c7p-12, 0x1.278e2bac6dabbp-12, 0x1.1d9882c48ff29p-12, 0x1.13f6b1c4afe25p-12, 0x1.0aa629a5223f3p-12, 0x1.01a46cfa96a15p-12, 0x1.f1de1f1f8b3d1p-13, 0x1.e1076c02a034ep-13, 0x1.d0c02ab8fcf3cp-13, 0x1.c103e57cd6f1ap-13, 0x1.b1ce45ea00731p-13, 0x1.a31b144346bf7p-13, 0x1.94e636bd23211p-13, 0x1.872bb0c79cbbdp-13, 0x1.79e7a26031d3cp-13, 0x1.6d1647611bbdbp-13, 0x1.60b3f6d932791p-13, 0x1.54bd226403a15p-13, 0x1.492e558583b5ap-13, 0x1.3e043509c79a6p-13, 0x1.333b7e67bbb7p-13, 0x1.28d10721919c5p-13, 0x1.1ec1bc35f7e6dp-13, 0x1.150aa18227208p-13, 0x1.0ba8d136fceecp-13, 0x1.02997b4766154p-13, 0x1.f3b3c9b78995cp-14, 0x1.e2cecf94370fbp-14, 0x1.d27ee41fc58aep-14, 0x1.c2bf0a9ca347fp-14, 0x1.b38a6c9573331p-14, 0x1.a4dc58de5b93ep-14, 0x1.96b042a2edacap-14, 0x1.8901c0711949dp-14, 0x1.7bcc8b4fdc65ep-14, 0x1.6f0c7dd84069ep-14, 0x1.62bd935523424p-14, 0x1.56dbe6df320e1p-14, 0x1.4b63b2935e712p-14, 0x1.40514eb253e4ep-14, 0x1.35a130daf2beap-14, 0x1.2b4feb3d060f5p-14, 0x1.215a2bcd70ef4p-14, 0x1.17bcbb9402932p-14, 0x1.0e747de5da159p-14, 0x1.057e6fae5a266p-14, 0x1.f9af4d7798485p-15, 0x1.e8faa21dc4651p-15, 0x1.d8d96860d4716p-15, 0x1.c9465914b7f63p-15, 0x1.ba3c597ec31cdp-15, 0x1.abb67a1dd1c06p-15, 0x1.9daff56cad3e4p-15, 0x1.90242eb4a8caep-15, 0x1.830eb0df1d8b6p-15, 0x1.766b2d55297bdp-15, 0x1.6a357adff0c1cp-15, 0x1.5e699494f3593p-15, 0x1.530398c993d37p-15, 0x1.47ffc801d0104p-15, 0x1.3d5a83f6973c8p-15, 0x1.33104e9d6dcdbp-15, 0x1.291dc9144232ep-15, 0x1.1f7fb2e08e3f2p-15, 0x1.1632e8e4934c8p-15, 0x1.0d3464848289p-15, 0x1.04813ac72176p-15, 0x1.f82d36f74cb51p-16, 0x1.e7e3a0d58945dp-16, 0x1.d8207903e8dd5p-16, 0x1.c8deb61bf68fbp-16, 0x1.ba197deccf5efp-16, 0x1.abcc23fe0c2d1p-16, 0x1.9df22818d44c7p-16, 0x1.908734eb97eacp-16, 0x1.83871e8e342e6p-16, 0x1.76ede145e8f29p-16, 0x1.6ab7a026b4787p-16, 0x1.5ee0a3d3df142p-16, 0x1.5365594493098p-16, 0x1.4842508ab9ea4p-16, 0x1.3d743bae11218p-16, 0x1.32f7ed7d4d6bdp-16, 0x1.28ca588f8d8e5p-16, 0x1.1ee88df0ff8aap-16, 0x1.154fbc62916e7p-16, 0x1.0bfd2f3b75d3dp-16, 0x1.02ee4d52febap-16, 0x1.f4413042cfb2ep-17, 0x1.e323559af738bp-17, 0x1.d27e7286ac11dp-17, 0x1.c24e1ead8ddc1p-17, 0x1.b28e1fc5ccbc3p-17, 0x1.a33a67f3dda0ap-17, 0x1.944f142be4ap-17, 0x1.85c86aa55f8ecp-17, 0x1.77a2d94d3e7fdp-17, 0x1.69daf467a50ffp-17, 0x1.5c6d7501168d4p-17, 0x1.4f5737a1630fcp-17, 0x1.42953af7af4d7p-17, 0x1.36249e80d5158p-17, 0x1.2a02a1568df2bp-17, 0x1.1e2ca0fbe72aep-17, 0x1.12a017ea9b02dp-17, 0x1.075a9ce057ea7p-17, 0x1.f8b3c2f591b4fp-18, 0x1.e3376268724f5p-18, 0x1.ce3be0cdf6535p-18, 0x1.b9bd3648ee242p-18, 0x1.a5b788f95afd8p-18, 0x1.92272ab407884p-18, 0x1.7f08978d9793ep-18, 0x1.6c5873bca0803p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.05d5bdac43052p+0, -0x1.0f9b45d07a199p+0, -0x1.17cae24ba784dp+0, -0x1.1e6f9226993a9p+0, -0x1.23972820c1b95p+0, -0x1.2751b1386afa7p+0, -0x1.29b0d8d843691p+0, -0x1.2ac77aa0923b5p+0, -0x1.2aa95d94c3349p+0, -0x1.296adfbe45039p+0, -0x1.27209759c47eep+0, -0x1.23df164e13e32p+0, -0x1.1fbac9526b618p+0, -0x1.1ac7cf7af71f1p+0, -0x1.1519c530bc9dep+0, -0x1.0ec398d0a0909p+0, -0x1.07d778bde9506p+0, -0x1.0066d5fd246ebp+0, -0x1.f104d34536f66p-1, -0x1.e07458c40da35p-1, -0x1.cf3a7c0cf45f4p-1, -0x1.bd7405f428bc6p-1, -0x1.ab3a64006f286p-1, -0x1.98a6a1e870ed6p-1, -0x1.85cfbace5f762p-1, -0x1.72cb0e469a86bp-1, -0x1.5fac57a26086cp-1, -0x1.4c85aaf37e419p-1, -0x1.39678494a3f4bp-1, -0x1.2660e4a5e9af5p-1, -0x1.137f691c5c40ap-1, -0x1.00cf601d105b1p-1, -0x1.dcb7abeac0c88p-2, -0x1.b85d49a8f4478p-2, -0x1.94a111407ffffp-2, -0x1.719269583d37bp-2, -0x1.4f3ecfde49b9fp-2, -0x1.2db1fc6d9456ep-2, -0x1.0cf5fdfd6d84cp-2, -0x1.da26acff61c1dp-3, -0x1.9c222bbcc6c78p-3, -0x1.5fe9e8a0d29b9p-3, -0x1.2586d71a0ddbp-3, -0x1.d9ff3b1b6087ap-4, -0x1.6cb18715aa64p-4, -0x1.0329be00bc997p-4, -0x1.3ad302771791dp-5, -0x1.db79ec50e91e1p-7, 0x1.164c1e8552e27p-7, 0x1.f51f48e304502p-6, 0x1.a82a229639969p-5, 0x1.273cb9b110e9dp-4, 0x1.76cc1d522ae13p-4, 0x1.c2d22d45ac905p-4, 0x1.05afa0850077p-3, 0x1.28427001314a6p-3, 0x1.492ac7a36f58fp-3, 0x1.687252f1a1356p-3, 0x1.86231454f2edep-3, 0x1.a247569ba8675p-3, 0x1.bce9a12f465b2p-3, 0x1.d614adc092965p-3, 0x1.edd35e3e0a3acp-3, 0x1.02185b0873a5ap-2, 0x1.0c9c17ecd7458p-2, 0x1.167a407e8e1c2p-2, 0x1.1fb85d4793bbp-2, 0x1.285bed0af2fc6p-2, 0x1.306a5f86e0c1cp-2, 0x1.37e911677db24p-2, 0x1.3edd4964fb688p-2, 0x1.454c3662be3f6p-2, 0x1.4b3aee4fddc4dp-2, 0x1.50ae6d8373431p-2, 0x1.55ab9654803a3p-2, 0x1.5a3730b8ad79bp-2, 0x1.5e55e9c2ee467p-2, 0x1.620c52e9a1736p-2, 0x1.655ee10b642e3p-2, 0x1.6851eb3a9fe92p-2, 0x1.6ae9a968a4cc7p-2, 0x1.6d2a3316850f5p-2, 0x1.6f177e38406fcp-2, 0x1.70b55e7369f17p-2, 0x1.720784d5a039fp-2, 0x1.7311800c39e07p-2, 0x1.73d6bd124ef4fp-2, 0x1.745a8839e1553p-2, 0x1.74a00e6b67753p-2, 0x1.74aa5e7596d4fp-2, 0x1.747c6a4cb0558p-2, 0x1.74190822af156p-2, 0x1.7382f34db0667p-2, 0x1.72bcccfd6e216p-2, 0x1.71c91cc9dad46p-2, 0x1.70aa512a8bb49p-2, 0x1.6f62bfe86ed88p-2, 0x1.6df4a69954b1bp-2, 0x1.6c622b3016bc9p-2, 0x1.6aad5ca5d89dfp-2, 0x1.68d833ba89914p-2, 0x1.66e493c5a7452p-2, 0x1.64d44b8d6308cp-2, 0x1.62a91619db567p-2, 0x1.60649b7c04d95p-2, 0x1.5e087183213bep-2, 0x1.5b961c5f7ba6bp-2, 0x1.590f0f3487e59p-2, 0x1.5674ac9ed82bfp-2, 0x1.53c8473369498p-2, 0x1.510b21fd8e964p-2, 0x1.4e3e70ffd1034p-2, 0x1.4b6359ba801fap-2, 0x1.487af3b926bb2p-2, 0x1.45864926aadafp-2, 0x1.42865766b685fp-2, 0x1.3f7c0fb244869p-2, 0x1.3c6857b4c94eep-2, 0x1.394c0a27442d7p-2, 0x1.3627f766b7276p-2, 0x1.32fce603f14c7p-2, 0x1.2fcb934b18aa2p-2, 0x1.2c94b3c20b345p-2, 0x1.2958f39d50461p-2, 0x1.2618f72bd76b6p-2, 0x1.22d55b3a36229p-2, 0x1.1f8eb56e4a297p-2, 0x1.1c45949c3cc8p-2, 0x1.18fa8115dd648p-2, 0x1.15adfcf51a9abp-2, 0x1.126084623d72bp-2, 0x1.0f128dd64e827p-2, 0x1.0bc48a59f5e62p-2, 0x1.0876e5c0f4d91p-2, 0x1.052a06e263984p-2, 0x1.01de4fcdc2f32p-2, 0x1.fd283bfa123fcp-3, 0x1.f6979507a9d94p-3, 0x1.f00b5477e773dp-3, 0x1.e9841bdf0ca71p-3, 0x1.e3028501f3cp-3, 0x1.dc87222242d93p-3, 0x1.d6127e474d3fcp-3, 0x1.cfa51d841e48fp-3, 0x1.c93f7d3af93f1p-3, 0x1.c2e2145ea4988p-3, 0x1.bc8d53b1a1054p-3, 0x1.b643d76bd56c4p-3, 0x1.b001af5a71a0bp-3, 0x1.a9c9583c4e214p-3, 0x1.a39b2d2735fd2p-3, 0x1.9d7783f76b3bbp-3, 0x1.975ead8372f85p-3, 0x1.9150f5d2655e9p-3, 0x1.8b4ea453e4bdap-3, 0x1.8557fc18c2c58p-3, 0x1.7f6d3c0b61284p-3, 0x1.798e9f26d5921p-3, 0x1.73bc5cac00817p-3, 0x1.6df6a853dc847p-3, 0x1.683db27e7e656p-3, 0x1.6291a85e5af7cp-3, 0x1.5cf2b41faaefap-3, 0x1.5760fd0bc8b2fp-3, 0x1.51dca7a8bc0b1p-3, 0x1.4c65d5d5127f5p-3, 0x1.46fca6e06c23fp-3, 0x1.41a137a11f61ap-3, 0x1.3c53a2875c621p-3, 0x1.3713ffae5bfdp-3, 0x1.31e264ec08194p-3, 0x1.2cbee5df8e194p-3, 0x1.27a993ff4b084p-3, 0x1.22a27ea65ef06p-3, 0x1.1da9b3223764fp-3, 0x1.18bf3cc03e1d3p-3, 0x1.13e324dbd415ap-3, 0x1.0f1572ecae543p-3, 0x1.0a562c9589c1bp-3, 0x1.05a555b3450bap-3, 0x1.0102f06c3b9d6p-3, 0x1.f8ddfa7fa3b83p-4, 0x1.efd2f62c2976fp-4, 0x1.e6e4ce9ea2d22p-4, 0x1.de137ba6fcb02p-4, 0x1.d55ef242c2e83p-4, 0x1.ccc724baace63p-4, 0x1.c44c02bf4216cp-4, 0x1.bbed79845c0e7p-4, 0x1.b3ab73db99c4fp-4, 0x1.ab85da4d810bep-4, 0x1.a37c93316a655p-4, 0x1.9b8f82c4221fcp-4, 0x1.93be8b3d5b8fp-4, 0x1.8c098ce3e6624p-4, 0x1.84706620e0d78p-4, 0x1.7cf2f391dee22p-4, 0x1.7591101a329abp-4, 0x1.6e4a94f36db61p-4, 0x1.671f59bd3a1adp-4, 0x1.600f348ca450cp-4, 0x1.5919f9faf695bp-4, 0x1.523f7d3438d06p-4, 0x1.4b7f90056f402p-4, 0x1.44da02eaa4ebdp-4, 0x1.3e4ea51cd6946p-4, 0x1.37dd449fc3164p-4, 0x1.3185ae4faca9ap-4, 0x1.2b47adef0c97ap-4, 0x1.25230e343a71p-4, 0x1.1f1798d706412p-4, 0x1.1925169e3f661p-4, 0x1.134b4f6d2511fp-4, 0x1.0d8a0a50b8027p-4, 0x1.07e10d8ce4495p-4, 0x1.02501ea97fa11p-4, 0x1.f9ae04fe1f9fep-5, 0x1.eeeafa86a90e3p-5, 0x1.e456a52b16793p-5, 0x1.d9f08b14d3ae8p-5, 0x1.cfb8316f90dadp-5, 0x1.c5ad1c7fec70fp-5, 0x1.bbcecfb9715e3p-5, 0x1.b21ccdd3dc862p-5, 0x1.a89698dfb090dp-5, 0x1.9f3bb25a10a6dp-5, 0x1.960b9b3fe6adfp-5, 0x1.8d05d420588c7p-5, 0x1.8429dd2e8aaf2p-5, 0x1.7b773652bd31fp-5, 0x1.72ed5f3ac4046p-5, 0x1.6a8bd769e38acp-5, 0x1.62521e48153fap-5, 0x1.5a3fb330bff3p-5, 0x1.52541580eab01p-5, 0x1.4a8ec4a4ec662p-5, 0x1.42ef4025a5591p-5, 0x1.3b7507b54585p-5, 0x1.341f9b3ba9194p-5, 0x1.2cee7ae24bc0cp-5, 0x1.25e1271fdacdep-5, 0x1.1ef720c36e086p-5, 0x1.182fe8ff6289fp-5, 0x1.118b0173e3ap-5, 0x1.0b07ec391e884p-5, 0x1.04a62be925405p-5, 0x1.fcca875307dbbp-6, 0x1.f0896e690b683p-6, 0x1.e48815c45de42p-6, 0x1.d8c58761d59a4p-6, 0x1.cd40ce9bd6a76p-6, 0x1.c1f8f83a86833p-6, 0x1.b6ed12835c477p-6, 0x1.ac1c2d4827bfp-6, 0x1.a18559f57cf16p-6, 0x1.9727aba08be7bp-6, 0x1.8d0237146614p-6, 0x1.831412deb0a62p-6, 0x1.795c575bc1b25p-6, 0x1.6fda1ec232b79p-6, 0x1.668c852dda725p-6, 0x1.5d72a8aa4480dp-6, 0x1.548ba93c8ccfap-6, 0x1.4bd6a8ecc3652p-6, 0x1.4352cbceba4b2p-6, 0x1.3aff380a5419ap-6, 0x1.32db15e34c1aap-6, 0x1.2ae58fc08619p-6, 0x1.231dd232d65fep-6, 0x1.1b830bfb52cd7p-6, 0x1.14146e1131324p-6, 0x1.0cd12ba72ca8p-6, 0x1.05b87a3076184p-6, 0x1.fd9322ca7d745p-7, 0x1.f007568d9a19p-7, 0x1.e2cc084664378p-7, 0x1.d5dfb5312203ep-7, 0x1.c940df30146fp-7, 0x1.bcee0cd081b6bp-7, 0x1.b0e5c94f12da6p-7, 0x1.a526a49b6d6fdp-7, 0x1.99af335b2a35fp-7, 0x1.8e7e0eec1783bp-7, 0x1.8391d565df7e2p-7, 0x1.78e9299b0403fp-7, 0x1.6e82b319483b4p-7, 0x1.645d1e2980b7bp-7, 0x1.5a771bcece72p-7, 0x1.50cf61c548ca5p-7, 0x1.4764aa802f356p-7, 0x1.3e35b52786ff8p-7, 0x1.354145953729ap-7, 0x1.2c862451b4628p-7, 0x1.24031e902ca65p-7, 0x1.1bb7062a38b5p-7, 0x1.13a0b19b2fcdbp-7, 0x1.0bbefbfafb7b6p-7, 0x1.0410c4f88a466p-7, 0x1.f929e1a7c563fp-8, 0x1.ea94d0af8874cp-8, 0x1.dc6031a60822bp-8, 0x1.ce89e822e54bdp-8, 0x1.c10fe0a8fdc5cp-8, 0x1.b3f01096feb52p-8, 0x1.a72876173f181p-8, 0x1.9ab7180f30c2fp-8, 0x1.8e9a060e0f24ep-8, 0x1.82cf583b15dc6p-8, 0x1.77552f433077fp-8, 0x1.6c29b446127fcp-8, 0x1.614b18c3013f5p-8, 0x1.56b79684f80d2p-8, 0x1.4c6d6f8e7ca25p-8, 0x1.426aee04f23fbp-8, 0x1.38ae641ba74c2p-8, 0x1.2ea8635abfd28p-8, 0x1.2570e3d8c2f9bp-8, 0x1.1c7ab466a8589p-8, 0x1.13c446d3e7658p-8, 0x1.0b4c1470071e6p-8, 0x1.03109df424677p-8, 0x1.f620d6d8ba389p-9, 0x1.e694184244285p-9, 0x1.d7782d00d72f3p-9, 0x1.c8ca500dab434p-9, 0x1.ba87ca516eaf7p-9, 0x1.acadf27638c75p-9, 0x1.9f3a2cb97669bp-9, 0x1.9229eabdca204p-9, 0x1.857aab5cd52bp-9, 0x1.7929fa7916801p-9, 0x1.6d3570cfb4669p-9, 0x1.619ab3ca56f5fp-9, 0x1.5657755115b83p-9, 0x1.4b69739c77508p-9, 0x1.40ce79078c274p-9, 0x1.36845be2241b1p-9, 0x1.2c88fe432329p-9, 0x1.22da4ddb0dcf7p-9, 0x1.197643c6bb292p-9, 0x1.105ae46227aecp-9, 0x1.07863f1ba68bdp-9, 0x1.fdecdc8e59b1ap-10, 0x1.ed532de3c0c6ep-10, 0x1.dd3bd16bef0e3p-10, 0x1.cda33b1dc348dp-10, 0x1.be85f35b41259p-10, 0x1.afe0969b3bd67p-10, 0x1.a1afd51340d38p-10, 0x1.93f072628fb4fp-10, 0x1.869f453d83c3ep-10, 0x1.79b93719d2578p-10, 0x1.6d3b43db86583p-10, 0x1.61227982b6a95p-10, 0x1.556bf7da29033p-10, 0x1.4a14f026896bbp-10, 0x1.3f1aa4d6a022ap-10, 0x1.347a69345b397p-10, 0x1.2a31a116a8761p-10, 0x1.203dc0940fbc5p-10, 0x1.169c4bb665d15p-10, 0x1.0d4ad62f3e86p-10, 0x1.0447030d2ae48p-10, 0x1.f71d08e3e09b9p-11, 0x1.e63e36937c89bp-11, 0x1.d5ed2e0625b49p-11, 0x1.c625aa8f2339dp-11, 0x1.b6e3836b8ace1p-11, 0x1.a822ab375ff9p-11, 0x1.99df2f645c747p-11, 0x1.8c1537b2cf59ep-11, 0x1.7ec105abbb29dp-11, 0x1.71def41cb1757p-11, 0x1.656b76958e63ep-11, 0x1.596318e75184dp-11, 0x1.4dc27ea54dd76p-11, 0x1.428662a713978p-11, 0x1.37ab968c77d31p-11, 0x1.2d2f0242e415ap-11, 0x1.230da38c19a09p-11, 0x1.19448d8693a44p-11, 0x1.0fd0e836fa9e7p-11, 0x1.06aff013ad9f5p-11, 0x1.fbbdeb21c059dp-12, 0x1.eab6b95dc7ca3p-12, 0x1.da4539129cb2dp-12, 0x1.ca647dcf3be5fp-12, 0x1.bb0fbf9efdf01p-12, 0x1.ac425a3055e46p-12, 0x1.9df7cbfe67099p-12, 0x1.902bb57d70f61p-12, 0x1.82d9d84aa72b4p-12, 0x1.75fe165dd074ap-12, 0x1.6994713e9809p-12, 0x1.5d99093c49765p-12, 0x1.52081ca8a209p-12, 0x1.46de0716786f9p-12, 0x1.3c174099ead47p-12, 0x1.31b05d0ce4747p-12, 0x1.27a60b56576a4p-12, 0x1.1df514b45f5ddp-12, 0x1.149a5c0a92431p-12, 0x1.0b92dd32656b2p-12, 0x1.02dbac50058bep-12, 0x1.f4e3ea53e3b03p-13, 0x1.e4a5f50803614p-13, 0x1.d4f82afc1173fp-13, 0x1.c5d569ebf81fp-13, 0x1.b738b9dac5fa4p-13, 0x1.a91d4be40c5ecp-13, 0x1.9b7e791581924p-13, 0x1.8e57c14e544f6p-13, 0x1.81a4ca2620f75p-13, 0x1.75615dda35c1cp-13, 0x1.69896a41b26c8p-13, 0x1.5e18ffc8d5643p-13, 0x1.530c5072201e4p-13, 0x1.485faedf2537bp-13, 0x1.3e0f8d5d9dda6p-13, 0x1.34187cfe02ae4p-13, 0x1.2a772cad6ef6ep-13, 0x1.21286856cd153p-13, 0x1.18291809e98adp-13, 0x1.0f763f283da95p-13, 0x1.070cfb96ae77bp-13, 0x1.fdd509ec315eep-14, 0x1.ee1857bfa5dfep-14, 0x1.dedeb251df0cp-14, 0x1.d0231a5092bf4p-14, 0x1.c1e0be08ad60ap-14, 0x1.b412f8045f43p-14, 0x1.a6b54dba7d2a7p-14, 0x1.99c36e40192c9p-14, 0x1.8d393106f7e08p-14, 0x1.811294a120afp-14, 0x1.754bbd8fb971ep-14, 0x1.69e0f518995f1p-14, 0x1.5ecea822fb01cp-14, 0x1.5411661bc36fbp-14, 0x1.49a5dfe24352fp-14, 0x1.3f88e6bb1a45bp-14, 0x1.35b76b49b2d7ep-14, 0x1.2c2e7c91852dep-14, 0x1.22eb46fcf9536p-14, 0x1.19eb136a041d2p-14, 0x1.112b464042b8ap-14, 0x1.08a95e88b31fcp-14, 0x1.0062f50f0f149p-14, 0x1.f0ab7708a61bcp-15, 0x1.e0fef75b93708p-15, 0x1.d1bc2d27eb8ecp-15, 0x1.c2df07710ec2cp-15, 0x1.b463a0a414f12p-15, 0x1.a6463d19bd7e1p-15, 0x1.9883499f40a7ap-15, 0x1.8b175a0f57c07p-15, 0x1.7dff27ef098c2p-15, 0x1.71379116eb841p-15, 0x1.64bd9664c5b4cp-15, 0x1.588e5a77b5fecp-15, 0x1.4ca72071ba203p-15, 0x1.41054ac959345p-15, 0x1.35a65a1b32893p-15, 0x1.2a87ec09e25a6p-15, 0x1.1fa7ba24958dbp-15, 0x1.150398d517492p-15, 0x1.0a99765711bcbp-15, 0x1.006759b79a1ap-15, 0x1.ecd6c3aa380a4p-16, 0x1.d94788ed71b92p-16, 0x1.c61d9ab31c99p-16, 0x1.b355baa3d971ap-16, 0x1.a0ecd2d03cc57p-16, 0x1.8edff413545fcp-16, 0x1.7d2c546b9ff97p-16, 0x1.6bcf4d6c36e39p-16, 0x1.5ac65ab7f1826p-16, 0x1.4a0f188847a72p-16, 0x1.39a7424423245p-16, 0x1.298cb11e9798ap-16, 0x1.19bd5ac31c452p-16, 0x1.0a37500dce5a2p-16, 0x1.f5f1779beb86bp-17, 0x1.d7ffc31f5efe8p-17, 0x1.ba9638f51f10ap-17, 0x1.9db1bc601ad74p-17, 0x1.814f5b6c871bfp-17, 0x1.656c4ce5bcf26p-17, 0x1.4a05ee4b77c79p-17, 0x1.2f19c1f1e6244p-17, 0x1.14a56d0a411dcp-17, 0x1.f54d6bf5a809fp-18, 0x1.c237051d4d773p-18, 0x1.9003aca7a0e5bp-18, 0x1.5eafa20811789p-18, 0x1.2e3759ede6fa7p-18, 0x1.fd2ef6b4d5a68p-19, 0x1.9f99b99fb14d1p-19, 0x1.43a902eeee5fp-19, 0x1.d2ae5ac8d80cep-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.45ab2be5cb98ap-2, -0x1.69017ae1969c7p-2, -0x1.8ac2bf37eea2ap-2, -0x1.aade1351e3972p-2, -0x1.c9477783d7bfp-2, -0x1.e5f73b6352c77p-2, -0x1.0074b980fb113p-1, -0x1.0d0ec0ffe29ffp-1, -0x1.18cad646c9b4p-1, -0x1.23ab55165d463p-1, -0x1.2db3a639dcd18p-1, -0x1.36e8189c350bcp-1, -0x1.3f4dbaa33be26p-1, -0x1.46ea37b15e372p-1, -0x1.4dc3baf33d2cbp-1, -0x1.53e0d578123c7p-1, -0x1.5948677efab7ep-1, -0x1.5e018c787b22ep-1, -0x1.621388178547ep-1, -0x1.6585b4829feafp-1, -0x1.685f73612bb21p-1, -0x1.6aa8235108313p-1, -0x1.6c67124f7aa28p-1, -0x1.6da37d47c1c72p-1, -0x1.6e64831a7c576p-1, -0x1.6eb11e672a0bp-1, -0x1.6e901f5d6ccf6p-1, -0x1.6e08278bf70ddp-1, -0x1.6d1fa6fc6ccp-1, -0x1.6bdcd9df0ed8p-1, -0x1.6a45c687e421ep-1, -0x1.68603bce43572p-1, -0x1.6631cfdd3f703p-1, -0x1.63bfdf725e522p-1, -0x1.610f8d8ef416dp-1, -0x1.5e25c3aa09d65p-1, -0x1.5b07325fc14edp-1, -0x1.57b852771a26p-1, -0x1.543d6603b0103p-1, -0x1.509a797d3ada7p-1, -0x1.4cd364d33c545p-1, -0x1.48ebcca1f7e11p-1, -0x1.44e723a6d4533p-1, -0x1.40c8ac6fae612p-1, -0x1.3c937b218676bp-1, -0x1.384a772ef45a3p-1, -0x1.33f05cec65a6p-1, -0x1.2f87bf0b6422ep-1, -0x1.2b1308134ad89p-1, -0x1.26947be87c2bep-1, -0x1.220e396501d84p-1, -0x1.1d823bfb59376p-1, -0x1.18f25d5b16584p-1, -0x1.14605712d5b18p-1, -0x1.0fcdc42c6bd25p-1, -0x1.0b3c22bd1ba32p-1, -0x1.06acd55fbf512p-1, -0x1.0221248fbfb16p-1, -0x1.fb347fc77c6d4p-2, -0x1.f2327e6470c69p-2, -0x1.e93e4764cfad7p-2, -0x1.e059b254556ccp-2, -0x1.d7866e5d2fc61p-2, -0x1.cec6038e879cfp-2, -0x1.c619dc2dc9a8cp-2, -0x1.bd833b1135ee5p-2, -0x1.b5034565f5008p-2, -0x1.ac9b02cadbb8p-2, -0x1.a44b5f1ea5f5bp-2, -0x1.9c152c35315c5p-2, -0x1.93f92375fe4cfp-2, -0x1.8bf7e765ada3cp-2, -0x1.8412051bdcceep-2, -0x1.7c47f5a6ad2dfp-2, -0x1.749a1f5d9f23ep-2, -0x1.6d08d725638cap-2, -0x1.659461a5a6a1bp-2, -0x1.5e3cf470a6917p-2, -0x1.5702b71b90186p-2, -0x1.4fe5c446b32fp-2, -0x1.48e62a95b0569p-2, -0x1.4203ed98f0bafp-2, -0x1.3b3f06aa45084p-2, -0x1.349765be11d4fp-2, -0x1.2e0cf2293ed89p-2, -0x1.279f8b5b5365fp-2, -0x1.214f098bfc021p-2, -0x1.1b1b3e5c01023p-2, -0x1.1503f56ab1accp-2, -0x1.0f08f4e185594p-2, -0x1.0929fdf7a7b85p-2, -0x1.0366cd6e7baafp-2, -0x1.fb7e380e4c837p-3, -0x1.f0653de13b005p-3, -0x1.e582105b2407fp-3, -0x1.dad40de410e97p-3, -0x1.d05a8ff26fa99p-3, -0x1.c614eba997c95p-3, -0x1.bc02726dc9af1p-3, -0x1.b222726fb410fp-3, -0x1.a87437304e156p-3, -0x1.9ef709fcaaaf7p-3, -0x1.95aa3260a5949p-3, -0x1.8c8cf68f68128p-3, -0x1.839e9bc1785d4p-3, -0x1.7ade66891be22p-3, -0x1.724b9b1ea7677p-3, -0x1.69e57da6c30ebp-3, -0x1.61ab52745d8dap-3, -0x1.599c5e47494cap-3, -0x1.51b7e687b4aep-3, -0x1.49fd317dd3b9bp-3, -0x1.426b8684d83dp-3, -0x1.3b022e3863815p-3, -0x1.33c0729c16ff2p-3, -0x1.2ca59f3d7c5a8p-3, -0x1.25b101510d34bp-3, -0x1.1ee1e7cb5aca7p-3, -0x1.1837a377709bfp-3, -0x1.11b1870b39c92p-3, -0x1.0b4ee73a6d13ap-3, -0x1.050f1ac803eccp-3, -0x1.fde2f52c38071p-4, -0x1.f1eac367bfd9ep-4, -0x1.e6345ad26d629p-4, -0x1.dabe7a8007692p-4, -0x1.cf87e6162802ep-4, -0x1.c48f65d5cba4ep-4, -0x1.b9d3c6a1741f8p-4, -0x1.af53da0099fdp-4, -0x1.a50e76215b834p-4, -0x1.9b0275d8d2e7cp-4, -0x1.912eb8a2966a6p-4, -0x1.8792229f3efbp-4, -0x1.7e2b9c920160ep-4, -0x1.74fa13dcf9216p-4, -0x1.6bfc7a7bf6e1ep-4, -0x1.6331c6fd9b07cp-4, -0x1.5a98f47ab450ep-4, -0x1.5231028c01026p-4, -0x1.49f8f53e8acaap-4, -0x1.41efd506f84b2p-4, -0x1.3a14aeb433fd1p-4, -0x1.32669361c3381p-4, -0x1.2ae4986a1a67ep-4, -0x1.238dd75920ef3p-4, -0x1.1c616ddef9a61p-4, -0x1.155e87b3f5ab6p-4, -0x1.0e84348378788p-4, -0x1.07d1aa4a46b25p-4, -0x1.014616d69bf5p-4, -0x1.f5c157b033bb1p-5, -0x1.e9413da387de4p-5, -0x1.dd0a5217c3946p-5, -0x1.d11b0f0b901b3p-5, -0x1.c571f5cf0cf5p-5, -0x1.ba0d8ee7046e9p-5, -0x1.aeec69eff7ae6p-5, -0x1.a40d1d811499bp-5, -0x1.996e470f1d4c4p-5, -0x1.8f0e8acf563fbp-5, -0x1.84ec939a85b04p-5, -0x1.7b0712d01d947p-5, -0x1.715cc0399b698p-5, -0x1.67ec59ee27aefp-5, -0x1.5eb4a436891f5p-5, -0x1.55b46971768e4p-5, -0x1.4cea79f843e73p-5, -0x1.4455ac03fb302p-5, -0x1.3bf4db92dd57dp-5, -0x1.33c6ea4e566b3p-5, -0x1.2bcabf71593c9p-5, -0x1.23ff47af2f25ep-5, -0x1.1c63751ab429bp-5, -0x1.14f63f0e01e86p-5, -0x1.0db6a2128153p-5, -0x1.06a39fc968618p-5, -0x1.ff787da93988p-6, -0x1.f1ff157ff17c8p-6, -0x1.e4d927d5cd212p-6, -0x1.d804dee4d07e3p-6, -0x1.cb806e36d32c1p-6, -0x1.bf4a127ad9e9bp-6, -0x1.b360115b22ee8p-6, -0x1.a7c0b953c3e74p-6, -0x1.9c6a618a0103dp-6, -0x1.915b69a43b505p-6, -0x1.869239a27b469p-6, -0x1.7c0d41b7aecf8p-6, -0x1.71cafa236f15p-6, -0x1.67c9e30c7be09p-6, -0x1.5e08845bc51f2p-6, -0x1.54856d981bdf2p-6, -0x1.4b3f35c27d6a5p-6, -0x1.42347b32fa971p-6, -0x1.3963e37637cd9p-6, -0x1.30cc1b2b87dcp-6, -0x1.286bd5e399294p-6, -0x1.2041cdffc13bap-6, -0x1.184cc491d665p-6, -0x1.108b813c97939p-6, -0x1.08fcd214a518bp-6, -0x1.019f8b8208fd1p-6, -0x1.f4e5104488a7cp-7, -0x1.e6e95155d99f3p-7, -0x1.d949a7997fb5cp-7, -0x1.cc03ec2e8eb65p-7, -0x1.bf1603b9e6868p-7, -0x1.b27dde2f6c116p-7, -0x1.a639769c34438p-7, -0x1.9a46d2f1838adp-7, -0x1.8ea403d0e838p-7, -0x1.834f24590905p-7, -0x1.784659f36444bp-7, -0x1.6d87d422f4797p-7, -0x1.6311cc5399f42p-7, -0x1.58e285aa5bc6dp-7, -0x1.4ef84cd66c586p-7, -0x1.455177e31021p-7, -0x1.3bec660a39ad3p-7, -0x1.32c77f87de45ap-7, -0x1.29e1356e1f1adp-7, -0x1.2138017a249d5p-7, -0x1.18ca65e9b2e79p-7, -0x1.1096ed5163a9cp-7, -0x1.089c2a73bfff9p-7, -0x1.00d8b818da33dp-7, -0x1.f29671cd53304p-8, -0x1.e3e4ae743592bp-8, -0x1.d5998a01633bap-8, -0x1.c7b27725cc3bbp-8, -0x1.ba2cf71e35372p-8, -0x1.ad06996a5cdep-8, -0x1.a03cfb857eb2ep-8, -0x1.93cdc89fe6927p-8, -0x1.87b6b959d20ecp-8, -0x1.7bf5937f8258dp-8, -0x1.708829c667a41p-8, -0x1.656c5b8b80c0bp-8, -0x1.5aa01492ce8eap-8, -0x1.50214cc7ff07bp-8, -0x1.45ee08000352dp-8, -0x1.3c0455bbf1fa6p-8, -0x1.326250ecbbf5ep-8, -0x1.29061fb82a2f3p-8, -0x1.1fedf33eb88ccp-8, -0x1.171807627ab23p-8, -0x1.0e82a28ef82bbp-8, -0x1.062c15822de55p-8, -0x1.fc25762ca293fp-9, -0x1.ec69f019324f9p-9, -0x1.dd2275b1ef9c4p-9, -0x1.ce4bf6dda8ef6p-9, -0x1.bfe3761d04d69p-9, -0x1.b1e6082777d43p-9, -0x1.a450d389d5bf6p-9, -0x1.97211046bdb5bp-9, -0x1.8a540778b3047p-9, -0x1.7de712f5cbf4cp-9, -0x1.71d79cf51f936p-9, -0x1.66231fb5cc2c3p-9, -0x1.5ac7252787d63p-9, -0x1.4fc14694fc5d4p-9, -0x1.450f2c4f5f8d3p-9, -0x1.3aae8d5be06c3p-9, -0x1.309d2f225dc9p-9, -0x1.26d8e51dce41dp-9, -0x1.1d5f908ded1d4p-9, -0x1.142f202a926b1p-9, -0x1.0b458fd807e8dp-9, -0x1.02a0e85d8085bp-9, -0x1.f47e7e388ed9p-10, -0x1.e43d6b90cbf47p-10, -0x1.d47af446476a9p-10, -0x1.c5338b6c3a483p-10, -0x1.b663bb20736abp-10, -0x1.a80824074dbbap-10, -0x1.9a1d7cc9eec4p-10, -0x1.8ca09197e830ep-10, -0x1.7f8e43aa28dcap-10, -0x1.72e388c946a78p-10, -0x1.669d6ad5a3715p-10, -0x1.5ab90751cbc8p-10, -0x1.4f338eefc24fp-10, -0x1.440a451fd657cp-10, -0x1.393a7fa231284p-10, -0x1.2ec1a61a4be5bp-10, -0x1.249d31a469284p-10, -0x1.1acaac6deb858p-10, -0x1.1147b14ecfb5cp-10, -0x1.0811eb65a87d5p-10, -0x1.fe4e2b6b8f5bap-11, -0x1.ed09f58dcacb9p-11, -0x1.dc52e88e57282p-11, -0x1.cc24d55e0c2f1p-11, -0x1.bc7ba9cd210e2p-11, -0x1.ad536fdab9bb6p-11, -0x1.9ea84d075ec68p-11, -0x1.907681ab12e18p-11, -0x1.82ba684f58fd7p-11, -0x1.7570750c4f35ep-11, -0x1.689534e88b733p-11, -0x1.5c254d3e70ab1p-11, -0x1.501d7b227057fp-11, -0x1.447a92cd4b287p-11, -0x1.39397f0a8e25fp-11, -0x1.2e5740a841334p-11, -0x1.23d0edeb6d62ep-11, -0x1.19a3b20678203p-11, -0x1.0fcccc9302641p-11, -0x1.0649910e9d70cp-11, -0x1.fa2eccb30f723p-12, -0x1.e8678c74769fdp-12, -0x1.d73879c24a342p-12, -0x1.c69cd0e2ffe7ap-12, -0x1.b63d42993687cp-12, -0x1.a6ba949e2cbddp-12, -0x1.97bdf5bd352fdp-12, -0x1.894327d623677p-12, -0x1.7b460c3a4a079p-12, -0x1.6dc2a2da38ad5p-12, -0x1.60b5097a410d1p-12, -0x1.54197aea56e65p-12, -0x1.47ec4e44308b4p-12, -0x1.3c29f62c3548cp-12, -0x1.30cf0017a1516p-12, -0x1.25d813970dc2ap-12, -0x1.1b41f1a4e4108p-12, -0x1.110973f881a6dp-12, -0x1.072b8c5be0e81p-12, -0x1.fb4a880ff4329p-13, -0x1.e8e77605957afp-13, -0x1.d7284f01e4a75p-13, -0x1.c607aa9bf1303p-13, -0x1.b5804a671d1f7p-13, -0x1.a58d18d3de4acp-13, -0x1.9629280ded1fap-13, -0x1.874fb0e6f0fe4p-13, -0x1.78fc11c5ae672p-13, -0x1.6b29cd9cc5b44p-13, -0x1.5dd48ae6d86dfp-13, -0x1.50f812aa27bfdp-13, -0x1.44904f828cbbap-13, -0x1.38994cb0d81c6p-13, -0x1.2d0f352d4377cp-13, -0x1.21ee52c7597d6p-13, -0x1.17330d440c8ap-13, -0x1.0cd9e984aea57p-13, -0x1.02df88b240171p-13, -0x1.f2814ee020c06p-14, -0x1.dff43a221784ap-14, -0x1.ce11b5a77eb14p-14, -0x1.bcd3d645e20eap-14, -0x1.ac34e1b592e81p-14, -0x1.9c2f4d25e4c66p-14, -0x1.8cbdbbdc1a5f5p-14, -0x1.7ddafdda3e38cp-14, -0x1.6f820e8a925f5p-14, -0x1.61ae137f1d5a9p-14, -0x1.545a5b2e5de6ep-14, -0x1.47825bbb6a109p-14, -0x1.3b21b1cbc2f8fp-14, -0x1.2f341f5e3bdd8p-14, -0x1.23b58aa90be42p-14, -0x1.18a1fd0955cfep-14, -0x1.0df5a1ee6bdcap-14, -0x1.03acc5d2a6c23p-14, -0x1.f387aa73e1924p-15, -0x1.e06eb76ca2ffep-15, -0x1.ce0805eb669d9p-15, -0x1.bc4d23a7a4d45p-15, -0x1.ab37d6e3544fcp-15, -0x1.9ac21cb0abfb8p-15, -0x1.8ae6273a79c5fp-15, -0x1.7b9e5c1180b0ep-15, -0x1.6ce552a12bdb3p-15, -0x1.5eb5d2926b3f7p-15, -0x1.510ad243f2a9dp-15, -0x1.43df7553e9bb3p-15, -0x1.372f0b2b80254p-15, -0x1.2af50d972fbd2p-15, -0x1.1f2d1f6df4c62p-15, -0x1.13d30b387df39p-15, -0x1.08e2c1ebf0615p-15, -0x1.fcb0b34f7fb89p-16, -0x1.e86018ff06095p-16, -0x1.d4cc6e9e46512p-16, -0x1.c1eeb120b7d08p-16, -0x1.afc01e8378f3dp-16, -0x1.9e3a33aa95897p-16, -0x1.8d56aa285ef5ep-16, -0x1.7d0f7664251f8p-16, -0x1.6d5ec57b9967cp-16, -0x1.5e3efb6aa4372p-16, -0x1.4faab12a0c04dp-16, -0x1.419cb2d1fb28bp-16, -0x1.340ffdf67f618p-16, -0x1.26ffbfe5b978fp-16, -0x1.1a6753fff5ceap-16, -0x1.0e424226608d8p-16, -0x1.028c3d249ec17p-16, -0x1.ee824284c7da2p-17, -0x1.d8b9e582567b5p-17, -0x1.c3b7b8f381635p-17, -0x1.af745cfc31758p-17, -0x1.9be8b98da5525p-17, -0x1.890dfbe6ea2a4p-17, -0x1.76dd9402700ecp-17, -0x1.6551324ffa0c5p-17, -0x1.5462c52db150bp-17, -0x1.440c76f6003b5p-17, -0x1.3448ab956cd38p-17, -0x1.2511fe9254983p-17, -0x1.166340f645fb6p-17, -0x1.0837775e97fep-17, -0x1.f513b01e76f6bp-18, -0x1.daab9251fb9bbp-18, -0x1.c12dbda4dc074p-18, -0x1.a891b325f654fp-18, -0x1.90cf49356c1c8p-18, -0x1.79dea862655dbp-18, -0x1.63b8484ec2f9ap-18, -0x1.4e54eca40ed7p-18, -0x1.39ada26f4066p-18, -0x1.25bbbcd61c259p-18, -0x1.1278d2f66be94p-18, -0x1.ffbd79bf1d837p-19, -0x1.dbcf22bd05ef3p-19, -0x1.b91b466eee8b1p-19, -0x1.9796fe8db88b2p-19, -0x1.7737d35500a2ap-19, -0x1.57f3b85649f9ep-19, -0x1.39c1077f0170bp-19, -0x1.1c967d3f8f6a8p-19, -0x1.006b34c871b17p-19, -0x1.ca6d47bcc47d1p-20, -0x1.95e12f595af3p-20, -0x1.632261e4358f9p-20, -0x1.3221c1c9bfbecp-20, -0x1.02d0cb3dd66a8p-20, -0x1.aa431c87bfd1p-21, -0x1.520d51dd7a58cp-21, -0x1.f9cd03b5fb8dcp-22, -0x1.556bf9789d432p-22, -0x1.6d90320672f4p-23, -0x1.db3d5940e4847p-26, 0x1.d7f24e1e47e6cp-24, 0x1.04732bc823dd8p-22, 0x1.8dd85cb22e995p-22, 0x1.09297ba203533p-21, 0x1.4904268fd58bcp-21, 0x1.868e1f278402cp-21, 0x1.c1d8a4bbb15d4p-21, 0x1.faf44d9e701f3p-21, 0x1.18f88723f6a29p-20, 0x1.336f20437993dp-20, 0x1.4ce5552fe62dfp-20, 0x1.6562423718ecbp-20, 0x1.7cecc0125243fp-20, 0x1.938b6695599f8p-20, 0x1.a944909c4758bp-20, 0x1.be1e5d5d5fbbp-20, 0x1.d21eb42d672e4p-20, 0x1.e54b466924b5ap-20, 0x1.f7a9921ddceb1p-20, 0x1.049f72284d4ffp-19, 0x1.0d082db05be8ep-19, 0x1.151174660a693p-19, 0x1.1cbdaa034589dp-19, 0x1.240f1d9e7a36p-19, 0x1.2b080b312e6cfp-19, 0x1.31aa9c05e1a8ep-19, 0x1.37f8e7ecd9d12p-19, 0x1.3df4f5d1f69eap-19, 0x1.43a0bca3b82cep-19, 0x1.48fe240a9de81p-19, 0x1.4e0f052361954p-19, 0x1.52d52b1cf4f66p-19, 0x1.575253f826a26p-19, 0x1.5b8831153cc17p-19, 0x1.5f7867cef64d5p-19, 0x1.6324920c18ea4p-19, 0x1.668e3ecba7f5ep-19, 0x1.69b6f293de3e3p-19, 0x1.6ca0280dd0175p-19, 0x1.6f4b50757f89fp-19, 0x1.71b9d3ded42a4p-19, 0x1.73ed11cd0d89bp-19, 0x1.75e6619fb3cf4p-19, 0x1.77a712b2aedbdp-19, 0x1.79306d504d71dp-19, 0x1.7a83b236b87bfp-19, 0x1.7ba21b7183895p-19, 0x1.7c8cdc8c1e198p-19, 0x1.7d4522e664989p-19, 0x1.7dcc15be504dep-19, 0x1.7e22d6cb4b0c3p-19, 0x1.7e4a822bef8dcp-19, 0x1.7e442f1081d78p-19, 0x1.7e10ef41d08cbp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.254cafb93679cp-3, 0x1.2112caf30c4cp-3, 0x1.1a32b57929692p-3, 0x1.10cab4aa7c243p-3, 0x1.04fc615215fbdp-3, 0x1.edd74ae4a9d55p-4, 0x1.cd7c696b4fae7p-4, 0x1.a935d014a3c8ep-4, 0x1.8151cef6676a4p-4, 0x1.561e938248642p-4, 0x1.27ea18c3bd1f1p-4, 0x1.ee030521342e1p-5, 0x1.875fdb7484b6ap-5, 0x1.1c7b5de21e1bap-5, 0x1.5bc186062e7bp-6, 0x1.e0b4010ae28acp-8, -0x1.c30e1dd1a834ap-8, -0x1.5e187b0a7fb9ep-6, -0x1.2774416b0d974p-5, -0x1.a12cb227043a4p-5, -0x1.0de7a5c5cd304p-4, -0x1.4b7e14661a101p-4, -0x1.892b346133c72p-4, -0x1.c6c4bb83ae1f2p-4, -0x1.0211b744b65d6p-3, -0x1.2091b5f071c6bp-3, -0x1.3ed1e31486512p-3, -0x1.5cc31510fcde2p-3, -0x1.7a5760ceaf357p-3, -0x1.97821e3d4b7ecp-3, -0x1.b437e7c5985f8p-3, -0x1.d06e893727eb1p-3, -0x1.ec1ce41f5452bp-3, -0x1.039d6ac3451f2p-2, -0x1.10e091bf42403p-2, -0x1.1dd4b873bb901p-2, -0x1.2a7719453f08ap-2, -0x1.36c5513b0ecaap-2, -0x1.42bd58e13ed7p-2, -0x1.4e5d7d4a87d0ap-2, -0x1.59a45a09971f3p-2, -0x1.6490d47fc42bap-2, -0x1.6f22186408f21p-2, -0x1.79579502ad188p-2, -0x1.8330fa79e29b8p-2, -0x1.8cae363cbda19p-2, -0x1.95cf6e781ff3ap-2, -0x1.9e94fc77aa01bp-2, -0x1.a6ff669f29ce9p-2, -0x1.af0f5abd679e8p-2, -0x1.b6c5a9522bfd3p-2, -0x1.be2341f775227p-2, -0x1.c52930b23cbafp-2, -0x1.cbd89bb7c0cd3p-2, -0x1.d232c1414e54bp-2, -0x1.d838f5404e07fp-2, -0x1.ddec9efc05c6bp-2, -0x1.e34f36bc02f36p-2, -0x1.e862439a6ad2fp-2, -0x1.ed27598330569p-2, -0x1.f1a01755d50c2p-2, -0x1.f5ce2520a29abp-2, -0x1.f9b33277a5495p-2, -0x1.fd50a3753ad78p-2, -0x1.00547ce9e300cp-1, -0x1.01dec6e01e1f1p-1, -0x1.03480c499887dp-1, -0x1.04912980a4064p-1, -0x1.05bafa6a0d8f7p-1, -0x1.06c65a3f50fecp-1, -0x1.07b4233e5a789p-1, -0x1.08852e41aca9bp-1, -0x1.093a524c088c5p-1, -0x1.09d464162e2d8p-1, -0x1.0a5435ab7f41p-1, -0x1.0aba961c7107dp-1, -0x1.0b08514663896p-1, -0x1.0b3e2faa54747p-1, -0x1.0b5cf648e0551p-1, -0x1.0b65667abae5ap-1, -0x1.0b583dc08d456p-1, -0x1.0b36358a8d33ep-1, -0x1.0b0002fd3b1b7p-1, -0x1.0ab656bbf3b34p-1, -0x1.0a59dcc266bdap-1, -0x1.09eb3c5399cd7p-1, -0x1.096b1800ae6cap-1, -0x1.08da0dc4c9db1p-1, -0x1.0838b72f88312p-1, -0x1.0787a9958745cp-1, -0x1.06c7763eed082p-1, -0x1.05f8aa8e0c77p-1, -0x1.051bd01b72c21p-1, -0x1.04316cc7c06b2p-1, -0x1.033a02c603193p-1, -0x1.023610a26a26dp-1, -0x1.0126114928ee7p-1, -0x1.000a7c108ce22p-1, -0x1.fdc789901bf1ep-2, -0x1.fb64b79999c94p-2, -0x1.f8ed5c45c6bdbp-2, -0x1.f6624b2426473p-2, -0x1.f3c45188009c6p-2, -0x1.f11436c3fe996p-2, -0x1.ee52bc61836p-2, -0x1.eb809e5140425p-2, -0x1.e89e9313badfbp-2, -0x1.e5ad4bd9f725ep-2, -0x1.e2ad749fa42e3p-2, -0x1.df9fb4412bc5dp-2, -0x1.dc84ac906613p-2, -0x1.d95cfa6ab0972p-2, -0x1.d62935d278519p-2, -0x1.d2e9f20d8624fp-2, -0x1.cf9fbdc84e956p-2, -0x1.cc4b233db039bp-2, -0x1.c8eca861f47b7p-2, -0x1.c584cf0f9cd08p-2, -0x1.c2141534a01b5p-2, -0x1.be9af4feff997p-2, -0x1.bb19e50817aeap-2, -0x1.b791587e77c6dp-2, -0x1.b401bf4e59ef5p-2, -0x1.b06b86490f095p-2, -0x1.accf174b9af58p-2, -0x1.a92cd964aaf0cp-2, -0x1.a58530f9c607ep-2, -0x1.a1d87feb6b8bbp-2, -0x1.9e2725b7988p-2, -0x1.9a717f9a1e0d4p-2, -0x1.96b7e8aa32faap-2, -0x1.92fab9f4c6cecp-2, -0x1.8f3a4a93468a9p-2, -0x1.8b76efbebbb03p-2, -0x1.87b0fcdf653f1p-2, -0x1.83e8c3990b4dap-2, -0x1.801e93d480eap-2, -0x1.7c52bbc6cbe33p-2, -0x1.788587f67ad2p-2, -0x1.74b7433fa799dp-2, -0x1.70e836d71aee6p-2, -0x1.6d18aa4cf4b4ep-2, -0x1.6948e38f2fe36p-2, -0x1.657926ec3a9bcp-2, -0x1.61a9b715dec2ep-2, -0x1.5ddad5249c0f1p-2, -0x1.5a0cc09b8a6eap-2, -0x1.5640be87324f2p-2, -0x1.5275141777b9p-2, -0x1.4eaae780fec47p-2, -0x1.4ae2721cc7934p-2, -0x1.471bebd95541cp-2, -0x1.43578b4039266p-2, -0x1.3f95857c40cc1p-2, -0x1.3bd60e601dbfbp-2, -0x1.3819586d56d07p-2, -0x1.345f94db4995ap-2, -0x1.30a8f39e19ec9p-2, -0x1.2cf5a36d605fp-2, -0x1.2945d1ca7e609p-2, -0x1.2599ab067cae7p-2, -0x1.21f15a4769423p-2, -0x1.1e4d098d29dap-2, -0x1.1aace1b5c85cfp-2, -0x1.17110a813d80dp-2, -0x1.1379aa94c521cp-2, -0x1.0fe6e77dcf346p-2, -0x1.0c58e5b49d98p-2, -0x1.08cfc89ea2948p-2, -0x1.054bb290b4aecp-2, -0x1.01ccc4d12889dp-2, -0x1.fca63f33c5bcdp-3, -0x1.f5bdc434e2f58p-3, -0x1.eee054f45aff6p-3, -0x1.e80e2bb4fe145p-3, -0x1.e14780b2694ecp-3, -0x1.da8c8a25fbf06p-3, -0x1.d3dd7c4c04134p-3, -0x1.cd3a896929ce9p-3, -0x1.c6a3e1d001f09p-3, -0x1.c019b3e6ccb38p-3, -0x1.b99c2c2d525acp-3, -0x1.b32b7542cec3cp-3, -0x1.acc7b7ebe5c31p-3, -0x1.a6711b1895befp-3, -0x1.a027c3ea2502ap-3, -0x1.99ebd5b8f9f5ap-3, -0x1.93bd721a645edp-3, -0x1.8d9cb8e64c44p-3, -0x1.8789c83ccc8ebp-3, -0x1.8184bc8bb6d1ap-3, -0x1.7b8db093fcabap-3, -0x1.75a4bd6f0f7cep-3, -0x1.6fc9fa94277b5p-3, -0x1.69fd7ddd8e4cp-3, -0x1.643f5b8dd804ap-3, -0x1.5e8fa655279c3p-3, -0x1.58ee6f56751eap-3, -0x1.535bc62ce1f2cp-3, -0x1.4dd7b8f11970fp-3, -0x1.4862543ecf622p-3, -0x1.42fba33a5015cp-3, -0x1.3da3af9631044p-3, -0x1.385a8199211b6p-3, -0x1.33202023d8b53p-3, -0x1.2df490b72939cp-3, -0x1.28d7d77a399c8p-3, -0x1.23c9f740d6341p-3, -0x1.1ecaf191ebab9p-3, -0x1.19dac6ae1fdc7p-3, -0x1.14f9759680a53p-3, -0x1.1026fc13550ecp-3, -0x1.0b6356bb00ea1p-3, -0x1.06ae80f8fa05cp-3, -0x1.02087514cefb3p-3, -0x1.fae258727498p-4, -0x1.f1d13cf672088p-4, -0x1.e8dd85c25b5b1p-4, -0x1.e0071ed3ec1fbp-4, -0x1.d74df2281c494p-4, -0x1.ceb1e7c938556p-4, -0x1.c632e5dd007e7p-4, -0x1.bdd0d0b29db49p-4, -0x1.b58b8ad0817a6p-4, -0x1.ad62f5022292ap-4, -0x1.a556ee6591376p-4, -0x1.9d675478e8223p-4, -0x1.9594032789ae7p-4, -0x1.8ddcd4d73f14p-4, -0x1.8641a2751cdf2p-4, -0x1.7ec243823db79p-4, -0x1.775e8e2050d23p-4, -0x1.7016571df6997p-4, -0x1.68e97202f1e23p-4, -0x1.61d7b11c2c43fp-4, -0x1.5ae0e58788d57p-4, -0x1.5404df3f92512p-4, -0x1.4d436d26fa41dp-4, -0x1.469c5d13f03f5p-4, -0x1.400f7bdb4f202p-4, -0x1.399c955ba6ce9p-4, -0x1.3343748817d98p-4, -0x1.2d03e373103bdp-4, -0x1.26ddab58decc8p-4, -0x1.20d094aa21e9cp-4, -0x1.1adc6716126eap-4, -0x1.1500e994a9e35p-4, -0x1.0f3de270a253ep-4, -0x1.09931751537f6p-4, -0x1.04004d446a063p-4, -0x1.fd0a918ef67a9p-5, -0x1.f2439ba2e2227p-5, -0x1.e7ab3fb7a791ep-5, -0x1.dd4103d7ce326p-5, -0x1.d3046d3752452p-5, -0x1.c8f5004545fccp-5, -0x1.bf1240bd2da09p-5, -0x1.b55bb1b8057c4p-5, -0x1.abd0d5bcf62ecp-5, -0x1.a2712ed1bebc6p-5, -0x1.993c3e8ac325ap-5, -0x1.9031861acea4ap-5, -0x1.875086627b246p-5, -0x1.7e98bfff4e79fp-5, -0x1.7609b35a7682bp-5, -0x1.6da2e0b7388e6p-5, -0x1.6563c84109872p-5, -0x1.5d4bea194dca1p-5, -0x1.555ac664c86cbp-5, -0x1.4d8fdd58ab837p-5, -0x1.45eaaf4760fb2p-5, -0x1.3e6abcacee1e1p-5, -0x1.370f863b0b737p-5, -0x1.2fd88ce4e7797p-5, -0x1.28c551ea8e3e7p-5, -0x1.21d556e404a1p-5, -0x1.1b081dcc07badp-5, -0x1.145d290a8376ap-5, -0x1.0dd3fb7ea972ep-5, -0x1.076c1888c0d1bp-5, -0x1.012504139ec6cp-5, -0x1.f5fc853ba2c78p-6, -0x1.e9eeb284f187ap-6, -0x1.de1f9b83a4e9ep-6, -0x1.d28e4d12ec233p-6, -0x1.c739d5788d1d6p-6, -0x1.bc21447424861p-6, -0x1.b143ab4dde0dbp-6, -0x1.a6a01ce48478p-6, -0x1.9c35adbb15d39p-6, -0x1.92037405b0eadp-6, -0x1.880887b60627cp-6, -0x1.7e4402872ad74p-6, -0x1.74b50008f0936p-6, -0x1.6b5a9daaa6167p-6, -0x1.6233fac563f2ap-6, -0x1.594038a5baf5p-6, -0x1.507e7a94f9af6p-6, -0x1.47ede5e1dfa3cp-6, -0x1.3f8da1e8dba07p-6, -0x1.375cd81bca096p-6, -0x1.2f5ab40937fcap-6, -0x1.2786636334779p-6, -0x1.1fdf1605a169bp-6, -0x1.1863fdfc218f3p-6, -0x1.11144f877d137p-6, -0x1.09ef4122a89c4p-6, -0x1.02f40b875c729p-6, -0x1.f843d36474bf3p-7, -0x1.eaf031cd220bap-7, -0x1.ddebb163644ffp-7, -0x1.d134d5dbd3e0cp-7, -0x1.c4ca278a1c25cp-7, -0x1.b8aa336567216p-7, -0x1.acd38b0c0828dp-7, -0x1.a0f2f634c4453p-7, -0x1.95a89e6a92f53p-7, -0x1.8aa383cc261abp-7, -0x1.7fe24b47cae7bp-7, -0x1.75639e6424306p-7, -0x1.6b262b3fd761ep-7, -0x1.6128a4909367bp-7, -0x1.5769c1a1a9cap-7, -0x1.4de83e522d5b3p-7, -0x1.44a2db1282784p-7, -0x1.3b985ce18f05bp-7, -0x1.32c78d497066bp-7, -0x1.2a2f3a5bc1b68p-7, -0x1.21ce36ad80552p-7, -0x1.19a359528512p-7, -0x1.11ad7dd898026p-7, -0x1.09eb844236a77p-7, -0x1.025c5100eac21p-7, -0x1.f5fd99deaadcap-8, -0x1.e7a3ca95c8ccap-8, -0x1.d9a9175a7b0abp-8, -0x1.cc0b6c0aa1d9cp-8, -0x1.bec8bd2062ecp-8, -0x1.b1df07a3323a6p-8, -0x1.a54c511864ed1p-8, -0x1.990ea77344c11p-8, -0x1.8d2421049f22fp-8, -0x1.818adc69f9ef7p-8, -0x1.7641007c49417p-8, -0x1.6b44bc3e3148fp-8, -0x1.609446ca0a349p-8, -0x1.562ddf3f733cdp-8, -0x1.4c0fccb094561p-8, -0x1.42385e0f178bfp-8, -0x1.38a5ea18cad2cp-8, -0x1.2f56cf440bce2p-8, -0x1.264973abe797bp-8, -0x1.1d7c44fc1636bp-8, -0x1.14edb85c9a0c4p-8, -0x1.0c9c4a5d536ep-8, -0x1.04867ee16ed05p-8, -0x1.f955c214e169dp-9, -0x1.ea100646bc9ep-9, -0x1.db38fd175466ep-9, -0x1.cccde74433fe9p-9, -0x1.becc135eca1fcp-9, -0x1.b130dda1f2757p-9, -0x1.a3f9afc71f571p-9, -0x1.972400db5e5d1p-9, -0x1.8aad55147ebc2p-9, -0x1.7e933da5e6907p-9, -0x1.72d35895856e3p-9, -0x1.676b5090a88c6p-9, -0x1.5c58dcc0f1d66p-9, -0x1.5199c0a115022p-9, -0x1.472bcbd1b6fcfp-9, -0x1.3d0cd9ee42a61p-9, -0x1.333ad2621b8cfp-9, -0x1.29b3a83d27cc9p-9, -0x1.20755a09167d4p-9, -0x1.177df19e46738p-9, -0x1.0ecb83f8faadep-9, -0x1.065c310e6eadp-9, -0x1.fc5c4744342a1p-10, -0x1.ec7f2235f07f9p-10, -0x1.dd1d72b1c8266p-10, -0x1.ce33cd144be39p-10, -0x1.bfbeda01a7047p-10, -0x1.b1bb56113efap-10, -0x1.a4261178e7fffp-10, -0x1.96fbefb88ffadp-10, -0x1.8a39e746b4001p-10, -0x1.7ddd013bcd482p-10, -0x1.71e258ff386d8p-10, -0x1.66471bf400862p-10, -0x1.5b088925e0486p-10, -0x1.5023f0f6b3c65p-10, -0x1.4596b4cc6a83ap-10, -0x1.3b5e46bf5ee07p-10, -0x1.3178294909d67p-10, -0x1.27e1eef3719cfp-10, -0x1.1e993a08d99ap-10, -0x1.159bbc44417d8p-10, -0x1.0ce7368296418p-10, -0x1.047978744cffap-10, -0x1.f8a0c09fe58aep-11, -0x1.e8d3b50b0afddp-11, -0x1.d987c2e494d54p-11, -0x1.cab8fa2b97fafp-11, -0x1.bc63858f40251p-11, -0x1.ae83a9dc24e06p-11, -0x1.a115c56c3f376p-11, -0x1.94164f96b89dbp-11, -0x1.8781d824b293fp-11, -0x1.7b5506c5bcc72p-11, -0x1.6f8c9a87dab78p-11, -0x1.64256950ecb4ep-11, -0x1.591c5f5a79be4p-11, -0x1.4e6e7eafeb61p-11, -0x1.4418deaece9bdp-11, -0x1.3a18ab894a2eep-11, -0x1.306b25cb4e145p-11, -0x1.270da1e1073abp-11, -0x1.1dfd87a0ec02ep-11, -0x1.153851d6a27d2p-11, -0x1.0cbb8dd141b62p-11, -0x1.0484daf316c6ep-11, -0x1.f923d487838a2p-12, -0x1.e9c0fc0a62eeap-12, -0x1.dadcd291fd78fp-12, -0x1.cc731f1364e7p-12, -0x1.be7fc88ba480bp-12, -0x1.b0fed536bd298p-12, -0x1.a3ec69ce0eddcp-12, -0x1.9744c8ca155e2p-12, -0x1.8b0451a669d18p-12, -0x1.7f27802aeb823p-12, -0x1.73aaebb835ee4p-12, -0x1.688b4696eff96p-12, -0x1.5dc55d4c45619p-12, -0x1.535615efb02a6p-12, -0x1.493a6f85fb28p-12, -0x1.3f6f815e9cdd9p-12, -0x1.35f27a744a84dp-12, -0x1.2cc0a0d18318bp-12, -0x1.23d750f6b58d5p-12, -0x1.1b33fd45a6e87p-12, -0x1.12d42d6d08fcdp-12, -0x1.0ab57dd92a4a7p-12, -0x1.02d59f273f0d7p-12, -0x1.f664ab36ca843p-13, -0x1.e792f12eb6e83p-13, -0x1.d931e42ee828ep-13, -0x1.cb3d7c5f74b27p-13, -0x1.bdb1d51a128c4p-13, -0x1.b08b2befdfbf5p-13, -0x1.a3c5dfb501ef3p-13, -0x1.975e6f9123a51p-13, -0x1.8b517a14e6b7bp-13, -0x1.7f9bbc55a5b14p-13, -0x1.743a110b5b8c4p-13, -0x1.69296fb53ace7p-13, -0x1.5e66ebc2e6e36p-13, -0x1.53efb3c1ead4fp-13, -0x1.49c1109027d53p-13, -0x1.3fd8649227f9ep-13, -0x1.36332aee6f17ep-13, -0x1.2ccef6ccea5cp-13, -0x1.23a9729c18767p-13, -0x1.1ac05f5777d5bp-13, -0x1.121193d651e41p-13, -0x1.099afc1b0712fp-13, -0x1.015a98a736cb1p-13, -0x1.f29cfbac0b6d1p-14, -0x1.e2e9a67262091p-14, -0x1.d397a5f054943p-14, -0x1.c4a3926e75a99p-14, -0x1.b60a26fd415dcp-14, -0x1.a7c8404f93fc1p-14, -0x1.99dadb97d1a1fp-14, -0x1.8c3f15726a12p-14, -0x1.7ef228d333c3fp-14, -0x1.71f16dfae48e9p-14, -0x1.653a597454279p-14, -0x1.58ca7b17887fep-14, -0x1.4c9f7d1367c48p-14, -0x1.40b7230077905p-14, -0x1.350f48f446b64p-14, -0x1.29a5e2a3bae4bp-14, -0x1.1e78fa822db1p-14, -0x1.1386b0edde48ap-14, -0x1.08cd3b5ec461bp-14, -0x1.fc95c739f8021p-15, -0x1.e7fc0dfe1cb8cp-15, -0x1.d3ca2b4852a54p-15, -0x1.bffd237d11cfep-15, -0x1.ac921dc2311c4p-15, -0x1.9986629c67df2p-15, -0x1.86d75a9f44a17p-15, -0x1.74828d23873c1p-15, -0x1.62859f08d5656p-15, -0x1.50de517ea4a39p-15, -0x1.3f8a80da7d94p-15, -0x1.2e8823747d6f5p-15, -0x1.1dd5489051dd6p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.1c51ec990758dp+0, 0x1.0ec277e9085d2p+0, 0x1.019e17b0184d2p+0, 0x1.ea136e2b7ca6bp-1, 0x1.d2434d3d46b19p-1, 0x1.bbf5a947a7f1dp-1, 0x1.a747beab24bd8p-1, 0x1.944bffa98df6fp-1, 0x1.830bd5dbdf0d4p-1, 0x1.73891a9aca7adp-1, 0x1.65bf5025b40a9p-1, 0x1.59a4cfe8a831dp-1, 0x1.4f2be9031b798p-1, 0x1.4643cd0f10063p-1, 0x1.3ed9416b71153p-1, 0x1.38d72d08b4a7p-1, 0x1.34271ece8ed58p-1, 0x1.30b1d0627b2b2p-1, 0x1.2e5f981fa2d85p-1, 0x1.2d18c45f59132p-1, 0x1.2cc5e3db45487p-1, 0x1.2d4ffccc6e881p-1, 0x1.2ea082c31de93p-1, 0x1.30a1e8a705c0bp-1, 0x1.333f63f6bfa2bp-1, 0x1.366510ebd8218p-1, 0x1.3a000e86bcf84p-1, 0x1.3dfe9215a748dp-1, 0x1.424fec00c0bd5p-1, 0x1.46e48302d9ba9p-1, 0x1.4badce340eb36p-1, 0x1.509e51863d1fcp-1, 0x1.55a99ab54900bp-1, 0x1.5ac43b63012e7p-1, 0x1.5fe3bf7fc7db5p-1, 0x1.64fea19de30ep-1, 0x1.6a0c3f219ad4bp-1, 0x1.6f04ccfed394ep-1, 0x1.73e14c9c1a1e3p-1, 0x1.789b8068d3facp-1, 0x1.7d2de05013b03p-1, 0x1.81938e9c53345p-1, 0x1.85c84dbad7ac1p-1, 0x1.89c876d08baf5p-1, 0x1.8d90f0a9fcf86p-1, 0x1.911f267e8a356p-1, 0x1.9470fe405d4fap-1, 0x1.9784ce95be2cp-1, 0x1.9a5954e334e8ap-1, 0x1.9cedabdf80cp-1, 0x1.9f414304b0992p-1, 0x1.a153d6f03271p-1, 0x1.a3256a88b564p-1, 0x1.a4b640a481732p-1, 0x1.a606d5f38bafp-1, 0x1.a717db11d7fbcp-1, 0x1.a7ea2ecb80f78p-1, 0x1.a87ed8b1a87a5p-1, 0x1.a8d7041fd719fp-1, 0x1.a8f3fbc10c615p-1, 0x1.a8d7258e60446p-1, 0x1.a881ff312680cp-1, 0x1.a7f61aac83ee4p-1, 0x1.a7352d9da0606p-1, 0x1.a640d0c5648cep-1, 0x1.a51ac682fa632p-1, 0x1.a3c4d3e6202a6p-1, 0x1.a240c337a12b9p-1, 0x1.a090617eceb41p-1, 0x1.9eb57c715f4c3p-1, 0x1.9cb1e0c4daea2p-1, 0x1.9a8758d148965p-1, 0x1.9837ab725ecabp-1, 0x1.95c49b15c7dabp-1, 0x1.932fe4e82c944p-1, 0x1.907b4015eadcp-1, 0x1.8da85d16dc30bp-1, 0x1.8ab8e4fe8b18cp-1, 0x1.87ae78cc85cfbp-1, 0x1.848ab0bbcf542p-1, 0x1.814f1b94abdfbp-1, 0x1.7dfd3e081cfd7p-1, 0x1.7a96921f1d661p-1, 0x1.771c86c7caeacp-1, 0x1.73907f8819027p-1, 0x1.6ff3d45902694p-1, 0x1.6c47d1a7da756p-1, 0x1.688db876c566p-1, 0x1.64c6be927f26dp-1, 0x1.60f40ed2da75bp-1, 0x1.5d16c95c9a991p-1, 0x1.593003ddd21cp-1, 0x1.5540c9c13be87p-1, 0x1.514a1c582d1b7p-1, 0x1.4d4cf2fd692e5p-1, 0x1.494a3b34cc392p-1, 0x1.4542d8cc53bafp-1, 0x1.4137a6029644cp-1, 0x1.3d2973b56354fp-1, 0x1.391909998ce5ep-1, 0x1.3507267b06422p-1, 0x1.30f4808320c53p-1, 0x1.2ce1c581d2d8bp-1, 0x1.28cf9b36e8bb2p-1, 0x1.24be9f9878ab5p-1, 0x1.20af6914f0842p-1, 0x1.1ca286d01d94p-1, 0x1.189880db88d7cp-1, 0x1.1491d86b31e76p-1, 0x1.108f0807fcfc8p-1, 0x1.0c9083c12f4d2p-1, 0x1.0896b95e1565dp-1, 0x1.04a2109094d08p-1, 0x1.00b2eb2908aeap-1, 0x1.f9934a96e2647p-2, 0x1.f1cd2b4b6e21ap-2, 0x1.ea141b4d2ed1ap-2, 0x1.e268b36962973p-2, 0x1.dacb82ca46b35p-2, 0x1.d33d0f6267ebp-2, 0x1.cbbdd655252a2p-2, 0x1.c44e4c5bb86cdp-2, 0x1.bceede2659be2p-2, 0x1.b59ff0b954b6ep-2, 0x1.ae61e1c608924p-2, 0x1.a73507fffd80ep-2, 0x1.a019b36e38927p-2, 0x1.99102db8f86e5p-2, 0x1.9218ba74011e5p-2, 0x1.8b33976585df6p-2, 0x1.8460fcc9b088dp-2, 0x1.7da11d92c303dp-2, 0x1.76f427a5d3b55p-2, 0x1.705a44141b9dfp-2, 0x1.69d39750f4f8ap-2, 0x1.636041649f75p-2, 0x1.5d005e1c0961ep-2, 0x1.56b40535db5adp-2, 0x1.507b4a8d14513p-2, 0x1.4a563e418d75cp-2, 0x1.4444ecdeb0c79p-2, 0x1.3e475f80b3a53p-2, 0x1.385d9bf894444p-2, 0x1.3287a4ef125b6p-2, 0x1.2cc57a06c0e64p-2, 0x1.271717fd597a6p-2, 0x1.217c78cc535fp-2, 0x1.1bf601bb31f9p-2, 0x1.1682d39901409p-2, 0x1.11234522bd348p-2, 0x1.0bd746988886ep-2, 0x1.069ec6085c984p-2, 0x1.0179af697bc9ap-2, 0x1.f8cfd96fe1ffbp-3, 0x1.eed2cc1fcb9eap-3, 0x1.e4fc0391261f6p-3, 0x1.db4b491d3fb8fp-3, 0x1.d1c062fb6c8b5p-3, 0x1.c85b1472444e4p-3, 0x1.bf1b1e06b95c9p-3, 0x1.b6003da8cf0f8p-3, 0x1.ad0a2eddd2625p-3, 0x1.a438aae80eb5dp-3, 0x1.9b8b68ec031aep-3, 0x1.93021e132a9bp-3, 0x1.8a9c7dac87e16p-3, 0x1.825a394b0dc55p-3, 0x1.7a3b00e2313e7p-3, 0x1.723e82e0ca92fp-3, 0x1.6a646c4a86d9fp-3, 0x1.62ac68d022fc6p-3, 0x1.5b1622e69d12p-3, 0x1.53a143dd90e0ap-3, 0x1.4c4d73f4e46fap-3, 0x1.451a5a71db8dap-3, 0x1.3e079db3b73b2p-3, 0x1.3714e347e0f8bp-3, 0x1.3041cffdbd3e6p-3, 0x1.298e07fa0fffap-3, 0x1.22f92eca0776ap-3, 0x1.1c82e775dc80dp-3, 0x1.162ad492fdff2p-3, 0x1.0ff09855c575fp-3, 0x1.09d3d4a2aa603p-3, 0x1.03d42b1edff9fp-3, 0x1.fbe27a80c916fp-4, 0x1.f05558bae13b7p-4, 0x1.e50033767e1d5p-4, 0x1.d9e24d387126fp-4, 0x1.cefae89ad5d1ep-4, 0x1.c4494866c6e37p-4, 0x1.b9ccafacbe5f9p-4, 0x1.af8461dbaabfep-4, 0x1.a56fa2d6d9199p-4, 0x1.9b8db70aa9a4p-4, 0x1.91dde3802a6bap-4, 0x1.885f6defa1b13p-4, 0x1.7f119cd21c304p-4, 0x1.75f3b77211f32p-4, 0x1.6d0505fb2e5e6p-4, 0x1.6444d1894faf9p-4, 0x1.5bb26436cb4d8p-4, 0x1.534d092a05b15p-4, 0x1.4b140ca26bce3p-4, 0x1.4306bc04d7772p-4, 0x1.3b2465e76a066p-4, 0x1.336c5a1ce312dp-4, 0x1.2bdde9bf7c886p-4, 0x1.2478673b4db6bp-4, 0x1.1d3b26583af8cp-4, 0x1.16257c437302fp-4, 0x1.0f36bf987e109p-4, 0x1.086e4869db3f2p-4, 0x1.01cb70492ee7fp-4, 0x1.f69b249e07741p-5, 0x1.e9e81644329cap-5, 0x1.dd7c71fc8934cp-5, 0x1.d156f775bdd78p-5, 0x1.c57669a18b0e2p-5, 0x1.b9d98ebfd430ep-5, 0x1.ae7f3068e0e11p-5, 0x1.a3661b96c6762p-5, 0x1.988d20adef884p-5, 0x1.8df31384d16e7p-5, 0x1.8396cb6acfaf1p-5, 0x1.7977232e535f1p-5, 0x1.6f92f9221c6a7p-5, 0x1.65e92f21cf97p-5, 0x1.5c78aa95d2242p-5, 0x1.534054766988dp-5, 0x1.4a3f194e37956p-5, 0x1.4173e93c102ap-5, 0x1.38ddb7f432008p-5, 0x1.307b7cc0ea47cp-5, 0x1.284c3282adf92p-5, 0x1.204ed7afa99b2p-5, 0x1.18826e52d0f2ap-5, 0x1.10e5fc0a7ba6p-5, 0x1.09788a06876f4p-5, 0x1.0239250613375p-5, 0x1.f64dbaa9a633ep-6, 0x1.e8818d9001af1p-6, 0x1.db0bf175e3005p-6, 0x1.cdeb1c16a434cp-6, 0x1.c11d4a2a26076p-6, 0x1.b4a0bf5c035fcp-6, 0x1.a873c6422fa2cp-6, 0x1.9c94b053062ap-6, 0x1.9101d5dad082fp-6, 0x1.85b995f0c6fafp-6, 0x1.7aba566b9ba72p-6, 0x1.700283d582896p-6, 0x1.6590915fd67d2p-6, 0x1.5b62f8d64a089p-6, 0x1.51783a91b2248p-6, 0x1.47cedd6a6fe8fp-6, 0x1.3e656eaa82f74p-6, 0x1.353a81ff38ac9p-6, 0x1.2c4cb16a965d9p-6, 0x1.239a9d346ae85p-6, 0x1.1b22ebdb1b506p-6, 0x1.12e44a0428fbbp-6, 0x1.0add6a6c7a03dp-6, 0x1.030d05d860c8cp-6, 0x1.f6e3b606e1b51p-7, 0x1.e8155d2038958p-7, 0x1.d9ac95ee4aba8p-7, 0x1.cba700edc0be9p-7, 0x1.be024a04a335ep-7, 0x1.b0bc28605037ap-7, 0x1.a3d25e5324e71p-7, 0x1.9742b9320536p-7, 0x1.8b0b113197a7dp-7, 0x1.7f2949436a8f6p-7, 0x1.739b4ef2edacdp-7, 0x1.685f1a424a03cp-7, 0x1.5d72ad872e6f4p-7, 0x1.52d415477365fp-7, 0x1.48816815d2719p-7, 0x1.3e78c66e7d244p-7, 0x1.34b85a93ba3efp-7, 0x1.2b3e586a8e621p-7, 0x1.2208fd575fad5p-7, 0x1.1916901ab5196p-7, 0x1.106560adfcda2p-7, 0x1.07f3c8206b3f5p-7, 0x1.ff8050e7f30c6p-8, 0x1.ef91d8f4ee80bp-8, 0x1.e0190f659f504p-8, 0x1.d112ec4cbc99bp-8, 0x1.c27c788cfbbd1p-8, 0x1.b452cd9475ba5p-8, 0x1.a69315187304cp-8, 0x1.993a88d193613p-8, 0x1.8c467238722dap-8, 0x1.7fb42a4294681p-8, 0x1.7381191ff91e6p-8, 0x1.67aab5f900483p-8, 0x1.5c2e86acdf353p-8, 0x1.510a1f909d804p-8, 0x1.463b232e7ab6dp-8, 0x1.3bbf4205f7d2dp-8, 0x1.31943a4c6e011p-8, 0x1.27b7d7ae29b2ap-8, 0x1.1e27f310177c4p-8, 0x1.14e2725216bfbp-8, 0x1.0be54811d6891p-8, 0x1.032e736e563e1p-8, 0x1.f577ff97fd286p-9, 0x1.e5180932ce245p-9, 0x1.d5394a29599e6p-9, 0x1.c5d82022d8576p-9, 0x1.b6f0ff7eff241p-9, 0x1.a88072e48ce6bp-9, 0x1.9a831ad1322f9p-9, 0x1.8c82b6a053921p-9, 0x1.7f606c3743a64p-9, 0x1.72a7e3fa15509p-9, 0x1.66561167feda6p-9, 0x1.5a67fb9f3d56dp-9, 0x1.4edabcf5bc3cfp-9, 0x1.43ab82936579ap-9, 0x1.38d78c0dd6f9ep-9, 0x1.2e5c2b0590428p-9, 0x1.2436c2c494b3fp-9, 0x1.1a64c7de7bb8fp-9, 0x1.10e3bfd1ffc39p-9, 0x1.07b140abf2334p-9, 0x1.fd95e15765145p-10, 0x1.ec5d0bd1d84a3p-10, 0x1.dbb38bf609b8fp-10, 0x1.cb950b4369c31p-10, 0x1.bbfd50de4df8bp-10, 0x1.ace840e72f2fbp-10, 0x1.9e51dbd41defdp-10, 0x1.90363dcdd0fb5p-10, 0x1.82919e0ec1a3bp-10, 0x1.75604e456661p-10, 0x1.689eb9f90491ap-10, 0x1.5c4965f14429cp-10, 0x1.505cefa07e92cp-10, 0x1.44d60c907687ep-10, 0x1.39b189d212114p-10, 0x1.2eec4b6f9521bp-10, 0x1.24834be10505ap-10, 0x1.1a739b83ec82fp-10, 0x1.10ba60150add4p-10, 0x1.0754d42ca784cp-10, 0x1.fc808d7b3c0d4p-11, 0x1.eaf4352d2f857p-11, 0x1.d9ff8bcbe5eeap-11, 0x1.c99da37ff59efp-11, 0x1.b9c9b34ede6f3p-11, 0x1.aa7f16313e3dbp-11, 0x1.9bb94a2d32d2cp-11, 0x1.8d73ef75b06eep-11, 0x1.7faac78e7196cp-11, 0x1.7259b473a3e2fp-11, 0x1.657cb7c7516f8p-11, 0x1.590ff2022db01p-11, 0x1.4d0fa1a8a255ep-11, 0x1.41782284c937bp-11, 0x1.3645ece4382efp-11, 0x1.2b7594d96376ep-11, 0x1.2103c9823abd9p-11, 0x1.16ed54519d50ap-11, 0x1.0d2f185d54d64p-11, 0x1.03c611afbf4e8p-11, 0x1.f55ea93a3f25ap-12, 0x1.e3d01a3a35157p-12, 0x1.d2dafc4e72d5ep-12, 0x1.c27a02266a42fp-12, 0x1.b2a809fa58106p-12, 0x1.a3601c59aee97p-12, 0x1.949d6affa2445p-12, 0x1.865b4fb09c88ep-12, 0x1.78954b1be5131p-12, 0x1.6b4703c4853cdp-12, 0x1.5e6c44f0727e3p-12, 0x1.5200fd9dc80a7p-12, 0x1.46013f7ded3cdp-12, 0x1.3a693df6e1217p-12, 0x1.2f354d29a8245p-12, 0x1.2461e0ff4effbp-12, 0x1.19eb8c3a6a885p-12, 0x1.0fceff8f0e19cp-12, 0x1.060908bf8c56cp-12, 0x1.f92d237c9bce8p-13, 0x1.e6e93faaa771fp-13, 0x1.d540a5a5f974cp-13, 0x1.c42dc87427029p-13, 0x1.b3ab4cf39c7p-13, 0x1.a3b4084fbaed6p-13, 0x1.9442fe810fcbep-13, 0x1.855360d7b089ep-13, 0x1.76e08c8b42d53p-13, 0x1.68e60959223dp-13, 0x1.5b5f8828532dfp-13, 0x1.4e48e1b651f1p-13, 0x1.419e154de3504p-13, 0x1.355b47862bba2p-13, 0x1.297cc10971f64p-13, 0x1.1dfeed661a717p-13, 0x1.12de59e55f9d5p-13, 0x1.0817b46c2ffc7p-13, 0x1.fb4f94c627a41p-14, 0x1.e7170f4e08e6dp-14, 0x1.d37feaff322d1p-14, 0x1.c0847340a3cf3p-14, 0x1.ae1f2a58add67p-14, 0x1.9c4ac7910af4ap-14, 0x1.8b02355c139a5p-14, 0x1.7a408f8e4a46fp-14, 0x1.6a0121a4ce6d1p-14, 0x1.5a3f65199d0b6p-14, 0x1.4af6ffc37c0e5p-14, 0x1.3c23c2442b8f2p-14, 0x1.2dc1a681cbdcep-14, 0x1.1fccce2f79566p-14, 0x1.1241815bfae77p-14, 0x1.051c2d12131e2p-14, 0x1.f0b2c4013966bp-15, 0x1.d7eba65c4fc85p-15, 0x1.bfdca97402ad6p-15, 0x1.a87fb54030531p-15, 0x1.91ceef2377c1cp-15, 0x1.7bc4b79dfc272p-15, 0x1.665ba81b7a76p-15, 0x1.518e90ce21c12p-15, 0x1.3d5876a948dd9p-15, 0x1.29b49155571bbp-15, 0x1.169e494f47157p-15, 0x1.04113604884d5p-15, 0x1.e412380b17ecap-16, 0x1.c103d69833e17p-16, 0x1.9eef7b0b46638p-16, 0x1.7dcda8ed387fep-16, 0x1.5d9730c9f9bcdp-16, 0x1.3e452d2dcbebbp-16, 0x1.1fd0ffa781c1fp-16, 0x1.02344df9d33c3p-16, 0x1.cad1feb051d3bp-17, 0x1.92d2738284be2p-17, 0x1.5c5ebeda603efp-17, 0x1.276c18af9285dp-17, 0x1.e7e04f635a6p-18, 0x1.83c1f9533e293p-18, 0x1.226a1c218d645p-18, 0x1.878cce9c01eedp-19, 0x1.9f1513f266548p-20, 0x1.caba343c93025p-23, -0x1.2260ae5a2d395p-20, -0x1.3a2890746f10dp-19, -0x1.de5afb8412053p-19, -0x1.3ef2306c802ccp-18, -0x1.8c7035f0c7dbfp-18, -0x1.d7b4dbee62d8dp-18, -0x1.1066770786ee7p-17, -0x1.33e25df8e6cdcp-17, -0x1.56540f7648bp-17, -0x1.77c13fcaf1512p-17, -0x1.982f6d760635ep-17, -0x1.b7a3e3c6e3389p-17, -0x1.d623bd423842ep-17, -0x1.f3b3e5f9a3d4fp-17, -0x1.082c8eecd74f5p-16, -0x1.160bfd6006917p-16, -0x1.237a754d49f78p-16, -0x1.307a1ab2cca86p-16, -0x1.3d0cff81f2b65p-16, -0x1.4935249422ba4p-16, -0x1.54f47a80245dap-16, -0x1.604ce272fd209p-16, -0x1.6b402f00c60a8p-16, -0x1.75d024e61a5d5p-16, -0x1.7ffe7bc178b6ep-16, -0x1.89ccdec8b6464p-16, -0x1.933ced7223a5p-16, -0x1.9c503c183c7e6p-16, -0x1.a5085494a4a21p-16, -0x1.ad66b6d4af5dfp-16, -0x1.b56cd965224p-16, -0x1.bd1c29fbbf4f5p-16, -0x1.c4760df067089p-16, -0x1.cb7be2bee5013p-16, -0x1.d22efe775bb56p-16, -0x1.d890b0239661fp-16, -0x1.dea2403e09868p-16, -0x1.e464f105e5c8p-16, -0x1.e9d9fee3a7f46p-16, -0x1.ef02a0ca0eb11p-16, -0x1.f3e0087454f89p-16, -0x1.f87362c3a81c1p-16, -0x1.fcbdd8076eb5ap-16, -0x1.0060462167151p-15, -0x1.023e4fb43b499p-15, -0x1.03f996d230eb1p-15, -0x1.0592a7c5d31d2p-15, -0x1.070a0d2f2c1a9p-15, -0x1.086050141606fp-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.483a3ab6fa784p+0, -0x1.40037b627c5b6p+0, -0x1.37827db125a9bp+0, -0x1.2ee9fa1018235p+0, -0x1.2663b00baf096p+0, -0x1.1e115f4b07056p+0, -0x1.160dafeda8c36p+0, -0x1.0e6d16e388d48p+0, -0x1.073eb4c0fd87p+0, -0x1.008d1a4b1ba01p+0, -0x1.f4bde4a6ce5e9p-1, -0x1.e96f3dc4d376bp-1, -0x1.df2f952caae93p-1, -0x1.d5fbcd7436bb8p-1, -0x1.cdcd27d8b7a49p-1, -0x1.c699f73b07a9ep-1, -0x1.c0564549b6684p-1, -0x1.baf46e242389bp-1, -0x1.b665a931535d2p-1, -0x1.b29a73fa4b9bap-1, -0x1.af82debe6ddaep-1, -0x1.ad0f05aa3f958p-1, -0x1.ab2e5c6392dd3p-1, -0x1.a9d1243959eabp-1, -0x1.a8e7ee9dbc574p-1, -0x1.a863e0cb9f9b8p-1, -0x1.a836c42754b8cp-1, -0x1.a8531369cdc46p-1, -0x1.a8ac08ff75836p-1, -0x1.a935abf0040adp-1, -0x1.a9e4d72cdac68p-1, -0x1.aaaf3a3b51a5ap-1, -0x1.ab8b5569add22p-1, -0x1.ac7074652ebddp-1, -0x1.ad56a89f95912p-1, -0x1.ae36c367347cfp-1, -0x1.af0a4f0fcd95ap-1, -0x1.afcb86e2b567cp-1, -0x1.b0754e0efd4a4p-1, -0x1.b1032614599bbp-1, -0x1.b1712525ebad5p-1, -0x1.b1bbece4009d4p-1, -0x1.b1e0a198f047bp-1, -0x1.b1dce1e6ba9e1p-1, -0x1.b1aebea3c2dbcp-1, -0x1.b154b2a1aa79bp-1, -0x1.b0cd9a4275f1bp-1, -0x1.b018aaf89a077p-1, -0x1.af356af3a3b63p-1, -0x1.ae23a93cae2b9p-1, -0x1.ace3766c07474p-1, -0x1.ab751e00cae89p-1, -0x1.a9d9204c9a3c2p-1, -0x1.a8102cdcb18efp-1, -0x1.a61b1d490cbaap-1, -0x1.a3faf0540e92ep-1, -0x1.a1b0c54853f91p-1, -0x1.9f3dd7891b3a1p-1, -0x1.9ca37a5553f14p-1, -0x1.99e314cb250cbp-1, -0x1.96fe1e42a98p-1, -0x1.93f61b13dc612p-1, -0x1.90cc99cbf75dep-1, -0x1.8d831b2545204p-1, -0x1.8a1b75d8f112cp-1, -0x1.8697298d8f29bp-1, -0x1.82f7d4639a311p-1, -0x1.7f3f1382f68aap-1, -0x1.7b6e81c5edd67p-1, -0x1.7787b677934c5p-1, -0x1.738c441f560afp-1, -0x1.6f7db75aab1f9p-1, -0x1.6b5d95cb13e56p-1, -0x1.672d5d214661dp-1, -0x1.62ee824d70f81p-1, -0x1.5ea270d89328fp-1, -0x1.5a4a8a65016e3p-1, -0x1.55e8264e99f0dp-1, -0x1.517c916027d1dp-1, -0x1.4d090d942c8d7p-1, -0x1.488ed1db2e057p-1, -0x1.440f09e6e55efp-1, -0x1.3f8ad5fdf5109p-1, -0x1.3b034addcb545p-1, -0x1.367971afb6892p-1, -0x1.31ee4813eb6d2p-1, -0x1.2d62c04248a1p-1, -0x1.28d7c13e14795p-1, -0x1.244e271824c57p-1, -0x1.1fc6c33a00591p-1, -0x1.1b425cb47a4f4p-1, -0x1.16c1b08cfc695p-1, -0x1.124572060b6f2p-1, -0x1.0dce4ae16d6b8p-1, -0x1.095cdb9c4c98ap-1, -0x1.04f1bba771f61p-1, -0x1.008d799ec288dp-1, -0x1.f861370690cbcp-2, -0x1.efb73df49d665p-2, -0x1.e71df3254e79dp-2, -0x1.de96321f1bf7bp-2, -0x1.d620c76e8ca5fp-2, -0x1.cdbe714591f61p-2, -0x1.c56fe017bbeffp-2, -0x1.bd35b72f2a0f6p-2, -0x1.b5108d3824082p-2, -0x1.ad00ecc327dd9p-2, -0x1.a50754bed7b38p-2, -0x1.9d2438ebdc633p-2, -0x1.9558024cdff34p-2, -0x1.8da30f944afe3p-2, -0x1.8605b590c10abp-2, -0x1.7e803f98c4819p-2, -0x1.7712eff5800e4p-2, -0x1.6fbe004c954f3p-2, -0x1.6881a208be421p-2, -0x1.615dfec115004p-2, -0x1.5a53389ed8e4bp-2, -0x1.53616ac15bc8bp-2, -0x1.4c88a99fb1bf7p-2, -0x1.45c9036798c61p-2, -0x1.3f228058fe0ap-2, -0x1.3895231d9fe76p-2, -0x1.3220e91c61513p-2, -0x1.2bc5cac82a208p-2, -0x1.2583bbea625f4p-2, -0x1.1f5aabe944ce4p-2, -0x1.194a860a777b8p-2, -0x1.135331b247a6p-2, -0x1.0d7492a0008f8p-2, -0x1.07ae892795f7fp-2, -0x1.0200f268e0469p-2, -0x1.f8d75108d59ffp-3, -0x1.eddd059bb0608p-3, -0x1.e312abf790172p-3, -0x1.d877e8aa54d81p-3, -0x1.ce0c5bb806bf7p-3, -0x1.c3cfa0eb4adfap-3, -0x1.b9c150211cf74p-3, -0x1.afe0fd9016ef5p-3, -0x1.a62e3a0be63a5p-3, -0x1.9ca893455fa95p-3, -0x1.934f9407b76cp-3, -0x1.8a22c473612b6p-3, -0x1.8121aa36cfaa7p-3, -0x1.784bc8c56f674p-3, -0x1.6fa0a18cd28ecp-3, -0x1.672007a65ccc7p-3, -0x1.5ec8d6124d96bp-3, -0x1.569ad7e951273p-3, -0x1.4e9588a836973p-3, -0x1.46b862a287d7ap-3, -0x1.3f02df2ba7187p-3, -0x1.377476bf5b0dfp-3, -0x1.300ca12998d0cp-3, -0x1.28cad5ad2fde7p-3, -0x1.21ae8b2923742p-3, -0x1.1ab7383c63da9p-3, -0x1.13e45367b9e71p-3, -0x1.0d35532db28d5p-3, -0x1.06a9ae30701fap-3, -0x1.0040db4d540a7p-3, -0x1.f3f4a36d07612p-4, -0x1.e7ab12148f0a2p-4, -0x1.dba3f2d0d7f28p-4, -0x1.cfde370b6d6dep-4, -0x1.c458d17b32fccp-4, -0x1.b912b644a9975p-4, -0x1.ae0adb17602b1p-4, -0x1.a3403748e1fbdp-4, -0x1.98b1c3eda0afdp-4, -0x1.8e5e7beffba0ap-4, -0x1.84455c25d5902p-4, -0x1.7a656364de661p-4, -0x1.70bd9295cf3dap-4, -0x1.674cecc6bb3dfp-4, -0x1.5e12773c9108dp-4, -0x1.550d3983ddfe1p-4, -0x1.4c3c3d80da88fp-4, -0x1.439e8f7ebef14p-4, -0x1.3b333e3e5d584p-4, -0x1.32f95b03f7074p-4, -0x1.2aeff9a44254dp-4, -0x1.231630909583dp-4, -0x1.1b6b18e22c968p-4, -0x1.13edce64800c7p-4, -0x1.0c9d6f9ea52ap-4, -0x1.05791ddbb2dbp-4, -0x1.fcfffa6452dd3p-5, -0x1.ef626914b9a47p-5, -0x1.e217db47ce342p-5, -0x1.d51eaa344b9a2p-5, -0x1.c87534cf9ac8ep-5, -0x1.bc19dfd336857p-5, -0x1.b00b15c06703p-5, -0x1.a44746e26bb07p-5, -0x1.98cce94f35b24p-5, -0x1.8d9a78e6c6099p-5, -0x1.82ae775158ec3p-5, -0x1.78076bfc703f9p-5, -0x1.6da3e416e00cp-5, -0x1.6382728bf09b8p-5, -0x1.59a1affdb53b4p-5, -0x1.50003abea8dd2p-5, -0x1.469cb6caa28abp-5, -0x1.3d75cdbf37d41p-5, -0x1.348a2ed394f8fp-5, -0x1.2bd88ecfdaa02p-5, -0x1.235fa80409903p-5, -0x1.1b1e3a3e848p-5, -0x1.13130ac22b84cp-5, -0x1.0b3ce43c1a9c7p-5, -0x1.039a96b9082b4p-5, -0x1.f855ef3497b98p-6, -0x1.e9d9c315200afp-6, -0x1.dbbe68e451309p-6, -0x1.ce01aad635e28p-6, -0x1.c0a15d69a47b8p-6, -0x1.b39b5f4f0757bp-6, -0x1.a6ed994e8c80cp-6, -0x1.9a95fe2dbec2bp-6, -0x1.8e928a94909bdp-6, -0x1.82e144f1df5dp-6, -0x1.77803d5f7366fp-6, -0x1.6c6d8d85875edp-6, -0x1.61a7587de304ap-6, -0x1.572bcab68de49p-6, -0x1.4cf919d42037bp-6, -0x1.430d8493c87a1p-6, -0x1.396752ad023p-6, -0x1.3004d4b30ebf4p-6, -0x1.26e463f63980dp-6, -0x1.1e046264f302fp-6, -0x1.15633a6cc2c63p-6, -0x1.0cff5edb2ae7ep-6, -0x1.04d74abe72777p-6, -0x1.f9d3028cdb5dep-7, -0x1.ea691b4a86b69p-7, -0x1.db6e05e07b0ddp-7, -0x1.ccdef8014693ep-7, -0x1.beb936a957dfcp-7, -0x1.b0fa15e10ba2p-7, -0x1.a39ef87f0bf9p-7, -0x1.96a54feae6a7bp-7, -0x1.8a0a9bdff7be5p-7, -0x1.7dcc6a30b3f5dp-7, -0x1.71e8568a4d1edp-7, -0x1.665c0a38b6431p-7, -0x1.5b253beb1dffep-7, -0x1.5041af78d26dfp-7, -0x1.45af35a69bad1p-7, -0x1.3b6babec91297p-7, -0x1.3174fc3c6a2a1p-7, -0x1.27c91cc850f9dp-7, -0x1.1e660fca3b0f8p-7, -0x1.1549e34bc70ep-7, -0x1.0c72b0eeaa08dp-7, -0x1.03de9db5a6255p-7, -0x1.f717b39c280c4p-8, -0x1.e6f140b3fd6fap-8, -0x1.d7466e75ac222p-8, -0x1.c813ddb96fe2fp-8, -0x1.b9564404a977ap-8, -0x1.ab0a6b22dcb12p-8, -0x1.9d2d30bfea882p-8, -0x1.8fbb86038b8bep-8, -0x1.82b26f2e0d2acp-8, -0x1.760f033650b4bp-8, -0x1.69ce6b6913f8dp-8, -0x1.5dede3097eb63p-8, -0x1.526ab6f3084a3p-8, -0x1.4742453c96a76p-8, -0x1.3c71fcdcf813ap-8, -0x1.31f75d50acfa7p-8, -0x1.27cff640f7fa5p-8, -0x1.1df9672c4678bp-8, -0x1.14715f0fe3611p-8, -0x1.0b359c12fd5a5p-8, -0x1.0243eb32facf5p-8, -0x1.f3344fe237997p-9, -0x1.e26c7802db47p-9, -0x1.d22c3df60ced2p-9, -0x1.c26fac131e598p-9, -0x1.b332e740330e3p-9, -0x1.a4722e5a70712p-9, -0x1.9629d9a0d0f66p-9, -0x1.88565a2166797p-9, -0x1.7af4392937af7p-9, -0x1.6e0017b696ea7p-9, -0x1.6176adedf22eep-9, -0x1.5554ca911e4aap-9, -0x1.49975279174ccp-9, -0x1.3e3b4012245a8p-9, -0x1.333da2da6cf46p-9, -0x1.289b9ee2ea469p-9, -0x1.1e526c52b8761p-9, -0x1.145f56ecb3158p-9, -0x1.0abfbd976f566p-9, -0x1.017111e774ffap-9, -0x1.f0e1af5782d8ap-10, -0x1.df7948f8fd3a8p-10, -0x1.cea43e97e01e6p-10, -0x1.be5dfff3382abp-10, -0x1.aea21dcf15c35p-10, -0x1.9f6c4923625dp-10, -0x1.90b8524ee24b9p-10, -0x1.8282284e53477p-10, -0x1.74c5d7f7be2f4p-10, -0x1.677f8b39ad355p-10, -0x1.5aab885e76e2fp-10, -0x1.4e4631536d875p-10, -0x1.424c02f3ddae7p-10, -0x1.36b99457f8e52p-10, -0x1.2b8b962764bbfp-10, -0x1.20bed1ef98d16p-10, -0x1.15fc3f2f30378p-10, -0x1.0be7e652a1c93p-10, -0x1.022bd329f3ea9p-10, -0x1.f18a5865e43ecp-11, -0x1.df625b47f59e9p-11, -0x1.cdda51afdacp-11, -0x1.bced077aee2d3p-11, -0x1.ac9570936fc2fp-11, -0x1.9ccea7dc48b7bp-11, -0x1.8d93ee2323951p-11, -0x1.7ee0a918d487fp-11, -0x1.70b0624fec34bp-11, -0x1.62fec6415633cp-11, -0x1.55c7a356e1e4fp-11, -0x1.4906e8fb99389p-11, -0x1.3cb8a6b1e7bp-11, -0x1.30d90b2f4eedap-11, -0x1.2564637d8cae8p-11, -0x1.1a571a214af39p-11, -0x1.0fadb645e21a4p-11, -0x1.0564daeea31dcp-11, -0x1.f6f28c59ca628p-12, -0x1.e3cfa0b67390fp-12, -0x1.d15ad6baf2bb8p-12, -0x1.bf8e43cb3bdabp-12, -0x1.ae642d7a99802p-12, -0x1.9dd70827e88a4p-12, -0x1.8de175a2eb4f4p-12, -0x1.7e7e43da77704p-12, -0x1.6fa86b92c77dep-12, -0x1.615b0f251cd15p-12, -0x1.53917946f7592p-12, -0x1.46471bd99624dp-12, -0x1.39778ec180487p-12, -0x1.2d1e8ec5a50d6p-12, -0x1.2137fc7629f63p-12, -0x1.15bfdb1a98373p-12, -0x1.0ab24fa756ba2p-12, -0x1.000b9fba2a6c3p-12, -0x1.eb90613b344dep-13, -0x1.d7c90ca6b9e3p-13, -0x1.c4ba854a12913p-13, -0x1.b25e4876c71d3p-13, -0x1.a0ae0b784d6a9p-13, -0x1.8fa3b9dbcd80fp-13, -0x1.7f3973c33ae39p-13, -0x1.6f698c4578e04p-13, -0x1.602e87d91c576p-13, -0x1.51831aca67b64p-13, -0x1.436227bce7d3p-13, -0x1.35c6be36fccf9p-13, -0x1.28ac193836812p-13, -0x1.1c0d9dd9b9b19p-13, -0x1.0fe6d9f8c126p-13, -0x1.043382ea6156fp-13, -0x1.f1dee8723888p-14, -0x1.dc2d5cd6942cfp-14, -0x1.c74aaba60537ap-14, -0x1.b32f62cbc41e7p-14, -0x1.9fd4533b5f81ap-14, -0x1.8d328ec3b1a6cp-14, -0x1.7b4365efef232p-14, -0x1.6a0065f99b804p-14, -0x1.596356c91f405p-14, -0x1.496639059861bp-14, -0x1.3a034432cc2c7p-14, -0x1.2b34e4ddaab3ep-14, -0x1.1cf5bad577e41p-14, -0x1.0f4097736b0f5p-14, -0x1.02107bee6af08p-14, -0x1.eac12f77d993bp-15, -0x1.d2588dfab4823p-15, -0x1.bade21f00a11dp-15, -0x1.a4494d352c323p-15, -0x1.8e91c219d14eep-15, -0x1.79af8095b6d2p-15, -0x1.659ad39554694p-15, -0x1.524c4e59c7064p-15, -0x1.3fbcc9ef1a4a1p-15, -0x1.2de562b58f4dbp-15, -0x1.1cbf75fd1dde4p-15, -0x1.0c449fb7f58c5p-15, -0x1.f8dd7078531c2p-16, -0x1.da6fa42fac436p-16, -0x1.bd346ff135b3fp-16, -0x1.a120d545850d4p-16, -0x1.862a3df624041p-16, -0x1.6c46783d5e8f9p-16, -0x1.536bb319695cp-16, -0x1.3b907abe529ebp-16, -0x1.24abb524ababcp-16, -0x1.0eb49ebad98eap-16, -0x1.f3458e552400ep-17, -0x1.cadc1c8542a13p-17, -0x1.a41d41eb9c1f9p-17, -0x1.7ef9ecf712cfep-17, -0x1.5b639b07c7989p-17, -0x1.394c530b96863p-17, -0x1.18a6a050b5342p-17, -0x1.f2cb1b070b83ap-18, -0x1.b6f93fb3d8afdp-18, -0x1.7dbfa4dc050eap-18, -0x1.4707237ee73f6p-18, -0x1.12b96ec752215p-18, -0x1.c18217650a1dap-19, -0x1.621292179b4a2p-19, -0x1.06fc6f639df96p-19, -0x1.60328c8076556p-20, -0x1.751052a9b05cp-21, -0x1.cb2632bf3a629p-24, 0x1.e64e0131128dbp-22, 0x1.088bbd5b44ee5p-20, 0x1.90762af5c6089p-20, 0x1.08c829374f44dp-19, 0x1.460ac317beb9ep-19, 0x1.801f7bf942332p-19, 0x1.b721e6caf843dp-19, 0x1.eb2c9ad5f36f8p-19, 0x1.0e2c9ec07b106p-18, 0x1.256045dc23306p-18, 0x1.3b3d31817638p-18, 0x1.4fcee51a7dd36p-18, 0x1.63207ceba85ffp-18, 0x1.753cb215d90c9p-18, 0x1.862dde7fe0bbcp-18, 0x1.95fe008db4deep-18, 0x1.a4b6beaff1967p-18, 0x1.b2616ae0c8e1bp-18, 0x1.bf0705ef309ebp-18, 0x1.cab042b01d67ep-18, 0x1.d5658906af698p-18, 0x1.df2ef8e3f5d8p-18, 0x1.e8146d106b64cp-18, 0x1.f01d7de86664bp-18, 0x1.f75183f226e79p-18, 0x1.fdb79a6826474p-18, 0x1.01ab50cdd9dbp-17, 0x1.041aa0a3545dep-17, 0x1.062cf561bf389p-17, 0x1.07e56d97d688fp-17, 0x1.09470ebaea268p-17, 0x1.0a54c622936d3p-17, 0x1.0b1169f9ae773p-17, 0x1.0b7fba2538793p-17, 0x1.0ba26120bc0f9p-17, 0x1.0b7bf4d82ccfep-17, 0x1.0b0ef76c4bbep-17, 0x1.0a5dd7fb0d6c1p-17, 0x1.096af3587bb62p-17, 0x1.083894c3715cfp-17, 0x1.06c8f68f62031p-17, 0x1.051e42c888efdp-17, 0x1.033a93d4c7d9p-17, 0x1.011ff5092d52bp-17, 0x1.fda0c66cacc28p-18, 0x1.f89b9a6c6ef11p-18, 0x1.f33428dd660ddp-18, 0x1.ed6e1a9dfa32dp-18, 0x1.e74cff9406f4p-18, 0x1.e0d44f8fa95cfp-18, 0x1.da076b2aa6e66p-18, 0x1.d2e99c98035ccp-18, 0x1.cb7e186f741a6p-18, 0x1.c3c7fe6bbada2p-18, 0x1.bbca5a22f5073p-18, 0x1.b38823b4de04cp-18, 0x1.ab04407465044p-18, 0x1.a2418383fdc5ap-18, 0x1.9942ae6ed385dp-18, 0x1.900a71bbcd8a8p-18, 0x1.869b6d7819e19p-18, 0x1.7cf831b6e63bbp-18, 0x1.73233f19972fdp-18, 0x1.691f0735d3fdep-18, 0x1.5eeded1e96484p-18, 0x1.549245c959573p-18, 0x1.4a0e586df3269p-18, 0x1.3f645ef514308p-18, 0x1.3496865193d85p-18, 0x1.29a6eee0b2f58p-18, 0x1.1e97acb6cca3ep-18, 0x1.136ac7fdde5fap-18, 0x1.08223d3b23dd7p-18, 0x1.f97ffb4933b2ap-19, 0x1.e28bdeb226434p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2bf3eefe204bap-2, -0x1.36c0c7033b5fp-2, -0x1.4109bae1a32efp-2, -0x1.4acd3a5801dcdp-2, -0x1.540a121545d8ep-2, -0x1.5cbf671d4f57dp-2, -0x1.64ecb229f5e07p-2, -0x1.6c91bb1196e6ap-2, -0x1.73ae943abde8ap-2, -0x1.7a4396233505cp-2, -0x1.80515aff8f7abp-2, -0x1.85d8ba774d8b1p-2, -0x1.8adac580e564ap-2, -0x1.8f58c260296bbp-2, -0x1.935428c907095p-2, -0x1.96ce9e27e8472p-2, -0x1.99c9f210a8c9bp-2, -0x1.9c481ad48c1fp-2, -0x1.9e4b323f5eb72p-2, -0x1.9fd5727b8a1d3p-2, -0x1.a0e9331ca854bp-2, -0x1.a188e64fe9f48p-2, -0x1.a1b7163171c5ep-2, -0x1.a1766245953a8p-2, -0x1.a0c97d14e4ba9p-2, -0x1.9fb329e9aedcep-2, -0x1.9e363aadb5ffap-2, -0x1.9c558de6ab39p-2, -0x1.9a140cd010f9ap-2, -0x1.9774a9911543ap-2, -0x1.947a5d8d01dbcp-2, -0x1.912827ccd9605p-2, -0x1.8d810b80cff14p-2, -0x1.89880e9851293p-2, -0x1.8540386f548afp-2, -0x1.80ac908fd07d6p-2, -0x1.7bd01d8631e9ap-2, -0x1.76ade3c7c2881p-2, -0x1.7148e4aa0f0b1p-2, -0x1.6ba41d6a57beap-2, -0x1.65c2864437a03p-2, -0x1.5fa71196b8104p-2, -0x1.5954ab171c5aep-2, -0x1.52ce3710b67dp-2, -0x1.4c1691b12a574p-2, -0x1.45308e6093014p-2, -0x1.3e1ef725079f1p-2, -0x1.36e48c1103415p-2, -0x1.2f8402bc416bap-2, -0x1.280005c6af61bp-2, -0x1.205b346506ea4p-2, -0x1.189821f6c671cp-2, -0x1.10b955a5278e3p-2, -0x1.08c14a0acca38p-2, -0x1.00b26ce3d44c1p-2, -0x1.f11e3d8c1e75ep-3, -0x1.e0b365c21ba5cp-3, -0x1.d028dd8b8b5bap-3, -0x1.bf83146b1088ep-3, -0x1.aec65df01502p-3, -0x1.9df6f1707cafdp-3, -0x1.8d18e9cf771a8p-3, -0x1.7c304550efc22p-3, -0x1.6b40e5791dbabp-3, -0x1.5a4e8ef7b7657p-3, -0x1.495ce99e43b4p-3, -0x1.386f80610eb03p-3, -0x1.2789c1624461bp-3, -0x1.16aefe06af01ep-3, -0x1.05e26b139d579p-3, -0x1.ea4e41aae8a99p-4, -0x1.c900369ce8a89p-4, -0x1.a7e074da55054p-4, -0x1.86f4849458623p-4, -0x1.6641b6d90f5eap-4, -0x1.45cd262926a5cp-4, -0x1.259bb71923f7cp-4, -0x1.05b218fd8f573p-4, -0x1.cc298d4237653p-5, -0x1.8d900e07f3a68p-5, -0x1.4f9fdc4713b2fp-5, -0x1.1260bb933db51p-5, -0x1.abb4198a5e084p-6, -0x1.34259f6644f6dp-6, -0x1.7c4693d005f83p-7, -0x1.26e67d609c233p-8, 0x1.485c89e2348bcp-9, 0x1.3442589814af6p-7, 0x1.097cc60e5307bp-6, 0x1.77149eadddb89p-6, 0x1.e2df9e74aadb5p-6, 0x1.266aa8f9217e7p-5, 0x1.5a76f30f29912p-5, 0x1.8d91123cabb6cp-5, 0x1.bfb5b7967c2cfp-5, 0x1.f0e1de96c6004p-5, 0x1.10896597880a5p-4, 0x1.282303ee15f94p-4, 0x1.3f3cb1de5168fp-4, 0x1.55d5785516497p-4, 0x1.6bec80ab57a6dp-4, 0x1.818113b69dca6p-4, 0x1.969298dbb5058p-4, 0x1.ab209523bfd1p-4, 0x1.bf2aaa53d786bp-4, 0x1.d2b0960756472p-4, 0x1.e5b230ccfe4ap-4, 0x1.f82f6d47151e1p-4, 0x1.05142ba73b458p-3, 0x1.0dce898c74a8bp-3, 0x1.1646ee3146a98p-3, 0x1.1e7d82cd4cd6dp-3, 0x1.26727b89bb8bp-3, 0x1.2e26171b17b6dp-3, 0x1.35989e5ca050dp-3, 0x1.3cca63ed73f9ep-3, 0x1.43bbc3cf70313p-3, 0x1.4a6d2307c3f08p-3, 0x1.50deef414829cp-3, 0x1.57119e7089e9bp-3, 0x1.5d05ae799b3d1p-3, 0x1.62bba4d79155ap-3, 0x1.68340e45c429ap-3, 0x1.6d6f7e6abfb98p-3, 0x1.726e8f84ee04ep-3, 0x1.7731e218e7356p-3, 0x1.7bba1ca181824p-3, 0x1.8007eb417694ap-3, 0x1.841bff76c51e8p-3, 0x1.87f70fcfa38ccp-3, 0x1.8b99d7a11ff88p-3, 0x1.8f0516bf5679ep-3, 0x1.92399137407f4p-3, 0x1.95380f0a145d7p-3, 0x1.98015bea3de4ep-3, 0x1.9a9646f9dbbfbp-3, 0x1.9cf7a28ac51eep-3, 0x1.9f2643e017b4ep-3, 0x1.a12302f141aebp-3, 0x1.a2eeba2e86c94p-3, 0x1.a48a464704e8dp-3, 0x1.a5f685f01f92bp-3, 0x1.a73459ae6ae8ap-3, 0x1.a844a39ff3d95p-3, 0x1.a9284747faa0ep-3, 0x1.a9e0295c0fc5cp-3, 0x1.aa6d2f928d684p-3, 0x1.aad04072722cap-3, 0x1.ab0a432493319p-3, 0x1.ab1c1f4625127p-3, 0x1.ab06bcbc940b9p-3, 0x1.aacb038aaa5e6p-3, 0x1.aa69dba705d7dp-3, 0x1.a9e42cd3cbc14p-3, 0x1.a93ade77aa31p-3, 0x1.a86ed7780c567p-3, 0x1.a780fe149981ep-3, 0x1.a67237c3dd7b7p-3, 0x1.a54369112f44ap-3, 0x1.a3f5757bc58f5p-3, 0x1.a2893f56f8e8bp-3, 0x1.a0ffa7abad714p-3, 0x1.9f598e1ae4213p-3, 0x1.9d97d0c16f33p-3, 0x1.9bbb4c1cc0081p-3, 0x1.99c4daf0d6715p-3, 0x1.97b5562f3fc49p-3, 0x1.958d94df2cc7bp-3, 0x1.934e6c069302cp-3, 0x1.90f8ae945ddeap-3, 0x1.8e8d2d4ba17d7p-3, 0x1.8c0cb6afd1f05p-3, 0x1.897816f1fc26ap-3, 0x1.86d017def2843p-3, 0x1.841580ce788dfp-3, 0x1.814916935a529p-3, 0x1.7e6b9b6c7232cp-3, 0x1.7b7dcef69ecc2p-3, 0x1.78806e1f968cep-3, 0x1.757433199ffabp-3, 0x1.7259d55027a2ep-3, 0x1.6f32095d2e6c8p-3, 0x1.6bfd80ff87819p-3, 0x1.68bceb11ecd7ap-3, 0x1.6570f382db646p-3, 0x1.621a434d32983p-3, 0x1.5eb980719e286p-3, 0x1.5b4f4df0b3496p-3, 0x1.57dc4bc5d4b4cp-3, 0x1.546116e2bb2aap-3, 0x1.50de492bb94f7p-3, 0x1.4d547974abf06p-3, 0x1.49c43b7e87bb5p-3, 0x1.462e1ff58fd93p-3, 0x1.4292b4702e619p-3, 0x1.3ef2836e5d0fap-3, 0x1.3b4e1459a9a83p-3, 0x1.37a5eb85c71c3p-3, 0x1.33fa8a31ae0bfp-3, 0x1.304c6e89413afp-3, 0x1.2c9c13a77979ep-3, 0x1.28e9f199084f7p-3, 0x1.25367d5f7e929p-3, 0x1.218228f4e39b4p-3, 0x1.1dcd634fbc29fp-3, 0x1.1a18986784886p-3, 0x1.166431398e113p-3, 0x1.12b093ce44817p-3, 0x1.0efe233ed40cbp-3, 0x1.0b4d3fbb29296p-3, 0x1.079e46904e7b2p-3, 0x1.03f1922f18253p-3, 0x1.00477a332631ap-3, 0x1.f940a6d458eb2p-4, 0x1.f1f8dfb71dcep-4, 0x1.eab83da063b02p-4, 0x1.e37f59b53f094p-4, 0x1.dc4ec7beafb19p-4, 0x1.d527163aceedap-4, 0x1.ce08ce6e65456p-4, 0x1.c6f47476da13cp-4, 0x1.bfea875c91eaep-4, 0x1.b8eb81259de49p-4, 0x1.b1f7d6e8bbep-4, 0x1.ab0ff8e0a2643p-4, 0x1.a434527f99eacp-4, 0x1.9d654a83492efp-4, 0x1.96a34308c2c0fp-4, 0x1.8fee99a0c3547p-4, 0x1.8947a7641f347p-4, 0x1.82aec10855e45p-4, 0x1.7c2436f44976cp-4, 0x1.75a8555513cd3p-4, 0x1.6f3b6432f44aep-4, 0x1.68dda7864f7a1p-4, 0x1.628f5f4cbfee4p-4, 0x1.5c50c79e2f3e7p-4, 0x1.562218c1f4734p-4, 0x1.50038743f5ap-4, 0x1.49f54409c4075p-4, 0x1.43f77c67b271bp-4, 0x1.3e0a5a35e014fp-4, 0x1.382e03e534e11p-4, 0x1.32629c944b553p-4, 0x1.2ca84424431bp-4, 0x1.26ff174d7c96dp-4, 0x1.21672fb435272p-4, 0x1.1be0a3fd06035p-4, 0x1.166b87e13edccp-4, 0x1.1107ec431b075p-4, 0x1.0bb5df41cfedfp-4, 0x1.06756c4d6eab1p-4, 0x1.01469c3a991efp-4, 0x1.f852eaac1074dp-5, 0x1.ee3bf6efbe89ep-5, 0x1.e448602d96215p-5, 0x1.da7824b5da901p-5, 0x1.d0cb3e611999ep-5, 0x1.c741a2b51f1dp-5, 0x1.bddb43096e4cbp-5, 0x1.b4980cab43a51p-5, 0x1.ab77e901199e2p-5, 0x1.a27abdadaeb3ep-5, 0x1.99a06cb289f49p-5, 0x1.90e8d491fcac3p-5, 0x1.8853d0709c3fap-5, 0x1.7fe1383637bd7p-5, 0x1.7790e0ae40577p-5, 0x1.6f629ba7aa0c3p-5, 0x1.675638143dd1ep-5, 0x1.5f6b8227617aap-5, 0x1.57a243744c86cp-5, 0x1.4ffa430bb2b0cp-5, 0x1.48734598d9febp-5, 0x1.410d0d7e23bd2p-5, 0x1.39c75af1031bep-5, 0x1.32a1ec15605e7p-5, 0x1.2b9c7d186e9bbp-5, 0x1.24b6c84aec4f4p-5, 0x1.1df0863ad511p-5, 0x1.17496dcc7f871p-5, 0x1.10c134532c24p-5, 0x1.0a578da903fdep-5, 0x1.040c2c468438cp-5, 0x1.fbbd82b2bcee7p-6, 0x1.ef9df9b58c715p-6, 0x1.e3b91b4a68963p-6, 0x1.d80e431334ab7p-6, 0x1.cc9ccac81786ap-6, 0x1.c1640a5fb5fb4p-6, 0x1.b66358365b963p-6, 0x1.ab9a09340e182p-6, 0x1.a10770f19859ep-6, 0x1.96aae1dc8429p-6, 0x1.8c83ad5a0a259p-6, 0x1.829123e902304p-6, 0x1.78d29542c654cp-6, 0x1.6f47507b1e01dp-6, 0x1.65eea41f291cep-6, 0x1.5cc7de534e75cp-6, 0x1.53d24cf038291p-6, 0x1.4b0d3d9edc88bp-6, 0x1.4277fdf3938a9p-6, 0x1.3a11db8843ff9p-6, 0x1.31da2415a72b5p-6, 0x1.29d0258ba910bp-6, 0x1.21f32e28e6285p-6, 0x1.1a428c914ab9fp-6, 0x1.12bd8fe3de658p-6, 0x1.0b6387cfb2b84p-6, 0x1.0433c4a80662fp-6, 0x1.fa5b2eef2aabcp-7, 0x1.eca0a4264be14p-7, 0x1.df368e568e9e9p-7, 0x1.d21b94baa8d36p-7, 0x1.c54e608770ff1p-7, 0x1.b8cd9d0ae9a3p-7, 0x1.ac97f7c9e8a38p-7, 0x1.a0ac209c54f78p-7, 0x1.9508c9c8112a4p-7, 0x1.89aca81a80642p-7, 0x1.7e967300cbfa1p-7, 0x1.73c4e49edfa98p-7, 0x1.6936b9e5238a7p-7, 0x1.5eeab2a5076bap-7, 0x1.54df91a45cc82p-7, 0x1.4b141caf838f8p-7, 0x1.41871caa8164fp-7, 0x1.38375da0fc4c3p-7, 0x1.2f23aed52352dp-7, 0x1.264ae2cd91071p-7, 0x1.1dabcf622a226p-7, 0x1.15454dc8018c1p-7, 0x1.0d163a9c49727p-7, 0x1.051d75ee571b7p-7, 0x1.fab3c69180146p-8, 0x1.eb94d37334159p-8, 0x1.dcdbe7b3c27c7p-8, 0x1.ce86dfa81bb65p-8, 0x1.c0939ed3bb29ep-8, 0x1.b3000ff2b355ep-8, 0x1.a5ca25023bb1p-8, 0x1.98efd747d00fp-8, 0x1.8c6f2756ebaccp-8, 0x1.80461d156c464p-8, 0x1.7472c7beaa70bp-8, 0x1.68f33de5527b1p-8, 0x1.5dc59d7407afdp-8, 0x1.52e80bace0099p-8, 0x1.4858b527c0cd6p-8, 0x1.3e15cdcfa86cbp-8, 0x1.341d90def0f19p-8, 0x1.2a6e40da928e2p-8, 0x1.2106278c74f3p-8, 0x1.17e395fcd50dap-8, 0x1.0f04e46acab86p-8, 0x1.06687243fb07bp-8, 0x1.fc194c36f2e88p-9, 0x1.ebdfdb3fd33c7p-9, 0x1.dc217b21c6b2bp-9, 0x1.ccdb23674aca4p-9, 0x1.be09d98e4274ep-9, 0x1.afaab0eec21f6p-9, 0x1.a1bacaa0b54cdp-9, 0x1.9437556058b51p-9, 0x1.871d8d71a7dc1p-9, 0x1.7a6abc82c573bp-9, 0x1.6e1c398d6ffbfp-9, 0x1.622f68b78e736p-9, 0x1.56a1bb32e5fbap-9, 0x1.4b70af1c07155p-9, 0x1.4099cf5878137p-9, 0x1.361ab37432bbbp-9, 0x1.2bf0ff7e7cf56p-9, 0x1.221a63e628e8ap-9, 0x1.18949d5546b07p-9, 0x1.0f5d748c57f39p-9, 0x1.0672be3d0b941p-9, 0x1.fba4b5c91cd2bp-10, 0x1.eaf46d4af0acp-10, 0x1.dad09242cd38dp-10, 0x1.cb352aa489255p-10, 0x1.bc1e52c6a732cp-10, 0x1.ad883d13e5cabp-10, 0x1.9f6f31bc76c05p-10, 0x1.91cf8e66d63dap-10, 0x1.84a5c5e068459p-10, 0x1.77ee5fcdd969p-10, 0x1.6ba5f85b64769p-10, 0x1.5fc93fecf302bp-10, 0x1.5454face44b15p-10, 0x1.494600e3143ecp-10, 0x1.3e993d574a0bbp-10, 0x1.344bae4f5610fp-10, 0x1.2a5a6498addabp-10, 0x1.20c2835a7e4e9p-10, 0x1.17813fc6a57ffp-10, 0x1.0e93e0caf132dp-10, 0x1.05f7bec2b01f5p-10, 0x1.fb5486515594ep-11, 0x1.eb51d092f1d6fp-11, 0x1.dbe271ec9cc69p-11, 0x1.cd01a0707b0acp-11, 0x1.beaab207f3afep-11, 0x1.b0d91bdc461f8p-11, 0x1.a38871c03bd28p-11, 0x1.96b4659b05f37p-11, 0x1.8a58c6d451fa7p-11, 0x1.7e7181c1a1a4bp-11, 0x1.72fa9f14f0dcfp-11, 0x1.67f0434cb5f81p-11, 0x1.5d4eae2543b34p-11, 0x1.53123a0b98a9dp-11, 0x1.49375b91a2ca7p-11, 0x1.3fbaa0e401612p-11, 0x1.3698b141495p-11, 0x1.2dce4c72d7668p-11, 0x1.25584a47326a5p-11, 0x1.1d339a0e07daep-11, 0x1.155d4215c2151p-11, 0x1.0dd25f2ac3c73p-11, 0x1.0690241848078p-11, 0x1.ff27b255dc84dp-12, 0x1.f1b5b769e4738p-12, 0x1.e4c53b282d3a8p-12, 0x1.d851497286444p-12, 0x1.cc551563ae02p-12, 0x1.c0cbf8656af64p-12, 0x1.b5b1714a1365ep-12, 0x1.ab0123698e0c1p-12, 0x1.a0b6d5c1c3429p-12, 0x1.96ce721a8d7a6p-12, 0x1.8d44042d1a9c2p-12, 0x1.8413b8cec8abdp-12, 0x1.7b39dd1f78baep-12, 0x1.72b2ddbb565dp-12, 0x1.6a7b45f0132a2p-12, 0x1.628fbef593296p-12, 0x1.5aed0f2a05a13p-12, 0x1.539019516ba8bp-12, 0x1.4c75dbd881aa5p-12, 0x1.459b701b0f71bp-12, 0x1.3efe09ad91431p-12, 0x1.389af5aa3fd65p-12, 0x1.326f9a0163649p-12, 0x1.2c7974ccfd0b6p-12, 0x1.26b61ba7b15a7p-12, 0x1.21233b06f5651p-12, 0x1.1bbe9598780aep-12, 0x1.168603a2bc338p-12, 0x1.11777268e1be6p-12, 0x1.0c90e3918dd6p-12, 0x1.07d06c90f80ep-12, 0x1.03343616046e2p-12, 0x1.fd74f6f4e088fp-13, 0x1.f4c3146bff76fp-13, 0x1.ec4f82a95218ap-13, 0x1.e41721df68992p-13, 0x1.dc16f35384a6dp-13, 0x1.d44c185b70074p-13, 0x1.ccb3d16102baap-13, 0x1.c54b7ceb48794p-13, 0x1.be1096ad32a07p-13, 0x1.b700b699c00a7p-13, 0x1.b0198ffd90e83p-13, 0x1.a958f09dcab22p-13, 0x1.a2bcbfdc3dc56p-13, 0x1.9c42fde0baaa3p-13, 0x1.95e9c2c7777dep-13, 0x1.8faf3dd48bccap-13, 0x1.8991b4ac5153p-13, 0x1.838f8290a8bf1p-13, 0x1.7da717a30f876p-13, 0x1.77d6f82b666b7p-13, 0x1.721dbbe35f9a9p-13, 0x1.6c7a0d468197cp-13, 0x1.66eaa8e6a4bb4p-13, 0x1.616e5cc4d94e9p-13, 0x1.5c0407aea9a63p-13, 0x1.56aa989f9d338p-13, 0x1.51610e26ea8bfp-13, 0x1.4c2675d14ae1dp-13, 0x1.46f9eb96d3e99p-13, 0x1.41da994ccd5c6p-13, 0x1.3cc7b61b62924p-13, 0x1.37c085f731ff7p-13, 0x1.32c4591e9127ep-13, 0x1.2dd28b9a85079p-13, 0x1.28ea84c34cb5dp-13, 0x1.240bb6c87d5d6p-13, 0x1.1f359e3c8d4ebp-13, 0x1.1a67c1a3c6f79p-13, 0x1.15a1b1068c559p-13, 0x1.10e30586e0137p-13, 0x1.0c2b60f9177fep-13, 0x1.077a6d7faff47p-13, 0x1.02cfdd2a32f77p-13, 0x1.fc56d32e2356cp-14, 0x1.f319a730e619ap-14, 0x1.e9e7c5b7b222p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.16384f8b56c15p-2, -0x1.2228f59eecee9p-2, -0x1.2dd839c42f37p-2, -0x1.3944a4dbdab03p-2, -0x1.446ce4caad56ep-2, -0x1.4f4fcb59c585dp-2, -0x1.59ec4d0aa3b67p-2, -0x1.64417fe21702p-2, -0x1.6e4e9a2cea10cp-2, -0x1.7812f140d3762p-2, -0x1.818df83bc8a23p-2, -0x1.8abf3ec38fb7ep-2, -0x1.93a66fc7286a2p-2, -0x1.9c435043612cp-2, -0x1.a495be0bc5147p-2, -0x1.ac9dae98d0d7p-2, -0x1.b45b2ddc4a475p-2, -0x1.bbce5d1c53e56p-2, -0x1.c2f771d5d34cbp-2, -0x1.c9d6b4a68faecp-2, -0x1.d06c803f5efc2p-2, -0x1.d6b9405e9c3b3p-2, -0x1.dcbd70d313077p-2, -0x1.e2799c877404p-2, -0x1.e7ee5c965f72ap-2, -0x1.ed1c5766fbd1ep-2, -0x1.f2043fd20b518p-2, -0x1.f6a6d44f6466p-2, -0x1.fb04de2ba7aacp-2, -0x1.ff1f30c60daf3p-2, -0x1.017b546b0e5f9p-1, -0x1.034615dc84194p-1, -0x1.04f0536349b8ep-1, -0x1.067a87569489ep-1, -0x1.07e52f6a7ecfep-1, -0x1.0930cc64f7d4ep-1, -0x1.0a5de1d5f9cb3p-1, -0x1.0b6cf5d2e3a5fp-1, -0x1.0c5e90b4d938ap-1, -0x1.0d333cda0c5d6p-1, -0x1.0deb8669d0cabp-1, -0x1.0e87fb1b60a4bp-1, -0x1.0f0929ff32581p-1, -0x1.0f6fa34acb137p-1, -0x1.0fbbf826ef4d4p-1, -0x1.0feeba801cab5p-1, -0x1.10087cd9351acp-1, -0x1.1009d220466dap-1, -0x1.0ff34d8556851p-1, -0x1.0fc5825325144p-1, -0x1.0f8103c9cc566p-1, -0x1.0f2664fb31c26p-1, -0x1.0eb638a9332b8p-1, -0x1.0e31112584de2p-1, -0x1.0d9780332af4dp-1, -0x1.0cea16e98783dp-1, -0x1.0c296598e9612p-1, -0x1.0b55fbb0924bdp-1, -0x1.0a7067a626279p-1, -0x1.097936de78866p-1, -0x1.0870f597adf22p-1, -0x1.07582ed4a239fp-1, -0x1.062f6c498e0bbp-1, -0x1.04f73649df51cp-1, -0x1.03b013b7383b1p-1, -0x1.025a89f190c1cp-1, -0x1.00f71cc86bbafp-1, -0x1.ff0c9cda33e15p-2, -0x1.fc113ecc0251fp-2, -0x1.f8fd1d05bad8bp-2, -0x1.f5d131a3eb04ep-2, -0x1.f28e732c74941p-2, -0x1.ef35d47c8f5fp-2, -0x1.ebc844b87b9a8p-2, -0x1.e846af3cde446p-2, -0x1.e4b1fb91ac065p-2, -0x1.e10b0d5e9c67dp-2, -0x1.dd52c46110a1cp-2, -0x1.d989fc6362a61p-2, -0x1.d5b18d358a519p-2, -0x1.d1ca4aa70e3b7p-2, -0x1.cdd504822ef9fp-2, -0x1.c9d2868840fd5p-2, -0x1.c5c3986f24bacp-2, -0x1.c1a8fddfd5ad6p-2, -0x1.bd837675f9bf4p-2, -0x1.b953bdc06ee76p-2, -0x1.b51a8b42c4f44p-2, -0x1.b0d8927792cd8p-2, -0x1.ac8e82d3aa3f2p-2, -0x1.a83d07ca0bf79p-2, -0x1.a3e4c8d0a0fdep-2, -0x1.9f866965a2c25p-2, -0x1.9b228915b1c9cp-2, -0x1.96b9c38285d5ep-2, -0x1.924cb06a37fd1p-2, -0x1.8ddbe3af166a2p-2, -0x1.8967ed5ffabb7p-2, -0x1.84f159c11c68dp-2, -0x1.8078b155526e3p-2, -0x1.7bfe78e7bf654p-2, -0x1.77833195df424p-2, -0x1.730758d9ee581p-2, -0x1.6e8b6895a53eep-2, -0x1.6a0fd71d3e2cap-2, -0x1.65951742c11cfp-2, -0x1.611b98618dfc1p-2, -0x1.5ca3c66a23835p-2, -0x1.582e09ee13d2bp-2, -0x1.53bac82c2b2ep-2, -0x1.4f4a631cbf301p-2, -0x1.4add397e1f6afp-2, -0x1.4673a6e127e55p-2, -0x1.420e03b5ec394p-2, -0x1.3daca5587bc46p-2, -0x1.394fde1db5ad2p-2, -0x1.34f7fd602cbdfp-2, -0x1.30a54f8d18711p-2, -0x1.2c581e3149f2ap-2, -0x1.2810b0062a5edp-2, -0x1.23cf48feb5eb8p-2, -0x1.1f942a547be8fp-2, -0x1.1b5f929494a4ap-2, -0x1.1731bdac966bp-2, -0x1.130ae4f77f19cp-2, -0x1.0eeb3f4a9394bp-2, -0x1.0ad30102343bep-2, -0x1.06c25c0e9f594p-2, -0x1.02b98000a5ec5p-2, -0x1.fd71342c9dbcap-3, -0x1.f57faa8ec40adp-3, -0x1.ed9eb4a3c949cp-3, -0x1.e5ce9f8cf2adfp-3, -0x1.de0fb4295938cp-3, -0x1.d662372e4a8ccp-3, -0x1.cec6693f7960ep-3, -0x1.c73c8706f92c4p-3, -0x1.bfc4c94cfc405p-3, -0x1.b85f650f5a77fp-3, -0x1.b10c8b98e23eap-3, -0x1.a9cc6a9864fc5p-3, -0x1.a29f2c3785edap-3, -0x1.9b84f73151925p-3, -0x1.947deee886d2fp-3, -0x1.8d8a337daee3bp-3, -0x1.86a9e1e4dfd5ap-3, -0x1.7fdd13fb4ec65p-3, -0x1.7923e09c8d9eap-3, -0x1.727e5bb78de24p-3, -0x1.6bec966357d9dp-3, -0x1.656e9ef37ee36p-3, -0x1.5f04810c4da1ep-3, -0x1.58ae45b6abcedp-3, -0x1.526bf373b7847p-3, -0x1.4c3d8e501d715p-3, -0x1.462317f72566p-3, -0x1.401c8fc574ffdp-3, -0x1.3a29f2db8a32dp-3, -0x1.344b3c2fef754p-3, -0x1.2e8064a123646p-3, -0x1.28c9630736867p-3, -0x1.23262c4525516p-3, -0x1.1d96b359e3e8fp-3, -0x1.181ae971229ccp-3, -0x1.12b2bdf3c5dffp-3, -0x1.0d5e1e981e0bp-3, -0x1.081cf771cb8cdp-3, -0x1.02ef33016042bp-3, -0x1.fba9748773205p-4, -0x1.f19ae9821da43p-4, -0x1.e7b291376d9e4p-4, -0x1.ddf0353d58226p-4, -0x1.d4539c9780a4bp-4, -0x1.cadc8bd321296p-4, -0x1.c18ac52262333p-4, -0x1.b85e0877161f5p-4, -0x1.af56139d05ad5p-4, -0x1.a672a25395664p-4, -0x1.9db36e66f1a16p-4, -0x1.95182fc8a310bp-4, -0x1.8ca09ca7b120fp-4, -0x1.844c698823623p-4, -0x1.7c1b495a0c8a8p-4, -0x1.740ced900ad8ep-4, -0x1.6c210635453bp-4, -0x1.64574202e427cp-4, -0x1.5caf4e7509b3fp-4, -0x1.5528d7df4777dp-4, -0x1.4dc3898095f8p-4, -0x1.467f0d96cd379p-4, -0x1.3f5b0d719fadfp-4, -0x1.3857318519be2p-4, -0x1.3173217ba7169p-4, -0x1.2aae84479e812p-4, -0x1.24090034555eep-4, -0x1.1d823af6bd721p-4, -0x1.1719d9bd8e06p-4, -0x1.10cf8140f7bf7p-4, -0x1.0aa2d5d1e8e42p-4, -0x1.04937b68de955p-4, -0x1.fd422b688fd1bp-5, -0x1.f196904cf83c3p-5, -0x1.e6236c068616bp-5, -0x1.dae804d9e7fccp-5, -0x1.cfe3a0e257e05p-5, -0x1.c515862a350a8p-5, -0x1.ba7cfac2d5e95p-5, -0x1.b01944db8e25ap-5, -0x1.a5e9aad7f2816p-5, -0x1.9bed736556457p-5, -0x1.9223e58f8c18bp-5, -0x1.888c48d4ea403p-5, -0x1.7f25e53996284p-5, -0x1.75f0035a1951cp-5, -0x1.6ce9ec7d4544fp-5, -0x1.6412eaa567f3p-5, -0x1.5b6a48a0d2fbcp-5, -0x1.52ef5219bb78dp-5, -0x1.4aa153a574c61p-5, -0x1.427f9ad306f8fp-5, -0x1.3a89763928c72p-5, -0x1.32be35839b724p-5, -0x1.2b1d297fee5a2p-5, -0x1.23a5a429af239p-5, -0x1.1c56f8b605644p-5, -0x1.15307b9ebec16p-5, -0x1.0e3182acd17c5p-5, -0x1.07596502545ebp-5, -0x1.00a77b23f03fp-5, -0x1.f4363e03a0ca1p-6, -0x1.e7675800266b6p-6, -0x1.dae0fdfd79d32p-6, -0x1.cea1ecc26274ep-6, -0x1.c2a8e42a6fcd9p-6, -0x1.b6f4a73315faap-6, -0x1.ab83fc07eec39p-6, -0x1.a055ac0e19762p-6, -0x1.956883eec9c3p-6, -0x1.8abb53a104e81p-6, -0x1.804cee728ff86p-6, -0x1.761c2b10245dap-6, -0x1.6c27e38cd8488p-6, -0x1.626ef568d5cc4p-6, -0x1.58f041975a511p-6, -0x1.4faaac8408ea6p-6, -0x1.469d1e178edebp-6, -0x1.3dc681bba925cp-6, -0x1.3525c65e83d54p-6, -0x1.2cb9de75845f6p-6, -0x1.2481bfff7d399p-6, -0x1.1c7c64864d09ep-6, -0x1.14a8c91ff54ffp-6, -0x1.0d05ee6f2aa64p-6, -0x1.0592d8a35f50bp-6, -0x1.fc9d1ef0a2798p-7, -0x1.ee703c6a40c46p-7, -0x1.e09d2755d6ccp-7, -0x1.d3220466028fep-7, -0x1.c5fcff5942215p-7, -0x1.b92c4af4a9bep-7, -0x1.acae20fdcf41ep-7, -0x1.a080c233f6314p-7, -0x1.94a276487c5c4p-7, -0x1.89118bd69f077p-7, -0x1.7dcc585a94619p-7, -0x1.72d13827fee7cp-7, -0x1.681e8e5fc490ep-7, -0x1.5db2c4e55ede2p-7, -0x1.538c4c538eb2ep-7, -0x1.49a99bf0901afp-7, -0x1.400931a1d7483p-7, -0x1.36a991df435c2p-7, -0x1.2d8947a5ed44bp-7, -0x1.24a6e46a83319p-7, -0x1.1c01000b3ed94p-7, -0x1.139638c17ae95p-7, -0x1.0b653312edf97p-7, -0x1.036c99c28f376p-7, -0x1.f7563b82568fdp-8, -0x1.e83eec3b5d675p-8, -0x1.d990bfea535b9p-8, -0x1.cb493cc527eb4p-8, -0x1.bd65f4dca868p-8, -0x1.afe485fb1fc9dp-8, -0x1.a2c2998293269p-8, -0x1.95fde44a9e2dep-8, -0x1.8994267dfedc4p-8, -0x1.7d832b77d3366p-8, -0x1.71c8c9a09376ap-8, -0x1.6662e24ad286ap-8, -0x1.5b4f618fc62d6p-8, -0x1.508c3e2ba6253p-8, -0x1.46177959e218ap-8, -0x1.3bef1eb139821p-8, -0x1.321143ffbbe5bp-8, -0x1.287c0926b557dp-8, -0x1.1f2d97f68ea0fp-8, -0x1.1624240aa8501p-8, -0x1.0d5deaa5341d5p-8, -0x1.04d9328b14c57p-8, -0x1.f92897bf8afe6p-9, -0x1.e91b2002a6587p-9, -0x1.d986c2c8cf1b2p-9, -0x1.ca6856e0defb7p-9, -0x1.bbbcc4b7b7406p-9, -0x1.ad81061109a09p-9, -0x1.9fb225c069becp-9, -0x1.924d3f62b317ap-9, -0x1.854f7f17c992p-9, -0x1.78b6213cb8a2ap-9, -0x1.6c7e722640363p-9, -0x1.60a5cddbcb713p-9, -0x1.55299fd2df585p-9, -0x1.4a0762ab04c1dp-9, -0x1.3f3c9fea3060fp-9, -0x1.34c6efb9b30d4p-9, -0x1.2aa3f8a3b4861p-9, -0x1.20d16f513b82fp-9, -0x1.174d1648cc12fp-9, -0x1.0e14bdad9d6adp-9, -0x1.052642ff69f2dp-9, -0x1.f8ff21b5c2eb7p-10, -0x1.e83d3d757c019p-10, -0x1.d802e172f5cafp-10, -0x1.c84c2ea776bd5p-10, -0x1.b9155e56ae8fep-10, -0x1.aa5ac19635b37p-10, -0x1.9c18c0d663103p-10, -0x1.8e4bdb6c91eedp-10, -0x1.80f0a71ecccb5p-10, -0x1.7403cfb0e0709p-10, -0x1.67821672e9621p-10, -0x1.5b6851d1474e6p-10, -0x1.4fb36ce60e306p-10, -0x1.4460670be8bbp-10, -0x1.396c53727bd4fp-10, -0x1.2ed458b436de2p-10, -0x1.2495b06da9858p-10, -0x1.1aada6d6508aep-10, -0x1.11199a5ae4b09p-10, -0x1.07d6fb391c183p-10, -0x1.fdc69639e3b88p-11, -0x1.ec78397ecdaedp-11, -0x1.dbbe270d7a574p-11, -0x1.cb93c65062b67p-11, -0x1.bbf49e965a777p-11, -0x1.acdc565be7459p-11, -0x1.9e46b2978ba05p-11, -0x1.902f9608fc628p-11, -0x1.8293008b42c7fp-11, -0x1.756d0e69c3f88p-11, -0x1.68b9f7b82b29bp-11, -0x1.5c760fad32bd8p-11, -0x1.509dc40047699p-11, -0x1.452d9c4a00729p-11, -0x1.3a22396766ae3p-11, -0x1.2f7854e008b7dp-11, -0x1.252cc04ed1fcp-11, -0x1.1b3c64cda1adbp-11, -0x1.11a442639c775p-11, -0x1.08616f762f728p-11, -0x1.fee2307981249p-12, -0x1.eda0fc6e0b7d6p-12, -0x1.dcf9ef4bf666ap-12, -0x1.cce7de0ee20b2p-12, -0x1.bd65c5285ab0dp-12, -0x1.ae6ec7812be94p-12, -0x1.9ffe2d7fbcb08p-12, -0x1.920f6413659d2p-12, -0x1.849dfbc4ab10ap-12, -0x1.77a5a7ca534ccp-12, -0x1.6b223d234990fp-12, -0x1.5f0fb1b536d4fp-12, -0x1.536a1b6fca45ep-12, -0x1.482daf749b742p-12, -0x1.3d56c14398af6p-12, -0x1.32e1c1ebf1cd9p-12, -0x1.28cb3f416f26dp-12, -0x1.1f0fe316241b4p-12, -0x1.15ac72786dd45p-12, -0x1.0c9dccf52fd6ap-12, -0x1.03e0ebde39aecp-12, -0x1.f6e5c32995cffp-13, -0x1.e6a1b1b043e2p-13, -0x1.d6f028300a88p-13, -0x1.c7cbd99679d3dp-13, -0x1.b92fa593c38ccp-13, -0x1.ab169756f9a44p-13, -0x1.9d7be451c3175p-13, -0x1.905aeb03624fbp-13, -0x1.83af31cafe9adp-13, -0x1.777465c0fe463p-13, -0x1.6ba659975bc2cp-13, -0x1.60410480dbb13p-13, -0x1.5540811ef4ff2p-13, -0x1.4aa10c765ae0cp-13, -0x1.405f04ea0a058p-13, -0x1.3676e93cadccp-13, -0x1.2ce557984d3fbp-13, -0x1.23a70c9c1af0dp-13, -0x1.1ab8e2704bbb8p-13, -0x1.1217cfdfdb45bp-13, -0x1.09c0e77814c43p-13, -0x1.01b156add9b9ep-13, -0x1.f3ccca10ddafap-14, -0x1.e4bae6a394fc2p-14, -0x1.d627f59873417p-14, -0x1.c80f18da95b5cp-14, -0x1.ba6ba03bb3b6p-14, -0x1.ad3907fe57b11p-14, -0x1.a072f769e7484p-14, -0x1.94153f686b82fp-14, -0x1.881bd92dc3e03p-14, -0x1.7c82e4e824bf8p-14, -0x1.7146a879a8ed6p-14, -0x1.66638e3ac40f5p-14, -0x1.5bd623c566626p-14, -0x1.519b18c8a0caap-14, -0x1.47af3de49a8cdp-14, -0x1.3e0f838ea7df6p-14, -0x1.34b8f8fd555f4p-14, -0x1.2ba8cb1c39bf7p-14, -0x1.22dc4387602p-14, -0x1.1a50c78e20e5bp-14, -0x1.1203d73d3bab9p-14, -0x1.09f30c7008e16p-14, -0x1.021c19e897aa9p-14, -0x1.f4f994dd22895p-15, -0x1.e625ffe96a316p-15, -0x1.d7b96589939a4p-15, -0x1.c9afe163b261p-15, -0x1.bc05b8a122519p-15, -0x1.aeb7586b48b97p-15, -0x1.a1c1547408719p-15, -0x1.952065899f7abp-15, -0x1.88d16835a9b99p-15, -0x1.7cd15b66fc134p-15, -0x1.711d5f261881ep-15, -0x1.65b2b353f4273p-15, -0x1.5a8eb672cbfd2p-15, -0x1.4faee478c85f4p-15, -0x1.4510d5ac30041p-15, -0x1.3ab23d88e64d6p-15, -0x1.3090e9aefee58p-15, -0x1.26aac0da23a53p-15, -0x1.1cfdc1e194ea5p-15, -0x1.138802c08890bp-15, -0x1.0a47afa6af581p-15, -0x1.013b0a10a93bfp-15, -0x1.f0c0cfd064aap-16, -0x1.df6c6557a24bbp-16, -0x1.ce75cd3ba597bp-16, -0x1.bdda23f4c6badp-16, -0x1.ad96a8691dde5p-16, -0x1.9da8ba73f0e78p-16, -0x1.8e0dd97a35bb5p-16, -0x1.7ec3a30bc08a6p-16, -0x1.6fc7d190cd712p-16, -0x1.61183b0381fb9p-16, -0x1.52b2cfb5151f7p-16, -0x1.4495991e4171ep-16, -0x1.36beb8bab817cp-16, -0x1.292c66ef377d3p-16, -0x1.1bdcf1f9fae35p-16, -0x1.0ecebced388c4p-16, -0x1.02003eb3597e2p-16, -0x1.eae00239487e4p-17, -0x1.d2393fec2f0edp-17, -0x1.ba09905246f7ep-17, -0x1.a24e6dc80b46bp-17, -0x1.8b057194f666dp-17, -0x1.742c525d1bd07p-17, -0x1.5dc0e2a27ada1p-17, -0x1.47c10f5579fc2p-17, -0x1.322ade741d494p-17, -0x1.1cfc6db784d0ep-17, -0x1.0833f14f31cb1p-17, -0x1.e79f655357e34p-18, -0x1.bf9c1e942572fp-18, -0x1.985aef5462266p-18, -0x1.71d8dc5154fc9p-18, -0x1.4c130c05b7aaep-18, -0x1.2706c4b416785p-18, -0x1.02b16a870e1afp-18, -0x1.be20fb8d5b6p-19, -0x1.7843324481c1p-19, -0x1.33c4e01ba39a8p-19, -0x1.e14334cae1a8ap-20, -0x1.5daa43ca21508p-20, -0x1.b96d7fddf335bp-21, -0x1.79831ef8b386dp-22, 0x1.d5f3f9f7ce525p-24, 0x1.2d215e88a1db6p-21, 0x1.0d3aa337640aap-20, 0x1.8163fedb1e6eap-20, 0x1.f3137122bfc07p-20, 0x1.3127bc487cce8p-19, 0x1.678f3380dafdep-19, 0x1.9cc332a073627p-19, 0x1.d0c6bb3839385p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.5308d3d228ebbp-1, 0x1.5164496c6ecccp-1, 0x1.4f798d95af376p-1, 0x1.4d4713800f296p-1, 0x1.4acbc64785c77p-1, 0x1.480702f9e28bep-1, 0x1.44f8921dbb703p-1, 0x1.41a0a0e27c5dcp-1, 0x1.3dffba1cf7411p-1, 0x1.3a16bf2dd5d93p-1, 0x1.35e6e0ea0efbp-1, 0x1.31719898fac51p-1, 0x1.2cb8a117bea3fp-1, 0x1.27bdf02e7424bp-1, 0x1.2283b020a203cp-1, 0x1.1d0c39803844ap-1, 0x1.175a0d484692fp-1, 0x1.116fcf42f804cp-1, 0x1.0b5040bcff47p-1, 0x1.04fe3b8779fcap-1, 0x1.fcf95a90d4334p-2, 0x1.ef9d26323053fp-2, 0x1.e1edeae246caap-2, 0x1.d3f1c8b8fece2p-2, 0x1.c5aee7f482847p-2, 0x1.b72b7283ae27ep-2, 0x1.a86d8e1813acbp-2, 0x1.997b56ba01fp-2, 0x1.8a5ad9d8d04a9p-2, 0x1.7b1211d18285bp-2, 0x1.6ba6e1e5da11dp-2, 0x1.5c1f129dd7c63p-2, 0x1.4c804e8dcb652p-2, 0x1.3cd01f7b198e4p-2, 0x1.2d13ebda085ep-2, 0x1.1d50f49ef886bp-2, 0x1.0d8c535dab2d1p-2, 0x1.fb95f162a8fcep-3, 0x1.dc2355d0dbf03p-3, 0x1.bcca09dee66c7p-3, 0x1.9d92eaebc111fp-3, 0x1.7e867c920a1d4p-3, 0x1.5face7c0d4e42p-3, 0x1.410dfa2f9eb7ep-3, 0x1.22b12625bd023p-3, 0x1.049d828e1558fp-3, 0x1.cdb396a09077ep-4, 0x1.92d8c3d1b2b28p-4, 0x1.58b69c74a9aecp-4, 0x1.1f587f236d9f5p-4, 0x1.cd9237633466bp-5, 0x1.5e24ebc64a104p-5, 0x1.e0f7a1af1a1d5p-6, 0x1.0950a0b999acep-6, 0x1.aba8f690c3877p-9, -0x1.34fa294e8e0dcp-7, -0x1.666a95d228898p-6, -0x1.171d2e3d8569cp-5, -0x1.78ead5e993f85p-5, -0x1.d89400e46f192p-5, -0x1.1b07c18528dd1p-4, -0x1.48aa9e4333d13p-4, -0x1.752f089443f5bp-4, -0x1.a091efd73463bp-4, -0x1.cad0bc83a74f7p-4, -0x1.f3e94bcc469e9p-4, -0x1.0decf5a224d9ep-3, -0x1.2150aa4574308p-3, -0x1.341f547f7ee4fp-3, -0x1.4658b6be86b8cp-3, -0x1.57fcc314c0f88p-3, -0x1.690b992465c4fp-3, -0x1.798584137999bp-3, -0x1.896af887f047dp-3, -0x1.98bc92acc0ae4p-3, -0x1.a77b14406b5fbp-3, -0x1.b5a762ad65acep-3, -0x1.c342852cc2cd6p-3, -0x1.d04da2f36dd3dp-3, -0x1.dcca016a447adp-3, -0x1.e8b9027131926p-3, -0x1.f41c22ad8baacp-3, -0x1.fef4f7e3c6f08p-3, -0x1.04a297ae5076ep-2, -0x1.0987462ae4da9p-2, -0x1.0e29733f0cb54p-2, -0x1.128a143ea9152p-2, -0x1.16aa2743b2506p-2, -0x1.1a8ab27d97b46p-2, -0x1.1e2cc386558e5p-2, -0x1.21916ebd3147ep-2, -0x1.24b9cea715e05p-2, -0x1.27a703547eb92p-2, -0x1.2a5a31ccda492p-2, -0x1.2cd4837f61305p-2, -0x1.2f1725b93d9cfp-2, -0x1.31234920faa5fp-2, -0x1.32fa21372056cp-2, -0x1.349ce3dbe6debp-2, -0x1.360cc8d9e8444p-2, -0x1.374b0975bdb14p-2, -0x1.3858e00266ecap-2, -0x1.3937877a6b4a2p-2, -0x1.39e83b1d94669p-2, -0x1.3a6c36132cb1fp-2, -0x1.3ac4b310a4c19p-2, -0x1.3af2ec0486582p-2, -0x1.3af819c59abfep-2, -0x1.3ad573c62770cp-2, -0x1.3a8c2fcb2b04bp-2, -0x1.3a1d81a779edep-2, -0x1.398a9afaa2bf9p-2, -0x1.38d4aaf3839a4p-2, -0x1.37fcde166dfd9p-2, -0x1.37045e06c5349p-2, -0x1.35ec5153fa563p-2, -0x1.34b5db49cc56ap-2, -0x1.33621bc3b46b6p-2, -0x1.31f22f0360d7fp-2, -0x1.30672d8a2acabp-2, -0x1.2ec22bf5680f6p-2, -0x1.2d043add87705p-2, -0x1.2b2e66b7d81bfp-2, -0x1.2941b7bae9251p-2, -0x1.273f31c5679bep-2, -0x1.2527d44767754p-2, -0x1.22fc9a2df8e71p-2, -0x1.20be79d0fd796p-2, -0x1.1e6e64e31fc43p-2, -0x1.1c0d4863da818p-2, -0x1.199c0c937e3bap-2, -0x1.171b94e9157dap-2, -0x1.148cc00a24016p-2, -0x1.11f067c41b77dp-2, -0x1.0f4761077f542p-2, -0x1.0c927be4a12aep-2, -0x1.09d28389dde4dp-2, -0x1.07083e4352fb2p-2, -0x1.04346d7bf076bp-2, -0x1.0157cdbfe0a9fp-2, -0x1.fce62d8055a37p-3, -0x1.f70df6af0ddd7p-3, -0x1.f1285320a4454p-3, -0x1.eb36955723f0bp-3, -0x1.e53a0651f10a2p-3, -0x1.df33e59fb85f9p-3, -0x1.d925697224d36p-3, -0x1.d30fbeb346721p-3, -0x1.ccf4091c88e09p-3, -0x1.c6d3634f22427p-3, -0x1.c0aedeede7408p-3, -0x1.ba8784b861df2p-3, -0x1.b45e54a717ccfp-3, -0x1.ae344608f4b81p-3, -0x1.a80a47a1aa0d9p-3, -0x1.a1e13fc90b2bp-3, -0x1.9bba0c8b3cab5p-3, -0x1.959583c9aee42p-3, -0x1.8f74735cc930cp-3, -0x1.8957a1363b7b8p-3, -0x1.833fcb83e0ea3p-3, -0x1.7d2da8d31cce8p-3, -0x1.7721e834b017fp-3, -0x1.711d3160e95f9p-3, -0x1.6b2024dc2b26ep-3, -0x1.652b5c1bb08b4p-3, -0x1.5f3f69aa914d6p-3, -0x1.595cd94ee2e09p-3, -0x1.5384302f02d0cp-3, -0x1.4db5ecf6ebb73p-3, -0x1.47f287fd8e94fp-3, -0x1.423a736a2ed08p-3, -0x1.3c8e1b59a917bp-3, -0x1.36ede603a2814p-3, -0x1.315a33df9aa7bp-3, -0x1.2bd35fc9ce449p-3, -0x1.2659bf27ec0dfp-3, -0x1.20eda20d895e4p-3, -0x1.1b8f53605bec9p-3, -0x1.163f18fc28c11p-3, -0x1.10fd33d663ff1p-3, -0x1.0bc9e0217c3dbp-3, -0x1.06a5556fcb472p-3, -0x1.018fc6d627d87p-3, -0x1.f912c61c2d3f2p-4, -0x1.ef24a92f0e3b1p-4, -0x1.e55583b466975p-4, -0x1.dba59a8cf861cp-4, -0x1.d2152aebcd2cdp-4, -0x1.c8a46a9610b87p-4, -0x1.bf538822214b6p-4, -0x1.b622ab358bdap-4, -0x1.ad11f4c20754bp-4, -0x1.a4217f417d308p-4, -0x1.9b515ef0fa387p-4, -0x1.92a1a20a9dd23p-4, -0x1.8a1250fe6f154p-4, -0x1.81a36eaa3028p-4, -0x1.7954f89014f89p-4, -0x1.7126e70c691b6p-4, -0x1.69192d8a1f2cep-4, -0x1.612bbab64af35p-4, -0x1.595e78b283f5ep-4, -0x1.51b14d46313ddp-4, -0x1.4a241a0ebd606p-4, -0x1.42b6bcaeb5cf6p-4, -0x1.3b690efbd2721p-4, -0x1.343ae72be992fp-4, -0x1.2d2c1800cf6dcp-4, -0x1.263c70f3245cp-4, -0x1.1f6bbe5c1144dp-4, -0x1.18b9c99df6b73p-4, -0x1.1226594c0f081p-4, -0x1.0bb1315105369p-4, -0x1.055a13148583ep-4, -0x1.fe417b3f8f225p-5, -0x1.f209db822d2d4p-5, -0x1.e60cbc5cb4559p-5, -0x1.da498f4d43c4cp-5, -0x1.cebfc2256ef71p-5, -0x1.c36ebf4978a7fp-5, -0x1.b855ededa39f3p-5, -0x1.ad74b251a7ce2p-5, -0x1.a2ca6dfa4ee4dp-5, -0x1.98567fe941e19p-5, -0x1.8e1844d30a0f6p-5, -0x1.840f175353e18p-5, -0x1.7a3a501f76228p-5, -0x1.70994637469bbp-5, -0x1.672b4f14466a5p-5, -0x1.5defbed726b5dp-5, -0x1.54e5e873b9218p-5, -0x1.4c0d1ddb45fe2p-5, -0x1.4364b0255e0c3p-5, -0x1.3aebefb724a3bp-5, -0x1.32a22c691ffb6p-5, -0x1.2a86b5ab97ff4p-5, -0x1.2298daa987f1ap-5, -0x1.1ad7ea6a2e169p-5, -0x1.134333f13f66fp-5, -0x1.0bda065dc86fep-5, -0x1.049bb107c2686p-5, -0x1.fb0f0738cd619p-6, -0x1.ed399c7284ffp-6, -0x1.dfb5c30c373a1p-6, -0x1.d2821d9b48285p-6, -0x1.c59d502a17ec7p-6, -0x1.b9060064ec438p-6, -0x1.acbad5c4a9ee7p-6, -0x1.a0ba79b7769a9p-6, -0x1.950397c7499dbp-6, -0x1.8994ddbe7dd1dp-6, -0x1.7e6cfbca71eedp-6, -0x1.738aa49c4791ap-6, -0x1.68ec8d87ca171p-6, -0x1.5e916ea08cc5p-6, -0x1.547802d554aa8p-6, -0x1.4a9f0809cf9e8p-6, -0x1.41053f2eac12p-6, -0x1.37a96c5821306p-6, -0x1.2e8a56d2ee571p-6, -0x1.25a6c937dddbfp-6, -0x1.1cfd917de259cp-6, -0x1.148d810ac6c67p-6, -0x1.0c556cc291b16p-6, -0x1.04542d159ba8ep-6, -0x1.f9113c1ac6acfp-7, -0x1.e9e33eb05f005p-7, -0x1.db1c28a7189bdp-7, -0x1.ccb9c82b3f348p-7, -0x1.beb9f2eae7f18p-7, -0x1.b11a862466d14p-7, -0x1.a3d966b2c696dp-7, -0x1.96f4811856f2ap-7, -0x1.8a69c9875c297p-7, -0x1.7e373be8fdc7ap-7, -0x1.725adbe27e3a6p-7, -0x1.66d2b4d8c961fp-7, -0x1.5b9cd9f2801cep-7, -0x1.50b766186fe88p-7, -0x1.46207bf4aba58p-7, -0x1.3bd645f03af2cp-7, -0x1.31d6f62f7876fp-7, -0x1.2820c68d3219ap-7, -0x1.1eb1f89495dc7p-7, -0x1.1588d579f8b56p-7, -0x1.0ca3ae1288ff3p-7, -0x1.0400dacaf734ep-7, -0x1.f73d773a48088p-8, -0x1.e6f77009bdfa5p-8, -0x1.d72c7de788b2cp-8, -0x1.c7d98d88869a6p-8, -0x1.b8fb9a57b7dd2p-8, -0x1.aa8fae593a02bp-8, -0x1.9c92e20bddc52p-8, -0x1.8f025c49692a2p-8, -0x1.81db52259f343p-8, -0x1.751b06cc1af5fp-8, -0x1.68becb5d17ed6p-8, -0x1.5cc3fec936022p-8, -0x1.51280dac4d21dp-8, -0x1.45e8722761efbp-8, -0x1.3b02b3b9cc695p-8, -0x1.307467199ffcep-8, -0x1.263b2e0b675bbp-8, -0x1.1c54b7393fdc7p-8, -0x1.12bebe0967p-8, -0x1.09770a74431bp-8, -0x1.007b70d9fbf91p-8, -0x1.ef93a3af51a2dp-9, -0x1.dec034384cd44p-9, -0x1.ce7884793c45dp-9, -0x1.beb89d119494ap-9, -0x1.af7c9dbe068f4p-9, -0x1.a0c0bd0043f81p-9, -0x1.928147c67847fp-9, -0x1.84baa11298e8ep-9, -0x1.776941a193a96p-9, -0x1.6a89b792715dap-9, -0x1.5e18a60d8182ap-9, -0x1.5212c4eb96344p-9, -0x1.4674e05d6edd4p-9, -0x1.3b3bd8934ff08p-9, -0x1.3064a164e2206p-9, -0x1.25ec41f963c7bp-9, -0x1.1bcfd47036a4cp-9, -0x1.120c8589d76acp-9, -0x1.089f94514dcb6p-9, -0x1.ff0ca38c3e364p-10, -0x1.ed7c410d8f034p-10, -0x1.dc88e8f79bf1fp-10, -0x1.cc2da506ecfbep-10, -0x1.bc65a03c36e49p-10, -0x1.ad2c26366f85fp-10, -0x1.9e7ca28e54893p-10, -0x1.9052a0336a2c6p-10, -0x1.82a9c8ca94fcp-10, -0x1.757de40e3c7dp-10, -0x1.68cad7301f4fbp-10, -0x1.5c8ca43cd209bp-10, -0x1.50bf6980facafp-10, -0x1.455f60f0516fap-10, -0x1.3a68df8e6c3fbp-10, -0x1.2fd854d95ebe8p-10, -0x1.25aa4a36393c2p-10, -0x1.1bdb625f65c91p-10, -0x1.126858d4f5aedp-10, -0x1.094e014ecd6aep-10, -0x1.00894730d706bp-10, -0x1.f02e5a022d8bfp-11, -0x1.dfe997bf92b12p-11, -0x1.d03ea602ea199p-11, -0x1.c1280e55fbc2p-11, -0x1.b2a0845f7382ep-11, -0x1.a4a2e4e30e9e7p-11, -0x1.972a34c5d068p-11, -0x1.8a31a0163dcb6p-11, -0x1.7db47918a22dcp-11, -0x1.71ae37575b2e8p-11, -0x1.661a76b72bbacp-11, -0x1.5af4f68f91f39p-11, -0x1.503998c72059p-11, -0x1.45e460f3d50cfp-11, -0x1.3bf1737f69c61p-11, -0x1.325d14cf9cac2p-11, -0x1.2923a87266a27p-11, -0x1.2041b04e1effbp-11, -0x1.17b3cbd583b1cp-11, -0x1.0f76b73f9e258p-11, -0x1.07874ac3823eep-11, -0x1.ffc4f3afb3489p-12, -0x1.f10aa4ec7408dp-12, -0x1.e2d9f8c47218cp-12, -0x1.d52d70e86f0e2p-12, -0x1.c7ffbfcfb6a17p-12, -0x1.bb4bc75c59b81p-12, -0x1.af0c9786a2296p-12, -0x1.a33d6d0fa75f1p-12, -0x1.97d9b03af328p-12, -0x1.8cdcf38f211e9p-12, -0x1.8242f29d5fde4p-12, -0x1.780790cfc8c57p-12, -0x1.6e26d83e6a3dp-12, -0x1.649cf88afc694p-12, -0x1.5b6645c31f64bp-12, -0x1.527f374916dbep-12, -0x1.49e466c2de8efp-12, -0x1.41928f0f8f9dfp-12, -0x1.39868b42f5cp-12, -0x1.31bd55a73d6cdp-12, -0x1.2a3406c4ac1c1p-12, -0x1.22e7d46f40d43p-12, -0x1.1bd610da28c3ap-12, -0x1.14fc29b0f654dp-12, -0x1.0e57a7367ba99p-12, -0x1.07e62b692f455p-12, -0x1.01a5712d10174p-12, -0x1.f72696f5c36c8p-13, -0x1.eb5b49296215ep-13, -0x1.dfe4fa7f1b2eap-13, -0x1.d4bfd804ab29bp-13, -0x1.c9e838d30cffdp-13, -0x1.bf5a9c9ff1b01p-13, -0x1.b513aa58d7382p-13, -0x1.ab102ec79afddp-13, -0x1.a14d1b405b85fp-13, -0x1.97c784586b53ap-13, -0x1.8e7ca0a6411e4p-13, -0x1.8569c78a1f1c6p-13, -0x1.7c8c6fff5cadp-13, -0x1.73e22f76109dfp-13, -0x1.6b68b8b501f03p-13, -0x1.631ddac3a91p-13, -0x1.5aff7fdc1c91ap-13, -0x1.530bac64ba9dap-13, -0x1.4b407df16936cp-13, -0x1.439c2a4c44d2bp-13, -0x1.3c1cfe8589ecap-13, -0x1.34c15e0aa5c2ap-13, -0x1.2d87c1c429c7fp-13, -0x1.266eb73a98cabp-13, -0x1.1f74dfc1cfa7fp-13, -0x1.1898efaaee863p-13, -0x1.11d9ad7c9929dp-13, -0x1.0b35f131688d5p-13, -0x1.04aca37c6c6acp-13, -0x1.fc797a272dc19p-14, -0x1.efca8bffca56fp-14, -0x1.e34aa9e66e0bdp-14, -0x1.d6f81d4737eedp-14, -0x1.cad14a57fc729p-14, -0x1.bed4aee4222dfp-14, -0x1.b300e1229ee18p-14, -0x1.a7548e95f4562p-14, -0x1.9bce7af5e0561p-14, -0x1.906d7f227dffcp-14, -0x1.853088209d015p-14, -0x1.7a16961f179a9p-14, -0x1.6f1ebb84e2695p-14, -0x1.64481c07a3028p-14, -0x1.5991ebca8e7b9p-14, -0x1.4efb6e855abdep-14, -0x1.4483f6b3095c3p-14, -0x1.3a2ae4c8574edp-14, -0x1.2fefa67198ab9p-14, -0x1.25d1b5d7d1527p-14, -0x1.1bd098ecd25c8p-14, -0x1.11ebe0be2bd71p-14, -0x1.082328cec3f41p-14, -0x1.fcec2cedbc03dp-15, -0x1.e9c8b094ce60dp-15, -0x1.d6db4b0ab0a51p-15, -0x1.c4237afbfcfaep-15, -0x1.b1a0ce3a022eap-15, -0x1.9f52e0b5ec451p-15, -0x1.8d395b86bbb8bp-15, -0x1.7b53f3f9b42d1p-15, -0x1.69a26aacf017p-15, -0x1.58248ab3cfd98p-15, -0x1.46da28c4eef46p-15, -0x1.35c322715ad03p-15, -0x1.24df5d64bb2b4p-15, -0x1.142ec6ae258a6p-15, -0x1.03b1521157947p-15, -0x1.e6cdf2c01f25cp-16, -0x1.c69f77b683059p-16, -0x1.a6d73b37c9f8bp-16, -0x1.87754e0641b2bp-16, -0x1.6879c8631bf9fp-16, -0x1.49e4c90ab6649p-16, -0x1.2bb6743e26286p-16, -0x1.0deef2d992896p-16, -0x1.e11ce2edec47fp-17, -0x1.a72a3f398d9f7p-17, -0x1.6e065df05e25dp-17, -0x1.35b1a544b4858p-17, -0x1.fc58f9c204f5ap-18, -0x1.8eee99390a4b5p-18, -0x1.2324f687ccfd7p-18, -0x1.71f9b5d40b6ffp-19, -0x1.41dc2469211d6p-20, 0x1.66bc4ae09d28fp-22, 0x1.eeab7a529831p-20, 0x1.be8b41b6d0901p-19, 0x1.413b757dd5c63p-18, 0x1.a18bd5b05035cp-18, 0x1.001b25a117619p-17, 0x1.2e9d38f1f512dp-17, 0x1.5c4bfc293fb16p-17, 0x1.892750b4906e4p-17, 0x1.b52f228d29141p-17, 0x1.e06368a8b7734p-17, 0x1.056212af6b099p-16, 0x1.1a28b361dbb14p-16, 0x1.2e85a37c4be3cp-16, 0x1.4278f6391f4ep-16, 0x1.5602c51b12b46p-16, 0x1.6923300755d9dp-16, 0x1.7bda5d5b56ea7p-16, 0x1.8e2879fe81b7ap-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.55d3b321a7c54p-1, 0x1.55a7eb911f715p-1, 0x1.556b6aa60e99dp-1, 0x1.551d4876a3547p-1, 0x1.54bcb5bc014d7p-1, 0x1.5448fb92ba76ap-1, 0x1.53c17b0c89ba4p-1, 0x1.5325ac9b773a2p-1, 0x1.52751f5d92bacp-1, 0x1.51af784f9ed85p-1, 0x1.50d4716c2ed17p-1, 0x1.4fe3d8bc0703dp-1, 0x1.4edd8f5be9c07p-1, 0x1.4dc1887b5dfc3p-1, 0x1.4c8fc85784dddp-1, 0x1.4b4863348d7a7p-1, 0x1.49eb7c580011fp-1, 0x1.48794505aed11p-1, 0x1.46f1fb80d8236p-1, 0x1.4555ea12b42a1p-1, 0x1.43a5661777a4ep-1, 0x1.41e0cf129582fp-1, 0x1.40088dcae6ac8p-1, 0x1.3e1d136f2ccap-1, 0x1.3c1ed8c34db61p-1, 0x1.3a0e5d5683332p-1, 0x1.37ec26c2a1a1ep-1, 0x1.35b8bff48404fp-1, 0x1.3374b87d9ea37p-1, 0x1.3120a3eea1db8p-1, 0x1.2ebd193b1413cp-1, 0x1.2c4ab225b6d13p-1, 0x1.29ca0ab588fa6p-1, 0x1.273bc0b32d555p-1, 0x1.24a0732e7ac03p-1, 0x1.21f8c20bf118ep-1, 0x1.1f454d99d30d8p-1, 0x1.1c86b62c99698p-1, 0x1.19bd9bc27dad4p-1, 0x1.16ea9dadc9eb3p-1, 0x1.140e5a45af057p-1, 0x1.11296e9d4d13cp-1, 0x1.0e3c7640ae9bcp-1, 0x1.0b480af76658ap-1, 0x1.084cc48c8eeb3p-1, 0x1.054b389be3p-1, 0x1.0243fa63acd3ap-1, 0x1.fe6f35368f31dp-2, 0x1.f84d4e9bec8ep-2, 0x1.f22357739e527p-2, 0x1.ebf2606502f2dp-2, 0x1.e5bb740f71183p-2, 0x1.df7f96ddd1518p-2, 0x1.d93fc6e09a13ep-2, 0x1.d2fcfbadc640cp-2, 0x1.ccb826466ab62p-2, 0x1.c6723101846fcp-2, 0x1.c02bff7ba9e71p-2, 0x1.b9e66e8b497dep-2, 0x1.b3a254392244cp-2, 0x1.ad607fbca945dp-2, 0x1.a721b97c14122p-2, 0x1.a0e6c30fbe40dp-2, 0x1.9ab05748ab697p-2, 0x1.947f2a39e4847p-2, 0x1.8e53e94476317p-2, 0x1.882f3b25d95bfp-2, 0x1.8211c0088a6c7p-2, 0x1.7bfc1196a853ap-2, 0x1.75eec30e6160cp-2, 0x1.6fea61580810bp-2, 0x1.69ef731da60dbp-2, 0x1.63fe78e3df324p-2, 0x1.5e17ed240c5dfp-2, 0x1.583c44675dbb7p-2, 0x1.526bed62eeebep-2, 0x1.4ca75114aa56ep-2, 0x1.46eed2e0dcd88p-2, 0x1.4142d0b066e13p-2, 0x1.3ba3a30f6a0d8p-2, 0x1.36119d4c612c7p-2, 0x1.308d0d978c461p-2, 0x1.2b163d229dba2p-2, 0x1.25ad704092072p-2, 0x1.2052e685a57a4p-2, 0x1.1b06dae75710bp-2, 0x1.15c983dc66117p-2, 0x1.109b137cc2763p-2, 0x1.0b7bb7a15e1ap-2, 0x1.066b9a03d814fp-2, 0x1.016ae05df2e09p-2, 0x1.f8f359119f1b4p-3, 0x1.ef303937c2928p-3, 0x1.e58c961728b6bp-3, 0x1.dc089d8f4249ap-3, 0x1.d2a476b1fcb6fp-3, 0x1.c96041feec126p-3, 0x1.c03c199d9f574p-3, 0x1.b73811971d266p-3, 0x1.ae54380e7d944p-3, 0x1.a5909578983a9p-3, 0x1.9ced2cd2c2278p-3, 0x1.9469fbd896642p-3, 0x1.8c06fb38ba1d6p-3, 0x1.83c41ec8aa829p-3, 0x1.7ba155b77833fp-3, 0x1.739e8abf88e1bp-3, 0x1.6bbba4573f721p-3, 0x1.63f884e0a0aabp-3, 0x1.5c550ad7e8eeep-3, 0x1.54d111010b27cp-3, 0x1.4d6c6e94298cdp-3, 0x1.4626f768f7962p-3, 0x1.3f007c210de4ep-3, 0x1.37f8ca5132c4ap-3, 0x1.310faca9903c9p-3, 0x1.2a44eb1ce07cbp-3, 0x1.23984b068e02cp-3, 0x1.1d098f4fcd9fbp-3, 0x1.16987893ad167p-3, 0x1.1044c54226291p-3, 0x1.0a0e31c2255e4p-3, 0x1.03f478929c3e7p-3, 0x1.fbeea4d51e682p-4, 0x1.f02cecb06a177p-4, 0x1.e4a333be307efp-4, 0x1.d950e22a903fcp-4, 0x1.ce355d7f4c574p-4, 0x1.c35008da732fcp-4, 0x1.b8a045234de32p-4, 0x1.ae25713d8455fp-4, 0x1.a3deea3a87c1cp-4, 0x1.99cc0b893e685p-4, 0x1.8fec2f2405e56p-4, 0x1.863eadbd1b9b1p-4, 0x1.7cc2dee955eeap-4, 0x1.7378194956188p-4, 0x1.6a5db2b12825ap-4, 0x1.6173004e60a65p-4, 0x1.58b756ccbeb8dp-4, 0x1.502a0a795b3cap-4, 0x1.47ca6f646d723p-4, 0x1.3f97d981ac6bp-4, 0x1.37919cc757d85p-4, 0x1.2fb70d4bee606p-4, 0x1.28077f629afacp-4, 0x1.208247b661976p-4, 0x1.1926bb64113a1p-4, 0x1.11f43013077f4p-4, 0x1.0ae9fc0cc9977p-4, 0x1.040776537c0acp-4, 0x1.fa97ed6e87a86p-5, 0x1.ed6dabd526392p-5, 0x1.e08edb2adbce4p-5, 0x1.d3fa30cf5abc1p-5, 0x1.c7ae64548d589p-5, 0x1.bbaa2f9f3fe6dp-5, 0x1.afec4f05f1faep-5, 0x1.a473816ddd105p-5, 0x1.993e886641905p-5, 0x1.8e4c284204216p-5, 0x1.839b282fab6ffp-5, 0x1.792a524fcc29p-5, 0x1.6ef873c9ee0e9p-5, 0x1.65045cdff7defp-5, 0x1.5b4ce100312ffp-5, 0x1.51d0d6d5e1a1cp-5, 0x1.488f18589f5a8p-5, 0x1.3f8682da537abp-5, 0x1.36b5f714045eep-5, 0x1.2e1c59316cb93p-5, 0x1.25b890db700abp-5, 0x1.1d898941732cfp-5, 0x1.158e3121a31f9p-5, 0x1.0dc57ad03a494p-5, 0x1.062e5c3dc6483p-5, 0x1.fd8f9df8fdb74p-6, 0x1.ef21a089692c9p-6, 0x1.e110c1f0bf955p-6, 0x1.d35b0b4bb75p-6, 0x1.c5fe8d13abf3bp-6, 0x1.b8f95f20f30a2p-6, 0x1.ac49a0abbc897p-6, 0x1.9fed784b8dd53p-6, 0x1.93e313f56af9ep-6, 0x1.8828a8f8b3108p-6, 0x1.7cbc73facca42p-6, 0x1.719cb8f1a9d66p-6, 0x1.66c7c31d2f861p-6, 0x1.5c3be4ff9547cp-6, 0x1.51f77854c5eddp-6, 0x1.47f8de08cdffbp-6, 0x1.3e3e7e2d6bd2bp-6, 0x1.34c6c7eec1462p-6, 0x1.2b9031873cf1fp-6, 0x1.22993832c6bedp-6, 0x1.19e060212fe7fp-6, 0x1.1164346801d76p-6, 0x1.092346f3a6f0ep-6, 0x1.011c3078004a3p-6, 0x1.f29b20c0e1871p-7, 0x1.e36c197ecbe1cp-7, 0x1.d4a8a47ac8ec4p-7, 0x1.c64e280f55aafp-7, 0x1.b85a177cc8b5fp-7, 0x1.aac9f2c50c5d3p-7, 0x1.9d9b468693c4p-7, 0x1.90cbabd6c6106p-7, 0x1.8458c81bc2208p-7, 0x1.78404ce5b310fp-7, 0x1.6c7ff7c7a3487p-7, 0x1.6115922fe325fp-7, 0x1.55fef14023aebp-7, 0x1.4b39f5a52a7f6p-7, 0x1.40c48b6e59203p-7, 0x1.369ca9e4e02fbp-7, 0x1.2cc05362da349p-7, 0x1.232d952a32ed1p-7, 0x1.19e2873b7819ap-7, 0x1.10dd4c2c96938p-7, 0x1.081c10ff8dad9p-7, 0x1.ff3a19f242a15p-8, 0x1.eebd02ef25b2bp-8, 0x1.debd7392d0115p-8, 0x1.cf3816088e223p-8, 0x1.c029a7b7e13bap-8, 0x1.b18ef8f2b590dp-8, 0x1.a364eca3ecd6ep-8, 0x1.95a877fe48e5ep-8, 0x1.8856a22bbad5dp-8, 0x1.7b6c83fd2bfd2p-8, 0x1.6ee7479ac0878p-8, 0x1.62c42834a3694p-8, 0x1.570071b462701p-8, 0x1.4b99806ee252ap-8, 0x1.408cc0d6f5721p-8, 0x1.35d7af3095dbep-8, 0x1.2b77d744d3b9fp-8, 0x1.216ad41673ad9p-8, 0x1.17ae4f974bb9ep-8, 0x1.0e40025e5f05ap-8, 0x1.051db35ebf349p-8, 0x1.f88a6f3e7286cp-9, 0x1.e768e3e59fba1p-9, 0x1.d6d2a56412276p-9, 0x1.c6c3aeea25badp-9, 0x1.b738159d7d39fp-9, 0x1.a82c0810bb213p-9, 0x1.999bcdbcef5bp-9, 0x1.8b83c67ccf345p-9, 0x1.7de06a09b15dep-9, 0x1.70ae477a539b3p-9, 0x1.63ea04c370e05p-9, 0x1.57905e3a26be9p-9, 0x1.4b9e26182abp-9, 0x1.40104401d723dp-9, 0x1.34e3b48e0a198p-9, 0x1.2a1588cfddbd5p-9, 0x1.1fa2e5e23173ap-9, 0x1.158904750e05bp-9, 0x1.0bc5305cdd0dbp-9, 0x1.0254c8237432fp-9, 0x1.f26a7935ef2bep-10, 0x1.e0c820e514d7p-10, 0x1.cfbdaf99a90f6p-10, 0x1.bf466fb0a68d3p-10, 0x1.af5dccd2ede6dp-10, 0x1.9fff532d1ddcap-10, 0x1.9126aeaae99b8p-10, 0x1.82cfaa3607fb8p-10, 0x1.74f62ef89b14dp-10, 0x1.679643a316ebbp-10, 0x1.5aac0bb59bf0cp-10, 0x1.4e33c6ccbb34fp-10, 0x1.4229cff1ac313p-10, 0x1.368a9cedcb9a4p-10, 0x1.2b52bda18507ep-10, 0x1.207edb5e75e48p-10, 0x1.160bb844e4ab8p-10, 0x1.0bf62ea462cd4p-10, 0x1.023b305fadd3ep-10, 0x1.f1af8ca760497p-11, 0x1.df921f8342bf5p-11, 0x1.ce1883787a3f3p-11, 0x1.bd3d4d30056e5p-11, 0x1.acfb3abcecf51p-11, 0x1.9d4d3288b26fbp-11, 0x1.8e2e4245961d8p-11, 0x1.7f999de6a3fefp-11, 0x1.718a9e9d6ce95p-11, 0x1.63fcc1dd5b5a2p-11, 0x1.56eba8648d11cp-11, 0x1.4a53154a1e51ep-11, 0x1.3e2eed11cdc06p-11, 0x1.327b34c4e87f4p-11, 0x1.2734111065edbp-11, 0x1.1c55c568209b6p-11, 0x1.11dcb32f136f8p-11, 0x1.07c558e48b065p-11, 0x1.fc18a2ac6419dp-12, 0x1.e95ca5adc83c3p-12, 0x1.d7505cf46cea6p-12, 0x1.c5ed9ea935feep-12, 0x1.b52e73801c0f7p-12, 0x1.a50d154a714adp-12, 0x1.9583ed91e66dbp-12, 0x1.868d943c23386p-12, 0x1.7824ce36d3536p-12, 0x1.6a448c2bf7711p-12, 0x1.5ce7e93e530cp-12, 0x1.500a29cdd820ep-12, 0x1.43a6ba43dd8ep-12, 0x1.37b92de70091p-12, 0x1.2c3d3db68dcedp-12, 0x1.212ec74d430ffp-12, 0x1.1689cbcb4c6a9p-12, 0x1.0c4a6ec7512b8p-12, 0x1.026cf54673aaep-12, 0x1.f1db89762fd51p-13, 0x1.df92c414a03a4p-13, 0x1.cdf8e12f9e39cp-13, 0x1.bd0762b06ddep-13, 0x1.acb803d3509e6p-13, 0x1.9d04b764d827ep-13, 0x1.8de7a60b2b17cp-13, 0x1.7f5b2c9afd819p-13, 0x1.7159da77fd4cfp-13, 0x1.63de700067a8fp-13, 0x1.56e3dd03943d8p-13, 0x1.4a653f43328cep-13, 0x1.3e5de0fefb5f7p-13, 0x1.32c9378a99e03p-13, 0x1.27a2e1ed95781p-13, 0x1.1ce6a78cfaa82p-13, 0x1.129076de8dbdfp-13, 0x1.089c64255323ap-13, 0x1.fe0d506e4c486p-14, 0x1.eb973e9679a06p-14, 0x1.d9cf8fa2a1e84p-14, 0x1.c8af82a28cfcfp-14, 0x1.b83096a61cf7ap-14, 0x1.a84c889d3fdb6p-14, 0x1.98fd5147a0b39p-14, 0x1.8a3d2333ad7f2p-14, 0x1.7c0668cc98e93p-14, 0x1.6e53c276fc1f6p-14, 0x1.612004bbb5de2p-14, 0x1.54663680aecb2p-14, 0x1.48218f4f28dc8p-14, 0x1.3c4d75a743b15p-14, 0x1.30e57d605df28p-14, 0x1.25e5661601f2ap-14, 0x1.1b4919a10a24dp-14, 0x1.110caa9cabdp-14, 0x1.072c52f71b11fp-14, 0x1.fb48e51af3abcp-15, 0x1.e8e31ba588911p-15, 0x1.d7209902e8b1fp-15, 0x1.c5faf0af20844p-15, 0x1.b56bf7b9bc6d9p-15, 0x1.a56dc265f177fp-15, 0x1.95faa1ddfb3cdp-15, 0x1.870d21f92e65ep-15, 0x1.78a007143b2ebp-15, 0x1.6aae4bfb1dd5fp-15, 0x1.5d331fe449581p-15, 0x1.5029e47c88f0fp-15, 0x1.438e2c03263p-15, 0x1.375bb775e3344p-15, 0x1.2b8e74cc4e355p-15, 0x1.20227d4209d4fp-15, 0x1.151413af957bap-15, 0x1.0a5fa2f132ad7p-15, 0x1.0001bc5b7bf91p-15, 0x1.ebee2c7a91f66p-16, 0x1.d87914dd00b3dp-16, 0x1.c59e29d6e9447p-16, 0x1.b357a4f8dcb86p-16, 0x1.a19ffed2161f9p-16, 0x1.9071ec6e25aaep-16, 0x1.7fc85ce8eb162p-16, 0x1.6f9e771820675p-16, 0x1.5fef9749e655fp-16, 0x1.50b74d179d7dfp-16, 0x1.41f1594c7db13p-16, 0x1.3399abdf4ab72p-16, 0x1.25ac61fe920abp-16, 0x1.1825c42ee5cbbp-16, 0x1.0b02447a79f71p-16, 0x1.fc7cf9635e546p-17, 0x1.e3ae5977da465p-17, 0x1.cb9271f0b7b8dp-17, 0x1.b423515be4b63p-17, 0x1.9d5b4914cb777p-17, 0x1.8734ea5eef033p-17, 0x1.71ab039c69d31p-17, 0x1.5cb89d9f6dadcp-17, 0x1.4858f915ca868p-17, 0x1.34878c0dcafa7p-17, 0x1.213fff93752b6p-17, 0x1.0e7e2d6573789p-17, 0x1.f87c3b81ae46ep-18, 0x1.d4f80a85f10a1p-18, 0x1.b26885c167b81p-18, 0x1.90c6bbe4a0918p-18, 0x1.700c08a6b95aep-18, 0x1.5032112baf0f4p-18, 0x1.3132c08ff248cp-18, 0x1.13084497fe232p-18, 0x1.eb5a1505606aap-19, 0x1.b23777fa6a09cp-19, 0x1.7a9e786eb4996p-19, 0x1.44854a2e4ee1ep-19, 0x1.0fe289154a3c8p-19, 0x1.b95a67db021cap-20, 0x1.55b94f090d8b6p-20, 0x1.e9a267df0da64p-21, 0x1.2d2458d31a236p-21, 0x1.d7677abed325ap-23, -0x1.e2d3398e788d9p-24, -0x1.d3296f3150864p-22, -0x1.91f03e70ec942p-21, -0x1.1ac391913bf58p-20, -0x1.6a394b2070e75p-20, -0x1.b7656f4d521e6p-20, -0x1.0129d96b6d401p-19, -0x1.2587b0e1cc271p-19, -0x1.48d1b284fc47dp-19, -0x1.6b0d23f9dfc53p-19, -0x1.8c3f1e9fab406p-19, -0x1.ac6c9200c084dp-19, -0x1.cb9a4624fe16cp-19, -0x1.e9ccddc6b4972p-19, -0x1.03846c35b92e5p-18, -0x1.11a94a30de6afp-18, -0x1.1f5728526ad1bp-18, -0x1.2c901753cce14p-18, -0x1.39561a03bba57p-18, -0x1.45ab2614404bfp-18, -0x1.519124ddc4e6ep-18, -0x1.5d09f4179ba79p-18, -0x1.6817668678337p-18, -0x1.72bb44a13f177p-18, -0x1.7cf74d2c9ae57p-18, -0x1.86cd35cdbd978p-18, -0x1.903eab94abe64p-18, -0x1.994d537e7850dp-18, -0x1.a1facaefc3bb3p-18, -0x1.aa48a827df00bp-18, -0x1.b2387aace4879p-18, -0x1.b9cbcbb115584p-18, -0x1.c1041e71d3f15p-18, -0x1.c7e2f0907bac1p-18, -0x1.ce69ba656ae16p-18, -0x1.d499ef4d7f80fp-18, -0x1.da74fdf249438p-18, -0x1.dffc508d3a644p-18, -0x1.e5314d260d5b2p-18, -0x1.ea1555cca1e2ep-18, -0x1.eea9c8ce8aa66p-18, -0x1.f2f000e882ed2p-18, -0x1.f6e9557401047p-18, -0x1.fa971a911d07dp-18, -0x1.fdfaa14cfb02ep-18, -0x1.008a9be273fdcp-17, -0x1.01f414a32cb9ep-17, -0x1.033a5f35fd2bp-17, -0x1.045e1e9bf8d62p-17, -0x1.055ff495c34d5p-17, -0x1.064081ae27ffdp-17, -0x1.0700654386929p-17, -0x1.07a03d9028a54p-17, -0x1.0820a7b1904a6p-17, -0x1.08823faed0edfp-17, -0x1.08c5a07e00c84p-17, -0x1.08eb6408d26e9p-17, -0x1.08f42330665bdp-17, -0x1.08e075d05f3ffp-17, -0x1.08b0f2c1485cbp-17, -0x1.08662fda59e67p-17, -0x1.0800c1f2a6378p-17, -0x1.07813ce1bd625p-17, -0x1.06e8337fcf343p-17, -0x1.063637a558a16p-17, -0x1.056bda2a64877p-17, -0x1.0489aae569b7ap-17, -0x1.039038a9cfa71p-17, -0x1.028011462143bp-17, -0x1.0159c181f6b7fp-17, -0x1.001dd51b9dc15p-17, -0x1.fd99ad8b0d021p-18, -0x1.facea046fbb9fp-18, -0x1.f7db938f73cddp-18, -0x1.f4c1965f7d8e1p-18, -0x1.f181b58247e48p-18, -0x1.ee1cfb8c7638ep-18, -0x1.ea9470d5468f3p-18, -0x1.e6e91b6f8e6e9p-18, -0x1.e31bff22a14c4p-18, -0x1.df2e1d632314p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c8918b4ab8813p-6, 0x1.ff6bb2a7536a2p-6, 0x1.1ce3ab92b1f27p-5, 0x1.3bcfff9a850c1p-5, 0x1.5c76d3ba0dfbbp-5, 0x1.7ed278252db46p-5, 0x1.a2dba7c8ae3c5p-5, 0x1.c889a28b489dep-5, 0x1.efd2487972e71p-5, 0x1.0c551ab704e08p-4, 0x1.21826e6dee1efp-4, 0x1.376a52b5f3d3p-4, 0x1.4e058218d2a28p-4, 0x1.654c4ba13badfp-4, 0x1.7d369fc39d274p-4, 0x1.95bc1cd3bbf0ap-4, 0x1.aed41afa75c9p-4, 0x1.c875b7a214274p-4, 0x1.e297e0523e412p-4, 0x1.fd315cf6c8dbdp-4, 0x1.0c1c6cc74ca76p-3, 0x1.19d277a0c18ffp-3, 0x1.27b6166eae756p-3, 0x1.35c28f5dfb272p-3, 0x1.43f32b0a2ed17p-3, 0x1.524337dd9cc4p-3, 0x1.60ae0d2b1e982p-3, 0x1.6f2f0e03ea225p-3, 0x1.7dc1abcc36918p-3, 0x1.8c6168918f32ap-3, 0x1.9b09d925f8b22p-3, 0x1.a9b6a70304e62p-3, 0x1.b86391f8145d1p-3, 0x1.c70c71a705cc3p-3, 0x1.d5ad36d289ce8p-3, 0x1.e441ec81418cdp-3, 0x1.f2c6b8f8cfcbp-3, 0x1.009bef49e6a63p-2, 0x1.07c8de3ac0d5dp-2, 0x1.0ee8678f1967dp-2, 0x1.15f8d8714378fp-2, 0x1.1cf88d2446055p-2, 0x1.23e5f1264ae98p-2, 0x1.2abf7f4817efap-2, 0x1.3183c1ba82eb9p-2, 0x1.38315212d41c9p-2, 0x1.3ec6d946eec62p-2, 0x1.45430fa1fa7a1p-2, 0x1.4ba4bcb24f07cp-2, 0x1.51eab73137487p-2, 0x1.5813e4e52ca01p-2, 0x1.5e1f3a7f06593p-2, 0x1.640bbb7298e2p-2, 0x1.69d879cb342f4p-2, 0x1.6f8495fc5d30cp-2, 0x1.750f3eaf238a5p-2, 0x1.7a77b08c574adp-2, 0x1.7fbd3603f3f5p-2, 0x1.84df2711f6816p-2, 0x1.89dce900e284cp-2, 0x1.8eb5ee2a289edp-2, 0x1.9369b5b49e919p-2, 0x1.97f7cb513ffb5p-2, 0x1.9c5fc6f656edp-2, 0x1.a0a14c993f61fp-2, 0x1.a4bc0be6e6236p-2, 0x1.a8afbffb28ec3p-2, 0x1.ac7c2f1739a8cp-2, 0x1.b0212a572c691p-2, 0x1.b39e8d66c2ed9p-2, 0x1.b6f43e35a5c05p-2, 0x1.ba222cab1aadfp-2, 0x1.bd28525961169p-2, 0x1.c006b230c7dfbp-2, 0x1.c2bd5832a26a2p-2, 0x1.c54c592430562p-2, 0x1.c7b3d241951dp-2, 0x1.c9f3e8f0fdd83p-2, 0x1.cc0cca7605edp-2, 0x1.cdfeaba57dcc3p-2, 0x1.cfc9c8999fa47p-2, 0x1.d16e6466d456fp-2, 0x1.d2ecc8d115deap-2, 0x1.d4454602098e9p-2, 0x1.d578323fe3be2p-2, 0x1.d685e9a5267b4p-2, 0x1.d76ecdd953025p-2, 0x1.d83345ca97381p-2, 0x1.d8d3bd688c41dp-2, 0x1.d950a56014bf8p-2, 0x1.d9aa72d864551p-2, 0x1.d9e19f3140c79p-2, 0x1.d9f6a7c2881f6p-2, 0x1.d9ea0d9d00333p-2, 0x1.d9bc554c84ba5p-2, 0x1.d96e069b8b89p-2, 0x1.d8ffac5815d76p-2, 0x1.d871d41a0a9bcp-2, 0x1.d7c50e0b0103fp-2, 0x1.d6f9ecaf82855p-2, 0x1.d61104b1c1009p-2, 0x1.d50aecadcb165p-2, 0x1.d3e83cff39d56p-2, 0x1.d2a98f9057535p-2, 0x1.d14f7faac7dacp-2, 0x1.cfdaa9c9a56b8p-2, 0x1.ce4bab6d1a4bbp-2, 0x1.cca322ef6deap-2, 0x1.cae1af5b8725p-2, 0x1.c907f044ddcebp-2, 0x1.c71685a0d858fp-2, 0x1.c50e0fa190634p-2, 0x1.c2ef2e91faa4ep-2, 0x1.c0ba82b36b2b1p-2, 0x1.be70ac1c7264dp-2, 0x1.bc124a990bf48p-2, 0x1.b99ffd8c175bbp-2, 0x1.b71a63d218bf3p-2, 0x1.b4821ba535727p-2, 0x1.b1d7c2826c4b2p-2, 0x1.af1bf50ffb383p-2, 0x1.ac4f4f04f21d9p-2, 0x1.a9726b11e6328p-2, 0x1.a685e2cac5023p-2, 0x1.a38a4e91b8fb2p-2, 0x1.a08045831d5a5p-2, 0x1.9d685d627a696p-2, 0x1.9a432a887e9fep-2, 0x1.97113fd1f2041p-2, 0x1.93d32e8f9affcp-2, 0x1.908986770ef18p-2, 0x1.8d34d594661ebp-2, 0x1.89d5a83ccb8c8p-2, 0x1.866c8901e5abfp-2, 0x1.82fa00a60dbb2p-2, 0x1.7f7e961153383p-2, 0x1.7bface473e34ap-2, 0x1.786f2c5d54eddp-2, 0x1.74dc317253859p-2, 0x1.71425ca618ecbp-2, 0x1.6da22b123d217p-2, 0x1.69fc17c34e8dep-2, 0x1.66509bb2af7cep-2, 0x1.62a02dc11102bp-2, 0x1.5eeb42b17fe8fp-2, 0x1.5b324d2504f0dp-2, 0x1.5775bd96d393cp-2, 0x1.53b60258f9a1cp-2, 0x1.4ff387919968ap-2, 0x1.4c2eb73899ba7p-2, 0x1.4867f915d7405p-2, 0x1.449fb2bfc3511p-2, 0x1.40d6479a7c2a1p-2, 0x1.3d0c18d74ac0ap-2, 0x1.394185748d353p-2, 0x1.3576ea3e08305p-2, 0x1.31aca1cd949bfp-2, 0x1.2de3048c2f6fcp-2, 0x1.2a1a68b362c5dp-2, 0x1.2653224f03d08p-2, 0x1.228d833f46944p-2, 0x1.1ec9db3b221c6p-2, 0x1.1b0877d2fcd16p-2, 0x1.1749a473aa9c9p-2, 0x1.138daa69a9f04p-2, 0x1.0fd4d0e4ab239p-2, 0x1.0c1f5cfb532e1p-2, 0x1.086d91af40ccp-2, 0x1.04bfaff14d03p-2, 0x1.0115f6a6006cap-2, 0x1.fae1455486007p-3, 0x1.f39fddb07a3cbp-3, 0x1.ec682818d8229p-3, 0x1.e53a9255c511ap-3, 0x1.de1786496cc51p-3, 0x1.d6ff69fb369ccp-3, 0x1.cff29fa33ea11p-3, 0x1.c8f185b62a01dp-3, 0x1.c1fc76f1321ep-3, 0x1.bb13ca667c124p-3, 0x1.b437d389af9c4p-3, 0x1.ad68e23cc102cp-3, 0x1.a6a742dcf971p-3, 0x1.9ff33e502df17p-3, 0x1.994d1a1227a95p-3, 0x1.92b5184233aaap-3, 0x1.8c2b77b0dec05p-3, 0x1.85b073edd70d3p-3, 0x1.7f444555e72dcp-3, 0x1.78e7212113a7p-3, 0x1.72993970d63e5p-3, 0x1.6c5abd5e6844dp-3, 0x1.662bd90929e9fp-3, 0x1.600cb5a50ed4fp-3, 0x1.59fd798926e43p-3, 0x1.53fe483e252a3p-3, 0x1.4e0f428cfb25cp-3, 0x1.4830868d6b2ep-3, 0x1.42622fb4ae391p-3, 0x1.3ca456e40f13cp-3, 0x1.36f7127782155p-3, 0x1.315a765444bd2p-3, 0x1.2bce93f76591p-3, 0x1.26537a8453e5fp-3, 0x1.20e936d352a1fp-3, 0x1.1b8fd37fee827p-3, 0x1.164758f7591e8p-3, 0x1.110fcd86b5d59p-3, 0x1.0be9356951a2ap-3, 0x1.06d392d6cbfa9p-3, 0x1.01cee6111d5dp-3, 0x1.f9b65ae51de1ep-4, 0x1.eff0caf724edcp-4, 0x1.e64d11c0fa67ep-4, 0x1.dccb212e4f315p-4, 0x1.d36ae7c8dc3c5p-4, 0x1.ca2c50d31a64p-4, 0x1.c10f4462bcb14p-4, 0x1.b813a77ae7c5fp-4, 0x1.af395c261314ap-4, 0x1.a680418fae47fp-4, 0x1.9de8341d6b2fp-4, 0x1.95710d88403ep-4, 0x1.8d1aa4f5188bbp-4, 0x1.84e4cf0d2d6f7p-4, 0x1.7ccf5e160c614p-4, 0x1.74da2209461f9p-4, 0x1.6d04e8abc5b1cp-4, 0x1.654f7da4cc4a1p-4, 0x1.5db9aa9494234p-4, 0x1.5643372a95403p-4, 0x1.4eebe93b6e839p-4, 0x1.47b384d66eb9cp-4, 0x1.4099cc5ac11a2p-4, 0x1.399e808c36e9ep-4, 0x1.32c160a7b2797p-4, 0x1.2c022a7731066p-4, 0x1.25609a6571917p-4, 0x1.1edc6b913b208p-4, 0x1.187557e03fc7cp-4, 0x1.122b18119cd4cp-4, 0x1.0bfd63cff9b09p-4, 0x1.05ebf1c341f49p-4, 0x1.ffecef43fbb7ap-5, 0x1.f43954848ef89p-5, 0x1.e8bc7b54bbac9p-5, 0x1.dd75ca41a9b05p-5, 0x1.d264a678c6169p-5, 0x1.c78873e69e0cp-5, 0x1.bce09554f2f12p-5, 0x1.b26c6c880e585p-5, 0x1.a82b5a5b57512p-5, 0x1.9e1cbedd235f3p-5, 0x1.943ff969cdab9p-5, 0x1.8a9468c60f286p-5, 0x1.81196b389b2cbp-5, 0x1.77ce5ea30249dp-5, 0x1.6eb2a099dd776p-5, 0x1.65c58e7c424ap-5, 0x1.5d06858a82aadp-5, 0x1.5474e2fc391e4p-5, 0x1.4c100415a51f3p-5, 0x1.43d7463c589bfp-5, 0x1.3bca070b38581p-5, 0x1.33e7a465d1a8ep-5, 0x1.2c2f7c8b096c8p-5, 0x1.24a0ee27221dbp-5, 0x1.1d3b5865222b8p-5, 0x1.15fe1aff95a6ap-5, 0x1.0ee89650b1f56p-5, 0x1.07fa2b61df10ep-5, 0x1.01323bfaa4315p-5, 0x1.f520555dfb113p-6, 0x1.e826b5da3f3e9p-6, 0x1.db766215499dcp-6, 0x1.cf0e24a25bfebp-6, 0x1.c2ecca14e9169p-6, 0x1.b7112117a47p-6, 0x1.ab79fa8284d7dp-6, 0x1.a026296fb72a5p-6, 0x1.9514834f93ccep-6, 0x1.8a43dffb8dadcp-6, 0x1.7fb319c82c619p-6, 0x1.75610d960c72p-6, 0x1.6b4c9ae1f4a42p-6, 0x1.6174a3d3fd666p-6, 0x1.57d80d4dd7101p-6, 0x1.4e75bef82ef32p-6, 0x1.454ca34f3778ap-6, 0x1.3c5ba7ae615aap-6, 0x1.33a1bc5b405b1p-6, 0x1.2b1dd48fa604cp-6, 0x1.22cee682f9812p-6, 0x1.1ab3eb72d0063p-6, 0x1.12cbdfaac4757p-6, 0x1.0b15c28b9fc2cp-6, 0x1.03909691cdeacp-6, 0x1.f876c2b64a325p-7, 0x1.ea2a575815ed7p-7, 0x1.dc3a02e7e38ffp-7, 0x1.cea3e3a279b2dp-7, 0x1.c1661e291437p-7, 0x1.b47edd86d592ap-7, 0x1.a7ec533511fap-7, 0x1.9bacb71e8f218p-7, 0x1.8fbe47a1a91e5p-7, 0x1.841f49918c3e5p-7, 0x1.78ce08365b07ep-7, 0x1.6dc8d54c730bdp-7, 0x1.630e0902c3de3p-7, 0x1.589c01f847b1cp-7, 0x1.4e7125389d965p-7, 0x1.448bde37de423p-7, 0x1.3aea9ecd9b5cp-7, 0x1.318bdf2f2a58p-7, 0x1.286e1de9307dcp-7, 0x1.1f8fdfd87f268p-7, 0x1.16efb02246641p-7, 0x1.0e8c202ba5635p-7, 0x1.0663c7909f925p-7, 0x1.fcea8834f9787p-8, 0x1.ed7e736b3918bp-8, 0x1.de80a4cd84cb2p-8, 0x1.cfee7c7fc326cp-8, 0x1.c1c566a8de146p-8, 0x1.b402db5a7e5f6p-8, 0x1.a6a45e77ed69fp-8, 0x1.99a77f9c2726ap-8, 0x1.8d09d9ff25a21p-8, 0x1.80c9145a78aebp-8, 0x1.74e2e0cd2bad2p-8, 0x1.6954fcbf0a0aep-8, 0x1.5e1d30c34dbadp-8, 0x1.5339507ababf2p-8, 0x1.48a73a753aa17p-8, 0x1.3e64d812fb817p-8, 0x1.34701d651dfbfp-8, 0x1.2ac7090dfb358p-8, 0x1.2167a4210a582p-8, 0x1.1850020272313p-8, 0x1.0f7e4046489d4p-8, 0x1.06f0868f8e66fp-8, 0x1.fd4a0cddd5f0bp-9, 0x1.ed33f68264929p-9, 0x1.dd9b541b7437ep-9, 0x1.ce7cc2c90cd21p-9, 0x1.bfd4f278aada2p-9, 0x1.b1a0a5a11e909p-9, 0x1.a3dcb0fe4103ap-9, 0x1.9685fb4c8f311p-9, 0x1.89997d04b2036p-9, 0x1.7d144016fddddp-9, 0x1.70f35fa6fd6a6p-9, 0x1.653407c704d97p-9, 0x1.59d37533e4184p-9, 0x1.4ecef510bc7ep-9, 0x1.4423e4a301424p-9, 0x1.39cfb10eaf1ep-9, 0x1.2fcfd712c2fa9p-9, 0x1.2621e2c5f93e5p-9, 0x1.1cc36f53d9198p-9, 0x1.13b226ba17a56p-9, 0x1.0aebc1865ab5ep-9, 0x1.026e06945bf02p-9, 0x1.f46d9598fb2fp-10, 0x1.e487e1c592612p-10, 0x1.d526d22cd87b9p-10, 0x1.c64661e35c0a3p-10, 0x1.b7e2a614d1005p-10, 0x1.a9f7cd8614316p-10, 0x1.9c82201843c26p-10, 0x1.8f7dfe4cf7d61p-10, 0x1.82e7e0cbaa172p-10, 0x1.76bc57e848bfep-10, 0x1.6af80b2b06028p-10, 0x1.5f97b8d966128p-10, 0x1.5498358095f17p-10, 0x1.49f66b81067e2p-10, 0x1.3faf5a9b636abp-10, 0x1.35c0177edad7fp-10, 0x1.2c25cb58c0d7cp-10, 0x1.22ddb36593574p-10, 0x1.19e5208360b22p-10, 0x1.113976c598cfcp-10, 0x1.08d82d0a4209p-10, 0x1.00becc909d8d1p-10, 0x1.f1d5e1227d0f3p-11, 0x1.e2b48baf19aaep-11, 0x1.d41514b97b0a2p-11, 0x1.c5f319c87e3a2p-11, 0x1.b84a593336eaep-11, 0x1.ab16b15f9f2dep-11, 0x1.9e542004350e4p-11, 0x1.91fec16c86027p-11, 0x1.8612cfc0a91dfp-11, 0x1.7a8ca24fa78f5p-11, 0x1.6f68acdccfd15p-11, 0x1.64a37eeff761cp-11, 0x1.5a39c328a3ca8p-11, 0x1.50283e941c8f2p-11, 0x1.466bd006617fbp-11, 0x1.3d016f760281ap-11, 0x1.33e62d5ad7762p-11, 0x1.2b17320f90cefp-11, 0x1.2291bd36205eep-11, 0x1.1a53251ef4c45p-11, 0x1.1258d63300e62p-11, 0x1.0aa052608ed6dp-11, 0x1.0327308ad3fa4p-11, 0x1.f7d637f888d1bp-12, 0x1.e9d3a7b73f689p-12, 0x1.dc4255475c8bdp-12, 0x1.cf1e0b3b586p-12, 0x1.c262b8bcb5d37p-12, 0x1.b60c708b61e8bp-12, 0x1.aa17680246b78p-12, 0x1.9e7ff6210107dp-12, 0x1.9342929aae9e2p-12, 0x1.885bd4e9bf9bp-12, 0x1.7dc87368c4ap-12, 0x1.7385427025e92p-12, 0x1.698f3378b396dp-12, 0x1.5fe3544305b4fp-12, 0x1.567ece0393ab2p-12, 0x1.4d5ee4937d3d4p-12, 0x1.4480f5a5ecc8fp-12, 0x1.3be278020865cp-12, 0x1.3380fac15efc8p-12, 0x1.2b5a2492c52d9p-12, 0x1.236bb30189411p-12, 0x1.1bb379c0fa12ep-12, 0x1.142f61fc250efp-12, 0x1.0cdd69a9c3954p-12, 0x1.05bba2e4405b2p-12, 0x1.fd90668b96a73p-13, 0x1.f002a690ca508p-13, 0x1.e2ca9b53ac30dp-13, 0x1.d5e4fda6ff2b8p-13, 0x1.c94ea88bea80cp-13, 0x1.bd0498109e98bp-13, 0x1.b103e83650b54p-13, 0x1.a549d3de6081dp-13, 0x1.99d3b3be90fbdp-13, 0x1.8e9efd5c34476p-13, 0x1.83a9420e249b4p-13, 0x1.78f02e0572d94p-13, 0x1.6e71875c9dc9bp-13, 0x1.642b2d2d4476cp-13, 0x1.5a1b16ac269f7p-13, 0x1.503f524b54a17p-13, 0x1.469604e27cd69p-13, 0x1.3d1d68dd2a431p-13, 0x1.33d3cd6ed7c21p-13, 0x1.2ab795ccc779cp-13, 0x1.21c7386d6972fp-13, 0x1.19013e4d4e9f9p-13, 0x1.1064423972461p-13, 0x1.07eef01ed4698p-13, 0x1.ff4008be5c794p-14, 0x1.eeec9655830ecp-14, 0x1.dee13fbe21198p-14, 0x1.cf1bd8d4dc77cp-14, 0x1.bf9a51688e497p-14, 0x1.b05ab41413f24p-14, 0x1.a15b25212bac6p-14, 0x1.9299e1742842fp-14, 0x1.84153d8041efap-14, 0x1.75cba4445a364p-14, 0x1.67bb964ffb40fp-14, 0x1.59e3a8d06558bp-14, 0x1.4c4284a574116p-14, 0x1.3ed6e57e3246cp-14, 0x1.319f98fce7677p-14, 0x1.249b7de273308p-14, 0x1.17c98340ca71cp-14, 0x1.0b28a7b464396p-14, 0x1.fd6ff148decedp-15, 0x1.e4ed231344bb6p-15, 0x1.ccc73676f54a4p-15, 0x1.b4fc9687851cbp-15, 0x1.9d8bc67068303p-15, 0x1.867360341cd25p-15, 0x1.6fb21376f0131p-15, 0x1.5946a4550c71fp-15, 0x1.432fea4383264p-15, 0x1.2d6ccefc05cafp-15, 0x1.17fc4d730916bp-15, 0x1.02dd70d802cebp-15, 0x1.dc1ea73efdb7p-16, 0x1.b3223d2d89c4cp-16, 0x1.8ac410018f89dp-16, 0x1.6302a5784166p-16, 0x1.3bdc9ae396754p-16, 0x1.1550a398d94c6p-16, 0x1.debb0edf7338fp-17, 0x1.940442a2e4f92p-17, 0x1.4a7abbaf1083fp-17, 0x1.021c73f3498e2p-17, 0x1.75cf0728794edp-18, 0x1.d3687a05d058cp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.27912f638266cp-2, -0x1.312f301267179p-2, -0x1.3a80330ee5e4ep-2, -0x1.438be812cfc73p-2, -0x1.4c59710ae17a8p-2, -0x1.54ef5893bfc63p-2, -0x1.5d538c996c40cp-2, -0x1.658b5c6b9142ep-2, -0x1.6d9b79ab59c7cp-2, -0x1.7587fb894fbe3p-2, -0x1.7d5463da687e8p-2, -0x1.8503a59b21115p-2, -0x1.8c982c85d1682p-2, -0x1.9413e56e86913p-2, -0x1.9b784722703cbp-2, -0x1.a2c65b938863dp-2, -0x1.a9fec9226c104p-2, -0x1.b121dbe09f489p-2, -0x1.b82f8eaca95cap-2, -0x1.bf27940fb661fp-2, -0x1.c6095ec9d39f4p-2, -0x1.ccd429fe712c7p-2, -0x1.d38700f6c6993p-2, -0x1.da20c6730387bp-2, -0x1.e0a03b85f0012p-2, -0x1.e70405f8f74f3p-2, -0x1.ed4ab638634bfp-2, -0x1.f372ccc922b96p-2, -0x1.f97abf4a97061p-2, -0x1.ff60fd07e105fp-2, -0x1.0291f98e6c034p-1, -0x1.05610819a91e9p-1, -0x1.081ce3eeea302p-1, -0x1.0ac4caca7322cp-1, -0x1.0d57ffae3ced5p-1, -0x1.0fd5cc0b69219p-1, -0x1.123d80c5279a9p-1, -0x1.148e770fb8de6p-1, -0x1.16c8112e21c98p-1, -0x1.18e9bb1110a69p-1, -0x1.1af2ead95f616p-1, -0x1.1ce321407b562p-1, -0x1.1eb9e9e8e8c3p-1, -0x1.2076db98f130cp-1, -0x1.2219986175b68p-1, -0x1.23a1cdb2be547p-1, -0x1.250f3460ffbcfp-1, -0x1.2661909a39cd5p-1, -0x1.2798b1cef29eep-1, -0x1.28b4728f35f23p-1, -0x1.29b4b85d2c44ap-1, -0x1.2a9973767f2eep-1, -0x1.2b629e95aea3fp-1, -0x1.2c103eac60ecfp-1, -0x1.2ca26297a3e4ap-1, -0x1.2d1922cf05afcp-1, -0x1.2d74a10f51e4bp-1, -0x1.2db50801b7113p-1, -0x1.2dda8ae0021fcp-1, -0x1.2de565169174ap-1, -0x1.2dd5d9e49319p-1, -0x1.2dac33fb12c63p-1, -0x1.2d68c51b51a41p-1, -0x1.2d0be5b4d6c83p-1, -0x1.2c95f4839b31ap-1, -0x1.2c07562eaba2ep-1, -0x1.2b6074e78fbc8p-1, -0x1.2aa1c00ac154fp-1, -0x1.29cbabc17086ap-1, -0x1.28deb0a4d15e3p-1, -0x1.27db4b632318ep-1, -0x1.26c1fc669cb63p-1, -0x1.2593477e68dcfp-1, -0x1.244fb389cc58p-1, -0x1.22f7ca259908dp-1, -0x1.218c175c0119cp-1, -0x1.200d2956dfc4cp-1, -0x1.1e7b901487bcap-1, -0x1.1cd7dd1f21558p-1, -0x1.1b22a346a44d4p-1, -0x1.195c765d70f03p-1, -0x1.1785eaf78de1dp-1, -0x1.159f962c8a18bp-1, -0x1.13aa0d5c03b5ap-1, -0x1.11a5e5f4cea93p-1, -0x1.0f93b53eb7301p-1, -0x1.0d741026da382p-1, -0x1.0b478b0e8a707p-1, -0x1.090eb99cb939ap-1, -0x1.06ca2e91da00ap-1, -0x1.047a7b9e329b2p-1, -0x1.0220313a8dde5p-1, -0x1.ff77bd06875e2p-2, -0x1.fa9c222b0c8bap-2, -0x1.f5aea9ddd430ap-2, -0x1.f0b0689e29ac6p-2, -0x1.eba26f3714e98p-2, -0x1.e685ca8b01f6p-2, -0x1.e15b836368074p-2, -0x1.dc249e443f1a5p-2, -0x1.d6e21b433226ep-2, -0x1.d194f5e262cbdp-2, -0x1.cc3e24eea6b53p-2, -0x1.c6de9a6118e97p-2, -0x1.c1774343e0a4p-2, -0x1.bc09079a0e144p-2, -0x1.b694ca4a6ff8cp-2, -0x1.b11b690d3c447p-2, -0x1.ab9dbc5c739d4p-2, -0x1.a61c9766e0eb7p-2, -0x1.a098c80590e81p-2, -0x1.9b1316b3ad708p-2, -0x1.958c468897acfp-2, -0x1.900515342a2bap-2, -0x1.8a7e3afd08fd2p-2, -0x1.84f86ac0db51ep-2, -0x1.7f7451f66247ap-2, -0x1.79f298b148d66p-2, -0x1.7473e1a79831fp-2, -0x1.6ef8ca38b78d4p-2, -0x1.6981ea75e4574p-2, -0x1.640fd52c0264cp-2, -0x1.5ea317eebacbap-2, -0x1.593c3b24c6affp-2, -0x1.53dbc215612d8p-2, -0x1.4e822af6ba196p-2, -0x1.492feefd699c9p-2, -0x1.43e5826cc1779p-2, -0x1.3ea354a7f718fp-2, -0x1.3969d0440de6p-2, -0x1.34395b1a724fep-2, -0x1.2f12565c39d7p-2, -0x1.29f51ea5f2de7p-2, -0x1.24e20c13fe991p-2, -0x1.1fd9725759cb4p-2, -0x1.1adba0cad7e6p-2, -0x1.15e8e288b303ep-2, -0x1.11017e8072fadp-2, -0x1.0c25b78d14a41p-2, -0x1.0755cc8b6eb6dp-2, -0x1.0291f870c540fp-2, -0x1.fbb4e4c30342cp-3, -0x1.f25edb900ff33p-3, -0x1.e92234d74295ap-3, -0x1.dfff490ed8586p-3, -0x1.d6f669c2a7528p-3, -0x1.ce07e1c200d13p-3, -0x1.c533f54d7b044p-3, -0x1.bc7ae24492345p-3, -0x1.b3dce0531c3b6p-3, -0x1.ab5a211e7a059p-3, -0x1.a2f2d0727e4c9p-3, -0x1.9aa7146e03678p-3, -0x1.92770daf1f773p-3, -0x1.8a62d77ef289cp-3, -0x1.826a87fd05087p-3, -0x1.7a8e304a2cc25p-3, -0x1.72cddcb2f50fdp-3, -0x1.6b2994d97bfb7p-3, -0x1.63a15bdec7f51p-3, -0x1.5c35308b8aap-3, -0x1.54e50d7847f06p-3, -0x1.4db0e934e7bf9p-3, -0x1.4698b66f9d9d4p-3, -0x1.3f9c641b3a36bp-3, -0x1.38bbdd94c5c84p-3, -0x1.31f70ac879973p-3, -0x1.2b4dd05607bd4p-3, -0x1.24c00fb434ca5p-3, -0x1.1e4da753bed6ap-3, -0x1.17f672c19205bp-3, -0x1.11ba4ac84450ep-3, -0x1.0b990590e40a3p-3, -0x1.059276c30318ap-3, -0x1.ff4cdf482f1fbp-4, -0x1.f3a97e6c374a5p-4, -0x1.e83a64aaf9afap-4, -0x1.dcff27ac9db85p-4, -0x1.d1f7594190e66p-4, -0x1.c722879a1d264p-4, -0x1.bc803d7c886a5p-4, -0x1.b2100279d0e8fp-4, -0x1.a7d15b210279dp-4, -0x1.9dc3c93128959p-4, -0x1.93e6cbc9dadd6p-4, -0x1.8a39df9a742adp-4, -0x1.80bc7f0fe345fp-4, -0x1.776e22812d87cp-4, -0x1.6e4e405a9b7eap-4, -0x1.655c4d4795631p-4, -0x1.5c97bc5b34fep-4, -0x1.53ffff37921a4p-4, -0x1.4b948633cabc6p-4, -0x1.4354c080cfc0ep-4, -0x1.3b401c4cf7ce1p-4, -0x1.335606e65e69cp-4, -0x1.2b95ecdc1559fp-4, -0x1.23ff3a1e2af43p-4, -0x1.1c915a1c8cec9p-4, -0x1.154bb7e4cbafcp-4, -0x1.0e2dbe3ec3623p-4, -0x1.0736d7c83106ep-4, -0x1.00666f0f37d9ap-4, -0x1.f377dd57ba63fp-5, -0x1.e66d82b0ffb7ap-5, -0x1.d9aca412a21b5p-5, -0x1.cd341805a6129p-5, -0x1.c102b5decb549p-5, -0x1.b51755e7c4f13p-5, -0x1.a970d186a107ap-5, -0x1.9e0e03636c5d5p-5, -0x1.92edc78c14a82p-5, -0x1.880efb969d97cp-5, -0x1.7d707ec1ade74p-5, -0x1.731132137f03p-5, -0x1.68eff8773ec04p-5, -0x1.5f0bb6d8e75d3p-5, -0x1.5563543f9b2ap-5, -0x1.4bf5b9e69083fp-5, -0x1.42c1d35492b6ep-5, -0x1.39c68e72273edp-5, -0x1.3102db9e5eceep-5, -0x1.2875adc25a8d5p-5, -0x1.201dfa6393f34p-5, -0x1.17fab9b4eb2e5p-5, -0x1.100ae6a68a166p-5, -0x1.084d7ef4a1b43p-5, -0x1.00c183350e4d6p-5, -0x1.f2cbedc7d09a3p-6, -0x1.e473c0de19dfep-6, -0x1.d67892814e4bcp-6, -0x1.c8d87b917f665p-6, -0x1.bb919b0bbcd49p-6, -0x1.aea216198a963p-6, -0x1.a208181e94e71p-6, -0x1.95c1d2c4bd36ap-6, -0x1.89cd7e06819cdp-6, -0x1.7e295837da3e8p-6, -0x1.72d3a60d92f66p-6, -0x1.67cab2a337132p-6, -0x1.5d0ccf7f95801p-6, -0x1.52985497f3dcdp-6, -0x1.486ba051f78d1p-6, -0x1.3e8517845659p-6, -0x1.34e32576565bp-6, -0x1.2b843bde31a35p-6, -0x1.2266d2de654eep-6, -0x1.19896901f483fp-6, -0x1.10ea8337b46f3p-6, -0x1.0888accca7988p-6, -0x1.006277656e2f1p-6, -0x1.f0ecf5edc50d4p-7, -0x1.e186ab7bc659ep-7, -0x1.d28f586cb157ep-7, -0x1.c4045222f7c84p-7, -0x1.b5e2fa56e2d05p-7, -0x1.a828bf006f7a3p-7, -0x1.9ad31a3ff595ap-7, -0x1.8ddf924596295p-7, -0x1.814bb937a2b5bp-7, -0x1.75152d17e996cp-7, -0x1.693997a811bbbp-7, -0x1.5db6ae4d0f902p-7, -0x1.528a31f1b47dcp-7, -0x1.47b1eee88610bp-7, -0x1.3d2bbcccc5612p-7, -0x1.32f57e62d3177p-7, -0x1.290d2177f12bap-7, -0x1.1f709ec16cc8fp-7, -0x1.161df9bb440adp-7, -0x1.0d1340864d7c4p-7, -0x1.044e8bc5f1ac5p-7, -0x1.f79bfcfafedbbp-8, -0x1.e71f8bda4c0a6p-8, -0x1.d72432dd4152bp-8, -0x1.c7a674a3386e7p-8, -0x1.b8a2e76fc4211p-8, -0x1.aa1634e29ef0bp-8, -0x1.9bfd19af4b0fp-8, -0x1.8e5465546cbc1p-8, -0x1.8118f9d2f5ef2p-8, -0x1.7447cb6531112p-8, -0x1.67dde035b7bafp-8, -0x1.5bd8501668537p-8, -0x1.503444376346ep-8, -0x1.44eef6de21dc2p-8, -0x1.3a05b31cb0383p-8, -0x1.2f75d48916ac4p-8, -0x1.253cc6f500f01p-8, -0x1.1b580625a9c1fp-8, -0x1.11c51d8c18284p-8, -0x1.0881a7fdb8bd3p-8, -0x1.ff169edab26d4p-9, -0x1.edbf99492519cp-9, -0x1.dcf9cdfb5102dp-9, -0x1.ccc0e83bcc3dbp-9, -0x1.bd10af60ffd9bp-9, -0x1.ade50644025fcp-9, -0x1.9f39eab89cafcp-9, -0x1.910b750678aacp-9, -0x1.8355d763980fcp-9, -0x1.76155d700a8a9p-9, -0x1.69466bb2fbb8cp-9, -0x1.5ce57f191e358p-9, -0x1.50ef2c7478befp-9, -0x1.45601ffda2f5cp-9, -0x1.3a351cd676c97p-9, -0x1.2f6afc8e3d528p-9, -0x1.24feaea75cbaap-9, -0x1.1aed381e9276fp-9, -0x1.1133b2f3b4314p-9, -0x1.07cf4db406051p-9, -0x1.fd7a960c509e9p-10, -0x1.ebf6026f33627p-10, -0x1.db0bb397b471p-10, -0x1.cab6a21a5897cp-10, -0x1.baf1eb3dec5a7p-10, -0x1.abb8d0239484p-10, -0x1.9d06b4f21a40fp-10, -0x1.8ed7200497ea9p-10, -0x1.8125b91c5cda9p-10, -0x1.73ee489630cf7p-10, -0x1.672cb6a2dcfc2p-10, -0x1.5add0a82ff446p-10, -0x1.4efb69c635278p-10, -0x1.4384178d82354p-10, -0x1.387373d1088fdp-10, -0x1.2dc5faa9071ap-10, -0x1.2378439a0d8d3p-10, -0x1.198700e47abb5p-10, -0x1.0feefed72f998p-10, -0x1.06ad232572915p-10, -0x1.fb7cd88011e6ep-11, -0x1.ea3fe162e5ec1p-11, -0x1.d99dbcfaa4af9p-11, -0x1.c990f505d0d1cp-11, -0x1.ba143fc55d06p-11, -0x1.ab227ecdf8a95p-11, -0x1.9cb6bddf70909p-11, -0x1.8ecc31c20f57dp-11, -0x1.815e3729f29c9p-11, -0x1.746851a042e6p-11, -0x1.67e62a723e048p-11, -0x1.5bd38fa602cb8p-11, -0x1.502c72f511163p-11, -0x1.44ece8cc6431bp-11, -0x1.3a1127522124dp-11, -0x1.2f958570bce9cp-11, -0x1.257679e78d89ep-11, -0x1.1bb09a60b48bp-11, -0x1.12409a8c4bf0bp-11, -0x1.09234b40c6ba9p-11, -0x1.005599a06fb4dp-11, -0x1.efa91c87ea16dp-12, -0x1.df3a98d3da83p-12, -0x1.cf5a22567e84ep-12, -0x1.c0026568c253fp-12, -0x1.b12e3f06a2c7ep-12, -0x1.a2d8bb547d4fep-12, -0x1.94fd142d8c89cp-12, -0x1.8796afbb6fb39p-12, -0x1.7aa11f1693fa8p-12, -0x1.6e181cef59d41p-12, -0x1.61f78c3fcebe6p-12, -0x1.563b7705d67abp-12, -0x1.4ae00d059a532p-12, -0x1.3fe1a2941c308p-12, -0x1.353caf69c412ep-12, -0x1.2aedcd7cc3708p-12, -0x1.20f1b7e32667ep-12, -0x1.174549bc7496dp-12, -0x1.0de57d22b166fp-12, -0x1.04cf6a22a0576p-12, -0x1.f8008b764973fp-13, -0x1.e6eac1c72e216p-13, -0x1.d6584f31e1086p-13, -0x1.c6443fe347d6fp-13, -0x1.b6a9d2700aa2bp-13, -0x1.a7847616335f8p-13, -0x1.98cfc90b5eb5dp-13, -0x1.8a8796d7328e8p-13, -0x1.7ca7d6b9e0afdp-13, -0x1.6f2caa1e66273p-13, -0x1.62125b1853427p-13, -0x1.55555aecccd54p-13, -0x1.48f240a696268p-13, -0x1.3ce5c7b4d275ap-13, -0x1.312cce9450282p-13, -0x1.25c4558312dc6p-13, -0x1.1aa97d3de9f0ep-13, -0x1.0fd985c7ce263p-13, -0x1.0551cd3ad4cf4p-13, -0x1.f61f9d44e4a23p-14, -0x1.e22241bdc334p-14, -0x1.cea6eb22d1067p-14, -0x1.bba93022a2f55p-14, -0x1.a924d8d2aa33p-14, -0x1.9715dcba8c57dp-14, -0x1.857860ef9d3d7p-14, -0x1.7448b63ff97e7p-14, -0x1.6383576cf847p-14, -0x1.5324e7747d921p-14, -0x1.432a2fe8d236ep-14, -0x1.33901f569edf3p-14, -0x1.2453c7b8ac697p-14, -0x1.15725cf90a977p-14, -0x1.06e9337f43de9p-14, -0x1.f16b7d96888edp-15, -0x1.d5ab20393574bp-15, -0x1.ba8caa4b7e50bp-15, -0x1.a00bad961225dp-15, -0x1.8623efda0ac52p-15, -0x1.6cd1687babf51p-15, -0x1.54103e42a484p-15, -0x1.3bdcc52f2905fp-15, -0x1.24337c635a484p-15, -0x1.0d110c2059addp-15, -0x1.ece487ad073e6p-16, -0x1.c0a830906dddbp-16, -0x1.9567437d4aaaep-16, -0x1.6b1c34a04555bp-16, -0x1.41c1b86ed6c9bp-16, -0x1.1952c076c659bp-16, -0x1.e394f09b1ebbbp-17, -0x1.9648853d8749p-17, -0x1.4ab76cb0d7d0bp-17, -0x1.00d937e8f5c8cp-17, -0x1.714bab79c6311p-18, -0x1.c85637a24e5b8p-19, -0x1.6907e21d0a062p-20, 0x1.63ef3d4d69acp-21, 0x1.60442f8b3c849p-19, 0x1.30b79cf816a29p-18, 0x1.ae4af6a0d50fbp-18, 0x1.1474130365a9ep-17, 0x1.504d5ada363c2p-17, 0x1.8ab6e0401199p-17, 0x1.c3b5fc21ed4aap-17, 0x1.fb4fd62320f0cp-17, 0x1.18c4b3d622052p-16, 0x1.3333bf6ac7192p-16, 0x1.4cf7609704cdep-16, 0x1.6611d73063efdp-16, 0x1.7e85515caa5dep-16, 0x1.9653ecc4465fcp-16, 0x1.ad7fb7b580641p-16, 0x1.c40ab238ffa96p-16, 0x1.d9f6cf182667ep-16, 0x1.ef45f4d5d70a3p-16, 0x1.01fcff4d0bf4ep-15, 0x1.0c0a5e888c599p-15, 0x1.15cbfb9f0bc6fp-15, 0x1.1f42b5a14d605p-15, 0x1.286f678d35756p-15, 0x1.3152e8a667665p-15, 0x1.39ee0cc9b3271p-15, 0x1.4241a4bb880e9p-15, 0x1.4a4e7e71a7aep-15, 0x1.521565583f3cp-15, 0x1.59972292a0811p-15, 0x1.60d47d37c580dp-15, 0x1.67ce3a8acb319p-15, 0x1.6e851e2f92747p-15, 0x1.74f9ea5baddacp-15, 0x1.7b2d6003c889ap-15, 0x1.81203f05acc99p-15, 0x1.86d3464f0fb8dp-15, 0x1.8c473401490b2p-15, 0x1.917cc5921b39dp-15, 0x1.9674b7e9ac912p-15, 0x1.9b2fc77dd522ep-15, 0x1.9faeb06ae1ae6p-15, 0x1.a3f22e89e9c1ep-15, 0x1.a7fafd84d9261p-15, 0x1.abc9d8e848adcp-15, 0x1.af5f7c3344adbp-15, 0x1.b2bca2e51716cp-15, 0x1.b5e2088938dcfp-15, 0x1.b8d068c17ae3p-15, 0x1.bb887f4e82836p-15, 0x1.be0b0816b4614p-15, 0x1.c058bf2b9f843p-15, 0x1.c27260cdff71cp-15, 0x1.c458a9706e7dap-15, 0x1.c60c55b8d5a3bp-15, 0x1.c78e2280b6084p-15, 0x1.c8deccd4557a8p-15, 0x1.c9ff11f0e78f4p-15, 0x1.caefaf41c103dp-15, 0x1.cbb1625ca76dbp-15, 0x1.cc44e8fd4ae7p-15, 0x1.ccab00fffc746p-15, 0x1.cce4685bae1cep-15, 0x1.ccf1dd1b4896bp-15, 0x1.ccd41d5667d52p-15, 0x1.cc8be7298b133p-15, 0x1.cc19f8adbfec3p-15, 0x1.cb7f0fefd9cc8p-15, 0x1.cabbeae7408b9p-15, 0x1.c9d1476c5a237p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.6f480c774056dp-1, 0x1.6dba2faf0c6eep-1, 0x1.6c1d7557b1c5bp-1, 0x1.6a74baf8d4733p-1, 0x1.68c2b1c96e616p-1, 0x1.6709d77e16d08p-1, 0x1.654c715f85c9bp-1, 0x1.638c8951b2d15p-1, 0x1.61cbec7b2409cp-1, 0x1.600c2b43c197cp-1, 0x1.5e4e9a6a503e7p-1, 0x1.5c9454f75f051p-1, 0x1.5ade3edbc0e56p-1, 0x1.592d080f6fad5p-1, 0x1.5781300bfbd83p-1, 0x1.55db098359629p-1, 0x1.543abe38e7107p-1, 0x1.52a052e720291p-1, 0x1.510bab205648dp-1, 0x1.4f7c8d1c55a0ep-1, 0x1.4df2a567ce313p-1, 0x1.4c6d8a6cfb047p-1, 0x1.4aecbfcf30542p-1, 0x1.496fb994d27eap-1, 0x1.47f5df1cce514p-1, 0x1.467e8dddf09ddp-1, 0x1.45091bef8a36cp-1, 0x1.4394da5baaa5p-1, 0x1.4221173bebap-1, 0x1.40ad1fa24f342p-1, 0x1.3f38415019e16p-1, 0x1.3dc1cc3ce2e68p-1, 0x1.3c4913f048d2cp-1, 0x1.3acd70b0dcc26p-1, 0x1.394e408aeca6p-1, 0x1.37cae831d760ep-1, 0x1.3642d3be9a284p-1, 0x1.34b5774e336c5p-1, 0x1.33224f826de69p-1, 0x1.3188e1e789d2p-1, 0x1.2fe8bd4124c62p-1, 0x1.2e4179c0a3a5ap-1, 0x1.2c92b92742a06p-1, 0x1.2adc26d5d4ab5p-1, 0x1.291d77cc15ffcp-1, 0x1.27566a995d3a6p-1, 0x1.2586c74055456p-1, 0x1.23ae5f0f49ae2p-1, 0x1.21cd0c6e77b6dp-1, 0x1.1fe2b2a5b6caep-1, 0x1.1def3d9aafef6p-1, 0x1.1bf2a188c757p-1, 0x1.19ecdab3be384p-1, 0x1.17dded15fc274p-1, 0x1.15c5e40b60e9bp-1, 0x1.13a4d1f962e9fp-1, 0x1.117acff530609p-1, 0x1.0f47fd6878c75p-1, 0x1.0d0c7fb5709bdp-1, 0x1.0ac881da940adp-1, 0x1.087c3416a13dap-1, 0x1.0627cb8d2faaap-1, 0x1.03cb81ec460b4p-1, 0x1.016795133f03p-1, 0x1.fdf88d7689a07p-2, 0x1.f913b843495c3p-2, 0x1.f4213b6857337p-2, 0x1.ef21ad7f82126p-2, 0x1.ea15aa42c122p-2, 0x1.e4fdd1f32c2e8p-2, 0x1.dfdac8c52b4d6p-2, 0x1.daad3652094c6p-2, 0x1.d575c50f0824fp-2, 0x1.d03521ca07b7fp-2, 0x1.caebfb2bda185p-2, 0x1.c59b01403fab4p-2, 0x1.c042e5039298fp-2, 0x1.bae457f619325p-2, 0x1.b5800bb4f7d22p-2, 0x1.b016b198af4efp-2, 0x1.aaa8fa591354p-2, 0x1.a53795b6aa1c1p-2, 0x1.9fc332294d184p-2, 0x1.9a4c7c93fc003p-2, 0x1.94d41ffdb7a0ep-2, 0x1.8f5ac54f4ae9ep-2, 0x1.89e11315d86e7p-2, 0x1.8467ad4a0f563p-2, 0x1.7eef351bd83b7p-2, 0x1.797848c260e6cp-2, 0x1.7403835051b05p-2, 0x1.6e917c8c10d14p-2, 0x1.6922c8cbe344bp-2, 0x1.63b7f8d5cbfe6p-2, 0x1.5e5199c2f915ep-2, 0x1.58f034e69e5b1p-2, 0x1.53944fb811c8bp-2, 0x1.4e3e6bc007f8dp-2, 0x1.48ef0688c6d21p-2, 0x1.43a6999127496p-2, 0x1.3e659a424931bp-2, 0x1.392c79e7ccad9p-2, 0x1.33fba5aa73cb9p-2, 0x1.2ed3868d075b9p-2, 0x1.29b4816b5d902p-2, 0x1.249ef6fb65654p-2, 0x1.1f9343d0116a3p-2, 0x1.1a91c05e08dccp-2, 0x1.159ac101fe8a4p-2, 0x1.10ae960893f44p-2, 0x1.0bcd8bb7a66afp-2, 0x1.06f7ea58f5d69p-2, 0x1.022df64602731p-2, 0x1.fadfdfea16fcdp-3, 0x1.f17c280e3c494p-3, 0x1.e83136ae22f37p-3, 0x1.deff7612c9055p-3, 0x1.d5e74939c8b68p-3, 0x1.cce90bf81382ep-3, 0x1.c405131ded7p-3, 0x1.bb3bac9c0e1b8p-3, 0x1.b28d1fa9c0e09p-3, 0x1.a9f9acebe2a5dp-3, 0x1.a1818e9ca12ffp-3, 0x1.9924f8b3da8a2p-3, 0x1.90e4191005a6ep-3, 0x1.88bf179f89d5dp-3, 0x1.80b6168a6481fp-3, 0x1.78c9325c0f269p-3, 0x1.70f8822d8dba3p-3, 0x1.694417cf8b2c4p-3, 0x1.61abfff476c45p-3, 0x1.5a30425a8c64bp-3, 0x1.52d0e1f5bc419p-3, 0x1.4b8ddd1955056p-3, 0x1.44672da1792e8p-3, 0x1.3d5cc91c33ab2p-3, 0x1.366ea0f239c62p-3, 0x1.2f9ca28f41c44p-3, 0x1.28e6b789df3cbp-3, 0x1.224cc5caeb56bp-3, 0x1.1bceafb45a218p-3, 0x1.156c54478cdcap-3, 0x1.0f258f4b01864p-3, 0x1.08fa396f695b5p-3, 0x1.02ea287421048p-3, 0x1.f9ea5e95e3996p-4, 0x1.ee363c7661fdcp-4, 0x1.e2b786084b55fp-4, 0x1.d76dd1fd6eea4p-4, 0x1.cc58b27cd76d7p-4, 0x1.c177b56330a01p-4, 0x1.b6ca6481cd1b9p-4, 0x1.ac5045dc19413p-4, 0x1.a208dbe38ea6p-4, 0x1.97f3a5b226efp-4, 0x1.8e101f433faebp-4, 0x1.845dc1ab00b02p-4, 0x1.7adc034c366efp-4, 0x1.718a580ca68a3p-4, 0x1.68683187e23eep-4, 0x1.5f74ff4094183p-4, 0x1.56b02ed04e77ep-4, 0x1.4e192c15dd3f8p-4, 0x1.45af61621c8ap-4, 0x1.3d7237a359363p-4, 0x1.3561168f40b4fp-4, 0x1.2d7b64cb5fefep-4, 0x1.25c088143c024p-4, 0x1.1e2fe56304c44p-4, 0x1.16c8e111e9416p-4, 0x1.0f8adeff11436p-4, 0x1.087542ae44eafp-4, 0x1.01876f694364fp-4, 0x1.f58190bda8af6p-5, 0x1.e841618128115p-5, 0x1.db4d17bf0e252p-5, 0x1.cea37a8ee9942p-5, 0x1.c24351b22d7cfp-5, 0x1.b62b65c636737p-5, 0x1.aa5a80741367cp-5, 0x1.9ecf6c9e121a8p-5, 0x1.9388f68b2547ap-5, 0x1.8885ec102daf6p-5, 0x1.7dc51cb733b4ap-5, 0x1.734559e49fff1p-5, 0x1.690576fa80d82p-5, 0x1.5f044979e7e14p-5, 0x1.5540a9226d265p-5, 0x1.4bb9700fe870ap-5, 0x1.426d7ad668f2p-5, 0x1.395ba89c7b1cbp-5, 0x1.3082db33c8f9dp-5, 0x1.27e1f73022013p-5, 0x1.1f77e3fcf6111p-5, 0x1.17438bf150884p-5, 0x1.0f43dc6260893p-5, 0x1.0777c5b497e4ap-5, 0x1.ffbc76d6e26bdp-6, 0x1.f0ec686fc5a3bp-6, 0x1.e27d540b20f3ap-6, 0x1.d46d340d82e8ap-6, 0x1.c6ba097e53a41p-6, 0x1.b961dc1b24f71p-6, 0x1.ac62ba68cb525p-6, 0x1.9fbab9c261507p-6, 0x1.9367f666411d9p-6, 0x1.876893810dc58p-6, 0x1.7bbabb36dd4bbp-6, 0x1.705c9eaa95d92p-6, 0x1.654c760393cffp-6, 0x1.5a888071abc5bp-6, 0x1.500f042f95c1cp-6, 0x1.45de4e83d6293p-6, 0x1.3bf4b3c039738p-6, 0x1.32508f3fe9b29p-6, 0x1.28f043643a125p-6, 0x1.1fd239902c8a9p-6, 0x1.16f4e222cc7f3p-6, 0x1.0e56b47061d3cp-6, 0x1.05f62eba945fdp-6, 0x1.fba3ac4f160bap-7, 0x1.ebd06d70235e5p-7, 0x1.dc6fc679a87fdp-7, 0x1.cd7eea95819ccp-7, 0x1.befb1a5d2c16bp-7, 0x1.b0e1a3bf5ee5p-7, 0x1.a32fe1e42e014p-7, 0x1.95e33d0fd93e4p-7, 0x1.88f92a8456045p-7, 0x1.7c6f2c61a63fp-7, 0x1.7042d1851b72p-7, 0x1.6471b56791385p-7, 0x1.58f97ffab5b1cp-7, 0x1.4dd7e58570c23p-7, 0x1.430aa67f817fbp-7, 0x1.388f8f6c5800cp-7, 0x1.2e6478b548cffp-7, 0x1.2487468321e82p-7, 0x1.1af5e897333aap-7, 0x1.11ae5a23d8d4cp-7, 0x1.08aea1a4958ddp-7, 0x1.ffe9a16b96f28p-8, 0x1.eefe07d83f86ap-8, 0x1.de96c5572a761p-8, 0x1.ceb03dfcd466fp-8, 0x1.bf46ead78ec7p-8, 0x1.b057599c8b5a7p-8, 0x1.a1de2c54b6d08p-8, 0x1.93d819096c382p-8, 0x1.8641e9711b82p-8, 0x1.79187a9bf1b2ep-8, 0x1.6c58bca093a9ep-8, 0x1.5fffb249016eep-8, 0x1.540a70bfa95adp-8, 0x1.48761f3cc22e4p-8, 0x1.3d3ff6b3f3b09p-8, 0x1.3265418261429p-8, 0x1.27e35b1d1e471p-8, 0x1.1db7afc01abc2p-8, 0x1.13dfbc1d9196bp-8, 0x1.0a590d0e08a3fp-8, 0x1.01213f40e3e92p-8, 0x1.f06bfddb37688p-9, 0x1.df2a0f0b3d50dp-9, 0x1.ce7846cdc6db8p-9, 0x1.be52571e6ccffp-9, 0x1.aeb40ea08da82p-9, 0x1.9f995808fc8edp-9, 0x1.90fe398946d0ep-9, 0x1.82ded43ca7669p-9, 0x1.75376396a8051p-9, 0x1.68043cd37eea9p-9, 0x1.5b41ce6a32674p-9, 0x1.4eec9f8087c4ap-9, 0x1.43014f60c71c7p-9, 0x1.377c94f159c0dp-9, 0x1.2c5b3e2e43c5dp-9, 0x1.219a2fa48aaf5p-9, 0x1.173663ef7d723p-9, 0x1.0d2ceb37ef3aep-9, 0x1.037aeab55da8ep-9, 0x1.f43b38621a61bp-10, 0x1.e2249b1632c9dp-10, 0x1.d0acc082f3671p-10, 0x1.bfce91f1fe3bap-10, 0x1.af851e108f07fp-10, 0x1.9fcb98095613dp-10, 0x1.909d56a240647p-10, 0x1.81f5d35e245fp-10, 0x1.73d0a9a2683aep-10, 0x1.662995e07f5d7p-10, 0x1.58fc74c35763dp-10, 0x1.4c4542609af59p-10, 0x1.4000196dd9037p-10, 0x1.34293279720b6p-10, 0x1.28bce3275e86ap-10, 0x1.1db79d71b91c9p-10, 0x1.1315eeed05d99p-10, 0x1.08d480102fa86p-10, 0x1.fde0270081ca8p-11, 0x1.eacb0abf614c4p-11, 0x1.d8639542be219p-11, 0x1.c6a3e0be38c1bp-11, 0x1.b58636677ce2fp-11, 0x1.a5050d316daacp-11, 0x1.951b088e3f611p-11, 0x1.85c2f7386b4b8p-11, 0x1.76f7d2026523ep-11, 0x1.68b4baacff3f6p-11, 0x1.5af4fac466a99p-11, 0x1.4db402839f199p-11, 0x1.40ed67be69d18p-11, 0x1.349ce4d17ea24p-11, 0x1.28be579901e93p-11, 0x1.1d4dc06d1d696p-11, 0x1.12474124a5eep-11, 0x1.07a71c1db6852p-11, 0x1.fad366984c26dp-12, 0x1.e7170e9b87c6ep-12, 0x1.d4126d087e87dp-12, 0x1.c1bef86948bc2p-12, 0x1.b0165f58a6ee8p-12, 0x1.9f1286d6bcb56p-12, 0x1.8ead88a861c99p-12, 0x1.7ee1b1c0d8be5p-12, 0x1.6fa980b5c090cp-12, 0x1.60ffa43d0beaep-12, 0x1.52def9b4d183ep-12, 0x1.45428bb4c56dfp-12, 0x1.382590a92b93fp-12, 0x1.2b8369771577ep-12, 0x1.1f57a029bcce5p-12, 0x1.139de6a8cc212p-12, 0x1.08521577662f3p-12, 0x1.fae054f78a9d1p-13, 0x1.e5e88f9e75f07p-13, 0x1.d1b5652cda87fp-13, 0x1.be3fa3c33fc5fp-13, 0x1.ab805b29c1ef5p-13, 0x1.9970daafd081ep-13, 0x1.880aaf1b14d7ep-13, 0x1.7747a0a50a332p-13, 0x1.6721b10713d9bp-13, 0x1.57931994ac60dp-13, 0x1.48964963627f1p-13, 0x1.3a25e38055edbp-13, 0x1.2c3cbd32dcfbcp-13, 0x1.1ed5dc4c11f83p-13, 0x1.11ec7582f02dfp-13, 0x1.057beadcb8635p-13, 0x1.f2ff9442b0dp-14, 0x1.dbe796b6fe742p-14, 0x1.c5a79ec84f6cap-14, 0x1.b037bcf281515p-14, 0x1.9b904dbe73b33p-14, 0x1.87a9f71a54558p-14, 0x1.747da5c6a0515p-14, 0x1.62048ad74ba5bp-14, 0x1.503819489681dp-14, 0x1.3f1203a70a137p-14, 0x1.2e8c39ca24291p-14, 0x1.1ea0e6a13190ap-14, 0x1.0f4a6e11e38d7p-14, 0x1.00836ae825889p-14, 0x1.e48d59ad84cap-15, 0x1.c91e6d10c74eep-15, 0x1.aeb07780fe275p-15, 0x1.953a3f1782dfdp-15, 0x1.7cb2e4ff1b8ap-15, 0x1.6511e2104cea4p-15, 0x1.4e4f038a35d8fp-15, 0x1.386267e7261c9p-15, 0x1.23447bcc2ee8p-15, 0x1.0eedf712edac6p-15, 0x1.f6afb3d99a7dbp-16, 0x1.d0f6d43e1c742p-16, 0x1.aca460adb39efp-16, 0x1.89abeb296884fp-16, 0x1.6801815d3d051p-16, 0x1.4799a7d0847bep-16, 0x1.28695541010ecp-16, 0x1.0a65ee2784be9p-16, 0x1.db0a80c9bc7ap-17, 0x1.a37afe2bc2e36p-17, 0x1.6e0a7d1ab16bep-17, 0x1.3aa6e0e57d1abp-17, 0x1.093ec00948796p-17, 0x1.b382b9f6ac8e1p-18, 0x1.583d3e6c0d69ep-18, 0x1.008e190d9cd23p-18, 0x1.58af0a6c7c173p-19, 0x1.6df386526b5d2p-20, 0x1.bc5486a26dba6p-23, -0x1.e48d880f5b4fap-21, -0x1.07f336c998b13p-19, -0x1.90db4458fe015p-19, -0x1.0a0560b85ee8ep-18, -0x1.48d7906bb30ddp-18, -0x1.84fa122a0a671p-18, -0x1.be81f775a340dp-18, -0x1.f5838b32f9da7p-18, -0x1.15092d0a3f356p-17, -0x1.2e209d58b2916p-17, -0x1.46112aa53264p-17, -0x1.5ce3959f98f2fp-17, -0x1.72a04f1bae19fp-17, -0x1.874f7b80a142cp-17, -0x1.9af8f614c379ep-17, -0x1.ada45426cf88dp-17, -0x1.bf58e815ef4e9p-17, -0x1.d01dc4399c1ep-17, -0x1.dff9bdaa8e89dp-17, -0x1.eef36eedc9acdp-17, -0x1.fd113a82df46ap-17, -0x1.052ca6ab34708p-16, -0x1.0b68d08ce04d5p-16, -0x1.113fff4075da6p-16, -0x1.16b4ffb3dd254p-16, -0x1.1bca886f72fbbp-16, -0x1.20833a911c4b4p-16, -0x1.24e1a2bc41b6ap-16, -0x1.28e839ff1a6c3p-16, -0x1.2c9966adb8cedp-16, -0x1.2ff77d33369efp-16, -0x1.3304c0d95e501p-16, -0x1.35c364873a069p-16, -0x1.38358b76db1b3p-16, -0x1.3a5d49e2b155bp-16, -0x1.3c3ca5aacca8bp-16, -0x1.3dd596f25dbdcp-16, -0x1.3f2a08b5b79cep-16, -0x1.403bd959318c5p-16, -0x1.410cdb312440ap-16, -0x1.419ed50358d2fp-16, -0x1.41f382821f8a5p-16, -0x1.420c94c15f2bep-16, -0x1.41ebb2a5d72f2p-16, -0x1.4192794ed2cf2p-16, -0x1.41027c7a9225fp-16, -0x1.403d46e59263ap-16, -0x1.3f445aa5068eep-16, -0x1.3e19317c9b77dp-16, -0x1.3cbd3d2fd3f78p-16, -0x1.3b31e7cf20122p-16, -0x1.39789400e44edp-16, -0x1.37929d46a6975p-16, -0x1.3581583e83368p-16, -0x1.334612e11c65dp-16, -0x1.30e214bc2fa64p-16, -0x1.2e569f29f2c24p-16, -0x1.2ba4ed8566973p-16, -0x1.28ce355bbea19p-16, -0x1.25d3a69b0ab2bp-16, -0x1.22b66bbe37b3dp-16, -0x1.1f77a9f69706dp-16, -0x1.1c18815302daap-16, -0x1.189a0ce4c0984p-16, -0x1.14fd62e24571p-16, -0x1.114394c7e94c6p-16, -0x1.0d6daf76bb403p-16, -0x1.097cbb517791ep-16, -0x1.0571bc57ce183p-16, -0x1.014db24000314p-16, -0x1.fa23311dfd4f3p-17, -0x1.f17ccd5e0f0c4p-17, -0x1.e8aa2009e2805p-17, -0x1.dfad080847cd3p-17, -0x1.d6875c82b7968p-17, -0x1.cd3aed0897d2bp-17, -0x1.c3c981b05000cp-17, -0x1.ba34db365f325p-17, -0x1.b07eb31a8ddbfp-17, -0x1.a6a8bbbb59af2p-17, -0x1.9cb4a06fb3fd7p-17, -0x1.92a4059f40c3p-17, -0x1.887888d913768p-17, -0x1.7e33c0e92907bp-17, -0x1.73d73dec8c50ap-17, -0x1.6964896461801p-17, -0x1.5edd2647d42b5p-17, -0x1.5442911514b38p-17, -0x1.49963fe15def7p-17, -0x1.3ed9a268261ep-17, -0x1.340e221992c4ep-17, -0x1.293522282dc04p-17, -0x1.1e4fff95f9a1bp-17, -0x1.13601140f02ebp-17, -0x1.0866a7eef7f5ap-17, -0x1.faca1cb2c1a91p-18, -0x1.e4b9126fe4371p-18, -0x1.ce9cae972e863p-18, -0x1.b87762d16e0f4p-18, -0x1.a24b95027ad5fp-18, -0x1.8c1b9f5ccb72ep-18, -0x1.75e9d07492f07p-18, -0x1.5fb86b52854dep-18, -0x1.4989a786478fp-18, -0x1.335fb138a1899p-18, -0x1.1d3ca93d7fda3p-18, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      37, 0x1.4eb851eb851ecp+2, 0x1.d95c05b8f9d7cp+0, 0x1.0b1967c7d4aa7p+2, -0x1.6a719b245266cp-1, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.54c18d3a4a733p+1, -0x1.8ecfd3a1390f3p+2, 0x1.70b6accf950cp+2, 0x1.ff6056a17bbccp-1}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.0c7eed8c30b4dp+1, -0x1.4326c5390558bp+2, 0x1.83e3e34270164p+2, -0x1.3f9c3624eda3fp+2}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.a5f7dcc28bc44p+0, -0x1.fe52cc63ec1dap+1, 0x1.2401d30428cb6p+2, -0x1.4f9f863207d07p+1}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.4ae99dd89c9fcp+0, -0x1.9396dabaccac6p+1, 0x1.e353ca92e8d86p+1, -0x1.4baeb83352cbap+1}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.0332a8fbb82e3p+0, -0x1.3cdfd15746fcep+1, 0x1.7fd293505001bp+1, -0x1.030d9d6d431dfp+1}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.95f677347cc9p-1, -0x1.efc3431f39ae1p+0, 0x1.321b4a7c55789p+1, -0x1.aea35e4b50b58p+0}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.3e3175468567p-1, -0x1.823d3f324fac1p+0, 0x1.e30592487920fp+0, -0x1.5a8c7a55c7ca7p+0}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.f3d34b5ecd311p-2, -0x1.2c0806e3d47b2p+0, 0x1.7b0ea0c856cb2p+0, -0x1.1669924255932p+0}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.89dc88d41f2b1p-2, -0x1.d12504528b612p-1, 0x1.27888e813d1eep+0, -0x1.b9ee83ac3f521p-1}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.37c51fd53ce8p-2, -0x1.68306dfd9dca6p-1, 0x1.ca7cc24ecda4ep-1, -0x1.5bac66e78b5ebp-1}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.f069c503abd61p-3, -0x1.16ec02894833ep-1, 0x1.622f703c8a3b9p-1, -0x1.0ee82590a8cebp-1}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.8ded9d54bed12p-3, -0x1.b06c92c077b86p-2, 0x1.10e9cb5df130bp-1, -0x1.a2b52fd6b1012p-2}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, 0x1.4185c0da07352p-3, -0x1.4fd1ee5c3627bp-2, 0x1.a436d52ead47fp-2, -0x1.417470f2b7489p-2}, 
        {0x1.7333333333333p+1, 0x1.8p+1, 0x1.061eadcb1b1f9p-3, -0x1.056bbcdf4713cp-2, 0x1.43c719b2a97eep-2, -0x1.ebdc814e33d76p-3}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, 0x1.afa3837ec55bp-4, -0x1.9816216ca2f39p-3, 0x1.f3ff3fcddd09ep-3, -0x1.78abd1c550e6fp-3}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, 0x1.67449dec41168p-4, -0x1.3f631d844368fp-3, 0x1.82fee745de5ep-3, -0x1.2274d0c7624a6p-3}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, 0x1.2e8cb2c164668p-4, -0x1.f5674735fb739p-4, 0x1.2bdbdbd6da7afp-3, -0x1.c6108f7cb6d44p-4}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, 0x1.01f3ce9b8eee4p-4, -0x1.8b14f3946c1b1p-4, 0x1.cf7f8ca1e4836p-4, -0x1.69d61147591bep-4}, 
        {0x1.b333333333333p+1, 0x1.cp+1, 0x1.bd6f4651436a8p-5, -0x1.393cbe5f24ea7p-4, 0x1.62f28772e3613p-4, -0x1.26ab32530ca59p-4}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, 0x1.854bfc7390f06p-5, -0x1.f62cfcc8841e5p-5, 0x1.0a8bf859f92f7p-4, -0x1.e8d125cc40036p-5}, 
        {0x1.ccccccccccccdp+1, 0x1.d99999999999ap+1, 0x1.57ebdea15da38p-5, -0x1.9a38b6bc93012p-5, 0x1.8272cbc378c41p-5, -0x1.989cb82c32de2p-5}, 
        {0x1.d99999999999ap+1, 0x1.e666666666666p+1, 0x1.325ae6c940391p-5, -0x1.5930b23aa5564p-5, 0x1.07dd614fcfe7cp-5, -0x1.520885417cae8p-5}, 
        {0x1.e666666666666p+1, 0x1.f333333333333p+1, 0x1.1222fd3a228a4p-5, -0x1.2e8eea71c49dep-5, 0x1.44e8d911ee9adp-6, -0x1.0d330f36e7284p-5}, 
        {0x1.f333333333333p+1, 0x1p+2, 0x1.ea78eefc4e45bp-6, -0x1.1624aecb38cfap-5, 0x1.46c79fe1fb05p-7, -0x1.8a13cb729572ap-6}, 
        {0x1p+2, 0x1.0666666666666p+2, 0x1.b415642cbd9d9p-6, -0x1.0bb72892481a1p-5, 0x1.6955640e85662p-9, -0x1.dd27453379952p-7}, 
        {0x1.0666666666666p+2, 0x1.0cccccccccccdp+2, 0x1.7ec0e92498c62p-6, -0x1.0ac7068f49441p-5, -0x1.a680445e7f621p-10, -0x1.23f1892e6913bp-8}, 
        {0x1.0cccccccccccdp+2, 0x1.1333333333333p+2, 0x1.490f9efc69b19p-6, -0x1.0e834b057da81p-5, -0x1.826aa7b17ebddp-9, 0x1.7fe53c7d3d35cp-8}, 
        {0x1.1333333333333p+2, 0x1.199999999999ap+2, 0x1.1292474673bf8p-6, -0x1.11e7495eeb7dbp-5, -0x1.3828a0664da34p-10, 0x1.00048950ab4bbp-6}, 
        {0x1.199999999999ap+2, 0x1.2p+2, 0x1.b7b40850f42abp-7, -0x1.1003a1e9de86ep-5, 0x1.ca5cf95b411afp-9, 0x1.850a44bb14c7ep-6}, 
        {0x1.2p+2, 0x1.2666666666666p+2, 0x1.4cd2520a27029p-7, -0x1.0472f4ce3e0aap-5, 0x1.5c03cdfa43243p-7, 0x1.d813298c8a9a3p-6}, 
        {0x1.2666666666666p+2, 0x1.2cccccccccccdp+2, 0x1.d221eaaa2055cp-8, -0x1.d7ef327caea6cp-6, 0x1.3ba14040e4bfcp-6, 0x1.d9b6311e2a877p-6}, 
        {0x1.2cccccccccccdp+2, 0x1.3333333333333p+2, 0x1.23e0f7f4d3682p-8, -0x1.8a98d75ce0e77p-6, 0x1.c9be4efd24b6p-6, 0x1.6f7851428b5e6p-6}, 
        {0x1.3333333333333p+2, 0x1.399999999999ap+2, 0x1.33a3a09b8e7f7p-9, -0x1.240635c469dcbp-6, 0x1.1bfe007bc0dc2p-5, 0x1.478cb6735b621p-8}, 
        {0x1.399999999999ap+2, 0x1.4p+2, 0x1.e074571ed1f8ep-11, -0x1.5ff1072188b38p-7, 0x1.28467a867aafep-5, -0x1.3935590a3b7cdp-6}, 
        {0x1.4p+2, 0x1.4666666666666p+2, 0x1.83c427dce685cp-13, -0x1.0b6d73a0543f2p-8, 0x1.f2968d89e3879p-6, -0x1.457804dbc9e24p-4}, 
        {0x1.4666666666666p+2, 0x1.4cccccccccccdp+2, 0x1.c6811200acffep-20, -0x1.8c837ed6fc4c8p-12, 0x1.b01a1ed55eb2ep-8, -0x1.e871779ecd173p-6}, 
        {0x1.4cccccccccccdp+2, 0x1.4eb851eb851ecp+2, 0x0p+0, 0x1.8336fb7d99883p-15, -0x1.340f47d2620c2p-9, -0x1.29c73a3612a88p-4}, 
      }}, 
      0x1.75ec6b9ccd3dap+2, -0x1.4fa6e89b2f98cp+6
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_o_zn() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.47a92bec73897p-1, -0x1.3b643c42b8c35p-1, -0x1.2ec579eebc35ep-1, -0x1.21ee01d769a77p-1, -0x1.14fc18d475f45p-1, -0x1.080b14862da44p-1, -0x1.f6666c86da03bp-2, -0x1.dd13eec595014p-2, -0x1.c4431bc6a0adbp-2, -0x1.ac1404bfd5a7ap-2, -0x1.94a075ab38de4p-2, -0x1.7dfd65fcd0d83p-2, -0x1.683c84197dc15p-2, -0x1.536a678965ffp-2, -0x1.3f902b6104bafp-2, -0x1.2cb39ab68489p-2, -0x1.1ad7b036613a1p-2, -0x1.09fcfff61c788p-2, -0x1.f443d8db99866p-3, -0x1.d6858ac6feb13p-3, -0x1.bab4341c1fa04p-3, -0x1.a0c2385292135p-3, -0x1.889fa81c513cp-3, -0x1.723ab419b6e73p-3, -0x1.5d80634b36d4ep-3, -0x1.4a5cfa5e77615p-3, -0x1.38bbdb71284a6p-3, -0x1.2887814951bf8p-3, -0x1.19aa0e0b69202p-3, -0x1.0c0e131f42c46p-3, -0x1.ff3ddfe345faep-4, -0x1.e8913f199eef6p-4, -0x1.d3eea9b5a7cc5p-4, -0x1.c12d951f42d02p-4, -0x1.b028208ecbc1cp-4, -0x1.a0bb500203983p-4, -0x1.92c4f83928a8bp-4, -0x1.86249fcf797b7p-4, -0x1.7abb89b450dc6p-4, -0x1.706cc36856be1p-4, -0x1.671d2a9e5f556p-4, -0x1.5eb36c4b89867p-4, -0x1.5717f94fa4424p-4, -0x1.5034f7021d5ep-4, -0x1.49f63191509a4p-4, -0x1.44490d242e425p-4, -0x1.3f1c6f0f7ac59p-4, -0x1.3a60a434050a2p-4, -0x1.360746117dd07p-4, -0x1.3203306b90757p-4, -0x1.2e48780530ca2p-4, -0x1.2acc5edb8e117p-4, -0x1.27853d686c60cp-4, -0x1.246a6552d05b8p-4, -0x1.21740a5f1b4d5p-4, -0x1.1e9b31b8eb8f4p-4, -0x1.1bd9ac6f5fce4p-4, -0x1.192a12f18ab26p-4, -0x1.1687bce1746d6p-4, -0x1.13eeb2f2ad9cbp-4, -0x1.115b9d7663ff4p-4, -0x1.0ecbb41e97439p-4, -0x1.0c3cadcc325f1p-4, -0x1.09acb36a8eb3dp-4, -0x1.071a52f00462dp-4, -0x1.048471e7f69c8p-4, -0x1.01ea428c55607p-4, -0x1.fe9675e5aabdfp-5, -0x1.f94e2400e483dp-5, -0x1.f3fb7f179f62fp-5, -0x1.ee9ef898fd5fep-5, -0x1.e93984b8c813ap-5, -0x1.e3cc8acc763dcp-5, -0x1.de59ccd136562p-5, -0x1.d8e3444ffdedcp-5, -0x1.d36aff3076454p-5, -0x1.cdf300fd57963p-5, -0x1.c880b1ad648dep-5, -0x1.c30bb057ed534p-5, -0x1.bd9c4ca74682ep-5, -0x1.b834d1822c13ep-5, -0x1.b2d77f8cb57dfp-5, -0x1.ad86870b2dbe4p-5, -0x1.a84402d467c12p-5, -0x1.a311f832bee6p-5, -0x1.9df258df68f5fp-5, -0x1.98e705d5c99e8p-5, -0x1.93f1d2828befap-5, -0x1.8f1486a46cae4p-5, -0x1.8a50df7510213p-5, -0x1.85a88dc57fcbdp-5, -0x1.811d35bb5e797p-5, -0x1.7cb0666e45296p-5, -0x1.786399d69e288p-5, -0x1.74382dd3bbf32p-5, -0x1.702f5fe14b76cp-5, -0x1.6c4a4d1e17d8ap-5, -0x1.6889ec11a500dp-5, -0x1.64ef0f7138f6bp-5, -0x1.617a658b3f5e5p-5, -0x1.5e2c7a1c7223cp-5, -0x1.5b05b823dc022p-5, -0x1.58066cf174c5dp-5, -0x1.552eca0c54d49p-5, -0x1.527ee8548d23p-5, -0x1.4ff6ca3b34ca5p-5, -0x1.4d965ced6d35p-5, -0x1.4b5d7a474369p-5, -0x1.494be9bec0eafp-5, -0x1.47615efb25d1fp-5, -0x1.459d7c9a463b9p-5, -0x1.43ffd1556d44fp-5, -0x1.4287d8ca15b4ap-5, -0x1.4134faff0f058p-5, -0x1.40068c69cad09p-5, -0x1.3efbce854ebd5p-5, -0x1.3e13efc3742b7p-5, -0x1.3d4e0e3b1e234p-5, -0x1.3ca93755e152bp-5, -0x1.3c246a96edadbp-5, -0x1.3bbe9c2b3be1dp-5, -0x1.3b76b3a24903ap-5, -0x1.3b4b90addecf1p-5, -0x1.3b3c0aa34ea52p-5, -0x1.3b46f23d18d96p-5, -0x1.3b6b127986b5fp-5, -0x1.3ba7315945ee2p-5, -0x1.3bfa10bdcddbbp-5, -0x1.3c626eb9d4c73p-5, -0x1.3cdf06d7d8b2ap-5, -0x1.3d6e919e8c061p-5, -0x1.3e0fc6f698c3cp-5, -0x1.3ec15ccfe727ep-5, -0x1.3f8208e9fc6c2p-5, -0x1.405081ea6eab6p-5, -0x1.412b7e5989824p-5, -0x1.4211b73c1a106p-5, -0x1.4301e70b66461p-5, -0x1.43facaf71343dp-5, -0x1.44fb2359c188bp-5, -0x1.4601b433682f3p-5, -0x1.470d45b342346p-5, -0x1.481ca4d961915p-5, -0x1.492ea3cd4bb7bp-5, -0x1.4a421ad4fe716p-5, -0x1.4b55e8165a51ep-5, -0x1.4c68f165f3458p-5, -0x1.4d7a2312e7392p-5, -0x1.4e8870e10bdd3p-5, -0x1.4f92d77cd1938p-5, -0x1.50985b0c54e6ep-5, -0x1.51980825114b1p-5, -0x1.5290f3f7a04c6p-5, -0x1.53823bb6b564ap-5, -0x1.546b0592236bap-5, -0x1.554a800fd1db7p-5, -0x1.561fe20d1e10ep-5, -0x1.56ea6b2984d45p-5, -0x1.57a962a71c4afp-5, -0x1.585c19a2cb109p-5, -0x1.5901e8f867c87p-5, -0x1.599a32058fe2bp-5, -0x1.5a245f695eff1p-5, -0x1.5a9fe4165476cp-5, -0x1.5b0c3be2fd05dp-5, -0x1.5b686854b53b5p-5, -0x1.5bb501256a98bp-5, -0x1.5bf11a410f8c8p-5, -0x1.5c1c524fd35e1p-5, -0x1.5c36509666ca1p-5, -0x1.5c3ec53cfeb81p-5, -0x1.5c3568cc213a1p-5, -0x1.5c19fcb5e503cp-5, -0x1.5bec497de3c3dp-5, -0x1.5bac218dee2acp-5, -0x1.5b595e7b2c17p-5, -0x1.5af3e0f60fcp-5, -0x1.5a7b92bc7e48ap-5, -0x1.59f063a4c8b4fp-5, -0x1.59524ad753edep-5, -0x1.58a14712263ap-5, -0x1.57dd5d21d5fa7p-5, -0x1.57069887f0cbap-5, -0x1.561d0addcb277p-5, -0x1.5520cbd4c8dfdp-5, -0x1.5411f8e1e2b21p-5, -0x1.52f0b50374281p-5, -0x1.51bd28b1df64p-5, -0x1.50778164fe847p-5, -0x1.4f1ff18db0709p-5, -0x1.4db6b097a5686p-5, -0x1.4c3bfa2442ffdp-5, -0x1.4ab00eb76a0afp-5, -0x1.4913319eab03cp-5, -0x1.4765ac281d77ap-5, -0x1.45a7c9e2d3c35p-5, -0x1.43d9daacaabd1p-5, -0x1.41fc314a1e99p-5, -0x1.400f243c8d3cp-5, -0x1.3e130c276b5p-5, -0x1.3c08459f43442p-5, -0x1.39ef2f1967099p-5, -0x1.37c82985d512ap-5, -0x1.3593987b94145p-5, -0x1.3351e11eba104p-5, -0x1.31036abd6bca5p-5, -0x1.2ea89e4010146p-5, -0x1.2c41e633c1d16p-5, -0x1.29cfae41e8864p-5, -0x1.2752634cf1e2ap-5, -0x1.24ca73807b154p-5, -0x1.22384d57e59b6p-5, -0x1.1f9c6056b1cf1p-5, -0x1.1cf71ca42e2eep-5, -0x1.1a48f1c20afffp-5, -0x1.179250eabbc15p-5, -0x1.14d3aa6b8a25p-5, -0x1.120d6e970312cp-5, -0x1.0f400e200dcd4p-5, -0x1.0c6bf88cf2765p-5, -0x1.09919d6f21ce5p-5, -0x1.06b16babf310bp-5, -0x1.03cbd1590cf5dp-5, -0x1.00e13c3571a19p-5, -0x1.fbe4311379888p-6, -0x1.f5fda3b1ae30cp-6, -0x1.f00fa4e95fdadp-6, -0x1.ea1b06c1a05dp-6, -0x1.e4209a47b8c59p-6, -0x1.de212a9b67c7ap-6, -0x1.d81d836c79882p-6, -0x1.d2166b1fb069p-6, -0x1.cc0ca5c6d4f29p-6, -0x1.c600f3d7fb241p-6, -0x1.bff41256c79d7p-6, -0x1.b9e6bb5f81fc3p-6, -0x1.b3d9a2dec84f6p-6, -0x1.adcd7ca618a91p-6, -0x1.a7c2f63ef065dp-6, -0x1.a1bab9c595d05p-6, -0x1.9bb56d564612ep-6, -0x1.95b3b2d70d2a7p-6, -0x1.8fb628208c668p-6, -0x1.89bd66be3d4e8p-6, -0x1.83ca03ea71101p-6, -0x1.7ddc90ad3c46cp-6, -0x1.77f599c5a9316p-6, -0x1.7215a6dfbd728p-6, -0x1.6c3d3c20292a8p-6, -0x1.666cd9553799fp-6, -0x1.60a4f8b50324dp-6, -0x1.5ae61128d141cp-6, -0x1.5530950818533p-6, -0x1.4f84f1b2cebc3p-6, -0x1.49e39077285f4p-6, -0x1.444cd63ac8deep-6, -0x1.3ec123a239c0cp-6, -0x1.3940d523eff26p-6, -0x1.33cc42269802p-6, -0x1.2e63be56128c7p-6, -0x1.29079a1d3d1bfp-6, -0x1.23b81ff44d4fep-6, -0x1.1e75977c22f8cp-6, -0x1.1940438f6380fp-6, -0x1.1418633d2e70fp-6, -0x1.0efe31f8df4d2p-6, -0x1.09f1e6c53a95ap-6, -0x1.04f3b5549ba99p-6, -0x1.0003cd48f6521p-6, -0x1.f644b573bd1e2p-7, -0x1.ec9f0bccc2b33p-7, -0x1.e316e784359bep-7, -0x1.d9ac8be6b0bbcp-7, -0x1.d060349e4fa34p-7, -0x1.c73216fe45c83p-7, -0x1.be22624a117p-7, -0x1.b5313f3a5ab58p-7, -0x1.ac5ecfc7978e1p-7, -0x1.a3ab309720bd4p-7, -0x1.9b167a436a554p-7, -0x1.92a0bbdd0a7bdp-7, -0x1.8a4a0158f0c93p-7, -0x1.821251b0469aep-7, -0x1.79f9ad671915ep-7, -0x1.7200113030c87p-7, -0x1.6a257399d0bep-7, -0x1.6269c8e9f59c9p-7, -0x1.5accff3692141p-7, -0x1.534efee0b578ep-7, -0x1.4befaecac3fa9p-7, -0x1.44aef09abf858p-7, -0x1.3d8ca20c9fa9cp-7, -0x1.36889cee3b14cp-7, -0x1.2fa2b8c5f1394p-7, -0x1.28dac89fec51ep-7, -0x1.22309c6ae1b96p-7, -0x1.1ba40130210efp-7, -0x1.1534c1cfaecf7p-7, -0x1.0ee2a476b9b9ap-7, -0x1.08ad6e209099dp-7, -0x1.0294e109ee667p-7, -0x1.f93179c49fc86p-8, -0x1.ed717e22e24b7p-8, -0x1.e1e946ba9174cp-8, -0x1.d69845bdbb3eep-8, -0x1.cb7dea5ad8dbfp-8, -0x1.c099a023f2ee7p-8, -0x1.b5ead00be4c3ep-8, -0x1.ab70df18af25cp-8, -0x1.a12b301a25447p-8, -0x1.9719227b55ad1p-8, -0x1.8d3a154e9b364p-8, -0x1.838d6312f1f0ap-8, -0x1.7a12666b33136p-8, -0x1.70c876a28b483p-8, -0x1.67aeebcdb225fp-8, -0x1.5ec5193f674c7p-8, -0x1.560a53c6c22e8p-8, -0x1.4d7def7c7f0edp-8, -0x1.451f3eb2f866dp-8, -0x1.3ced90be9f306p-8, -0x1.34e83afb211a8p-8, -0x1.2d0e8bf5ca5f9p-8, -0x1.255fd4e2122d8p-8, -0x1.1ddb6727bc55bp-8, -0x1.16809443a3122p-8, -0x1.0f4ead9d988f3p-8, -0x1.084505383b8dbp-8, -0x1.0162edefa9ef8p-8, -0x1.f54f7508c78f5p-9, -0x1.e8257f9d3f4dap-9, -0x1.db46a487d23a4p-9, -0x1.ceb19248d5f79p-9, -0x1.c264f8014165ep-9, -0x1.b65f84d102cf6p-9, -0x1.aa9fee4780771p-9, -0x1.9f24eb7ee716fp-9, -0x1.93ed36a255858p-9, -0x1.88f78db074b72p-9, -0x1.7e42b0981bf6bp-9, -0x1.73cd65178696ep-9, -0x1.699674db05f6cp-9, -0x1.5f9ca963a49a4p-9, -0x1.55ded2c43ae4fp-9, -0x1.4c5bc567b5768p-9, -0x1.431257c4c9fb5p-9, -0x1.3a0166b5ca1b9p-9, -0x1.3127d4b10763p-9, -0x1.288484a3ba11ap-9, -0x1.20165e36a20d5p-9, -0x1.17dc4ee7ae12dp-9, -0x1.0fd548c4b547cp-9, -0x1.08003f9c26ebep-9, -0x1.005c2e97c95adp-9, -0x1.f1d02745c8f7dp-10, -0x1.e345e214a567dp-10, -0x1.d51799a7dc8e5p-10, -0x1.c74364115929fp-10, -0x1.b9c76008222f5p-10, -0x1.aca1b1852ed94p-10, -0x1.9fd087e2227cbp-10, -0x1.93521a02df43ap-10, -0x1.8724a4b0fa805p-10, -0x1.7b466f034703ap-10, -0x1.6fb5c2d991812p-10, -0x1.6470fba370946p-10, -0x1.5976719821cc7p-10, -0x1.4ec489e66871dp-10, -0x1.4459b05dafd66p-10, -0x1.3a34556ac2a61p-10, -0x1.3052f507ebf3p-10, -0x1.26b40e0bc8675p-10, -0x1.1d56279c81a17p-10, -0x1.1437d118b73a6p-10, -0x1.0b579d316facap-10, -0x1.02b4266b63b58p-10, -0x1.f4981fcd1c157p-11, -0x1.e43bfc0b1ea09p-11, -0x1.d45145065fdfcp-11, -0x1.c4d56683e01b1p-11, -0x1.b5c5c98f3db54p-11, -0x1.a71ff3d8ca52fp-11, -0x1.98e16ef2914d6p-11, -0x1.8b07d468d00ebp-11, -0x1.7d90c68c0beb1p-11, -0x1.7079f3d6b7f1ep-11, -0x1.63c11b27d9dafp-11, -0x1.5763f4eb5da08p-11, -0x1.4b605ff9ba8b1p-11, -0x1.3fb42b8e2d8b4p-11, -0x1.345d41e2d1098p-11, -0x1.295993952b563p-11, -0x1.1ea71bb1f0255p-11, -0x1.1443e18fb41c8p-11, -0x1.0a2df02e86adbp-11, -0x1.0063613099884p-11, -0x1.edc4b73a1a306p-12, -0x1.db520c576b9f9p-12, -0x1.c96b3c6e4b4b3p-12, -0x1.b80ccd5529af8p-12, -0x1.a7334b1504de1p-12, -0x1.96db5f3059ee3p-12, -0x1.8701c52c78e8fp-12, -0x1.77a348473b1f5p-12, -0x1.68bcc7ef1a436p-12, -0x1.5a4b34e680b05p-12, -0x1.4c4b9070a20f6p-12, -0x1.3ebaf5b2cfcacp-12, -0x1.31966ff6fa305p-12, -0x1.24db4f52e9f48p-12, -0x1.1886c51d1767bp-12, -0x1.0c963081d8baep-12, -0x1.0106f3df89e69p-12, -0x1.ebad02e17cbd3p-13, -0x1.d604b797bd444p-13, -0x1.c110247eaa3bbp-13, -0x1.acca874cacd93p-13, -0x1.992f48c596448p-13, -0x1.8639b84730eefp-13, -0x1.73e57fd75f50fp-13, -0x1.622e3df7359d6p-13, -0x1.510fe4fd66804p-13, -0x1.4086088068274p-13, -0x1.308cbf202d907p-13, -0x1.211ffe0c4a8bap-13, -0x1.123bfd01dd0bcp-13, -0x1.03dce63f005e3p-13, -0x1.ebfe0b9368ceap-14, -0x1.d13d91314596ep-14, -0x1.b77155730f0dap-14, -0x1.9e9231239fbf8p-14, -0x1.8699ce29c8f41p-14, -0x1.6f815b93bed89p-14, -0x1.5942bbe78eb59p-14, -0x1.43d73dd3a9129p-14, -0x1.2f3935be2da77p-14, -0x1.1b62d104b3cf1p-14, -0x1.084de4d1e84ddp-14, -0x1.ebea8dee3dedp-15, -0x1.c8a715e852073p-15, -0x1.a6c656bbeedccp-15, -0x1.863e6d024c404p-15, -0x1.67055148240c5p-15, -0x1.4910f09a41b1cp-15, -0x1.2c5844fc21576p-15, -0x1.10d1d3a63dcafp-15, -0x1.ece9c947cb1c7p-16, -0x1.ba703f301f1a6p-16, -0x1.8a263cd70dd04p-16, -0x1.5bfa34e966fc3p-16, -0x1.2fdb59596c8d7p-16, -0x1.05b9eb3c21d1ep-16, -0x1.bb0a4afbc7562p-17, -0x1.6e59ac16d4d13p-17, -0x1.2544d9d34d0b8p-17, -0x1.bf50a571bc553p-18, -0x1.3ad6bbd79ddc1p-18, -0x1.79b71030f6685p-19, -0x1.14a8ac3058baep-20, 0x1.63c61ab802a8bp-21, 0x1.30805c3dbee9ep-19, 0x1.fcbe0f65c7a6cp-19, 0x1.5f0898b231c9ep-18, 0x1.ba6d5fea4803cp-18, 0x1.085da059241ebp-17, 0x1.31102a708df3fp-17, 0x1.5761b245714e4p-17, 0x1.7b6be7071ab9ap-17, 0x1.9d3dd448b1e22p-17, 0x1.bceeabe8531bdp-17, 0x1.da8f5350935b9p-17, 0x1.f6350ddbeb418p-17, 0x1.07f7c033fcd2ap-16, 0x1.13e8aa82acc7ap-16, 0x1.1ef59495d7a8fp-16, 0x1.2926ef210b4dap-16, 0x1.3284b1e3c3fep-16, 0x1.3b1787bd3d451p-16, 0x1.42e5c50cbd6a6p-16, 0x1.49f82fa2a163ap-16, 0x1.5054560646b3cp-16, 0x1.56042b4638e6ap-16, 0x1.5b0ca82af2f58p-16, 0x1.5f74bdcd9adbfp-16, 0x1.6342e7723a586p-16, 0x1.667dd6cc77e1p-16, 0x1.692c1514980e6p-16, 0x1.6b5302a9cd809p-16, 0x1.6cf8ce3cdbcb8p-16, 0x1.6e23007eeb6dap-16, 0x1.6ed73890cc747p-16, 0x1.6f1af328a116dp-16, 0x1.6ef2e572ee466p-16, 0x1.6e64c57877991p-16, 0x1.6d74b19bc0cebp-16, 0x1.6c2834a6e9f2fp-16, 0x1.6a83242511502p-16, 0x1.688a5f43d39bcp-16, 0x1.6641d91f8d1b4p-16, 0x1.63aec32ebbfd5p-16, 0x1.60d363c112e6fp-16, 0x1.5db4cad572cd7p-16, 0x1.5a5685dcee62cp-16, 0x1.56bc1cba79ffep-16, 0x1.52e99ec9d3b9dp-16, 0x1.4ee1b4835d5b9p-16, 0x1.4aa7c669561c1p-16, 0x1.463f2554b9f2bp-16, 0x1.41aa83749b7b2p-16, 0x1.3cedfca73bfe2p-16, 0x1.380b022bfb9d1p-16, 0x1.3304ebaf712d7p-16, 0x1.2ddf1e519b0ccp-16, 0x1.289a311bcdf13p-16, 0x1.233b358281416p-16, 0x1.1dc2f61b1e9e5p-16, 0x1.18327174f3bp-16, 0x1.128f041b9c3fbp-16, 0x1.0cd88f3e43688p-16, 0x1.0711e01d8193fp-16, 0x1.013c76cd7dbp-16, 0x1.f6b55268510cbp-17, 0x1.eadca9a0085bp-17, 0x1.def19ff3c520ap-17, 0x1.d2f7898b359e9p-17, 0x1.c6f2774c8b437p-17, 0x1.bae48de9571e9p-17, 0x1.aed19270e2d6p-17, 0x1.a2bbc152f3ce3p-17, 0x1.96a500466355fp-17, 0x1.8a925ca55e8fdp-17, 0x1.7e83e475ce46p-17, 0x1.727ca7e03a518p-17, 0x1.667fe49406aa1p-17, 0x1.5a8dded9ed92bp-17, 0x1.4eaa15743484ep-17, 0x1.42d608e7097f9p-17, 0x1.37136978ebd3ep-17, 0x1.2b640c880ac2cp-17, 0x1.1fc9b5b723398p-17, 0x1.1445cc3ba1e63p-17, 0x1.08da2ac343db2p-17, 0x1.fb0d801af4355p-18, 0x1.e4a2f68796507p-18, 0x1.ce6a33ac8907cp-18, 0x1.b86b580399243p-18, 0x1.a2ac4fa3cd8b1p-18, 0x1.8d2b8c01287c3p-18, 0x1.77ea5a4d1422p-18, 0x1.62ebceef81d7ap-18, 0x1.4e350ffa9583bp-18, 0x1.39c0af93fbe01p-18, 0x1.2595f4a2c88e5p-18, 0x1.11b490445cbe6p-18, 0x1.fc38bf2219fcbp-19, 0x1.d59d119e0c7f9p-19, 0x1.af9fa4356334cp-19, 0x1.8a395717bf691p-19, 0x1.65689787c00cdp-19, 0x1.413dd115a1329p-19, 0x1.1dab9f209fffep-19, 0x1.f55d3903a1cb5p-20, 0x1.b0c621b273d6dp-20, 0x1.6d5ae218e5907p-20, 0x1.2b44f0667a891p-20, 0x1.d4bf99effa05cp-21, 0x1.55975560d86ccp-21, 0x1.b1ed1902e8178p-22, 0x1.7bb72b3f9e176p-23, -0x1.885419573e113p-25, -0x1.1af9a24e2b839p-22, -0x1.ff9858b2342bbp-22, -0x1.6f997824e36f5p-21, -0x1.dce1b8bf53e1fp-21, -0x1.23c96b1f7ac38p-20, -0x1.57e476cd488c9p-20, -0x1.8abe529ca1c49p-20, -0x1.bc5aeeacfb552p-20, -0x1.ecb827fb3d522p-20, -0x1.0dea3d03287e7p-19, -0x1.24dae6895dd59p-19, -0x1.3b2f7a737f6fap-19, -0x1.50ec151a8519dp-19, -0x1.660820ccbf28fp-19, -0x1.7a8fea63d3eb6p-19, -0x1.8e7ea396e7a4dp-19, -0x1.a1d4f78d9ec7dp-19, -0x1.b4989b1f438cp-19, -0x1.c6c7e02254becp-19, -0x1.d862bd463e09dp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5178efb3634dp-1, -0x1.4640d6ed1f65bp-1, -0x1.3a8072d09fc87p-1, -0x1.2e507bfefe8cp-1, -0x1.21c87cfd655e9p-1, -0x1.14fea576e9028p-1, -0x1.0807b151193d5p-1, -0x1.f5ed98fefd535p-2, -0x1.dbbb2de1e47b5p-2, -0x1.c198426735343p-2, -0x1.a7a1ad5ed962bp-2, -0x1.8df18e34d3174p-2, -0x1.749ecde621887p-2, -0x1.5bbdb2e291e58p-2, -0x1.435fdb25c3304p-2, -0x1.2b9468e6c7f0fp-2, -0x1.14682755d4265p-2, -0x1.fbcb6b055ef68p-3, -0x1.d02b678357d6p-3, -0x1.a5fde266da148p-3, -0x1.7d4d26b8e05a5p-3, -0x1.56206ce865a7cp-3, -0x1.307c22b9793bp-3, -0x1.0c623b55eca57p-3, -0x1.d3a4ea3733717p-4, -0x1.91952b5b54c3fp-4, -0x1.528d455ca82e1p-4, -0x1.168236cf08868p-4, -0x1.baccea78dd8bep-5, -0x1.4e54b1d1adf71p-5, -0x1.cef164404c973p-6, -0x1.0c24fec39f36p-6, -0x1.4fc865249b8b5p-8, 0x1.67f613e0b848fp-8, 0x1.fc01e9ce8854bp-7, 0x1.98735e12cc9c4p-6, 0x1.14d85adde9344p-5, 0x1.590ace2952c9ap-5, 0x1.98ff65563b502p-5, 0x1.d4e447adcd98ep-5, 0x1.06739717e222p-4, 0x1.209a97e24c9f9p-4, 0x1.38fd4b3db93efp-4, 0x1.4fb15f53b3112p-4, 0x1.64cbfc726d2d4p-4, 0x1.7861b773f9b2ep-4, 0x1.8a86870f3a466p-4, 0x1.9b4dbea06c9b5p-4, 0x1.aaca0892d9dc4p-4, 0x1.b90d62eeeeee5p-4, 0x1.c6291be1ae4f5p-4, 0x1.d22dcfb359514p-4, 0x1.dd2b6ae776676p-4, 0x1.e7312a456d72cp-4, 0x1.f04d9fb87f22ep-4, 0x1.f88eb3b0fb098p-4, 0x1.0000d34e3a034p-3, 0x1.035989d3b494cp-3, 0x1.06577a4764a1cp-3, 0x1.0900537009833p-3, 0x1.0b597a17b5b76p-3, 0x1.0d6809edadc2cp-3, 0x1.0f30d923f9d24p-3, 0x1.10b879e308466p-3, 0x1.12033c55319c8p-3, 0x1.13153105a4dc7p-3, 0x1.13f22bd206f16p-3, 0x1.149dc5d86ad0ap-3, 0x1.151b616ef7d41p-3, 0x1.156e2c914ff28p-3, 0x1.159922e0cdaa3p-3, 0x1.159f10305c711p-3, 0x1.158292a1c81dap-3, 0x1.15461ccb0dccbp-3, 0x1.14ebf7f05097bp-3, 0x1.147646aa3c1f7p-3, 0x1.13e706f9e48c6p-3, 0x1.1340132daa9c9p-3, 0x1.12832706b3c03p-3, 0x1.11b1de623a449p-3, 0x1.10cdb7a8aa797p-3, 0x1.0fd8153c910c8p-3, 0x1.0ed23fd6a73b5p-3, 0x1.0dbd67f90f554p-3, 0x1.0c9aa7826c18ep-3, 0x1.0b6b0326f026p-3, 0x1.0a2f6be8de0f5p-3, 0x1.08e8bffcd7c0ap-3, 0x1.0797ccda6ccb6p-3, 0x1.063d4f364f614p-3, 0x1.04d9f56dcc35ap-3, 0x1.036e5f18caadfp-3, 0x1.01fb1f534a4e6p-3, 0x1.0080bcc576affp-3, 0x1.fdff65ce2a406p-4, 0x1.faf0e5bf3b41bp-4, 0x1.f7d6c8021751bp-4, 0x1.f4b1ca07e4909p-4, 0x1.f182991d3adcfp-4, 0x1.ee49d2555db62p-4, 0x1.eb08081fec62dp-4, 0x1.e7bdbd6a38d1bp-4, 0x1.e46b6b696bdddp-4, 0x1.e11180ff6839ap-4, 0x1.ddb063917a2eap-4, 0x1.da48702faa08bp-4, 0x1.d6d9fc609c958p-4, 0x1.d36556db60e54p-4, 0x1.cfeac7e1809c1p-4, 0x1.cc6a93641a4f5p-4, 0x1.c8e4f6d4a0ca9p-4, 0x1.c55a2c68046afp-4, 0x1.c1ca6a6479c97p-4, 0x1.be35e381f8ad5p-4, 0x1.ba9cc7cd5bfb9p-4, 0x1.b6ff4507f6af5p-4, 0x1.b35d87076bac6p-4, 0x1.afb7b7bed182p-4, 0x1.ac0dfff59b8a1p-4, 0x1.a86087728b443p-4, 0x1.a4af74d406207p-4, 0x1.a0faeecbdd1cp-4, 0x1.9d431b2870588p-4, 0x1.99881f971111dp-4, 0x1.95ca221733666p-4, 0x1.92094899afe23p-4, 0x1.8e45b8f897425p-4, 0x1.8a7f99d6e80e7p-4, 0x1.86b71281691ep-4, 0x1.82ec4a2090dep-4, 0x1.7f1f6918f73e1p-4, 0x1.7b50981630e8p-4, 0x1.77800092e61ccp-4, 0x1.73adccda57d7ep-4, 0x1.6fda2781aec61p-4, 0x1.6c053cbc741bcp-4, 0x1.682f385812022p-4, 0x1.64584772d3398p-4, 0x1.608097d1e3327p-4, 0x1.5ca857f38f982p-4, 0x1.58cfb67a5a001p-4, 0x1.54f6e3b55e76cp-4, 0x1.511e0f5ffbc4cp-4, 0x1.4d456a7f6bb8p-4, 0x1.496d263763d62p-4, 0x1.4595746b9a092p-4, 0x1.41be870920a37p-4, 0x1.3de890946dba6p-4, 0x1.3a13c42a703ap-4, 0x1.3640547aa8bb4p-4, 0x1.326e747bb847cp-4, 0x1.2e9e5792a8ec9p-4, 0x1.2ad031933472cp-4, 0x1.270435430cd8bp-4, 0x1.233a95e5dbff4p-4, 0x1.1f7386ad6e836p-4, 0x1.1baf3aa1b8996p-4, 0x1.17ede46ec082ep-4, 0x1.142fb6abd6ecep-4, 0x1.1074e338db956p-4, 0x1.0cbd9bcff82a1p-4, 0x1.090a11c4f8ac9p-4, 0x1.055a75a35f761p-4, 0x1.01aef7f2f154ep-4, 0x1.fc0f8fb967093p-5, 0x1.f4ca26007024ap-5, 0x1.ed8e15948967cp-5, 0x1.e65bb5c6f6017p-5, 0x1.df336074cbefdp-5, 0x1.d8156cb785bfcp-5, 0x1.d10230ab9bc9p-5, 0x1.c9fa00aca5e08p-5, 0x1.c2fd2f127dcbfp-5, 0x1.bc0c0c6813018p-5, 0x1.b526e717c0df8p-5, 0x1.ae4e0b785e98cp-5, 0x1.a781c439916a7p-5, 0x1.a0c259418e9adp-5, 0x1.9a10107eef745p-5, 0x1.936b2ebcc7af3p-5, 0x1.8cd3f49014edcp-5, 0x1.864aa1f6e1d39p-5, 0x1.7fcf72f74e94cp-5, 0x1.7962a33146e42p-5, 0x1.73046aa550dddp-5, 0x1.6cb4ff4145126p-5, 0x1.6674947337485p-5, 0x1.60435bc2a8bedp-5, 0x1.5a2183952f0b3p-5, 0x1.540f3850e957ap-5, 0x1.4e0ca3fd04659p-5, 0x1.4819ee16a92dap-5, 0x1.42373bad6413bp-5, 0x1.3c64afb55635dp-5, 0x1.36a26a40af5bcp-5, 0x1.30f089a14531dp-5, 0x1.2b4f291f92ef6p-5, 0x1.25be6243fd988p-5, 0x1.203e4bd94944bp-5, 0x1.1acefaba0d2f5p-5, 0x1.1570815fadd8dp-5, 0x1.1022efbba42ecp-5, 0x1.0ae653dc42549p-5, 0x1.05bab98c9626ap-5, 0x1.00a02a4a0a918p-5, 0x1.f72d5b5602cfep-6, 0x1.ed3c91c26b268p-6, 0x1.e36dff7a81564p-6, 0x1.d9c1a62dd0c82p-6, 0x1.d03784a12b467p-6, 0x1.c6cf963c7e08dp-6, 0x1.bd89d16748b4p-6, 0x1.b46629997e55bp-6, 0x1.ab648e7c69e57p-6, 0x1.a284ec1569174p-6, 0x1.99c72af7a6c42p-6, 0x1.912b30e29116dp-6, 0x1.88b0dfc708e18p-6, 0x1.8058153da48aep-6, 0x1.7820ae2c7a6bap-6, 0x1.700a8331ddb6dp-6, 0x1.681569f17a228p-6, 0x1.604135c4360cdp-6, 0x1.588db5b79ad9ap-6, 0x1.50fab87172a67p-6, 0x1.498808c867da3p-6, 0x1.42356f4910d85p-6, 0x1.3b02b2b125627p-6, 0x1.33ef96644aa31p-6, 0x1.2cfbdca346444p-6, 0x1.2627451203148p-6, 0x1.1f718d989a82ap-6, 0x1.18da7228f0e2ep-6, 0x1.1261ace02e3c9p-6, 0x1.0c06f64f9ba2ap-6, 0x1.05ca0520b899p-6, 0x1.ff551d238ce8ep-7, 0x1.f3508d84455bfp-7, 0x1.e785c03939066p-7, 0x1.dbf4178d0546fp-7, 0x1.d09af3e2efec6p-7, 0x1.c579b3e64c30bp-7, 0x1.ba8fb0e7343bp-7, 0x1.afdc476f3bc2p-7, 0x1.a55ecf67b36b2p-7, 0x1.9b169e567e704p-7, 0x1.91030982f9f83p-7, 0x1.8723672edf03ep-7, 0x1.7d7708b84b2b4p-7, 0x1.73fd3e55551c1p-7, 0x1.6ab55bbcd5193p-7, 0x1.619eb05300769p-7, 0x1.58b88a64daff4p-7, 0x1.50023b57ea073p-7, 0x1.477b110bf8e47p-7, 0x1.3f225a6a9c276p-7, 0x1.36f765efd620dp-7, 0x1.2ef982330bd41p-7, 0x1.2727fdfca593fp-7, 0x1.1f82286db9803p-7, 0x1.1807503756f08p-7, 0x1.10b6c56baa796p-7, 0x1.098fd8efc2e18p-7, 0x1.0291dab617245p-7, 0x1.f7783969c4234p-8, 0x1.ea1be4367ff53p-8, 0x1.dd0d56a31d64fp-8, 0x1.d04b3eca0eebcp-8, 0x1.c3d44545092afp-8, 0x1.b7a716ff130e5p-8, 0x1.abc261b554305p-8, 0x1.a024d7b93bb93p-8, 0x1.94cd2d56409bdp-8, 0x1.89ba18000504cp-8, 0x1.7eea532d8f844p-8, 0x1.745c99bf25e9fp-8, 0x1.6a0fa9560eee7p-8, 0x1.600249cfde61cp-8, 0x1.56333bc579528p-8, 0x1.4ca14acfbe503p-8, 0x1.434b41cb6001bp-8, 0x1.3a2ff1cc660a2p-8, 0x1.314e2d01b0146p-8, 0x1.28a4cb901e19ap-8, 0x1.2032a6641e17fp-8, 0x1.17f69cf09903ap-8, 0x1.0fef8f75806cfp-8, 0x1.081c629217a3cp-8, 0x1.007c03b1bb482p-8, 0x1.f21ab8cb75eefp-9, 0x1.e39ebdcc3dc2cp-9, 0x1.d581febca9b98p-9, 0x1.c7c26e4927738p-9, 0x1.ba5e050ceef5fp-9, 0x1.ad52c090caf8bp-9, 0x1.a09eadffb22b9p-9, 0x1.943fdc95afe03p-9, 0x1.8834668a5fa22p-9, 0x1.7c7a6c59502e4p-9, 0x1.71100e79c16fbp-9, 0x1.65f385c99d5bp-9, 0x1.5b23074dab12p-9, 0x1.509cd39f33abap-9, 0x1.465f2ed368ce8p-9, 0x1.3c686ba3e70cap-9, 0x1.32b6dfa24f6edp-9, 0x1.2948ecfc5b824p-9, 0x1.201cee7810d06p-9, 0x1.17315cf0fd7c4p-9, 0x1.0e84a95df24fcp-9, 0x1.06155327ecb87p-9, 0x1.fbc3b71ac4a6ep-10, 0x1.ebd19e3633ccfp-10, 0x1.dc5185c6262dap-10, 0x1.cd408e81cc415p-10, 0x1.be9c0dc09f824p-10, 0x1.b0614f1ce2e4bp-10, 0x1.a28dad74f4051p-10, 0x1.951e96f99c5cbp-10, 0x1.88118391a9f21p-10, 0x1.7b63fd7a3511ap-10, 0x1.6f1393a991f53p-10, 0x1.631deaa4346ep-10, 0x1.5780b393ee377p-10, 0x1.4c39a1e43dc03p-10, 0x1.41468258c2c8ep-10, 0x1.36a5276c83e13p-10, 0x1.2c537bc562856p-10, 0x1.224f5fa478e25p-10, 0x1.1896cc611f5b3p-10, 0x1.0f27ca497f8b6p-10, 0x1.06006a8430271p-10, 0x1.fa3d81aa591b5p-11, 0x1.e901fb8ad2e8bp-11, 0x1.d84a9785613b2p-11, 0x1.c813d11119eefp-11, 0x1.b85a36ec776eap-11, 0x1.a91a68a4225cp-11, 0x1.9a511cd6e07a5p-11, 0x1.8bfb2110eda7cp-11, 0x1.7e155484c7706p-11, 0x1.709ca8fe55cedp-11, 0x1.638e1d87267d7p-11, 0x1.56e6ce251b596p-11, 0x1.4aa3e4756c062p-11, 0x1.3ec2953726f93p-11, 0x1.334034199106cp-11, 0x1.281a22151ee59p-11, 0x1.1d4dcbae275dap-11, 0x1.12d8a922c4abfp-11, 0x1.08b84f33ae227p-11, 0x1.fdd4c60acce4ap-12, 0x1.ead8f2f9dd018p-12, 0x1.d878dabdd74f9p-12, 0x1.c6affc61d23d4p-12, 0x1.b57a0d4dfe124p-12, 0x1.a4d2e0a62c7e1p-12, 0x1.94b65d2fca33ep-12, 0x1.8520b04873cb8p-12, 0x1.760d981f7e32fp-12, 0x1.6779aa3c15629p-12, 0x1.596125fe56796p-12, 0x1.4bc06d7819062p-12, 0x1.3e9408f9c8711p-12, 0x1.31d89ee5af896p-12, 0x1.258ab2736621p-12, 0x1.19a73e3d21dp-12, 0x1.0e2b0f966e0e6p-12, 0x1.03131b7c6326p-12, 0x1.f0b8cab5b375bp-13, 0x1.dc07f9c40fea3p-13, 0x1.c80e49fa06c75p-13, 0x1.b4c62af170081p-13, 0x1.a22a4a38d97eep-13, 0x1.90357cfec6e69p-13, 0x1.7ee2ba2670f0ap-13, 0x1.6e2d0367a26adp-13, 0x1.5e0f66bc81cabp-13, 0x1.4e8588ed3acc4p-13, 0x1.3f8b09ea57ec7p-13, 0x1.311b179557e4p-13, 0x1.23317ea8cee93p-13, 0x1.15ca25c82d2e6p-13, 0x1.08e0fc425da2cp-13, 0x1.f8e41acc04443p-14, 0x1.e0f302d734babp-14, 0x1.c9e7b9be44999p-14, 0x1.b3b9b10e5df4dp-14, 0x1.9e634cc97166dp-14, 0x1.89dce3e53f26bp-14, 0x1.761fda7791eecp-14, 0x1.632612f8d68a9p-14, 0x1.50e90e2f47164p-14, 0x1.3f6282c19dcb7p-14, 0x1.2e8d07e57096ep-14, 0x1.1e6231520fa86p-14, 0x1.0edcefdb29fc3p-14, 0x1.ffee4ba3436e9p-15, 0x1.e35868235ed0bp-15, 0x1.c7ed92003f09fp-15, 0x1.ada3a8f207f17p-15, 0x1.9471240559d14p-15, 0x1.7c4c090dab3a8p-15, 0x1.652bd357c689bp-15, 0x1.4f07a4f56964ap-15, 0x1.39d6ae29ede4cp-15, 0x1.2590a906c0a58p-15, 0x1.122e29c272426p-15, 0x1.ff4a80c031277p-16, 0x1.dbe0ee6041ad5p-16, 0x1.ba0ebbd4ec77fp-16, 0x1.99c65ce493085p-16, 0x1.7af9aa695882p-16, 0x1.5d9b47725a028p-16, 0x1.419dcd1d4f82p-16, 0x1.26f4c423b841fp-16, 0x1.0d938ff4c9a3cp-16, 0x1.eadf85693369fp-17, 0x1.bcf59e23599aap-17, 0x1.915690aedfbb2p-17, 0x1.67ebabf8233e8p-17, 0x1.40a6571a82327p-17, 0x1.1b69930511716p-17, 0x1.f04903bdadd74p-18, 0x1.ad88eceddfcabp-18, 0x1.6e6c82a398d2dp-18, 0x1.32d1499b2a01cp-18, 0x1.f5272447e1e4p-19, 0x1.8b256b4c64bfep-19, 0x1.2758767e2ecdp-19, 0x1.9306a4361d41ep-20, 0x1.c5aa5ecb197bap-21, 0x1.ed52cd8105afp-23, -0x1.73eb4db33142dp-22, -0x1.dad21077a86cfp-21, -0x1.7448ba15aa7ebp-20, -0x1.f1c90a33a17b7p-20, -0x1.33305cf9ff798p-19, -0x1.6938ae616aef9p-19, -0x1.9b2c6d2ca6016p-19, -0x1.c93653e3cd6e4p-19, -0x1.f37f2c2ded002p-19, -0x1.0d1db3481993dp-18, -0x1.1ec743b658378p-18, -0x1.2ecf5be4ae06cp-18, -0x1.3d4974a315f4dp-18, -0x1.4a463747af1a9p-18, -0x1.55d93b9a8d591p-18, -0x1.6015e55ce7d6ap-18, -0x1.69077683250b9p-18, -0x1.70cab570c0e9fp-18, -0x1.7757dad7204bep-18, -0x1.7ccca57b730c1p-18, -0x1.8136a6f29f65fp-18, -0x1.84a2515aad9e4p-18, -0x1.87232555290e1p-18, -0x1.88bad702bb6bp-18, -0x1.897cc9e7e8347p-18, -0x1.8973c28a34cb2p-18, -0x1.88a9379548857p-18, -0x1.8729748ebf385p-18, -0x1.84ffdb62ab246p-18, -0x1.82357997598f3p-18, -0x1.7ed396b71aa85p-18, -0x1.7ae5fa09d793ep-18, -0x1.7677034687661p-18, -0x1.718737f96824cp-18, -0x1.6c233b6b8fb1cp-18, -0x1.665696de0fde6p-18, -0x1.6026e4b35e885p-18, -0x1.5999fa8b4e703p-18, -0x1.52b801bd99eb8p-18, -0x1.4b87ed8d39521p-18, -0x1.440fea330c404p-18, -0x1.3c568bb618906p-18, -0x1.34613826bc6b5p-18, -0x1.2c35dca78974bp-18, -0x1.23d9a012b18p-18, -0x1.1b52fd093c288p-18, -0x1.12a78cb5392abp-18, -0x1.09d65930c2e78p-18, -0x1.00eb971ecbc6bp-18, -0x1.efccfda8a6f18p-19, -0x1.dd9988cc94567p-19, -0x1.cb48e70727bdcp-19, -0x1.b8c612077e76ap-19, -0x1.a66917d132e32p-19, -0x1.93d323a57cae4p-19, -0x1.8143ab2a6425bp-19, -0x1.6eb5f1067733fp-19, -0x1.5c2efa18a0ca5p-19, -0x1.49b41fa7554e2p-19, -0x1.374aef5ccc565p-19, -0x1.24f79f9d6d14cp-19, -0x1.12becb639fcbep-19, -0x1.00a852e659ac3p-19, -0x1.dd697ae56ba6dp-20, -0x1.b9d0e41aea331p-20, -0x1.968fb4206a0cfp-20, -0x1.73aba4990f0f1p-20, -0x1.51281b8c9a157p-20, -0x1.2f135d3c8f0b3p-20, -0x1.0d6850e2bb3dap-20, -0x1.d8a111e359e2cp-21, -0x1.9700c78833a12p-21, -0x1.568b4e419d633p-21, -0x1.171e7779072fcp-21, -0x1.b17a8e0f3a8c9p-22, -0x1.36ca67125b005p-22, -0x1.7cc5f83ffb905p-23, -0x1.20a790ff827d3p-24, 0x1.5de70e5eae415p-25, 0x1.3acb17a29594bp-23, 0x1.0c7cedbef3e4fp-22, 0x1.797ac21464d1bp-22, 0x1.e3cc430ef60eap-22, 0x1.2609b602738bcp-21, 0x1.58c897169d7cep-21, 0x1.8a58da3142a73p-21, 0x1.baae13f1a3b41p-21, 0x1.e9c97216531d7p-21, 0x1.0bd3573011c1cp-20, 0x1.2221497ec20cep-20, 0x1.37af04a2f1835p-20, 0x1.4d105c933d9bbp-20, 0x1.614ed3c4734dap-20, 0x1.7525fdbcee89dp-20, 0x1.8859a62142693p-20, 0x1.9af4f668648d5p-20, 0x1.aced4140e7d97p-20, 0x1.be4f48efd0d33p-20, 0x1.cf14548d3c0f2p-20, 0x1.df4021f21b1b3p-20, 0x1.eed5438d73158p-20, 0x1.fdcce6bf268e2p-20, 0x1.061fe6ca481ddp-19, 0x1.0d08e4302d488p-19, 0x1.13a977a3edce9p-19, 0x1.1a01ceb4af78dp-19, 0x1.20132754e85e5p-19, 0x1.25dcd6127da51p-19, 0x1.2b6176a4fa2dbp-19, 0x1.30a392326e11ep-19, 0x1.358f81500e6c8p-19, 0x1.3a5f04c6395dap-19, 0x1.3eca12cdd2c06p-19, 0x1.42ff6290809e5p-19, 0x1.46f2ee562dafap-19, 0x1.4aa873bfb90f7p-19, 0x1.4e2152bdb32c4p-19, 0x1.515d30b6f31eep-19, 0x1.545a8d40bec9bp-19, 0x1.571e9038eba7dp-19, 0x1.59a8f14ac6e93p-19, 0x1.5bfa3ffa7081ep-19, 0x1.5e113cfb1577cp-19, 0x1.5ff9f43d14d8dp-19, 0x1.61a58618c9d66p-19, 0x1.631da58049ep-19, 0x1.64674343170a7p-19, 0x1.6577b4124a0b5p-19, 0x1.665fbc69af41ap-19, 0x1.6710644cd061ep-19, 0x1.6795e59119a9dp-19, 0x1.67eb8c0c03438p-19, 0x1.68063509c1f79p-19, 0x1.682d0e392f4d5p-19, 0x1.67e6f6f7a4f92p-19, 0x1.6794a961d503ap-19, 0x1.6717cc031d36cp-19, 0x1.66701ff1368f6p-19, 0x1.65a6ad2080514p-19, 0x1.64b62a673fc47p-19, 0x1.63a19507db174p-19, 0x1.6269ae2163531p-19, 0x1.6111440661348p-19, 0x1.5f955613c3635p-19, 0x1.5dfa7f00ca57fp-19, 0x1.5c44d2a5e0b5ap-19, 0x1.5a628e14bab09p-19, 0x1.5873d788e5aedp-19, 0x1.5663208338b08p-19, 0x1.54322bdb47c56p-19, 0x1.51ef8c4ae8adp-19, 0x1.4f8c660f5b892p-19, 0x1.4d12fe42a92d4p-19, 0x1.4a82c1a58fbf4p-19, 0x1.47dafce065069p-19, 0x1.451449f30e4a5p-19, 0x1.424e8c74f64e5p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.795340c8aff12p-1, -0x1.75304ba404323p-1, -0x1.70c8552a7cb14p-1, -0x1.6c21c0bf0a6e9p-1, -0x1.6742d82504b1dp-1, -0x1.6231be20276acp-1, -0x1.5cf464189e0a6p-1, -0x1.5790817b25394p-1, -0x1.520b8ea9e07e5p-1, -0x1.4c6abea2ec49fp-1, -0x1.46b2fe250657ap-1, -0x1.40e8f1645fb4fp-1, -0x1.3b10f1e7e385cp-1, -0x1.352f109b14726p-1, -0x1.2f4715c02009dp-1, -0x1.295c82b6516bdp-1, -0x1.237293bb64e4ep-1, -0x1.1d8c425748997p-1, -0x1.17ac47a1996c4p-1, -0x1.11d51eee09bb6p-1, -0x1.0c09088b37a83p-1, -0x1.064a0cc6f24cbp-1, -0x1.0099fed08defdp-1, -0x1.f5f4ff4db7cefp-2, -0x1.eada01e33681ep-2, -0x1.dfe58fa7985b3p-2, -0x1.d519df8a6566bp-2, -0x1.ca78db84adc6ep-2, -0x1.c004259b3051p-2, -0x1.b5bd1c007bf3cp-2, -0x1.aba4df739c2dp-2, -0x1.a1bc587fc2da7p-2, -0x1.98043b324eeb3p-2, -0x1.8e7d0ab5e2ee9p-2, -0x1.85271fe8f695p-2, -0x1.7c02ab389810ap-2, -0x1.730fb92716699p-2, -0x1.6a4e35a8edb7fp-2, -0x1.61bdef70bfd07p-2, -0x1.595e9afea28fp-2, -0x1.512fd572c03adp-2, -0x1.4931270ed9a97p-2, -0x1.416205b8d4a8dp-2, -0x1.39c1d75632a91p-2, -0x1.324ff3dcdc2abp-2, -0x1.2b0ba72908fe1p-2, -0x1.23f432884962bp-2, -0x1.1d08ce92fd8ccp-2, -0x1.1648acce94f7fp-2, -0x1.0fb2f8e510a94p-2, -0x1.0946d9b69228fp-2, -0x1.03037280dc8bep-2, -0x1.f9cfc760bd20ap-3, -0x1.ede6988786736p-3, -0x1.e24994b8f1a46p-3, -0x1.d6f6f828599adp-3, -0x1.cbecfff13e48cp-3, -0x1.c129eb0bffb8fp-3, -0x1.b6abfba496afbp-3, -0x1.ac7177d22a315p-3, -0x1.a278aaad3a0a3p-3, -0x1.98bfe569d584p-3, -0x1.8f457f7abac41p-3, -0x1.8607d6f90c0a4p-3, -0x1.7d055117f04ep-3, -0x1.743c5a1464489p-3, -0x1.6bab66122bf94p-3, -0x1.6350f1b938ab4p-3, -0x1.5b2b81dac82c4p-3, -0x1.5339a419ebe05p-3, -0x1.4b79eed9d7a61p-3, -0x1.43eb01245c19ap-3, -0x1.3c8b828120422p-3, -0x1.355a233569c15p-3, -0x1.2e559be8aae7ep-3, -0x1.277cadc6ae6c3p-3, -0x1.20ce22dbe37adp-3, -0x1.1a48ccd730224p-3, -0x1.13eb89e88475p-3, -0x1.0db53c240df62p-3, -0x1.07a4cf338fba1p-3, -0x1.01b936e037962p-3, -0x1.f7e2dda2b5a8p-4, -0x1.ec98f4f85d361p-4, -0x1.e192c9b6ff31cp-4, -0x1.d6ce80bc628d6p-4, -0x1.cc4a4d454580ep-4, -0x1.c20471540843ap-4, -0x1.b7fb3bc6675b9p-4, -0x1.ae2d09b153bd5p-4, -0x1.a49844c7848ddp-4, -0x1.9b3b63c20caecp-4, -0x1.9214e9965ebc2p-4, -0x1.89236556027abp-4, -0x1.806571c471899p-4, -0x1.77d9b412ca56dp-4, -0x1.6f7edeaff29eep-4, -0x1.6753ac57ab5a8p-4, -0x1.5f56e2ebfc799p-4, -0x1.578752fd29fa3p-4, -0x1.4fe3d52c4de5bp-4, -0x1.486b4cfbc9735p-4, -0x1.411ca63516dccp-4, -0x1.39f6d579f0498p-4, -0x1.32f8d7dde2207p-4, -0x1.2c21b2b1c0bf9p-4, -0x1.257072f311ff8p-4, -0x1.1ee42d47bf67p-4, -0x1.187bfe5dd967fp-4, -0x1.123707c258081p-4, -0x1.0c1474b6bafb5p-4, -0x1.0613753f11fddp-4, -0x1.0033401df7528p-4, -0x1.f4e6249968b9p-5, -0x1.e9a45d2bf4dedp-5, -0x1.de9fbad6c79ap-5, -0x1.d3d6d956a1502p-5, -0x1.c9485f87a2688p-5, -0x1.bef2fd92d27b9p-5, -0x1.b4d56d3cb7199p-5, -0x1.aaee7466d2d93p-5, -0x1.a13cdd9b51da6p-5, -0x1.97bf7f75d81c2p-5, -0x1.8e7537e85b4c7p-5, -0x1.855cec9f3adb9p-5, -0x1.7c758b7f5dde1p-5, -0x1.73be0a2f8179ap-5, -0x1.6b35651b6ded4p-5, -0x1.62da9fafb482ap-5, -0x1.5aacc45857cdep-5, -0x1.52aae36a376b2p-5, -0x1.4ad414d63487fp-5, -0x1.432774e428f84p-5, -0x1.3ba425b6ecc96p-5, -0x1.34495120e1a72p-5, -0x1.2d1622873bd1ep-5, -0x1.2609ce94d6c14p-5, -0x1.1f238c9cf9e6ap-5, -0x1.1862991005bbap-5, -0x1.11c6351290ce6p-5, -0x1.0b4da6b84eb89p-5, -0x1.04f837785d80bp-5, -0x1.fd8a6bcbe0646p-6, -0x1.f167e8197da96p-6, -0x1.e587905174688p-6, -0x1.d9e81702b18f1p-6, -0x1.ce883a2d047d9p-6, -0x1.c366b9d3846bap-6, -0x1.b8825cdcfcf27p-6, -0x1.add9f50f6659fp-6, -0x1.a36c5882f1976p-6, -0x1.99386250f7ad3p-6, -0x1.8f3cf35c6f7aep-6, -0x1.8578f3d5c1b42p-6, -0x1.7beb5191c9a73p-6, -0x1.7292ff0686e18p-6, -0x1.696ef3a197e61p-6, -0x1.607e2de7448e6p-6, -0x1.57bfac0931bf7p-6, -0x1.4f3278c15c9cp-6, -0x1.46d59e482a3a8p-6, -0x1.3ea82ccae3015p-6, -0x1.36a9397098cd8p-6, -0x1.2ed7db7d976e8p-6, -0x1.2733320f15a1cp-6, -0x1.1fba5d955ab17p-6, -0x1.186c8373960a3p-6, -0x1.1148ccc747e5p-6, -0x1.0a4e6663b77dcp-6, -0x1.037c814d4061ap-6, -0x1.f9a4a4606e6b2p-7, -0x1.ec9e214f62481p-7, -0x1.dfe3f317eaaa7p-7, -0x1.d374906684f8ap-7, -0x1.c74e84dc4c57bp-7, -0x1.bb705b57d55eep-7, -0x1.afd89ec8ae9efp-7, -0x1.a485ed8a7dd5fp-7, -0x1.9976e665f6da7p-7, -0x1.8eaa242d5ad8ap-7, -0x1.841e5a12391cdp-7, -0x1.79d2331f3a686p-7, -0x1.6fc469aed9428p-7, -0x1.65f3b41ce2b11p-7, -0x1.5c5ed4a46d145p-7, -0x1.5304917090052p-7, -0x1.49e3b610c20e6p-7, -0x1.40fb12c6838b7p-7, -0x1.38497df9845dcp-7, -0x1.2fcdd20825b1fp-7, -0x1.2786f02d92e3fp-7, -0x1.1f73bc3a2e9efp-7, -0x1.179322f76f069p-7, -0x1.0fe40ae8e61b5p-7, -0x1.08656f8927f5bp-7, -0x1.011645b2a6e83p-7, -0x1.f3eb16178afa1p-8, -0x1.e6047ee7c064fp-8, -0x1.d876d2059be61p-8, -0x1.cb402571e6daap-8, -0x1.be5e8e26c9cb4p-8, -0x1.b1d038a8f37e7p-8, -0x1.a5935022a590bp-8, -0x1.99a6099c18b8p-8, -0x1.8e06a45af9be3p-8, -0x1.82b365507b2ddp-8, -0x1.77aa9b7df2ef7p-8, -0x1.6cea9a6099ab7p-8, -0x1.6271c1fa293bp-8, -0x1.583e761f22cd2p-8, -0x1.4e4f25cd215bfp-8, -0x1.44a242d01c6e6p-8, -0x1.3b364a01018c9p-8, -0x1.3209c27b516e9p-8, -0x1.291b28d124261p-8, -0x1.20691b762323p-8, -0x1.17f22def3dd4p-8, -0x1.0fb4fcb11889p-8, -0x1.07b0358bcd3d1p-8, -0x1.ffc4f8ee9d63ap-9, -0x1.f0950e6415635p-9, -0x1.e1ce1e5898d1fp-9, -0x1.d36da20ca4e18p-9, -0x1.c571398e4852dp-9, -0x1.b7d669adc915ep-9, -0x1.aa9ade4f4efcap-9, -0x1.9dbc49e0f17c2p-9, -0x1.9138645bcdf43p-9, -0x1.850cfc2288006p-9, -0x1.7937e3651e565p-9, -0x1.6db6f956d14b8p-9, -0x1.62882a8e307d1p-9, -0x1.57a96c40d9f1p-9, -0x1.4d18bee750dfap-9, -0x1.42d42e7c4eb81p-9, -0x1.38d9dd66e0585p-9, -0x1.2f27c90cc03bap-9, -0x1.25bc3e5f4fe3ap-9, -0x1.1c9567c743c21p-9, -0x1.13b18440c4a5dp-9, -0x1.0b0edc48064fbp-9, -0x1.02abbfef818b9p-9, -0x1.f50d1d1eb9bfcp-10, -0x1.e53b556e002dp-10, -0x1.d5df05930f19cp-10, -0x1.c6f517cf43c91p-10, -0x1.b87a9b85592ecp-10, -0x1.aa6c8f840c5c6p-10, -0x1.9cc81c1f9797ap-10, -0x1.8f8a78f545d25p-10, -0x1.82b0e31c00291p-10, -0x1.7638ac63c2783p-10, -0x1.6a1f4198dee8ap-10, -0x1.5e621254c61f4p-10, -0x1.52fe9b575994p-10, -0x1.47f2717c8c64ep-10, -0x1.3d3b3559e6fb3p-10, -0x1.32d6959204c45p-10, -0x1.28c24a97cf3bfp-10, -0x1.1efc22d1e21dap-10, -0x1.1581f7ac745cep-10, -0x1.0c51adc0cff86p-10, -0x1.036934e8d3018p-10, -0x1.f58d264598f27p-11, -0x1.e4cf9360442b5p-11, -0x1.d495f034d2f4bp-11, -0x1.c4dc916d827b2p-11, -0x1.b59fc822e1d11p-11, -0x1.a6dc11050e12cp-11, -0x1.988e0abd880dbp-11, -0x1.8ab22bfb58fbdp-11, -0x1.7d4556f2731a4p-11, -0x1.704461d7e5dfep-11, -0x1.63ac22b834313p-11, -0x1.577991d6e6c6bp-11, -0x1.4ba9be4506fd3p-11, -0x1.4039d8c0ae57dp-11, -0x1.3526fd117d96bp-11, -0x1.2a6e6a8b073d1p-11, -0x1.200dc8917d8ddp-11, -0x1.16022cd85411ap-11, -0x1.0c4933a4a4c95p-11, -0x1.02e069f50f4abp-11, -0x1.f38ad877841fap-12, -0x1.e1ebcd790d6b6p-12, -0x1.d0df4afd55422p-12, -0x1.c060fc0acf0eap-12, -0x1.b06c77445f7bap-12, -0x1.a0fd8bfd75f01p-12, -0x1.92104b9b554c6p-12, -0x1.83a0e102c638dp-12, -0x1.75ab4fad224e2p-12, -0x1.682be2e8a4d68p-12, -0x1.5b1f3340d760bp-12, -0x1.4e819308bf10bp-12, -0x1.424f8e581294ap-12, -0x1.3685e13b57467p-12, -0x1.2b219b4fe6188p-12, -0x1.201f2eadde303p-12, -0x1.157bcd95aff0ep-12, -0x1.0b346f3e37864p-12, -0x1.01463b1dc0f39p-12, -0x1.ef5cc0b9b0f3fp-13, -0x1.dcd4809a153c7p-13, -0x1.caee59d912221p-13, -0x1.b9a5267b868f6p-13, -0x1.a8f3df488e524p-13, -0x1.98d60441fd88ep-13, -0x1.89469fa1b2f8cp-13, -0x1.7a4136f44826ep-13, -0x1.6bc162d1fb204p-13, -0x1.5dc2df72f637ep-13, -0x1.5041a8606bf77p-13, -0x1.43396e6171dc6p-13, -0x1.36a6a52fe3459p-13, -0x1.2a854ef46c5b6p-13, -0x1.1ed1b27e14f4p-13, -0x1.138835d7aa741p-13, -0x1.08a590155bde9p-13, -0x1.fc4d1c2873a76p-14, -0x1.e80f10d5e031dp-14, -0x1.d48af58a9deaap-14, -0x1.c1bac9bb24ed8p-14, -0x1.af9903b6b0833p-14, -0x1.9e1eb741ca132p-14, -0x1.8d47785cd64efp-14, -0x1.7d0d7f9a2fa3ep-14, -0x1.6d6b3daf25a1fp-14, -0x1.5e5c12f8c3f5fp-14, -0x1.4fdb0f9e90172p-14, -0x1.41e33231f3b52p-14, -0x1.346f8f83898a7p-14, -0x1.277c73b8127eap-14, -0x1.1b05a1e1a1d9ap-14, -0x1.0f0606b23111bp-14, -0x1.0379df483896cp-14, -0x1.f0bad7ff80e4dp-15, -0x1.db59804bbbfddp-15, -0x1.c6c8754f6cfacp-15, -0x1.b30038a0547e8p-15, -0x1.9ffa64e87b8e2p-15, -0x1.8dafee29723ap-15, -0x1.7c1a6d37711ep-15, -0x1.6b3374c530c5cp-15, -0x1.5af50ea752e98p-15, -0x1.4b598477f693cp-15, -0x1.3c59a0b610f29p-15, -0x1.2df2c5e8793a2p-15, -0x1.201e591871ccep-15, -0x1.12d620d4f789dp-15, -0x1.0615e52a2a2bep-15, -0x1.f3b1347f0559p-16, -0x1.dc3451b2a2ddp-16, -0x1.c5aa7c7076e3fp-16, -0x1.b00c5ac6e20a4p-16, -0x1.9b511adf08015p-16, -0x1.876f0af014c7cp-16, -0x1.7460193bf62afp-16, -0x1.621b6fe8d7913p-16, -0x1.509b48b663703p-16, -0x1.3fd72d50aca8ep-16, -0x1.2fc7f9d07fdabp-16, -0x1.2067b8f229be8p-16, -0x1.11b06d638935p-16, -0x1.0398b2e92f80cp-16, -0x1.ec3e4384daea2p-17, -0x1.d275a92be2ec1p-17, -0x1.b9ce2eefd9fcdp-17, -0x1.a23da49370af9p-17, -0x1.8bb6021d51f9p-17, -0x1.7631a861a46abp-17, -0x1.61a451a138ef5p-17, -0x1.4e0405b2129e2p-17, -0x1.3b499ff7ec28ap-17, -0x1.296b221b77644p-17, -0x1.185ffd9746579p-17, -0x1.081fa48aa8541p-17, -0x1.f1485e6f1c6fp-18, -0x1.d3c154b9fe3f8p-18, -0x1.b7a133a347461p-18, -0x1.9ce6ba5927886p-18, -0x1.837054bc6dec1p-18, -0x1.6b39ea894b70bp-18, -0x1.5435be5000393p-18, -0x1.3e55763255144p-18, -0x1.298fb4c2364f7p-18, -0x1.15d48837ebbc3p-18, -0x1.032240b70d689p-18, -0x1.e2c1c22d4af57p-19, -0x1.c131b2fbb24eep-19, -0x1.a14e8c64cc9b6p-19, -0x1.832ca210185a2p-19, -0x1.66a8283c3163bp-19, -0x1.4bb6e22ed9b49p-19, -0x1.3240d2a1c9a46p-19, -0x1.1a3bc0453d69dp-19, -0x1.039bcc57325p-19, -0x1.dc65122649972p-20, -0x1.b44462f53c113p-20, -0x1.8e6e8ce043566p-20, -0x1.6af514c0a4bf7p-20, -0x1.498970854f6f7p-20, -0x1.2a42b3fe3063ep-20, -0x1.0cf36ae67dbb8p-20, -0x1.e322e427951p-21, -0x1.afeda91717f4dp-21, -0x1.8029e76f0eef5p-21, -0x1.5395edc3eb721p-21, -0x1.2a6fd9f48b4d2p-21, -0x1.03d30c79da14dp-21, -0x1.c098d49aa91d3p-22, -0x1.7ed4bf984ff55p-22, -0x1.421d6ab723d4fp-22, -0x1.0a2f224225998p-22, -0x1.adcec6162e356p-23, -0x1.4ff850eed2683p-23, -0x1.f4ce14af1662bp-24, -0x1.5906fdcd44625p-24, -0x1.99441de65c369p-25, -0x1.36b23f5f320cep-26, 0x1.2921bd808f25fp-27, 0x1.10514644229ecp-25, 0x1.c37a7e44f0178p-25, 0x1.2fc685b10dff1p-24, 0x1.73621ebacac2fp-24, 0x1.ad0cb571d2581p-24, 0x1.dd7993cc2a9d7p-24, 0x1.0290f5cad01d4p-23, 0x1.126ae86e0c63cp-23, 0x1.1e576b643ea82p-23, 0x1.26910768ec7abp-23, 0x1.2bd1da9468bcfp-23, 0x1.2d91a9de092dap-23, 0x1.2d1241900a619p-23, 0x1.2827d406da04cp-23, 0x1.22bddabc59386p-23, 0x1.1a52e4bda8a75p-23, 0x1.0fc6a61b08d7ap-23, 0x1.03382a9338fc3p-23, 0x1.e976570c70fcbp-24, 0x1.c993d17b4f36cp-24, 0x1.a6d12636d676ep-24, 0x1.81a43fa0334fdp-24, 0x1.59023fd4a65d6p-24, 0x1.2ea3f38deb04ap-24, 0x1.01e830b35ad3p-24, 0x1.a923d916fa34ep-25, 0x1.485bc599d755p-25, 0x1.cf732f4f5cb83p-26, 0x1.073f7c41d38d2p-26, 0x1.191dde2f82a62p-28, -0x1.1ead76ab7c3cp-27, -0x1.64fddfb2914f5p-26, -0x1.1bc832b3dcd9dp-25, -0x1.841bbf747b7ecp-25, -0x1.f095fbde4ff3dp-25, -0x1.2d521e5b4c03fp-24, -0x1.62a3854caa72bp-24, -0x1.97adbb7cdbf8ep-24, -0x1.cc80fa1e51e5ep-24, -0x1.006fcb6da9d67p-23, -0x1.1a679bf383f57p-23, -0x1.34172dd3ebe88p-23, -0x1.4d7116db27313p-23, -0x1.668832f9d397bp-23, -0x1.7e50f92b402d7p-23, -0x1.9644fef5f6be2p-23, -0x1.af38a3aaf5e2p-23, -0x1.c65ebbcceb31ap-23, -0x1.dd2686be30685p-23, -0x1.f3607976b5f9p-23, -0x1.04881431885e9p-22, -0x1.0f271fb0ec70ep-22, -0x1.1972f744f8e38p-22, -0x1.23788ebed552p-22, -0x1.2d19365bba493p-22, -0x1.3692835f078f4p-22, -0x1.3fa295e854bcp-22, -0x1.48698d8d5d1dap-22, -0x1.50f3f48e37febp-22, -0x1.58ce40eacd3c4p-22, -0x1.60c796fef9f4dp-22, -0x1.685306f0053b7p-22, -0x1.6f841ae85df4ep-22, -0x1.764f82e3a76f2p-22, -0x1.7da129f6cb41ep-22, -0x1.82a25abb44199p-22, -0x1.88f63321ad12ep-22, -0x1.8e7550760de99p-22, -0x1.93af9bd807864p-22, -0x1.989b22ee9ef87p-22, -0x1.9d2a7bbbe77afp-22, -0x1.a1787ce723347p-22, -0x1.a5744088e5dbbp-22, -0x1.a92c6d46d297cp-22, -0x1.ac7d8aba1333ep-22, -0x1.af8dbd6c160f2p-22, -0x1.b254350089d4p-22, -0x1.b4cf8287bfaf4p-22, -0x1.b713eb0c46eb8p-22, -0x1.b8e9237c788bdp-22, -0x1.baad9f583a573p-22, -0x1.bc018f03cd0c5p-22, -0x1.bcb8cb47b46d3p-22, -0x1.bdebd25d69b12p-22, -0x1.be8d974b53eccp-22, -0x1.bee17ce71d3d5p-22, -0x1.bee5bc464c1e5p-22, -0x1.bec0279e6fc89p-22, -0x1.be69c82b55e9cp-22, -0x1.bdcc4abc7c258p-22, -0x1.bcf64df938b15p-22, -0x1.bbe9b37cd76ep-22, -0x1.ba7a13fe239bbp-22, -0x1.b953ac83af4e7p-22, -0x1.b7a80843993d8p-22, -0x1.b591b0ea3b584p-22, -0x1.b3a35b98c2526p-22, -0x1.b16d48d3d9d23p-22, -0x1.aefe1cecaa135p-22, -0x1.ac786017b7274p-22, -0x1.a9b3a45fe80eep-22, -0x1.a6d7e91490371p-22, -0x1.a34eb825e4a72p-22, -0x1.a13ce3cf89d97p-22, -0x1.9d3c04dfbc823p-22, -0x1.99b98532bd2fp-22, -0x1.96319a5a8d4b8p-22, -0x1.925bdb2277c49p-22, -0x1.8e812fb98875ep-22, -0x1.8a8632ea546bfp-22, -0x1.8672aa0216bd9p-22, -0x1.8235c2d5cba65p-22, -0x1.7df23f84bd63fp-22, -0x1.799a6bfd8a55dp-22, -0x1.75003705f68c2p-22, -0x1.7081cfface7d4p-22, -0x1.6bd0f8d51757cp-22, -0x1.6715deb06db04p-22, -0x1.6246ebcb169bcp-22, -0x1.5d66382dfa748p-22, -0x1.5877183eb7ab6p-22, -0x1.534f304047b93p-22, -0x1.4e4d1bb562a3p-22, -0x1.49a5397b9e65ep-22, -0x1.44151a730d846p-22, -0x1.3eed41ce8067cp-22, -0x1.39ac79bb9fb37p-22, -0x1.346fa89841c14p-22, -0x1.2f041e4210291p-22, -0x1.29d93ce1ddb17p-22, -0x1.246a636e4d686p-22, -0x1.1f0632be2def7p-22, -0x1.199fa32b64a64p-22, -0x1.1432b8c85b32dp-22, -0x1.0ec19190a1019p-22, -0x1.0950baa650418p-22, -0x1.03e29306c80c1p-22, -0x1.fc8f86b59fe63p-23, -0x1.f24c1c43c456p-23, -0x1.e736d61af9667p-23, -0x1.dc006afbf9a58p-23, -0x1.d15ab0bd308bdp-23, -0x1.c67f1ab66ced9p-23, -0x1.bba5325fc4d1p-23, -0x1.b007f8e81eee7p-23, -0x1.a735d7e0085eep-23, -0x1.9b460d6804f04p-23, -0x1.90c592778a553p-23, -0x1.861e719c6ecf8p-23, -0x1.7b8cd889e9c9ap-23, -0x1.710481aeba988p-23, -0x1.66924569ab72fp-23, -0x1.5c0f7b5ea028bp-23, -0x1.520de250f7456p-23, -0x1.4798417bbf12ep-23, -0x1.3d6ffbe1cf5bap-23, -0x1.33532df6f2d3p-23, -0x1.293fbe0e3b0c7p-23, -0x1.1f6e503e13df2p-23, -0x1.157e48ffbea0cp-23, -0x1.0bd528df11704p-23, -0x1.01e388841df8ap-23, -0x1.f14e9779e4efdp-24, -0x1.ddf64572fdc2cp-24, -0x1.cb31ad1dae97cp-24, -0x1.b8a6cc3c715c7p-24, -0x1.a64d0d918e78fp-24, -0x1.9365ef38d58abp-24, -0x1.8290d5c893f0dp-24, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.be98b395b15f6p+0, 0x1.cb61ae618bd45p+0, 0x1.d2c52fc491c51p+0, 0x1.d535dde81e37cp+0, 0x1.d32e0fb2af7b1p+0, 0x1.cd2b4bd3ed26fp+0, 0x1.c3aacd0200968p+0, 0x1.b7266b12f4d79p+0, 0x1.a8133d159c2c1p+0, 0x1.96deda124071fp+0, 0x1.83f034257d0e6p+0, 0x1.6fa57f936eb78p+0, 0x1.5a529927287e8p+0, 0x1.4444a7ae70be9p+0, 0x1.2dc07aeb76e5ap+0, 0x1.1702e834c9504p+0, 0x1.004086720218bp+0, 0x1.d34c299af77eap-1, 0x1.a6b364577e851p-1, 0x1.7af82dc901049p-1, 0x1.505245d26c233p-1, 0x1.26efe6518bba7p-1, 0x1.fdec31c676bc1p-2, 0x1.b10339c99dc7fp-2, 0x1.67501abfd072dp-2, 0x1.20f1f204c9301p-2, 0x1.bbfb347170105p-3, 0x1.3cfde79ce1e8fp-3, 0x1.89e6cc4dde827p-4, 0x1.4f513141a2c33p-5, -0x1.67375d692b147p-7, -0x1.e8089b29bd028p-5, -0x1.adfc23e98ea76p-4, -0x1.2d935acd3b43bp-3, -0x1.7df43d3f738bbp-3, -0x1.c858039087a0cp-3, -0x1.067c4cfda3ee5p-2, -0x1.26091c530c943p-2, -0x1.42f1592f4c6dfp-2, -0x1.5d546ffe7290bp-2, -0x1.75520e483462p-2, -0x1.8b09e365e4e51p-2, -0x1.9e9b618ea32ffp-2, -0x1.b02583196eac2p-2, -0x1.bfc698ab86ff4p-2, -0x1.cd9c20d3b6e7cp-2, -0x1.d9c2a731665c3p-2, -0x1.e455aacf879bp-2, -0x1.ed6f8d650b0ep-2, -0x1.f5298bda8f155p-2, -0x1.fb9bbce37e281p-2, -0x1.006e88ecd6a0fp-1, -0x1.0281ac07520c2p-1, -0x1.04119dbb2f08cp-1, -0x1.05282649c3737p-1, -0x1.05ce84defdc7cp-1, -0x1.060d753f784e8p-1, -0x1.05ed355d6393ap-1, -0x1.05758a409622ap-1, -0x1.04adc4639c538p-1, -0x1.039cc3e77e7cfp-1, -0x1.0248fd1700837p-1, -0x1.00b87d1af1599p-1, -0x1.fde1dd4cc83c5p-2, -0x1.f9ef3c894f23fp-2, -0x1.f5a2fc8b64a4p-2, -0x1.f10654e5a6bcbp-2, -0x1.ec21d7d8a5e84p-2, -0x1.e6fd7ac9af012p-2, -0x1.e1a09f499ed15p-2, -0x1.dc121c65ef648p-2, -0x1.d65847665b08dp-2, -0x1.d078fba7d37cp-2, -0x1.ca79a1504b2e7p-2, -0x1.c45f33395fe9bp-2, -0x1.be2e447acc71fp-2, -0x1.b7eb0620f06c4p-2, -0x1.b19a8de1ac964p-2, -0x1.ab3d5cc203dfcp-2, -0x1.a4d8592d46142p-2, -0x1.9e6e83593a6b6p-2, -0x1.9802984e843f8p-2, -0x1.91971653ab8fbp-2, -0x1.8b2e417ff044bp-2, -0x1.84ca28360b5b7p-2, -0x1.7e6ca7891efa6p-2, -0x1.78176f661e6b8p-2, -0x1.71cc0665cdb42p-2, -0x1.6b8bcd4b94087p-2, -0x1.6558020af3c42p-2, -0x1.5f31c277d6a13p-2, -0x1.591a0e91e8c5ap-2, -0x1.5311caa1c7a06p-2, -0x1.4d19c0fd9d53ap-2, -0x1.4732a3c71e6edp-2, -0x1.415d0e8d664c6p-2, -0x1.3b9987c47255ap-2, -0x1.35e882739310cp-2, -0x1.304a5f9dbccc2p-2, -0x1.2abf6fc2a0e93p-2, -0x1.2547f452aa8fbp-2, -0x1.1fe421082ae93p-2, -0x1.1a941d3417d03p-2, -0x1.155804f37f2f8p-2, -0x1.102fea464b07ep-2, -0x1.0b1bd60e66257p-2, -0x1.061bc8f2f04ap-2, -0x1.012fbc29473c5p-2, -0x1.f8af444176feep-3, -0x1.ef26ce6406bf6p-3, -0x1.e5c5e40f8699ep-3, -0x1.dc8c487247d59p-3, -0x1.d379b55966ebbp-3, -0x1.ca8ddc095aaacp-3, -0x1.c1c86607044efp-3, -0x1.b928f5d178dd4p-3, -0x1.b0af27b66d398p-3, -0x1.a85a9263a8028p-3, -0x1.a02ac7b333dfep-3, -0x1.981f555062bdep-3, -0x1.9037c539473e3p-3, -0x1.88739e8adffb1p-3, -0x1.80d265d19541bp-3, -0x1.79539da601a51p-3, -0x1.71f6c71577b48p-3, -0x1.6abb62069c10cp-3, -0x1.63a0ed9892993p-3, -0x1.5ca6e8729a16fp-3, -0x1.55ccd118775bfp-3, -0x1.4f122616e29bdp-3, -0x1.4876666adb089p-3, -0x1.41f9118a8ec4dp-3, -0x1.3b99a7a7dbbabp-3, -0x1.3557a9f30ee5cp-3, -0x1.2f329a94730ecp-3, -0x1.2929fcf91b2f2p-3, -0x1.233d55c4ceae6p-3, -0x1.1d6c2b091a009p-3, -0x1.17b6044a6fe81p-3, -0x1.121a6a916918fp-3, -0x1.0c98e879c81dap-3, -0x1.07310a3bfa56cp-3, -0x1.01e25db4e9f88p-3, -0x1.f958e4ec28bf4p-4, -0x1.ef1db3688a4d9p-4, -0x1.e5124cebb5efep-4, -0x1.db35daa6f503cp-4, -0x1.d18789b44cdeap-4, -0x1.c8068a4f0d008p-4, -0x1.beb21069d657p-4, -0x1.b589536071e3p-4, -0x1.ac8b8e147df09p-4, -0x1.a3b7fed766093p-4, -0x1.9b0de78520125p-4, -0x1.928c8d5a7fb22p-4, -0x1.8a3338fe65af4p-4, -0x1.8201368055e41p-4, -0x1.79f5d54806d7ep-4, -0x1.7210682a345adp-4, -0x1.6a504508e78a8p-4, -0x1.62b4c5621bcd7p-4, -0x1.5b3d457edeab7p-4, -0x1.53e925432f1c9p-4, -0x1.4cb7c77855a58p-4, -0x1.45a89200c6716p-4, -0x1.3eba90dc11501p-4, -0x1.37edd926036a8p-4, -0x1.31419032b8cdap-4, -0x1.2ab527db47f1p-4, -0x1.244814c005e4fp-4, -0x1.1df9ce1e22efbp-4, -0x1.17c9cdeb1cb1cp-4, -0x1.11b7908a2e463p-4, -0x1.0bc29509e4f88p-4, -0x1.05ea5cb1edecep-4, -0x1.002e6b5e2cbe3p-4, -0x1.f51c8e652c3dbp-5, -0x1.ea12f101eb93p-5, -0x1.df3f137c1cbb8p-5, -0x1.d4a00f7048fp-5, -0x1.ca3502441d325p-5, -0x1.bffd0d98ba332p-5, -0x1.b5f757069a1c7p-5, -0x1.ac2307dd59ba4p-5, -0x1.a27f4d42d7facp-5, -0x1.990b57f77a194p-5, -0x1.8fc65c5067a23p-5, -0x1.86af91f543d7bp-5, -0x1.7dc6341725aebp-5, -0x1.750981176f00cp-5, -0x1.6c78ba7956189p-5, -0x1.641324f270223p-5, -0x1.5bd8082c39dfp-5, -0x1.53c6aee5fbc33p-5, -0x1.4bde66985ffcdp-5, -0x1.441e7f80efdd8p-5, -0x1.3c864cda070f9p-5, -0x1.35152449cd091p-5, -0x1.2dca5e50a7353p-5, -0x1.26a555876c86ep-5, -0x1.1fa567b0a7be8p-5, -0x1.18c9f474a3628p-5, -0x1.12125e042519fp-5, -0x1.0b7e08fe9f1a6p-5, -0x1.050c5c2bcbc6ap-5, -0x1.fd798129167acp-6, -0x1.f11d4312189fep-6, -0x1.e502d87cd9e22p-6, -0x1.d92920b062876p-6, -0x1.cd8efece7096ep-6, -0x1.c2335972b2884p-6, -0x1.b7151c3415f25p-6, -0x1.ac3335e30905p-6, -0x1.a18c992cb4e76p-6, -0x1.97203d014e5fp-6, -0x1.8ced1b563dbafp-6, -0x1.82f2322a75c49p-6, -0x1.792e83029aad6p-6, -0x1.6fa1130ac843fp-6, -0x1.6648eabc278ffp-6, -0x1.5d25160189d36p-6, -0x1.5434a440f1a28p-6, -0x1.4b76a812f7b03p-6, -0x1.42ea37bcc21edp-6, -0x1.3a8e6c5ad1ccap-6, -0x1.3262626489117p-6, -0x1.2a65398393bp-6, -0x1.22961444aff8ep-6, -0x1.1af418f9e9ac8p-6, -0x1.137e702118bcep-6, -0x1.0c344606653bfp-6, -0x1.0514c9786f651p-6, -0x1.fc3e58d2978b9p-7, -0x1.eea54784b93a4p-7, -0x1.e15cceac4440bp-7, -0x1.d4636296698a3p-7, -0x1.c7b77fb9423ep-7, -0x1.bb57a5a6d306ep-7, -0x1.af425ac4bef65p-7, -0x1.a3762ab9e41f2p-7, -0x1.97f1a6b363fd3p-7, -0x1.8cb3654267bc8p-7, -0x1.81ba025c7e844p-7, -0x1.77041f3ae7959p-7, -0x1.6c90625c3f8b4p-7, -0x1.625d779a945e4p-7, -0x1.586a1012d1066p-7, -0x1.4eb4e1509c825p-7, -0x1.453ca6c8493cap-7, -0x1.3c00210243113p-7, -0x1.32fe14a222359p-7, -0x1.2a354bd5b7e04p-7, -0x1.21a496a00c244p-7, -0x1.194ac7b1da46ap-7, -0x1.1126b857999p-7, -0x1.093745fdec60bp-7, -0x1.017b5292f9fbep-7, -0x1.f3e38c1d0fc54p-8, -0x1.e53315f877d6bp-8, -0x1.d6e3237bfaf74p-8, -0x1.c8f19ec98d04cp-8, -0x1.bb5c796b98f07p-8, -0x1.ae21b01cfbb78p-8, -0x1.a13f45e1848e2p-8, -0x1.94b3481421c4ap-8, -0x1.887bccd13064dp-8, -0x1.7c96f152a6a28p-8, -0x1.7102dd2bcc30bp-8, -0x1.65bdbf366d4bfp-8, -0x1.5ac5cf426496ap-8, -0x1.50194b89382c5p-8, -0x1.45b67d331ce7cp-8, -0x1.3b9bb33cfa595p-8, -0x1.31c74594ce333p-8, -0x1.2837938c2aa32p-8, -0x1.1eeb03c0da1b4p-8, -0x1.15e0072854decp-8, -0x1.0d1511c297ccdp-8, -0x1.0488a2b1f5edap-8, -0x1.f8727cbd2bb62p-9, -0x1.e84ae40d04105p-9, -0x1.d897a130a7a15p-9, -0x1.c955eb1b3baa8p-9, -0x1.ba8305129f1e4p-9, -0x1.ac1c3f24bff23p-9, -0x1.9e1ef8678065ap-9, -0x1.90889da58098cp-9, -0x1.8356a704169dap-9, -0x1.76869cfe503adp-9, -0x1.6a1611314c7e5p-9, -0x1.5e02a30d7176ap-9, -0x1.5249ffc36e901p-9, -0x1.46e9def9d766fp-9, -0x1.3be007cdc8615p-9, -0x1.312a4774a1863p-9, -0x1.26c67c000b29cp-9, -0x1.1cb28cda48a09p-9, -0x1.12ec6c889586p-9, -0x1.09721a3e19cfap-9, -0x1.00419f4028fb7p-9, -0x1.eeb21bb821f07p-10, -0x1.dd6d0d43d4ed6p-10, -0x1.ccb0645efc637p-10, -0x1.bc788774ae243p-10, -0x1.acc1f1819e4e1p-10, -0x1.9d8931d6a458p-10, -0x1.8ecaece7d250ep-10, -0x1.8083d15580077p-10, -0x1.72b0ae8f8f367p-10, -0x1.654e5d8f772e7p-10, -0x1.5859caec28985p-10, -0x1.4bcff4dedb4d7p-10, -0x1.3fadefb37d3fap-10, -0x1.33f0dbf4fcf8fp-10, -0x1.2895e7a1b116p-10, -0x1.1d9a5b5644641p-10, -0x1.12fb8a0557d7bp-10, -0x1.08b6d6f7e24a6p-10, -0x1.fd936ab382317p-11, -0x1.ea63518317807p-11, -0x1.d7d885cae27f5p-11, -0x1.c5ee4f3147dap-11, -0x1.b4a004869c76ep-11, -0x1.a3e926f3d7c4bp-11, -0x1.93c54d06930c4p-11, -0x1.843029e1958bp-11, -0x1.75258ae3c4e38p-11, -0x1.66a15e07f1812p-11, -0x1.589fa6d4a99d2p-11, -0x1.4b1c78098722cp-11, -0x1.3e14109b8d46dp-11, -0x1.3182bcb8e892dp-11, -0x1.2564e23984354p-11, -0x1.19b6fd82a192cp-11, -0x1.0e75a56210196p-11, -0x1.039d81e07aa4ep-11, -0x1.f256b27cb0a79p-12, -0x1.de3807da43acap-12, -0x1.cad8cf63d99cp-12, -0x1.b8331385676c2p-12, -0x1.a640feb86c8dep-12, -0x1.94fcf6f971f6dp-12, -0x1.846152a6e7573p-12, -0x1.7468bc1122615p-12, -0x1.650e024757444p-12, -0x1.564c07f168f94p-12, -0x1.481de16056782p-12, -0x1.3a7eade8f4a6ep-12, -0x1.2d69d24000eaap-12, -0x1.20dabd223c432p-12, -0x1.14ccfc34be79p-12, -0x1.093c414cb69acp-12, -0x1.fc48c50aeb185p-13, -0x1.e702a59f8a01p-13, -0x1.d29e36ba17906p-13, -0x1.bf13d7e2dd58ap-13, -0x1.ac5c04d4c6297p-13, -0x1.9a6f8b052543cp-13, -0x1.89476082fd4fep-13, -0x1.78dcaf6533834p-13, -0x1.6928d201e91fbp-13, -0x1.5a2566f02eee2p-13, -0x1.4bcc1cb758996p-13, -0x1.3e16e5a3d0e29p-13, -0x1.30ffe17509d81p-13, -0x1.248152272e874p-13, -0x1.1895a963880a7p-13, -0x1.0d378bd64808fp-13, -0x1.0261b50080b6fp-13, -0x1.f01e3fee09b25p-14, -0x1.dc75a41a8cdddp-14, -0x1.c9c013c605a46p-14, -0x1.b7f43697df9ep-14, -0x1.a70932a7ad32cp-14, -0x1.96f66d3e6221p-14, -0x1.87b3381836bfcp-14, -0x1.79377528e926ap-14, -0x1.6b7b297ae2138p-14, -0x1.5e76cb1201e58p-14, -0x1.5222f184d548ap-14, -0x1.46780af1e72c7p-14, -0x1.3b6f57f970b4dp-14, -0x1.31022c249038dp-14, -0x1.2729c55afbcdbp-14, -0x1.1ddfe709f145bp-14, -0x1.151e6ecea204fp-14, -0x1.0cdf682a05966p-14, -0x1.051d031f27024p-14, -0x1.fba3c11e5f4c3p-15, -0x1.edf096063bbb5p-15, -0x1.e116dfc4219aap-15, -0x1.d50c0ad647b65p-15, -0x1.c9c697abe0636p-15, -0x1.bf3d526c295a4p-15, -0x1.b566d33ab6d1ep-15, -0x1.ac3a81ed09749p-15, -0x1.a3afdf7e39084p-15, -0x1.9bbf233cce62dp-15, -0x1.945fd326be392p-15, -0x1.8d8ae56602aep-15, -0x1.8738f7562eb05p-15, -0x1.8162e13e7bf77p-15, -0x1.7c01d3a33e951p-15, -0x1.770f5fe606555p-15, -0x1.728538dfa17c3p-15, -0x1.6e5d6c35c800ep-15, -0x1.6a9213893149fp-15, -0x1.671db1a2fff26p-15, -0x1.63fa808f955fbp-15, -0x1.61241eaab3a74p-15, -0x1.5e94ba0f2097p-15, -0x1.5c481ebb977fcp-15, -0x1.5a39981756caep-15, -0x1.5864fb6c3577cp-15, -0x1.56c5a86628b49p-15, -0x1.5557cf1390c51p-15, -0x1.5417b1a3f7c71p-15, -0x1.5301893952273p-15, -0x1.5211a854a3c99p-15, -0x1.5144df844a16ep-15, -0x1.50981c77c726dp-15, -0x1.500809f73ed43p-15, -0x1.4f91c4c7afa8cp-15, -0x1.4f3265db2a514p-15, -0x1.4ee74ed0c057fp-15, -0x1.4eae1eaccf3bfp-15, -0x1.4e843b68ccd49p-15, -0x1.4e6756aa74e9fp-15, -0x1.4e555a60fb805p-15, -0x1.4e4c1a448c281p-15, -0x1.4e49740368ca3p-15, -0x1.4e4c484a731cap-15, -0x1.4e51ad1ccfd3bp-15, -0x1.4e58e58df8244p-15, -0x1.4e5fb0f411da7p-15, -0x1.4e64f61b4e7cfp-15, -0x1.4e677fedbf29ap-15, -0x1.4e65769a51ap-15, -0x1.4e5deebe826e7p-15, -0x1.4e4fe266931aap-15, -0x1.4e3a0a15c8946p-15, -0x1.4e1b54535513fp-15, -0x1.4df33a667a51fp-15, -0x1.4dc02e81b1688p-15, -0x1.4d81f783ab9f6p-15, -0x1.4d3785715dd14p-15, -0x1.4ce08b77e5e3fp-15, -0x1.4c7c461ba952ep-15, -0x1.4c09bb2697539p-15, -0x1.4b88b1c93229p-15, -0x1.4af8ee3362e67p-15, -0x1.4a5986e356d1bp-15, -0x1.49aa62558a454p-15, -0x1.48eaf94b25a85p-15, -0x1.481b6f3ea3caep-15, -0x1.473accdb580bcp-15, -0x1.464959a52067bp-15, -0x1.4546a513377a9p-15, -0x1.4432dd295cfb8p-15, -0x1.430d53269ebd7p-15, -0x1.41d65acc4ef86p-15, -0x1.408ddcaaf20c4p-15, -0x1.3f33bd710c856p-15, -0x1.3dc7f5111215ep-15, -0x1.3c4ab2887b97ep-15, -0x1.3abbd37fc42abp-15, -0x1.391bc17d8a2a5p-15, -0x1.376a17b13b48fp-15, -0x1.35a791d3435b4p-15, -0x1.33d3dcd65ce1cp-15, -0x1.31ef9644becb1p-15, -0x1.2ffa7b0c868d7p-15, -0x1.2df50e6a5df1fp-15, -0x1.2bdf71e864576p-15, -0x1.29b9ea9177ed5p-15, -0x1.2784d36fa43b2p-15, -0x1.2540269e5e57cp-15, -0x1.22ec60221c287p-15, -0x1.2089ea9693553p-15, -0x1.1e18ead26bc32p-15, -0x1.1b997714c13b4p-15, -0x1.190c5e8743f4bp-15, -0x1.1671bfdb0ff02p-15, -0x1.13c9cb40687c1p-15, -0x1.1115022bccaeap-15, -0x1.0e53769f8c82bp-15, -0x1.0b862a8fc9cd2p-15, -0x1.08aca8bd090d6p-15, -0x1.05c7ce3a5b269p-15, -0x1.02d7da0361accp-15, -0x1.ffba4b7eb9ffp-16, -0x1.f9b0300a86e13p-16, -0x1.f3920a3e1727dp-16, -0x1.ed60a833392adp-16, -0x1.e71c647b97eefp-16, -0x1.e0c74fd53730ep-16, -0x1.da60c6340bac9p-16, -0x1.d3ea0b283ae4ap-16, -0x1.cd63ecf22f54fp-16, -0x1.c6ced80b97a5ap-16, -0x1.c02c21a2c1cbbp-16, -0x1.b97bf411a502p-16, -0x1.b2bfc37567a2cp-16, -0x1.abf7573010502p-16, -0x1.a52443803f2b2p-16, -0x1.9e46cc084df0cp-16, -0x1.97600114132fdp-16, -0x1.9070827e5749bp-16, -0x1.8978b590bc28bp-16, -0x1.8279e851d5c1fp-16, -0x1.7b742f625bf56p-16, -0x1.7468a96518eeap-16, -0x1.6d57add6fdabfp-16, -0x1.6642d8fc5164ep-16, -0x1.5f28c772c6a49p-16, -0x1.580c94b83d01p-16, -0x1.50ed5e6f2b34ap-16, -0x1.49cc5e0241d6dp-16, -0x1.42aa072ada0f1p-16, -0x1.3b86b4566964fp-16, -0x1.34646470fc372p-16, -0x1.2d41829b0882p-16, -0x1.261fec42fa449p-16, -0x1.1f008c766d204p-16, -0x1.17e2f61b3bd5p-16, -0x1.10c89aae23127p-16, -0x1.09b1a3b84d086p-16, -0x1.029e7dd46d728p-16, -0x1.f71ff08d11989p-17, -0x1.e90d1bc8035f5p-17, -0x1.db04ea93c015bp-17, -0x1.cd091eed87501p-17, -0x1.bf1a1a533191bp-17, -0x1.b13957ddfeff9p-17, -0x1.a366cb0df5a3p-17, -0x1.95a5450405aa8p-17, -0x1.87f3323612366p-17, -0x1.7a536f3054ce5p-17, -0x1.6cc5e365c531bp-17, -0x1.5f4b82be92c86p-17, -0x1.51e53c276bfddp-17, -0x1.4493a995374bbp-17, -0x1.3757b6eb0b662p-17, -0x1.2a313bcc584f9p-17, -0x1.1d23138156109p-17, -0x1.102c2ae85f1c7p-17, -0x1.034d030ff0cafp-17, -0x1.ed0e249a17c94p-18, -0x1.d3b4dd573d5f1p-18, -0x1.ba92d4cbe4ba2p-18, -0x1.a1a1516fbded7p-18, -0x1.88e9af933e197p-18, -0x1.70690216be7bcp-18, -0x1.5820d21a2d73bp-18, -0x1.40126a87bd425p-18, -0x1.283f04f7b789ap-18, -0x1.10a615c36ce6ap-18, -0x1.f294738a548f5p-19, -0x1.c459a0c4039bdp-19, -0x1.9693c96feae8ap-19, -0x1.695457bd64877p-19, -0x1.3c8cc1dc41097p-19, -0x1.104ab0ae4ef39p-19, -0x1.c9107c6bd4c29p-20, -0x1.7299aa879ddccp-20, -0x1.1d16f45af9299p-20, -0x1.915df05a80328p-21, -0x1.d547a46d755c1p-22, -0x1.17f9f9d4b1ad4p-23, 0x1.7217b09010f1bp-23, 0x1.f9c3cca1d87ccp-22, 0x1.9b1d50bf65933p-21, 0x1.1b9672a2abd6fp-20, 0x1.688840ff66004p-20, 0x1.b464101be0a95p-20, 0x1.ff262759ec53p-20, 0x1.24675da69876ap-19, 0x1.48af2a6b65a53p-19, 0x1.6c691eb453584p-19, 0x1.8f95dd97180e9p-19, 0x1.b2378fa52f83bp-19, 0x1.d444810b383adp-19, 0x1.f5c64b007d08cp-19, 0x1.0b5f56b78e24ap-18, 0x1.1b912b7e4006bp-18, 0x1.2b7ce0d9ee279p-18, 0x1.3b21bdc81b3cfp-18, 0x1.4a7f32311c765p-18, 0x1.5996b273807d9p-18, 0x1.68649acabae64p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.cf85bd1240bb6p+0, 0x1.ecc1300638147p+0, 0x1.0347e470aa72bp+1, 0x1.0e85bcd7440a1p+1, 0x1.182ac2afef9cbp+1, 0x1.204a55f41f37ap+1, 0x1.26f9c8005fa36p+1, 0x1.2c4fb6dbb64d4p+1, 0x1.306373c8b8c19p+1, 0x1.334c926eee4f7p+1, 0x1.35228a8aba1c8p+1, 0x1.35fc5656fb16cp+1, 0x1.35f060fe88782p+1, 0x1.3514267ec9db4p+1, 0x1.337c28958f262p+1, 0x1.313bd8c080b4cp+1, 0x1.2e659006ede2dp+1, 0x1.2b0a86f35933bp+1, 0x1.273ace15e4d12p+1, 0x1.23054d46a0f67p+1, 0x1.1e77cc4310e7cp+1, 0x1.199f00ab576f9p+1, 0x1.14869aad21206p+1, 0x1.0f394fa660e1bp+1, 0x1.09c0e60a4267cp+1, 0x1.0426423414c14p+1, 0x1.fce2e7f04700fp+0, 0x1.f15389a06b49p+0, 0x1.e5ab89171a3fdp+0, 0x1.d9f6ab1d4f78fp+0, 0x1.ce3f75083b59ap+0, 0x1.c28f46c7470fcp+0, 0x1.b6ee6f760ffc6p+0, 0x1.ab64403c37af8p+0, 0x1.9ff721952a5a2p+0, 0x1.94acabcbb16e6p+0, 0x1.8989b50816164p+0, 0x1.7e92639d20947p+0, 0x1.73ca3e23b7fa3p+0, 0x1.69343a7a069cfp+0, 0x1.5ed2cb88244dcp+0, 0x1.54a7edeb7df2dp+0, 0x1.4ab533bf1a8dfp+0, 0x1.40fbcf8ce2024p+0, 0x1.377c9e539a682p+0, 0x1.2e3830b434d0ap+0, 0x1.252ed3738b25ap+0, 0x1.1c60975d30ce7p+0, 0x1.13cd587976ae4p+0, 0x1.0b74c4938ad5bp+0, 0x1.0356611e5a56bp+0, 0x1.f6e3211e68e92p-1, 0x1.e78b2e960a9ep-1, 0x1.d8a34022f7f2p-1, 0x1.ca297ff816282p-1, 0x1.bc1bf3f8462f4p-1, 0x1.ae7883f7d051cp-1, 0x1.a13cff5c7ab85p-1, 0x1.94672230c4ffbp-1, 0x1.87f499b9e6ee4p-1, 0x1.7be308804ce41p-1, 0x1.703009c261411p-1, 0x1.64d9348200cc3p-1, 0x1.59dc1e2554da4p-1, 0x1.4f365ccdf84bcp-1, 0x1.44e58975204a6p-1, 0x1.3ae741c71f9d9p-1, 0x1.313929bb14878p-1, 0x1.27d8ed011ae43p-1, 0x1.1ec4401f2f34fp-1, 0x1.15f8e1631fe08p-1, 0x1.0d7499abfd9cdp-1, 0x1.05353d11bd983p-1, 0x1.fa7156e24d5cfp-2, 0x1.eaf9a1c70c3dp-2, 0x1.dbff4c3d9942ep-2, 0x1.cd7e6169c7a1cp-2, 0x1.bf7304642672fp-2, 0x1.b1d9769a64f94p-2, 0x1.a4ae12fc325abp-2, 0x1.97ed4d6ac35fcp-2, 0x1.8b93b3b1dac62p-2, 0x1.7f9ded5629ef9p-2, 0x1.7408bb4addf26p-2, 0x1.68d0f79bbc723p-2, 0x1.5df395089f184p-2, 0x1.536d9e9626d4bp-2, 0x1.493c370ad08e7p-2, 0x1.3f5c987ef2505p-2, 0x1.35cc13c2b65bep-2, 0x1.2c880fdd2bd28p-2, 0x1.238e097afc6ep-2, 0x1.1adb925a84668p-2, 0x1.126e50bfc4408p-2, 0x1.0a43fedfe40bap-2, 0x1.025a6a581b69cp-2, 0x1.f55ee71445acdp-3, 0x1.e6821a552c18ep-3, 0x1.d81a774258dep-3, 0x1.ca2428f9f4e49p-3, 0x1.bc9b7bf8f87eep-3, 0x1.af7cdce3b1f2dp-3, 0x1.a2c4d79d1493p-3, 0x1.96701632febcep-3, 0x1.8a7b5fe7ac9ap-3, 0x1.7ee39836b282p-3, 0x1.73a5bde403573p-3, 0x1.68beea0f06957p-3, 0x1.5e2c4f423c21fp-3, 0x1.53eb38bcce512p-3, 0x1.49f9095092e04p-3, 0x1.40533ad44b8ebp-3, 0x1.36f75d364810ep-3, 0x1.2de315c0379f7p-3, 0x1.25141e53df7d9p-3, 0x1.1c8844b9c3b2bp-3, 0x1.143d69de820dcp-3, 0x1.0c31813af6eedp-3, 0x1.0462901da899p-3, 0x1.f99d5a220ce1bp-4, 0x1.eae7fe577c292p-4, 0x1.dca17b3fbdaa5p-4, 0x1.cec65dfd7634dp-4, 0x1.c1535188cef2bp-4, 0x1.b4451d95745a9p-4, 0x1.a798a5815f2c3p-4, 0x1.9b4ae766c3d47p-4, 0x1.8f58fb1feca64p-4, 0x1.83c0114575638p-4, 0x1.787d728a2d945p-4, 0x1.6d8e7e8ced392p-4, 0x1.62f0ab3fd0d56p-4, 0x1.58a1840ea9746p-4, 0x1.4e9ea912ed049p-4, 0x1.44e5ce481c62fp-4, 0x1.3b74bb07bf89ap-4, 0x1.32494912112bep-4, 0x1.29616420410bep-4, 0x1.20bb092841aacp-4, 0x1.185445bf1e2ddp-4, 0x1.102b37978ba9bp-4, 0x1.083e0bb690fap-4, 0x1.008afe4399f6ap-4, 0x1.f220b3495a1a6p-5, 0x1.e398ec9643b44p-5, 0x1.d57b73ea5f848p-5, 0x1.c7c52ebb1e039p-5, 0x1.ba731b7de79d9p-5, 0x1.ad8250da9169dp-5, 0x1.a0effc966c4ep-5, 0x1.94b9630e4bf8bp-5, 0x1.88dbde55c4782p-5, 0x1.7d54dd5107c12p-5, 0x1.7221e3469e18ep-5, 0x1.6740870a18497p-5, 0x1.5cae72425d531p-5, 0x1.526960c8b600ap-5, 0x1.486f2008680a7p-5, 0x1.3ebd8ea9b3d91p-5, 0x1.35529ba406c2ep-5, 0x1.2c2c45b6ac088p-5, 0x1.23489b4e122cbp-5, 0x1.1aa5b9683f7b9p-5, 0x1.1241cb7ee7e51p-5, 0x1.0a1b0afb16edap-5, 0x1.022fb7cd97527p-5, 0x1.f4fc67860c1b9p-6, 0x1.e609b029ac401p-6, 0x1.d7842210339bbp-6, 0x1.c968ae2c540c3p-6, 0x1.bbb45bfa5773p-6, 0x1.ae644843438bep-6, 0x1.a175a5faf6af6p-6, 0x1.94e5bc662ac68p-6, 0x1.88b1e6cfc12ep-6, 0x1.7cd793b9041ffp-6, 0x1.715444b8e4dc2p-6, 0x1.66258d4bcfb72p-6, 0x1.5b4912af41a69p-6, 0x1.50bc8b361ef99p-6, 0x1.467dbd94481dep-6, 0x1.3c8a80956b5aap-6, 0x1.32e0bab7f23a1p-6, 0x1.297e61452f5a6p-6, 0x1.2061784b90f1cp-6, 0x1.178811fd26bp-6, 0x1.0ef04e6279f0dp-6, 0x1.06985a691f75cp-6, 0x1.fcfce10f14ee2p-7, 0x1.ed41af0889805p-7, 0x1.ddfbc445a3fbcp-7, 0x1.cf27de6903374p-7, 0x1.c0c2d184d3514p-7, 0x1.b2c989185e09fp-7, 0x1.a539048b023dfp-7, 0x1.980e59fec907ep-7, 0x1.8b46b28e45134p-7, 0x1.7edf4c2d0f2c8p-7, 0x1.72d5776eaf079p-7, 0x1.67269830f592fp-7, 0x1.5bd023d34b85bp-7, 0x1.50cfa1dd55b83p-7, 0x1.4622aadbb8e4ep-7, 0x1.3bc6e7f795a1ap-7, 0x1.31ba12bd64d28p-7, 0x1.27f9f4596525cp-7, 0x1.1e846596be8a4p-7, 0x1.15574d3a9b507p-7, 0x1.0c70a1f8d91d1p-7, 0x1.03ce681c12021p-7, 0x1.f6dd603321635p-8, 0x1.e69f34d50af1p-8, 0x1.d6dea5af4faeap-8, 0x1.c79823ddc7c95p-8, 0x1.b8c839c6a03d2p-8, 0x1.aa6b890301caep-8, 0x1.9c7ecc1050864p-8, 0x1.8efed24f066b1p-8, 0x1.81e8802bddc9cp-8, 0x1.7538d2d4d5161p-8, 0x1.68ecda78a7d9ep-8, 0x1.5d01bb87672eap-8, 0x1.5174ae5e73b3cp-8, 0x1.4642fec445593p-8, 0x1.3b6a0b0ca81f7p-8, 0x1.30e7441c265aep-8, 0x1.26b82c9ce001ep-8, 0x1.1cda57e8dcbb5p-8, 0x1.134b6b1228214p-8, 0x1.0a091b271e376p-8, 0x1.01112d1ac37b6p-8, 0x1.f0c2eb77d33b5p-9, 0x1.dfefb167f930ap-9, 0x1.cfa4914a38202p-9, 0x1.bfdd8e9677c7p-9, 0x1.b096c28d6f7bdp-9, 0x1.a1cc6a760033cp-9, 0x1.937ad932f39d7p-9, 0x1.859e7c1be94aap-9, 0x1.7833d9908aebbp-9, 0x1.6b37914337469p-9, 0x1.5ea65b8c930edp-9, 0x1.527d0308466bfp-9, 0x1.46b8709062cc6p-9, 0x1.3b559e9baffb9p-9, 0x1.30519c26b6643p-9, 0x1.25a98ffeec173p-9, 0x1.1b5ab528e6edep-9, 0x1.11625836fa8e8p-9, 0x1.07bdd95429dcap-9, 0x1.fcd55c7be3eeap-10, 0x1.eaccb792fe1ep-10, 0x1.d95cf79b3316ap-10, 0x1.c8816d529f1aap-10, 0x1.b8358dbeb27fcp-10, 0x1.a874ef0d98c83p-10, 0x1.993b44a157a23p-10, 0x1.8a846a9ec2da7p-10, 0x1.7c4c4d94f1969p-10, 0x1.6e8f0104060dp-10, 0x1.6148b2eb60c8cp-10, 0x1.5475abedafe9ep-10, 0x1.48125612882c5p-10, 0x1.3c1b2c23ec8f5p-10, 0x1.308cc980de036p-10, 0x1.2563e4c9f0d0cp-10, 0x1.1a9d3fd5eda94p-10, 0x1.1035c6fef4441p-10, 0x1.062a72054d91ep-10, 0x1.f8f0a71027528p-11, 0x1.e6391b2873c0bp-11, 0x1.d428c2675d452p-11, 0x1.c2ba3e46be01ep-11, 0x1.b1e856f5dc041p-11, 0x1.a1ae01e9968dap-11, 0x1.92065205b8562p-11, 0x1.82ec8daa70ea2p-11, 0x1.745c124a7bc19p-11, 0x1.6650637443109p-11, 0x1.58c52bd33a7ccp-11, 0x1.4bb632952ef96p-11, 0x1.3f1f608ce8abdp-11, 0x1.32fcc0e927c9bp-11, 0x1.274a7cd0e1687p-11, 0x1.1c04d4c1091c4p-11, 0x1.11282d7062a92p-11, 0x1.06b104deb7adcp-11, 0x1.f937e24ad9db2p-12, 0x1.e5cb6234c5d8dp-12, 0x1.d31614be3b458p-12, 0x1.c111cd5c49ep-12, 0x1.afb8899f1cd2p-12, 0x1.9f0478ee95c02p-12, 0x1.8ef0011b6380cp-12, 0x1.7f759af8f5534p-12, 0x1.7090090a8e8a4p-12, 0x1.623a280c26f0dp-12, 0x1.546f02b6f7c1bp-12, 0x1.4729caef2bfb8p-12, 0x1.3a65cee77cddfp-12, 0x1.2e1e913c875p-12, 0x1.224fb6d678008p-12, 0x1.16f5034815ebdp-12, 0x1.0c0a5d62cfed5p-12, 0x1.018bcd2feee4cp-12, 0x1.eeeafd7d30276p-13, 0x1.db87856cc1505p-13, 0x1.c8e5cbe28d67bp-13, 0x1.b6ff12ef479f8p-13, 0x1.a5cc8b50cf218p-13, 0x1.9547b57813ddfp-13, 0x1.856a41727cb6fp-13, 0x1.762e1b1b57981p-13, 0x1.678d669c9aaedp-13, 0x1.598245b3b1fc9p-13, 0x1.4c076576382dep-13, 0x1.3f175e1f6ea09p-13, 0x1.32ad093b63538p-13, 0x1.26c36e913b68ep-13, 0x1.1b55b8b09e9bep-13, 0x1.105f4027c7694p-13, 0x1.05db95721fea9p-13, 0x1.f78c99b4f99e2p-14, 0x1.e4367d9cd9706p-14, 0x1.d1aca39381acap-14, 0x1.bfe74b775233dp-14, 0x1.aeded74cf31acp-14, 0x1.9e8c1975dd56cp-14, 0x1.8ee7ef60d27f9p-14, 0x1.7feb6c03acfefp-14, 0x1.719024343bc26p-14, 0x1.63cfb8016ef15p-14, 0x1.56a3ff9b568f3p-14, 0x1.4a0721f7e978fp-14, 0x1.3df361af2884ep-14, 0x1.32633d19cd1e4p-14, 0x1.27517437f7d1p-14, 0x1.1cb8e87f4b93p-14, 0x1.1294a2f8e29f5p-14, 0x1.08dfe5930076ep-14, 0x1.ff2c4c819b158p-15, 0x1.ed65dd469b98ap-15, 0x1.dc6416a6d5a24p-15, 0x1.cc1eba714a2f5p-15, 0x1.bc8de88d54287p-15, 0x1.ada9e9ce45904p-15, 0x1.9f6b993c0562ap-15, 0x1.91cbd3c4e15f5p-15, 0x1.84c3e0fdc5298p-15, 0x1.784d2fcbd65d8p-15, 0x1.6c61738a30824p-15, 0x1.60faab27a26e9p-15, 0x1.5612e0c3e44c5p-15, 0x1.4ba4a84b5c74p-15, 0x1.41aa96e3ef073p-15, 0x1.381f7c9bdc393p-15, 0x1.2efe67e804548p-15, 0x1.264283790ec05p-15, 0x1.1de74e8ffabfap-15, 0x1.15e836cc328e8p-15, 0x1.0e411e8a11c2fp-15, 0x1.06ee0433e1f5ep-15, 0x1.ffd5c345cf06p-16, 0x1.f268077b26d29p-16, 0x1.e58b8c1ba4036p-16, 0x1.d9399b3eb98b4p-16, 0x1.cd6b6d6c6f92bp-16, 0x1.c21ab9b65906fp-16, 0x1.b7416ed1172d9p-16, 0x1.acd9957c29477p-16, 0x1.a2ddc335a8828p-16, 0x1.9948858b33daap-16, 0x1.9014bc91c9fefp-16, 0x1.873d987fbef53p-16, 0x1.7ebe4ee21c927p-16, 0x1.76924e55a5f3ap-16, 0x1.6eb576a24ea22p-16, 0x1.672362db052cbp-16, 0x1.5fd877f3b7bap-16, 0x1.58d12d78cf25bp-16, 0x1.5209416647879p-16, 0x1.4b7dd269a6366p-16, 0x1.452b4016286p-16, 0x1.3f0eafb3b097p-16, 0x1.39250cdf562dcp-16, 0x1.336b84d835d9cp-16, 0x1.2ddf71db78d77p-16, 0x1.287e0ee9aecd8p-16, 0x1.234576df33d3ep-16, 0x1.1e32856407d89p-16, 0x1.194395a025e0fp-16, 0x1.14767b887c33cp-16, 0x1.0fc93203c2a99p-16, 0x1.0b39be5ee6df9p-16, 0x1.06c66822bdb93p-16, 0x1.026d85decb6e6p-16, 0x1.fc5b1917205c7p-17, 0x1.f408fc4b54d16p-17, 0x1.ebe2f82f772c1p-17, 0x1.e3e5ebdd2fea3p-17, 0x1.dc0f0f10a1123p-17, 0x1.d45c566b88a4ep-17, 0x1.cccb5269d3b65p-17, 0x1.c559a4a3dc749p-17, 0x1.be0584c16adf1p-17, 0x1.b6ccf1c5fe0f7p-17, 0x1.afae236e57c07p-17, 0x1.a8a773b26883ep-17, 0x1.a1b758e85e678p-17, 0x1.9adc55a247d26p-17, 0x1.9414d1c86ba2p-17, 0x1.8d5fddaefadefp-17, 0x1.86bc3d11c2656p-17, 0x1.80286cacf4399p-17, 0x1.79a43908bb433p-17, 0x1.732dfd7414fdep-17, 0x1.6cc50aa97aab3p-17, 0x1.66686192754d3p-17, 0x1.6017f8e912063p-17, 0x1.59d25bf44f795p-17, 0x1.5396bc92675b6p-17, 0x1.4d65d6ce82e7ep-17, 0x1.473e3a8cb18ecp-17, 0x1.411f557391063p-17, 0x1.3b092e0e02133p-17, 0x1.34fb0ce0a192dp-17, 0x1.2ef4d12fffae2p-17, 0x1.28f6381d599bp-17, 0x1.22ff00310e699p-17, 0x1.1d0ed15cb8e9dp-17, 0x1.1725b6ca4c97cp-17, 0x1.114369ba9c285p-17, 0x1.0b67c20b0e263p-17, 0x1.0592dd7958c8ep-17, 0x1.ff88ccf0eca38p-18, 0x1.f3f9e493584bbp-18, 0x1.e87706ca11bd7p-18, 0x1.dd01c1f2d8cfcp-18, 0x1.d19994f6dd23p-18, 0x1.c63ec45f74c9fp-18, 0x1.baf170072d0c5p-18, 0x1.afb1b09bc828ep-18, 0x1.a47fabd7fe8a4p-18, 0x1.995beb33303c9p-18, 0x1.8e4644d3d7eadp-18, 0x1.833f1946bb5cp-18, 0x1.78470d7bcbfafp-18, 0x1.6d5d1dab1b8acp-18, 0x1.62838b0fedfe2p-18, 0x1.57ba396f3e8fp-18, 0x1.4cfee7d98bbcep-18, 0x1.42563d76b514p-18, 0x1.37be822b7c9d1p-18, 0x1.2d3712fcf6de3p-18, 0x1.22c1754e09348p-18, 0x1.185d384b23e25p-18, 0x1.0e0bbde6c824ep-18, 0x1.03cd46f95aeefp-18, 0x1.f342815259a16p-19, 0x1.df12f6d744069p-19, 0x1.cb0b38e283ee8p-19, 0x1.b72a1638ca3d8p-19, 0x1.a3748cc457b82p-19, 0x1.8fe85aaf4ce9ep-19, 0x1.7c875d1f1e544p-19, 0x1.69525689e01ddp-19, 0x1.5649f5cce065fp-19, 0x1.436bcd608fca4p-19, 0x1.30be1ab118ad1p-19, 0x1.1e3de9dbcfa3ep-19, 0x1.0bedcab9e75f8p-19, 0x1.f399b99cec7bep-20, 0x1.cfba2b116b17cp-20, 0x1.ac3c51a0cdd6p-20, 0x1.8922812854083p-20, 0x1.666cac5593bbp-20, 0x1.441cfd7eca2b4p-20, 0x1.2234298cdbecp-20, 0x1.00b33b5aadcc2p-20, 0x1.bf3922c923db5p-21, 0x1.7de42091d1af1p-21, 0x1.3d5b7a0b8c6d1p-21, 0x1.fb56ca0e8995bp-22, 0x1.7db1e329c3dbap-22, 0x1.01bf780658b47p-22, 0x1.0f393c95d978cp-23, 0x1.e029974aa3f4dp-27, -0x1.9ebd6f7af8be7p-24, -0x1.b9520c8ec178ap-23, -0x1.4fe0df750e637p-22, -0x1.c152f46433342p-22, -0x1.187b002059a31p-21, -0x1.4f6eecc837c33p-21, -0x1.85776117119f2p-21, -0x1.ba9a5c46f5cfep-21, -0x1.eed836ee3cef6p-21, -0x1.1117bb5a8616cp-20, -0x1.2a4ea06ced288p-20, -0x1.431197b930e81p-20, -0x1.5b60147c9497fp-20, -0x1.733a27db47cep-20, -0x1.8a9fd8c1a46bep-20, -0x1.a191943d02f28p-20, -0x1.b80dca280886ap-20, -0x1.ce1761476052bp-20, -0x1.e3ab9987518ep-20, -0x1.f8cc764745319p-20, -0x1.06bcd7ba4f32ep-19, -0x1.10da5d0a381e7p-19, -0x1.1abb16ba204f4p-19, -0x1.24652b3edf69ap-19, -0x1.2dd51d72364a7p-19, -0x1.370b30de3e0e6p-19, -0x1.400a793c6b462p-19, -0x1.48ce2b5324031p-19, -0x1.515a86b4b2457p-19, -0x1.59aecd2b9852cp-19, -0x1.61caa28919c3fp-19, -0x1.69aefc922038cp-19, -0x1.715a449fcd228p-19, -0x1.78d300b627cb9p-19, -0x1.800e9c55bbb06p-19, -0x1.8718e75b28763p-19, -0x1.8deb67c05b5dap-19, -0x1.9483dea535c0ep-19, -0x1.9aecd007c7c8dp-19, -0x1.a11e2e26878cp-19, -0x1.a71b3f6cfb093p-19, -0x1.ace3957effde8p-19, -0x1.b278b94d6c9b6p-19, -0x1.b7d9f76e225b2p-19, -0x1.bd08138ab6bf2p-19, -0x1.c2044a9855d5ap-19, -0x1.c6cd48d70606fp-19, -0x1.cb66b4ae55edfp-19, -0x1.cfcc3a5abfa9p-19, -0x1.d4024d3d65e96p-19, -0x1.d80865ac65a8p-19, -0x1.dbde81c4e99a3p-19, -0x1.df854dcc6fdaep-19, -0x1.e2fd8ac8ab9edp-19, -0x1.e64774eb2b7ebp-19, -0x1.e963971e2a93bp-19, -0x1.ec50e21929b9cp-19, -0x1.ef16a4a0195cdp-19, -0x1.f1ab4555d6a83p-19, -0x1.f41609e646511p-19, -0x1.f655e72f4f625p-19, -0x1.f86bb156c7355p-19, -0x1.fa54f29210f64p-19, -0x1.fc176389cef82p-19, -0x1.fdb09505aab39p-19, -0x1.ff213ff3aa48fp-19, -0x1.00351459edd8ep-18, -0x1.00c5ecec73bc1p-18, -0x1.0143d55c88d03p-18, -0x1.01add37a4bc1fp-18, -0x1.0205e53d06f7fp-18, -0x1.024b6acd202c4p-18, -0x1.027e51ac6ea01p-18, -0x1.029f9ee1ae6fdp-18, -0x1.02afcff98a1f1p-18, -0x1.02adfecbf898cp-18, -0x1.029b18386473ep-18, -0x1.0279cff62cfbcp-18, -0x1.02432d2e1c64p-18, -0x1.01ffa45dce9e6p-18, -0x1.01ac8cbfa997fp-18, -0x1.0148fcfb01d75p-18, -0x1.00d628819930ap-18, -0x1.00548bd14d8f8p-18, -0x1.ff87cc3282cdep-19, -0x1.fe49d454eadbfp-19, -0x1.fcef423e33b7ap-19, -0x1.fb793e23fef6fp-19, -0x1.f9e7b30ae6134p-19, -0x1.f83b89c505d2bp-19, -0x1.f6755521ade3bp-19, -0x1.f49453afb9d2p-19, -0x1.f29d861b355bep-19, -0x1.f08bb27b22219p-19, -0x1.ee5fce299c3a3p-19, -0x1.ec215609922a7p-19, -0x1.e9c7ad26ec5f9p-19, -0x1.e75a5c437da2ap-19, -0x1.e4d6568d9ed12p-19, -0x1.e23ccb26a55d9p-19, -0x1.df8ea949cfd6cp-19, -0x1.dcca4e2291a07p-19, -0x1.d9f7e21de3e09p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.37e70492fd72ap-1, 0x1.30115cfbee4b2p-1, 0x1.2370b4ada05a1p-1, 0x1.126496845b3f4p-1, 0x1.facbdbd41719ep-2, 0x1.c9fa4879940abp-2, 0x1.93741b10a8f0ep-2, 0x1.585bee1cd6d7ap-2, 0x1.19cd1f120f019p-2, 0x1.b1ac15e61f839p-3, 0x1.2ce1ea2c9109ep-3, 0x1.4e0944dd18147p-4, 0x1.0d742c520dd6fp-6, -0x1.86e2600efa1a7p-5, -0x1.c3f0e6bde6238p-4, -0x1.5e074b0423463p-3, -0x1.d5089e9b5aaeep-3, -0x1.232574309d79ap-2, -0x1.58a1c1de3ccb9p-2, -0x1.8ac4e5e57d362p-2, -0x1.b969723510648p-2, -0x1.e47760a9f18bfp-2, -0x1.05f16ba8260a9p-1, -0x1.17d552912408bp-1, -0x1.27eb444471e45p-1, -0x1.363ad63eb200ep-1, -0x1.42cec02b52414p-1, -0x1.4db45ac13b99ap-1, -0x1.56fb1a30cf036p-1, -0x1.5eb40f029ec9dp-1, -0x1.64f18209116adp-1, -0x1.69c6a77ff4272p-1, -0x1.6d475894ca2f9p-1, -0x1.6f87eeee5a2c9p-1, -0x1.709c7777b5b8dp-1, -0x1.70993a8de230fp-1, -0x1.6f922529c3abdp-1, -0x1.6d9abfe852ceep-1, -0x1.6ac614205f296p-1, -0x1.67269679946f6p-1, -0x1.62ce1555b0c79p-1, -0x1.5dcdaa9099e41p-1, -0x1.5835b046a0283p-1, -0x1.5215b86cbbf32p-1, -0x1.4b7c8726a5d9fp-1, -0x1.44780febd00ebp-1, -0x1.3d1575791776fp-1, -0x1.35610c29cb916p-1, -0x1.2d665e0f91bf5p-1, -0x1.25303035fd231p-1, -0x1.1cc888c035937p-1, -0x1.1438b5e2ddf57p-1, -0x1.0b89558815d74p-1, -0x1.02c25d71b497cp-1, -0x1.f3d646a6449d2p-2, -0x1.e214c98c1fbb6p-2, -0x1.d04c9e1200e7fp-2, -0x1.be890d158c174p-2, -0x1.acd45cc5896eap-2, -0x1.9b37df6930fe8p-2, -0x1.89bc01d6c7f18p-2, -0x1.786859d2a10e6p-2, -0x1.6743b3b46c808p-2, -0x1.56541fb69979ap-2, -0x1.459efeb3bbdecp-2, -0x1.35290e5e2586cp-2, -0x1.24f674f533d01p-2, -0x1.150acc982b15p-2, -0x1.05692df8388a5p-2, -0x1.ec28756f8d05fp-3, -0x1.ce1c4eb91c066p-3, -0x1.b0b1895dd8553p-3, -0x1.93eb114eb0196p-3, -0x1.77cb2d7cce27fp-3, -0x1.5c538f31d1e7ep-3, -0x1.41855fff054cap-3, -0x1.27614e6dd87fdp-3, -0x1.0de68adb0fc2fp-3, -0x1.ea2edd3f18f54p-4, -0x1.b9e433576dbb5p-4, -0x1.8aeb5595bc4dap-4, -0x1.5d41e8df4e3cap-4, -0x1.30e50a0bc232ep-4, -0x1.05d15dfd9cb9ap-4, -0x1.b80640708a6a2p-5, -0x1.66ec60ee4c6a1p-5, -0x1.184c3dfa42411p-5, -0x1.9838df5eac223p-6, -0x1.04a632ba31006p-6, -0x1.d72fe02f1aeabp-8, 0x1.46af385f664p-10, 0x1.342875c70ac2ep-7, 0x1.1b45f53f12319p-6, 0x1.98168fb8fcdeap-6, 0x1.084e5b404c022p-5, 0x1.4277a0984ef7bp-5, 0x1.7a928ff7ca1dap-5, 0x1.b0aaa5b9f17eap-5, 0x1.e4cb5ab81767p-5, 0x1.0b800ea8de9cdp-4, 0x1.23aa25f53009dp-4, 0x1.3ae9976d4dd1cp-4, 0x1.5143fa2fcd68bp-4, 0x1.66bed61b8579ep-4, 0x1.7b5fa2367257cp-4, 0x1.8f2bc32de188dp-4, 0x1.a2288a287d026p-4, 0x1.b45b33b3cc3a3p-4, 0x1.c5c8e6d863282p-4, 0x1.d676b482379d8p-4, 0x1.e669967561c94p-4, 0x1.f5a66f0154782p-4, 0x1.021904219b154p-3, 0x1.090889d79002ep-3, 0x1.0fa414caf5b3bp-3, 0x1.15ede472580ep-3, 0x1.1be82b43c91fdp-3, 0x1.21950edac9d94p-3, 0x1.26f6a7cb0edf8p-3, 0x1.2c0f01ae44439p-3, 0x1.30e01b3a8ef3ap-3, 0x1.356be675c8953p-3, 0x1.39b448d391dc9p-3, 0x1.3dbb1b7f3a113p-3, 0x1.41822ba1be74p-3, 0x1.450b3aaaf1213p-3, 0x1.4857feac8dbf7p-3, 0x1.4b6a22b0f65b2p-3, 0x1.4e4346fadf709p-3, 0x1.50e501a349b84p-3, 0x1.5350de8d2c5a7p-3, 0x1.5588600b9449p-3, 0x1.578cff26d8756p-3, 0x1.59602bc095158p-3, 0x1.5b034cfe18a86p-3, 0x1.5c77c18d224e1p-3, 0x1.5dbedfcce2284p-3, 0x1.5ed9f61b36f87p-3, 0x1.5fca4b01a6737p-3, 0x1.60911d64e7878p-3, 0x1.612fa4c0e056fp-3, 0x1.61a7112b83d04p-3, 0x1.61f88bc1476d3p-3, 0x1.62253680acc9p-3, 0x1.622e2cc2392f8p-3, 0x1.6214830798b07p-3, 0x1.61d9477c9d4b7p-3, 0x1.617d81c5c571cp-3, 0x1.6102338b3bbd2p-3, 0x1.6068584302f9ep-3, 0x1.5fb0e5a13c447p-3, 0x1.5edccba9372cfp-3, 0x1.5decf4d4d3cc1p-3, 0x1.5ce24654ea28dp-3, 0x1.5bbda035c5082p-3, 0x1.5a7fdd8bca357p-3, 0x1.5929d49bd6665p-3, 0x1.57bc570735972p-3, 0x1.5638320ca1bb2p-3, 0x1.549e2ea9a88a5p-3, 0x1.52ef118a5ce0ep-3, 0x1.512b9bb376d7dp-3, 0x1.4f548a0201e14p-3, 0x1.4d6a95cb70e6ap-3, 0x1.4b6e74d22626p-3, 0x1.495fc28c4c9eep-3, 0x1.474128627c9f5p-3, 0x1.451274b6300d9p-3, 0x1.42d4509f16c15p-3, 0x1.4087621993905p-3, 0x1.3e2c4be62292ap-3, 0x1.3bc3ad739691dp-3, 0x1.394e235177b5dp-3, 0x1.36cc46f48fa38p-3, 0x1.343eaee16175cp-3, 0x1.31a5eea0a9af7p-3, 0x1.2f0296f878762p-3, 0x1.2c5535d244097p-3, 0x1.299e566a9e237p-3, 0x1.26de812dc1ebcp-3, 0x1.24163be7584bcp-3, 0x1.214609b9d81ccp-3, 0x1.1e6e6b34acff7p-3, 0x1.1b8fde4d28a42p-3, 0x1.18aade71ad40ap-3, 0x1.15bfe48d421dfp-3, 0x1.12cf67122b6ep-3, 0x1.0fd9d9e9f482cp-3, 0x1.0cdfaea59949fp-3, 0x1.09e15462a983fp-3, 0x1.06df37cc32bdbp-3, 0x1.03d9c339f32aep-3, 0x1.00d15e94465c8p-3, 0x1.fb8cdf271b2p-4, 0x1.f572b2b8f9e1ep-4, 0x1.ef54fa0b2101ap-4, 0x1.e934723bed50ep-4, 0x1.e311d432df1afp-4, 0x1.dcedd40cfe209p-4, 0x1.d6c921c1547e2p-4, 0x1.d0a468567c16bp-4, 0x1.ca804ec2d81f7p-4, 0x1.c45d777bdae6ep-4, 0x1.be3c80894ff5p-4, 0x1.b81e03b8185b5p-4, 0x1.b202967e2ba5ep-4, 0x1.abeaca19bae0bp-4, 0x1.a5d72b730923fp-4, 0x1.9fc84378768d7p-4, 0x1.99be96e5ec9afp-4, 0x1.93baa61ba5ab3p-4, 0x1.8dbcedddf86e2p-4, 0x1.87c5e6a6aad84p-4, 0x1.81d604fb76df8p-4, 0x1.7bedb98966fcap-4, 0x1.760d71025ded7p-4, 0x1.7035947510936p-4, 0x1.6a6688f2b72dbp-4, 0x1.64a0afa2cae1cp-4, 0x1.5ee46669c90a6p-4, 0x1.593207482300dp-4, 0x1.5389e89bfd9dp-4, 0x1.4dec5d3d8379dp-4, 0x1.4859b4743e589p-4, 0x1.42d23a1a9a3dbp-4, 0x1.3d5636a5237b7p-4, 0x1.37e5ef27c9ba8p-4, 0x1.3281a55e92175p-4, 0x1.2d2997b16a508p-4, 0x1.27de017cf7b2dp-4, 0x1.229f1abd3e4e4p-4, 0x1.1d6d18749890fp-4, 0x1.18482c847ee3ap-4, 0x1.133085cf8d067p-4, 0x1.0e2650554116dp-4, 0x1.0929b4e798048p-4, 0x1.043ad9e094355p-4, 0x1.feb3c5239414dp-5, 0x1.f50ddf340d8e5p-5, 0x1.eb843dc8b1626p-5, 0x1.e21717874d5b6p-5, 0x1.d8c69e06dab8ep-5, 0x1.cf92fd3ea55fdp-5, 0x1.c67c5d1aa6095p-5, 0x1.bd82e03295f74p-5, 0x1.b4a6a44414b67p-5, 0x1.abe7c2ce8ecefp-5, 0x1.a34650f28b677p-5, 0x1.9ac25eff365f8p-5, 0x1.925bf910ebf2ap-5, 0x1.8a1327a41446ap-5, 0x1.81e7eea80865ep-5, 0x1.79da4e615be88p-5, 0x1.71ea434501e9fp-5, 0x1.6a17c607beb3bp-5, 0x1.6262cbd8164e3p-5, 0x1.5acb4651bbf24p-5, 0x1.53512406eb3p-5, 0x1.4bf44fde14b9cp-5, 0x1.44b4b1e637a75p-5, 0x1.3d922efe19c38p-5, 0x1.368ca9302f561p-5, 0x1.2fa3ffd47729dp-5, 0x1.28d80f3a9d1c4p-5, 0x1.2228b1511f978p-5, 0x1.1b95bda24d626p-5, 0x1.151f08abf94edp-5, 0x1.0ec4658311a6ap-5, 0x1.0885a474061a2p-5, 0x1.026293e05e753p-5, 0x1.f8b5ffa78db25p-6, 0x1.ecdd65c645932p-6, 0x1.e13aeb0471a82p-6, 0x1.d5ce1cca147f1p-6, 0x1.ca96857ae49f8p-6, 0x1.bf93abd0803a3p-6, 0x1.b4c51408eb263p-6, 0x1.aa2a3f719f4f5p-6, 0x1.9fc2ac4b0d95cp-6, 0x1.958dd6bacce3bp-6, 0x1.8b8b386b6ef83p-6, 0x1.81ba48dad3f9dp-6, 0x1.781a7d75d8989p-6, 0x1.6eab49e287484p-6, 0x1.656c1fa08239ap-6, 0x1.5c5c6ef92a69cp-6, 0x1.537ba67066b3fp-6, 0x1.4ac93325ffb98p-6, 0x1.42448199de3d4p-6, 0x1.39ecfc5002752p-6, 0x1.31c20d41e2be1p-6, 0x1.29c31d76bb1cep-6, 0x1.21ef953207e4ap-6, 0x1.1a46dc3f6a866p-6, 0x1.12c8595498b92p-6, 0x1.0b7373622b4c9p-6, 0x1.0447909fb5288p-6, 0x1.fa882e400c2e8p-7, 0x1.ecd0d9ca36a39p-7, 0x1.df67eeea533a6p-7, 0x1.d24c39f8d8ee8p-7, 0x1.c57c86fc0d122p-7, 0x1.b8f7a26a870afp-7, 0x1.acbc5915110b4p-7, 0x1.a0c978e83c8e4p-7, 0x1.951dd0923d9dfp-7, 0x1.89b83015789fep-7, 0x1.7e97671a57787p-7, 0x1.73ba48ff11642p-7, 0x1.691fa8eb10e8dp-7, 0x1.5ec65c24c4987p-7, 0x1.54ad395e4375dp-7, 0x1.4ad319591848ap-7, 0x1.4136d6d269218p-7, 0x1.37d74d6e9ed7p-7, 0x1.2eb35ce6e7023p-7, 0x1.25c9e5ba884cdp-7, 0x1.1d19cb2700e3bp-7, 0x1.14a1f2e22606ap-7, 0x1.0c6144f915a0cp-7, 0x1.0456ac0135832p-7, 0x1.f9022bc495d5p-8, 0x1.e9bee46a34a1ap-8, 0x1.dae167c9e2d07p-8, 0x1.cc67a20fa120dp-8, 0x1.be4f844af60eep-8, 0x1.b09705ec050d5p-8, 0x1.a33c255efa6abp-8, 0x1.963ce5d172c0fp-8, 0x1.8997510308f32p-8, 0x1.7d49783bfa151p-8, 0x1.7151729bb8d3cp-8, 0x1.65ad5d74ab2b2p-8, 0x1.5a5b5d95b77c2p-8, 0x1.4f599dfbc1badp-8, 0x1.44a6507f047e7p-8, 0x1.3a3fae2030c95p-8, 0x1.3023f671b0f0fp-8, 0x1.26516ffb1bbf4p-8, 0x1.1cc6684f3f758p-8, 0x1.13813420992bep-8, 0x1.0a803154d5d3p-8, 0x1.01c1bdc9d8635p-8, 0x1.f2888a7d5e8b1p-9, 0x1.e20c703edb402p-9, 0x1.d20c1b1fbe459p-9, 0x1.c28489628c2bcp-9, 0x1.b372c583ed6c9p-9, 0x1.a4d3e7f8fd0d6p-9, 0x1.96a51756bbf1cp-9, 0x1.88e3872090787p-9, 0x1.7b8c79a7c7f93p-9, 0x1.6e9d3c27bc1fcp-9, 0x1.62132c116d5d1p-9, 0x1.55ebb2a8e6228p-9, 0x1.4a24464106705p-9, 0x1.3eba6a714e26bp-9, 0x1.33abaed7f2c96p-9, 0x1.28f5b0dc0119ep-9, 0x1.1e961844ebc3cp-9, 0x1.148a9b8d58847p-9, 0x1.0ad0fc58fcc29p-9, 0x1.016707920942ep-9, 0x1.f0952d55faa3ep-10, 0x1.def31c9474587p-10, 0x1.cde3be7471a95p-10, 0x1.bd630927d4fa6p-10, 0x1.ad6d0a548eb49p-10, 0x1.9dfde51ab982dp-10, 0x1.8f11d1c844137p-10, 0x1.80a51f30e2f88p-10, 0x1.72b42f3006988p-10, 0x1.653b7949cf60fp-10, 0x1.583789df91c36p-10, 0x1.4ba4ff280b184p-10, 0x1.3f808b3e921dep-10, 0x1.33c6f6a9f333ep-10, 0x1.2875186710daap-10, 0x1.1d87def8648e4p-10, 0x1.12fc47fa04012p-10, 0x1.08cf6091244d6p-10, 0x1.fdfca151501bcp-11, 0x1.eb0c8bff1d8c8p-11, 0x1.d8c914e56ac9bp-11, 0x1.c72ce1d105bbbp-11, 0x1.b632c1e86ce26p-11, 0x1.a5d5a1f0d9db8p-11, 0x1.96108ecbee103p-11, 0x1.86debefa72a4ap-11, 0x1.783b7403e73bap-11, 0x1.6a221eef7592p-11, 0x1.5c8e4e4a49601p-11, 0x1.4f7ba4f037f7ep-11, 0x1.42e5e505662a7p-11, 0x1.36c8f71270431p-11, 0x1.2b20d70aac5cdp-11, 0x1.1fe99db44d7fep-11, 0x1.151f7cdcf676cp-11, 0x1.0abec706c8227p-11, 0x1.00c3e4235fbd1p-11, 0x1.ee56ade0907eep-12, 0x1.dbe376680d5dcp-12, 0x1.ca279091ce4ep-12, 0x1.b91c8e9b40606p-12, 0x1.a8bc3ccc420f1p-12, 0x1.990091afe4f37p-12, 0x1.89e3b1afc373dp-12, 0x1.7b5feb988466cp-12, 0x1.6d6fc4658d0cdp-12, 0x1.600dd7d223b45p-12, 0x1.5334f9605f7b4p-12, 0x1.46e0239aebeebp-12, 0x1.3b0a7858c5401p-12, 0x1.2faf30b651b49p-12, 0x1.24c9d3aaf9741p-12, 0x1.1a55dbf2b0a85p-12, 0x1.104f049c0b33ap-12, 0x1.06b11fd7042d7p-12, 0x1.faf075f1d8729p-13, 0x1.e940ae03f546ap-13, 0x1.d84b77779ca9fp-13, 0x1.c8097bd44b25ap-13, 0x1.b873c6f9f3a58p-13, 0x1.a9835df7ef9cbp-13, 0x1.9b31cb3848e2ap-13, 0x1.8d788930e7a22p-13, 0x1.8051808e03327p-13, 0x1.73b6bb09fe1afp-13, 0x1.67a2716cae44cp-13, 0x1.5c0f0737f4c94p-13, 0x1.50f73e6823ab6p-13, 0x1.4655ce4fa973fp-13, 0x1.3c25c4a3a8f98p-13, 0x1.326244ce28cbap-13, 0x1.2906c91a189aap-13, 0x1.200ec883a0b97p-13, 0x1.1775e039eeeabp-13, 0x1.0f382406f4058p-13, 0x1.0751790895edcp-13, 0x1.ff7c23a66f7e4p-14, 0x1.f0f4b70bf8329p-14, 0x1.e30595647d19ep-14, 0x1.d5a7e97b78dcdp-14, 0x1.c8d577ccf5082p-14, 0x1.bc87d69c96df6p-14, 0x1.b0b91f35b264bp-14, 0x1.a5639b7cb40ap-14, 0x1.9a81b2ca77524p-14, 0x1.900e1cb535aa9p-14, 0x1.8603f1b31ed3ep-14, 0x1.7c5dca2ee4f06p-14, 0x1.73173fbf62a5ep-14, 0x1.6a2b9c6af6d29p-14, 0x1.6196588cd9d1ep-14, 0x1.595323aaeafc4p-14, 0x1.515ddcbb46eb5p-14, 0x1.49b29c6f33fb8p-14, 0x1.424d8fdf168b6p-14, 0x1.3b2ad6921e583p-14, 0x1.344740d17de6p-14, 0x1.2d9f4d1eee2fep-14, 0x1.272f96da43477p-14, 0x1.20f57c6fecee1p-14, 0x1.1aede658582cap-14, 0x1.15162358a7efp-14, 0x1.0f6bb16af932ap-14, 0x1.09ec10d1a018bp-14, 0x1.0494e8f1cdee2p-14, 0x1.fec86be530504p-15, 0x1.f4afa2b00bf58p-15, 0x1.eadbc51e29d8bp-15, 0x1.e149150dc6fa2p-15, 0x1.d7f40f3faafddp-15, 0x1.ced97ba317d9cp-15, 0x1.c5f63f3abd8ddp-15, 0x1.bd47623917831p-15, 0x1.b4ca1625e04c5p-15, 0x1.ac7be56128f62p-15, 0x1.a45a02b968e42p-15, 0x1.9c625dfb8521fp-15, 0x1.949297eed6949p-15, 0x1.8ce88453e31b7p-15, 0x1.85624122a01e4p-15, 0x1.7dfde8c1a249ap-15, 0x1.76b9871dd0ee7p-15, 0x1.6f93c3e940e14p-15, 0x1.688a795ee2b41p-15, 0x1.619cdb2288ebap-15, 0x1.5ac926db0e96ap-15, 0x1.540e03a50ce92p-15, 0x1.4d6a4b3f4f8d8p-15, 0x1.46dd08b1de18ep-15, 0x1.40649e4d9050cp-15, 0x1.3a00b454294b6p-15, 0x1.33afe2c4f17a3p-15, 0x1.2d71a56e71de4p-15, 0x1.2744de8f99154p-15, 0x1.21290bb9210acp-15, 0x1.1b1d60eb22e7bp-15, 0x1.152168a47f56fp-15, 0x1.0f345e2f31553p-15, 0x1.0955bdb305dfdp-15, 0x1.038539f2cdf3ap-15, 0x1.fb8439192d4f5p-16, 0x1.f018d2fb0acffp-16, 0x1.e4c6d4b41c437p-16, 0x1.d98dc6040bc32p-16, 0x1.ce6d35f9350f7p-16, 0x1.c364422168bdbp-16, 0x1.b873a628b6f24p-16, 0x1.ad99685847613p-16, 0x1.a2d61bfee16fep-16, 0x1.9829b7acb0cdap-16, 0x1.8d92a9e140393p-16, 0x1.83129ed6393f1p-16, 0x1.78a836e0f418ap-16, 0x1.6e538bad95efp-16, 0x1.6414b3fcabab7p-16, 0x1.59eb715963599p-16, 0x1.4fd829a591df2p-16, 0x1.45d9df43ad499p-16, 0x1.3bf2476ad44c9p-16, 0x1.321f74ad9271dp-16, 0x1.286307424a43bp-16, 0x1.1ebcd5bc6c10bp-16, 0x1.152c0a8ec160fp-16, 0x1.0bb1bb3dc5616p-16, 0x1.024d962143f44p-16, 0x1.f2004670f97e4p-17, 0x1.df91afc2f4e91p-17, 0x1.cd5151341566cp-17, 0x1.bb3e97208af89p-17, 0x1.a959d428d5e69p-17, 0x1.97a4260e9ba74p-17, 0x1.861bd6dd6238cp-17, 0x1.74c563e178f8dp-17, 0x1.639cb6913746dp-17, 0x1.52a4708c4a612p-17, 0x1.41dc7a9110552p-17, 0x1.314558d577783p-17, 0x1.20df16f0f74c9p-17, 0x1.10aa6beeb647cp-17, 0x1.00a788845272p-17, 0x1.e1adbe83716e2p-18, 0x1.c26f4b0898c89p-18, 0x1.a3986639b871cp-18, 0x1.8526e97011ecbp-18, 0x1.671bc44834661p-18, 0x1.4976f7e17a4fcp-18, 0x1.2c3d1b0d20678p-18, 0x1.0f68af5d4429dp-18, 0x1.e5fae6da7ce1ep-19, 0x1.adf7c9a1710e2p-19, 0x1.76c7e28b7ebf8p-19, 0x1.406b8f80c4bdcp-19, 0x1.0ae0e8550effcp-19, 0x1.ac62cf00a9babp-20, 0x1.44a1a7402dd99p-20, 0x1.bd192b61033adp-21, 0x1.e89045212f6acp-22, 0x1.766672b666798p-24, -0x1.26bc65a3accf6p-22, -0x1.522573c21cd3p-21, -0x1.06cb2ca395c98p-20, -0x1.62e09c9f2dfe9p-20, -0x1.bd33ea2f50596p-20, -0x1.0af726deb32b9p-19, -0x1.367d652c8aeb5p-19, -0x1.612c4561a3551p-19, -0x1.8b05067740a83p-19, -0x1.b40b82ce8d2dcp-19, -0x1.dc3accf3528bbp-19, -0x1.01cc02b600dcp-18, -0x1.1511117250159p-18, -0x1.27eda9db37fb5p-18, -0x1.3a60ef4559c16p-18, -0x1.4c6c9fc7e9792p-18, -0x1.5e10b2adb6a02p-18, -0x1.6f4be5432b2b1p-18, -0x1.8024e55ccdf29p-18, -0x1.90935e1a9cf3p-18, -0x1.a09b9a90cfd61p-18, -0x1.b0425ca843468p-18, -0x1.bf81ce34bd525p-18, -0x1.ce5f167cb982cp-18, -0x1.dcd8c3a4a7d15p-18, -0x1.eaefca5d3a4eep-18, -0x1.f8a56a8230363p-18, -0x1.02fc84034b593p-17, -0x1.0977a08db771p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.11716cdada2abp-1, 0x1.14a0799d9ba8cp-1, 0x1.166cd8a2ab8a2p-1, 0x1.16cd7502fa585p-1, 0x1.15c3a0db4f893p-1, 0x1.1358f5c13bd4bp-1, 0x1.0f9d7603c776fp-1, 0x1.0aa5e826cca86p-1, 0x1.048a75f9102b6p-1, 0x1.facaf9260fe69p-2, 0x1.eaa5223449db2p-2, 0x1.d8db8a8661726p-2, 0x1.c5a5f746b3177p-2, 0x1.b13ad66ece12bp-2, 0x1.9bce7eee0c861p-2, 0x1.8592a74e25d4dp-2, 0x1.6eb60b56c9899p-2, 0x1.57642ee2f16ap-2, 0x1.3fc536c7170efp-2, 0x1.27fdd8343bba7p-2, 0x1.102f5f5b5162ep-2, 0x1.f0ef8e5e1adabp-3, 0x1.c1e3b34cb49d9p-3, 0x1.936aaa09f9af7p-3, 0x1.65ae2a9b36a3dp-3, 0x1.38d27daa1a3e7p-3, 0x1.0cf6da7815f9cp-3, 0x1.c46b98133aa18p-4, 0x1.714b1dd52accfp-4, 0x1.20b0d2747768ep-4, 0x1.a5741a13f764ep-5, 0x1.0efb447fd3f5ap-5, 0x1.f863ed9435551p-7, -0x1.a374f56133316p-10, -0x1.2529a732b3ffbp-6, -0x1.124d45b319eb2p-5, -0x1.8c4728933baacp-5, -0x1.00459a9f95504p-4, -0x1.3793ee3776c7ep-4, -0x1.6c184137d8962p-4, -0x1.9dde66e8000dbp-4, -0x1.ccf402f67db2dp-4, -0x1.f9683f9064c9dp-4, -0x1.11a5c50bbcd1ap-3, -0x1.2557ab97c6a89p-3, -0x1.37d2f6d45894bp-3, -0x1.49211afeb3de7p-3, -0x1.594bc753617b4p-3, -0x1.685cd292f642ep-3, -0x1.765e2a0eba463p-3, -0x1.8359c35185499p-3, -0x1.8f598f780e06ep-3, -0x1.9a676f8c0f492p-3, -0x1.a48d2ac00be68p-3, -0x1.add465b59843p-3, -0x1.b6469baaa25efp-3, -0x1.bded18ed84a81p-3, -0x1.c4d0f628a714dp-3, -0x1.cafb1475dbeffp-3, -0x1.d07419c6f6785p-3, -0x1.d5446e36f019bp-3, -0x1.d9743a2d409f7p-3, -0x1.dd0b6502dbd3p-3, -0x1.e011945c008a6p-3, -0x1.e28e2bf3593aap-3, -0x1.e4884d562ce0fp-3, -0x1.e606d8498e9ffp-3, -0x1.e7106b28a396cp-3, -0x1.e7ab6356438f1p-3, -0x1.e7ddde58b39b2p-3, -0x1.e7adbaf9c69a9p-3, -0x1.e7209aa7bd1a1p-3, -0x1.e63be2e4a0c18p-3, -0x1.e504bef4a207cp-3, -0x1.e380213e24f7ep-3, -0x1.e1b2c4f81ee54p-3, -0x1.dfa12fdc91042p-3, -0x1.dd4fb0c66da33p-3, -0x1.dac26bbe617c1p-3, -0x1.d7fd4ee618e69p-3, -0x1.d5041abf5934ep-3, -0x1.d1da62b9102ecp-3, -0x1.ce838ed908244p-3, -0x1.cb02dd682446ap-3, -0x1.c75b647bc3203p-3, -0x1.c390139f14891p-3, -0x1.bfa3b55403e2cp-3, -0x1.bb98f0b01f9f6p-3, -0x1.b7724aa240de4p-3, -0x1.b3322797caa44p-3, -0x1.aedaccc3c9f13p-3, -0x1.aa6e617e83dabp-3, -0x1.a5eef09c8a897p-3, -0x1.a15e69a912856p-3, -0x1.9cbea22147183p-3, -0x1.981156759d1f3p-3, -0x1.93582bc59f241p-3, -0x1.8e94b01339ee3p-3, -0x1.89c85bf2018cdp-3, -0x1.84f49363ffac9p-3, -0x1.801aa6aba2d71p-3, -0x1.7b3bd36b014ddp-3, -0x1.76594567e94eap-3, -0x1.71741770e4cb9p-3, -0x1.6c8d542aa0764p-3, -0x1.67a5f6e0b291fp-3, -0x1.62beec30ac0f3p-3, -0x1.5dd912d416238p-3, -0x1.58f53c5f99973p-3, -0x1.54142d899576dp-3, -0x1.4f369f6ed308ep-3, -0x1.4a5d3f95232f7p-3, -0x1.4588b0c1f4a5bp-3, -0x1.40b98b78be95ep-3, -0x1.3bf05e7d6db02p-3, -0x1.372daf5261adfp-3, -0x1.3271fab2f26e3p-3, -0x1.2dbdb50fe52ap-3, -0x1.29114ad9d7ea8p-3, -0x1.246d2104ec294p-3, -0x1.1fd19598c2d7ap-3, -0x1.1b3eff8b58ac5p-3, -0x1.16b5afa8eaf84p-3, -0x1.1235f09766615p-3, -0x1.0dc0073cddb6ep-3, -0x1.0954330ffc3c4p-3, -0x1.04f2ae5a74e82p-3, -0x1.009bae8096699p-3, -0x1.f89ec8987197cp-4, -0x1.f01bf8260de6ep-4, -0x1.e7af3c1661f7fp-4, -0x1.df58dd1ef001ep-4, -0x1.d7191c31f3152p-4, -0x1.cef033499f844p-4, -0x1.c6de55e746318p-4, -0x1.bee3b0d83b473p-4, -0x1.b7006b4623413p-4, -0x1.af34a67646eb8p-4, -0x1.a7807e57001ap-4, -0x1.9fe409c5a2307p-4, -0x1.985f5abe1a395p-4, -0x1.90f27ece28c55p-4, -0x1.899d7f08fb3bep-4, -0x1.82606090498b9p-4, -0x1.7b3b24917ccaap-4, -0x1.742dc89b664d3p-4, -0x1.6d3846f6dee11p-4, -0x1.665a96680517cp-4, -0x1.5f94aab5d9b1bp-4, -0x1.58e674e34705ep-4, -0x1.524fe3193db7ep-4, -0x1.4bd0e0ef29378p-4, -0x1.456957a7c0d66p-4, -0x1.3f192e01217fcp-4, -0x1.38e048c2969fap-4, -0x1.32be8a98c0d1cp-4, -0x1.2cb3d4413dab7p-4, -0x1.26c004c784139p-4, -0x1.20e2f9324aa0cp-4, -0x1.1b1c8d5182f22p-4, -0x1.156c9b4423368p-4, -0x1.0fd2fbb8532a3p-4, -0x1.0a4f861d21ecap-4, -0x1.04e210950ac46p-4, -0x1.ff14e03e3c469p-5, -0x1.f490df2998eb3p-5, -0x1.ea37e942ef75bp-5, -0x1.e0098f506d2f6p-5, -0x1.d60573aa4e404p-5, -0x1.cc2b367042eb5p-5, -0x1.c27a768a914aep-5, -0x1.b8f2d19db989cp-5, -0x1.af93e3eb6529cp-5, -0x1.a65d47e3643ecp-5, -0x1.9d4e97eb2d7a9p-5, -0x1.94676cd1dd17ap-5, -0x1.8ba75e2b3140fp-5, -0x1.830e0359795e3p-5, -0x1.7a9af29c8bb99p-5, -0x1.724dc1725f3p-5, -0x1.6a260507888b7p-5, -0x1.622351d9ff314p-5, -0x1.5a453bd02662dp-5, -0x1.528b56ac10f78p-5, -0x1.4af535aff4b2cp-5, -0x1.43826be366653p-5, -0x1.3c328bfca2a65p-5, -0x1.350528e5a76ecp-5, -0x1.2df9d4f15309p-5, -0x1.2710228ecc571p-5, -0x1.2047a47863dc2p-5, -0x1.199fed08fce4dp-5, -0x1.13188f2e02351p-5, -0x1.0cb11cf044666p-5, -0x1.06692a0295e71p-5, -0x1.00404932ceed6p-5, -0x1.f46c1c2b34341p-6, -0x1.e894188ae1e41p-6, -0x1.dcf7afbe29315p-6, -0x1.d1960a7daf55fp-6, -0x1.c66e528864cf4p-6, -0x1.bb7fb258c1c6p-6, -0x1.b0c9555fd797cp-6, -0x1.a64a681714c61p-6, -0x1.9c0217ea0c5a4p-6, -0x1.91ef938636aefp-6, -0x1.88120a6a0db2ep-6, -0x1.7e68ae407b7bep-6, -0x1.74f2b093b9df5p-6, -0x1.6baf44bcad41fp-6, -0x1.629da0e692a5dp-6, -0x1.59bcfa10c9c9fp-6, -0x1.510c885ea400dp-6, -0x1.488b8567d8c7fp-6, -0x1.40392aea43fa9p-6, -0x1.3814b625f25cbp-6, -0x1.301d6465f72fdp-6, -0x1.28527534e101dp-6, -0x1.20b32a3a0d5d3p-6, -0x1.193ec5a94ed1bp-6, -0x1.11f48c1eb2b1fp-6, -0x1.0ad3c3dfb621bp-6, -0x1.03dbb50489d74p-6, -0x1.fa17522eb2eap-7, -0x1.ecc5d7c3f61eep-7, -0x1.dfc19561d4388p-7, -0x1.d30929526ad6ap-7, -0x1.c69b364155426p-7, -0x1.ba7661bf3003bp-7, -0x1.ae99558221dfbp-7, -0x1.a302bf18f413fp-7, -0x1.97b14ff6f244cp-7, -0x1.8ca3bd572f8c1p-7, -0x1.81d8c032b7b7fp-7, -0x1.774f1515c00fbp-7, -0x1.6d057f27e470fp-7, -0x1.62fabfbae49d3p-7, -0x1.592da1fcfc4a4p-7, -0x1.4f9cf213bfca4p-7, -0x1.464780c96124dp-7, -0x1.3d2c22aa98f41p-7, -0x1.3449b009e2a2p-7, -0x1.2b9f06799455cp-7, -0x1.232b059d1e0dbp-7, -0x1.1aec9232c0e5p-7, -0x1.12e29535f7509p-7, -0x1.0b0bfa91a5bd6p-7, -0x1.0367b2b042014p-7, -0x1.f7e96490e2a71p-8, -0x1.e963e37838a68p-8, -0x1.db3cd9ee1c968p-8, -0x1.cd72494d0dcccp-8, -0x1.c002372dbad6ep-8, -0x1.b2eab673d6a19p-8, -0x1.a629dd19367dfp-8, -0x1.99bdcab974a5ap-8, -0x1.8da4a7652b084p-8, -0x1.81dc9e8def626p-8, -0x1.7663e93620865p-8, -0x1.6b38c43b39a0bp-8, -0x1.605974a63f63dp-8, -0x1.55c4477fc27f9p-8, -0x1.4b778f09f6373p-8, -0x1.4171a8444034ep-8, -0x1.37b0f524d190dp-8, -0x1.2e33de41c95eap-8, -0x1.24f8d72913b69p-8, -0x1.1bfe55493a785p-8, -0x1.1342d8395790ep-8, -0x1.0ac4e4ec6e341p-8, -0x1.02830b25a77d2p-8, -0x1.f4f7b6580e047p-9, -0x1.e55be23b6f436p-9, -0x1.d62fdad1eea5ep-9, -0x1.c770eecb9baaep-9, -0x1.b91c7d641dcc3p-9, -0x1.ab2fe9eb29e46p-9, -0x1.9da8af322d8f4p-9, -0x1.90844e17d2d7dp-9, -0x1.83c058b929c9fp-9, -0x1.775a66fb5e8b9p-9, -0x1.6b502295c4ff4p-9, -0x1.5f9f3dd219e9dp-9, -0x1.54457796e8f9fp-9, -0x1.49409dd9e420ap-9, -0x1.3e8e85f5f650ap-9, -0x1.342d124330cd2p-9, -0x1.2a1a320fc4894p-9, -0x1.2053d9d09f9ddp-9, -0x1.16d8102992594p-9, -0x1.0da4e48531c2ep-9, -0x1.04b86dff17164p-9, -0x1.f821a397ebd1ap-10, -0x1.e75872dc3bb02p-10, -0x1.d711c56ead6acp-10, -0x1.c74a184d588cp-10, -0x1.b7fe04be0af9p-10, -0x1.a92a3869a9feep-10, -0x1.9acb6cb020efbp-10, -0x1.8cde75d6850cep-10, -0x1.7f60397b8428fp-10, -0x1.724da8c6a6693p-10, -0x1.65a3cc2711e09p-10, -0x1.595fbf8c66eb4p-10, -0x1.4d7eaae7cb892p-10, -0x1.41fdc9e664d0ep-10, -0x1.36da6518082fap-10, -0x1.2c11e4ded8cdcp-10, -0x1.21a1a9d2a221p-10, -0x1.178733cec045ap-10, -0x1.0dc00f1116f51p-10, -0x1.0449d923b9b84p-10, -0x1.f6446afe94f45p-11, -0x1.e48dbeea882e9p-11, -0x1.d36b4b75f1f33p-11, -0x1.c2d8aadea491fp-11, -0x1.b2d1a64dbb4b7p-11, -0x1.a35220dbbfe78p-11, -0x1.945617cc4cc8dp-11, -0x1.85d99efbf162ap-11, -0x1.77d8eaddb3604p-11, -0x1.6a5036881bd8dp-11, -0x1.5d3bf3a470164p-11, -0x1.50989911ecf5dp-11, -0x1.4462adea0ab96p-11, -0x1.3896e501bced1p-11, -0x1.2d31fccd8f772p-11, -0x1.2230c1b02d2c7p-11, -0x1.1790202d1cfcep-11, -0x1.0d4d25208caacp-11, -0x1.0364d91f85764p-11, -0x1.f3a8cca913582p-12, -0x1.e13219289f377p-12, -0x1.cf603a77e8da7p-12, -0x1.be2def4b134d2p-12, -0x1.ad962e4cbb923p-12, -0x1.9d93fa929a045p-12, -0x1.8e22844a6584cp-12, -0x1.7f3d339b19a43p-12, -0x1.70df74ca1d4cdp-12, -0x1.6304e2dd1b3f7p-12, -0x1.55a93e3773ba1p-12, -0x1.48c850cdcad5dp-12, -0x1.3c5e208b5ba29p-12, -0x1.3066b70f2bc5p-12, -0x1.24de521027f5ep-12, -0x1.19c1326ffeb8ep-12, -0x1.0f0bd8f1a18b3p-12, -0x1.04bab5bd901bep-12, -0x1.f594d454585d4p-13, -0x1.e26f7b23fb254p-13, -0x1.cffefb2991e44p-13, -0x1.be3d33ff8af8bp-13, -0x1.ad2420319c8acp-13, -0x1.9cadfe933faeep-13, -0x1.8cd522c6e4f42p-13, -0x1.7d9431d140846p-13, -0x1.6ee5d921ae699p-13, -0x1.60c4fa7654897p-13, -0x1.532cacaecff3ep-13, -0x1.461821095a198p-13, -0x1.3982a0f6dd3e9p-13, -0x1.2d67c098afe1dp-13, -0x1.21c31f272100fp-13, -0x1.16907c7be508p-13, -0x1.0bcbcb103ace3p-13, -0x1.017117904c675p-13, -0x1.eef90548dd189p-14, -0x1.dbd4ce1fa52a9p-14, -0x1.c96e310dac7f9p-14, -0x1.b7be661447ba6p-14, -0x1.a6beb2aa7a54bp-14, -0x1.9668b23b4f09ep-14, -0x1.86b5e90b78959p-14, -0x1.77a02e64b40dcp-14, -0x1.692201f28a694p-14, -0x1.5b3585f86c43bp-14, -0x1.4dd55b34d438ep-14, -0x1.40fbf6fe59ac6p-14, -0x1.34a45437de353p-14, -0x1.28c9ed5ae3432p-14, -0x1.1d6775d4c92dcp-14, -0x1.1278805514242p-14, -0x1.07f89ac5dea75p-14, -0x1.fbc70bda2dddfp-15, -0x1.e86a0f39b2d63p-15, -0x1.d5d2723b191a6p-15, -0x1.c3f892c53a7bap-15, -0x1.b2d45bcdb7de4p-15, -0x1.a25fabb7186d6p-15, -0x1.9292c0bfb9139p-15, -0x1.8367349a1aaadp-15, -0x1.74d6b65302a6ep-15, -0x1.66db01161e4dep-15, -0x1.596e166719f78p-15, -0x1.4c8a366b4d3b9p-15, -0x1.402a08d350cdp-15, -0x1.34478ed5d7c89p-15, -0x1.28deb4c1014efp-15, -0x1.1de9c91636969p-15, -0x1.1364148ff6158p-15, -0x1.09495d67a2b46p-15, -0x1.ff2a03a5b08bcp-16, -0x1.ec85b8ce162c2p-16, -0x1.da9db36e5238fp-16, -0x1.c969e148fd9c2p-16, -0x1.b8e2f8f874f8fp-16, -0x1.a901b10ff1911p-16, -0x1.99bf7aba47439p-16, -0x1.8b14855f147ffp-16, -0x1.7cfc1f8e62b25p-16, -0x1.6f6eea713a928p-16, -0x1.626730653449p-16, -0x1.55df64fd6e441p-16, -0x1.49d1ecac247e7p-16, -0x1.3e3a144bd2dcap-16, -0x1.331247bbe165ep-16, -0x1.28562e5ee173bp-16, -0x1.1e00b7ea50e91p-16, -0x1.140e31b3dfbb4p-16, -0x1.0a78e0cce5ecap-16, -0x1.013ed8d9c5b2dp-16, -0x1.f0b49c96efcf4p-17, -0x1.df921e0f80747p-17, -0x1.cf0ce700e90c3p-17, -0x1.bf1f469d98e71p-17, -0x1.afc26ab94896cp-17, -0x1.a0f01934da79p-17, -0x1.92a22a50a3511p-17, -0x1.84d40aaa51195p-17, -0x1.777f1a0ac3a4ap-17, -0x1.6a9c3c165ee26p-17, -0x1.5e2b049d8be2ep-17, -0x1.522384166e3aep-17, -0x1.4681d20e59ec8p-17, -0x1.3b4243e41ae1cp-17, -0x1.305fc8028b3d9p-17, -0x1.25d696c514a9cp-17, -0x1.1ba39534df9bep-17, -0x1.11c29ce36224fp-17, -0x1.082fca27d2852p-17, -0x1.fdd1802df9a61p-18, -0x1.ebd2bb0fcea87p-18, -0x1.da602f7441bdp-18, -0x1.c971ca3e6772p-18, -0x1.b904396088043p-18, -0x1.a90ef99bc9cb8p-18, -0x1.998d5a8a429cp-18, -0x1.8a813c8957656p-18, -0x1.7bde7e6c37816p-18, -0x1.6da2234232801p-18, -0x1.5fcd374faa55bp-18, -0x1.5257486041caap-18, -0x1.453dc2dd03438p-18, -0x1.387b5c5da7033p-18, -0x1.2c11623383f9bp-18, -0x1.1ff848e0a06cbp-18, -0x1.142eff0f75a17p-18, -0x1.08b18f84638dbp-18, -0x1.fafe76d283672p-19, -0x1.e5266b7ce7ac6p-19, -0x1.cfda9ce4fce11p-19, -0x1.bb11c4471751bp-19, -0x1.a6caa93eb0d88p-19, -0x1.92ffd24675975p-19, -0x1.7faebb8ea91f5p-19, -0x1.6cd07c982e488p-19, -0x1.5a66d58e9891dp-19, -0x1.48687476f5724p-19, -0x1.36d7d8fddcb9bp-19, -0x1.25aa95767af97p-19, -0x1.14e496b39e19dp-19, -0x1.04811e03c31fdp-19, -0x1.e8f9622dcbaeep-20, -0x1.c9aae1bef4d6ep-20, -0x1.ab0da5b3676a1p-20, -0x1.8d296c81edcfp-20, -0x1.6feca9c33e5ecp-20, -0x1.53595974a7e78p-20, -0x1.3769222674f0dp-20, -0x1.1c2639b69f455p-20, -0x1.01720579bf751p-20, -0x1.ceab02a6646c3p-21, -0x1.9babc9ed8149fp-21, -0x1.69d56b22fccdcp-21, -0x1.39358a2273fb5p-21, -0x1.097edcf942988p-21, -0x1.b6123d3b982c4p-22, -0x1.5b2cae7c86437p-22, -0x1.026780580b071p-22, -0x1.57685ee9c40d2p-23, -0x1.5beca061c7504p-24, -0x1.16607f1d83f3p-28, 0x1.318b53bca589fp-24, 0x1.3600a35166bf6p-23, 0x1.d01f2ef96a17p-23, 0x1.330c437faeb1dp-22, 0x1.7c356545cc834p-22, 0x1.c38cc71bd1147p-22, 0x1.048ae08338669p-21, 0x1.267284817c6c5p-21, 0x1.476dbc6abf5f1p-21, 0x1.67a465db7d7e1p-21, 0x1.86e1a50936237p-21, 0x1.a569101b872dfp-21, 0x1.c30b6c5408477p-21, 0x1.dfe3dfae33cefp-21, 0x1.fbf33d84c4c74p-21, 0x1.0b9501edf6e68p-20, 0x1.18d4babb15e82p-20, 0x1.25aaeb22baa4ep-20, 0x1.3221c1e61029ap-20, 0x1.3e38f9a58e93fp-20, 0x1.49f57ca4ade42p-20, 0x1.55438769d4168p-20, 0x1.604653088bd8fp-20, 0x1.6ae613e68cb56p-20, 0x1.752ddda570696p-20, 0x1.7f1b4f312c8e2p-20, 0x1.88aac010a287bp-20, 0x1.91f9cbd43ebf3p-20, 0x1.9adb01e60ee6cp-20, 0x1.a36c501cfdaf5p-20, 0x1.abb5270ab1248p-20, 0x1.b3997cb14c6e6p-20, 0x1.bb3cea76ddd07p-20, 0x1.c28c3fc715cb1p-20, 0x1.c9897047afddcp-20, 0x1.d03d60027869cp-20, 0x1.d6a15e0187b79p-20, 0x1.dcba7a663bf44p-20, 0x1.e289c8df062bbp-20, 0x1.e80e2ce8426bap-20, 0x1.ed4d032425d9ap-20, 0x1.f23a49d66f5f1p-20, 0x1.f6f608f9bda2fp-20, 0x1.fb5857d53cd77p-20, 0x1.ff80fa4a9465fp-20, 0x1.01b203c10c6bcp-19, 0x1.0382c96fa7ca3p-19, 0x1.053319d34bfd6p-19, 0x1.06c3c993917f6p-19, 0x1.083591ba51305p-19, 0x1.09832404e4c31p-19, 0x1.0abcf5a2111f4p-19, 0x1.0bd2d35cf387bp-19, 0x1.0ccb2e5da7ac3p-19, 0x1.0da78de9ec874p-19, 0x1.0e65d37526c2dp-19, 0x1.0f0faf98396eep-19, 0x1.0f93fac738ad6p-19, 0x1.1004290667313p-19, 0x1.10593b18c1fb1p-19, 0x1.109473af69978p-19, 0x1.10b6992c17ebdp-19, 0x1.10bfc0ef87a6fp-19, 0x1.10b22cfd3ffb4p-19, 0x1.108b95a6a8191p-19, 0x1.1050de21c1d78p-19, 0x1.0ff8441d34ee5p-19, 0x1.0f927c529dd0ep-19, 0x1.0f1036a337a94p-19, 0x1.0e7dbeee61773p-19, 0x1.0dd3e80cde56ep-19, 0x1.0d1da4f210df7p-19, 0x1.0c43e2f63276fp-19, 0x1.0b60d001968bep-19, 0x1.0a6c967a2115bp-19, 0x1.0962f9341d82fp-19, 0x1.084873e6610ecp-19, 0x1.071c39422f9eap-19, 0x1.05df96bbc61f8p-19, 0x1.04924f23329fdp-19, 0x1.0335310a0740ap-19, 0x1.01c79294b6435p-19, 0x1.004c9ba7db148p-19, 0x1.fd8479f51299p-20, 0x1.fa52927099cb9p-20, 0x1.f707dd8fe4685p-20, 0x1.f39c15585d91bp-20, 0x1.f018a5449bf31p-20, 0x1.ec833183a3161p-20, 0x1.e8d385d665a05p-20, 0x1.e4ff55cd2b2e2p-20, 0x1.e1235ef501c23p-20, 0x1.dd2c7c886ac6cp-20, 0x1.d91fbb43160b3p-20, 0x1.d4ff46409c1fbp-20, 0x1.d0c46c161217fp-20, 0x1.cc8a1556580d4p-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.a0214adf1194fp+0, 0x1.c6604185db7a6p+0, 0x1.e6bb248ac66e5p+0, 0x1.007ff70263a96p+1, 0x1.0a98863e80c0cp+1, 0x1.11bcd2cbf10acp+1, 0x1.1611c52ed23cp+1, 0x1.17c73bcdba148p+1, 0x1.1714a9f465458p+1, 0x1.1435a35857f3ep+1, 0x1.0f67fd4c15c6cp+1, 0x1.08e9698b3d53cp+1, 0x1.00f70b27b5807p+1, 0x1.ef958bdbcff9cp+0, 0x1.db36672cc7be2p+0, 0x1.c53648015cc43p+0, 0x1.adf2e740b990cp+0, 0x1.95c1a7534a03fp+0, 0x1.7cef377c2ed6ep+0, 0x1.63bfa3a712f68p+0, 0x1.4a6ec2133ba7dp+0, 0x1.3130c6b7771b4p+0, 0x1.1832d47996468p+0, 0x1.ff36f69755f69p-1, 0x1.cf1665ffe3b24p-1, 0x1.a039d2d7ca242p-1, 0x1.72cd379844e73p-1, 0x1.46f3bdb3e1b0ep-1, 0x1.1cc89aae0e5fap-1, 0x1.e8bfbd6c6ba1bp-2, 0x1.9b8ea3e79bda8p-2, 0x1.520eab426c3e1p-2, 0x1.0c475ee2e0fdbp-2, 0x1.947125477a99ep-3, 0x1.17b5fd1eb933ap-3, 0x1.4485bd38f3332p-4, 0x1.9fa0d0bbb5489p-6, -0x1.9b0eb637b96eep-6, -0x1.27e1a5cbc04aep-4, -0x1.dbdf8ac226dafp-4, -0x1.4199859bed335p-3, -0x1.8f2bd9694c80ap-3, -0x1.d6e69193dbeeep-3, -0x1.0c85602fccac4p-2, -0x1.2aed05b2c954ap-2, -0x1.46cb0b0fde0ecp-2, -0x1.6040005c35a29p-2, -0x1.776bfced387a6p-2, -0x1.8c6e72cae9ca3p-2, -0x1.9f660c7b41a94p-2, -0x1.b070932bc281p-2, -0x1.bfaada5150d96p-2, -0x1.cd30af413ff62p-2, -0x1.d91ccd054dc15p-2, -0x1.e388d52383d22p-2, -0x1.ec8d4d55d1469p-2, -0x1.f441a0b76d40fp-2, -0x1.fabc22d04cea4p-2, -0x1.000909b32f392p-1, -0x1.022bd179423dep-1, -0x1.03cffc124b045p-1, -0x1.04fe9b57a2a37p-1, -0x1.05c043a41de0fp-1, -0x1.061d101c8ba7p-1, -0x1.061ca701e746p-1, -0x1.05c63df127431p-1, -0x1.05209e18c45cap-1, -0x1.043228935a5b7p-1, -0x1.0300daf3c5064p-1, -0x1.0192540762a02p-1, -0x1.ffd7b15161ceap-2, -0x1.fc24b0c0d93f8p-2, -0x1.f814e395a9208p-2, -0x1.f3b0ed3e827fdp-2, -0x1.ef00deeb84721p-2, -0x1.ea0c3ec724099p-2, -0x1.e4da0f36e2554p-2, -0x1.df71816bc5c87p-2, -0x1.d9d7173fdefbcp-2, -0x1.d411512aa959dp-2, -0x1.ce25777d386fcp-2, -0x1.c8187263de7fdp-2, -0x1.c1eecfb37d17cp-2, -0x1.bbacc8a8c488cp-2, -0x1.b556476d1501dp-2, -0x1.aeeeec650ad83p-2, -0x1.a87a13376d8dep-2, -0x1.a1fad780e8e7bp-2, -0x1.9b74192653dbp-2, -0x1.94e88051d647bp-2, -0x1.8e5a8119b6febp-2, -0x1.87cc5ec3268e1p-2, -0x1.81402ef27c9ap-2, -0x1.7ab7dc63ca9dbp-2, -0x1.743529a70f19dp-2, -0x1.6db9b3a2552aap-2, -0x1.6746f3f621365p-2, -0x1.60de434fe6928p-2, -0x1.5a80db98e4d93p-2, -0x1.542fda16322afp-2, -0x1.4dec4161409d8p-2, -0x1.47b6fb574edb8p-2, -0x1.4190dad938103p-2, -0x1.3b7a9d7f0e929p-2, -0x1.3574ed1f8eb42p-2, -0x1.2f8061422928dp-2, -0x1.299d8073ecfafp-2, -0x1.23ccc17de1d0cp-2, -0x1.1e0e8c8767b49p-2, -0x1.18633c16b184ap-2, -0x1.12cb1e13e9151p-2, -0x1.0d46749d112cap-2, -0x1.07d576e0d68fp-2, -0x1.027851e218caap-2, -0x1.fa5e5264e4e8p-3, -0x1.eff42f3d5b3bcp-3, -0x1.e5b25fbf1da6fp-3, -0x1.db98fa4c66ab6p-3, -0x1.d1a8077bb223ep-3, -0x1.c7df8321473b9p-3, -0x1.be3f5d5be0338p-3, -0x1.b4c77b7fee1d3p-3, -0x1.ab77b908d1d2fp-3, -0x1.a24fe86603aeap-3, -0x1.994fd3bf71353p-3, -0x1.90773db4dbcf3p-3, -0x1.87c5e20752a1ep-3, -0x1.7f3b7633d8e58p-3, -0x1.76d7aa15bf6edp-3, -0x1.6e9a2859714fep-3, -0x1.668297218365p-3, -0x1.5e90985eee0f3p-3, -0x1.56c3ca48d380fp-3, -0x1.4f1bc7cf0ecc6p-3, -0x1.479828f63edc2p-3, -0x1.4038831a99f92p-3, -0x1.38fc6968cd91p-3, -0x1.31e36d06cf175p-3, -0x1.2aed1d65f101ap-3, -0x1.241908821109ap-3, -0x1.1d66bb1e2f348p-3, -0x1.16d5c0f69d65dp-3, -0x1.1065a4f53c12ep-3, -0x1.0a15f1658f60dp-3, -0x1.03e6300fa215fp-3, -0x1.fbabd4f039e81p-4, -0x1.efc953df76676p-4, -0x1.e423ef9103d02p-4, -0x1.d8babaa848ad2p-4, -0x1.cd8cc86b0350fp-4, -0x1.c2992ca6b52dap-4, -0x1.b7defbee82d5ap-4, -0x1.ad5d4bcd1d307p-4, -0x1.a313331699c5ap-4, -0x1.98ffc9d944cccp-4, -0x1.8f2229964b847p-4, -0x1.85796d68087fdp-4, -0x1.7c04b229e0e04p-4, -0x1.72c3166ae4e54p-4, -0x1.69b3bac05ea59p-4, -0x1.60d5c1c9ff505p-4, -0x1.58285017702a2p-4, -0x1.4faa8c9ad8a24p-4, -0x1.475ba056c9dcep-4, -0x1.3f3ab6c10afc6p-4, -0x1.3746e6ee8768ap-4, -0x1.2f7f84973c4d8p-4, -0x1.27e3b66a73babp-4, -0x1.2072b1a0d0799p-4, -0x1.192badf6eec1cp-4, -0x1.120de59e4a843p-4, -0x1.0b18955efd2ebp-4, -0x1.044afc7e0d5c1p-4, -0x1.fb48b9a24b001p-5, -0x1.ee47f581defbp-5, -0x1.e1923aa48d52bp-5, -0x1.d5261bf9e2168p-5, -0x1.c90231da9ec53p-5, -0x1.bd2519a0cf0b3p-5, -0x1.b18d7577cb151p-5, -0x1.a639ed3a0e4d9p-5, -0x1.9b292d592d18dp-5, -0x1.9059e7c5a7b78p-5, -0x1.85cad2f429183p-5, -0x1.7b7aaab3691c7p-5, -0x1.71682fb3f858ep-5, -0x1.6792279fdb594p-5, -0x1.5df75cea22b14p-5, -0x1.54969f1020ea1p-5, -0x1.4b6ec24b401a1p-5, -0x1.427e9f9d04a7fp-5, -0x1.39c514cfba662p-5, -0x1.31410467ea11p-5, -0x1.28f1556f8bd33p-5, -0x1.20d4f3ca0ac65p-5, -0x1.18eacfb5bab27p-5, -0x1.1131de254d363p-5, -0x1.09a9185ef91bap-5, -0x1.024f7c3630438p-5, -0x1.f648179aa68b5p-6, -0x1.e84b9b143a514p-6, -0x1.daa798a6881bcp-6, -0x1.cd5a2e399c0d6p-6, -0x1.c061822970f6dp-6, -0x1.b3bbc3339b728p-6, -0x1.a76728123b87p-6, -0x1.9b61efd36e5bcp-6, -0x1.8faa60f2c28c7p-6, -0x1.843eca8aae21ap-6, -0x1.791d8319870f3p-6, -0x1.6e44e8753092bp-6, -0x1.63b360b0feb11p-6, -0x1.596758ea7a5ddp-6, -0x1.4f5f45bebed23p-6, -0x1.4599a2eb65b53p-6, -0x1.3c14f39d1ef05p-6, -0x1.32cfc1e42f24p-6, -0x1.29c89ec3ff3acp-6, -0x1.20fe2282b0ddcp-6, -0x1.186eeb9d2072dp-6, -0x1.10199f9e7393bp-6, -0x1.07fcea9a56eb9p-6, -0x1.00177eeaf36bdp-6, -0x1.f0d02c4b27c56p-7, -0x1.e1daddfddab8fp-7, -0x1.d34c9e560e72ap-7, -0x1.c52304c1f9314p-7, -0x1.b75bb426b5e9ap-7, -0x1.a9f45c3781b9ep-7, -0x1.9ceab7ddb8c59p-7, -0x1.903c8d850b3dp-7, -0x1.83e7af1aedd04p-7, -0x1.77e9f99cd2a74p-7, -0x1.6c41552b54e5dp-7, -0x1.60ebb4cc492f7p-7, -0x1.55e715c1339ebp-7, -0x1.4b318014b5e56p-7, -0x1.40c9067dd3cb8p-7, -0x1.36abc56240ea8p-7, -0x1.2cd7e349c5314p-7, -0x1.234b90995b789p-7, -0x1.1a05074faf167p-7, -0x1.11028b06fd0ccp-7, -0x1.084268aa4c5c2p-7, -0x1.ff85eca3c97d5p-8, -0x1.ef0525f2cf78fp-8, -0x1.deff4e7ef0966p-8, -0x1.cf7146adb74efp-8, -0x1.c058018b02ea6p-8, -0x1.b1b0830420938p-8, -0x1.a377df0c9b4e5p-8, -0x1.95ab39b65f78dp-8, -0x1.8847c9493554p-8, -0x1.7b4ad051dd018p-8, -0x1.6eb1a327dd64bp-8, -0x1.6279a4c3d9e78p-8, -0x1.56a04682ee01cp-8, -0x1.4b230a3d63da5p-8, -0x1.3fff7d7b7612p-8, -0x1.35333dbd245d6p-8, -0x1.2abbf5c23aa41p-8, -0x1.20975ddf6db39p-8, -0x1.16c33c645d5e3p-8, -0x1.0d3d63d713bc9p-8, -0x1.0403b3a9e9dd7p-8, -0x1.f62831b94c8a5p-9, -0x1.e4d9176b1fcecp-9, -0x1.d41622bb6bf59p-9, -0x1.c3db751f11befp-9, -0x1.b425491c64568p-9, -0x1.a4efe98cad3cp-9, -0x1.9637c1a4a5c9cp-9, -0x1.87f94c2334f8fp-9, -0x1.7a311ae0c9f24p-9, -0x1.6cdbd4db966b4p-9, -0x1.5ff63486b664ep-9, -0x1.537d0dcaa6fe4p-9, -0x1.476d40a269742p-9, -0x1.3bc3c563db229p-9, -0x1.307da854fe47fp-9, -0x1.259804cd2b87ep-9, -0x1.1b100acdbaafcp-9, -0x1.10e2fc511ff1dp-9, -0x1.070e2cc8d727ap-9, -0x1.fb1dfde650546p-10, -0x1.e8c5d33cd1593p-10, -0x1.d70ee446ea42dp-10, -0x1.c5f458c3f4f04p-10, -0x1.b57180a16591bp-10, -0x1.a581c34ef304cp-10, -0x1.9620a96979ba8p-10, -0x1.8749d86e70276p-10, -0x1.78f911db1bc43p-10, -0x1.6b2a3af13c57ap-10, -0x1.5dd9467d6e278p-10, -0x1.51024d273581cp-10, -0x1.44a17f15e400cp-10, -0x1.38b3283148aeap-10, -0x1.2d33a955628d6p-10, -0x1.221f807ad44b6p-10, -0x1.17733ee5d48d5p-10, -0x1.0d2b937e99767p-10, -0x1.034540699348ep-10, -0x1.f37a3d96f8454p-11, -0x1.e1203dc8e6f22p-11, -0x1.cf768ab91ea43p-11, -0x1.be775b79c8a9ap-11, -0x1.ae1d0509b212cp-11, -0x1.9e62156fdc1bdp-11, -0x1.8f413687715dcp-11, -0x1.80b53b9f8a611p-11, -0x1.72b91940a63d4p-11, -0x1.6547f670cb328p-11, -0x1.585d0beec48bap-11, -0x1.4bf3bad488fd4p-11, -0x1.40078c1036326p-11, -0x1.3494268f082cap-11, -0x1.29954e64e6c77p-11, -0x1.1f06ea67e644cp-11, -0x1.14e50317a079fp-11, -0x1.0b2bb76384af8p-11, -0x1.01d749d5be1e1p-11, -0x1.f1c828213fc4bp-12, -0x1.e09d28808cd95p-12, -0x1.d026aecd423dp-12, -0x1.c05e215455185p-12, -0x1.b13d0b11782a3p-12, -0x1.a2bd33eab1a1p-12, -0x1.94d893c8ef12bp-12, -0x1.87894167b5848p-12, -0x1.7ac9987cf19bfp-12, -0x1.6e9414fef420ap-12, -0x1.62e368c8ac595p-12, -0x1.57b26bcd5a122p-12, -0x1.4cfc1a012629p-12, -0x1.42bb9b17e3f46p-12, -0x1.38ec4bc0337fp-12, -0x1.2f89a604fd9f3p-12, -0x1.268f3f29d703dp-12, -0x1.1df8e150fd8ddp-12, -0x1.15c2757b8fddfp-12, -0x1.0de8160dabee1p-12, -0x1.0665cf41ad223p-12, -0x1.fe6ff48f63cb2p-13, -0x1.f0b61a5ce2ef1p-13, -0x1.e397246e01c0cp-13, -0x1.d70c60f16e8eep-13, -0x1.cb0f69cdeb555p-13, -0x1.bf9a19b3cf1f6p-13, -0x1.b4a662e144c3ap-13, -0x1.aa2e7d6722d31p-13, -0x1.a02cd42a4ad49p-13, -0x1.969c149491ca4p-13, -0x1.8d770c7dca9fep-13, -0x1.84b8c00f10961p-13, -0x1.7c5c6826bf8dp-13, -0x1.745d4dc18032ap-13, -0x1.6cb70fa2c41b1p-13, -0x1.65655c6def192p-13, -0x1.5e64161fae392p-13, -0x1.57af3f216d964p-13, -0x1.51430ba73257cp-13, -0x1.4b1bc966ea8fdp-13, -0x1.4535f50141319p-13, -0x1.3f8e1fdb387e1p-13, -0x1.3a211365b2676p-13, -0x1.34eba519650dap-13, -0x1.2feadd2bbcda4p-13, -0x1.2b1bd2e34ca54p-13, -0x1.267bc5e85c3a2p-13, -0x1.22080d1d0598cp-13, -0x1.1dbe1d30fd7c8p-13, -0x1.199b7c4f0864cp-13, -0x1.159de7da0b61ap-13, -0x1.11c32d84d0dd3p-13, -0x1.0e0912828149dp-13, -0x1.0a6d909d7345ap-13, -0x1.06eeb9517f6d3p-13, -0x1.038aab5cd418cp-13, -0x1.003fa6ec50438p-13, -0x1.fa17e5b560f2bp-14, -0x1.f3dbd08ede693p-14, -0x1.edc824ee3b328p-14, -0x1.e7d9cc5272f22p-14, -0x1.e20e04c86a932p-14, -0x1.dc623257234b5p-14, -0x1.d6d3b8d0609eap-14, -0x1.d16049db0fdb7p-14, -0x1.cc0592698bd6ap-14, -0x1.c6c1726996b5cp-14, -0x1.c191cc524dafbp-14, -0x1.bc74c6a455df5p-14, -0x1.b7687fa220318p-14, -0x1.b26b56738cbbfp-14, -0x1.ad7b914b737cdp-14, -0x1.a897b7c5530e2p-14, -0x1.a3be59106d8b1p-14, -0x1.9eee1e46e6985p-14, -0x1.9a25c36ad6be2p-14, -0x1.95641703796d2p-14, -0x1.90a821b9d5d8ap-14, -0x1.8bf0a23f364dfp-14, -0x1.873ccb1ae981p-14, -0x1.828bb48138056p-14, -0x1.7ddc9512f92b3p-14, -0x1.792ea9ebb64b6p-14, -0x1.748140a8a5d7bp-14, -0x1.6fd3b497e321dp-14, -0x1.6b257fd460f5bp-14, -0x1.667610becd69ap-14, -0x1.61c4ee4b04356p-14, -0x1.5d11bc0dac06cp-14, -0x1.585c11d4311fep-14, -0x1.53a3ad730d70ap-14, -0x1.4ee8295e4ed44p-14, -0x1.4a2954be67469p-14, -0x1.4567077404405p-14, -0x1.40a1087877af8p-14, -0x1.3bd73af6842p-14, -0x1.37097fab083f9p-14, -0x1.3237dc8fa60fap-14, -0x1.2d62443713d7bp-14, -0x1.28889ba99dcf8p-14, -0x1.23aaec8c5822ep-14, -0x1.1ec94dabb08fap-14, -0x1.19e3d4b8c25adp-14, -0x1.14fa8f2ac23p-14, -0x1.100d9ac0beacep-14, -0x1.0b1d1bff85011p-14, -0x1.062932cb9774ep-14, -0x1.01320c1417afdp-14, -0x1.f86ff92e2f571p-15, -0x1.ee75dc54a922p-15, -0x1.e47685aeeb6e6p-15, -0x1.da729b061ae53p-15, -0x1.d069f0fce6c9ap-15, -0x1.c65db5bb767d4p-15, -0x1.bc4e1199948adp-15, -0x1.b23ba0d052036p-15, -0x1.a8270c5251ff2p-15, -0x1.9e10ccf3b5ac9p-15, -0x1.93f96380aac5ap-15, -0x1.89e1a47b64d81p-15, -0x1.7fc9ed264db74p-15, -0x1.75b302be84f6ep-15, -0x1.6b9d6bfd790cap-15, -0x1.6189db79aea17p-15, -0x1.5779375e997f8p-15, -0x1.4d6b7166bb697p-15, -0x1.4361b7055b2ebp-15, -0x1.395c854b1068ap-15, -0x1.2f5cacb95d4bep-15, -0x1.2562ac48961f9p-15, -0x1.1b6f0601a8d3dp-15, -0x1.118292136543ep-15, -0x1.079def3537335p-15, -0x1.fb833371a0d29p-16, -0x1.e7dc92d27ad4p-16, -0x1.d44975529fcfbp-16, -0x1.c0ca88a273235p-16, -0x1.ad6178a850e99p-16, -0x1.9a0f658431dc4p-16, -0x1.86d576579f235p-16, -0x1.73b4d0175a375p-16, -0x1.60aecda54ee92p-16, -0x1.4dc4046197ce5p-16, -0x1.3af662241b624p-16, -0x1.2847195a6010cp-16, -0x1.15b682caad1c7p-16, -0x1.0345edd985334p-16, -0x1.e1ed9084297f2p-17, -0x1.bd9368342e66fp-17, -0x1.997fe1a94e28ep-17, -0x1.75b4d59f58889p-17, -0x1.523442c476971p-17, -0x1.2f003487eda1bp-17, -0x1.0c1a0a2206b41p-17, -0x1.d30800193dca3p-18, -0x1.8e7fc78bcf5bp-18, -0x1.4a9efe133fb27p-18, -0x1.07652270ba27fp-18, -0x1.89b962469cdaap-19, -0x1.060906e0dc1d3p-19, -0x1.077c30e8ee217p-20, -0x1.6ff8b05b45109p-26, 0x1.f2277a2f07e9ap-21, 0x1.f4ffc9e05f432p-20, 0x1.76f55dd4b44c6p-19, 0x1.f1e9ca5109cbbp-19, 0x1.35ab914a2a4abp-18, 0x1.719c8a83d06d9p-18, 0x1.acc5838d0b20ep-18, 0x1.e724bebaac96ap-18, 0x1.105be28544b93p-17, 0x1.2cbf25454df22p-17, 0x1.48b9425d2d7bfp-17, 0x1.644b7c1b84a14p-17, 0x1.7f742e71473cbp-17, 0x1.9a32ad00c4443p-17, 0x1.b486417afd2a8p-17, 0x1.ce6e6cecb137bp-17, 0x1.e7ea6f4c6a0abp-17, 0x1.007cb181cb897p-16, 0x1.0cce3880f5233p-16, 0x1.18e80d6e50f14p-16, 0x1.24cb40c0bc3bcp-16, 0x1.30772baae3317p-16, 0x1.3bebb22d222cap-16, 0x1.4728de85e2005p-16, 0x1.522e0813c57d5p-16, 0x1.5cfbbe3897706p-16, 0x1.67918a487cb64p-16, 0x1.71ef7872652b7p-16, 0x1.7c15581bc03c5p-16, 0x1.86038fa344998p-16, 0x1.8fb961726e15ep-16, 0x1.9937fb882d0a7p-16, 0x1.a27e1411fecebp-16, 0x1.ab8c8b5aa09bap-16, 0x1.b4637fe9398a8p-16, 0x1.bd01fb2956306p-16, 0x1.c569cb2654cc5p-16, 0x1.cd99f3a59cc49p-16, 0x1.d592d2a72325ep-16, 0x1.dd541bc4c65e6p-16, 0x1.e4df125f6e83ap-16, 0x1.ec330ac5b5931p-16, 0x1.f3506bac2833fp-16, 0x1.fa3787aa72f46p-16, 0x1.00743e3c9ea87p-15, 0x1.03b1ce1d9d12dp-15, 0x1.06d48b0acc73fp-15, 0x1.09dcb00d7b351p-15, 0x1.0cca370512612p-15, 0x1.0f9d89dc10867p-15, 0x1.125674ed32d07p-15, 0x1.14f5819a8b9d9p-15, 0x1.177a94656e451p-15, 0x1.19e5f8726295p-15, 0x1.1c37d6d134398p-15, 0x1.1e705b54576c5p-15, 0x1.208fb79c5632bp-15, 0x1.2296377c020e9p-15, 0x1.2483daa87a3dp-15, 0x1.2658b5fb948b4p-15, 0x1.281596a63857ap-15, 0x1.29ba317a335eep-15, 0x1.2b46dd2f2dd06p-15, 0x1.2cbbe2bce93bdp-15, 0x1.2e193ac2c362ep-15, 0x1.2f5f91672e5ap-15, 0x1.308ec44453aeap-15, 0x1.31a72c199ef48p-15, 0x1.32a907cda8e28p-15, 0x1.339495df12a23p-15, 0x1.346a0fc7225bfp-15, 0x1.3529b60d42e79p-15, 0x1.35d3c26ada96ep-15, 0x1.36687c22ab099p-15, 0x1.36e826059853fp-15, 0x1.3752d4520956bp-15, 0x1.37a95f326cb5ep-15, 0x1.37eb1cacd508fp-15, 0x1.38190ba334704p-15, 0x1.3832e9e619ff1p-15, 0x1.3839e3fbc3bd1p-15, 0x1.382cdfb0ffe51p-15, 0x1.380d44cb3e54fp-15, 0x1.37dad599fcf1ap-15, 0x1.3795f19a88c4fp-15, 0x1.373edc1a93811p-15, 0x1.36d5d8c9aabf6p-15, 0x1.365b2ca230fe2p-15, 0x1.35cf26fc82749p-15, 0x1.3531e9c2e10e9p-15, 0x1.3483ed7809159p-15, 0x1.33c551d70fec6p-15, 0x1.32f67356fba9fp-15, 0x1.3217870374fd3p-15, 0x1.3128d721feabdp-15, 0x1.302acc0a67decp-15, 0x1.2f1d3de6f77f8p-15, 0x1.2e00f8e1d0a2fp-15, 0x1.2cd61351f0cc4p-15, 0x1.2b9ca5c064427p-15, 0x1.2a5522f43450ap-15, 0x1.28ffc59e8073bp-15, 0x1.279cd13fe1fb6p-15, 0x1.262cadf0a6122p-15, 0x1.24af1a9433b62p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.123520281c663p-2, -0x1.385fe901c6ca7p-3, -0x1.46c772533dc96p-5, 0x1.10b382f36c871p-4, 0x1.50aebbc3b413p-3, 0x1.0206416357d47p-2, 0x1.50569c07090b5p-2, 0x1.92fb4a1b8d257p-2, 0x1.ca19db45fc231p-2, 0x1.f62db72f3053cp-2, 0x1.0bf6db0f61cfep-1, 0x1.181c27fd6b09ep-1, 0x1.20028c7190da9p-1, 0x1.242a8f3fc5bcep-1, 0x1.2514f9ad424cdp-1, 0x1.233f13339b865p-1, 0x1.1f201cae6a3a8p-1, 0x1.192782ce4fa3p-1, 0x1.11bb98ccbd9dep-1, 0x1.0938e49117cd5p-1, 0x1.ffe3eb62dca87p-2, 0x1.ec5f25b553a0dp-2, 0x1.d86224d4461cbp-2, 0x1.c459b0a305e55p-2, 0x1.b0a1e642a2f75p-2, 0x1.9d8789bc1a765p-2, 0x1.8b4956eed3a62p-2, 0x1.7a19587ed7fbep-2, 0x1.6a1e4d8be8044p-2, 0x1.5b75080765805p-2, 0x1.4e31a5d0bf49dp-2, 0x1.4260a6a6688acp-2, 0x1.3807f217a8b07p-2, 0x1.2f27a72d53e64p-2, 0x1.27bbb64709713p-2, 0x1.21bbc46a6eed8p-2, 0x1.1d1c67efffa6fp-2, 0x1.19cfac04fd266p-2, 0x1.17c59e0aed2cp-2, 0x1.16ecc8c5292f8p-2, 0x1.17329f6330f3dp-2, 0x1.1883da7233d9dp-2, 0x1.1accc8178f5d9p-2, 0x1.1df990e35fea2p-2, 0x1.21f6725a31379p-2, 0x1.26afefec9422fp-2, 0x1.2c12faee2b87p-2, 0x1.320d1273f9a7p-2, 0x1.388c5c568cd7ap-2, 0x1.3f7fb89872882p-2, 0x1.46d6cfc54c701p-2, 0x1.4e821ccad242dp-2, 0x1.5672f2cf93002p-2, 0x1.5e9b7fc1ed65cp-2, 0x1.66eecc705ba76p-2, 0x1.6f60babc7716cp-2, 0x1.77e6026e825dp-2, 0x1.80742cbc761bcp-2, 0x1.89018ea8687cfp-2, 0x1.9185425d21841p-2, 0x1.99f71f9e9342cp-2, 0x1.a24fb3d13f28dp-2, 0x1.aa883986e2c3dp-2, 0x1.b29a900b36867p-2, 0x1.ba8132ee6c6bp-2, 0x1.c23731a504858p-2, 0x1.c9b82731f0d9bp-2, 0x1.d10031e38b40cp-2, 0x1.d80beb0e8b602p-2, 0x1.ded85ed77a60fp-2, 0x1.e563041eb9b91p-2, 0x1.eba9b4be017d9p-2, 0x1.f1aaa60944aecp-2, 0x1.f76461c936cedp-2, 0x1.fcd5bfabd0928p-2, 0x1.00feef91f7261p-1, 0x1.036e10d79ad56p-1, 0x1.05b83891eb051p-1, 0x1.07dcfbfb0844ap-1, 0x1.09dc8cda18853p-1, 0x1.0bb7079f445d3p-1, 0x1.0d6c9e0bd43f8p-1, 0x1.0efd95391c557p-1, 0x1.106a43b7cb5fap-1, 0x1.11b30fd308381p-1, 0x1.12d86dea7b32fp-1, 0x1.13dadee87590ep-1, 0x1.14baeed61d343p-1, 0x1.1579338688645p-1, 0x1.16164b676bdfbp-1, 0x1.1692dc5877fccp-1, 0x1.16ef92bcb4b87p-1, 0x1.172d207049247p-1, 0x1.174c3c06bff3dp-1, 0x1.174d9ff6130dfp-1, 0x1.173209e10621dp-1, 0x1.16fa39ec0b6ccp-1, 0x1.16a6f2214eebcp-1, 0x1.1638f5deed6a1p-1, 0x1.15b109593ab8dp-1, 0x1.150ff111bd482p-1, 0x1.14567182dbe1ep-1, 0x1.13854eab59736p-1, 0x1.129d4bba1ba16p-1, 0x1.119f2ac37dca9p-1, 0x1.108bac786433fp-1, 0x1.0f638fe82f63ap-1, 0x1.0e279248fc3fbp-1, 0x1.0cd86ec63e216p-1, 0x1.0b76de513e749p-1, 0x1.0a03977de0fbbp-1, 0x1.087f4e58e0d22p-1, 0x1.06eab4489aee6p-1, 0x1.054677f1467ddp-1, 0x1.03934516c667dp-1, 0x1.01d1c487b4c97p-1, 0x1.00029c00b97ap-1, 0x1.fc4cdc4cdf474p-2, 0x1.f87bb4d9333dap-2, 0x1.f492fa18ff3f3p-2, 0x1.f093ddf84f4b4p-2, 0x1.ec7f8bcbf4fdbp-2, 0x1.e857284d923f8p-2, 0x1.e41bd198dd1bbp-2, 0x1.dfce9f2b2033ep-2, 0x1.db70a1ee5c3f3p-2, 0x1.d702e4498908p-2, 0x1.d2866a26e9a98p-2, 0x1.cdfc30ff731abp-2, 0x1.c965300eced41p-2, 0x1.c4c258392282fp-2, 0x1.c0149445cf286p-2, 0x1.bb5cc8ea04185p-2, 0x1.b69bd4d48cdfap-2, 0x1.b1d290cfae415p-2, 0x1.ad01cfcb3f629p-2, 0x1.a82a5efc8f346p-2, 0x1.a34d05e7b512bp-2, 0x1.9e6a867631df7p-2, 0x1.99839d083087ap-2, 0x1.94990091e78dp-2, 0x1.8fab628f92d4ep-2, 0x1.8abb6f468e0ddp-2, 0x1.85c9cdaa30a7p-2, 0x1.80d71f9456e79p-2, 0x1.7be401b696559p-2, 0x1.76f10bcd5ddb9p-2, 0x1.71fed097e7faep-2, 0x1.6d0dde00c8d2bp-2, 0x1.681ebd2797963p-2, 0x1.6331f27d063c6p-2, 0x1.5e47fdcff69c5p-2, 0x1.59615a5f65975p-2, 0x1.547e7f0611a7p-2, 0x1.4f9fde3c595f5p-2, 0x1.4ac5e63347b79p-2, 0x1.45f100ea417e9p-2, 0x1.4121944708814p-2, 0x1.3c580230cd1a3p-2, 0x1.3794a8a7c1a2ap-2, 0x1.32d7e1c8ec91fp-2, 0x1.2e2204073353ap-2, 0x1.2973621da4a2ep-2, 0x1.24cc4b3a626c2p-2, 0x1.202d0b1830c62p-2, 0x1.1b95c5a5bb5e5p-2, 0x1.1706f9eb7387ep-2, 0x1.1280d51a63b04p-2, 0x1.0e0395fdedb39p-2, 0x1.098f78554df05p-2, 0x1.0524b4cb34a22p-2, 0x1.00c381008be5ep-2, 0x1.f8d81f79d9b53p-3, 0x1.f03d21d0a318ep-3, 0x1.e7b6634c0325fp-3, 0x1.df4438beb3aecp-3, 0x1.d6e6f1ba51f39p-3, 0x1.ce9ed8a8f7b9dp-3, 0x1.c66c32f30c46ap-3, 0x1.be4f41092eec5p-3, 0x1.b6483ead41c69p-3, 0x1.ae5762e7aa4f5p-3, 0x1.a67ce0502d7c5p-3, 0x1.9eb8e4fbdc1f3p-3, 0x1.970b9ac5d9e6dp-3, 0x1.8f75275931eeep-3, 0x1.87f5ac552d7fdp-3, 0x1.808d4754a2fc4p-3, 0x1.793c1233b4307p-3, 0x1.7202230941c94p-3, 0x1.6adf8c4472b0bp-3, 0x1.63d45cd968a71p-3, 0x1.5ce0a0474474bp-3, 0x1.56045ed00eeadp-3, 0x1.4f3f9d60fd6d7p-3, 0x1.48925de5fe87ap-3, 0x1.41fc9f2e917d1p-3, 0x1.3b7e5d2d4d62cp-3, 0x1.351790f5cc13cp-3, 0x1.2ec830eb4617ep-3, 0x1.289030b8127c4p-3, 0x1.226f818a83585p-3, 0x1.1c661210f8695p-3, 0x1.1673ce9797b0cp-3, 0x1.1098a12384d77p-3, 0x1.0ad4718090a92p-3, 0x1.0527256083ae9p-3, 0x1.ff2140af7786fp-4, 0x1.f421884002bcp-4, 0x1.e94ee10bbe8f6p-4, 0x1.dea906dd70ce6p-4, 0x1.d42fb263d364p-4, 0x1.c9e298c74fcafp-4, 0x1.bfc16c0d28936p-4, 0x1.b5cbdb44e24ep-4, 0x1.ac01929069fabp-4, 0x1.a2623b6e501cfp-4, 0x1.98ed7cac3aacdp-4, 0x1.8fa2fa99d497fp-4, 0x1.86825754bb5cep-4, 0x1.7d8b32b2c6544p-4, 0x1.74bd2a73ca125p-4, 0x1.6c17da612148p-4, 0x1.639adc7c476dfp-4, 0x1.5b45c8f7e6e6bp-4, 0x1.5318367b753e8p-4, 0x1.4b11ba2c5d15fp-4, 0x1.4331e7bf9eb48p-4, 0x1.3b7851b523e54p-4, 0x1.33e4894f17862p-4, 0x1.2c761ec0c14adp-4, 0x1.252ca13ef0dc4p-4, 0x1.1e079f19d8e89p-4, 0x1.1706a5d615db8p-4, 0x1.1029424bfd92ep-4, 0x1.096f008aebd1p-4, 0x1.02d76c56b141p-4, 0x1.f8c421a80dc54p-5, 0x1.ec1cf1a2fb035p-5, 0x1.dfb85d9d25df6p-5, 0x1.d3957a29192a9p-5, 0x1.c7b35b9275fb6p-5, 0x1.bc1115c938d2p-5, 0x1.b0adbcfee6cb6p-5, 0x1.a588655268b37p-5, 0x1.9aa02313f999dp-5, 0x1.8ff40b109b641p-5, 0x1.85833279b3563p-5, 0x1.7b4caf0cd777bp-5, 0x1.714f97442f797p-5, 0x1.678b026859b74p-5, 0x1.5dfe08994bc6dp-5, 0x1.54a7c3244e298p-5, 0x1.4b874c2a8bb7cp-5, 0x1.429bbf2c63ac5p-5, 0x1.39e438e07c70ep-5, 0x1.315fd74bda07dp-5, 0x1.290dba1dcd398p-5, 0x1.20ed022c25107p-5, 0x1.18fcd21cad456p-5, 0x1.113c4e3becf49p-5, 0x1.09aa9c718988fp-5, 0x1.0246e494a77a9p-5, 0x1.f620a04363608p-6, 0x1.e80c1531f982ap-6, 0x1.da4e82f27959fp-6, 0x1.cce64803457a3p-6, 0x1.bfd1c79a52193p-6, 0x1.b30f68b654b1ap-6, 0x1.a69d96be50d89p-6, 0x1.9a7ac11f86c83p-6, 0x1.8ea55c220b441p-6, 0x1.831be0378ca59p-6, 0x1.77dcca664b8eep-6, 0x1.6ce69c4e235fp-6, 0x1.6237dc121eeb3p-6, 0x1.57cf14daac0f1p-6, 0x1.4daad5fc4b8dcp-6, 0x1.43c9b3f41d0e3p-6, 0x1.3a2a47d8ebd78p-6, 0x1.30cb2fa503286p-6, 0x1.27ab0e0582b94p-6, 0x1.1ec88ab2d9bb8p-6, 0x1.1622521d2b7dbp-6, 0x1.0db7158f1eeb2p-6, 0x1.05858b38cfed1p-6, 0x1.fb18dca3665bcp-7, 0x1.eb94fd9e98c43p-7, 0x1.dc7d032316306p-7, 0x1.cdce80b2b04b7p-7, 0x1.bf87137846b6fp-7, 0x1.b1a4628267495p-7, 0x1.a4241e5ae0f84p-7, 0x1.970401b09006fp-7, 0x1.8a41d02c4cd45p-7, 0x1.7ddb578566257p-7, 0x1.71ce6ecd2ee17p-7, 0x1.6618f69063df2p-7, 0x1.5ab8d8eb16cfdp-7, 0x1.4fac094685e69p-7, 0x1.44f0843b9c4a7p-7, 0x1.3a844feffa64p-7, 0x1.30657b7fe25bfp-7, 0x1.26921f4b80475p-7, 0x1.1d085c8634dbcp-7, 0x1.13c65d9775c5dp-7, 0x1.0aca55b59b206p-7, 0x1.021280b53a4c2p-7, 0x1.f33a47036cbfp-8, 0x1.e2d116d16ba22p-8, 0x1.d2e61c6b23aa1p-8, 0x1.c37614d5bd5d7p-8, 0x1.b47dcd72c8e5cp-8, 0x1.a5fa246bfceb3p-8, 0x1.97e807d8289a3p-8, 0x1.8a4476d882bc6p-8, 0x1.7d0c7f7d304e1p-8, 0x1.703d40767be2ep-8, 0x1.63d3e7cd71a88p-8, 0x1.57cdb2dcfad57p-8, 0x1.4c27edb65bcfap-8, 0x1.40dff56d9e0a3p-8, 0x1.35f3334ae6b5bp-8, 0x1.2b5f2046b889dp-8, 0x1.212144b8d48cp-8, 0x1.173735d0c73d6p-8, 0x1.0d9e97518ca91p-8, 0x1.04551ac22e8d4p-8, 0x1.f6b0ff11a6e96p-9, 0x1.e54d23812b795p-9, 0x1.d47a56fd8f855p-9, 0x1.c43466b0cf6f8p-9, 0x1.b4773a223b8dbp-9, 0x1.a53ed0f914166p-9, 0x1.968744aaaf349p-9, 0x1.884cc66807ee7p-9, 0x1.7a8b9fccd7093p-9, 0x1.6d4031d209223p-9, 0x1.6066f47380e81p-9, 0x1.53fc764ea1b9bp-9, 0x1.47fd5ce1015ap-9, 0x1.3c66657862aaep-9, 0x1.31345cbc4342ep-9, 0x1.26642a27d8c6p-9, 0x1.1bf2c831b103ep-9, 0x1.11dd456f23fap-9, 0x1.0820c54f3fb31p-9, 0x1.fd74fbb290193p-10, 0x1.eb4f70ff05117p-10, 0x1.d9cba3d723fa6p-10, 0x1.c8e470392c73ap-10, 0x1.b894d7b237f5p-10, 0x1.a8d7fece49b78p-10, 0x1.99a92ac8ac663p-10, 0x1.8b03c4f83aebfp-10, 0x1.7ce356442e70fp-10, 0x1.6f438803a638p-10, 0x1.6220228750a5dp-10, 0x1.55750bf621c71p-10, 0x1.493e4d26e17aep-10, 0x1.3d7804f0c43afp-10, 0x1.321e73c58415ep-10, 0x1.272df4208a208p-10, 0x1.1ca2fc31c66cbp-10, 0x1.127a1b3c315abp-10, 0x1.08afff998e481p-10, 0x1.fe82d1e8d4d31p-11, 0x1.ec5669960648ep-11, 0x1.dad4ae6e5fa58p-11, 0x1.c9f7b6fa0e665p-11, 0x1.b9b9cb1d2c09p-11, 0x1.aa1558343985p-11, 0x1.9b04fc16666edp-11, 0x1.8c837e91e990dp-11, 0x1.7e8bcd08b3468p-11, 0x1.7118fdad47e81p-11, 0x1.6426536c5eb64p-11, 0x1.57af3198d767cp-11, 0x1.4baf21953e0d8p-11, 0x1.4021cebc211b1p-11, 0x1.35030a0d53926p-11, 0x1.2a4ecce1dd0b4p-11, 0x1.200122e1c6395p-11, 0x1.161646d25a20bp-11, 0x1.0c8a893e31214p-11, 0x1.035a5e156706bp-11, 0x1.f504a45563052p-12, 0x1.e3fe347d61109p-12, 0x1.d39af93368898p-12, 0x1.c3d4b772a5269p-12, 0x1.b4a576407eca4p-12, 0x1.a6076999b03b3p-12, 0x1.97f4f5850993p-12, 0x1.8a68b17ee4ec7p-12, 0x1.7d5d64258ee91p-12, 0x1.70ce0b4b22a55p-12, 0x1.64b5c265c29e2p-12, 0x1.590fdbe619e01p-12, 0x1.4dd7cf1dba9edp-12, 0x1.43093f58f01bdp-12, 0x1.389ff7a58a1fp-12, 0x1.2e97e8d1b85d7p-12, 0x1.24ed32458693dp-12, 0x1.1b9c0705e6cc5p-12, 0x1.12a0ca075234ep-12, 0x1.09f7fe33180e1p-12, 0x1.019e47015a207p-12, 0x1.f320c6a0a7641p-13, 0x1.e396921df67adp-13, 0x1.d497cb9d37d74p-13, 0x1.c61ec2f31a965p-13, 0x1.b825ee5e28166p-13, 0x1.aaa7ffe5adb22p-13, 0x1.9d9fca0ca2e0cp-13, 0x1.9108878ff76f1p-13, 0x1.84dd64c3b6f5ep-13, 0x1.7919e519a46c8p-13, 0x1.6db9a0a9af521p-13, 0x1.62b896e8defcbp-13, 0x1.58129e8852b75p-13, 0x1.4dc3f1c0048fp-13, 0x1.43c8d18e88312p-13, 0x1.3a1dd7c65852p-13, 0x1.30bf8889382dfp-13, 0x1.27aab85c62462p-13, 0x1.1edc3d8ad7dbbp-13, 0x1.1651276bcfd45p-13, 0x1.0e069fce6608cp-13, 0x1.05f9ea5efb55p-13, 0x1.fc50d2f47b333p-14, 0x1.ed1f59630983bp-14, 0x1.de5a8d757619ep-14, 0x1.cffde8b47d697p-14, 0x1.c2051938f06a7p-14, 0x1.b46bf5e367d1cp-14, 0x1.a72eb3a80dfdep-14, 0x1.9a4944855a4p-14, 0x1.8db853e490eb1p-14, 0x1.81785c2abe624p-14, 0x1.758621254cad7p-14, 0x1.69de95fa31d1p-14, 0x1.5e7ec1ec9a066p-14, 0x1.5363de625feabp-14, 0x1.488b5baf6b464p-14, 0x1.3df296f349d73p-14, 0x1.3397352f945fdp-14, 0x1.2976eecb52b79p-14, 0x1.1f8f8fca779b3p-14, 0x1.15df191d5233p-14, 0x1.0c639f21973ecp-14, 0x1.031b2082ef5efp-14, 0x1.f407aabbbc3d6p-15, 0x1.e238399679909p-15, 0x1.d0c483ee7d703p-15, 0x1.bfa976ed4869dp-15, 0x1.aee4354f91955p-15, 0x1.9e71cd87c34a1p-15, 0x1.8e4fba5bad9dap-15, 0x1.7e7b34ba71488p-15, 0x1.6ef21d6ae1d05p-15, 0x1.5fb210800daf7p-15, 0x1.50b8b2e1eecb8p-15, 0x1.42047359513c8p-15, 0x1.339320e9b766fp-15, 0x1.256317746fc0dp-15, 0x1.1772bb5502da2p-15, 0x1.09c04ff2a5805p-15, 0x1.f894a508a3332p-16, 0x1.de1f8bf23bca4p-16, 0x1.c41e466d0949ep-16, 0x1.aa8ec06c9967cp-16, 0x1.916e8098306e9p-16, 0x1.78bb9615d8b86p-16, 0x1.6073fcb81ed9dp-16, 0x1.4895ef859e022p-16, 0x1.311f942613b73p-16, 0x1.1a0f5d07d533cp-16, 0x1.0363c6fb76e55p-16, 0x1.da369a1567824p-17, 0x1.ae69a392626a6p-17, 0x1.835d56dcae922p-17, 0x1.590f9116e84fbp-17, 0x1.2f7e03b496005p-17, 0x1.06a6b53fb8fb3p-17, 0x1.bd0eab80819b8p-18, 0x1.6e3b05f5dafd6p-18, 0x1.20d22fa5c07f8p-18, 0x1.a998bfe90fa7fp-19, 0x1.14513245d8bddp-19, 0x1.038b71ce144bp-20, -0x1.c1edc11d673cbp-24, -0x1.3665316a5956dp-20, -0x1.25adf5102e7b8p-19, -0x1.ad816f523fac9p-19, -0x1.195b05edf9534p-18, -0x1.5aa6f36662367p-18, -0x1.9aa84a5a3ba6dp-18, -0x1.d960775d69e4fp-18, -0x1.0b6909c854bd4p-17, -0x1.297f8650eacp-17, -0x1.46f50283929b1p-17, -0x1.63ca5bf19b626p-17, -0x1.8000b3a846cbap-17, -0x1.9b989fc85d95bp-17, -0x1.b694399fbcb1bp-17, -0x1.d0f370d84f208p-17, -0x1.eab7a2c7cf65ep-17, -0x1.01f0e250fd7f6p-16, -0x1.0e399d4bf8ed5p-16, -0x1.1a35be265b7e7p-16, -0x1.25e6ca1f987e6p-16, -0x1.314c9cbfdfd68p-16, -0x1.3c67c40612e82p-16, -0x1.473919dc62518p-16, -0x1.51c08666cb8fcp-16, -0x1.5bfedbf58514p-16, -0x1.65f4e99e81af2p-16, -0x1.6fa294dcf7a69p-16, -0x1.7908cca167f05p-16, -0x1.8227cea9e7fe1p-16, -0x1.8b00c06040abp-16, -0x1.93930e5caebcfp-16, -0x1.9be094d4e29bcp-16, -0x1.a3e8829090f4p-16, -0x1.abad006e92d2bp-16, -0x1.b32cd7540346fp-16, -0x1.ba69d4aeea873p-16, -0x1.c1642ab98ab0cp-16, -0x1.c81c6c8e0cb6ap-16, -0x1.ce934beb890eep-16, -0x1.d4c946f2488e8p-16, -0x1.dabef6e4223eep-16, -0x1.e0751e4dbd269p-16, -0x1.e5ec1e57936fbp-16, -0x1.eb250faece778p-16, -0x1.f01fc94008f4p-16, -0x1.f4ddb97f1f2e4p-16, -0x1.f95f270a2cafp-16, -0x1.fda4c9a12c506p-16, -0x1.00d7a46e78afp-15, -0x1.02bfad2c21667p-15, -0x1.048acff803d0ap-15, -0x1.06396d7c9fa2ep-15, -0x1.07cb9667e3657p-15, -0x1.09427fa2da3b9p-15, -0x1.0a9d54a84b0dfp-15, -0x1.0bdd349ebcc97p-15, -0x1.0d0246d68c59ep-15, -0x1.0e0cf397313e5p-15, -0x1.0efd54085c7b6p-15, -0x1.0fd433404149cp-15, -0x1.10919d19c887dp-15, -0x1.11360640a88dfp-15, -0x1.11c1cb80ed86fp-15, -0x1.12354790b47bep-15, -0x1.1290e97e4187p-15, -0x1.12d4edbea5facp-15, -0x1.1301e3fe9fc6dp-15, -0x1.13180c590e31p-15, -0x1.1317ced6577eep-15, -0x1.13017e7ad5525p-15, -0x1.12d5ac0bbd3bbp-15, -0x1.129468a276cb4p-15, -0x1.123e3f6a5254ap-15, -0x1.11d3ce5dbd419p-15, -0x1.11547f6025be5p-15, -0x1.10c26352dbe9bp-15, -0x1.101c289b7268dp-15, -0x1.0f6318ee8cc79p-15, -0x1.0e97545768f87p-15, -0x1.0db940d6a7b36p-15, -0x1.0cc9402e71804p-15, -0x1.0bc7b05887458p-15, -0x1.0ab4ede5d7a49p-15, -0x1.09915c72f4fa5p-15, -0x1.085d59bc514ffp-15, -0x1.071939fbb04f3p-15, -0x1.05c5651b27ff9p-15, -0x1.0462241899e9ap-15, -0x1.02f00476cab7ap-15, -0x1.016f2fe7534fep-15, -0x1.ffbfc4d2a1207p-16, -0x1.fc85c9beee257p-16, -0x1.f93058e9f79cap-16, -0x1.f5c08f23af216p-16, -0x1.f236f2101f7bap-16, -0x1.ee9442db0529ap-16, -0x1.ead9290a7d13cp-16, -0x1.e705fa5254ec1p-16, -0x1.e31cbd8ab65edp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.f0825f388955bp-2, 0x1.8dc1b787d8643p-2, 0x1.291c35a81621cp-2, 0x1.8cc8146220fcap-3, 0x1.a1d175698326bp-4, 0x1.14fddfeb463dp-6, -0x1.edebc2c8753a2p-5, -0x1.07f98599bd544p-3, -0x1.825b03368aac9p-3, -0x1.ead3260873f6p-3, -0x1.210e522b7bbcp-2, -0x1.44a82964b6f56p-2, -0x1.60e28413ee229p-2, -0x1.767b1aa064c3ep-2, -0x1.86373563cc75ep-2, -0x1.90dbf057b4a67p-2, -0x1.97289f9f249f8p-2, -0x1.99d2c871ac776p-2, -0x1.9983441ea419bp-2, -0x1.96d471b5e5139p-2, -0x1.9251562701dc3p-2, -0x1.8c757387640eap-2, -0x1.85ad1b4822ef1p-2, -0x1.7e56063e83905p-2, -0x1.76c0205d80fdep-2, -0x1.6f2e893d54938p-2, -0x1.67d8b3e5a7335p-2, -0x1.60eb8540107d1p-2, -0x1.5a8a6949a3de1p-2, -0x1.54d05fb2dd8aep-2, -0x1.4fd0fe1e875bcp-2, -0x1.4b996b1293381p-2, -0x1.483150186df92p-2, -0x1.459bce92eed48p-2, -0x1.43d7c3b326a4cp-2, -0x1.42e10c71961fep-2, -0x1.42b0cd68183a1p-2, -0x1.433e0dfd1f372p-2, -0x1.447e303987b63p-2, -0x1.466558a343049p-2, -0x1.48e6c8e147004p-2, -0x1.4bf52de80e089p-2, -0x1.4f82e299c5c42p-2, -0x1.5382283fe7f22p-2, -0x1.57e5566cb6706p-2, -0x1.5c9f02c0f5babp-2, -0x1.61a220dea021dp-2, -0x1.66e21b2719963p-2, -0x1.6c52e5bc71c18p-2, -0x1.71e90cecbb364p-2, -0x1.7799bfad1d3acp-2, -0x1.7d5ad64c692f1p-2, -0x1.8322d5b90e96dp-2, -0x1.88e8f032ab8c3p-2, -0x1.8ea5041444ef4p-2, -0x1.944f9967f29dp-2, -0x1.99e1de5fd08ffp-2, -0x1.9f55a27bc866fp-2, -0x1.a4a550a17eda5p-2, -0x1.a9cbe862961b6p-2, -0x1.aec4f6e8a251p-2, -0x1.b38c8fda44222p-2, -0x1.b81f464d8d952p-2, -0x1.bc7a25bac7408p-2, -0x1.c09aaad1bd121p-2, -0x1.c47ebc20a0022p-2, -0x1.c824a29e742b2p-2, -0x1.cb8b02432d0cp-2, -0x1.ceb0d2de67591p-2, -0x1.d195593f8cb4ep-2, -0x1.d43820d5b78d7p-2, -0x1.d698f59c79fd9p-2, -0x1.d8b7de6f6332fp-2, -0x1.da9517a169783p-2, -0x1.dc310ddfe1181p-2, -0x1.dd8c595dec696p-2, -0x1.dea7b94dcbc2dp-2, -0x1.df8453b9d82p-2, -0x1.e02294780a86p-2, -0x1.e083e45ad9181p-2, -0x1.e0a97911f8d17p-2, -0x1.e0949d91d0c5ap-2, -0x1.e046af3ad90e8p-2, -0x1.dfc11b25cc104p-2, -0x1.df055bb5a17b4p-2, -0x1.de14f642a8212p-2, -0x1.dcf178fd119aep-2, -0x1.db9c78ff2d263p-2, -0x1.da17907e1d161p-2, -0x1.d8645d37fe515p-2, -0x1.d6847efbfce7fp-2, -0x1.d479965d5a04cp-2, -0x1.d2454386453fbp-2, -0x1.cfe9252b4bb74p-2, -0x1.cd66d7974b9d5p-2, -0x1.cabff3d34332bp-2, -0x1.c7f60ee1738ffp-2, -0x1.c50ab90ee5a59p-2, -0x1.c1ff7d574fd2fp-2, -0x1.bed5e0dcd6c0ap-2, -0x1.bb8f626853a8cp-2, -0x1.b82d7a106336dp-2, -0x1.b4b198caacffcp-2, -0x1.b11d283317207p-2, -0x1.ad718a45622p-2, -0x1.a9b0191e0bd51p-2, -0x1.a5da26f525589p-2, -0x1.a1f0fdd99d797p-2, -0x1.9df5dfacee307p-2, -0x1.99ea060ddd8f7p-2, -0x1.95cea24f423fp-2, -0x1.91a4dd7525e64p-2, -0x1.8d6dd8208ae84p-2, -0x1.892aaab21dce6p-2, -0x1.84dc65359e394p-2, -0x1.80840f81355abp-2, -0x1.7c22a91ce36f1p-2, -0x1.77b9297e88b6cp-2, -0x1.73488019100e5p-2, -0x1.6ed1944b66b54p-2, -0x1.6a55459c418cep-2, -0x1.65d46bd6ca4fcp-2, -0x1.614fd71f71906p-2, -0x1.5cc8501a320d1p-2, -0x1.583e980dfd75dp-2, -0x1.53b3690c30f9dp-2, -0x1.4f27761884196p-2, -0x1.4a9b6b54573e5p-2, -0x1.460fee1be718p-2, -0x1.41859d4ce2dc7p-2, -0x1.3cfd1152aeba3p-2, -0x1.3876dc62af3b1p-2, -0x1.33f38aa2c1cf6p-2, -0x1.2f73a245da312p-2, -0x1.2af7a3ce45a7ep-2, -0x1.26800a18d7154p-2, -0x1.220d4a939ddb4p-2, -0x1.1d9fd55bdc7e1p-2, -0x1.1938156458492p-2, -0x1.14d67096f6f72p-2, -0x1.107b47f8de77fp-2, -0x1.0c26f7c9f21e8p-2, -0x1.07d9d7a860d37p-2, -0x1.03943ab0d3f11p-2, -0x1.feacdf2b2980fp-3, -0x1.f64181a62b672p-3, -0x1.ede6e97bc7b26p-3, -0x1.e59d9b32c1337p-3, -0x1.dd6613abd492cp-3, -0x1.d540c81f176ap-3, -0x1.cd2e2676194c1p-3, -0x1.c52e957a6d32bp-3, -0x1.bd42751b88596p-3, -0x1.b56a1e83a9c8ap-3, -0x1.ada5e4951c7ddp-3, -0x1.a5f613d69a9c1p-3, -0x1.9e5af2c36eca8p-3, -0x1.96d4c24187195p-3, -0x1.8f63bd3b83e0bp-3, -0x1.8808197289185p-3, -0x1.80c20755d1bd5p-3, -0x1.7991b262c2931p-3, -0x1.7277411dcf1b9p-3, -0x1.6b72d57651473p-3, -0x1.64848cd2eff6ep-3, -0x1.5dac619f87b7bp-3, -0x1.56ea98c1aa0b8p-3, -0x1.503f32e0f871fp-3, -0x1.49aa3d57c5aafp-3, -0x1.432bc1b869cfp-3, -0x1.3cc3c5fd16791p-3, -0x1.36724ca7b282cp-3, -0x1.303754eee06b6p-3, -0x1.2a12dae69df66p-3, -0x1.2404d74b90b92p-3, -0x1.1e0d405d87196p-3, -0x1.182c094747c44p-3, -0x1.126122774af3cp-3, -0x1.0cac79eef71a6p-3, -0x1.070dfb29e8fa7p-3, -0x1.01858f325f2a6p-3, -0x1.f8263a0092b4ap-4, -0x1.ed6d1276bb89fp-4, -0x1.e2df6d150ab52p-4, -0x1.d87d0b5675b6ap-4, -0x1.ce45aae372ebap-4, -0x1.c43905e80bc5p-4, -0x1.ba56d32554b5dp-4, -0x1.b09ec636b3e2ap-4, -0x1.a7108fade739p-4, -0x1.9dabdd38bb073p-4, -0x1.947059d539aacp-4, -0x1.8b5dade889e46p-4, -0x1.82737f762abcfp-4, -0x1.79b17240f61b1p-4, -0x1.711727d562bf1p-4, -0x1.68a43fd41152p-4, -0x1.605857e474862p-4, -0x1.58330c26391edp-4, -0x1.5033f6d3d5ab9p-4, -0x1.485ab0cc54182p-4, -0x1.40a6d1998c3aep-4, -0x1.3917ef4acb2ecp-4, -0x1.31ad9ef6f24dfp-4, -0x1.2a6774a230ffcp-4, -0x1.2345032dac6b4p-4, -0x1.1c45dcce2135cp-4, -0x1.156992da66521p-4, -0x1.0eafb60363ba3p-4, -0x1.0817d65e42d41p-4, -0x1.01a183801421bp-4, -0x1.f698995256cabp-5, -0x1.ea2f812276d72p-5, -0x1.de06dbd63c73ep-5, -0x1.d21dc6277df7bp-5, -0x1.c6735caa8aa17p-5, -0x1.bb06bbe0c5dadp-5, -0x1.afd700528a328p-5, -0x1.a4e346b774b6bp-5, -0x1.9a2aac18cf79dp-5, -0x1.8fac4de695437p-5, -0x1.85674a2758b96p-5, -0x1.7b5abf6fccaa3p-5, -0x1.7185cd1972db9p-5, -0x1.67e79370e9a7dp-5, -0x1.5e7f339d59067p-5, -0x1.554bcfe0b0136p-5, -0x1.4c4c8b77e1f3p-5, -0x1.43808b0bbe4d7p-5, -0x1.3ae6f46cf06e3p-5, -0x1.327eeece1597p-5, -0x1.2a47a2e64ffacp-5, -0x1.22403ac651294p-5, -0x1.1a67e255d6cc9p-5, -0x1.12bdc6cde4a79p-5, -0x1.0b411755ad2d2p-5, -0x1.03f104b553e24p-5, -0x1.f999832c2c453p-6, -0x1.eba704de0df6ep-6, -0x1.de08fb043c733p-6, -0x1.d0bdd70ca7839p-6, -0x1.c3c40ccd1b696p-6, -0x1.b71a1525913f2p-6, -0x1.aabe6ce12fab3p-6, -0x1.9eaf9505b8a0ap-6, -0x1.92ec12a201a08p-6, -0x1.87726f9d25931p-6, -0x1.7c4138c79f7c8p-6, -0x1.7157020924ad3p-6, -0x1.66b25f99e889fp-6, -0x1.5c51eebde4d73p-6, -0x1.52344e5a3337p-6, -0x1.485822a336f4ep-6, -0x1.3ebc147c92eedp-6, -0x1.355ed0e2049ffp-6, -0x1.2c3f0a221e3a9p-6, -0x1.235b768ec99a9p-6, -0x1.1ab2d175c7064p-6, -0x1.1243daac1eb8ap-6, -0x1.0a0d577d7ebp-6, -0x1.020e0e4cf16p-6, -0x1.f4899f46e9497p-7, -0x1.e560da5588fe3p-7, -0x1.d69f7bdc8ee85p-7, -0x1.c8433c3498c2p-7, -0x1.ba49d742076b8p-7, -0x1.acb11c394d8e7p-7, -0x1.9f76dc343683dp-7, -0x1.9298f34d4dde1p-7, -0x1.861546b7cb43p-7, -0x1.79e9c4c6b802p-7, -0x1.6e1464b6ff52dp-7, -0x1.629326b521c83p-7, -0x1.576413eb12b62p-7, -0x1.4c853e48330b8p-7, -0x1.41f4c06786e6fp-7, -0x1.37b0bb782daf3p-7, -0x1.2db7629f97d19p-7, -0x1.2406e33e0485cp-7, -0x1.1a9d7cd00df2ap-7, -0x1.117974b702cf6p-7, -0x1.089918ff54a8bp-7, -0x1.fff57f587e2bfp-8, -0x1.ef398dae4cb18p-8, -0x1.defb29ee8da6ep-8, -0x1.cf37305216a0ep-8, -0x1.bfea8d6d366e9p-8, -0x1.b1123d28d6575p-8, -0x1.a2ab4cc97e1ddp-8, -0x1.94b2d1e1c3f2dp-8, -0x1.8725fb6cd30eap-8, -0x1.7a01ffea99c77p-8, -0x1.6d44270af0956p-8, -0x1.60e9c6fc5ab2dp-8, -0x1.54f043142c28fp-8, -0x1.49550e37de785p-8, -0x1.3e15a84b664f8p-8, -0x1.332f9efc7862ap-8, -0x1.28a08dd728c38p-8, -0x1.1e661d97b17b8p-8, -0x1.147e03db1f88ap-8, -0x1.0ae60378826cfp-8, -0x1.019bec0f45cdbp-8, -0x1.f13b2a5ffcf7cp-9, -0x1.dfd1e623fd5a3p-9, -0x1.cef7dd1d0e9abp-9, -0x1.bea9180a343b5p-9, -0x1.aee1ae9bcc97fp-9, -0x1.9f9dcfcb36a29p-9, -0x1.90d9c24263243p-9, -0x1.8291e49da8a52p-9, -0x1.74c29dfec5d6ep-9, -0x1.676887b75dda9p-9, -0x1.5a80328a946bep-9, -0x1.4e0652cf38576p-9, -0x1.41f7b00df2fccp-9, -0x1.3651224d27bfcp-9, -0x1.2b0f9ad54871dp-9, -0x1.20301847c79ffp-9, -0x1.15afacca19194p-9, -0x1.0b8b85a9de824p-9, -0x1.01c0d97492cedp-9, -0x1.f099dfde7cfa1p-10, -0x1.de5a505c5cf22p-10, -0x1.ccbde2d8d36cap-10, -0x1.bbbf899adcafcp-10, -0x1.ab5a753705677p-10, -0x1.9b89d872003dp-10, -0x1.8c4915752cc12p-10, -0x1.7d93aa2b209ap-10, -0x1.6f6533ce126c3p-10, -0x1.61b96d117d1c8p-10, -0x1.548c2e6ecb9ffp-10, -0x1.47d96c82076f6p-10, -0x1.3b9d2ff66f217p-10, -0x1.2fd3bdca94fcfp-10, -0x1.24793966aa4dp-10, -0x1.198a2ff61bbd2p-10, -0x1.0f02f983a2f04p-10, -0x1.04e036c75a372p-10, -0x1.f63d287fa20d9p-11, -0x1.e375831277ba2p-11, -0x1.d163a5246dc1p-11, -0x1.c00114f7fec7bp-11, -0x1.af48145ddba92p-11, -0x1.9f32da3fbd0d5p-11, -0x1.8fbbcf7aa9fc7p-11, -0x1.80dd8ae1acccap-11, -0x1.7292c6372d136p-11, -0x1.64d673c78d783p-11, -0x1.57a37c5c6b85p-11, -0x1.4af56117478e4p-11, -0x1.3ec72a1a10e39p-11, -0x1.331476cb7a0d6p-11, -0x1.27d8dba84c26ep-11, -0x1.1d1021d14b489p-11, -0x1.12b621a7c0d12p-11, -0x1.08c6e9d84e435p-11, -0x1.fe7d2d4bf86ebp-12, -0x1.ec32c7f2b963p-12, -0x1.daa776734ac76p-12, -0x1.c9d4265ed66a5p-12, -0x1.b9b20bdd0f1b7p-12, -0x1.aa3a8cc820edp-12, -0x1.9b674e0052dfep-12, -0x1.8d320ac2c2322p-12, -0x1.7f94e58aba3edp-12, -0x1.728a033f97dbp-12, -0x1.660bcd6716009p-12, -0x1.5a14d4e58ab27p-12, -0x1.4e9fe68d48a78p-12, -0x1.43a7e49d0a214p-12, -0x1.3927eaeb25ff1p-12, -0x1.2f1b3cb78b1bfp-12, -0x1.257d47b582b2fp-12, -0x1.1c499130f8cd4p-12, -0x1.137be0529f6c3p-12, -0x1.0b1010a4422a3p-12, -0x1.03020962ab1a1p-12, -0x1.f69c1bf10092dp-13, -0x1.e7e0b2a02f081p-13, -0x1.d9ca8fb9f6ff3p-13, -0x1.cc52ee027cedfp-13, -0x1.bf730306ed3c6p-13, -0x1.b3244107cc34cp-13, -0x1.a7607eb433347p-13, -0x1.9c21bca33c822p-13, -0x1.916204a02999p-13, -0x1.871bfc3343c2bp-13, -0x1.7d4a41937bab6p-13, -0x1.73e73295ba064p-13, -0x1.6aee463e09a9cp-13, -0x1.625a97a0dc957p-13, -0x1.5a273c641d765p-13, -0x1.525010960773p-13, -0x1.4ad09a10fe15p-13, -0x1.43a4eec30c59ep-13, -0x1.3cc8ab44aa942p-13, -0x1.36385e490e2cfp-13, -0x1.2ff0624c9ee6cp-13, -0x1.29ecb6e718cb5p-13, -0x1.242a28db098e3p-13, -0x1.1ea62c2f1906ep-13, -0x1.195cf7b75010ep-13, -0x1.144b425b545fp-13, -0x1.0f6ebfbe194c4p-13, -0x1.0ac47b593e283p-13, -0x1.0649d059e9ee3p-13, -0x1.01fc425341a0fp-13, -0x1.fbb2abe2f6beap-14, -0x1.f3bdb2e9ed173p-14, -0x1.ec149fe8d4654p-14, -0x1.e4b3b6c1c8db1p-14, -0x1.dd96f8878ba99p-14, -0x1.d6b9c9e742e84p-14, -0x1.d01935b5f8065p-14, -0x1.c9b144966bf0dp-14, -0x1.c37f0330f2812p-14, -0x1.bd7ee7ff22c8p-14, -0x1.b7add011dfe78p-14, -0x1.b208f9f2ac7d9p-14, -0x1.ac8dd2008834ep-14, -0x1.a738cccb18de3p-14, -0x1.a208727110bdfp-14, -0x1.9cf97cc7cb1bfp-14, -0x1.980a3ccf15748p-14, -0x1.93385a4ce98b1p-14, -0x1.8e81aa75fbf0dp-14, -0x1.89e435946d2c6p-14, -0x1.855ee397e047cp-14, -0x1.80ee31777aa59p-14, -0x1.7c9206ea68d5fp-14, -0x1.78483ecc3bcddp-14, -0x1.740f606b16908p-14, -0x1.6fe64ebcbc903p-14, -0x1.6bcb4fa41a4ccp-14, -0x1.67bd5ca52b835p-14, -0x1.63bb444982fb5p-14, -0x1.5fc3e78bd6e19p-14, -0x1.5bd69fe8da2e5p-14, -0x1.57f17bbfd5908p-14, -0x1.54148c9b79f99p-14, -0x1.503eab80b7fd2p-14, -0x1.4c6f149eb9de3p-14, -0x1.48a4fb150542cp-14, -0x1.44dfeda8174ddp-14, -0x1.411f2f7420d3cp-14, -0x1.3d61e69ab0894p-14, -0x1.39a7e1a95461ap-14, -0x1.35f0967952988p-14, -0x1.323b724fd8232p-14, -0x1.2e883f54143e8p-14, -0x1.2ad659db48b32p-14, -0x1.272597892975p-14, -0x1.23754cc809d17p-14, -0x1.1fc5f23de3805p-14, -0x1.1c168869fcdf3p-14, -0x1.18671f1b08aa4p-14, -0x1.14b7753cc184ap-14, -0x1.11074fd198e22p-14, -0x1.0d56baa80e9c5p-14, -0x1.09a55869d8b4dp-14, -0x1.05f33263ab0fp-14, -0x1.023fff0b77739p-14, -0x1.fd185c693731dp-15, -0x1.f5ae5df036c31p-15, -0x1.ee4277da0a6ecp-15, -0x1.e6d494cd98a5p-15, -0x1.df64c556bd5bdp-15, -0x1.d7f3df52f18b8p-15, -0x1.d07f9325ab5dp-15, -0x1.c90b350ac28d8p-15, -0x1.c193ccc3a7d57p-15, -0x1.ba1bd4388776fp-15, -0x1.b2a29fe1cd644p-15, -0x1.ab27ab1254271p-15, -0x1.a3adc8b85b7adp-15, -0x1.9c325113b63b3p-15, -0x1.94b6fe2269409p-15, -0x1.8d3b8a40655f5p-15, -0x1.85c010ef90abap-15, -0x1.7e45ce7b8733fp-15, -0x1.76cba1b3951e6p-15, -0x1.6f52cb4868a3fp-15, -0x1.67dcb1a0e7fd8p-15, -0x1.606796643c7e6p-15, -0x1.58f47b01db466p-15, -0x1.51840c3517d64p-15, -0x1.4a165008b063p-15, -0x1.42abc0498dd9bp-15, -0x1.3b44c246f856ap-15, -0x1.33e19870f71c7p-15, -0x1.2c82dfdbd4ee7p-15, -0x1.2527a4d304a36p-15, -0x1.1dd1cebe827c4p-15, -0x1.16822e51fe069p-15, -0x1.0f3618b2bfbdfp-15, -0x1.07f0f7c434c13p-15, -0x1.00b1dad609e96p-15, -0x1.f2f2ba8161091p-16, -0x1.e48f5cf912bf3p-16, -0x1.d63a74dc53bc6p-16, -0x1.c7f4d37400a37p-16, -0x1.b9bea4f2b14fep-16, -0x1.ab9ac23de896fp-16, -0x1.9d8423905d638p-16, -0x1.8f80c46b17bedp-16, -0x1.81901da6264edp-16, -0x1.73b1fecb2dfdp-16, -0x1.65e65d710017p-16, -0x1.583090f9374d8p-16, -0x1.4a8e83a888f07p-16, -0x1.3d019b8d7ba8cp-16, -0x1.2f8a559aa1c23p-16, -0x1.222950c9ba4abp-16, -0x1.14df1efd40d5ap-16, -0x1.07ac101c98f2ep-16, -0x1.f521b831e24e4p-17, -0x1.db1dd1bbfe9b1p-17, -0x1.c1478b5c64a9cp-17, -0x1.a7a5de2fd2cebp-17, -0x1.8e372431f6888p-17, -0x1.74fcfdf945cc9p-17, -0x1.5bf7c6ed4bddcp-17, -0x1.4325c13ea0af4p-17, -0x1.2a8f53aa34fffp-17, -0x1.122fceeeeaadap-17, -0x1.f40ab90e4bf8fp-18, -0x1.c42a39bfe6d92p-18, -0x1.94bdc9179a368p-18, -0x1.65c575406043fp-18, -0x1.37429d1588feep-18, -0x1.093a2c16abb64p-18, -0x1.b749485f72e48p-19, -0x1.5d15cf4dc3418p-19, -0x1.03d8a6ed45ad3p-19, -0x1.5715e3e781918p-20, -0x1.51028f595168cp-21, 0x1.095292f53ecb3p-26, 0x1.5da826af7aca6p-21, 0x1.5785f35c38d7fp-20, 0x1.fe44d4e900cfap-20, 0x1.51751d760975ep-19, 0x1.a2cbd954847efp-19, 0x1.f31d37f6ab0fbp-19, 0x1.2134479bb3d4dp-18, 0x1.48592800cc8b2p-18, 0x1.6ef97a74d7f18p-18, 0x1.9515e0cdf091ap-18, 0x1.baad9cd82b0fap-18, 0x1.dfc141b28bcb8p-18, 0x1.02255971eb433p-17, 0x1.142c20ffcb6aap-17, 0x1.25ee160eb7dadp-17, 0x1.376c5e8fd6f05p-17, 0x1.48a5d3dbd8cb3p-17, 0x1.59a15b900f5f4p-17, 0x1.6a57521e8d80dp-17, 0x1.7aca69da2a71p-17, 0x1.8af9dd275802p-17, 0x1.9ae6bd675c54p-17, 0x1.aa90a041ddd93p-17, 0x1.b9f760a37c68dp-17, 0x1.c91b56afddd5ep-17, 0x1.d7fc590a619cdp-17, 0x1.e69b2f5657266p-17, 0x1.f4f6be48d3a43p-17, 0x1.0188f3c108073p-16, 0x1.0873a90520519p-16, 0x1.0f3e2089db14fp-16, 0x1.15e7aa85e60bdp-16, 0x1.1c70501cc8e01p-16, 0x1.22d83ac604dcap-16, 0x1.291d02744c4cp-16, 0x1.2f46596ebd129p-16, 0x1.354c004f88595p-16, 0x1.3b33e5ec0c23cp-16, 0x1.40f77e64e7362p-16, 0x1.469d267e319aep-16, 0x1.4c22e63f62441p-16, 0x1.5188eb53c1912p-16, 0x1.56cf42bbad1a4p-16, 0x1.5bf63ae490c6dp-16, 0x1.60fdf61e7bf0ep-16, 0x1.65e6971ce3a51p-16, 0x1.6ab13c980c0dap-16, 0x1.6f5b3e04fd69p-16, 0x1.73e7972e1ac02p-16, 0x1.785640652acb8p-16, 0x1.7ca5de46a1c38p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.17d6913cfd36p-1, 0x1.14a74ba31670cp-1, 0x1.1137d73c19654p-1, 0x1.0d8b589fe701ep-1, 0x1.09a50cc1140dp-1, 0x1.058842f139216p-1, 0x1.0138576c7b3ffp-1, 0x1.f9715cbd3d9a1p-2, 0x1.f0195ea922ccap-2, 0x1.e66f821f6b69dp-2, 0x1.dc7a8b66a6463p-2, 0x1.d2412e8ef126ep-2, 0x1.c7ca091e31893p-2, 0x1.bd1b9c617ca2ap-2, 0x1.b23c486408c11p-2, 0x1.a732478c0315cp-2, 0x1.9c03aadc90c2cp-2, 0x1.90b656da3beabp-2, 0x1.8550010caf77ep-2, 0x1.79d62e16141c8p-2, 0x1.6e4e3055ff0e1p-2, 0x1.62bd270be0dadp-2, 0x1.5727fdeb4158fp-2, 0x1.4b936d131fd4ap-2, 0x1.4003f9594b22fp-2, 0x1.347df4da9745ep-2, 0x1.29057fc15c745p-2, 0x1.1d9e8934a4b43p-2, 0x1.124cd063992a5p-2, 0x1.0713e5a24ac2dp-2, 0x1.f7ee571d114ebp-3, 0x1.e1f3b06a32732p-3, 0x1.cc3dec62cb358p-3, 0x1.b6d2cb86478e3p-3, 0x1.a1b7bbae3b6fdp-3, 0x1.8cf1da02d0981p-3, 0x1.7885f4d131df1p-3, 0x1.64788d44c39b3p-3, 0x1.50cdd9059d23ep-3, 0x1.3d89c3bfbaf9cp-3, 0x1.2aaff09740879p-3, 0x1.1843bb8e6dd4p-3, 0x1.06483ae2305a9p-3, 0x1.e98080c42297fp-4, 0x1.c75cb590013eep-4, 0x1.a629ae27e489p-4, 0x1.85eb83ddb2f36p-4, 0x1.66a5d22f84a66p-4, 0x1.485bb9ba71be6p-4, 0x1.2b0fe348d5e3fp-4, 0x1.0ec482fda58f8p-4, 0x1.e6f6b73a3f209p-5, 0x1.b26b83e409d47p-5, 0x1.7fe9409b019b9p-5, 0x1.4f70f43e0cdbdp-5, 0x1.2102df4181692p-5, 0x1.e93d06527accdp-6, 0x1.94855436aeae6p-6, 0x1.43dadd04990c8p-6, 0x1.ee710ad5a3b2cp-7, 0x1.5d2fe278e64f7p-7, 0x1.a7c64a914e23fp-8, 0x1.49e5c97e52d17p-9, -0x1.3905f5e771e64p-10, -0x1.32020205b185ep-8, -0x1.033ed56dbc8fcp-7, -0x1.65f38f4207fd8p-7, -0x1.c13a391a53977p-7, -0x1.0a97bd65fb711p-6, -0x1.30f8c0163447dp-6, -0x1.53cff05eb1e58p-6, -0x1.732dc4212e9eap-6, -0x1.8f23501f6ad44p-6, -0x1.a7c23d2d13939p-6, -0x1.bd1cbdd185c51p-6, -0x1.cf4584557c206p-6, -0x1.de4fb937c5718p-6, -0x1.ea4ef20379405p-6, -0x1.f357288186d2p-6, -0x1.f97cb23f2ba93p-6, -0x1.fcd438628e73cp-6, -0x1.fd72afc6bb537p-6, -0x1.fb6d51583765ep-6, -0x1.f6d992aba6668p-6, -0x1.efcd1ec82073ep-6, -0x1.e65dcf1f54ac2p-6, -0x1.daa1a4ade36ffp-6, -0x1.ccaec13ef8bc4p-6, -0x1.bc9b60ce9ab3fp-6, -0x1.aa7dd306ca0acp-6, -0x1.966c74d412c78p-6, -0x1.807daa0ee4e75p-6, -0x1.68c7d7377d01p-6, -0x1.4f615b42dcb1dp-6, -0x1.34608977d4185p-6, -0x1.17dba35bb0b29p-6, -0x1.f3d1a55d39c4ap-7, -0x1.b53c46f08380cp-7, -0x1.7422fc4b58321p-7, -0x1.30b143739a50ep-7, -0x1.d62478494c7c8p-8, -0x1.46e1390b95dcp-8, -0x1.67da98482c79ep-9, -0x1.d9c356c519953p-12, 0x1.eefe6eade78f5p-10, 0x1.17d4e0e6e4521p-8, 0x1.b653917a5fb0ap-8, 0x1.2b767ad79b684p-7, 0x1.7ca9dcf18acdep-7, 0x1.ce9e006be6af3p-7, 0x1.1096dd521cf53p-6, 0x1.3a1a56ae4753fp-6, 0x1.63c7a75ddc077p-6, 0x1.8d8d78709d35fp-6, 0x1.b75ae484466ap-6, 0x1.e11f7b1bd6535p-6, 0x1.0565a1dd67a5ap-5, 0x1.1a27606168121p-5, 0x1.2ecd79091fb9ap-5, 0x1.4350abb17faccp-5, 0x1.57a9f9341f5fep-5, 0x1.6bd2a45575be6p-5, 0x1.7fc432922c815p-5, 0x1.93786ccb871cbp-5, 0x1.a6e95fd2eb53bp-5, 0x1.ba115cd4b9e84p-5, 0x1.cceaf9a2c524fp-5, 0x1.df7110dec7c78p-5, 0x1.f19ec2055fe22p-5, 0x1.01b7b8ad13063p-4, 0x1.0a6f63dac8955p-4, 0x1.12f4591ab6f7cp-4, 0x1.1b44b0e86110bp-4, 0x1.235ea56805f87p-4, 0x1.2b4092156bf3p-4, 0x1.32e8f365dd455p-4, 0x1.3a56665de379dp-4, 0x1.4187a81b54ad3p-4, 0x1.487b9554478abp-4, 0x1.4f3129cb8e0eep-4, 0x1.55a77fbb501dep-4, 0x1.5bddcf366c86cp-4, 0x1.61d36d813fa92p-4, 0x1.6787cc627628cp-4, 0x1.6cfa796c8de3bp-4, 0x1.722b1d40ab3aep-4, 0x1.77197acb63d45p-4, 0x1.7bc56e7c22ca9p-4, 0x1.802eed77c1ceap-4, 0x1.845604c6f941fp-4, 0x1.883ad8813c767p-4, 0x1.8bdda2f49b504p-4, 0x1.8f3eb3cb3a97bp-4, 0x1.925e6f2ef3106p-4, 0x1.953d4ceb9ef89p-4, 0x1.97dbd7909cdefp-4, 0x1.9a3aab9207869p-4, 0x1.9c5a766a20d02p-4, 0x1.9e3bf5bb5b7e2p-4, 0x1.9fdff67386b76p-4, 0x1.a14753f070404p-4, 0x1.a272f72676cdbp-4, 0x1.a363d5c95b9b6p-4, 0x1.a41af177b245bp-4, 0x1.a49956e954ef1p-4, 0x1.a4e01d2105283p-4, 0x1.a4f064a1abf39p-4, 0x1.a4cb56a7588f3p-4, 0x1.a47224645d047p-4, 0x1.a3e60642a11dap-4, 0x1.a3283b297cafdp-4, 0x1.a23a07c8290c4p-4, 0x1.a11cb5e51702cp-4, 0x1.9fd193b21ee5bp-4, 0x1.9e59f325e448cp-4, 0x1.9cb7295a4a4afp-4, 0x1.9aea8df044115p-4, 0x1.98f57a78f0623p-4, 0x1.96d949e425abfp-4, 0x1.949757f463087p-4, 0x1.923100b843cb8p-4, 0x1.8fa7a0096896ap-4, 0x1.8cfc9110dcfcep-4, 0x1.8a312dd0f49b6p-4, 0x1.8746ceb49a339p-4, 0x1.843eca2407199p-4, 0x1.811a741ed83b6p-4, 0x1.7ddb1ddb71fa9p-4, 0x1.7a82156ba32f6p-4, 0x1.7710a56674affp-4, 0x1.7388149710998p-4, 0x1.6fe9a5b0acf2fp-4, 0x1.6c3697075ebe9p-4, 0x1.6870224dc05e5p-4, 0x1.64977c574caf5p-4, 0x1.60add4df5693dp-4, 0x1.5cb456547d161p-4, 0x1.58ac25a881386p-4, 0x1.549662245c8cdp-4, 0x1.507425407aaccp-4, 0x1.4c468280f4aa5p-4, 0x1.480e8755b066ap-4, 0x1.43cd3afe3f8f4p-4, 0x1.3f839e7161696p-4, 0x1.3b32ac48021e8p-4, 0x1.36db58ab99fd3p-4, 0x1.327e9147c8f72p-4, 0x1.2e1d3d3f0edf2p-4, 0x1.29b83d227d385p-4, 0x1.25506aec45349p-4, 0x1.20e699fcfd1efp-4, 0x1.1c7b971b8056ep-4, 0x1.1810287748433p-4, 0x1.13a50dad1f735p-4, 0x1.0f3affce10256p-4, 0x1.0ad2b1686e59ap-4, 0x1.066cce92e14dbp-4, 0x1.0209fcf94ed13p-4, 0x1.fb55b7d71409fp-5, 0x1.f2a008db58045p-5, 0x1.e9f41293f26b7p-5, 0x1.e152ee487056ep-5, 0x1.d8bda91cc73bfp-5, 0x1.d035443d30f71p-5, 0x1.c7bab50c5a18ep-5, 0x1.bf4ee553abedbp-5, 0x1.b6f2b37586f87p-5, 0x1.aea6f2a13f6fep-5, 0x1.a66c6b08b1854p-5, 0x1.9e43da17471a1p-5, 0x1.962df2aa3f669p-5, 0x1.8e2b5d4a1998fp-5, 0x1.863cb864f9f88p-5, 0x1.7e629889e3e59p-5, 0x1.769d88a4ab84p-5, 0x1.6eee0a3a7bdefp-5, 0x1.675495a6d1297p-5, 0x1.5fd19a58caf43p-5, 0x1.58657f10bcaa8p-5, 0x1.5110a21dda8efp-5, 0x1.49d3599bf038p-5, 0x1.42adf3b1051afp-5, 0x1.3ba0b6cadabcep-5, 0x1.34abe1dc2a26cp-5, 0x1.2dcfac999120ap-5, 0x1.270c47b61b26bp-5, 0x1.2061dd1f50472p-5, 0x1.19d09038be4cap-5, 0x1.13587e16e9901p-5, 0x1.0cf9bdb9959b2p-5, 0x1.06b460455d857p-5, 0x1.0088713c86ef2p-5, 0x1.f4ebed6e19904p-6, 0x1.e8f9e3339fe71p-6, 0x1.dd3abb99d69e1p-6, 0x1.d1ae64e233104p-6, 0x1.c654c4285b993p-6, 0x1.bb2db5c91fb6dp-6, 0x1.b0390dc77bd89p-6, 0x1.a576982f8b4e9p-6, 0x1.9ae61977690bdp-6, 0x1.90874eddf8e7bp-6, 0x1.8659eec78a95fp-6, 0x1.7c5da91853864p-6, 0x1.7292278cbc25ap-6, 0x1.68f70e0f7fcd8p-6, 0x1.5f8bfb0d914e8p-6, 0x1.565087c7d0c01p-6, 0x1.4d4448a28c418p-6, 0x1.4466cd72c7718p-6, 0x1.3bb7a1c94f3f2p-6, 0x1.33364d3ba284ap-6, 0x1.2ae253aaa2c28p-6, 0x1.22bb35871d297p-6, 0x1.1ac0701432488p-6, 0x1.12f17da78d993p-6, 0x1.0b4dd5e78eaf8p-6, 0x1.03d4ee0751c23p-6, 0x1.f90c720153b07p-7, 0x1.eac24f9825dep-7, 0x1.dcca532d420efp-7, 0x1.cf2357ebe4deap-7, 0x1.c1cc36345e3fbp-7, 0x1.b4c3c3fc47f37p-7, 0x1.a808d52ae441p-7, 0x1.9b9a3bf1da64ep-7, 0x1.8f76c9224f528p-7, 0x1.839d4c7e6babp-7, 0x1.780c9507737f4p-7, 0x1.6cc3714868d5bp-7, 0x1.61c0af9d68cc5p-7, 0x1.57031e77bf1ecp-7, 0x1.4c898c9ed33fp-7, 0x1.4252c96dfc606p-7, 0x1.385da50f4ebf3p-7, 0x1.2ea8f0b380692p-7, 0x1.25337ec6eab92p-7, 0x1.1bfc2323c8c3cp-7, 0x1.1301b341c0a1p-7, 0x1.0a430662cd40dp-7, 0x1.01bef5bd9c12ap-7, 0x1.f2e8b94ae615bp-8, 0x1.e2c4315f60f6fp-8, 0x1.d30e13adf5662p-8, 0x1.c3c425385ffcp-8, 0x1.b4e4304a55c48p-8, 0x1.a66c04b2dcda5p-8, 0x1.985977f99465dp-8, 0x1.8aaa659014cfcp-8, 0x1.7d5caeff89a59p-8, 0x1.706e3c12a7cf8p-8, 0x1.63dcfafc24f7cp-8, 0x1.57a6e079cd1fdp-8, 0x1.4bc9e7f45e15ap-8, 0x1.4044139c418c1p-8, 0x1.35136c834c67dp-8, 0x1.2a3602b39e8d5p-8, 0x1.1fa9ed43c196fp-8, 0x1.156d4a682640ep-8, 0x1.0b7e3f821b493p-8, 0x1.01daf92c5ac16p-8, 0x1.f103568a959e4p-9, 0x1.dee121ee13041p-9, 0x1.cd4bd97ac326fp-9, 0x1.bc4010d37b7b4p-9, 0x1.abba6a4a6e2e6p-9, 0x1.9bb796e1a7b02p-9, 0x1.8c3456481c58bp-9, 0x1.7d2d76d374e3bp-9, 0x1.6e9fd576c4898p-9, 0x1.60885db655c07p-9, 0x1.52e40998b1ac7p-9, 0x1.45afe1950c764p-9, 0x1.38e8fc7f43039p-9, 0x1.2c8c7f718124p-9, 0x1.20979db3c6cf1p-9, 0x1.150798a159f4ep-9, 0x1.09d9bf8c5b7dep-9, 0x1.fe16df3f1f97cp-10, 0x1.e934277d0209bp-10, 0x1.d50648c82fba6p-10, 0x1.c1884eff8f2f3p-10, 0x1.aeb560a2d3df5p-10, 0x1.9c88be87c1c95p-10, 0x1.8afdc38d3bd4ap-10, 0x1.7a0fe44c4a088p-10, 0x1.69baaec741419p-10, 0x1.59f9ca173deefp-10, 0x1.4ac8f61822422p-10, 0x1.3c240b132d34fp-10, 0x1.2e06f9686f14p-10, 0x1.206dc9372b51ap-10, 0x1.13549a0549668p-10, 0x1.06b7a2660e2dbp-10, 0x1.f5265f4045969p-11, 0x1.ddc74aa6358cbp-11, 0x1.c74afa391ecbdp-11, 0x1.b1aa8c79d963p-11, 0x1.9cdf4a781634ep-11, 0x1.88e2a71b6085ap-11, 0x1.75ae3e6c1a95bp-11, 0x1.633bd4dca2175p-11, 0x1.51855692c94f1p-11, 0x1.4084d6b1cb60dp-11, 0x1.30348ea4e3314p-11, 0x1.208edd6aa4d59p-11, 0x1.118e46e14085dp-11, 0x1.032d7313ca8bcp-11, 0x1.eace5b114bcc3p-12, 0x1.d06cc9225d5aep-12, 0x1.b72c51357ae65p-12, 0x1.9f03570234b03p-12, 0x1.87e87fc4eda68p-12, 0x1.71d2b0ea078cfp-12, 0x1.5cb90ebc69892p-12, 0x1.4892fb1786e63p-12, 0x1.3558141d05961p-12, 0x1.230032ee229d8p-12, 0x1.11836a68ed2f2p-12, 0x1.00da05e973089p-12, 0x1.e1f9101de6778p-13, 0x1.c3c7530a501d9p-13, 0x1.a710afa38507bp-13, 0x1.8bc7684c33954p-13, 0x1.71de246a4cf13p-13, 0x1.5947ee1ba515dp-13, 0x1.41f82ff34acc8p-13, 0x1.2be2b2bfab79cp-13, 0x1.16fb9b5994b9fp-13, 0x1.0337687c111bp-13, 0x1.e115e14a75ef3p-14, 0x1.bdd6bfffe17bep-14, 0x1.9c9c6cad0f431p-14, 0x1.7d528a1cc8ce1p-14, 0x1.5fe55a591361cp-14, 0x1.4441bac618cb8p-14, 0x1.2a55204ed6416p-14, 0x1.120d93a380f21p-14, 0x1.f6b35b1313209p-15, 0x1.cc51267a4ba1fp-15, 0x1.a4d3e5c88fcbp-15, 0x1.801c0025c70b3p-15, 0x1.5e0ae0c0c0ef8p-15, 0x1.3e82f01c2d7ebp-15, 0x1.21678d7d63b2fp-15, 0x1.069d087c9e84cp-15, 0x1.dc11356cc6229p-16, 0x1.af20c33b77d09p-16, 0x1.8636b0ddcab4cp-16, 0x1.6122a484336b4p-16, 0x1.3fb5e87c2ef66p-16, 0x1.21c35fd3fdabp-16, 0x1.071f7b3c4daafp-16, 0x1.df405c4e00b5p-17, 0x1.b639c8447dcb7p-17, 0x1.92dcecde1115p-17, 0x1.74de43a4d07f1p-17, 0x1.5bf4f940ed523p-17, 0x1.47dada00a702bp-17, 0x1.384c3ed06558ep-17, 0x1.2d07faa1556cap-17, 0x1.25cf483cc005cp-17, 0x1.2265b8826142fp-17, 0x1.2291211006388p-17, 0x1.26198b50b211p-17, 0x1.2cc923f18c362p-17, 0x1.366c2abadcca2p-17, 0x1.42d0e2cb5b473p-17, 0x1.51c78334158f3p-17, 0x1.632227f338e01p-17, 0x1.76b4c34bfc9f5p-17, 0x1.8c550f7a15d7fp-17, 0x1.a3da80bed7fb8p-17, 0x1.bd1e37c68727ap-17, 0x1.d7faf463ffec9p-17, 0x1.f44d08a13f537p-17, 0x1.08f926117aa93p-16, 0x1.186507eed8603p-16, 0x1.285a890d7473ep-16, 0x1.38cab9662e5dp-16, 0x1.49a754161a0f1p-16, 0x1.5ae2b9d42acc5p-16, 0x1.6c6feb8badaacp-16, 0x1.7e42851adeed5p-16, 0x1.904eb834caa9bp-16, 0x1.a2894765ca5acp-16, 0x1.b4e78139d59c3p-16, 0x1.c75f3b83fc00ep-16, 0x1.d9e6cec64bf25p-16, 0x1.ec7511b97273ep-16, 0x1.ff0154f3633fep-16, 0x1.08c1af5631c15p-15, 0x1.11f9b350e0cedp-15, 0x1.1b25090acb8c8p-15, 0x1.244037f5783dp-15, 0x1.2d47fa6edaa05p-15, 0x1.36393bead69aap-15, 0x1.3f11172a074a1p-15, 0x1.47ccd47d780a4p-15, 0x1.5069e8170589fp-15, 0x1.58e5f0661c01bp-15, 0x1.613eb48089c45p-15, 0x1.697222971bf2p-15, 0x1.717e4e75bf0aap-15, 0x1.7961700edfa58p-15, 0x1.8119e211c4aefp-15, 0x1.88a6208ba0292p-15, 0x1.9004c7931539ep-15, 0x1.973491fdf41cp-15, 0x1.9e345820e9a9p-15, 0x1.a5030e98e765bp-15, 0x1.ab9fc51e03eedp-15, 0x1.b209a55f9b362p-15, 0x1.b83ff1e9714fdp-15, 0x1.be420511a053bp-15, 0x1.c40f4fef15e0dp-15, 0x1.c9a759586f424p-15, 0x1.cf09bceaf63e7p-15, 0x1.d4362a198f5cfp-15, 0x1.d92c6343633c5p-15, 0x1.ddec3cd2119cp-15, 0x1.e2759c5f3ba8dp-15, 0x1.e6c877e131ab4p-15, 0x1.eae4d4de9c756p-15, 0x1.eecac7a8e9fffp-15, 0x1.f27a729d57bdap-15, 0x1.f5f4056c68351p-15, 0x1.f937bc679b29fp-15, 0x1.fc45dfd53dd22p-15, 0x1.ff1ec34a25b1dp-15, 0x1.00e1628498aedp-14, 0x1.021926b432ac9p-14, 0x1.0336e71dbdfecp-14, 0x1.043ae121e2e9fp-14, 0x1.05255652984adp-14, 0x1.05f68c302abe7p-14, 0x1.06aecbe8b2e88p-14, 0x1.074e6219ea452p-14, 0x1.07d59e954eabbp-14, 0x1.0844d42682232p-14, 0x1.089c585bd7896p-14, 0x1.08dc8350faf0cp-14, 0x1.0905af7ba85f1p-14, 0x1.0918397a602d4p-14, 0x1.09147fe508ff1p-14, 0x1.08fae31f739d7p-14, 0x1.08cbc52db163cp-14, 0x1.0887898a2cac7p-14, 0x1.082e94fd7bad8p-14, 0x1.07c14d77d9f22p-14, 0x1.074019ec4029dp-14, 0x1.06ab622d0cf79p-14, 0x1.06038eca2f9f1p-14, 0x1.054908f0ccff7p-14, 0x1.047c3a4c50724p-14, 0x1.039d8ce8dc2p-14, 0x1.02ad6b1711f3p-14, 0x1.01ac3f51257aap-14, 0x1.009a742130448p-14, 0x1.fef0e81174defp-15, 0x1.fc8d52d2e4217p-15, 0x1.fa0afcde0604bp-15, 0x1.f76ab9f411997p-15, 0x1.f4ad5d182128cp-15, 0x1.f1d3b8694247ep-15, 0x1.eede9cfe8249fp-15, 0x1.ebcedac4e67c7p-15, 0x1.e8a5405f3c01fp-15, 0x1.e5629b07b41f4p-15, 0x1.e207b6733af7dp-15, 0x1.de955cb6742f9p-15, 0x1.db0c562c5a90dp-15, 0x1.d76d695e65e33p-15, 0x1.d3b95aee346ddp-15, 0x1.cff0ed80a33fep-15, 0x1.cc14e1aa4a6fbp-15, 0x1.c825f5dd51c98p-15, 0x1.c424e6588c46p-15, 0x1.c0126d17d4e1ap-15, 0x1.bbef41c599031p-15, 0x1.b7bc19ad8d33dp-15, 0x1.b379a7b07a262p-15, 0x1.af289c3917963p-15, 0x1.aac9a531f16cp-15, 0x1.a65d6dfc4238bp-15, 0x1.a1e49f67c2b1fp-15, 0x1.9d5fdfab5b151p-15, 0x1.98cfd25eb7284p-15, 0x1.94351874aad77p-15, 0x1.8f90503663762p-15, 0x1.8ae2153f5ad65p-15, 0x1.862b007a055dcp-15, 0x1.816ba81d315cfp-15, 0x1.7ca49faa112e1p-15, 0x1.77d677eae7745p-15, 0x1.7301bef24debep-15, 0x1.6e27001b121afp-15, 0x1.6946c4089c5cap-15, 0x1.646190a7de63bp-15, 0x1.5f77e930c25cap-15, 0x1.5a8a4e2812c22p-15, 0x1.55993d61d467dp-15, 0x1.50a532040e67dp-15, 0x1.4baea489fd6e6p-15, 0x1.46b60ac7a22c7p-15, 0x1.41bbd7edb3f35p-15, 0x1.3cc07c8de62dcp-15, 0x1.37c4669f82286p-15, 0x1.32c8018450d55p-15, 0x1.2dcbb60dc960ep-15, 0x1.28cfea8289fe1p-15, 0x1.23d502a40d973p-15, 0x1.1edb5fb49ebd5p-15, 0x1.19e3607d849a3p-15, 0x1.14ed615561f61p-15, 0x1.0ff9bc26c7673p-15, 0x1.0b08c876f119p-15, 0x1.061adb6cb0e4cp-15, 0x1.013047d77a475p-15, 0x1.f892bc6d2f8dbp-16, 0x1.eeccd980f6b9cp-16, 0x1.e50f7ed45f555p-16, 0x1.db5b3fddc411ep-16, 0x1.d1b0abaf09779p-16, 0x1.c8104d050cdp-16, 0x1.be7aaa5739fa9p-16, 0x1.b4f045e7403cdp-16, 0x1.ab719dd0e2747p-16, 0x1.a1ff2c19dfc93p-16, 0x1.989966c1f36dfp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.1a90e627ba5fep-1, 0x1.17e4b304ea35cp-1, 0x1.14ff33b28bfeap-1, 0x1.11e24f8deaa79p-1, 0x1.0e90026fb4385p-1, 0x1.0b0a596806292p-1, 0x1.07536fb460044p-1, 0x1.036d6bed727f2p-1, 0x1.feb4fad2c24e9p-2, 0x1.f639b39d27986p-2, 0x1.ed6d75a6d9c58p-2, 0x1.e454b84f8aa35p-2, 0x1.daf3f30b7f192p-2, 0x1.d14f99d07691bp-2, 0x1.c76c19cb84f12p-2, 0x1.bd4dd65e67ee7p-2, 0x1.b2f92663584b1p-2, 0x1.a87251b67e85ap-2, 0x1.9dbd8f03fc8ccp-2, 0x1.92df01d93566bp-2, 0x1.87dab8f76789cp-2, 0x1.7cb4ace524fa6p-2, 0x1.7170bebb9eba6p-2, 0x1.6612b72c2e8bap-2, 0x1.5a9e45ba1266bp-2, 0x1.4f170023f663cp-2, 0x1.438061f8a7d93p-2, 0x1.37ddcc522efe6p-2, 0x1.2c3285b291351p-2, 0x1.2081b9fd8adeap-2, 0x1.14ce7a8ad8a4p-2, 0x1.091bbe4cd330bp-2, 0x1.fad8c40f1f4cp-3, 0x1.e386512a0ff48p-3, 0x1.cc45766671c69p-3, 0x1.b51b53b3262a4p-3, 0x1.9e0cd726ff5f1p-3, 0x1.871ebdbc48adep-3, 0x1.7055940fd97c1p-3, 0x1.59b5b72178609p-3, 0x1.43435513f99dbp-3, 0x1.2d026debf172p-3, 0x1.16f6d44c7108bp-3, 0x1.01242e318cf1fp-3, 0x1.d71beb5164d59p-4, 0x1.ac6ef30e64bb8p-4, 0x1.8247bc3edaad2p-4, 0x1.58ac3bea5bb26p-4, 0x1.2fa214e3d4b72p-4, 0x1.072e9932fe198p-4, 0x1.bead9700234d2p-5, 0x1.703ec105bd912p-5, 0x1.231980ec6d10cp-5, 0x1.ae8c2241e343bp-6, 0x1.199832076a657p-6, 0x1.0ecabfc60e35ap-7, -0x1.ffcfd39b990ap-12, -0x1.291354931db0ap-7, -0x1.1e2eed09253fap-6, -0x1.a4e51a54a327ep-6, -0x1.1451a29d3f8b4p-5, -0x1.54b0bd3c9d1e7p-5, -0x1.938c5ced15ab5p-5, -0x1.d0e177c0c4995p-5, -0x1.0656bb4dd95d8p-4, -0x1.237718eb55545p-4, -0x1.3fd0f6f12b522p-4, -0x1.5b63abf646148p-4, -0x1.762ec144ce7cep-4, -0x1.9031f131b7d81p-4, -0x1.a96d257807c16p-4, -0x1.c1e0759894fcdp-4, -0x1.d98c253efa925p-4, -0x1.f070a2ac5101ep-4, -0x1.034742941a3f6p-3, -0x1.0df345bc50714p-3, -0x1.183ccd306fee3p-3, -0x1.22245d93fa569p-3, -0x1.2baa8d134e271p-3, -0x1.34d002ae926e6p-3, -0x1.3d9575888559ap-3, -0x1.45fbac393e4dap-3, -0x1.4e037c24d1f5bp-3, -0x1.55adc8d5cf7bdp-3, -0x1.5cfb835b81ce8p-3, -0x1.63eda9abe5ff1p-3, -0x1.6a854609273a5p-3, -0x1.70c36e6a9e97bp-3, -0x1.76a943e9184bfp-3, -0x1.7c37f22e55737p-3, -0x1.8170aee7968e8p-3, -0x1.8654b93b12894p-3, -0x1.8ae5594036405p-3, -0x1.8f23df7a8db71p-3, -0x1.9311a457304ccp-3, -0x1.96b007ac958d1p-3, -0x1.9a00703cbbbcep-3, -0x1.9d044b397a50cp-3, -0x1.9fbd0bcaf1592p-3, -0x1.a22c2a97fd439p-3, -0x1.a4532550a6241p-3, -0x1.a6337e3a6bbebp-3, -0x1.a7cebbbe72b63p-3, -0x1.a92667f98148ap-3, -0x1.aa3c104dc3af4p-3, -0x1.ab1144f65d689p-3, -0x1.aba7989cbdbfep-3, -0x1.ac009fefbf7cdp-3, -0x1.ac1df13c949bap-3, -0x1.ac0124097fd17p-3, -0x1.ababd0b27016ep-3, -0x1.ab1f900779d38p-3, -0x1.aa5dfaed3e606p-3, -0x1.a968a9ff4e323p-3, -0x1.a84135349742cp-3, -0x1.a6e93385e09b4p-3, -0x1.a5623a966c806p-3, -0x1.a3adde5eccb15p-3, -0x1.a1cdb0d9f7ac5p-3, -0x1.9fc341b4ac2b2p-3, -0x1.9d901dff32ac7p-3, -0x1.9b35cfe18b1d6p-3, -0x1.98b5de5214b57p-3, -0x1.9611cccebc561p-3, -0x1.934b1b18bbfb4p-3, -0x1.906344f2fbf49p-3, -0x1.8d5bc1e3196a4p-3, -0x1.8a3604f51f60dp-3, -0x1.86f37c81f9447p-3, -0x1.839591f8a6057p-3, -0x1.801da9aa302bbp-3, -0x1.7c8d22986f475p-3, -0x1.78e556479c6afp-3, -0x1.75279892a6565p-3, -0x1.7155378264fbp-3, -0x1.6d6f7b278e73ep-3, -0x1.6977a5777aa05p-3, -0x1.656ef22bac97ap-3, -0x1.615696a41a0a3p-3, -0x1.5d2fc1cc34155p-3, -0x1.58fb9c029d4d9p-3, -0x1.54bb4703889aep-3, -0x1.506fddd5be427p-3, -0x1.4c1a74ba2cbacp-3, -0x1.47bc191e0c53bp-3, -0x1.4355d18f73641p-3, -0x1.3ee89db45da0dp-3, -0x1.3a75764413438p-3, -0x1.35fd4d02d9214p-3, -0x1.31810cbfe62ep-3, -0x1.2d0199557c1d8p-3, -0x1.287fcfab2a2bbp-3, -0x1.23fc85ba0a8cdp-3, -0x1.1f788a93018ebp-3, -0x1.1af4a666dec08p-3, -0x1.16719a904be61p-3, -0x1.11f0219f7d664p-3, -0x1.0d70ef678ab1fp-3, -0x1.08f4b10d5fafcp-3, -0x1.047c0d182f6cbp-3, -0x1.0007a38353d67p-3, -0x1.f7301ba315538p-4, -0x1.ee5bbe42f8788p-4, -0x1.e5934886dc6edp-4, -0x1.dcd7c7a03d845p-4, -0x1.d42a3c81529ccp-4, -0x1.cb8b9c0eca6b2p-4, -0x1.c2fccf535757dp-4, -0x1.ba7eb3b4e521dp-4, -0x1.b2121b2b5c151p-4, -0x1.a9b7cc78bb4d9p-4, -0x1.a1708362786e5p-4, -0x1.993cf0ec00631p-4, -0x1.911dbb92313cap-4, -0x1.89137f87b3d3p-4, -0x1.811ecef21393dp-4, -0x1.7940322776c1p-4, -0x1.717827ecda74p-4, -0x1.69c725b4b66b8p-4, -0x1.622d97ddecd9bp-4, -0x1.5aabe1f2ed631p-4, -0x1.53425ee8f2813p-4, -0x1.4bf1615f3e5e2p-4, -0x1.44b933de46185p-4, -0x1.3d9a1916afd04p-4, -0x1.36944c2011e84p-4, -0x1.2fa800b760fd8p-4, -0x1.28d5637cf5352p-4, -0x1.221c9a321a8b8p-4, -0x1.1b7dc3f618737p-4, -0x1.14f8f982a148dp-4, -0x1.0e8e4d679cec6p-4, -0x1.083dcc463d4bcp-4, -0x1.02077d0b548fdp-4, -0x1.f7d6c251b9871p-5, -0x1.ebd2e99d515abp-5, -0x1.e0035e446532fp-5, -0x1.d46804eb01467p-5, -0x1.c900b8fa29a0cp-5, -0x1.bdcd4d09c49e8p-5, -0x1.b2cd8b4881f5ap-5, -0x1.a80135e1b0ecp-5, -0x1.9d680760fa1f4p-5, -0x1.9301b313f62e6p-5, -0x1.88cde5699711ap-5, -0x1.7ecc444f5c08bp-5, -0x1.74fc6f8c4e5cbp-5, -0x1.6b5e0119bede6p-5, -0x1.61f08d79c0f68p-5, -0x1.58b3a40b6347p-5, -0x1.4fa6cf5ca30ep-5, -0x1.46c9957a18e11p-5, -0x1.3e1b783c62467p-5, -0x1.359bf593460fp-5, -0x1.2d4a87ce96f5ep-5, -0x1.2526a5e4db35cp-5, -0x1.1d2fc3b7b4dap-5, -0x1.15655256171ccp-5, -0x1.0dc6c03c4a3a4p-5, -0x1.06537991c197bp-5, -0x1.fe15d0c99c30ep-6, -0x1.efd8e9c865ec5p-6, -0x1.e1ef0b2d3e714p-6, -0x1.d456ff203690bp-6, -0x1.c70f8d4ad7548p-6, -0x1.ba177b3ae9019p-6, -0x1.ad6d8cc14f589p-6, -0x1.a110844d04efep-6, -0x1.94ff234251cbcp-6, -0x1.89382a4e45a74p-6, -0x1.7dba59b6942f3p-6, -0x1.728471a5df268p-6, -0x1.6795327482db8p-6, -0x1.5ceb5cee01c8p-6, -0x1.5285b29314fe3p-6, -0x1.4862f5d885447p-6, -0x1.3e81ea62d6bb3p-6, -0x1.34e1553ee27d8p-6, -0x1.2b7ffd176db84p-6, -0x1.225caa67d8f53p-6, -0x1.197627abf9312p-6, -0x1.10cb418d2d099p-6, -0x1.085ac70cca272p-6, -0x1.002389abecbebp-6, -0x1.f048bb2198b21p-7, -0x1.e0b833532ff9ap-7, -0x1.d1932f9a02466p-7, -0x1.c2d769b0ef27p-7, -0x1.b482a1986ba12p-7, -0x1.a6929dca5f5ddp-7, -0x1.99052b69de15ap-7, -0x1.8bd81e6ef5871p-7, -0x1.7f0951cea7e4bp-7, -0x1.7296a79f3fc43p-7, -0x1.667e09391b1bep-7, -0x1.5abd675414b77p-7, -0x1.4f52ba21ab19ep-7, -0x1.443c01640b146p-7, -0x1.3977448218cfdp-7, -0x1.2f029298a1153p-7, -0x1.24dc0288c7a9ep-7, -0x1.1b01b303d9de8p-7, -0x1.1171ca949f372p-7, -0x1.082a77a646da3p-7, -0x1.fe53e11220a0ap-8, -0x1.ecdce6e98d0cap-8, -0x1.dbec8d125d202p-8, -0x1.cb7f6f98fe8fdp-8, -0x1.bb923a4ffd933p-8, -0x1.ac21a8c5b9712p-8, -0x1.9d2a8636c6266p-8, -0x1.8ea9ad7d27e79p-8, -0x1.809c08fc9616fp-8, -0x1.72fe928bf3907p-8, -0x1.65ce535c251bap-8, -0x1.590863dc6db3cp-8, -0x1.4ca9eb9c7e3fcp-8, -0x1.40b0212c583fcp-8, -0x1.351849fa2c418p-8, -0x1.29dfba2e57da1p-8, -0x1.1f03d485a4a43p-8, -0x1.14820a29ea9a9p-8, -0x1.0a57da8931aa9p-8, -0x1.0082d32b79593p-8, -0x1.ee011f0e7578fp-9, -0x1.db9d71a98ed3fp-9, -0x1.c9d60bc13c3cfp-9, -0x1.b8a675b99fb9ap-9, -0x1.a80a526318104p-9, -0x1.97fd5e99e20fep-9, -0x1.887b70e46151ap-9, -0x1.798079104a6fdp-9, -0x1.6b087fcecbf82p-9, -0x1.5d0fa64fe8334p-9, -0x1.4f9225dd1e28ep-9, -0x1.428c4f738946fp-9, -0x1.35fa8b5d9a946p-9, -0x1.29d958cc86747p-9, -0x1.1e254d718e623p-9, -0x1.12db15173d29cp-9, -0x1.07f7713ab1c43p-9, -0x1.faee714a30ba5p-10, -0x1.e6aeae0ac169ap-10, -0x1.d3299914ae0bdp-10, -0x1.c0595afa46c24p-10, -0x1.ae3843b8aa69bp-10, -0x1.9cc0c9ef05c66p-10, -0x1.8bed8a172b37p-10, -0x1.7bb945bf9df35p-10, -0x1.6c1ee2c7305d7p-10, -0x1.5d196a9a602e6p-10, -0x1.4ea409726e3d2p-10, -0x1.40ba0d96720e1p-10, -0x1.3356e69e5ba6ep-10, -0x1.267624b815327p-10, -0x1.1a1377eec6b3ep-10, -0x1.0e2aaf74512e1p-10, -0x1.02b7b8ed208bdp-10, -0x1.ef6d3f7c88d27p-11, -0x1.da4718bbffa2p-11, -0x1.c5f5874d85841p-11, -0x1.b2714c5944dbdp-11, -0x1.9fb35f2ab17e2p-11, -0x1.8db4ebe5a23cep-11, -0x1.7c6f524096f3ep-11, -0x1.6bdc244433338p-11, -0x1.5bf5250ff8cb4p-11, -0x1.4cb447a449a23p-11, -0x1.3e13adb1b524ep-11, -0x1.300da66d975d1p-11, -0x1.229cad6c08593p-11, -0x1.15bb697f209edp-11, -0x1.0964ab9b8c593p-11, -0x1.fb26db84e22fap-12, -0x1.e485a3e1386bfp-12, -0x1.cedc4225f0ab5p-12, -0x1.ba21940086d01p-12, -0x1.a64cc0eff8f3bp-12, -0x1.9355384d0506ap-12, -0x1.8132af5cb1f14p-12, -0x1.6fdd1f6d155a8p-12, -0x1.5f4cc3fc37e62p-12, -0x1.4f7a18e909f61p-12, -0x1.405dd8ae45ccfp-12, -0x1.31f0faa72b41ap-12, -0x1.242cb15df9175p-12, -0x1.170a68e40319ap-12, -0x1.0a83c5334adeep-12, -0x1.fd254132f49cdp-13, -0x1.e6621458471a2p-13, -0x1.d0b2888c43a99p-13, -0x1.bc0b861bfa149p-13, -0x1.a862560a5c948p-13, -0x1.95ac9f404667dp-13, -0x1.83e063cdb9a05p-13, -0x1.72f3fe3c0de86p-13, -0x1.62de1ef0d3e6cp-13, -0x1.5395c9a11415p-13, -0x1.451252d4b215ep-13, -0x1.374b5d79a7175p-13, -0x1.2a38d886cde33p-13, -0x1.1dd2fcadecdb5p-13, -0x1.12124a1cd0d7fp-13, -0x1.06ef864d106bdp-13, -0x1.f8c773c498a5fp-14, -0x1.e4d05d2d27be5p-14, -0x1.d1ecda6959127p-14, -0x1.c010773ff5cb1p-14, -0x1.af2f35d3743dp-14, -0x1.9f3d8ae6985dep-14, -0x1.90305a3aa226fp-14, -0x1.81fcf30689457p-14, -0x1.74990c86c4383p-14, -0x1.67fac2a509a5fp-14, -0x1.5c1892b78f45dp-14, -0x1.50e958573d6edp-14, -0x1.46644a4c5626ep-14, -0x1.3c80f7911195ep-14, -0x1.33374469ad709p-14, -0x1.2a7f679172e16p-14, -0x1.2251e77c39552p-14, -0x1.1aa797abe9271p-14, -0x1.1379961988e61p-14, -0x1.0cc148b15bf6fp-14, -0x1.06785ae1a1711p-14, -0x1.0098bb3b7d0a2p-14, -0x1.f639324b396e7p-15, -0x1.ebfcc54051f74p-15, -0x1.e27184332bf0dp-15, -0x1.d98d38a7cf6cp-15, -0x1.d1461cb402571p-15, -0x1.c992d7092f088p-15, -0x1.c26a771cc9ddp-15, -0x1.bbc4716e66c0ep-15, -0x1.b5989beac8546p-15, -0x1.afdf2a6b1e8d4p-15, -0x1.aa90ab4fbe863p-15, -0x1.a5a604359b05dp-15, -0x1.a1186ec5c9972p-15, -0x1.9ce1759e62948p-15, -0x1.98faf1541273ep-15, -0x1.955f058baf62dp-15, -0x1.92081e2b31123p-15, -0x1.8ef0eca1688fcp-15, -0x1.8c146543d77dbp-15, -0x1.896dbcc20de5p-15, -0x1.86f865adf7ac4p-15, -0x1.84b00e1883d29p-15, -0x1.82909d4215ac7p-15, -0x1.8096315e34b4dp-15, -0x1.7ebd1d69ed59fp-15, -0x1.7d01e7145f451p-15, -0x1.7b6144b8f3722p-15, -0x1.79d81b6abb454p-15, -0x1.78637d1077a24p-15, -0x1.7700a690d402fp-15, -0x1.75acfe0e56ba5p-15, -0x1.7466113296b32p-15, -0x1.73299388452dcp-15, -0x1.71f55ce397d5p-15, -0x1.70c767d8ad909p-15, -0x1.6f9dd03f7f1dp-15, -0x1.6e76d1c4f96a2p-15, -0x1.6d50c688d775ap-15, -0x1.6c2a25c7e301fp-15, -0x1.6b0182923465p-15, -0x1.69d58a8d1871dp-15, -0x1.68a504c04492ep-15, -0x1.676ed06dfd939p-15, -0x1.6631e3f5dbb37p-15, -0x1.64ed4bc1de325p-15, -0x1.63a0293d73899p-15, -0x1.6249b1d63181cp-15, -0x1.60e92e05e9ebap-15, -0x1.5f7df865d3341p-15, -0x1.5e077cca7d7d6p-15, -0x1.5c8537684a05fp-15, -0x1.5af6b400245d9p-15, -0x1.595b8d1437856p-15, -0x1.57b36b245dc2cp-15, -0x1.55fe03f210c83p-15, -0x1.543b19cb92ddfp-15, -0x1.526a7ade217a7p-15, -0x1.508c008eec1f8p-15, -0x1.4e9f8edaa0a3fp-15, -0x1.4ca513bb4c11p-15, -0x1.4a9c869463c23p-15, -0x1.4885e7a4c0042p-15, -0x1.46613f7e5059ep-15, -0x1.442e9e836338fp-15, -0x1.41ee1c694738dp-15, -0x1.3f9fd7c0203f4p-15, -0x1.3d43f57fbb55bp-15, -0x1.3adaa099405efp-15, -0x1.3864098d8bfe3p-15, -0x1.35e06608119efp-15, -0x1.334ff07e194c3p-15, -0x1.30b2e7d23497ep-15, -0x1.2e098efbc576cp-15, -0x1.2b542cb26fc9ap-15, -0x1.28930b1d569a1p-15, -0x1.25c6778600a4ep-15, -0x1.22eec20ec36aep-15, -0x1.200c3d6c93a12p-15, -0x1.1d1f3ea41dd23p-15, -0x1.1a281cca09496p-15, -0x1.172730c64421dp-15, -0x1.141cd51a40b25p-15, -0x1.110965aa07837p-15, -0x1.0ded3f8801b4ep-15, -0x1.0ac8c0c361e24p-15, -0x1.079c483918124p-15, -0x1.046835672dbccp-15, -0x1.012ce8427f1abp-15, -0x1.fbd5821d61301p-16, -0x1.f5444070a1d73p-16, -0x1.eea6cc621bc52p-16, -0x1.e7fde69bda367p-16, -0x1.e14a4f4edc094p-16, -0x1.da8cc5f70ee65p-16, -0x1.d3c60922d42dp-16, -0x1.ccf6d63defefp-16, -0x1.c61fe95fc18d5p-16, -0x1.bf41fd1c9abbcp-16, -0x1.b85dca5a1ddafp-16, -0x1.b17408267fa25p-16, -0x1.aa856b928d1d1p-16, -0x1.a392a78e5d7b7p-16, -0x1.9c9c6cc889863p-16, -0x1.95a3698fd540bp-16, -0x1.8ea849b732806p-16, -0x1.87abb67bf7bafp-16, -0x1.80ae566e403aep-16, -0x1.79b0cd5b51b3cp-16, -0x1.72b3bc39f814bp-16, -0x1.6bb7c118bc367p-16, -0x1.64bd770de4d2ep-16, -0x1.5dc5762927d53p-16, -0x1.56d05366f9fe6p-16, -0x1.4fdea0a5696a8p-16, -0x1.48f0ec9a70396p-16, -0x1.4207c2cbb1aabp-16, -0x1.3b23ab8784222p-16, -0x1.34452bdf45e9dp-16, -0x1.2d6cc5a2e37b4p-16, -0x1.269af75d802c2p-16, -0x1.1fd03c5337e24p-16, -0x1.190d0c7fe6584p-16, -0x1.1251dc96e4d2dp-16, -0x1.0b9f1e03b7c94p-16, -0x1.04f53eeb979c4p-16, -0x1.fca9545f9bbd2p-17, -0x1.ef7b8ee1b2fd7p-17, -0x1.e261f624955f7p-17, -0x1.d55d4c7ea30cp-17, -0x1.c86e4ddfe6101p-17, -0x1.bb95afddae04cp-17, -0x1.aed421bf50449p-17, -0x1.a22a4c8bf881bp-17, -0x1.9598d3197cc46p-17, -0x1.8920521c123bap-17, -0x1.7cc16036eb846p-17, -0x1.707c8e0d9c61ep-17, -0x1.645266563e928p-17, -0x1.58436dec40b34p-17, -0x1.4c5023e3dc998p-17, -0x1.4079019e1ac37p-17, -0x1.34be7add61dccp-17, -0x1.2920fdda7e2afp-17, -0x1.1da0f35a183b8p-17, -0x1.123ebec290046p-17, -0x1.06fabe3230cb9p-17, -0x1.f7aa952b66e7ep-18, -0x1.e19d6f7e0f1bp-18, -0x1.cbcea8f8ad85ep-18, -0x1.b63ed55e79c36p-18, -0x1.a0ee7ec8527c6p-18, -0x1.8bde25d3c8892p-18, -0x1.770e41d25f653p-18, -0x1.627f40f8f4d5dp-18, -0x1.4e31888f4486cp-18, -0x1.3a25751f77773p-18, -0x1.265b5aa5b5224p-18, -0x1.12d384bfa9fcep-18, -0x1.ff1c6db7ef84bp-19, -0x1.d91758d308a2ep-19, -0x1.b398320d43d46p-19, -0x1.8e9f515fff953p-19, -0x1.6a2cffdec24c7p-19, -0x1.464178141e74ep-19, -0x1.22dce65dfb208p-19, -0x1.fffed29273d99p-20, -0x1.bb5223d948fcdp-20, -0x1.77b3c8863536ap-20, -0x1.3523af09e17b2p-20, -0x1.e7435a01dd22ep-21, -0x1.665affc67ab7bp-21, -0x1.cf1b36c5733fap-22, -0x1.ab692d00664e1p-23, 0x1.f7ffcf8e6cba2p-26, 0x1.1084f5471f9f1p-22, 0x1.fd5d176151442p-22, 0x1.7305bc83762c6p-21, 0x1.e549bf1dddd3fp-21, 0x1.2abe35b324a2ap-20, 0x1.61cfdef7427c9p-20, 0x1.97daeb5f9d6dap-20, 0x1.cce07c140788ap-20, 0x1.0070e1651e77p-19, 0x1.19f0009955658p-19, 0x1.32ee4433cf008p-19, 0x1.4b6c5c2f6e768p-19, 0x1.636affaed2b03p-19, 0x1.7aeaecb78ee61p-19, 0x1.91ece7ee9c3a1p-19, 0x1.a871bc55ff25fp-19, 0x1.be7a3b0ba963cp-19, 0x1.d4073b0994dafp-19, 0x1.e91998e711ce6p-19, 0x1.fdb2369b533efp-19, 0x1.08e8fda0966a8p-18, 0x1.12bce96e03bfbp-18, 0x1.1c55570f078bdp-18, 0x1.25b2c117c59a8p-18, 0x1.2ed5a43bb7111p-18, 0x1.37be7f3289ceep-18, 0x1.406dd29d943eap-18, 0x1.48e420ede0793p-18, 0x1.5121ee4acc22bp-18, 0x1.5927c079381b5p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.234418c6ff89p-1, 0x1.225af720d817ap-1, 0x1.215d45ade04bfp-1, 0x1.204b6d6f089c2p-1, 0x1.1f25dcf535941p-1, 0x1.1ded07c7f67bfp-1, 0x1.1ca165d34c07dp-1, 0x1.1b4372dceb7a8p-1, 0x1.19d3ae011ccc2p-1, 0x1.185299370d58dp-1, 0x1.16c0b8dc4ef77p-1, 0x1.151e93473414bp-1, 0x1.136cb05faa0c7p-1, 0x1.11ab993e49d87p-1, 0x1.0fdbd7d156123p-1, 0x1.0dfdf6877068dp-1, 0x1.0c127fffda55cp-1, 0x1.0a19fec01b06fp-1, 0x1.0814fceef08b4p-1, 0x1.060404146daf6p-1, 0x1.03e79cdf2d755p-1, 0x1.01c04eee7cb35p-1, 0x1.ff1d4142b5427p-2, 0x1.faa62dd456c43p-2, 0x1.f61c6a4dde0a4p-2, 0x1.f180f9fba206p-2, 0x1.ecd4dc7ba85e5p-2, 0x1.e8190d86c9983p-2, 0x1.e34e84c1242cap-2, 0x1.de76359159bacp-2, 0x1.d9910efe0edf9p-2, 0x1.d49ffb91321ddp-2, 0x1.cfa3e140759f5p-2, 0x1.ca9da15a86621p-2, 0x1.c58e18787d509p-2, 0x1.c0761e7310e2dp-2, 0x1.bb56865b1fed1p-2, 0x1.b6301e751edd6p-2, 0x1.b103b037198f6p-2, 0x1.abd20048e027fp-2, 0x1.a69bce8621d88p-2, 0x1.a161d602265dep-2, 0x1.9c24cd0ce9fadp-2, 0x1.96e565396f123p-2, 0x1.91a44b6510996p-2, 0x1.8c6227bfb3f6ap-2, 0x1.871f9dd4b8de3p-2, 0x1.81dd4c948efdap-2, 0x1.7c9bce5edb082p-2, 0x1.775bb90d1b4d3p-2, 0x1.721d9dfdbffafp-2, 0x1.6ce20a1fa7a69p-2, 0x1.67a985fdff3aap-2, 0x1.627495cc7d5fdp-2, 0x1.5d43b973efb2fp-2, 0x1.58176c9f1cddfp-2, 0x1.52f026c7f95eap-2, 0x1.4dce5b45231d3p-2, 0x1.48b27957aed01p-2, 0x1.439cec39391acp-2, 0x1.3e8e1b2a42e1ep-2, 0x1.39866980cdd47p-2, 0x1.348636b73a7e5p-2, 0x1.2f8dde7b653dbp-2, 0x1.2a9db8bdfa33ap-2, 0x1.25b619c2002d4p-2, 0x1.20d7522c937ddp-2, 0x1.1c01af14ccd3bp-2, 0x1.17357a13cc1dcp-2, 0x1.1272f954e8624p-2, 0x1.0dba6fa5f8a73p-2, 0x1.090c1c87b2d89p-2, 0x1.04683c3e1a836p-2, 0x1.ff9e0fc1f985bp-3, 0x1.f6816ad8dafep-3, 0x1.ed7aefa28dbccp-3, 0x1.e48afe0b46e14p-3, 0x1.dbb1f02a99d39p-3, 0x1.d2f01a6437d2ep-3, 0x1.ca45cb888a927p-3, 0x1.c1b34cf51f569p-3, 0x1.b938e2b4daa78p-3, 0x1.b0d6cb9fef52cp-3, 0x1.a88d417b9374p-3, 0x1.a05c79196f1f9p-3, 0x1.9844a276b4d92p-3, 0x1.9045e8daf56eap-3, 0x1.886072f694d3bp-3, 0x1.80946300ee103p-3, 0x1.78e1d6d61911p-3, 0x1.7148e81458828p-3, 0x1.69c9ac3928abap-3, 0x1.626434bdf2ce2p-3, 0x1.5b188f345d21fp-3, 0x1.53e6c56249024p-3, 0x1.4ccedd5d65caep-3, 0x1.45d0d9a66bbfbp-3, 0x1.3eecb94401a16p-3, 0x1.382277dd38b4fp-3, 0x1.31720dd3ba81dp-3, 0x1.2adb705d9871ep-3, 0x1.245e919ec1b95p-3, 0x1.1dfb60c2230a6p-3, 0x1.17b1ca12747bdp-3, 0x1.1181b712adb6dp-3, 0x1.0b6b0e9629384p-3, 0x1.056db4d876a5ap-3, 0x1.ff131729addc9p-4, 0x1.f37ce43add127p-4, 0x1.e8188ae44a08ep-4, 0x1.dce5c0ae69116p-4, 0x1.d1e436d6d9acdp-4, 0x1.c7139a7c56fd9p-4, 0x1.bc7394c9fd939p-4, 0x1.b203cb2208018p-4, 0x1.a7c3df47eedfp-4, 0x1.9db36f89de266p-4, 0x1.93d216e9a918p-4, 0x1.8a1f6d450dd71p-4, 0x1.809b077d6e0c7p-4, 0x1.7744779ee14a4p-4, 0x1.6e1b4d06addb1p-4, 0x1.651f1489225bcp-4, 0x1.5c4f5896d1006p-4, 0x1.53aba16128797p-4, 0x1.4b3374fe6a4bap-4, 0x1.42e6578cfe6d2p-4, 0x1.3ac3cb561fc33p-4, 0x1.32cb50efe151cp-4, 0x1.2afc675e8c1e8p-4, 0x1.23568c354f714p-4, 0x1.1bd93bb647d73p-4, 0x1.1483f0f1d668p-4, 0x1.0d5625e548784p-4, 0x1.064f5398d041bp-4, 0x1.fedde4799326p-5, 0x1.f168f28c96d32p-5, 0x1.e43ebf160a71bp-5, 0x1.d75e36b8cda3ep-5, 0x1.cac6454421f74p-5, 0x1.be75d5e71e836p-5, 0x1.b26bd362b4905p-5, 0x1.a6a7283a40564p-5, 0x1.9b26bee2ad951p-5, 0x1.8fe981f026dd5p-5, 0x1.84ee5c4253c3bp-5, 0x1.7a34392f29ddep-5, 0x1.6fba04ac48711p-5, 0x1.657eab76e9b9dp-5, 0x1.5b811b3a653bcp-5, 0x1.51c042b5447f7p-5, 0x1.483b11dcf2b1ep-5, 0x1.3ef07a0001ddcp-5, 0x1.35df6de70dd5ep-5, 0x1.2d06e1f43d858p-5, 0x1.2465cc4167395p-5, 0x1.1bfb24bcdb0b5p-5, 0x1.13c5e544d85f8p-5, 0x1.0bc509c1b0e69p-5, 0x1.03f7903ea0318p-5, 0x1.f8b8f202b4965p-6, 0x1.e9e58d40b0c59p-6, 0x1.db72fc2fcec96p-6, 0x1.cd5f4dbbff177p-6, 0x1.bfa895e9cec2fp-6, 0x1.b24cedf95c47ap-6, 0x1.a54a7486f57e4p-6, 0x1.989f4da98081bp-6, 0x1.8c49a30ea7122p-6, 0x1.8047a414e151bp-6, 0x1.749785e366e2p-6, 0x1.693783800cb9fp-6, 0x1.5e25dde32f5cdp-6, 0x1.5360dc09a269bp-6, 0x1.48e6cb04c1a91p-6, 0x1.3eb5fe08ac0a4p-6, 0x1.34ccce78b5ef6p-6, 0x1.2b299bf222433p-6, 0x1.21cacc552d9a8p-6, 0x1.18aecbcc84031p-6, 0x1.0fd40cd319c21p-6, 0x1.073908388c4d2p-6, 0x1.fdb87a4818664p-7, 0x1.ed78622bbc0dep-7, 0x1.ddaedfcf0c00dp-7, 0x1.ce5917954c21dp-7, 0x1.bf743a8d38fd8p-7, 0x1.b0fd8669e93d5p-7, 0x1.a2f2457965a2ep-7, 0x1.954fce990f787p-7, 0x1.88138527f3044p-7, 0x1.7b3ad8f720bcdp-7, 0x1.6ec346382259ep-7, 0x1.62aa55699f76cp-7, 0x1.56ed9b42565c6p-7, 0x1.4b8ab89a6ffe4p-7, 0x1.407f5a5350831p-7, 0x1.35c9393dfd441p-7, 0x1.2b661a001de2cp-7, 0x1.2153ccf7bfb9cp-7, 0x1.17902e1de486dp-7, 0x1.0e1924e7f67a8p-7, 0x1.04eca42830758p-7, 0x1.f81153da23e6fp-8, 0x1.e6d67ebfda471p-8, 0x1.d624f14548029p-8, 0x1.c5f8e959466d1p-8, 0x1.b64eba4e5cf26p-8, 0x1.a722cc9215d8p-8, 0x1.98719d6335945p-8, 0x1.8a37be86ef305p-8, 0x1.7c71d5fd326b3p-8, 0x1.6f1c9db4324bep-8, 0x1.6234e33b3d301p-8, 0x1.55b7877502344p-8, 0x1.49a17e495a32cp-8, 0x1.3defce56b07f5p-8, 0x1.329f90a31df24p-8, 0x1.27adf04d51496p-8, 0x1.1d182a3d53ca2p-8, 0x1.12db8cd54529p-8, 0x1.08f577a21d5b1p-8, 0x1.fec6b6190e581p-9, 0x1.ec457013d0db7p-9, 0x1.da623f9b45769p-9, 0x1.c91866f544689p-9, 0x1.b86347aa8c043p-9, 0x1.a83e61eb63255p-9, 0x1.98a553f526673p-9, 0x1.8993d978dc3fbp-9, 0x1.7b05cb02e5f5p-9, 0x1.6cf71d63e2d2bp-9, 0x1.5f63e11addd12p-9, 0x1.524841c0d3c4ap-9, 0x1.45a08575aad77p-9, 0x1.39690c4ea8422p-9, 0x1.2d9e4fc671c4ep-9, 0x1.223ce22eb317p-9, 0x1.17416e2366bbdp-9, 0x1.0ca8b5ffda72cp-9, 0x1.026f935576935p-9, 0x1.f125ecc89d0ddp-10, 0x1.de1fcb2b1686bp-10, 0x1.cbc6f9ef61cddp-10, 0x1.ba15db79956f3p-10, 0x1.a906fb7509af9p-10, 0x1.98950dd86abf6p-10, 0x1.88baededbf1e3p-10, 0x1.79739d5e5b6a7p-10, 0x1.6aba4342da24dp-10, 0x1.5c8a2b370e62ep-10, 0x1.4edec47204975p-10, 0x1.41b3a0e2098c1p-10, 0x1.3504744cb42ecp-10, 0x1.28cd137304337p-10, 0x1.1d09733986e97p-10, 0x1.11b5a7d487e48p-10, 0x1.06cde3f83db69p-10, 0x1.f89cf01a10b1p-11, 0x1.e467a2cf3cb3fp-11, 0x1.d0f4f30a7d9bbp-11, 0x1.be3e2a979d747p-11, 0x1.ac3cc89bcb4cdp-11, 0x1.9aea80257bcfcp-11, 0x1.8a4136c403668p-11, 0x1.7a3b0326d7de9p-11, 0x1.6ad22bc46923ap-11, 0x1.5c01258879a24p-11, 0x1.4dc29289e73d4p-11, 0x1.401140c7cb635p-11, 0x1.32e828edde013p-11, 0x1.26426d2005053p-11, 0x1.1a1b57ccf908cp-11, 0x1.0e6e5a87e48e5p-11, 0x1.03370ce8ea3b6p-11, 0x1.f0e256e8e7539p-12, 0x1.dc312d12682f3p-12, 0x1.c852a2a983604p-12, 0x1.b53f019d58df6p-12, 0x1.a2eed573f2d1dp-12, 0x1.915ae959cba6cp-12, 0x1.807c463db06f1p-12, 0x1.704c30f8c6b0ap-12, 0x1.60c4288285f8fp-12, 0x1.51dde43064543p-12, 0x1.4393520109136p-12, 0x1.35de94f2ca6ebp-12, 0x1.28ba03653e2c3p-12, 0x1.1c202585aad95p-12, 0x1.100bb3c620d99p-12, 0x1.0477955f05b19p-12, 0x1.f2bdbdb5b7eecp-13, 0x1.dd79a15822d2ap-13, 0x1.c919ab993ddb7p-13, 0x1.b59504ce8d616p-13, 0x1.a2e32514710fep-13, 0x1.90fbd1c5daa62p-13, 0x1.7fd71b0604cc3p-13, 0x1.6f6d595bc34f4p-13, 0x1.5fb72b5e0ffeap-13, 0x1.50ad737168125p-13, 0x1.424955959f239p-13, 0x1.34843543bba0ep-13, 0x1.2757b35b872abp-13, 0x1.1abdac2073615p-13, 0x1.0eb035456f265p-13, 0x1.03299c0753287p-13, 0x1.f048c6ab1cb12p-14, 0x1.db3684116b086p-14, 0x1.c712424d42d05p-14, 0x1.b3d234677b212p-14, 0x1.a16ceb2280a52p-14, 0x1.8fd951cfd026bp-14, 0x1.7f0eab3df46fp-14, 0x1.6f048ebe54c27p-14, 0x1.5fb2e5423d5efp-14, 0x1.5111e68e82916p-14, 0x1.431a16852c46fp-14, 0x1.35c442848d067p-14, 0x1.29097edb38b36p-14, 0x1.1ce32450481d1p-14, 0x1.114acdbf5d312p-14, 0x1.063a55c7e02cfp-14, 0x1.f757a91dd8574p-15, 0x1.e3333b26d5f8dp-15, 0x1.cffc7b27b52b1p-15, 0x1.bda8f10a86e56p-15, 0x1.ac2e8f35bf357p-15, 0x1.9b83aebbf956p-15, 0x1.8b9f0bab44056p-15, 0x1.7c77c17b11b13p-15, 0x1.6e054797e8c22p-15, 0x1.603f6e0bf9569p-15, 0x1.531e5a43c3dap-15, 0x1.469a83edfca03p-15, 0x1.3aacb1f5e31cbp-15, 0x1.2f4df7974012ap-15, 0x1.2477b18b51303p-15, 0x1.1a23834dda7bep-15, 0x1.104b5479ad0a2p-15, 0x1.06e94e3bea25fp-15, 0x1.fbefb1baa7a87p-16, 0x1.eae332c20aa33p-16, 0x1.daa2de6fc2679p-16, 0x1.cb24e4103f51ep-16, 0x1.bc5fdf10b1157p-16, 0x1.ae4ad2dada874p-16, 0x1.a0dd26d587b5p-16, 0x1.940ea28876ea6p-16, 0x1.87d769e29ae71p-16, 0x1.7c2ff9a1ac601p-16, 0x1.711123d9eee4cp-16, 0x1.66740c9d34287p-16, 0x1.5c5226c013cc4p-16, 0x1.52a530bc6925fp-16, 0x1.496731b0214dp-16, 0x1.409276777a0d1p-16, 0x1.38218ee1c0584p-16, 0x1.300f4affc6a0ep-16, 0x1.2856b88b28ea5p-16, 0x1.20f320659f9cep-16, 0x1.19e0042f8d435p-16, 0x1.13191bf50bd94p-16, 0x1.0c9a53f0b7d34p-16, 0x1.065fca637aa6bp-16, 0x1.0065cd80b4d8ap-16, 0x1.f551b2dc0729cp-17, 0x1.ea4b2cac1214bp-17, 0x1.dfb1ad1b20bfbp-17, 0x1.d57f2994dc048p-17, 0x1.cbade4d707125p-17, 0x1.c2386ba2a2a06p-17, 0x1.b919918d13f5dp-17, 0x1.b04c6df029c71p-17, 0x1.a7cc58f80598p-17, 0x1.9f94e8cdc684dp-17, 0x1.97a1eede14a1p-17, 0x1.8fef753a824e7p-17, 0x1.8879bc14d5c33p-17, 0x1.813d37536ca7bp-17, 0x1.7a368c3daf30bp-17, 0x1.73628f3fe172p-17, 0x1.6cbe41c56dc53p-17, 0x1.6646d028da2e5p-17, 0x1.5ff98fb8b49b1p-17, 0x1.59d3fcd0a6739p-17, 0x1.53d3b905ffadp-17, 0x1.4df68967098abp-17, 0x1.483a54cc69e1ep-17, 0x1.429d223bffd8ep-17, 0x1.3d1d175c89e03p-17, 0x1.37b876f9822f8p-17, 0x1.326d9f96966ccp-17, 0x1.2d3b0a122baa6p-17, 0x1.281f48565ec53p-17, 0x1.23190417faabdp-17, 0x1.1e26fda2dff97p-17, 0x1.19480ab35eed9p-17, 0x1.147b155c08629p-17, 0x1.0fbf1af77e95ep-17, 0x1.0b132b25d308fp-17, 0x1.067666d503177p-17, 0x1.01e7ff54264f8p-17, 0x1.face6ae1d1e18p-18, 0x1.f1e6b13dda3e1p-18, 0x1.e9178c5164ba8p-18, 0x1.e05fd0d34ebf2p-18, 0x1.d7be6c2212c98p-18, 0x1.cf3262da7ab88p-18, 0x1.c6bacf7e98c04p-18, 0x1.be56e12c68806p-18, 0x1.b605da63796abp-18, 0x1.adc70fd90d2e1p-18, 0x1.a599e75a1928fp-18, 0x1.9d7dd6ba9befp-18, 0x1.957262d1c200ap-18, 0x1.8d771e8257234p-18, 0x1.858ba9cf04621p-18, 0x1.7dafb0f9e283dp-18, 0x1.75e2ebaeedad3p-18, 0x1.6e251c38e6062p-18, 0x1.66760ec031962p-18, 0x1.5ed5989359e2fp-18, 0x1.57439778baac1p-18, 0x1.4fbff109053d2p-18, 0x1.484a9212377f6p-18, 0x1.40e36e02aee15p-18, 0x1.398a7e5bfe4dp-18, 0x1.323fc22d32badp-18, 0x1.2b033d943920cp-18, 0x1.23d4f946150aap-18, 0x1.1cb5021d9ca01p-18, 0x1.15a368b0757fbp-18, 0x1.0ea040ea0982fp-18, 0x1.07aba1ac336dcp-18, 0x1.00c5a47560ac1p-18, 0x1.f3dcca17de15ep-19, 0x1.e64c025d08d73p-19, 0x1.d8d930925c01dp-19, 0x1.cb84965e16d86p-19, 0x1.be4e77b0a84d5p-19, 0x1.b1371a490335dp-19, 0x1.a43ec540e15bbp-19, 0x1.9765c0a08ed25p-19, 0x1.8aac54f9ee012p-19, 0x1.7e12cb0a538b7p-19, 0x1.71996b62edfdbp-19, 0x1.65407e1769b2dp-19, 0x1.59084a727c34ep-19, 0x1.4cf116b018d65p-19, 0x1.40fb27bcfe634p-19, 0x1.3526c0fb631eep-19, 0x1.2974240c7260ap-19, 0x1.1de3909e6a3e6p-19, 0x1.1275443f1416ap-19, 0x1.07297a3264adp-19, 0x1.f800d69a0a04dp-20, 0x1.e1f49ba5396ebp-20, 0x1.cc2eaaaf32bb4p-20, 0x1.b6af654cabcfbp-20, 0x1.a177274ec472bp-20, 0x1.8c864699951d4p-20, 0x1.77dd13005ef2ep-20, 0x1.637bd6270d52ap-20, 0x1.4f62d368b4d9p-20, 0x1.3b9247c2d5047p-20, 0x1.280a69c504de3p-20, 0x1.14cb6984cc655p-20, 0x1.01d570956fb42p-20, 0x1.de514406cadd6p-21, 0x1.b98a34a67cf8ep-21, 0x1.9555df0797b82p-21, 0x1.71b462268c8bdp-21, 0x1.4ea5d00e8d397p-21, 0x1.2c2a2deebd816p-21, 0x1.0a41743441b17p-21, 0x1.d1d71d51aebap-22, 0x1.9050b92b3c224p-22, 0x1.4fef61d382c9p-22, 0x1.10b2a4c968488p-22, 0x1.a533ef0edb00ep-23, 0x1.2b496fc9814f2p-23, 0x1.6748b1ef39913p-24, 0x1.f218515d8ade9p-26, -0x1.a6e24e4ea580dp-26, -0x1.4b7737e46137fp-24, -0x1.145d10407dcdbp-23, -0x1.80c2f49b66d9p-23, -0x1.eaefbfe109813p-23, -0x1.29730872e8ca5p-22, -0x1.5c5456b775779p-22, -0x1.8e1d40947ebcbp-22, -0x1.becf4e4de2e7bp-22, -0x1.ee6c1a0d915c7p-22, -0x1.0e7aa7ad86d75p-21, -0x1.253655491bbfap-21, -0x1.3b69fc2cc5623p-21, -0x1.51168a8c0e238p-21, -0x1.663cf635c0eadp-21, -0x1.7ade3c4eee4b9p-21, -0x1.8efb610e1abacp-21, -0x1.a2956f76aa8f2p-21, -0x1.b5ad7914a43f5p-21, -0x1.c84495b8d79ecp-21, -0x1.da5be33581283p-21, -0x1.ebf4851b77674p-21, -0x1.fd0fa477f2698p-21, -0x1.06d737c97ecb6p-20, -0x1.0ee90cd750143p-20, -0x1.16bded6362da3p-20, -0x1.1e5677a8ffd9cp-20, -0x1.25b34c0187eefp-20, -0x1.2cd50cc5b05cdp-20, -0x1.33bc5e2f38405p-20, -0x1.3a69e63b0cb1dp-20, -0x1.40de4c8bf4f22p-20, -0x1.471a3a4dbb1bp-20, -0x1.4d1e5a18d83fp-20, -0x1.52eb57d6a1a9dp-20, -0x1.5881e0a60ada4p-20, -0x1.5de2a2c0e64f3p-20, -0x1.630e4d61b2fc1p-20, -0x1.680590a9ff9ebp-20, -0x1.6cc91d894e0eap-20, -0x1.7159a5a496cdep-20, -0x1.75b7db3e491dfp-20, -0x1.79e4711eeda44p-20, -0x1.7de01a7e4c7dep-20, -0x1.81ab8aed26e5cp-20, -0x1.8547763f86bcbp-20, -0x1.88b49077961c3p-20, -0x1.8bf38db1082e8p-20, -0x1.8f05220d16c04p-20, -0x1.91ea019f07ddfp-20, -0x1.94a2e0593dcafp-20, -0x1.973071fade00cp-20, -0x1.999369fdfb9dap-20, -0x1.9bcc7b8648b6dp-20, -0x1.9ddc595057c91p-20, -0x1.9fc3b5a1640cap-20, -0x1.a183423793ff7p-20, -0x1.a31bb03ad1d0ap-20, -0x1.a48db02e15ef3p-20, -0x1.a5d9f1e1408f6p-20, -0x1.a701246361de4p-20, -0x1.a803f5f592528p-20, -0x1.a8e313fe36363p-20, -0x1.a99f2afcc6edep-20, -0x1.aa38e67e09c64p-20, -0x1.aab0f110c21efp-20, -0x1.ab07f43ad92e8p-20, -0x1.ab3e986ef0fefp-20, -0x1.ab5585026bdc3p-20, -0x1.ab4d6023e022bp-20, -0x1.ab26ced1f86d9p-20, -0x1.aae274d2b812fp-20, -0x1.aa80f4ab309cbp-20, -0x1.aa02ef9794a3ep-20, -0x1.a9690583aefacp-20, -0x1.a8b3d503baae4p-20, -0x1.a7e3fb4da07d5p-20, -0x1.a6fa143289a0bp-20, -0x1.a5f6ba18cc809p-20, -0x1.a4da85f63a421p-20, -0x1.a3a60f4ababbcp-20, -0x1.a259ec1b412fap-20, -0x1.a0f6b0ed152f4p-20, -0x1.9f7cf0c164227p-20, -0x1.9ded3d112de24p-20, -0x1.9c4825c96e6eep-20, -0x1.9a8e3947a1939p-20, -0x1.98c0045683a45p-20, -0x1.96de122b1e54cp-20, -0x1.94e8ec62186c3p-20, -0x1.92e11afd4cf5ep-20, -0x1.90c7246198a0cp-20, -0x1.8e9b8d54efc18p-20, -0x1.8c5ed8fcb3bdep-20, -0x1.8a1188dc37bd1p-20, -0x1.87b41cd38babfp-20, -0x1.8547131e755f8p-20, -0x1.82cae853ac95ap-20, -0x1.8040176438654p-20, -0x1.7da7199b1677ep-20, -0x1.7b00669d01648p-20, -0x1.784c74686c128p-20, -0x1.758bb755b4749p-20, -0x1.72bea21770c79p-20, -0x1.6fe5a5baf9ec1p-20, -0x1.6d0131a916087p-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.d278271bb556ap-3, -0x1.f5a8a6ce78ad3p-3, -0x1.0b0ee5975bf7cp-2, -0x1.19e4943649be2p-2, -0x1.2751a9e52240dp-2, -0x1.33559a8a2833ap-2, -0x1.3df2ab00b965ep-2, -0x1.472d9a0ca5104p-2, -0x1.4f0d4c44083f5p-2, -0x1.559a7c2640b73p-2, -0x1.5adf6f33f00e5p-2, -0x1.5ee7b08da7f68p-2, -0x1.61bfd160d900ap-2, -0x1.63752f39a3352p-2, -0x1.6415c029f0d4ap-2, -0x1.63afe499118ddp-2, -0x1.62523e7994a4ep-2, -0x1.600b8d9401d46p-2, -0x1.5cea908b7be13p-2, -0x1.58fdea3c12fd8p-2, -0x1.54540b1102211p-2, -0x1.4efb1df21de7ap-2, -0x1.4900f86b07ef6p-2, -0x1.42730db35380bp-2, -0x1.3b5e644482247p-2, -0x1.33cf8db0dc837p-2, -0x1.2bd2a074a275bp-2, -0x1.237333817ae62p-2, -0x1.1abc5b4a41a64p-2, -0x1.11b8a81b2ec8ep-2, -0x1.0872258ff5abbp-2, -0x1.fde4b5fcdb992p-3, -0x1.ea8499622e491p-3, -0x1.d6d4fba1ed785p-3, -0x1.c2e5e5c40d014p-3, -0x1.aec66971cec67p-3, -0x1.9a84a7a6e7fb3p-3, -0x1.862dd80125099p-3, -0x1.71ce508bfa573p-3, -0x1.5d718de9a066cp-3, -0x1.49223bbf481b3p-3, -0x1.34ea3d4d1999ep-3, -0x1.20d2b61dca923p-3, -0x1.0ce412bc43458p-3, -0x1.f24c22c0350b8p-4, -0x1.cb3f9507b288fp-4, -0x1.a4af72b3d2164p-4, -0x1.7ea7882d7fc76p-4, -0x1.59328810bce9bp-4, -0x1.345a1ae95d3a8p-4, -0x1.1026ee72ed71fp-4, -0x1.d94188a7152a9p-5, -0x1.939d0096b741bp-5, -0x1.4f6c6ba868935p-5, -0x1.0cba6a5ce45b7p-5, -0x1.97205f665d9dp-6, -0x1.17eb31e161cb7p-6, -0x1.37c511076158ap-7, -0x1.188a636b814bp-9, 0x1.49ff0efa36a19p-8, 0x1.8993daa0ba119p-7, 0x1.33c855225b72ep-6, 0x1.9f77dd4163dfep-6, 0x1.03eb8249a1c6cp-5, 0x1.3672e433ed095p-5, 0x1.6752c3f02a577p-5, 0x1.968c748bbc73ep-5, 0x1.c421dffacc7a6p-5, 0x1.f0157b4d56c09p-5, 0x1.0d351dd248792p-4, 0x1.2191c5ef0afccp-4, 0x1.3522a17535a84p-4, 0x1.47e9cd625d904p-4, 0x1.59e99400f40f3p-4, 0x1.6b2468f6bba8cp-4, 0x1.7b9ce59595a7bp-4, 0x1.8b55c56a496c8p-4, 0x1.9a51e3051aa16p-4, 0x1.a89434f83bd67p-4, 0x1.b61fcb085c47ap-4, 0x1.c2f7cb8bcc159p-4, 0x1.cf1f70f4f83ccp-4, 0x1.da9a0784fee29p-4, 0x1.e56aeb23a5c8ep-4, 0x1.ef958559e524dp-4, 0x1.f91d4b6c910c2p-4, 0x1.0102de4a692ffp-3, 0x1.0529302a252a3p-3, 0x1.09036271775d7p-3, 0x1.0c933eda674e5p-3, 0x1.0fda910b0e3bdp-3, 0x1.12db25edf3dd4p-3, 0x1.1596cb14254c6p-3, 0x1.180f4e204c83bp-3, 0x1.1a467c3a4e2bap-3, 0x1.1c3e218ad125cp-3, 0x1.1df808be4d513p-3, 0x1.1f75fa8f1f595p-3, 0x1.20b9bd564ee0ep-3, 0x1.21c514a29f3d6p-3, 0x1.2299c0d5a707ep-3, 0x1.23397ec69146dp-3, 0x1.23a6076a5c357p-3, 0x1.23e10f8143daap-3, 0x1.23ec47492b93fp-3, 0x1.23c95a34d1cd7p-3, 0x1.2379eea79a006p-3, 0x1.22ffa5b5ce307p-3, 0x1.225c1ae91cf7bp-3, 0x1.2190e40942899p-3, 0x1.209f90e8a9a92p-3, 0x1.1f89ab34f2194p-3, 0x1.1e50b64b324e3p-3, 0x1.1cf62f0fd91c5p-3, 0x1.1b7b8bca1cea7p-3, 0x1.19e23c02ce303p-3, 0x1.182ba866800dep-3, 0x1.165932aae049ep-3, 0x1.146c357734267p-3, 0x1.1266044fd8a1ap-3, 0x1.1047eb84aadbep-3, 0x1.0e13302248cfbp-3, 0x1.0bc90fe60ff66p-3, 0x1.096ac134bcd48p-3, 0x1.06f9731399d41p-3, 0x1.04764d2425af5p-3, 0x1.01e26fa219a9dp-3, 0x1.fe7de6c75fde2p-4, 0x1.f919d3b844561p-4, 0x1.f39aba407fa33p-4, 0x1.ee029fda0a6b1p-4, 0x1.e8537b603e697p-4, 0x1.e28f352483ed2p-4, 0x1.dcb7a70687923p-4, 0x1.d6ce9c8fb1dadp-4, 0x1.d0d5d311d293dp-4, 0x1.cacef9c8b9a64p-4, 0x1.c4bbb1fea4b6p-4, 0x1.be9d8f334e877p-4, 0x1.b876174577b73p-4, 0x1.b246c29ec5943p-4, 0x1.ac10fc61bed05p-4, 0x1.a5d62299d9b8p-4, 0x1.9f97866d520c6p-4, 0x1.99566c50c7621p-4, 0x1.93140c3c5bb7p-4, 0x1.8cd191e248373p-4, 0x1.86901ce6b5e12p-4, 0x1.8050c118c1684p-4, 0x1.7a1486ac8239cp-4, 0x1.73dc6a75faf37p-4, 0x1.6da95e24d0793p-4, 0x1.677c4880abae9p-4, 0x1.615605a6281aap-4, 0x1.5b37674436202p-4, 0x1.552134d9d369ep-4, 0x1.4f142bf4027e4p-4, 0x1.4911006be8534p-4, 0x1.43185ca4f8d61p-4, 0x1.3d2ae1cb1bb52p-4, 0x1.37492810b6403p-4, 0x1.3173beec8405ap-4, 0x1.2bab2d572d4a7p-4, 0x1.25eff2088721cp-4, 0x1.204283b4704c1p-4, 0x1.1aa3514735c15p-4, 0x1.1512c22173d1dp-4, 0x1.0f913653659cep-4, 0x1.0a1f06d792db5p-4, 0x1.04bc85ccd38cdp-4, 0x1.fed3fd5f379b1p-5, 0x1.f44f6d250d611p-5, 0x1.e9ebd8ac2c2afp-5, 0x1.dfa9b1bf3c518p-5, 0x1.d5895e9ea99e4p-5, 0x1.cb8b3a6aff6cbp-5, 0x1.c1af958d6cf91p-5, 0x1.b7f6b61e6e57ep-5, 0x1.ae60d84a887e9p-5, 0x1.a4ee2eb5169adp-5, 0x1.9b9ee2d91aa5ep-5, 0x1.927315680cfaep-5, 0x1.896adea6a5a94p-5, 0x1.80864ec79c583p-5, 0x1.77c56e4455efap-5, 0x1.6f283e3384f44p-5, 0x1.66aeb89db3c97p-5, 0x1.5e58d0cfbe7bbp-5, 0x1.562673ab36cb8p-5, 0x1.4e1787f4b658p-5, 0x1.462beea02213cp-5, 0x1.3e63831adb24dp-5, 0x1.36be1b93e656ap-5, 0x1.2f3b89420cecfp-5, 0x1.27db98a7f6259p-5, 0x1.209e11d642e6ap-5, 0x1.1982b8abb13cbp-5, 0x1.12894d13458aap-5, 0x1.0bb18b408b5dbp-5, 0x1.04fb2be9ea614p-5, 0x1.fccbc902334b3p-6, 0x1.efe2ced373584p-6, 0x1.e33ac85c3397p-6, 0x1.d6d30f64685cap-6, 0x1.caaaf8c9c5112p-6, 0x1.bec1d4deb3e1fp-6, 0x1.b316efc5e595fp-6, 0x1.a7a991ca86e1fp-6, 0x1.9c78ffb53492fp-6, 0x1.91847b1dba83bp-6, 0x1.86cb42b9afaacp-6, 0x1.7c4c92a800231p-6, 0x1.7207a4b978e44p-6, 0x1.67fbb0b6660d1p-6, 0x1.5e27eca156c0ep-6, 0x1.548b8cf713f63p-6, 0x1.4b25c4ebe16eep-6, 0x1.41f5c6a618568p-6, 0x1.38fac3762dd07p-6, 0x1.3033ec0c35a76p-6, 0x1.27a070aaf367cp-6, 0x1.1f3f8158911fdp-6, 0x1.17104e0cfc784p-6, 0x1.0f1206de13a9cp-6, 0x1.0743dc29992bp-6, 0x1.ff49fd7a309c4p-7, 0x1.f0693ff76789dp-7, 0x1.e1e3e403fa052p-7, 0x1.d3b84f8fcc22dp-7, 0x1.c5e4ea819a53bp-7, 0x1.b8681ef38ea98p-7, 0x1.ab40596c52ccap-7, 0x1.9e6c0914c4a15p-7, 0x1.91e99fea793d9p-7, 0x1.85b792ef12685p-7, 0x1.79d45a549c1d9p-7, 0x1.6e3e71a6f64fap-7, 0x1.62f457f27abf8p-7, 0x1.57f48fe7eb973p-7, 0x1.4d3d9ffdcf5cep-7, 0x1.42ce128f3f74cp-7, 0x1.38a475f863bd1p-7, 0x1.2ebf5cb09025ep-7, 0x1.251d5d623346fp-7, 0x1.1bbd1300a2e55p-7, 0x1.129d1cdbdec28p-7, 0x1.09bc1eb26111dp-7, 0x1.0118c0c10e2acp-7, 0x1.f1635fa2b90e1p-8, 0x1.e10b3a8b8a736p-8, 0x1.d1267e4924d2bp-8, 0x1.c1b2a0423b59p-8, 0x1.b2ad1f4722d75p-8, 0x1.a413839e7ca22p-8, 0x1.95e35f0f2ac2ep-8, 0x1.881a4ce7b49b8p-8, 0x1.7ab5f20332c7ap-8, 0x1.6db3fccbea35bp-8, 0x1.6112253bb0a31p-8, 0x1.54ce2cda36129p-8, 0x1.48e5deb954bb2p-8, 0x1.3d570f6f7c439p-8, 0x1.321f9d1056f96p-8, 0x1.273d6f23c32fbp-8, 0x1.1cae769b323adp-8, 0x1.1270adc58f5e6p-8, 0x1.08821841bac92p-8, 0x1.fdc185df6bc8bp-9, 0x1.eb1587c123b44p-9, 0x1.d8fc748a707f3p-9, 0x1.c7729cb837ebbp-9, 0x1.b67462bbd60d7p-9, 0x1.a5fe3ad29d701p-9, 0x1.960caadb9ba32p-9, 0x1.869c4a2bbf71p-9, 0x1.77a9c1608679p-9, 0x1.6931ca3145e02p-9, 0x1.5b312f3f3731ap-9, 0x1.4da4cbe45f631p-9, 0x1.40898c016680ep-9, 0x1.33dc6bca81cabp-9, 0x1.279a779386333p-9, 0x1.1bc0cb9b3306fp-9, 0x1.104c93d5d711ep-9, 0x1.053b0bb75a64bp-9, 0x1.f512fbf991bfdp-10, 0x1.e06a88ead730ep-10, 0x1.cc778f970ab13p-10, 0x1.b934fe9985236p-10, 0x1.a69de164dea38p-10, 0x1.94ad5fd3017ffp-10, 0x1.835ebdb502a6ep-10, 0x1.72ad5a62d96ccp-10, 0x1.6294b04b1e13dp-10, 0x1.53105482ccd57p-10, 0x1.441bf65546d73p-10, 0x1.35b35ed48eccap-10, 0x1.27d27069de8b4p-10, 0x1.1a752666a8b48p-10, 0x1.0d9794961f3adp-10, 0x1.0135e6cf44f34p-10, 0x1.ea98c10f4424cp-11, 0x1.d3aeb8cd534c7p-11, 0x1.bda697b3bcb67p-11, 0x1.a8796d5387358p-11, 0x1.9420751f4e1f3p-11, 0x1.809515989e586p-11, 0x1.6dd0df7f3258p-11, 0x1.5bcd8d021f94ep-11, 0x1.4a8500f30a18p-11, 0x1.39f145fb6bee6p-11, 0x1.2a0c8dd404858p-11, 0x1.1ad1307e780dbp-11, 0x1.0c39ab81323fdp-11, 0x1.fc81424b261bfp-12, 0x1.e1c1af70e1e9bp-12, 0x1.c82a7199f947p-12, 0x1.afb1a10416c1cp-12, 0x1.984d9993a107cp-12, 0x1.81f4f9681898dp-12, 0x1.6c9e9f756a95ep-12, 0x1.5841aa2245bcep-12, 0x1.44d575eb6fc49p-12, 0x1.32519c0c2b4ddp-12, 0x1.20adf12babb7dp-12, 0x1.0fe2840fa04b4p-12, 0x1.ffcf38a79f124p-13, 0x1.e16b724d99073p-13, 0x1.c48b201781b77p-13, 0x1.a920174290766p-13, 0x1.8f1c94dabffd5p-13, 0x1.76733b5cc2506p-13, 0x1.5f1710620be71p-13, 0x1.48fb7a56ddc6bp-13, 0x1.34143e3a4da83p-13, 0x1.20557d683dc07p-13, 0x1.0db3b36d24a3ap-13, 0x1.f84767c760274p-14, 0x1.d73550b82991fp-14, 0x1.b81c1c9a14a09p-14, 0x1.9ae76a1cb46d5p-14, 0x1.7f8377b9d26c1p-14, 0x1.65dd1fd053123p-14, 0x1.4de1d4d1bbcfp-14, 0x1.377f9d8229afcp-14, 0x1.22a5114a8a368p-14, 0x1.0f41549ce2dcfp-14, 0x1.fa882ad4ef6bfp-15, 0x1.d93b0f573137ep-15, 0x1.ba7cc3f1c77c6p-15, 0x1.9e2fb46b8df1ap-15, 0x1.843744981379bp-15, 0x1.6c77c9f04b6b8p-15, 0x1.56d6854c7ab5p-15, 0x1.43399cbedfd88p-15, 0x1.3188158eb3c5fp-15, 0x1.21a9ce5307438p-15, 0x1.1387792d129c6p-15, 0x1.070a962180b03p-15, 0x1.f83adb20865d3p-16, 0x1.e5561594fdb62p-16, 0x1.d53e6d8c3b4aep-16, 0x1.c7cce5dd1bc64p-16, 0x1.bcdbe8248c5bbp-16, 0x1.b4473ad9210d6p-16, 0x1.adebf79666594p-16, 0x1.a9a8819f01f48p-16, 0x1.a75c7c94bee0dp-16, 0x1.a6e8c365aed9ap-16, 0x1.a82f5f6d6d8a7p-16, 0x1.ab137fc9c01edp-16, 0x1.af7970e195b04p-16, 0x1.b546941da99fp-16, 0x1.bc6157d1da0a7p-16, 0x1.c4b12f565dd8p-16, 0x1.ce1e8b500da38p-16, 0x1.d892d226d9bbfp-16, 0x1.e3f858a9a7bc6p-16, 0x1.f03a5adec1be5p-16, 0x1.fd44f5000857bp-16, 0x1.05828e510b924p-15, 0x1.0cb44d02cbef1p-15, 0x1.142f00c8fc65cp-15, 0x1.1bea56bc5d4f2p-15, 0x1.23de5bc04d31ap-15, 0x1.2c03797be8532p-15, 0x1.3452736652b0fp-15, 0x1.3cc463e5d1945p-15, 0x1.4552b9814f84bp-15, 0x1.4df73423f92bdp-15, 0x1.56abe2728ded5p-15, 0x1.5f6b1f32109bcp-15, 0x1.682f8ebf7f4d8p-15, 0x1.70f41c98355d4p-15, 0x1.79b3f8f2ab346p-15, 0x1.826a966733acdp-15, 0x1.8b13a7a86b611p-15, 0x1.93ab1d4b06b18p-15, 0x1.9c2d239ca6f06p-15, 0x1.a49620896cda2p-15, 0x1.ace2b18ff9726p-15, 0x1.b50fa9c387e17p-15, 0x1.bd1a0fdbdf1d9p-15, 0x1.c4ff1c52c5fbp-15, 0x1.ccbc378eb4d31p-15, 0x1.d44ef81a7ae69p-15, 0x1.dbb520e98d424p-15, 0x1.e2ec9fa8bbc6dp-15, 0x1.e9f38b1b04a1cp-15, 0x1.f0c821824108fp-15, 0x1.f768c7136b196p-15, 0x1.fdd404763695fp-15, 0x1.020442a7df754p-14, 0x1.05028b6c03e64p-14, 0x1.07e4533d09cafp-14, 0x1.0aa9203f27c9cp-14, 0x1.0d50875f8e239p-14, 0x1.0fda2bb398bd1p-14, 0x1.1245bddcd5201p-14, 0x1.1492fb71bb4f1p-14, 0x1.16c1ae6b00eafp-14, 0x1.18d1ac9569aacp-14, 0x1.1ac2d707f7c74p-14, 0x1.1c95199e657b2p-14, 0x1.1e486a77ca0a9p-14, 0x1.1fdcc97951d4ap-14, 0x1.21523fd4ef4d4p-14, 0x1.22a8df93eeb96p-14, 0x1.23e0c3254f4ebp-14, 0x1.24fa0cefcefbep-14, 0x1.25f4e6e78e01ap-14, 0x1.26d1822734337p-14, 0x1.2790168c82151p-14, 0x1.2830e2583697p-14, 0x1.28b429d134e87p-14, 0x1.291a36ead3229p-14, 0x1.296358ee3f99dp-14, 0x1.298fe426e5c8p-14, 0x1.29a03191c0ca3p-14, 0x1.29949e8f87178p-14, 0x1.296d8c999a5dfp-14, 0x1.292b60f9ad1a7p-14, 0x1.28ce848406545p-14, 0x1.28576354556ddp-14, 0x1.27c66c8d01dd6p-14, 0x1.271c1218e63dp-14, 0x1.2658c86f66d45p-14, 0x1.257d065ad0b4ap-14, 0x1.248944c0f386dp-14, 0x1.237dfe6de3d99p-14, 0x1.225bafe0d89bbp-14, 0x1.2122d71b135d2p-14, 0x1.1fd3f370c34f3p-14, 0x1.1e6f855bd7a9ap-14, 0x1.1cf60e50aee7ap-14, 0x1.1b68109499ab8p-14, 0x1.19c60f161eea6p-14, 0x1.18108d46f7d31p-14, 0x1.16480ef7b5348p-14, 0x1.146d1834ff14cp-14, 0x1.12802d26679fcp-14, 0x1.1081d1eebf697p-14, 0x1.0e728a8de3a19p-14, 0x1.0c52dac3f6e88p-14, 0x1.0a2345f5fcaa5p-14, 0x1.07e44f13ca631p-14, 0x1.0596787f43feap-14, 0x1.033a43f4d8e01p-14, 0x1.00d0327537a86p-14, 0x1.fcb188605d4e3p-15, 0x1.f7a8f0e15ca45p-15, 0x1.f2879b13cb563p-15, 0x1.ed4e818adc98fp-15, 0x1.e7fe9ca4fd82ap-15, 0x1.e298e26c372bdp-15, 0x1.dd1e4678795dbp-15, 0x1.d78fb9d3c1318p-15, 0x1.d1ee2ae008881p-15, 0x1.cc3a853eec55bp-15, 0x1.c675b1bb00c16p-15, 0x1.c0a09632bd787p-15, 0x1.babc1584f5f78p-15, 0x1.b4c90f7ed12b6p-15, 0x1.aec860cb2e0bbp-15, 0x1.a8bae2e36c2b5p-15, 0x1.a2a16c0187ae2p-15, 0x1.9c7ccf137ee79p-15, 0x1.964ddbafeffc7p-15, 0x1.90155e0be9d76p-15, 0x1.89d41ef1dca08p-15, 0x1.838ae3b9a2de7p-15, 0x1.7d3a6e4198cf5p-15, 0x1.76e37ce8b2d6bp-15, 0x1.7086ca898d3d7p-15, 0x1.6a250e766621bp-15, 0x1.63befc75fc8b2p-15, 0x1.5d5544c14697p-15, 0x1.56e89401f9543p-15, 0x1.50799351d441ep-15, 0x1.4a08e83aae486p-15, 0x1.439734b73397dp-15, 0x1.3d25173453b61p-15, 0x1.36b32a9352657p-15, 0x1.3042062c748d4p-15, 0x1.29d23dd245e53p-15, 0x1.236461d567e59p-15, 0x1.1cf8ff08eab58p-15, 0x1.16909ec724eb2p-15, 0x1.102bc6f7045a4p-15, 0x1.09cafa11d1758p-15, 0x1.036eb72960367p-15, 0x1.fa2ef3dd4b15cp-16, 0x1.ed8b75715ef4cp-16, 0x1.e0f3dd17ec929p-16, 0x1.d4690e440998bp-16, 0x1.c7ebe5e2dfffbp-16, 0x1.bb7d3a6c31adfp-16, 0x1.af1ddbf36c33p-16, 0x1.a2ce94393d7ffp-16, 0x1.969026bda2656p-16, 0x1.8a6350d264c2fp-16, 0x1.7e48c9ae0513ep-16, 0x1.7241427eff7f2p-16, 0x1.664d667f70052p-16, 0x1.5a6ddb0900e5ep-16, 0x1.4ea33fa924afcp-16, 0x1.42ee2e359299cp-16, 0x1.374f3ae100d5ap-16, 0x1.2bc6f4500f296p-16, 0x1.2055e3ae63414p-16, 0x1.14fc8cc3ed5b8p-16, 0x1.09bb6e0a526cdp-16, 0x1.fd260184d7c54p-17, 0x1.e7077213d3f77p-17, 0x1.d11c0be203515p-17, 0x1.bb64a320548c5p-17, 0x1.a5e2023bd2111p-17, 0x1.9094ea09375d6p-17, 0x1.7b7e11f08d9e6p-17, 0x1.669e2818c5699p-17, 0x1.51f5d19337f56p-17, 0x1.3d85aa8721facp-17, 0x1.294e465cf4a66p-17, 0x1.15502fe988ff4p-17, 0x1.018be99928c92p-17, 0x1.dc03db34d292fp-18, 0x1.b5655c119bf91p-18, 0x1.8f3d2a2e65057p-18, 0x1.698c0a73e689ap-18, 0x1.4452b2a1a425cp-18, 0x1.1f91c9a12081bp-18, 0x1.f693cfb0ee127p-19, 0x1.aef72ef8a2b96p-19, 0x1.684ea9c26286ap-19, 0x1.229b1d980cefep-19, 0x1.bbba9b082c855p-20, 0x1.342bc55f883ap-20, 0x1.5d15b3ff55999p-21, 0x1.56c63af9b2405p-23, -0x1.5ba6d0aca8922p-22, -0x1.ad78127261519p-21, -0x1.549dd628d4ea8p-20, -0x1.d08ee5f39797bp-20, -0x1.25479784ad4b8p-19, -0x1.614f6917667dcp-19, -0x1.9c5f0cafb781p-19, -0x1.d676bb59a881cp-19, -0x1.07cb60d21ea53p-18, -0x1.23dfbf8c04821p-18, -0x1.3f78b2d7d5b12p-18, -0x1.5a967ca914fa7p-18, -0x1.753967a79d7c7p-18, -0x1.8f61c6eebc353p-18, -0x1.a90ff5cd40456p-18, -0x1.c24457868313ep-18, -0x1.daff57146852dp-18, -0x1.f34166ea56c1dp-18, -0x1.0585805c9443fp-17, -0x1.112e529a0a4acp-17, -0x1.1c9b6deb48f57p-17, -0x1.27cd195597ca6p-17, -0x1.32c39f09b2fcfp-17, -0x1.3d7f4c48302ap-17, -0x1.480071465c473p-17, -0x1.5247611395399p-17, -0x1.5c54717f1e59cp-17, -0x1.6627fafe6adb6p-17, -0x1.6fc25893e526fp-17, -0x1.7923e7b62b394p-17, -0x1.824d0837c2a0cp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.ab71085d3c9d9p-3, -0x1.d0d6c1a3c2618p-3, -0x1.f4e2dee6a4952p-3, -0x1.0bc3749750414p-2, -0x1.1c5b99b9d9ea5p-2, -0x1.2c3558d36c481p-2, -0x1.3b4d66050521bp-2, -0x1.49a198324e109p-2, -0x1.5730d129954c4p-2, -0x1.63fae5d7d17e5p-2, -0x1.700086ead8db3p-2, -0x1.7b432a2cb923cp-2, -0x1.85c4f4cfd6465p-2, -0x1.8f88a6d395f9ap-2, -0x1.9891879c48406p-2, -0x1.a0e353ce589a4p-2, -0x1.a8822c741d698p-2, -0x1.af72876eb3f21p-2, -0x1.b5b9212ccf292p-2, -0x1.bb5aef9e3cf2bp-2, -0x1.c05d1657b12bep-2, -0x1.c4c4dbd82b04cp-2, -0x1.c8979fdfd74b8p-2, -0x1.cbdad2c76299p-2, -0x1.ce93edc659ddep-2, -0x1.d0c86c17344adp-2, -0x1.d27dc4e7f58eap-2, -0x1.d3b96606e4224p-2, -0x1.d480af3b76eb5p-2, -0x1.d4d8ee3c806dap-2, -0x1.d4c75b3569d7ep-2, -0x1.d45115cd42fa2p-2, -0x1.d37b22a356325p-2, -0x1.d24a6935d015p-2, -0x1.d0c3b227efbeep-2, -0x1.ceeba5de06f36p-2, -0x1.ccc6cb666054p-2, -0x1.ca5987a6d8f0bp-2, -0x1.c7a81cc7b9c2bp-2, -0x1.c4b6a9d4f5cfp-2, -0x1.c1892a8f9386ep-2, -0x1.be237769983eep-2, -0x1.ba8945a74585dp-2, -0x1.b6be27a0ff2b8p-2, -0x1.b2c58d218e042p-2, -0x1.aea2c3dceb849p-2, -0x1.aa58f7fc12d26p-2, -0x1.a5eb34baae092p-2, -0x1.a15c6513c2fe5p-2, -0x1.9caf547ad3491p-2, -0x1.97e6af9f1656bp-2, -0x1.93050536c14ddp-2, -0x1.8e0cc6d07ab79p-2, -0x1.890049a953bb1p-2, -0x1.83e1c785cdfedp-2, -0x1.7eb35f8c98e86p-2, -0x1.79771721e4646p-2, -0x1.742edac24073dp-2, -0x1.6edc7edc261ddp-2, -0x1.6981c0a767d1cp-2, -0x1.642046f9d6a9ep-2, -0x1.5eb9a31892758p-2, -0x1.594f518585e07p-2, -0x1.53e2bac8a4497p-2, -0x1.4e7534349a1d2p-2, -0x1.490800a6a723ep-2, -0x1.439c51416f4e1p-2, -0x1.3e3346229592dp-2, -0x1.38cdef130b545p-2, -0x1.336d4c31fb384p-2, -0x1.2e124e9a48db8p-2, -0x1.28bdd902a641dp-2, -0x1.2370c05843d8dp-2, -0x1.1e2bcc542368bp-2, -0x1.18efb80b27754p-2, -0x1.13bd3278ed222p-2, -0x1.0e94df058e11fp-2, -0x1.097756066908cp-2, -0x1.0465253a0831fp-2, -0x1.febda07ea2e8p-3, -0x1.f4c9a21034a8ep-3, -0x1.eaef308e90a76p-3, -0x1.e12f1bb5401cp-3, -0x1.d78a2260d1e8ap-3, -0x1.ce00f352151e4p-3, -0x1.c4942de98f974p-3, -0x1.bb4462db7e0f6p-3, -0x1.b21214dca1733p-3, -0x1.a8fdb9481fc6p-3, -0x1.a007b8bec524ep-3, -0x1.97306fbfdef4ap-3, -0x1.8e782f3c0226dp-3, -0x1.85df3d21e6cf3p-3, -0x1.7d65d4e5a9f5cp-3, -0x1.750c2802ad0f8p-3, -0x1.6cd25e7840dbep-3, -0x1.64b8974165896p-3, -0x1.5cbee8c7c350fp-3, -0x1.54e56152191a8p-3, -0x1.4d2c076e518bdp-3, -0x1.4592da576372dp-3, -0x1.3e19d25734152p-3, -0x1.36c0e124a2f8ep-3, -0x1.2f87f23dded31p-3, -0x1.286eeb3f3941p-3, -0x1.2175ac368bc85p-3, -0x1.1a9c0ff362007p-3, -0x1.13e1ec53fe045p-3, -0x1.0d47128f57b68p-3, -0x1.06cb4f7c3844ap-3, -0x1.006e6bd590b41p-3, -0x1.f46058f8385c7p-4, -0x1.e820a56adef0fp-4, -0x1.dc1d38d11c735p-4, -0x1.d05588b02d866p-4, -0x1.c4c904b449d2fp-4, -0x1.b977171be96eap-4, -0x1.ae5f251ebcfdcp-4, -0x1.a3808f508f18cp-4, -0x1.98dab20012d44p-4, -0x1.8e6ce591da2dfp-4, -0x1.84367ed794356p-4, -0x1.7a36cf63a5c3fp-4, -0x1.706d25d948ebcp-4, -0x1.66d8ce394a296p-4, -0x1.5d79122b80e66p-4, -0x1.544d39451f186p-4, -0x1.4b54894bf2059p-4, -0x1.428e4676ad57ep-4, -0x1.39f9b3aa594b8p-4, -0x1.319612b4fb05ap-4, -0x1.2962a4858f86bp-4, -0x1.215ea9616c656p-4, -0x1.198961171e995p-4, -0x1.11e20b2edbeaap-4, -0x1.0a67e71897e9bp-4, -0x1.031a3457d4e36p-4, -0x1.f7f0655a803f3p-5, -0x1.ea02447c5988ap-5, -0x1.dc688774027c5p-5, -0x1.cf21b0fb4b367p-5, -0x1.c22c456a0cbefp-5, -0x1.b586caf576416p-5, -0x1.a92fc9ebc3f4ep-5, -0x1.9d25ccec7d9c2p-5, -0x1.9167611d5ae01p-5, -0x1.85f3165befa5fp-5, -0x1.7ac77f6c3630fp-5, -0x1.6fe332241d0f9p-5, -0x1.6544c7942ac6ap-5, -0x1.5aeadc2d5ac28p-5, -0x1.50d40fe44742ep-5, -0x1.46ff0651bfebfp-5, -0x1.3d6a66d0dffc6p-5, -0x1.3414dc9ac3d2cp-5, -0x1.2afd16dfedf1bp-5, -0x1.2221c8df78b6dp-5, -0x1.1981a9fc292ccp-5, -0x1.111b75cf786e2p-5, -0x1.08edec3aaa1ebp-5, -0x1.00f7d17604089p-5, -0x1.f26fdc3c7ac3ap-6, -0x1.e35a1e806b1ffp-6, -0x1.d4ac0cc61344fp-6, -0x1.c66353213435dp-6, -0x1.b87da6b92049bp-6, -0x1.aaf8c5d3f182fp-6, -0x1.9dd277df095c4p-6, -0x1.91088d74f84e1p-6, -0x1.8498e060f0ef3p-6, -0x1.7881539fecb0cp-6, -0x1.6cbfd35f8aa71p-6, -0x1.615254fae42f5p-6, -0x1.5636d6f55af7fp-6, -0x1.4b6b60f385016p-6, -0x1.40ee03b256437p-6, -0x1.36bcd8fc96bd3p-6, -0x1.2cd6039ecaef9p-6, -0x1.2337af5996803p-6, -0x1.19e010d2c288fp-6, -0x1.10cd6584eb191p-6, -0x1.07fdf3adfe202p-6, -0x1.fee0147911e57p-7, -0x1.ee44017800132p-7, -0x1.de246e7fff252p-7, -0x1.ce7e2c9d52d76p-7, -0x1.bf4e1d94410f4p-7, -0x1.b09133b28704fp-7, -0x1.a244719f5811ap-7, -0x1.9464ea2a07e69p-7, -0x1.86efc0178797cp-7, -0x1.79e225eeca946p-7, -0x1.6d395dc436bdep-7, -0x1.60f2b9042ade7p-7, -0x1.550b983cc2e88p-7, -0x1.49816ae6f623fp-7, -0x1.3e51af2f1285ap-7, -0x1.3379f1bcb981dp-7, -0x1.28f7cd7a76f9p-7, -0x1.1ec8eb5cf84dap-7, -0x1.14eb022a019c1p-7, -0x1.0b5bd63f2e97dp-7, -0x1.0219395891ea3p-7, -0x1.f24214ae81295p-8, -0x1.e0e26a0fb8f61p-8, -0x1.d00f63d252f7bp-8, -0x1.bfc50be578dc3p-8, -0x1.afff84b79ff51p-8, -0x1.a0bb08c49a7fcp-8, -0x1.91f3ea24211ep-8, -0x1.83a69218f32d6p-8, -0x1.75cf80a0978fbp-8, -0x1.686b4c03dc028p-8, -0x1.5b76a0681ae69p-8, -0x1.4eee3f615ed5bp-8, -0x1.42ceff85701fap-8, -0x1.3715cbffdb622p-8, -0x1.2bbfa426ff074p-8, -0x1.20c99b122aebp-8, -0x1.1630d730de444p-8, -0x1.0bf291e32e81fp-8, -0x1.020c17135e26bp-8, -0x1.f0f589a1624aap-9, -0x1.de7815d7031e1p-9, -0x1.cc9ad5253a096p-9, -0x1.bb58ebe3eb3b4p-9, -0x1.aaad9fa54806ep-9, -0x1.9a9456788e4adp-9, -0x1.8b08962f80c63p-9, -0x1.7c0603a6a93ffp-9, -0x1.6d88621063603p-9, -0x1.5f8b9242b54c1p-9, -0x1.520b920804a7dp-9, -0x1.45047b7299eb8p-9, -0x1.38728433076f5p-9, -0x1.2c51fcf163dbdp-9, -0x1.209f50a966a16p-9, -0x1.155704095bc3dp-9, -0x1.0a75b4d3f5bd2p-9, -0x1.fff03289ee893p-10, -0x1.ebb5fef16574bp-10, -0x1.d83699acc0afdp-10, -0x1.c56bfafa8206ap-10, -0x1.b35047691dc99p-10, -0x1.a1ddcebc70be2p-10, -0x1.910f0ad8aead5p-10, -0x1.80de9eb2d5f3ap-10, -0x1.714755468e2cdp-10, -0x1.624420916598dp-10, -0x1.53d0189364382p-10, -0x1.45e67a54ea7dbp-10, -0x1.3882a6f1bf708p-10, -0x1.2ba022a94bfbep-10, -0x1.1f3a93f3f16bap-10, -0x1.134dc29d67efdp-10, -0x1.07d596e413241p-10, -0x1.f99c313a888bbp-11, -0x1.e466dcbc9b025p-11, -0x1.d003b954c2bc9p-11, -0x1.bc6b8a4a4504ap-11, -0x1.a9974b93acf1bp-11, -0x1.9780304e54d3ep-11, -0x1.861fa13ee922ap-11, -0x1.756f3b5ac5dbap-11, -0x1.6568ce5a063bap-11, -0x1.56065b522304bp-11, -0x1.47421358fb109p-11, -0x1.3916563020941p-11, -0x1.2b7db0f84491cp-11, -0x1.1e72dcec9eef7p-11, -0x1.11f0be262b19p-11, -0x1.05f26266959bep-11, -0x1.f4e5ffd56c849p-12, -0x1.dedbe888e4d59p-12, -0x1.c9bd8677c5d46p-12, -0x1.b5822b6f309d1p-12, -0x1.a2217157b7ed5p-12, -0x1.8f93382194d45p-12, -0x1.7dcfa3be3e9fcp-12, -0x1.6ccf1a27306eap-12, -0x1.5c8a417185f12p-12, -0x1.4cf9fdee37f11p-12, -0x1.3e177056aec6ep-12, -0x1.2fdbf40568fafp-12, -0x1.22411d3a73ddep-12, -0x1.1540b76b7866ep-12, -0x1.08d4c39f1360fp-12, -0x1.f9eeeda68cee9p-13, -0x1.e34670dd686dbp-13, -0x1.cda54178edaa7p-13, -0x1.b900eee497dc6p-13, -0x1.a54f6481c027p-13, -0x1.9286e6dbe9a84p-13, -0x1.809e10f06eb18p-13, -0x1.6f8bd188f9a52p-13, -0x1.5f4768a873029p-13, -0x1.4fc86509eb054p-13, -0x1.4106a1b111dc9p-13, -0x1.32fa438bda7fbp-13, -0x1.259bb724d6a12p-13, -0x1.18e3ae65e9934p-13, -0x1.0ccb1e6af1be8p-13, -0x1.014b3d63fd786p-13, -0x1.ecbb010d505p-14, -0x1.d7f7341ca2b56p-14, -0x1.c43eee95732fdp-14, -0x1.b1867d796d2dep-14, -0x1.9fc29c8150615p-14, -0x1.8ee8728c9424fp-14, -0x1.7eed8e2b27d89p-14, -0x1.6fc7e240a6258p-14, -0x1.616dc2c0528ddp-14, -0x1.53d5e1813f53cp-14, -0x1.46f74b2a00134p-14, -0x1.3ac964334a5a2p-14, -0x1.2f43e600ef712p-14, -0x1.245edc1099a38p-14, -0x1.1a12a13dbb481p-14, -0x1.1057dd1a23092p-14, -0x1.0727815aa99fcp-14, -0x1.fcf58eaee091ep-15, -0x1.ec965b3e5d372p-15, -0x1.dd24eb3a153e8p-15, -0x1.ce9542a0fb863p-15, -0x1.c0dbe22d997d3p-15, -0x1.b3edc30b2b689p-15, -0x1.a7c052ac0745cp-15, -0x1.9c496ec05d9c5p-15, -0x1.917f614c79ecp-15, -0x1.8758dcdda57dp-15, -0x1.7dccf8dcd5209p-15, -0x1.74d32dfe52b66p-15, -0x1.6c6352cd9294fp-15, -0x1.6475985472452p-15, -0x1.5d0286dd1b7f5p-15, -0x1.5602facdce9d5p-15, -0x1.4f70219ddaf62p-15, -0x1.494376e3115b2p-15, -0x1.4376c17700e2fp-15, -0x1.3e0410b35566ep-15, -0x1.38e5b9c4a83b4p-15, -0x1.341655132c89cp-15, -0x1.2f90bbc08c2b1p-15, -0x1.2b50053a6428dp-15, -0x1.274f84e0c3d31p-15, -0x1.238ac7c01f03cp-15, -0x1.1ffd925e22015p-15, -0x1.1ca3de98de74fp-15, -0x1.1979d997c604ep-15, -0x1.167be1cdf13b9p-15, -0x1.13a6850d31079p-15, -0x1.10f67ea96e2a9p-15, -0x1.0e68b5abd7c63p-15, -0x1.0bfa3b157437bp-15, -0x1.09a848309231bp-15, -0x1.07703cf0b985cp-15, -0x1.054f9e609ef58p-15, -0x1.0344151dba7aep-15, -0x1.014b6be11397bp-15, -0x1.fec71c29be494p-16, -0x1.fb150ced1c266p-16, -0x1.f77cfb89d361dp-16, -0x1.f3fb72f3c5428p-16, -0x1.f08d351f7773dp-16, -0x1.ed2f38a259e96p-16, -0x1.e9dea66871236p-16, -0x1.e698d77ea18cfp-16, -0x1.e35b52f10b1e1p-16, -0x1.e023cbbcd1afbp-16, -0x1.dcf01ed4b7152p-16, -0x1.d9be5137f4b36p-16, -0x1.d68c8e1ac479fp-16, -0x1.d359252007ae1p-16, -0x1.d02288a385813p-16, -0x1.cce74c143cdd4p-16, -0x1.c9a6225e47b27p-16, -0x1.c65ddc63d03b7p-16, -0x1.c30d67849db8fp-16, -0x1.bfb3cc33c559cp-16, -0x1.bc502c9b0869cp-16, -0x1.b8e1c34b7241cp-16, -0x1.b567e1fac364cp-16, -0x1.b1e1f04d49f5p-16, -0x1.ae4f6aabb65fcp-16, -0x1.aaafe1248e924p-16, -0x1.a702f658dc48p-16, -0x1.a3485e73bc5fbp-16, -0x1.9f7fde2c682bap-16, -0x1.9ba949d272d95p-16, -0x1.97c48463cf912p-16, -0x1.93d17eac619eap-16, -0x1.8fd0366eb106cp-16, -0x1.8bc0b59584dc2p-16, -0x1.87a3116e0c1fbp-16, -0x1.837769ea567e3p-16, -0x1.7f3de8ebc21f2p-16, -0x1.7af6c1952fae7p-16, -0x1.76a22fa4a3fffp-16, -0x1.724076d4264cbp-16, -0x1.6dd1e2418a559p-16, -0x1.6956c3dcfe115p-16, -0x1.64cf73de046d8p-16, -0x1.603c503ebb44dp-16, -0x1.5b9dbc3d25349p-16, -0x1.56f41fe244dfbp-16, -0x1.523fe78ed72ffp-16, -0x1.4d81838d73a74p-16, -0x1.48b967a9e4a3dp-16, -0x1.43e80acd8697p-16, -0x1.3f0de6a080115p-16, -0x1.3a2b772fa1a34p-16, -0x1.35413a96c81b6p-16, -0x1.304fb0af8b15bp-16, -0x1.2b575ac42186dp-16, -0x1.2658bb463d916p-16, -0x1.21545589ca084p-16, -0x1.1c4aad835da8bp-16, -0x1.173c478a3f4cfp-16, -0x1.1229a81dd8807p-16, -0x1.0d1353ae7550ap-16, -0x1.07f9ce69325d6p-16, -0x1.02dd9c06f188ap-16, -0x1.fb7e7f3c7f4c6p-17, -0x1.f13e76f0140c6p-17, -0x1.e6fc21ce06dc3p-17, -0x1.dcb880433e8dcp-17, -0x1.d274903d1c367p-17, -0x1.c8314ce72788ap-17, -0x1.bdefae6d5045ap-17, -0x1.b3b0a9c29afdfp-17, -0x1.a975306be86acp-17, -0x1.9f3e304ecebbbp-17, -0x1.950c93844b32cp-17, -0x1.8ae1402f0f879p-17, -0x1.80bd1855654e8p-17, -0x1.76a0f9be5f541p-17, -0x1.6c8dbdd2434f4p-17, -0x1.6284397e0c367p-17, -0x1.58853d19c2eaap-17, -0x1.4e919451bf886p-17, -0x1.44aa06127284p-17, -0x1.3acf5476cfa86p-17, -0x1.31023cb914c85p-17, -0x1.27437725e09b4p-17, -0x1.1d93b71176c03p-17, -0x1.13f3aacf18423p-17, -0x1.0a63fbaa53cb9p-17, -0x1.00e54de233e08p-17, -0x1.eef0814c67922p-18, -0x1.dc3adc29c5543p-18, -0x1.c9aad6783772ep-18, -0x1.b74190358486p-18, -0x1.a5001f47cba4cp-18, -0x1.92e78f86810dp-18, -0x1.80f8e2c5ed8c6p-18, -0x1.6f3510e50fcddp-18, -0x1.5d9d07ddbaf1ep-18, -0x1.4c31abd6cd8c2p-18, -0x1.3af3d738619c1p-18, -0x1.29e45ac1d2e9bp-18, -0x1.1903fda17dcccp-18, -0x1.08537d8e1b90ap-18, -0x1.efa71dc333bb6p-19, -0x1.cf09b96aadee5p-19, -0x1.aed011ff4b615p-19, -0x1.8efb596505d3dp-19, -0x1.6f8cafb6c1cabp-19, -0x1.50852387e6dd1p-19, -0x1.31e5b227cf8d8p-19, -0x1.13af47e6dfaep-19, -0x1.ebc580ba40e93p-20, -0x1.b101cd6472a45p-20, -0x1.7714ebcd35c55p-20, -0x1.3e00323b89d1p-20, -0x1.05c4d7d2eacd6p-20, -0x1.9cc7ea56d24a1p-21, -0x1.2fbd09d62dd82p-21, -0x1.88d59182b1443p-22, -0x1.6b4aa0f8fa955p-23, 0x1.a141d980d646fp-26, 0x1.cca929ed7cf46p-23, 0x1.af1a5d70486f7p-22, 0x1.3a3213fa2b62cp-21, 0x1.9b18860dc16b9p-21, 0x1.fa4042d8e7f0dp-21, 0x1.2bd49c9090eeap-20, 0x1.59a9c3a90906ep-20, 0x1.869fbd22a13ffp-20, 0x1.b2b6c6059c93cp-20, 0x1.ddef315b17a3cp-20, 0x1.0424b3c9a64cp-19, 0x1.18e2f2f66f819p-19, 0x1.2d329eeea08b3p-19, 0x1.41140a3d28a39p-19, 0x1.548790f2a0d7ep-19, 0x1.678d985b754e8p-19, 0x1.7a268eb6c01a3p-19, 0x1.8c52eaedef8b4p-19, 0x1.9e132c4d32cd7p-19, 0x1.af67da3cbc64cp-19, 0x1.c05183fae04aep-19, 0x1.d0d0c0570ffdap-19, 0x1.e0e62d6dc003cp-19, 0x1.f09270653a5fdp-19, 0x1.ffd6352b60d0bp-19, 0x1.0759171a34eadp-18, 0x1.0e938a1d487b1p-18, 0x1.159ad2ff66601p-18, 0x1.1c6f540540a22p-18, 0x1.231172391c24p-18, 0x1.2981954caf4ddp-18, 0x1.2fc0277b86be7p-18, 0x1.35cd956ded6c2p-18, 0x1.3baa4e1c5b161p-18, 0x1.4156c2b36a76cp-18, 0x1.46d36678540d8p-18, 0x1.4c20aeadf13c4p-18, 0x1.513f127a47bb1p-18, 0x1.562f0acc99eb7p-18, 0x1.5af11243feed2p-18, 0x1.5f85a516839bcp-18, 0x1.63ed40f8ceb1bp-18, 0x1.682865064cf63p-18, 0x1.6c3791a9e201ep-18, 0x1.701b48871f533p-18, 0x1.73d40c63fc847p-18, 0x1.776261131588p-18, 0x1.7ac6cb5e6971bp-18, 0x1.7e01d0f29b3e9p-18, 0x1.8113f84ab3729p-18, 0x1.83fdc89c5f622p-18, 0x1.86bfc9c4afe16p-18, 0x1.895a843553e34p-18, 0x1.8bce80e24fe76p-18, 0x1.8e1c49302d4e2p-18, 0x1.904466e2a631dp-18, 0x1.9247640bc3f64p-18, 0x1.9425cafb78a1cp-18, 0x1.95e0262fa8e96p-18, 0x1.97770044ac691p-18, 0x1.98eae3e63d1ep-18, 0x1.9a3c5bc0d7dd6p-18, 0x1.9b6bf2738b794p-18, 0x1.9c7a328233b22p-18, 0x1.9d67a648203dep-18, 0x1.9e34d7eb254d9p-18, 0x1.9ee2514f138c4p-18, 0x1.9f709c0996269p-18, 0x1.9fe0415676daap-18, 0x1.a031ca0c432afp-18, 0x1.a065be9153d96p-18, 0x1.a07ca6d133812p-18, 0x1.a0770a32644dap-18, 0x1.a0556f8c7f9f3p-18, 0x1.a0185d1eb1a1bp-18, 0x1.9fc058868e86ep-18, 0x1.9f4de6b73cc87p-18, 0x1.9ec18bf0f751fp-18, 0x1.9e1bcbb8e0aa3p-18, 0x1.9d5d28d12b22dp-18, 0x1.9c8625318fb83p-18, 0x1.9b97420014348p-18, 0x1.9a90ff8a1f259p-18, 0x1.9973dd3dd62f6p-18, 0x1.984059a3c876ap-18, 0x1.96f6f258df15bp-18, 0x1.959824089555bp-18, 0x1.94246a6777869p-18, 0x1.929c402de343ep-18, 0x1.91001f130b75ep-18, 0x1.8f507fc83bbbdp-18, 0x1.8d8dd9f45d43bp-18, 0x1.8bb8a42fb66ebp-18, 0x1.89d153ffe823ep-18, 0x1.87d85dd426396p-18, 0x1.85ce3501a7c83p-18, 0x1.83b34bc051256p-18, 0x1.81881327929a3p-18, 0x1.7f4cfb2b7ddffp-18, 0x1.7d02729a0ce52p-18, 0x1.7aa8e7189ec2ep-18, 0x1.7840c521a1154p-18, 0x1.75ca78026d357p-18, 0x1.734669d951d6fp-18, 0x1.70b50393c9e5ap-18, 0x1.6e16acece05a3p-18, 0x1.6b6bcc6bbd465p-18, 0x1.68b4c7625e1dp-18, 0x1.65f201ec75778p-18, 0x1.6323deee720d6p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.90677fe4b8d0fp-2, 0x1.93730e7351df1p-2, 0x1.96cc2e423d899p-2, 0x1.9a6d9255e3359p-2, 0x1.9e508d6be9fc1p-2, 0x1.a26d400f49137p-2, 0x1.a6bacadd0735fp-2, 0x1.ab2f823e31a25p-2, 0x1.afc1217d26135p-2, 0x1.b464fba8aa9a9p-2, 0x1.b910292dc9daap-2, 0x1.bdb7b172dfcc8p-2, 0x1.c250b00c4f1cap-2, 0x1.c6d0756058a46p-2, 0x1.cb2ca2bdb2589p-2, 0x1.cf5b420a40b51p-2, 0x1.d352d946e050cp-2, 0x1.d70a7a3481a74p-2, 0x1.da79ce6fc50bdp-2, 0x1.dd99205c31ae9p-2, 0x1.e06161386eb26p-2, 0x1.e2cc2cb28e4ep-2, 0x1.e4d3ca4f48f3p-2, 0x1.e6732cf1b462p-2, 0x1.e7a5f0cafdef1p-2, 0x1.e86857f3658c8p-2, 0x1.e8b745e76211fp-2, 0x1.e8903a1dabde9p-2, 0x1.e7f149e5101cp-2, 0x1.e6d919b3679c3p-2, 0x1.e546d60a02597p-2, 0x1.e33a2c0f1a54p-2, 0x1.e0b341f7bd7b7p-2, 0x1.ddb2af59ba99bp-2, 0x1.da397579b4333p-2, 0x1.d648f7a6708ap-2, 0x1.d1e2f3afbf215p-2, 0x1.cd097a84dc0b9p-2, 0x1.c7bee90424b0cp-2, 0x1.c205e103fa298p-2, 0x1.bbe1429b15258p-2, 0x1.b55425ad0e10ap-2, 0x1.ae61d3bea305ap-2, 0x1.a70dc2141a7c4p-2, 0x1.9f5b8c1b3b9cap-2, 0x1.974eee2178597p-2, 0x1.8eebc0562e7cdp-2, 0x1.8635f2185816cp-2, 0x1.7d31858e7148ap-2, 0x1.73e28b86f9875p-2, 0x1.6a4d1f9f9bd4ap-2, 0x1.607564b0c0df6p-2, 0x1.565f817b15adfp-2, 0x1.4c0f9d946ba3bp-2, 0x1.4189de9135b73p-2, 0x1.36d26567d3c31p-2, 0x1.2bed4c0ad16edp-2, 0x1.20dea337413f1p-2, 0x1.15aa70745554p-2, 0x1.0a54ac4170df5p-2, 0x1.fdc280dfd56d3p-3, 0x1.e6a80d4bbf563p-3, 0x1.cf618e0ee4dd2p-3, 0x1.b7f66e080e5a9p-3, 0x1.a06df08a20ffdp-3, 0x1.88cf2f784ed06p-3, 0x1.7121199c8be64p-3, 0x1.596a71342898ap-3, 0x1.41b1caaeb0519p-3, 0x1.29fd8b9b660cdp-3, 0x1.1253e9c1eee2dp-3, 0x1.f575d4c5f12fep-4, 0x1.c670c33ba536bp-4, 0x1.97a3e3f069e06p-4, 0x1.691a180b30d27p-4, 0x1.3adddc57636e1p-4, 0x1.0cf94903a84f5p-4, 0x1.beec23249e4ebp-5, 0x1.64bb09ef13e85p-5, 0x1.0b711bc3d32fcp-5, 0x1.663ecca74bdbep-6, 0x1.6f58c3274b007p-7, 0x1.693f4d502066cp-11, -0x1.3d95d744e89f6p-7, -0x1.467656903cea3p-6, -0x1.eb9dcb651766bp-6, -0x1.471424d58ff5dp-5, -0x1.96ff23494c755p-5, -0x1.e584d3e163948p-5, -0x1.194d6f77f8806p-4, -0x1.3f1bcfb3095ddp-4, -0x1.64290fea65c4p-4, -0x1.88710ba872e54p-4, -0x1.abeff31e2492ap-4, -0x1.cea2497b8fa32p-4, -0x1.f084e33d6ac7fp-4, -0x1.08ca723850a78p-3, -0x1.18e7df766ec9ep-3, -0x1.2899984379248p-3, -0x1.37dea09e145cbp-3, -0x1.46b620ab91154p-3, -0x1.551f63c79f92fp-3, -0x1.6319d7919c88ep-3, -0x1.70a50af7e25b7p-3, -0x1.7dc0ad417189bp-3, -0x1.8a6c8d1653a1bp-3, -0x1.96a8978702a42p-3, -0x1.a274d71334b63p-3, -0x1.add172b05281dp-3, -0x1.b8beaccfebd2ep-3, -0x1.c33ce2667536bp-3, -0x1.cd4c89f2941abp-3, -0x1.d6ee3285450fap-3, -0x1.e02282cb19c3fp-3, -0x1.e8ea3816d898bp-3, -0x1.f146256db53bp-3, -0x1.f937329562785p-3, -0x1.005f2d921de0bp-2, -0x1.03ee56c9da7d5p-2, -0x1.0749a52aa8d8p-2, -0x1.0a71b17527d5p-2, -0x1.0d671c7f1b81bp-2, -0x1.102a8ec24163ep-2, -0x1.12bcb7ecc4664p-2, -0x1.151e4e73665fbp-2, -0x1.17500f2574c32p-2, -0x1.1952bcc296fap-2, -0x1.1b271f928dba4p-2, -0x1.1cce04feebb1ap-2, -0x1.1e483f2edd141p-2, -0x1.1f96a4a50acdbp-2, -0x1.20ba0fdfa062bp-2, -0x1.21b35efa8a092p-2, -0x1.22837353e7781p-2, -0x1.232b3132cdd04p-2, -0x1.23ab7f704d2ddp-2, -0x1.24054722d5993p-2, -0x1.2439734becd2fp-2, -0x1.2448f0884a179p-2, -0x1.2434acc251421p-2, -0x1.23fd96e6f8bc2p-2, -0x1.23a49e9d10904p-2, -0x1.232ab3fef9904p-2, -0x1.2290c756c0412p-2, -0x1.21d7c8dca3052p-2, -0x1.2100a877fc7b7p-2, -0x1.200c55829447dp-2, -0x1.1efbbe8e4e582p-2, -0x1.1dcfd12d38a72p-2, -0x1.1c8979bbf003p-2, -0x1.1b29a32e5852cp-2, -0x1.19b136dea06ffp-2, -0x1.18211c5e8ef0bp-2, -0x1.167a394b0a40ap-2, -0x1.14bd7121dab61p-2, -0x1.12eba5199a536p-2, -0x1.1105b3fbccedap-2, -0x1.0f0c7a0112a4ep-2, -0x1.0d00d0af712a9p-2, -0x1.0ae38ebaa7137p-2, -0x1.08b587e67a429p-2, -0x1.06778ceb039edp-2, -0x1.042a6b5ade215p-2, -0x1.01ceed8b393bdp-2, -0x1.fecbb4fb7ca46p-3, -0x1.f9dfeb9880f41p-3, -0x1.f4dbff2c4c779p-3, -0x1.efc168df10fc1p-3, -0x1.ea919aa3e926p-3, -0x1.e54dff1d90586p-3, -0x1.dff7f9863b0d4p-3, -0x1.da90e59a680b4p-3, -0x1.d51a1786a7d41p-3, -0x1.cf94dbd82c8edp-3, -0x1.ca0277701d273p-3, -0x1.c464277981687p-3, -0x1.bebb2161c38fdp-3, -0x1.b90892d397d6ep-3, -0x1.b34da1b447514p-3, -0x1.ad8b6c233cb2ap-3, -0x1.a7c3087bb6d52p-3, -0x1.a1f585589673dp-3, -0x1.9c23e99a276dep-3, -0x1.964f346dceb3ap-3, -0x1.90785d578c279p-3, -0x1.8aa0543d36f13p-3, -0x1.84c801735c80dp-3, -0x1.7ef045cbb432ep-3, -0x1.7919faa50a8aap-3, -0x1.7345f1fc96d33p-3, -0x1.6d74f6809e1fcp-3, -0x1.67a7cba45f452p-3, -0x1.61df2db51f566p-3, -0x1.5c1bd1f05a28fp-3, -0x1.565e669af2d09p-3, -0x1.50a793195deap-3, -0x1.4af7f808ac32ap-3, -0x1.45502f586ca17p-3, -0x1.3fb0cc654f22p-3, -0x1.3a1a5c14765acp-3, -0x1.348d64ef7336bp-3, -0x1.2f0a6740d0b08p-3, -0x1.2991dd312632ap-3, -0x1.24243ae49fd4fp-3, -0x1.1ec1ee98f2cc3p-3, -0x1.196b60c3ab90fp-3, -0x1.1420f430d159fp-3, -0x1.0ee30621c565fp-3, -0x1.09b1ee6c60b9cp-3, -0x1.048dff9a3a547p-3, -0x1.feef0e1022e78p-4, -0x1.f4dd9a0a9f319p-4, -0x1.eae829e7232b2p-4, -0x1.e10f3acc72cep-4, -0x1.d7534083fc97fp-4, -0x1.cdb4a5b8c16e2p-4, -0x1.c433cc362e6cep-4, -0x1.bad10d269d001p-4, -0x1.b18cb9519e33ep-4, -0x1.a8671959d56ecp-4, -0x1.9f606dfa7b35bp-4, -0x1.9678f04459017p-4, -0x1.8db0d1da56f38p-4, -0x1.85083d2d68c01p-4, -0x1.7c7f55b7ec72ep-4, -0x1.7416383864e49p-4, -0x1.6bccfaeb857f4p-4, -0x1.63a3adc58b194p-4, -0x1.5b9a5aaad6d16p-4, -0x1.53b105a7c2d44p-4, -0x1.4be7ad27ac4b8p-4, -0x1.443e4a2b29231p-4, -0x1.3cb4d07d66d55p-4, -0x1.354b2ee8a9434p-4, -0x1.2e014f69e7247p-4, -0x1.26d717637ec5cp-4, -0x1.1fcc67ceff399p-4, -0x1.18e11d6e02192p-4, -0x1.121510fa12db6p-4, -0x1.0b681753a148ap-4, -0x1.04da01affda4dp-4, -0x1.fcd53b8cb2344p-5, -0x1.f0336bf79d988p-5, -0x1.e3ce231cdd115p-5, -0x1.d7a4e97e98257p-5, -0x1.cbb741f7212a3p-5, -0x1.c004aa0920a88p-5, -0x1.b48c9a2dc0d3ep-5, -0x1.a94e8620e670dp-5, -0x1.9e49dd2b6c435p-5, -0x1.937e0a6b6a2acp-5, -0x1.88ea751a89ae3p-5, -0x1.7e8e80d267f7ep-5, -0x1.74698dcf0a2ecp-5, -0x1.6a7af92f6864dp-5, -0x1.60c21d3413553p-5, -0x1.573e517bf70c5p-5, -0x1.4deeeb3f40d19p-5, -0x1.44d33d8871767p-5, -0x1.3bea996b96c56p-5, -0x1.33344e3bbeb5bp-5, -0x1.2aafa9bea0857p-5, -0x1.225bf85e87b03p-5, -0x1.1a38855a81d0ep-5, -0x1.12449af4de356p-5, -0x1.0a7f829ffbf97p-5, -0x1.02e885297515dp-5, -0x1.f6fdd5c757563p-6, -0x1.e883f79b7ce87p-6, -0x1.da61ff73dc783p-6, -0x1.cc967ce4f6089p-6, -0x1.bf1fffba01371p-6, -0x1.b1fd1838b40d7p-6, -0x1.a52c5762258cdp-6, -0x1.98ac4f30e10cdp-6, -0x1.8c7b92d42f5dap-6, -0x1.8098b6e8b5555p-6, -0x1.750251ae65adcp-6, -0x1.69b6fb3be30c2p-6, -0x1.5eb54daf5c0c5p-6, -0x1.53fbe55cf2334p-6, -0x1.498960fabe14ep-6, -0x1.3f5c61ca791e6p-6, -0x1.35738bc0e70eap-6, -0x1.2bcd85ab0571fp-6, -0x1.2268f951136d5p-6, -0x1.1944939784d81p-6, -0x1.105f049de9169p-6, -0x1.07b6ffdbdc3a6p-6, -0x1.fe96787812e24p-7, -0x1.ee34e86aaa8cbp-7, -0x1.de46cbc46c1d4p-7, -0x1.cec9a62ca1ff8p-7, -0x1.bfbb02e4cd086p-7, -0x1.b11874ed2c77dp-7, -0x1.a2df972629678p-7, -0x1.950e0c6eaf803p-7, -0x1.87a17fbf8812dp-7, -0x1.7a97a443e8d6ep-7, -0x1.6dee356f3d57ap-7, -0x1.61a2f71042fcfp-7, -0x1.55b3b561a4b96p-7, -0x1.4a1e45181bfe6p-7, -0x1.3ee0836e2c369p-7, -0x1.33f8562daae14p-7, -0x1.2963abb709782p-7, -0x1.1f207b0690f94p-7, -0x1.152cc3b79a1p-7, -0x1.0b868e05d8a89p-7, -0x1.022beaccd294p-7, -0x1.f235e70b27582p-8, -0x1.e0a394856ad5dp-8, -0x1.cf9d335598cf3p-8, -0x1.bf1f29e29e8bfp-8, -0x1.af25ef9c150e3p-8, -0x1.9fae0ce664ca2p-8, -0x1.90b41b044cdcfp-8, -0x1.8234c3fde9e87p-8, -0x1.742cc285663cbp-8, -0x1.6698e1d96dc43p-8, -0x1.5975fda588e24p-8, -0x1.4cc101e07b899p-8, -0x1.4076eaa8c811p-8, -0x1.3494c41f72356p-8, -0x1.2917aa411ddc9p-8, -0x1.1dfcc8bda4a08p-8, -0x1.13415ace404p-8, -0x1.08e2ab0a5f117p-8, -0x1.fdbc267678b9p-9, -0x1.ea61f85cafd2bp-9, -0x1.d7b1bb0dbc6fdp-9, -0x1.c5a67b1c3d4b9p-9, -0x1.b43b62063b2afp-9, -0x1.a36bb5d2bce91p-9, -0x1.9332d8ade7f7fp-9, -0x1.838c4883db7e4p-9, -0x1.74739e9a6869bp-9, -0x1.65e48f29cc2d9p-9, -0x1.57dae8f488a2fp-9, -0x1.4a5294de88e4p-9, -0x1.3d479583a406ap-9, -0x1.30b606cda48d2p-9, -0x1.249a1d89ee739p-9, -0x1.18f026fee35fap-9, -0x1.0db4888118167p-9, -0x1.02e3bf087eb07p-9, -0x1.f0f4bd8b261bfp-10, -0x1.dcea256d57c51p-10, -0x1.c9a1387af855dp-10, -0x1.b713a569c2648p-10, -0x1.a53b460e1d357p-10, -0x1.94121e8852999p-10, -0x1.83925c72cfa38p-10, -0x1.73b6561187d81p-10, -0x1.64788982a7e39p-10, -0x1.55d39bf0a9d76p-10, -0x1.47c258c5ea764p-10, -0x1.3a3fb0e1df15fp-10, -0x1.2d46b9d00a7c1p-10, -0x1.20d2ad00b0b6ep-10, -0x1.14dee703811c7p-10, -0x1.0966e6c42faf2p-10, -0x1.fccc99923b4fap-11, -0x1.e7b1b4e852079p-11, -0x1.d374e28b42cd2p-11, -0x1.c00e244306d1dp-11, -0x1.ad75b92dfe93ep-11, -0x1.9ba41c54b3836p-11, -0x1.8a92034265c8ep-11, -0x1.7a385ca27d264p-11, -0x1.6a904ee2ea736p-11, -0x1.5b9336db9208fp-11, -0x1.4d3aa67ac8c8ap-11, -0x1.3f806376f1f16p-11, -0x1.325e66054c29ep-11, -0x1.25ced795f15b8p-11, -0x1.19cc119519207p-11, -0x1.0e509c319bbedp-11, -0x1.03572d28c165fp-11, -0x1.f1b54d2eba759p-12, -0x1.ddac2ba06ce75p-12, -0x1.ca89646f846ebp-12, -0x1.b843b84a57174p-12, -0x1.a6d237914e25cp-12, -0x1.962c402e25313p-12, -0x1.86497b75b3ca9p-12, -0x1.7721dc1435171p-12, -0x1.68ad9c040b8f5p-12, -0x1.5ae53a8ee4f7bp-12, -0x1.4dc17a593a847p-12, -0x1.413b5f78178afp-12, -0x1.354c2d910fc89p-12, -0x1.29ed6604582fbp-12, -0x1.1f18c620e7a8ap-12, -0x1.14c845628b81dp-12, -0x1.0af613b9d24a9p-12, -0x1.019c97ddbbf96p-12, -0x1.f16cdb4e1de55p-13, -0x1.e07cc8ea686a8p-13, -0x1.d05efb3914ee1p-13, -0x1.c109d5bc07361p-13, -0x1.b27419cff32eep-13, -0x1.a494e3c033d57p-13, -0x1.9763a7ec8acb6p-13, -0x1.8ad8300090bd8p-13, -0x1.7eea983c94dbp-13, -0x1.73934ccfa1826p-13, -0x1.68cb074274992p-13, -0x1.5e8acbf31c4b6p-13, -0x1.54cbe7a0f4a59p-13, -0x1.4b87ed08c9aeap-13, -0x1.42b8b290d7c1ap-13, -0x1.3a5850045e7d5p-13, -0x1.32611c5e8d8b1p-13, -0x1.2acdaba47778cp-13, -0x1.2398cccdd835p-13, -0x1.1cbd87bc551aep-13, -0x1.16371b4105eaap-13, -0x1.1000fb2ff11bfp-13, -0x1.0a16ce813e4cbp-13, -0x1.04746d7fdfbc6p-13, -0x1.fe2bc00ac559bp-14, -0x1.f3eeb7854f331p-14, -0x1.ea2a852a8f743p-14, -0x1.e0d841d2a0e37p-14, -0x1.d7f1584e52ddfp-14, -0x1.cf6f825aa7096p-14, -0x1.c74cc5ab7ec51p-14, -0x1.bf83710d0a75ap-14, -0x1.b80e199b66f4dp-14, -0x1.b0e7980fecd75p-14, -0x1.aa0b0623b8d7dp-14, -0x1.a373bc06ef4c2p-14, -0x1.9d1d4dec3839p-14, -0x1.970389a801cd7p-14, -0x1.912274630fad7p-14, -0x1.8b76485fdaed4p-14, -0x1.85fb72d252debp-14, -0x1.80ae91c987f96p-14, -0x1.7b8c722ad12dbp-14, -0x1.76920dbdf8296p-14, -0x1.71bc894a00a59p-14, -0x1.6d0932c21bc72p-14, -0x1.68757f825e899p-14, -0x1.63ff0a9bcec41p-14, -0x1.5fa3932f61e5ep-14, -0x1.5b60fad78578ep-14, -0x1.5735441fce569p-14, -0x1.531e910a6b4c7p-14, -0x1.4f1b21a2fc40cp-14, -0x1.4b29529e6bd73p-14, -0x1.47479c0772c74p-14, -0x1.43748ff7653aep-14, -0x1.3faed95af52efp-14, -0x1.3bf53ac28c85p-14, -0x1.38468d3df03b1p-14, -0x1.34a1bf42d0bc1p-14, -0x1.3105d39dfae7p-14, -0x1.2d71e06ed609p-14, -0x1.29e50e2ce0109p-14, -0x1.265e96b6dcdbfp-14, -0x1.22ddc46b6930ap-14, -0x1.1f61f14aaba4ap-14, -0x1.1bea8620d85bbp-14, -0x1.1876f9b9423c3p-14, -0x1.1506d019b49dfp-14, -0x1.119999c5d15a4p-14, -0x1.0e2ef30a33784p-14, -0x1.0ac6834f139f5p-14, -0x1.075ffc7231f7cp-14, -0x1.03fb1a27c66b7p-14, -0x1.0097a1623ee51p-14, -0x1.fa6abf811b856p-15, -0x1.f3a85605a2ba7p-15, -0x1.ece7c10a4012ap-15, -0x1.e628c9807c6a1p-15, -0x1.df6b45a01bfb3p-15, -0x1.d8af17ff07a4ap-15, -0x1.d1f42eb3de484p-15, -0x1.cb3a8282cca08p-15, -0x1.c48216144e3c1p-15, -0x1.bdcaf5357efd4p-15, -0x1.b71534219cec4p-15, -0x1.b060eed46fc5dp-15, -0x1.a9ae486536ceap-15, -0x1.a2fd6a69d2b1ap-15, -0x1.9c4e8461dbca4p-15, -0x1.95a1cb2952b54p-15, -0x1.8ef77872aaaa4p-15, -0x1.884fca47d8971p-15, -0x1.81ab02922d56ap-15, -0x1.7b0966a8ad8eap-15, -0x1.746b3ee4ab638p-15, -0x1.6dd0d63c5ea44p-15, -0x1.673a79e33dd1ep-15, -0x1.60a878efde5c3p-15, -0x1.5a1b24071ed5fp-15, -0x1.5392cd0c6627bp-15, -0x1.4d0fc6d6bcadap-15, -0x1.469264ea900b5p-15, -0x1.401afb37eaf38p-15, -0x1.39a9dddcefe3ap-15, -0x1.333f60ec6910fp-15, -0x1.2cdbd8383d9d3p-15, -0x1.267f971fa0795p-15, -0x1.202af060cca69p-15, -0x1.19de35ee27ecp-15, -0x1.1399b8c6a1d94p-15, -0x1.0d5dc8d12660bp-15, -0x1.072ab4bb05c44p-15, -0x1.0100c9d924cc8p-15, -0x1.f5c0a817b1a76p-16, -0x1.e9933b4a9a1b2p-16, -0x1.dd79dea49da44p-16, -0x1.d175200ac5501p-16, -0x1.c58589c80ec95p-16, -0x1.b9aba26c076efp-16, -0x1.ade7ecad549dep-16, -0x1.a23ae74fe855fp-16, -0x1.96a50d0eb2a8fp-16, -0x1.8b26d488a348bp-16, -0x1.7fc0b030c46f5p-16, -0x1.74730e4142751p-16, -0x1.693e58b1405fbp-16, -0x1.5e22f52d3c2bp-16, -0x1.53214511eb031p-16, -0x1.4839a5695f52cp-16, -0x1.3d6c6eea55579p-16, -0x1.32b9f5f9845c2p-16, -0x1.28228aaccb87bp-16, -0x1.1da678d02bd85p-16, -0x1.134607ec55a35p-16, -0x1.09017b4ec600dp-16, -0x1.fdb2242694afp-17, -0x1.e99a0e5d961a4p-17, -0x1.d5bb22f6a3a66p-17, -0x1.c215c78a50837p-17, -0x1.aeaa59b1f243bp-17, -0x1.9b792f25bc237p-17, -0x1.888295dc96308p-17, -0x1.75c6d42d70e8fp-17, -0x1.634628f1f87d7p-17, -0x1.5100cbaa994edp-17, -0x1.3ef6eca37fe6ap-17, -0x1.2d28b51ab03bp-17, -0x1.1b964766e2acep-17, -0x1.0a3fbf1f289f2p-17, -0x1.f24a62865a43dp-18, -0x1.d08d58c7fc794p-18, -0x1.af48719a86575p-18, -0x1.8e7bb15d91047p-18, -0x1.6e27108c97b59p-18, -0x1.4e4a7c12e6ad3p-18, -0x1.2ee5d59fb69e6p-18, -0x1.0ff8f3fa5396dp-18, -0x1.e30746ac55175p-19, -0x1.a70b4b4d395b6p-19, -0x1.6bfd65e4f91dap-19, -0x1.31dcf34e308dap-19, -0x1.f1527baacb9b2p-20, -0x1.80c2fbb969febp-20, -0x1.1209b4fbf9f0fp-20, -0x1.4a49a8adb6a31p-21, -0x1.d09334e4647a8p-23, 0x1.797d31c576859p-23, 0x1.2d4703a294cdfp-21, 0x1.f896f08e83867p-21, 0x1.6029f0f97f4b4p-20, 0x1.c2416d63fde66p-20, 0x1.114a43fe711b8p-19, 0x1.4092f98b4e39ap-19, 0x1.6efc3be3a73c1p-19, 0x1.9c877a6ac126fp-19, 0x1.c9362ed52e77fp-19, 0x1.f509dca4a7d21p-19, 0x1.100208535c0f7p-18, 0x1.2513303b213e1p-18, 0x1.39b934ffef408p-18, 0x1.4df4e984913e6p-18, 0x1.61c7245d65c55p-18, 0x1.7530bf96ea1a3p-18, 0x1.8832987dbc864p-18, 0x1.9acd8f680eb74p-18, 0x1.ad028780944bdp-18, 0x1.bed26692de468p-18, 0x1.d03e14d92d7d9p-18, 0x1.e1467ccbb3622p-18, 0x1.f1ec8af1408adp-18, 0x1.011896d8aeeb6p-17, 0x1.090aaa93e75b9p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.873f179ee396cp-2, 0x1.88370cebbd5ccp-2, 0x1.8949e8b65c705p-2, 0x1.8a773b7c992f6p-2, 0x1.8bbe47d4a928dp-2, 0x1.8d1e0669cf691p-2, 0x1.8e952b812878ep-2, 0x1.90222d8ecfb51p-2, 0x1.91c34c7687ac3p-2, 0x1.937699250947dp-2, 0x1.9539fd3f620dap-2, 0x1.970b42b454b54p-2, 0x1.98e81b0823e5p-2, 0x1.9ace263de3c4cp-2, 0x1.9cbaf94a46c34p-2, 0x1.9eac24031ac4dp-2, 0x1.a09f368494dfap-2, 0x1.a291c60a12dfbp-2, 0x1.a481713b9bfcdp-2, 0x1.a66be3f404097p-2, 0x1.a84eda859845p-2, 0x1.aa2824847d9c9p-2, 0x1.abf5a71ed9954p-2, 0x1.adb55f0b483cp-2, 0x1.af6562165f069p-2, 0x1.b103e057e2a0cp-2, 0x1.b28f25183431cp-2, 0x1.b405976e15807p-2, 0x1.b565ba9c84cc4p-2, 0x1.b6ae2e37fed84p-2, 0x1.b7ddae19eaab5p-2, 0x1.b8f3122886c77p-2, 0x1.b9ed4df91d966p-2, 0x1.bacb7051d1cddp-2, 0x1.bb8ca28fe1a2bp-2, 0x1.bc3027f6bd05ep-2, 0x1.bcb55cebee567p-2, 0x1.bd1bb62367e4dp-2, 0x1.bd62bfbf668d3p-2, 0x1.bd8a1c66cb67ap-2, 0x1.bd91845475443p-2, 0x1.bd78c461dcba9p-2, 0x1.bd3fbd0ee89ffp-2, 0x1.bce66188c67a4p-2, 0x1.bc6cb6b13be5ep-2, 0x1.bbd2d227ce92bp-2, 0x1.bb18d955dda37p-2, 0x1.ba3f007ea8726p-2, 0x1.b94589d40facfp-2, 0x1.b82cc490c4386p-2, 0x1.b6f50c18709b3p-2, 0x1.b59ec71e52593p-2, 0x1.b42a66d29cfafp-2, 0x1.b2986616f0a34p-2, 0x1.b0e948ba0fbdp-2, 0x1.af1d9abafa75ep-2, 0x1.ad35ef93812c2p-2, 0x1.ab32e18a4dd07p-2, 0x1.a915110c65fd4p-2, 0x1.a6dd240e0f55ap-2, 0x1.a48bc572ff4ep-2, 0x1.a221a47db9568p-2, 0x1.9f9f7445f20fep-2, 0x1.9d05eb35d30aap-2, 0x1.9a55c28deab96p-2, 0x1.978fb5ef9bba8p-2, 0x1.94b482edd793ep-2, 0x1.91c4e8a3ed04cp-2, 0x1.8ec1a7523ae03p-2, 0x1.8bab800085e66p-2, 0x1.88833425c4517p-2, 0x1.8549855523b5ap-2, 0x1.81ff34f0123acp-2, 0x1.7ea503dd1aceap-2, 0x1.7b3bb243572ep-2, 0x1.77c3ff4a4d1b1p-2, 0x1.743ea8ddffc7bp-2, 0x1.70ac6b7704a1bp-2, 0x1.6d0e01e66f86ap-2, 0x1.6964252565fd8p-2, 0x1.65af8c282e5d5p-2, 0x1.61f0ebb491889p-2, 0x1.5e28f63b63b36p-2, 0x1.5a585bb512c75p-2, 0x1.567fc9810d88ep-2, 0x1.529fea47e759p-2, 0x1.4eb965e010fd1p-2, 0x1.4acce13506c38p-2, 0x1.46dafe30d8bf8p-2, 0x1.42e45ba7e90cep-2, 0x1.3ee99546c93bdp-2, 0x1.3aeb438217abdp-2, 0x1.36e9fb88489a3p-2, 0x1.32e64f353b394p-2, 0x1.2ee0cd0787779p-2, 0x1.2ada001770aadp-2, 0x1.26d2700f616adp-2, 0x1.22caa125e0c69p-2, 0x1.1ec31418eecb3p-2, 0x1.1abc462ab09cfp-2, 0x1.16b6b11f5f61ep-2, 0x1.12b2cb3c65511p-2, 0x1.0eb107489f3a9p-2, 0x1.0ab1d48da9059p-2, 0x1.06b59eda312f2p-2, 0x1.02bcce853c6b4p-2, 0x1.fd8f90e4a8419p-3, 0x1.f5addc2d10e2ep-3, 0x1.edd53afc8d5ccp-3, 0x1.e60662a7d2cc4p-3, 0x1.de4201ce0a3ebp-3, 0x1.d688c068b867fp-3, 0x1.cedb3fdce6672p-3, 0x1.c73a1b0d7a02ap-3, 0x1.bfa5e66ea1356p-3, 0x1.b81f301a4e69dp-3, 0x1.b0a67fe59c0b4p-3, 0x1.a93c57771af26p-3, 0x1.a1e1325def87p-3, 0x1.9a958629b4cb4p-3, 0x1.9359c28308497p-3, 0x1.8c2e5144c42b3p-3, 0x1.85139695c7d08p-3, 0x1.7e09f10346fa9p-3, 0x1.7711b99b933abp-3, 0x1.702b440953559p-3, 0x1.6956deaf1b67p-3, 0x1.6294d2c3518d7p-3, 0x1.5be5646c66252p-3, 0x1.5548d2dd3f078p-3, 0x1.4ebf5871df7c8p-3, 0x1.48492acc2c51p-3, 0x1.41e67af0dbe94p-3, 0x1.3b97756471c14p-3, 0x1.355c42484b861p-3, 0x1.2f350577ac6c1p-3, 0x1.2921dea4ca477p-3, 0x1.2322e975c82c8p-3, 0x1.1d383da1a13a2p-3, 0x1.1761ef0cf1169p-3, 0x1.11a00de6a58dap-3, 0x1.0bf2a6c478c42p-3, 0x1.0659c2bf4adffp-3, 0x1.00d5678f37f54p-3, 0x1.f6cb2f4f022f6p-4, 0x1.ec14a4a4538adp-4, 0x1.e1872796b1435p-4, 0x1.d722aab8d9122p-4, 0x1.cce71aed78a7ep-4, 0x1.c2d45f9c2074p-4, 0x1.b8ea5ae57db47p-4, 0x1.af28e9d6da0b3p-4, 0x1.a58fe49ceeacbp-4, 0x1.9c1f1eb5ef01p-4, 0x1.92d66722d1ee6p-4, 0x1.89b58897cb33ap-4, 0x1.80bc49abf585cp-4, 0x1.77ea6d082c08ep-4, 0x1.6f3fb19506a75p-4, 0x1.66bbd2a7fdd8cp-4, 0x1.5e5e882fad3bep-4, 0x1.562786df3588cp-4, 0x1.4e168058b9fd8p-4, 0x1.462b2356f8911p-4, 0x1.3e651bd5f8863p-4, 0x1.36c4133ad22f5p-4, 0x1.2f47b07a8ba9fp-4, 0x1.27ef984009de6p-4, 0x1.20bb6d11191a6p-4, 0x1.19aacf72874c6p-4, 0x1.12bd5e0b56071p-4, 0x1.0bf2b5c700c89p-4, 0x1.054a71f6d8c12p-4, 0x1.fd8858e4f1d1ap-5, 0x1.f0befb6ea307ep-5, 0x1.e437fa0e9b18cp-5, 0x1.d7f2810d2567fp-5, 0x1.cbedbab0bdfafp-5, 0x1.c028cf760940cp-5, 0x1.b4a2e6460d5c6p-5, 0x1.a95b24aab1de9p-5, 0x1.9e50af018b369p-5, 0x1.9382a8acf55e8p-5, 0x1.88f0344383bdfp-5, 0x1.7e9873bdcd4ccp-5, 0x1.747a88a2976d1p-5, 0x1.6a9594316abd6p-5, 0x1.60e8b78b912fdp-5, 0x1.577313db8ac53p-5, 0x1.4e33ca7af9f92p-5, 0x1.4529fd1711baap-5, 0x1.3c54cdd38a90fp-5, 0x1.33b35f6c26ab5p-5, 0x1.2b44d554c9c7fp-5, 0x1.230853d82fdb1p-5, 0x1.1afd00354437bp-5, 0x1.132200bb263fp-5, 0x1.0b767ce3df1cp-5, 0x1.03f99d6dd1af7p-5, 0x1.f95518e7d1cd7p-6, 0x1.eb10eb0923b6ep-6, 0x1.dd250b6f07b08p-6, 0x1.cf8fd784bcb5dp-6, 0x1.c24fb0184c72p-6, 0x1.b562f97f561b8p-6, 0x1.a8c81bb9a7c4p-6, 0x1.9c7d8291d056dp-6, 0x1.90819dbb98acep-6, 0x1.84d2e0f08defdp-6, 0x1.796fc40a9ep-6, 0x1.6e56c31ccfb71p-6, 0x1.63865e8a354a5p-6, 0x1.58fd1b1b16af3p-6, 0x1.4eb98210691edp-6, 0x1.44ba2135a3e86p-6, 0x1.3afd8af0f8328p-6, 0x1.3182565202309p-6, 0x1.28471f1ef751ap-6, 0x1.1f4a85e06737bp-6, 0x1.168b2feb95ce1p-6, 0x1.0e07c76b8015fp-6, 0x1.05befb68941a8p-6, 0x1.fb5eff9e4d36cp-7, 0x1.ebb01ae9787aep-7, 0x1.dc6ec438484bdp-7, 0x1.cd9880f0f507ep-7, 0x1.bf2ae05e32bcap-7, 0x1.b1237bb1002d6p-7, 0x1.a37ff6008ee6bp-7, 0x1.963dfc483bebcp-7, 0x1.895b4563c1cf6p-7, 0x1.7cd59209b24a7p-7, 0x1.70aaacc44b045p-7, 0x1.64d869e8c04afp-7, 0x1.595ca78cfdb9dp-7, 0x1.4e354d7cp-7, 0x1.43604d28dd049p-7, 0x1.38dba1a07ab29p-7, 0x1.2ea54f7a0f95p-7, 0x1.24bb64c680afbp-7, 0x1.1b1bf8fea6027p-7, 0x1.11c52cf08a66ap-7, 0x1.08b52aabb20a6p-7, 0x1.ffd44ad8f23fp-8, 0x1.eec4b30d31154p-8, 0x1.de38189dba777p-8, 0x1.ce2b18084358p-8, 0x1.be9a5f6f28f6ap-8, 0x1.af82ae68b4c75p-8, 0x1.a0e0d5cd2f836p-8, 0x1.92b1b783d8c7fp-8, 0x1.84f2464edb784p-8, 0x1.779f859655ae7p-8, 0x1.6ab6893289e99p-8, 0x1.5e3475354aea6p-8, 0x1.52167db2ba74fp-8, 0x1.4659e6896bdacp-8, 0x1.3afc0329fb2f5p-8, 0x1.2ffa365e2f66p-8, 0x1.2551f20fb3715p-8, 0x1.1b00b70e7a61ap-8, 0x1.110414d6dc048p-8, 0x1.0759a9577b31bp-8, 0x1.fbfe416e03be1p-9, 0x1.e9e46a33845d6p-9, 0x1.d8615cce95163p-9, 0x1.c770c41fede48p-9, 0x1.b70e65a51dd6dp-9, 0x1.a7362103eef2p-9, 0x1.97e3ef9613443p-9, 0x1.8913e3f524b86p-9, 0x1.7ac229870fep-9, 0x1.6ceb040b0307dp-9, 0x1.5f8acf26e979p-9, 0x1.529dfdf5872b5p-9, 0x1.46211a954b6dp-9, 0x1.3a10c5b7df90bp-9, 0x1.2e69b63287065p-9, 0x1.2328b88f5d416p-9, 0x1.184aae9f7afeep-9, 0x1.0dcc8f0e106cbp-9, 0x1.03ab64f485a78p-9, 0x1.f3c89edf3c599p-10, 0x1.e0e9026b6eeeep-10, 0x1.ceb2805c458cp-10, 0x1.bd1fca13485a1p-10, 0x1.ac2bb5b846affp-10, 0x1.9bd13d6f164fep-10, 0x1.8c0b7e8fda09dp-10, 0x1.7cd5b8e1bb7dbp-10, 0x1.6e2b4dd83d25ep-10, 0x1.6007bfd31f088p-10, 0x1.5266b160e812fp-10, 0x1.4543e4840e7eap-10, 0x1.389b39fad924ep-10, 0x1.2c68b089f1df4p-10, 0x1.20a86449ab357p-10, 0x1.15568df60d9d1p-10, 0x1.0a6f82419fe8p-10, 0x1.ffdf6255e2276p-11, 0x1.eba74aa9e10f7p-11, 0x1.d83006c4049abp-11, 0x1.c57312a3c2c14p-11, 0x1.b36a1bc48d11p-11, 0x1.a20effe4ab07bp-11, 0x1.915bcbd19ed5p-11, 0x1.814aba3a0f57cp-11, 0x1.71d6328534a1fp-11, 0x1.62f8c7afbee89p-11, 0x1.54ad372e323e5p-11, 0x1.46ee67d4b103ep-11, 0x1.39b768c429596p-11, 0x1.2d03705cdfb56p-11, 0x1.20cddb364a3ebp-11, 0x1.15122b1c34cfp-11, 0x1.09cc06111ec03p-11, 0x1.fdee6aab962d5p-12, 0x1.e91f48ebe4bebp-12, 0x1.d522c0b41996bp-12, 0x1.c1f12cbc474cap-12, 0x1.af8326db41d82p-12, 0x1.9dd186480fa4ap-12, 0x1.8cd55de51f7eep-12, 0x1.7c87fa9515decp-12, 0x1.6ce2e1991f16cp-12, 0x1.5ddfcef89b2ep-12, 0x1.4f78b3f211d2cp-12, 0x1.41a7b5753dc38p-12, 0x1.34672aa61da98p-12, 0x1.27b19b68dc032p-12, 0x1.1b81bef67abf2p-12, 0x1.0fd27a7a10ff7p-12, 0x1.049edfb6864bfp-12, 0x1.f3c4576942a5fp-13, 0x1.df2f8af2947b7p-13, 0x1.cb767987bda3ep-13, 0x1.b89091a8e34adp-13, 0x1.a6758e73b3a27p-13, 0x1.951d754ecc373p-13, 0x1.848093a433d92p-13, 0x1.74977caa97f0fp-13, 0x1.655b073d0f1a6p-13, 0x1.56c44bc117285p-13, 0x1.48cca21a86835p-13, 0x1.3b6d9fad3e729p-13, 0x1.2ea1156c426eep-13, 0x1.22610df6020fbp-13, 0x1.16a7cbbd8acf3p-13, 0x1.0b6fc7406632fp-13, 0x1.00b3ad48d348fp-13, 0x1.ecdcba786412ap-14, 0x1.d935ceea897cap-14, 0x1.c6691754416cp-14, 0x1.b46d6ebaebf37p-14, 0x1.a33a08b60b8eep-14, 0x1.92c66e7df4518p-14, 0x1.830a7c0fcf6c2p-14, 0x1.73fe5d667662dp-14, 0x1.659a8bc7adc99p-14, 0x1.57d7cb25492dfp-14, 0x1.4aaf2791c4e25p-14, 0x1.3e19f2c7df21ep-14, 0x1.3211c1c4c195cp-14, 0x1.26906a74498eep-14, 0x1.1b90016f01127p-14, 0x1.110ad7c95ccf4p-14, 0x1.06fb78f3d148bp-14, 0x1.fab95156b1c7p-15, 0x1.e852c1f4039dap-15, 0x1.d6b9a08e3aeep-15, 0x1.c5e4aeed5b0f7p-15, 0x1.b5cb102f59561p-15, 0x1.a6644541a3db2p-15, 0x1.97a82976dc6fep-15, 0x1.898eef3813f4cp-15, 0x1.7c111cd0c71eep-15, 0x1.6f278954ecdb5p-15, 0x1.62cb59a0695f6p-15, 0x1.56f5fd6f2ff34p-15, 0x1.4ba12c8d71b39p-15, 0x1.40c6e41f32d47p-15, 0x1.366163fe9bfc4p-15, 0x1.2c6b2c3072e94p-15, 0x1.22defa6e155f8p-15, 0x1.19b7c7c4624a2p-15, 0x1.10f0c646fa774p-15, 0x1.08855ed744217p-15, 0x1.00712efea57cp-15, 0x1.f1600db6d09cbp-16, 0x1.e27bce3f77182p-16, 0x1.d42dfe44a775fp-16, 0x1.c66f560036f5cp-16, 0x1.b938e39d061bbp-16, 0x1.ac8407bbc79bep-16, 0x1.a04a72170fc24p-16, 0x1.94861e45af686p-16, 0x1.8931509a7dfc4p-16, 0x1.7e469320a63cep-16, 0x1.73c0b2b39aa05p-16, 0x1.699abc31de40ep-16, 0x1.5fcff9c9c461dp-16, 0x1.565bf05f66279p-16, 0x1.4d3a5d0afc19bp-16, 0x1.446732aedc7bcp-16, 0x1.3bde97a45f886p-16, 0x1.339ce37eec0ccp-16, 0x1.2b9e9ce483c58p-16, 0x1.23e0777b0c38p-16, 0x1.1c5f51e9bb43bp-16, 0x1.151833edf79a3p-16, 0x1.0e084c830a443p-16, 0x1.072cf01c058ep-16, 0x1.008396ef47285p-16, 0x1.f413b6a6066b1p-17, 0x1.e77af0547f029p-17, 0x1.db388ec373263p-17, 0x1.cf4880f8506f1p-17, 0x1.c3a6ee5aaab4fp-17, 0x1.b850340727143p-17, 0x1.ad40e23e09906p-17, 0x1.a275b9ec8a469p-17, 0x1.97ebaa4ff8dd1p-17, 0x1.8d9fceb1c629dp-17, 0x1.838f6c3b933e9p-17, 0x1.79b7efe27652bp-17, 0x1.7016ec689a7e4p-17, 0x1.66aa18746abe7p-17, 0x1.5d6f4cbc8cea3p-17, 0x1.54648247de81bp-17, 0x1.4b87d0c0c7fdcp-17, 0x1.42d76cdb21c33p-17, 0x1.3a51a6cc09bfcp-17, 0x1.31f4e8d2f6691p-17, 0x1.29bfb5d3666ddp-17, 0x1.21b0a7fe8dd98p-17, 0x1.19c66f8c654f5p-17, 0x1.11ffd18386c7ep-17, 0x1.0a5ba68f468c2p-17, 0x1.02d8d9e37e142p-17, 0x1.f6ecd05afd747p-18, 0x1.e866bd235a013p-18, 0x1.da1db36a82d43p-18, 0x1.cc1009a771bb7p-18, 0x1.be3c31bef5e6bp-18, 0x1.b0a0b75a8a595p-18, 0x1.a33c3e53d7fb6p-18, 0x1.960d8134104dep-18, 0x1.89134fc64d7cp-18, 0x1.7c4c8dbc35cf1p-18, 0x1.6fb831641d5e7p-18, 0x1.6355426ff0f9ep-18, 0x1.5722d8cc32699p-18, 0x1.4b201b865cd31p-18, 0x1.3f4c3fc206eb7p-18, 0x1.33a687bc27073p-18, 0x1.282e41dbd79fcp-18, 0x1.1ce2c7d00b09ep-18, 0x1.11c37db99e3efp-18, 0x1.06cfd1613cebp-18, 0x1.f80e72f12859bp-19, 0x1.e2d269cc9f791p-19, 0x1.cdea9438d28fp-19, 0x1.b9560cf09ddd1p-19, 0x1.a513fb58e2b4bp-19, 0x1.912392658df2ep-19, 0x1.7d840f8fbb027p-19, 0x1.6a34b9dc22234p-19, 0x1.5734e0f11045ap-19, 0x1.4483dc3b27f0cp-19, 0x1.32210a203acd3p-19, 0x1.200bcf3f83f17p-19, 0x1.0e4395bea9978p-19, 0x1.f98f9945acd6ap-20, 0x1.d72fce6aaee38p-20, 0x1.b566b8e65838ep-20, 0x1.94334d0deb17p-20, 0x1.739484997c309p-20, 0x1.53895dbe2eeb5p-20, 0x1.3410da5a249b1p-20, 0x1.1529ff312b74ap-20, 0x1.eda7a67288a5ep-21, 0x1.b21abdec61a72p-21, 0x1.77ab57c64878ap-21, 0x1.3e5787d3b855ep-21, 0x1.061d61ccaf467p-21, 0x1.9df5f0d9e7217p-22, 0x1.31dcb95388d56p-22, 0x1.8fd673f2bad86p-23, 0x1.80762611ec896p-24, -0x1.64122a53b510ep-28, -0x1.a488d5fedeb03p-24, -0x1.95387e32b43c5p-23, -0x1.2a0271764ebe1p-22, -0x1.8758e319fbe97p-22, -0x1.e2a3b58dfdad9p-22, -0x1.1df38ae5fd3b8p-21, -0x1.49939e4808265p-21, -0x1.7434374ac4ddfp-21, -0x1.9dd77e5fac268p-21, -0x1.c67fa216efdep-21, -0x1.ee2ed721b273cp-21, -0x1.0a73ac2622292p-20, -0x1.1d55b3387f5cdp-20, -0x1.2fbea4322ef47p-20, -0x1.41afa56d74333p-20, -0x1.5329e024b243p-20, -0x1.642e805ffcb9p-20, -0x1.74beb4e04103fp-20, -0x1.84dbaf08646dap-20, -0x1.9486a2c475d07p-20, -0x1.a3c0c66f25bbp-20, -0x1.b28b52b5cc7d4p-20, -0x1.c0e7827b0f6a9p-20, -0x1.ced692b86955fp-20, -0x1.dc59c25ea66d5p-20, -0x1.e972523597786p-20, -0x1.f62184bb01191p-20, -0x1.01344f007fc53p-19, -0x1.072471c5f93c3p-19, -0x1.0ce1ce180a571p-19, -0x1.126d07f76a2d6p-19, -0x1.17c6c3ea04f36p-19, -0x1.1cefa6e99482ep-19, -0x1.21e856523a0b9p-19, -0x1.26b177d12d171p-19, -0x1.2b4bb1537fe1bp-19, -0x1.2fb7a8f506dccp-19, -0x1.33f604ef6d281p-19, -0x1.38076b8974474p-19, -0x1.3bec830673d3cp-19, -0x1.3fa5f19611ad7p-19, -0x1.43345d443feaep-19, -0x1.46986be98775ep-19, -0x1.49d2c31b9a22ap-19, -0x1.4ce4081e3aab7p-19, -0x1.4fccdfd479fd8p-19, -0x1.528deeb24b916p-19, -0x1.5527d8ae77265p-19, -0x1.579b4134e6b96p-19, -0x1.59e8cb19542e2p-19, -0x1.5c11188a5d934p-19, -0x1.5e14cb04f50f5p-19, -0x1.5ff483483c06bp-19, -0x1.61b0e149c0408p-19, -0x1.634a842a203bdp-19, -0x1.64c20a2a13d2ap-19, -0x1.6618109fe0a88p-19, -0x1.674d33ed2d24ap-19, -0x1.68620f75433fcp-19, -0x1.69573d93af8f4p-19, -0x1.6a2d57934e69dp-19, -0x1.6ae4f5a5b797p-19, -0x1.6b7eaedb0f733p-19, -0x1.6bfb191a3d893p-19, -0x1.6c5ac9197f671p-19, -0x1.6c9e5257617bfp-19, -0x1.6cc647141276fp-19, -0x1.6cd3384b1811ap-19, -0x1.6cc5b5ad5ca18p-19, -0x1.6c9e4d9b98e52p-19, -0x1.6c5d8d2116971p-19, -0x1.6c03ffeeca0d7p-19, -0x1.6b923056c250ep-19, -0x1.6b08a747e799cp-19, -0x1.6a67ec4a1575bp-19, -0x1.69b0857a78f2dp-19, -0x1.68e2f7884824fp-19, -0x1.67ffc5b1ba3adp-19, -0x1.670771c155789p-19, -0x1.65fa7c0b7a4cp-19, -0x1.64d9636c3d5b5p-19, -0x1.63a4a5457f42p-19, -0x1.625cbd7d4a0e1p-19, -0x1.6102267c6e266p-19, -0x1.5f95592d5c4c4p-19, -0x1.5e16ccfb3cb74p-19, -0x1.5c86f7d141919p-19, -0x1.5ae64e1a2f10bp-19, -0x1.593542c01c0c2p-19, -0x1.5774472c6709cp-19, -0x1.55a3cb47dbb5bp-19, -0x1.53c43d7b0df78p-19, -0x1.51d60aaedccd2p-19, -0x1.4fd99e4d28745p-19, -0x1.4dcf6241b181ep-19, -0x1.4bb7befb2179ep-19, -0x1.49931b6c3a07fp-19, -0x1.4761dd0d2edf1p-19, -0x1.452467dd1c6d4p-19, -0x1.42db1e63a9ca5p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.3ce5c92440755p-5, -0x1.69d2dc0d09658p-5, -0x1.94c1440d15c94p-5, -0x1.bcd982fe25e76p-5, -0x1.e162eeef5a4edp-5, -0x1.00e1cdc1716e3p-4, -0x1.0ebfb9c5ba5eap-4, -0x1.1a1b5e8ca0fbcp-4, -0x1.22d21b0d91deap-4, -0x1.28cd76eafa654p-4, -0x1.2c01fbcfd217p-4, -0x1.2c6e069331781p-4, -0x1.2a1898d6a9c86p-4, -0x1.251031db750c7p-4, -0x1.1d69b3a91fd8ap-4, -0x1.133f5841710a9p-4, -0x1.06afb974b9ccep-4, -0x1.efb9d9e04ed4fp-5, -0x1.cdd76aa10af44p-5, -0x1.a80590b71f37ap-5, -0x1.7e9453fa09784p-5, -0x1.51d5367f18358p-5, -0x1.221a38607942bp-5, -0x1.df69fda8a6f38p-6, -0x1.75ec37a748563p-6, -0x1.0858e6eb2621bp-6, -0x1.2e92f088669bap-7, -0x1.1a916d000f50bp-9, 0x1.4bfa1af780d6ap-8, 0x1.964102a2574e2p-7, 0x1.44924b65f50ap-6, 0x1.bed95c723b015p-6, 0x1.1cc12150ae2cp-5, 0x1.5a105b0cb256ap-5, 0x1.9727cd123d1fcp-5, 0x1.d3d8778829b2bp-5, 0x1.07fb6dd0e8c3bp-4, 0x1.25ad746f7d28ep-4, 0x1.42eff2fc7c72ap-4, 0x1.5fb22b2b08b3p-4, 0x1.7be4ee602bb52p-4, 0x1.977a8e024b827p-4, 0x1.b266cb03e020ep-4, 0x1.cc9ec4e6ecf22p-4, 0x1.e618e86e223d8p-4, 0x1.feccde28ea822p-4, 0x1.0b59bc8086e84p-3, 0x1.16e3527548f57p-3, 0x1.2200aae8b386fp-3, 0x1.2cafbb6df27f2p-3, 0x1.36eeed0a89aa9p-3, 0x1.40bd1447145bep-3, 0x1.4a196981e161ap-3, 0x1.53038188311d3p-3, 0x1.5b7b4679d01aep-3, 0x1.6380f0f99bb78p-3, 0x1.6b1501acafabdp-3, 0x1.72383b0923d32p-3, 0x1.78eb9b749c267p-3, 0x1.7f3057b2415dbp-3, 0x1.8507d59f52a1bp-3, 0x1.8a73a73cfbe4ep-3, 0x1.8f758605c5667p-3, 0x1.940f4e8ca53c1p-3, 0x1.9842fc6378e66p-3, 0x1.9c12a646855e2p-3, 0x1.9f807a8a50624p-3, 0x1.a28ebbc941154p-3, 0x1.a53fbdce25eb5p-3, 0x1.a795e2b8d92fbp-3, 0x1.a993985a2cb1ap-3, 0x1.ab3b55c43716p-3, 0x1.ac8f990c350b8p-3, 0x1.ad92e53b3a49fp-3, 0x1.ae47c06ae8204p-3, 0x1.aeb0b20b8ed1ap-3, 0x1.aed041511637ep-3, 0x1.aea8f3c4361c6p-3, 0x1.ae3d4bf593e88p-3, 0x1.ad8fc8507a1b7p-3, 0x1.aca2e20aeea5fp-3, 0x1.ab790c311f71dp-3, 0x1.aa14b2ca100abp-3, 0x1.a8783a13c52a5p-3, 0x1.a6a5fdd50b402p-3, 0x1.a4a050c33fd18p-3, 0x1.a2697bfa858e9p-3, 0x1.a003be86ef086p-3, 0x1.9d714cfd38466p-3, 0x1.9ab45121d7d8ep-3, 0x1.97cee99d29defp-3, 0x1.94c329bba4517p-3, 0x1.9193193904c77p-3, 0x1.8e40b41594c2bp-3, 0x1.8acdea749b6cp-3, 0x1.873ca0832c477p-3, 0x1.838eae669f704p-3, 0x1.7fc5e03201ad7p-3, 0x1.7be3f5e1d701dp-3, 0x1.77eaa35da76p-3, 0x1.73db907ec37f5p-3, 0x1.6fb8591bd2fb9p-3, 0x1.6b828d18b33fdp-3, 0x1.673bb07a4131ap-3, 0x1.62e53b7db4c6dp-3, 0x1.5e809ab333eb1p-3, 0x1.5a0f2f1b4926cp-3, 0x1.55924e47077bfp-3, 0x1.510b427a8385bp-3, 0x1.4c7b4ad178802p-3, 0x1.47e39b65d5801p-3, 0x1.43455d7806de2p-3, 0x1.3ea1af98c9b2ep-3, 0x1.39f9a5d46471ap-3, 0x1.354e49df16e52p-3, 0x1.30a09b429bbb6p-3, 0x1.2bf18f8ca8463p-3, 0x1.2742127e34c91p-3, 0x1.2293063b880c9p-3, 0x1.1de5437cd95c2p-3, 0x1.193999bf79f92p-3, 0x1.1490cf77681b7p-3, 0x1.0feba2413f2f9p-3, 0x1.0b4ac71467694p-3, 0x1.06aeea7571517p-3, 0x1.0218b0a896459p-3, 0x1.fb116bc881c31p-4, 0x1.f1ff1d0723c9ep-4, 0x1.e8fb8e71a701bp-4, 0x1.e007ca7f9bb83p-4, 0x1.d724cd1fcbdf6p-4, 0x1.ce53841c12bd8p-4, 0x1.c594cf7c9f144p-4, 0x1.bce981ea88e11p-4, 0x1.b4526111b730dp-4, 0x1.abd02601ea0dp-4, 0x1.a3637d8eef8b5p-4, 0x1.9b0d08afd2bd6p-4, 0x1.92cd5cdd14dd4p-4, 0x1.8aa5046dbffbep-4, 0x1.82947ef35fae8p-4, 0x1.7a9c4194c0f27p-4, 0x1.72bcb76772103p-4, 0x1.6af641c7f4f2p-4, 0x1.634938b09a421p-4, 0x1.5bb5eb0ef984ep-4, 0x1.543c9f17fbfe2p-4, 0x1.4cdd929a73db6p-4, 0x1.4598fb50378eep-4, 0x1.3e6f072db77f6p-4, 0x1.375fdcb00b3c5p-4, 0x1.306b9b29703bdp-4, 0x1.29925b0c32bedp-4, 0x1.22d42e3400539p-4, 0x1.1c31202d9e831p-4, 0x1.15a9367d046e2p-4, 0x1.0f3c70e1d34dfp-4, 0x1.08eac99a2ff4dp-4, 0x1.02b435a3f8e8ep-4, 0x1.f93149f8b66b5p-5, 0x1.ed3005bb8b8e7p-5, 0x1.e1646bf87a7c2p-5, 0x1.d5ce41801da8p-5, 0x1.ca6d42fdcfe52p-5, 0x1.bf412566a5ab5p-5, 0x1.b449966534ac6p-5, 0x1.a9863cc236659p-5, 0x1.9ef6b8ca04f74p-5, 0x1.949aa4af00b12p-5, 0x1.8a7194e8e44dep-5, 0x1.807b189111b7ep-5, 0x1.76b6b9bbdfc8fp-5, 0x1.6d23fdcef6be5p-5, 0x1.63c265d4c31d8p-5, 0x1.5a916ecd0dd23p-5, 0x1.519091fabf258p-5, 0x1.48bf452ee3133p-5, 0x1.401cfb10f00bfp-5, 0x1.37a92364664e2p-5, 0x1.2f632b4bcf936p-5, 0x1.274a7d892dd98p-5, 0x1.1f5e82bbe9d0cp-5, 0x1.179ea19c479e1p-5, 0x1.100a3f3478d0bp-5, 0x1.08a0bf175293ap-5, 0x1.01618394ba0e4p-5, 0x1.f497dbd7a3003p-6, 0x1.e6bebcf5f44fap-6, 0x1.d93669db64af6p-6, 0x1.cbfda0d0c6d8ap-6, 0x1.bf131f6453b1ep-6, 0x1.b275a2b9505b9p-6, 0x1.a623e7d3e437fp-6, 0x1.9a1cabe137916p-6, 0x1.8e5eac7bfca3cp-6, 0x1.82e8a7ed7c607p-6, 0x1.77b95d6b3a9ebp-6, 0x1.6ccf8d515a8aap-6, 0x1.6229f959ce93dp-6, 0x1.57c764d07e151p-6, 0x1.4da694c469261p-6, 0x1.43c65035f0981p-6, 0x1.3a2560425a09p-6, 0x1.30c2904c9d6d2p-6, 0x1.279cae23a4de3p-6, 0x1.1eb28a2607d76p-6, 0x1.1602f76361875p-6, 0x1.0d8ccbbb56a18p-6, 0x1.054edffa5c452p-6, 0x1.fa901fe8c384ap-7, 0x1.eaee753ac2e8cp-7, 0x1.dbb6843ffd65ep-7, 0x1.cce617e472941p-7, 0x1.be7b01d0972d1p-7, 0x1.b0731a8b9ed86p-7, 0x1.a2cc419a646e1p-7, 0x1.95845d9b1ae97p-7, 0x1.88995c5defdb5p-7, 0x1.7c0932fac1234p-7, 0x1.6fd1dde4037ddp-7, 0x1.63f160f6f8dd4p-7, 0x1.5865c7896397cp-7, 0x1.4d2d2474baa1dp-7, 0x1.4245921f1f4cp-7, 0x1.37ad328215128p-7, 0x1.2d622f2f239bfp-7, 0x1.2362b9527d805p-7, 0x1.19ad09b3c3a0fp-7, 0x1.103f60b4ff62dp-7, 0x1.0718064fed68cp-7, 0x1.fc6a94235ab36p-8, 0x1.eb2b0629e2df6p-8, 0x1.da6e1ff57fa9ep-8, 0x1.ca30adc3bc4bdp-8, 0x1.ba6f8ab9f4344p-8, 0x1.ab27a0cf4414bp-8, 0x1.9c55e8b44571ep-8, 0x1.8df769b8b3af6p-8, 0x1.800939af21fdbp-8, 0x1.72887ccee0916p-8, 0x1.6572659432e9dp-8, 0x1.58c4349ef5465p-8, 0x1.4c7b388fd15f5p-8, 0x1.4094cde419c16p-8, 0x1.350e5ed06c6fbp-8, 0x1.29e5631a34741p-8, 0x1.1f175ff02247fp-8, 0x1.14a1e7c1b424ep-8, 0x1.0a829a15e628ap-8, 0x1.00b723611d708p-8, 0x1.ee7a79b4c9635p-9, 0x1.dc2558a01c931p-9, 0x1.ca6a87f79682fp-9, 0x1.b945c4aca017p-9, 0x1.a8b2e3d52112cp-9, 0x1.98add2514f44dp-9, 0x1.89329470f3c67p-9, 0x1.7a3d45984033fp-9, 0x1.6bca17e45244ap-9, 0x1.5dd553cf7bb67p-9, 0x1.505b57d57054p-9, 0x1.435898176708dp-9, 0x1.36c99e0049976p-9, 0x1.2aab07e908579p-9, 0x1.1ef988bd248fbp-9, 0x1.13b1e79f824c8p-9, 0x1.08d0ff8f968bap-9, 0x1.fca77e1dfd586p-10, 0x1.e86e4f8f252ffp-10, 0x1.d4f09c63fe519p-10, 0x1.c228b279eff91p-10, 0x1.b01103ea1134bp-10, 0x1.9ea4265a2cb6ap-10, 0x1.8ddcd24f32924p-10, 0x1.7db5e2812f888p-10, 0x1.6e2a5330e1893p-10, 0x1.5f35417ef02ap-10, 0x1.50d1eac4d8d6cp-10, 0x1.42fbabefb2c24p-10, 0x1.35ae00dcb412bp-10, 0x1.28e483b7a0d2fp-10, 0x1.1c9aec5b28287p-10, 0x1.10cd0fb32b4d4p-10, 0x1.0576df210c7b5p-10, 0x1.f528cfc3f291ep-11, 0x1.e043a4ee911d5p-11, 0x1.cc36c421c9f19p-11, 0x1.b8fae7f39e5fap-11, 0x1.a688fe0d75f22p-11, 0x1.94da260d94789p-11, 0x1.83e7b06cd1b84p-11, 0x1.73ab1d689709ap-11, 0x1.641e1bf125cffp-11, 0x1.553a889c2944ep-11, 0x1.46fa6c9b92048p-11, 0x1.3957fcb8bcee2p-11, 0x1.2c4d9853e4384p-11, 0x1.1fd5c867d517bp-11, 0x1.13eb3e91eb19cp-11, 0x1.0888d41e4915dp-11, 0x1.fb5312309d2dcp-12, 0x1.e69106be7f33cp-12, 0x1.d2c21b7e3a908p-12, 0x1.bfdd2e1b49bd3p-12, 0x1.add96296de3d9p-12, 0x1.9cae219251beap-12, 0x1.8c5316a1b1907p-12, 0x1.7cc02ea65dbafp-12, 0x1.6ded96319d7f6p-12, 0x1.5fd3b7ef1c394p-12, 0x1.526b3b1739e4cp-12, 0x1.45ad01e916fb6p-12, 0x1.3992282c48ba4p-12, 0x1.2e1401ba2203p-12, 0x1.232c190e70dcap-12, 0x1.18d42ddfa805ap-12, 0x1.0f0633be4c834p-12, 0x1.05bc50bba0debp-12, 0x1.f9e1b82ecb11ep-13, 0x1.e93cb9e9455d8p-13, 0x1.d97f122ab621cp-13, 0x1.ca9e873a24821p-13, 0x1.bc9137b420676p-13, 0x1.af4d982a828bp-13, 0x1.a2ca70d14248dp-13, 0x1.96fedb382c135p-13, 0x1.8be240113dff4p-13, 0x1.816c55037d5bdp-13, 0x1.77951a8a1cdp-13, 0x1.6e54d9dfaaeedp-13, 0x1.65a422f52b87bp-13, 0x1.5d7bca74de74dp-13, 0x1.55d4e7d08a77bp-13, 0x1.4ea8d35b0b49fp-13, 0x1.47f1246d0b776p-13, 0x1.41a7af9498f0dp-13, 0x1.3bc684cf82533p-13, 0x1.3647edd0386fdp-13, 0x1.31266c4d09bf4p-13, 0x1.2c5cb8598ab64p-13, 0x1.27e5bec9fdf2dp-13, 0x1.23bc9fa08383bp-13, 0x1.1fdcac83eb41bp-13, 0x1.1c41673ff8b19p-13, 0x1.18e6804eec4b5p-13, 0x1.15c7d56c1de9ap-13, 0x1.12e1702f8d5b2p-13, 0x1.102f84b229225p-13, 0x1.0dae703aadab9p-13, 0x1.0b5ab7f2ed3acp-13, 0x1.093107a557233p-13, 0x1.072e308296a71p-13, 0x1.054f27ef19c1dp-13, 0x1.0391065860576p-13, 0x1.01f10611e7a47p-13, 0x1.006c823985cf1p-13, 0x1.fe01eb462883cp-14, 0x1.fb57f3968eff4p-14, 0x1.f8d68ba300622p-14, 0x1.f6795af0fa358p-14, 0x1.f43c405b83b13p-14, 0x1.f21b502f25b21p-14, 0x1.f012d252c6ebdp-14, 0x1.ee1f407d1079ap-14, 0x1.ec3d44763df81p-14, 0x1.ea69b665eee17p-14, 0x1.e8a19b2cc3206p-14, 0x1.e6e222c9979d4p-14, 0x1.e528a6c9f87cap-14, 0x1.e372a8c5a5088p-14, 0x1.e1bdd0e4f2d29p-14, 0x1.e007ec71a5c7bp-14, 0x1.de4eec722ec98p-14, 0x1.dc90e44efa585p-14, 0x1.dacc0881a7a97p-14, 0x1.d8fead4dd3809p-14, 0x1.d7274583612d5p-14, 0x1.d5446149eecf8p-14, 0x1.d354acf54d40bp-14, 0x1.d156efe2b8faep-14, 0x1.cf4a0b5ebc923p-14, 0x1.cd2cf9935612ap-14, 0x1.cafecc7e7144fp-14, 0x1.c8beacf03a8edp-14, 0x1.c66bd9915e3efp-14, 0x1.c405a5f0d2fdcp-14, 0x1.c18b799917f7ap-14, 0x1.befccf2cb61d2p-14, 0x1.bc593389d5a3p-14, 0x1.b9a044f4b550cp-14, 0x1.b6d1b248e8992p-14, 0x1.b3ed3a311d6e6p-14, 0x1.b0f2aa654ecdfp-14, 0x1.ade1deef3c614p-14, 0x1.aabac174ebc11p-14, 0x1.a77d48892a59bp-14, 0x1.a4297701c9aebp-14, 0x1.a0bf5b5390f1ep-14, 0x1.9d3f0ef398febp-14, 0x1.99a8b5be1624p-14, 0x1.95fc7d624f6efp-14, 0x1.923a9cd3ad1dfp-14, 0x1.8e6353bfba36dp-14, 0x1.8a76ea08f7bc2p-14, 0x1.8675af46608c8p-14, 0x1.825ffa477e636p-14, 0x1.7e36289cf076p-14, 0x1.79f89e2546502p-14, 0x1.75a7c49e0df6dp-14, 0x1.71440b38fb918p-14, 0x1.6ccde6350caf5p-14, 0x1.6845ce7b88e73p-14, 0x1.63ac4140c7ad4p-14, 0x1.5f01bfa89ee8ap-14, 0x1.5a46ce6e60857p-14, 0x1.557bf5904abc6p-14, 0x1.50a1bffe57c73p-14, 0x1.4bb8bb4c4e367p-14, 0x1.46c17766fd2f7p-14, 0x1.41bc864c8ccb3p-14, 0x1.3caa7bc7cb2bdp-14, 0x1.378bed2e5ff17p-14, 0x1.32617121d042ap-14, 0x1.2d2b9f533d9bcp-14, 0x1.27eb1049cbc35p-14, 0x1.22a05d2b973p-14, 0x1.1d4c1f892a0acp-14, 0x1.17eef12b5c2aep-14, 0x1.12896be3889b4p-14, 0x1.0d1c295e0987bp-14, 0x1.07a7c2f6e608bp-14, 0x1.022cd190a0de8p-14, 0x1.f957dada2da1fp-15, 0x1.ee4b5c10b8408p-15, 0x1.e33553eb10313p-15, 0x1.d816ed7abcc7bp-15, 0x1.ccf1517d912c4p-15, 0x1.c1c5a6221a72ap-15, 0x1.b6950ecf7144ep-15, 0x1.ab60abf04eb28p-15, 0x1.a0299ac1497d7p-15, 0x1.94f0f5221d9ebp-15, 0x1.89b7d169e8c3p-15, 0x1.7e7f423e3a3c3p-15, 0x1.7348566ce1deap-15, 0x1.681418c865a73p-15, 0x1.5ce39007020f4p-15, 0x1.51b7bea41eb84p-15, 0x1.4691a2c424564p-15, 0x1.3b72361a97c02p-15, 0x1.305a6dd2687c7p-15, 0x1.254b3a785c763p-15, 0x1.1a4587e783962p-15, 0x1.0f4a3d37a0297p-15, 0x1.045a3cad71591p-15, 0x1.f2ecc75992b55p-16, 0x1.dd3f1558c5816p-16, 0x1.c7ad0a56b987dp-16, 0x1.b2384350a48f9p-16, 0x1.9ce25333ed677p-16, 0x1.87acc2d25809fp-16, 0x1.729910d9002bp-16, 0x1.5da8b1c9fe289p-16, 0x1.48dd0ff8a73c2p-16, 0x1.34378b883acebp-16, 0x1.1fb97a6ceba52p-16, 0x1.0b64286f27587p-16, 0x1.ee71ae61f8cd1p-17, 0x1.c6717c6b1e00fp-17, 0x1.9eca15d4f11ddp-17, 0x1.777dc1660143ap-17, 0x1.508eb1ea3078ep-17, 0x1.29ff064ff5c38p-17, 0x1.03d0c9c8caa0dp-17, 0x1.bc0be7d92bc47p-18, 0x1.7140d1bfcdf15p-18, 0x1.2743f2f9b9ddfp-18, 0x1.bc318dfa4938bp-19, 0x1.2b8546bba41f6p-19, 0x1.3912e0b47d0acp-20, 0x1.e8841790207eap-24, -0x1.f1136e8cb4be7p-21, -0x1.060c00deb96e6p-19, -0x1.8e0c12c5e33b1p-19, -0x1.0a200dfcac853p-18, -0x1.4c51b67ff38ddp-18, -0x1.8d98cdab18fa3p-18, -0x1.cdf3403cafa03p-18, -0x1.06af8e3b475efp-17, -0x1.25ed48cf5af5bp-17, -0x1.44b1f7bf21cc8p-17, -0x1.62fcd2ef55637p-17, -0x1.80cd2202aca05p-17, -0x1.9e223c16f6994p-17, -0x1.bafb8781a1143p-17, -0x1.d758798ba8db6p-17, -0x1.f338962d19cd7p-17, -0x1.074db7e412dcep-16, -0x1.14c05371f996fp-16, -0x1.21f3f4f38c563p-16, -0x1.2ee87a68f9ee7p-16, -0x1.3b9dc87c6f12ap-16, -0x1.4813ca5f23a93p-16, -0x1.544a71a66767ap-16, -0x1.6041b628b4325p-16, -0x1.6bf995dacb4acp-16, -0x1.777214ace02f4p-16, -0x1.82ab3c67e2764p-16, -0x1.8da51c8ada663p-16, -0x1.985fca2872f25p-16, -0x1.a2db5fc4a08adp-16, -0x1.ad17fd327c86cp-16, -0x1.b715c7724d3abp-16, -0x1.c0d4e88fc6fcfp-16, -0x1.ca558f80810aap-16, -0x1.d397f002ae29ap-16, -0x1.dc9c427c12896p-16, -0x1.e562c3d940fa7p-16, -0x1.edebb56d1ec3ep-16, -0x1.f6375cd0b3217p-16, -0x1.fe4603c344947p-16, -0x1.030bfc05642d1p-15, -0x1.06d6c5aa52034p-15, -0x1.0a83898b63287p-15, -0x1.0e1274388b2bep-15, -0x1.1183b407a048bp-15, -0x1.14d779056d1aap-15, -0x1.180df4e6f40a7p-15, -0x1.1b275afae134fp-15, -0x1.1e23e01b2cf57p-15, -0x1.2103ba9ef0849p-15, -0x1.23c7224c6a261p-15, -0x1.266e504b37054p-15, -0x1.28f97f16bc447p-15, -0x1.2b68ea70c7e44p-15, -0x1.2dbccf5460815p-15, -0x1.2ff56be8cb799p-15, -0x1.3212ff74c91c2p-15, -0x1.3415ca520235ep-15, -0x1.35fe0de0ac049p-15, -0x1.37cc0c7b60685p-15, -0x1.3980096b2bc3dp-15, -0x1.3b1a48dbd08b4p-15, -0x1.3c9b0fd03c8bbp-15, -0x1.3e02a417377b6p-15, -0x1.3f514c4044573p-15, -0x1.40874f90b75a1p-15, -0x1.41a4f5f901472p-15, -0x1.42aa880a2faa3p-15, -0x1.43984eeba156p-15, -0x1.446e9450ee681p-15, -0x1.452da27004e67p-15, -0x1.45d5c3f7793f6p-15, -0x1.466744050a4e4p-15, -0x1.46e26e1c5718ap-15, -0x1.47478e1dc9de7p-15, -0x1.4796f03db25bep-15, -0x1.47d0e0fb955edp-15, -0x1.47f5ad19ac46dp-15, -0x1.4805a1949528bp-15, -0x1.48010b9b3562ep-15, -0x1.47e83886cc792p-15, -0x1.47bb75d3350e5p-15, -0x1.477b11175739bp-15, -0x1.472757fdc8facp-15, -0x1.46c0983d9e97ap-15, -0x1.46471f936637fp-15, -0x1.45bb3bba52b1fp-15, -0x1.451d3a6594d21p-15, -0x1.446d6939de113p-15, -0x1.43ac15c71168dp-15, -0x1.42d98d821e4ebp-15, -0x1.41f61dbf06342p-15, -0x1.410213ab0f0e1p-15, -0x1.3ffdbc471bb22p-15, -0x1.3ee9646230283p-15, -0x1.3dc558941c888p-15, -0x1.3c91e538525e1p-15, -0x1.3b4f5668de0fcp-15, -0x1.39fdf7f98b298p-15, -0x1.389e15732adfep-15, -0x1.372ffa0f02ed9p-15, -0x1.35b3f0b260786p-15, -0x1.342a43ea50ca9p-15, -0x1.32933de77b321p-15, -0x1.30ef287a211p-15, -0x1.2f3e4d0e3f0e4p-15, -0x1.2d80f4a7d1a35p-15, -0x1.2bb767df3a5ffp-15, -0x1.29e1eeddc54d6p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.bc6c1909fd634p-4, -0x1.ecb6edfb40c9p-4, -0x1.0e702ccfd21a2p-3, -0x1.26557ee2a0e18p-3, -0x1.3defc0aed17e7p-3, -0x1.5526d4f18b5c4p-3, -0x1.6be67543b78b8p-3, -0x1.821e4390bb0a6p-3, -0x1.97c1b29b79a02p-3, -0x1.acc7d0d374171p-3, -0x1.c12afed8c53bdp-3, -0x1.d4e8994cd5701p-3, -0x1.e8009bfb4c0d2p-3, -0x1.fa754307ff631p-3, -0x1.062556d209ad7p-2, -0x1.0ec34269b505fp-2, -0x1.1717d4001f4dap-2, -0x1.1f26f03bfc4e5p-2, -0x1.26f4ce365a756p-2, -0x1.2e85d8dab4b06p-2, -0x1.35de941ee7182p-2, -0x1.3d0385f179773p-2, -0x1.43f922aaa4622p-2, -0x1.4ac3bcc0f6da4p-2, -0x1.5167777be3735p-2, -0x1.57e83c5ba2c15p-2, -0x1.5e49b2eddb073p-2, -0x1.648f3ac855e99p-2, -0x1.6abbe76660ce2p-2, -0x1.70d27da999619p-2, -0x1.76d572c3900b6p-2, -0x1.7cc6ec52914b9p-2, -0x1.82a8c180d53c2p-2, -0x1.887c7cfa27d7dp-2, -0x1.8e435f90c72c2p-2, -0x1.93fe636e808e7p-2, -0x1.99ae3fb342a6bp-2, -0x1.9f536c6609831p-2, -0x1.a4ee26a088e97p-2, -0x1.aa7e74e118ab4p-2, -0x1.b0042b71461b6p-2, -0x1.b57ef0d1f2f6cp-2, -0x1.baee422045eacp-2, -0x1.c0517768b84d8p-2, -0x1.c5a7c7df63325p-2, -0x1.caf04df65128dp-2, -0x1.d02a0b4c0e05dp-2, -0x1.d553ec6dec123p-2, -0x1.da6ccc6a9d864p-2, -0x1.df737832b07acp-2, -0x1.e466b1c55d871p-2, -0x1.e9453328ccb48p-2, -0x1.ee0db12d9b1f7p-2, -0x1.f2beddfdef1e4p-2, -0x1.f7576b78dff6ep-2, -0x1.fbd60d5b53d7bp-2, -0x1.001cbd9be08fdp-1, -0x1.0240391f45d11p-1, -0x1.0454db6c6b217p-1, -0x1.065a0b0bec55cp-1, -0x1.084f337d690e8p-1, -0x1.0a33c5c6ec178p-1, -0x1.0c0738f1dae13p-1, -0x1.0dc90a768f58fp-1, -0x1.0f78be97bbc23p-1, -0x1.1115e0aeb0b85p-1, -0x1.12a003699e29ap-1, -0x1.1416c0fcd6bdcp-1, -0x1.1579bb481fbaep-1, -0x1.16c89bf102d4bp-1, -0x1.1803147312063p-1, -0x1.1928de270229p-1, -0x1.1a39ba417161p-1, -0x1.1b3571ca27677p-1, -0x1.1c1bd58c8c2bep-1, -0x1.1cecbe020a348p-1, -0x1.1da80b37044ffp-1, -0x1.1e4da4aaf8169p-1, -0x1.1edd792c60574p-1, -0x1.1f577eb0dcb3cp-1, -0x1.1fbbb22a19214p-1, -0x1.200a1757e7dd3p-1, -0x1.2042b897f5a41p-1, -0x1.2065a6b378088p-1, -0x1.2072f8ab2da9dp-1, -0x1.206acb81fe92ap-1, -0x1.204d420685507p-1, -0x1.201a849bc32ep-1, -0x1.1fd2c1013965cp-1, -0x1.1f762a1a9eee9p-1, -0x1.1f04f7b75ede7p-1, -0x1.1e7f665a10dd2p-1, -0x1.1de5b7000b516p-1, -0x1.1d382ee938d86p-1, -0x1.1c77176049a84p-1, -0x1.1ba2bd8362bbfp-1, -0x1.1abb720d5c96fp-1, -0x1.19c1891fad8fcp-1, -0x1.18b55a0d0f04cp-1, -0x1.17973f24eea2ep-1, -0x1.1667957fbd1d8p-1, -0x1.1526bccc23936p-1, -0x1.13d5171d2f77p-1, -0x1.127308b97a079p-1, -0x1.1100f7eb581d3p-1, -0x1.0f7f4cd21674fp-1, -0x1.0dee71344bb9cp-1, -0x1.0c4ed0534244p-1, -0x1.0aa0d6bf80d31p-1, -0x1.08e4f22e7400fp-1, -0x1.071b91513db97p-1, -0x1.054523aca80f6p-1, -0x1.0362197244ad9p-1, -0x1.0172e35ab2f2fp-1, -0x1.feefe50222afep-2, -0x1.fae3707f32796p-2, -0x1.f6c14c1acaae8p-2, -0x1.f28a5abac5152p-2, -0x1.ee3f7efcd104p-2, -0x1.e9e19af8f7378p-2, -0x1.e57190066859bp-2, -0x1.e0f03e8296ad6p-2, -0x1.dc5e859a92f35p-2, -0x1.d7bd4316add8fp-2, -0x1.d30d53284e1d8p-2, -0x1.ce4f903a04a8cp-2, -0x1.c984d2c1ccfc3p-2, -0x1.c4adf1157598ap-2, -0x1.bfcbbf412f76ep-2, -0x1.badf0ee038438p-2, -0x1.b5e8aef79701dp-2, -0x1.b0e96bd2e873p-2, -0x1.abe20ee32d9fp-2, -0x1.a6d35e9f9818dp-2, -0x1.a1be1e6849e1ap-2, -0x1.9ca30e6afbb82p-2, -0x1.9782eb898b969p-2, -0x1.925e6f425b2f7p-2, -0x1.8d364f9a81ed8p-2, -0x1.880b3f09bf8d6p-2, -0x1.82ddec6828b8p-2, -0x1.7daf02dd84d26p-2, -0x1.787f29d24d2d3p-2, -0x1.734f04e24b615p-2, -0x1.6e1f33d0c06b9p-2, -0x1.68f0527e16b95p-2, -0x1.63c2f8df099b5p-2, -0x1.5e97baf53cd51p-2, -0x1.596f28c935c79p-2, -0x1.5449ce65af9cdp-2, -0x1.4f2833d439bf1p-2, -0x1.4a0add1b1990fp-2, -0x1.44f24a3c6073dp-2, -0x1.3fdef7363063fp-2, -0x1.3ad15c041ee43p-2, -0x1.35c9eca1abacap-2, -0x1.30c9190dc2becp-2, -0x1.2bcf4d4f3ee2bp-2, -0x1.26dcf17a5bd4fp-2, -0x1.21f269b716647p-2, -0x1.1d1016486724cp-2, -0x1.1836539453c0ep-2, -0x1.13657a2cc86a5p-2, -0x1.0e9dded93027fp-2, -0x1.09dfd2a0c2589p-2, -0x1.052ba2d57c9c1p-2, -0x1.0081991fb9bf8p-2, -0x1.f7c3f714cb58p-3, -0x1.ee9a191f74398p-3, -0x1.e586164d02f27p-3, -0x1.dc88659fb0b29p-3, -0x1.d3a1774ab7559p-3, -0x1.cad1b4cf8c39dp-3, -0x1.c219811bd4aeep-3, -0x1.b97938a816a15p-3, -0x1.b0f13196fecfp-3, -0x1.a881bbd5454f7p-3, -0x1.a02b213a0d41fp-3, -0x1.97eda5a7bb3a2p-3, -0x1.8fc9872d2f13p-3, -0x1.87befe275cc06p-3, -0x1.7fce3d632475bp-3, -0x1.77f7723f73cf1p-3, -0x1.703ac4cf8ccc8p-3, -0x1.689857fd7b6c1p-3, -0x1.611049ac9e9dcp-3, -0x1.59a2b2dc3e698p-3, -0x1.524fa7ca2ae02p-3, -0x1.4b1738154b382p-3, -0x1.43f96ee024ff1p-3, -0x1.3cf652f34481ep-3, -0x1.360de6df7f627p-3, -0x1.2f4029200cf4dp-3, -0x1.288d143c6e3adp-3, -0x1.21f49eea14c94p-3, -0x1.1b76bc2dc5f17p-3, -0x1.15135b7cb6abcp-3, -0x1.0eca68dd57764p-3, -0x1.089bcd07c1348p-3, -0x1.02876d85d0412p-3, -0x1.f91a59a5a85f5p-4, -0x1.ed59d4f5b1485p-4, -0x1.e1cd067313c91p-4, -0x1.d673a2313ac6ep-4, -0x1.cb4d571b98aefp-4, -0x1.c059cf30a65aap-4, -0x1.b598afbbed6cp-4, -0x1.ab09998f0e4c9p-4, -0x1.a0ac2939c8d85p-4, -0x1.967ff740ea547p-4, -0x1.8c8498544a61dp-4, -0x1.82b99d8397c4fp-4, -0x1.791e947220498p-4, -0x1.6fb3078979e49p-4, -0x1.66767e2b109bep-4, -0x1.5d687ce096328p-4, -0x1.5488858b51da8p-4, -0x1.4bd617924fbcep-4, -0x1.4350b00f6c4d4p-4, -0x1.3af7c9fb3f744p-4, -0x1.32cade57e2fe3p-4, -0x1.2ac9645a97a5ap-4, -0x1.22f2d1944750fp-4, -0x1.1b469a18e6468p-4, -0x1.13c430a5b5183p-4, -0x1.0c6b06c661dfep-4, -0x1.053a8cf910013p-4, -0x1.fc6465a281fcfp-5, -0x1.eea2ce335019p-5, -0x1.e12f2fe9ca764p-5, -0x1.d40865fa5d0f2p-5, -0x1.c72d4ac5ce0bbp-5, -0x1.ba9cb81452d04p-5, -0x1.ae55874e90b5bp-5, -0x1.a25691b48c947p-5, -0x1.969eb092989fbp-5, -0x1.8b2cbd743f25ep-5, -0x1.7fff925536895p-5, -0x1.751609d067ef5p-5, -0x1.6a6eff4d0b1d1p-5, -0x1.60094f29e5951p-5, -0x1.55e3d6e6b1e1cp-5, -0x1.4bfd754bbaaa2p-5, -0x1.42550a8facbb1p-5, -0x1.38e9787bb35e8p-5, -0x1.2fb9a28dda14ap-5, -0x1.26c46e19cbf53p-5, -0x1.1e08c267ebcc6p-5, -0x1.158588d2d9b4ep-5, -0x1.0d39ace3668a6p-5, -0x1.05241c6b0724ep-5, -0x1.fa878f39918bbp-6, -0x1.eb2f4249a82bbp-6, -0x1.dc3d3c7d11cd4p-6, -0x1.cdaf6d9274ee5p-6, -0x1.bf83cab729578p-6, -0x1.b1b84eab6c604p-6, -0x1.a44af9e40dcf1p-6, -0x1.9739d2a9a6ec6p-6, -0x1.8a82e53571994p-6, -0x1.7e2443cbd1016p-6, -0x1.721c06d49892ep-6, -0x1.66684cf129283p-6, -0x1.5b073b1077658p-6, -0x1.4ff6fc81019d6p-6, -0x1.4535c300d37f8p-6, -0x1.3ac1c6cba2d4p-6, -0x1.309946a715726p-6, -0x1.26ba87ed3f3bp-6, -0x1.1d23d6956f4c3p-6, -0x1.13d3853b54e48p-6, -0x1.0ac7ed248fa6p-6, -0x1.01ff6e44bb6a6p-6, -0x1.f2f0de80073b6p-7, -0x1.e262bad899ceep-7, -0x1.d25159a215e3bp-7, -0x1.c2b9b04b9149cp-7, -0x1.b398c19edeffdp-7, -0x1.a4eb9db8cd64cp-7, -0x1.96af61ff1dc23p-7, -0x1.88e1391448e3bp-7, -0x1.7b7e5ac941fcfp-7, -0x1.6e840c0d4050bp-7, -0x1.61ef9edba34bdp-7, -0x1.55be72281e1efp-7, -0x1.49edf1c92804fp-7, -0x1.3e7b9660e2c0bp-7, -0x1.3364e544770afp-7, -0x1.28a77062074d3p-7, -0x1.1e40d6254d378p-7, -0x1.142ec15af50c3p-7, -0x1.0a6ee912ca313p-7, -0x1.00ff1080c9045p-7, -0x1.efba0dba4fa0cp-8, -0x1.de0d4e86d57a4p-8, -0x1.ccf3b12122b6cp-8, -0x1.bc691a80e4fcdp-8, -0x1.ac698694a61a8p-8, -0x1.9cf107f99596ap-8, -0x1.8dfbc7b209c6cp-8, -0x1.7f8604dad5b09p-8, -0x1.718c145f92f38p-8, -0x1.640a60adfa7ap-8, -0x1.56fd69686425ap-8, -0x1.4a61c3178b05p-8, -0x1.3e3416dbac503p-8, -0x1.3271221d1b106p-8, -0x1.2715b63c5b96dp-8, -0x1.1c1eb841e1c9p-8, -0x1.1189208d83253p-8, -0x1.0751fa85b423cp-8, -0x1.faecc88d40e3p-9, -0x1.e7e71ca26abdcp-9, -0x1.d58d767456eddp-9, -0x1.c3da7eb24824ep-9, -0x1.b2c900efd1f4bp-9, -0x1.a253eb03bbb73p-9, -0x1.92764c6766a28p-9, -0x1.832b5596cfcbfp-9, -0x1.746e57714bf1bp-9, -0x1.663ac29b126e5p-9, -0x1.588c26dfb49d1p-9, -0x1.4b5e32959321fp-9, -0x1.3eacb20268babp-9, -0x1.32738ec1008cdp-9, -0x1.26aecf2828446p-9, -0x1.1b5a95b2ee57p-9, -0x1.1073206a440f2p-9, -0x1.05f4c8500ab2p-9, -0x1.f7b801974368bp-10, -0x1.e44aae2ffa9e4p-10, -0x1.d19ae366b0118p-10, -0x1.bfa21fa109a6ap-10, -0x1.ae5a1193e9c79p-10, -0x1.9dbc972cdf24fp-10, -0x1.8dc3bc7f25912p-10, -0x1.7e69bab43014cp-10, -0x1.6fa8f6ffde033p-10, -0x1.617c01985f908p-10, -0x1.53dd94b1d1c9ap-10, -0x1.46c8937dae154p-10, -0x1.3a38092dfa18ep-10, -0x1.2e2727fc62cbbp-10, -0x1.229148352c318p-10, -0x1.1771e74607c27p-10, -0x1.0cc4a6d0da80dp-10, -0x1.02854bc26c8b6p-10, -0x1.f15f7ada0eefep-11, -0x1.de80094e16e76p-11, -0x1.cc6495dae2819p-11, -0x1.bb05b31481011p-11, -0x1.aa5c317de9c2fp-11, -0x1.9a611de5a343ep-11, -0x1.8b0dbfca40f37p-11, -0x1.7c5b97c6aed2cp-11, -0x1.6e445e064457bp-11, -0x1.60c200c091853p-11, -0x1.53cea2bcdf3c7p-11, -0x1.476499dd51721p-11, -0x1.3b7e6db1a1239p-11, -0x1.3016d6115ef78p-11, -0x1.2528b9bdab9e4p-11, -0x1.1aaf2d0a5a03bp-11, -0x1.10a5708e67815p-11, -0x1.0706efdbb6792p-11, -0x1.fb9e807bf5d3bp-12, -0x1.e9f43f01872e6p-12, -0x1.d906e57917ec5p-12, -0x1.c8ce8a5584be1p-12, -0x1.b9438e0153f39p-12, -0x1.aa5e98a20f769p-12, -0x1.9c1897e8fe67bp-12, -0x1.8e6abcf1123bdp-12, -0x1.814e7a29dd77bp-12, -0x1.74bd814f5f58bp-12, -0x1.68b1c16e767ap-12, -0x1.5d2564f5cc14ep-12, -0x1.5212cfd300751p-12, -0x1.47749d9bf25b3p-12, -0x1.3d459fc3e072p-12, -0x1.3380dbdc44dd4p-12, -0x1.2a2189e125fa4p-12, -0x1.21231290bccbdp-12, -0x1.18810dce2bb67p-12, -0x1.1037410f25936p-12, -0x1.08419dd442e5ep-12, -0x1.009c402bdeebbp-12, -0x1.f286da7e805dcp-13, -0x1.e46723d3cad68p-13, -0x1.d6d282b571408p-13, -0x1.c9c2677dff9p-13, -0x1.bd3089edb09dp-13, -0x1.b116e6a60bc9dp-13, -0x1.a56fbcb7d7694p-13, -0x1.9a358b42f6831p-13, -0x1.8f630f27d1954p-13, -0x1.84f340c9e9f2cp-13, -0x1.7ae151e34313ap-13, -0x1.7128ab68313ffp-13, -0x1.67c4eb7b41068p-13, -0x1.5eb1e370d8ea7p-13, -0x1.55eb95e22f81ap-13, -0x1.4d6e34cf47a51p-13, -0x1.45361fcf97bc4p-13, -0x1.3d3fe250fe74bp-13, -0x1.358831e4b5a3ep-13, -0x1.2e0bec99e85a1p-13, -0x1.26c817659b146p-13, -0x1.1fb9dc9791654p-13, -0x1.18de8a5bde33dp-13, -0x1.12339148d3cfdp-13, -0x1.0bb682f8f8e2ap-13, -0x1.056510b0c07a6p-13, -0x1.fe7a141f64a75p-14, -0x1.f278b799666bfp-14, -0x1.e6c21cfa5e7c1p-14, -0x1.db528acd9804ep-14, -0x1.d0267ab6e0459p-14, -0x1.c53a973e818d8p-14, -0x1.ba8bb9b0d73cdp-14, -0x1.b016e810af37cp-14, -0x1.a5d9531c40f46p-14, -0x1.9bd05463f3f9dp-14, -0x1.91f96c729bbebp-14, -0x1.885241069e032p-14, -0x1.7ed89b5b8bd9fp-14, -0x1.758a6683b285ap-14, -0x1.6c65add12f3fap-14, -0x1.63689b4e10ff5p-14, -0x1.5a91764318ecep-14, -0x1.51dea1cca7a6ap-14, -0x1.494e9b7d6eae3p-14, -0x1.40dffa0e778fdp-14, -0x1.38916c1c1d267p-14, -0x1.3061b6ef8e7f1p-14, -0x1.284fb5547afcp-14, -0x1.205a567a84a38p-14, -0x1.18809ce21bd37p-14, -0x1.10c19d5467098p-14, -0x1.091c7de5de1e8p-14, -0x1.019075033f9bp-14, -0x1.f439911115df1p-15, -0x1.e58199c35ad71p-15, -0x1.d6f7c8691cb91p-15, -0x1.c89afb2858aa8p-15, -0x1.ba6a2878fb374p-15, -0x1.ac645dad92affp-15, -0x1.9e88bd8c5c6f9p-15, -0x1.90d67ef8247d9p-15, -0x1.834ceba86261bp-15, -0x1.75eb5ef018abfp-15, -0x1.68b14492e6b56p-15, -0x1.5b9e17a7d66e2p-15, -0x1.4eb1618961a27p-15, -0x1.41eab8d23cdc3p-15, -0x1.3549c0666bf1cp-15, -0x1.28ce268831a4ep-15, -0x1.1c77a3f8698e2p-15, -0x1.1045fb21df84ap-15, -0x1.0438f74f3e8dbp-15, -0x1.f0a0d7d65dad3p-16, -0x1.d91867947e943p-16, -0x1.c1d860fc7f316p-16, -0x1.aae093654e88dp-16, -0x1.9430d9236950ap-16, -0x1.7dc91663d1a99p-16, -0x1.67a9381721421p-16, -0x1.51d132ec004d3p-16, -0x1.3c41025877ad5p-16, -0x1.26f8a7b1738bp-16, -0x1.11f8294fe581cp-16, -0x1.fa7f2385f985cp-17, -0x1.d19dde1dbb262p-17, -0x1.a94ca3eeb5843p-17, -0x1.818b9aac4aa4ep-17, -0x1.5a5aeaf7fc992p-17, -0x1.33babf38c720cp-17, -0x1.0dab42869d067p-17, -0x1.d0593f5224169p-18, -0x1.867e0050bbf05p-18, -0x1.3dc516dfc1069p-18, -0x1.ec5d98056c807p-19, -0x1.5f76c2e05bda9p-19, -0x1.a9ac40d9d40bfp-20, -0x1.31f03be94edcdp-21, 0x1.ccb949da53ab3p-22, 0x1.7ac6b038a8488p-20, 0x1.3ee867953fcdep-19, 0x1.be265d46dbe62p-19, 0x1.1d8eae04d241p-18, 0x1.5ae6d2a33f9bep-18, 0x1.971bcd1389a02p-18, 0x1.d22dde4fee523p-18, 0x1.060eac158256ap-17, 0x1.22754ed8c833p-17, 0x1.3e4b11be139d7p-17, 0x1.599037f8c9f0cp-17, 0x1.74450dbd6f95fp-17, 0x1.8e69e854decf7p-17, 0x1.a7ff262923e45p-17, 0x1.c1052ecc67de6p-17, 0x1.d97c72fa27d42p-17, 0x1.f1656c933fc78p-17, 0x1.04604f4a7f362p-16, 0x1.0fc74a85d1321p-16, 0x1.1ae7f2804c6dp-16, 0x1.25c296325685ep-16, 0x1.305788fb4d4d7p-16, 0x1.3aa722931356bp-16, 0x1.44b1befa061fp-16, 0x1.4e77be6781d6cp-16, 0x1.57f985370e2aep-16, 0x1.61377bd44e012p-16, 0x1.6a320ea5d2934p-16, 0x1.72e9adf6e6172p-16, 0x1.7b5ecde07423cp-16, 0x1.8391e63111fdp-16, 0x1.8b83725452022p-16, 0x1.9333f1396dc63p-16, 0x1.9aa3e5395bp-16, 0x1.a1d3d3fc60eefp-16, 0x1.a8c4465f41aa6p-16, 0x1.af75c8580399fp-16, 0x1.b5e8e8da72277p-16, 0x1.bc1e39bc6078p-16, 0x1.c2164f99bec04p-16, 0x1.c7d1c1b88ad81p-16, 0x1.cd5129ecb99a5p-16, 0x1.d295247c087cbp-16, 0x1.d79e5001e4c5ap-16, 0x1.dc6d4d5352c27p-16, 0x1.e102bf62fbe69p-16, 0x1.e55f4b2556db8p-16, 0x1.e9839774ff201p-16, 0x1.ed704cf73fdp-16, 0x1.f1261600daf3dp-16, 0x1.f4a59e7b131aep-16, 0x1.f7ef93c8ff2e4p-16, 0x1.fb04a4ad2b5cep-16, 0x1.fde5812f96fcap-16, 0x1.00496d42001edp-15, 0x1.0186b1784f0e9p-15, 0x1.02aae6da980bfp-15, 0x1.03b6677940378p-15, 0x1.04a98dc9254adp-15, 0x1.0584b497ca74fp-15, 0x1.064836ffbb9dbp-15, 0x1.06f4705d2cd48p-15, 0x1.0789bc42d3081p-15, 0x1.0808766ef9456p-15, 0x1.0870fac0d56p-15, 0x1.08c3a52e14724p-15, 0x1.0900d1b8ac8abp-15, 0x1.0928dc64e7a26p-15, 0x1.093c212fb0de8p-15, 0x1.093afc051eb5p-15, 0x1.0925c8b73e482p-15, 0x1.08fce2f51ee33p-15, 0x1.08c0a6421945fp-15, 0x1.08716ded5b08cp-15, 0x1.080f9509ae2b4p-15, 0x1.079b76658121p-15, 0x1.07156c832b095p-15, 0x1.067dd19171d59p-15, 0x1.05d4ff644be26p-15, 0x1.051b4f6dddbbap-15, 0x1.04511ab7b8ba8p-15, 0x1.0376b9dc50c3cp-15, 0x1.028c8500b111fp-15, 0x1.0192d3ce69edbp-15, 0x1.0089fd6db9d7ap-15, 0x1.fee4b0ffdf3fbp-16, 0x1.fc987634050ffp-16, 0x1.fa2ff57ecd215p-16, 0x1.f7abd8ba28987p-16, 0x1.f50cc8898e316p-16, 0x1.f2536c50e4f31p-16, 0x1.ef806a2bd0e2bp-16, 0x1.ec9466e56bccdp-16, 0x1.e99005f05e9d4p-16, 0x1.e673e95f627a3p-16, 0x1.e340b1de1caabp-16, 0x1.dff6feaa5bc34p-16, 0x1.dc976d8db61acp-16, 0x1.d9229ad77bd48p-16, 0x1.d59921570698p-16, 0x1.d1fb9a565f076p-16, 0x1.ce4a9d9537f64p-16, 0x1.ca86c1443b0d3p-16, 0x1.c6b09a00a902ep-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d0bdf50921242p-2, 0x1.d37a3e09b241ap-2, 0x1.d64c4be7260ecp-2, 0x1.d9271f074f1efp-2, 0x1.dbfec96334a84p-2, 0x1.dec8b87adcb27p-2, 0x1.e17bdedcddea5p-2, 0x1.e410c3d91245ep-2, 0x1.e6817f79dabd8p-2, 0x1.e8c9a81b96f32p-2, 0x1.eae6361d5cb59p-2, 0x1.ecd5614cb0d18p-2, 0x1.ee967ae7d879dp-2, 0x1.f029c666000d1p-2, 0x1.f19052a42313ep-2, 0x1.f2cbd49fb9faep-2, 0x1.f3de848a2e29fp-2, 0x1.f4cafdb6843cep-2, 0x1.f59421aa06725p-2, 0x1.f63cfe6e18161p-2, 0x1.f6c8b821bdd4bp-2, 0x1.f73a75b295d7ep-2, 0x1.f79550952c5a9p-2, 0x1.f7dc4749ed4fep-2, 0x1.f8123275a1af2p-2, 0x1.f839bc50ef705p-2, 0x1.f8555a3170527p-2, 0x1.f86747efa4552p-2, 0x1.f87184ef0b542p-2, 0x1.f875d2909331ap-2, 0x1.f875b3db0a836p-2, 0x1.f8726e291c785p-2, 0x1.f86d0ab06ec5ap-2, 0x1.f86658b9974f6p-2, 0x1.f85ef064af636p-2, 0x1.f85735da4958fp-2, 0x1.f84f5ccc4ade2p-2, 0x1.f8476c2dd068fp-2, 0x1.f83f420c8dc54p-2, 0x1.f836977937ce9p-2, 0x1.f82d046f624ddp-2, 0x1.f82203afbff36p-2, 0x1.f814f6821afeap-2, 0x1.f80528565a01ep-2, 0x1.f7f1d23dd132fp-2, 0x1.f7da1e37ae52dp-2, 0x1.f7bd2a4cc76d6p-2, 0x1.f79a0b784118dp-2, 0x1.f76fd05b9a54p-2, 0x1.f73d83bd80206p-2, 0x1.f7022ed3a192ap-2, 0x1.f6bcdb5840276p-2, 0x1.f66c956cccce1p-2, 0x1.f6106d4b418dep-2, 0x1.f5a778c832dd4p-2, 0x1.f530d4a7d5bbfp-2, 0x1.f4aba5c861698p-2, 0x1.f4171a2446e9cp-2, 0x1.f37269aed19cdp-2, 0x1.f2bcd70dc18aap-2, 0x1.f1f5b03270034p-2, 0x1.f11c4ed4fcbc2p-2, 0x1.f03018d3fbda9p-2, 0x1.ef30807af94aep-2, 0x1.ee1d04b219754p-2, 0x1.ecf53118fadcdp-2, 0x1.ebb89e0ee4ea2p-2, 0x1.ea66f0aa2c0e9p-2, 0x1.e8ffdaa09bb07p-2, 0x1.e7831a22907bap-2, 0x1.e5f079aa53c0cp-2, 0x1.e447cfc12b142p-2, 0x1.e288febb6fb4fp-2, 0x1.e0b3f46ce9f3ap-2, 0x1.dec8a9d68c454p-2, 0x1.dcc722ce9a4abp-2, 0x1.daaf6da427f97p-2, 0x1.d881a2bec7145p-2, 0x1.d63de43b3058bp-2, 0x1.d3e45d8591b25p-2, 0x1.d17542f22582fp-2, 0x1.cef0d154a1ec4p-2, 0x1.cc574d9700f9dp-2, 0x1.c9a9045012b3p-2, 0x1.c6e6495a42306p-2, 0x1.c40f776ae3e9dp-2, 0x1.c124efaa60ccep-2, 0x1.be27194d855a5p-2, 0x1.bb1661302b553p-2, 0x1.b7f339717dc81p-2, 0x1.b4be191200478p-2, 0x1.b1777b9380261p-2, 0x1.ae1fe09b19d1ep-2, 0x1.aab7cb956697ap-2, 0x1.a73fc35cf437p-2, 0x1.a3b851e31299cp-2, 0x1.a02203db119ffp-2, 0x1.9c7d6867f4489p-2, 0x1.98cb10ccaacdbp-2, 0x1.950b901ed4255p-2, 0x1.913f7afc164bbp-2, 0x1.8d676742064c5p-2, 0x1.8983ebc8a8d7cp-2, 0x1.8595a01f884f7p-2, 0x1.819d1c4d612b2p-2, 0x1.7d9af89259b77p-2, 0x1.798fcd2ccdfa3p-2, 0x1.757c32209d439p-2, 0x1.7160bf00fb9efp-2, 0x1.6d3e0abcbc24fp-2, 0x1.6914ab6d0bd2cp-2, 0x1.64e5362697304p-2, 0x1.60b03ecd0bcfap-2, 0x1.5c7657e8f4c6p-2, 0x1.5838127fd9edp-2, 0x1.53f5fdeea5e11p-2, 0x1.4fb0a7c63da22p-2, 0x1.4b689baa3e65dp-2, 0x1.471e6331dcc59p-2, 0x1.42d285cacf4a7p-2, 0x1.3e85889e3ff19p-2, 0x1.3a37ee77b3817p-2, 0x1.35ea37add82d1p-2, 0x1.319ce20d355cap-2, 0x1.2d5068c4a69dfp-2, 0x1.290544539c052p-2, 0x1.24bbea7a0c336p-2, 0x1.2074ce2a0ec6dp-2, 0x1.1c305f7b12726p-2, 0x1.17ef0b9e9b646p-2, 0x1.13b13cd683d2fp-2, 0x1.0f775a6cac358p-2, 0x1.0b41c8ac0edb3p-2, 0x1.0710e8db2cc06p-2, 0x1.02e51937c0b9bp-2, 0x1.fd7d69e76215ap-3, 0x1.f53c28665d62ap-3, 0x1.ed071817f4f3ep-3, 0x1.e4dedd0b7749fp-3, 0x1.dcc41536c4c35p-3, 0x1.d4b7587b0f3b5p-3, 0x1.ccb938ab782a6p-3, 0x1.c4ca41957bb19p-3, 0x1.bceaf90b0aa73p-3, 0x1.b51bdeee420edp-3, 0x1.ad5d6d3ea83bbp-3, 0x1.a5b01827d1b5dp-3, 0x1.9e144e11697bcp-3, 0x1.968a77b07349ap-3, 0x1.8f12f819c29e6p-3, 0x1.87ae2cd585125p-3, 0x1.805c6df3df1dcp-3, 0x1.791e0e2271177p-3, 0x1.71f35ac2c388ep-3, 0x1.6adc9c0183198p-3, 0x1.63da14ee74503p-3, 0x1.5cec03951e4a9p-3, 0x1.5612a1160230bp-3, 0x1.4f4e21c070fd7p-3, 0x1.489eb52cce591p-3, 0x1.420486574b144p-3, 0x1.3b7fbbbafb1ep-3, 0x1.3510776d3fea9p-3, 0x1.2eb6d73976958p-3, 0x1.2872f4bcdc8ccp-3, 0x1.2244e582a2da1p-3, 0x1.1c2cbb201e73ep-3, 0x1.162a835113d24p-3, 0x1.103e48140527ap-3, 0x1.0a680fc687a3p-3, 0x1.04a7dd4187fb8p-3, 0x1.fdfb5feb0e231p-4, 0x1.f2d3080d5fb81p-4, 0x1.e7d6a4d1a968fp-4, 0x1.dd0621f66a715p-4, 0x1.d26165483cb3fp-4, 0x1.c7e84ed88d627p-4, 0x1.bd9ab933dfc84p-4, 0x1.b378799781954p-4, 0x1.a9816026a61bcp-4, 0x1.9fb5381eddf2cp-4, 0x1.9613c80bdf609p-4, 0x1.8c9cd1faa5886p-4, 0x1.835013abbf7aap-4, 0x1.7a2d46c4e3ea2p-4, 0x1.71342101b5a43p-4, 0x1.68645463b13c6p-4, 0x1.5fbd8f6142dd2p-4, 0x1.573f7d13fc7eep-4, 0x1.4ee9c565e6e64p-4, 0x1.46bc0d3dea3d1p-4, 0x1.3eb5f6ab4bd07p-4, 0x1.36d721103a9ecp-4, 0x1.2f1f294b6b0ecp-4, 0x1.278da9e0bce46p-4, 0x1.20223b20ecac4p-4, 0x1.18dc73504b595p-4, 0x1.11bbe6cc7f973p-4, 0x1.0ac028314b316p-4, 0x1.03e8c87c594edp-4, 0x1.fa6aae6022ec5p-5, 0x1.ed4ac4eae563bp-5, 0x1.e070ee79ead9dp-5, 0x1.d3dc42bced557p-5, 0x1.c78bd7705a435p-5, 0x1.bb7ec09953413p-5, 0x1.afb410bfcb1fep-5, 0x1.a42ad926bf1c6p-5, 0x1.98e22a0296de1p-5, 0x1.8dd912ada977dp-5, 0x1.830ea1daf3081p-5, 0x1.7881e5c6fc06bp-5, 0x1.6e31ec66f8954p-5, 0x1.641dc3962b6e3p-5, 0x1.5a44794189491p-5, 0x1.50a51b91aefe3p-5, 0x1.473eb913268c5p-5, 0x1.3e1060dd0ad45p-5, 0x1.351922b60bce8p-5, 0x1.2c580f37de207p-5, 0x1.23cc37f11c0fep-5, 0x1.1b74af859f353p-5, 0x1.135089cd5f3e7p-5, 0x1.0b5edbf1d568ap-5, 0x1.039ebc89f7afap-5, 0x1.f81e8769927aep-6, 0x1.e95f16651fdddp-6, 0x1.dafd5cf969d09p-6, 0x1.ccf795b8aa4e6p-6, 0x1.bf4bfeff24828p-6, 0x1.b1f8db1b4481dp-6, 0x1.a4fc70735e541p-6, 0x1.985509a90fd14p-6, 0x1.8c00f5ba60109p-6, 0x1.7ffe8820a58f1p-6, 0x1.744c18ed482ap-6, 0x1.68e804e46e681p-6, 0x1.5dd0ad959febfp-6, 0x1.5304797278815p-6, 0x1.4881d3e370b17p-6, 0x1.3e472d5ad1bp-6, 0x1.3452fb65e14aap-6, 0x1.2aa3b8bc57728p-6, 0x1.2137e54e2abf6p-6, 0x1.180e064fc095ep-6, 0x1.0f24a6449559cp-6, 0x1.067a550864696p-6, 0x1.fc1b4fadc5c6p-7, 0x1.ebba72a430e97p-7, 0x1.dbcf530ec9ffcp-7, 0x1.cc573be682432p-7, 0x1.bd4f83077feb8p-7, 0x1.aeb58933dddefp-7, 0x1.a086ba14153f3p-7, 0x1.92c08c354ec15p-7, 0x1.856081059ea0ap-7, 0x1.786424ce4fc3cp-7, 0x1.6bc90eac424cfp-7, 0x1.5f8ce0868ed79p-7, 0x1.53ad470368c1fp-7, 0x1.4827f97b6b242p-7, 0x1.3cfab9eb52901p-7, 0x1.322354e44d1ffp-7, 0x1.279fa17adc2dbp-7, 0x1.1d6d81346db2cp-7, 0x1.138adff3b84bap-7, 0x1.09f5b3e3ecb9cp-7, 0x1.00abfd62ce102p-7, 0x1.ef578dd386ccap-8, 0x1.dde649ebe3b0cp-8, 0x1.cd006bdee047ep-8, 0x1.bca2441f43121p-8, 0x1.acc8368d93e3ep-8, 0x1.9d6eba41ce6a2p-8, 0x1.8e925953bc6ecp-8, 0x1.802fb0a216461p-8, 0x1.72436f987e374p-8, 0x1.64ca57f47547fp-8, 0x1.57c13d895f15fp-8, 0x1.4b250603aafc7p-8, 0x1.3ef2a8ab3f3a2p-8, 0x1.33272e2532c37p-8, 0x1.27bfb034f4b66p-8, 0x1.1cb9597cec22ep-8, 0x1.1211653eac052p-8, 0x1.07c51f1ac81c1p-8, 0x1.fba3c5a0bc11fp-9, 0x1.e86a37f8ca055p-9, 0x1.d5d88bb1a8e18p-9, 0x1.c3e9d5f75f02ap-9, 0x1.b2994a2c08b78p-9, 0x1.a1e23965e0c9dp-9, 0x1.91c011ed67fcep-9, 0x1.822e5ebbc7a7ep-9, 0x1.7328c6f98952p-9, 0x1.64ab0d7db7943p-9, 0x1.56b1104d83d54p-9, 0x1.4936c81c7dd52p-9, 0x1.3c3847cd7bfadp-9, 0x1.2fb1bbf43bb99p-9, 0x1.239f6a57d3ef8p-9, 0x1.17fdb1760993cp-9, 0x1.0cc908078fb3ep-9, 0x1.01fdfc854a67p-9, 0x1.ef32695d3eceep-10, 0x1.db2eda21bbcc2p-10, 0x1.c7eaf11f98729p-10, 0x1.b5607fdede391p-10, 0x1.a38982be00bb9p-10, 0x1.9260200a70e07p-10, 0x1.81dea71bbe241p-10, 0x1.71ff8f716fb2cp-10, 0x1.62bd77d39550bp-10, 0x1.5413257627b5bp-10, 0x1.45fb831f45de5p-10, 0x1.3871a0504d12dp-10, 0x1.2b70b071ea09ep-10, 0x1.1ef40a031904cp-10, 0x1.12f725cb2a49ep-10, 0x1.07759e0ec8bc5p-10, 0x1.f8d65b9021bcap-11, 0x1.e3a75fc3720d7p-11, 0x1.cf563cea90683p-11, 0x1.bbdb2418d765bp-11, 0x1.a92e81cac8c49p-11, 0x1.9748fc751df24p-11, 0x1.8623731a151adp-11, 0x1.75b6fbe4f350cp-11, 0x1.65fce2cbbf68p-11, 0x1.56eea837313bfp-11, 0x1.4885ffb0d0332p-11, 0x1.3abcce973d9fep-11, 0x1.2d8d2ad8a1c22p-11, 0x1.20f159b33723ap-11, 0x1.14e3ce7bea9f4p-11, 0x1.095f296b03eabp-11, 0x1.fcbc6cdda35dp-12, 0x1.e7b7d80891789p-12, 0x1.d3a6d42b1b35p-12, 0x1.c07ff1bcb46dp-12, 0x1.ae3a0fac66b4ap-12, 0x1.9ccc5940bd2c1p-12, 0x1.8c2e4403171a7p-12, 0x1.7c578db63ea47p-12, 0x1.6d403a58290abp-12, 0x1.5ee0922ebb838p-12, 0x1.51311fdf76f6p-12, 0x1.442aae91e5a84p-12, 0x1.37c6481caa748p-12, 0x1.2bfd333d0c235p-12, 0x1.20c8f1d8dab0dp-12, 0x1.16233f4a87c1ap-12, 0x1.0c060eb74e407p-12, 0x1.026b896f451d1p-12, 0x1.f29c1aae6860dp-13, 0x1.e15056b812ff2p-13, 0x1.d0e94bdf83a85p-13, 0x1.c15cdf1f4a478p-13, 0x1.b2a152a75c7bcp-13, 0x1.a4ad430de16f1p-13, 0x1.9777a491bce89p-13, 0x1.8af7c06e8889bp-13, 0x1.7f2532419d88ap-13, 0x1.73f7e57ff8de1p-13, 0x1.696812fc9984dp-13, 0x1.5f6e3e7f1625p-13, 0x1.5603346a10fddp-13, 0x1.4d2007715236ap-13, 0x1.44be0e5f201b7p-13, 0x1.3cd6e1e8a2d37p-13, 0x1.35645a90f898fp-13, 0x1.2e608e9ab264ap-13, 0x1.27c5d0077496ap-13, 0x1.218eaaa5660c5p-13, 0x1.1bb5e22a33174p-13, 0x1.1636705b4cf62p-13, 0x1.110b83432b43cp-13, 0x1.0c307b733e4bep-13, 0x1.07a0ea524f9ep-13, 0x1.035890770a9d5p-13, 0x1.fea6b81cddcd8p-14, 0x1.f71ace9bb6fa6p-14, 0x1.f005ede0f05e9p-14, 0x1.e960f17f83899p-14, 0x1.e325044dc8903p-14, 0x1.dd4b9da16af92p-14, 0x1.d7ce7ea017e6ep-14, 0x1.d2a7afa451c79p-14, 0x1.cdd17db60f77ap-14, 0x1.c94678169a554p-14, 0x1.c5016ddf2d298p-14, 0x1.c0fd6bb1ff3d5p-14, 0x1.bd35b97d19789p-14, 0x1.b9a5d84eaf498p-14, 0x1.b649803a6ed24p-14, 0x1.b31c9e4f68e16p-14, 0x1.b01b529e266d7p-14, 0x1.ad41ee4e74ad9p-14, 0x1.aa8cf1c48bf06p-14, 0x1.a7f90ad5234d7p-14, 0x1.a583130823bacp-14, 0x1.a3280de96616bp-14, 0x1.a0e52767631b6p-14, 0x1.9eb7b23f30396p-14, 0x1.9c9d26759fe9bp-14, 0x1.9a931fdd1313cp-14, 0x1.98975ca7a9058p-14, 0x1.96a7bc0576cd5p-14, 0x1.94c23cce71d49p-14, 0x1.92e4fc37b9c9p-14, 0x1.910e3493f067fp-14, 0x1.8f3c3c1e50cep-14, 0x1.8d6d83d0384bfp-14, 0x1.8ba09640d261ep-14, 0x1.89d4168ea22bfp-14, 0x1.8806bf529b99cp-14, 0x1.8637619c89cb8p-14, 0x1.8464e3f87a843p-14, 0x1.828e417ceb248p-14, 0x1.80b288e178207p-14, 0x1.7ed0db9dc9394p-14, 0x1.7ce86d108104p-14, 0x1.7af881adedcdcp-14, 0x1.79006e36437b6p-14, 0x1.76ff96f321252p-14, 0x1.74f56efc2b1f6p-14, 0x1.72e17782810f3p-14, 0x1.70c33f22dae4fp-14, 0x1.6e9a613e16b3p-14, 0x1.6c668558037e4p-14, 0x1.6a275e7c3abc8p-14, 0x1.67dcaaa8d132ep-14, 0x1.6586323eb6da5p-14, 0x1.6323c777915dcp-14, 0x1.60b545e0e84dcp-14, 0x1.5e3a91dc7519ap-14, 0x1.5bb398256d5f2p-14, 0x1.59204d5a9d69bp-14, 0x1.5680ad8d2915ep-14, 0x1.53d4bbd3d026p-14, 0x1.511c81e28b28fp-14, 0x1.4e580fa65e2dcp-14, 0x1.4b877ae53ce15p-14, 0x1.48aadee1de08dp-14, 0x1.45c25c0359c88p-14, 0x1.42ce178073e82p-14, 0x1.3fce3b0e72607p-14, 0x1.3cc2f4935d3f6p-14, 0x1.39ac75db8fbecp-14, 0x1.368af45276876p-14, 0x1.335ea8be640f8p-14, 0x1.3027ceff5c1a9p-14, 0x1.2ce6a5d0bcf2cp-14, 0x1.299b6e8dab56ep-14, 0x1.26466cf82a0d9p-14, 0x1.22e7e702c18e8p-14, 0x1.1f80249ca16a8p-14, 0x1.1c0f6f8026bb4p-14, 0x1.18961303abaeap-14, 0x1.15145bec9220bp-14, 0x1.118a98446c9f2p-14, 0x1.0df91730379b9p-14, 0x1.0a6028c98b055p-14, 0x1.06c01df9b5846p-14, 0x1.03194856a9608p-14, 0x1.fed7f4035e05dp-15, 0x1.f7710b0f8e8b7p-15, 0x1.effe7b876132bp-15, 0x1.e880eb82f715ap-15, 0x1.e0f9014741f49p-15, 0x1.d967631317e99p-15, 0x1.d1ccb6ef09a1fp-15, 0x1.ca29a27fe805dp-15, 0x1.c27ecadbd7137p-15, 0x1.baccd461d73b9p-15, 0x1.b3146293ac627p-15, 0x1.ab5617f203e65p-15, 0x1.a39295dacbf98p-15, 0x1.9bca7c699be4p-15, 0x1.93fe6a5a1cf55p-15, 0x1.8c2efcec5b4b4p-15, 0x1.845ccfcaedd9fp-15, 0x1.7c887cf2dbc4dp-15, 0x1.74b29c9d33814p-15, 0x1.6cdbc52a39191p-15, 0x1.65048b0e211a5p-15, 0x1.5d2d80bf423a9p-15, 0x1.555736a5ad761p-15, 0x1.4d823b0c200fep-15, 0x1.45af1a123bfd7p-15, 0x1.3dde5d9ffa7dfp-15, 0x1.36108d5a49037p-15, 0x1.2e462e98c4898p-15, 0x1.267fc45c837fap-15, 0x1.1ebdcf47e48cbp-15, 0x1.1700cd9752ad9p-15, 0x1.0f493b1af665bp-15, 0x1.079791314427p-15, 0x1.ffd88d84c684cp-16, 0x1.f08fa078b82a9p-16, 0x1.e1553f200df12p-16, 0x1.d22a485d6976cp-16, 0x1.c30f961100306p-16, 0x1.b405fd168cab2p-16, 0x1.a50e4d4477194p-16, 0x1.9629516c20423p-16, 0x1.8757cf5b4bf5fp-16, 0x1.789a87de87b3ep-16, 0x1.69f236c4962a8p-16, 0x1.5b5f92e2be6b2p-16, 0x1.4ce34e19fd606p-16, 0x1.3e7e155d02787p-16, 0x1.303090b6f83b9p-16, 0x1.21fb6353004eep-16, 0x1.13df2b8460022p-16, 0x1.05dc82cf4aab2p-16, 0x1.efe7fbe49ad52p-17, 0x1.d44c59e079491p-17, 0x1.b8e73635649e5p-17, 0x1.9db99e3a00892p-17, 0x1.82c4960f2ea0bp-17, 0x1.680918b7b8f9ap-17, 0x1.4d881830b0bffp-17, 0x1.33427d8a9b9fbp-17, 0x1.193929033227ep-17, 0x1.fed9e43f89d74p-18, 0x1.cbbd4f905561cp-18, 0x1.991e20c45e0e3p-18, 0x1.66fdd3dae8e53p-18, 0x1.355dd43f80bfbp-18, 0x1.043f7d0347387p-18, 0x1.a748322dde303p-19, 0x1.4719c70a8ee64p-19, 0x1.cfec1eb920c49p-20, 0x1.13be860a33e4cp-20, 0x1.66bbdbf2e8345p-22, -0x1.78fa5d619f461p-22, -0x1.140668ca3489dp-20, -0x1.c7a4fb274cac5p-20, -0x1.3c8b82a28df0fp-19, -0x1.942cbb06590e6p-19, -0x1.eab4b9c3bd812p-19, -0x1.2011167b00bb8p-18, -0x1.4a39eeaabdfa6p-18, -0x1.73d456df2372fp-18, -0x1.9cdfcd5b9a04dp-18, -0x1.c55bdcfc8ec4bp-18, -0x1.ed481cfb4edf1p-18, -0x1.0a52185910015p-17, -0x1.1db7e3b050b64p-17, -0x1.30d54df83910dp-17, -0x1.43aa3a5d18d4bp-17, -0x1.563691a56b55fp-17, -0x1.687a4214af076p-17, -0x1.7a753f4e7a477p-17, -0x1.8c278239b6152p-17, -0x1.9d9108e420f7ep-17, -0x1.aeb1d665f6cccp-17, -0x1.bf89f2c5f1ecep-17, -0x1.d0196add69273p-17, -0x1.e060503cc9f5ep-17, -0x1.f05eb91040d19p-17, -0x1.000a6002563a9p-16, -0x1.07c142166d50ap-16, -0x1.0f5414737dd2p-16, -0x1.16c2eae1379c8p-16, -0x1.1e0ddb32e35fp-16, -0x1.2534fd3a91d0ep-16, -0x1.2c386abc67042p-16, -0x1.33183f620e117p-16, -0x1.39d498ae58006p-16, -0x1.406d95f0f6c9ep-16, -0x1.46e3583a6507dp-16, -0x1.4d36024ff263bp-16, -0x1.5365b89ff7a85p-16, -0x1.5972a1362d689p-16, -0x1.5f5ce3b030c53p-16, -0x1.6524a932272dfp-16, -0x1.6aca1c5b8d5fp-16, -0x1.704d693c2eb8cp-16, -0x1.75aebd493f2dfp-16, -0x1.7aee4752a06d6p-16, -0x1.800c377849a3p-16, -0x1.8508bf1fdbe51p-16, -0x1.89e410ea57c75p-16, -0x1.8e9e60a9f9d74p-16, -0x1.9337e35845eecp-16, -0x1.97b0cf0c2a4e2p-16, -0x1.9c095af058c18p-16, -0x1.a041bf39b78dp-16, }}, 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
    }}, 
    {
      50, 0x1.199999999999ap+2, 0x1.d77480d25eaf4p-1, 0x1.6aad1a5336cb7p-5, -0x1.94e41fb5570eap-6, 
      {{
        {0x1.a83126e978d5p+1, 0x1.aaf8df7a4e7abp+1, 0x1.94e43704759bfp-6, -0x1.74d40775303d1p-5, 0x1.574de2b430341p-6, 0x1.d347e80e7231dp-21}, 
        {0x1.aaf8df7a4e7abp+1, 0x1.adc0980b24207p+1, 0x1.84db96549ad5ep-6, -0x1.6d5f252633d57p-5, 0x1.574e1f9993669p-6, -0x1.240cf997120d4p-18}, 
        {0x1.adc0980b24207p+1, 0x1.b088509bf9c63p+1, 0x1.7525e1a075543p-6, -0x1.65ea457c6b7ddp-5, 0x1.574cef1e9a7e5p-6, 0x1.c6daa813e5db8p-18}, 
        {0x1.b088509bf9c63p+1, 0x1.b350092ccf6bep+1, 0x1.65c318cc8837p-6, -0x1.5e7563fac1126p-5, 0x1.574ec9550f3bdp-6, -0x1.b2fa83e669762p-19}, 
        {0x1.b350092ccf6bep+1, 0x1.b617c1bda511ap+1, 0x1.56b33c0fcd3dep-6, -0x1.57007fc91723dp-5, 0x1.574de6962d849p-6, -0x1.dfab8894f44b7p-19}, 
        {0x1.b617c1bda511ap+1, 0x1.b8df7a4e7ab75p+1, 0x1.47f64b4ec7892p-6, -0x1.4f8ba0c4f93f2p-5, 0x1.574cec8b52748p-6, 0x1.04f20498ad56ep-17}, 
        {0x1.b8df7a4e7ab75p+1, 0x1.bba732df505d1p+1, 0x1.398c466dfa38dp-6, -0x1.4816be8f52aabp-5, 0x1.574f0ca58bb76p-6, -0x1.0cecefe486fa8p-17}, 
        {0x1.bba732df505d1p+1, 0x1.be6eeb702602dp+1, 0x1.2b752da45f0cbp-6, -0x1.40a1dc87eed24p-5, 0x1.574cdbe7972efp-6, 0x1.3fa2fcee1822cp-18}, 
        {0x1.be6eeb702602dp+1, 0x1.c136a400fba88p+1, 0x1.1db100bafc45p-6, -0x1.392cfcf908a2cp-5, 0x1.574e2925229bp-6, -0x1.570789c6cb6e5p-20}, 
        {0x1.c136a400fba88p+1, 0x1.c3fe5c91d14e4p+1, 0x1.103fbfcd4ec1ap-6, -0x1.31b81ac43d3dep-5, 0x1.574dcfbce4afbp-6, 0x1.7649b45792c42p-22}, 
        {0x1.c3fe5c91d14e4p+1, 0x1.c6c61522a6f3fp+1, 0x1.03216adb56829p-6, -0x1.2a43394434f19p-5, 0x1.574de8205ffb4p-6, -0x1.f4265d268c84ep-24}, 
        {0x1.c6c61522a6f3fp+1, 0x1.c98dcdb37c99bp+1, 0x1.ecac03ca270f9p-7, -0x1.22ce579705792p-5, 0x1.574ddffaa1467p-6, 0x1.f7766c1bab6f4p-24}, 
        {0x1.c98dcdb37c99bp+1, 0x1.cc558644523f6p+1, 0x1.d3bb09d50ba2bp-7, -0x1.1b5975e9af982p-5, 0x1.574de82e3096ap-6, -0x1.7a6db56dd73dp-22}, 
        {0x1.cc558644523f6p+1, 0x1.cf1d3ed527e52p+1, 0x1.bb6fe7d75abe7p-7, -0x1.13e4946a1a81dp-5, 0x1.574dcf85a367ap-6, 0x1.5af67f9403a44p-20}, 
        {0x1.cf1d3ed527e52p+1, 0x1.d1e4f765fd8aep+1, 0x1.a3ca9dd11462cp-7, -0x1.0c6fb233a8aefp-5, 0x1.574e29f45592cp-6, -0x1.434faa04dc34fp-18}, 
        {0x1.d1e4f765fd8aep+1, 0x1.d4acaff6d3309p+1, 0x1.8ccb2bc2388fbp-7, -0x1.04fad2aae8f06p-5, 0x1.574cd8e2140ebp-6, 0x1.13c8658ba14a8p-17}, 
        {0x1.d4acaff6d3309p+1, 0x1.d7746887a8d65p+1, 0x1.76719173cd85ap-7, -0x1.fb0be1192374dp-6, 0x1.574f17ec609fap-6, -0x1.1e89840f18fp-17}, 
        {0x1.d7746887a8d65p+1, 0x1.da3c21187e7cp+1, 0x1.60bdcf53c6c3dp-7, -0x1.ec221d5924843p-6, 0x1.574cc2757e949p-6, 0x1.aedadacc69c18p-18}, 
        {0x1.da3c21187e7cp+1, 0x1.dd03d9a95421cp+1, 0x1.4bafe4f430cafp-7, -0x1.dd385cd196961p-6, 0x1.574e83a6ab1bdp-6, -0x1.d2dcdffe7d319p-19}, 
        {0x1.dd03d9a95421cp+1, 0x1.dfcb923a29c78p+1, 0x1.3747d2a202da9p-7, -0x1.ce4e97d193834p-6, 0x1.574d9048e96bfp-6, 0x1.b7a15b1a1d13dp-20}, 
        {0x1.dfcb923a29c78p+1, 0x1.e2934acaff6d3p+1, 0x1.2385983c40b2dp-7, -0x1.bf64d59da0b57p-6, 0x1.574e02debbbd6p-6, -0x1.2cd85aabe337ap-20}, 
        {0x1.e2934acaff6d3p+1, 0x1.e55b035bd512fp+1, 0x1.106935cde913cp-7, -0x1.b07b12a08bca7p-6, 0x1.574db47530d88p-6, 0x1.df99a89a26862p-21}, 
        {0x1.e55b035bd512fp+1, 0x1.e822bbecaab8ap+1, 0x1.fbe55697fa7abp-8, -0x1.a1914ffbeeef2p-6, 0x1.574df2f59345p-6, -0x1.0ccf799958413p-21}, 
        {0x1.e822bbecaab8ap+1, 0x1.eaea747d805e6p+1, 0x1.d843f182f7df2p-8, -0x1.92a78cbe93f3dp-6, 0x1.574dcfed8ae5ep-6, 0x1.1ec4a8f419c32p-23}, 
        {0x1.eaea747d805e6p+1, 0x1.edb22d0e56042p+1, 0x1.b5ee3c51cb94ep-8, -0x1.83bdca100f03cp-6, 0x1.574dd94553b87p-6, -0x1.1f55658ea4ffcp-25}, 
        {0x1.edb22d0e56042p+1, 0x1.f079e59f2ba9dp+1, 0x1.94e43704759bfp-8, -0x1.74d4073a9a50fp-6, 0x1.574dd6ee33b8bp-6, 0x1.2058b84393441p-32}, 
        {0x1.f079e59f2ba9dp+1, 0x1.f3419e30014f9p+1, 0x1.7525e19af5f44p-8, -0x1.65ea44720ed3fp-6, 0x1.574dd6f2e632p-6, 0x1.16570e4bc76a6p-25}, 
        {0x1.f3419e30014f9p+1, 0x1.f60956c0d6f54p+1, 0x1.56b33c154c9dep-8, -0x1.5700819cce2a1p-6, 0x1.574dd93745899p-6, -0x1.16e83f7c16548p-23}, 
        {0x1.f60956c0d6f54p+1, 0x1.f8d10f51ac9bp+1, 0x1.398c46737998dp-8, -0x1.4816beed78f92p-6, 0x1.574dd0210d329p-6, 0x1.05830a1d52a6fp-21}, 
        {0x1.f8d10f51ac9bp+1, 0x1.fb98c7e28240bp+1, 0x1.1db100b57ce5p-8, -0x1.392cfbb32b15dp-6, 0x1.574df23596f94p-6, -0x1.c45eee83e3e4bp-21}, 
        {0x1.fb98c7e28240bp+1, 0x1.fe60807357e67p+1, 0x1.03216ae655428p-8, -0x1.2a4339032a18ep-6, 0x1.574db741a1621p-6, 0x1.f4122320005fep-21}, 
        {0x1.fe60807357e67p+1, 0x1.00941c8216c61p+2, 0x1.d3bb09e00a62ap-9, -0x1.1b597630989d2p-6, 0x1.574df86cf43c1p-6, -0x1.f403116b1aa9ap-21}, 
        {0x1.00941c8216c61p+2, 0x1.01f7f8ca8198fp+2, 0x1.a3ca9dd11462cp-9, -0x1.0c6fb35dfc362p-6, 0x1.574db743981e9p-6, 0x1.c4139639bfc99p-21}, 
        {0x1.01f7f8ca8198fp+2, 0x1.035bd512ec6bdp+2, 0x1.76719173cd85ap-9, -0x1.fb0be15c37f5dp-7, 0x1.574df22dbc0f7p-6, -0x1.0464a38a17eacp-21}, 
        {0x1.035bd512ec6bdp+2, 0x1.04bfb15b573ebp+2, 0x1.4bafe4f430cafp-9, -0x1.dd385ae6abd3cp-7, 0x1.574dd03e85291p-6, 0x1.062e5f9a9b196p-23}, 
        {0x1.04bfb15b573ebp+2, 0x1.06238da3c2118p+2, 0x1.2385983c40b2dp-9, -0x1.bf64d58b81647p-7, 0x1.574dd8c93c9c9p-6, -0x1.c9e0959d592b3p-29}, 
        {0x1.06238da3c2118p+2, 0x1.078769ec2ce46p+2, 0x1.fbe55697fa7abp-10, -0x1.a1914fd3f0d9p-7, 0x1.574dd88d90f24p-6, -0x1.d31e3417e818bp-24}, 
        {0x1.078769ec2ce46p+2, 0x1.08eb463497b74p+2, 0x1.b5ee3c46ccd4fp-10, -0x1.83bdca7396d0ap-7, 0x1.574dd0f192755p-6, 0x1.d6b1a1c4d3967p-22}, 
        {0x1.08eb463497b74p+2, 0x1.0a4f227d028a2p+2, 0x1.7525e184f8746p-10, -0x1.65ea4412c89ecp-7, 0x1.574def9d32a2ep-6, -0x1.670c1d1fc8833p-21}, 
        {0x1.0a4f227d028a2p+2, 0x1.0bb2fec56d5dp+2, 0x1.398c467e7858cp-10, -0x1.4816be653fff3p-7, 0x1.574dc0d2b09a1p-6, 0x1.01bb2a43e67e3p-21}, 
        {0x1.0bb2fec56d5dp+2, 0x1.0d16db0dd82fdp+2, 0x1.03216ae4224f5p-10, -0x1.2a43394a8c48dp-7, 0x1.574de269183acp-6, -0x1.7e208788f535ap-23}, 
        {0x1.0d16db0dd82fdp+2, 0x1.0e7ab7564302bp+2, 0x1.a3ca9dccae7c6p-11, -0x1.0c6fb344c7a97p-7, 0x1.574dd5f5f8b2dp-6, 0x1.39b4c0c960022p-25}, 
        {0x1.0e7ab7564302bp+2, 0x1.0fde939eadd59p+2, 0x1.4bafe4f896b15p-11, -0x1.dd385b5a176acp-8, 0x1.574dd8841616p-6, 0x1.11ad56525a31fp-25}, 
        {0x1.0fde939eadd59p+2, 0x1.11426fe718a87p+2, 0x1.fbe55697fa7abp-12, -0x1.a1914fc0372ecp-8, 0x1.574ddabebc61ap-6, -0x1.1d0bef7e1d385p-24}, 
        {0x1.11426fe718a87p+2, 0x1.12a64c2f837b5p+2, 0x1.7525e19f5bdaap-12, -0x1.65ea445c09774p-8, 0x1.574dd61a05e58p-6, 0x1.4a0db9f6d1a0ep-25}, 
        {0x1.12a64c2f837b5p+2, 0x1.140a2877ee4e2p+2, 0x1.03216ae4224f5p-12, -0x1.2a43392357c38p-8, 0x1.574dd8ca3974ap-6, 0x1.60c9e4fb5ab9ep-27}, 
        {0x1.140a2877ee4e2p+2, 0x1.156e04c05921p+2, 0x1.4bafe4efcae49p-13, -0x1.dd385b3dc2c47p-9, 0x1.574dd98220485p-6, -0x1.67afe15e0f637p-26}, 
        {0x1.156e04c05921p+2, 0x1.16d1e108c3f3ep+2, 0x1.7525e194cdb1bp-14, -0x1.65ea44560a521p-9, 0x1.574dd80b217b9p-6, 0x1.62ca4e71adf43p-28}, 
        {0x1.16d1e108c3f3ep+2, 0x1.1835bd512ec6cp+2, 0x1.4bafe4fdddc5cp-15, -0x1.dd385b3ed26bdp-10, 0x1.574dd8679a736p-6, 0x1.336fc04c37ef6p-29}, 
        {0x1.1835bd512ec6cp+2, 0x1.199999999999ap+2, 0x1.4bafe4fb0d325p-17, -0x1.dd385b4701f19p-11, 0x1.574dd88fab1fap-6, -0x1.edef2d1b109edp-1}, 
      }}, 
      0x1.6353f4c941fep+6, -0x1.ff3bdb9e39a4cp+10
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_n_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.dff23a114c425p-2, 0x1.e6027fd8802b6p-2, 0x1.ea897cd711eb3p-2, 0x1.ed98df4c66759p-2, 0x1.ef42d1f9f0e37p-2, 0x1.ef99fad58958ep-2, 0x1.eeb1370098b1dp-2, 0x1.ec9b59ed10906p-2, 0x1.e96b6e202b1bbp-2, 0x1.e5345c24bc282p-2, 0x1.e0088f71fa111p-2, 0x1.d9fa2febff9a5p-2, 0x1.d31b4b5242043p-2, 0x1.cb7d8dcd0696bp-2, 0x1.c331e47d98801p-2, 0x1.ba4871fd3783p-2, 0x1.b0d0cc3a0792fp-2, 0x1.a6da2b03ee8c3p-2, 0x1.9c73501074433p-2, 0x1.91aa4c4402138p-2, 0x1.868c626fffd02p-2, 0x1.7b26df819ce2dp-2, 0x1.6f83a2f40087ap-2, 0x1.63af1d41b7968p-2, 0x1.57b3e28a7cc16p-2, 0x1.4b9bb4c5eed4ep-2, 0x1.3f6faed73b068p-2, 0x1.3338655aaae2cp-2, 0x1.26fde7d3e636dp-2, 0x1.1ac7aff3a9a21p-2, 0x1.0e9c97257ae04p-2, 0x1.0282dccf936c8p-2, 0x1.ed006d4bc7ea2p-3, 0x1.d533bf29bb243p-3, 0x1.bda9400bed17dp-3, 0x1.a669a36f15ebfp-3, 0x1.8f7cc6fd4f332p-3, 0x1.78e9bdbf618dp-3, 0x1.62b6dd6cbee5cp-3, 0x1.4ce9cb24ac035p-3, 0x1.378786953aee2p-3, 0x1.229473e39e61p-3, 0x1.0e146474917c2p-3, 0x1.f4153c38273c7p-4, 0x1.ccf3c0d6e41a3p-4, 0x1.a6c8d18738f5dp-4, 0x1.8197ed5ac3f81p-4, 0x1.5d63a41abd977p-4, 0x1.3a2da8094ad7ep-4, 0x1.17f6e45546f4p-4, 0x1.ed7f2b85d3f73p-5, 0x1.ad0ec497cbf08p-5, 0x1.6e9ad98b1365p-5, 0x1.3220c53114ccep-5, 0x1.ef3a0be13560fp-6, 0x1.7e16825001e21p-6, 0x1.10cc8071ed4adp-6, 0x1.4e9fb5cd93279p-7, 0x1.064ab4dda8b9dp-8, -0x1.03d47a2aad0ep-9, -0x1.fba36b9c38084p-8, -0x1.b394f787205cdp-7, -0x1.3132c723fa0adp-6, -0x1.8530760fc66a1p-6, -0x1.d5e65609f51fap-6, -0x1.11b107f976df5p-5, -0x1.36dc3f77c2a37p-5, -0x1.5a7f70be2e135p-5, -0x1.7ca57415ebe0dp-5, -0x1.9d595b963cc9cp-5, -0x1.bca66c59d5a32p-5, -0x1.da9810f54d17ep-5, -0x1.f739c72b2776p-5, -0x1.094b85b481376p-4, -0x1.165da24eb5234p-4, -0x1.22d8d949084c4p-4, -0x1.2ec2b026df472p-4, -0x1.3a208d987315bp-4, -0x1.44f7b7523e07ap-4, -0x1.4f4d51b899c22p-4, -0x1.592660ac059a6p-4, -0x1.6287c8b60809bp-4, -0x1.6b764ffd6f497p-4, -0x1.73f69eb1fcc35p-4, -0x1.7c0d3eeed7b8ep-4, -0x1.83be9c4cba504p-4, -0x1.8b0f03712fca7p-4, -0x1.9202a1d830797p-4, -0x1.989d85eee7aa9p-4, -0x1.9ee39f6bf92a4p-4, -0x1.a4d8bfb307536p-4, -0x1.aa809a065eb0dp-4, -0x1.afdec3535366p-4, -0x1.b4f6b17dd9ffep-4, -0x1.b9cbba2f1230cp-4, -0x1.be6111486bf06p-4, -0x1.c2b9c7338305dp-4, -0x1.c6d8c752338abp-4, -0x1.cac0d6d0a79d4p-4, -0x1.ce74940df207ap-4, -0x1.d1f676b9bc50ep-4, -0x1.d548d0ab557bcp-4, -0x1.d86dcf5d777bap-4, -0x1.db677de679135p-4, -0x1.de37c73a5f4cdp-4, -0x1.e0e078837cb2dp-4, -0x1.e363436699966p-4, -0x1.e5c1c015ef5c5p-4, -0x1.e7fd6f25ba91bp-4, -0x1.ea17bb23da7dep-4, -0x1.ec11f9fd0fdf4p-4, -0x1.eded6e3ecee3p-4, -0x1.efab4842c6347p-4, -0x1.f14ca74cab21cp-4, -0x1.f2d29a9bf652dp-4, -0x1.f43e226daf1c6p-4, -0x1.f59030e66e2c9p-4, -0x1.f6c9aadc338cbp-4, -0x1.f7eb6879425a7p-4, -0x1.f8f635b530ef3p-4, -0x1.f9ead2a5ab362p-4, -0x1.fac9f3ad06a89p-4, -0x1.fb94418f9df4p-4, -0x1.fc4a597abc835p-4, -0x1.fceccd08119eep-4, -0x1.fd7c22475d67ep-4, -0x1.fdf8d3d6083d9p-4, -0x1.fe63510a3c8f7p-4, -0x1.febbfe3495797p-4, -0x1.ff0334f9cacf3p-4, -0x1.ff3944c404622p-4, -0x1.ff5e734a9ee37p-4, -0x1.ff72fd2e36778p-4, -0x1.ff7716a65c3d2p-4, -0x1.ff6aec3dd10f5p-4, -0x1.ff4ea399deb17p-4, -0x1.ff225c48df5d7p-4, -0x1.fee630941c4d5p-4, -0x1.fe9a3650b7bc1p-4, -0x1.fe3e7fabd03efp-4, -0x1.fdd31bee044cbp-4, -0x1.fd58183333befp-4, -0x1.fccd8013fef2cp-4, -0x1.fc335e3f1dfcbp-4, -0x1.fb89bd019eedap-4, -0x1.fad0a6bdc1447p-4, -0x1.fa082650b1672p-4, -0x1.f925e96eee3f2p-4, -0x1.f83d3584c7db9p-4, -0x1.f74578c85c57ep-4, -0x1.f63ec8857efccp-4, -0x1.f52939f3b819ep-4, -0x1.f404e255d35adp-4, -0x1.f2d1d71ca56cbp-4, -0x1.f1902e0bf2feep-4, -0x1.f03ffd6007b04p-4, -0x1.eee15bf2de274p-4, -0x1.ed74615f7b402p-4, -0x1.ebf92622a9356p-4, -0x1.ea6fc3b82381ap-4, -0x1.e8d854b3ac05dp-4, -0x1.e732f4d5c3141p-4, -0x1.e57fc11bcf5c5p-4, -0x1.e3bed7cbf50e8p-4, -0x1.e1f0587cd47ddp-4, -0x1.e01464199f1b4p-4, -0x1.de2b1ce328229p-4, -0x1.dc34a66e8300cp-4, -0x1.da3125a1ebad6p-4, -0x1.d820c0b07b27fp-4, -0x1.d6039f157970dp-4, -0x1.d3d9e98fa16efp-4, -0x1.d1a3ca1ce1bd9p-4, -0x1.cf616bf6e2822p-4, -0x1.cd12fb907e07bp-4, -0x1.cab8a6943870bp-4, -0x1.c8529be3b8413p-4, -0x1.c5e10b980cbd8p-4, -0x1.c3642702929c9p-4, -0x1.c0dc20ae229e5p-4, -0x1.be492c6045684p-4, -0x1.bbab7f1a16765p-4, -0x1.b9034f1870158p-4, -0x1.b650d3d31a0b3p-4, -0x1.b39445fabb938p-4, -0x1.b0cddf753a835p-4, -0x1.adfddb58797acp-4, -0x1.ab2475e32279bp-4, -0x1.a841ec7394b48p-4, -0x1.a5567d7ce5d44p-4, -0x1.a2626879e1857p-4, -0x1.9f65edde4bf24p-4, -0x1.9c614f066726fp-4, -0x1.9954ce24fbc5p-4, -0x1.9640ae3007251p-4, -0x1.932532cc6abcep-4, -0x1.9002a038bee9ep-4, -0x1.8cd93b37a035dp-4, -0x1.89a948f9b52e6p-4, -0x1.86730f07afd74p-4, -0x1.8336d32c8a65p-4, -0x1.7ff4db6039222p-4, -0x1.7cad6db302932p-4, -0x1.7960d039ade07p-4, -0x1.760f48faa5f53p-4, -0x1.72b91ddc312adp-4, -0x1.6f5e9493ccfc6p-4, -0x1.6bfff296bb205p-4, -0x1.689d7d0bc143dp-4, -0x1.653778be1a001p-4, -0x1.61ce2a118d015p-4, -0x1.5e61d4f79f3fcp-4, -0x1.5af2bce5cb741p-4, -0x1.578124ccac70fp-4, -0x1.540d4f10038ffp-4, -0x1.50977d7f8129fp-4, -0x1.4d1ff15039fdp-4, -0x1.49a6eb16afff5p-4, -0x1.462caac156839p-4, -0x1.42b16f937f0a7p-4, -0x1.3f35782098c26p-4, -0x1.3bb90247b1a69p-4, -0x1.383c4b2f2993p-4, -0x1.34bf8f4089f17p-4, -0x1.31430a24768d1p-4, -0x1.2dc6f6beaef0fp-4, -0x1.2a4b8f2a18bdfp-4, -0x1.26d10cb4ce3abp-4, -0x1.2357a7dc2e781p-4, -0x1.1fdf9848ecef2p-4, -0x1.1c6914cb1ed4fp-4, -0x1.18f453564bc6cp-4, -0x1.158188fd7d94cp-4, -0x1.1210e9ef58511p-4, -0x1.0ea2a97239692p-4, -0x1.0b36f9e064d0fp-4, -0x1.07ce0ca4447aep-4, -0x1.04681234bbddp-4, -0x1.01053a119a13p-4, -0x1.fb4b65804f976p-5, -0x1.f493538fb9975p-5, -0x1.ede2975e78a19p-5, -0x1.e73987f1bca4p-5, -0x1.e0987a4151e5dp-5, -0x1.d9ffc1327d7c6p-5, -0x1.d36fad9341e55p-5, -0x1.cce88e161b412p-5, -0x1.c66aaf4e2c24fp-5, -0x1.bff65babe6f99p-5, -0x1.b98bdb7a31717p-5, -0x1.b32b74dc07b72p-5, -0x1.acd56bca99b26p-5, -0x1.a68a0213ee01p-5, -0x1.a0497759fc354p-5, -0x1.9a1409124b069p-5, -0x1.93e9f2860a003p-5, -0x1.8dcb6cd2a2d14p-5, -0x1.87b8aeeacc71p-5, -0x1.81b1ed980d17cp-5, -0x1.7bb75b7cb5f4cp-5, -0x1.75c929164e6cfp-5, -0x1.6fe784c0720dp-5, -0x1.6a129ab815ecfp-5, -0x1.644a951f3a175p-5, -0x1.5e8f9c00fe832p-5, -0x1.58e1d5561aebfp-5, -0x1.53416509b2d89p-5, -0x1.4dae6cfe85d12p-5, -0x1.48290d14756e4p-5, -0x1.42b1632e5cafp-5, -0x1.3d478b38372d3p-5, -0x1.37eb9f2d90ccap-5, -0x1.329db7203ef35p-5, -0x1.2d5de93f58623p-5, -0x1.282c49de6cbd7p-5, -0x1.2308eb7cf5c86p-5, -0x1.1df3decdfe1bdp-5, -0x1.18ed32bff9d39p-5, -0x1.13f4f484c973dp-5, -0x1.0f0b2f99ebf47p-5, -0x1.0a2fedd0d01cbp-5, -0x1.0563375749c27p-5, -0x1.00a512c0243cdp-5, -0x1.f7eb0a1798d5p-6, -0x1.eea923622980fp-6, -0x1.e584754c0666ep-6, -0x1.dc7d00d16cb37p-6, -0x1.d392c4109e405p-6, -0x1.cac5ba5bcd9edp-6, -0x1.c215dc4b08ba8p-6, -0x1.b9831fce32f6ep-6, -0x1.b10d783ef13a1p-6, -0x1.a8b4d672948f6p-6, -0x1.a07928cbf3e67p-6, -0x1.985a5b4d37bfp-6, -0x1.905857a98c808p-6, -0x1.88730556b5da1p-6, -0x1.80aa499e8dbb7p-6, -0x1.78fe07b054dbcp-6, -0x1.716e20b1e5b27p-6, -0x1.69fa73d0ba67p-6, -0x1.62a2de52c71fbp-6, -0x1.5b673ba727fb6p-6, -0x1.5447657698dbdp-6, -0x1.4d4333b3bf738p-6, -0x1.465a7cab3dbadp-6, -0x1.3f8d15138b66dp-6, -0x1.38dad01c9a987p-6, -0x1.32437f7f3f536p-6, -0x1.2bc6f38c5c8dp-6, -0x1.2564fb3bd61f6p-6, -0x1.1f1d643b44cf4p-6, -0x1.18effafc6bb18p-6, -0x1.12dc8ac36d874p-6, -0x1.0ce2ddb4c7b29p-6, -0x1.06ba68f42a661p-6, -0x1.00f4e3e1bbda5p-6, -0x1.f6912d3fef608p-7, -0x1.eb6a8d12dfac8p-7, -0x1.e0757008b7de6p-7, -0x1.d5b15d1ffcc81p-7, -0x1.cb1dd9a3a95d6p-7, -0x1.c0ba69454782ep-7, -0x1.b6868e36a9298p-7, -0x1.ac81c9433673fp-7, -0x1.a2ab99e8ed0bep-7, -0x1.99037e70f752ap-7, -0x1.8f88f407e6ad9p-7, -0x1.863b76d582ddbp-7, -0x1.7d1a82143c73ep-7, -0x1.7425902835b73p-7, -0x1.6b5c1ab5e6371p-7, -0x1.62bd9ab850965p-7, -0x1.5a498896d3025p-7, -0x1.51ff5c3a8712p-7, -0x1.49de8d23310f3p-7, -0x1.41e6927bc3285p-7, -0x1.3a16e32e6b436p-7, -0x1.326ef5f82f853p-7, -0x1.2aee417c0dbabp-7, -0x1.23943c55ab706p-7, -0x1.1c605d2b80795p-7, -0x1.15521ac08fe3ep-7, -0x1.0e68ec059bcabp-7, -0x1.07a44829d85f6p-7, -0x1.0103a6ab24844p-7, -0x1.f50cfecb67a99p-8, -0x1.e85895467137ep-8, -0x1.dbe902531858p-8, -0x1.cfbd38918e79cp-8, -0x1.c3d42bd1ac46bp-8, -0x1.b82cd12d01274p-8, -0x1.acc61f1fd6d13p-8, -0x1.a19f0da10e694p-8, -0x1.96b696390b03dp-8, -0x1.8c0bb4175b8bap-8, -0x1.819d6427751f8p-8, -0x1.776aa5244bccep-8, -0x1.6d7277aad891fp-8, -0x1.63b3de4ba5fd3p-8, -0x1.5a2ddd9b3d69ap-8, -0x1.50df7c41a2b9ep-8, -0x1.47c7c308c38c6p-8, -0x1.3ee5bce9f5c61p-8, -0x1.3638771a79e9bp-8, -0x1.2dbf011717781p-8, -0x1.25786caecb779p-8, -0x1.1d63ce0c9adeap-8, -0x1.15803bc093933p-8, -0x1.0dcccec7f38e2p-8, -0x1.0648a2948704ep-8, -0x1.fde5aa26ae6f4p-9, -0x1.ef950d65298e3p-9, -0x1.e19db4cda3acfp-9, -0x1.d3fdeb5f515dcp-9, -0x1.c6b40137657e5p-9, -0x1.b9be4b9808149p-9, -0x1.ad1b24ede9f29p-9, -0x1.a0c8ecd52af77p-9, -0x1.94c6081d14d2ap-9, -0x1.8910e0caf7699p-9, -0x1.7da7e61c48174p-9, -0x1.72898c87daabcp-9, -0x1.67b44dbe733a9p-9, -0x1.5d26a8aaa3c34p-9, -0x1.52df21700cca6p-9, -0x1.48dc416a03229p-9, -0x1.3f1c9729b3ab7p-9, -0x1.359eb673ac3fdp-9, -0x1.2c61383d28f92p-9, -0x1.2362baa89ab8cp-9, -0x1.1aa1e10206daap-9, -0x1.121d53baf1cefp-9, -0x1.09d3c065dd0e2p-9, -0x1.01c3d9b1844fbp-9, -0x1.f3d8aec752122p-10, -0x1.e497eca7796d9p-10, -0x1.d5c2f0ca1e965p-10, -0x1.c75749018ce52p-10, -0x1.b9528d1f34965p-10, -0x1.abb25ee671354p-10, -0x1.9e7469fee090cp-10, -0x1.919663e618aeap-10, -0x1.85160be1124f9p-10, -0x1.78f12aecdbee1p-10, -0x1.6d2593aed443cp-10, -0x1.61b122648f3e3p-10, -0x1.5691bcd33618p-10, -0x1.4bc5523625ca1p-10, -0x1.4149db2d5892bp-10, -0x1.371d59ab6c67ep-10, -0x1.2d3dd8e2eb22bp-10, -0x1.23a96d3342bacp-10, -0x1.1a5e34155b8d1p-10, -0x1.115a54078b61dp-10, -0x1.089bfc792e5fdp-10, -0x1.002165b600d5dp-10, -0x1.efd1a1a170131p-11, -0x1.dfe10f1af365ap-11, -0x1.d06db89794e2ep-11, -0x1.c17453e0105bep-11, -0x1.b2f1a7999b3f7p-11, -0x1.a4e28b175bae5p-11, -0x1.9743e62b662f8p-11, -0x1.8a12b0f749e81p-11, -0x1.7d4bf3bb92e1bp-11, -0x1.70ecc6a718147p-11, -0x1.64f251a5942abp-11, -0x1.5959cc2da3926p-11, -0x1.4e207d0e8cf6dp-11, -0x1.4343ba3d45d21p-11, -0x1.38c0e8a151d6cp-11, -0x1.2e957be132e34p-11, -0x1.24bef62e4b513p-11, -0x1.1b3ae810f6fd7p-11, -0x1.1206f033e9a2cp-11, -0x1.0920bb2f92d68p-11, -0x1.00860355390f5p-11, -0x1.f06920f487049p-12, -0x1.e0546f858a8cap-12, -0x1.d0c9b6d9432cap-12, -0x1.c1c4d53526f53p-12, -0x1.b341c23d4b1cep-12, -0x1.a53c8e8a62a8dp-12, -0x1.97b1634045183p-12, -0x1.8a9c81a3a9f25p-12, -0x1.7dfa42b0c1023p-12, -0x1.71c716b20350dp-12, -0x1.65ff84d7847a1p-12, -0x1.5aa02ace54aaap-12, -0x1.4fa5bc591ec5bp-12, -0x1.450d02e8bb486p-12, -0x1.3ad2dd35b2509p-12, -0x1.30f43ed9d1e8dp-12, -0x1.276e2febbd2dfp-12, -0x1.1e3dcc99f3e66p-12, -0x1.156044c6fe619p-12, -0x1.0cd2dba7da40fp-12, -0x1.0492e7603dc2bp-12, -0x1.f93ba145a61fap-13, -0x1.e9e224a1a1eaap-13, -0x1.db14723659fcfp-13, -0x1.cccdc64802b28p-13, -0x1.bf097f44ceddep-13, -0x1.b1c31d0bf1ba7p-13, -0x1.a4f64038705a4p-13, -0x1.989ea96dca26fp-13, -0x1.8cb838a6bb1d4p-13, -0x1.813eec86f63e6p-13, -0x1.762ee1ae3479dp-13, -0x1.6b84520ebbb32p-13, -0x1.613b94451c878p-13, -0x1.57511af3ca5d8p-13, -0x1.4dc174200aa09p-13, -0x1.448948918052dp-13, -0x1.3ba55b344109ep-13, -0x1.3312887db096ap-13, -0x1.2acdc5d31520ep-13, -0x1.22d420f460858p-13, -0x1.1b22bf654ddd9p-13, -0x1.13b6ddddd0847p-13, -0x1.0c8dcfba0336dp-13, -0x1.05a4fe6c66f82p-13, -0x1.fdf3d1e79e6fdp-14, -0x1.f11446a4330fap-14, -0x1.e4a6ac0baad64p-14, -0x1.d8a67b0d00c17p-14, -0x1.cd0f5382c64f1p-14, -0x1.c1dcfb35f57c2p-14, -0x1.b70b5cde283b4p-14, -0x1.ac96872c430e6p-14, -0x1.a27aabd4c984fp-14, -0x1.98b41ea095e4bp-14, -0x1.8f3f547fe379dp-14, -0x1.8618e2a20a775p-14, -0x1.7d3d7d90002a5p-14, -0x1.74a9f84b70f57p-14, -0x1.6c5b4372b65f7p-14, -0x1.644e6c6643a6bp-14, -0x1.5c809c734a192p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.fd442b89ea39ap-2, 0x1.0667563386863p-1, 0x1.0dac6d6f7ca64p-1, 0x1.14739e5899514p-1, 0x1.1abf707cf1f1fp-1, 0x1.2092ac4795c05p-1, 0x1.25f047bfff0d3p-1, 0x1.2adb69dc0592fp-1, 0x1.2f575f4e072adp-1, 0x1.3367887ae03a7p-1, 0x1.370f62bc4250cp-1, 0x1.3a527ffcbb35bp-1, 0x1.3d3478164c6b5p-1, 0x1.3fb8ea83309b8p-1, 0x1.41e37a81822dcp-1, 0x1.43b7c743f72b5p-1, 0x1.45396d39f1063p-1, 0x1.466c0565ba9f1p-1, 0x1.47531cafbf87ep-1, 0x1.47f22ea56e589p-1, 0x1.484ca765ef56cp-1, 0x1.4865d908472acp-1, 0x1.4841232c54e81p-1, 0x1.47e1b7256053fp-1, 0x1.474ab53fc52fcp-1, 0x1.467f2817f75a8p-1, 0x1.4582055acbf3bp-1, 0x1.44562cf6e82p-1, 0x1.42fe678341332p-1, 0x1.417d6518f1d0bp-1, 0x1.3fd5bd42aaa5ap-1, 0x1.3e09efbebd3dcp-1, 0x1.3c1c654dfe645p-1, 0x1.3a0f6fed77a8ep-1, 0x1.37e54a7520f92p-1, 0x1.35a01826f8e2fp-1, 0x1.3341e4c8ff86cp-1, 0x1.30cca56fbc4d9p-1, 0x1.2e42399699692p-1, 0x1.2ba46bfcd2446p-1, 0x1.28f4f30bac8c9p-1, 0x1.263570fbbb56p-1, 0x1.23677421d509dp-1, 0x1.208c77a2c5a54p-1, 0x1.1da5e47712ba2p-1, 0x1.1ab5126ed372bp-1, 0x1.17bb48ec06e12p-1, 0x1.14b9bf3d66eeap-1, 0x1.11b19cb8fc5a8p-1, 0x1.0ea3f8cddfab6p-1, 0x1.0b91db3cafcdep-1, 0x1.087c3c8d27a12p-1, 0x1.056406bce6cf5p-1, 0x1.024a16106e802p-1, 0x1.fe5e73cb8ffcap-2, 0x1.f8286ad251464p-2, 0x1.f1f3802e49bfp-2, 0x1.ebc10c162352bp-2, 0x1.e5925057dc978p-2, 0x1.df6878ac8e8fp-2, 0x1.d9449b4135042p-2, 0x1.d327b9955e766p-2, 0x1.cd12c1aaec339p-2, 0x1.c70687ee629cbp-2, 0x1.c103e0352718ep-2, 0x1.bb0b87bbbbba5p-2, 0x1.b51e2b4ad4219p-2, 0x1.af3c6890bdf97p-2, 0x1.a966cedbd9cd7p-2, 0x1.a39ddfddc468p-2, 0x1.9de21072b7e9p-2, 0x1.9833c9669ce2dp-2, 0x1.929368312fffap-2, 0x1.8d013fa467745p-2, 0x1.877d988b5e40ap-2, 0x1.8208b23b1771ap-2, 0x1.7ca2c31876f9fp-2, 0x1.774bf91781964p-2, 0x1.72047a375bb39p-2, 0x1.6ccc64fd4b72bp-2, 0x1.67a3d0efb3318p-2, 0x1.628acf10bf8d8p-2, 0x1.5d816a5789231p-2, 0x1.5887a825c24a7p-2, 0x1.539d88b7a149ap-2, 0x1.4ec3078c0d344p-2, 0x1.49f81bc3caa83p-2, 0x1.453cb8779dd9ep-2, 0x1.4090cd067772ap-2, 0x1.3bf4455d9390fp-2, 0x1.37670a3c851fep-2, 0x1.32e90176cfc84p-2, 0x1.2e7a0e33f59d6p-2, 0x1.2a1a112e34576p-2, 0x1.25c8e8efb6b9dp-2, 0x1.2186720de1c11p-2, 0x1.1d52876259cp-2, 0x1.192d0241766c9p-2, 0x1.1515baaddcd88p-2, 0x1.110c8788dc624p-2, 0x1.0d113ebf36a7bp-2, 0x1.0923b571f851dp-2, 0x1.0543c01b4eeeap-2, 0x1.017132af996bfp-2, 0x1.fb57c1767b7bp-3, 0x1.f3e73afc124cbp-3, 0x1.ec907809bf7b3p-3, 0x1.e5531e848a90bp-3, 0x1.de2ed44c0e301p-3, 0x1.d7233f67b2613p-3, 0x1.d0300631272cep-3, 0x1.c954cf7b2073p-3, 0x1.c29142b390952p-3, 0x1.bbe5080102167p-3, 0x1.b54fc85b0e6cap-3, 0x1.aed12d9e8e95fp-3, 0x1.a868e29e32bbp-3, 0x1.a21693305cc4ap-3, 0x1.9bd9ec3b03ceap-3, 0x1.95b29bbe335c6p-3, 0x1.8fa050dd8d3a4p-3, 0x1.89a2bbe8ff4c7p-3, 0x1.83b98e64e1325p-3, 0x1.7de47b116f2f4p-3, 0x1.782335f1bd9d9p-3, 0x1.7275745221677p-3, 0x1.6cdaecce0e661p-3, 0x1.6753575560388p-3, 0x1.61de6d30ff7f6p-3, 0x1.5c7be906b69fep-3, 0x1.572b86dc1584cp-3, 0x1.51ed04182a4d3p-3, 0x1.4cc01f83ebbb9p-3, 0x1.47a499493da43p-3, 0x1.429a32f06dee6p-3, 0x1.3da0af5c51be5p-3, 0x1.38b7d2c5129b6p-3, 0x1.33df62b1e5a23p-3, 0x1.2f1725f1fa296p-3, 0x1.2a5ee494de4cep-3, 0x1.25b667e2acf09p-3, 0x1.211d7a5441eabp-3, 0x1.1c93e78baaep-3, 0x1.18197c4cee538p-3, 0x1.13ae067747b2fp-3, 0x1.0f5154fec4252p-3, 0x1.0b0337e63e582p-3, 0x1.06c358d5cc025p-3, 0x1.0291da8fc37cbp-3, 0x1.fcdccf6226e62p-4, 0x1.f4b1a8787247fp-4, 0x1.eca1ea3c6f13p-4, 0x1.e4ad404f73c7ap-4, 0x1.dcd3580c96bf8p-4, 0x1.d513e07b49766p-4, 0x1.cd6e8a421a863p-4, 0x1.c5e30799aaa7ep-4, 0x1.be710c3fc3214p-4, 0x1.b7184d6a8f618p-4, 0x1.afd881bc045b8p-4, 0x1.a8b161355977bp-4, 0x1.a1a2a52ab48a3p-4, 0x1.9aac0836fabacp-4, 0x1.93cd462fc251fp-4, 0x1.8d061c198a8b5p-4, 0x1.8656481c239b1p-4, 0x1.7fbd897762b31p-4, 0x1.793ba0781f377p-4, 0x1.72d04e6d8923ap-4, 0x1.6c7b559ed6b23p-4, 0x1.663c794154e1fp-4, 0x1.60137d6ed6473p-4, 0x1.5a00271c856eap-4, 0x1.54023c1219c4ep-4, 0x1.4e1982e16852ep-4, 0x1.4845c2de534c1p-4, 0x1.4286c4170f76cp-4, 0x1.3cdc4f4cbb621p-4, 0x1.37462dec47e25p-4, 0x1.31c42a07a665p-4, 0x1.2c560e4f3edep-4, 0x1.26fba60ba3ceep-4, 0x1.21b4bd178467fp-4, 0x1.1c811fd9d889ap-4, 0x1.17609b4042415p-4, 0x1.1252fcb9a6564p-4, 0x1.0d581230f672bp-4, 0x1.086faa0831a8fp-4, 0x1.039993139694fp-4, 0x1.fdab392a11b78p-5, 0x1.f4472c6f5ac4p-5, 0x1.eb06a01773c0ap-5, 0x1.e1e93504f4997p-5, 0x1.d8ee8cd522673p-5, 0x1.d01649d8d574dp-5, 0x1.c7600f0dd46fcp-5, 0x1.becb8018a24b5p-5, 0x1.b658413eb6bfep-5, 0x1.ae05f761259edp-5, 0x1.a5d447f7b4a14p-5, 0x1.9dc2d90c57f38p-5, 0x1.95d151370fdc6p-5, 0x1.8dff579a2dd62p-5, 0x1.864c93deec55bp-5, 0x1.7eb8ae32631b5p-5, 0x1.77434f42c7285p-5, 0x1.6fec203cf81d4p-5, 0x1.68b2caca4d463p-5, 0x1.6196f90eaa148p-5, 0x1.5a9855a6c5f6dp-5, 0x1.53b68ba6aab9ep-5, 0x1.4cf1469866485p-5, 0x1.4648327ae6fdp-5, 0x1.3fbafbc101d3ep-5, 0x1.39494f50a110fp-5, 0x1.32f2da8213465p-5, 0x1.2cb74b1f8059dp-5, 0x1.26964f647c183p-5, 0x1.208f95fdb7658p-5, 0x1.1aa2ce08d0bcfp-5, 0x1.14cfa7143ebacp-5, 0x1.0f15d11f57d9bp-5, 0x1.0974fc9a721d9p-5, 0x1.03ecda671f3d7p-5, 0x1.fcfa37b0fd3d1p-6, 0x1.f24ae5674af2cp-6, 0x1.e7cb226040a91p-6, 0x1.dd7a53f10b78cp-6, 0x1.d357e0563ac6fp-6, 0x1.c9632eb531005p-6, 0x1.bf9ba71db6cfdp-6, 0x1.b600b28ba6f62p-6, 0x1.ac91bae8b6fb1p-6, 0x1.a34e2b0e54fb6p-6, 0x1.9a356ec798768p-6, 0x1.9146f2d343ff7p-6, 0x1.888224e5d500fp-6, 0x1.7fe673ab9e0fap-6, 0x1.77734ecae8f9cp-6, 0x1.6f2826e61ba74p-6, 0x1.67046d9dea592p-6, 0x1.5f07959383931p-6, 0x1.5731126abcb95p-6, 0x1.4f8058cc42333p-6, 0x1.47f4de67c5717p-6, 0x1.408e19f61e49ep-6, 0x1.394b833b762cap-6, 0x1.322c9309610e7p-6, 0x1.2b30c340f2195p-6, 0x1.24578ed4d1c6p-6, 0x1.1da071cb3e24ep-6, 0x1.170ae9400eab3p-6, 0x1.109673669df79p-6, 0x1.0a428f8bba9f8p-6, 0x1.040ebe1780c45p-6, 0x1.fbf5011e4dfb3p-7, 0x1.f00ab32d88736p-7, 0x1.e45d99e5fccc9p-7, 0x1.d8ecbf156585dp-7, 0x1.cdb72ed10c8dfp-7, 0x1.c2bbf778d9c3cp-7, 0x1.b7fa29ba2bfaep-7, 0x1.ad70d8929ce4fp-7, 0x1.a31f19529688dp-7, 0x1.9904039fc2ba3p-7, 0x1.8f1eb17755f97p-7, 0x1.856e3f302912p-7, 0x1.7bf1cb7cae20bp-7, 0x1.72a8776cb01f5p-7, 0x1.6991666efa832p-7, 0x1.60abbe52ba7dap-7, 0x1.57f6a748c57eep-7, 0x1.4f714be4a76cfp-7, 0x1.471ad91d84ce4p-7, 0x1.3ef27e4ed3b77p-7, 0x1.36f76d38dd45bp-7, 0x1.2f28da0116911p-7, 0x1.2785fb3249c4fp-7, 0x1.200e09bc968bdp-7, 0x1.18c040f52c1d8p-7, 0x1.119bde95fcafp-7, 0x1.0aa022bd249b7p-7, 0x1.03cc4fec2cd13p-7, 0x1.fa3f560e53d7dp-8, 0x1.ed32f6a73a7bep-8, 0x1.e07214ee820a2p-8, 0x1.d3fb48ed2df64p-8, 0x1.c7cd2f66b1004p-8, 0x1.bbe669d56d452p-8, 0x1.b0459e66e9705p-8, 0x1.a4e977f7af836p-8, 0x1.99d0a60efaeb8p-8, 0x1.8ef9dcd9e9e5fp-8, 0x1.8463d5268adcep-8, 0x1.7a0d4c5e9119bp-8, 0x1.6ff50481c9933p-8, 0x1.6619c42037e8bp-8, 0x1.5c7a565412b75p-8, 0x1.53158abb5e42ep-8, 0x1.49ea357155049p-8, 0x1.40f72f07912cbp-8, 0x1.383b547efc711p-8, 0x1.2fb58740761b6p-8, 0x1.2764ad1562dc1p-8, 0x1.1f47b01fe1f9ep-8, 0x1.175d7ed2e6a41p-8, 0x1.0fa50bea139fep-8, 0x1.081d4e6161c34p-8, 0x1.00c5416cb10bp-8, 0x1.f337c8de20743p-9, 0x1.e54075e3de28fp-9, 0x1.d7a299382f7c7p-9, 0x1.ca5c4a511e1b8p-9, 0x1.bd6ba8ba91e99p-9, 0x1.b0cedc038d5ap-9, 0x1.a46184ad095b5p-9, 0x1.986840a27008ap-9, 0x1.8cbd7ee45de37p-9, 0x1.815f85637e2c5p-9, 0x1.764ca1affeb2bp-9, 0x1.6b8328e648736p-9, 0x1.6101779b5d93ap-9, 0x1.56c5f1c9793abp-9, 0x1.4ccf02bc206d4p-9, 0x1.431b1cfc3c7b9p-9, 0x1.39a8ba3c287c4p-9, 0x1.30765b4361549p-9, 0x1.278287da5c08p-9, 0x1.1ecbceb6205c4p-9, 0x1.1650c563d689dp-9, 0x1.0e1008342ea56p-9, 0x1.06083a26df1dap-9, 0x1.fc7009ab75075p-10, 0x1.ed3c30c085ba7p-10, 0x1.de7256ad67353p-10, 0x1.d00ff54a50854p-10, 0x1.c21292fdbc481p-10, 0x1.b477c29278163p-10, 0x1.a73d230df41b6p-10, 0x1.9a605f8673289p-10, 0x1.8ddf2ef931c3bp-10, 0x1.81b75420bc817p-10, 0x1.75e69d4b14d49p-10, 0x1.6a6ae42fe3607p-10, 0x1.5f420dc715412p-10, 0x1.546a0a1f4107fp-10, 0x1.49e0d433bf285p-10, 0x1.3fa471c3eba2p-10, 0x1.35b2f3297a19ep-10, 0x1.2c0a732f72d5bp-10, 0x1.22a916e93799cp-10, 0x1.198d0d89ba102p-10, 0x1.10b4903abc523p-10, 0x1.081de1f4856a3p-10, 0x1.ff8e9eab1ac4fp-11, 0x1.ef5e5cf4cae99p-11, 0x1.dfa7bdabf711ap-11, 0x1.d0679214045a9p-11, 0x1.c19abd7f80866p-11, 0x1.b33e350115f5cp-11, 0x1.a54eff1f987d6p-11, 0x1.97ca3387bb411p-11, 0x1.8aacfac0339adp-11, 0x1.7df48dde340d5p-11, 0x1.719e3639e52fbp-11, 0x1.65a74d243bda4p-11, 0x1.5a0d3b9d6719p-11, 0x1.4ecd7a0b79566p-11, 0x1.43e58ff25d37bp-11, 0x1.395313ac290bcp-11, 0x1.2f13aa2278903p-11, 0x1.252506887f5bdp-11, 0x1.1b84ea14f0ba8p-11, 0x1.123123bf13881p-11, 0x1.09278ffa04264p-11, 0x1.00661872495fp-11, 0x1.efd56797b5894p-12, 0x1.df66cac1f3ad5p-12, 0x1.cf7c7a03cec15p-12, 0x1.c012ad6aeea63p-12, 0x1.b125b4f546213p-12, 0x1.a2b1f8153911p-12, 0x1.94b3f53830225p-12, 0x1.8728414e98dbap-12, 0x1.7a0b8755d1e76p-12, 0x1.6d5a87e36c4a5p-12, 0x1.611218b1dfb29p-12, 0x1.552f2430fa708p-12, 0x1.49aea9158bba8p-12, 0x1.3e8db9ebec7a6p-12, 0x1.33c97cabfd738p-12, 0x1.295f2a4f336e9p-12, 0x1.1f4c0e67eacedp-12, 0x1.158d86bab641bp-12, 0x1.0c2102d903421p-12, 0x1.030403bdeed9dp-12, 0x1.f46836d7c4b4dp-13, 0x1.e35dd91943421p-13, 0x1.d2e454260c336p-13, 0x1.c2f72dba103dbp-13, 0x1.b3920ab1efe64p-13, 0x1.a4b0ae575a27dp-13, 0x1.964ef9ae22d6bp-13, 0x1.8868eac9e3f82p-13, 0x1.7afa9c20debcp-13, 0x1.6e0043e625db5p-13, 0x1.6176336313d1p-13, 0x1.5558d656cb9dp-13, 0x1.49a4b2570897bp-13, 0x1.3e5666345e46fp-13, 0x1.336aa960d494cp-13, 0x1.28de4b5990f2dp-13, 0x1.1eae33138c6a6p-13, 0x1.14d75e6a0fa2cp-13, 0x1.0b56e1916344p-13, 0x1.0229e68af6266p-13, 0x1.f29b59387952bp-14, 0x1.e17f0f936dcap-14, 0x1.d0f9c0a05e2e1p-14, 0x1.c106644f0039bp-14, 0x1.b1a019038896dp-14, 0x1.a2c2229ea947fp-14, 0x1.9467e98b154d5p-14, 0x1.868cf9cdbdcep-14, 0x1.792d021e7b942p-14, 0x1.6c43d2ffbe7eap-14, 0x1.5fcd5de036abep-14, 0x1.53c5b43e6717cp-14, 0x1.482906d186546p-14, 0x1.3cf3a4b7eb289p-14, 0x1.3221faa2711e5p-14, 0x1.27b09213d7894p-14, 0x1.1d9c10943068dp-14, 0x1.13e136f283225p-14, 0x1.0a7ce0850ce41p-14, 0x1.016c0270b5582p-14, 0x1.f15755e92cc01p-15, 0x1.e072017104a7ep-15, 0x1.d022843c9a47ap-15, 0x1.c0638935ba4a6p-15, 0x1.b12fe81a75a72p-15, 0x1.a282a43edf308p-15, 0x1.9456eb4c5d158p-15, 0x1.86a81410cb4ccp-15, 0x1.79719d4cb76aep-15, 0x1.6caf2c8d62472p-15, 0x1.605c8d0d4e0bfp-15, 0x1.5475ae9a8fa8bp-15, 0x1.48f6a482d36d9p-15, 0x1.3ddba49024af8p-15, 0x1.332105edeb1cfp-15, 0x1.28c34042f803p-15, 0x1.1ebeeaa97e7a1p-15, 0x1.1510bac1b9e9dp-15, 0x1.0bb583c1b251dp-15, 0x1.02aa35909fd4bp-15, 0x1.f3d7b7ca3cf44p-16, 0x1.e2ef3ad712e69p-16, 0x1.d29575d3e2527p-16, 0x1.c2c51cefc2db7p-16, 0x1.b37915607165dp-16, 0x1.a4ac73d1692d1p-16, 0x1.965a7aeabdcbap-16, 0x1.887e99d3ff691p-16, 0x1.7b146acab4acp-16, 0x1.6e17b1bdcbc57p-16, 0x1.61845af31cfb9p-16, 0x1.555679b9cdd75p-16, 0x1.498a471d8ea79p-16, 0x1.3e1c20b0e4178p-16, 0x1.330887460dc62p-16, 0x1.284c1dd95f38bp-16, 0x1.1de3a85b17978p-16, 0x1.13cc0a988e25cp-16, 0x1.0a024725f3e2p-16, 0x1.00837e5647041p-16, 0x1.ee99da5d1d96dp-17, 0x1.dcb7d8e6b76f7p-17, 0x1.cb5bdf2fd8b06p-17, 0x1.ba8107e904618p-17, 0x1.aa229f8d10832p-17, 0x1.9a3c22a369172p-17, 0x1.8ac93c1856116p-17, 0x1.7bc5c37ccceadp-17, 0x1.6d2dbb85f3664p-17, 0x1.5efd50667d16p-17, 0x1.5130d65714965p-17, 0x1.43c4c81cecf3p-17, 0x1.36b5c599524c4p-17, 0x1.2a00926dd0c69p-17, 0x1.1da214a109b6cp-17, 0x1.11975359a965cp-17, 0x1.05dd75949d811p-17, 0x1.f4e381e6e9f0fp-18, 0x1.dea3311508abap-18, 0x1.c8f4f78e0d60ap-18, 0x1.b3d40a9bc783bp-18, 0x1.9f3bd3c8ed89cp-18, 0x1.8b27eee3768c2p-18, 0x1.779427f54c0efp-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.de016c2f1bfecp-1, -0x1.ec679734e7c93p-1, -0x1.f88039e6450c9p-1, -0x1.012b1b3e22876p+0, -0x1.04fc63ba4993ap+0, -0x1.07bd62e9b7063p+0, -0x1.0978dbd6428f8p+0, -0x1.0a3a9f04d5e43p+0, -0x1.0a0f69f381357p+0, -0x1.090499c6a6b89p+0, -0x1.0727e719f8541p+0, -0x1.04874d594ac0dp+0, -0x1.0130eecbe7e98p+0, -0x1.fa65c46640a2cp-1, -0x1.f136062a75107p-1, -0x1.e6edb7e611c09p-1, -0x1.dba74e9091a37p-1, -0x1.cf7ca5585cfb1p-1, -0x1.c286e6a68006ep-1, -0x1.b4de542e3ff0fp-1, -0x1.a69a07ace986bp-1, -0x1.97cfdf29ab1b8p-1, -0x1.88944d5af4401p-1, -0x1.78fb0e89f26dbp-1, -0x1.6916a7d51c63dp-1, -0x1.58f891e9cec85p-1, -0x1.48b1238c10cdp-1, -0x1.384f85f187279p-1, -0x1.27e1bd6440717p-1, -0x1.1774bcda9fed1p-1, -0x1.0714767a61ff5p-1, -0x1.ed97c75e263b6p-2, -0x1.cd4a126c98ad8p-2, -0x1.ad51fb8ac4e3cp-2, -0x1.8dbfeb6abbad9p-2, -0x1.6ea2a2e26a193p-2, -0x1.50075680c3b39p-2, -0x1.31f9c5ee81a88p-2, -0x1.1484509393678p-2, -0x1.ef6014561d1a6p-3, -0x1.b709a0ac04d74p-3, -0x1.8012c09cdd1cp-3, -0x1.4a86d677cb2f9p-3, -0x1.166f50a64461fp-3, -0x1.c7a793c8ddb7fp-4, -0x1.65744e459a4f1p-4, -0x1.064d69c0ce50bp-4, -0x1.547114b4653ffp-5, -0x1.44e275ed9050ap-6, 0x1.2c7995572d1a2p-10, 0x1.5e2306171c528p-6, 0x1.4e9f5bb4a0419p-5, 0x1.e8184be219b3ep-5, 0x1.3dc53436d9992p-4, 0x1.84834a50686bp-4, 0x1.c850205009954p-4, 0x1.049b4cdbc0317p-3, 0x1.23a156d4e1d44p-3, 0x1.4140a7ee8b3bp-3, 0x1.5d802c47a8b98p-3, 0x1.7867354f52358p-3, 0x1.91fd6bd86ad91p-3, 0x1.aa4ac16f39fabp-3, 0x1.c1594ce7534b6p-3, 0x1.d72dbb5403c86p-3, 0x1.ebd1e2f2a9c47p-3, 0x1.ff4e4b042bcf3p-3, 0x1.08d5c5a822a7bp-2, 0x1.117920b3ac88ep-2, 0x1.199583dd788fap-2, 0x1.212f374dad8c1p-2, 0x1.284a7b6cbdf31p-2, 0x1.2eeb86cc524f9p-2, 0x1.3516846733695p-2, 0x1.3acf920274d6bp-2, 0x1.401abe911e97ep-2, 0x1.44fc0894d2d6bp-2, 0x1.49775c892ab5ep-2, 0x1.4d90936fd00bcp-2, 0x1.514b7190f61d7p-2, 0x1.54aba57aa4407p-2, 0x1.57b4c73ef2edp-2, 0x1.5a6a57ea57338p-2, 0x1.5ccfc1292081ap-2, 0x1.5ee8551571f71p-2, 0x1.60b74e2a7b91p-2, 0x1.623fcf5be6e74p-2, 0x1.6384e44f71d26p-2, 0x1.648981b2d203bp-2, 0x1.655085a2a53c4p-2, 0x1.65dcb812bba47p-2, 0x1.6630cb26c1accp-2, 0x1.664f5b6d540e2p-2, 0x1.663aeff691811p-2, 0x1.65f5fa48aa853p-2, 0x1.6582d63e28746p-2, 0x1.64e3c9e02401ep-2, 0x1.641b0550ee6a4p-2, 0x1.632aa2d92af5bp-2, 0x1.6214a7235a28fp-2, 0x1.60db01a9d1aa3p-2, 0x1.5f7f8d536599ep-2, 0x1.5e04113516642p-2, 0x1.5c6a416be324bp-2, 0x1.5ab3c0014f969p-2, 0x1.58e21dcef50aap-2, 0x1.56f6db58495ccp-2, 0x1.54f369953fb62p-2, 0x1.52d92aab611bp-2, 0x1.50a972957726ap-2, 0x1.4e6587bb860b5p-2, 0x1.4c0ea37daadc2p-2, 0x1.49a5f2b4bfaf4p-2, 0x1.472c962b54053p-2, 0x1.44a3a310eed71p-2, 0x1.420c2368b829fp-2, 0x1.3f671673d0f75p-2, 0x1.3cb57116f675bp-2, 0x1.39f81e3a9d352p-2, 0x1.372fff24b246dp-2, 0x1.345debcb6c76p-2, 0x1.3182b3212b5fep-2, 0x1.2e9f1b5a024dep-2, 0x1.2bb3e22c2400ep-2, 0x1.28c1bd0cd8483p-2, 0x1.25c9596bd5efap-2, 0x1.22cb5ceebc58bp-2, 0x1.1fc865ae31874p-2, 0x1.1cc10a7593e3ap-2, 0x1.19b5db05caabep-2, 0x1.16a7605b1ab0fp-2, 0x1.13961cf58faa9p-2, 0x1.10828d232b6b3p-2, 0x1.0d6d274ae9114p-2, 0x1.0a565c37935b6p-2, 0x1.073e97618112cp-2, 0x1.04263f3669b7ap-2, 0x1.010db55ead818p-2, 0x1.fbeaadff3e77fp-3, 0x1.f5baf9f4f7fe6p-3, 0x1.ef8cf84fc8b03p-3, 0x1.e9614b1f854b1p-3, 0x1.e3388d3b2f417p-3, 0x1.dd1352a264b09p-3, 0x1.d6f228d7d3362p-3, 0x1.d0d59734c484ep-3, 0x1.cabe1f3607913p-3, 0x1.c4a994d39a175p-3, 0x1.be9d474dff5c4p-3, 0x1.b8978afd7f232p-3, 0x1.b298ce230cfa7p-3, 0x1.aca179930fd98p-3, 0x1.a6b1f0e8e0d49p-3, 0x1.a0ca92bc88343p-3, 0x1.9aebb8d9dd074p-3, 0x1.9515b8781e187p-3, 0x1.8f48e2710c397p-3, 0x1.89858376a4b6ap-3, 0x1.83cbe446ac5bap-3, 0x1.7e1c49db6f591p-3, 0x1.7876f5992bf19p-3, 0x1.72dc2577d29bap-3, 0x1.6d4c142901351p-3, 0x1.67c6f93a25ee8p-3, 0x1.624d0932feb45p-3, 0x1.5cde75b0b1c89p-3, 0x1.577b6d7ddcc8ap-3, 0x1.52241ca811c15p-3, 0x1.4cd8ac9323f29p-3, 0x1.4799440adaad8p-3, 0x1.426607536a2d8p-3, 0x1.3d3f183925a61p-3, 0x1.3824961fcfae1p-3, 0x1.33169e11ca1f7p-3, 0x1.2e154acf71f18p-3, 0x1.2920b4dec090dp-3, 0x1.2438f29b5886dp-3, 0x1.1f5e1846f3c48p-3, 0x1.1a90381a4608dp-3, 0x1.15cf6256213f9p-3, 0x1.111ba554da16bp-3, 0x1.0c750d9bb9c4dp-3, 0x1.07dba5ec5e385p-3, 0x1.034f7755e1fb7p-3, 0x1.fda1128b486d5p-4, 0x1.f4bdc32f1602p-4, 0x1.ebf5094b5e8bp-4, 0x1.e346eaae97171p-4, 0x1.dab36a5dc4641p-4, 0x1.d23a88af2665fp-4, 0x1.c9dc4363287aep-4, 0x1.c19895bba9a71p-4, 0x1.b96f78919b14fp-4, 0x1.b160e2690d7bcp-4, 0x1.a96cc783d966cp-4, 0x1.a19319f2e966cp-4, 0x1.99d3c9a673965p-4, 0x1.922ec47d2ddecp-4, 0x1.8aa3f652ba38p-4, 0x1.8333490d7195fp-4, 0x1.7bdca4abb9abcp-4, 0x1.749fef510b859p-4, 0x1.6d7d0d52cc371p-4, 0x1.6673e145182bdp-4, 0x1.5f844c0797f76p-4, 0x1.58ae2cd273949p-4, 0x1.51f161436e755p-4, 0x1.4b4dc56b39944p-4, 0x1.44c333daf9c65p-4, 0x1.3e5185b204952p-4, 0x1.37f892abcd7adp-4, 0x1.31b8312dfadf5p-4, 0x1.2b90365699b28p-4, 0x1.2580760a62166p-4, 0x1.1f88c302ffe8ap-4, 0x1.19a8eedd52526p-4, 0x1.13e0ca27933f3p-4, 0x1.0e30246f59e1ap-4, 0x1.0896cc4f6caa3p-4, 0x1.03148f7d56b9dp-4, 0x1.fb5275ad6cde4p-5, 0x1.f0a934dc7c629p-5, 0x1.e62cf330bf77bp-5, 0x1.dbdd45ef36d0bp-5, 0x1.d1b9c110e747p-5, 0x1.c7c1f759faadbp-5, 0x1.bdf57a701ec74p-5, 0x1.b453daf0225e1p-5, 0x1.aadca882ce62p-5, 0x1.a18f71f104e6cp-5, 0x1.986bc53727c3fp-5, 0x1.8f712f97cd2cep-5, 0x1.869f3dadcc744p-5, 0x1.7df57b7da7e7fp-5, 0x1.757374866070dp-5, 0x1.6d18b3d1b5118p-5, 0x1.64e4c403dcb24p-5, 0x1.5cd72f6abe183p-5, 0x1.54ef800cb2584p-5, 0x1.4d2d3fb6d27aap-5, 0x1.458ff80addacbp-5, 0x1.3e17328cba786p-5, 0x1.36c278af95778p-5, 0x1.2f9153e2abefdp-5, 0x1.28834d9db823bp-5, 0x1.2197ef6d11fd3p-5, 0x1.1acec2fd765b9p-5, 0x1.1427522788b57p-5, 0x1.0da126fb00fe9p-5, 0x1.073bcbc99112ep-5, 0x1.00f6cb317e7b3p-5, 0x1.f5a3604fe6bc7p-6, 0x1.e9980c06062d9p-6, 0x1.ddcab106cd545p-6, 0x1.d23a67bbe50adp-6, 0x1.c6e649897cf25p-6, 0x1.bbcd70e00f617p-6, 0x1.b0eef94d945d3p-6, 0x1.a649ff8e1bdefp-6, 0x1.9bdda19be31a6p-6, 0x1.91a8febecef49p-6, 0x1.87ab379b5855cp-6, 0x1.7de36e40f2134p-6, 0x1.7450c637d5728p-6, 0x1.6af2648e4c7d2p-6, 0x1.61c76fe56943p-6, 0x1.58cf107d3aeddp-6, 0x1.500870407346fp-6, 0x1.4772bacf8c2b7p-6, 0x1.3f0d1d8b66985p-6, 0x1.36d6c79f64b7cp-6, 0x1.2eceea0b08c92p-6, 0x1.26f4b7ab0cedp-6, 0x1.1f476542078a4p-6, 0x1.17c629808ccfap-6, 0x1.10703d0cdf9eap-6, 0x1.0944da8a21b07p-6, 0x1.02433e9f19782p-6, 0x1.f6d54ff8f858fp-7, 0x1.e974aec59defbp-7, 0x1.dc631f4fa9813p-7, 0x1.cf9f2b7721f6fp-7, 0x1.c3276159bda83p-7, 0x1.b6fa535b3ef81p-7, 0x1.ab16982d12f4bp-7, 0x1.9f7acad50926dp-7, 0x1.94258ab36af13p-7, 0x1.89157b882d88ap-7, 0x1.7e4945778a84ap-7, 0x1.73bf950dcc5e8p-7, 0x1.69771b4265632p-7, 0x1.5f6e8d7a64cbbp-7, 0x1.55a4a58a3a823p-7, 0x1.4c1821b6cf32ap-7, 0x1.42c7c4b604394p-7, 0x1.39b255ae931ffp-7, 0x1.30d6a0374deedp-7, 0x1.28337455d2c08p-7, 0x1.1fc7a67caf5c7p-7, 0x1.17920f88f5b02p-7, 0x1.0f918cbf4bfd5p-7, 0x1.07c4ffc87b8dcp-7, 0x1.002b4ead8098fp-7, 0x1.f186c7a64872fp-8, 0x1.e3185bea3993fp-8, 0x1.d50940418ad0dp-8, 0x1.c757635ecb2c7p-8, 0x1.ba00bc8025e81p-8, 0x1.ad034b6261822p-8, 0x1.a05d1833233e7p-8, 0x1.940c33827e8a1p-8, 0x1.880eb633d5db3p-8, 0x1.7c62c16e22299p-8, 0x1.71067e8b97b5ep-8, 0x1.65f81f08b79aap-8, 0x1.5adb602dd24cep-8, 0x1.5065f47df99c7p-8, 0x1.46394a86469ep-8, 0x1.3c53b208cf32ap-8, 0x1.32b3827cc8768p-8, 0x1.29571afc50aebp-8, 0x1.203ce231e50e5p-8, 0x1.176346459aafp-8, 0x1.0ec8bcca0558p-8, 0x1.066bc2a8e29a5p-8, 0x1.fc95b81f154ebp-9, 0x1.ecc928b64ca9fp-9, 0x1.dd6efc09741fap-9, 0x1.ce846519ec83fp-9, 0x1.c006a4cfd4573p-9, 0x1.b1f309d10160bp-9, 0x1.a446f057d2e2p-9, 0x1.96ffc209ab67cp-9, 0x1.8a1af5cd33ff4p-9, 0x1.7d960fa073835p-9, 0x1.716ea06eaa3cdp-9, 0x1.65a245e60a9c1p-9, 0x1.5a2eaa4d502b6p-9, 0x1.4f1184592a985p-9, 0x1.4448970195999p-9, 0x1.39d1b157177f3p-9, 0x1.2faaae57dc4bdp-9, 0x1.25d174c4e5a1ep-9, 0x1.1c43f6f705367p-9, 0x1.130032b3e946ep-9, 0x1.0a043103167bap-9, 0x1.014e0602ec7c8p-9, 0x1.f1b7a17b36a45p-10, 0x1.e15775fc6e5b8p-10, 0x1.d177f24b7e7bfp-10, 0x1.c215940078517p-10, 0x1.b32ced33ddb11p-10, 0x1.a4baa4291f39cp-10, 0x1.96bb72f951c0cp-10, 0x1.892c273e23eb3p-10, 0x1.7c09a1bd0d332p-10, 0x1.6f50d612be3a2p-10, 0x1.62feca5ef8b12p-10, 0x1.571096f099ea5p-10, 0x1.4b8365f24d2ep-10, 0x1.405473175d94ep-10, 0x1.35810b4942c9fp-10, 0x1.2b068c557a5a7p-10, 0x1.20e2649bf6c63p-10, 0x1.171212be48543p-10, 0x1.0d93254f2fbe8p-10, 0x1.04633a82eb32dp-10, 0x1.f6ffffc073733p-11, 0x1.e5ce63e414d85p-11, 0x1.d52d37f401276p-11, 0x1.c5182f474a1dep-11, 0x1.b58b197124758p-11, 0x1.a681e1aa9f714p-11, 0x1.97f88e3e65418p-11, 0x1.89eb3ff64c2d6p-11, 0x1.7c56318a9ed6bp-11, 0x1.6f35b7137a9d7p-11, 0x1.62863d7c1e166p-11, 0x1.564449f83c847p-11, 0x1.4a6c797b6a9a3p-11, 0x1.3efb803276929p-11, 0x1.33ee28ff3249fp-11, 0x1.294154f61096dp-11, 0x1.1ef1fade0feep-11, 0x1.14fd26b2cd2b8p-11, 0x1.0b5ff928b8311p-11, 0x1.0217a7337e653p-11, 0x1.f242f31d7d551p-12, 0x1.e0f598913c326p-12, 0x1.d0421c9dc5f89p-12, 0x1.c02381fc0277ap-12, 0x1.b094ef649ebc1p-12, 0x1.a191aeb6d1b59p-12, 0x1.93152c2337807p-12, 0x1.851af55b001ecp-12, 0x1.779eb8c2d8819p-12, 0x1.6a9c44aa8be29p-12, 0x1.5e0f8687cfc43p-12, 0x1.51f48a35955e3p-12, 0x1.46477937251d4p-12, 0x1.3b0499fec202dp-12, 0x1.30284f3863337p-12, 0x1.25af171763ee3p-12, 0x1.1b958aa91dd1ap-12, 0x1.11d85d29c7a48p-12, 0x1.08745b5d2edbdp-12, 0x1.feccd5d69420cp-13, 0x1.ed57137f14effp-13, 0x1.dc819ad78f68bp-13, 0x1.cc46c51c6f50bp-13, 0x1.bca11875665aap-13, 0x1.ad8b46ce074e6p-13, 0x1.9f002cb47f8bbp-13, 0x1.90fad03d6b7e8p-13, 0x1.83765fef83ae3p-13, 0x1.766e31b2db21ap-13, 0x1.69ddc1c71e317p-13, 0x1.5dc0b1be7bb5bp-13, 0x1.5212c77edfe45p-13, 0x1.46cfec47c5ba2p-13, 0x1.3bf42bbd96a02p-13, 0x1.317bb2fa4ad6cp-13, 0x1.2762cfa2d1f63p-13, 0x1.1da5ef01eea4cp-13, 0x1.14419d272abe2p-13, 0x1.0b32840bd51cbp-13, 0x1.02756abba56f5p-13, 0x1.f40e690538a85p-14, 0x1.e3c9c03eba55ap-14, 0x1.d4170df45b815p-14, 0x1.c4f0b8bffe396p-14, 0x1.b651598568bd9p-14, 0x1.a833b9f9eeb0cp-14, 0x1.9a92d3349ddb3p-14, 0x1.8d69cc48a0a1dp-14, 0x1.80b3f8e588428p-14, 0x1.746cd8018b8f2p-14, 0x1.6890128a8be83p-14, 0x1.5d197a1ff91bfp-14, 0x1.520507d37ef1ap-14, 0x1.474edaf29e633p-14, 0x1.3cf337d6443a4p-14, 0x1.32ee86bb41fe8p-14, 0x1.293d52a0af32cp-14, 0x1.1fdc482e129aap-14, 0x1.16c834a191dcap-14, 0x1.0dfe04c32b835p-14, 0x1.057ac3dfec8c9p-14, 0x1.fa77359799614p-15, 0x1.ea7b9dd1d367ap-15, 0x1.dafd826f21b87p-15, 0x1.cbf7dad4a8d31p-15, 0x1.bd65d202e9c76p-15, 0x1.af42c4d7adb1dp-15, 0x1.a18a405dafca8p-15, 0x1.9438002620bf2p-15, 0x1.8747ecaeafe55p-15, 0x1.7ab619d3385d3p-15, 0x1.6e7ec547720c1p-15, 0x1.629e55222b6ap-15, 0x1.5711566b6ffdap-15, 0x1.4bd47bbab73e7p-15, 0x1.40e49bdc1c8b6p-15, 0x1.363eb0818c7f4p-15, 0x1.2bdfd4fc46d0ep-15, 0x1.21c54500f084fp-15, 0x1.17ec5b74bab48p-15, 0x1.0e5291431e5c6p-15, 0x1.04f57c3e35d33p-15, 0x1.f7a59c0ab0e7p-16, 0x1.e5d0a5edb8f19p-16, 0x1.d467e2506ce3bp-16, 0x1.c3674ece8c46bp-16, 0x1.b2cb1887474dep-16, 0x1.a28f9a3e1e669p-16, 0x1.92b15a8ac04acp-16, 0x1.832d0a1a77bf6p-16, 0x1.73ff81fde5858p-16, 0x1.6525c200b121fp-16, 0x1.569cef1a20943p-16, 0x1.486251dd1f37bp-16, 0x1.3a7354ffaf1d8p-16, 0x1.2ccd83e86cae9p-16, 0x1.1f6e894dec32p-16, 0x1.12542ddb17ca8p-16, 0x1.057c56e69bc01p-16, 0x1.f1ca0a5c9e3efp-17, 0x1.d918a7458779cp-17, 0x1.c0e0ec6f7c598p-17, 0x1.a91f718eec483p-17, 0x1.91d0fbee3a895p-17, 0x1.7af27c537ecf9p-17, 0x1.64810cf45461bp-17, 0x1.4e79ef7f60a21p-17, 0x1.38da8b35b1ff5p-17, 0x1.23a06b155537bp-17, 0x1.0ec93c133bd6ep-17, 0x1.f4a596d412892p-18, 0x1.cc7609ea5dcebp-18, 0x1.a4ffe3344ac7dp-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.b77b91852ec73p-2, -0x1.d0ca6e4940e2ap-2, -0x1.e8fffdd162e1p-2, -0x1.0007099272718p-1, -0x1.0af4fb9834d5ep-1, -0x1.1546055874e21p-1, -0x1.1ef7affc2725dp-1, -0x1.2808be0cb815fp-1, -0x1.3079035f6bf6ap-1, -0x1.38493aa3f09f9p-1, -0x1.3f7af28de6422p-1, -0x1.46106f57e2aep-1, -0x1.4c0c88df4dc3ep-1, -0x1.517299b5c7fa1p-1, -0x1.56466c569f993p-1, -0x1.5a8c248282e6dp-1, -0x1.5e48312ab1ecp-1, -0x1.617f401c53ef8p-1, -0x1.64362c3540af6p-1, -0x1.6671edc2d824ap-1, -0x1.68379257c99b1p-1, -0x1.698c39b33459cp-1, -0x1.6a7505ad5ef4dp-1, -0x1.6af7175561566p-1, -0x1.6b1788a7a589ap-1, -0x1.6adb64fba3c3dp-1, -0x1.6a47a3844f67ep-1, -0x1.696123cf54b13p-1, -0x1.682cab2b6147bp-1, -0x1.66aee206e59a2p-1, -0x1.64ec5146311fcp-1, -0x1.62e9601326e01p-1, -0x1.60aa52649988ep-1, -0x1.5e3347fa1861p-1, -0x1.5b883b6fee6fcp-1, -0x1.58ad01685f639p-1, -0x1.55a548154acap-1, -0x1.52749751aba42p-1, -0x1.4f1e511daa37p-1, -0x1.4ba5b21fc17a7p-1, -0x1.480dd1f968035p-1, -0x1.4459a39051487p-1, -0x1.408bf5938c8f3p-1, -0x1.3ca7736212436p-1, -0x1.38aea6387bffbp-1, -0x1.34a3f668543cp-1, -0x1.3089ac69487a7p-1, -0x1.2c61f1bb8cc16p-1, -0x1.282ed1afeb149p-1, -0x1.23f23a2f3542p-1, -0x1.1fadfc91ff5fap-1, -0x1.1b63ce9173d42p-1, -0x1.17154b563d3c7p-1, -0x1.12c3f4a4ae735p-1, -0x1.0e7134194e1cep-1, -0x1.0a1e5c5c94dbep-1, -0x1.05ccaa328f0d9p-1, -0x1.017d45588eb7dp-1, -0x1.fa628275144e8p-2, -0x1.f1d33b3b13c01p-2, -0x1.e94e8ec134d5ap-2, -0x1.e0d632ce718cfp-2, -0x1.d86bbb4f6b00cp-2, -0x1.d01093bb5b936p-2, -0x1.c7c6259942b7ep-2, -0x1.bf8da2a2bdf65p-2, -0x1.b76829f03b7e9p-2, -0x1.af56c1093198ap-2, -0x1.a75a553ea02a4p-2, -0x1.9f73bcf5b18e9p-2, -0x1.97a3b8e65af54p-2, -0x1.8feaf54fb6482p-2, -0x1.884a0b224b405p-2, -0x1.80c181201d722p-2, -0x1.7951ccf2af3fap-2, -0x1.71fb54373f2f4p-2, -0x1.6abe6d8115defp-2, -0x1.639b6150ffe04p-2, -0x1.5c926b00f3f6dp-2, -0x1.55a3b9a394cd3p-2, -0x1.4ecf70d8594fdp-2, -0x1.4815a995b9c48p-2, -0x1.417672ea4ffd5p-2, -0x1.3af1d2b4c1c13p-2, -0x1.3487c65159bc9p-2, -0x1.2e38433c1bfecp-2, -0x1.280337a71bf69p-2, -0x1.21e88b062eb89p-2, -0x1.1be81e9214c3p-2, -0x1.1601cdc536e3cp-2, -0x1.10356ed34aa72p-2, -0x1.0a82d31bf2fep-2, -0x1.04e9c797a4608p-2, -0x1.fed42a7bb0b12p-3, -0x1.f40702c8530fdp-3, -0x1.e96b9c2d80ce6p-3, -0x1.df0174d65efb7p-3, -0x1.d4c8059de7a0fp-3, -0x1.cabec2a5029e9p-3, -0x1.c0e51be1f331bp-3, -0x1.b73a7da8097d2p-3, -0x1.adbe5125ec936p-3, -0x1.a46ffcd8f9fc3p-3, -0x1.9b4ee4f574567p-3, -0x1.925a6bc46cd3dp-3, -0x1.8991f1f965b91p-3, -0x1.80f4d7020a2fp-3, -0x1.78827951dba7bp-3, -0x1.703a36aac95f8p-3, -0x1.681b6c62916fcp-3, -0x1.602577a3fdf2bp-3, -0x1.5857b5aacc1f8p-3, -0x1.50b183f941cbfp-3, -0x1.493240873908dp-3, -0x1.41d949eb037bap-3, -0x1.3aa5ff7d47bb4p-3, -0x1.3397c1791f054p-3, -0x1.2cadf119b45a8p-3, -0x1.25e7f0b64d3aap-3, -0x1.1f4523dd0ceadp-3, -0x1.18c4ef6c6ec39p-3, -0x1.1266b9ab0287dp-3, -0x1.0c29ea5d01388p-3, -0x1.060dead7545b4p-3, -0x1.0012260fe57bcp-3, -0x1.f46c1156b7751p-4, -0x1.e8f2021137b4dp-4, -0x1.ddb4fe94ff929p-4, -0x1.d2b3eac094ee3p-4, -0x1.c7edae1a5e1e3p-4, -0x1.bd6133de5b188p-4, -0x1.b30d6b0aaabe4p-4, -0x1.a8f1466a97aeep-4, -0x1.9f0bbc9fdf39cp-4, -0x1.955bc829c1514p-4, -0x1.8be067697a253p-4, -0x1.82989ca400a05p-4, -0x1.79836e01201fcp-4, -0x1.709fe58829091p-4, -0x1.67ed111ab68d3p-4, -0x1.5f6a026e0a8cap-4, -0x1.5715cf0393eap-4, -0x1.4eef902113ed5p-4, -0x1.46f662c8bdaccp-4, -0x1.3f2967b18223ep-4, -0x1.3787c33f9030dp-4, -0x1.30109d7cf43c3p-4, -0x1.28c307584c2d4p-4, -0x1.219e66db6f257p-4, -0x1.1aa1d3611f7ccp-4, -0x1.13cc833433728p-4, -0x1.0d1db01498957p-4, -0x1.0694972d219cbp-4, -0x1.003079091db74p-4, -0x1.f3e1331376decp-5, -0x1.e7a87fb675feep-5, -0x1.dbb56cd3ea668p-5, -0x1.d00695ae6b344p-5, -0x1.c49a9bdbe36d6p-5, -0x1.b970272eba599p-5, -0x1.ae85e59ec6091p-5, -0x1.a3da8b32112c6p-5, -0x1.996cd1e58795fp-5, -0x1.8f3b799592336p-5, -0x1.854547e6bd94p-5, -0x1.7b89082e74242p-5, -0x1.72058b5be029cp-5, -0x1.68b9a7e1060d9p-5, -0x1.5fa4399c1b81cp-5, -0x1.56c421c12ee19p-5, -0x1.4e1846c41873ep-5, -0x1.459f9442c2959p-5, -0x1.3d58faefc438bp-5, -0x1.3543707d4db8bp-5, -0x1.2d5def88674fp-5, -0x1.25a777847c95cp-5, -0x1.1e1f0ca73463ap-5, -0x1.16c3b7d492318p-5, -0x1.0f94868b5e91dp-5, -0x1.08908ad1d3366p-5, -0x1.01b6db228a837p-5, -0x1.f60d24b35f0dap-6, -0x1.e8fd9f44d8692p-6, -0x1.dc3d6cc92d3f6p-6, -0x1.cfcadc65329c2p-6, -0x1.c3a4456f29194p-6, -0x1.b7c8074b7f98bp-6, -0x1.ac34894a025cap-6, -0x1.a0e83a838328dp-6, -0x1.95e191b7f79b6p-6, -0x1.8b1f0d2d14c85p-6, -0x1.809f328d62742p-6, -0x1.76608ec7cc458p-6, -0x1.6c61b5efb7f56p-6, -0x1.62a1431d95f07p-6, -0x1.591dd84ffa7c4p-6, -0x1.4fd61e4d38576p-6, -0x1.46c8c4857eefdp-6, -0x1.3df480f579605p-6, -0x1.355810097320ap-6, -0x1.2cf23480f7272p-6, -0x1.24c1b752edb45p-6, -0x1.1cc5679238c7dp-6, -0x1.14fc1a52bcf45p-6, -0x1.0d64aa8eef32p-6, -0x1.05fdf90dc4814p-6, -0x1.fd8dd8922f8b9p-7, -0x1.ef7ce0a8f9679p-7, -0x1.e1c6ed88e210ep-7, -0x1.d469ed2c0254p-7, -0x1.c763d82d83db1p-7, -0x1.bab2b19a6aa47p-7, -0x1.ae5486c308c4ap-7, -0x1.a2476f0d3cd18p-7, -0x1.96898bc74f56p-7, -0x1.8b1907fb8a0bep-7, -0x1.7ff4184481d23p-7, -0x1.7518faa1fa0afp-7, -0x1.6a85f64e7eee3p-7, -0x1.60395b9597dc8p-7, -0x1.563183aaa293ap-7, -0x1.4c6cd0804c039p-7, -0x1.42e9aca09f2aap-7, -0x1.39a68b05c5211p-7, -0x1.30a1e6f341b2ep-7, -0x1.27da43cfdb645p-7, -0x1.1f4e2d001be1bp-7, -0x1.16fc35c150152p-7, -0x1.0ee2f9053263ap-7, -0x1.0701194e119afp-7, -0x1.feaa811729984p-8, -0x1.efbc3feff5fe3p-8, -0x1.e134dfebf0c55p-8, -0x1.d311dfde1681bp-8, -0x1.c550cc64be78ep-8, -0x1.b7ef3fa856d75p-8, -0x1.aaeae11b4751fp-8, -0x1.9e41653aadec4p-8, -0x1.91f08d503267bp-8, -0x1.85f62734bdb19p-8, -0x1.7a500d143d477p-8, -0x1.6efc253246621p-8, -0x1.63f861afb23a9p-8, -0x1.5942c05118656p-8, -0x1.4ed94a4644d0bp-8, -0x1.44ba13f27f2ddp-8, -0x1.3ae33cb5c22b3p-8, -0x1.3152eeb6c6a28p-8, -0x1.28075eadf2c4ap-8, -0x1.1efecbb113177p-8, -0x1.16377f00092dcp-8, -0x1.0dafcbd21adp-8, -0x1.05660f244b238p-8, -0x1.fab15f1090df9p-9, -0x1.eb0c39e8a29e5p-9, -0x1.dbd9a1278df4p-9, -0x1.cd1699310d26bp-9, -0x1.bec0381a2fa17p-9, -0x1.b0d3a54eee042p-9, -0x1.a34e19398ea1cp-9, -0x1.962cdceb396d8p-9, -0x1.896d49c618c85p-9, -0x1.7d0cc928f01b8p-9, -0x1.7108d41be1e13p-9, -0x1.655ef2feec366p-9, -0x1.5a0cbd397af62p-9, -0x1.4f0fd8eb6df0ap-9, -0x1.4465fa9f6f37p-9, -0x1.3a0ce4fe961b7p-9, -0x1.300268855c865p-9, -0x1.26446339d1cc6p-9, -0x1.1cd0c06310a71p-9, -0x1.13a57841f72e9p-9, -0x1.0ac08fcb17d44p-9, -0x1.02201861dc0b5p-9, -0x1.f3845f29b921ap-10, -0x1.e349fdb6cb82dp-10, -0x1.d38d76a85d7afp-10, -0x1.c44b4b0a28253p-10, -0x1.b580123866ba3p-10, -0x1.a7287963be2c1p-10, -0x1.99414317bbe97p-10, -0x1.8bc746c36dafp-10, -0x1.7eb77043da1b3p-10, -0x1.720ebf711babap-10, -0x1.65ca47ad110dep-10, -0x1.59e72f746a0b8p-10, -0x1.4e62aff196598p-10, -0x1.433a1491e87ap-10, -0x1.386aba9c51529p-10, -0x1.2df210caa0e61p-10, -0x1.23cd96e43198ep-10, -0x1.19fadd5aab629p-10, -0x1.107784e8b3045p-10, -0x1.07413e325ddc3p-10, -0x1.fcab92cf0e152p-11, -0x1.eb65ebcf77361p-11, -0x1.daad43d0ce7ffp-11, -0x1.ca7d74384a73ep-11, -0x1.bad272b8645d5p-11, -0x1.aba850a6d3f4fp-11, -0x1.9cfb3a55f59d2p-11, -0x1.8ec776714cdafp-11, -0x1.8109655d985d2p-11, -0x1.73bd809bdbf7fp-11, -0x1.66e05a2f89ca9p-11, -0x1.5a6e9c07db38fp-11, -0x1.4e65076c2aa88p-11, -0x1.42c0746b6bf42p-11, -0x1.377dd14e8b4adp-11, -0x1.2c9a220d3e822p-11, -0x1.22127fc6ef4bap-11, -0x1.17e4183cda5cfp-11, -0x1.0e0c2d5060407p-11, -0x1.048814831c55ep-11, -0x1.f67ba4b045dcbp-12, -0x1.e4b577afb8d74p-12, -0x1.d387d4c5ee459p-12, -0x1.c2edf918d600ap-12, -0x1.b2e34467fafb2p-12, -0x1.a363382dac9bep-12, -0x1.946976c46c381p-12, -0x1.85f1c2920936ep-12, -0x1.77f7fd366a026p-12, -0x1.6a7826bfc0fb2p-12, -0x1.5d6e5ce1d99a8p-12, -0x1.50d6da342f11ep-12, -0x1.44adf5722a9b1p-12, -0x1.38f020c02f446p-12, -0x1.2d99e8f58bfcdp-12, -0x1.22a7f4ea1a6e1p-12, -0x1.181704c773abcp-12, -0x1.0de3f15e960b5p-12, -0x1.040bab81525b5p-12, -0x1.f51676bf91f94p-13, -0x1.e2bf7fd06c9cp-13, -0x1.d10cdc5a1fc5p-13, -0x1.bff921981c507p-13, -0x1.af7f0eb47a605p-13, -0x1.9f998ba5b05d4p-13, -0x1.9043a813fbd71p-13, -0x1.81789a44ddf0cp-13, -0x1.7333be0cbd5aep-13, -0x1.657093c7f0525p-13, -0x1.582abf58b487p-13, -0x1.4b5e072d0a6d7p-13, -0x1.3f065347556d8p-13, -0x1.331fac51bf5ecp-13, -0x1.27a63ab2cc766p-13, -0x1.1c9645a9f0582p-13, -0x1.11ec32712ec9bp-13, -0x1.07a48363e8743p-13, -0x1.fb77ae5757c32p-14, -0x1.e85dcfe233047p-14, -0x1.d5f5152632c83p-14, -0x1.c4375bc437ae6p-14, -0x1.b31eb3c1be999p-14, -0x1.a2a55e1349291p-14, -0x1.92c5cb31b7fabp-14, -0x1.837a99b50a44dp-14, -0x1.74be94fc4d55dp-14, -0x1.668cb3ddcdb55p-14, -0x1.58e0175dcb805p-14, -0x1.4bb4096dd405bp-14, -0x1.3f03fbb77bc5ap-14, -0x1.32cb866be92a9p-14, -0x1.2706671bd521ap-14, -0x1.1bb07f99aae37p-14, -0x1.10c5d4e0def7cp-14, -0x1.06428e050458p-14, -0x1.f845e6529df4bp-15, -0x1.e4c6d8fd9c074p-15, -0x1.d201028d3bf8ep-15, -0x1.bfedadc4d02f2p-15, -0x1.ae865fc60bc6ep-15, -0x1.9dc4d64539f0ep-15, -0x1.8da305c92edd7p-15, -0x1.7e1b17f2e0436p-15, -0x1.6f2769d7acb91p-15, -0x1.60c28a629a7b5p-15, -0x1.52e738c43426cp-15, -0x1.459062ead4a67p-15, -0x1.38b924087fa0ap-15, -0x1.2c5cc3224c344p-15, -0x1.2076b1a9edd3dp-15, -0x1.15028a259192dp-15, -0x1.09fc0ed5d0056p-15, -0x1.febe50eeaeb5p-16, -0x1.ea4fc9fe84fd7p-16, -0x1.d6a4eccee4513p-16, -0x1.c3b66301e7b6p-16, -0x1.b17d19a33a501p-16, -0x1.9ff23ef347e4bp-16, -0x1.8f0f403fb95d7p-16, -0x1.7ecdc7cfcb842p-16, -0x1.6f27badfe3a9cp-16, -0x1.601737a9e259ep-16, -0x1.51969382e484ep-16, -0x1.43a058f854d85p-16, -0x1.362f4613a9152p-16, -0x1.293e4a9580feep-16, -0x1.1cc8864af640ap-16, -0x1.10c947632d2b3p-16, -0x1.053c08e73d339p-16, -0x1.f438e251f41b5p-17, -0x1.decca08e08aa8p-17, -0x1.ca2b3d79c55a3p-17, -0x1.b64cf7fec9cdfp-17, -0x1.a32a5a3a2b0a8p-17, -0x1.90bc36e344f41p-17, -0x1.7efba6c0ae889p-17, -0x1.6de2062e9341ep-17, -0x1.5d68f2c2cfd79p-17, -0x1.4d8a48e949c72p-17, -0x1.3e4021c409dd4p-17, -0x1.2f84d0ecef83cp-17, -0x1.2152e260264a3p-17, -0x1.13a518762bc8ep-17, -0x1.067669eda5ff4p-17, -0x1.f383fffbe3829p-18, -0x1.db066906f540ap-18, -0x1.c36b20712b005p-18, -0x1.aca991f5ccb1bp-18, -0x1.96b98039535dbp-18, -0x1.819301a78cea9p-18, -0x1.6d2e7d32ea662p-18, -0x1.5984a76642dd5p-18, -0x1.468e7f7457c23p-18, -0x1.34454c66b643fp-18, -0x1.22a29a6af5a64p-18, -0x1.11a03810d6f31p-18, -0x1.013833efba756p-18, -0x1.e2c9b41dc045p-19, -0x1.c44163289cef7p-19, -0x1.a6ccf4d4d88cdp-19, -0x1.8a62564bdc819p-19, -0x1.6ef7dd8599f3cp-19, -0x1.5484454051565p-19, -0x1.3afea91c7177bp-19, -0x1.225e819684febp-19, -0x1.0a9ba080c5bbep-19, -0x1.e75c5ac420f8bp-20, -0x1.bb1d43d91f22fp-20, -0x1.906b8dac0826p-20, -0x1.673960a6e85c6p-20, -0x1.3f7976d270179p-20, -0x1.191f155f93ad4p-20, -0x1.e83c0e15d13c6p-21, -0x1.a0d52d252dc62p-21, -0x1.5bf312e8ca25bp-21, -0x1.1980356872c0ep-21, -0x1.b2cfd8085da5ep-22, -0x1.372ccbc8a87efp-22, -0x1.7fe2839759161p-23, -0x1.33e305e43c6c6p-24, 0x1.0efd972ac4886p-25, 0x1.19735d77bf799p-23, 0x1.e76ad1d4dc06ep-23, 0x1.56f1cf3c597ap-22, 0x1.b68c8fdd2a9b5p-22, 0x1.095114bff5cd1p-21, 0x1.35a6fc80420f3p-21, 0x1.605522c1ae072p-21, 0x1.89682679b6db9p-21, 0x1.b0ec27df971edp-21, 0x1.d6ecce1752e39p-21, 0x1.fb754ca4c3b3p-21, 0x1.0f483442c4c04p-20, 0x1.20243eae7ed74p-20, 0x1.3053c1184f388p-20, 0x1.3fdb86c53268ap-20, 0x1.4ec02d565a258p-20, 0x1.5d06269f28d41p-20, 0x1.6ab1bab708693p-20, 0x1.77c709ed6573ep-20, 0x1.844a0e8bffbbfp-20, 0x1.903e9ebd851f5p-20, 0x1.9ba86e1bc931ep-20, 0x1.a68b0f80e1355p-20, 0x1.b0e9f64313d91p-20, 0x1.bac877f6e5d3cp-20, 0x1.c429cdb421627p-20, 0x1.cd11158be106cp-20, 0x1.d581539dad17ep-20, 0x1.dd7d737050a78p-20, 0x1.e508492e706dbp-20, 0x1.ec2492ac5ab99p-20, 0x1.f2d4f86dd5136p-20, 0x1.f91c0ef06d432p-20, 0x1.fefc573714bb2p-20, 0x1.023c200a92294p-19, 0x1.04c9134fc77a1p-19, 0x1.07262bc6afd0dp-19, 0x1.095487d2bf619p-19, 0x1.0b553e45ea493p-19, 0x1.0d295ed3bc09ep-19, 0x1.0ed1f2411079fp-19, 0x1.104ffad6286b3p-19, 0x1.11a474a149fd7p-19, 0x1.12d055c6167b8p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.623f7dfe382a5p-3, 0x1.675edeeb43ee9p-3, 0x1.6a321c6dfd326p-3, 0x1.6ac6bd0d9f63cp-3, 0x1.692e208750ep-3, 0x1.657c82902799cp-3, 0x1.5fc8b24940505p-3, 0x1.582b79732e964p-3, 0x1.4ebec09209f48p-3, 0x1.439d7c2bcdbcfp-3, 0x1.36e3934032a76p-3, 0x1.28ad4fd84943p-3, 0x1.1916d8957c02ep-3, 0x1.083c086fd5679p-3, 0x1.ec711bb362c8ap-4, 0x1.c64fce3fbccb9p-4, 0x1.9e4a10ebe1e72p-4, 0x1.7493e31c724b7p-4, 0x1.495f0590faefep-4, 0x1.1cdb38c7f01e8p-4, 0x1.de6d74dfe6cf4p-5, 0x1.813eec08f1502p-5, 0x1.227ea8df5e0a5p-5, 0x1.84fd359dcbf0fp-6, 0x1.862dd16aaa0d4p-7, -0x1.315778dc53356p-17, -0x1.8866127545162p-7, -0x1.8890183c9e3fdp-6, -0x1.26629c5a10c51p-5, -0x1.8831332127038p-5, -0x1.e980029b8c412p-5, -0x1.250fa5d7abed3p-4, -0x1.54f188bd704cdp-4, -0x1.84516b56cfd79p-4, -0x1.b31cba7b50365p-4, -0x1.e14280ab03315p-4, -0x1.0759ab18f7386p-3, -0x1.1db0a66912db3p-3, -0x1.339fec9edc66cp-3, -0x1.4921de77a192fp-3, -0x1.5e3178bd0e0b4p-3, -0x1.72ca4b0b0d0fep-3, -0x1.86e870543199ap-3, -0x1.9a88898176c2ep-3, -0x1.ada7b986708f6p-3, -0x1.c043a13866219p-3, -0x1.d25a590884521p-3, -0x1.e3ea67b09cfa2p-3, -0x1.f4f2b6669122cp-3, -0x1.02b942329af9fp-2, -0x1.0ab4adf59ee01p-2, -0x1.126b851943f0bp-2, -0x1.19ddcd64689cbp-2, -0x1.210baad6a4345p-2, -0x1.27f55f7e2b4a7p-2, -0x1.2e9b4b68526d7p-2, -0x1.34fdec1bdc8dfp-2, -0x1.3b1ddb422db1ep-2, -0x1.40fbcc671cd4dp-2, -0x1.469889fa2ebc1p-2, -0x1.4bf4f1f1a4755p-2, -0x1.5111f287f212fp-2, -0x1.55f0877d64da4p-2, -0x1.5a91ba6d70e2dp-2, -0x1.5ef68ed4694dp-2, -0x1.63202dbf4c739p-2, -0x1.670fb7118452ep-2, -0x1.6ac6525216b1dp-2, -0x1.6e452e8e6c0e6p-2, -0x1.718d81e21e005p-2, -0x1.74a08899d4e3cp-2, -0x1.777f83fd07f7p-2, -0x1.7a2bb8d7fef5fp-2, -0x1.7ca66de5f15f6p-2, -0x1.7ef0ea3c6abebp-2, -0x1.810c73d6e2a82p-2, -0x1.82fa4e5bba24p-2, -0x1.84bbba2ad8ee4p-2, -0x1.8651f3b9e752fp-2, -0x1.87be3335295c5p-2, -0x1.8901ac5182924p-2, -0x1.8a1d8e37a8d2dp-2, -0x1.8b1303735ef29p-2, -0x1.8be331da06bfcp-2, -0x1.8c8f3a6628656p-2, -0x1.8d18390dc6139p-2, -0x1.8d7f449cb8c25p-2, -0x1.8dc56e9ac3fafp-2, -0x1.8debc3403b9dap-2, -0x1.8df3497672b5bp-2, -0x1.8ddd02dcef34bp-2, -0x1.8da9ebcab4ad7p-2, -0x1.8d5afb43f9056p-2, -0x1.8cf122dfb842p-2, -0x1.8c6d4e9ca1c11p-2, -0x1.8bd064a8f2862p-2, -0x1.8b1b45240f15dp-2, -0x1.8a4ec9e27221p-2, -0x1.896bc63cc9p-2, -0x1.887306f19afc6p-2, -0x1.8765521e43657p-2, -0x1.86436750acc99p-2, -0x1.850dffaff56b4p-2, -0x1.83c5ce3758283p-2, -0x1.826b7ffd318fp-2, -0x1.80ffbc7f83029p-2, -0x1.7f8325f033e6p-2, -0x1.7df6597ce6b8cp-2, -0x1.7c59ef9033273p-2, -0x1.7aae7c0bd2b4bp-2, -0x1.78f48e7c9a249p-2, -0x1.772cb249b6c94p-2, -0x1.75576ee093f6fp-2, -0x1.737547de5537ep-2, -0x1.7186bd372cf1ep-2, -0x1.6f8c4b5b38d93p-2, -0x1.6d866b5842577p-2, -0x1.6b7592f7ae246p-2, -0x1.695a34d8446b8p-2, -0x1.6734c083cbc84p-2, -0x1.6505a2810df15p-2, -0x1.62cd4463226cbp-2, -0x1.608c0cd72c1ep-2, -0x1.5e425fb19de31p-2, -0x1.5bf09dfbfa55ep-2, -0x1.59972603b4818p-2, -0x1.5736536a73135p-2, -0x1.54ce7f37b525ep-2, -0x1.525fffeb84a62p-2, -0x1.4feb2991dd7a7p-2, -0x1.4d704dd64c852p-2, -0x1.4aefbc17704ddp-2, -0x1.4869c17a1b1c7p-2, -0x1.45dea8fbf89cap-2, -0x1.434ebb85c3cc1p-2, -0x1.40ba3ffd232f9p-2, -0x1.3e217b56640ccp-2, -0x1.3b84b0a644973p-2, -0x1.38e42133f97d6p-2, -0x1.36400c8b982d1p-2, -0x1.3398b090f7d66p-2, -0x1.30ee49930af13p-2, -0x1.2e41125faaaabp-2, -0x1.2b914457b491cp-2, -0x1.28df178350b97p-2, -0x1.262ac2a62876cp-2, -0x1.23747b534d83cp-2, -0x1.20bba5375087p-2, -0x1.1e01d68c253c4p-2, -0x1.1b46b518081ecp-2, -0x1.188a73b6b5b16p-2, -0x1.15cd442f07265p-2, -0x1.130f57391d44fp-2, -0x1.1050dc84fe1a2p-2, -0x1.0d9202c17f2e9p-2, -0x1.0ad2f7a34a213p-2, -0x1.0813e7ebc9816p-2, -0x1.0554ff6fcfbb5p-2, -0x1.0296691dcc8c3p-2, -0x1.ffb09e06e0e56p-3, -0x1.fa35b4a5468ecp-3, -0x1.f4bc66cb7ef3cp-3, -0x1.ef45038625a7ap-3, -0x1.e9cfd83f4c271p-3, -0x1.e45d30c2c2b76p-3, -0x1.deed57413b7bep-3, -0x1.d98094529529p-3, -0x1.d4172ef7786f1p-3, -0x1.ceb16c9aa0f31p-3, -0x1.c94f9111feb37p-3, -0x1.c3f1de9fffe24p-3, -0x1.be9895f51d998p-3, -0x1.b943f631ef23cp-3, -0x1.b3f43ce9c216fp-3, -0x1.aea9a625dd147p-3, -0x1.a9646c69629f6p-3, -0x1.a424c8b5cfa42p-3, -0x1.9eeaf29001757p-3, -0x1.99b72005b44b4p-3, -0x1.948985b3465dap-3, -0x1.8f6256c9bcf7bp-3, -0x1.8a41c514ca6cap-3, -0x1.85280100cfa6p-3, -0x1.801539a0a9ccdp-3, -0x1.7b099cb3352e3p-3, -0x1.760556a87748ep-3, -0x1.710892a655a02p-3, -0x1.6c137a8cd4ee6p-3, -0x1.672636f9d3854p-3, -0x1.6240ef4c4888dp-3, -0x1.5d63c9a6fe587p-3, -0x1.588eeaf2dfe54p-3, -0x1.53c276e0d10c1p-3, -0x1.4efe8feb36025p-3, -0x1.4a43575725708p-3, -0x1.4590ed3566a7bp-3, -0x1.40e77063459d5p-3, -0x1.3c46fe8b50095p-3, -0x1.37afb4260efeep-3, -0x1.3321ac7ad05adp-3, -0x1.2e9d01a07f25bp-3, -0x1.2a21cc7eb0bcfp-3, -0x1.25b024cedb536p-3, -0x1.2148211dc59e9p-3, -0x1.1ce9d6cd387c6p-3, -0x1.18955a15f6162p-3, -0x1.144abe09ee95dp-3, -0x1.100a1496c162ap-3, -0x1.0bd36e887e935p-3, -0x1.07a6db8ca5119p-3, -0x1.03846a35663b7p-3, -0x1.fed84ffa358c6p-4, -0x1.f6bc4293da928p-4, -0x1.eeb4c2e36a54cp-4, -0x1.e6c1e57bf07acp-4, -0x1.dee3bce02b76ep-4, -0x1.d71a598b13b7p-4, -0x1.cf65c9f8a933ap-4, -0x1.c7c61aaee0a97p-4, -0x1.c03b5646cca33p-4, -0x1.b8c58575cbca9p-4, -0x1.b164af16ea3d8p-4, -0x1.aa18d83446684p-4, -0x1.a2e204108e80cp-4, -0x1.9bc034307fc3ap-4, -0x1.94b36864722fap-4, -0x1.8dbb9ed1e35f3p-4, -0x1.86d8d3fcfae03p-4, -0x1.800b02d20b60ap-4, -0x1.795224af0a019p-4, -0x1.72ae316cf54d8p-4, -0x1.6c1f1f692ea35p-4, -0x1.65a4e38ebf0b9p-4, -0x1.5f3f715f8779p-4, -0x1.58eebafd57868p-4, -0x1.52b2b132ef45ep-4, -0x1.4c8b437ce1645p-4, -0x1.467860125d8ebp-4, -0x1.4079f3eddd1b1p-4, -0x1.3a8fead5b4407p-4, -0x1.34ba2f6485ed6p-4, -0x1.2ef8ab119dc2cp-4, -0x1.294b46392b718p-4, -0x1.23b1e824670dap-4, -0x1.1e2c77119994ap-4, -0x1.18bad83c0ec2cp-4, -0x1.135cefe3eece4p-4, -0x1.0e12a15602252p-4, -0x1.08dbcef360ef8p-4, -0x1.03b85a390eb18p-4, -0x1.fd50478f0d3cap-5, -0x1.f35616d4610bfp-5, -0x1.e981e03d9c649p-5, -0x1.dfd36039a045ep-5, -0x1.d64a51b945cbdp-5, -0x1.cce66e3dd4a29p-5, -0x1.c3a76de7607f3p-5, -0x1.ba8d07830b261p-5, -0x1.b196f09929f26p-5, -0x1.a8c4dd7b50453p-5, -0x1.a01681523f91dp-5, -0x1.978b8e2bb8735p-5, -0x1.8f23b5082e347p-5, -0x1.86dea5e86101ep-5, -0x1.7ebc0fdacd305p-5, -0x1.76bba10903a31p-5, -0x1.6edd06c4d8afp-5, -0x1.671fed9572f86p-5, -0x1.5f8401442f64p-5, -0x1.5808ece96071p-5, -0x1.50ae5af8e62acp-5, -0x1.4973f54e93159p-5, -0x1.4259653a6bd0dp-5, -0x1.3b5e538cb5d05p-5, -0x1.348268a1d6f01p-5, -0x1.2dc54c6e02b85p-5, -0x1.2726a688b38e3p-5, -0x1.20a61e37f8f83p-5, -0x1.1a435a7b80ebfp-5, -0x1.13fe021779b4ap-5, -0x1.0dd5bb9f37ae8p-5, -0x1.07ca2d7f9e7e3p-5, -0x1.01dafe095a143p-5, -0x1.f80fa6f5ab162p-6, -0x1.eca0a813feb54p-6, -0x1.e1684bdb98e9p-6, -0x1.d665decf0791bp-6, -0x1.cb98ad979caa7p-6, -0x1.c100051711d8bp-6, -0x1.b69b3278b9493p-6, -0x1.ac6983422e79dp-6, -0x1.a26a45639c0e4p-6, -0x1.989cc747759bbp-6, -0x1.8f0057e1cab77p-6, -0x1.859446bf15bacp-6, -0x1.7c57e412971e8p-6, -0x1.734a80c4425d2p-6, -0x1.6a6b6e7e1b465p-6, -0x1.61b9ffb937d85p-6, -0x1.593587ca3dce8p-6, -0x1.50dd5aed704c8p-6, -0x1.48b0ce524a22p-6, -0x1.40af3826a1225p-6, -0x1.38d7efa160a22p-6, -0x1.312a4d0ccaecep-6, -0x1.29a5a9d058e9fp-6, -0x1.2249607a16dedp-6, -0x1.1b14ccc7acc0bp-6, -0x1.14074baeeee4cp-6, -0x1.0d203b660b788p-6, -0x1.065efb6b48cbcp-6, -0x1.ff85d918db808p-7, -0x1.f296e1db68037p-7, -0x1.e5efd820ce697p-7, -0x1.d98f85b24342ap-7, -0x1.cd2d4b3f6007bp-7, -0x1.c1581fe24b041p-7, -0x1.b5c6352110c1ep-7, -0x1.aa765f6870004p-7, -0x1.9f677609b6be1p-7, -0x1.94985344016dep-7, -0x1.8a07d44d12059p-7, -0x1.7fb4d95970176p-7, -0x1.759e45a415847p-7, -0x1.6bc2ff75abffbp-7, -0x1.6221f02afd172p-7, -0x1.58ba043b369c4p-7, -0x1.4f8a2b3d73ddfp-7, -0x1.469157ede6329p-7, -0x1.3dce8032797f7p-7, -0x1.35409d1f0ccd9p-7, -0x1.2ce6aaf927484p-7, -0x1.24bfa93b45a5ap-7, -0x1.1cca9a97b2e41p-7, -0x1.150684fb046c6p-7, -0x1.0d72718e03b1cp-7, -0x1.060d6cb75811p-7, -0x1.fdad0c396333bp-8, -0x1.ef99a14729209p-8, -0x1.e1dec4e38f3edp-8, -0x1.d47aa9da9d485p-8, -0x1.c76b89783459ep-8, -0x1.baafa3868fdcbp-8, -0x1.ae453e4c1b954p-8, -0x1.a22aa68892bc3p-8, -0x1.965e2f7177e5bp-8, -0x1.8ade32adb353bp-8, -0x1.7fa91050b767ap-8, -0x1.74bd2ed4d7099p-8, -0x1.6a18fb1502a89p-8, -0x1.5fbae846029fap-8, -0x1.55a16feec3325p-8, -0x1.4bcb11e053218p-8, -0x1.4236542d3133bp-8, -0x1.38e1c31ffafcfp-8, -0x1.2fcbf131936b1p-8, -0x1.26f376fec626cp-8, -0x1.1e56f33d5baf7p-8, -0x1.15f50ab0bf20fp-8, -0x1.0dcc681e018f2p-8, -0x1.05dbbc3f8dba3p-8, -0x1.fc437b70aeeddp-9, -0x1.ed3a520d2d2p-9, -0x1.de9980eca279ap-9, -0x1.d05e98262b7b6p-9, -0x1.c28733339078cp-9, -0x1.b510f8d3ccf01p-9, -0x1.a7f99aed12081p-9, -0x1.9b3ed66e1cc91p-9, -0x1.8ede732f17cf8p-9, -0x1.82d643d213b7fp-9, -0x1.772425a2e1eb8p-9, -0x1.6bc60076ae1ebp-9, -0x1.60b9c68b4cf0ap-9, -0x1.55fd74660d014p-9, -0x1.4b8f10b2612eep-9, -0x1.416cac208ad43p-9, -0x1.37946143a665cp-9, -0x1.2e04546fe2488p-9, -0x1.24bab3989aa23p-9, -0x1.1bb5b62e64d6ep-9, -0x1.12f39cfcf15dcp-9, -0x1.0a72b2091a9f7p-9, -0x1.0231486eea41ap-9, -0x1.f45b787f644f7p-10, -0x1.e4cce4c06eeccp-10, -0x1.d5b3b0ce29857p-10, -0x1.c70cc8f630a14p-10, -0x1.b8d52a63ec645p-10, -0x1.ab09e2de307aap-10, -0x1.9da81084f5e81p-10, -0x1.90ace18fe0a2ep-10, -0x1.8415940d9698ap-10, -0x1.77df75a249c91p-10, -0x1.6c07e34804bdcp-10, -0x1.608c490f16876p-10, -0x1.556a21dea2c2ep-10, -0x1.4a9ef7364336cp-10, -0x1.402860efd679p-10, -0x1.3604050224813p-10, -0x1.2c2f9743d8cc3p-10, -0x1.22a8d92f18ff8p-10, -0x1.196d99a6025c1p-10, -0x1.107bb4b6fea8fp-10, -0x1.07d113626ae2bp-10, -0x1.fed756c0e5e55p-11, -0x1.ee92fdcee195dp-11, -0x1.ded138e71071dp-11, -0x1.cf8e3d1ac34e9p-11, -0x1.c0c65726753a4p-11, -0x1.b275eb025e225p-11, -0x1.a49973759c67ep-11, -0x1.972d81a9ea4abp-11, -0x1.8a2ebcc0ef2e6p-11, -0x1.7d99e169d674ap-11, -0x1.716bc179289a4p-11, -0x1.65a14380d15d9p-11, -0x1.5a376269e519fp-11, -0x1.4f2b2d0f1807dp-11, -0x1.4479c5d891d6ap-11, -0x1.3a206259a4f79p-11, -0x1.301c4aeda325ap-11, -0x1.266ada57ea16fp-11, -0x1.1d097d63c11dfp-11, -0x1.13f5b2872924fp-11, -0x1.0b2d09838ee11p-11, -0x1.02ad230aefc16p-11, -0x1.f4e760c8e683dp-12, -0x1.e4fce62545257p-12, -0x1.d59678f511b82p-12, -0x1.c6afdb188e8f4p-12, -0x1.b844ecd93791bp-12, -0x1.aa51ac3f2569dp-12, -0x1.9cd23469ad603p-12, -0x1.8fc2bce88b785p-12, -0x1.831f9919065dbp-12, -0x1.76e53784edff2p-12, -0x1.6b10214318118p-12, -0x1.5f9cf95d53d73p-12, -0x1.54887c32f09acp-12, -0x1.49cf7ee35bd0fp-12, -0x1.3f6eeeb8d78d2p-12, -0x1.3563d094298eap-12, -0x1.2bab405da365fp-12, -0x1.224270756725ep-12, -0x1.1926a92871744p-12, -0x1.10554826a4c2fp-12, -0x1.07cbbffba09b3p-12, -0x1.ff0f2f1373b1p-13, -0x1.ef0cd30f99d81p-13, -0x1.df8bc7fff9211p-13, -0x1.d0878fa58e29p-13, -0x1.c1fbd074bd7ep-13, -0x1.b3e454a469875p-13, -0x1.a63d093d30f51p-13, -0x1.9901fd3102181p-13, -0x1.8c2f6073ec2dcp-13, -0x1.7fc1832052802p-13, -0x1.73b4d4925753cp-13, -0x1.6805e29496602p-13, -0x1.5cb1588b7f19bp-13, -0x1.51b3fea44cec5p-13, -0x1.470ab90b470d6p-13, -0x1.3cb28722eb637p-13, -0x1.32a882c12b2c5p-13, -0x1.28e9df709a3fp-13, -0x1.1f73e9b49be9ap-13, -0x1.16440654e2359p-13, -0x1.0d57b1a6f2111p-13, -0x1.04ac7ee12f851p-13, -0x1.f8802edc6227p-14, -0x1.e820748e931ecp-14, -0x1.d835769d6a5d8p-14, -0x1.c8bb056286afcp-14, -0x1.b9ad189109ad3p-14, -0x1.ab07ce072ed79p-14, -0x1.9cc768a0b57f2p-14, -0x1.8ee84f156eac7p-14, -0x1.81670ade85f0fp-14, -0x1.7440471c55a48p-14, -0x1.6770cf895795ep-14, -0x1.5af58f7363467p-14, -0x1.4ecb90b6c47d8p-14, -0x1.42effac333cc2p-14, -0x1.376011a9be2cbp-14, -0x1.2c193527ebbb6p-14, -0x1.2118dfc2287e8p-14, -0x1.165ca5dc667f9p-14, -0x1.0be234e661bb2p-14, -0x1.01a75275ae4c4p-14, -0x1.ef53b6fa48b8fp-15, -0x1.dbcf86faa4a04p-15, -0x1.c8be2779cff3cp-15, -0x1.b61bd50e171d6p-15, -0x1.a3e4f4dc1306p-15, -0x1.921613274eb78p-15, -0x1.80abe1ef48afap-15, -0x1.6fa3378c86ee6p-15, -0x1.5ef90d62f9c7ep-15, -0x1.4eaa7e95fd661p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.07c93accb6114p+0, 0x1.f7b0cb4d89d33p-1, 0x1.e012ae3c5a6e1p-1, 0x1.c901421ba89d9p-1, 0x1.b2b7a788e49b9p-1, 0x1.9d64c3cc162cap-1, 0x1.892cce09dba0cp-1, 0x1.762ab29cae309p-1, 0x1.64716f41e66e5p-1, 0x1.540d17939b878p-1, 0x1.4503ccafee0fcp-1, 0x1.3756be028d759p-1, 0x1.2b030a408a8aep-1, 0x1.20027385591dap-1, 0x1.164be77975ef7p-1, 0x1.0dd3fb4164b21p-1, 0x1.068d73bc27e33p-1, 0x1.0069c14000eafp-1, 0x1.f6b2abdbab6c1p-2, 0x1.ee97ce706545cp-2, 0x1.e861633d25dccp-2, 0x1.e3ece59ced128p-2, 0x1.e11907f8b1d16p-2, 0x1.dfc42597991ffp-2, 0x1.dfcd2ac4125cep-2, 0x1.e113b23a5ff2fp-2, 0x1.e37850cb69002p-2, 0x1.e6dcccb77634dp-2, 0x1.eb243618b6bc3p-2, 0x1.f032ed066181p-2, 0x1.f5eea7338bbb3p-2, 0x1.fc3e7bf91518cp-2, 0x1.018578d8083dcp-1, 0x1.051f0224ae759p-1, 0x1.08e19120c276fp-1, 0x1.0cc39198f5eb5p-1, 0x1.10bc1e7ad3bb2p-1, 0x1.14c2fce914f29p-1, 0x1.18d097728c049p-1, 0x1.1cddf887e77f8p-1, 0x1.20e4c3dffed9cp-1, 0x1.24df2f4790ad2p-1, 0x1.28c7fba1afb0fp-1, 0x1.2c9a6e85cf56ep-1, 0x1.30524c524d5c6p-1, 0x1.33ebd22b69fbfp-1, 0x1.3763af6a34422p-1, 0x1.3ab6fe5786c8fp-1, 0x1.3de33c713ddcbp-1, 0x1.40e642af401cp-1, 0x1.43be3e3e3bde1p-1, 0x1.4669a9ff4911dp-1, 0x1.48e748e5a314cp-1, 0x1.4b362118f1af9p-1, 0x1.4d55779f47581p-1, 0x1.4f44cc4527411p-1, 0x1.5103d585057f5p-1, 0x1.52927c4cc37c9p-1, 0x1.53f0d7a2302b2p-1, 0x1.551f2842722eep-1, 0x1.561dd4630753p-1, 0x1.56ed63b4e0c87p-1, 0x1.578e7bb8e637p-1, 0x1.58022ad020592p-1, 0x1.5848a393cd0e4p-1, 0x1.58631d662c685p-1, 0x1.585297f75e0ecp-1, 0x1.581822b538545p-1, 0x1.57b4da1c73dp-1, 0x1.5729e56678921p-1, 0x1.56787491e768p-1, 0x1.55a1beb769cc3p-1, 0x1.54a70094e60c4p-1, 0x1.53897b386e2fcp-1, 0x1.524a72b9b338ep-1, 0x1.50eb2cf9ac86dp-1, 0x1.4f6cf06945958p-1, 0x1.4dd102de3c85dp-1, 0x1.4c18a87f790a7p-1, 0x1.4a4522d04bdb5p-1, 0x1.4857afdddd9c9p-1, 0x1.4651898da9a2bp-1, 0x1.4433e508ee478p-1, 0x1.41fff240237ap-1, 0x1.3fb6db827e7bap-1, 0x1.3d59c527462c3p-1, 0x1.3ae9cd482a7fap-1, 0x1.38680b8c2b732p-1, 0x1.35d59101c6886p-1, 0x1.333368058a525p-1, 0x1.308294308888dp-1, 0x1.2dc4124956198p-1, 0x1.2af8d832b2e2fp-1, 0x1.2821d4d4bd479p-1, 0x1.253ff00032b4ap-1, 0x1.22540a4df71b7p-1, 0x1.1f5efcff3f246p-1, 0x1.1c6199e3a2a6dp-1, 0x1.195cab49f0becp-1, 0x1.1650f3ff32e9dp-1, 0x1.133f2f5d2a1edp-1, 0x1.1028116789dc1p-1, 0x1.0d0c46f580df2p-1, 0x1.09ec75e43c47cp-1, 0x1.06c93d4eca701p-1, 0x1.03a335c8285d2p-1, 0x1.007af194f5066p-1, 0x1.faa1f9c62cc5fp-2, 0x1.f44bbbfcdccd1p-2, 0x1.edf42b04a3b83p-2, 0x1.e79c3d0fefc23p-2, 0x1.e144dda4a2facp-2, 0x1.daeeedefc7e13p-2, 0x1.d49b45166946ep-2, 0x1.ce4ab0846f1afp-2, 0x1.c7fdf43a113efp-2, 0x1.c1b5cb17f5f41p-2, 0x1.bb72e729c94b3p-2, 0x1.b535f1eed1218p-2, 0x1.aeff8c9ffdae6p-2, 0x1.a8d05073141d5p-2, 0x1.a2a8cedac658fp-2, 0x1.9c8991c3dc875p-2, 0x1.96731bcfd8e3ep-2, 0x1.9065e88db1a86p-2, 0x1.8a626cb148251p-2, 0x1.8469164a41131p-2, 0x1.7e7a4cfabb0a1p-2, 0x1.7896722e26d33p-2, 0x1.72bde1505482ap-2, 0x1.6cf0f00495ad9p-2, 0x1.672fee5cb80b3p-2, 0x1.617b270f7d059p-2, 0x1.5bd2dfae43063p-2, 0x1.563758d9985cbp-2, 0x1.50a8ce74836a5p-2, 0x1.4b2777d66bd61p-2, 0x1.45b387fb9565cp-2, 0x1.404d2db4443b7p-2, 0x1.3af493d2909f3p-2, 0x1.35a9e157052a2p-2, 0x1.306d399c13312p-2, 0x1.2b3ebc8067ff4p-2, 0x1.261e869010658p-2, 0x1.210cb12c6bf23p-2, 0x1.1c0952b2c2842p-2, 0x1.17147ea16c625p-2, 0x1.122dd9551a762p-2, 0x1.0d56261fc4905p-2, 0x1.088d2c0296252p-2, 0x1.03d2f4fd0ba6cp-2, 0x1.fe4f113cd16a8p-3, 0x1.f515d83f944eep-3, 0x1.ebfa44fce4448p-3, 0x1.e2fc592c2b026p-3, 0x1.da1c1275cbeap-3, 0x1.d1596aa635a94p-3, 0x1.c8b457df7b636p-3, 0x1.c02cccc9068c9p-3, 0x1.b7c2b8bd0c24dp-3, 0x1.af7607f3924e8p-3, 0x1.a746a3aad25bp-3, 0x1.9f34724cfe55ep-3, 0x1.973f579364c8bp-3, 0x1.8f6734a71dd0bp-3, 0x1.87abe83f7105fp-3, 0x1.800d4ebe2b9eep-3, 0x1.788b424a3356p-3, 0x1.71259ae89b8fep-3, 0x1.69dc2e94823e2p-3, 0x1.62aed155ff43ep-3, 0x1.5b9d5558579d5p-3, 0x1.54a78affb562cp-3, 0x1.4dcd40fe828dep-3, 0x1.470e446a870e2p-3, 0x1.406a60d1e8f4bp-3, 0x1.39e1604ffc3f8p-3, 0x1.33730ba206541p-3, 0x1.2d1f2a3bcf56ep-3, 0x1.26e5825c02405p-3, 0x1.20c5d9204d9d8p-3, 0x1.1abff29928d58p-3, 0x1.14d391dd2715dp-3, 0x1.0f00791bd37f1p-3, 0x1.094669aff3639p-3, 0x1.03a524312327ep-3, 0x1.fc38d1098f3abp-4, 0x1.f157ebdc7f365p-4, 0x1.e6a7163cabad3p-4, 0x1.dc25cc83e26ebp-4, 0x1.d1d38a2002099p-4, 0x1.c7afc9ad54666p-4, 0x1.bdba050f72ab7p-4, 0x1.b3f1b588dca26p-4, 0x1.aa5653d12cc13p-4, 0x1.a0e7582a2bb08p-4, 0x1.97a43a73c80e1p-4, 0x1.8e8c723f0ap-4, 0x1.859f76e0256bfp-4, 0x1.7cdcbf7fbf95fp-4, 0x1.7443c32b81a89p-4, 0x1.6bd3f8e60af93p-4, 0x1.638cd7b65a413p-4, 0x1.5b6dd6b6b968bp-4, 0x1.53766d23404a6p-4, 0x1.4ba61267f2504p-4, 0x1.43fc3e2e84fadp-4, 0x1.3c78686bd170ap-4, 0x1.351a096cf73d3p-4, 0x1.2de099e4303fep-4, 0x1.26cb92f5559dcp-4, 0x1.1fda6e42155c4p-4, 0x1.190ca5f5d51f8p-4, 0x1.1261b4d141861p-4, 0x1.0bd9163582bdcp-4, 0x1.0572462f167f2p-4, 0x1.fe59830094aacp-5, 0x1.f2100b56a7781p-5, 0x1.e60721f804c17p-5, 0x1.da3dc52219c72p-5, 0x1.ceb2f4c9e3802p-5, 0x1.c365b2ace4009p-5, 0x1.b85502613cad5p-5, 0x1.ad7fe964f5544p-5, 0x1.a2e56f2c72457p-5, 0x1.98849d3013732p-5, 0x1.8e5c7ef90c121p-5, 0x1.846c222d68877p-5, 0x1.7ab2969b53e17p-5, 0x1.712eee43951c5p-5, 0x1.67e03d635ab9ep-5, 0x1.5ec59a7d447acp-5, 0x1.55de1e61c75fbp-5, 0x1.4d28e436e1bf7p-5, 0x1.44a5097f2f9f7p-5, 0x1.3c51ae205e9bdp-5, 0x1.342df469118dbp-5, 0x1.2c3901162df54p-5, 0x1.2471fb57a40a1p-5, 0x1.1cd80cd4afafdp-5, 0x1.156a61af9decp-5, 0x1.0e2828891abaep-5, 0x1.0710928307f84p-5, 0x1.0022d342eababp-5, 0x1.f2bc41e7d7ec5p-6, 0x1.e5836890f006ep-6, 0x1.d89990f6f0f01p-6, 0x1.cbfd36a270fdep-6, 0x1.bfacda2fd2fbep-6, 0x1.b3a7014fad9cp-6, 0x1.a7ea36c68ef28p-6, 0x1.9c750a6c1d63ep-6, 0x1.91461129a4197p-6, 0x1.865be4f8114f9p-6, 0x1.7bb524dd6193p-6, 0x1.715074e987669p-6, 0x1.672c7e32d0ba2p-6, 0x1.5d47eed1cdb86p-6, 0x1.53a179dcbff36p-6, 0x1.4a37d762940d6p-6, 0x1.4109c4656e4f6p-6, 0x1.381602d4c810ep-6, 0x1.2f5b598726627p-6, 0x1.26d894336ee88p-6, 0x1.1e8c8369dfd3p-6, 0x1.1675fc8ca605p-6, 0x1.0e93d9c82033bp-6, 0x1.06e4fa0acfafcp-6, 0x1.fed081f9e5436p-7, 0x1.f0392defb4086p-7, 0x1.e201d1f9e303ep-7, 0x1.d42851590353bp-7, 0x1.c6aa98786703fp-7, 0x1.b9869cdaa8231p-7, 0x1.acba5d05ae5bap-7, 0x1.a043e06e5912ep-7, 0x1.94213763a53c6p-7, 0x1.88507af9845dfp-7, 0x1.7ccfccf34b6dcp-7, 0x1.719d57adc3652p-7, 0x1.66b74e08eb03dp-7, 0x1.5c1beb516f63bp-7, 0x1.51c97329d183ap-7, 0x1.47be31734f4dfp-7, 0x1.3df87a3688c96p-7, 0x1.3476a98bee662p-7, 0x1.2b372383f7fc3p-7, 0x1.2238540f30707p-7, 0x1.1978aee60c6f3p-7, 0x1.10f6af709c46fp-7, 0x1.08b0d8ae27629p-7, 0x1.00a5b51c95859p-7, 0x1.f1a7ad3f93118p-8, 0x1.e273acd1ca05dp-8, 0x1.d3aca9bae6e7dp-8, 0x1.c54ff2fd1baccp-8, 0x1.b75ae59fd8a3ep-8, 0x1.a9caec7df7bc2p-8, 0x1.9c9d8013c40a7p-8, 0x1.8fd0264d1744ep-8, 0x1.83607253746cep-8, 0x1.774c045c35e5dp-8, 0x1.6b908976bfc4p-8, 0x1.602bbb5ae4c66p-8, 0x1.551b60375f944p-8, 0x1.4a5d4a805db6ap-8, 0x1.3fef58be5a39dp-8, 0x1.35cf755d0c4b7p-8, 0x1.2bfb967a9d567p-8, 0x1.2271bdb71061cp-8, 0x1.192ff803e36abp-8, 0x1.10345d74177c1p-8, 0x1.077d110c44e05p-8, 0x1.fe1081267a6p-9, 0x1.eda848c5a3f0ep-9, 0x1.dd640a2109a05p-9, 0x1.cdf6cb90469cp-9, 0x1.bf00da960a208p-9, 0x1.b07ef73679c47p-9, 0x1.a26df4c03ceccp-9, 0x1.94cab97449708p-9, 0x1.87923e2e70c47p-9, 0x1.7ac18e0f006e4p-9, 0x1.6e55c625133ccp-9, 0x1.624c1519f0269p-9, 0x1.56a1badd31925p-9, 0x1.4b54085218acp-9, 0x1.40605efd85ac2p-9, 0x1.35c430b51179dp-9, 0x1.2b7cff4f156e6p-9, 0x1.21885c53ad0aep-9, 0x1.17e3e8ae8889cp-9, 0x1.0e8d5461e66b9p-9, 0x1.05825e3a6e32cp-9, 0x1.f981a70805a31p-10, 0x1.e88d1f7efb2f1p-10, 0x1.d822f8b33fbe1p-10, 0x1.c83f20c545d55p-10, 0x1.b8dda08dfac43p-10, 0x1.a9fa9b121abc2p-10, 0x1.9b924cf762496p-10, 0x1.8da10bfbd338ep-10, 0x1.8023466e9b33cp-10, 0x1.731582ab32eebp-10, 0x1.66745e961ccedp-10, 0x1.5a3c8f1baa987p-10, 0x1.4e6adfb07496bp-10, 0x1.42fc31d41fdbep-10, 0x1.37ed7c955b41bp-10, 0x1.2d3bcc1823a0ap-10, 0x1.22e4411dbbc06p-10, 0x1.18e4108e6c46p-10, 0x1.0f38830531e6dp-10, 0x1.05def45d142eep-10, 0x1.f9a9a6807c9b4p-11, 0x1.e82f41723aeb5p-11, 0x1.d749df8a0ab8ep-11, 0x1.c6f4c9d1543a5p-11, 0x1.b72b6b8d29fa4p-11, 0x1.a7e9516d854cbp-11, 0x1.992a28c1615d7p-11, 0x1.8ae9bead7a752p-11, 0x1.7d23ff66cc82ep-11, 0x1.6fd4f57002a67p-11, 0x1.62f8c8db47e5ep-11, 0x1.568bbe8e83cf1p-11, 0x1.4a8a378b927d1p-11, 0x1.3ef0b03bae77ep-11, 0x1.33bbbfbe53d0ap-11, 0x1.28e8173b32a47p-11, 0x1.1e728137d901fp-11, 0x1.1457e0f087749p-11, 0x1.0a9531b3e6cd8p-11, 0x1.012786432d0dfp-11, 0x1.f0181068166aep-12, 0x1.de7feeadc6085p-12, 0x1.cd81523f78652p-12, 0x1.bd17102567268p-12, 0x1.ad3c2666799d1p-12, 0x1.9debbaed6f0c2p-12, 0x1.8f211a749b08cp-12, 0x1.80d7b7769b042p-12, 0x1.730b29264a6acp-12, 0x1.65b72a6c1b1e3p-12, 0x1.58d798e94e228p-12, 0x1.4c687401ddea4p-12, 0x1.4065dbe9dae45p-12, 0x1.34cc10bb976fep-12, 0x1.2997719154ef8p-12, 0x1.1ec47ba459432p-12, 0x1.144fc9728c72ep-12, 0x1.0a3611e880c05p-12, 0x1.007427911f064p-12, 0x1.ee0def942aa2ap-13, 0x1.dbd713fad4a68p-13, 0x1.ca3dfdc0aeedfp-13, 0x1.b93d1f6bede0fp-13, 0x1.a8cf1b3067763p-13, 0x1.98eec18674e88p-13, 0x1.89970fcf4a944p-13, 0x1.7ac32eff1a6ap-13, 0x1.6c6e72514af2p-13, 0x1.5e94560393b82p-13, 0x1.51307e1c14dd9p-13, 0x1.443eb53493856p-13, 0x1.37baeb4ff525ap-13, 0x1.2ba134b55a32fp-13, 0x1.1fedc8d45a29dp-13, 0x1.149d012fec42fp-13, 0x1.09ab5850fe6c3p-13, 0x1.fe2ad17ede224p-14, 0x1.e9afd80444adfp-14, 0x1.d5df734ce01a2p-14, 0x1.c2b38c9889f36p-14, 0x1.b0264577bc6f3p-14, 0x1.9e31f5fd606e5p-14, 0x1.8cd12affb2dc6p-14, 0x1.7bfea465448a8p-14, 0x1.6bb5537d4ba73p-14, 0x1.5bf05961821fep-14, 0x1.4cab056779c6bp-14, 0x1.3de0d39850ee8p-14, 0x1.2f8d6b36161bcp-14, 0x1.21ac9d49fc8d6p-14, 0x1.143a633e9f89dp-14, 0x1.0732dd81277b4p-14, 0x1.f524a45e7987fp-15, 0x1.dcaa5799e39afp-15, 0x1.c4eff008ab238p-15, 0x1.adeeccdd77e5dp-15, 0x1.97a08ec711ec2p-15, 0x1.81ff15ad1ccc9p-15, 0x1.6d047e6f5554p-15, 0x1.58ab20bfc3102p-15, 0x1.44ed8d0323c49p-15, 0x1.31c68a4f51014p-15, 0x1.1f3114688a899p-15, 0x1.0d2859d9d226dp-15, 0x1.f74f7432f4e84p-16, 0x1.d5558770265fcp-16, 0x1.b45a6546bd393p-16, 0x1.9455dce2180fep-16, 0x1.754011765f7f9p-16, 0x1.57117715575cep-16, 0x1.39c2cf88db2adp-16, 0x1.1d4d2768bc8e3p-16, 0x1.01a9d3295bc8fp-16, 0x1.cda4d8a40d55cp-17, 0x1.99819d875ce88p-17, 0x1.66de2c47dd2d5p-17, 0x1.35af3684d39ddp-17, 0x1.05e9e36334707p-17, 0x1.af07958336d62p-18, 0x1.54e5e1544b6a7p-18, 0x1.fab703700eacap-19, 0x1.50ac2a1e60f24p-19, 0x1.570fe147f41aep-20, 0x1.650fcaf9a80b3p-24, -0x1.2125500205242p-20, -0x1.27c8ae68c1297p-19, -0x1.ba9780440ea56p-19, -0x1.248deb323880ep-18, -0x1.69b8a21758999p-18, -0x1.acd9223cdbb89p-18, -0x1.edfc2305abe5p-18, -0x1.1696edde398bp-17, -0x1.353d04ae8db22p-17, -0x1.52f5fa01f1b9bp-17, -0x1.6fc73a3278c73p-17, -0x1.8bb5fc6f1469cp-17, -0x1.a6c7452575af6p-17, -0x1.c0ffe879eb33fp-17, -0x1.da648c7d41b77p-17, -0x1.f2f9ab5daf0c5p-17, -0x1.0561cac49cde4p-16, -0x1.10e339d2ce8cap-16, -0x1.1c0324475e1e8p-16, -0x1.26c37990891f9p-16, -0x1.3126180e01e2ep-16, -0x1.3b2ccddc0005cp-16, -0x1.44d959aec1d41p-16, -0x1.4e2d6b97834eap-16, -0x1.572aa5c70aef1p-16, -0x1.5fd29d42e3f08p-16, -0x1.6826da92d6af3p-16, -0x1.7028da720ed36p-16, -0x1.77da0e66538a4p-16, -0x1.7f3bdd5d5659ap-16, -0x1.864fa441d6d76p-16, -0x1.8d16b681554c5p-16, -0x1.93925e97e4982p-16, -0x1.99c3de8389286p-16, -0x1.9fac704dfc1edp-16, -0x1.a54d4674413bap-16, -0x1.aaa78c5740104p-16, -0x1.afbc66a4a4a87p-16, -0x1.b48cf3b690f5dp-16, -0x1.b91a4bf6cea0bp-16, -0x1.bd658234fa065p-16, -0x1.c16fa3fb2a432p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5c82b5dfe7ed8p+0, -0x1.536a13ab0e62ep+0, -0x1.4a02f6a0ebb03p+0, -0x1.4079df51db35dp+0, -0x1.36f43bd1dc043p+0, -0x1.2d911a3b3ff42p+0, -0x1.2469c695c1855p+0, -0x1.1b9273243261fp+0, -0x1.131ae090719d9p+0, -0x1.0b0ee784c9cd1p+0, -0x1.0376fd91897f7p+0, -0x1.f8b1683ad960ap-1, -0x1.eb6e4d11dc83ap-1, -0x1.df26b420c0d67p-1, -0x1.d3d91c977e656p-1, -0x1.c9810d4d3a45p-1, -0x1.c017abdc9da17p-1, -0x1.b794482fee076p-1, -0x1.afecc820ce9d3p-1, -0x1.a915f6bdf0a99p-1, -0x1.a303c5e309b7p-1, -0x1.9da9978da1ccap-1, -0x1.98fa62233b0f5p-1, -0x1.94e905e412481p-1, -0x1.916875a83bf01p-1, -0x1.8e6bd7c0d2ab4p-1, -0x1.8be69842e55acp-1, -0x1.89cc7b20f678p-1, -0x1.8811b12ee2485p-1, -0x1.86aaeb9b3ec91p-1, -0x1.858d691b7bdeap-1, -0x1.84aefc57ef01dp-1, -0x1.84060e75842cep-1, -0x1.8389a07361cd1p-1, -0x1.83314c0eb5188p-1, -0x1.82f5438c20c34p-1, -0x1.82ce4fe5e715bp-1, -0x1.82b5cd833551fp-1, -0x1.82a5a7dcd9c75p-1, -0x1.8298544d8cb7p-1, -0x1.8288cc35d7a9p-1, -0x1.827286bfa6b5ep-1, -0x1.825172ab4542fp-1, -0x1.8221f069bbc49p-1, -0x1.81e0cc75265ap-1, -0x1.818b399d36429p-1, -0x1.811ecb0418504p-1, -0x1.80996dbac97e5p-1, -0x1.7ff9621ef279cp-1, -0x1.7f3d353636ee6p-1, -0x1.7e63ba46b2b6cp-1, -0x1.7d6c04e69404fp-1, -0x1.7c5563af44b5fp-1, -0x1.7b1f5ba4b3d6bp-1, -0x1.79c9a4372645ep-1, -0x1.7854239dc9d6ep-1, -0x1.76beeb39101d5p-1, -0x1.750a33c1c5e31p-1, -0x1.7336593bc77c9p-1, -0x1.7143d6d706a4cp-1, -0x1.6f334303eba5ep-1, -0x1.6d054bf516039p-1, -0x1.6abab4a1b9234p-1, -0x1.6854617edc485p-1, -0x1.65d31ebe3ac4p-1, -0x1.6337e888c88fp-1, -0x1.6083ba03a1666p-1, -0x1.5db797afd9befp-1, -0x1.5ad48deecfbeep-1, -0x1.57dbaf81d8bd7p-1, -0x1.54ce1401e756p-1, -0x1.51acd65379155p-1, -0x1.4e79132007ec6p-1, -0x1.4b33e760bfacep-1, -0x1.47de6f066e944p-1, -0x1.4479c3c89cfc5p-1, -0x1.4106fc21e77bp-1, -0x1.3d872a7af6ab1p-1, -0x1.39fb5c8122595p-1, -0x1.36649aa28d46dp-1, -0x1.32c3e7a7b6afap-1, -0x1.2f1a40620a033p-1, -0x1.2b689b67ab168p-1, -0x1.27afe8d6a9037p-1, -0x1.23f1121c98089p-1, -0x1.202cf9c2bed3bp-1, -0x1.1c647b4192123p-1, -0x1.18986adf3a2fcp-1, -0x1.14c9959bf616bp-1, -0x1.10f8c12cb9f04p-1, -0x1.0d26ac0173c55p-1, -0x1.09540d522967p-1, -0x1.0581952d8441cp-1, -0x1.01afec8491694p-1, -0x1.fbbf6a63e7de3p-2, -0x1.f42313fb369cfp-2, -0x1.ec8bfd4067d1cp-2, -0x1.e4fb3f94f605dp-2, -0x1.dd71e668466d2p-2, -0x1.d5f0ef690db92p-2, -0x1.ce794acb117c7p-2, -0x1.c70bdb9ebd685p-2, -0x1.bfa9783614059p-2, -0x1.b852ea91deee4p-2, -0x1.b108f0d29d5c5p-2, -0x1.a9cc3da9df5adp-2, -0x1.a29d78c9d6af7p-2, -0x1.9b7d3f51dc6f6p-2, -0x1.946c24371974ep-2, -0x1.8d6ab0a8d0d93p-2, -0x1.8679646ff0871p-2, -0x1.7f98b649e0dd9p-2, -0x1.78c9143ee59fdp-2, -0x1.720ae3f4bdec4p-2, -0x1.6b5e82fe7ecbep-2, -0x1.64c4472a9ce1fp-2, -0x1.5e3c7ecfe178bp-2, -0x1.57c77119a5f4fp-2, -0x1.51655e532c596p-2, -0x1.4b1680318d638p-2, -0x1.44db0a1b87f0dp-2, -0x1.3eb3296e756f3p-2, -0x1.389f05bff6b6fp-2, -0x1.329ec11c2ff77p-2, -0x1.2cb27840e03c4p-2, -0x1.26da42d5d6bap-2, -0x1.211633a383e1fp-2, -0x1.1b6658c857087p-2, -0x1.15cabbed7b142p-2, -0x1.1043627b46a64p-2, -0x1.0ad04dcd770b6p-2, -0x1.05717b6706755p-2, -0x1.0026e5254c914p-2, -0x1.f5e102e4043edp-3, -0x1.eb9c86e77b1d2p-3, -0x1.e180367948de9p-3, -0x1.d78bebee34a9dp-3, -0x1.cdbf7c20d5021p-3, -0x1.c41ab6c3058d9p-3, -0x1.ba9d66abd7434p-3, -0x1.b147522262ca4p-3, -0x1.a8183b25f82fcp-3, -0x1.9f0fdfb3e6e3ap-3, -0x1.962dfa0b26fc2p-3, -0x1.8d7240eddbd8p-3, -0x1.84dc67e09da43p-3, -0x1.7c6c1f675b27ep-3, -0x1.7420b5d528dep-3, -0x1.6bfa731209515p-3, -0x1.63f8c7176f24ep-3, -0x1.5c1b5930d8e2dp-3, -0x1.5461ce71c8632p-3, -0x1.4ccbc9e1b7a35p-3, -0x1.4558eca7eed4cp-3, -0x1.3e08d636d3d5ep-3, -0x1.36db24766af73p-3, -0x1.2fcf73eda685ap-3, -0x1.28e55fea318c3p-3, -0x1.221c82a66f6d5p-3, -0x1.1b74756d74844p-3, -0x1.14ecd0bccd95p-3, -0x1.0e852c63fe4c9p-3, -0x1.083d1fa1b269cp-3, -0x1.0214413ea4336p-3, -0x1.f8144f4cbfa09p-4, -0x1.ec3cd1fc0110fp-4, -0x1.e0a136722b598p-4, -0x1.d540a859dcf28p-4, -0x1.ca1a5344f1dd7p-4, -0x1.bf2d62cdd99cdp-4, -0x1.b47902b6fd135p-4, -0x1.a9fc5f0881b05p-4, -0x1.9fb6a42cbad81p-4, -0x1.95a6ff0b93696p-4, -0x1.8bcc9d2523a1ap-4, -0x1.8226acab8f561p-4, -0x1.78b45c9c4bd56p-4, -0x1.6f74dcd8d2b6p-4, -0x1.66675e3ec5448p-4, -0x1.5d8b12bf719ddp-4, -0x1.54df2d76b07cp-4, -0x1.4c62e2c10016fp-4, -0x1.44156850cbbd2p-4, -0x1.3bf5f542c4b28p-4, -0x1.3403c23139286p-4, -0x1.2c3e0946548c9p-4, -0x1.24a4064d3b1cap-4, -0x1.1d34f6c1f54d6p-4, -0x1.15f019e0231d5p-4, -0x1.0ed4b0b077d7bp-4, -0x1.07e1fe14ffb18p-4, -0x1.011746d4361bep-4, -0x1.f4e7a345ef6b1p-5, -0x1.e7edce5aba709p-5, -0x1.db3fa43d1dbdfp-5, -0x1.cedbbe4f4578dp-5, -0x1.c2c0ba0b2e80ep-5, -0x1.b6ed390cfca77p-5, -0x1.ab5fe11bd921ep-5, -0x1.a0175c317aa43p-5, -0x1.951258807ee5bp-5, -0x1.8a4f8879b4e01p-5, -0x1.7fcda2d0733a9p-5, -0x1.758b627e1ae5dp-5, -0x1.6b8786c4d99c8p-5, -0x1.61c0d331bd861p-5, -0x1.58360f9e2e09dp-5, -0x1.4ee60830d622fp-5, -0x1.45cf8d5e04c81p-5, -0x1.3cf173e78fb78p-5, -0x1.344a94dc3bd22p-5, -0x1.2bd9cd96aaab2p-5, -0x1.239dffbbd239ep-5, -0x1.1b961138fdf94p-5, -0x1.13c0ec4156a49p-5, -0x1.0c1d7f4af4c9cp-5, -0x1.04aabd0b78914p-5, -0x1.facf38e85261cp-6, -0x1.eca6315b38c81p-6, -0x1.ded86225c4c9ep-6, -0x1.d163d2587fccbp-6, -0x1.c4469152d9d02p-6, -0x1.b77eb6b6cad62p-6, -0x1.ab0a625b8cc7ap-6, -0x1.9ee7bc3f845a5p-6, -0x1.9314f4795843fp-6, -0x1.879043283af31p-6, -0x1.7c57e86385106p-6, -0x1.716a2c29914c8p-6, -0x1.66c55e4dfa8e4p-6, -0x1.5c67d66738471p-6, -0x1.524ff3bbad57p-6, -0x1.487c1d2e362ap-6, -0x1.3eeac12a31221p-6, -0x1.359a558f274dep-6, -0x1.2c89579c06a49p-6, -0x1.23b64bda071c3p-6, -0x1.1b1fbe073cb74p-6, -0x1.12c44100eba5ap-6, -0x1.0aa26ead949e8p-6, -0x1.02b8e7e6d2c94p-6, -0x1.f60ca8c615004p-7, -0x1.e712c53de8605p-7, -0x1.d8818f8e05426p-7, -0x1.ca567f41721d6p-7, -0x1.bc8f18e7c494bp-7, -0x1.af28ede78cec8p-7, -0x1.a2219c5098adfp-7, -0x1.9576ceae36b33p-7, -0x1.89263bd975932p-7, -0x1.7d2da6cb6eb6ep-7, -0x1.718ade6f90076p-7, -0x1.663bbd760328fp-7, -0x1.5b3e2a2633ad5p-7, -0x1.509016316087ap-7, -0x1.462f7e8567e8ep-7, -0x1.3c1a6b1faff59p-7, -0x1.324eeee044433p-7, -0x1.28cb275d2256p-7, -0x1.1f8d3cb5c4e5p-7, -0x1.16936166e8647p-7, -0x1.0ddbd21e90debp-7, -0x1.0564d59057b7p-7, -0x1.fa5978940026ap-8, -0x1.ea63c110b473dp-8, -0x1.dae54c18f24p-8, -0x1.cbdaf3e27379fp-8, -0x1.bd41a50248081p-8, -0x1.af165e194e692p-8, -0x1.a1562f8163da5p-8, -0x1.93fe3afb5d2e9p-8, -0x1.870bb35dbc848p-8, -0x1.7a7bdc443a5f9p-8, -0x1.6e4c09c01da35p-8, -0x1.6279a00961995p-8, -0x1.57021330b97c1p-8, -0x1.4be2e6d26d4e7p-8, -0x1.4119adca16c0bp-8, -0x1.36a409e7368a6p-8, -0x1.2c7faba2b94cep-8, -0x1.22aa51d55802bp-8, -0x1.1921c96ee4df8p-8, -0x1.0fe3ed2e80678p-8, -0x1.06eea55bb50e1p-8, -0x1.fc7fcf01111cbp-9, -0x1.ebab6c48d5036p-9, -0x1.db5c41103ca2p-9, -0x1.cb8e84c51cfc3p-9, -0x1.bc3e873d170a5p-9, -0x1.ad68b032f7ef5p-9, -0x1.9f097ec600b2p-9, -0x1.911d88fb01365p-9, -0x1.83a17b3f4ee7ap-9, -0x1.769217eda7f8p-9, -0x1.69ec36d4e82e7p-9, -0x1.5dacc4c09d57cp-9, -0x1.51d0c3037d099p-9, -0x1.46554703aec52p-9, -0x1.3b3779c8eb0a5p-9, -0x1.3074978c7dfd5p-9, -0x1.2609ef4b13ba3p-9, -0x1.1bf4e2585f397p-9, -0x1.1232e3f48ff34p-9, -0x1.08c178e390101p-9, -0x1.ff3c6e0c2f12dp-10, -0x1.ed8d89e90e8f2p-10, -0x1.dc71b336f592ep-10, -0x1.cbe477b461f91p-10, -0x1.bbe184454e3bbp-10, -0x1.ac64a436ebeddp-10, -0x1.9d69c086b825p-10, -0x1.8eecdf2d1ebd8p-10, -0x1.80ea226b54a6bp-10, -0x1.735dc81ca2a35p-10, -0x1.6644290b06993p-10, -0x1.595b155d7535ep-10, -0x1.4d1e5d41d9a49p-10, -0x1.414a12f297a9ep-10, -0x1.35daf344ba743p-10, -0x1.2acdd2cd1a96dp-10, -0x1.201f9d494a408p-10, -0x1.15cd550b9e94bp-10, -0x1.0bd4126a36a1ep-10, -0x1.02310331092f9p-10, -0x1.f1c2d42df376dp-11, -0x1.dfc53c6b46ee3p-11, -0x1.ce6415089837cp-11, -0x1.bd9a5aaaedcebp-11, -0x1.ad632fae95123p-11, -0x1.9db9db2d94756p-11, -0x1.8e99c80b607cdp-11, -0x1.7ffe8405dfeaep-11, -0x1.71e3becbbe6fdp-11, -0x1.64454917c881p-11, -0x1.571f13d18b912p-11, -0x1.4a6d2f327fc2ap-11, -0x1.3e2bc9f0a3049p-11, -0x1.3257306d684bp-11, -0x1.26ebcbe995d11p-11, -0x1.1be621bdbf858p-11, -0x1.1142d2972fb2bp-11, -0x1.06fe99b96b24ep-11, -0x1.fa2c9887e0dc2p-12, -0x1.e70db0f8cfbe3p-12, -0x1.d49a8a39b8cebp-12, -0x1.c2cd614cab40dp-12, -0x1.b1a0a16e4ad05p-12, -0x1.a10ee2cb340f6p-12, -0x1.9112e93c8529bp-12, -0x1.81a7a30c51ba8p-12, -0x1.72c827c1c881ap-12, -0x1.646fb6f42957cp-12, -0x1.5699b7259022cp-12, -0x1.4941b4a462ff7p-12, -0x1.3c636073fda71p-12, -0x1.2ffa8f3be0f61p-12, -0x1.2403383dd3924p-12, -0x1.18797452631efp-12, -0x1.0d597cebf13afp-12, -0x1.029fab1fdbb1dp-12, -0x1.f090ed6be020fp-13, -0x1.dca0ea7c20151p-13, -0x1.c968b256f0c21p-13, -0x1.b6e1e1ec5f2f6p-13, -0x1.a5064c8395377p-13, -0x1.93cffa144d922p-13, -0x1.833925aadf099p-13, -0x1.733c3bd73552ap-13, -0x1.63d3d926610fp-13, -0x1.54fac8a654b23p-13, -0x1.46ac027412bc3p-13, -0x1.38e2aa53a3f42p-13, -0x1.2b9a0e51aee92p-13, -0x1.1ecda56f3a86fp-13, -0x1.12790e560585fp-13, -0x1.06980e1682baep-13, -0x1.f64d1dde1c5fcp-14, -0x1.e0413e36879bep-14, -0x1.cb04df58c559cp-14, -0x1.b690a6d449a3cp-14, -0x1.a2dd7b778f6dap-14, -0x1.8fe48331e747bp-14, -0x1.7d9f2105805e8p-14, -0x1.6c06f30891dafp-14, -0x1.5b15d0757a1ebp-14, -0x1.4ac5c7ca2c22p-14, -0x1.3b111cf44797cp-14, -0x1.2bf2478d4af0dp-14, -0x1.1d63f122c1961p-14, -0x1.0f60f38ca0c14p-14, -0x1.01e4574f93386p-14, -0x1.e9d2a4194c37dp-15, -0x1.d0d689fb95fdcp-15, -0x1.b8cb76f806be6p-15, -0x1.a1a8d32724c65p-15, -0x1.8b6655448257p-15, -0x1.75fc00016437ep-15, -0x1.61621f6d93e5ap-15, -0x1.4d914672fd0a1p-15, -0x1.3a824c6890ad1p-15, -0x1.282e4ab5db92cp-15, -0x1.168e9a8b2c686p-15, -0x1.059cd2ab33475p-15, -0x1.eaa58a902d1d5p-16, -0x1.cb54fbe0a0be7p-16, -0x1.ad3c7f1bd692ap-16, -0x1.905104e82be99p-16, -0x1.7487e5017aa44p-16, -0x1.59d6da8fbf55p-16, -0x1.403400a56c9bbp-16, -0x1.2795ced784d38p-16, -0x1.0ff315f118648p-16, -0x1.f285f988974cbp-17, -0x1.c6f9fa24756edp-17, -0x1.9d31c126be868p-17, -0x1.751d7c24d7a42p-17, -0x1.4eaded452ef88p-17, -0x1.29d465db43f6cp-17, -0x1.0682c13155c41p-17, -0x1.c956bef269a6bp-18, -0x1.888241e737023p-18, -0x1.4a6ec266a9a3ep-18, -0x1.0f03e527e4d43p-18, -0x1.ac5467456556dp-19, -0x1.3f962738cafcp-19, -0x1.af42fb79796a8p-20, -0x1.d131daa78de0bp-21, -0x1.56ea6c7614645p-23, 0x1.147b8c093ac6dp-21, 0x1.370357d6688ap-20, 0x1.dbbbb64448325p-20, 0x1.3c56470a83196p-19, 0x1.870c821fddb9dp-19, 0x1.ce20e75360a5fp-19, 0x1.08d9530467401p-18, 0x1.28efe6c5907b8p-18, 0x1.4762ac21963c3p-18, 0x1.643f9b35022c1p-18, 0x1.7f942c2115c66p-18, 0x1.996d5c1e5c4e1p-18, 0x1.b1d7b239eb889p-18, 0x1.c8df43f461208p-18, 0x1.de8fb9befb6f3p-18, 0x1.f2f4533c97f59p-18, 0x1.030bf5b70fee9p-17, 0x1.0c027e4f90589p-17, 0x1.1462d22016c35p-17, 0x1.1c31d34a358c7p-17, 0x1.2374391ea97cp-17, 0x1.2a2e91ce2312dp-17, 0x1.3065440f6604ap-17, 0x1.361c90b29454cp-17, 0x1.3b589421afe48p-17, 0x1.401d47d63279bp-17, 0x1.446e83bdeefe3p-17, 0x1.484fff925acc3p-17, 0x1.4bc55423a90b6p-17, 0x1.4ed1fc8d44ea7p-17, 0x1.517957744da28p-17, 0x1.53bea81cf69d5p-17, 0x1.55a517874a89bp-17, 0x1.572fb57bfb155p-17, 0x1.5861798c00e43p-17, 0x1.593d4407c3e5fp-17, 0x1.59c5deea097c2p-17, 0x1.59fdfebb3656ap-17, 0x1.59e8436b4d9ep-17, 0x1.5987391b6bc6ap-17, 0x1.58dd58ee95c5bp-17, 0x1.57ed09c164166p-17, 0x1.56b8a0dee17ecp-17, 0x1.554262b5e5c5p-17, 0x1.538c8379da19bp-17, 0x1.519927c5970eep-17, 0x1.4f6a6532b5e48p-17, 0x1.4d0242ebdc527p-17, 0x1.4a62ba3913badp-17, 0x1.478db7061a78bp-17, 0x1.4485185e10409p-17, 0x1.414ab0eaa0bd5p-17, 0x1.3de0476573a35p-17, 0x1.3a479708ac175p-17, 0x1.36824ff8321d3p-17, 0x1.329217a79cc63p-17, 0x1.2e78893a99574p-17, 0x1.2a3735e252e07p-17, 0x1.25cfa534e0e9bp-17, 0x1.2143558205652p-17, 0x1.1c93bc20f55e6p-17, 0x1.17c245c090abdp-17, 0x1.12d056ae8e6acp-17, 0x1.0dbf4b1ad004ep-17, 0x1.0890775d673f2p-17, 0x1.034528332c9fp-17, 0x1.fbbd45f551a6p-18, 0x1.f0bc4bd89fdccp-18, 0x1.e589d0a557dbp-18, 0x1.da28357983cdbp-18, 0x1.ce99ce613f76p-18, 0x1.c2e0e2b39f345p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2f049b08bfb75p-2, -0x1.3a53c45033a92p-2, -0x1.45276ac356e8p-2, -0x1.4f7d910fd6395p-2, -0x1.59548c5f286dfp-2, -0x1.62ab012c06823p-2, -0x1.6b7fe006c7b9ap-2, -0x1.73d2624ffc854p-2, -0x1.7ba206ef78d13p-2, -0x1.82ee8f0d079cep-2, -0x1.89b7facf31494p-2, -0x1.8ffe8623be45fp-2, -0x1.95c2a59500222p-2, -0x1.9b05032e6e8c8p-2, -0x1.9fc67b729832fp-2, -0x1.a4081a641b58bp-2, -0x1.a7cb18a2ea46ep-2, -0x1.ab10d89edf139p-2, -0x1.addae3e058c83p-2, -0x1.b02ae86761e3fp-2, -0x1.b202b621a7e96p-2, -0x1.b3643c776564cp-2, -0x1.b45187ef2e95dp-2, -0x1.b4ccbfe87c3b7p-2, -0x1.b4d8246ca324ep-2, -0x1.b4760c15dd7d8p-2, -0x1.b3a8e20bf1b88p-2, -0x1.b2732415ede32p-2, -0x1.b0d760c06db5bp-2, -0x1.aed83597d2c6bp-2, -0x1.ac784d75cbb4p-2, -0x1.a9ba5ee19369bp-2, -0x1.a6a12a823c8dcp-2, -0x1.a32f79a2746abp-2, -0x1.9f681cc51719ap-2, -0x1.9b4dea4a04aa2p-2, -0x1.96e3bd229ce8cp-2, -0x1.922c739558fd3p-2, -0x1.8d2aee0ffa889p-2, -0x1.87e20e07d19aap-2, -0x1.8254b4e79d05fp-2, -0x1.7c85c30a94edcp-2, -0x1.767816c434ad2p-2, -0x1.702e8b745bdc4p-2, -0x1.69abf8a767e4cp-2, -0x1.62f33141ecdd3p-2, -0x1.5c0702b7b5b6p-2, -0x1.54ea344dc0f34p-2, -0x1.4d9f8666e26e2p-2, -0x1.4629b1dacd6c8p-2, -0x1.3e8b67573692fp-2, -0x1.36c74ecacfadp-2, -0x1.2ee006d9d841p-2, -0x1.26d8245c01d5cp-2, -0x1.1eb231e370115p-2, -0x1.1670af4c89eafp-2, -0x1.0e1611566ce21p-2, -0x1.05a4c143b7759p-2, -0x1.fa3e3906f3332p-3, -0x1.e90ee8c40d1e4p-3, -0x1.d7c01b82e0874p-3, -0x1.c65641b2d6404p-3, -0x1.b4d5b1fcbeb31p-3, -0x1.a342a8dedc497p-3, -0x1.91a1485648dfbp-3, -0x1.7ff597954f576p-3, -0x1.6e4382c62bad6p-3, -0x1.5c8edad9c47fap-3, -0x1.4adb5561dd96dp-3, -0x1.392c8c764145ep-3, -0x1.2785fea47710ap-3, -0x1.15eb0ee97bbedp-3, -0x1.045f04b50eaap-3, -0x1.e5ca17ec29775p-4, -0x1.c3006a5f49d3p-4, -0x1.a066eb2c7d4b5p-4, -0x1.7e034e697628p-4, -0x1.5bdb1231278b4p-4, -0x1.39f37f09f533dp-4, -0x1.1851a858d78bfp-4, -0x1.edf4d9c112b0fp-5, -0x1.abe4ee97f6739p-5, -0x1.6a7c7d8683446p-5, -0x1.29c40f147aa54p-5, -0x1.d3878ea10d72ap-6, -0x1.5506ce6031e53p-6, -0x1.b02937fa0cb42p-7, -0x1.72fbd6cf7fdaep-8, 0x1.cece386023641p-10, 0x1.29c4d1b0df0ccp-7, 0x1.0b15ca49baec6p-6, 0x1.7f7beb6de7377p-6, 0x1.f20a6005ac8ap-6, 0x1.315bb447aac5fp-5, 0x1.68bcf765b17a7p-5, 0x1.9f24c11b67176p-5, 0x1.d48f2a3e4994ep-5, 0x1.047c4d780f00cp-4, 0x1.1e2ee468b8af2p-4, 0x1.375dda9909f5ap-4, 0x1.5007d5a02075dp-4, 0x1.682b9f1b8760dp-4, 0x1.7fc823c664c98p-4, 0x1.96dc7290e2f41p-4, 0x1.ad67bbb81822bp-4, 0x1.c3694fdeae7d5p-4, 0x1.d8e09f2683d97p-4, 0x1.edcd384b75a0bp-4, 0x1.011763dfcc2cdp-3, 0x1.0b028b6479cfcp-3, 0x1.14a8055082de7p-3, 0x1.1e07d1cb11227p-3, 0x1.2721fe176e74ep-3, 0x1.2ff6a427d1e1dp-3, 0x1.3885ea314c6cfp-3, 0x1.40d00240eb75bp-3, 0x1.48d529d21c2a7p-3, 0x1.5095a96658d5bp-3, 0x1.5811d41e2b758p-3, 0x1.5f4a0753902a8p-3, 0x1.663eaa35c12c1p-3, 0x1.6cf02d66742c8p-3, 0x1.735f0a9887699p-3, 0x1.798bc43037ed6p-3, 0x1.7f76e4e4cbe1cp-3, 0x1.8520ff63d0a18p-3, 0x1.8a8aadf5e036bp-3, 0x1.8fb49224ef278p-3, 0x1.949f546436cbep-3, 0x1.994ba3b9ab76ap-3, 0x1.9dba356910ea5p-3, 0x1.a1ebc4a09f06cp-3, 0x1.a5e1122745a3ap-3, 0x1.a99ae40c888ecp-3, 0x1.ad1a0559f7325p-3, 0x1.b05f45c63c5e9p-3, 0x1.b36b7969cf035p-3, 0x1.b63f78753787ap-3, 0x1.b8dc1ee8f28cap-3, 0x1.bb424c4eeaf22p-3, 0x1.bd72e3758dc16p-3, 0x1.bf6eca2c73981p-3, 0x1.c136e902a2365p-3, 0x1.c2cc2b0659ep-3, 0x1.c42f7d8682cc1p-3, 0x1.c561cfd59772ep-3, 0x1.c664130e2fcbdp-3, 0x1.c73739d90a4adp-3, 0x1.c7dc3834a4361p-3, 0x1.c854033e525efp-3, 0x1.c89f90fcea13fp-3, 0x1.c8bfd82cd7fdbp-3, 0x1.c8b5d00dc6535p-3, 0x1.c8827031b39d6p-3, 0x1.c826b04d81f22p-3, 0x1.c7a3880afeaa4p-3, 0x1.c6f9eedc547c6p-3, 0x1.c62adbd0f0c9bp-3, 0x1.c537456bcc486p-3, 0x1.c420217b20b6dp-3, 0x1.c2e664f1775d9p-3, 0x1.c18b03c01d922p-3, 0x1.c00ef0b2eda19p-3, 0x1.be731d4d708a3p-3, 0x1.bcb879a94fb7ep-3, 0x1.badff456141f9p-3, 0x1.b8ea7a3a30165p-3, 0x1.b6d8f67549566p-3, 0x1.b4ac5243c878p-3, 0x1.b26574e39d295p-3, 0x1.b005437a41b1ep-3, 0x1.ad8ca0fbe603p-3, 0x1.aafc6e13d0677p-3, 0x1.a855890de3fd3p-3, 0x1.a598cdc145efcp-3, 0x1.a2c7157c2a3efp-3, 0x1.9fe136f0af71ap-3, 0x1.9ce80622d827p-3, 0x1.99dc54578ba9cp-3, 0x1.96bef004a8f27p-3, 0x1.9390a4c2145aap-3, 0x1.90523b3bcfd5ep-3, 0x1.8d04792505ef8p-3, 0x1.89a8212c0bf4dp-3, 0x1.863df2ef56034p-3, 0x1.82c6aaf3526d4p-3, 0x1.7f4302992d568p-3, 0x1.7bb3b01671f92p-3, 0x1.7819666d86105p-3, 0x1.7474d566ff67p-3, 0x1.70c6a98bc1f3cp-3, 0x1.6d0f8c1febc8ap-3, 0x1.6950231e89905p-3, 0x1.6589113604a44p-3, 0x1.61baf5c550027p-3, 0x1.5de66cd9c9958p-3, 0x1.5a0c0f2dc7e4p-3, 0x1.562c7227d88cap-3, 0x1.524827daa09cp-3, 0x1.4e5fbf055b366p-3, 0x1.4a73c314fa1abp-3, 0x1.4684bc25d2014p-3, 0x1.42932f05e0e91p-3, 0x1.3e9f9d379d9cbp-3, 0x1.3aaa84f549667p-3, 0x1.36b46134cbdd3p-3, 0x1.32bda9ac03aeep-3, 0x1.2ec6d2d593707p-3, 0x1.2ad04df6236b7p-3, 0x1.26da89220cf91p-3, 0x1.22e5ef437593p-3, 0x1.1ef2e820c8e35p-3, 0x1.1b01d8639aa08p-3, 0x1.1713219fdcd9dp-3, 0x1.1327225b7543cp-3, 0x1.0f3e361620cd4p-3, 0x1.0b58b551aac4ep-3, 0x1.0776f59a6a5ccp-3, 0x1.03994990084eep-3, 0x1.ff8001dd1cc9ep-4, 0x1.f7d6d12f4cfecp-4, 0x1.f03795384e09bp-4, 0x1.e8a2dc8b8dcc6p-4, 0x1.e11930421ae68p-4, 0x1.d99b140edfd8fp-4, 0x1.d2290653345d6p-4, 0x1.cac38033c32fp-4, 0x1.c36af5adb7f3dp-4, 0x1.bc1fd5ac2c7afp-4, 0x1.b4e28a1de3631p-4, 0x1.adb3780b242d3p-4, 0x1.a692ffabd15dbp-4, 0x1.9f817c7db1a1bp-4, 0x1.987f455ad10e4p-4, 0x1.918cac9006705p-4, 0x1.8aa9fff391971p-4, 0x1.83d788fbcfc99p-4, 0x1.7d158cd5fc5f8p-4, 0x1.76644c7cfd504p-4, 0x1.6fc404d033743p-4, 0x1.6934eeaa4cb4dp-4, 0x1.62b73ef810422p-4, 0x1.5c4b26cf23eb3p-4, 0x1.55f0d384c3643p-4, 0x1.4fa86ec4675d1p-4, 0x1.49721ea657d5ap-4, 0x1.434e05c62576ep-4, 0x1.3d3c435906f3bp-4, 0x1.373cf3441745ap-4, 0x1.31502e326facep-4, 0x1.2b7609ab1c644p-4, 0x1.25ae9826e8b1ep-4, 0x1.1ff9e925fd3adp-4, 0x1.1a580945511ffp-4, 0x1.14c90253e8711p-4, 0x1.0f4cdb67df40ep-4, 0x1.09e398f33dd63p-4, 0x1.048d3cd89572ap-4, 0x1.fe938cfec0758p-5, 0x1.f43265d04e214p-5, 0x1.e9f6f980cdbbcp-5, 0x1.dfe138ec6cb7cp-5, 0x1.d5f11097536cap-5, 0x1.cc2668d3e6a89p-5, 0x1.c28125e87d39ap-5, 0x1.b90128348b8adp-5, 0x1.afa64c553f59ep-5, 0x1.a6706b4989688p-5, 0x1.9d5f5a9597a15p-5, 0x1.9472ec65b6888p-5, 0x1.8baaefb09e8cdp-5, 0x1.830730592ac17p-5, 0x1.7a87774f73061p-5, 0x1.722b8ab14ff1fp-5, 0x1.69f32dea4179p-5, 0x1.61de21d2ba0dp-5, 0x1.59ec24cece3bp-5, 0x1.521cf2ec475c7p-5, 0x1.4a70460018a84p-5, 0x1.42e5d5c33758p-5, 0x1.3b7d57eed5e03p-5, 0x1.34368058012f3p-5, 0x1.2d11010aa2c1bp-5, 0x1.260c8a63e3af1p-5, 0x1.1f28cb2bf6a82p-5, 0x1.186570af42ed6p-5, 0x1.11c226d6f7fabp-5, 0x1.0b3e984105ae7p-5, 0x1.04da6e5779a1dp-5, 0x1.fd2aa2ce900bbp-6, 0x1.f0ddd16cf57fbp-6, 0x1.e4cdb53396ad7p-6, 0x1.d8f9991350cc1p-6, 0x1.cd60c66d4f4a6p-6, 0x1.c202853acbd49p-6, 0x1.b6de1c33add79p-6, 0x1.abf2d0f40ae99p-6, 0x1.a13fe8208f20cp-6, 0x1.96c4a589c9d4ap-6, 0x1.8c804c4e67eefp-6, 0x1.82721efc60051p-6, 0x1.78995fb10e1e2p-6, 0x1.6ef55038462e6p-6, 0x1.6585322a64524p-6, 0x1.5c48470955dbp-6, 0x1.533dd05ca6704p-6, 0x1.4a650fcc979b1p-6, 0x1.41bd473c38e0ap-6, 0x1.3945b8e296f1dp-6, 0x1.30fda762f7603p-6, 0x1.28e455e429ffap-6, 0x1.20f90826f9198p-6, 0x1.193b029bb4edap-6, 0x1.11a98a76df6c7p-6, 0x1.0a43e5c50422fp-6, 0x1.03095b7db7699p-6, 0x1.f7f2672b8d619p-7, 0x1.ea256e2133d7dp-7, 0x1.dcaa60219fe59p-7, 0x1.cf7fd3d028e72p-7, 0x1.c2a4624c6fca7p-7, 0x1.b616a74f19fffp-7, 0x1.a9d54145106ep-7, 0x1.9dded1696c9ecp-7, 0x1.9231fbddfc3c4p-7, 0x1.86cd67c26a55bp-7, 0x1.7bafbf4a2bfbcp-7, 0x1.70d7afd119afep-7, 0x1.6643e9eecd927p-7, 0x1.5bf32188d89cap-7, 0x1.51e40de3bf6a8p-7, 0x1.481569b2d3b0dp-7, 0x1.3e85f326fb8b7p-7, 0x1.35346bfc5553dp-7, 0x1.2c1f9986d9ea9p-7, 0x1.234644bdf526fp-7, 0x1.1aa73a4720aa9p-7, 0x1.12414a7f891e5p-7, 0x1.0a134984c452cp-7, 0x1.021c0f3ca0015p-7, 0x1.f4b4eeb820261p-8, 0x1.e59ac2da865e9p-8, 0x1.d6e761a9cae67p-8, 0x1.c89899ad2f4f5p-8, 0x1.baac413142ddap-8, 0x1.ad20364dcbbe1p-8, 0x1.9ff25eea3fc7bp-8, 0x1.9320a8c0dc463p-8, 0x1.86a90960689ep-8, 0x1.7a897e2cada4ap-8, 0x1.6ec00c5db2d8fp-8, 0x1.634ac0fdc8846p-8, 0x1.5827b0e66df89p-8, 0x1.4d54f8bc1c5aep-8, 0x1.42d0bce905794p-8, 0x1.38992996cc494p-8, 0x1.2eac72a747acdp-8, 0x1.2508d3ac5445dp-8, 0x1.1bac8fdec4d37p-8, 0x1.1295f214774aap-8, 0x1.09c34cb59b544p-8, 0x1.0132f9b132eb2p-8, 0x1.f1c6b4e1a7b47p-9, 0x1.e1a5af97729f6p-9, 0x1.d1ffc3f25137ep-9, 0x1.c2d1e10468bfbp-9, 0x1.b4190465cf77ep-9, 0x1.a5d23a15bdb3p-9, 0x1.97fa9c5ab2f06p-9, 0x1.8a8f53a190b12p-9, 0x1.7d8d965bcd5d8p-9, 0x1.70f2a8dcb909cp-9, 0x1.64bbdd35f670fp-9, 0x1.58e6931327065p-9, 0x1.4d703794e010bp-9, 0x1.4256452af4a33p-9, 0x1.3796436e1e95p-9, 0x1.2d2dc6f9187bdp-9, 0x1.231a71412c098p-9, 0x1.1959f06e4b525p-9, 0x1.0fe9ff32b7cb4p-9, 0x1.06c864a247547p-9, 0x1.fbe5e81297a1bp-10, 0x1.eacf198660dbfp-10, 0x1.da4834219ffbep-10, 0x1.ca4d25dd1d08dp-10, 0x1.bad9f3d47f12dp-10, 0x1.abeab9f1d309ep-10, 0x1.9d7baa98c1846p-10, 0x1.8f890e5199bd2p-10, 0x1.820f437442ab8p-10, 0x1.750abdd30ed66p-10, 0x1.6878066598083p-10, 0x1.5c53baf39e639p-10, 0x1.509a8dc0093f4p-10, 0x1.4549453408a88p-10, 0x1.3a5cbb8a6bd06p-10, 0x1.2fd1de7b33252p-10, 0x1.25a5aee7791d9p-10, 0x1.1bd540859e91dp-10, 0x1.125db98de68b8p-10, 0x1.093c526774093p-10, 0x1.006e5555c1cfp-10, 0x1.efe23c4d18c18p-11, 0x1.df8433c09cb55p-11, 0x1.cfbd8ce283bdap-11, 0x1.c08964bdf55d2p-11, 0x1.b1e2f8ed37bacp-11, 0x1.a3c5a6fb64eafp-11, 0x1.962cebc773cafp-11, 0x1.891462e8a17e9p-11, 0x1.7c77c61448649p-11, 0x1.7052ec852f18bp-11, 0x1.64a1ca645810fp-11, 0x1.596070335eac2p-11, 0x1.4e8b0a3866a6p-11, 0x1.441ddfeba9339p-11, 0x1.3a155366a687bp-11, 0x1.306de0d502bd5p-11, 0x1.27241de713c5ap-11, 0x1.1e34b94627cb2p-11, 0x1.159c7a0a896f5p-11, 0x1.0d583f3343773p-11, 0x1.0564ff1fae7cp-11, 0x1.fb7f8e158af26p-12, 0x1.eccb751093176p-12, 0x1.dea826076dd5dp-12, 0x1.d1103e8215c05p-12, 0x1.c3fe85bec1a42p-12, 0x1.b76debbaca12dp-12, 0x1.ab59883f41213p-12, 0x1.9fbc99f13933ep-12, 0x1.94928565c2816p-12, 0x1.89d6d43998fc5p-12, 0x1.7f85342c887f5p-12, 0x1.7599764082481p-12, 0x1.6c0f8ddc617f4p-12, 0x1.62e38ff2634fdp-12, 0x1.5a11b22a47bd6p-12, 0x1.51964a0f1c218p-12, 0x1.496dcc40ae681p-12, 0x1.4194cba89c6f8p-12, 0x1.3a07f8b304f3dp-12, 0x1.32c4208acf35cp-12, 0x1.2bc62c598383p-12, 0x1.250b208ab2d29p-12, 0x1.1e901c12e0d8dp-12, 0x1.185257b9f3476p-12, 0x1.124f25691601dp-12, 0x1.0c83ef7c12072p-12, 0x1.06ee38160ef46p-12, 0x1.018b9879b61f3p-12, 0x1.f8b380c963bffp-13, 0x1.eeaceadcf8e02p-13, 0x1.e4ff24d4f2cedp-13, 0x1.dba60d9aa0c9bp-13, 0x1.d29dac2afd0a3p-13, 0x1.c9e22e6e30b49p-13, 0x1.c16fe8155dc38p-13, 0x1.b943517ea0851p-13, 0x1.b159069f3ddc2p-13, 0x1.a9adc5f3d6a33p-13, 0x1.a23e6f76a4b15p-13, 0x1.9b08039b9392ep-13, 0x1.9407a2523edcfp-13, 0x1.8d3a8a0da0f7cp-13, 0x1.869e16d17b616p-13, 0x1.802fc145537c1p-13, 0x1.79ed1dcceb947p-13, 0x1.73d3dba638212p-13, 0x1.6de1c40ca0981p-13, 0x1.6814b961913fep-13, 0x1.626ab65a3743dp-13, 0x1.5ce1cd3257b8fp-13, 0x1.577826e42eab5p-13, 0x1.522c02653fadap-13, 0x1.4cfbb3e8024e5p-13, 0x1.47e5a422586d6p-13, 0x1.42e84f98b287bp-13, 0x1.3e0245edd80eep-13, 0x1.3932293736149p-13, 0x1.3476ad55a4128p-13, 0x1.2fce975287649p-13, 0x1.2b38bcc147f18p-13, 0x1.26b40324f762bp-13, 0x1.223f5f5a1f35cp-13, 0x1.1dd9d5049e3c2p-13, 0x1.1982760183852p-13, 0x1.153861dcd02e7p-13, 0x1.10fac54b0b62cp-13, 0x1.0cc8d9a6a31f7p-13, 0x1.08a1e470ebd2p-13, 0x1.048536d6c8b4ap-13, 0x1.00722d38d548cp-13, 0x1.f8d05d6e1510fp-14, 0x1.f0cd597f808f1p-14, 0x1.e8da454413bc3p-14, 0x1.e0f62a4690902p-14, 0x1.d920242fe5406p-14, 0x1.d1575ffeecacep-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.171e255213f65p-2, -0x1.2349e246671adp-2, -0x1.2f3975c629442p-2, -0x1.3aeb57e4a08fep-2, -0x1.465e20442288bp-2, -0x1.519085613f311p-2, -0x1.5c815bd1108e9p-2, -0x1.672f95751d089p-2, -0x1.719a40a70c4e4p-2, -0x1.7bc0875e128ddp-2, -0x1.85a1ae4fc482dp-2, -0x1.8f3d140dd2fd4p-2, -0x1.98923021f66aap-2, -0x1.a1a09229275eap-2, -0x1.aa67e0ef23a25p-2, -0x1.b2e7d98b10422p-2, -0x1.bb204e7dfcc0ap-2, -0x1.c31126d3dc16fp-2, -0x1.caba5d4783c2ap-2, -0x1.d21bff6a22cbbp-2, -0x1.d9362cce8aea3p-2, -0x1.e0091638a5844p-2, -0x1.e694fcd14db1ap-2, -0x1.ecda315ec4ec5p-2, -0x1.f2d91381eca6fp-2, -0x1.f89210f860ee9p-2, -0x1.fe05a4e389a56p-2, -0x1.019a2b8a543eep-1, -0x1.040f5daefb177p-1, -0x1.0662b8745fbf5p-1, -0x1.089490c842d24p-1, -0x1.0aa540a18a6a6p-1, -0x1.0c9526b2c1e0ep-1, -0x1.0e64a61f02621p-1, -0x1.101426313feefp-1, -0x1.11a41215eb67fp-1, -0x1.1314d896dea1ap-1, -0x1.1466ebd9889e2p-1, -0x1.159ac11f4abfap-1, -0x1.16b0d087fb4b1p-1, -0x1.17a994d6807b3p-1, -0x1.18858b377680ep-1, -0x1.19453309d4c95p-1, -0x1.19e90da984069p-1, -0x1.1a719e3bdb155p-1, -0x1.1adf697df4acdp-1, -0x1.1b32f594d3f3ep-1, -0x1.1b6cc9df4906ap-1, -0x1.1b8d6ec98fedep-1, -0x1.1b956da299c24p-1, -0x1.1b855072f8f15p-1, -0x1.1b5da1d564c5ap-1, -0x1.1b1eecd0ccb63p-1, -0x1.1ac9bcb3ef2e8p-1, -0x1.1a5e9cf26be38p-1, -0x1.19de19034a73bp-1, -0x1.1948bc40e9027p-1, -0x1.189f11ca4d4eep-1, -0x1.17e1a465d023p-1, -0x1.1710fe65173c2p-1, -0x1.162da98a5b786p-1, -0x1.15382eeeeda8p-1, -0x1.143116eaf6ee3p-1, -0x1.1318e8fe6a226p-1, -0x1.11f02bbb200b6p-1, -0x1.10b764b01730cp-1, -0x1.0f6f1855ce784p-1, -0x1.0e17c9fbb5471p-1, -0x1.0cb1fbb6a77acp-1, -0x1.0b3e2e507143dp-1, -0x1.09bce138501c2p-1, -0x1.082e92746d1bap-1, -0x1.0693be944655fp-1, -0x1.04ece0a403f3dp-1, -0x1.033a7220aeb39p-1, -0x1.017ceaed41df3p-1, -0x1.ff69829129f8ep-2, -0x1.fbc4d38820e9fp-2, -0x1.f80cae76583a7p-2, -0x1.f441f5975a88cp-2, -0x1.f065879d40afbp-2, -0x1.ec783fa409bc1p-2, -0x1.e87af52650f8p-2, -0x1.e46e7bf34d5fcp-2, -0x1.e053a426199fcp-2, -0x1.dc2b3a1e2804ap-2, -0x1.d7f60678e8861p-2, -0x1.d3b4ce0c86f97p-2, -0x1.cf6851e3bb44p-2, -0x1.cb114f3a9facap-2, -0x1.c6b07f7c8481ap-2, -0x1.c2469842b05bap-2, -0x1.bdd44b540746cp-2, -0x1.b95a46a58c0f9p-2, -0x1.b4d9345bb0b6dp-2, -0x1.b051bacc72154p-2, -0x1.abc47c822842p-2, -0x1.a732183f13355p-2, -0x1.a29b29018b076p-2, -0x1.9e004608d3595p-2, -0x1.996202da898dfp-2, -0x1.94c0ef489fc03p-2, -0x1.901d9777e2b27p-2, -0x1.8b7883e6feda1p-2, -0x1.86d23975fdeb2p-2, -0x1.822b396e356ccp-2, -0x1.7d84018aa3b1p-2, -0x1.78dd0c00a8b86p-2, -0x1.7436cf89243cfp-2, -0x1.6f91bf69e51a5p-2, -0x1.6aee4b7f6bd5bp-2, -0x1.664ce046f5b6bp-2, -0x1.61ade6e8d072p-2, -0x1.5d11c542ea147p-2, -0x1.5878ddf39d2f3p-2, -0x1.53e39064b46e3p-2, -0x1.4f5238d69a299p-2, -0x1.4ac5306bba1a5p-2, -0x1.463ccd3406aebp-2, -0x1.41b96238a431ap-2, -0x1.3d3b3f87b2bb2p-2, -0x1.38c2b2403608cp-2, -0x1.3450049e12e38p-2, -0x1.2fe37e062445p-2, -0x1.2b7d63125e8fcp-2, -0x1.271df59e05404p-2, -0x1.22c574d1e8184p-2, -0x1.1e741d30abb8fp-2, -0x1.1a2a28a31713ep-2, -0x1.15e7ce84614cdp-2, -0x1.11ad43ae85c3p-2, -0x1.0d7aba869111fp-2, -0x1.09506308ecbfcp-2, -0x1.052e6ad5a452fp-2, -0x1.0114fd3ca20cbp-2, -0x1.fa088693c22b3p-3, -0x1.f1f8c7a32cdabp-3, -0x1.e9fb06f88ec3ep-3, -0x1.e20f89a5a92f2p-3, -0x1.da369094e7d2cp-3, -0x1.d27058a1297afp-3, -0x1.cabd1aad6d6cfp-3, -0x1.c31d0bbc479d9p-3, -0x1.bb905d07345c4p-3, -0x1.b4173c15b8181p-3, -0x1.acb1d2d44c20dp-3, -0x1.a56047ab1e8bap-3, -0x1.9e22bd9497286p-3, -0x1.96f95433a50d3p-3, -0x1.8fe427e9d9fe5p-3, -0x1.88e351ed43dd8p-3, -0x1.81f6e85e0c0cp-3, -0x1.7b1efe5bde804p-3, -0x1.745ba41b0d216p-3, -0x1.6dace6f972ec2p-3, -0x1.6712d19318a48p-3, -0x1.608d6bd6978e3p-3, -0x1.5a1cbb193404dp-3, -0x1.53c0c22abee78p-3, -0x1.4d7981692373ep-3, -0x1.4746f6d3bcd5cp-3, -0x1.41291e1e6011ep-3, -0x1.3b1ff0c41c0c8p-3, -0x1.352b6619b6b75p-3, -0x1.2f4b735fe21dfp-3, -0x1.29800bd526ae6p-3, -0x1.23c920c788045p-3, -0x1.1e26a1a5db6b2p-3, -0x1.18987c10de2a2p-3, -0x1.131e9bebf8407p-3, -0x1.0db8eb6dbb65fp-3, -0x1.08675330190abp-3, -0x1.0329ba404cb05p-3, -0x1.fc000c5cf37adp-4, -0x1.f1d4363a0eaf1p-4, -0x1.e7cfb79f54e0dp-4, -0x1.ddf25374582f7p-4, -0x1.d43bca1dc307dp-4, -0x1.caabd999c4457p-4, -0x1.c1423d9bdb3c6p-4, -0x1.b7feafa815441p-4, -0x1.aee0e72dc58edp-4, -0x1.a5e899a19ead4p-4, -0x1.9d157a9748202p-4, -0x1.94673bda5beb7p-4, -0x1.8bdd8d86de493p-4, -0x1.83781e2124ed8p-4, -0x1.7b369aad337dp-4, -0x1.7318aec58dbd9p-4, -0x1.6b1e04b17ecc4p-4, -0x1.6346457ad9917p-4, -0x1.5b911903310b8p-4, -0x1.53fe26188a05p-4, -0x1.4c8d128988ac5p-4, -0x1.453d83391a94cp-4, -0x1.3e0f1c319e02p-4, -0x1.370180b78812fp-4, -0x1.3014535b8c426p-4, -0x1.2947360c45988p-4, -0x1.2299ca276212fp-4, -0x1.1c0bb08a547d7p-4, -0x1.159c89a28bac3p-4, -0x1.0f4bf57d3242dp-4, -0x1.091993d676addp-4, -0x1.03050428600e6p-4, -0x1.fa1bcb725b9f4p-5, -0x1.ee67af528dfcp-5, -0x1.e2ecf20171031p-5, -0x1.d7aad1788bd5ep-5, -0x1.cca08bb4178d5p-5, -0x1.c1cd5ecb7285ep-5, -0x1.b7308908baf09p-5, -0x1.acc948ffa07bfp-5, -0x1.a296dda3644abp-5, -0x1.9898865c132d3p-5, -0x1.8ecd831afad39p-5, -0x1.8535146e5c6d2p-5, -0x1.7bce7b9461a3ap-5, -0x1.7298fa8d560dcp-5, -0x1.6993d42d2b148p-5, -0x1.60be4c2c464bcp-5, -0x1.5817a7379f2a3p-5, -0x1.4f9f2b0034394p-5, -0x1.47541e49cf4a7p-5, -0x1.3f35c8f92c0c8p-5, -0x1.3743742175645p-5, -0x1.2f7c6a11284fbp-5, -0x1.27dff65e5819dp-5, -0x1.206d65f25d077p-5, -0x1.19240714eb5d9p-5, -0x1.120329769b8f5p-5, -0x1.0b0a1e3ae175bp-5, -0x1.043838017c123p-5, -0x1.fb1995deb6c94p-6, -0x1.ee0e596e03ecap-6, -0x1.e14d6940ce0ddp-6, -0x1.d4d57720b36abp-6, -0x1.c8a5381ed424p-6, -0x1.bcbb64a0b3038p-6, -0x1.b116b86c33ac7p-6, -0x1.a5b5f2b2adc39p-6, -0x1.9a97d61b2db03p-6, -0x1.8fbb28cbd5979p-6, -0x1.851eb4727462bp-6, -0x1.7ac1464c4f4a6p-6, -0x1.70a1af2d2b47ap-6, -0x1.66bec3858f5fdp-6, -0x1.5d175b6857b86p-6, -0x1.53aa528f8e30cp-6, -0x1.4a76886098b18p-6, -0x1.417adfefbb13fp-6, -0x1.38b64002fc1dbp-6, -0x1.30279314673bp-6, -0x1.27cdc753b6ee1p-6, -0x1.1fa7cea76e485p-6, -0x1.17b49ead60066p-6, -0x1.0ff330baae9p-6, -0x1.086281db47acdp-6, -0x1.010192d0debfp-6, -0x1.f39ed022d9193p-7, -0x1.e596138a7038ep-7, -0x1.d7e70788dc905p-7, -0x1.ca8fcb2895a6dp-7, -0x1.bd8e84c7b58c3p-7, -0x1.b0e16210a4d0ep-7, -0x1.a48697f21c335p-7, -0x1.987c6296549a4p-7, -0x1.8cc105599535fp-7, -0x1.8152cac015ee8p-7, -0x1.7630046b361ecp-7, -0x1.6b570b0e26927p-7, -0x1.60c63e61f47bdp-7, -0x1.567c05190eb62p-7, -0x1.4c76ccd245549p-7, -0x1.42b50a0b4846bp-7, -0x1.39353812afa0bp-7, -0x1.2ff5d8f994255p-7, -0x1.26f57584bae09p-7, -0x1.1e329d1d5c6abp-7, -0x1.15abe5c18e6fap-7, -0x1.0d5febf45323dp-7, -0x1.054d52ad5640cp-7, -0x1.fae58690b812p-8, -0x1.eb9ddae8d0c37p-8, -0x1.dcc10e45439c8p-8, -0x1.ce4c98e9f016fp-8, -0x1.c03dff591ff58p-8, -0x1.b292d22ff935fp-8, -0x1.a548ae028e569p-8, -0x1.985d3b379aba6p-8, -0x1.8bce2de3efadap-8, -0x1.7f9945a59d4bcp-8, -0x1.73bc4d7eddc15p-8, -0x1.68351bb0cc32cp-8, -0x1.5d019195ee0ap-8, -0x1.521f9b7c96443p-8, -0x1.478d30812a59ap-8, -0x1.3d4852684e17ep-8, -0x1.334f0d78ffb94p-8, -0x1.299f7856a8296p-8, -0x1.2037b3db26817p-8, -0x1.1715eaf0de0c5p-8, -0x1.0e38526cc95bep-8, -0x1.059d28e89bb9ap-8, -0x1.fa856d39e6646p-9, -0x1.ea4e9a7743fbep-9, -0x1.da928f94278e9p-9, -0x1.cb4e14f7a45e6p-9, -0x1.bc7e051a6203fp-9, -0x1.ae1f4c3c3e06dp-9, -0x1.a02ee81a51aafp-9, -0x1.92a9e7a552efbp-9, -0x1.858d6ab86476ap-9, -0x1.78d6a1d04eafp-9, -0x1.6c82cdc339ec4p-9, -0x1.608f3f78e064ap-9, -0x1.54f957a343ebp-9, -0x1.49be8677efd52p-9, -0x1.3edc4b69c9df7p-9, -0x1.345034e375feap-9, -0x1.2a17e0025230bp-9, -0x1.2030f85214fecp-9, -0x1.16993789075f3p-9, -0x1.0d4e6544e9ba8p-9, -0x1.044e56c880b28p-9, -0x1.f72ddd739d7ap-10, -0x1.e64c39c1fd04ep-10, -0x1.d5f3bbd002c38p-10, -0x1.c6207635c671dp-10, -0x1.b6ce9451afe78p-10, -0x1.a7fa59cc09222p-10, -0x1.99a0221c04fb9p-10, -0x1.8bbc600e4c906p-10, -0x1.7e4b9d4d05d39p-10, -0x1.714a79e969d3cp-10, -0x1.64b5abe6d54ddp-10, -0x1.5889fec76e92fp-10, -0x1.4cc4531a521dfp-10, -0x1.41619e0b46f93p-10, -0x1.365ee8f412997p-10, -0x1.2bb950ef47061p-10, -0x1.216e066cb2b6ap-10, -0x1.177a4cc75ba19p-10, -0x1.0ddb79dd069bdp-10, -0x1.048ef5a754d5p-10, -0x1.f72473ace9408p-11, -0x1.e5c5a2dab73fcp-11, -0x1.d4fcb0bf27cf2p-11, -0x1.c4c4f6612f98dp-11, -0x1.b519ed29711fp-11, -0x1.a5f72e2724f38p-11, -0x1.9758715812ea3p-11, -0x1.89398cf39d9ebp-11, -0x1.7b9674b8d7136p-11, -0x1.6e6b393f9f88bp-11, -0x1.61b4074cc6ac3p-11, -0x1.556d272928968p-11, -0x1.4992fbfbc6d3p-11, -0x1.3e220326d1f44p-11, -0x1.3316d3a7a1021p-11, -0x1.286e1d7990e5fp-11, -0x1.1e24a8fbc3f53p-11, -0x1.14375659bcdc9p-11, -0x1.0aa31cf6cbb39p-11, -0x1.01650adc49d5cp-11, -0x1.f0f4885535a78p-12, -0x1.dfc00519d619dp-12, -0x1.cf27295f4ee3dp-12, -0x1.bf24bb7347401p-12, -0x1.afb3a98fd00ffp-12, -0x1.a0cf08d84248dp-12, -0x1.9272145b4e651p-12, -0x1.84982c1a29ed8p-12, -0x1.773cd414d3006p-12, -0x1.6a5bb35b4d76dp-12, -0x1.5df09323d6f49p-12, -0x1.51f75de5f7502p-12, -0x1.466c1e7a5e02ep-12, -0x1.3b4aff3f80ec1p-12, -0x1.30904942e895bp-12, -0x1.2638636f15b6ep-12, -0x1.1c3fd1bdf2e48p-12, -0x1.12a3346fc560ep-12, -0x1.095f47467eddp-12, -0x1.0070e0c5709fdp-12, -0x1.efa9e2ea7bb08p-13, -0x1.df110658169bep-13, -0x1.cf1170b39e52cp-13, -0x1.bfa596b1708c4p-13, -0x1.b0c81b832d132p-13, -0x1.a273cf8873c65p-13, -0x1.94a3af075ac74p-13, -0x1.8752e0ec91203p-13, -0x1.7a7cb592fb72cp-13, -0x1.6e1ca592b5f65p-13, -0x1.622e509751712p-13, -0x1.56ad7c3d3026bp-13, -0x1.4b9612f5df9adp-13, -0x1.40e422f34dd4fp-13, -0x1.3693dd19c56d6p-13, -0x1.2ca193f877a4cp-13, -0x1.2309bac8939f7p-13, -0x1.19c8e472b6876p-13, -0x1.10dbc29a950d2p-13, -0x1.083f24b0d4604p-13, -0x1.ffdfee15b75bp-14, -0x1.efd68401183cdp-14, -0x1.e05c521f8a78ap-14, -0x1.d16bd40b1c287p-14, -0x1.c2ffb85995947p-14, -0x1.b512df04d3ca4p-14, -0x1.a7a057ddb6c3cp-14, -0x1.9aa361098bb3fp-14, -0x1.8e176589ad934p-14, -0x1.81f7fbcd24419p-14, -0x1.7640e44c119adp-14, -0x1.6aee082cb3908p-14, -0x1.5ffb77f1c7f15p-14, -0x1.55656a321ff88p-14, -0x1.4b283a592c28bp-14, -0x1.4140677052544p-14, -0x1.37aa92f0da7cbp-14, -0x1.2e637f9e4187bp-14, -0x1.25681068c1b29p-14, -0x1.1cb54757e1ecp-14, -0x1.1448447cdd6cep-14, -0x1.0c1e44ecb5159p-14, -0x1.0434a1c1bd2a9p-14, -0x1.f9119e48f920fp-15, -0x1.ea30b6b761576p-15, -0x1.dbc1dbc692ccdp-15, -0x1.cdc08d146f0d5p-15, -0x1.c028792dbcfe6p-15, -0x1.b2f57be40aae7p-15, -0x1.a6239cb03791ep-15, -0x1.99af0d215a14ep-15, -0x1.8d942757b6489p-15, -0x1.81cf6c8b72ce9p-15, -0x1.765d839eca705p-15, -0x1.6b3b37bb6727dp-15, -0x1.606576faa9b65p-15, -0x1.55d951188dcep-15, -0x1.4b93f630ecd4cp-15, -0x1.4192b586d509ap-15, -0x1.37d2fc55baadep-15, -0x1.2e5254ac3a0ecp-15, -0x1.250e645030cabp-15, -0x1.1c04ebabeb4dbp-15, -0x1.1333c4c42c847p-15, -0x1.0a98e236d39a1p-15, -0x1.02324e41e1c9p-15, -0x1.f3fc53a55466ap-16, -0x1.e3f55739e88efp-16, -0x1.d44c3e73a4b7ap-16, -0x1.c4fdc89c04b4fp-16, -0x1.b606db6f316fep-16, -0x1.a76481858e73fp-16, -0x1.9913e8cb1baddp-16, -0x1.8b12610445082p-16, -0x1.7d5d5a5fbbbd3p-16, -0x1.6ff264150680ap-16, -0x1.62cf2b0f5f4b9p-16, -0x1.55f178a489c56p-16, -0x1.495731575193fp-16, -0x1.3cfe53a54bb1ep-16, -0x1.30e4f6df90933p-16, -0x1.25094a0e208d2p-16, -0x1.196992dd92aa7p-16, -0x1.0e042c96d38f6p-16, -0x1.02d787209830ap-16, -0x1.efc44c147cf05p-17, -0x1.da453f3fb76d3p-17, -0x1.c52f380e43602p-17, -0x1.b07fa8c9c5927p-17, -0x1.9c342415d4c5cp-17, -0x1.884a5b5bd84b4p-17, -0x1.74c01d4688ae7p-17, -0x1.6193544ca09a2p-17, -0x1.4ec2054a3bd57p-17, -0x1.3c4a4e2874a74p-17, -0x1.2a2a6492c0605p-17, -0x1.186094b9a750ap-17, -0x1.06eb402262212p-17, -0x1.eb91b905e2fb3p-18, -0x1.c9efe55498a87p-18, -0x1.a8ee3ae8732ebp-18, -0x1.888a1190ee37ep-18, -0x1.68c0e149956f8p-18, -0x1.49904063410dp-18, -0x1.2af5e1c1b9193p-18, -0x1.0cef932d09474p-18, -0x1.def6776bbd8d3p-19, -0x1.a52db45885aabp-19, -0x1.6c8107502964ep-19, -0x1.34ecc4453b8fcp-19, -0x1.fcdacc82bc4adp-20, -0x1.91ff19b2a0674p-20, -0x1.293ff37f79079p-20, -0x1.852e39d69c8e2p-21, -0x1.77fa50bb3f752p-22, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.68f5c1276730ap-1, 0x1.66a9ec8935137p-1, 0x1.641ddea373495p-1, 0x1.615083a825969p-1, 0x1.5e412283c9a6cp-1, 0x1.5aef58fcc9dedp-1, 0x1.575b17638e1c5p-1, 0x1.53849bf2a55c3p-1, 0x1.4f6c6df9a77fbp-1, 0x1.4b1358e926a0ep-1, 0x1.467a675238ca5p-1, 0x1.41a2dde8d3d7ep-1, 0x1.3c8e3695573c9p-1, 0x1.373e1b9f25a6cp-1, 0x1.31b462f818cecp-1, 0x1.2bf309aed24fdp-1, 0x1.25fc2f8c6c087p-1, 0x1.1fd212e0cc4b7p-1, 0x1.19770c7fdc44ep-1, 0x1.12ed8bf100324p-1, 0x1.0c3813d1846e3p-1, 0x1.0559366a204b5p-1, 0x1.fca724ee75ee4p-2, 0x1.ee53a0468dbb1p-2, 0x1.dfbd3c64745e6p-2, 0x1.d0e95eb9f1a0dp-2, 0x1.c1dd6fb6a8edep-2, 0x1.b29ed636548a2p-2, 0x1.a332f3461e66ap-2, 0x1.939f1e3dcda9ep-2, 0x1.83e8a1297f245p-2, 0x1.7414b5807e5cp-2, 0x1.64288125e35e4p-2, 0x1.542913af8d343p-2, 0x1.441b63f024a44p-2, 0x1.34044dc0d58bbp-2, 0x1.23e890077c11p-2, 0x1.13cccaf618ec3p-2, 0x1.03b57e806da5ap-2, 0x1.e74e120964c35p-3, 0x1.c74b4c48f69fcp-3, 0x1.a76adb95c5ea7p-3, 0x1.87b4a6ba7b2a2p-3, 0x1.68304a273dac6p-3, 0x1.48e516ed3e7fp-3, 0x1.29da11ffc264bp-3, 0x1.0b15f3b5ddf2bp-3, 0x1.d93e4f109ce5cp-4, 0x1.9cf7980dfaa49p-4, 0x1.6163660409fc9p-4, 0x1.268cc3c43a65ep-4, 0x1.d8fc48b29ebdp-5, 0x1.6682c8beae93fp-5, 0x1.eb7f2e92596c1p-6, 0x1.0d883c33282a7p-6, 0x1.9a0a56111cd8ap-9, -0x1.466e9e69485b9p-7, -0x1.75c56ae2948a2p-6, -0x1.222783381695cp-5, -0x1.875e1cce772f8p-5, -0x1.ea7b94ec0c6afp-5, -0x1.25baff78eb9a7p-4, -0x1.5522344480894p-4, -0x1.836f698b4880fp-4, -0x1.b09f168593c6cp-4, -0x1.dcae258ab0ap-4, -0x1.03ccf84f43dep-3, -0x1.18b01efb43407p-3, -0x1.2cff9e3c32bdep-3, -0x1.40bac01ab2c29p-3, -0x1.53e0ff7215a5fp-3, -0x1.6672062da8091p-3, -0x1.786dab8755891p-3, -0x1.89d3f24878796p-3, -0x1.9aa5070db7978p-3, -0x1.aae13e8e99b9p-3, -0x1.ba8913e989ee2p-3, -0x1.c99d26f4de1c8p-3, -0x1.d81e3a9572167p-3, -0x1.e60d331b5253ep-3, -0x1.f36b14a4e986ep-3, -0x1.001c80c48806p-2, -0x1.063c1c6434431p-2, -0x1.0c150a432087ep-2, -0x1.11a80444a80bdp-2, -0x1.16f5d0624309ep-2, -0x1.1bff3ff40eb1dp-2, -0x1.20c52efd94bc8p-2, -0x1.2548837ed627dp-2, -0x1.298a2cc9b854p-2, -0x1.2d8b22dbd2505p-2, -0x1.314c65bcac5dep-2, -0x1.34cefce0728b5p-2, -0x1.3813f68f1faeep-2, -0x1.3b1c67502596bp-2, -0x1.3de9695a8850cp-2, -0x1.407c1c0974e69p-2, -0x1.42d5a355473b3p-2, -0x1.44f72750fb16fp-2, -0x1.46e1d3ac03198p-2, -0x1.4896d738769e2p-2, -0x1.4a176375929d2p-2, -0x1.4b64ac1e7d444p-2, -0x1.4c7fe6bd42291p-2, -0x1.4d6a4a41f73f3p-2, -0x1.4e250e9dfeb39p-2, -0x1.4eb16c6354847p-2, -0x1.4f109c67d791ap-2, -0x1.4f43d76c7f3p-2, -0x1.4f4c55c86a56fp-2, -0x1.4f2b4f17b5efdp-2, -0x1.4ee1f9ee0c331p-2, -0x1.4e718b8cd4e43p-2, -0x1.4ddb379cf7777p-2, -0x1.4d202fec17d1cp-2, -0x1.4c41a42d4153fp-2, -0x1.4b40c1bce4093p-2, -0x1.4a1eb36812d3cp-2, -0x1.48dca136f5656p-2, -0x1.477bb03a4b445p-2, -0x1.45fd025bfcc9cp-2, -0x1.4461b6329609p-2, -0x1.42aae6d7a4958p-2, -0x1.40d9abc0da4p-2, -0x1.3eef189be414ap-2, -0x1.3cec3d2ce4e2cp-2, -0x1.3ad2252f787b8p-2, -0x1.38a1d83a32e52p-2, -0x1.365c59a47fce8p-2, -0x1.3402a86ed7b45p-2, -0x1.3195bf2d2e21bp-2, -0x1.2f1693f38eeedp-2, -0x1.2c861844cf38ap-2, -0x1.29e53903431e3p-2, -0x1.2734de6368dep-2, -0x1.2475ebe06e809p-2, -0x1.21a9403289434p-2, -0x1.1ecfb54705422p-2, -0x1.1bea203a03b32p-2, -0x1.18f95151cd4f7p-2, -0x1.15fe13fbb01f7p-2, -0x1.12f92eca531c1p-2, -0x1.0feb637570b1ap-2, -0x1.0cd56edaeaf22p-2, -0x1.09b80901237a3p-2, -0x1.0693e51a8e3c4p-2, -0x1.0369b18a6af6ep-2, -0x1.003a17ea9c1a5p-2, -0x1.fa0b7a250c00ap-3, -0x1.f39a823ddedacp-3, -0x1.ed227ef5a0e3p-3, -0x1.e6a49dd209545p-3, -0x1.e022031da9298p-3, -0x1.d99bc9fe8994cp-3, -0x1.d313048e5103ap-3, -0x1.cc88bbf3bc8b8p-3, -0x1.c5fdf07d6f80ap-3, -0x1.bf7399bdee1f2p-3, -0x1.b8eaa6a8bfbf9p-3, -0x1.b263fdb09569fp-3, -0x1.abe07ce6624bdp-3, -0x1.a560fa195c673p-3, -0x1.9ee642f7c8712p-3, -0x1.98711d307ca65p-3, -0x1.9202469510067p-3, -0x1.8b9a753ca6223p-3, -0x1.853a57a738b17p-3, -0x1.7ee294e160b4bp-3, -0x1.7893cca882fc3p-3, -0x1.724e978f5748p-3, -0x1.6c138722b86aap-3, -0x1.65e3260eb4a14p-3, -0x1.5fbdf843cc8adp-3, -0x1.59a47b1c50e84p-3, -0x1.53972581e0e88p-3, -0x1.4d966812ebf94p-3, -0x1.47a2ad48363b1p-3, -0x1.41bc599a5a52p-3, -0x1.3be3cba72d4e6p-3, -0x1.36195c570bb65p-3, -0x1.305d5f0200bd5p-3, -0x1.2ab02194bedc7p-3, -0x1.2511ecb55d7c2p-3, -0x1.1f8303e7de522p-3, -0x1.1a03a5b26b7fdp-3, -0x1.14940bc148491p-3, -0x1.0f346b0a71bf5p-3, -0x1.09e4f3f0e3f2p-3, -0x1.04a5d26782c36p-3, -0x1.feee5c2743f62p-4, -0x1.f4b254de425p-4, -0x1.ea97cdd438641p-4, -0x1.e09efe185a2dap-4, -0x1.d6c8152a6c0d5p-4, -0x1.cd133b3b6eca3p-4, -0x1.c380916d4c7d8p-4, -0x1.ba10321186679p-4, -0x1.b0c230e6f7093p-4, -0x1.a7969b56692afp-4, -0x1.9e8d78ae4a32ap-4, -0x1.95a6ca5d2ab77p-4, -0x1.8ce28c2b4ae89p-4, -0x1.8440b472fcf08p-4, -0x1.7bc13457fb6afp-4, -0x1.7363f7fda0ecbp-4, -0x1.6b28e6bc0969ap-4, -0x1.630fe35412eaap-4, -0x1.5b18cc2246057p-4, -0x1.53437b509da41p-4, -0x1.4b8fc70733bd9p-4, -0x1.43fd819bd05cp-4, -0x1.3c8c79c05ba49p-4, -0x1.353c7ab0352a8p-4, -0x1.2e0d4c5c70063p-4, -0x1.26feb396f59fcp-4, -0x1.2010723c90952p-4, -0x1.1942475de28cdp-4, -0x1.1293ef674602ep-4, -0x1.0c0524479cc4bp-4, -0x1.05959d961251bp-4, -0x1.fe8a216d9d944p-5, -0x1.f22661fd42e77p-5, -0x1.e5ff5fab47c92p-5, -0x1.da1479b1b4ca7p-5, -0x1.ce650bf5a2083p-5, -0x1.c2f06f467e67cp-5, -0x1.b7b5f99b5c2bbp-5, -0x1.acb4fe4e536aap-5, -0x1.a1ecce5601cb1p-5, -0x1.975cb87d272a6p-5, -0x1.8d04099870128p-5, -0x1.82e20cba6fc09p-5, -0x1.78f60b65d3965p-5, -0x1.6f3f4dbdd80ebp-5, -0x1.65bd1ab5074c2p-5, -0x1.5c6eb83a47969p-5, -0x1.53536b64450bdp-5, -0x1.4a6a789b3cd6ap-5, -0x1.41b323c13312dp-5, -0x1.392cb05898a6p-5, -0x1.30d661a96f78cp-5, -0x1.28af7ae4f03c6p-5, -0x1.20b73f47bae13p-5, -0x1.18ecf23a9e1p-5, -0x1.114fd771f6595p-5, -0x1.09df330bb6b27p-5, -0x1.029a49ac1a407p-5, -0x1.f700c1321bbc9p-6, -0x1.e9217ba8a9102p-6, -0x1.db955068e7613p-6, -0x1.ce5acef8d4a2fp-6, -0x1.c17088e480ddfp-6, -0x1.b4d511e8e2579p-6, -0x1.a887001c782e8p-6, -0x1.9c84ec15c491fp-6, -0x1.90cd710fb248bp-6, -0x1.855f2d0bf0143p-6, -0x1.7a38c0f357c27p-6, -0x1.6f58d0b465d94p-6, -0x1.64be035fdbe6ep-6, -0x1.5a6703439045cp-6, -0x1.50527e0384ab3p-6, -0x1.467f24b147b7bp-6, -0x1.3cebabe1b5f2dp-6, -0x1.3396cbc12357p-6, -0x1.2a7f4025ff063p-6, -0x1.21a3c8a1f8e3cp-6, -0x1.19032891bb607p-6, -0x1.109c272b40811p-6, -0x1.086d8f8ad3038p-6, -0x1.007630bec630ep-6, -0x1.f169bba3d99aap-7, -0x1.e250dba9c71ddp-7, -0x1.d39f77cc5b65p-7, -0x1.c5534e72789fbp-7, -0x1.b76a2638be097p-7, -0x1.a9e1cdfb678f4p-7, -0x1.9cb81cde278adp-7, -0x1.8feaf2522d3dcp-7, -0x1.8378361a4f9c5p-7, -0x1.775dd84d7cc4dp-7, -0x1.6b99d15784a8fp-7, -0x1.602a21f848c36p-7, -0x1.550cd341675dap-7, -0x1.4a3ff6926f10ep-7, -0x1.3fc1a593b587dp-7, -0x1.3590022fd7d63p-7, -0x1.2ba9368bf71e2p-7, -0x1.220b74fec5375p-7, -0x1.18b4f8066c2e4p-7, -0x1.0fa4023d60eeap-7, -0x1.06d6de4e2f741p-7, -0x1.fc97bdcc9ce11p-8, -0x1.ec02bd5010ab7p-8, -0x1.dbeb80370a539p-8, -0x1.cc4edb3e0869ap-8, -0x1.bd29b2aca194ap-8, -0x1.ae78fa32fa993p-8, -0x1.a039b4c5e2b99p-8, -0x1.9268f479abd38p-8, -0x1.8503da5bd39fcp-8, -0x1.7807964b92104p-8, -0x1.6b7166d163087p-8, -0x1.5f3e98f59fb4ap-8, -0x1.536c881634bb1p-8, -0x1.47f89dbb8f737p-8, -0x1.3ce0516ccd1fep-8, -0x1.3221288341d36p-8, -0x1.27b8b5fd62d84p-8, -0x1.1da49a512922bp-8, -0x1.13e2833df711cp-8, -0x1.0a702b9e10fa4p-8, -0x1.014b5b37b83e6p-8, -0x1.f0e3cd1be8f8ap-9, -0x1.dfc35d62301edp-9, -0x1.cf31421e19aa8p-9, -0x1.bf296e86e743cp-9, -0x1.afa7edcf48eb4p-9, -0x1.a0a8e2c52f3c2p-9, -0x1.9228877187295p-9, -0x1.84232cb7f019ep-9, -0x1.769539f685b94p-9, -0x1.697b2ca5c5ed8p-9, -0x1.5cd197f8b038cp-9, -0x1.5095247d2278p-9, -0x1.44c28fbc8c52bp-9, -0x1.3956abdd01cedp-9, -0x1.2e4e5f42c0bb7p-9, -0x1.23a6a43230453p-9, -0x1.195c88726e674p-9, -0x1.0f6d2cf06d799p-9, -0x1.05d5c562ba128p-9, -0x1.f9272fdbcdf24p-10, -0x1.e747f993637d3p-10, -0x1.d608bbcdce9bbp-10, -0x1.c5646d2c1e68dp-10, -0x1.b556265dce6b7p-10, -0x1.a5d9217173b6cp-10, -0x1.96e8b9272484cp-10, -0x1.88806844ae9p-10, -0x1.7a9bc8eba40d4p-10, -0x1.6d3693f14f08fp-10, -0x1.604ca0389429ep-10, -0x1.53d9e20dd13b9p-10, -0x1.47da6a84b5409p-10, -0x1.3c4a66d828907p-10, -0x1.31261fcc48628p-10, -0x1.2669f91273852p-10, -0x1.1c1270af76e3cp-10, -0x1.121c1e63e2debp-10, -0x1.0883b31678903p-10, -0x1.fe8bf081acce2p-11, -0x1.ecbf9ebc7e536p-11, -0x1.db9c62b93e5bcp-11, -0x1.cb1c5c1f7ad8ap-11, -0x1.bb39d74d4609cp-11, -0x1.abef4c466f795p-11, -0x1.9d375da8263f7p-11, -0x1.8f0cd7a1090d9p-11, -0x1.816aaeed9f472p-11, -0x1.744bffd93b619p-11, -0x1.67ac0d434243dp-11, -0x1.5b863fa8d7dfbp-11, -0x1.4fd62432e8023p-11, -0x1.44976bc88bcf6p-11, -0x1.39c5ea25c2003p-11, -0x1.2f5d94f67816p-11, -0x1.255a82f5d97a7p-11, -0x1.1bb8eb11e19e7p-11, -0x1.127523932730ap-11, -0x1.098ba148d767dp-11, -0x1.00f8f6b8dbc23p-11, -0x1.f173a6a83baa5p-12, -0x1.e196055dc6348p-12, -0x1.d252d77a6585ap-12, -0x1.c3a420267e88dp-12, -0x1.b58416538f5cfp-12, -0x1.a7ed234cc85b2p-12, -0x1.9ad9e14f6b409p-12, -0x1.8e451a2ad5eacp-12, -0x1.8229c5e822937p-12, -0x1.7683097944c8ep-12, -0x1.6b4c356f8bb57p-12, -0x1.6080c4b97573cp-12, -0x1.561c5b67aef45p-12, -0x1.4c1ac57938589p-12, -0x1.4277f5ae836fbp-12, -0x1.393004637fb6cp-12, -0x1.303f2e7072178p-12, -0x1.27a1d41185799p-12, -0x1.1f5477d4f02p-12, -0x1.1753bd8fa0c3bp-12, -0x1.0f9c69584c3acp-12, -0x1.082b5e88cdb92p-12, -0x1.00fd9ec5b1933p-12, -0x1.f4209217c136fp-13, -0x1.e6c1318882a43p-13, -0x1.d9d7c9ba83acbp-13, -0x1.cd5f3dd4528e6p-13, -0x1.c152a4902f9a8p-13, -0x1.b5ad4691382c8p-13, -0x1.aa6a9cc38af92p-13, -0x1.9f864ec72c106p-13, -0x1.94fc31657aa35p-13, -0x1.8ac845110367ep-13, -0x1.80e6b46f7b5e3p-13, -0x1.7753d2edb6d3ap-13, -0x1.6e0c1b5d6218cp-13, -0x1.650c2e9c51935p-13, -0x1.5c50d24535d64p-13, -0x1.53d6ef698067fp-13, -0x1.4b9b915449793p-13, -0x1.439be456136d3p-13, -0x1.3bd53499233c6p-13, -0x1.3444ecfe59e13p-13, -0x1.2ce896024fc32p-13, -0x1.25bdd4aa8b62cp-13, -0x1.1ec2697aa0d86p-13, -0x1.17f42f7119b69p-13, -0x1.11511b0be4773p-13, -0x1.0ad739543888ap-13, -0x1.0484aef1b1bb5p-13, -0x1.fcaf6e88fc43dp-14, -0x1.f09d470cf4b8ep-14, -0x1.e4cfb3e61922ap-14, -0x1.d943a9eb2ce66p-14, -0x1.cdf644bcb0fc8p-14, -0x1.c2e4c53b4866fp-14, -0x1.b80c900a4757ep-14, -0x1.ad6b2c1e5cd29p-14, -0x1.a2fe4157d4876p-14, -0x1.98c3972840d2dp-14, -0x1.8eb913434c31ep-14, -0x1.84dcb85a55c3ep-14, -0x1.7b2ca4e2a2cccp-14, -0x1.71a711e5da1aap-14, -0x1.684a51dc87e91p-14, -0x1.5f14cf9267c9cp-14, -0x1.56050d1431bcbp-14, -0x1.4d19a2a6ae7b4p-14, -0x1.44513dc6d0ab2p-14, -0x1.3baaa032969fcp-14, -0x1.33249efa7aa8cp-14, -0x1.2abe219b336b4p-14, -0x1.2276211f8cf7p-14, -0x1.1a4ba74a1fdefp-14, -0x1.123dcdc6b1e76p-14, -0x1.0a4bbd630506fp-14, -0x1.0274ad4ee4438p-14, -0x1.f56fc4c66f51bp-15, -0x1.e6295cdfd6337p-15, -0x1.d714df20f41a5p-15, -0x1.c8311f0dd56bap-15, -0x1.b97d063a16019p-15, -0x1.aaf79317823ecp-15, -0x1.9c9fd7d07fbdep-15, -0x1.8e74f92de896ep-15, -0x1.80762d87fb8c1p-15, -0x1.72a2bbc2134d1p-15, -0x1.64f9fa50cabd8p-15, -0x1.577b4e4a3f577p-15, -0x1.4a262a8022c32p-15, -0x1.3cfa0ea34aef8p-15, -0x1.2ff686707787dp-15, -0x1.231b28e601796p-15, -0x1.166797822a52p-15, -0x1.09db7d89c92b7p-15, -0x1.faed1eae18017p-16, -0x1.e271136016fc4p-16, -0x1.ca426249e3c76p-16, -0x1.b260a2eae332cp-16, -0x1.9acb79fa9e952p-16, -0x1.8382984f8773cp-16, -0x1.6c85b9d2f18c3p-16, -0x1.55d4a481cd13dp-16, -0x1.3f6f2779b9691p-16, -0x1.29551a11fe5d8p-16, -0x1.13865afffa3e1p-16, -0x1.fc059f0d62079p-17, -0x1.d194c56208acfp-17, -0x1.a7ba092c6edbp-17, -0x1.7e755350d9524p-17, -0x1.55c694195785ep-17, -0x1.2dadc1f84cbb6p-17, -0x1.062ad85cb787p-17, -0x1.be7bad2f2e81ap-18, -0x1.71cd7da37f866p-18, -0x1.264b2a230765dp-18, -0x1.b7e9793e53152p-19, -0x1.25947e6a16e49p-19, -0x1.2b2eea42ca407p-20, -0x1.fc9a358fa8d5cp-25, 0x1.06b54776b071fp-20, 0x1.0c4fb92b934bcp-19, 0x1.92ecedd563e52p-19, 0x1.0b99340ba3f43p-18, 0x1.4c90303421d22p-18, 0x1.8c5b91a173bc4p-18, 0x1.cafb89741285ap-18, 0x1.04382a3eeef33p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.72435e7e6acf3p-1, 0x1.71c43716e16a1p-1, 0x1.7134723fb89fep-1, 0x1.709369996ae5cp-1, 0x1.6fe088e8384bep-1, 0x1.6f1b4e0107af5p-1, 0x1.6e43489245d5dp-1, 0x1.6d5819ce8ecaap-1, 0x1.6c5973fe541e3p-1, 0x1.6b4719fd17306p-1, 0x1.6a20dea644947p-1, 0x1.68e6a4353ef4ap-1, 0x1.67985b9bb0e28p-1, 0x1.663603d0d0d0dp-1, 0x1.64bfa91be8bb4p-1, 0x1.6335645c1a991p-1, 0x1.61975a4f0edb4p-1, 0x1.5fe5bad7fbc19p-1, 0x1.5e20c048364ffp-1, 0x1.5c48aeaa4bf9dp-1, 0x1.5a5dd31077ae7p-1, 0x1.586082e71ee59p-1, 0x1.56511b4be1a73p-1, 0x1.54300069a8ddap-1, 0x1.51fd9cda0bca1p-1, 0x1.4fba610c494c4p-1, 0x1.4d66c2b2047d9p-1, 0x1.4b033c31e134fp-1, 0x1.48904c201396ep-1, 0x1.460e74bce6347p-1, 0x1.437e3b793568cp-1, 0x1.40e02880d2fb4p-1, 0x1.3e34c64ac06eep-1, 0x1.3b7ca12f2ae1cp-1, 0x1.38b847030749ep-1, 0x1.35e846b935fb8p-1, 0x1.330d300905044p-1, 0x1.30279319f0cf1p-1, 0x1.2d38003479b92p-1, 0x1.2a3f0777e692p-1, 0x1.273d3894cb91ap-1, 0x1.2433228c2b8a7p-1, 0x1.2121537308e72p-1, 0x1.1e08583a3b227p-1, 0x1.1ae8bc7a60091p-1, 0x1.17c30a43bbeb6p-1, 0x1.1497c9f1e1d0ap-1, 0x1.11678202f7423p-1, 0x1.0e32b6f26e4adp-1, 0x1.0af9eb1709affp-1, 0x1.07bd9e84078d3p-1, 0x1.047e4eed4a839p-1, 0x1.013c778e5c8bdp-1, 0x1.fbf1222848fefp-2, 0x1.f566231261505p-2, 0x1.eed8d888dadebp-2, 0x1.e84a23b454fbcp-2, 0x1.e1bae01e9b0f5p-2, 0x1.db2be39d28d54p-2, 0x1.d49dfe3f8988p-2, 0x1.ce11fa4163c86p-2, 0x1.c7889bffee88cp-2, 0x1.c102a1f2a4529p-2, 0x1.ba80c4a6f7523p-2, 0x1.b403b6bedd445p-2, 0x1.ad8c24f1fbd8bp-2, 0x1.a71ab61151eb4p-2, 0x1.a0b00b0d28cd5p-2, 0x1.9a4cbefd26e96p-2, 0x1.93f1672a64fa4p-2, 0x1.8d9e931b4e699p-2, 0x1.8754cca13b3e8p-2, 0x1.811497e796c12p-2, 0x1.7ade738472b68p-2, 0x1.74b2d88a6f05ep-2, 0x1.6e923a9bcf825p-2, 0x1.687d07feac80cp-2, 0x1.6273a9b21ccc1p-2, 0x1.5c768384452cep-2, 0x1.5685f42932411p-2, 0x1.50a255526a2a3p-2, 0x1.4acbfbc71bae6p-2, 0x1.4503377cdc498p-2, 0x1.3f4853b0e011ep-2, 0x1.399b970197a54p-2, 0x1.33fd4388a8afep-2, 0x1.2e6d96f52a2e6p-2, 0x1.28eccaa61eb26p-2, 0x1.237b13c516ad7p-2, 0x1.1e18a360f1142p-2, 0x1.18c5a688b0ad7p-2, 0x1.1382466655c75p-2, 0x1.0e4ea859b6298p-2, 0x1.092aee1345a39p-2, 0x1.041735aeca5f9p-2, 0x1.fe27339bddcdbp-3, 0x1.f44063655e6aep-3, 0x1.ea7a22b32bb99p-3, 0x1.e0d4932788bfep-3, 0x1.d74fd0417cdb9p-3, 0x1.cdebef8fed4e8p-3, 0x1.c4a900e41b1a9p-3, 0x1.bb870e839c0b5p-3, 0x1.b2861d59a13p-3, 0x1.a9a62d279c5dfp-3, 0x1.a0e738b5386a1p-3, 0x1.984935ff8efdep-3, 0x1.8fcc1667ad9f5p-3, 0x1.876fc6e04dc58p-3, 0x1.7f34301ac7e55p-3, 0x1.771936b34256ap-3, 0x1.6f1ebb5bffed1p-3, 0x1.67449b07ec2b8p-3, 0x1.5f8aaf1449ce7p-3, 0x1.57f0cd7186508p-3, 0x1.5076c8cb3972ep-3, 0x1.491c70af48de1p-3, 0x1.41e191b42a955p-3, 0x1.3ac5f59e4e261p-3, 0x1.33c96384a3c87p-3, 0x1.2ceb9ff44ea2p-3, 0x1.262c6d136d0ecp-3, 0x1.1f8b8ac30eaffp-3, 0x1.1908b6c045c87p-3, 0x1.12a3acc461f8dp-3, 0x1.0c5c26a450d6ep-3, 0x1.0631dc6f1ffadp-3, 0x1.0024848bb057p-3, 0x1.f467a7ab160a2p-4, 0x1.e8befb71d5c56p-4, 0x1.dd4e689bd650bp-4, 0x1.d21550e5e3b22p-4, 0x1.c71313cc8561ep-4, 0x1.bc470ebda2e2dp-4, 0x1.b1b09d4880622p-4, 0x1.a74f194c4f2e3p-4, 0x1.9d21db251b7c4p-4, 0x1.932839d7564ap-4, 0x1.89618b39d1d6bp-4, 0x1.7fcd241e565ap-4, 0x1.766a5878c70d9p-4, 0x1.6d387b84e18ffp-4, 0x1.6436dfea9ce92p-4, 0x1.5b64d7e12fcp-4, 0x1.52c1b550c3bcap-4, 0x1.4a4cc9f2dc6c8p-4, 0x1.4205677179397p-4, 0x1.39eadf84f86dep-4, 0x1.31fc8410c250ep-4, 0x1.2a39a73ec2aep-4, 0x1.22a19b99b7796p-4, 0x1.1b33b4265d5bap-4, 0x1.13ef447b7d4f5p-4, 0x1.0cd3a0d8e4feap-4, 0x1.05e01e3d4f26bp-4, 0x1.fe2824f687d83p-5, 0x1.f0dda899e9a48p-5, 0x1.e3df76ce4097ap-5, 0x1.d72c4115fa7c8p-5, 0x1.cac2bb2e71b4p-5, 0x1.bea19b301aec5p-5, 0x1.b2c799acec43bp-5, 0x1.a73371cd0eb93p-5, 0x1.9be3e169e52ecp-5, 0x1.90d7a92776p-5, 0x1.860d8c8c4054cp-5, 0x1.7b845217902edp-5, 0x1.713ac3565240bp-5, 0x1.672facf6802f2p-5, 0x1.5d61ded92488cp-5, 0x1.53d02c230a823p-5, 0x1.4a796b4c2133ep-5, 0x1.415c762d9c347p-5, 0x1.38782a0ede932p-5, 0x1.2fcb67b13b1b3p-5, 0x1.2755135a90ea1p-5, 0x1.1f1414ded15c2p-5, 0x1.170757a87b46bp-5, 0x1.0f2dcac00f04cp-5, 0x1.078660d28b2abp-5, 0x1.00101036f7828p-5, 0x1.f193a5e615f6ep-6, 0x1.e3654d7ddf6e5p-6, 0x1.d5931a106b7c7p-6, 0x1.c81b15e7ecf01p-6, 0x1.bafb52c0679d7p-6, 0x1.ae31e9c8f8fdcp-6, 0x1.a1bcfba3b9ec7p-6, 0x1.959ab0643e71p-6, 0x1.89c9378cd993ap-6, 0x1.7e46c80a9b63p-6, 0x1.7311a0302ba74p-6, 0x1.682805af7d078p-6, 0x1.5d8845927b1e9p-6, 0x1.5330b432ac74ep-6, 0x1.491fad2fe1b41p-6, 0x1.3f539365fe0c6p-6, 0x1.35cad0e1df1edp-6, 0x1.2c83d6d57335fp-6, 0x1.237d1d8b0d454p-6, 0x1.1ab52457fd07cp-6, 0x1.122a718e72f82p-6, 0x1.09db926ec6aa3p-6, 0x1.01c71b181cb1fp-6, 0x1.f3d74cf0fcce3p-7, 0x1.e48fac78c86c6p-7, 0x1.d5b4a57b9a7eep-7, 0x1.c74395e5a5539p-7, 0x1.b939e8b7b6856p-7, 0x1.ab9515e2bfddep-7, 0x1.9e52a222ba259p-7, 0x1.91701ed8cb5cfp-7, 0x1.84eb29e4e4721p-7, 0x1.78c16d7ec2bdbp-7, 0x1.6cf0a00e7cb13p-7, 0x1.617684049decdp-7, 0x1.5650e7b1d4277p-7, 0x1.4b7da51e517fp-7, 0x1.40faa1e0d7cf5p-7, 0x1.36c5cef58db5ap-7, 0x1.2cdd289491026p-7, 0x1.233eb608671c6p-7, 0x1.19e8898448841p-7, 0x1.10d8bffa53fe2p-7, 0x1.080d80f1b387p-7, 0x1.ff09fcb97629dp-8, 0x1.ee7ae8de125ddp-8, 0x1.de6a52e76422bp-8, 0x1.ced4db46fa3d3p-8, 0x1.bfb735f673a0cp-8, 0x1.b10e2a246cep-8, 0x1.a2d691e1b7ec8p-8, 0x1.950d59ceeec12p-8, 0x1.87af80ca69f8ep-8, 0x1.7aba179ea88cdp-8, 0x1.6e2a40b132932p-8, 0x1.61fd2fb200014p-8, 0x1.5630294b6ddb4p-8, 0x1.4ac082d2cb622p-8, 0x1.3faba1f986029p-8, 0x1.34eefc7efb0dep-8, 0x1.2a8817e2fbe74p-8, 0x1.207489190264fp-8, 0x1.16b1f43c25b95p-8, 0x1.0d3e0c43cda23p-8, 0x1.041692b92e49cp-8, 0x1.f672aedb21023p-9, 0x1.e5487062d36a9p-9, 0x1.d4aa41189670ep-9, 0x1.c49412eb4f7d3p-9, 0x1.b501f21cf2f19p-9, 0x1.a5f004b786e95p-9, 0x1.975a8a03f4b75p-9, 0x1.893dda029de0cp-9, 0x1.7b9664e5c6977p-9, 0x1.6e60b28dcf83bp-9, 0x1.61996207486e3p-9, 0x1.553d290ada1aep-9, 0x1.4948d37f1176p-9, 0x1.3db942fc01619p-9, 0x1.328b6e50cc969p-9, 0x1.27bc610b06b6ap-9, 0x1.1d493afffd71dp-9, 0x1.132f2fd7e0bdfp-9, 0x1.096b869aca208p-9, 0x1.fff7327f48549p-10, 0x1.edb9a879ed4cep-10, 0x1.dc196c370f736p-10, 0x1.cb119e15c488fp-10, 0x1.ba9d80ef5f09bp-10, 0x1.aab87947df94fp-10, 0x1.9b5e0c820191fp-10, 0x1.8c89e01700579p-10, 0x1.7e37b8d1ec4e6p-10, 0x1.70637a0ea6929p-10, 0x1.630924fc64adfp-10, 0x1.5624d7e3cb0e9p-10, 0x1.49b2cd708333dp-10, 0x1.3daf5bfe55734p-10, 0x1.3216f4e9ad907p-10, 0x1.26e623e3968afp-10, 0x1.1c198e49129b4p-10, 0x1.11adf27dcd206p-10, 0x1.07a0274a1d7a6p-10, 0x1.fbda3678a7afdp-11, 0x1.e923a81a85cdbp-11, 0x1.d716dc0ff0373p-11, 0x1.c5ae36e945581p-11, 0x1.b4e4480d2fcep-11, 0x1.a4b3c89ad87adp-11, 0x1.95179a522d414p-11, 0x1.860ac682277d1p-11, 0x1.77887cfcfdb68p-11, 0x1.698c131228411p-11, 0x1.5c11028e25a0ep-11, 0x1.4f12e8bfe9528p-11, 0x1.428d8583dc694p-11, 0x1.367cba545c347p-11, 0x1.2adc895fa1befp-11, 0x1.1fa914a2f99fep-11, 0x1.14de9d0b37d5fp-11, 0x1.0a79819a524afp-11, 0x1.00763e920a59ap-11, 0x1.eda2d9472223ep-12, 0x1.db0f80481e879p-12, 0x1.c92c108bf84b8p-12, 0x1.b7f25cae5ca69p-12, 0x1.a75c6a071bd4ap-12, 0x1.97646f38ad55fp-12, 0x1.8804d2c7a402fp-12, 0x1.793829baeac56p-12, 0x1.6af936449dd4ep-12, 0x1.5d42e67358619p-12, 0x1.501052ebcc56ep-12, 0x1.435cbdaa7def9p-12, 0x1.372390cd74b78p-12, 0x1.2b605d65c18d8p-12, 0x1.200eda50ac2a3p-12, 0x1.152ae31861e22p-12, 0x1.0ab076dc019ep-12, 0x1.009bb73edcf1fp-12, 0x1.edd1cebd84647p-13, 0x1.db28d5a2711bfp-13, 0x1.c935894ef2143p-13, 0x1.b7f12cf21396ap-13, 0x1.a7553ee9aacep-13, 0x1.975b76f12d31fp-13, 0x1.87fdc45cfab2ap-13, 0x1.79364c61c177p-13, 0x1.6aff6867c6f0fp-13, 0x1.5d53a469ca9dfp-13, 0x1.502dbd5f42805p-13, 0x1.43889fb1b15eap-13, 0x1.375f65bcceb8ep-13, 0x1.2bad565950b85p-13, 0x1.206de37208d4fp-13, 0x1.159ca8a31fdabp-13, 0x1.0b3569e331596p-13, 0x1.013412360bf5p-13, 0x1.ef2964d1c4ae5p-14, 0x1.dca6ffaf4b346p-14, 0x1.cad9a676b8497p-14, 0x1.b9ba4f027fa1cp-14, 0x1.a9423154bfa3p-14, 0x1.996ac5673ab3fp-14, 0x1.8a2dc10b9b0f2p-14, 0x1.7b8515db88c32p-14, 0x1.6d6aef3841b6p-14, 0x1.5fd9b0594510bp-14, 0x1.52cbf269b4ef3p-14, 0x1.463c82b40ff1p-14, 0x1.3a2660dbe2d34p-14, 0x1.2e84bd2519fd6p-14, 0x1.2352f6c896f2fp-14, 0x1.188c9a55b4a33p-14, 0x1.0e2d6020616a2p-14, 0x1.04312abb7e9a5p-14, 0x1.f5280afe5f9c1p-15, 0x1.e2a4463598ba8p-15, 0x1.d0cfb864425bbp-15, 0x1.bfa35c0b70952p-15, 0x1.af18724bb361bp-15, 0x1.9f28805ff4c9ap-15, 0x1.8fcd4d2ca9996p-15, 0x1.8100dee2bcf91p-15, 0x1.72bd78b5b8caap-15, 0x1.64fd98a49a553p-15, 0x1.57bbf554d3b1fp-15, 0x1.4af37bfef7ec1p-15, 0x1.3e9f4e6c935bap-15, 0x1.32bac106b78a3p-15, 0x1.274158f4bdf87p-15, 0x1.1c2eca4ad0a2fp-15, 0x1.117ef647c32e1p-15, 0x1.072de9a1cd651p-15, 0x1.fa6fb5c3747c9p-16, 0x1.e73251983e99ap-16, 0x1.d49cb1b06b2dp-16, 0x1.c2a82b67e0b99p-16, 0x1.b14e5ba9d42a5p-16, 0x1.a089242b93113p-16, 0x1.9052a8bf87e52p-16, 0x1.80a54cbfb15ep-16, 0x1.717bb08eea15bp-16, 0x1.62d0af3045cc6p-16, 0x1.549f5bf3e2e7ap-16, 0x1.46e3003884ad5p-16, 0x1.3997194151ef3p-16, 0x1.2cb7561f280a7p-16, 0x1.203f95acd7739p-16, 0x1.142be49dc2574p-16, 0x1.08787b9e46b66p-16, 0x1.fa437b0abda95p-17, 0x1.e4486b2e050a3p-17, 0x1.cef92bad587ep-17, 0x1.ba4f6ad3190e3p-17, 0x1.a6451e0fd3f11p-17, 0x1.92d47efa6e118p-17, 0x1.7ff8086ca7cap-17, 0x1.6daa73bb4a716p-17, 0x1.5be6b608dc9d2p-17, 0x1.4aa7fdb22aae4p-17, 0x1.39e9afd3c594cp-17, 0x1.29a765e7935c8p-17, 0x1.19dceb79bda9ep-17, 0x1.0a863bf42d08p-17, 0x1.f73f00ffa59ccp-18, 0x1.da4a1bf61329dp-18, 0x1.be26c608aaf0cp-18, 0x1.a2ce4c31a9e43p-18, 0x1.883a478b70678p-18, 0x1.6e6499d832044p-18, 0x1.55476a2d23e01p-18, 0x1.3cdd21bff33c9p-18, 0x1.252068d554355p-18, 0x1.0e0c23cf83076p-18, 0x1.ef36e0b7347fp-19, 0x1.c393457955186p-19, 0x1.992486670baf2p-19, 0x1.6fe217047763ep-19, 0x1.47c3c914923c6p-19, 0x1.20c1c8090f3dfp-19, 0x1.f5a92947befa5p-20, 0x1.abea01911542p-20, 0x1.643856f75ac53p-20, 0x1.1e86fa1daf91fp-20, 0x1.b5928ddd0566cp-21, 0x1.31e63b36b33ecp-21, 0x1.63e36fafd2282p-22, 0x1.acf56d9db1612p-24, -0x1.0ca15c54a3e5ap-23, -0x1.70efe7b959097p-22, -0x1.2a63fa97c8b68p-21, -0x1.98ff7c73cd084p-21, -0x1.022e69faf2551p-20, -0x1.3646d750cb245p-20, -0x1.68d18b157fc57p-20, -0x1.99d6bc9c9faebp-20, -0x1.c95e59ded90bfp-20, -0x1.f7700b71f7394p-20, -0x1.12099c27b9f6ep-19, -0x1.27a784b5c4448p-19, -0x1.3c95368f52728p-19, -0x1.50d60d319db6fp-19, -0x1.646d49f4c7b17p-19, -0x1.775e1581aef95p-19, -0x1.89ab81347f78ep-19, -0x1.9b58886cc8594p-19, -0x1.ac6811cbe952ap-19, -0x1.bcdcf06291013p-19, -0x1.ccb9e4ce02fa5p-19, -0x1.dc019e45e2232p-19, -0x1.eab6bb9b1ef74p-19, -0x1.f8dbcc28ba24p-19, -0x1.0339a85b7c6c4p-18, -0x1.09bfde28d00c7p-18, -0x1.1001ba88e9ef7p-18, -0x1.16006a6e11e84p-18, -0x1.1bbd1509a714bp-18, -0x1.2138dc20239d9p-18, -0x1.2674dc57fb40ap-18, -0x1.2b722d83993cbp-18, -0x1.3031e2e6b464cp-18, -0x1.34b50b773425cp-18, -0x1.38fcb219dc1b5p-18, -0x1.3d09dddaf41a7p-18, -0x1.40dd92231e8e8p-18, -0x1.4478cee88e723p-18, -0x1.47dc90dcc992p-18, -0x1.4b09d19726f05p-18, -0x1.4e0187bc3238cp-18, -0x1.50c4a7221e0ebp-18, -0x1.535420f26dd9dp-18, -0x1.55b0e3c8fbac8p-18, -0x1.57dbdbd07edeep-18, -0x1.59d5f2dcb8d62p-18, -0x1.5ba01082655f6p-18, -0x1.5d3b1a2d12a4cp-18, -0x1.5ea7f332fc1ecp-18, -0x1.5fe77ce7095d8p-18, -0x1.60fa96a90a9a8p-18, -0x1.61e21df44d4e8p-18, -0x1.629eee6ca5528p-18, -0x1.6331e1ea01533p-18, -0x1.639bd082a281bp-18, -0x1.63dd90940dfd5p-18, -0x1.63f7f6caccb7ap-18, -0x1.63ebd629112a9p-18, -0x1.63ba000c51de3p-18, -0x1.63634431f0609p-18, -0x1.62e870baf9147p-18, -0x1.624a522f13792p-18, -0x1.6189b37eab918p-18, -0x1.60a75e0468972p-18, -0x1.5fa4198600d3cp-18, -0x1.5e80ac3471d5ap-18, -0x1.5d3ddaabb0e25p-18, -0x1.5bdc67f1de523p-18, -0x1.5a5d157604794p-18, -0x1.58c0a30e7243p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.337bba75544f3p-6, 0x1.5c05814d06e56p-6, 0x1.87a339ad2c498p-6, 0x1.b65c2a3d858cp-6, 0x1.e834608d508a4p-6, 0x1.0e9664764aa5cp-5, 0x1.2aa1a59649655p-5, 0x1.483975a1b5ee5p-5, 0x1.6759f6781e8cfp-5, 0x1.87fdfccd744fp-5, 0x1.aa1f23e31a254p-5, 0x1.cdb5e1c179a07p-5, 0x1.f2b99bb42d1a8p-5, 0x1.0c905d6a09713p-4, 0x1.20706039615ep-4, 0x1.34f72d20ef4e3p-4, 0x1.4a1ebb0b6df7bp-4, 0x1.5fe0aa989ee9bp-4, 0x1.76364f76f0095p-4, 0x1.8d18b96b0670dp-4, 0x1.a480bcfe64ef1p-4, 0x1.bc66fbcff4cc8p-4, 0x1.d4c3ec82ad219p-4, 0x1.ed8fe247e400cp-4, 0x1.03618a01eac6cp-3, 0x1.102ad1860a3ccp-3, 0x1.1d1fd0c031fd7p-3, 0x1.2a3c8c1f986d5p-3, 0x1.377d063bcdbbp-3, 0x1.44dd426dc6e4ap-3, 0x1.5259473a6576dp-3, 0x1.5fed209016ce6p-3, 0x1.6d94e1d964158p-3, 0x1.7b4ca7e6452fbp-3, 0x1.89109aae3e6c1p-3, 0x1.96dceeed312eap-3, 0x1.a4ade79cfac25p-3, 0x1.b27fd74dc51dcp-3, 0x1.c04f215f16bb2p-3, 0x1.ce183b1b73b3ep-3, 0x1.dbd7acb8768d6p-3, 0x1.e98a123d1966p-3, 0x1.f72c1c4fe58d1p-3, 0x1.025d48774b8e2p-2, 0x1.091926085999ap-2, 0x1.0fc8201b4203bp-2, 0x1.1668bb72d6e1bp-2, 0x1.1cf9888a56fe1p-2, 0x1.237923c3250c4p-2, 0x1.29e6358b02a17p-2, 0x1.303f727b4623p-2, 0x1.36839b71784c1p-2, 0x1.3cb17da1c3b88p-2, 0x1.42c7f2a3909efp-2, 0x1.48c5e078a590bp-2, 0x1.4eaa398f1dbb5p-2, 0x1.5473fcbe7b0afp-2, 0x1.5a22354019394p-2, 0x1.5fb3faa341ff3p-2, 0x1.652870bd1e3acp-2, 0x1.6a7ec794b69b3p-2, 0x1.6fb63b4b3d01ap-2, 0x1.74ce1400d128dp-2, 0x1.79c5a5b5e82a5p-2, 0x1.7e9c50298dd98p-2, 0x1.83517eb4a86c5p-2, 0x1.87e4a82264b32p-2, 0x1.8c554e85fc944p-2, 0x1.90a2ff0dfa889p-2, 0x1.94cd51d526148p-2, 0x1.98d3e9b13c6cbp-2, 0x1.9cb673ffa1b23p-2, 0x1.a074a8702ae05p-2, 0x1.a40e48ce2c686p-2, 0x1.a78320c7ee062p-2, 0x1.aad305b4ac437p-2, 0x1.adfdd65947c63p-2, 0x1.b1037aabcc30bp-2, 0x1.b3e3e395ec0bcp-2, 0x1.b69f0ab6971d4p-2, 0x1.b934f222cbb59p-2, 0x1.bba5a425c6955p-2, 0x1.bdf13300ad8ffp-2, 0x1.c017b8a9d7395p-2, 0x1.c219568bcc35ap-2, 0x1.c3f635442082bp-2, 0x1.c5ae846242a4ap-2, 0x1.c7427a2654ef6p-2, 0x1.c8b25340348ddp-2, 0x1.c9fe528ec0bf2p-2, 0x1.cb26c0df7c3d2p-2, 0x1.cc2becae9c254p-2, 0x1.cd0e29e79ec7fp-2, 0x1.cdcdd1a67c66dp-2, 0x1.ce6b41f980d4fp-2, 0x1.cee6dda3e4682p-2, 0x1.cf410be1324d8p-2, 0x1.cf7a38298cf84p-2, 0x1.cf92d1f6dac78p-2, 0x1.cf8b4c8aecec7p-2, 0x1.cf641eb6a5d6cp-2, 0x1.cf1dc2a232118p-2, 0x1.ceb8b596515cep-2, 0x1.ce3577c6c5222p-2, 0x1.cd948c1de19cap-2, 0x1.ccd678094b668p-2, 0x1.cbfbc347e9c32p-2, 0x1.cb04f7b90b756p-2, 0x1.c9f2a12cc98f6p-2, 0x1.c8c54d35a448cp-2, 0x1.c77d8afb5e3f3p-2, 0x1.c61beb0f1c4a8p-2, 0x1.c4a0ff40bee6p-2, 0x1.c30d5a75825f3p-2, 0x1.c161907fdc8f6p-2, 0x1.bf9e35f8988f5p-2, 0x1.bdc3e0193227fp-2, 0x1.bbd3249768a4fp-2, 0x1.b9cc99820ec03p-2, 0x1.b7b0d51f09947p-2, 0x1.b5806dca88b3ap-2, 0x1.b33bf9d765c99p-2, 0x1.b0e40f70b3457p-2, 0x1.ae79447c6f0bp-2, 0x1.abfc2e7f55a68p-2, 0x1.a96d6281d3609p-2, 0x1.a6cd74f60e5abp-2, 0x1.a41cf99eff977p-2, 0x1.a15c83789e729p-2, 0x1.9e8ca4a10e43ap-2, 0x1.9badee42d6862p-2, 0x1.98c0f0800ffa4p-2, 0x1.95c63a5e90dbap-2, 0x1.92be59b504d4bp-2, 0x1.8fa9db18f8987p-2, 0x1.8c8949cdc4e88p-2, 0x1.895d2fb462b34p-2, 0x1.8626153c139f4p-2, 0x1.82e48153e6ee6p-2, 0x1.7f98f95d0d15ep-2, 0x1.7c44011df4c5p-2, 0x1.78e61ab63007ep-2, 0x1.757fc6931a7d6p-2, 0x1.7211836539263p-2, 0x1.6e9bce1650b86p-2, 0x1.6b1f21c02d31p-2, 0x1.679bf7a4155c5p-2, 0x1.6412c722e49d1p-2, 0x1.608405b5c6fd4p-2, 0x1.5cf026e792b26p-2, 0x1.59579c4eb95d2p-2, 0x1.55bad587cc9ecp-2, 0x1.521a403093d11p-2, 0x1.4e7647e3aa155p-2, 0x1.4acf5634a4ba2p-2, 0x1.4725d2acb84b2p-2, 0x1.437a22c7e0b0bp-2, 0x1.3fcca9f27f2d7p-2, 0x1.3c1dc9876d58ep-2, 0x1.386de0ce85f86p-2, 0x1.34bd4cfb9683fp-2, 0x1.310c692dc0619p-2, 0x1.2d5b8e6f3a714p-2, 0x1.29ab13b57c26dp-2, 0x1.25fb4de1c099fp-2, 0x1.224c8fc1eba96p-2, 0x1.1e9f2a11c38f7p-2, 0x1.1af36b7c834e4p-2, 0x1.1749a09eb8c0cp-2, 0x1.13a214087aa22p-2, 0x1.0ffd0e3fe08dbp-2, 0x1.0c5ad5c3ca28ap-2, 0x1.08bbaf0eeae88p-2, 0x1.051fdc9b16f03p-2, 0x1.01879ee4ced1dp-2, 0x1.fbe668de1e16bp-3, 0x1.f4c5b38ea34dp-3, 0x1.edad931399f51p-3, 0x1.e69e78cbcca75p-3, 0x1.df98d245b2c3p-3, 0x1.d89d094913bbdp-3, 0x1.d1ab83e1193c7p-3, 0x1.cac4a466a5e54p-3, 0x1.c3e8c98b0a29p-3, 0x1.bd184e6303edfp-3, 0x1.b6538a72056e8p-3, 0x1.af9ad1b5c7bfbp-3, 0x1.a8ee74b213e01p-3, 0x1.a24ec07cd5aa9p-3, 0x1.9bbbfeca5d673p-3, 0x1.953675f9da88dp-3, 0x1.8ebe692206ccp-3, 0x1.8854181e03786p-3, 0x1.81f7bf9a556c2p-3, 0x1.7ba9992212695p-3, 0x1.7569db2c2e0d2p-3, 0x1.6f38b928e12b8p-3, 0x1.6916638f3296bp-3, 0x1.630307ea98889p-3, 0x1.5cfed0e8aac1cp-3, 0x1.5709e666efedap-3, 0x1.51246d80b12eep-3, 0x1.4b4e889cdf42fp-3, 0x1.4588577c03157p-3, 0x1.3fd1f74632b94p-3, 0x1.3a2b82990905p-3, 0x1.34951195a51a6p-3, 0x1.2f0eb9eea3c54p-3, 0x1.29988ef61a9cbp-3, 0x1.2432a1ab85f3p-3, 0x1.1edd00c9b8877p-3, 0x1.1997b8d4bd256p-3, 0x1.1462d427a94fap-3, 0x1.0f3e5b02671f5p-3, 0x1.0a2a53976ae84p-3, 0x1.0526c21959e8fp-3, 0x1.0033a8c89a1bfp-3, 0x1.f6a21001a2a6p-4, 0x1.ecfdbc8c8cd33p-4, 0x1.e37a50a65c79cp-4, 0x1.da17c249b8fb1p-4, 0x1.d0d60411b0b81p-4, 0x1.c7b50553abe04p-4, 0x1.beb4b23918e2bp-4, 0x1.b5d4f3d8dd0ebp-4, 0x1.ad15b05085df2p-4, 0x1.a476cadd2cde7p-4, 0x1.9bf823f4217c9p-4, 0x1.9399995b30ba8p-4, 0x1.8b5b0640c1bcap-4, 0x1.833c435387eddp-4, 0x1.7b3d26d9f627ap-4, 0x1.735d84c95a6bep-4, 0x1.6b9d2edca992dp-4, 0x1.63fbf4aaf5798p-4, 0x1.5c79a3bd8d56ep-4, 0x1.551607a5c8eb7p-4, 0x1.4dd0ea127a255p-4, 0x1.46aa12e50782fp-4, 0x1.3fa148462acd7p-4, 0x1.38b64eba56cf4p-4, 0x1.31e8e935bffa7p-4, 0x1.2b38d9300a489p-4, 0x1.24a5deb799dd8p-4, 0x1.1e2fb884863fcp-4, 0x1.17d6240b2fa06p-4, 0x1.1198dd8e77f3p-4, 0x1.0b77a0319b18p-4, 0x1.05722609ab8b1p-4, 0x1.ff10505d5c47bp-5, 0x1.f372bd98b2f36p-5, 0x1.e80b0264ea755p-5, 0x1.dcd88bc9b8e3fp-5, 0x1.d1dac556419e2p-5, 0x1.c711193fa15f6p-5, 0x1.bc7af07ebf7fep-5, 0x1.b217b2ed6351ap-5, 0x1.a7e6c76291205p-5, 0x1.9de793ce3095dp-5, 0x1.94197d53f795cp-5, 0x1.8a7be865a2034p-5, 0x1.810e38dc74adp-5, 0x1.77cfd2120b60cp-5, 0x1.6ec016f875501p-5, 0x1.65de6a31a12f7p-5, 0x1.5d2a2e261b2b8p-5, 0x1.54a2c51b1b4c2p-5, 0x1.4c479147ec5dep-5, 0x1.4417f4eaa4b13p-5, 0x1.3c13525c3c4c9p-5, 0x1.34390c23f81fdp-5, 0x1.2c88850a36e2dp-5, 0x1.2501202a97884p-5, 0x1.1da24105853abp-5, 0x1.166b4b9120ccbp-5, 0x1.0f5ba44995adep-5, 0x1.0872b040cec9fp-5, 0x1.01afd52d9bda1p-5, 0x1.f624f2f47d6dfp-6, 0x1.e93408a4d01f5p-6, 0x1.dc8bbb614925bp-6, 0x1.d02adcd67fa38p-6, 0x1.c41040812e778p-6, 0x1.b83abbc5d7f32p-6, 0x1.aca9260755041p-6, 0x1.a15a58bc63856p-6, 0x1.964d2f8430e78p-6, 0x1.8b808839ebbd5p-6, 0x1.80f343075e4acp-6, 0x1.76a4427694e5p-6, 0x1.6c926b829c1bfp-6, 0x1.62bca5a7548ebp-6, 0x1.5921daf065933p-6, 0x1.4fc0f807539bbp-6, 0x1.4698ec40ba5bbp-6, 0x1.3da8a9a8ba271p-6, 0x1.34ef250e939dfp-6, 0x1.2c6b560f77fb3p-6, 0x1.241c37209aafdp-6, 0x1.1c00c59880c6cp-6, 0x1.141801b7951a2p-6, 0x1.0c60eeb009ccp-6, 0x1.04da92ad07b6fp-6, 0x1.fb07edb262ee1p-7, 0x1.ecb84ec9022ap-7, 0x1.dec467130648ep-7, 0x1.d12a5b23e5b26p-7, 0x1.c3e855b57da37p-7, 0x1.b6fc87aef2cf1p-7, 0x1.aa65282a6eaa5p-7, 0x1.9e207479ca494p-7, 0x1.922cb02a28337p-7, 0x1.868825068872ep-7, 0x1.7b31231964f0ap-7, 0x1.702600ad51e55p-7, 0x1.65651a4cb77bp-7, 0x1.5aecd2c0a607cp-7, 0x1.50bb930ed023ap-7, 0x1.46cfca76ac6e9p-7, 0x1.3d27ee6dcf35p-7, 0x1.33c27a9b7fc0cp-7, 0x1.2a9df0d38eae5p-7, 0x1.21b8d9107889fp-7, 0x1.1911c16cd9346p-7, 0x1.10a73e1c38c9cp-7, 0x1.0877e96338effp-7, 0x1.0082638f282d2p-7, 0x1.f18aa5da05c17p-8, 0x1.e27ec77fd3371p-8, 0x1.d3de906e20295p-8, 0x1.c5a770c65d70fp-8, 0x1.b7d6e456f585ap-8, 0x1.aa6a7284562b1p-8, 0x1.9d5fae312041fp-8, 0x1.90b435a58b3e3p-8, 0x1.8465b2760275dp-8, 0x1.7871d9690ae94p-8, 0x1.6cd66a5c7de94p-8, 0x1.6191302a1daa9p-8, 0x1.56a0008b91da6p-8, 0x1.4c00bbfdd57e1p-8, 0x1.41b14da41ff72p-8, 0x1.37afab2a507dep-8, 0x1.2df9d4a6e7e4dp-8, 0x1.248dd47c97f5ep-8, 0x1.1b69bf3b71fc6p-8, 0x1.128bb381bb841p-8, 0x1.09f1d9dc71c03p-8, 0x1.019a64a786db7p-8, 0x1.f3071fdbb414fp-9, 0x1.e3574291eea47p-9, 0x1.d421cf814e59ep-9, 0x1.c56377549949ap-9, 0x1.b718fd1048f06p-9, 0x1.a93f35d0c33dfp-9, 0x1.9bd3088864e61p-9, 0x1.8ed16dbd69ea5p-9, 0x1.82376f47b9fe8p-9, 0x1.7602280ea9aabp-9, 0x1.6a2ec3c6b65bep-9, 0x1.5eba7eaf4ed7ap-9, 0x1.53a2a550a8122p-9, 0x1.48e49439b18a8p-9, 0x1.3e7db7be2ececp-9, 0x1.346b8bb4fbc8ep-9, 0x1.2aab9b3689e7p-9, 0x1.213b805b9c50fp-9, 0x1.1818e3fc495b6p-9, 0x1.0f417d6f4b5c1p-9, 0x1.06b31249a5ee6p-9, 0x1.fcd6ec3d4cd6dp-10, 0x1.ecd1148096cccp-10, 0x1.dd507b001f9cp-10, 0x1.ce5117e050aap-10, 0x1.bfcefd4a6764p-10, 0x1.b1c656f0cfb29p-10, 0x1.a4336994719e7p-10, 0x1.9712928b12cdep-10, 0x1.8a604746c1b88p-10, 0x1.7e1914de54b37p-10, 0x1.72399f971a1c3p-10, 0x1.66bea26f9fbc2p-10, 0x1.5ba4eeabb7ad6p-10, 0x1.50e96b61a79cap-10, 0x1.468915089fae1p-10, 0x1.3c80fd086a62p-10, 0x1.32ce494a689ep-10, 0x1.296e33cbd9d97p-10, 0x1.205e0a31718eap-10, 0x1.179b2d5c4652bp-10, 0x1.0f23110013d24p-10, 0x1.06f33b3adc16bp-10, 0x1.fe12885bc51d1p-11, 0x1.eec5ab3025472p-11, 0x1.dffb54e379676p-11, 0x1.d1af1d1380c95p-11, 0x1.c3dcbc4837882p-11, 0x1.b6800b33c561bp-11, 0x1.a99501f53e772p-11, 0x1.9d17b75e3ab57p-11, 0x1.9104603b3f2b3p-11, 0x1.85574e9effd33p-11, 0x1.7a0cf130763a5p-11, 0x1.6f21d27bcc8cp-11, 0x1.649298461ed46p-11, 0x1.5a5c02e40d48p-11, 0x1.507aec9322ba6p-11, 0x1.46ec48d605cc5p-11, 0x1.3dad23d37c41ap-11, 0x1.34baa1b832881p-11, 0x1.2c11fe1b4dbc6p-11, 0x1.23b08b65beba2p-11, 0x1.1b93b23c53f44p-11, 0x1.13b8f0ec86f08p-11, 0x1.0c1ddadbfedd1p-11, 0x1.04c017fac6009p-11, 0x1.fb3ac87052eb7p-12, 0x1.ed671df4850aep-12, 0x1.e000f5303e884p-12, 0x1.d30437ad12a34p-12, 0x1.c66cf2cec04cbp-12, 0x1.ba3756d7095b1p-12, 0x1.ae5fb5ee9def5p-12, 0x1.a2e28333091fap-12, 0x1.97bc51c99bc18p-12, 0x1.8ce9d3f73e5b1p-12, 0x1.8267da3d2306fp-12, 0x1.7833527a44d3ap-12, 0x1.6e494711a8759p-12, 0x1.64a6de154f6f1p-12, 0x1.5b495875d02cp-12, 0x1.522e11367ecc3p-12, 0x1.49527ca6204f1p-12, 0x1.40b4279c0f5bp-12, 0x1.3850b6b9ccc63p-12, 0x1.3025e5b0e234dp-12, 0x1.2831868d11656p-12, 0x1.20718102b8bfcp-12, 0x1.18e3d1c160fep-12, 0x1.118689ca63b91p-12, 0x1.0a57cdcb9a2edp-12, 0x1.0355d57e06be9p-12, 0x1.f8fdd610c9b24p-13, 0x1.eba2d4cb2840dp-13, 0x1.de97819d96b4dp-13, 0x1.d1d8d8530e1cp-13, 0x1.c563f4f23e23fp-13, 0x1.b93612a7eeb2ep-13, 0x1.ad4c8ab8778c6p-13, 0x1.a1a4d3782494bp-13, 0x1.963c7f4a7be25p-13, 0x1.8b113ba82dc6fp-13, 0x1.8020d02ba318bp-13, 0x1.75691da405b5dp-13, 0x1.6ae81d2e971edp-13, 0x1.609bdf5652743p-13, 0x1.56828b399f4bdp-13, 0x1.4c9a5db607dap-13, 0x1.42e1a899d2033p-13, 0x1.3956d1db58337p-13, 0x1.2ff852d60b78ep-13, 0x1.26c4b78cfe726p-13, 0x1.1dba9df2dc418p-13, 0x1.14d8b5372f922p-13, 0x1.0c1dbd18deb34p-13, 0x1.0388853dbfed8p-13, 0x1.f62fd91e4d22ep-14, 0x1.e595c136aba6bp-14, 0x1.d540b9f773db7p-14, 0x1.c52ed57f90086p-14, 0x1.b55e3fb8e5868p-14, 0x1.a5cd3d402fa1bp-14, 0x1.967a2a558df4p-14, 0x1.876379d5a1ab3p-14, 0x1.7887b43afbec6p-14, 0x1.69e576a7b5881p-14, 0x1.5b7b71f6fa7bep-14, 0x1.4d4869d658a03p-14, 0x1.3f4b33e6a58bdp-14, 0x1.3182b6e44a806p-14, 0x1.23ede9d6c9e0cp-14, 0x1.168bd347509dcp-14, 0x1.095b887e27198p-14, 0x1.f8b8598daceb2p-15, 0x1.df19e175ab382p-15, 0x1.c5da23252e967p-15, 0x1.acf7b0f993de6p-15, 0x1.947133f74dc45p-15, 0x1.7c456a9046a32p-15, 0x1.64732775bd246p-15, 0x1.4cf950754c83dp-15, 0x1.35d6dd60d353fp-15, 0x1.1f0ad700ef43ep-15, 0x1.08945611c3521p-15, 0x1.e4e5049380badp-16, 0x1.b94922d458b1p-16, 0x1.8e538cb23a5d7p-16, 0x1.6402e0894fe32p-16, 0x1.3a55d39e0296dp-16, 0x1.114b308691eabp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.1e8faf773ededp-2, -0x1.27fc663e0a511p-2, -0x1.3118965c11c5ep-2, -0x1.39eb4556f879ep-2, -0x1.427b1a5ca4a1p-2, -0x1.4ace5243a8aa6p-2, -0x1.52eab72153f83p-2, -0x1.5ad59af1a4b6fp-2, -0x1.6293d4d9369dp-2, -0x1.6a29c09530e68p-2, -0x1.719b3fb8ba50dp-2, -0x1.78ebbc6285cd2p-2, -0x1.801e2d1f542dcp-2, -0x1.873519b7ed02dp-2, -0x1.8e32a0b1ccd32p-2, -0x1.95187d51ca8d9p-2, -0x1.9be80df72634fp-2, -0x1.a2a25aabe6aeep-2, -0x1.a9481bcd1a9e4p-2, -0x1.afd9c0b2aa68bp-2, -0x1.b6577642c712ep-2, -0x1.bcc12d60e07fdp-2, -0x1.c316a12b6d665p-2, -0x1.c9575cfe967a9p-2, -0x1.cf82c23468ab1p-2, -0x1.d5980d9d29759p-2, -0x1.db965cac3e7dap-2, -0x1.e17cb25788cb7p-2, -0x1.e749fba84a9a5p-2, -0x1.ecfd13fdb28bp-2, -0x1.f294c901f1cddp-2, -0x1.f80fde536bbaap-2, -0x1.fd6d10e40d497p-2, -0x1.01558d08a2a65p-1, -0x1.03e4593ba82d9p-1, -0x1.06624a416e235p-1, -0x1.08cebf6204252p-1, -0x1.0b291b02ffb5ep-1, -0x1.0d70c397292aep-1, -0x1.0fa52473a5c0dp-1, -0x1.11c5ae8c3376ep-1, -0x1.13d1d91802f4p-1, -0x1.15c92220b0827p-1, -0x1.17ab0efcd858p-1, -0x1.19772cb7a8de4p-1, -0x1.1b2d1066d3b4cp-1, -0x1.1ccc5770262d8p-1, -0x1.1e54a7c007e78p-1, -0x1.1fc5aff20b798p-1, -0x1.211f276cb220ep-1, -0x1.2260ce716be08p-1, -0x1.238a6e21dbf1dp-1, -0x1.249bd87b4ad88p-1, -0x1.2594e84930138p-1, -0x1.2675810fa5342p-1, -0x1.273d8eee8ea58p-1, -0x1.27ed067e3314bp-1, -0x1.2883e4a5f55a7p-1, -0x1.29022e6dd449dp-1, -0x1.2967f0cb4b6cp-1, -0x1.29b5406a23d0bp-1, -0x1.29ea3971be644p-1, -0x1.2a06ff474ec28p-1, -0x1.2a0bbc4d836e3p-1, -0x1.29f8a1a1ff0a4p-1, -0x1.29cde6d90ccc4p-1, -0x1.298bc9b7e96e8p-1, -0x1.29328dedfa235p-1, -0x1.28c27ccd3afa9p-1, -0x1.283be5023536cp-1, -0x1.279f1a4bba41ep-1, -0x1.26ec7532a3ea1p-1, -0x1.262452c1d381bp-1, -0x1.2547143ea07e1p-1, -0x1.24551ee1e72bfp-1, -0x1.234edb91e25cep-1, -0x1.2234b69cf6c0cp-1, -0x1.21071f759157fp-1, -0x1.1fc6886f38a99p-1, -0x1.1e73667cef158p-1, -0x1.1d0e30f0f9d52p-1, -0x1.1b97613e2897ep-1, -0x1.1a0f72baa99bep-1, -0x1.1876e2648353cp-1, -0x1.16ce2ea7b78fap-1, -0x1.1515d72626262p-1, -0x1.134e5c812f564p-1, -0x1.11784025257e7p-1, -0x1.0f9404168e29dp-1, -0x1.0da22ac13a247p-1, -0x1.0ba336c936228p-1, -0x1.0997aadd954a4p-1, -0x1.0780098d1488ep-1, -0x1.055cd51c98034p-1, -0x1.032e8f5f7c7a1p-1, -0x1.00f5b991bd4afp-1, -0x1.fd65a867cc84ep-2, -0x1.f8ccbdd1a27d3p-2, -0x1.f421b0aa46338p-2, -0x1.ef657c010fba7p-2, -0x1.ea99187143d71p-2, -0x1.e5bd7beb4c649p-2, -0x1.e0d399813a106p-2, -0x1.dbdc61367eb89p-2, -0x1.d6d8bfd2c8accp-2, -0x1.d1c99eb7f280cp-2, -0x1.ccafe3baf102fp-2, -0x1.c78c70ffa7262p-2, -0x1.c26024d7923c1p-2, -0x1.bd2bd9a335e0ap-2, -0x1.b7f065b631261p-2, -0x1.b2ae9b3de9a9dp-2, -0x1.ad67482ab936fp-2, -0x1.a81b361b81d1p-2, -0x1.a2cb2a4b9a142p-2, -0x1.9d77e582f8d8ep-2, -0x1.98222408885bfp-2, -0x1.92ca9d9693b7dp-2, -0x1.8d7205512e254p-2, -0x1.881909be8ac59p-2, -0x1.82c054c1277fep-2, -0x1.7d688b93bdbe9p-2, -0x1.78124ec6dce89p-2, -0x1.72be3a4024071p-2, -0x1.6d6ce53b00351p-2, -0x1.681ee24ae0e46p-2, -0x1.62d4bf5ecd4c4p-2, -0x1.5d8f05c6496a7p-2, -0x1.584e3a37796edp-2, -0x1.5312dcd6718bp-2, -0x1.4ddd693da24e7p-2, -0x1.48ae56874f189p-2, -0x1.43861758001bcp-2, -0x1.3e6519e9df3b5p-2, -0x1.394bc818f4c68p-2, -0x1.343a87702c4efp-2, -0x1.2f31b9371e883p-2, -0x1.2a31ba8088dffp-2, -0x1.253ae4396d17dp-2, -0x1.204d8b38c3536p-2, -0x1.1b6a004fbe2a4p-2, -0x1.1690905a873bep-2, -0x1.11c1845171a11p-2, -0x1.0cfd215a97ae1p-2, -0x1.0843a8dbd0398p-2, -0x1.0395588cfd9c3p-2, -0x1.fde4d5153ff53p-3, -0x1.f4b62ad15af93p-3, -0x1.eb9f188b3950ep-3, -0x1.e29ffdbb3b991p-3, -0x1.d9b9333bfb824p-3, -0x1.d0eb0b7141b43p-3, -0x1.c835d26f31598p-3, -0x1.bf99ce218e0f4p-3, -0x1.b7173e7310c8p-3, -0x1.aeae5d74c65bdp-3, -0x1.a65f5f855abf1p-3, -0x1.9e2a737858c8bp-3, -0x1.960fc2bd47abdp-3, -0x1.8e0f7186980f1p-3, -0x1.86299ef0652a1p-3, -0x1.7e5e6526f4cb1p-3, -0x1.76add98cebb6fp-3, -0x1.6f180ce13c8c4p-3, -0x1.679d0b64b8882p-3, -0x1.603cdcff46929p-3, -0x1.58f78564b27f8p-3, -0x1.51cd043916473p-3, -0x1.4abd5534cc7fp-3, -0x1.43c87047ef981p-3, -0x1.3cee49bd625e1p-3, -0x1.362ed25d501fcp-3, -0x1.2f89f78f2e2cdp-3, -0x1.28ffa37b36cp-3, -0x1.228fbd2b58ee5p-3, -0x1.1c3a28ab914b3p-3, -0x1.15fec729c220cp-3, -0x1.0fdd7714e9ceap-3, -0x1.09d6143bc8066p-3, -0x1.03e877eaf0227p-3, -0x1.fc28f2147a528p-4, -0x1.f0b3d8735b473p-4, -0x1.e57147db45c2ep-4, -0x1.da60e1150c9fep-4, -0x1.cf8240ff9baf8p-4, -0x1.c4d500c4d3a2bp-4, -0x1.ba58b60d1b373p-4, -0x1.b00cf331c7162p-4, -0x1.a5f1476e31af3p-4, -0x1.9c053f0fb0cf2p-4, -0x1.924863a440201p-4, -0x1.88ba3c2803c37p-4, -0x1.7f5a4d3187667p-4, -0x1.7628191cd48f8p-4, -0x1.6d23203552f14p-4, -0x1.644ae0de7a82ap-4, -0x1.5b9ed7bb5b0c6p-4, -0x1.531e7fd4f9598p-4, -0x1.4ac952bf86caep-4, -0x1.429ec8be75f12p-4, -0x1.3a9e58e7711a4p-4, -0x1.32c7794432ff1p-4, -0x1.2b199ef34a8b1p-4, -0x1.23943e47c7a02p-4, -0x1.1c36cae7da57cp-4, -0x1.1500b7ea651b3p-4, -0x1.0df177f38705fp-4, -0x1.07087d5024357p-4, -0x1.00453a106d998p-4, -0x1.f34e4042defa4p-5, -0x1.e65b42cb532f7p-5, -0x1.d9b05f996acdep-5, -0x1.cd4c7ad401f28p-5, -0x1.c12e79153f235p-5, -0x1.b5553f9473491p-5, -0x1.a9bfb44e363dfp-5, -0x1.9e6cbe2ad45aep-5, -0x1.935b45230d5c1p-5, -0x1.888a326335273p-5, -0x1.7df8706cbc6dfp-5, -0x1.73a4eb3628ea9p-5, -0x1.698e90498ba37p-5, -0x1.5fb44ee179c8fp-5, -0x1.5615180494d76p-5, -0x1.4cafde9faa156p-5, -0x1.4383979e701dfp-5, -0x1.3a8f3a02f0e2cp-5, -0x1.31d1befba5c87p-5, -0x1.294a21f84ea82p-5, -0x1.20f760bd8d368p-5, -0x1.18d87b774fb8ap-5, -0x1.10ec74ca0f99p-5, -0x1.093251e2f1f08p-5, -0x1.01a91a86cbc4fp-5, -0x1.f49fb24030d4bp-6, -0x1.e64b3597d0b9p-6, -0x1.d852decb9d178p-6, -0x1.cab4d325ae0a4p-6, -0x1.bd6f3d971ed01p-6, -0x1.b0804eca468acp-6, -0x1.a3e63d333c005p-6, -0x1.979f451e9e097p-6, -0x1.8ba9a8bebd86bp-6, -0x1.8003b03735881p-6, -0x1.74aba9a6fb803p-6, -0x1.699fe930f64a2p-6, -0x1.5edec9032fb62p-6, -0x1.5466a95ca63ebp-6, -0x1.4a35f091d130ep-6, -0x1.404b0b0fe122ep-6, -0x1.36a46b5ed06cp-6, -0x1.2d408a223f65ap-6, -0x1.241de619410cfp-6, -0x1.1b3b041d0cc27p-6, -0x1.12966f1eae7cep-6, -0x1.0a2eb823ba5c4p-6, -0x1.0202764215356p-6, -0x1.f4208d35a861dp-7, -0x1.e4ad98a885f51p-7, -0x1.d5a961263a543p-7, -0x1.c71144e5fb6e6p-7, -0x1.b8e2adfc2c1eap-7, -0x1.ab1b1248599c4p-7, -0x1.9db7f361f809dp-7, -0x1.90b6de83c4cd6p-7, -0x1.84156c76123f5p-7, -0x1.77d14177e1f34p-7, -0x1.6be80d26f5021p-7, -0x1.60578a66e4a15p-7, -0x1.551d7f47419ffp-7, -0x1.4a37bce8d5852p-7, -0x1.3fa41f62131cep-7, -0x1.35608da2c778cp-7, -0x1.2b6af95709b5fp-7, -0x1.21c15ec989e5dp-7, -0x1.1861c4c54081cp-7, -0x1.0f4a3c768d321p-7, -0x1.0678e14bd2b12p-7, -0x1.fbd7b1ab2f152p-8, -0x1.eb42a54c765dfp-8, -0x1.db2f10628c88cp-8, -0x1.cb997954c6476p-8, -0x1.bc7e79c80da54p-8, -0x1.addabe5bab761p-8, -0x1.9fab066594a44p-8, -0x1.91ec23ae561a9p-8, -0x1.849afa2ca773cp-8, -0x1.77b47fc0baf4ep-8, -0x1.6b35bbef5733fp-8, -0x1.5f1bc79ccb4f8p-8, -0x1.5363ccc7cb388p-8, -0x1.480b064442b37p-8, -0x1.3d0ebf762b28cp-8, -0x1.326c540c72a1cp-8, -0x1.28212fbbfeeb1p-8, -0x1.1e2acdfad8669p-8, -0x1.1486b9bb88a8ep-8, -0x1.0b328d28b50a8p-8, -0x1.022bf16103d08p-8, -0x1.f2e13c669fb9bp-9, -0x1.e1fcb3b66e93fp-9, -0x1.d1a5f17c1e252p-9, -0x1.c1d8ba507a5cep-9, -0x1.b290ee1617705p-9, -0x1.a3ca8775def4ap-9, -0x1.95819b5caa10ep-9, -0x1.87b25879e3251p-9, -0x1.7a5906bf468c9p-9, -0x1.6d7206e1c78c3p-9, -0x1.60f9d1dba92f4p-9, -0x1.54ecf86fcde3fp-9, -0x1.494822ae521bep-9, -0x1.3e080f7a6d6f3p-9, -0x1.33299411ad664p-9, -0x1.28a99b948cbb2p-9, -0x1.1e8526906b92cp-9, -0x1.14b94a8af4811p-9, -0x1.0b43318ef008p-9, -0x1.022019ba8c329p-9, -0x1.f29aa99e3cfb4p-10, -0x1.e1908f84c5bc8p-10, -0x1.d11cd4a27c2f5p-10, -0x1.c13a8d27fffeep-10, -0x1.b1e4f12868a73p-10, -0x1.a3175bc7eb7edp-10, -0x1.94cd4a6da244ap-10, -0x1.87025bf86ed06p-10, -0x1.79b24ff6f4054p-10, -0x1.6cd905e2b4e8dp-10, -0x1.60727c5e4d7ccp-10, -0x1.547ad076d3fep-10, -0x1.48ee3ce853e6p-10, -0x1.3dc919656bb09p-10, -0x1.3307d9e207c49p-10, -0x1.28a70de13a801p-10, -0x1.1ea35fc62e066p-10, -0x1.14f994282b502p-10, -0x1.0ba68929b9dd3p-10, -0x1.02a735d2c5751p-10, -0x1.f3f152dbbb198p-11, -0x1.e33015d0dae4cp-11, -0x1.d305306bfe487p-11, -0x1.c36b4b6cefa82p-11, -0x1.b45d3b3e97385p-11, -0x1.a5d5fecf430fcp-11, -0x1.97d0be6ec5101p-11, -0x1.8a48cab258778p-11, -0x1.7d399b5e40eafp-11, -0x1.709ece5515762p-11, -0x1.6474268ca86acp-11, -0x1.58b58b087df0ap-11, -0x1.4d5f05d9bfedep-11, -0x1.426cc324a18c7p-11, -0x1.37db102b20cc1p-11, -0x1.2da65a5d165cfp-11, -0x1.23cb2e6d81f9bp-11, -0x1.1a46376d037d7p-11, -0x1.11143de96f24fp-11, -0x1.083227126abdfp-11, -0x1.ff39e7c606362p-12, -0x1.eea380a04e36cp-12, -0x1.de9b84f7efaa3p-12, -0x1.cf1c93dbb2cd5p-12, -0x1.c0217d9e69c6bp-12, -0x1.b1a54259af178p-12, -0x1.a3a31079bb0e3p-12, -0x1.961643522a679p-12, -0x1.88fa61bb92fd2p-12, -0x1.7c4b1cb9c3d2cp-12, -0x1.70044e2a82216p-12, -0x1.6421f77cad4cep-12, -0x1.58a0406f9994fp-12, -0x1.4d7b75da7e6p-12, -0x1.42b0087bdbc1dp-12, -0x1.383a8bd0a8655p-12, -0x1.2e17b4f329af7p-12, -0x1.244459815211fp-12, -0x1.1abd6e8a7d79ep-12, -0x1.118007846f06bp-12, -0x1.0889554766286p-12, -0x1.ffad4a2254877p-13, -0x1.eecabf1dd9c6p-13, -0x1.de660fdbb93e4p-13, -0x1.ce7a75e4888b5p-13, -0x1.bf035c2a366e8p-13, -0x1.affc5d4fc251bp-13, -0x1.a16141fd3fcecp-13, -0x1.932dff3ff4b06p-13, -0x1.855eb4f6495e7p-13, -0x1.77efac4740f34p-13, -0x1.6add56254b092p-13, -0x1.5e2449dc22b23p-13, -0x1.51c143a983a6dp-13, -0x1.45b1236071383p-13, -0x1.39f0eb16dac7dp-13, -0x1.2e7dbddd5ce9fp-13, -0x1.2354de80df40dp-13, -0x1.1873ae55e59f8p-13, -0x1.0dd7ac0d3fcbfp-13, -0x1.037e7291fcd8dp-13, -0x1.f2cb6fe0aeaa6p-14, -0x1.df16988aca5cep-14, -0x1.cbda316ebaa6p-14, -0x1.b9123cec6d7c9p-14, -0x1.a6baeb88dcf81p-14, -0x1.94d09a0f83adbp-14, -0x1.834fcfc350b8cp-14, -0x1.72353c9ebf337p-14, -0x1.617db7a2a33c1p-14, -0x1.51263d3356f5ap-14, -0x1.412bed83e1e9ep-14, -0x1.318c0b0ec39bap-14, -0x1.2243f91c00bbep-14, -0x1.13513a541c5a2p-14, -0x1.04b16f5fa5b26p-14, -0x1.ecc4ab2603edfp-15, -0x1.d0c38b4c3f27dp-15, -0x1.b55b64ef7df5dp-15, -0x1.9a884fb80027ep-15, -0x1.804692ebc90b7p-15, -0x1.6692a336f0955p-15, -0x1.4d692088a9d25p-15, -0x1.34c6d4046694ap-15, -0x1.1ca8ae06889bcp-15, -0x1.050bc43c0bc7dp-15, -0x1.dbda9f994758cp-16, -0x1.ae95572d73c18p-16, -0x1.8242a4f99e9e3p-16, -0x1.56ddbb876c537p-16, -0x1.2c6207024fb96p-16, -0x1.02cb2a346e2b3p-16, -0x1.b429f74487c1ep-17, -0x1.647705883e39dp-17, -0x1.1675eab8f7c2cp-17, -0x1.943ed3a9a660dp-18, -0x1.fdb261b84d215p-19, -0x1.b2b6cfd5934c9p-20, 0x1.12824a92be0c2p-21, 0x1.5c59c61e291cp-19, 0x1.36f3b35a6ec3cp-18, 0x1.bcafda30b063ap-18, 0x1.1fb6027a5ae5p-17, 0x1.5f993aceca466p-17, 0x1.9e0684c87663dp-17, 0x1.db02a0164ffeep-17, 0x1.0b491040af771p-16, 0x1.285cb872928bcp-16, 0x1.44be6b01d9dbep-16, 0x1.6070389b5fca2p-16, 0x1.7b74217f7387dp-16, 0x1.95cc16b9316d5p-16, 0x1.af79fb46222f8p-16, 0x1.c87fa52eb61adp-16, 0x1.e0dede9025f55p-16, 0x1.f89966984499cp-16, 0x1.07d87939e17fep-15, 0x1.13139717b99aap-15, 0x1.1dfedec67a76p-15, 0x1.289b1e65af4efp-15, 0x1.32e920b2218d4p-15, 0x1.3ce9ad5eca9b1p-15, 0x1.469d89686b32p-15, 0x1.50057763fe2b8p-15, 0x1.592237c83ab4p-15, 0x1.61f489325b91p-15, 0x1.6a7d28a659f37p-15, 0x1.72bcd1cad0711p-15, 0x1.7ab43f20b0a8p-15, 0x1.82642a36f8f22p-15, 0x1.89cd4bda9d517p-15, 0x1.90f05c42c1202p-15, 0x1.97ce13397790cp-15, 0x1.9e6728412b69bp-15, 0x1.a4bc52b6d5fbp-15, 0x1.aace49f12c384p-15, 0x1.b09dc55ce42fp-15, 0x1.b62b7c9638542p-15, 0x1.bb78277fc7462p-15, 0x1.c0847e56f2f86p-15, 0x1.c55139c5dd2e1p-15, 0x1.c9df12f322c6bp-15, 0x1.ce2ec38f6f14ap-15, 0x1.d24105e106f1fp-15, 0x1.d61694cd66f5bp-15, 0x1.d9b02be10a67bp-15, 0x1.dd0e87557d2c2p-15, 0x1.e0326415c882bp-15, 0x1.e31c7fc157c7p-15, 0x1.e5cd98ad6b2d1p-15, 0x1.e8466de52b362p-15, 0x1.ea87bf2877864p-15, 0x1.ec924ce97f297p-15, 0x1.ee66d8493c936p-15, 0x1.f0062312e30c3p-15, 0x1.f170efb650fe6p-15, 0x1.f2a8014199e19p-15, 0x1.f3ac1b59b79dp-15, 0x1.f47e02327283dp-15, 0x1.f51e7a859134ep-15, 0x1.f58e49895cfc8p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.94a414821649cp-1, 0x1.9289f5a07054cp-1, 0x1.905decc797352p-1, 0x1.8e22e59ed9ae5p-1, 0x1.8bdbaa5d664f8p-1, 0x1.898adc99e3dbcp-1, 0x1.8732efff48156p-1, 0x1.84d626a648636p-1, 0x1.82768ed6e9377p-1, 0x1.801601fa83da5p-1, 0x1.7db6248bbed3p-1, 0x1.7b5866d728d74p-1, 0x1.78fe06643b95bp-1, 0x1.76a80fe370731p-1, 0x1.745761829755p-1, 0x1.720cad8ce050cp-1, 0x1.6fc87d3fda553p-1, 0x1.6d8b33c2265bp-1, 0x1.6b55112bb9d3bp-1, 0x1.6926359246908p-1, 0x1.66fea40ed73b8p-1, 0x1.64de45b3bdf0ep-1, 0x1.62c4ec6bd9288p-1, 0x1.60b255bdbd6bdp-1, 0x1.5ea62d6eae6dp-1, 0x1.5ca010027e77ep-1, 0x1.5a9f8d165b8fdp-1, 0x1.58a42995615c2p-1, 0x1.56ad61c6787b2p-1, 0x1.54baab338e3a6p-1, 0x1.52cb766aa8344p-1, 0x1.50df3099ad172p-1, 0x1.4ef5450603506p-1, 0x1.4d0d1e615e6acp-1, 0x1.4b2627fd34b1fp-1, 0x1.493fcede78fc6p-1, 0x1.475982b343dfep-1, 0x1.4572b6ac1f497p-1, 0x1.438ae23aaabbp-1, 0x1.41a181b751c0bp-1, 0x1.3fb616efbe1f9p-1, 0x1.3dc8299fab133p-1, 0x1.3bd747d5b31p-1, 0x1.39e306459e95p-1, 0x1.37eb0089aef2bp-1, 0x1.35eed95449ecep-1, 0x1.33ee3a9361a99p-1, 0x1.31e8d586d791p-1, 0x1.2fde62cb11801p-1, 0x1.2dcea258e045dp-1, 0x1.2bb95b7bc771dp-1, 0x1.299e5cbfa4dffp-1, 0x1.277d7bd6a6617p-1, 0x1.255695786d986p-1, 0x1.23298d3b2c8c5p-1, 0x1.20f64d6780e2cp-1, 0x1.1ebcc6c7bd36p-1, 0x1.1c7cf0734658cp-1, 0x1.1a36c7969d5c3p-1, 0x1.17ea4f38a3bdcp-1, 0x1.15978ffd9beb1p-1, 0x1.133e97e85ae13p-1, 0x1.10df7a1a1a645p-1, 0x1.0e7a4e914fde2p-1, 0x1.0c0f31e7dfd97p-1, 0x1.099e451104159p-1, 0x1.0727ad172d6c3p-1, 0x1.04ab92da2625cp-1, 0x1.022a22cdb1358p-1, 0x1.ff471971baacfp-2, 0x1.fa3006ec7a27bp-2, 0x1.f50f796a5efe7p-2, 0x1.efe5e178be5d6p-2, 0x1.eab3b45b32c22p-2, 0x1.e5796b96365efp-2, 0x1.e037847cdbbd7p-2, 0x1.daee7fc1ced85p-2, 0x1.d59ee10bc32dap-2, 0x1.d0492e8d6d93p-2, 0x1.caedf0a1211a9p-2, 0x1.c58db16820a0ep-2, 0x1.c028fc6db315ap-2, 0x1.bac05e4e0742p-2, 0x1.b5546460e5b8cp-2, 0x1.afe59c6836a9bp-2, 0x1.aa74944257a1cp-2, 0x1.a501d9a03f05ap-2, 0x1.9f8df9bf5d715p-2, 0x1.9a1981273e4e3p-2, 0x1.94a4fb6ad0512p-2, 0x1.8f30f2ed49ffcp-2, 0x1.89bdf0aaa0906p-2, 0x1.844c7c03725b1p-2, 0x1.7edd1a8c5cf2p-2, 0x1.79704fe0a32a8p-2, 0x1.74069d781342ep-2, 0x1.6ea082800dea9p-2, 0x1.693e7bb7a08a2p-2, 0x1.63e1034e95c49p-2, 0x1.5e8890c764016p-2, 0x1.593598dbe2afep-2, 0x1.53e88d64ad329p-2, 0x1.4ea1dd4319efbp-2, 0x1.4961f44daea91p-2, 0x1.44293b3ef2e0ap-2, 0x1.3ef817a692a81p-2, 0x1.39ceebdcab975p-2, 0x1.34ae16f73648bp-2, 0x1.2f95f4c16e71ap-2, 0x1.2a86ddb5240bap-2, 0x1.258126f5dc7bbp-2, 0x1.2085224dadbaap-2, 0x1.1b931e2bbc2eep-2, 0x1.16ab65a4453afp-2, 0x1.11ce407221d3ep-2, 0x1.0cfbf2f9a8efbp-2, 0x1.0834be4cdf537p-2, 0x1.0378e030e3992p-2, 0x1.fd912648f4906p-3, 0x1.f4481ccf6268ep-3, 0x1.eb170c08feap-3, 0x1.e1fe55b0aa1f7p-3, 0x1.d8fe553d108c2p-3, 0x1.d0175ff7181f8p-3, 0x1.c749c511cd7e8p-3, 0x1.be95cdc3a77dfp-3, 0x1.b5fbbd6101679p-3, 0x1.ad7bd177bbea5p-3, 0x1.a51641ebdd206p-3, 0x1.9ccb411517ec8p-3, 0x1.949afbdd2bb8ap-3, 0x1.8c8599deed179p-3, 0x1.848b3d85ff33fp-3, 0x1.7cac042f0b076p-3, 0x1.74e806487298cp-3, 0x1.6d3f577364fb8p-3, 0x1.65b206a53a707p-3, 0x1.5e401e491987cp-3, 0x1.56e9a461ba2bep-3, 0x1.4fae9aab4a187p-3, 0x1.488efebd5e83bp-3, 0x1.418aca2cdebdcp-3, 0x1.3aa1f2ade19edp-3, 0x1.33d46a356b4a4p-3, 0x1.2d221f1b051f9p-3, 0x1.268afc3a1b9d1p-3, 0x1.200ee91325b97p-3, 0x1.19adc9ec7a6fep-3, 0x1.13677ff2d9c5p-3, 0x1.0d3be95999709p-3, 0x1.072ae17a73683p-3, 0x1.013440f4e1302p-3, 0x1.f6afbb9a25ca6p-4, 0x1.eb2b1714cd773p-4, 0x1.dfda36aad8c42p-4, 0x1.d4bcb82abc97dp-4, 0x1.c9d2351a416d3p-4, 0x1.bf1a42ef564ebp-4, 0x1.b4947347e1352p-4, 0x1.aa40542060d23p-4, 0x1.a01d7009688f6p-4, 0x1.962b4e5bf696dp-4, 0x1.8c69736c9847fp-4, 0x1.82d760bd5da04p-4, 0x1.7974952e95c9p-4, 0x1.70408d2e55d8cp-4, 0x1.673ac2e6c69ddp-4, 0x1.5e62ae6b38eaap-4, 0x1.55b7c5e3ffdcdp-4, 0x1.4d397db910f1fp-4, 0x1.44e748bb6c608p-4, 0x1.3cc0984d4ae49p-4, 0x1.34c4dc8917283p-4, 0x1.2cf384673024ap-4, 0x1.254bfde27aa36p-4, 0x1.1dcdb61bc0d29p-4, 0x1.1678197be55eep-4, 0x1.0f4a93d4ec318p-4, 0x1.08449081db466p-4, 0x1.01657a857a4c4p-4, 0x1.f559794fdf49ap-5, 0x1.e83383268aa6bp-5, 0x1.db57e7dda8e49p-5, 0x1.cec57cf33d248p-5, 0x1.c27b184733869p-5, 0x1.b677904be26ep-5, 0x1.aab9bc34879eep-5, 0x1.9f407421c1335p-5, 0x1.940a914c14011p-5, 0x1.8916ee2c86d28p-5, 0x1.7e6466a35ae5p-5, 0x1.73f1d81cf1275p-5, 0x1.69be21b4e1802p-5, 0x1.5fc824575179ep-5, 0x1.560ec2e0953ddp-5, 0x1.4c90e23b256b6p-5, 0x1.434d697bf1899p-5, 0x1.3a4341fd1ff64p-5, 0x1.3171577740402p-5, 0x1.28d69818fc958p-5, 0x1.2071f49d55311p-5, 0x1.1842606072c88p-5, 0x1.1046d17315449p-5, 0x1.087e40acab6c6p-5, 0x1.00e7a9bc213e4p-5, 0x1.f304166ed693p-6, 0x1.e498cd53aef94p-6, 0x1.d68b814269486p-6, 0x1.c8da4173a3527p-6, 0x1.bb832352cdb5ep-6, 0x1.ae844291d3eecp-6, 0x1.a1dbc13abf32bp-6, 0x1.9587c7bf54cb2p-6, 0x1.89868506d4853p-6, 0x1.7dd62e79d7eb5p-6, 0x1.7275000c6dbb2p-6, 0x1.67613c4685fe3p-6, 0x1.5c992c4ab3001p-6, 0x1.521b1fdb5cae8p-6, 0x1.47e56d5e70f2fp-6, 0x1.3df671dfa07f7p-6, 0x1.344c911138f37p-6, 0x1.2ae6354bab1fp-6, 0x1.21c1cf8bcefb8p-6, 0x1.18ddd76fedcd4p-6, 0x1.1038cb33a8fp-6, 0x1.07d12faac18a4p-6, 0x1.ff4b2075adea2p-7, 0x1.ef68fda84cd0ep-7, 0x1.dff927d2a751cp-7, 0x1.d0f8dccca6af1p-7, 0x1.c265674ce11f1p-7, 0x1.b43c1ed31dc6ap-7, 0x1.a67a679141f87p-7, 0x1.991db252de9ccp-7, 0x1.8c237c634fad9p-7, 0x1.7f894f72afedfp-7, 0x1.734cc1797f15p-7, 0x1.676b749b439b9p-7, 0x1.5be3170815e0ap-7, 0x1.50b162dd2f62dp-7, 0x1.45d41e049fb06p-7, 0x1.3b491a14216e2p-7, 0x1.310e342b3086ep-7, 0x1.272154d0691dbp-7, 0x1.1d806fce41b1fp-7, 0x1.1429840f2ed11p-7, 0x1.0b1a9b793e8c4p-7, 0x1.0251cac93935p-7, 0x1.f39a62daaa56ep-8, 0x1.e315f2bf13f99p-8, 0x1.d312adff1e694p-8, 0x1.c38d11d92566dp-8, 0x1.b481afbd63088p-8, 0x1.a5ed2d007d79p-8, 0x1.97cc428dc3a64p-8, 0x1.8a1bbc992db3ep-8, 0x1.7cd87a51337cbp-8, 0x1.6fff6d908c902p-8, 0x1.638d9a8fe9fddp-8, 0x1.57801797b8938p-8, 0x1.4bd40cb200a86p-8, 0x1.4086b35c6be8dp-8, 0x1.3595563a836d2p-8, 0x1.2afd50c8339eep-8, 0x1.20bc0f0ca00e8p-8, 0x1.16cf0d4d55dc1p-8, 0x1.0d33d7c1e7f61p-8, 0x1.03e80a47febfap-8, 0x1.f5d2a02fcba0dp-9, 0x1.e46ac6f346215p-9, 0x1.d3941af53be64p-9, 0x1.c34a4b47c26bep-9, 0x1.b3892361fa29cp-9, 0x1.a44c8a8f2b7d3p-9, 0x1.9590835f3b8a4p-9, 0x1.87512b1896e93p-9, 0x1.798ab92b91907p-9, 0x1.6c397ea74b2dbp-9, 0x1.5f59e5b028422p-9, 0x1.52e870f7db809p-9, 0x1.46e1bb371a72fp-9, 0x1.3b4276a8f2248p-9, 0x1.30076c87d5b76p-9, 0x1.252d7c8c5b114p-9, 0x1.1ab19c6dbcb52p-9, 0x1.1090d76418e84p-9, 0x1.06c84dac79f48p-9, 0x1.faaa681d4df09p-10, 0x1.e869a6c98a4a1p-10, 0x1.d6c910498e5a1p-10, 0x1.c5c383d766a19p-10, 0x1.b554061575f88p-10, 0x1.a575c02c55688p-10, 0x1.9623feec5f086p-10, 0x1.875a31f2e978cp-10, 0x1.7913ead330a17p-10, 0x1.6b4cdc42f02ffp-10, 0x1.5e00d94aa3754p-10, 0x1.512bd47973a48p-10, 0x1.44c9df1ccff14p-10, 0x1.38d7287b9fcaep-10, 0x1.2d4ffd151cb6bp-10, 0x1.2230c5e342e6fp-10, 0x1.177607a0d2ec1p-10, 0x1.0d1c6212ea21fp-10, 0x1.03208f561c01cp-10, 0x1.f2fec65e242bdp-11, 0x1.e06b94bd44067p-11, 0x1.ce8193f2b2a2ap-11, 0x1.bd3afd84e590ep-11, 0x1.ac9239145a94ep-11, 0x1.9c81db1efb031p-11, 0x1.8d04a3ca1c3f3p-11, 0x1.7e157db3128d3p-11, 0x1.6faf7cc63cc12p-11, 0x1.61cddd1c773eep-11, 0x1.546c01dee4b95p-11, 0x1.47857430f50abp-11, 0x1.3b15e22096577p-11, 0x1.2f191d9c7d1bep-11, 0x1.238b1b706b47bp-11, 0x1.1867f24762cf9p-11, 0x1.0dabd9b3acf63p-11, 0x1.0353293ca122ep-11, 0x1.f2b4aee426cc9p-12, 0x1.df7bf20aaf14fp-12, 0x1.ccf57fcf7ca9p-12, 0x1.bb1af4dcf335ap-12, 0x1.a9e624f7a0e3fp-12, 0x1.9951195b15c82p-12, 0x1.89560f20ff2a7p-12, 0x1.79ef75b25e215p-12, 0x1.6b17ed42a53edp-12, 0x1.5cca455493e36p-12, 0x1.4f017b48a29e5p-12, 0x1.41b8b8f4d47b7p-12, 0x1.34eb5345be65ap-12, 0x1.2894c8e898efdp-12, 0x1.1cb0c0fe34e35p-12, 0x1.113b09d69d6d5p-12, 0x1.062f97b547f3ap-12, 0x1.f715073b3c708p-13, 0x1.e290144f70eccp-13, 0x1.cec914ba46e46p-13, 0x1.bbb9093b00fa3p-13, 0x1.a9593315b6cfap-13, 0x1.97a311fb12b09p-13, 0x1.869061fed8136p-13, 0x1.761b199cd8d92p-13, 0x1.663d67cc0bd89p-13, 0x1.56f1b21f803f4p-13, 0x1.483292f4cf353p-13, 0x1.39fad7afc8362p-13, 0x1.2c457f0310f6ep-13, 0x1.1f0db7455ddfp-13, 0x1.124edcd30df14p-13, 0x1.0604787bcd5e1p-13, 0x1.f4547bf80f98dp-14, 0x1.dd781503a9934p-14, 0x1.c76bc67a4d0ccp-14, 0x1.b227e7f5d56f6p-14, 0x1.9da51b95c538bp-14, 0x1.89dc4b5fce3e5p-14, 0x1.76c6a6b4c758ap-14, 0x1.645d9fd975402p-14, 0x1.529ae992b99ffp-14, 0x1.417874d4a5958p-14, 0x1.30f06e83f68ep-14, 0x1.20fd3d4986133p-14, 0x1.11997f7736e41p-14, 0x1.02c008fdebe17p-14, 0x1.e8d7c2e82de8p-15, 0x1.cd308458e2a0dp-15, 0x1.b28128b8e1aa4p-15, 0x1.98c0dea41b665p-15, 0x1.7fe72d70e0e14p-15, 0x1.67ebf1d6477fdp-15, 0x1.50c75aaec1ed9p-15, 0x1.3a71e5d630c8ep-15, 0x1.24e45d22a87e8p-15, 0x1.1017d3772bef2p-15, 0x1.f80b43df4e057p-16, 0x1.d14eca4ade7fap-16, 0x1.abedf5173ffaap-16, 0x1.87dcfbc53b5a2p-16, 0x1.65108d8435078p-16, 0x1.437dcc71efaf3p-16, 0x1.231a4904ba12p-16, 0x1.03dbfd9edab7dp-16, 0x1.cb729493e06a5p-17, 0x1.9151e1325e4f5p-17, 0x1.59441f627a80ep-17, 0x1.233840e93fa9ep-17, 0x1.de3bc74e54e95p-18, 0x1.79ca94f92db0dp-18, 0x1.18feace1a61c8p-18, 0x1.77760067162edp-19, 0x1.878e8a116712fp-20, 0x1.6bb7b32127c28p-23, -0x1.1fc1e97aa78acp-20, -0x1.303fa43644b3ap-19, -0x1.ca90444325922p-19, -0x1.2f80593dffbaap-18, -0x1.76de8695f6c08p-18, -0x1.bb77e3575bed7p-18, -0x1.fd60dc0680e43p-18, -0x1.1e568cb75abc1p-17, -0x1.3cb7c49c3239dp-17, -0x1.59dd3313dbep-17, -0x1.75cfa0035bb1ep-17, -0x1.9097819ed002bp-17, -0x1.aa3d000e3131ep-17, -0x1.c2c7f8ebe1c8p-17, -0x1.da40029e6b91ep-17, -0x1.f0ac6f8eb2bep-17, -0x1.030a289de6d01p-16, -0x1.0d3f3d96dda3cp-16, -0x1.16f8c2e412549p-16, -0x1.2039e87f1c6p-16, -0x1.2905c37471107p-16, -0x1.315f4f201940fp-16, -0x1.39496e5ca0a08p-16, -0x1.40c6eca4a863bp-16, -0x1.47da7f27aef05p-16, -0x1.4e86c5d270aeep-16, -0x1.54ce4c4b68becp-16, -0x1.5ab38ae3db7bep-16, -0x1.6038e77dd408cp-16, -0x1.6560b6678ea42p-16, -0x1.6a2d3b2ca9253p-16, -0x1.6ea0a95d80a79p-16, -0x1.72bd254d2936fp-16, -0x1.7684c4c64d4c9p-16, -0x1.79f98fb75946ep-16, -0x1.7d1d80d64ceecp-16, -0x1.7ff2863c84769p-16, -0x1.827a81fac8eebp-16, -0x1.84b74aa60242dp-16, -0x1.86aaabdccd09fp-16, -0x1.885666c647c06p-16, -0x1.89bc328a55631p-16, -0x1.8addbcc3ad557p-16, -0x1.8bbca9ebe3cebp-16, -0x1.8c5a95c1c36e8p-16, -0x1.8cb913aa26d1p-16, -0x1.8cd9af0b98064p-16, -0x1.8cbdeba4eb406p-16, -0x1.8c6745df13696p-16, -0x1.8bd7331a60e6cp-16, -0x1.8b0f21f7614f9p-16, -0x1.8a107a9b9a72bp-16, -0x1.88dc9ef241d1ep-16, -0x1.8774eae935074p-16, -0x1.85dab4aa48b23p-16, -0x1.840f4cd130efep-16, -0x1.8213fe9e1c976p-16, -0x1.7fea10253662bp-16, -0x1.7d92c27b2c719p-16, -0x1.7b0f51dee7f19p-16, -0x1.7860f5e098f24p-16, -0x1.7588e18636d3p-16, -0x1.7288436d98994p-16, -0x1.6f6045ec459bep-16, -0x1.6c120f2d1e389p-16, -0x1.689ec14bf5132p-16, -0x1.65077a6f3fc7ep-16, -0x1.614d54dfecc1cp-16, -0x1.5d71671f8465ap-16, -0x1.5974c3fcaca0cp-16, -0x1.55587aa61b1b2p-16, -0x1.511d96bc20913p-16, -0x1.4cc52060d4894p-16, -0x1.48501c46fb558p-16, -0x1.43bf8bbfbd71fp-16, -0x1.3f146cc73defp-16, -0x1.3a4fba102585fp-16, -0x1.35726b0e39681p-16, -0x1.307d740002d17p-16, -0x1.2b71c5f79f28fp-16, -0x1.26504ee2cc204p-16, -0x1.2119f99231fedp-16, -0x1.1bcfadc006bfep-16, -0x1.167250160fc84p-16, -0x1.1102c233109c3p-16, -0x1.0b81e2afb4ffap-16, -0x1.05f08d22ffdeap-16, -0x1.004f9a2646ea6p-16, -0x1.f53fbeb1958d3p-17, -0x1.e9c45ec5ed292p-17, -0x1.de2eb3f28967ap-17, -0x1.d28057bdc26f8p-17, -0x1.c6baddd00cef3p-17, -0x1.badfd3f84445ap-17, -0x1.aef0c22f88944p-17, -0x1.a2ef2a9cd1e0ap-17, -0x1.96dc89982e2f2p-17, -0x1.8aba55adc768cp-17, -0x1.7e89ffa0bb235p-17, -0x1.724cf26dc169fp-17, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      21, 0x1.d5c28f5c28f5cp+1, 0x1.1d843419061c3p+1, 0x1.3adf5bae487fep+2, -0x1.319e48c61e554p-1, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.a1cdd52f35f13p+1, -0x1.1398561994719p+3, 0x1.335eea7cc1648p+3, 0x1.24c2d215644dap+1}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.402752599b3bbp+1, -0x1.a7d9b436b258bp+2, 0x1.4953ed718f50ap+3, -0x1.6df3869abd938p+3}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.ee2f871bf7072p+0, -0x1.3a138b647a279p+2, 0x1.b715bd531348bp+2, -0x1.54c4195e3a938p+2}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.80c16528e56c7p+0, -0x1.d8f6f58989b6p+1, 0x1.50dae8ea01b62p+2, -0x1.3c780e6002d81p+2}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.2e5eef7cc3cb5p+0, -0x1.6535f564e55b7p+1, 0x1.e3d42f9a681dbp+1, -0x1.b40ed35413f6p+1}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.df775f27e84p-1, -0x1.1186d89d0455p+1, 0x1.6102f03462208p+1, -0x1.421e0effa2c86p+1}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.7ee338f8825dep-1, -0x1.a92d0a5d60f0cp+0, 0x1.0060521ae47dfp+1, -0x1.c0207953aed42p+0}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.333610fab5b8cp-1, -0x1.5011b9f669829p+0, 0x1.7a507fcfe1562p+0, -0x1.358874218bae4p+0}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.ede39ec817849p-2, -0x1.0db13d7bec26fp+0, 0x1.1d745cf9043b8p+0, -0x1.a6b9b4da4b3a9p-1}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.8c95be47fba2ap-2, -0x1.b5e2775d58de7p-1, 0x1.bc176a16f1e51p-1, -0x1.2802a8d8d3adcp-1}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.3d4c3db2444abp-2, -0x1.65f257da2499ap-1, 0x1.6349d10918ca7p-1, -0x1.bb0c241a9abbbp-2}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.f8be0e9efeb8ap-3, -0x1.2588e1c95cd7cp-1, 0x1.20d4cb9eb4c7dp-1, -0x1.6f3920afaddfep-2}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, 0x1.8e25b7c722846p-3, -0x1.e28db839cb122p-2, 0x1.d37eda3be899bp-2, -0x1.4ba4fbdfded0ap-2}, 
        {0x1.7333333333333p+1, 0x1.8p+1, 0x1.3652bfc0ef42dp-3, -0x1.8f00fa8901f47p-2, 0x1.70008eabf28e4p-2, -0x1.324df33be168bp-2}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, 0x1.da8a316f668a4p-4, -0x1.4e97af89b1ce5p-2, 0x1.141c5f4d2eeebp-2, -0x1.f669563de2211p-3}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, 0x1.5ebe0f1d971d4p-4, -0x1.1ee812404e5fp-2, 0x1.917f8b2166d36p-3, -0x1.46d54730e5838p-3}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, 0x1.e6b6535fea88ap-5, -0x1.f7518321cc80cp-3, 0x1.2f72c292bb922p-3, 0x1.8911e38d95ddap-4}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, 0x1.2a4f153d69c1p-5, -0x1.b4bb926772d24p-3, 0x1.6a68a4b4c54p-3, 0x1.3e0d0a4f9abb5p-3}, 
        {0x1.b333333333333p+1, 0x1.cp+1, 0x1.16c4cee74b3a4p-6, -0x1.62b59cac6d212p-3, 0x1.c9d2f49973ab9p-3, 0x1.88775c53c64dap+0}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, 0x1.c5f5c6eca90fbp-9, -0x1.51e7c9e9051f4p-4, 0x1.5def8e256d801p-1, -0x1.063490a87ed77p+1}, 
        {0x1.ccccccccccccdp+1, 0x1.d5c28f5c28f5cp+1, 0x0p+0, -0x1.db9aec9c57324p-8, 0x1.1a509e0d10b61p-4, 0x1.7bac9409b63b2p+2}, 
      }}, 
      -0x1.fc4208c4dc085p+6, 0x1.60e9128f25577p+9
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_n_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.21858edd14676p+0, -0x1.135fe5e194ffdp+0, -0x1.0543fc0b2018dp+0, -0x1.ee799edcc9e4dp-1, -0x1.d2a84949f44e3p-1, -0x1.b725a799dcb21p-1, -0x1.9c0217b30dcf5p-1, -0x1.814c45eddc3aep-1, -0x1.6710c365fa001p-1, -0x1.4d5a3b730ddd3p-1, -0x1.343213ea0e5a4p-1, -0x1.1ba0d969fafb3p-1, -0x1.03ae190ca059bp-1, -0x1.d8bfda2da000fp-2, -0x1.ab7596362c8c6p-2, -0x1.7f83972884308p-2, -0x1.54ee5e41685edp-2, -0x1.2bb98f1a77ab2p-2, -0x1.03e82b08d2263p-2, -0x1.baf88755d47b3p-3, -0x1.70ece9dc35f59p-3, -0x1.29aee6d0db854p-3, -0x1.ca54ea4d60a95p-4, -0x1.46c07ead985dfp-4, -0x1.91202477721bep-5, -0x1.3ebfe9b982943p-6, 0x1.1fb3229cc1222p-7, 0x1.24f81f8949e16p-5, 0x1.f7f79518d60c5p-5, 0x1.60917448af317p-4, 0x1.c0599d4055274p-4, 0x1.0db8acb7e3cf1p-3, 0x1.38fb247e3d657p-3, 0x1.62035ff6cb366p-3, 0x1.88e0f84eac146p-3, 0x1.ada3fdb1e025ap-3, 0x1.d05ce73fa4ae5p-3, 0x1.f11c69f320702p-3, 0x1.07f9a0090f64p-2, 0x1.1678f8a77074cp-2, 0x1.2414557d20abap-2, 0x1.30d3984538658p-2, 0x1.3cbe71cb9015dp-2, 0x1.47dc6dc3190ffp-2, 0x1.523501406f23fp-2, 0x1.5bcf9731b5a3ap-2, 0x1.64b397b06f8dfp-2, 0x1.6ce868b3b47e7p-2, 0x1.7475681a4e8afp-2, 0x1.7b61e0354675fp-2, 0x1.81b4f8ef53eabp-2, 0x1.8775a848950c7p-2, 0x1.8caaa4f43cddp-2, 0x1.915a5d64266c9p-2, 0x1.958af48fb2a2ap-2, 0x1.994244886ab8cp-2, 0x1.9c85e5c4986c4p-2, 0x1.9f5b393132dcbp-2, 0x1.a1c772c363b4ep-2, 0x1.a3cfa26ffa098p-2, 0x1.a578ba0c2c347p-2, 0x1.a6c78f74e1a01p-2, 0x1.a7c0db34691d3p-2, 0x1.a867ce326f7f7p-2, 0x1.a8c505f3b456cp-2, 0x1.a8d9ff6e35b5cp-2, 0x1.a8aa979636c65p-2, 0x1.a83a81937631p-2, 0x1.a78d4b66a6948p-2, 0x1.a6a661d5cbccbp-2, 0x1.a5891339183bcp-2, 0x1.a43890fb0a832p-2, 0x1.a2b7efd804e26p-2, 0x1.a10a271995d29p-2, 0x1.9f320f29a1ca3p-2, 0x1.9d325fe69cc2dp-2, 0x1.9b0daf1d29694p-2, 0x1.98c66f78ba035p-2, 0x1.965ef02190a9p-2, 0x1.93d95d20b0062p-2, 0x1.9137c086a41ccp-2, 0x1.8e7c043bc5c2fp-2, 0x1.8ba7f4518222p-2, 0x1.88bd41a4357e3p-2, 0x1.85bd849bcca63p-2, 0x1.82aa3fdd2b855p-2, 0x1.7f84e2c5e35f5p-2, 0x1.7c4ecb95b3845p-2, 0x1.7909493432c54p-2, 0x1.75b59c8bb9a52p-2, 0x1.7254f97c4e495p-2, 0x1.6ee8877110ecap-2, 0x1.6b7161a835ed4p-2, 0x1.67f09740acedcp-2, 0x1.64672b2198dc5p-2, 0x1.60d613cecde58p-2, 0x1.5d3e3b3b68895p-2, 0x1.59a07ea89439bp-2, 0x1.55fdae9b37afdp-2, 0x1.52568eefd3b41p-2, 0x1.4eabd710a1674p-2, 0x1.4afe324efa93p-2, 0x1.474e405e8261p-2, 0x1.439c95ee564bap-2, 0x1.3fe9bd5ae0196p-2, 0x1.3c363771c280dp-2, 0x1.38827c40b3d68p-2, 0x1.34cefbe820bd8p-2, 0x1.311c1f6acc4dfp-2, 0x1.2d6a4974813fep-2, 0x1.29b9d712fb69ep-2, 0x1.260b205d77385p-2, 0x1.225e79088bb4dp-2, 0x1.1eb430e530ccdp-2, 0x1.1b0c944acab38p-2, 0x1.1767ec6cf5b9bp-2, 0x1.13c67f9e68c7bp-2, 0x1.10289182ba105p-2, 0x1.0c8e633118662p-2, 0x1.08f8334a44c5fp-2, 0x1.05663e041abf4p-2, 0x1.01d8bd2d0a2e1p-2, 0x1.fc9fd053974c9p-3, 0x1.f597e7df01861p-3, 0x1.ee9a25f89a0fep-3, 0x1.e7a6eaa06c056p-3, 0x1.e0be90cfa5f43p-3, 0x1.d9e16e74217d1p-3, 0x1.d30fd473d2efep-3, 0x1.cc4a0eb94cd53p-3, 0x1.c5906449c558bp-3, 0x1.bee317648cde2p-3, 0x1.b84265ab4412ep-3, 0x1.b1ae8851d7ac4p-3, 0x1.ab27b454f1d08p-3, 0x1.a4ae1ab56991ap-3, 0x1.9e41e8b7266b4p-3, 0x1.97e34821f4bap-3, 0x1.91925f82e52ep-3, 0x1.8b4f526ce3b04p-3, 0x1.851a41b75ff0ap-3, 0x1.7ef34bba2208fp-3, 0x1.78da8c8572d2bp-3, 0x1.72d01e160c135p-3, 0x1.6cd418844f32cp-3, 0x1.66e6922e92fb1p-3, 0x1.61079fde490d5p-3, 0x1.5b3679b7b175ep-3, 0x1.55744cc11fecp-3, 0x1.4fc0f6937513ap-3, 0x1.4a1c893cdbfcbp-3, 0x1.448715277b652p-3, 0x1.3f00a91ec67a1p-3, 0x1.39895255193fp-3, 0x1.34211c69bf634p-3, 0x1.2ec8116f96c8cp-3, 0x1.297e39f43fa83p-3, 0x1.24439d07f9fe8p-3, 0x1.1f18404608acap-3, 0x1.19fc27dda1554p-3, 0x1.14ef569b4404ap-3, 0x1.0ff1cdf25cbc6p-3, 0x1.0b038e0726f77p-3, 0x1.062495b89c9d5p-3, 0x1.0154e2aa6b1dbp-3, 0x1.f928e29d83b03p-4, 0x1.efc679dff1dd1p-4, 0x1.e6827f73c58b1p-4, 0x1.dd5ce585a57fep-4, 0x1.d4559c2861805p-4, 0x1.cb6c916552884p-4, 0x1.c2a1b14bc4b7dp-4, 0x1.b9f4e5ff79097p-4, 0x1.b16617c63988fp-4, 0x1.a8f52d148fe1cp-4, 0x1.a0a20a99a1c7ep-4, 0x1.986c934a4fbcbp-4, 0x1.9054a86ba5d69p-4, 0x1.885a299cb2406p-4, 0x1.807cf4dfe1ceep-4, 0x1.78bce6a3f79b4p-4, 0x1.7119d9ccb6dc1p-4, 0x1.6993a7bb57433p-4, 0x1.622a2856d9b0ep-4, 0x1.5add32144f2ebp-4, 0x1.53ac99ff23148p-4, 0x1.4c9833c175e46p-4, 0x1.459fd1ac95b3ep-4, 0x1.3ec344c19a1f6p-4, 0x1.38025cba2e814p-4, 0x1.315ce81189b9ep-4, 0x1.2ad2b40d9a63ep-4, 0x1.24638cc86477dp-4, 0x1.1e0f3d3991f44p-4, 0x1.17d58f4032244p-4, 0x1.11b64baca6d05p-4, 0x1.0bb13a4ab6e83p-4, 0x1.05c621ebc7863p-4, 0x1.ffe990e25f606p-5, 0x1.f479e5ad4a276p-5, 0x1.e93cca79761b5p-5, 0x1.de31c5e6d60a6p-5, 0x1.d3585d0948ad8p-5, 0x1.c8b0137db283fp-5, 0x1.be386b7f0e2e4p-5, 0x1.b3f0e5fb5ff01p-5, 0x1.a9d902a888d2bp-5, 0x1.9ff04018ed18fp-5, 0x1.96361bcfe3cfap-5, 0x1.8caa1255ea8d7p-5, 0x1.834b9f4c96p-5, 0x1.7a1a3d82372c7p-5, 0x1.7115670534b0fp-5, 0x1.683c95370fef7p-5, 0x1.5f8f40df17e29p-5, 0x1.570ce23cbf6a9p-5, 0x1.4eb4f119a144dp-5, 0x1.4686e4db22336p-5, 0x1.3e823493beb3ap-5, 0x1.36a65713f84ccp-5, 0x1.2ef2c2faea8e6p-5, 0x1.2766eec681c3fp-5, 0x1.200250e35ac01p-5, 0x1.18c45fbc456bp-5, 0x1.11ac91c96c30ap-5, 0x1.0aba5d9f24e04p-5, 0x1.03ed39fc66123p-5, 0x1.fa893bb1c92ep-6, 0x1.ed8000e5b34a1p-6, 0x1.e0bdb2b8dc7ecp-6, 0x1.d4414111a01e2p-6, 0x1.c8099cb1e22ddp-6, 0x1.bc15b74fd670dp-6, 0x1.b06483ae1ddacp-6, 0x1.a4f4f5b3357f2p-6, 0x1.99c60280342cep-6, 0x1.8ed6a086da39bp-6, 0x1.8425c79ef4325p-6, 0x1.79b2711b09661p-6, 0x1.6f7b97dc63abap-6, 0x1.658038665ec91p-6, 0x1.5bbf50f1127d2p-6, 0x1.5237e17b49182p-6, 0x1.48e8ebdbc845cp-6, 0x1.3fd173d1f1a7ap-6, 0x1.36f07f15af4b9p-6, 0x1.2e451566ba0fap-6, 0x1.25ce409b3723ep-6, 0x1.1d8b0cada3834p-6, 0x1.157a87ca20645p-6, 0x1.0d9bc25b128eap-6, 0x1.05edcf15208a6p-6, 0x1.fcdf860514166p-7, 0x1.ee416b1bbc695p-7, 0x1.dfff811825ae7p-7, 0x1.d218008bfc18cp-7, 0x1.c4892702602cap-7, 0x1.b751371075c34p-7, 0x1.aa6e7864b4fcfp-7, 0x1.9ddf37d517dfap-7, 0x1.91a1c76c2a434p-7, 0x1.85b47e74f0c94p-7, 0x1.7a15b985b4f1ep-7, 0x1.6ec3da89c2faep-7, 0x1.63bd48ca181dcp-7, 0x1.590070f503ffep-7, 0x1.4e8bc524c45c3p-7, 0x1.445dbce52befdp-7, 0x1.3a74d53849894p-7, 0x1.30cf909a23a43p-7, 0x1.276c770382178p-7, 0x1.1e4a15ebdaf1fp-7, 0x1.1567004a5b34ap-7, 0x1.0cc1ce9616f47p-7, 0x1.04591ec56c4a5p-7, 0x1.f85728992b187p-8, 0x1.e86fb036ef845p-8, 0x1.d8f9313568318p-8, 0x1.c9f1134ffe8b2p-8, 0x1.bb54c9238c158p-8, 0x1.ad21d0244c0fap-8, 0x1.9f55b09283c0ep-8, 0x1.91edfd6de9e56p-8, 0x1.84e85467d7ea8p-8, 0x1.78425dd45ce95p-8, 0x1.6bf9cc9a2cbcbp-8, 0x1.600c5e218561bp-8, 0x1.5477da420e91dp-8, 0x1.493a132fc47b9p-8, 0x1.3e50e566f0214p-8, 0x1.33ba379748638p-8, 0x1.2973fa8e34aefp-8, 0x1.1f7c292046f8p-8, 0x1.15d0c811f7704p-8, 0x1.0c6fe5ffa8fe6p-8, 0x1.03579b44fcf18p-8, 0x1.f50c13c7278d9p-9, 0x1.e3f2bad24ce9ap-9, 0x1.d35f95aa37676p-9, 0x1.c34f20fb30d45p-9, 0x1.b3bdebe829a2ep-9, 0x1.a4a897d2f4813p-9, 0x1.960bd823d1bc1p-9, 0x1.87e472101cd41p-9, 0x1.7a2f3c605b52dp-9, 0x1.6ce91f35acdfp-9, 0x1.600f13ceb4358p-9, 0x1.539e244bf4857p-9, 0x1.47936b73dedcp-9, 0x1.3bec147665677p-9, 0x1.30a55ab055de3p-9, 0x1.25bc896e6906cp-9, 0x1.1b2efbb01b148p-9, 0x1.10fa1bea73b0ap-9, 0x1.071b63caa57b9p-9, 0x1.fb0084c4d7c5ap-10, 0x1.e88ea6fca62d9p-10, 0x1.d6baacc7ac702p-10, 0x1.c57ffcfb4a365p-10, 0x1.b4da1a764142fp-10, 0x1.a4c4a3a877584p-10, 0x1.953b521b21f34p-10, 0x1.8639f9f975c17p-10, 0x1.77bc8999c8eedp-10, 0x1.69bf090761b66p-10, 0x1.5c3d998cd6314p-10, 0x1.4f34753f3c6f3p-10, 0x1.429fee8a0a347p-10, 0x1.367c6fbbb77e2p-10, 0x1.2ac67a934fb89p-10, 0x1.1f7aa7ceca3dap-10, 0x1.1495a6ba734b3p-10, 0x1.0a143cc11a01dp-10, 0x1.ffe689fad0609p-11, 0x1.ec5f5f984911ep-11, 0x1.d98d04bf0127fp-11, 0x1.c769aca72ac5ep-11, 0x1.b5efb287a9663p-11, 0x1.a51998c37007ep-11, 0x1.94e20818f5b5fp-11, 0x1.8543ced437143p-11, 0x1.7639e002e1a3ep-11, 0x1.67bf52aaf29cp-11, 0x1.59cf6103ca754p-11, 0x1.4c6567b1bd0bdp-11, 0x1.3f7ce503e189ap-11, 0x1.33117834c0a1p-11, 0x1.271ee0ad25bd4p-11, 0x1.1ba0fd49bf334p-11, 0x1.1093cba313d97p-11, 0x1.05f3675842713p-11, 0x1.f77812b84f9cfp-12, 0x1.e3d40e8a526d2p-12, 0x1.d0f3a53f482c6p-12, 0x1.becff085eaa4dp-12, 0x1.ad623f5220332p-12, 0x1.9ca41491a2069p-12, 0x1.8c8f25e5a65b4p-12, 0x1.7d1d5a622f753p-12, 0x1.6e48c95255208p-12, 0x1.600bb901d3059p-12, 0x1.52609d8c56c3dp-12, 0x1.454217b1a6ca5p-12, 0x1.38aaf3af2896fp-12, 0x1.2c96281f1a1fap-12, 0x1.20fed4dca0d2fp-12, 0x1.15e041ed6bc91p-12, 0x1.0b35de70859e3p-12, 0x1.00fb3f9285401p-12, 0x1.ee583f0da06fbp-13, 0x1.db88b90c9cbc2p-13, 0x1.c97fefa6b0f49p-13, 0x1.b836298553eb8p-13, 0x1.a7a3ef9327903p-13, 0x1.97c20b22ac162p-13, 0x1.8889841f14497p-13, 0x1.79f39f4722bdp-13, 0x1.6bf9dc71fce96p-13, 0x1.5e95f4de42983p-13, 0x1.51c1d98a83edfp-13, 0x1.4577b1978ec3cp-13, 0x1.39b1d8b4647b2p-13, 0x1.2e6add937a9f3p-13, 0x1.239d80695f8abp-13, 0x1.1944b174e54e9p-13, 0x1.0f5b8f8fa098dp-13, 0x1.05dd66c7fef8bp-13, 0x1.f98b5e07b6f22p-14, 0x1.e8201557b8a81p-14, 0x1.d7708abd2e7b2p-14, 0x1.c774a55ac8eccp-14, 0x1.b82499c01c8c6p-14, 0x1.a978e782747dap-14, 0x1.9b6a56e4853d6p-14, 0x1.8df1f68e7b074p-14, 0x1.810919546d137p-14, 0x1.74a9540bb3c68p-14, 0x1.68cc7b6f1be1fp-14, 0x1.5d6ca210c58adp-14, 0x1.5284165a0ad8p-14, 0x1.480d609935b49p-14, 0x1.3e03411c5b629p-14, 0x1.3460ae589ae36p-14, 0x1.2b20d31f78b3dp-14, 0x1.223f0cdf57019p-14, 0x1.19b6e9f0316d4p-14, 0x1.118427ed2e156p-14, 0x1.09a2b218a9b25p-14, 0x1.020e9fcc423fdp-14, 0x1.f58865e76c21cp-15, 0x1.e77fad254eae3p-15, 0x1.d9fc3aaa3445dp-15, 0x1.ccf78053590b7p-15, 0x1.c06b39ce9d3b2p-15, 0x1.b45169f55a15ep-15, 0x1.a8a4583f8f6cdp-15, 0x1.9d5e8e45fd4e1p-15, 0x1.927ad55877c0fp-15, 0x1.87f43425c8612p-15, 0x1.7dc5ec7579b9p-15, 0x1.73eb78f2ca284p-15, 0x1.6a608b074eec6p-15, 0x1.612108c86eb19p-15, 0x1.58290af2a6f6cp-15, 0x1.4f74daf578babp-15, 0x1.4700f10e84ab3p-15, 0x1.3ec9f273b3873p-15, 0x1.36ccaf8c21ec9p-15, 0x1.2f0622361240ep-15, 0x1.27736c1e2017ap-15, 0x1.2011d51ed5787p-15, 0x1.18dec9b2d3969p-15, 0x1.11d7d97195f0ep-15, 0x1.0afab5984579p-15, 0x1.04452f9ff0f36p-15, 0x1.fb6a6fbf705e8p-16, 0x1.ee91b87578aadp-16, 0x1.e1fc8db17ab8p-16, 0x1.d5a779d7aab8ep-16, 0x1.c98f3afdfb19bp-16, 0x1.bdb0c09f13bc2p-16, 0x1.b209296645c0cp-16, 0x1.a695c10a00717p-16, 0x1.9b53fe3b178cep-16, 0x1.904180aa41cbap-16, 0x1.855c0f1bef745p-16, 0x1.7aa1958ff1c92p-16, 0x1.7010237ad6e31p-16, 0x1.65a5ea0ba1989p-16, 0x1.5b613a8a611f3p-16, 0x1.514084be3d7c3p-16, 0x1.47425565885c3p-16, 0x1.3d6554bda60acp-16, 0x1.33a84517ee1b4p-16, 0x1.2a0a017b612ccp-16, 0x1.20897c5668857p-16, 0x1.1725be3b11d35p-16, 0x1.0ddde4a80617p-16, 0x1.04b120de8761fp-16, 0x1.f73d6d8696909p-17, 0x1.e54bf79598763p-17, 0x1.d38cabe49509bp-17, 0x1.c1fe757b8d1p-17, 0x1.b0a05c943eddcp-17, 0x1.9f7184bfa5169p-17, 0x1.8e712b28cf97ap-17, 0x1.7d9ea4e87a5e3p-17, 0x1.6cf95d6b29d1fp-17, 0x1.5c80d4e9b1114p-17, 0x1.4c349eefe9ac4p-17, 0x1.3c1460fd13478p-17, 0x1.2c1fd1280c45fp-17, 0x1.1c56b4de05eap-17, 0x1.0cb8dfa7fc023p-17, 0x1.fa8c64153c36dp-18, 0x1.dbfd30ca74f65p-18, 0x1.bdc413db32f8fp-18, 0x1.9fe10f5e1ec7bp-18, 0x1.8254372fd5721p-18, 0x1.651daf3513614p-18, 0x1.483da9a08acc2p-18, 0x1.2bb4655839fe6p-18, 0x1.0f822c78f925dp-18, 0x1.e74ea5c63967dp-19, 0x1.b04869c698fdbp-19, 0x1.79f26bc48b8aap-19, 0x1.444d7e7a7f70ep-19, 0x1.0f5a7e37ae22bp-19, 0x1.b6349d8667d78p-20, 0x1.4f1bb2a6eda73p-20, 0x1.d2d82ad0e89a5p-21, 0x1.0a4f45f57b6eap-21, 0x1.1281c6e3fac78p-23, -0x1.f8c271e7fab6p-23, -0x1.3e203a8050796p-21, -0x1.fb2acf4bb8336p-21, -0x1.5aa66b99e2b1dp-20, -0x1.b641748921985p-20, -0x1.08326e9c792dp-19, -0x1.348788e13175cp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.98bd4abaa2b31p+0, -0x1.92afd84b76308p+0, -0x1.8c8ad740f922ap+0, -0x1.8652067fa34b2p+0, -0x1.8009032dacc29p+0, -0x1.79b3342a9c914p+0, -0x1.7353c30035f73p+0, -0x1.6cedb139766f4p+0, -0x1.6683cbf6050a8p+0, -0x1.6018a9b03f0bbp+0, -0x1.59aebb1b394fcp+0, -0x1.534849966a789p+0, -0x1.4ce76c458b363p+0, -0x1.468e0b2c4919ap+0, -0x1.403de91e3c832p+0, -0x1.39f8a77329029p+0, -0x1.33bfc58691f1cp+0, -0x1.2d94a16286bb6p+0, -0x1.27787935af537p+0, -0x1.216c6bd1ad57dp+0, -0x1.1b71790ac116cp+0, -0x1.158878236769fp+0, -0x1.0fb24621a6637p+0, -0x1.09ef95b47baafp+0, -0x1.0441072fa5595p+0, -0x1.fd4e4d5486e9ep-1, -0x1.f244dacaff4e3p-1, -0x1.e76685f2641d7p-1, -0x1.dcb3fd0f403d1p-1, -0x1.d22dd0204c68bp-1, -0x1.c7d4734eabf9bp-1, -0x1.bda84096d4affp-1, -0x1.b3a978b1a4c06p-1, -0x1.a9d843f607dfdp-1, -0x1.a034b3f6edb6p-1, -0x1.96bec5faadfd9p-1, -0x1.8d7665b04563bp-1, -0x1.845b6f59c5edcp-1, -0x1.7b6db10fb56c2p-1, -0x1.72aceb5704e7ep-1, -0x1.6a18d18f04cb3p-1, -0x1.61b10aa0c1b83p-1, -0x1.59753208c184ap-1, -0x1.5164d913a1067p-1, -0x1.497f88160a012p-1, -0x1.41c4bf7e6e525p-1, -0x1.3a33f8bdafd48p-1, -0x1.32cca715b43dfp-1, -0x1.2b8e385d60807p-1, -0x1.247815bfdc3d6p-1, -0x1.1d89a472f0226p-1, -0x1.16c2465baf35ap-1, -0x1.10215a9a814a4p-1, -0x1.09a63dfe110dcp-1, -0x1.03504b63bfc38p-1, -0x1.fa3db8213e623p-2, -0x1.ee22901a963a2p-2, -0x1.e24dcd136b1f1p-2, -0x1.d6be1c8d76e9bp-2, -0x1.cb722bfafbe2cp-2, -0x1.c068a975251b2p-2, -0x1.b5a0444b7fd37p-2, -0x1.ab17ad68eae35p-2, -0x1.a0cdb11edfcc4p-2, -0x1.96c0c37dff21p-2, -0x1.8cefbf25ce767p-2, -0x1.83595f390efe8p-2, -0x1.79fc624d2afe6p-2, -0x1.70d78ab08772fp-2, -0x1.67e99eb5cef24p-2, -0x1.5f3168fdb20abp-2, -0x1.56adb8b710354p-2, -0x1.4e5d61cf50d0bp-2, -0x1.463f3d107b30bp-2, -0x1.3e52282efba67p-2, -0x1.369505cc56ep-2, -0x1.2f06bd7574be3p-2, -0x1.27a63ba2d5fc6p-2, -0x1.207271bee94f1p-2, -0x1.196a56340b5bep-2, -0x1.128ce480e9727p-2, -0x1.0bd91d4feac4p-2, -0x1.054e068d23c5fp-2, -0x1.fdd556eceaa42p-3, -0x1.f15c3944db421p-3, -0x1.e52edff89d2a3p-3, -0x1.d94b816ab9ea2p-3, -0x1.cdb05e5aea033p-3, -0x1.c25bc1abc26d7p-3, -0x1.b74c0023f3684p-3, -0x1.ac7f78317764cp-3, -0x1.a1f491b37b55bp-3, -0x1.97a9bdcd673c8p-3, -0x1.8d9d76c32a248p-3, -0x1.83ce3fdcd267cp-3, -0x1.7a3aa54e42d8dp-3, -0x1.70e13c1f72054p-3, -0x1.67c0a211d4ac7p-3, -0x1.5ed77d80955c7p-3, -0x1.56247d3a6c62ap-3, -0x1.4da65855180ebp-3, -0x1.455bcdfb81919p-3, -0x1.3d43a5385d235p-3, -0x1.355cacbf49c5cp-3, -0x1.2da5bab6795ddp-3, -0x1.261dac828597ep-3, -0x1.1ec36695ad5edp-3, -0x1.1795d442f5293p-3, -0x1.1093e79550d16p-3, -0x1.09bc992a51448p-3, -0x1.030ee80fa379p-3, -0x1.f913b344d687bp-4, -0x1.ec58f2df0cc9dp-4, -0x1.dfebb22792d64p-4, -0x1.d3ca2036f2a6p-4, -0x1.c7f277c10bb0dp-4, -0x1.bc62fece6feb3p-4, -0x1.b11a0672923fdp-4, -0x1.a615ea7f3a9fcp-4, -0x1.9b551135ddfe7p-4, -0x1.90d5eaf7eab99p-4, -0x1.8696f1f6fbac7p-4, -0x1.7c96a9e634be5p-4, -0x1.72d39fadac92p-4, -0x1.694c6920d7565p-4, -0x1.5fffa4b894912p-4, -0x1.56ebf951507c5p-4, -0x1.4e1015ed67922p-4, -0x1.456ab17bc1bc1p-4, -0x1.3cfa8aa269da1p-4, -0x1.34be678cb78e5p-4, -0x1.2cb515bc91355p-4, -0x1.24dd69de2fa26p-4, -0x1.1d363f9dd876ep-4, -0x1.15be797f0177ep-4, -0x1.0e7500b4675dfp-4, -0x1.0758c4f8b56cap-4, -0x1.0068bc677693fp-4, -0x1.f347c6ac47e4ap-5, -0x1.e612785a75ce6p-5, -0x1.d92f9e82bf46ap-5, -0x1.cc9d555938cb6p-5, -0x1.c059c44fc0759p-5, -0x1.b4631dc9c45dfp-5, -0x1.a8b79ed129df9p-5, -0x1.9d558ecca8663p-5, -0x1.923b3f37e2b9ep-5, -0x1.8766bd0dd8d4p-5, -0x1.7cd70ea854e9ap-5, -0x1.728a505dddbb2p-5, -0x1.687ef906c1d03p-5, -0x1.5eb3884bcf652p-5, -0x1.5526866e6352ep-5, -0x1.4bd6841225901p-5, -0x1.42c21a0865ee5p-5, -0x1.39e7e91d11546p-5, -0x1.314699e52d843p-5, -0x1.28dcdc8ed89cdp-5, -0x1.20a968b2b9573p-5, -0x1.18aafd26d8413p-5, -0x1.10e05fd2d43d7p-5, -0x1.09485d85648fcp-5, -0x1.01e1c9cb1cd91p-5, -0x1.f556fd8cd036p-6, -0x1.e748ba11503b7p-6, -0x1.d99696d8e18aep-6, -0x1.cc3e6de1a4a6dp-6, -0x1.bf3e252b4bcfep-6, -0x1.b293ae71a205dp-6, -0x1.a63d06e8ee6dbp-6, -0x1.9a3836fc1d995p-6, -0x1.8e83520ca1e81p-6, -0x1.831c76340290bp-6, -0x1.7801cc0702195p-6, -0x1.6d31865a5cf3dp-6, -0x1.62a9e2090b214p-6, -0x1.586925bc06446p-6, -0x1.4e6da1b388e1dp-6, -0x1.44b5af91bc3eep-6, -0x1.3b3fb226cff2dp-6, -0x1.320a153e6e7ecp-6, -0x1.29134d6e9326fp-6, -0x1.2059d7e79a574p-6, -0x1.17dc3a45b0786p-6, -0x1.0f9902635af2p-6, -0x1.078ec62d4918ap-6, -0x1.ff7846ee653c2p-7, -0x1.f03f7fa3b6e4ep-7, -0x1.e17090c424501p-7, -0x1.d308e3717d564p-7, -0x1.c505ef57ab592p-7, -0x1.b7653a608344fp-7, -0x1.aa245869463a7p-7, -0x1.9d40eaf9dc22cp-7, -0x1.90b8a0fda6675p-7, -0x1.8489367de693ep-7, -0x1.78b0745d9f8e9p-7, -0x1.6d2c3016f2cd3p-7, -0x1.61fa4b79dd62bp-7, -0x1.5718b46c65c86p-7, -0x1.4c8564ac07b7cp-7, -0x1.423e61907f4c6p-7, -0x1.3841bbcfd086ap-7, -0x1.2e8d8f438eb3fp-7, -0x1.252002af55a92p-7, -0x1.1bf7478871b74p-7, -0x1.131199beac5c3p-7, -0x1.0a6d3f86392dfp-7, -0x1.02088922bcdp-7, -0x1.f3c3a166b74cbp-8, -0x1.e3eef3ffb561fp-8, -0x1.d48fe48d7c4d9p-8, -0x1.c5a36018c3784p-8, -0x1.b72665d618d09p-8, -0x1.a91606c7d5f57p-8, -0x1.9b6f6561df552p-8, -0x1.8e2fb52f3eb6cp-8, -0x1.81543a795d37cp-8, -0x1.74da49f0e458bp-8, -0x1.68bf4858581bcp-8, -0x1.5d00aa302c01p-8, -0x1.519bf36472f6fp-8, -0x1.468eb6fc00062p-8, -0x1.3bd696c916669p-8, -0x1.3171431b784d6p-8, -0x1.275c7a73dbc2dp-8, -0x1.1d960938d19cfp-8, -0x1.141bc96cf4acfp-8, -0x1.0aeba2666ea26p-8, -0x1.02038887d2ec8p-8, -0x1.f2c2f9f467783p-9, -0x1.e2071ad0fa7eep-9, -0x1.d1cfa7780f3d3p-9, -0x1.c218ebb4c8ff5p-9, -0x1.b2df4ac8a55f1p-9, -0x1.a41f3eebd1148p-9, -0x1.95d558cfa867dp-9, -0x1.87fe3f239ef1fp-9, -0x1.7a96ae1c30a6cp-9, -0x1.6d9b76fc375dap-9, -0x1.61097fa02a1dap-9, -0x1.54ddc20bb2442p-9, -0x1.49154bf9267ecp-9, -0x1.3dad3e6b28f5bp-9, -0x1.32a2cd402f399p-9, -0x1.27f33ec82fa29p-9, -0x1.1d9beb5c09b92p-9, -0x1.139a3cf700ec5p-9, -0x1.09ebaed1f1c1ep-9, -0x1.008dcd009171bp-9, -0x1.eefc6820b06ffp-10, -0x1.dd7521527a6f2p-10, -0x1.cc813e6088f59p-10, -0x1.bc1c56d760b52p-10, -0x1.ac422052142bcp-10, -0x1.9cee6dc983f93p-10, -0x1.8e1d2ee6ef01ep-10, -0x1.7fca6f59d37fep-10, -0x1.71f256311b606p-10, -0x1.6491253757211p-10, -0x1.57a338522a14bp-10, -0x1.4b2504e4b9e6p-10, -0x1.3f13193550a16p-10, -0x1.336a1bd5c8914p-10, -0x1.2826cb0efc77ep-10, -0x1.1d45fc4f5deecp-10, -0x1.12c49b9c0c689p-10, -0x1.089fab04e42eep-10, -0x1.fda88436f1f1bp-11, -0x1.eabf1ad938ce5p-11, -0x1.d87d9bf96365ap-11, -0x1.c6deb18d78a2bp-11, -0x1.b5dd2c7b9428fp-11, -0x1.a57403a2b4e62p-11, -0x1.959e52e7f0a46p-11, -0x1.86575a4910775p-11, -0x1.779a7cf3b0558p-11, -0x1.696340620219bp-11, -0x1.5bad4b7b78165p-11, -0x1.4e7465baad0f4p-11, -0x1.41b47657c94b4p-11, -0x1.356983778409fp-11, -0x1.298fb15e4e4dcp-11, -0x1.1e2341a8aea8cp-11, -0x1.1320928707694p-11, -0x1.08841dfe3991dp-11, -0x1.fc94f2589460cp-12, -0x1.e8e0a722732e2p-12, -0x1.d5e4ecb74f9f8p-12, -0x1.c39b8774298e4p-12, -0x1.b1fe6c5e8bdfep-12, -0x1.a107bfd62819fp-12, -0x1.90b1d44d9c471p-12, -0x1.80f7290ac80e5p-12, -0x1.71d268ee31161p-12, -0x1.633e69424c9d8p-12, -0x1.55362890f1cccp-12, -0x1.47b4cd803648fp-12, -0x1.3ab5a5b6159f2p-12, -0x1.2e3424c31510ep-12, -0x1.222be312c9613p-12, -0x1.16989ce33fcaap-12, -0x1.0b763142f6cd2p-12, -0x1.00c0a1148b0cap-12, -0x1.ece81c3169f5dp-13, -0x1.d91973fcc282p-13, -0x1.c60e0af12696p-13, -0x1.b3bedeb47330cp-13, -0x1.a225276daac45p-13, -0x1.913a561440dfcp-13, -0x1.80f812c794051p-13, -0x1.71583b3257a38p-13, -0x1.6254e0f8b4c39p-13, -0x1.53e8482e98df3p-13, -0x1.460ce5db7ae16p-13, -0x1.38b89039a185dp-13, -0x1.2bf023e8b89f2p-13, -0x1.1fa962aa886dp-13, -0x1.13df76db5a27dp-13, -0x1.088db4e715262p-13, -0x1.fb5f34065eb02p-14, -0x1.e68195e087db2p-14, -0x1.d27a258c61e08p-14, -0x1.bf40c38c61fb9p-14, -0x1.accd986c29258p-14, -0x1.9b1912869f0e4p-14, -0x1.8a1be3dad1f1ap-14, -0x1.79cefff0dfb98p-14, -0x1.6a2b99ca5d0efp-14, -0x1.5b2b21e7d2f8bp-14, -0x1.4cc74454be733p-14, -0x1.3ef9e6c5871bp-14, -0x1.31bd26c1fe91fp-14, -0x1.250b57dc9d933p-14, -0x1.18df01f6c6c63p-14, -0x1.0d32df9181b8cp-14, -0x1.0201dc29f783p-14, -0x1.ee8e2546d0e9ep-15, -0x1.d9fb97711954p-15, -0x1.c642f8fd353e5p-15, -0x1.b35b89dbf774ap-15, -0x1.a13cdcefd1524p-15, -0x1.8fded54cc3a7dp-15, -0x1.7f39a38d7327dp-15, -0x1.6f45c33aa2deep-15, -0x1.5ffbf845019edp-15, -0x1.51554c97d389cp-15, -0x1.434b0db79bcbp-15, -0x1.35d6ca767a4f7p-15, -0x1.28f250b694724p-15, -0x1.1c97ab42e401ap-15, -0x1.10c11fb4bf43ep-15, -0x1.05692c6bff996p-15, -0x1.f5150d257c038p-16, -0x1.e040306ed0917p-16, -0x1.cc49fcdcd84c1p-16, -0x1.b9290f1270aa7p-16, -0x1.a6d462ae421e6p-16, -0x1.95434ee9bc48ap-16, -0x1.846d8357a70a3p-16, -0x1.744b04b22057p-16, -0x1.64d429d480db5p-16, -0x1.560198ba95666p-16, -0x1.47cc43a7b74a8p-16, -0x1.3a2d6657bf799p-16, -0x1.2d1e83525fca3p-16, -0x1.2099614e9ddbap-16, -0x1.149808ade9724p-16, -0x1.0914c10dee333p-16, -0x1.fc141dc7fba21p-17, -0x1.e6e562867a6d4p-17, -0x1.d2933f3c49a13p-17, -0x1.bf140f4f002c6p-17, -0x1.ac5e968631081p-17, -0x1.9a69fd0fbc7f7p-17, -0x1.892dcba44952ap-17, -0x1.78a1e7d8c14dp-17, -0x1.68be907a09df8p-17, -0x1.597c5a1d37254p-17, -0x1.4ad42bc41fe12p-17, -0x1.3cbf3ba20c14ap-17, -0x1.2f370bff1125cp-17, -0x1.2235682a22bd4p-17, -0x1.15b461a1a496bp-17, -0x1.09ae4d3be1f1p-17, -0x1.fc3b80d41033ep-18, -0x1.e5fb1d62f603ap-18, -0x1.d0918e28245edp-18, -0x1.bbf5635a45652p-18, -0x1.a81d9aa17d7bep-18, -0x1.95019aaec8874p-18, -0x1.82992ed169b08p-18, -0x1.70dc82d0a4a1bp-18, -0x1.5fc41eca38d19p-18, -0x1.4f48e378b89ecp-18, -0x1.3f640656b2f2fp-18, -0x1.300f0e03447d3p-18, -0x1.2143cedc3f88fp-18, -0x1.12fc6798876d6p-18, -0x1.05333e16dd2e1p-18, -0x1.efc5f887d821fp-19, -0x1.d60d1a4ffda9bp-19, -0x1.bd3233da9b948p-19, -0x1.a52c0e95a8e01p-19, -0x1.8df1e58156f14p-19, -0x1.777b6032c4499p-19, -0x1.61c08de012804p-19, -0x1.4cb9e0b85d3bp-19, -0x1.3860295dbb824p-19, -0x1.24ac928dbbcf5p-19, -0x1.11989cfd7b6e1p-19, -0x1.fe3c36a15e731p-20, -0x1.da6e5ca6b5001p-20, -0x1.b7bc828206f59p-20, -0x1.961c0c55dda67p-20, -0x1.7582e58143447p-20, -0x1.55e779e0881d7p-20, -0x1.3740afa5fb6a9p-20, -0x1.1985e16558de3p-20, -0x1.f95db0b199a98p-21, -0x1.c1678dcd21c09p-21, -0x1.8b1a86e625d6cp-21, -0x1.5668868f10cc2p-21, -0x1.23442b9f3f95bp-21, -0x1.e34180097d3fbp-22, -0x1.82e45fe0f0c9bp-22, -0x1.255a0329d677ap-22, -0x1.951934305693dp-23, -0x1.c99da252d273ep-24, -0x1.cd6b8f87efc9fp-26, 0x1.b1c191ced66f7p-25, 0x1.0dae5aa014b95p-23, 0x1.aa2e5ba8e4ddcp-23, 0x1.2108581295354p-22, 0x1.6aba0a592587cp-22, 0x1.b23ae802f349ep-22, 0x1.f798e3cdb89b2p-22, 0x1.1d70a5466fc49p-21, 0x1.3e1065d5e57dbp-21, 0x1.5db1c14cc84f4p-21, 0x1.7c5a80341be27p-21, 0x1.9a10292879fbdp-21, 0x1.b6d8056d36e08p-21, 0x1.d2b723f1b82dp-21, 0x1.edb25da39f1b2p-21, 0x1.03e72c1c9f419p-20, 0x1.1087c4be3187p-20, 0x1.1cbd1d0c3f612p-20, 0x1.288944988b2fap-20, 0x1.33ee36fed651fp-20, 0x1.3eeddd6e15584p-20, 0x1.498a0fec7790ap-20, 0x1.53c49661052edp-20, 0x1.5d9f29b143589p-20, 0x1.671b74a8ce498p-20, 0x1.703b15170322dp-20, 0x1.78ff9c99ee9p-20, 0x1.816a917c3822ep-20, 0x1.897d6f8517a15p-20, 0x1.9139a8ad22352p-20, 0x1.98a0a5dcad066p-20, 0x1.9fb3c77683373p-20, 0x1.a674666106608p-20, 0x1.ace3d3f4c9fd6p-20, 0x1.b3035afaeaa88p-20, 0x1.b8d4400c669cbp-20, 0x1.be57c20c8744p-20, 0x1.c38f1a99086c3p-20, 0x1.c87b7e75fba9cp-20, 0x1.cd1e1df22d451p-20, 0x1.d178250e6517ap-20, 0x1.d58abc3024d93p-20, 0x1.d957081582b1bp-20, 0x1.dcde2a6c14c72p-20, 0x1.e02141ac5c0ebp-20, 0x1.e32169cff933p-20, 0x1.e5dfbc12a0d45p-20, 0x1.e85d4f6cc91dcp-20, 0x1.ea9b38a20fa9p-20, 0x1.ec9a8a7ecfb1fp-20, 0x1.ee5c55e2c1d48p-20, 0x1.efe1aa07aap-20, 0x1.f12b948a231edp-20, 0x1.f23b215f63a6ap-20, 0x1.f3115b1ea2c18p-20, 0x1.f3af4b1ca82f6p-20, 0x1.f415f946ce2cep-20, 0x1.f4466c59923fap-20, 0x1.f441a9e5341bdp-20, 0x1.f408b649190ccp-20, 0x1.f39c94ec02b9p-20, 0x1.f2fe47dc42304p-20, 0x1.f22ed04b05c1dp-20, 0x1.f12f2e47d3491p-20, 0x1.f00060bc8e261p-20, 0x1.eea365c0fc2b3p-20, 0x1.ed193a1ab3fc9p-20, 0x1.eb62d98e3dcap-20, 0x1.e9813ec5aa86dp-20, 0x1.e775634c1d5dfp-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.43353f908194fp-3, -0x1.12f47ec0f9d61p-3, -0x1.c01dd86ebaa3p-4, -0x1.55ef9ce2c2bcap-4, -0x1.d06f9ef8fceb4p-5, -0x1.df08f59530621p-6, -0x1.52be25bfdba7cp-10, 0x1.ba0633906a9e5p-6, 0x1.c606f639aa734p-5, 0x1.57a6955297bbcp-4, 0x1.cbe4066d557a3p-4, 0x1.1fa1a3fdd3338p-3, 0x1.58ac787ac36cfp-3, 0x1.90e270d67b7a5p-3, 0x1.c818675bd0231p-3, 0x1.fe27b37b2442ap-3, 0x1.19770bb4301bbp-2, 0x1.3326f3e4b98d2p-2, 0x1.4c170f4ff0decp-2, 0x1.643d1012f15d4p-2, 0x1.7b909b46a57e2p-2, 0x1.920ce2e80d37cp-2, 0x1.a7a8789d2582cp-2, 0x1.bc60a15b8ac2ep-2, 0x1.d032695ea53fcp-2, 0x1.e31bf921f4b2ep-2, 0x1.f51c7760bb1d6p-2, 0x1.0319f830a0d13p-1, 0x1.0b31a0f618e33p-1, 0x1.12d604fc137ccp-1, 0x1.1a084a849b2fep-1, 0x1.20c9e500cd975p-1, 0x1.271c89e9edb01p-1, 0x1.2d02260d55f46p-1, 0x1.327cd4d4b8202p-1, 0x1.378ed9d17964p-1, 0x1.3c3a9b7b575f9p-1, 0x1.40829dda752b6p-1, 0x1.44697cc697c09p-1, 0x1.47f1e681c20c7p-1, 0x1.4b1e97bf10651p-1, 0x1.4df2597b1f5bep-1, 0x1.5070000e01ba3p-1, 0x1.529a6a50c6c45p-1, 0x1.54747fdb01b5p-1, 0x1.56012dfe165cfp-1, 0x1.574363c4671afp-1, 0x1.583e0d8a1d271p-1, 0x1.58f410bf91c62p-1, 0x1.59684835dbbd6p-1, 0x1.599d81289157p-1, 0x1.5996791d670b7p-1, 0x1.5955dca458a21p-1, 0x1.58de46f5505b1p-1, 0x1.5832425527b58p-1, 0x1.57544915a4bfap-1, 0x1.5646c6f029913p-1, 0x1.550c1a6df20d8p-1, 0x1.53a6960e921a5p-1, 0x1.521880e7d4f6fp-1, 0x1.5064169116905p-1, 0x1.4e8b864c5c1fp-1, 0x1.4c90f182c039p-1, 0x1.4a77cc64dac36p-1, 0x1.483fe5462d971p-1, 0x1.45ebcf639439bp-1, 0x1.437d50acc59edp-1, 0x1.40f61df63095ep-1, 0x1.3e57dc1577ecp-1, 0x1.3ba420e93f86dp-1, 0x1.38dc742eb3b61p-1, 0x1.3602501174848p-1, 0x1.3317216f7e188p-1, 0x1.301c47d7b9b03p-1, 0x1.2d131554b1596p-1, 0x1.29fcce1babbe1p-1, 0x1.26daa83a79078p-1, 0x1.23adcb5bd767ap-1, 0x1.207750b49a39p-1, 0x1.1d384324356edp-1, 0x1.19f19f8b5c889p-1, 0x1.16a455545a58dp-1, 0x1.1351472361f37p-1, 0x1.0ff94ba1b8704p-1, 0x1.0c9d2e556663dp-1, 0x1.093db077b1f7bp-1, 0x1.05db89bec8f14p-1, 0x1.027769120a3c6p-1, 0x1.fe23ea47c291ap-2, 0x1.f75799df17d5fp-2, 0x1.f08b10380fb38p-2, 0x1.e9bf6e8f29129p-2, 0x1.e2f5c880e7593p-2, 0x1.dc2f246015e3dp-2, 0x1.d56c7b7aa0c0dp-2, 0x1.ceaeba557dfedp-2, 0x1.c7f6c0e65909ep-2, 0x1.c14562cfd460bp-2, 0x1.ba9b67a38adfep-2, 0x1.b3f98b2b9b5b5p-2, 0x1.ad607dbc8efb9p-2, 0x1.a6d0e48faa36fp-2, 0x1.a04b5a2545df7p-2, 0x1.99d06eae72b9ep-2, 0x1.9360a87ced5c4p-2, 0x1.8cfc84784718ep-2, 0x1.86a47696f8c95p-2, 0x1.8058ea5a09bf3p-2, 0x1.7a1a4349e387ep-2, 0x1.73e8dd72ee46dp-2, 0x1.6dc50de08353cp-2, 0x1.67af2314e307ap-2, 0x1.61a7657cccfe5p-2, 0x1.5bae17dd7d427p-2, 0x1.55c377bbd9a71p-2, 0x1.4fe7bdbbc4c77p-2, 0x1.4a1b1df6acb4ep-2, 0x1.445dc848a808bp-2, 0x1.3eafe893bca4bp-2, 0x1.3911a6f93a22ep-2, 0x1.3383280967bbfp-2, 0x1.2e048cea2da44p-2, 0x1.2895f375a1366p-2, 0x1.23377651b2566p-2, 0x1.1de92d0267177p-2, 0x1.18ab2bf826782p-2, 0x1.137d849b9e07bp-2, 0x1.0e604558b455dp-2, 0x1.095379a9cf62ap-2, 0x1.04572a24809eap-2, 0x1.fed6b910be0d5p-3, 0x1.f52027a12da6ep-3, 0x1.eb8aa090e9508p-3, 0x1.e2161f45cfb9p-3, 0x1.d8c29a29aa57p-3, 0x1.cf9002e3b7593p-3, 0x1.c67e469625608p-3, 0x1.bd8d4e1e73dcap-3, 0x1.b4bcfe57907cfp-3, 0x1.ac0d385c89493p-3, 0x1.a37dd9cab5824p-3, 0x1.9b0ebd0262848p-3, 0x1.92bfb9651e381p-3, 0x1.8a90a390dbc7cp-3, 0x1.82814d977313ep-3, 0x1.7a9187320c0d2p-3, 0x1.72c11df02b31ap-3, 0x1.6b0fe37732a27p-3, 0x1.637d444e332f6p-3, 0x1.5c0964f012b2ap-3, 0x1.54b40d313e15ep-3, 0x1.4d7d031f88ac4p-3, 0x1.46640b17fa326p-3, 0x1.3f68e7dc10f3p-3, 0x1.388b5aa69fa5p-3, 0x1.31cb2340678e8p-3, 0x1.2b28001475157p-3, 0x1.24a1ae4450556p-3, 0x1.1e37e9bc0a856p-3, 0x1.17ea6d460ead8p-3, 0x1.11b8f29ec1fa9p-3, 0x1.0ba33287d86cap-3, 0x1.05a8e4db52711p-3, 0x1.ff93813c3a7dep-4, 0x1.f40af82460481p-4, 0x1.e8b799906d2e4p-4, 0x1.dd98cf61443c1p-4, 0x1.d2ae02584b944p-4, 0x1.c7f69a37233bap-4, 0x1.bd71fdde0be1cp-4, 0x1.b31f93690bb96p-4, 0x1.a8fec04bb6fddp-4, 0x1.9f0ee96bbbcfbp-4, 0x1.954f733a1bc4fp-4, 0x1.8bbfc1cb4f845p-4, 0x1.825f38ee28f85p-4, 0x1.792d3c41b47bep-4, 0x1.70292f4a13071p-4, 0x1.6752758464ecfp-4, 0x1.5ea87279d9ee8p-4, 0x1.562a89d1f34bcp-4, 0x1.4dd81f640ad3ep-4, 0x1.45b097482b9edp-4, 0x1.3db355e74a55fp-4, 0x1.35dfc00ae65e7p-4, 0x1.2e353aec1f28ap-4, 0x1.26b32c4243179p-4, 0x1.1f58fa50df0a8p-4, 0x1.18260bf553a25p-4, 0x1.1119c8b3f3f4ep-4, 0x1.0a3398c4af434p-4, 0x1.0372e51f49ecp-4, 0x1.f9ae2f0e4c9adp-5, 0x1.ecbf352d3c983p-5, 0x1.e017b393e25efp-5, 0x1.d3b68313876f5p-5, 0x1.c79a7e6a6fc29p-5, 0x1.bbc2825731fe3p-5, 0x1.b02d6dab433b5p-5, 0x1.a4da215cb229bp-5, 0x1.99c780971d29ep-5, 0x1.8ef470cbdba1ep-5, 0x1.845fd9c167eacp-5, 0x1.7a08a5a2097c8p-5, 0x1.6fedc109bce2ap-5, 0x1.660e1b13683fcp-5, 0x1.5c68a565560b6p-5, 0x1.52fc543cfc04fp-5, 0x1.49c81e7a13a2ap-5, 0x1.40cafda903fd3p-5, 0x1.3803ee0ca224ap-5, 0x1.2f71eea749faap-5, 0x1.2714014351af6p-5, 0x1.1ee92a7adc735p-5, 0x1.16f071bf0f888p-5, 0x1.0f28e15ea9002p-5, 0x1.0791868c00ee9p-5, 0x1.0029716274096p-5, 0x1.f1df69d67449cp-6, 0x1.e3c6ce43663ddp-6, 0x1.d60741ee45a9fp-6, 0x1.c89efcabd5219p-6, 0x1.bb8c3c48727a6p-6, 0x1.aecd448c80379p-6, 0x1.a2605f3fd3092p-6, 0x1.9643dc2c29b56p-6, 0x1.8a76111ec04f4p-6, 0x1.7ef559e9050f8p-6, 0x1.73c0186065aa3p-6, 0x1.68d4b45d59b88p-6, 0x1.5e319bb9989f1p-6, 0x1.53d5424d900cdp-6, 0x1.49be21ed19abp-6, 0x1.3feaba638248dp-6, 0x1.3659916edc2e9p-6, 0x1.2d0932baaf974p-6, 0x1.23f82fda04649p-6, 0x1.1b252040d53b7p-6, 0x1.128ea13cf0434p-6, 0x1.0a3355ee42b61p-6, 0x1.0211e73ea2428p-6, 0x1.f45207b221747p-7, 0x1.e4eec0410c065p-7, 0x1.d5f76c4c7827p-7, 0x1.c7698b3f1d1e6p-7, 0x1.b942a7b6dd76dp-7, 0x1.ab80576ecc4dfp-7, 0x1.9e203b2882b94p-7, 0x1.911ffe94a9194p-7, 0x1.847d583ad8f1dp-7, 0x1.78360960d1a7bp-7, 0x1.6c47ddf109fc6p-7, 0x1.60b0ac60af2bbp-7, 0x1.556e559513148p-7, 0x1.4a7ec4c89d1eep-7, 0x1.3fdfef6f330b2p-7, 0x1.358fd51a37c6dp-7, 0x1.2b8c7f5c13e5bp-7, 0x1.21d401ab6473ep-7, 0x1.18647945caa57p-7, 0x1.0f3c0d125d81ep-7, 0x1.0658ed83dbcecp-7, 0x1.fb72a8f51fbdfp-8, 0x1.eab70a4bf2ca5p-8, 0x1.da7b97cc6c3b5p-8, 0x1.cabcfc5a8b30bp-8, 0x1.bb77f4c02c872p-8, 0x1.aca94f6ef16b5p-8, 0x1.9e4dec41d56ccp-8, 0x1.9062bc3e9c5p-8, 0x1.82e4c157205adp-8, 0x1.75d10e2a76676p-8, 0x1.6924c5c60a5e4p-8, 0x1.5cdd1b66bfa0dp-8, 0x1.50f75239fe081p-8, 0x1.4570bd1ee4529p-8, 0x1.3a46be6777328p-8, 0x1.2f76c79a11f07p-8, 0x1.24fe5932da6eep-8, 0x1.1adb02657b8ccp-8, 0x1.110a60df0e40cp-8, 0x1.078a208845fafp-8, 0x1.fcaff68fa982fp-9, 0x1.eae3718a7095fp-9, 0x1.d9aa5c5767b41p-9, 0x1.c9007bdb80a1bp-9, 0x1.b8e1af11998a9p-9, 0x1.a949ee92cf951p-9, 0x1.9a354c1f931cfp-9, 0x1.8b9ff229c3f41p-9, 0x1.7d86235f75655p-9, 0x1.6fe43a36d5d3ap-9, 0x1.62b6a87af6f6bp-9, 0x1.55f9f6d99e1d9p-9, 0x1.49aac4721525dp-9, 0x1.3dc5c66526f07p-9, 0x1.3247c7660c375p-9, 0x1.272da74c97947p-9, 0x1.1c745aa87e63p-9, 0x1.1218ea55cd1e4p-9, 0x1.081873128faefp-9, 0x1.fce04a2b7d172p-10, 0x1.ea3a874e8e047p-10, 0x1.d83a4973087c8p-10, 0x1.c6da6107be93ep-10, 0x1.b615c23d94cecp-10, 0x1.a5e7844206f9p-10, 0x1.964ae07c84524p-10, 0x1.873b31ce11d19p-10, 0x1.78b3f3d4104dap-10, 0x1.6ab0c22d8b295p-10, 0x1.5d2d57c32f0bep-10, 0x1.50258e1248575p-10, 0x1.43955c7a0215p-10, 0x1.3778d78c0e954p-10, 0x1.2bbd027a617a5p-10, 0x1.207d519c2bd83p-10, 0x1.15a6368286772p-10, 0x1.0b343320908b4p-10, 0x1.0123e35980b27p-10, 0x1.eee3f8c553afp-11, 0x1.dc36984fb4342p-11, 0x1.ca397165e6384p-11, 0x1.b8e67f2b9c499p-11, 0x1.a837eaade9548p-11, 0x1.982809c22e9e2p-11, 0x1.88b15de9dcda9p-11, 0x1.79ce933c0f9d1p-11, 0x1.6b7a7f53ab809p-11, 0x1.5db020439aaaep-11, 0x1.506a9b8f33c36p-11, 0x1.43a53d2829bedp-11, 0x1.375b76717cb7dp-11, 0x1.2b88dd475efdbp-11, 0x1.20292b0bedb3fp-11, 0x1.15383bb8f298dp-11, 0x1.0ab20cf622aaap-11, 0x1.0092bd34abc2dp-11, 0x1.edad159d1321fp-12, 0x1.daf3a65746486p-12, 0x1.c8f223d4fc21ap-12, 0x1.b7a1c01bfd232p-12, 0x1.a6fbe65ed8038p-12, 0x1.96fa3969e8ed2p-12, 0x1.8796921898c4ep-12, 0x1.78cafdd393ed8p-12, 0x1.6a91bd1757bf3p-12, 0x1.5ce542030270cp-12, 0x1.4fc02eef370d4p-12, 0x1.431d550cd7c4fp-12, 0x1.36f7b30c7a7a4p-12, 0x1.2b4a73cca658cp-12, 0x1.2010ed10d09c4p-12, 0x1.15469e3eb5d91p-12, 0x1.0ae72f245ea38p-12, 0x1.00ee6ec493a1cp-12, 0x1.eeb0a4561900bp-13, 0x1.dc41e68fb10d7p-13, 0x1.ca891fa20be66p-13, 0x1.b97f1058494b5p-13, 0x1.a91cbcbb3b77dp-13, 0x1.995b69ffac8bdp-13, 0x1.8a349c7f712a4p-13, 0x1.7ba215c1cea0fp-13, 0x1.6d9dd28d98da6p-13, 0x1.6022090a80b7bp-13, 0x1.532926ed7a631p-13, 0x1.46adcfb153ba3p-13, 0x1.3aaadadb61985p-13, 0x1.2f1b524a7a6f6p-13, 0x1.23fa7094be34cp-13, 0x1.19439f6c43b7ap-13, 0x1.0ef27611fa2c6p-13, 0x1.0502b7d203746p-13, 0x1.f6e0a515f811ep-14, 0x1.e46eba7ec48a9p-14, 0x1.d2a82d64585aep-14, 0x1.c185c81784a63p-14, 0x1.b1009f135ba31p-14, 0x1.a1120e70496ecp-14, 0x1.91b3b768bee49p-14, 0x1.82df7df0fbb0bp-14, 0x1.748f865eaba54p-14, 0x1.66be3326c3502p-14, 0x1.596622a6fc2e4p-14, 0x1.4c822d029422ep-14, 0x1.400d6211c7a47p-14, 0x1.3403075b62a33p-14, 0x1.285e96239367ep-14, 0x1.1d1bb9861fff6p-14, 0x1.12364ca21eb63p-14, 0x1.07aa58d1f8f91p-14, 0x1.fae827e54cbafp-15, 0x1.e71fbd6ed08f7p-15, 0x1.d3f4861b6851ep-15, 0x1.c15fe51406f45p-15, 0x1.af5b89c7980a2p-15, 0x1.9de16cfc918cdp-15, 0x1.8cebcdf6b4e18p-15, 0x1.7c752fb7867e6p-15, 0x1.6c785651bc71bp-15, 0x1.5cf044583e97p-15, 0x1.4dd83859e9e3cp-15, 0x1.3f2baa7dc3425p-15, 0x1.30e64a28fd3cep-15, 0x1.2303fbbfd84f7p-15, 0x1.1580d673f2e53p-15, 0x1.0859222a38c53p-15, 0x1.f712aae03953ep-16, 0x1.de1c27083fd5ep-16, 0x1.c5c854da5d02p-16, 0x1.ae11224a256a5p-16, 0x1.96f0cba6a2d15p-16, 0x1.8061d827dccbcp-16, 0x1.6a5f16a28e8f7p-16, 0x1.54e39a593caf4p-16, 0x1.3feab7e65e744p-16, 0x1.2b700244b310dp-16, 0x1.176f47f35fa24p-16, 0x1.03e49032ec349p-16, 0x1.e19830b924514p-17, 0x1.bc44a2ad5ee56p-17, 0x1.97c7ba2ef890bp-17, 0x1.741b1893adf7ap-17, 0x1.5138b80869577p-17, 0x1.2f1ae729c80d2p-17, 0x1.0dbc44cd02166p-17, 0x1.da2f77df2c6b8p-18, 0x1.9a50ff98bac7ep-18, 0x1.5bd4104137dc3p-18, 0x1.1eb01b32b7362p-18, 0x1.c5ba191fb860cp-19, 0x1.50a689a32777fp-19, 0x1.bc2e495dd04f6p-20, 0x1.b7f95a79c2ea3p-21, 0x1.3d3f12afda7e5p-29, -0x1.ac081b153424fp-21, -0x1.a8022bca5ab37p-20, -0x1.3ab8a2a49d1b7p-19, -0x1.9f32d8020d0e5p-19, -0x1.00bca835c6f9fp-18, -0x1.30ca8f462314fp-18, -0x1.5fc76afd2326cp-18, -0x1.8db749926041ep-18, -0x1.ba9e01b6bec4bp-18, -0x1.e67f362ef07cp-18, -0x1.08af2cb1c6084p-17, -0x1.1d9f585c5ec6ep-17, -0x1.3211abee8d44cp-17, -0x1.4607a1d8f74c2p-17, -0x1.5982a2a094646p-17, -0x1.6c840643ec05dp-17, -0x1.7f0d15855204bp-17, -0x1.911f0b2bc75c4p-17, -0x1.a2bb1527f93dp-17, -0x1.b3e255be8fafdp-17, -0x1.c495e48f107f6p-17, -0x1.d4d6cf942a8a6p-17, -0x1.e4a61c16600e5p-17, -0x1.f404c791e3c5p-17, -0x1.0179e444f3437p-16, -0x1.08ba07a8fc16fp-16, -0x1.0fc3436fa733dp-16, -0x1.16960aaf53b05p-16, -0x1.1d32ce78bc8efp-16, -0x1.2399fe2295933p-16, -0x1.29cc07939f6p-16, -0x1.2fc957878a1efp-16, -0x1.359259cfd77fap-16, -0x1.3b27798ebe9b4p-16, -0x1.4089216b8bb66p-16, -0x1.45b7bbcdd92bcp-16, -0x1.4ab3b30680ecp-16, -0x1.4f7d717e7f1f7p-16, -0x1.541561da85823p-16, -0x1.587bef28308fcp-16, -0x1.5cb184f60abefp-16, -0x1.60b68f7829c1ep-16, -0x1.648b7b9f743f5p-16, -0x1.6830b7371f4bap-16, -0x1.6ba6b0f605288p-16, -0x1.6eedd8955b987p-16, -0x1.72069ee180fd5p-16, -0x1.74f175c54692dp-16, -0x1.77aed059294ebp-16, -0x1.7a3f22f0b7d1cp-16, -0x1.7ca2e31dfea01p-16, -0x1.7eda87bbb2212p-16, -0x1.80e688f2003fdp-16, -0x1.82c7603912734p-16, -0x1.847d885dec575p-16, -0x1.86097d7b52619p-16, -0x1.876bbd0542f2dp-16, -0x1.88a4c5bd612b9p-16, -0x1.89b517b247fb8p-16, -0x1.8a9d3440cfd56p-16, -0x1.8b5d9e04efbf4p-16, -0x1.8bf6d8da6537ep-16, -0x1.8c6969d3e2a61p-16, -0x1.8cb5d7332fe54p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.4bd0dc13658f1p+0, -0x1.3e7798afb8ee6p+0, -0x1.3249863c2a001p+0, -0x1.2736bc99cf0fp+0, -0x1.1d2ea1712c7aap+0, -0x1.142042f77c8c5p+0, -0x1.0bfaab6c28083p+0, -0x1.04ad1d2c34b62p+0, -0x1.fc4e3e4234418p-1, -0x1.f0b127baa4cebp-1, -0x1.e663e468c34abp-1, -0x1.dd48dbaffcdp-1, -0x1.d543f2b150367p-1, -0x1.ce3a72e7582cp-1, -0x1.c812ff10e400ap-1, -0x1.c2b59e8ff6fcp-1, -0x1.be0bd810c4519p-1, -0x1.ba00cb9ead942p-1, -0x1.b68138cb27d01p-1, -0x1.b37b68aa5f7d2p-1, -0x1.b0df058356023p-1, -0x1.ae9d6d97bbe26p-1, -0x1.aca742ce53727p-1, -0x1.aaf0760af3a9bp-1, -0x1.a96d7625dcf81p-1, -0x1.a813c245ef444p-1, -0x1.a6d9d71394e7cp-1, -0x1.a5b71ebb45964p-1, -0x1.a4a3e41278c8ap-1, -0x1.a39947999233bp-1, -0x1.a29133fb017f8p-1, -0x1.a1864ff60224bp-1, -0x1.a073ed65665efp-1, -0x1.9f55f721fb5dep-1, -0x1.9e28e063c85f1p-1, -0x1.9ce9977b1b62cp-1, -0x1.9b957c0f5ca98p-1, -0x1.9a2a57c6b25aap-1, -0x1.98a657ef42db5p-1, -0x1.970807340a1bap-1, -0x1.954e46f336413p-1, -0x1.937848164e115p-1, -0x1.91858363c1f0ep-1, -0x1.8f75b15c83e0fp-1, -0x1.8d48c1ec85f32p-1, -0x1.8afed46884a6cp-1, -0x1.8898306007ed2p-1, -0x1.86153fa29ffb4p-1, -0x1.8376898f3de98p-1, -0x1.80bcaf7f3a68bp-1, -0x1.7de869f6b777p-1, -0x1.7afa8640260efp-1, -0x1.77f3e42f0e08ap-1, -0x1.74d573e70db31p-1, -0x1.71a033a17649ep-1, -0x1.6e552d7d489d3p-1, -0x1.6af57567c3d09p-1, -0x1.6782272265b0cp-1, -0x1.63fc645d5e088p-1, -0x1.606552d3f0141p-1, -0x1.5cbe1a58c9f0ep-1, -0x1.5907e2cba8e8fp-1, -0x1.5543d202e9b31p-1, -0x1.51742d80afef9p-1, -0x1.4d97e51900608p-1, -0x1.49b0fa4ad7378p-1, -0x1.45c0773f55eadp-1, -0x1.41c75ff1c958cp-1, -0x1.3dc6b218b4739p-1, -0x1.39bf652447ba9p-1, -0x1.35b26a3dcb091p-1, -0x1.31a0ac36fb9ddp-1, -0x1.2d8b0f5f69b22p-1, -0x1.2972713e495acp-1, -0x1.2557a836fcdf3p-1, -0x1.213b8324084b6p-1, -0x1.1d1ec8f644345p-1, -0x1.1902386533513p-1, -0x1.14e687ba0bf6ap-1, -0x1.10cc64ba77446p-1, -0x1.0cb474b360652p-1, -0x1.089f54a03cb0fp-1, -0x1.048d99688b24ap-1, -0x1.007fd02c1197ep-1, -0x1.f8ecfd2d02937p-2, -0x1.f0e446689db3ap-2, -0x1.e8e66b88ac096p-2, -0x1.e0f44f078704ap-2, -0x1.d90ec6e6f0256p-2, -0x1.d1369d2e9979ep-2, -0x1.c96c90607a1ccp-2, -0x1.c1b153e52e675p-2, -0x1.ba059071fb1a7p-2, -0x1.b269e46922fa1p-2, -0x1.aadee4344c005p-2, -0x1.a3651a9824937p-2, -0x1.9bfd0900721ccp-2, -0x1.94a727c4178a7p-2, -0x1.8d63e661755d2p-2, -0x1.8633abb46aeaap-2, -0x1.7f16d62811643p-2, -0x1.780dbbe6e4e1ap-2, -0x1.7118ab0c3a5b8p-2, -0x1.6a37e9d9b7b4ep-2, -0x1.636bb6f2f9c06p-2, -0x1.5cb449a0cf1fdp-2, -0x1.5611d21c97608p-2, -0x1.4f8479e362eep-2, -0x1.490c640fba61ap-2, -0x1.42a9adb84b43dp-2, -0x1.3c5c6e5154edep-2, -0x1.3624b80e84407p-2, -0x1.30029842e87cfp-2, -0x1.29f617bceb554p-2, -0x1.23ff3b1c7ae27p-2, -0x1.1e1e03221118ap-2, -0x1.18526cf5ae4ebp-2, -0x1.129c726566f85p-2, -0x1.0cfc0a1b8f919p-2, -0x1.077127ccf2ed1p-2, -0x1.01fbbc5fe984bp-2, -0x1.f9376c1a88433p-3, -0x1.eea200f8819afp-3, -0x1.e43709b57305fp-3, -0x1.d9f653e57d71dp-3, -0x1.cfdfa87d73ca1p-3, -0x1.c5f2cbfa02fefp-3, -0x1.bc2f7e87536f7p-3, -0x1.b2957c2a3e10dp-3, -0x1.a9247cebbe363p-3, -0x1.9fdc3507035ep-3, -0x1.96bc551a1cdcp-3, -0x1.8dc48a58ef55ep-3, -0x1.84f47ec20ee9cp-3, -0x1.7c4bd954c9accp-3, -0x1.73ca3e47d868dp-3, -0x1.6b6f4f3ff0914p-3, -0x1.633aab85ae35bp-3, -0x1.5b2bf03a406b6p-3, -0x1.5342b88a69577p-3, -0x1.4b7e9ddf78227p-3, -0x1.43df380e00238p-3, -0x1.3c641d8225ad9p-3, -0x1.350ce36962977p-3, -0x1.2dd91dd9d090dp-3, -0x1.26c85ff6f6a11p-3, -0x1.1fda3c142c489p-3, -0x1.190e6efbfd724p-3, -0x1.12640d04b691ap-3, -0x1.0bdaf9cded6edp-3, -0x1.0572c64e09b26p-3, -0x1.fe56063db1564p-4, -0x1.f2068123b5d55p-4, -0x1.e5f61d8768713p-4, -0x1.da23fb5dbe926p-4, -0x1.ce8f3a7b614d8p-4, -0x1.c336fab79475bp-4, -0x1.b81a5c0e0272cp-4, -0x1.ad387ebf857c9p-4, -0x1.a2908371effep-4, -0x1.98218b4ee8875p-4, -0x1.8deab821bca34p-4, -0x1.83eb2c7433e23p-4, -0x1.7a220baa5723cp-4, -0x1.708e7a1d19d4ep-4, -0x1.672f9d33e0e7bp-4, -0x1.5e049b7cd80bp-4, -0x1.550c9cc410079p-4, -0x1.4c46ca295cef6p-4, -0x1.43b24e34f2e46p-4, -0x1.3b4e54eabfb41p-4, -0x1.331a0bdc82b06p-4, -0x1.2b14a23aaee8cp-4, -0x1.233d48e416e37p-4, -0x1.1b933274785ap-4, -0x1.14159351e962dp-4, -0x1.0cc3a1b9413d3p-4, -0x1.059c95c98234p-4, -0x1.fd3f531cb908ep-5, -0x1.ef983213a7908p-5, -0x1.e242447a347b5p-5, -0x1.d53c0a615ab87p-5, -0x1.c88407f782df5p-5, -0x1.bc18c596154a2p-5, -0x1.aff8cfcdd0f09p-5, -0x1.a422b7720219p-5, -0x1.989511a2a7a7ep-5, -0x1.8d4e77d591419p-5, -0x1.824d87de828e5p-5, -0x1.7790e3f669b45p-5, -0x1.6d1732c1b0107p-5, -0x1.62df1f55a6f04p-5, -0x1.58e7593d2401dp-5, -0x1.4f2e947c4c6a1p-5, -0x1.45b389939261dp-5, -0x1.3c74f581f52d4p-5, -0x1.337199c6863ffp-5, -0x1.2aa83c6130613p-5, -0x1.2217a7d2da818p-5, -0x1.19beab1cdbb1ap-5, -0x1.119c19bfce4f5p-5, -0x1.09aecbb9c5eb5p-5, -0x1.01f59d83f5487p-5, -0x1.f4dee01f796ap-6, -0x1.e636518663fb1p-6, -0x1.d7ef62ea50993p-6, -0x1.ca07f0d15fc23p-6, -0x1.bc7de0904b0efp-6, -0x1.af4f203f8c736p-6, -0x1.a279a6afac0ddp-6, -0x1.95fb735cb539ep-6, -0x1.89d28e60dcc13p-6, -0x1.7dfd086662b7ep-6, -0x1.7278fa98b2d57p-6, -0x1.67448694d8667p-6, -0x1.5c5dd6593b48ap-6, -0x1.51c31c34bd2a7p-6, -0x1.477292b53e174p-6, -0x1.3d6a7c9583636p-6, -0x1.33a924aa96c86p-6, -0x1.2a2cddd0a406ap-6, -0x1.20f402d753a46p-6, -0x1.17fcf66db732p-6, -0x1.0f46230dc00a4p-6, -0x1.06cdfae75cb49p-6, -0x1.fd25ef965971ep-7, -0x1.ed273629d68bbp-7, -0x1.dd9cdb2afe1dbp-7, -0x1.ce83fef98d3b4p-7, -0x1.bfd9d0865a178p-7, -0x1.b19b8d25ec82cp-7, -0x1.a3c68062c35f8p-7, -0x1.965803cf2db87p-7, -0x1.894d7ed6f8367p-7, -0x1.7ca46690a18d3p-7, -0x1.705a3d8e83a5ap-7, -0x1.646c93afb93adp-7, -0x1.58d905f0dedecp-7, -0x1.4d9d3e3cb3a16p-7, -0x1.42b6f33cb45dbp-7, -0x1.3823e82999c18p-7, -0x1.2de1ec9be51bbp-7, -0x1.23eedc5c589ebp-7, -0x1.1a489f34996f1p-7, -0x1.10ed28bfbd92bp-7, -0x1.07da783b1d90ep-7, -0x1.fe1d30ae3fc3fp-8, -0x1.ed0f3e1074d35p-8, -0x1.dc875ab035025p-8, -0x1.cc81de6e00c02p-8, -0x1.bcfb369a9c576p-8, -0x1.adefe59aa6cd6p-8, -0x1.9f5c828a9adf9p-8, -0x1.913db8e37adb1p-8, -0x1.8390481ff45dep-8, -0x1.7651036249675p-8, -0x1.697cd11a8e22ap-8, -0x1.5d10aaade6d5ap-8, -0x1.51099c1e47922p-8, -0x1.4564c3b304317p-8, -0x1.3a1f51a222d07p-8, -0x1.2f3687ba5b66ap-8, -0x1.24a7b90e09267p-8, -0x1.1a70499ee00e5p-8, -0x1.108dae0a70cb7p-8, -0x1.06fd6b37a68fdp-8, -0x1.fb7a2c0a35a8bp-9, -0x1.e994a5f065d74p-9, -0x1.d845abdaae1ep-9, -0x1.c788c391e9d9ap-9, -0x1.b7599052fcd4fp-9, -0x1.a7b3d234e679bp-9, -0x1.98936590383b1p-9, -0x1.89f442691513bp-9, -0x1.7bd27bdac2f6fp-9, -0x1.6e2a3f85567p-9, -0x1.60f7d4fd49253p-9, -0x1.54379d3d1916p-9, -0x1.47e61218b8483p-9, -0x1.3bffc5b33cebp-9, -0x1.308161f65a073p-9, -0x1.2567a80bdf39fp-9, -0x1.1aaf6fd93677fp-9, -0x1.1055a77d25a6bp-9, -0x1.065752ceffd1cp-9, -0x1.f96315c09d213p-10, -0x1.e6c2fb0099f8cp-10, -0x1.d4c8d982cdbdap-10, -0x1.c36f5d012ba68p-10, -0x1.b2b157de2ac4p-10, -0x1.a289c23ae6063p-10, -0x1.92f3b91250abbp-10, -0x1.83ea7d57cc826p-10, -0x1.75697319bd58ep-10, -0x1.676c20a7ec97bp-10, -0x1.59ee2dbe4d1fcp-10, -0x1.4ceb62b28479cp-10, -0x1.405fa7a64f048p-10, -0x1.344703bd35102p-10, -0x1.289d9c5662526p-10, -0x1.1d5fb449b102ap-10, -0x1.1289ab28c30a1p-10, -0x1.0817fc842b88cp-10, -0x1.fc0e7e66aebc4p-11, -0x1.e8a84941b9a8ap-11, -0x1.d5f6f0343f6e6p-11, -0x1.c3f43c453ac22p-11, -0x1.b29a279563cdfp-11, -0x1.a1e2dc12fb1e7p-11, -0x1.91c8b23662293p-11, -0x1.82462fc33366p-11, -0x1.735606919d11cp-11, -0x1.64f3135e8fca8p-11, -0x1.57185ca0add13p-11, -0x1.49c11165f44dep-11, -0x1.3cda185c9c806p-11, -0x1.307c980170f64p-11, -0x1.2494fa914dafbp-11, -0x1.191f05ebb8403p-11, -0x1.0e16a337d6b6cp-11, -0x1.0377dde667305p-11, -0x1.f27dc572b6fb4p-12, -0x1.decffda3b98d5p-12, -0x1.cbdf3d86f110ap-12, -0x1.b9a49b59df3fdp-12, -0x1.a81968acfdb7cp-12, -0x1.973730ab5d288p-12, -0x1.86f7b66bd1147p-12, -0x1.7754f34d0189fp-12, -0x1.6849155cad9acp-12, -0x1.59ce7dc7c0d45p-12, -0x1.4bdfbf5301a13p-12, -0x1.3e779ce080537p-12, -0x1.319107fb99a08p-12, -0x1.25271f6fd2ef9p-12, -0x1.19352de8300ap-12, -0x1.0db6a8975a736p-12, -0x1.02a72de94a0cep-12, -0x1.f0050877eab92p-13, -0x1.db89314392c1fp-13, -0x1.c7d2fb5957c98p-13, -0x1.b4dad47ce0452p-13, -0x1.a29970c8545e4p-13, -0x1.9107c87017d9dp-13, -0x1.801f1594c86b3p-13, -0x1.6fd8d22430fcdp-13, -0x1.602eb5cb2a55fp-13, -0x1.511ab3f2a4d58p-13, -0x1.4296f9cbd9945p-13, -0x1.349dec6a8c9a7p-13, -0x1.272a26eaded91p-13, -0x1.1a3678a7642b8p-13, -0x1.0dbde37810daap-13, -0x1.01bb99ff997b2p-13, -0x1.ec55fc0c44712p-14, -0x1.d60f3db9bf83p-14, -0x1.c09a6fa2b2665p-14, -0x1.abef5d4f93f46p-14, -0x1.98062446c423bp-14, -0x1.84d7313241292p-14, -0x1.725b3d18503dp-14, -0x1.608b4aab74ec7p-14, -0x1.4f60a3b06f76cp-14, -0x1.3ed4d6731434ap-14, -0x1.2ee1b34eba62dp-14, -0x1.1f814a5162fe3p-14, -0x1.10ade8e8694b4p-14, -0x1.026217a476915p-14, -0x1.e931301c3e34ap-15, -0x1.ce98c512d4805p-15, -0x1.b4f1489d31536p-15, -0x1.9c317ae0eacd8p-15, -0x1.84507de272383p-15, -0x1.6d45d1d546f31p-15, -0x1.57095186490aap-15, -0x1.41932edff9654p-15, -0x1.2cdbefa2d53dp-15, -0x1.18dc6a0abd9ap-15, -0x1.058dc1c193d6ap-15, -0x1.e5d2c99c9e83fp-16, -0x1.c1d2115394f3dp-16, -0x1.9f0d4ed1403d2p-16, -0x1.7d78fa01ba98cp-16, -0x1.5d0a094478b79p-16, -0x1.3db5ec592f76ap-16, -0x1.1f728762f5678p-16, -0x1.02362e3fa4a0bp-16, -0x1.cbef3fb561a41p-17, -0x1.955c03867d96ep-17, -0x1.60a1b7e1048e5p-17, -0x1.2db0292624a33p-17, -0x1.f8efb091700ap-18, -0x1.99d3e63d4c303p-18, -0x1.3df099ed9ae78p-18, -0x1.ca555e271de22p-19, -0x1.1ed0702b4b967p-19, -0x1.e483488ed2529p-21, 0x1.3747495c98796p-22, 0x1.82f43b7c39577p-20, 0x1.56be2d8630342p-19, 0x1.e6de96e8e18d4p-19, 0x1.3901858881e5bp-18, 0x1.7c28c16d377f3p-18, 0x1.bcf729641a143p-18, 0x1.fb7e1f4fb67b1p-18, 0x1.1be72300d8e1ep-17, 0x1.38fbc521ea6bp-17, 0x1.550495b270abp-17, 0x1.7008e1cecf888p-17, 0x1.8a0fa7d928df6p-17, 0x1.a31f9b76d5393p-17, 0x1.bb3f292cb9288p-17, 0x1.d27479cfa0f05p-17, 0x1.e8c575f48dc2ap-17, 0x1.fe37c9102eef3p-17, 0x1.09687253706d7p-16, 0x1.134b019a4032cp-16, 0x1.1cc6157f46c6dp-16, 0x1.25dc1865ce118p-16, 0x1.2e8f5d3b1736cp-16, 0x1.36e220b3988a6p-16, 0x1.3ed68a7949fa7p-16, 0x1.466eae4906cfap-16, 0x1.4dac8d0a53534p-16, 0x1.549215d552a5ep-16, 0x1.5b2126efb66c8p-16, 0x1.615b8ea52792fp-16, 0x1.67430c4d3b6aep-16, 0x1.6cd9511303105p-16, 0x1.722000c291b5p-16, 0x1.7718b27b9dd0bp-16, 0x1.7bc4f193f8825p-16, 0x1.80263e226116cp-16, 0x1.843e0db817e25p-16, 0x1.880dcbf90ce9dp-16, 0x1.8b96db35c3364p-16, 0x1.8eda94f593859p-16, 0x1.91da4a84218e4p-16, 0x1.949745677815ep-16, 0x1.9712c7e0d8a86p-16, 0x1.994e0d55bf8fbp-16, 0x1.9b4a4ac280f5dp-16, 0x1.9d08af216b84p-16, 0x1.9e8a63b05f2f8p-16, 0x1.9fd08c7139806p-16, 0x1.a0dc4863512bap-16, 0x1.a1aeb1d8a1433p-16, 0x1.a248debcf388p-16, 0x1.a2abe0e4e0193p-16, 0x1.a2d8c6427c797p-16, 0x1.a2d0991d9ad38p-16, 0x1.a294605fc0295p-16, 0x1.a2251fb827605p-16, 0x1.a183d7d1fec0ep-16, 0x1.a0b1867e73ed3p-16, 0x1.9faf26e1d1456p-16, 0x1.9e7db19a3a783p-16, 0x1.9d1e1cdf915bdp-16, 0x1.9b915ca9e78ep-16, 0x1.99d862c3caeb1p-16, 0x1.97f41efb7204p-16, 0x1.95e57f1a329cap-16, 0x1.93ad6f20683f6p-16, 0x1.914cd945886a3p-16, 0x1.8ec4a609de2fbp-16, 0x1.8c15bc4c3bb17p-16, 0x1.8941015712f7p-16, 0x1.864758ed3f81cp-16, 0x1.8329a5554ced1p-16, 0x1.7fe8c76566e53p-16, 0x1.7c859e80a78f7p-16, 0x1.790108affd091p-16, 0x1.755be2958df17p-16, 0x1.719707807f75cp-16, 0x1.6db351630d9c4p-16, 0x1.69b198e108ca9p-16, 0x1.6592b5423405cp-16, 0x1.61577c7cff101p-16, 0x1.5d00c332dfd23p-16, 0x1.588f5cafd7dc4p-16, 0x1.54041ae3f3254p-16, 0x1.4f5fce6a21ecep-16, 0x1.4aa3467af6199p-16, 0x1.45cf50de3e31bp-16, 0x1.40e4ba079b875p-16, 0x1.3be44cf665e33p-16, 0x1.36ced3357a853p-16, 0x1.31a514d85afe3p-16, 0x1.2c67d8739f295p-16, 0x1.2717e31a40b2cp-16, 0x1.21b5f84cbb3d8p-16, 0x1.1c42d9fa8bbcp-16, 0x1.16bf487c04ef8p-16, 0x1.112c0289f6e62p-16, 0x1.0b89c52f78126p-16, 0x1.05d94bcde7649p-16, 0x1.001b500a61237p-16, 0x1.f4a11399cef1p-17, 0x1.e8f35e6e5dbf7p-17, 0x1.dd2ee939dc867p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.9b891802ffa36p-1, 0x1.92ebf042fb81bp-1, 0x1.8a0e037daec75p-1, 0x1.80f3df532f977p-1, 0x1.77a20967e5ecep-1, 0x1.6e1cfc7210cbp-1, 0x1.64692590f83c1p-1, 0x1.5a8ae1e8d2e07p-1, 0x1.50867c7e8e827p-1, 0x1.46602c4efa4aep-1, 0x1.3c1c129d0be93p-1, 0x1.31be397344e21p-1, 0x1.274a92548045fp-1, 0x1.1cc4f518b0a17p-1, 0x1.12311ef255142p-1, 0x1.0792b199aab63p-1, 0x1.f9da65359c9a1p-2, 0x1.e488158870cd2p-2, 0x1.cf350b665923p-2, 0x1.b9e7a2f7b1d5cp-2, 0x1.a4a5fcd619ffep-2, 0x1.8f75fdbf23f6p-2, 0x1.7a5d4e7294e03p-2, 0x1.65615bb8c1c2dp-2, 0x1.5087568dc8fb2p-2, 0x1.3bd4346e9c681p-2, 0x1.274cafc4f9d17p-2, 0x1.12f5486fa222fp-2, 0x1.fda488c87a30dp-3, 0x1.d5cf60d1185d6p-3, 0x1.ae72c1c1444dp-3, 0x1.8795e56011794p-3, 0x1.613f98579c1edp-3, 0x1.3b763c374472bp-3, 0x1.163fc99075b3ep-3, 0x1.e343a45579047p-4, 0x1.9b43069830b16p-4, 0x1.548750252797p-4, 0x1.0f1957b9319a3p-4, 0x1.960272f57ccc4p-5, 0x1.108cb7ecef043p-5, 0x1.1bbdd4ad025e4p-6, 0x1.c0a3e869459ecp-10, -0x1.bbd783a7b89b8p-7, -0x1.d211206b123c8p-6, -0x1.602aa0c15a226p-5, -0x1.d454f2860ea78p-5, -0x1.22c0c48a74694p-4, -0x1.59d5c0b341e38p-4, -0x1.8f6783dd7d0aap-4, -0x1.c374a6c7a6b5p-4, -0x1.f5fc3fd5c8e21p-4, -0x1.137eef134a271p-3, -0x1.2b3cc25bea637p-3, -0x1.4237d2cdd1367p-3, -0x1.58708e9fafab2p-3, -0x1.6de796e2c2163p-3, -0x1.829dbd39903b6p-3, -0x1.96940198ef16p-3, -0x1.a9cb90138b824p-3, -0x1.bc45beb05a254p-3, -0x1.ce040b4c2158cp-3, -0x1.df08198652c3ep-3, -0x1.ef53b0b9609b4p-3, -0x1.fee8b9feb6fecp-3, -0x1.06e49f1f39ec5p-2, -0x1.0dfbb22573755p-2, -0x1.14bab784013fdp-2, -0x1.1b22ddcf53621p-2, -0x1.21355fddf3b83p-2, -0x1.26f383ee1c34ep-2, -0x1.2c5e9ad142702p-2, -0x1.3177ff1d940e5p-2, -0x1.3641146559e1cp-2, -0x1.3abb467442a8p-2, -0x1.3ee808927da39p-2, -0x1.42c8d4cdad6bdp-2, -0x1.465f2b4792da3p-2, -0x1.49ac918a75598p-2, -0x1.4cb291e32d543p-2, -0x1.4f72bac0c8d72p-2, -0x1.51ee9e19b7ee6p-2, -0x1.5427d0d672ab7p-2, -0x1.561fea4183463p-2, -0x1.57d8837ce8799p-2, -0x1.595336fcb6994p-2, -0x1.5a91a006ea2f4p-2, -0x1.5b955a3855421p-2, -0x1.5c60010e93e9cp-2, -0x1.5cf32f76f62cp-2, -0x1.5d507f6242883p-2, -0x1.5d79895d4553fp-2, -0x1.5d6fe42e13666p-2, -0x1.5d352475e37a7p-2, -0x1.5ccadc5776cfcp-2, -0x1.5c329b21e8929p-2, -0x1.5b6decffdc91bp-2, -0x1.5a7e5aaaecb59p-2, -0x1.596569233fad3p-2, -0x1.5824996b3656ap-2, -0x1.56bd684710a9dp-2, -0x1.55314e00773c9p-2, -0x1.5381be2dd04dcp-2, -0x1.51b0277d49791p-2, -0x1.4fbdf3837acebp-2, -0x1.4dac868d8e33p-2, -0x1.4b7d3f76d1f3dp-2, -0x1.493177819f456p-2, -0x1.46ca82337a419p-2, -0x1.4449ad3455deap-2, -0x1.41b04030e41bcp-2, -0x1.3eff7cbfd47d2p-2, -0x1.3c389e49f566p-2, -0x1.395cd9f512f0bp-2, -0x1.366d5e91836e3p-2, -0x1.336b548a4b1f1p-2, -0x1.3057ddd7ba1fcp-2, -0x1.2d3415f474412p-2, -0x1.2a0111d4c6384p-2, -0x1.26bfdfe0368cfp-2, -0x1.237187ed36211p-2, -0x1.20170b3ee4e2bp-2, -0x1.1cb16484c4d44p-2, -0x1.194187dc57e84p-2, -0x1.15c862d4857f7p-2, -0x1.1246dc72bac94p-2, -0x1.0ebdd539add64p-2, -0x1.0b2e2731b2a54p-2, -0x1.0798a5f288aa5p-2, -0x1.03fe1eae9720bp-2, -0x1.005f583f78effp-2, -0x1.f97a2667a2327p-3, -0x1.f23013bc9b754p-3, -0x1.eae1e0cb964ap-3, -0x1.e390e9ad0e5dcp-3, -0x1.dc3e7e689cad3p-3, -0x1.d4ebe31b32ee4p-3, -0x1.cd9a501f0a62p-3, -0x1.c64af2353010cp-3, -0x1.befeeab08ec6cp-3, -0x1.b7b74fa251deep-3, -0x1.b0752c0791e89p-3, -0x1.a9397ff819e52p-3, -0x1.a20540d647c24p-3, -0x1.9ad9597fcfc3cp-3, -0x1.93b6aa7f611c4p-3, -0x1.8c9e0a3f0099ep-3, -0x1.8590453b117c3p-3, -0x1.7e8e1e35ef6d5p-3, -0x1.77984e6bfc96ep-3, -0x1.70af85c81cc8ap-3, -0x1.69d46b187d268p-3, -0x1.63079c439eafbp-3, -0x1.5c49ae7d885b7p-3, -0x1.559b2e7d163c1p-3, -0x1.4efca0b14c278p-3, -0x1.486e8176a85f2p-3, -0x1.41f1454c5931p-3, -0x1.3b8559094e88dp-3, -0x1.352b2211187c4p-3, -0x1.2ee2fe8884bfcp-3, -0x1.28ad4589eb2f7p-3, -0x1.228a475923428p-3, -0x1.1c7a4d9713762p-3, -0x1.167d9b74d3a5ep-3, -0x1.10946de64b734p-3, -0x1.0abefbd45f34ep-3, -0x1.04fd764e794a9p-3, -0x1.fea011773097p-4, -0x1.f36db215570d8p-4, -0x1.e8640fc4aeae9p-4, -0x1.dd8361a022ed7p-4, -0x1.d2cbd4ed09307p-4, -0x1.c83d8d768d761p-4, -0x1.bdd8a5e7a2fcp-4, -0x1.b39d3023701cdp-4, -0x1.a98b359c46fbcp-4, -0x1.9fa2b7a8f9bc4p-4, -0x1.95e3afd8a93cp-4, -0x1.8c4e1044f2297p-4, -0x1.82e1c3e27d90bp-4, -0x1.799eaecfed4fp-4, -0x1.7084aea31f7eap-4, -0x1.67939ab4ca177p-4, -0x1.5ecb446a67e74p-4, -0x1.562b777e78fe6p-4, -0x1.4db3fa4713c02p-4, -0x1.45648dfac5e2bp-4, -0x1.3d3ceef3c69ap-4, -0x1.353cd4f17a1a8p-4, -0x1.2d63f3584781ep-4, -0x1.25b1f96fc2bb3p-4, -0x1.1e26929f2b9ap-4, -0x1.16c166a84745ep-4, -0x1.0f8219e093155p-4, -0x1.08684d68d7e25p-4, -0x1.01739f631cf5fp-4, -0x1.f547564e0763fp-5, -0x1.e7f012e916e2ap-5, -0x1.dae0a14a8a5ddp-5, -0x1.ce1829b7f497fp-5, -0x1.c195d065955b5p-5, -0x1.b558b5cf95a2ap-5, -0x1.a95ff71044bbcp-5, -0x1.9daaae336a74cp-5, -0x1.9237f286b3f26p-5, -0x1.8706d8e749441p-5, -0x1.7c16740c9b305p-5, -0x1.7165d4d06c642p-5, -0x1.66f40a742f006p-5, -0x1.5cc022e3b7ed9p-5, -0x1.52c92af55e20ep-5, -0x1.490e2ea78bccfp-5, -0x1.3f8e395bd425p-5, -0x1.3648560f97318p-5, -0x1.2d3b8f9245a9p-5, -0x1.2466f0b94c2f6p-5, -0x1.1bc98491b9b09p-5, -0x1.1362568fab0aep-5, -0x1.0b3072bb8a1acp-5, -0x1.0332e5dd2e3bdp-5, -0x1.f6d17b49d73bap-6, -0x1.e7a211a53e4bbp-6, -0x1.d8d5aeb5892ap-6, -0x1.ca6a7513446d5p-6, -0x1.bc5e8a4936a7dp-6, -0x1.aeb0171364703p-6, -0x1.a15d479a96071p-6, -0x1.94644bac6f7dep-6, -0x1.87c356f03f408p-6, -0x1.7b78a118954f2p-6, -0x1.6f826611b9abdp-6, -0x1.63dee62d26945p-6, -0x1.588c664a11c8fp-6, -0x1.4d892ffb2540dp-6, -0x1.42d391a97bb25p-6, -0x1.3869deb4f8295p-6, -0x1.2e4a6f9212p-6, -0x1.2473a1e529a26p-6, -0x1.1ae3d89b7d55bp-6, -0x1.11997c01d3d38p-6, -0x1.0892f9d8ef05p-6, -0x1.ff9d8acfc3369p-7, -0x1.ee96af18b6724p-7, -0x1.de0e5d91eb78p-7, -0x1.ce019ea34ad77p-7, -0x1.be6d862cb175ep-7, -0x1.af4f3397a8863p-7, -0x1.a0a3d1e5d81dep-7, -0x1.926897bc389f6p-7, -0x1.849ac76b43b6ep-7, -0x1.7737aef42a8b9p-7, -0x1.6a3ca80b4807ap-7, -0x1.5da71817ecc5bp-7, -0x1.517470319586dp-7, -0x1.45a22d1abf477p-7, -0x1.3a2dd73969d76p-7, -0x1.2f15028d6759ep-7, -0x1.24554ea49cda8p-7, -0x1.19ec668d4761fp-7, -0x1.0fd800c663a91p-7, -0x1.0615df2e5303ap-7, -0x1.f9479ddfaae06p-8, -0x1.e6ff50dae4424p-8, -0x1.d54e9e56ca997p-8, -0x1.c431637057c92p-8, -0x1.b3a3932782612p-8, -0x1.a3a1362b4a7cdp-8, -0x1.94266aa382cb2p-8, -0x1.852f63f879c7ap-8, -0x1.76b86a98ae34ep-8, -0x1.68bddbbcb2078p-8, -0x1.5b3c292960119p-8, -0x1.4e2fd8f08635p-8, -0x1.419585302944cp-8, -0x1.3569dbd07de2p-8, -0x1.29a99e40b7d4ep-8, -0x1.1e51a132cf663p-8, -0x1.135ecc5654a85p-8, -0x1.08ce1a12719cap-8, -0x1.fd392e7e5ef58p-9, -0x1.e98ec5bc409fcp-9, -0x1.d6975ba4f7c2p-9, -0x1.c44d75319bddbp-9, -0x1.b2abb9fc94ce8p-9, -0x1.a1acf3afb42fdp-9, -0x1.914c0d71ed5e4p-9, -0x1.81841354d1cd2p-9, -0x1.725031c1f526cp-9, -0x1.63abb4e85dcf5p-9, -0x1.5592082a1cd04p-9, -0x1.47feb58a3ac44p-9, -0x1.3aed651b05978p-9, -0x1.2e59dc6cea75p-9, -0x1.223ffdfdf023bp-9, -0x1.169bc8a9e8ea2p-9, -0x1.0b69571b7a5d9p-9, -0x1.00a4df3e0ed06p-9, -0x1.ec9563617f28bp-10, -0x1.d8ae7274b4cc1p-10, -0x1.c58df47d09a63p-10, -0x1.b32d24683381ap-10, -0x1.a1856e399aea9p-10, -0x1.90906dfc4d8d6p-10, -0x1.8047eeb7bee77p-10, -0x1.70a5e96764ce5p-10, -0x1.61a483f55975p-10, -0x1.533e1038052f9p-10, -0x1.456d0af2f2dd5p-10, -0x1.382c1adae21c1p-10, -0x1.2b760f9d1bc6bp-10, -0x1.1f45e0ea24e3dp-10, -0x1.1396ad83d6c66p-10, -0x1.0863ba4ee9e2dp-10, -0x1.fb50e2d00c4d4p-11, -0x1.e6c0c2789b91ap-11, -0x1.d30e774b0bddp-11, -0x1.c031aa139a4cfp-11, -0x1.ae2246fde37e8p-11, -0x1.9cd87be2d0d6bp-11, -0x1.8c4cb69dcdd4ap-11, -0x1.7c77a3694ca31p-11, -0x1.6d522b4297a7fp-11, -0x1.5ed57254f69a6p-11, -0x1.50fad66c21f0ep-11, -0x1.43bbed6e03144p-11, -0x1.371283dbbf16dp-11, -0x1.2af89b5a01948p-11, -0x1.1f68694085412p-11, -0x1.145c5530ce35fp-11, -0x1.09cef7b40da9cp-11, -0x1.ff7631c0447a5p-12, -0x1.ec375e0756cdap-12, -0x1.d9d7bab23cdbep-12, -0x1.c84de581a617ep-12, -0x1.b790d103e994p-12, -0x1.a797c2249409dp-12, -0x1.985a4dc983744p-12, -0x1.89d0567d63a65p-12, -0x1.7bf20a276ff32p-12, -0x1.6eb7dfd04d502p-12, -0x1.621a9573d8778p-12, -0x1.56132ddfc0697p-12, -0x1.4a9aee9ebee82p-12, -0x1.3fab5df04a74bp-12, -0x1.353e40cc920fap-12, -0x1.2b4d98f49b8edp-12, -0x1.21d3a30e4f63fp-12, -0x1.18cad4cc50804p-12, -0x1.102ddb2166b03p-12, -0x1.07f7987f5599ep-12, -0x1.00232320f02efp-12, -0x1.f15786be6a741p-13, -0x1.e319e42299e4fp-13, -0x1.d584adee63ffp-13, -0x1.c88f8e5db9dc9p-13, -0x1.bc3287677820fp-13, -0x1.b065efd099f43p-13, -0x1.a52270534df71p-13, -0x1.9a6100d9931bfp-13, -0x1.901ae5caeccfp-13, -0x1.8649ad6cf0459p-13, -0x1.7ce72d562b0f1p-13, -0x1.73ed7ff31f598p-13, -0x1.6b57021ced6ccp-13, -0x1.631e50c149171p-13, -0x1.5b3e469b777bdp-13, -0x1.53b1f9fdd477p-13, -0x1.4c74baabae0c3p-13, -0x1.45820fc2fe146p-13, -0x1.3ed5b5b5b935ep-13, -0x1.386b9c5259f9cp-13, -0x1.323fe4db496ccp-13, -0x1.2c4ee02cda87ap-13, -0x1.26950cf1801adp-13, -0x1.210f15e3e076bp-13, -0x1.1bb9d01e88aa4p-13, -0x1.16923978d428cp-13, -0x1.119576f0d0174p-13, -0x1.0cc0d321bac8ap-13, -0x1.0811bcc6dcbffp-13, -0x1.0385c54a62f4fp-13, -0x1.fe353ebfe9fe3p-14, -0x1.f59c3b558accap-14, -0x1.ed3c62dd73d8bp-14, -0x1.e511d2990124bp-14, -0x1.dd18e0106af5bp-14, -0x1.d54e16b4ba9f2p-14, -0x1.cdae3595d49d4p-14, -0x1.c6362d2c26815p-14, -0x1.bee31d3551265p-14, -0x1.b7b252a3734f7p-14, -0x1.b0a1459e70c15p-14, -0x1.a9ad9796e12b4p-14, -0x1.a2d51169faa87p-14, -0x1.9c15a19638cd7p-14, -0x1.956d5a80135p-14, -0x1.8eda70c676a61p-14, -0x1.885b39a67e589p-14, -0x1.81ee296e029cp-14, -0x1.7b91d1fc90572p-14, -0x1.7544e1525e10ap-14, -0x1.6f06202cd857cp-14, -0x1.68d470b05e414p-14, -0x1.62aecd1ecab5ep-14, -0x1.5c94469a6b46cp-14, -0x1.568403f502e47p-14, -0x1.507d408a7c6a7p-14, -0x1.4a7f4b26f3a5fp-14, -0x1.448984f7baf31p-14, -0x1.3e9b6087063fap-14, -0x1.38b460c1e8c4ep-14, -0x1.32d41808523d3p-14, -0x1.2cfa2746b9fb6p-14, -0x1.27263d192b819p-14, -0x1.215814f76697ap-14, -0x1.1b8f7669c7f04p-14, -0x1.15cc3446b4771p-14, -0x1.100e2bf83ab8cp-14, -0x1.0a5544c9ac3e1p-14, -0x1.04a16f3ce66fbp-14, -0x1.fde548ce14ac3p-15, -0x1.f291caa8cb901p-15, -0x1.e74874e699ff3p-15, -0x1.dc09660b5412bp-15, -0x1.d0d4c9320c7e8p-15, -0x1.c5aad509a73ebp-15, -0x1.ba8bcadd84395p-15, -0x1.af77f5a9c9222p-15, -0x1.a46fa93aeec0dp-15, -0x1.9973415820d4bp-15, -0x1.8e8320f81177fp-15, -0x1.839fb17fe02c1p-15, -0x1.78c9620bb4b9cp-15, -0x1.6e00a6c0b3d21p-15, -0x1.6345f827f2a47p-15, -0x1.5899d29217469p-15, -0x1.4dfcb583502c8p-15, -0x1.436f232751fdbp-15, -0x1.38f19fcd0b6ebp-15, -0x1.2e84b169c8252p-15, -0x1.2428df2373bf3p-15, -0x1.19deb0e1b6bcbp-15, -0x1.0fa6aee5a932p-15, -0x1.05816167d840dp-15, -0x1.f6dea078b2547p-16, -0x1.e2e204f9621ap-16, -0x1.cf0dfc6e9f7cp-16, -0x1.bb639048c5ff9p-16, -0x1.a7e3c6bf98d6ep-16, -0x1.948fa24ff8238p-16, -0x1.8168214305981p-16, -0x1.6e6e3d3e40228p-16, -0x1.5ba2eadc3c8cdp-16, -0x1.4907194d99ccfp-16, -0x1.369bb201cc225p-16, -0x1.246198576cdc7p-16, -0x1.1259a953b56fdp-16, -0x1.0084bb60ca557p-16, -0x1.ddc73c2519df2p-17, -0x1.baee33e34eae8p-17, -0x1.987fe098ed228p-17, -0x1.767db61b3d1e3p-17, -0x1.54e9192fea3dcp-17, -0x1.33c35f4ef6744p-17, -0x1.130dce6e6d061p-17, -0x1.e59339ae4bd28p-18, -0x1.a5efe2048c7fcp-18, -0x1.6733c2fde9286p-18, -0x1.2960e9bfad8aep-18, -0x1.d8f286bfa8fa5p-19, -0x1.60fd39b9424bcp-19, -0x1.d5ca8c853cb64p-20, -0x1.dab718b911799p-21, -0x1.1664e108ba709p-25, 0x1.b052dcbce91c8p-21, 0x1.b5357cede60aep-20, 0x1.4736657ee4817p-19, 0x1.b1e5cd8ab9d1fp-19, 0x1.0d53aaae1bc12p-18, 0x1.40bccc44ecf3fp-18, 0x1.732db76372781p-18, 0x1.a4a5f58ef51fap-18, 0x1.d5252d8f68d77p-18, 0x1.025591805368bp-17, 0x1.199bdaef2b2fbp-17, 0x1.3065710579dfcp-17, 0x1.46b25f693155dp-17, 0x1.5c82bf343832dp-17, 0x1.71d6b6b1d1e55p-17, 0x1.86ae791a67376p-17, 0x1.9b0a464dc9077p-17, 0x1.aeea6a8c26193p-17, 0x1.c24f3e2de2668p-17, 0x1.d539255a5c9e2p-17, 0x1.e7a88fbde9e03p-17, 0x1.f99df83f03646p-17, 0x1.058cf25979366p-16, 0x1.0e0e72c8f8366p-16, 0x1.1653cad57d681p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d8a2eb7a47ec8p-1, 0x1.d585d55749faep-1, 0x1.d24b7c52e1ac1p-1, 0x1.cef4f9f244d03p-1, 0x1.cb836938a39a1p-1, 0x1.c7f7e5f9acb5bp-1, 0x1.c4538c3882a71p-1, 0x1.c09777928f1cep-1, 0x1.bcc4c2b597a43p-1, 0x1.b8dc86e07e356p-1, 0x1.b4dfdb6e15a51p-1, 0x1.b0cfd5697e1f6p-1, 0x1.acad872b7931ap-1, 0x1.a87a000034877p-1, 0x1.a4364bd5092b7p-1, 0x1.9fe372edb81bcp-1, 0x1.9b8279a0b1693p-1, 0x1.97146019f8cdbp-1, 0x1.929a22244303cp-1, 0x1.8e14b6f7e9ca9p-1, 0x1.8985110f5b8d8p-1, 0x1.84ec1e00b1cc6p-1, 0x1.804ac65c1b5ep-1, 0x1.7ba1ed8ece053p-1, 0x1.76f271ca3852bp-1, 0x1.723d2bef2de45p-1, 0x1.6d82ef7ccb294p-1, 0x1.68c48a82d8cf5p-1, 0x1.6402c5976d524p-1, 0x1.5f3e63cf9bdadp-1, 0x1.5a7822baf8cb9p-1, 0x1.55b0ba61c1d7ep-1, 0x1.50e8dd457da9dp-1, 0x1.4c213863e3985p-1, 0x1.475a733be24c9p-1, 0x1.42952fd49dc3ep-1, 0x1.3dd20ac63dbf9p-1, 0x1.39119b4467eb3p-1, 0x1.3454732a46efp-1, 0x1.2f9b1f07f9ee1p-1, 0x1.2ae626314fa1p-1, 0x1.26360acdb2721p-1, 0x1.218b49e92698ep-1, 0x1.1ce65b864123cp-1, 0x1.1847b2b103b43p-1, 0x1.13afbd927f764p-1, 0x1.0f1ee5852ed5bp-1, 0x1.0a958f29f10b4p-1, 0x1.06141a7d9034fp-1, 0x1.019ae2eec6f87p-1, 0x1.fa547ee95c53p-2, 0x1.f185054b0e79bp-2, 0x1.e8c7f59ba5a23p-2, 0x1.e01de40f4bc7p-2, 0x1.d7875ca46332p-2, 0x1.cf04e352de2e9p-2, 0x1.c696f43bd0593p-2, 0x1.be3e03d91c85cp-2, 0x1.b5fa7f2d335b9p-2, 0x1.adcccbf2c8453p-2, 0x1.a5b548cc768a8p-2, 0x1.9db44d743ae05p-2, 0x1.95ca2aeabf3b3p-2, 0x1.8df72ba661246p-2, 0x1.863b93c1ee2c1p-2, 0x1.7e97a12b05c1dp-2, 0x1.770b8bd01c0ddp-2, 0x1.6f9785ce0bc25p-2, 0x1.683bbb9d3675p-2, 0x1.60f8543e2810ap-2, 0x1.59cd7165b5041p-2, 0x1.52bb2fa88e57cp-2, 0x1.4bc1a6a643bffp-2, 0x1.44e0e933b3aa4p-2, 0x1.3e190584db355p-2, 0x1.376a05560a767p-2, 0x1.30d3ee1472f24p-2, 0x1.2a56c1061278ap-2, 0x1.23f27b70f0485p-2, 0x1.1da716c1b06e6p-2, 0x1.177488b178fc9p-2, 0x1.115ac36b235dap-2, 0x1.0b59b5afbd4dbp-2, 0x1.05714afa55806p-2, 0x1.ff42d7462a8ep-3, 0x1.f3d3fa033db64p-3, 0x1.e895c31d793d9p-3, 0x1.dd87f20aa59bep-3, 0x1.d2aa41053fe4ep-3, 0x1.c7fc654b83f94p-3, 0x1.bd7e0f5d0e13ep-3, 0x1.b32eeb370d8b1p-3, 0x1.a90ea08f0fcf5p-3, 0x1.9f1cd30c59fa7p-3, 0x1.9559227fe367ap-3, 0x1.8bc32b1ae17fdp-3, 0x1.825a85a3f5704p-3, 0x1.791ec7aaf21e4p-3, 0x1.700f83bb4bf08p-3, 0x1.672c498d2459cp-3, 0x1.5e74a634fd76bp-3, 0x1.55e82452204c7p-3, 0x1.4d864c3ba32eep-3, 0x1.454ea42c30dafp-3, 0x1.3d40b06c76c22p-3, 0x1.355bf37c56ad5p-3, 0x1.2d9fee3ad2eafp-3, 0x1.260c200cb7ac4p-3, 0x1.1ea007020ec2ep-3, 0x1.175b1ffa5f81fp-3, 0x1.103ce6c7b81ep-3, 0x1.0944d6508b1b4p-3, 0x1.027268b06994ap-3, 0x1.f78a2eaf2868fp-4, 0x1.ea78b652e5666p-4, 0x1.ddaf5933de728p-4, 0x1.d12d07937797ep-4, 0x1.c4f0b14318a72p-4, 0x1.b8f945d888b38p-4, 0x1.ad45b4e03809p-4, 0x1.a1d4ee0d913d7p-4, 0x1.96a5e169542c7p-4, 0x1.8bb77f7dff71dp-4, 0x1.8108b98259f9fp-4, 0x1.7698818226ae6p-4, 0x1.6c65ca8508c29p-4, 0x1.626f88b3a70bep-4, 0x1.58b4b17b14074p-4, 0x1.4f343bae8b158p-4, 0x1.45ed1fa786194p-4, 0x1.3cde57643bd1bp-4, 0x1.3406dea48cef4p-4, 0x1.2b65b3056d123p-4, 0x1.22f9d41acf446p-4, 0x1.1ac24388215e1p-4, 0x1.12be051760016p-4, 0x1.0aec1ececcadcp-4, 0x1.034b9905501ebp-4, 0x1.f7b6fceb25a03p-5, 0x1.e935b89fa77efp-5, 0x1.db11849512684p-5, 0x1.cd488563a5e27p-5, 0x1.bfd8e4eb8f57ep-5, 0x1.b2c0d26f5101ep-5, 0x1.a5fe82abff068p-5, 0x1.99902fef6d863p-5, 0x1.8d741a2c5b367p-5, 0x1.81a8870cacf08p-5, 0x1.762bc201c6dffp-5, 0x1.6afc1c531a88dp-5, 0x1.6017ed2af3808p-5, 0x1.557d91a197f44p-5, 0x1.4b2b6cc6cb117p-5, 0x1.411fe7a9bceb3p-5, 0x1.3759715f8025p-5, 0x1.2dd67f080aa87p-5, 0x1.24958bd1d6ddap-5, 0x1.1b9518fc2ff35p-5, 0x1.12d3add8390dp-5, 0x1.0a4fd7c8bd68ep-5, 0x1.02082a40d358ap-5, 0x1.f3f67d82cc34cp-6, 0x1.e44f69ab55965p-6, 0x1.d518641d2a699p-6, 0x1.c64ec3faa37d5p-6, 0x1.b7efec59ace57p-6, 0x1.a9f94c3520bbap-6, 0x1.9c685e5c80971p-6, 0x1.8f3aa9620f228p-6, 0x1.826dbf877a5fcp-6, 0x1.75ff3ea90e25fp-6, 0x1.69ecd027985f4p-6, 0x1.5e3428d10c658p-6, 0x1.52d308c7f4437p-6, 0x1.47c73b69c4f85p-6, 0x1.3d0e97342cf5ap-6, 0x1.32a6fda967656p-6, 0x1.288e5b33a5d09p-6, 0x1.1ec2a707a3262p-6, 0x1.1541e3067104bp-6, 0x1.0c0a1b9e89d6fp-6, 0x1.031967ac39585p-6, 0x1.f4dbd0b2d32d6p-7, 0x1.e40b91f9c7d6p-7, 0x1.d3be7df21b4dbp-7, 0x1.c3f1133465858p-7, 0x1.b49fe3e8d39f4p-7, 0x1.a5c795823a42ap-7, 0x1.9764e0787806bp-7, 0x1.8974900267447p-7, 0x1.7bf381cf3c22cp-7, 0x1.6edea5bf9adc2p-7, 0x1.6232fd9e5120bp-7, 0x1.55ed9cd8d2f4cp-7, 0x1.4a0ba8379a00cp-7, 0x1.3e8a559659882p-7, 0x1.3366eb9c3c3acp-7, 0x1.289ec174194c6p-7, 0x1.1e2f3e84c7f21p-7, 0x1.1415da2992ae8p-7, 0x1.0a501b6adc03fp-7, 0x1.00db98b700a77p-7, 0x1.ef6bef37072cep-8, 0x1.ddb9d8fd1c64p-8, 0x1.cc9c74b1a37cp-8, 0x1.bc0f64dfa1c27p-8, 0x1.ac0e68213f945p-8, 0x1.9c9558963bd8ep-8, 0x1.8da02b5b70848p-8, 0x1.7f2af0036e9cbp-8, 0x1.7131d0104721cp-8, 0x1.63b10e6e8907ap-8, 0x1.56a506f18a328p-8, 0x1.4a0a2dd0fd277p-8, 0x1.3ddd0f27e88d5p-8, 0x1.321a4e75046f4p-8, 0x1.26bea61c8a7acp-8, 0x1.1bc6e6eb811b3p-8, 0x1.112ff79c899dp-8, 0x1.06f6d45e39813p-8, 0x1.fa311cb609d64p-9, 0x1.e72496858143fp-9, 0x1.d4c289ab843cap-9, 0x1.c30590e33fcb2p-9, 0x1.b1e86d3f35477p-9, 0x1.a16605495b385p-9, 0x1.917964269af4bp-9, 0x1.821db8bdae65ap-9, 0x1.734e54e1602a2p-9, 0x1.6506ac7e317c3p-9, 0x1.574254cb69c9ap-9, 0x1.49fd037f947f5p-9, 0x1.3d328e0862571p-9, 0x1.30dee8c5fd599p-9, 0x1.24fe2649c0f1fp-9, 0x1.198c76985e84ep-9, 0x1.0e86266f66194p-9, 0x1.03e79e8e2fb17p-9, 0x1.f35ac604528dfp-10, 0x1.dfa824ecf3485p-10, 0x1.ccb0cb0dfffbfp-10, 0x1.ba6e5c2d3ff5ap-10, 0x1.a8daad51afcbp-10, 0x1.97efc37d469a5p-10, 0x1.87a7d26d271a4p-10, 0x1.77fd3b604c3d7p-10, 0x1.68ea8be48b22p-10, 0x1.5a6a7ca9efed4p-10, 0x1.4c77f05c54ee9p-10, 0x1.3f0df28329e5cp-10, 0x1.3227b6675baa5p-10, 0x1.25c095ff448f3p-10, 0x1.19d410e09a3ffp-10, 0x1.0e5dcb3843b39p-10, 0x1.03598cc7fc854p-10, 0x1.f1867fd3846d1p-11, 0x1.dd2de131cf18p-11, 0x1.c9a1970186335p-11, 0x1.b6da3a21c47ffp-11, 0x1.a4d0a12d56322p-11, 0x1.937ddeb8b4d62p-11, 0x1.82db3f9a8d50ep-11, 0x1.72e2493ea9b3cp-11, 0x1.638cb80311a0ep-11, 0x1.54d47d9f387e3p-11, 0x1.46b3bf950d8e1p-11, 0x1.3924d5abc52bep-11, 0x1.2c2248742d75ep-11, 0x1.1fa6cfd667364p-11, 0x1.13ad51a8d51bap-11, 0x1.0830e05019658p-11, 0x1.fa5972cfebc43p-12, 0x1.e53888e9c6761p-12, 0x1.d0f6233c73793p-12, 0x1.bd89b0e175744p-12, 0x1.aaeaed52b1915p-12, 0x1.9911de101b728p-12, 0x1.87f6d0553917p-12, 0x1.779256de21057p-12, 0x1.67dd47bba8dd8p-12, 0x1.58d0ba36749c6p-12, 0x1.4a6604c09100bp-12, 0x1.3c96baf551735p-12, 0x1.2f5caba71ff16p-12, 0x1.22b1defaf4a7bp-12, 0x1.169094912261fp-12, 0x1.0af341bb3a8e6p-12, 0x1.ffa91f7d59ec2p-13, 0x1.ea5eb447d5bbap-13, 0x1.d5fd5a236e315p-13, 0x1.c27b8768d0171p-13, 0x1.afd00d619524dp-13, 0x1.9df21544d10d2p-13, 0x1.8cd91d49d8631p-13, 0x1.7c7cf5d0b3ef7p-13, 0x1.6cd5be9fc5f56p-13, 0x1.5ddbe4361fb35p-13, 0x1.4f881d31fa9bdp-13, 0x1.41d367cae4b06p-13, 0x1.34b7075f2016bp-13, 0x1.282c8213b6e7ap-13, 0x1.1c2d9e86d2a22p-13, 0x1.10b46193e05b4p-13, 0x1.05bb0c290ac78p-13, 0x1.f678325b38735p-14, 0x1.e26476f1b000ap-14, 0x1.cf30b7b1c37e3p-14, 0x1.bcd32e527d263p-14, 0x1.ab4278f12844cp-14, 0x1.9a75967a6d99ap-14, 0x1.8a63e3303e479p-14, 0x1.7b05154bdcc76p-14, 0x1.6c5139bb32p-14, 0x1.5e40b0f8b7d99p-14, 0x1.50cc2bfd3df14p-14, 0x1.43eca94ad4a64p-14, 0x1.379b72102df45p-14, 0x1.2bd21763c27d8p-14, 0x1.208a6f961678p-14, 0x1.15be939a74fc3p-14, 0x1.0b68dc857f35cp-14, 0x1.0183e120f5156p-14, 0x1.f014e7282ceddp-15, 0x1.ddef3e4015fe3p-15, 0x1.cc8d4bdf72bd6p-15, 0x1.bbe5fdf4fe41ep-15, 0x1.abf0a7f276d98p-15, 0x1.9ca4feda48b4bp-15, 0x1.8dfb156fbc468p-15, 0x1.7feb5888a82d2p-15, 0x1.726e8b7fa4ad7p-15, 0x1.657dc4c5c5452p-15, 0x1.59126a92e74bdp-15, 0x1.4d262fb3ace41p-15, 0x1.41b31074321ebp-15, 0x1.36b34fa6a8d3ep-15, 0x1.2c2173c4f49c4p-15, 0x1.21f8442c781b9p-15, 0x1.1832c673407c2p-15, 0x1.0ecc3bd5c4fc5p-15, 0x1.05c01ebc768e1p-15, 0x1.fa1440b0b7ccfp-16, 0x1.e94c4cac075d5p-16, 0x1.d920914c2a2d2p-16, 0x1.c9899eb593d9fp-16, 0x1.ba8061335901p-16, 0x1.abfe1d41ddbfap-16, 0x1.9dfc6bbf6a084p-16, 0x1.90753641780b9p-16, 0x1.8362b38d758ffp-16, 0x1.76bf6433dc4fep-16, 0x1.6a860f4c770dep-16, 0x1.5eb1bf52b6bcbp-16, 0x1.533dbf2110011p-16, 0x1.4825970a474e8p-16, 0x1.3d650a0fb9817p-16, 0x1.32f8133394313p-16, 0x1.28dae2e6194c6p-16, 0x1.1f09dc8cf9027p-16, 0x1.15819423d9f22p-16, 0x1.0c3ecbf5399b7p-16, 0x1.033e726ac389cp-16, 0x1.f4fb3fe8a523ep-17, 0x1.e3f32a09a1e16p-17, 0x1.d35f70485decfp-17, 0x1.c33b282b5fba5p-17, 0x1.b381ac23b8788p-17, 0x1.a42e9826b36dbp-17, 0x1.953dc66c07328p-17, 0x1.86ab4c4f2eeb3p-17, 0x1.78737752a73dp-17, 0x1.6a92ca43c7db1p-17, 0x1.5d05fa7e24f7dp-17, 0x1.4fc9ed4d219c5p-17, 0x1.42dbb56ac43cfp-17, 0x1.3638909a8d9dep-17, 0x1.29dde55f663f7p-17, 0x1.1dc940cb85fcep-17, 0x1.11f854696710ap-17, 0x1.0668f43ccb764p-17, 0x1.f63229b5d6f78p-18, 0x1.e00d9331cfe07p-18, 0x1.ca60859f492cep-18, 0x1.b52798686a473p-18, 0x1.a05f96882092fp-18, 0x1.8c057b8880abbp-18, 0x1.781670a5a52fp-18, 0x1.648fca13961abp-18, 0x1.516f0465d4c74p-18, 0x1.3eb1c2172e95ap-18, 0x1.2c55c9308c009p-18, 0x1.1a59010d76a7bp-18, 0x1.08b9703d227fep-18, 0x1.eeea74fd9145cp-19, 0x1.cd153db06e852p-19, 0x1.abefeb8afa4b3p-19, 0x1.8b775f014099bp-19, 0x1.6ba8a4c0c6892p-19, 0x1.4c80f29a2addap-19, 0x1.2dfda4950878bp-19, 0x1.101c3a2c3fa6bp-19, 0x1.e5b4a761e17fcp-20, 0x1.ac6b5fa4cf3f6p-20, 0x1.74585292d33aep-20, 0x1.3d77694a93b55p-20, 0x1.07c4bc7290252p-20, 0x1.a67920a30cdf9p-21, 0x1.3fb6a2437707ep-21, 0x1.b6763e71d0217p-22, 0x1.e3ffedd853a72p-23, 0x1.8fed7564c815cp-25, -0x1.1339d86278f47p-23, -0x1.40dbc8df0a70ep-22, -0x1.f3ca7ddd490c7p-22, -0x1.513a292a1030cp-21, -0x1.a6722365fba6ep-21, -0x1.f9928ea6c033ep-21, -0x1.2550583c2df2cp-20, -0x1.4cd0db3886cb7p-20, -0x1.734d5cb937a36p-20, -0x1.98c8605643d05p-20, -0x1.bd446232e18efp-20, -0x1.e0c3d845961bbp-20, -0x1.01a499c2e0ee7p-19, -0x1.126b708014093p-19, -0x1.22b7a569d4aa7p-19, -0x1.328a6c8bc843fp-19, -0x1.41e4f9564f94cp-19, -0x1.50c87efd0b063p-19, -0x1.5f3630cbe549ep-19, -0x1.6d2f4273332ecp-19, -0x1.7ab4e84b6caf7p-19, -0x1.87c85790fc526p-19, -0x1.946ac6989cc1fp-19, -0x1.a09d6cfcba362p-19, -0x1.ac6183c4465eap-19, -0x1.b7b8458360cb5p-19, -0x1.c2a2ee7643aa8p-19, -0x1.cd22bc96cabfbp-19, -0x1.d738efacf56c3p-19, -0x1.e0e6c95ab7f34p-19, -0x1.ea2d8d236e68ep-19, -0x1.f30e806f45747p-19, -0x1.fb8aea8adc5a7p-19, -0x1.01d20a51b70f7p-18, -0x1.05ada4dfe04afp-18, -0x1.0958eb5b10259p-18, -0x1.0cd4850fceda3p-18, -0x1.10211a246823ep-18, -0x1.133f53902714fp-18, -0x1.162fdb118954dp-18, -0x1.18f35b237fadbp-18, -0x1.1b8a7ef1d6b79p-18, -0x1.1df5f24cdc61ap-18, -0x1.2036619c55a93p-18, -0x1.224c79d1dc21ep-18, -0x1.2438e85ab2ddfp-18, -0x1.25fc5b1125bep-18, -0x1.2797802d83956p-18, -0x1.290b0636c5023p-18, -0x1.2a579bf2e89e3p-18, -0x1.2b7df0571be21p-18, -0x1.2c7eb277b3e5dp-18, -0x1.2d5a91780a76p-18, -0x1.2e123c7a44f72p-18, -0x1.2ea6628f14146p-18, -0x1.2f17b2a573b83p-18, -0x1.2f66db7a751b7p-18, -0x1.2f948b891cb7ep-18, -0x1.2fa170fa5b9c4p-18, -0x1.2f8e39952a798p-18, -0x1.2f5b92aecfa25p-18, -0x1.2f0a291b53bc4p-18, -0x1.2e9aa91e2eeedp-18, -0x1.2e0dbe5b2f24cp-18, -0x1.2d6413c79f26fp-18, -0x1.2c9e539bb6103p-18, -0x1.2bbd274449e94p-18, -0x1.2ac13754d624fp-18, -0x1.29ab2b79cc2f7p-18, -0x1.287baa6b3cc3ep-18, -0x1.273359dfd2402p-18, -0x1.25d2de8028a5ap-18, -0x1.245adbda7bc83p-18, -0x1.22cbf456b3735p-18, -0x1.2126c92acf412p-18, -0x1.1f6bfa4fadcf7p-18, -0x1.1d9c267637f93p-18, -0x1.1bb7eafce9728p-18, -0x1.19bfe3e5bf24p-18, -0x1.17b4abcc837c4p-18, -0x1.1596dbdd7fecap-18, -0x1.13670bcc8f887p-18, -0x1.1125d1cc93101p-18, -0x1.0ed3c28749938p-18, -0x1.0c71711587558p-18, -0x1.09ff6ef7d01f4p-18, -0x1.077e4c0f50b16p-18, -0x1.04ee9697387a5p-18, -0x1.0250db1e718c9p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.789bded24bcc2p-3, -0x1.8d997adbca616p-3, -0x1.a2ad39a5b0c75p-3, -0x1.b7cfcacaa798ap-3, -0x1.ccf9b3c6149f2p-3, -0x1.e2235f6469a83p-3, -0x1.f7452bca0701ap-3, -0x1.062bbb8f6c5d7p-2, -0x1.10a95577d235dp-2, -0x1.1b17a32bb2f11p-2, -0x1.2572f3821a9ecp-2, -0x1.2fb7a895a76d7p-2, -0x1.39e23b3ff006cp-2, -0x1.43ef3e1fd9a23p-2, -0x1.4ddb60341d45p-2, -0x1.57a36f12d21b5p-2, -0x1.614458c653b83p-2, -0x1.6abb2d5767639p-2, -0x1.7405200bfc233p-2, -0x1.7d1f886163d62p-2, -0x1.8607e2c85ee76p-2, -0x1.8ebbd128e628dp-2, -0x1.97391b331e6b3p-2, -0x1.9f7dae827a7ffp-2, -0x1.a7879e97a7a1ep-2, -0x1.af5524ad84cafp-2, -0x1.b6e49f6d01a39p-2, -0x1.be3492837e713p-2, -0x1.c543a61eeee16p-2, -0x1.cc10a652c23bdp-2, -0x1.d29a826851fcdp-2, -0x1.d8e04c1d5c7a7p-2, -0x1.dee136d2dcdffp-2, -0x1.e49c96ae64efep-2, -0x1.ea11dfafdf68ep-2, -0x1.ef40a4bd959afp-2, -0x1.f42896a80c5a8p-2, -0x1.f8c9832741f2p-2, -0x1.fd2353d2aab61p-2, -0x1.009b068a97bfcp-1, -0x1.0280e68f2cc59p-1, -0x1.04436568d7d67p-1, -0x1.05e2aa5aa50aep-1, -0x1.075ee7f039dd5p-1, -0x1.08b85b7594ebp-1, -0x1.09ef4c6f99feep-1, -0x1.0b040c15bf48p-1, -0x1.0bf6f4cd26f14p-1, -0x1.0cc869a56b781p-1, -0x1.0d78d5d75a21cp-1, -0x1.0e08ac45d6471p-1, -0x1.0e78670111e01p-1, -0x1.0ec886cc4ad21p-1, -0x1.0ef992a62fbbdp-1, -0x1.0f0c17540f395p-1, -0x1.0f00a6efec391p-1, -0x1.0ed7d87990e5ap-1, -0x1.0e92476ab264bp-1, -0x1.0e30934e36c95p-1, -0x1.0db35f5aa9fc5p-1, -0x1.0d1b520fea2cep-1, -0x1.0c6914d8130cp-1, -0x1.0b9d53abab8eep-1, -0x1.0ab8bcb917fbep-1, -0x1.09bc000f4f5fcp-1, -0x1.08a7cf4bcf24bp-1, -0x1.077cdd4bccca8p-1, -0x1.063bdde099386p-1, -0x1.04e5858732929p-1, -0x1.037a8922f7639p-1, -0x1.01fb9dbb732d3p-1, -0x1.0069783d34fdcp-1, -0x1.fd899a7b4cb75p-2, -0x1.fa1ca183a4f4dp-2, -0x1.f68d6c10210d9p-2, -0x1.f2dd5ea900384p-2, -0x1.ef0ddb8091dc4p-2, -0x1.eb2042171dd74p-2, -0x1.e715eee40a9aap-2, -0x1.e2f03b042c051p-2, -0x1.deb07bed0a261p-2, -0x1.da5803250c213p-2, -0x1.d5e81e00534bap-2, -0x1.d162156231672p-2, -0x1.ccc72d830e002p-2, -0x1.c818a5ba9a629p-2, -0x1.c357b84e2ec42p-2, -0x1.be859a4330177p-2, -0x1.b9a37b355a077p-2, -0x1.b4b28530c9ec9p-2, -0x1.afb3dc8fa94d8p-2, -0x1.aaa89fdb552ddp-2, -0x1.a591e7b0e12e6p-2, -0x1.a070c6a8d744fp-2, -0x1.9b4649420ea93p-2, -0x1.961375cf80045p-2, -0x1.90d94c68f4957p-2, -0x1.8b98c6de6d8bdp-2, -0x1.8652d8ae311dfp-2, -0x1.81086efd50822p-2, -0x1.7bba709298b5p-2, -0x1.7669bdd3c4b67p-2, -0x1.711730c4e2499p-2, -0x1.6bc39d09c1312p-2, -0x1.666fcfe95fb78p-2, -0x1.611c90533000ep-2, -0x1.5bca9ee625005p-2, -0x1.567ab5f96b5b5p-2, -0x1.512d89a6b4487p-2, -0x1.4be3c7d602235p-2, -0x1.469e184adc52cp-2, -0x1.415d1cb2d0fe9p-2, -0x1.3c2170b53a77cp-2, -0x1.36ebaa0428a87p-2, -0x1.31bc586e61598p-2, -0x1.2c9405f263f5p-2, -0x1.277336d25a55dp-2, -0x1.225a69a8ec17dp-2, -0x1.1d4a177ed7d11p-2, -0x1.1842b3e150724p-2, -0x1.1344acf90156fp-2, -0x1.0e506ba1b11abp-2, -0x1.0966538272ed3p-2, -0x1.0486c326553e9p-2, -0x1.ff64282b082e9p-3, -0x1.f5d135dda12ep-3, -0x1.ec554f0319cafp-3, -0x1.e2f109cf705c5p-3, -0x1.d9a4f340cbf7fp-3, -0x1.d0718f54bbc0dp-3, -0x1.c757593dc6404p-3, -0x1.be56c39937339p-3, -0x1.b57038a519543p-3, -0x1.aca41a764c45ep-3, -0x1.a3f2c32e9e099p-3, -0x1.9b5c8532d9e1dp-3, -0x1.92e1ab60bdb57p-3, -0x1.8a827944c7dcbp-3, -0x1.823f2b4fc91e6p-3, -0x1.7a17f70c33d36p-3, -0x1.720d0b5314d66p-3, -0x1.6a1e9080b0f8dp-3, -0x1.624ca8a8b0ffcp-3, -0x1.5a976fc9dfad5p-3, -0x1.52fefc0161358p-3, -0x1.4b835dbd64ff6p-3, -0x1.44249fef3e599p-3, -0x1.3ce2c83cea491p-3, -0x1.35bdd731ee383p-3, -0x1.2eb5c86f879a9p-3, -0x1.27ca92dc35527p-3, -0x1.20fc28d28073p-3, -0x1.1a4a784f0d2c6p-3, -0x1.13b56b1de6afbp-3, -0x1.0d3ce7070b511p-3, -0x1.06e0cdfa258f4p-3, -0x1.00a0fe397d6ecp-3, -0x1.f4faa50824a8fp-4, -0x1.e8eb447dce16fp-4, -0x1.dd13833ae74dcp-4, -0x1.d173039276f8cp-4, -0x1.c60962111abfep-4, -0x1.bad635c8c8e8p-4, -0x1.afd9109ad862dp-4, -0x1.a5117f805110cp-4, -0x1.9a7f0ad07b69p-4, -0x1.90213685ae4c9p-4, -0x1.85f782806b069p-4, -0x1.7c016ac8b47ap-4, -0x1.723e67cdadfa2p-4, -0x1.68adeea381cddp-4, -0x1.5f4f713f90125p-4, -0x1.56225eb2e846p-4, -0x1.4d26236313a45p-4, -0x1.445a29412f9dfp-4, -0x1.3bbdd7ff5f1d7p-4, -0x1.3350954495953p-4, -0x1.2b11c4dec00fbp-4, -0x1.2300c8f3512fbp-4, -0x1.1b1d022e3566cp-4, -0x1.1365cfef33f52p-4, -0x1.0bda9075c2547p-4, -0x1.047aa10b50085p-4, -0x1.fa8abc5820917p-5, -0x1.ec74475c8f03fp-5, -0x1.deb099d045a36p-5, -0x1.d13e69a841ca3p-5, -0x1.c41c6c6820881p-5, -0x1.b7495765596b8p-5, -0x1.aac3e007bf3c7p-5, -0x1.9e8abc075731cp-5, -0x1.929ca1a7950ddp-5, -0x1.86f847f005fd1p-5, -0x1.7b9c66e27cdb9p-5, -0x1.7087b7aecb246p-5, -0x1.65b8f4e415514p-5, -0x1.5b2eda9fcfb04p-5, -0x1.50e826ba7545dp-5, -0x1.46e398f200d36p-5, -0x1.3d1ff3123d1f5p-5, -0x1.339bf91af4ef4p-5, -0x1.2a56716415007p-5, -0x1.214e24bfc8cbp-5, -0x1.1881de9aa7851p-5, -0x1.0ff06d19f6adep-5, -0x1.0798a138162edp-5, -0x1.fef29dbe44c44p-6, -0x1.ef229a03aa4dp-6, -0x1.dfbeeb65779d1p-6, -0x1.d0c54c738a2ffp-6, -0x1.c2337e507940ep-6, -0x1.b40748d6772a8p-6, -0x1.a63e7ab93e502p-6, -0x1.98d6e9a519bf1p-6, -0x1.8bce725b287f5p-6, -0x1.7f22f8caf4e7fp-6, -0x1.72d2682973abcp-6, -0x1.66dab305828abp-6, -0x1.5b39d35a0436ap-6, -0x1.4fedca9da2909p-6, -0x1.44f4a1d0622c2p-6, -0x1.3a4c698704fb9p-6, -0x1.2ff339f4665e4p-6, -0x1.25e732f0d79a3p-6, -0x1.1c267bff999b1p-6, -0x1.12af445284d93p-6, -0x1.097fc2cbf31e7p-6, -0x1.009635fefaa1cp-6, -0x1.efe1c85c32e39p-7, -0x1.df1c3690a963ep-7, -0x1.ced861c9ccd07p-7, -0x1.bf13047b11446p-7, -0x1.afc8e84ee4b35p-7, -0x1.a0f6e6161fe65p-7, -0x1.9299e5b51bb47p-7, -0x1.84aede0e7e2cep-7, -0x1.7732d4ebf3c36p-7, -0x1.6a22dee4d1af9p-7, -0x1.5d7c1f42d8622p-7, -0x1.513bc7e52f64fp-7, -0x1.455f1921a287ap-7, -0x1.39e361a455afdp-7, -0x1.2ec5fe4df1698p-7, -0x1.24045a10709afp-7, -0x1.199bedca9f69p-7, -0x1.0f8a4022650b7p-7, -0x1.05cce55dedf6bp-7, -0x1.f8c2fe779a974p-8, -0x1.e68b79945281bp-8, -0x1.d4eeb47a0d948p-8, -0x1.c3e8418790acbp-8, -0x1.b373ccbbe544p-8, -0x1.a38d1b5e910a8p-8, -0x1.94300ba6a12acp-8, -0x1.85589460a79f4p-8, -0x1.7702c493cd7f4p-8, -0x1.692ac32616215p-8, -0x1.5bccce7ff56b1p-8, -0x1.4ee53c2f4eb0dp-8, -0x1.42707889ff0e8p-8, -0x1.366b0650065c2p-8, -0x1.2ad17e4d6d6c7p-8, -0x1.1fa08efbfd927p-8, -0x1.14d4fc24e1a1ep-8, -0x1.0a6b9e8246182p-8, -0x1.006163610d407p-8, -0x1.ed6698855581ap-9, -0x1.dabcdcfe73655p-9, -0x1.c8bfe5cfbaa57p-9, -0x1.b76a2ad302c8ep-9, -0x1.a6b649600ba74p-9, -0x1.969f0393cb3dfp-9, -0x1.871f3f98d73fcp-9, -0x1.783206f0f7e0dp-9, -0x1.69d285c00a27dp-9, -0x1.5bfc0a183f46p-9, -0x1.4eaa0347d99ddp-9, -0x1.41d8012870791p-9, -0x1.3581b36fde76ap-9, -0x1.29a2e902dbcfap-9, -0x1.1e378f496009ep-9, -0x1.133bb184dc8aep-9, -0x1.08ab7828551cep-9, -0x1.fd065064dd35p-10, -0x1.e97e4512f6253p-10, -0x1.d6b7c6b317acap-10, -0x1.c4ac02e939297p-10, -0x1.b3545b69b4aa4p-10, -0x1.a2aa64c21b428p-10, -0x1.92a7e5267065ap-10, -0x1.8346d342c2269p-10, -0x1.748155113f026p-10, -0x1.6651beb4c8165p-10, -0x1.58b2915809e27p-10, -0x1.4b9e7a1126dbcp-10, -0x1.3f1050c9f4ee2p-10, -0x1.3303172cd4aefp-10, -0x1.2771f7962a228p-10, -0x1.1c58440a6e122p-10, -0x1.11b17530deb43p-10, -0x1.07792952dc091p-10, -0x1.fb5646bf9e8c1p-11, -0x1.e88693eb8237bp-11, -0x1.d67b4cdcf8904p-11, -0x1.c52cc7e2950ap-11, -0x1.b4939d12807b6p-11, -0x1.a4a8a48023b4cp-11, -0x1.9564f47ad9915p-11, -0x1.86c1dfd59b37bp-11, -0x1.78b8f4379246p-11, -0x1.6b43f875861b5p-11, -0x1.5e5ceaf40b047p-11, -0x1.51fe001267254p-11, -0x1.4621a09e1169dp-11, -0x1.3ac2684ebcfeep-11, -0x1.2fdb244ad202ep-11, -0x1.2566d1b4457abp-11, -0x1.1b609c3db1e9ep-11, -0x1.11c3dcc79a7ccp-11, -0x1.088c1805c0ad3p-11, -0x1.ff69fa58df1b8p-12, -0x1.ee74c94b4bfdfp-12, -0x1.de309d9c01e6bp-12, -0x1.ce95c5729d23bp-12, -0x1.bf9cd9fd5478fp-12, -0x1.b13ebd181506ep-12, -0x1.a37497023cadbp-12, -0x1.9637d422c6598p-12, -0x1.898222daa6017p-12, -0x1.7d4d71651cf68p-12, -0x1.7193ebc5ce359p-12, -0x1.664ff9c4533c6p-12, -0x1.5b7c3cf51ae3bp-12, -0x1.51138ecf590c9p-12, -0x1.4710fecfc31e8p-12, -0x1.3d6fd0a7ea0e8p-12, -0x1.342b7a79ee5fbp-12, -0x1.2b3fa320596dp-12, -0x1.22a82081db95ap-12, -0x1.1a60f5f0bb0d1p-12, -0x1.12665295b529bp-12, -0x1.0ab48fe619e5bp-12, -0x1.03483024e7068p-12, -0x1.f83bb9dd5b8c8p-13, -0x1.ea64cba0044aap-13, -0x1.dd057dcc914f8p-13, -0x1.d017ff1533f92p-13, -0x1.c396c20d2d74bp-13, -0x1.b77c7aa5cf473p-13, -0x1.abc41bbe739dcp-13, -0x1.a068d4c7014fcp-13, -0x1.95660f748f7cdp-13, -0x1.8ab76d87c4cbdp-13, -0x1.8058c6a480ccfp-13, -0x1.7646263a7652fp-13, -0x1.6c7bc97e4546dp-13, -0x1.62f61d72bd7c9p-13, -0x1.59b1bd01d90c6p-13, -0x1.50ab6f251d1fp-13, -0x1.47e0251cf096fp-13, -0x1.3f4cf8b6a2544p-13, -0x1.36ef2aa0a2c6ap-13, -0x1.2ec420ccb55b4p-13, -0x1.26c964dfae96ap-13, -0x1.1efca2ae60477p-13, -0x1.175ba6c775ab8p-13, -0x1.0fe45d09d0bddp-13, -0x1.0894cf472184cp-13, -0x1.016b23f2681d3p-13, -0x1.f4cb39b405df3p-14, -0x1.e7052bda12363p-14, -0x1.d9810817353d8p-14, -0x1.cc3be7c3b1953p-14, -0x1.bf33119a86d5bp-14, -0x1.b263f79853388p-14, -0x1.a5cc34edce444p-14, -0x1.99698c0561149p-14, -0x1.8d39e49b37c64p-14, -0x1.813b49e754c58p-14, -0x1.756be8d91e2adp-14, -0x1.69ca0e63e3fc1p-14, -0x1.5e5425dbdbd19p-14, -0x1.5308b7631b826p-14, -0x1.47e6666614c0ap-14, -0x1.3cebf0271d15fp-14, -0x1.32182a588c70bp-14, -0x1.276a01c502eep-14, -0x1.1ce0790564344p-14, -0x1.127aa7441d004p-14, -0x1.0837b70d4a0dep-14, -0x1.fc2dca56af073p-15, -0x1.e82eff1f67fecp-15, -0x1.d471c88e6b43ep-15, -0x1.c0f500f3a05bp-15, -0x1.adb79eea7e865p-15, -0x1.9ab8b38491643p-15, -0x1.87f76888798a6p-15, -0x1.7572fec4c1978p-15, -0x1.632acc75d619p-15, -0x1.511e3bbe82d68p-15, -0x1.3f4cc9324eaf1p-15, -0x1.2db602711e00ap-15, -0x1.1c5984d38163ep-15, -0x1.0b36fc271a7f2p-15, -0x1.f49c42f51876fp-16, -0x1.d33d73f0c48d4p-16, -0x1.b2512ba0dd153p-16, -0x1.91d71e5e253a5p-16, -0x1.71cf1283ed62bp-16, -0x1.5238de935f29ap-16, -0x1.3314676fb3e45p-16, -0x1.14619eb267e56p-16, -0x1.ec41022d0f0b8p-17, -0x1.b0a229f45d45bp-17, -0x1.75e6d1ead8fb8p-17, -0x1.3c0f250b5bf0fp-17, -0x1.031b5999d7fe9p-17, -0x1.96175d8f38a4p-18, -0x1.27c0d4f8240fcp-18, -0x1.76675d01c68f7p-19, -0x1.41c2126856c02p-20, 0x1.8880c92817e48p-22, 0x1.fed5aa251cbc9p-20, 0x1.ca2dff51d0f5ep-19, 0x1.48ac3e1dcc961p-18, 0x1.aa74a29f40514p-18, 0x1.0537db7c5ac91p-17, 0x1.344e8a30aa755p-17, 0x1.627e32d207aa3p-17, 0x1.8fc6b48d2c70ap-17, 0x1.bc27f93dc03bfp-17, 0x1.e7a1f64160162p-17, 0x1.091a569b75901p-16, 0x1.1df016557cd99p-16, 0x1.325248593f78p-16, 0x1.464101ba28c38p-16, 0x1.59bc5ed13efddp-16, 0x1.6cc483721e008p-16, 0x1.7f599b18970ddp-16, 0x1.917bd90f69c6cp-16, 0x1.a32b78905d9e9p-16, 0x1.b468bcde221b2p-16, 0x1.c533f1584aec5p-16, 0x1.d58d6989b3817p-16, 0x1.e57581319ad1bp-16, 0x1.f4ec9c47cc5f2p-16, 0x1.01f9937e0b4adp-15, 0x1.0944cad8aa353p-15, 0x1.1058327a2d1cap-15, 0x1.17340cb77bcb5p-15, 0x1.1dd89febadf5p-15, 0x1.2446366e0485dp-15, 0x1.2a7d1e865138bp-15, 0x1.307daa5fdf8d7p-15, 0x1.36482ffafcaa2p-15, 0x1.3bdd091d3af97p-15, 0x1.413c9340838b5p-15, 0x1.46672f8113d5ap-15, 0x1.4b5d428a78c66p-15, 0x1.501f34839d7b5p-15, 0x1.54ad70fa0791dp-15, 0x1.590866cc4b811p-15, 0x1.5d308813d45fdp-15, 0x1.61264a0e0c6b2p-15, 0x1.64ea2504f7f55p-15, 0x1.687c943754647p-15, 0x1.6bde15c048f14p-15, 0x1.6f0f2a7eba71cp-15, 0x1.721055fc4db7p-15, 0x1.74e21e5427fc5p-15, 0x1.77850c1978eefp-15, 0x1.79f9aa3dd9d61p-15, 0x1.7c4085f78f8bcp-15, 0x1.7e5a2ea7b8a53p-15, 0x1.804735c071843p-15, 0x1.82082eaaf97dap-15, 0x1.839daeade2167p-15, 0x1.85084cd34f8b4p-15, 0x1.8648a1cf545e9p-15, 0x1.875f47e66f7c6p-15, 0x1.884cdad434298p-15, 0x1.8911f7b221ddep-15, 0x1.89af3cdeb1152p-15, 0x1.8a2549e4a1b1ap-15, 0x1.8a74bf6285e6fp-15, 0x1.8a9e3ef29985fp-15, 0x1.8aa26b12e20fbp-15, 0x1.8a81e70da14a6p-15, 0x1.8a3d56e21e4e1p-15, 0x1.89d55f2dc283ap-15, 0x1.894aa5159a714p-15, 0x1.889dce302db69p-15, 0x1.87cf806fc099cp-15, 0x1.86e0620cf7f08p-15, 0x1.85d11971e2a2bp-15, 0x1.84a24d2571c8bp-15, 0x1.8354a3b757d4fp-15, 0x1.81e8c3ac58262p-15, 0x1.805f536b05917p-15, 0x1.7eb8f928ee176p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c99b6cd942a9p-1, 0x1.c68b565fbaa49p-1, 0x1.c37cf1a9c3244p-1, 0x1.c07191f8afc08p-1, 0x1.bd6a4926f1d42p-1, 0x1.ba67ed8c4b7e4p-1, 0x1.b76b1fb6f988p-1, 0x1.b4744fec663bcp-1, 0x1.b183c367cd4e7p-1, 0x1.ae99995060e7ep-1, 0x1.abb5cf62f6873p-1, 0x1.a8d8464d46987p-1, 0x1.a600c5ba4edp-1, 0x1.a32f0010a43c9p-1, 0x1.a06295e46e308p-1, 0x1.9d9b191f71bcbp-1, 0x1.9ad80fe21c42cp-1, 0x1.9818f720d3d4fp-1, 0x1.955d45010f3f5p-1, 0x1.92a46af9de128p-1, 0x1.8fedd7bb91639p-1, 0x1.8d38f8e23babbp-1, 0x1.8a853c76aad9p-1, 0x1.87d212416cefcp-1, 0x1.851eecf350d3bp-1, 0x1.826b4326b19fcp-1, 0x1.7fb6903cb440ap-1, 0x1.7d00551979327p-1, 0x1.7a4818c2179e4p-1, 0x1.778d68df0e9eep-1, 0x1.74cfda25ad3f6p-1, 0x1.720f08aacd45fp-1, 0x1.6f4a98210eaffp-1, 0x1.6c8234049ecbcp-1, 0x1.69b58fb66e825p-1, 0x1.66e4668899824p-1, 0x1.640e7bbd9b479p-1, 0x1.61339a7bd1f31p-1, 0x1.5e5395b6ad3e4p-1, 0x1.5b6e480ecde87p-1, 0x1.588393aa3d604p-1, 0x1.55936205cec96p-1, 0x1.529da3c09f372p-1, 0x1.4fa2506298b6p-1, 0x1.4ca1661ec6303p-1, 0x1.499ae99232368p-1, 0x1.468ee57ffd4e2p-1, 0x1.437d6a8b41123p-1, 0x1.40668eef4fc31p-1, 0x1.3d4a6e36ca15bp-1, 0x1.3a2928f1fcf48p-1, 0x1.3702e46cec58fp-1, 0x1.33d7ca65644cfp-1, 0x1.30a808c161727p-1, 0x1.2d73d14618bfdp-1, 0x1.2a3b594fdc05p-1, 0x1.26fed98b12db1p-1, 0x1.23be8dae7be48p-1, 0x1.207ab436da35bp-1, 0x1.1d338e243b8a3p-1, 0x1.19e95eb8ee5dp-1, 0x1.169c6b3a4837cp-1, 0x1.134cfab35073dp-1, 0x1.0ffb55b96104ap-1, 0x1.0ca7c632caee6p-1, 0x1.0952971f8e047p-1, 0x1.05fc1464257b8p-1, 0x1.02a48a96767fdp-1, 0x1.fe988d99b944p-2, 0x1.f7e72cdeb87c9p-2, 0x1.f1358e15e7a6dp-2, 0x1.ea844c4e1a574p-2, 0x1.e3d4023a1614ep-2, 0x1.dd2549e3d1a2dp-2, 0x1.d678bc63d837ap-2, 0x1.cfcef19cb40c9p-2, 0x1.c9287ffa57e8bp-2, 0x1.c285fc356db59p-2, 0x1.bbe7f91a79d82p-2, 0x1.b54f0754baab7p-2, 0x1.aebbb53caccf5p-2, 0x1.a82e8eaa1c8a6p-2, 0x1.a1a81cc9ab2ep-2, 0x1.9b28e5f5afdacp-2, 0x1.94b16d925943p-2, 0x1.8e4233ecf0bfap-2, 0x1.87dbb61e2fc47p-2, 0x1.817e6def801dap-2, 0x1.7b2ad1c311db9p-2, 0x1.74e1547eaf2b4p-2, 0x1.6ea265792bcf5p-2, 0x1.686e706a59c9dp-2, 0x1.6245dd5d69451p-2, 0x1.5c2910a597958p-2, 0x1.56186ad512f0ep-2, 0x1.501448b5fa3ap-2, 0x1.4a1d03456191cp-2, 0x1.4432efb03c03p-2, 0x1.3e565f521bc5ap-2, 0x1.38879fb5a73b7p-2, 0x1.32c6fa96b2d19p-2, 0x1.2d14b5e5e4827p-2, 0x1.277113cdcc4b7p-2, 0x1.21dc52b95ab85p-2, 0x1.1c56ad5ba29b7p-2, 0x1.16e05ab8cb8dfp-2, 0x1.11798e302b8cdp-2, 0x1.0c22778767252p-2, 0x1.06db42f69198ap-2, 0x1.01a419352f819p-2, 0x1.f8fa3f102abb3p-3, 0x1.eeccefa00c95bp-3, 0x1.e4c0813217d9bp-3, 0x1.dad52a54de93dp-3, 0x1.d10b1b2e93a86p-3, 0x1.c7627d9f368acp-3, 0x1.bddb7563b700bp-3, 0x1.b4762039e2546p-3, 0x1.ab3296051bb6bp-3, 0x1.a210e8f3acce3p-3, 0x1.991125a4a4c48p-3, 0x1.9033534e2e138p-3, 0x1.877773e4418f6p-3, 0x1.7edd843fa273p-3, 0x1.76657c4510137p-3, 0x1.6e0f4f0ca2ae5p-3, 0x1.65daeb0930222p-3, 0x1.5dc83a2fbb34bp-3, 0x1.55d7221ec957fp-3, 0x1.4e078445ac1d7p-3, 0x1.46593e0b89936p-3, 0x1.3ecc28f641719p-3, 0x1.37601ad0f96ffp-3, 0x1.3014e5d26a47cp-3, 0x1.28ea58c2c164ap-3, 0x1.21e03f212aa03p-3, 0x1.1af66148dd15bp-3, 0x1.142c8495bd86ep-3, 0x1.0d826b8874044p-3, 0x1.06f7d5ea02eb4p-3, 0x1.008c80eecbe0ap-3, 0x1.f4804eb1fcc28p-4, 0x1.e8250334e5181p-4, 0x1.dc068bebb6144p-4, 0x1.d024513eba102p-4, 0x1.c47db7b8e97cbp-4, 0x1.b91220467c925p-4, 0x1.ade0e871f6747p-4, 0x1.a2e96a9ff56e9p-4, 0x1.982afe4980573p-4, 0x1.8da4f834f474fp-4, 0x1.8356aaad816cfp-4, 0x1.793f65b937a02p-4, 0x1.6f5e774da0e0ap-4, 0x1.65b32b82e91f5p-4, 0x1.5c3cccc591443p-4, 0x1.52faa406b01p-4, 0x1.49ebf8eac07ffp-4, 0x1.411011f6ff1bfp-4, 0x1.386634bd56b69p-4, 0x1.2feda606e1b84p-4, 0x1.27a5a9fcfff6ep-4, 0x1.1f8d84510550fp-4, 0x1.17a47862840b7p-4, 0x1.0fe9c964372a8p-4, 0x1.085cba7f90a41p-4, 0x1.00fc8ef6ef777p-4, 0x1.f391148d0422bp-5, 0x1.e57fe087b8623p-5, 0x1.d7c40a7880fa7p-5, 0x1.ca5c1c23537aap-5, 0x1.bd46a0ad24fcbp-5, 0x1.b08224d10c123p-5, 0x1.a40d3712fa437p-5, 0x1.97e667f01da9dp-5, 0x1.8c0c4a0cf262ep-5, 0x1.807d7261140b8p-5, 0x1.75387860da2bbp-5, 0x1.6a3bf624c96cbp-5, 0x1.5f86888eee5b5p-5, 0x1.5516cf6e23d41p-5, 0x1.4aeb6d9f59da1p-5, 0x1.4103092ce875cp-5, 0x1.375c4b6bf8cfdp-5, 0x1.2df5e11812f3fp-5, 0x1.24ce7a6cde504p-5, 0x1.1be4cb3e224e3p-5, 0x1.13378b0e0ec42p-5, 0x1.0ac57521dff22p-5, 0x1.028d4894e6d74p-5, 0x1.f51b90d405c55p-6, 0x1.e58b7737340cbp-6, 0x1.d667da5436421p-6, 0x1.c7ae58522e207p-6, 0x1.b95c9795fe62ep-6, 0x1.ab7046d71a62ap-6, 0x1.9de71d31d8dedp-6, 0x1.90beda374885bp-6, 0x1.83f545faacf33p-6, 0x1.7788311cb5085p-6, 0x1.6b7574d4806b7p-6, 0x1.5fbaf2f68c1f7p-6, 0x1.545695f9987bep-6, 0x1.494650f9a1dcbp-6, 0x1.3e881fb8fcecbp-6, 0x1.341a069fa8d5ap-6, 0x1.29fa12b8f4e51p-6, 0x1.202659af7c764p-6, 0x1.169cf9c79f1fep-6, 0x1.0d5c19d877441p-6, 0x1.0461e9436a721p-6, 0x1.f7593fd4bf23bp-7, 0x1.e674fc4969c3p-7, 0x1.d6139965ecf3dp-7, 0x1.c631b962efa96p-7, 0x1.b6cc0f13a6493p-7, 0x1.a7df5dc6cb719p-7, 0x1.996879259cb09p-7, 0x1.8b64451110a56p-7, 0x1.7dcfb57d5a41ap-7, 0x1.70a7ce4bc031fp-7, 0x1.63e9a32304f48p-7, 0x1.5792574663d46p-7, 0x1.4b9f1d6b394ffp-7, 0x1.400d378d7e75p-7, 0x1.34d9f6c321e64p-7, 0x1.2a02bb0e5891ap-7, 0x1.1f84f32efd2ebp-7, 0x1.155e1c73125a3p-7, 0x1.0b8bc2867abd9p-7, 0x1.020b7f41fc5ccp-7, 0x1.f1b5f4f341d59p-8, 0x1.dfefd39508e96p-8, 0x1.cec020d04b0ccp-8, 0x1.be227dd28c41cp-8, 0x1.ae12a628dbf26p-8, 0x1.9e8c6f583aad9p-8, 0x1.8f8bc8757f8ap-8, 0x1.810cb9bcd7145p-8, 0x1.730b6428f955ep-8, 0x1.6584010a31b25p-8, 0x1.5872e19d4c97fp-8, 0x1.4bd46ea287282p-8, 0x1.3fa527f4975dp-8, 0x1.33e1a41fddd7ap-8, 0x1.28868ff9dc14p-8, 0x1.1d90ae38fbf6p-8, 0x1.12fcd70cc173bp-8, 0x1.08c7f7b671581p-8, 0x1.fdde24448863ap-9, 0x1.eade790261f37p-9, 0x1.d88b41c6bcb5cp-9, 0x1.c6def9a697911p-9, 0x1.b5d441e37636fp-9, 0x1.a565e124d7c41p-9, 0x1.958ec2b35db95p-9, 0x1.8649f5b5c3638p-9, 0x1.7792ac6fb2a5p-9, 0x1.69643b828c153p-9, 0x1.5bba1930323ap-9, 0x1.4e8fdc9fec1e1p-9, 0x1.41e13d256a87ap-9, 0x1.35aa1189fd518p-9, 0x1.29e64f5809cap-9, 0x1.1e920a28cb1a8p-9, 0x1.13a972f464078p-9, 0x1.0928d764525e2p-9, 0x1.fe1942508ffdap-10, 0x1.eaa2aa9ae62f6p-10, 0x1.d7e727306d5dp-10, 0x1.c5e02bc0cd3dp-10, 0x1.b4875edff30dcp-10, 0x1.a3d698c88c1dap-10, 0x1.93c7e223897a2p-10, 0x1.845572d4b4a95p-10, 0x1.7579b0cc5e6d9p-10, 0x1.672f2ede29d59p-10, 0x1.5970ab9cf397fp-10, 0x1.4c39103bcef93p-10, 0x1.3f836f74201d4p-10, 0x1.334b0470d4e5dp-10, 0x1.278b31beab78ap-10, 0x1.1c3f804189cffp-10, 0x1.11639e2ee9b43p-10, 0x1.06f35e0d3f3b7p-10, 0x1.f9d56b70c8173p-11, 0x1.e68b7ad5fc4afp-11, 0x1.d4015d999812fp-11, 0x1.c22fc80bbc6a3p-11, 0x1.b10fadad52bc2p-11, 0x1.a09a3f69d6012p-11, 0x1.90c8e9daa94f1p-11, 0x1.81955393e4ad3p-11, 0x1.72f95b7a80125p-11, 0x1.64ef1723c3c8ap-11, 0x1.5770d13de3a5p-11, 0x1.4a790801ac4cep-11, 0x1.3e026bad24d0cp-11, 0x1.3207dd070a7dp-11, 0x1.26846beb087a9p-11, 0x1.1b7355de90006p-11, 0x1.10d004ae31554p-11, 0x1.06960d1359f03p-11, 0x1.f9825ac4aa852p-12, 0x1.e69a9880eb35bp-12, 0x1.d46ceec487235p-12, 0x1.c2f1c4a326b6bp-12, 0x1.b221ca76c7af1p-12, 0x1.a1f5f78ac6afep-12, 0x1.926787d5fa237p-12, 0x1.836ff9c39bcb8p-12, 0x1.75090c0abecc5p-12, 0x1.672cbb94164b4p-12, 0x1.59d5416dc57a5p-12, 0x1.4cfd10cd0136ep-12, 0x1.409ed51d37935p-12, 0x1.34b5701c88274p-12, 0x1.293bf80544a37p-12, 0x1.1e2db5c43f91dp-12, 0x1.1386233ba5b31p-12, 0x1.0940e992236p-12, 0x1.feb3bf1c34fa6p-13, 0x1.eb9a0ff94bc9dp-13, 0x1.d92d20485cc5ap-13, 0x1.c7659c84ad68ep-13, 0x1.b63c8029f181ep-13, 0x1.a5ab12dc0894ep-13, 0x1.95aae5a3ee15fp-13, 0x1.8635d04174e34p-13, 0x1.7745ee91554fp-13, 0x1.68d59e0717b92p-13, 0x1.5adf7b3a686f4p-13, 0x1.4d5e5f8768bb5p-13, 0x1.404d5ec18723ep-13, 0x1.33a7c4f872c6cp-13, 0x1.2769144ec06c5p-13, 0x1.1b8d02e1ceeefp-13, 0x1.100f78c286fbdp-13, 0x1.04ec8dfe87639p-13, 0x1.f4411172becd1p-14, 0x1.df4fb6aadb367p-14, 0x1.cafe4557eeb0dp-14, 0x1.b74648a852becp-14, 0x1.a42199f11b2a4p-14, 0x1.918a5d7545ab7p-14, 0x1.7f7aff486824cp-14, 0x1.6dee304c3085ap-14, 0x1.5cdee347f395fp-14, 0x1.4c484a19a493ap-14, 0x1.3c25d2ff831cp-14, 0x1.2c7325f9d6f1ap-14, 0x1.1d2c22440ed84p-14, 0x1.0e4cdbe4a28e9p-14, 0x1.ffa332a62622fp-15, 0x1.e36da266daaap-15, 0x1.c7f2504d66e4cp-15, 0x1.ad2add5f2bbe7p-15, 0x1.93113e55ce526p-15, 0x1.799fb7b6714ebp-15, 0x1.60d0da0e25cbap-15, 0x1.489f7e527a35p-15, 0x1.3106c265162c4p-15, 0x1.1a0205b95d192p-15, 0x1.038ce61b0c13ep-15, 0x1.db467929b23c2p-16, 0x1.b08234ec305fdp-16, 0x1.86c58cece3a46p-16, 0x1.5e0973ed7e92ap-16, 0x1.36473cbc42cfep-16, 0x1.0f789524e327ep-16, 0x1.d32f022cb3921p-17, 0x1.893cabf80a778p-17, 0x1.410f6c90caee7p-17, 0x1.f53a34bf75ed5p-18, 0x1.6bb82a4796829p-18, 0x1.cb0cf879541fep-19, 0x1.8a4f84b18c673p-20, -0x1.d300aa276e618p-22, -0x1.33a9a5bf6d7d4p-19, -0x1.13693844c11fp-18, -0x1.89fb3d102a3c5p-18, -0x1.fd9830ef34edbp-18, -0x1.37265e2d2616bp-17, -0x1.6e1275b4b39e1p-17, -0x1.a3961c1298f5ep-17, -0x1.d7b6ca2cc988dp-17, -0x1.053cdcbb954d1p-16, -0x1.1df1f432826fdp-16, -0x1.35fd0f50f5e0ep-16, -0x1.4d60788a03466p-16, -0x1.641e62d4f4a74p-16, -0x1.7a38eb7aec797p-16, -0x1.8fb21bcc3a3cfp-16, -0x1.a48beabe524e8p-16, -0x1.b8c83e73490ccp-16, -0x1.cc68edabb7e33p-16, -0x1.df6fc123e0176p-16, -0x1.f1de74dce88cfp-16, -0x1.01db5ca97c2c2p-15, -0x1.0a7d1a507b385p-15, -0x1.12d541c95c7edp-15, -0x1.1ae49d532a08ep-15, -0x1.22abf37e9c8abp-15, -0x1.2a2c079ef3ff7p-15, -0x1.31659a3363648p-15, -0x1.38596949672p-15, -0x1.3f0830d854faap-15, -0x1.4572ab166fe42p-15, -0x1.4b9990c7cdb1cp-15, -0x1.517d998751215p-15, -0x1.571f7c0a02593p-15, -0x1.5c7fee5d0606ap-15, -0x1.619fa61e75663p-15, -0x1.667f58b1524aep-15, -0x1.6b1fbb6cd9152p-15, -0x1.6f8183c7658dbp-15, -0x1.73a5677d24a7dp-15, -0x1.778c1cb2cb01dp-15, -0x1.7b365a147fb38p-15, -0x1.7ea4d6f134b37p-15, -0x1.81d84b5294d09p-15, -0x1.84d17011bda8bp-15, -0x1.8790fee8ed983p-15, -0x1.8a17b28253659p-15, -0x1.8c664684274adp-15, -0x1.8e7d779a36121p-15, -0x1.905e037d08118p-15, -0x1.9208a8f6c2498p-15, -0x1.937e27e5eab84p-15, -0x1.94bf413e30ab9p-15, -0x1.95ccb70757b17p-15, -0x1.96a74c5a67044p-15, -0x1.974fc55d3c13cp-15, -0x1.97c6e73c9794fp-15, -0x1.980d7824ca91ep-15, -0x1.98243f3911e26p-15, -0x1.980c0489c5e26p-15, -0x1.97c591096b5e1p-15, -0x1.9751ae80c453ep-15, -0x1.96b12781f515cp-15, -0x1.95e4c75ad0298p-15, -0x1.94ed5a06610bbp-15, -0x1.93cbac1dc5535p-15, -0x1.92808ac86a30dp-15, -0x1.910cc3abbcb13p-15, -0x1.8f7124da5f817p-15, -0x1.8dae7cc2f4407p-15, -0x1.8bc59a1e8a614p-15, -0x1.89b74bdebd599p-15, -0x1.8784611b9366fp-15, -0x1.852da90129e34p-15, -0x1.82b3f2bd37721p-15, -0x1.80180d6c73842p-15, -0x1.7d5ac807eda4ep-15, -0x1.7a7cf1525bc61p-15, -0x1.777f57c56c819p-15, -0x1.7462c97f24e33p-15, -0x1.7128142f542c2p-15, -0x1.6dd005051fbadp-15, -0x1.6a5b689cba2e3p-15, -0x1.66cb0aed3d1fap-15, -0x1.631fb736bc827p-15, -0x1.5f5a37f08c73bp-15, -0x1.5b7b56b7c72c2p-15, -0x1.5783dc3e1427fp-15, -0x1.53749038baf7fp-15, -0x1.4f4e394ffd0c8p-15, -0x1.4b119d0ec3734p-15, -0x1.46bf7fd2a2544p-15, -0x1.4258a4bc30053p-15, -0x1.3dddcd9fbade7p-15, -0x1.394fbaf65c043p-15, -0x1.34af2bcf6a05bp-15, -0x1.2ffcddc24fa59p-15, -0x1.2b398ce0c7dffp-15, -0x1.2665f3a97e195p-15, -0x1.2182cafb1a074p-15, -0x1.1c90ca07b35ccp-15, -0x1.1790a648b0d3fp-15, -0x1.1283137312958p-15, -0x1.0d68c36c29cb1p-15, -0x1.0842663ebca39p-15, -0x1.0310aa1097df3p-15, -0x1.fba87631199a9p-16, -0x1.f11b8729beadep-16, -0x1.e67bd7843d5e1p-16, -0x1.dbcab3a4d9f41p-16, -0x1.d10963ca66d08p-16, -0x1.c6392bfe80796p-16, -0x1.bb5b4c06aa79fp-16, -0x1.b070ff5636bdcp-16, -0x1.a57b7d0108b24p-16, -0x1.9a7bf7af27eefp-16, -0x1.8f739d91203afp-16, -0x1.8463985533fbp-16, -0x1.794d0d1d55805p-16, -0x1.6e311c75e8a9ap-16, -0x1.6310e24d4fb7ep-16, -0x1.57ed75ec3434ep-16, -0x1.4cc7e9ee93d97p-16, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      47, 0x1.0cccccccccccdp+2, 0x1.68285053ed89p+1, 0x1.275e7baae3d52p+2, 0x1.c760fc792bp-10, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.b9f37329c347fp+1, -0x1.36b9eed34739ep+3, 0x1.b526666666677p+3, 0x1.046023a1c8d8cp+2}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.8b10dbf0563edp+1, -0x1.1321204d27d1ap+3, 0x1.c4c5c4b2aac69p+3, -0x1.45782c8a3b131p+4}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.61c6b8b69552ep+1, -0x1.e4106fcf6e61dp+2, 0x1.76a8ed3554eacp+3, -0x1.6c6ead7f0c415p+3}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.3d5b0bbf50e34p+1, -0x1.ab9dff563fbc4p+2, 0x1.4aed90b5722a8p+3, -0x1.7454f0ef57b4fp+3}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.1d2b3cc4ac6cep+1, -0x1.7a3e3ac7305bcp+2, 0x1.1e3f8846ce0a9p+3, -0x1.34bd8ec399927p+3}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.00a9930be0dedp+1, -0x1.4f6843d5e77f6p+2, 0x1.f2660d0281778p+2, -0x1.0fb4d4023b1fcp+3}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.ceb5d462c343bp+0, -0x1.2a24ce74a6697p+2, 0x1.b130697cd9ad4p+2, -0x1.d2de4266f962p+2}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.a1a9003eea20ap+0, -0x1.09bac7f949996p+2, 0x1.792a388f36a17p+2, -0x1.931d4e5fa67a1p+2}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.79743e963dc48p+0, -0x1.dafb94c1f480ep+1, 0x1.48ca8b50890dap+2, -0x1.5aac841a6a01fp+2}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.557891e215337p+0, -0x1.a9b4479ecb858p+1, 0x1.1f30b8e6f7365p+2, -0x1.2830a136b38ddp+2}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.352d44dca8e2ep+0, -0x1.7e98e1722c734p+1, 0x1.f74b888d9a5fp+1, -0x1.fd21ee1591556p+1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.181d4b6a619dbp+0, -0x1.58c7052151219p+1, 0x1.ba32fb57d09ccp+1, -0x1.b117053c4d382p+1}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.fbc89f40a2878p-1, -0x1.377af65f64db9p+1, 0x1.863a75984239dp+1, -0x1.7281fcf939d81p+1}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.cc5974e65bea1p-1, -0x1.1a0a5d972ca32p+1, 0x1.59c475f53b48ep+1, -0x1.3ae106decfeep+1}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.a15af294dd723p-1, -0x1.ffc7f1b12fc9bp+0, 0x1.33fb60a74b4bp+1, -0x1.0df9e78b83b98p+1}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.7a5093964a59cp-1, -0x1.d1187f477a33ap+0, 0x1.1395b58212869p+1, -0x1.ca6eb5e644c0dp+0}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.56cfe9b7bf1e9p-1, -0x1.a733dd94d8a4bp+0, 0x1.f0285f6da1ebcp+0, -0x1.8a51594feb8ep+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.367e414e7ee91p-1, -0x1.816717e970404p+0, 0x1.c0d6ee4f8fe51p+0, -0x1.544be4d9fee1p+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.190dbf0563ed1p-1, -0x1.5f2103e5c21f8p+0, 0x1.9801060c714f3p+0, -0x1.247f13482361bp+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.fc768dfbd6a57p-2, -0x1.3fe4834d25c5cp+0, 0x1.74e788dad376ap+0, -0x1.01b7ce056cb67p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.cb99d451fc4c1p-2, -0x1.234c1d2e8f701p+0, 0x1.55fa7021dae5bp+0, -0x1.c143694461ae3p-1}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.9f1fddebd9017p-2, -0x1.09046d24703bfp+0, 0x1.3b05c0db31328p+0, -0x1.9782bee392f68p-1}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.76af89c5e6ff8p-2, -0x1.e19648047df5dp-1, 0x1.2292637b9e237p+0, -0x1.68b19b2d5dba8p-1}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.51f8e3ac0c62ep-2, -0x1.b4d3adfda0e8cp-1, 0x1.0cee21da2cfedp+0, -0x1.4db6d466ef5afp-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.30b45ae5ffa3cp-2, -0x1.8b665dd162557p-1, 0x1.f1d0909dc2632p-1, -0x1.30731336e988dp-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.12a0663c74fb5p-2, -0x1.65093a95836adp-1, 0x1.cd47e03b0285fp-1, -0x1.207cdebd65f6cp-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.ef01754b05b7dp-3, -0x1.4184b14ad7436p-1, 0x1.aaa9880fcd53dp-1, -0x1.0d9971d389f27p-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.be39713ad5beep-3, -0x1.20adef0b1aa63p-1, 0x1.8a4f70299e0e2p-1, -0x1.011d59f45e644p-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.927e52157689dp-3, -0x1.025e66b4facc1p-1, 0x1.6b74e03f7e3f8p-1, -0x1.ebe24cb60ff97p-2}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.6b6ae7d566cf4p-3, -0x1.ccf20c9db46a3p-2, 0x1.4df189b9b07d5p-1, -0x1.de3c193f00accp-2}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.489e34330d738p-3, -0x1.99cf60c99d812p-2, 0x1.313fda216de39p-1, -0x1.bb2d4e4dec455p-2}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.29bae46cfc82ap-3, -0x1.6b18f00767c86p-2, 0x1.16a8a75a31a1fp-1, -0x1.c50ead895049ap-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.0e685db76b3bcp-3, -0x1.40afca3506863p-2, 0x1.f6f362d71c30bp-2, -0x1.9097fb8cd371fp-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.ec9f2fdb8fde3p-4, -0x1.1a5f9bc6b1b9ap-2, 0x1.c6e125ef2bc6fp-2, -0x1.a89164435f0fcp-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.c23e9ea140571p-4, -0x1.f00ac57de2e35p-3, 0x1.93ee6bd29b3fdp-2, -0x1.6d227365b279fp-2}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.9d0d8cb07d0afp-4, -0x1.b2eb194a52edfp-3, 0x1.681d7cb1ec3b7p-2, -0x1.72e4ce25d61a8p-2}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.7c7820a30db6ap-4, -0x1.7cdc4a153be29p-3, 0x1.3b9ba165b3d1cp-2, -0x1.574a5402f4f7bp-2}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.5feeb2d0a2446p-4, -0x1.4da8a8ab499b5p-3, 0x1.1269c046a0a9dp-2, -0x1.3ff1e1ce556c6p-2}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.46e9ff0cbaf97p-4, -0x1.24d2fec2bc64fp-3, 0x1.d80a172888fcp-3, -0x1.28ee24c3baa6ap-2}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.30ec311622814p-4, -0x1.01e95d1b7beeap-3, 0x1.90c6b22cc2975p-3, -0x1.0c558b22b7d54p-2}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.1d80e496ededbp-4, -0x1.c8d9da21ba432p-4, 0x1.50603edcbf6e6p-3, -0x1.eb775d62d17fap-3}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.0c3e3193f6c27p-4, -0x1.97bfb864eff97p-4, 0x1.156666db212bfp-3, -0x1.b977742f4d6cep-3}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.f9873ffac1d2ap-5, -0x1.6f9a5d46d61c7p-4, 0x1.c0d9183a443d7p-4, -0x1.aeaad1dff6f97p-3}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.dd72367e414e8p-5, -0x1.4fd45d5a7189cp-4, 0x1.597ce5db8e15ep-4, -0x1.17ba88a1ade32p-4}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.c3a647fdc5932p-5, -0x1.358880de5708p-4, 0x1.37eba24308943p-4, -0x1.007807372b172p-1}, 
        {0x1.8p+1, 0x1.bd70a3d70a3d7p+1, 0x1.ab9f559b3d07ep-5, -0x1.266d906d52accp-4, 0x1.06d7631991534p-6, 0x1.67bf36319f45dp-8}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.0cccccccccccdp+2, 0x1.6872b020c49bap-6, -0x1.af9c27feeca95p-5, 0x1.8859a9cf458b4p-6, -0x1.4538a88ccb188p-4}, 
      }}, 
      0x1.e5f4288996acep-3, -0x1.43ff6f45704ep-3
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_n_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.a785cb88aea2dp-2, 0x1.b3502de766977p-2, 0x1.be44fb5a1f2cdp-2, 0x1.c86c6c2ecd9d2p-2, 0x1.d1cb8bbe46008p-2, 0x1.da667cf591513p-2, 0x1.e24430755638p-2, 0x1.e96e284daecb5p-2, 0x1.efed4f8024a4fp-2, 0x1.f5c7eb9313f0cp-2, 0x1.fb0270e1410d9p-2, 0x1.ffa1cd3a9cc51p-2, 0x1.01d6732544537p-1, 0x1.03962d09d3e9ep-1, 0x1.051489a99cd4cp-1, 0x1.06556c6c5114ap-1, 0x1.075bd4876e0afp-1, 0x1.082a038f97233p-1, 0x1.08c1eef9acaddp-1, 0x1.0925b65be585ep-1, 0x1.0957e794ce241p-1, 0x1.0959bf818ff63p-1, 0x1.09351cc0929ecp-1, 0x1.08e844a892cafp-1, 0x1.087544ef0aafap-1, 0x1.07de21a8dd54bp-1, 0x1.0724edde0b957p-1, 0x1.064bd297f5f1p-1, 0x1.0555056042531p-1, 0x1.0442b42c51e0ap-1, 0x1.0316ef33afa8bp-1, 0x1.01d3987c17fa1p-1, 0x1.007a5d362788cp-1, 0x1.fe1971116c413p-2, 0x1.fb17f9429d386p-2, 0x1.f7f2bd12ac07dp-2, 0x1.f4ac0462bfd45p-2, 0x1.f14609e613c34p-2, 0x1.edc30a279ddb4p-2, 0x1.ea254a3c778e5p-2, 0x1.e66f156426fc8p-2, 0x1.e2a2b32ca14fcp-2, 0x1.dec259a5c1c56p-2, 0x1.dad01fc1e81acp-2, 0x1.d6cdf33631f9bp-2, 0x1.d2bd9341683fbp-2, 0x1.cea0907572502p-2, 0x1.ca784ffd85ee7p-2, 0x1.c64610e79d435p-2, 0x1.c20af1f93a00ep-2, 0x1.bdc7f72b4cf32p-2, 0x1.b97e0e7571d04p-2, 0x1.b52e13f1819eep-2, 0x1.b0d8d5ba52886p-2, 0x1.ac7f16f4640e5p-2, 0x1.a82193fd0fd6p-2, 0x1.a3c10483fcd38p-2, 0x1.9f5e1e313fdc2p-2, 0x1.9af995d628e93p-2, 0x1.96941f867b6d3p-2, 0x1.922e6d85f5d11p-2, 0x1.8dc92e3a87ae2p-2, 0x1.8965097ed197cp-2, 0x1.8504605b15d6fp-2, 0x1.80a5f65d5b109p-2, 0x1.7c4a227a176f6p-2, 0x1.77f144897e1bbp-2, 0x1.739bb4a10fbe8p-2, 0x1.6f49c3e175a91p-2, 0x1.6afbbd596896ap-2, 0x1.66b1e6d2a9544p-2, 0x1.626c81bf76fd8p-2, 0x1.5e2bcc015e802p-2, 0x1.59f0008d4e27p-2, 0x1.55b957e6a9a5ep-2, 0x1.5188086596066p-2, 0x1.4d5c4649878bep-2, 0x1.4936439ea04a6p-2, 0x1.451630017d64ep-2, 0x1.40fc384f1d99dp-2, 0x1.3ce886511bf28p-2, 0x1.38db407198d09p-2, 0x1.34d4899af432ap-2, 0x1.30d480fe927e6p-2, 0x1.2cdb4244cfe38p-2, 0x1.28e8e5acb3a23p-2, 0x1.24fd80583a732p-2, 0x1.211924acc766ep-2, 0x1.1d3be2c034048p-2, 0x1.1965c8c9fb195p-2, 0x1.1596e390c4ddap-2, 0x1.11cf3ece35685p-2, 0x1.0e0ee5845b49ep-2, 0x1.0a55e244fc522p-2, 0x1.06a43f62ebdfcp-2, 0x1.02fa071acfe1p-2, 0x1.feae8747700bap-3, 0x1.f777feb084609p-3, 0x1.f050887979d43p-3, 0x1.e93839a478dc6p-3, 0x1.e22f26638ea3p-3, 0x1.db3562bc771e9p-3, 0x1.d44b022d4c931p-3, 0x1.cd7017770022dp-3, 0x1.c6a4b46726d9bp-3, 0x1.bfe8e9a3ffd37p-3, 0x1.b93cc67de1212p-3, 0x1.b2a058c3ae416p-3, 0x1.ac13aca86bee7p-3, 0x1.a596cca40b81bp-3, 0x1.9f29c17316825p-3, 0x1.98cc91fd81bf6p-3, 0x1.927f436f35b93p-3, 0x1.8c41d939fa54bp-3, 0x1.8614552b4a22ep-3, 0x1.7ff6b7837bd2dp-3, 0x1.79e8ff13f433ap-3, 0x1.73eb2959c9d09p-3, 0x1.6dfd32ad51db1p-3, 0x1.681f1655e7328p-3, 0x1.6250ceb5d4adap-3, 0x1.5c92556b8b684p-3, 0x1.56e3a37324b68p-3, 0x1.5144b145abdd7p-3, 0x1.4bb576f580876p-3, 0x1.4635ec4597146p-3, 0x1.40c608c5f8153p-3, 0x1.3b65c3d4b06d7p-3, 0x1.361514b767c6dp-3, 0x1.30d3f29b8ac9cp-3, 0x1.2ba2549aef77cp-3, 0x1.268031b2c13dap-3, 0x1.216d80c54978p-3, 0x1.1c6a38881ead3p-3, 0x1.17764f7bd84b6p-3, 0x1.1291bbd7d7eafp-3, 0x1.0dbc7380adeb4p-3, 0x1.08f66bf08d7c1p-3, 0x1.043f9a32aca96p-3, 0x1.ff2fe50f1d694p-4, 0x1.f5fed208ecb32p-4, 0x1.ecebe18e047e5p-4, 0x1.e3f6f89a81be8p-4, 0x1.db1ffaacf7d3ep-4, 0x1.d266c9cbc3f02p-4, 0x1.c9cb464910de3p-4, 0x1.c14d4edb99797p-4, 0x1.b8fb74399661ep-4, 0x1.b0b9290b019c4p-4, 0x1.a893de3bf5ebfp-4, 0x1.a08b6acee21e6p-4, 0x1.989fa4bbca8fep-4, 0x1.90d06106c7449p-4, 0x1.891d73bb9292ep-4, 0x1.8186aff18ac35p-4, 0x1.7a0be7d3ced27p-4, 0x1.72acec8a1c08p-4, 0x1.6b698e70982e3p-4, 0x1.64419ce9a2eaep-4, 0x1.5d34e671c6a5dp-4, 0x1.564338c6bf22fp-4, 0x1.4f6c60a48fd2ap-4, 0x1.48b02a1e4b56bp-4, 0x1.420e605865bcep-4, 0x1.3b86cdbc7a728p-4, 0x1.35193b46fc6a7p-4, 0x1.2ec574949b565p-4, 0x1.288b3f4a17344p-4, 0x1.226a640d940f3p-4, 0x1.1c62aa03ed6b4p-4, 0x1.1673d7a957b47p-4, 0x1.109db303b81a6p-4, 0x1.0ae001782cf22p-4, 0x1.053a884c390ap-4, 0x1.ff5a17a271eebp-5, 0x1.f46ea06d91d17p-5, 0x1.e9b2314a842d1p-5, 0x1.df2454eb2d765p-5, 0x1.d4c48d7b9985ap-5, 0x1.ca9261e3287abp-5, 0x1.c08d57146a79dp-5, 0x1.b6b4f178e6052p-5, 0x1.ad08b53a0a177p-5, 0x1.a38825c85e063p-5, 0x1.9a32c668276e6p-5, 0x1.91081a01619edp-5, 0x1.8807a3125669dp-5, 0x1.7f30e44dc960ap-5, 0x1.76835f88d94c4p-5, 0x1.6dfe96eade02ep-5, 0x1.65a20c556081ep-5, 0x1.5d6d418977732p-5, 0x1.555fb73042958p-5, 0x1.4d78f2b1c9c87p-5, 0x1.45b8720826356p-5, 0x1.3e1db86b6dad2p-5, 0x1.36a8475f91528p-5, 0x1.2f57a23bc297bp-5, 0x1.282b49fe00a36p-5, 0x1.2122c0ad0dc8dp-5, 0x1.1a3d8bb12ca97p-5, 0x1.137b2bd479f83p-5, 0x1.0cdb24b3569d5p-5, 0x1.065cfa4f8cffp-5, 0x1.000030ad1e55cp-5, 0x1.f38898fe832efp-6, 0x1.e751a530fdad8p-6, 0x1.db5a8db904589p-6, 0x1.cfa268857059ep-6, 0x1.c428358cb0182p-6, 0x1.b8eb1051ca373p-6, 0x1.ade9fe7024b72p-6, 0x1.a324143b6babep-6, 0x1.98986400feabfp-6, 0x1.8e460131e28acp-6, 0x1.842c0193f52b7p-6, 0x1.7a497b5ce3a2p-6, 0x1.709d873103b22p-6, 0x1.67273f0aa15bfp-6, 0x1.5de5bee10889cp-6, 0x1.54d82416060a6p-6, 0x1.4bfd8e2110c6dp-6, 0x1.43551e71ce019p-6, 0x1.3addf43367aefp-6, 0x1.32973fbbdba6ap-6, 0x1.2a801d60b960ap-6, 0x1.2297b9f817f8p-6, 0x1.1add40ef54ec9p-6, 0x1.134fdfc2b1416p-6, 0x1.0beec67e52f2p-6, 0x1.04b9263bbdd42p-6, 0x1.fb5c65d3464e1p-7, 0x1.ed9a499410db5p-7, 0x1.e02a65faa9189p-7, 0x1.d30b321adea03p-7, 0x1.c63b23ecb1527p-7, 0x1.b9b8c92e0ed54p-7, 0x1.ad82977ba3b8fp-7, 0x1.a1971f167dfb8p-7, 0x1.95f4eae4e8c04p-7, 0x1.8a9a8f6bfc5fep-7, 0x1.7f86a47955566p-7, 0x1.74b7c69ee0c1dp-7, 0x1.6a2c960bec20ap-7, 0x1.5fe3bae838934p-7, 0x1.55dbdffcd4a6cp-7, 0x1.4c13b5bc607aap-7, 0x1.4289f09d562acp-7, 0x1.393d4b2f312acp-7, 0x1.302c847182541p-7, 0x1.27565f6a46ff2p-7, 0x1.1eb9a75aac8e2p-7, 0x1.165523d834d5dp-7, 0x1.0e27abe34d186p-7, 0x1.063012f420edep-7, 0x1.fcda6ea52aa76p-8, 0x1.edbbf0b97223cp-8, 0x1.df02748c163e8p-8, 0x1.d0abcd09cd7a9p-8, 0x1.c2b5d5d67bc3p-8, 0x1.b51e73922d50bp-8, 0x1.a7e393c204798p-8, 0x1.9b032d138fc7cp-8, 0x1.8e7b2a20efcp-8, 0x1.8249cc130bbc3p-8, 0x1.766ceca8c0991p-8, 0x1.6ae2b3f5d213ep-8, 0x1.5fa944134312bp-8, 0x1.54bec6054de69p-8, 0x1.4a216af6bddap-8, 0x1.3fcf6c1929f8ap-8, 0x1.35c70a8f3deep-8, 0x1.2c068f4b063fep-8, 0x1.228c43f755e2ep-8, 0x1.195695d0f49b1p-8, 0x1.1063cff308aa8p-8, 0x1.07b2608b68f83p-8, 0x1.fe816d6ea47e6p-9, 0x1.ee1a8631a553p-9, 0x1.de2d10193f2cbp-9, 0x1.ceb62d294ac4dp-9, 0x1.bfb31cfb1d6afp-9, 0x1.b12019020b25fp-9, 0x1.a2fb4f4b92349p-9, 0x1.9541c1ae2ef2fp-9, 0x1.87f07b7daaafbp-9, 0x1.7b05196e3a944p-9, 0x1.6e7cf14c3e867p-9, 0x1.625599d2811eap-9, 0x1.568c0ebc500f6p-9, 0x1.4b1e6dd5387e9p-9, 0x1.400a200fce62bp-9, 0x1.354cca3ec7d05p-9, 0x1.2ae42675b3437p-9, 0x1.20cdea6285f7cp-9, 0x1.1707e4c63bc6cp-9, 0x1.0d8fef41a0563p-9, 0x1.0463ea79e47dap-9, 0x1.f7038ed9ac61ep-10, 0x1.e5cef856803d6p-10, 0x1.d52622ff3022p-10, 0x1.c5052d1522227p-10, 0x1.b5684faf17c46p-10, 0x1.a64bd83e0202ep-10, 0x1.97ac2a1602981p-10, 0x1.8985bceefca8ep-10, 0x1.7bd5210dfd842p-10, 0x1.6e96f9e65f51ap-10, 0x1.61c7fc08659f9p-10, 0x1.5564f775af1afp-10, 0x1.496ac35aafffbp-10, 0x1.3dd658c4c084cp-10, 0x1.32a4bedb7c78p-10, 0x1.27d3144a4122fp-10, 0x1.1d5e75b6df492p-10, 0x1.133f8ba158d0cp-10, 0x1.097d3df22c5bfp-10, 0x1.000fc03a5a6fcp-10, 0x1.edea22fe03863p-11, 0x1.dc544b555dc58p-11, 0x1.cb59827395b93p-11, 0x1.baf50ca64eb24p-11, 0x1.ab224bcdfdbc4p-11, 0x1.9bdcc673c922fp-11, 0x1.8d201ccbaacf8p-11, 0x1.7ee80d4b332eep-11, 0x1.713073521d134p-11, 0x1.63f54c2edc778p-11, 0x1.573296118761bp-11, 0x1.4ae48d726ab22p-11, 0x1.3f0777fe69473p-11, 0x1.3397a00fc2abdp-11, 0x1.28915df9e90a8p-11, 0x1.1df206c0e103ap-11, 0x1.13b5611557034p-11, 0x1.09d8793cf064ep-11, 0x1.0058271de440bp-11, 0x1.ee62ac498a252p-12, 0x1.dcc20fc0d5bcp-12, 0x1.cbc8a82e621a6p-12, 0x1.bb6f1f688812cp-12, 0x1.abb4edaa6001cp-12, 0x1.9c8fc444743a4p-12, 0x1.8dfc1873218aap-12, 0x1.7ff4dbe8a9aa7p-12, 0x1.7275161330ac3p-12, 0x1.65782ada0c60bp-12, 0x1.58f97b91b0d48p-12, 0x1.4cf4646f0a9e9p-12, 0x1.416499b854cbdp-12, 0x1.3645e97d6c817p-12, 0x1.2b944b4603805p-12, 0x1.214d869cfa646p-12, 0x1.1768032c39eabp-12, 0x1.0de5e6520fcc9p-12, 0x1.04c19f75c09f1p-12, 0x1.f7ef4d586b529p-13, 0x1.e709477604591p-13, 0x1.d6ca2f18ed68cp-13, 0x1.c72c71ed07b6dp-13, 0x1.b829430604a62p-13, 0x1.a9badb7548932p-13, 0x1.9bdaafc55cfdap-13, 0x1.8e857c6ff3afcp-13, 0x1.81b39303fbc09p-13, 0x1.756090a36cbecp-13, 0x1.69873fa580072p-13, 0x1.5e237e34af982p-13, 0x1.532ec5a2afb8ep-13, 0x1.48a6839466296p-13, 0x1.3e8582f25a351p-13, 0x1.34c79c94a6fdbp-13, 0x1.2b68abc073855p-13, 0x1.2264d601cf576p-13, 0x1.19ba309188792p-13, 0x1.115f8bfcb8909p-13, 0x1.0956eb553bedap-13, 0x1.019af3f9aa522p-13, 0x1.f45280425bcfcp-14, 0x1.e5f888ad556c4p-14, 0x1.d825eaef189e5p-14, 0x1.cad627af1a018p-14, 0x1.bdffe4ab0bc61p-14, 0x1.b19fbf7e51c7dp-14, 0x1.a5af9f16fe479p-14, 0x1.9a2b67a5712e1p-14, 0x1.8f0defbb2dca2p-14, 0x1.84529be058f7ep-14, 0x1.79f4fdf182cb8p-14, 0x1.6ff0d7c004587p-14, 0x1.664215d4a0817p-14, 0x1.5ce4c93e2156ep-14, 0x1.53d4c4a29e4bbp-14, 0x1.4b13e26ac3e4p-14, 0x1.4291302b17bedp-14, 0x1.3a56054ea4dcfp-14, 0x1.325b0c68178cdp-14, 0x1.2a9d4f554929ap-14, 0x1.2319eaafcb036p-14, 0x1.1bcb32d76b4ebp-14, 0x1.14b75bb75e54p-14, 0x1.0dd2e97dab584p-14, 0x1.071e7b9dfc421p-14, 0x1.0097e4254f251p-14, 0x1.f4798fa87e697p-15, 0x1.e81640c6b265ep-15, 0x1.dc01ce44c87cap-15, 0x1.d0371129b4facp-15, 0x1.c4b6cd4c83628p-15, 0x1.b97942b66f12p-15, 0x1.ae7c5e7c33eabp-15, 0x1.a3bd255991ef8p-15, 0x1.993acf472f5e6p-15, 0x1.8eecb28dc378p-15, 0x1.84d5f71de359ep-15, 0x1.7aee58ea6134p-15, 0x1.713e3a13084a7p-15, 0x1.67b8cf40a8a6dp-15, 0x1.5e5f802b2e4ecp-15, 0x1.55304900ba235p-15, 0x1.4c294565cfab8p-15, 0x1.4348ad0bf2a74p-15, 0x1.3a8cd314a1027p-15, 0x1.31f434de8f911p-15, 0x1.29827d9c7d3b1p-15, 0x1.212674f46b6afp-15, 0x1.18ee959ac8dcfp-15, 0x1.10d466dcaaf5ap-15, 0x1.08e4d7a1eddcep-15, 0x1.00f559db20369p-15, 0x1.f25cf3316d14ep-16, 0x1.e2f32a7ef8ebp-16, 0x1.d3d6f46988145p-16, 0x1.c4dc73777aed5p-16, 0x1.b6223e0d0aa81p-16, 0x1.a7714c88d2717p-16, 0x1.99000b5305a4p-16, 0x1.8ab855f372e92p-16, 0x1.7c9a1c238cac7p-16, 0x1.6ea4d9cdf8af9p-16, 0x1.60d3db8f90636p-16, 0x1.5331072f715a4p-16, 0x1.45ac5f20eb587p-16, 0x1.3852aa578b4bbp-16, 0x1.2b1cde5323cd9p-16, 0x1.1e0b20d320ca2p-16, 0x1.111e4743c71a3p-16, 0x1.04543b2b04233p-16, 0x1.ef585f5a0ce9bp-17, 0x1.d65049b26d5f1p-17, 0x1.bd8d999b1835dp-17, 0x1.a517204b6e6e2p-17, 0x1.8cc9bdb337f3fp-17, 0x1.74e1c547336c7p-17, 0x1.5d31d95311971p-17, 0x1.45c56f847576ap-17, 0x1.2e9ce8860aec3p-17, 0x1.17b80c316837cp-17, 0x1.0113a9f285baep-17, 0x1.d5756036cdd3p-18, 0x1.a94438344f6a6p-18, 0x1.7d93951361ebdp-18, 0x1.52fe96e132bb5p-18, 0x1.27e2daacaed47p-18, 0x1.fbd0d65c825c3p-19, 0x1.a8c6b96c4679p-19, 0x1.56bd56cf12928p-19, 0x1.05e6db2fd7b2fp-19, 0x1.6c50749bdb296p-20, 0x1.9db4285f82338p-21, 0x1.9f1391b75017bp-23, -0x1.9403da0153689p-22, -0x1.f74025bc25c48p-21, -0x1.8f40ef875790ep-20, -0x1.111f3ca46146p-19, -0x1.591cbd70b9245p-19, -0x1.9ff3333b88699p-19, -0x1.e5a6b67fae482p-19, -0x1.15231ef4262bap-18, -0x1.36cfa0aa2f7b7p-18, -0x1.57f0ea4198011p-18, -0x1.787edbe9015a2p-18, -0x1.9878b635d39afp-18, -0x1.b7ddff808ef0fp-18, -0x1.d6ae4f8dd0b83p-18, -0x1.f4e9575515722p-18, -0x1.0947b829b468ap-17, -0x1.17cada6cb0f6dp-17, -0x1.25f77ca3ec661p-17, -0x1.33fac1d2ebcb3p-17, -0x1.41a39d546067fp-17, -0x1.4efc488c4f245p-17, -0x1.5c0ae5886e5ffp-17, -0x1.68d9c806544bep-17, -0x1.75463f204d22dp-17, -0x1.817290b528573p-17, -0x1.8d539de1c2676p-17, -0x1.98e93584bc349p-17, -0x1.a433bad83767dp-17, -0x1.af353141a06a5p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.a4b3036b4f2ap-1, -0x1.a7b64f573e41ap-1, -0x1.aa676b6d49ebfp-1, -0x1.acc5bface4547p-1, -0x1.aed1fc73290b8p-1, -0x1.b08dab6711907p-1, -0x1.b1fa24ff8aec1p-1, -0x1.b31861a97090ep-1, -0x1.b3e9a3786c0a4p-1, -0x1.b470028b16edp-1, -0x1.b4ae4b6353edep-1, -0x1.b4a76b2c56aacp-1, -0x1.b45df6cb8ce7ap-1, -0x1.b3d41aa51c11fp-1, -0x1.b30bdeae8434ap-1, -0x1.b2077cbfeb076p-1, -0x1.b0c990679b49bp-1, -0x1.af550b8084e6ap-1, -0x1.adad01c2632c7p-1, -0x1.abd46dfa50461p-1, -0x1.a9ce09a18e7bep-1, -0x1.a79d7f14bbac7p-1, -0x1.a5411653a75bp-1, -0x1.a2bd5ce12c2bdp-1, -0x1.a014cb279fb8ap-1, -0x1.9d49c5fac72edp-1, -0x1.9a5e90adfcdc8p-1, -0x1.9755472396035p-1, -0x1.942fdfe6f3af3p-1, -0x1.90f033d3b3ef9p-1, -0x1.8d9807e4b0244p-1, -0x1.8a291616dda34p-1, -0x1.86a5133b5f079p-1, -0x1.830db0af32bc8p-1, -0x1.7f649a1105dd5p-1, -0x1.7bab7024fdfb3p-1, -0x1.77e3c2d876a52p-1, -0x1.740f0c5d587bdp-1, -0x1.702eae8c2c3fbp-1, -0x1.6c43f29ad720cp-1, -0x1.68500a6684a16p-1, -0x1.6454126cfd95ep-1, -0x1.605113f9086b2p-1, -0x1.5c48077ea7438p-1, -0x1.5839d75a32dbp-1, -0x1.542762eab13eep-1, -0x1.501181b3e8f5ep-1, -0x1.4bf905d6fcf3p-1, -0x1.47debd4c879b5p-1, -0x1.43c371962db11p-1, -0x1.3fa7e6194f7e2p-1, -0x1.3b8cd5b9ba4e3p-1, -0x1.3772f0736804fp-1, -0x1.335ad99e586b6p-1, -0x1.2f4527397a7adp-1, -0x1.2b32624476175p-1, -0x1.272307fdb1d78p-1, -0x1.23178b8f025f1p-1, -0x1.1f1057d1c1d81p-1, -0x1.1b0dd0d29deedp-1, -0x1.171054e60ef18p-1, -0x1.13183d40384dap-1, -0x1.0f25de21bece1p-1, -0x1.0b39842507782p-1, -0x1.075328f7f935p-1, -0x1.0373632181449p-1, -0x1.ff34edc64e954p-2, -0x1.f791477c2a9d9p-2, -0x1.effc489219ad1p-2, -0x1.e8765c4c686d9p-2, -0x1.e0ffe44bfdf03p-2, -0x1.d9993926e6cf7p-2, -0x1.d242ab333fd53p-2, -0x1.cafc837986398p-2, -0x1.c3c704a30ba46p-2, -0x1.bca26bcef91e3p-2, -0x1.b58ef13d0bb9ep-2, -0x1.ae8cc8c755fa7p-2, -0x1.a79c222d340f7p-2, -0x1.a0bd2937303b4p-2, -0x1.99f005c09d55p-2, -0x1.9334dbb6fd4a9p-2, -0x1.8c8bcb032a5d9p-2, -0x1.85f4efa920671p-2, -0x1.7f7061bdc7f68p-2, -0x1.78fe358ef3367p-2, -0x1.729e7bd161361p-2, -0x1.6c5141db48b21p-2, -0x1.661691e499366p-2, -0x1.5fee7348103d4p-2, -0x1.59d8eabf4cb66p-2, -0x1.53d5fa95d4c93p-2, -0x1.4de5a2d0b73eap-2, -0x1.4807e14b1bb25p-2, -0x1.423cb1c85713bp-2, -0x1.3c840dff08bedp-2, -0x1.36ddeda788675p-2, -0x1.314a45fbf79a7p-2, -0x1.2bc90c21e065fp-2, -0x1.265a30a760376p-2, -0x1.20fda41ed41f9p-2, -0x1.1bb354f4a8a31p-2, -0x1.167b300889c9fp-2, -0x1.115520ce3b4f6p-2, -0x1.0c41117142188p-2, -0x1.073eeaf77ec01p-2, -0x1.024e9561420f5p-2, -0x1.fadfef886fb41p-3, -0x1.f145f0c79a33p-3, -0x1.e7cef982f994ap-3, -0x1.de7ad34d15f47p-3, -0x1.d54946616fa26p-3, -0x1.cc3a199cee3cap-3, -0x1.c34d12849d99bp-3, -0x1.ba81f5348f915p-3, -0x1.b1d88471d1b4ep-3, -0x1.a950817336dd9p-3, -0x1.a0e9abf2fe9bdp-3, -0x1.98a3c257cf6f1p-3, -0x1.907e815f8b051p-3, -0x1.8879a45aea90ep-3, -0x1.8094e52cfe5ebp-3, -0x1.78cffc5c44203p-3, -0x1.712aa1292be1ap-3, -0x1.69a489a92c3dbp-3, -0x1.623d6ae58c8b4p-3, -0x1.5af4f8fc12d3dp-3, -0x1.53cae7421deacp-3, -0x1.4cbee866e8e3ap-3, -0x1.45d0ae9525a6ap-3, -0x1.3effeb8c12f78p-3, -0x1.384c50cec3e24p-3, -0x1.31b58f9919f1cp-3, -0x1.2b3b592243626p-3, -0x1.24dd5e8cd60ffp-3, -0x1.1e9b50e816ac5p-3, -0x1.1874e17212ac1p-3, -0x1.1269c15dd0d91p-3, -0x1.0c79a214fe2cep-3, -0x1.06a43453a7364p-3, -0x1.00e92a2df9c8fp-3, -0x1.f69069a45c383p-4, -0x1.eb820b676bc7fp-4, -0x1.e0a69c8e27053p-4, -0x1.d5fd8017d6924p-4, -0x1.cb8618d4fc114p-4, -0x1.c13fc992c5aep-4, -0x1.b731b56cb7c12p-4, -0x1.ad4c44a485adap-4, -0x1.a396053b64b53p-4, -0x1.9a0e58b7336e9p-4, -0x1.90b4a0e02f533p-4, -0x1.8788400825b93p-4, -0x1.7e889901ceba9p-4, -0x1.75b50f2eb8814p-4, -0x1.6d0d068674f54p-4, -0x1.648fe3a8e7973p-4, -0x1.5c3d0bd487cf6p-4, -0x1.5413e5055fb53p-4, -0x1.4c13d60550d55p-4, -0x1.443c460186fb5p-4, -0x1.3c8c9d8593fa3p-4, -0x1.3504459d27d01p-4, -0x1.2da2a84190909p-4, -0x1.26672ff286cd8p-4, -0x1.1f514839a74f3p-4, -0x1.18605fca3d378p-4, -0x1.1193e202e9ec6p-4, -0x1.0aeb3e9a2bd2dp-4, -0x1.0465e552957dbp-4, -0x1.fc068dd49b395p-5, -0x1.ef85aaec5ddbcp-5, -0x1.e34807a4be377p-5, -0x1.d74c8df8d5adp-5, -0x1.cb9227826e5fep-5, -0x1.c017c1e1bbc8p-5, -0x1.b4dc4a8cac0f1p-5, -0x1.a9debbaaadec7p-5, -0x1.9f1e023088c8cp-5, -0x1.9499185b3519ap-5, -0x1.8a4ef8399f28ap-5, -0x1.803e9e9ee4ed9p-5, -0x1.76670ab7d5afdp-5, -0x1.6cc73ed544964p-5, -0x1.635e3fb337863p-5, -0x1.5a2b14d5630e1p-5, -0x1.512cc8882813p-5, -0x1.4862679090e21p-5, -0x1.3fcb01d8ece37p-5, -0x1.3765a9daee495p-5, -0x1.2f3174d298bp-5, -0x1.272d7a49db1e9p-5, -0x1.1f58d5a425cc6p-5, -0x1.17b2a57eaf8ep-5, -0x1.103a0828ef6b8p-5, -0x1.08ee21a26f462p-5, -0x1.01ce17c2cd559p-5, -0x1.f5b2266269909p-6, -0x1.e81c7ec60395ep-6, -0x1.dad995655d45dp-6, -0x1.cde7ca2655726p-6, -0x1.c14588d81c095p-6, -0x1.b4f13ac07da08p-6, -0x1.a8e9537fe2c07p-6, -0x1.9d2c4adf2f20ep-6, -0x1.91b89f02d266ep-6, -0x1.868cd2429e399p-6, -0x1.7ba767a3fa1ccp-6, -0x1.7106fdd8c3aabp-6, -0x1.66aa125f2041ep-6, -0x1.5c8f528e7d905p-6, -0x1.52b54d612af48p-6, -0x1.491aab77929f3p-6, -0x1.3fbe154a9381ep-6, -0x1.369e39204006fp-6, -0x1.2db9cacbd00a8p-6, -0x1.250f825ad3278p-6, -0x1.1c9e1df892f7ep-6, -0x1.14645ff78e75fp-6, -0x1.0c6112cd135cbp-6, -0x1.049301ad3bc12p-6, -0x1.f9f1ffb75ce0cp-7, -0x1.eb23c9f5d474p-7, -0x1.dcb91847035f5p-7, -0x1.ceafb648bd95ep-7, -0x1.c10568ed84b2cp-7, -0x1.b3b8097ea68cbp-7, -0x1.a6c57953474cap-7, -0x1.9a2ba290ea82cp-7, -0x1.8de878d91445ap-7, -0x1.81f9fa6a04866p-7, -0x1.765e2befa740dp-7, -0x1.6b132399f8226p-7, -0x1.6016f487d7a3bp-7, -0x1.5567c380bc883p-7, -0x1.4b03c923d4ee8p-7, -0x1.40e913fcc6003p-7, -0x1.371606169c6a2p-7, -0x1.2d88dc262826ap-7, -0x1.243fe2b2d0e3fp-7, -0x1.1b397206930f1p-7, -0x1.1273f00e27aaep-7, -0x1.09edb20d16954p-7, -0x1.01a539bb983d5p-7, -0x1.f331f7839fcc6p-8, -0x1.e38eefb5a38afp-8, -0x1.d45e6e1abe1f4p-8, -0x1.c59d8faf1376bp-8, -0x1.b749870eb0c9cp-8, -0x1.a95f9368ad0bp-8, -0x1.9bdd00e9d8b33p-8, -0x1.8ebf31598fa56p-8, -0x1.820383c84363ap-8, -0x1.75a77c44119bbp-8, -0x1.69a89d8c54fbdp-8, -0x1.5e047c7224391p-8, -0x1.52b8bf71601eep-8, -0x1.47c3114f322e1p-8, -0x1.3d21307875d71p-8, -0x1.32d0e66ae9f92p-8, -0x1.28d0094c82b26p-8, -0x1.1f1c7ba2e5415p-8, -0x1.15b42ba014937p-8, -0x1.0c953340c5dfp-8, -0x1.03bd3a84ba25p-8, -0x1.f6556f9bb2723p-9, -0x1.e5b73f3cb5a7ep-9, -0x1.d59c3c1075a86p-9, -0x1.c600cc41a3684p-9, -0x1.b6e16b7391bdap-9, -0x1.a83aaa2845311p-9, -0x1.9a092a19c18c4p-9, -0x1.8c49adf13b0f3p-9, -0x1.7ef8e1b3725f2p-9, -0x1.7213f4e9c81d6p-9, -0x1.65978bd6f0af2p-9, -0x1.5980c891198dfp-9, -0x1.4dccc2f72df42p-9, -0x1.42789ded24369p-9, -0x1.378156912273p-9, -0x1.2ce51fba885d9p-9, -0x1.22a0d8d9463e9p-9, -0x1.18b0e802fe3b7p-9, -0x1.0f14264055d06p-9, -0x1.05c7f2d6451efp-9, -0x1.f992438490a41p-10, -0x1.e82c58b480685p-10, -0x1.d7592d3c5ff06p-10, -0x1.c714678d2be4ep-10, -0x1.b758ef2301b8dp-10, -0x1.a823964e990bap-10, -0x1.996fe8bf06edcp-10, -0x1.8b39f1ced7f7ep-10, -0x1.7d7dbfe2fe684p-10, -0x1.7037ad1ce88a6p-10, -0x1.6363f482d726fp-10, -0x1.56ff0ea04e902p-10, -0x1.4b057b42c0c14p-10, -0x1.3f73e5e9bd0ecp-10, -0x1.3446f612e661ap-10, -0x1.297b7fa3bccc6p-10, -0x1.1f0e6515ea89cp-10, -0x1.14fca057f8246p-10, -0x1.0b4340c605763p-10, -0x1.01df6a968863ep-10, -0x1.f19c93352f09p-11, -0x1.e01a91c320f1ep-11, -0x1.cf339066a87e6p-11, -0x1.bee243e9af851p-11, -0x1.af21e28bbcd63p-11, -0x1.9fed7ed5a5864p-11, -0x1.91408b0de5486p-11, -0x1.831685843bb5fp-11, -0x1.756b0567ce329p-11, -0x1.6839cb64032c2p-11, -0x1.5b7b68415361bp-11, -0x1.4f32a9beb5fd8p-11, -0x1.43595254d845ep-11, -0x1.37e842772c8bcp-11, -0x1.2cdf4109513bbp-11, -0x1.22398ea6168aap-11, -0x1.17f3c8b65dd1cp-11, -0x1.0e0a9ff12c1a2p-11, -0x1.047add15dd82ep-11, -0x1.f682c809bdb8p-12, -0x1.e4b66229e8c1cp-12, -0x1.d38ab1da6e7c6p-12, -0x1.c2fa2bf678dcp-12, -0x1.b2ff069008b81p-12, -0x1.a394362a8f0c3p-12, -0x1.94b49392c4b0ep-12, -0x1.865ae8d20360bp-12, -0x1.787f8105588edp-12, -0x1.6b27993a666cep-12, -0x1.5e446d583faa1p-12, -0x1.51d5363ddd5aap-12, -0x1.45d59422dc865p-12, -0x1.3a41890f991f4p-12, -0x1.2f152492bc7b2p-12, -0x1.244c9bb08a36ep-12, -0x1.19e20a0ba4353p-12, -0x1.0fd875282912ap-12, -0x1.0625e03afd81fp-12, -0x1.f99254e455124p-13, -0x1.e77e387370287p-13, -0x1.d608e3ecf804bp-13, -0x1.c52d2b70840bfp-13, -0x1.b4e54acc61054p-13, -0x1.a52af00907269p-13, -0x1.95f901ed8429ep-13, -0x1.874a8dace4945p-13, -0x1.791a628fe2007p-13, -0x1.6b5d60e20d0f2p-13, -0x1.5e223c95a198cp-13, -0x1.515140e287b2cp-13, -0x1.44ec6965f9bdcp-13, -0x1.38ef9f7f8dc86p-13, -0x1.2d571b130bc89p-13, -0x1.221e42224e25ep-13, -0x1.1742dad117411p-13, -0x1.0cc02c849be8fp-13, -0x1.02931fc107088p-13, -0x1.f1710f6167b4ep-14, -0x1.de5a03daa9f73p-14, -0x1.cbdb8e5d603b5p-14, -0x1.b9efcc3d51c4bp-14, -0x1.a890e4019cfa4p-14, -0x1.97bb41c97a705p-14, -0x1.8764a3913fbc4p-14, -0x1.778dcfd4fb487p-14, -0x1.682f86dc95ec4p-14, -0x1.5945664ef9744p-14, -0x1.4acb33f670038p-14, -0x1.3cbc974440242p-14, -0x1.2f1b21f324a26p-14, -0x1.21d4267932a77p-14, -0x1.14f20b465d39fp-14, -0x1.086c74c41cd22p-14, -0x1.f8846feab01a5p-15, -0x1.e0d46a728f677p-15, -0x1.c9ce9a04ac7efp-15, -0x1.b368d31500cb3p-15, -0x1.9d9e30168a6bcp-15, -0x1.886a4cc840d0cp-15, -0x1.73c1ae1d57695p-15, -0x1.5fa6b0ece2257p-15, -0x1.4c1213f7f2d44p-15, -0x1.38ff744107e5ap-15, -0x1.266a5185d72b8p-15, -0x1.144ea36b1d36fp-15, -0x1.02a87c25fa8a4p-15, -0x1.e2e7feb0e41fp-16, -0x1.c15740501aeddp-16, -0x1.a0c9a7dc5d045p-16, -0x1.80bda41151955p-16, -0x1.61a0060fadea9p-16, -0x1.4344e9f2157bcp-16, -0x1.25a738362410dp-16, -0x1.08c1974bc6071p-16, -0x1.d90f11d05743fp-17, -0x1.a215c4e0aa18fp-17, -0x1.6c60010fec777p-17, -0x1.37f338a94facdp-17, -0x1.04caf8d5ce403p-17, -0x1.a5b5fdc52b746p-18, -0x1.443a57aaafe6fp-18, -0x1.ca1acfe0d075cp-19, -0x1.0f3c9300f915cp-19, -0x1.6c70d79a1bdb6p-21, 0x1.56e508543bc2p-21, 0x1.025b96ce7d1f9p-19, 0x1.aad1e02880ff3p-19, 0x1.277e2e5c40aadp-18, 0x1.77be92543472ep-18, 0x1.c5f0365043748p-18, 0x1.090e92e5e44f6p-17, 0x1.2e48a9e72e834p-17, 0x1.5288c15f32234p-17, 0x1.75de3cd3f3cd9p-17, 0x1.984cf65f6bfa6p-17, 0x1.b9d8a50f96626p-17, 0x1.da84d59d49239p-17, 0x1.fa54e7dd6a9d9p-17, 0x1.0ca5ce28ce77bp-16, 0x1.1ba35fa7b9d68p-16, 0x1.2a5e004096585p-16, 0x1.389de68dbd8aep-16, 0x1.467749b74731ap-16, 0x1.53cf04bba5026p-16, 0x1.610a694c58ad6p-16, 0x1.6daa7befbffd1p-16, 0x1.79d0e199c39c4p-16, 0x1.85dfcdda6a202p-16, 0x1.916c6636748fep-16, 0x1.9c708be94910fp-16, 0x1.a76e8a09ebf53p-16, 0x1.b1e0571bf785dp-16, 0x1.bbf9f13b0a026p-16, 0x1.c5b9f66bb5f38p-16, 0x1.cf20c5c4dd26ap-16, 0x1.d8318ff6110dcp-16, 0x1.e0dc40acc12f6p-16, 0x1.e94aeb150dd02p-16, 0x1.f155eb042d003p-16, 0x1.f90d570f1717bp-16, 0x1.0038ade1e767ep-15, 0x1.03c0f0baedb9fp-15, 0x1.0720987da7ffep-15, 0x1.0a5834f4f4202p-15, 0x1.0d674a5b289e6p-15, 0x1.104eb404e0eeep-15, 0x1.130784fe15c4ap-15, 0x1.15a84dc02b962p-15, 0x1.181aceadedfa1p-15, 0x1.1a678e4766e92p-15, 0x1.1c8eafea047f2p-15, 0x1.1e909b3d0ef98p-15, 0x1.206db894e2ccbp-15, 0x1.2224c6eaff637p-15, 0x1.23bb5b441ab58p-15, 0x1.252c84ac69605p-15, 0x1.267c515ebd982p-15, 0x1.278ee2b07a8c8p-15, 0x1.28afa5fe11a54p-15, 0x1.29902a1028da1p-15, 0x1.2a56b4cc083f4p-15, 0x1.2b008ac8db2c1p-15, 0x1.2b8419d045d12p-15, 0x1.2be7ed1edc621p-15, 0x1.2c2a94449e176p-15, 0x1.2c5071f679e53p-15, 0x1.2c562b1e84f22p-15, 0x1.2c3d677c3375bp-15, 0x1.2c062b83b17e7p-15, 0x1.2bb259fbd9d8ap-15, 0x1.2b40e447e51ecp-15, 0x1.2ab2ce0f6aedcp-15, 0x1.2a098ac227a95p-15, 0x1.295d539483abdp-15, 0x1.2861472af5df1p-15, 0x1.2763da2ed8679p-15, 0x1.264cbf6f4e69dp-15, 0x1.251bb6627d659p-15, 0x1.23d1242b21a17p-15, 0x1.226d7bec16ad3p-15, 0x1.20f13448ab48ap-15, 0x1.1f5cd2183c1cep-15, 0x1.1dafe7de3617fp-15, 0x1.1be9f89c09a2ep-15, 0x1.1a12785ad1bbap-15, 0x1.182a6beaaeac4p-15, 0x1.161c2abb76798p-15, 0x1.14004dbd8b3cp-15, 0x1.11ceafe7e4dabp-15, 0x1.0f8a7e8ca3c18p-15, 0x1.0d31674f5dd5bp-15, 0x1.0ac4c8fbeacbcp-15, 0x1.08452872f4716p-15, 0x1.05b30d9e57d8dp-15, 0x1.030fb09273508p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0a7b278be8fe7p-2, -0x1.15d19098264c5p-2, -0x1.20e627497e7d6p-2, -0x1.2bb76b5cf8a83p-2, -0x1.364400353246bp-2, -0x1.408aabe39fd3ep-2, -0x1.4a8a562a92b74p-2, -0x1.54420779d39aep-2, -0x1.5db0e7e74cb8dp-2, -0x1.66d63e2523175p-2, -0x1.6fb16e765b416p-2, -0x1.7841f9a306cf5p-2, -0x1.80877bece1a53p-2, -0x1.8881ac05156bfp-2, -0x1.90305a03d3314p-2, -0x1.97936e6256f43p-2, -0x1.9eaae8f7d4aa6p-2, -0x1.a576dff9c0a53p-2, -0x1.abf77effd8805p-2, -0x1.b22d060c3ca3bp-2, -0x1.b817c897eecadp-2, -0x1.bdb82ca3e6d37p-2, -0x1.c30ea9cf03509p-2, -0x1.c81bc870f66dbp-2, -0x1.cce020ba5c6eep-2, -0x1.d15c59da17f3dp-2, -0x1.d591292808385p-2, -0x1.d97f515531f3bp-2, -0x1.dd27a1a1608f2p-2, -0x1.e08af51648ee8p-2, -0x1.e3aa31c834d58p-2, -0x1.e686481c2fe05p-2, -0x1.e9203213b2fa3p-2, -0x1.eb78f29dc97d4p-2, -0x1.ed9194eda2c7ep-2, -0x1.ef6b2bd682a78p-2, -0x1.f106d12d0284p-2, -0x1.f265a52d90d41p-2, -0x1.f388cde81e945p-2, -0x1.f47176b0e1afcp-2, -0x1.f520cf961eb7p-2, -0x1.f5980cdad727bp-2, -0x1.f5d8667655abbp-2, -0x1.f5e3179870ba3p-2, -0x1.f5b95e327436ep-2, -0x1.f55c7a849ba0ap-2, -0x1.f4cdaeaff7dep-2, -0x1.f40e3e4cba7fdp-2, -0x1.f31f6e04b92c8p-2, -0x1.f2028332222b7p-2, -0x1.f0b8c3823ee03p-2, -0x1.ef43749c2c05cp-2, -0x1.eda3dbcb77d4dp-2, -0x1.ebdb3dae82e56p-2, -0x1.e9eadde89547fp-2, -0x1.e7d3fed7889dap-2, -0x1.e597e14cf8aa2p-2, -0x1.e337c44adb274p-2, -0x1.e0b4e4c36e92cp-2, -0x1.de107d5c6674fp-2, -0x1.db4bc63541561p-2, -0x1.d867f4b0b111ep-2, -0x1.d5663b4104638p-2, -0x1.d247c93776647p-2, -0x1.cf0dca9657aeap-2, -0x1.cbb967e5f5dc2p-2, -0x1.c84bc60c33531p-2, -0x1.c4c60626b87d3p-2, -0x1.c1294567ab133p-2, -0x1.bd769cf4df29p-2, -0x1.b9af21c962c3ap-2, -0x1.b5d3e4996152dp-2, -0x1.b1e5f1b84208ep-2, -0x1.ade65100f059fp-2, -0x1.a9d605c044f57p-2, -0x1.a5b60ea175476p-2, -0x1.a187659c7da14p-2, -0x1.9d4affe676353p-2, -0x1.9901cde3bab32p-2, -0x1.94acbb1be336bp-2, -0x1.904cae2f6d17ap-2, -0x1.8be288cf140ecp-2, -0x1.876f27b4bff9ap-2, -0x1.82f3629e0114ap-2, -0x1.7e700c4804ae1p-2, -0x1.79e5f26cfbb99p-2, -0x1.7555ddc2daa28p-2, -0x1.70c091fb702afp-2, -0x1.6c26cdc5b9d3ep-2, -0x1.67894ad070f9ap-2, -0x1.62e8bdcdc05dap-2, -0x1.5e45d67811674p-2, -0x1.59a13f97ea131p-2, -0x1.54fb9f0acd7bfp-2, -0x1.505595cb0c878p-2, -0x1.4bafbff886b3bp-2, -0x1.470ab4e241148p-2, -0x1.42670710d29fp-2, -0x1.3dc54451973fep-2, -0x1.3925f5c29c19cp-2, -0x1.34899fdf3bafcp-2, -0x1.2ff0c28d64448p-2, -0x1.2b5bd92b71fefp-2, -0x1.26cb5a9ea28d9p-2, -0x1.223fb9620b689p-2, -0x1.1db963960ebe1p-2, -0x1.1938c31047fe9p-2, -0x1.14be3d6be1f75p-2, -0x1.104a341a4f709p-2, -0x1.0bdd047461093p-2, -0x1.077707cbab1d8p-2, -0x1.0318937c38a51p-2, -0x1.fd83f1fcfbad7p-3, -0x1.f4e70bf31522fp-3, -0x1.ec5b08aad4252p-3, -0x1.e3e0749b71881p-3, -0x1.db77d508af054p-3, -0x1.d321a8288c10fp-3, -0x1.cade6549286cap-3, -0x1.c2ae7cf6cac9bp-3, -0x1.ba9259220c5e1p-3, -0x1.b28a5d460b81ep-3, -0x1.aa96e68eaf03ep-3, -0x1.a2b84bfedc4bep-3, -0x1.9aeede96a8366p-3, -0x1.933ae9796a07ep-3, -0x1.8b9cb213b6a06p-3, -0x1.841478412b4dfp-3, -0x1.7ca2767210292p-3, -0x1.7546e1d0bea13p-3, -0x1.6e01ea66cb567p-3, -0x1.66d3bb41e530dp-3, -0x1.5fbc7a98735f1p-3, -0x1.58bc49edd293cp-3, -0x1.51d34636485fbp-3, -0x1.4b0187fa8cfe1p-3, -0x1.4447237afc4a6p-3, -0x1.3da428d257e09p-3, -0x1.3718a41823354p-3, -0x1.30a49d828c72ap-3, -0x1.2a481987e13a6p-3, -0x1.240318ff91ee7p-3, -0x1.1dd59942b0285p-3, -0x1.17bf944bfbb83p-3, -0x1.11c100d76589fp-3, -0x1.0bd9d28115a3ep-3, -0x1.0609f9e3ea8fbp-3, -0x1.005164b76f8c4p-3, -0x1.f55ffbdaa6677p-4, -0x1.ea4b5b9c8a297p-4, -0x1.df64b42cae89fp-4, -0x1.d4abcc218dcdp-4, -0x1.ca20656686bf5p-4, -0x1.bfc23d713748dp-4, -0x1.b5910d75c48f5p-4, -0x1.ab8c8a9a10a8ep-4, -0x1.a1b46627b3a59p-4, -0x1.98084dbcfc324p-4, -0x1.8e87eb7cac893p-4, -0x1.8532e63cb62fep-4, -0x1.7c08e1b3c90eap-4, -0x1.73097ea5cb2adp-4, -0x1.6a345b0f36068p-4, -0x1.6189124f58f0bp-4, -0x1.59073d5185076p-4, -0x1.50ae72b523441p-4, -0x1.487e46f4b7373p-4, -0x1.40764c8bcf80bp-4, -0x1.3896141be94bfp-4, -0x1.30dd2c9046d05p-4, -0x1.294b2340bbffcp-4, -0x1.21df841376ab9p-4, -0x1.1a99d99dc1f17p-4, -0x1.1379ad43ca386p-4, -0x1.0c7e8757648e2p-4, -0x1.05a7ef35dd433p-4, -0x1.fdead6c9a0204p-5, -0x1.f0cd035c1d5f5p-5, -0x1.e3f56e7531d93p-5, -0x1.d7632159545cfp-5, -0x1.cb152471c121ep-5, -0x1.bf0a7f7d00aep-5, -0x1.b34239bdb2005p-5, -0x1.a7bb5a279fbedp-5, -0x1.9c74e78b249f3p-5, -0x1.916de8beee2c6p-5, -0x1.86a564c81e9cap-5, -0x1.7c1a6300dabd4p-5, -0x1.71cbeb3d4afcep-5, -0x1.67b905ef169dep-5, -0x1.5de0bc4764adbp-5, -0x1.5442185764dcfp-5, -0x1.4adc252f6effcp-5, -0x1.41adeefcc099ap-5, -0x1.38b68325d8cedp-5, -0x1.2ff4f06587d7fp-5, -0x1.276846e4adbe6p-5, -0x1.1f0f9852baadfp-5, -0x1.16e9f7fcef727p-5, -0x1.0ef67ae46f603p-5, -0x1.073437d323a5ep-5, -0x1.ff448edefb832p-6, -0x1.f07f889e3b579p-6, -0x1.e2179610c583p-6, -0x1.d40af485e8304p-6, -0x1.c657e58e82934p-6, -0x1.b8fcaf1a0d41ep-6, -0x1.abf79b91b97c9p-6, -0x1.9f46f9f1b1f4fp-6, -0x1.92e91de08d427p-6, -0x1.86dc5fc500166p-6, -0x1.7b1f1cd9dc8fap-6, -0x1.6fafb7406cbffp-6, -0x1.648c961137de8p-6, -0x1.59b4256b3a991p-6, -0x1.4f24d681a41b9p-6, -0x1.44dd1fa82310ap-6, -0x1.3adb7c5dce90dp-6, -0x1.311e6d56ba7ccp-6, -0x1.27a47884395d2p-6, -0x1.1e6c291bea0cbp-6, -0x1.15740f9d8ad51p-6, -0x1.0cbac1d7a44b6p-6, -0x1.043edaeb1c1b4p-6, -0x1.f7fdf69b62525p-7, -0x1.e7f39196eae75p-7, -0x1.d85bdd0e8cdp-7, -0x1.c93439f4ad53fp-7, -0x1.ba7a13e59c77dp-7, -0x1.ac2ae123172a2p-7, -0x1.9e44228e23396p-7, -0x1.90c3639f53274p-7, -0x1.83a63a5d7fea5p-7, -0x1.76ea4753162e1p-7, -0x1.6a8d3581ff819p-7, -0x1.5e8cba563df9cp-7, -0x1.52e695973a47fp-7, -0x1.47989157f639fp-7, -0x1.3ca081e60a071p-7, -0x1.31fc45b79d87bp-7, -0x1.27a9c55858471p-7, -0x1.1da6f3555dd2dp-7, -0x1.13f1cc286316fp-7, -0x1.0a885621eada8p-7, -0x1.0168a152b5991p-7, -0x1.f1218ee8e1abap-8, -0x1.dffdd7a36a33ap-8, -0x1.cf62765ab3977p-8, -0x1.bf4bd7525f87fp-8, -0x1.afb67958522e2p-8, -0x1.a09eed8ff8994p-8, -0x1.9201d73c977a5p-8, -0x1.83dbeb8ab671p-8, -0x1.7629f158bd4ebp-8, -0x1.68e8c0fed59aap-8, -0x1.5c1544161f431p-8, -0x1.4fac753f51882p-8, -0x1.43ab5fe8cf29bp-8, -0x1.380f20144805fp-8, -0x1.2cd4e21bf0526p-8, -0x1.21f9e27760927p-8, -0x1.177b6d802c5fap-8, -0x1.0d56df363c1d3p-8, -0x1.0389a303f911cp-8, -0x1.f4226704b1264p-9, -0x1.e1d63479a27a6p-9, -0x1.d029deea8dbd2p-9, -0x1.bf18b3cff41dap-9, -0x1.ae9e1d1f057c2p-9, -0x1.9eb5a0d1c714bp-9, -0x1.8f5ae06f7b764p-9, -0x1.80899895612c2p-9, -0x1.723da07fd98c9p-9, -0x1.6472e994037edp-9, -0x1.57257ee9e89fap-9, -0x1.4a5184d739f28p-9, -0x1.3df3387abba78p-9, -0x1.3206ef485ed3ep-9, -0x1.2689169626f53p-9, -0x1.1b763329d8fcdp-9, -0x1.10cae0c784c8fp-9, -0x1.0683d1c0fb9d9p-9, -0x1.f93b9d0c607aap-10, -0x1.e62b6a6d2f6e5p-10, -0x1.d3d0f26714b04p-10, -0x1.c22645676b4a2p-10, -0x1.b1259caf3c78p-10, -0x1.a0c9597e85015p-10, -0x1.910c0441c1c92p-10, -0x1.81e84bc1c5d64p-10, -0x1.73590456013bp-10, -0x1.6559271922588p-10, -0x1.57e3d1203a056p-10, -0x1.4af442b452d4fp-10, -0x1.3e85de8e95637p-10, -0x1.32942916f9a8ep-10, -0x1.271ac7a58d32p-10, -0x1.1c157fc64e419p-10, -0x1.1180367fb01bfp-10, -0x1.0756ef9bb79b8p-10, -0x1.fb2b99e799f7cp-11, -0x1.e8721b7e505c1p-11, -0x1.d67a1bc7f0efbp-11, -0x1.c53c8a9663f71p-11, -0x1.b4b28e6e1bbe5p-11, -0x1.a4d5833875a98p-11, -0x1.959ef8fb7b90bp-11, -0x1.8708b2970482dp-11, -0x1.790ca487360ecp-11, -0x1.6ba4f3ac5e6afp-11, -0x1.5ecbf4182741fp-11, -0x1.527c27e01d897p-11, -0x1.46b03df584417p-11, -0x1.3b6311027135fp-11, -0x1.308fa64c29d93p-11, -0x1.26312c9abad0bp-11, -0x1.1c42fb25bef13p-11, -0x1.12c0908650098p-11, -0x1.09a591ae18065p-11, -0x1.00edc8e374402p-11, -0x1.f12a49854dc94p-12, -0x1.e12f6e880c8cp-12, -0x1.d1e3698e43e84p-12, -0x1.c33ee6459f544p-12, -0x1.b53ad1742b68ap-12, -0x1.a7d0572bc856ep-12, -0x1.9af8e10724e0ep-12, -0x1.8eae147024fc9p-12, -0x1.82e9d0ef95133p-12, -0x1.77a62e861849ap-12, -0x1.6cdd7c0e29be2p-12, -0x1.628a3da71f2a1p-12, -0x1.58a72b2905ba6p-12, -0x1.4f2f2ea1454cbp-12, -0x1.461d62d7e5244p-12, -0x1.3d6d11dd569cfp-12, -0x1.3519b3a0a97d6p-12, -0x1.2d1eec8e07ae5p-12, -0x1.25788c355dc4p-12, -0x1.1e228bf90e207p-12, -0x1.17190dc4900e1p-12, -0x1.10585acadfcd8p-12, -0x1.09dce24c97f46p-12, -0x1.03a33865a21a2p-12, -0x1.fb5029c49f11p-13, -0x1.efd0a43790bfbp-13, -0x1.e4c1d7b756b43p-13, -0x1.da1dfc8d8000fp-13, -0x1.cfdf899d36b3ap-13, -0x1.c601325439e55p-13, -0x1.bc7de4a93bee6p-13, -0x1.b350c72775018p-13, -0x1.aa7537072137fp-13, -0x1.a1e6c652ba52ap-13, -0x1.99a13a18a353fp-13, -0x1.91a088a911b42p-13, -0x1.89e0d7dffa8b1p-13, -0x1.825e7b7ac021dp-13, -0x1.7b15f3796badap-13, -0x1.7403ea8b38a8ep-13, -0x1.6d25348635703p-13, -0x1.6676cce9bf7f3p-13, -0x1.5ff5d56ba7f4ap-13, -0x1.599f948fbf84bp-13, -0x1.537174499f835p-13, -0x1.4d6900a867f83p-13, -0x1.4783e68c4a343p-13, -0x1.41bff265a6426p-13, -0x1.3c1b0efd84437p-13, -0x1.369344473742cp-13, -0x1.3126b63af1ac7p-13, -0x1.2bd3a3b924aap-13, -0x1.26986576633c6p-13, -0x1.21736cefad288p-13, -0x1.1c634366e475bp-13, -0x1.176688e73a26ep-13, -0x1.127bf351738f2p-13, -0x1.0da24d6fc1ff1p-13, -0x1.08d8761111c6cp-13, -0x1.041d5f2b99997p-13, -0x1.fee01a0d0730dp-14, -0x1.f59f2ad4f05a3p-14, -0x1.ec763db1dbbddp-14, -0x1.e363bf94206bcp-14, -0x1.da663be20807fp-14, -0x1.d17c5b0cfc8d2p-14, -0x1.c8a4e132c0537p-14, -0x1.bfdeaccaacbf9p-14, -0x1.b728b55e6216bp-14, -0x1.ae820a4ddbda1p-14, -0x1.a5e9d19e67f65p-14, -0x1.9d5f46d45b205p-14, -0x1.94e1b9d731ab5p-14, -0x1.8c708ddfc34f8p-14, -0x1.840b38705f5e8p-14, -0x1.7bb140567a346p-14, -0x1.73623cb5af5e2p-14, -0x1.6b1dd41bd5a1p-14, -0x1.62e3bb9de5a6p-14, -0x1.5ab3b5fd70d27p-14, -0x1.528d92d66f02dp-14, -0x1.4a712dd521964p-14, -0x1.425e6df3d534fp-14, -0x1.3a5544c0442afp-14, -0x1.3255ada8634d3p-14, -0x1.2a5fad4e601e3p-14, -0x1.227350e39ab2ep-14, -0x1.1a90ad8a65d6ap-14, -0x1.12b7dfbe58776p-14, -0x1.0ae90ac2ffe56p-14, -0x1.03245818be7a3p-14, -0x1.f6d3edef4d773p-15, -0x1.e77437a04a71ep-15, -0x1.d829ffa290ff7p-15, -0x1.c8f5c0e8f54f7p-15, -0x1.b9d7fe1d02d33p-15, -0x1.aad140cb2f6cap-15, -0x1.9be21898edabfp-15, -0x1.8d0b1a84504adp-15, -0x1.7e4ce02ce9244p-15, -0x1.6fa8072597a4bp-15, -0x1.611d304efc79ap-15, -0x1.52acff3a43f63p-15, -0x1.445819940147p-15, -0x1.361f2696d4342p-15, -0x1.2802ce859161dp-15, -0x1.1a03ba2caf18bp-15, -0x1.0c22926aaf3dfp-15, -0x1.fcbfff7e98f6bp-16, -0x1.e17953c24e6b7p-16, -0x1.c6726eb379491p-16, -0x1.abac9a4ec7e34p-16, -0x1.91291cca48affp-16, -0x1.76e937f0410b6p-16, -0x1.5cee2884d4701p-16, -0x1.433925b60b00ep-16, -0x1.29cb6095d114p-16, -0x1.10a6039d92c9p-16, -0x1.ef9464760966ep-17, -0x1.be7210cbaa482p-17, -0x1.8de7347b9725fp-17, -0x1.5df5e7623a782p-17, -0x1.2ea0305507b7p-17, -0x1.ffd0091b7954ap-18, -0x1.a39e8e47d2f67p-18, -0x1.48af91287e416p-18, -0x1.de0d1953f75fbp-19, -0x1.2d4da9dbd9b2fp-19, -0x1.fc9cb528d8e48p-21, 0x1.630297f91a872p-22, 0x1.aa863d20de1afp-20, 0x1.7b7bceb47d20cp-19, 0x1.0f82a788b7733p-18, 0x1.5fed6f11c6df1p-18, 0x1.aefc06ca0d9c4p-18, 0x1.fcac6136e9ca3p-18, 0x1.247e4d4c39732p-17, 0x1.49f57c7203863p-17, 0x1.6ebaf5d818736p-17, 0x1.92ce060957bd7p-17, 0x1.b62e0e38b7f74p-17, 0x1.d8da842382ac9p-17, 0x1.fad2f1edceb75p-17, 0x1.0e0b7afcb1c1dp-16, 0x1.1e53215bbdb89p-16, 0x1.2e404f3ad485fp-16, 0x1.3dd2f193116cdp-16, 0x1.4d0aff11eb254p-16, 0x1.5be877f93a1ep-16, 0x1.6a6b65fd649b3p-16, 0x1.7893dc21d3471p-16, 0x1.8661f693c48cep-16, 0x1.93d5da83acda8p-16, 0x1.a0efb5fd32eb4p-16, 0x1.adafbfbded944p-16, 0x1.ba16370afc4a3p-16, 0x1.c623638592e16p-16, 0x1.d1d794fe94a1p-16, 0x1.dd33234954488p-16, 0x1.e8366e0d92f7ep-16, 0x1.f2e1dc98ce8d3p-16, 0x1.fd35ddaf0155dp-16, 0x1.039973ad6afa5p-15, 0x1.086cbb5eb90a2p-15, 0x1.0d1507eef1b63p-15, 0x1.11929ebc1f7a5p-15, 0x1.15e5c866461b1p-15, 0x1.1a0ed0b6c1f78p-15, 0x1.1e0e068798964p-15, 0x1.21e3bbaac8792p-15, 0x1.259044d195571p-15, 0x1.2913f973df24ep-15, 0x1.2c6f33b786ceep-15, 0x1.2fa25057e8345p-15, 0x1.32adae8d6cfecp-15, 0x1.3591aff53f2e9p-15, 0x1.384eb879217b2p-15, 0x1.3ae52e376fb1dp-15, 0x1.3d55796b4d8e8p-15, 0x1.3fa0045509761p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c9d14e3119aaap-1, 0x1.c89516b684f57p-1, 0x1.c744d0e2b5526p-1, 0x1.c5e054b7a7999p-1, 0x1.c4678576954dep-1, 0x1.c2da515dc989ep-1, 0x1.c138b15ac42bep-1, 0x1.bf82a8b2eaf6bp-1, 0x1.bdb844a4bfc9ap-1, 0x1.bbd99c03499fcp-1, 0x1.b9e6cecd2583cp-1, 0x1.b7e005c0812f3p-1, 0x1.b5c571ed0c46cp-1, 0x1.b3974c44d054bp-1, 0x1.b155d52cb5dc8p-1, 0x1.af01540d60bbap-1, 0x1.ac9a16e4f3373p-1, 0x1.aa2071da32343p-1, 0x1.a794bed170a1cp-1, 0x1.a4f75d0392cacp-1, 0x1.a248b097728f9p-1, 0x1.9f89223dda319p-1, 0x1.9cb91ed041718p-1, 0x1.99d916f272d45p-1, 0x1.96e97eb7305d8p-1, 0x1.93eacd47ec329p-1, 0x1.90dd7c8f9fed7p-1, 0x1.8dc208e8ccf51p-1, 0x1.8a98f0cea5313p-1, 0x1.8762b4915be37p-1, 0x1.841fd60d99cd5p-1, 0x1.80d0d8670d9a8p-1, 0x1.7d763fc60c3ebp-1, 0x1.7a109118379adp-1, 0x1.76a051d41d54dp-1, 0x1.732607bfbb6bdp-1, 0x1.6fa238b9e0a0fp-1, 0x1.6c156a865085dp-1, 0x1.6880229c9f50fp-1, 0x1.64e2e5f9af085p-1, 0x1.613e38f3be2f1p-1, 0x1.5d929f10f3106p-1, 0x1.59e09ae05282p-1, 0x1.5628add50c1fcp-1, 0x1.526b58240d7d7p-1, 0x1.4ea918a3c4567p-1, 0x1.4ae26cae008edp-1, 0x1.4717d003e23b8p-1, 0x1.4349bcb3c138ep-1, 0x1.3f78ab00fbd6p-1, 0x1.3ba5114d9c88bp-1, 0x1.37cf6405c2de5p-1, 0x1.33f8158cbf9c9p-1, 0x1.301f962bd5c6cp-1, 0x1.2c4654028a524p-1, 0x1.286cbaf877c2ep-1, 0x1.249334b09569ep-1, 0x1.20ba287ddeb5cp-1, 0x1.1ce1fb5951c5cp-1, 0x1.190b0fd93177ep-1, 0x1.1535c62980d33p-1, 0x1.11627c05a6df6p-1, 0x1.0d918cb32e99fp-1, 0x1.09c350fd98b29p-1, 0x1.05f81f332c959p-1, 0x1.02304b22c22c8p-1, 0x1.fcd84c34eba12p-2, 0x1.f557fdce72ec4p-2, 0x1.ede043aa756aep-2, 0x1.e671b16224839p-2, 0x1.df0cd5935d77bp-2, 0x1.d7b239e5edd49p-2, 0x1.d06263122381p-2, 0x1.c91dd0e8a4e36p-2, 0x1.c1e4fe5b72562p-2, 0x1.bab86188049b3p-2, 0x1.b3986bc27725dp-2, 0x1.ac8589a1aa019p-2, 0x1.a580230c4f044p-2, 0x1.9e889b46cfd2fp-2, 0x1.979f5101fff8dp-2, 0x1.90c49e6a8896ep-2, 0x1.89f8d93905518p-2, 0x1.833c52c2bf21dp-2, 0x1.7c8f580afe013p-2, 0x1.75f231d4dcc3dp-2, 0x1.6f6524b59c7e1p-2, 0x1.68e8712765dd5p-2, 0x1.627c539c6c949p-2, 0x1.5c21049270e72p-2, 0x1.55d6b8a68b167p-2, 0x1.4f9da0a941948p-2, 0x1.4975e9b2d7813p-2, 0x1.435fbd37d0d03p-2, 0x1.3d5b411d9ee4fp-2, 0x1.376897cf71af5p-2, 0x1.3187e0532169ep-2, 0x1.2bb9365e2bb19p-2, 0x1.25fcb26abf91ep-2, 0x1.205269ccc83eep-2, 0x1.1aba6ec6fdf7cp-2, 0x1.1534d09fe8d66p-2, 0x1.0fc19bb6db43dp-2, 0x1.0a60d998d6df8p-2, 0x1.051291155a886p-2, 0x1.ffad8ca624faap-3, 0x1.f55af5c8d1a6ap-3, 0x1.eb2d5bb7daeb2p-3, 0x1.e124b7c12e017p-3, 0x1.d740fe83a3d76p-3, 0x1.cd822016c4c7p-3, 0x1.c3e808321c991p-3, 0x1.ba729e541ed0cp-3, 0x1.b121c5e8998p-3, 0x1.a7f55e6ea50b9p-3, 0x1.9eed439e1c4edp-3, 0x1.96094d8c855edp-3, 0x1.8d4950d17ba42p-3, 0x1.84ad1eaa81c7ep-3, 0x1.7c34851e4d0c8p-3, 0x1.73df4f1f7414dp-3, 0x1.6bad44ae8902dp-3, 0x1.639e2afb9efp-3, 0x1.5bb1c4872ae87p-3, 0x1.53e7d1424af78p-3, 0x1.4c400eae7183dp-3, 0x1.44ba37fc68a9ap-3, 0x1.3d56062ab2db5p-3, 0x1.361330235274p-3, 0x1.2ef16ad8debbp-3, 0x1.27f06962fef8dp-3, 0x1.210fdd1a3a059p-3, 0x1.1a4f75b32783dp-3, 0x1.13aee158f12eap-3, 0x1.0d2dccc73a399p-3, 0x1.06cbe3635dcep-3, 0x1.0088cf5504a5cp-3, 0x1.f4c8733c43319p-4, 0x1.e8bb94648548dp-4, 0x1.dcea501a873c6p-4, 0x1.d153f292c6e7ap-4, 0x1.c5f7c66969dc4p-4, 0x1.bad514cbee9p-4, 0x1.afeb25a19b9afp-4, 0x1.a5393fb2bcdacp-4, 0x1.9abea8ceb2p-4, 0x1.907aa5f0cad47p-4, 0x1.866c7b63f4ea4p-4, 0x1.7c936ce54ae5ep-4, 0x1.72eebdc5782edp-4, 0x1.697db10901648p-4, 0x1.603f898770e37p-4, 0x1.57338a096b0bcp-4, 0x1.4e58f565b125ep-4, 0x1.45af0e9d15e2ap-4, 0x1.3d3518f567b09p-4, 0x1.34ea581355a4dp-4, 0x1.2cce1013554eap-4, 0x1.24df85a18a557p-4, 0x1.1d1dfe10b98efp-4, 0x1.1588bf7048145p-4, 0x1.0e1f10a14c7efp-4, 0x1.06e0396ab9af6p-4, 0x1.ff97051944d7ep-5, 0x1.f1c06ba541209p-5, 0x1.e43b3c4ac26f9p-5, 0x1.d7060f36b59dap-5, 0x1.ca1f7f1167cf8p-5, 0x1.bd86291cbaedep-5, 0x1.b138ad50cce2bp-5, 0x1.a535ae771b747p-5, 0x1.997bd2442c241p-5, 0x1.8e09c16fc512p-5, 0x1.82de27cbbd3efp-5, 0x1.77f7b4596d4fp-5, 0x1.6d55195dce2dbp-5, 0x1.62f50c7449173p-5, 0x1.58d646a048dcbp-5, 0x1.4ef7845d8c636p-5, 0x1.455785af4e6c2p-5, 0x1.3bf50e2e413c3p-5, 0x1.32cee5156c931p-5, 0x1.29e3d54df7c8p-5, 0x1.2132ad79e1779p-5, 0x1.18ba3ffdb5a41p-5, 0x1.1079630944c05p-5, 0x1.086ef09f67406p-5, 0x1.0099c69cd1e8dp-5, 0x1.f1f18d7c0da92p-6, 0x1.e315ad48d254cp-6, 0x1.d49dbfb4f4662p-6, 0x1.c6879fae9136cp-6, 0x1.b8d1300233f2ep-6, 0x1.ab785b5ea6515p-6, 0x1.9e7b145751f84p-6, 0x1.91d755654155bp-6, 0x1.858b20e6c2bc8p-6, 0x1.7994811dd0f5p-6, 0x1.6df1882d332e6p-6, 0x1.62a05014799c9p-6, 0x1.579efaaad121p-6, 0x1.4cebb198c5ec2p-6, 0x1.4284a650fc1fdp-6, 0x1.38681207e9021p-6, 0x1.2e9435aa9da26p-6, 0x1.250759d4a72bcp-6, 0x1.1bbfcec5145d8p-6, 0x1.12bbec52a9512p-6, 0x1.09fa11df4fa08p-6, 0x1.0178a64ac237ap-6, 0x1.f26c2fc91c4eep-7, 0x1.e261b8bacb522p-7, 0x1.d2cee16fa1279p-7, 0x1.c3b0b2709a8b8p-7, 0x1.b50442a9b4837p-7, 0x1.a6c6b748067e1p-7, 0x1.98f54396ce3c9p-7, 0x1.8b8d28dba1972p-7, 0x1.7e8bb631bada6p-7, 0x1.71ee48647be3bp-7, 0x1.65b249c93d18cp-7, 0x1.59d532185b8f6p-7, 0x1.4e548645b6401p-7, 0x1.432dd8588e946p-7, 0x1.385ec742e9defp-7, 0x1.2de4feb870c95p-7, 0x1.23be3704e60c6p-7, 0x1.19e834e239a81p-7, 0x1.1060c94e44915p-7, 0x1.0725d16038f0fp-7, 0x1.fc6a6c3ba228ep-8, 0x1.eb19d8a08cb8p-8, 0x1.da55e8b236861p-8, 0x1.ca1ab40d81a23p-8, 0x1.ba6468d24132fp-8, 0x1.ab2f4b4c29fdfp-8, 0x1.9c77b59badd31p-8, 0x1.8e3a175ed22efp-8, 0x1.8072f55a12f7cp-8, 0x1.731ee9215ed73p-8, 0x1.663aa0c13ab4bp-8, 0x1.59c2de681c12ap-8, 0x1.4db478100428cp-8, 0x1.420c57286b377p-8, 0x1.36c77840843c8p-8, 0x1.2be2eab1e8cdcp-8, 0x1.215bd04bb3018p-8, 0x1.172f5cfe12e94p-8, 0x1.0d5ad68667365p-8, 0x1.03db941be4dcp-8, 0x1.f55dfc39a340bp-9, 0x1.e3a51b78bec9fp-9, 0x1.d28799625713fp-9, 0x1.c200a9c8d9a8ep-9, 0x1.b20ba043a672ap-9, 0x1.a2a3ef9046cd7p-9, 0x1.93c528f526c99p-9, 0x1.856afba5d6cdp-9, 0x1.77913428e5e96p-9, 0x1.6a33bbbf5e76dp-9, 0x1.5d4e97cde8e57p-9, 0x1.50dde947a2d87p-9, 0x1.44ddec1aaf0acp-9, 0x1.394af69e8940bp-9, 0x1.2e2179041c057p-9, 0x1.235dfcc7a9181p-9, 0x1.18fd242481b77p-9, 0x1.0efba98a97ceep-9, 0x1.05565f15ead44p-9, 0x1.f8145c0fa40f3p-10, 0x1.e6282c84590c6p-10, 0x1.d4e25b88e8c12p-10, 0x1.c43d405578098p-10, 0x1.b4335c5d22f7dp-10, 0x1.a4bf5a539c79ap-10, 0x1.95dc0d36acc75p-10, 0x1.87846f5b7c9adp-10, 0x1.79b3a17fc291dp-10, 0x1.6c64e9dec899p-10, 0x1.5f93b34a46007p-10, 0x1.533b8c4712b9p-10, 0x1.4758262db17b9p-10, 0x1.3be5544eaa172p-10, 0x1.30df0b1aaae57p-10, 0x1.26415f4e8249p-10, 0x1.1c088522cf8d3p-10, 0x1.1230cf7f81ae3p-10, 0x1.08b6af3306c21p-10, 0x1.ff2d645a6a432p-11, 0x1.ed9b057bcfcc6p-11, 0x1.dcafcdae7612bp-11, 0x1.cc657ea6df9f3p-11, 0x1.bcb60e7cd08d4p-11, 0x1.ad9ba6456aa91p-11, 0x1.9f10a0b45d213p-11, 0x1.910f88c417cdfp-11, 0x1.83931864f07ep-11, 0x1.7696373326eacp-11, 0x1.6a13f933b8b1ep-11, 0x1.5e079d97ed01dp-11, 0x1.526c8d878b236p-11, 0x1.473e5af1a2a83p-11, 0x1.3c78bf63d45b2p-11, 0x1.32179ae808208p-11, 0x1.2816f2e87895fp-11, 0x1.1e72f11a026d5p-11, 0x1.1527e26ca08b3p-11, 0x1.0c32360200a49p-11, 0x1.038e7c2a1abdcp-11, 0x1.f672cacb6b668p-12, 0x1.e65f82dd865b8p-12, 0x1.d6dcfc8cfbaebp-12, 0x1.c7e54e9262fefp-12, 0x1.b972c88f36557p-12, 0x1.ab7ff14b8ddd3p-12, 0x1.9e0784feaf1f1p-12, 0x1.910473a244857p-12, 0x1.8471df500c112p-12, 0x1.784b1aa9d6f6dp-12, 0x1.6c8ba74ba90fdp-12, 0x1.612f3447cf93dp-12, 0x1.56319cacbf608p-12, 0x1.4b8ee614915eep-12, 0x1.41433f3df47edp-12, 0x1.374afeae61f0dp-12, 0x1.2da2a15d6d56ep-12, 0x1.2446c9690863ap-12, 0x1.1b343cd289449p-12, 0x1.1267e4444bc1cp-12, 0x1.09dec9dfc658ep-12, 0x1.01961813e23bep-12, 0x1.f31630f6e8d9ap-13, 0x1.e37665874ea5ap-13, 0x1.d447d7346b6bep-13, 0x1.c585c74683122p-13, 0x1.b72baced552dp-13, 0x1.a93533496f25p-13, 0x1.9b9e3783d3e3ap-13, 0x1.8e62c6f3b1e13p-13, 0x1.817f1d51d3ce8p-13, 0x1.74efa2f981fe5p-13, 0x1.68b0eb36949b7p-13, 0x1.5cbfb2a0547e1p-13, 0x1.5118dd80fae27p-13, 0x1.45b9764978a31p-13, 0x1.3a9eac114168p-13, 0x1.2fc5d121dad8cp-13, 0x1.252c598ddb241p-13, 0x1.1acfd9d3246f1p-13, 0x1.10ae05881180ep-13, 0x1.06c4ae134d69ep-13, 0x1.fa2382dc339bep-14, 0x1.e72691e194563p-14, 0x1.d48ed05240b26p-14, 0x1.c258b774d3aabp-14, 0x1.b080f08dfcbdfp-14, 0x1.9f0452c60ad6dp-14, 0x1.8ddfe120556a4p-14, 0x1.7d10c88435fb6p-14, 0x1.6c945dd70bfc5p-14, 0x1.5c681c26e2079p-14, 0x1.4c89a2e543214p-14, 0x1.3cf6b431d38e3p-14, 0x1.2dad333445ac3p-14, 0x1.1eab22853d9f8p-14, 0x1.0feea2a5c17aep-14, 0x1.0175f084cdf05p-14, 0x1.e67ec8255df6bp-15, 0x1.ca92ddc376211p-15, 0x1.af2535a821f7p-15, 0x1.943311abf9744p-15, 0x1.79b9df494dd5bp-15, 0x1.5fb735416e82dp-15, 0x1.4628d1591f26cp-15, 0x1.2d0c962b9b0a7p-15, 0x1.14608913774e8p-15, 0x1.f845a05186ab7p-16, 0x1.c8a360a78d5bbp-16, 0x1.99d716e77b2cp-16, 0x1.6bddbd31f491fp-16, 0x1.3eb480a3b2fc6p-16, 0x1.1258be13dcf78p-16, 0x1.cd8ffdeb7a262p-17, 0x1.77ffecb972f0fp-17, 0x1.23fcfc42e7c7ep-17, 0x1.a306509c5292bp-18, 0x1.011d5efe9ec5bp-18, 0x1.88e072e9c82f4p-20, -0x1.cd8056f342236p-21, -0x1.a542868db50fap-19, -0x1.68a1576a41becp-18, -0x1.fbb5b9dec25d2p-18, -0x1.45f1c65ce39e9p-17, -0x1.8c97d48106f88p-17, -0x1.d1cf52e153a69p-17, -0x1.0acd37b08bda4p-16, -0x1.2bfd9eb85dc9ep-16, -0x1.4c79dc8924e55p-16, -0x1.6c42e4da6a256p-16, -0x1.8b59a274015f2p-16, -0x1.a9bef874adf1p-16, -0x1.c773c386512dfp-16, -0x1.e478db004e05ep-16, -0x1.006788fc68264p-15, -0x1.0e3b9c22cead3p-15, -0x1.1bb90db68308fp-15, -0x1.28e043c3cdd94p-15, -0x1.35b1a409a2a33p-15, -0x1.422d945c1b546p-15, -0x1.4e547b00376eep-15, -0x1.5a26bf0119f55p-15, -0x1.65a4c87f11075p-15, -0x1.70cf00f8a3591p-15, -0x1.7ba5d38de79e8p-15, -0x1.8629ad3e5f8ffp-15, -0x1.905afd2193c6ap-15, -0x1.9a3a349aacf9dp-15, -0x1.a3c7c7873e7d3p-15, -0x1.ad042c697a359p-15, -0x1.b5efdc8e04c6dp-15, -0x1.be8b542d99e71p-15, -0x1.c6d7128ab5cc5p-15, -0x1.ced39a0b70061p-15, -0x1.d681704fb91f2p-15, -0x1.dde11e442642ap-15, -0x1.e4f3303177926p-15, -0x1.ebb835c902407p-15, -0x1.f230c22e26c66p-15, -0x1.f85d6bfcfdbdfp-15, -0x1.fe3ecd4e59faap-15, -0x1.01eac1dca75d6p-14, -0x1.0491182929c25p-14, -0x1.0712bbd417051p-14, -0x1.097000df6111ap-14, -0x1.0ba93d03f1cebp-14, -0x1.0dbec7ad277e1p-14, -0x1.0fb0f9f370a79p-14, -0x1.11802e9616afap-14, -0x1.132cc1f44556p-14, -0x1.14b712055bb79p-14, -0x1.161f7e5093422p-14, -0x1.176667e409ee5p-14, -0x1.188c314b39d6bp-14, -0x1.19913e84eac75p-14, -0x1.1a75f4f8a83a1p-14, -0x1.1b3abb6bc5781p-14, -0x1.1bdff9f5fb699p-14, -0x1.1c6619f5a8001p-14, -0x1.1ccd8603b83d6p-14, -0x1.1d16a9e748badp-14, -0x1.1d41f288ffeedp-14, -0x1.1d4fcde62f57ap-14, -0x1.1d40ab03c03ap-14, -0x1.1d14f9e0f2fa3p-14, -0x1.1ccd2b69faf85p-14, -0x1.1c69b16a7a898p-14, -0x1.1beafe7fe7586p-14, -0x1.1b51860bdb7ebp-14, -0x1.1a9dbc265c2bdp-14, -0x1.19d01590171c5p-14, -0x1.18e907a4a06c5p-14, -0x1.17e9084cb266ap-14, -0x1.16d08df076269p-14, -0x1.15a00f69d7936p-14, -0x1.145803f6ebea3p-14, -0x1.12f8e32c6ad54p-14, -0x1.118324e841746p-14, -0x1.0ff7414440f59p-14, -0x1.0e55b088ec572p-14, -0x1.0c9eeb2068369p-14, -0x1.0ad3698991885p-14, -0x1.08f3a44b3a523p-14, -0x1.070013e793414p-14, -0x1.04f930cfc0a93p-14, -0x1.02df7357a0561p-14, -0x1.00b353a9bf1a9p-14, -0x1.fcea9377064d8p-15, -0x1.f84b9a8316a9ep-15, -0x1.f38aab4888a77p-15, -0x1.eea8b3e96d1d8p-15, -0x1.e9a6a1c31bd5cp-15, -0x1.e4856158b7c1p-15, -0x1.df45de3e2a6c3p-15, -0x1.d9e903039aae7p-15, -0x1.d46fb9215e322p-15, -0x1.cedae8e466923p-15, -0x1.c92b795b2ebaep-15, -0x1.c362504327d53p-15, -0x1.bd8051f6a2daep-15, -0x1.b786615b3fd5ap-15, -0x1.b1755fd0ddbd2p-15, -0x1.ab4e2d2108135p-15, -0x1.a511a76eed691p-15, -0x1.9ec0ab27d3fc8p-15, -0x1.985c12f410685p-15, -0x1.91e4b7a88144ap-15, -0x1.8b5b70388aaf4p-15, -0x1.84c111a8932bep-15, -0x1.7e166f0102942p-15, -0x1.775c5941bf7e7p-15, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      63, 0x1.fae147ae147aep+1, 0x1.f55589921477cp+0, 0x1.caad8667c34f5p+0, -0x1.0533013dd561cp-3, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.c75147f130596p-2, -0x1.1edb1014e6363p+0, 0x1.18e147ae1478fp+0, 0x1.3692183057dfp-3}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.9b3a68b19a416p-2, -0x1.0832efcfa5da1p+0, 0x1.1d89df153482bp+0, -0x1.84369e3c6dc3p-1}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.72bbecaab8a5dp-2, -0x1.e493402b8d8e7p-1, 0x1.063eea1194532p+0, -0x1.e9941a34bf17bp-2}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.4d9d7774aba38p-2, -0x1.bbca761f722fdp-1, 0x1.ef1de70b8395ap-1, -0x1.10a12d5a10bc2p-1}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.2ba94bbe4473dp-2, -0x1.957d79f9af02bp-1, 0x1.ce66b8a48bd0dp-1, -0x1.f1627afacbeaep-2}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.0cab81f969e3dp-2, -0x1.71b11787f35e4p-1, 0x1.b08ee476c742fp-1, -0x1.e933b960992e2p-2}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.e0e51d25aab47p-3, -0x1.5042ddc349c9p-1, 0x1.9334bfbdc84f8p-1, -0x1.c9ce9f82d708ep-2}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.ad9d7774aba38p-3, -0x1.311a7ba856211p-1, 0x1.77bcd4e40316ap-1, -0x1.bf91c8940ab72p-2}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.7f255f3519bd4p-3, -0x1.141e5cf9fbcbbp-1, 0x1.5ce22a22cf3edp-1, -0x1.97ea3e2d002fdp-2}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.5525cc426351ep-3, -0x1.f25fb4bd0d51bp-2, 0x1.4468970ba1277p-1, -0x1.a0c53eb7f3f1ep-2}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.2f4cf4a558ea8p-3, -0x1.c0780f2691fdep-2, 0x1.2b66fecd646ffp-1, -0x1.7500c6f336cp-2}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.0d4aa10e02214p-3, -0x1.925ae2d4e75b5p-2, 0x1.1505ab2f70834p-1, -0x1.6b37a57b22bd5p-2}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.dda8bd230b9dcp-4, -0x1.67c6616d3d267p-2, 0x1.fe754cc0be22fp-2, -0x1.5e20a32045af1p-2}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.a745bf26f1dc5p-4, -0x1.409e6ee93d04ep-2, 0x1.d471622345227p-2, -0x1.3c45ce03c70d5p-2}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.76e3f78bbd38p-4, -0x1.1ca95bc2ccb7fp-2, 0x1.ae7d7c9db25e3p-2, -0x1.40c824d09cbafp-2}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.4c0485a0be511p-4, -0x1.f786313fad191p-3, 0x1.87ff11cc57e15p-2, -0x1.20999eb9c84f7p-2}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.262bae03b3e9ap-4, -0x1.bb9348e90f244p-3, 0x1.655d466e5e901p-2, -0x1.0cd1604841fadp-2}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.04e7253da72a8p-4, -0x1.84fa499ffa80bp-3, 0x1.451b30a323723p-2, -0x1.0c20e0252bd23p-2}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.cf97edc7ef178p-5, -0x1.5388e3bd1e9f1p-3, 0x1.24ee48f099114p-2, -0x1.e5563e4622768p-3}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.9ce4a7b4e54f8p-5, -0x1.26fed373bc287p-3, 0x1.07cf82a4b5b81p-2, -0x1.b265469d1e7b5p-3}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.70f5a1016ce79p-5, -0x1.fdbddbfbf3804p-4, 0x1.db7e633690bd9p-3, -0x1.d114a74563d48p-3}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.4b1ab0856e697p-5, -0x1.b6209e9ca45dep-4, 0x1.a3af1bf0cc70cp-3, -0x1.69481c4d51ffap-3}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.2aa5c5f7c675ap-5, -0x1.76723f7b5cb65p-4, 0x1.7854892f333dcp-3, -0x1.89cae785549a2p-3}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.0effe2a3cea6cp-5, -0x1.3e038c02cfcbcp-4, 0x1.49133a33ae355p-3, -0x1.4f8c459d5abaap-3}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.ef284167a95c8p-6, -0x1.0c9545ed4ecd9p-4, 0x1.20cf31d91e337p-3, -0x1.3804020540c11p-3}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.c7b890d5a5b96p-6, -0x1.c2bce741ae2b9p-5, 0x1.f6bc25c5748a7p-4, -0x1.3063b24da23a1p-3}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.a6b93ccd0fe8bp-6, -0x1.782503c4242aep-5, 0x1.adae75dbc87c3p-4, -0x1.066d34c4392bap-3}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.8b3f63c31df76p-6, -0x1.386f23e4a41d8p-5, 0x1.6eb2f88df8351p-4, -0x1.ebcef542e68cfp-4}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.74794ea077037p-6, -0x1.027bd031b0ffp-5, 0x1.33ae9daee6c7fp-4, -0x1.c3e9c16bfa3d8p-4}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.61a60d4562e0ap-6, -0x1.ab2f8d7eff748p-6, 0x1.fae7b0c90224dp-5, -0x1.848a050d2f92fp-4}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.52157689ca18cp-6, -0x1.618a784548ef1p-6, 0x1.9da7d888675dap-5, -0x1.69ee2a5f4814dp-4}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.452c59fb1e18fp-6, -0x1.264e182e034d7p-6, 0x1.46cad89a7f06ap-5, -0x1.53bd5175afe5p-4}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.3a5c1c6088d6dp-6, -0x1.f115223190558p-7, 0x1.ea827fddc8577p-6, -0x1.071c8fc9f74acp-4}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.3122b7baecd08p-6, -0x1.acb4587a987eap-7, 0x1.6c37599151a41p-6, -0x1.0fd06f62754d5p-4}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.29131ec0b5675p-6, -0x1.7cde1789f102fp-7, 0x1.d37da45db7cabp-7, -0x1.7343655861107p-5}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.21c8a7a41e57ep-6, -0x1.5e98b6ba9e215p-7, 0x1.2148cfe1603d6p-7, -0x1.93518bd995e21p-5}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.1af3a14cec41ep-6, -0x1.4f328f6372657p-7, 0x1.7ec41e8794616p-9, -0x1.3f766b4145cd2p-5}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.14488c60cbf2bp-6, -0x1.4dad0529df90fp-7, -0x1.cd34401472a3ap-10, -0x1.dda98e42a338p-6}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.0d887ebf22c02p-6, -0x1.56df9b09215b8p-7, -0x1.58943595bcecfp-8, -0x1.0a6cf072f1496p-6}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.0685553ef6b5dp-6, -0x1.6736dc848cb7p-7, -0x1.d87694853afa5p-8, -0x1.f8a2aff188adep-6}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.fe3b03e20ccffp-7, -0x1.7ef513a9477a5p-7, -0x1.655818539f926p-7, -0x1.3084fc6f363b3p-10}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.ee568a50507a7p-7, -0x1.9bba42335006dp-7, -0x1.69e9732736256p-7, -0x1.767821e556271p-7}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.dd441355475a3p-7, -0x1.ba7a5cc751e7bp-7, -0x1.96d9254cf8cdbp-7, -0x1.db1b977cccaa5p-20}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.caea747d805e6p-7, -0x1.db06af726090fp-7, -0x1.96daed6775c09p-7, -0x1.1298f54f789cp-8}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.b7414a4d2b2cp-7, -0x1.fc3bcacf6d595p-7, -0x1.a754beaec9ca1p-7, 0x1.12a061bdd690fp-6}, 
        {0x1.8p+1, 0x1.851eb851eb852p+1, 0x1.a24894c447c31p-7, -0x1.0dbb5849bfc39p-6, -0x1.656bb176fcb17p-7, -0x1.76d268deec3c5p-12}, 
        {0x1.851eb851eb852p+1, 0x1.8a3d70a3d70a4p+1, 0x1.8c21e1d2178f7p-7, -0x1.1c0e8778a9b29p-6, -0x1.66d385b2b3fa5p-7, 0x1.04ccc4d016bbdp-6}, 
        {0x1.8a3d70a3d70a4p+1, 0x1.8f5c28f5c28f6p+1, 0x1.74ddf86e3b47p-7, -0x1.2928706e6d9cep-6, -0x1.283bfa4d8fcd6p-7, 0x1.e5506cc644db5p-7}, 
        {0x1.8f5c28f5c28f6p+1, 0x1.947ae147ae148p+1, 0x1.5ca6ca03c4b0ap-7, -0x1.33d7b386c37b4p-6, -0x1.dbfe40e66b3dp-8, 0x1.309261a35e5afp-6}, 
        {0x1.947ae147ae148p+1, 0x1.999999999999ap+1, 0x1.43aeab7995ee1p-7, -0x1.3be6874cbcfb4p-6, -0x1.49cc786f0abf4p-8, 0x1.4b0e430f662ffp-6}, 
        {0x1.999999999999ap+1, 0x1.9eb851eb851ecp+1, 0x1.2a305532617c2p-7, -0x1.40e84bf250c6cp-6, -0x1.55c8b07d61793p-9, 0x1.4669243e0a94fp-7}, 
        {0x1.9eb851eb851ecp+1, 0x1.a3d70a3d70a3dp+1, 0x1.10667f90d9d77p-7, -0x1.438ab7818d384p-6, -0x1.7236aed3ae8cp-10, 0x1.140fba3a3fc16p-5}, 
        {0x1.a3d70a3d70a3dp+1, 0x1.a8f5c28f5c28fp+1, 0x1.ed06fef7c243ep-8, -0x1.42be24434797dp-6, 0x1.58ee60103cb6ap-9, 0x1.789b381e199efp-7}, 
        {0x1.a8f5c28f5c28fp+1, 0x1.ae147ae147ae1p+1, 0x1.b9b66f9335d25p-8, -0x1.3e63bb210c59fp-6, 0x1.06d9e15705c94p-8, 0x1.e6aa1b4f43896p-6}, 
        {0x1.ae147ae147ae1p+1, 0x1.b333333333333p+1, 0x1.8750c1b97353bp-8, -0x1.36cbeb88cf161p-6, 0x1.f0733620e8c3cp-8, 0x1.5213ed67cd0eep-7}, 
        {0x1.b333333333333p+1, 0x1.b851eb851eb85p+1, 0x1.566cf41f212d7p-8, -0x1.2c0e617c3a5fap-6, 0x1.20cb5b64973acp-7, 0x1.752e09e122111p-6}, 
        {0x1.b851eb851eb85p+1, 0x1.bd70a3d70a3d7p+1, 0x1.276fb09203a32p-8, -0x1.1eb69029b5982p-6, 0x1.7a5b86b957b9dp-7, 0x1.823de1c79086fp-6}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.c28f5c28f5c29p+1, 0x1.f5be5d9e40c84p-9, -0x1.0db99178fdfc9p-6, 0x1.d70e37ca84a73p-7, 0x1.03b4de0139075p-7}, 
        {0x1.c28f5c28f5c29p+1, 0x1.c7ae147ae147bp+1, 0x1.a2834d26fa3fdp-9, -0x1.f484caad59202p-7, 0x1.f63866e962893p-7, 0x1.76586235fcba1p-6}, 
        {0x1.c7ae147ae147bp+1, 0x1.ccccccccccccdp+1, 0x1.55d5f56a7ac82p-9, -0x1.c8bf542360055p-7, 0x1.28081647f88e2p-6, -0x1.5b3bf7d88f451p-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d1eb851eb851fp+1, 0x1.105e1c15097c8p-9, -0x1.9cb73cd58916cp-7, 0x1.fcba1a0a0c2a6p-7, 0x1.1ed2efa58814ep-3}, 
        {0x1.d1eb851eb851fp+1, 0x1.d70a3d70a3d71p+1, 0x1.a5870da5daf08p-10, -0x1.5dfd522015377p-7, 0x1.08db746b91294p-5, -0x1.f7f21fcd873a2p-2}, 
        {0x1.d70a3d70a3d71p+1, 0x1.fae147ae147aep+1, 0x1.3ad5bee3d5fddp-10, -0x1.56a42b9c9dbccp-7, -0x1.b5dc876bccd65p-6, 0x1.143751425c01p-1}, 
      }}, 
      -0x1.e706310c20acfp+0, 0x1.112848af422a3p+1
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_s_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.e88b4fa939eb2p-5, -0x1.05a12872895d9p-4, -0x1.16e0b8185c9b8p-4, -0x1.27f751a03cfe3p-4, -0x1.38d903a652b38p-4, -0x1.497bccde45c52p-4, -0x1.59d633d12669ep-4, -0x1.69de7ab7a507ep-4, -0x1.798e3fef43f8ep-4, -0x1.88e0f49476056p-4, -0x1.97ce3dac4312dp-4, -0x1.a64dcf92e95dbp-4, -0x1.b45e04cfeadbdp-4, -0x1.c1ffad1b60a29p-4, -0x1.cf2e332ff4886p-4, -0x1.dbe1169367a06p-4, -0x1.e813ebfb1b0bfp-4, -0x1.f3c9644bd0f9ap-4, -0x1.ff0618f9f1252p-4, -0x1.04e50b090f863p-3, -0x1.0a08007f88c9dp-3, -0x1.0ee48b9923722p-3, -0x1.1384965703ec3p-3, -0x1.17e531b76f252p-3, -0x1.1c06cee7d6c27p-3, -0x1.1fea0c55b574ap-3, -0x1.238fb23989997p-3, -0x1.26f8aed77fad1p-3, -0x1.2a2614e47adcdp-3, -0x1.2d1919b61bdcep-3, -0x1.2fd31075acbecp-3, -0x1.325562312a706p-3, -0x1.34a1840c559b8p-3, -0x1.36b8eeeacbedfp-3, -0x1.389d20971dd3bp-3, -0x1.3a4fa8cdd83a6p-3, -0x1.3bd235dca9b89p-3, -0x1.3d268e2bc1e5ep-3, -0x1.3e4e753624fa7p-3, -0x1.3f4b8fffb5864p-3, -0x1.401f621d6247ep-3, -0x1.40cb66b6f75afp-3, -0x1.4151307b74212p-3, -0x1.41b27ab67d29cp-3, -0x1.41f119ccde813p-3, -0x1.420edce2092ep-3, -0x1.420d71c3e6a01p-3, -0x1.41ee5c18f3825p-3, -0x1.41b3012f39c13p-3, -0x1.415cbc43ca113p-3, -0x1.40ecf04664ab8p-3, -0x1.40650d38ca84bp-3, -0x1.3fc68afe1edaep-3, -0x1.3f12df249f31ep-3, -0x1.3e4b740ce190dp-3, -0x1.3d71a492ae4b8p-3, -0x1.3c86bb8c2b0f1p-3, -0x1.3b8bf487b06acp-3, -0x1.3a827bbffa985p-3, -0x1.396b6cc8a82b1p-3, -0x1.3847d150eb062p-3, -0x1.3718a1ac00aeap-3, -0x1.35dec802fb77cp-3, -0x1.349a3472be2ap-3, -0x1.334dbbb7ccf4dp-3, -0x1.31f95b48baa64p-3, -0x1.309de970d8bd2p-3, -0x1.2f3c34cd71f4p-3, -0x1.2dd50189c8999p-3, -0x1.2c6908508f683p-3, -0x1.2af8f5ab1aed5p-3, -0x1.29856a9fb892fp-3, -0x1.280efdb70bdcep-3, -0x1.26963bff19ea2p-3, -0x1.251baa0af36cfp-3, -0x1.239fc3e40b5fcp-3, -0x1.2222fdcb3327fp-3, -0x1.20a5c40f4daecp-3, -0x1.1f287b30e1181p-3, -0x1.1dab8007c9d57p-3, -0x1.1c2f280d9f11ep-3, -0x1.1ab3c14f8b954p-3, -0x1.193992fee65dcp-3, -0x1.17c0dd80e6703p-3, -0x1.1649dabf1988dp-3, -0x1.14d4be87483e9p-3, -0x1.1361b6b7ff815p-3, -0x1.11f0ebbeb5b35p-3, -0x1.108280e2b3054p-3, -0x1.0f1694a0fe882p-3, -0x1.0dad40e5109b9p-3, -0x1.0c469b5061ac6p-3, -0x1.0ae2b55dedd8ep-3, -0x1.09819c8d3a877p-3, -0x1.08235a74a879ep-3, -0x1.06c7f4f7aead7p-3, -0x1.056f6f4df209ep-3, -0x1.0419c6a0e4c63p-3, -0x1.02c6f913e61efp-3, -0x1.0176ff9640393p-3, -0x1.0029d146ab031p-3, -0x1.fdbec627a17aap-4, -0x1.fb2f4fcd4c92ep-4, -0x1.f8a521bf3135fp-4, -0x1.f62021c3988dcp-4, -0x1.f3a0169b1ea36p-4, -0x1.f124ee50fcb6cp-4, -0x1.eeae78b6736bdp-4, -0x1.ec3c89d3b508ep-4, -0x1.e9cef43d89952p-4, -0x1.e76588ca5e912p-4, -0x1.e50016d670a72p-4, -0x1.e29e6c7522dbep-4, -0x1.e0405747f66ebp-4, -0x1.dde5a1358dad5p-4, -0x1.db8e176ce4767p-4, -0x1.d93983c9bc401p-4, -0x1.d6e7b04c85359p-4, -0x1.d49866eeb96bep-4, -0x1.d24b7bd756386p-4, -0x1.d0009e5af0515p-4, -0x1.cdb7ac1b986dfp-4, -0x1.cb707255ecb7p-4, -0x1.c92ab93fde474p-4, -0x1.c6e64e29cecacp-4, -0x1.c4a2ff651baa9p-4, -0x1.c2609c57666b2p-4, -0x1.c01ef583347ddp-4, -0x1.bddddc87fb918p-4, -0x1.bb9d242f6da9p-4, -0x1.b95ca06ca27b6p-4, -0x1.b71c26765eb43p-4, -0x1.b4db8cb19198fp-4, -0x1.b29aab4ef0b6dp-4, -0x1.b0595ab4d44e8p-4, -0x1.ae17778ebc53dp-4, -0x1.abd4dc91cacfcp-4, -0x1.a991683bbf2cep-4, -0x1.a74cfa436b50dp-4, -0x1.a507741513b57p-4, -0x1.a2c0b89f0dbb5p-4, -0x1.a078ac6cc6ab7p-4, -0x1.9e2f3630eb0bfp-4, -0x1.9be43da476851p-4, -0x1.9997ad1d5f453p-4, -0x1.97496fb62b76dp-4, -0x1.94f9726f7d0cap-4, -0x1.92ad9e78c4f0ap-4, -0x1.9059d2dd01a6ep-4, -0x1.8e040af68ead5p-4, -0x1.8bac3908307bp-4, -0x1.89525044b4548p-4, -0x1.86f644e58fa4bp-4, -0x1.84980c1f6d7b4p-4, -0x1.8237957c8f7ap-4, -0x1.7fd4eca105dc1p-4, -0x1.7d6ff5e2344cfp-4, -0x1.7b08b39ae5efcp-4, -0x1.789f1bac612d9p-4, -0x1.76332ffb1ffdfp-4, -0x1.73c4f009878e8p-4, -0x1.715451ce2acep-4, -0x1.6ee15fdb4fb4fp-4, -0x1.6c6c1a44b8044p-4, -0x1.69f484a4b1097p-4, -0x1.677aa5b51d6c7p-4, -0x1.64fe84050200bp-4, -0x1.6280288bb8ed2p-4, -0x1.5fff9e2d03ec9p-4, -0x1.5d7cf00b474ccp-4, -0x1.5af82adacc443p-4, -0x1.58715cbe531e6p-4, -0x1.55e8958244706p-4, -0x1.535de473b84b5p-4, -0x1.50d15b00753bbp-4, -0x1.4e430ad67ba3p-4, -0x1.4bb307b02dfcfp-4, -0x1.492164258008bp-4, -0x1.468e34c0f4d4ep-4, -0x1.43f98e39c6ac8p-4, -0x1.416386a33a783p-4, -0x1.3ecc3378018cbp-4, -0x1.3c33ab182e33bp-4, -0x1.399a060036eaap-4, -0x1.36ff5a7f00fdap-4, -0x1.3463c0c44dcfdp-4, -0x1.31c75271872edp-4, -0x1.2f2a27734c555p-4, -0x1.2c8c5957817a3p-4, -0x1.29ee023a8f70bp-4, -0x1.274f3c695dad3p-4, -0x1.24b021cac87ap-4, -0x1.2210cd41574a1p-4, -0x1.1f7159c7e045bp-4, -0x1.1cd1ddba81488p-4, -0x1.1a3282be7c25ep-4, -0x1.17935652f5554p-4, -0x1.14f47832adba6p-4, -0x1.1256047b1661fp-4, -0x1.0fb8157a9182cp-4, -0x1.0d1acee762af2p-4, -0x1.0a7e35fd34a4cp-4, -0x1.07e27bd4edd63p-4, -0x1.0547b35834d53p-4, -0x1.02adf76d92e1ap-4, -0x1.00156a104bb3dp-4, -0x1.fafc1b2b99abep-5, -0x1.f5d025ac9ac25p-5, -0x1.f0a715d5dd1p-5, -0x1.eb811c7e80aafp-5, -0x1.e65e6952d7ab9p-5, -0x1.e13f2bc305fbbp-5, -0x1.dc239095fb58ep-5, -0x1.d70bc46749c71p-5, -0x1.d1f7f2670511cp-5, -0x1.cce845c6a29fp-5, -0x1.c7dce3d2b1846p-5, -0x1.c2d5f719cd316p-5, -0x1.bdd3a52e8b85cp-5, -0x1.b8d613c1aa88cp-5, -0x1.b3dd6247a1207p-5, -0x1.aee9b7b3c6702p-5, -0x1.a9fb339f6dd0cp-5, -0x1.a511f29af7f16p-5, -0x1.a02e1ddd620c5p-5, -0x1.9b4fc967115b7p-5, -0x1.967714a2a4831p-5, -0x1.91a41b90a2d33p-5, -0x1.8cd6f8f45277ap-5, -0x1.880fc6fe8a6bep-5, -0x1.834e9e3d212f4p-5, -0x1.7e9395f47b9c8p-5, -0x1.79dec77a285ebp-5, -0x1.7530489e8b205p-5, -0x1.70882fd15cc9fp-5, -0x1.6be68140dd3afp-5, -0x1.674b85292b79dp-5, -0x1.62b70f383a55ap-5, -0x1.5e296f5404fcp-5, -0x1.59a28e9ef8b45p-5, -0x1.55228d576e033p-5, -0x1.50a97f33a2c24p-5, -0x1.4c377bd40f915p-5, -0x1.47cc883340791p-5, -0x1.4368d1fb8bde9p-5, -0x1.3f0c52ca6da17p-5, -0x1.3ab7254c7c653p-5, -0x1.36695bdf8a543p-5, -0x1.322309d293f75p-5, -0x1.2de43a6aebb7fp-5, -0x1.29ad0e39a22bep-5, -0x1.257d8ae0b4207p-5, -0x1.2155c61137a89p-5, -0x1.1d35d19e33fe5p-5, -0x1.191dbf78b7cadp-5, -0x1.150da0a5252bep-5, -0x1.110586ea94a69p-5, -0x1.0d0584360dfd1p-5, -0x1.090dae9540068p-5, -0x1.051e038242a36p-5, -0x1.0136a828ad967p-5, -0x1.faaf4b3dd3a0fp-6, -0x1.f3021791f5fc2p-6, -0x1.eb65d4ae59214p-6, -0x1.e3dade2edaa79p-6, -0x1.dc60971d7a2acp-6, -0x1.d4f7d6629b724p-6, -0x1.cda07d265b63dp-6, -0x1.c65a9b13f2c93p-6, -0x1.bf2653a717148p-6, -0x1.b803bb6de582ep-6, -0x1.b0f2e9394a149p-6, -0x1.a9f3f3e435ba6p-6, -0x1.a306dc76cb302p-6, -0x1.9c2be63cfb0ecp-6, -0x1.9562f44e1d60ep-6, -0x1.8eac26719bdf8p-6, -0x1.88078a8867dbp-6, -0x1.81752d25e176fp-6, -0x1.7af51a70f2097p-6, -0x1.7487870c5f8fp-6, -0x1.6e2bf70f30103p-6, -0x1.67e2f600df0c1p-6, -0x1.61ac5d0190c1bp-6, -0x1.5b882fa0af8a3p-6, -0x1.557678a9f9029p-6, -0x1.4f771d93e82c1p-6, -0x1.498a372621b84p-6, -0x1.43afbed94e93cp-6, -0x1.3de7a65e02d33p-6, -0x1.3831f0f80de38p-6, -0x1.328e94156fd08p-6, -0x1.2cfd87fc67607p-6, -0x1.277ec26f5d749p-6, -0x1.221237fab2ba3p-6, -0x1.1cb7dbe2e808p-6, -0x1.176f927ef2aabp-6, -0x1.123974f46507cp-6, -0x1.0d154976d0403p-6, -0x1.08030ea4923c3p-6, -0x1.0302a45bc98p-6, -0x1.fc2823b450e61p-7, -0x1.f26e4cd14121ep-7, -0x1.e8d7b5fc3add1p-7, -0x1.df6421431cdf5p-7, -0x1.d613627ab92a1p-7, -0x1.cce54681959f3p-7, -0x1.c3d99859af77p-7, -0x1.baf021329fdbbp-7, -0x1.b228a8722b319p-7, -0x1.a9830ae518437p-7, -0x1.a0fec7ce5aee9p-7, -0x1.989be85cc5969p-7, -0x1.905a11291ef5ap-7, -0x1.88390c37d281cp-7, -0x1.8074bd76dcaf4p-7, -0x1.78939c80f6ef2p-7, -0x1.70d27f503016ep-7, -0x1.69311b6f4c9f3p-7, -0x1.61af2c8b2b44ep-7, -0x1.5a4c6c49f4b9fp-7, -0x1.5308829742bp-7, -0x1.4be35a856ff5dp-7, -0x1.44dc6d239c0fbp-7, -0x1.3df38e8273ca5p-7, -0x1.37286fd9874d4p-7, -0x1.307ac1aef7b9dp-7, -0x1.29ea3f1b5891p-7, -0x1.23768d0f66449p-7, -0x1.1d1f6af2eac15p-7, -0x1.16e485e80499p-7, -0x1.10c58f75ccdd6p-7, -0x1.0ac238b82e4ddp-7, -0x1.04da359a85bf6p-7, -0x1.fe1b063b318b4p-8, -0x1.f2b5b02eaef81p-8, -0x1.e785bffc8091cp-8, -0x1.dc89f470b6c3fp-8, -0x1.d1c1a7cdc233dp-8, -0x1.c72c38bd55cep-8, -0x1.bcc905360c72p-8, -0x1.b2976eb6485c7p-8, -0x1.a896d0616f6a4p-8, -0x1.9ec688ba050b6p-8, -0x1.9525fbb89df8cp-8, -0x1.8bb534d284848p-8, -0x1.82717c25032bap-8, -0x1.795c4cfe3a6e9p-8, -0x1.70745123e66aap-8, -0x1.67b8eae8b3248p-8, -0x1.5f297ad265b22p-8, -0x1.56c56768dc414p-8, -0x1.4e8d243b9dfebp-8, -0x1.467cd248f3368p-8, -0x1.3e96d46718495p-8, -0x1.36da31628326ep-8, -0x1.2f459fdcb6589p-8, -0x1.27d8b998b2aa3p-8, -0x1.2092f595f2758p-8, -0x1.1973a9ff664ap-8, -0x1.127a28cdd1c46p-8, -0x1.0ba63067ff8fap-8, -0x1.04f6d535e0e17p-8, -0x1.fcd742f93758ap-9, -0x1.f008130d49c8fp-9, -0x1.e37ec1d3fe39fp-9, -0x1.d73ac30afd10bp-9, -0x1.cb39c318bb286p-9, -0x1.bf7bc1c23b5f1p-9, -0x1.b3ff549ce2bcfp-9, -0x1.a8c57b9967693p-9, -0x1.9dc69381792fap-9, -0x1.93081e893349dp-9, -0x1.8886e175500cep-9, -0x1.7e41c960b531fp-9, -0x1.7437cae9b351cp-9, -0x1.6a67d9c99608ap-9, -0x1.60d13aaf542cp-9, -0x1.57720934ea5a5p-9, -0x1.4e4a26b9080fep-9, -0x1.45579b4c3abcdp-9, -0x1.3c9b7db3e2405p-9, -0x1.34129a9f5e5e4p-9, -0x1.2bbce1a665453p-9, -0x1.23994d2cac69fp-9, -0x1.1ba6eb2dff5f5p-9, -0x1.13e4be441dc61p-9, -0x1.0c520c626c258p-9, -0x1.04eda168a424cp-9, -0x1.fb6d9336f5111p-10, -0x1.ed592b9fa3049p-10, -0x1.df9c480085c18p-10, -0x1.d23524a8c4ed2p-10, -0x1.c5221a4eed834p-10, -0x1.b861db52b7505p-10, -0x1.abf17b9213c4fp-10, -0x1.9fd08ea6f3ac3p-10, -0x1.93fd101e8d125p-10, -0x1.88756589986afp-10, -0x1.7d380327ef367p-10, -0x1.72427c3e97cf8p-10, -0x1.6795bad7723f3p-10, -0x1.5d2ddd618ff06p-10, -0x1.530a4b83f7529p-10, -0x1.492ec76661c09p-10, -0x1.3f89d9fc27f36p-10, -0x1.362a1b5450ec9p-10, -0x1.2d091e21b0bcp-10, -0x1.242570dc5c6ecp-10, -0x1.1b7dc9269c55p-10, -0x1.1310e70c47e8dp-10, -0x1.0add9349e5184p-10, -0x1.02e29b6993ad2p-10, -0x1.f63d419fed2c3p-11, -0x1.e7228b034000dp-11, -0x1.d871796ad9e0fp-11, -0x1.ca28150b2769fp-11, -0x1.bc4374cc1d846p-11, -0x1.aec4a353dbe6dp-11, -0x1.a1a67ac07cc57p-11, -0x1.94e7e7fd85e19p-11, -0x1.888717ba034b5p-11, -0x1.7c817c633e509p-11, -0x1.70d555fefa325p-11, -0x1.65807fc596c5ap-11, -0x1.5a80bb231985ap-11, -0x1.4fd3ee6218c6bp-11, -0x1.4575b8f0b9aa8p-11, -0x1.3b69c34e8c3ap-11, -0x1.31a7d31cd09d4p-11, -0x1.282fa1e0dc33cp-11, -0x1.1efeca6c4a078p-11, -0x1.16134934490fp-11, -0x1.0d6b1ad0f5797p-11, -0x1.04fc1fb831523p-11, -0x1.f9b41e38c88e4p-12, -0x1.e9db8979a0f62p-12, -0x1.da78e9b0d4b6fp-12, -0x1.cb888b1c8f401p-12, -0x1.bd070dccefecep-12, -0x1.aef128e31458ep-12, -0x1.a14461a13aaf7p-12, -0x1.93fd405ae6fb2p-12, -0x1.8719c557568cp-12, -0x1.7a970325a2a8cp-12, -0x1.6e72c1a5a20f8p-12, -0x1.62aab909b707dp-12, -0x1.573cb7d3c04e3p-12, -0x1.4c269b850ea11p-12, -0x1.416738439bc7fp-12, -0x1.36f9cf075efa5p-12, -0x1.2cdf4e3a5edabp-12, -0x1.231469ea722e1p-12, -0x1.19974d5bf7efp-12, -0x1.10665b06b83ebp-12, -0x1.077ead95b867bp-12, -0x1.fddb84eb6e13cp-13, -0x1.ed0fa0fff84c9p-13, -0x1.dce5cce2fc032p-13, -0x1.cd41a804501aap-13, -0x1.be1ebd8c4810ep-13, -0x1.af799dededd73p-13, -0x1.a14ea6be43445p-13, -0x1.939a655ba6503p-13, -0x1.864b0a5b4b185p-13, -0x1.79891d85e7a82p-13, -0x1.6d2183973706dp-13, -0x1.6125659fe21fp-13, -0x1.558e886983c33p-13, -0x1.4a5edcb176346p-13, -0x1.3f863f5eaf0fep-13, -0x1.3510796aa0ffp-13, -0x1.2af3039905817p-13, -0x1.212c8d35f835p-13, -0x1.17baa7bba68aep-13, -0x1.0e999254b9723p-13, -0x1.05c75ef00d29dp-13, -0x1.fa83275426b8bp-14, -0x1.ea0b26bd1e098p-14, -0x1.da21d7a807bedp-14, -0x1.cac281d33fff1p-14, -0x1.bbe88f4621a5ap-14, -0x1.ad8f897dcf474p-14, -0x1.9fb30b104657ep-14, -0x1.924e059e07137p-14, -0x1.854258289917cp-14, -0x1.78df8d482296p-14, -0x1.6ccdd7ed0c696p-14, -0x1.61234728764edp-14, -0x1.55debb0d6eb09p-14, -0x1.4afba62ce9c2ap-14, -0x1.4076e5e7d9a25p-14, -0x1.364e6e4feae54p-14, -0x1.2c7d40e06c6ebp-14, -0x1.231936ee17f9dp-14, -0x1.19d26e6781caap-14, -0x1.10f3de54c75b1p-14, -0x1.08727ba3cc14ap-14, -0x1.001b24f37e1cbp-14, -0x1.f03411a016219p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.65e83c86f268p-5, 0x1.c9e27cc471fe6p-5, 0x1.17fab661a5dd8p-4, 0x1.4bc19990517d5p-4, 0x1.7ffe6fbb6dcd6p-4, 0x1.b470502239969p-4, 0x1.e8dd61cd409c2p-4, 0x1.0e8924226b131p-3, 0x1.286eb7d5ca88dp-3, 0x1.420878c3aacf9p-3, 0x1.5b44413faa8b5p-3, 0x1.741269e15fbe8p-3, 0x1.8c6267aa2e04cp-3, 0x1.a4252e03fb472p-3, 0x1.bb50df19314fep-3, 0x1.d1df3c4cb7734p-3, 0x1.e7c91997e68ecp-3, 0x1.fd04f98f03197p-3, 0x1.08c4fccb2303dp-2, 0x1.12a9827efbf59p-2, 0x1.1c2f701a59ffp-2, 0x1.2557392e7caf7p-2, 0x1.2e1d91c0a3667p-2, 0x1.36829ef885b3ap-2, 0x1.3e86311b1e59cp-2, 0x1.4628709b8c725p-2, 0x1.4d69d8bea0afdp-2, 0x1.544b30e8feed1p-2, 0x1.5acd836abb701p-2, 0x1.60f213200d3ep-2, 0x1.66ba52e0d04a6p-2, 0x1.6c27e11aa29bbp-2, 0x1.713c8515f4cedp-2, 0x1.75fa281e2c0d3p-2, 0x1.7a62c9b48374fp-2, 0x1.7e7875bc315e5p-2, 0x1.823d424fc5b47p-2, 0x1.85b35301a0d21p-2, 0x1.88dcda9cb5c24p-2, 0x1.8bbc1908cb80fp-2, 0x1.8e5356c25a9e5p-2, 0x1.90a4e09ca97a8p-2, 0x1.92b305ef3d344p-2, 0x1.9480103bce21bp-2, 0x1.960e40d067abp-2, 0x1.975fcb26bffbfp-2, 0x1.9876d69f5b3a3p-2, 0x1.995585b33e107p-2, 0x1.99fdfa8cec4ap-2, 0x1.9a72607ba47ecp-2, 0x1.9ab4e1b87496dp-2, 0x1.9ac7a019e4f43p-2, 0x1.9aaca8d3b5b52p-2, 0x1.9a65ed021cd2bp-2, 0x1.99f5417a4fa5ap-2, 0x1.995c65821f2a2p-2, 0x1.989d0c1a357ecp-2, 0x1.97b8e4a31fc59p-2, 0x1.96b19e88f77ecp-2, 0x1.9588e7de767a1p-2, 0x1.944068449e653p-2, 0x1.92d9babd7c278p-2, 0x1.915668c8fcb62p-2, 0x1.8fb83960675c5p-2, 0x1.8dffcda0fb8cp-2, 0x1.8c2ec7f468d33p-2, 0x1.8a4672c64b43ep-2, 0x1.88480dbca3c7ap-2, 0x1.8634cc7e0572ap-2, 0x1.840dd65ab3b67p-2, 0x1.81d4462c785c5p-2, 0x1.7f892ad4df0c2p-2, 0x1.7d2d880213645p-2, 0x1.7ac256e0ed736p-2, 0x1.784886c6fe05fp-2, 0x1.75c0fd6116c26p-2, 0x1.732c9731de166p-2, 0x1.708c27aa6af9fp-2, 0x1.6de07965cf3e7p-2, 0x1.6b2a4e67b58eep-2, 0x1.686a6079c0d1ep-2, 0x1.65a161504b24dp-2, 0x1.62cffafa4d6ap-2, 0x1.5ff6d01d3852p-2, 0x1.5d167c4565c4ep-2, 0x1.5a2f9432fe19ep-2, 0x1.5742a61265ea2p-2, 0x1.545039c1dfc9ap-2, 0x1.5158d1111592dp-2, 0x1.4e5ce7f8548f8p-2, 0x1.4b5cf4d4a6b79p-2, 0x1.485968a432bf9p-2, 0x1.4552af40e76c5p-2, 0x1.42492fa6c942fp-2, 0x1.3f3d4c23ef98dp-2, 0x1.3c2f62ab51d77p-2, 0x1.391fcd392e8ccp-2, 0x1.360ee153c791bp-2, 0x1.32fcf19dd71e1p-2, 0x1.2fea4cbdc378cp-2, 0x1.2cd73e1a70942p-2, 0x1.29c40de552306p-2, 0x1.26b1011ea7f9ep-2, 0x1.239e59c7c1572p-2, 0x1.208c58224395bp-2, 0x1.1d7b34a3c5055p-2, 0x1.1a6b2c90a85e3p-2, 0x1.175c75a7782b7p-2, 0x1.144f44784bcd1p-2, 0x1.1143cb61fc2c8p-2, 0x1.0e3a3aa84e192p-2, 0x1.0b32c09e089dcp-2, 0x1.082d89b13f5d3p-2, 0x1.052ac11c51726p-2, 0x1.022a8e4152ee4p-2, 0x1.fe5a343cd436fp-3, 0x1.f86513fc3c996p-3, 0x1.f2760454e9d5dp-3, 0x1.ec8d4af865ad4p-3, 0x1.e6ab2c5e2145fp-3, 0x1.e0cfe3f33d68fp-3, 0x1.dafbb2a84d2dfp-3, 0x1.d52ed2ebf89f6p-3, 0x1.cf697c6d1f2a7p-3, 0x1.c9abe4f0456efp-3, 0x1.c3f63ff0664f2p-3, 0x1.be48bebd27956p-3, 0x1.b8a390affd1c3p-3, 0x1.b306e31860e52p-3, 0x1.ad72e18aaf02ep-3, 0x1.a7e7b5d3e86dap-3, 0x1.a265881d25f18p-3, 0x1.9cec7ee3f6916p-3, 0x1.977cbf3917094p-3, 0x1.92166c4e0c17fp-3, 0x1.8cb9a865f48dcp-3, 0x1.8766939c209d5p-3, 0x1.821d4d0606542p-3, 0x1.7cddf237d8ad4p-3, 0x1.77a89f6700afcp-3, 0x1.727d6f736a891p-3, 0x1.6d5c7bf806508p-3, 0x1.6845dd44c4b64p-3, 0x1.6339aa7e6c97cp-3, 0x1.5e37f95e122dap-3, 0x1.5940df02833b2p-3, 0x1.54546ea472c9cp-3, 0x1.4f7449ad006bp-3, 0x1.4a9d3b5623beep-3, 0x1.45d1055a6ec83p-3, 0x1.410fb6a2d182dp-3, 0x1.3c595cc4d6bf7p-3, 0x1.37ae040c02d5bp-3, 0x1.330db77897dc5p-3, 0x1.2e787db2823c5p-3, 0x1.29ee68e820b87p-3, 0x1.256f772a6453dp-3, 0x1.20fbb2946ca3cp-3, 0x1.1c931fa8edcc6p-3, 0x1.1835c44134075p-3, 0x1.13e3a438833afp-3, 0x1.0f9cc1d16d4bbp-3, 0x1.0b612064ac021p-3, 0x1.0730c1768337ep-3, 0x1.030ba620f1578p-3, 0x1.fde39dd2ebad8p-4, 0x1.f5c677e3c0212p-4, 0x1.edbfd8141c903p-4, 0x1.e5cfbc8be86bbp-4, 0x1.ddf62160725bp-4, 0x1.d63301ad2d97cp-4, 0x1.ce865737e2c49p-4, 0x1.c6f01997d443bp-4, 0x1.bf7040f2941ffp-4, 0x1.b806c2b981d1ap-4, 0x1.b0b393353c7afp-4, 0x1.a976a61c54cf6p-4, 0x1.a24feca2ac1bap-4, 0x1.9b3f576dd403fp-4, 0x1.9444d59677293p-4, 0x1.8d6055136ff18p-4, 0x1.8691c2536fc8ep-4, 0x1.7fd908b173bacp-4, 0x1.7936125e018f5p-4, 0x1.72a8c8445e899p-4, 0x1.6c31124f9dcabp-4, 0x1.65ced72efc69dp-4, 0x1.5f81fcc0874bap-4, 0x1.594a67d7e62a8p-4, 0x1.5327fbef8ba35p-4, 0x1.4d1a9c86d42a8p-4, 0x1.47222b44a559ep-4, 0x1.413e8982e0b44p-4, 0x1.3b6f97afafb9p-4, 0x1.35b53cbc63439p-4, 0x1.300f413b5b277p-4, 0x1.2a7d9a1efdc8p-4, 0x1.25001cc68a514p-4, 0x1.1f96afa43d9efp-4, 0x1.1a4112196e221p-4, 0x1.14ff3eca268b8p-4, 0x1.0fd0fea300defp-4, 0x1.0ab63491a264p-4, 0x1.05aeb61a9be34p-4, 0x1.00ba5c924bd8ap-4, 0x1.f7b200b6dccd3p-5, 0x1.ee14f011632dep-5, 0x1.e49d36e84e2cfp-5, 0x1.db4a8155975fep-5, 0x1.d21c7af000148p-5, 0x1.c912ce53c3e03p-5, 0x1.c02d24f5bdd9bp-5, 0x1.b76b2768704dbp-5, 0x1.aecc7d5227358p-5, 0x1.a650cd7a20108p-5, 0x1.9df7bcfa57d55p-5, 0x1.95c0f353dc3a6p-5, 0x1.8dac126bfda42p-5, 0x1.85b8bfef05646p-5, 0x1.7de69ca0ab962p-5, 0x1.76355098b73b2p-5, 0x1.6ea4792c7741ep-5, 0x1.6733ba4b2fbf5p-5, 0x1.5fe2c989a8008p-5, 0x1.58b10c5ddba0cp-5, 0x1.519e608d692f8p-5, 0x1.4aaa53160d43ep-5, 0x1.43d48553ba88ap-5, 0x1.3d1c9896846fp-5, 0x1.36822ec82c83fp-5, 0x1.3004e8e73938fp-5, 0x1.29a467387d47ep-5, 0x1.23604e53ec4fcp-5, 0x1.1d383f8fbc632p-5, 0x1.172bddbf5423ap-5, 0x1.113ac0e6b1843p-5, 0x1.0b64ad3b31de9p-5, 0x1.05a929ac7a5dap-5, 0x1.0007dc11112fcp-5, 0x1.f500e650ebb3dp-6, 0x1.ea25225a36b84p-6, 0x1.df7bb86f18014p-6, 0x1.d503fac24f991p-6, 0x1.cabd3fff4b81ap-6, 0x1.c0a6ba2c78fa4p-6, 0x1.b6bfdb7b44008p-6, 0x1.ad07ed6748c81p-6, 0x1.a37e455f31ca7p-6, 0x1.9a2236e6a7ed7p-6, 0x1.90f31238be5bep-6, 0x1.87f05f2e00484p-6, 0x1.7f1944d8702a5p-6, 0x1.766d33ae225cap-6, 0x1.6deb8985f4b03p-6, 0x1.659396097b6e8p-6, 0x1.5d64ef0ad9c59p-6, 0x1.555ec3b735a41p-6, 0x1.4d808dddfb1f5p-6, 0x1.45c9b18b861c5p-6, 0x1.3e398ff100b6dp-6, 0x1.36cf9e51b4593p-6, 0x1.2f8b435c24797p-6, 0x1.286bebd92ae75p-6, 0x1.2171066076ee5p-6, 0x1.1a9a3a129c998p-6, 0x1.13e64fcbb518fp-6, 0x1.0d5562c4d31efp-6, 0x1.06e6ae4cfb604p-6, 0x1.0099a9e30d73bp-6, 0x1.f4db94135136cp-7, 0x1.e8c50f5af37eep-7, 0x1.dceeb8afdc85bp-7, 0x1.d15786f2c1acfp-7, 0x1.c5fe63c0c46d2p-7, 0x1.bae26fa4a6af7p-7, 0x1.b00284ccc4a12p-7, 0x1.a55dafd432111p-7, 0x1.9af2f385f0b43p-7, 0x1.90c154fa3e187p-7, 0x1.86c7dce6e3cd1p-7, 0x1.7d05a6a04e24fp-7, 0x1.73798c6ca19b1p-7, 0x1.6a22d1b71c4fcp-7, 0x1.61007910b37f5p-7, 0x1.5811963ffbabp-7, 0x1.4f5527fd78d87p-7, 0x1.46ca90d31826cp-7, 0x1.3e70a613627dbp-7, 0x1.3646a27dc9b57p-7, 0x1.2e4ba3d132d12p-7, 0x1.267ed1d51e3b6p-7, 0x1.1edf4ef0f805ep-7, 0x1.176c4923efcdfp-7, 0x1.1024ebd156d11p-7, 0x1.090865bb2d415p-7, 0x1.0215e87c972a4p-7, 0x1.f6991ea577bf7p-8, 0x1.e957b6d82139bp-8, 0x1.dc65781a621e3p-8, 0x1.cfc10e69e6378p-8, 0x1.c368d8c2a6dffp-8, 0x1.b75b9e5cf82f5p-8, 0x1.ab97a3a4b1ffp-8, 0x1.a01b9981aaca5p-8, 0x1.94e6008ad920ap-8, 0x1.89f57563ead1dp-8, 0x1.7f4893eb3d4e2p-8, 0x1.74ddfd419634bp-8, 0x1.6ab457a0da80dp-8, 0x1.60ca4e6685562p-8, 0x1.571e6d2a85391p-8, 0x1.4dafd795850e6p-8, 0x1.447cdabe1d24fp-8, 0x1.3b845a2864e3bp-8, 0x1.32c5108d5d815p-8, 0x1.2a5b243ccbabep-8, 0x1.220a2b63bd518p-8, 0x1.19eed7839c271p-8, 0x1.120806bda2d0cp-8, 0x1.0a5496b0b6777p-8, 0x1.02d3696b5b29bp-8, 0x1.f706b6853333dp-9, 0x1.e8c6f09eebd44p-9, 0x1.dae5138becd85p-9, 0x1.cd5f2f01ad6a1p-9, 0x1.c0333a4a21ec1p-9, 0x1.b35f0fbdfcf51p-9, 0x1.a6e0d06f8e4aap-9, 0x1.9ab68bc6cfdbap-9, 0x1.8ede4b441999ap-9, 0x1.83563280289ecp-9, 0x1.781c6927ab40bp-9, 0x1.6d2f20259cd35p-9, 0x1.628c9e82f110cp-9, 0x1.5832d0899437dp-9, 0x1.4e20ba0ef8b1fp-9, 0x1.4453e4015b973p-9, 0x1.3acb159736b68p-9, 0x1.318497e5b6ddbp-9, 0x1.287ed59db7ac1p-9, 0x1.1fb84269f07e4p-9, 0x1.172f5861494dep-9, 0x1.0ee28d4c3ca1ep-9, 0x1.06d07675f6d26p-9, 0x1.fdef428794084p-10, 0x1.eeaccc47a2bffp-10, 0x1.dfd8447832a1fp-10, 0x1.d16d7cf0d0fa8p-10, 0x1.c36a44c79cceep-10, 0x1.b5cc0a9c5cce2p-10, 0x1.a8904450bfaf3p-10, 0x1.9bb47c2995b2bp-10, 0x1.8f37f5cd8558ep-10, 0x1.83131c6526801p-10, 0x1.77492335574cap-10, 0x1.6bd4ff1c2f535p-10, 0x1.60b5943011122p-10, 0x1.55e910ad2373dp-10, 0x1.4b6ad0f9cabb5p-10, 0x1.413b47546a89ap-10, 0x1.37580dd12984ep-10, 0x1.2dbdc7f202931p-10, 0x1.246bdc52ad11ap-10, 0x1.1b5fe48cb3d05p-10, 0x1.1297c4961f666p-10, 0x1.0a12745e7ea11p-10, 0x1.01ce16e527c76p-10, 0x1.f38e028b45f57p-11, 0x1.e3fb70710e35fp-11, 0x1.d4df9a0ba33bep-11, 0x1.c63769df9ed2ap-11, 0x1.b7ff434b7b458p-11, 0x1.aa347de920dd4p-11, 0x1.9cd3e6c047346p-11, 0x1.8fda931305fb2p-11, 0x1.8345a497d2eb9p-11, 0x1.77123e583e028p-11, 0x1.6b3e3ca796b3p-11, 0x1.5fc52571e482ap-11, 0x1.54a62da1ea354p-11, 0x1.49dc67b28e3f1p-11, 0x1.3f6abe528273p-11, 0x1.3548fbc787dcp-11, 0x1.2b772c8798d1cp-11, 0x1.21f29a6de6c19p-11, 0x1.18b91d6f95666p-11, 0x1.0fc8bd990b39dp-11, 0x1.071ed20c890f5p-11, 0x1.fd739d0c765f2p-12, 0x1.ed2ed6bc11debp-12, 0x1.dd6b694a10158p-12, 0x1.ce257c6bc6513p-12, 0x1.bf59522ff3e3p-12, 0x1.b1033da326b21p-12, 0x1.a320055ce8a7bp-12, 0x1.95ab2bf74d3f7p-12, 0x1.88a25f70cb10cp-12, 0x1.7c01f0142818ep-12, 0x1.6fc6cdebda5cp-12, 0x1.63edc70623d34p-12, 0x1.586ffd55b23d9p-12, 0x1.4d55d2126cda2p-12, 0x1.429158e3fb5d9p-12, 0x1.3823c27fe47dep-12, 0x1.2e10f938da095p-12, 0x1.2440a80842f55p-12, 0x1.1ac63688a1beep-12, 0x1.119842322db7fp-12, 0x1.08b43403ae4f8p-12, 0x1.0017bb308c874p-12, 0x1.ef81392e2c5p-13, 0x1.df595d4992a01p-13, 0x1.cfb3927f602p-13, 0x1.c08194215685bp-13, 0x1.b1defde3ea4e5p-13, 0x1.a3a89e395394bp-13, 0x1.95e485b589f81p-13, 0x1.888c03278c2e3p-13, 0x1.7ba6a3a9a1141p-13, 0x1.6f260e370623fp-13, 0x1.630aa4e4a5bb2p-13, 0x1.574fd14461783p-13, 0x1.4bf685a31b80ep-13, 0x1.40f664c4a0fbbp-13, 0x1.364f875c72fe5p-13, 0x1.2bfe45182bd0ep-13, 0x1.21ffd66a839dcp-13, 0x1.1854c8c4a23c3p-13, 0x1.0eeecfe68bcaap-13, 0x1.05d7bec379c64p-13, 0x1.fa0f96c9a0196p-14, 0x1.e8f93ea1ab947p-14, 0x1.d86806effea3ep-14, 0x1.c8578ed163bd9p-14, 0x1.b8a4a8af8b5ddp-14, 0x1.a9a135a151098p-14, 0x1.9af3fba74b056p-14, 0x1.8cb5424c9359ep-14, 0x1.7ee0f452af1abp-14, 0x1.717340740b86dp-14, 0x1.64670d984061fp-14, 0x1.57be752d1b2b8p-14, 0x1.4b705545f4108p-14, 0x1.3f7c0d3b7d472p-14, 0x1.33de6ab19f9f7p-14, 0x1.2894bae63b9f5p-14, 0x1.1d9c548e992f8p-14, 0x1.12f2a543146ffp-14, 0x1.0894fc9059911p-14, 0x1.fd2da73f8fcc2p-15, 0x1.e969b425a31c2p-15, 0x1.d65ed6c5a6f83p-15, 0x1.c3d89f9418e34p-15, 0x1.b1d498bbe11dbp-15, 0x1.a04f80b777a54p-15, 0x1.8f413d437778fp-15, 0x1.7ef45c127ab3ap-15, 0x1.6e8e7a5839b37p-15, 0x1.5ed8d81203934p-15, 0x1.4f913e8f2dbd5p-15, 0x1.40b23b9863c7bp-15, 0x1.32383d6aad662p-15, 0x1.242013c842cb2p-15, 0x1.16667e44d50e9p-15, 0x1.091f0b5738983p-15, 0x1.f80d92fa4d27cp-16, 0x1.de8ae53568607p-16, 0x1.c5fa04d98fe46p-16, 0x1.ade4af7efa02fp-16, 0x1.968ede5f12157p-16, 0x1.7f5bc1e1c0beap-16, 0x1.694fd462ea602p-16, 0x1.53933de93738fp-16, 0x1.3e64c678abc56p-16, 0x1.29beb04674899p-16, 0x1.159a8a7bf00eep-16, 0x1.01f6205698e6ap-16, 0x1.dd9bfc0aafd85p-17, 0x1.b83cd0ee5e0a4p-17, 0x1.93c801b4f3d12p-17, 0x1.70372a1c4f653p-17, 0x1.4d8427df82ddp-17, 0x1.2ba9107d4b1a5p-17, 0x1.0a9ffcd2d858bp-17, 0x1.d4c0c2f6ecebbp-18, 0x1.950eae370355cp-18, 0x1.5878c58c52a66p-18, 0x1.1ca68e6e14c76p-18, 0x1.c436c6ca6ce15p-19, 0x1.523162219cfc2p-19, 0x1.c5c11350d7c55p-20, 0x1.d909f1fcb33fbp-21, 0x1.8bdce3d0721efp-24, -0x1.6c51794096d5dp-21, -0x1.817f722543beep-20, -0x1.227ce2caf3e7fp-19, -0x1.829283dbf00fdp-19, -0x1.df78a9eef3314p-19, -0x1.1db082a674389p-18, -0x1.4a3362342a6e9p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.a81a19cf95e08p-2, -0x1.b08c8fe708c2fp-2, -0x1.b933abea628p-2, -0x1.c1fcdb4eb50ap-2, -0x1.cad705f1d3466p-2, -0x1.d3b2932a806dfp-2, -0x1.dc81275245935p-2, -0x1.e535ab4bc798ep-2, -0x1.edc4f8f070402p-2, -0x1.f62553db5411ap-2, -0x1.fe4d654ee7a3cp-2, -0x1.031a85bbcb49cp-1, -0x1.06eb1d71833a6p-1, -0x1.0a95ed12603bep-1, -0x1.0e18383f08a4fp-1, -0x1.116f5e98f3ddfp-1, -0x1.149993157d234p-1, -0x1.1795f4c201c74p-1, -0x1.1a63f4eae0a61p-1, -0x1.1d02c9df446f7p-1, -0x1.1f71771672b7bp-1, -0x1.21aed6679ec14p-1, -0x1.23bc574556af8p-1, -0x1.259983699705dp-1, -0x1.2746a69f545acp-1, -0x1.28c435a51f943p-1, -0x1.2a12c983bc4dap-1, -0x1.2b331b0e9f9fp-1, -0x1.2c25ff2829d47p-1, -0x1.2cec6357a2ac9p-1, -0x1.2d874a0374805p-1, -0x1.2df7c664f61b4p-1, -0x1.2e3ef8a2da6cdp-1, -0x1.2e5e0aa1de7abp-1, -0x1.2e562e942cac6p-1, -0x1.2e289f96802f8p-1, -0x1.2dd6a2436f9eep-1, -0x1.2d6182379decap-1, -0x1.2cca8c2a35e5cp-1, -0x1.2c130820a653cp-1, -0x1.2b3c37cf5607cp-1, -0x1.2a4759daaa4fbp-1, -0x1.2935aebcda831p-1, -0x1.28087a691673bp-1, -0x1.26c1018876e29p-1, -0x1.2560833ad1f5ap-1, -0x1.23e833979c56cp-1, -0x1.225939ca87909p-1, -0x1.20b4b1e597855p-1, -0x1.1efbb14078f99p-1, -0x1.1d2f4961beaddp-1, -0x1.1b50894c7604ap-1, -0x1.19607c69373a9p-1, -0x1.17602864bf411p-1, -0x1.15508b3098f2bp-1, -0x1.133299e58eb97p-1, -0x1.11074088ea8eep-1, -0x1.0ecf625b3ec44p-1, -0x1.0c8bda1a651afp-1, -0x1.0a3d7a0e0529cp-1, -0x1.07e50c0a5fb4ap-1, -0x1.058351bec84a7p-1, -0x1.0319057702d29p-1, -0x1.00a6ca20dec2cp-1, -0x1.fc5afaf30177bp-2, -0x1.f75b5d38ae32cp-2, -0x1.f24fff1893e5p-2, -0x1.ed3a188e6f6f3p-2, -0x1.e81ad4f75c0b5p-2, -0x1.e2f352c8ee633p-2, -0x1.ddc4a3a6bed62p-2, -0x1.d88fccd6e0b53p-2, -0x1.d355c7e7f860cp-2, -0x1.ce1783550b18bp-2, -0x1.c8d5e311d2ab5p-2, -0x1.c391c0ef077ecp-2, -0x1.be4becf4ac424p-2, -0x1.b9052da9c7c64p-2, -0x1.b3be405ebf4abp-2, -0x1.ae77d977a5ce5p-2, -0x1.a932a4bab02d5p-2, -0x1.a3ef4595a2f49p-2, -0x1.9eae576caebcp-2, -0x1.99706de557319p-2, -0x1.9436153516b77p-2, -0x1.8effd27125999p-2, -0x1.89ce23dc4be26p-2, -0x1.84a181345b397p-2, -0x1.7f7a5bfce35aep-2, -0x1.7a591fc3a61b9p-2, -0x1.753e3260d495ap-2, -0x1.7029f42fa7a51p-2, -0x1.6b1cc041a1093p-2, -0x1.6616ec8f1612ep-2, -0x1.6118ca234dd3ap-2, -0x1.5c22a54e67ae3p-2, -0x1.5734c5d94aa26p-2, -0x1.524f6f2a3f568p-2, -0x1.4d72e0945376cp-2, -0x1.489f55709129ap-2, -0x1.43d505595f25dp-2, -0x1.3f1424572657ap-2, -0x1.3a5ce306cd0fbp-2, -0x1.35af6ec500549p-2, -0x1.310bf1f04574p-2, -0x1.2c72936985c89p-2, -0x1.27e377fd44f95p-2, -0x1.235ec1382326p-2, -0x1.1ee48e26afbb7p-2, -0x1.1a74fb4fba231p-2, -0x1.161022cba4fd5p-2, -0x1.11b61c5e21f7p-2, -0x1.0d66fd8ad4b86p-2, -0x1.0922d9c604475p-2, -0x1.04e9c221a005dp-2, -0x1.00bbc639d6134p-2, -0x1.f931e6f202e27p-3, -0x1.f102ab2ca8bep-3, -0x1.e8e9ed2c195fbp-3, -0x1.e0e7bdcf3bc41p-3, -0x1.d8fc2a6a6906dp-3, -0x1.d1273ddcd80aep-3, -0x1.c968ffd2d7c6ap-3, -0x1.c1c17539f20f5p-3, -0x1.ba30a0618554ap-3, -0x1.b2b68117b4b2cp-3, -0x1.ab5314cad3e7dp-3, -0x1.a40656ad2b2e6p-3, -0x1.9cd03fc78faf7p-3, -0x1.95b0c71a4d49bp-3, -0x1.8ea7e1a907608p-3, -0x1.87b5828b13cc9p-3, -0x1.80d99af39b22ep-3, -0x1.7a141a40b7dd9p-3, -0x1.7364edfaf7b1fp-3, -0x1.6ccc01f4d144ap-3, -0x1.66494044c78c6p-3, -0x1.5fdc916c4d3d1p-3, -0x1.5985dc65cedd4p-3, -0x1.534506bf154bp-3, -0x1.4d19f4b2e41a3p-3, -0x1.470489412844cp-3, -0x1.4104a64154ccep-3, -0x1.3b1a2c79d6f38p-3, -0x1.3544fba0850cdp-3, -0x1.2f84f28a1106dp-3, -0x1.29d9eef5acec8p-3, -0x1.24446c26c5328p-3, -0x1.1ec2ef658915fp-3, -0x1.195609c3ad559p-3, -0x1.13fd95582ff5cp-3, -0x1.0eb96b3faf9c1p-3, -0x1.098963a7c4e89p-3, -0x1.046d55dad4513p-3, -0x1.feca2ff5fdbap-4, -0x1.f4e10188db291p-4, -0x1.eb1ec871cf441p-4, -0x1.e1832e3c63f61p-4, -0x1.d80dda7e6718ap-4, -0x1.cebe741db37cap-4, -0x1.c594a0f88bd7cp-4, -0x1.bc900647ae557p-4, -0x1.b3b0489854caep-4, -0x1.aaf50bf66f1cfp-4, -0x1.a25df3f8226c4p-4, -0x1.99eaa3c760f41p-4, -0x1.919abe5283ef9p-4, -0x1.896de5eb6eb68p-4, -0x1.8163bcf70c9b5p-4, -0x1.797be567fd16ap-4, -0x1.71b600ff10dp-4, -0x1.6a11b13d22818p-4, -0x1.628e974aefaaep-4, -0x1.5b2c545baf054p-4, -0x1.53ea893dd9d91p-4, -0x1.4cc8d698de417p-4, -0x1.45c6dcf7fbf85p-4, -0x1.3ee43ca94b147p-4, -0x1.382095eb763a3p-4, -0x1.317b88e266029p-4, -0x1.2af4b5a353ed3p-4, -0x1.248bbc4056648p-4, -0x1.1e403cd3f2bc9p-4, -0x1.1811d78011729p-4, -0x1.12002c933e8bcp-4, -0x1.0c0adc7dd9a17p-4, -0x1.063187d86aa55p-4, -0x1.0073cf8ef7ddap-4, -0x1.f5a2a99acd98bp-5, -0x1.ea93720368d2cp-5, -0x1.dfb93c413e24cp-5, -0x1.d5134cb33d721p-5, -0x1.caa0e8c0a4a0dp-5, -0x1.c06156b00236cp-5, -0x1.b653dfe4d879p-5, -0x1.ac77c60c14db6p-5, -0x1.a2cc5919617p-5, -0x1.9950e1186b63bp-5, -0x1.9004abff3f985p-5, -0x1.86e6ff0a552b5p-5, -0x1.7df72f7b58a16p-5, -0x1.7534896079f38p-5, -0x1.6c9e5d75abfb1p-5, -0x1.6433fcafc4bb5p-5, -0x1.5bf4b9c86c84fp-5, -0x1.53dfe81be7b27p-5, -0x1.4bf4de2f05d0ep-5, -0x1.4432f0fd588cep-5, -0x1.3c9978b34663dp-5, -0x1.3527ce564426cp-5, -0x1.2ddd4c496aa39p-5, -0x1.26b94e434cc25p-5, -0x1.1fbb31681ec15p-5, -0x1.18e25441e6aep-5, -0x1.122e16cb0ae8p-5, -0x1.0b9dda4afb2bdp-5, -0x1.0531021ba6501p-5, -0x1.fdcde465f87e6p-6, -0x1.f17e21aa1adebp-6, -0x1.e5718a597cfbap-6, -0x1.d9a6f22be3807p-6, -0x1.ce1d2d2861e2dp-6, -0x1.c2d3148e8993cp-6, -0x1.b7c78a1247104p-6, -0x1.acf95be6f52f8p-6, -0x1.a2677e0229abcp-6, -0x1.9810d0da605e4p-6, -0x1.8df43e10c964p-6, -0x1.8410b2c3fa875p-6, -0x1.7a651fb3387c9p-6, -0x1.70f078e71779p-6, -0x1.67b1b5b3f8bd8p-6, -0x1.5ea7d1f9b482fp-6, -0x1.55d1cc59e647p-6, -0x1.4d2ea746019bap-6, -0x1.44bd6699ac271p-6, -0x1.3c7d1a4e663f4p-6, -0x1.346ccb3aea71p-6, -0x1.2c8b867b1e27p-6, -0x1.24d8663990056p-6, -0x1.1d52807ab4319p-6, -0x1.15f8f09063a3ap-6, -0x1.0ecad5f1d8bffp-6, -0x1.07c754e2efe8bp-6, -0x1.00ed8db7e8e7dp-6, -0x1.f4795f8847b4cp-7, -0x1.e767cc51e140bp-7, -0x1.daa4c2b32ae6bp-7, -0x1.ce2ea961197e2p-7, -0x1.c203ed76b7bbdp-7, -0x1.b6230e220753bp-7, -0x1.aa8a7b15aafa8p-7, -0x1.9f38bb125c8d4p-7, -0x1.942c569add9e2p-7, -0x1.8963d7e0c2167p-7, -0x1.7edde36df3157p-7, -0x1.749905c4b9d36p-7, -0x1.6a93e6893108ap-7, -0x1.60cd2b91cf584p-7, -0x1.574385c9e22adp-7, -0x1.4df5a70ae6d5ep-7, -0x1.44e24989d94c8p-7, -0x1.3c082cbc2dbb6p-7, -0x1.336615d7bdb93p-7, -0x1.2afadbd18bd63p-7, -0x1.22c529c3d62cp-7, -0x1.1ac3fa96533ap-7, -0x1.12f61c6834ff3p-7, -0x1.0b5a712a9f5f5p-7, -0x1.03efdcb9576a1p-7, -0x1.f96a948c7478bp-8, -0x1.eb535303dfd6cp-8, -0x1.dd97de5b45aacp-8, -0x1.d036277c6ff02p-8, -0x1.c32c30cf0cb0ap-8, -0x1.b677fb4efca5dp-8, -0x1.aa179899eb7e6p-8, -0x1.9e09219c5b5e7p-8, -0x1.924ab8416ea1p-8, -0x1.86da87ae65e46p-8, -0x1.7bb6c489a7529p-8, -0x1.70dda923203dfp-8, -0x1.664d7d0f89c24p-8, -0x1.5c048d86a2a6bp-8, -0x1.520130459e3e6p-8, -0x1.4841bb0e0256dp-8, -0x1.3ec4acf0e6f98p-8, -0x1.35885c1976a1ap-8, -0x1.2c8b4738526bcp-8, -0x1.23cbec4e2703bp-8, -0x1.1b48d119a331ap-8, -0x1.130081ebab327p-8, -0x1.0af1947704c9p-8, -0x1.031aa487d04a5p-8, -0x1.f6f4aaa206d2dp-9, -0x1.e81ea261c2a26p-9, -0x1.d9b0890f1a045p-9, -0x1.cba7ed0310e2p-9, -0x1.be022f1ce0fefp-9, -0x1.b0bce42f06896p-9, -0x1.a3d5a06cabf62p-9, -0x1.974a152cf686cp-9, -0x1.8b17e9ae28b4cp-9, -0x1.7f3ce2fa75e44p-9, -0x1.73b6c9850b095p-9, -0x1.688375e02adeap-9, -0x1.5da0cb8a1077ep-9, -0x1.530cb9d6f193bp-9, -0x1.48c53bb125eaep-9, -0x1.3ec8576eb130cp-9, -0x1.35140f587431ap-9, -0x1.2ba6ad9a2ecb8p-9, -0x1.227e2c00b61bdp-9, -0x1.1998cc49269fep-9, -0x1.10f4c6632e8d5p-9, -0x1.08a2e8dca3e1bp-9, -0x1.007c12dabcb4fp-9, -0x1.f123160bf6812p-10, -0x1.e1c3714d54937p-10, -0x1.d2d613cdce28ap-10, -0x1.c457ecb223111p-10, -0x1.b645fb5dc42b6p-10, -0x1.a89d5a711f5dap-10, -0x1.9b5b26d72f525p-10, -0x1.8e7c9b72df1f4p-10, -0x1.81ff020ab7648p-10, -0x1.75dfaae60f06dp-10, -0x1.6a1c036ac6fafp-10, -0x1.5eb18cc08fbd1p-10, -0x1.539dc496bf842p-10, -0x1.48de470f20041p-10, -0x1.3e70bb682f627p-10, -0x1.3452d7fa049aap-10, -0x1.2a82650587074p-10, -0x1.20fd0c9fd7bc3p-10, -0x1.17c119cb7f0ap-10, -0x1.0ecc0d6e6f796p-10, -0x1.061c12c85f774p-10, -0x1.fb5e5993abfbbp-11, -0x1.eb06e35ea9cbcp-11, -0x1.db2e09873c5d1p-11, -0x1.cbd0293e56a04p-11, -0x1.bce9b267b74c9p-11, -0x1.ae773a55e0d3dp-11, -0x1.a0756290dfc33p-11, -0x1.92e0a8a0ac9bap-11, -0x1.85b699a19bf3bp-11, -0x1.78f35ffaf7592p-11, -0x1.6c94344e54c6bp-11, -0x1.609628353e043p-11, -0x1.54f660fa89f9cp-11, -0x1.49b215f37d696p-11, -0x1.3ec6cffca2025p-11, -0x1.343132e502758p-11, -0x1.29ef8a8e9dd36p-11, -0x1.1ffeba591ed9bp-11, -0x1.165cbc237e6c2p-11, -0x1.0d0750cdd0c9ep-11, -0x1.03fb5fb00e8abp-11, -0x1.f66f0085c2d1bp-12, -0x1.e572cd9a3874cp-12, -0x1.d4fd2bd5b878fp-12, -0x1.c50ac8bb5d4f8p-12, -0x1.b5976473bc2edp-12, -0x1.a69f0272f844fp-12, -0x1.981e4ce4904adp-12, -0x1.8a11810c80411p-12, -0x1.7c744b91100edp-12, -0x1.6f44312cfe3f5p-12, -0x1.627d801cbbddep-12, -0x1.561c9b7a47d2ep-12, -0x1.4a1f90b01972bp-12, -0x1.3e821cf91ae87p-12, -0x1.3341aceed525cp-12, -0x1.285b629c8f52ep-12, -0x1.1dcc73401a951p-12, -0x1.139227793c29p-12, -0x1.09a9f5e05ec97p-12, -0x1.001108c672ep-12, -0x1.ed8a5ff30f769p-13, -0x1.db87266b35a86p-13, -0x1.ca15dbdaeda71p-13, -0x1.b92fb77638c58p-13, -0x1.a8d14e73613c2p-13, -0x1.98f62cb7e957fp-13, -0x1.899a4348a73ccp-13, -0x1.7ab9b89b67168p-13, -0x1.6c50560187893p-13, -0x1.5e5abd7f7e5d5p-13, -0x1.50d518913bbf2p-13, -0x1.43bbe92d5c9ffp-13, -0x1.370bc6a94826p-13, -0x1.2ac1684c27dc4p-13, -0x1.1ed98e1b5c603p-13, -0x1.1351210c2b27ap-13, -0x1.08252164c997ap-13, -0x1.faa557cd0ce7cp-14, -0x1.e5adcd943cbd8p-14, -0x1.d15e4780663acp-14, -0x1.bdb169c495702p-14, -0x1.aaa06835367cdp-14, -0x1.982b5bc971532p-14, -0x1.86488d49cd703p-14, -0x1.74f52222bf4dap-14, -0x1.642e37a3a8c1p-14, -0x1.53e9d74d13bc7p-14, -0x1.4429a19c9d24dp-14, -0x1.34e7bd0910c27p-14, -0x1.262033bf7771ep-14, -0x1.17cf42e111067p-14, -0x1.09f149f758fbcp-14, -0x1.f9059146b795bp-15, -0x1.df00b176a2e23p-15, -0x1.c5c7e4c27430dp-15, -0x1.ad65c48748d03p-15, -0x1.95c363a97cacap-15, -0x1.7ee04375a4ff4p-15, -0x1.68b65289c257dp-15, -0x1.5341bfe8237c6p-15, -0x1.3e7b8cddcce33p-15, -0x1.2a5f2c607339fp-15, -0x1.16e6902071a4dp-15, -0x1.040fbc94869bdp-15, -0x1.e3a4d31b390d3p-16, -0x1.c057c1aa7273dp-16, -0x1.9e2e80de395a8p-16, -0x1.7d2047a2e41edp-16, -0x1.5d29d29740f9ep-16, -0x1.3e31d7b253ca6p-16, -0x1.20423604c3641p-16, -0x1.034c03c34561bp-16, -0x1.ce8fe6cf62ffcp-17, -0x1.985d6d954cab1p-17, -0x1.63f27cd070be4p-17, -0x1.312e0619f4d51p-17, -0x1.003b0ad7779cfp-17, -0x1.a1aa3781e52ap-18, -0x1.46056bfb3273cp-18, -0x1.dae0ca232809cp-19, -0x1.2fa991e969486p-19, -0x1.1467b70937448p-20, 0x1.590266078bac4p-23, 0x1.5fc8d15c01c94p-20, 0x1.44e36d7b74dbbp-19, 0x1.d4b11d778b71ap-19, 0x1.2fb7f63fac3edp-18, 0x1.72a06a823fd2p-18, 0x1.b321defc54837p-18, 0x1.f14c2b49cf038p-18, 0x1.168183df48fe1p-17, 0x1.336aae9b28b72p-17, 0x1.4f26f162add1bp-17, 0x1.69d4a33935ebap-17, 0x1.83799c106afep-17, 0x1.9c1c267349362p-17, 0x1.b3c3c90af8a05p-17, 0x1.ca58ef60f6197p-17, 0x1.e0341662eebc4p-17, 0x1.f50be4693f911p-17, 0x1.047f193032ea6p-16, 0x1.0e08a4b30941bp-16, 0x1.17255ca105dccp-16, 0x1.1fd7d8aa97599p-16, 0x1.2822b21aebd22p-16, 0x1.2fff251a924dfp-16, 0x1.378b2cd93b142p-16, 0x1.3eb1d4c6e356cp-16, 0x1.4570096e71b4dp-16, 0x1.4bd7d740b48b8p-16, 0x1.51e2064c2fc8bp-16, 0x1.57a36f7653d39p-16, 0x1.5cfa61803e7c8p-16, 0x1.6206ec1367a9dp-16, 0x1.66c11e9593afep-16, 0x1.6b2b34dd501e7p-16, 0x1.6f471b39f7333p-16, 0x1.7316902e059b5p-16, 0x1.769b50eca3a45p-16, 0x1.79d71168d0f79p-16, 0x1.7ccb796c726a6p-16, 0x1.7f7a265298a62p-16, 0x1.81e4abb76c272p-16, 0x1.840c942384db3p-16, 0x1.85f36343e9501p-16, 0x1.879aaf91a53f8p-16, 0x1.89075f7e0fa8cp-16, 0x1.8a2fc11d1cb1fp-16, 0x1.8b1fe5aa4521dp-16, 0x1.8bd74d7c3e71cp-16, 0x1.8c54fe23bcbafp-16, 0x1.8c9b73e6d9e91p-16, 0x1.8cabbb5b0f719p-16, 0x1.8c86d3fc882c2p-16, 0x1.8c2ec0bd4268bp-16, 0x1.8baaad88e1547p-16, 0x1.8ae7d5fc95a4dp-16, 0x1.89fba167d975ep-16, 0x1.88de9c23a9235p-16, 0x1.879625c0733bfp-16, 0x1.861fd01e2463cp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.663aff58edbcbp-5, 0x1.889e09cffd20dp-5, 0x1.ac4305e6e5e89p-5, 0x1.d11d4ade107bap-5, 0x1.f7200ae83b98cp-5, 0x1.0f1f2d13ef1b1p-4, 0x1.23359aa3eb3f9p-4, 0x1.37ccc3da164bep-4, 0x1.4cde18bbd3538p-4, 0x1.626306615bcccp-4, 0x1.7854f990168c9p-4, 0x1.8ead612de9ea8p-4, 0x1.a565b08f89afbp-4, 0x1.bc7761a3b0637p-4, 0x1.d3dbf6fd09d5cp-4, 0x1.eb8cfdbca552dp-4, 0x1.01c207af3bcffp-3, 0x1.0ddd69b4cc096p-3, 0x1.1a158082d06ffp-3, 0x1.2667303b53c9ep-3, 0x1.32cf66408a775p-3, 0x1.3f4b19db4f09p-3, 0x1.4bd74cd6c6cb3p-3, 0x1.58710c11b072ep-3, 0x1.65157005e7e89p-3, 0x1.71c19d468fc67p-3, 0x1.7e72c4f5574abp-3, 0x1.8b26252f33d16p-3, 0x1.97d9097102d3ep-3, 0x1.a488caf45584ap-3, 0x1.b132d104c5e7fp-3, 0x1.bdd4914e16811p-3, 0x1.ca6b902364b4fp-3, 0x1.d6f560bfafdap-3, 0x1.e36fa57fe638p-3, 0x1.efd81016bbb27p-3, 0x1.fc2c61ba7293bp-3, 0x1.043535a668439p-2, 0x1.0a4806beb259dp-2, 0x1.104d9c732c81bp-2, 0x1.1644f711f47f7p-2, 0x1.1c2d1ef35c23p-2, 0x1.2205248092675p-2, 0x1.27cc2037e3158p-2, 0x1.2d8132ae9ef3fp-2, 0x1.33238490c19ccp-2, 0x1.38b2469e67768p-2, 0x1.3e2cb1a726b5fp-2, 0x1.43920683640cp-2, 0x1.48e18e0bb1116p-2, 0x1.4e1a990e4c30fp-2, 0x1.533c8042d4178p-2, 0x1.5846a43c4437ap-2, 0x1.5d386d594bf7cp-2, 0x1.62114bb318bb9p-2, 0x1.66d0b70a9ffa8p-2, 0x1.6b762eb484a7dp-2, 0x1.70013983a58dfp-2, 0x1.747165b26c5e6p-2, 0x1.78c648caeb871p-2, 0x1.7cff7f8de4c26p-2, 0x1.811cadd8c43fp-2, 0x1.851d7e8aa65ffp-2, 0x1.8901a36878c8ap-2, 0x1.8cc8d500492fcp-2, 0x1.9072d28bd15c7p-2, 0x1.93ff61d251e57p-2, 0x1.976e4f09cb886p-2, 0x1.9abf6cb7a9203p-2, 0x1.9df29390e225ep-2, 0x1.a107a259adec3p-2, 0x1.a3fe7dc4ce9f5p-2, 0x1.a6d7105282fd1p-2, 0x1.a9914a2f2db8dp-2, 0x1.ac2d2111bd1a9p-2, 0x1.aeaa9019de475p-2, 0x1.b10997ae08f47p-2, 0x1.b34a3d596f661p-2, 0x1.b56c8ba9d5cc1p-2, 0x1.b770920d661bp-2, 0x1.b95664b07f7e3p-2, 0x1.bb1e1c5b90c96p-2, 0x1.bcc7d651001bbp-2, 0x1.be53b42b2ea87p-2, 0x1.bfc1dbba97c49p-2, 0x1.c11276e41beedp-2, 0x1.c245b37f73de2p-2, 0x1.c35bc335d9a8p-2, 0x1.c454db60e8708p-2, 0x1.c53134e9be126p-2, 0x1.c5f10c2859e97p-2, 0x1.c694a0c34ac74p-2, 0x1.c71c358fa3b63p-2, 0x1.c788107141a9fp-2, 0x1.c7d87a3b68442p-2, 0x1.c80dbe91b4ccep-2, 0x1.c8282bc969215p-2, 0x1.c82812cb18b5bp-2, 0x1.c80dc6f4b578p-2, 0x1.c7d99dfbfd749p-2, 0x1.c78befd15126cp-2, 0x1.c7251682f124cp-2, 0x1.c6a56e20a406ep-2, 0x1.c60d549fca427p-2, 0x1.c55d29bfdf16fp-2, 0x1.c4954eef676ebp-2, 0x1.c3b6273153192p-2, 0x1.c2c01702ce9bap-2, 0x1.c1b38441891edp-2, 0x1.c090d6126c43ep-2, 0x1.bf5874c8cb9adp-2, 0x1.be0ac9ce08a52p-2, 0x1.bca83f89ae78cp-2, 0x1.bb31414a010e1p-2, 0x1.b9a63b2d0975ep-2, 0x1.b8079a0a170bep-2, 0x1.b655cb5bb8ba8p-2, 0x1.b4913d2a3244dp-2, 0x1.b2ba5df6676f1p-2, 0x1.b0d19ca540fa2p-2, 0x1.aed7686b8d35p-2, 0x1.accc30ba566c4p-2, 0x1.aab0652bb6415p-2, 0x1.a88475701dfe7p-2, 0x1.a648d13c1bd24p-2, 0x1.a3fde83695791p-2, 0x1.a1a429e77e0b1p-2, 0x1.9f3c05a70056ep-2, 0x1.9cc5ea8d25b39p-2, 0x1.9a424761edd9ap-2, 0x1.97b18a8de3a3fp-2, 0x1.9514220b2115cp-2, 0x1.926a7b56cf674p-2, 0x1.8fb5036316577p-2, 0x1.8cf4268982ad6p-2, 0x1.8a28507ddea33p-2, 0x1.8751ec417ae6ep-2, 0x1.84716416ed7aap-2, 0x1.818721763c544p-2, 0x1.7e938d017ac7ep-2, 0x1.7b970e79d2b27p-2, 0x1.78920cb4feabcp-2, 0x1.7584ed932c751p-2, 0x1.727015f54d5a5p-2, 0x1.6f53e9b3d102ep-2, 0x1.6c30cb95c6bb2p-2, 0x1.69071d48684c1p-2, 0x1.65d73f570a6b3p-2, 0x1.62a1912372c24p-2, 0x1.5f6670de907bep-2, 0x1.5c263b819834ap-2, 0x1.58e14cc7819p-2, 0x1.5597ff26e1289p-2, 0x1.524aabcc2493ep-2, 0x1.4ef9aa9426cd6p-2, 0x1.4ba5520723a03p-2, 0x1.484df75402969p-2, 0x1.44f3ee4bf7ac6p-2, 0x1.4197895e7fedp-2, 0x1.3e391995ac59dp-2, 0x1.3ad8ee92c538p-2, 0x1.3777568b3c174p-2, 0x1.34149e45ed031p-2, 0x1.30b11118b262cp-2, 0x1.2d4cf8e63ec79p-2, 0x1.29e89e1c47367p-2, 0x1.268447b1f3d04p-2, 0x1.23203b26989bp-2, 0x1.1fbcbc80b4388p-2, 0x1.1c5a0e4d31773p-2, 0x1.18f8719eeedp-2, 0x1.1598260e80d45p-2, 0x1.123969ba3936fp-2, 0x1.0edc794666216p-2, 0x1.0b818fddd22f7p-2, 0x1.0828e73279a21p-2, 0x1.04d2b77e79303p-2, 0x1.017f378535221p-2, 0x1.fc5d3929635f6p-3, 0x1.f5c2350e420dp-3, 0x1.ef2dc78943608p-3, 0x1.e8a0528a5b96cp-3, 0x1.e21a35256816bp-3, 0x1.db9bcb96c77b1p-3, 0x1.d5256f483d414p-3, 0x1.ceb776d62827dp-3, 0x1.c85236150cfd4p-3, 0x1.c1f5fe1768af3p-3, 0x1.bba31d33cedfep-3, 0x1.b559df0b460e5p-3, 0x1.af1a8c8ff3c9ep-3, 0x1.a8e56c0bf7842p-3, 0x1.a2bac12893ac4p-3, 0x1.9c9accf581e38p-3, 0x1.9685cdf083e41p-3, 0x1.907c000d2af01p-3, 0x1.8a7d9cbcca5b1p-3, 0x1.848adaf69a746p-3, 0x1.7ea3ef40092e5p-3, 0x1.78c90bb52fb79p-3, 0x1.72fa6011732e1p-3, 0x1.6d3819b840967p-3, 0x1.678263bdf4ce9p-3, 0x1.61d966f0d8bb3p-3, 0x1.5c3d49e23fc3bp-3, 0x1.56ae30efbe0d8p-3, 0x1.512c3e4c73d4p-3, 0x1.4bb7920a74e62p-3, 0x1.46504a2438efcp-3, 0x1.40f6828623831p-3, 0x1.3baa551819536p-3, 0x1.366bd9c71f1d4p-3, 0x1.313b268f08636p-3, 0x1.2c184f84254bp-3, 0x1.270366dd02f07p-3, 0x1.21fc7cfc2674cp-3, 0x1.1d03a079cff65p-3, 0x1.1818de2dbae56p-3, 0x1.133c4138e5625p-3, 0x1.0e6dd30f48a7fp-3, 0x1.09ad9b819c03bp-3, 0x1.04fba0c704741p-3, 0x1.0057e786c98e1p-3, 0x1.f784e5c3f51abp-4, 0x1.ee7688fa136efp-4, 0x1.e584b912bfa95p-4, 0x1.dcaf739dc4ecdp-4, 0x1.d3f6b36ad6953p-4, 0x1.cb5a709c5d6fbp-4, 0x1.c2daa0ba351e6p-4, 0x1.ba7736c42dac1p-4, 0x1.b230234480ce9p-4, 0x1.aa0554620ede7p-4, 0x1.a1f6b5f2832d5p-4, 0x1.9a04318c41d2cp-4, 0x1.922dae9828ca6p-4, 0x1.8a7312633275bp-4, 0x1.82d4402fd6524p-4, 0x1.7b51194744eb9p-4, 0x1.73e97d0a6d435p-4, 0x1.6c9d4902cf903p-4, 0x1.656c58f31ada9p-4, 0x1.5e5686e7954c8p-4, 0x1.575bab464c625p-4, 0x1.507b9cdf0ebfbp-4, 0x1.49b630fb2b156p-4, 0x1.430b3b6cf6073p-4, 0x1.3c7a8e9f16047p-4, 0x1.3603fba392418p-4, 0x1.2fa75242a60ecp-4, 0x1.2964610958046p-4, 0x1.233af557d3155p-4, 0x1.1d2adb6f820f1p-4, 0x1.1733de80ecfffp-4, 0x1.1155c8b957487p-4, 0x1.0b9063502046fp-4, 0x1.05e37693e2bfp-4, 0x1.004ec9f755fa4p-4, 0x1.f5a4483bdfdbdp-5, 0x1.eada95d08c386p-5, 0x1.e04007005faa3p-5, 0x1.d5d424c950db5p-5, 0x1.cb9676eae2ddp-5, 0x1.c18683fceb346p-5, 0x1.b7a3d185d82f5p-5, 0x1.adede4107727p-5, 0x1.a4643f4140518p-5, 0x1.9b0665eb1f567p-5, 0x1.91d3da23c3e8fp-5, 0x1.88cc1d5770334p-5, 0x1.7feeb05c4fa1fp-5, 0x1.773b1385506cdp-5, 0x1.6eb0c6b482afcp-5, 0x1.664f496cfe1fcp-5, 0x1.5e161ae44e5dep-5, 0x1.5604ba13685d8p-5, 0x1.4e1aa5c728de2p-5, 0x1.46575cb05cad8p-5, 0x1.3eba5d7354cd5p-5, 0x1.374326b707e5ep-5, 0x1.2ff13733bf9d3p-5, 0x1.28c40dc156beap-5, 0x1.21bb296507261p-5, 0x1.1ad6095ec9e4ep-5, 0x1.14142d3648917p-5, 0x1.0d7514c764afcp-5, 0x1.06f8404e5531ep-5, 0x1.009d30735a10dp-5, 0x1.f4c6ccac10e92p-6, 0x1.e894c7306259ap-6, 0x1.dca354d0c8979p-6, 0x1.d0f17b182041p-6, 0x1.c57e40d27e29ap-6, 0x1.ba48ae1fee815p-6, 0x1.af4fcc8671c2p-6, 0x1.a492a70348fdep-6, 0x1.9a104a1b82c67p-6, 0x1.8fc7c3ebdbabep-6, 0x1.85b82437ed68dp-6, 0x1.7be07c78af89ap-6, 0x1.723fdfea52026p-6, 0x1.68d563996e2d9p-6, 0x1.5fa01e6f980ebp-6, 0x1.569f293f4fd7ap-6, 0x1.4dd19ecf5465fp-6, 0x1.45369be55e74dp-6, 0x1.3ccd3f504754cp-6, 0x1.3494a9f198589p-6, 0x1.2c8bfec691be2p-6, 0x1.24b262f09d1cbp-6, 0x1.1d06fdbd3f0d4p-6, 0x1.1588f8ad7b619p-6, 0x1.0e377f7cbab16p-6, 0x1.0711c0273089ep-6, 0x1.0016eaefc2f29p-6, 0x1.f28c64caf1d45p-7, 0x1.e53d96d0e825ep-7, 0x1.d83fda5ce9b6fp-7, 0x1.cb91a28ddc203p-7, 0x1.bf31673d5dbd9p-7, 0x1.b31da506371ffp-7, 0x1.a754dd4a0e7fdp-7, 0x1.9bd596363fa2cp-7, 0x1.909e5ac7ff9c8p-7, 0x1.85adbacfb74e6p-7, 0x1.7b024af3ac92fp-7, 0x1.709aa4b1f5dcp-7, 0x1.66756661c3862p-7, 0x1.5c913333f66f5p-7, 0x1.52ecb33322c7cp-7, 0x1.49869342ecd04p-7, 0x1.405d851ec9851p-7, 0x1.37703f583904ep-7, 0x1.2ebd7d5464302p-7, 0x1.2643ff4939c9bp-7, 0x1.1e028a3a04c42p-7, 0x1.15f7e7f381a47p-7, 0x1.0e22e7077a705p-7, 0x1.06825ac7eb438p-7, 0x1.fe2a368369cc5p-8, 0x1.efb40a6dc4a15p-8, 0x1.e19ff431086c1p-8, 0x1.d3ebc00052ab7p-8, 0x1.c6954351e72adp-8, 0x1.b99a5cd0a6e86p-8, 0x1.acf8f44cd0deap-8, 0x1.a0aefaac1d03bp-8, 0x1.94ba69d934076p-8, 0x1.891944b28eca1p-8, 0x1.7dc996f8c29d8p-8, 0x1.72c9753c4230dp-8, 0x1.6816fcca9b523p-8, 0x1.5db0539b36961p-8, 0x1.5393a83ba3078p-8, 0x1.49bf31bb6f482p-8, 0x1.40312f979b63bp-8, 0x1.36e7e9a5a8673p-8, 0x1.2de1affe49649p-8, 0x1.251cdae7bfbd6p-8, 0x1.1c97cabfe6149p-8, 0x1.1450e7e5ef88ep-8, 0x1.0c46a2a3e3192p-8, 0x1.04777317d5bb8p-8, 0x1.f9c3b239d2b15p-9, 0x1.eb08b8683117fp-9, 0x1.dcbb16d99f74p-9, 0x1.ced7fa9ab47aep-9, 0x1.c15c9f7654498p-9, 0x1.b4464fc5f8f1p-9, 0x1.a7926441bec6ap-9, 0x1.9b3e43d03fba1p-9, 0x1.8f4763563f62p-9, 0x1.83ab458638125p-9, 0x1.78677aafccec9p-9, 0x1.6d79a08f229b9p-9, 0x1.62df621c35ce6p-9, 0x1.5896775a23107p-9, 0x1.4e9ca5267682fp-9, 0x1.44efbd0880178p-9, 0x1.3b8d9d00bc0eep-9, 0x1.32742f5848fa5p-9, 0x1.29a16a7080a46p-9, 0x1.21135092a9be4p-9, 0x1.18c7efbfd7271p-9, 0x1.10bd6180ed7aap-9, 0x1.08f1cab6db4a7p-9, 0x1.01635b6b0641ep-9, 0x1.f4209d3fe7ed2p-10, 0x1.e5edd4445ba8bp-10, 0x1.d82afcb2d6d0ap-10, 0x1.cad4cc340733cp-10, 0x1.bde80ced4ac57p-10, 0x1.b1619d24c7af6p-10, 0x1.a53e6ee61ea2fp-10, 0x1.997b87a7d810cp-10, 0x1.8e15fff171414p-10, 0x1.830b03022c34bp-10, 0x1.7857ce789eea9p-10, 0x1.6df9b1fafd8f5p-10, 0x1.63ee0ee034f46p-10, 0x1.5a3257d9cd719p-10, 0x1.50c4109ea5f27p-10, 0x1.47a0cd967f4e7p-10, 0x1.3ec63386644e3p-10, 0x1.3631f73df09e3p-10, 0x1.2de1dd457b306p-10, 0x1.25d3b98d264c7p-10, 0x1.1e056f1ccfadfp-10, 0x1.1674efc4f7355p-10, 0x1.0f203bd08b472p-10, 0x1.080561b7abbe9p-10, 0x1.01227dd356d5ap-10, 0x1.f4eb742422422p-11, 0x1.e7fa9b5b01085p-11, 0x1.db6ef9c1fc8e6p-11, 0x1.cf45314244e85p-11, 0x1.c379fca892138p-11, 0x1.b80a2f1822095p-11, 0x1.acf2b37faf38ep-11, 0x1.a2308c105f684p-11, 0x1.97c0d1b6aa4f9p-11, 0x1.8da0b3953a68ep-11, 0x1.83cd7681c7472p-11, 0x1.7a447483ea951p-11, 0x1.71031c55ed418p-11, 0x1.6806f0e78df97p-11, 0x1.5f4d88e2c0435p-11, 0x1.56d48e3261137p-11, 0x1.4e99bd8ae1fb2p-11, 0x1.469ae5f4e71d8p-11, 0x1.3ed5e859d8d0fp-11, 0x1.3748b71262d91p-11, 0x1.2ff15576e33f6p-11, 0x1.28cdd771c39dp-11, 0x1.21dc6113bb428p-11, 0x1.1b1b2629f6dc2p-11, 0x1.148869d62232dp-11, 0x1.0e227e2853cfp-11, 0x1.07e7c3bad17d7p-11, 0x1.01d6a94fb0a0bp-11, 0x1.f7db56e094e0ep-12, 0x1.ec56a81d0187cp-12, 0x1.e11c744fa41ccp-12, 0x1.d62a02d46c0cbp-12, 0x1.cb7cb3b57f2b6p-12, 0x1.c111fefbff98ap-12, 0x1.b6e774044eb65p-12, 0x1.acfab8d5ba44p-12, 0x1.a349897d9a62p-12, 0x1.99d1b76dc576cp-12, 0x1.909128de5e767p-12, 0x1.8785d832eeb17p-12, 0x1.7eadd362bfe66p-12, 0x1.76073b6471a39p-12, 0x1.6d90439cb7f4fp-12, 0x1.65473150476b5p-12, 0x1.5d2a5b18d21e2p-12, 0x1.5538285d1d4fp-12, 0x1.4d6f10cc17d11p-12, 0x1.45cd9bdaeef42p-12, 0x1.3e5260461555dp-12, 0x1.36fc03953058ap-12, 0x1.2fc939a1e2565p-12, 0x1.28b8c42167a7p-12, 0x1.21c97230fc1fcp-12, 0x1.1afa1fe4fce11p-12, 0x1.1449b5dabf3f9p-12, 0x1.0db728cd0d778p-12, 0x1.0741792b43504p-12, 0x1.00e7b2b2fda01p-12, 0x1.f551d818a92ap-13, 0x1.e9088cd12032ep-13, 0x1.dcf1da46a9f35p-13, 0x1.d10c2acc7442ep-13, 0x1.c555fb9d78116p-13, 0x1.b9cddc2d0c684p-13, 0x1.ae726d7c11c32p-13, 0x1.a3426172971f4p-13, 0x1.983c7a3df2749p-13, 0x1.8d5f89b32c2a4p-13, 0x1.82aa70b5b39fdp-13, 0x1.781c1ea240dcdp-13, 0x1.6db390bdd24bbp-13, 0x1.636fd1a8b394ap-13, 0x1.594ff8d579c77p-13, 0x1.4f532a03e1eb4p-13, 0x1.457894bf7b6d9p-13, 0x1.3bbf73e20e3c8p-13, 0x1.32270d19a99fbp-13, 0x1.28aeb0724b9aep-13, 0x1.1f55b7e303204p-13, 0x1.161b86de8b457p-13, 0x1.0cff89e73ff4dp-13, 0x1.040136265f7eep-13, 0x1.f640120d11aa3p-14, 0x1.e4b70fa2b89f1p-14, 0x1.d3667ea07c2ccp-14, 0x1.c24d86e02c503p-14, 0x1.b16b5dd00d8f6p-14, 0x1.a0bf45c614be7p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.d00a6fff7e36cp-3, -0x1.e6cf0314f6329p-3, -0x1.fd701f0dac32dp-3, -0x1.09f4cad50af8ap-2, -0x1.151b9c94dacb6p-2, -0x1.202a70c5b66f4p-2, -0x1.2b1f38a4dcb45p-2, -0x1.35f7ecccf2456p-2, -0x1.40b28f1ac94b2p-2, -0x1.4b4d2c5b1f09bp-2, -0x1.55c5ddc51be0ep-2, -0x1.601aca4545112p-2, -0x1.6a4a279c85f94p-2, -0x1.74523b56bd556p-2, -0x1.7e315b9c1f512p-2, -0x1.87e5efe083323p-2, -0x1.916e71739031p-2, -0x1.9ac96bf47ff32p-2, -0x1.a3f57dac018fbp-2, -0x1.acf157ce9dcffp-2, -0x1.b5bbbea9c8947p-2, -0x1.be5389bda180fp-2, -0x1.c6b7a3c544332p-2, -0x1.cee70aaf57e88p-2, -0x1.d6e0cf8871debp-2, -0x1.dea41658ba8d6p-2, -0x1.e63015f6270e6p-2, -0x1.ed8417cc77ec2p-2, -0x1.f49f779c1ebc5p-2, -0x1.fb81a33107d91p-2, -0x1.01150d091b14ap-1, -0x1.044c369587886p-1, -0x1.07661f37892a7p-1, -0x1.0a62a03c5ff5p-1, -0x1.0d419b1226503p-1, -0x1.1002f9135c13cp-1, -0x1.12a6ab50ef299p-1, -0x1.152caa5afc18ap-1, -0x1.1794f608819f2p-1, -0x1.19df953e41a19p-1, -0x1.1c0c95b4fafa3p-1, -0x1.1e1c0bbf2e131p-1, -0x1.200e120e9336bp-1, -0x1.21e2c97968db8p-1, -0x1.239a58bfbdc17p-1, -0x1.2534ec50d6c4fp-1, -0x1.26b2b610cb72ep-1, -0x1.2813ed1e769dfp-1, -0x1.2958cd99d2b3cp-1, -0x1.2a81986ad6b76p-1, -0x1.2b8e9308e8531p-1, -0x1.2c800742f81edp-1, -0x1.2d56430853c2cp-1, -0x1.2e11983241c01p-1, -0x1.2eb25c4e71363p-1, -0x1.2f38e86a4ad64p-1, -0x1.2fa598df2f1cbp-1, -0x1.2ff8cd1fa7f94p-1, -0x1.3032e78599fe5p-1, -0x1.30544d217b069p-1, -0x1.305d658a94796p-1, -0x1.304e9ab05595p-1, -0x1.302858acbe889p-1, -0x1.2feb0d97e37e1p-1, -0x1.2f97295c8ca2cp-1, -0x1.2f2d1d8df6093p-1, -0x1.2ead5d3eb1284p-1, -0x1.2e185cd8a7f69p-1, -0x1.2d6e91f6439d1p-1, -0x1.2cb0733cb48dap-1, -0x1.2bde78375fbb1p-1, -0x1.2af919346be3ap-1, -0x1.2a00cf226e7d5p-1, -0x1.28f6136f3aaf2p-1, -0x1.27d95fe7c9538p-1, -0x1.26ab2e993df92p-1, -0x1.256bf9b302b99p-1, -0x1.241c3b69f923ap-1, -0x1.22bc6ddcbd5ddp-1, -0x1.214d0af8f6e27p-1, -0x1.1fce8c61b4da2p-1, -0x1.1e416b56d0cf4p-1, -0x1.1ca6209d546bfp-1, -0x1.1afd2468def7fp-1, -0x1.1946ee46046c8p-1, -0x1.1783f505a3b4ap-1, -0x1.15b4aea92e60bp-1, -0x1.13d9904fdd301p-1, -0x1.11f30e24cdeb5p-1, -0x1.10019b4e0510dp-1, -0x1.0e05a9dc4dd28p-1, -0x1.0bffaabbf552dp-1, -0x1.09f00da65abe7p-1, -0x1.07d741144f354p-1, -0x1.05b5b23143167p-1, -0x1.038bcccf381d2p-1, -0x1.0159fb5b7651ap-1, -0x1.fe414da7fae0dp-2, -0x1.f9c06d7b5bdd5p-2, -0x1.f532223649febp-2, -0x1.f09734c88f45cp-2, -0x1.ebf06afcea8f8p-2, -0x1.e73e876ac0732p-2, -0x1.e282496909394p-2, -0x1.ddbc6d027786ap-2, -0x1.d8edaaeac6233p-2, -0x1.d416b8752ff0ap-2, -0x1.cf38478bf96fdp-2, -0x1.ca5306a912df9p-2, -0x1.c567a0cfbac2p-2, -0x1.c076bd8725311p-2, -0x1.bb8100d615873p-2, -0x1.b6870b3f65f7dp-2, -0x1.b18979bf752bep-2, -0x1.ac88e5ca6e73fp-2, -0x1.a785e54b689a5p-2, -0x1.a2810aa44e936p-2, -0x1.9d7ae4ae8e88dp-2, -0x1.9873febc819bep-2, -0x1.936ce09b8db1dp-2, -0x1.8e660e96edefap-2, -0x1.8960097b287e2p-2, -0x1.845b4e9a1ab82p-2, -0x1.7f5857cfa33c2p-2, -0x1.7a579b86da0dp-2, -0x1.75598cbfd1798p-2, -0x1.705e9b15daf55p-2, -0x1.6b6732c649babp-2, -0x1.6673bcb7aa68fp-2, -0x1.61849e8169e86p-2, -0x1.5c9a3a73e87fp-2, -0x1.57b4efa0f04b2p-2, -0x1.52d519e487a8cp-2, -0x1.4dfb11ee2144ep-2, -0x1.49272d4a1bcbbp-2, -0x1.4459be6b8fdf6p-2, -0x1.3f9314b66a259p-2, -0x1.3ad37c89c438ap-2, -0x1.361b3f4a81c4dp-2, -0x1.316aa36e250f5p-2, -0x1.2cc1ec85d925ep-2, -0x1.28215b49ae30fp-2, -0x1.23892da403135p-2, -0x1.1ef99ebd170efp-2, -0x1.1a72e706be992p-2, -0x1.15f53c483d911p-2, -0x1.1180d1aa39a67p-2, -0x1.0d15d7c2c723ap-2, -0x1.08b47ca18e58fp-2, -0x1.045cebdbff8b8p-2, -0x1.000f4e9998ecp-2, -0x1.f797974069d13p-3, -0x1.ef250ec0ce05fp-3, -0x1.e6c74803aea76p-3, -0x1.de7e82df4cd2dp-3, -0x1.d64afac99ecb2p-3, -0x1.ce2ce6f1118e3p-3, -0x1.c6247a5539b49p-3, -0x1.be31e3df828e5p-3, -0x1.b6554e7bbcb46p-3, -0x1.ae8ee1309da5dp-3, -0x1.a6debf381d16fp-3, -0x1.9f450817bd249p-3, -0x1.97c1d7b8a144ap-3, -0x1.9055467f83cap-3, -0x1.88ff69648839dp-3, -0x1.81c0520acf2c1p-3, -0x1.7a980ed7e8bffp-3, -0x1.7386ab0b097d8p-3, -0x1.6c8c2ed407cccp-3, -0x1.65a89f6a282bp-3, -0x1.5edbff22a3018p-3, -0x1.58264d86f14fap-3, -0x1.5187876ad91ecp-3, -0x1.4affa70234791p-3, -0x1.448ea3f67201ap-3, -0x1.3e34737bd7faap-3, -0x1.37f1086672d91p-3, -0x1.31c4533ec1e19p-3, -0x1.2bae4256181ep-3, -0x1.25aec1daae2a8p-3, -0x1.1fc5bbeb65b83p-3, -0x1.19f318ab45d11p-3, -0x1.1436be549ba1p-3, -0x1.0e90914bd5c16p-3, -0x1.0900743204eb5p-3, -0x1.038647f714892p-3, -0x1.fc43d7d74dd7bp-4, -0x1.f1a67ba54d792p-4, -0x1.e73433e4ff2cap-4, -0x1.dcecb64c045ep-4, -0x1.d2cfb5d9fd3a1p-4, -0x1.c8dce2f8f4acfp-4, -0x1.bf13eb9d486f6p-4, -0x1.b5747b64c33fdp-4, -0x1.abfe3bb5332afp-4, -0x1.a2b0d3da3acb1p-4, -0x1.998be9228eef3p-4, -0x1.908f1efc82662p-4, -0x1.87ba1711f0d1dp-4, -0x1.7f0c7163811f8p-4, -0x1.7685cc6344eacp-4, -0x1.6e25c50eb418fp-4, -0x1.65ebf7080532cp-4, -0x1.5dd7fcaee4f2cp-4, -0x1.55e96f388cdc2p-4, -0x1.4e1fe6c73baa9p-4, -0x1.467afa810fc6ap-4, -0x1.3efa40a644cf7p-4, -0x1.379d4ea6d89cep-4, -0x1.3063b93794befp-4, -0x1.294d146682fb1p-4, -0x1.2258f3aec9f77p-4, -0x1.1b86ea0bf83ccp-4, -0x1.14d68a0cbabd4p-4, -0x1.0e4765e50537p-4, -0x1.07d90f7fab35ap-4, -0x1.018b188f6cb17p-4, -0x1.f6ba253ef0d03p-5, -0x1.ea9d1e46cc172p-5, -0x1.debe3f0d535f1p-5, -0x1.d31caa77057dp-5, -0x1.c7b78392d28f5p-5, -0x1.bc8dedb5f5663p-5, -0x1.b19f0c96d1013p-5, -0x1.a6ea0466d659ap-5, -0x1.9c6df9eb76593p-5, -0x1.922a129626522p-5, -0x1.881d749b77acdp-5, -0x1.7e474709497a5p-5, -0x1.74a6b1dc19e7p-5, -0x1.6b3ade13767f5p-5, -0x1.6202f5c597f08p-5, -0x1.58fe24322459dp-5, -0x1.502b95d423145p-5, -0x1.478a787324c3fp-5, -0x1.3f19fb33a4434p-5, -0x1.36d94ea6a010ap-5, -0x1.2ec7a4d879f55p-5, -0x1.26e4315f17f98p-5, -0x1.1f2e29675133cp-5, -0x1.17a4c3c1a618ep-5, -0x1.104738ee4bb14p-5, -0x1.0914c3288f532p-5, -0x1.020c9e718f5e5p-5, -0x1.f65c1134ad635p-6, -0x1.e8f0829ab3982p-6, -0x1.dbd5142eb0d38p-6, -0x1.cf084cdf5a3adp-6, -0x1.c288b7800e0e5p-6, -0x1.b654e2d73559dp-6, -0x1.aa6b61ab8ac4cp-6, -0x1.9ecacad058cafp-6, -0x1.9371b930b5b57p-6, -0x1.885ecbd9bd52p-6, -0x1.7d90a603dc1ep-6, -0x1.7305ef1b26f72p-6, -0x1.68bd52c6cece3p-6, -0x1.5eb580efb3df3p-6, -0x1.54ed2dc61ec52p-6, -0x1.4b6311c6ab5fcp-6, -0x1.4215e9be62ba6p-6, -0x1.390476ce16f38p-6, -0x1.302d7e6cfad1p-6, -0x1.278fca6a852efp-6, -0x1.1f2a28efa5368p-6, -0x1.16fb6c7f43244p-6, -0x1.0f026bf627a79p-6, -0x1.073e028a38f64p-6, -0x1.ff5a1f9250a7p-7, -0x1.f09cef2d05551p-7, -0x1.e242445276ebap-7, -0x1.d447f81155d33p-7, -0x1.c6abec121547ap-7, -0x1.b96c0a8ee5fc6p-7, -0x1.ac86464ac5b7bp-7, -0x1.9ff89a87a3e6dp-7, -0x1.93c10afba66b9p-7, -0x1.87dda3c5a529p-7, -0x1.7c4c7960d2754p-7, -0x1.710ba897a85c5p-7, -0x1.66195676167c7p-7, -0x1.5b73b03b1241ap-7, -0x1.5118eb496bf37p-7, -0x1.4707451818fddp-7, -0x1.3d3d0321da8ccp-7, -0x1.33b872d4606d2p-7, -0x1.2a77e97ee248ep-7, -0x1.2179c4403b5a2p-7, -0x1.18bc67f490519p-7, -0x1.103e412285129p-7, -0x1.07fdc3e80afd5p-7, -0x1.fff2d7cd996b7p-8, -0x1.f05f78607fadep-8, -0x1.e13e7e62c34ccp-8, -0x1.d28d0d3c4b9c2p-8, -0x1.c44856b938a91p-8, -0x1.b66d9adfabb62p-8, -0x1.a8fa27c5161f4p-8, -0x1.9beb596319e6fp-8, -0x1.8f3e996c0656bp-8, -0x1.82f15f1efc85fp-8, -0x1.77012f1bc3a86p-8, -0x1.6b6b9b3658f6p-8, -0x1.602e424a430f3p-8, -0x1.5546d00db26e2p-8, -0x1.4ab2fce4782fbp-8, -0x1.40708db2dacd9p-8, -0x1.367d53b0513acp-8, -0x1.2cd72c3a2d1d3p-8, -0x1.237c00a63a0c8p-8, -0x1.1a69c6155b68dp-8, -0x1.119e7d462d023p-8, -0x1.09183267afda4p-8, -0x1.00d4fcec08e9dp-8, -0x1.f1a5feb6ac45ep-9, -0x1.e220ce4d45f28p-9, -0x1.d316d8f60153dp-9, -0x1.c484a42989963p-9, -0x1.b666ca25f6bcdp-9, -0x1.a8b9f9960cf84p-9, -0x1.9b7af538f7d7p-9, -0x1.8ea6938a757cdp-9, -0x1.8239be6b8a15bp-9, -0x1.763172cbc0061p-9, -0x1.6a8ac052f206ap-9, -0x1.5f42c90bbac2dp-9, -0x1.5456c10e7e25cp-9, -0x1.49c3ee2d200b9p-9, -0x1.3f87a79f63d5p-9, -0x1.359f55b009213p-9, -0x1.2c08716a9b8cep-9, -0x1.22c0844a0899bp-9, -0x1.19c527e7f34c6p-9, -0x1.111405acdc968p-9, -0x1.08aad6810d67cp-9, -0x1.0087627e5e8dp-9, -0x1.f14f01459c118p-10, -0x1.e2122d07e8f4p-10, -0x1.d3543006a9dfp-10, -0x1.c5110e071992p-10, -0x1.b744e63ccf2e1p-10, -0x1.a9ebf2b7acd29p-10, -0x1.9d0287d3a5fa8p-10, -0x1.908513aa5137dp-10, -0x1.84701d86550fdp-10, -0x1.78c04558ac983p-10, -0x1.6d72432fcf16fp-10, -0x1.6282e6b0af627p-10, -0x1.57ef1691a506ap-10, -0x1.4db3d01731aa5p-10, -0x1.43ce2692af19ep-10, -0x1.3a3b42e2de132p-10, -0x1.30f862f666b7ep-10, -0x1.2802d9502d5fbp-10, -0x1.1f580c8d9a306p-10, -0x1.16f576eec5f8fp-10, -0x1.0ed8a5e086af8p-10, -0x1.06ff39885ef19p-10, -0x1.fecdc8a4b58bfp-11, -0x1.f01ad5018431ap-11, -0x1.e1e1437b612eep-11, -0x1.d41ce15d14821p-11, -0x1.c6c99d1297c4ap-11, -0x1.b9e3855767c36p-11, -0x1.ad66c86884b22p-11, -0x1.a14fb33a18dd6p-11, -0x1.959ab0b0c2b51p-11, -0x1.8a4448de78bap-11, -0x1.7f49204302cd5p-11, -0x1.74a5f710025aap-11, -0x1.6a57a8707fad6p-11, -0x1.605b29d3f7f13p-11, -0x1.56ad8a3ce1f45p-11, -0x1.4d4bf192a397cp-11, -0x1.44339ff6ece4fp-11, -0x1.3b61ed1e73d3bp-11, -0x1.32d447ad050c5p-11, -0x1.2a883494e2a93p-11, -0x1.227b4e7967f77p-11, -0x1.1aab4514e6b9cp-11, -0x1.1315dca1b8f9dp-11, -0x1.0bb8ed4678179p-11, -0x1.0492628555f09p-11, -0x1.fb40755d120f4p-12, -0x1.edc10cab88f25p-12, -0x1.e0a2cf95641a9p-12, -0x1.d3e22528c563p-12, -0x1.c77b95df59984p-12, -0x1.bb6bcaa0db33cp-12, -0x1.afaf8bcb48423p-12, -0x1.a443c040b2aeap-12, -0x1.99256c7a9e577p-12, -0x1.8e51b1a2cd664p-12, -0x1.83c5ccb17101bp-12, -0x1.797f1590a2e1bp-12, -0x1.6f7afe45154d5p-12, -0x1.65b7121be3e63p-12, -0x1.5c30f4dd72c92p-12, -0x1.52e6620541e55p-12, -0x1.49d52bfea9483p-12, -0x1.40fb3b665f4a8p-12, -0x1.38568e50b94e8p-12, -0x1.2fe5379495f27p-12, -0x1.27a55e1ad2fep-12, -0x1.1f953c324608dp-12, -0x1.17b31ee816866p-12, -0x1.0ffd656473cfep-12, -0x1.0872804b888c4p-12, -0x1.0110f12297a54p-12, -0x1.f3ae937270dcep-13, -0x1.e588572d25d3ap-13, -0x1.d7ac8ed521d2ap-13, -0x1.ca18b905d941p-13, -0x1.bcca70881547cp-13, -0x1.afbf6b4b1aa29p-13, -0x1.a2f5796519d5ap-13, -0x1.966a841ac8597p-13, -0x1.8a1c8cedf69c1p-13, -0x1.7e09acb306e9dp-13, -0x1.723012ad1d9d5p-13, -0x1.668e03b0e2f3cp-13, -0x1.5b21d94db6197p-13, -0x1.4fea00fd3668bp-13, -0x1.44e4fb58ef834p-13, -0x1.3a115b56155d4p-13, -0x1.2f6dc58727affp-13, -0x1.24f8ef635b818p-13, -0x1.1ab19e93ac21fp-13, -0x1.1096a845707bep-13, -0x1.06a6f0825c685p-13, -0x1.f9c2d31b7ac0cp-14, -0x1.e68a268dd6b46p-14, -0x1.d3a1f52173229p-14, -0x1.c108717ba8a2dp-14, -0x1.aebbe603dde16p-14, -0x1.9cbab3cf367b8p-14, -0x1.8b03519573fb2p-14, -0x1.79944aaeba951p-14, -0x1.686c3e1a0ec92p-14, -0x1.5789dd8c4fbap-14, -0x1.46ebec8779a2bp-14, -0x1.36913f79fa5dcp-14, -0x1.2678bae5e3ef5p-14, -0x1.16a1528fca168p-14, -0x1.070a08b517eb2p-14, -0x1.ef63da9356e6fp-15, -0x1.d1303a790f452p-15, -0x1.b3778386d66cp-15, -0x1.96381f5a3d61p-15, -0x1.79708d7495931p-15, -0x1.5d1f61f95320ap-15, -0x1.41434478cd52ep-15, -0x1.25daeec703999p-15, -0x1.0ae52bde14e0ep-15, -0x1.e0c1ad98213fap-16, -0x1.ac99b357a90d4p-16, -0x1.79505951415e2p-16, -0x1.46e3aa1831a21p-16, -0x1.1551c8acc162p-16, -0x1.c931dd802a961p-17, -0x1.696ed6162813bp-17, -0x1.0b573f6f9e31cp-17, -0x1.5dd003735004ep-18, -0x1.5078984ef7961p-19, 0x1.424b0d4aac3c3p-23, 0x1.7242c92b73306p-19, 0x1.64f620a4f5c23p-18, 0x1.06cad3d2713f7p-17, 0x1.598275fabf6f9p-17, 0x1.aaa45dd086f04p-17, 0x1.fa32e23dd33cfp-17, 0x1.2418260340f49p-16, 0x1.4a4f6bd19609ap-16, 0x1.6fc05b817654cp-16, 0x1.946c099a75fbcp-16, 0x1.b85386fd35327p-16, 0x1.db77e1a119edep-16, 0x1.fdda254713abdp-16, 0x1.0fbdae10f0192p-15, 0x1.202e47ba0bf37p-15, 0x1.303f64123a272p-15, 0x1.3ff187a450b4dp-15, 0x1.4f45375379a5ap-15, 0x1.5e3af897adb2dp-15, 0x1.6cd351b5f557fp-15, 0x1.7b0ec9f49ad2cp-15, 0x1.88ede9cb78a96p-15, 0x1.96713b1083b31p-15, 0x1.a3994920be082p-15, 0x1.b066a105b3478p-15, 0x1.bcd9d197a3a8fp-15, 0x1.c8f36b9c812afp-15, 0x1.d4b401e3dd211p-15, 0x1.e01c295fed0acp-15, 0x1.eb2c793bc1b87p-15, 0x1.f5e58aeed073ep-15, 0x1.0023fd26f7a87p-14, 0x1.052a32ccefd64p-14, 0x1.0a05b6c5c036dp-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.7a2ca95b2035ap-1, 0x1.7a24f79f88945p-1, 0x1.7a18ae5c98b6p-1, 0x1.7a0729e7598d9p-1, 0x1.79efc761437cep-1, 0x1.79d1e5dba9f47p-1, 0x1.79ace75a61ccep-1, 0x1.798031b745ed5p-1, 0x1.794b2f687145ep-1, 0x1.790d502b2266cp-1, 0x1.78c6099548a12p-1, 0x1.7874d78fb78ddp-1, 0x1.78193cbaf73ap-1, 0x1.77b2c2c09026cp-1, 0x1.7740fa92a3f9p-1, 0x1.76c37c9b84f15p-1, 0x1.7639e8dee2fd9p-1, 0x1.75a3e70e124bep-1, 0x1.75012690c57f8p-1, 0x1.74515e8389c8dp-1, 0x1.73944dad2c339p-1, 0x1.72c9ba6c1faa7p-1, 0x1.71f1729cdbf5dp-1, 0x1.710b4b7a1e5d3p-1, 0x1.70172177d9f72p-1, 0x1.6f14d819956ffp-1, 0x1.6e0459c4e38dcp-1, 0x1.6ce597908df65p-1, 0x1.6bb88910ff63cp-1, 0x1.6a7d2c226b10cp-1, 0x1.693384b123b5dp-1, 0x1.67db9c8084631p-1, 0x1.667582f0c91d3p-1, 0x1.65014cc428d2cp-1, 0x1.637f13e377074p-1, 0x1.61eef72291d24p-1, 0x1.60511a04d361cp-1, 0x1.5ea5a481bc01cp-1, 0x1.5cecc2ca00a17p-1, 0x1.5b26a50d2ab42p-1, 0x1.59537f3fe5cbp-1, 0x1.577388e3212b4p-1, 0x1.5586fccc1d90fp-1, 0x1.538e18ed7d54cp-1, 0x1.51891e2170058p-1, 0x1.4f784ff505c73p-1, 0x1.4d5bf474be78ap-1, 0x1.4b3453fa5da6p-1, 0x1.4901b8fc0f5e1p-1, 0x1.46c46fdce59ecp-1, 0x1.447cc6beb560cp-1, 0x1.422b0d555932ep-1, 0x1.3fcf94bb5a7eep-1, 0x1.3d6aaf4806f69p-1, 0x1.3afcb066f09f1p-1, 0x1.3885ec70d994ap-1, 0x1.3606b8860addp-1, 0x1.337f6a6a13ddbp-1, 0x1.30f05860f00b1p-1, 0x1.2e59d90d8f4aap-1, 0x1.2bbc4351bed7p-1, 0x1.2917ee2f6a10bp-1, 0x1.266d30ab3303fp-1, 0x1.23bc61b05ab98p-1, 0x1.2105d7f5f399ap-1, 0x1.1e49e9e558631p-1, 0x1.1b88ed81e0026p-1, 0x1.18c33851cbdffp-1, 0x1.15f91f4861af2p-1, 0x1.132af6b134445p-1, 0x1.1059121c89a13p-1, 0x1.0d83c44ce06b3p-1, 0x1.0aab5f25852dbp-1, 0x1.07d0339a38128p-1, 0x1.04f2919fd3728p-1, 0x1.0212c81df33f1p-1, 0x1.fe6249c31e616p-2, 0x1.f89be9210f77fp-2, 0x1.f2d3053c2a2a9p-2, 0x1.ed083280355e8p-2, 0x1.e73c02caa00e7p-2, 0x1.e16f0558798adp-2, 0x1.dba1c6b5fad3ap-2, 0x1.d5d4d0af97d06p-2, 0x1.d008aa448a52dp-2, 0x1.ca3dd79ac38ap-2, 0x1.c474d9f43e2f5p-2, 0x1.beae2fa59e82bp-2, 0x1.b8ea540e1669dp-2, 0x1.b329bf907c8b7p-2, 0x1.ad6ce78d90ae3p-2, 0x1.a7b43e5f5bc4bp-2, 0x1.a20033559e034p-2, 0x1.9c5132b3469a8p-2, 0x1.96a7a5ace30dbp-2, 0x1.9103f267fdca3p-2, 0x1.8b667bfb5fafbp-2, 0x1.85cfa27029f9dp-2, 0x1.803fc2c3c183cp-2, 0x1.7ab736ea7b8e8p-2, 0x1.753655d305724p-2, 0x1.6fbd736a7f5p-2, 0x1.6a4ce0a13acf3p-2, 0x1.64e4eb701d765p-2, 0x1.5f85dede92d57p-2, 0x1.5a30030910b39p-2, 0x1.54e39d281cfadp-2, 0x1.4fa0ef97d39ffp-2, 0x1.4a6839dfdd914p-2, 0x1.4539b8bbd8addp-2, 0x1.4015a62425548p-2, 0x1.3afc3957112ffp-2, 0x1.35eda6e25c9c7p-2, 0x1.30ea20ad1019p-2, 0x1.2bf1d6019f207p-2, 0x1.2704f3984f2d8p-2, 0x1.2223a3a1dcc2bp-2, 0x1.1d4e0dd25d232p-2, 0x1.1884576c50dd1p-2, 0x1.13c6a34be877dp-2, 0x1.0f1511f26fd5p-2, 0x1.0a6fc191e0469p-2, 0x1.05d6ce18932fep-2, 0x1.014a513d0db88p-2, 0x1.f994c513cf879p-3, 0x1.f0ae2ed381f63p-3, 0x1.e7e1066695e93p-3, 0x1.df2d6e6ab141bp-3, 0x1.d6938585f4f38p-3, 0x1.ce13667f3643dp-3, 0x1.c5ad285640d41p-3, 0x1.bd60de5c0c5bfp-3, 0x1.b52e984aed1c8p-3, 0x1.ad16625eb55f2p-3, 0x1.a518456cb90c8p-3, 0x1.9d3446fbbfabep-3, 0x1.956a695bcfae6p-3, 0x1.8dbaabbdd92edp-3, 0x1.86250a4b32f3fp-3, 0x1.7ea97e3cf1a02p-3, 0x1.7747fdf30310cp-3, 0x1.70007d0b22285p-3, 0x1.68d2ec7783596p-3, 0x1.61bf3a955292bp-3, 0x1.5ac55342e747ep-3, 0x1.53e51ff5c2d31p-3, 0x1.4d1e87d03eca1p-3, 0x1.46716fb6fa3dp-3, 0x1.3fddba6600963p-3, 0x1.396348859dcb5p-3, 0x1.3301f8beec2fep-3, 0x1.2cb9a7d0107a4p-3, 0x1.268a30a023197p-3, 0x1.20736c52cb429p-3, 0x1.1a75325b874e6p-3, 0x1.148f589098bb9p-3, 0x1.0ec1b33da64e1p-3, 0x1.090c1535fba99p-3, 0x1.036e4fe67b84dp-3, 0x1.fbd066ce65ba2p-4, 0x1.f0f31d192daebp-4, 0x1.e6445df0d557p-4, 0x1.dbc3c2548ee24p-4, 0x1.d170e11f9ef67p-4, 0x1.c74b4f2908ed4p-4, 0x1.bd529f628eaa2p-4, 0x1.b38662f6eeec2p-4, 0x1.a9e629678389bp-4, 0x1.a07180a91e282p-4, 0x1.9727f54034daep-4, 0x1.8e09125c630ecp-4, 0x1.851461f3348eap-4, 0x1.7c496cda428b4p-4, 0x1.73a7bae0a08a3p-4, 0x1.6b2ed2e79d473p-4, 0x1.62de3afad701ap-4, 0x1.5ab57867a49dfp-4, 0x1.52b40fd3d55cfp-4, 0x1.4ad98553cadbdp-4, 0x1.43255c7fe9d71p-4, 0x1.3b9718896a7ccp-4, 0x1.342e3c4e83e81p-4, 0x1.2cea4a6df8944p-4, 0x1.25cac55a044e6p-4, 0x1.1ecf2f6aadc17p-4, 0x1.17f70aef7e42p-4, 0x1.1141da40a1f3fp-4, 0x1.0aaf1fcf70d28p-4, 0x1.043e5e36671d2p-4, 0x1.fbde309111debp-5, 0x1.ef81a24076173p-5, 0x1.e366185b18e52p-5, 0x1.d78a9a87ed85p-5, 0x1.cbee314f2f4ffp-5, 0x1.c08fe633c9365p-5, 0x1.b56ec3cbb7cf1p-5, 0x1.aa89d5d76caacp-5, 0x1.9fe0295832906p-5, 0x1.9570cca5a0b71p-5, 0x1.8b3acf82175b5p-5, 0x1.813d432e530e1p-5, 0x1.77773a7c1826dp-5, 0x1.6de7c9dffa37p-5, 0x1.648e078248fe9p-5, 0x1.5b690b4f21794p-5, 0x1.5277ef05ae48p-5, 0x1.49b9ce4698831p-5, 0x1.412dc6a1ade2dp-5, 0x1.38d2f7a2c4575p-5, 0x1.30a882dddc75bp-5, 0x1.28ad8bfa87a93p-5, 0x1.20e138be9c01ep-5, 0x1.1942b11831c1fp-5, 0x1.11d11f26f6fa5p-5, 0x1.0a8baf44daf8ap-5, 0x1.0371900e14b19p-5, 0x1.f903e4d11662ap-6, 0x1.eb78131549472p-6, 0x1.de3e1602f7eaap-6, 0x1.d1545d6d1209dp-6, 0x1.c4b95de9706dcp-6, 0x1.b86b90d9f7466p-6, 0x1.ac697474a8e51p-6, 0x1.a0b18bcabdf4bp-6, 0x1.95425ecec05d1p-6, 0x1.8a1a7a59b6e6p-6, 0x1.7f38702f67ee6p-6, 0x1.749ad701b770ap-6, 0x1.6a404a7331ebbp-6, 0x1.60276b18c2c9p-6, 0x1.564ede7a9bdfbp-6, 0x1.4cb54f145ef91p-6, 0x1.43596c548c26fp-6, 0x1.3a39ea9b3653cp-6, 0x1.315583380c1f8p-6, 0x1.28aaf467b9f6ep-6, 0x1.20390150ab04fp-6, 0x1.17fe71ff2ea1bp-6, 0x1.0ffa13610cca1p-6, 0x1.082ab74088eeep-6, 0x1.008f343edcf3ap-6, 0x1.f24ccb9c76492p-7, 0x1.e3de58568c818p-7, 0x1.d5d0d8ac3bb38p-7, 0x1.c8222015fp-7, 0x1.bad00b7493486p-7, 0x1.add8810126fb4p-7, 0x1.a139703b82549p-7, 0x1.94f0d1d872fd8p-7, 0x1.88fca7af18a3dp-7, 0x1.7d5afca5af9bep-7, 0x1.7209e49dae66ep-7, 0x1.67077c5f5d861p-7, 0x1.5c51e984e3f9p-7, 0x1.51e75a64c868p-7, 0x1.47c605fc0cf92p-7, 0x1.3dec2bd7c64a6p-7, 0x1.345813fe55adp-7, 0x1.2b080ed840282p-7, 0x1.21fa7518a8e09p-7, 0x1.192da7a57bb4bp-7, 0x1.10a00f7f4a941p-7, 0x1.08501da8e604fp-7, 0x1.003c4b0eb7bd8p-7, 0x1.f0c630dbc8c23p-8, 0x1.e1861c76768ebp-8, 0x1.d2b57913f4b4fp-8, 0x1.c45175e4d5627p-8, 0x1.b65750f0b904fp-8, 0x1.a8c456e30fdep-8, 0x1.9b95e2d7ab753p-8, 0x1.8ec95e272ed2cp-8, 0x1.825c4033648dep-8, 0x1.764c0e3382d68p-8, 0x1.6a965b0069963p-8, 0x1.5f38c6e0dee0cp-8, 0x1.5430ff55d4f6cp-8, 0x1.497cbee6c2039p-8, 0x1.3f19ccee0d87ep-8, 0x1.3505fd659eb31p-8, 0x1.2b3f30b3902c2p-8, 0x1.21c353770fc3bp-8, 0x1.18905e5573108p-8, 0x1.0fa455c78337dp-8, 0x1.06fd49e708524p-8, 0x1.fd32ac7930bdbp-9, 0x1.eced431b619ap-9, 0x1.dd26bb563add4p-9, 0x1.cddb8e7f66064p-9, 0x1.bf084b3ec3294p-9, 0x1.b0a9952d452f4p-9, 0x1.a2bc24748bccdp-9, 0x1.953cc56f49421p-9, 0x1.8828584a73548p-9, 0x1.7b7bd0a74b54ep-9, 0x1.6f34353e40018p-9, 0x1.634e9f82b1b6dp-9, 0x1.57c83b47a04p-9, 0x1.4c9e466542474p-9, 0x1.41ce105f8ed76p-9, 0x1.3754fa0dbbc01p-9, 0x1.2d307542b79cep-9, 0x1.235e0476a0109p-9, 0x1.19db3a713b85p-9, 0x1.10a5b9f5715f9p-9, 0x1.07bb356dd21c8p-9, 0x1.fe32dd3442803p-10, 0x1.ed7c6c7be3fddp-10, 0x1.dd4ed7a096b98p-10, 0x1.cda5fa58c8292p-10, 0x1.be7dcc86d06d4p-10, 0x1.afd2619eb1a17p-10, 0x1.a19fe80df5dbp-10, 0x1.93e2a8a5b719ap-10, 0x1.86970606dc6b5p-10, 0x1.79b97c10725ecp-10, 0x1.6d469f503e4acp-10, 0x1.613b1c757946p-10, 0x1.5593b7c5b1bp-10, 0x1.4a4d4c93e42dfp-10, 0x1.3f64ccb9b2364p-10, 0x1.34d74012ccafcp-10, 0x1.2aa1c3fa7f804p-10, 0x1.20c18acb65ec2p-10, 0x1.1733db614586ep-10, 0x1.0df6109d0110ep-10, 0x1.050598eab64a8p-10, 0x1.f8bfeb93df4ccp-11, 0x1.e80576afdf6f4p-11, 0x1.d7d71fb8274c2p-11, 0x1.c83056ac8e4bep-11, 0x1.b90cae1f09882p-11, 0x1.aa67da58c3ee3p-11, 0x1.9c3db08340a15p-11, 0x1.8e8a25d57ff61p-11, 0x1.81494ec5200abp-11, 0x1.74775e3b6d478p-11, 0x1.6810a4ce5b589p-11, 0x1.5c118ffd5b98bp-11, 0x1.5076a97206912p-11, 0x1.453c964490e67p-11, 0x1.3a601643fedd1p-11, 0x1.2fde03420af8fp-11, 0x1.25b35062b96aap-11, 0x1.1bdd096f884ccp-11, 0x1.1258522e34968p-11, 0x1.092265bb07614p-11, 0x1.003895e6a1d16p-11, 0x1.ef30952e718d8p-12, 0x1.de7e025a723f8p-12, 0x1.ce5497d68a09bp-12, 0x1.beafa2c302eb1p-12, 0x1.af8a97b84cb23p-12, 0x1.a0e111aa8e573p-12, 0x1.92aed0d389edbp-12, 0x1.84efb9a2c61ecp-12, 0x1.779fd3b3db655p-12, 0x1.6abb48cad1addp-12, 0x1.5e3e63d6767bcp-12, 0x1.52258ff893434p-12, 0x1.466d5793eb30bp-12, 0x1.3b12635feba86p-12, 0x1.30117981f1506p-12, 0x1.25677cac13af3p-12, 0x1.1b116b41543e4p-12, 0x1.110c5e7f25aep-12, 0x1.075589ac283aap-12, 0x1.fbd472981a37ep-13, 0x1.e98fa4b106abap-13, 0x1.d7d7a2fe399bap-13, 0x1.c6a794c81af09p-13, 0x1.b5facdd36c66fp-13, 0x1.a5ccccf9ba4a3p-13, 0x1.96193acb05df1p-13, 0x1.86dbe8387459ap-13, 0x1.7810cd47df3e6p-13, 0x1.69b407d012d69p-13, 0x1.5bc1da3d90626p-13, 0x1.4e36aa5fad4ebp-13, 0x1.410f003de5172p-13, 0x1.344784f52d334p-13, 0x1.27dd019d27052p-13, 0x1.1bcc5e350742fp-13, 0x1.1012a09806b79p-13, 0x1.04aceb793686ap-13, 0x1.f330facd1ed63p-14, 0x1.dda55fa6289d6p-14, 0x1.c8b1ec4fca343p-14, 0x1.b451b9b823ffap-14, 0x1.a080112636599p-14, 0x1.8d386a83bee01p-14, 0x1.7a766ab3d8dc7p-14, 0x1.6835e1f5fa12ep-14, 0x1.5672ca5512279p-14, 0x1.4529462280c19p-14, 0x1.34559e7ca135ap-14, 0x1.23f441e0a2394p-14, 0x1.1401c2c76cb9bp-14, 0x1.047ad64d51c9bp-14, 0x1.eab8a5c88357ep-15, 0x1.cd465e2097b4dp-15, 0x1.b099005c4e018p-15, 0x1.94aaf28709804p-15, 0x1.7976d3b1e6e2cp-15, 0x1.5ef779ba248aap-15, 0x1.4527ef21b5637p-15, 0x1.2c0370f99467fp-15, 0x1.13856cdd5834ap-15, 0x1.f752fdff4f12cp-16, 0x1.c8d6e08e22b06p-16, 0x1.9b8e68f5cd7ddp-16, 0x1.6f71d0ff54f0fp-16, 0x1.4479a14556427p-16, 0x1.1a9eade8c9022p-16, 0x1.e3b426c518e2fp-17, 0x1.944a66e1dec6cp-17, 0x1.46f364410003bp-17, 0x1.f745cbbd6519cp-18, 0x1.649a58290a9bdp-18, 0x1.ab9bad170fffcp-19, 0x1.2b2a35e543e2fp-20, -0x1.e42344905fd92p-21, -0x1.80664d7ceaacep-19, -0x1.4055070839eb8p-18, -0x1.bcfcab19fdc86p-18, -0x1.1b1e0269098c2p-17, -0x1.56122f3adf8aap-17, -0x1.8f63314a5ed7cp-17, -0x1.c71911cfb8c63p-17, -0x1.fd3b9198f8561p-17, -0x1.18e916458d21ap-16, -0x1.32720e7fe8fefp-16, -0x1.4b3c2f8085e49p-16, -0x1.634ad9b196fc2p-16, -0x1.7aa1515f958cep-16, -0x1.9142c026af326p-16, -0x1.a732365113b2cp-16, -0x1.bc72ac26a1477p-16, -0x1.d107032e60796p-16, -0x1.e4f2076245053p-16, -0x1.f8367055a93b3p-16, -0x1.056b712774badp-15, -0x1.0e6af7aa4ba0fp-15, -0x1.171b0c174e138p-15, -0x1.1f7ce6ade3a02p-15, -0x1.2791b7fe0be87p-15, -0x1.2f5aa958164b4p-15, -0x1.36d8dd371ceb3p-15, -0x1.3e0d6fa66f651p-15, -0x1.44f976a21985dp-15, -0x1.4b9e0272b2ad1p-15, -0x1.51fc1e04a1d17p-15, -0x1.5814cf3afd6b2p-15, -0x1.5de9173e2fa01p-15, -0x1.6379f2c68933fp-15, -0x1.68c85a62e406cp-15, -0x1.6dd542bb8115p-15, -0x1.72a19cd13f85fp-15, -0x1.772e56395353fp-15, -0x1.7b7c59559f97p-15, -0x1.7f8c8d89d08b3p-15, -0x1.835fd76d595abp-15, -0x1.86f718fa73eecp-15, -0x1.8a5331ba427cap-15, -0x1.8d74feee2c629p-15, -0x1.905d5bb69947bp-15, -0x1.930d21371eac3p-15, -0x1.958526b842dbcp-15, -0x1.97c641c6e9709p-15, -0x1.99d14651846a9p-15, -0x1.9ba706c324e28p-15, -0x1.9d48541c80993p-15, -0x1.9eb5fe0b0148fp-15, -0x1.9ff0d2fdfd118p-15, -0x1.a0f9a03a20485p-15, -0x1.a1d131eb2b9ecp-15, -0x1.a27853340ee89p-15, -0x1.a2efce3d7d554p-15, -0x1.a3386c430813fp-15, -0x1.a352f59ed4486p-15, -0x1.a34031d3feb02p-15, -0x1.a300e797bcd2dp-15, -0x1.a295dcd94adedp-15, -0x1.a1ffd6c8bbd0ap-15, -0x1.a13f99dcb42ecp-15, -0x1.a055e9d72385ap-15, -0x1.9f4389c9082d8p-15, -0x1.9e093c154d321p-15, -0x1.9ca7c272ce414p-15, -0x1.9b1fdded900a2p-15, -0x1.99724ee736c54p-15, -0x1.979fd516cac2cp-15, -0x1.95a92f87d2308p-15, -0x1.938f1c98d0accp-15, -0x1.915259f9303f9p-15, -0x1.8ef3a4a6a44c1p-15, -0x1.8c73b8ea0e693p-15, -0x1.89d35253ea2b1p-15, -0x1.87132bb8529a6p-15, -0x1.8433ff2a9f2fep-15, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      21, 0x1.ce147ae147ae1p+1, 0x1.54392530775f2p+0, 0x1.95ea20f7b0609p+0, -0x1.ea26dbc2f829cp-3, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.5f2faec2a5d24p-2, -0x1.8c371dccf9aa2p-1, 0x1.0748d2b46c4f4p-1, 0x1.becf71f507209p-9}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.15365e94c8fa2p-2, -0x1.57818c28082c1p-1, 0x1.07ceddbd029e3p-1, -0x1.1741a7392f5d1p-6}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.ab8a2da91420bp-3, -0x1.2301988686034p-1, 0x1.0530a69212f95p-1, -0x1.ad3630419d6bcp-4}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.415ec97708091p-3, -0x1.e0c16af1d4564p-2, 0x1.ea306fec06f1p-2, -0x1.2d8e8722a4e73p-3}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.d57158e716382p-4, -0x1.833db54ea9e6fp-2, 0x1.bcf4a873a167ep-2, -0x1.6c45498734756p-3}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.4b9db4279fc7p-4, -0x1.2fb6c6a3ce3f6p-2, 0x1.8650aa38f3231p-2, -0x1.871f843702318p-3}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.c1ebee09e238ep-5, -0x1.cf091c8466d33p-3, 0x1.4ba5899719352p-2, -0x1.87f63a85a0bc3p-3}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.21abd6e079f4bp-5, -0x1.5622c3659234cp-3, 0x1.10da34030de5fp-2, -0x1.72e198cc5f4e6p-3}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.5a52bc6036adep-6, -0x1.e83e198d47f8bp-4, 0x1.b270ba2f32679p-3, -0x1.4d8448e2b3f1bp-3}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.6e39fbd041287p-7, -0x1.4e7a39d9ecaf9p-4, 0x1.4e62a45196052p-3, -0x1.1d17d5a18f1e8p-3}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.272b5e50934cep-8, -0x1.b3a8660b165e7p-5, 0x1.f1b6fba8a2f7fp-4, -0x1.cddf90bbeb32dp-4}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.2e336b9caea9fp-12, -0x1.0848c780fce49p-5, 0x1.67271d09dc68bp-4, -0x1.60c19ef617e5cp-4}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, -0x1.197067262bb6ap-9, -0x1.1b93be0d60cefp-6, 0x1.faa6dab344153p-5, -0x1.fa841a9da8373p-5}, 
        {0x1.7333333333333p+1, 0x1.8p+1, -0x1.b3573ad52d5ffp-9, -0x1.bd3abf657c1c7p-8, 0x1.62b26c50c4d14p-5, -0x1.5d7ebd56efabbp-5}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, -0x1.d93a1f9c67fb2p-9, 0x1.334136ef5d6a8p-11, 0x1.f3b26706f9d4fp-6, -0x1.f43034e72c92p-6}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, -0x1.ad92495cd557ep-9, 0x1.7a2449faf5e01p-8, 0x1.5da3f0c19fa9p-6, -0x1.f4e1a9f6d55efp-6}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, -0x1.49fa994e472e9p-9, 0x1.2adfc7e514666p-7, 0x1.8ec07b88bf4bep-7, -0x1.25d2e6b4576cdp-5}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, -0x1.8e5c56d9fac21p-10, 0x1.575d9bf507357p-7, 0x1.714e68b5e6561p-10, -0x1.5a339fdfcf88p-4}, 
        {0x1.b333333333333p+1, 0x1.cp+1, -0x1.1c43976fee87ep-11, 0x1.0d828a200565fp-7, -0x1.885c3fb467716p-6, -0x1.7db1a01303521p-5}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, -0x1.8414783cf2a29p-18, 0x1.0b0cd1e5abedp-9, -0x1.36b036464e518p-5, 0x1.734c5fa44350ep-3}, 
        {0x1.ccccccccccccdp+1, 0x1.ce147ae147ae1p+1, 0x0p+0, -0x1.c85009e90a5c7p-14, 0x1.0dbd45ca6b535p-6, 0x1.96a9e526148a1p+0}, 
      }}, 
      -0x1.787097dca16bcp+8, 0x1.f973873f3cea1p+13
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_zn_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.47a92bec73897p-1, -0x1.3b643c42b8c35p-1, -0x1.2ec579eebc35ep-1, -0x1.21ee01d769a77p-1, -0x1.14fc18d475f45p-1, -0x1.080b14862da44p-1, -0x1.f6666c86da03bp-2, -0x1.dd13eec595014p-2, -0x1.c4431bc6a0adbp-2, -0x1.ac1404bfd5a7ap-2, -0x1.94a075ab38de4p-2, -0x1.7dfd65fcd0d83p-2, -0x1.683c84197dc15p-2, -0x1.536a678965ffp-2, -0x1.3f902b6104bafp-2, -0x1.2cb39ab68489p-2, -0x1.1ad7b036613a1p-2, -0x1.09fcfff61c788p-2, -0x1.f443d8db99866p-3, -0x1.d6858ac6feb13p-3, -0x1.bab4341c1fa04p-3, -0x1.a0c2385292135p-3, -0x1.889fa81c513cp-3, -0x1.723ab419b6e73p-3, -0x1.5d80634b36d4ep-3, -0x1.4a5cfa5e77615p-3, -0x1.38bbdb71284a6p-3, -0x1.2887814951bf8p-3, -0x1.19aa0e0b69202p-3, -0x1.0c0e131f42c46p-3, -0x1.ff3ddfe345faep-4, -0x1.e8913f199eef6p-4, -0x1.d3eea9b5a7cc5p-4, -0x1.c12d951f42d02p-4, -0x1.b028208ecbc1cp-4, -0x1.a0bb500203983p-4, -0x1.92c4f83928a8bp-4, -0x1.86249fcf797b7p-4, -0x1.7abb89b450dc6p-4, -0x1.706cc36856be1p-4, -0x1.671d2a9e5f556p-4, -0x1.5eb36c4b89867p-4, -0x1.5717f94fa4424p-4, -0x1.5034f7021d5ep-4, -0x1.49f63191509a4p-4, -0x1.44490d242e425p-4, -0x1.3f1c6f0f7ac59p-4, -0x1.3a60a434050a2p-4, -0x1.360746117dd07p-4, -0x1.3203306b90757p-4, -0x1.2e48780530ca2p-4, -0x1.2acc5edb8e117p-4, -0x1.27853d686c60cp-4, -0x1.246a6552d05b8p-4, -0x1.21740a5f1b4d5p-4, -0x1.1e9b31b8eb8f4p-4, -0x1.1bd9ac6f5fce4p-4, -0x1.192a12f18ab26p-4, -0x1.1687bce1746d6p-4, -0x1.13eeb2f2ad9cbp-4, -0x1.115b9d7663ff4p-4, -0x1.0ecbb41e97439p-4, -0x1.0c3cadcc325f1p-4, -0x1.09acb36a8eb3dp-4, -0x1.071a52f00462dp-4, -0x1.048471e7f69c8p-4, -0x1.01ea428c55607p-4, -0x1.fe9675e5aabdfp-5, -0x1.f94e2400e483dp-5, -0x1.f3fb7f179f62fp-5, -0x1.ee9ef898fd5fep-5, -0x1.e93984b8c813ap-5, -0x1.e3cc8acc763dcp-5, -0x1.de59ccd136562p-5, -0x1.d8e3444ffdedcp-5, -0x1.d36aff3076454p-5, -0x1.cdf300fd57963p-5, -0x1.c880b1ad648dep-5, -0x1.c30bb057ed534p-5, -0x1.bd9c4ca74682ep-5, -0x1.b834d1822c13ep-5, -0x1.b2d77f8cb57dfp-5, -0x1.ad86870b2dbe4p-5, -0x1.a84402d467c12p-5, -0x1.a311f832bee6p-5, -0x1.9df258df68f5fp-5, -0x1.98e705d5c99e8p-5, -0x1.93f1d2828befap-5, -0x1.8f1486a46cae4p-5, -0x1.8a50df7510213p-5, -0x1.85a88dc57fcbdp-5, -0x1.811d35bb5e797p-5, -0x1.7cb0666e45296p-5, -0x1.786399d69e288p-5, -0x1.74382dd3bbf32p-5, -0x1.702f5fe14b76cp-5, -0x1.6c4a4d1e17d8ap-5, -0x1.6889ec11a500dp-5, -0x1.64ef0f7138f6bp-5, -0x1.617a658b3f5e5p-5, -0x1.5e2c7a1c7223cp-5, -0x1.5b05b823dc022p-5, -0x1.58066cf174c5dp-5, -0x1.552eca0c54d49p-5, -0x1.527ee8548d23p-5, -0x1.4ff6ca3b34ca5p-5, -0x1.4d965ced6d35p-5, -0x1.4b5d7a474369p-5, -0x1.494be9bec0eafp-5, -0x1.47615efb25d1fp-5, -0x1.459d7c9a463b9p-5, -0x1.43ffd1556d44fp-5, -0x1.4287d8ca15b4ap-5, -0x1.4134faff0f058p-5, -0x1.40068c69cad09p-5, -0x1.3efbce854ebd5p-5, -0x1.3e13efc3742b7p-5, -0x1.3d4e0e3b1e234p-5, -0x1.3ca93755e152bp-5, -0x1.3c246a96edadbp-5, -0x1.3bbe9c2b3be1dp-5, -0x1.3b76b3a24903ap-5, -0x1.3b4b90addecf1p-5, -0x1.3b3c0aa34ea52p-5, -0x1.3b46f23d18d96p-5, -0x1.3b6b127986b5fp-5, -0x1.3ba7315945ee2p-5, -0x1.3bfa10bdcddbbp-5, -0x1.3c626eb9d4c73p-5, -0x1.3cdf06d7d8b2ap-5, -0x1.3d6e919e8c061p-5, -0x1.3e0fc6f698c3cp-5, -0x1.3ec15ccfe727ep-5, -0x1.3f8208e9fc6c2p-5, -0x1.405081ea6eab6p-5, -0x1.412b7e5989824p-5, -0x1.4211b73c1a106p-5, -0x1.4301e70b66461p-5, -0x1.43facaf71343dp-5, -0x1.44fb2359c188bp-5, -0x1.4601b433682f3p-5, -0x1.470d45b342346p-5, -0x1.481ca4d961915p-5, -0x1.492ea3cd4bb7bp-5, -0x1.4a421ad4fe716p-5, -0x1.4b55e8165a51ep-5, -0x1.4c68f165f3458p-5, -0x1.4d7a2312e7392p-5, -0x1.4e8870e10bdd3p-5, -0x1.4f92d77cd1938p-5, -0x1.50985b0c54e6ep-5, -0x1.51980825114b1p-5, -0x1.5290f3f7a04c6p-5, -0x1.53823bb6b564ap-5, -0x1.546b0592236bap-5, -0x1.554a800fd1db7p-5, -0x1.561fe20d1e10ep-5, -0x1.56ea6b2984d45p-5, -0x1.57a962a71c4afp-5, -0x1.585c19a2cb109p-5, -0x1.5901e8f867c87p-5, -0x1.599a32058fe2bp-5, -0x1.5a245f695eff1p-5, -0x1.5a9fe4165476cp-5, -0x1.5b0c3be2fd05dp-5, -0x1.5b686854b53b5p-5, -0x1.5bb501256a98bp-5, -0x1.5bf11a410f8c8p-5, -0x1.5c1c524fd35e1p-5, -0x1.5c36509666ca1p-5, -0x1.5c3ec53cfeb81p-5, -0x1.5c3568cc213a1p-5, -0x1.5c19fcb5e503cp-5, -0x1.5bec497de3c3dp-5, -0x1.5bac218dee2acp-5, -0x1.5b595e7b2c17p-5, -0x1.5af3e0f60fcp-5, -0x1.5a7b92bc7e48ap-5, -0x1.59f063a4c8b4fp-5, -0x1.59524ad753edep-5, -0x1.58a14712263ap-5, -0x1.57dd5d21d5fa7p-5, -0x1.57069887f0cbap-5, -0x1.561d0addcb277p-5, -0x1.5520cbd4c8dfdp-5, -0x1.5411f8e1e2b21p-5, -0x1.52f0b50374281p-5, -0x1.51bd28b1df64p-5, -0x1.50778164fe847p-5, -0x1.4f1ff18db0709p-5, -0x1.4db6b097a5686p-5, -0x1.4c3bfa2442ffdp-5, -0x1.4ab00eb76a0afp-5, -0x1.4913319eab03cp-5, -0x1.4765ac281d77ap-5, -0x1.45a7c9e2d3c35p-5, -0x1.43d9daacaabd1p-5, -0x1.41fc314a1e99p-5, -0x1.400f243c8d3cp-5, -0x1.3e130c276b5p-5, -0x1.3c08459f43442p-5, -0x1.39ef2f1967099p-5, -0x1.37c82985d512ap-5, -0x1.3593987b94145p-5, -0x1.3351e11eba104p-5, -0x1.31036abd6bca5p-5, -0x1.2ea89e4010146p-5, -0x1.2c41e633c1d16p-5, -0x1.29cfae41e8864p-5, -0x1.2752634cf1e2ap-5, -0x1.24ca73807b154p-5, -0x1.22384d57e59b6p-5, -0x1.1f9c6056b1cf1p-5, -0x1.1cf71ca42e2eep-5, -0x1.1a48f1c20afffp-5, -0x1.179250eabbc15p-5, -0x1.14d3aa6b8a25p-5, -0x1.120d6e970312cp-5, -0x1.0f400e200dcd4p-5, -0x1.0c6bf88cf2765p-5, -0x1.09919d6f21ce5p-5, -0x1.06b16babf310bp-5, -0x1.03cbd1590cf5dp-5, -0x1.00e13c3571a19p-5, -0x1.fbe4311379888p-6, -0x1.f5fda3b1ae30cp-6, -0x1.f00fa4e95fdadp-6, -0x1.ea1b06c1a05dp-6, -0x1.e4209a47b8c59p-6, -0x1.de212a9b67c7ap-6, -0x1.d81d836c79882p-6, -0x1.d2166b1fb069p-6, -0x1.cc0ca5c6d4f29p-6, -0x1.c600f3d7fb241p-6, -0x1.bff41256c79d7p-6, -0x1.b9e6bb5f81fc3p-6, -0x1.b3d9a2dec84f6p-6, -0x1.adcd7ca618a91p-6, -0x1.a7c2f63ef065dp-6, -0x1.a1bab9c595d05p-6, -0x1.9bb56d564612ep-6, -0x1.95b3b2d70d2a7p-6, -0x1.8fb628208c668p-6, -0x1.89bd66be3d4e8p-6, -0x1.83ca03ea71101p-6, -0x1.7ddc90ad3c46cp-6, -0x1.77f599c5a9316p-6, -0x1.7215a6dfbd728p-6, -0x1.6c3d3c20292a8p-6, -0x1.666cd9553799fp-6, -0x1.60a4f8b50324dp-6, -0x1.5ae61128d141cp-6, -0x1.5530950818533p-6, -0x1.4f84f1b2cebc3p-6, -0x1.49e39077285f4p-6, -0x1.444cd63ac8deep-6, -0x1.3ec123a239c0cp-6, -0x1.3940d523eff26p-6, -0x1.33cc42269802p-6, -0x1.2e63be56128c7p-6, -0x1.29079a1d3d1bfp-6, -0x1.23b81ff44d4fep-6, -0x1.1e75977c22f8cp-6, -0x1.1940438f6380fp-6, -0x1.1418633d2e70fp-6, -0x1.0efe31f8df4d2p-6, -0x1.09f1e6c53a95ap-6, -0x1.04f3b5549ba99p-6, -0x1.0003cd48f6521p-6, -0x1.f644b573bd1e2p-7, -0x1.ec9f0bccc2b33p-7, -0x1.e316e784359bep-7, -0x1.d9ac8be6b0bbcp-7, -0x1.d060349e4fa34p-7, -0x1.c73216fe45c83p-7, -0x1.be22624a117p-7, -0x1.b5313f3a5ab58p-7, -0x1.ac5ecfc7978e1p-7, -0x1.a3ab309720bd4p-7, -0x1.9b167a436a554p-7, -0x1.92a0bbdd0a7bdp-7, -0x1.8a4a0158f0c93p-7, -0x1.821251b0469aep-7, -0x1.79f9ad671915ep-7, -0x1.7200113030c87p-7, -0x1.6a257399d0bep-7, -0x1.6269c8e9f59c9p-7, -0x1.5accff3692141p-7, -0x1.534efee0b578ep-7, -0x1.4befaecac3fa9p-7, -0x1.44aef09abf858p-7, -0x1.3d8ca20c9fa9cp-7, -0x1.36889cee3b14cp-7, -0x1.2fa2b8c5f1394p-7, -0x1.28dac89fec51ep-7, -0x1.22309c6ae1b96p-7, -0x1.1ba40130210efp-7, -0x1.1534c1cfaecf7p-7, -0x1.0ee2a476b9b9ap-7, -0x1.08ad6e209099dp-7, -0x1.0294e109ee667p-7, -0x1.f93179c49fc86p-8, -0x1.ed717e22e24b7p-8, -0x1.e1e946ba9174cp-8, -0x1.d69845bdbb3eep-8, -0x1.cb7dea5ad8dbfp-8, -0x1.c099a023f2ee7p-8, -0x1.b5ead00be4c3ep-8, -0x1.ab70df18af25cp-8, -0x1.a12b301a25447p-8, -0x1.9719227b55ad1p-8, -0x1.8d3a154e9b364p-8, -0x1.838d6312f1f0ap-8, -0x1.7a12666b33136p-8, -0x1.70c876a28b483p-8, -0x1.67aeebcdb225fp-8, -0x1.5ec5193f674c7p-8, -0x1.560a53c6c22e8p-8, -0x1.4d7def7c7f0edp-8, -0x1.451f3eb2f866dp-8, -0x1.3ced90be9f306p-8, -0x1.34e83afb211a8p-8, -0x1.2d0e8bf5ca5f9p-8, -0x1.255fd4e2122d8p-8, -0x1.1ddb6727bc55bp-8, -0x1.16809443a3122p-8, -0x1.0f4ead9d988f3p-8, -0x1.084505383b8dbp-8, -0x1.0162edefa9ef8p-8, -0x1.f54f7508c78f5p-9, -0x1.e8257f9d3f4dap-9, -0x1.db46a487d23a4p-9, -0x1.ceb19248d5f79p-9, -0x1.c264f8014165ep-9, -0x1.b65f84d102cf6p-9, -0x1.aa9fee4780771p-9, -0x1.9f24eb7ee716fp-9, -0x1.93ed36a255858p-9, -0x1.88f78db074b72p-9, -0x1.7e42b0981bf6bp-9, -0x1.73cd65178696ep-9, -0x1.699674db05f6cp-9, -0x1.5f9ca963a49a4p-9, -0x1.55ded2c43ae4fp-9, -0x1.4c5bc567b5768p-9, -0x1.431257c4c9fb5p-9, -0x1.3a0166b5ca1b9p-9, -0x1.3127d4b10763p-9, -0x1.288484a3ba11ap-9, -0x1.20165e36a20d5p-9, -0x1.17dc4ee7ae12dp-9, -0x1.0fd548c4b547cp-9, -0x1.08003f9c26ebep-9, -0x1.005c2e97c95adp-9, -0x1.f1d02745c8f7dp-10, -0x1.e345e214a567dp-10, -0x1.d51799a7dc8e5p-10, -0x1.c74364115929fp-10, -0x1.b9c76008222f5p-10, -0x1.aca1b1852ed94p-10, -0x1.9fd087e2227cbp-10, -0x1.93521a02df43ap-10, -0x1.8724a4b0fa805p-10, -0x1.7b466f034703ap-10, -0x1.6fb5c2d991812p-10, -0x1.6470fba370946p-10, -0x1.5976719821cc7p-10, -0x1.4ec489e66871dp-10, -0x1.4459b05dafd66p-10, -0x1.3a34556ac2a61p-10, -0x1.3052f507ebf3p-10, -0x1.26b40e0bc8675p-10, -0x1.1d56279c81a17p-10, -0x1.1437d118b73a6p-10, -0x1.0b579d316facap-10, -0x1.02b4266b63b58p-10, -0x1.f4981fcd1c157p-11, -0x1.e43bfc0b1ea09p-11, -0x1.d45145065fdfcp-11, -0x1.c4d56683e01b1p-11, -0x1.b5c5c98f3db54p-11, -0x1.a71ff3d8ca52fp-11, -0x1.98e16ef2914d6p-11, -0x1.8b07d468d00ebp-11, -0x1.7d90c68c0beb1p-11, -0x1.7079f3d6b7f1ep-11, -0x1.63c11b27d9dafp-11, -0x1.5763f4eb5da08p-11, -0x1.4b605ff9ba8b1p-11, -0x1.3fb42b8e2d8b4p-11, -0x1.345d41e2d1098p-11, -0x1.295993952b563p-11, -0x1.1ea71bb1f0255p-11, -0x1.1443e18fb41c8p-11, -0x1.0a2df02e86adbp-11, -0x1.0063613099884p-11, -0x1.edc4b73a1a306p-12, -0x1.db520c576b9f9p-12, -0x1.c96b3c6e4b4b3p-12, -0x1.b80ccd5529af8p-12, -0x1.a7334b1504de1p-12, -0x1.96db5f3059ee3p-12, -0x1.8701c52c78e8fp-12, -0x1.77a348473b1f5p-12, -0x1.68bcc7ef1a436p-12, -0x1.5a4b34e680b05p-12, -0x1.4c4b9070a20f6p-12, -0x1.3ebaf5b2cfcacp-12, -0x1.31966ff6fa305p-12, -0x1.24db4f52e9f48p-12, -0x1.1886c51d1767bp-12, -0x1.0c963081d8baep-12, -0x1.0106f3df89e69p-12, -0x1.ebad02e17cbd3p-13, -0x1.d604b797bd444p-13, -0x1.c110247eaa3bbp-13, -0x1.acca874cacd93p-13, -0x1.992f48c596448p-13, -0x1.8639b84730eefp-13, -0x1.73e57fd75f50fp-13, -0x1.622e3df7359d6p-13, -0x1.510fe4fd66804p-13, -0x1.4086088068274p-13, -0x1.308cbf202d907p-13, -0x1.211ffe0c4a8bap-13, -0x1.123bfd01dd0bcp-13, -0x1.03dce63f005e3p-13, -0x1.ebfe0b9368ceap-14, -0x1.d13d91314596ep-14, -0x1.b77155730f0dap-14, -0x1.9e9231239fbf8p-14, -0x1.8699ce29c8f41p-14, -0x1.6f815b93bed89p-14, -0x1.5942bbe78eb59p-14, -0x1.43d73dd3a9129p-14, -0x1.2f3935be2da77p-14, -0x1.1b62d104b3cf1p-14, -0x1.084de4d1e84ddp-14, -0x1.ebea8dee3dedp-15, -0x1.c8a715e852073p-15, -0x1.a6c656bbeedccp-15, -0x1.863e6d024c404p-15, -0x1.67055148240c5p-15, -0x1.4910f09a41b1cp-15, -0x1.2c5844fc21576p-15, -0x1.10d1d3a63dcafp-15, -0x1.ece9c947cb1c7p-16, -0x1.ba703f301f1a6p-16, -0x1.8a263cd70dd04p-16, -0x1.5bfa34e966fc3p-16, -0x1.2fdb59596c8d7p-16, -0x1.05b9eb3c21d1ep-16, -0x1.bb0a4afbc7562p-17, -0x1.6e59ac16d4d13p-17, -0x1.2544d9d34d0b8p-17, -0x1.bf50a571bc553p-18, -0x1.3ad6bbd79ddc1p-18, -0x1.79b71030f6685p-19, -0x1.14a8ac3058baep-20, 0x1.63c61ab802a8bp-21, 0x1.30805c3dbee9ep-19, 0x1.fcbe0f65c7a6cp-19, 0x1.5f0898b231c9ep-18, 0x1.ba6d5fea4803cp-18, 0x1.085da059241ebp-17, 0x1.31102a708df3fp-17, 0x1.5761b245714e4p-17, 0x1.7b6be7071ab9ap-17, 0x1.9d3dd448b1e22p-17, 0x1.bceeabe8531bdp-17, 0x1.da8f5350935b9p-17, 0x1.f6350ddbeb418p-17, 0x1.07f7c033fcd2ap-16, 0x1.13e8aa82acc7ap-16, 0x1.1ef59495d7a8fp-16, 0x1.2926ef210b4dap-16, 0x1.3284b1e3c3fep-16, 0x1.3b1787bd3d451p-16, 0x1.42e5c50cbd6a6p-16, 0x1.49f82fa2a163ap-16, 0x1.5054560646b3cp-16, 0x1.56042b4638e6ap-16, 0x1.5b0ca82af2f58p-16, 0x1.5f74bdcd9adbfp-16, 0x1.6342e7723a586p-16, 0x1.667dd6cc77e1p-16, 0x1.692c1514980e6p-16, 0x1.6b5302a9cd809p-16, 0x1.6cf8ce3cdbcb8p-16, 0x1.6e23007eeb6dap-16, 0x1.6ed73890cc747p-16, 0x1.6f1af328a116dp-16, 0x1.6ef2e572ee466p-16, 0x1.6e64c57877991p-16, 0x1.6d74b19bc0cebp-16, 0x1.6c2834a6e9f2fp-16, 0x1.6a83242511502p-16, 0x1.688a5f43d39bcp-16, 0x1.6641d91f8d1b4p-16, 0x1.63aec32ebbfd5p-16, 0x1.60d363c112e6fp-16, 0x1.5db4cad572cd7p-16, 0x1.5a5685dcee62cp-16, 0x1.56bc1cba79ffep-16, 0x1.52e99ec9d3b9dp-16, 0x1.4ee1b4835d5b9p-16, 0x1.4aa7c669561c1p-16, 0x1.463f2554b9f2bp-16, 0x1.41aa83749b7b2p-16, 0x1.3cedfca73bfe2p-16, 0x1.380b022bfb9d1p-16, 0x1.3304ebaf712d7p-16, 0x1.2ddf1e519b0ccp-16, 0x1.289a311bcdf13p-16, 0x1.233b358281416p-16, 0x1.1dc2f61b1e9e5p-16, 0x1.18327174f3bp-16, 0x1.128f041b9c3fbp-16, 0x1.0cd88f3e43688p-16, 0x1.0711e01d8193fp-16, 0x1.013c76cd7dbp-16, 0x1.f6b55268510cbp-17, 0x1.eadca9a0085bp-17, 0x1.def19ff3c520ap-17, 0x1.d2f7898b359e9p-17, 0x1.c6f2774c8b437p-17, 0x1.bae48de9571e9p-17, 0x1.aed19270e2d6p-17, 0x1.a2bbc152f3ce3p-17, 0x1.96a500466355fp-17, 0x1.8a925ca55e8fdp-17, 0x1.7e83e475ce46p-17, 0x1.727ca7e03a518p-17, 0x1.667fe49406aa1p-17, 0x1.5a8dded9ed92bp-17, 0x1.4eaa15743484ep-17, 0x1.42d608e7097f9p-17, 0x1.37136978ebd3ep-17, 0x1.2b640c880ac2cp-17, 0x1.1fc9b5b723398p-17, 0x1.1445cc3ba1e63p-17, 0x1.08da2ac343db2p-17, 0x1.fb0d801af4355p-18, 0x1.e4a2f68796507p-18, 0x1.ce6a33ac8907cp-18, 0x1.b86b580399243p-18, 0x1.a2ac4fa3cd8b1p-18, 0x1.8d2b8c01287c3p-18, 0x1.77ea5a4d1422p-18, 0x1.62ebceef81d7ap-18, 0x1.4e350ffa9583bp-18, 0x1.39c0af93fbe01p-18, 0x1.2595f4a2c88e5p-18, 0x1.11b490445cbe6p-18, 0x1.fc38bf2219fcbp-19, 0x1.d59d119e0c7f9p-19, 0x1.af9fa4356334cp-19, 0x1.8a395717bf691p-19, 0x1.65689787c00cdp-19, 0x1.413dd115a1329p-19, 0x1.1dab9f209fffep-19, 0x1.f55d3903a1cb5p-20, 0x1.b0c621b273d6dp-20, 0x1.6d5ae218e5907p-20, 0x1.2b44f0667a891p-20, 0x1.d4bf99effa05cp-21, 0x1.55975560d86ccp-21, 0x1.b1ed1902e8178p-22, 0x1.7bb72b3f9e176p-23, -0x1.885419573e113p-25, -0x1.1af9a24e2b839p-22, -0x1.ff9858b2342bbp-22, -0x1.6f997824e36f5p-21, -0x1.dce1b8bf53e1fp-21, -0x1.23c96b1f7ac38p-20, -0x1.57e476cd488c9p-20, -0x1.8abe529ca1c49p-20, -0x1.bc5aeeacfb552p-20, -0x1.ecb827fb3d522p-20, -0x1.0dea3d03287e7p-19, -0x1.24dae6895dd59p-19, -0x1.3b2f7a737f6fap-19, -0x1.50ec151a8519dp-19, -0x1.660820ccbf28fp-19, -0x1.7a8fea63d3eb6p-19, -0x1.8e7ea396e7a4dp-19, -0x1.a1d4f78d9ec7dp-19, -0x1.b4989b1f438cp-19, -0x1.c6c7e02254becp-19, -0x1.d862bd463e09dp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5178efb3634dp-1, -0x1.4640d6ed1f65bp-1, -0x1.3a8072d09fc87p-1, -0x1.2e507bfefe8cp-1, -0x1.21c87cfd655e9p-1, -0x1.14fea576e9028p-1, -0x1.0807b151193d5p-1, -0x1.f5ed98fefd535p-2, -0x1.dbbb2de1e47b5p-2, -0x1.c198426735343p-2, -0x1.a7a1ad5ed962bp-2, -0x1.8df18e34d3174p-2, -0x1.749ecde621887p-2, -0x1.5bbdb2e291e58p-2, -0x1.435fdb25c3304p-2, -0x1.2b9468e6c7f0fp-2, -0x1.14682755d4265p-2, -0x1.fbcb6b055ef68p-3, -0x1.d02b678357d6p-3, -0x1.a5fde266da148p-3, -0x1.7d4d26b8e05a5p-3, -0x1.56206ce865a7cp-3, -0x1.307c22b9793bp-3, -0x1.0c623b55eca57p-3, -0x1.d3a4ea3733717p-4, -0x1.91952b5b54c3fp-4, -0x1.528d455ca82e1p-4, -0x1.168236cf08868p-4, -0x1.baccea78dd8bep-5, -0x1.4e54b1d1adf71p-5, -0x1.cef164404c973p-6, -0x1.0c24fec39f36p-6, -0x1.4fc865249b8b5p-8, 0x1.67f613e0b848fp-8, 0x1.fc01e9ce8854bp-7, 0x1.98735e12cc9c4p-6, 0x1.14d85adde9344p-5, 0x1.590ace2952c9ap-5, 0x1.98ff65563b502p-5, 0x1.d4e447adcd98ep-5, 0x1.06739717e222p-4, 0x1.209a97e24c9f9p-4, 0x1.38fd4b3db93efp-4, 0x1.4fb15f53b3112p-4, 0x1.64cbfc726d2d4p-4, 0x1.7861b773f9b2ep-4, 0x1.8a86870f3a466p-4, 0x1.9b4dbea06c9b5p-4, 0x1.aaca0892d9dc4p-4, 0x1.b90d62eeeeee5p-4, 0x1.c6291be1ae4f5p-4, 0x1.d22dcfb359514p-4, 0x1.dd2b6ae776676p-4, 0x1.e7312a456d72cp-4, 0x1.f04d9fb87f22ep-4, 0x1.f88eb3b0fb098p-4, 0x1.0000d34e3a034p-3, 0x1.035989d3b494cp-3, 0x1.06577a4764a1cp-3, 0x1.0900537009833p-3, 0x1.0b597a17b5b76p-3, 0x1.0d6809edadc2cp-3, 0x1.0f30d923f9d24p-3, 0x1.10b879e308466p-3, 0x1.12033c55319c8p-3, 0x1.13153105a4dc7p-3, 0x1.13f22bd206f16p-3, 0x1.149dc5d86ad0ap-3, 0x1.151b616ef7d41p-3, 0x1.156e2c914ff28p-3, 0x1.159922e0cdaa3p-3, 0x1.159f10305c711p-3, 0x1.158292a1c81dap-3, 0x1.15461ccb0dccbp-3, 0x1.14ebf7f05097bp-3, 0x1.147646aa3c1f7p-3, 0x1.13e706f9e48c6p-3, 0x1.1340132daa9c9p-3, 0x1.12832706b3c03p-3, 0x1.11b1de623a449p-3, 0x1.10cdb7a8aa797p-3, 0x1.0fd8153c910c8p-3, 0x1.0ed23fd6a73b5p-3, 0x1.0dbd67f90f554p-3, 0x1.0c9aa7826c18ep-3, 0x1.0b6b0326f026p-3, 0x1.0a2f6be8de0f5p-3, 0x1.08e8bffcd7c0ap-3, 0x1.0797ccda6ccb6p-3, 0x1.063d4f364f614p-3, 0x1.04d9f56dcc35ap-3, 0x1.036e5f18caadfp-3, 0x1.01fb1f534a4e6p-3, 0x1.0080bcc576affp-3, 0x1.fdff65ce2a406p-4, 0x1.faf0e5bf3b41bp-4, 0x1.f7d6c8021751bp-4, 0x1.f4b1ca07e4909p-4, 0x1.f182991d3adcfp-4, 0x1.ee49d2555db62p-4, 0x1.eb08081fec62dp-4, 0x1.e7bdbd6a38d1bp-4, 0x1.e46b6b696bdddp-4, 0x1.e11180ff6839ap-4, 0x1.ddb063917a2eap-4, 0x1.da48702faa08bp-4, 0x1.d6d9fc609c958p-4, 0x1.d36556db60e54p-4, 0x1.cfeac7e1809c1p-4, 0x1.cc6a93641a4f5p-4, 0x1.c8e4f6d4a0ca9p-4, 0x1.c55a2c68046afp-4, 0x1.c1ca6a6479c97p-4, 0x1.be35e381f8ad5p-4, 0x1.ba9cc7cd5bfb9p-4, 0x1.b6ff4507f6af5p-4, 0x1.b35d87076bac6p-4, 0x1.afb7b7bed182p-4, 0x1.ac0dfff59b8a1p-4, 0x1.a86087728b443p-4, 0x1.a4af74d406207p-4, 0x1.a0faeecbdd1cp-4, 0x1.9d431b2870588p-4, 0x1.99881f971111dp-4, 0x1.95ca221733666p-4, 0x1.92094899afe23p-4, 0x1.8e45b8f897425p-4, 0x1.8a7f99d6e80e7p-4, 0x1.86b71281691ep-4, 0x1.82ec4a2090dep-4, 0x1.7f1f6918f73e1p-4, 0x1.7b50981630e8p-4, 0x1.77800092e61ccp-4, 0x1.73adccda57d7ep-4, 0x1.6fda2781aec61p-4, 0x1.6c053cbc741bcp-4, 0x1.682f385812022p-4, 0x1.64584772d3398p-4, 0x1.608097d1e3327p-4, 0x1.5ca857f38f982p-4, 0x1.58cfb67a5a001p-4, 0x1.54f6e3b55e76cp-4, 0x1.511e0f5ffbc4cp-4, 0x1.4d456a7f6bb8p-4, 0x1.496d263763d62p-4, 0x1.4595746b9a092p-4, 0x1.41be870920a37p-4, 0x1.3de890946dba6p-4, 0x1.3a13c42a703ap-4, 0x1.3640547aa8bb4p-4, 0x1.326e747bb847cp-4, 0x1.2e9e5792a8ec9p-4, 0x1.2ad031933472cp-4, 0x1.270435430cd8bp-4, 0x1.233a95e5dbff4p-4, 0x1.1f7386ad6e836p-4, 0x1.1baf3aa1b8996p-4, 0x1.17ede46ec082ep-4, 0x1.142fb6abd6ecep-4, 0x1.1074e338db956p-4, 0x1.0cbd9bcff82a1p-4, 0x1.090a11c4f8ac9p-4, 0x1.055a75a35f761p-4, 0x1.01aef7f2f154ep-4, 0x1.fc0f8fb967093p-5, 0x1.f4ca26007024ap-5, 0x1.ed8e15948967cp-5, 0x1.e65bb5c6f6017p-5, 0x1.df336074cbefdp-5, 0x1.d8156cb785bfcp-5, 0x1.d10230ab9bc9p-5, 0x1.c9fa00aca5e08p-5, 0x1.c2fd2f127dcbfp-5, 0x1.bc0c0c6813018p-5, 0x1.b526e717c0df8p-5, 0x1.ae4e0b785e98cp-5, 0x1.a781c439916a7p-5, 0x1.a0c259418e9adp-5, 0x1.9a10107eef745p-5, 0x1.936b2ebcc7af3p-5, 0x1.8cd3f49014edcp-5, 0x1.864aa1f6e1d39p-5, 0x1.7fcf72f74e94cp-5, 0x1.7962a33146e42p-5, 0x1.73046aa550dddp-5, 0x1.6cb4ff4145126p-5, 0x1.6674947337485p-5, 0x1.60435bc2a8bedp-5, 0x1.5a2183952f0b3p-5, 0x1.540f3850e957ap-5, 0x1.4e0ca3fd04659p-5, 0x1.4819ee16a92dap-5, 0x1.42373bad6413bp-5, 0x1.3c64afb55635dp-5, 0x1.36a26a40af5bcp-5, 0x1.30f089a14531dp-5, 0x1.2b4f291f92ef6p-5, 0x1.25be6243fd988p-5, 0x1.203e4bd94944bp-5, 0x1.1acefaba0d2f5p-5, 0x1.1570815fadd8dp-5, 0x1.1022efbba42ecp-5, 0x1.0ae653dc42549p-5, 0x1.05bab98c9626ap-5, 0x1.00a02a4a0a918p-5, 0x1.f72d5b5602cfep-6, 0x1.ed3c91c26b268p-6, 0x1.e36dff7a81564p-6, 0x1.d9c1a62dd0c82p-6, 0x1.d03784a12b467p-6, 0x1.c6cf963c7e08dp-6, 0x1.bd89d16748b4p-6, 0x1.b46629997e55bp-6, 0x1.ab648e7c69e57p-6, 0x1.a284ec1569174p-6, 0x1.99c72af7a6c42p-6, 0x1.912b30e29116dp-6, 0x1.88b0dfc708e18p-6, 0x1.8058153da48aep-6, 0x1.7820ae2c7a6bap-6, 0x1.700a8331ddb6dp-6, 0x1.681569f17a228p-6, 0x1.604135c4360cdp-6, 0x1.588db5b79ad9ap-6, 0x1.50fab87172a67p-6, 0x1.498808c867da3p-6, 0x1.42356f4910d85p-6, 0x1.3b02b2b125627p-6, 0x1.33ef96644aa31p-6, 0x1.2cfbdca346444p-6, 0x1.2627451203148p-6, 0x1.1f718d989a82ap-6, 0x1.18da7228f0e2ep-6, 0x1.1261ace02e3c9p-6, 0x1.0c06f64f9ba2ap-6, 0x1.05ca0520b899p-6, 0x1.ff551d238ce8ep-7, 0x1.f3508d84455bfp-7, 0x1.e785c03939066p-7, 0x1.dbf4178d0546fp-7, 0x1.d09af3e2efec6p-7, 0x1.c579b3e64c30bp-7, 0x1.ba8fb0e7343bp-7, 0x1.afdc476f3bc2p-7, 0x1.a55ecf67b36b2p-7, 0x1.9b169e567e704p-7, 0x1.91030982f9f83p-7, 0x1.8723672edf03ep-7, 0x1.7d7708b84b2b4p-7, 0x1.73fd3e55551c1p-7, 0x1.6ab55bbcd5193p-7, 0x1.619eb05300769p-7, 0x1.58b88a64daff4p-7, 0x1.50023b57ea073p-7, 0x1.477b110bf8e47p-7, 0x1.3f225a6a9c276p-7, 0x1.36f765efd620dp-7, 0x1.2ef982330bd41p-7, 0x1.2727fdfca593fp-7, 0x1.1f82286db9803p-7, 0x1.1807503756f08p-7, 0x1.10b6c56baa796p-7, 0x1.098fd8efc2e18p-7, 0x1.0291dab617245p-7, 0x1.f7783969c4234p-8, 0x1.ea1be4367ff53p-8, 0x1.dd0d56a31d64fp-8, 0x1.d04b3eca0eebcp-8, 0x1.c3d44545092afp-8, 0x1.b7a716ff130e5p-8, 0x1.abc261b554305p-8, 0x1.a024d7b93bb93p-8, 0x1.94cd2d56409bdp-8, 0x1.89ba18000504cp-8, 0x1.7eea532d8f844p-8, 0x1.745c99bf25e9fp-8, 0x1.6a0fa9560eee7p-8, 0x1.600249cfde61cp-8, 0x1.56333bc579528p-8, 0x1.4ca14acfbe503p-8, 0x1.434b41cb6001bp-8, 0x1.3a2ff1cc660a2p-8, 0x1.314e2d01b0146p-8, 0x1.28a4cb901e19ap-8, 0x1.2032a6641e17fp-8, 0x1.17f69cf09903ap-8, 0x1.0fef8f75806cfp-8, 0x1.081c629217a3cp-8, 0x1.007c03b1bb482p-8, 0x1.f21ab8cb75eefp-9, 0x1.e39ebdcc3dc2cp-9, 0x1.d581febca9b98p-9, 0x1.c7c26e4927738p-9, 0x1.ba5e050ceef5fp-9, 0x1.ad52c090caf8bp-9, 0x1.a09eadffb22b9p-9, 0x1.943fdc95afe03p-9, 0x1.8834668a5fa22p-9, 0x1.7c7a6c59502e4p-9, 0x1.71100e79c16fbp-9, 0x1.65f385c99d5bp-9, 0x1.5b23074dab12p-9, 0x1.509cd39f33abap-9, 0x1.465f2ed368ce8p-9, 0x1.3c686ba3e70cap-9, 0x1.32b6dfa24f6edp-9, 0x1.2948ecfc5b824p-9, 0x1.201cee7810d06p-9, 0x1.17315cf0fd7c4p-9, 0x1.0e84a95df24fcp-9, 0x1.06155327ecb87p-9, 0x1.fbc3b71ac4a6ep-10, 0x1.ebd19e3633ccfp-10, 0x1.dc5185c6262dap-10, 0x1.cd408e81cc415p-10, 0x1.be9c0dc09f824p-10, 0x1.b0614f1ce2e4bp-10, 0x1.a28dad74f4051p-10, 0x1.951e96f99c5cbp-10, 0x1.88118391a9f21p-10, 0x1.7b63fd7a3511ap-10, 0x1.6f1393a991f53p-10, 0x1.631deaa4346ep-10, 0x1.5780b393ee377p-10, 0x1.4c39a1e43dc03p-10, 0x1.41468258c2c8ep-10, 0x1.36a5276c83e13p-10, 0x1.2c537bc562856p-10, 0x1.224f5fa478e25p-10, 0x1.1896cc611f5b3p-10, 0x1.0f27ca497f8b6p-10, 0x1.06006a8430271p-10, 0x1.fa3d81aa591b5p-11, 0x1.e901fb8ad2e8bp-11, 0x1.d84a9785613b2p-11, 0x1.c813d11119eefp-11, 0x1.b85a36ec776eap-11, 0x1.a91a68a4225cp-11, 0x1.9a511cd6e07a5p-11, 0x1.8bfb2110eda7cp-11, 0x1.7e155484c7706p-11, 0x1.709ca8fe55cedp-11, 0x1.638e1d87267d7p-11, 0x1.56e6ce251b596p-11, 0x1.4aa3e4756c062p-11, 0x1.3ec2953726f93p-11, 0x1.334034199106cp-11, 0x1.281a22151ee59p-11, 0x1.1d4dcbae275dap-11, 0x1.12d8a922c4abfp-11, 0x1.08b84f33ae227p-11, 0x1.fdd4c60acce4ap-12, 0x1.ead8f2f9dd018p-12, 0x1.d878dabdd74f9p-12, 0x1.c6affc61d23d4p-12, 0x1.b57a0d4dfe124p-12, 0x1.a4d2e0a62c7e1p-12, 0x1.94b65d2fca33ep-12, 0x1.8520b04873cb8p-12, 0x1.760d981f7e32fp-12, 0x1.6779aa3c15629p-12, 0x1.596125fe56796p-12, 0x1.4bc06d7819062p-12, 0x1.3e9408f9c8711p-12, 0x1.31d89ee5af896p-12, 0x1.258ab2736621p-12, 0x1.19a73e3d21dp-12, 0x1.0e2b0f966e0e6p-12, 0x1.03131b7c6326p-12, 0x1.f0b8cab5b375bp-13, 0x1.dc07f9c40fea3p-13, 0x1.c80e49fa06c75p-13, 0x1.b4c62af170081p-13, 0x1.a22a4a38d97eep-13, 0x1.90357cfec6e69p-13, 0x1.7ee2ba2670f0ap-13, 0x1.6e2d0367a26adp-13, 0x1.5e0f66bc81cabp-13, 0x1.4e8588ed3acc4p-13, 0x1.3f8b09ea57ec7p-13, 0x1.311b179557e4p-13, 0x1.23317ea8cee93p-13, 0x1.15ca25c82d2e6p-13, 0x1.08e0fc425da2cp-13, 0x1.f8e41acc04443p-14, 0x1.e0f302d734babp-14, 0x1.c9e7b9be44999p-14, 0x1.b3b9b10e5df4dp-14, 0x1.9e634cc97166dp-14, 0x1.89dce3e53f26bp-14, 0x1.761fda7791eecp-14, 0x1.632612f8d68a9p-14, 0x1.50e90e2f47164p-14, 0x1.3f6282c19dcb7p-14, 0x1.2e8d07e57096ep-14, 0x1.1e6231520fa86p-14, 0x1.0edcefdb29fc3p-14, 0x1.ffee4ba3436e9p-15, 0x1.e35868235ed0bp-15, 0x1.c7ed92003f09fp-15, 0x1.ada3a8f207f17p-15, 0x1.9471240559d14p-15, 0x1.7c4c090dab3a8p-15, 0x1.652bd357c689bp-15, 0x1.4f07a4f56964ap-15, 0x1.39d6ae29ede4cp-15, 0x1.2590a906c0a58p-15, 0x1.122e29c272426p-15, 0x1.ff4a80c031277p-16, 0x1.dbe0ee6041ad5p-16, 0x1.ba0ebbd4ec77fp-16, 0x1.99c65ce493085p-16, 0x1.7af9aa695882p-16, 0x1.5d9b47725a028p-16, 0x1.419dcd1d4f82p-16, 0x1.26f4c423b841fp-16, 0x1.0d938ff4c9a3cp-16, 0x1.eadf85693369fp-17, 0x1.bcf59e23599aap-17, 0x1.915690aedfbb2p-17, 0x1.67ebabf8233e8p-17, 0x1.40a6571a82327p-17, 0x1.1b69930511716p-17, 0x1.f04903bdadd74p-18, 0x1.ad88eceddfcabp-18, 0x1.6e6c82a398d2dp-18, 0x1.32d1499b2a01cp-18, 0x1.f5272447e1e4p-19, 0x1.8b256b4c64bfep-19, 0x1.2758767e2ecdp-19, 0x1.9306a4361d41ep-20, 0x1.c5aa5ecb197bap-21, 0x1.ed52cd8105afp-23, -0x1.73eb4db33142dp-22, -0x1.dad21077a86cfp-21, -0x1.7448ba15aa7ebp-20, -0x1.f1c90a33a17b7p-20, -0x1.33305cf9ff798p-19, -0x1.6938ae616aef9p-19, -0x1.9b2c6d2ca6016p-19, -0x1.c93653e3cd6e4p-19, -0x1.f37f2c2ded002p-19, -0x1.0d1db3481993dp-18, -0x1.1ec743b658378p-18, -0x1.2ecf5be4ae06cp-18, -0x1.3d4974a315f4dp-18, -0x1.4a463747af1a9p-18, -0x1.55d93b9a8d591p-18, -0x1.6015e55ce7d6ap-18, -0x1.69077683250b9p-18, -0x1.70cab570c0e9fp-18, -0x1.7757dad7204bep-18, -0x1.7ccca57b730c1p-18, -0x1.8136a6f29f65fp-18, -0x1.84a2515aad9e4p-18, -0x1.87232555290e1p-18, -0x1.88bad702bb6bp-18, -0x1.897cc9e7e8347p-18, -0x1.8973c28a34cb2p-18, -0x1.88a9379548857p-18, -0x1.8729748ebf385p-18, -0x1.84ffdb62ab246p-18, -0x1.82357997598f3p-18, -0x1.7ed396b71aa85p-18, -0x1.7ae5fa09d793ep-18, -0x1.7677034687661p-18, -0x1.718737f96824cp-18, -0x1.6c233b6b8fb1cp-18, -0x1.665696de0fde6p-18, -0x1.6026e4b35e885p-18, -0x1.5999fa8b4e703p-18, -0x1.52b801bd99eb8p-18, -0x1.4b87ed8d39521p-18, -0x1.440fea330c404p-18, -0x1.3c568bb618906p-18, -0x1.34613826bc6b5p-18, -0x1.2c35dca78974bp-18, -0x1.23d9a012b18p-18, -0x1.1b52fd093c288p-18, -0x1.12a78cb5392abp-18, -0x1.09d65930c2e78p-18, -0x1.00eb971ecbc6bp-18, -0x1.efccfda8a6f18p-19, -0x1.dd9988cc94567p-19, -0x1.cb48e70727bdcp-19, -0x1.b8c612077e76ap-19, -0x1.a66917d132e32p-19, -0x1.93d323a57cae4p-19, -0x1.8143ab2a6425bp-19, -0x1.6eb5f1067733fp-19, -0x1.5c2efa18a0ca5p-19, -0x1.49b41fa7554e2p-19, -0x1.374aef5ccc565p-19, -0x1.24f79f9d6d14cp-19, -0x1.12becb639fcbep-19, -0x1.00a852e659ac3p-19, -0x1.dd697ae56ba6dp-20, -0x1.b9d0e41aea331p-20, -0x1.968fb4206a0cfp-20, -0x1.73aba4990f0f1p-20, -0x1.51281b8c9a157p-20, -0x1.2f135d3c8f0b3p-20, -0x1.0d6850e2bb3dap-20, -0x1.d8a111e359e2cp-21, -0x1.9700c78833a12p-21, -0x1.568b4e419d633p-21, -0x1.171e7779072fcp-21, -0x1.b17a8e0f3a8c9p-22, -0x1.36ca67125b005p-22, -0x1.7cc5f83ffb905p-23, -0x1.20a790ff827d3p-24, 0x1.5de70e5eae415p-25, 0x1.3acb17a29594bp-23, 0x1.0c7cedbef3e4fp-22, 0x1.797ac21464d1bp-22, 0x1.e3cc430ef60eap-22, 0x1.2609b602738bcp-21, 0x1.58c897169d7cep-21, 0x1.8a58da3142a73p-21, 0x1.baae13f1a3b41p-21, 0x1.e9c97216531d7p-21, 0x1.0bd3573011c1cp-20, 0x1.2221497ec20cep-20, 0x1.37af04a2f1835p-20, 0x1.4d105c933d9bbp-20, 0x1.614ed3c4734dap-20, 0x1.7525fdbcee89dp-20, 0x1.8859a62142693p-20, 0x1.9af4f668648d5p-20, 0x1.aced4140e7d97p-20, 0x1.be4f48efd0d33p-20, 0x1.cf14548d3c0f2p-20, 0x1.df4021f21b1b3p-20, 0x1.eed5438d73158p-20, 0x1.fdcce6bf268e2p-20, 0x1.061fe6ca481ddp-19, 0x1.0d08e4302d488p-19, 0x1.13a977a3edce9p-19, 0x1.1a01ceb4af78dp-19, 0x1.20132754e85e5p-19, 0x1.25dcd6127da51p-19, 0x1.2b6176a4fa2dbp-19, 0x1.30a392326e11ep-19, 0x1.358f81500e6c8p-19, 0x1.3a5f04c6395dap-19, 0x1.3eca12cdd2c06p-19, 0x1.42ff6290809e5p-19, 0x1.46f2ee562dafap-19, 0x1.4aa873bfb90f7p-19, 0x1.4e2152bdb32c4p-19, 0x1.515d30b6f31eep-19, 0x1.545a8d40bec9bp-19, 0x1.571e9038eba7dp-19, 0x1.59a8f14ac6e93p-19, 0x1.5bfa3ffa7081ep-19, 0x1.5e113cfb1577cp-19, 0x1.5ff9f43d14d8dp-19, 0x1.61a58618c9d66p-19, 0x1.631da58049ep-19, 0x1.64674343170a7p-19, 0x1.6577b4124a0b5p-19, 0x1.665fbc69af41ap-19, 0x1.6710644cd061ep-19, 0x1.6795e59119a9dp-19, 0x1.67eb8c0c03438p-19, 0x1.68063509c1f79p-19, 0x1.682d0e392f4d5p-19, 0x1.67e6f6f7a4f92p-19, 0x1.6794a961d503ap-19, 0x1.6717cc031d36cp-19, 0x1.66701ff1368f6p-19, 0x1.65a6ad2080514p-19, 0x1.64b62a673fc47p-19, 0x1.63a19507db174p-19, 0x1.6269ae2163531p-19, 0x1.6111440661348p-19, 0x1.5f955613c3635p-19, 0x1.5dfa7f00ca57fp-19, 0x1.5c44d2a5e0b5ap-19, 0x1.5a628e14bab09p-19, 0x1.5873d788e5aedp-19, 0x1.5663208338b08p-19, 0x1.54322bdb47c56p-19, 0x1.51ef8c4ae8adp-19, 0x1.4f8c660f5b892p-19, 0x1.4d12fe42a92d4p-19, 0x1.4a82c1a58fbf4p-19, 0x1.47dafce065069p-19, 0x1.451449f30e4a5p-19, 0x1.424e8c74f64e5p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.795340c8aff12p-1, -0x1.75304ba404323p-1, -0x1.70c8552a7cb14p-1, -0x1.6c21c0bf0a6e9p-1, -0x1.6742d82504b1dp-1, -0x1.6231be20276acp-1, -0x1.5cf464189e0a6p-1, -0x1.5790817b25394p-1, -0x1.520b8ea9e07e5p-1, -0x1.4c6abea2ec49fp-1, -0x1.46b2fe250657ap-1, -0x1.40e8f1645fb4fp-1, -0x1.3b10f1e7e385cp-1, -0x1.352f109b14726p-1, -0x1.2f4715c02009dp-1, -0x1.295c82b6516bdp-1, -0x1.237293bb64e4ep-1, -0x1.1d8c425748997p-1, -0x1.17ac47a1996c4p-1, -0x1.11d51eee09bb6p-1, -0x1.0c09088b37a83p-1, -0x1.064a0cc6f24cbp-1, -0x1.0099fed08defdp-1, -0x1.f5f4ff4db7cefp-2, -0x1.eada01e33681ep-2, -0x1.dfe58fa7985b3p-2, -0x1.d519df8a6566bp-2, -0x1.ca78db84adc6ep-2, -0x1.c004259b3051p-2, -0x1.b5bd1c007bf3cp-2, -0x1.aba4df739c2dp-2, -0x1.a1bc587fc2da7p-2, -0x1.98043b324eeb3p-2, -0x1.8e7d0ab5e2ee9p-2, -0x1.85271fe8f695p-2, -0x1.7c02ab389810ap-2, -0x1.730fb92716699p-2, -0x1.6a4e35a8edb7fp-2, -0x1.61bdef70bfd07p-2, -0x1.595e9afea28fp-2, -0x1.512fd572c03adp-2, -0x1.4931270ed9a97p-2, -0x1.416205b8d4a8dp-2, -0x1.39c1d75632a91p-2, -0x1.324ff3dcdc2abp-2, -0x1.2b0ba72908fe1p-2, -0x1.23f432884962bp-2, -0x1.1d08ce92fd8ccp-2, -0x1.1648acce94f7fp-2, -0x1.0fb2f8e510a94p-2, -0x1.0946d9b69228fp-2, -0x1.03037280dc8bep-2, -0x1.f9cfc760bd20ap-3, -0x1.ede6988786736p-3, -0x1.e24994b8f1a46p-3, -0x1.d6f6f828599adp-3, -0x1.cbecfff13e48cp-3, -0x1.c129eb0bffb8fp-3, -0x1.b6abfba496afbp-3, -0x1.ac7177d22a315p-3, -0x1.a278aaad3a0a3p-3, -0x1.98bfe569d584p-3, -0x1.8f457f7abac41p-3, -0x1.8607d6f90c0a4p-3, -0x1.7d055117f04ep-3, -0x1.743c5a1464489p-3, -0x1.6bab66122bf94p-3, -0x1.6350f1b938ab4p-3, -0x1.5b2b81dac82c4p-3, -0x1.5339a419ebe05p-3, -0x1.4b79eed9d7a61p-3, -0x1.43eb01245c19ap-3, -0x1.3c8b828120422p-3, -0x1.355a233569c15p-3, -0x1.2e559be8aae7ep-3, -0x1.277cadc6ae6c3p-3, -0x1.20ce22dbe37adp-3, -0x1.1a48ccd730224p-3, -0x1.13eb89e88475p-3, -0x1.0db53c240df62p-3, -0x1.07a4cf338fba1p-3, -0x1.01b936e037962p-3, -0x1.f7e2dda2b5a8p-4, -0x1.ec98f4f85d361p-4, -0x1.e192c9b6ff31cp-4, -0x1.d6ce80bc628d6p-4, -0x1.cc4a4d454580ep-4, -0x1.c20471540843ap-4, -0x1.b7fb3bc6675b9p-4, -0x1.ae2d09b153bd5p-4, -0x1.a49844c7848ddp-4, -0x1.9b3b63c20caecp-4, -0x1.9214e9965ebc2p-4, -0x1.89236556027abp-4, -0x1.806571c471899p-4, -0x1.77d9b412ca56dp-4, -0x1.6f7edeaff29eep-4, -0x1.6753ac57ab5a8p-4, -0x1.5f56e2ebfc799p-4, -0x1.578752fd29fa3p-4, -0x1.4fe3d52c4de5bp-4, -0x1.486b4cfbc9735p-4, -0x1.411ca63516dccp-4, -0x1.39f6d579f0498p-4, -0x1.32f8d7dde2207p-4, -0x1.2c21b2b1c0bf9p-4, -0x1.257072f311ff8p-4, -0x1.1ee42d47bf67p-4, -0x1.187bfe5dd967fp-4, -0x1.123707c258081p-4, -0x1.0c1474b6bafb5p-4, -0x1.0613753f11fddp-4, -0x1.0033401df7528p-4, -0x1.f4e6249968b9p-5, -0x1.e9a45d2bf4dedp-5, -0x1.de9fbad6c79ap-5, -0x1.d3d6d956a1502p-5, -0x1.c9485f87a2688p-5, -0x1.bef2fd92d27b9p-5, -0x1.b4d56d3cb7199p-5, -0x1.aaee7466d2d93p-5, -0x1.a13cdd9b51da6p-5, -0x1.97bf7f75d81c2p-5, -0x1.8e7537e85b4c7p-5, -0x1.855cec9f3adb9p-5, -0x1.7c758b7f5dde1p-5, -0x1.73be0a2f8179ap-5, -0x1.6b35651b6ded4p-5, -0x1.62da9fafb482ap-5, -0x1.5aacc45857cdep-5, -0x1.52aae36a376b2p-5, -0x1.4ad414d63487fp-5, -0x1.432774e428f84p-5, -0x1.3ba425b6ecc96p-5, -0x1.34495120e1a72p-5, -0x1.2d1622873bd1ep-5, -0x1.2609ce94d6c14p-5, -0x1.1f238c9cf9e6ap-5, -0x1.1862991005bbap-5, -0x1.11c6351290ce6p-5, -0x1.0b4da6b84eb89p-5, -0x1.04f837785d80bp-5, -0x1.fd8a6bcbe0646p-6, -0x1.f167e8197da96p-6, -0x1.e587905174688p-6, -0x1.d9e81702b18f1p-6, -0x1.ce883a2d047d9p-6, -0x1.c366b9d3846bap-6, -0x1.b8825cdcfcf27p-6, -0x1.add9f50f6659fp-6, -0x1.a36c5882f1976p-6, -0x1.99386250f7ad3p-6, -0x1.8f3cf35c6f7aep-6, -0x1.8578f3d5c1b42p-6, -0x1.7beb5191c9a73p-6, -0x1.7292ff0686e18p-6, -0x1.696ef3a197e61p-6, -0x1.607e2de7448e6p-6, -0x1.57bfac0931bf7p-6, -0x1.4f3278c15c9cp-6, -0x1.46d59e482a3a8p-6, -0x1.3ea82ccae3015p-6, -0x1.36a9397098cd8p-6, -0x1.2ed7db7d976e8p-6, -0x1.2733320f15a1cp-6, -0x1.1fba5d955ab17p-6, -0x1.186c8373960a3p-6, -0x1.1148ccc747e5p-6, -0x1.0a4e6663b77dcp-6, -0x1.037c814d4061ap-6, -0x1.f9a4a4606e6b2p-7, -0x1.ec9e214f62481p-7, -0x1.dfe3f317eaaa7p-7, -0x1.d374906684f8ap-7, -0x1.c74e84dc4c57bp-7, -0x1.bb705b57d55eep-7, -0x1.afd89ec8ae9efp-7, -0x1.a485ed8a7dd5fp-7, -0x1.9976e665f6da7p-7, -0x1.8eaa242d5ad8ap-7, -0x1.841e5a12391cdp-7, -0x1.79d2331f3a686p-7, -0x1.6fc469aed9428p-7, -0x1.65f3b41ce2b11p-7, -0x1.5c5ed4a46d145p-7, -0x1.5304917090052p-7, -0x1.49e3b610c20e6p-7, -0x1.40fb12c6838b7p-7, -0x1.38497df9845dcp-7, -0x1.2fcdd20825b1fp-7, -0x1.2786f02d92e3fp-7, -0x1.1f73bc3a2e9efp-7, -0x1.179322f76f069p-7, -0x1.0fe40ae8e61b5p-7, -0x1.08656f8927f5bp-7, -0x1.011645b2a6e83p-7, -0x1.f3eb16178afa1p-8, -0x1.e6047ee7c064fp-8, -0x1.d876d2059be61p-8, -0x1.cb402571e6daap-8, -0x1.be5e8e26c9cb4p-8, -0x1.b1d038a8f37e7p-8, -0x1.a5935022a590bp-8, -0x1.99a6099c18b8p-8, -0x1.8e06a45af9be3p-8, -0x1.82b365507b2ddp-8, -0x1.77aa9b7df2ef7p-8, -0x1.6cea9a6099ab7p-8, -0x1.6271c1fa293bp-8, -0x1.583e761f22cd2p-8, -0x1.4e4f25cd215bfp-8, -0x1.44a242d01c6e6p-8, -0x1.3b364a01018c9p-8, -0x1.3209c27b516e9p-8, -0x1.291b28d124261p-8, -0x1.20691b762323p-8, -0x1.17f22def3dd4p-8, -0x1.0fb4fcb11889p-8, -0x1.07b0358bcd3d1p-8, -0x1.ffc4f8ee9d63ap-9, -0x1.f0950e6415635p-9, -0x1.e1ce1e5898d1fp-9, -0x1.d36da20ca4e18p-9, -0x1.c571398e4852dp-9, -0x1.b7d669adc915ep-9, -0x1.aa9ade4f4efcap-9, -0x1.9dbc49e0f17c2p-9, -0x1.9138645bcdf43p-9, -0x1.850cfc2288006p-9, -0x1.7937e3651e565p-9, -0x1.6db6f956d14b8p-9, -0x1.62882a8e307d1p-9, -0x1.57a96c40d9f1p-9, -0x1.4d18bee750dfap-9, -0x1.42d42e7c4eb81p-9, -0x1.38d9dd66e0585p-9, -0x1.2f27c90cc03bap-9, -0x1.25bc3e5f4fe3ap-9, -0x1.1c9567c743c21p-9, -0x1.13b18440c4a5dp-9, -0x1.0b0edc48064fbp-9, -0x1.02abbfef818b9p-9, -0x1.f50d1d1eb9bfcp-10, -0x1.e53b556e002dp-10, -0x1.d5df05930f19cp-10, -0x1.c6f517cf43c91p-10, -0x1.b87a9b85592ecp-10, -0x1.aa6c8f840c5c6p-10, -0x1.9cc81c1f9797ap-10, -0x1.8f8a78f545d25p-10, -0x1.82b0e31c00291p-10, -0x1.7638ac63c2783p-10, -0x1.6a1f4198dee8ap-10, -0x1.5e621254c61f4p-10, -0x1.52fe9b575994p-10, -0x1.47f2717c8c64ep-10, -0x1.3d3b3559e6fb3p-10, -0x1.32d6959204c45p-10, -0x1.28c24a97cf3bfp-10, -0x1.1efc22d1e21dap-10, -0x1.1581f7ac745cep-10, -0x1.0c51adc0cff86p-10, -0x1.036934e8d3018p-10, -0x1.f58d264598f27p-11, -0x1.e4cf9360442b5p-11, -0x1.d495f034d2f4bp-11, -0x1.c4dc916d827b2p-11, -0x1.b59fc822e1d11p-11, -0x1.a6dc11050e12cp-11, -0x1.988e0abd880dbp-11, -0x1.8ab22bfb58fbdp-11, -0x1.7d4556f2731a4p-11, -0x1.704461d7e5dfep-11, -0x1.63ac22b834313p-11, -0x1.577991d6e6c6bp-11, -0x1.4ba9be4506fd3p-11, -0x1.4039d8c0ae57dp-11, -0x1.3526fd117d96bp-11, -0x1.2a6e6a8b073d1p-11, -0x1.200dc8917d8ddp-11, -0x1.16022cd85411ap-11, -0x1.0c4933a4a4c95p-11, -0x1.02e069f50f4abp-11, -0x1.f38ad877841fap-12, -0x1.e1ebcd790d6b6p-12, -0x1.d0df4afd55422p-12, -0x1.c060fc0acf0eap-12, -0x1.b06c77445f7bap-12, -0x1.a0fd8bfd75f01p-12, -0x1.92104b9b554c6p-12, -0x1.83a0e102c638dp-12, -0x1.75ab4fad224e2p-12, -0x1.682be2e8a4d68p-12, -0x1.5b1f3340d760bp-12, -0x1.4e819308bf10bp-12, -0x1.424f8e581294ap-12, -0x1.3685e13b57467p-12, -0x1.2b219b4fe6188p-12, -0x1.201f2eadde303p-12, -0x1.157bcd95aff0ep-12, -0x1.0b346f3e37864p-12, -0x1.01463b1dc0f39p-12, -0x1.ef5cc0b9b0f3fp-13, -0x1.dcd4809a153c7p-13, -0x1.caee59d912221p-13, -0x1.b9a5267b868f6p-13, -0x1.a8f3df488e524p-13, -0x1.98d60441fd88ep-13, -0x1.89469fa1b2f8cp-13, -0x1.7a4136f44826ep-13, -0x1.6bc162d1fb204p-13, -0x1.5dc2df72f637ep-13, -0x1.5041a8606bf77p-13, -0x1.43396e6171dc6p-13, -0x1.36a6a52fe3459p-13, -0x1.2a854ef46c5b6p-13, -0x1.1ed1b27e14f4p-13, -0x1.138835d7aa741p-13, -0x1.08a590155bde9p-13, -0x1.fc4d1c2873a76p-14, -0x1.e80f10d5e031dp-14, -0x1.d48af58a9deaap-14, -0x1.c1bac9bb24ed8p-14, -0x1.af9903b6b0833p-14, -0x1.9e1eb741ca132p-14, -0x1.8d47785cd64efp-14, -0x1.7d0d7f9a2fa3ep-14, -0x1.6d6b3daf25a1fp-14, -0x1.5e5c12f8c3f5fp-14, -0x1.4fdb0f9e90172p-14, -0x1.41e33231f3b52p-14, -0x1.346f8f83898a7p-14, -0x1.277c73b8127eap-14, -0x1.1b05a1e1a1d9ap-14, -0x1.0f0606b23111bp-14, -0x1.0379df483896cp-14, -0x1.f0bad7ff80e4dp-15, -0x1.db59804bbbfddp-15, -0x1.c6c8754f6cfacp-15, -0x1.b30038a0547e8p-15, -0x1.9ffa64e87b8e2p-15, -0x1.8dafee29723ap-15, -0x1.7c1a6d37711ep-15, -0x1.6b3374c530c5cp-15, -0x1.5af50ea752e98p-15, -0x1.4b598477f693cp-15, -0x1.3c59a0b610f29p-15, -0x1.2df2c5e8793a2p-15, -0x1.201e591871ccep-15, -0x1.12d620d4f789dp-15, -0x1.0615e52a2a2bep-15, -0x1.f3b1347f0559p-16, -0x1.dc3451b2a2ddp-16, -0x1.c5aa7c7076e3fp-16, -0x1.b00c5ac6e20a4p-16, -0x1.9b511adf08015p-16, -0x1.876f0af014c7cp-16, -0x1.7460193bf62afp-16, -0x1.621b6fe8d7913p-16, -0x1.509b48b663703p-16, -0x1.3fd72d50aca8ep-16, -0x1.2fc7f9d07fdabp-16, -0x1.2067b8f229be8p-16, -0x1.11b06d638935p-16, -0x1.0398b2e92f80cp-16, -0x1.ec3e4384daea2p-17, -0x1.d275a92be2ec1p-17, -0x1.b9ce2eefd9fcdp-17, -0x1.a23da49370af9p-17, -0x1.8bb6021d51f9p-17, -0x1.7631a861a46abp-17, -0x1.61a451a138ef5p-17, -0x1.4e0405b2129e2p-17, -0x1.3b499ff7ec28ap-17, -0x1.296b221b77644p-17, -0x1.185ffd9746579p-17, -0x1.081fa48aa8541p-17, -0x1.f1485e6f1c6fp-18, -0x1.d3c154b9fe3f8p-18, -0x1.b7a133a347461p-18, -0x1.9ce6ba5927886p-18, -0x1.837054bc6dec1p-18, -0x1.6b39ea894b70bp-18, -0x1.5435be5000393p-18, -0x1.3e55763255144p-18, -0x1.298fb4c2364f7p-18, -0x1.15d48837ebbc3p-18, -0x1.032240b70d689p-18, -0x1.e2c1c22d4af57p-19, -0x1.c131b2fbb24eep-19, -0x1.a14e8c64cc9b6p-19, -0x1.832ca210185a2p-19, -0x1.66a8283c3163bp-19, -0x1.4bb6e22ed9b49p-19, -0x1.3240d2a1c9a46p-19, -0x1.1a3bc0453d69dp-19, -0x1.039bcc57325p-19, -0x1.dc65122649972p-20, -0x1.b44462f53c113p-20, -0x1.8e6e8ce043566p-20, -0x1.6af514c0a4bf7p-20, -0x1.498970854f6f7p-20, -0x1.2a42b3fe3063ep-20, -0x1.0cf36ae67dbb8p-20, -0x1.e322e427951p-21, -0x1.afeda91717f4dp-21, -0x1.8029e76f0eef5p-21, -0x1.5395edc3eb721p-21, -0x1.2a6fd9f48b4d2p-21, -0x1.03d30c79da14dp-21, -0x1.c098d49aa91d3p-22, -0x1.7ed4bf984ff55p-22, -0x1.421d6ab723d4fp-22, -0x1.0a2f224225998p-22, -0x1.adcec6162e356p-23, -0x1.4ff850eed2683p-23, -0x1.f4ce14af1662bp-24, -0x1.5906fdcd44625p-24, -0x1.99441de65c369p-25, -0x1.36b23f5f320cep-26, 0x1.2921bd808f25fp-27, 0x1.10514644229ecp-25, 0x1.c37a7e44f0178p-25, 0x1.2fc685b10dff1p-24, 0x1.73621ebacac2fp-24, 0x1.ad0cb571d2581p-24, 0x1.dd7993cc2a9d7p-24, 0x1.0290f5cad01d4p-23, 0x1.126ae86e0c63cp-23, 0x1.1e576b643ea82p-23, 0x1.26910768ec7abp-23, 0x1.2bd1da9468bcfp-23, 0x1.2d91a9de092dap-23, 0x1.2d1241900a619p-23, 0x1.2827d406da04cp-23, 0x1.22bddabc59386p-23, 0x1.1a52e4bda8a75p-23, 0x1.0fc6a61b08d7ap-23, 0x1.03382a9338fc3p-23, 0x1.e976570c70fcbp-24, 0x1.c993d17b4f36cp-24, 0x1.a6d12636d676ep-24, 0x1.81a43fa0334fdp-24, 0x1.59023fd4a65d6p-24, 0x1.2ea3f38deb04ap-24, 0x1.01e830b35ad3p-24, 0x1.a923d916fa34ep-25, 0x1.485bc599d755p-25, 0x1.cf732f4f5cb83p-26, 0x1.073f7c41d38d2p-26, 0x1.191dde2f82a62p-28, -0x1.1ead76ab7c3cp-27, -0x1.64fddfb2914f5p-26, -0x1.1bc832b3dcd9dp-25, -0x1.841bbf747b7ecp-25, -0x1.f095fbde4ff3dp-25, -0x1.2d521e5b4c03fp-24, -0x1.62a3854caa72bp-24, -0x1.97adbb7cdbf8ep-24, -0x1.cc80fa1e51e5ep-24, -0x1.006fcb6da9d67p-23, -0x1.1a679bf383f57p-23, -0x1.34172dd3ebe88p-23, -0x1.4d7116db27313p-23, -0x1.668832f9d397bp-23, -0x1.7e50f92b402d7p-23, -0x1.9644fef5f6be2p-23, -0x1.af38a3aaf5e2p-23, -0x1.c65ebbcceb31ap-23, -0x1.dd2686be30685p-23, -0x1.f3607976b5f9p-23, -0x1.04881431885e9p-22, -0x1.0f271fb0ec70ep-22, -0x1.1972f744f8e38p-22, -0x1.23788ebed552p-22, -0x1.2d19365bba493p-22, -0x1.3692835f078f4p-22, -0x1.3fa295e854bcp-22, -0x1.48698d8d5d1dap-22, -0x1.50f3f48e37febp-22, -0x1.58ce40eacd3c4p-22, -0x1.60c796fef9f4dp-22, -0x1.685306f0053b7p-22, -0x1.6f841ae85df4ep-22, -0x1.764f82e3a76f2p-22, -0x1.7da129f6cb41ep-22, -0x1.82a25abb44199p-22, -0x1.88f63321ad12ep-22, -0x1.8e7550760de99p-22, -0x1.93af9bd807864p-22, -0x1.989b22ee9ef87p-22, -0x1.9d2a7bbbe77afp-22, -0x1.a1787ce723347p-22, -0x1.a5744088e5dbbp-22, -0x1.a92c6d46d297cp-22, -0x1.ac7d8aba1333ep-22, -0x1.af8dbd6c160f2p-22, -0x1.b254350089d4p-22, -0x1.b4cf8287bfaf4p-22, -0x1.b713eb0c46eb8p-22, -0x1.b8e9237c788bdp-22, -0x1.baad9f583a573p-22, -0x1.bc018f03cd0c5p-22, -0x1.bcb8cb47b46d3p-22, -0x1.bdebd25d69b12p-22, -0x1.be8d974b53eccp-22, -0x1.bee17ce71d3d5p-22, -0x1.bee5bc464c1e5p-22, -0x1.bec0279e6fc89p-22, -0x1.be69c82b55e9cp-22, -0x1.bdcc4abc7c258p-22, -0x1.bcf64df938b15p-22, -0x1.bbe9b37cd76ep-22, -0x1.ba7a13fe239bbp-22, -0x1.b953ac83af4e7p-22, -0x1.b7a80843993d8p-22, -0x1.b591b0ea3b584p-22, -0x1.b3a35b98c2526p-22, -0x1.b16d48d3d9d23p-22, -0x1.aefe1cecaa135p-22, -0x1.ac786017b7274p-22, -0x1.a9b3a45fe80eep-22, -0x1.a6d7e91490371p-22, -0x1.a34eb825e4a72p-22, -0x1.a13ce3cf89d97p-22, -0x1.9d3c04dfbc823p-22, -0x1.99b98532bd2fp-22, -0x1.96319a5a8d4b8p-22, -0x1.925bdb2277c49p-22, -0x1.8e812fb98875ep-22, -0x1.8a8632ea546bfp-22, -0x1.8672aa0216bd9p-22, -0x1.8235c2d5cba65p-22, -0x1.7df23f84bd63fp-22, -0x1.799a6bfd8a55dp-22, -0x1.75003705f68c2p-22, -0x1.7081cfface7d4p-22, -0x1.6bd0f8d51757cp-22, -0x1.6715deb06db04p-22, -0x1.6246ebcb169bcp-22, -0x1.5d66382dfa748p-22, -0x1.5877183eb7ab6p-22, -0x1.534f304047b93p-22, -0x1.4e4d1bb562a3p-22, -0x1.49a5397b9e65ep-22, -0x1.44151a730d846p-22, -0x1.3eed41ce8067cp-22, -0x1.39ac79bb9fb37p-22, -0x1.346fa89841c14p-22, -0x1.2f041e4210291p-22, -0x1.29d93ce1ddb17p-22, -0x1.246a636e4d686p-22, -0x1.1f0632be2def7p-22, -0x1.199fa32b64a64p-22, -0x1.1432b8c85b32dp-22, -0x1.0ec19190a1019p-22, -0x1.0950baa650418p-22, -0x1.03e29306c80c1p-22, -0x1.fc8f86b59fe63p-23, -0x1.f24c1c43c456p-23, -0x1.e736d61af9667p-23, -0x1.dc006afbf9a58p-23, -0x1.d15ab0bd308bdp-23, -0x1.c67f1ab66ced9p-23, -0x1.bba5325fc4d1p-23, -0x1.b007f8e81eee7p-23, -0x1.a735d7e0085eep-23, -0x1.9b460d6804f04p-23, -0x1.90c592778a553p-23, -0x1.861e719c6ecf8p-23, -0x1.7b8cd889e9c9ap-23, -0x1.710481aeba988p-23, -0x1.66924569ab72fp-23, -0x1.5c0f7b5ea028bp-23, -0x1.520de250f7456p-23, -0x1.4798417bbf12ep-23, -0x1.3d6ffbe1cf5bap-23, -0x1.33532df6f2d3p-23, -0x1.293fbe0e3b0c7p-23, -0x1.1f6e503e13df2p-23, -0x1.157e48ffbea0cp-23, -0x1.0bd528df11704p-23, -0x1.01e388841df8ap-23, -0x1.f14e9779e4efdp-24, -0x1.ddf64572fdc2cp-24, -0x1.cb31ad1dae97cp-24, -0x1.b8a6cc3c715c7p-24, -0x1.a64d0d918e78fp-24, -0x1.9365ef38d58abp-24, -0x1.8290d5c893f0dp-24, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.67b5aee3f5a74p-4, -0x1.8c0baed9333a7p-4, -0x1.af0cde8d25976p-4, -0x1.d060e3f5c8b12p-4, -0x1.efbb3eada4868p-4, -0x1.066e34f68e1fp-3, -0x1.13c8e56133fa7p-3, -0x1.1fdb0e37d3c42p-3, -0x1.2a97cf6ae6f2ap-3, -0x1.33f8a3a474f63p-3, -0x1.3bfb7b9ca878fp-3, -0x1.42a293d16e44bp-3, -0x1.47f4fe7a4b3fcp-3, -0x1.4bfc78a7b8038p-3, -0x1.4ec5be84ac8d5p-3, -0x1.505fde0c12dcap-3, -0x1.50dbae16d78e7p-3, -0x1.504b534acf4a1p-3, -0x1.4ec1de991ced5p-3, -0x1.4c52ff75e1425p-3, -0x1.4912c8c7994bcp-3, -0x1.4515696478335p-3, -0x1.406ece632f92cp-3, -0x1.3b3266a5466cfp-3, -0x1.357316d7082dfp-3, -0x1.2f43237f4ffe5p-3, -0x1.28b3f2c572f17p-3, -0x1.21d5d4ede3f6fp-3, -0x1.1ab8019c39097p-3, -0x1.1368b4a36a0bp-3, -0x1.0bf535e7330e8p-3, -0x1.0469bc3541f74p-3, -0x1.f9a292ee34d36p-4, -0x1.ea6a8e73b8291p-4, -0x1.db3dbd822124p-4, -0x1.cc2b54c02e795p-4, -0x1.bd40cac5801d1p-4, -0x1.ae89aca2468ecp-4, -0x1.a00fbb9fcfd3ap-4, -0x1.91db032507213p-4, -0x1.83f1f65bd1abap-4, -0x1.76598ce7821bp-4, -0x1.69156039b3933p-4, -0x1.5c27c9e7b8269p-4, -0x1.4f92025d6b6aep-4, -0x1.43543f43bfa9ap-4, -0x1.376dceef7f695p-4, -0x1.2bdd30bbb31e8p-4, -0x1.20a02fc204ea6p-4, -0x1.15b3f7f84b601p-4, -0x1.0b152ffdf9ee2p-4, -0x1.00c00ef748874p-4, -0x1.ed60deafe5a41p-5, -0x1.d9c3bdd73667dp-5, -0x1.c69f560e38a0cp-5, -0x1.b3e9e1f0c618fp-5, -0x1.a199584b5a994p-5, -0x1.8fa38b9eecff1p-5, -0x1.7dfe4751cd6a4p-5, -0x1.6c9f664197682p-5, -0x1.5b7ce92f0b5dap-5, -0x1.4a8cffd733fd4p-5, -0x1.39c618c85ce92p-5, -0x1.291ee9d378946p-5, -0x1.188e7ab7539f8p-5, -0x1.080c2fa989aa9p-5, -0x1.ef1faa321fc09p-6, -0x1.ce2354f513069p-6, -0x1.ad14d5b154412p-6, -0x1.8be6ac646cc8fp-6, -0x1.6a8c6f318f7c1p-6, -0x1.48fac8b6dee56p-6, -0x1.27277b474193p-6, -0x1.05095b648130fp-6, -0x1.c5308ff78fd8ep-7, -0x1.7f9a4640e100fp-7, -0x1.39439f171437ep-7, -0x1.e44b4ba31fc9ep-8, -0x1.5460a09d6a5f4p-8, -0x1.8584bdfbcb513p-9, -0x1.7b3fdf4c83a6ap-11, 0x1.96cc800404118p-10, 0x1.f91f589fae477p-9, 0x1.952a97163f02bp-8, 0x1.17be9a5bbfd5dp-7, 0x1.65beb7372baddp-7, 0x1.b48ef9e3fdb38p-7, 0x1.02139ac785e5cp-6, 0x1.2a3ee94b4b1cbp-6, 0x1.52c3f3869048dp-6, 0x1.7b9ca17e5a181p-6, 0x1.a4c24c24b65a5p-6, 0x1.ce2db73f14df4p-6, 0x1.f7d727684e514p-6, 0x1.10db31a570e0ep-5, 0x1.25e15f0d139f1p-5, 0x1.3af98f07551fdp-5, 0x1.501f040c94f5p-5, 0x1.654cd3931f773p-5, 0x1.7a7deba60d36ep-5, 0x1.8fad16a2bec9p-5, 0x1.a4d5029b55769p-5, 0x1.b9f044d9bea3bp-5, 0x1.cef95ec7b1f4ep-5, 0x1.e3eac3d2ea837p-5, 0x1.f8bedd7ffc82fp-5, 0x1.06b807bfea631p-4, 0x1.10fc5dfe5d707p-4, 0x1.1b29a367aa244p-4, 0x1.253d0d00cd38p-4, 0x1.2f33d399b445ap-4, 0x1.390b3635027f1p-4, 0x1.42c07b14c957ap-4, 0x1.4c50f1748189dp-4, 0x1.55b9f2d8e20a7p-4, 0x1.5ef8e4a37230fp-4, 0x1.680b3903a798cp-4, 0x1.70ee7134c26dcp-4, 0x1.79a01e05686f8p-4, 0x1.821de198b0e8p-4, 0x1.8a657024f5c5fp-4, 0x1.9274919290ad8p-4, 0x1.9a4921f3f4a8p-4, 0x1.a1e112cda614bp-4, 0x1.a93a6bc9f7328p-4, 0x1.b0534b702091fp-4, 0x1.b729e7fc01824p-4, 0x1.bdbc8fcc5bb1dp-4, 0x1.c409a9a4497f3p-4, 0x1.ca0fb608a1ec5p-4, 0x1.cfcd4e5f3257p-4, 0x1.d54126418d39dp-4, 0x1.da6a0b5650f9dp-4, 0x1.df46e59c6c9f3p-4, 0x1.e3d6b75db4145p-4, 0x1.e8189dcb8589p-4, 0x1.ec0bd06fdb75cp-4, 0x1.efafa1b19590fp-4, 0x1.f3037e9707a27p-4, 0x1.f606eeaea4f78p-4, 0x1.f8b99429c1063p-4, 0x1.fb1b2b13034ddp-4, 0x1.fd2b8a0e59d5cp-4, 0x1.feeaa1217ed58p-4, 0x1.002c3d11e479ep-3, 0x1.00ba9bec91238p-3, 0x1.01208adf380fbp-3, 0x1.015e33f7c0464p-3, 0x1.0173cd11d3733p-3, 0x1.016197cc37fe2p-3, 0x1.0127e12f1d146p-3, 0x1.00c7017427fb5p-3, 0x1.003f5ba18f375p-3, 0x1.ff22bac876fcbp-4, 0x1.fd7afd4a08fe4p-4, 0x1.fb88827080b1dp-4, 0x1.f94c61062badp-4, 0x1.f6c7c239ee843p-4, 0x1.f3fbe1480782fp-4, 0x1.f0ea0a18e86d8p-4, 0x1.ed93991cfa24ap-4, 0x1.e9f9f9ecaf8b5p-4, 0x1.e61ea739ecf21p-4, 0x1.e2032964a1179p-4, 0x1.dda915e15e1efp-4, 0x1.d91221ba424c5p-4, 0x1.d43ff193c109cp-4, 0x1.cf3432b1de6adp-4, 0x1.c9f0a644098c3p-4, 0x1.c47716ea0ac86p-4, 0x1.bec9578913f31p-4, 0x1.b8e9429864bep-4, 0x1.b2d8b97a66572p-4, 0x1.ac99a39e0d857p-4, 0x1.a62dedc333ad6p-4, 0x1.9f97894f3063p-4, 0x1.98d86b77c362dp-4, 0x1.91f28c891d79ep-4, 0x1.8ae7e6dd72ab9p-4, 0x1.83ba77008dd83p-4, 0x1.7c6c39fd8cda5p-4, 0x1.74ff2d5bb5874p-4, 0x1.6d754e2b23cc1p-4, 0x1.65d098789aadp-4, 0x1.5e13069b66344p-4, 0x1.563e90a15e7fp-4, 0x1.4e552bb7e137cp-4, 0x1.4658c984799f7p-4, 0x1.3e4b57c03378dp-4, 0x1.362ebf87ada16p-4, 0x1.2e04e4e7b5f8dp-4, 0x1.25cfa65963fe1p-4, 0x1.1d90dc5abda27p-4, 0x1.154a58c236adcp-4, 0x1.0cfde6c15637dp-4, 0x1.04ad49d930746p-4, 0x1.f8b47c69df663p-5, 0x1.e80cef24a80e3p-5, 0x1.d767432634e81p-5, 0x1.c6c6bcdb23a46p-5, 0x1.b62e9090c68e1p-5, 0x1.a5a1de1fa402ep-5, 0x1.9523b2aa4407bp-5, 0x1.84b707ebf446bp-5, 0x1.745ec2dbf07e6p-5, 0x1.641db423ab95bp-5, 0x1.53f69764e669cp-5, 0x1.43ec12d80eefdp-5, 0x1.3400b72e927ecp-5, 0x1.2436ff2bbdeb1p-5, 0x1.14914f6e8ba06p-5, 0x1.0511f65d86658p-5, 0x1.eb7657ca3364p-6, 0x1.cd1e22d67ecd1p-6, 0x1.af1f633eb6225p-6, 0x1.917e015b41c38p-6, 0x1.743db77e64825p-6, 0x1.5762130e86392p-6, 0x1.3aee75106c03p-6, 0x1.1ee60fb3ae806p-6, 0x1.034be8f7f09ccp-6, 0x1.d045b4dbb9dbbp-7, 0x1.9adb22312acd7p-7, 0x1.665d1cea751fap-7, 0x1.32d050735fa7cp-7, 0x1.0039116877761p-7, 0x1.9d36bed1507c5p-8, 0x1.3bf5cb30d5f49p-8, 0x1.b96bff9783ed8p-9, 0x1.fdf58aca78206p-10, 0x1.228b47a3a94d9p-11, -0x1.a649039c05e17p-11, -0x1.179c06b985bebp-9, -0x1.c1734555a9b14p-9, -0x1.3388f67aedaa2p-8, -0x1.843987117073p-8, -0x1.d2c96d46b1fe4p-8, -0x1.0f9ba55895a03p-7, -0x1.34c124b522cdp-7, -0x1.58d50b82a7e2cp-7, -0x1.7bd770f0de5b9p-7, -0x1.9dc8aaeb5ec91p-7, -0x1.bea9495663c34p-7, -0x1.de7a1a945058fp-7, -0x1.fd3c239cce1ep-7, -0x1.0d784f785a8fdp-6, -0x1.1bcc7f09be4fep-6, -0x1.299b737b4b6b9p-6, -0x1.36e616651f40fp-6, -0x1.43ad68cd2407ap-6, -0x1.4ff2852fa996ap-6, -0x1.5bb699042cdf8p-6, -0x1.66fae6cd884a2p-6, -0x1.71c0c65aba198p-6, -0x1.7c09a0d75cefbp-6, -0x1.85d6f1eb6ef47p-6, -0x1.8f2a45ed29747p-6, -0x1.9805391dcc843p-6, -0x1.a06977a4194afp-6, -0x1.a858bb7dfe0cap-6, -0x1.afd4cabb734a1p-6, -0x1.b6df7a04773a6p-6, -0x1.bd7aa87247998p-6, -0x1.c3a84022113b7p-6, -0x1.c96a351ccbbe6p-6, -0x1.cec284c61a5dp-6, -0x1.d3b333d09ceacp-6, -0x1.d83e5016da705p-6, -0x1.dc65ed2db223bp-6, -0x1.e02c252590e4ap-6, -0x1.e39316742aeacp-6, -0x1.e69ce58fec693p-6, -0x1.e94bb9cd9427fp-6, -0x1.eba1bde9437b8p-6, -0x1.eda11fc604938p-6, -0x1.ef4c0e2e46bc4p-6, -0x1.f0a4b981261fcp-6, -0x1.f1ad5449375c1p-6, -0x1.f2680eb75223bp-6, -0x1.f2d719cc7868dp-6, -0x1.f2fca5b0afbbdp-6, -0x1.f2dae11a8a909p-6, -0x1.f273f7c54bafbp-6, -0x1.f1ca1421ed9d1p-6, -0x1.f0df5c5d96b11p-6, -0x1.efb5f4aeacd52p-6, -0x1.ee4ffb6ed93bep-6, -0x1.ecaf8b8468942p-6, -0x1.ead6bd0f856afp-6, -0x1.e8c7a032b34b1p-6, -0x1.e684412d96be6p-6, -0x1.e40ea614d2181p-6, -0x1.e168cf39b9789p-6, -0x1.de94b6013e602p-6, -0x1.db944cdd5f473p-6, -0x1.d869804ec5344p-6, -0x1.d51634e139bf9p-6, -0x1.d19c47b18fe97p-6, -0x1.cdfd8ea5b536dp-6, -0x1.ca3bd663608e4p-6, -0x1.c658e549651f2p-6, -0x1.c2567846470eep-6, -0x1.be36444455e98p-6, -0x1.b9f9f4cda1d66p-6, -0x1.b5a32df6acf3dp-6, -0x1.b1338a1d23d3dp-6, -0x1.acac9b4e2bd92p-6, -0x1.a80fe8d61017fp-6, -0x1.a35ef371dedf8p-6, -0x1.9e9b30fa401abp-6, -0x1.99c60f04b0708p-6, -0x1.94e0f0b43a34cp-6, -0x1.8fed3129e127ap-6, -0x1.8aec2190cca41p-6, -0x1.85df092a8a118p-6, -0x1.80c7273acffb8p-6, -0x1.7ba5b1903d792p-6, -0x1.767bd4035c3c7p-6, -0x1.714ab19890d1ap-6, -0x1.6c136454cd6f1p-6, -0x1.66d6fdebea098p-6, -0x1.61968517ab9e1p-6, -0x1.5c52f9e8c95c6p-6, -0x1.570d52de82217p-6, -0x1.51c67d5a1443ap-6, -0x1.4c7f5ebecbcbcp-6, -0x1.4738d3e9d5c7ep-6, -0x1.41f3b216c33d1p-6, -0x1.3cb0c504b2aacp-6, -0x1.3770d180a0874p-6, -0x1.3234944d7162cp-6, -0x1.2cfcc2d2445aep-6, -0x1.27ca09f25172ap-6, -0x1.229d1082717a5p-6, -0x1.1d767598c1a7cp-6, -0x1.1856d142da52fp-6, -0x1.133eb4e82a4e1p-6, -0x1.0e2eab2cf4e22p-6, -0x1.09273846ec9aap-6, -0x1.0428da70fbfe6p-6, -0x1.fe6812b26faa7p-7, -0x1.f492711d97ea8p-7, -0x1.ead1a30a3bb2p-7, -0x1.e12677cbdab5ep-7, -0x1.d791b17f5487fp-7, -0x1.ce1407b939455p-7, -0x1.c4ae28137b44ap-7, -0x1.bb60b53e1ea65p-7, -0x1.b22c493f6270bp-7, -0x1.a911743d21113p-7, -0x1.a010bd5de3b2p-7, -0x1.972aa2e98a08cp-7, -0x1.8e5f99371aec5p-7, -0x1.85b00eb99ca41p-7, -0x1.7d1c675f0023cp-7, -0x1.74a4fff93ab1bp-7, -0x1.6c4a2db536a38p-7, -0x1.640c3d89b91d4p-7, -0x1.5beb766a7871p-7, -0x1.53e8140bf6efcp-7, -0x1.4c0250a09688cp-7, -0x1.443a5bf1697a4p-7, -0x1.3c905fad4ddc1p-7, -0x1.35047eea32f52p-7, -0x1.2d96d78fa5ce8p-7, -0x1.26477d4b7022ep-7, -0x1.1f1682ebb2e17p-7, -0x1.1803f2049d533p-7, -0x1.110fcf009fea5p-7, -0x1.0a3a191e89abp-7, -0x1.0382c8a2bd624p-7, -0x1.f9d3a4e972945p-8, -0x1.ecde4a02fc8d3p-8, -0x1.e0255379c74adp-8, -0x1.d3a88bc8123f3p-8, -0x1.c767b34dd37afp-8, -0x1.bb6280243ce32p-8, -0x1.af98a025327bbp-8, -0x1.a409bb2f064eap-8, -0x1.98b56f165abap-8, -0x1.8d9b50046a5a8p-8, -0x1.82baedb0cab54p-8, -0x1.7813d04dc3fd6p-8, -0x1.6da5789f86736p-8, -0x1.636f619610446p-8, -0x1.5970ffe10c722p-8, -0x1.4fa9c44a69bfbp-8, -0x1.461914bec856fp-8, -0x1.3cbe5a986a458p-8, -0x1.3398f40f7884dp-8, -0x1.2aa83e495a45fp-8, -0x1.21eb91a62f85bp-8, -0x1.196242bb45f3ep-8, -0x1.110ba1eb0e193p-8, -0x1.08e700bc26cf6p-8, -0x1.00f3a84c00854p-8, -0x1.f261c75e7f004p-9, -0x1.e33bf57d977ecp-9, -0x1.d47464b114054p-9, -0x1.c6099f9e76a59p-9, -0x1.b7fa2bb4f7ad9p-9, -0x1.aa448f60fc68ep-9, -0x1.9ce749cb3e0edp-9, -0x1.8fe0e0990ceebp-9, -0x1.832fd4656e848p-9, -0x1.76d2a6b3deddp-9, -0x1.6ac7d95d0fc47p-9, -0x1.5f0df0e293885p-9, -0x1.53a369a7a0227p-9, -0x1.4886d15bcba9bp-9, -0x1.3db6a91df734fp-9, -0x1.33317a8431bb2p-9, -0x1.28f5cfb076b48p-9, -0x1.1f023566a7dd7p-9, -0x1.1555399e3911p-9, -0x1.0bed6e83144d2p-9, -0x1.02c9677fbc503p-9, -0x1.f3cf7b900b249p-10, -0x1.e28e0d5a5110ep-10, -0x1.d1cbc3066d1aap-10, -0x1.c185ddfee420ap-10, -0x1.b1b99d6976cc5p-10, -0x1.a26453647c024p-10, -0x1.93834c8a6e43ap-10, -0x1.8513e53e2eebfp-10, -0x1.7713780ad80e2p-10, -0x1.697f6e57fdf14p-10, -0x1.5c5534a6bb9a8p-10, -0x1.4f92403f507bap-10, -0x1.43340c0d4077p-10, -0x1.373823dbb98d2p-10, -0x1.2b9c133d1cbf7p-10, -0x1.205d78a9fa869p-10, -0x1.1579f4025f095p-10, -0x1.0aef3dc02fb12p-10, -0x1.00bb0cf061184p-10, -0x1.edb65d6b7f9dep-11, -0x1.da9b0371d4008p-11, -0x1.c81fcd0f1ebc3p-11, -0x1.b640a47eb0f57p-11, -0x1.a4f9a02ca928ep-11, -0x1.9446e0fed73dbp-11, -0x1.84249b5da44cep-11, -0x1.748f300b7dd07p-11, -0x1.658307e16b291p-11, -0x1.56fca249dc497p-11, -0x1.48f88eaf49808p-11, -0x1.3b735f9e7806dp-11, -0x1.2e69b4aaeb187p-11, -0x1.21d8372c8a9cap-11, -0x1.15bb834bc547cp-11, -0x1.0a10378e3ad01p-11, -0x1.fda5f3b457ap-12, -0x1.e800e4e5395a8p-12, -0x1.d32a6ae128d04p-12, -0x1.bf1bcd7db015ap-12, -0x1.abce7881c1be5p-12, -0x1.993bc870eecebp-12, -0x1.875d3d0880018p-12, -0x1.762c9eead8762p-12, -0x1.65a3bac272adbp-12, -0x1.55bc9867ba519p-12, -0x1.46718a61976cep-12, -0x1.37bd166082cd2p-12, -0x1.2999eb662133p-12, -0x1.1c03192d583f9p-12, -0x1.0ef3bca4687edp-12, -0x1.02674c4c9a6c3p-12, -0x1.ecb2b89a6baeap-13, -0x1.d58b8c4dfcaf5p-13, -0x1.bf50eaec33e08p-13, -0x1.a9fb38d0499d9p-13, -0x1.9582c5144969p-13, -0x1.81e073a4cf039p-13, -0x1.6f0d2db3253d8p-13, -0x1.5d02308670eaep-13, -0x1.4bb8c23c83c08p-13, -0x1.3b2a9723b6bdcp-13, -0x1.2b511f4639655p-13, -0x1.1c265463a29b2p-13, -0x1.0da44b1d8becfp-13, -0x1.ff8a0cf4f8c93p-14, -0x1.e505b9724acd6p-14, -0x1.cbb05887c3752p-14, -0x1.b37ee26ed6a13p-14, -0x1.9c66d80a2ebd7p-14, -0x1.865e0b2aa7c93p-14, -0x1.715a0c6cccd32p-14, -0x1.5d514b2b6c54ap-14, -0x1.4a3a0ad79e40fp-14, -0x1.380b17304c2aep-14, -0x1.26bb86709bac9p-14, -0x1.164255e3d657ap-14, -0x1.069754629724ap-14, -0x1.ef640b3dbbff9p-15, -0x1.d3154c02341a9p-15, -0x1.b83294108f7a4p-15, -0x1.9ead3b9d444a3p-15, -0x1.86768e866b056p-15, -0x1.6f8112ce78d09p-15, -0x1.59beb497a7872p-15, -0x1.45224c857d0f7p-15, -0x1.319fed73d24cdp-15, -0x1.1f2aa9414a1b6p-15, -0x1.0db7a71fde13dp-15, -0x1.fa7563ab8abcp-16, -0x1.db52317373d2ep-16, -0x1.bdf11a2acfd73p-16, -0x1.a23d28d78d667p-16, -0x1.882361aaf0c98p-16, -0x1.6f908e543eae8p-16, -0x1.587273e85d96cp-16, -0x1.42b8e90ba1e17p-16, -0x1.2e502b0ac6e89p-16, -0x1.1b2b56d97225dp-16, -0x1.0938e0c8609fep-16, -0x1.f0d66931acc52p-17, -0x1.d164dd2b5c644p-17, -0x1.b4032e3705feap-17, -0x1.98979a99a2d2cp-17, -0x1.7f06e7e98ab75p-17, -0x1.673a9c17a8652p-17, -0x1.511a23f4948eep-17, -0x1.3c8fa2de92b46p-17, -0x1.29843c3dc91d7p-17, -0x1.17e5509f56e09p-17, -0x1.079e592ae9efcp-17, -0x1.f13713269a29cp-18, -0x1.d59a3f59a5414p-18, -0x1.bc3b3b201c4cdp-18, -0x1.a50308fc87306p-18, -0x1.8fca56a6d247fp-18, -0x1.7c7678e631944p-18, -0x1.6aea76ffc3c3fp-18, -0x1.5b05b65274149p-18, -0x1.4cbaeb48ebccfp-18, -0x1.3fe16bc8a8a59p-18, -0x1.346a18913ffdap-18, -0x1.2a3bb11f42203p-18, -0x1.21419eda204adp-18, -0x1.1965dd0046686p-18, -0x1.129682b61e644p-18, -0x1.0cc0f9c64aeb7p-18, -0x1.07cea7a350219p-18, -0x1.03b7869f8e815p-18, -0x1.00640ebc14f0fp-18, -0x1.fb950e6a8e9b1p-19, -0x1.f7b46458c1641p-19, -0x1.f509e38ba8082p-19, -0x1.f38748fdedc51p-19, -0x1.f30d816b9da3bp-19, -0x1.f383f711989d5p-19, -0x1.f4dd4b5fd8a8cp-19, -0x1.f7008a49ada0cp-19, -0x1.f9d5d81986516p-19, -0x1.fd44af1c16d61p-19, -0x1.00a6e2c16667p-18, -0x1.02e021c89ebb9p-18, -0x1.054cbcdd7908fp-18, -0x1.07e5fc2cc11p-18, -0x1.0aa5117ea76a4p-18, -0x1.0d8654f670aedp-18, -0x1.1083cfe3a345p-18, -0x1.13956f849d294p-18, -0x1.16bb0b2e4850ep-18, -0x1.19e973350b31cp-18, -0x1.1d1f3e7ee7a9bp-18, -0x1.205b570fa4f5p-18, -0x1.239a8e6488e1bp-18, -0x1.26db146444b6p-18, -0x1.2a11cc1ae05ecp-18, -0x1.2d46815764f48p-18, -0x1.306c763996f89p-18, -0x1.3383f5bd54227p-18, -0x1.36885db388671p-18, -0x1.397d71a13fd41p-18, -0x1.3c5a0c90922bap-18, -0x1.3f208fe55f61ap-18, -0x1.41d2c03b4fccdp-18, -0x1.44620c6937eabp-18, -0x1.46e41e88758f2p-18, -0x1.494569bc49aep-18, -0x1.4b89c851c10a2p-18, -0x1.4db43d4d13b48p-18, -0x1.4fbff5ad0ec2dp-18, -0x1.51ae31f88372bp-18, -0x1.537fbca4be0e6p-18, -0x1.55314441cdb2fp-18, -0x1.56c412b577371p-18, -0x1.583ad89c92e8fp-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2f0eb4f93ac0bp-4, -0x1.4f06819e85886p-4, -0x1.6ed1a212053f5p-4, -0x1.8e46fc2e8c2ddp-4, -0x1.ad3effe3c9d11p-4, -0x1.cb9490ca0dc1fp-4, -0x1.e925b37b19671p-4, -0x1.02e9f6f48d8ebp-3, -0x1.10c248a1ee80ep-3, -0x1.1e1065c00e114p-3, -0x1.2acabcad6a0dfp-3, -0x1.36e9ae5d589dfp-3, -0x1.42674d65a3d95p-3, -0x1.4d3f5865adc0bp-3, -0x1.576f13f50c358p-3, -0x1.60f529b7c9eb3p-3, -0x1.69d188e5ff1edp-3, -0x1.7205430802af8p-3, -0x1.79926abc55bap-3, -0x1.807bf294d30acp-3, -0x1.86c58eebc08e3p-3, -0x1.8c73998e069bdp-3, -0x1.918af6513b3d5p-3, -0x1.9610fb6304194p-3, -0x1.9a0b5b0a5dd2bp-3, -0x1.9d800b0c9b67ap-3, -0x1.a0753086a52e9p-3, -0x1.a2f111e4023p-3, -0x1.a4fa06e4fe8fp-3, -0x1.a69669b1f3fb3p-3, -0x1.a7cc8a28664dfp-3, -0x1.a8a2a46913098p-3, -0x1.a91ed474d75ecp-3, -0x1.a947092c16a99p-3, -0x1.a92114081a2a3p-3, -0x1.a8b2891bb7156p-3, -0x1.a800c8524531dp-3, -0x1.a710f72c189edp-3, -0x1.a5e7fe8661119p-3, -0x1.a48a88de51747p-3, -0x1.a2fd01306e4p-3, -0x1.a1439242c079p-3, -0x1.9f6226db1ce04p-3, -0x1.9d5c6ad4a83bcp-3, -0x1.9b35cbf629d8ep-3, -0x1.98f17a9c73c5cp-3, -0x1.96926b6800c43p-3, -0x1.941b59cafb479p-3, -0x1.918ec9ff46ee4p-3, -0x1.8eef0b6ec112cp-3, -0x1.8c3e3a95d9711p-3, -0x1.897e42d2ada6ap-3, -0x1.86b0e1c742388p-3, -0x1.83d7a8fa845bcp-3, -0x1.80f401e54bf68p-3, -0x1.7e072fb85a66cp-3, -0x1.7b125148f1f04p-3, -0x1.78166332fc839p-3, -0x1.751441ee7cd88p-3, -0x1.720cacb673a32p-3, -0x1.6f0048e6ea1dfp-3, -0x1.6befa2b84c7e5p-3, -0x1.68db3030d3a5dp-3, -0x1.65c3523cb5c07p-3, -0x1.62a8562a8142dp-3, -0x1.5f8a77bdfa4f3p-3, -0x1.5c69e336b68a2p-3, -0x1.5946b676027c2p-3, -0x1.5621043a39d04p-3, -0x1.52f8d4fdd7908p-3, -0x1.4fce27e98be69p-3, -0x1.4ca0f3f05315bp-3, -0x1.497128ace68a8p-3, -0x1.463eaf283be22p-3, -0x1.43096b2747866p-3, -0x1.3fd13cb23f8c4p-3, -0x1.3c9600e28cd8dp-3, -0x1.39578df3e8a8ep-3, -0x1.3615ca4a64b02p-3, -0x1.32d089bbb0122p-3, -0x1.2f87a622d566ep-3, -0x1.2c3af99d0d6e3p-3, -0x1.28ea5f971ce92p-3, -0x1.2595b51f4667cp-3, -0x1.223cd964443fp-3, -0x1.1edfae143ac75p-3, -0x1.1b7e17d5fc69bp-3, -0x1.1817fdfbd68fdp-3, -0x1.14ad4c060cf9ap-3, -0x1.113df056317c1p-3, -0x1.0dc9ddcf0546cp-3, -0x1.0a510ab2d7fb9p-3, -0x1.06d371cd4558ep-3, -0x1.035111e334cc8p-3, -0x1.ff93dc0a4126fp-4, -0x1.f87c1be9ec494p-4, -0x1.f15af9bb9451cp-4, -0x1.ea30966f4837fp-4, -0x1.e2fd1b23133f8p-4, -0x1.dbc0b7f47c2abp-4, -0x1.d47ba8ecfc9f4p-4, -0x1.cd2e2ef097dacp-4, -0x1.c5d894d397f5fp-4, -0x1.be7b2d4130466p-4, -0x1.b716528cbba57p-4, -0x1.afaa66981fd4cp-4, -0x1.a837d2b31417dp-4, -0x1.a0bf073043989p-4, -0x1.99407a4c08c2fp-4, -0x1.91bcab4b39b81p-4, -0x1.8a341c037d211p-4, -0x1.82a756580561ep-4, -0x1.7b16e92ac0173p-4, -0x1.738368371e831p-4, -0x1.6bed6c318e989p-4, -0x1.64559253cf49ap-4, -0x1.5cbc7c02d0ba4p-4, -0x1.5522ce10722cap-4, -0x1.4d89310aac8dep-4, -0x1.45f050b2bed5cp-4, -0x1.3e58da2101e65p-4, -0x1.36c37ef3037abp-4, -0x1.2f30f10c8fdc9p-4, -0x1.27a1e468cf6f9p-4, -0x1.20170ebd8fd7bp-4, -0x1.18912663e6a2dp-4, -0x1.1110e20192afap-4, -0x1.0996f9122032dp-4, -0x1.0224232fa5b3p-4, -0x1.f5722e288ed65p-5, -0x1.e6ad1706fb739p-5, -0x1.d7fa6b3a32c2cp-5, -0x1.c95b93f2bdd06p-5, -0x1.bad1f7ad68408p-5, -0x1.ac5ef6fdbc0ecp-5, -0x1.9e03f3102b3c2p-5, -0x1.8fc243532543ap-5, -0x1.819b3d2f213a7p-5, -0x1.7390304f44fe9p-5, -0x1.65a266891735ep-5, -0x1.57d3225035641p-5, -0x1.4a23a1bfd45f2p-5, -0x1.3c95197bb9fep-5, -0x1.2f28b84d24709p-5, -0x1.21dfa483e0aep-5, -0x1.14bafd66d4ffbp-5, -0x1.07bbd79e4f6eep-5, -0x1.f5c683520a4c8p-6, -0x1.dc648362ae8f6p-6, -0x1.c353a38b7dab1p-6, -0x1.aa95c75df370ap-6, -0x1.922cc172111a5p-6, -0x1.7a1a523abf5dap-6, -0x1.6260219cc1fa6p-6, -0x1.4affc588d8827p-6, -0x1.33fac05f9fe61p-6, -0x1.1d5280562a13ap-6, -0x1.07085cfa460f8p-6, -0x1.e23b3cf259342p-7, -0x1.b726e0850afebp-7, -0x1.8cd5dc8fb7f15p-7, -0x1.634a3d0507b54p-7, -0x1.3a85e1764526dp-7, -0x1.128a8709c4cb2p-7, -0x1.d6b36c104de7cp-8, -0x1.89e9e223124fap-8, -0x1.3eba7dfec18f9p-8, -0x1.ea4f2ee4d9ad5p-9, -0x1.5a660cc0ede75p-9, -0x1.9b79274f7102bp-10, -0x1.1154b1ad09146p-11, 0x1.0739659278c59p-11, 0x1.8959abb802a56p-10, 0x1.4445984808bcfp-9, 0x1.c098b664c7269p-9, 0x1.1cd36175712ccp-8, 0x1.57b861fc18217p-8, 0x1.90fc42d1ab9f8p-8, 0x1.c8a024435cc7bp-8, 0x1.fea54fbb7081ap-8, 0x1.1986c0b10e57ap-7, 0x1.32ed480371686p-7, 0x1.4b875773cedd9p-7, 0x1.6356178f2cd4ap-7, 0x1.7a5ad8f50f7ap-7, 0x1.909706a70b19ep-7, 0x1.a60c28063f539p-7, 0x1.babbdd41ce355p-7, 0x1.cea7e3eb70a18p-7, 0x1.e1d21056beca7p-7, 0x1.f43c5055a8ddep-7, 0x1.02f453c3e8316p-6, 0x1.0b6c99a09e157p-6, 0x1.13880dc9319bcp-6, 0x1.1b47d642ee48bp-6, 0x1.22ad1ce144d41p-6, 0x1.29b9177a39403p-6, 0x1.306d02a5d16fep-6, 0x1.36ca249a1b72cp-6, 0x1.3cd1cb2352be9p-6, 0x1.428548b6cd9dbp-6, 0x1.47e5fb15c1a6ep-6, 0x1.4cf5432849c78p-6, 0x1.51b4882facdd9p-6, 0x1.56253792705c3p-6, 0x1.5a48c2a2a4d96p-6, 0x1.5e20a038c9f55p-6, 0x1.61ae492f70d3ep-6, 0x1.64f33cd0dd41dp-6, 0x1.67f0fbbd2077ep-6, 0x1.6aa909b094c99p-6, 0x1.6d1ceccb755d5p-6, 0x1.6f4e2d3ce515cp-6, 0x1.713e55ab419e2p-6, 0x1.72eeedbebdd4fp-6, 0x1.746184511b83fp-6, 0x1.7597a40214eecp-6, 0x1.7692d8567de19p-6, 0x1.7754b02644e6ap-6, 0x1.77deb3a97b287p-6, 0x1.78326e06caeebp-6, 0x1.7851687498a9cp-6, 0x1.783d2951e7b8cp-6, 0x1.77f73a0683ebdp-6, 0x1.77811a9bbf8f9p-6, 0x1.76dc4d774440cp-6, 0x1.760a51738b886p-6, 0x1.750ca1321ca9cp-6, 0x1.73e4b67a3d6bep-6, 0x1.729405f396ad4p-6, 0x1.711c013b7b463p-6, 0x1.6f7e163ee4d49p-6, 0x1.6dbbaeafea973p-6, 0x1.6bd63023421b3p-6, 0x1.69cefbc713132p-6, 0x1.67a77006dd39dp-6, 0x1.6560e061c404cp-6, 0x1.62fca43a9b9dp-6, 0x1.607c087853f98p-6, 0x1.5de05646dfdd8p-6, 0x1.5b2ad162b8349p-6, 0x1.585cb7bb6983fp-6, 0x1.557743c9c0277p-6, 0x1.527ba7d936d3ep-6, 0x1.4f6b11fa3c5a4p-6, 0x1.4c46aa718ae14p-6, 0x1.490f94dfa596cp-6, 0x1.45c6ebb870389p-6, 0x1.426dc69b7b3f2p-6, 0x1.3f05373c112e6p-6, 0x1.3b8e470ba6905p-6, 0x1.3809fafe0579dp-6, 0x1.3479531c55f69p-6, 0x1.30dd4701f6d68p-6, 0x1.2d36c97372f1bp-6, 0x1.2986c738683b7p-6, 0x1.25ce26f876d15p-6, 0x1.220dc93e04e3fp-6, 0x1.1e46883d30fabp-6, 0x1.1a7938a65742cp-6, 0x1.16a6a9408a294p-6, 0x1.12cfa2699b97ep-6, 0x1.0ef4e642c9496p-6, 0x1.0b17325a98445p-6, 0x1.07373c91d3ab8p-6, 0x1.0355b639eca65p-6, 0x1.fee69830dc6adp-7, 0x1.f721444f7abd9p-7, 0x1.ef5cb1cdf87e2p-7, 0x1.e79a16b04c85bp-7, 0x1.dfda9952fe926p-7, 0x1.d81f5bae498d9p-7, 0x1.d06971f9fdcc3p-7, 0x1.c8b9e532966d1p-7, 0x1.c111b3af35593p-7, 0x1.b971d2d03eb79p-7, 0x1.b1db2f3288feap-7, 0x1.aa4ea5c77af7ep-7, 0x1.a2cd0eb0b73b1p-7, 0x1.9b573c16c91ffp-7, 0x1.93edebfd83899p-7, 0x1.8c91dad8be638p-7, 0x1.8543ba570bc35p-7, 0x1.7e0432628804cp-7, 0x1.76d3e2fb03df4p-7, 0x1.6fb3640014a4bp-7, 0x1.68a34544c2a82p-7, 0x1.61a40c4768d8ap-7, 0x1.5ab635d102134p-7, 0x1.53da3b1463874p-7, 0x1.4d108b9dda69ap-7, 0x1.46598dda6017cp-7, 0x1.3fb5a205ef166p-7, 0x1.392523ef8496ap-7, 0x1.32a864df0e82ap-7, 0x1.2c3faf91b8b9ep-7, 0x1.25eb4a2f29115p-7, 0x1.1fab764fc20acp-7, 0x1.198068a0da54p-7, 0x1.136a57df976e7p-7, 0x1.0d696eec17cb3p-7, 0x1.077dd62e5a181p-7, 0x1.01a7af76871b5p-7, 0x1.f7ce324e0cf2bp-8, 0x1.ec7854743af82p-8, 0x1.e14deb659a20bp-8, 0x1.d64f11d4fd4e7p-8, 0x1.cb7be2d7eb1dcp-8, 0x1.c0d46249c5ff3p-8, 0x1.b65894d81472fp-8, 0x1.ac0873fe1fd75p-8, 0x1.a1e3f34387a6fp-8, 0x1.97eaff3dec165p-8, 0x1.8e1d77b7bc6a8p-8, 0x1.847b4160e1d3bp-8, 0x1.7b042d04dc85ep-8, 0x1.71b80ba25fdf4p-8, 0x1.6896a7b80d8f7p-8, 0x1.5f9fc79ae9539p-8, 0x1.56d32cd9fcafap-8, 0x1.4e308cb8d58a2p-8, 0x1.45b79f0576711p-8, 0x1.3d6814de82165p-8, 0x1.35419c59ab0aap-8, 0x1.2d43d92372fffp-8, 0x1.256e74fd8f60fp-8, 0x1.1dc10f3e1812ap-8, 0x1.163b41fc09c8p-8, 0x1.0edcac477c936p-8, 0x1.07a4e584c60e8p-8, 0x1.00938040035e7p-8, 0x1.f35019bf11239p-9, 0x1.e5c441bac0ffdp-9, 0x1.d882916c4eeffp-9, 0x1.cb8a19113189cp-9, 0x1.bed9ef5030c9dp-9, 0x1.b271270228e53p-9, 0x1.a64ecd1c6227dp-9, 0x1.9a71edab96181p-9, 0x1.8ed98f5a1de2bp-9, 0x1.8384bbf877178p-9, 0x1.787277cb8d2f2p-9, 0x1.6da1c697475bfp-9, 0x1.6311aa0d323bdp-9, 0x1.58c1249f42db2p-9, 0x1.4eaf39a69af39p-9, 0x1.44dadf744270dp-9, 0x1.3b432700fb7b9p-9, 0x1.31e709730a54ap-9, 0x1.28c5821888264p-9, 0x1.1fdd954e4a7dep-9, 0x1.172e41e6ede8p-9, 0x1.0eb691a753044p-9, 0x1.06757d666c785p-9, 0x1.fcd41e02db5bdp-10, 0x1.ed269454c31fcp-10, 0x1.dde06036e33cbp-10, 0x1.ceff9c87fa41p-10, 0x1.c0824d5eb6271p-10, 0x1.b266a2246a597p-10, 0x1.a4aa9c33b253ap-10, 0x1.974c59300c896p-10, 0x1.8a49ff8aa2b1p-10, 0x1.7da1b52132567p-10, 0x1.71518cfc19df5p-10, 0x1.6557d75e6e199p-10, 0x1.59b2aa4adda5ep-10, 0x1.4e6043ca5e6fep-10, 0x1.435edfe9df704p-10, 0x1.38acb412b9bcbp-10, 0x1.2e48146a88c1fp-10, 0x1.242f3fa1fbbd6p-10, 0x1.1a6084a14fa4fp-10, 0x1.10da3dbc71e99p-10, 0x1.079ac0704ed77p-10, 0x1.fd40d6b1f5c69p-11, 0x1.ebd347998aa0ap-11, 0x1.dae9bd3165f66p-11, 0x1.ca80e88c8e6a9p-11, 0x1.ba95c0b8fa312p-11, 0x1.ab257b8b700c8p-11, 0x1.9c2cd7fde23b6p-11, 0x1.8da900e6a505cp-11, 0x1.7f970f20c880dp-11, 0x1.71f42426cbe1dp-11, 0x1.64bd7cb3b2979p-11, 0x1.57f03f357ff81p-11, 0x1.4b89f3092b3cep-11, 0x1.3f87a4104b153p-11, 0x1.33e708e68cdd8p-11, 0x1.28a53ba66a0ccp-11, 0x1.1dbff387954bfp-11, 0x1.1334a0a88bf93p-11, 0x1.0900e815d4ca6p-11, 0x1.fe44a812b8183p-12, 0x1.eb2d52e01d63ep-12, 0x1.d8b737a356fe9p-12, 0x1.c6dd96547df85p-12, 0x1.b59c948210429p-12, 0x1.a4ef748fc09b4p-12, 0x1.94d256ff224d5p-12, 0x1.8540c2bc705d9p-12, 0x1.7637156cee697p-12, 0x1.67b1311074966p-12, 0x1.59ab57db9f4e8p-12, 0x1.4c21b1f933a6ep-12, 0x1.3f10a0b4f6b3dp-12, 0x1.32746bb873f4cp-12, 0x1.264a1b0e2195bp-12, 0x1.1a8d6dfa833bep-12, 0x1.0f3bc429712f5p-12, 0x1.04518d9f0dbbp-12, 0x1.f39749e90b315p-13, 0x1.df4dde04a60c9p-13, 0x1.cbc0eeedc6a9ap-13, 0x1.b8ea88c9bb67p-13, 0x1.a6c4f4ed43d0bp-13, 0x1.954a6bc51f12bp-13, 0x1.8475ea1395d1cp-13, 0x1.7441b99c19266p-13, 0x1.64a89f9fce4d9p-13, 0x1.55a6450bab916p-13, 0x1.4734e07393dcap-13, 0x1.39502e5dbffb2p-13, 0x1.2bf36b3bfa032p-13, 0x1.1f1a230a74ffdp-13, 0x1.12bfe5a4e2dc7p-13, 0x1.06e079cf2c07cp-13, 0x1.f6ef48e5c2f6dp-14, 0x1.e103042e2f04bp-14, 0x1.cbf44b724a602p-14, 0x1.b7bb00a10cd9dp-14, 0x1.a450762a80405p-14, 0x1.91aca249ecb79p-14, 0x1.7fca81a4327e5p-14, 0x1.6ea06b61c46f9p-14, 0x1.5e29c9065c351p-14, 0x1.4e5fc85e2c47p-14, 0x1.3f3c4c8f40e84p-14, 0x1.30b96df162a1dp-14, 0x1.22d1045aa8cbep-14, 0x1.157d8217e8abp-14, 0x1.08b98cf0121d2p-14, 0x1.f900d7955a40dp-15, 0x1.e1987702fcb0cp-15, 0x1.cb30f42b00d24p-15, 0x1.b5bf08089ab6bp-15, 0x1.a13c2744360aap-15, 0x1.8d9c9a713205cp-15, 0x1.7ad933a383502p-15, 0x1.68e73dfc2ed06p-15, 0x1.57c39a826eba6p-15, 0x1.4762b6dc11661p-15, 0x1.37bc45b121478p-15, 0x1.28c91bcfee9a2p-15, 0x1.1a8553fe4e7f2p-15, 0x1.0ce5e89aa21e9p-15, 0x1.ffccc38a4e726p-16, 0x1.e6ff7f9b498c2p-16, 0x1.cf57a3ab47c1cp-16, 0x1.b8c91cad5afa8p-16, 0x1.a348b1e35fd6cp-16, 0x1.8ecafe6c3b062p-16, 0x1.7b452527a9b2cp-16, 0x1.68ada1947e00dp-16, 0x1.56f693683efdap-16, 0x1.461b3cf4cf822p-16, 0x1.3616ac03bda1dp-16, 0x1.26d5106f39ad7p-16, 0x1.18538a7ce82bap-16, 0x1.0a8902b12248cp-16, 0x1.fadb9778efb3cp-17, 0x1.e1f5765ab8acap-17, 0x1.ca4f5ca7c8cd6p-17, 0x1.b3dc3009258cfp-17, 0x1.9e8c366ef9a1cp-17, 0x1.8a5695a6fdb3cp-17, 0x1.772a5304db57p-17, 0x1.64fde00041172p-17, 0x1.53c6b1930c1adp-17, 0x1.4370187d9deadp-17, 0x1.33ff9edfeab6cp-17, 0x1.255fdfcc8fc79p-17, 0x1.1788c49a21fc2p-17, 0x1.0a7096720354ep-17, 0x1.fc332c4aa3f8p-18, 0x1.e4adcc43ee5aep-18, 0x1.ce9d19731b41ap-18, 0x1.b9b8cead97a33p-18, 0x1.a60137e688197p-18, 0x1.9365ce1bb3e81p-18, 0x1.81d6613428bfap-18, 0x1.7148f1ab1c4a7p-18, 0x1.61add1555f861p-18, 0x1.52fa5892447e8p-18, 0x1.451eaecd61fffp-18, 0x1.38133f58fde89p-18, 0x1.2bcc0c8d7d5dp-18, 0x1.203e7690aee94p-18, 0x1.156307fa5d392p-18, 0x1.0b27ab1f1b632p-18, 0x1.019199fa58fdep-18, 0x1.f111d56933791p-19, 0x1.e008e5e0abd5fp-19, 0x1.d02e9464ab74fp-19, 0x1.c13e272ad622bp-19, 0x1.b3353c9a90a63p-19, 0x1.a604b2b71b998p-19, 0x1.99a850110e58fp-19, 0x1.8e146e693b2ecp-19, 0x1.8333d86c3688ep-19, 0x1.7900e161add8cp-19, 0x1.6f6ee3d369e98p-19, 0x1.666c023fc8fb3p-19, 0x1.5e168f5705cc1p-19, 0x1.5633e8929b49bp-19, 0x1.4eb62f678a358p-19, 0x1.47ccdd0f22bcdp-19, 0x1.41474b42ae448p-19, 0x1.3b239b20a6329p-19, 0x1.35640bdecdb4fp-19, 0x1.2ff6625d39429p-19, 0x1.2ae01164eec96p-19, 0x1.25f78938744bdp-19, 0x1.21ae094786b36p-19, 0x1.1d44c07941b98p-19, 0x1.1937256d50741p-19, 0x1.156b06b445d5ep-19, 0x1.11c3434be9fe5p-19, 0x1.0e5419b4d15eep-19, 0x1.0b0dcb4fb5c16p-19, 0x1.07f0e791ce5acp-19, 0x1.04f3ac5320784p-19, 0x1.021cc7c3e6726p-19, 0x1.fecdff7cc2p-20, 0x1.f9750360d94c4p-20, 0x1.f4728a4d68a72p-20, 0x1.ef8962d9548dcp-20, 0x1.eacd3c0019093p-20, 0x1.e632e730105d3p-20, 0x1.e1b8c9678efaap-20, 0x1.dd5a9b8ce0c1ep-20, 0x1.d8f8c5664eb7ap-20, 0x1.d4df3990f643bp-20, 0x1.d0edbdd06ecdap-20, 0x1.ccaa3f692b611p-20, 0x1.c8ae03f2fe4fdp-20, 0x1.c4b58b8a4dd37p-20, 0x1.c0ccf831d1279p-20, 0x1.bcd1dd0201c1dp-20, 0x1.b9085e1b87eb8p-20, 0x1.b51f6e928ae69p-20, 0x1.b141163dd2136p-20, 0x1.ad64f1fff7831p-20, 0x1.a98764bead829p-20, 0x1.a5ab2ac27391p-20, 0x1.a1c4afe6b88ap-20, 0x1.9de6d60c81be1p-20, 0x1.99e8c40d78633p-20, 0x1.962d28354e7a2p-20, 0x1.92327aaf63226p-20, 0x1.8e1dc03e0bee7p-20, 0x1.8a37cfb61fd9p-20, 0x1.8635846e54cd4p-20, 0x1.822dccb95beabp-20, 0x1.7dec1622beacfp-20, 0x1.7a50cd87636d4p-20, 0x1.75ed3437c58d5p-20, 0x1.71d85cfae85c2p-20, 0x1.6daf07ac858bep-20, 0x1.698636fa769c4p-20, 0x1.6550935644815p-20, 0x1.6119516a662p-20, 0x1.5cd19ed3a4ca9p-20, 0x1.58a8ac393af8ap-20, 0x1.544d7accf9388p-20, 0x1.50029e7ca6bfp-20, 0x1.4baf3d4d73793p-20, 0x1.474ed0b1634b2p-20, 0x1.430904d792f9cp-20, 0x1.3e9b819916e4bp-20, 0x1.3a40ee248007dp-20, 0x1.35c8cdb0d089dp-20, 0x1.31788b47e4a6dp-20, 0x1.2d0069848cc44p-20, 0x1.2893dace2e59ep-20, 0x1.2425c9fc52226p-20, 0x1.1fb6afdec39c4p-20, 0x1.1b2e2612e4573p-20, 0x1.16e04b057435cp-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.37e70492fd72ap-1, 0x1.30115cfbee4b2p-1, 0x1.2370b4ada05a1p-1, 0x1.126496845b3f4p-1, 0x1.facbdbd41719ep-2, 0x1.c9fa4879940abp-2, 0x1.93741b10a8f0ep-2, 0x1.585bee1cd6d7ap-2, 0x1.19cd1f120f019p-2, 0x1.b1ac15e61f839p-3, 0x1.2ce1ea2c9109ep-3, 0x1.4e0944dd18147p-4, 0x1.0d742c520dd6fp-6, -0x1.86e2600efa1a7p-5, -0x1.c3f0e6bde6238p-4, -0x1.5e074b0423463p-3, -0x1.d5089e9b5aaeep-3, -0x1.232574309d79ap-2, -0x1.58a1c1de3ccb9p-2, -0x1.8ac4e5e57d362p-2, -0x1.b969723510648p-2, -0x1.e47760a9f18bfp-2, -0x1.05f16ba8260a9p-1, -0x1.17d552912408bp-1, -0x1.27eb444471e45p-1, -0x1.363ad63eb200ep-1, -0x1.42cec02b52414p-1, -0x1.4db45ac13b99ap-1, -0x1.56fb1a30cf036p-1, -0x1.5eb40f029ec9dp-1, -0x1.64f18209116adp-1, -0x1.69c6a77ff4272p-1, -0x1.6d475894ca2f9p-1, -0x1.6f87eeee5a2c9p-1, -0x1.709c7777b5b8dp-1, -0x1.70993a8de230fp-1, -0x1.6f922529c3abdp-1, -0x1.6d9abfe852ceep-1, -0x1.6ac614205f296p-1, -0x1.67269679946f6p-1, -0x1.62ce1555b0c79p-1, -0x1.5dcdaa9099e41p-1, -0x1.5835b046a0283p-1, -0x1.5215b86cbbf32p-1, -0x1.4b7c8726a5d9fp-1, -0x1.44780febd00ebp-1, -0x1.3d1575791776fp-1, -0x1.35610c29cb916p-1, -0x1.2d665e0f91bf5p-1, -0x1.25303035fd231p-1, -0x1.1cc888c035937p-1, -0x1.1438b5e2ddf57p-1, -0x1.0b89558815d74p-1, -0x1.02c25d71b497cp-1, -0x1.f3d646a6449d2p-2, -0x1.e214c98c1fbb6p-2, -0x1.d04c9e1200e7fp-2, -0x1.be890d158c174p-2, -0x1.acd45cc5896eap-2, -0x1.9b37df6930fe8p-2, -0x1.89bc01d6c7f18p-2, -0x1.786859d2a10e6p-2, -0x1.6743b3b46c808p-2, -0x1.56541fb69979ap-2, -0x1.459efeb3bbdecp-2, -0x1.35290e5e2586cp-2, -0x1.24f674f533d01p-2, -0x1.150acc982b15p-2, -0x1.05692df8388a5p-2, -0x1.ec28756f8d05fp-3, -0x1.ce1c4eb91c066p-3, -0x1.b0b1895dd8553p-3, -0x1.93eb114eb0196p-3, -0x1.77cb2d7cce27fp-3, -0x1.5c538f31d1e7ep-3, -0x1.41855fff054cap-3, -0x1.27614e6dd87fdp-3, -0x1.0de68adb0fc2fp-3, -0x1.ea2edd3f18f54p-4, -0x1.b9e433576dbb5p-4, -0x1.8aeb5595bc4dap-4, -0x1.5d41e8df4e3cap-4, -0x1.30e50a0bc232ep-4, -0x1.05d15dfd9cb9ap-4, -0x1.b80640708a6a2p-5, -0x1.66ec60ee4c6a1p-5, -0x1.184c3dfa42411p-5, -0x1.9838df5eac223p-6, -0x1.04a632ba31006p-6, -0x1.d72fe02f1aeabp-8, 0x1.46af385f664p-10, 0x1.342875c70ac2ep-7, 0x1.1b45f53f12319p-6, 0x1.98168fb8fcdeap-6, 0x1.084e5b404c022p-5, 0x1.4277a0984ef7bp-5, 0x1.7a928ff7ca1dap-5, 0x1.b0aaa5b9f17eap-5, 0x1.e4cb5ab81767p-5, 0x1.0b800ea8de9cdp-4, 0x1.23aa25f53009dp-4, 0x1.3ae9976d4dd1cp-4, 0x1.5143fa2fcd68bp-4, 0x1.66bed61b8579ep-4, 0x1.7b5fa2367257cp-4, 0x1.8f2bc32de188dp-4, 0x1.a2288a287d026p-4, 0x1.b45b33b3cc3a3p-4, 0x1.c5c8e6d863282p-4, 0x1.d676b482379d8p-4, 0x1.e669967561c94p-4, 0x1.f5a66f0154782p-4, 0x1.021904219b154p-3, 0x1.090889d79002ep-3, 0x1.0fa414caf5b3bp-3, 0x1.15ede472580ep-3, 0x1.1be82b43c91fdp-3, 0x1.21950edac9d94p-3, 0x1.26f6a7cb0edf8p-3, 0x1.2c0f01ae44439p-3, 0x1.30e01b3a8ef3ap-3, 0x1.356be675c8953p-3, 0x1.39b448d391dc9p-3, 0x1.3dbb1b7f3a113p-3, 0x1.41822ba1be74p-3, 0x1.450b3aaaf1213p-3, 0x1.4857feac8dbf7p-3, 0x1.4b6a22b0f65b2p-3, 0x1.4e4346fadf709p-3, 0x1.50e501a349b84p-3, 0x1.5350de8d2c5a7p-3, 0x1.5588600b9449p-3, 0x1.578cff26d8756p-3, 0x1.59602bc095158p-3, 0x1.5b034cfe18a86p-3, 0x1.5c77c18d224e1p-3, 0x1.5dbedfcce2284p-3, 0x1.5ed9f61b36f87p-3, 0x1.5fca4b01a6737p-3, 0x1.60911d64e7878p-3, 0x1.612fa4c0e056fp-3, 0x1.61a7112b83d04p-3, 0x1.61f88bc1476d3p-3, 0x1.62253680acc9p-3, 0x1.622e2cc2392f8p-3, 0x1.6214830798b07p-3, 0x1.61d9477c9d4b7p-3, 0x1.617d81c5c571cp-3, 0x1.6102338b3bbd2p-3, 0x1.6068584302f9ep-3, 0x1.5fb0e5a13c447p-3, 0x1.5edccba9372cfp-3, 0x1.5decf4d4d3cc1p-3, 0x1.5ce24654ea28dp-3, 0x1.5bbda035c5082p-3, 0x1.5a7fdd8bca357p-3, 0x1.5929d49bd6665p-3, 0x1.57bc570735972p-3, 0x1.5638320ca1bb2p-3, 0x1.549e2ea9a88a5p-3, 0x1.52ef118a5ce0ep-3, 0x1.512b9bb376d7dp-3, 0x1.4f548a0201e14p-3, 0x1.4d6a95cb70e6ap-3, 0x1.4b6e74d22626p-3, 0x1.495fc28c4c9eep-3, 0x1.474128627c9f5p-3, 0x1.451274b6300d9p-3, 0x1.42d4509f16c15p-3, 0x1.4087621993905p-3, 0x1.3e2c4be62292ap-3, 0x1.3bc3ad739691dp-3, 0x1.394e235177b5dp-3, 0x1.36cc46f48fa38p-3, 0x1.343eaee16175cp-3, 0x1.31a5eea0a9af7p-3, 0x1.2f0296f878762p-3, 0x1.2c5535d244097p-3, 0x1.299e566a9e237p-3, 0x1.26de812dc1ebcp-3, 0x1.24163be7584bcp-3, 0x1.214609b9d81ccp-3, 0x1.1e6e6b34acff7p-3, 0x1.1b8fde4d28a42p-3, 0x1.18aade71ad40ap-3, 0x1.15bfe48d421dfp-3, 0x1.12cf67122b6ep-3, 0x1.0fd9d9e9f482cp-3, 0x1.0cdfaea59949fp-3, 0x1.09e15462a983fp-3, 0x1.06df37cc32bdbp-3, 0x1.03d9c339f32aep-3, 0x1.00d15e94465c8p-3, 0x1.fb8cdf271b2p-4, 0x1.f572b2b8f9e1ep-4, 0x1.ef54fa0b2101ap-4, 0x1.e934723bed50ep-4, 0x1.e311d432df1afp-4, 0x1.dcedd40cfe209p-4, 0x1.d6c921c1547e2p-4, 0x1.d0a468567c16bp-4, 0x1.ca804ec2d81f7p-4, 0x1.c45d777bdae6ep-4, 0x1.be3c80894ff5p-4, 0x1.b81e03b8185b5p-4, 0x1.b202967e2ba5ep-4, 0x1.abeaca19bae0bp-4, 0x1.a5d72b730923fp-4, 0x1.9fc84378768d7p-4, 0x1.99be96e5ec9afp-4, 0x1.93baa61ba5ab3p-4, 0x1.8dbcedddf86e2p-4, 0x1.87c5e6a6aad84p-4, 0x1.81d604fb76df8p-4, 0x1.7bedb98966fcap-4, 0x1.760d71025ded7p-4, 0x1.7035947510936p-4, 0x1.6a6688f2b72dbp-4, 0x1.64a0afa2cae1cp-4, 0x1.5ee46669c90a6p-4, 0x1.593207482300dp-4, 0x1.5389e89bfd9dp-4, 0x1.4dec5d3d8379dp-4, 0x1.4859b4743e589p-4, 0x1.42d23a1a9a3dbp-4, 0x1.3d5636a5237b7p-4, 0x1.37e5ef27c9ba8p-4, 0x1.3281a55e92175p-4, 0x1.2d2997b16a508p-4, 0x1.27de017cf7b2dp-4, 0x1.229f1abd3e4e4p-4, 0x1.1d6d18749890fp-4, 0x1.18482c847ee3ap-4, 0x1.133085cf8d067p-4, 0x1.0e2650554116dp-4, 0x1.0929b4e798048p-4, 0x1.043ad9e094355p-4, 0x1.feb3c5239414dp-5, 0x1.f50ddf340d8e5p-5, 0x1.eb843dc8b1626p-5, 0x1.e21717874d5b6p-5, 0x1.d8c69e06dab8ep-5, 0x1.cf92fd3ea55fdp-5, 0x1.c67c5d1aa6095p-5, 0x1.bd82e03295f74p-5, 0x1.b4a6a44414b67p-5, 0x1.abe7c2ce8ecefp-5, 0x1.a34650f28b677p-5, 0x1.9ac25eff365f8p-5, 0x1.925bf910ebf2ap-5, 0x1.8a1327a41446ap-5, 0x1.81e7eea80865ep-5, 0x1.79da4e615be88p-5, 0x1.71ea434501e9fp-5, 0x1.6a17c607beb3bp-5, 0x1.6262cbd8164e3p-5, 0x1.5acb4651bbf24p-5, 0x1.53512406eb3p-5, 0x1.4bf44fde14b9cp-5, 0x1.44b4b1e637a75p-5, 0x1.3d922efe19c38p-5, 0x1.368ca9302f561p-5, 0x1.2fa3ffd47729dp-5, 0x1.28d80f3a9d1c4p-5, 0x1.2228b1511f978p-5, 0x1.1b95bda24d626p-5, 0x1.151f08abf94edp-5, 0x1.0ec4658311a6ap-5, 0x1.0885a474061a2p-5, 0x1.026293e05e753p-5, 0x1.f8b5ffa78db25p-6, 0x1.ecdd65c645932p-6, 0x1.e13aeb0471a82p-6, 0x1.d5ce1cca147f1p-6, 0x1.ca96857ae49f8p-6, 0x1.bf93abd0803a3p-6, 0x1.b4c51408eb263p-6, 0x1.aa2a3f719f4f5p-6, 0x1.9fc2ac4b0d95cp-6, 0x1.958dd6bacce3bp-6, 0x1.8b8b386b6ef83p-6, 0x1.81ba48dad3f9dp-6, 0x1.781a7d75d8989p-6, 0x1.6eab49e287484p-6, 0x1.656c1fa08239ap-6, 0x1.5c5c6ef92a69cp-6, 0x1.537ba67066b3fp-6, 0x1.4ac93325ffb98p-6, 0x1.42448199de3d4p-6, 0x1.39ecfc5002752p-6, 0x1.31c20d41e2be1p-6, 0x1.29c31d76bb1cep-6, 0x1.21ef953207e4ap-6, 0x1.1a46dc3f6a866p-6, 0x1.12c8595498b92p-6, 0x1.0b7373622b4c9p-6, 0x1.0447909fb5288p-6, 0x1.fa882e400c2e8p-7, 0x1.ecd0d9ca36a39p-7, 0x1.df67eeea533a6p-7, 0x1.d24c39f8d8ee8p-7, 0x1.c57c86fc0d122p-7, 0x1.b8f7a26a870afp-7, 0x1.acbc5915110b4p-7, 0x1.a0c978e83c8e4p-7, 0x1.951dd0923d9dfp-7, 0x1.89b83015789fep-7, 0x1.7e97671a57787p-7, 0x1.73ba48ff11642p-7, 0x1.691fa8eb10e8dp-7, 0x1.5ec65c24c4987p-7, 0x1.54ad395e4375dp-7, 0x1.4ad319591848ap-7, 0x1.4136d6d269218p-7, 0x1.37d74d6e9ed7p-7, 0x1.2eb35ce6e7023p-7, 0x1.25c9e5ba884cdp-7, 0x1.1d19cb2700e3bp-7, 0x1.14a1f2e22606ap-7, 0x1.0c6144f915a0cp-7, 0x1.0456ac0135832p-7, 0x1.f9022bc495d5p-8, 0x1.e9bee46a34a1ap-8, 0x1.dae167c9e2d07p-8, 0x1.cc67a20fa120dp-8, 0x1.be4f844af60eep-8, 0x1.b09705ec050d5p-8, 0x1.a33c255efa6abp-8, 0x1.963ce5d172c0fp-8, 0x1.8997510308f32p-8, 0x1.7d49783bfa151p-8, 0x1.7151729bb8d3cp-8, 0x1.65ad5d74ab2b2p-8, 0x1.5a5b5d95b77c2p-8, 0x1.4f599dfbc1badp-8, 0x1.44a6507f047e7p-8, 0x1.3a3fae2030c95p-8, 0x1.3023f671b0f0fp-8, 0x1.26516ffb1bbf4p-8, 0x1.1cc6684f3f758p-8, 0x1.13813420992bep-8, 0x1.0a803154d5d3p-8, 0x1.01c1bdc9d8635p-8, 0x1.f2888a7d5e8b1p-9, 0x1.e20c703edb402p-9, 0x1.d20c1b1fbe459p-9, 0x1.c28489628c2bcp-9, 0x1.b372c583ed6c9p-9, 0x1.a4d3e7f8fd0d6p-9, 0x1.96a51756bbf1cp-9, 0x1.88e3872090787p-9, 0x1.7b8c79a7c7f93p-9, 0x1.6e9d3c27bc1fcp-9, 0x1.62132c116d5d1p-9, 0x1.55ebb2a8e6228p-9, 0x1.4a24464106705p-9, 0x1.3eba6a714e26bp-9, 0x1.33abaed7f2c96p-9, 0x1.28f5b0dc0119ep-9, 0x1.1e961844ebc3cp-9, 0x1.148a9b8d58847p-9, 0x1.0ad0fc58fcc29p-9, 0x1.016707920942ep-9, 0x1.f0952d55faa3ep-10, 0x1.def31c9474587p-10, 0x1.cde3be7471a95p-10, 0x1.bd630927d4fa6p-10, 0x1.ad6d0a548eb49p-10, 0x1.9dfde51ab982dp-10, 0x1.8f11d1c844137p-10, 0x1.80a51f30e2f88p-10, 0x1.72b42f3006988p-10, 0x1.653b7949cf60fp-10, 0x1.583789df91c36p-10, 0x1.4ba4ff280b184p-10, 0x1.3f808b3e921dep-10, 0x1.33c6f6a9f333ep-10, 0x1.2875186710daap-10, 0x1.1d87def8648e4p-10, 0x1.12fc47fa04012p-10, 0x1.08cf6091244d6p-10, 0x1.fdfca151501bcp-11, 0x1.eb0c8bff1d8c8p-11, 0x1.d8c914e56ac9bp-11, 0x1.c72ce1d105bbbp-11, 0x1.b632c1e86ce26p-11, 0x1.a5d5a1f0d9db8p-11, 0x1.96108ecbee103p-11, 0x1.86debefa72a4ap-11, 0x1.783b7403e73bap-11, 0x1.6a221eef7592p-11, 0x1.5c8e4e4a49601p-11, 0x1.4f7ba4f037f7ep-11, 0x1.42e5e505662a7p-11, 0x1.36c8f71270431p-11, 0x1.2b20d70aac5cdp-11, 0x1.1fe99db44d7fep-11, 0x1.151f7cdcf676cp-11, 0x1.0abec706c8227p-11, 0x1.00c3e4235fbd1p-11, 0x1.ee56ade0907eep-12, 0x1.dbe376680d5dcp-12, 0x1.ca279091ce4ep-12, 0x1.b91c8e9b40606p-12, 0x1.a8bc3ccc420f1p-12, 0x1.990091afe4f37p-12, 0x1.89e3b1afc373dp-12, 0x1.7b5feb988466cp-12, 0x1.6d6fc4658d0cdp-12, 0x1.600dd7d223b45p-12, 0x1.5334f9605f7b4p-12, 0x1.46e0239aebeebp-12, 0x1.3b0a7858c5401p-12, 0x1.2faf30b651b49p-12, 0x1.24c9d3aaf9741p-12, 0x1.1a55dbf2b0a85p-12, 0x1.104f049c0b33ap-12, 0x1.06b11fd7042d7p-12, 0x1.faf075f1d8729p-13, 0x1.e940ae03f546ap-13, 0x1.d84b77779ca9fp-13, 0x1.c8097bd44b25ap-13, 0x1.b873c6f9f3a58p-13, 0x1.a9835df7ef9cbp-13, 0x1.9b31cb3848e2ap-13, 0x1.8d788930e7a22p-13, 0x1.8051808e03327p-13, 0x1.73b6bb09fe1afp-13, 0x1.67a2716cae44cp-13, 0x1.5c0f0737f4c94p-13, 0x1.50f73e6823ab6p-13, 0x1.4655ce4fa973fp-13, 0x1.3c25c4a3a8f98p-13, 0x1.326244ce28cbap-13, 0x1.2906c91a189aap-13, 0x1.200ec883a0b97p-13, 0x1.1775e039eeeabp-13, 0x1.0f382406f4058p-13, 0x1.0751790895edcp-13, 0x1.ff7c23a66f7e4p-14, 0x1.f0f4b70bf8329p-14, 0x1.e30595647d19ep-14, 0x1.d5a7e97b78dcdp-14, 0x1.c8d577ccf5082p-14, 0x1.bc87d69c96df6p-14, 0x1.b0b91f35b264bp-14, 0x1.a5639b7cb40ap-14, 0x1.9a81b2ca77524p-14, 0x1.900e1cb535aa9p-14, 0x1.8603f1b31ed3ep-14, 0x1.7c5dca2ee4f06p-14, 0x1.73173fbf62a5ep-14, 0x1.6a2b9c6af6d29p-14, 0x1.6196588cd9d1ep-14, 0x1.595323aaeafc4p-14, 0x1.515ddcbb46eb5p-14, 0x1.49b29c6f33fb8p-14, 0x1.424d8fdf168b6p-14, 0x1.3b2ad6921e583p-14, 0x1.344740d17de6p-14, 0x1.2d9f4d1eee2fep-14, 0x1.272f96da43477p-14, 0x1.20f57c6fecee1p-14, 0x1.1aede658582cap-14, 0x1.15162358a7efp-14, 0x1.0f6bb16af932ap-14, 0x1.09ec10d1a018bp-14, 0x1.0494e8f1cdee2p-14, 0x1.fec86be530504p-15, 0x1.f4afa2b00bf58p-15, 0x1.eadbc51e29d8bp-15, 0x1.e149150dc6fa2p-15, 0x1.d7f40f3faafddp-15, 0x1.ced97ba317d9cp-15, 0x1.c5f63f3abd8ddp-15, 0x1.bd47623917831p-15, 0x1.b4ca1625e04c5p-15, 0x1.ac7be56128f62p-15, 0x1.a45a02b968e42p-15, 0x1.9c625dfb8521fp-15, 0x1.949297eed6949p-15, 0x1.8ce88453e31b7p-15, 0x1.85624122a01e4p-15, 0x1.7dfde8c1a249ap-15, 0x1.76b9871dd0ee7p-15, 0x1.6f93c3e940e14p-15, 0x1.688a795ee2b41p-15, 0x1.619cdb2288ebap-15, 0x1.5ac926db0e96ap-15, 0x1.540e03a50ce92p-15, 0x1.4d6a4b3f4f8d8p-15, 0x1.46dd08b1de18ep-15, 0x1.40649e4d9050cp-15, 0x1.3a00b454294b6p-15, 0x1.33afe2c4f17a3p-15, 0x1.2d71a56e71de4p-15, 0x1.2744de8f99154p-15, 0x1.21290bb9210acp-15, 0x1.1b1d60eb22e7bp-15, 0x1.152168a47f56fp-15, 0x1.0f345e2f31553p-15, 0x1.0955bdb305dfdp-15, 0x1.038539f2cdf3ap-15, 0x1.fb8439192d4f5p-16, 0x1.f018d2fb0acffp-16, 0x1.e4c6d4b41c437p-16, 0x1.d98dc6040bc32p-16, 0x1.ce6d35f9350f7p-16, 0x1.c364422168bdbp-16, 0x1.b873a628b6f24p-16, 0x1.ad99685847613p-16, 0x1.a2d61bfee16fep-16, 0x1.9829b7acb0cdap-16, 0x1.8d92a9e140393p-16, 0x1.83129ed6393f1p-16, 0x1.78a836e0f418ap-16, 0x1.6e538bad95efp-16, 0x1.6414b3fcabab7p-16, 0x1.59eb715963599p-16, 0x1.4fd829a591df2p-16, 0x1.45d9df43ad499p-16, 0x1.3bf2476ad44c9p-16, 0x1.321f74ad9271dp-16, 0x1.286307424a43bp-16, 0x1.1ebcd5bc6c10bp-16, 0x1.152c0a8ec160fp-16, 0x1.0bb1bb3dc5616p-16, 0x1.024d962143f44p-16, 0x1.f2004670f97e4p-17, 0x1.df91afc2f4e91p-17, 0x1.cd5151341566cp-17, 0x1.bb3e97208af89p-17, 0x1.a959d428d5e69p-17, 0x1.97a4260e9ba74p-17, 0x1.861bd6dd6238cp-17, 0x1.74c563e178f8dp-17, 0x1.639cb6913746dp-17, 0x1.52a4708c4a612p-17, 0x1.41dc7a9110552p-17, 0x1.314558d577783p-17, 0x1.20df16f0f74c9p-17, 0x1.10aa6beeb647cp-17, 0x1.00a788845272p-17, 0x1.e1adbe83716e2p-18, 0x1.c26f4b0898c89p-18, 0x1.a3986639b871cp-18, 0x1.8526e97011ecbp-18, 0x1.671bc44834661p-18, 0x1.4976f7e17a4fcp-18, 0x1.2c3d1b0d20678p-18, 0x1.0f68af5d4429dp-18, 0x1.e5fae6da7ce1ep-19, 0x1.adf7c9a1710e2p-19, 0x1.76c7e28b7ebf8p-19, 0x1.406b8f80c4bdcp-19, 0x1.0ae0e8550effcp-19, 0x1.ac62cf00a9babp-20, 0x1.44a1a7402dd99p-20, 0x1.bd192b61033adp-21, 0x1.e89045212f6acp-22, 0x1.766672b666798p-24, -0x1.26bc65a3accf6p-22, -0x1.522573c21cd3p-21, -0x1.06cb2ca395c98p-20, -0x1.62e09c9f2dfe9p-20, -0x1.bd33ea2f50596p-20, -0x1.0af726deb32b9p-19, -0x1.367d652c8aeb5p-19, -0x1.612c4561a3551p-19, -0x1.8b05067740a83p-19, -0x1.b40b82ce8d2dcp-19, -0x1.dc3accf3528bbp-19, -0x1.01cc02b600dcp-18, -0x1.1511117250159p-18, -0x1.27eda9db37fb5p-18, -0x1.3a60ef4559c16p-18, -0x1.4c6c9fc7e9792p-18, -0x1.5e10b2adb6a02p-18, -0x1.6f4be5432b2b1p-18, -0x1.8024e55ccdf29p-18, -0x1.90935e1a9cf3p-18, -0x1.a09b9a90cfd61p-18, -0x1.b0425ca843468p-18, -0x1.bf81ce34bd525p-18, -0x1.ce5f167cb982cp-18, -0x1.dcd8c3a4a7d15p-18, -0x1.eaefca5d3a4eep-18, -0x1.f8a56a8230363p-18, -0x1.02fc84034b593p-17, -0x1.0977a08db771p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.11716cdada2abp-1, 0x1.14a0799d9ba8cp-1, 0x1.166cd8a2ab8a2p-1, 0x1.16cd7502fa585p-1, 0x1.15c3a0db4f893p-1, 0x1.1358f5c13bd4bp-1, 0x1.0f9d7603c776fp-1, 0x1.0aa5e826cca86p-1, 0x1.048a75f9102b6p-1, 0x1.facaf9260fe69p-2, 0x1.eaa5223449db2p-2, 0x1.d8db8a8661726p-2, 0x1.c5a5f746b3177p-2, 0x1.b13ad66ece12bp-2, 0x1.9bce7eee0c861p-2, 0x1.8592a74e25d4dp-2, 0x1.6eb60b56c9899p-2, 0x1.57642ee2f16ap-2, 0x1.3fc536c7170efp-2, 0x1.27fdd8343bba7p-2, 0x1.102f5f5b5162ep-2, 0x1.f0ef8e5e1adabp-3, 0x1.c1e3b34cb49d9p-3, 0x1.936aaa09f9af7p-3, 0x1.65ae2a9b36a3dp-3, 0x1.38d27daa1a3e7p-3, 0x1.0cf6da7815f9cp-3, 0x1.c46b98133aa18p-4, 0x1.714b1dd52accfp-4, 0x1.20b0d2747768ep-4, 0x1.a5741a13f764ep-5, 0x1.0efb447fd3f5ap-5, 0x1.f863ed9435551p-7, -0x1.a374f56133316p-10, -0x1.2529a732b3ffbp-6, -0x1.124d45b319eb2p-5, -0x1.8c4728933baacp-5, -0x1.00459a9f95504p-4, -0x1.3793ee3776c7ep-4, -0x1.6c184137d8962p-4, -0x1.9dde66e8000dbp-4, -0x1.ccf402f67db2dp-4, -0x1.f9683f9064c9dp-4, -0x1.11a5c50bbcd1ap-3, -0x1.2557ab97c6a89p-3, -0x1.37d2f6d45894bp-3, -0x1.49211afeb3de7p-3, -0x1.594bc753617b4p-3, -0x1.685cd292f642ep-3, -0x1.765e2a0eba463p-3, -0x1.8359c35185499p-3, -0x1.8f598f780e06ep-3, -0x1.9a676f8c0f492p-3, -0x1.a48d2ac00be68p-3, -0x1.add465b59843p-3, -0x1.b6469baaa25efp-3, -0x1.bded18ed84a81p-3, -0x1.c4d0f628a714dp-3, -0x1.cafb1475dbeffp-3, -0x1.d07419c6f6785p-3, -0x1.d5446e36f019bp-3, -0x1.d9743a2d409f7p-3, -0x1.dd0b6502dbd3p-3, -0x1.e011945c008a6p-3, -0x1.e28e2bf3593aap-3, -0x1.e4884d562ce0fp-3, -0x1.e606d8498e9ffp-3, -0x1.e7106b28a396cp-3, -0x1.e7ab6356438f1p-3, -0x1.e7ddde58b39b2p-3, -0x1.e7adbaf9c69a9p-3, -0x1.e7209aa7bd1a1p-3, -0x1.e63be2e4a0c18p-3, -0x1.e504bef4a207cp-3, -0x1.e380213e24f7ep-3, -0x1.e1b2c4f81ee54p-3, -0x1.dfa12fdc91042p-3, -0x1.dd4fb0c66da33p-3, -0x1.dac26bbe617c1p-3, -0x1.d7fd4ee618e69p-3, -0x1.d5041abf5934ep-3, -0x1.d1da62b9102ecp-3, -0x1.ce838ed908244p-3, -0x1.cb02dd682446ap-3, -0x1.c75b647bc3203p-3, -0x1.c390139f14891p-3, -0x1.bfa3b55403e2cp-3, -0x1.bb98f0b01f9f6p-3, -0x1.b7724aa240de4p-3, -0x1.b3322797caa44p-3, -0x1.aedaccc3c9f13p-3, -0x1.aa6e617e83dabp-3, -0x1.a5eef09c8a897p-3, -0x1.a15e69a912856p-3, -0x1.9cbea22147183p-3, -0x1.981156759d1f3p-3, -0x1.93582bc59f241p-3, -0x1.8e94b01339ee3p-3, -0x1.89c85bf2018cdp-3, -0x1.84f49363ffac9p-3, -0x1.801aa6aba2d71p-3, -0x1.7b3bd36b014ddp-3, -0x1.76594567e94eap-3, -0x1.71741770e4cb9p-3, -0x1.6c8d542aa0764p-3, -0x1.67a5f6e0b291fp-3, -0x1.62beec30ac0f3p-3, -0x1.5dd912d416238p-3, -0x1.58f53c5f99973p-3, -0x1.54142d899576dp-3, -0x1.4f369f6ed308ep-3, -0x1.4a5d3f95232f7p-3, -0x1.4588b0c1f4a5bp-3, -0x1.40b98b78be95ep-3, -0x1.3bf05e7d6db02p-3, -0x1.372daf5261adfp-3, -0x1.3271fab2f26e3p-3, -0x1.2dbdb50fe52ap-3, -0x1.29114ad9d7ea8p-3, -0x1.246d2104ec294p-3, -0x1.1fd19598c2d7ap-3, -0x1.1b3eff8b58ac5p-3, -0x1.16b5afa8eaf84p-3, -0x1.1235f09766615p-3, -0x1.0dc0073cddb6ep-3, -0x1.0954330ffc3c4p-3, -0x1.04f2ae5a74e82p-3, -0x1.009bae8096699p-3, -0x1.f89ec8987197cp-4, -0x1.f01bf8260de6ep-4, -0x1.e7af3c1661f7fp-4, -0x1.df58dd1ef001ep-4, -0x1.d7191c31f3152p-4, -0x1.cef033499f844p-4, -0x1.c6de55e746318p-4, -0x1.bee3b0d83b473p-4, -0x1.b7006b4623413p-4, -0x1.af34a67646eb8p-4, -0x1.a7807e57001ap-4, -0x1.9fe409c5a2307p-4, -0x1.985f5abe1a395p-4, -0x1.90f27ece28c55p-4, -0x1.899d7f08fb3bep-4, -0x1.82606090498b9p-4, -0x1.7b3b24917ccaap-4, -0x1.742dc89b664d3p-4, -0x1.6d3846f6dee11p-4, -0x1.665a96680517cp-4, -0x1.5f94aab5d9b1bp-4, -0x1.58e674e34705ep-4, -0x1.524fe3193db7ep-4, -0x1.4bd0e0ef29378p-4, -0x1.456957a7c0d66p-4, -0x1.3f192e01217fcp-4, -0x1.38e048c2969fap-4, -0x1.32be8a98c0d1cp-4, -0x1.2cb3d4413dab7p-4, -0x1.26c004c784139p-4, -0x1.20e2f9324aa0cp-4, -0x1.1b1c8d5182f22p-4, -0x1.156c9b4423368p-4, -0x1.0fd2fbb8532a3p-4, -0x1.0a4f861d21ecap-4, -0x1.04e210950ac46p-4, -0x1.ff14e03e3c469p-5, -0x1.f490df2998eb3p-5, -0x1.ea37e942ef75bp-5, -0x1.e0098f506d2f6p-5, -0x1.d60573aa4e404p-5, -0x1.cc2b367042eb5p-5, -0x1.c27a768a914aep-5, -0x1.b8f2d19db989cp-5, -0x1.af93e3eb6529cp-5, -0x1.a65d47e3643ecp-5, -0x1.9d4e97eb2d7a9p-5, -0x1.94676cd1dd17ap-5, -0x1.8ba75e2b3140fp-5, -0x1.830e0359795e3p-5, -0x1.7a9af29c8bb99p-5, -0x1.724dc1725f3p-5, -0x1.6a260507888b7p-5, -0x1.622351d9ff314p-5, -0x1.5a453bd02662dp-5, -0x1.528b56ac10f78p-5, -0x1.4af535aff4b2cp-5, -0x1.43826be366653p-5, -0x1.3c328bfca2a65p-5, -0x1.350528e5a76ecp-5, -0x1.2df9d4f15309p-5, -0x1.2710228ecc571p-5, -0x1.2047a47863dc2p-5, -0x1.199fed08fce4dp-5, -0x1.13188f2e02351p-5, -0x1.0cb11cf044666p-5, -0x1.06692a0295e71p-5, -0x1.00404932ceed6p-5, -0x1.f46c1c2b34341p-6, -0x1.e894188ae1e41p-6, -0x1.dcf7afbe29315p-6, -0x1.d1960a7daf55fp-6, -0x1.c66e528864cf4p-6, -0x1.bb7fb258c1c6p-6, -0x1.b0c9555fd797cp-6, -0x1.a64a681714c61p-6, -0x1.9c0217ea0c5a4p-6, -0x1.91ef938636aefp-6, -0x1.88120a6a0db2ep-6, -0x1.7e68ae407b7bep-6, -0x1.74f2b093b9df5p-6, -0x1.6baf44bcad41fp-6, -0x1.629da0e692a5dp-6, -0x1.59bcfa10c9c9fp-6, -0x1.510c885ea400dp-6, -0x1.488b8567d8c7fp-6, -0x1.40392aea43fa9p-6, -0x1.3814b625f25cbp-6, -0x1.301d6465f72fdp-6, -0x1.28527534e101dp-6, -0x1.20b32a3a0d5d3p-6, -0x1.193ec5a94ed1bp-6, -0x1.11f48c1eb2b1fp-6, -0x1.0ad3c3dfb621bp-6, -0x1.03dbb50489d74p-6, -0x1.fa17522eb2eap-7, -0x1.ecc5d7c3f61eep-7, -0x1.dfc19561d4388p-7, -0x1.d30929526ad6ap-7, -0x1.c69b364155426p-7, -0x1.ba7661bf3003bp-7, -0x1.ae99558221dfbp-7, -0x1.a302bf18f413fp-7, -0x1.97b14ff6f244cp-7, -0x1.8ca3bd572f8c1p-7, -0x1.81d8c032b7b7fp-7, -0x1.774f1515c00fbp-7, -0x1.6d057f27e470fp-7, -0x1.62fabfbae49d3p-7, -0x1.592da1fcfc4a4p-7, -0x1.4f9cf213bfca4p-7, -0x1.464780c96124dp-7, -0x1.3d2c22aa98f41p-7, -0x1.3449b009e2a2p-7, -0x1.2b9f06799455cp-7, -0x1.232b059d1e0dbp-7, -0x1.1aec9232c0e5p-7, -0x1.12e29535f7509p-7, -0x1.0b0bfa91a5bd6p-7, -0x1.0367b2b042014p-7, -0x1.f7e96490e2a71p-8, -0x1.e963e37838a68p-8, -0x1.db3cd9ee1c968p-8, -0x1.cd72494d0dcccp-8, -0x1.c002372dbad6ep-8, -0x1.b2eab673d6a19p-8, -0x1.a629dd19367dfp-8, -0x1.99bdcab974a5ap-8, -0x1.8da4a7652b084p-8, -0x1.81dc9e8def626p-8, -0x1.7663e93620865p-8, -0x1.6b38c43b39a0bp-8, -0x1.605974a63f63dp-8, -0x1.55c4477fc27f9p-8, -0x1.4b778f09f6373p-8, -0x1.4171a8444034ep-8, -0x1.37b0f524d190dp-8, -0x1.2e33de41c95eap-8, -0x1.24f8d72913b69p-8, -0x1.1bfe55493a785p-8, -0x1.1342d8395790ep-8, -0x1.0ac4e4ec6e341p-8, -0x1.02830b25a77d2p-8, -0x1.f4f7b6580e047p-9, -0x1.e55be23b6f436p-9, -0x1.d62fdad1eea5ep-9, -0x1.c770eecb9baaep-9, -0x1.b91c7d641dcc3p-9, -0x1.ab2fe9eb29e46p-9, -0x1.9da8af322d8f4p-9, -0x1.90844e17d2d7dp-9, -0x1.83c058b929c9fp-9, -0x1.775a66fb5e8b9p-9, -0x1.6b502295c4ff4p-9, -0x1.5f9f3dd219e9dp-9, -0x1.54457796e8f9fp-9, -0x1.49409dd9e420ap-9, -0x1.3e8e85f5f650ap-9, -0x1.342d124330cd2p-9, -0x1.2a1a320fc4894p-9, -0x1.2053d9d09f9ddp-9, -0x1.16d8102992594p-9, -0x1.0da4e48531c2ep-9, -0x1.04b86dff17164p-9, -0x1.f821a397ebd1ap-10, -0x1.e75872dc3bb02p-10, -0x1.d711c56ead6acp-10, -0x1.c74a184d588cp-10, -0x1.b7fe04be0af9p-10, -0x1.a92a3869a9feep-10, -0x1.9acb6cb020efbp-10, -0x1.8cde75d6850cep-10, -0x1.7f60397b8428fp-10, -0x1.724da8c6a6693p-10, -0x1.65a3cc2711e09p-10, -0x1.595fbf8c66eb4p-10, -0x1.4d7eaae7cb892p-10, -0x1.41fdc9e664d0ep-10, -0x1.36da6518082fap-10, -0x1.2c11e4ded8cdcp-10, -0x1.21a1a9d2a221p-10, -0x1.178733cec045ap-10, -0x1.0dc00f1116f51p-10, -0x1.0449d923b9b84p-10, -0x1.f6446afe94f45p-11, -0x1.e48dbeea882e9p-11, -0x1.d36b4b75f1f33p-11, -0x1.c2d8aadea491fp-11, -0x1.b2d1a64dbb4b7p-11, -0x1.a35220dbbfe78p-11, -0x1.945617cc4cc8dp-11, -0x1.85d99efbf162ap-11, -0x1.77d8eaddb3604p-11, -0x1.6a5036881bd8dp-11, -0x1.5d3bf3a470164p-11, -0x1.50989911ecf5dp-11, -0x1.4462adea0ab96p-11, -0x1.3896e501bced1p-11, -0x1.2d31fccd8f772p-11, -0x1.2230c1b02d2c7p-11, -0x1.1790202d1cfcep-11, -0x1.0d4d25208caacp-11, -0x1.0364d91f85764p-11, -0x1.f3a8cca913582p-12, -0x1.e13219289f377p-12, -0x1.cf603a77e8da7p-12, -0x1.be2def4b134d2p-12, -0x1.ad962e4cbb923p-12, -0x1.9d93fa929a045p-12, -0x1.8e22844a6584cp-12, -0x1.7f3d339b19a43p-12, -0x1.70df74ca1d4cdp-12, -0x1.6304e2dd1b3f7p-12, -0x1.55a93e3773ba1p-12, -0x1.48c850cdcad5dp-12, -0x1.3c5e208b5ba29p-12, -0x1.3066b70f2bc5p-12, -0x1.24de521027f5ep-12, -0x1.19c1326ffeb8ep-12, -0x1.0f0bd8f1a18b3p-12, -0x1.04bab5bd901bep-12, -0x1.f594d454585d4p-13, -0x1.e26f7b23fb254p-13, -0x1.cffefb2991e44p-13, -0x1.be3d33ff8af8bp-13, -0x1.ad2420319c8acp-13, -0x1.9cadfe933faeep-13, -0x1.8cd522c6e4f42p-13, -0x1.7d9431d140846p-13, -0x1.6ee5d921ae699p-13, -0x1.60c4fa7654897p-13, -0x1.532cacaecff3ep-13, -0x1.461821095a198p-13, -0x1.3982a0f6dd3e9p-13, -0x1.2d67c098afe1dp-13, -0x1.21c31f272100fp-13, -0x1.16907c7be508p-13, -0x1.0bcbcb103ace3p-13, -0x1.017117904c675p-13, -0x1.eef90548dd189p-14, -0x1.dbd4ce1fa52a9p-14, -0x1.c96e310dac7f9p-14, -0x1.b7be661447ba6p-14, -0x1.a6beb2aa7a54bp-14, -0x1.9668b23b4f09ep-14, -0x1.86b5e90b78959p-14, -0x1.77a02e64b40dcp-14, -0x1.692201f28a694p-14, -0x1.5b3585f86c43bp-14, -0x1.4dd55b34d438ep-14, -0x1.40fbf6fe59ac6p-14, -0x1.34a45437de353p-14, -0x1.28c9ed5ae3432p-14, -0x1.1d6775d4c92dcp-14, -0x1.1278805514242p-14, -0x1.07f89ac5dea75p-14, -0x1.fbc70bda2dddfp-15, -0x1.e86a0f39b2d63p-15, -0x1.d5d2723b191a6p-15, -0x1.c3f892c53a7bap-15, -0x1.b2d45bcdb7de4p-15, -0x1.a25fabb7186d6p-15, -0x1.9292c0bfb9139p-15, -0x1.8367349a1aaadp-15, -0x1.74d6b65302a6ep-15, -0x1.66db01161e4dep-15, -0x1.596e166719f78p-15, -0x1.4c8a366b4d3b9p-15, -0x1.402a08d350cdp-15, -0x1.34478ed5d7c89p-15, -0x1.28deb4c1014efp-15, -0x1.1de9c91636969p-15, -0x1.1364148ff6158p-15, -0x1.09495d67a2b46p-15, -0x1.ff2a03a5b08bcp-16, -0x1.ec85b8ce162c2p-16, -0x1.da9db36e5238fp-16, -0x1.c969e148fd9c2p-16, -0x1.b8e2f8f874f8fp-16, -0x1.a901b10ff1911p-16, -0x1.99bf7aba47439p-16, -0x1.8b14855f147ffp-16, -0x1.7cfc1f8e62b25p-16, -0x1.6f6eea713a928p-16, -0x1.626730653449p-16, -0x1.55df64fd6e441p-16, -0x1.49d1ecac247e7p-16, -0x1.3e3a144bd2dcap-16, -0x1.331247bbe165ep-16, -0x1.28562e5ee173bp-16, -0x1.1e00b7ea50e91p-16, -0x1.140e31b3dfbb4p-16, -0x1.0a78e0cce5ecap-16, -0x1.013ed8d9c5b2dp-16, -0x1.f0b49c96efcf4p-17, -0x1.df921e0f80747p-17, -0x1.cf0ce700e90c3p-17, -0x1.bf1f469d98e71p-17, -0x1.afc26ab94896cp-17, -0x1.a0f01934da79p-17, -0x1.92a22a50a3511p-17, -0x1.84d40aaa51195p-17, -0x1.777f1a0ac3a4ap-17, -0x1.6a9c3c165ee26p-17, -0x1.5e2b049d8be2ep-17, -0x1.522384166e3aep-17, -0x1.4681d20e59ec8p-17, -0x1.3b4243e41ae1cp-17, -0x1.305fc8028b3d9p-17, -0x1.25d696c514a9cp-17, -0x1.1ba39534df9bep-17, -0x1.11c29ce36224fp-17, -0x1.082fca27d2852p-17, -0x1.fdd1802df9a61p-18, -0x1.ebd2bb0fcea87p-18, -0x1.da602f7441bdp-18, -0x1.c971ca3e6772p-18, -0x1.b904396088043p-18, -0x1.a90ef99bc9cb8p-18, -0x1.998d5a8a429cp-18, -0x1.8a813c8957656p-18, -0x1.7bde7e6c37816p-18, -0x1.6da2234232801p-18, -0x1.5fcd374faa55bp-18, -0x1.5257486041caap-18, -0x1.453dc2dd03438p-18, -0x1.387b5c5da7033p-18, -0x1.2c11623383f9bp-18, -0x1.1ff848e0a06cbp-18, -0x1.142eff0f75a17p-18, -0x1.08b18f84638dbp-18, -0x1.fafe76d283672p-19, -0x1.e5266b7ce7ac6p-19, -0x1.cfda9ce4fce11p-19, -0x1.bb11c4471751bp-19, -0x1.a6caa93eb0d88p-19, -0x1.92ffd24675975p-19, -0x1.7faebb8ea91f5p-19, -0x1.6cd07c982e488p-19, -0x1.5a66d58e9891dp-19, -0x1.48687476f5724p-19, -0x1.36d7d8fddcb9bp-19, -0x1.25aa95767af97p-19, -0x1.14e496b39e19dp-19, -0x1.04811e03c31fdp-19, -0x1.e8f9622dcbaeep-20, -0x1.c9aae1bef4d6ep-20, -0x1.ab0da5b3676a1p-20, -0x1.8d296c81edcfp-20, -0x1.6feca9c33e5ecp-20, -0x1.53595974a7e78p-20, -0x1.3769222674f0dp-20, -0x1.1c2639b69f455p-20, -0x1.01720579bf751p-20, -0x1.ceab02a6646c3p-21, -0x1.9babc9ed8149fp-21, -0x1.69d56b22fccdcp-21, -0x1.39358a2273fb5p-21, -0x1.097edcf942988p-21, -0x1.b6123d3b982c4p-22, -0x1.5b2cae7c86437p-22, -0x1.026780580b071p-22, -0x1.57685ee9c40d2p-23, -0x1.5beca061c7504p-24, -0x1.16607f1d83f3p-28, 0x1.318b53bca589fp-24, 0x1.3600a35166bf6p-23, 0x1.d01f2ef96a17p-23, 0x1.330c437faeb1dp-22, 0x1.7c356545cc834p-22, 0x1.c38cc71bd1147p-22, 0x1.048ae08338669p-21, 0x1.267284817c6c5p-21, 0x1.476dbc6abf5f1p-21, 0x1.67a465db7d7e1p-21, 0x1.86e1a50936237p-21, 0x1.a569101b872dfp-21, 0x1.c30b6c5408477p-21, 0x1.dfe3dfae33cefp-21, 0x1.fbf33d84c4c74p-21, 0x1.0b9501edf6e68p-20, 0x1.18d4babb15e82p-20, 0x1.25aaeb22baa4ep-20, 0x1.3221c1e61029ap-20, 0x1.3e38f9a58e93fp-20, 0x1.49f57ca4ade42p-20, 0x1.55438769d4168p-20, 0x1.604653088bd8fp-20, 0x1.6ae613e68cb56p-20, 0x1.752ddda570696p-20, 0x1.7f1b4f312c8e2p-20, 0x1.88aac010a287bp-20, 0x1.91f9cbd43ebf3p-20, 0x1.9adb01e60ee6cp-20, 0x1.a36c501cfdaf5p-20, 0x1.abb5270ab1248p-20, 0x1.b3997cb14c6e6p-20, 0x1.bb3cea76ddd07p-20, 0x1.c28c3fc715cb1p-20, 0x1.c9897047afddcp-20, 0x1.d03d60027869cp-20, 0x1.d6a15e0187b79p-20, 0x1.dcba7a663bf44p-20, 0x1.e289c8df062bbp-20, 0x1.e80e2ce8426bap-20, 0x1.ed4d032425d9ap-20, 0x1.f23a49d66f5f1p-20, 0x1.f6f608f9bda2fp-20, 0x1.fb5857d53cd77p-20, 0x1.ff80fa4a9465fp-20, 0x1.01b203c10c6bcp-19, 0x1.0382c96fa7ca3p-19, 0x1.053319d34bfd6p-19, 0x1.06c3c993917f6p-19, 0x1.083591ba51305p-19, 0x1.09832404e4c31p-19, 0x1.0abcf5a2111f4p-19, 0x1.0bd2d35cf387bp-19, 0x1.0ccb2e5da7ac3p-19, 0x1.0da78de9ec874p-19, 0x1.0e65d37526c2dp-19, 0x1.0f0faf98396eep-19, 0x1.0f93fac738ad6p-19, 0x1.1004290667313p-19, 0x1.10593b18c1fb1p-19, 0x1.109473af69978p-19, 0x1.10b6992c17ebdp-19, 0x1.10bfc0ef87a6fp-19, 0x1.10b22cfd3ffb4p-19, 0x1.108b95a6a8191p-19, 0x1.1050de21c1d78p-19, 0x1.0ff8441d34ee5p-19, 0x1.0f927c529dd0ep-19, 0x1.0f1036a337a94p-19, 0x1.0e7dbeee61773p-19, 0x1.0dd3e80cde56ep-19, 0x1.0d1da4f210df7p-19, 0x1.0c43e2f63276fp-19, 0x1.0b60d001968bep-19, 0x1.0a6c967a2115bp-19, 0x1.0962f9341d82fp-19, 0x1.084873e6610ecp-19, 0x1.071c39422f9eap-19, 0x1.05df96bbc61f8p-19, 0x1.04924f23329fdp-19, 0x1.0335310a0740ap-19, 0x1.01c79294b6435p-19, 0x1.004c9ba7db148p-19, 0x1.fd8479f51299p-20, 0x1.fa52927099cb9p-20, 0x1.f707dd8fe4685p-20, 0x1.f39c15585d91bp-20, 0x1.f018a5449bf31p-20, 0x1.ec833183a3161p-20, 0x1.e8d385d665a05p-20, 0x1.e4ff55cd2b2e2p-20, 0x1.e1235ef501c23p-20, 0x1.dd2c7c886ac6cp-20, 0x1.d91fbb43160b3p-20, 0x1.d4ff46409c1fbp-20, 0x1.d0c46c161217fp-20, 0x1.cc8a1556580d4p-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.b942e35dd0e9bp-8, -0x1.f81421b197e8cp-8, -0x1.15c4e188558bep-7, -0x1.27dee725030fap-7, -0x1.30ac14fb05cbap-7, -0x1.2ed0522a30097p-7, -0x1.21450031b69bfp-7, -0x1.07550165d807p-7, -0x1.c13bed6467823p-8, -0x1.59fdc81bd2543p-8, -0x1.b276a3c054e5p-9, -0x1.fdb1621ff167ap-11, 0x1.c5fdae1fcd31ap-10, 0x1.38f99672b19b3p-8, 0x1.0a875aa7d1ebp-7, 0x1.81f1e5efeb082p-7, 0x1.00deb3a70dcd4p-6, 0x1.446ff29b63378p-6, 0x1.8b24d339621dap-6, 0x1.d47485b4179ddp-6, 0x1.0feb9ffdfbc9ep-5, 0x1.3664104b4d121p-5, 0x1.5d633c0101832p-5, 0x1.84ab81892f09p-5, 0x1.ac02aaa0cc3eep-5, 0x1.d3324f919e4d3p-5, 0x1.fa07c9af5714dp-5, 0x1.102a1140e548bp-4, 0x1.22f628d9d0c21p-4, 0x1.3554d43d16058p-4, 0x1.473504e0e07b2p-4, 0x1.5887d967c6abbp-4, 0x1.69405998fa33ap-4, 0x1.7952d26f1db88p-4, 0x1.88b68241384fp-4, 0x1.9763c65bbc475p-4, 0x1.a554c8eb9a25p-4, 0x1.b285423650213p-4, 0x1.bef258eda8865p-4, 0x1.ca9a8be38f26bp-4, 0x1.d57d92bb6c52ep-4, 0x1.df9c414742974p-4, 0x1.e8f86ae882737p-4, 0x1.f194c91d9b194p-4, 0x1.f974ddfcad6dcp-4, 0x1.004e6cbc2a5ccp-3, 0x1.0388c01092e8bp-3, 0x1.066c0ac840129p-3, 0x1.08fb242f89f1fp-3, 0x1.0b390f9c2525cp-3, 0x1.0d28f2f5593b9p-3, 0x1.0ece0e74f6023p-3, 0x1.102bb5da114bp-3, 0x1.11454a8f073f8p-3, 0x1.121e3433eb1cep-3, 0x1.12b9dd1eebc2bp-3, 0x1.131ba93a98cc1p-3, 0x1.1346f2ee715bp-3, 0x1.133f07bc22bb4p-3, 0x1.130726642c326p-3, 0x1.12a27cb485b55p-3, 0x1.121424f7b52a6p-3, 0x1.115f21b853b95p-3, 0x1.10865a3eda3f7p-3, 0x1.0f8c974946ddap-3, 0x1.0e7481a0ef1cap-3, 0x1.0d40a209ee73ap-3, 0x1.0bf3624eef82fp-3, 0x1.0a8f0e4e42ae3p-3, 0x1.0915d58447959p-3, 0x1.0789c7514d03fp-3, 0x1.05ecd8523a58bp-3, 0x1.0440dc2da717ep-3, 0x1.028787a967498p-3, 0x1.00c2706b2248cp-3, 0x1.fde61b6f5a2d1p-4, 0x1.fa35731bd220fp-4, 0x1.f674a1401cc9p-4, 0x1.f2a7558544424p-4, 0x1.eecf0845bdfcp-4, 0x1.eaed9c358e088p-4, 0x1.e704bf9aef1edp-4, 0x1.e315f7d96b119p-4, 0x1.df229358f2c4ap-4, 0x1.db2bba31b4693p-4, 0x1.d73269f56063cp-4, 0x1.d337798a62a4cp-4, 0x1.cf3b9bcdca309p-4, 0x1.cb3f621ac637bp-4, 0x1.c7433ec4fc0a9p-4, 0x1.c3478709e0c95p-4, 0x1.bf4c76064b685p-4, 0x1.bb522d0c20ddfp-4, 0x1.b758b6d228cf2p-4, 0x1.b36008246f6c5p-4, 0x1.af68022a23c28p-4, 0x1.ab70735394fdfp-4, 0x1.a7791984ef559p-4, 0x1.a381a3574e417p-4, 0x1.9f89b1e654f3fp-4, 0x1.9b90da8b2e608p-4, 0x1.9796a80be3f5p-4, 0x1.939a9d3e89e28p-4, 0x1.8f9c36411d341p-4, 0x1.8b9ae99d9a841p-4, 0x1.879627920ff86p-4, 0x1.838d6225cc2f8p-4, 0x1.7f8006af0148fp-4, 0x1.7b6d82dd495a7p-4, 0x1.775544fe5ecc9p-4, 0x1.7336bca1e5923p-4, 0x1.6f115b9bd60bap-4, 0x1.6ae496c170535p-4, 0x1.66afe7c37439p-4, 0x1.6272ca1c0f953p-4, 0x1.5e2cc2def552ep-4, 0x1.59dd5748273cap-4, 0x1.558416951851fp-4, 0x1.5120987e89037p-4, 0x1.4cb278333ebcbp-4, 0x1.48395a0180008p-4, 0x1.43b4eb75edb79p-4, 0x1.3f24e22fd0da5p-4, 0x1.3a88fcd9c5e03p-4, 0x1.35e1036a729b8p-4, 0x1.312cc75ee912dp-4, 0x1.2c6c23f0aea7ep-4, 0x1.279efe839feebp-4, 0x1.22c5450b843a7p-4, 0x1.1ddef17594557p-4, 0x1.18ec06160a741p-4, 0x1.13ec8f6b65571p-4, 0x1.0ee0a3d9790c2p-4, 0x1.09c862424b866p-4, 0x1.04a3f43a98e8bp-4, 0x1.fee71750a1255p-5, 0x1.f46ec72679f81p-5, 0x1.e9df7fbacaf74p-5, 0x1.df39da180f5f5p-5, 0x1.d47e8005bbcc1p-5, 0x1.c9ae2bd771a87p-5, 0x1.bec9a7db317cfp-5, 0x1.b3d1cddea816bp-5, 0x1.a8c787002bb6dp-5, 0x1.9dabc920fd087p-5, 0x1.927f9a4fd3446p-5, 0x1.87440c62cb3e9p-5, 0x1.7bfa3c5ce303fp-5, 0x1.70a3554e9c96ap-5, 0x1.65408b82ad466p-5, 0x1.59d31df1e85bdp-5, 0x1.4e5c54d48e7dp-5, 0x1.42dd81c3693dap-5, 0x1.3757fc036f366p-5, 0x1.2bcd256a66f61p-5, 0x1.203e63dc7d4a4p-5, 0x1.14ad22dfbd31ep-5, 0x1.091ad6bace6a4p-5, 0x1.fb11e46a933f4p-6, 0x1.e3f1deef0144bp-6, 0x1.ccd894d9a84b9p-6, 0x1.b5c90393205e3p-6, 0x1.9ec6293473396p-6, 0x1.87d306f97d12dp-6, 0x1.70f29ca76eb67p-6, 0x1.5a27b1d0cb58fp-6, 0x1.4375edd278498p-6, 0x1.2cdfd48d248eep-6, 0x1.1668594d0a8cep-6, 0x1.001267811dad1p-6, 0x1.d3c1c6a3198cap-7, 0x1.a7ad506a0c394p-7, 0x1.7bed108d6195p-7, 0x1.508699c71e2aap-7, 0x1.257f5771e1373p-7, 0x1.f5b967dc7ea45p-8, 0x1.a147e0d8c32dbp-8, 0x1.4db45ea3fb044p-8, 0x1.f611ee3414855p-9, 0x1.529ef805d7701p-9, 0x1.6245d9bbb67c1p-10, 0x1.1b064e03025a5p-13, -0x1.174d4b8a7fdc5p-10, -0x1.26d0c7d978d5p-9, -0x1.bfbd348e869c6p-9, -0x1.2b2ddd9737eafp-8, -0x1.754e65fe6b0f9p-8, -0x1.be38bfc00ed26p-8, -0x1.02f2e527de216p-7, -0x1.26275d4ddd0b6p-7, -0x1.48b68e944358dp-7, -0x1.6a9d6a89319d1p-7, -0x1.8bd90fd08e9ebp-7, -0x1.ac66c88b8b2a7p-7, -0x1.cc440beb79947p-7, -0x1.eb6e7f56fa355p-7, -0x1.04f1f9d3f2e83p-6, -0x1.13d134553e534p-6, -0x1.225403ff81b34p-6, -0x1.30799649817bbp-6, -0x1.3e412d69cbb37p-6, -0x1.4baa2295ac25ap-6, -0x1.58b3e4ebd034dp-6, -0x1.655df94cafa58p-6, -0x1.71a7faf315a41p-6, -0x1.7d91997a4acc4p-6, -0x1.891a9ad9ee3b3p-6, -0x1.9442da0ef337bp-6, -0x1.9f0a44ebe6072p-6, -0x1.a970df364122bp-6, -0x1.b376c039310a3p-6, -0x1.bd1c123add621p-6, -0x1.c661140b4df5fp-6, -0x1.cf46155cfc419p-6, -0x1.d7cb790d673d7p-6, -0x1.dff1b3fb6eb07p-6, -0x1.e7b94c1553f2fp-6, -0x1.ef22d82952d85p-6, -0x1.f62eff81b6a5p-6, -0x1.fcde792262fbep-6, -0x1.019905c995f1fp-5, -0x1.049546418c632p-5, -0x1.07646f204b8ecp-5, -0x1.0a06f9c18aefbp-5, -0x1.0c7d652b6c4f6p-5, -0x1.0ec8370566f68p-5, -0x1.10e7fb199ba5p-5, -0x1.12dd429f346ccp-5, -0x1.14a8a4c952542p-5, -0x1.164abdc87fa85p-5, -0x1.17c42eba3aa8ep-5, -0x1.19159d64e965ap-5, -0x1.1a3fb3a3c3a3ap-5, -0x1.1b432122de4aap-5, -0x1.1c209674c41e7p-5, -0x1.1cd8cab39103cp-5, -0x1.1d6c75ed4f27p-5, -0x1.1ddc54afbad6p-5, -0x1.1e2925dddfa67p-5, -0x1.1e53ab021011ap-5, -0x1.1e5ca75ac33edp-5, -0x1.1e44e1152b937p-5, -0x1.1e0d1f7512e22p-5, -0x1.1db62b8e519d6p-5, -0x1.1d40cfa6f0508p-5, -0x1.1cadd7126d4d3p-5, -0x1.1bfe0e1c4adaep-5, -0x1.1b324162ef4cap-5, -0x1.1a4b3e031d1ecp-5, -0x1.1949d217ed97ep-5, -0x1.182eca436cd67p-5, -0x1.16faf3e952ad6p-5, -0x1.15af1ba82736fp-5, -0x1.144c0e39a8006p-5, -0x1.12d2963a71fa1p-5, -0x1.11437e94afeacp-5, -0x1.0f9f908f9a3p-5, -0x1.0de79431ba29bp-5, -0x1.0c1c50b189b51p-5, -0x1.0a3e882edfab5p-5, -0x1.084f042e71e71p-5, -0x1.064e7f4facf36p-5, -0x1.043dbeadf3251p-5, -0x1.021d7be33d71fp-5, -0x1.ffdce657ebd46p-6, -0x1.fb62bcc78e957p-6, -0x1.f6cde6422444fp-6, -0x1.f21fcb0ed1f2p-6, -0x1.ed59cdb06a1bdp-6, -0x1.e87d4b5d6fb01p-6, -0x1.e38b9b86ff341p-6, -0x1.de861016155e5p-6, -0x1.d96df50946be9p-6, -0x1.d4449047a6576p-6, -0x1.cf0b21c0a4df9p-6, -0x1.c9c2e2faf1e8bp-6, -0x1.c46d086e7091p-6, -0x1.bf0abb86cca89p-6, -0x1.b99d262e4b06ep-6, -0x1.b42566e9f5b28p-6, -0x1.aea4967744602p-6, -0x1.a91bc8c364df1p-6, -0x1.a38c092a5173bp-6, -0x1.9df65b4d316c9p-6, -0x1.985bc0614da6bp-6, -0x1.92bd2d7fc0dafp-6, -0x1.8d1b943daa0bfp-6, -0x1.8777de61e6e89p-6, -0x1.81d2eee0f84ebp-6, -0x1.7c2da353328fdp-6, -0x1.7688cf6c013bdp-6, -0x1.70e5455f5b7cap-6, -0x1.6b43ca3b89e0fp-6, -0x1.65a51f1bc8c32p-6, -0x1.600a015d81c97p-6, -0x1.5a7324293505ep-6, -0x1.54e135376a093p-6, -0x1.4f54dc07b0d9dp-6, -0x1.49ceb954ed0a8p-6, -0x1.444f67b4ff693p-6, -0x1.3ed77b6bdff76p-6, -0x1.3967827c7a557p-6, -0x1.340005981f44bp-6, -0x1.2ea1847689738p-6, -0x1.294c7cdc3d7bp-6, -0x1.240163ffb65adp-6, -0x1.1ec0ab7b7be8ap-6, -0x1.198abcc71c4cfp-6, -0x1.145ffbea7170bp-6, -0x1.0f40ca16e5891p-6, -0x1.0a2d80d00d75fp-6, -0x1.052674e7b7d47p-6, -0x1.002bf4681fb5dp-6, -0x1.f67c98883d91ap-7, -0x1.ecbb83faffdcfp-7, -0x1.e31526d1f19bcp-7, -0x1.d989febd9ae43p-7, -0x1.d01a7986c0ff9p-7, -0x1.c6c6fbf0cea7cp-7, -0x1.bd8fe50fb57eep-7, -0x1.b47584cbd9d4dp-7, -0x1.ab782bf6031e6p-7, -0x1.a2981cb9c21adp-7, -0x1.99d594bb3afd4p-7, -0x1.9130c779be5f1p-7, -0x1.88a9e31c220edp-7, -0x1.80410ea30d7f5p-7, -0x1.77f66a2ec02edp-7, -0x1.6fca0e873a495p-7, -0x1.67bc0dc5d7952p-7, -0x1.5fcc77e96acfp-7, -0x1.57fb5132b1e4dp-7, -0x1.50489c432cedap-7, -0x1.48b4563aec43ep-7, -0x1.413e74bdcb94ap-7, -0x1.39e6eafa78273p-7, -0x1.32ada82b52756p-7, -0x1.2b9293185c8ccp-7, -0x1.2495936222b9bp-7, -0x1.1db68b5b74141p-7, -0x1.16f553ac7daefp-7, -0x1.1051cb6c9439dp-7, -0x1.09cbc7b75012dp-7, -0x1.03631ab661617p-7, -0x1.fa2f375aa7a7ep-8, -0x1.edd221a329e18p-8, -0x1.e1ae907564c5cp-8, -0x1.d5c414d0661b1p-8, -0x1.ca123a7637d3ap-8, -0x1.be988facd67c9p-8, -0x1.b356925da1853p-8, -0x1.a84bc6631bfc7p-8, -0x1.9d77ac1f52ce3p-8, -0x1.92d9b71b4448dp-8, -0x1.8871628cd486bp-8, -0x1.7e3e2ab87ea06p-8, -0x1.743f675819243p-8, -0x1.6a749ea1d1e62p-8, -0x1.60dd379aabb7p-8, -0x1.57789ad8096c2p-8, -0x1.4e463060bab66p-8, -0x1.45455e8349189p-8, -0x1.3c7589e1fa743p-8, -0x1.33d615cbfd38dp-8, -0x1.2b6662a51a183p-8, -0x1.2325d149aa0f5p-8, -0x1.1b13bf7bd94b2p-8, -0x1.132f8ab151d1p-8, -0x1.0b7890c4162e8p-8, -0x1.03ee2c4ad5eddp-8, -0x1.f91f6eea388c7p-9, -0x1.eab91953eb25p-9, -0x1.dca809c0ed459p-9, -0x1.ceeaf3215cd67p-9, -0x1.c180852b3b36ep-9, -0x1.b46770869fcf2p-9, -0x1.a79e60214bae5p-9, -0x1.9b240ed2efba9p-9, -0x1.8ef7231e7a30ep-9, -0x1.83164e0bd474bp-9, -0x1.7780407cda0ffp-9, -0x1.6c33ab84dcfbbp-9, -0x1.612f41316433p-9, -0x1.5671ad956253p-9, -0x1.4bf9adbcd488ap-9, -0x1.41c5f1df9c965p-9, -0x1.37d532935959dp-9, -0x1.2e262714645b5p-9, -0x1.24b78755dc28ap-9, -0x1.1b8812a32e1cdp-9, -0x1.129689e989fdep-9, -0x1.09e1aa80fc48dp-9, -0x1.01682d85c5e7bp-9, -0x1.f251fd15f0ee7p-10, -0x1.e2458396f889p-10, -0x1.d2a8a1c708594p-10, -0x1.c378f221db17p-10, -0x1.b4b4247973846p-10, -0x1.a657c876bc25ep-10, -0x1.9861d9890beafp-10, -0x1.8acfc78c8d9fbp-10, -0x1.7d9f7325fd93ep-10, -0x1.70ceac6ab3e5ap-10, -0x1.645b3c30b111ap-10, -0x1.5843024d92462p-10, -0x1.4c83e02d4975ep-10, -0x1.411bc1b504726p-10, -0x1.36089c2874b3p-10, -0x1.2b48623b3c119p-10, -0x1.20d923a3ab047p-10, -0x1.16b8d9ebbeabdp-10, -0x1.0ce5c25c1cb9cp-10, -0x1.035dd43fd78b6p-10, -0x1.f43e761355c96p-11, -0x1.e25075bfe444cp-11, -0x1.d0ede811a1dffp-11, -0x1.c01376ed83eb6p-11, -0x1.afbd5f40a3208p-11, -0x1.9fe87a94e67dap-11, -0x1.909193f6d1e21p-11, -0x1.81b5349864cb1p-11, -0x1.735056295c639p-11, -0x1.655f83411f83dp-11, -0x1.57dff69561e13p-11, -0x1.4ace9919f1918p-11, -0x1.3e286817ebf37p-11, -0x1.31ea7f616597ap-11, -0x1.26120440db8d7p-11, -0x1.1a9c33ff45efbp-11, -0x1.0f8636f1328edp-11, -0x1.04cd88be6e33ap-11, -0x1.f4dee30c70504p-12, -0x1.e0d2ca80151e5p-12, -0x1.cd7231768a5efp-12, -0x1.bab72134f783p-12, -0x1.a89df5089afbbp-12, -0x1.9721b0afd1187p-12, -0x1.863dded601babp-12, -0x1.75ee2631e8f7p-12, -0x1.662e51571c05dp-12, -0x1.56fa42823594ep-12, -0x1.484e0dd1c625ap-12, -0x1.3a25d5b032ee7p-12, -0x1.2c7ddc758eb4ap-12, -0x1.1f5296d8852b8p-12, -0x1.12a03e92f538ep-12, -0x1.06632494cad84p-12, -0x1.f5324201a1aaap-13, -0x1.de7b12b58b789p-13, -0x1.c89b0891eb683p-13, -0x1.b38b8cc8bedcp-13, -0x1.9f465baf6d1f2p-13, -0x1.8bc4c99de8a24p-13, -0x1.7900b84e8f766p-13, -0x1.66f41c3fa4b94p-13, -0x1.5597f1062a336p-13, -0x1.44e6fb8442fdep-13, -0x1.34db01a94a1fcp-13, -0x1.256e1e6b31b2dp-13, -0x1.169b1fbc5fc62p-13, -0x1.085b94419f0a3p-13, -0x1.f5560e27118a1p-14, -0x1.db084d0a6f679p-14, -0x1.c1c44752fdcb5p-14, -0x1.a9801c8145dd8p-14, -0x1.9233527a4eb93p-14, -0x1.7bd553c15a3aep-14, -0x1.665de18209e25p-14, -0x1.51c51d0c6be13p-14, -0x1.3e030f16f6685p-14, -0x1.2b11c045a3a67p-14, -0x1.18e77e591aabep-14, -0x1.07827e518c278p-14, -0x1.edaf9ab54618p-15, -0x1.cdc4dcdf6195p-15, -0x1.af38633b8ad09p-15, -0x1.92007b3c6e614p-15, -0x1.760ef1363024p-15, -0x1.5b59e3e4a3156p-15, -0x1.41d60f119765p-15, -0x1.297b68b5af0e8p-15, -0x1.123876a3476cap-15, -0x1.f815b01b5ecccp-16, -0x1.cdcb3a2974ad6p-16, -0x1.a57d7729bd029p-16, -0x1.7f1c9c8666081p-16, -0x1.5a9555e7c0acep-16, -0x1.37d733426640bp-16, -0x1.16d05a9b6062cp-16, -0x1.eee13a1b802fap-17, -0x1.b352cb2753f59p-17, -0x1.7acd9f9211426p-17, -0x1.453e46ad4e76fp-17, -0x1.12828029407b9p-17, -0x1.c4fda3c8e1f6ep-18, -0x1.6a12a2f83229ap-18, -0x1.146a1f1ef2f52p-18, -0x1.86f519a550c9bp-19, -0x1.dc8ef365ba189p-20, -0x1.7a19f82f1258dp-21, 0x1.45c1fbdde622ep-22, 0x1.4f7b7bbc6a5f9p-20, 0x1.1eeed36b9e661p-19, 0x1.8e95f1e711288p-19, 0x1.f7032b1916e18p-19, 0x1.2c49cdcc171a8p-18, 0x1.59aa3654961cdp-18, 0x1.840aae693a23dp-18, 0x1.ab48c8d14f3c4p-18, 0x1.cfa11135b8e87p-18, 0x1.f134ba22accc7p-18, 0x1.081078779d2d6p-17, 0x1.163f77a874ddp-17, 0x1.233988e543bf5p-17, 0x1.2f0a25e892514p-17, 0x1.39bfc87a04dbbp-17, 0x1.4366c68ec086cp-17, 0x1.4c0c6f48ae521p-17, 0x1.53b71ba1f729ap-17, 0x1.5a80a118bc6eep-17, 0x1.60666a97dbe51p-17, 0x1.65785d5a6d35ap-17, 0x1.69bea28aa997dp-17, 0x1.6d436875d8411p-17, 0x1.7008805feab85p-17, 0x1.7236b77d04f01p-17, 0x1.73b45df2da384p-17, 0x1.7494573a53678p-17, 0x1.74e2c7029fcfdp-17, 0x1.74a0aa61c260dp-17, 0x1.73dbbe201932fp-17, 0x1.7299e9288b3dep-17, 0x1.70e2d064d9b23p-17, 0x1.6eb6893fd5ca1p-17, 0x1.6c24308b8cc1ap-17, 0x1.691fd7772b02fp-17, 0x1.65d9abef734c6p-17, 0x1.622f492e1fd82p-17, 0x1.5e2ec4d60a4c9p-17, 0x1.59e3261109146p-17, 0x1.554cba1a5a005p-17, 0x1.507766e26f0bbp-17, 0x1.4b6338e65cd91p-17, 0x1.4610f6e25127fp-17, 0x1.408a7a100b38cp-17, 0x1.3acdf465643b3p-17, 0x1.34e72a6d25a43p-17, 0x1.2ed66d98e55e6p-17, 0x1.289cd1499b53dp-17, 0x1.223fb9136f0cfp-17, 0x1.1bc15e8351b2ep-17, 0x1.15223d779b20bp-17, 0x1.0e6f03f15b494p-17, 0x1.07a03eb44df16p-17, 0x1.00c0d92ecf30bp-17, 0x1.f3b3dd203c1a9p-18, 0x1.e589eca517077p-18, 0x1.d766198f2cba4p-18, 0x1.c92d2f501d411p-18, 0x1.bae3b30fd6d8bp-18, 0x1.ac8db0fe7967ap-18, 0x1.9e2aa50e96193p-18, 0x1.8fc457e68b7cep-18, 0x1.815b153d94486p-18, 0x1.72f2966263025p-18, 0x1.64907efbc4ce3p-18, 0x1.56321d1a92c47p-18, 0x1.47f5f4e305ae2p-18, 0x1.3996d4f189e8ep-18, 0x1.2b5e52acc06cfp-18, 0x1.1d3c0437aaa8ep-18, 0x1.0f2cd92d65996p-18, 0x1.0130cbd0ffaefp-18, 0x1.e6a5edc71aba6p-19, 0x1.cb18ae3797394p-19, 0x1.afb991bb1a0bcp-19, 0x1.947aefb60588cp-19, 0x1.79d4f46cbe256p-19, 0x1.5f32b08d3f57cp-19, 0x1.44e407ab00d26p-19, 0x1.2adc4f868ddb9p-19, 0x1.111dd7cc7ca78p-19, 0x1.ef5db0d0a8762p-20, 0x1.bd1f3bf10b6bdp-20, 0x1.8b680868609e9p-20, 0x1.5a9a93945083bp-20, 0x1.2a4ae2d2ba1b1p-20, 0x1.f56ed3fe3b344p-21, 0x1.96de005e19903p-21, 0x1.3b7e3bcb95d4p-21, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.13ce8ced7024cp-3, 0x1.0396ca45b49ccp-3, 0x1.ca041131404ebp-4, 0x1.7214fe351996cp-4, 0x1.0221fb7f246c7p-4, 0x1.f5c25d665e5dbp-6, -0x1.87103accaec07p-8, -0x1.77bad4908637ap-5, -0x1.693bf77a128dcp-4, -0x1.0e8ffae1c17c4p-3, -0x1.6a2b1d1dada41p-3, -0x1.c5fa1f1c51b9cp-3, -0x1.1058f480e2ff3p-2, -0x1.3c985ac59faf9p-2, -0x1.673f3ef34203cp-2, -0x1.8fe5bb18e869fp-2, -0x1.b637408881e27p-2, -0x1.d9f1878ffde3ap-2, -0x1.fae2eb5522072p-2, -0x1.0c7436b3d8a7cp-1, -0x1.19f5f2d48108ap-1, -0x1.25f1438fcfc24p-1, -0x1.3065c3b15e7bdp-1, -0x1.39576250d84cap-1, -0x1.40cdb4c49c7cp-1, -0x1.46d34d1741d11p-1, -0x1.4b7521753bd73p-1, -0x1.4ec20e3ae3046p-1, -0x1.50ca6c32958a9p-1, -0x1.519fb3e9999c4p-1, -0x1.51542b1581f11p-1, -0x1.4ffa9645864c9p-1, -0x1.4da5eda2327afp-1, -0x1.4a69097940ca6p-1, -0x1.4656d2de6aac8p-1, -0x1.4181a9792e3f9p-1, -0x1.3bfb81252bc37p-1, -0x1.35d5bb80e6026p-1, -0x1.2f21145f21211p-1, -0x1.27ed93907cad4p-1, -0x1.204a816fafeb5p-1, -0x1.18465eb0ef7fbp-1, -0x1.0feedf186cdb5p-1, -0x1.0750e6ddf2798p-1, -0x1.fcf113b91916ap-2, -0x1.eae219d252d0dp-2, -0x1.d889d2a390bd5p-2, -0x1.c5fba4c897ff4p-2, -0x1.b349784649942p-2, -0x1.a083c54028469p-2, -0x1.8db9a363751aap-2, -0x1.7af8da71ed237p-2, -0x1.684df3c393426p-2, -0x1.55c44bf63f2bcp-2, -0x1.4366240f8e017p-2, -0x1.313cb24bbfbc1p-2, -0x1.1f50315e93086p-2, -0x1.0da7f07c5161dp-2, -0x1.f894c5f3e17dbp-3, -0x1.d67a5f506abacp-3, -0x1.b50a7ed4bd281p-3, -0x1.944d9575a2df1p-3, -0x1.744acc413821p-3, -0x1.55081c4d70772p-3, -0x1.368a65e008904p-3, -0x1.18d58780a070fp-3, -0x1.f7d8e962960b4p-4, -0x1.bfa2979bdcf66p-4, -0x1.890ad4b33330cp-4, -0x1.541300115e0bp-4, -0x1.20bb3d1eaf549p-4, -0x1.de052b5dd9ea3p-5, -0x1.7dce27774607cp-5, -0x1.20cbbb41c2bb6p-5, -0x1.8ded3cbf3ef1ep-6, -0x1.c1188a039287fp-7, -0x1.cb05ebfa4d096p-9, 0x1.9ecbc38cd03ep-8, 0x1.02b5493ebb2ep-6, 0x1.97c9070f82629p-6, 0x1.1384ac7e200c5p-5, 0x1.584957a322e8p-5, 0x1.9a413e323c275p-5, 0x1.d97b8b2d090c8p-5, 0x1.0b03df0f55112p-4, 0x1.27facd1c09904p-4, 0x1.43aa89d2167afp-4, 0x1.5e1b1fb19b7e5p-4, 0x1.7754a255ae87p-4, 0x1.8f5f280cf33cfp-4, 0x1.a642c44c73a2cp-4, 0x1.bc07822f7b41cp-4, 0x1.d0b560aa1cc8fp-4, 0x1.e4544df42dc47p-4, 0x1.f6ec244bac1e1p-4, 0x1.0442535ea1b6dp-3, 0x1.0c92bf298d402p-3, 0x1.146b1be07ba0ep-3, 0x1.1bcf20983d1a1p-3, 0x1.22c2743954268p-3, 0x1.2948aca43fbep-3, 0x1.2f654e751752p-3, 0x1.351bcbc32a461p-3, 0x1.3a6f845658bfcp-3, 0x1.3f63c53989b56p-3, 0x1.43fbc885b3c01p-3, 0x1.483ab4fec289fp-3, 0x1.4c239e65f9325p-3, 0x1.4fb9854039bf6p-3, 0x1.52ff56f1b7a5dp-3, 0x1.55f7edbce639fp-3, 0x1.58a61116c3431p-3, 0x1.5b0c751c07a53p-3, 0x1.5d2dbb4a38044p-3, 0x1.5f0c732ca0b24p-3, 0x1.60ab18d88975bp-3, 0x1.620c170b886e5p-3, 0x1.6331c5fcc4963p-3, 0x1.641e6c5358c7fp-3, 0x1.64d43f691e782p-3, 0x1.655563655698ep-3, 0x1.65a3ebca37beep-3, 0x1.65c1dbbd7cd6bp-3, 0x1.65b12677123d8p-3, 0x1.6573afabb4e9p-3, 0x1.650b4bf7e43e1p-3, 0x1.6479c14f23d11p-3, 0x1.63c0c7639d4abp-3, 0x1.62e2083ee598cp-3, 0x1.61df205d255c8p-3, 0x1.60b99f6a0f07cp-3, 0x1.5f730881c8714p-3, 0x1.5e0cd2a453259p-3, 0x1.5c8869011cc5ap-3, 0x1.5ae72b78708bcp-3, 0x1.592a6ecc0189ap-3, 0x1.57537d12f3f13p-3, 0x1.556395f222714p-3, 0x1.535beef60fbe1p-3, 0x1.513db3d864aa1p-3, 0x1.4f0a06c226388p-3, 0x1.4cc2008fb97aep-3, 0x1.4a66b115fc828p-3, 0x1.47f91f5d24b92p-3, 0x1.457a49df4b496p-3, 0x1.42eb26cb6bbddp-3, 0x1.404ca4438ec69p-3, 0x1.3d9fa873135e8p-3, 0x1.3ae51218f5caap-3, 0x1.381db872b4293p-3, 0x1.354a6b9dcfff7p-3, 0x1.326bf4cc71d6dp-3, 0x1.2f831672eba9bp-3, 0x1.2c908c98b9adbp-3, 0x1.29950ce49c4f7p-3, 0x1.269146fb021a1p-3, 0x1.2385e49114452p-3, 0x1.207389d879e42p-3, 0x1.1d5ad54c18876p-3, 0x1.1a3c603d362fcp-3, 0x1.1718bed3cbfd3p-3, 0x1.13f0805de7cc4p-3, 0x1.10c42f34b4284p-3, 0x1.0d945131e32edp-3, 0x1.0a6167aa371a7p-3, 0x1.072b75bca2312p-3, 0x1.03f3d042ed943p-3, 0x1.00ba8d0fc30e4p-3, 0x1.fb0039fa5b067p-4, 0x1.f489da7c00863p-4, 0x1.ee12ce615e6ccp-4, 0x1.e79be0fbc505ep-4, 0x1.e125d672a804dp-4, 0x1.dab16c015b567p-4, 0x1.d43f57c007c9dp-4, 0x1.cdd049a1efe93p-4, 0x1.c764eaf20bb7ap-4, 0x1.c0fdde7f4d93ap-4, 0x1.ba9bc1563427ep-4, 0x1.b43f2a85a14e3p-4, 0x1.ade8aaf022e44p-4, 0x1.a798ce8dd65b2p-4, 0x1.a1501b3991d81p-4, 0x1.9b0f119b8e00fp-4, 0x1.94d62d67ad9b3p-4, 0x1.8ea5e4fbf5a92p-4, 0x1.887ea9cd8f8c4p-4, 0x1.8260e883e144p-4, 0x1.7c4d090de20b6p-4, 0x1.76436ebf2744bp-4, 0x1.704478697199dp-4, 0x1.6a5080817b2f4p-4, 0x1.6467dd2c1927dp-4, 0x1.5e8ae06ef58f1p-4, 0x1.58b9d82ee3dbep-4, 0x1.52f50e561ba5cp-4, 0x1.4d3cc8f2bca1ap-4, 0x1.47914a3130d23p-4, 0x1.41f2d0c8ea688p-4, 0x1.3c6197829d5aap-4, 0x1.36ddd5cebea18p-4, 0x1.3167bfb9c63e5p-4, 0x1.2bff85b2c9014p-4, 0x1.26a5552feb574p-4, 0x1.2159587f3b4abp-4, 0x1.1c1bb66bd8b26p-4, 0x1.16ec932edba8ap-4, 0x1.11cc0fe7e961dp-4, 0x1.0cba4aa3f84c9p-4, 0x1.07b75ee699906p-4, 0x1.02c3655ae9f21p-4, 0x1.fbbce83c939fdp-5, 0x1.f2113d4b38fc4p-5, 0x1.e883ebe34e909p-5, 0x1.df15112d40762p-5, 0x1.d5c4c583fefe4p-5, 0x1.cc931cc3cd1p-5, 0x1.c380264a6519ep-5, 0x1.ba8bed0f990dap-5, 0x1.b1b67805b478fp-5, 0x1.a8ffc9f04ab5bp-5, 0x1.a067e16049582p-5, 0x1.97eeba666ff6fp-5, 0x1.8f944b2d0a43p-5, 0x1.875888032a925p-5, 0x1.7f3b612d8767cp-5, 0x1.773cc3cb9826p-5, 0x1.6f5c9939323d6p-5, 0x1.679ac87c31e56p-5, 0x1.5ff7351ad135p-5, 0x1.5871bfcef65eep-5, 0x1.510a468a5fe3fp-5, 0x1.49c0a45d7f3e4p-5, 0x1.4294b29941b83p-5, 0x1.3b8646b5fcb1cp-5, 0x1.349534fb7b4ecp-5, 0x1.2dc14eb2b341p-5, 0x1.270a6346c3aa8p-5, 0x1.20703ff12c049p-5, 0x1.19f2afd3c652ap-5, 0x1.13917cb03e665p-5, 0x1.0d4c6da33a33cp-5, 0x1.0723488c0b8b1p-5, 0x1.0115d1967ef12p-5, 0x1.f64796c5e89f8p-6, 0x1.ea99edf11d28ep-6, 0x1.df2228cdedfbp-6, 0x1.d3dfc24cd4d45p-6, 0x1.c8d2362a1d2b9p-6, 0x1.bdf8fcf623454p-6, 0x1.b3538b61b7271p-6, 0x1.a8e1558cd16fcp-6, 0x1.9ea1cd4fbaefcp-6, 0x1.9494637e2c86ap-6, 0x1.8ab8859e32d2bp-6, 0x1.810da1991f69dp-6, 0x1.779322eff7877p-6, 0x1.6e48745058813p-6, 0x1.652cff860e582p-6, 0x1.5c402c5f8a5c7p-6, 0x1.538162d1fba3cp-6, 0x1.4af009392250fp-6, 0x1.428b8817c301fp-6, 0x1.3a534282acecap-6, 0x1.3246a14e8b0dp-6, 0x1.2a650450ce54cp-6, 0x1.22add4d487adap-6, 0x1.1b20764dfa8dbp-6, 0x1.13bc4d71f909fp-6, 0x1.0c80bf0f599e9p-6, 0x1.056d301d39351p-6, 0x1.fd020b89c3a6ep-7, 0x1.ef774afdd18a7p-7, 0x1.e238ea7b2e31bp-7, 0x1.d545b6adb9495p-7, 0x1.c89c7d1e65421p-7, 0x1.bc3c0b75b882fp-7, 0x1.b023369f323a7p-7, 0x1.a450cba070121p-7, 0x1.98c39f1351edp-7, 0x1.8d7a85b2dcbe7p-7, 0x1.82745782a4df7p-7, 0x1.77afec8b547b7p-7, 0x1.6d2c1ea90f0cdp-7, 0x1.62e7cc8f07d5ep-7, 0x1.58e1d3605afb8p-7, 0x1.4f19150b341dfp-7, 0x1.458c74e61780dp-7, 0x1.3c3ad939c0b6bp-7, 0x1.33232a6433304p-7, 0x1.2a44533aff9fap-7, 0x1.219d4285f03c4p-7, 0x1.192ce76175ff7p-7, 0x1.10f234f9c5171p-7, 0x1.08ec21c989bc2p-7, 0x1.0119a6a60dd58p-7, 0x1.f2f37da13aae5p-8, 0x1.e416d1cd98d79p-8, 0x1.d59b4d1615a31p-8, 0x1.c77ef899d06d9p-8, 0x1.b9bfe346ee086p-8, 0x1.ac5c228291177p-8, 0x1.9f51d3310df91p-8, 0x1.929f0d1079fffp-8, 0x1.86420cee76e25p-8, 0x1.7a38ee5f1eca8p-8, 0x1.6e81edc32e26bp-8, 0x1.631b43f9ebf2fp-8, 0x1.5803319b4486ep-8, 0x1.4d38001fc8567p-8, 0x1.42b7ffa3ae0bcp-8, 0x1.38817b38bede6p-8, 0x1.2e92d96ed7cecp-8, 0x1.24ea75e9937d2p-8, 0x1.1b86b9b18881p-8, 0x1.126611115c7b2p-8, 0x1.0986f0c9cfa3ep-8, 0x1.00e7d9758c8cap-8, 0x1.f10e8bc31b80cp-9, 0x1.e0c77d36f5081p-9, 0x1.d0f7aa4745817p-9, 0x1.c19c39eb78138p-9, 0x1.b2b25b4c042b3p-9, 0x1.a4375586ad7cfp-9, 0x1.9628723a72d16p-9, 0x1.888314d64647bp-9, 0x1.7b44a081534f1p-9, 0x1.6e6a863c16c3dp-9, 0x1.61f2472d7d3ap-9, 0x1.55d96d936135ep-9, 0x1.4a1d9527791f8p-9, 0x1.3ebc5e0b334ecp-9, 0x1.33b378da432a8p-9, 0x1.2900a1c5f938fp-9, 0x1.1ea19db20e5eap-9, 0x1.14943fd6f63ddp-9, 0x1.0ad65f8717ae9p-9, 0x1.0165fbd79db39p-9, 0x1.f081e51d0c2b3p-10, 0x1.deca9a46ddfap-10, 0x1.cda21c64b170bp-10, 0x1.bd047325906aep-10, 0x1.acee46a06c702p-10, 0x1.9d5ba0d4b8f37p-10, 0x1.8e49046380df5p-10, 0x1.7fb2e3da7daf9p-10, 0x1.7195d368eee3cp-10, 0x1.63ee786275292p-10, 0x1.56b986896dec9p-10, 0x1.49f3e0057c404p-10, 0x1.3d9a3f482c737p-10, 0x1.31a9cfc972802p-10, 0x1.261f63df54fbdp-10, 0x1.1af824ef90c31p-10, 0x1.10313c7c87aeep-10, 0x1.05c7f1b13574cp-10, 0x1.f772caaaf795p-11, 0x1.e406410f9ae49p-11, 0x1.d144fb5d982bp-11, 0x1.bf29fb2da8daap-11, 0x1.adb057ec473cap-11, 0x1.9cd3484cd9fd3p-11, 0x1.8c8e2303457dcp-11, 0x1.7cdc5e0fdb3cfp-11, 0x1.6db98b5fef31bp-11, 0x1.5f21535495f38p-11, 0x1.510f86b49d397p-11, 0x1.438005ddd2928p-11, 0x1.366ed624b4ddp-11, 0x1.29d80c45fb105p-11, 0x1.1db7e21f1ada7p-11, 0x1.120a9e7acb1c7p-11, 0x1.06cca87702b5p-11, 0x1.f7f4fe366b456p-12, 0x1.e3216d514e9c7p-12, 0x1.cf17f2743ce34p-12, 0x1.bbd20a3ae2752p-12, 0x1.a9499204b3f5ap-12, 0x1.977823e8db07fp-12, 0x1.8657f16d4f3c1p-12, 0x1.75e31acd656d1p-12, 0x1.6613f765a82fep-12, 0x1.56e512e8818eap-12, 0x1.48510ade2ab58p-12, 0x1.3a52a3dd5d9c7p-12, 0x1.2ce4d52010dafp-12, 0x1.2002bcc89ba0dp-12, 0x1.13a76e9382842p-12, 0x1.07ce70fc1221ap-12, 0x1.f8e6801b18b09p-13, 0x1.e32276f010491p-13, 0x1.ce48c5ccd6aafp-13, 0x1.ba50ddc121d88p-13, 0x1.a733052e4ffd6p-13, 0x1.94e7299e202e8p-13, 0x1.8365c114df0f3p-13, 0x1.72a7b501730afp-13, 0x1.62a576b292e37p-13, 0x1.53583c8a60e0ap-13, 0x1.44ba4978e241dp-13, 0x1.36c36dd67d3fdp-13, 0x1.296e2f8f3924ap-13, 0x1.1cb542af19386p-13, 0x1.10916a48cdbc8p-13, 0x1.04fe021a12f19p-13, 0x1.f3e9928b61a49p-14, 0x1.dee1424143b1ep-14, 0x1.cad8b88e6e592p-14, 0x1.b7c5d609e7874p-14, 0x1.a59efdec048efp-14, 0x1.945a8ccf2950ap-14, 0x1.83eff9ab140d4p-14, 0x1.7455f13b0577ap-14, 0x1.65844df56274bp-14, 0x1.577249369cb44p-14, 0x1.4a188301524eep-14, 0x1.3d6f24c67c3a9p-14, 0x1.316eabc829694p-14, 0x1.260ff939b81a1p-14, 0x1.1b4c7116afe01p-14, 0x1.111cf275b0f41p-14, 0x1.077c3e09eeecdp-14, 0x1.fcc2ad8ca7d9bp-15, 0x1.eb91e546052b3p-15, 0x1.db5820b04f9cep-15, 0x1.cc0b093d2d331p-15, 0x1.bd9fb092be57p-15, 0x1.b00b53cae6c67p-15, 0x1.a3441b6e1f28ap-15, 0x1.9741dd5403594p-15, 0x1.8bf7ad42d2d17p-15, 0x1.815ff0373c27ap-15, 0x1.7770a60d37608p-15, 0x1.6e22ea3c98628p-15, 0x1.656bc8b706506p-15, 0x1.5d4692e2f2573p-15, 0x1.55aac56b8e3e6p-15, 0x1.4e917c9e2f0cap-15, 0x1.47f3dca55306ep-15, 0x1.41cc9793b6549p-15, 0x1.3c124a88c3309p-15, 0x1.36c2241496597p-15, 0x1.31d561b600e8ep-15, 0x1.2d468b03f83c6p-15, 0x1.2910666af7651p-15, 0x1.252e09a22ae9bp-15, 0x1.2199851872662p-15, 0x1.1e511f98e4b78p-15, 0x1.1b4d8931cff52p-15, 0x1.188ba19e98e7dp-15, 0x1.1606eea907b3p-15, 0x1.13bc37dfe4331p-15, 0x1.11a6910f13c4fp-15, 0x1.0fc3594c5d181p-15, 0x1.0e0e0d6c46eaep-15, 0x1.0c8499cdb2266p-15, 0x1.0b22a96443c54p-15, 0x1.09e5a71a3b601p-15, 0x1.08ca5b757abecp-15, 0x1.07ce72649f67ep-15, 0x1.06ee7d403232bp-15, 0x1.0628664b29514p-15, 0x1.0579dd0e01b7ep-15, 0x1.04e0053f0f2b1p-15, 0x1.045a05f744df7p-15, 0x1.03e46441b6f79p-15, 0x1.037e005ece539p-15, 0x1.0324def4ed2adp-15, 0x1.02d7639bb9bb4p-15, 0x1.02939636c8576p-15, 0x1.0258d156c8cc4p-15, 0x1.022509e7e24p-15, 0x1.01f69a2dea27fp-15, 0x1.01ccf6c4b4ea5p-15, 0x1.01a6716cb23f8p-15, 0x1.01808671f8f9cp-15, 0x1.015f88a77853ap-15, 0x1.013c7ee1047eap-15, 0x1.0119720b5251cp-15, 0x1.00f48419a220dp-15, 0x1.00cdb43a8c505p-15, 0x1.00a2ce55f48d6p-15, 0x1.0073f47b7390bp-15, 0x1.0041626fb42e3p-15, 0x1.000a4103d4e8bp-15, 0x1.ff99ab585ea69p-16, 0x1.ff125ab2b8b6ep-16, 0x1.fe7e54dc55a2cp-16, 0x1.fddbcbe8af3d6p-16, 0x1.fd2a5e0856664p-16, 0x1.fc6a7732a88cp-16, 0x1.fb9662aa5e29bp-16, 0x1.fab700986b73ep-16, 0x1.f9c178a01d1fp-16, 0x1.f8bb4d43b6047p-16, 0x1.f7a34c64c5be2p-16, 0x1.f677a7cd10666p-16, 0x1.f539ef4c6fc41p-16, 0x1.f3e7b056d71a4p-16, 0x1.f2825f10877eep-16, 0x1.f108ec744894p-16, 0x1.ef7be985579b4p-16, 0x1.eddb1dc3f409bp-16, 0x1.ec25feb2b0ecfp-16, 0x1.ea5ff02df5c8ap-16, 0x1.e87f5788415f4p-16, 0x1.e68fec14a1ae1p-16, 0x1.e4889dd586973p-16, 0x1.e26fa21e668a8p-16, 0x1.e0411bba0dedep-16, 0x1.de02257fa361ap-16, 0x1.dbadf5cf18c39p-16, 0x1.d946efbf857b4p-16, 0x1.d6cca4468042ap-16, 0x1.d43f9b8dff7cap-16, 0x1.d1a0238851cb4p-16, 0x1.ceee46a5617fp-16, 0x1.cc2a63a09a002p-16, 0x1.c957ba1e9107p-16, 0x1.c66e2a52dd451p-16, 0x1.c3767103a2008p-16, 0x1.c06da4b9146fap-16, 0x1.bd54eadbfabddp-16, 0x1.ba2c4ca29974ap-16, 0x1.b6f3880716861p-16, 0x1.b3ab3521bf0ffp-16, 0x1.b055497abbcf1p-16, 0x1.acef2d7a7e98ep-16, 0x1.a97b45e646b01p-16, 0x1.a5fa6d840a8c4p-16, 0x1.a26bc72f28896p-16, 0x1.9ed01f910abd4p-16, 0x1.9b26b0f314149p-16, 0x1.977395c815cc8p-16, 0x1.93b3471cdcc3cp-16, 0x1.8feb3cd133f81p-16, 0x1.8c103f12bda4p-16, 0x1.882fce523d8a9p-16, 0x1.8444e307c2199p-16, 0x1.804fd28c9ed1bp-16, 0x1.7c51bd405bcp-16, 0x1.7848f49988047p-16, 0x1.7439d8a84587fp-16, 0x1.7021bc1758951p-16, 0x1.6c01c15a483c9p-16, 0x1.67db455c79178p-16, 0x1.63ac3b1cd87ecp-16, 0x1.5f76f2c87a38dp-16, 0x1.5b3b951701817p-16, 0x1.56fa70c484e84p-16, 0x1.52b38da3af00ap-16, 0x1.4e6a80a3726eap-16, 0x1.4a17344739a36p-16, 0x1.45c23457fcd28p-16, 0x1.4168b58724e92p-16, 0x1.3d0adca27d6cep-16, 0x1.38abfcff529cdp-16, 0x1.3448b98edc999p-16, 0x1.2fe2931244844p-16, 0x1.2b7a6170a7593p-16, 0x1.270fc1abfd2c3p-16, 0x1.22a3a22c8778dp-16, 0x1.1e35ffb3452b8p-16, 0x1.19c73c054559ep-16, 0x1.1557c65d154cap-16, 0x1.10e76423d7c7bp-16, 0x1.0c772ba05100bp-16, 0x1.0802cbb5ce5e3p-16, 0x1.0397419c53d04p-16, 0x1.fe5049bec1cf3p-17, 0x1.f5731d80c3aa4p-17, 0x1.ec986c9b9401ep-17, 0x1.e3c0d9f9e455fp-17, 0x1.daf2c1d4dff2p-17, 0x1.d21a7a702241fp-17, 0x1.c950e7f6dbcfdp-17, 0x1.c08680ceac8b6p-17, 0x1.b7c6c901432d8p-17, 0x1.af0b34662184bp-17, 0x1.a654fc2dd561cp-17, 0x1.9da579a5ce619p-17, 0x1.94fd5820ef06ep-17, 0x1.8c5c768d6ac4ep-17, 0x1.83c3474c523c8p-17, 0x1.7b334481e3c2ep-17, 0x1.72a6b85b68fa4p-17, 0x1.6a2b20dda96ddp-17, 0x1.61b5460ff28a7p-17, 0x1.594cdec33a562p-17, 0x1.50e51fc27b345p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.f0825f388955bp-2, 0x1.8dc1b787d8643p-2, 0x1.291c35a81621cp-2, 0x1.8cc8146220fcap-3, 0x1.a1d175698326bp-4, 0x1.14fddfeb463dp-6, -0x1.edebc2c8753a2p-5, -0x1.07f98599bd544p-3, -0x1.825b03368aac9p-3, -0x1.ead3260873f6p-3, -0x1.210e522b7bbcp-2, -0x1.44a82964b6f56p-2, -0x1.60e28413ee229p-2, -0x1.767b1aa064c3ep-2, -0x1.86373563cc75ep-2, -0x1.90dbf057b4a67p-2, -0x1.97289f9f249f8p-2, -0x1.99d2c871ac776p-2, -0x1.9983441ea419bp-2, -0x1.96d471b5e5139p-2, -0x1.9251562701dc3p-2, -0x1.8c757387640eap-2, -0x1.85ad1b4822ef1p-2, -0x1.7e56063e83905p-2, -0x1.76c0205d80fdep-2, -0x1.6f2e893d54938p-2, -0x1.67d8b3e5a7335p-2, -0x1.60eb8540107d1p-2, -0x1.5a8a6949a3de1p-2, -0x1.54d05fb2dd8aep-2, -0x1.4fd0fe1e875bcp-2, -0x1.4b996b1293381p-2, -0x1.483150186df92p-2, -0x1.459bce92eed48p-2, -0x1.43d7c3b326a4cp-2, -0x1.42e10c71961fep-2, -0x1.42b0cd68183a1p-2, -0x1.433e0dfd1f372p-2, -0x1.447e303987b63p-2, -0x1.466558a343049p-2, -0x1.48e6c8e147004p-2, -0x1.4bf52de80e089p-2, -0x1.4f82e299c5c42p-2, -0x1.5382283fe7f22p-2, -0x1.57e5566cb6706p-2, -0x1.5c9f02c0f5babp-2, -0x1.61a220dea021dp-2, -0x1.66e21b2719963p-2, -0x1.6c52e5bc71c18p-2, -0x1.71e90cecbb364p-2, -0x1.7799bfad1d3acp-2, -0x1.7d5ad64c692f1p-2, -0x1.8322d5b90e96dp-2, -0x1.88e8f032ab8c3p-2, -0x1.8ea5041444ef4p-2, -0x1.944f9967f29dp-2, -0x1.99e1de5fd08ffp-2, -0x1.9f55a27bc866fp-2, -0x1.a4a550a17eda5p-2, -0x1.a9cbe862961b6p-2, -0x1.aec4f6e8a251p-2, -0x1.b38c8fda44222p-2, -0x1.b81f464d8d952p-2, -0x1.bc7a25bac7408p-2, -0x1.c09aaad1bd121p-2, -0x1.c47ebc20a0022p-2, -0x1.c824a29e742b2p-2, -0x1.cb8b02432d0cp-2, -0x1.ceb0d2de67591p-2, -0x1.d195593f8cb4ep-2, -0x1.d43820d5b78d7p-2, -0x1.d698f59c79fd9p-2, -0x1.d8b7de6f6332fp-2, -0x1.da9517a169783p-2, -0x1.dc310ddfe1181p-2, -0x1.dd8c595dec696p-2, -0x1.dea7b94dcbc2dp-2, -0x1.df8453b9d82p-2, -0x1.e02294780a86p-2, -0x1.e083e45ad9181p-2, -0x1.e0a97911f8d17p-2, -0x1.e0949d91d0c5ap-2, -0x1.e046af3ad90e8p-2, -0x1.dfc11b25cc104p-2, -0x1.df055bb5a17b4p-2, -0x1.de14f642a8212p-2, -0x1.dcf178fd119aep-2, -0x1.db9c78ff2d263p-2, -0x1.da17907e1d161p-2, -0x1.d8645d37fe515p-2, -0x1.d6847efbfce7fp-2, -0x1.d479965d5a04cp-2, -0x1.d2454386453fbp-2, -0x1.cfe9252b4bb74p-2, -0x1.cd66d7974b9d5p-2, -0x1.cabff3d34332bp-2, -0x1.c7f60ee1738ffp-2, -0x1.c50ab90ee5a59p-2, -0x1.c1ff7d574fd2fp-2, -0x1.bed5e0dcd6c0ap-2, -0x1.bb8f626853a8cp-2, -0x1.b82d7a106336dp-2, -0x1.b4b198caacffcp-2, -0x1.b11d283317207p-2, -0x1.ad718a45622p-2, -0x1.a9b0191e0bd51p-2, -0x1.a5da26f525589p-2, -0x1.a1f0fdd99d797p-2, -0x1.9df5dfacee307p-2, -0x1.99ea060ddd8f7p-2, -0x1.95cea24f423fp-2, -0x1.91a4dd7525e64p-2, -0x1.8d6dd8208ae84p-2, -0x1.892aaab21dce6p-2, -0x1.84dc65359e394p-2, -0x1.80840f81355abp-2, -0x1.7c22a91ce36f1p-2, -0x1.77b9297e88b6cp-2, -0x1.73488019100e5p-2, -0x1.6ed1944b66b54p-2, -0x1.6a55459c418cep-2, -0x1.65d46bd6ca4fcp-2, -0x1.614fd71f71906p-2, -0x1.5cc8501a320d1p-2, -0x1.583e980dfd75dp-2, -0x1.53b3690c30f9dp-2, -0x1.4f27761884196p-2, -0x1.4a9b6b54573e5p-2, -0x1.460fee1be718p-2, -0x1.41859d4ce2dc7p-2, -0x1.3cfd1152aeba3p-2, -0x1.3876dc62af3b1p-2, -0x1.33f38aa2c1cf6p-2, -0x1.2f73a245da312p-2, -0x1.2af7a3ce45a7ep-2, -0x1.26800a18d7154p-2, -0x1.220d4a939ddb4p-2, -0x1.1d9fd55bdc7e1p-2, -0x1.1938156458492p-2, -0x1.14d67096f6f72p-2, -0x1.107b47f8de77fp-2, -0x1.0c26f7c9f21e8p-2, -0x1.07d9d7a860d37p-2, -0x1.03943ab0d3f11p-2, -0x1.feacdf2b2980fp-3, -0x1.f64181a62b672p-3, -0x1.ede6e97bc7b26p-3, -0x1.e59d9b32c1337p-3, -0x1.dd6613abd492cp-3, -0x1.d540c81f176ap-3, -0x1.cd2e2676194c1p-3, -0x1.c52e957a6d32bp-3, -0x1.bd42751b88596p-3, -0x1.b56a1e83a9c8ap-3, -0x1.ada5e4951c7ddp-3, -0x1.a5f613d69a9c1p-3, -0x1.9e5af2c36eca8p-3, -0x1.96d4c24187195p-3, -0x1.8f63bd3b83e0bp-3, -0x1.8808197289185p-3, -0x1.80c20755d1bd5p-3, -0x1.7991b262c2931p-3, -0x1.7277411dcf1b9p-3, -0x1.6b72d57651473p-3, -0x1.64848cd2eff6ep-3, -0x1.5dac619f87b7bp-3, -0x1.56ea98c1aa0b8p-3, -0x1.503f32e0f871fp-3, -0x1.49aa3d57c5aafp-3, -0x1.432bc1b869cfp-3, -0x1.3cc3c5fd16791p-3, -0x1.36724ca7b282cp-3, -0x1.303754eee06b6p-3, -0x1.2a12dae69df66p-3, -0x1.2404d74b90b92p-3, -0x1.1e0d405d87196p-3, -0x1.182c094747c44p-3, -0x1.126122774af3cp-3, -0x1.0cac79eef71a6p-3, -0x1.070dfb29e8fa7p-3, -0x1.01858f325f2a6p-3, -0x1.f8263a0092b4ap-4, -0x1.ed6d1276bb89fp-4, -0x1.e2df6d150ab52p-4, -0x1.d87d0b5675b6ap-4, -0x1.ce45aae372ebap-4, -0x1.c43905e80bc5p-4, -0x1.ba56d32554b5dp-4, -0x1.b09ec636b3e2ap-4, -0x1.a7108fade739p-4, -0x1.9dabdd38bb073p-4, -0x1.947059d539aacp-4, -0x1.8b5dade889e46p-4, -0x1.82737f762abcfp-4, -0x1.79b17240f61b1p-4, -0x1.711727d562bf1p-4, -0x1.68a43fd41152p-4, -0x1.605857e474862p-4, -0x1.58330c26391edp-4, -0x1.5033f6d3d5ab9p-4, -0x1.485ab0cc54182p-4, -0x1.40a6d1998c3aep-4, -0x1.3917ef4acb2ecp-4, -0x1.31ad9ef6f24dfp-4, -0x1.2a6774a230ffcp-4, -0x1.2345032dac6b4p-4, -0x1.1c45dcce2135cp-4, -0x1.156992da66521p-4, -0x1.0eafb60363ba3p-4, -0x1.0817d65e42d41p-4, -0x1.01a183801421bp-4, -0x1.f698995256cabp-5, -0x1.ea2f812276d72p-5, -0x1.de06dbd63c73ep-5, -0x1.d21dc6277df7bp-5, -0x1.c6735caa8aa17p-5, -0x1.bb06bbe0c5dadp-5, -0x1.afd700528a328p-5, -0x1.a4e346b774b6bp-5, -0x1.9a2aac18cf79dp-5, -0x1.8fac4de695437p-5, -0x1.85674a2758b96p-5, -0x1.7b5abf6fccaa3p-5, -0x1.7185cd1972db9p-5, -0x1.67e79370e9a7dp-5, -0x1.5e7f339d59067p-5, -0x1.554bcfe0b0136p-5, -0x1.4c4c8b77e1f3p-5, -0x1.43808b0bbe4d7p-5, -0x1.3ae6f46cf06e3p-5, -0x1.327eeece1597p-5, -0x1.2a47a2e64ffacp-5, -0x1.22403ac651294p-5, -0x1.1a67e255d6cc9p-5, -0x1.12bdc6cde4a79p-5, -0x1.0b411755ad2d2p-5, -0x1.03f104b553e24p-5, -0x1.f999832c2c453p-6, -0x1.eba704de0df6ep-6, -0x1.de08fb043c733p-6, -0x1.d0bdd70ca7839p-6, -0x1.c3c40ccd1b696p-6, -0x1.b71a1525913f2p-6, -0x1.aabe6ce12fab3p-6, -0x1.9eaf9505b8a0ap-6, -0x1.92ec12a201a08p-6, -0x1.87726f9d25931p-6, -0x1.7c4138c79f7c8p-6, -0x1.7157020924ad3p-6, -0x1.66b25f99e889fp-6, -0x1.5c51eebde4d73p-6, -0x1.52344e5a3337p-6, -0x1.485822a336f4ep-6, -0x1.3ebc147c92eedp-6, -0x1.355ed0e2049ffp-6, -0x1.2c3f0a221e3a9p-6, -0x1.235b768ec99a9p-6, -0x1.1ab2d175c7064p-6, -0x1.1243daac1eb8ap-6, -0x1.0a0d577d7ebp-6, -0x1.020e0e4cf16p-6, -0x1.f4899f46e9497p-7, -0x1.e560da5588fe3p-7, -0x1.d69f7bdc8ee85p-7, -0x1.c8433c3498c2p-7, -0x1.ba49d742076b8p-7, -0x1.acb11c394d8e7p-7, -0x1.9f76dc343683dp-7, -0x1.9298f34d4dde1p-7, -0x1.861546b7cb43p-7, -0x1.79e9c4c6b802p-7, -0x1.6e1464b6ff52dp-7, -0x1.629326b521c83p-7, -0x1.576413eb12b62p-7, -0x1.4c853e48330b8p-7, -0x1.41f4c06786e6fp-7, -0x1.37b0bb782daf3p-7, -0x1.2db7629f97d19p-7, -0x1.2406e33e0485cp-7, -0x1.1a9d7cd00df2ap-7, -0x1.117974b702cf6p-7, -0x1.089918ff54a8bp-7, -0x1.fff57f587e2bfp-8, -0x1.ef398dae4cb18p-8, -0x1.defb29ee8da6ep-8, -0x1.cf37305216a0ep-8, -0x1.bfea8d6d366e9p-8, -0x1.b1123d28d6575p-8, -0x1.a2ab4cc97e1ddp-8, -0x1.94b2d1e1c3f2dp-8, -0x1.8725fb6cd30eap-8, -0x1.7a01ffea99c77p-8, -0x1.6d44270af0956p-8, -0x1.60e9c6fc5ab2dp-8, -0x1.54f043142c28fp-8, -0x1.49550e37de785p-8, -0x1.3e15a84b664f8p-8, -0x1.332f9efc7862ap-8, -0x1.28a08dd728c38p-8, -0x1.1e661d97b17b8p-8, -0x1.147e03db1f88ap-8, -0x1.0ae60378826cfp-8, -0x1.019bec0f45cdbp-8, -0x1.f13b2a5ffcf7cp-9, -0x1.dfd1e623fd5a3p-9, -0x1.cef7dd1d0e9abp-9, -0x1.bea9180a343b5p-9, -0x1.aee1ae9bcc97fp-9, -0x1.9f9dcfcb36a29p-9, -0x1.90d9c24263243p-9, -0x1.8291e49da8a52p-9, -0x1.74c29dfec5d6ep-9, -0x1.676887b75dda9p-9, -0x1.5a80328a946bep-9, -0x1.4e0652cf38576p-9, -0x1.41f7b00df2fccp-9, -0x1.3651224d27bfcp-9, -0x1.2b0f9ad54871dp-9, -0x1.20301847c79ffp-9, -0x1.15afacca19194p-9, -0x1.0b8b85a9de824p-9, -0x1.01c0d97492cedp-9, -0x1.f099dfde7cfa1p-10, -0x1.de5a505c5cf22p-10, -0x1.ccbde2d8d36cap-10, -0x1.bbbf899adcafcp-10, -0x1.ab5a753705677p-10, -0x1.9b89d872003dp-10, -0x1.8c4915752cc12p-10, -0x1.7d93aa2b209ap-10, -0x1.6f6533ce126c3p-10, -0x1.61b96d117d1c8p-10, -0x1.548c2e6ecb9ffp-10, -0x1.47d96c82076f6p-10, -0x1.3b9d2ff66f217p-10, -0x1.2fd3bdca94fcfp-10, -0x1.24793966aa4dp-10, -0x1.198a2ff61bbd2p-10, -0x1.0f02f983a2f04p-10, -0x1.04e036c75a372p-10, -0x1.f63d287fa20d9p-11, -0x1.e375831277ba2p-11, -0x1.d163a5246dc1p-11, -0x1.c00114f7fec7bp-11, -0x1.af48145ddba92p-11, -0x1.9f32da3fbd0d5p-11, -0x1.8fbbcf7aa9fc7p-11, -0x1.80dd8ae1acccap-11, -0x1.7292c6372d136p-11, -0x1.64d673c78d783p-11, -0x1.57a37c5c6b85p-11, -0x1.4af56117478e4p-11, -0x1.3ec72a1a10e39p-11, -0x1.331476cb7a0d6p-11, -0x1.27d8dba84c26ep-11, -0x1.1d1021d14b489p-11, -0x1.12b621a7c0d12p-11, -0x1.08c6e9d84e435p-11, -0x1.fe7d2d4bf86ebp-12, -0x1.ec32c7f2b963p-12, -0x1.daa776734ac76p-12, -0x1.c9d4265ed66a5p-12, -0x1.b9b20bdd0f1b7p-12, -0x1.aa3a8cc820edp-12, -0x1.9b674e0052dfep-12, -0x1.8d320ac2c2322p-12, -0x1.7f94e58aba3edp-12, -0x1.728a033f97dbp-12, -0x1.660bcd6716009p-12, -0x1.5a14d4e58ab27p-12, -0x1.4e9fe68d48a78p-12, -0x1.43a7e49d0a214p-12, -0x1.3927eaeb25ff1p-12, -0x1.2f1b3cb78b1bfp-12, -0x1.257d47b582b2fp-12, -0x1.1c499130f8cd4p-12, -0x1.137be0529f6c3p-12, -0x1.0b1010a4422a3p-12, -0x1.03020962ab1a1p-12, -0x1.f69c1bf10092dp-13, -0x1.e7e0b2a02f081p-13, -0x1.d9ca8fb9f6ff3p-13, -0x1.cc52ee027cedfp-13, -0x1.bf730306ed3c6p-13, -0x1.b3244107cc34cp-13, -0x1.a7607eb433347p-13, -0x1.9c21bca33c822p-13, -0x1.916204a02999p-13, -0x1.871bfc3343c2bp-13, -0x1.7d4a41937bab6p-13, -0x1.73e73295ba064p-13, -0x1.6aee463e09a9cp-13, -0x1.625a97a0dc957p-13, -0x1.5a273c641d765p-13, -0x1.525010960773p-13, -0x1.4ad09a10fe15p-13, -0x1.43a4eec30c59ep-13, -0x1.3cc8ab44aa942p-13, -0x1.36385e490e2cfp-13, -0x1.2ff0624c9ee6cp-13, -0x1.29ecb6e718cb5p-13, -0x1.242a28db098e3p-13, -0x1.1ea62c2f1906ep-13, -0x1.195cf7b75010ep-13, -0x1.144b425b545fp-13, -0x1.0f6ebfbe194c4p-13, -0x1.0ac47b593e283p-13, -0x1.0649d059e9ee3p-13, -0x1.01fc425341a0fp-13, -0x1.fbb2abe2f6beap-14, -0x1.f3bdb2e9ed173p-14, -0x1.ec149fe8d4654p-14, -0x1.e4b3b6c1c8db1p-14, -0x1.dd96f8878ba99p-14, -0x1.d6b9c9e742e84p-14, -0x1.d01935b5f8065p-14, -0x1.c9b144966bf0dp-14, -0x1.c37f0330f2812p-14, -0x1.bd7ee7ff22c8p-14, -0x1.b7add011dfe78p-14, -0x1.b208f9f2ac7d9p-14, -0x1.ac8dd2008834ep-14, -0x1.a738cccb18de3p-14, -0x1.a208727110bdfp-14, -0x1.9cf97cc7cb1bfp-14, -0x1.980a3ccf15748p-14, -0x1.93385a4ce98b1p-14, -0x1.8e81aa75fbf0dp-14, -0x1.89e435946d2c6p-14, -0x1.855ee397e047cp-14, -0x1.80ee31777aa59p-14, -0x1.7c9206ea68d5fp-14, -0x1.78483ecc3bcddp-14, -0x1.740f606b16908p-14, -0x1.6fe64ebcbc903p-14, -0x1.6bcb4fa41a4ccp-14, -0x1.67bd5ca52b835p-14, -0x1.63bb444982fb5p-14, -0x1.5fc3e78bd6e19p-14, -0x1.5bd69fe8da2e5p-14, -0x1.57f17bbfd5908p-14, -0x1.54148c9b79f99p-14, -0x1.503eab80b7fd2p-14, -0x1.4c6f149eb9de3p-14, -0x1.48a4fb150542cp-14, -0x1.44dfeda8174ddp-14, -0x1.411f2f7420d3cp-14, -0x1.3d61e69ab0894p-14, -0x1.39a7e1a95461ap-14, -0x1.35f0967952988p-14, -0x1.323b724fd8232p-14, -0x1.2e883f54143e8p-14, -0x1.2ad659db48b32p-14, -0x1.272597892975p-14, -0x1.23754cc809d17p-14, -0x1.1fc5f23de3805p-14, -0x1.1c168869fcdf3p-14, -0x1.18671f1b08aa4p-14, -0x1.14b7753cc184ap-14, -0x1.11074fd198e22p-14, -0x1.0d56baa80e9c5p-14, -0x1.09a55869d8b4dp-14, -0x1.05f33263ab0fp-14, -0x1.023fff0b77739p-14, -0x1.fd185c693731dp-15, -0x1.f5ae5df036c31p-15, -0x1.ee4277da0a6ecp-15, -0x1.e6d494cd98a5p-15, -0x1.df64c556bd5bdp-15, -0x1.d7f3df52f18b8p-15, -0x1.d07f9325ab5dp-15, -0x1.c90b350ac28d8p-15, -0x1.c193ccc3a7d57p-15, -0x1.ba1bd4388776fp-15, -0x1.b2a29fe1cd644p-15, -0x1.ab27ab1254271p-15, -0x1.a3adc8b85b7adp-15, -0x1.9c325113b63b3p-15, -0x1.94b6fe2269409p-15, -0x1.8d3b8a40655f5p-15, -0x1.85c010ef90abap-15, -0x1.7e45ce7b8733fp-15, -0x1.76cba1b3951e6p-15, -0x1.6f52cb4868a3fp-15, -0x1.67dcb1a0e7fd8p-15, -0x1.606796643c7e6p-15, -0x1.58f47b01db466p-15, -0x1.51840c3517d64p-15, -0x1.4a165008b063p-15, -0x1.42abc0498dd9bp-15, -0x1.3b44c246f856ap-15, -0x1.33e19870f71c7p-15, -0x1.2c82dfdbd4ee7p-15, -0x1.2527a4d304a36p-15, -0x1.1dd1cebe827c4p-15, -0x1.16822e51fe069p-15, -0x1.0f3618b2bfbdfp-15, -0x1.07f0f7c434c13p-15, -0x1.00b1dad609e96p-15, -0x1.f2f2ba8161091p-16, -0x1.e48f5cf912bf3p-16, -0x1.d63a74dc53bc6p-16, -0x1.c7f4d37400a37p-16, -0x1.b9bea4f2b14fep-16, -0x1.ab9ac23de896fp-16, -0x1.9d8423905d638p-16, -0x1.8f80c46b17bedp-16, -0x1.81901da6264edp-16, -0x1.73b1fecb2dfdp-16, -0x1.65e65d710017p-16, -0x1.583090f9374d8p-16, -0x1.4a8e83a888f07p-16, -0x1.3d019b8d7ba8cp-16, -0x1.2f8a559aa1c23p-16, -0x1.222950c9ba4abp-16, -0x1.14df1efd40d5ap-16, -0x1.07ac101c98f2ep-16, -0x1.f521b831e24e4p-17, -0x1.db1dd1bbfe9b1p-17, -0x1.c1478b5c64a9cp-17, -0x1.a7a5de2fd2cebp-17, -0x1.8e372431f6888p-17, -0x1.74fcfdf945cc9p-17, -0x1.5bf7c6ed4bddcp-17, -0x1.4325c13ea0af4p-17, -0x1.2a8f53aa34fffp-17, -0x1.122fceeeeaadap-17, -0x1.f40ab90e4bf8fp-18, -0x1.c42a39bfe6d92p-18, -0x1.94bdc9179a368p-18, -0x1.65c575406043fp-18, -0x1.37429d1588feep-18, -0x1.093a2c16abb64p-18, -0x1.b749485f72e48p-19, -0x1.5d15cf4dc3418p-19, -0x1.03d8a6ed45ad3p-19, -0x1.5715e3e781918p-20, -0x1.51028f595168cp-21, 0x1.095292f53ecb3p-26, 0x1.5da826af7aca6p-21, 0x1.5785f35c38d7fp-20, 0x1.fe44d4e900cfap-20, 0x1.51751d760975ep-19, 0x1.a2cbd954847efp-19, 0x1.f31d37f6ab0fbp-19, 0x1.2134479bb3d4dp-18, 0x1.48592800cc8b2p-18, 0x1.6ef97a74d7f18p-18, 0x1.9515e0cdf091ap-18, 0x1.baad9cd82b0fap-18, 0x1.dfc141b28bcb8p-18, 0x1.02255971eb433p-17, 0x1.142c20ffcb6aap-17, 0x1.25ee160eb7dadp-17, 0x1.376c5e8fd6f05p-17, 0x1.48a5d3dbd8cb3p-17, 0x1.59a15b900f5f4p-17, 0x1.6a57521e8d80dp-17, 0x1.7aca69da2a71p-17, 0x1.8af9dd275802p-17, 0x1.9ae6bd675c54p-17, 0x1.aa90a041ddd93p-17, 0x1.b9f760a37c68dp-17, 0x1.c91b56afddd5ep-17, 0x1.d7fc590a619cdp-17, 0x1.e69b2f5657266p-17, 0x1.f4f6be48d3a43p-17, 0x1.0188f3c108073p-16, 0x1.0873a90520519p-16, 0x1.0f3e2089db14fp-16, 0x1.15e7aa85e60bdp-16, 0x1.1c70501cc8e01p-16, 0x1.22d83ac604dcap-16, 0x1.291d02744c4cp-16, 0x1.2f46596ebd129p-16, 0x1.354c004f88595p-16, 0x1.3b33e5ec0c23cp-16, 0x1.40f77e64e7362p-16, 0x1.469d267e319aep-16, 0x1.4c22e63f62441p-16, 0x1.5188eb53c1912p-16, 0x1.56cf42bbad1a4p-16, 0x1.5bf63ae490c6dp-16, 0x1.60fdf61e7bf0ep-16, 0x1.65e6971ce3a51p-16, 0x1.6ab13c980c0dap-16, 0x1.6f5b3e04fd69p-16, 0x1.73e7972e1ac02p-16, 0x1.785640652acb8p-16, 0x1.7ca5de46a1c38p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.17d6913cfd36p-1, 0x1.14a74ba31670cp-1, 0x1.1137d73c19654p-1, 0x1.0d8b589fe701ep-1, 0x1.09a50cc1140dp-1, 0x1.058842f139216p-1, 0x1.0138576c7b3ffp-1, 0x1.f9715cbd3d9a1p-2, 0x1.f0195ea922ccap-2, 0x1.e66f821f6b69dp-2, 0x1.dc7a8b66a6463p-2, 0x1.d2412e8ef126ep-2, 0x1.c7ca091e31893p-2, 0x1.bd1b9c617ca2ap-2, 0x1.b23c486408c11p-2, 0x1.a732478c0315cp-2, 0x1.9c03aadc90c2cp-2, 0x1.90b656da3beabp-2, 0x1.8550010caf77ep-2, 0x1.79d62e16141c8p-2, 0x1.6e4e3055ff0e1p-2, 0x1.62bd270be0dadp-2, 0x1.5727fdeb4158fp-2, 0x1.4b936d131fd4ap-2, 0x1.4003f9594b22fp-2, 0x1.347df4da9745ep-2, 0x1.29057fc15c745p-2, 0x1.1d9e8934a4b43p-2, 0x1.124cd063992a5p-2, 0x1.0713e5a24ac2dp-2, 0x1.f7ee571d114ebp-3, 0x1.e1f3b06a32732p-3, 0x1.cc3dec62cb358p-3, 0x1.b6d2cb86478e3p-3, 0x1.a1b7bbae3b6fdp-3, 0x1.8cf1da02d0981p-3, 0x1.7885f4d131df1p-3, 0x1.64788d44c39b3p-3, 0x1.50cdd9059d23ep-3, 0x1.3d89c3bfbaf9cp-3, 0x1.2aaff09740879p-3, 0x1.1843bb8e6dd4p-3, 0x1.06483ae2305a9p-3, 0x1.e98080c42297fp-4, 0x1.c75cb590013eep-4, 0x1.a629ae27e489p-4, 0x1.85eb83ddb2f36p-4, 0x1.66a5d22f84a66p-4, 0x1.485bb9ba71be6p-4, 0x1.2b0fe348d5e3fp-4, 0x1.0ec482fda58f8p-4, 0x1.e6f6b73a3f209p-5, 0x1.b26b83e409d47p-5, 0x1.7fe9409b019b9p-5, 0x1.4f70f43e0cdbdp-5, 0x1.2102df4181692p-5, 0x1.e93d06527accdp-6, 0x1.94855436aeae6p-6, 0x1.43dadd04990c8p-6, 0x1.ee710ad5a3b2cp-7, 0x1.5d2fe278e64f7p-7, 0x1.a7c64a914e23fp-8, 0x1.49e5c97e52d17p-9, -0x1.3905f5e771e64p-10, -0x1.32020205b185ep-8, -0x1.033ed56dbc8fcp-7, -0x1.65f38f4207fd8p-7, -0x1.c13a391a53977p-7, -0x1.0a97bd65fb711p-6, -0x1.30f8c0163447dp-6, -0x1.53cff05eb1e58p-6, -0x1.732dc4212e9eap-6, -0x1.8f23501f6ad44p-6, -0x1.a7c23d2d13939p-6, -0x1.bd1cbdd185c51p-6, -0x1.cf4584557c206p-6, -0x1.de4fb937c5718p-6, -0x1.ea4ef20379405p-6, -0x1.f357288186d2p-6, -0x1.f97cb23f2ba93p-6, -0x1.fcd438628e73cp-6, -0x1.fd72afc6bb537p-6, -0x1.fb6d51583765ep-6, -0x1.f6d992aba6668p-6, -0x1.efcd1ec82073ep-6, -0x1.e65dcf1f54ac2p-6, -0x1.daa1a4ade36ffp-6, -0x1.ccaec13ef8bc4p-6, -0x1.bc9b60ce9ab3fp-6, -0x1.aa7dd306ca0acp-6, -0x1.966c74d412c78p-6, -0x1.807daa0ee4e75p-6, -0x1.68c7d7377d01p-6, -0x1.4f615b42dcb1dp-6, -0x1.34608977d4185p-6, -0x1.17dba35bb0b29p-6, -0x1.f3d1a55d39c4ap-7, -0x1.b53c46f08380cp-7, -0x1.7422fc4b58321p-7, -0x1.30b143739a50ep-7, -0x1.d62478494c7c8p-8, -0x1.46e1390b95dcp-8, -0x1.67da98482c79ep-9, -0x1.d9c356c519953p-12, 0x1.eefe6eade78f5p-10, 0x1.17d4e0e6e4521p-8, 0x1.b653917a5fb0ap-8, 0x1.2b767ad79b684p-7, 0x1.7ca9dcf18acdep-7, 0x1.ce9e006be6af3p-7, 0x1.1096dd521cf53p-6, 0x1.3a1a56ae4753fp-6, 0x1.63c7a75ddc077p-6, 0x1.8d8d78709d35fp-6, 0x1.b75ae484466ap-6, 0x1.e11f7b1bd6535p-6, 0x1.0565a1dd67a5ap-5, 0x1.1a27606168121p-5, 0x1.2ecd79091fb9ap-5, 0x1.4350abb17faccp-5, 0x1.57a9f9341f5fep-5, 0x1.6bd2a45575be6p-5, 0x1.7fc432922c815p-5, 0x1.93786ccb871cbp-5, 0x1.a6e95fd2eb53bp-5, 0x1.ba115cd4b9e84p-5, 0x1.cceaf9a2c524fp-5, 0x1.df7110dec7c78p-5, 0x1.f19ec2055fe22p-5, 0x1.01b7b8ad13063p-4, 0x1.0a6f63dac8955p-4, 0x1.12f4591ab6f7cp-4, 0x1.1b44b0e86110bp-4, 0x1.235ea56805f87p-4, 0x1.2b4092156bf3p-4, 0x1.32e8f365dd455p-4, 0x1.3a56665de379dp-4, 0x1.4187a81b54ad3p-4, 0x1.487b9554478abp-4, 0x1.4f3129cb8e0eep-4, 0x1.55a77fbb501dep-4, 0x1.5bddcf366c86cp-4, 0x1.61d36d813fa92p-4, 0x1.6787cc627628cp-4, 0x1.6cfa796c8de3bp-4, 0x1.722b1d40ab3aep-4, 0x1.77197acb63d45p-4, 0x1.7bc56e7c22ca9p-4, 0x1.802eed77c1ceap-4, 0x1.845604c6f941fp-4, 0x1.883ad8813c767p-4, 0x1.8bdda2f49b504p-4, 0x1.8f3eb3cb3a97bp-4, 0x1.925e6f2ef3106p-4, 0x1.953d4ceb9ef89p-4, 0x1.97dbd7909cdefp-4, 0x1.9a3aab9207869p-4, 0x1.9c5a766a20d02p-4, 0x1.9e3bf5bb5b7e2p-4, 0x1.9fdff67386b76p-4, 0x1.a14753f070404p-4, 0x1.a272f72676cdbp-4, 0x1.a363d5c95b9b6p-4, 0x1.a41af177b245bp-4, 0x1.a49956e954ef1p-4, 0x1.a4e01d2105283p-4, 0x1.a4f064a1abf39p-4, 0x1.a4cb56a7588f3p-4, 0x1.a47224645d047p-4, 0x1.a3e60642a11dap-4, 0x1.a3283b297cafdp-4, 0x1.a23a07c8290c4p-4, 0x1.a11cb5e51702cp-4, 0x1.9fd193b21ee5bp-4, 0x1.9e59f325e448cp-4, 0x1.9cb7295a4a4afp-4, 0x1.9aea8df044115p-4, 0x1.98f57a78f0623p-4, 0x1.96d949e425abfp-4, 0x1.949757f463087p-4, 0x1.923100b843cb8p-4, 0x1.8fa7a0096896ap-4, 0x1.8cfc9110dcfcep-4, 0x1.8a312dd0f49b6p-4, 0x1.8746ceb49a339p-4, 0x1.843eca2407199p-4, 0x1.811a741ed83b6p-4, 0x1.7ddb1ddb71fa9p-4, 0x1.7a82156ba32f6p-4, 0x1.7710a56674affp-4, 0x1.7388149710998p-4, 0x1.6fe9a5b0acf2fp-4, 0x1.6c3697075ebe9p-4, 0x1.6870224dc05e5p-4, 0x1.64977c574caf5p-4, 0x1.60add4df5693dp-4, 0x1.5cb456547d161p-4, 0x1.58ac25a881386p-4, 0x1.549662245c8cdp-4, 0x1.507425407aaccp-4, 0x1.4c468280f4aa5p-4, 0x1.480e8755b066ap-4, 0x1.43cd3afe3f8f4p-4, 0x1.3f839e7161696p-4, 0x1.3b32ac48021e8p-4, 0x1.36db58ab99fd3p-4, 0x1.327e9147c8f72p-4, 0x1.2e1d3d3f0edf2p-4, 0x1.29b83d227d385p-4, 0x1.25506aec45349p-4, 0x1.20e699fcfd1efp-4, 0x1.1c7b971b8056ep-4, 0x1.1810287748433p-4, 0x1.13a50dad1f735p-4, 0x1.0f3affce10256p-4, 0x1.0ad2b1686e59ap-4, 0x1.066cce92e14dbp-4, 0x1.0209fcf94ed13p-4, 0x1.fb55b7d71409fp-5, 0x1.f2a008db58045p-5, 0x1.e9f41293f26b7p-5, 0x1.e152ee487056ep-5, 0x1.d8bda91cc73bfp-5, 0x1.d035443d30f71p-5, 0x1.c7bab50c5a18ep-5, 0x1.bf4ee553abedbp-5, 0x1.b6f2b37586f87p-5, 0x1.aea6f2a13f6fep-5, 0x1.a66c6b08b1854p-5, 0x1.9e43da17471a1p-5, 0x1.962df2aa3f669p-5, 0x1.8e2b5d4a1998fp-5, 0x1.863cb864f9f88p-5, 0x1.7e629889e3e59p-5, 0x1.769d88a4ab84p-5, 0x1.6eee0a3a7bdefp-5, 0x1.675495a6d1297p-5, 0x1.5fd19a58caf43p-5, 0x1.58657f10bcaa8p-5, 0x1.5110a21dda8efp-5, 0x1.49d3599bf038p-5, 0x1.42adf3b1051afp-5, 0x1.3ba0b6cadabcep-5, 0x1.34abe1dc2a26cp-5, 0x1.2dcfac999120ap-5, 0x1.270c47b61b26bp-5, 0x1.2061dd1f50472p-5, 0x1.19d09038be4cap-5, 0x1.13587e16e9901p-5, 0x1.0cf9bdb9959b2p-5, 0x1.06b460455d857p-5, 0x1.0088713c86ef2p-5, 0x1.f4ebed6e19904p-6, 0x1.e8f9e3339fe71p-6, 0x1.dd3abb99d69e1p-6, 0x1.d1ae64e233104p-6, 0x1.c654c4285b993p-6, 0x1.bb2db5c91fb6dp-6, 0x1.b0390dc77bd89p-6, 0x1.a576982f8b4e9p-6, 0x1.9ae61977690bdp-6, 0x1.90874eddf8e7bp-6, 0x1.8659eec78a95fp-6, 0x1.7c5da91853864p-6, 0x1.7292278cbc25ap-6, 0x1.68f70e0f7fcd8p-6, 0x1.5f8bfb0d914e8p-6, 0x1.565087c7d0c01p-6, 0x1.4d4448a28c418p-6, 0x1.4466cd72c7718p-6, 0x1.3bb7a1c94f3f2p-6, 0x1.33364d3ba284ap-6, 0x1.2ae253aaa2c28p-6, 0x1.22bb35871d297p-6, 0x1.1ac0701432488p-6, 0x1.12f17da78d993p-6, 0x1.0b4dd5e78eaf8p-6, 0x1.03d4ee0751c23p-6, 0x1.f90c720153b07p-7, 0x1.eac24f9825dep-7, 0x1.dcca532d420efp-7, 0x1.cf2357ebe4deap-7, 0x1.c1cc36345e3fbp-7, 0x1.b4c3c3fc47f37p-7, 0x1.a808d52ae441p-7, 0x1.9b9a3bf1da64ep-7, 0x1.8f76c9224f528p-7, 0x1.839d4c7e6babp-7, 0x1.780c9507737f4p-7, 0x1.6cc3714868d5bp-7, 0x1.61c0af9d68cc5p-7, 0x1.57031e77bf1ecp-7, 0x1.4c898c9ed33fp-7, 0x1.4252c96dfc606p-7, 0x1.385da50f4ebf3p-7, 0x1.2ea8f0b380692p-7, 0x1.25337ec6eab92p-7, 0x1.1bfc2323c8c3cp-7, 0x1.1301b341c0a1p-7, 0x1.0a430662cd40dp-7, 0x1.01bef5bd9c12ap-7, 0x1.f2e8b94ae615bp-8, 0x1.e2c4315f60f6fp-8, 0x1.d30e13adf5662p-8, 0x1.c3c425385ffcp-8, 0x1.b4e4304a55c48p-8, 0x1.a66c04b2dcda5p-8, 0x1.985977f99465dp-8, 0x1.8aaa659014cfcp-8, 0x1.7d5caeff89a59p-8, 0x1.706e3c12a7cf8p-8, 0x1.63dcfafc24f7cp-8, 0x1.57a6e079cd1fdp-8, 0x1.4bc9e7f45e15ap-8, 0x1.4044139c418c1p-8, 0x1.35136c834c67dp-8, 0x1.2a3602b39e8d5p-8, 0x1.1fa9ed43c196fp-8, 0x1.156d4a682640ep-8, 0x1.0b7e3f821b493p-8, 0x1.01daf92c5ac16p-8, 0x1.f103568a959e4p-9, 0x1.dee121ee13041p-9, 0x1.cd4bd97ac326fp-9, 0x1.bc4010d37b7b4p-9, 0x1.abba6a4a6e2e6p-9, 0x1.9bb796e1a7b02p-9, 0x1.8c3456481c58bp-9, 0x1.7d2d76d374e3bp-9, 0x1.6e9fd576c4898p-9, 0x1.60885db655c07p-9, 0x1.52e40998b1ac7p-9, 0x1.45afe1950c764p-9, 0x1.38e8fc7f43039p-9, 0x1.2c8c7f718124p-9, 0x1.20979db3c6cf1p-9, 0x1.150798a159f4ep-9, 0x1.09d9bf8c5b7dep-9, 0x1.fe16df3f1f97cp-10, 0x1.e934277d0209bp-10, 0x1.d50648c82fba6p-10, 0x1.c1884eff8f2f3p-10, 0x1.aeb560a2d3df5p-10, 0x1.9c88be87c1c95p-10, 0x1.8afdc38d3bd4ap-10, 0x1.7a0fe44c4a088p-10, 0x1.69baaec741419p-10, 0x1.59f9ca173deefp-10, 0x1.4ac8f61822422p-10, 0x1.3c240b132d34fp-10, 0x1.2e06f9686f14p-10, 0x1.206dc9372b51ap-10, 0x1.13549a0549668p-10, 0x1.06b7a2660e2dbp-10, 0x1.f5265f4045969p-11, 0x1.ddc74aa6358cbp-11, 0x1.c74afa391ecbdp-11, 0x1.b1aa8c79d963p-11, 0x1.9cdf4a781634ep-11, 0x1.88e2a71b6085ap-11, 0x1.75ae3e6c1a95bp-11, 0x1.633bd4dca2175p-11, 0x1.51855692c94f1p-11, 0x1.4084d6b1cb60dp-11, 0x1.30348ea4e3314p-11, 0x1.208edd6aa4d59p-11, 0x1.118e46e14085dp-11, 0x1.032d7313ca8bcp-11, 0x1.eace5b114bcc3p-12, 0x1.d06cc9225d5aep-12, 0x1.b72c51357ae65p-12, 0x1.9f03570234b03p-12, 0x1.87e87fc4eda68p-12, 0x1.71d2b0ea078cfp-12, 0x1.5cb90ebc69892p-12, 0x1.4892fb1786e63p-12, 0x1.3558141d05961p-12, 0x1.230032ee229d8p-12, 0x1.11836a68ed2f2p-12, 0x1.00da05e973089p-12, 0x1.e1f9101de6778p-13, 0x1.c3c7530a501d9p-13, 0x1.a710afa38507bp-13, 0x1.8bc7684c33954p-13, 0x1.71de246a4cf13p-13, 0x1.5947ee1ba515dp-13, 0x1.41f82ff34acc8p-13, 0x1.2be2b2bfab79cp-13, 0x1.16fb9b5994b9fp-13, 0x1.0337687c111bp-13, 0x1.e115e14a75ef3p-14, 0x1.bdd6bfffe17bep-14, 0x1.9c9c6cad0f431p-14, 0x1.7d528a1cc8ce1p-14, 0x1.5fe55a591361cp-14, 0x1.4441bac618cb8p-14, 0x1.2a55204ed6416p-14, 0x1.120d93a380f21p-14, 0x1.f6b35b1313209p-15, 0x1.cc51267a4ba1fp-15, 0x1.a4d3e5c88fcbp-15, 0x1.801c0025c70b3p-15, 0x1.5e0ae0c0c0ef8p-15, 0x1.3e82f01c2d7ebp-15, 0x1.21678d7d63b2fp-15, 0x1.069d087c9e84cp-15, 0x1.dc11356cc6229p-16, 0x1.af20c33b77d09p-16, 0x1.8636b0ddcab4cp-16, 0x1.6122a484336b4p-16, 0x1.3fb5e87c2ef66p-16, 0x1.21c35fd3fdabp-16, 0x1.071f7b3c4daafp-16, 0x1.df405c4e00b5p-17, 0x1.b639c8447dcb7p-17, 0x1.92dcecde1115p-17, 0x1.74de43a4d07f1p-17, 0x1.5bf4f940ed523p-17, 0x1.47dada00a702bp-17, 0x1.384c3ed06558ep-17, 0x1.2d07faa1556cap-17, 0x1.25cf483cc005cp-17, 0x1.2265b8826142fp-17, 0x1.2291211006388p-17, 0x1.26198b50b211p-17, 0x1.2cc923f18c362p-17, 0x1.366c2abadcca2p-17, 0x1.42d0e2cb5b473p-17, 0x1.51c78334158f3p-17, 0x1.632227f338e01p-17, 0x1.76b4c34bfc9f5p-17, 0x1.8c550f7a15d7fp-17, 0x1.a3da80bed7fb8p-17, 0x1.bd1e37c68727ap-17, 0x1.d7faf463ffec9p-17, 0x1.f44d08a13f537p-17, 0x1.08f926117aa93p-16, 0x1.186507eed8603p-16, 0x1.285a890d7473ep-16, 0x1.38cab9662e5dp-16, 0x1.49a754161a0f1p-16, 0x1.5ae2b9d42acc5p-16, 0x1.6c6feb8badaacp-16, 0x1.7e42851adeed5p-16, 0x1.904eb834caa9bp-16, 0x1.a2894765ca5acp-16, 0x1.b4e78139d59c3p-16, 0x1.c75f3b83fc00ep-16, 0x1.d9e6cec64bf25p-16, 0x1.ec7511b97273ep-16, 0x1.ff0154f3633fep-16, 0x1.08c1af5631c15p-15, 0x1.11f9b350e0cedp-15, 0x1.1b25090acb8c8p-15, 0x1.244037f5783dp-15, 0x1.2d47fa6edaa05p-15, 0x1.36393bead69aap-15, 0x1.3f11172a074a1p-15, 0x1.47ccd47d780a4p-15, 0x1.5069e8170589fp-15, 0x1.58e5f0661c01bp-15, 0x1.613eb48089c45p-15, 0x1.697222971bf2p-15, 0x1.717e4e75bf0aap-15, 0x1.7961700edfa58p-15, 0x1.8119e211c4aefp-15, 0x1.88a6208ba0292p-15, 0x1.9004c7931539ep-15, 0x1.973491fdf41cp-15, 0x1.9e345820e9a9p-15, 0x1.a5030e98e765bp-15, 0x1.ab9fc51e03eedp-15, 0x1.b209a55f9b362p-15, 0x1.b83ff1e9714fdp-15, 0x1.be420511a053bp-15, 0x1.c40f4fef15e0dp-15, 0x1.c9a759586f424p-15, 0x1.cf09bceaf63e7p-15, 0x1.d4362a198f5cfp-15, 0x1.d92c6343633c5p-15, 0x1.ddec3cd2119cp-15, 0x1.e2759c5f3ba8dp-15, 0x1.e6c877e131ab4p-15, 0x1.eae4d4de9c756p-15, 0x1.eecac7a8e9fffp-15, 0x1.f27a729d57bdap-15, 0x1.f5f4056c68351p-15, 0x1.f937bc679b29fp-15, 0x1.fc45dfd53dd22p-15, 0x1.ff1ec34a25b1dp-15, 0x1.00e1628498aedp-14, 0x1.021926b432ac9p-14, 0x1.0336e71dbdfecp-14, 0x1.043ae121e2e9fp-14, 0x1.05255652984adp-14, 0x1.05f68c302abe7p-14, 0x1.06aecbe8b2e88p-14, 0x1.074e6219ea452p-14, 0x1.07d59e954eabbp-14, 0x1.0844d42682232p-14, 0x1.089c585bd7896p-14, 0x1.08dc8350faf0cp-14, 0x1.0905af7ba85f1p-14, 0x1.0918397a602d4p-14, 0x1.09147fe508ff1p-14, 0x1.08fae31f739d7p-14, 0x1.08cbc52db163cp-14, 0x1.0887898a2cac7p-14, 0x1.082e94fd7bad8p-14, 0x1.07c14d77d9f22p-14, 0x1.074019ec4029dp-14, 0x1.06ab622d0cf79p-14, 0x1.06038eca2f9f1p-14, 0x1.054908f0ccff7p-14, 0x1.047c3a4c50724p-14, 0x1.039d8ce8dc2p-14, 0x1.02ad6b1711f3p-14, 0x1.01ac3f51257aap-14, 0x1.009a742130448p-14, 0x1.fef0e81174defp-15, 0x1.fc8d52d2e4217p-15, 0x1.fa0afcde0604bp-15, 0x1.f76ab9f411997p-15, 0x1.f4ad5d182128cp-15, 0x1.f1d3b8694247ep-15, 0x1.eede9cfe8249fp-15, 0x1.ebcedac4e67c7p-15, 0x1.e8a5405f3c01fp-15, 0x1.e5629b07b41f4p-15, 0x1.e207b6733af7dp-15, 0x1.de955cb6742f9p-15, 0x1.db0c562c5a90dp-15, 0x1.d76d695e65e33p-15, 0x1.d3b95aee346ddp-15, 0x1.cff0ed80a33fep-15, 0x1.cc14e1aa4a6fbp-15, 0x1.c825f5dd51c98p-15, 0x1.c424e6588c46p-15, 0x1.c0126d17d4e1ap-15, 0x1.bbef41c599031p-15, 0x1.b7bc19ad8d33dp-15, 0x1.b379a7b07a262p-15, 0x1.af289c3917963p-15, 0x1.aac9a531f16cp-15, 0x1.a65d6dfc4238bp-15, 0x1.a1e49f67c2b1fp-15, 0x1.9d5fdfab5b151p-15, 0x1.98cfd25eb7284p-15, 0x1.94351874aad77p-15, 0x1.8f90503663762p-15, 0x1.8ae2153f5ad65p-15, 0x1.862b007a055dcp-15, 0x1.816ba81d315cfp-15, 0x1.7ca49faa112e1p-15, 0x1.77d677eae7745p-15, 0x1.7301bef24debep-15, 0x1.6e27001b121afp-15, 0x1.6946c4089c5cap-15, 0x1.646190a7de63bp-15, 0x1.5f77e930c25cap-15, 0x1.5a8a4e2812c22p-15, 0x1.55993d61d467dp-15, 0x1.50a532040e67dp-15, 0x1.4baea489fd6e6p-15, 0x1.46b60ac7a22c7p-15, 0x1.41bbd7edb3f35p-15, 0x1.3cc07c8de62dcp-15, 0x1.37c4669f82286p-15, 0x1.32c8018450d55p-15, 0x1.2dcbb60dc960ep-15, 0x1.28cfea8289fe1p-15, 0x1.23d502a40d973p-15, 0x1.1edb5fb49ebd5p-15, 0x1.19e3607d849a3p-15, 0x1.14ed615561f61p-15, 0x1.0ff9bc26c7673p-15, 0x1.0b08c876f119p-15, 0x1.061adb6cb0e4cp-15, 0x1.013047d77a475p-15, 0x1.f892bc6d2f8dbp-16, 0x1.eeccd980f6b9cp-16, 0x1.e50f7ed45f555p-16, 0x1.db5b3fddc411ep-16, 0x1.d1b0abaf09779p-16, 0x1.c8104d050cdp-16, 0x1.be7aaa5739fa9p-16, 0x1.b4f045e7403cdp-16, 0x1.ab719dd0e2747p-16, 0x1.a1ff2c19dfc93p-16, 0x1.989966c1f36dfp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.1a90e627ba5fep-1, 0x1.17e4b304ea35cp-1, 0x1.14ff33b28bfeap-1, 0x1.11e24f8deaa79p-1, 0x1.0e90026fb4385p-1, 0x1.0b0a596806292p-1, 0x1.07536fb460044p-1, 0x1.036d6bed727f2p-1, 0x1.feb4fad2c24e9p-2, 0x1.f639b39d27986p-2, 0x1.ed6d75a6d9c58p-2, 0x1.e454b84f8aa35p-2, 0x1.daf3f30b7f192p-2, 0x1.d14f99d07691bp-2, 0x1.c76c19cb84f12p-2, 0x1.bd4dd65e67ee7p-2, 0x1.b2f92663584b1p-2, 0x1.a87251b67e85ap-2, 0x1.9dbd8f03fc8ccp-2, 0x1.92df01d93566bp-2, 0x1.87dab8f76789cp-2, 0x1.7cb4ace524fa6p-2, 0x1.7170bebb9eba6p-2, 0x1.6612b72c2e8bap-2, 0x1.5a9e45ba1266bp-2, 0x1.4f170023f663cp-2, 0x1.438061f8a7d93p-2, 0x1.37ddcc522efe6p-2, 0x1.2c3285b291351p-2, 0x1.2081b9fd8adeap-2, 0x1.14ce7a8ad8a4p-2, 0x1.091bbe4cd330bp-2, 0x1.fad8c40f1f4cp-3, 0x1.e386512a0ff48p-3, 0x1.cc45766671c69p-3, 0x1.b51b53b3262a4p-3, 0x1.9e0cd726ff5f1p-3, 0x1.871ebdbc48adep-3, 0x1.7055940fd97c1p-3, 0x1.59b5b72178609p-3, 0x1.43435513f99dbp-3, 0x1.2d026debf172p-3, 0x1.16f6d44c7108bp-3, 0x1.01242e318cf1fp-3, 0x1.d71beb5164d59p-4, 0x1.ac6ef30e64bb8p-4, 0x1.8247bc3edaad2p-4, 0x1.58ac3bea5bb26p-4, 0x1.2fa214e3d4b72p-4, 0x1.072e9932fe198p-4, 0x1.bead9700234d2p-5, 0x1.703ec105bd912p-5, 0x1.231980ec6d10cp-5, 0x1.ae8c2241e343bp-6, 0x1.199832076a657p-6, 0x1.0ecabfc60e35ap-7, -0x1.ffcfd39b990ap-12, -0x1.291354931db0ap-7, -0x1.1e2eed09253fap-6, -0x1.a4e51a54a327ep-6, -0x1.1451a29d3f8b4p-5, -0x1.54b0bd3c9d1e7p-5, -0x1.938c5ced15ab5p-5, -0x1.d0e177c0c4995p-5, -0x1.0656bb4dd95d8p-4, -0x1.237718eb55545p-4, -0x1.3fd0f6f12b522p-4, -0x1.5b63abf646148p-4, -0x1.762ec144ce7cep-4, -0x1.9031f131b7d81p-4, -0x1.a96d257807c16p-4, -0x1.c1e0759894fcdp-4, -0x1.d98c253efa925p-4, -0x1.f070a2ac5101ep-4, -0x1.034742941a3f6p-3, -0x1.0df345bc50714p-3, -0x1.183ccd306fee3p-3, -0x1.22245d93fa569p-3, -0x1.2baa8d134e271p-3, -0x1.34d002ae926e6p-3, -0x1.3d9575888559ap-3, -0x1.45fbac393e4dap-3, -0x1.4e037c24d1f5bp-3, -0x1.55adc8d5cf7bdp-3, -0x1.5cfb835b81ce8p-3, -0x1.63eda9abe5ff1p-3, -0x1.6a854609273a5p-3, -0x1.70c36e6a9e97bp-3, -0x1.76a943e9184bfp-3, -0x1.7c37f22e55737p-3, -0x1.8170aee7968e8p-3, -0x1.8654b93b12894p-3, -0x1.8ae5594036405p-3, -0x1.8f23df7a8db71p-3, -0x1.9311a457304ccp-3, -0x1.96b007ac958d1p-3, -0x1.9a00703cbbbcep-3, -0x1.9d044b397a50cp-3, -0x1.9fbd0bcaf1592p-3, -0x1.a22c2a97fd439p-3, -0x1.a4532550a6241p-3, -0x1.a6337e3a6bbebp-3, -0x1.a7cebbbe72b63p-3, -0x1.a92667f98148ap-3, -0x1.aa3c104dc3af4p-3, -0x1.ab1144f65d689p-3, -0x1.aba7989cbdbfep-3, -0x1.ac009fefbf7cdp-3, -0x1.ac1df13c949bap-3, -0x1.ac0124097fd17p-3, -0x1.ababd0b27016ep-3, -0x1.ab1f900779d38p-3, -0x1.aa5dfaed3e606p-3, -0x1.a968a9ff4e323p-3, -0x1.a84135349742cp-3, -0x1.a6e93385e09b4p-3, -0x1.a5623a966c806p-3, -0x1.a3adde5eccb15p-3, -0x1.a1cdb0d9f7ac5p-3, -0x1.9fc341b4ac2b2p-3, -0x1.9d901dff32ac7p-3, -0x1.9b35cfe18b1d6p-3, -0x1.98b5de5214b57p-3, -0x1.9611cccebc561p-3, -0x1.934b1b18bbfb4p-3, -0x1.906344f2fbf49p-3, -0x1.8d5bc1e3196a4p-3, -0x1.8a3604f51f60dp-3, -0x1.86f37c81f9447p-3, -0x1.839591f8a6057p-3, -0x1.801da9aa302bbp-3, -0x1.7c8d22986f475p-3, -0x1.78e556479c6afp-3, -0x1.75279892a6565p-3, -0x1.7155378264fbp-3, -0x1.6d6f7b278e73ep-3, -0x1.6977a5777aa05p-3, -0x1.656ef22bac97ap-3, -0x1.615696a41a0a3p-3, -0x1.5d2fc1cc34155p-3, -0x1.58fb9c029d4d9p-3, -0x1.54bb4703889aep-3, -0x1.506fddd5be427p-3, -0x1.4c1a74ba2cbacp-3, -0x1.47bc191e0c53bp-3, -0x1.4355d18f73641p-3, -0x1.3ee89db45da0dp-3, -0x1.3a75764413438p-3, -0x1.35fd4d02d9214p-3, -0x1.31810cbfe62ep-3, -0x1.2d0199557c1d8p-3, -0x1.287fcfab2a2bbp-3, -0x1.23fc85ba0a8cdp-3, -0x1.1f788a93018ebp-3, -0x1.1af4a666dec08p-3, -0x1.16719a904be61p-3, -0x1.11f0219f7d664p-3, -0x1.0d70ef678ab1fp-3, -0x1.08f4b10d5fafcp-3, -0x1.047c0d182f6cbp-3, -0x1.0007a38353d67p-3, -0x1.f7301ba315538p-4, -0x1.ee5bbe42f8788p-4, -0x1.e5934886dc6edp-4, -0x1.dcd7c7a03d845p-4, -0x1.d42a3c81529ccp-4, -0x1.cb8b9c0eca6b2p-4, -0x1.c2fccf535757dp-4, -0x1.ba7eb3b4e521dp-4, -0x1.b2121b2b5c151p-4, -0x1.a9b7cc78bb4d9p-4, -0x1.a1708362786e5p-4, -0x1.993cf0ec00631p-4, -0x1.911dbb92313cap-4, -0x1.89137f87b3d3p-4, -0x1.811ecef21393dp-4, -0x1.7940322776c1p-4, -0x1.717827ecda74p-4, -0x1.69c725b4b66b8p-4, -0x1.622d97ddecd9bp-4, -0x1.5aabe1f2ed631p-4, -0x1.53425ee8f2813p-4, -0x1.4bf1615f3e5e2p-4, -0x1.44b933de46185p-4, -0x1.3d9a1916afd04p-4, -0x1.36944c2011e84p-4, -0x1.2fa800b760fd8p-4, -0x1.28d5637cf5352p-4, -0x1.221c9a321a8b8p-4, -0x1.1b7dc3f618737p-4, -0x1.14f8f982a148dp-4, -0x1.0e8e4d679cec6p-4, -0x1.083dcc463d4bcp-4, -0x1.02077d0b548fdp-4, -0x1.f7d6c251b9871p-5, -0x1.ebd2e99d515abp-5, -0x1.e0035e446532fp-5, -0x1.d46804eb01467p-5, -0x1.c900b8fa29a0cp-5, -0x1.bdcd4d09c49e8p-5, -0x1.b2cd8b4881f5ap-5, -0x1.a80135e1b0ecp-5, -0x1.9d680760fa1f4p-5, -0x1.9301b313f62e6p-5, -0x1.88cde5699711ap-5, -0x1.7ecc444f5c08bp-5, -0x1.74fc6f8c4e5cbp-5, -0x1.6b5e0119bede6p-5, -0x1.61f08d79c0f68p-5, -0x1.58b3a40b6347p-5, -0x1.4fa6cf5ca30ep-5, -0x1.46c9957a18e11p-5, -0x1.3e1b783c62467p-5, -0x1.359bf593460fp-5, -0x1.2d4a87ce96f5ep-5, -0x1.2526a5e4db35cp-5, -0x1.1d2fc3b7b4dap-5, -0x1.15655256171ccp-5, -0x1.0dc6c03c4a3a4p-5, -0x1.06537991c197bp-5, -0x1.fe15d0c99c30ep-6, -0x1.efd8e9c865ec5p-6, -0x1.e1ef0b2d3e714p-6, -0x1.d456ff203690bp-6, -0x1.c70f8d4ad7548p-6, -0x1.ba177b3ae9019p-6, -0x1.ad6d8cc14f589p-6, -0x1.a110844d04efep-6, -0x1.94ff234251cbcp-6, -0x1.89382a4e45a74p-6, -0x1.7dba59b6942f3p-6, -0x1.728471a5df268p-6, -0x1.6795327482db8p-6, -0x1.5ceb5cee01c8p-6, -0x1.5285b29314fe3p-6, -0x1.4862f5d885447p-6, -0x1.3e81ea62d6bb3p-6, -0x1.34e1553ee27d8p-6, -0x1.2b7ffd176db84p-6, -0x1.225caa67d8f53p-6, -0x1.197627abf9312p-6, -0x1.10cb418d2d099p-6, -0x1.085ac70cca272p-6, -0x1.002389abecbebp-6, -0x1.f048bb2198b21p-7, -0x1.e0b833532ff9ap-7, -0x1.d1932f9a02466p-7, -0x1.c2d769b0ef27p-7, -0x1.b482a1986ba12p-7, -0x1.a6929dca5f5ddp-7, -0x1.99052b69de15ap-7, -0x1.8bd81e6ef5871p-7, -0x1.7f0951cea7e4bp-7, -0x1.7296a79f3fc43p-7, -0x1.667e09391b1bep-7, -0x1.5abd675414b77p-7, -0x1.4f52ba21ab19ep-7, -0x1.443c01640b146p-7, -0x1.3977448218cfdp-7, -0x1.2f029298a1153p-7, -0x1.24dc0288c7a9ep-7, -0x1.1b01b303d9de8p-7, -0x1.1171ca949f372p-7, -0x1.082a77a646da3p-7, -0x1.fe53e11220a0ap-8, -0x1.ecdce6e98d0cap-8, -0x1.dbec8d125d202p-8, -0x1.cb7f6f98fe8fdp-8, -0x1.bb923a4ffd933p-8, -0x1.ac21a8c5b9712p-8, -0x1.9d2a8636c6266p-8, -0x1.8ea9ad7d27e79p-8, -0x1.809c08fc9616fp-8, -0x1.72fe928bf3907p-8, -0x1.65ce535c251bap-8, -0x1.590863dc6db3cp-8, -0x1.4ca9eb9c7e3fcp-8, -0x1.40b0212c583fcp-8, -0x1.351849fa2c418p-8, -0x1.29dfba2e57da1p-8, -0x1.1f03d485a4a43p-8, -0x1.14820a29ea9a9p-8, -0x1.0a57da8931aa9p-8, -0x1.0082d32b79593p-8, -0x1.ee011f0e7578fp-9, -0x1.db9d71a98ed3fp-9, -0x1.c9d60bc13c3cfp-9, -0x1.b8a675b99fb9ap-9, -0x1.a80a526318104p-9, -0x1.97fd5e99e20fep-9, -0x1.887b70e46151ap-9, -0x1.798079104a6fdp-9, -0x1.6b087fcecbf82p-9, -0x1.5d0fa64fe8334p-9, -0x1.4f9225dd1e28ep-9, -0x1.428c4f738946fp-9, -0x1.35fa8b5d9a946p-9, -0x1.29d958cc86747p-9, -0x1.1e254d718e623p-9, -0x1.12db15173d29cp-9, -0x1.07f7713ab1c43p-9, -0x1.faee714a30ba5p-10, -0x1.e6aeae0ac169ap-10, -0x1.d3299914ae0bdp-10, -0x1.c0595afa46c24p-10, -0x1.ae3843b8aa69bp-10, -0x1.9cc0c9ef05c66p-10, -0x1.8bed8a172b37p-10, -0x1.7bb945bf9df35p-10, -0x1.6c1ee2c7305d7p-10, -0x1.5d196a9a602e6p-10, -0x1.4ea409726e3d2p-10, -0x1.40ba0d96720e1p-10, -0x1.3356e69e5ba6ep-10, -0x1.267624b815327p-10, -0x1.1a1377eec6b3ep-10, -0x1.0e2aaf74512e1p-10, -0x1.02b7b8ed208bdp-10, -0x1.ef6d3f7c88d27p-11, -0x1.da4718bbffa2p-11, -0x1.c5f5874d85841p-11, -0x1.b2714c5944dbdp-11, -0x1.9fb35f2ab17e2p-11, -0x1.8db4ebe5a23cep-11, -0x1.7c6f524096f3ep-11, -0x1.6bdc244433338p-11, -0x1.5bf5250ff8cb4p-11, -0x1.4cb447a449a23p-11, -0x1.3e13adb1b524ep-11, -0x1.300da66d975d1p-11, -0x1.229cad6c08593p-11, -0x1.15bb697f209edp-11, -0x1.0964ab9b8c593p-11, -0x1.fb26db84e22fap-12, -0x1.e485a3e1386bfp-12, -0x1.cedc4225f0ab5p-12, -0x1.ba21940086d01p-12, -0x1.a64cc0eff8f3bp-12, -0x1.9355384d0506ap-12, -0x1.8132af5cb1f14p-12, -0x1.6fdd1f6d155a8p-12, -0x1.5f4cc3fc37e62p-12, -0x1.4f7a18e909f61p-12, -0x1.405dd8ae45ccfp-12, -0x1.31f0faa72b41ap-12, -0x1.242cb15df9175p-12, -0x1.170a68e40319ap-12, -0x1.0a83c5334adeep-12, -0x1.fd254132f49cdp-13, -0x1.e6621458471a2p-13, -0x1.d0b2888c43a99p-13, -0x1.bc0b861bfa149p-13, -0x1.a862560a5c948p-13, -0x1.95ac9f404667dp-13, -0x1.83e063cdb9a05p-13, -0x1.72f3fe3c0de86p-13, -0x1.62de1ef0d3e6cp-13, -0x1.5395c9a11415p-13, -0x1.451252d4b215ep-13, -0x1.374b5d79a7175p-13, -0x1.2a38d886cde33p-13, -0x1.1dd2fcadecdb5p-13, -0x1.12124a1cd0d7fp-13, -0x1.06ef864d106bdp-13, -0x1.f8c773c498a5fp-14, -0x1.e4d05d2d27be5p-14, -0x1.d1ecda6959127p-14, -0x1.c010773ff5cb1p-14, -0x1.af2f35d3743dp-14, -0x1.9f3d8ae6985dep-14, -0x1.90305a3aa226fp-14, -0x1.81fcf30689457p-14, -0x1.74990c86c4383p-14, -0x1.67fac2a509a5fp-14, -0x1.5c1892b78f45dp-14, -0x1.50e958573d6edp-14, -0x1.46644a4c5626ep-14, -0x1.3c80f7911195ep-14, -0x1.33374469ad709p-14, -0x1.2a7f679172e16p-14, -0x1.2251e77c39552p-14, -0x1.1aa797abe9271p-14, -0x1.1379961988e61p-14, -0x1.0cc148b15bf6fp-14, -0x1.06785ae1a1711p-14, -0x1.0098bb3b7d0a2p-14, -0x1.f639324b396e7p-15, -0x1.ebfcc54051f74p-15, -0x1.e27184332bf0dp-15, -0x1.d98d38a7cf6cp-15, -0x1.d1461cb402571p-15, -0x1.c992d7092f088p-15, -0x1.c26a771cc9ddp-15, -0x1.bbc4716e66c0ep-15, -0x1.b5989beac8546p-15, -0x1.afdf2a6b1e8d4p-15, -0x1.aa90ab4fbe863p-15, -0x1.a5a604359b05dp-15, -0x1.a1186ec5c9972p-15, -0x1.9ce1759e62948p-15, -0x1.98faf1541273ep-15, -0x1.955f058baf62dp-15, -0x1.92081e2b31123p-15, -0x1.8ef0eca1688fcp-15, -0x1.8c146543d77dbp-15, -0x1.896dbcc20de5p-15, -0x1.86f865adf7ac4p-15, -0x1.84b00e1883d29p-15, -0x1.82909d4215ac7p-15, -0x1.8096315e34b4dp-15, -0x1.7ebd1d69ed59fp-15, -0x1.7d01e7145f451p-15, -0x1.7b6144b8f3722p-15, -0x1.79d81b6abb454p-15, -0x1.78637d1077a24p-15, -0x1.7700a690d402fp-15, -0x1.75acfe0e56ba5p-15, -0x1.7466113296b32p-15, -0x1.73299388452dcp-15, -0x1.71f55ce397d5p-15, -0x1.70c767d8ad909p-15, -0x1.6f9dd03f7f1dp-15, -0x1.6e76d1c4f96a2p-15, -0x1.6d50c688d775ap-15, -0x1.6c2a25c7e301fp-15, -0x1.6b0182923465p-15, -0x1.69d58a8d1871dp-15, -0x1.68a504c04492ep-15, -0x1.676ed06dfd939p-15, -0x1.6631e3f5dbb37p-15, -0x1.64ed4bc1de325p-15, -0x1.63a0293d73899p-15, -0x1.6249b1d63181cp-15, -0x1.60e92e05e9ebap-15, -0x1.5f7df865d3341p-15, -0x1.5e077cca7d7d6p-15, -0x1.5c8537684a05fp-15, -0x1.5af6b400245d9p-15, -0x1.595b8d1437856p-15, -0x1.57b36b245dc2cp-15, -0x1.55fe03f210c83p-15, -0x1.543b19cb92ddfp-15, -0x1.526a7ade217a7p-15, -0x1.508c008eec1f8p-15, -0x1.4e9f8edaa0a3fp-15, -0x1.4ca513bb4c11p-15, -0x1.4a9c869463c23p-15, -0x1.4885e7a4c0042p-15, -0x1.46613f7e5059ep-15, -0x1.442e9e836338fp-15, -0x1.41ee1c694738dp-15, -0x1.3f9fd7c0203f4p-15, -0x1.3d43f57fbb55bp-15, -0x1.3adaa099405efp-15, -0x1.3864098d8bfe3p-15, -0x1.35e06608119efp-15, -0x1.334ff07e194c3p-15, -0x1.30b2e7d23497ep-15, -0x1.2e098efbc576cp-15, -0x1.2b542cb26fc9ap-15, -0x1.28930b1d569a1p-15, -0x1.25c6778600a4ep-15, -0x1.22eec20ec36aep-15, -0x1.200c3d6c93a12p-15, -0x1.1d1f3ea41dd23p-15, -0x1.1a281cca09496p-15, -0x1.172730c64421dp-15, -0x1.141cd51a40b25p-15, -0x1.110965aa07837p-15, -0x1.0ded3f8801b4ep-15, -0x1.0ac8c0c361e24p-15, -0x1.079c483918124p-15, -0x1.046835672dbccp-15, -0x1.012ce8427f1abp-15, -0x1.fbd5821d61301p-16, -0x1.f5444070a1d73p-16, -0x1.eea6cc621bc52p-16, -0x1.e7fde69bda367p-16, -0x1.e14a4f4edc094p-16, -0x1.da8cc5f70ee65p-16, -0x1.d3c60922d42dp-16, -0x1.ccf6d63defefp-16, -0x1.c61fe95fc18d5p-16, -0x1.bf41fd1c9abbcp-16, -0x1.b85dca5a1ddafp-16, -0x1.b17408267fa25p-16, -0x1.aa856b928d1d1p-16, -0x1.a392a78e5d7b7p-16, -0x1.9c9c6cc889863p-16, -0x1.95a3698fd540bp-16, -0x1.8ea849b732806p-16, -0x1.87abb67bf7bafp-16, -0x1.80ae566e403aep-16, -0x1.79b0cd5b51b3cp-16, -0x1.72b3bc39f814bp-16, -0x1.6bb7c118bc367p-16, -0x1.64bd770de4d2ep-16, -0x1.5dc5762927d53p-16, -0x1.56d05366f9fe6p-16, -0x1.4fdea0a5696a8p-16, -0x1.48f0ec9a70396p-16, -0x1.4207c2cbb1aabp-16, -0x1.3b23ab8784222p-16, -0x1.34452bdf45e9dp-16, -0x1.2d6cc5a2e37b4p-16, -0x1.269af75d802c2p-16, -0x1.1fd03c5337e24p-16, -0x1.190d0c7fe6584p-16, -0x1.1251dc96e4d2dp-16, -0x1.0b9f1e03b7c94p-16, -0x1.04f53eeb979c4p-16, -0x1.fca9545f9bbd2p-17, -0x1.ef7b8ee1b2fd7p-17, -0x1.e261f624955f7p-17, -0x1.d55d4c7ea30cp-17, -0x1.c86e4ddfe6101p-17, -0x1.bb95afddae04cp-17, -0x1.aed421bf50449p-17, -0x1.a22a4c8bf881bp-17, -0x1.9598d3197cc46p-17, -0x1.8920521c123bap-17, -0x1.7cc16036eb846p-17, -0x1.707c8e0d9c61ep-17, -0x1.645266563e928p-17, -0x1.58436dec40b34p-17, -0x1.4c5023e3dc998p-17, -0x1.4079019e1ac37p-17, -0x1.34be7add61dccp-17, -0x1.2920fdda7e2afp-17, -0x1.1da0f35a183b8p-17, -0x1.123ebec290046p-17, -0x1.06fabe3230cb9p-17, -0x1.f7aa952b66e7ep-18, -0x1.e19d6f7e0f1bp-18, -0x1.cbcea8f8ad85ep-18, -0x1.b63ed55e79c36p-18, -0x1.a0ee7ec8527c6p-18, -0x1.8bde25d3c8892p-18, -0x1.770e41d25f653p-18, -0x1.627f40f8f4d5dp-18, -0x1.4e31888f4486cp-18, -0x1.3a25751f77773p-18, -0x1.265b5aa5b5224p-18, -0x1.12d384bfa9fcep-18, -0x1.ff1c6db7ef84bp-19, -0x1.d91758d308a2ep-19, -0x1.b398320d43d46p-19, -0x1.8e9f515fff953p-19, -0x1.6a2cffdec24c7p-19, -0x1.464178141e74ep-19, -0x1.22dce65dfb208p-19, -0x1.fffed29273d99p-20, -0x1.bb5223d948fcdp-20, -0x1.77b3c8863536ap-20, -0x1.3523af09e17b2p-20, -0x1.e7435a01dd22ep-21, -0x1.665affc67ab7bp-21, -0x1.cf1b36c5733fap-22, -0x1.ab692d00664e1p-23, 0x1.f7ffcf8e6cba2p-26, 0x1.1084f5471f9f1p-22, 0x1.fd5d176151442p-22, 0x1.7305bc83762c6p-21, 0x1.e549bf1dddd3fp-21, 0x1.2abe35b324a2ap-20, 0x1.61cfdef7427c9p-20, 0x1.97daeb5f9d6dap-20, 0x1.cce07c140788ap-20, 0x1.0070e1651e77p-19, 0x1.19f0009955658p-19, 0x1.32ee4433cf008p-19, 0x1.4b6c5c2f6e768p-19, 0x1.636affaed2b03p-19, 0x1.7aeaecb78ee61p-19, 0x1.91ece7ee9c3a1p-19, 0x1.a871bc55ff25fp-19, 0x1.be7a3b0ba963cp-19, 0x1.d4073b0994dafp-19, 0x1.e91998e711ce6p-19, 0x1.fdb2369b533efp-19, 0x1.08e8fda0966a8p-18, 0x1.12bce96e03bfbp-18, 0x1.1c55570f078bdp-18, 0x1.25b2c117c59a8p-18, 0x1.2ed5a43bb7111p-18, 0x1.37be7f3289ceep-18, 0x1.406dd29d943eap-18, 0x1.48e420ede0793p-18, 0x1.5121ee4acc22bp-18, 0x1.5927c079381b5p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.234418c6ff89p-1, 0x1.225af720d817ap-1, 0x1.215d45ade04bfp-1, 0x1.204b6d6f089c2p-1, 0x1.1f25dcf535941p-1, 0x1.1ded07c7f67bfp-1, 0x1.1ca165d34c07dp-1, 0x1.1b4372dceb7a8p-1, 0x1.19d3ae011ccc2p-1, 0x1.185299370d58dp-1, 0x1.16c0b8dc4ef77p-1, 0x1.151e93473414bp-1, 0x1.136cb05faa0c7p-1, 0x1.11ab993e49d87p-1, 0x1.0fdbd7d156123p-1, 0x1.0dfdf6877068dp-1, 0x1.0c127fffda55cp-1, 0x1.0a19fec01b06fp-1, 0x1.0814fceef08b4p-1, 0x1.060404146daf6p-1, 0x1.03e79cdf2d755p-1, 0x1.01c04eee7cb35p-1, 0x1.ff1d4142b5427p-2, 0x1.faa62dd456c43p-2, 0x1.f61c6a4dde0a4p-2, 0x1.f180f9fba206p-2, 0x1.ecd4dc7ba85e5p-2, 0x1.e8190d86c9983p-2, 0x1.e34e84c1242cap-2, 0x1.de76359159bacp-2, 0x1.d9910efe0edf9p-2, 0x1.d49ffb91321ddp-2, 0x1.cfa3e140759f5p-2, 0x1.ca9da15a86621p-2, 0x1.c58e18787d509p-2, 0x1.c0761e7310e2dp-2, 0x1.bb56865b1fed1p-2, 0x1.b6301e751edd6p-2, 0x1.b103b037198f6p-2, 0x1.abd20048e027fp-2, 0x1.a69bce8621d88p-2, 0x1.a161d602265dep-2, 0x1.9c24cd0ce9fadp-2, 0x1.96e565396f123p-2, 0x1.91a44b6510996p-2, 0x1.8c6227bfb3f6ap-2, 0x1.871f9dd4b8de3p-2, 0x1.81dd4c948efdap-2, 0x1.7c9bce5edb082p-2, 0x1.775bb90d1b4d3p-2, 0x1.721d9dfdbffafp-2, 0x1.6ce20a1fa7a69p-2, 0x1.67a985fdff3aap-2, 0x1.627495cc7d5fdp-2, 0x1.5d43b973efb2fp-2, 0x1.58176c9f1cddfp-2, 0x1.52f026c7f95eap-2, 0x1.4dce5b45231d3p-2, 0x1.48b27957aed01p-2, 0x1.439cec39391acp-2, 0x1.3e8e1b2a42e1ep-2, 0x1.39866980cdd47p-2, 0x1.348636b73a7e5p-2, 0x1.2f8dde7b653dbp-2, 0x1.2a9db8bdfa33ap-2, 0x1.25b619c2002d4p-2, 0x1.20d7522c937ddp-2, 0x1.1c01af14ccd3bp-2, 0x1.17357a13cc1dcp-2, 0x1.1272f954e8624p-2, 0x1.0dba6fa5f8a73p-2, 0x1.090c1c87b2d89p-2, 0x1.04683c3e1a836p-2, 0x1.ff9e0fc1f985bp-3, 0x1.f6816ad8dafep-3, 0x1.ed7aefa28dbccp-3, 0x1.e48afe0b46e14p-3, 0x1.dbb1f02a99d39p-3, 0x1.d2f01a6437d2ep-3, 0x1.ca45cb888a927p-3, 0x1.c1b34cf51f569p-3, 0x1.b938e2b4daa78p-3, 0x1.b0d6cb9fef52cp-3, 0x1.a88d417b9374p-3, 0x1.a05c79196f1f9p-3, 0x1.9844a276b4d92p-3, 0x1.9045e8daf56eap-3, 0x1.886072f694d3bp-3, 0x1.80946300ee103p-3, 0x1.78e1d6d61911p-3, 0x1.7148e81458828p-3, 0x1.69c9ac3928abap-3, 0x1.626434bdf2ce2p-3, 0x1.5b188f345d21fp-3, 0x1.53e6c56249024p-3, 0x1.4ccedd5d65caep-3, 0x1.45d0d9a66bbfbp-3, 0x1.3eecb94401a16p-3, 0x1.382277dd38b4fp-3, 0x1.31720dd3ba81dp-3, 0x1.2adb705d9871ep-3, 0x1.245e919ec1b95p-3, 0x1.1dfb60c2230a6p-3, 0x1.17b1ca12747bdp-3, 0x1.1181b712adb6dp-3, 0x1.0b6b0e9629384p-3, 0x1.056db4d876a5ap-3, 0x1.ff131729addc9p-4, 0x1.f37ce43add127p-4, 0x1.e8188ae44a08ep-4, 0x1.dce5c0ae69116p-4, 0x1.d1e436d6d9acdp-4, 0x1.c7139a7c56fd9p-4, 0x1.bc7394c9fd939p-4, 0x1.b203cb2208018p-4, 0x1.a7c3df47eedfp-4, 0x1.9db36f89de266p-4, 0x1.93d216e9a918p-4, 0x1.8a1f6d450dd71p-4, 0x1.809b077d6e0c7p-4, 0x1.7744779ee14a4p-4, 0x1.6e1b4d06addb1p-4, 0x1.651f1489225bcp-4, 0x1.5c4f5896d1006p-4, 0x1.53aba16128797p-4, 0x1.4b3374fe6a4bap-4, 0x1.42e6578cfe6d2p-4, 0x1.3ac3cb561fc33p-4, 0x1.32cb50efe151cp-4, 0x1.2afc675e8c1e8p-4, 0x1.23568c354f714p-4, 0x1.1bd93bb647d73p-4, 0x1.1483f0f1d668p-4, 0x1.0d5625e548784p-4, 0x1.064f5398d041bp-4, 0x1.fedde4799326p-5, 0x1.f168f28c96d32p-5, 0x1.e43ebf160a71bp-5, 0x1.d75e36b8cda3ep-5, 0x1.cac6454421f74p-5, 0x1.be75d5e71e836p-5, 0x1.b26bd362b4905p-5, 0x1.a6a7283a40564p-5, 0x1.9b26bee2ad951p-5, 0x1.8fe981f026dd5p-5, 0x1.84ee5c4253c3bp-5, 0x1.7a34392f29ddep-5, 0x1.6fba04ac48711p-5, 0x1.657eab76e9b9dp-5, 0x1.5b811b3a653bcp-5, 0x1.51c042b5447f7p-5, 0x1.483b11dcf2b1ep-5, 0x1.3ef07a0001ddcp-5, 0x1.35df6de70dd5ep-5, 0x1.2d06e1f43d858p-5, 0x1.2465cc4167395p-5, 0x1.1bfb24bcdb0b5p-5, 0x1.13c5e544d85f8p-5, 0x1.0bc509c1b0e69p-5, 0x1.03f7903ea0318p-5, 0x1.f8b8f202b4965p-6, 0x1.e9e58d40b0c59p-6, 0x1.db72fc2fcec96p-6, 0x1.cd5f4dbbff177p-6, 0x1.bfa895e9cec2fp-6, 0x1.b24cedf95c47ap-6, 0x1.a54a7486f57e4p-6, 0x1.989f4da98081bp-6, 0x1.8c49a30ea7122p-6, 0x1.8047a414e151bp-6, 0x1.749785e366e2p-6, 0x1.693783800cb9fp-6, 0x1.5e25dde32f5cdp-6, 0x1.5360dc09a269bp-6, 0x1.48e6cb04c1a91p-6, 0x1.3eb5fe08ac0a4p-6, 0x1.34ccce78b5ef6p-6, 0x1.2b299bf222433p-6, 0x1.21cacc552d9a8p-6, 0x1.18aecbcc84031p-6, 0x1.0fd40cd319c21p-6, 0x1.073908388c4d2p-6, 0x1.fdb87a4818664p-7, 0x1.ed78622bbc0dep-7, 0x1.ddaedfcf0c00dp-7, 0x1.ce5917954c21dp-7, 0x1.bf743a8d38fd8p-7, 0x1.b0fd8669e93d5p-7, 0x1.a2f2457965a2ep-7, 0x1.954fce990f787p-7, 0x1.88138527f3044p-7, 0x1.7b3ad8f720bcdp-7, 0x1.6ec346382259ep-7, 0x1.62aa55699f76cp-7, 0x1.56ed9b42565c6p-7, 0x1.4b8ab89a6ffe4p-7, 0x1.407f5a5350831p-7, 0x1.35c9393dfd441p-7, 0x1.2b661a001de2cp-7, 0x1.2153ccf7bfb9cp-7, 0x1.17902e1de486dp-7, 0x1.0e1924e7f67a8p-7, 0x1.04eca42830758p-7, 0x1.f81153da23e6fp-8, 0x1.e6d67ebfda471p-8, 0x1.d624f14548029p-8, 0x1.c5f8e959466d1p-8, 0x1.b64eba4e5cf26p-8, 0x1.a722cc9215d8p-8, 0x1.98719d6335945p-8, 0x1.8a37be86ef305p-8, 0x1.7c71d5fd326b3p-8, 0x1.6f1c9db4324bep-8, 0x1.6234e33b3d301p-8, 0x1.55b7877502344p-8, 0x1.49a17e495a32cp-8, 0x1.3defce56b07f5p-8, 0x1.329f90a31df24p-8, 0x1.27adf04d51496p-8, 0x1.1d182a3d53ca2p-8, 0x1.12db8cd54529p-8, 0x1.08f577a21d5b1p-8, 0x1.fec6b6190e581p-9, 0x1.ec457013d0db7p-9, 0x1.da623f9b45769p-9, 0x1.c91866f544689p-9, 0x1.b86347aa8c043p-9, 0x1.a83e61eb63255p-9, 0x1.98a553f526673p-9, 0x1.8993d978dc3fbp-9, 0x1.7b05cb02e5f5p-9, 0x1.6cf71d63e2d2bp-9, 0x1.5f63e11addd12p-9, 0x1.524841c0d3c4ap-9, 0x1.45a08575aad77p-9, 0x1.39690c4ea8422p-9, 0x1.2d9e4fc671c4ep-9, 0x1.223ce22eb317p-9, 0x1.17416e2366bbdp-9, 0x1.0ca8b5ffda72cp-9, 0x1.026f935576935p-9, 0x1.f125ecc89d0ddp-10, 0x1.de1fcb2b1686bp-10, 0x1.cbc6f9ef61cddp-10, 0x1.ba15db79956f3p-10, 0x1.a906fb7509af9p-10, 0x1.98950dd86abf6p-10, 0x1.88baededbf1e3p-10, 0x1.79739d5e5b6a7p-10, 0x1.6aba4342da24dp-10, 0x1.5c8a2b370e62ep-10, 0x1.4edec47204975p-10, 0x1.41b3a0e2098c1p-10, 0x1.3504744cb42ecp-10, 0x1.28cd137304337p-10, 0x1.1d09733986e97p-10, 0x1.11b5a7d487e48p-10, 0x1.06cde3f83db69p-10, 0x1.f89cf01a10b1p-11, 0x1.e467a2cf3cb3fp-11, 0x1.d0f4f30a7d9bbp-11, 0x1.be3e2a979d747p-11, 0x1.ac3cc89bcb4cdp-11, 0x1.9aea80257bcfcp-11, 0x1.8a4136c403668p-11, 0x1.7a3b0326d7de9p-11, 0x1.6ad22bc46923ap-11, 0x1.5c01258879a24p-11, 0x1.4dc29289e73d4p-11, 0x1.401140c7cb635p-11, 0x1.32e828edde013p-11, 0x1.26426d2005053p-11, 0x1.1a1b57ccf908cp-11, 0x1.0e6e5a87e48e5p-11, 0x1.03370ce8ea3b6p-11, 0x1.f0e256e8e7539p-12, 0x1.dc312d12682f3p-12, 0x1.c852a2a983604p-12, 0x1.b53f019d58df6p-12, 0x1.a2eed573f2d1dp-12, 0x1.915ae959cba6cp-12, 0x1.807c463db06f1p-12, 0x1.704c30f8c6b0ap-12, 0x1.60c4288285f8fp-12, 0x1.51dde43064543p-12, 0x1.4393520109136p-12, 0x1.35de94f2ca6ebp-12, 0x1.28ba03653e2c3p-12, 0x1.1c202585aad95p-12, 0x1.100bb3c620d99p-12, 0x1.0477955f05b19p-12, 0x1.f2bdbdb5b7eecp-13, 0x1.dd79a15822d2ap-13, 0x1.c919ab993ddb7p-13, 0x1.b59504ce8d616p-13, 0x1.a2e32514710fep-13, 0x1.90fbd1c5daa62p-13, 0x1.7fd71b0604cc3p-13, 0x1.6f6d595bc34f4p-13, 0x1.5fb72b5e0ffeap-13, 0x1.50ad737168125p-13, 0x1.424955959f239p-13, 0x1.34843543bba0ep-13, 0x1.2757b35b872abp-13, 0x1.1abdac2073615p-13, 0x1.0eb035456f265p-13, 0x1.03299c0753287p-13, 0x1.f048c6ab1cb12p-14, 0x1.db3684116b086p-14, 0x1.c712424d42d05p-14, 0x1.b3d234677b212p-14, 0x1.a16ceb2280a52p-14, 0x1.8fd951cfd026bp-14, 0x1.7f0eab3df46fp-14, 0x1.6f048ebe54c27p-14, 0x1.5fb2e5423d5efp-14, 0x1.5111e68e82916p-14, 0x1.431a16852c46fp-14, 0x1.35c442848d067p-14, 0x1.29097edb38b36p-14, 0x1.1ce32450481d1p-14, 0x1.114acdbf5d312p-14, 0x1.063a55c7e02cfp-14, 0x1.f757a91dd8574p-15, 0x1.e3333b26d5f8dp-15, 0x1.cffc7b27b52b1p-15, 0x1.bda8f10a86e56p-15, 0x1.ac2e8f35bf357p-15, 0x1.9b83aebbf956p-15, 0x1.8b9f0bab44056p-15, 0x1.7c77c17b11b13p-15, 0x1.6e054797e8c22p-15, 0x1.603f6e0bf9569p-15, 0x1.531e5a43c3dap-15, 0x1.469a83edfca03p-15, 0x1.3aacb1f5e31cbp-15, 0x1.2f4df7974012ap-15, 0x1.2477b18b51303p-15, 0x1.1a23834dda7bep-15, 0x1.104b5479ad0a2p-15, 0x1.06e94e3bea25fp-15, 0x1.fbefb1baa7a87p-16, 0x1.eae332c20aa33p-16, 0x1.daa2de6fc2679p-16, 0x1.cb24e4103f51ep-16, 0x1.bc5fdf10b1157p-16, 0x1.ae4ad2dada874p-16, 0x1.a0dd26d587b5p-16, 0x1.940ea28876ea6p-16, 0x1.87d769e29ae71p-16, 0x1.7c2ff9a1ac601p-16, 0x1.711123d9eee4cp-16, 0x1.66740c9d34287p-16, 0x1.5c5226c013cc4p-16, 0x1.52a530bc6925fp-16, 0x1.496731b0214dp-16, 0x1.409276777a0d1p-16, 0x1.38218ee1c0584p-16, 0x1.300f4affc6a0ep-16, 0x1.2856b88b28ea5p-16, 0x1.20f320659f9cep-16, 0x1.19e0042f8d435p-16, 0x1.13191bf50bd94p-16, 0x1.0c9a53f0b7d34p-16, 0x1.065fca637aa6bp-16, 0x1.0065cd80b4d8ap-16, 0x1.f551b2dc0729cp-17, 0x1.ea4b2cac1214bp-17, 0x1.dfb1ad1b20bfbp-17, 0x1.d57f2994dc048p-17, 0x1.cbade4d707125p-17, 0x1.c2386ba2a2a06p-17, 0x1.b919918d13f5dp-17, 0x1.b04c6df029c71p-17, 0x1.a7cc58f80598p-17, 0x1.9f94e8cdc684dp-17, 0x1.97a1eede14a1p-17, 0x1.8fef753a824e7p-17, 0x1.8879bc14d5c33p-17, 0x1.813d37536ca7bp-17, 0x1.7a368c3daf30bp-17, 0x1.73628f3fe172p-17, 0x1.6cbe41c56dc53p-17, 0x1.6646d028da2e5p-17, 0x1.5ff98fb8b49b1p-17, 0x1.59d3fcd0a6739p-17, 0x1.53d3b905ffadp-17, 0x1.4df68967098abp-17, 0x1.483a54cc69e1ep-17, 0x1.429d223bffd8ep-17, 0x1.3d1d175c89e03p-17, 0x1.37b876f9822f8p-17, 0x1.326d9f96966ccp-17, 0x1.2d3b0a122baa6p-17, 0x1.281f48565ec53p-17, 0x1.23190417faabdp-17, 0x1.1e26fda2dff97p-17, 0x1.19480ab35eed9p-17, 0x1.147b155c08629p-17, 0x1.0fbf1af77e95ep-17, 0x1.0b132b25d308fp-17, 0x1.067666d503177p-17, 0x1.01e7ff54264f8p-17, 0x1.face6ae1d1e18p-18, 0x1.f1e6b13dda3e1p-18, 0x1.e9178c5164ba8p-18, 0x1.e05fd0d34ebf2p-18, 0x1.d7be6c2212c98p-18, 0x1.cf3262da7ab88p-18, 0x1.c6bacf7e98c04p-18, 0x1.be56e12c68806p-18, 0x1.b605da63796abp-18, 0x1.adc70fd90d2e1p-18, 0x1.a599e75a1928fp-18, 0x1.9d7dd6ba9befp-18, 0x1.957262d1c200ap-18, 0x1.8d771e8257234p-18, 0x1.858ba9cf04621p-18, 0x1.7dafb0f9e283dp-18, 0x1.75e2ebaeedad3p-18, 0x1.6e251c38e6062p-18, 0x1.66760ec031962p-18, 0x1.5ed5989359e2fp-18, 0x1.57439778baac1p-18, 0x1.4fbff109053d2p-18, 0x1.484a9212377f6p-18, 0x1.40e36e02aee15p-18, 0x1.398a7e5bfe4dp-18, 0x1.323fc22d32badp-18, 0x1.2b033d943920cp-18, 0x1.23d4f946150aap-18, 0x1.1cb5021d9ca01p-18, 0x1.15a368b0757fbp-18, 0x1.0ea040ea0982fp-18, 0x1.07aba1ac336dcp-18, 0x1.00c5a47560ac1p-18, 0x1.f3dcca17de15ep-19, 0x1.e64c025d08d73p-19, 0x1.d8d930925c01dp-19, 0x1.cb84965e16d86p-19, 0x1.be4e77b0a84d5p-19, 0x1.b1371a490335dp-19, 0x1.a43ec540e15bbp-19, 0x1.9765c0a08ed25p-19, 0x1.8aac54f9ee012p-19, 0x1.7e12cb0a538b7p-19, 0x1.71996b62edfdbp-19, 0x1.65407e1769b2dp-19, 0x1.59084a727c34ep-19, 0x1.4cf116b018d65p-19, 0x1.40fb27bcfe634p-19, 0x1.3526c0fb631eep-19, 0x1.2974240c7260ap-19, 0x1.1de3909e6a3e6p-19, 0x1.1275443f1416ap-19, 0x1.07297a3264adp-19, 0x1.f800d69a0a04dp-20, 0x1.e1f49ba5396ebp-20, 0x1.cc2eaaaf32bb4p-20, 0x1.b6af654cabcfbp-20, 0x1.a177274ec472bp-20, 0x1.8c864699951d4p-20, 0x1.77dd13005ef2ep-20, 0x1.637bd6270d52ap-20, 0x1.4f62d368b4d9p-20, 0x1.3b9247c2d5047p-20, 0x1.280a69c504de3p-20, 0x1.14cb6984cc655p-20, 0x1.01d570956fb42p-20, 0x1.de514406cadd6p-21, 0x1.b98a34a67cf8ep-21, 0x1.9555df0797b82p-21, 0x1.71b462268c8bdp-21, 0x1.4ea5d00e8d397p-21, 0x1.2c2a2deebd816p-21, 0x1.0a41743441b17p-21, 0x1.d1d71d51aebap-22, 0x1.9050b92b3c224p-22, 0x1.4fef61d382c9p-22, 0x1.10b2a4c968488p-22, 0x1.a533ef0edb00ep-23, 0x1.2b496fc9814f2p-23, 0x1.6748b1ef39913p-24, 0x1.f218515d8ade9p-26, -0x1.a6e24e4ea580dp-26, -0x1.4b7737e46137fp-24, -0x1.145d10407dcdbp-23, -0x1.80c2f49b66d9p-23, -0x1.eaefbfe109813p-23, -0x1.29730872e8ca5p-22, -0x1.5c5456b775779p-22, -0x1.8e1d40947ebcbp-22, -0x1.becf4e4de2e7bp-22, -0x1.ee6c1a0d915c7p-22, -0x1.0e7aa7ad86d75p-21, -0x1.253655491bbfap-21, -0x1.3b69fc2cc5623p-21, -0x1.51168a8c0e238p-21, -0x1.663cf635c0eadp-21, -0x1.7ade3c4eee4b9p-21, -0x1.8efb610e1abacp-21, -0x1.a2956f76aa8f2p-21, -0x1.b5ad7914a43f5p-21, -0x1.c84495b8d79ecp-21, -0x1.da5be33581283p-21, -0x1.ebf4851b77674p-21, -0x1.fd0fa477f2698p-21, -0x1.06d737c97ecb6p-20, -0x1.0ee90cd750143p-20, -0x1.16bded6362da3p-20, -0x1.1e5677a8ffd9cp-20, -0x1.25b34c0187eefp-20, -0x1.2cd50cc5b05cdp-20, -0x1.33bc5e2f38405p-20, -0x1.3a69e63b0cb1dp-20, -0x1.40de4c8bf4f22p-20, -0x1.471a3a4dbb1bp-20, -0x1.4d1e5a18d83fp-20, -0x1.52eb57d6a1a9dp-20, -0x1.5881e0a60ada4p-20, -0x1.5de2a2c0e64f3p-20, -0x1.630e4d61b2fc1p-20, -0x1.680590a9ff9ebp-20, -0x1.6cc91d894e0eap-20, -0x1.7159a5a496cdep-20, -0x1.75b7db3e491dfp-20, -0x1.79e4711eeda44p-20, -0x1.7de01a7e4c7dep-20, -0x1.81ab8aed26e5cp-20, -0x1.8547763f86bcbp-20, -0x1.88b49077961c3p-20, -0x1.8bf38db1082e8p-20, -0x1.8f05220d16c04p-20, -0x1.91ea019f07ddfp-20, -0x1.94a2e0593dcafp-20, -0x1.973071fade00cp-20, -0x1.999369fdfb9dap-20, -0x1.9bcc7b8648b6dp-20, -0x1.9ddc595057c91p-20, -0x1.9fc3b5a1640cap-20, -0x1.a183423793ff7p-20, -0x1.a31bb03ad1d0ap-20, -0x1.a48db02e15ef3p-20, -0x1.a5d9f1e1408f6p-20, -0x1.a701246361de4p-20, -0x1.a803f5f592528p-20, -0x1.a8e313fe36363p-20, -0x1.a99f2afcc6edep-20, -0x1.aa38e67e09c64p-20, -0x1.aab0f110c21efp-20, -0x1.ab07f43ad92e8p-20, -0x1.ab3e986ef0fefp-20, -0x1.ab5585026bdc3p-20, -0x1.ab4d6023e022bp-20, -0x1.ab26ced1f86d9p-20, -0x1.aae274d2b812fp-20, -0x1.aa80f4ab309cbp-20, -0x1.aa02ef9794a3ep-20, -0x1.a9690583aefacp-20, -0x1.a8b3d503baae4p-20, -0x1.a7e3fb4da07d5p-20, -0x1.a6fa143289a0bp-20, -0x1.a5f6ba18cc809p-20, -0x1.a4da85f63a421p-20, -0x1.a3a60f4ababbcp-20, -0x1.a259ec1b412fap-20, -0x1.a0f6b0ed152f4p-20, -0x1.9f7cf0c164227p-20, -0x1.9ded3d112de24p-20, -0x1.9c4825c96e6eep-20, -0x1.9a8e3947a1939p-20, -0x1.98c0045683a45p-20, -0x1.96de122b1e54cp-20, -0x1.94e8ec62186c3p-20, -0x1.92e11afd4cf5ep-20, -0x1.90c7246198a0cp-20, -0x1.8e9b8d54efc18p-20, -0x1.8c5ed8fcb3bdep-20, -0x1.8a1188dc37bd1p-20, -0x1.87b41cd38babfp-20, -0x1.8547131e755f8p-20, -0x1.82cae853ac95ap-20, -0x1.8040176438654p-20, -0x1.7da7199b1677ep-20, -0x1.7b00669d01648p-20, -0x1.784c74686c128p-20, -0x1.758bb755b4749p-20, -0x1.72bea21770c79p-20, -0x1.6fe5a5baf9ec1p-20, -0x1.6d0131a916087p-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.066a424ff021ep-4, -0x1.210cc52cdda9ap-4, -0x1.3bcc9823e894ep-4, -0x1.56abdb970d5eap-4, -0x1.71ac3e93c2893p-4, -0x1.8cceee3746161p-4, -0x1.a8148965080cap-4, -0x1.c37d188db9cf1p-4, -0x1.df08090a23d57p-4, -0x1.fab42b721cf3ap-4, -0x1.0b3fda2a6df79p-3, -0x1.19341f629777bp-3, -0x1.2735682112eeep-3, -0x1.3541eecf1b331p-3, -0x1.4357a84ff8123p-3, -0x1.51744716a29d4p-3, -0x1.5f953e72221adp-3, -0x1.6db7c6086fc47p-3, -0x1.7bd8dd7bfe775p-3, -0x1.89f5503a2b059p-3, -0x1.9809b9719fbfep-3, -0x1.a612882f22e78p-3, -0x1.b40c039e31c78p-3, -0x1.c1f24f693753ep-3, -0x1.cfc170339c162p-3, -0x1.dd7550265eb69p-3, -0x1.eb09c386e71e1p-3, -0x1.f87a8d4eece9dp-3, -0x1.02e1b1ddf2606p-2, -0x1.096ffa664e00bp-2, -0x1.0fe5f551fe774p-2, -0x1.164177e45f05cp-2, -0x1.1c80599d56ddap-2, -0x1.22a0762bc45f2p-2, -0x1.289faf45300ffp-2, -0x1.2e7bee60f90e1p-2, -0x1.34332655c1d9dp-2, -0x1.39c354d878fb6p-2, -0x1.3f2a83dce2af1p-2, -0x1.4466cad7f2c37p-2, -0x1.49764fe4b97d2p-2, -0x1.4e5748cce0658p-2, -0x1.5307fbf60380ap-2, -0x1.5786c1354f8f5p-2, -0x1.5bd2028af1ap-2, -0x1.5fe83cc6eb3c7p-2, -0x1.63c80018dc4dap-2, -0x1.676ff08c527ep-2, -0x1.6adec6730e39p-2, -0x1.6e134ebea1137p-2, -0x1.710c6b4aa950cp-2, -0x1.73c91318cb06cp-2, -0x1.7648527f71666p-2, -0x1.78894b4c4141bp-2, -0x1.7a8b34db01d7p-2, -0x1.7c4d5c21b50adp-2, -0x1.7dcf23b26dffp-2, -0x1.7f1003b373351p-2, -0x1.800f89ce186d3p-2, -0x1.80cd5914b3358p-2, -0x1.814929e004545p-2, -0x1.8182c9a466877p-2, -0x1.817a1abf0654bp-2, -0x1.812f143b6dafbp-2, -0x1.80a1c191a5dd3p-2, -0x1.7fd2425d2fcbbp-2, -0x1.7ec0ca0d1da3cp-2, -0x1.7d6d9f8d8e381p-2, -0x1.7bd91ceadbb27p-2, -0x1.7a03aeeec1a7cp-2, -0x1.77edd4b7d2fb8p-2, -0x1.75981f4b8d699p-2, -0x1.7303312363ffp-2, -0x1.702fbdb51b1b5p-2, -0x1.6d1e88f6cd0e5p-2, -0x1.69d066def7a4ap-2, -0x1.66463ae0ec5afp-2, -0x1.6280f766085f6p-2, -0x1.5e819d4407f16p-2, -0x1.5a493b30d8f6p-2, -0x1.55d8ed3442f46p-2, -0x1.5131dc17c0d5bp-2, -0x1.4c553cd4dc047p-2, -0x1.474450026312cp-2, -0x1.42006140c2b8p-2, -0x1.3c8ac6a5d3d31p-2, -0x1.36e4e02860dc7p-2, -0x1.3110170ba761dp-2, -0x1.2b0ddd4b11ce3p-2, -0x1.24dfad066cc7p-2, -0x1.1e8707eec096p-2, -0x1.180576b40f453p-2, -0x1.115c887418dbp-2, -0x1.0a8dd22a5b5dep-2, -0x1.039aee216dd96p-2, -0x1.f90af6cbb6ac2p-3, -0x1.ea9e3a7543aacp-3, -0x1.dbf2f51ed85e4p-3, -0x1.cd0c7af14dd91p-3, -0x1.bdee25530b5a3p-3, -0x1.ae9b51e021ab3p-3, -0x1.9f17616695db4p-3, -0x1.8f65b6e712c1ep-3, -0x1.7f89b69a0cb87p-3, -0x1.6f86c4f98c518p-3, -0x1.5f6045cfaa9bbp-3, -0x1.4f199b49ecae6p-3, -0x1.3eb625118c91dp-3, -0x1.2e393f68c9e73p-3, -0x1.1da6424d62db8p-3, -0x1.0d0080a0461c7p-3, -0x1.f8968ea52251p-4, -0x1.d713b93006e18p-4, -0x1.b57efe3dc7529p-4, -0x1.93deca9b07939p-4, -0x1.7239790ad616ep-4, -0x1.509550d8873f4p-4, -0x1.2ef884753b121p-4, -0x1.0d6930213877cp-4, -0x1.d7dab14290818p-5, -0x1.9515d4006f65bp-5, -0x1.528f6cb94ae57p-5, -0x1.1052e98689316p-5, -0x1.9cd70056c2017p-6, -0x1.19c857f7ecc93p-6, -0x1.2f1eaf7868363p-7, -0x1.64100c7ddb473p-10, 0x1.a838affae4e9dp-8, 0x1.d29462a252327p-7, 0x1.675f98b63f769p-6, 0x1.e43b757a30707p-6, 0x1.2fe5b3b8cc31fp-5, 0x1.6cfecec39064fp-5, 0x1.a9606c09e3095p-5, 0x1.e5023580df00ap-5, 0x1.0fee0fee85c9fp-4, 0x1.2cf335b74d002p-4, 0x1.498cd271991f7p-4, 0x1.65b752f6b9fc3p-4, 0x1.816f4ae92ba38p-4, 0x1.9cb174ee591dap-4, 0x1.b77ab2db88716p-4, 0x1.d1c80dd62751ap-4, 0x1.eb96b6679306bp-4, 0x1.027202424421p-3, 0x1.0ed6bbc445fabp-3, 0x1.1af85b12ab2a5p-3, 0x1.26d5c723584bcp-3, 0x1.326dfa7568e71p-3, 0x1.3dc002f7d4cd1p-3, 0x1.48cb01eaa2651p-3, 0x1.538e2bbad2c6cp-3, 0x1.5e08c7d92bb1dp-3, 0x1.683a308c06f75p-3, 0x1.7221d2bc54319p-3, 0x1.7bbf2dbdf8c56p-3, 0x1.8511d313b3ffap-3, 0x1.8e19662ebeb8ep-3, 0x1.96d59c2a49af3p-3, 0x1.9f463b831908ep-3, 0x1.a76b1bcb5926dp-3, 0x1.af44255af0809p-3, 0x1.b6d150fc737c4p-3, 0x1.be12a796ef08fp-3, 0x1.c50841d4bb3d4p-3, 0x1.cbb247c78ba2cp-3, 0x1.d210f089e4c28p-3, 0x1.d82481de38ec4p-3, 0x1.dded4fcbc69abp-3, 0x1.e36bbc3983398p-3, 0x1.e8a036872f543p-3, 0x1.ed8b3b24cc794p-3, 0x1.f22d5328a1adap-3, 0x1.f68713e406bc1p-3, 0x1.fa991e7713676p-3, 0x1.fe641f636e4fep-3, 0x1.00f4670f303ebp-2, 0x1.0293f651319afp-2, 0x1.041123802060ep-2, 0x1.056c59780267dp-2, 0x1.06a607b0eafc6p-2, 0x1.07bea2077697p-2, 0x1.08b6a0856328fp-2, 0x1.098e7f2a57e86p-2, 0x1.0a46bdb4f30b1p-2, 0x1.0adfdf6c2a2fap-2, 0x1.0b5a6ae90e9c8p-2, 0x1.0bb6e9e1067cp-2, 0x1.0bf5e8f08a09dp-2, 0x1.0c17f76673343p-2, 0x1.0c1da70feb922p-2, 0x1.0c078c050a453p-2, 0x1.0bd63c76277f5p-2, 0x1.0b8a5079fa57ap-2, 0x1.0b2461dc83223p-2, 0x1.0aa50beed2ff9p-2, 0x1.0a0ceb57b7afbp-2, 0x1.095c9de554018p-2, 0x1.0894c25fb1306p-2, 0x1.07b5f85c4af27p-2, 0x1.06c0e012a449ap-2, 0x1.05b61a31e5888p-2, 0x1.049647b78be66p-2, 0x1.036209c7321bfp-2, 0x1.021a0183727ap-2, 0x1.00becfe7ea644p-2, 0x1.fea22b48be5f8p-3, 0x1.fba2e5f2135b9p-3, 0x1.f8810f281a6ebp-3, 0x1.f53de4e029072p-3, 0x1.f1daa3683dabdp-3, 0x1.ee588528ecf74p-3, 0x1.eab8c269b1e58p-3, 0x1.e6fc911791a22p-3, 0x1.e325248e1abeap-3, 0x1.df33ad62c357cp-3, 0x1.db295932910c4p-3, 0x1.d707527220c34p-3, 0x1.d2cec03ff2fd5p-3, 0x1.ce80c639065d2p-3, 0x1.ca1e844fb87dcp-3, 0x1.c5a916a4de218p-3, 0x1.c12195631d485p-3, 0x1.bc89149c716d6p-3, 0x1.b7e0a429d4a56p-3, 0x1.b3294f8d182abp-3, 0x1.ae641dd4c3e23p-3, 0x1.a992118211136p-3, 0x1.a4b42870e42dap-3, 0x1.9fcb5bc1c4ba9p-3, 0x1.9ad89fc5c80cbp-3, 0x1.95dce3ec5d14p-3, 0x1.90d912b2fa394p-3, 0x1.8bce119699e55p-3, 0x1.86bcc106fa46ap-3, 0x1.81a5fc5b9b0c5p-3, 0x1.7c8a99ca67807p-3, 0x1.776b6a6000afdp-3, 0x1.724939f9a33a6p-3, 0x1.6d24cf40910c4p-3, 0x1.67feeba702834p-3, 0x1.62d84b667bd2ap-3, 0x1.5db1a57f9598ep-3, 0x1.588babbb173a5p-3, 0x1.53670aac613edp-3, 0x1.4e4469b51376bp-3, 0x1.49246b09eee7dp-3, 0x1.4407abb8dbc1bp-3, 0x1.3eeec3b00a8e5p-3, 0x1.39da45c626f15p-3, 0x1.34cabfc38fa6p-3, 0x1.2fc0ba6c84c79p-3, 0x1.2abcb98c41d5cp-3, 0x1.25bf3c00fe2e4p-3, 0x1.20c8bbc8b9988p-3, 0x1.1bd9ae0edb0acp-3, 0x1.16f2833a8c8d9p-3, 0x1.1213a6fdc8ccfp-3, 0x1.0d3d8065134f1p-3, 0x1.087071e7d283bp-3, 0x1.03acd9793771ap-3, 0x1.fde621336d0ep-4, 0x1.f486d8d1fe26bp-4, 0x1.eb3c7b70c4ef2p-4, 0x1.e207a23b6eb8dp-4, 0x1.d8e8de0d19e8p-4, 0x1.cfe0b7979be33p-4, 0x1.c6efaf8b4227ap-4, 0x1.be163ebf4dd75p-4, 0x1.b554d65acc853p-4, 0x1.acabdffe01421p-4, 0x1.a41bbdec194fp-4, 0x1.9ba4cb3543549p-4, 0x1.93475be1031d7p-4, 0x1.8b03bd18bc085p-4, 0x1.82da355265575p-4, 0x1.7acb047b5997cp-4, 0x1.72d66423333b5p-4, 0x1.6afc87a6ac5b9p-4, 0x1.633d9c5a7287cp-4, 0x1.5b99c9b5e872fp-4, 0x1.5411317dc4a1p-4, 0x1.4ca3efee879c9p-4, 0x1.45521be6bcb23p-4, 0x1.3e1bc710fd465p-4, 0x1.3700fe0dacbe3p-4, 0x1.3001c89c656bdp-4, 0x1.291e29c50dde1p-4, 0x1.225620008d6ecp-4, 0x1.1ba9a5611ba92p-4, 0x1.1518afba2162ep-4, 0x1.0ea330c7a5324p-4, 0x1.084916553e272p-4, 0x1.020a4a6487262p-4, 0x1.f7cd66a6159cp-5, 0x1.ebbc67ff4f748p-5, 0x1.dfe157dec7465p-5, 0x1.d43beee35a018p-5, 0x1.c8cbdf8807f5ep-5, 0x1.bd90d66a15a63p-5, 0x1.b28a7a8deaabbp-5, 0x1.a7b86da2b6676p-5, 0x1.9d1a4c44c5bedp-5, 0x1.92afae3e94185p-5, 0x1.887826c887c1bp-5, 0x1.7e7344c75c373p-5, 0x1.74a0930937d5fp-5, 0x1.6aff988166a1ep-5, 0x1.618fd882b913fp-5, 0x1.5850d2f88a189p-5, 0x1.4f42049e62666p-5, 0x1.4662e7364305ep-5, 0x1.3db2f1bd8c7ccp-5, 0x1.353198a089ff9p-5, 0x1.2cde4dec9ff68p-5, 0x1.24b8818119f5ep-5, 0x1.1cbfa13ea2046p-5, 0x1.14f3193558bd9p-5, 0x1.0d5253d19992cp-5, 0x1.05dcba0768b42p-5, 0x1.fd2366f9148e3p-6, 0x1.eee14d629dc3fp-6, 0x1.e0f1f25018fep-6, 0x1.d3541f16a77c7p-6, 0x1.c6069ba5b09cfp-6, 0x1.b9082ece395bfp-6, 0x1.ac579e87b4713p-6, 0x1.9ff3b03260d84p-6, 0x1.93db28d73f36ep-6, 0x1.880ccd659b501p-6, 0x1.7c8762ee44f68p-6, 0x1.7149aedc6c87p-6, 0x1.6652772c4295bp-6, 0x1.5ba0829f5478dp-6, 0x1.513298eeb5e07p-6, 0x1.470782fb04253p-6, 0x1.3d1e0afa483bep-6, 0x1.3374fca3c830ap-6, 0x1.2a0b2559cdcb4p-6, 0x1.20df54516d9edp-6, 0x1.17f05ab860d06p-6, 0x1.0f3d0bd8f0e06p-6, 0x1.06c43d3c09dfbp-6, 0x1.fd098d92f430dp-7, 0x1.ecfb05ccd6451p-7, 0x1.dd5a9d2443832p-7, 0x1.ce26130210221p-7, 0x1.bf5b2c6c36a8fp-7, 0x1.b0f7b4356f93cp-7, 0x1.a2f97b29b36efp-7, 0x1.955e5837b6e46p-7, 0x1.882428976ecccp-7, 0x1.7b48cfedc2458p-7, 0x1.6eca386d6acafp-7, 0x1.62a652f532302p-7, 0x1.56db172b86039p-7, 0x1.4b6683979039bp-7, 0x1.40469db7d9e69p-7, 0x1.357972169137dp-7, 0x1.2afd145b89577p-7, 0x1.20cf9f5c026eap-7, 0x1.16ef352853894p-7, 0x1.0d59ff17868a2p-7, 0x1.040e2dd0fa4f9p-7, 0x1.f613f2a83b808p-8, 0x1.e49741fcacf13p-8, 0x1.d3a2d71e495e9p-8, 0x1.c3334e552f7c2p-8, 0x1.b34552b4466adp-8, 0x1.a3d59e17cc24fp-8, 0x1.94e0f920ed57ep-8, 0x1.86643b2e83175p-8, 0x1.785c4a53190b3p-8, 0x1.6ac61b485b9dp-8, 0x1.5d9eb1600ecc1p-8, 0x1.50e31e72a866bp-8, 0x1.449082cbadbd2p-8, 0x1.38a40d13f0f64p-8, 0x1.2d1afa39cb4a1p-8, 0x1.21f295576d781p-8, 0x1.17283797620fbp-8, 0x1.0cb948175d1efp-8, 0x1.02a33bc970a58p-8, 0x1.f1c72aa77c91p-9, 0x1.deefc9dd7ea85p-9, 0x1.ccbb908476815p-9, 0x1.bb25d48200db6p-9, 0x1.aa2a0606eb339p-9, 0x1.99c3af4239b47p-9, 0x1.89ee74122dfd6p-9, 0x1.7aa611b37fbb2p-9, 0x1.6be65e6ee848cp-9, 0x1.5dab494527a0cp-9, 0x1.4ff0d999aa05fp-9, 0x1.42b32edbe9fa6p-9, 0x1.35ee802fb67c4p-9, 0x1.299f1c147beebp-9, 0x1.1dc1680ba9044p-9, 0x1.1251e03e5c239p-9, 0x1.074d172260981p-9, 0x1.f95f6a3d5c722p-10, 0x1.e4ecf05ee1303p-10, 0x1.d13c6713869fcp-10, 0x1.be479e7e534b2p-10, 0x1.ac088fc1cc25bp-10, 0x1.9a795c4680ba4p-10, 0x1.89944d01a83bdp-10, 0x1.7953d1bbf4a1fp-10, 0x1.69b28058ba366p-10, 0x1.5aab141daaa08p-10, 0x1.4c386cfb1eeeap-10, 0x1.3e558ed53d2bbp-10, 0x1.30fda0cdf6212p-10, 0x1.242bec900df03p-10, 0x1.17dbdd9b44e51p-10, 0x1.0c090091b94acp-10, 0x1.00af0286a813bp-10, 0x1.eb93609d1e874p-11, 0x1.d6a9eba1b7c31p-11, 0x1.c299bab65f329p-11, 0x1.af5b1deca58adp-11, 0x1.9ce69f79cd27fp-11, 0x1.8b350267d01cbp-11, 0x1.7a3f414a266c4p-11, 0x1.69fe8cf66d4f1p-11, 0x1.5a6c4b4106eeap-11, 0x1.4b8215bdcfdd6p-11, 0x1.3d39b884fd6e8p-11, 0x1.2f8d30fc3ccd2p-11, 0x1.2276aca423424p-11, 0x1.15f087ea03b3cp-11, 0x1.09f54cfe34661p-11, 0x1.fcff655dafd37p-12, 0x1.e715368e5e943p-12, 0x1.d22226e705fefp-12, 0x1.be1ca253558p-12, 0x1.aafb652c756e8p-12, 0x1.98b57a1cb4d75p-12, 0x1.8742380c9a66bp-12, 0x1.7699401955bdp-12, 0x1.66b27b9499bd8p-12, 0x1.57861a0de049cp-12, 0x1.490c8f65135cbp-12, 0x1.3b3e91e69a2bp-12, 0x1.2e151870c46e5p-12, 0x1.218958a28ad93p-12, 0x1.1594c5139e65fp-12, 0x1.0a310b95b6bcep-12, 0x1.feb026fe2b93dp-13, 0x1.ea07f7fc63488p-13, 0x1.d65e34ece757bp-13, 0x1.c3a7f1cbfb181p-13, 0x1.b1daa8a8bed89p-13, 0x1.a0ec369454489p-13, 0x1.90d2d8a299927p-13, 0x1.818528fc499f9p-13, 0x1.72fa1c024b799p-13, 0x1.6528fd82105cap-13, 0x1.58096dfac253bp-13, 0x1.4b935ff312bcp-13, 0x1.3fbf155f74715p-13, 0x1.34851d188ab14p-13, 0x1.29de506196ab5p-13, 0x1.1fc3d07ea763bp-13, 0x1.162f045a532a1p-13, 0x1.0d19963ac1e6ap-13, 0x1.047d7185cbe2cp-13, 0x1.f8a98127df9dp-14, 0x1.e933d523be513p-14, 0x1.da8f22e0e0cacp-14, 0x1.ccb11fc550efep-14, 0x1.bf8feed34efecp-14, 0x1.b3221cdc787e7p-14, 0x1.a75e9ccfaca82p-14, 0x1.9c3cc42141a94p-14, 0x1.91b4474cfc6ccp-14, 0x1.87bd367165afp-14, 0x1.7e4ffa03e398dp-14, 0x1.75654f9d2c83dp-14, 0x1.6cf646dd8d99fp-14, 0x1.64fc3e688d27ep-14, 0x1.5d70e0f76917ep-14, 0x1.564e2281f82a3p-14, 0x1.4f8e3d7d7399ap-14, 0x1.492bb030acdf9p-14, 0x1.43213a1d3aae2p-14, 0x1.3d69d97d2076ap-14, 0x1.3800c8d47dbdp-14, 0x1.32e17c96ce24p-14, 0x1.2e07a0df42f16p-14, 0x1.296f173bc7f8ap-14, 0x1.2513f48a3d34cp-14, 0x1.20f27ee775bdap-14, 0x1.1d072baf8eed9p-14, 0x1.194e9d8f2d52fp-14, 0x1.15c5a2a538071p-14, 0x1.126932b4a3a03p-14, 0x1.0f366d65e470fp-14, 0x1.0c2a9897a1672p-14, 0x1.09431ebe3edf3p-14, 0x1.067d8d51de869p-14, 0x1.03d7934a70dcap-14, 0x1.014effa976526p-14, 0x1.fdc380221ef44p-15, 0x1.f91bbed0012cap-15, 0x1.f4a309149160ap-15, 0x1.f055e20be89e2p-15, 0x1.ec30ffc7a204ap-15, 0x1.e83148f753563p-15, 0x1.e453d2a7708fdp-15, 0x1.e095de15eab67p-15, 0x1.dcf4d69bedd78p-15, 0x1.d96e4fac12621p-15, 0x1.d60002e46f90dp-15, 0x1.d2a7ce33e5ec1p-15, 0x1.cf63b21219b2fp-15, 0x1.cc31cfc97b671p-15, 0x1.c91067d2d47dp-15, 0x1.c5fdd841cbae7p-15, 0x1.c2f89b41cf5fdp-15, 0x1.bfff45a2e68e8p-15, 0x1.bd108575df026p-15, 0x1.ba2b20b759946p-15, 0x1.b74df40934ffdp-15, 0x1.b477f179e0b44p-15, 0x1.b1a81f5919338p-15, 0x1.aedd97199d359p-15, 0x1.ac17843f6be21p-15, 0x1.a955235a1596ep-15, 0x1.a695c10abc274p-15, 0x1.a3d8b91550b97p-15, 0x1.a11d757caf6d6p-15, 0x1.9e636da9321cbp-15, 0x1.9baa259957d92p-15, 0x1.98f12d1c27733p-15, 0x1.96381f14e93bbp-15, 0x1.937ea0c7e9d19p-15, 0x1.90c4612fe344ap-15, 0x1.8e09185bc30ccp-15, 0x1.8b4c86d4720b2p-15, 0x1.888e750a58affp-15, 0x1.85ceb2ca46a2dp-15, 0x1.830d16b97f9a9p-15, 0x1.80497dd89b3d8p-15, 0x1.7d83cb0cf5644p-15, 0x1.7abbe6b06d881p-15, 0x1.77f1be272ebf9p-15, 0x1.7525437b40837p-15, 0x1.72566cfda74f3p-15, 0x1.6f8534ecd443ap-15, 0x1.6cb199202add6p-15, 0x1.69db9ab867123p-15, 0x1.67033dd4aa89dp-15, 0x1.6428894bfdcb9p-15, 0x1.614b866b13a5dp-15, 0x1.5e6c40b61cbdbp-15, 0x1.5b8ac5ae7cc9ep-15, 0x1.58a7249c3134p-15, 0x1.55c16e5ac2917p-15, 0x1.52d9b52991099p-15, 0x1.4ff00c7f5578bp-15, 0x1.4d0488e0aef4bp-15, 0x1.4a173fb997f4cp-15, 0x1.472847399ce9cp-15, 0x1.4437b632b0fa7p-15, 0x1.4145a3fa812d3p-15, 0x1.3e52284e213fdp-15, 0x1.3b5d5b37f83d9p-15, 0x1.386754f7c8cacp-15, 0x1.35702decbd02dp-15, 0x1.3277fe815690ep-15, 0x1.2f7edf192a82p-15, 0x1.2c84e8004dcccp-15, 0x1.298a315c5ac57p-15, 0x1.268ed31ef6a3fp-15, 0x1.2392e4f9c1d89p-15, 0x1.20967e539e4b1p-15, 0x1.1d99b63f31926p-15, 0x1.1a9ca372979dap-15, 0x1.179f5c402ac9ep-15, 0x1.14a1f69054c6cp-15, 0x1.11a487dc54d6cp-15, 0x1.0ea72529e799dp-15, 0x1.0ba9e307c92d8p-15, 0x1.08acd58af9229p-15, 0x1.05b0104cb5d65p-15, 0x1.02b3a66925cfep-15, 0x1.ff6f54fd30e07p-16, 0x1.f9785d5ab4b44p-16, 0x1.f382893019fd5p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.c51607af2d116p-5, -0x1.f2ba0bbafa245p-5, -0x1.103b9e1ff527fp-4, -0x1.2727f24039f8fp-4, -0x1.3e2310830a079p-4, -0x1.552de983e6a7fp-4, -0x1.6c494ab4f03bp-4, -0x1.8375d9c52273ep-4, -0x1.9ab410f1d12e3p-4, -0x1.b2043c3968cd5p-4, -0x1.c966775bfe537p-4, -0x1.e0daac91672aep-4, -0x1.f86093db184e9p-4, -0x1.07fbd96c6d9b5p-3, -0x1.13cfae84fb60bp-3, -0x1.1fab5a33c1ddap-3, -0x1.2b8e552419162p-3, -0x1.3778004059df7p-3, -0x1.4367a55baa68bp-3, -0x1.4f5c77f19b66bp-3, -0x1.5b5595f8e365ap-3, -0x1.675208c7119cep-3, -0x1.7350c60383fdp-3, -0x1.7f50b0a8352f5p-3, -0x1.8b509a0eef564p-3, -0x1.974f4309954c9p-3, -0x1.a34b5d0404a57p-3, -0x1.af438b2e01f4cp-3, -0x1.bb3663ab8bce2p-3, -0x1.c72270c9d8466p-3, -0x1.d306323737f75p-3, -0x1.dee01e3c07efcp-3, -0x1.eaaea2f2ef50ap-3, -0x1.f670277eb7d49p-3, -0x1.0111869e083dfp-2, -0x1.06e2d876e5c8cp-2, -0x1.0cab35f11a569p-2, -0x1.1269ca8824882p-2, -0x1.181dc115efce6p-2, -0x1.1dc64457e50b4p-2, -0x1.23627f6eb3aep-2, -0x1.28f19e58802a8p-2, -0x1.2e72ce655ba6bp-2, -0x1.33e53ea5dbf69p-2, -0x1.39482053d0623p-2, -0x1.3e9aa735164a7p-2, -0x1.43dc09f89c2edp-2, -0x1.490b828da912bp-2, -0x1.4e284e7590b86p-2, -0x1.5331af0ff45bap-2, -0x1.5826e9e1c4429p-2, -0x1.5d0748d727f7bp-2, -0x1.61d21a808659p-2, -0x1.6686b24ad9783p-2, -0x1.6b2468b37f8d6p-2, -0x1.6faa9b77bdc34p-2, -0x1.7418adc01ce27p-2, -0x1.786e0847d0ad7p-2, -0x1.7caa198053b5ap-2, -0x1.80cc55b15eccdp-2, -0x1.84d43715648b2p-2, -0x1.88c13df2af407p-2, -0x1.8c92f0b14b1a2p-2, -0x1.9048dbedd4ae3p-2, -0x1.93e292894b23ep-2, -0x1.975fadb608babp-2, -0x1.9abfcd01f0a1ap-2, -0x1.9e02965df863bp-2, -0x1.a127b62319394p-2, -0x1.a42edf14ccde7p-2, -0x1.a717ca6122af4p-2, -0x1.a9e2379e892fdp-2, -0x1.ac8decc762defp-2, -0x1.af1ab63376283p-2, -0x1.b188668f565e2p-2, -0x1.b3d6d6d1d43f8p-2, -0x1.b605e62f8c058p-2, -0x1.b8157a0caee2ap-2, -0x1.ba057ded0daa3p-2, -0x1.bbd5e36289924p-2, -0x1.bd86a1f9f3db3p-2, -0x1.bf17b72678f37p-2, -0x1.c089262ba7ce4p-2, -0x1.c1daf8062a18dp-2, -0x1.c30d3b53449cbp-2, -0x1.c42004372d025p-2, -0x1.c5136c4252da5p-2, -0x1.c5e79255a2f86p-2, -0x1.c69c9a85e1b4ep-2, -0x1.c732adfe29481p-2, -0x1.c7a9fae1a0086p-2, -0x1.c802b42c76d23p-2, -0x1.c83d11943fdf3p-2, -0x1.c8594f67b0148p-2, -0x1.c857ae6dda9e1p-2, -0x1.c83873c4f1d4fp-2, -0x1.c7fbe8c0a05aap-2, -0x1.c7a25ac8072a4p-2, -0x1.c72c1b336eb26p-2, -0x1.c6997f29b03efp-2, -0x1.c5eadf7d7448bp-2, -0x1.c520988a3d509p-2, -0x1.c43b0a1159a89p-2, -0x1.c33a9716c1021p-2, -0x1.c21fa5bde53acp-2, -0x1.c0ea9f26863dap-2, -0x1.bf9bef498c7d4p-2, -0x1.be3404d5f4946p-2, -0x1.bcb3510dd7ee2p-2, -0x1.bb1a47a395185p-2, -0x1.b9695e97201b8p-2, -0x1.b7a10e1387294p-2, -0x1.b5c1d04cac118p-2, -0x1.b3cc215d3ded6p-2, -0x1.b1c07f24f615p-2, -0x1.af9f6927219b9p-2, -0x1.ad69606979147p-2, -0x1.ab1ee75352817p-2, -0x1.a8c0818d2ac65p-2, -0x1.a64eb3e093d33p-2, -0x1.a3ca041887f75p-2, -0x1.a132f8e225df8p-2, -0x1.9e8a19ade1213p-2, -0x1.9bcfee91227bdp-2, -0x1.9905002863afp-2, -0x1.9629d779c7c8dp-2, -0x1.933efdd832fe3p-2, -0x1.9044fcc6e9891p-2, -0x1.8d3c5dddb5fbfp-2, -0x1.8a25aaad9c528p-2, -0x1.87016ca61cd2dp-2, -0x1.83d02cfb09635p-2, -0x1.8092748af22b8p-2, -0x1.7d48cbc62bb2bp-2, -0x1.79f3ba966e0c3p-2, -0x1.7693c847179e9p-2, -0x1.73297b6e0c7d6p-2, -0x1.6fb559d53c01ap-2, -0x1.6c37e864cbc03p-2, -0x1.68b1ab0de92ffp-2, -0x1.652324b645134p-2, -0x1.618cd7243a68p-2, -0x1.5def42eba22f4p-2, -0x1.5a4ae75b524a8p-2, -0x1.56a0426b4e072p-2, -0x1.52efd0aba6257p-2, -0x1.4f3a0d340546fp-2, -0x1.4b7f7193f2e15p-2, -0x1.47c075c3c0662p-2, -0x1.43fd90162e407p-2, -0x1.4037352abc595p-2, -0x1.3c6dd7e0ae7d2p-2, -0x1.38a1e94abd98cp-2, -0x1.34d3d8a37cd86p-2, -0x1.310413426889cp-2, -0x1.2d330491a55b1p-2, -0x1.296116046aaf8p-2, -0x1.258eaf0e18ea5p-2, -0x1.21bc3519f6da3p-2, -0x1.1dea0b8398e83p-2, -0x1.1a18938fec532p-2, -0x1.16482c66e6766p-2, -0x1.1279330dd498cp-2, -0x1.0eac02624d239p-2, -0x1.0ae0f315b9761p-2, -0x1.07185ba97d2dp-2, -0x1.0352906bb2811p-2, -0x1.ff1fc6e8f69b6p-3, -0x1.f7a14947c6745p-3, -0x1.f02a43409fe26p-3, -0x1.e8bb4baafb49bp-3, -0x1.e154f4e8044e2p-3, -0x1.d9f7cce2a3802p-3, -0x1.d2a45d1098b7ap-3, -0x1.cb5b2a747cc5p-3, -0x1.c41cb5a0c941fp-3, -0x1.bce97abbbe0b7p-3, -0x1.b5c1f18435fcep-3, -0x1.aea68d57540d9p-3, -0x1.a797bd3709b11p-3, -0x1.a095ebd16787ep-3, -0x1.99a17f88b93fep-3, -0x1.92bada7c5f74p-3, -0x1.8be25a9264062p-3, -0x1.85185981b3d6ap-3, -0x1.7e5d2cdd12f61p-3, -0x1.77b1261e9e754p-3, -0x1.711492b3f554dp-3, -0x1.6a87bc0aec6fep-3, -0x1.640ae79ed0045p-3, -0x1.5d9e570620604p-3, -0x1.57424800d5244p-3, -0x1.50f6f4870a132p-3, -0x1.4abc92d81e3adp-3, -0x1.4493558a35a1cp-3, -0x1.3e7b6b9a19125p-3, -0x1.3875007b73239p-3, -0x1.32803c2953a03p-3, -0x1.2c9d433702f89p-3, -0x1.26cc36e119709p-3, -0x1.210d351ed13b5p-3, -0x1.1b6058b38b9c3p-3, -0x1.15c5b9408c909p-3, -0x1.103d6b56db6b8p-3, -0x1.0ac780894a24cp-3, -0x1.0564077e962a9p-3, -0x1.00130c03ac629p-3, -0x1.f5a92e3be4e2ap-4, -0x1.eb515e3b53093p-4, -0x1.e11eaf60a3fd5p-4, -0x1.d71123e6335f3p-4, -0x1.cd28b90a8285fp-4, -0x1.c3656735035afp-4, -0x1.b9c7221ace18ap-4, -0x1.b04dd8e33055ap-4, -0x1.a6f9764c1fe9dp-4, -0x1.9dc9e0ce80168p-4, -0x1.94befac228673p-4, -0x1.8bd8a281bb5f2p-4, -0x1.8316b28e2cc11p-4, -0x1.7a7901b207a0fp-4, -0x1.71ff63245dbacp-4, -0x1.69a9a6ab62df9p-4, -0x1.617798bea9086p-4, -0x1.596902a8fce33p-4, -0x1.517daaa9d92c1p-4, -0x1.49b554166e2f4p-4, -0x1.420fbf7a393b5p-4, -0x1.3a8caab725db5p-4, -0x1.332bd12537161p-4, -0x1.2becebb1b3122p-4, -0x1.24cfb0fdced4p-4, -0x1.1dd3d57cd6395p-4, -0x1.16f90b91ce99ap-4, -0x1.103f03ac8ec7ap-4, -0x1.09a56c664cf8fp-4, -0x1.032bf29d9e5bbp-4, -0x1.f9a48323cf4bp-5, -0x1.ed3005fc784d4p-5, -0x1.e0f9be675285dp-5, -0x1.d500fa65e028ap-5, -0x1.c945058b4ed15p-5, -0x1.bdc5292d9288fp-5, -0x1.b280ac9554531p-5, -0x1.a776d52cb0621p-5, -0x1.9ca6e6acc60fcp-5, -0x1.9210234a1aa87p-5, -0x1.87b1cbdfca754p-5, -0x1.7d8b20198eb5ap-5, -0x1.739b5e9c9231dp-5, -0x1.69e1c52f1c7eep-5, -0x1.605d90df0fbaep-5, -0x1.570dfe273e08bp-5, -0x1.4df2491394ae4p-5, -0x1.4509ad642493dp-5, -0x1.3c5366af04f91p-5, -0x1.33ceb08116b4ep-5, -0x1.2b7ac67da7a7p-5, -0x1.2356e47cfbfb7p-5, -0x1.1b6246a9bf5c7p-5, -0x1.139c299d6198ap-5, -0x1.0c03ca7b6132p-5, -0x1.0498670b886aep-5, -0x1.fab27ba643778p-6, -0x1.ec8b1c5a481b6p-6, -0x1.deb930c2bfbc9p-6, -0x1.d13b3b7557166p-6, -0x1.c40fc13831f1fp-6, -0x1.b735492a692bap-6, -0x1.aaaa5ceaa5fcep-6, -0x1.9e6d88bbe89fp-6, -0x1.927d5ba87dca1p-6, -0x1.86d867a32acecp-6, -0x1.7b7d41a6a3fe1p-6, -0x1.706a81d34a8fbp-6, -0x1.659ec38b4234dp-6, -0x1.5b18a58ce8e69p-6, -0x1.50d6ca0bb30c5p-6, -0x1.46d7d6c781cap-6, -0x1.3d1a7522720eap-6, -0x1.339d52353058fp-6, -0x1.2a5f1ee1e4329p-6, -0x1.215e8fe5af285p-6, -0x1.189a5de8d0d7dp-6, -0x1.1011458d7cbc9p-6, -0x1.07c2077d5eec1p-6, -0x1.ff56d0ebd7cd4p-7, -0x1.ef9862a6df0d7p-7, -0x1.e0465e35f2a1ap-7, -0x1.d15e66063893p-7, -0x1.c2de24f73b883p-7, -0x1.b4c34e681b0ffp-7, -0x1.a70b9e42ad906p-7, -0x1.99b4d904a8f69p-7, -0x1.8cbccbc6ded1dp-7, -0x1.80214c429cbcep-7, -0x1.73e038d53dc13p-7, -0x1.67f7788212b2bp-7, -0x1.5c64faf290a15p-7, -0x1.5126b874f80a7p-7, -0x1.463ab1f96bec5p-7, -0x1.3b9ef10d94e1ep-7, -0x1.315187d6db642p-7, -0x1.2750910b4c79ep-7, -0x1.1d9a2fe933f3ep-7, -0x1.142c902d7c1ccp-7, -0x1.0b05e608e29f6p-7, -0x1.02246e140f072p-7, -0x1.f30cda8533408p-8, -0x1.e25461aa1fe69p-8, -0x1.d21c1c9408bd7p-8, -0x1.c260c69c6aa9ep-8, -0x1.b31f2b57b2624p-8, -0x1.a454267233cb8p-8, -0x1.95fca38b9ce68p-8, -0x1.88159e10f8024p-8, -0x1.7a9c2115551efp-8, -0x1.6d8d472931079p-8, -0x1.60e63a30ae65ap-8, -0x1.54a43338b873dp-8, -0x1.48c47a4b1f5aep-8, -0x1.3d446641c475bp-8, -0x1.32215c98eac02p-8, -0x1.2758d140ba5bfp-8, -0x1.1ce8466e0c906p-8, -0x1.12cd4c6a8e0ebp-8, -0x1.090581644c506p-8, -0x1.ff1d22797603ap-9, -0x1.eccc6aae8277cp-9, -0x1.db1468cec091cp-9, -0x1.c9f0c47cfe6d6p-9, -0x1.b95d3f32d7137p-9, -0x1.a955b3db3655ep-9, -0x1.99d6166c7b47bp-9, -0x1.8ada73824d958p-9, -0x1.7c5eeff74664dp-9, -0x1.6e5fc87e79acbp-9, -0x1.60d9513cfcbe2p-9, -0x1.53c7f5637bff5p-9, -0x1.472836c7f65ebp-9, -0x1.3af6ad7faed12p-9, -0x1.2f300779681f5p-9, -0x1.23d10817fbe58p-9, -0x1.18d687cd5f5a3p-9, -0x1.0e3d73b6211d4p-9, -0x1.0402cd3573c3fp-9, -0x1.f4475323a548ep-10, -0x1.e13a632496067p-10, -0x1.ced94238f74aap-10, -0x1.bd1e8da6a553fp-10, -0x1.ac05076d2afadp-10, -0x1.9b87958685508p-10, -0x1.8ba141299af6cp-10, -0x1.7c4d360e955aap-10, -0x1.6d86c1b511af8p-10, -0x1.5f4952ac4b717p-10, -0x1.519077dd4f127p-10, -0x1.4457dfd739523p-10, -0x1.379b581d96665p-10, -0x1.2b56cc78f0b3dp-10, -0x1.1f86464996fdcp-10, -0x1.1425ebdc97c6bp-10, -0x1.0931ffc314cd9p-10, -0x1.fd4dc057bf56ep-11, -0x1.e9020c7ee5a75p-11, -0x1.d57a0afc8d783p-11, -0x1.c2af16432041ep-11, -0x1.b09abafcca45p-11, -0x1.9f36b6d6a4f3p-11, -0x1.8e7cf750c09c8p-11, -0x1.7e67989318a6bp-11, -0x1.6ef0e44772bcdp-11, -0x1.601350782c237p-11, -0x1.51c97e73f9757p-11, -0x1.440e39b694bcbp-11, -0x1.36dc76d65c9abp-11, -0x1.2a2f5276e0e63p-11, -0x1.1e0210405b9ep-11, -0x1.125019dc101cdp-11, -0x1.0714fdf58d2c3p-11, -0x1.f898de819a085p-12, -0x1.e3e4870a571bbp-12, -0x1.d004e55a59acp-12, -0x1.bcf22bb6138bep-12, -0x1.aaa4cd03fb787p-12, -0x1.99157b0893116p-12, -0x1.883d24abc3535p-12, -0x1.7814f4477e78bp-12, -0x1.68964dff8e06ep-12, -0x1.59bace227684fp-12, -0x1.4b7c47935c22bp-12, -0x1.3dd4c23cca98ap-12, -0x1.30be798c49472p-12, -0x1.2433daf6a3b7bp-12, -0x1.182f8484c52bep-12, -0x1.0cac4369119c4p-12, -0x1.01a5129d1e6dep-12, -0x1.ee2a330f55ca3p-13, -0x1.d9ef55557d519p-13, -0x1.c69084b3a0562p-13, -0x1.b4050aefa8acbp-13, -0x1.a244807a2ff1cp-13, -0x1.9146ca098e04dp-13, -0x1.81041644024ecp-13, -0x1.7174db78b443ep-13, -0x1.6291d5675e1ap-13, -0x1.545403164b399p-13, -0x1.46b4a4b67f2e2p-13, -0x1.39ad3995b886p-13, -0x1.2d377e1e1e17dp-13, -0x1.214d69e34850ap-13, -0x1.15e92dbc74194p-13, -0x1.0b0531eb9913p-13, -0x1.009c145129842p-13, -0x1.ed514d5870d09p-14, -0x1.da4bd9cd99c95p-14, -0x1.c81e36dc37f13p-14, -0x1.b6bf2b2cfa5c1p-14, -0x1.a625d81585d6ep-14, -0x1.9649b68da7cf3p-14, -0x1.8722943a6f502p-14, -0x1.78a8908ec2b0dp-14, -0x1.6ad41a00fb3ecp-14, -0x1.5d9deb550f458p-14, -0x1.50ff08fad6cd6p-14, -0x1.44f0be7ff8da8p-14, -0x1.396c9c15100b3p-14, -0x1.2e6c742593a74p-14, -0x1.23ea59021a4bfp-14, -0x1.19e09a9c85fb2p-14, -0x1.1049c455ad1acp-14, -0x1.07209adc178bap-14, -0x1.fcc03436ce031p-15, -0x1.ec06e677fe1d7p-15, -0x1.dc0c156519c0dp-15, -0x1.ccc6ecbe08c3bp-15, -0x1.be2ef7756699bp-15, -0x1.b03c1c2a0edf5p-15, -0x1.a2e699bd52143p-15, -0x1.962704051390dp-15, -0x1.89f6409919548p-15, -0x1.7e4d83bad8719p-15, -0x1.73264d5708267p-15, -0x1.687a66204fc7fp-15, -0x1.5e43dcc260bf2p-15, -0x1.547d032cd3a12p-15, -0x1.4b206bf523baap-15, -0x1.4228e7cf257c7p-15, -0x1.3991831b5889fp-15, -0x1.3155838a77f74p-15, -0x1.297065d5b3eafp-15, -0x1.21dddb8af7e8bp-15, -0x1.1a99c8ecb0e72p-15, -0x1.13a042e4808b9p-15, -0x1.0ced8d0852d7fp-15, -0x1.067e17b14969bp-15, -0x1.004e7e23fa965p-15, -0x1.f4b70992f7b3p-16, -0x1.e9442ef17a27bp-16, -0x1.de3e8f9f5de28p-16, -0x1.d3a0973788191p-16, -0x1.c964f6a29358cp-16, -0x1.bf86a1225ae6fp-16, -0x1.b600c97970ce4p-16, -0x1.accedf2d9d0ccp-16, -0x1.a3ec8be498872p-16, -0x1.9b55b0da23a71p-16, -0x1.9306646eb4a58p-16, -0x1.8afaefcde60d1p-16, -0x1.832fccabf379ap-16, -0x1.7ba1a31977373p-16, -0x1.744d476caf905p-16, -0x1.6d2fb83fa3e7p-16, -0x1.66461c8264283p-16, -0x1.5f8dc1a0c8659p-16, -0x1.590419bb0234cp-16, -0x1.52a6b9f05b893p-16, -0x1.4c7358bb88d49p-16, -0x1.4667cc5ff1589p-16, -0x1.4082096759f0bp-16, -0x1.3ac0212f64622p-16, -0x1.352040864bdd4p-16, -0x1.2fa0ae565fe01p-16, -0x1.2a3fca5fb490ap-16, -0x1.24fc0bff8621cp-16, -0x1.1fd40104d29a9p-16, -0x1.1ac64c91b0f11p-16, -0x1.15d1a608ebb21p-16, -0x1.10f4d80773d78p-16, -0x1.0c2ebf6935a13p-16, -0x1.077e4a58e4cb1p-16, -0x1.02e2776a5d683p-16, -0x1.fcb4a97e50835p-17, -0x1.f3c9fe69a2987p-17, -0x1.eb0343393f981p-17, -0x1.e25ee7f8c0553p-17, -0x1.d9db75afc5148p-17, -0x1.d1778d05aaec4p-17, -0x1.c931e4f55db7ap-17, -0x1.c109499093ea2p-17, -0x1.b8fc9ad1ee3b2p-17, -0x1.b10acb7d511cap-17, -0x1.a932e00dec311p-17, -0x1.a173edb16c9c4p-17, -0x1.99cd194fb8c66p-17, -0x1.923d969ed7e38p-17, -0x1.8ac4a742556f2p-17, -0x1.836199f5dcdeap-17, -0x1.7c13c9c25f295p-17, -0x1.74da9d3d7e6b9p-17, -0x1.6db585d2b82b6p-17, -0x1.66a3ff15e0b8bp-17, -0x1.5fa58e1ea0656p-17, -0x1.58b9c0ec6f6fbp-17, -0x1.51e02dd2d6facp-17, -0x1.4b1872ed6ee31p-17, -0x1.4462359b6ca14p-17, -0x1.3dbd22024a503p-17, -0x1.3728ea97484d2p-17, -0x1.30a547af72fa6p-17, -0x1.2a31f715e0b13p-17, -0x1.23cebba7e18e4p-17, -0x1.1d7b5cf6d673bp-17, -0x1.1737a6ef6f667p-17, -0x1.110369860e8fbp-17, -0x1.0ade786810e5cp-17, -0x1.04c8aab1c18cbp-17, -0x1.fd83b5517bfd1p-18, -0x1.f193caf524f9ap-18, -0x1.e5c155feb86d1p-18, -0x1.da0c1b007472ep-18, -0x1.ce73e302c1e0fp-18, -0x1.c2f87b1f3bc7cp-18, -0x1.b799b4223e64dp-18, -0x1.ac576232acd3fp-18, -0x1.a1315c7f921f9p-18, -0x1.96277cf3583b5p-18, -0x1.8b399fec422dep-18, -0x1.8067a3f9e2ce3p-18, -0x1.75b1699f4f822p-18, -0x1.6b16d319c4ed2p-18, -0x1.6097c42b85a21p-18, -0x1.563421eab249cp-18, -0x1.4bebd293e104cp-18, -0x1.41bebd6043517p-18, -0x1.37acca5f1b0eap-18, -0x1.2db5e252588e2p-18, -0x1.23d9ee8e28a55p-18, -0x1.1a18d8db48a75p-18, -0x1.10728b5bf7ee1p-18, -0x1.06e6f07356d01p-18, -0x1.faebe55e269d8p-19, -0x1.e83ef9666d9fp-19, -0x1.d5c6f24ff141fp-19, -0x1.c383a552d9e45p-19, -0x1.b174e771e9b38p-19, -0x1.9f9a8d609db7p-19, -0x1.8df46b6c56323p-19, -0x1.7c82556851e83p-19, -0x1.6b441e9c4456p-19, -0x1.5a3999b55d637p-19, -0x1.496298b988e36p-19, -0x1.38beecfcc5094p-19, -0x1.284e67185e3fap-19, -0x1.1810d6e3f0183p-19, -0x1.08060b6ffdc9bp-19, -0x1.f05ba604140f9p-20, -0x1.d10ff624039e7p-20, -0x1.b228a091c880fp-20, -0x1.93a53d0110cd3p-20, -0x1.75856188c26dp-20, -0x1.57c8a2a6560afp-20, -0x1.3a6e9342d6d0ap-20, -0x1.1d76c4b9478c7p-20, -0x1.00e0c6de5eb91p-20, -0x1.c9585012b7e34p-21, -0x1.91b0ea3bb6c73p-21, -0x1.5aca732d09134p-21, -0x1.24a3ff20e5454p-21, -0x1.de793f5ced5d5p-22, -0x1.7526c7c5d5644p-22, -0x1.0d4eb0b6a4bf2p-22, -0x1.4dde1d7c9146cp-23, -0x1.0817c7d98ffcfp-24, 0x1.0b74ce30bb0a7p-25, 0x1.06e11948202e7p-23, 0x1.c803c5428fe92p-23, 0x1.43249b5593304p-22, 0x1.a0dab9bc71e42p-22, 0x1.fd2643ff344edp-22, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.90677fe4b8d0fp-2, 0x1.93730e7351df1p-2, 0x1.96cc2e423d899p-2, 0x1.9a6d9255e3359p-2, 0x1.9e508d6be9fc1p-2, 0x1.a26d400f49137p-2, 0x1.a6bacadd0735fp-2, 0x1.ab2f823e31a25p-2, 0x1.afc1217d26135p-2, 0x1.b464fba8aa9a9p-2, 0x1.b910292dc9daap-2, 0x1.bdb7b172dfcc8p-2, 0x1.c250b00c4f1cap-2, 0x1.c6d0756058a46p-2, 0x1.cb2ca2bdb2589p-2, 0x1.cf5b420a40b51p-2, 0x1.d352d946e050cp-2, 0x1.d70a7a3481a74p-2, 0x1.da79ce6fc50bdp-2, 0x1.dd99205c31ae9p-2, 0x1.e06161386eb26p-2, 0x1.e2cc2cb28e4ep-2, 0x1.e4d3ca4f48f3p-2, 0x1.e6732cf1b462p-2, 0x1.e7a5f0cafdef1p-2, 0x1.e86857f3658c8p-2, 0x1.e8b745e76211fp-2, 0x1.e8903a1dabde9p-2, 0x1.e7f149e5101cp-2, 0x1.e6d919b3679c3p-2, 0x1.e546d60a02597p-2, 0x1.e33a2c0f1a54p-2, 0x1.e0b341f7bd7b7p-2, 0x1.ddb2af59ba99bp-2, 0x1.da397579b4333p-2, 0x1.d648f7a6708ap-2, 0x1.d1e2f3afbf215p-2, 0x1.cd097a84dc0b9p-2, 0x1.c7bee90424b0cp-2, 0x1.c205e103fa298p-2, 0x1.bbe1429b15258p-2, 0x1.b55425ad0e10ap-2, 0x1.ae61d3bea305ap-2, 0x1.a70dc2141a7c4p-2, 0x1.9f5b8c1b3b9cap-2, 0x1.974eee2178597p-2, 0x1.8eebc0562e7cdp-2, 0x1.8635f2185816cp-2, 0x1.7d31858e7148ap-2, 0x1.73e28b86f9875p-2, 0x1.6a4d1f9f9bd4ap-2, 0x1.607564b0c0df6p-2, 0x1.565f817b15adfp-2, 0x1.4c0f9d946ba3bp-2, 0x1.4189de9135b73p-2, 0x1.36d26567d3c31p-2, 0x1.2bed4c0ad16edp-2, 0x1.20dea337413f1p-2, 0x1.15aa70745554p-2, 0x1.0a54ac4170df5p-2, 0x1.fdc280dfd56d3p-3, 0x1.e6a80d4bbf563p-3, 0x1.cf618e0ee4dd2p-3, 0x1.b7f66e080e5a9p-3, 0x1.a06df08a20ffdp-3, 0x1.88cf2f784ed06p-3, 0x1.7121199c8be64p-3, 0x1.596a71342898ap-3, 0x1.41b1caaeb0519p-3, 0x1.29fd8b9b660cdp-3, 0x1.1253e9c1eee2dp-3, 0x1.f575d4c5f12fep-4, 0x1.c670c33ba536bp-4, 0x1.97a3e3f069e06p-4, 0x1.691a180b30d27p-4, 0x1.3adddc57636e1p-4, 0x1.0cf94903a84f5p-4, 0x1.beec23249e4ebp-5, 0x1.64bb09ef13e85p-5, 0x1.0b711bc3d32fcp-5, 0x1.663ecca74bdbep-6, 0x1.6f58c3274b007p-7, 0x1.693f4d502066cp-11, -0x1.3d95d744e89f6p-7, -0x1.467656903cea3p-6, -0x1.eb9dcb651766bp-6, -0x1.471424d58ff5dp-5, -0x1.96ff23494c755p-5, -0x1.e584d3e163948p-5, -0x1.194d6f77f8806p-4, -0x1.3f1bcfb3095ddp-4, -0x1.64290fea65c4p-4, -0x1.88710ba872e54p-4, -0x1.abeff31e2492ap-4, -0x1.cea2497b8fa32p-4, -0x1.f084e33d6ac7fp-4, -0x1.08ca723850a78p-3, -0x1.18e7df766ec9ep-3, -0x1.2899984379248p-3, -0x1.37dea09e145cbp-3, -0x1.46b620ab91154p-3, -0x1.551f63c79f92fp-3, -0x1.6319d7919c88ep-3, -0x1.70a50af7e25b7p-3, -0x1.7dc0ad417189bp-3, -0x1.8a6c8d1653a1bp-3, -0x1.96a8978702a42p-3, -0x1.a274d71334b63p-3, -0x1.add172b05281dp-3, -0x1.b8beaccfebd2ep-3, -0x1.c33ce2667536bp-3, -0x1.cd4c89f2941abp-3, -0x1.d6ee3285450fap-3, -0x1.e02282cb19c3fp-3, -0x1.e8ea3816d898bp-3, -0x1.f146256db53bp-3, -0x1.f937329562785p-3, -0x1.005f2d921de0bp-2, -0x1.03ee56c9da7d5p-2, -0x1.0749a52aa8d8p-2, -0x1.0a71b17527d5p-2, -0x1.0d671c7f1b81bp-2, -0x1.102a8ec24163ep-2, -0x1.12bcb7ecc4664p-2, -0x1.151e4e73665fbp-2, -0x1.17500f2574c32p-2, -0x1.1952bcc296fap-2, -0x1.1b271f928dba4p-2, -0x1.1cce04feebb1ap-2, -0x1.1e483f2edd141p-2, -0x1.1f96a4a50acdbp-2, -0x1.20ba0fdfa062bp-2, -0x1.21b35efa8a092p-2, -0x1.22837353e7781p-2, -0x1.232b3132cdd04p-2, -0x1.23ab7f704d2ddp-2, -0x1.24054722d5993p-2, -0x1.2439734becd2fp-2, -0x1.2448f0884a179p-2, -0x1.2434acc251421p-2, -0x1.23fd96e6f8bc2p-2, -0x1.23a49e9d10904p-2, -0x1.232ab3fef9904p-2, -0x1.2290c756c0412p-2, -0x1.21d7c8dca3052p-2, -0x1.2100a877fc7b7p-2, -0x1.200c55829447dp-2, -0x1.1efbbe8e4e582p-2, -0x1.1dcfd12d38a72p-2, -0x1.1c8979bbf003p-2, -0x1.1b29a32e5852cp-2, -0x1.19b136dea06ffp-2, -0x1.18211c5e8ef0bp-2, -0x1.167a394b0a40ap-2, -0x1.14bd7121dab61p-2, -0x1.12eba5199a536p-2, -0x1.1105b3fbccedap-2, -0x1.0f0c7a0112a4ep-2, -0x1.0d00d0af712a9p-2, -0x1.0ae38ebaa7137p-2, -0x1.08b587e67a429p-2, -0x1.06778ceb039edp-2, -0x1.042a6b5ade215p-2, -0x1.01ceed8b393bdp-2, -0x1.fecbb4fb7ca46p-3, -0x1.f9dfeb9880f41p-3, -0x1.f4dbff2c4c779p-3, -0x1.efc168df10fc1p-3, -0x1.ea919aa3e926p-3, -0x1.e54dff1d90586p-3, -0x1.dff7f9863b0d4p-3, -0x1.da90e59a680b4p-3, -0x1.d51a1786a7d41p-3, -0x1.cf94dbd82c8edp-3, -0x1.ca0277701d273p-3, -0x1.c464277981687p-3, -0x1.bebb2161c38fdp-3, -0x1.b90892d397d6ep-3, -0x1.b34da1b447514p-3, -0x1.ad8b6c233cb2ap-3, -0x1.a7c3087bb6d52p-3, -0x1.a1f585589673dp-3, -0x1.9c23e99a276dep-3, -0x1.964f346dceb3ap-3, -0x1.90785d578c279p-3, -0x1.8aa0543d36f13p-3, -0x1.84c801735c80dp-3, -0x1.7ef045cbb432ep-3, -0x1.7919faa50a8aap-3, -0x1.7345f1fc96d33p-3, -0x1.6d74f6809e1fcp-3, -0x1.67a7cba45f452p-3, -0x1.61df2db51f566p-3, -0x1.5c1bd1f05a28fp-3, -0x1.565e669af2d09p-3, -0x1.50a793195deap-3, -0x1.4af7f808ac32ap-3, -0x1.45502f586ca17p-3, -0x1.3fb0cc654f22p-3, -0x1.3a1a5c14765acp-3, -0x1.348d64ef7336bp-3, -0x1.2f0a6740d0b08p-3, -0x1.2991dd312632ap-3, -0x1.24243ae49fd4fp-3, -0x1.1ec1ee98f2cc3p-3, -0x1.196b60c3ab90fp-3, -0x1.1420f430d159fp-3, -0x1.0ee30621c565fp-3, -0x1.09b1ee6c60b9cp-3, -0x1.048dff9a3a547p-3, -0x1.feef0e1022e78p-4, -0x1.f4dd9a0a9f319p-4, -0x1.eae829e7232b2p-4, -0x1.e10f3acc72cep-4, -0x1.d7534083fc97fp-4, -0x1.cdb4a5b8c16e2p-4, -0x1.c433cc362e6cep-4, -0x1.bad10d269d001p-4, -0x1.b18cb9519e33ep-4, -0x1.a8671959d56ecp-4, -0x1.9f606dfa7b35bp-4, -0x1.9678f04459017p-4, -0x1.8db0d1da56f38p-4, -0x1.85083d2d68c01p-4, -0x1.7c7f55b7ec72ep-4, -0x1.7416383864e49p-4, -0x1.6bccfaeb857f4p-4, -0x1.63a3adc58b194p-4, -0x1.5b9a5aaad6d16p-4, -0x1.53b105a7c2d44p-4, -0x1.4be7ad27ac4b8p-4, -0x1.443e4a2b29231p-4, -0x1.3cb4d07d66d55p-4, -0x1.354b2ee8a9434p-4, -0x1.2e014f69e7247p-4, -0x1.26d717637ec5cp-4, -0x1.1fcc67ceff399p-4, -0x1.18e11d6e02192p-4, -0x1.121510fa12db6p-4, -0x1.0b681753a148ap-4, -0x1.04da01affda4dp-4, -0x1.fcd53b8cb2344p-5, -0x1.f0336bf79d988p-5, -0x1.e3ce231cdd115p-5, -0x1.d7a4e97e98257p-5, -0x1.cbb741f7212a3p-5, -0x1.c004aa0920a88p-5, -0x1.b48c9a2dc0d3ep-5, -0x1.a94e8620e670dp-5, -0x1.9e49dd2b6c435p-5, -0x1.937e0a6b6a2acp-5, -0x1.88ea751a89ae3p-5, -0x1.7e8e80d267f7ep-5, -0x1.74698dcf0a2ecp-5, -0x1.6a7af92f6864dp-5, -0x1.60c21d3413553p-5, -0x1.573e517bf70c5p-5, -0x1.4deeeb3f40d19p-5, -0x1.44d33d8871767p-5, -0x1.3bea996b96c56p-5, -0x1.33344e3bbeb5bp-5, -0x1.2aafa9bea0857p-5, -0x1.225bf85e87b03p-5, -0x1.1a38855a81d0ep-5, -0x1.12449af4de356p-5, -0x1.0a7f829ffbf97p-5, -0x1.02e885297515dp-5, -0x1.f6fdd5c757563p-6, -0x1.e883f79b7ce87p-6, -0x1.da61ff73dc783p-6, -0x1.cc967ce4f6089p-6, -0x1.bf1fffba01371p-6, -0x1.b1fd1838b40d7p-6, -0x1.a52c5762258cdp-6, -0x1.98ac4f30e10cdp-6, -0x1.8c7b92d42f5dap-6, -0x1.8098b6e8b5555p-6, -0x1.750251ae65adcp-6, -0x1.69b6fb3be30c2p-6, -0x1.5eb54daf5c0c5p-6, -0x1.53fbe55cf2334p-6, -0x1.498960fabe14ep-6, -0x1.3f5c61ca791e6p-6, -0x1.35738bc0e70eap-6, -0x1.2bcd85ab0571fp-6, -0x1.2268f951136d5p-6, -0x1.1944939784d81p-6, -0x1.105f049de9169p-6, -0x1.07b6ffdbdc3a6p-6, -0x1.fe96787812e24p-7, -0x1.ee34e86aaa8cbp-7, -0x1.de46cbc46c1d4p-7, -0x1.cec9a62ca1ff8p-7, -0x1.bfbb02e4cd086p-7, -0x1.b11874ed2c77dp-7, -0x1.a2df972629678p-7, -0x1.950e0c6eaf803p-7, -0x1.87a17fbf8812dp-7, -0x1.7a97a443e8d6ep-7, -0x1.6dee356f3d57ap-7, -0x1.61a2f71042fcfp-7, -0x1.55b3b561a4b96p-7, -0x1.4a1e45181bfe6p-7, -0x1.3ee0836e2c369p-7, -0x1.33f8562daae14p-7, -0x1.2963abb709782p-7, -0x1.1f207b0690f94p-7, -0x1.152cc3b79a1p-7, -0x1.0b868e05d8a89p-7, -0x1.022beaccd294p-7, -0x1.f235e70b27582p-8, -0x1.e0a394856ad5dp-8, -0x1.cf9d335598cf3p-8, -0x1.bf1f29e29e8bfp-8, -0x1.af25ef9c150e3p-8, -0x1.9fae0ce664ca2p-8, -0x1.90b41b044cdcfp-8, -0x1.8234c3fde9e87p-8, -0x1.742cc285663cbp-8, -0x1.6698e1d96dc43p-8, -0x1.5975fda588e24p-8, -0x1.4cc101e07b899p-8, -0x1.4076eaa8c811p-8, -0x1.3494c41f72356p-8, -0x1.2917aa411ddc9p-8, -0x1.1dfcc8bda4a08p-8, -0x1.13415ace404p-8, -0x1.08e2ab0a5f117p-8, -0x1.fdbc267678b9p-9, -0x1.ea61f85cafd2bp-9, -0x1.d7b1bb0dbc6fdp-9, -0x1.c5a67b1c3d4b9p-9, -0x1.b43b62063b2afp-9, -0x1.a36bb5d2bce91p-9, -0x1.9332d8ade7f7fp-9, -0x1.838c4883db7e4p-9, -0x1.74739e9a6869bp-9, -0x1.65e48f29cc2d9p-9, -0x1.57dae8f488a2fp-9, -0x1.4a5294de88e4p-9, -0x1.3d479583a406ap-9, -0x1.30b606cda48d2p-9, -0x1.249a1d89ee739p-9, -0x1.18f026fee35fap-9, -0x1.0db4888118167p-9, -0x1.02e3bf087eb07p-9, -0x1.f0f4bd8b261bfp-10, -0x1.dcea256d57c51p-10, -0x1.c9a1387af855dp-10, -0x1.b713a569c2648p-10, -0x1.a53b460e1d357p-10, -0x1.94121e8852999p-10, -0x1.83925c72cfa38p-10, -0x1.73b6561187d81p-10, -0x1.64788982a7e39p-10, -0x1.55d39bf0a9d76p-10, -0x1.47c258c5ea764p-10, -0x1.3a3fb0e1df15fp-10, -0x1.2d46b9d00a7c1p-10, -0x1.20d2ad00b0b6ep-10, -0x1.14dee703811c7p-10, -0x1.0966e6c42faf2p-10, -0x1.fccc99923b4fap-11, -0x1.e7b1b4e852079p-11, -0x1.d374e28b42cd2p-11, -0x1.c00e244306d1dp-11, -0x1.ad75b92dfe93ep-11, -0x1.9ba41c54b3836p-11, -0x1.8a92034265c8ep-11, -0x1.7a385ca27d264p-11, -0x1.6a904ee2ea736p-11, -0x1.5b9336db9208fp-11, -0x1.4d3aa67ac8c8ap-11, -0x1.3f806376f1f16p-11, -0x1.325e66054c29ep-11, -0x1.25ced795f15b8p-11, -0x1.19cc119519207p-11, -0x1.0e509c319bbedp-11, -0x1.03572d28c165fp-11, -0x1.f1b54d2eba759p-12, -0x1.ddac2ba06ce75p-12, -0x1.ca89646f846ebp-12, -0x1.b843b84a57174p-12, -0x1.a6d237914e25cp-12, -0x1.962c402e25313p-12, -0x1.86497b75b3ca9p-12, -0x1.7721dc1435171p-12, -0x1.68ad9c040b8f5p-12, -0x1.5ae53a8ee4f7bp-12, -0x1.4dc17a593a847p-12, -0x1.413b5f78178afp-12, -0x1.354c2d910fc89p-12, -0x1.29ed6604582fbp-12, -0x1.1f18c620e7a8ap-12, -0x1.14c845628b81dp-12, -0x1.0af613b9d24a9p-12, -0x1.019c97ddbbf96p-12, -0x1.f16cdb4e1de55p-13, -0x1.e07cc8ea686a8p-13, -0x1.d05efb3914ee1p-13, -0x1.c109d5bc07361p-13, -0x1.b27419cff32eep-13, -0x1.a494e3c033d57p-13, -0x1.9763a7ec8acb6p-13, -0x1.8ad8300090bd8p-13, -0x1.7eea983c94dbp-13, -0x1.73934ccfa1826p-13, -0x1.68cb074274992p-13, -0x1.5e8acbf31c4b6p-13, -0x1.54cbe7a0f4a59p-13, -0x1.4b87ed08c9aeap-13, -0x1.42b8b290d7c1ap-13, -0x1.3a5850045e7d5p-13, -0x1.32611c5e8d8b1p-13, -0x1.2acdaba47778cp-13, -0x1.2398cccdd835p-13, -0x1.1cbd87bc551aep-13, -0x1.16371b4105eaap-13, -0x1.1000fb2ff11bfp-13, -0x1.0a16ce813e4cbp-13, -0x1.04746d7fdfbc6p-13, -0x1.fe2bc00ac559bp-14, -0x1.f3eeb7854f331p-14, -0x1.ea2a852a8f743p-14, -0x1.e0d841d2a0e37p-14, -0x1.d7f1584e52ddfp-14, -0x1.cf6f825aa7096p-14, -0x1.c74cc5ab7ec51p-14, -0x1.bf83710d0a75ap-14, -0x1.b80e199b66f4dp-14, -0x1.b0e7980fecd75p-14, -0x1.aa0b0623b8d7dp-14, -0x1.a373bc06ef4c2p-14, -0x1.9d1d4dec3839p-14, -0x1.970389a801cd7p-14, -0x1.912274630fad7p-14, -0x1.8b76485fdaed4p-14, -0x1.85fb72d252debp-14, -0x1.80ae91c987f96p-14, -0x1.7b8c722ad12dbp-14, -0x1.76920dbdf8296p-14, -0x1.71bc894a00a59p-14, -0x1.6d0932c21bc72p-14, -0x1.68757f825e899p-14, -0x1.63ff0a9bcec41p-14, -0x1.5fa3932f61e5ep-14, -0x1.5b60fad78578ep-14, -0x1.5735441fce569p-14, -0x1.531e910a6b4c7p-14, -0x1.4f1b21a2fc40cp-14, -0x1.4b29529e6bd73p-14, -0x1.47479c0772c74p-14, -0x1.43748ff7653aep-14, -0x1.3faed95af52efp-14, -0x1.3bf53ac28c85p-14, -0x1.38468d3df03b1p-14, -0x1.34a1bf42d0bc1p-14, -0x1.3105d39dfae7p-14, -0x1.2d71e06ed609p-14, -0x1.29e50e2ce0109p-14, -0x1.265e96b6dcdbfp-14, -0x1.22ddc46b6930ap-14, -0x1.1f61f14aaba4ap-14, -0x1.1bea8620d85bbp-14, -0x1.1876f9b9423c3p-14, -0x1.1506d019b49dfp-14, -0x1.119999c5d15a4p-14, -0x1.0e2ef30a33784p-14, -0x1.0ac6834f139f5p-14, -0x1.075ffc7231f7cp-14, -0x1.03fb1a27c66b7p-14, -0x1.0097a1623ee51p-14, -0x1.fa6abf811b856p-15, -0x1.f3a85605a2ba7p-15, -0x1.ece7c10a4012ap-15, -0x1.e628c9807c6a1p-15, -0x1.df6b45a01bfb3p-15, -0x1.d8af17ff07a4ap-15, -0x1.d1f42eb3de484p-15, -0x1.cb3a8282cca08p-15, -0x1.c48216144e3c1p-15, -0x1.bdcaf5357efd4p-15, -0x1.b71534219cec4p-15, -0x1.b060eed46fc5dp-15, -0x1.a9ae486536ceap-15, -0x1.a2fd6a69d2b1ap-15, -0x1.9c4e8461dbca4p-15, -0x1.95a1cb2952b54p-15, -0x1.8ef77872aaaa4p-15, -0x1.884fca47d8971p-15, -0x1.81ab02922d56ap-15, -0x1.7b0966a8ad8eap-15, -0x1.746b3ee4ab638p-15, -0x1.6dd0d63c5ea44p-15, -0x1.673a79e33dd1ep-15, -0x1.60a878efde5c3p-15, -0x1.5a1b24071ed5fp-15, -0x1.5392cd0c6627bp-15, -0x1.4d0fc6d6bcadap-15, -0x1.469264ea900b5p-15, -0x1.401afb37eaf38p-15, -0x1.39a9dddcefe3ap-15, -0x1.333f60ec6910fp-15, -0x1.2cdbd8383d9d3p-15, -0x1.267f971fa0795p-15, -0x1.202af060cca69p-15, -0x1.19de35ee27ecp-15, -0x1.1399b8c6a1d94p-15, -0x1.0d5dc8d12660bp-15, -0x1.072ab4bb05c44p-15, -0x1.0100c9d924cc8p-15, -0x1.f5c0a817b1a76p-16, -0x1.e9933b4a9a1b2p-16, -0x1.dd79dea49da44p-16, -0x1.d175200ac5501p-16, -0x1.c58589c80ec95p-16, -0x1.b9aba26c076efp-16, -0x1.ade7ecad549dep-16, -0x1.a23ae74fe855fp-16, -0x1.96a50d0eb2a8fp-16, -0x1.8b26d488a348bp-16, -0x1.7fc0b030c46f5p-16, -0x1.74730e4142751p-16, -0x1.693e58b1405fbp-16, -0x1.5e22f52d3c2bp-16, -0x1.53214511eb031p-16, -0x1.4839a5695f52cp-16, -0x1.3d6c6eea55579p-16, -0x1.32b9f5f9845c2p-16, -0x1.28228aaccb87bp-16, -0x1.1da678d02bd85p-16, -0x1.134607ec55a35p-16, -0x1.09017b4ec600dp-16, -0x1.fdb2242694afp-17, -0x1.e99a0e5d961a4p-17, -0x1.d5bb22f6a3a66p-17, -0x1.c215c78a50837p-17, -0x1.aeaa59b1f243bp-17, -0x1.9b792f25bc237p-17, -0x1.888295dc96308p-17, -0x1.75c6d42d70e8fp-17, -0x1.634628f1f87d7p-17, -0x1.5100cbaa994edp-17, -0x1.3ef6eca37fe6ap-17, -0x1.2d28b51ab03bp-17, -0x1.1b964766e2acep-17, -0x1.0a3fbf1f289f2p-17, -0x1.f24a62865a43dp-18, -0x1.d08d58c7fc794p-18, -0x1.af48719a86575p-18, -0x1.8e7bb15d91047p-18, -0x1.6e27108c97b59p-18, -0x1.4e4a7c12e6ad3p-18, -0x1.2ee5d59fb69e6p-18, -0x1.0ff8f3fa5396dp-18, -0x1.e30746ac55175p-19, -0x1.a70b4b4d395b6p-19, -0x1.6bfd65e4f91dap-19, -0x1.31dcf34e308dap-19, -0x1.f1527baacb9b2p-20, -0x1.80c2fbb969febp-20, -0x1.1209b4fbf9f0fp-20, -0x1.4a49a8adb6a31p-21, -0x1.d09334e4647a8p-23, 0x1.797d31c576859p-23, 0x1.2d4703a294cdfp-21, 0x1.f896f08e83867p-21, 0x1.6029f0f97f4b4p-20, 0x1.c2416d63fde66p-20, 0x1.114a43fe711b8p-19, 0x1.4092f98b4e39ap-19, 0x1.6efc3be3a73c1p-19, 0x1.9c877a6ac126fp-19, 0x1.c9362ed52e77fp-19, 0x1.f509dca4a7d21p-19, 0x1.100208535c0f7p-18, 0x1.2513303b213e1p-18, 0x1.39b934ffef408p-18, 0x1.4df4e984913e6p-18, 0x1.61c7245d65c55p-18, 0x1.7530bf96ea1a3p-18, 0x1.8832987dbc864p-18, 0x1.9acd8f680eb74p-18, 0x1.ad028780944bdp-18, 0x1.bed26692de468p-18, 0x1.d03e14d92d7d9p-18, 0x1.e1467ccbb3622p-18, 0x1.f1ec8af1408adp-18, 0x1.011896d8aeeb6p-17, 0x1.090aaa93e75b9p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.873f179ee396cp-2, 0x1.88370cebbd5ccp-2, 0x1.8949e8b65c705p-2, 0x1.8a773b7c992f6p-2, 0x1.8bbe47d4a928dp-2, 0x1.8d1e0669cf691p-2, 0x1.8e952b812878ep-2, 0x1.90222d8ecfb51p-2, 0x1.91c34c7687ac3p-2, 0x1.937699250947dp-2, 0x1.9539fd3f620dap-2, 0x1.970b42b454b54p-2, 0x1.98e81b0823e5p-2, 0x1.9ace263de3c4cp-2, 0x1.9cbaf94a46c34p-2, 0x1.9eac24031ac4dp-2, 0x1.a09f368494dfap-2, 0x1.a291c60a12dfbp-2, 0x1.a481713b9bfcdp-2, 0x1.a66be3f404097p-2, 0x1.a84eda859845p-2, 0x1.aa2824847d9c9p-2, 0x1.abf5a71ed9954p-2, 0x1.adb55f0b483cp-2, 0x1.af6562165f069p-2, 0x1.b103e057e2a0cp-2, 0x1.b28f25183431cp-2, 0x1.b405976e15807p-2, 0x1.b565ba9c84cc4p-2, 0x1.b6ae2e37fed84p-2, 0x1.b7ddae19eaab5p-2, 0x1.b8f3122886c77p-2, 0x1.b9ed4df91d966p-2, 0x1.bacb7051d1cddp-2, 0x1.bb8ca28fe1a2bp-2, 0x1.bc3027f6bd05ep-2, 0x1.bcb55cebee567p-2, 0x1.bd1bb62367e4dp-2, 0x1.bd62bfbf668d3p-2, 0x1.bd8a1c66cb67ap-2, 0x1.bd91845475443p-2, 0x1.bd78c461dcba9p-2, 0x1.bd3fbd0ee89ffp-2, 0x1.bce66188c67a4p-2, 0x1.bc6cb6b13be5ep-2, 0x1.bbd2d227ce92bp-2, 0x1.bb18d955dda37p-2, 0x1.ba3f007ea8726p-2, 0x1.b94589d40facfp-2, 0x1.b82cc490c4386p-2, 0x1.b6f50c18709b3p-2, 0x1.b59ec71e52593p-2, 0x1.b42a66d29cfafp-2, 0x1.b2986616f0a34p-2, 0x1.b0e948ba0fbdp-2, 0x1.af1d9abafa75ep-2, 0x1.ad35ef93812c2p-2, 0x1.ab32e18a4dd07p-2, 0x1.a915110c65fd4p-2, 0x1.a6dd240e0f55ap-2, 0x1.a48bc572ff4ep-2, 0x1.a221a47db9568p-2, 0x1.9f9f7445f20fep-2, 0x1.9d05eb35d30aap-2, 0x1.9a55c28deab96p-2, 0x1.978fb5ef9bba8p-2, 0x1.94b482edd793ep-2, 0x1.91c4e8a3ed04cp-2, 0x1.8ec1a7523ae03p-2, 0x1.8bab800085e66p-2, 0x1.88833425c4517p-2, 0x1.8549855523b5ap-2, 0x1.81ff34f0123acp-2, 0x1.7ea503dd1aceap-2, 0x1.7b3bb243572ep-2, 0x1.77c3ff4a4d1b1p-2, 0x1.743ea8ddffc7bp-2, 0x1.70ac6b7704a1bp-2, 0x1.6d0e01e66f86ap-2, 0x1.6964252565fd8p-2, 0x1.65af8c282e5d5p-2, 0x1.61f0ebb491889p-2, 0x1.5e28f63b63b36p-2, 0x1.5a585bb512c75p-2, 0x1.567fc9810d88ep-2, 0x1.529fea47e759p-2, 0x1.4eb965e010fd1p-2, 0x1.4acce13506c38p-2, 0x1.46dafe30d8bf8p-2, 0x1.42e45ba7e90cep-2, 0x1.3ee99546c93bdp-2, 0x1.3aeb438217abdp-2, 0x1.36e9fb88489a3p-2, 0x1.32e64f353b394p-2, 0x1.2ee0cd0787779p-2, 0x1.2ada001770aadp-2, 0x1.26d2700f616adp-2, 0x1.22caa125e0c69p-2, 0x1.1ec31418eecb3p-2, 0x1.1abc462ab09cfp-2, 0x1.16b6b11f5f61ep-2, 0x1.12b2cb3c65511p-2, 0x1.0eb107489f3a9p-2, 0x1.0ab1d48da9059p-2, 0x1.06b59eda312f2p-2, 0x1.02bcce853c6b4p-2, 0x1.fd8f90e4a8419p-3, 0x1.f5addc2d10e2ep-3, 0x1.edd53afc8d5ccp-3, 0x1.e60662a7d2cc4p-3, 0x1.de4201ce0a3ebp-3, 0x1.d688c068b867fp-3, 0x1.cedb3fdce6672p-3, 0x1.c73a1b0d7a02ap-3, 0x1.bfa5e66ea1356p-3, 0x1.b81f301a4e69dp-3, 0x1.b0a67fe59c0b4p-3, 0x1.a93c57771af26p-3, 0x1.a1e1325def87p-3, 0x1.9a958629b4cb4p-3, 0x1.9359c28308497p-3, 0x1.8c2e5144c42b3p-3, 0x1.85139695c7d08p-3, 0x1.7e09f10346fa9p-3, 0x1.7711b99b933abp-3, 0x1.702b440953559p-3, 0x1.6956deaf1b67p-3, 0x1.6294d2c3518d7p-3, 0x1.5be5646c66252p-3, 0x1.5548d2dd3f078p-3, 0x1.4ebf5871df7c8p-3, 0x1.48492acc2c51p-3, 0x1.41e67af0dbe94p-3, 0x1.3b97756471c14p-3, 0x1.355c42484b861p-3, 0x1.2f350577ac6c1p-3, 0x1.2921dea4ca477p-3, 0x1.2322e975c82c8p-3, 0x1.1d383da1a13a2p-3, 0x1.1761ef0cf1169p-3, 0x1.11a00de6a58dap-3, 0x1.0bf2a6c478c42p-3, 0x1.0659c2bf4adffp-3, 0x1.00d5678f37f54p-3, 0x1.f6cb2f4f022f6p-4, 0x1.ec14a4a4538adp-4, 0x1.e1872796b1435p-4, 0x1.d722aab8d9122p-4, 0x1.cce71aed78a7ep-4, 0x1.c2d45f9c2074p-4, 0x1.b8ea5ae57db47p-4, 0x1.af28e9d6da0b3p-4, 0x1.a58fe49ceeacbp-4, 0x1.9c1f1eb5ef01p-4, 0x1.92d66722d1ee6p-4, 0x1.89b58897cb33ap-4, 0x1.80bc49abf585cp-4, 0x1.77ea6d082c08ep-4, 0x1.6f3fb19506a75p-4, 0x1.66bbd2a7fdd8cp-4, 0x1.5e5e882fad3bep-4, 0x1.562786df3588cp-4, 0x1.4e168058b9fd8p-4, 0x1.462b2356f8911p-4, 0x1.3e651bd5f8863p-4, 0x1.36c4133ad22f5p-4, 0x1.2f47b07a8ba9fp-4, 0x1.27ef984009de6p-4, 0x1.20bb6d11191a6p-4, 0x1.19aacf72874c6p-4, 0x1.12bd5e0b56071p-4, 0x1.0bf2b5c700c89p-4, 0x1.054a71f6d8c12p-4, 0x1.fd8858e4f1d1ap-5, 0x1.f0befb6ea307ep-5, 0x1.e437fa0e9b18cp-5, 0x1.d7f2810d2567fp-5, 0x1.cbedbab0bdfafp-5, 0x1.c028cf760940cp-5, 0x1.b4a2e6460d5c6p-5, 0x1.a95b24aab1de9p-5, 0x1.9e50af018b369p-5, 0x1.9382a8acf55e8p-5, 0x1.88f0344383bdfp-5, 0x1.7e9873bdcd4ccp-5, 0x1.747a88a2976d1p-5, 0x1.6a9594316abd6p-5, 0x1.60e8b78b912fdp-5, 0x1.577313db8ac53p-5, 0x1.4e33ca7af9f92p-5, 0x1.4529fd1711baap-5, 0x1.3c54cdd38a90fp-5, 0x1.33b35f6c26ab5p-5, 0x1.2b44d554c9c7fp-5, 0x1.230853d82fdb1p-5, 0x1.1afd00354437bp-5, 0x1.132200bb263fp-5, 0x1.0b767ce3df1cp-5, 0x1.03f99d6dd1af7p-5, 0x1.f95518e7d1cd7p-6, 0x1.eb10eb0923b6ep-6, 0x1.dd250b6f07b08p-6, 0x1.cf8fd784bcb5dp-6, 0x1.c24fb0184c72p-6, 0x1.b562f97f561b8p-6, 0x1.a8c81bb9a7c4p-6, 0x1.9c7d8291d056dp-6, 0x1.90819dbb98acep-6, 0x1.84d2e0f08defdp-6, 0x1.796fc40a9ep-6, 0x1.6e56c31ccfb71p-6, 0x1.63865e8a354a5p-6, 0x1.58fd1b1b16af3p-6, 0x1.4eb98210691edp-6, 0x1.44ba2135a3e86p-6, 0x1.3afd8af0f8328p-6, 0x1.3182565202309p-6, 0x1.28471f1ef751ap-6, 0x1.1f4a85e06737bp-6, 0x1.168b2feb95ce1p-6, 0x1.0e07c76b8015fp-6, 0x1.05befb68941a8p-6, 0x1.fb5eff9e4d36cp-7, 0x1.ebb01ae9787aep-7, 0x1.dc6ec438484bdp-7, 0x1.cd9880f0f507ep-7, 0x1.bf2ae05e32bcap-7, 0x1.b1237bb1002d6p-7, 0x1.a37ff6008ee6bp-7, 0x1.963dfc483bebcp-7, 0x1.895b4563c1cf6p-7, 0x1.7cd59209b24a7p-7, 0x1.70aaacc44b045p-7, 0x1.64d869e8c04afp-7, 0x1.595ca78cfdb9dp-7, 0x1.4e354d7cp-7, 0x1.43604d28dd049p-7, 0x1.38dba1a07ab29p-7, 0x1.2ea54f7a0f95p-7, 0x1.24bb64c680afbp-7, 0x1.1b1bf8fea6027p-7, 0x1.11c52cf08a66ap-7, 0x1.08b52aabb20a6p-7, 0x1.ffd44ad8f23fp-8, 0x1.eec4b30d31154p-8, 0x1.de38189dba777p-8, 0x1.ce2b18084358p-8, 0x1.be9a5f6f28f6ap-8, 0x1.af82ae68b4c75p-8, 0x1.a0e0d5cd2f836p-8, 0x1.92b1b783d8c7fp-8, 0x1.84f2464edb784p-8, 0x1.779f859655ae7p-8, 0x1.6ab6893289e99p-8, 0x1.5e3475354aea6p-8, 0x1.52167db2ba74fp-8, 0x1.4659e6896bdacp-8, 0x1.3afc0329fb2f5p-8, 0x1.2ffa365e2f66p-8, 0x1.2551f20fb3715p-8, 0x1.1b00b70e7a61ap-8, 0x1.110414d6dc048p-8, 0x1.0759a9577b31bp-8, 0x1.fbfe416e03be1p-9, 0x1.e9e46a33845d6p-9, 0x1.d8615cce95163p-9, 0x1.c770c41fede48p-9, 0x1.b70e65a51dd6dp-9, 0x1.a7362103eef2p-9, 0x1.97e3ef9613443p-9, 0x1.8913e3f524b86p-9, 0x1.7ac229870fep-9, 0x1.6ceb040b0307dp-9, 0x1.5f8acf26e979p-9, 0x1.529dfdf5872b5p-9, 0x1.46211a954b6dp-9, 0x1.3a10c5b7df90bp-9, 0x1.2e69b63287065p-9, 0x1.2328b88f5d416p-9, 0x1.184aae9f7afeep-9, 0x1.0dcc8f0e106cbp-9, 0x1.03ab64f485a78p-9, 0x1.f3c89edf3c599p-10, 0x1.e0e9026b6eeeep-10, 0x1.ceb2805c458cp-10, 0x1.bd1fca13485a1p-10, 0x1.ac2bb5b846affp-10, 0x1.9bd13d6f164fep-10, 0x1.8c0b7e8fda09dp-10, 0x1.7cd5b8e1bb7dbp-10, 0x1.6e2b4dd83d25ep-10, 0x1.6007bfd31f088p-10, 0x1.5266b160e812fp-10, 0x1.4543e4840e7eap-10, 0x1.389b39fad924ep-10, 0x1.2c68b089f1df4p-10, 0x1.20a86449ab357p-10, 0x1.15568df60d9d1p-10, 0x1.0a6f82419fe8p-10, 0x1.ffdf6255e2276p-11, 0x1.eba74aa9e10f7p-11, 0x1.d83006c4049abp-11, 0x1.c57312a3c2c14p-11, 0x1.b36a1bc48d11p-11, 0x1.a20effe4ab07bp-11, 0x1.915bcbd19ed5p-11, 0x1.814aba3a0f57cp-11, 0x1.71d6328534a1fp-11, 0x1.62f8c7afbee89p-11, 0x1.54ad372e323e5p-11, 0x1.46ee67d4b103ep-11, 0x1.39b768c429596p-11, 0x1.2d03705cdfb56p-11, 0x1.20cddb364a3ebp-11, 0x1.15122b1c34cfp-11, 0x1.09cc06111ec03p-11, 0x1.fdee6aab962d5p-12, 0x1.e91f48ebe4bebp-12, 0x1.d522c0b41996bp-12, 0x1.c1f12cbc474cap-12, 0x1.af8326db41d82p-12, 0x1.9dd186480fa4ap-12, 0x1.8cd55de51f7eep-12, 0x1.7c87fa9515decp-12, 0x1.6ce2e1991f16cp-12, 0x1.5ddfcef89b2ep-12, 0x1.4f78b3f211d2cp-12, 0x1.41a7b5753dc38p-12, 0x1.34672aa61da98p-12, 0x1.27b19b68dc032p-12, 0x1.1b81bef67abf2p-12, 0x1.0fd27a7a10ff7p-12, 0x1.049edfb6864bfp-12, 0x1.f3c4576942a5fp-13, 0x1.df2f8af2947b7p-13, 0x1.cb767987bda3ep-13, 0x1.b89091a8e34adp-13, 0x1.a6758e73b3a27p-13, 0x1.951d754ecc373p-13, 0x1.848093a433d92p-13, 0x1.74977caa97f0fp-13, 0x1.655b073d0f1a6p-13, 0x1.56c44bc117285p-13, 0x1.48cca21a86835p-13, 0x1.3b6d9fad3e729p-13, 0x1.2ea1156c426eep-13, 0x1.22610df6020fbp-13, 0x1.16a7cbbd8acf3p-13, 0x1.0b6fc7406632fp-13, 0x1.00b3ad48d348fp-13, 0x1.ecdcba786412ap-14, 0x1.d935ceea897cap-14, 0x1.c6691754416cp-14, 0x1.b46d6ebaebf37p-14, 0x1.a33a08b60b8eep-14, 0x1.92c66e7df4518p-14, 0x1.830a7c0fcf6c2p-14, 0x1.73fe5d667662dp-14, 0x1.659a8bc7adc99p-14, 0x1.57d7cb25492dfp-14, 0x1.4aaf2791c4e25p-14, 0x1.3e19f2c7df21ep-14, 0x1.3211c1c4c195cp-14, 0x1.26906a74498eep-14, 0x1.1b90016f01127p-14, 0x1.110ad7c95ccf4p-14, 0x1.06fb78f3d148bp-14, 0x1.fab95156b1c7p-15, 0x1.e852c1f4039dap-15, 0x1.d6b9a08e3aeep-15, 0x1.c5e4aeed5b0f7p-15, 0x1.b5cb102f59561p-15, 0x1.a6644541a3db2p-15, 0x1.97a82976dc6fep-15, 0x1.898eef3813f4cp-15, 0x1.7c111cd0c71eep-15, 0x1.6f278954ecdb5p-15, 0x1.62cb59a0695f6p-15, 0x1.56f5fd6f2ff34p-15, 0x1.4ba12c8d71b39p-15, 0x1.40c6e41f32d47p-15, 0x1.366163fe9bfc4p-15, 0x1.2c6b2c3072e94p-15, 0x1.22defa6e155f8p-15, 0x1.19b7c7c4624a2p-15, 0x1.10f0c646fa774p-15, 0x1.08855ed744217p-15, 0x1.00712efea57cp-15, 0x1.f1600db6d09cbp-16, 0x1.e27bce3f77182p-16, 0x1.d42dfe44a775fp-16, 0x1.c66f560036f5cp-16, 0x1.b938e39d061bbp-16, 0x1.ac8407bbc79bep-16, 0x1.a04a72170fc24p-16, 0x1.94861e45af686p-16, 0x1.8931509a7dfc4p-16, 0x1.7e469320a63cep-16, 0x1.73c0b2b39aa05p-16, 0x1.699abc31de40ep-16, 0x1.5fcff9c9c461dp-16, 0x1.565bf05f66279p-16, 0x1.4d3a5d0afc19bp-16, 0x1.446732aedc7bcp-16, 0x1.3bde97a45f886p-16, 0x1.339ce37eec0ccp-16, 0x1.2b9e9ce483c58p-16, 0x1.23e0777b0c38p-16, 0x1.1c5f51e9bb43bp-16, 0x1.151833edf79a3p-16, 0x1.0e084c830a443p-16, 0x1.072cf01c058ep-16, 0x1.008396ef47285p-16, 0x1.f413b6a6066b1p-17, 0x1.e77af0547f029p-17, 0x1.db388ec373263p-17, 0x1.cf4880f8506f1p-17, 0x1.c3a6ee5aaab4fp-17, 0x1.b850340727143p-17, 0x1.ad40e23e09906p-17, 0x1.a275b9ec8a469p-17, 0x1.97ebaa4ff8dd1p-17, 0x1.8d9fceb1c629dp-17, 0x1.838f6c3b933e9p-17, 0x1.79b7efe27652bp-17, 0x1.7016ec689a7e4p-17, 0x1.66aa18746abe7p-17, 0x1.5d6f4cbc8cea3p-17, 0x1.54648247de81bp-17, 0x1.4b87d0c0c7fdcp-17, 0x1.42d76cdb21c33p-17, 0x1.3a51a6cc09bfcp-17, 0x1.31f4e8d2f6691p-17, 0x1.29bfb5d3666ddp-17, 0x1.21b0a7fe8dd98p-17, 0x1.19c66f8c654f5p-17, 0x1.11ffd18386c7ep-17, 0x1.0a5ba68f468c2p-17, 0x1.02d8d9e37e142p-17, 0x1.f6ecd05afd747p-18, 0x1.e866bd235a013p-18, 0x1.da1db36a82d43p-18, 0x1.cc1009a771bb7p-18, 0x1.be3c31bef5e6bp-18, 0x1.b0a0b75a8a595p-18, 0x1.a33c3e53d7fb6p-18, 0x1.960d8134104dep-18, 0x1.89134fc64d7cp-18, 0x1.7c4c8dbc35cf1p-18, 0x1.6fb831641d5e7p-18, 0x1.6355426ff0f9ep-18, 0x1.5722d8cc32699p-18, 0x1.4b201b865cd31p-18, 0x1.3f4c3fc206eb7p-18, 0x1.33a687bc27073p-18, 0x1.282e41dbd79fcp-18, 0x1.1ce2c7d00b09ep-18, 0x1.11c37db99e3efp-18, 0x1.06cfd1613cebp-18, 0x1.f80e72f12859bp-19, 0x1.e2d269cc9f791p-19, 0x1.cdea9438d28fp-19, 0x1.b9560cf09ddd1p-19, 0x1.a513fb58e2b4bp-19, 0x1.912392658df2ep-19, 0x1.7d840f8fbb027p-19, 0x1.6a34b9dc22234p-19, 0x1.5734e0f11045ap-19, 0x1.4483dc3b27f0cp-19, 0x1.32210a203acd3p-19, 0x1.200bcf3f83f17p-19, 0x1.0e4395bea9978p-19, 0x1.f98f9945acd6ap-20, 0x1.d72fce6aaee38p-20, 0x1.b566b8e65838ep-20, 0x1.94334d0deb17p-20, 0x1.739484997c309p-20, 0x1.53895dbe2eeb5p-20, 0x1.3410da5a249b1p-20, 0x1.1529ff312b74ap-20, 0x1.eda7a67288a5ep-21, 0x1.b21abdec61a72p-21, 0x1.77ab57c64878ap-21, 0x1.3e5787d3b855ep-21, 0x1.061d61ccaf467p-21, 0x1.9df5f0d9e7217p-22, 0x1.31dcb95388d56p-22, 0x1.8fd673f2bad86p-23, 0x1.80762611ec896p-24, -0x1.64122a53b510ep-28, -0x1.a488d5fedeb03p-24, -0x1.95387e32b43c5p-23, -0x1.2a0271764ebe1p-22, -0x1.8758e319fbe97p-22, -0x1.e2a3b58dfdad9p-22, -0x1.1df38ae5fd3b8p-21, -0x1.49939e4808265p-21, -0x1.7434374ac4ddfp-21, -0x1.9dd77e5fac268p-21, -0x1.c67fa216efdep-21, -0x1.ee2ed721b273cp-21, -0x1.0a73ac2622292p-20, -0x1.1d55b3387f5cdp-20, -0x1.2fbea4322ef47p-20, -0x1.41afa56d74333p-20, -0x1.5329e024b243p-20, -0x1.642e805ffcb9p-20, -0x1.74beb4e04103fp-20, -0x1.84dbaf08646dap-20, -0x1.9486a2c475d07p-20, -0x1.a3c0c66f25bbp-20, -0x1.b28b52b5cc7d4p-20, -0x1.c0e7827b0f6a9p-20, -0x1.ced692b86955fp-20, -0x1.dc59c25ea66d5p-20, -0x1.e972523597786p-20, -0x1.f62184bb01191p-20, -0x1.01344f007fc53p-19, -0x1.072471c5f93c3p-19, -0x1.0ce1ce180a571p-19, -0x1.126d07f76a2d6p-19, -0x1.17c6c3ea04f36p-19, -0x1.1cefa6e99482ep-19, -0x1.21e856523a0b9p-19, -0x1.26b177d12d171p-19, -0x1.2b4bb1537fe1bp-19, -0x1.2fb7a8f506dccp-19, -0x1.33f604ef6d281p-19, -0x1.38076b8974474p-19, -0x1.3bec830673d3cp-19, -0x1.3fa5f19611ad7p-19, -0x1.43345d443feaep-19, -0x1.46986be98775ep-19, -0x1.49d2c31b9a22ap-19, -0x1.4ce4081e3aab7p-19, -0x1.4fccdfd479fd8p-19, -0x1.528deeb24b916p-19, -0x1.5527d8ae77265p-19, -0x1.579b4134e6b96p-19, -0x1.59e8cb19542e2p-19, -0x1.5c11188a5d934p-19, -0x1.5e14cb04f50f5p-19, -0x1.5ff483483c06bp-19, -0x1.61b0e149c0408p-19, -0x1.634a842a203bdp-19, -0x1.64c20a2a13d2ap-19, -0x1.6618109fe0a88p-19, -0x1.674d33ed2d24ap-19, -0x1.68620f75433fcp-19, -0x1.69573d93af8f4p-19, -0x1.6a2d57934e69dp-19, -0x1.6ae4f5a5b797p-19, -0x1.6b7eaedb0f733p-19, -0x1.6bfb191a3d893p-19, -0x1.6c5ac9197f671p-19, -0x1.6c9e5257617bfp-19, -0x1.6cc647141276fp-19, -0x1.6cd3384b1811ap-19, -0x1.6cc5b5ad5ca18p-19, -0x1.6c9e4d9b98e52p-19, -0x1.6c5d8d2116971p-19, -0x1.6c03ffeeca0d7p-19, -0x1.6b923056c250ep-19, -0x1.6b08a747e799cp-19, -0x1.6a67ec4a1575bp-19, -0x1.69b0857a78f2dp-19, -0x1.68e2f7884824fp-19, -0x1.67ffc5b1ba3adp-19, -0x1.670771c155789p-19, -0x1.65fa7c0b7a4cp-19, -0x1.64d9636c3d5b5p-19, -0x1.63a4a5457f42p-19, -0x1.625cbd7d4a0e1p-19, -0x1.6102267c6e266p-19, -0x1.5f95592d5c4c4p-19, -0x1.5e16ccfb3cb74p-19, -0x1.5c86f7d141919p-19, -0x1.5ae64e1a2f10bp-19, -0x1.593542c01c0c2p-19, -0x1.5774472c6709cp-19, -0x1.55a3cb47dbb5bp-19, -0x1.53c43d7b0df78p-19, -0x1.51d60aaedccd2p-19, -0x1.4fd99e4d28745p-19, -0x1.4dcf6241b181ep-19, -0x1.4bb7befb2179ep-19, -0x1.49931b6c3a07fp-19, -0x1.4761dd0d2edf1p-19, -0x1.452467dd1c6d4p-19, -0x1.42db1e63a9ca5p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.8a466cea48771p-8, -0x1.dc3ca3da476a3p-8, -0x1.1ad1f95c02281p-7, -0x1.4b2ed314ed09ap-7, -0x1.7f22bc1788ba2p-7, -0x1.b69878a4eaf7ap-7, -0x1.f177783b1e0ffp-7, -0x1.17d1d76b2d123p-6, -0x1.387ec192d8d58p-6, -0x1.5ab0e7f4b332cp-6, -0x1.7e54faefe2ee4p-6, -0x1.a355fdac67a0ap-6, -0x1.c99d5b4ca6ccep-6, -0x1.f113004049a2cp-6, -0x1.0ccebb527d362p-5, -0x1.2191026bf392ep-5, -0x1.36c266c6792abp-5, -0x1.4c5478754964fp-5, -0x1.62385724ccb56p-5, -0x1.785ec3277d57cp-5, -0x1.8eb82e920f9ecp-5, -0x1.a534ce4d2352ep-5, -0x1.bbc4ab0475168p-5, -0x1.d257b1dbd6fbcp-5, -0x1.e8ddc4d1dba57p-5, -0x1.ff46cab7dd7fep-5, -0x1.0ac15f53824aep-4, -0x1.15c0df6d58923p-4, -0x1.209a0d6d0abedp-4, -0x1.2b45306e7e032p-4, -0x1.35bab52d3f4dp-4, -0x1.3ff333d9e7bb7p-4, -0x1.49e7757861344p-4, -0x1.539078c3d3133p-4, -0x1.5ce77696d4a5fp-4, -0x1.65e5e5d85719p-4, -0x1.6e857eef5dfd1p-4, -0x1.76c03ec10efc7p-4, -0x1.7e90693de5bep-4, -0x1.85f08b83cf6ap-4, -0x1.8cdb7d9bb7025p-4, -0x1.934c63d98bd28p-4, -0x1.993eafe615fdep-4, -0x1.9eae2179feccep-4, -0x1.a396c6d15d68bp-4, -0x1.a7f4fcdeda6eep-4, -0x1.abc56f4512b1fp-4, -0x1.af05181c91f73p-4, -0x1.b1b13f8bf45fdp-4, -0x1.b3c77b378377ep-4, -0x1.b545ad8cd0f6bp-4, -0x1.b62a04ee599dp-4, -0x1.b672fac2aa5abp-4, -0x1.b61f526a08836p-4, -0x1.b52e181d0f59ep-4, -0x1.b39e9fb65f078p-4, -0x1.b17083690dc33p-4, -0x1.aea3a265420a8p-4, -0x1.ab381f6c1d783p-4, -0x1.a72e5f53d5e2cp-4, -0x1.a287077ce336ap-4, -0x1.9d42fc38c0b7bp-4, -0x1.97635f2303b39p-4, -0x1.90e98d6d3dafep-4, -0x1.89d71e1e3b925p-4, -0x1.822de045371c8p-4, -0x1.79efd92191db1p-4, -0x1.711f423fbee4cp-4, -0x1.67be878c10ca3p-4, -0x1.5dd0455c32538p-4, -0x1.5357467017868p-4, -0x1.485681eb511bcp-4, -0x1.3cd11947aed33p-4, -0x1.30ca56422eddp-4, -0x1.2445a8c343747p-4, -0x1.1746a4c37c028p-4, -0x1.09d1002da7094p-4, -0x1.f7d1217f091cfp-5, -0x1.db2293d4406d7p-5, -0x1.bd9e7565cfee1p-5, -0x1.9f4d172d1f06ep-5, -0x1.8036f8dd97698p-5, -0x1.6064c4b7c7809p-5, -0x1.3fdf4b6624d51p-5, -0x1.1eaf7fe53dca8p-5, -0x1.f9bce6f22d73p-6, -0x1.b4eaa362ad031p-6, -0x1.6efab8fb799c8p-6, -0x1.27ffd0a89d24bp-6, -0x1.c01961a9d855cp-7, -0x1.2e686c0918bd5p-7, -0x1.36252e671dc3fp-8, -0x1.8f726304bbcd3p-13, 0x1.1fe0295d5f897p-8, 0x1.275126c646baep-7, 0x1.bfbfa88fb4029p-7, 0x1.2c8afd85e8513p-6, 0x1.799758518f0bfp-6, 0x1.c6f24c7ddd448p-6, 0x1.0a44b31a14f48p-5, 0x1.31252dbbd976cp-5, 0x1.581188ba8b67cp-5, 0x1.7f00d0cec1ecep-5, 0x1.a5ea2f46c78bap-5, 0x1.ccc4ec5fde667p-5, 0x1.f388718569e9p-5, 0x1.0d1625bb0b41cp-4, 0x1.2054162790f87p-4, 0x1.3379f6bef0711p-4, 0x1.4683c8cbdb103p-4, 0x1.596da30c549ebp-4, 0x1.6c33b28466b11p-4, 0x1.7ed23b445bc69p-4, 0x1.914599229d398p-4, 0x1.a38a4069564d8p-4, 0x1.b59cbe77f4a31p-4, 0x1.c779ba58bee3ap-4, 0x1.d91df54a7fb55p-4, 0x1.ea864b3e8b297p-4, 0x1.fbafb34b360a5p-4, 0x1.064ba009726dep-3, 0x1.0e9d100feca0ap-3, 0x1.16cacf1a75c4bp-3, 0x1.1ed390c9ac68dp-3, 0x1.26b6171aeaa25p-3, 0x1.2e7132807bc77p-3, 0x1.3603c1f4ae441p-3, 0x1.3d6cb307b8bdap-3, 0x1.44ab01e8b0189p-3, 0x1.4bbdb969804c5p-3, 0x1.52a3f2fe283c2p-3, 0x1.595cd6b735f14p-3, 0x1.5fe79b37b0129p-3, 0x1.664385a67ff36p-3, 0x1.6c6fe99b8672cp-3, 0x1.726c290867fadp-3, 0x1.7837b41d3b9bfp-3, 0x1.7dd209293f91ap-3, 0x1.833ab477a84d1p-3, 0x1.88715028b0b96p-3, 0x1.8d7584071977bp-3, 0x1.9247055a20be8p-3, 0x1.96e596b435b79p-3, 0x1.9b5107be6d837p-3, 0x1.9f893500f694dp-3, 0x1.a38e07a89dbd6p-3, 0x1.a75f754998d15p-3, 0x1.aafd7f9fb145dp-3, 0x1.ae68344bfac4fp-3, 0x1.b19fac903fef5p-3, 0x1.b4a40d083eceap-3, 0x1.b7758560e8ddcp-3, 0x1.ba14500dc8f51p-3, 0x1.bc80b1fcb32b1p-3, 0x1.bebafa47e1d88p-3, 0x1.c0c381e6b486fp-3, 0x1.c29aab5d2423bp-3, 0x1.c440e26a1bf6ap-3, 0x1.c5b69bb4dfd39p-3, 0x1.c6fc547995834p-3, 0x1.c812923529afcp-3, 0x1.c8f9e250a0299p-3, 0x1.c9b2d9cbff04cp-3, 0x1.ca3e14e8f4394p-3, 0x1.ca9c36d54ca44p-3, 0x1.cacde95572f44p-3, 0x1.cad3dc6efae61p-3, 0x1.caaec613703c3p-3, 0x1.ca5f61cb707a8p-3, 0x1.c9e6706246d1p-3, 0x1.c944b79206affp-3, 0x1.c87b01b05aae8p-3, 0x1.c78a1d5c1413p-3, 0x1.c672dd2b94809p-3, 0x1.c536175c2989p-3, 0x1.c3d4a5827aae8p-3, 0x1.c24f643c0813dp-3, 0x1.c0a732e1ea3a5p-3, 0x1.bedcf33cd1ee5p-3, 0x1.bcf1893a5c9b8p-3, 0x1.bae5daa3da116p-3, 0x1.b8baced683b6ep-3, 0x1.b6714e7d4153bp-3, 0x1.b40a434bf9ac7p-3, 0x1.b18697bc913fbp-3, 0x1.aee736cd874f1p-3, 0x1.ac2d0bc255447p-3, 0x1.a95901e585e4bp-3, 0x1.a66c044c9a4ecp-3, 0x1.a366fd9db85f6p-3, 0x1.a04ad7d73412ap-3, 0x1.9d187c18f2205p-3, 0x1.99d0d26fa594fp-3, 0x1.9674c1a1f215bp-3, 0x1.93052eff7733cp-3, 0x1.8f82fe31b87fap-3, 0x1.8bef110ef4d4bp-3, 0x1.884a476ee411p-3, 0x1.84957f01534f7p-3, 0x1.80d19326b13b4p-3, 0x1.7cff5cca70194p-3, 0x1.791fb23f570a2p-3, 0x1.7533671d9f551p-3, 0x1.713b4c22f3b9fp-3, 0x1.6d382f1440314p-3, 0x1.692adaa14e97fp-3, 0x1.6514164a2bde2p-3, 0x1.60f4a6464f93p-3, 0x1.5ccd4b6d7de1dp-3, 0x1.589ec32259728p-3, 0x1.5469c73eaa745p-3, 0x1.502f0e01406fdp-3, 0x1.4bef49fd73462p-3, 0x1.47ab2a0c38ce3p-3, 0x1.4363593ec0feap-3, 0x1.3f187ed298a34p-3, 0x1.3acb3e273ca0ep-3, 0x1.367c36b51ea92p-3, 0x1.322c04060e2b6p-3, 0x1.2ddb3daefd9ap-3, 0x1.298a774b10a7fp-3, 0x1.253a4077f3804p-3, 0x1.20eb24d373ed4p-3, 0x1.1c9dabfa4049dp-3, 0x1.18525987d4277p-3, 0x1.1409ad177f4fp-3, 0x1.0fc422467c8e3p-3, 0x1.0b8230b7130a9p-3, 0x1.07444c14b0826p-3, 0x1.030ae418f8f6ap-3, 0x1.fdacc923728b6p-4, 0x1.f54e6acf80765p-4, 0x1.ecfb754cfb116p-4, 0x1.e4b4a908f2439p-4, 0x1.dc7abed8f88b1p-4, 0x1.d44e680ef10e6p-4, 0x1.cc304e8e2f736p-4, 0x1.c42114e1d6207p-4, 0x1.bc21565472e9cp-4, 0x1.b431a708a562p-4, 0x1.ac529412eaf64p-4, 0x1.a484a39448b22p-4, 0x1.9cc854d5f961dp-4, 0x1.951e2065dfae8p-4, 0x1.8d867833c2e33p-4, 0x1.8601c7af48a38p-4, 0x1.7e9073e68e041p-4, 0x1.7732dba55956bp-4, 0x1.6fe95794d4201p-4, 0x1.68b43a5bbc815p-4, 0x1.6193d0bf02a55p-4, 0x1.5a8861c2c17bbp-4, 0x1.53922ecb86714p-4, 0x1.4cb173bfdcb6p-4, 0x1.45e6672a0d49fp-4, 0x1.3f313a5a07ad7p-4, 0x1.3892198769e1bp-4, 0x1.32092bf39ab52p-4, 0x1.2b96940bea653p-4, 0x1.253a6f8bb2b88p-4, 0x1.1ef4d79e6906fp-4, 0x1.18c5e1019acacp-4, 0x1.12ad9c26cb0e4p-4, 0x1.0cac155527eafp-4, 0x1.06c154cb0f79fp-4, 0x1.00ed5edf5d5aap-4, 0x1.f6606844f1c84p-5, 0x1.eb13a2fe3779fp-5, 0x1.dff460b598e75p-5, 0x1.d5028d6c09ff3p-5, 0x1.ca3e0e97fd515p-5, 0x1.bfa6c36442cb7p-5, 0x1.b53c84ee1848dp-5, 0x1.aaff26826ae44p-5, 0x1.a0ee75da3c645p-5, 0x1.970a3b56233f8p-5, 0x1.8d523a38e04d7p-5, 0x1.83c630e10157bp-5, 0x1.7a65d90189276p-5, 0x1.7130e7d9998b3p-5, 0x1.68270e6b162f4p-5, 0x1.5f47f9b041555p-5, 0x1.569352d04676ep-5, 0x1.4e08bf52b6b08p-5, 0x1.45a7e151ecc0ep-5, 0x1.3d7057ac5b6dcp-5, 0x1.3561be34c0accp-5, 0x1.2d7bade13d362p-5, 0x1.25bdbcf94cfccp-5, 0x1.1e277f42a24d8p-5, 0x1.16b8862ce1d4ap-5, 0x1.0f7060fc3cb6ep-5, 0x1.084e9cf2edacdp-5, 0x1.0152c57994e72p-5, 0x1.f4f8c88cede82p-6, 0x1.e79603073be5bp-6, 0x1.da7c47e7badd5p-6, 0x1.cdaaa22d7a33dp-6, 0x1.c1201a96963c9p-6, 0x1.b4dbb7e3b0efap-6, 0x1.a8dc7f193c9a3p-6, 0x1.9d2173beada44p-6, 0x1.91a9981b882b1p-6, 0x1.8673ed725836p-6, 0x1.7b7f74399dac1p-6, 0x1.70cb2c52a500dp-6, 0x1.6656153e6972dp-6, 0x1.5c1f2e5072136p-6, 0x1.522576dfc23abp-6, 0x1.4867ee75d879p-6, 0x1.3ee594fbcc362p-6, 0x1.359d6ae595408p-6, 0x1.2c8e715b76429p-6, 0x1.23b7aa61a7ac7p-6, 0x1.1b1818fe38846p-6, 0x1.12aec15d3f261p-6, 0x1.0a7aa8f355057p-6, 0x1.027ad69e6e566p-6, 0x1.f55ca58a2c1aep-7, 0x1.e6284ee826487p-7, 0x1.d756c0f514468p-7, 0x1.c8e617092c061p-7, 0x1.bad47068e20bfp-7, 0x1.ad1ff07452a42p-7, 0x1.9fc6bed3f106ap-7, 0x1.92c707a2712acp-7, 0x1.861efb9417ea6p-7, 0x1.79ccd01b77166p-7, 0x1.6dcebf8baed0bp-7, 0x1.6223093840d79p-7, 0x1.56c7f19286a4cp-7, 0x1.4bbbc244e9574p-7, 0x1.40fcca4bdccfdp-7, 0x1.36895e0cbe3adp-7, 0x1.2c5fd76a998c7p-7, 0x1.227e95d8f5091p-7, 0x1.18e3fe6cab282p-7, 0x1.0f8e7beae7ecfp-7, 0x1.067c7ed657a5ap-7, 0x1.fb58faf5338d6p-8, 0x1.ea39e7ec1025ep-8, 0x1.d998c883c0d6fp-8, 0x1.c972ac71c40bdp-8, 0x1.b9c4af38dc2a1p-8, 0x1.aa8bf83073ecdp-8, 0x1.9bc5ba8943e83p-8, 0x1.8d6f354f579afp-8, 0x1.7f85b3698dec9p-8, 0x1.72068b96b01cap-8, 0x1.64ef20683bdap-8, 0x1.583ce03afb3fp-8, 0x1.4bed452d82e7p-8, 0x1.3ffdd514b2d4ap-8, 0x1.346c216e501bap-8, 0x1.2935c751d05c6p-8, 0x1.1e586f5f7216ap-8, 0x1.13d1cdadb0bdcp-8, 0x1.099fa1b5369e5p-8, 0x1.ff7f6c76ac4d1p-9, 0x1.ec5fc276543p-9, 0x1.d9dc079ad4dbbp-9, 0x1.c7f0141e1aa75p-9, 0x1.b697d60d8cf25p-9, 0x1.a5cf5112f0edfp-9, 0x1.95929e3b536e7p-9, 0x1.85ddebbc1b8cbp-9, 0x1.76ad7cb66f2f6p-9, 0x1.67fda8f901211p-9, 0x1.59cadcc071cbcp-9, 0x1.4c119876588dfp-9, 0x1.3ece706f1e318p-9, 0x1.31fe0ca6ba891p-9, 0x1.259d287c76f8fp-9, 0x1.19a8926dd453dp-9, 0x1.0e1d2bd09fdc5p-9, 0x1.02f7e88c6504fp-9, 0x1.f06b9da677de6p-10, 0x1.dba7edb446c49p-10, 0x1.c79f1521ceb5p-10, 0x1.b44b8ab371911p-10, 0x1.a1a7e7810144fp-10, 0x1.8faee6640bd79p-10, 0x1.7e5b6365f710cp-10, 0x1.6da85b2dfc988p-10, 0x1.5d90ea6f423c6p-10, 0x1.4e104d57175c5p-10, 0x1.3f21defb80077p-10, 0x1.30c118ca2d4f4p-10, 0x1.22e991f7fb96p-10, 0x1.1596fef107bc3p-10, 0x1.08c530c98b96ap-10, 0x1.f8e0295ef5655p-11, 0x1.e12766ba1f2f7p-11, 0x1.ca5861189dde2p-11, 0x1.b46b94d734b2p-11, 0x1.9f59b226c88e9p-11, 0x1.8b1b9bfa2b0b4p-11, 0x1.77aa66f66cafep-11, 0x1.64ff5865ceadap-11, 0x1.5313e52d77e2p-11, 0x1.41e1b0c5ffd5p-11, 0x1.31628c36ef727p-11, 0x1.2190751545e75p-11, 0x1.126594851d903p-11, 0x1.03dc3e3e7eed6p-11, 0x1.ebdddf2aea6b7p-12, 0x1.d1309d0ae56ccp-12, 0x1.b7a6518029133p-12, 0x1.9f34e57ea2b4fp-12, 0x1.87d28db638e13p-12, 0x1.7175c8c5174ddp-12, 0x1.5c155d7106762p-12, 0x1.47a858e7e488cp-12, 0x1.34260d074919bp-12, 0x1.21860eab5acd4p-12, 0x1.0fc03404e5654p-12, 0x1.fd9925ed5a12dp-13, 0x1.dd46fef410809p-13, 0x1.be7b14157cafp-13, 0x1.a126fc3456466p-13, 0x1.853cc11350269p-13, 0x1.6aaedc5865ef4p-13, 0x1.5170349e9afcap-13, 0x1.39741a9623a38p-13, 0x1.22ae4632e7912p-13, 0x1.0d12d3e93b128p-13, 0x1.f12c83f1a78bap-14, 0x1.ca5adb8b87223p-14, 0x1.a59b227efcbc6p-14, 0x1.82d880ab5e831p-14, 0x1.61feccf5ad7adp-14, 0x1.42fa88690ff3ap-14, 0x1.25b8d97244e4cp-14, 0x1.0a278735d0c9fp-14, 0x1.e069ea012dd29p-15, 0x1.afa03ba526531p-15, 0x1.81d12006cb254p-15, 0x1.56dcd200c0683p-15, 0x1.2ea4a24784793p-15, 0x1.090aef4996771p-15, 0x1.cbe63a814e017p-16, 0x1.8a831ce62d83cp-16, 0x1.4db7374a34601p-16, 0x1.154f197193484p-16, 0x1.c23245f17e532p-17, 0x1.61caea97e007dp-17, 0x1.090bcbf022694p-17, 0x1.6f37c54ef984bp-18, 0x1.b4956bf61f75fp-19, 0x1.4aabdb6afb67ap-20, -0x1.4237402216cep-21, -0x1.2e49072810d99p-19, -0x1.f503a936dd03dp-19, -0x1.52ed5d4ed480cp-18, -0x1.a0f055b2836ccp-18, -0x1.e50ed6ccba87bp-18, -0x1.0fe40256a7d7ap-17, -0x1.28cb1ba86aa16p-17, -0x1.3d7791328f9aep-17, -0x1.4e21fdfa863ep-17, -0x1.5b00d100b04f3p-17, -0x1.64485f8638076p-17, -0x1.6a2af6cf3d04p-17, -0x1.6cd8ed640f572p-17, -0x1.6c80b3d474f6cp-17, -0x1.694ee4ff9a901p-17, -0x1.636e55e394593p-17, -0x1.5b0824f7171b8p-17, -0x1.5043c9101a55ap-17, -0x1.43471fda27a2fp-17, -0x1.34367bded5437p-17, -0x1.2334b2232c33dp-17, -0x1.1063275c6e2cep-17, -0x1.f7c3b97da583bp-18, -0x1.cb9ef8d16bbd7p-18, -0x1.9c92cad95dbebp-18, -0x1.6ad76ef9f671fp-18, -0x1.36a2bc753bc67p-18, -0x1.002838551f8d8p-18, -0x1.8f32554d301f9p-19, -0x1.1a496613f9076p-19, -0x1.43df727470ee4p-20, -0x1.33db1436eee0fp-22, 0x1.5f059d7a856b8p-21, 0x1.b0f04d97b5c44p-20, 0x1.5b5df41b6f56dp-19, 0x1.e02b5bd762de7p-19, 0x1.334e1efee8df4p-18, 0x1.7737d72c174b4p-18, 0x1.bbb3eaeeb3fdp-18, 0x1.00527545dd25ap-17, 0x1.22f769e138c72p-17, 0x1.45bb81fbd412dp-17, 0x1.6892156beaad8p-17, 0x1.8b6f1eb6595d5p-17, 0x1.ae4734d179202p-17, 0x1.d10f851e62d95p-17, 0x1.f3bdcd96f9f01p-17, 0x1.0b242b979f0c1p-16, 0x1.1c52f8341db58p-16, 0x1.2d66f4099d4e9p-16, 0x1.3e5c0421d3f0dp-16, 0x1.4f2e48b71fc5cp-16, 0x1.5fda1ada190a9p-16, 0x1.705c0a2c5f618p-16, 0x1.80b0dab00c8fcp-16, 0x1.90d582ab19f4ap-16, 0x1.a0c7289e1ba33p-16, 0x1.b083214db3506p-16, 0x1.c006edde23c38p-16, 0x1.cf503a006d77p-16, 0x1.de5cda3065043p-16, 0x1.ed2aca0332844p-16, 0x1.fbb82a85b77ap-16, 0x1.0501a05525ef4p-15, 0x1.0c0539e2ad5a4p-15, 0x1.12e6260c2a9c7p-15, 0x1.19a3b8b5450e7p-15, 0x1.203d54d7b2ca8p-15, 0x1.26b26bdcd14dbp-15, 0x1.2d027cfd82767p-15, 0x1.332d14a814f2ep-15, 0x1.3931cbebfe791p-15, 0x1.3f1047eb3f141p-15, 0x1.44c839512d62cp-15, 0x1.4a595bce887a8p-15, 0x1.4fc3759a97f13p-15, 0x1.550656f92bf12p-15, 0x1.5a21d9c55839fp-15, 0x1.5f15e100b6e6ap-15, 0x1.63e258670e939p-15, 0x1.6887340631621p-15, 0x1.6d046fd9ed377p-15, 0x1.715a0f6be92fep-15, 0x1.75881d774b29ap-15, 0x1.798eab8ffe227p-15, 0x1.7d6dd1cd7f76fp-15, 0x1.8125ae7907c76p-15, 0x1.84b665bef7bb1p-15, 0x1.8820216362149p-15, 0x1.8b6310799dd58p-15, 0x1.8e7f671eb9e4ep-15, 0x1.91755e36bdae5p-15, 0x1.9445332c97062p-15, 0x1.96ef27b49d8a2p-15, 0x1.997381919132bp-15, 0x1.9bd28a5bfadb9p-15, 0x1.9e0c8f4bdaf37p-15, 0x1.a021e104880e9p-15, 0x1.a212d362b0647p-15, 0x1.a3dfbd4c62d65p-15, 0x1.a588f8830cc2bp-15, 0x1.a70ee17759e99p-15, 0x1.a871d71ee1d7bp-15, 0x1.a9b23acb918ebp-15, 0x1.aad07004bfc15p-15, 0x1.abccdc61d9fd1p-15, 0x1.aca7e7669bfbep-15, 0x1.ad61fa60be04dp-15, 0x1.adfb804710455p-15, 0x1.ae74e599eef6ap-15, 0x1.aece984505943p-15, 0x1.af09078251a56p-15, 0x1.af24a3be58dafp-15, 0x1.af21de7d852abp-15, 0x1.af012a429b62cp-15, 0x1.aec2fa764164ep-15, 0x1.ae67c34f88829p-15, 0x1.adeff9bd6f019p-15, 0x1.ad5c13515304fp-15, 0x1.acac862a4b53p-15, 0x1.abe1c8e157335p-15, 0x1.aafc527667e95p-15, 0x1.a9fc9a3e2dd21p-15, 0x1.a8e317d0acbf8p-15, 0x1.a7b042f885e9p-15, 0x1.a66493a2f65d5p-15, 0x1.a50081d07fdf1p-15, 0x1.a384858635afcp-15, 0x1.a1f116bfa55b2p-15, 0x1.a046ad6156d61p-15, 0x1.9e85c12bdf3f7p-15, 0x1.9caec9af794c2p-15, 0x1.9ac23e4027b0ap-15, 0x1.98c095ea537aep-15, 0x1.96aa4767e65cap-15, 0x1.947fc915da6ap-15, 0x1.924190ea39881p-15, 0x1.8ff0146a894ecp-15, 0x1.8d8bc8a29df47p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.b7e6b8f3fd42fp-5, 0x1.e582e67d0d87ep-5, 0x1.09ad6ee9b18d3p-4, 0x1.20a88cc04860ep-4, 0x1.37a0554ca6ab7p-4, 0x1.4e7f26976c4b9p-4, 0x1.652cce0db7de8p-4, 0x1.7b8f2832f2007p-4, 0x1.918abe841836dp-4, 0x1.a7035dfa42659p-4, 0x1.bbdca252ebd3cp-4, 0x1.cffa73ac3481ep-4, 0x1.e341751f53bap-4, 0x1.f59763dca4b1ap-4, 0x1.0371b376e3efbp-3, 0x1.0b87281a82982p-3, 0x1.130167c7a5659p-3, 0x1.19d6cc97c90f9p-3, 0x1.1ffec032ef3fdp-3, 0x1.2571c407b4ebep-3, 0x1.2a2974f63c5e7p-3, 0x1.2e208b0795b62p-3, 0x1.3152d5c3ae1f1p-3, 0x1.33bd35ae4d0e7p-3, 0x1.355d936911943p-3, 0x1.3632d4ed211e1p-3, 0x1.363cd144100fdp-3, 0x1.357c431c4d9dep-3, 0x1.33f2ba8ac8e69p-3, 0x1.31a28e4145682p-3, 0x1.2e8ecc7763c64p-3, 0x1.2abb2bbb8c948p-3, 0x1.262bfbd8ece52p-3, 0x1.20e616f83266ep-3, 0x1.1aeed31a4e277p-3, 0x1.144bf40664b81p-3, 0x1.0d039dbeebe96p-3, 0x1.051c478d4d922p-3, 0x1.f9395f5e905eap-4, 0x1.e7179f5ba0cfp-4, 0x1.d3e1a2c44836ap-4, 0x1.bfa60956562fep-4, 0x1.aa73aba630745p-4, 0x1.94598946b51c1p-4, 0x1.7d66b84720ff4p-4, 0x1.65aa55fda9f56p-4, 0x1.4d337913d0d54p-4, 0x1.341124c7d9c71p-4, 0x1.1a523d55d0b55p-4, 0x1.00057d79c5308p-4, 0x1.ca72d9f8d3cf1p-5, 0x1.93f8b07631215p-5, 0x1.5cb891385a15bp-5, 0x1.24cdfbc1aadbbp-5, 0x1.d8a7a116f91adp-6, 0x1.66c88d918f88bp-6, 0x1.e8638e3a7d4c1p-7, 0x1.0229c9207dd21p-7, 0x1.b43f9727f2a66p-11, -0x1.97e1907e6826ap-8, -0x1.b31a8960f8bbp-7, -0x1.4cf1454944018p-6, -0x1.bffaa4baa1bacp-6, -0x1.1940a1d75ba89p-5, -0x1.522f534b319e6p-5, -0x1.8ab6fb2602662p-5, -0x1.c2c5ffc51cc17p-5, -0x1.fa4b98a96a16fp-5, -0x1.189be698118b5p-4, -0x1.33bdb96e67802p-4, -0x1.4e84159fdec7cp-4, -0x1.68e830c19fbbbp-4, -0x1.82e3a3d489c42p-4, -0x1.9c7069c05f3bfp-4, -0x1.b588ddaf63009p-4, -0x1.ce27b94e1372fp-4, -0x1.e64812f2630adp-4, -0x1.fde55bad76a67p-4, -0x1.0a7daea569ed6p-3, -0x1.15c31c1fbd588p-3, -0x1.20c130c5b2f28p-3, -0x1.2b765047c1968p-3, -0x1.35e1066d21911p-3, -0x1.400005f631bd5p-3, -0x1.49d2277bf2ba5p-3, -0x1.5356684d376cdp-3, -0x1.5c8be94a608cfp-3, -0x1.6571edc03380ep-3, -0x1.6e07da427101bp-3, -0x1.764d3386b21e5p-3, -0x1.7e419d401312ap-3, -0x1.85e4d8fc19e68p-3, -0x1.8d36c50150749p-3, -0x1.94375b2ff1b9ap-3, -0x1.9ae6afe506c94p-3, -0x1.a144f0e04d1e9p-3, -0x1.a752642d310fp-3, -0x1.ad0f670f2640dp-3, -0x1.b27c6cf1a5661p-3, -0x1.b799fe5c04021p-3, -0x1.bc68b7e967512p-3, -0x1.c0e94944ff2e2p-3, -0x1.c51c742abdbdep-3, -0x1.c9030b6cafeefp-3, -0x1.cc9df1fd22cafp-3, -0x1.cfee19fdb541fp-3, -0x1.d2f483d37ee77p-3, -0x1.d5b23d4051c8dp-3, -0x1.d82860814c23cp-3, -0x1.da581372b91cp-3, -0x1.dc4286b95e584p-3, -0x1.dde8f4f143b7fp-3, -0x1.df4ca1e1ffbp-3, -0x1.e06ed9b891fb8p-3, -0x1.e150f046e0dc2p-3, -0x1.e1f44048c9139p-3, -0x1.e25a2aaed06d1p-3, -0x1.e28415ee8644cp-3, -0x1.e2736d5871823p-3, -0x1.e229a073ac915p-3, -0x1.e1a8225f14159p-3, -0x1.e0f06938006bbp-3, -0x1.e003ed86972d4p-3, -0x1.dee429af8a7c3p-3, -0x1.dd92996b56cd3p-3, -0x1.dc10b942e229cp-3, -0x1.da6006116fb8dp-3, -0x1.d881fc8bdde02p-3, -0x1.d67818cd157dp-3, -0x1.d443d5e7a1679p-3, -0x1.d1e6ad7c4bf4p-3, -0x1.cf621755c2703p-3, -0x1.ccb7890915474p-3, -0x1.c9e8759b095bcp-3, -0x1.c6f64d2a23b93p-3, -0x1.c3e27c9d53774p-3, -0x1.c0ae6d57204d5p-3, -0x1.bd5b84ed4d1e9p-3, -0x1.b9eb24e4cd13p-3, -0x1.b65eaa71f37ccp-3, -0x1.b2b76e3cc3459p-3, -0x1.aef6c42948c79p-3, -0x1.ab1dfb23dd869p-3, -0x1.a72e5cf1337adp-3, -0x1.a3292e02262bdp-3, -0x1.9f0fad4b1407fp-3, -0x1.9ae3141ebf17bp-3, -0x1.96a4960c90fdp-3, -0x1.925560c21b895p-3, -0x1.8df69befd2675p-3, -0x1.89896930cbb38p-3, -0x1.850ee3f577af8p-3, -0x1.8088217131a75p-3, -0x1.7bf6308a95ce2p-3, -0x1.775a19ce71d8cp-3, -0x1.72b4df65486ccp-3, -0x1.6e077d0b40aecp-3, -0x1.6952e80a713a8p-3, -0x1.64980f375e0e3p-3, -0x1.5fd7daefacedbp-3, -0x1.5b132d1ad1c9bp-3, -0x1.564ae12cc13dep-3, -0x1.517fcc2a729d5p-3, -0x1.4cb2bcb02d268p-3, -0x1.47e47af9851a9p-3, -0x1.4315c8eaee55p-3, -0x1.3e47621cd027ep-3, -0x1.3979fbe80c69cp-3, -0x1.34ae4573d5a5dp-3, -0x1.2fe4e7c4d62f8p-3, -0x1.2b1e85cd789a6p-3, -0x1.265bbc7f5d05ap-3, -0x1.219d22ddcbbb5p-3, -0x1.1ce34a1126e61p-3, -0x1.182ebd7b439cdp-3, -0x1.138002cc9609dp-3, -0x1.0ed79a1a1f156p-3, -0x1.0a35fdf418f08p-3, -0x1.059ba37d3d8ep-3, -0x1.0108fa82ab704p-3, -0x1.f8fcdb289b0d3p-4, -0x1.eff8c43b7c5f5p-4, -0x1.e70670ff305fcp-4, -0x1.de26985248066p-4, -0x1.d559e764b17e8p-4, -0x1.cca101ec46a7dp-4, -0x1.c3fc8259d6bcap-4, -0x1.bb6cfa0e862b9p-4, -0x1.b2f2f19182e3p-4, -0x1.aa8ee8c5e9dddp-4, -0x1.a2415720d364dp-4, -0x1.9a0aabdf66591p-4, -0x1.91eb4e3cfc081p-4, -0x1.89e39da92238ap-4, -0x1.81f3f1fd82d46p-4, -0x1.7a1c9bb39a227p-4, -0x1.725de41a2cf8ep-4, -0x1.6ab80d8a731b6p-4, -0x1.632b539ce75acp-4, -0x1.5bb7eb5db2b9ep-4, -0x1.545e0380a6fb2p-4, -0x1.4d1dc494bc46cp-4, -0x1.45f751370ab2dp-4, -0x1.3eeac645346b5p-4, -0x1.37f83b0f37ad8p-4, -0x1.311fc188a2423p-4, -0x1.2a6166791c6fap-4, -0x1.23bd31ac46fcdp-4, -0x1.1d332620e3d49p-4, -0x1.16c34237451p-4, -0x1.106d7fdefc127p-4, -0x1.0a31d4c3c4243p-4, -0x1.04103279a5078p-4, -0x1.fc110d508f184p-5, -0x1.f035766af6818p-5, -0x1.e48d6cddd2c6ap-5, -0x1.d918b665e2629p-5, -0x1.cdd7123158b9ap-5, -0x1.c2c8392e3801dp-5, -0x1.b7ebde56ed61ap-5, -0x1.ad41aefd3e0cbp-5, -0x1.a2c9531370f67p-5, -0x1.98826d73c5493p-5, -0x1.8e6c9c2628f7fp-5, -0x1.848778a436cddp-5, -0x1.7ad2981b770eap-5, -0x1.714d8badeabf9p-5, -0x1.67f7e0b0dd601p-5, -0x1.5ed120ea01a49p-5, -0x1.55d8d2cadaf6fp-5, -0x1.4d0e79aa79b6ap-5, -0x1.447195fd8876cp-5, -0x1.3c01a58cb305ap-5, -0x1.33be23a9663p-5, -0x1.2ba68960f382p-5, -0x1.23ba4dae16e8ap-5, -0x1.1bf8e5a8e53f1p-5, -0x1.1461c4b52c378p-5, -0x1.0cf45caf45bd6p-5, -0x1.05b01e176309p-5, -0x1.fd28f076b3323p-6, -0x1.ef41b2bdebe27p-6, -0x1.e1a95dc5b15e9p-6, -0x1.d45ecad3ccd54p-6, -0x1.c760d1fa9ffaep-6, -0x1.baae4a5e76a0ap-6, -0x1.ae460a781ef0bp-6, -0x1.a226e854dd6c5p-6, -0x1.964fb9d3c6854p-6, -0x1.8abf54e08e028p-6, -0x1.7f748fabd6be1p-6, -0x1.746e40e112368p-6, -0x1.69ab3fda0024fp-6, -0x1.5f2a64cfd5d3ap-6, -0x1.54ea890a25d6cp-6, -0x1.4aea870b88dc2p-6, -0x1.41293abc20317p-6, -0x1.37a58191fa74bp-6, -0x1.2e5e3ab76cb85p-6, -0x1.2552472f6726cp-6, -0x1.1c8089f7d98bcp-6, -0x1.13e7e82a32527p-6, -0x1.0b87491a05573p-6, -0x1.035d9671e7eb1p-6, -0x1.f6d3789d2743p-7, -0x1.e75552b0a8401p-7, -0x1.d83e9db5ab82fp-7, -0x1.c98d41b6bdcc3p-7, -0x1.bb3f2c5af75cbp-7, -0x1.ad52510c66b1ep-7, -0x1.9fc4a91b9159cp-7, -0x1.929433e02ca48p-7, -0x1.85bef6d72ffc2p-7, -0x1.7942fdbe3f78p-7, -0x1.6d1e5aaca4298p-7, -0x1.614f2629cc7ep-7, -0x1.55d37f417ef17p-7, -0x1.4aa98b95d42bap-7, -0x1.3fcf776ef5b9p-7, -0x1.354375c8dcc2dp-7, -0x1.2b03c05f05f02p-7, -0x1.210e97b63e0acp-7, -0x1.1762432496546p-7, -0x1.0dfd10d794f28p-7, -0x1.04dd55d8b5024p-7, -0x1.f802dc208eb64p-8, -0x1.e6cf788d8f218p-8, -0x1.d61d5449695d9p-8, -0x1.c5e95062039ecp-8, -0x1.b6305b9c58f4cp-8, -0x1.a6ef726c143b5p-8, -0x1.98239ee8bbdacp-8, -0x1.89c9f8c087ae7p-8, -0x1.7bdfa529028fep-8, -0x1.6e61d6cd95a41p-8, -0x1.614dcdbc15e92p-8, -0x1.54a0d74f7461bp-8, -0x1.48584e18a5fb8p-8, -0x1.3c7199c5e38eap-8, -0x1.30ea2f0854426p-8, -0x1.25bf8f784194fp-8, -0x1.1aef4977e6328p-8, -0x1.1076f814f2587p-8, -0x1.065442e8dc015p-8, -0x1.f909bbf01adc7p-9, -0x1.e60d132010915p-9, -0x1.d3ae244926153p-9, -0x1.c1e8a057ff2e6p-9, -0x1.b0b84ff54311bp-9, -0x1.a019133b09102p-9, -0x1.9006e168e71cdp-9, -0x1.807dc896c3621p-9, -0x1.7179ed66898c9p-9, -0x1.62f78ab4e2c23p-9, -0x1.54f2f1490e1bap-9, -0x1.47688783f1d5p-9, -0x1.3a54c90e842bep-9, -0x1.2db44687aa514p-9, -0x1.2183a5319791ap-9, -0x1.15bf9e9ed53a8p-9, -0x1.0a65005f01e2p-9, -0x1.fee15756b7853p-10, -0x1.e9bf2a2660249p-10, -0x1.d55d8850818e6p-10, -0x1.c1b6a65667dc6p-10, -0x1.aec4dd703aeeap-10, -0x1.9c82aae66d362p-10, -0x1.8aeaaf6ba538dp-10, -0x1.79f7ae773a942p-10, -0x1.69a48da07025dp-10, -0x1.59ec53fa77bdfp-10, -0x1.4aca297164825p-10, -0x1.3c39562824c71p-10, -0x1.2e3541d78fc04p-10, -0x1.20b9732ea9f2bp-10, -0x1.13c18f342f079p-10, -0x1.074958a96fa5bp-10, -0x1.f6995edd3f983p-11, -0x1.df8f1fd137871p-11, -0x1.c96c24d078289p-11, -0x1.b428d52681acp-11, -0x1.9fbdcd9dc9cc9p-11, -0x1.8c23df58476fbp-11, -0x1.79540eab7eef4p-11, -0x1.674792001cc9ap-11, -0x1.55f7d0b539858p-11, -0x1.455e620751243p-11, -0x1.35750bfb03138p-11, -0x1.2635c24ba4fb5p-11, -0x1.179aa55db5afbp-11, -0x1.099e01353b8ap-11, -0x1.f87498e02e552p-12, -0x1.ded44e88a4967p-12, -0x1.c650b504e57bcp-12, -0x1.aedfad37a73b6p-12, -0x1.9877655a1af6ep-12, -0x1.830e5718d8559p-12, -0x1.6e9b45b8ee4a5p-12, -0x1.5b153c45181cbp-12, -0x1.48738bc316b6bp-12, -0x1.36adc9712dc34p-12, -0x1.25bbcd0bbc0e8p-12, -0x1.1595af1af1695p-12, -0x1.0633c74892bf3p-12, -0x1.ef1d557b8fbc9p-13, -0x1.d33e5511d4c4bp-13, -0x1.b8bca4168a332p-13, -0x1.9f8acadd76a7dp-13, -0x1.879bc0469368dp-13, -0x1.70e2e6c89d006p-13, -0x1.5b54098b18b77p-13, -0x1.46e3598fabcdp-13, -0x1.33856aea9af9ep-13, -0x1.212f320a5488dp-13, -0x1.0fd6010dd62cp-13, -0x1.fedf0a5395111p-14, -0x1.dfe388385f43ap-14, -0x1.c2a6335cc43abp-14, -0x1.a7146a8aacda5p-14, -0x1.8d1c2effb52d7p-14, -0x1.74ac1fc55b937p-14, -0x1.5db37524814b9p-14, -0x1.4821fc33d4ca3p-14, -0x1.33e81280c9f85p-14, -0x1.20f6a1d2bb4c7p-14, -0x1.0f3f1c07cdc84p-14, -0x1.fd66ee166b592p-15, -0x1.de8c51c8e5bb3p-15, -0x1.c1d447be41f93p-15, -0x1.a725a595e2f0fp-15, -0x1.8e682aa6d8a5bp-15, -0x1.778478de1424ep-15, -0x1.62640dca890e9p-15, -0x1.4ef13bd667762p-15, -0x1.3d1723ac9ef23p-15, -0x1.2cc1adc9dbafbp-15, -0x1.1ddd8438319ddp-15, -0x1.10580c74a3486p-15, -0x1.041f617dba42cp-15, -0x1.f2449c14c78bcp-16, -0x1.dea08dd089003p-16, -0x1.cd32cb0182116p-16, -0x1.bddcc507cccb1p-16, -0x1.b0812170ee91bp-16, -0x1.a503afe0a7d0dp-16, -0x1.9b496040e9a8dp-16, -0x1.93383937821d7p-16, -0x1.8cb74edfeb405p-16, -0x1.87aeb9c7c984fp-16, -0x1.84078e2cab31ep-16, -0x1.81abd3797e0e2p-16, -0x1.80867c026c39dp-16, -0x1.80835cfd9551bp-16, -0x1.818f26b758672p-16, -0x1.83975d00bd239p-16, -0x1.868a4fd6ad075p-16, -0x1.8a571440975b5p-16, -0x1.8eed7d653d04p-16, -0x1.943e15d44a55ep-16, -0x1.9a3a19037fb3fp-16, -0x1.a0d36cfe21d42p-16, -0x1.a7fc9c4575544p-16, -0x1.afa8cfe10fc6dp-16, -0x1.b7cbc99dc29abp-16, -0x1.c059de79ffa2bp-16, -0x1.c947f13e82d57p-16, -0x1.d28b6d4221099p-16, -0x1.dc1a4157a3616p-16, -0x1.e5eadae48fe32p-16, -0x1.eff4211fcbfb5p-16, -0x1.fa2d707711e61p-16, -0x1.02474b0d12deep-15, -0x1.0787e5d568122p-15, -0x1.0cd4d9884c1e3p-15, -0x1.122aa937a4b2ep-15, -0x1.1786081fa4a08p-15, -0x1.1ce3d7c36c0e8p-15, -0x1.22412619a5ed7p-15, -0x1.279b2bc8ad8d1p-15, -0x1.2cef4a71d37c8p-15, -0x1.323b0b0b4c429p-15, -0x1.377c1c4860cd6p-15, -0x1.3cb0510f7b5b9p-15, -0x1.41d59efda18bap-15, -0x1.46ea1cf7017e4p-15, -0x1.4bec01c4287b8p-15, -0x1.50d9a2bb87f3cp-15, -0x1.55b17276e738cp-15, -0x1.5a71ff946dfccp-15, -0x1.5f19f382e5f3ep-15, -0x1.63a81158e39c9p-15, -0x1.681b34b67d8c8p-15, -0x1.6c7250b142a3bp-15, -0x1.70ac6eca1b325p-15, -0x1.74c8adecca209p-15, -0x1.78c64178bed66p-15, -0x1.7ca47052efd2ap-15, -0x1.806294007249ap-15, -0x1.840017c98ab33p-15, -0x1.877c77e4f0618p-15, -0x1.8ad740ab00c2dp-15, -0x1.8e100dd0a286ap-15, -0x1.912689a994ecfp-15, -0x1.941a6c71f531ap-15, -0x1.96eb7b9eb545ep-15, -0x1.99998934cdcacp-15, -0x1.9c247326f4e6fp-15, -0x1.9e8c22b99bfe7p-15, -0x1.a0d08bed0461bp-15, -0x1.a2f1aced3430cp-15, -0x1.a4ef8d87995d7p-15, -0x1.a6ca3ea62a291p-15, -0x1.a881d9cfcee0cp-15, -0x1.aa1680adef025p-15, -0x1.ab885c96ec1bcp-15, -0x1.acd79e1d6267ep-15, -0x1.ae047ca40614p-15, -0x1.af0f35f5f13bcp-15, -0x1.aff80de3392acp-15, -0x1.b0bf4de1abe94p-15, -0x1.b16544b18683fp-15, -0x1.b1ea460604b75p-15, -0x1.b24eaa31a8d85p-15, -0x1.b292cdd613fd6p-15, -0x1.b2b71197524c5p-15, -0x1.b2bbd9d2770acp-15, -0x1.b2a18e576dc6cp-15, -0x1.b2689a25debaap-15, -0x1.b2116b2d0b655p-15, -0x1.b19c720e85cd1p-15, -0x1.b10a21e3a7c2fp-15, -0x1.b05af005afd99p-15, -0x1.af8f53d86966bp-15, -0x1.aea7c69749945p-15, -0x1.ada4c324e50bcp-15, -0x1.ac86c5dcab21dp-15, -0x1.ab4e4c66cf194p-15, -0x1.a9fbd58e480f9p-15, -0x1.a88fe118d47c9p-15, -0x1.a70aefa0ee888p-15, -0x1.a56d8271985bcp-15, -0x1.a3b81b63f4293p-15, -0x1.a1eb3cbe91f86p-15, -0x1.a0076916612c2p-15, -0x1.9e0d233137b7fp-15, -0x1.9bfcede9dc49p-15, -0x1.99d74c1583876p-15, -0x1.979cc06ab545p-15, -0x1.954dcd6983438p-15, -0x1.92eaf5450b14dp-15, -0x1.9074b9ce3227fp-15, -0x1.8deb9c5f8df3dp-15, -0x1.8b501dca6d726p-15, -0x1.88a2be44f6964p-15, -0x1.85e3fd594cecep-15, -0x1.831459d5b52c4p-15, -0x1.803451bdac4f2p-15, -0x1.7d44623be4ea2p-15, -0x1.7a45079523e21p-15, -0x1.7736bd1bf157cp-15, -0x1.7419fd2513b31p-15, -0x1.70ef40fccd3c5p-15, -0x1.6db700dcd3415p-15, -0x1.6a71b3e2f5c62p-15, -0x1.671fd00870e6bp-15, -0x1.63c1ca19de312p-15, -0x1.605815afc371ap-15, -0x1.5ce32527af72cp-15, -0x1.5963699de7efdp-15, -0x1.55d952e79a4fcp-15, -0x1.52454f8d8d004p-15, -0x1.4ea7ccc749828p-15, -0x1.4b013676bb338p-15, -0x1.4751f7243b404p-15, -0x1.439a77fb05cccp-15, -0x1.3fdb20c615126p-15, -0x1.3c1457ed55d76p-15, -0x1.384682733e42fp-15, -0x1.347203f2b2defp-15, -0x1.30973e9d41b6bp-15, -0x1.2cb69339aa8eep-15, -0x1.28d06122ae17fp-15, -0x1.24e506462643dp-15, -0x1.20f4df245da88p-15, -0x1.1d0046cfa92d9p-15, -0x1.190796ec39924p-15, -0x1.150b27b027ad5p-15, -0x1.110b4fe3b4eaap-15, -0x1.0d0864e1c0076p-15, -0x1.0902ba9865c1ep-15, -0x1.04faa389d39e8p-15, -0x1.00f070cd40dd3p-15, -0x1.f9c8e420249d2p-16, -0x1.f1adeb2e4743cp-16, -0x1.e990908065209p-16, -0x1.e1716b06de497p-16, -0x1.d9510eea5264dp-16, -0x1.d1300d8f36ad5p-16, -0x1.c90ef599a9ed3p-16, -0x1.c0ee52f1746efp-16, -0x1.b8ceaec64021dp-16, -0x1.b0b08f93fe23fp-16, -0x1.a8947927727d3p-16, -0x1.a07aeca2eeb0cp-16, -0x1.986468832f9cep-16, -0x1.905168a45bc8bp-16, -0x1.8842664727293p-16, -0x1.8037d81613016p-16, -0x1.7832322ac86b3p-16, -0x1.7031e6138fb35p-16, -0x1.683762d8e25e2p-16, -0x1.604315030a259p-16, -0x1.5855669fdfaa8p-16, -0x1.506ebf48933e1p-16, -0x1.488f84278ee22p-16, -0x1.40b817fe5ec68p-16, -0x1.38e8db2bb01ccp-16, -0x1.31222bb158917p-16, -0x1.2964653a6b761p-16, -0x1.21afe12156202p-16, -0x1.1a04f67609f8ap-16, -0x1.1263fa042a263p-16, -0x1.0acd3e5942953p-16, -0x1.034113cb06edp-16, -0x1.f77f90fb230a6p-17, -0x1.e89350d35771ap-17, -0x1.d9bdfac62991fp-17, -0x1.cb001e3da2c95p-17, -0x1.bc5a4672eada3p-17, -0x1.adccfa7aeb4e4p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d0bdf50921242p-2, 0x1.d37a3e09b241ap-2, 0x1.d64c4be7260ecp-2, 0x1.d9271f074f1efp-2, 0x1.dbfec96334a84p-2, 0x1.dec8b87adcb27p-2, 0x1.e17bdedcddea5p-2, 0x1.e410c3d91245ep-2, 0x1.e6817f79dabd8p-2, 0x1.e8c9a81b96f32p-2, 0x1.eae6361d5cb59p-2, 0x1.ecd5614cb0d18p-2, 0x1.ee967ae7d879dp-2, 0x1.f029c666000d1p-2, 0x1.f19052a42313ep-2, 0x1.f2cbd49fb9faep-2, 0x1.f3de848a2e29fp-2, 0x1.f4cafdb6843cep-2, 0x1.f59421aa06725p-2, 0x1.f63cfe6e18161p-2, 0x1.f6c8b821bdd4bp-2, 0x1.f73a75b295d7ep-2, 0x1.f79550952c5a9p-2, 0x1.f7dc4749ed4fep-2, 0x1.f8123275a1af2p-2, 0x1.f839bc50ef705p-2, 0x1.f8555a3170527p-2, 0x1.f86747efa4552p-2, 0x1.f87184ef0b542p-2, 0x1.f875d2909331ap-2, 0x1.f875b3db0a836p-2, 0x1.f8726e291c785p-2, 0x1.f86d0ab06ec5ap-2, 0x1.f86658b9974f6p-2, 0x1.f85ef064af636p-2, 0x1.f85735da4958fp-2, 0x1.f84f5ccc4ade2p-2, 0x1.f8476c2dd068fp-2, 0x1.f83f420c8dc54p-2, 0x1.f836977937ce9p-2, 0x1.f82d046f624ddp-2, 0x1.f82203afbff36p-2, 0x1.f814f6821afeap-2, 0x1.f80528565a01ep-2, 0x1.f7f1d23dd132fp-2, 0x1.f7da1e37ae52dp-2, 0x1.f7bd2a4cc76d6p-2, 0x1.f79a0b784118dp-2, 0x1.f76fd05b9a54p-2, 0x1.f73d83bd80206p-2, 0x1.f7022ed3a192ap-2, 0x1.f6bcdb5840276p-2, 0x1.f66c956cccce1p-2, 0x1.f6106d4b418dep-2, 0x1.f5a778c832dd4p-2, 0x1.f530d4a7d5bbfp-2, 0x1.f4aba5c861698p-2, 0x1.f4171a2446e9cp-2, 0x1.f37269aed19cdp-2, 0x1.f2bcd70dc18aap-2, 0x1.f1f5b03270034p-2, 0x1.f11c4ed4fcbc2p-2, 0x1.f03018d3fbda9p-2, 0x1.ef30807af94aep-2, 0x1.ee1d04b219754p-2, 0x1.ecf53118fadcdp-2, 0x1.ebb89e0ee4ea2p-2, 0x1.ea66f0aa2c0e9p-2, 0x1.e8ffdaa09bb07p-2, 0x1.e7831a22907bap-2, 0x1.e5f079aa53c0cp-2, 0x1.e447cfc12b142p-2, 0x1.e288febb6fb4fp-2, 0x1.e0b3f46ce9f3ap-2, 0x1.dec8a9d68c454p-2, 0x1.dcc722ce9a4abp-2, 0x1.daaf6da427f97p-2, 0x1.d881a2bec7145p-2, 0x1.d63de43b3058bp-2, 0x1.d3e45d8591b25p-2, 0x1.d17542f22582fp-2, 0x1.cef0d154a1ec4p-2, 0x1.cc574d9700f9dp-2, 0x1.c9a9045012b3p-2, 0x1.c6e6495a42306p-2, 0x1.c40f776ae3e9dp-2, 0x1.c124efaa60ccep-2, 0x1.be27194d855a5p-2, 0x1.bb1661302b553p-2, 0x1.b7f339717dc81p-2, 0x1.b4be191200478p-2, 0x1.b1777b9380261p-2, 0x1.ae1fe09b19d1ep-2, 0x1.aab7cb956697ap-2, 0x1.a73fc35cf437p-2, 0x1.a3b851e31299cp-2, 0x1.a02203db119ffp-2, 0x1.9c7d6867f4489p-2, 0x1.98cb10ccaacdbp-2, 0x1.950b901ed4255p-2, 0x1.913f7afc164bbp-2, 0x1.8d676742064c5p-2, 0x1.8983ebc8a8d7cp-2, 0x1.8595a01f884f7p-2, 0x1.819d1c4d612b2p-2, 0x1.7d9af89259b77p-2, 0x1.798fcd2ccdfa3p-2, 0x1.757c32209d439p-2, 0x1.7160bf00fb9efp-2, 0x1.6d3e0abcbc24fp-2, 0x1.6914ab6d0bd2cp-2, 0x1.64e5362697304p-2, 0x1.60b03ecd0bcfap-2, 0x1.5c7657e8f4c6p-2, 0x1.5838127fd9edp-2, 0x1.53f5fdeea5e11p-2, 0x1.4fb0a7c63da22p-2, 0x1.4b689baa3e65dp-2, 0x1.471e6331dcc59p-2, 0x1.42d285cacf4a7p-2, 0x1.3e85889e3ff19p-2, 0x1.3a37ee77b3817p-2, 0x1.35ea37add82d1p-2, 0x1.319ce20d355cap-2, 0x1.2d5068c4a69dfp-2, 0x1.290544539c052p-2, 0x1.24bbea7a0c336p-2, 0x1.2074ce2a0ec6dp-2, 0x1.1c305f7b12726p-2, 0x1.17ef0b9e9b646p-2, 0x1.13b13cd683d2fp-2, 0x1.0f775a6cac358p-2, 0x1.0b41c8ac0edb3p-2, 0x1.0710e8db2cc06p-2, 0x1.02e51937c0b9bp-2, 0x1.fd7d69e76215ap-3, 0x1.f53c28665d62ap-3, 0x1.ed071817f4f3ep-3, 0x1.e4dedd0b7749fp-3, 0x1.dcc41536c4c35p-3, 0x1.d4b7587b0f3b5p-3, 0x1.ccb938ab782a6p-3, 0x1.c4ca41957bb19p-3, 0x1.bceaf90b0aa73p-3, 0x1.b51bdeee420edp-3, 0x1.ad5d6d3ea83bbp-3, 0x1.a5b01827d1b5dp-3, 0x1.9e144e11697bcp-3, 0x1.968a77b07349ap-3, 0x1.8f12f819c29e6p-3, 0x1.87ae2cd585125p-3, 0x1.805c6df3df1dcp-3, 0x1.791e0e2271177p-3, 0x1.71f35ac2c388ep-3, 0x1.6adc9c0183198p-3, 0x1.63da14ee74503p-3, 0x1.5cec03951e4a9p-3, 0x1.5612a1160230bp-3, 0x1.4f4e21c070fd7p-3, 0x1.489eb52cce591p-3, 0x1.420486574b144p-3, 0x1.3b7fbbbafb1ep-3, 0x1.3510776d3fea9p-3, 0x1.2eb6d73976958p-3, 0x1.2872f4bcdc8ccp-3, 0x1.2244e582a2da1p-3, 0x1.1c2cbb201e73ep-3, 0x1.162a835113d24p-3, 0x1.103e48140527ap-3, 0x1.0a680fc687a3p-3, 0x1.04a7dd4187fb8p-3, 0x1.fdfb5feb0e231p-4, 0x1.f2d3080d5fb81p-4, 0x1.e7d6a4d1a968fp-4, 0x1.dd0621f66a715p-4, 0x1.d26165483cb3fp-4, 0x1.c7e84ed88d627p-4, 0x1.bd9ab933dfc84p-4, 0x1.b378799781954p-4, 0x1.a9816026a61bcp-4, 0x1.9fb5381eddf2cp-4, 0x1.9613c80bdf609p-4, 0x1.8c9cd1faa5886p-4, 0x1.835013abbf7aap-4, 0x1.7a2d46c4e3ea2p-4, 0x1.71342101b5a43p-4, 0x1.68645463b13c6p-4, 0x1.5fbd8f6142dd2p-4, 0x1.573f7d13fc7eep-4, 0x1.4ee9c565e6e64p-4, 0x1.46bc0d3dea3d1p-4, 0x1.3eb5f6ab4bd07p-4, 0x1.36d721103a9ecp-4, 0x1.2f1f294b6b0ecp-4, 0x1.278da9e0bce46p-4, 0x1.20223b20ecac4p-4, 0x1.18dc73504b595p-4, 0x1.11bbe6cc7f973p-4, 0x1.0ac028314b316p-4, 0x1.03e8c87c594edp-4, 0x1.fa6aae6022ec5p-5, 0x1.ed4ac4eae563bp-5, 0x1.e070ee79ead9dp-5, 0x1.d3dc42bced557p-5, 0x1.c78bd7705a435p-5, 0x1.bb7ec09953413p-5, 0x1.afb410bfcb1fep-5, 0x1.a42ad926bf1c6p-5, 0x1.98e22a0296de1p-5, 0x1.8dd912ada977dp-5, 0x1.830ea1daf3081p-5, 0x1.7881e5c6fc06bp-5, 0x1.6e31ec66f8954p-5, 0x1.641dc3962b6e3p-5, 0x1.5a44794189491p-5, 0x1.50a51b91aefe3p-5, 0x1.473eb913268c5p-5, 0x1.3e1060dd0ad45p-5, 0x1.351922b60bce8p-5, 0x1.2c580f37de207p-5, 0x1.23cc37f11c0fep-5, 0x1.1b74af859f353p-5, 0x1.135089cd5f3e7p-5, 0x1.0b5edbf1d568ap-5, 0x1.039ebc89f7afap-5, 0x1.f81e8769927aep-6, 0x1.e95f16651fdddp-6, 0x1.dafd5cf969d09p-6, 0x1.ccf795b8aa4e6p-6, 0x1.bf4bfeff24828p-6, 0x1.b1f8db1b4481dp-6, 0x1.a4fc70735e541p-6, 0x1.985509a90fd14p-6, 0x1.8c00f5ba60109p-6, 0x1.7ffe8820a58f1p-6, 0x1.744c18ed482ap-6, 0x1.68e804e46e681p-6, 0x1.5dd0ad959febfp-6, 0x1.5304797278815p-6, 0x1.4881d3e370b17p-6, 0x1.3e472d5ad1bp-6, 0x1.3452fb65e14aap-6, 0x1.2aa3b8bc57728p-6, 0x1.2137e54e2abf6p-6, 0x1.180e064fc095ep-6, 0x1.0f24a6449559cp-6, 0x1.067a550864696p-6, 0x1.fc1b4fadc5c6p-7, 0x1.ebba72a430e97p-7, 0x1.dbcf530ec9ffcp-7, 0x1.cc573be682432p-7, 0x1.bd4f83077feb8p-7, 0x1.aeb58933dddefp-7, 0x1.a086ba14153f3p-7, 0x1.92c08c354ec15p-7, 0x1.856081059ea0ap-7, 0x1.786424ce4fc3cp-7, 0x1.6bc90eac424cfp-7, 0x1.5f8ce0868ed79p-7, 0x1.53ad470368c1fp-7, 0x1.4827f97b6b242p-7, 0x1.3cfab9eb52901p-7, 0x1.322354e44d1ffp-7, 0x1.279fa17adc2dbp-7, 0x1.1d6d81346db2cp-7, 0x1.138adff3b84bap-7, 0x1.09f5b3e3ecb9cp-7, 0x1.00abfd62ce102p-7, 0x1.ef578dd386ccap-8, 0x1.dde649ebe3b0cp-8, 0x1.cd006bdee047ep-8, 0x1.bca2441f43121p-8, 0x1.acc8368d93e3ep-8, 0x1.9d6eba41ce6a2p-8, 0x1.8e925953bc6ecp-8, 0x1.802fb0a216461p-8, 0x1.72436f987e374p-8, 0x1.64ca57f47547fp-8, 0x1.57c13d895f15fp-8, 0x1.4b250603aafc7p-8, 0x1.3ef2a8ab3f3a2p-8, 0x1.33272e2532c37p-8, 0x1.27bfb034f4b66p-8, 0x1.1cb9597cec22ep-8, 0x1.1211653eac052p-8, 0x1.07c51f1ac81c1p-8, 0x1.fba3c5a0bc11fp-9, 0x1.e86a37f8ca055p-9, 0x1.d5d88bb1a8e18p-9, 0x1.c3e9d5f75f02ap-9, 0x1.b2994a2c08b78p-9, 0x1.a1e23965e0c9dp-9, 0x1.91c011ed67fcep-9, 0x1.822e5ebbc7a7ep-9, 0x1.7328c6f98952p-9, 0x1.64ab0d7db7943p-9, 0x1.56b1104d83d54p-9, 0x1.4936c81c7dd52p-9, 0x1.3c3847cd7bfadp-9, 0x1.2fb1bbf43bb99p-9, 0x1.239f6a57d3ef8p-9, 0x1.17fdb1760993cp-9, 0x1.0cc908078fb3ep-9, 0x1.01fdfc854a67p-9, 0x1.ef32695d3eceep-10, 0x1.db2eda21bbcc2p-10, 0x1.c7eaf11f98729p-10, 0x1.b5607fdede391p-10, 0x1.a38982be00bb9p-10, 0x1.9260200a70e07p-10, 0x1.81dea71bbe241p-10, 0x1.71ff8f716fb2cp-10, 0x1.62bd77d39550bp-10, 0x1.5413257627b5bp-10, 0x1.45fb831f45de5p-10, 0x1.3871a0504d12dp-10, 0x1.2b70b071ea09ep-10, 0x1.1ef40a031904cp-10, 0x1.12f725cb2a49ep-10, 0x1.07759e0ec8bc5p-10, 0x1.f8d65b9021bcap-11, 0x1.e3a75fc3720d7p-11, 0x1.cf563cea90683p-11, 0x1.bbdb2418d765bp-11, 0x1.a92e81cac8c49p-11, 0x1.9748fc751df24p-11, 0x1.8623731a151adp-11, 0x1.75b6fbe4f350cp-11, 0x1.65fce2cbbf68p-11, 0x1.56eea837313bfp-11, 0x1.4885ffb0d0332p-11, 0x1.3abcce973d9fep-11, 0x1.2d8d2ad8a1c22p-11, 0x1.20f159b33723ap-11, 0x1.14e3ce7bea9f4p-11, 0x1.095f296b03eabp-11, 0x1.fcbc6cdda35dp-12, 0x1.e7b7d80891789p-12, 0x1.d3a6d42b1b35p-12, 0x1.c07ff1bcb46dp-12, 0x1.ae3a0fac66b4ap-12, 0x1.9ccc5940bd2c1p-12, 0x1.8c2e4403171a7p-12, 0x1.7c578db63ea47p-12, 0x1.6d403a58290abp-12, 0x1.5ee0922ebb838p-12, 0x1.51311fdf76f6p-12, 0x1.442aae91e5a84p-12, 0x1.37c6481caa748p-12, 0x1.2bfd333d0c235p-12, 0x1.20c8f1d8dab0dp-12, 0x1.16233f4a87c1ap-12, 0x1.0c060eb74e407p-12, 0x1.026b896f451d1p-12, 0x1.f29c1aae6860dp-13, 0x1.e15056b812ff2p-13, 0x1.d0e94bdf83a85p-13, 0x1.c15cdf1f4a478p-13, 0x1.b2a152a75c7bcp-13, 0x1.a4ad430de16f1p-13, 0x1.9777a491bce89p-13, 0x1.8af7c06e8889bp-13, 0x1.7f2532419d88ap-13, 0x1.73f7e57ff8de1p-13, 0x1.696812fc9984dp-13, 0x1.5f6e3e7f1625p-13, 0x1.5603346a10fddp-13, 0x1.4d2007715236ap-13, 0x1.44be0e5f201b7p-13, 0x1.3cd6e1e8a2d37p-13, 0x1.35645a90f898fp-13, 0x1.2e608e9ab264ap-13, 0x1.27c5d0077496ap-13, 0x1.218eaaa5660c5p-13, 0x1.1bb5e22a33174p-13, 0x1.1636705b4cf62p-13, 0x1.110b83432b43cp-13, 0x1.0c307b733e4bep-13, 0x1.07a0ea524f9ep-13, 0x1.035890770a9d5p-13, 0x1.fea6b81cddcd8p-14, 0x1.f71ace9bb6fa6p-14, 0x1.f005ede0f05e9p-14, 0x1.e960f17f83899p-14, 0x1.e325044dc8903p-14, 0x1.dd4b9da16af92p-14, 0x1.d7ce7ea017e6ep-14, 0x1.d2a7afa451c79p-14, 0x1.cdd17db60f77ap-14, 0x1.c94678169a554p-14, 0x1.c5016ddf2d298p-14, 0x1.c0fd6bb1ff3d5p-14, 0x1.bd35b97d19789p-14, 0x1.b9a5d84eaf498p-14, 0x1.b649803a6ed24p-14, 0x1.b31c9e4f68e16p-14, 0x1.b01b529e266d7p-14, 0x1.ad41ee4e74ad9p-14, 0x1.aa8cf1c48bf06p-14, 0x1.a7f90ad5234d7p-14, 0x1.a583130823bacp-14, 0x1.a3280de96616bp-14, 0x1.a0e52767631b6p-14, 0x1.9eb7b23f30396p-14, 0x1.9c9d26759fe9bp-14, 0x1.9a931fdd1313cp-14, 0x1.98975ca7a9058p-14, 0x1.96a7bc0576cd5p-14, 0x1.94c23cce71d49p-14, 0x1.92e4fc37b9c9p-14, 0x1.910e3493f067fp-14, 0x1.8f3c3c1e50cep-14, 0x1.8d6d83d0384bfp-14, 0x1.8ba09640d261ep-14, 0x1.89d4168ea22bfp-14, 0x1.8806bf529b99cp-14, 0x1.8637619c89cb8p-14, 0x1.8464e3f87a843p-14, 0x1.828e417ceb248p-14, 0x1.80b288e178207p-14, 0x1.7ed0db9dc9394p-14, 0x1.7ce86d108104p-14, 0x1.7af881adedcdcp-14, 0x1.79006e36437b6p-14, 0x1.76ff96f321252p-14, 0x1.74f56efc2b1f6p-14, 0x1.72e17782810f3p-14, 0x1.70c33f22dae4fp-14, 0x1.6e9a613e16b3p-14, 0x1.6c668558037e4p-14, 0x1.6a275e7c3abc8p-14, 0x1.67dcaaa8d132ep-14, 0x1.6586323eb6da5p-14, 0x1.6323c777915dcp-14, 0x1.60b545e0e84dcp-14, 0x1.5e3a91dc7519ap-14, 0x1.5bb398256d5f2p-14, 0x1.59204d5a9d69bp-14, 0x1.5680ad8d2915ep-14, 0x1.53d4bbd3d026p-14, 0x1.511c81e28b28fp-14, 0x1.4e580fa65e2dcp-14, 0x1.4b877ae53ce15p-14, 0x1.48aadee1de08dp-14, 0x1.45c25c0359c88p-14, 0x1.42ce178073e82p-14, 0x1.3fce3b0e72607p-14, 0x1.3cc2f4935d3f6p-14, 0x1.39ac75db8fbecp-14, 0x1.368af45276876p-14, 0x1.335ea8be640f8p-14, 0x1.3027ceff5c1a9p-14, 0x1.2ce6a5d0bcf2cp-14, 0x1.299b6e8dab56ep-14, 0x1.26466cf82a0d9p-14, 0x1.22e7e702c18e8p-14, 0x1.1f80249ca16a8p-14, 0x1.1c0f6f8026bb4p-14, 0x1.18961303abaeap-14, 0x1.15145bec9220bp-14, 0x1.118a98446c9f2p-14, 0x1.0df91730379b9p-14, 0x1.0a6028c98b055p-14, 0x1.06c01df9b5846p-14, 0x1.03194856a9608p-14, 0x1.fed7f4035e05dp-15, 0x1.f7710b0f8e8b7p-15, 0x1.effe7b876132bp-15, 0x1.e880eb82f715ap-15, 0x1.e0f9014741f49p-15, 0x1.d967631317e99p-15, 0x1.d1ccb6ef09a1fp-15, 0x1.ca29a27fe805dp-15, 0x1.c27ecadbd7137p-15, 0x1.baccd461d73b9p-15, 0x1.b3146293ac627p-15, 0x1.ab5617f203e65p-15, 0x1.a39295dacbf98p-15, 0x1.9bca7c699be4p-15, 0x1.93fe6a5a1cf55p-15, 0x1.8c2efcec5b4b4p-15, 0x1.845ccfcaedd9fp-15, 0x1.7c887cf2dbc4dp-15, 0x1.74b29c9d33814p-15, 0x1.6cdbc52a39191p-15, 0x1.65048b0e211a5p-15, 0x1.5d2d80bf423a9p-15, 0x1.555736a5ad761p-15, 0x1.4d823b0c200fep-15, 0x1.45af1a123bfd7p-15, 0x1.3dde5d9ffa7dfp-15, 0x1.36108d5a49037p-15, 0x1.2e462e98c4898p-15, 0x1.267fc45c837fap-15, 0x1.1ebdcf47e48cbp-15, 0x1.1700cd9752ad9p-15, 0x1.0f493b1af665bp-15, 0x1.079791314427p-15, 0x1.ffd88d84c684cp-16, 0x1.f08fa078b82a9p-16, 0x1.e1553f200df12p-16, 0x1.d22a485d6976cp-16, 0x1.c30f961100306p-16, 0x1.b405fd168cab2p-16, 0x1.a50e4d4477194p-16, 0x1.9629516c20423p-16, 0x1.8757cf5b4bf5fp-16, 0x1.789a87de87b3ep-16, 0x1.69f236c4962a8p-16, 0x1.5b5f92e2be6b2p-16, 0x1.4ce34e19fd606p-16, 0x1.3e7e155d02787p-16, 0x1.303090b6f83b9p-16, 0x1.21fb6353004eep-16, 0x1.13df2b8460022p-16, 0x1.05dc82cf4aab2p-16, 0x1.efe7fbe49ad52p-17, 0x1.d44c59e079491p-17, 0x1.b8e73635649e5p-17, 0x1.9db99e3a00892p-17, 0x1.82c4960f2ea0bp-17, 0x1.680918b7b8f9ap-17, 0x1.4d881830b0bffp-17, 0x1.33427d8a9b9fbp-17, 0x1.193929033227ep-17, 0x1.fed9e43f89d74p-18, 0x1.cbbd4f905561cp-18, 0x1.991e20c45e0e3p-18, 0x1.66fdd3dae8e53p-18, 0x1.355dd43f80bfbp-18, 0x1.043f7d0347387p-18, 0x1.a748322dde303p-19, 0x1.4719c70a8ee64p-19, 0x1.cfec1eb920c49p-20, 0x1.13be860a33e4cp-20, 0x1.66bbdbf2e8345p-22, -0x1.78fa5d619f461p-22, -0x1.140668ca3489dp-20, -0x1.c7a4fb274cac5p-20, -0x1.3c8b82a28df0fp-19, -0x1.942cbb06590e6p-19, -0x1.eab4b9c3bd812p-19, -0x1.2011167b00bb8p-18, -0x1.4a39eeaabdfa6p-18, -0x1.73d456df2372fp-18, -0x1.9cdfcd5b9a04dp-18, -0x1.c55bdcfc8ec4bp-18, -0x1.ed481cfb4edf1p-18, -0x1.0a52185910015p-17, -0x1.1db7e3b050b64p-17, -0x1.30d54df83910dp-17, -0x1.43aa3a5d18d4bp-17, -0x1.563691a56b55fp-17, -0x1.687a4214af076p-17, -0x1.7a753f4e7a477p-17, -0x1.8c278239b6152p-17, -0x1.9d9108e420f7ep-17, -0x1.aeb1d665f6cccp-17, -0x1.bf89f2c5f1ecep-17, -0x1.d0196add69273p-17, -0x1.e060503cc9f5ep-17, -0x1.f05eb91040d19p-17, -0x1.000a6002563a9p-16, -0x1.07c142166d50ap-16, -0x1.0f5414737dd2p-16, -0x1.16c2eae1379c8p-16, -0x1.1e0ddb32e35fp-16, -0x1.2534fd3a91d0ep-16, -0x1.2c386abc67042p-16, -0x1.33183f620e117p-16, -0x1.39d498ae58006p-16, -0x1.406d95f0f6c9ep-16, -0x1.46e3583a6507dp-16, -0x1.4d36024ff263bp-16, -0x1.5365b89ff7a85p-16, -0x1.5972a1362d689p-16, -0x1.5f5ce3b030c53p-16, -0x1.6524a932272dfp-16, -0x1.6aca1c5b8d5fp-16, -0x1.704d693c2eb8cp-16, -0x1.75aebd493f2dfp-16, -0x1.7aee4752a06d6p-16, -0x1.800c377849a3p-16, -0x1.8508bf1fdbe51p-16, -0x1.89e410ea57c75p-16, -0x1.8e9e60a9f9d74p-16, -0x1.9337e35845eecp-16, -0x1.97b0cf0c2a4e2p-16, -0x1.9c095af058c18p-16, -0x1.a041bf39b78dp-16, }}, 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
    }}, 
    {
      50, 0x1.199999999999ap+2, 0x1.d77480d25eaf4p-1, 0x1.6aad1a5336cb7p-5, -0x1.94e41fb5570eap-6, 
      {{
        {0x1.a83126e978d5p+1, 0x1.aaf8df7a4e7abp+1, 0x1.94e43704759bfp-6, -0x1.74d40775303d1p-5, 0x1.574de2b430341p-6, 0x1.d347e80e7231dp-21}, 
        {0x1.aaf8df7a4e7abp+1, 0x1.adc0980b24207p+1, 0x1.84db96549ad5ep-6, -0x1.6d5f252633d57p-5, 0x1.574e1f9993669p-6, -0x1.240cf997120d4p-18}, 
        {0x1.adc0980b24207p+1, 0x1.b088509bf9c63p+1, 0x1.7525e1a075543p-6, -0x1.65ea457c6b7ddp-5, 0x1.574cef1e9a7e5p-6, 0x1.c6daa813e5db8p-18}, 
        {0x1.b088509bf9c63p+1, 0x1.b350092ccf6bep+1, 0x1.65c318cc8837p-6, -0x1.5e7563fac1126p-5, 0x1.574ec9550f3bdp-6, -0x1.b2fa83e669762p-19}, 
        {0x1.b350092ccf6bep+1, 0x1.b617c1bda511ap+1, 0x1.56b33c0fcd3dep-6, -0x1.57007fc91723dp-5, 0x1.574de6962d849p-6, -0x1.dfab8894f44b7p-19}, 
        {0x1.b617c1bda511ap+1, 0x1.b8df7a4e7ab75p+1, 0x1.47f64b4ec7892p-6, -0x1.4f8ba0c4f93f2p-5, 0x1.574cec8b52748p-6, 0x1.04f20498ad56ep-17}, 
        {0x1.b8df7a4e7ab75p+1, 0x1.bba732df505d1p+1, 0x1.398c466dfa38dp-6, -0x1.4816be8f52aabp-5, 0x1.574f0ca58bb76p-6, -0x1.0cecefe486fa8p-17}, 
        {0x1.bba732df505d1p+1, 0x1.be6eeb702602dp+1, 0x1.2b752da45f0cbp-6, -0x1.40a1dc87eed24p-5, 0x1.574cdbe7972efp-6, 0x1.3fa2fcee1822cp-18}, 
        {0x1.be6eeb702602dp+1, 0x1.c136a400fba88p+1, 0x1.1db100bafc45p-6, -0x1.392cfcf908a2cp-5, 0x1.574e2925229bp-6, -0x1.570789c6cb6e5p-20}, 
        {0x1.c136a400fba88p+1, 0x1.c3fe5c91d14e4p+1, 0x1.103fbfcd4ec1ap-6, -0x1.31b81ac43d3dep-5, 0x1.574dcfbce4afbp-6, 0x1.7649b45792c42p-22}, 
        {0x1.c3fe5c91d14e4p+1, 0x1.c6c61522a6f3fp+1, 0x1.03216adb56829p-6, -0x1.2a43394434f19p-5, 0x1.574de8205ffb4p-6, -0x1.f4265d268c84ep-24}, 
        {0x1.c6c61522a6f3fp+1, 0x1.c98dcdb37c99bp+1, 0x1.ecac03ca270f9p-7, -0x1.22ce579705792p-5, 0x1.574ddffaa1467p-6, 0x1.f7766c1bab6f4p-24}, 
        {0x1.c98dcdb37c99bp+1, 0x1.cc558644523f6p+1, 0x1.d3bb09d50ba2bp-7, -0x1.1b5975e9af982p-5, 0x1.574de82e3096ap-6, -0x1.7a6db56dd73dp-22}, 
        {0x1.cc558644523f6p+1, 0x1.cf1d3ed527e52p+1, 0x1.bb6fe7d75abe7p-7, -0x1.13e4946a1a81dp-5, 0x1.574dcf85a367ap-6, 0x1.5af67f9403a44p-20}, 
        {0x1.cf1d3ed527e52p+1, 0x1.d1e4f765fd8aep+1, 0x1.a3ca9dd11462cp-7, -0x1.0c6fb233a8aefp-5, 0x1.574e29f45592cp-6, -0x1.434faa04dc34fp-18}, 
        {0x1.d1e4f765fd8aep+1, 0x1.d4acaff6d3309p+1, 0x1.8ccb2bc2388fbp-7, -0x1.04fad2aae8f06p-5, 0x1.574cd8e2140ebp-6, 0x1.13c8658ba14a8p-17}, 
        {0x1.d4acaff6d3309p+1, 0x1.d7746887a8d65p+1, 0x1.76719173cd85ap-7, -0x1.fb0be1192374dp-6, 0x1.574f17ec609fap-6, -0x1.1e89840f18fp-17}, 
        {0x1.d7746887a8d65p+1, 0x1.da3c21187e7cp+1, 0x1.60bdcf53c6c3dp-7, -0x1.ec221d5924843p-6, 0x1.574cc2757e949p-6, 0x1.aedadacc69c18p-18}, 
        {0x1.da3c21187e7cp+1, 0x1.dd03d9a95421cp+1, 0x1.4bafe4f430cafp-7, -0x1.dd385cd196961p-6, 0x1.574e83a6ab1bdp-6, -0x1.d2dcdffe7d319p-19}, 
        {0x1.dd03d9a95421cp+1, 0x1.dfcb923a29c78p+1, 0x1.3747d2a202da9p-7, -0x1.ce4e97d193834p-6, 0x1.574d9048e96bfp-6, 0x1.b7a15b1a1d13dp-20}, 
        {0x1.dfcb923a29c78p+1, 0x1.e2934acaff6d3p+1, 0x1.2385983c40b2dp-7, -0x1.bf64d59da0b57p-6, 0x1.574e02debbbd6p-6, -0x1.2cd85aabe337ap-20}, 
        {0x1.e2934acaff6d3p+1, 0x1.e55b035bd512fp+1, 0x1.106935cde913cp-7, -0x1.b07b12a08bca7p-6, 0x1.574db47530d88p-6, 0x1.df99a89a26862p-21}, 
        {0x1.e55b035bd512fp+1, 0x1.e822bbecaab8ap+1, 0x1.fbe55697fa7abp-8, -0x1.a1914ffbeeef2p-6, 0x1.574df2f59345p-6, -0x1.0ccf799958413p-21}, 
        {0x1.e822bbecaab8ap+1, 0x1.eaea747d805e6p+1, 0x1.d843f182f7df2p-8, -0x1.92a78cbe93f3dp-6, 0x1.574dcfed8ae5ep-6, 0x1.1ec4a8f419c32p-23}, 
        {0x1.eaea747d805e6p+1, 0x1.edb22d0e56042p+1, 0x1.b5ee3c51cb94ep-8, -0x1.83bdca100f03cp-6, 0x1.574dd94553b87p-6, -0x1.1f55658ea4ffcp-25}, 
        {0x1.edb22d0e56042p+1, 0x1.f079e59f2ba9dp+1, 0x1.94e43704759bfp-8, -0x1.74d4073a9a50fp-6, 0x1.574dd6ee33b8bp-6, 0x1.2058b84393441p-32}, 
        {0x1.f079e59f2ba9dp+1, 0x1.f3419e30014f9p+1, 0x1.7525e19af5f44p-8, -0x1.65ea44720ed3fp-6, 0x1.574dd6f2e632p-6, 0x1.16570e4bc76a6p-25}, 
        {0x1.f3419e30014f9p+1, 0x1.f60956c0d6f54p+1, 0x1.56b33c154c9dep-8, -0x1.5700819cce2a1p-6, 0x1.574dd93745899p-6, -0x1.16e83f7c16548p-23}, 
        {0x1.f60956c0d6f54p+1, 0x1.f8d10f51ac9bp+1, 0x1.398c46737998dp-8, -0x1.4816beed78f92p-6, 0x1.574dd0210d329p-6, 0x1.05830a1d52a6fp-21}, 
        {0x1.f8d10f51ac9bp+1, 0x1.fb98c7e28240bp+1, 0x1.1db100b57ce5p-8, -0x1.392cfbb32b15dp-6, 0x1.574df23596f94p-6, -0x1.c45eee83e3e4bp-21}, 
        {0x1.fb98c7e28240bp+1, 0x1.fe60807357e67p+1, 0x1.03216ae655428p-8, -0x1.2a4339032a18ep-6, 0x1.574db741a1621p-6, 0x1.f4122320005fep-21}, 
        {0x1.fe60807357e67p+1, 0x1.00941c8216c61p+2, 0x1.d3bb09e00a62ap-9, -0x1.1b597630989d2p-6, 0x1.574df86cf43c1p-6, -0x1.f403116b1aa9ap-21}, 
        {0x1.00941c8216c61p+2, 0x1.01f7f8ca8198fp+2, 0x1.a3ca9dd11462cp-9, -0x1.0c6fb35dfc362p-6, 0x1.574db743981e9p-6, 0x1.c4139639bfc99p-21}, 
        {0x1.01f7f8ca8198fp+2, 0x1.035bd512ec6bdp+2, 0x1.76719173cd85ap-9, -0x1.fb0be15c37f5dp-7, 0x1.574df22dbc0f7p-6, -0x1.0464a38a17eacp-21}, 
        {0x1.035bd512ec6bdp+2, 0x1.04bfb15b573ebp+2, 0x1.4bafe4f430cafp-9, -0x1.dd385ae6abd3cp-7, 0x1.574dd03e85291p-6, 0x1.062e5f9a9b196p-23}, 
        {0x1.04bfb15b573ebp+2, 0x1.06238da3c2118p+2, 0x1.2385983c40b2dp-9, -0x1.bf64d58b81647p-7, 0x1.574dd8c93c9c9p-6, -0x1.c9e0959d592b3p-29}, 
        {0x1.06238da3c2118p+2, 0x1.078769ec2ce46p+2, 0x1.fbe55697fa7abp-10, -0x1.a1914fd3f0d9p-7, 0x1.574dd88d90f24p-6, -0x1.d31e3417e818bp-24}, 
        {0x1.078769ec2ce46p+2, 0x1.08eb463497b74p+2, 0x1.b5ee3c46ccd4fp-10, -0x1.83bdca7396d0ap-7, 0x1.574dd0f192755p-6, 0x1.d6b1a1c4d3967p-22}, 
        {0x1.08eb463497b74p+2, 0x1.0a4f227d028a2p+2, 0x1.7525e184f8746p-10, -0x1.65ea4412c89ecp-7, 0x1.574def9d32a2ep-6, -0x1.670c1d1fc8833p-21}, 
        {0x1.0a4f227d028a2p+2, 0x1.0bb2fec56d5dp+2, 0x1.398c467e7858cp-10, -0x1.4816be653fff3p-7, 0x1.574dc0d2b09a1p-6, 0x1.01bb2a43e67e3p-21}, 
        {0x1.0bb2fec56d5dp+2, 0x1.0d16db0dd82fdp+2, 0x1.03216ae4224f5p-10, -0x1.2a43394a8c48dp-7, 0x1.574de269183acp-6, -0x1.7e208788f535ap-23}, 
        {0x1.0d16db0dd82fdp+2, 0x1.0e7ab7564302bp+2, 0x1.a3ca9dccae7c6p-11, -0x1.0c6fb344c7a97p-7, 0x1.574dd5f5f8b2dp-6, 0x1.39b4c0c960022p-25}, 
        {0x1.0e7ab7564302bp+2, 0x1.0fde939eadd59p+2, 0x1.4bafe4f896b15p-11, -0x1.dd385b5a176acp-8, 0x1.574dd8841616p-6, 0x1.11ad56525a31fp-25}, 
        {0x1.0fde939eadd59p+2, 0x1.11426fe718a87p+2, 0x1.fbe55697fa7abp-12, -0x1.a1914fc0372ecp-8, 0x1.574ddabebc61ap-6, -0x1.1d0bef7e1d385p-24}, 
        {0x1.11426fe718a87p+2, 0x1.12a64c2f837b5p+2, 0x1.7525e19f5bdaap-12, -0x1.65ea445c09774p-8, 0x1.574dd61a05e58p-6, 0x1.4a0db9f6d1a0ep-25}, 
        {0x1.12a64c2f837b5p+2, 0x1.140a2877ee4e2p+2, 0x1.03216ae4224f5p-12, -0x1.2a43392357c38p-8, 0x1.574dd8ca3974ap-6, 0x1.60c9e4fb5ab9ep-27}, 
        {0x1.140a2877ee4e2p+2, 0x1.156e04c05921p+2, 0x1.4bafe4efcae49p-13, -0x1.dd385b3dc2c47p-9, 0x1.574dd98220485p-6, -0x1.67afe15e0f637p-26}, 
        {0x1.156e04c05921p+2, 0x1.16d1e108c3f3ep+2, 0x1.7525e194cdb1bp-14, -0x1.65ea44560a521p-9, 0x1.574dd80b217b9p-6, 0x1.62ca4e71adf43p-28}, 
        {0x1.16d1e108c3f3ep+2, 0x1.1835bd512ec6cp+2, 0x1.4bafe4fdddc5cp-15, -0x1.dd385b3ed26bdp-10, 0x1.574dd8679a736p-6, 0x1.336fc04c37ef6p-29}, 
        {0x1.1835bd512ec6cp+2, 0x1.199999999999ap+2, 0x1.4bafe4fb0d325p-17, -0x1.dd385b4701f19p-11, 0x1.574dd88fab1fap-6, -0x1.edef2d1b109edp-1}, 
      }}, 
      0x1.6353f4c941fep+6, -0x1.ff3bdb9e39a4cp+10
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_s_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.de016c2f1bfecp-1, -0x1.ec679734e7c93p-1, -0x1.f88039e6450c9p-1, -0x1.012b1b3e22876p+0, -0x1.04fc63ba4993ap+0, -0x1.07bd62e9b7063p+0, -0x1.0978dbd6428f8p+0, -0x1.0a3a9f04d5e43p+0, -0x1.0a0f69f381357p+0, -0x1.090499c6a6b89p+0, -0x1.0727e719f8541p+0, -0x1.04874d594ac0dp+0, -0x1.0130eecbe7e98p+0, -0x1.fa65c46640a2cp-1, -0x1.f136062a75107p-1, -0x1.e6edb7e611c09p-1, -0x1.dba74e9091a37p-1, -0x1.cf7ca5585cfb1p-1, -0x1.c286e6a68006ep-1, -0x1.b4de542e3ff0fp-1, -0x1.a69a07ace986bp-1, -0x1.97cfdf29ab1b8p-1, -0x1.88944d5af4401p-1, -0x1.78fb0e89f26dbp-1, -0x1.6916a7d51c63dp-1, -0x1.58f891e9cec85p-1, -0x1.48b1238c10cdp-1, -0x1.384f85f187279p-1, -0x1.27e1bd6440717p-1, -0x1.1774bcda9fed1p-1, -0x1.0714767a61ff5p-1, -0x1.ed97c75e263b6p-2, -0x1.cd4a126c98ad8p-2, -0x1.ad51fb8ac4e3cp-2, -0x1.8dbfeb6abbad9p-2, -0x1.6ea2a2e26a193p-2, -0x1.50075680c3b39p-2, -0x1.31f9c5ee81a88p-2, -0x1.1484509393678p-2, -0x1.ef6014561d1a6p-3, -0x1.b709a0ac04d74p-3, -0x1.8012c09cdd1cp-3, -0x1.4a86d677cb2f9p-3, -0x1.166f50a64461fp-3, -0x1.c7a793c8ddb7fp-4, -0x1.65744e459a4f1p-4, -0x1.064d69c0ce50bp-4, -0x1.547114b4653ffp-5, -0x1.44e275ed9050ap-6, 0x1.2c7995572d1a2p-10, 0x1.5e2306171c528p-6, 0x1.4e9f5bb4a0419p-5, 0x1.e8184be219b3ep-5, 0x1.3dc53436d9992p-4, 0x1.84834a50686bp-4, 0x1.c850205009954p-4, 0x1.049b4cdbc0317p-3, 0x1.23a156d4e1d44p-3, 0x1.4140a7ee8b3bp-3, 0x1.5d802c47a8b98p-3, 0x1.7867354f52358p-3, 0x1.91fd6bd86ad91p-3, 0x1.aa4ac16f39fabp-3, 0x1.c1594ce7534b6p-3, 0x1.d72dbb5403c86p-3, 0x1.ebd1e2f2a9c47p-3, 0x1.ff4e4b042bcf3p-3, 0x1.08d5c5a822a7bp-2, 0x1.117920b3ac88ep-2, 0x1.199583dd788fap-2, 0x1.212f374dad8c1p-2, 0x1.284a7b6cbdf31p-2, 0x1.2eeb86cc524f9p-2, 0x1.3516846733695p-2, 0x1.3acf920274d6bp-2, 0x1.401abe911e97ep-2, 0x1.44fc0894d2d6bp-2, 0x1.49775c892ab5ep-2, 0x1.4d90936fd00bcp-2, 0x1.514b7190f61d7p-2, 0x1.54aba57aa4407p-2, 0x1.57b4c73ef2edp-2, 0x1.5a6a57ea57338p-2, 0x1.5ccfc1292081ap-2, 0x1.5ee8551571f71p-2, 0x1.60b74e2a7b91p-2, 0x1.623fcf5be6e74p-2, 0x1.6384e44f71d26p-2, 0x1.648981b2d203bp-2, 0x1.655085a2a53c4p-2, 0x1.65dcb812bba47p-2, 0x1.6630cb26c1accp-2, 0x1.664f5b6d540e2p-2, 0x1.663aeff691811p-2, 0x1.65f5fa48aa853p-2, 0x1.6582d63e28746p-2, 0x1.64e3c9e02401ep-2, 0x1.641b0550ee6a4p-2, 0x1.632aa2d92af5bp-2, 0x1.6214a7235a28fp-2, 0x1.60db01a9d1aa3p-2, 0x1.5f7f8d536599ep-2, 0x1.5e04113516642p-2, 0x1.5c6a416be324bp-2, 0x1.5ab3c0014f969p-2, 0x1.58e21dcef50aap-2, 0x1.56f6db58495ccp-2, 0x1.54f369953fb62p-2, 0x1.52d92aab611bp-2, 0x1.50a972957726ap-2, 0x1.4e6587bb860b5p-2, 0x1.4c0ea37daadc2p-2, 0x1.49a5f2b4bfaf4p-2, 0x1.472c962b54053p-2, 0x1.44a3a310eed71p-2, 0x1.420c2368b829fp-2, 0x1.3f671673d0f75p-2, 0x1.3cb57116f675bp-2, 0x1.39f81e3a9d352p-2, 0x1.372fff24b246dp-2, 0x1.345debcb6c76p-2, 0x1.3182b3212b5fep-2, 0x1.2e9f1b5a024dep-2, 0x1.2bb3e22c2400ep-2, 0x1.28c1bd0cd8483p-2, 0x1.25c9596bd5efap-2, 0x1.22cb5ceebc58bp-2, 0x1.1fc865ae31874p-2, 0x1.1cc10a7593e3ap-2, 0x1.19b5db05caabep-2, 0x1.16a7605b1ab0fp-2, 0x1.13961cf58faa9p-2, 0x1.10828d232b6b3p-2, 0x1.0d6d274ae9114p-2, 0x1.0a565c37935b6p-2, 0x1.073e97618112cp-2, 0x1.04263f3669b7ap-2, 0x1.010db55ead818p-2, 0x1.fbeaadff3e77fp-3, 0x1.f5baf9f4f7fe6p-3, 0x1.ef8cf84fc8b03p-3, 0x1.e9614b1f854b1p-3, 0x1.e3388d3b2f417p-3, 0x1.dd1352a264b09p-3, 0x1.d6f228d7d3362p-3, 0x1.d0d59734c484ep-3, 0x1.cabe1f3607913p-3, 0x1.c4a994d39a175p-3, 0x1.be9d474dff5c4p-3, 0x1.b8978afd7f232p-3, 0x1.b298ce230cfa7p-3, 0x1.aca179930fd98p-3, 0x1.a6b1f0e8e0d49p-3, 0x1.a0ca92bc88343p-3, 0x1.9aebb8d9dd074p-3, 0x1.9515b8781e187p-3, 0x1.8f48e2710c397p-3, 0x1.89858376a4b6ap-3, 0x1.83cbe446ac5bap-3, 0x1.7e1c49db6f591p-3, 0x1.7876f5992bf19p-3, 0x1.72dc2577d29bap-3, 0x1.6d4c142901351p-3, 0x1.67c6f93a25ee8p-3, 0x1.624d0932feb45p-3, 0x1.5cde75b0b1c89p-3, 0x1.577b6d7ddcc8ap-3, 0x1.52241ca811c15p-3, 0x1.4cd8ac9323f29p-3, 0x1.4799440adaad8p-3, 0x1.426607536a2d8p-3, 0x1.3d3f183925a61p-3, 0x1.3824961fcfae1p-3, 0x1.33169e11ca1f7p-3, 0x1.2e154acf71f18p-3, 0x1.2920b4dec090dp-3, 0x1.2438f29b5886dp-3, 0x1.1f5e1846f3c48p-3, 0x1.1a90381a4608dp-3, 0x1.15cf6256213f9p-3, 0x1.111ba554da16bp-3, 0x1.0c750d9bb9c4dp-3, 0x1.07dba5ec5e385p-3, 0x1.034f7755e1fb7p-3, 0x1.fda1128b486d5p-4, 0x1.f4bdc32f1602p-4, 0x1.ebf5094b5e8bp-4, 0x1.e346eaae97171p-4, 0x1.dab36a5dc4641p-4, 0x1.d23a88af2665fp-4, 0x1.c9dc4363287aep-4, 0x1.c19895bba9a71p-4, 0x1.b96f78919b14fp-4, 0x1.b160e2690d7bcp-4, 0x1.a96cc783d966cp-4, 0x1.a19319f2e966cp-4, 0x1.99d3c9a673965p-4, 0x1.922ec47d2ddecp-4, 0x1.8aa3f652ba38p-4, 0x1.8333490d7195fp-4, 0x1.7bdca4abb9abcp-4, 0x1.749fef510b859p-4, 0x1.6d7d0d52cc371p-4, 0x1.6673e145182bdp-4, 0x1.5f844c0797f76p-4, 0x1.58ae2cd273949p-4, 0x1.51f161436e755p-4, 0x1.4b4dc56b39944p-4, 0x1.44c333daf9c65p-4, 0x1.3e5185b204952p-4, 0x1.37f892abcd7adp-4, 0x1.31b8312dfadf5p-4, 0x1.2b90365699b28p-4, 0x1.2580760a62166p-4, 0x1.1f88c302ffe8ap-4, 0x1.19a8eedd52526p-4, 0x1.13e0ca27933f3p-4, 0x1.0e30246f59e1ap-4, 0x1.0896cc4f6caa3p-4, 0x1.03148f7d56b9dp-4, 0x1.fb5275ad6cde4p-5, 0x1.f0a934dc7c629p-5, 0x1.e62cf330bf77bp-5, 0x1.dbdd45ef36d0bp-5, 0x1.d1b9c110e747p-5, 0x1.c7c1f759faadbp-5, 0x1.bdf57a701ec74p-5, 0x1.b453daf0225e1p-5, 0x1.aadca882ce62p-5, 0x1.a18f71f104e6cp-5, 0x1.986bc53727c3fp-5, 0x1.8f712f97cd2cep-5, 0x1.869f3dadcc744p-5, 0x1.7df57b7da7e7fp-5, 0x1.757374866070dp-5, 0x1.6d18b3d1b5118p-5, 0x1.64e4c403dcb24p-5, 0x1.5cd72f6abe183p-5, 0x1.54ef800cb2584p-5, 0x1.4d2d3fb6d27aap-5, 0x1.458ff80addacbp-5, 0x1.3e17328cba786p-5, 0x1.36c278af95778p-5, 0x1.2f9153e2abefdp-5, 0x1.28834d9db823bp-5, 0x1.2197ef6d11fd3p-5, 0x1.1acec2fd765b9p-5, 0x1.1427522788b57p-5, 0x1.0da126fb00fe9p-5, 0x1.073bcbc99112ep-5, 0x1.00f6cb317e7b3p-5, 0x1.f5a3604fe6bc7p-6, 0x1.e9980c06062d9p-6, 0x1.ddcab106cd545p-6, 0x1.d23a67bbe50adp-6, 0x1.c6e649897cf25p-6, 0x1.bbcd70e00f617p-6, 0x1.b0eef94d945d3p-6, 0x1.a649ff8e1bdefp-6, 0x1.9bdda19be31a6p-6, 0x1.91a8febecef49p-6, 0x1.87ab379b5855cp-6, 0x1.7de36e40f2134p-6, 0x1.7450c637d5728p-6, 0x1.6af2648e4c7d2p-6, 0x1.61c76fe56943p-6, 0x1.58cf107d3aeddp-6, 0x1.500870407346fp-6, 0x1.4772bacf8c2b7p-6, 0x1.3f0d1d8b66985p-6, 0x1.36d6c79f64b7cp-6, 0x1.2eceea0b08c92p-6, 0x1.26f4b7ab0cedp-6, 0x1.1f476542078a4p-6, 0x1.17c629808ccfap-6, 0x1.10703d0cdf9eap-6, 0x1.0944da8a21b07p-6, 0x1.02433e9f19782p-6, 0x1.f6d54ff8f858fp-7, 0x1.e974aec59defbp-7, 0x1.dc631f4fa9813p-7, 0x1.cf9f2b7721f6fp-7, 0x1.c3276159bda83p-7, 0x1.b6fa535b3ef81p-7, 0x1.ab16982d12f4bp-7, 0x1.9f7acad50926dp-7, 0x1.94258ab36af13p-7, 0x1.89157b882d88ap-7, 0x1.7e4945778a84ap-7, 0x1.73bf950dcc5e8p-7, 0x1.69771b4265632p-7, 0x1.5f6e8d7a64cbbp-7, 0x1.55a4a58a3a823p-7, 0x1.4c1821b6cf32ap-7, 0x1.42c7c4b604394p-7, 0x1.39b255ae931ffp-7, 0x1.30d6a0374deedp-7, 0x1.28337455d2c08p-7, 0x1.1fc7a67caf5c7p-7, 0x1.17920f88f5b02p-7, 0x1.0f918cbf4bfd5p-7, 0x1.07c4ffc87b8dcp-7, 0x1.002b4ead8098fp-7, 0x1.f186c7a64872fp-8, 0x1.e3185bea3993fp-8, 0x1.d50940418ad0dp-8, 0x1.c757635ecb2c7p-8, 0x1.ba00bc8025e81p-8, 0x1.ad034b6261822p-8, 0x1.a05d1833233e7p-8, 0x1.940c33827e8a1p-8, 0x1.880eb633d5db3p-8, 0x1.7c62c16e22299p-8, 0x1.71067e8b97b5ep-8, 0x1.65f81f08b79aap-8, 0x1.5adb602dd24cep-8, 0x1.5065f47df99c7p-8, 0x1.46394a86469ep-8, 0x1.3c53b208cf32ap-8, 0x1.32b3827cc8768p-8, 0x1.29571afc50aebp-8, 0x1.203ce231e50e5p-8, 0x1.176346459aafp-8, 0x1.0ec8bcca0558p-8, 0x1.066bc2a8e29a5p-8, 0x1.fc95b81f154ebp-9, 0x1.ecc928b64ca9fp-9, 0x1.dd6efc09741fap-9, 0x1.ce846519ec83fp-9, 0x1.c006a4cfd4573p-9, 0x1.b1f309d10160bp-9, 0x1.a446f057d2e2p-9, 0x1.96ffc209ab67cp-9, 0x1.8a1af5cd33ff4p-9, 0x1.7d960fa073835p-9, 0x1.716ea06eaa3cdp-9, 0x1.65a245e60a9c1p-9, 0x1.5a2eaa4d502b6p-9, 0x1.4f1184592a985p-9, 0x1.4448970195999p-9, 0x1.39d1b157177f3p-9, 0x1.2faaae57dc4bdp-9, 0x1.25d174c4e5a1ep-9, 0x1.1c43f6f705367p-9, 0x1.130032b3e946ep-9, 0x1.0a043103167bap-9, 0x1.014e0602ec7c8p-9, 0x1.f1b7a17b36a45p-10, 0x1.e15775fc6e5b8p-10, 0x1.d177f24b7e7bfp-10, 0x1.c215940078517p-10, 0x1.b32ced33ddb11p-10, 0x1.a4baa4291f39cp-10, 0x1.96bb72f951c0cp-10, 0x1.892c273e23eb3p-10, 0x1.7c09a1bd0d332p-10, 0x1.6f50d612be3a2p-10, 0x1.62feca5ef8b12p-10, 0x1.571096f099ea5p-10, 0x1.4b8365f24d2ep-10, 0x1.405473175d94ep-10, 0x1.35810b4942c9fp-10, 0x1.2b068c557a5a7p-10, 0x1.20e2649bf6c63p-10, 0x1.171212be48543p-10, 0x1.0d93254f2fbe8p-10, 0x1.04633a82eb32dp-10, 0x1.f6ffffc073733p-11, 0x1.e5ce63e414d85p-11, 0x1.d52d37f401276p-11, 0x1.c5182f474a1dep-11, 0x1.b58b197124758p-11, 0x1.a681e1aa9f714p-11, 0x1.97f88e3e65418p-11, 0x1.89eb3ff64c2d6p-11, 0x1.7c56318a9ed6bp-11, 0x1.6f35b7137a9d7p-11, 0x1.62863d7c1e166p-11, 0x1.564449f83c847p-11, 0x1.4a6c797b6a9a3p-11, 0x1.3efb803276929p-11, 0x1.33ee28ff3249fp-11, 0x1.294154f61096dp-11, 0x1.1ef1fade0feep-11, 0x1.14fd26b2cd2b8p-11, 0x1.0b5ff928b8311p-11, 0x1.0217a7337e653p-11, 0x1.f242f31d7d551p-12, 0x1.e0f598913c326p-12, 0x1.d0421c9dc5f89p-12, 0x1.c02381fc0277ap-12, 0x1.b094ef649ebc1p-12, 0x1.a191aeb6d1b59p-12, 0x1.93152c2337807p-12, 0x1.851af55b001ecp-12, 0x1.779eb8c2d8819p-12, 0x1.6a9c44aa8be29p-12, 0x1.5e0f8687cfc43p-12, 0x1.51f48a35955e3p-12, 0x1.46477937251d4p-12, 0x1.3b0499fec202dp-12, 0x1.30284f3863337p-12, 0x1.25af171763ee3p-12, 0x1.1b958aa91dd1ap-12, 0x1.11d85d29c7a48p-12, 0x1.08745b5d2edbdp-12, 0x1.feccd5d69420cp-13, 0x1.ed57137f14effp-13, 0x1.dc819ad78f68bp-13, 0x1.cc46c51c6f50bp-13, 0x1.bca11875665aap-13, 0x1.ad8b46ce074e6p-13, 0x1.9f002cb47f8bbp-13, 0x1.90fad03d6b7e8p-13, 0x1.83765fef83ae3p-13, 0x1.766e31b2db21ap-13, 0x1.69ddc1c71e317p-13, 0x1.5dc0b1be7bb5bp-13, 0x1.5212c77edfe45p-13, 0x1.46cfec47c5ba2p-13, 0x1.3bf42bbd96a02p-13, 0x1.317bb2fa4ad6cp-13, 0x1.2762cfa2d1f63p-13, 0x1.1da5ef01eea4cp-13, 0x1.14419d272abe2p-13, 0x1.0b32840bd51cbp-13, 0x1.02756abba56f5p-13, 0x1.f40e690538a85p-14, 0x1.e3c9c03eba55ap-14, 0x1.d4170df45b815p-14, 0x1.c4f0b8bffe396p-14, 0x1.b651598568bd9p-14, 0x1.a833b9f9eeb0cp-14, 0x1.9a92d3349ddb3p-14, 0x1.8d69cc48a0a1dp-14, 0x1.80b3f8e588428p-14, 0x1.746cd8018b8f2p-14, 0x1.6890128a8be83p-14, 0x1.5d197a1ff91bfp-14, 0x1.520507d37ef1ap-14, 0x1.474edaf29e633p-14, 0x1.3cf337d6443a4p-14, 0x1.32ee86bb41fe8p-14, 0x1.293d52a0af32cp-14, 0x1.1fdc482e129aap-14, 0x1.16c834a191dcap-14, 0x1.0dfe04c32b835p-14, 0x1.057ac3dfec8c9p-14, 0x1.fa77359799614p-15, 0x1.ea7b9dd1d367ap-15, 0x1.dafd826f21b87p-15, 0x1.cbf7dad4a8d31p-15, 0x1.bd65d202e9c76p-15, 0x1.af42c4d7adb1dp-15, 0x1.a18a405dafca8p-15, 0x1.9438002620bf2p-15, 0x1.8747ecaeafe55p-15, 0x1.7ab619d3385d3p-15, 0x1.6e7ec547720c1p-15, 0x1.629e55222b6ap-15, 0x1.5711566b6ffdap-15, 0x1.4bd47bbab73e7p-15, 0x1.40e49bdc1c8b6p-15, 0x1.363eb0818c7f4p-15, 0x1.2bdfd4fc46d0ep-15, 0x1.21c54500f084fp-15, 0x1.17ec5b74bab48p-15, 0x1.0e5291431e5c6p-15, 0x1.04f57c3e35d33p-15, 0x1.f7a59c0ab0e7p-16, 0x1.e5d0a5edb8f19p-16, 0x1.d467e2506ce3bp-16, 0x1.c3674ece8c46bp-16, 0x1.b2cb1887474dep-16, 0x1.a28f9a3e1e669p-16, 0x1.92b15a8ac04acp-16, 0x1.832d0a1a77bf6p-16, 0x1.73ff81fde5858p-16, 0x1.6525c200b121fp-16, 0x1.569cef1a20943p-16, 0x1.486251dd1f37bp-16, 0x1.3a7354ffaf1d8p-16, 0x1.2ccd83e86cae9p-16, 0x1.1f6e894dec32p-16, 0x1.12542ddb17ca8p-16, 0x1.057c56e69bc01p-16, 0x1.f1ca0a5c9e3efp-17, 0x1.d918a7458779cp-17, 0x1.c0e0ec6f7c598p-17, 0x1.a91f718eec483p-17, 0x1.91d0fbee3a895p-17, 0x1.7af27c537ecf9p-17, 0x1.64810cf45461bp-17, 0x1.4e79ef7f60a21p-17, 0x1.38da8b35b1ff5p-17, 0x1.23a06b155537bp-17, 0x1.0ec93c133bd6ep-17, 0x1.f4a596d412892p-18, 0x1.cc7609ea5dcebp-18, 0x1.a4ffe3344ac7dp-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.b77b91852ec73p-2, -0x1.d0ca6e4940e2ap-2, -0x1.e8fffdd162e1p-2, -0x1.0007099272718p-1, -0x1.0af4fb9834d5ep-1, -0x1.1546055874e21p-1, -0x1.1ef7affc2725dp-1, -0x1.2808be0cb815fp-1, -0x1.3079035f6bf6ap-1, -0x1.38493aa3f09f9p-1, -0x1.3f7af28de6422p-1, -0x1.46106f57e2aep-1, -0x1.4c0c88df4dc3ep-1, -0x1.517299b5c7fa1p-1, -0x1.56466c569f993p-1, -0x1.5a8c248282e6dp-1, -0x1.5e48312ab1ecp-1, -0x1.617f401c53ef8p-1, -0x1.64362c3540af6p-1, -0x1.6671edc2d824ap-1, -0x1.68379257c99b1p-1, -0x1.698c39b33459cp-1, -0x1.6a7505ad5ef4dp-1, -0x1.6af7175561566p-1, -0x1.6b1788a7a589ap-1, -0x1.6adb64fba3c3dp-1, -0x1.6a47a3844f67ep-1, -0x1.696123cf54b13p-1, -0x1.682cab2b6147bp-1, -0x1.66aee206e59a2p-1, -0x1.64ec5146311fcp-1, -0x1.62e9601326e01p-1, -0x1.60aa52649988ep-1, -0x1.5e3347fa1861p-1, -0x1.5b883b6fee6fcp-1, -0x1.58ad01685f639p-1, -0x1.55a548154acap-1, -0x1.52749751aba42p-1, -0x1.4f1e511daa37p-1, -0x1.4ba5b21fc17a7p-1, -0x1.480dd1f968035p-1, -0x1.4459a39051487p-1, -0x1.408bf5938c8f3p-1, -0x1.3ca7736212436p-1, -0x1.38aea6387bffbp-1, -0x1.34a3f668543cp-1, -0x1.3089ac69487a7p-1, -0x1.2c61f1bb8cc16p-1, -0x1.282ed1afeb149p-1, -0x1.23f23a2f3542p-1, -0x1.1fadfc91ff5fap-1, -0x1.1b63ce9173d42p-1, -0x1.17154b563d3c7p-1, -0x1.12c3f4a4ae735p-1, -0x1.0e7134194e1cep-1, -0x1.0a1e5c5c94dbep-1, -0x1.05ccaa328f0d9p-1, -0x1.017d45588eb7dp-1, -0x1.fa628275144e8p-2, -0x1.f1d33b3b13c01p-2, -0x1.e94e8ec134d5ap-2, -0x1.e0d632ce718cfp-2, -0x1.d86bbb4f6b00cp-2, -0x1.d01093bb5b936p-2, -0x1.c7c6259942b7ep-2, -0x1.bf8da2a2bdf65p-2, -0x1.b76829f03b7e9p-2, -0x1.af56c1093198ap-2, -0x1.a75a553ea02a4p-2, -0x1.9f73bcf5b18e9p-2, -0x1.97a3b8e65af54p-2, -0x1.8feaf54fb6482p-2, -0x1.884a0b224b405p-2, -0x1.80c181201d722p-2, -0x1.7951ccf2af3fap-2, -0x1.71fb54373f2f4p-2, -0x1.6abe6d8115defp-2, -0x1.639b6150ffe04p-2, -0x1.5c926b00f3f6dp-2, -0x1.55a3b9a394cd3p-2, -0x1.4ecf70d8594fdp-2, -0x1.4815a995b9c48p-2, -0x1.417672ea4ffd5p-2, -0x1.3af1d2b4c1c13p-2, -0x1.3487c65159bc9p-2, -0x1.2e38433c1bfecp-2, -0x1.280337a71bf69p-2, -0x1.21e88b062eb89p-2, -0x1.1be81e9214c3p-2, -0x1.1601cdc536e3cp-2, -0x1.10356ed34aa72p-2, -0x1.0a82d31bf2fep-2, -0x1.04e9c797a4608p-2, -0x1.fed42a7bb0b12p-3, -0x1.f40702c8530fdp-3, -0x1.e96b9c2d80ce6p-3, -0x1.df0174d65efb7p-3, -0x1.d4c8059de7a0fp-3, -0x1.cabec2a5029e9p-3, -0x1.c0e51be1f331bp-3, -0x1.b73a7da8097d2p-3, -0x1.adbe5125ec936p-3, -0x1.a46ffcd8f9fc3p-3, -0x1.9b4ee4f574567p-3, -0x1.925a6bc46cd3dp-3, -0x1.8991f1f965b91p-3, -0x1.80f4d7020a2fp-3, -0x1.78827951dba7bp-3, -0x1.703a36aac95f8p-3, -0x1.681b6c62916fcp-3, -0x1.602577a3fdf2bp-3, -0x1.5857b5aacc1f8p-3, -0x1.50b183f941cbfp-3, -0x1.493240873908dp-3, -0x1.41d949eb037bap-3, -0x1.3aa5ff7d47bb4p-3, -0x1.3397c1791f054p-3, -0x1.2cadf119b45a8p-3, -0x1.25e7f0b64d3aap-3, -0x1.1f4523dd0ceadp-3, -0x1.18c4ef6c6ec39p-3, -0x1.1266b9ab0287dp-3, -0x1.0c29ea5d01388p-3, -0x1.060dead7545b4p-3, -0x1.0012260fe57bcp-3, -0x1.f46c1156b7751p-4, -0x1.e8f2021137b4dp-4, -0x1.ddb4fe94ff929p-4, -0x1.d2b3eac094ee3p-4, -0x1.c7edae1a5e1e3p-4, -0x1.bd6133de5b188p-4, -0x1.b30d6b0aaabe4p-4, -0x1.a8f1466a97aeep-4, -0x1.9f0bbc9fdf39cp-4, -0x1.955bc829c1514p-4, -0x1.8be067697a253p-4, -0x1.82989ca400a05p-4, -0x1.79836e01201fcp-4, -0x1.709fe58829091p-4, -0x1.67ed111ab68d3p-4, -0x1.5f6a026e0a8cap-4, -0x1.5715cf0393eap-4, -0x1.4eef902113ed5p-4, -0x1.46f662c8bdaccp-4, -0x1.3f2967b18223ep-4, -0x1.3787c33f9030dp-4, -0x1.30109d7cf43c3p-4, -0x1.28c307584c2d4p-4, -0x1.219e66db6f257p-4, -0x1.1aa1d3611f7ccp-4, -0x1.13cc833433728p-4, -0x1.0d1db01498957p-4, -0x1.0694972d219cbp-4, -0x1.003079091db74p-4, -0x1.f3e1331376decp-5, -0x1.e7a87fb675feep-5, -0x1.dbb56cd3ea668p-5, -0x1.d00695ae6b344p-5, -0x1.c49a9bdbe36d6p-5, -0x1.b970272eba599p-5, -0x1.ae85e59ec6091p-5, -0x1.a3da8b32112c6p-5, -0x1.996cd1e58795fp-5, -0x1.8f3b799592336p-5, -0x1.854547e6bd94p-5, -0x1.7b89082e74242p-5, -0x1.72058b5be029cp-5, -0x1.68b9a7e1060d9p-5, -0x1.5fa4399c1b81cp-5, -0x1.56c421c12ee19p-5, -0x1.4e1846c41873ep-5, -0x1.459f9442c2959p-5, -0x1.3d58faefc438bp-5, -0x1.3543707d4db8bp-5, -0x1.2d5def88674fp-5, -0x1.25a777847c95cp-5, -0x1.1e1f0ca73463ap-5, -0x1.16c3b7d492318p-5, -0x1.0f94868b5e91dp-5, -0x1.08908ad1d3366p-5, -0x1.01b6db228a837p-5, -0x1.f60d24b35f0dap-6, -0x1.e8fd9f44d8692p-6, -0x1.dc3d6cc92d3f6p-6, -0x1.cfcadc65329c2p-6, -0x1.c3a4456f29194p-6, -0x1.b7c8074b7f98bp-6, -0x1.ac34894a025cap-6, -0x1.a0e83a838328dp-6, -0x1.95e191b7f79b6p-6, -0x1.8b1f0d2d14c85p-6, -0x1.809f328d62742p-6, -0x1.76608ec7cc458p-6, -0x1.6c61b5efb7f56p-6, -0x1.62a1431d95f07p-6, -0x1.591dd84ffa7c4p-6, -0x1.4fd61e4d38576p-6, -0x1.46c8c4857eefdp-6, -0x1.3df480f579605p-6, -0x1.355810097320ap-6, -0x1.2cf23480f7272p-6, -0x1.24c1b752edb45p-6, -0x1.1cc5679238c7dp-6, -0x1.14fc1a52bcf45p-6, -0x1.0d64aa8eef32p-6, -0x1.05fdf90dc4814p-6, -0x1.fd8dd8922f8b9p-7, -0x1.ef7ce0a8f9679p-7, -0x1.e1c6ed88e210ep-7, -0x1.d469ed2c0254p-7, -0x1.c763d82d83db1p-7, -0x1.bab2b19a6aa47p-7, -0x1.ae5486c308c4ap-7, -0x1.a2476f0d3cd18p-7, -0x1.96898bc74f56p-7, -0x1.8b1907fb8a0bep-7, -0x1.7ff4184481d23p-7, -0x1.7518faa1fa0afp-7, -0x1.6a85f64e7eee3p-7, -0x1.60395b9597dc8p-7, -0x1.563183aaa293ap-7, -0x1.4c6cd0804c039p-7, -0x1.42e9aca09f2aap-7, -0x1.39a68b05c5211p-7, -0x1.30a1e6f341b2ep-7, -0x1.27da43cfdb645p-7, -0x1.1f4e2d001be1bp-7, -0x1.16fc35c150152p-7, -0x1.0ee2f9053263ap-7, -0x1.0701194e119afp-7, -0x1.feaa811729984p-8, -0x1.efbc3feff5fe3p-8, -0x1.e134dfebf0c55p-8, -0x1.d311dfde1681bp-8, -0x1.c550cc64be78ep-8, -0x1.b7ef3fa856d75p-8, -0x1.aaeae11b4751fp-8, -0x1.9e41653aadec4p-8, -0x1.91f08d503267bp-8, -0x1.85f62734bdb19p-8, -0x1.7a500d143d477p-8, -0x1.6efc253246621p-8, -0x1.63f861afb23a9p-8, -0x1.5942c05118656p-8, -0x1.4ed94a4644d0bp-8, -0x1.44ba13f27f2ddp-8, -0x1.3ae33cb5c22b3p-8, -0x1.3152eeb6c6a28p-8, -0x1.28075eadf2c4ap-8, -0x1.1efecbb113177p-8, -0x1.16377f00092dcp-8, -0x1.0dafcbd21adp-8, -0x1.05660f244b238p-8, -0x1.fab15f1090df9p-9, -0x1.eb0c39e8a29e5p-9, -0x1.dbd9a1278df4p-9, -0x1.cd1699310d26bp-9, -0x1.bec0381a2fa17p-9, -0x1.b0d3a54eee042p-9, -0x1.a34e19398ea1cp-9, -0x1.962cdceb396d8p-9, -0x1.896d49c618c85p-9, -0x1.7d0cc928f01b8p-9, -0x1.7108d41be1e13p-9, -0x1.655ef2feec366p-9, -0x1.5a0cbd397af62p-9, -0x1.4f0fd8eb6df0ap-9, -0x1.4465fa9f6f37p-9, -0x1.3a0ce4fe961b7p-9, -0x1.300268855c865p-9, -0x1.26446339d1cc6p-9, -0x1.1cd0c06310a71p-9, -0x1.13a57841f72e9p-9, -0x1.0ac08fcb17d44p-9, -0x1.02201861dc0b5p-9, -0x1.f3845f29b921ap-10, -0x1.e349fdb6cb82dp-10, -0x1.d38d76a85d7afp-10, -0x1.c44b4b0a28253p-10, -0x1.b580123866ba3p-10, -0x1.a7287963be2c1p-10, -0x1.99414317bbe97p-10, -0x1.8bc746c36dafp-10, -0x1.7eb77043da1b3p-10, -0x1.720ebf711babap-10, -0x1.65ca47ad110dep-10, -0x1.59e72f746a0b8p-10, -0x1.4e62aff196598p-10, -0x1.433a1491e87ap-10, -0x1.386aba9c51529p-10, -0x1.2df210caa0e61p-10, -0x1.23cd96e43198ep-10, -0x1.19fadd5aab629p-10, -0x1.107784e8b3045p-10, -0x1.07413e325ddc3p-10, -0x1.fcab92cf0e152p-11, -0x1.eb65ebcf77361p-11, -0x1.daad43d0ce7ffp-11, -0x1.ca7d74384a73ep-11, -0x1.bad272b8645d5p-11, -0x1.aba850a6d3f4fp-11, -0x1.9cfb3a55f59d2p-11, -0x1.8ec776714cdafp-11, -0x1.8109655d985d2p-11, -0x1.73bd809bdbf7fp-11, -0x1.66e05a2f89ca9p-11, -0x1.5a6e9c07db38fp-11, -0x1.4e65076c2aa88p-11, -0x1.42c0746b6bf42p-11, -0x1.377dd14e8b4adp-11, -0x1.2c9a220d3e822p-11, -0x1.22127fc6ef4bap-11, -0x1.17e4183cda5cfp-11, -0x1.0e0c2d5060407p-11, -0x1.048814831c55ep-11, -0x1.f67ba4b045dcbp-12, -0x1.e4b577afb8d74p-12, -0x1.d387d4c5ee459p-12, -0x1.c2edf918d600ap-12, -0x1.b2e34467fafb2p-12, -0x1.a363382dac9bep-12, -0x1.946976c46c381p-12, -0x1.85f1c2920936ep-12, -0x1.77f7fd366a026p-12, -0x1.6a7826bfc0fb2p-12, -0x1.5d6e5ce1d99a8p-12, -0x1.50d6da342f11ep-12, -0x1.44adf5722a9b1p-12, -0x1.38f020c02f446p-12, -0x1.2d99e8f58bfcdp-12, -0x1.22a7f4ea1a6e1p-12, -0x1.181704c773abcp-12, -0x1.0de3f15e960b5p-12, -0x1.040bab81525b5p-12, -0x1.f51676bf91f94p-13, -0x1.e2bf7fd06c9cp-13, -0x1.d10cdc5a1fc5p-13, -0x1.bff921981c507p-13, -0x1.af7f0eb47a605p-13, -0x1.9f998ba5b05d4p-13, -0x1.9043a813fbd71p-13, -0x1.81789a44ddf0cp-13, -0x1.7333be0cbd5aep-13, -0x1.657093c7f0525p-13, -0x1.582abf58b487p-13, -0x1.4b5e072d0a6d7p-13, -0x1.3f065347556d8p-13, -0x1.331fac51bf5ecp-13, -0x1.27a63ab2cc766p-13, -0x1.1c9645a9f0582p-13, -0x1.11ec32712ec9bp-13, -0x1.07a48363e8743p-13, -0x1.fb77ae5757c32p-14, -0x1.e85dcfe233047p-14, -0x1.d5f5152632c83p-14, -0x1.c4375bc437ae6p-14, -0x1.b31eb3c1be999p-14, -0x1.a2a55e1349291p-14, -0x1.92c5cb31b7fabp-14, -0x1.837a99b50a44dp-14, -0x1.74be94fc4d55dp-14, -0x1.668cb3ddcdb55p-14, -0x1.58e0175dcb805p-14, -0x1.4bb4096dd405bp-14, -0x1.3f03fbb77bc5ap-14, -0x1.32cb866be92a9p-14, -0x1.2706671bd521ap-14, -0x1.1bb07f99aae37p-14, -0x1.10c5d4e0def7cp-14, -0x1.06428e050458p-14, -0x1.f845e6529df4bp-15, -0x1.e4c6d8fd9c074p-15, -0x1.d201028d3bf8ep-15, -0x1.bfedadc4d02f2p-15, -0x1.ae865fc60bc6ep-15, -0x1.9dc4d64539f0ep-15, -0x1.8da305c92edd7p-15, -0x1.7e1b17f2e0436p-15, -0x1.6f2769d7acb91p-15, -0x1.60c28a629a7b5p-15, -0x1.52e738c43426cp-15, -0x1.459062ead4a67p-15, -0x1.38b924087fa0ap-15, -0x1.2c5cc3224c344p-15, -0x1.2076b1a9edd3dp-15, -0x1.15028a259192dp-15, -0x1.09fc0ed5d0056p-15, -0x1.febe50eeaeb5p-16, -0x1.ea4fc9fe84fd7p-16, -0x1.d6a4eccee4513p-16, -0x1.c3b66301e7b6p-16, -0x1.b17d19a33a501p-16, -0x1.9ff23ef347e4bp-16, -0x1.8f0f403fb95d7p-16, -0x1.7ecdc7cfcb842p-16, -0x1.6f27badfe3a9cp-16, -0x1.601737a9e259ep-16, -0x1.51969382e484ep-16, -0x1.43a058f854d85p-16, -0x1.362f4613a9152p-16, -0x1.293e4a9580feep-16, -0x1.1cc8864af640ap-16, -0x1.10c947632d2b3p-16, -0x1.053c08e73d339p-16, -0x1.f438e251f41b5p-17, -0x1.decca08e08aa8p-17, -0x1.ca2b3d79c55a3p-17, -0x1.b64cf7fec9cdfp-17, -0x1.a32a5a3a2b0a8p-17, -0x1.90bc36e344f41p-17, -0x1.7efba6c0ae889p-17, -0x1.6de2062e9341ep-17, -0x1.5d68f2c2cfd79p-17, -0x1.4d8a48e949c72p-17, -0x1.3e4021c409dd4p-17, -0x1.2f84d0ecef83cp-17, -0x1.2152e260264a3p-17, -0x1.13a518762bc8ep-17, -0x1.067669eda5ff4p-17, -0x1.f383fffbe3829p-18, -0x1.db066906f540ap-18, -0x1.c36b20712b005p-18, -0x1.aca991f5ccb1bp-18, -0x1.96b98039535dbp-18, -0x1.819301a78cea9p-18, -0x1.6d2e7d32ea662p-18, -0x1.5984a76642dd5p-18, -0x1.468e7f7457c23p-18, -0x1.34454c66b643fp-18, -0x1.22a29a6af5a64p-18, -0x1.11a03810d6f31p-18, -0x1.013833efba756p-18, -0x1.e2c9b41dc045p-19, -0x1.c44163289cef7p-19, -0x1.a6ccf4d4d88cdp-19, -0x1.8a62564bdc819p-19, -0x1.6ef7dd8599f3cp-19, -0x1.5484454051565p-19, -0x1.3afea91c7177bp-19, -0x1.225e819684febp-19, -0x1.0a9ba080c5bbep-19, -0x1.e75c5ac420f8bp-20, -0x1.bb1d43d91f22fp-20, -0x1.906b8dac0826p-20, -0x1.673960a6e85c6p-20, -0x1.3f7976d270179p-20, -0x1.191f155f93ad4p-20, -0x1.e83c0e15d13c6p-21, -0x1.a0d52d252dc62p-21, -0x1.5bf312e8ca25bp-21, -0x1.1980356872c0ep-21, -0x1.b2cfd8085da5ep-22, -0x1.372ccbc8a87efp-22, -0x1.7fe2839759161p-23, -0x1.33e305e43c6c6p-24, 0x1.0efd972ac4886p-25, 0x1.19735d77bf799p-23, 0x1.e76ad1d4dc06ep-23, 0x1.56f1cf3c597ap-22, 0x1.b68c8fdd2a9b5p-22, 0x1.095114bff5cd1p-21, 0x1.35a6fc80420f3p-21, 0x1.605522c1ae072p-21, 0x1.89682679b6db9p-21, 0x1.b0ec27df971edp-21, 0x1.d6ecce1752e39p-21, 0x1.fb754ca4c3b3p-21, 0x1.0f483442c4c04p-20, 0x1.20243eae7ed74p-20, 0x1.3053c1184f388p-20, 0x1.3fdb86c53268ap-20, 0x1.4ec02d565a258p-20, 0x1.5d06269f28d41p-20, 0x1.6ab1bab708693p-20, 0x1.77c709ed6573ep-20, 0x1.844a0e8bffbbfp-20, 0x1.903e9ebd851f5p-20, 0x1.9ba86e1bc931ep-20, 0x1.a68b0f80e1355p-20, 0x1.b0e9f64313d91p-20, 0x1.bac877f6e5d3cp-20, 0x1.c429cdb421627p-20, 0x1.cd11158be106cp-20, 0x1.d581539dad17ep-20, 0x1.dd7d737050a78p-20, 0x1.e508492e706dbp-20, 0x1.ec2492ac5ab99p-20, 0x1.f2d4f86dd5136p-20, 0x1.f91c0ef06d432p-20, 0x1.fefc573714bb2p-20, 0x1.023c200a92294p-19, 0x1.04c9134fc77a1p-19, 0x1.07262bc6afd0dp-19, 0x1.095487d2bf619p-19, 0x1.0b553e45ea493p-19, 0x1.0d295ed3bc09ep-19, 0x1.0ed1f2411079fp-19, 0x1.104ffad6286b3p-19, 0x1.11a474a149fd7p-19, 0x1.12d055c6167b8p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5b17c1b35f7a1p-1, -0x1.641cb70d1f4a2p-1, -0x1.6b1e8a803a4cdp-1, -0x1.70273bc6939cfp-1, -0x1.734542d0e0413p-1, -0x1.748acd6a41b18p-1, -0x1.740cf99650996p-1, -0x1.71e327b7cde49p-1, -0x1.6e2685f7948b8p-1, -0x1.68f163c7c7adcp-1, -0x1.625ea96df9639p-1, -0x1.5a89a09e15ce2p-1, -0x1.518dbd3097cacp-1, -0x1.478646925c60ap-1, -0x1.3c8e02ccf8b13p-1, -0x1.30bf04faf3ad3p-1, -0x1.24329cbaa8a79p-1, -0x1.1701463bac9e4p-1, -0x1.0942861e74f08p-1, -0x1.f619808056d8p-2, -0x1.d8ea446bea40ap-2, -0x1.bb1e7d9f8f37cp-2, -0x1.9cdc9490958b9p-2, -0x1.7e47e8ce019b8p-2, -0x1.5f815e84e6546p-2, -0x1.40a75cf462425p-2, -0x1.21d5fb55ae361p-2, -0x1.032722e19a88p-2, -0x1.c965323a19ceap-3, -0x1.8d1c01e4edbc1p-3, -0x1.5199cb2965b22p-3, -0x1.1701a900a4e4fp-3, -0x1.bae5faca06b6p-4, -0x1.4a135d5d65e6bp-4, -0x1.b7796570c0d05p-5, -0x1.c033dd6e64918p-6, -0x1.ca5123b2247b4p-10, 0x1.7b3b3dd937355p-6, 0x1.83819bd78355ep-5, 0x1.2196fd2779b7cp-4, 0x1.7e40023a42ff2p-4, 0x1.d7ae87cd26ebcp-4, 0x1.16ec75bb70addp-3, 0x1.405c791f404d5p-3, 0x1.6825c1d76a7efp-3, 0x1.8e4834e0cf7c7p-3, 0x1.b2c509d9365abp-3, 0x1.d59ead14635bcp-3, 0x1.f6d8a1cdaa36fp-3, 0x1.0b3bb2176ab1bp-2, 0x1.1a4025b608fa9p-2, 0x1.287cb679f6b9p-2, 0x1.35f4c121a5089p-2, 0x1.42abe96798bf8p-2, 0x1.4ea61143beaacp-2, 0x1.59e752116ecc4p-2, 0x1.6473f6b4039bcp-2, 0x1.6e5075c4ab08ep-2, 0x1.77816b354aae7p-2, 0x1.800b91680f6ep-2, 0x1.87f3ba2cb7fcep-2, 0x1.8f3ec82db4171p-2, 0x1.95f1a91d1f50fp-2, 0x1.9c116d67199e9p-2, 0x1.a1a2fad29db87p-2, 0x1.a6ab33877c205p-2, 0x1.ab2ef4ff93c23p-2, 0x1.af3313b9d6112p-2, 0x1.b2bc5a01c851dp-2, 0x1.b5cf864cde3f9p-2, 0x1.b871491d67551p-2, 0x1.baa6428184bacp-2, 0x1.bc72ff5df094dp-2, 0x1.bddbf6c003f95p-2, 0x1.bee58770f8481p-2, 0x1.bf93f5f7b7427p-2, 0x1.bfeb6b22a9a1ep-2, 0x1.bfeff31d323d9p-2, 0x1.bfa57d0214436p-2, 0x1.bf0fdacff2b9fp-2, 0x1.be32c19fed73ap-2, 0x1.bd11c9feeb067p-2, 0x1.bbb0704f2e948p-2, 0x1.ba1215203ae22p-2, 0x1.b839fd75caaaap-2, 0x1.b62b53019e4abp-2, 0x1.b3e9245c143cfp-2, 0x1.b176654a6f4f2p-2, 0x1.aed5ef1e13348p-2, 0x1.ac0a812f9eb96p-2, 0x1.a916c16eed822p-2, 0x1.a5fd3cf9c126fp-2, 0x1.a2c068a902d1ep-2, 0x1.9f62a1889a429p-2, 0x1.9be62d3629f3cp-2, 0x1.984d3a2c26878p-2, 0x1.9499e005ce541p-2, 0x1.90ce1fcb2ebf4p-2, 0x1.8cebe45269fbap-2, 0x1.88f502be1c573p-2, 0x1.84eb3b1a1d541p-2, 0x1.80d03912192cbp-2, 0x1.7ca594b9e3cf4p-2, 0x1.786cd35e81a81p-2, 0x1.74276857eedb9p-2, 0x1.6fd6b5d5e012dp-2, 0x1.6b7c0da3f2da4p-2, 0x1.6718b1e3784eap-2, 0x1.62add5ba1037fp-2, 0x1.5e3c9df4be5f8p-2, 0x1.59c6219f83cddp-2, 0x1.554b6a91f1cedp-2, 0x1.50cd75f1b47ffp-2, 0x1.4c4d34acb486fp-2, 0x1.47cb8becbf98fp-2, 0x1.43495586b8323p-2, 0x1.3ec76066d0d6fp-2, 0x1.3a4670faa4a6bp-2, 0x1.35c741991c1b8p-2, 0x1.314a82e762997p-2, 0x1.2cd0dc39ca887p-2, 0x1.285aebef909e2p-2, 0x1.23e947c8d2cf2p-2, 0x1.1f7c7d36b7d62p-2, 0x1.1b1511a67345bp-2, 0x1.16b382c86652ep-2, 0x1.125846d4d956fp-2, 0x1.0e03cccfe1c4bp-2, 0x1.09b67ccda0f56p-2, 0x1.0570b837a84f1p-2, 0x1.0132da13ad6d9p-2, 0x1.f9fa6e96782p-3, 0x1.f1a03de76210cp-3, 0x1.e957b52b0fc48p-3, 0x1.e1215ce410f79p-3, 0x1.d8fdb38cfcc23p-3, 0x1.d0ed2e18b64a7p-3, 0x1.c8f0386bf64e4p-3, 0x1.c10735cff1105p-3, 0x1.b932815e8152bp-3, 0x1.b1726e686c26bp-3, 0x1.a9c748d67c71ap-3, 0x1.a231558611d7p-3, 0x1.9ab0d2a1b187fp-3, 0x1.9345f7f5cbfb5p-3, 0x1.8bf0f741d3b5ap-3, 0x1.84b1fc857d8a6p-3, 0x1.7d8806973ab7fp-3, 0x1.76754c1be79ecp-3, 0x1.6f7905f67f68p-3, 0x1.68934cb852363p-3, 0x1.61c43406fcedep-3, 0x1.5b0bcad524705p-3, 0x1.546a1b9c3fc18p-3, 0x1.4ddf2c96c593ep-3, 0x1.476afffa3a29p-3, 0x1.410d94305338dp-3, 0x1.3ac6e40ea6032p-3, 0x1.3496e70c3f751p-3, 0x1.2e7d9174aec1cp-3, 0x1.287ad4982a77fp-3, 0x1.228e9ef8800ap-3, 0x1.1cb8dc72bdf28p-3, 0x1.16f976658b435p-3, 0x1.115053d454356p-3, 0x1.0bbd598779755p-3, 0x1.06406a29c3454p-3, 0x1.00d966637d9acp-3, 0x1.f71059e70ab48p-4, 0x1.ec99358d5eb75p-4, 0x1.e24d161bbed91p-4, 0x1.d82baea640783p-4, 0x1.ce34af1c06e1p-4, 0x1.c467c46f240c3p-4, 0x1.bac498bbd5c2ap-4, 0x1.b14ad36f88b2ap-4, 0x1.a7fa196fb14dp-4, 0x1.9ed20d40af2fep-4, 0x1.95d24f2c9a946p-4, 0x1.8cfa7d69fd26fp-4, 0x1.844a34425780fp-4, 0x1.7bc10e383ed79p-4, 0x1.735ea42ce8794p-4, 0x1.6b228d84ed9f7p-4, 0x1.630c604c167fcp-4, 0x1.5b1bb157f9973p-4, 0x1.535014694930fp-4, 0x1.4ba91c4bab9e3p-4, 0x1.44265af403086p-4, 0x1.3cc7619d16165p-4, 0x1.358bc0e290f2ep-4, 0x1.2e7308da5e878p-4, 0x1.277cc92c63117p-4, 0x1.20a89128a6236p-4, 0x1.19f5efdc01044p-4, 0x1.1364742369dd6p-4, 0x1.0cf3acbdf7587p-4, 0x1.06a3285dbbcf3p-4, 0x1.007275b79514cp-4, 0x1.f4c2472420ab6p-5, 0x1.e8dd81a701afcp-5, 0x1.dd35b91ec30fp-5, 0x1.d1ca0c264250bp-5, 0x1.c69999e4cf8b4p-5, 0x1.bba38225e03b7p-5, 0x1.b0e6e56ffe215p-5, 0x1.a662e51b1065fp-5, 0x1.9c16a36611ae6p-5, 0x1.9201438c3c42fp-5, 0x1.8821e9d9b29f1p-5, 0x1.7e77bbbfaa0bfp-5, 0x1.7501dfe80d6afp-5, 0x1.6bbf7e4898303p-5, 0x1.62afc03560c24p-5, 0x1.59d1d072c42a3p-5, 0x1.5124db46ad754p-5, 0x1.48a80e892ccf8p-5, 0x1.405a99b452bc9p-5, 0x1.383badf34be9p-5, 0x1.304a7e30acb12p-5, 0x1.28863f23f3669p-5, 0x1.20ee275e2f09p-5, 0x1.19816f55d60e5p-5, 0x1.123f5171c143bp-5, 0x1.0b270a1354fbfp-5, 0x1.0437d79fd3f7bp-5, 0x1.fae1f511cd2d1p-6, 0x1.eda36aa8af6fap-6, 0x1.e0b299461f7d4p-6, 0x1.d40e0e6ea6b1bp-6, 0x1.c7b45bf4a07bap-6, 0x1.bba41801fff8bp-6, 0x1.afdbdd20cad58p-6, 0x1.a45a4a426b393p-6, 0x1.991e02c5d8bbfp-6, 0x1.8e25ae7cb75f8p-6, 0x1.836ff9af787f1p-6, 0x1.78fb952088fa4p-6, 0x1.6ec7360ea53adp-6, 0x1.64d196365da44p-6, 0x1.5b1973d2d763p-6, 0x1.519d919dd2c24p-6, 0x1.485cb6cf11c4p-6, 0x1.3f55af1b1306cp-6, 0x1.36874ab13dd2p-6, 0x1.2df05e397a5bcp-6, 0x1.258fc2d1450fep-6, 0x1.1d6456084494cp-6, 0x1.156cf9dc5c39fp-6, 0x1.0da894b553703p-6, 0x1.0616116005a1cp-6, 0x1.fd68be125531p-7, 0x1.ef04e26f66767p-7, 0x1.e0fe7f8d8a5c3p-7, 0x1.d3538dbeac179p-7, 0x1.c6020de2d0a6dp-7, 0x1.b9080959e0c04p-7, 0x1.ac6391f4c8776p-7, 0x1.a012c1e5ef674p-7, 0x1.9413bbb11bae5p-7, 0x1.8864aa1ab1a92p-7, 0x1.7d03c01670ca2p-7, 0x1.71ef38b5a0e3dp-7, 0x1.67255714c39a3p-7, 0x1.5ca46648c9fap-7, 0x1.526ab94bd2707p-7, 0x1.4876aae9870e8p-7, 0x1.3ec69dab09856p-7, 0x1.3558fbc28da6p-7, 0x1.2c2c36f693c12p-7, 0x1.233ec88cd8dbdp-7, 0x1.1a8f3134fa54dp-7, 0x1.121bf8f2d7acp-7, 0x1.09e3af08b6816p-7, 0x1.01e4e9e12fb0dp-7, 0x1.f43c8df1d60fbp-8, 0x1.e51cd5905eb41p-8, 0x1.d668015897c42p-8, 0x1.c81b75a1bd2eap-8, 0x1.ba34a432025c4p-8, 0x1.acb10c10b6b5dp-8, 0x1.9f8e395843e25p-8, 0x1.92c9c508106f6p-8, 0x1.866154d646e4p-8, 0x1.7a529b0193898p-8, 0x1.6e9b5622d73a2p-8, 0x1.633950feda77fp-8, 0x1.582a625806b49p-8, 0x1.4d6c6cc02f5c7p-8, 0x1.42fd5e6a6a5d7p-8, 0x1.38db30fd03fa8p-8, 0x1.2f03e96392264p-8, 0x1.257597a12ac48p-8, 0x1.1c2e56a2c4245p-8, 0x1.132c4c11c794dp-8, 0x1.0a6da826d342dp-8, 0x1.01f0a57cb973ep-8, 0x1.f36711c775b9ep-9, 0x1.e369426a05adp-9, 0x1.d3e48e4cd8efep-9, 0x1.c4d5ba3d1d421p-9, 0x1.b6399e123228cp-9, 0x1.a80d245705442p-9, 0x1.9a4d49f41a58bp-9, 0x1.8cf71dda453bdp-9, 0x1.8007c0ae1fc83p-9, 0x1.737c64743ab74p-9, 0x1.67524c3e1894bp-9, 0x1.5b86cbd7eeda4p-9, 0x1.501747773996cp-9, 0x1.4501336a2500bp-9, 0x1.3a4213c7cea5p-9, 0x1.2fd77c2169749p-9, 0x1.25bf0f343badcp-9, 0x1.1bf67e9c8d277p-9, 0x1.123caa8481f8fp-9, 0x1.090f17590122ep-9, 0x1.002ada3fc66d1p-9, 0x1.ef1bb85b15249p-10, 0x1.de6c26f46e5d3p-10, 0x1.ce4307351f55cp-10, 0x1.be9c79b5b3791p-10, 0x1.af74b8350f743p-10, 0x1.a0c81511b9c5bp-10, 0x1.9292fac53238cp-10, 0x1.84d1eb612fc41p-10, 0x1.7781800ef8967p-10, 0x1.6a9e6890a0874p-10, 0x1.5e256ac447cf7p-10, 0x1.52136229546a9p-10, 0x1.46653f679f5dap-10, 0x1.3b1807d89705p-10, 0x1.3028d5124a05dp-10, 0x1.2594d47462c53p-10, 0x1.1b5946b71244dp-10, 0x1.11737f7bcadeap-10, 0x1.07e0e4dff0067p-10, 0x1.fd3dde22ad6ap-11, 0x1.eb564fc93ef9ap-11, 0x1.da0654dabb5c2p-11, 0x1.c94945302914p-11, 0x1.b91a998be83e8p-11, 0x1.a975ead4be4d4p-11, 0x1.9a56f154543a9p-11, 0x1.8bb983f92d144p-11, 0x1.7d99979c0bap-11, 0x1.6ff33e4899d77p-11, 0x1.62c2a68981124p-11, 0x1.56041ab7c0335p-11, 0x1.49b4004d3b922p-11, 0x1.3dced73a88a75p-11, 0x1.3251393fe1381p-11, 0x1.2737d949390bcp-11, 0x1.1c7f82cd691cfp-11, 0x1.122519307740ep-11, 0x1.08259728c9a11p-11, 0x1.fcfc1c4edf606p-12, 0x1.ea574b86a87cp-12, 0x1.d857364eb4ee6p-12, 0x1.c6f68106cf3cbp-12, 0x1.b62ff900737c5p-12, 0x1.a5fe936c4e815p-12, 0x1.965d6c4d2c36fp-12, 0x1.8747c570917a5p-12, 0x1.78b9056cb14d9p-12, 0x1.6aacb6a3f2888p-12, 0x1.5d1e864dac671p-12, 0x1.500a43846203fp-12, 0x1.436bde5914b87p-12, 0x1.373f66ebe36a7p-12, 0x1.2b810c89cd5b9p-12, 0x1.202d1ccf81f3bp-12, 0x1.154002d1356c3p-12, 0x1.0ab646478b053p-12, 0x1.008c8ac14d2a2p-12, 0x1.ed7f1db412458p-13, 0x1.da9856eb0d529p-13, 0x1.c85ea5ff94aa1p-13, 0x1.b6cc2163ff3e2p-13, 0x1.a5db0fb7a8205p-13, 0x1.9585e662bd38ep-13, 0x1.85c7483b1c72ap-13, 0x1.769a0431cb296p-13, 0x1.67f91409267a7p-13, 0x1.59df9b138d6b5p-13, 0x1.4c48e4fa535b6p-13, 0x1.3f30648ce26f4p-13, 0x1.3291b297ef567p-13, 0x1.26688cc460bd3p-13, 0x1.1ab0d47e39afdp-13, 0x1.0f668de29107ep-13, 0x1.0485deb554d92p-13, 0x1.f4161abc32374p-14, 0x1.dfe4ffd7cd89cp-14, 0x1.cc71764002ce5p-14, 0x1.b9b4c2fea65a8p-14, 0x1.a7a864d514032p-14, 0x1.96461278c9c99p-14, 0x1.8587b8dcc31b2p-14, 0x1.756779874449cp-14, 0x1.65dfa8f2f0ca2p-14, 0x1.56eaccfbd55ecp-14, 0x1.48839b579256ap-14, 0x1.3aa4f8189bf6ep-14, 0x1.2d49f43c232c8p-14, 0x1.206dcc4215afdp-14, 0x1.140be6cfeb5dap-14, 0x1.081fd35cedecdp-14, 0x1.f94a91cf91796p-15, 0x1.e330496c23483p-15, 0x1.cde8d2391d8e5p-15, 0x1.b96c78a0f7db9p-15, 0x1.a5b3ce82cb93p-15, 0x1.92b7a8f691b08p-15, 0x1.80711e226c5c2p-15, 0x1.6ed9831f30eefp-15, 0x1.5dea69ecaeb51p-15, 0x1.4d9d9f750973ep-15, 0x1.3ded299ede33bp-15, 0x1.2ed3456d9705ap-15, 0x1.204a652f9b431p-15, 0x1.124d2eba3b7d9p-15, 0x1.04d679b2d2042p-15, 0x1.efc29bc89316fp-16, 0x1.d6d1c3449823fp-16, 0x1.bed1306ddb1ap-16, 0x1.a7b800bb8325p-16, 0x1.917da5937312p-16, 0x1.7c19e16d33a19p-16, 0x1.6784c50a26d81p-16, 0x1.53b6acc386017p-16, 0x1.40a83ded6e55ap-16, 0x1.2e52644db8b44p-16, 0x1.1cae4fa68ec6p-16, 0x1.0bb57154d3db5p-16, 0x1.f6c2f400d3b14p-17, 0x1.d758aebf6dbf6p-17, 0x1.b92064171ae4bp-17, 0x1.9c0ed6ccd8c26p-17, 0x1.80193723653f2p-17, 0x1.65351eec9f46ep-17, 0x1.4b588db82a37ep-17, 0x1.3279e51e3cfa4p-17, 0x1.1a8fe52e03281p-17, 0x1.0391a8f467545p-17, 0x1.daed464a45d1dp-18, 0x1.b06d35b4cd50bp-18, 0x1.879350e4beaf6p-18, 0x1.6050650e46478p-18, 0x1.3a95d5fad7ab8p-18, 0x1.16559864aeb98p-18, 0x1.e70458eb74c84p-19, 0x1.a41d30fb038adp-19, 0x1.63dcc7a55e0a4p-19, 0x1.262b23c25f30ap-19, 0x1.d5e2759038dd3p-20, 0x1.6431cf1d37c49p-20, 0x1.ee3385e8cacfcp-21, 0x1.1ce2cf1685a59p-21, 0x1.508b5538f071fp-23, -0x1.b15ff5e6b7cb6p-23, -0x1.24d64fa9849cap-21, -0x1.d59df5c987086p-21, -0x1.3f79079e7b67ep-20, -0x1.908990eebe403p-20, -0x1.de1f9a539f028p-20, -0x1.142c7a591cb31p-19, -0x1.37a9255b35d59p-19, -0x1.5993965d96901p-19, -0x1.79f90e21a22b4p-19, -0x1.98e64b828d01p-19, -0x1.b66790c2a482dp-19, -0x1.d288a8ae79b3ep-19, -0x1.ed54eb85574f3p-19, -0x1.036ba1da1ad3bp-18, -0x1.0f8d1932c635cp-18, -0x1.1b13e9effd912p-18, -0x1.2604f1e021421p-18, -0x1.3064e07da4f9p-18, -0x1.3a3838e6138c4p-18, -0x1.438353b734b28p-18, -0x1.4c4a60d967051p-18, -0x1.5491693b2aa0dp-18, -0x1.5c5c507550b94p-18, -0x1.63aed66735f62p-18, -0x1.6a8c98b9fca8cp-18, -0x1.70f9145b48e21p-18, -0x1.76f7a6e39053p-18, -0x1.7c8b8ff24a1e8p-18, -0x1.81b7f277d662ap-18, -0x1.867fd5f62967p-18, -0x1.8ae627b156c22p-18, -0x1.8eedbbd614a6fp-18, -0x1.92994e927fe6dp-18, -0x1.95eb85238089cp-18, -0x1.98e6eed99c1ap-18, -0x1.9b8e060d7c177p-18, -0x1.9de3310f7c2a9p-18, -0x1.9fe8c309f2af4p-18, -0x1.a1a0fcdc30657p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5c82b5dfe7ed8p+0, -0x1.536a13ab0e62ep+0, -0x1.4a02f6a0ebb03p+0, -0x1.4079df51db35dp+0, -0x1.36f43bd1dc043p+0, -0x1.2d911a3b3ff42p+0, -0x1.2469c695c1855p+0, -0x1.1b9273243261fp+0, -0x1.131ae090719d9p+0, -0x1.0b0ee784c9cd1p+0, -0x1.0376fd91897f7p+0, -0x1.f8b1683ad960ap-1, -0x1.eb6e4d11dc83ap-1, -0x1.df26b420c0d67p-1, -0x1.d3d91c977e656p-1, -0x1.c9810d4d3a45p-1, -0x1.c017abdc9da17p-1, -0x1.b794482fee076p-1, -0x1.afecc820ce9d3p-1, -0x1.a915f6bdf0a99p-1, -0x1.a303c5e309b7p-1, -0x1.9da9978da1ccap-1, -0x1.98fa62233b0f5p-1, -0x1.94e905e412481p-1, -0x1.916875a83bf01p-1, -0x1.8e6bd7c0d2ab4p-1, -0x1.8be69842e55acp-1, -0x1.89cc7b20f678p-1, -0x1.8811b12ee2485p-1, -0x1.86aaeb9b3ec91p-1, -0x1.858d691b7bdeap-1, -0x1.84aefc57ef01dp-1, -0x1.84060e75842cep-1, -0x1.8389a07361cd1p-1, -0x1.83314c0eb5188p-1, -0x1.82f5438c20c34p-1, -0x1.82ce4fe5e715bp-1, -0x1.82b5cd833551fp-1, -0x1.82a5a7dcd9c75p-1, -0x1.8298544d8cb7p-1, -0x1.8288cc35d7a9p-1, -0x1.827286bfa6b5ep-1, -0x1.825172ab4542fp-1, -0x1.8221f069bbc49p-1, -0x1.81e0cc75265ap-1, -0x1.818b399d36429p-1, -0x1.811ecb0418504p-1, -0x1.80996dbac97e5p-1, -0x1.7ff9621ef279cp-1, -0x1.7f3d353636ee6p-1, -0x1.7e63ba46b2b6cp-1, -0x1.7d6c04e69404fp-1, -0x1.7c5563af44b5fp-1, -0x1.7b1f5ba4b3d6bp-1, -0x1.79c9a4372645ep-1, -0x1.7854239dc9d6ep-1, -0x1.76beeb39101d5p-1, -0x1.750a33c1c5e31p-1, -0x1.7336593bc77c9p-1, -0x1.7143d6d706a4cp-1, -0x1.6f334303eba5ep-1, -0x1.6d054bf516039p-1, -0x1.6abab4a1b9234p-1, -0x1.6854617edc485p-1, -0x1.65d31ebe3ac4p-1, -0x1.6337e888c88fp-1, -0x1.6083ba03a1666p-1, -0x1.5db797afd9befp-1, -0x1.5ad48deecfbeep-1, -0x1.57dbaf81d8bd7p-1, -0x1.54ce1401e756p-1, -0x1.51acd65379155p-1, -0x1.4e79132007ec6p-1, -0x1.4b33e760bfacep-1, -0x1.47de6f066e944p-1, -0x1.4479c3c89cfc5p-1, -0x1.4106fc21e77bp-1, -0x1.3d872a7af6ab1p-1, -0x1.39fb5c8122595p-1, -0x1.36649aa28d46dp-1, -0x1.32c3e7a7b6afap-1, -0x1.2f1a40620a033p-1, -0x1.2b689b67ab168p-1, -0x1.27afe8d6a9037p-1, -0x1.23f1121c98089p-1, -0x1.202cf9c2bed3bp-1, -0x1.1c647b4192123p-1, -0x1.18986adf3a2fcp-1, -0x1.14c9959bf616bp-1, -0x1.10f8c12cb9f04p-1, -0x1.0d26ac0173c55p-1, -0x1.09540d522967p-1, -0x1.0581952d8441cp-1, -0x1.01afec8491694p-1, -0x1.fbbf6a63e7de3p-2, -0x1.f42313fb369cfp-2, -0x1.ec8bfd4067d1cp-2, -0x1.e4fb3f94f605dp-2, -0x1.dd71e668466d2p-2, -0x1.d5f0ef690db92p-2, -0x1.ce794acb117c7p-2, -0x1.c70bdb9ebd685p-2, -0x1.bfa9783614059p-2, -0x1.b852ea91deee4p-2, -0x1.b108f0d29d5c5p-2, -0x1.a9cc3da9df5adp-2, -0x1.a29d78c9d6af7p-2, -0x1.9b7d3f51dc6f6p-2, -0x1.946c24371974ep-2, -0x1.8d6ab0a8d0d93p-2, -0x1.8679646ff0871p-2, -0x1.7f98b649e0dd9p-2, -0x1.78c9143ee59fdp-2, -0x1.720ae3f4bdec4p-2, -0x1.6b5e82fe7ecbep-2, -0x1.64c4472a9ce1fp-2, -0x1.5e3c7ecfe178bp-2, -0x1.57c77119a5f4fp-2, -0x1.51655e532c596p-2, -0x1.4b1680318d638p-2, -0x1.44db0a1b87f0dp-2, -0x1.3eb3296e756f3p-2, -0x1.389f05bff6b6fp-2, -0x1.329ec11c2ff77p-2, -0x1.2cb27840e03c4p-2, -0x1.26da42d5d6bap-2, -0x1.211633a383e1fp-2, -0x1.1b6658c857087p-2, -0x1.15cabbed7b142p-2, -0x1.1043627b46a64p-2, -0x1.0ad04dcd770b6p-2, -0x1.05717b6706755p-2, -0x1.0026e5254c914p-2, -0x1.f5e102e4043edp-3, -0x1.eb9c86e77b1d2p-3, -0x1.e180367948de9p-3, -0x1.d78bebee34a9dp-3, -0x1.cdbf7c20d5021p-3, -0x1.c41ab6c3058d9p-3, -0x1.ba9d66abd7434p-3, -0x1.b147522262ca4p-3, -0x1.a8183b25f82fcp-3, -0x1.9f0fdfb3e6e3ap-3, -0x1.962dfa0b26fc2p-3, -0x1.8d7240eddbd8p-3, -0x1.84dc67e09da43p-3, -0x1.7c6c1f675b27ep-3, -0x1.7420b5d528dep-3, -0x1.6bfa731209515p-3, -0x1.63f8c7176f24ep-3, -0x1.5c1b5930d8e2dp-3, -0x1.5461ce71c8632p-3, -0x1.4ccbc9e1b7a35p-3, -0x1.4558eca7eed4cp-3, -0x1.3e08d636d3d5ep-3, -0x1.36db24766af73p-3, -0x1.2fcf73eda685ap-3, -0x1.28e55fea318c3p-3, -0x1.221c82a66f6d5p-3, -0x1.1b74756d74844p-3, -0x1.14ecd0bccd95p-3, -0x1.0e852c63fe4c9p-3, -0x1.083d1fa1b269cp-3, -0x1.0214413ea4336p-3, -0x1.f8144f4cbfa09p-4, -0x1.ec3cd1fc0110fp-4, -0x1.e0a136722b598p-4, -0x1.d540a859dcf28p-4, -0x1.ca1a5344f1dd7p-4, -0x1.bf2d62cdd99cdp-4, -0x1.b47902b6fd135p-4, -0x1.a9fc5f0881b05p-4, -0x1.9fb6a42cbad81p-4, -0x1.95a6ff0b93696p-4, -0x1.8bcc9d2523a1ap-4, -0x1.8226acab8f561p-4, -0x1.78b45c9c4bd56p-4, -0x1.6f74dcd8d2b6p-4, -0x1.66675e3ec5448p-4, -0x1.5d8b12bf719ddp-4, -0x1.54df2d76b07cp-4, -0x1.4c62e2c10016fp-4, -0x1.44156850cbbd2p-4, -0x1.3bf5f542c4b28p-4, -0x1.3403c23139286p-4, -0x1.2c3e0946548c9p-4, -0x1.24a4064d3b1cap-4, -0x1.1d34f6c1f54d6p-4, -0x1.15f019e0231d5p-4, -0x1.0ed4b0b077d7bp-4, -0x1.07e1fe14ffb18p-4, -0x1.011746d4361bep-4, -0x1.f4e7a345ef6b1p-5, -0x1.e7edce5aba709p-5, -0x1.db3fa43d1dbdfp-5, -0x1.cedbbe4f4578dp-5, -0x1.c2c0ba0b2e80ep-5, -0x1.b6ed390cfca77p-5, -0x1.ab5fe11bd921ep-5, -0x1.a0175c317aa43p-5, -0x1.951258807ee5bp-5, -0x1.8a4f8879b4e01p-5, -0x1.7fcda2d0733a9p-5, -0x1.758b627e1ae5dp-5, -0x1.6b8786c4d99c8p-5, -0x1.61c0d331bd861p-5, -0x1.58360f9e2e09dp-5, -0x1.4ee60830d622fp-5, -0x1.45cf8d5e04c81p-5, -0x1.3cf173e78fb78p-5, -0x1.344a94dc3bd22p-5, -0x1.2bd9cd96aaab2p-5, -0x1.239dffbbd239ep-5, -0x1.1b961138fdf94p-5, -0x1.13c0ec4156a49p-5, -0x1.0c1d7f4af4c9cp-5, -0x1.04aabd0b78914p-5, -0x1.facf38e85261cp-6, -0x1.eca6315b38c81p-6, -0x1.ded86225c4c9ep-6, -0x1.d163d2587fccbp-6, -0x1.c4469152d9d02p-6, -0x1.b77eb6b6cad62p-6, -0x1.ab0a625b8cc7ap-6, -0x1.9ee7bc3f845a5p-6, -0x1.9314f4795843fp-6, -0x1.879043283af31p-6, -0x1.7c57e86385106p-6, -0x1.716a2c29914c8p-6, -0x1.66c55e4dfa8e4p-6, -0x1.5c67d66738471p-6, -0x1.524ff3bbad57p-6, -0x1.487c1d2e362ap-6, -0x1.3eeac12a31221p-6, -0x1.359a558f274dep-6, -0x1.2c89579c06a49p-6, -0x1.23b64bda071c3p-6, -0x1.1b1fbe073cb74p-6, -0x1.12c44100eba5ap-6, -0x1.0aa26ead949e8p-6, -0x1.02b8e7e6d2c94p-6, -0x1.f60ca8c615004p-7, -0x1.e712c53de8605p-7, -0x1.d8818f8e05426p-7, -0x1.ca567f41721d6p-7, -0x1.bc8f18e7c494bp-7, -0x1.af28ede78cec8p-7, -0x1.a2219c5098adfp-7, -0x1.9576ceae36b33p-7, -0x1.89263bd975932p-7, -0x1.7d2da6cb6eb6ep-7, -0x1.718ade6f90076p-7, -0x1.663bbd760328fp-7, -0x1.5b3e2a2633ad5p-7, -0x1.509016316087ap-7, -0x1.462f7e8567e8ep-7, -0x1.3c1a6b1faff59p-7, -0x1.324eeee044433p-7, -0x1.28cb275d2256p-7, -0x1.1f8d3cb5c4e5p-7, -0x1.16936166e8647p-7, -0x1.0ddbd21e90debp-7, -0x1.0564d59057b7p-7, -0x1.fa5978940026ap-8, -0x1.ea63c110b473dp-8, -0x1.dae54c18f24p-8, -0x1.cbdaf3e27379fp-8, -0x1.bd41a50248081p-8, -0x1.af165e194e692p-8, -0x1.a1562f8163da5p-8, -0x1.93fe3afb5d2e9p-8, -0x1.870bb35dbc848p-8, -0x1.7a7bdc443a5f9p-8, -0x1.6e4c09c01da35p-8, -0x1.6279a00961995p-8, -0x1.57021330b97c1p-8, -0x1.4be2e6d26d4e7p-8, -0x1.4119adca16c0bp-8, -0x1.36a409e7368a6p-8, -0x1.2c7faba2b94cep-8, -0x1.22aa51d55802bp-8, -0x1.1921c96ee4df8p-8, -0x1.0fe3ed2e80678p-8, -0x1.06eea55bb50e1p-8, -0x1.fc7fcf01111cbp-9, -0x1.ebab6c48d5036p-9, -0x1.db5c41103ca2p-9, -0x1.cb8e84c51cfc3p-9, -0x1.bc3e873d170a5p-9, -0x1.ad68b032f7ef5p-9, -0x1.9f097ec600b2p-9, -0x1.911d88fb01365p-9, -0x1.83a17b3f4ee7ap-9, -0x1.769217eda7f8p-9, -0x1.69ec36d4e82e7p-9, -0x1.5dacc4c09d57cp-9, -0x1.51d0c3037d099p-9, -0x1.46554703aec52p-9, -0x1.3b3779c8eb0a5p-9, -0x1.3074978c7dfd5p-9, -0x1.2609ef4b13ba3p-9, -0x1.1bf4e2585f397p-9, -0x1.1232e3f48ff34p-9, -0x1.08c178e390101p-9, -0x1.ff3c6e0c2f12dp-10, -0x1.ed8d89e90e8f2p-10, -0x1.dc71b336f592ep-10, -0x1.cbe477b461f91p-10, -0x1.bbe184454e3bbp-10, -0x1.ac64a436ebeddp-10, -0x1.9d69c086b825p-10, -0x1.8eecdf2d1ebd8p-10, -0x1.80ea226b54a6bp-10, -0x1.735dc81ca2a35p-10, -0x1.6644290b06993p-10, -0x1.595b155d7535ep-10, -0x1.4d1e5d41d9a49p-10, -0x1.414a12f297a9ep-10, -0x1.35daf344ba743p-10, -0x1.2acdd2cd1a96dp-10, -0x1.201f9d494a408p-10, -0x1.15cd550b9e94bp-10, -0x1.0bd4126a36a1ep-10, -0x1.02310331092f9p-10, -0x1.f1c2d42df376dp-11, -0x1.dfc53c6b46ee3p-11, -0x1.ce6415089837cp-11, -0x1.bd9a5aaaedcebp-11, -0x1.ad632fae95123p-11, -0x1.9db9db2d94756p-11, -0x1.8e99c80b607cdp-11, -0x1.7ffe8405dfeaep-11, -0x1.71e3becbbe6fdp-11, -0x1.64454917c881p-11, -0x1.571f13d18b912p-11, -0x1.4a6d2f327fc2ap-11, -0x1.3e2bc9f0a3049p-11, -0x1.3257306d684bp-11, -0x1.26ebcbe995d11p-11, -0x1.1be621bdbf858p-11, -0x1.1142d2972fb2bp-11, -0x1.06fe99b96b24ep-11, -0x1.fa2c9887e0dc2p-12, -0x1.e70db0f8cfbe3p-12, -0x1.d49a8a39b8cebp-12, -0x1.c2cd614cab40dp-12, -0x1.b1a0a16e4ad05p-12, -0x1.a10ee2cb340f6p-12, -0x1.9112e93c8529bp-12, -0x1.81a7a30c51ba8p-12, -0x1.72c827c1c881ap-12, -0x1.646fb6f42957cp-12, -0x1.5699b7259022cp-12, -0x1.4941b4a462ff7p-12, -0x1.3c636073fda71p-12, -0x1.2ffa8f3be0f61p-12, -0x1.2403383dd3924p-12, -0x1.18797452631efp-12, -0x1.0d597cebf13afp-12, -0x1.029fab1fdbb1dp-12, -0x1.f090ed6be020fp-13, -0x1.dca0ea7c20151p-13, -0x1.c968b256f0c21p-13, -0x1.b6e1e1ec5f2f6p-13, -0x1.a5064c8395377p-13, -0x1.93cffa144d922p-13, -0x1.833925aadf099p-13, -0x1.733c3bd73552ap-13, -0x1.63d3d926610fp-13, -0x1.54fac8a654b23p-13, -0x1.46ac027412bc3p-13, -0x1.38e2aa53a3f42p-13, -0x1.2b9a0e51aee92p-13, -0x1.1ecda56f3a86fp-13, -0x1.12790e560585fp-13, -0x1.06980e1682baep-13, -0x1.f64d1dde1c5fcp-14, -0x1.e0413e36879bep-14, -0x1.cb04df58c559cp-14, -0x1.b690a6d449a3cp-14, -0x1.a2dd7b778f6dap-14, -0x1.8fe48331e747bp-14, -0x1.7d9f2105805e8p-14, -0x1.6c06f30891dafp-14, -0x1.5b15d0757a1ebp-14, -0x1.4ac5c7ca2c22p-14, -0x1.3b111cf44797cp-14, -0x1.2bf2478d4af0dp-14, -0x1.1d63f122c1961p-14, -0x1.0f60f38ca0c14p-14, -0x1.01e4574f93386p-14, -0x1.e9d2a4194c37dp-15, -0x1.d0d689fb95fdcp-15, -0x1.b8cb76f806be6p-15, -0x1.a1a8d32724c65p-15, -0x1.8b6655448257p-15, -0x1.75fc00016437ep-15, -0x1.61621f6d93e5ap-15, -0x1.4d914672fd0a1p-15, -0x1.3a824c6890ad1p-15, -0x1.282e4ab5db92cp-15, -0x1.168e9a8b2c686p-15, -0x1.059cd2ab33475p-15, -0x1.eaa58a902d1d5p-16, -0x1.cb54fbe0a0be7p-16, -0x1.ad3c7f1bd692ap-16, -0x1.905104e82be99p-16, -0x1.7487e5017aa44p-16, -0x1.59d6da8fbf55p-16, -0x1.403400a56c9bbp-16, -0x1.2795ced784d38p-16, -0x1.0ff315f118648p-16, -0x1.f285f988974cbp-17, -0x1.c6f9fa24756edp-17, -0x1.9d31c126be868p-17, -0x1.751d7c24d7a42p-17, -0x1.4eaded452ef88p-17, -0x1.29d465db43f6cp-17, -0x1.0682c13155c41p-17, -0x1.c956bef269a6bp-18, -0x1.888241e737023p-18, -0x1.4a6ec266a9a3ep-18, -0x1.0f03e527e4d43p-18, -0x1.ac5467456556dp-19, -0x1.3f962738cafcp-19, -0x1.af42fb79796a8p-20, -0x1.d131daa78de0bp-21, -0x1.56ea6c7614645p-23, 0x1.147b8c093ac6dp-21, 0x1.370357d6688ap-20, 0x1.dbbbb64448325p-20, 0x1.3c56470a83196p-19, 0x1.870c821fddb9dp-19, 0x1.ce20e75360a5fp-19, 0x1.08d9530467401p-18, 0x1.28efe6c5907b8p-18, 0x1.4762ac21963c3p-18, 0x1.643f9b35022c1p-18, 0x1.7f942c2115c66p-18, 0x1.996d5c1e5c4e1p-18, 0x1.b1d7b239eb889p-18, 0x1.c8df43f461208p-18, 0x1.de8fb9befb6f3p-18, 0x1.f2f4533c97f59p-18, 0x1.030bf5b70fee9p-17, 0x1.0c027e4f90589p-17, 0x1.1462d22016c35p-17, 0x1.1c31d34a358c7p-17, 0x1.2374391ea97cp-17, 0x1.2a2e91ce2312dp-17, 0x1.3065440f6604ap-17, 0x1.361c90b29454cp-17, 0x1.3b589421afe48p-17, 0x1.401d47d63279bp-17, 0x1.446e83bdeefe3p-17, 0x1.484fff925acc3p-17, 0x1.4bc55423a90b6p-17, 0x1.4ed1fc8d44ea7p-17, 0x1.517957744da28p-17, 0x1.53bea81cf69d5p-17, 0x1.55a517874a89bp-17, 0x1.572fb57bfb155p-17, 0x1.5861798c00e43p-17, 0x1.593d4407c3e5fp-17, 0x1.59c5deea097c2p-17, 0x1.59fdfebb3656ap-17, 0x1.59e8436b4d9ep-17, 0x1.5987391b6bc6ap-17, 0x1.58dd58ee95c5bp-17, 0x1.57ed09c164166p-17, 0x1.56b8a0dee17ecp-17, 0x1.554262b5e5c5p-17, 0x1.538c8379da19bp-17, 0x1.519927c5970eep-17, 0x1.4f6a6532b5e48p-17, 0x1.4d0242ebdc527p-17, 0x1.4a62ba3913badp-17, 0x1.478db7061a78bp-17, 0x1.4485185e10409p-17, 0x1.414ab0eaa0bd5p-17, 0x1.3de0476573a35p-17, 0x1.3a479708ac175p-17, 0x1.36824ff8321d3p-17, 0x1.329217a79cc63p-17, 0x1.2e78893a99574p-17, 0x1.2a3735e252e07p-17, 0x1.25cfa534e0e9bp-17, 0x1.2143558205652p-17, 0x1.1c93bc20f55e6p-17, 0x1.17c245c090abdp-17, 0x1.12d056ae8e6acp-17, 0x1.0dbf4b1ad004ep-17, 0x1.0890775d673f2p-17, 0x1.034528332c9fp-17, 0x1.fbbd45f551a6p-18, 0x1.f0bc4bd89fdccp-18, 0x1.e589d0a557dbp-18, 0x1.da28357983cdbp-18, 0x1.ce99ce613f76p-18, 0x1.c2e0e2b39f345p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.68f5c1276730ap-1, 0x1.66a9ec8935137p-1, 0x1.641ddea373495p-1, 0x1.615083a825969p-1, 0x1.5e412283c9a6cp-1, 0x1.5aef58fcc9dedp-1, 0x1.575b17638e1c5p-1, 0x1.53849bf2a55c3p-1, 0x1.4f6c6df9a77fbp-1, 0x1.4b1358e926a0ep-1, 0x1.467a675238ca5p-1, 0x1.41a2dde8d3d7ep-1, 0x1.3c8e3695573c9p-1, 0x1.373e1b9f25a6cp-1, 0x1.31b462f818cecp-1, 0x1.2bf309aed24fdp-1, 0x1.25fc2f8c6c087p-1, 0x1.1fd212e0cc4b7p-1, 0x1.19770c7fdc44ep-1, 0x1.12ed8bf100324p-1, 0x1.0c3813d1846e3p-1, 0x1.0559366a204b5p-1, 0x1.fca724ee75ee4p-2, 0x1.ee53a0468dbb1p-2, 0x1.dfbd3c64745e6p-2, 0x1.d0e95eb9f1a0dp-2, 0x1.c1dd6fb6a8edep-2, 0x1.b29ed636548a2p-2, 0x1.a332f3461e66ap-2, 0x1.939f1e3dcda9ep-2, 0x1.83e8a1297f245p-2, 0x1.7414b5807e5cp-2, 0x1.64288125e35e4p-2, 0x1.542913af8d343p-2, 0x1.441b63f024a44p-2, 0x1.34044dc0d58bbp-2, 0x1.23e890077c11p-2, 0x1.13cccaf618ec3p-2, 0x1.03b57e806da5ap-2, 0x1.e74e120964c35p-3, 0x1.c74b4c48f69fcp-3, 0x1.a76adb95c5ea7p-3, 0x1.87b4a6ba7b2a2p-3, 0x1.68304a273dac6p-3, 0x1.48e516ed3e7fp-3, 0x1.29da11ffc264bp-3, 0x1.0b15f3b5ddf2bp-3, 0x1.d93e4f109ce5cp-4, 0x1.9cf7980dfaa49p-4, 0x1.6163660409fc9p-4, 0x1.268cc3c43a65ep-4, 0x1.d8fc48b29ebdp-5, 0x1.6682c8beae93fp-5, 0x1.eb7f2e92596c1p-6, 0x1.0d883c33282a7p-6, 0x1.9a0a56111cd8ap-9, -0x1.466e9e69485b9p-7, -0x1.75c56ae2948a2p-6, -0x1.222783381695cp-5, -0x1.875e1cce772f8p-5, -0x1.ea7b94ec0c6afp-5, -0x1.25baff78eb9a7p-4, -0x1.5522344480894p-4, -0x1.836f698b4880fp-4, -0x1.b09f168593c6cp-4, -0x1.dcae258ab0ap-4, -0x1.03ccf84f43dep-3, -0x1.18b01efb43407p-3, -0x1.2cff9e3c32bdep-3, -0x1.40bac01ab2c29p-3, -0x1.53e0ff7215a5fp-3, -0x1.6672062da8091p-3, -0x1.786dab8755891p-3, -0x1.89d3f24878796p-3, -0x1.9aa5070db7978p-3, -0x1.aae13e8e99b9p-3, -0x1.ba8913e989ee2p-3, -0x1.c99d26f4de1c8p-3, -0x1.d81e3a9572167p-3, -0x1.e60d331b5253ep-3, -0x1.f36b14a4e986ep-3, -0x1.001c80c48806p-2, -0x1.063c1c6434431p-2, -0x1.0c150a432087ep-2, -0x1.11a80444a80bdp-2, -0x1.16f5d0624309ep-2, -0x1.1bff3ff40eb1dp-2, -0x1.20c52efd94bc8p-2, -0x1.2548837ed627dp-2, -0x1.298a2cc9b854p-2, -0x1.2d8b22dbd2505p-2, -0x1.314c65bcac5dep-2, -0x1.34cefce0728b5p-2, -0x1.3813f68f1faeep-2, -0x1.3b1c67502596bp-2, -0x1.3de9695a8850cp-2, -0x1.407c1c0974e69p-2, -0x1.42d5a355473b3p-2, -0x1.44f72750fb16fp-2, -0x1.46e1d3ac03198p-2, -0x1.4896d738769e2p-2, -0x1.4a176375929d2p-2, -0x1.4b64ac1e7d444p-2, -0x1.4c7fe6bd42291p-2, -0x1.4d6a4a41f73f3p-2, -0x1.4e250e9dfeb39p-2, -0x1.4eb16c6354847p-2, -0x1.4f109c67d791ap-2, -0x1.4f43d76c7f3p-2, -0x1.4f4c55c86a56fp-2, -0x1.4f2b4f17b5efdp-2, -0x1.4ee1f9ee0c331p-2, -0x1.4e718b8cd4e43p-2, -0x1.4ddb379cf7777p-2, -0x1.4d202fec17d1cp-2, -0x1.4c41a42d4153fp-2, -0x1.4b40c1bce4093p-2, -0x1.4a1eb36812d3cp-2, -0x1.48dca136f5656p-2, -0x1.477bb03a4b445p-2, -0x1.45fd025bfcc9cp-2, -0x1.4461b6329609p-2, -0x1.42aae6d7a4958p-2, -0x1.40d9abc0da4p-2, -0x1.3eef189be414ap-2, -0x1.3cec3d2ce4e2cp-2, -0x1.3ad2252f787b8p-2, -0x1.38a1d83a32e52p-2, -0x1.365c59a47fce8p-2, -0x1.3402a86ed7b45p-2, -0x1.3195bf2d2e21bp-2, -0x1.2f1693f38eeedp-2, -0x1.2c861844cf38ap-2, -0x1.29e53903431e3p-2, -0x1.2734de6368dep-2, -0x1.2475ebe06e809p-2, -0x1.21a9403289434p-2, -0x1.1ecfb54705422p-2, -0x1.1bea203a03b32p-2, -0x1.18f95151cd4f7p-2, -0x1.15fe13fbb01f7p-2, -0x1.12f92eca531c1p-2, -0x1.0feb637570b1ap-2, -0x1.0cd56edaeaf22p-2, -0x1.09b80901237a3p-2, -0x1.0693e51a8e3c4p-2, -0x1.0369b18a6af6ep-2, -0x1.003a17ea9c1a5p-2, -0x1.fa0b7a250c00ap-3, -0x1.f39a823ddedacp-3, -0x1.ed227ef5a0e3p-3, -0x1.e6a49dd209545p-3, -0x1.e022031da9298p-3, -0x1.d99bc9fe8994cp-3, -0x1.d313048e5103ap-3, -0x1.cc88bbf3bc8b8p-3, -0x1.c5fdf07d6f80ap-3, -0x1.bf7399bdee1f2p-3, -0x1.b8eaa6a8bfbf9p-3, -0x1.b263fdb09569fp-3, -0x1.abe07ce6624bdp-3, -0x1.a560fa195c673p-3, -0x1.9ee642f7c8712p-3, -0x1.98711d307ca65p-3, -0x1.9202469510067p-3, -0x1.8b9a753ca6223p-3, -0x1.853a57a738b17p-3, -0x1.7ee294e160b4bp-3, -0x1.7893cca882fc3p-3, -0x1.724e978f5748p-3, -0x1.6c138722b86aap-3, -0x1.65e3260eb4a14p-3, -0x1.5fbdf843cc8adp-3, -0x1.59a47b1c50e84p-3, -0x1.53972581e0e88p-3, -0x1.4d966812ebf94p-3, -0x1.47a2ad48363b1p-3, -0x1.41bc599a5a52p-3, -0x1.3be3cba72d4e6p-3, -0x1.36195c570bb65p-3, -0x1.305d5f0200bd5p-3, -0x1.2ab02194bedc7p-3, -0x1.2511ecb55d7c2p-3, -0x1.1f8303e7de522p-3, -0x1.1a03a5b26b7fdp-3, -0x1.14940bc148491p-3, -0x1.0f346b0a71bf5p-3, -0x1.09e4f3f0e3f2p-3, -0x1.04a5d26782c36p-3, -0x1.feee5c2743f62p-4, -0x1.f4b254de425p-4, -0x1.ea97cdd438641p-4, -0x1.e09efe185a2dap-4, -0x1.d6c8152a6c0d5p-4, -0x1.cd133b3b6eca3p-4, -0x1.c380916d4c7d8p-4, -0x1.ba10321186679p-4, -0x1.b0c230e6f7093p-4, -0x1.a7969b56692afp-4, -0x1.9e8d78ae4a32ap-4, -0x1.95a6ca5d2ab77p-4, -0x1.8ce28c2b4ae89p-4, -0x1.8440b472fcf08p-4, -0x1.7bc13457fb6afp-4, -0x1.7363f7fda0ecbp-4, -0x1.6b28e6bc0969ap-4, -0x1.630fe35412eaap-4, -0x1.5b18cc2246057p-4, -0x1.53437b509da41p-4, -0x1.4b8fc70733bd9p-4, -0x1.43fd819bd05cp-4, -0x1.3c8c79c05ba49p-4, -0x1.353c7ab0352a8p-4, -0x1.2e0d4c5c70063p-4, -0x1.26feb396f59fcp-4, -0x1.2010723c90952p-4, -0x1.1942475de28cdp-4, -0x1.1293ef674602ep-4, -0x1.0c0524479cc4bp-4, -0x1.05959d961251bp-4, -0x1.fe8a216d9d944p-5, -0x1.f22661fd42e77p-5, -0x1.e5ff5fab47c92p-5, -0x1.da1479b1b4ca7p-5, -0x1.ce650bf5a2083p-5, -0x1.c2f06f467e67cp-5, -0x1.b7b5f99b5c2bbp-5, -0x1.acb4fe4e536aap-5, -0x1.a1ecce5601cb1p-5, -0x1.975cb87d272a6p-5, -0x1.8d04099870128p-5, -0x1.82e20cba6fc09p-5, -0x1.78f60b65d3965p-5, -0x1.6f3f4dbdd80ebp-5, -0x1.65bd1ab5074c2p-5, -0x1.5c6eb83a47969p-5, -0x1.53536b64450bdp-5, -0x1.4a6a789b3cd6ap-5, -0x1.41b323c13312dp-5, -0x1.392cb05898a6p-5, -0x1.30d661a96f78cp-5, -0x1.28af7ae4f03c6p-5, -0x1.20b73f47bae13p-5, -0x1.18ecf23a9e1p-5, -0x1.114fd771f6595p-5, -0x1.09df330bb6b27p-5, -0x1.029a49ac1a407p-5, -0x1.f700c1321bbc9p-6, -0x1.e9217ba8a9102p-6, -0x1.db955068e7613p-6, -0x1.ce5acef8d4a2fp-6, -0x1.c17088e480ddfp-6, -0x1.b4d511e8e2579p-6, -0x1.a887001c782e8p-6, -0x1.9c84ec15c491fp-6, -0x1.90cd710fb248bp-6, -0x1.855f2d0bf0143p-6, -0x1.7a38c0f357c27p-6, -0x1.6f58d0b465d94p-6, -0x1.64be035fdbe6ep-6, -0x1.5a6703439045cp-6, -0x1.50527e0384ab3p-6, -0x1.467f24b147b7bp-6, -0x1.3cebabe1b5f2dp-6, -0x1.3396cbc12357p-6, -0x1.2a7f4025ff063p-6, -0x1.21a3c8a1f8e3cp-6, -0x1.19032891bb607p-6, -0x1.109c272b40811p-6, -0x1.086d8f8ad3038p-6, -0x1.007630bec630ep-6, -0x1.f169bba3d99aap-7, -0x1.e250dba9c71ddp-7, -0x1.d39f77cc5b65p-7, -0x1.c5534e72789fbp-7, -0x1.b76a2638be097p-7, -0x1.a9e1cdfb678f4p-7, -0x1.9cb81cde278adp-7, -0x1.8feaf2522d3dcp-7, -0x1.8378361a4f9c5p-7, -0x1.775dd84d7cc4dp-7, -0x1.6b99d15784a8fp-7, -0x1.602a21f848c36p-7, -0x1.550cd341675dap-7, -0x1.4a3ff6926f10ep-7, -0x1.3fc1a593b587dp-7, -0x1.3590022fd7d63p-7, -0x1.2ba9368bf71e2p-7, -0x1.220b74fec5375p-7, -0x1.18b4f8066c2e4p-7, -0x1.0fa4023d60eeap-7, -0x1.06d6de4e2f741p-7, -0x1.fc97bdcc9ce11p-8, -0x1.ec02bd5010ab7p-8, -0x1.dbeb80370a539p-8, -0x1.cc4edb3e0869ap-8, -0x1.bd29b2aca194ap-8, -0x1.ae78fa32fa993p-8, -0x1.a039b4c5e2b99p-8, -0x1.9268f479abd38p-8, -0x1.8503da5bd39fcp-8, -0x1.7807964b92104p-8, -0x1.6b7166d163087p-8, -0x1.5f3e98f59fb4ap-8, -0x1.536c881634bb1p-8, -0x1.47f89dbb8f737p-8, -0x1.3ce0516ccd1fep-8, -0x1.3221288341d36p-8, -0x1.27b8b5fd62d84p-8, -0x1.1da49a512922bp-8, -0x1.13e2833df711cp-8, -0x1.0a702b9e10fa4p-8, -0x1.014b5b37b83e6p-8, -0x1.f0e3cd1be8f8ap-9, -0x1.dfc35d62301edp-9, -0x1.cf31421e19aa8p-9, -0x1.bf296e86e743cp-9, -0x1.afa7edcf48eb4p-9, -0x1.a0a8e2c52f3c2p-9, -0x1.9228877187295p-9, -0x1.84232cb7f019ep-9, -0x1.769539f685b94p-9, -0x1.697b2ca5c5ed8p-9, -0x1.5cd197f8b038cp-9, -0x1.5095247d2278p-9, -0x1.44c28fbc8c52bp-9, -0x1.3956abdd01cedp-9, -0x1.2e4e5f42c0bb7p-9, -0x1.23a6a43230453p-9, -0x1.195c88726e674p-9, -0x1.0f6d2cf06d799p-9, -0x1.05d5c562ba128p-9, -0x1.f9272fdbcdf24p-10, -0x1.e747f993637d3p-10, -0x1.d608bbcdce9bbp-10, -0x1.c5646d2c1e68dp-10, -0x1.b556265dce6b7p-10, -0x1.a5d9217173b6cp-10, -0x1.96e8b9272484cp-10, -0x1.88806844ae9p-10, -0x1.7a9bc8eba40d4p-10, -0x1.6d3693f14f08fp-10, -0x1.604ca0389429ep-10, -0x1.53d9e20dd13b9p-10, -0x1.47da6a84b5409p-10, -0x1.3c4a66d828907p-10, -0x1.31261fcc48628p-10, -0x1.2669f91273852p-10, -0x1.1c1270af76e3cp-10, -0x1.121c1e63e2debp-10, -0x1.0883b31678903p-10, -0x1.fe8bf081acce2p-11, -0x1.ecbf9ebc7e536p-11, -0x1.db9c62b93e5bcp-11, -0x1.cb1c5c1f7ad8ap-11, -0x1.bb39d74d4609cp-11, -0x1.abef4c466f795p-11, -0x1.9d375da8263f7p-11, -0x1.8f0cd7a1090d9p-11, -0x1.816aaeed9f472p-11, -0x1.744bffd93b619p-11, -0x1.67ac0d434243dp-11, -0x1.5b863fa8d7dfbp-11, -0x1.4fd62432e8023p-11, -0x1.44976bc88bcf6p-11, -0x1.39c5ea25c2003p-11, -0x1.2f5d94f67816p-11, -0x1.255a82f5d97a7p-11, -0x1.1bb8eb11e19e7p-11, -0x1.127523932730ap-11, -0x1.098ba148d767dp-11, -0x1.00f8f6b8dbc23p-11, -0x1.f173a6a83baa5p-12, -0x1.e196055dc6348p-12, -0x1.d252d77a6585ap-12, -0x1.c3a420267e88dp-12, -0x1.b58416538f5cfp-12, -0x1.a7ed234cc85b2p-12, -0x1.9ad9e14f6b409p-12, -0x1.8e451a2ad5eacp-12, -0x1.8229c5e822937p-12, -0x1.7683097944c8ep-12, -0x1.6b4c356f8bb57p-12, -0x1.6080c4b97573cp-12, -0x1.561c5b67aef45p-12, -0x1.4c1ac57938589p-12, -0x1.4277f5ae836fbp-12, -0x1.393004637fb6cp-12, -0x1.303f2e7072178p-12, -0x1.27a1d41185799p-12, -0x1.1f5477d4f02p-12, -0x1.1753bd8fa0c3bp-12, -0x1.0f9c69584c3acp-12, -0x1.082b5e88cdb92p-12, -0x1.00fd9ec5b1933p-12, -0x1.f4209217c136fp-13, -0x1.e6c1318882a43p-13, -0x1.d9d7c9ba83acbp-13, -0x1.cd5f3dd4528e6p-13, -0x1.c152a4902f9a8p-13, -0x1.b5ad4691382c8p-13, -0x1.aa6a9cc38af92p-13, -0x1.9f864ec72c106p-13, -0x1.94fc31657aa35p-13, -0x1.8ac845110367ep-13, -0x1.80e6b46f7b5e3p-13, -0x1.7753d2edb6d3ap-13, -0x1.6e0c1b5d6218cp-13, -0x1.650c2e9c51935p-13, -0x1.5c50d24535d64p-13, -0x1.53d6ef698067fp-13, -0x1.4b9b915449793p-13, -0x1.439be456136d3p-13, -0x1.3bd53499233c6p-13, -0x1.3444ecfe59e13p-13, -0x1.2ce896024fc32p-13, -0x1.25bdd4aa8b62cp-13, -0x1.1ec2697aa0d86p-13, -0x1.17f42f7119b69p-13, -0x1.11511b0be4773p-13, -0x1.0ad739543888ap-13, -0x1.0484aef1b1bb5p-13, -0x1.fcaf6e88fc43dp-14, -0x1.f09d470cf4b8ep-14, -0x1.e4cfb3e61922ap-14, -0x1.d943a9eb2ce66p-14, -0x1.cdf644bcb0fc8p-14, -0x1.c2e4c53b4866fp-14, -0x1.b80c900a4757ep-14, -0x1.ad6b2c1e5cd29p-14, -0x1.a2fe4157d4876p-14, -0x1.98c3972840d2dp-14, -0x1.8eb913434c31ep-14, -0x1.84dcb85a55c3ep-14, -0x1.7b2ca4e2a2cccp-14, -0x1.71a711e5da1aap-14, -0x1.684a51dc87e91p-14, -0x1.5f14cf9267c9cp-14, -0x1.56050d1431bcbp-14, -0x1.4d19a2a6ae7b4p-14, -0x1.44513dc6d0ab2p-14, -0x1.3baaa032969fcp-14, -0x1.33249efa7aa8cp-14, -0x1.2abe219b336b4p-14, -0x1.2276211f8cf7p-14, -0x1.1a4ba74a1fdefp-14, -0x1.123dcdc6b1e76p-14, -0x1.0a4bbd630506fp-14, -0x1.0274ad4ee4438p-14, -0x1.f56fc4c66f51bp-15, -0x1.e6295cdfd6337p-15, -0x1.d714df20f41a5p-15, -0x1.c8311f0dd56bap-15, -0x1.b97d063a16019p-15, -0x1.aaf79317823ecp-15, -0x1.9c9fd7d07fbdep-15, -0x1.8e74f92de896ep-15, -0x1.80762d87fb8c1p-15, -0x1.72a2bbc2134d1p-15, -0x1.64f9fa50cabd8p-15, -0x1.577b4e4a3f577p-15, -0x1.4a262a8022c32p-15, -0x1.3cfa0ea34aef8p-15, -0x1.2ff686707787dp-15, -0x1.231b28e601796p-15, -0x1.166797822a52p-15, -0x1.09db7d89c92b7p-15, -0x1.faed1eae18017p-16, -0x1.e271136016fc4p-16, -0x1.ca426249e3c76p-16, -0x1.b260a2eae332cp-16, -0x1.9acb79fa9e952p-16, -0x1.8382984f8773cp-16, -0x1.6c85b9d2f18c3p-16, -0x1.55d4a481cd13dp-16, -0x1.3f6f2779b9691p-16, -0x1.29551a11fe5d8p-16, -0x1.13865afffa3e1p-16, -0x1.fc059f0d62079p-17, -0x1.d194c56208acfp-17, -0x1.a7ba092c6edbp-17, -0x1.7e755350d9524p-17, -0x1.55c694195785ep-17, -0x1.2dadc1f84cbb6p-17, -0x1.062ad85cb787p-17, -0x1.be7bad2f2e81ap-18, -0x1.71cd7da37f866p-18, -0x1.264b2a230765dp-18, -0x1.b7e9793e53152p-19, -0x1.25947e6a16e49p-19, -0x1.2b2eea42ca407p-20, -0x1.fc9a358fa8d5cp-25, 0x1.06b54776b071fp-20, 0x1.0c4fb92b934bcp-19, 0x1.92ecedd563e52p-19, 0x1.0b99340ba3f43p-18, 0x1.4c90303421d22p-18, 0x1.8c5b91a173bc4p-18, 0x1.cafb89741285ap-18, 0x1.04382a3eeef33p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.72435e7e6acf3p-1, 0x1.71c43716e16a1p-1, 0x1.7134723fb89fep-1, 0x1.709369996ae5cp-1, 0x1.6fe088e8384bep-1, 0x1.6f1b4e0107af5p-1, 0x1.6e43489245d5dp-1, 0x1.6d5819ce8ecaap-1, 0x1.6c5973fe541e3p-1, 0x1.6b4719fd17306p-1, 0x1.6a20dea644947p-1, 0x1.68e6a4353ef4ap-1, 0x1.67985b9bb0e28p-1, 0x1.663603d0d0d0dp-1, 0x1.64bfa91be8bb4p-1, 0x1.6335645c1a991p-1, 0x1.61975a4f0edb4p-1, 0x1.5fe5bad7fbc19p-1, 0x1.5e20c048364ffp-1, 0x1.5c48aeaa4bf9dp-1, 0x1.5a5dd31077ae7p-1, 0x1.586082e71ee59p-1, 0x1.56511b4be1a73p-1, 0x1.54300069a8ddap-1, 0x1.51fd9cda0bca1p-1, 0x1.4fba610c494c4p-1, 0x1.4d66c2b2047d9p-1, 0x1.4b033c31e134fp-1, 0x1.48904c201396ep-1, 0x1.460e74bce6347p-1, 0x1.437e3b793568cp-1, 0x1.40e02880d2fb4p-1, 0x1.3e34c64ac06eep-1, 0x1.3b7ca12f2ae1cp-1, 0x1.38b847030749ep-1, 0x1.35e846b935fb8p-1, 0x1.330d300905044p-1, 0x1.30279319f0cf1p-1, 0x1.2d38003479b92p-1, 0x1.2a3f0777e692p-1, 0x1.273d3894cb91ap-1, 0x1.2433228c2b8a7p-1, 0x1.2121537308e72p-1, 0x1.1e08583a3b227p-1, 0x1.1ae8bc7a60091p-1, 0x1.17c30a43bbeb6p-1, 0x1.1497c9f1e1d0ap-1, 0x1.11678202f7423p-1, 0x1.0e32b6f26e4adp-1, 0x1.0af9eb1709affp-1, 0x1.07bd9e84078d3p-1, 0x1.047e4eed4a839p-1, 0x1.013c778e5c8bdp-1, 0x1.fbf1222848fefp-2, 0x1.f566231261505p-2, 0x1.eed8d888dadebp-2, 0x1.e84a23b454fbcp-2, 0x1.e1bae01e9b0f5p-2, 0x1.db2be39d28d54p-2, 0x1.d49dfe3f8988p-2, 0x1.ce11fa4163c86p-2, 0x1.c7889bffee88cp-2, 0x1.c102a1f2a4529p-2, 0x1.ba80c4a6f7523p-2, 0x1.b403b6bedd445p-2, 0x1.ad8c24f1fbd8bp-2, 0x1.a71ab61151eb4p-2, 0x1.a0b00b0d28cd5p-2, 0x1.9a4cbefd26e96p-2, 0x1.93f1672a64fa4p-2, 0x1.8d9e931b4e699p-2, 0x1.8754cca13b3e8p-2, 0x1.811497e796c12p-2, 0x1.7ade738472b68p-2, 0x1.74b2d88a6f05ep-2, 0x1.6e923a9bcf825p-2, 0x1.687d07feac80cp-2, 0x1.6273a9b21ccc1p-2, 0x1.5c768384452cep-2, 0x1.5685f42932411p-2, 0x1.50a255526a2a3p-2, 0x1.4acbfbc71bae6p-2, 0x1.4503377cdc498p-2, 0x1.3f4853b0e011ep-2, 0x1.399b970197a54p-2, 0x1.33fd4388a8afep-2, 0x1.2e6d96f52a2e6p-2, 0x1.28eccaa61eb26p-2, 0x1.237b13c516ad7p-2, 0x1.1e18a360f1142p-2, 0x1.18c5a688b0ad7p-2, 0x1.1382466655c75p-2, 0x1.0e4ea859b6298p-2, 0x1.092aee1345a39p-2, 0x1.041735aeca5f9p-2, 0x1.fe27339bddcdbp-3, 0x1.f44063655e6aep-3, 0x1.ea7a22b32bb99p-3, 0x1.e0d4932788bfep-3, 0x1.d74fd0417cdb9p-3, 0x1.cdebef8fed4e8p-3, 0x1.c4a900e41b1a9p-3, 0x1.bb870e839c0b5p-3, 0x1.b2861d59a13p-3, 0x1.a9a62d279c5dfp-3, 0x1.a0e738b5386a1p-3, 0x1.984935ff8efdep-3, 0x1.8fcc1667ad9f5p-3, 0x1.876fc6e04dc58p-3, 0x1.7f34301ac7e55p-3, 0x1.771936b34256ap-3, 0x1.6f1ebb5bffed1p-3, 0x1.67449b07ec2b8p-3, 0x1.5f8aaf1449ce7p-3, 0x1.57f0cd7186508p-3, 0x1.5076c8cb3972ep-3, 0x1.491c70af48de1p-3, 0x1.41e191b42a955p-3, 0x1.3ac5f59e4e261p-3, 0x1.33c96384a3c87p-3, 0x1.2ceb9ff44ea2p-3, 0x1.262c6d136d0ecp-3, 0x1.1f8b8ac30eaffp-3, 0x1.1908b6c045c87p-3, 0x1.12a3acc461f8dp-3, 0x1.0c5c26a450d6ep-3, 0x1.0631dc6f1ffadp-3, 0x1.0024848bb057p-3, 0x1.f467a7ab160a2p-4, 0x1.e8befb71d5c56p-4, 0x1.dd4e689bd650bp-4, 0x1.d21550e5e3b22p-4, 0x1.c71313cc8561ep-4, 0x1.bc470ebda2e2dp-4, 0x1.b1b09d4880622p-4, 0x1.a74f194c4f2e3p-4, 0x1.9d21db251b7c4p-4, 0x1.932839d7564ap-4, 0x1.89618b39d1d6bp-4, 0x1.7fcd241e565ap-4, 0x1.766a5878c70d9p-4, 0x1.6d387b84e18ffp-4, 0x1.6436dfea9ce92p-4, 0x1.5b64d7e12fcp-4, 0x1.52c1b550c3bcap-4, 0x1.4a4cc9f2dc6c8p-4, 0x1.4205677179397p-4, 0x1.39eadf84f86dep-4, 0x1.31fc8410c250ep-4, 0x1.2a39a73ec2aep-4, 0x1.22a19b99b7796p-4, 0x1.1b33b4265d5bap-4, 0x1.13ef447b7d4f5p-4, 0x1.0cd3a0d8e4feap-4, 0x1.05e01e3d4f26bp-4, 0x1.fe2824f687d83p-5, 0x1.f0dda899e9a48p-5, 0x1.e3df76ce4097ap-5, 0x1.d72c4115fa7c8p-5, 0x1.cac2bb2e71b4p-5, 0x1.bea19b301aec5p-5, 0x1.b2c799acec43bp-5, 0x1.a73371cd0eb93p-5, 0x1.9be3e169e52ecp-5, 0x1.90d7a92776p-5, 0x1.860d8c8c4054cp-5, 0x1.7b845217902edp-5, 0x1.713ac3565240bp-5, 0x1.672facf6802f2p-5, 0x1.5d61ded92488cp-5, 0x1.53d02c230a823p-5, 0x1.4a796b4c2133ep-5, 0x1.415c762d9c347p-5, 0x1.38782a0ede932p-5, 0x1.2fcb67b13b1b3p-5, 0x1.2755135a90ea1p-5, 0x1.1f1414ded15c2p-5, 0x1.170757a87b46bp-5, 0x1.0f2dcac00f04cp-5, 0x1.078660d28b2abp-5, 0x1.00101036f7828p-5, 0x1.f193a5e615f6ep-6, 0x1.e3654d7ddf6e5p-6, 0x1.d5931a106b7c7p-6, 0x1.c81b15e7ecf01p-6, 0x1.bafb52c0679d7p-6, 0x1.ae31e9c8f8fdcp-6, 0x1.a1bcfba3b9ec7p-6, 0x1.959ab0643e71p-6, 0x1.89c9378cd993ap-6, 0x1.7e46c80a9b63p-6, 0x1.7311a0302ba74p-6, 0x1.682805af7d078p-6, 0x1.5d8845927b1e9p-6, 0x1.5330b432ac74ep-6, 0x1.491fad2fe1b41p-6, 0x1.3f539365fe0c6p-6, 0x1.35cad0e1df1edp-6, 0x1.2c83d6d57335fp-6, 0x1.237d1d8b0d454p-6, 0x1.1ab52457fd07cp-6, 0x1.122a718e72f82p-6, 0x1.09db926ec6aa3p-6, 0x1.01c71b181cb1fp-6, 0x1.f3d74cf0fcce3p-7, 0x1.e48fac78c86c6p-7, 0x1.d5b4a57b9a7eep-7, 0x1.c74395e5a5539p-7, 0x1.b939e8b7b6856p-7, 0x1.ab9515e2bfddep-7, 0x1.9e52a222ba259p-7, 0x1.91701ed8cb5cfp-7, 0x1.84eb29e4e4721p-7, 0x1.78c16d7ec2bdbp-7, 0x1.6cf0a00e7cb13p-7, 0x1.617684049decdp-7, 0x1.5650e7b1d4277p-7, 0x1.4b7da51e517fp-7, 0x1.40faa1e0d7cf5p-7, 0x1.36c5cef58db5ap-7, 0x1.2cdd289491026p-7, 0x1.233eb608671c6p-7, 0x1.19e8898448841p-7, 0x1.10d8bffa53fe2p-7, 0x1.080d80f1b387p-7, 0x1.ff09fcb97629dp-8, 0x1.ee7ae8de125ddp-8, 0x1.de6a52e76422bp-8, 0x1.ced4db46fa3d3p-8, 0x1.bfb735f673a0cp-8, 0x1.b10e2a246cep-8, 0x1.a2d691e1b7ec8p-8, 0x1.950d59ceeec12p-8, 0x1.87af80ca69f8ep-8, 0x1.7aba179ea88cdp-8, 0x1.6e2a40b132932p-8, 0x1.61fd2fb200014p-8, 0x1.5630294b6ddb4p-8, 0x1.4ac082d2cb622p-8, 0x1.3faba1f986029p-8, 0x1.34eefc7efb0dep-8, 0x1.2a8817e2fbe74p-8, 0x1.207489190264fp-8, 0x1.16b1f43c25b95p-8, 0x1.0d3e0c43cda23p-8, 0x1.041692b92e49cp-8, 0x1.f672aedb21023p-9, 0x1.e5487062d36a9p-9, 0x1.d4aa41189670ep-9, 0x1.c49412eb4f7d3p-9, 0x1.b501f21cf2f19p-9, 0x1.a5f004b786e95p-9, 0x1.975a8a03f4b75p-9, 0x1.893dda029de0cp-9, 0x1.7b9664e5c6977p-9, 0x1.6e60b28dcf83bp-9, 0x1.61996207486e3p-9, 0x1.553d290ada1aep-9, 0x1.4948d37f1176p-9, 0x1.3db942fc01619p-9, 0x1.328b6e50cc969p-9, 0x1.27bc610b06b6ap-9, 0x1.1d493afffd71dp-9, 0x1.132f2fd7e0bdfp-9, 0x1.096b869aca208p-9, 0x1.fff7327f48549p-10, 0x1.edb9a879ed4cep-10, 0x1.dc196c370f736p-10, 0x1.cb119e15c488fp-10, 0x1.ba9d80ef5f09bp-10, 0x1.aab87947df94fp-10, 0x1.9b5e0c820191fp-10, 0x1.8c89e01700579p-10, 0x1.7e37b8d1ec4e6p-10, 0x1.70637a0ea6929p-10, 0x1.630924fc64adfp-10, 0x1.5624d7e3cb0e9p-10, 0x1.49b2cd708333dp-10, 0x1.3daf5bfe55734p-10, 0x1.3216f4e9ad907p-10, 0x1.26e623e3968afp-10, 0x1.1c198e49129b4p-10, 0x1.11adf27dcd206p-10, 0x1.07a0274a1d7a6p-10, 0x1.fbda3678a7afdp-11, 0x1.e923a81a85cdbp-11, 0x1.d716dc0ff0373p-11, 0x1.c5ae36e945581p-11, 0x1.b4e4480d2fcep-11, 0x1.a4b3c89ad87adp-11, 0x1.95179a522d414p-11, 0x1.860ac682277d1p-11, 0x1.77887cfcfdb68p-11, 0x1.698c131228411p-11, 0x1.5c11028e25a0ep-11, 0x1.4f12e8bfe9528p-11, 0x1.428d8583dc694p-11, 0x1.367cba545c347p-11, 0x1.2adc895fa1befp-11, 0x1.1fa914a2f99fep-11, 0x1.14de9d0b37d5fp-11, 0x1.0a79819a524afp-11, 0x1.00763e920a59ap-11, 0x1.eda2d9472223ep-12, 0x1.db0f80481e879p-12, 0x1.c92c108bf84b8p-12, 0x1.b7f25cae5ca69p-12, 0x1.a75c6a071bd4ap-12, 0x1.97646f38ad55fp-12, 0x1.8804d2c7a402fp-12, 0x1.793829baeac56p-12, 0x1.6af936449dd4ep-12, 0x1.5d42e67358619p-12, 0x1.501052ebcc56ep-12, 0x1.435cbdaa7def9p-12, 0x1.372390cd74b78p-12, 0x1.2b605d65c18d8p-12, 0x1.200eda50ac2a3p-12, 0x1.152ae31861e22p-12, 0x1.0ab076dc019ep-12, 0x1.009bb73edcf1fp-12, 0x1.edd1cebd84647p-13, 0x1.db28d5a2711bfp-13, 0x1.c935894ef2143p-13, 0x1.b7f12cf21396ap-13, 0x1.a7553ee9aacep-13, 0x1.975b76f12d31fp-13, 0x1.87fdc45cfab2ap-13, 0x1.79364c61c177p-13, 0x1.6aff6867c6f0fp-13, 0x1.5d53a469ca9dfp-13, 0x1.502dbd5f42805p-13, 0x1.43889fb1b15eap-13, 0x1.375f65bcceb8ep-13, 0x1.2bad565950b85p-13, 0x1.206de37208d4fp-13, 0x1.159ca8a31fdabp-13, 0x1.0b3569e331596p-13, 0x1.013412360bf5p-13, 0x1.ef2964d1c4ae5p-14, 0x1.dca6ffaf4b346p-14, 0x1.cad9a676b8497p-14, 0x1.b9ba4f027fa1cp-14, 0x1.a9423154bfa3p-14, 0x1.996ac5673ab3fp-14, 0x1.8a2dc10b9b0f2p-14, 0x1.7b8515db88c32p-14, 0x1.6d6aef3841b6p-14, 0x1.5fd9b0594510bp-14, 0x1.52cbf269b4ef3p-14, 0x1.463c82b40ff1p-14, 0x1.3a2660dbe2d34p-14, 0x1.2e84bd2519fd6p-14, 0x1.2352f6c896f2fp-14, 0x1.188c9a55b4a33p-14, 0x1.0e2d6020616a2p-14, 0x1.04312abb7e9a5p-14, 0x1.f5280afe5f9c1p-15, 0x1.e2a4463598ba8p-15, 0x1.d0cfb864425bbp-15, 0x1.bfa35c0b70952p-15, 0x1.af18724bb361bp-15, 0x1.9f28805ff4c9ap-15, 0x1.8fcd4d2ca9996p-15, 0x1.8100dee2bcf91p-15, 0x1.72bd78b5b8caap-15, 0x1.64fd98a49a553p-15, 0x1.57bbf554d3b1fp-15, 0x1.4af37bfef7ec1p-15, 0x1.3e9f4e6c935bap-15, 0x1.32bac106b78a3p-15, 0x1.274158f4bdf87p-15, 0x1.1c2eca4ad0a2fp-15, 0x1.117ef647c32e1p-15, 0x1.072de9a1cd651p-15, 0x1.fa6fb5c3747c9p-16, 0x1.e73251983e99ap-16, 0x1.d49cb1b06b2dp-16, 0x1.c2a82b67e0b99p-16, 0x1.b14e5ba9d42a5p-16, 0x1.a089242b93113p-16, 0x1.9052a8bf87e52p-16, 0x1.80a54cbfb15ep-16, 0x1.717bb08eea15bp-16, 0x1.62d0af3045cc6p-16, 0x1.549f5bf3e2e7ap-16, 0x1.46e3003884ad5p-16, 0x1.3997194151ef3p-16, 0x1.2cb7561f280a7p-16, 0x1.203f95acd7739p-16, 0x1.142be49dc2574p-16, 0x1.08787b9e46b66p-16, 0x1.fa437b0abda95p-17, 0x1.e4486b2e050a3p-17, 0x1.cef92bad587ep-17, 0x1.ba4f6ad3190e3p-17, 0x1.a6451e0fd3f11p-17, 0x1.92d47efa6e118p-17, 0x1.7ff8086ca7cap-17, 0x1.6daa73bb4a716p-17, 0x1.5be6b608dc9d2p-17, 0x1.4aa7fdb22aae4p-17, 0x1.39e9afd3c594cp-17, 0x1.29a765e7935c8p-17, 0x1.19dceb79bda9ep-17, 0x1.0a863bf42d08p-17, 0x1.f73f00ffa59ccp-18, 0x1.da4a1bf61329dp-18, 0x1.be26c608aaf0cp-18, 0x1.a2ce4c31a9e43p-18, 0x1.883a478b70678p-18, 0x1.6e6499d832044p-18, 0x1.55476a2d23e01p-18, 0x1.3cdd21bff33c9p-18, 0x1.252068d554355p-18, 0x1.0e0c23cf83076p-18, 0x1.ef36e0b7347fp-19, 0x1.c393457955186p-19, 0x1.992486670baf2p-19, 0x1.6fe217047763ep-19, 0x1.47c3c914923c6p-19, 0x1.20c1c8090f3dfp-19, 0x1.f5a92947befa5p-20, 0x1.abea01911542p-20, 0x1.643856f75ac53p-20, 0x1.1e86fa1daf91fp-20, 0x1.b5928ddd0566cp-21, 0x1.31e63b36b33ecp-21, 0x1.63e36fafd2282p-22, 0x1.acf56d9db1612p-24, -0x1.0ca15c54a3e5ap-23, -0x1.70efe7b959097p-22, -0x1.2a63fa97c8b68p-21, -0x1.98ff7c73cd084p-21, -0x1.022e69faf2551p-20, -0x1.3646d750cb245p-20, -0x1.68d18b157fc57p-20, -0x1.99d6bc9c9faebp-20, -0x1.c95e59ded90bfp-20, -0x1.f7700b71f7394p-20, -0x1.12099c27b9f6ep-19, -0x1.27a784b5c4448p-19, -0x1.3c95368f52728p-19, -0x1.50d60d319db6fp-19, -0x1.646d49f4c7b17p-19, -0x1.775e1581aef95p-19, -0x1.89ab81347f78ep-19, -0x1.9b58886cc8594p-19, -0x1.ac6811cbe952ap-19, -0x1.bcdcf06291013p-19, -0x1.ccb9e4ce02fa5p-19, -0x1.dc019e45e2232p-19, -0x1.eab6bb9b1ef74p-19, -0x1.f8dbcc28ba24p-19, -0x1.0339a85b7c6c4p-18, -0x1.09bfde28d00c7p-18, -0x1.1001ba88e9ef7p-18, -0x1.16006a6e11e84p-18, -0x1.1bbd1509a714bp-18, -0x1.2138dc20239d9p-18, -0x1.2674dc57fb40ap-18, -0x1.2b722d83993cbp-18, -0x1.3031e2e6b464cp-18, -0x1.34b50b773425cp-18, -0x1.38fcb219dc1b5p-18, -0x1.3d09dddaf41a7p-18, -0x1.40dd92231e8e8p-18, -0x1.4478cee88e723p-18, -0x1.47dc90dcc992p-18, -0x1.4b09d19726f05p-18, -0x1.4e0187bc3238cp-18, -0x1.50c4a7221e0ebp-18, -0x1.535420f26dd9dp-18, -0x1.55b0e3c8fbac8p-18, -0x1.57dbdbd07edeep-18, -0x1.59d5f2dcb8d62p-18, -0x1.5ba01082655f6p-18, -0x1.5d3b1a2d12a4cp-18, -0x1.5ea7f332fc1ecp-18, -0x1.5fe77ce7095d8p-18, -0x1.60fa96a90a9a8p-18, -0x1.61e21df44d4e8p-18, -0x1.629eee6ca5528p-18, -0x1.6331e1ea01533p-18, -0x1.639bd082a281bp-18, -0x1.63dd90940dfd5p-18, -0x1.63f7f6caccb7ap-18, -0x1.63ebd629112a9p-18, -0x1.63ba000c51de3p-18, -0x1.63634431f0609p-18, -0x1.62e870baf9147p-18, -0x1.624a522f13792p-18, -0x1.6189b37eab918p-18, -0x1.60a75e0468972p-18, -0x1.5fa4198600d3cp-18, -0x1.5e80ac3471d5ap-18, -0x1.5d3ddaabb0e25p-18, -0x1.5bdc67f1de523p-18, -0x1.5a5d157604794p-18, -0x1.58c0a30e7243p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.436f0030f9947p-5, 0x1.3e1dc3a13b6bbp-5, 0x1.35d5b1d6b7e32p-5, 0x1.2a8f95b704e84p-5, 0x1.1c48e20479733p-5, 0x1.0b0375ec4fc2cp-5, 0x1.ed8ab494f0a3bp-6, 0x1.bf30f395886bap-6, 0x1.8b14ab7c6a23dp-6, 0x1.515772620e442p-6, 0x1.1220d7162e6bap-6, 0x1.9b3b8f225781fp-7, 0x1.07fff49238db7p-7, 0x1.abeade13b0236p-9, -0x1.db07e9a34d895p-10, -0x1.d533767a5a415p-8, -0x1.a230d1b56a516p-7, -0x1.30d1a02729d88p-6, -0x1.94354dfcefddep-6, -0x1.fafef281e02fbp-6, -0x1.327493a55084fp-5, -0x1.68d6fdf39f2d4p-5, -0x1.a083a5afdd6cp-5, -0x1.d9578569165ffp-5, -0x1.0997e45b58d8ap-4, -0x1.26f4f6826c455p-4, -0x1.44b1efa98d48dp-4, -0x1.62be0b850015ap-4, -0x1.8108d7067cf58p-4, -0x1.9f823b173adafp-4, -0x1.be1a8615d816cp-4, -0x1.dcc2742aa4b34p-4, -0x1.fb6b368497914p-4, -0x1.0d033cc83e73p-3, -0x1.1c43351dd96dep-3, -0x1.2b6edd297df98p-3, -0x1.3a7fd206a8bfap-3, -0x1.496ff6690f34ep-3, -0x1.583973a4c714ap-3, -0x1.66d6ba626b6a5p-3, -0x1.75428305f88d3p-3, -0x1.8377cdcebebbcp-3, -0x1.9171e2b656e82p-3, -0x1.9f2c51147651ap-3, -0x1.aca2ef0ce800ep-3, -0x1.b9d1d8cce1a2dp-3, -0x1.c6b56f9c6efb4p-3, -0x1.d34a58c89302ep-3, -0x1.df8d7c6a5273p-3, -0x1.eb7c040eaea6p-3, -0x1.f7135943569dp-3, -0x1.01289205c0a52p-2, -0x1.0699a4a022bc3p-2, -0x1.0bdbf46fbb8fap-2, -0x1.10eeae25ecd5dp-2, -0x1.15d11a40a8e6p-2, -0x1.1a829c1fc0919p-2, -0x1.1f02b116851fcp-2, -0x1.2350ef7ac963p-2, -0x1.276d05b2335b7p-2, -0x1.2b56b93ec075dp-2, -0x1.2f0de5cb44131p-2, -0x1.32927c389fa81p-2, -0x1.35e481ac5731ep-2, -0x1.39040ea11f6f4p-2, -0x1.3bf14df9eb94bp-2, -0x1.3eac7c17f6f15p-2, -0x1.4135e5f43b8bdp-2, -0x1.438de83caf707p-2, -0x1.45b4ee75a65d7p-2, -0x1.47ab721f9feedp-2, -0x1.4971f9e1c19dfp-2, -0x1.4b0918b937142p-2, -0x1.4c716d2da84fap-2, -0x1.4daba08aea8c2p-2, -0x1.4eb866200eae5p-2, -0x1.4f987a83e6b3fp-2, -0x1.504ca2df126e5p-2, -0x1.50d5ac3ba51f6p-2, -0x1.51346ada6cc48p-2, -0x1.5169b98dda2ep-2, -0x1.5176791a900c3p-2, -0x1.515b8f9d92c88p-2, -0x1.5119e7f80dbcfp-2, -0x1.50b27140ab24cp-2, -0x1.50261e3a6a1b9p-2, -0x1.4f75e4d0e88d5p-2, -0x1.4ea2bd9a0c6adp-2, -0x1.4dada35cf6966p-2, -0x1.4c97929e2df11p-2, -0x1.4b618930eba93p-2, -0x1.4a0c85cd6ae3p-2, -0x1.489987ac270e9p-2, -0x1.47098e25efda8p-2, -0x1.455d9858b155bp-2, -0x1.4396a4d0dc056p-2, -0x1.41b5b137486ebp-2, -0x1.3fbbba038329dp-2, -0x1.3da9ba325979ap-2, -0x1.3b80ab00937ep-2, -0x1.394183a9b3fb8p-2, -0x1.36ed392aab3f4p-2, -0x1.3484be08574c7p-2, -0x1.32090219b8422p-2, -0x1.2f7af255b78bfp-2, -0x1.2cdb78a46be0ap-2, -0x1.2a2b7bb3b66e5p-2, -0x1.276bdecf1d7fcp-2, -0x1.249d81bacdbb4p-2, -0x1.21c14091a08f6p-2, -0x1.1ed7f3a60ba65p-2, -0x1.1be26f65e4b59p-2, -0x1.18e18440d83c9p-2, -0x1.15d5fe917a906p-2, -0x1.12c0a688dd38bp-2, -0x1.0fa2401c88f21p-2, -0x1.0c7b8af6c88bbp-2, -0x1.094d4269295bap-2, -0x1.06181d611a6b9p-2, -0x1.02dcce5e930e1p-2, -0x1.ff3806d95158p-3, -0x1.f8accc37fffffp-3, -0x1.f21936fe007acp-3, -0x1.eb7e884f6c354p-3, -0x1.e4ddf84e9d1cdp-3, -0x1.de38b61e34976p-3, -0x1.d78fe7e5fe51cp-3, -0x1.d0e4aada90fabp-3, -0x1.ca38134787fbp-3, -0x1.c38b2c9c2f75p-3, -0x1.bcdef97a7bd8ap-3, -0x1.b63473c82f237p-3, -0x1.af8c8cc20b415p-3, -0x1.a8e82d10e9174p-3, -0x1.a24834e0a3817p-3, -0x1.9bad7bf8a3419p-3, -0x1.9518d1d605b34p-3, -0x1.8e8afdc72a628p-3, -0x1.8804bf08a15b4p-3, -0x1.8186cce34d557p-3, -0x1.7b11d6cbb0f32p-3, -0x1.74a684823db77p-3, -0x1.6e45763498676p-3, -0x1.67ef449fb8702p-3, -0x1.61a48132ca937p-3, -0x1.5b65b632c29edp-3, -0x1.553366de8d396p-3, -0x1.4f0e0f93bf7a8p-3, -0x1.48f625f3c2871p-3, -0x1.42ec19095e2dbp-3, -0x1.3cf0516e97f48p-3, -0x1.37033172ced88p-3, -0x1.312515410a11p-3, -0x1.2b5653066b028p-3, -0x1.25973b18afe7ep-3, -0x1.1fe8181cc028ap-3, -0x1.1a492f2d2e21p-3, -0x1.14bac000aad71p-3, -0x1.0f3d051054be3p-3, -0x1.09d033bde26abp-3, -0x1.04747c7994f91p-3, -0x1.fe5415cfe6174p-4, -0x1.f3e20c0e67794p-4, -0x1.e99320a8c11bep-4, -0x1.df678fe03d049p-4, -0x1.d55f8d862ce84p-4, -0x1.cb7b4543f08a4p-4, -0x1.c1badae21caf4p-4, -0x1.b81e6a8ec6298p-4, -0x1.aea60922d1534p-4, -0x1.a551c46650861p-4, -0x1.9c21a353cc9d4p-4, -0x1.9315a65a90248p-4, -0x1.8a2dc79fd587dp-4, -0x1.8169fb3ed6b08p-4, -0x1.78ca2f87bb6a7p-4, -0x1.704e4d3d5e208p-4, -0x1.67f637d1e28a8p-4, -0x1.5fc1cda21850ap-4, -0x1.57b0e82fa8971p-4, -0x1.4fc35c5a0a386p-4, -0x1.47f8fa9638a2bp-4, -0x1.40518f252cfe3p-4, -0x1.38cce24918345p-4, -0x1.316ab8795b06ep-4, -0x1.2a2ad2953df9bp-4, -0x1.230cee1566c57p-4, -0x1.1c10c53c0d6fdp-4, -0x1.15360f43f027dp-4, -0x1.0e7c808e088a5p-4, -0x1.07e3cace0220cp-4, -0x1.016b9d357572cp-4, -0x1.f627493bd062dp-5, -0x1.e9b717632cb48p-5, -0x1.dd85f6260c858p-5, -0x1.d1933306d3a96p-5, -0x1.c5de180fa20edp-5, -0x1.ba65ec1a639ebp-5, -0x1.af29f3168d7dp-5, -0x1.a4296e4c93948p-5, -0x1.99639c9f1e846p-5, -0x1.8ed7baca09542p-5, -0x1.8485039f2ce7bp-5, -0x1.7a6ab0410a18bp-5, -0x1.7087f85b4fa32p-5, -0x1.66dc1259504ep-5, -0x1.5d66339a6d2f2p-5, -0x1.542590a47c7bp-5, -0x1.4b195d543c02bp-5, -0x1.4240cd0bd44c5p-5, -0x1.399b12df77e21p-5, -0x1.312761c02bddap-5, -0x1.28e4eca4bd338p-5, -0x1.20d2e6b0f618bp-5, -0x1.18f0835b13dd1p-5, -0x1.113cf68f91a24p-5, -0x1.09b774d348a3p-5, -0x1.025f3363f8b18p-5, -0x1.f666d0ae782d2p-6, -0x1.e866956ff01fep-6, -0x1.dabc25449b976p-6, -0x1.cd65f2bc3550fp-6, -0x1.c06272f01d875p-6, -0x1.b3b01db2cb97ep-6, -0x1.a74d6dbc97308p-6, -0x1.9b38e0d5ecba7p-6, -0x1.8f70f7fefe998p-6, -0x1.83f43795090fcp-6, -0x1.78c127753b128p-6, -0x1.6dd6531d570f3p-6, -0x1.633249ca1b1c2p-6, -0x1.58d39e938cbafp-6, -0x1.4eb8e887282bcp-6, -0x1.44e0c2c01b6edp-6, -0x1.3b49cc7d8a228p-6, -0x1.31f2a936fa9d8p-6, -0x1.28da00aef1313p-6, -0x1.1ffe7f03d5bafp-6, -0x1.175ed4bf27084p-6, -0x1.0ef9b6e3199c3p-6, -0x1.06cddef6a3f27p-6, -0x1.fdb4162028cbfp-7, -0x1.ee39fbbc62ddap-7, -0x1.df2afd60092cfp-7, -0x1.d084b2f6966a4p-7, -0x1.c244bdc3550cap-7, -0x1.b468c869569b1p-7, -0x1.a6ee86f11bdc9p-7, -0x1.99d3b6cc0b7ep-7, -0x1.8d161ed5c26e8p-7, -0x1.80b38f536c659p-7, -0x1.74a9e1f124914p-7, -0x1.68f6f9bd8b778p-7, -0x1.5d98c32390a03p-7, -0x1.528d33e2ab26p-7, -0x1.47d24b056506fp-7, -0x1.3d6610d678d26p-7, -0x1.334696d4882d5p-7, -0x1.2971f7a46ed5fp-7, -0x1.1fe657025d7f9p-7, -0x1.16a1e1b1c0536p-7, -0x1.0da2cd6c06c22p-7, -0x1.04e758ce5ef38p-7, -0x1.f8db968ce53a8p-8, -0x1.e868e9fc727b8p-8, -0x1.d8735d8dd7abcp-8, -0x1.c8f7b4065728dp-8, -0x1.b9f2c120d234ap-8, -0x1.ab61695f336d7p-8, -0x1.9d40a1da930bp-8, -0x1.8f8d70122ec64p-8, -0x1.8244e9b94a3f8p-8, -0x1.7564348416da6p-8, -0x1.68e885f3b3f1cp-8, -0x1.5ccf232162fa7p-8, -0x1.51156089014f3p-8, -0x1.45b8a1d2dd9bdp-8, -0x1.3ab6599cfe4a5p-8, -0x1.300c0943e8261p-8, -0x1.25b740aafc01fp-8, -0x1.1bb59e0479734p-8, -0x1.1204cd9936adfp-8, -0x1.08a2899022e4fp-8, -0x1.ff19336b33e44p-9, -0x1.ed81a68541d17p-9, -0x1.dc7a314820283p-9, -0x1.cbfeb283801ecp-9, -0x1.bc0b228b843e5p-9, -0x1.ac9b92c75a2efp-9, -0x1.9dac2d4025042p-9, -0x1.8f3934303a4a3p-9, -0x1.813f0192d30b6p-9, -0x1.73ba06b43f6f9p-9, -0x1.66a6cbc2b01afp-9, -0x1.5a01ef5fa35ddp-9, -0x1.4dc826320efb8p-9, -0x1.41f63a794566cp-9, -0x1.36890ba0bc2d5p-9, -0x1.2b7d8dd4a72e3p-9, -0x1.20d0c9978b82fp-9, -0x1.167fdb58c59abp-9, -0x1.0c87f30c187b7p-9, -0x1.02e653c245995p-9, -0x1.f330a6858af27p-10, -0x1.e136b34d2f18ep-10, -0x1.cfd9c1e88414ap-10, -0x1.bf14e979f96ebp-10, -0x1.aee3637629588p-10, -0x1.9f408ae31a1b9p-10, -0x1.9027db99ff0c2p-10, -0x1.8194f18b8d42bp-10, -0x1.73838806e2fc9p-10, -0x1.65ef79030e059p-10, -0x1.58d4bc6b37ec3p-10, -0x1.4c2f676d7fe28p-10, -0x1.3ffbabcc7b899p-10, -0x1.3435d733776d4p-10, -0x1.28da528d664c1p-10, -0x1.1de5a15e8b8e9p-10, -0x1.13546120e20dap-10, -0x1.092348a33e083p-10, -0x1.fe9e4ed6524eep-11, -0x1.eba9ca3303618p-11, -0x1.d96301a39515cp-11, -0x1.c7c42148789a2p-11, -0x1.b6c781f513e3ep-11, -0x1.a667a80eb7c4ap-11, -0x1.969f4270f6bf8p-11, -0x1.8769295758cafp-11, -0x1.78c05d4c62c2bp-11, -0x1.6aa0061de9e2cp-11, -0x1.5d0371d6a6e85p-11, -0x1.4fe613bd028adp-11, -0x1.434383570c36bp-11, -0x1.37177b7393282p-11, -0x1.2b5dd938525cfp-11, -0x1.20129b352620cp-11, -0x1.1531e07c396aap-11, -0x1.0ab7e7bf22b6fp-11, -0x1.00a10e70de598p-11, -0x1.edd39fd92ed68p-12, -0x1.db1d894269f14p-12, -0x1.c91942832de37p-12, -0x1.b7c06bf2ea40fp-12, -0x1.a70cdb4da7849p-12, -0x1.96f89a2fee808p-12, -0x1.877de49b98e1bp-12, -0x1.78972785647dep-12, -0x1.6a3eff6b29e69p-12, -0x1.5c7036f2931f2p-12, -0x1.4f25c590344a6p-12, -0x1.425ace36df93fp-12, -0x1.360a9e0f170f9p-12, -0x1.2a30ab367646dp-12, -0x1.1ec89386f6a1fp-12, -0x1.13ce1b65e53d9p-12, -0x1.093d2c9a6eb4p-12, -0x1.fe23aa57343ep-13, -0x1.ea908c8b29657p-13, -0x1.d7b9a64c511fap-13, -0x1.c597e0207f743p-13, -0x1.b424628c9d716p-13, -0x1.a35894170eb35p-13, -0x1.932e175766576p-13, -0x1.839ec91322668p-13, -0x1.74a4be672bf68p-13, -0x1.663a42fde50f8p-13, -0x1.5859d75178ad8p-13, -0x1.4afe2efa2b1cep-13, -0x1.3e222f087841p-13, -0x1.31c0ec6ab24f6p-13, -0x1.25d5aa5de7592p-13, -0x1.1a5bd8e9d4e46p-13, -0x1.0f4f1367a6ee8p-13, -0x1.04ab1f134349cp-13, -0x1.f4d7d34dda323p-14, -0x1.e11b10020820cp-14, -0x1.ce1869a7343d5p-14, -0x1.bbc89ebb78c1dp-14, -0x1.aa24b45c3733ap-14, -0x1.9925f3dde63eap-14, -0x1.88c5e875da9adp-14, -0x1.78fe5cf597548p-14, -0x1.69c959974d048p-14, -0x1.5b2121db12836p-14, -0x1.4d00327472933p-14, -0x1.3f613f47ea565p-14, -0x1.323f3177f1e5p-14, -0x1.259525813011ap-14, -0x1.195e696574a95p-14, -0x1.0d967ae51e369p-14, -0x1.023905c68ab86p-14, -0x1.ee83c45673e6bp-15, -0x1.d95a25e48b568p-15, -0x1.c4ed884fb4683p-15, -0x1.b1369302a8092p-15, -0x1.9e2e39cb67dbcp-15, -0x1.8bcdba0420e0dp-15, -0x1.7a0e97d36cb57p-15, -0x1.68ea9b834e8cep-15, -0x1.585bceee5154ep-15, -0x1.485c7b0229ef8p-15, -0x1.38e7255749117p-15, -0x1.29f68ddccca7fp-15, -0x1.1b85ac98385efp-15, -0x1.0d8faf787393fp-15, -0x1.000ff83b76d38p-15, -0x1.e60434cc54d84p-16, -0x1.ccc3b29be247dp-16, -0x1.b4564c66af32p-16, -0x1.9cb43cdae4415p-16, -0x1.85d6134ad3eb6p-16, -0x1.6fb4b0438150dp-16, -0x1.5a494241ac51ap-16, -0x1.458d428478a5fp-16, -0x1.317a71fcd7ceep-16, -0x1.1e0ad658cbb08p-16, -0x1.0b38b729bdd42p-16, -0x1.f1fd364a1ac91p-17, -0x1.ceae8afc1fc84p-17, -0x1.ac7b66b168bc1p-17, -0x1.8b5a32a8310fdp-17, -0x1.6b41c2587f29fp-17, -0x1.4c294ee47e083p-17, -0x1.2e0872b4567e5p-17, -0x1.10d7253c2445cp-17, -0x1.e91b6dd573a3cp-18, -0x1.b2499a7fc6854p-18, -0x1.7d2abe11c9463p-18, -0x1.49b16183f5badp-18, -0x1.17d0a23757693p-18, -0x1.cef8568ae8105p-19, -0x1.71505e2675d9p-19, -0x1.1692c24988e34p-19, -0x1.7d53c0beeed6ep-20, -0x1.a6040352e6a2cp-21, -0x1.7044c2a04bbc8p-23, 0x1.c6f9fc3bd46afp-22, 0x1.0c77b1391e615p-20, 0x1.a245e719ad45fp-20, 0x1.19a54c29a66f6p-19, 0x1.5fd2ee7a7f251p-19, 0x1.a3bb3f3a7b1b5p-19, 0x1.e56d03fa08d85p-19, 0x1.127b35741750bp-18, 0x1.3132892337eb8p-18, 0x1.4ee307c536a9ap-18, 0x1.6b92fb18102cap-18, 0x1.87486f1fcfe5fp-18, 0x1.a209354492dc8p-18, 0x1.bbdae74d09ae4p-18, 0x1.d4c2ea36c388cp-18, 0x1.ecc670ed87ccdp-18, 0x1.01f53f717cd8p-17, 0x1.0d19f543d9878p-17, 0x1.17d3afd37fa94p-17, 0x1.2224b0d32a4dcp-17, 0x1.2c0f26d4cf18ap-17, 0x1.35952e4eb3461p-17, 0x1.3eb8d293f0099p-17, 0x1.477c0ec0e6647p-17, 0x1.4fe0ce9c1aeefp-17, 0x1.57e8ef6bef2dp-17, 0x1.5f9640c1a6d32p-17, 0x1.66ea853a2fbb8p-17, 0x1.6de7733510d9cp-17, 0x1.748eb581dc1e4p-17, 0x1.7ae1ec04aa09bp-17, 0x1.80e2ac51c8bb5p-17, 0x1.869282413b8f9p-17, 0x1.8bf2f07a1e0bdp-17, 0x1.910570f68e617p-17, 0x1.95cb7580226a4p-17, 0x1.9a46682581521p-17, 0x1.9e77aba93a6dap-17, 0x1.a2609bea43e4p-17, 0x1.a6028e46539aap-17, 0x1.a95ed1f66bbf2p-17, 0x1.ac76b065d604p-17, 0x1.af4b6d83ca18p-17, 0x1.b1de481001a3cp-17, 0x1.b43079e27aa62p-17, 0x1.b643382e9d84p-17, 0x1.b817b3c1fd8d1p-17, 0x1.b9af193ef07e4p-17, 0x1.bb0a915323ea4p-17, 0x1.bc2b40ea74447p-17, 0x1.bd12495e29956p-17, 0x1.bdc0c8a0c5157p-17, 0x1.be37d9669ac2dp-17, 0x1.be78934b4f73fp-17, 0x1.be840af4750b5p-17, 0x1.be5b5231602e1p-17, 0x1.bdff7818659bap-17, 0x1.bd7189219635ep-17, 0x1.bcb28f3f335dfp-17, 0x1.bbc391f3e72e1p-17, 0x1.baa59666e3277p-17, 0x1.b9599f761ef76p-17, 0x1.b7e0adc6a1b8ap-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.94a414821649cp-1, 0x1.9289f5a07054cp-1, 0x1.905decc797352p-1, 0x1.8e22e59ed9ae5p-1, 0x1.8bdbaa5d664f8p-1, 0x1.898adc99e3dbcp-1, 0x1.8732efff48156p-1, 0x1.84d626a648636p-1, 0x1.82768ed6e9377p-1, 0x1.801601fa83da5p-1, 0x1.7db6248bbed3p-1, 0x1.7b5866d728d74p-1, 0x1.78fe06643b95bp-1, 0x1.76a80fe370731p-1, 0x1.745761829755p-1, 0x1.720cad8ce050cp-1, 0x1.6fc87d3fda553p-1, 0x1.6d8b33c2265bp-1, 0x1.6b55112bb9d3bp-1, 0x1.6926359246908p-1, 0x1.66fea40ed73b8p-1, 0x1.64de45b3bdf0ep-1, 0x1.62c4ec6bd9288p-1, 0x1.60b255bdbd6bdp-1, 0x1.5ea62d6eae6dp-1, 0x1.5ca010027e77ep-1, 0x1.5a9f8d165b8fdp-1, 0x1.58a42995615c2p-1, 0x1.56ad61c6787b2p-1, 0x1.54baab338e3a6p-1, 0x1.52cb766aa8344p-1, 0x1.50df3099ad172p-1, 0x1.4ef5450603506p-1, 0x1.4d0d1e615e6acp-1, 0x1.4b2627fd34b1fp-1, 0x1.493fcede78fc6p-1, 0x1.475982b343dfep-1, 0x1.4572b6ac1f497p-1, 0x1.438ae23aaabbp-1, 0x1.41a181b751c0bp-1, 0x1.3fb616efbe1f9p-1, 0x1.3dc8299fab133p-1, 0x1.3bd747d5b31p-1, 0x1.39e306459e95p-1, 0x1.37eb0089aef2bp-1, 0x1.35eed95449ecep-1, 0x1.33ee3a9361a99p-1, 0x1.31e8d586d791p-1, 0x1.2fde62cb11801p-1, 0x1.2dcea258e045dp-1, 0x1.2bb95b7bc771dp-1, 0x1.299e5cbfa4dffp-1, 0x1.277d7bd6a6617p-1, 0x1.255695786d986p-1, 0x1.23298d3b2c8c5p-1, 0x1.20f64d6780e2cp-1, 0x1.1ebcc6c7bd36p-1, 0x1.1c7cf0734658cp-1, 0x1.1a36c7969d5c3p-1, 0x1.17ea4f38a3bdcp-1, 0x1.15978ffd9beb1p-1, 0x1.133e97e85ae13p-1, 0x1.10df7a1a1a645p-1, 0x1.0e7a4e914fde2p-1, 0x1.0c0f31e7dfd97p-1, 0x1.099e451104159p-1, 0x1.0727ad172d6c3p-1, 0x1.04ab92da2625cp-1, 0x1.022a22cdb1358p-1, 0x1.ff471971baacfp-2, 0x1.fa3006ec7a27bp-2, 0x1.f50f796a5efe7p-2, 0x1.efe5e178be5d6p-2, 0x1.eab3b45b32c22p-2, 0x1.e5796b96365efp-2, 0x1.e037847cdbbd7p-2, 0x1.daee7fc1ced85p-2, 0x1.d59ee10bc32dap-2, 0x1.d0492e8d6d93p-2, 0x1.caedf0a1211a9p-2, 0x1.c58db16820a0ep-2, 0x1.c028fc6db315ap-2, 0x1.bac05e4e0742p-2, 0x1.b5546460e5b8cp-2, 0x1.afe59c6836a9bp-2, 0x1.aa74944257a1cp-2, 0x1.a501d9a03f05ap-2, 0x1.9f8df9bf5d715p-2, 0x1.9a1981273e4e3p-2, 0x1.94a4fb6ad0512p-2, 0x1.8f30f2ed49ffcp-2, 0x1.89bdf0aaa0906p-2, 0x1.844c7c03725b1p-2, 0x1.7edd1a8c5cf2p-2, 0x1.79704fe0a32a8p-2, 0x1.74069d781342ep-2, 0x1.6ea082800dea9p-2, 0x1.693e7bb7a08a2p-2, 0x1.63e1034e95c49p-2, 0x1.5e8890c764016p-2, 0x1.593598dbe2afep-2, 0x1.53e88d64ad329p-2, 0x1.4ea1dd4319efbp-2, 0x1.4961f44daea91p-2, 0x1.44293b3ef2e0ap-2, 0x1.3ef817a692a81p-2, 0x1.39ceebdcab975p-2, 0x1.34ae16f73648bp-2, 0x1.2f95f4c16e71ap-2, 0x1.2a86ddb5240bap-2, 0x1.258126f5dc7bbp-2, 0x1.2085224dadbaap-2, 0x1.1b931e2bbc2eep-2, 0x1.16ab65a4453afp-2, 0x1.11ce407221d3ep-2, 0x1.0cfbf2f9a8efbp-2, 0x1.0834be4cdf537p-2, 0x1.0378e030e3992p-2, 0x1.fd912648f4906p-3, 0x1.f4481ccf6268ep-3, 0x1.eb170c08feap-3, 0x1.e1fe55b0aa1f7p-3, 0x1.d8fe553d108c2p-3, 0x1.d0175ff7181f8p-3, 0x1.c749c511cd7e8p-3, 0x1.be95cdc3a77dfp-3, 0x1.b5fbbd6101679p-3, 0x1.ad7bd177bbea5p-3, 0x1.a51641ebdd206p-3, 0x1.9ccb411517ec8p-3, 0x1.949afbdd2bb8ap-3, 0x1.8c8599deed179p-3, 0x1.848b3d85ff33fp-3, 0x1.7cac042f0b076p-3, 0x1.74e806487298cp-3, 0x1.6d3f577364fb8p-3, 0x1.65b206a53a707p-3, 0x1.5e401e491987cp-3, 0x1.56e9a461ba2bep-3, 0x1.4fae9aab4a187p-3, 0x1.488efebd5e83bp-3, 0x1.418aca2cdebdcp-3, 0x1.3aa1f2ade19edp-3, 0x1.33d46a356b4a4p-3, 0x1.2d221f1b051f9p-3, 0x1.268afc3a1b9d1p-3, 0x1.200ee91325b97p-3, 0x1.19adc9ec7a6fep-3, 0x1.13677ff2d9c5p-3, 0x1.0d3be95999709p-3, 0x1.072ae17a73683p-3, 0x1.013440f4e1302p-3, 0x1.f6afbb9a25ca6p-4, 0x1.eb2b1714cd773p-4, 0x1.dfda36aad8c42p-4, 0x1.d4bcb82abc97dp-4, 0x1.c9d2351a416d3p-4, 0x1.bf1a42ef564ebp-4, 0x1.b4947347e1352p-4, 0x1.aa40542060d23p-4, 0x1.a01d7009688f6p-4, 0x1.962b4e5bf696dp-4, 0x1.8c69736c9847fp-4, 0x1.82d760bd5da04p-4, 0x1.7974952e95c9p-4, 0x1.70408d2e55d8cp-4, 0x1.673ac2e6c69ddp-4, 0x1.5e62ae6b38eaap-4, 0x1.55b7c5e3ffdcdp-4, 0x1.4d397db910f1fp-4, 0x1.44e748bb6c608p-4, 0x1.3cc0984d4ae49p-4, 0x1.34c4dc8917283p-4, 0x1.2cf384673024ap-4, 0x1.254bfde27aa36p-4, 0x1.1dcdb61bc0d29p-4, 0x1.1678197be55eep-4, 0x1.0f4a93d4ec318p-4, 0x1.08449081db466p-4, 0x1.01657a857a4c4p-4, 0x1.f559794fdf49ap-5, 0x1.e83383268aa6bp-5, 0x1.db57e7dda8e49p-5, 0x1.cec57cf33d248p-5, 0x1.c27b184733869p-5, 0x1.b677904be26ep-5, 0x1.aab9bc34879eep-5, 0x1.9f407421c1335p-5, 0x1.940a914c14011p-5, 0x1.8916ee2c86d28p-5, 0x1.7e6466a35ae5p-5, 0x1.73f1d81cf1275p-5, 0x1.69be21b4e1802p-5, 0x1.5fc824575179ep-5, 0x1.560ec2e0953ddp-5, 0x1.4c90e23b256b6p-5, 0x1.434d697bf1899p-5, 0x1.3a4341fd1ff64p-5, 0x1.3171577740402p-5, 0x1.28d69818fc958p-5, 0x1.2071f49d55311p-5, 0x1.1842606072c88p-5, 0x1.1046d17315449p-5, 0x1.087e40acab6c6p-5, 0x1.00e7a9bc213e4p-5, 0x1.f304166ed693p-6, 0x1.e498cd53aef94p-6, 0x1.d68b814269486p-6, 0x1.c8da4173a3527p-6, 0x1.bb832352cdb5ep-6, 0x1.ae844291d3eecp-6, 0x1.a1dbc13abf32bp-6, 0x1.9587c7bf54cb2p-6, 0x1.89868506d4853p-6, 0x1.7dd62e79d7eb5p-6, 0x1.7275000c6dbb2p-6, 0x1.67613c4685fe3p-6, 0x1.5c992c4ab3001p-6, 0x1.521b1fdb5cae8p-6, 0x1.47e56d5e70f2fp-6, 0x1.3df671dfa07f7p-6, 0x1.344c911138f37p-6, 0x1.2ae6354bab1fp-6, 0x1.21c1cf8bcefb8p-6, 0x1.18ddd76fedcd4p-6, 0x1.1038cb33a8fp-6, 0x1.07d12faac18a4p-6, 0x1.ff4b2075adea2p-7, 0x1.ef68fda84cd0ep-7, 0x1.dff927d2a751cp-7, 0x1.d0f8dccca6af1p-7, 0x1.c265674ce11f1p-7, 0x1.b43c1ed31dc6ap-7, 0x1.a67a679141f87p-7, 0x1.991db252de9ccp-7, 0x1.8c237c634fad9p-7, 0x1.7f894f72afedfp-7, 0x1.734cc1797f15p-7, 0x1.676b749b439b9p-7, 0x1.5be3170815e0ap-7, 0x1.50b162dd2f62dp-7, 0x1.45d41e049fb06p-7, 0x1.3b491a14216e2p-7, 0x1.310e342b3086ep-7, 0x1.272154d0691dbp-7, 0x1.1d806fce41b1fp-7, 0x1.1429840f2ed11p-7, 0x1.0b1a9b793e8c4p-7, 0x1.0251cac93935p-7, 0x1.f39a62daaa56ep-8, 0x1.e315f2bf13f99p-8, 0x1.d312adff1e694p-8, 0x1.c38d11d92566dp-8, 0x1.b481afbd63088p-8, 0x1.a5ed2d007d79p-8, 0x1.97cc428dc3a64p-8, 0x1.8a1bbc992db3ep-8, 0x1.7cd87a51337cbp-8, 0x1.6fff6d908c902p-8, 0x1.638d9a8fe9fddp-8, 0x1.57801797b8938p-8, 0x1.4bd40cb200a86p-8, 0x1.4086b35c6be8dp-8, 0x1.3595563a836d2p-8, 0x1.2afd50c8339eep-8, 0x1.20bc0f0ca00e8p-8, 0x1.16cf0d4d55dc1p-8, 0x1.0d33d7c1e7f61p-8, 0x1.03e80a47febfap-8, 0x1.f5d2a02fcba0dp-9, 0x1.e46ac6f346215p-9, 0x1.d3941af53be64p-9, 0x1.c34a4b47c26bep-9, 0x1.b3892361fa29cp-9, 0x1.a44c8a8f2b7d3p-9, 0x1.9590835f3b8a4p-9, 0x1.87512b1896e93p-9, 0x1.798ab92b91907p-9, 0x1.6c397ea74b2dbp-9, 0x1.5f59e5b028422p-9, 0x1.52e870f7db809p-9, 0x1.46e1bb371a72fp-9, 0x1.3b4276a8f2248p-9, 0x1.30076c87d5b76p-9, 0x1.252d7c8c5b114p-9, 0x1.1ab19c6dbcb52p-9, 0x1.1090d76418e84p-9, 0x1.06c84dac79f48p-9, 0x1.faaa681d4df09p-10, 0x1.e869a6c98a4a1p-10, 0x1.d6c910498e5a1p-10, 0x1.c5c383d766a19p-10, 0x1.b554061575f88p-10, 0x1.a575c02c55688p-10, 0x1.9623feec5f086p-10, 0x1.875a31f2e978cp-10, 0x1.7913ead330a17p-10, 0x1.6b4cdc42f02ffp-10, 0x1.5e00d94aa3754p-10, 0x1.512bd47973a48p-10, 0x1.44c9df1ccff14p-10, 0x1.38d7287b9fcaep-10, 0x1.2d4ffd151cb6bp-10, 0x1.2230c5e342e6fp-10, 0x1.177607a0d2ec1p-10, 0x1.0d1c6212ea21fp-10, 0x1.03208f561c01cp-10, 0x1.f2fec65e242bdp-11, 0x1.e06b94bd44067p-11, 0x1.ce8193f2b2a2ap-11, 0x1.bd3afd84e590ep-11, 0x1.ac9239145a94ep-11, 0x1.9c81db1efb031p-11, 0x1.8d04a3ca1c3f3p-11, 0x1.7e157db3128d3p-11, 0x1.6faf7cc63cc12p-11, 0x1.61cddd1c773eep-11, 0x1.546c01dee4b95p-11, 0x1.47857430f50abp-11, 0x1.3b15e22096577p-11, 0x1.2f191d9c7d1bep-11, 0x1.238b1b706b47bp-11, 0x1.1867f24762cf9p-11, 0x1.0dabd9b3acf63p-11, 0x1.0353293ca122ep-11, 0x1.f2b4aee426cc9p-12, 0x1.df7bf20aaf14fp-12, 0x1.ccf57fcf7ca9p-12, 0x1.bb1af4dcf335ap-12, 0x1.a9e624f7a0e3fp-12, 0x1.9951195b15c82p-12, 0x1.89560f20ff2a7p-12, 0x1.79ef75b25e215p-12, 0x1.6b17ed42a53edp-12, 0x1.5cca455493e36p-12, 0x1.4f017b48a29e5p-12, 0x1.41b8b8f4d47b7p-12, 0x1.34eb5345be65ap-12, 0x1.2894c8e898efdp-12, 0x1.1cb0c0fe34e35p-12, 0x1.113b09d69d6d5p-12, 0x1.062f97b547f3ap-12, 0x1.f715073b3c708p-13, 0x1.e290144f70eccp-13, 0x1.cec914ba46e46p-13, 0x1.bbb9093b00fa3p-13, 0x1.a9593315b6cfap-13, 0x1.97a311fb12b09p-13, 0x1.869061fed8136p-13, 0x1.761b199cd8d92p-13, 0x1.663d67cc0bd89p-13, 0x1.56f1b21f803f4p-13, 0x1.483292f4cf353p-13, 0x1.39fad7afc8362p-13, 0x1.2c457f0310f6ep-13, 0x1.1f0db7455ddfp-13, 0x1.124edcd30df14p-13, 0x1.0604787bcd5e1p-13, 0x1.f4547bf80f98dp-14, 0x1.dd781503a9934p-14, 0x1.c76bc67a4d0ccp-14, 0x1.b227e7f5d56f6p-14, 0x1.9da51b95c538bp-14, 0x1.89dc4b5fce3e5p-14, 0x1.76c6a6b4c758ap-14, 0x1.645d9fd975402p-14, 0x1.529ae992b99ffp-14, 0x1.417874d4a5958p-14, 0x1.30f06e83f68ep-14, 0x1.20fd3d4986133p-14, 0x1.11997f7736e41p-14, 0x1.02c008fdebe17p-14, 0x1.e8d7c2e82de8p-15, 0x1.cd308458e2a0dp-15, 0x1.b28128b8e1aa4p-15, 0x1.98c0dea41b665p-15, 0x1.7fe72d70e0e14p-15, 0x1.67ebf1d6477fdp-15, 0x1.50c75aaec1ed9p-15, 0x1.3a71e5d630c8ep-15, 0x1.24e45d22a87e8p-15, 0x1.1017d3772bef2p-15, 0x1.f80b43df4e057p-16, 0x1.d14eca4ade7fap-16, 0x1.abedf5173ffaap-16, 0x1.87dcfbc53b5a2p-16, 0x1.65108d8435078p-16, 0x1.437dcc71efaf3p-16, 0x1.231a4904ba12p-16, 0x1.03dbfd9edab7dp-16, 0x1.cb729493e06a5p-17, 0x1.9151e1325e4f5p-17, 0x1.59441f627a80ep-17, 0x1.233840e93fa9ep-17, 0x1.de3bc74e54e95p-18, 0x1.79ca94f92db0dp-18, 0x1.18feace1a61c8p-18, 0x1.77760067162edp-19, 0x1.878e8a116712fp-20, 0x1.6bb7b32127c28p-23, -0x1.1fc1e97aa78acp-20, -0x1.303fa43644b3ap-19, -0x1.ca90444325922p-19, -0x1.2f80593dffbaap-18, -0x1.76de8695f6c08p-18, -0x1.bb77e3575bed7p-18, -0x1.fd60dc0680e43p-18, -0x1.1e568cb75abc1p-17, -0x1.3cb7c49c3239dp-17, -0x1.59dd3313dbep-17, -0x1.75cfa0035bb1ep-17, -0x1.9097819ed002bp-17, -0x1.aa3d000e3131ep-17, -0x1.c2c7f8ebe1c8p-17, -0x1.da40029e6b91ep-17, -0x1.f0ac6f8eb2bep-17, -0x1.030a289de6d01p-16, -0x1.0d3f3d96dda3cp-16, -0x1.16f8c2e412549p-16, -0x1.2039e87f1c6p-16, -0x1.2905c37471107p-16, -0x1.315f4f201940fp-16, -0x1.39496e5ca0a08p-16, -0x1.40c6eca4a863bp-16, -0x1.47da7f27aef05p-16, -0x1.4e86c5d270aeep-16, -0x1.54ce4c4b68becp-16, -0x1.5ab38ae3db7bep-16, -0x1.6038e77dd408cp-16, -0x1.6560b6678ea42p-16, -0x1.6a2d3b2ca9253p-16, -0x1.6ea0a95d80a79p-16, -0x1.72bd254d2936fp-16, -0x1.7684c4c64d4c9p-16, -0x1.79f98fb75946ep-16, -0x1.7d1d80d64ceecp-16, -0x1.7ff2863c84769p-16, -0x1.827a81fac8eebp-16, -0x1.84b74aa60242dp-16, -0x1.86aaabdccd09fp-16, -0x1.885666c647c06p-16, -0x1.89bc328a55631p-16, -0x1.8addbcc3ad557p-16, -0x1.8bbca9ebe3cebp-16, -0x1.8c5a95c1c36e8p-16, -0x1.8cb913aa26d1p-16, -0x1.8cd9af0b98064p-16, -0x1.8cbdeba4eb406p-16, -0x1.8c6745df13696p-16, -0x1.8bd7331a60e6cp-16, -0x1.8b0f21f7614f9p-16, -0x1.8a107a9b9a72bp-16, -0x1.88dc9ef241d1ep-16, -0x1.8774eae935074p-16, -0x1.85dab4aa48b23p-16, -0x1.840f4cd130efep-16, -0x1.8213fe9e1c976p-16, -0x1.7fea10253662bp-16, -0x1.7d92c27b2c719p-16, -0x1.7b0f51dee7f19p-16, -0x1.7860f5e098f24p-16, -0x1.7588e18636d3p-16, -0x1.7288436d98994p-16, -0x1.6f6045ec459bep-16, -0x1.6c120f2d1e389p-16, -0x1.689ec14bf5132p-16, -0x1.65077a6f3fc7ep-16, -0x1.614d54dfecc1cp-16, -0x1.5d71671f8465ap-16, -0x1.5974c3fcaca0cp-16, -0x1.55587aa61b1b2p-16, -0x1.511d96bc20913p-16, -0x1.4cc52060d4894p-16, -0x1.48501c46fb558p-16, -0x1.43bf8bbfbd71fp-16, -0x1.3f146cc73defp-16, -0x1.3a4fba102585fp-16, -0x1.35726b0e39681p-16, -0x1.307d740002d17p-16, -0x1.2b71c5f79f28fp-16, -0x1.26504ee2cc204p-16, -0x1.2119f99231fedp-16, -0x1.1bcfadc006bfep-16, -0x1.167250160fc84p-16, -0x1.1102c233109c3p-16, -0x1.0b81e2afb4ffap-16, -0x1.05f08d22ffdeap-16, -0x1.004f9a2646ea6p-16, -0x1.f53fbeb1958d3p-17, -0x1.e9c45ec5ed292p-17, -0x1.de2eb3f28967ap-17, -0x1.d28057bdc26f8p-17, -0x1.c6baddd00cef3p-17, -0x1.badfd3f84445ap-17, -0x1.aef0c22f88944p-17, -0x1.a2ef2a9cd1e0ap-17, -0x1.96dc89982e2f2p-17, -0x1.8aba55adc768cp-17, -0x1.7e89ffa0bb235p-17, -0x1.724cf26dc169fp-17, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      21, 0x1.d5c28f5c28f5cp+1, 0x1.1d843419061c3p+1, 0x1.3adf5bae487fep+2, -0x1.319e48c61e554p-1, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.a1cdd52f35f13p+1, -0x1.1398561994719p+3, 0x1.335eea7cc1648p+3, 0x1.24c2d215644dap+1}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.402752599b3bbp+1, -0x1.a7d9b436b258bp+2, 0x1.4953ed718f50ap+3, -0x1.6df3869abd938p+3}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.ee2f871bf7072p+0, -0x1.3a138b647a279p+2, 0x1.b715bd531348bp+2, -0x1.54c4195e3a938p+2}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.80c16528e56c7p+0, -0x1.d8f6f58989b6p+1, 0x1.50dae8ea01b62p+2, -0x1.3c780e6002d81p+2}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.2e5eef7cc3cb5p+0, -0x1.6535f564e55b7p+1, 0x1.e3d42f9a681dbp+1, -0x1.b40ed35413f6p+1}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.df775f27e84p-1, -0x1.1186d89d0455p+1, 0x1.6102f03462208p+1, -0x1.421e0effa2c86p+1}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.7ee338f8825dep-1, -0x1.a92d0a5d60f0cp+0, 0x1.0060521ae47dfp+1, -0x1.c0207953aed42p+0}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.333610fab5b8cp-1, -0x1.5011b9f669829p+0, 0x1.7a507fcfe1562p+0, -0x1.358874218bae4p+0}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.ede39ec817849p-2, -0x1.0db13d7bec26fp+0, 0x1.1d745cf9043b8p+0, -0x1.a6b9b4da4b3a9p-1}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.8c95be47fba2ap-2, -0x1.b5e2775d58de7p-1, 0x1.bc176a16f1e51p-1, -0x1.2802a8d8d3adcp-1}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.3d4c3db2444abp-2, -0x1.65f257da2499ap-1, 0x1.6349d10918ca7p-1, -0x1.bb0c241a9abbbp-2}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.f8be0e9efeb8ap-3, -0x1.2588e1c95cd7cp-1, 0x1.20d4cb9eb4c7dp-1, -0x1.6f3920afaddfep-2}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, 0x1.8e25b7c722846p-3, -0x1.e28db839cb122p-2, 0x1.d37eda3be899bp-2, -0x1.4ba4fbdfded0ap-2}, 
        {0x1.7333333333333p+1, 0x1.8p+1, 0x1.3652bfc0ef42dp-3, -0x1.8f00fa8901f47p-2, 0x1.70008eabf28e4p-2, -0x1.324df33be168bp-2}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, 0x1.da8a316f668a4p-4, -0x1.4e97af89b1ce5p-2, 0x1.141c5f4d2eeebp-2, -0x1.f669563de2211p-3}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, 0x1.5ebe0f1d971d4p-4, -0x1.1ee812404e5fp-2, 0x1.917f8b2166d36p-3, -0x1.46d54730e5838p-3}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, 0x1.e6b6535fea88ap-5, -0x1.f7518321cc80cp-3, 0x1.2f72c292bb922p-3, 0x1.8911e38d95ddap-4}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, 0x1.2a4f153d69c1p-5, -0x1.b4bb926772d24p-3, 0x1.6a68a4b4c54p-3, 0x1.3e0d0a4f9abb5p-3}, 
        {0x1.b333333333333p+1, 0x1.cp+1, 0x1.16c4cee74b3a4p-6, -0x1.62b59cac6d212p-3, 0x1.c9d2f49973ab9p-3, 0x1.88775c53c64dap+0}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, 0x1.c5f5c6eca90fbp-9, -0x1.51e7c9e9051f4p-4, 0x1.5def8e256d801p-1, -0x1.063490a87ed77p+1}, 
        {0x1.ccccccccccccdp+1, 0x1.d5c28f5c28f5cp+1, 0x0p+0, -0x1.db9aec9c57324p-8, 0x1.1a509e0d10b61p-4, 0x1.7bac9409b63b2p+2}, 
      }}, 
      -0x1.fc4208c4dc085p+6, 0x1.60e9128f25577p+9
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_zn_zn() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {-0x1.8dab8b33a549p-2, -0x1.5d4e5a0026967p-5, -0x1.b677e945a9578p-3, 0x0p+0, 0x1.0bcfd4bf0995bp-1, 0x1.d374bc6a7ef9ep-3, 0x1.109e98dcdb37dp-2, 10, 0, 2}, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.64dfca27895aap+2, -0x1.3bea2b77c4524p+2, -0x1.1572f5da8565ep+2, -0x1.e3cc1984797afp+1, -0x1.a30e3cfff17acp+1, -0x1.68ef4e222fdc1p+1, -0x1.3579bd3748ffp+1, -0x1.088aaeacf23cbp+1, -0x1.c3b897b28674p+0, -0x1.821dfad72054ep+0, -0x1.4b62edba19e89p+0, -0x1.1e8f22052adddp+0, -0x1.f540640a3eb09p-1, -0x1.bd24f16d4ac9ap-1, -0x1.92d06675e2fddp-1, -0x1.745e80d2d9e0bp-1, -0x1.60090da81dcep-1, -0x1.542c9e898a4b3p-1, -0x1.4f4bb6e9fab6ep-1, -0x1.500f9aa27c77cp-1, -0x1.5547a81bd865ep-1, -0x1.5de8212279cdfp-1, -0x1.690847acc9b4ap-1, -0x1.75dfecd24a9dp-1, -0x1.83c4daa667776p-1, -0x1.92283f1422d14p-1, -0x1.a0940e25dfa1p-1, -0x1.aea8656f1780ep-1, -0x1.bc190aa3dc562p-1, -0x1.c8ab0c5fef53p-1, -0x1.d43280413f7fbp-1, -0x1.de905f587f288p-1, -0x1.e7b0884a2303p-1, -0x1.ef872f54b70d1p-1, -0x1.f612ddad2e44p-1, -0x1.fb54daab864dep-1, -0x1.ff543feb13ee9p-1, -0x1.010e100c0ad1fp+0, -0x1.01dd4c1b053bp+0, -0x1.021ff54960289p+0, -0x1.01ded892fe9fep+0, -0x1.01231d74607e1p+0, -0x1.ffec1ad021c4ap-1, -0x1.fcc1decf7f621p-1, -0x1.f8d9dcbe061e5p-1, -0x1.f44605b72528p-1, -0x1.ef17bafa25226p-1, -0x1.e95fa56bb1044p-1, -0x1.e32d95c0788acp-1, -0x1.dc906f581a185p-1, -0x1.d5961ee03737p-1, -0x1.ce4b99ffe2c59p-1, -0x1.c6bce4d9ed0bap-1, -0x1.bef519c99e8f2p-1, -0x1.b6fe72ab74bf3p-1, -0x1.aee251f2446cep-1, -0x1.a6a94c5c842dap-1, -0x1.9e5b328043e57p-1, -0x1.95ff1b7387d28p-1, -0x1.8d9b6fea01119p-1, -0x1.8535f61bbba06p-1, -0x1.7cd3de468dc1dp-1, -0x1.7479cead1b9c8p-1, -0x1.6c2beea0fadb6p-1, -0x1.63edf02c5fc28p-1, -0x1.5bc318f52c038p-1, -0x1.53ae48f4e5628p-1, -0x1.4bb2055c1fb37p-1, -0x1.43d07e14ac57fp-1, -0x1.3c0b9763700f4p-1, -0x1.3464f1377c8bcp-1, -0x1.2cddee169adfbp-1, -0x1.2577b899a416p-1, -0x1.1e33483537606p-1, -0x1.1711655204bbp-1, -0x1.1012ad0e3d767p-1, -0x1.093794f939f34p-1, -0x1.0280ce1872d58p-1, -0x1.f7db583dcd484p-2, -0x1.eafd7a320ba59p-2, -0x1.de680921c244ap-2, -0x1.d21addeec4cc3p-2, -0x1.c615a741a2bf7p-2, -0x1.ba57ed8eb28f6p-2, -0x1.aee1178704ce4p-2, -0x1.a3b06e564e8c6p-2, -0x1.98c521f0bd2d5p-2, -0x1.8e1e4d861c8e3p-2, -0x1.83baf9198ad3p-2, -0x1.799a206690ef1p-2, -0x1.6fbab1cf4a396p-2, -0x1.661b924cecaa7p-2, -0x1.5cbb9ecc17bc2p-2, -0x1.5399ad8883a34p-2, -0x1.4ab48f4022f2fp-2, -0x1.420b10127c4b3p-2, -0x1.399bf880ae7a1p-2, -0x1.31660e374e68cp-2, -0x1.296814f92c2c1p-2, -0x1.21a0cf629818p-2, -0x1.1a0effb806e48p-2, -0x1.12b168e677717p-2, -0x1.0b86cf1b72ee5p-2, -0x1.048df891890bp-2, -0x1.fb8b5c5f83978p-3, -0x1.ee597832a03cp-3, -0x1.e183e442e3941p-3, -0x1.d50848592a2a4p-3, -0x1.c8e454e16cf48p-3, -0x1.bd15c32b504e9p-3, -0x1.b19a579ed5208p-3, -0x1.a66fdde0c6af6p-3, -0x1.9b942d323c096p-3, -0x1.9105268b6583ap-3, -0x1.86c0b51d4e4bp-3, -0x1.7cc4ce7558feep-3, -0x1.730f729ca20b2p-3, -0x1.699eac3d0f1f8p-3, -0x1.60709098397fap-3, -0x1.57833ff7ef0f1p-3, -0x1.4ed4e5603dbe2p-3, -0x1.4663b6d5f35cap-3, -0x1.3e2df57cceba5p-3, -0x1.3631ecb4955fbp-3, -0x1.2e6df3dbf2c49p-3, -0x1.26e06c49801f8p-3, -0x1.1f87c24dfe8e2p-3, -0x1.18626cc29c03cp-3, -0x1.116eecec76723p-3, -0x1.0aabce58182e4p-3, -0x1.0417a6b71d99ep-3, -0x1.fb622add927abp-4, -0x1.eeed882c126aap-4, -0x1.e2cecb1e1228fp-4, -0x1.d7036c7b95c3p-4, -0x1.cb88f784057e2p-4, -0x1.c05d098d6dcd2p-4, -0x1.b57d5146d4e1fp-4, -0x1.aae7904a52135p-4, -0x1.a099971ba2c82p-4, -0x1.9691478313af9p-4, -0x1.8ccc940e69f15p-4, -0x1.83497e9b9d0f9p-4, -0x1.7a06189691c9ep-4, -0x1.71008281eecc8p-4, -0x1.6836eb4fc56e3p-4, -0x1.5fa790a274efp-4, -0x1.5750bdb810b08p-4, -0x1.4f30cb88ee664p-4, -0x1.4746200b403a6p-4, -0x1.3f8f2e1fa263ep-4, -0x1.380a75091c36dp-4, -0x1.30b6801706036p-4, -0x1.2991e60bd6a62p-4, -0x1.229b4a304070cp-4, -0x1.1bd159061935dp-4, -0x1.1532cae9363d4p-4, -0x1.0ebe62492778fp-4, -0x1.0872eb99c3094p-4, -0x1.024f3cfdfd5a6p-4, -0x1.f8a46cde06e54p-5, -0x1.ecf5811da08dcp-5, -0x1.e18f99df0bfbap-5, -0x1.d670ac17efe82p-5, -0x1.cb96bcd4f2b7dp-5, -0x1.c0ffd1615dbc5p-5, -0x1.b6aa3a56fb058p-5, -0x1.ac940f38d294cp-5, -0x1.a2bb923a59527p-5, -0x1.991f13a600aa4p-5, -0x1.8fbcf19872bf1p-5, -0x1.869397b9fc13ap-5, -0x1.7da17e22778dep-5, -0x1.74e52992d7b32p-5, -0x1.6c5d2a9b5f423p-5, -0x1.64081d9210046p-5, -0x1.5be4a9fa87765p-5, -0x1.53f182076cc9cp-5, -0x1.4c2d626108bcep-5, -0x1.449711c92259dp-5, -0x1.3d2d60a723f1ep-5, -0x1.35ef28c798a08p-5, -0x1.2edb4cf91f44fp-5, -0x1.27f0b8a8c68adp-5, -0x1.212e60966ea4dp-5, -0x1.1a9340252fa53p-5, -0x1.141e5b8cd0b01p-5, -0x1.0dcebe784a7b4p-5, -0x1.07a37be2ad919p-5, -0x1.019badd9f7dedp-5, -0x1.f76cea7d4f523p-6, -0x1.ebe5f344814e6p-6, -0x1.e0a0d21effb33p-6, -0x1.d59bef02e48e3p-6, -0x1.cad5be2638397p-6, -0x1.c04cc046514e8p-6, -0x1.b5ff7e79bc895p-6, -0x1.abec90b059dcbp-6, -0x1.a212947c75ebcp-6, -0x1.9870363f6c4afp-6, -0x1.8f04290a4eb09p-6, -0x1.85cd2a3b6884bp-6, -0x1.7cca00291ddc8p-6, -0x1.73f979e5963d6p-6, -0x1.6b5a6f7425434p-6, -0x1.62ebbfa479183p-6, -0x1.5aac52256cf1dp-6, -0x1.529b16d1db33bp-6, -0x1.4ab703c64c7bap-6, -0x1.42ff169a0cedbp-6, -0x1.3b7253bcb575fp-6, -0x1.340fc63a5265ap-6, -0x1.2cd67f84c7fe8p-6, -0x1.25c5973836488p-6, -0x1.1edc2af152cc4p-6, -0x1.18195e148021ep-6, -0x1.117c58f79bcd4p-6, -0x1.0b044a929e336p-6, -0x1.04b0666d7538dp-6, -0x1.fcffc9cac5064p-7, -0x1.f0e405cf3bd6bp-7, -0x1.e50c0a41ee4c3p-7, -0x1.d9765e34c4f83p-7, -0x1.ce2195d8495dfp-7, -0x1.c30c5d88f1cd8p-7, -0x1.b83550422e184p-7, -0x1.ad9b20839768ap-7, -0x1.a33c87cfec114p-7, -0x1.9918443390edep-7, -0x1.8f2d18ac81379p-7, -0x1.8579d61989cd2p-7, -0x1.7bfd4fb2a1675p-7, -0x1.72b6605935373p-7, -0x1.69a3e93f561fcp-7, -0x1.60c4d29ac8516p-7, -0x1.58180a31bda23p-7, -0x1.4f9c84035ca1ap-7, -0x1.475139cee0c8fp-7, -0x1.3f352b013718p-7, -0x1.37475d0880abbp-7, -0x1.2f86d91723e6bp-7, -0x1.27f2aef69df41p-7, -0x1.2089f3eee8f4ap-7, -0x1.194bc14c17166p-7, -0x1.123734a88bd45p-7, -0x1.0b4b71ac9a1d4p-7, -0x1.04879f58b4d54p-7, -0x1.fbd5d532a9073p-8, -0x1.eee9074b488b2p-8, -0x1.e2473b28f18eap-8, -0x1.d5eee8a941973p-8, -0x1.c9de82dde8997p-8, -0x1.be148b6b670bap-8, -0x1.b28f904b838abp-8, -0x1.a74e1defee717p-8, -0x1.9c4ed362857bbp-8, -0x1.919050bf06277p-8, -0x1.871127446f584p-8, -0x1.7cd02002168e2p-8, -0x1.72cbde4713ddep-8, -0x1.690320c198064p-8, -0x1.5f74a89c8e36fp-8, -0x1.561f3d152a972p-8, -0x1.4d01ac35dc567p-8, -0x1.441ac926a9eacp-8, -0x1.3b696d23acb75p-8, -0x1.32ec775f8d6afp-8, -0x1.2aa2cd6abdfedp-8, -0x1.228b59d2d6c77p-8, -0x1.1aa50ab6cd5c6p-8, -0x1.12eed8277e6b9p-8, -0x1.0b67bb4c3abc9p-8, -0x1.040eb3fe2e857p-8, -0x1.f9c58e136ceabp-9, -0x1.ebc5fbfbf5bbcp-9, -0x1.de1ccec21e0a5p-9, -0x1.d0c82d258fbc7p-9, -0x1.c3c648229b521p-9, -0x1.b715549dbfd1fp-9, -0x1.aab3989fb2a7dp-9, -0x1.9e9f5eb43fa8cp-9, -0x1.92d6f98b0afcap-9, -0x1.8758c57a68757p-9, -0x1.7c231b15f4e8ep-9, -0x1.7134739db9e97p-9, -0x1.668b481e883e8p-9, -0x1.5c260ef8df2ap-9, -0x1.52033ca150e5ep-9, -0x1.482172975050ap-9, -0x1.3e7f36f0527bcp-9, -0x1.351b36241293ap-9, -0x1.2bf3f6c166dp-9, -0x1.23082f7422869p-9, -0x1.1a56866ed0c18p-9, -0x1.11ddb3db2ceb5p-9, -0x1.099c76ee968bfp-9, -0x1.0191921f23adfp-9, -0x1.f377a25aecd7bp-10, -0x1.e43408e68871ep-10, -0x1.d555f4ce2434ep-10, -0x1.c6db26d8b77c9p-10, -0x1.b8c15c8665016p-10, -0x1.ab0667e044e34p-10, -0x1.9da81ee6e1c88p-10, -0x1.90a46d68e2a6dp-10, -0x1.83f93ec1e0e93p-10, -0x1.77a489ca4e985p-10, -0x1.6ba456f7a139ep-10, -0x1.5ff6b8757c894p-10, -0x1.5499c8f666287p-10, -0x1.498ba56cf9f9ap-10, -0x1.3eca7826238f5p-10, -0x1.3454821a9786cp-10, -0x1.2a2801a981af9p-10, -0x1.20433e97930dfp-10, -0x1.16a48fd9ccc1dp-10, -0x1.0d4a45198103p-10, -0x1.0432ce658f1f5p-10, -0x1.f6b91c2209a85p-11, -0x1.e58c13c142b87p-11, -0x1.d4db69d4a6ab6p-11, -0x1.c4a43020655cbp-11, -0x1.b4e361e845767p-11, -0x1.a5965c2309231p-11, -0x1.96ba26e1c7499p-11, -0x1.884c2313d308bp-11, -0x1.7a49b32e17fd3p-11, -0x1.6cb02f941c64p-11, -0x1.5f7d2e9ffbf38p-11, -0x1.52add57f37d35p-11, -0x1.464006da21923p-11, -0x1.3a312e65304f7p-11, -0x1.2e7f28b5e4497p-11, -0x1.2327b00834c0fp-11, -0x1.18280e0b66199p-11, -0x1.0d7e897c51b4bp-11, -0x1.0329158423c5fp-11, -0x1.f24a04b9a8052p-12, -0x1.dee157f34139bp-12, -0x1.cc144249f4029p-12, -0x1.b9de609ccd238p-12, -0x1.a8410725953c4p-12, -0x1.972f4948821ccp-12, -0x1.86a9a4b4f16fap-12, -0x1.76ac4d61ffff5p-12, -0x1.6733da91da82dp-12, -0x1.583cec9f37989p-12, -0x1.49c3cfdc39d2ap-12, -0x1.3bc5765429638p-12, -0x1.2e3e8abeecb1dp-12, -0x1.212c1ecf11309p-12, -0x1.148a98b59afc5p-12, -0x1.0857530b3795ap-12, -0x1.f91e75d30db8bp-13, -0x1.e25f03a128122p-13, -0x1.cc69aed59e065p-13, -0x1.b73a1550ccb2cp-13, -0x1.a2ca98e1c8062p-13, -0x1.8f163b7e71cf5p-13, -0x1.7c1698fef8382p-13, -0x1.69c78da161c87p-13, -0x1.5823ba607b69bp-13, -0x1.47260003d6c07p-13, -0x1.36cac7523cb82p-13, -0x1.270cc32bc6549p-13, -0x1.17e768f0b01fap-13, -0x1.09566747d7d58p-13, -0x1.f6ab3961fe35ap-14, -0x1.dbc1099018f1cp-14, -0x1.c1e60475e950fp-14, -0x1.a912da7c420ecp-14, -0x1.913f634b7d51fp-14, -0x1.7a64077080a18p-14, -0x1.64794c4afc6e2p-14, -0x1.4f780708fd2dap-14, -0x1.3b58fa98530bbp-14, -0x1.2815645b48fefp-14, -0x1.15a68f4877fa2p-14, -0x1.0405bf10a65c3p-14, -0x1.e659678d0fb65p-15, -0x1.c62a0d1fa09cdp-15, -0x1.a7718ce9d506ep-15, -0x1.8a23f5637d357p-15, -0x1.6e358e9f97fcdp-15, -0x1.539b0459d7847p-15, -0x1.3a496f805916ep-15, -0x1.22366db592549p-15, -0x1.0b5622111b6a9p-15, -0x1.eb40d59c9a87ep-16, -0x1.c213bc3c6a811p-16, -0x1.9b12889fc6b7dp-16, -0x1.762b759738b41p-16, -0x1.5348aa1995544p-16, -0x1.325bb91da7222p-16, -0x1.1351dc211ed13p-16, -0x1.ec35dc14894e3p-17, -0x1.b54c2b03bd3e7p-17, -0x1.81c44348a2b5ap-17, -0x1.5176c1930f8dcp-17, -0x1.2456917e43e14p-17, -0x1.f47e145d9f187p-18, -0x1.a6230257da9b5p-18, -0x1.5d6320287426fp-18, -0x1.1a0189738aa31p-18, -0x1.b7a15816b3687p-19, -0x1.4560f6dfc7fecp-19, -0x1.b92a86cf06294p-20, -0x1.f35e062e8470ap-21, -0x1.3132468232033p-22, 0x1.427612328cd35p-22, 0x1.b9bee1329574bp-21, 0x1.5a133ad4bd2e6p-20, 0x1.c855f6401a969p-20, 0x1.13feaa247a63dp-19, 0x1.3d24e02228f0ep-19, 0x1.5ff48554c1e95p-19, 0x1.7c80c9f3f53d7p-19, 0x1.93285f85b062ap-19, 0x1.a41e48e971abep-19, 0x1.afd5fc6719826p-19, 0x1.b66ae86d1d53bp-19, 0x1.b8367e6e9ff5bp-19, 0x1.b566c7d385d65p-19, 0x1.ae41de04b977cp-19, 0x1.a3026995890dap-19, 0x1.93e265aaecc0ap-19, 0x1.81177d7c942dp-19, 0x1.6ada3b6dbab0dp-19, 0x1.51593272c5211p-19, 0x1.34d2d0a1cf7d8p-19, 0x1.1568796e23684p-19, 0x1.e6a3de911a529p-20, 0x1.9d646839ceb4bp-20, 0x1.4fb53952dddp-20, 0x1.fb2d2d868d02cp-21, 0x1.4eedf0e222ceap-21, 0x1.36a518fdfda12p-22, -0x1.f1004fea6119bp-25, -0x1.bf46a73756db3p-22, -0x1.a5e95b575b3a6p-21, -0x1.3896e657ba179p-20, -0x1.a08ed3399fac1p-20, -0x1.0551ce253101ep-19, -0x1.3b493fc6b366ep-19, -0x1.71e5ed743a958p-19, -0x1.a942edb866c4ap-19, -0x1.e13feaf72b1efp-19, -0x1.0cd6941801c2p-18, -0x1.293e07e8b9792p-18, -0x1.45c9c5336e07bp-18, -0x1.626e4e602a43dp-18, -0x1.7f23b58979d42p-18, -0x1.9bd18d9d7f3d3p-18, -0x1.b887bff158fa6p-18, -0x1.d526763e6d851p-18, -0x1.f1a3dc0e6b247p-18, -0x1.0704938299e4fp-17, -0x1.1524bcf0b0b03p-17, -0x1.23261cbec9b4cp-17, -0x1.310e6ebbeda65p-17, -0x1.3ed7c5f40935cp-17, -0x1.4c796d2f5df98p-17, -0x1.59f7108f1255bp-17, -0x1.6747515058719p-17, -0x1.746f25d46707fp-17, -0x1.8164597dfa26ep-17, -0x1.8e2dc30c7b44dp-17, -0x1.9ab9d126989fdp-17, -0x1.a714ec7276027p-17, -0x1.b33535e3b497bp-17, -0x1.bf2044354a36bp-17, -0x1.cac5979f8b0f4p-17, -0x1.d6357a793561p-17, -0x1.e15f1b365cb3dp-17, -0x1.ec5046bfec35ap-17, -0x1.f6f6a4402a88ep-17, -0x1.00adfa570e25fp-16, -0x1.05c19ee7a36f4p-16, -0x1.0aada96b945e1p-16, -0x1.0f7a297f6a5aap-16, -0x1.142211df22cb8p-16, -0x1.18a568c746866p-16, -0x1.1d0512f9f83e4p-16, -0x1.21404291f6c23p-16, -0x1.2556eb4658039p-16, -0x1.2948a02c25c63p-16, -0x1.2d1521b918c08p-16, -0x1.30bcbef199fc8p-16, -0x1.343f4f4383982p-16, -0x1.379d3f15f9cc9p-16, -0x1.3ad5c6a75f78cp-16, -0x1.3de8523fe20adp-16, -0x1.40d6bed2f38b7p-16, -0x1.439feb7c2989ap-16, -0x1.46450f5e32cbap-16, -0x1.48c4bff3c044ap-16, -0x1.4b2054abf7248p-16, -0x1.4d574e2acc60fp-16, -0x1.4f6a8dc9ee65cp-16, -0x1.515aa1aed6657p-16, -0x1.5326b4f196204p-16, -0x1.54cf9bbab2827p-16, -0x1.56559f9801db5p-16, -0x1.57b9666797c02p-16, -0x1.58fb840227165p-16, -0x1.5a18d0b7932efp-16, -0x1.5b1932ddab039p-16, -0x1.5bf470d52e5acp-16, -0x1.5cb121b217b77p-16, -0x1.5d4d15a7f3f1ap-16, -0x1.5dc9378a79dc6p-16, -0x1.5e25f9ac5b8e5p-16, -0x1.5e63640073641p-16, -0x1.5e83540de293ep-16, -0x1.5e83ced85c3a1p-16, -0x1.5e67eea4d57f4p-16, -0x1.5e2e9a3d27507p-16, -0x1.5dd855a8928eap-16, -0x1.5d6750461c8d1p-16, -0x1.5cd6fda84fbedp-16, -0x1.5c30ac8e6e94fp-16, -0x1.5b6cd72fb8edfp-16, -0x1.5a903951a6843p-16, -0x1.599877fa9d958p-16, -0x1.58893d099ca3dp-16, -0x1.5760b081793fcp-16, -0x1.562032e410fb7p-16, -0x1.54c8f7f3062cp-16, -0x1.5359604b547c9p-16, -0x1.51d5a8e6c359ep-16, -0x1.503a3886cb31ep-16, -0x1.4e8a1e9593b61p-16, -0x1.4cc52db6de4ccp-16, -0x1.4aeba135dbe48p-16, -0x1.48ff6299ac84bp-16, -0x1.46ff4c37bdd2ep-16, -0x1.44ec7193115c1p-16, -0x1.42c74af8dcf0fp-16, -0x1.4090f2a0a91b5p-16, -0x1.3e4989d8ea18ep-16, -0x1.3bf18d5bfd075p-16, -0x1.3988a2c812d5bp-16, -0x1.3711b5b564d2cp-16, -0x1.348a4ee58b989p-16, -0x1.31f3dfa54df22p-16, -0x1.2f51caf3fe789p-16, -0x1.2c9fcc748d14ep-16, -0x1.29e2952e5aa2ap-16, -0x1.2716ab24282f8p-16, -0x1.244068da20892p-16, -0x1.215dfbea57b48p-16, -0x1.1e701a10ac762p-16, -0x1.1b78022cc8d67p-16, -0x1.1875792681c83p-16, -0x1.156948cf2e531p-16, -0x1.1252c18788284p-16, -0x1.0f34db41fbb3ap-16, -0x1.0c0dd5e2dd6fap-16, -0x1.08dec28112446p-16, -0x1.05a836cc71f97p-16, -0x1.026a5fc836f1cp-16, -0x1.fe4bbf7fd1fbp-17, -0x1.f7b67400e2d85p-17, -0x1.f114e07621762p-17, -0x1.ea6817bae3648p-17, -0x1.e3b153d4979cdp-17, -0x1.dcf0dd0b559e4p-17, -0x1.d627a680d9548p-17, -0x1.cf57df014419p-17, -0x1.c87bfa29b8293p-17, -0x1.c1a0742034ccdp-17, -0x1.bab9999158864p-17, -0x1.b3d07f20c91eep-17, -0x1.ace15bbbb8225p-17, -0x1.a5ef13561ddf5p-17, -0x1.9ef9c3f6c89cdp-17, -0x1.980203e7e6088p-17, -0x1.9107b264a9a8dp-17, -0x1.8a0c0c7aaeb8ep-17, -0x1.8310adc2d6686p-17, -0x1.7c14a121e31f3p-17, -0x1.7518fe7bb3ae4p-17, -0x1.6e1ea891962bap-17, -0x1.67260c45ad19cp-17, -0x1.602f3a1704bb1p-17, -0x1.593b691fae26fp-17, -0x1.524aadb120b42p-17, -0x1.4b5da2c6d65d3p-17, -0x1.44764786a0e45p-17, -0x1.3d8f58b8ae59bp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.7c6b1ae5cf9f3p+2, -0x1.4ff4e6ec36e33p+2, -0x1.24320558a096bp+2, -0x1.f35300827e417p+1, -0x1.a18fd520e79b4p+1, -0x1.53c2e5c72a3f3p+1, -0x1.0a68951738fb1p+1, -0x1.8bacd088a4036p+0, -0x1.0c8057a0e6e63p+0, -0x1.2ef3ce97a3586p-1, -0x1.64bd55f1d514ep-3, 0x1.a27b69036ddccp-3, 0x1.17076a793f3b3p-1, 0x1.b2cb86462b49p-1, 0x1.1e6826f2736ep+0, 0x1.5b0a15d2b05c7p+0, 0x1.8fd2e7a709082p+0, 0x1.bd4e4674f3b1p+0, 0x1.e40913e795df5p+0, 0x1.0247793986e87p+1, 0x1.0fb4296c95195p+1, 0x1.1a8c7b39158bcp+1, 0x1.230f6bedc6245p+1, 0x1.2978b3809b51fp+1, 0x1.2e00844497a11p+1, 0x1.30db665ea8bc8p+1, 0x1.323a29f5f86a1p+1, 0x1.3249eb89a7413p+1, 0x1.3134261494955p+1, 0x1.2f1ed0098e6d2p+1, 0x1.2c2c806d9414ap+1, 0x1.287c99a56766dp+1, 0x1.242b77ee6c2eap+1, 0x1.1f52a0e05adfp+1, 0x1.1a08fa0f84528p+1, 0x1.1462f96df234fp+1, 0x1.0e72d1f2f0e78p+1, 0x1.0848a6077d832p+1, 0x1.01f2b669eb15bp+1, 0x1.f6fb1c96b2d96p+0, 0x1.e9e858a003242p+0, 0x1.dcc0514bcad51p+0, 0x1.cf93b0c04bb32p+0, 0x1.c270dca770ap+0, 0x1.b56432f61747ap+0, 0x1.a87841f98c791p+0, 0x1.9bb5fb7b26218p+0, 0x1.8f24e381e840dp+0, 0x1.82cb3a2df1621p+0, 0x1.76ae21a2eee7cp+0, 0x1.6ad1c00403193p+0, 0x1.5f395e045bd0ep+0, 0x1.53e7824912ce9p+0, 0x1.48de0a266f2ccp+0, 0x1.3e1e3f70071dcp+0, 0x1.33a8ec2194592p+0, 0x1.297e6bc3e4df7p+0, 0x1.1f9ebae6df5d5p+0, 0x1.160984cb04135p+0, 0x1.0cbe2f6b40ceap+0, 0x1.03bbe6272ca94p+0, 0x1.f6034624b6458p-1, 0x1.e51c6e879f322p-1, 0x1.d4c0a40c229f6p-1, 0x1.c4ed0e8883463p-1, 0x1.b59eaa0fc3fdfp-1, 0x1.a6d250f7670cfp-1, 0x1.9884c39bf9aa4p-1, 0x1.8ab2b066e9d4fp-1, 0x1.7d58b9cdd3b1bp-1, 0x1.70737bef10b12p-1, 0x1.63ff913c76acp-1, 0x1.57f996877bc9bp-1, 0x1.4c5e2e6a0c555p-1, 0x1.412a0426cf9f5p-1, 0x1.3659ce15b1a6p-1, 0x1.2bea4fc0f2f11p-1, 0x1.21d85620427c7p-1, 0x1.1820cf76aef31p-1, 0x1.0ec0aa5cc25c1p-1, 0x1.05b4ecfd6a06bp-1, 0x1.f9f560ed6f68ep-2, 0x1.e91e42abe0a9bp-2, 0x1.d8deffe498f6fp-2, 0x1.c932414d0580dp-2, 0x1.ba12d7bcf8255p-2, 0x1.ab7bbc23d5fd4p-2, 0x1.9d680f43a5ffcp-2, 0x1.8fd319666556dp-2, 0x1.82b8499c6ab57p-2, 0x1.7613356078d57p-2, 0x1.69df97c787061p-2, 0x1.5e1950c3bc8b5p-2, 0x1.52bc646269f59p-2, 0x1.47c4f9f3b32bap-2, 0x1.3d2f5b30ccdb9p-2, 0x1.32f7f360f4e7dp-2, 0x1.291b4e6fff1b7p-2, 0x1.1f961810aaee2p-2, 0x1.16651ac54a33cp-2, 0x1.0d853f03255b1p-2, 0x1.04f38a41e0c93p-2, 0x1.f95a3c21ed5c1p-3, 0x1.e95e6e62f0ca1p-3, 0x1.d9ee5960ec2c5p-3, 0x1.cb04de0512182p-3, 0x1.bc9d0e4ee15e1p-3, 0x1.aeb22ba61ae5bp-3, 0x1.a13fa52277a9bp-3, 0x1.944115ef3d36bp-3, 0x1.87b243f361e35p-3, 0x1.7b8f1dc6f11e8p-3, 0x1.6fd3b9bd81ac7p-3, 0x1.647c542e51abcp-3, 0x1.59854e1dda7aep-3, 0x1.4eeb2be3b84ffp-3, 0x1.44aa93d970168p-3, 0x1.3ac04d165ff6ap-3, 0x1.31293e28d5c8cp-3, 0x1.27e26bfabc43p-3, 0x1.1ee8f894c2ae1p-3, 0x1.163a220d13694p-3, 0x1.0dd341700aa1ep-3, 0x1.05b1c9af61d44p-3, 0x1.fba68d604065fp-4, 0x1.ec6ab88a65b69p-4, 0x1.ddab8a873fc49p-4, 0x1.cf64a53cf716p-4, 0x1.c191d50e9be11p-4, 0x1.b42f0f305eb0ap-4, 0x1.a7387016b2221p-4, 0x1.9aaa39d54f452p-4, 0x1.8e80d2b25c1ebp-4, 0x1.82b8c3c1e40ep-4, 0x1.774eb770c5eeep-4, 0x1.6c3f783fc58f2p-4, 0x1.6187ef7b44672p-4, 0x1.572523f3954eap-4, 0x1.4d1439292e06fp-4, 0x1.43526d6930bfcp-4, 0x1.39dd19984130cp-4, 0x1.30b1af94fe36ep-4, 0x1.27cdb976a43b6p-4, 0x1.1f2ed88198f15p-4, 0x1.16d2c44a0b837p-4, 0x1.0eb749bf85e0bp-4, 0x1.06da4a6b62a11p-4, 0x1.fe737719a205ap-5, 0x1.efa74ac1d5309p-5, 0x1.e14c44b00c3d6p-5, 0x1.d35ebcc739895p-5, 0x1.c5db2c8be6c4dp-5, 0x1.b8be2dccb5b43p-5, 0x1.ac0479505c72ap-5, 0x1.9faae61013e88p-5, 0x1.93ae6718048cap-5, 0x1.880c0b5b5e0a4p-5, 0x1.7cc0fc3c1f4fdp-5, 0x1.71ca7c8dca776p-5, 0x1.6725e79515ca7p-5, 0x1.5cd0b0014d75ap-5, 0x1.52c85f4af373dp-5, 0x1.490a948ab662ep-5, 0x1.3f9503d0dc02fp-5, 0x1.366575411d44p-5, 0x1.2d79c3d1ecba1p-5, 0x1.24cfdf09c3a09p-5, 0x1.1c65c5fe5d05bp-5, 0x1.143989ee4547cp-5, 0x1.0c494cb78d132p-5, 0x1.0493401d688fcp-5, 0x1.fa2b4a5bef65bp-6, 0x1.eb9d97da88043p-6, 0x1.dd7a24fe7bdeep-6, 0x1.cfbdc995bcd5p-6, 0x1.c26577c350d17p-6, 0x1.b56e3b2717a06p-6, 0x1.a8d537e2429b9p-6, 0x1.9c97a9b29e5a4p-6, 0x1.90b2e31359a45p-6, 0x1.85244c70de946p-6, 0x1.79e96356b1352p-6, 0x1.6effb9b09b695p-6, 0x1.6464f5052f16bp-6, 0x1.5a16ce3715267p-6, 0x1.50130f9c1f3ap-6, 0x1.465795e912ae9p-6, 0x1.3ce24e6dcc3f7p-6, 0x1.33b136fcec646p-6, 0x1.2ac25d655eed6p-6, 0x1.2213deac82676p-6, 0x1.19a3e67d8a692p-6, 0x1.1170aebb525fcp-6, 0x1.09787f43e19ecp-6, 0x1.01b9ad274cadp-6, 0x1.f46534089d22cp-7, 0x1.e5c3694e6906cp-7, 0x1.d78aedc78e918p-7, 0x1.c9b8cdb2d39e8p-7, 0x1.bc4a2af66aa6p-7, 0x1.af3c3d70bd84ep-7, 0x1.a28c51e129a8ap-7, 0x1.9637c9464e594p-7, 0x1.8a3c18327f974p-7, 0x1.7e96c6734900bp-7, 0x1.73456d6a5a777p-7, 0x1.6845b8dbc02bap-7, 0x1.5d9565f5464cdp-7, 0x1.533241e88f4e2p-7, 0x1.491a2a28ea0d3p-7, 0x1.3f4b0c1a16975p-7, 0x1.35c2e3eb0f424p-7, 0x1.2c7fbc4dd47e3p-7, 0x1.237fae386d71ep-7, 0x1.1ac0e140b9402p-7, 0x1.1241889d482b3p-7, 0x1.09ffe5911081fp-7, 0x1.01fa462513ed2p-7, 0x1.f45e05c31c8cbp-8, 0x1.e539041022018p-8, 0x1.d68269d92b23fp-8, 0x1.c8372966006c6p-8, 0x1.ba54571eeac21p-8, 0x1.acd714541afbbp-8, 0x1.9fbc90da3c927p-8, 0x1.93021c75c3135p-8, 0x1.86a5127188f55p-8, 0x1.7aa2e213e5447p-8, 0x1.6ef90e1a1d01ep-8, 0x1.63a5262d368fap-8, 0x1.58a4d1229942dp-8, 0x1.4df5c26093d27p-8, 0x1.4395bde7dcb01p-8, 0x1.3982978fdaa3dp-8, 0x1.2fba322d383f8p-8, 0x1.263a7eeea46f3p-8, 0x1.1d017e1631777p-8, 0x1.140d3d23e778p-8, 0x1.0b5bd6b5a7618p-8, 0x1.02eb7353bbf11p-8, 0x1.f5748e8903342p-9, 0x1.e58d286a5fb28p-9, 0x1.d61d4e7bbe682p-9, 0x1.c721ad91ec1bfp-9, 0x1.b8971d13d2805p-9, 0x1.aa7a6da063f31p-9, 0x1.9cc89b7501c43p-9, 0x1.8f7ea52696405p-9, 0x1.8299aed4959a1p-9, 0x1.7616ef54a4898p-9, 0x1.69f39d91020dap-9, 0x1.5e2d1e06ca0d1p-9, 0x1.52c0d7ce7c5d4p-9, 0x1.47ac3fea2051dp-9, 0x1.3cece5562334p-9, 0x1.3280693ca003ap-9, 0x1.286473c6398f1p-9, 0x1.1e96ca0d20701p-9, 0x1.151532984bf4p-9, 0x1.0bdd8cf181b47p-9, 0x1.02edc34939076p-9, 0x1.f4879dd7f3733p-10, 0x1.e3bb6dee316dap-10, 0x1.d3731f80e6431p-10, 0x1.c3aaf9274937ap-10, 0x1.b45f55f1826fdp-10, 0x1.a58cad93a2a81p-10, 0x1.972f8ede9e6c7p-10, 0x1.8944a08400233p-10, 0x1.7bc89b15b317ep-10, 0x1.6eb85ffeca876p-10, 0x1.6210cd9e02633p-10, 0x1.55cee6751c62fp-10, 0x1.49efc9eba3b14p-10, 0x1.3e708a05bb6c3p-10, 0x1.334e651b6102ep-10, 0x1.2886bd1e13078p-10, 0x1.1e16d9cdb9bb9p-10, 0x1.13fc6118135d2p-10, 0x1.0a34a67124daap-10, 0x1.00bd49d7497e8p-10, 0x1.ef281b74ce949p-11, 0x1.dd6cf993909cdp-11, 0x1.cc452aa708f7p-11, 0x1.bbac1fb90e98ep-11, 0x1.ab9d84e661656p-11, 0x1.9c156ae4f0b04p-11, 0x1.8d0ffc66ab7a2p-11, 0x1.7e891fe2501cbp-11, 0x1.707d335805617p-11, 0x1.62e86f181778fp-11, 0x1.55c7705ea8615p-11, 0x1.4916ad18b21f4p-11, 0x1.3cd2d0728d19ep-11, 0x1.30f88e70b2d2p-11, 0x1.2584b7a59322fp-11, 0x1.1a74384a3117p-11, 0x1.0fc40d3b5b306p-11, 0x1.05714a41fa5eep-11, 0x1.f6f227f11e853p-12, 0x1.e3b1675b034e1p-12, 0x1.d11ae45575dd3p-12, 0x1.bf2965587a8b7p-12, 0x1.add7db2fd80dfp-12, 0x1.9d2150943aa91p-12, 0x1.8d013412891eep-12, 0x1.7d726354dcda7p-12, 0x1.6e7096366c569p-12, 0x1.5ff787cbf42b2p-12, 0x1.5202e988aee88p-12, 0x1.448eb4092a292p-12, 0x1.37966d08fde96p-12, 0x1.2b15f09745244p-12, 0x1.1f0a4ddaf79ffp-12, 0x1.136f66c809865p-12, 0x1.08411af118466p-12, 0x1.fafae7786ec2fp-13, 0x1.e63f20c9451b7p-13, 0x1.d249c9bdcc291p-13, 0x1.bf130d7e82746p-13, 0x1.ac95a025a962bp-13, 0x1.9acb5f99fb922p-13, 0x1.89af29ae195f3p-13, 0x1.793a04ce3c05ep-13, 0x1.69677ca74dbecp-13, 0x1.5a31a806c2874p-13, 0x1.4b932ff88ea55p-13, 0x1.3d87415d50286p-13, 0x1.300885359ee9bp-13, 0x1.231335ac69fe6p-13, 0x1.16a1dcfc6bb7fp-13, 0x1.0ab04fba6eebap-13, 0x1.fe73f900343bp-14, 0x1.e8751de981939p-14, 0x1.d35d1cda25138p-14, 0x1.bf22dfd716a46p-14, 0x1.abbeabf362099p-14, 0x1.992abbb81ffp-14, 0x1.875d9a2668246p-14, 0x1.764f868b49892p-14, 0x1.65fc6b3db1864p-14, 0x1.566026de245afp-14, 0x1.476d23434a0c3p-14, 0x1.392030f1a31c9p-14, 0x1.2b7435adc4965p-14, 0x1.1e6291eb8a955p-14, 0x1.11e580917ac5dp-14, 0x1.05f87d3a856f3p-14, 0x1.f52ab693d3ef9p-15, 0x1.df6e44a715d68p-15, 0x1.cab147d4c1219p-15, 0x1.b6eb26b295c66p-15, 0x1.a411ca967c71cp-15, 0x1.921b86abdb128p-15, 0x1.810168587a5dbp-15, 0x1.70b9f08408308p-15, 0x1.613cec251cab1p-15, 0x1.5281b59d72e64p-15, 0x1.448028d083bcdp-15, 0x1.3732c6d47f82dp-15, 0x1.2a9411f8a954p-15, 0x1.1e97d759b4cdap-15, 0x1.13374e468a584p-15, 0x1.08713a061823bp-15, 0x1.fc791672c0df6p-16, 0x1.e92680a75cf6ap-16, 0x1.d6dec7419e098p-16, 0x1.c59bf321399e5p-16, 0x1.b549204881d3fp-16, 0x1.a5daa6583ab4bp-16, 0x1.9751b66376956p-16, 0x1.899e7d6e726c7p-16, 0x1.7cb788a41580ep-16, 0x1.70939befa2422p-16, 0x1.652976004a495p-16, 0x1.5a737c1f036c5p-16, 0x1.50645389a5d44p-16, 0x1.46f7a1a83e7e4p-16, 0x1.3e248eacb92d2p-16, 0x1.35e3aa7b2651bp-16, 0x1.2e2ffe5afdc61p-16, 0x1.26fe738749802p-16, 0x1.2049571f97de3p-16, 0x1.1a0dc9c13e39ap-16, 0x1.1441fe44d5b75p-16, 0x1.0ee202411c50fp-16, 0x1.09e6ac528c80bp-16, 0x1.054bfe9f25b4dp-16, 0x1.010e137797683p-16, 0x1.fa4781f88d7a5p-17, 0x1.f315b8a694ff4p-17, 0x1.ec78c8dc57553p-17, 0x1.e671bd96d285bp-17, 0x1.e0ede020ff8d5p-17, 0x1.dbe8a87b95054p-17, 0x1.d7584b1b77df8p-17, 0x1.d342c2faf9619p-17, 0x1.cf89eaf5e0b61p-17, 0x1.cc2c02023cde3p-17, 0x1.c92eabe006f4dp-17, 0x1.c6836969f8fc7p-17, 0x1.c425f1fd17acdp-17, 0x1.c210317b856bcp-17, 0x1.c03dbc7677781p-17, 0x1.bea6fd2261d01p-17, 0x1.bd4fe682c8ebap-17, 0x1.bc20ad134b46dp-17, 0x1.bb1a6af1893d1p-17, 0x1.ba434f5956705p-17, 0x1.b99439fa5a78ap-17, 0x1.b903395b87f5dp-17, 0x1.b8920512a3bcap-17, 0x1.b839bc4f67274p-17, 0x1.b7f5b88aaf01bp-17, 0x1.b7c9fc67929e3p-17, 0x1.b7abdee0586bp-17, 0x1.b7955b79737fcp-17, 0x1.b78b963e49a6bp-17, 0x1.b78a45672c573p-17, 0x1.b78dbe721776bp-17, 0x1.b7945b45318cbp-17, 0x1.b79993256e752p-17, 0x1.b79eb0210e598p-17, 0x1.b7a0a84d206dep-17, 0x1.b79c7d484af81p-17, 0x1.b78fd10e3a645p-17, 0x1.b77bb04c45332p-17, 0x1.b75d2655767d6p-17, 0x1.b73310ba156a5p-17, 0x1.b6fadaa4f78c2p-17, 0x1.b6b5a6e57f3a2p-17, 0x1.b6639d5f7c067p-17, 0x1.b602095a96f6ep-17, 0x1.b5857e0a4fe54p-17, 0x1.b4fdc2740433fp-17, 0x1.b462eab85d1aap-17, 0x1.b3b46e6e93d6ep-17, 0x1.b2f1b38d2698dp-17, 0x1.b21aa094b7dcp-17, 0x1.b12c7f7d0b708p-17, 0x1.b02d203141d14p-17, 0x1.af1471df5a95ap-17, 0x1.ade926c8ef915p-17, 0x1.aca912f05da19p-17, 0x1.ab4635e5b1645p-17, 0x1.a9d6b448d383bp-17, 0x1.a84b00bb100f6p-17, 0x1.a6abc90c78885p-17, 0x1.a4f4d775224cep-17, 0x1.a326e4df768efp-17, 0x1.a141f5e21c0edp-17, 0x1.9f449bc7eeea9p-17, 0x1.9d35b396e5f6p-17, 0x1.9b0c0d326aeb4p-17, 0x1.98cc38cffc376p-17, 0x1.967800eb3894ep-17, 0x1.940b15a754501p-17, 0x1.91898f25f784fp-17, 0x1.8ef54d51cde76p-17, 0x1.8c4969600b1fdp-17, 0x1.8987d99953c8bp-17, 0x1.86b4813878711p-17, 0x1.83cb7d5e658ccp-17, 0x1.80d14c8e03257p-17, 0x1.7dbfbe43a81eap-17, 0x1.7aa17d364e877p-17, 0x1.776bd68845578p-17, 0x1.7426538eaf1e3p-17, 0x1.70cf4f2cacdedp-17, 0x1.6d681697daffap-17, 0x1.69eefe3a56aa4p-17, 0x1.6667b50753dc2p-17, 0x1.62cf3f12073a6p-17, 0x1.5f290e975817p-17, 0x1.5b73626f4fc97p-17, 0x1.57b1423884026p-17, 0x1.53dedf4b64d65p-17, 0x1.50056fd75847ep-17, 0x1.4c18b6f6cb02ap-17, 0x1.4822f5c5cbdbfp-17, 0x1.442213ac11a9bp-17, 0x1.401641be11d3cp-17, 0x1.3bffeb07bf1e6p-17, 0x1.37dfd0833c0aap-17, 0x1.33b69ab307832p-17, 0x1.2f843df5defe9p-17, 0x1.2b4986dbaf537p-17, 0x1.27093838e893p-17, 0x1.22be61438a64cp-17, 0x1.1e6db51bf3f78p-17, 0x1.1a177f8f42a05p-17, 0x1.15b9cc1335798p-17, 0x1.1158344c3733dp-17, 0x1.0cf1d92472a03p-17, 0x1.0886b5652bf76p-17, 0x1.0418033b6a8a2p-17, 0x1.ff4b58a90bbe8p-18, 0x1.f667c58e4aa63p-18, 0x1.ed791fe8425dp-18, 0x1.e47e854aad664p-18, 0x1.db8827331b012p-18, 0x1.d28f63bff5fb4p-18, 0x1.c9954aa97e10ep-18, 0x1.c09c9f9a2d378p-18, 0x1.b7a275736b08fp-18, 0x1.aea786eae7a68p-18, 0x1.a5a8f28d057e6p-18, 0x1.9cbb7dac8e0c5p-18, 0x1.93c73a41a7fe2p-18, 0x1.8ad9c78570998p-18, 0x1.81f0f43798b44p-18, 0x1.790d89e5527b4p-18, 0x1.7031e5b8358d6p-18, 0x1.6759394724ab8p-18, 0x1.5e8db554825c5p-18, 0x1.55c5d83004c43p-18, 0x1.4d08c9ca36a75p-18, 0x1.4453921ad515dp-18, 0x1.3baec506d2184p-18, 0x1.330c78ef4a655p-18, 0x1.2a7a1282fb38fp-18, 0x1.21f1520effa8ep-18, 0x1.19753b235cc36p-18, 0x1.110989c98493dp-18, 0x1.08a7aab1551aap-18, 0x1.00556a563aa15p-18, 0x1.f023eec1528cap-19, 0x1.dfb93913eb82bp-19, 0x1.cf6fa14d875e7p-19, 0x1.bf3dd7ddeedd2p-19, 0x1.af3334755352p-19, 0x1.9f47688773e0ep-19, 0x1.8f82bf25c7ddap-19, 0x1.7fd29243390e3p-19, 0x1.705c7f3edd69bp-19, 0x1.60fab4dc6500ep-19, 0x1.51c1205f801c9p-19, 0x1.42ace77ee621cp-19, 0x1.33bf226dcf7e2p-19, 0x1.24f803e5bd18bp-19, 0x1.165900d5d6befp-19, 0x1.07e06b86f0763p-19, 0x1.f320eafccc007p-20, 0x1.d6d1f4a5a343ep-20, 0x1.bad67615d722fp-20, 0x1.9f29923ba9a92p-20, 0x1.83f9a44ddeccdp-20, 0x1.68be34acfea4ep-20, 0x1.4e2f0cceee648p-20, 0x1.33d5d76832901p-20, 0x1.19d7e8725f82dp-20, 0x1.003101ab322bp-20, 0x1.cdc966f8c1a8p-21, 0x1.9bdc64b97b555p-21, 0x1.6a91d0f4d1e8cp-21, 0x1.3a159b61b29a5p-21, 0x1.0a36cd64920bp-21, 0x1.b619881670532p-22, 0x1.5971a46e7cc93p-22, 0x1.fb1f955f55df6p-23, 0x1.4799bc0b4a73fp-23, 0x1.2baf5709eebf9p-24, -0x1.87c957517930cp-27, -0x1.88716cc35fae2p-24, -0x1.6d0605f96bb7cp-23, -0x1.098779971aea7p-22, -0x1.5b1cd74a32756p-22, -0x1.ab4aef2f1933cp-22, -0x1.fa14c472a3db2p-22, -0x1.23b797d303267p-21, -0x1.49a0badd5eea4p-21, -0x1.6eed2e012118p-21, -0x1.937bfd863a1eap-21, -0x1.b76187aae5978p-21, -0x1.da8b13770681ap-21, -0x1.fd01ba0addf0fp-21, -0x1.0f632687330b9p-20, -0x1.1fef4da46a654p-20, -0x1.3023b85cd8121p-20, -0x1.400030f539d2dp-20, -0x1.4f85bf9dc5031p-20, -0x1.5eb27aed2e206p-20, -0x1.6d8b45689f3d4p-20, -0x1.7c0f302d3be06p-20, -0x1.8a3ac844a0346p-20, -0x1.9812c184fd4c2p-20, -0x1.a5971abb96d31p-20, -0x1.b2c4ad1d9f1e4p-20, -0x1.bf86fe6c9ec66p-20, -0x1.cc3faa5c0a2bfp-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.1c1240cb1a837p+3, -0x1.128577cc3f3b1p+3, -0x1.08b904670e7dp+3, -0x1.fd8a60c174ba1p+2, -0x1.e97f59bd43d3p+2, -0x1.d5772d7b06304p+2, -0x1.c19315f6ab2d2p+2, -0x1.adef8e0f1d761p+2, -0x1.9aa4a0b42d283p+2, -0x1.87c6419de73b3p+2, -0x1.7564aab76e183p+2, -0x1.638cba4735283p+2, -0x1.5248505863959p+2, -0x1.419ea83c4a73dp+2, -0x1.3194adcf38163p+2, -0x1.222d4cc81a2ccp+2, -0x1.1369ba08b23f1p+2, -0x1.0549b68399223p+2, -0x1.ef9797004fefap+1, -0x1.d5db010ea8449p+1, -0x1.bd57165cd9a85p+1, -0x1.a603f23ec4048p+1, -0x1.8fd8a965c3dd6p+1, -0x1.7acb896582eefp+1, -0x1.66d24f81f34e2p+1, -0x1.53e25760591a2p+1, -0x1.41f0c2be4bf77p+1, -0x1.30f29b1338cafp+1, -0x1.20dced830488cp+1, -0x1.11a4e1ac176ccp+1, -0x1.033fcc92e846dp+1, -0x1.eb467fbcdda3p+0, -0x1.d18a2b0e87434p+0, -0x1.b936f1382ef81p+0, -0x1.a239d81528607p+0, -0x1.8c809f7ae3c15p+0, -0x1.77f9c66a1e7b9p+0, -0x1.64948e1c93431p+0, -0x1.5240fb07ff77dp+0, -0x1.40efd394df49dp+0, -0x1.30929d873322fp+0, -0x1.211b9a0e0a528p+0, -0x1.127dc0d454fc6p+0, -0x1.04acba5e8d00bp+0, -0x1.ef39b3a7ffa46p-1, -0x1.d6862cb75ca17p-1, -0x1.bf2a08d2eecb3p-1, -0x1.a9119d01610fdp-1, -0x1.942a5cf77585fp-1, -0x1.8062cce7d32cbp-1, -0x1.6daa73cbd863cp-1, -0x1.5bf1cde49b70ap-1, -0x1.4b2a3fdc085ecp-1, -0x1.3b46099e29c28p-1, -0x1.2c383aaeeb438p-1, -0x1.1df4a62197308p-1, -0x1.106fd797725bdp-1, -0x1.039f0829cde1ap-1, -0x1.eef029457d663p-2, -0x1.d7e2e756d4c07p-2, -0x1.c204592b38912p-2, -0x1.ad439db0647bep-2, -0x1.9990d36adc045p-2, -0x1.86dd09298bffbp-2, -0x1.751a2f454d5b8p-2, -0x1.643b0b02856f7p-2, -0x1.543324c7c595cp-2, -0x1.44f6c5c8ffd45p-2, -0x1.367ae2c873cefp-2, -0x1.28b5165aa8626p-2, -0x1.1b9b95780bd5cp-2, -0x1.0f2526a21ada2p-2, -0x1.034918769af91p-2, -0x1.effe734e5efb6p-3, -0x1.da7fa2911ef7ep-3, -0x1.c6072ecf96262p-3, -0x1.b2875c2f5de6dp-3, -0x1.9ff3368038279p-3, -0x1.8e3e8519be708p-3, -0x1.7d5dbec87f452p-3, -0x1.6d46003554718p-3, -0x1.5ded017f540f1p-3, -0x1.4f490d3fc52b7p-3, -0x1.4150f783436dcp-3, -0x1.33fc15f718906p-3, -0x1.274237f5aeb7bp-3, -0x1.1b1b9f7082cc9p-3, -0x1.0f80fbb3b9762p-3, -0x1.046b5c76a3cd6p-3, -0x1.f3a8710f27c8p-4, -0x1.df6ab7e45d3b8p-4, -0x1.cc11d1b0f137bp-4, -0x1.b992a2cff189ep-4, -0x1.a7e2a64713a5p-4, -0x1.96f7e59851c5ap-4, -0x1.86c8effb483efp-4, -0x1.774cd35d23386p-4, -0x1.687b14e404903p-4, -0x1.5a4baa91d9485p-4, -0x1.4cb6f49a77e9ep-4, -0x1.3fb5b712bee64p-4, -0x1.33411597d0423p-4, -0x1.27528ce62b51bp-4, -0x1.1be3ee653f00dp-4, -0x1.10ef5b662e614p-4, -0x1.066f40d9be11dp-4, -0x1.f8bca63d52ab9p-5, -0x1.e56f14414a363p-5, -0x1.d2ec3b0e32e81p-5, -0x1.c12b01284139ap-5, -0x1.b022c9564463bp-5, -0x1.9fcb533b560e8p-5, -0x1.901ccf3f9c89ep-5, -0x1.810fcc9f616f3p-5, -0x1.729d368501778p-5, -0x1.64be4f4610199p-5, -0x1.576cabd62d56dp-5, -0x1.4aa22f8d4a34bp-5, -0x1.3e5907a8840cp-5, -0x1.328ba86f1a27fp-5, -0x1.2734c86d911b9p-5, -0x1.1c4f5db15de46p-5, -0x1.11d69b9396f69p-5, -0x1.07c5e9d29767p-5, -0x1.fc31db802f11cp-6, -0x1.e996f4fd60424p-6, -0x1.d7b32c09704a1p-6, -0x1.c67ee8ef78f6p-6, -0x1.b5f2ec2e9d1e5p-6, -0x1.a6084a3fe2de7p-6, -0x1.96b86792dc9f2p-6, -0x1.87fcf1c1dec9dp-6, -0x1.79cfe351617a9p-6, -0x1.6c2b778e3b0edp-6, -0x1.5f0a2c29dd8fap-6, -0x1.5266bccd8efc8p-6, -0x1.463c201646ca3p-6, -0x1.3a8582650c976p-6, -0x1.2f3e50ce3e5a9p-6, -0x1.24621a6f49915p-6, -0x1.19eca9bcace3bp-6, -0x1.0fd9f5979ac48p-6, -0x1.062620682b101p-6, -0x1.f99aedd9e3c49p-7, -0x1.e798dc3d13f2p-7, -0x1.d63f3fbda468fp-7, -0x1.c58799ef05a91p-7, -0x1.b56bae50b9c34p-7, -0x1.a5e583e6723b8p-7, -0x1.96ef611a1387bp-7, -0x1.8883c8d70de2cp-7, -0x1.7a9d77c4dc5p-7, -0x1.6d37618c9341bp-7, -0x1.604cab56e2b79p-7, -0x1.53d8bbcbdb0d4p-7, -0x1.47d7128485f49p-7, -0x1.3c436bd0255fdp-7, -0x1.3119ad4708e7ep-7, -0x1.2655e5d4f2dcap-7, -0x1.1bf44cdb2ca09p-7, -0x1.11f1405590156p-7, -0x1.084943928fd8bp-7, -0x1.fdf1f432e9dcap-8, -0x1.ebfa5c0a91f11p-8, -0x1.daa58c2afdf05p-8, -0x1.c9ed920346ba4p-8, -0x1.b9ccb69cc8692p-8, -0x1.aa3d7aabe500bp-8, -0x1.9b3a95c54ce3cp-8, -0x1.8cbef38d4b047p-8, -0x1.7ec5b15272c5ep-8, -0x1.714a1bf2e09fcp-8, -0x1.6447ae52a8fe6p-8, -0x1.57ba102a953d1p-8, -0x1.4b9d11189f04ep-8, -0x1.3fecaa70f0923p-8, -0x1.34a4fd34f735dp-8, -0x1.29c24dede9fb3p-8, -0x1.1f410583d0e03p-8, -0x1.151daf0795282p-8, -0x1.0b54f66317f0bp-8, -0x1.01e3a6fc1a73ap-8, -0x1.f18d5401970abp-9, -0x1.dff608784116ap-9, -0x1.cefbc4dd89545p-9, -0x1.be98ef92b502ep-9, -0x1.aec83cda0f9c2p-9, -0x1.9f848e00cbffbp-9, -0x1.90c8f339985dfp-9, -0x1.8290aa3e4237ap-9, -0x1.74d71cd51003ep-9, -0x1.6797df97a6af2p-9, -0x1.5aceb026dc72ap-9, -0x1.4e777023c3ff8p-9, -0x1.428e2a5ed52d8p-9, -0x1.370f0e781bb94p-9, -0x1.2bf66bb149461p-9, -0x1.2140b4cd06a4dp-9, -0x1.16ea7c5c385c5p-9, -0x1.0cf0741762325p-9, -0x1.034f6baf0aebep-9, -0x1.f4089f2a0b733p-10, -0x1.e2184fd9e4548p-10, -0x1.d0c82e970735bp-10, -0x1.c012c1e9da4c7p-10, -0x1.aff29bb1fd79dp-10, -0x1.a062997d1fb88p-10, -0x1.915dd83eb7ff3p-10, -0x1.82df8197922f9p-10, -0x1.74e2f5440de99p-10, -0x1.6763bbc3642dcp-10, -0x1.5a5d85ad5022cp-10, -0x1.4dcc2a2c8ce24p-10, -0x1.41aba45a39a74p-10, -0x1.35f81555be74dp-10, -0x1.2aadbea578742p-10, -0x1.1fc8f412153dep-10, -0x1.15464be3e2353p-10, -0x1.0b225fc5b8cc3p-10, -0x1.0159edad12829p-10, -0x1.efd3a16d91e67p-11, -0x1.dd9e0266c6653p-11, -0x1.cc0d1d5df25cfp-11, -0x1.bb1b49c196c94p-11, -0x1.aac3113219ee1p-11, -0x1.9aff29aa48d78p-11, -0x1.8bca792efeb01p-11, -0x1.7d201073a0b19p-11, -0x1.6efb59a106c4ap-11, -0x1.615744ec730b9p-11, -0x1.542fcfc63d3d8p-11, -0x1.478091cf11d27p-11, -0x1.3b45622ec65f9p-11, -0x1.2f7a3959d7196p-11, -0x1.241b454f7300ap-11, -0x1.1924c461c304ap-11, -0x1.0e9319af18968p-11, -0x1.0462c841d547ep-11, -0x1.f520e7b980351p-12, -0x1.e231cfa77729ep-12, -0x1.cff1c46797694p-12, -0x1.be5ac2ba561cbp-12, -0x1.ad6713f78ccc3p-12, -0x1.9d10fc7eb701p-12, -0x1.8d52eb4f0f799p-12, -0x1.7e27acaef7b0cp-12, -0x1.6f8a184c8431fp-12, -0x1.61754bc5d392p-12, -0x1.53e4774aa3f62p-12, -0x1.46d2fb5626697p-12, -0x1.3a3c6f28e94c7p-12, -0x1.2e1c7aa7fd502p-12, -0x1.226ef78ddb346p-12, -0x1.172fe3494decp-12, -0x1.0c5b315fca2f4p-12, -0x1.01edb33b21a52p-12, -0x1.efc66f7a519edp-13, -0x1.dc70d78b33497p-13, -0x1.c9d3df5588d3cp-13, -0x1.b7e900cadf206p-13, -0x1.a6a9ed3216b57p-13, -0x1.96109534ee0fcp-13, -0x1.86170dadeb7c8p-13, -0x1.76b7ac4a760cp-13, -0x1.67eceda13b894p-13, -0x1.59b18d9dff96ap-13, -0x1.4c006c682f946p-13, -0x1.3ed4a5d2dae92p-13, -0x1.322964cc4bfa2p-13, -0x1.25f9db1a9eec2p-13, -0x1.1a41d51508ed2p-13, -0x1.0efcfbc998731p-13, -0x1.04271f967b9fdp-13, -0x1.f3784a68f8b43p-14, -0x1.df70b99bfccb1p-14, -0x1.cc3006e3ac44dp-14, -0x1.b9aea729cbf59p-14, -0x1.a7e5ff7c5fa99p-14, -0x1.96ceb1ca7750bp-14, -0x1.8662dc161ed6fp-14, -0x1.769c0dd6bc37ep-14, -0x1.6774f0fe065b5p-14, -0x1.58e5ec8b912a4p-14, -0x1.4ae9e5b32fb91p-14, -0x1.3d7c79b64e05fp-14, -0x1.3097de04d7cd9p-14, -0x1.2436dee8e895bp-14, -0x1.185484d54ee82p-14, -0x1.0cec39507cb05p-14, -0x1.01f959d72f963p-14, -0x1.eeef1f8150321p-15, -0x1.dac501c350115p-15, -0x1.c76c385e0559ep-15, -0x1.b4dce251edad4p-15, -0x1.a30f5cf3d25fep-15, -0x1.91fc485854af9p-15, -0x1.819c8cd187c55p-15, -0x1.71e943e3f25d5p-15, -0x1.62dc56958935ep-15, -0x1.546e53d775914p-15, -0x1.46994d167de03p-15, -0x1.3958227eadfap-15, -0x1.2ca4a34fd187ap-15, -0x1.20794f01fd02cp-15, -0x1.14d0db2ccbc92p-15, -0x1.09a5886cd616bp-15, -0x1.fde7a17d86746p-16, -0x1.e96c5c0f51dd5p-16, -0x1.d5cf32bf2203bp-16, -0x1.c30ba5b8d86d4p-16, -0x1.b110f68c32805p-16, -0x1.9fd8ebbe8cbd1p-16, -0x1.8f6421c43686fp-16, -0x1.7fa32aab5fb6cp-16, -0x1.70909463a4b17p-16, -0x1.62270a54906bfp-16, -0x1.545ac13842375p-16, -0x1.4729f84b369cap-16, -0x1.3a8c29fc8b032p-16, -0x1.2e7d0d7e60b83p-16, -0x1.22f59b348ca15p-16, -0x1.17f038e4d9672p-16, -0x1.0d66cba809dcdp-16, -0x1.035563efe45d8p-16, -0x1.f36bf3185e801p-17, -0x1.e1086da79a5cap-17, -0x1.cf770de0e69bfp-17, -0x1.beae7db05c922p-17, -0x1.aea70e2df48e5p-17, -0x1.9f5684d629994p-17, -0x1.90b64f6e74a5ap-17, -0x1.82be8ca48d5adp-17, -0x1.756929e1dd61cp-17, -0x1.68aa66a607cb5p-17, -0x1.5c82259db7adap-17, -0x1.50e5601ded35bp-17, -0x1.45cf4a4b193ccp-17, -0x1.3b3774f984b8bp-17, -0x1.311dcfbe9f2d7p-17, -0x1.27787d8afbb43p-17, -0x1.1e425317b3becp-17, -0x1.15780b58f9047p-17, -0x1.0d121b25c3e9p-17, -0x1.050d899c6f8cep-17, -0x1.faca74d9d92e4p-18, -0x1.ec2a24c4bb6fcp-18, -0x1.de323994ecb4ep-18, -0x1.d0d99947ada55p-18, -0x1.c41a3ed26e093p-18, -0x1.b7e9944bf454cp-18, -0x1.ac4a5535d862bp-18, -0x1.a1261fcccb573p-18, -0x1.96820f648a196p-18, -0x1.8c5860d700806p-18, -0x1.8298d4abd30edp-18, -0x1.7947b2be00212p-18, -0x1.70633363a1d8cp-18, -0x1.67dae102d151ep-18, -0x1.5fa40bfc5c062p-18, -0x1.57cd8ef9463a7p-18, -0x1.503efe151c511p-18, -0x1.4908b76553a4p-18, -0x1.4226de05797d6p-18, -0x1.3b8090364c24p-18, -0x1.351d20e598818p-18, -0x1.2ef8c40b8f92ap-18, -0x1.29103705695fbp-18, -0x1.2358b2b73a87bp-18, -0x1.1ddceb4871d1p-18, -0x1.189b58d3c7bd2p-18, -0x1.13814c5bcecd4p-18, -0x1.0e945a3339159p-18, -0x1.09d1c4f5d5f84p-18, -0x1.0537050ee476fp-18, -0x1.00c34d2041792p-18, -0x1.f8ddc7fb02829p-19, -0x1.f07d52b7b5654p-19, -0x1.e85b22b4f59cbp-19, -0x1.e0736044147e5p-19, -0x1.d8c2b1a303c38p-19, -0x1.d1434f70b27fep-19, -0x1.c9f7e653d3836p-19, -0x1.c2dc10d278489p-19, -0x1.bbe74d61103p-19, -0x1.b51d52cbc5dd2p-19, -0x1.ae77978f376d3p-19, -0x1.a7fae09ddd012p-19, -0x1.a19b19309f885p-19, -0x1.9b4edb0f46d63p-19, -0x1.952eb37b423e7p-19, -0x1.8f24a20746aecp-19, -0x1.8935fc532504fp-19, -0x1.835ba99cbd52dp-19, -0x1.7d990a383f46fp-19, -0x1.77eb15e48dfb8p-19, -0x1.72518916d33fap-19, -0x1.6caed362d1b08p-19, -0x1.673662a721d4cp-19, -0x1.61e733d783b59p-19, -0x1.5c8c7afbd828p-19, -0x1.574088ccc7523p-19, -0x1.5201788615cb9p-19, -0x1.4cce713aa3ecep-19, -0x1.47a68bbb4ef47p-19, -0x1.428a008bfa3d9p-19, -0x1.3d62d64399fe8p-19, -0x1.385c680173999p-19, -0x1.336bd2e0c0502p-19, -0x1.2e72595e6855ep-19, -0x1.29810b67f6528p-19, -0x1.24980de2b7c1bp-19, -0x1.1fb5faba658ep-19, -0x1.1ada7ad5018fcp-19, -0x1.1606363f8b42ap-19, -0x1.11327d06ed556p-19, -0x1.0c6f802ab166ap-19, -0x1.07b47f210aa82p-19, -0x1.02f1a8d8c0de4p-19, -0x1.fc76c2f2805fdp-20, -0x1.f313b313e3853p-20, -0x1.e9b0cc00fe336p-20, -0x1.e07bb52890ccdp-20, -0x1.d730f2df85ee1p-20, -0x1.cdf8fc8bde221p-20, -0x1.c4cd08aa492bdp-20, -0x1.bbaede29123d5p-20, -0x1.b298f9073fa6dp-20, -0x1.a98f210bac9cbp-20, -0x1.a097ebffa0e5p-20, -0x1.97949f4680878p-20, -0x1.8ebc46650e4bdp-20, -0x1.85cd568639123p-20, -0x1.7cd9f35e1cc15p-20, -0x1.74472bdb691dfp-20, -0x1.6b8de2ddaff12p-20, -0x1.62e1fd4960b2ap-20, -0x1.5a43779ac0bap-20, -0x1.51b27cdfd6368p-20, -0x1.492e5f173f12ep-20, -0x1.40bebbc0a026p-20, -0x1.3853ea71c5014p-20, -0x1.2fff37b16e891p-20, -0x1.279aca058b326p-20, -0x1.1f418f434e0dep-20, -0x1.1747c0eb759bap-20, -0x1.0f27120d3841fp-20, -0x1.071a56d568cp-20, -0x1.fe3af5b1d1365p-21, -0x1.ee60a293ce76cp-21, -0x1.dea83a17aeb0bp-21, -0x1.cf124849b78e3p-21, -0x1.bf9f4eb805b0cp-21, -0x1.b04f6572f471fp-21, -0x1.a1174de5d3fabp-21, -0x1.920e79c92ee26p-21, -0x1.8334056cf567p-21, -0x1.747c7714509afp-21, -0x1.65dbaba4d9606p-21, -0x1.576eaa933ff6cp-21, -0x1.492230cd95ab1p-21, -0x1.3af80c486ddb8p-21, -0x1.2cfd12d340ad3p-21, -0x1.1f267770b898ep-21, -0x1.11608cd3958f3p-21, -0x1.0427391ac7a43p-21, -0x1.ed190c03820ecp-22, -0x1.d2ce637e38be5p-22, -0x1.b8c7897092ce2p-22, -0x1.9f0b169af3649p-22, -0x1.85a74f930873dp-22, -0x1.6c9ca557d3f59p-22, -0x1.53e6516a36742p-22, -0x1.3b779ef1c60ffp-22, -0x1.237125d5d7cd7p-22, -0x1.0bcff37319762p-22, -0x1.e89bbb709792p-23, -0x1.bba8daed88e0fp-23, -0x1.8c9555e1f6f97p-23, -0x1.60e851eeae6a6p-23, -0x1.34f040839c305p-23, -0x1.09b209f0bb8b4p-23, -0x1.be52e3120d58ap-24, -0x1.6aa5cd5476c43p-24, -0x1.1860d08bb0e0fp-24, -0x1.8ee64b36353b2p-25, -0x1.e151e71a57dbcp-26, -0x1.52ac788fc6abfp-27, 0x1.151d411e985e8p-27, 0x1.b6f33ae32d6f9p-26, 0x1.6fb0947c7f0e1p-25, 0x1.006b97c81da3p-24, 0x1.46c494a8152e3p-24, 0x1.8c976ddd0e29fp-24, 0x1.d009cfec33a26p-24, 0x1.0a19b7348da32p-23, 0x1.2a792109103fap-23, 0x1.4a81a42f8df27p-23, 0x1.69f92e63f8b01p-23, 0x1.88a38ce29bdb8p-23, 0x1.a679f6bcea855p-23, 0x1.c3c45c8e28a35p-23, 0x1.e061b5c3a858ep-23, 0x1.fc457b067386bp-23, 0x1.0bc38b4b566f6p-22, 0x1.195b7f3f1c613p-22, 0x1.25ca0d14acedcp-22, 0x1.32d464eb4841ap-22, 0x1.3f0837853d657p-22, 0x1.4b067461315ecp-22, 0x1.56b492e9a54c3p-22, 0x1.620f962cd8d31p-22, 0x1.6d18f0f63b83ep-22, 0x1.77d3ce6e82843p-22, 0x1.82390843ad1afp-22, 0x1.8c56b952a184fp-22, 0x1.961be4ac266bbp-22, 0x1.9f88b7933a621p-22, 0x1.a8de6add19d19p-22, 0x1.b1c3f4c8ec46ap-22, 0x1.b9ec3a11e225p-22, 0x1.c2ad5babc83f8p-22, 0x1.ca94ac411e17ep-22, 0x1.d2515059b483dp-22, 0x1.d9cbb7efec665p-22, 0x1.e0f728d341617p-22, 0x1.e7dc09094623ap-22, 0x1.ee7416c21fa77p-22, 0x1.f4dbb9ce8d103p-22, 0x1.fab1ac2fb7e71p-22, 0x1.006a64ac7731ep-21, 0x1.0321d000d056cp-21, 0x1.05c5b0048e37cp-21, 0x1.08514ca45219p-21, 0x1.0aab87152295ap-21, 0x1.0d015e9e5d7f6p-21, 0x1.0f28697b431f7p-21, 0x1.112d97cfe04ap-21, 0x1.131422b4e896p-21, 0x1.14e089a4534efp-21, 0x1.168e6133740c4p-21, 0x1.1848333e3cc0ap-21, 0x1.198d1eedfba48p-21, 0x1.1b17fd6e8a4a4p-21, 0x1.1c2dce4642ca9p-21, 0x1.1d5240b8f25c4p-21, 0x1.1e60399af2248p-21, 0x1.1f50d0405e0f3p-21, 0x1.2016a27e55db6p-21, 0x1.20d9766ea0948p-21, 0x1.21799ad3b393cp-21, 0x1.2202b219f83ep-21, 0x1.22750add43e24p-21, 0x1.22d187812f49dp-21, 0x1.2314f11005b6fp-21, 0x1.234e01ecfcfacp-21, 0x1.2336b50f8c63bp-21, 0x1.2352280ef56e8p-21, 0x1.233c696dfaebap-21, 0x1.231a6c89cf2d6p-21, 0x1.22cb6bbbce85p-21, 0x1.22787e18549e1p-21, 0x1.221ca04468af6p-21, 0x1.2194eacec9e25p-21, 0x1.210eab411e308p-21, 0x1.206a60c3f6c96p-21, 0x1.1fbb26c0969fbp-21, 0x1.1ef5147caaac1p-21, 0x1.1e1e962f58729p-21, 0x1.1d535a07f1a42p-21, 0x1.1c192dd8a220dp-21, 0x1.1b588033d4efcp-21, 0x1.1a1b6d5e0537cp-21, 0x1.1905a3c4025b2p-21, 0x1.17ca3938576bp-21, 0x1.16883986e4234p-21, 0x1.15396ed7758fbp-21, 0x1.13dd9110e3e1cp-21, 0x1.126e5ca0fab1fp-21, 0x1.10eb4b7fe3d55p-21, 0x1.0f71140f7290bp-21, 0x1.0ddd45c165a6p-21, 0x1.0c3da1738d3ebp-21, 0x1.0a9405522ddd3p-21, 0x1.08e4d0af8fb89p-21, 0x1.071792e722987p-21, 0x1.055fc7a865cd3p-21, 0x1.0380e28eb9162p-21, 0x1.01a349d771194p-21, 0x1.ff8e795cf9a9bp-22, 0x1.fb7a2b7ba5d97p-22, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.732106229fadcp-2, -0x1.1c1d3d67fbadap-1, -0x1.7911bc8b318b5p-1, -0x1.cd1a4a1bd3957p-1, -0x1.0aec392bc4922p+0, -0x1.28e572697f816p+0, -0x1.4017b1cc022fp+0, -0x1.50713d4d41951p+0, -0x1.5a1fe04935df2p+0, -0x1.5d8222b374d7ap+0, -0x1.5b19ef75791cbp+0, -0x1.5380df9671eep+0, -0x1.475e5b0531ce1p+0, -0x1.375f787555378p+0, -0x1.24305be6db1bap+0, -0x1.0e773d281c97ep+0, -0x1.eda15795d2172p-1, -0x1.bb99e83ad0fc9p-1, -0x1.87dd1bc34a8cep-1, -0x1.5352a25365e68p-1, -0x1.1ec48785089bep-1, -0x1.d5bfa3124d331p-2, -0x1.706bb3529d6fp-2, -0x1.0e7c2d21afba7p-2, -0x1.6160c6bb0975dp-3, -0x1.5e723eb99bcfcp-4, -0x1.d73716b08a195p-9, 0x1.2b38d1b20cce7p-4, 0x1.275629bcc662p-3, 0x1.ada69e680b9d6p-3, 0x1.14477c6421ce4p-2, 0x1.4c1a1ae9b465ep-2, 0x1.7e6c4264621c2p-2, 0x1.ab6b4a6a9623bp-2, 0x1.d34b60238b92ep-2, 0x1.f649eb90f90adp-2, 0x1.0a5441d06501ep-1, 0x1.1755d5278098p-1, 0x1.224caa3d64e6ap-1, 0x1.2b5be84409803p-1, 0x1.32a677cb85c8cp-1, 0x1.384eab53502e9p-1, 0x1.3c75f4289b9fp-1, 0x1.3f3ca162a2fd5p-1, 0x1.40c1aa54cf88ep-1, 0x1.412286eb91a81p-1, 0x1.407b1788fec6p-1, 0x1.3ee59b20775edp-1, 0x1.3c7ab043714b9p-1, 0x1.39515c5fda0a7p-1, 0x1.357f15b199999p-1, 0x1.3117ce251d40ap-1, 0x1.2c2dff1e0bee2p-1, 0x1.26d2b6b37f969p-1, 0x1.2115a71cf6ad8p-1, 0x1.1b0537fda5722p-1, 0x1.14ae991f95735p-1, 0x1.0e1dd5c495247p-1, 0x1.075de7f1108edp-1, 0x1.0078cb0a7b428p-1, 0x1.f2ef1ae540853p-2, 0x1.e4c4c22140b57p-2, 0x1.d68155a60d769p-2, 0x1.c83222ff813c2p-2, 0x1.b9e317e9e5ap-2, 0x1.ab9eddf9ec9d4p-2, 0x1.9d6ef44bfbe66p-2, 0x1.8f5bc8ff13f2ep-2, 0x1.816cce8ad90a7p-2, 0x1.73a890b9c76eep-2, 0x1.6614c7607ccadp-2, 0x1.58b6682657868p-2, 0x1.4b91b75e0834bp-2, 0x1.3eaa581cb01dcp-2, 0x1.32035b4f6fd6dp-2, 0x1.259f4d8c56ffap-2, 0x1.1980437eb78d2p-2, 0x1.0da734540476dp-2, 0x1.0216bc2f0770cp-2, 0x1.ed9e764660341p-3, 0x1.d7a28e4d899cbp-3, 0x1.c23a56765b994p-3, 0x1.ad65e0e77101cp-3, 0x1.9924cc91b2c01p-3, 0x1.8576543e9bdfp-3, 0x1.72595bb41d84dp-3, 0x1.5fcc7b067d84dp-3, 0x1.4dce08612284cp-3, 0x1.3c5c1f544a6c7p-3, 0x1.2b74a9685a602p-3, 0x1.1b1562a27b13p-3, 0x1.0b3bdfd0aefddp-3, 0x1.f7cb26fe4585p-4, 0x1.da1fa5aa4080cp-4, 0x1.bd6fb4a50813fp-4, 0x1.a1b5a4b91ff7fp-4, 0x1.86eba76412b41p-4, 0x1.6d0bd74116017p-4, 0x1.54103ff5f1b51p-4, 0x1.3bf2e5685420fp-4, 0x1.24adca218e4a2p-4, 0x1.0e3af52557bp-4, 0x1.f128ed58f9021p-5, 0x1.c768d89d6a958p-5, 0x1.9f2a08e79f513p-5, 0x1.78610256c408ep-5, 0x1.5302751c2de44p-5, 0x1.2f034167dc269p-5, 0x1.0c587ab653efep-5, 0x1.d5eed4df4b34ap-6, 0x1.95ab28529655bp-6, 0x1.57d16848b26c3p-6, 0x1.1c4d8a155f717p-6, 0x1.c617ff5c45abdp-7, 0x1.57f3766d46b55p-7, 0x1.dc10c56b06274p-8, 0x1.10656b67b41adp-8, 0x1.327b595d985f4p-10, -0x1.be1bb7b35da75p-10, -0x1.244dc0dc2d489p-8, -0x1.d1f5730e7ed3fp-8, -0x1.3c5de547bcf93p-7, -0x1.8c6e443135ad4p-7, -0x1.d948bc29fa0ebp-7, -0x1.11849a3d5df86p-6, -0x1.34e551a0d48e2p-6, -0x1.56d386aa92f13p-6, -0x1.775bc6610a6aep-6, -0x1.968a2b1be48cp-6, -0x1.b46a5f549265ap-6, -0x1.d107a09e70d9bp-6, -0x1.ec6cc32c70296p-6, -0x1.035219e19030ep-5, -0x1.0fdbfe2089beep-5, -0x1.1bd8e2f93bd8dp-5, -0x1.274d6e7802b5dp-5, -0x1.323e199c0ff2ep-5, -0x1.3caf32163f8a5p-5, -0x1.46a4dab4c93f4p-5, -0x1.50230ee895d66p-5, -0x1.592da2e9c4a14p-5, -0x1.61c84506f90bfp-5, -0x1.69f67ff50ada6p-5, -0x1.71bbbbda72809p-5, -0x1.791b3fddcfd9ep-5, -0x1.801833a7c15bep-5, -0x1.86b5a0867c4ecp-5, -0x1.8cf6731000831p-5, -0x1.92dd7c328c694p-5, -0x1.986d729944de1p-5, -0x1.9da8f3b0d6588p-5, -0x1.a29284dc2f917p-5, -0x1.a72c94816f20cp-5, -0x1.ab797b3b4dd91p-5, -0x1.af7b7be631deep-5, -0x1.b334c68bf5163p-5, -0x1.b6a7775c65a7cp-5, -0x1.b9d59896bc1c3p-5, -0x1.bcc12338d4f82p-5, -0x1.bf6bfffc8bf5bp-5, -0x1.c1d8076330fc8p-5, -0x1.c40703f818f7ep-5, -0x1.c5fab1efcdf79p-5, -0x1.c7b4c00e62eaap-5, -0x1.c936d09eff9a8p-5, -0x1.ca827e4e6fe3cp-5, -0x1.cb997121b83ddp-5, -0x1.cc7d03621389dp-5, -0x1.cd2ea9900f4ap-5, -0x1.cdafcebb74188p-5, -0x1.ce01d4e0e7b65p-5, -0x1.ce26151719174p-5, -0x1.ce1de0760e461p-5, -0x1.cdea809cc8f8fp-5, -0x1.cd8d3701f7245p-5, -0x1.cd073e57e1013p-5, -0x1.cc59ca3c34279p-5, -0x1.cb8607b6ae87cp-5, -0x1.ca8d1d6908641p-5, -0x1.c9702bc73c50cp-5, -0x1.c8304d5cea62ep-5, -0x1.c6ce96f977c77p-5, -0x1.c54c17eb6d5b3p-5, -0x1.c3a9da39eef4ep-5, -0x1.c1e8e26d9225dp-5, -0x1.c00a30afd148dp-5, -0x1.be0ec009f880dp-5, -0x1.bbf786e8fcaebp-5, -0x1.b9c5774a70f46p-5, -0x1.b7797ee382c0fp-5, -0x1.b51487462c1cep-5, -0x1.b29775f23fef3p-5, -0x1.b0032c61d48bfp-5, -0x1.ad58884bb53c3p-5, -0x1.aa9863d9ff753p-5, -0x1.a7c395b37a53bp-5, -0x1.a4daf05417c41p-5, -0x1.a1df43aa8c7cfp-5, -0x1.9ed15b7d369d9p-5, -0x1.9bb200d2e7d22p-5, -0x1.9881f91819371p-5, -0x1.954206963329p-5, -0x1.91f2e86295c2p-5, -0x1.8e955a680c20ep-5, -0x1.8b2a154ea4677p-5, -0x1.87b1cef0ccaf3p-5, -0x1.842d39d1f1174p-5, -0x1.809d05376d069p-5, -0x1.7d01dd94fd0c9p-5, -0x1.795c6c307db8dp-5, -0x1.75ad5746d34fdp-5, -0x1.71f541ff252abp-5, -0x1.6e34cc6f31ab7p-5, -0x1.6a6c939f9695ap-5, -0x1.669d31b675019p-5, -0x1.62c73d8cb7fe5p-5, -0x1.5eeb4b301d8fp-5, -0x1.5b09eb73801bp-5, -0x1.5723ac695209ep-5, -0x1.533918e5a695p-5, -0x1.4f4ab8d1e894fp-5, -0x1.4b5911408292ap-5, -0x1.4764a3fadec03p-5, -0x1.436df0039f1c2p-5, -0x1.3f75718aeec4dp-5, -0x1.3b7ba17f9bb43p-5, -0x1.3780f6119fcedp-5, -0x1.3385e27dfec12p-5, -0x1.2f8ad6dd5958ep-5, -0x1.2b90411b2dda2p-5, -0x1.27968b42d4e2dp-5, -0x1.239e1d15887f2p-5, -0x1.1fa75b6913e9ap-5, -0x1.1bb2a82d8c9eep-5, -0x1.17c0627701cf2p-5, -0x1.13d0e698baf71p-5, -0x1.0fe48e1bae146p-5, -0x1.0bfbafbf9db24p-5, -0x1.08169f811043cp-5, -0x1.0435ae9c70f01p-5, -0x1.00592bbf660e5p-5, -0x1.f902c58ac05acp-6, -0x1.f15d39b352efbp-6, -0x1.e9c241284a6f9p-6, -0x1.e232643f88263p-6, -0x1.daae2585adcd8p-6, -0x1.d33602f03b004p-6, -0x1.cbca74fa04172p-6, -0x1.c46bef9681c23p-6, -0x1.bd1ae1c2878bp-6, -0x1.b5d7b533ad1fcp-6, -0x1.aea2cf7fa821bp-6, -0x1.a77c912bfdadep-6, -0x1.a06555fdc3dadp-6, -0x1.995d75a224932p-6, -0x1.9265423df6947p-6, -0x1.8b7d0aed75347p-6, -0x1.84a519f91f773p-6, -0x1.7dddb4d3905e4p-6, -0x1.77271d6ff3cfp-6, -0x1.708191581b79ap-6, -0x1.69ed4a1b7aeedp-6, -0x1.636a7d5e71887p-6, -0x1.5cf95cee23093p-6, -0x1.569a16bfe105dp-6, -0x1.504cd51bf8b73p-6, -0x1.4a11bead4fec1p-6, -0x1.43e8f695618c4p-6, -0x1.3dd29c8379295p-6, -0x1.37ceccb1e103p-6, -0x1.31dda0a076ec7p-6, -0x1.2bff2d8db6d59p-6, -0x1.2633865c218ccp-6, -0x1.207abb009b62ap-6, -0x1.1ad4d795517e3p-6, -0x1.1541e5fdb20b9p-6, -0x1.0fc1edbecf64cp-6, -0x1.0a54f28838cefp-6, -0x1.04faf727c156bp-6, -0x1.ff67f33c76176p-7, -0x1.f4ffed97f3c4p-7, -0x1.eabdd2385d0cdp-7, -0x1.e0a190e485548p-7, -0x1.d6ab168ee2de7p-7, -0x1.ccda4848136c3p-7, -0x1.c32f08c463106p-7, -0x1.b9a937bea0bd9p-7, -0x1.b048b137cd7cbp-7, -0x1.a70d4af6225dcp-7, -0x1.9df6d993b4ceep-7, -0x1.95052c5cfc6c8p-7, -0x1.8c3811d20937dp-7, -0x1.838f530d7867bp-7, -0x1.7b0ab7423e02dp-7, -0x1.72aa025325abep-7, -0x1.6a6cf563077bdp-7, -0x1.62534f1fc8d21p-7, -0x1.5a5ccb9408625p-7, -0x1.5289247fc6f06p-7, -0x1.4ad811522b597p-7, -0x1.434948c75821dp-7, -0x1.3bdc7cd0245e1p-7, -0x1.34915f84c5351p-7, -0x1.2d67a0b7cfc32p-7, -0x1.265eee89c9b81p-7, -0x1.1f76f69897d8fp-7, -0x1.18af61cc99d01p-7, -0x1.1207db385be04p-7, -0x1.0b800c182045ap-7, -0x1.05179aa7fdbacp-7, -0x1.fd9c5f7b53303p-8, -0x1.f146de36be737p-8, -0x1.e52df56955473p-8, -0x1.d950f5527f911p-8, -0x1.cdaf21124525cp-8, -0x1.c247ba037625bp-8, -0x1.b71a0ef6ff31cp-8, -0x1.ac2558a3dd87bp-8, -0x1.a168de9322b0ep-8, -0x1.96e3dd950a6c3p-8, -0x1.8c959a24e34dp-8, -0x1.827d54cbec0a6p-8, -0x1.789a50eadf4ep-8, -0x1.6eebca5ae800ep-8, -0x1.657105b94d2a1p-8, -0x1.5c2941ace1427p-8, -0x1.5313be8a39c29p-8, -0x1.4a2fbe6a4baadp-8, -0x1.417c81bc72162p-8, -0x1.38f94e0f69134p-8, -0x1.30a561c896c84p-8, -0x1.288003cf35e0fp-8, -0x1.208875af8ee54p-8, -0x1.18bdfcb65480cp-8, -0x1.111fe1f54ea7bp-8, -0x1.09ad68f440184p-8, -0x1.0265d8cf73c1ep-8, -0x1.f6910354a1df1p-9, -0x1.e8a949ef40f27p-9, -0x1.db131ac2f91f5p-9, -0x1.cdcd1e2884234p-9, -0x1.c0db5cd578a4p-9, -0x1.b4326f0792bd3p-9, -0x1.a7d583340f009p-9, -0x1.9bc3418193acap-9, -0x1.8ffa4af4e0248p-9, -0x1.84794781d813ep-9, -0x1.793eeade54b86p-9, -0x1.6e49df2b588c9p-9, -0x1.6398d8ed908p-9, -0x1.592a8b0cf15f8p-9, -0x1.4efdb624a4e88p-9, -0x1.451112b9f0708p-9, -0x1.3b635fb5a6157p-9, -0x1.31f369b5d3601p-9, -0x1.28bff4c22566cp-9, -0x1.1fc7c9c749022p-9, -0x1.1709bb1597ee8p-9, -0x1.0e849c3f4c94ep-9, -0x1.063746c7f176cp-9, -0x1.fc4139b3aca54p-10, -0x1.ec7edd7dd2e2bp-10, -0x1.dd2542cea47ffp-10, -0x1.ce325294c759bp-10, -0x1.bfa3d7a972983p-10, -0x1.b177b26fa3773p-10, -0x1.a3abca18c6b9fp-10, -0x1.963e1bc1e17b2p-10, -0x1.892c88896511ep-10, -0x1.7c750edea3f19p-10, -0x1.7015d279bd107p-10, -0x1.640cd6dc41e61p-10, -0x1.58583592de342p-10, -0x1.4cf61044e7be2p-10, -0x1.41e48f5b68543p-10, -0x1.3721ec457c608p-10, -0x1.2cac554daebf8p-10, -0x1.228213d5a955cp-10, -0x1.18a16f16484acp-10, -0x1.0f08b88b90b4ep-10, -0x1.05b64ed820024p-10, -0x1.f95112f6b1b9fp-11, -0x1.e7bba619474b5p-11, -0x1.d6a9468831ff2p-11, -0x1.c616d29ccded6p-11, -0x1.b601510008b1cp-11, -0x1.a665c3e3b8633p-11, -0x1.97414c892a1c6p-11, -0x1.88912a7338ed4p-11, -0x1.7a5262d865861p-11, -0x1.6c8257a454ccdp-11, -0x1.5f1e49b3d75b4p-11, -0x1.5223afba05681p-11, -0x1.458fdb1f8cff5p-11, -0x1.39604c3625551p-11, -0x1.2d92813c9c9b6p-11, -0x1.22243bcac6b74p-11, -0x1.1712c169b3a15p-11, -0x1.0c5bca35026bep-11, -0x1.01fd3fc5169bap-11, -0x1.efe980b33c8b3p-12, -0x1.dc8034d7ebf74p-12, -0x1.c9ba4900b02c3p-12, -0x1.b7938750f2885p-12, -0x1.a607b601a9991p-12, -0x1.9512f0e66cc92p-12, -0x1.84b0ce60a1694p-12, -0x1.74dd8d0849f36p-12, -0x1.65957e50e45bap-12, -0x1.56d4f39a7673ap-12, -0x1.4897ec9f7bc7cp-12, -0x1.3adb21af494a1p-12, -0x1.2d9ad84eab0b8p-12, -0x1.20d37ed3f5322p-12, -0x1.1482043f85a92p-12, -0x1.08a2e94b69cf6p-12, -0x1.fa659f09c9acbp-13, -0x1.e45d949df5a8fp-13, -0x1.cf271b9d50c97p-13, -0x1.babc67b6c25b6p-13, -0x1.a71790d3f11c6p-13, -0x1.9431fe344b522p-13, -0x1.82072f50cc811p-13, -0x1.7090e35a68bd7p-13, -0x1.5fc9c831aa6d2p-13, -0x1.4fac874cc22c6p-13, -0x1.40340aa7cb01fp-13, -0x1.315b3327a6785p-13, -0x1.231d075da6194p-13, -0x1.1574cb46b51e7p-13, -0x1.085d9c48a53e2p-13, -0x1.f7a67334c45e5p-14, -0x1.dfa21880c073p-14, -0x1.c8a34cc12bf89p-14, -0x1.b2a462da325cp-14, -0x1.9d9bd9bec419bp-14, -0x1.8981929c8077ap-14, -0x1.764d9c0c55ad8p-14, -0x1.63f8431d75eb4p-14, -0x1.5279bddd60606p-14, -0x1.41cb50c02a064p-14, -0x1.31e5170599d63p-14, -0x1.22c0fa88fc11ep-14, -0x1.1457bec10649p-14, -0x1.06a1075a05068p-14, -0x1.f332835486479p-15, -0x1.da70dd8303511p-15, -0x1.c2f25fe659a6ep-15, -0x1.acaa8a1ca18a7p-15, -0x1.978de22a94062p-15, -0x1.83912a57ac401p-15, -0x1.70a92aacf7d7fp-15, -0x1.5ecc9f7f02921p-15, -0x1.4def0460c1483p-15, -0x1.3e0847da9e3fbp-15, -0x1.2f0d9aeec0b28p-15, -0x1.20f546d5067f4p-15, -0x1.13b6debd42b7cp-15, -0x1.0749c0020bb32p-15, -0x1.f748611ce5631p-16, -0x1.e17c4f9a80999p-16, -0x1.cd207ac50cf48p-16, -0x1.ba232927b5a58p-16, -0x1.a87840f75334dp-16, -0x1.98083e4f17748p-16, -0x1.88d3335043a9fp-16, -0x1.7abd56bc9213fp-16, -0x1.6dc19c8a2e104p-16, -0x1.61cf34ffa3289p-16, -0x1.56db486f7d201p-16, -0x1.4cd6efa27c4d7p-16, -0x1.43bb28ec01f31p-16, -0x1.3b772b3e64a4ep-16, -0x1.34044cb1db96ep-16, -0x1.2d5334266eb82p-16, -0x1.276010af588cbp-16, -0x1.22180f6706699p-16, -0x1.1d7df397d710fp-16, -0x1.197b18c61d3b1p-16, -0x1.160d9fbfd243dp-16, -0x1.132c9d1f1f4f3p-16, -0x1.10cf735dc44eep-16, -0x1.0eed36ba64e01p-16, -0x1.0d7ea47d021b4p-16, -0x1.0c7c89569edddp-16, -0x1.0bded2091b384p-16, -0x1.0b9fd111fdb5dp-16, -0x1.0bb8e8e4c7848p-16, -0x1.0c220a21d7c7p-16, -0x1.0cd6b82d09cf6p-16, -0x1.0dd09d8e557d2p-16, -0x1.0f08f2f1bd5f9p-16, -0x1.107c7c146b9bfp-16, -0x1.122337d3b46cdp-16, -0x1.13fd3df37482ep-16, -0x1.15ff2275ed9fdp-16, -0x1.182897847024ap-16, -0x1.1a755fc2778f3p-16, -0x1.1cdf04d72cd1ep-16, -0x1.1f6123670a67ap-16, -0x1.21fab1c82674ep-16, -0x1.24a6b0b07c3f4p-16, -0x1.27618fa3a456bp-16, -0x1.2a2850edb90e2p-16, -0x1.2cf89f6c9fadep-16, -0x1.2fcaf6f689f1bp-16, -0x1.32a2855b42061p-16, -0x1.357a8d9f20003p-16, -0x1.384e812f57d79p-16, -0x1.3b1de7f5ce728p-16, -0x1.3de5d6d55cf8cp-16, -0x1.40a4252432bc8p-16, -0x1.43573848214f2p-16, -0x1.45fb9facf7a1fp-16, -0x1.48923fefb2f6ep-16, -0x1.4b161319b5738p-16, -0x1.4d881c7022c2fp-16, -0x1.4fe5eaf91f177p-16, -0x1.522eca97706fbp-16, -0x1.545e63dea4b5cp-16, -0x1.56789446122adp-16, -0x1.58783331a8361p-16, -0x1.5a5d3db49ff37p-16, -0x1.5c28f5e7094dcp-16, -0x1.5dd6c2bddec81p-16, -0x1.5f689e605bd64p-16, -0x1.60dce51733d8fp-16, -0x1.6232db8cfb708p-16, -0x1.636936ea18c59p-16, -0x1.6481a9664db13p-16, -0x1.6579d00914f8bp-16, -0x1.66517a5ba5461p-16, -0x1.670a70809912p-16, -0x1.67a0754d14412p-16, -0x1.681781ba5f68ap-16, -0x1.686d7f82cd736p-16, -0x1.68a197d63d474p-16, -0x1.68b4aa77a387fp-16, -0x1.68a6e4dfd7dc8p-16, -0x1.68781870e570fp-16, -0x1.6828f3519afccp-16, -0x1.67b6cf99241f6p-16, -0x1.6726cd3fff29ap-16, -0x1.66738ceea345bp-16, -0x1.65a0b46548187p-16, -0x1.64af0356267b1p-16, -0x1.639d7888bd77dp-16, -0x1.626a020e66d3cp-16, -0x1.6119e51338065p-16, -0x1.5faa620ebf86ep-16, -0x1.5e1c925110e99p-16, -0x1.5c70d26d6da5cp-16, -0x1.5aa7b965207aap-16, -0x1.58c182674a326p-16, -0x1.56bf2119a33f7p-16, -0x1.549ee3fa39f2p-16, -0x1.5265670aef0d4p-16, -0x1.500fffd45a0cbp-16, -0x1.4da108654a938p-16, -0x1.4b15cdf739fe8p-16, -0x1.4873998d2a7dbp-16, -0x1.45b782a7e8624p-16, -0x1.42e35e454704cp-16, -0x1.3ff7f3226743dp-16, -0x1.3cf5224d00e78p-16, -0x1.39dc55ddba98p-16, -0x1.36ad9edaa1939p-16, -0x1.3369967a04b0ap-16, -0x1.30125510b16f7p-16, -0x1.2ca3a5593498bp-16, -0x1.292708c2cd89cp-16, -0x1.259385806c23dp-16, -0x1.21f003d2f5cd9p-16, -0x1.1e3a64d85731p-16, -0x1.1a7470b7e3e74p-16, -0x1.169e7a8803b48p-16, -0x1.12b91e3f1e9fap-16, -0x1.0ec4d609f646cp-16, -0x1.0ac1eb1de210bp-16, -0x1.06b2cdc16faa4p-16, -0x1.0295baea9589dp-16, -0x1.fcd9692f851f5p-17, -0x1.f4700414639c5p-17, -0x1.ebf11035f0357p-17, -0x1.e35c506f720dcp-17, -0x1.dab5387b57a6dp-17, -0x1.d1facf54210d1p-17, -0x1.c92f92ce83d03p-17, -0x1.c0564bc0eb6b8p-17, -0x1.b7687689fcb37p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.5dd481078c088p-2, 0x1.e7dd74c8318cap-3, 0x1.ffccd68fa1f15p-4, 0x1.8ab7d95154d34p-8, -0x1.d69b1f4763c78p-4, -0x1.e09a7073a36d6p-3, -0x1.6722e732d4a53p-2, -0x1.d80ae1fc4e7b3p-2, -0x1.20b32dd026f2ep-1, -0x1.5103f751f5b57p-1, -0x1.7c92e38bbcf3ep-1, -0x1.a325cddea65ccp-1, -0x1.c4a690465e97fp-1, -0x1.e11c9a4f06f6dp-1, -0x1.f8a71a7bdc5fdp-1, -0x1.05bbdffbb5758p+0, -0x1.0ce70dd4d798cp+0, -0x1.11f9d1d4dda49p+0, -0x1.151c286b8e799p+0, -0x1.1677e54786112p+0, -0x1.16378acbf98c6p+0, -0x1.14855c6d8fd8dp+0, -0x1.118aa3ffe535p+0, -0x1.0d6f232b79cd2p+0, -0x1.0858aaefa553dp+0, -0x1.026ad2a68409p+0, -0x1.f78d927b3acdap-1, -0x1.e916783286ee9p-1, -0x1.d9a89da2befdep-1, -0x1.c977408ab383ep-1, -0x1.b8b0b5228c5b5p-1, -0x1.a77e95e81afc9p-1, -0x1.9605fdb3793f6p-1, -0x1.8467c9cd9fbcep-1, -0x1.72c0e3ef66d15p-1, -0x1.612a83b21d166p-1, -0x1.4fba831d16ac4p-1, -0x1.3e83a575ee328p-1, -0x1.2d95de073015bp-1, -0x1.1cfe94182deb3p-1, -0x1.0cc8e3bed41c6p-1, -0x1.f9fbb6c121eb4p-2, -0x1.db496ac18c0d7p-2, -0x1.bd861b2c32a6fp-2, -0x1.a0ba249f2afb1p-2, -0x1.84eb61f75276bp-2, -0x1.6a1d7d2b1d8c1p-2, -0x1.505238cd30e99p-2, -0x1.3789b240a1867p-2, -0x1.1fc29d9f44ccbp-2, -0x1.08fa7b7b2117fp-2, -0x1.e65b91aa9c5ccp-3, -0x1.bcb0536973857p-3, -0x1.94e91e1eb4832p-3, -0x1.6efaafc711db8p-3, -0x1.4ad8dcec40e3fp-3, -0x1.2876c3923a841p-3, -0x1.07c6f7e5ebe5fp-3, -0x1.d17756015dc48p-4, -0x1.968d99b8a8827p-4, -0x1.5eb45332d446p-4, -0x1.29cf04f125aaep-4, -0x1.ef828c4f1e54ap-5, -0x1.90ddcd090912fp-5, -0x1.37781957ce217p-5, -0x1.c6353c1b4b223p-6, -0x1.271f31fa624ep-6, -0x1.2289b7a939f31p-7, -0x1.0fe7eae3131acp-12, 0x1.00a8c3b348ab2p-7, 0x1.f9b05380ca2ep-7, 0x1.71a9c47184b01p-6, 0x1.df2437f012009p-6, 0x1.22cfbcc8e4c83p-5, 0x1.52b834a4901bdp-5, 0x1.7f74689ec67f2p-5, 0x1.a92bb543e3275p-5, 0x1.d003c4a9bc905p-5, 0x1.f4215aabed64ap-5, 0x1.0ad392c160d8ap-4, 0x1.1a5b4bdd75303p-4, 0x1.28b7de81d16c6p-4, 0x1.35f8a1e4c49eap-4, 0x1.422c437795b6ap-4, 0x1.4d60cbf4f9ef1p-4, 0x1.57a3a485fd5d5p-4, 0x1.61019be672ff4p-4, 0x1.6986ec32f1759p-4, 0x1.713f3d44e4d6bp-4, 0x1.7835af5820e46p-4, 0x1.7e74daca0feb7p-4, 0x1.8406d7d33697fp-4, 0x1.88f5431f57fafp-4, 0x1.8d4942a6959ddp-4, 0x1.910b8aadb9317p-4, 0x1.9444626bbad52p-4, 0x1.96fba8cd6c00dp-4, 0x1.9938d8f1afa96p-4, 0x1.9b030ea046051p-4, 0x1.9c610a7b1abdap-4, 0x1.9d593608884fbp-4, 0x1.9df1a7e49b54ep-4, 0x1.9e30275a87c9p-4, 0x1.9e1a302577f2bp-4, 0x1.9db4f5e55a56cp-4, 0x1.9d05679ba69acp-4, 0x1.9c1032d0c737bp-4, 0x1.9ad9c6b4334c8p-4, 0x1.9966571d4ff52p-4, 0x1.97b9df265ccecp-4, 0x1.95d8258320f92p-4, 0x1.93c4bbca1036fp-4, 0x1.9183045ca7e39p-4, 0x1.8f1633320a2b7p-4, 0x1.8c815072544a7p-4, 0x1.89c73aa813fc8p-4, 0x1.86eaa8ebc4847p-4, 0x1.83ee2cdad3e45p-4, 0x1.80d434888e99ap-4, 0x1.7d9f0c5bd2d11p-4, 0x1.7a50e0bbc621cp-4, 0x1.76ebbfc38c75p-4, 0x1.73719b019ba78p-4, 0x1.6fe4481637573p-4, 0x1.6c4583f2683d9p-4, 0x1.6896f22f3ae0cp-4, 0x1.64da1f97fbd4fp-4, 0x1.611082eff242ep-4, 0x1.5d3b7e33973c5p-4, 0x1.595c5fb10e4ebp-4, 0x1.5574631259f24p-4, 0x1.5184b23922de8p-4, 0x1.4d8e669abe421p-4, 0x1.4992899d0baa6p-4, 0x1.459215c4b56dcp-4, 0x1.418df768aca58p-4, 0x1.3d870d749b25cp-4, 0x1.397e29ef77262p-4, 0x1.357413c5ecdc1p-4, 0x1.3169852723c3ap-4, 0x1.2d5f2e4edeafep-4, 0x1.2955b53bbc629p-4, 0x1.254db625d8f05p-4, 0x1.2147c431f7bf6p-4, 0x1.1d4469dde6a13p-4, 0x1.1944296638972p-4, 0x1.15477d6dfaac3p-4, 0x1.114ed923ad14cp-4, 0x1.0d5aa8cb53a46p-4, 0x1.096b521494283p-4, 0x1.0581347215753p-4, 0x1.019ca96cb67d6p-4, 0x1.fb7c09e2806cbp-5, 0x1.f3cb2aed38e08p-5, 0x1.ec274a38c863bp-5, 0x1.e490f0550527ep-5, 0x1.dd089e18902ddp-5, 0x1.d58ecb8c8cf1p-5, 0x1.ce23e86817e1p-5, 0x1.c6c85cb735518p-5, 0x1.bf7c89372fd71p-5, 0x1.b840c79cdf19ep-5, 0x1.b1156acc5bb5dp-5, 0x1.a9fabfb35d90ep-5, 0x1.a2f10cfd6b19cp-5, 0x1.9bf892315a7dcp-5, 0x1.95118e9d00242p-5, 0x1.8e3c3686b2c98p-5, 0x1.8778bb7413c2cp-5, 0x1.80c74a40641bbp-5, 0x1.7a280b4c1d4a1p-5, 0x1.739b22c7a43c8p-5, 0x1.6d20b0ca63247p-5, 0x1.66b8d19ec5249p-5, 0x1.60639dcd7aba7p-5, 0x1.5a212a6ce8e82p-5, 0x1.53f1894344e81p-5, 0x1.4dd4c8d4c49cfp-5, 0x1.47caf4a0d8da7p-5, 0x1.41d4153dd423fp-5, 0x1.3bf0307a2da4bp-5, 0x1.361f497c888d8p-5, 0x1.306160db1112cp-5, 0x1.2ab674ab42885p-5, 0x1.251e815a82a7fp-5, 0x1.1f998003cb4b2p-5, 0x1.1a276858add23p-5, 0x1.14c82fed72e43p-5, 0x1.0f7bca617d027p-5, 0x1.0a42297547708p-5, 0x1.051b3d25516a8p-5, 0x1.0006f3c7148bcp-5, 0x1.f60a7441af56ap-6, 0x1.ec2bf6afb6e33p-6, 0x1.e272424434c5bp-6, 0x1.d8dd27a587ed6p-6, 0x1.cf6c74eadd0d4p-6, 0x1.c61ff569d6934p-6, 0x1.bcf77232af2e4p-6, 0x1.b3f2b1f75ad7bp-6, 0x1.ab11793d9b4e7p-6, 0x1.a2538a71b99cp-6, 0x1.99b8a602770fdp-6, 0x1.91408a772a69cp-6, 0x1.88eaf4faead7fp-6, 0x1.80b79fd4d5777p-6, 0x1.78a644949784bp-6, 0x1.70b69bba45b15p-6, 0x1.68e85b7895a71p-6, 0x1.613b38f0ed6b1p-6, 0x1.59aee7f360992p-6, 0x1.52431b2a83472p-6, 0x1.4af7842cd110cp-6, 0x1.43cbd3851e1d6p-6, 0x1.3cbfb8620c61ap-6, 0x1.35d2e1b5005ep-6, 0x1.2f04fcdf5c924p-6, 0x1.2855b747269cdp-6, 0x1.21c4bcc09cee9p-6, 0x1.1b51b91a52f76p-6, 0x1.14fc574afe2bbp-6, 0x1.0ec4419cc1187p-6, 0x1.08a922340ebc4p-6, 0x1.02aaa2882fe35p-6, 0x1.f990d75933116p-7, 0x1.ee044d0b917e4p-7, 0x1.e2aef733b192fp-7, 0x1.d7902667e1dd4p-7, 0x1.cca72c7e2835ep-7, 0x1.c1f35564ea70cp-7, 0x1.b773f4bee1d2cp-7, 0x1.ad28594eb7f9cp-7, 0x1.a30fd2b047ac5p-7, 0x1.9929b0590f07bp-7, 0x1.8f7542edc6bc9p-7, 0x1.85f1da65cf8bap-7, 0x1.7c9ec72879c51p-7, 0x1.737b5a197d357p-7, 0x1.6a86e4c30d31ep-7, 0x1.61c0b9456b5bdp-7, 0x1.592828cbae0a3p-7, 0x1.50bc8834074fp-7, 0x1.487d2a485d91bp-7, 0x1.4069636c858aap-7, 0x1.38808a17c4e7cp-7, 0x1.30c1f3857275fp-7, 0x1.292cf74bcbdf2p-7, 0x1.21c0ed5a14002p-7, 0x1.1a7d2f169ebc4p-7, 0x1.136116c3732b1p-7, 0x1.0c6bffb11d3a7p-7, 0x1.059d4673debc7p-7, 0x1.fde8917af4dccp-8, 0x1.f0e0cb0048cdcp-8, 0x1.e421f85df90bp-8, 0x1.d7aae24a6f12ap-8, 0x1.cb7a48e836d4p-8, 0x1.bf8ef67f4d304p-8, 0x1.b3e7b66ec152dp-8, 0x1.a88356f43f6f1p-8, 0x1.9d60a92e6653p-8, 0x1.927e81763e753p-8, 0x1.87dbb6aadc3d2p-8, 0x1.7d77231e167a8p-8, 0x1.734fa3cc2815bp-8, 0x1.696419964b0f3p-8, 0x1.5fb367ecd4b3p-8, 0x1.563c75b73488cp-8, 0x1.4cfe2d0d8161ap-8, 0x1.43f7792f29555p-8, 0x1.3b274ef175e4p-8, 0x1.328c9eed71db9p-8, 0x1.2a2661346527dp-8, 0x1.21f3908e5f761p-8, 0x1.19f32a717cbcp-8, 0x1.122430645c86dp-8, 0x1.0a85a7301aa35p-8, 0x1.031696e164a6cp-8, 0x1.f7ac151ff65eap-9, 0x1.e98622c2a05e3p-9, 0x1.dbb97af0dd2ecp-9, 0x1.ce444d95bd26dp-9, 0x1.c124c2327e188p-9, 0x1.b459156fbfd7bp-9, 0x1.a7df8c31e6502p-9, 0x1.9bb669f79d3bap-9, 0x1.8fdbfb4d19e83p-9, 0x1.844e936d2e28p-9, 0x1.790c8dcb9d114p-9, 0x1.6e144b06f4f42p-9, 0x1.636433a3741bap-9, 0x1.58fab49a3a93fp-9, 0x1.4ed6437f9bf82p-9, 0x1.44f55bfcdc562p-9, 0x1.3b567fc48d0cdp-9, 0x1.31f8373fcb1f6p-9, 0x1.28d9113720d13p-9, 0x1.1ff7a2ab67e56p-9, 0x1.1752882d144ccp-9, 0x1.0ee85f8a569bap-9, 0x1.06b7d56cd855dp-9, 0x1.fd7f2ae1bfe08p-10, 0x1.edfca7c47c504p-10, 0x1.dee595db6dd44p-10, 0x1.d037755e911cep-10, 0x1.c1efd17bff869p-10, 0x1.b40c43bc6baedp-10, 0x1.a68a6ea26a218p-10, 0x1.9967ffc745425p-10, 0x1.8ca2bd21c83e9p-10, 0x1.8038543c7af4ep-10, 0x1.742698f38816fp-10, 0x1.686b7efe45e26p-10, 0x1.5d04d977b7c34p-10, 0x1.51f09c9f70f78p-10, 0x1.472cc808b2eeap-10, 0x1.3cb754fefcdf4p-10, 0x1.328e5fb1732cep-10, 0x1.28affac4c5b79p-10, 0x1.1f1a513a88a8cp-10, 0x1.15cb8cb0d2cd2p-10, 0x1.0cc1e4d69e1cfp-10, 0x1.03fb97fd12299p-10, 0x1.f6edea6854e25p-11, 0x1.e6649876ee246p-11, 0x1.d657f78b8260bp-11, 0x1.c6c4d3f1371c2p-11, 0x1.b7a809122be47p-11, 0x1.a8fe8cc8441dep-11, 0x1.9ac54f9220a4cp-11, 0x1.8cf9675118322p-11, 0x1.7f97fb4fd735ap-11, 0x1.729e3cf3df736p-11, 0x1.660962baf2c7cp-11, 0x1.59d6ca3e9e191p-11, 0x1.4e03cc73ef71dp-11, 0x1.428ddc6b2e33p-11, 0x1.377276771a337p-11, 0x1.2caf2e91d7f03p-11, 0x1.22418fa7f57c7p-11, 0x1.182754b202b65p-11, 0x1.0e608c9607466p-11, 0x1.04e65db0d8f12p-11, 0x1.f771b718f9f49p-12, 0x1.e5abcad8a27a2p-12, 0x1.d476c8df68294p-12, 0x1.c3cea6bdb0611p-12, 0x1.b3af7256bd836p-12, 0x1.a415525d098cfp-12, 0x1.94fc794947624p-12, 0x1.86615512dea39p-12, 0x1.784023dd47b26p-12, 0x1.6a958757b1245p-12, 0x1.5d5e134cf794ep-12, 0x1.50966264534cfp-12, 0x1.443b44bbe62eep-12, 0x1.3849a889be4d5p-12, 0x1.2cbe4db9439bep-12, 0x1.21961efe37922p-12, 0x1.16ce72a450441p-12, 0x1.0c64337beef7fp-12, 0x1.0254cd9ef0a6p-12, 0x1.f13b19895fb9dp-13, 0x1.de772f799856ep-13, 0x1.cc58f0d9a943p-13, 0x1.badb5a9b1cb49p-13, 0x1.a9f98d0d2c34p-13, 0x1.99ae9aa1d729bp-13, 0x1.89f6384b67a41p-13, 0x1.7acbef866b99ap-13, 0x1.6c2afbe5df09bp-13, 0x1.5e0f4d23833ffp-13, 0x1.5074bbadefadap-13, 0x1.43573c8ed6fbcp-13, 0x1.36b2f24a24333p-13, 0x1.2a83d5c1ac8ecp-13, 0x1.1ec66e5a7b1a3p-13, 0x1.137704705a411p-13, 0x1.089211815b09ep-13, 0x1.fc28562206c22p-14, 0x1.e7f3e8b4ded87p-14, 0x1.d48096d656003p-14, 0x1.c1c80ba2c541fp-14, 0x1.afc3fe6903f5ap-14, 0x1.9e6ea854330dbp-14, 0x1.8dc230f2197c3p-14, 0x1.7db939201405cp-14, 0x1.6e4dc1daa382ap-14, 0x1.5f7af325a5503p-14, 0x1.513bb0dd23b53p-14, 0x1.438ace1154d72p-14, 0x1.366396581971ap-14, 0x1.29c1192c130c4p-14, 0x1.1d9effead65d6p-14, 0x1.11f8c6dbed921p-14, 0x1.06ca2cb1ff415p-14, 0x1.f81c94364a1afp-15, 0x1.e384c138ef34p-15, 0x1.cfc4de85238b3p-15, 0x1.bcd302b6915cbp-15, 0x1.aaa90a16a3e2cp-15, 0x1.993fa61ff395dp-15, 0x1.888fea2f080afp-15, 0x1.789307f3faaa2p-15, 0x1.694290f7fc99p-15, 0x1.5a97162d8d6acp-15, 0x1.4c8cb5c2d6d33p-15, 0x1.3f1ce78a4ac24p-15, 0x1.32406df3bf4aap-15, 0x1.25f26cbceac9ep-15, 0x1.1a2dbab72003ap-15, 0x1.0eecd7569955fp-15, 0x1.042aced3a3203p-15, 0x1.f3c5a069f989fp-16, 0x1.e01f309c8d3f8p-16, 0x1.cd5b2d68b352ep-16, 0x1.bb6fdd1f3b509p-16, 0x1.aa525bb40c14ap-16, 0x1.99fd1deca323ep-16, 0x1.8a67040f349e7p-16, 0x1.7b8814ab597ep-16, 0x1.6d5a8f0be25c1p-16, 0x1.5fd46da97654ap-16, 0x1.52f04b6b7df5bp-16, 0x1.46a72f269452p-16, 0x1.3af2ab52bbd2fp-16, 0x1.2fcc0720db29dp-16, 0x1.252d6a48759f9p-16, 0x1.1b1143dc40275p-16, 0x1.11705ad169d6bp-16, 0x1.0847efa31c34p-16, 0x1.ff1e99d09f637p-17, 0x1.ee84d989c8831p-17, 0x1.dec38ca0d52bcp-17, 0x1.cfc27411a600bp-17, 0x1.c17e218442b71p-17, 0x1.b3edcccc1bd71p-17, 0x1.a709027526e8dp-17, 0x1.9ac771f87dfcep-17, 0x1.8f2294af51b97p-17, 0x1.840ff10188cp-17, 0x1.798b762a878b8p-17, 0x1.6f88e29a2c422p-17, 0x1.66052ef1a0cdfp-17, 0x1.5d037b66b0ba7p-17, 0x1.546da7f7ebe05p-17, 0x1.4c45776ddbb23p-17, 0x1.4483cc4c5c9f1p-17, 0x1.3d237e2c25249p-17, 0x1.361f68a2f2551p-17, 0x1.2f72890860933p-17, 0x1.291839baf52dep-17, 0x1.230b0795fc0c9p-17, 0x1.1d472ed86facfp-17, 0x1.17c8e7baddf72p-17, 0x1.128be9883c21fp-17, 0x1.0d8c6814105dbp-17, 0x1.08c5cfa366dc2p-17, 0x1.04359ecc34313p-17, 0x1.ffafb967bb8ap-18, 0x1.f75283cbc698ep-18, 0x1.ef4ea09a5aae4p-18, 0x1.e79d5629ffc4ap-18, 0x1.e0360824a56f9p-18, 0x1.d923eec6d5de4p-18, 0x1.d2429ccff51c9p-18, 0x1.cbaa1068ca6aap-18, 0x1.c5491a4e705dep-18, 0x1.bf1d445c0217ep-18, 0x1.b922cd31b1d07p-18, 0x1.b3561a3843c7ap-18, 0x1.adb1e7de59f02p-18, 0x1.a833e8fa210f5p-18, 0x1.a2d92576a7011p-18, 0x1.9d9faf4e0dfeep-18, 0x1.987ec64bba77cp-18, 0x1.9383042783bddp-18, 0x1.8e87fae10590dp-18, 0x1.89b7d9c85d3a8p-18, 0x1.84f26976dd183p-18, 0x1.803d879bd2adcp-18, 0x1.7b971eca6754bp-18, 0x1.76fd45fc7bbcep-18, 0x1.726e3b847a0f9p-18, 0x1.6de825d682b7p-18, 0x1.696b86c557818p-18, 0x1.64f3adbb559e2p-18, 0x1.607e59ace355bp-18, 0x1.5c0fbdd7bd73dp-18, 0x1.57a200760aba4p-18, 0x1.5336111249adbp-18, 0x1.4ece4b73e6731p-18, 0x1.4a62870ba554bp-18, 0x1.45fa51e180589p-18, 0x1.4186c0751d61bp-18, 0x1.3d1a3ed6f28a8p-18, 0x1.38a7ae156a45ep-18, 0x1.342fb077f3ceep-18, 0x1.2fb5e719376fdp-18, 0x1.2b3a85053ecap-18, 0x1.26b867d69671cp-18, 0x1.2231a908a4d28p-18, 0x1.1da6a8761489ap-18, 0x1.191678563c0afp-18, 0x1.147ba3b327f7p-18, 0x1.0fe9d2887fc8ap-18, 0x1.0b444bcb01a35p-18, 0x1.069fa265763dbp-18, 0x1.01f5e51dd72a2p-18, 0x1.fa8cc463eefc8p-19, 0x1.f124238ffc1bbp-19, 0x1.e7b2117c92b4bp-19, 0x1.de35bec3bfc11p-19, 0x1.d4b357af92133p-19, 0x1.cb248c63794abp-19, 0x1.c19234ae92abdp-19, 0x1.b7f7e075860cbp-19, 0x1.ae50adb6e731p-19, 0x1.a4a6126f87946p-19, 0x1.9b067301fb6acp-19, 0x1.914463031bd5ap-19, 0x1.878fc32df9aa5p-19, 0x1.7dd4c08496c9cp-19, 0x1.7413185687f9dp-19, 0x1.6a53231322f66p-19, 0x1.609041bfb398fp-19, 0x1.56ce0a5069c06p-19, 0x1.4d09af162671dp-19, 0x1.435097ac20fcep-19, 0x1.39845bdfa23b3p-19, 0x1.2fcaa3947885p-19, 0x1.2611579fe52e1p-19, 0x1.1c57e60d7e47cp-19, 0x1.12ab5f728d3ep-19, 0x1.08f9e2233f5f9p-19, 0x1.fea880afc3946p-20, 0x1.eb6e75f01f8d9p-20, 0x1.d84492fc735a9p-20, 0x1.c52a1978da4a9p-20, 0x1.b223aa36e0babp-20, 0x1.9f19d5191f6efp-20, 0x1.8c5bc43d19ebdp-20, 0x1.7979e85ae451ep-20, 0x1.66e85dd9567e2p-20, 0x1.5458bc256bbf9p-20, 0x1.41e19d7f4077dp-20, 0x1.2f8686ef3f022p-20, 0x1.1d6290f1565d3p-20, 0x1.0b445ebe79dadp-20, 0x1.f2a5f90264e1ap-21, 0x1.cf06aedc9bf44p-21, 0x1.abaf43071b012p-21, 0x1.88a1105f692c6p-21, 0x1.65e3f64b7187ep-21, 0x1.4367ed37cadd4p-21, 0x1.218c1b87940a5p-21, 0x1.ff4be3ba5aaf5p-22, 0x1.bc7303028915cp-22, 0x1.7a2855020c6a9p-22, 0x1.38fd464919f99p-22, 0x1.f06f4217d224fp-23, 0x1.7073c5a6fed59p-23, 0x1.e49fe1578c31bp-24, 0x1.d584172e73ff8p-25, -0x1.6e72e29b475f4p-29, -0x1.fda11d549b071p-25, -0x1.eeb1c1450c4eep-24, -0x1.6d9bab855cbfcp-23, -0x1.e2d6028f8e1f1p-23, -0x1.2a2c1d1e0816ep-22, -0x1.638dcf0d4d2c4p-22, -0x1.9adcfc9f8b6c1p-22, -0x1.d1e652fe8b0dap-22, -0x1.03e685f3480c8p-21, -0x1.1e72b048d8e58p-21, -0x1.388ce12f7ec9dp-21, -0x1.52334d3893336p-21, -0x1.6b5ecaff39456p-21, -0x1.8404f939f1385p-21, -0x1.9c5c3121d7b1ep-21, -0x1.b41f5a54864b6p-21, -0x1.cb6f148ac57eep-21, -0x1.e248174b4fb55p-21, -0x1.f8b0de2795f7bp-21, -0x1.0743b3c127013p-20, -0x1.1204b36c2b7f9p-20, -0x1.1c789e5e1a901p-20, -0x1.26b4c3a9c99e1p-20, -0x1.30c0df1da04b1p-20, -0x1.3a6c3ef628c27p-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.5eb0f16a85a86p-3, 0x1.9e1794cd5599ep-3, 0x1.a4440f6e39834p-3, 0x1.8162530489eb2p-3, 0x1.43f4a8e638eebp-3, 0x1.f09a210f3185p-4, 0x1.50c049f46c8f4p-4, 0x1.6f4811cd55de5p-5, 0x1.82695327ca9ffp-7, -0x1.efb368b557e22p-7, -0x1.1df852b84b8c2p-5, -0x1.82491ff65dccfp-5, -0x1.a9984727a96b5p-5, -0x1.9791dff43e945p-5, -0x1.51f1fe7a89ddp-5, -0x1.bf89b6329a7fdp-6, -0x1.23231dbd9e629p-7, 0x1.ac38b81c9d255p-7, 0x1.33f555ddb838fp-5, 0x1.054890b7e1fap-4, 0x1.74124f448f644p-4, 0x1.e3576f0aaeb27p-4, 0x1.283e8c37c68a4p-3, 0x1.5ca80897e9a99p-3, 0x1.8e01437808dccp-3, 0x1.bb9373fedd16fp-3, 0x1.e4d45f59899ffp-3, 0x1.04b115b730ce8p-2, 0x1.147f6ea4aa8c1p-2, 0x1.21c5e2cac09c5p-2, 0x1.2c82802c2560ep-2, 0x1.34be9206e870fp-2, 0x1.3a8c99bc3c4bap-2, 0x1.3e06369539p-2, 0x1.3f4b897a64fa9p-2, 0x1.3e800909a93dp-2, 0x1.3bca3f58fdd4ap-2, 0x1.375289f7977b5p-2, 0x1.3142386ec7aafp-2, 0x1.29c2bf369725dp-2, 0x1.20fd075cf30d7p-2, 0x1.1718de9224289p-2, 0x1.0c3c8a78bae9p-2, 0x1.008c7e57a7b8dp-2, 0x1.e856552e2ff3p-3, 0x1.ce71bf859d59dp-3, 0x1.b3a7777d8e0fap-3, 0x1.982f412bed17bp-3, 0x1.7c3c609d31315p-3, 0x1.5ffda39079786p-3, 0x1.439d7a59ccbap-3, 0x1.27421f583f524p-3, 0x1.0b0dc90d5121dp-3, 0x1.de3dca02047cep-4, 0x1.a720a4d6a4989p-4, 0x1.70f33da57dc48p-4, 0x1.3bde805aa84fp-4, 0x1.08059c37c2531p-4, 0x1.ab0ce60f32974p-5, 0x1.48f40b8d5b30ap-5, 0x1.d3d38159bf371p-6, 0x1.1c1dfe3c723c2p-6, 0x1.abeb37b32c00dp-8, -0x1.fb80bd44522dfp-9, -0x1.c6114d323287fp-7, -0x1.7fbf82623a0d8p-6, -0x1.0ac765aa30044p-5, -0x1.523c8e811944p-5, -0x1.96443f617fb73p-5, -0x1.d6e6c35eedd12p-5, -0x1.0a17a0a681c6fp-4, -0x1.2715adb3ce8cdp-4, -0x1.42756ae5246b9p-4, -0x1.5c3fa1f966f0ap-4, -0x1.747dde9cb5cdp-4, -0x1.8b3a4bbf6ed5cp-4, -0x1.a07f939684e9dp-4, -0x1.b457458e2b745p-4, -0x1.c6cf41f271d6ep-4, -0x1.d7f24ccb2ffecp-4, -0x1.e7cc190e8364bp-4, -0x1.f6685f1556a5p-4, -0x1.01e967823e0fp-3, -0x1.080b82f7751f8p-3, -0x1.0da04269753cep-3, -0x1.12ad54ccd3bd1p-3, -0x1.17385448d8879p-3, -0x1.1b46c34d1a50ep-3, -0x1.1ede0990ef98p-3, -0x1.220371a3d65bdp-3, -0x1.24bc25c218aebp-3, -0x1.270d2d589a03ep-3, -0x1.28fb6a99908fcp-3, -0x1.2a8b983ad734ep-3, -0x1.2bc247c6353f7p-3, -0x1.2ca3e04e48ffep-3, -0x1.2d349da2d4285p-3, -0x1.2d7890193c592p-3, -0x1.2d739cb005f9ap-3, -0x1.2d297dc63ce22p-3, -0x1.2c9dc3f2e2fbep-3, -0x1.2bd3d732a33ap-3, -0x1.2acef83322ceep-3, -0x1.299241a524673p-3, -0x1.2820a98906321p-3, -0x1.267d028354c12p-3, -0x1.24a9fcffd5759p-3, -0x1.22aa284d47467p-3, -0x1.207ff3ba7a938p-3, -0x1.1e2daf8eafb3dp-3, -0x1.1bb58ddea869ep-3, -0x1.1919a3e5ea8ccp-3, -0x1.165beaaac7b31p-3, -0x1.137e40418b7e1p-3, -0x1.108268def8112p-3, -0x1.0d6a0ffceb466p-3, -0x1.0a36c99788c6fp-3, -0x1.06ea1364385c6p-3, -0x1.03855617d25f3p-3, -0x1.0009e6ab5ab57p-3, -0x1.f8f20f208b392p-4, -0x1.f1a7d3d5b9959p-4, -0x1.ea375d6d00b94p-4, -0x1.e2a2cfc7335b4p-4, -0x1.daec32b685141p-4, -0x1.d31573f449f46p-4, -0x1.cb20690849819p-4, -0x1.c30ed0e817a46p-4, -0x1.bae255a4823aep-4, -0x1.b29c8df01ec45p-4, -0x1.aa3efe8d79dc4p-4, -0x1.a1cb1bbc53f08p-4, -0x1.99424a983bb53p-4, -0x1.90a5e2383b144p-4, -0x1.87f72d0677d9dp-4, -0x1.7f3769d3c6a79p-4, -0x1.7667ccefa2672p-4, -0x1.6d898136825d9p-4, -0x1.649da8b4067f5p-4, -0x1.5ba55e5c2fa6fp-4, -0x1.52a1b597ffb58p-4, -0x1.4993bc33e8ffep-4, -0x1.407c7a54903ap-4, -0x1.375cf3624c5b7p-4, -0x1.2e3626811a22dp-4, -0x1.25090f24c698cp-4, -0x1.1bd6a56e911edp-4, -0x1.129fdea61975bp-4, -0x1.0965ad97d7e4dp-4, -0x1.002902c10e32ep-4, -0x1.edd5998032654p-5, -0x1.db57f0e4da925p-5, -0x1.c8dae259db1ecp-5, -0x1.b66041c9d756fp-5, -0x1.a3e9e054eb336p-5, -0x1.91798d1cfa525p-5, -0x1.7f1114c2e13e2p-5, -0x1.6cb241bce6492p-5, -0x1.5a5edc4cf4ffdp-5, -0x1.4818aab5ee2d9p-5, -0x1.35e17078bcaeap-5, -0x1.23baef3b9f752p-5, -0x1.11a6e5daf5996p-5, -0x1.ff4e2109750b7p-6, -0x1.db7a510a31591p-6, -0x1.b7d4dd2f9e14ep-6, -0x1.94631d18ae01dp-6, -0x1.712770ceea8aep-6, -0x1.4e252c6c51812p-6, -0x1.2b5f9b878a91p-6, -0x1.08da00cad365dp-6, -0x1.cd2f28e3e7605p-7, -0x1.8937089a7c8efp-7, -0x1.45d1eb2f6cc58p-7, -0x1.0305fd11b67fep-7, -0x1.81b2ae6b8f25p-8, -0x1.fd47db0bd907bp-9, -0x1.f3adef631cdd7p-10, 0x1.b58db97b28634p-15, 0x1.04a9120f340f4p-9, 0x1.ff8b79561218ep-9, 0x1.7bb3e78ce3a58p-8, 0x1.f6147f24feffcp-8, 0x1.376e9fd67cf99p-7, 0x1.730217f3875eep-7, 0x1.adbfd01441327p-7, 0x1.e7a31864b553p-7, 0x1.1053b461bc641p-6, 0x1.2c643134729dbp-6, 0x1.4800e865808d4p-6, 0x1.6327d4f75c131p-6, 0x1.7dd707b7990dbp-6, 0x1.980ca847f2e53p-6, 0x1.b1c6f57129e7bp-6, 0x1.cb04438ab6f5cp-6, 0x1.e3c2fc46673abp-6, 0x1.fc01a86bdbe05p-6, 0x1.09df6ef55224ep-5, 0x1.157caa2fffb34p-5, 0x1.20d7e9a9ae813p-5, 0x1.2bf09f8a08751p-5, 0x1.36c6495618e4ep-5, 0x1.415870b538675p-5, 0x1.4ba6ab62e3c7ep-5, 0x1.55b09b3af5536p-5, 0x1.5f75ee026eedfp-5, 0x1.68f65d9d83833p-5, 0x1.7231aff1899c8p-5, 0x1.7b27b6a8f49a6p-5, 0x1.83d84f490a13fp-5, 0x1.8c43630fc67bep-5, 0x1.9468e6ce8fbcfp-5, 0x1.9c48dad9186b6p-5, 0x1.a3e34afb11ff1p-5, 0x1.ab384d8f65c29p-5, 0x1.b24804e4af3bdp-5, 0x1.b9129de9f4bc3p-5, 0x1.bf98503ed548p-5, 0x1.c5d95c9555cc2p-5, 0x1.cbd6105098e52p-5, 0x1.d18ec25272448p-5, 0x1.d703cfa40edd2p-5, 0x1.dc35a648accfp-5, 0x1.e124b9bcaef04p-5, 0x1.e5d181075cdf5p-5, 0x1.ea3c86899ebd1p-5, 0x1.ee6656fe07fe9p-5, 0x1.f24f8832cf5e7p-5, 0x1.f5f8b97a79408p-5, 0x1.f96290ddf5de1p-5, 0x1.fc8dbcb282b46p-5, 0x1.ff7af258d6957p-5, 0x1.011577153a0cbp-4, 0x1.024f39bb23b0bp-4, 0x1.036b25f341c2ep-4, 0x1.0469a3af07737p-4, 0x1.054b1dd340279p-4, 0x1.06100211d16c6p-4, 0x1.06b8c0cb72169p-4, 0x1.0745cce1e5afbp-4, 0x1.07b79b547b819p-4, 0x1.080ea460d8b12p-4, 0x1.084b60dec5d62p-4, 0x1.086e4c0e223b3p-4, 0x1.0877e4cb8f64p-4, 0x1.0868a89df1f1ap-4, 0x1.084118cac9994p-4, 0x1.0801b65e8ea8cp-4, 0x1.07ab0505060adp-4, 0x1.073d898810accp-4, 0x1.06b9c7f0ec8a8p-4, 0x1.0620478cc2ab6p-4, 0x1.05718f0515e1cp-4, 0x1.04ae2527f80adp-4, 0x1.03d6923c4fb3ep-4, 0x1.02eb5e70c9a42p-4, 0x1.01ed11d195a54p-4, 0x1.00dc36a95ed63p-4, 0x1.ff72a7421f05dp-5, 0x1.fd09e4c9dbb6fp-5, 0x1.fa7f35ff3c614p-5, 0x1.f7d3aae3aab17p-5, 0x1.f50852a610a6p-5, 0x1.f21e3b4ae343ap-5, 0x1.ef1671dc23c84p-5, 0x1.ebf201e0b6ca2p-5, 0x1.e8b1f54345ec4p-5, 0x1.e5575419b612fp-5, 0x1.e1e32484cbeecp-5, 0x1.de566a24f832fp-5, 0x1.dab2288899e24p-5, 0x1.d6f75d74f1803p-5, 0x1.d32706558fa67p-5, 0x1.cf421e3042c9p-5, 0x1.cb499ade26e66p-5, 0x1.c73e71240fa8dp-5, 0x1.c32193a228b76p-5, 0x1.bef3eeff0e7e6p-5, 0x1.bab6715046517p-5, 0x1.b669ff2743513p-5, 0x1.b20f7d46214b3p-5, 0x1.ada7cdcff10ebp-5, 0x1.a933cb5230204p-5, 0x1.a4b4528f800b9p-5, 0x1.a02a36da42737p-5, 0x1.9b9648dfb751bp-5, 0x1.96f957b4cec7fp-5, 0x1.92542ee5a3998p-5, 0x1.8da791c26f73cp-5, 0x1.88f443973d011p-5, 0x1.843b0093d593fp-5, 0x1.7f7c84a704289p-5, 0x1.7ab984469615fp-5, 0x1.75f2b192ba9acp-5, 0x1.7128b978ab804p-5, 0x1.6c5c44ec34bf5p-5, 0x1.678df8f9b5a75p-5, 0x1.62be763ba9515p-5, 0x1.5dee5941a6253p-5, 0x1.591e3a5e825ddp-5, 0x1.544eae9db528bp-5, 0x1.4f80456a0b5f1p-5, 0x1.4ab38ac5399c6p-5, 0x1.45e906ae0605ap-5, 0x1.41213c9fd8d82p-5, 0x1.3c5cad43f9ff3p-5, 0x1.379bd280bf90ap-5, 0x1.32df24e2ed74cp-5, 0x1.2e27187ad9137p-5, 0x1.29741cd45ad1dp-5, 0x1.24c69e623d83dp-5, 0x1.201f03bd37bddp-5, 0x1.1b7db02fae74cp-5, 0x1.16e306f41378p-5, 0x1.124f63751b9fep-5, 0x1.0dc31d075c833p-5, 0x1.093e8df5901b4p-5, 0x1.04c20362bd9e8p-5, 0x1.004dcdf3d5654p-5, 0x1.f7c46c5a0870bp-6, 0x1.eeff0a17eff24p-6, 0x1.e64bfcd3bf0ep-6, 0x1.ddabc8e34d3b3p-6, 0x1.d51ee478cb8a6p-6, 0x1.cca5c86644eccp-6, 0x1.c440e0eada682p-6, 0x1.bbf09597c90eep-6, 0x1.b3b5497c11f71p-6, 0x1.ab8f57118a8b9p-6, 0x1.a37f18f345347p-6, 0x1.9b84db803c0ebp-6, 0x1.93a0ec3b73c8cp-6, 0x1.8bd38ea9c1339p-6, 0x1.841d026908aa2p-6, 0x1.7c7d86bdf36d7p-6, 0x1.74f54d137bde5p-6, 0x1.6d848586e969fp-6, 0x1.662b61a3501abp-6, 0x1.5eea022d75f0dp-6, 0x1.57c087f185d8p-6, 0x1.50af162b603aap-6, 0x1.49bbea51d5de8p-6, 0x1.42dbac0e47eebp-6, 0x1.3c13ae9d5ebeep-6, 0x1.3563ff10b74b2p-6, 0x1.2ecca2aca21e4p-6, 0x1.284d9c56ef598p-6, 0x1.21e6edecc4928p-6, 0x1.1b9891321569dp-6, 0x1.15627ed4cfbdp-6, 0x1.0f44aaf51d74ep-6, 0x1.093f08e728507p-6, 0x1.035185d3d0116p-6, 0x1.faf8198a24682p-7, 0x1.ef7d0f7c367cdp-7, 0x1.e431b918c4c46p-7, 0x1.d915da16581b4p-7, 0x1.ce293364ee628p-7, 0x1.c36b80491566bp-7, 0x1.b8dc7df6a9cd8p-7, 0x1.ae7be0d1e3baap-7, 0x1.a449517bb1ba1p-7, 0x1.9a447c92965fap-7, 0x1.906d0f7943d3ap-7, 0x1.86c2ac90c0fccp-7, 0x1.7d44f5c24b771p-7, 0x1.73f3898a1a5adp-7, 0x1.6ace075bba8bep-7, 0x1.61d40284424bbp-7, 0x1.5905119b7ef22p-7, 0x1.5060d0a535c71p-7, 0x1.47e6cefdb291fp-7, 0x1.3f969dd081d3dp-7, 0x1.376fcca225febp-7, 0x1.2f71e92e598d6p-7, 0x1.279c81ec186b9p-7, 0x1.1fef1ef474ffdp-7, 0x1.18694cbc166c4p-7, 0x1.110a93c9ad296p-7, 0x1.09d27c3f55e73p-7, 0x1.02c08f365ae12p-7, 0x1.f7a8a1129fcb3p-8, 0x1.ea1a8e16e0c62p-8, 0x1.dcd5f57929753p-8, 0x1.cfd9dc722b222p-8, 0x1.c3254f749900dp-8, 0x1.b6b7550f27f63p-8, 0x1.aa8ef887bc716p-8, 0x1.9eab43190c147p-8, 0x1.930b36f28e00cp-8, 0x1.87addf86f6b8dp-8, 0x1.7c9240bc3b8f1p-8, 0x1.71b76a1392144p-8, 0x1.671c5b29d50edp-8, 0x1.5cc01ed6b97a5p-8, 0x1.52a1bbabf5c91p-8, 0x1.48c043d3e232dp-8, 0x1.3f1ab07d1de5ep-8, 0x1.35b0107911faap-8, 0x1.2c7f734dd5c18p-8, 0x1.2387df8a04ca5p-8, 0x1.1ac862269459ap-8, 0x1.124007b17e78p-8, 0x1.09eddeeb0a044p-8, 0x1.01d0f40572315p-8, 0x1.f3d0b4d94a981p-9, 0x1.e4663427a0c37p-9, 0x1.d5609234a0431p-9, 0x1.c6bdf9b06ab61p-9, 0x1.b87c9c008392bp-9, 0x1.aa9a9274f1921p-9, 0x1.9d161f838fbe8p-9, 0x1.8fed6acd38e23p-9, 0x1.831ea566cda39p-9, 0x1.76a81a0bcd5a3p-9, 0x1.6a87fd36a017cp-9, 0x1.5ebc88b0d9795p-9, 0x1.53440d4977fdap-9, 0x1.481cd016ac211p-9, 0x1.3d452210b0d28p-9, 0x1.32bb54362cd11p-9, 0x1.287db8d1c0096p-9, 0x1.1e8ab333c5302p-9, 0x1.14e09fd080178p-9, 0x1.0b7de30a254d1p-9, 0x1.0260e61ff45f7p-9, 0x1.f31035fbd505ep-10, 0x1.e1e3e8859620ep-10, 0x1.d139d5f776813p-10, 0x1.c10efa01872cbp-10, 0x1.b1605fa315788p-10, 0x1.a22b1d9b889a8p-10, 0x1.936c4c53e6bf6p-10, 0x1.8520fb1f6c4f6p-10, 0x1.77468425e48bap-10, 0x1.69da14283cbe5p-10, 0x1.5cd8f4ef3f1d8p-10, 0x1.50407a73f44fp-10, 0x1.440e052a3b6eep-10, 0x1.383ef9a5e7a99p-10, 0x1.2cd0dd9b159d8p-10, 0x1.21c11e553796bp-10, 0x1.170d588a92cacp-10, 0x1.0cb31e3e31523p-10, 0x1.02aff59b8ef86p-10, 0x1.f2037693a2dcap-11, 0x1.df4c07f805d94p-11, 0x1.cd3552adbb4e2p-11, 0x1.bbbadea845521p-11, 0x1.aad8619f8ce9cp-11, 0x1.9a89a3c3c94edp-11, 0x1.8aca7ae4c450dp-11, 0x1.7b96fd81bc0fep-11, 0x1.6ceb008f55eafp-11, 0x1.5ec2bdb6d23afp-11, 0x1.511a6ddca2e72p-11, 0x1.43ee3cdea5086p-11, 0x1.373a9b3b7b81p-11, 0x1.2afc02d764b2ep-11, 0x1.1f2edc03998e9p-11, 0x1.13cfc79c33528p-11, 0x1.08db8287891d6p-11, 0x1.fc9d6d686cf26p-12, 0x1.e84c969520ef9p-12, 0x1.d4be05952eef6p-12, 0x1.c1ec1443e9ee5p-12, 0x1.afd06aeeacd72p-12, 0x1.9e6589826ef4ap-12, 0x1.8da5b637b0997p-12, 0x1.7d8b7c9e0cfd1p-12, 0x1.6e11705f17017p-12, 0x1.5f326e65b118p-12, 0x1.50e94ed860576p-12, 0x1.4331263444186p-12, 0x1.36052343ebaa4p-12, 0x1.29608ab1e7f4fp-12, 0x1.1d3ec31376887p-12, 0x1.119b8cf3e9825p-12, 0x1.06722cbc4393ap-12, 0x1.f77d9d4790e72p-13, 0x1.e2fa58b75e104p-13, 0x1.cf5293646a118p-13, 0x1.bc7ea2be543a3p-13, 0x1.aa76f94bacce7p-13, 0x1.993446662428dp-13, 0x1.88af645f17bdbp-13, 0x1.78e17833579d5p-13, 0x1.69c3eed4aac08p-13, 0x1.5b4ff02071878p-13, 0x1.4d7f6eb2f4246p-13, 0x1.404c46daf154p-13, 0x1.33b0623d9110cp-13, 0x1.27a62b17e5f2p-13, 0x1.1c27f7e713567p-13, 0x1.113050a5a2102p-13, 0x1.06ba065e69b9dp-13, 0x1.f97fe88f88e5ap-14, 0x1.e67ac46b3bfc7p-14, 0x1.d45a51f5c8268p-14, 0x1.c31539f27aab8p-14, 0x1.b2a35c4c86d37p-14, 0x1.a2fba02c1d368p-14, 0x1.9415a10389d58p-14, 0x1.85e9583c4305bp-14, 0x1.786eb3e66a51p-14, 0x1.6b9e0c98597ebp-14, 0x1.5f6ff7259a6cap-14, 0x1.53de2dd8d58e5p-14, 0x1.48e0b67dd5b8ap-14, 0x1.3e717f6454cep-14, 0x1.3489fd5733975p-14, 0x1.2b23ff85863d5p-14, 0x1.2239978dfa19fp-14, 0x1.19c4d8aaa7547p-14, 0x1.11c06dea87c7ap-14, 0x1.0a26c94c05791p-14, 0x1.02f2c8f3592fap-14, 0x1.f83eca6e8e316p-15, 0x1.eb506562717fp-15, 0x1.df0f4e7a8f6a2p-15, 0x1.d374ea5114717p-15, 0x1.c876d68590bc8p-15, 0x1.be0dfc2967eb6p-15, 0x1.b4315394d1997p-15, 0x1.aada7c0325e4fp-15, 0x1.a20127057ee71p-15, 0x1.999eaeefaed45p-15, 0x1.91acad2334b5fp-15, 0x1.8a23e33996541p-15, 0x1.82ff25e183b78p-15, 0x1.7c371536550d2p-15, 0x1.75c795b3f39dfp-15, 0x1.6fa976d8358d2p-15, 0x1.69d900a2230dfp-15, 0x1.64520a22a4703p-15, 0x1.5f0c1805ffa25p-15, 0x1.5a0667132939p-15, 0x1.553b28cee79a4p-15, 0x1.50a5ecdd62d41p-15, 0x1.4c42fd62b0ce3p-15, 0x1.481058a242a8p-15, 0x1.4406b7025f29fp-15, 0x1.4025f24058de7p-15, 0x1.3c68be269c032p-15, 0x1.38ceb03ba255p-15, 0x1.35507b431be03p-15, 0x1.31f13892e75c7p-15, 0x1.2ea732f3f8c42p-15, 0x1.2b77bccff6fe7p-15, 0x1.285a5802fb37bp-15, 0x1.254fa1e213926p-15, 0x1.2255448b1dd9p-15, 0x1.1f68d73eb522bp-15, 0x1.1c88b6df6ce5ep-15, 0x1.19b2ed4dd4aeep-15, 0x1.16e68c811b376p-15, 0x1.14214c8832d0fp-15, 0x1.116213c31cf38p-15, 0x1.0ea7ca024a84bp-15, 0x1.0bf0bdd71675dp-15, 0x1.093c5f1b7b62ap-15, 0x1.068905acc420ap-15, 0x1.03d663cb7803fp-15, 0x1.0122f7842754ep-15, 0x1.fcdcc6656512ep-16, 0x1.f76f3132b83ddp-16, 0x1.f1fc2b911a427p-16, 0x1.ec828dfe0ad9dp-16, 0x1.e700a2d61510fp-16, 0x1.e176c26eef9d1p-16, 0x1.dbe1f609eccd1p-16, 0x1.d643bb063e687p-16, 0x1.d099f08581badp-16, 0x1.cae441af30194p-16, 0x1.c52296889d0c8p-16, 0x1.bf545ec540a0fp-16, 0x1.b9794c5c53209p-16, 0x1.b3906fab7cdffp-16, 0x1.ad9c07925e461p-16, 0x1.a796d29fe7826p-16, 0x1.a187a8c26f25dp-16, 0x1.9b69cba46fc85p-16, 0x1.953e985c470b3p-16, 0x1.8f06212da0af3p-16, 0x1.88bfa3c96c99fp-16, 0x1.826fded112354p-16, 0x1.7c0fed7b009fap-16, 0x1.75a5ef157f3b6p-16, 0x1.6f305f948247p-16, 0x1.68acd28e8c61ep-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.776233c03de94p-1, -0x1.4c6ed19618d1p-1, -0x1.27f1ee62fc18p-1, -0x1.095f244df03bcp-1, -0x1.e01777d9c379ep-2, -0x1.b68255038e407p-2, -0x1.9493e5f4a45b7p-2, -0x1.78f46c46169dbp-2, -0x1.6269e788b242ap-2, -0x1.4fddb9fedc798p-2, -0x1.405ece92d07f5p-2, -0x1.332150d0d1fc9p-2, -0x1.277ccc1506ad3p-2, -0x1.1ce943d5a2a11p-2, -0x1.12fbc55a03e2bp-2, -0x1.0962bcb4d2298p-2, -0x1.ffc497e30122bp-3, -0x1.eca199bcf359bp-3, -0x1.d92727aa5045ap-3, -0x1.c53808281a138p-3, -0x1.b0c9f82f7b77ap-3, -0x1.9be1345a7e801p-3, -0x1.868caa536dd5ep-3, -0x1.70e2cb276168p-3, -0x1.5afeed434f3b2p-3, -0x1.44ff2e4f6aa2p-3, -0x1.2f02c6d64a624p-3, -0x1.1928bcc8ec58p-3, -0x1.038eea281c643p-3, -0x1.dca28c3d1afaap-4, -0x1.b312d09ae36dp-4, -0x1.8a9c71ad5ddd4p-4, -0x1.63678d7b5dfc8p-4, -0x1.3d9673747265p-4, -0x1.1945ae9e0bd8ep-4, -0x1.ed189d8841f3ap-5, -0x1.aaf83d8934f6dp-5, -0x1.6c4403418f88dp-5, -0x1.310cbdce0550ep-5, -0x1.f2b62eed1d23ep-6, -0x1.8a60ee2a117a7p-6, -0x1.290fac195dac4p-6, -0x1.9d5a3d405bb3cp-7, -0x1.ec69273fdd0bfp-8, -0x1.717fa5ff60bc5p-9, 0x1.84002131006d7p-10, 0x1.61a559fff72bbp-8, 0x1.2508b0eb78674p-7, 0x1.8d99988e73ap-7, 0x1.eb021c8e8d35dp-7, 0x1.1ee145229c72p-6, 0x1.432eadaf6c578p-6, 0x1.62aaf39df5e61p-6, 0x1.7d97c2a2512ddp-6, 0x1.94363900f44dbp-6, 0x1.a6c69368f4db6p-6, 0x1.b587ce201d3ecp-6, 0x1.c0b77284c863bp-6, 0x1.c8914bf6f6998p-6, 0x1.cd4f45a1415abp-6, 0x1.cf294c44a2742p-6, 0x1.ce552ec4d2b0bp-6, 0x1.cb0691cd17ac5p-6, 0x1.c56eddac54f81p-6, 0x1.bdbd3e2feb655p-6, 0x1.b41e895454056p-6, 0x1.a8bdb38c43b05p-6, 0x1.9bc2f9f2a7a49p-6, 0x1.8d54cb642b45dp-6, 0x1.7d9761524d85dp-6, 0x1.6cacec666a795p-6, 0x1.5ab593dd8b638p-6, 0x1.47cf94b7221d9p-6, 0x1.34174e2bec35fp-6, 0x1.1fa7534fa5162p-6, 0x1.0a9881fbab1eap-6, 0x1.ea042ec457599p-7, 0x1.bdf3a7ddc3faep-7, 0x1.91275f173e69ap-7, 0x1.63c502b08b28dp-7, 0x1.35ef59ad10fap-7, 0x1.07c69e1493099p-7, 0x1.b2d132778a2c7p-8, 0x1.55e197f473719p-8, 0x1.f1e226624c5edp-9, 0x1.385c738f50c17p-9, 0x1.fe1e5ef33f9eap-11, -0x1.c27545ecfec4ap-12, -0x1.ddbafeee252b4p-10, -0x1.a3e510b8bfdb5p-9, -0x1.2b94e17a2358p-8, -0x1.843af8e923811p-8, -0x1.dbcc9a0dd4babp-8, -0x1.1919fbd03b27ap-7, -0x1.43aec773bde26p-7, -0x1.6d9bf6f7ce8acp-7, -0x1.96d9ce9fdbf85p-7, -0x1.bf6179ec7396dp-7, -0x1.e72cfe5bbb257p-7, -0x1.071b93fd4a63fp-6, -0x1.1a3dbb14ea97fp-6, -0x1.2cfb0da08074p-6, -0x1.3f51f1072e316p-6, -0x1.514113a08a1ffp-6, -0x1.62c765935be47p-6, -0x1.73e4154214b36p-6, -0x1.8496886401e1ap-6, -0x1.94de57a09abbp-6, -0x1.a4bb498d28773p-6, -0x1.b42d4abf1bdcfp-6, -0x1.c33488f8fbc46p-6, -0x1.d1d12b1d69f3fp-6, -0x1.e003938f577c9p-6, -0x1.edcc3b5933755p-6, -0x1.fb2bb534b3fbfp-6, -0x1.0411556892215p-5, -0x1.0a58ed9053bbep-5, -0x1.106d0bc90069cp-5, -0x1.164e20b36f7f8p-5, -0x1.1bfca523ee5cdp-5, -0x1.217917af64804p-5, -0x1.26c3fcd3b079bp-5, -0x1.2bdddfae0c646p-5, -0x1.30c7492e69d26p-5, -0x1.3580d0607401p-5, -0x1.3a0b073f973c7p-5, -0x1.3e6685d62ddcfp-5, -0x1.4293e5a740639p-5, -0x1.4693c22a971dap-5, -0x1.4a66b86a1e0fp-5, -0x1.4e0d66bbf93f9p-5, -0x1.51886a6fabf49p-5, -0x1.54d86534b95c4p-5, -0x1.57fdf620dbce4p-5, -0x1.5af9bd7c38d6ep-5, -0x1.5dcc5b82142d9p-5, -0x1.6076703ada22ap-5, -0x1.62f899bfad1a7p-5, -0x1.65537d6f3b41ep-5, -0x1.6787b4a60096ep-5, -0x1.6995df1cda968p-5, -0x1.6b7e9b77d9c47p-5, -0x1.6d428691a696cp-5, -0x1.6ee23d07400bbp-5, -0x1.705e5ac03da12p-5, -0x1.71b779cd24659p-5, -0x1.72ee356a1be8ep-5, -0x1.7403268494984p-5, -0x1.74f6e5aa6338ep-5, -0x1.75ca0a9a819e9p-5, -0x1.767d2c4043cabp-5, -0x1.7710e0b0b1375p-5, -0x1.7785bd21800adp-5, -0x1.77dc54dc6b08dp-5, -0x1.78153f969bdb2p-5, -0x1.78310c396645p-5, -0x1.78304de73fcfp-5, -0x1.7813964ea3db1p-5, -0x1.77db75b34a0cfp-5, -0x1.77887bf3f33dap-5, -0x1.771b383024bd4p-5, -0x1.769438fe2e3e9p-5, -0x1.75f40b0a3b301p-5, -0x1.753b3c3565067p-5, -0x1.746a583dd3f2bp-5, -0x1.7381e9981e226p-5, -0x1.72827d25ae253p-5, -0x1.716c9be110baap-5, -0x1.7040cf177488ap-5, -0x1.6eff9f820574p-5, -0x1.6da994f68264dp-5, -0x1.6c3f36840f6fdp-5, -0x1.6ac10aa3f7248p-5, -0x1.692f973fff248p-5, -0x1.678b6102984a9p-5, -0x1.65d4ec14f40f1p-5, -0x1.640cbc1190afap-5, -0x1.6233537117f65p-5, -0x1.604934009dbfp-5, -0x1.5e4edeb5ee27p-5, -0x1.5c44d3ad1f23bp-5, -0x1.5a2b92217a0cep-5, -0x1.58039853eb523p-5, -0x1.55cd635d2736cp-5, -0x1.538971782b9b8p-5, -0x1.51383c5aefcc7p-5, -0x1.4eda3f18fee33p-5, -0x1.4c6ff350cf4aap-5, -0x1.49f9d189679e9p-5, -0x1.47785138b8e4p-5, -0x1.44ebe8c2612cbp-5, -0x1.42550d7969b9fp-5, -0x1.3fb43383ab026p-5, -0x1.3d09cd89c85a8p-5, -0x1.3a564d7f94873p-5, -0x1.379a242fae8fcp-5, -0x1.34d5c08ada902p-5, -0x1.320990cae2478p-5, -0x1.2f360192ebceep-5, -0x1.2c5b7e509b72cp-5, -0x1.297a710ef7222p-5, -0x1.26934279c79dap-5, -0x1.23a659d5a12e4p-5, -0x1.20b41cf4ac99cp-5, -0x1.1dbcf0d57274ap-5, -0x1.1ac1374761214p-5, -0x1.17c151f3d5fdep-5, -0x1.14bda1838121ap-5, -0x1.11b68409727aep-5, -0x1.0eac564d6b396p-5, -0x1.0b9f739c28f5cp-5, -0x1.089035ab388b6p-5, -0x1.057ef493d77a2p-5, -0x1.026c06bbb3689p-5, -0x1.feaf82b769b8fp-6, -0x1.f884eed1bffc1p-6, -0x1.f258f3718e46p-6, -0x1.ec2c32577764p-6, -0x1.e5ff47be119d9p-6, -0x1.dfd2cc1c45ab1p-6, -0x1.d9a7550c1f589p-6, -0x1.d37d75afa17b2p-6, -0x1.cd55bbc9b0b55p-6, -0x1.c730b30763abep-6, -0x1.c10ee42f42e3dp-6, -0x1.baf0d32c39cb8p-6, -0x1.b4d70159f4eabp-6, -0x1.aec1ec684b034p-6, -0x1.a8b210a88eba6p-6, -0x1.a2a7dfb62b307p-6, -0x1.9ca3d1fbc1e9cp-6, -0x1.96a6564cad337p-6, -0x1.90afd9316f031p-6, -0x1.8ac0c33f8c94ep-6, -0x1.84d97bb83bd38p-6, -0x1.7efa648cc9f76p-6, -0x1.7923dd1c17dbcp-6, -0x1.735641616890ep-6, -0x1.6d91ea17a443p-6, -0x1.67d72d6c6234dp-6, -0x1.62265c8dbc0b4p-6, -0x1.5c7fc57217087p-6, -0x1.56e3b672bc4a9p-6, -0x1.515277fe4c0bcp-6, -0x1.4bcc4d40026b9p-6, -0x1.46517b1cce5eap-6, -0x1.40e23ff5d875p-6, -0x1.3b7ed969df8bp-6, -0x1.3627802d3f14ep-6, -0x1.30dc6a8200872p-6, -0x1.2b9dcd2385fb7p-6, -0x1.266bd7fd1a508p-6, -0x1.2146b95396e52p-6, -0x1.1c2e9cca7613ap-6, -0x1.1723a9d4fc428p-6, -0x1.122609b0c418bp-6, -0x1.0d35dc6bd2edap-6, -0x1.08534381b8904p-6, -0x1.037e5d7b1db8cp-6, -0x1.fd6e8bde28ca4p-7, -0x1.f3fc2c5f081a2p-7, -0x1.eaa5cabf4325bp-7, -0x1.e16b8f97bccf9p-7, -0x1.d84d9fc24cd67p-7, -0x1.cf4c1b83f034fp-7, -0x1.c6671e810dcb7p-7, -0x1.bd9ec06627ac5p-7, -0x1.b4f314ffb71dap-7, -0x1.ac642af6aa377p-7, -0x1.a3f20e2a89a9p-7, -0x1.9b9cc34526882p-7, -0x1.9364520908ee5p-7, -0x1.8b48b912cfec5p-7, -0x1.8349f33ad504ep-7, -0x1.7b67fcff89289p-7, -0x1.73a2cb89bbdeep-7, -0x1.6bfa4eccf3e7fp-7, -0x1.646e7925911b3p-7, -0x1.5cff31f145ab3p-7, -0x1.55ac677ea16d5p-7, -0x1.4e75ff32c17d5p-7, -0x1.475bdddcfc055p-7, -0x1.405de1223dfe7p-7, -0x1.397be6f6f402p-7, -0x1.32b5d02439694p-7, -0x1.2c0b755abb807p-7, -0x1.257cace57f2fbp-7, -0x1.1f094b2e2e04cp-7, -0x1.18b124f580e1ep-7, -0x1.12740a97189b2p-7, -0x1.0c51cc0340b65p-7, -0x1.064a35d12b853p-7, -0x1.005d140dc796fp-7, -0x1.f514610a8f294p-8, -0x1.e9a2a7d532642p-8, -0x1.de648a5cc4c93p-8, -0x1.d3599396a010dp-8, -0x1.c8814bd121951p-8, -0x1.bddb3a89bf492p-8, -0x1.b366e21166e39p-8, -0x1.a923bd722856fp-8, -0x1.9f11550859211p-8, -0x1.952f228e2b537p-8, -0x1.8b7ca1579006cp-8, -0x1.81f94b5300defp-8, -0x1.78a4942feb678p-8, -0x1.6f7dfcc4258d8p-8, -0x1.6684f4f2376aap-8, -0x1.5db8ee5c88d51p-8, -0x1.55196415512aap-8, -0x1.4ca5b9e2cc66fp-8, -0x1.445d67adf13ap-8, -0x1.3c3fed3f1df5bp-8, -0x1.344ca882cad68p-8, -0x1.2c830ed7e5fadp-8, -0x1.24e294fcb1007p-8, -0x1.1d6a99ec4c055p-8, -0x1.161a9b7345035p-8, -0x1.0ef201885b51dp-8, -0x1.07f0404cb5b97p-8, -0x1.0114c24b5fb51p-8, -0x1.f4bdecd7bca42p-9, -0x1.e79c91c3a1367p-9, -0x1.dac45b437e2fep-9, -0x1.ce34205b8de1bp-9, -0x1.c1eac4a79272ap-9, -0x1.b5e7298c6199p-9, -0x1.aa282f4921637p-9, -0x1.9eacb811f2929p-9, -0x1.9373a7ee156bap-9, -0x1.887beb9355781p-9, -0x1.7dc45faa6b09ep-9, -0x1.734bf4acef4fcp-9, -0x1.69118d42e680ep-9, -0x1.5f141f278871ap-9, -0x1.55529313ba07p-9, -0x1.4bcbdc02a7567p-9, -0x1.427ee09a9842bp-9, -0x1.396aabd9f762fp-9, -0x1.308e2f9fb423dp-9, -0x1.27e85689a634ap-9, -0x1.1f7b2d15eaf7dp-9, -0x1.173fc17f00732p-9, -0x1.0f37fa1b8745bp-9, -0x1.0762d3f66c5e8p-9, -0x1.ff7eb916aacf8p-10, -0x1.f0993a47e8791p-10, -0x1.e2132efe5f6bep-10, -0x1.d3eabfc3b4e41p-10, -0x1.c61e075c0a9ep-10, -0x1.b8ab3e2aa5b61p-10, -0x1.ab90748a91375p-10, -0x1.9ecbf124c1d7ap-10, -0x1.925bf347af9d5p-10, -0x1.863e9821ba453p-10, -0x1.7a7242cbd19d4p-10, -0x1.6ef53f092f039p-10, -0x1.63c5cc170f37cp-10, -0x1.58e237df4c02ap-10, -0x1.4e48fbeea2a85p-10, -0x1.43f851c05af0bp-10, -0x1.39eed8195c7b4p-10, -0x1.302afced09d93p-10, -0x1.26ab00c480326p-10, -0x1.1d6d7ac081e4bp-10, -0x1.1470eb96c2219p-10, -0x1.0bb3db27350b6p-10, -0x1.0334c3ff5cc05p-10, -0x1.f5e4b8f874ddcp-11, -0x1.e5d68216860a6p-11, -0x1.d63bd53a44a41p-11, -0x1.c712260c0de3ep-11, -0x1.b856ca97f4fedp-11, -0x1.aa0724defc406p-11, -0x1.9c20b03d5ba0cp-11, -0x1.8ea0c154a11abp-11, -0x1.81850843d0986p-11, -0x1.74cb055243c85p-11, -0x1.6870579682c29p-11, -0x1.5c72a84eca02ap-11, -0x1.50cf9f58e112ap-11, -0x1.45850e8210f58p-11, -0x1.3a90bb5f513aap-11, -0x1.2ff06b0b71592p-11, -0x1.25a20eff5e0c6p-11, -0x1.1ba385d541ca5p-11, -0x1.11f2d1656da74p-11, -0x1.088def6f31932p-11, -0x1.fee54cdee4a3fp-12, -0x1.ed3ef440e792cp-12, -0x1.dc24846a20bb4p-12, -0x1.cb9276fce3f5dp-12, -0x1.bb850d658f003p-12, -0x1.abf8db6a76555p-12, -0x1.9cea5f0e0cbf3p-12, -0x1.8e563a18bb7p-12, -0x1.80388d45ce022p-12, -0x1.728f1ebfe6d8p-12, -0x1.6556b54f6c26fp-12, -0x1.588b45d6c6b48p-12, -0x1.4c2a448e74244p-12, -0x1.4030b5b7a18d7p-12, -0x1.349bad6a01b21p-12, -0x1.2968533f863a2p-12, -0x1.1e93e618caa29p-12, -0x1.141b51d8f0834p-12, -0x1.09fcb0c5f7affp-12, -0x1.00353a455a887p-12, -0x1.ed83cfad0f911p-13, -0x1.db410ed3be4eap-13, -0x1.c99d6e5d8614fp-13, -0x1.b89427eca9f3bp-13, -0x1.a820ae155dd83p-13, -0x1.983e87ee42e7ap-13, -0x1.88e91649bd9e6p-13, -0x1.7a1c8d1042608p-13, -0x1.6bd4c03af7c43p-13, -0x1.5e0cf89c73a82p-13, -0x1.50c1d60109e23p-13, -0x1.43ef4a83edf19p-13, -0x1.379127d729359p-13, -0x1.2ba59f971125cp-13, -0x1.202682cd191eep-13, -0x1.1511eb14c9138p-13, -0x1.0a6426f905dc5p-13, -0x1.0019f52e2653ap-13, -0x1.ec60110e50a42p-14, -0x1.d946a58e40bb4p-14, -0x1.c6e1c4b0230c2p-14, -0x1.b52ab056c5cb5p-14, -0x1.a41d2857171ep-14, -0x1.93b1a9d995549p-14, -0x1.83e331ffa8f0ep-14, -0x1.74b0482b914bdp-14, -0x1.660ec38c0844ap-14, -0x1.57fb9685c6b6cp-14, -0x1.4a71e6e4c0134p-14, -0x1.3d6d000499cf7p-14, -0x1.30e848fe7582p-14, -0x1.24df8e7dffee7p-14, -0x1.194dff81d7716p-14, -0x1.0e2fff36fd72ep-14, -0x1.03804d7f3ea6bp-14, -0x1.f2779169ee136p-15, -0x1.dec2b3f93a84cp-15, -0x1.cbd1e995242fdp-15, -0x1.b9a1ef4f17e07p-15, -0x1.a82b6157ce73bp-15, -0x1.97679291b5348p-15, -0x1.875001d60b228p-15, -0x1.77de604655766p-15, -0x1.690c987fd8f41p-15, -0x1.5ad473ff7264dp-15, -0x1.4d30deb4e4f28p-15, -0x1.401a91876e628p-15, -0x1.338f2467f1aacp-15, -0x1.278734b1f4c1bp-15, -0x1.1bfdaf61f9f78p-15, -0x1.10ee9c4e526edp-15, -0x1.0654c0cf31734p-15, -0x1.f85723af7d139p-16, -0x1.e4ddea710cb93p-16, -0x1.d234da211ba1p-16, -0x1.c0519521bd6f1p-16, -0x1.af370bbe57125p-16, -0x1.9ec95e011e346p-16, -0x1.8f12dde302099p-16, -0x1.800581f1c4cdep-16, -0x1.719ade0df2c4cp-16, -0x1.63cc6e74ffbabp-16, -0x1.56947017e7c83p-16, -0x1.49ebe9767fb17p-16, -0x1.3dccb0b7a3b0ep-16, -0x1.3231f55596842p-16, -0x1.271606cc4165ep-16, -0x1.1c71708cc1cf8p-16, -0x1.124688145d349p-16, -0x1.087ee6c39877bp-16, -0x1.fe593e981a0e5p-17, -0x1.ec77c75f48067p-17, -0x1.db58e57067911p-17, -0x1.caf3f65e5e809p-17, -0x1.bb40da02cc7a3p-17, -0x1.ac379664e1ea8p-17, -0x1.9dd0068d50e88p-17, -0x1.900580072dbb6p-17, -0x1.82cd01401fd5cp-17, -0x1.762191ff51652p-17, -0x1.69fe3d7c173eep-17, -0x1.5e5a051965d2cp-17, -0x1.53312035d6ad9p-17, -0x1.48806fb4a4474p-17, -0x1.3e3b7dc2cfacp-17, -0x1.3467d705005a3p-17, -0x1.2aeae782e568fp-17, -0x1.21dc489f322bap-17, -0x1.1924ec8898424p-17, -0x1.10c44be1760edp-17, -0x1.08b7ea01cd75p-17, -0x1.00fbe21aa84e8p-17, -0x1.f314c9291c70ap-18, -0x1.e4c15d9a9883dp-18, -0x1.d6f73de705a32p-18, -0x1.c9ae78a191d0cp-18, -0x1.bcd67280a6fa5p-18, -0x1.b0914093456f9p-18, -0x1.a49977d6d04b3p-18, -0x1.991ee75ed303ep-18, -0x1.8e03dcf584c0fp-18, -0x1.83481e2bc008cp-18, -0x1.78e71a2bffabcp-18, -0x1.6edc1e11442a8p-18, -0x1.6522a391f96c6p-18, -0x1.5bb6f40b9c2cdp-18, -0x1.529396ef4be0bp-18, -0x1.49b9b0872d968p-18, -0x1.411e96037457ep-18, -0x1.38bf75777385dp-18, -0x1.309eb08cb06f1p-18, -0x1.28c3bcdf7966dp-18, -0x1.2106318e78836p-18, -0x1.19886c60e3d8bp-18, -0x1.12390922d1fcp-18, -0x1.0b179394c5241p-18, -0x1.042194317de2fp-18, -0x1.faab01c04cf18p-19, -0x1.ed6331c2e1f63p-19, -0x1.e05e00b8c5d99p-19, -0x1.d3bbf0796d221p-19, -0x1.c72c8e9b8911dp-19, -0x1.bb03a69214eb1p-19, -0x1.af0e646b0fa1fp-19, -0x1.a351564df5939p-19, -0x1.97d1defff8edbp-19, -0x1.8c7cd4b6b0cc5p-19, -0x1.8162997fff68ep-19, -0x1.7679ad182d0dep-19, -0x1.6bbfbe0d5685p-19, -0x1.6131e6f1855acp-19, -0x1.56cfc90b31a89p-19, -0x1.4c7efe3c188fap-19, -0x1.428930bc86e05p-19, -0x1.388316c8b4d05p-19, -0x1.2ed44d686924ap-19, -0x1.2531742ca9f65p-19, -0x1.1bae97c0e8945p-19, -0x1.12566b9c31992p-19, -0x1.091c1e6b5245cp-19, -0x1.fffea28b99398p-20, -0x1.ee0818e4314ep-20, -0x1.dc4e260330baap-20, -0x1.cace54b9b745cp-20, -0x1.b98924b205c11p-20, -0x1.a87f0dc3926c9p-20, -0x1.979cd0f36f285p-20, -0x1.8737a4ec47088p-20, -0x1.76b785b5ab67fp-20, -0x1.668ccbb061bfep-20, -0x1.569332775b51p-20, -0x1.46dcd595eddc8p-20, -0x1.3756563f45076p-20, -0x1.27f42141be91ap-20, -0x1.18de4b87539f3p-20, -0x1.09e94fd2c3e96p-20, -0x1.f671232d4c607p-21, -0x1.d95bae3cfd9d3p-21, -0x1.bcb91a940493ep-21, -0x1.a08ac989909b9p-21, -0x1.8470dd953f64fp-21, -0x1.698c1d83577ep-21, -0x1.4dfeca5273e15p-21, -0x1.33a82b440070fp-21, -0x1.194d3cc5757b5p-21, -0x1.ff0c0805d3452p-22, -0x1.cc2f7fe3bec4dp-22, -0x1.9a1d2da0db864p-22, -0x1.68d7f59f84ee4p-22, -0x1.387da96ebef93p-22, -0x1.08eda6c6404c2p-22, -0x1.b42cf62c78c63p-23, -0x1.580b6a9084c76p-23, -0x1.fb8bf8d8c9f07p-24, -0x1.4a180757ac9c1p-24, -0x1.36e6ae3945b41p-25, 0x1.c5ab6389211b8p-29, 0x1.6ee480ee41948p-25, 0x1.5adb891c9af79p-24, 0x1.fbfceffdc53a7p-24, 0x1.4d00ec618fa8dp-23, 0x1.99ce6a73f5766p-23, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.31056e166af82p-1, -0x1.76267d06ef85bp-1, -0x1.b5d9eaed125bfp-1, -0x1.ed8cf8f34c6a5p-1, -0x1.0db687e19f156p+0, -0x1.1f2da675170e6p+0, -0x1.2aeb8c5453dc1p+0, -0x1.30f2481d64744p+0, -0x1.3178fc25447b1p+0, -0x1.2cdf202a7cd77p+0, -0x1.23a0e9fecc458p+0, -0x1.164d2b34a538ep+0, -0x1.057cb3f5e1c29p+0, -0x1.e3968f3067f5dp-1, -0x1.b7a413e13c09dp-1, -0x1.88466877545b4p-1, -0x1.568e1a2172bbdp-1, -0x1.2373aaad059b5p-1, -0x1.dfaa2c05a41aap-2, -0x1.78e99516ce5e9p-2, -0x1.13f364e495eaap-2, -0x1.63c021f9bb3dp-3, -0x1.4e564cec550c2p-4, 0x1.8d38c07a23398p-8, 0x1.6bcafde372fa1p-4, 0x1.547b57f93cadbp-3, 0x1.e7a23f9073b6dp-3, 0x1.378609429a974p-2, 0x1.754ea79654f03p-2, 0x1.ad32a47009587p-2, 0x1.df4b7b52606b3p-2, 0x1.05e097ff36902p-1, 0x1.1963a82f07178p-1, 0x1.2a4d3a47e3d5dp-1, 0x1.38be9818ba759p-1, 0x1.44db9fdca1e7ap-1, 0x1.4ec98a641c242p-1, 0x1.56ae389139257p-1, 0x1.5caf93335503p-1, 0x1.60f30f2ca9f9fp-1, 0x1.639d4cd9312fcp-1, 0x1.64d1cd151932p-1, 0x1.64b2b62fdbff2p-1, 0x1.6360a708a887cp-1, 0x1.60fa942c66797p-1, 0x1.5d9db22aba669p-1, 0x1.596569e389084p-1, 0x1.546b56f4de4dfp-1, 0x1.4ec74e5779d49p-1, 0x1.488f6a6d85e4fp-1, 0x1.41d818e623997p-1, 0x1.3ab42bfb1b6a1p-1, 0x1.3334ebafb8214p-1, 0x1.2b6a28b5f7a6bp-1, 0x1.236250534536cp-1, 0x1.1b2a814ea39dfp-1, 0x1.12cea056fb444p-1, 0x1.0a596da236872p-1, 0x1.01d49922ca5f9p-1, 0x1.f291ad616b1dp-2, 0x1.e17be19cddf1ep-2, 0x1.d075b4c66f3a2p-2, 0x1.bf8b7ef87153fp-2, 0x1.aec8293663a05p-2, 0x1.9e354bfc8f626p-2, 0x1.8ddb4b5d88e4ep-2, 0x1.7dc1728bf5d26p-2, 0x1.6dee0bb886224p-2, 0x1.5e6677cc2a7dcp-2, 0x1.4f2f428569cedp-2, 0x1.404c360208c39p-2, 0x1.31c06ba4305c4p-2, 0x1.238e5e2354b5dp-2, 0x1.15b7f8a353da3p-2, 0x1.083ea5dbea398p-2, 0x1.f646bb410fadep-3, 0x1.dccd61c525d4ep-3, 0x1.c410f968e8498p-3, 0x1.ac12aa85232bbp-3, 0x1.94d10a258a0cep-3, 0x1.7e4ac213452a9p-3, 0x1.687e083f62561p-3, 0x1.5368ae35cad7ep-3, 0x1.3f082f66b232ap-3, 0x1.2b59bd65de307p-3, 0x1.185a4b6758e84p-3, 0x1.060697ca80f1bp-3, 0x1.e8b6687a0354dp-4, 0x1.c6a91cd7efe89p-4, 0x1.a5dde96542b24p-4, 0x1.864d3ae080f53p-4, 0x1.67ef57c2ccf93p-4, 0x1.4abc69e63a1efp-4, 0x1.2eac87eb52a4dp-4, 0x1.13b7bd29f0e29p-4, 0x1.f3ac246eabfe6p-5, 0x1.c1ff269f21f66p-5, 0x1.9258ae68c9b26p-5, 0x1.64a9098fd6766p-5, 0x1.38e0b09259982p-5, 0x1.0ef04f71677c7p-5, 0x1.cd9198279c0f9p-6, 0x1.80b69bb9dd8cp-6, 0x1.373283a8e69cfp-6, 0x1.e1d17d012a14p-7, 0x1.5b7aaaef4af12p-7, 0x1.b653c41a9b44bp-8, 0x1.82a6f5852097ep-9, -0x1.439d874ba961fp-11, -0x1.0767464ebc05fp-8, -0x1.dbea20d620418p-8, -0x1.532e2ed10c566p-7, -0x1.b38db5be96376p-7, -0x1.07a08031fef67p-6, -0x1.333a07ae1a716p-6, -0x1.5ca8c4d0be77fp-6, -0x1.840161667ba92p-6, -0x1.a957dd20a2d2ap-6, -0x1.ccbf919689526p-6, -0x1.ee4b35f3d995fp-6, -0x1.070670139c99ep-5, -0x1.160b04d8f00a1p-5, -0x1.243bc9933dc1ep-5, -0x1.31a0e34494f41p-5, -0x1.3e422eac7785ap-5, -0x1.4a2740f2e33f9p-5, -0x1.55576ab119e56p-5, -0x1.5fd9b8d878874p-5, -0x1.69b4f74936c54p-5, -0x1.72efb2752f5a5p-5, -0x1.7b90397b017e7p-5, -0x1.839c9f00704b4p-5, -0x1.8b1abe981ad6cp-5, -0x1.921039a043fa2p-5, -0x1.98827cfa6df9bp-5, -0x1.9e76c15f4d221p-5, -0x1.a3f20d6b9153bp-5, -0x1.a8f9375520ff2p-5, -0x1.ad90e6dedbf79p-5, -0x1.b1bd9753ca93dp-5, -0x1.b58396d4465e5p-5, -0x1.b8e70c7a3f8f2p-5, -0x1.bbebf599c71d7p-5, -0x1.be962981acc04p-5, -0x1.c0e95ae3cefc2p-5, -0x1.c2e917b911865p-5, -0x1.c498cd7b3f7fbp-5, -0x1.c5fbc7ea8ddf3p-5, -0x1.c71533219250ap-5, -0x1.c7e81dcbe339ep-5, -0x1.c87779092a1fp-5, -0x1.c8c61a3ff6dfbp-5, -0x1.c8d6bc14d2a9p-5, -0x1.c8abff7e06cf6p-5, -0x1.c8486cbf31725p-5, -0x1.c7ae7466188c1p-5, -0x1.c6e070453388fp-5, -0x1.c5e0a489d32bbp-5, -0x1.c4b13fea7c2f8p-5, -0x1.c3545ce7d161dp-5, -0x1.c1cc04ce091a2p-5, -0x1.c01a2b9379049p-5, -0x1.be40b5269d81ap-5, -0x1.bc41740cca3d5p-5, -0x1.ba1e2a85eadd9p-5, -0x1.b7d885abf1e04p-5, -0x1.b57243e808b6ep-5, -0x1.b2ece3a1e921dp-5, -0x1.b049eb94df661p-5, -0x1.ad8ad527de53p-5, -0x1.aab10cd8e01a9p-5, -0x1.a7bdf3f5cb523p-5, -0x1.a4b2df83e0de1p-5, -0x1.a19117523e0dp-5, -0x1.9e59dc234a8a7p-5, -0x1.9b0e607417368p-5, -0x1.97afcec387e1ap-5, -0x1.943f47170d64p-5, -0x1.90bde0316ac23p-5, -0x1.8d2ca74be521cp-5, -0x1.898ca13db25a9p-5, -0x1.85deca20bfb05p-5, -0x1.822415c3bbb3cp-5, -0x1.7e5d70028112cp-5, -0x1.7a8bbcf5fbfe7p-5, -0x1.76afd97552552p-5, -0x1.72ca9aab0f865p-5, -0x1.6edccf24dc139p-5, -0x1.6ae73e941a2e4p-5, -0x1.66eaaa149bb96p-5, -0x1.62e7cc4bb302fp-5, -0x1.5edf59badb59ap-5, -0x1.5ad2015c359fdp-5, -0x1.56c06c4eda4a6p-5, -0x1.52ab3d9340ffdp-5, -0x1.4e931218aa972p-5, -0x1.4a78848f029a7p-5, -0x1.465c267dc2644p-5, -0x1.423e87eb21a4ep-5, -0x1.3e2031630b72dp-5, -0x1.3a01a8466552p-5, -0x1.35e36ce67c9b3p-5, -0x1.31c5fb3c2245ap-5, -0x1.2da9ca8d01e1fp-5, -0x1.298f4edfce111p-5, -0x1.2576f68a943cep-5, -0x1.21612d0f6517ap-5, -0x1.1d4e5965de04dp-5, -0x1.193edf0e4aeedp-5, -0x1.15331d7fa69f6p-5, -0x1.112b709bf84cep-5, -0x1.0d2830abb0d5dp-5, -0x1.0929b27801d62p-5, -0x1.053047730c284p-5, -0x1.013c3d5af092fp-5, -0x1.fa9bbe4fec6bfp-6, -0x1.f2cae83efb2e3p-6, -0x1.eb068299d69ebp-6, -0x1.e34f0e324ff03p-6, -0x1.dba5091f219ep-6, -0x1.d408eada920a2p-6, -0x1.cc7b217a4e426p-6, -0x1.c4fc1cdaa39a5p-6, -0x1.bd8c43311e6cp-6, -0x1.b62bf0ecc5938p-6, -0x1.aedb8604573f1p-6, -0x1.a79b5842b10dep-6, -0x1.a06bb9126eea8p-6, -0x1.994cf5b93a819p-6, -0x1.923f57891cd12p-6, -0x1.8b43210a9590ap-6, -0x1.8458924e24a65p-6, -0x1.7d7fe6a2f85b9p-6, -0x1.76b953da7237ep-6, -0x1.70050dc801c71p-6, -0x1.69634296911d5p-6, -0x1.62d41d28223ecp-6, -0x1.5c57c46ea72fep-6, -0x1.55ee5b945f9bbp-6, -0x1.4f9802c69a388p-6, -0x1.4954d5422a413p-6, -0x1.4324ec161892ap-6, -0x1.3d085d238b395p-6, -0x1.36ff39d9c4654p-6, -0x1.310992dae91e5p-6, -0x1.2b2772c65fd2cp-6, -0x1.2558e384fc053p-6, -0x1.1f9dea79d4bc6p-6, -0x1.19f68ba856be7p-6, -0x1.1462c89bf4a17p-6, -0x1.0ee29e2f044f7p-6, -0x1.09760995199d4p-6, -0x1.041d03e8e264cp-6, -0x1.fdaf074be13c6p-7, -0x1.f34afb77a6d42p-7, -0x1.e90dca1b71ba8p-7, -0x1.def7531c508f2p-7, -0x1.d50776d49c499p-7, -0x1.cb3e0aff71abcp-7, -0x1.c19ae6dc5b8a3p-7, -0x1.b81ddbfb8c004p-7, -0x1.aec6b9525d66fp-7, -0x1.a595486d8164fp-7, -0x1.9c8956af39609p-7, -0x1.93a2a451de27fp-7, -0x1.8ae0f3a22d403p-7, -0x1.8244038771075p-7, -0x1.79cb942fe470dp-7, -0x1.71775d45de265p-7, -0x1.694718fb89dffp-7, -0x1.613a7bddb4ff2p-7, -0x1.59513b6d5adbep-7, -0x1.518b087b019c6p-7, -0x1.49e792ed493bp-7, -0x1.426688e2343bcp-7, -0x1.3b0796eb6838bp-7, -0x1.33ca67e3882bdp-7, -0x1.2caea4e57d52ap-7, -0x1.25b3f7721a20ep-7, -0x1.1eda050bde737p-7, -0x1.182073812077ep-7, -0x1.1186e8a9a2512p-7, -0x1.0b0d0638133d8p-7, -0x1.04b2718fc574cp-7, -0x1.fced95f907141p-8, -0x1.f0b3668799e6cp-8, -0x1.e4b5976bb6437p-8, -0x1.d8f36b04b2a92p-8, -0x1.cd6c1d1fd429ep-8, -0x1.c21eed80c2be8p-8, -0x1.b70b14504b95p-8, -0x1.ac2fddb69a534p-8, -0x1.a18c7ce8d64dep-8, -0x1.9720253c2a8e6p-8, -0x1.8cea201339dc5p-8, -0x1.82e9a71243d18p-8, -0x1.791df32b826abp-8, -0x1.6f863ba57b48fp-8, -0x1.6621d40792819p-8, -0x1.5cefe3e0f7a15p-8, -0x1.53efaf8e80ffap-8, -0x1.4b20691f634bap-8, -0x1.428162028b4ddp-8, -0x1.3a11c9cb5c0c4p-8, -0x1.31d0fd4bd5ff6p-8, -0x1.29be1f6488721p-8, -0x1.21d87fa6e6da2p-8, -0x1.1a1f60a691417p-8, -0x1.12920ad3220d2p-8, -0x1.0b2fb524e9457p-8, -0x1.03f7b721f688bp-8, -0x1.f9d2a716c2dd1p-9, -0x1.ec07aaac0e176p-9, -0x1.de8d0e904ea67p-9, -0x1.d1616d1fb6e68p-9, -0x1.c483616d6bd2ep-9, -0x1.b7f1916f6cc24p-9, -0x1.abaa97313cde9p-9, -0x1.9fad28cda5901p-9, -0x1.93f7e09e3a29cp-9, -0x1.8889734e876f9p-9, -0x1.7d60916176fe2p-9, -0x1.727bf057446ep-9, -0x1.67da4a8a9c60cp-9, -0x1.5d7a593def60bp-9, -0x1.535add544a00dp-9, -0x1.497a9a5774752p-9, -0x1.3fd85232986b4p-9, -0x1.3672d94d5075p-9, -0x1.2d48fc93e35c8p-9, -0x1.2459943fe22edp-9, -0x1.1ba36c9d66fffp-9, -0x1.1325633028a1p-9, -0x1.0ade47553bb47p-9, -0x1.02cd28a28cc82p-9, -0x1.f5e1838e5d04fp-10, -0x1.e69018c191a3fp-10, -0x1.d7a3ebff33252p-10, -0x1.c91ae8532be58p-10, -0x1.baf2f00e4029cp-10, -0x1.ad2a10b0a7131p-10, -0x1.9fc2dbf418e26p-10, -0x1.92b2a691de327p-10, -0x1.85fb7914af632p-10, -0x1.799b4016e3379p-10, -0x1.6d9077579b26ep-10, -0x1.61d8f3cbe91cep-10, -0x1.5672df6cb13a9p-10, -0x1.4b5c7738f4004p-10, -0x1.4093f123eedadp-10, -0x1.3617892c8021fp-10, -0x1.2be58ffc1d567p-10, -0x1.21fc4774fd9d2p-10, -0x1.185a12df1141ep-10, -0x1.0efd33d4473f7p-10, -0x1.05e427c79f3f8p-10, -0x1.fa1a99acd407p-11, -0x1.e8ee382b563a2p-11, -0x1.d83feabf3f753p-11, -0x1.c80d404582d3cp-11, -0x1.b8529bd7a56b9p-11, -0x1.a90d514abb33cp-11, -0x1.9a3af88126bap-11, -0x1.8bd8302a9b6a1p-11, -0x1.7de2953f50ab1p-11, -0x1.705751a7d3e44p-11, -0x1.6333ddaa676a9p-11, -0x1.56758791bd1c3p-11, -0x1.4a19fa9a2b9bp-11, -0x1.3e1ebe8e431a4p-11, -0x1.3281233908aeep-11, -0x1.273f197cdcd99p-11, -0x1.1c5632885e159p-11, -0x1.11c407bd8b4ebp-11, -0x1.0786ca7d5d0a1p-11, -0x1.fb37061aa1a8dp-12, -0x1.e80166ed1a9b7p-12, -0x1.d568be357d5a9p-12, -0x1.c367baea5a48dp-12, -0x1.b1fb92f57b7bcp-12, -0x1.a11fbad3db16dp-12, -0x1.90d07e9435ee7p-12, -0x1.810a2647b5427p-12, -0x1.71c84ab413a1bp-12, -0x1.6309984f39df6p-12, -0x1.54c840ecaf772p-12, -0x1.4701a5a8866f9p-12, -0x1.39b2bd5672ddbp-12, -0x1.2cd73a30d7383p-12, -0x1.206d2916b4fdbp-12, -0x1.1470c04e50c7bp-12, -0x1.08df5b551e3fcp-12, -0x1.fb6a4be19f59cp-13, -0x1.e5e00a1956cf3p-13, -0x1.d119c37901644p-13, -0x1.bd11e285d43f9p-13, -0x1.a9c26eabb2154p-13, -0x1.972715c2bb3aap-13, -0x1.853a92d9c1b65p-13, -0x1.73f6d4b1d9bb4p-13, -0x1.6357790698468p-13, -0x1.5357bcba470ccp-13, -0x1.43f2beac71747p-13, -0x1.3523de1ca4f31p-13, -0x1.26e6aa7638c37p-13, -0x1.1936a3f52e6b2p-13, -0x1.0c0fa28591f2p-13, -0x1.fedaabda2788ep-14, -0x1.e697bea9dec3ap-14, -0x1.cf4d266a47cdcp-14, -0x1.b8f531cfd162bp-14, -0x1.a386270d386cfp-14, -0x1.8ef9aad9ba616p-14, -0x1.7b4903c1605e4p-14, -0x1.686c31b8f4195p-14, -0x1.565b9179ce2d8p-14, -0x1.4512a8a58bf1dp-14, -0x1.3489239b7eec9p-14, -0x1.24b992de2eea4p-14, -0x1.159d30f065ddap-14, -0x1.072c43dfeb8b3p-14, -0x1.f2ced69127229p-15, -0x1.d880556dba72cp-15, -0x1.bf6ba16b46c42p-15, -0x1.a78457bf0ec73p-15, -0x1.90bf55670c032p-15, -0x1.7b130d4a97b96p-15, -0x1.66727d2faf576p-15, -0x1.52dadb494851ep-15, -0x1.403952aeeca33p-15, -0x1.2e8d531c06876p-15, -0x1.1dc89eb6aa232p-15, -0x1.0ddfa759eb834p-15, -0x1.fdac266a2e379p-16, -0x1.e12d0d64d26c1p-16, -0x1.c63f5d265d1aap-16, -0x1.accea8162edffp-16, -0x1.94cd99e6784f3p-16, -0x1.7e2d58d8b5544p-16, -0x1.68dfb18ff54e2p-16, -0x1.54d6c333d3214p-16, -0x1.420572fb7616cp-16, -0x1.305c6e2c4f27bp-16, -0x1.1fd30fcc8807ep-16, -0x1.105c4336c5df7p-16, -0x1.01e9734bedb85p-16, -0x1.e8e3265c74212p-17, -0x1.cfd00a270975cp-17, -0x1.b8865dcbbd89bp-17, -0x1.a2f03cbc3695ap-17, -0x1.8efa7b4d928cep-17, -0x1.7c8f49ce43812p-17, -0x1.6b9b7aaf6cbp-17, -0x1.5c183d8df40dep-17, -0x1.4dd9ccc5cca9dp-17, -0x1.40ebb023a6028p-17, -0x1.3545fc4b95253p-17, -0x1.2a979c6b99c5bp-17, -0x1.210de4c3072a5p-17, -0x1.1891f0f60c2a4p-17, -0x1.110b6fbe7bb3p-17, -0x1.0a6bd1fd7ba4cp-17, -0x1.04abc485db238p-17, -0x1.ff6567899d8ap-18, -0x1.f71fa6dce7246p-18, -0x1.f0206a306ebacp-18, -0x1.ea93f35b28106p-18, -0x1.e6365a392720cp-18, -0x1.e3108ae48048dp-18, -0x1.e0f05ed6d5a45p-18, -0x1.dffb7dd54136fp-18, -0x1.dfd64ed89fc1bp-18, -0x1.e09f21bd5ded3p-18, -0x1.e2308504d62a6p-18, -0x1.e4986f98333edp-18, -0x1.e7844661c44aep-18, -0x1.eb36375f5f395p-18, -0x1.ef5c5e2b08febp-18, -0x1.f406a187dd9bbp-18, -0x1.f9466cfab1198p-18, -0x1.fee56378cb8ecp-18, -0x1.026504037488ap-17, -0x1.0587d30d48605p-17, -0x1.08c9c3a017bcap-17, -0x1.0c273c491bb6cp-17, -0x1.0fb518c78f2c5p-17, -0x1.13397e35e9d4cp-17, -0x1.16d9ece282f8fp-17, -0x1.1a85a66937ce1p-17, -0x1.1e37f0ac69a58p-17, -0x1.21eda0ccbd193p-17, -0x1.25a3f9e796443p-17, -0x1.2955220ad9b72p-17, -0x1.2d0c2de520c13p-17, -0x1.309f231e1029dp-17, -0x1.3437008375afdp-17, -0x1.37bebf8705659p-17, -0x1.3b3437cf6ea74p-17, -0x1.3e91f728b89e2p-17, -0x1.41db8773327bcp-17, -0x1.450ce6c3edc35p-17, -0x1.48223057a9e7p-17, -0x1.4b1cca5462fc1p-17, -0x1.4df9123c036f1p-17, -0x1.50b90abc011fbp-17, -0x1.5354a2ec5600ep-17, -0x1.55ca374e65d99p-17, -0x1.5821670481b28p-17, -0x1.5a543e3515cdbp-17, -0x1.5c61654204bb2p-17, -0x1.5e48a729b8045p-17, -0x1.60094227905d6p-17, -0x1.61a1b03076406p-17, -0x1.6314814b5036ep-17, -0x1.645b5979792c7p-17, -0x1.657a234c0e567p-17, -0x1.66737ff3f1a39p-17, -0x1.674060bda6367p-17, -0x1.67e60008ea612p-17, -0x1.685e970290df8p-17, -0x1.68b2f000f67a3p-17, -0x1.68d942f47fd51p-17, -0x1.68db7534c82c5p-17, -0x1.68aabcf1193dbp-17, -0x1.68584ea32f782p-17, -0x1.67da1f6ebff57p-17, -0x1.67336ff67b24bp-17, -0x1.666602bfe0cd2p-17, -0x1.656c4ca8282fbp-17, -0x1.6456a7a0013f8p-17, -0x1.6311f5a3497ecp-17, -0x1.61aed076e3357p-17, -0x1.60171bba5d713p-17, -0x1.5e622609879edp-17, -0x1.5c8f90f20d883p-17, -0x1.5a89d566b8e63p-17, -0x1.586c5a83be66ep-17, -0x1.5627bddbb09c8p-17, -0x1.53c6ab72fbe53p-17, -0x1.513fc4aa02e74p-17, -0x1.4e9bb7a985e4cp-17, -0x1.4bd5bebf4f892p-17, -0x1.48f1cfc99cd6cp-17, -0x1.45eece9b4543cp-17, -0x1.42d5d32058fe5p-17, -0x1.3f92c92ac6706p-17, -0x1.3c40bc5c2893dp-17, -0x1.38c8743c568cdp-17, -0x1.3545b6a5f7edbp-17, -0x1.319f4d234ef76p-17, -0x1.2de2e6fa5dce5p-17, -0x1.2a0d6f68a6e23p-17, -0x1.2627576992532p-17, -0x1.2228068cfa5c1p-17, -0x1.1e12653e20ab7p-17, -0x1.19ea22622f71ep-17, -0x1.15b32dbfe5a34p-17, -0x1.11667c8e65d6dp-17, -0x1.0d0a35413d172p-17, -0x1.089e3f728c83p-17, -0x1.0422a54fdfd03p-17, -0x1.ff2d0cc38b757p-18, -0x1.f5fbfa4fb3e19p-18, -0x1.ecb0292251b0fp-18, -0x1.e350672713042p-18, -0x1.d9d66b01b0252p-18, -0x1.d048d9e156d0dp-18, -0x1.c6ac6dc57fc4p-18, -0x1.bcf5511b27ddbp-18, -0x1.b33c1f5db590ap-18, -0x1.a966f3f916329p-18, -0x1.9f69921a2bd3bp-18, -0x1.95a9ad9c9eb5fp-18, -0x1.8bb7e2f499002p-18, -0x1.81c01b7237d3dp-18, -0x1.77c1fa6ce5584p-18, -0x1.6dbfad587093cp-18, -0x1.63c185b973467p-18, -0x1.59aea383fa839p-18, -0x1.4fa14fd43d9e5p-18, -0x1.459b48db9d26p-18, -0x1.3b8783c5d54d3p-18, -0x1.318e3b3d61b71p-18, -0x1.278c569be9d85p-18, -0x1.1d9044e51a415p-18, -0x1.13a14c6d8b3a7p-18, -0x1.09b1d94568488p-18, -0x1.ffa1c9b1f9281p-19, -0x1.ec01744555b69p-19, -0x1.d85072b7d352fp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.17928eea3bf97p-2, 0x1.2fe73a76e8295p-2, 0x1.32e0fd5b2346ap-2, 0x1.254ba6eb7f30ap-2, 0x1.0c0a319790a52p-2, 0x1.d740fc9b21638p-3, 0x1.8fe3b17b992e9p-3, 0x1.4849594b4a46dp-3, 0x1.053e4314bb42ap-3, 0x1.944d352f6d165p-4, 0x1.3250b9b113efep-4, 0x1.cd75f41eb4acdp-5, 0x1.641f5010a87a7p-5, 0x1.270c71f33424bp-5, 0x1.12c8c0699cc0ap-5, 0x1.229a10f6616acp-5, 0x1.510510fea19d5p-5, 0x1.9838896df4bc4p-5, 0x1.f2611c207ce2dp-5, 0x1.2cf3f4b878d2fp-4, 0x1.64cf6672d3054p-4, 0x1.9e6eab5f7d4c2p-4, 0x1.d7c8a55647553p-4, 0x1.07914d89548b1p-3, 0x1.2187e87a10c09p-3, 0x1.39372ec103f22p-3, 0x1.4e3110828942ap-3, 0x1.602747a930d2dp-3, 0x1.6ee7de9f66332p-3, 0x1.7a599aeb56cbep-3, 0x1.82786a1602f24p-3, 0x1.8751f14e36b53p-3, 0x1.89024a581aaep-3, 0x1.87b0fa502f3abp-3, 0x1.838e795150bb5p-3, 0x1.7cd16f158332bp-3, 0x1.73b4e27ba8f3ep-3, 0x1.68765d3c66f05p-3, 0x1.5b54717ff6baap-3, 0x1.4c8d75ea496c6p-3, 0x1.3c5e818ca6f88p-3, 0x1.2b029cd886e0dp-3, 0x1.18b2261bd30c1p-3, 0x1.05a258df86082p-3, 0x1.e40a09850ca3fp-4, 0x1.bc10ac864e46ep-4, 0x1.93ad79842e511p-4, 0x1.6b2dc8f541abp-4, 0x1.42d77d9d0c929p-4, 0x1.1ae92e487e96ap-4, 0x1.e734e16923dd2p-5, 0x1.9a384491d4651p-5, 0x1.4f318fccd7333p-5, 0x1.0669e34178c5bp-5, 0x1.803e7f21179a8p-6, 0x1.f2154af38b4b7p-7, 0x1.de32980a4d401p-8, -0x1.fc3c683aecf54p-13, -0x1.e546180954408p-8, -0x1.d0b350abc0d8p-7, -0x1.50f8f58af4f35p-6, -0x1.b323123fc804dp-6, -0x1.076b027268f2bp-5, -0x1.320c708e8f833p-5, -0x1.597d66601b5abp-5, -0x1.7dc8f80486004p-5, -0x1.9efd40ce8bf4cp-5, -0x1.bd2aff845d733p-5, -0x1.d865285f37934p-5, -0x1.f0c08cd9812c3p-5, -0x1.0329c66862dap-4, -0x1.0c9ade4b9ebe6p-4, -0x1.14bfdaaa0e59dp-4, -0x1.1ba5648175454p-4, -0x1.215869f1be3afp-4, -0x1.25e6050ed9c2bp-4, -0x1.295b6580df739p-4, -0x1.2bc582df14177p-4, -0x1.2d31d63a40c26p-4, -0x1.2dad44a3a36bp-4, -0x1.2d44a9b94a0e7p-4, -0x1.2c04a9b1cecb9p-4, -0x1.29f9a7f244a2ep-4, -0x1.272fbeb1fdbc5p-4, -0x1.23b2b7f28ee06p-4, -0x1.1f8e09bad2405p-4, -0x1.1accd0e25f7e7p-4, -0x1.1579cf0990b5dp-4, -0x1.0f9f672981de3p-4, -0x1.09479e28a2397p-4, -0x1.027c17c8a05d8p-4, -0x1.f68c2d8656416p-5, -0x1.e75cf9333c7e4p-5, -0x1.d77b92be8ae1fp-5, -0x1.c6f8387856a2fp-5, -0x1.b5e268b2a017dp-5, -0x1.a448e34bf71fbp-5, -0x1.9239adb2b42f3p-5, -0x1.7fc215ff7d4d1p-5, -0x1.6ceeb8207525fp-5, -0x1.59cb821ca172p-5, -0x1.4663ba2982bdap-5, -0x1.32c203e77f428p-5, -0x1.1ef066e359d94p-5, -0x1.0af854ad9f787p-5, -0x1.edc5562a32b2cp-6, -0x1.c56f86b9e27ep-6, -0x1.9cfedbdd16977p-6, -0x1.7481fad8c2228p-6, -0x1.4c0695fc10436p-6, -0x1.2399770a8fa4bp-6, -0x1.f68d14b8727fp-7, -0x1.a631d0c7af44dp-7, -0x1.5635c0e53ad6ap-7, -0x1.06ac0573ba7bep-7, -0x1.6f4ca2e0b2076p-8, -0x1.a4d4178128881p-9, -0x1.b6737ff69d49p-11, 0x1.8da98676b0282p-10, 0x1.f84db647542b2p-9, 0x1.934f8cf82a10cp-8, 0x1.14678206af133p-7, 0x1.5e48d3f230984p-7, 0x1.a742d02e808bdp-7, 0x1.ef4d57ff3a72ap-7, 0x1.1b3089120b086p-6, 0x1.3e3bab99b3949p-6, 0x1.60c5155822895p-6, 0x1.82ca160a06b06p-6, 0x1.a44846f1ec8cbp-6, 0x1.c53d85b266e3dp-6, 0x1.e5a7ef684115bp-6, 0x1.02c2eba605432p-5, 0x1.126ae79b5d814p-5, 0x1.21cb4ab93d46ap-5, 0x1.30e38c387873p-5, 0x1.3fb338c4f9a76p-5, 0x1.4e39f0c7547abp-5, 0x1.5c776737dc753p-5, 0x1.6a6b5e2df3211p-5, 0x1.7815aa2146384p-5, 0x1.85762a547d178p-5, 0x1.928cccd78fe99p-5, 0x1.9f598b21ba645p-5, 0x1.abdc690df1442p-5, 0x1.b8157546a4f3fp-5, 0x1.c404c6e493bffp-5, 0x1.cfaa7dd8daab8p-5, 0x1.db06c157589e2p-5, 0x1.e619c05e085p-5, 0x1.f0e3b00835449p-5, 0x1.fb64cba8cb7d4p-5, 0x1.02ceaa0f081b7p-4, 0x1.07c6c7bd83c4dp-4, 0x1.0c9ae44b4c077p-4, 0x1.114b276225799p-4, 0x1.15d7babe701e9p-4, 0x1.1a40ca0423ec9p-4, 0x1.1e8682f38d922p-4, 0x1.22a9151e61b34p-4, 0x1.26a8b09cdd2d4p-4, 0x1.2a8588f7c43a9p-4, 0x1.2e3fd1a289d02p-4, 0x1.31d7c0db391a5p-4, 0x1.354d8d9920bffp-4, 0x1.38a1858332475p-4, 0x1.3bd3b2debb012p-4, 0x1.3ee46baa75b97p-4, 0x1.41d3ecf5f6cb4p-4, 0x1.44a27544fa48ep-4, 0x1.4750447f6e056p-4, 0x1.49dd9b31f62fep-4, 0x1.4c4abbbd0b39fp-4, 0x1.4e97eae9d00e2p-4, 0x1.50c56c344cfc6p-4, 0x1.52d3872913579p-4, 0x1.54c2831c8fce8p-4, 0x1.5692a929a9296p-4, 0x1.584443cd300ecp-4, 0x1.59d79ec33bac6p-4, 0x1.5b4d075246ad9p-4, 0x1.5ca4cc10c60cdp-4, 0x1.5ddf3cfdc5039p-4, 0x1.5efcab80e5376p-4, 0x1.5ffd6a6b306cep-4, 0x1.60e1cddcd931bp-4, 0x1.61aa2b9276316p-4, 0x1.6256da72334bp-4, 0x1.62e832d2a689fp-4, 0x1.635e8e7ff2fcap-4, 0x1.63ba48af931a2p-4, 0x1.63fbbde261dc9p-4, 0x1.64234b91daf26p-4, 0x1.643150927048ap-4, 0x1.64262d77a9542p-4, 0x1.640244623a646p-4, 0x1.63c5f6bf45a49p-4, 0x1.6371a985e6a66p-4, 0x1.6305c0fc194c5p-4, 0x1.6282a3c5cbbd4p-4, 0x1.61e8b8d496767p-4, 0x1.613868574208ap-4, 0x1.60721b71ac51bp-4, 0x1.5f963c3bdb84ap-4, 0x1.5ea535748a5ccp-4, 0x1.5d9f731128309p-4, 0x1.5c85618154d42p-4, 0x1.5b576e14e59adp-4, 0x1.5a1606a3edc29p-4, 0x1.58c199b6f6749p-4, 0x1.575a96792a57dp-4, 0x1.55e16c812196bp-4, 0x1.54568bc6f480ap-4, 0x1.52ba64893f16dp-4, 0x1.510d6855ad828p-4, 0x1.4f500774b37f5p-4, 0x1.4d82b32b39601p-4, 0x1.4ba5dcc7ac29p-4, 0x1.49b9f68f521ccp-4, 0x1.47bf713f065e6p-4, 0x1.45b6be333ecc6p-4, 0x1.43a04fda50d12p-4, 0x1.417c95febe6e1p-4, 0x1.3f4c01c290745p-4, 0x1.3d0f0511b96b5p-4, 0x1.3ac60f181e744p-4, 0x1.38719015d78e2p-4, 0x1.3611f7994e2f9p-4, 0x1.33a7b49bca4d8p-4, 0x1.313334fed0237p-4, 0x1.2eb4e7286587cp-4, 0x1.2c2d37703d963p-4, 0x1.299c92e7d6e1dp-4, 0x1.2703647766f7bp-4, 0x1.246216b27322cp-4, 0x1.21b9136bdf51dp-4, 0x1.1f08c36fc856dp-4, 0x1.1c518e7b9fcadp-4, 0x1.1993db28dac83p-4, 0x1.16d00f0e34019p-4, 0x1.14068f25838ep-4, 0x1.1137bd33f9b23p-4, 0x1.0e63fcafcdbf7p-4, 0x1.0b8bae7a1bdd7p-4, 0x1.08af30455cc0fp-4, 0x1.05cee1de746ccp-4, 0x1.02eb1f3feac2dp-4, 0x1.0004446dcbcfap-4, 0x1.fa355594425ap-5, 0x1.f45d551363707p-5, 0x1.ee813669578bap-5, 0x1.e8a1a33fca1f2p-5, 0x1.e2bf43898240cp-5, 0x1.dcdabc4261d43p-5, 0x1.d6f4ae96c8287p-5, 0x1.d10db8a716e78p-5, 0x1.cb2675d86220ep-5, 0x1.c53f7c0457a3cp-5, 0x1.bf5961ba8c77bp-5, 0x1.b974b69ef80c8p-5, 0x1.b392089beed26p-5, 0x1.adb1e1da6f8f3p-5, 0x1.a7d4c8a748585p-5, 0x1.a1fb42c48c27fp-5, 0x1.9c25cda50f0e1p-5, 0x1.9654e6007295p-5, 0x1.908904dcc9134p-5, 0x1.8ac29f4f96e9dp-5, 0x1.85022c33245a2p-5, 0x1.7f4816152f889p-5, 0x1.7994c7d4dce54p-5, 0x1.73e8abdaa7bebp-5, 0x1.6e4425e9a1f9p-5, 0x1.68a7968afb695p-5, 0x1.63135d0d3729ap-5, 0x1.5d87d3adf5c72p-5, 0x1.580550a71ad0ap-5, 0x1.528c29062b713p-5, 0x1.4d1cabba93213p-5, 0x1.47b727eb5ab44p-5, 0x1.425be770dc243p-5, 0x1.3d0b30bf0d2fp-5, 0x1.37c5489a4367bp-5, 0x1.328a6ec65c9a7p-5, 0x1.2d5ae1bad3487p-5, 0x1.2836dc30951eap-5, 0x1.231e95a341499p-5, 0x1.1e1242b6c49e2p-5, 0x1.1912158a63a4fp-5, 0x1.141e3cdd0cf58p-5, 0x1.0f36e3c08471cp-5, 0x1.0a5c3794866aep-5, 0x1.058e5c1acd00bp-5, 0x1.00cd734c916e8p-5, 0x1.f83343fbe9ab5p-6, 0x1.eee60ca44e9e1p-6, 0x1.e5b3781719ebbp-6, 0x1.dc9bb7ce2f762p-6, 0x1.d39f02527459cp-6, 0x1.cabd7ba3b88c4p-6, 0x1.c1f74aaa96f0dp-6, 0x1.b94c8cc174aa8p-6, 0x1.b0bd6481dbc46p-6, 0x1.a849e5a1c521cp-6, 0x1.9ff22c151917ap-6, 0x1.97b63eef1ca31p-6, 0x1.8f962f9e16087p-6, 0x1.8792053ebcd7bp-6, 0x1.7fa9c4d2f0131p-6, 0x1.77dd6c25b1b37p-6, 0x1.702cfbeff067dp-6, 0x1.68986dfd8df45p-6, 0x1.611fb9fbe606bp-6, 0x1.59c2d0e823b9dp-6, 0x1.5281a45242ceep-6, 0x1.4b5c227892e8p-6, 0x1.44523374732e7p-6, 0x1.3d63bdc720b0cp-6, 0x1.3690b034bd62fp-6, 0x1.2fd8e2f38e617p-6, 0x1.293c393b09994p-6, 0x1.22ba907c0e90ep-6, 0x1.1c53c3445ce25p-6, 0x1.1607ac77810ep-6, 0x1.0fd620fa4336fp-6, 0x1.09bef66275e5cp-6, 0x1.03c1ff71d211cp-6, 0x1.fbbe177a15adcp-7, 0x1.f02bdaa5ccd57p-7, 0x1.e4ccdf316e59dp-7, 0x1.d9a0bdf1c1d04p-7, 0x1.cea70b5fe38dcp-7, 0x1.c3df56e7dcaa2p-7, 0x1.b9492c0143dbbp-7, 0x1.aee424e56d6c9p-7, 0x1.a4afbc4529b47p-7, 0x1.9aab7cec0d77ap-7, 0x1.90d6ef0a0ddf7p-7, 0x1.87319357daf2p-7, 0x1.7dbae88aa7634p-7, 0x1.747272af6df5cp-7, 0x1.6b5cff1820b23p-7, 0x1.62701c42018b2p-7, 0x1.59afd9d049d01p-7, 0x1.511ba93001233p-7, 0x1.48b3126d4e724p-7, 0x1.4075799f482p-7, 0x1.386257c8645ddp-7, 0x1.30792025d4df8p-7, 0x1.28b945b2ce584p-7, 0x1.212236e8b39c9p-7, 0x1.19b36b3360273p-7, 0x1.126c4ddc77728p-7, 0x1.0b4c51c5e1508p-7, 0x1.0452e43bbd492p-7, 0x1.fafef2a4c70bfp-8, 0x1.eda2face9893ep-8, 0x1.e090c3be7f2e6p-8, 0x1.d3c724faae9cfp-8, 0x1.c7451830c6628p-8, 0x1.bb096464cf13cp-8, 0x1.af12f46b8b34bp-8, 0x1.a360bb2abe896p-8, 0x1.97f1856e69b96p-8, 0x1.8cc446f2776a7p-8, 0x1.81d7e2a908159p-8, 0x1.772b44e597767p-8, 0x1.6cbd531e768dbp-8, 0x1.628d0174f3f01p-8, 0x1.5899403239d34p-8, 0x1.4ee0f6f85876dp-8, 0x1.456322891010ep-8, 0x1.3c1eb5cc958d8p-8, 0x1.3312a63accea3p-8, 0x1.2a3df6d4cf4d6p-8, 0x1.219f9ab4972a1p-8, 0x1.193690d359f2cp-8, 0x1.1101eb59ab429p-8, 0x1.09009e569bba7p-8, 0x1.0131bf47a9dacp-8, 0x1.f328a61c4ba81p-9, 0x1.e44ed07ec686cp-9, 0x1.d5d4204efc2edp-9, 0x1.c7b696e0ff959p-9, 0x1.b9f4d6955075dp-9, 0x1.ac8c9aab351f5p-9, 0x1.9f7c45826f5cp-9, 0x1.92c21b66a136p-9, 0x1.865c54472621ep-9, 0x1.7a49465825a9dp-9, 0x1.6e873d85776b7p-9, 0x1.631499a381b9bp-9, 0x1.57ef999527678p-9, 0x1.4d16bb4346599p-9, 0x1.42885e60bd067p-9, 0x1.3842ee18c3d6fp-9, 0x1.2e44dc60720c3p-9, 0x1.248ca553a8a7ap-9, 0x1.1b18cd3bc3464p-9, 0x1.11e7c64b4f9cbp-9, 0x1.08f818ad92465p-9, 0x1.00486ef1dc6fbp-9, 0x1.efae8498688cp-10, 0x1.df466e7aa41e7p-10, 0x1.cf55d3e5350e7p-10, 0x1.bfd9f16e68e81p-10, 0x1.b0d02bdf521cep-10, 0x1.a235e58ef8e5ap-10, 0x1.94086d3b9a18p-10, 0x1.8645533cba727p-10, 0x1.78e9fb2cc7d9ap-10, 0x1.6bf40b29875f8p-10, 0x1.5f60f9d0da1d1p-10, 0x1.532e5d85e13adp-10, 0x1.4759fc305b11dp-10, 0x1.3be18275e6a9ep-10, 0x1.30c297b1e872ap-10, 0x1.25fb0885863eap-10, 0x1.1b88a3e183ae4p-10, 0x1.116957ad3827bp-10, 0x1.079ae863bda77p-10, 0x1.fc36cc87f9744p-11, 0x1.e9d14d2760d3p-11, 0x1.d8016dd96c2cep-11, 0x1.c6c3519b96ddcp-11, 0x1.b6131652023c4p-11, 0x1.a5ed01e79cac3p-11, 0x1.964d45bcdf3b6p-11, 0x1.873081ec58ce3p-11, 0x1.7892e85da839dp-11, 0x1.6a712d9353832p-11, 0x1.5cc7e083ebe86p-11, 0x1.4f93643812975p-11, 0x1.42d1222add34cp-11, 0x1.367d44d02ec8bp-11, 0x1.2a94f32082449p-11, 0x1.1f150ae6599f1p-11, 0x1.13fa9a59daadap-11, 0x1.0942b58017c8fp-11, 0x1.fdd4ee9150468p-12, 0x1.e9de535ff8953p-12, 0x1.d69bf8c8e4f72p-12, 0x1.c4088edc46957p-12, 0x1.b21ef82c962ep-12, 0x1.a0da0e1335213p-12, 0x1.9034eac6cb336p-12, 0x1.802a5d3fe871bp-12, 0x1.70b64fe394b66p-12, 0x1.61d38f1df6437p-12, 0x1.537ddaa2cba6fp-12, 0x1.45b0c6a7c930dp-12, 0x1.3867c775db50fp-12, 0x1.2b9f8e7703dp-12, 0x1.1f52b1738b5bcp-12, 0x1.137e2ff23d7bap-12, 0x1.081e0b2e83a57p-12, 0x1.fa5eebd676f2bp-13, 0x1.e5560319ea808p-13, 0x1.d1223b3c3fb12p-13, 0x1.bdb9edbc05ffp-13, 0x1.ab15ffa77e3bbp-13, 0x1.9930d12b49b6dp-13, 0x1.880261b0b68ccp-13, 0x1.7786434b61a9dp-13, 0x1.67b44fc9081e9p-13, 0x1.5888efd7183ffp-13, 0x1.49fc559d639edp-13, 0x1.3c0a9c802ad1p-13, 0x1.2ead36ff7d215p-13, 0x1.21de2ce961f26p-13, 0x1.159b81ec72d2bp-13, 0x1.09ddca315493ep-13, 0x1.fd3f67fac2123p-14, 0x1.e7bcd004887a6p-14, 0x1.d3271ce029d58p-14, 0x1.bf78f7b9a1aa5p-14, 0x1.aca71be76aeb7p-14, 0x1.9aaac3e548728p-14, 0x1.897b75921ab73p-14, 0x1.79112f8495cd8p-14, 0x1.69654aec2cf85p-14, 0x1.5a6fb65086da2p-14, 0x1.4c296e0072a14p-14, 0x1.3e8b643c3d9a1p-14, 0x1.318dfd1ec7941p-14, 0x1.2530ba9a5afd3p-14, 0x1.1965764b49b47p-14, 0x1.0e2a69bf4fbcap-14, 0x1.0378b3a833e81p-14, 0x1.f295d386e868fp-15, 0x1.df37afcc65ffep-15, 0x1.cccc1eb8a66bcp-15, 0x1.bb491ca46dc82p-15, 0x1.aaa4be7416111p-15, 0x1.9ad5c403e6b84p-15, 0x1.8bd1f77c29605p-15, 0x1.7d92c4a81e487p-15, 0x1.700eaeffb36c6p-15, 0x1.633c431459e9fp-15, 0x1.57134504f5cfap-15, 0x1.4b8e98a3a6cd8p-15, 0x1.40a4d1c66d959p-15, 0x1.364ffce81045dp-15, 0x1.2c88917d3c299p-15, 0x1.234cf39a3dd6fp-15, 0x1.1a88b2afb2c86p-15, 0x1.1240e98579f8ap-15, 0x1.0a71be316e629p-15, 0x1.030ebba24f8ap-15, 0x1.f82b7ed15f944p-16, 0x1.eb017d2b578f6p-16, 0x1.de954a64f15c6p-16, 0x1.d2de56e032c57p-16, 0x1.c7cf38809dd34p-16, 0x1.bd65cb7846c34p-16, 0x1.b390b733377ddp-16, 0x1.aa5087633dd15p-16, 0x1.a197d969cada7p-16, 0x1.99604524f97d1p-16, 0x1.91a42fd12a95bp-16, 0x1.8a56741b3a98ap-16, 0x1.837859dacc4e8p-16, 0x1.7cfea7f03c4ffp-16, 0x1.76e5af7a24fc9p-16, 0x1.7121d2544f9efp-16, 0x1.6bb59c62f4736p-16, 0x1.6697da9595182p-16, 0x1.61c10e895b1a8p-16, 0x1.5d2fec57f2ec4p-16, 0x1.58dbf62ac5c8fp-16, 0x1.54c7e37650e37p-16, 0x1.50eb03c26c0d8p-16, 0x1.4d3d4e77d1dbcp-16, 0x1.49bb4eefb345bp-16, 0x1.46681d2d4caedp-16, 0x1.433fac2370c44p-16, 0x1.4038086017389p-16, 0x1.3d50465eb5ebap-16, 0x1.3a8aec6f53c02p-16, 0x1.37dfc7c0d0647p-16, 0x1.35493e00ed818p-16, 0x1.32ccd16209d56p-16, 0x1.3063e5c6464aep-16, 0x1.2e0d1a70f87aep-16, 0x1.2bc18deb11767p-16, 0x1.2989ea64bc8fdp-16, 0x1.275b1f567df76p-16, 0x1.2531a770a3058p-16, 0x1.23143d488e63dp-16, 0x1.20fe01d0fac7ap-16, 0x1.1eec4cd50b92fp-16, 0x1.1cda4ad1c0356p-16, 0x1.1ad21aea2d0e7p-16, 0x1.18c741ecae325p-16, 0x1.16bd1a43bbd64p-16, 0x1.14ae576d2aa08p-16, 0x1.12a555c7ddf78p-16, 0x1.1097368d8724bp-16, 0x1.0e861c3235de6p-16, 0x1.0c6c488b4b4c3p-16, 0x1.0a53d7f954c1bp-16, 0x1.0833b9e33cddep-16, 0x1.060c558594ac1p-16, 0x1.03e16737b1214p-16, 0x1.01ae2d1d2a69p-16, 0x1.fee9a9327a6fbp-17, 0x1.fa68715f484a9p-17, 0x1.f5d755805864ep-17, 0x1.f1396e254ee6fp-17, 0x1.ec85721c279f3p-17, 0x1.e7cd890465a74p-17, 0x1.e2e2e933834a9p-17, 0x1.de1b41bd3cf84p-17, 0x1.d929dd5822c52p-17, 0x1.d4292a8bf3bfep-17, 0x1.cf18054edc968p-17, 0x1.c9f722296968fp-17, 0x1.c4d6d0434d39dp-17, 0x1.bf7fa8e541ef2p-17, 0x1.ba37d79f67551p-17, 0x1.b4d1c8724377fp-17, 0x1.af6260559b64fp-17, 0x1.a9e40fe022689p-17, 0x1.a457bf7252315p-17, 0x1.9ec12e39242e9p-17, 0x1.991224ba090a4p-17, 0x1.9361ebffa79fbp-17, 0x1.8d9f31696d11ap-17, 0x1.87d5be9ff5a84p-17, 0x1.81f80b341323dp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.dd4c71270d68bp-1, -0x1.c8d21255a8138p-1, -0x1.b1f9bbcc1bb8ep-1, -0x1.98d63196c5f33p-1, -0x1.7e0807f2dc87bp-1, -0x1.627031c54503fp-1, -0x1.46fb9d9f38163p-1, -0x1.2c827cad67286p-1, -0x1.13b66b728e363p-1, -0x1.fa361f28624fp-2, -0x1.d20b3c16cfc13p-2, -0x1.af413ecb5541dp-2, -0x1.91e41bf66fb6ap-2, -0x1.79c4eb7ff6386p-2, -0x1.66884e16e3f72p-2, -0x1.57b3e6ef48c6fp-2, -0x1.4cba38907fd2dp-2, -0x1.4504a6bb40db5p-2, -0x1.3ffb9078ce413p-2, -0x1.3d0c6e78f149p-2, -0x1.3bae5c2b3f6dcp-2, -0x1.3b6521296e1ebp-2, -0x1.3bc2fdb3ddbabp-2, -0x1.3c6981ecdfe4ap-2, -0x1.3d09938cf98d1p-2, -0x1.3d62f1a21b2ep-2, -0x1.3d43516f7c729p-2, -0x1.3c85180f4d5abp-2, -0x1.3b0e1ce9553f2p-2, -0x1.38ce343246709p-2, -0x1.35bdca0cf67bbp-2, -0x1.31dc7f947e09p-2, -0x1.2d2fe2ad2a0c2p-2, -0x1.27c25314f9f82p-2, -0x1.21a177c124637p-2, -0x1.1ade0a7e48ce3p-2, -0x1.138a875ad2a2dp-2, -0x1.0bba8628a38d4p-2, -0x1.038217706f48fp-2, -0x1.f5ea91053a325p-3, -0x1.e44f8351f15bfp-3, -0x1.d258f25d7571ap-3, -0x1.c02aeb312dafap-3, -0x1.ade7414a20875p-3, -0x1.9bad442bed4d6p-3, -0x1.89998d503be4bp-3, -0x1.77c603eaaddadp-3, -0x1.6649a5a20a6dep-3, -0x1.5538c6d5cbf7bp-3, -0x1.44a512408921bp-3, -0x1.349daa4c5e9cp-3, -0x1.252f4d6dd449bp-3, -0x1.166476bccb16p-3, -0x1.08458b2d265b3p-3, -0x1.f5b1f46c5e3b3p-4, -0x1.dc46d602612d4p-4, -0x1.c44fcab65839cp-4, -0x1.adcff4f3199bdp-4, -0x1.98c7da3cbfd89p-4, -0x1.8535b3a9bb3d8p-4, -0x1.7315a5b0afe82p-4, -0x1.62620d0adc6a5p-4, -0x1.5313bb18cc892p-4, -0x1.45222a3037601p-4, -0x1.3883b68e8a879p-4, -0x1.2d2dcc4aa0f3fp-4, -0x1.231512f2120f7p-4, -0x1.1a2d93c677c75p-4, -0x1.126ade38ff64bp-4, -0x1.0bc0284339dfbp-4, -0x1.06206c2dddf4p-4, -0x1.017e82b30ac09p-4, -0x1.fb9a71a3e1aa1p-5, -0x1.f5fec74047ca8p-5, -0x1.f20fe1bba03d8p-5, -0x1.efb3e8fe8b1c8p-5, -0x1.eed17188ab782p-5, -0x1.ef4f110a72df1p-5, -0x1.f11570fe6540dp-5, -0x1.f40c8fe8a0e67p-5, -0x1.f81d6a6785172p-5, -0x1.fd31b82ad486dp-5, -0x1.0199fa6411d55p-4, -0x1.0507b3fe82a07p-4, -0x1.08d815c0517ddp-4, -0x1.0d0197de255abp-4, -0x1.117b1e58a4641p-4, -0x1.163bf9ce6427dp-4, -0x1.1b3be29365086p-4, -0x1.2072fda3ddb25p-4, -0x1.25d9d62a76241p-4, -0x1.2b695bc80c16ap-4, -0x1.311ae1e755bdfp-4, -0x1.36e81bb4c100cp-4, -0x1.3ccb1ac5f2accp-4, -0x1.42be4b120561ep-4, -0x1.48bc719e6d0f2p-4, -0x1.4ec0a8e14fd99p-4, -0x1.54c65df3ff691p-4, -0x1.5ac94ec0fc4bap-4, -0x1.60c58475cfd7cp-4, -0x1.66b753a3966cfp-4, -0x1.6c9b56bc3580dp-4, -0x1.726e6c27b3697p-4, -0x1.782db1a6081cp-4, -0x1.7dd683a9131c3p-4, -0x1.836677ad4af01p-4, -0x1.88db5a5731ac2p-4, -0x1.8e332c5b9927cp-4, -0x1.936c2015bbdb1p-4, -0x1.9884960c5db5p-4, -0x1.9d7b1acb8923cp-4, -0x1.a24e63f4b1eafp-4, -0x1.a6fd4e64aca83p-4, -0x1.ab86db90733c7p-4, -0x1.afea2ea18bd67p-4, -0x1.b4268bf08a5ebp-4, -0x1.b83b54d214239p-4, -0x1.bc28073a3bd2dp-4, -0x1.bfec3b4f1518cp-4, -0x1.c387a154cf587p-4, -0x1.c6fa004e86904p-4, -0x1.ca43342d19d82p-4, -0x1.cd6329f58160ep-4, -0x1.d059ea516b65ep-4, -0x1.d3277ea6a139dp-4, -0x1.d5cc0b62d4602p-4, -0x1.d847bec76c251p-4, -0x1.da9ad4726f09fp-4, -0x1.dcc5935de4199p-4, -0x1.dec84d3e5a8c2p-4, -0x1.e0a35cfdc843fp-4, -0x1.e257273e58875p-4, -0x1.e3e417da49457p-4, -0x1.e54aa1f33fe74p-4, -0x1.e68b3f1f092cp-4, -0x1.e7a66eaaf85e7p-4, -0x1.e89cb50366c0ep-4, -0x1.e96e9b14af3b3p-4, -0x1.ea1cad97ac0c4p-4, -0x1.eaa77c1bee934p-4, -0x1.eb0f9ae135f4ap-4, -0x1.eb559edaf4e5bp-4, -0x1.eb7a1fbc140a2p-4, -0x1.eb7db7607a1a5p-4, -0x1.eb60ffd87ca4fp-4, -0x1.eb2495ce12a78p-4, -0x1.eac915fa68461p-4, -0x1.ea4f1d250f34ep-4, -0x1.e9b749ae69125p-4, -0x1.e902393a7b4e2p-4, -0x1.e83089a2acf47p-4, -0x1.e742d882b9d6ep-4, -0x1.e639c0094af2bp-4, -0x1.e515e5ea0e955p-4, -0x1.e3d7dd3f6fa4p-4, -0x1.e28043f546e9p-4, -0x1.e10fb519333a8p-4, -0x1.df86c9766135p-4, -0x1.dde619b20ccf8p-4, -0x1.dc2e3cf384271p-4, -0x1.da5fc97b797d2p-4, -0x1.d87b5423c4adfp-4, -0x1.d68170c12ea0fp-4, -0x1.d472b1a9918b2p-4, -0x1.d24fb03d8a00bp-4, -0x1.d018e84890979p-4, -0x1.cdcef44e849c9p-4, -0x1.cb72614299d4fp-4, -0x1.c903bb3fb3571p-4, -0x1.c6838c5c79f69p-4, -0x1.c3f25d579b14ap-4, -0x1.c150b5be1f4e9p-4, -0x1.be9f1b886b2fep-4, -0x1.bbde13ad0f24cp-4, -0x1.b90e20bbe0b2cp-4, -0x1.b62fc4a81fd17p-4, -0x1.b3437f9ea96aep-4, -0x1.b049d0ba45bc7p-4, -0x1.ad4334bc48ec5p-4, -0x1.aa302810b126ep-4, -0x1.a711254aa98f2p-4, -0x1.a3e6a58073cb7p-4, -0x1.a0b1207a0d98cp-4, -0x1.9d710f874eddfp-4, -0x1.9a26de9d1d8c5p-4, -0x1.96d30a52b9eb3p-4, -0x1.937601d70dc1cp-4, -0x1.901035e8b0943p-4, -0x1.8ca215ebdd96ap-4, -0x1.892c0ffe7b729p-4, -0x1.85ae90b0cbfc6p-4, -0x1.822a0330ed491p-4, -0x1.7e9ed1202b2c8p-4, -0x1.7b0d631a6abdp-4, -0x1.7776203b6669cp-4, -0x1.73d96de64136p-4, -0x1.7037b06dbb4bp-4, -0x1.6c914a881d5a7p-4, -0x1.68e69d9cf3d81p-4, -0x1.6538099261172p-4, -0x1.6185ecd95a1b2p-4, -0x1.5dd0a4c27d071p-4, -0x1.5a188bb362e6fp-4, -0x1.565dff3872033p-4, -0x1.52a154b5fd18bp-4, -0x1.4ee2e4a7f3ba3p-4, -0x1.4b23048025d03p-4, -0x1.47620927ce9dfp-4, -0x1.43a0454ddb7f2p-4, -0x1.3fde0a71be51cp-4, -0x1.3c1ba888d9ba7p-4, -0x1.38596e0349bbdp-4, -0x1.3497a7db95f1ep-4, -0x1.30d6a1e2c82abp-4, -0x1.2d16a5cc8c5ebp-4, -0x1.2957fbd9c94adp-4, -0x1.259aeb8af23a1p-4, -0x1.21dfba47c9c7ep-4, -0x1.1e26abf693d9fp-4, -0x1.1a70030e22bdbp-4, -0x1.16bc00adfaf0ap-4, -0x1.130ae40f01919p-4, -0x1.0f5ceb3c11ddcp-4, -0x1.0bb252ce02d3ap-4, -0x1.080b554094818p-4, -0x1.04682c3e4585ap-4, -0x1.00c90f87cda4p-4, -0x1.fa5c6757e43a6p-5, -0x1.f32fa5d113b14p-5, -0x1.ec0c369de4fc5p-5, -0x1.e4f28322b8fd8p-5, -0x1.dde2e4eb834f2p-5, -0x1.d6ddbf7871f39p-5, -0x1.cfe36d486d577p-5, -0x1.c8f4447dc1a3fp-5, -0x1.c2109a3272466p-5, -0x1.bb38c01a5dd6ep-5, -0x1.b46d04f532833p-5, -0x1.adadb5281faf6p-5, -0x1.a6fb19334921p-5, -0x1.a05576a0e1995p-5, -0x1.99bd1209099dbp-5, -0x1.93322b9b3fdc1p-5, -0x1.8cb5003c31882p-5, -0x1.8645cb989658fp-5, -0x1.7fe4c5945ca9p-5, -0x1.799223ac8541fp-5, -0x1.734e18b0ff048p-5, -0x1.6d18d467c27e8p-5, -0x1.66f284937fb28p-5, -0x1.60db53e717ec3p-5, -0x1.5ad36a9b936b3p-5, -0x1.54daef5a35a6dp-5, -0x1.4ef2030f51a1p-5, -0x1.4918c86773be8p-5, -0x1.434f5acf6c8dep-5, -0x1.3d95df8ce80ep-5, -0x1.37ec63efda287p-5, -0x1.3253063d0ab9bp-5, -0x1.2cc9d9eca2d37p-5, -0x1.2750f1ff4f4a9p-5, -0x1.21e8607adccebp-5, -0x1.1c902ce733945p-5, -0x1.17486be715302p-5, -0x1.121125e11cd5fp-5, -0x1.0cea6341df8adp-5, -0x1.07d429e757bc7p-5, -0x1.02ce7a2abc4c2p-5, -0x1.fbb2b6aa78adbp-6, -0x1.f1e996c5e632dp-6, -0x1.e84194a30e8d9p-6, -0x1.debaa9c271954p-6, -0x1.d554cc556579ap-6, -0x1.cc0ff08b1f6bbp-6, -0x1.c2ec05c3cf1dap-6, -0x1.b9e8f8b13334dp-6, -0x1.b106b3aaf087bp-6, -0x1.a8451c2a3cdacp-6, -0x1.9fa41634cfff1p-6, -0x1.9723855ad8cd1p-6, -0x1.8ec3451735c3ap-6, -0x1.86833204289b3p-6, -0x1.7e6324e47fdddp-6, -0x1.7662f3a25522bp-6, -0x1.6e82755a28a2ep-6, -0x1.66c179aeb7358p-6, -0x1.5f1fcffdfaf43p-6, -0x1.579d46d1393a7p-6, -0x1.5039aa8cb6b64p-6, -0x1.48f4cd24e9371p-6, -0x1.41ce5920904cap-6, -0x1.3ac62be106787p-6, -0x1.33dc13a040e3ap-6, -0x1.2d0fbefa55d25p-6, -0x1.2660f3d6b9fedp-6, -0x1.1fcf74bfe9286p-6, -0x1.195b0335cc26ap-6, -0x1.13034e05359eap-6, -0x1.0cc81eed64bb2p-6, -0x1.06a92782b4703p-6, -0x1.00a62bf792e81p-6, -0x1.f57db549f9604p-7, -0x1.e9e5e07e9d2ecp-7, -0x1.de8436a0de92cp-7, -0x1.d35833a061309p-7, -0x1.c8613b942b3bcp-7, -0x1.bd9eb5a639ce3p-7, -0x1.b3100801114bfp-7, -0x1.a8b49c1c7d05bp-7, -0x1.9e8bd2105b3cap-7, -0x1.94950fbc64feep-7, -0x1.8acfb8da55591p-7, -0x1.813b2e4703622p-7, -0x1.77d6d1a8dd387p-7, -0x1.6ea204acf0dd6p-7, -0x1.659c269fae121p-7, -0x1.5cc4c6cae66dfp-7, -0x1.541abba977df5p-7, -0x1.4b9deff96109dp-7, -0x1.434d94236b95dp-7, -0x1.3b29089c6aa5ap-7, -0x1.332fb169f8744p-7, -0x1.2b60e3425e191p-7, -0x1.23bc0b7e04979p-7, -0x1.1c4085edf6dc5p-7, -0x1.14edb4294cba5p-7, -0x1.0dc2fe8e3887fp-7, -0x1.06bfb483902e9p-7, -0x1.ffc69c3db7a16p-8, -0x1.f25a50134795fp-8, -0x1.e53944c60e3cfp-8, -0x1.d862501a36ca8p-8, -0x1.cbd442921461bp-8, -0x1.bf8dcd90e054cp-8, -0x1.b38ddfc724a52p-8, -0x1.a7d3401736223p-8, -0x1.9c5cbac812942p-8, -0x1.91293275e03c7p-8, -0x1.86377eac4429dp-8, -0x1.7b866bcd16e33p-8, -0x1.711989aa3d98cp-8, -0x1.66e70721b6693p-8, -0x1.5cf1c840f9083p-8, -0x1.5338c52b8ddd8p-8, -0x1.49baa2f85758ep-8, -0x1.40768e64916b7p-8, -0x1.376b57d79d1cbp-8, -0x1.2e97ef6c5187dp-8, -0x1.25fb4213e2962p-8, -0x1.1d945055188b7p-8, -0x1.1561fbbb1844ep-8, -0x1.0d634d02b1a9bp-8, -0x1.05973cd1c134ap-8, -0x1.fbf99143a0fd9p-9, -0x1.ed25e926f0642p-9, -0x1.deb18dbcebep-9, -0x1.d09a8d3418cdp-9, -0x1.c2df0673605bep-9, -0x1.b57d0891e5e11p-9, -0x1.a872c2dd2ff73p-9, -0x1.9bbe68043f1f7p-9, -0x1.8f5e1e29566b3p-9, -0x1.835022b847efp-9, -0x1.7792b40884b59p-9, -0x1.6c241899f71eep-9, -0x1.6102932fe9edbp-9, -0x1.562c8a111c548p-9, -0x1.4ba05a1d825e6p-9, -0x1.415c51acc93cdp-9, -0x1.375edb658945ap-9, -0x1.2da66cb12afbdp-9, -0x1.2431787059544p-9, -0x1.1afe7582cfd9ap-9, -0x1.120bfbd7a681ep-9, -0x1.09583c4bde84bp-9, -0x1.00e26fb44671dp-9, -0x1.f151572a170edp-10, -0x1.e15335073fc5dp-10, -0x1.d1c7f467b8b39p-10, -0x1.c2accdf5fededp-10, -0x1.b3ff2684e5f83p-10, -0x1.a5bc698dedf4cp-10, -0x1.97e28c86ada17p-10, -0x1.8a6d9b7ea47d4p-10, -0x1.7d5ca6a2e3332p-10, -0x1.70acc0c43d63p-10, -0x1.645ba093267cbp-10, -0x1.5866d705ce55ep-10, -0x1.4ccc4d22721efp-10, -0x1.4189b51d721dep-10, -0x1.369cd804d5a5fp-10, -0x1.2c03ca5392d0fp-10, -0x1.21bc4287ac1c6p-10, -0x1.17c44463e8b7cp-10, -0x1.0e19d004b5c3ap-10, -0x1.04baea758ebb2p-10, -0x1.f74b6337137b8p-11, -0x1.e5b0843be29c4p-11, -0x1.d4a165a3b4da3p-11, -0x1.c41bbeafd92f7p-11, -0x1.b4186a0a94aep-11, -0x1.a497783f5f39ep-11, -0x1.959451d4702d1p-11, -0x1.870ba45bb84eep-11, -0x1.78fa22c8295b4p-11, -0x1.6b5caeb6f3f6bp-11, -0x1.5e3022284d614p-11, -0x1.517162272e148p-11, -0x1.451d78adfa49p-11, -0x1.3931723fa291dp-11, -0x1.2daa6869e11fbp-11, -0x1.2285c8bcfc5a6p-11, -0x1.17c08283df4e7p-11, -0x1.0d5809d5cb6c2p-11, -0x1.0349a3ae899d3p-11, -0x1.f32625abd45a2p-12, -0x1.e0630a72817acp-12, -0x1.ce4523f0efe28p-12, -0x1.bcc7c2666da76p-12, -0x1.abe5fa9d18968p-12, -0x1.9b9bd224f0fb4p-12, -0x1.8be4277390179p-12, -0x1.7cbb184271db9p-12, -0x1.6e1c13c59f08dp-12, -0x1.600300c3fff9bp-12, -0x1.526bec177729cp-12, -0x1.45526a6999abap-12, -0x1.38b3c43ca1637p-12, -0x1.2c8a8fd39ef81p-12, -0x1.20d4bc80193ecp-12, -0x1.158dc504b10bap-12, -0x1.0ab27ff20c063p-12, -0x1.003f066c681b4p-12, -0x1.ec60e59514c9dp-13, -0x1.d9077af5dc0aap-13, -0x1.c66a9b60cf9a2p-13, -0x1.b48482b8f3afcp-13, -0x1.a34f2cb06463cp-13, -0x1.92c4c62623af9p-13, -0x1.82dfb3644b0adp-13, -0x1.739a54ae63753p-13, -0x1.64eed3743b688p-13, -0x1.56d9741c98bc4p-13, -0x1.4953e5bcc0d9bp-13, -0x1.3c5969fe2cbdcp-13, -0x1.2fe5429f3811ap-13, -0x1.23f2a4faaebeep-13, -0x1.187d46cecc284p-13, -0x1.0d809b24031ep-13, -0x1.02f866d82c4d8p-13, -0x1.f1c0cc10080d3p-14, -0x1.de6939e457662p-14, -0x1.cbe2a93457222p-14, -0x1.ba246ea516c27p-14, -0x1.a928416ff907ep-14, -0x1.98ddcf9ddc0ccp-14, -0x1.8957c16c4be1ep-14, -0x1.7a75faaa6b683p-14, -0x1.6c3aac618e3d1p-14, -0x1.5e9eb6e937284p-14, -0x1.519c59d462decp-14, -0x1.452dfc4d20f42p-14, -0x1.394d3d7e768bcp-14, -0x1.2df4abb57c598p-14, -0x1.231faf96fbb62p-14, -0x1.18c7a09fb1f6cp-14, -0x1.0ee86b8d93fa8p-14, -0x1.057ca47bc76d2p-14, -0x1.f91cb244fcd94p-15, -0x1.e7d99f274f27p-15, -0x1.d781c7d52d77ep-15, -0x1.c7ea4113952a5p-15, -0x1.b910325f339efp-15, -0x1.aae87bcfa5cb2p-15, -0x1.9d694cbbc7416p-15, -0x1.908f889d034c1p-15, -0x1.84517bf2b1702p-15, -0x1.78a64117950e1p-15, -0x1.6d8ed44cf5c1bp-15, -0x1.62ff4f7671029p-15, -0x1.58ecc913655cfp-15, -0x1.4f58b780dc7bdp-15, -0x1.46398779074c8p-15, -0x1.3d962690445b9p-15, -0x1.354e16e202b4fp-15, -0x1.2d6c03ff5e289p-15, -0x1.25ef8922609e9p-15, -0x1.1ecf952edc3f2p-15, -0x1.18075dd2d3b2ep-15, -0x1.119013c83bd14p-15, -0x1.0b68e2975aac3p-15, -0x1.058bea2a0182dp-15, -0x1.fff353b41cbc6p-16, -0x1.f543650cfbfd1p-16, -0x1.eb192358daf24p-16, -0x1.e1671c6b91775p-16, -0x1.d82a6481d11bp-16, -0x1.cf4f2f6050fdfp-16, -0x1.c6dacc91d07f1p-16, -0x1.bec494532f73ap-16, -0x1.b70780cf9a84dp-16, -0x1.af9c54d515295p-16, -0x1.a87e3af05dacdp-16, -0x1.a1844a899ba6bp-16, -0x1.9b1acd9d8d333p-16, -0x1.94c7d37774bcfp-16, -0x1.8eb2ef0721f84p-16, -0x1.88d323820ab4ap-16, -0x1.83268b78a4b57p-16, -0x1.7da911acb0af2p-16, -0x1.78571ae9327dcp-16, -0x1.732d8722ceb54p-16, -0x1.6e27ed4dbe529p-16, -0x1.694ae49bed23cp-16, -0x1.647b425caa2aap-16, -0x1.5fd902a1a5a37p-16, -0x1.5b488f3068c14p-16, -0x1.56d1f0778f7ecp-16, -0x1.526e1de4143f1p-16, -0x1.4e1c5ca5dc45ep-16, -0x1.49da272700c61p-16, -0x1.459fa5716afadp-16, -0x1.4181f613ab807p-16, -0x1.3d6495049d667p-16, -0x1.3951190ab89e3p-16, -0x1.3544fbf2ead59p-16, -0x1.313e022bd35c8p-16, -0x1.2d323781bd3a6p-16, -0x1.293f299f46f1ap-16, -0x1.253ef4d263efdp-16, -0x1.213584c6ced7ap-16, -0x1.1d467b1f37284p-16, -0x1.1948b7114e39cp-16, -0x1.154a2598fa099p-16, -0x1.1142d826c49bfp-16, -0x1.0d3e6b2b7727ap-16, -0x1.093729c06b213p-16, -0x1.0528b061085eap-16, -0x1.01150d152574p-16, -0x1.f9eafc9ad3208p-17, -0x1.f1b3e6fbf9a0ap-17, -0x1.e965ace447e1p-17, -0x1.e104355b30041p-17, -0x1.d89e11b3c4e83p-17, -0x1.d025b5bf75c22p-17, -0x1.c78aceea42f9ap-17, -0x1.bf00f90469d68p-17, -0x1.b65e554f7c0a7p-17, -0x1.ada4667646802p-17, -0x1.a4d95f4b6e742p-17, -0x1.9c12302e87ab2p-17, -0x1.931812230b8c9p-17, -0x1.8a1f03e7569a6p-17, -0x1.8115f44184e48p-17, -0x1.77fe5f7ed84e3p-17, -0x1.6ed5536503339p-17, -0x1.658c50388955ap-17, -0x1.5c5ba7df05da2p-17, -0x1.5304113c34fa4p-17, -0x1.49ab5843d1433p-17, -0x1.402a9e5e1a57ap-17, -0x1.36b9ba5c86f23p-17, -0x1.2d27d52d67dbdp-17, -0x1.239a391c75366p-17, -0x1.19fb49d0704c2p-17, -0x1.1051684338ff2p-17, -0x1.069d99d4a9b82p-17, -0x1.f9bda20c3ab85p-18, -0x1.e6335247aa758p-18, -0x1.d2967485e3181p-18, -0x1.beeb0812565f6p-18, -0x1.ab35451aaabeep-18, -0x1.976e49841d03bp-18, -0x1.83a001e7b94e8p-18, -0x1.6fc881a64ff97p-18, -0x1.5be61edd265afp-18, -0x1.479222367abe3p-18, -0x1.34129b9201a74p-18, -0x1.2035e5dbb8ac2p-18, -0x1.0c4c0d1661e95p-18, -0x1.f031ebe27133ep-19, -0x1.c8e3962e4dfdep-19, -0x1.a114bfed1bf2ap-19, -0x1.7955e3c76f3eap-19, -0x1.519824428e806p-19, -0x1.29f5d26144af3p-19, -0x1.026506f9c1da9p-19, -0x1.b65e3f75c5d9dp-20, -0x1.67055f021f4d4p-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.98ab340474d6p-1, 0x1.86d6b64b79cd2p-1, 0x1.7487f3b151354p-1, 0x1.61f22bf3ca343p-1, 0x1.4f44381cac9b4p-1, 0x1.3ca8355182e42p-1, 0x1.2a435ebbc35a9p-1, 0x1.18360d683f64bp-1, 0x1.069bd5fb164d6p-1, 0x1.eb177a4fc0b8bp-2, 0x1.ca30f9c8537a3p-2, 0x1.aaa1aa6ede0d4p-2, 0x1.8c7fc8bb2b83fp-2, 0x1.6fdb0553e9094p-2, 0x1.54bd3e7af3831p-2, 0x1.3b2b366b3a4aap-2, 0x1.232542fb69288p-2, 0x1.0ca7f3c3fe8b5p-2, 0x1.ef5959ae0caacp-3, 0x1.c8546996e5a2ap-3, 0x1.a42a6aec356edp-3, 0x1.82c15e4ea0e6ap-3, 0x1.63fcbd4e94a6ap-3, 0x1.47be2cee6fc74p-3, 0x1.2de6182692a8dp-3, 0x1.1654342c84ae8p-3, 0x1.00e7f0683578p-3, 0x1.db01a8274ef79p-4, 0x1.b7fd96fe9ce3p-4, 0x1.9884cdc9e450cp-4, 0x1.7c5a19307beb9p-4, 0x1.63424085afa11p-4, 0x1.4d04416965ed5p-4, 0x1.39697b552a5bfp-4, 0x1.283dcd8c687efp-4, 0x1.194fa99c2c102p-4, 0x1.0c701c50b834ep-4, 0x1.0172cec6c2062p-4, 0x1.f05c020751be8p-5, 0x1.e0f4fe97a01f3p-5, 0x1.d46726805f971p-5, 0x1.ca6de348150aap-5, 0x1.c2c94b11e14f6p-5, 0x1.bd3df302ecaa5p-5, 0x1.b994bec33a9cap-5, 0x1.b79aadfce5904p-5, 0x1.b720a89873ff9p-5, 0x1.b7fb4a566db1p-5, 0x1.ba02ae4c906d3p-5, 0x1.bd123ab769acap-5, 0x1.c1086d7eb982p-5, 0x1.c5c6a9bb84587p-5, 0x1.cb3106816a8f6p-5, 0x1.d12e1f2171df3p-5, 0x1.d7a6e5127973bp-5, 0x1.de8673a2ec35bp-5, 0x1.e5b9e58f85651p-5, 0x1.ed302c943bbddp-5, 0x1.f4d9eb063a8cfp-5, 0x1.fca94f8059df3p-5, 0x1.0248f9534e8ebp-4, 0x1.06445b805f8fep-4, 0x1.0a41d573f2f1bp-4, 0x1.0e3cf640010c9p-4, 0x1.1231c7d91c84cp-4, 0x1.161cc30d7d097p-4, 0x1.19fac46dfb3cbp-4, 0x1.1dc9022019de6p-4, 0x1.2185028f5da6ep-4, 0x1.252c93f38905ep-4, 0x1.28bdc4a0cae9dp-4, 0x1.2c36dc168ec87p-4, 0x1.2f9654c15d50bp-4, 0x1.32dad6642109fp-4, 0x1.3603311d21c9bp-4, 0x1.390e58fb1eab4p-4, 0x1.3bfb6217289dap-4, 0x1.3ec97d281b979p-4, 0x1.4177f484f5455p-4, 0x1.4406298ba62p-4, 0x1.4673926275ba2p-4, 0x1.48bfb80a88bb8p-4, 0x1.4aea34baa0131p-4, 0x1.4cf2b279b197p-4, 0x1.4ed8e9f1848f4p-4, 0x1.509ca17212b8ep-4, 0x1.523dac1ef2c7ap-4, 0x1.53bbe940a82ep-4, 0x1.551743b43760fp-4, 0x1.564fb173e6a5fp-4, 0x1.576533349715ap-4, 0x1.5857d4139974ep-4, 0x1.5927a9515bbc6p-4, 0x1.59d4d215bbb0dp-4, 0x1.5a5f773b32304p-4, 0x1.5ac7cb1e6cd84p-4, 0x1.5b0e097049972p-4, 0x1.5b32770876601p-4, 0x1.5b3561b7479e5p-4, 0x1.5b1720159c44fp-4, 0x1.5ad81151e6906p-4, 0x1.5a789cf9a7164p-4, 0x1.59f932bedb4ep-4, 0x1.595a4a390f85p-4, 0x1.589c62a1e6afdp-4, 0x1.57c0028d10e09p-4, 0x1.56c5b79bc227fp-4, 0x1.55ae162bd7f7fp-4, 0x1.5479b902ee1fdp-4, 0x1.532940f5b1a9ep-4, 0x1.51bd548bd3f31p-4, 0x1.50369fa1056c4p-4, 0x1.4e95d30365fa4p-4, 0x1.4cdba40fe31a9p-4, 0x1.4b08cc4cf8cb5p-4, 0x1.491e09044ef1cp-4, 0x1.471c1adba94c1p-4, 0x1.4503c56da0254p-4, 0x1.42d5cee29181fp-4, 0x1.4092ff8a39c71p-4, 0x1.3e3c217658d63p-4, 0x1.3bd20016c6a92p-4, 0x1.395567d752081p-4, 0x1.36c725bfbb26bp-4, 0x1.342807161abb5p-4, 0x1.3178d903f75bfp-4, 0x1.2eba683e4874cp-4, 0x1.2bed80b09ef88p-4, 0x1.2912ed2ba0a51p-4, 0x1.262b7717009d7p-4, 0x1.2337e627163ep-4, 0x1.203900162d6f8p-4, 0x1.1d2f8861a5694p-4, 0x1.1a1c400aec21p-4, 0x1.16ffe55c62327p-4, 0x1.13db33b227c63p-4, 0x1.10aee346d5ce8p-4, 0x1.0d7ba9041afc3p-4, 0x1.0a423657358efp-4, 0x1.070339093b0c8p-4, 0x1.03bf5b1b1f184p-4, 0x1.007742a564a96p-4, 0x1.fa572376c84efp-5, 0x1.f3b9cca419278p-5, 0x1.ed17b4540d83p-5, 0x1.e672057a396e3p-5, 0x1.dfc9e25d90ba2p-5, 0x1.d920647f8f69p-5, 0x1.d2769c893592p-5, 0x1.cbcd923d8c251p-5, 0x1.c52644717393fp-5, 0x1.be81a908792c1p-5, 0x1.b7e0acf66d1dbp-5, 0x1.b1443445770a8p-5, 0x1.aaad1a206533cp-5, 0x1.a41c30e0efe8ep-5, 0x1.9d924221b7849p-5, 0x1.97100ed3b0428p-5, 0x1.90964f56c7dc6p-5, 0x1.8a25b3957ddb9p-5, 0x1.83bee32336534p-5, 0x1.7d627d5d0be7ep-5, 0x1.7711198ce6bafp-5, 0x1.70cb470ea0a4cp-5, 0x1.6a918d7704c4fp-5, 0x1.64646cbc72794p-5, 0x1.5e445d60f6b0ep-5, 0x1.5831d09dac764p-5, 0x1.522d308f33c87p-5, 0x1.4c36e06319777p-5, 0x1.464f3c860408fp-5, 0x1.40769ad2821c3p-5, 0x1.3aad4ac050c82p-5, 0x1.34f39593fedcep-5, 0x1.2f49be8ec7625p-5, 0x1.29b0031e867a3p-5, 0x1.24269b0dad8ddp-5, 0x1.1eadb8b31c64bp-5, 0x1.19458921c2fd6p-5, 0x1.13ee3457faebap-5, 0x1.0ea7dd6e7f9afp-5, 0x1.0972a2c6f0b2dp-5, 0x1.044e9e39d2a61p-5, 0x1.fe77ca87ea4e9p-6, 0x1.f4751266703bdp-6, 0x1.ea952ea537842p-6, 0x1.e0d8322b29acep-6, 0x1.d73e28852b088p-6, 0x1.cdc7163989bc9p-6, 0x1.c472f919b4469p-6, 0x1.bb41c8922b873p-6, 0x1.b23375f8a2f69p-6, 0x1.a947ecd845dbfp-6, 0x1.a07f133c120bep-6, 0x1.97d8c9f74affcp-6, 0x1.8f54ecebfa024p-6, 0x1.86f3534f751d6p-6, 0x1.7eb3cfeceee4bp-6, 0x1.769631660db4bp-6, 0x1.6e9a42718796bp-6, 0x1.66bfca17c4e49p-6, 0x1.5f068bed89adfp-6, 0x1.576e484cb287cp-6, 0x1.4ff6bc8afa39ap-6, 0x1.489fa32ed7c32p-6, 0x1.4168b422783dbp-6, 0x1.3a51a4e4d6047p-6, 0x1.335a28b8fe03fp-6, 0x1.2c81f0d37cddep-6, 0x1.25c8ac860a64ap-6, 0x1.1f2e09696fe9cp-6, 0x1.18b1b385b98fbp-6, 0x1.12535578b8f2cp-6, 0x1.0c12989ae25p-6, 0x1.05ef25228eb89p-6, 0x1.ffd1448b5a542p-7, 0x1.f3fd6cb3d8cf1p-7, 0x1.e8620de6ced87p-7, 0x1.dcfe7203bb3cp-7, 0x1.d1d1e1d90dde6p-7, 0x1.c6dba559050ep-7, 0x1.bc1b03cbf82ddp-7, 0x1.b18f43fff7cb9p-7, 0x1.a737ac7606b0dp-7, 0x1.9d13838cd6d1bp-7, 0x1.93220fa94264cp-7, 0x1.8962975c75e24p-7, 0x1.7fd46187f68b2p-7, 0x1.7676b57f8f51fp-7, 0x1.6d48db293672p-7, 0x1.644a1b1b03a08p-7, 0x1.5b79beb74a8cbp-7, 0x1.52d71046dc7f5p-7, 0x1.4a615b11a3c37p-7, 0x1.4217eb75856d4p-7, 0x1.39fa0efbb99fep-7, 0x1.3207146c95421p-7, 0x1.2a3e4be1e4838p-7, 0x1.229f06d7dfa11p-7, 0x1.1b28983ccaa71p-7, 0x1.13da547f50cdap-7, 0x1.0cb3919ba9a4ep-7, 0x1.05b3a72796fd4p-7, 0x1.fdb3dcba918cp-8, 0x1.f04b844a6d4a3p-8, 0x1.e32cfe3df3f5ap-8, 0x1.d65707526ec08p-8, 0x1.c9c85fd145c5dp-8, 0x1.bd7fcb9c559f3p-8, 0x1.b17c1238ac47cp-8, 0x1.a5bbfed7bf4e3p-8, 0x1.9a3e605f3464bp-8, 0x1.8f02096f504ap-8, 0x1.8405d0681e576p-8, 0x1.79488f6d65cfcp-8, 0x1.6ec924697e1c1p-8, 0x1.6486710f15606p-8, 0x1.5a7f5ad9f77c6p-8, 0x1.50b2cb0ee853dp-8, 0x1.471faebaa0015p-8, 0x1.3dc4f6aff7069p-8, 0x1.34a1978551f56p-8, 0x1.2bb4899159839p-8, 0x1.22fcc8e70b6d2p-8, 0x1.1a79555131eecp-8, 0x1.1229324d4ada9p-8, 0x1.0a0b6705ed7b1p-8, 0x1.021efe4cb64c5p-8, 0x1.f4c60d27879e3p-9, 0x1.e5ad23cd9aedap-9, 0x1.d6f16bc7c19a4p-9, 0x1.c89117678fc7cp-9, 0x1.ba8a60044a5f8p-9, 0x1.acdb85ea9a7aep-9, 0x1.9f82d04bbfe2ep-9, 0x1.927e8d2c5d1b2p-9, 0x1.85cd1152e3b94p-9, 0x1.796cb835a97a5p-9, 0x1.6d5be3e8ba5a6p-9, 0x1.6198fd0b68cefp-9, 0x1.562272b5ae277p-9, 0x1.4af6ba655cc4p-9, 0x1.40144feb33e6ap-9, 0x1.3579b557d6cddp-9, 0x1.2b2572e8b40c9p-9, 0x1.211616f4e10f6p-9, 0x1.174a35d9edbffp-9, 0x1.0dc069e8bd3a3p-9, 0x1.0477535261e15p-9, 0x1.f6db302a0df01p-10, 0x1.e543c7d1d1b7ep-10, 0x1.d425d05ac669fp-10, 0x1.c37eb7ac26d27p-10, 0x1.b34bf6b03befep-10, 0x1.a38b112f1392p-10, 0x1.943995a989293p-10, 0x1.85551d348c834p-10, 0x1.76db4b54c1799p-10, 0x1.68c9cdda620d7p-10, 0x1.5b1e5cbd7df77p-10, 0x1.4dd6b9fa97a9bp-10, 0x1.40f0b16f8de1ep-10, 0x1.346a18b8e96ffp-10, 0x1.2840cf0f90514p-10, 0x1.1c72bd26cafcdp-10, 0x1.10fdd50ab9262p-10, 0x1.05e011ff1da53p-10, 0x1.f62ef0bd2b8f6p-11, 0x1.e1442af4635ebp-11, 0x1.ccfbfef2df8a1p-11, 0x1.b952aa753ac6dp-11, 0x1.a6447c67359f7p-11, 0x1.93cdd4a60694p-11, 0x1.81eb23c36e96ap-11, 0x1.7098eac99303p-11, 0x1.5fd3baff9b7e6p-11, 0x1.4f9835af0f3e3p-11, 0x1.3fe30be9f310bp-11, 0x1.30b0fe51a48aep-11, 0x1.21fedcde6e8abp-11, 0x1.13c986a7d7445p-11, 0x1.060de9ada4425p-11, 0x1.f19205431f395p-12, 0x1.d7efb9635ff6ap-12, 0x1.bf2f22a717e9dp-12, 0x1.a74a901fb0ae8p-12, 0x1.903c6c9dbea43p-12, 0x1.79ff3e4b146cfp-12, 0x1.648da6461f2f9p-12, 0x1.4fe2603e7a0c2p-12, 0x1.3bf84212bff88p-12, 0x1.28ca3b6f8a73fp-12, 0x1.1653556f9f521p-12, 0x1.048eb23d425b6p-12, 0x1.e6ef1969549fep-13, 0x1.c612700f23473p-13, 0x1.a67e3ec3ae7e8p-13, 0x1.88298b1e73439p-13, 0x1.6b0b8944256c1p-13, 0x1.4f1b9b3647597p-13, 0x1.34515024b593cp-13, 0x1.1aa463c132e6bp-13, 0x1.020cbd94e216cp-13, 0x1.d504e0af5890bp-14, 0x1.a7fb7292f3f27p-14, 0x1.7cedff1a9f818p-14, 0x1.53cda70c57f75p-14, 0x1.2c8bdc6b69658p-14, 0x1.071a61393d5bap-14, 0x1.c6d68c7336129p-15, 0x1.82e1d3748fc5ap-15, 0x1.423becbbfd08fp-15, 0x1.04cac3d5528abp-15, 0x1.94e9b06b7439ep-16, 0x1.264275ca01223p-16, 0x1.7ade30b4cf5p-17, 0x1.68ffca83a451cp-18, -0x1.bcc5bb13e2d59p-23, -0x1.6fab844979353p-18, -0x1.5e8101be574eap-17, -0x1.fb4baadff42a1p-17, -0x1.474545988e8c3p-16, -0x1.8c4838b9c8d15p-16, -0x1.ccd71b02df8c6p-16, -0x1.048cb0d39b69ep-15, -0x1.209ac78470d6ap-15, -0x1.3aa89b6bf7d4ep-15, -0x1.52c88113485a8p-15, -0x1.690c59b918797p-15, -0x1.7d859550c8dd3p-15, -0x1.9045347bfef73p-15, -0x1.a15bca7ed1e6p-15, -0x1.b0d97f2e914c2p-15, -0x1.bece10db30e54p-15, -0x1.cb48d6335c741p-15, -0x1.d658c0233d0b2p-15, -0x1.e00c5badf2358p-15, -0x1.e871d3c1ca2b9p-15, -0x1.ef96f3073a836p-15, -0x1.f58925aa9d552p-15, -0x1.fa557b20bd446p-15, -0x1.fe08a7e62f5b6p-15, -0x1.0057839cc0f59p-14, -0x1.012a4e6822347p-14, -0x1.01828b43761ebp-14, -0x1.0165e705cd117p-14, -0x1.00d9e541e1782p-14, -0x1.ffc7c22cc2aep-15, -0x1.fd121bf75a4dp-15, -0x1.f99cf11e1d69dp-15, -0x1.f5720eb6d2a0ap-15, -0x1.f09af73ecb20dp-15, -0x1.eb20e422351b7p-15, -0x1.e50cc73e6ad8dp-15, -0x1.de674c5f44396p-15, -0x1.d738dab76d839p-15, -0x1.cf899653c7d1fp-15, -0x1.c7616189d4eep-15, -0x1.bec7de6136859p-15, -0x1.b5c46ff840b9cp-15, -0x1.ac5e3be3a6e19p-15, -0x1.a29c2b89444b3p-15, -0x1.9884ed760ab88p-15, -0x1.8e1ef6af140f5p-15, -0x1.837083fde1b11p-15, -0x1.787f9b37ca32ap-15, -0x1.6d520c80a09e6p-15, -0x1.61ed738892605p-15, -0x1.565738c5481a5p-15, -0x1.4a9492a64b2f3p-15, -0x1.3eaa86c4b7f11p-15, -0x1.329deb0e4293p-15, -0x1.267366eb91636p-15, -0x1.1a2f7461f6664p-15, -0x1.0dd6613091ad2p-15, -0x1.016c4fe8d875ap-15, -0x1.e9ea720529c03p-16, -0x1.d0e9d7d6bbc45p-16, -0x1.b7de202319b81p-16, -0x1.9ece4bd584f11p-16, -0x1.85c10febea28bp-16, -0x1.6cbcd7723787ep-16, -0x1.53c7c574f0fdbp-16, -0x1.3ae7b6eb14e3p-16, -0x1.2222449760c6p-16, -0x1.097cc4e10e24bp-16, -0x1.e1f89b4819b5ap-17, -0x1.b14b6bf1b8cfp-17, -0x1.80fb2fe805362p-17, -0x1.5110a4ba900c3p-17, -0x1.219414bd77806p-17, -0x1.e51ab4ae59c98p-18, -0x1.8807c67c5aed1p-18, -0x1.2bfd674d812a8p-18, -0x1.a211a583bf7aep-19, -0x1.dcd9f736ee50ep-20, -0x1.e921cb745886fp-22, 0x1.c6cab8525eceep-21, 0x1.1e03321bdc47p-19, 0x1.c7ba28abdcc04p-19, 0x1.3762ddcac222ep-18, 0x1.898aaed327623p-18, 0x1.da4ce0093cc86p-18, 0x1.14d1320620826p-17, 0x1.3bc261374c5d7p-17, 0x1.61f7095fe8595p-17, 0x1.876c7bd917177p-17, 0x1.ac204d2dd05f2p-17, 0x1.d01052c8b7e44p-17, 0x1.f33aa0af5a247p-17, 0x1.0acec3a53483ep-16, 0x1.1b9bc89d7ef1ap-16, 0x1.2c03c09e48cdap-16, 0x1.3c062809c7c11p-16, 0x1.4ba29544256p-16, 0x1.5ad8b7b71a8f2p-16, 0x1.69a856db91a9dp-16, 0x1.781151493407dp-16, 0x1.86139bcbd8ca8p-16, 0x1.93af407eaec32p-16, 0x1.a0e45ded1af35p-16, 0x1.adb32639285acp-16, 0x1.ba1bde47742c5p-16, 0x1.c61edcf08dc38p-16, 0x1.d1bc8a379cf73p-16, 0x1.dcf55e864f7fap-16, 0x1.e7c9e1ede7411p-16, 0x1.f23aab6d582e3p-16, 0x1.fc48603c6530ap-16, 0x1.02f9d98dcf45fp-15, 0x1.079eb1d49722fp-15, 0x1.0c131edd2fed3p-15, 0x1.10578c5ce4fefp-15, 0x1.146c6b8504948p-15, 0x1.185232b6770a9p-15, 0x1.1c095d378b683p-15, 0x1.1f926aebe78b6p-15, 0x1.22ede00e9a2cp-15, 0x1.261c44ee39cf5p-15, 0x1.291e25ab121cdp-15, 0x1.2bf411f74c201p-15, 0x1.2e9e9cd90b571p-15, 0x1.311e5c6e751b3p-15, 0x1.3373e9b39b2f5p-15, 0x1.359fe04a38e07p-15, 0x1.37a2de43408fep-15, 0x1.397d83ea2a289p-15, 0x1.3b307391ff416p-15, 0x1.3cbc516413a15p-15, 0x1.3e21c330696d7p-15, 0x1.3f61703faf586p-15, 0x1.407c0126d7bf6p-15, 0x1.41721f9c3b5fcp-15, 0x1.4244764e3c1dcp-15, 0x1.42f3b0bb6723ep-15, 0x1.43807b0c07958p-15, 0x1.43eb81ed212ebp-15, 0x1.4435726ccd0dfp-15, 0x1.445ef9d7f22bbp-15, 0x1.4468c5994a00bp-15, 0x1.44538319b1007p-15, 0x1.441fdfa1b7bafp-15, 0x1.43ce883c6ba5p-15, 0x1.4360299b521f1p-15, 0x1.42d56ffb8d716p-15, 0x1.422f070c23d04p-15, 0x1.416d99d55fc2ep-15, 0x1.4091d2a147c36p-15, 0x1.3f9c5ae51df61p-15, 0x1.3e8ddb2bea7d9p-15, 0x1.3d66fb01fe687p-15, 0x1.3c2860e173e6ep-15, 0x1.3ad2b21f9d5f9p-15, 0x1.396692db5dfbdp-15, 0x1.37e4a5ec6925cp-15, 0x1.364d8cd35e28dp-15, 0x1.34a1e7aabb46bp-15, 0x1.32e25518a3909p-15, 0x1.310f72416e831p-15, 0x1.2f29dabb01096p-15, 0x1.2d322880e068dp-15, 0x1.2b28f3e905ecep-15, 0x1.290ed39962663p-15, 0x1.26e45c7e14b91p-15, 0x1.24aa21c0456f3p-15, 0x1.2260b4bdadc8dp-15, 0x1.2008a500b790ap-15, 0x1.1da280393bd33p-15, 0x1.1b2ed235d6062p-15, 0x1.18ae24ddc805bp-15, 0x1.1621002b69246p-15, 0x1.1387ea271e7fcp-15, 0x1.10e366e2d508ep-15, 0x1.0e33f875fa5fep-15, 0x1.0b7a1ef9efd1fp-15, 0x1.08b65886f4f56p-15, 0x1.05e921317f705p-15, 0x1.0312f308071eep-15, 0x1.0034461136065p-15, 0x1.fa9b209505216p-16, 0x1.f4be8b4e53f6ep-16, 0x1.eed3b01f102cp-16, 0x1.e8db6ec19c3dp-16, 0x1.e2d6a2da17874p-16, 0x1.dcc623f7201ecp-16, 0x1.d6aac59333e35p-16, 0x1.d0855716a8e7cp-16, 0x1.ca56a3da42368p-16, 0x1.c41f732a45922p-16, 0x1.bde0884a2ab0dp-16, 0x1.b79aa278bc526p-16, 0x1.b14e7cf4c0cdfp-16, 0x1.aafccf0214793p-16, 0x1.a4a64bef38cb9p-16, 0x1.9e4ba31b491bcp-16, 0x1.97ed7ffc62a7p-16, 0x1.918c8a2660e83p-16, 0x1.8b296551fecf8p-16, 0x1.84c4b1645154dp-16, 0x1.7e5f0a76914cap-16, 0x1.77f908de37632p-16, 0x1.7193413564785p-16, 0x1.6b2e446389655p-16, 0x1.64ca9fa65d4cep-16, 0x1.5e68dc9b0885bp-16, 0x1.580981478fa65p-16, 0x1.51ad102471026p-16, 0x1.4b5408267c84dp-16, 0x1.44fee4c8d555bp-16, 0x1.3eae1e172256ap-16, 0x1.386228b7e7b12p-16, 0x1.321b75f706969p-16, 0x1.2bda73d0604e4p-16, 0x1.259f8cfa96cf7p-16, 0x1.1f6b28f1ef389p-16, 0x1.193dac0347035p-16, 0x1.131777572a5d9p-16, 0x1.0cf8e8fcf3e0ep-16, 0x1.06e25bf60b461p-16, 0x1.00d42841286b2p-16, 0x1.f59d45cb59604p-17, 0x1.e9a43bfe042f3p-17, 0x1.ddbdd1900a6c5p-17, 0x1.d1ea9f4cf0ffcp-17, 0x1.c62b386cef2bcp-17, 0x1.ba802aabe5024p-17, 0x1.aee9fe604aa54p-17, 0x1.a36936922df14p-17, 0x1.97fe511213543p-17, 0x1.8ca9c68fe7f06p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.a6ff5b6d42e72p-1, 0x1.96ac3ec607439p-1, 0x1.8594d957759ccp-1, 0x1.73def7e04891bp-1, 0x1.61aec2c6c294fp-1, 0x1.4f2664136e92ap-1, 0x1.3c65c67c104c1p-1, 0x1.298a6a341872bp-1, 0x1.16af4c46f38edp-1, 0x1.03ecdd73a60f5p-1, 0x1.e2b20b8bdd93bp-2, 0x1.be0e64e7f8e52p-2, 0x1.9a10d7a4010acp-2, 0x1.76d6e2e687be4p-2, 0x1.5479b5a33087dp-2, 0x1.330e761fb62ep-2, 0x1.12a68d45dc1e8p-2, 0x1.e69fe77975e16p-3, 0x1.aa2afe3cb47fep-3, 0x1.6ffe5be02f439p-3, 0x1.3824e29ad7a08p-3, 0x1.02a4e6ea39ec6p-3, 0x1.9f016a8501e2fp-4, 0x1.3d6e1f0b412ddp-4, 0x1.c10e87134b88dp-5, 0x1.107db84d0592ep-5, 0x1.a412f676fed3ep-7, -0x1.ac49897734bbcp-8, -0x1.96be93e2dd97cp-6, -0x1.58b60a2d0968fp-5, -0x1.ddca2fbaa848p-5, -0x1.2d6de710c75b6p-4, -0x1.6816bf47e7cbcp-4, -0x1.9f01d42f5f00dp-4, -0x1.d251f00aadd0fp-4, -0x1.011516ba8348ep-3, -0x1.1756dd36ce59dp-3, -0x1.2bffd1e43a2fp-3, -0x1.3f215415cbc69p-3, -0x1.50cc88e80e91ep-3, -0x1.61124b2701037p-3, -0x1.70031de4ba65bp-3, -0x1.7daf21738553fp-3, -0x1.8a260a7d42926p-3, -0x1.95771af8ab152p-3, -0x1.9fb11cc323156p-3, -0x1.a8e25daba68b4p-3, -0x1.b118acc078a21p-3, -0x1.b86158b62b57cp-3, -0x1.bec92f42c3d5bp-3, -0x1.c45c7d4bcfc21p-3, -0x1.c9270fc9af682p-3, -0x1.cd3435458d3fp-3, -0x1.d08ebfda5ab3ap-3, -0x1.d34107a3beaffp-3, -0x1.d554ed881e183p-3, -0x1.d6d3de4d16c62p-3, -0x1.d7c6d5e78383p-3, -0x1.d83662f9e71ffp-3, -0x1.d82aaa759003p-3, -0x1.d7ab6b542f005p-3, -0x1.d6c00260c92d2p-3, -0x1.d56f6e081cb04p-3, -0x1.d3c052298a65dp-3, -0x1.d1b8fbe27674fp-3, -0x1.cf5f654efa31ap-3, -0x1.ccb9393b76d51p-3, -0x1.c9cbd6c34a471p-3, -0x1.c69c54d973ee8p-3, -0x1.c32f85b8ae755p-3, -0x1.bf89fa38d1b51p-3, -0x1.bbb00507e66a6p-3, -0x1.b7a5bdc5b36d6p-3, -0x1.b36f0400da746p-3, -0x1.af0f82150313ap-3, -0x1.aa8aafe9caf81p-3, -0x1.a5e3d5926fee9p-3, -0x1.a11e0dce75ae6p-3, -0x1.9c3c486b95b21p-3, -0x1.97414c8993ecap-3, -0x1.922fbac09a351p-3, -0x1.8d0a0f2af107fp-3, -0x1.87d2a352e99b4p-3, -0x1.828bb005fafecp-3, -0x1.7d374f0e0ebabp-3, -0x1.77d77cd205b0bp-3, -0x1.726e19dea04fdp-3, -0x1.6cfcec58bf852p-3, -0x1.6785a15a42fbbp-3, -0x1.6209ce3a7934dp-3, -0x1.5c8af1c350efp-3, -0x1.570a755457428p-3, -0x1.5189adf4842d5p-3, -0x1.4c09dd53ee272p-3, -0x1.468c32be4eb68p-3, -0x1.4111cbff5399bp-3, -0x1.3b9bb639a2f75p-3, -0x1.362aeeb172e4ap-3, -0x1.30c0638b883cfp-3, -0x1.2b5cf4816395bp-3, -0x1.2601738b57a9bp-3, -0x1.20aea58148fd7p-3, -0x1.1b6542b2b18bfp-3, -0x1.1625f77688929p-3, -0x1.10f164b3b136bp-3, -0x1.0bc820625df8p-3, -0x1.06aab60709075p-3, -0x1.0199a7275cfaep-3, -0x1.f92ad7731adadp-4, -0x1.ef3ce51cf7c32p-4, -0x1.e56a436e1de95p-4, -0x1.dbb3adca09c27p-4, -0x1.d219cf8f4427cp-4, -0x1.c89d44c8e4b6cp-4, -0x1.bf3e9ad8d437ap-4, -0x1.b5fe511b4a2f6p-4, -0x1.acdcd983d84bap-4, -0x1.a3da99348b1f4p-4, -0x1.9af7e90f64caep-4, -0x1.923516428bd06p-4, -0x1.899262cf6e761p-4, -0x1.8110060d32db1p-4, -0x1.78ae2d269c60fp-4, -0x1.706cfb93a9f85p-4, -0x1.684c8b8f19a53p-4, -0x1.604cee880223cp-4, -0x1.586e2d8fa98dbp-4, -0x1.50b049c3be1f8p-4, -0x1.49133cb5141eep-4, -0x1.4196f8cb0833dp-4, -0x1.3a3b69a39e4dbp-4, -0x1.330074707c646p-4, -0x1.2be5f850d3621p-4, -0x1.24ebcea850985p-4, -0x1.1e11cb7327693p-4, -0x1.1757bd97497bcp-4, -0x1.10bd6f32de31fp-4, -0x1.0a42a5e807cddp-4, -0x1.03e7232609f94p-4, -0x1.fb5548dfb9e5p-5, -0x1.ef19c7407cdep-5, -0x1.e31b2e5699611p-5, -0x1.d758e4bb74d02p-5, -0x1.cbd24b334eb7fp-5, -0x1.c086bd22587d4p-5, -0x1.b57590fd4aa48p-5, -0x1.aa9e18b59161bp-5, -0x1.9fffa2212c3dep-5, -0x1.9599775e531c5p-5, -0x1.8b6adf33004b4p-5, -0x1.81731d6875157p-5, -0x1.77b17322cf5a6p-5, -0x1.6e251f34cb9d4p-5, -0x1.64cd5e6fcce14p-5, -0x1.5ba96bf03c444p-5, -0x1.52b88166605cp-5, -0x1.49f9d75bc0bf3p-5, -0x1.416ca5752c3dap-5, -0x1.391022b17d3a4p-5, -0x1.30e385a532aabp-5, -0x1.28e604b2f6046p-5, -0x1.2116d64121ca1p-5, -0x1.197530ec69193p-5, -0x1.12004bb7ad95ap-5, -0x1.0ab75e392141cp-5, -0x1.0399a0c4c95f6p-5, -0x1.f94c9928f053p-6, -0x1.ebb937daa7d87p-6, -0x1.de77948608368p-6, -0x1.d18628b12b49bp-6, -0x1.c4e370be5cdc1p-6, -0x1.b88dec254fc9bp-6, -0x1.ac841da83c0f2p-6, -0x1.a0c48b851ec1p-6, -0x1.954dbfa33542dp-6, -0x1.8a1e47bce8821p-6, -0x1.7f34b5863f70fp-6, -0x1.748f9ed00d848p-6, -0x1.6a2d9da7f525cp-6, -0x1.600d50756a693p-6, -0x1.562d5a13cf629p-6, -0x1.4c8c61e9d886p-6, -0x1.432913fe4c17p-6, -0x1.3a02210a48f9cp-6, -0x1.31163e892b6bbp-6, -0x1.286426c630018p-6, -0x1.1fea98e7f4964p-6, -0x1.17a858f9efcacp-6, -0x1.0f9c2ff3fec18p-6, -0x1.07c4ebc01d7e5p-6, -0x1.00215f3e6bb0cp-6, -0x1.f160c48f17f8bp-7, -0x1.e2e1a35b03442p-7, -0x1.d4c31e7631024p-7, -0x1.c7030363ee34p-7, -0x1.b99f298ecbab2p-7, -0x1.ac95723fd50e2p-7, -0x1.9fe3c89389a6ap-7, -0x1.9388216cbb91ap-7, -0x1.87807b6587fc2p-7, -0x1.7bcadebe7ab82p-7, -0x1.70655d4c0a329p-7, -0x1.654e12627f7ebp-7, -0x1.5a8322c07a512p-7, -0x1.5002bc7820644p-7, -0x1.45cb16d70e605p-7, -0x1.3bda724d3ee8ap-7, -0x1.322f1852e2517p-7, -0x1.28c75b4d54079p-7, -0x1.1fa196733a781p-7, -0x1.16bc2dafeba5ep-7, -0x1.0e158d862894ap-7, -0x1.05ac2af244156p-7, -0x1.fafd069790c0ap-8, -0x1.eb16384d567fap-8, -0x1.dba1066844c76p-8, -0x1.cc9a9c4650181p-8, -0x1.be0035017ad55p-8, -0x1.afcf1b2ff46c4p-8, -0x1.a204a8a3ea813p-8, -0x1.949e462b26e38p-8, -0x1.87996b4e915b1p-8, -0x1.7af39e11a6c43p-8, -0x1.6eaa72b2034ebp-8, -0x1.62bb8b6706a32p-8, -0x1.57249821ae5a5p-8, -0x1.4be3564cb05a9p-8, -0x1.40f5908ce9a5fp-8, -0x1.36591e822a0b3p-8, -0x1.2c0be4886f4e5p-8, -0x1.220bd37999e92p-8, -0x1.1856e86fa4673p-8, -0x1.0eeb2c876bfeep-8, -0x1.05c6b4a4109a4p-8, -0x1.f9cf4265ea0f6p-9, -0x1.e8983be0d49cdp-9, -0x1.d7e4c35a103bfp-9, -0x1.c7b15c277bc71p-9, -0x1.b7fa9ee13cfb1p-9, -0x1.a8bd38f0d97d5p-9, -0x1.99f5ec21df036p-9, -0x1.8ba18e34173b9p-9, -0x1.7dbd086f5cdb1p-9, -0x1.7045573909efdp-9, -0x1.633789ab0ea8bp-9, -0x1.5690c12cab847p-9, -0x1.4a4e310cdc684p-9, -0x1.3e6d1e1e6a7dbp-9, -0x1.32eade55b259p-9, -0x1.27c4d8681567ap-9, -0x1.1cf8836d1fa7cp-9, -0x1.128366815937p-9, -0x1.0863186ac9ea9p-9, -0x1.fd2a7e7e4bdb9p-10, -0x1.ea2f20175332ep-10, -0x1.d7cf9cfd39425p-10, -0x1.c6079924f4ae8p-10, -0x1.b4d2d475828ebp-10, -0x1.a42d2a24b7088p-10, -0x1.9412901752775p-10, -0x1.847f164440195p-10, -0x1.756ee61afc018p-10, -0x1.66de41ed162cdp-10, -0x1.58c9845acd199p-10, -0x1.4b2d1fc2addcbp-10, -0x1.3e059db438954p-10, -0x1.314f9e65773a5p-10, -0x1.2507d82b8001bp-10, -0x1.192b16f5d6fd5p-10, -0x1.0db63bcca4cc9p-10, -0x1.02a63c51b7ea1p-10, -0x1.eff04488769a1p-11, -0x1.db52160e53d51p-11, -0x1.c76c4e54bfcbep-11, -0x1.b43973ec93c8ap-11, -0x1.a1b431f441703p-11, -0x1.8fd75739525bbp-11, -0x1.7e9dd55ed3597p-11, -0x1.6e02c00894d19p-11, -0x1.5e014c0b2c0a8p-11, -0x1.4e94cea098ecbp-11, -0x1.3fb8bca17cafap-11, -0x1.3168a9c2c8374p-11, -0x1.23a047d7cd305p-11, -0x1.165b6618987aap-11, -0x1.0995f06c82bcp-11, -0x1.fa97dd71bb573p-12, -0x1.e2f3086754853p-12, -0x1.cc35dd74805f7p-12, -0x1.b6590c57a9f66p-12, -0x1.a155778f8de0fp-12, -0x1.8d24331f3e61bp-12, -0x1.79be83595e055p-12, -0x1.671ddbb271a8ap-12, -0x1.553bdd9a2075bp-12, -0x1.4412575b3783cp-12, -0x1.339b43024c2adp-12, -0x1.23d0c54adb45bp-12, -0x1.14ad2c92ba97bp-12, -0x1.062aefd3bb046p-12, -0x1.f0895b46ac6c5p-13, -0x1.d5ea56709311fp-13, -0x1.bc6ea6ebea786p-13, -0x1.a40c6bfac4662p-13, -0x1.8cba0c879ac64p-13, -0x1.766e355d3020ep-13, -0x1.611fd768faa22p-13, -0x1.4cc62607db896p-13, -0x1.3958955ce78e1p-13, -0x1.26ced8b2077b9p-13, -0x1.1520e0e231102p-13, -0x1.0446dacd05afp-13, -0x1.e8725ba73e193p-14, -0x1.c9e0f4bc992aap-14, -0x1.accb30d63b102p-14, -0x1.91232c49dbfdep-14, -0x1.76db6d05af789p-14, -0x1.5de6dfdf99a3p-14, -0x1.4638d5f459214p-14, -0x1.2fc502164c379p-14, -0x1.1a7f764b7291bp-14, -0x1.065ca15a55c4ep-14, -0x1.e6a298cafb827p-15, -0x1.c2a5312a3f314p-15, -0x1.a0abf99d64399p-15, -0x1.80a286f42c051p-15, -0x1.627510a80de9ep-15, -0x1.46106c9b062e7p-15, -0x1.2b620aefc5679p-15, -0x1.1257f1faa4e8p-15, -0x1.f5c17495b24bdp-16, -0x1.c9d71596a0562p-16, -0x1.a0d029f56c13cp-16, -0x1.7a8d227436f1bp-16, -0x1.56ef76637344bp-16, -0x1.35d99c96b4351p-16, -0x1.172f0483bd82ap-16, -0x1.f5a81f15e8f0ep-17, -0x1.c15c14d0717d2p-17, -0x1.91464d9689e1ep-17, -0x1.6534ea2d73862p-17, -0x1.3cf7bc89df676p-17, -0x1.18603be3750dbp-17, -0x1.ee82f2218d916p-18, -0x1.b2e026539fafdp-18, -0x1.7d8458df58d8p-18, -0x1.4e1ebeefd773fp-18, -0x1.246169340c96fp-18, -0x1.00012f3b09bfp-18, -0x1.c16b369db9183p-19, -0x1.8c71ad9664722p-19, -0x1.608f2dda23f1ep-19, -0x1.3d4214320e49fp-19, -0x1.220d8b2a52698p-19, -0x1.0e796768f84dcp-19, -0x1.021204e261f39p-19, -0x1.f8d049cd6ea69p-20, -0x1.fa219a0724ccbp-20, -0x1.03a526b542842p-19, -0x1.0fc25fe32ff67p-19, -0x1.21098c22f273fp-19, -0x1.371f86bdca93cp-19, -0x1.51acd57449666p-19, -0x1.705d8bfc0748p-19, -0x1.92e130335bb66p-19, -0x1.b8ea9f0727182p-19, -0x1.e22ff206cef0cp-19, -0x1.073532d15250ep-18, -0x1.1eab20088216p-18, -0x1.37595c6b431d3p-18, -0x1.5120f076de36p-18, -0x1.6be445c57f7a3p-18, -0x1.87871bbc6fae2p-18, -0x1.a3ee7c84f7562p-18, -0x1.c100b24e49dc7p-18, -0x1.dea53cd6de0ccp-18, -0x1.fcc4c73ba2f8p-18, -0x1.0da48f05c50f8p-17, -0x1.1d0e92cef1e68p-17, -0x1.2c9668550abe2p-17, -0x1.3c328b8f9cd11p-17, -0x1.4bd9f69d1dd76p-17, -0x1.5b841d6c88beap-17, -0x1.6b28e984d9da9p-17, -0x1.7ac0b5e9c0efp-17, -0x1.8a444b1cda437p-17, -0x1.99acdb3ae51eep-17, -0x1.a8f3fe342a985p-17, -0x1.b813ae1fa351p-17, -0x1.c70643a82c462p-17, -0x1.d5c672932c339p-17, -0x1.e44f466030782p-17, -0x1.f29c1f00cec8dp-17, -0x1.005456d42ac2bp-16, -0x1.073878d95e01p-16, -0x1.0df89ad11c48ep-16, -0x1.14930619853c5p-16, -0x1.1b0626c275fcep-16, -0x1.21508a2cd1ccbp-16, -0x1.2770ddb424f6cp-16, -0x1.2d65ed6256557p-16, -0x1.332ea2ad3958cp-16, -0x1.38ca033db655bp-16, -0x1.3e372fc05d282p-16, -0x1.437562bf1a1a2p-16, -0x1.4883ef83e1d42p-16, -0x1.4d624104165d6p-16, -0x1.520fd8d46cf8ap-16, -0x1.568c4e2528e89p-16, -0x1.5ad74cc66d23dp-16, -0x1.5ef0943477922p-16, -0x1.62d7f6ab96fe7p-16, -0x1.668d58439e7b9p-16, -0x1.6a10ae12b7415p-16, -0x1.6d61fd5756a39p-16, -0x1.70815aa9294c6p-16, -0x1.736ee930d06b1p-16, -0x1.762ad9e63acccp-16, -0x1.78b56ad572f57p-16, -0x1.7b0ee669b9de9p-16, -0x1.7d37a2bebf86p-16, -0x1.7f3000f7d5455p-16, -0x1.80f86c9ceeb4dp-16, -0x1.82915afd4dccbp-16, -0x1.83fb4a97b1e93p-16, -0x1.8536c287e2c87p-16, -0x1.864451f974ec8p-16, -0x1.87248f9fa63acp-16, -0x1.87d8193229c77p-16, -0x1.885f92eec25f1p-16, -0x1.88bba71f8efb8p-16, -0x1.88ed05a5e51e1p-16, -0x1.88f463898ffa2p-16, -0x1.88d27a8c69a38p-16, -0x1.888808c21a5d5p-16, -0x1.8815d02bec061p-16, -0x1.877c96588d9ap-16, -0x1.86bd2407b6387p-16, -0x1.85d844d175f41p-16, -0x1.84cec6d12f632p-16, -0x1.83a17a541194dp-16, -0x1.8251318af87b6p-16, -0x1.80dec03fa61a5p-16, -0x1.7f4afb8d27126p-16, -0x1.7d96b99b5ef24p-16, -0x1.7bc2d15d95613p-16, -0x1.79d01a53f3929p-16, -0x1.77bf6c4fdaf19p-16, -0x1.75919f3af9a4fp-16, -0x1.73478ae10f388p-16, -0x1.70e206bc460bfp-16, -0x1.6e61e9c40a76bp-16, -0x1.6bc80a3e56fc4p-16, -0x1.69153d9351892p-16, -0x1.664a582336d6ap-16, -0x1.63682d1e70a67p-16, -0x1.606f8e5fd5657p-16, -0x1.5d614c48ef576p-16, -0x1.5a3e35a046f89p-16, -0x1.570717719534dp-16, -0x1.53bcbcefd2a29p-16, -0x1.505fef59155b7p-16, -0x1.4cf175dc27197p-16, -0x1.4972157fc6a1cp-16, -0x1.45e2910b8a66p-16, -0x1.4243a8f24ebeap-16, -0x1.3e961b3e27177p-16, -0x1.3adaa37dbd2a7p-16, -0x1.3711fab31cd69p-16, -0x1.333cd743cf084p-16, -0x1.2f5becea4805ep-16, -0x1.2b6feca88e773p-16, -0x1.277984bc18fe2p-16, -0x1.23796092cfa4fp-16, -0x1.1f7028c12ccf1p-16, -0x1.1b5e82f96aeffp-16, -0x1.17451203b7d3fp-16, -0x1.132475b7658d8p-16, -0x1.0efd4af50c0e8p-16, -0x1.0ad02ba18e756p-16, -0x1.069daea1ff02dp-16, -0x1.026667d85bf3ap-16, -0x1.fc55d0421c626p-17, -0x1.f3d77aa26387dp-17, -0x1.eb52e46b27b83p-17, -0x1.e2c91d24c88dep-17, -0x1.da3b2e47193e2p-17, -0x1.d1aa1b3b59007p-17, -0x1.c916e15f614e8p-17, -0x1.c0827809e8d81p-17, -0x1.b7edd08ff2393p-17, -0x1.af59d64b3572bp-17, -0x1.a6c76ea18879p-17, -0x1.9e37790d39df1p-17, -0x1.95aacf264ae2dp-17, -0x1.8d2244ac7be1fp-17, -0x1.849ea7922ca81p-17, -0x1.7c20c007f0e1bp-17, -0x1.73a95088e2cacp-17, -0x1.6b3915e792f32p-17, -0x1.62d0c75ba9459p-17, -0x1.5a71169007c3ap-17, -0x1.521aafb18774ep-17, -0x1.49ce397e32931p-17, -0x1.418c5554f5764p-17, -0x1.39559f45c7b2p-17, -0x1.312aae2238ed6p-17, -0x1.290c138e60973p-17, -0x1.20fa5c12263c4p-17, -0x1.18f60f2adc71ap-17, -0x1.10ffaf5d25d17p-17, -0x1.0917ba471e91fp-17, -0x1.013ea8b2c27e5p-17, -0x1.f2e9dd51156abp-18, -0x1.e375f704775f8p-18, -0x1.d42273fbbde16p-18, -0x1.c4f020a1c2a37p-18, -0x1.b5dfc076a377p-18, -0x1.a6f20e3675599p-18, -0x1.9827bc0021e18p-18, -0x1.8981737c698f5p-18, -0x1.7affd604fbbd1p-18, -0x1.6ca37ccba14ap-18, -0x1.5e6cf9016de72p-18, -0x1.505cd3fdf28bp-18, -0x1.42738f6666ac5p-18, -0x1.34b1a554c3a6dp-18, -0x1.2717887ecacbdp-18, -0x1.19a5a45cec9bbp-18, -0x1.0c5c5d5110945p-18, -0x1.fe78219a61ccep-19, -0x1.e48a2af394b68p-19, -0x1.caef76b82dce7p-19, -0x1.b1a897f81f7e2p-19, -0x1.98b6151462e83p-19, -0x1.80186809fd467p-19, -0x1.67cffebc72dcp-19, -0x1.4fdd3b3faaf0ap-19, -0x1.3840742131d0ap-19, -0x1.20f9f4b0d55ap-19, -0x1.0a09fd489c18cp-19, -0x1.e6e187280587cp-20, -0x1.ba5ce5ad105bbp-20, -0x1.8e865862f4cb9p-20, -0x1.635e0dd1f7a1cp-20, -0x1.38e421509785ap-20, -0x1.0f189b8a6dd44p-20, -0x1.cbf6e60b0d1d3p-21, -0x1.7b19194bf9808p-21, -0x1.2b97785fefb25p-21, -0x1.bae3131faf134p-22, -0x1.214d65c485985p-22, -0x1.14d8ec53fa384p-23, 0x1.382d5b38fdaep-27, 0x1.367c4e625de6dp-23, 0x1.2a0be1a9624bp-22, 0x1.b62cf41bcc8f4p-22, 0x1.1fd1f6cf6bb76p-21, 0x1.6339c85efd74ep-21, 0x1.a54f68dc90057p-21, 0x1.e6146a65b035dp-21, 0x1.12c53b1e49175p-20, 0x1.31d9a5f967011p-20, 0x1.5048604be8a86p-20, 0x1.6e125ef57f6ep-20, 0x1.8b38a0c8be055p-20, 0x1.a7bc2e27d7375p-20, 0x1.c39e18a3330aap-20, 0x1.dedf7a99d6d9ep-20, 0x1.f98176db9f32p-20, 0x1.09c29c26a528ap-19, 0x1.1675f8c72d18cp-19, 0x1.22db6e5058a5cp-19, 0x1.2ef39d49052dbp-19, 0x1.3abf2993956e5p-19, 0x1.463eba447032ap-19, 0x1.5172f9795c5b9p-19, 0x1.5c5c9431bee2dp-19, 0x1.66fc3a27b0753p-19, 0x1.71529da9f5074p-19, 0x1.7b607376c4167p-19, 0x1.852672976f6eap-19, 0x1.8ea5543cd8e26p-19, 0x1.97ddd39cbe74ap-19, 0x1.a0d0adcfd575dp-19, 0x1.a97ea1b0b36c7p-19, 0x1.b1e86fbb84c9dp-19, 0x1.ba0ed9ee8a7f9p-19, 0x1.c1f2a3ab60c4fp-19, 0x1.c99491990b958p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e0f55d7579fa5p-1, 0x1.daf42106e2283p-1, 0x1.d48e64d4149dfp-1, 0x1.cdcdb74862484p-1, 0x1.c6bb90a1e0aa2p-1, 0x1.bf613b29ce178p-1, 0x1.b7c7bf845629fp-1, 0x1.aff7d4c91e075p-1, 0x1.a7f9d40a58a9cp-1, 0x1.9fd5aeebc360dp-1, 0x1.9792e8eba8facp-1, 0x1.8f389303d7887p-1, 0x1.86cd494e269fep-1, 0x1.7e57325ec70f2p-1, 0x1.75dc000d8946ap-1, 0x1.6d60f16e39378p-1, 0x1.64ead5bef41bdp-1, 0x1.5c7e1019c2387p-1, 0x1.541e9bbcd830bp-1, 0x1.4bd010c286f3ep-1, 0x1.4395a9272239p-1, 0x1.3b724600025a9p-1, 0x1.336874cb28feep-1, 0x1.2b7a74c31750dp-1, 0x1.23aa3c25fe98dp-1, 0x1.1bf97d62a79b5p-1, 0x1.1469ac2040d28p-1, 0x1.0cfc0218c11a1p-1, 0x1.05b183bfa9588p-1, 0x1.fd160961939bep-2, 0x1.ef1257c86ab56p-2, 0x1.e158ef4bb2abdp-2, 0x1.d3ea82a085fa1p-2, 0x1.c6c78195df718p-2, 0x1.b9f01f9a7a25ep-2, 0x1.ad6459cf1e5edp-2, 0x1.a123fca95b6ccp-2, 0x1.952ea92b42747p-2, 0x1.8983d9b521266p-2, 0x1.7e22e67671ddcp-2, 0x1.730b098363f0cp-2, 0x1.683b629457f3p-2, 0x1.5db2fa74acfb8p-2, 0x1.5370c62613fa6p-2, 0x1.4973a9bd7afc1p-2, 0x1.3fba7afe771bep-2, 0x1.364403b9d2634p-2, 0x1.2d0f03f3ae78fp-2, 0x1.241a33d57a724p-2, 0x1.1b64456fa6175p-2, 0x1.12ebe64ed94a3p-2, 0x1.0aafc0e82ccfep-2, 0x1.02ae7ddfa9de6p-2, 0x1.f5cd8a583cd0ep-3, 0x1.e6ae7e3649424p-3, 0x1.d7fd2a700523ep-3, 0x1.c9b6e62fb0e58p-3, 0x1.bbd90e1acd677p-3, 0x1.ae61058d2213bp-3, 0x1.a14c37ab21965p-3, 0x1.9498184f4d30dp-3, 0x1.884224d607271p-3, 0x1.7c47e4cadb33ep-3, 0x1.70a6ea7a2d17p-3, 0x1.655cd369e4764p-3, 0x1.5a6748bb94a9cp-3, 0x1.4fc3ff7a560b3p-3, 0x1.4570b8d665d19p-3, 0x1.3b6b42507206ap-3, 0x1.31b175d64dc7dp-3, 0x1.284139d2ab3fcp-3, 0x1.1f1881314b02fp-3, 0x1.16354b58fe05fp-3, 0x1.0d95a41cae09ap-3, 0x1.0537a3a48a5c6p-3, 0x1.fa32dca0be211p-4, 0x1.ea726927fdbe6p-4, 0x1.db2a659d2aed4p-4, 0x1.cc57623b4cb59p-4, 0x1.bdf60658cd03cp-4, 0x1.b00310001375p-4, 0x1.a27b53832bbd9p-4, 0x1.955bbb0b809ap-4, 0x1.88a14626653dep-4, 0x1.7c49094f6e463p-4, 0x1.70502d792393cp-4, 0x1.64b3ef94bc08bp-4, 0x1.5971a0196ce76p-4, 0x1.4e86a28bc6ea3p-4, 0x1.43f06d058a751p-4, 0x1.39ac87be53a1dp-4, 0x1.2fb88c956b8f7p-4, 0x1.2612269d0336ap-4, 0x1.1cb711a714a19p-4, 0x1.13a519d4189ebp-4, 0x1.0ada1b23ba9fcp-4, 0x1.02540107a9bb8p-4, 0x1.f4218bf14866cp-5, 0x1.e41ce61b9c663p-5, 0x1.d4963f2cc799dp-5, 0x1.c589e16ba3429p-5, 0x1.b6f4320470d76p-5, 0x1.a8d1b04abf58fp-5, 0x1.9b1ef50028e58p-5, 0x1.8dd8b19feb032p-5, 0x1.80fbafaf4429dp-5, 0x1.7484d01291ap-5, 0x1.68710a6714af8p-5, 0x1.5cbd6c614df46p-5, 0x1.5167192fd94f8p-5, 0x1.466b48e2aeb1ap-5, 0x1.3bc747d6aec34p-5, 0x1.317876256430cp-5, 0x1.277c4718d8887p-5, 0x1.1dd040a36516bp-5, 0x1.1471fadb617f2p-5, 0x1.0b5f1f7a9554dp-5, 0x1.029569614ae9fp-5, 0x1.f4254839e7badp-6, 0x1.e3a956e4683bep-6, 0x1.d3b2d5d48aa0cp-6, 0x1.c43dbac7252a3p-6, 0x1.b546194ae1bfep-6, 0x1.a6c821edc112fp-6, 0x1.98c0217075166p-6, 0x1.8b2a7fff69487p-6, 0x1.7e03c07149a8dp-6, 0x1.71487f8ad6635p-6, 0x1.64f57347e8bf6p-6, 0x1.59076a2967e1cp-6, 0x1.4d7b4a88243b1p-6, 0x1.424e11ec51dc6p-6, 0x1.377cd4699c109p-6, 0x1.2d04bbff9887p-6, 0x1.22e307fe82222p-6, 0x1.19150c701bbfep-6, 0x1.0f9831849448p-6, 0x1.0669f30359001p-6, 0x1.fb0fbf7f5508ep-7, 0x1.e9df3221d248dp-7, 0x1.d93da49cdf9f8p-7, 0x1.c926a09ddc389p-7, 0x1.b995d1d63f368p-7, 0x1.aa870507aa791p-7, 0x1.9bf6271654188p-7, 0x1.8ddf4421b7191p-7, 0x1.803e86a34ed3p-7, 0x1.7310369340e99p-7, 0x1.6650b892c055bp-7, 0x1.59fc8d1c12ff8p-7, 0x1.4e104fb80a0dep-7, 0x1.4288b638c8bf6p-7, 0x1.37628ff9c5412p-7, 0x1.2c9ac524d0013p-7, 0x1.222e55fc0e0fcp-7, 0x1.181a5a28c1446p-7, 0x1.0e5c000ec290fp-7, 0x1.04f08c248fb06p-7, 0x1.f7aab09f9f3e1p-8, 0x1.e60fa68c648fap-8, 0x1.d50affe5214e6p-8, 0x1.c497e9bc65e09p-8, 0x1.b4b1b73c41f2p-8, 0x1.a553e088cf13bp-8, 0x1.967a01aa6e861p-8, 0x1.881fd97f8bbdfp-8, 0x1.7a4148b5b5c0bp-8, 0x1.6cda50c9e3293p-8, 0x1.5fe7130fb069p-8, 0x1.5363cfbf70dffp-8, 0x1.474ce50ae6df9p-8, 0x1.3b9ece3877424p-8, 0x1.305622c4b36eap-8, 0x1.256f958a0fd5dp-8, 0x1.1ae7f3eea05dfp-8, 0x1.10bc2517b2befp-8, 0x1.06e9292328259p-8, 0x1.fad830ccc102p-9, 0x1.e884456534fe6p-9, 0x1.d6d11d3d473ddp-9, 0x1.c5b971ab66f15p-9, 0x1.b53826d6acc19p-9, 0x1.a5484a687c942p-9, 0x1.95e51247c8795p-9, 0x1.8709db5da0e0dp-9, 0x1.78b22862e50d2p-9, 0x1.6ad9a0b6cbb58p-9, 0x1.5d7c0f3e12ddbp-9, 0x1.5095614a95953p-9, 0x1.4421a58b1193bp-9, 0x1.381d0b02e6a73p-9, 0x1.2c83e00998384p-9, 0x1.21529151df5afp-9, 0x1.1685a8f8136fdp-9, 0x1.0c19cd97bdfc7p-9, 0x1.020bc1681fbfep-9, 0x1.f0b0c2bf08364p-10, 0x1.ddf948ba4423p-10, 0x1.cbeb34b2d6b26p-10, 0x1.ba80d7392da55p-10, 0x1.a9b4aff66d191p-10, 0x1.99816c316cda1p-10, 0x1.89e1e55f286eap-10, 0x1.7ad11fbe4c476p-10, 0x1.6c4a48fd9927ep-10, 0x1.5e48b6ecd257p-10, 0x1.50c7e637d6e44p-10, 0x1.43c3792baff67p-10, 0x1.3737368548b49p-10, 0x1.2b1f084979173p-10, 0x1.1f76faa632181p-10, 0x1.143b3adc7d8fep-10, 0x1.0968163312b5ap-10, 0x1.fdf3f1e273c96p-11, 0x1.e9dadac3a3ac2p-11, 0x1.d67e35bc41eabp-11, 0x1.c3d789c09ae01p-11, 0x1.b1e0943a6c9c1p-11, 0x1.a093474af5d0ap-11, 0x1.8fe9c81aec64fp-11, 0x1.7fde6d37f9f2ep-11, 0x1.706bbcff5012cp-11, 0x1.618c6c14f246ap-11, 0x1.533b5be754b26p-11, 0x1.4573993eefec7p-11, 0x1.38305ad96a6d2p-11, 0x1.2b6d001003659p-11, 0x1.1f250f88e116cp-11, 0x1.135435f2f32d2p-11, 0x1.07f644cc11fa1p-11, 0x1.fa0e626218d27p-12, 0x1.e506256eb0439p-12, 0x1.d0cc44a028ac5p-12, 0x1.bd5972682edb1p-12, 0x1.aaa69fb1828bp-12, 0x1.98acf9da94e09p-12, 0x1.8765e8c09b907p-12, 0x1.76cb0cda9770fp-12, 0x1.66d63d63ca804p-12, 0x1.5781869528488p-12, 0x1.48c727ed45adep-12, 0x1.3aa192864f027p-12, 0x1.2d0b6779a0638p-12, 0x1.1fff76508414ep-12, 0x1.1378bb81b6ec5p-12, 0x1.07725efb4ac4dp-12, 0x1.f7cf6570f6adcp-13, 0x1.e1a862c64195dp-13, 0x1.cc66fa00ae2dp-13, 0x1.b802bb500f74bp-13, 0x1.a473808deb002p-13, 0x1.91b16ad5fb512p-13, 0x1.7fb4e032663c8p-13, 0x1.6e76895b16529p-13, 0x1.5def4f878c28fp-13, 0x1.4e185a529f82cp-13, 0x1.3eeb0daf9003cp-13, 0x1.306107efe9219p-13, 0x1.22741fd998ffp-13, 0x1.151e62ccce1b8p-13, 0x1.085a12f90ad28p-13, 0x1.f8434b41e855cp-14, 0x1.e0df82d8d1596p-14, 0x1.ca7e7990d4488p-14, 0x1.b51638a8bc0ccp-14, 0x1.a09d22b891884p-14, 0x1.8d09f0bf1432ap-14, 0x1.7a53af477640dp-14, 0x1.6871bba694bf6p-14, 0x1.575bc14ee857cp-14, 0x1.4709b73a72dd4p-14, 0x1.3773dd69fa2b4p-14, 0x1.2892ba78dba61p-14, 0x1.1a5f1944d3b75p-14, 0x1.0cd206a913b87p-14, 0x1.ffc99e980e184p-15, 0x1.e721fafe60e12p-15, 0x1.cfa0ae6110715p-15, 0x1.b939b7d99cbcdp-15, 0x1.a3e185e4871e7p-15, 0x1.8f8cf2a6876afp-15, 0x1.7c3140507cfc3p-15, 0x1.69c415a124e83p-15, 0x1.583b7a839aa19p-15, 0x1.478dd4c9bd23dp-15, 0x1.37b1e5018ed82p-15, 0x1.289ec364ba2fap-15, 0x1.1a4bdce15d03bp-15, 0x1.0cb0f03b520d5p-15, 0x1.ff8c168a58564p-16, 0x1.e70710604ca12p-16, 0x1.cfc415e48dfddp-16, 0x1.b9b4fd840c0ddp-16, 0x1.a4cc274d85e63p-16, 0x1.90fc783ac86b3p-16, 0x1.7e3955a0ef22bp-16, 0x1.6c76a0c670eb4p-16, 0x1.5ba8b29dbb8a4p-16, 0x1.4bc457a33f473p-16, 0x1.3cbecbddc0fb1p-16, 0x1.2e8db6ffdddfdp-16, 0x1.212728a9b5135p-16, 0x1.148194c9b2ab3p-16, 0x1.0893d01b78f33p-16, 0x1.faaa1987f4149p-17, 0x1.e579ae13a0f5ap-17, 0x1.d1862451ebf7p-17, 0x1.bebfea81df34ep-17, 0x1.ad1810b958169p-17, 0x1.9c8043265f594p-17, 0x1.8ceac4809a4ep-17, 0x1.7e4a68a96009dp-17, 0x1.70928f78dc1efp-17, 0x1.63b71fb6ddcb9p-17, 0x1.57ac823e02621p-17, 0x1.4c679d47c6183p-17, 0x1.41ddcfe0453edp-17, 0x1.3804ed806a338p-17, 0x1.2ed339cd498dbp-17, 0x1.263f647b86634p-17, 0x1.1e4085559939dp-17, 0x1.16ce1863df089p-17, 0x1.0fdffa3560c71p-17, 0x1.096e64484910fp-17, 0x1.0371e99108a49p-17, 0x1.fbc6e63e62d9dp-18, 0x1.f17879be31b61p-18, 0x1.e7eba4eeabde7p-18, 0x1.df1418827a4bbp-18, 0x1.d6e618b6fa6bbp-18, 0x1.cf5677ac13493p-18, 0x1.c85a8fed0faccp-18, 0x1.c1e83f28ead8cp-18, 0x1.bbf5e118956d8p-18, 0x1.b67a4a91b692ep-18, 0x1.b16cc4c48851dp-18, 0x1.acc508a36c04bp-18, 0x1.a87b3a72e432cp-18, 0x1.a487e580ae6c5p-18, 0x1.a0e3f800bd39cp-18, 0x1.9d88bf0edd69ap-18, 0x1.9a6fe2d3dc6ep-18, 0x1.979362cd0d88ap-18, 0x1.94ed92351a834p-18, 0x1.9279148d05c73p-18, 0x1.9030da44602f9p-18, 0x1.8e101d7fad72dp-18, 0x1.8c125efc03955p-18, 0x1.8a33630ef1d87p-18, 0x1.886f2ec1c8d82p-18, 0x1.86c2050763513p-18, 0x1.8528640b9231fp-18, 0x1.839f029b5c267p-18, 0x1.8222cda53fa74p-18, 0x1.80b0e5d0b4209p-18, 0x1.7f469d2c2758ap-18, 0x1.7de174f0bc501p-18, 0x1.7c7f1b5b180a6p-18, 0x1.7b1d69988ab2cp-18, 0x1.79ba61c7eda5cp-18, 0x1.78542d0d8dc31p-18, 0x1.76e919b985cf4p-18, 0x1.7577997febce9p-18, 0x1.73fe3fc23c0c4p-18, 0x1.727bbfe96fab4p-18, 0x1.70eeebd032197p-18, 0x1.6f56b23cab0a8p-18, 0x1.6db21d695d4bdp-18, 0x1.6c00519c921b4p-18, 0x1.6a408bcddad4dp-18, 0x1.687220592f54fp-18, 0x1.669479bf304a3p-18, 0x1.64a71772203a2p-18, 0x1.62a98caf22cf2p-18, 0x1.609b7f635a631p-18, 0x1.5e7ca71c78d7ap-18, 0x1.5c4ccc0462e37p-18, 0x1.5a0bc5e78468bp-18, 0x1.57b97b45758fap-18, 0x1.5555e06b99069p-18, 0x1.52e0f6995851bp-18, 0x1.505acb2daa4bbp-18, 0x1.4dc376dd8facbp-18, 0x1.4b1b1cf338a2bp-18, 0x1.4861ea957fe51p-18, 0x1.4598161776f4p-18, 0x1.42bdde4fb3f61p-18, 0x1.3fd389f71e9ffp-18, 0x1.3cd9670ef946ap-18, 0x1.39cfca4ddbc08p-18, 0x1.36b70e936b9e7p-18, 0x1.338f946287abp-18, 0x1.3059c161b4d2p-18, 0x1.2d15ffe18991dp-18, 0x1.29c4be68e6633p-18, 0x1.26666f46bfb79p-18, 0x1.22fb8829471dp-18, 0x1.1f8481ba3fa62p-18, 0x1.1c01d7404b254p-18, 0x1.187406450266bp-18, 0x1.14db8e3fa720fp-18, 0x1.1138f04446f62p-18, 0x1.0d8caeb71da9fp-18, 0x1.09d74d0413626p-18, 0x1.06194f5a29b2p-18, 0x1.02533a6ab116ap-18, 0x1.fd0b265845364p-19, 0x1.f561bd40eb17ap-19, 0x1.edab433da5605p-19, 0x1.e5e8c140f7a48p-19, 0x1.de1b3f2198f7fp-19, 0x1.d643c34062137p-19, 0x1.ce635233e828cp-19, 0x1.c67aee798e34cp-19, 0x1.be8b982bcbac6p-19, 0x1.b6964cbd78177p-19, 0x1.ae9c06b9de7fap-19, 0x1.a69dbd89671efp-19, 0x1.9e9c653aa89d8p-19, 0x1.9698ee4fa9862p-19, 0x1.8e94458f24fc6p-19, 0x1.868f53d9a9c54p-19, 0x1.7e8afe0262a33p-19, 0x1.768824ab5d5dp-19, 0x1.6e87a4252c1e4p-19, 0x1.668a5451b7afdp-19, 0x1.5e91088a16b98p-19, 0x1.569c8f875390cp-19, 0x1.4eadb34decb2ap-19, 0x1.46c5391bf96ecp-19, 0x1.3ee3e159ce70cp-19, 0x1.370a678d00b9bp-19, 0x1.2f39824dab5ddp-19, 0x1.2771e33dd8e57p-19, 0x1.1fb43702f6f42p-19, 0x1.1801254132c5ep-19, 0x1.10595098aca53p-19, 0x1.08bd56a4617c9p-19, 0x1.012dcffabb87ap-19, 0x1.f356a05f4a7d9p-20, 0x1.e46ccbb02dfdbp-20, 0x1.d59f351dfbfb3p-20, 0x1.c6eee5f6e6a3bp-20, 0x1.b85cddb03ea33p-20, 0x1.a9ea11f79601ep-20, 0x1.9b976ec5ef962p-20, 0x1.8d65d674f8bc9p-20, 0x1.7f5621d61a9bep-20, 0x1.7169204b4abd5p-20, 0x1.639f97e1717a4p-20, 0x1.55fa456c5ab55p-20, 0x1.4879dca3fbd81p-20, 0x1.3b1f08430a777p-20, 0x1.2dea6a26c2305p-20, 0x1.20dc9b6fb4d7p-20, 0x1.13f62ca3a2abep-20, 0x1.0737a5d02c946p-20, 0x1.f5430d5cc9e9cp-21, 0x1.dc688d8e1958fp-21, 0x1.c3e0ab2f02c4ap-21, 0x1.abac356e77e0cp-21, 0x1.93cbebfba4045p-21, 0x1.7c407f52d1d63p-21, 0x1.650a910b11bdap-21, 0x1.4e2ab42480d07p-21, 0x1.37a16d57162fp-21, 0x1.216f3361d6861p-21, 0x1.0b946f5a55bcp-21, 0x1.ec22f9f8d63b1p-22, 0x1.c1cd55f403cd9p-22, 0x1.98287695da0e2p-22, 0x1.6f34c6f9566cbp-22, 0x1.46f29a0408263p-22, 0x1.1f622b04d896ep-22, 0x1.f1073ca47e1c4p-23, 0x1.a4ae03cf6f1b9p-23, 0x1.59b89c04c4578p-23, 0x1.1026cb7956888p-23, 0x1.8ff05ea3690f4p-24, 0x1.025879a9d523ep-24, 0x1.de1214e58d24dp-26, -0x1.08d2c7a42480cp-28, -0x1.2bbd23d06806cp-25, -0x1.1871e7e375d9p-24, -0x1.9849af5296252p-24, -0x1.0ab45577070c7p-23, -0x1.47e8ee82ceb3cp-23, -0x1.83c442a67404cp-23, -0x1.be480f57c135p-23, -0x1.f7762e96503p-23, -0x1.17a84aeea5801p-22, -0x1.32ecaa8c984fap-22, -0x1.4d894ad0d0798p-22, -0x1.677f4c9ba90b8p-22, -0x1.80cfdc8317035p-22, -0x1.997c3255db159p-22, -0x1.b18590a0d5053p-22, -0x1.c8ed44368061ap-22, -0x1.dfb4a3b89f485p-22, -0x1.f5dd0f24132a5p-22, -0x1.05b3f7af76dd4p-21, -0x1.102b5ae458dbbp-21, -0x1.1a556de666655p-21, -0x1.2432f13ba4172p-21, -0x1.2dc4a905d75bbp-21, -0x1.370b5ccf175cfp-21, -0x1.4007d75774f7bp-21, -0x1.48bae663c1121p-21, -0x1.51255a8d68cc9p-21, -0x1.594807136c652p-21, -0x1.6123c1ac6b446p-21, -0x1.68b96259c65abp-21, -0x1.7009c33bd46d4p-21, -0x1.7715c06729eedp-21, -0x1.7dde37baef52ap-21, -0x1.846408b843c58p-21, -0x1.8aa8145aad399p-21, -0x1.90ab3cf18e286p-21, -0x1.966e65faa31f6p-21, -0x1.9bf273fd828cfp-21, -0x1.a1384c681cf66p-21, -0x1.a640d56c39abfp-21, -0x1.ab0cf5ddf0343p-21, -0x1.af9d95131572dp-21, -0x1.b3f39ac39fc32p-21, -0x1.b80feeeafa30dp-21, -0x1.bbf379aa461d2p-21, -0x1.bf9f232b85c7cp-21, -0x1.c313d385ae95p-21, -0x1.c65272a19e382p-21, -0x1.c95be81fef138p-21, -0x1.cc311b3fa942cp-21, -0x1.ced2f2c5cc2afp-21, -0x1.d14254e5acde2p-21, -0x1.d380272a25687p-21, -0x1.d58d4e5f92f1cp-21, -0x1.d76aae7e9da37p-21, -0x1.d9192a97c53d5p-21, -0x1.da99a4bfb3828p-21, -0x1.dbecfdfc4b7f8p-21, -0x1.dd14163274f81p-21, -0x1.de0fcc149f9c4p-21, -0x1.dee0fd11fa8ddp-21, -0x1.df8885465c86fp-21, -0x1.e0073f6ad87adp-21, -0x1.e05e04c6fc271p-21, -0x1.e08dad22b3f93p-21, -0x1.e0970eb8d0d32p-21, -0x1.e07afe2a2d9bp-21, -0x1.e03a4e716e97fp-21, -0x1.dfd5d0d759aefp-21, -0x1.df4e54e7c1826p-21, -0x1.dea4a86702c16p-21, -0x1.ddd997480daa1p-21, -0x1.dcedeba2f96e9p-21, -0x1.dbe26dac201c8p-21, -0x1.dab7e3abbba42p-21, -0x1.d96f11f60400ep-21, -0x1.d808bae3ca5b4p-21, -0x1.d6859ecb8e25ap-21, -0x1.d4e67bfb07214p-21, -0x1.d32c0eb125721p-21, -0x1.d15711187f74ep-21, -0x1.cf683b422f6a8p-21, -0x1.cd6043211921ep-21, -0x1.cb3fdc85993cep-21, -0x1.c907b919979cap-21, -0x1.c6b8885cfb922p-21, -0x1.c452f7a28070bp-21, -0x1.c1d7b20ce3d3fp-21, -0x1.bf47608c7020ap-21, -0x1.bca2a9dcdaf4cp-21, -0x1.b9ea32837999cp-21, -0x1.b71e9ccdc751ep-21, -0x1.b44088d03833ap-21, -0x1.b15094655b924p-21, -0x1.ae4f5b2d461cbp-21, -0x1.ab3d768d454f9p-21, -0x1.a81b7dafd63c2p-21, -0x1.a4ea0584e1b6ep-21, -0x1.a1a9a0c237b49p-21, -0x1.9e5adfe44872bp-21, -0x1.9afe512f1c588p-21, -0x1.979480af832ebp-21, -0x1.941df83c7d732p-21, -0x1.909b3f78db2aap-21, -0x1.8d0cdbd50da9p-21, -0x1.897350912cff5p-21, -0x1.85cf1ebf2bfe5p-21, -0x1.8220c5453bf3cp-21, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.cf6410adc0571p-5, 0x1.ff378d6e71343p-5, 0x1.15e1b148d0f53p-4, 0x1.2a026cab27b6ap-4, 0x1.3b897ae787588p-4, 0x1.4a1267325847ep-4, 0x1.554ab4ce83056p-4, 0x1.5cf2c2c477634p-4, 0x1.60ddd7a487eaap-4, 0x1.60f18591fe893p-4, 0x1.5d2491960cd25p-4, 0x1.557d832bfad34p-4, 0x1.4a10faf10ac12p-4, 0x1.3affe9cc970cap-4, 0x1.2875bce8d5beep-4, 0x1.12a68e7902ae8p-4, 0x1.f39acf0c0811bp-5, 0x1.bc55378353b4dp-5, 0x1.80048b4a996cap-5, 0x1.3f35cdad90ec7p-5, 0x1.f4f0bbafd8963p-6, 0x1.64b7a47bf43c1p-6, 0x1.9db8829b1d202p-7, 0x1.a3a0fc647ee12p-9, -0x1.a5d08fd6462cbp-8, -0x1.09daef9e0d5c8p-6, -0x1.abcb4b74a1687p-6, -0x1.272f0bb93dc58p-5, -0x1.785d72e95a243p-5, -0x1.c90c42985611p-5, -0x1.0c6f516b77188p-4, -0x1.33bfc0e656b47p-4, -0x1.5a50c04e398a7p-4, -0x1.7fff661aad0a3p-4, -0x1.a4ac72fae145fp-4, -0x1.c83c2fc941bc5p-4, -0x1.ea9646a2e85b2p-4, -0x1.05d2cc386ae65p-3, -0x1.15ac0800913c9p-3, -0x1.24cf39d185d12p-3, -0x1.33361b08e15e3p-3, -0x1.40dba3aba9f4cp-3, -0x1.4dbbf31942b3fp-3, -0x1.59d43937f945ep-3, -0x1.6522a047dc0d1p-3, -0x1.6fa6377e7b7ap-3, -0x1.795ede85e06bap-3, -0x1.824d31f1ad4adp-3, -0x1.8a7278b75d1f5p-3, -0x1.91d092b16ab2p-3, -0x1.9869e830e7181p-3, -0x1.9e415a9d832bp-3, -0x1.a35a362122068p-3, -0x1.a7b82459bd4afp-3, -0x1.ab5f200a61551p-3, -0x1.ae5369c2afaa3p-3, -0x1.b0997d7313eb6p-3, -0x1.b23608e2f8349p-3, -0x1.b32de2fdc804ap-3, -0x1.b38603eafec76p-3, -0x1.b3437de562131p-3, -0x1.b26b76c56e29ap-3, -0x1.b103223309604p-3, -0x1.af0fbc72b016ap-3, -0x1.ac9685c2b00f3p-3, -0x1.a99cbe3d21b9dp-3, -0x1.a627a233fded9p-3, -0x1.a23c66fccc775p-3, -0x1.9de038222eacdp-3, -0x1.991834f1c6c6ep-3, -0x1.93e96e5db2d96p-3, -0x1.8e58e529465bap-3, -0x1.886b88592a1b5p-3, -0x1.822633dfb7bcbp-3, -0x1.7b8daf7eccd43p-3, -0x1.74a6add8e72eep-3, -0x1.6d75cbabd7e5ep-3, -0x1.65ff8f2feb18dp-3, -0x1.5e486796b77fdp-3, -0x1.5654aca56bbe7p-3, -0x1.4e289e66acf3fp-3, -0x1.45c864f0acebp-3, -0x1.3d38103c682c5p-3, -0x1.347b980b534f4p-3, -0x1.2b96dbd92f772p-3, -0x1.228da2d7e9ea9p-3, -0x1.19639bf3c8ccap-3, -0x1.101c5dde6d62p-3, -0x1.06bb671f514f4p-3, -0x1.fa883c5186813p-4, -0x1.e773a2e0e5aeap-4, -0x1.d43f6f15d247dp-4, -0x1.c0f1de9299685p-4, -0x1.ad90ffb220e7ep-4, -0x1.9a22b1ca71dd8p-4, -0x1.86aca5720bf8ep-4, -0x1.73345cc7a4cfp-4, -0x1.5fbf2bbc56f79p-4, -0x1.4c5238601da09p-4, -0x1.38f27b30c2698p-4, -0x1.25a4bf6b605c3p-4, -0x1.126da360ad44ep-4, -0x1.fea3319898e08p-5, -0x1.d8a9ca5ed5b15p-5, -0x1.b2f7445dde5a2p-5, -0x1.8d937beb07c45p-5, -0x1.6885f73382a65p-5, -0x1.43d5e711742dap-5, -0x1.1f8a27ea51bc5p-5, -0x1.f752852dc1ab4p-6, -0x1.b072daaa8d128p-6, -0x1.6a81198ad052ep-6, -0x1.258869dfbe2d5p-6, -0x1.c326a95e97ed8p-7, -0x1.3d578c5a5cb84p-7, -0x1.736c402600c74p-8, -0x1.c29ebd4f9b063p-10, 0x1.1afc142c49744p-9, 0x1.86e6a8ca45b13p-8, 0x1.3dbb15a64d5e1p-7, 0x1.b589638c2e868p-7, 0x1.1569375e2bd2p-6, 0x1.4ec5bc0614c3ep-6, 0x1.86d5655304dcap-6, 0x1.bd93db06f704fp-6, 0x1.f2fd4403ab947p-6, 0x1.13872197c6321p-5, 0x1.2ce1fa26ce8dbp-5, 0x1.458df464dcffep-5, 0x1.5d8a123d34238p-5, 0x1.74d58d2cc1acap-5, 0x1.8b6fd49a8c65dp-5, 0x1.a1588c2ce15cp-5, 0x1.b68f8a1bea858p-5, 0x1.cb14d5825c58ep-5, 0x1.dee8a4acda0fdp-5, 0x1.f20b5b68be675p-5, 0x1.023ec4a974a5cp-4, 0x1.0b1ff4139809p-4, 0x1.13a9ad0887fe9p-4, 0x1.1bdc73ff1cfd9p-4, 0x1.23b8dff9c2e2p-4, 0x1.2b3f99b270964p-4, 0x1.32715ac85e943p-4, 0x1.394eecefbf16bp-4, 0x1.3fd92923b562bp-4, 0x1.4610f6dac5dap-4, 0x1.4bf74b3df8e6fp-4, 0x1.518d2862e2b65p-4, 0x1.56d39c88c23d6p-4, 0x1.5bcbc158e386dp-4, 0x1.6076bb2a7303bp-4, 0x1.64d5b849e4891p-4, 0x1.68e9f044169d4p-4, 0x1.6cb4a3354d862p-4, 0x1.7037191c29a21p-4, 0x1.7372a130ad743p-4, 0x1.7668913f6f2dfp-4, 0x1.791a450907d6dp-4, 0x1.7b891da5d25c9p-4, 0x1.7db680ee0a073p-4, 0x1.7fa3d8e652588p-4, 0x1.81529330b41fdp-4, 0x1.82c420821536ap-4, 0x1.83f9f41c313adp-4, 0x1.84f5834c13fb4p-4, 0x1.85b844ed15691p-4, 0x1.8643b0f0592afp-4, 0x1.86993fe8c8242p-4, 0x1.86ba6a9b830f9p-4, 0x1.86a8a994c4adap-4, 0x1.866574c12bc82p-4, 0x1.85f2430b5f806p-4, 0x1.855089fe070a1p-4, 0x1.8481bd6a022f3p-4, 0x1.83874f10d8938p-4, 0x1.8262ae534bab5p-4, 0x1.811547e3fff53p-4, 0x1.7fa0857e25e4bp-4, 0x1.7e05cda0151dep-4, 0x1.7c468349c351ep-4, 0x1.7a6405bf03bb2p-4, 0x1.785fb04d7bdfbp-4, 0x1.763ada1634cc6p-4, 0x1.73f6d5dab75cep-4, 0x1.7194f1cd9a699p-4, 0x1.6f1677666d915p-4, 0x1.6c7cab38e8b2ap-4, 0x1.69c8cccf4a9dap-4, 0x1.66fc1687cf3ebp-4, 0x1.6417bd7523ed2p-4, 0x1.611cf141c6839p-4, 0x1.5e0cdc16323b4p-4, 0x1.5ae8a281c966bp-4, 0x1.57b163665e7dbp-4, 0x1.546837e64899ap-4, 0x1.510e3354ebfc4p-4, 0x1.4da463299f3b7p-4, 0x1.4a2bcef4d4163p-4, 0x1.46a57857722ecp-4, 0x1.43125afc48923p-4, 0x1.3f736c93822c7p-4, 0x1.3bc99cd008661p-4, 0x1.3815d566bb4bcp-4, 0x1.3458fa0f6e009p-4, 0x1.3093e8878f358p-4, 0x1.2cc778966d1b9p-4, 0x1.28f47c12fc30ep-4, 0x1.251bbeeb124cep-4, 0x1.213e072bfe5abp-4, 0x1.1d5c150c6df9bp-4, 0x1.1976a2f78be79p-4, 0x1.158e659945f77p-4, 0x1.11a40bebab1a1p-4, 0x1.0db83f454d0f2p-4, 0x1.09cba36898e7fp-4, 0x1.05ded69414c47p-4, 0x1.01f2719370d8p-4, 0x1.fc0e0fa2c57b7p-5, 0x1.f43a4ed469e3cp-5, 0x1.ec6ab27e05645p-5, 0x1.e4a042131d021p-5, 0x1.dcdbfae14f5dfp-5, 0x1.d51ed03a24d97p-5, 0x1.cd69ab9dc9006p-5, 0x1.c5bd6ce6981c5p-5, 0x1.be1aea756a6cap-5, 0x1.b682f15e82a04p-5, 0x1.aef645971123bp-5, 0x1.a775a22330d1ep-5, 0x1.a001b9444d327p-5, 0x1.989b34a7e2cafp-5, 0x1.9142b5967e104p-5, 0x1.89f8d522f13bep-5, 0x1.82be2459ac9b9p-5, 0x1.7b932c7028d34p-5, 0x1.74786ef457cdfp-5, 0x1.6d6e65fc0741ep-5, 0x1.66758454319dp-5, 0x1.5f8e35b026d55p-5, 0x1.58b8ded886135p-5, 0x1.51f5ddd9fb327p-5, 0x1.4b458a33b859bp-5, 0x1.44a835059a6e3p-5, 0x1.3e1e293df752fp-5, 0x1.37a7abc7056b1p-5, 0x1.3144fbb3dbaadp-5, 0x1.2af6526cf8462p-5, 0x1.24bbe3dc5235p-5, 0x1.1e95de98e39cp-5, 0x1.18846c11b0f85p-5, 0x1.1287b0b83cdf7p-5, 0x1.0c9fcc2a6d3fbp-5, 0x1.06ccd95bd4c2ep-5, 0x1.010eeebe5ff8ep-5, 0x1.f6cc3cd4c36f5p-6, 0x1.eba4ec8bf8731p-6, 0x1.e0a80057b98cp-6, 0x1.d5d58422a6ca7p-6, 0x1.cb2d7c576c288p-6, 0x1.c0afe62a31f57p-6, 0x1.b65cb7e0a225bp-6, 0x1.ac33e1188afb3p-6, 0x1.a2354b0d130e4p-6, 0x1.9860d8da88918p-6, 0x1.8eb667c0b81cep-6, 0x1.8535cf63df679p-6, 0x1.7bdee20c26d52p-6, 0x1.72b16ce3b63d4p-6, 0x1.69ad38334e6ap-6, 0x1.60d2079d7c691p-6, 0x1.581f9a585cd51p-6, 0x1.4f95ab65f4056p-6, 0x1.4733f1cb179e6p-6, 0x1.3efa20c4f7957p-6, 0x1.36e7e7fd3b672p-6, 0x1.2efcf3bcbec0bp-6, 0x1.2738ed1cf1225p-6, 0x1.1f9b7a37d170ap-6, 0x1.18243e569a916p-6, 0x1.10d2da1f1198cp-6, 0x1.09a6ebbf8b574p-6, 0x1.02a00f199a818p-6, 0x1.f77bbbd7025d8p-7, 0x1.e9ffdff0a55ebp-7, 0x1.dccbb65db87dbp-7, 0x1.cfde679ea7bb7p-7, 0x1.c337191f9234ap-7, 0x1.b6d4ed7edb321p-7, 0x1.aab704d15b3c8p-7, 0x1.9edc7ce43ddeep-7, 0x1.9344717ca83cap-7, 0x1.87edfc951ea16p-7, 0x1.7cd83698b9eeap-7, 0x1.7202369c409a9p-7, 0x1.676b129521d8p-7, 0x1.5d11df8e669b9p-7, 0x1.52f5b1db9715dp-7, 0x1.49159d49b9398p-7, 0x1.3f70b54e50616p-7, 0x1.36060d3483cd6p-7, 0x1.2cd4b8486e135p-7, 0x1.23dbca009e3cbp-7, 0x1.1b1a5625d8155p-7, 0x1.128f70f91e375p-7, 0x1.0a3a2f580fb0ap-7, 0x1.0219a6dfa5123p-7, 0x1.f459dc1aad894p-8, 0x1.e4e638bd6dceep-8, 0x1.d5d694df124adp-8, 0x1.c729242cc978bp-8, 0x1.b8dc1cffcd8b9p-8, 0x1.aaedb89107e69p-8, 0x1.9d5c3329fc7fap-8, 0x1.9025cc531bd9cp-8, 0x1.8348c6ff8571p-8, 0x1.76c369b65315fp-8, 0x1.6a93feb97f82dp-8, 0x1.5eb8d42a77a76p-8, 0x1.53303c2c6d2edp-8, 0x1.47f88d0478e28p-8, 0x1.3d1021379f7f1p-8, 0x1.327557a6cb453p-8, 0x1.282693a8cae3bp-8, 0x1.1e223d2262f42p-8, 0x1.1466c09c8a3f7p-8, 0x1.0af28f58d81c5p-8, 0x1.01c41f643972fp-8, 0x1.f1b3d74ffb248p-9, 0x1.e064e7f285ffbp-9, 0x1.cf987a4db4febp-9, 0x1.bf4ba20b56974p-9, 0x1.af7b7cf749c7fp-9, 0x1.a0253312a0e2ap-9, 0x1.9145f6a417caep-9, 0x1.82db0445fd2e6p-9, 0x1.74e1a2f19f9bbp-9, 0x1.6757240865de8p-9, 0x1.5a38e35a9ba3fp-9, 0x1.4d84472c15dd9p-9, 0x1.4136c036bea7p-9, 0x1.354dc9ab25f34p-9, 0x1.29c6e92f24858p-9, 0x1.1e9faedab26b5p-9, 0x1.13d5b532f84a6p-9, 0x1.0966a123b9e7bp-9, 0x1.fea043ee57d74p-10, 0x1.eb1fe298894dep-10, 0x1.d847a61734d6dp-10, 0x1.c6132ab5d07c9p-10, 0x1.b47e211e860b3p-10, 0x1.a3844e3c24aa5p-10, 0x1.93218b19c11d1p-10, 0x1.8351c4c01d6dfp-10, 0x1.7410fc10f66cdp-10, 0x1.655b45a062e74p-10, 0x1.572cc98c46dc8p-10, 0x1.4981c35217796p-10, 0x1.3c5681a2f21bep-10, 0x1.2fa766362946cp-10, 0x1.2370e59a670a8p-10, 0x1.17af870576e8p-10, 0x1.0c5fe422c6efdp-10, 0x1.017ea8e0d1fedp-10, 0x1.ee11267acd327p-11, 0x1.d9f4e621f72c9p-11, 0x1.c6a253b23333cp-11, 0x1.b4135503e02ffp-11, 0x1.a241f25e561cdp-11, 0x1.9128560831883p-11, 0x1.80c0cbd669709p-11, 0x1.7105c0ba4c1e5p-11, 0x1.61f1c24e8736bp-11, 0x1.537f7e635a56ep-11, 0x1.45a9c28a1109p-11, 0x1.386b7b9fe2b3ap-11, 0x1.2bbfb55854a87p-11, 0x1.1fa199c737fefp-11, 0x1.140c70ea5dccep-11, 0x1.08fba0331a0ddp-11, 0x1.fcd5541f5bff4p-12, 0x1.e8aa5ae95a2e8p-12, 0x1.d56dcaccee40dp-12, 0x1.c3175105b0636p-12, 0x1.b19ed115c418dp-12, 0x1.a0fc63da2ad9bp-12, 0x1.9128569fd0417p-12, 0x1.821b2a397b76dp-12, 0x1.73cd9216ba147p-12, 0x1.6638735bf3671p-12, 0x1.5954e3fbaed21p-12, 0x1.4d1c29d137ad7p-12, 0x1.4187b9bcb189cp-12, 0x1.369136c0b610ep-12, 0x1.2c3271219462cp-12, 0x1.226565864ab32p-12, 0x1.19243c1b47374p-12, 0x1.106947b70e914p-12, 0x1.082f0500ceec5p-12, 0x1.00701998f9033p-12, 0x1.f24ea687d58d4p-13, 0x1.e49f4e2d76cbap-13, 0x1.d7c8614c70fb3p-13, 0x1.cbc0627034901p-13, 0x1.c07e1ded100aap-13, 0x1.b5f8a84bcd861p-13, 0x1.ac275cba13da2p-13, 0x1.a301db7f919e1p-13, 0x1.9a8008780075fp-13, 0x1.929a099219e33p-13, 0x1.8b4845537e7eap-13, 0x1.84836161a4537p-13, 0x1.7e44410fd6436p-13, 0x1.788403f2455afp-13, 0x1.733c047641b43p-13, 0x1.6e65d67f91e4ap-13, 0x1.69fb460afcc91p-13, 0x1.65f655d5fd92bp-13, 0x1.62513e0baeb23p-13, 0x1.5f066af6e7203p-13, 0x1.5c107bb98f69bp-13, 0x1.596a41092ae6fp-13, 0x1.570ebbf096e9ep-13, 0x1.54f91c96fc494p-13, 0x1.5324c10bf2623p-13, 0x1.518d3418cf0f8p-13, 0x1.502e2c171ffc2p-13, 0x1.4f0389cc47024p-13, 0x1.4e09574a32637p-13, 0x1.4d3bc6d53473p-13, 0x1.4c9731cee6e29p-13, 0x1.4c1817a617e34p-13, 0x1.4bbb1ccbb9004p-13, 0x1.4b7d09accc189p-13, 0x1.4b5ac9b138da1p-13, 0x1.4b516a3f91f1ep-13, 0x1.4b5e19c5a89f4p-13, 0x1.4b7e26c60446ap-13, 0x1.4baefeea157c7p-13, 0x1.4bee2e192654ep-13, 0x1.4c395d93ffddfp-13, 0x1.4c8e531530f19p-13, 0x1.4ceaeff5f2c76p-13, 0x1.4d4d305792f27p-13, 0x1.4db32a5160188p-13, 0x1.4e1b0d2310608p-13, 0x1.4e83206b812adp-13, 0x1.4ee9c363dae35p-13, 0x1.4f4d6c1ef965ep-13, 0x1.4faca6cd155b3p-13, 0x1.5006150399d6ep-13, 0x1.50586d09229bep-13, 0x1.50a279258467fp-13, 0x1.50e316f5e3c6cp-13, 0x1.511936c4c1341p-13, 0x1.5143dae5eb3ddp-13, 0x1.516217164e89dp-13, 0x1.51730fdf9556ap-13, 0x1.5175f9ff7c583p-13, 0x1.516a19d2e50b7p-13, 0x1.514ec2c47877ep-13, 0x1.512356beee302p-13, 0x1.50e745a2c7d3fp-13, 0x1.509a0cbf9317bp-13, 0x1.503b36507fe12p-13, 0x1.4fca58fc6664p-13, 0x1.4f47175900011p-13, 0x1.4eb11f7173521p-13, 0x1.4e082a4ffd59cp-13, 0x1.4d4bfb8ac4727p-13, 0x1.4c7c60d3badd8p-13, 0x1.4b99318b8456dp-13, 0x1.4aa24e5752f67p-13, 0x1.4997a0b9addedp-13, 0x1.48791aae0de52p-13, 0x1.4746b6474bb43p-13, 0x1.46007550cc7fp-13, 0x1.44a660f25fc05p-13, 0x1.43388956beb6ep-13, 0x1.41b70554aaeb9p-13, 0x1.4021f21a8e074p-13, 0x1.3e7972dc9e92ep-13, 0x1.3cbdb0856f834p-13, 0x1.3aeed968e60f3p-13, 0x1.390d20f98933fp-13, 0x1.3718bf8016306p-13, 0x1.3511f1d5565d3p-13, 0x1.32f8f91e2aab6p-13, 0x1.30ce1a89b55f1p-13, 0x1.2e919f11a76d2p-13, 0x1.2c43d33c94a9ap-13, 0x1.29e506e24ec6dp-13, 0x1.27758cf237d4ap-13, 0x1.24f5bb3b808b3p-13, 0x1.2265ea3744ddcp-13, 0x1.1fc674d48508cp-13, 0x1.1d17b845e3af5p-13, 0x1.1a5a13d129f01p-13, 0x1.178de8a078371p-13, 0x1.14b399953151ap-13, 0x1.11cb8b1c79071p-13, 0x1.0ed6230553baap-13, 0x1.0bd3c8584b296p-13, 0x1.08c4e330a0602p-13, 0x1.05a9dc96ee15fp-13, 0x1.02831e5d43872p-13, 0x1.fea225f946328p-14, 0x1.f8284ae7bb258p-14, 0x1.f199824f8c996p-14, 0x1.eaf6a38963e9ep-14, 0x1.e44086426bf05p-14, 0x1.dd780244568f9p-14, 0x1.d69def3fb11f4p-14, 0x1.cfb32498a655ap-14, 0x1.c8b87935eb0ap-14, 0x1.c1aec351f8091p-14, 0x1.ba96d84e5755bp-14, 0x1.b3718c8911734p-14, 0x1.ac3fb334217fbp-14, 0x1.a5021e2ed519ap-14, 0x1.9db99de12b84fp-14, 0x1.96670118fac6ep-14, 0x1.8f0b14e8eff9fp-14, 0x1.87a6a4894bafbp-14, 0x1.803a793a5078cp-14, 0x1.78c75a2857dc1p-14, 0x1.714e0c517f83ep-14, 0x1.69cf526ce3cf9p-14, 0x1.624becd35962bp-14, 0x1.5ac499699b0f2p-14, 0x1.533a138be0092p-14, 0x1.4bad13facedd8p-14, 0x1.441e50c9c1a2ap-14, 0x1.3c8e7d4e50c39p-14, 0x1.34fe4a1119674p-14, 0x1.2d6e64bfb5025p-14, 0x1.25df781fd7fc3p-14, 0x1.1e522c038c3c1p-14, 0x1.16c7253e800d3p-14, 0x1.0f3f059c5cedp-14, 0x1.07ba6bd81f3aep-14, 0x1.0039f3946510fp-14, 0x1.f17c6aa951d77p-15, 0x1.e28f8ceec854p-15, 0x1.d3ae726218d99p-15, 0x1.c4da390fcbcaep-15, 0x1.b613f8a1437c2p-15, 0x1.a75cc257815edp-15, 0x1.98b5a10764098p-15, 0x1.8a1f991752387p-15, 0x1.7b9ba87e3d294p-15, 0x1.6d2ac6c3f31c6p-15, 0x1.5ecde502b10d9p-15, 0x1.5085ede9e596ap-15, 0x1.4253c5c218bbcp-15, 0x1.34384a71ec063p-15, 0x1.2634538426503p-15, 0x1.1848b22ebd91cp-15, 0x1.0a76315ad779ap-15, 0x1.f97b2b5b5a037p-16, 0x1.de3f3b24a143ap-16, 0x1.c33a028886a2ap-16, 0x1.a86ce5b5a18b5p-16, 0x1.8dd93caa5773p-16, 0x1.7380534e76edcp-16, 0x1.5963698e2908fp-16, 0x1.3f83b3762294ap-16, 0x1.25e2595102a17p-16, 0x1.0c8077c5d361cp-16, 0x1.e6be3fef241c6p-17, 0x1.b4feaf4b6d2fcp-17, 0x1.83c4329b46c2p-17, 0x1.5310a899ea1dfp-17, 0x1.22e5da0938d2ap-17, 0x1.e68af3f2e67d4p-18, 0x1.88624c249a0aep-18, 0x1.2b54cdba919adp-18, 0x1.9ecac045030acp-19, 0x1.d25b06f800739p-20, 0x1.aeb887daf4fb3p-22, -0x1.ecceec0eae93p-21, -0x1.29ee52b2ef6e8p-19, -0x1.d654756f66e8dp-19, -0x1.4031173f6ab5p-18, -0x1.9409e9e59fb49p-18, -0x1.e6b3024e3dc1ap-18, -0x1.1c156a140dcfbp-17, -0x1.4437fb442bcbfp-17, -0x1.6bc091a298c86p-17, -0x1.92ae9b2844721p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.7c536e6fe2fd5p-5, 0x1.a684730097784p-5, 0x1.d05b21795dafap-5, 0x1.f96af9d8e0872p-5, 0x1.10a3feabea05p-4, 0x1.23c4f017ee59ep-4, 0x1.35e74aa91c0c8p-4, 0x1.46de1e6cc5c58p-4, 0x1.568141f3d09f4p-4, 0x1.64adc3c6fc59p-4, 0x1.7146269fcfb02p-4, 0x1.7c32716c10b27p-4, 0x1.85601b850f582p-4, 0x1.8cc1dcb457233p-4, 0x1.924f67bbd250ap-4, 0x1.96051532e635dp-4, 0x1.97e383af80cd3p-4, 0x1.97ef31670d7e5p-4, 0x1.963012ba6639fp-4, 0x1.92b1287a14f18p-4, 0x1.8d80181d52fcdp-4, 0x1.86acc7a5ab384p-4, 0x1.7e48fe79f243fp-4, 0x1.74680c2445afcp-4, 0x1.691e758ecc9d1p-4, 0x1.5c81a918862ddp-4, 0x1.4ea7b9a55f27ap-4, 0x1.3fa720a17f954p-4, 0x1.2f9686ce128d3p-4, 0x1.1e8c9394453d4p-4, 0x1.0c9fc288bcfe5p-4, 0x1.f3cc7d7a41a82p-5, 0x1.cceb86eb0c64ap-5, 0x1.a4c703a750796p-5, 0x1.7b88161221358p-5, 0x1.51567d45e23a8p-5, 0x1.2658790bc8e2fp-5, 0x1.f56568d2305fbp-6, 0x1.9d106c06b0842p-6, 0x1.43f4ab527ce22p-6, 0x1.d4a2d96c5d3fbp-7, 0x1.20c510eae8212p-7, 0x1.b3035d83b058bp-9, -0x1.1bfefa2b29c2dp-9, -0x1.f4328ed3d9b4fp-8, -0x1.ac2ee28b249eep-7, -0x1.2e750768ceb1bp-6, -0x1.85fd3e126b3fp-6, -0x1.dc8aec4c51a07p-6, -0x1.18fde692cc702p-5, -0x1.431831b5d878ap-5, -0x1.6c85ee476d70bp-5, -0x1.9539f98306adbp-5, -0x1.bd28683d7219dp-5, -0x1.e44677fddd831p-5, -0x1.0545401a35d0dp-4, -0x1.17f5f1d2426f2p-4, -0x1.2a31810ab7fcap-4, -0x1.3bf4952c35187p-4, -0x1.4d3c465846d46p-4, -0x1.5e0616d3208fap-4, -0x1.6e4feca6d38e4p-4, -0x1.7e180b82c6afap-4, -0x1.8d5d0ed94c9aap-4, -0x1.9c1de43c7d475p-4, -0x1.aa59c5fad0dbdp-4, -0x1.b81035fb5f5ddp-4, -0x1.c540f8d956085p-4, -0x1.d1ec113d927ap-4, -0x1.de11bb75422afp-4, -0x1.e9b26943e6cf6p-4, -0x1.f4cebdef1b335p-4, -0x1.ff678a820547p-4, -0x1.04bee52352765p-3, -0x1.09894fb94e8a1p-3, -0x1.0e13a802bf208p-3, -0x1.125ea16b16405p-3, -0x1.166afe669a749p-3, -0x1.1a398f24ee143p-3, -0x1.1dcb3057cf09p-3, -0x1.2120ca0d01ee9p-3, -0x1.243b4e9a57da2p-3, -0x1.271bb99ac5274p-3, -0x1.29c30efb8e99ap-3, -0x1.2c325a189769ep-3, -0x1.2e6aace6e6441p-3, -0x1.306d1f2c838edp-3, -0x1.323acdc4dc1c7p-3, -0x1.33d4d9f0dfba5p-3, -0x1.353c68b217765p-3, -0x1.3672a23010e0cp-3, -0x1.3778b127604b8p-3, -0x1.384fc261a9c4cp-3, -0x1.38f904361fab8p-3, -0x1.3975a611deb03p-3, -0x1.39c6d807b5cadp-3, -0x1.39edca66d7f69p-3, -0x1.39ebad580e268p-3, -0x1.39c1b081044aep-3, -0x1.397102ad46f84p-3, -0x1.38fad17ca9904p-3, -0x1.38604916b7ae7p-3, -0x1.37a293e2e8d74p-3, -0x1.36c2da4554712p-3, -0x1.35c2425fa7934p-3, -0x1.34a1efd6156abp-3, -0x1.336303981c63cp-3, -0x1.32069bace5276p-3, -0x1.308dd3030949ep-3, -0x1.2ef9c143a3c3ap-3, -0x1.2d4b7aa871244p-3, -0x1.2b840fd4f25p-3, -0x1.29a48db2597bp-3, -0x1.27adfd4e2b659p-3, -0x1.25a163bb7df9dp-3, -0x1.237fc1f6af5a5p-3, -0x1.214a14cb76979p-3, -0x1.1f0154bd4b68ep-3, -0x1.1ca675f1f4886p-3, -0x1.1a3a681e392c7p-3, -0x1.17be167498989p-3, -0x1.15326795f7efdp-3, -0x1.12983d842be59p-3, -0x1.0ff075965c8a4p-3, -0x1.0d3be86f1f244p-3, -0x1.0a7b69f444513p-3, -0x1.07afc9483ac6ap-3, -0x1.04d9d0c50f7d4p-3, -0x1.01fa45f8dae5bp-3, -0x1.fe23d3475ec42p-4, -0x1.f842ef6db1473p-4, -0x1.f2534eaafe8c7p-4, -0x1.ec5655ad05d8dp-4, -0x1.e64d5f8f2c965p-4, -0x1.e039bde3003dap-4, -0x1.da1cb8baf945ap-4, -0x1.d3f78eb756a34p-4, -0x1.cdcb7515074a4p-4, -0x1.c79997be7e80ep-4, -0x1.c163195e5de98p-4, -0x1.bb291373e0264p-4, -0x1.b4ec9668df247p-4, -0x1.aeaea9a96f072p-4, -0x1.a8704bbcf50f6p-4, -0x1.a23272609590bp-4, -0x1.9bf60aa2f1e82p-4, -0x1.95bbf90119424p-4, -0x1.8f851984987bdp-4, -0x1.89523fe29c18ap-4, -0x1.8324379c00f4p-4, -0x1.7cfbc41e4ccf1p-4, -0x1.76d9a0e576cf1p-4, -0x1.70be819e6e554p-4, -0x1.6aab124a4bf4p-4, -0x1.649ff7621e9c4p-4, -0x1.5e9dcdfb40409p-4, -0x1.58a52bec248f2p-4, -0x1.52b69ff18ec2ep-4, -0x1.4cd2b1d4220e3p-4, -0x1.46f9e28e3b349p-4, -0x1.412cac72067b6p-4, -0x1.3b6b834fc3589p-4, -0x1.35b6d49c29e7ap-4, -0x1.300f0796e223bp-4, -0x1.2a747d7104fb3p-4, -0x1.24e79173981cfp-4, -0x1.1f689925fb57fp-4, -0x1.19f7e4743b109p-4, -0x1.1495bdd53f2cfp-4, -0x1.0f426a70cc9d9p-4, -0x1.09fe2a454f21cp-4, -0x1.04c9384d63e42p-4, -0x1.ff47954a36de9p-5, -0x1.f51c255ddb668p-5, -0x1.eb107a70a95a4p-5, -0x1.e124e53c16191p-5, -0x1.d759addfcc16cp-5, -0x1.cdaf142889549p-5, -0x1.c4254fd61fd56p-5, -0x1.babc90e089a28p-5, -0x1.b174ffbc0b187p-5, -0x1.a84ebd9c583a2p-5, -0x1.9f49e4b6b601p-5, -0x1.966688830dcfbp-5, -0x1.8da4b5fbf1453p-5, -0x1.850473dd827a4p-5, -0x1.7c85c2e340a82p-5, -0x1.74289e04b06e5p-5, -0x1.6becfab0de4d7p-5, -0x1.63d2c908b4a92p-5, -0x1.5bd9f418276cdp-5, -0x1.5402620e2c873p-5, -0x1.4c4bf473840e1p-5, -0x1.44b688604b76bp-5, -0x1.3d41f6b05cf0fp-5, -0x1.35ee143679237p-5, -0x1.2ebab1ee3ba24p-5, -0x1.27a79d2cd803dp-5, -0x1.20b49fd0a58fap-5, -0x1.19e1806f72227p-5, -0x1.132e0283a7316p-5, -0x1.0c99e6983a956p-5, -0x1.0624ea736f589p-5, -0x1.ff9d9280d799dp-6, -0x1.f32e776f44356p-6, -0x1.e6fbf08c27724p-6, -0x1.db056666d67cbp-6, -0x1.cf4a3d8dee285p-6, -0x1.c3c9d6d70a254p-6, -0x1.b8838fa440cf4p-6, -0x1.ad76c22775309p-6, -0x1.a2a2c5a379955p-6, -0x1.9806eeab1881ap-6, -0x1.8da28f5e04bdap-6, -0x1.8374f7a3b1dfcp-6, -0x1.797d7564322fcp-6, -0x1.6fbb54bf0bceap-6, -0x1.662de0401d114p-6, -0x1.5cd4611295aeap-6, -0x1.53ae1f3209ae5p-6, -0x1.4aba6199ae46bp-6, -0x1.41f86e71c2c7ep-6, -0x1.39678b3b3729dp-6, -0x1.3106fcf993c3dp-6, -0x1.28d6085b2a9d8p-6, -0x1.20d3f1dfa6c2cp-6, -0x1.18fffdfcf344fp-6, -0x1.1159714291216p-6, -0x1.09df907b5edf4p-6, -0x1.0291a0cde0aa3p-6, -0x1.f6ddcfb60d9d3p-7, -0x1.e8ed57b71d78cp-7, -0x1.db506777eda67p-7, -0x1.ce058e6e2feffp-7, -0x1.c10b5ddedac97p-7, -0x1.b460690e19a11p-7, -0x1.a803456ccf1e7p-7, -0x1.9bf28ac392cebp-7, -0x1.902cd35b611fcp-7, -0x1.84b0bc23f9722p-7, -0x1.797ce4d7ff5d6p-7, -0x1.6e8ff01efe1dbp-7, -0x1.63e883ad4cc2ap-7, -0x1.59854861e9a2fp-7, -0x1.4f64ea6267d39p-7, -0x1.45861934f4ae6p-7, -0x1.3be787d882808p-7, -0x1.3287ecdb3634ep-7, -0x1.2966026f19ac7p-7, -0x1.2080867d2894p-7, -0x1.17d63ab6c5a6cp-7, -0x1.0f65e4a5a6b83p-7, -0x1.072e4dba45e0cp-7, -0x1.fe5c86b1ca56cp-8, -0x1.eec92dca690fbp-8, -0x1.dfa03b994a3edp-8, -0x1.d0df631eef66dp-8, -0x1.c2845f9129ep-8, -0x1.b48cf46871b35p-8, -0x1.a6f6ed6b007fep-8, -0x1.99c01eb5c6606p-8, -0x1.8ce664c34f0bdp-8, -0x1.8067a470af681p-8, -0x1.7441cb0092598p-8, -0x1.6872ce1c75fbcp-8, -0x1.5cf8abd43521bp-8, -0x1.51d16a9bea9ebp-8, -0x1.46fb194846467p-8, -0x1.3c73cf0965ef1p-8, -0x1.3239ab6444795p-8, -0x1.284ad62ad09ap-8, -0x1.1ea57f72bff19p-8, -0x1.1547df8b2bf3bp-8, -0x1.0c3036f108ab7p-8, -0x1.035cce428c27p-8, -0x1.f597ec63161b4p-9, -0x1.e4f80ee9cac83p-9, -0x1.d4d6c5720ca14p-9, -0x1.c530e11f20f7ap-9, -0x1.b60342bc729d1p-9, -0x1.a74ada99d4d3dp-9, -0x1.9904a8665b24ap-9, -0x1.8b2dbb09eb412p-9, -0x1.7dc3307d9797cp-9, -0x1.70c235a2e06cep-9, -0x1.64280619e98e2p-9, -0x1.57f1ec16c1546p-9, -0x1.4c1d4035c9d89p-9, -0x1.40a7694f54ae2p-9, -0x1.358ddc4a8c29bp-9, -0x1.2ace1befb334p-9, -0x1.2065b8b9d2bffp-9, -0x1.165250a7e2f4dp-9, -0x1.0c918f0d81815p-9, -0x1.03212c6343ba3p-9, -0x1.f3fddc2d640dap-10, -0x1.e2514cb3f79edp-10, -0x1.d13867e6e51efp-10, -0x1.c0af0419a7dc9p-10, -0x1.b0b11004f083bp-10, -0x1.a13a9264c8b72p-10, -0x1.9247a996aec93p-10, -0x1.83d48b37a2d11p-10, -0x1.75dd83c258e74p-10, -0x1.685ef62d86687p-10, -0x1.5b555b8a67833p-10, -0x1.4ebd42a39db85p-10, -0x1.42934f9c56696p-10, -0x1.36d43b8fe8c06p-10, -0x1.2b7cd431ed2fdp-10, -0x1.2089fb6ecfabep-10, -0x1.15f8a70d05255p-10, -0x1.0bc5e04ed9033p-10, -0x1.01eec394e3d58p-10, -0x1.f0e10002851f8p-11, -0x1.de90ae370970cp-11, -0x1.cce738ead6399p-11, -0x1.bbdf6aa0ed66p-11, -0x1.ab743088a9aaep-11, -0x1.9ba099cc5aed7p-11, -0x1.8c5fd6e1b77d8p-11, -0x1.7dad38dc30c6p-11, -0x1.6f8430c1338f3p-11, -0x1.61e04ede62ae3p-11, -0x1.54bd4221d2e4dp-11, -0x1.4816d77454c5ap-11, -0x1.3be8f915d2792p-11, -0x1.302fadfbc7e9cp-11, -0x1.24e71931df071p-11, -0x1.1a0b793cb49fdp-11, -0x1.0f99277ec934fp-11, -0x1.058c979fa4121p-11, -0x1.f7c4adea5ace9p-12, -0x1.e52e17de7d6d3p-12, -0x1.d34eeb0ae03a1p-12, -0x1.c220d54e4321fp-12, -0x1.b19db35b86783p-12, -0x1.a1bf8fa2b4efdp-12, -0x1.9280a13e93736p-12, -0x1.83db4ae6a6a7bp-12, -0x1.75ca19e5bb99ep-12, -0x1.6847c514e5a47p-12, -0x1.5b4f2bdaf67e7p-12, -0x1.4edb553067e6ep-12, -0x1.42e76ea7b3c4ep-12, -0x1.376ecb7a15556p-12, -0x1.2c6ce398af589p-12, -0x1.21dd52c20b162p-12, -0x1.17bbd79befc56p-12, -0x1.0e0452d185492p-12, -0x1.04b2c635bf8c8p-12, -0x1.f786a7d400f73p-13, -0x1.e6647b11e7821p-13, -0x1.d5f7c6ab1c699p-13, -0x1.c63986dc667d8p-13, -0x1.b722f207d09a9p-13, -0x1.a8ad772b3228p-13, -0x1.9ad2bc5ead02ep-13, -0x1.8d8c9d5b1d3cep-13, -0x1.80d52a084f725p-13, -0x1.74a6a512fa1ccp-13, -0x1.68fb828a53283p-13, -0x1.5dce668530ac5p-13, -0x1.531a23ce97119p-13, -0x1.48d9ba99a551bp-13, -0x1.3f08573cb8989p-13, -0x1.35a150f3b628ap-13, -0x1.2ca028a95f95dp-13, -0x1.240087c79ca14p-13, -0x1.1bbe3f0e9144fp-13, -0x1.13d545727a892p-13, -0x1.0c41b70028b45p-13, -0x1.04ffd3c7fe83dp-13, -0x1.fc17fd9ec3383p-14, -0x1.eec57a10febcap-14, -0x1.e20168a087d22p-14, -0x1.d5c554e4e7e77p-14, -0x1.ca0b08679797ep-14, -0x1.becc88c400a75p-14, -0x1.b40415d330304p-14, -0x1.a9ac27e2eb8bdp-14, -0x1.9fbf6df7fabdbp-14, -0x1.9638cc1b795efp-14, -0x1.8d1359b2f62f7p-14, -0x1.844a5fe3304e5p-14, -0x1.7bd957fd3fd6ep-14, -0x1.73bbe9f5f575cp-14, -0x1.6bedeae742aa3p-14, -0x1.646b5b9b758fbp-14, -0x1.5d3067221a3fp-14, -0x1.5639616e50f6p-14, -0x1.4f82c5fe66c33p-14, -0x1.4909368c84c04p-14, -0x1.42c979c8433d7p-14, -0x1.3cc07a18f5cefp-14, -0x1.36eb44688023fp-14, -0x1.314706f6866f5p-14, -0x1.2bd11033cedf2p-14, -0x1.2686cda5a3ac4p-14, -0x1.2165cad10e508p-14, -0x1.1c6bb02dbe4d5p-14, -0x1.1796422071ba2p-14, -0x1.12e35ffcb5fbbp-14, -0x1.0e51030dd5f3dp-14, -0x1.09dd3da6ceed8p-14, -0x1.05863a3921f14p-14, -0x1.014a3a725cee1p-14, -0x1.fa4f2cc05fe4ap-15, -0x1.f2397735dc0ddp-15, -0x1.ea5058ec9d3cap-15, -0x1.e290fe709bd0ep-15, -0x1.daf8baac0c6c4p-15, -0x1.d385056cbc6ecp-15, -0x1.cc3379f4d1898p-15, -0x1.c501d596aa1e4p-15, -0x1.bdedf65b93d5cp-15, -0x1.b6f5d9b51be77p-15, -0x1.b0179b38b32b4p-15, -0x1.a951736565d59p-15, -0x1.a2a1b67367731p-15, -0x1.9c06d32d3589p-15, -0x1.957f51d212859p-15, -0x1.8f09d3019de97p-15, -0x1.88a50eb04c0f9p-15, -0x1.824fd324872a5p-15, -0x1.7c0903fc3f1a4p-15, -0x1.75cf993aaf2f6p-15, -0x1.6fa29e5e2483ep-15, -0x1.6981317d910ep-15, -0x1.636a826db449bp-15, -0x1.5d5dd1eda5979p-15, -0x1.575a70da90671p-15, -0x1.515fbf6a729c8p-15, -0x1.4b6d2c6da4febp-15, -0x1.45823497088f3p-15, -0x1.3f9e61caa1536p-15, -0x1.39c14a7279131p-15, -0x1.33ea90d997fafp-15, -0x1.2e19e28ceb22dp-15, -0x1.284ef7c1eadb6p-15, -0x1.228992c2ddcf4p-15, -0x1.1cc97f6087f8fp-15, -0x1.170e926924a39p-15, -0x1.1158a9248207ap-15, -0x1.0ba7a8d516e2ap-15, -0x1.05fb7e3df02a6p-15, -0x1.00541d2d5050ep-15, -0x1.f5630017bc71p-16, -0x1.ea274ee081cfap-16, -0x1.def5336e06785p-16, -0x1.d3ccc53d4cc54p-16, -0x1.c8ae25cf70706p-16, -0x1.bd997ff1ae73bp-16, -0x1.b28f070d044ebp-16, -0x1.a78ef67d25d5dp-16, -0x1.9c9990ee94f37p-16, -0x1.91af1fc3a6bdfp-16, -0x1.86cff2802e8efp-16, -0x1.7bfc5e3babcafp-16, -0x1.7134bd19ba397p-16, -0x1.66796dc88ee06p-16, -0x1.5bcad3055ca58p-16, -0x1.512953266202fp-16, -0x1.469557aa74941p-16, -0x1.3c0f4ccde1679p-16, -0x1.3197a1246c0bfp-16, -0x1.272ec53846ddep-16, -0x1.1cd52b2dd5c23p-16, -0x1.128b466c151abp-16, -0x1.08518b4977901p-16, -0x1.fc50dd7a30369p-17, -0x1.e820cc282b938p-17, -0x1.d413cd55ed4d8p-17, -0x1.c02acb55d2dedp-17, -0x1.ac66af95927dbp-17, -0x1.98c86227715d4p-17, -0x1.8550c95273851p-17, -0x1.7200c9293a4e3p-17, -0x1.5ed9432754febp-17, -0x1.4bdb15d4ccbfdp-17, -0x1.39071c6fa328cp-17, -0x1.265e2e9b1562dp-17, -0x1.13e1201462ea6p-17, -0x1.0190c06ce6c63p-17, -0x1.dedbb59293ff2p-18, -0x1.baf26b4b3cb54p-18, -0x1.9767253c5b6ebp-18, -0x1.743b5c799b5ebp-18, -0x1.51707f9511c62p-18, -0x1.2f07f24addf7cp-18, -0x1.0d030d34c0971p-18, -0x1.d6c63b0aa733dp-19, -0x1.9452c99515b3bp-19, -0x1.52ae316e6c094p-19, -0x1.11dac5e655216p-19, -0x1.a3b583c747ea5p-20, -0x1.25608f3b41f49p-20, -0x1.51758183c49e7p-21, -0x1.6e3fc5f9f491cp-23, 0x1.2dd06ba2854cdp-22, 0x1.85ebfe10e34aep-21, 0x1.38ba6b4d29aecp-20, 0x1.acbe4a4f549d6p-20, 0x1.0f7f5cc987d5bp-19, 0x1.47bc84bbcff9ep-19, 0x1.7f155e8bb94bap-19, 0x1.b588c50cacfa7p-19, 0x1.eb15ac39ed4acp-19, 0x1.0fdd9088d05b2p-18, 0x1.29bc24b4d2b86p-18, 0x1.432631df422e5p-18, 0x1.5c1b637e6fd58p-18, 0x1.749b7122d6ee7p-18, 0x1.8ca61e56caa68p-18, 0x1.a43b3a7bdda3ep-18, 0x1.bb5aa0a623e8fp-18, 0x1.d20437757a96ap-18, 0x1.e837f0ecf2a88p-18, 0x1.fdf5ca4883da7p-18, 0x1.099ee5e894934p-17, 0x1.14080457c1b1fp-17, 0x1.1e364f5e906f8p-17, 0x1.2829db2a4518ap-17, 0x1.31e2c110158fbp-17, 0x1.3b611f741abb8p-17, 0x1.44a519afcb7fap-17, 0x1.4daed7f80d34dp-17, 0x1.567e8742e6054p-17, 0x1.5f14592cdad5ep-17, 0x1.677083de07006p-17, 0x1.6f9341eef19cep-17, 0x1.777cd24d3489bp-17, 0x1.7f2d781ff24d9p-17, 0x1.86a57aac337a5p-17, 0x1.8de525391bb58p-17, 0x1.94ecc6f41d4fep-17, 0x1.9bbcb2d51a20cp-17, 0x1.a2553f828a253p-17, 0x1.a8b6c7359c5b7p-17, 0x1.aee1a79e718f3p-17, 0x1.b4d641c85e5a5p-17, 0x1.ba94f9fe4b699p-17, 0x1.c01e37af34049p-17, 0x1.c5726552c44aep-17, 0x1.ca91f04e2b52p-17, 0x1.cf7d48d90b87bp-17, 0x1.d434e1e2a62a2p-17, 0x1.d8b930f744b89p-17, 0x1.dd0aae25cf10fp-17, 0x1.e129d3e5a99bdp-17, 0x1.e5171efcd4535p-17, 0x1.e8d30e664aa2fp-17, 0x1.ec5e2338b84f7p-17, 0x1.efb8e08d6c56cp-17, 0x1.f2e3cb679f658p-17, 0x1.f5df6a9c15188p-17, 0x1.f8ac46b8ff883p-17, 0x1.fb4ae9ee44d45p-17, 0x1.fdbbdff61c986p-17, 0x1.ffffb5fdf9c1cp-17, 0x1.010b7d47f2675p-16, 0x1.02011ebe0f0dcp-16, 0x1.02e107e1956b5p-16, 0x1.03ab81c01da62p-16, 0x1.0460d5e9fd341p-16, 0x1.05014e67d5846p-16, 0x1.058d35b05f311p-16, 0x1.0604d69e5fb32p-16, 0x1.06687c66d1883p-16, 0x1.06b8728f40f1dp-16, 0x1.06f504e455622p-16, 0x1.071e7f70948dbp-16, 0x1.07352e7350b91p-16, 0x1.07395e57cc59dp-16, 0x1.072b5bac9250cp-16, 0x1.070b731afa193p-16, 0x1.06d9f15ee59d9p-16, 0x1.0697233eaa47bp-16, 0x1.064355832f648p-16, 0x1.05ded4f03ef75p-16, 0x1.0569ee3d03f38p-16, 0x1.04e4ee0cbf396p-16, 0x1.045020e7a7168p-16, 0x1.03abd333f9ef6p-16, 0x1.02f8512f463b9p-16, 0x1.0235e6e7d6897p-16, 0x1.0164e03657df9p-16, 0x1.008588b7aaa1cp-16, 0x1.ff30578dbed4fp-17, 0x1.fd3a28eecf8c9p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e9749b36e0404p-1, 0x1.e5fa83056e901p-1, 0x1.e2674fe87c97ap-1, 0x1.deba1cd30db1ep-1, 0x1.daf0d50759fe4p-1, 0x1.d708c42493234p-1, 0x1.d2ff0c39c2267p-1, 0x1.ced1011c38555p-1, 0x1.ca7c6a706cee3p-1, 0x1.c5ffaf1ad7514p-1, 0x1.c159ed70ccb8ep-1, 0x1.bc8b03b3599a4p-1, 0x1.b7938c45db7ebp-1, 0x1.b274d0cb994a2p-1, 0x1.ad30b6f71bcc4p-1, 0x1.a7c9a96a062e8p-1, 0x1.a2427e96c9789p-1, 0x1.9c9e5f2d7c58bp-1, 0x1.96e0ad3e95ec4p-1, 0x1.910ceceb769ep-1, 0x1.8b26af3683de9p-1, 0x1.85317f4addddp-1, 0x1.7f30d265b5882p-1, 0x1.7927fa67c8c8dp-1, 0x1.731a1afb3244dp-1, 0x1.6d0a2127168aep-1, 0x1.66fabd1e7d1dfp-1, 0x1.60ee5e106aae5p-1, 0x1.5ae72fbc1d92ep-1, 0x1.54e7198c06fc3p-1, 0x1.4eefbefc0203fp-1, 0x1.49028112ae8b7p-1, 0x1.432080ba24e8dp-1, 0x1.3d4aa1c91ecb3p-1, 0x1.37818e92be54ep-1, 0x1.31c5bbd8338fep-1, 0x1.2c176cfc61dc9p-1, 0x1.2676b85e43681p-1, 0x1.20e38bc304315p-1, 0x1.1b5db0bcb04d6p-1, 0x1.15e4d0fdbf684p-1, 0x1.10787a8ce03e1p-1, 0x1.0b1823cf0eb8ep-1, 0x1.05c32f605cfb5p-1, 0x1.0078efb5d4436p-1, 0x1.f67155091fba3p-2, 0x1.ec0337d748f71p-2, 0x1.e1a5f2bf449bcp-2, 0x1.d757e8aeff5a8p-2, 0x1.cd1779772a8c9p-2, 0x1.c2e3062ff54e1p-2, 0x1.b8b8f5284a008p-2, 0x1.ae97b5641785dp-2, 0x1.a47dc1aee32cap-2, 0x1.9a69a3484c032p-2, 0x1.9059f43084a59p-2, 0x1.864d611aec3a3p-2, 0x1.7c42ab0d119d4p-2, 0x1.7238a8b06bbc3p-2, 0x1.682e475cf51c5p-2, 0x1.5e228be2c0554p-2, 0x1.541493186a076p-2, 0x1.4a0392340df1ap-2, 0x1.3feed6f43317p-2, 0x1.35d5c79dc76ap-2, 0x1.2bb7e2d411505p-2, 0x1.2194bf4f1a5cfp-2, 0x1.176c0b74dc201p-2, 0x1.0d3d8cd9180bap-2, 0x1.03091fa78486cp-2, 0x1.f19d6bf7470f1p-3, 0x1.dd1cae52a4de2p-3, 0x1.c8903df1ae797p-3, 0x1.b3f879b1e176cp-3, 0x1.9f55e61249edbp-3, 0x1.8aa92b7cae494p-3, 0x1.75f31486d9468p-3, 0x1.61348c2f26f7dp-3, 0x1.4c6e9c171f0b8p-3, 0x1.37a26abe7fa91p-3, 0x1.22d139c0d256ap-3, 0x1.0dfc64174557fp-3, 0x1.f24ab8c0b541fp-4, 0x1.c89b565d493dap-4, 0x1.9eeddabf28a72p-4, 0x1.7545a4f67d652p-4, 0x1.4ba6363b732f1p-4, 0x1.22132ed52a566p-4, 0x1.f120962b5c255p-5, 0x1.9e42c0d6e6484p-5, 0x1.4b94b5116f46ap-5, 0x1.f23ce283c79fap-6, 0x1.4dd02af1601cfp-6, 0x1.53e7790b5edfdp-7, 0x1.ae0fd464bcfebp-12, -0x1.37a2fe9e54163p-7, -0x1.3d98960c62d77p-6, -0x1.de8c08a43977ap-6, -0x1.3f4d68499954cp-5, -0x1.8ed9f2b9aab3cp-5, -0x1.dde32285ee36dp-5, -0x1.16303ec4c2e5ap-4, -0x1.3d24ca28ee10ep-4, -0x1.63cb02d9ffd95p-4, -0x1.8a1ec11eac19ap-4, -0x1.b01be7c031cadp-4, -0x1.d5be659f11bc5p-4, -0x1.fb02373677949p-4, -0x1.0ff1b4074b46cp-3, -0x1.222f0a0f22416p-3, -0x1.3437348e121f8p-3, -0x1.460853dfc1759p-3, -0x1.57a09278a6734p-3, -0x1.68fe2576924afp-3, -0x1.7a1f4d297c32fp-3, -0x1.8b0255949851dp-3, -0x1.9ba596e7ddc36p-3, -0x1.ac0775f20646bp-3, -0x1.bc26648b2d659p-3, -0x1.cc00e1f819a5bp-3, -0x1.db957b46504d9p-3, -0x1.eae2cba102b23p-3, -0x1.f9e77c9ef132dp-3, -0x1.04512344aabd5p-2, -0x1.0b88f84dfaba7p-2, -0x1.129aa89f37d57p-2, -0x1.1985a71b6c649p-2, -0x1.20496e6ae963p-2, -0x1.26e5810e1105fp-2, -0x1.2d59696cfb286p-2, -0x1.33a4b9e3f9455p-2, -0x1.39c70ccd0ce97p-2, -0x1.3fc004865f905p-2, -0x1.458f4b75cf476p-2, -0x1.4b3494099cd7bp-2, -0x1.50af98b651738p-2, -0x1.56001bf1e98afp-2, -0x1.5b25e82c5d67bp-2, -0x1.6020cfc59765ap-2, -0x1.64f0ad00e9d0cp-2, -0x1.699561f61de9dp-2, -0x1.6e0ed8802d396p-2, -0x1.725d0229bc0ffp-2, -0x1.767fd81767ab3p-2, -0x1.7a775af003b6ep-2, -0x1.7e4392c2d6fcfp-2, -0x1.81e48eebf139p-2, -0x1.855a65f6b15dfp-2, -0x1.88a5357e8ec67p-2, -0x1.8bc5220e41055p-2, -0x1.8eba56fd59b05p-2, -0x1.9185064c69365p-2, -0x1.9425687fc21b5p-2, -0x1.969bbc78f8f2ep-2, -0x1.98e8474f2ba69p-2, -0x1.9b0b542634fb7p-2, -0x1.9d053404d3ce6p-2, -0x1.9ed63da9e9391p-2, -0x1.a07ecd60d97cfp-2, -0x1.a1ff44d52cbd7p-2, -0x1.a3580ae57e0adp-2, -0x1.a4898b75d2b2ap-2, -0x1.a59437416c4cp-2, -0x1.a67883ac27fb8p-2, -0x1.a736ea93831bep-2, -0x1.a7cfea1f512ecp-2, -0x1.a84404923ec76p-2, -0x1.a893c01a2b8fcp-2, -0x1.a8bfa6a070f3p-2, -0x1.a8c8459a2705fp-2, -0x1.a8ae2dd876a0ap-2, -0x1.a871f359080f2p-2, -0x1.a8142d16a3e4fp-2, -0x1.a79574da0826ap-2, -0x1.a6f6670b1022fp-2, -0x1.a637a282312dp-2, -0x1.a559c85a5b9dcp-2, -0x1.a45d7bc350d1bp-2, -0x1.a34361d476effp-2, -0x1.a20c216036598p-2, -0x1.a0b862c7eadfp-2, -0x1.9f48cfd075ee5p-2, -0x1.9dbe137777e09p-2, -0x1.9c18d9c93c47bp-2, -0x1.9a59cfb761277p-2, -0x1.9881a2f03def5p-2, -0x1.969101b719299p-2, -0x1.94889abd2a3c4p-2, -0x1.92691cfb77119p-2, -0x1.9033378d8d359p-2, -0x1.8de7998d1ad18p-2, -0x1.8b86f1ee7524ap-2, -0x1.8911ef5e05e38p-2, -0x1.8689401eaa0adp-2, -0x1.83ed91e904c9ep-2, -0x1.813f91cbc927bp-2, -0x1.7e7fec0cf830cp-2, -0x1.7baf4c0c1f8c1p-2, -0x1.78ce5c2592506p-2, -0x1.75ddc5969c191p-2, -0x1.72de3062baaacp-2, -0x1.6fd04339cde32p-2, -0x1.6cb4a35f4e384p-2, -0x1.698bf4927c96ep-2, -0x1.6656d8f7962d2p-2, -0x1.6315f10200b2dp-2, -0x1.5fc9db5f75c7cp-2, -0x1.5c7334e42a541p-2, -0x1.59129877ec333p-2, -0x1.55a89f04385bep-2, -0x1.5235df634752fp-2, -0x1.4ebaee50094f4p-2, -0x1.4b385e5714423p-2, -0x1.47aebfc87b69fp-2, -0x1.441ea0aa94d21p-2, -0x1.40888cad9f21ep-2, -0x1.3ced0d2050126p-2, -0x1.394ca8e53b467p-2, -0x1.35a7e469188f1p-2, -0x1.31ff4199e05edp-2, -0x1.2e533fdeb7d37p-2, -0x1.2aa45c10ae897p-2, -0x1.26f31074448b9p-2, -0x1.233fd4b3b70d5p-2, -0x1.1f8b1dda0c059p-2, -0x1.1bd55e4edca8cp-2, -0x1.181f05d2d435ap-2, -0x1.1468817ce4d5cp-2, -0x1.10b23bb827231p-2, -0x1.0cfc9c426614ep-2, -0x1.0948082b4b74p-2, -0x1.0594e1d42cd65p-2, -0x1.01e388f0759dp-2, -0x1.fc68b50d3ee3ap-3, -0x1.f50f61e3841efp-3, -0x1.edbbc7c7525bap-3, -0x1.e66e90cee58a1p-3, -0x1.df2861c95efebp-3, -0x1.d7e9da45f7593p-3, -0x1.d0b3949c2796ap-3, -0x1.c98625f4b5147p-3, -0x1.c2621e53919p-3, -0x1.bb4808a299afep-3, -0x1.b4386abd0fca9p-3, -0x1.ad33c57bdd777p-3, -0x1.a63a94c2850b7p-3, -0x1.9f4d4f8cc4c4dp-3, -0x1.986c67fcd92bdp-3, -0x1.91984b6a5c05bp-3, -0x1.8ad16271b3892p-3, -0x1.841811040bac3p-3, -0x1.7d6cb677cefcep-3, -0x1.76cfad9999be1p-3, -0x1.70414cbd9af7ep-3, -0x1.69c1e5d15e34ap-3, -0x1.6351c66df6e01p-3, -0x1.5cf137ea80fa3p-3, -0x1.56a07f6ef71b7p-3, -0x1.505fde07525cbp-3, -0x1.4a2f90b6e52ep-3, -0x1.440fd08bff2f7p-3, -0x1.3e00d2b3b9803p-3, -0x1.3802c88df9969p-3, -0x1.3215dfc1990a1p-3, -0x1.2c3a4250b16d2p-3, -0x1.267016ad00c8ep-3, -0x1.20b77fcc687b1p-3, -0x1.1b109d3d75c24p-3, -0x1.157b8b3c01279p-3, -0x1.0ff862c5c6dfep-3, -0x1.0a8739af0635bp-3, -0x1.052822b71e504p-3, -0x1.ffb65b3a3d52cp-4, -0x1.f540ce6898292p-4, -0x1.eaefb2f124d78p-4, -0x1.e0c31745c07d5p-4, -0x1.d6bb047ad7476p-4, -0x1.ccd77e6faebbdp-4, -0x1.c31883f667e65p-4, -0x1.b97e0efbbea9ap-4, -0x1.b00814ae79e7dp-4, -0x1.a6b685a67e6cep-4, -0x1.9d894e0b849c2p-4, -0x1.948055bb76286p-4, -0x1.8b9b807058909p-4, -0x1.82daade5d0592p-4, -0x1.7a3db9fe30afep-4, -0x1.71c47ce7158cbp-4, -0x1.696ecb3d84149p-4, -0x1.613c76318b45p-4, -0x1.592d4ba963abep-4, -0x1.5141166409c5cp-4, -0x1.49779e1b4ecabp-4, -0x1.41d0a7a560151p-4, -0x1.3a4bf515bf831p-4, -0x1.32e945ddaa5a9p-4, -0x1.2ba856ebf0a04p-4, -0x1.2488e2cc34c97p-4, -0x1.1d8aa1c5982ecp-4, -0x1.16ad49f8cd094p-4, -0x1.0ff08f7d925fdp-4, -0x1.0954247f9416dp-4, -0x1.02d7b95ab002dp-4, -0x1.f8f5f96d41bfbp-5, -0x1.ec7b3744169cdp-5, -0x1.e03e8359dfa77p-5, -0x1.d43f3204fd651p-5, -0x1.c87c9504a0daap-5, -0x1.bcf5fbb1ffe7ep-5, -0x1.b1aab33055118p-5, -0x1.a69a069ba194ap-5, -0x1.9bc33f363e6d4p-5, -0x1.9125a4953439ap-5, -0x1.86c07ccb5e313p-5, -0x1.7c930c935e2c8p-5, -0x1.729c97785e922p-5, -0x1.68dc5ffda49f7p-5, -0x1.5f51a7c4fa70ap-5, -0x1.55fbafb3ec8fdp-5, -0x1.4cd9b817e53dep-5, -0x1.43eb00c9202fap-5, -0x1.3b2ec94c82009p-5, -0x1.32a450f450e46p-5, -0x1.2a4ad6ffd385ep-5, -0x1.22219ab9dc668p-5, -0x1.1a27db9640b2p-5, -0x1.125cd94e42f6dp-5, -0x1.0abfd3fbf10f8p-5, -0x1.03500c347cfb1p-5, -0x1.f819864329b87p-6, -0x1.e9ea753372d91p-6, -0x1.dc116a6f3c494p-6, -0x1.ce8cece11f2b5p-6, -0x1.c15b8553dc0cbp-6, -0x1.b47bbe9b6bfd3p-6, -0x1.a7ec25bc46d81p-6, -0x1.9bab4a10e1904p-6, -0x1.8fb7bd6d6ad41p-6, -0x1.84101441d6388p-6, -0x1.78b2e5ba36a03p-6, -0x1.6d9ecbdd7adcfp-6, -0x1.62d263aa8c8dcp-6, -0x1.584c4d33dd2d6p-6, -0x1.4e0b2bb972eb4p-6, -0x1.440da5c16e43dp-6, -0x1.3a52652f2046p-6, -0x1.30d81758b509ep-6, -0x1.279d6d1b7962cp-6, -0x1.1ea11aeec7c27p-6, -0x1.15e1d8f5a573ep-6, -0x1.0d5e630f19532p-6, -0x1.051578e541a34p-6, -0x1.fa0bbbf66b5b9p-7, -0x1.ea5cb3737a094p-7, -0x1.db1b6ef5ba367p-7, -0x1.cc458d28a33e2p-7, -0x1.bdd8b4c1ddb66p-7, -0x1.afd29491f2d25p-7, -0x1.a230e392fce3dp-7, -0x1.94f160f56005ap-7, -0x1.8811d42aa443dp-7, -0x1.7b900cee72aaep-7, -0x1.6f69e34dde0dp-7, -0x1.639d37acf074fp-7, -0x1.5827f2ca8e29dp-7, -0x1.4d0805c2d1728p-7, -0x1.423b6a0fd8c3ep-7, -0x1.37c0218919a53p-7, -0x1.2d94366154292p-7, -0x1.23b5bb23244dcp-7, -0x1.1a22caac49c14p-7, -0x1.10d98827aec54p-7, -0x1.07d81f063dcf7p-7, -0x1.fe3985ed23bbep-8, -0x1.ed4b5fb71ede7p-8, -0x1.dce25383e0343p-8, -0x1.ccfaf9a9a27d4p-8, -0x1.bd91faa299f87p-8, -0x1.aea40ef25aaa4p-8, -0x1.a02dff098398ap-8, -0x1.922ca327ca91fp-8, -0x1.849ce33c791aap-8, -0x1.777bb6c574adcp-8, -0x1.6ac624ace37ddp-8, -0x1.5e79432583a8ep-8, -0x1.52923785c8dc1p-8, -0x1.470e3621d1034p-8, -0x1.3bea8224475ffp-8, -0x1.31246d6642234p-8, -0x1.26b9584631e68p-8, -0x1.1ca6b17df03eap-8, -0x1.12e9f5f7fffcap-8, -0x1.0980b0a40d2eep-8, -0x1.00687a4ac0dfbp-8, -0x1.ef3df2c1e1733p-9, -0x1.de43c3b4819ddp-9, -0x1.cddde9f6810c5p-9, -0x1.be080256229c9p-9, -0x1.aebdc3894e4bep-9, -0x1.9ffafdcf587f4p-9, -0x1.91bb9a922babfp-9, -0x1.83fb9c06ec043p-9, -0x1.76b71cce2d5dbp-9, -0x1.69ea4f93cf95bp-9, -0x1.5d917eae93764p-9, -0x1.51a90bbf89e46p-9, -0x1.462d6f515de5cp-9, -0x1.3b1b38779cf6fp-9, -0x1.306f0c6e06223p-9, -0x1.2625a637f77dp-9, -0x1.1c3bd640054e4p-9, -0x1.12ae81f7d0408p-9, -0x1.097aa3782283ep-9, -0x1.009d49216e532p-9, -0x1.f0272a795cd97p-10, -0x1.dfb57b39804aep-10, -0x1.cfe016807ba91p-10, -0x1.c0a1b3e7cf5adp-10, -0x1.b1f52feb5472fp-10, -0x1.a3d58b308724ep-10, -0x1.963de9cf3742dp-10, -0x1.8929929bab272p-10, -0x1.7c93ee72428cbp-10, -0x1.70788784afdaap-10, -0x1.64d308a8dc26ap-10, -0x1.599f3ca979501p-10, -0x1.4ed90d985af77p-10, -0x1.447c84229f55ap-10, -0x1.3a85c6e6bc353p-10, -0x1.30f119cc65ed8p-10, -0x1.27badd5e78e6cp-10, -0x1.1edf8e26db85p-10, -0x1.165bc40c63bd6p-10, -0x1.0e2c31b2cdd6cp-10, -0x1.064da3dccd594p-10, -0x1.fd7a01a06cf5fp-11, -0x1.eeee8f789b55p-11, -0x1.e0f320447eb44p-11, -0x1.d382127f8dd4dp-11, -0x1.c695f2f80c8efp-11, -0x1.ba297bad289acp-11, -0x1.ae3792b185ee5p-11, -0x1.a2bb491243b2ap-11, -0x1.97afd9c278029p-11, -0x1.8d10a88b2be8cp-11, -0x1.82d940ffd31bp-11, -0x1.79055577442f7p-11, -0x1.6f90be092fef3p-11, -0x1.6677779017555p-11, -0x1.5db5a2afbbb7ep-11, -0x1.554782e00bcf8p-11, -0x1.4d297d7c83ee1p-11, -0x1.455818d802f92p-11, -0x1.3dcffb5509cabp-11, -0x1.368dea82661a7p-11, -0x1.2f8eca3c3b315p-11, -0x1.28cf9bd1682f1p-11, -0x1.224d7d2d4112p-11, -0x1.1c05a805946d2p-11, -0x1.15f5710cf24f8p-11, -0x1.101a472931ab2p-11, -0x1.0a71b2ae238f3p-11, -0x1.04f9549c70d7p-11, -0x1.ff5dcbc928abcp-12, -0x1.f5206d5bd172ep-12, -0x1.eb365b437dbcfp-12, -0x1.e19b8e74e2ae3p-12, -0x1.d84c2a2cd6e5dp-12, -0x1.cf447a9e27997p-12, -0x1.c680f3a728917p-12, -0x1.bdfe2f8eddb44p-12, -0x1.b5b8edc9a6b3ep-12, -0x1.adae11c5590dep-12, -0x1.a5daa1bca8d68p-12, -0x1.9e3bc591c6a48p-12, -0x1.96cec5b0210bcp-12, -0x1.8f9109f51fc56p-12, -0x1.8880189fcf841p-12, -0x1.8199954753aa3p-12, -0x1.7adb3fd810609p-12, -0x1.7442f39766c57p-12, -0x1.6dcea62df215fp-12, -0x1.677c66b820726p-12, -0x1.614a5cdd15376p-12, -0x1.5b36c7ebb327bp-12, -0x1.553ffdfdb6858p-12, -0x1.4f646b20c1d72p-12, -0x1.49a290854337cp-12, -0x1.43f903b31647p-12, -0x1.3e666dc3c90dbp-12, -0x1.38e98aa265a8ep-12, -0x1.33812850a9c5bp-12, -0x1.2e2c26318e325p-12, -0x1.28e9745903808p-12, -0x1.23b812e0cda76p-12, -0x1.1e9711425f1dfp-12, -0x1.19858db59a36bp-12, -0x1.1482b4946390ap-12, -0x1.0f8dbfc2e44bp-12, -0x1.0aa5f61c6ade2p-12, -0x1.05caaae4c7783p-12, -0x1.00fb3d3e165c7p-12, -0x1.f86e2f45a95e9p-13, -0x1.eefb5ec85e0cdp-13, -0x1.e59d0858d9d4p-13, -0x1.dc523f0ac7518p-13, -0x1.d31a28c5b05acp-13, -0x1.c9f3fd616f071p-13, -0x1.c0df05ca1f0edp-13, -0x1.b7da9b2b67df2p-13, -0x1.aee62622e7894p-13, -0x1.a6011df997d24p-13, -0x1.9d2b07e404dbcp-13, -0x1.9463764922f39p-13, -0x1.8baa080fa404fp-13, -0x1.82fe67f19138cp-13, -0x1.7a604bd614f2bp-13, -0x1.71cf74313b877p-13, -0x1.694bab698cf1fp-13, -0x1.60d4c54350b0fp-13, -0x1.586a9e515fe1cp-13, -0x1.500d1b6b51594p-13, -0x1.47bc2928e76a1p-13, -0x1.3f77bb6297b5fp-13, -0x1.373fccb6fd4d5p-13, -0x1.2f145e152b34dp-13, -0x1.26f5764b9adc5p-13, -0x1.1ee3219bb8542p-13, -0x1.16dd7151cd348p-13, -0x1.0ee47b613e80cp-13, -0x1.06f85a04ebfccp-13, -0x1.fe3256c746e25p-14, -0x1.ee8e2270fb13ap-14, -0x1.df0460fe05f44p-14, -0x1.cf9562461c63bp-14, -0x1.c0417b686ac95p-14, -0x1.b109063965f7bp-14, -0x1.a1ec60b757241p-14, -0x1.92ebec8558e71p-14, -0x1.84080e6cb7689p-14, -0x1.75412de45b14ap-14, -0x1.6697b49e21914p-14, -0x1.580c0e19eac59p-14, -0x1.499ea73e2ba5cp-14, -0x1.3b4fedf5d8d49p-14, -0x1.2d2050d3798b7p-14, -0x1.1f103eb9361b7p-14, -0x1.11202685b83d9p-14, -0x1.035076c5afcafp-14, -0x1.eb433ad3a87a7p-15, -0x1.d0280f0271f82p-15, -0x1.b55041ef9ced6p-15, -0x1.9abca8b1cf5c2p-15, -0x1.806e152b410afp-15, -0x1.6665559dfdac4p-15, -0x1.4ca3344755369p-15, -0x1.3328770238da3p-15, -0x1.19f5def03b159p-15, -0x1.010c2828f774dp-15, -0x1.d0d812df38e8p-16, -0x1.a02c67dcbf583p-16, -0x1.7016a5ef2e39ap-16, -0x1.409817988e99fp-16, -0x1.11b1facfcacd7p-16, -0x1.c6cb01445ff55p-17, -0x1.6b6799bd07898p-17, -0x1.113beb929119ap-17, -0x1.70940f66f3ff9p-18, -0x1.824f8bfa3a8dcp-19, -0x1.436abbb7919ebp-22, 0x1.2c77903f2c87dp-19, 0x1.3e2c5879af98ep-18, 0x1.e39802cf25e36p-18, 0x1.433dffc5950b3p-17, 0x1.936ae1235c0bbp-17, 0x1.e2517cf7be68cp-17, 0x1.17f86435fbe72p-16, 0x1.3e23eb2c6dc91p-16, 0x1.63aaeb9ce37aep-16, 0x1.888d0c8aea3e2p-16, 0x1.acca03afeeec7p-16, 0x1.d0619566df28fp-16, 0x1.f3539493b89d3p-16, 0x1.0acff14396f24p-15, 0x1.1ba3376f5666bp-15, 0x1.2c239bb07c8ep-15, 0x1.3c5123ebc498bp-15, 0x1.4c2bdcf273cdbp-15, 0x1.5bb3da6c1f83ap-15, 0x1.6ae936bf251cbp-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.f77fcb6f0d62p-1, 0x1.f610b0f532973p-1, 0x1.f4938d45d18cdp-1, 0x1.f309a8d9661b5p-1, 0x1.f173d22c4e22p-1, 0x1.efd277197bc8ap-1, 0x1.ee25bce71de5ap-1, 0x1.ec6d95fe6b04bp-1, 0x1.eaa9d4c2a1d93p-1, 0x1.e8da3b52fee3bp-1, 0x1.e6fe883f9c3fp-1, 0x1.e5168060783bdp-1, 0x1.e321f6158f061p-1, 0x1.e120ce433164cp-1, 0x1.df130361ea4ffp-1, 0x1.dcf8a6f7c2482p-1, 0x1.dad1e1cb862fep-1, 0x1.d89ef31b44305p-1, 0x1.d6602f16a3a18p-1, 0x1.d415fcd4b204fp-1, 0x1.d1c0d3f3f7f25p-1, 0x1.cf613a0b41509p-1, 0x1.ccf7c009f896ap-1, 0x1.ca84ffa021e5bp-1, 0x1.c80998c02c954p-1, 0x1.c5862f47ca079p-1, 0x1.c2fb68d8c826dp-1, 0x1.c069eae788de6p-1, 0x1.bdd25901e7671p-1, 0x1.bb35534f3b196p-1, 0x1.b89375487a3aep-1, 0x1.b5ed54a65032ap-1, 0x1.b34380820ff0bp-1, 0x1.b09680a5e44ccp-1, 0x1.ade6d5083b6bbp-1, 0x1.ab34f56e4b6fcp-1, 0x1.a88151317f8dbp-1, 0x1.a5cc4f23b7e1fp-1, 0x1.a3164d8e6aae6p-1, 0x1.a05fa248f255dp-1, 0x1.9da89ae287c45p-1, 0x1.9af17cdcbd2ap-1, 0x1.983a85f38421dp-1, 0x1.9583ec7019f69p-1, 0x1.92cddf847d4c4p-1, 0x1.901887ad45e0ep-1, 0x1.8d640718059bdp-1, 0x1.8ab07a0c8d957p-1, 0x1.87fdf757a56f5p-1, 0x1.854c90b600071p-1, 0x1.829c533e5d7eep-1, 0x1.7fed47c9f81a9p-1, 0x1.7d3f735a8140ep-1, 0x1.7a92d77d120d3p-1, 0x1.77e772a992fb6p-1, 0x1.753d409e3a951p-1, 0x1.72943ab6d6992p-1, 0x1.6fec583fad0a5p-1, 0x1.6d458ec3cee0ap-1, 0x1.6a9fd256cddafp-1, 0x1.67fb15d9c7961p-1, 0x1.65574b3bd54d2p-1, 0x1.62b463b5e51b2p-1, 0x1.601250021c2ebp-1, 0x1.5d71008edbaadp-1, 0x1.5ad065ad8af3cp-1, 0x1.58306fbd50f75p-1, 0x1.55910f51e6385p-1, 0x1.52f23556ac41bp-1, 0x1.5053d32e37961p-1, 0x1.4db5dace8037ep-1, 0x1.4b183ed9e25c7p-1, 0x1.487af2b524b74p-1, 0x1.45ddea9aaf409p-1, 0x1.43411bab24295p-1, 0x1.40a47bfb84fcbp-1, 0x1.3e0802a113375p-1, 0x1.3b6ba7bb12964p-1, 0x1.38cf647a998bp-1, 0x1.363333289453ep-1, 0x1.33970f2a1f02bp-1, 0x1.30faf5035d5cfp-1, 0x1.2e5ee258eb321p-1, 0x1.2bc2d5f00bdb4p-1, 0x1.2926cfadb06c2p-1, 0x1.268ad09471d42p-1, 0x1.23eedac19a6d1p-1, 0x1.2152f169552cep-1, 0x1.1eb718d2183f5p-1, 0x1.1c1b564f60951p-1, 0x1.197fb03bd3f51p-1, 0x1.16e42df2d5e05p-1, 0x1.1448d7c9a4647p-1, 0x1.11adb7080ab7fp-1, 0x1.0f12d5e0b7427p-1, 0x1.0c783f693fd6ep-1, 0x1.09ddff91e50ebp-1, 0x1.0744231d1a0d5p-1, 0x1.04aab796dda5p-1, 0x1.0211cb4bed383p-1, 0x1.fef2da81b3d65p-2, 0x1.f9c35a520ada2p-2, 0x1.f49536bb25511p-2, 0x1.ef6891a892f5dp-2, 0x1.ea3d8e2cf233ap-2, 0x1.e514506fb8058p-2, 0x1.dfecfd9b03b52p-2, 0x1.dac7bbc98897bp-2, 0x1.d5a4b1f497e52p-2, 0x1.d08407e24c6dap-2, 0x1.cb65e613e4ed1p-2, 0x1.c64a75b44f2ffp-2, 0x1.c131e086eb846p-2, 0x1.bc1c50d68bfaap-2, 0x1.b709f164b59ebp-2, 0x1.b1faed5928f1p-2, 0x1.acef7031aefbap-2, 0x1.a7e7a5b23986cp-2, 0x1.a2e3b9d54fd3ap-2, 0x1.9de3d8bcd039cp-2, 0x1.98e82ea306351p-2, 0x1.93f0e7cc19bc1p-2, 0x1.8efe3077da10bp-2, 0x1.8a1034d3e39bp-2, 0x1.852720ee24c39p-2, 0x1.804320a7c1cd6p-2, 0x1.7b645fa85ba47p-2, 0x1.768b0951b6fd2p-2, 0x1.71b748b3c9edep-2, 0x1.6ce9488129688p-2, 0x1.68213303e2049p-2, 0x1.635f3212aee6dp-2, 0x1.5ea36f069f0dcp-2, 0x1.59ee12b1192c6p-2, 0x1.553f45524d083p-2, 0x1.50972e9005283p-2, 0x1.4bf5f56ce5964p-2, 0x1.475bc0400af1fp-2, 0x1.42c8b4ad122f5p-2, 0x1.3e3cf79c88217p-2, 0x1.39b8ad34b9c62p-2, 0x1.353bf8d2eb0bcp-2, 0x1.30c6fd04f1dd4p-2, 0x1.2c59db8332607p-2, 0x1.27f4b52afe296p-2, 0x1.2397a9f952dd7p-2, 0x1.1f42d905f9986p-2, 0x1.1af6607f04e05p-2, 0x1.16b25da4a9a37p-2, 0x1.1276ecc57654bp-2, 0x1.0e44293ae11c5p-2, 0x1.0a1a2d663427ap-2, 0x1.05f912adca037p-2, 0x1.01e0f17aa5012p-2, 0x1.fba3c26cad4d2p-3, 0x1.f397f09278e21p-3, 0x1.eb9e9832115bap-3, 0x1.e3b7e20f3b22cp-3, 0x1.dbe3f4e46462dp-3, 0x1.d422f56185681p-3, 0x1.cc75062b8e9bap-3, 0x1.c4da47dc6b26fp-3, 0x1.bd52d90385c63p-3, 0x1.b5ded626d0a9fp-3, 0x1.ae7e59c455b07p-3, 0x1.a7317c543e3ebp-3, 0x1.9ff8544b4f35ap-3, 0x1.98d2f61de3915p-3, 0x1.91c1744348aadp-3, 0x1.8ac3df39959f6p-3, 0x1.83da4589dc703p-3, 0x1.7d04b3ccc4af5p-3, 0x1.764334af836a5p-3, 0x1.6f95d0f931325p-3, 0x1.68fc8f906d8cap-3, 0x1.6277758160814p-3, 0x1.5c068603fe223p-3, 0x1.55a9c2829e838p-3, 0x1.4f612aa0d6cb4p-3, 0x1.492cbc4290b4ep-3, 0x1.430c739368731p-3, 0x1.3d004b0e3e776p-3, 0x1.37083b8502666p-3, 0x1.31243c28ae6c9p-3, 0x1.2b54429172f4ap-3, 0x1.259842c70d772p-3, 0x1.1ff02f4948a1dp-3, 0x1.1a5bf9189b482p-3, 0x1.14db8fbeeee8fp-3, 0x1.0f6ee1587df41p-3, 0x1.0a15da9ccff7ep-3, 0x1.04d066e7ca0a3p-3, 0x1.ff3ce085ac1f7p-4, 0x1.f4ffbedc2e6a1p-4, 0x1.eae937d35e3cfp-4, 0x1.e0f917fe1b4b6p-4, 0x1.d72f29948bbd1p-4, 0x1.cd8b3486db541p-4, 0x1.c40cfe8ff70ep-4, 0x1.bab44b484e0cap-4, 0x1.b180dc388ef92p-4, 0x1.a87270ec5e5e8p-4, 0x1.9f88c704f7e76p-4, 0x1.96c39a4bc26a1p-4, 0x1.8e22a4c4d398ap-4, 0x1.85a59ec1518f7p-4, 0x1.7d4c3ef1ba2ddp-4, 0x1.75163a7809b5ap-4, 0x1.6d0344f9bab76p-4, 0x1.651310b19f76fp-4, 0x1.5d454e818e1a6p-4, 0x1.5599ae03e056ap-4, 0x1.4e0fdd9cc044ap-4, 0x1.46a78a8b40f6bp-4, 0x1.3f6060fa42478p-4, 0x1.383a0c11195f8p-4, 0x1.31343603ff2ccp-4, 0x1.2a4e8824411adp-4, 0x1.2388aaf032a2fp-4, 0x1.1ce24622dc2fep-4, 0x1.165b00c3699dap-4, 0x1.0ff2813450f3cp-4, 0x1.09a86d423617cp-4, 0x1.037c6a32849d2p-4, 0x1.fadc39a385b9dp-5, 0x1.eefa530334ea7p-5, 0x1.e352688d2cbf6p-5, 0x1.d7e3c1ab2b76fp-5, 0x1.ccada541e36e7p-5, 0x1.c1af59cab004ap-5, 0x1.b6e8256cac81bp-5, 0x1.ac574e15313e4p-5, 0x1.a1fc198fb4ec5p-5, 0x1.97d5cd9d0ed73p-5, 0x1.8de3b00a1eaecp-5, 0x1.842506c5d5491p-5, 0x1.7a9917f6a12d4p-5, 0x1.713f2a0f3cc89p-5, 0x1.681683e2e22f5p-5, 0x1.5f1e6cb8dfd41p-5, 0x1.56562c5f94324p-5, 0x1.4dbd0b3ece4e9p-5, 0x1.45525269914bcp-5, 0x1.3d154baf44eccp-5, 0x1.350541ac47c2ep-5, 0x1.2d217fd9f00cp-5, 0x1.2569529df437cp-5, 0x1.1ddc075942d11p-5, 0x1.1678ec7643d09p-5, 0x1.0f3f51768de71p-5, 0x1.082e87000a77cp-5, 0x1.0145dee98c214p-5, 0x1.f509588dba3b4p-6, 0x1.e7d486e88331dp-6, 0x1.daebf442e524cp-6, 0x1.ce4e4eb82c69fp-6, 0x1.c1fa47336661p-6, 0x1.b5ee9182474d5p-6, 0x1.aa29e46712dcp-6, 0x1.9eaaf9a98c42fp-6, 0x1.93708e26f17e7p-6, 0x1.887961e10698bp-6, 0x1.7dc4380c38068p-6, 0x1.734fd71cd5803p-6, 0x1.691b08d36a442p-6, 0x1.5f249a483b34fp-6, 0x1.556b5bf5eb86dp-6, 0x1.4bee21c3506e7p-6, 0x1.42abc30c75391p-6, 0x1.39a31aaad6d7ep-6, 0x1.30d306fcdc7f7p-6, 0x1.283a69ec8f775p-6, 0x1.1fd828f59b40ap-6, 0x1.17ab2d2a955e9p-6, 0x1.0fb26339996bcp-6, 0x1.07ecbb7032737p-6, 0x1.005929bea5418p-6, 0x1.f1ed4b752aaa6p-7, 0x1.e38855421b36fp-7, 0x1.d5816eafdf84fp-7, 0x1.c7d69cdda695ap-7, 0x1.ba85ec3ea1a6ap-7, 0x1.ad8d709992321p-7, 0x1.a0eb4507457fap-7, 0x1.949d8bf012e0bp-7, 0x1.88a26f0859c93p-7, 0x1.7cf81f4c19182p-7, 0x1.719cd4f999f09p-7, 0x1.668ecf8b406dap-7, 0x1.5bcc55b07c908p-7, 0x1.5153b545fd305p-7, 0x1.4723434d0a508p-7, 0x1.3d395be2398a9p-7, 0x1.3394623357853p-7, 0x1.2a32c074b1434p-7, 0x1.2112e7d5b3fffp-7, 0x1.18335074ef228p-7, 0x1.0f92795380bb9p-7, 0x1.072ee847f19cdp-7, 0x1.fe0e53e11461fp-8, 0x1.ee33a34a4d1aep-8, 0x1.decaf2d11f4ddp-8, 0x1.cfd183b2c35cep-8, 0x1.c144a4450a6fep-8, 0x1.b321afd684205p-8, 0x1.a5660e8de30dp-8, 0x1.980f3548ae218p-8, 0x1.8b1aa579486adp-8, 0x1.7e85ed045cb41p-8, 0x1.724ea61db82d3p-8, 0x1.667277249cd69p-8, 0x1.5aef127f997acp-8, 0x1.4fc23677f0c98p-8, 0x1.44e9ad1496e53p-8, 0x1.3a634bf4d405cp-8, 0x1.302cf42a9141ap-8, 0x1.264492145b4ffp-8, 0x1.1ca81d3724455p-8, 0x1.13559817ca34ap-8, 0x1.0a4b10146f5ddp-8, 0x1.01869d3da98d2p-8, 0x1.f20cc45f1b74bp-9, 0x1.e19117d54f588p-9, 0x1.d196a359b6bf3p-9, 0x1.c219e9947ad7fp-9, 0x1.b317810bd130bp-9, 0x1.a48c13d5a91f6p-9, 0x1.96745f496b2f2p-9, 0x1.88cd33b1d8a39p-9, 0x1.7b9373ff14153p-9, 0x1.6ec41578dcb77p-9, 0x1.625c1f710edd5p-9, 0x1.5658aaf665cb8p-9, 0x1.4ab6e2879cad5p-9, 0x1.3f7401c6e09b1p-9, 0x1.348d552db4572p-9, 0x1.2a0039c139effp-9, 0x1.1fca1cc6f68b1p-9, 0x1.15e87b7a195b6p-9, 0x1.0c58e2c140205p-9, 0x1.0318eee4cf23dp-9, 0x1.f44c968bb72c2p-10, 0x1.e2fd642b60515p-10, 0x1.d23fd81bdb33ep-10, 0x1.c20fa052b027p-10, 0x1.b26886ba92f4fp-10, 0x1.a34670a7ab486p-10, 0x1.94a55e4d443f7p-10, 0x1.86816a34f1cb2p-10, 0x1.78d6c8b723f95p-10, 0x1.6ba1c7754c31ap-10, 0x1.5edeccd5783ep-10, 0x1.528a577f8607cp-10, 0x1.46a0fddbe7058p-10, 0x1.3b1f6d93fe9e2p-10, 0x1.30026b141a5ebp-10, 0x1.2546d10f1187ap-10, 0x1.1ae9900382ee9p-10, 0x1.10e7adc2c4589p-10, 0x1.073e44f974aa3p-10, 0x1.fbd50973903e8p-11, 0x1.e9d3600ef009p-11, 0x1.d8723acade597p-11, 0x1.c7ac6cca49e25p-11, 0x1.b77cee6f5cc9dp-11, 0x1.a7dedc8109e45p-11, 0x1.98cd775403a13p-11, 0x1.8a4421f72165p-11, 0x1.7c3e61632b6fap-11, 0x1.6eb7dbae1448ep-11, 0x1.61ac574197257p-11, 0x1.5517ba153c9e2p-11, 0x1.48f608ebc2cb7p-11, 0x1.3d436693e23e1p-11, 0x1.31fc132c71a2p-11, 0x1.271c6b6bdd3c3p-11, 0x1.1ca0e7eaf3d7p-11, 0x1.12861c72fefb8p-11, 0x1.08c8b74f23fcbp-11, 0x1.fecb01420f0f3p-12, 0x1.ecb2b37159055p-12, 0x1.db4278df11aaep-12, 0x1.ca74750d906dfp-12, 0x1.ba42fa11701cap-12, 0x1.aaa8875aa2b9dp-12, 0x1.9b9fc883baa3bp-12, 0x1.8d23942752fb2p-12, 0x1.7f2eeabb8aaf5p-12, 0x1.71bcf5737dea5p-12, 0x1.64c90526b29abp-12, 0x1.584e913e620bp-12, 0x1.4c4936a88c9aep-12, 0x1.40b4b6d0ce995p-12, 0x1.358cf69ed79f4p-12, 0x1.2acdfd7a7b697p-12, 0x1.2073f45545ac5p-12, 0x1.167b24b97edefp-12, 0x1.0cdff7de8db7bp-12, 0x1.039ef5c2a2e54p-12, 0x1.f56988933cb18p-13, 0x1.e43c4cc228ec3p-13, 0x1.d3aff652cc35fp-13, 0x1.c3be7a47a73b5p-13, 0x1.b46202caf09a7p-13, 0x1.a594ed9e38de1p-13, 0x1.9751ca938c9cbp-13, 0x1.89935a0ff3692p-13, 0x1.7c548b9724d85p-13, 0x1.6f907c604212cp-13, 0x1.634275f37bap-13, 0x1.5765ecd06d608p-13, 0x1.4bf67f1d194b6p-13, 0x1.40eff35d42c8ep-13, 0x1.364e3732245cap-13, 0x1.2c0d5e2235c2cp-13, 0x1.2229a068f4fd2p-13, 0x1.189f59ce862f4p-13, 0x1.0f6b0886fc573p-13, 0x1.06894c192ef97p-13, 0x1.fbedc899da018p-14, 0x1.eb616040f5ap-14, 0x1.db67598a35558p-14, 0x1.cbf9e945277f4p-14, 0x1.bd137cc313c8cp-14, 0x1.aeaeb7f8faf71p-14, 0x1.a0c673aeae1a2p-14, 0x1.9355bbbabf59cp-14, 0x1.8657cd4ae721bp-14, 0x1.79c81538bae66p-14, 0x1.6da22e6a5f3a9p-14, 0x1.61e1e03ef8505p-14, 0x1.56831d0694727p-14, 0x1.4b82008551f32p-14, 0x1.40dace817d8c4p-14, 0x1.3689f15c6c201p-14, 0x1.2c8bf8b5d0711p-14, 0x1.22dd98194cdd3p-14, 0x1.197ba5b60972ep-14, 0x1.106319200d29p-14, 0x1.07910a1b22905p-14, 0x1.fe055ede19cdfp-15, 0x1.ed6abb89aa5a1p-15, 0x1.dd4d0d19e8a0bp-15, 0x1.cda76ddc5p-15, 0x1.be752d796bf79p-15, 0x1.afb1cef3dca26p-15, 0x1.a15906b765c0bp-15, 0x1.9366b8b7a53d4p-15, 0x1.85d6f69e1043dp-15, 0x1.78a5fe06c9613p-15, 0x1.6bd036cbf652dp-15, 0x1.5f52315f332adp-15, 0x1.5328a530c0c7fp-15, 0x1.47506f2417ce3p-15, 0x1.3bc690118215ep-15, 0x1.30882b5463bdfp-15, 0x1.25928565d8012p-15, 0x1.1ae3028354b48p-15, 0x1.10772560f77aap-15, 0x1.064c8de732175p-15, 0x1.f8c1eff6ff8ffp-16, 0x1.e56474a7b5b2cp-16, 0x1.d27c8aa93ff24p-16, 0x1.c00643f12f215p-16, 0x1.adfde185b01f1p-16, 0x1.9c5fd1747c433p-16, 0x1.8b28acdc5d974p-16, 0x1.7a553608c470cp-16, 0x1.69e2569ee12fep-16, 0x1.59cd1ddbc85cp-16, 0x1.4a12bee30ed7bp-16, 0x1.3ab08f1d77d8ep-16, 0x1.2ba404a723cfap-16, 0x1.1ceab4ccd2b5p-16, 0x1.0e825297c5057p-16, 0x1.0068ad67c81c2p-16, 0x1.e5375f35eca4cp-17, 0x1.ca32ba8598f99p-17, 0x1.afbfa5cc37706p-17, 0x1.95da889ef806ap-17, 0x1.7c7ff6cf9d065p-17, 0x1.63acae38f1f44p-17, 0x1.4b5d94a1e45c2p-17, 0x1.338fb5b6838d9p-17, 0x1.1c4041163b147p-17, 0x1.056c88768bb41p-17, 0x1.de23fbb3356e5p-18, 0x1.b25c63afda2fbp-18, 0x1.877da3f958723p-18, 0x1.5d834e67a1895p-18, 0x1.3469289337459p-18, 0x1.0c2b28f588db7p-18, 0x1.c98ae853232dcp-19, 0x1.7c68b4973e5d3p-19, 0x1.30e8a8ee4ccc8p-19, 0x1.ce0809865fb7cp-20, 0x1.3d68a044bdf83p-20, 0x1.5fcd5d75d7eb5p-21, 0x1.2bb26e2c9743cp-23, -0x1.87cfc5c74a2a3p-22, -0x1.ccc61a01f9af9p-21, -0x1.67e1996bd65d6p-20, -0x1.e679c879e63f6p-20, -0x1.311ab7dabf288p-19, -0x1.6d8f074bf743ap-19, -0x1.a89e6a32f458cp-19, -0x1.e24d52df8ae75p-19, -0x1.0d500878f8c4cp-18, -0x1.28cd69ed181a8p-18, -0x1.43a0d69abc82fp-18, -0x1.5dcc4985671fcp-18, -0x1.7751b0f41992dp-18, -0x1.9032ef70e15a6p-18, -0x1.a871dcb9e6846p-18, -0x1.c01046a4a125cp-18, -0x1.d70ff1f3bf127p-18, -0x1.ed729b205000dp-18, -0x1.019cfb8b5de8ep-17, -0x1.0c33d9f4055f1p-17, -0x1.167ebcb800b43p-17, -0x1.207e74f844f04p-17, -0x1.2a33d15171c32p-17, -0x1.339f9e1f8869bp-17, -0x1.3cc2a5bcf6b5p-17, -0x1.459db0bd2e8c7p-17, -0x1.4e318622fe16bp-17, -0x1.567eeb92d9f7ap-17, -0x1.5e86a5814c391p-17, -0x1.6649775db0a6fp-17, -0x1.6dc823b97dbe9p-17, -0x1.75036c6c24912p-17, -0x1.7bfc12b3db791p-17, -0x1.82b2d7535762ap-17, -0x1.89287aacb4806p-17, -0x1.8f5dbcd9a299ap-17, -0x1.95535dc103106p-17, -0x1.9b0a1d2a18537p-17, -0x1.a082bacd7087ap-17, -0x1.a5bdf663912c3p-17, -0x1.aabc8fb1a8e7p-17, -0x1.af7f469447787p-17, -0x1.b406db0844316p-17, -0x1.b8540d31efbe5p-17, -0x1.bc679d62a4029p-17, -0x1.c0424c1cd32abp-17, -0x1.c3e4da16ab92cp-17, -0x1.c750083b661f6p-17, -0x1.ca8497ab58f9ap-17, -0x1.cd8349badba71p-17, -0x1.d04cdff01c31dp-17, -0x1.d2e21bfff0e84p-17, -0x1.d543bfc9c4f83p-17, -0x1.d7728d52945dep-17, -0x1.d96f46bf33ae5p-17, -0x1.db3aae4dd1003p-17, -0x1.dcd5864ecc37ap-17, -0x1.de40911cef5a7p-17, -0x1.df7c9115224dep-17, -0x1.e08a488d91592p-17, -0x1.e16a79cc71a7fp-17, -0x1.e21de6fe458a8p-17, -0x1.e2a5522bde69bp-17, -0x1.e3017d2ffcbc5p-17, -0x1.e33329acb374dp-17, -0x1.e33b190086421p-17, -0x1.e31a0c3b5c946p-17, -0x1.e2d0c4134ad6fp-17, -0x1.e26000d9334f9p-17, -0x1.e1c8826d54421p-17, -0x1.e10b0833c1e67p-17, -0x1.e0285108d0851p-17, -0x1.df211b358a19fp-17, -0x1.ddf62464113c4p-17, -0x1.dca829941b149p-17, -0x1.db37e70f77bc8p-17, -0x1.d9a6185e9c0f5p-17, -0x1.d7f3783d5c7a2p-17, -0x1.d620c08fb636p-17, -0x1.d42eaa56b1013p-17, -0x1.d21deda57bef2p-17, -0x1.cfef41969e65ap-17, -0x1.cda35c41614e4p-17, -0x1.cb3af2af5dc04p-17, -0x1.c8b6b8d246c05p-17, -0x1.c6176179e2901p-17, -0x1.c35d9e4a34fc6p-17, -0x1.c08a1fb1f49dp-17, -0x1.bd9d94e122aa4p-17, -0x1.ba98abbff7da2p-17, -0x1.b77c10e5fdea3p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.28417b82fb4p-7, 0x1.4ae1d7ba81cc7p-7, 0x1.644ebfc101fffp-7, 0x1.71d2e8a14f4a2p-7, 0x1.710c6d97590a8p-7, 0x1.60001c6614b19p-7, 0x1.3d24dbb5621e3p-7, 0x1.0768314d835f5p-7, 0x1.7c5a52d07cd84p-8, 0x1.851ba11e5e9a3p-9, -0x1.e1fd13d9e8421p-12, -0x1.247f914aeaea6p-8, -0x1.27604d57cfffdp-7, -0x1.cd449f8f60757p-7, -0x1.414400264b259p-6, -0x1.a2ccf78ffc5e8p-6, -0x1.053269ff68252p-5, -0x1.3b94314733be5p-5, -0x1.741738f4cc0b9p-5, -0x1.ae460e7bef492p-5, -0x1.e9ac452723961p-5, -0x1.12ec08593cc93p-4, -0x1.312dce80b3008p-4, -0x1.4f671337fdd72p-4, -0x1.6d666b9478e1p-4, -0x1.8afdb741dd7cdp-4, -0x1.a8025be310fb3p-4, -0x1.c44d6ae38fe8fp-4, -0x1.dfbbb473c52cap-4, -0x1.fa2dca555d63fp-4, -0x1.09c3fa7d4b69ep-3, -0x1.15d90ea8467p-3, -0x1.214bd6adcc524p-3, -0x1.2c13b4cc65ed3p-3, -0x1.3629a27104177p-3, -0x1.3f88182ebab6ep-3, -0x1.482af466ed30fp-3, -0x1.500f6134867fbp-3, -0x1.5733ba1636fcap-3, -0x1.5d9771bf00ef4p-3, -0x1.633af861979efp-3, -0x1.681fa2ba4f48fp-3, -0x1.6c47920c8553p-3, -0x1.6fb59d3b5365dp-3, -0x1.726d3b1a55edp-3, -0x1.74726e097ac97p-3, -0x1.75c9b0e6d615bp-3, -0x1.7677e55aac598p-3, -0x1.7682437c427e4p-3, -0x1.75ee4ac98efe7p-3, -0x1.74c1b4685dc74p-3, -0x1.730266a49e335p-3, -0x1.70b6699d9618ep-3, -0x1.6de3dd1241b68p-3, -0x1.6a90ef3c17988p-3, -0x1.66c3d4a7050f8p-3, -0x1.6282c0f518d1p-3, -0x1.5dd3e07c94321p-3, -0x1.58bd52af3f802p-3, -0x1.5345253a8a60ap-3, -0x1.4d714fd069cd5p-3, -0x1.4747b089de319p-3, -0x1.40ce08d497267p-3, -0x1.3a09fade3d9e1p-3, -0x1.3301077099b3fp-3, -0x1.2bb88c32ccd69p-3, -0x1.2435c244a0a86p-3, -0x1.1c7dbd29d5d21p-3, -0x1.149569fc20656p-3, -0x1.0c818edb66c5p-3, -0x1.0446ca946f51fp-3, -0x1.f7d328ee262f2p-4, -0x1.e6dc78ab329e4p-4, -0x1.d5b1d54f0d644p-4, -0x1.c45b419599178p-4, -0x1.b2e072bd9ea9fp-4, -0x1.a148d16a58b94p-4, -0x1.8f9b7aa985d2ap-4, -0x1.7ddf4117846eep-4, -0x1.6c1aae1c1b3bp-4, -0x1.5a54033b0b664p-4, -0x1.48913b7448addp-4, -0x1.36d80cb03c438p-4, -0x1.252de934fe6dbp-4, -0x1.13980121e7bcdp-4, -0x1.021b43ef41f55p-4, -0x1.e178c3e07c72ap-5, -0x1.beff9bab4994fp-5, -0x1.9cd37c5ff944fp-5, -0x1.7afc5de0427a7p-5, -0x1.5981c5caf0ccfp-5, -0x1.386aca7240c7bp-5, -0x1.17be15cb34e9bp-5, -0x1.ef03d0aa4cc1bp-6, -0x1.af7837f20dbeep-6, -0x1.70e44dc0048cfp-6, -0x1.33523c827d64cp-6, -0x1.ed96e49a98a19p-7, -0x1.76b14ca2ccd41p-7, -0x1.0203bc8525f68p-7, -0x1.1f39cead7d02bp-8, -0x1.f8a325f2a243ap-11, 0x1.38a102149a3e3p-9, 0x1.72df1148edb6ap-8, 0x1.2241ec58c484p-7, 0x1.8896d709cc073p-7, 0x1.ec66cf4f9eeb3p-7, 0x1.26d5b69ac1cc9p-6, 0x1.562fa84e65d91p-6, 0x1.843f0bdfcd682p-6, 0x1.b1022ae9bb813p-6, 0x1.dc77c4e5e50f7p-6, 0x1.034f854f1827p-5, 0x1.17bbccd70fa56p-5, 0x1.2b80bc0a43fd4p-5, 0x1.3e9e87eae69f5p-5, 0x1.511595576aaf8p-5, 0x1.62e676ec85566p-5, 0x1.7411eaefcef23p-5, 0x1.8498d94336c47p-5, 0x1.947c51616b969p-5, 0x1.a3bd88636712bp-5, 0x1.b25dd70f45562p-5, 0x1.c05eb7f09679bp-5, 0x1.cdc1c57a522cfp-5, 0x1.da88b8329ac7p-5, 0x1.e6b564e871eeap-5, 0x1.f249baf39075p-5, 0x1.fd47c27e78f67p-5, 0x1.03d8cd6d7871p-4, 0x1.08c4bc707dd9bp-4, 0x1.0d68d2ac3825fp-4, 0x1.11c63db6a4653p-4, 0x1.15de33975dd37p-4, 0x1.19b1f20c97a9p-4, 0x1.1d42bdd58e04dp-4, 0x1.2091e2026e1fbp-4, 0x1.23a0af49bcfep-4, 0x1.26707b633ab0dp-4, 0x1.2902a0684253bp-4, 0x1.2b587c39a39bdp-4, 0x1.2d736feaf0853p-4, 0x1.2f54df333a034p-4, 0x1.30fe2fe330cd2p-4, 0x1.3270c960a2b43p-4, 0x1.33ae142745ec4p-4, 0x1.34b7794ec64d4p-4, 0x1.358e621606508p-4, 0x1.3634377380403p-4, 0x1.36aa61aab8a79p-4, 0x1.36f247e6ad126p-4, 0x1.370d4fd92c1cfp-4, 0x1.36fcdd5efe065p-4, 0x1.36c25228cce16p-4, 0x1.365f0d68ae7c4p-4, 0x1.35d46b843ca48p-4, 0x1.3523c5cb1ec13p-4, 0x1.344e7231ee3dcp-4, 0x1.3355c31159197p-4, 0x1.323b06e968375p-4, 0x1.30ff8828cd768p-4, 0x1.2fa48cf81f893p-4, 0x1.2e2b5708e4c16p-4, 0x1.2c95236852f64p-4, 0x1.2ae32a55a5e7p-4, 0x1.29169f1bf07bcp-4, 0x1.2730afef4da04p-4, 0x1.253285cd4f787p-4, 0x1.231d446096f13p-4, 0x1.20f209e770abbp-4, 0x1.1eb1ef1d5fdd2p-4, 0x1.1c5e072777a52p-4, 0x1.19f75f836a3a9p-4, 0x1.177efff92f24dp-4, 0x1.14f5ea8f26d25p-4, 0x1.125d1b80a20abp-4, 0x1.0fb58936b034cp-4, 0x1.0d0024431bcfep-4, 0x1.0a3dd75d7c25ap-4, 0x1.076f876240ee7p-4, 0x1.04961353a2a13p-4, 0x1.01b2545c5c27cp-4, 0x1.fd8a3ba82f9d5p-5, 0x1.f79e7a8af0c93p-5, 0x1.f1a2f4eb527ebp-5, 0x1.eb992edab7493p-5, 0x1.e582a10640b2ap-5, 0x1.df60b8ce0e58ep-5, 0x1.d934d85edc4bcp-5, 0x1.d30056cde162dp-5, 0x1.ccc48036c135fp-5, 0x1.c68295db6e896p-5, 0x1.c03bce45de294p-5, 0x1.b9f1556b62714p-5, 0x1.b3a44cd18f232p-5, 0x1.ad55cbb48c365p-5, 0x1.a706df2ead0d8p-5, 0x1.a0b88a613804cp-5, 0x1.9a6bc69e3e538p-5, 0x1.94218393670dep-5, 0x1.8ddaa775933cfp-5, 0x1.87980f2d45f07p-5, 0x1.815a8e83b1af1p-5, 0x1.7b22f05056dbdp-5, 0x1.74f1f6a71ea9p-5, 0x1.6ec85b06d9f81p-5, 0x1.68a6ce881017p-5, 0x1.628dfa0c0f4a3p-5, 0x1.5c7e7e6c22a0bp-5, 0x1.5678f4a8e6662p-5, 0x1.507dee19a4ab1p-5, 0x1.4a8df49ba84e1p-5, 0x1.44a98ac17ec74p-5, 0x1.3ed12c02133f8p-5, 0x1.39054ce79a287p-5, 0x1.33465b3e3e8d4p-5, 0x1.2d94be42879d3p-5, 0x1.27f0d6cf685c2p-5, 0x1.225aff8bf324cp-5, 0x1.1cd38d18a1801p-5, 0x1.175ace3c2e913p-5, 0x1.11f10c0ff6016p-5, 0x1.0c968a2bd1cbcp-5, 0x1.074b86d17093bp-5, 0x1.02103b171b04dp-5, 0x1.f9c9b623cf13dp-6, 0x1.ef932bfe9f5ep-6, 0x1.e57d2cdc512efp-6, 0x1.db8804cdeac44p-6, 0x1.d1b3f72729c77p-6, 0x1.c8013ecc7cce4p-6, 0x1.be700e7fa6dd1p-6, 0x1.b500912afcbcp-6, 0x1.abb2ea2b394e7p-6, 0x1.a2873597e5679p-6, 0x1.997d888a504bep-6, 0x1.9095f16314a6fp-6, 0x1.87d0780e29406p-6, 0x1.7f2d1e4579ecbp-6, 0x1.76abdfd20cf1ap-6, 0x1.6e4cb2cba8e8p-6, 0x1.660f87d70cb2ep-6, 0x1.5df44a62a95c9p-6, 0x1.55fae0e1e8678p-6, 0x1.4e232d06fbc26p-6, 0x1.466d0bfb3f1dap-6, 0x1.3ed85696222fdp-6, 0x1.3764e192accd1p-6, 0x1.30127dc390da4p-6, 0x1.28e0f845d6c7bp-6, 0x1.21d01ab228cb1p-6, 0x1.1adfab4cb9549p-6, 0x1.140f6d33ce98fp-6, 0x1.0d5f208cf498dp-6, 0x1.06ce82b0db46dp-6, 0x1.005d4e55e8894p-6, 0x1.f4167772f3be5p-7, 0x1.e7b0018fcbb02p-7, 0x1.db86a2866b408p-7, 0x1.cf99bdd15d1e4p-7, 0x1.c3e8b32a2bcd7p-7, 0x1.b872decfa9891p-7, 0x1.ad3799c9c30b9p-7, 0x1.a2363a2b1c93ap-7, 0x1.976e13505e684p-7, 0x1.8cde761d5b136p-7, 0x1.8286b137ffd9ap-7, 0x1.786611412cfbbp-7, 0x1.6e7be10b75c24p-7, 0x1.64c769cfe479ep-7, 0x1.5b47f360b0138p-7, 0x1.51fcc45a1612fp-7, 0x1.48e522513ca7p-7, 0x1.400052014c9ffp-7, 0x1.374d9776abe7ap-7, 0x1.2ecc363882fcbp-7, 0x1.267b717083de1p-7, 0x1.1e5a8c11058b1p-7, 0x1.1668c8f97e5e2p-7, 0x1.0ea56b1967f47p-7, 0x1.070fb591979cdp-7, 0x1.ff4dd7a8292ep-8, 0x1.f0d4a384f19e5p-8, 0x1.e2b25795cb954p-8, 0x1.d4e57e072dd83p-8, 0x1.c76ca28a3a9bap-8, 0x1.ba4652869a6eap-8, 0x1.ad711d49d009ep-8, 0x1.a0eb943419d6cp-8, 0x1.94b44ae2f060fp-8, 0x1.88c9d75938384p-8, 0x1.7d2ad2253824cp-8, 0x1.71d5d684644a1p-8, 0x1.66c982851354ap-8, 0x1.5c0477262c557p-8, 0x1.51855874dfdecp-8, 0x1.474acda87a2d8p-8, 0x1.3d53813c6573ap-8, 0x1.339e2108634d3p-8, 0x1.2a295e57142c2p-8, 0x1.20f3edfad91e4p-8, 0x1.17fc88611e8ffp-8, 0x1.0f41e9a420166p-8, 0x1.06c2d19b32351p-8, 0x1.fcfc07d343312p-9, 0x1.ece490186613dp-9, 0x1.dd3cd2caa7b9ap-9, 0x1.ce026e900d584p-9, 0x1.bf330a032fdc4p-9, 0x1.b0cc53c45178p-9, 0x1.a2cc0288361d5p-9, 0x1.952fd524d325fp-9, 0x1.87f5929beef01p-9, 0x1.7b1b0a23ca53fp-9, 0x1.6e9e132de175fp-9, 0x1.627c8d6bdf898p-9, 0x1.56b460d2d5d9ep-9, 0x1.4b437d9ccb7bcp-9, 0x1.4027dc48b83c6p-9, 0x1.355f7d98fcd13p-9, 0x1.2ae86a9069bc1p-9, 0x1.20c0b46dead8ep-9, 0x1.16e674a6e095p-9, 0x1.0d57cce03d56fp-9, 0x1.0412e6e672e77p-9, 0x1.f62be9488cc1cp-10, 0x1.e4be603119cbbp-10, 0x1.d3d9b695d847fp-10, 0x1.c37a807f49a89p-10, 0x1.b39d61d4f159fp-10, 0x1.a43f0e416aacap-10, 0x1.955c4914e72bbp-10, 0x1.86f1e52629a3ep-10, 0x1.78fcc4b21a015p-10, 0x1.6b79d93a05278p-10, 0x1.5e6623609e288p-10, 0x1.51beb2c5d3fe2p-10, 0x1.4580a5e19a2ccp-10, 0x1.39a929ddad50cp-10, 0x1.2e357a6e62395p-10, 0x1.2322e1aaa5d97p-10, 0x1.186eb7e3274ccp-10, 0x1.0e166378d1186p-10, 0x1.041758b28ff72p-10, 0x1.f4de33250c88fp-11, 0x1.e2366b555f40ep-11, 0x1.d03293e212ce4p-11, 0x1.bece012695956p-11, 0x1.ae04219475f33p-11, 0x1.9dd07d596365fp-11, 0x1.8e2eb60499f82p-11, 0x1.7f1a862bd4be7p-11, 0x1.708fc10fd7a17p-11, 0x1.628a5240a9e2cp-11, 0x1.55063d4192b68p-11, 0x1.47ff9d2cedc7p-11, 0x1.3b72a457e8fa9p-11, 0x1.2f5b9bf63b781p-11, 0x1.23b6e3bdeb87bp-11, 0x1.1880f18b2c8c4p-11, 0x1.0db651046b5f6p-11, 0x1.0353a33e92f94p-11, 0x1.f2ab3cc32f274p-12, 0x1.df721a9ab256bp-12, 0x1.ccf59e7dc8b7ep-12, 0x1.bb2faeec42af4p-12, 0x1.aa1a59b7f80aep-12, 0x1.99afd3521a4c6p-12, 0x1.89ea7619a239bp-12, 0x1.7ac4c1aaea457p-12, 0x1.6c395a30875e8p-12, 0x1.5e4307b56e1d1p-12, 0x1.50dcb5787c9f6p-12, 0x1.440171416b563p-12, 0x1.37ac6ab73e6c9p-12, 0x1.2bd8f2b83da68p-12, 0x1.20827ab3811e6p-12, 0x1.15a494041e986p-12, 0x1.0b3aef4dfff95p-12, 0x1.01415bdc6f0a3p-12, 0x1.ef678e04bd47ap-13, 0x1.dd1c76f8ec6cfp-13, 0x1.cb99c1a9ddfb3p-13, 0x1.bad7f5927f718p-13, 0x1.aacfd1634c728p-13, 0x1.9b7a49d51ad64p-13, 0x1.8cd0887fb71d7p-13, 0x1.7ecbeab44af77p-13, 0x1.7166005ba4611p-13, 0x1.64988ad85aa6fp-13, 0x1.585d7becd799fp-13, 0x1.4caef4a5552cfp-13, 0x1.41874445be5dfp-13, 0x1.36e0e73b9123ep-13, 0x1.2cb68613a575ap-13, 0x1.2302f473fba4p-13, 0x1.19c13019761a7p-13, 0x1.10ec5fd98ebd2p-13, 0x1.087fd2a8044acp-13, 0x1.0076fea07c26p-13, 0x1.f19b002832debp-14, 0x1.e2fe313602a53p-14, 0x1.d50f5c53a0451p-14, 0x1.c7c69455f7525p-14, 0x1.bb1c31382fb92p-14, 0x1.af08ce5df68bp-14, 0x1.a38548dd92ca2p-14, 0x1.988abdd18dd1p-14, 0x1.8e1288b21c31fp-14, 0x1.841641b601562p-14, 0x1.7a8fbc3b0cd91p-14, 0x1.717905360b132p-14, 0x1.68cc61aa24dd2p-14, 0x1.60844d2798638p-14, 0x1.589b7851c17e3p-14, 0x1.510cc76c5d5fp-14, 0x1.49d350eff7c19p-14, 0x1.42ea5c2574d2bp-14, 0x1.3c4d5fc8a062fp-14, 0x1.35f800b1b53f6p-14, 0x1.2fe61085c515cp-14, 0x1.2a138c6df2d7fp-14, 0x1.247c9bd568052p-14, 0x1.1f1d8f2df55a7p-14, 0x1.19f2debb466bp-14, 0x1.14f9296498d0ap-14, 0x1.102d338cde735p-14, 0x1.0b8be5f13a28ap-14, 0x1.07124c8dbf102p-14, 0x1.02bd95885e812p-14, 0x1.fd162043e2839p-15, 0x1.f4f0575a893b5p-15, 0x1.ed04ed1830e18p-15, 0x1.e54f3a63ec06fp-15, 0x1.ddcad2599b0bep-15, 0x1.d67380668636bp-15, 0x1.cf4546712c67ep-15, 0x1.c83c5b0c1ad23p-15, 0x1.c15527b3a72adp-15, 0x1.ba8c47165a3c6p-15, 0x1.b3de8367e8a2ep-15, 0x1.ad48d4be87f87p-15, 0x1.a6c85f7a78747p-15, 0x1.a05a72b79c70cp-15, 0x1.99fc86c8eb078p-15, 0x1.93ac3bbd9beb8p-15, 0x1.8d6757efdfcebp-15, 0x1.872bc69cf7f0cp-15, 0x1.80f7968689876p-15, 0x1.7ac8f89d00aefp-15, 0x1.749e3eb2d74bcp-15, 0x1.6e75da389d457p-15, 0x1.684e5b01956edp-15, 0x1.62266e10bd506p-15, 0x1.5bfcdc6e1eae5p-15, 0x1.55d08a043c51ap-15, 0x1.4fa07485760b6p-15, 0x1.496bb2593e7afp-15, 0x1.43317190f8cb7p-15, 0x1.3cf0f6e45b19dp-15, 0x1.36a99cb52e9a7p-15, 0x1.305ad21a46942p-15, 0x1.2a0419f18ed98p-15, 0x1.23a509f903fe4p-15, 0x1.1d3d49ee7afb1p-15, 0x1.16cc92b60ca88p-15, 0x1.1052ad8707294p-15, 0x1.09cf731f3e5a1p-15, 0x1.0342cafc9b93cp-15, 0x1.f95955399225ep-16, 0x1.ec1a2985af096p-16, 0x1.dec831857a95ap-16, 0x1.d163a3a51bebcp-16, 0x1.c3ecccc293c87p-16, 0x1.b6640ee64a79ap-16, 0x1.a8c9e006522dfp-16, 0x1.9b1ec8d416477p-16, 0x1.8d63639448db5p-16, 0x1.7f985b00c1fd4p-16, 0x1.71be693421ffbp-16, 0x1.63d6569ef3a5cp-16, 0x1.55e0f9061b1dap-16, 0x1.47df328a525a6p-16, 0x1.39d1f0b8833dbp-16, 0x1.2bba2ba2be003p-16, 0x1.1d98e501a09b5p-16, 0x1.0f6f275defcb7p-16, 0x1.013e054235b74p-16, 0x1.e60d30e85c0bdp-17, 0x1.c994026b99e94p-17, 0x1.ad12cb1b5f661p-17, 0x1.908be12d9594ap-17, 0x1.7401a3ae312d4p-17, 0x1.5776793a51ae5p-17, 0x1.3aeccec8ae126p-17, 0x1.1e67167f062fcp-17, 0x1.01e7c69427eb5p-17, 0x1.cae2b07c923a3p-18, 0x1.920c8d5aa08a4p-18, 0x1.59521c217903cp-18, 0x1.20b85551b2aefp-18, 0x1.d0885f8bb36b9p-19, 0x1.5ff53e003d0bcp-19, 0x1.df8246330087ep-20, 0x1.ffd77bc484202p-21, 0x1.09d31b60b1568p-23, -0x1.78fcdc662996dp-21, -0x1.992b86a29cafdp-20, -0x1.3a5cf2945a7c3p-19, -0x1.a78b5eb02072ap-19, -0x1.0a0bdeeae63b5p-18, -0x1.3ffc725997c2ap-18, -0x1.7592e436142p-18, -0x1.aacac03ac7d7dp-18, -0x1.df9fa42954a31p-18, -0x1.0a06a04d7e99bp-17, -0x1.2407ace1a1c66p-17, -0x1.3dd0e412942c6p-17, -0x1.57603c9dc08b6p-17, -0x1.70b3b80a687acp-17, -0x1.89c962f18cad5p-17, -0x1.a29f553ffa691p-17, -0x1.bb33b272c78d2p-17, -0x1.d384a9ce56f2cp-17, -0x1.eb90769024daep-17, -0x1.01aab00dc9cf1p-16, -0x1.0d68dd10e4f4ep-16, -0x1.1901f2627c808p-16, -0x1.2475265b891cep-16, -0x1.2fc1b5aa16fe5p-16, -0x1.3ae6e35c66524p-16, -0x1.45e3f8ea0878fp-16, -0x1.50b8463b1288ap-16, -0x1.5b6321ad7665cp-16, -0x1.65e3e8189a375p-16, -0x1.7039fccf3906cp-16, -0x1.7a64c99fa67bdp-16, -0x1.8463bed283659p-16, -0x1.8e365327f2ea9p-16, -0x1.97dc03d36a51bp-16, -0x1.a15454761b622p-16, -0x1.aa9ecf181858fp-16, -0x1.b3bb04203db16p-16, -0x1.bca88a4ae83eep-16, -0x1.c566fe9f8ea5bp-16, -0x1.cdf604654d54bp-16, -0x1.d65545166ac4ap-16, -0x1.de847052e9999p-16, -0x1.e6833bd230953p-16, -0x1.ee516353d3ep-16, -0x1.f5eea88f9601p-16, -0x1.fd5ad3249c306p-16, -0x1.024ad843f7fb4p-15, -0x1.05cf89f92934bp-15, -0x1.093b6b26b533fp-15, -0x1.0c8e6b102e1d1p-15, -0x1.0fc87bbdeb6c8p-15, -0x1.12e991f2ca594p-15, -0x1.15f1a521b5a5ep-15, -0x1.18e0af62f0ebp-15, -0x1.1bb6ad6931707p-15, -0x1.1e739e76871b8p-15, -0x1.21178451179bbp-15, -0x1.23a26337b4d75p-15, -0x1.261441d64b5a7p-15, -0x1.286d293a33f2fp-15, -0x1.2aad24c667654p-15, -0x1.2cd4422796bf6p-15, -0x1.2ee2914831a7fp-15, -0x1.30d8244456b38p-15, -0x1.32b50f5db5501p-15, -0x1.347968ef6370dp-15, -0x1.36254961a86acp-15, -0x1.37b8cb1dc1b1bp-15, -0x1.39340a81a2897p-15, -0x1.3a9725d3b2fecp-15, -0x1.3be23d368d13ap-15, -0x1.3d15729cbef5dp-15, -0x1.3e30e9bc91e55p-15, -0x1.3f34c803d8ab6p-15, -0x1.4021348bc5a27p-15, -0x1.40f6580cce6ecp-15, -0x1.41b45cd29a86ap-15, -0x1.425b6eb002a8fp-15, -0x1.42ebbaf321432p-15, -0x1.4365705971403p-15, -0x1.43c8bf0406108p-15, -0x1.4415d86bd49ffp-15, -0x1.444cef561585p-15, -0x1.446e37c8bde27p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.4ec20ba6020a5p-4, -0x1.6e4cc3ce90164p-4, -0x1.8d00bc1c54727p-4, -0x1.aae8720386797p-4, -0x1.c81666ded6af6p-4, -0x1.e4a1cf56b37a3p-4, -0x1.0051d96d5d8c3p-3, -0x1.0e1a4c86bd304p-3, -0x1.1bb565e4b75ffp-3, -0x1.292c92cbd253fp-3, -0x1.36872dfb6c08ap-3, -0x1.43ca586e9d14ap-3, -0x1.50f8fafc837bep-3, -0x1.5e13e69de5e95p-3, -0x1.6b1a0a300cd1p-3, -0x1.7808b5e1bd01dp-3, -0x1.84dbe5de5805cp-3, -0x1.918e8f2497f93p-3, -0x1.9e1aeab00726dp-3, -0x1.aa7abc2d64082p-3, -0x1.b6a79257d7adfp-3, -0x1.c29affd82042p-3, -0x1.ce4ecc134cc16p-3, -0x1.d9bd1bc8adc71p-3, -0x1.e4e091b338198p-3, -0x1.efb4679ebc1f6p-3, -0x1.fa3480896d88bp-3, -0x1.022eba414c881p-2, -0x1.07164b819ab77p-2, -0x1.0bcffc3fe28d8p-2, -0x1.105b31f74303cp-2, -0x1.14b7ac7a0336ap-2, -0x1.18e581add4378p-2, -0x1.1ce51839b49cdp-2, -0x1.20b72169617dap-2, -0x1.245c928283343p-2, -0x1.27d69dbff559p-2, -0x1.2b26ab20465afp-2, -0x1.2e4e512d7e229p-2, -0x1.314f4dddeb57ap-2, -0x1.342b7fa7cc305p-2, -0x1.36e4dedc71532p-2, -0x1.397d775acadc8p-2, -0x1.3bf762a53558bp-2, -0x1.3e54c262c31ebp-2, -0x1.4097bb513ccfap-2, -0x1.42c270aa6536p-2, -0x1.44d6fffcf03a1p-2, -0x1.46d77d77bfe2cp-2, -0x1.48c5f0a48e9fcp-2, -0x1.4aa4518e00d94p-2, -0x1.4c74864c3299dp-2, -0x1.4e3860f22b867p-2, -0x1.4ff19dd6332ebp-2, -0x1.51a1e22ea91d5p-2, -0x1.534abafce9ac6p-2, -0x1.54ed9c3fb5475p-2, -0x1.568be066b0508p-2, -0x1.5826c800a4581p-2, -0x1.59bf799e799cp-2, -0x1.5b5701e50990fp-2, -0x1.5cee53c8505a3p-2, -0x1.5e8648eac34e9p-2, -0x1.601fa21bf2179p-2, -0x1.61bb07f1f2915p-2, -0x1.63590b796b92bp-2, -0x1.64fa26f877ed9p-2, -0x1.669ebec0db9c2p-2, -0x1.6847220e78bd1p-2, -0x1.69f38bef23b21p-2, -0x1.6ba4243157c8p-2, -0x1.6d5900578e069p-2, -0x1.6f12248e394c2p-2, -0x1.70cf84a2b0593p-2, -0x1.729104f97f3e9p-2, -0x1.74567b82da4a5p-2, -0x1.761fb0ac15036p-2, -0x1.77ec604d275a9p-2, -0x1.79bc3a9185458p-2, -0x1.7b8ee4db9a284p-2, -0x1.7d63faa264febp-2, -0x1.7f3b0e48d5647p-2, -0x1.8113a9ee899b4p-2, -0x1.82ed5039c2e5fp-2, -0x1.84c77d1a5c532p-2, -0x1.86a1a685b10dbp-2, -0x1.887b3d2b69d7cp-2, -0x1.8a53ad232b181p-2, -0x1.8c2a5e93349fdp-2, -0x1.8dfeb6500450ap-2, -0x1.8fd01675119ffp-2, -0x1.919ddef6c2837p-2, -0x1.93676e2dbb337p-2, -0x1.952c215bab10fp-2, -0x1.96eb5529c1cap-2, -0x1.98a46620f1acep-2, -0x1.9a56b11c2882p-2, -0x1.9c0193b4aa77dp-2, -0x1.9da46ca8b561dp-2, -0x1.9f3e9c3c999a7p-2, -0x1.a0cf84966c954p-2, -0x1.a2568a147e0a6p-2, -0x1.a3d3139eb7c02p-2, -0x1.a5448af30c739p-2, -0x1.a6aa5ced1a617p-2, -0x1.a803f9c9257f7p-2, -0x1.a950d56289813p-2, -0x1.aa90676dc9ec5p-2, -0x1.abc22bae59bd5p-2, -0x1.ace5a22841c28p-2, -0x1.adfa4f4dbc1a4p-2, -0x1.aeffbc28e9c6fp-2, -0x1.aff57681ba888p-2, -0x1.b0db11002402bp-2, -0x1.b1b0234ac769cp-2, -0x1.b2744a221b432p-2, -0x1.b327277838021p-2, -0x1.b3c862856174fp-2, -0x1.b457a7d9636f5p-2, -0x1.b4d4a969e23ddp-2, -0x1.b53f1e9db07b1p-2, -0x1.b596c455466aep-2, -0x1.b5db5cf07a16ap-2, -0x1.b60cb051847a3p-2, -0x1.b62a8bdd78b41p-2, -0x1.b634c27a3d0cfp-2, -0x1.b62b2c8a24305p-2, -0x1.b60da7e53b417p-2, -0x1.b5dc17d068109p-2, -0x1.b59664f26a5b9p-2, -0x1.b53c7d46e0a3ap-2, -0x1.b4ce540f5f1ccp-2, -0x1.b44be1c2b7804p-2, -0x1.b3b523fa85fc6p-2, -0x1.b30a1d5f1cc4ep-2, -0x1.b24ad591dfdacp-2, -0x1.b17759163278ap-2, -0x1.b08fb93903c62p-2, -0x1.af940bf712212p-2, -0x1.ae846be201938p-2, -0x1.ad60f80455bb8p-2, -0x1.ac29d3c464b28p-2, -0x1.aadf26c65ce6dp-2, -0x1.a9811ccd6b88cp-2, -0x1.a80fe59c2093bp-2, -0x1.a68bb4d41cc26p-2, -0x1.a4f4c1d520bebp-2, -0x1.a34b479b92a83p-2, -0x1.a18f849e8794dp-2, -0x1.9fc1baad65b6bp-2, -0x1.9de22ecd35954p-2, -0x1.9bf12915a811cp-2, -0x1.99eef48df0001p-2, -0x1.97dbdf097268p-2, -0x1.95b8390467d25p-2, -0x1.9384558074cacp-2, -0x1.914089e15073dp-2, -0x1.8eed2dc97d239p-2, -0x1.8c8a9af72d6bep-2, -0x1.8a192d2153cb9p-2, -0x1.879941d4f4c8fp-2, -0x1.850b3852c2ef6p-2, -0x1.826f716d0bb95p-2, -0x1.7fc64f660a838p-2, -0x1.7d1035ce9d936p-2, -0x1.7a4d896572be4p-2, -0x1.777eaff6af355p-2, -0x1.74a4103c19f16p-2, -0x1.71be11bdd1895p-2, -0x1.6ecd1cb39790fp-2, -0x1.6bd199e6b3b3fp-2, -0x1.68cbf29476769p-2, -0x1.65bc905164686p-2, -0x1.62a3dced08e7cp-2, -0x1.5f8242567c567p-2, -0x1.5c582a819a398p-2, -0x1.5925ff4cf1d3ep-2, -0x1.55ec2a68736dfp-2, -0x1.52ab153cd8175p-2, -0x1.4f6328d3cd8f6p-2, -0x1.4c14cdc0e1ef9p-2, -0x1.48c06c0b39346p-2, -0x1.45666b180287p-2, -0x1.42073195b9292p-2, -0x1.3ea325682d0bbp-2, -0x1.3b3aab954ffep-2, -0x1.37ce2832cf5ebp-2, -0x1.345dfe547346p-2, -0x1.30ea8ffb455bap-2, -0x1.2d743e057d964p-2, -0x1.29fb681f36a7p-2, -0x1.26806cb3e3774p-2, -0x1.2303a8e0877d1p-2, -0x1.1f857866b1e38p-2, -0x1.1c0635a0332e6p-2, -0x1.1886397391bd3p-2, -0x1.1505db4939395p-2, -0x1.118571015a607p-2, -0x1.0e054eea885dcp-2, -0x1.0a85c7b8ff04fp-2, -0x1.07072c7e9c0e2p-2, -0x1.0389cca381a44p-2, -0x1.000df5df60147p-2, -0x1.f927e866c7f1fp-3, -0x1.f23823c988172p-3, -0x1.eb4d2eefdd39ep-3, -0x1.e467975895a61p-3, -0x1.dd87e6f1288c8p-3, -0x1.d6aea40f8bfep-3, -0x1.cfdc516d1ffa2p-3, -0x1.c9116e22ba013p-3, -0x1.c24e75a5aa751p-3, -0x1.bb93dfc5d54b9p-3, -0x1.b4e220acb67cdp-3, -0x1.ae39a8dd65884p-3, -0x1.a79ae5357a272p-3, -0x1.a1063eeed5b24p-3, -0x1.9a7c1ba24bf36p-3, -0x1.93fcdd4b10fe9p-3, -0x1.8d88e24b0130bp-3, -0x1.8720856f9bbd1p-3, -0x1.80c41df7bebfp-3, -0x1.7a73ff9a1336fp-3, -0x1.74307a8c23ad2p-3, -0x1.6df9db8a1127dp-3, -0x1.67d06bdee595bp-3, -0x1.61b4716d783b6p-3, -0x1.5ba62eb9dc3a6p-3, -0x1.55a5e2f353098p-3, -0x1.4fb3c9feba11cp-3, -0x1.49d01c816f0b1p-3, -0x1.43fb0feca16b1p-3, -0x1.3e34d6890c805p-3, -0x1.387d9f830ecafp-3, -0x1.32d596f71ccf4p-3, -0x1.2d3ce5fe87796p-3, -0x1.27b3b2bc90c91p-3, -0x1.223a206bbfd31p-3, -0x1.1cd04f6b7f869p-3, -0x1.17765d4df31a8p-3, -0x1.122c64e5f9facp-3, -0x1.0cf27e556dc34p-3, -0x1.07c8bf1b836a1p-3, -0x1.02af3a23507ap-3, -0x1.fb4bffa4e6f94p-4, -0x1.f15a3c2fa3003p-4, -0x1.e78940f4e4cd8p-4, -0x1.ddd92050c4fb2p-4, -0x1.d449e80b525ep-4, -0x1.cadba17689f9ap-4, -0x1.c18e518c59825p-4, -0x1.b861f90c9ad58p-4, -0x1.af56949b1134ap-4, -0x1.a66c1cdd5163fp-4, -0x1.9da2869892e9fp-4, -0x1.94f9c2cf6c606p-4, -0x1.8c71bedf5da17p-4, -0x1.840a649e3edd9p-4, -0x1.7bc39a7776de6p-4, -0x1.739d4388ffae3p-4, -0x1.6b973fc02e331p-4, -0x1.63b16bf63bdddp-4, -0x1.5beba20c89738p-4, -0x1.5445b9089ac42p-4, -0x1.4cbf852fc228ep-4, -0x1.4558d8227d059p-4, -0x1.3e1180f777f9cp-4, -0x1.36e94c563bdp-4, -0x1.2fe004917d301p-4, -0x1.28f571c10cf7ap-4, -0x1.222959db65b4ep-4, -0x1.1b7b80ced3f93p-4, -0x1.14eba89a37eefp-4, -0x1.0e7991655c538p-4, -0x1.0824f998e0e5cp-4, -0x1.01ed9df5b8771p-4, -0x1.f7a673586dd72p-5, -0x1.ebab0ce55cedap-5, -0x1.dfe879373395ep-5, -0x1.d45e2656a99eap-5, -0x1.c90b7fdabe988p-5, -0x1.bdefef12569bbp-5, -0x1.b30adb2ceb518p-5, -0x1.a85ba962519bcp-5, -0x1.9de1bd198f46bp-5, -0x1.939c780ec6c1ap-5, -0x1.898b3a7832e23p-5, -0x1.7fad632a34748p-5, -0x1.76024fba740ffp-5, -0x1.6c895ca216c67p-5, -0x1.6341e55f06642p-5, -0x1.5a2b44944ce44p-5, -0x1.5144d4298b331p-5, -0x1.488ded6980af5p-5, -0x1.4005e91fb1d72p-5, -0x1.37ac1fb525afbp-5, -0x1.2f7fe94c41a45p-5, -0x1.27809ddbc3ddcp-5, -0x1.1fad9548de87ap-5, -0x1.18062780767acp-5, -0x1.1089ac8f8768dp-5, -0x1.09377cbab0b4p-5, -0x1.020ef094edc33p-5, -0x1.f61ec22af2f05p-6, -0x1.e8704f59cd462p-6, -0x1.db113cb2d2715p-6, -0x1.ce003f74ad441p-6, -0x1.c13c0e45c1536p-6, -0x1.b4c361581a453p-6, -0x1.a894f28bde6cfp-6, -0x1.9caf7d9041317p-6, -0x1.9111c0030ff97p-6, -0x1.85ba798ec7537p-6, -0x1.7aa86c074e9a9p-6, -0x1.6fda5b854f8b4p-6, -0x1.654f0e8039f57p-6, -0x1.5b054de6fcb3ep-6, -0x1.50fbe5376fae7p-6, -0x1.4731a294829cp-6, -0x1.3da556db30845p-6, -0x1.3455d5b643f6ep-6, -0x1.2b41f5b0e927fp-6, -0x1.22689048252b9p-6, -0x1.19c881fb2b44cp-6, -0x1.1160aa5a9da8cp-6, -0x1.092fec16c00adp-6, -0x1.01352d0ca5ca3p-6, -0x1.f2deaca4b61fp-7, -0x1.e3baa88430a6ap-7, -0x1.d4fc2d0907a6ep-7, -0x1.c6a120340d2f4p-7, -0x1.b8a76ec679876p-7, -0x1.ab0d0c5116219p-7, -0x1.9dcff341b443ep-7, -0x1.90ee24ef08bd8p-7, -0x1.8465a9a2f0e07p-7, -0x1.783490a335dccp-7, -0x1.6c58f038ce7c6p-7, -0x1.60d0e5b5c107cp-7, -0x1.559a9579973e7p-7, -0x1.4ab42af487956p-7, -0x1.401bd8a955f8ap-7, -0x1.35cfd82df514dp-7, -0x1.2bce6a2af9521p-7, -0x1.2215d659e77f8p-7, -0x1.18a46b826b25p-7, -0x1.0f787f767cedap-7, -0x1.06906f0d86f54p-7, -0x1.fbd53c3d203dep-8, -0x1.eb0aeef2f3fe5p-8, -0x1.dabed9beb5d5ep-8, -0x1.caededf3faa57p-8, -0x1.bb952aa52195p-8, -0x1.acb19c8f28b3cp-8, -0x1.9e405e040701bp-8, -0x1.903e96d3a100ap-8, -0x1.82a97c3366ff1p-8, -0x1.757e50a4b0d0fp-8, -0x1.68ba63d9e629ep-8, -0x1.5c5b129a85e3ap-8, -0x1.505dc6a61c3d3p-8, -0x1.44bff6963594ap-8, -0x1.397f25bf61ep-8, -0x1.2e98e411522f3p-8, -0x1.240acdf6235a7p-8, -0x1.19d28c30e2d0dp-8, -0x1.0fedd3bb58c7ep-8, -0x1.065a65a328b15p-8, -0x1.fa2c1dcca9401p-9, -0x1.e83d509e58ad7p-9, -0x1.d6e42c9f71c8p-9, -0x1.c61c91b95e6afp-9, -0x1.b5e2768fe6f83p-9, -0x1.a631e83572687p-9, -0x1.970709de9a185p-9, -0x1.885e14951db43p-9, -0x1.7a3356ea51292p-9, -0x1.6c8334a9160dbp-9, -0x1.5f4a268773a6ep-9, -0x1.5284b9d7de6ccp-9, -0x1.462f903a4082p-9, -0x1.3a475f4cd762bp-9, -0x1.2ec8f05cef3c1p-9, -0x1.23b1201791e21p-9, -0x1.18fcde3a3774ap-9, -0x1.0ea92d4384885p-9, -0x1.04b322242113ap-9, -0x1.f62fc7df7c2c5p-10, -0x1.e3a9571c9ab39p-10, -0x1.d1cd86daf3e25p-10, -0x1.c0970e64ddecbp-10, -0x1.b000c6d7ee76ep-10, -0x1.a005aa89f83d9p-10, -0x1.90a0d46edfca8p-10, -0x1.81cd7f7f635a7p-10, -0x1.73870620d2947p-10, -0x1.65c8e18dde9a8p-10, -0x1.588ea9407bb22p-10, -0x1.4bd4125cfaccbp-10, -0x1.3f94ef1e4fad3p-10, -0x1.33cd2e43ac344p-10, -0x1.2878da7f646edp-10, -0x1.1d9419e738ae9p-10, -0x1.131b2d660a2c3p-10, -0x1.090a702f00f57p-10, -0x1.febcae646d41fp-11, -0x1.ec26e125c3e8cp-11, -0x1.da4cc63e31c09p-11, -0x1.c927db924c04dp-11, -0x1.b8b1ce44fd3ffp-11, -0x1.a8e479b0b99f3p-11, -0x1.99b9e66409d5ep-11, -0x1.8b2c49217603ap-11, -0x1.7d3601e2d92e6p-11, -0x1.6fd19ae028901p-11, -0x1.62f9c799b133fp-11, -0x1.56a963e5d80bep-11, -0x1.4adb73025d9cep-11, -0x1.3f8b1ea92a72cp-11, -0x1.34b3b628aaa68p-11, -0x1.2a50ad7fb8068p-11, -0x1.205d9c7d15cc3p-11, -0x1.16d63de282612p-11, -0x1.0db66e8b58717p-11, -0x1.04fa2c96c887cp-11, -0x1.f93b2d2b43ecap-12, -0x1.e939d5775cde5p-12, -0x1.d9e90c2938057p-12, -0x1.cb41c778eb0b9p-12, -0x1.bd3d3837436d4p-12, -0x1.afd4c84cd328dp-12, -0x1.a302193ffd68ep-12, -0x1.96bf02c1fea91p-12, -0x1.8b059142dfac1p-12, -0x1.7fd0048c501a9p-12, -0x1.7518ce6351617p-12, -0x1.6ada9130b39b3p-12, -0x1.61101eb045e52p-12, -0x1.57b476a6bcd47p-12, -0x1.4ec2c59e32ab3p-12, -0x1.463663a937d87p-12, -0x1.3e0ad32c63193p-12, -0x1.363bbfae51781p-12, -0x1.2ec4fcae0172bp-12, -0x1.27a2847f7a69ap-12, -0x1.20d0772ead6f9p-12, -0x1.1a4b19687fb4fp-12, -0x1.140ed369e3fdfp-12, -0x1.0e182ff4fcd47p-12, -0x1.0863db4c236e8p-12, -0x1.02eea232d1099p-12, -0x1.fb6ae1e893b1cp-13, -0x1.f16aa4dff38a7p-13, -0x1.e7d6de56df3f2p-13, -0x1.deaa18d3c6d23p-13, -0x1.d5df1692578ap-13, -0x1.cd70cfc831564p-13, -0x1.c55a70f429777p-13, -0x1.bd975937fbc92p-13, -0x1.b62318bc3bd82p-13, -0x1.aef96f1e5ff03p-13, -0x1.a81649e8b497p-13, -0x1.a175c3141386dp-13, -0x1.9b141f93393a9p-13, -0x1.94edcde77f65dp-13, -0x1.8eff64bee239ep-13, -0x1.8945a19b1eee8p-13, -0x1.83bd6781bd9ccp-13, -0x1.7e63bdb4ed35cp-13, -0x1.7935ce74f0b99p-13, -0x1.7430e5ca0810dp-13, -0x1.6f527056a2ff7p-13, -0x1.6a97fa31b5a74p-13, -0x1.65ff2dc90612bp-13, -0x1.6185d2cb508d9p-13, -0x1.5d29cd1a130e2p-13, -0x1.58e91bc2d8f4dp-13, -0x1.54c1d7ffe6b38p-13, -0x1.50b234401b092p-13, -0x1.4cb87b35db7a2p-13, -0x1.48d30eece8e6cp-13, -0x1.450067e6fcb6fp-13, -0x1.413f143efee09p-13, -0x1.3d8db6d2b45ap-13, -0x1.39eb0672c83fap-13, -0x1.3655cd18ff093p-13, -0x1.32cce7247e316p-13, -0x1.2f4f429bf4f69p-13, -0x1.2bdbde759a81cp-13, -0x1.2871c9e4c517cp-13, -0x1.251023ad0b076p-13, -0x1.21b6197acb18p-13, -0x1.1e62e740f30b5p-13, -0x1.1b15d69be75f1p-13, -0x1.17ce3e39722f4p-13, -0x1.148b8145944bep-13, -0x1.114d0edc1d7cp-13, -0x1.0e12617ee6fffp-13, -0x1.0adafe909e501p-13, -0x1.07a675d3f5c13p-13, -0x1.047460ef29f2cp-13, -0x1.014462f3b8e56p-13, -0x1.fc2c4fd45f687p-14, -0x1.f5d2c8c3e9a4ep-14, -0x1.ef7baa09f25d7p-14, -0x1.e9267c5e569d9p-14, -0x1.e2d2d71331241p-14, -0x1.dc805f52552f5p-14, -0x1.d62ec761a94bbp-14, -0x1.cfddcdee6222fp-14, -0x1.c98d3d5ec6d5ep-14, -0x1.c33ceb2a603f6p-14, -0x1.bcecb73866187p-14, -0x1.b69c8b443b259p-14, -0x1.b04c5a47cb661p-14, -0x1.a9fc1feba2d4dp-14, -0x1.a3abdffc8c17bp-14, -0x1.9d5ba5e69fb24p-14, -0x1.970b8435867c5p-14, -0x1.90bb9419d0039p-14, -0x1.8a6bf4f33d51bp-14, -0x1.841ccbdfd05b2p-14, -0x1.7dce434f7fd5fp-14, -0x1.77808a9c6b168p-14, -0x1.7133d5a769bbdp-14, -0x1.6ae85c78d690bp-14, -0x1.649e5ae570854p-14, -0x1.5e56103735d4fp-14, -0x1.580fbeda15244p-14, -0x1.51cbac0c56daep-14, -0x1.4b8a1f92a0d57p-14, -0x1.454b636f75148p-14, -0x1.3f0fc39e0fd9dp-14, -0x1.38d78dd0888f5p-14, -0x1.32a3113117bep-14, -0x1.2c729e266b62ap-14, -0x1.2646861aead22p-14, -0x1.201f1b46d2c18p-14, -0x1.19fcb07d12081p-14, -0x1.13df98facad1ap-14, -0x1.0dc8283964cd2p-14, -0x1.07b6b1c315dc6p-14, -0x1.01ab8909ce2c7p-14, -0x1.f74e0280db8adp-15, -0x1.eb52da6c65ffcp-15, -0x1.df663e6892be2p-15, -0x1.d388d1bace516p-15, -0x1.c7bb361ec8f23p-15, -0x1.bbfe0b8d756b6p-15, -0x1.b051f007afaabp-15, -0x1.a4b77f646a8edp-15, -0x1.992f532240902p-15, -0x1.8dba023c44ad3p-15, -0x1.82582101f66c5p-15, -0x1.770a40f232089p-15, -0x1.6bd0f09907893p-15, -0x1.60acbb70500bfp-15, -0x1.559e29c2ed72dp-15, -0x1.4aa5c0929295ap-15, -0x1.3fc4017ffa084p-15, -0x1.34f96ab571835p-15, -0x1.2a4676d39fa37p-15, -0x1.1fab9ce06c927p-15, -0x1.15295037f0111p-15, -0x1.0ac0007f56d2cp-15, -0x1.007019999f1afp-15, -0x1.ec74073c3984cp-16, -0x1.d83c45a158468p-16, -0x1.c439af3705fdp-16, -0x1.b06cfd150ad0dp-16, -0x1.9cd6e0902894ap-16, -0x1.897803367205bp-16, -0x1.765106ce4bb64p-16, -0x1.63628557e0974p-16, -0x1.50ad1110ff52p-16, -0x1.3e31347b26148p-16, -0x1.2bef7263b87cbp-16, -0x1.19e845ee2827ap-16, -0x1.081c22a00a202p-16, -0x1.ed16e8ddd33cbp-17, -0x1.ca6d3f9f94cfp-17, -0x1.a83c039077a29p-17, -0x1.8683e001c6618p-17, -0x1.654571b2ca6aap-17, -0x1.448146fb34037p-17, -0x1.2437dff7e4de9p-17, -0x1.0469aeb9f6ea6p-17, -0x1.ca2e2eefa6522p-18, -0x1.8c80e18062bedp-18, -0x1.4fcc075db848fp-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.f43d095a02e35p-1, 0x1.f2442d9d74af4p-1, 0x1.f02d40adbab84p-1, 0x1.edfa91c88027p-1, 0x1.ebaf01e09d9e7p-1, 0x1.e94dcd9270bcfp-1, 0x1.e6da553e827a6p-1, 0x1.e457ea87565d5p-1, 0x1.e1c9a7283bf6p-1, 0x1.df324eb2e7eafp-1, 0x1.dc943b2009605p-1, 0x1.d9f1531f536bdp-1, 0x1.d74b088e69562p-1, 0x1.d4a25d4fd52f3p-1, 0x1.d1f7ecc593f2fp-1, 0x1.cf4bf85e93799p-1, 0x1.cc9e75e2bf0d5p-1, 0x1.c9ef1e6a835c2p-1, 0x1.c73d7d2dba7d7p-1, 0x1.c488fd8eb09aap-1, 0x1.c1d0f7f696a2bp-1, 0x1.bf14bd40ab715p-1, 0x1.bc53a09138bd9p-1, 0x1.b98cff8df38dfp-1, 0x1.b6c048ff74f24p-1, 0x1.b3ed01f073374p-1, 0x1.b112c9681a7c4p-1, 0x1.ae315ae23ea71p-1, 0x1.ab488faaf581ep-1, 0x1.a8585f43fa761p-1, 0x1.a560def9a809bp-1, 0x1.a26240cbb6f24p-1, 0x1.9f5cd1cb9b545p-1, 0x1.9c50f80f95cb1p-1, 0x1.993f30568049fp-1, 0x1.96280b75418e2p-1, 0x1.930c2ba3a825ep-1, 0x1.8fec41bb6a00dp-1, 0x1.8cc90a79172ep-1, 0x1.89a34bcc22f7cp-1, 0x1.867bd240a078dp-1, 0x1.83536e8b11672p-1, 0x1.802af33c9f455p-1, 0x1.7d0332a44a0cdp-1, 0x1.79dcfce00d4e8p-1, 0x1.76b91e1f9d9bdp-1, 0x1.73985d194422fp-1, 0x1.707b79b065444p-1, 0x1.6d632bcc7f24ap-1, 0x1.6a50225ec6594p-1, 0x1.67430294166aap-1, 0x1.643c673089672p-1, 0x1.613ce011cdb7dp-1, 0x1.5e44f1d529608p-1, 0x1.5b55159e0921dp-1, 0x1.586db8f9f124bp-1, 0x1.558f3ddeb833p-1, 0x1.52b9fac0068dap-1, 0x1.4fee3ab935804p-1, 0x1.4d2c3dc8cf5b6p-1, 0x1.4a74391b1bacep-1, 0x1.47c6576151c1bp-1, 0x1.4522b9333b67cp-1, 0x1.428975793e551p-1, 0x1.3ffa99dcfa3aep-1, 0x1.3d762b3ed03f5p-1, 0x1.3afc262edbd5dp-1, 0x1.388c7f680d636p-1, 0x1.3627244c411d7p-1, 0x1.33cbfb6051f2fp-1, 0x1.317ae4c74d7bp-1, 0x1.2f33babc0b921p-1, 0x1.2cf652088bfa1p-1, 0x1.2ac27a7a99222p-1, 0x1.2897ff5541771p-1, 0x1.2676a7bed5716p-1, 0x1.245e372b251a5p-1, 0x1.224e6dc1ced9fp-1, 0x1.204708c078a3ap-1, 0x1.1e47c2d8e105dp-1, 0x1.1c50548aba44bp-1, 0x1.1a6074794f45dp-1, 0x1.1877d7bcf3677p-1, 0x1.1696323050642p-1, 0x1.14bb36b99ad6ep-1, 0x1.12e6978fc9854p-1, 0x1.1118067be33a4p-1, 0x1.0f4f351680384p-1, 0x1.0d8bd5019c11ep-1, 0x1.0bcd981ed40dfp-1, 0x1.0a1430c233143p-1, 0x1.085f51e1a90a3p-1, 0x1.06aeaf414c318p-1, 0x1.0501fd9c84da5p-1, 0x1.0358f2cc40e2bp-1, 0x1.01b345ea4dcbp-1, 0x1.0010af71f4dcfp-1, 0x1.fce1d2bbf1ad7p-2, 0x1.f9a75e8817f44p-2, 0x1.f6717cdbbfd63p-2, 0x1.f33fabdfc1ec7p-2, 0x1.f0116d7b7b763p-2, 0x1.ece647799a156p-2, 0x1.e9bdc3a8d8b9p-2, 0x1.e6976ff8d9417p-2, 0x1.e372de934585cp-2, 0x1.e04fa5f160a2bp-2, 0x1.dd2d60ee3108ap-2, 0x1.da0baed56df1fp-2, 0x1.d6ea336f4fec7p-2, 0x1.d3c897096b297p-2, 0x1.d0a6867cbb2a3p-2, 0x1.cd83b330f9ba8p-2, 0x1.ca5fd31d6cc54p-2, 0x1.c73aa0c740fedp-2, 0x1.c413db3d98fbbp-2, 0x1.c0eb46136e9b4p-2, 0x1.bdc0a9575da46p-2, 0x1.ba93d1897eb9cp-2, 0x1.b7648f8f68a29p-2, 0x1.b432b8a676b11p-2, 0x1.b0fe26546eaa5p-2, 0x1.adc6b6569ed06p-2, 0x1.aa8c4a8f9348ep-2, 0x1.a74ec8f376a9cp-2, 0x1.a40e1b7338819p-2, 0x1.a0ca2fe693cc9p-2, 0x1.9d82f7f507d0bp-2, 0x1.9a3868fde0d6fp-2, 0x1.96ea7bff6179cp-2, 0x1.93992d7d24b71p-2, 0x1.90447d65cbb18p-2, 0x1.8cec6ef80fc02p-2, 0x1.899108a746e06p-2, 0x1.863253ff7168ap-2, 0x1.82d05d88e3744p-2, 0x1.7f6b34ab965a1p-2, 0x1.7c02eb923ec24p-2, 0x1.7897970d283edp-2, 0x1.75294e74f60f6p-2, 0x1.71b82b8d4ad38p-2, 0x1.6e444a6770adap-2, 0x1.6acdc94505cc5p-2, 0x1.6754c87ac437p-2, 0x1.63d96a5368657p-2, 0x1.605bd2f2c9f94p-2, 0x1.5cdc28392d341p-2, 0x1.595a91a6db3cep-2, 0x1.55d73840075c3p-2, 0x1.525246710d7ffp-2, 0x1.4ecbe7f315e7dp-2, 0x1.4b4449b11d172p-2, 0x1.47bb99ad71a56p-2, 0x1.443206e7a9af6p-2, 0x1.40a7c14317d2fp-2, 0x1.3d1cf96dc64f1p-2, 0x1.3991e0c7fd8eep-2, 0x1.3606a94c5933dp-2, 0x1.327b857875bc6p-2, 0x1.2ef0a83633b3dp-2, 0x1.2b6644c599a65p-2, 0x1.27dc8ea7562c7p-2, 0x1.2453b987e2ee4p-2, 0x1.20cbf92b4ec68p-2, 0x1.1d458159adb4ap-2, 0x1.19c085cc31404p-2, 0x1.163d3a1aebf2dp-2, 0x1.12bbd1ab3e236p-2, 0x1.0f3c7f9eeeba6p-2, 0x1.0bbf76c3ee287p-2, 0x1.0844e984c555p-2, 0x1.04cd09d9af30cp-2, 0x1.0158093a5cee3p-2, 0x1.fbcc3120c0effp-3, 0x1.f4eed054869f2p-3, 0x1.ee184f5e7f69fp-3, 0x1.e7490c27401b7p-3, 0x1.e081631b820c2p-3, 0x1.d9c1af176b16dp-3, 0x1.d30a49530c0ddp-3, 0x1.cc5b8950203ecp-3, 0x1.c5b5c4c8f6459p-3, 0x1.bf194fa08e7e6p-3, 0x1.b8867bd3df42p-3, 0x1.b1fd996c345dfp-3, 0x1.ab7ef672b456ap-3, 0x1.a50adee4f7392p-3, 0x1.9ea19caaa62fp-3, 0x1.9843778c2ca24p-3, 0x1.91f0b52a67956p-3, 0x1.8ba998f74b468p-3, 0x1.856e642f83827p-3, 0x1.7f3f55d4f8aa7p-3, 0x1.791caaaa40768p-3, 0x1.73069d2eeb7fep-3, 0x1.6cfd659ca5052p-3, 0x1.670139e5278c1p-3, 0x1.61124db0f84eap-3, 0x1.5b30d25ee0a6p-3, 0x1.555cf7042818dp-3, 0x1.4f96e86d790d9p-3, 0x1.49ded1207569bp-3, 0x1.4434d95defadp-3, 0x1.3e992724c09f1p-3, 0x1.390bde3531a42p-3, 0x1.338d2014f6725p-3, 0x1.2e1d0c13b465p-3, 0x1.28bbbf5005d65p-3, 0x1.236954bcf7bcap-3, 0x1.1e25e528034ecp-3, 0x1.18f1873f6f72fp-3, 0x1.13cc4f9919f9ap-3, 0x1.0eb650b9a6e09p-3, 0x1.09af9b1c078c2p-3, 0x1.04b83d3958348p-3, 0x1.ffa0872223877p-4, 0x1.f5ef7162f6121p-4, 0x1.ec5d4a80daf84p-4, 0x1.e2ea200894c2cp-4, 0x1.d995fbda71dffp-4, 0x1.d060e43d11111p-4, 0x1.c74adbf0a9c7ep-4, 0x1.be53e242894cp-4, 0x1.b57bf320f7aaap-4, 0x1.acc3072f54f27p-4, 0x1.a42913da69734p-4, 0x1.9bae0b6cfa9aap-4, 0x1.9351dd247e11ap-4, 0x1.8b147545f2814p-4, 0x1.82f5bd32d3409p-4, 0x1.7af59b7e211fcp-4, 0x1.7313f401761b2p-4, 0x1.6b50a7f220175p-4, 0x1.63ab95f63a631p-4, 0x1.5c249a39c13cap-4, 0x1.54bb8e8397f98p-4, 0x1.4d704a4a7cb4ap-4, 0x1.4642a2c9e54b6p-4, 0x1.3f326b16be183p-4, 0x1.383f7434087bap-4, 0x1.31698d2750951p-4, 0x1.2ab0830cfb395p-4, 0x1.2414212c61f2fp-4, 0x1.1d94310bbe74dp-4, 0x1.17307a83dd66bp-4, 0x1.10e8c3d39913dp-4, 0x1.0abcd1b3151e3p-4, 0x1.04ac6766ba294p-4, 0x1.fd6e8da3df707p-5, 0x1.f1ba61131acb7p-5, 0x1.e63bc7cc0dee9p-5, 0x1.daf23e2a95b9p-5, 0x1.cfdd3e58ad3bcp-5, 0x1.c4fc4070f5cc6p-5, 0x1.ba4ebaa0a00f6p-5, 0x1.afd42148b2cf3p-5, 0x1.a58be71ea8969p-5, 0x1.9b757d4c66df4p-5, 0x1.9190538f887ecp-5, 0x1.87dbd857fd6e9p-5, 0x1.7e5778e5faa87p-5, 0x1.7502a1673a165p-5, 0x1.6bdcbd1389e27p-5, 0x1.62e53648ace9bp-5, 0x1.5a1b76a58384p-5, 0x1.517ee7248731dp-5, 0x1.490ef03591ca2p-5, 0x1.40caf9d6f0de3p-5, 0x1.38b26badc7c8cp-5, 0x1.30c4ad1dc1d11p-5, 0x1.2901256010dd9p-5, 0x1.21673b99bc3a5p-5, 0x1.19f656f141361p-5, 0x1.12addea385ef2p-5, 0x1.0b8d3a181d438p-5, 0x1.0493d0f4e1291p-5, 0x1.fb821661c794ap-6, 0x1.ee28a24d6bfacp-6, 0x1.e11a174c15a8p-6, 0x1.d455480965fa3p-6, 0x1.c7d9085df3a3ep-6, 0x1.bba42d6ebd8f8p-6, 0x1.afb58dcb66071p-6, 0x1.a40c018b329b2p-6, 0x1.98a66268dd73ep-6, 0x1.8d838bdd331f9p-6, 0x1.82a25b388c58bp-6, 0x1.7801afbb20f43p-6, 0x1.6da06aac3c692p-6, 0x1.637d6f7056c1ep-6, 0x1.5997a39e1dee7p-6, 0x1.4fedef1269d54p-6, 0x1.467f3c032cbb9p-6, 0x1.3d4a771159aecp-6, 0x1.344e8f59d2876p-6, 0x1.2b8a768558982p-6, 0x1.22fd20d789e2cp-6, 0x1.1aa5853cf561dp-6, 0x1.12829d583f5dp-6, 0x1.0a93658e6b98dp-6, 0x1.02d6dd12443bdp-6, 0x1.f6980bddd9c94p-7, 0x1.e7e3ca2346b18p-7, 0x1.d98f04a56572fp-7, 0x1.cb97d0fb4630bp-7, 0x1.bdfc4ab14da95p-7, 0x1.b0ba9356928a5p-7, 0x1.a3d0d288daec6p-7, 0x1.973d35ff32eep-7, 0x1.8afdf19323762p-7, 0x1.7f113f48b1ef3p-7, 0x1.73755f550a04p-7, 0x1.68289823fcffep-7, 0x1.5d29365c51304p-7, 0x1.52758ce2ec8abp-7, 0x1.480bf4dce8a9bp-7, 0x1.3deacdb0984a3p-7, 0x1.34107d058943ep-7, 0x1.2a7b6ec387117p-7, 0x1.212a1510aea7ep-7, 0x1.181ae84e981dcp-7, 0x1.0f4c6716a2195p-7, 0x1.06bd16356439bp-7, 0x1.fcd7014aabb6p-8, 0x1.ecac6f115c8aep-8, 0x1.dcf7a4450ffbcp-8, 0x1.cdb5db9e9f9aep-8, 0x1.bee45bf90ec4p-8, 0x1.b080783fc5213p-8, 0x1.a2878f5b90306p-8, 0x1.94f70c1e7b8b1p-8, 0x1.87cc652e8aec6p-8, 0x1.7b051cef6917fp-8, 0x1.6e9ec16b157c2p-8, 0x1.6296ec39a24bcp-8, 0x1.56eb42680dc04p-8, 0x1.4b99745e44084p-8, 0x1.409f3dc4583d4p-8, 0x1.35fa6566fdf13p-8, 0x1.2ba8bd1b52894p-8, 0x1.21a821a1fff55p-8, 0x1.17f67a89c5711p-8, 0x1.0e91ba116f4e6p-8, 0x1.0577dd094c25ap-8, 0x1.f94dd5684e09dp-9, 0x1.e839e94fa05edp-9, 0x1.d7b02d5a81a1bp-9, 0x1.c7aced40c5db2p-9, 0x1.b82c889f0662ep-9, 0x1.a92b72b4f28e9p-9, 0x1.9aa632231ee71p-9, 0x1.8c9960a859a3dp-9, 0x1.7f01aadea363fp-9, 0x1.71dbcff7cf855p-9, 0x1.6524a179de1c9p-9, 0x1.58d902fb23d3bp-9, 0x1.4cf5e9de430e9p-9, 0x1.41785d0e0f1b2p-9, 0x1.365d74b95a8d5p-9, 0x1.2ba25a0eca1bbp-9, 0x1.214446f8a9bdp-9, 0x1.174085d8d96a4p-9, 0x1.0d947144dcc7dp-9, 0x1.043d73c20c95ap-9, 0x1.f6720f0407978p-10, 0x1.e5096c3e8c44ep-10, 0x1.d43c30b458d0bp-10, 0x1.c405abac44f3fp-10, 0x1.b46149ae71132p-10, 0x1.a54a940032584p-10, 0x1.96bd3020be332p-10, 0x1.88b4df46bdc9fp-10, 0x1.7b2d7ddec056ep-10, 0x1.6e23030aa7791p-10, 0x1.619180221319ep-10, 0x1.55752033da694p-10, 0x1.49ca27889f73ep-10, 0x1.3e8cf32678d1fp-10, 0x1.33b9f855d6971p-10, 0x1.294dc427865c6p-10, 0x1.1f44fafc07efbp-10, 0x1.159c580c14416p-10, 0x1.0c50acf274f7p-10, 0x1.035ee1372fad5p-10, 0x1.f587e3b802d6ep-11, 0x1.e4f9e1d474c39p-11, 0x1.d50e0a03f3e7ap-11, 0x1.c5bed1d59f567p-11, 0x1.b706d64b8ddd4p-11, 0x1.a8e0db01bfedp-11, 0x1.9b47c957f24dap-11, 0x1.8e36af9e597dp-11, 0x1.81a8c045486dcp-11, 0x1.7599510fc75fp-11, 0x1.6a03da491ffcfp-11, 0x1.5ee3f5fd5f75p-11, 0x1.54355f34d0f9fp-11, 0x1.49f3f13272f61p-11, 0x1.401ba6b5692e4p-11, 0x1.36a8993d67192p-11, 0x1.2d97005218ba5p-11, 0x1.24e330cd850cp-11, 0x1.1c899c2967b7bp-11, 0x1.1486cfcf862adp-11, 0x1.0cd7746cf61f2p-11, 0x1.05784d4858843p-11, 0x1.fccc6f36081fap-12, 0x1.ef3c53da35011p-12, 0x1.e23a66e90d8aap-12, 0x1.d5c0f6edbcd34p-12, 0x1.c9ca815c44e27p-12, 0x1.be51b160b392fp-12, 0x1.b3515eb4036b1p-12, 0x1.a8c48c76974dap-12, 0x1.9ea66810501dcp-12, 0x1.94f248162067fp-12, 0x1.8ba3ab352305fp-12, 0x1.82b637231a2abp-12, 0x1.7a25b7945014dp-12, 0x1.71ee1d36c9a47p-12, 0x1.6a0b7cb2bb118p-12, 0x1.627a0db036a74p-12, 0x1.5b3629e1fcbecp-12, 0x1.543c4c1564df5p-12, 0x1.4d890f4750b26p-12, 0x1.47192dbe1415ep-12, 0x1.40e9802846951p-12, 0x1.3af6fcc06efa3p-12, 0x1.353eb67573594p-12, 0x1.2fbddc17c492dp-12, 0x1.2a71b78b2cfcep-12, 0x1.2557acfd39303p-12, 0x1.206d3a20238e5p-12, 0x1.1baff56a36586p-12, 0x1.171d8d5990114p-12, 0x1.12b3c7bc3d9p-12, 0x1.0e7080fc933dap-12, 0x1.0a51ab71b7fadp-12, 0x1.06554eb451ebbp-12, 0x1.027986f73ffd5p-12, 0x1.fd7908c8a293ap-13, 0x1.f63914f9d6f9fp-13, 0x1.ef2fdefd17ed5p-13, 0x1.e85a3796299acp-13, 0x1.e1b512a9a4a71p-13, 0x1.db3d861c5bbb9p-13, 0x1.d4f0c8b9ebd5ep-13, 0x1.cecc312264729p-13, 0x1.c8cd34bed7d47p-13, 0x1.c2f166bcc5e5dp-13, 0x1.bd36771028f5cp-13, 0x1.b79a317c1b4e2p-13, 0x1.b21a7ca1e7b46p-13, 0x1.acb5591668004p-13, 0x1.a768e07d96c53p-13, 0x1.a23344ac2f1e5p-13, 0x1.9d12cecf3ce57p-13, 0x1.9805de99824e8p-13, 0x1.930ae9769447fp-13, 0x1.8e2079c386e4cp-13, 0x1.89452e0d1e1b3p-13, 0x1.8477b8534f7fap-13, 0x1.7fb6dd520bfb3p-13, 0x1.7b0173cf28f47p-13, 0x1.765663ed4de5fp-13, 0x1.71b4a683d62bp-13, 0x1.6d1b447b74928p-13, 0x1.6889562f9a853p-13, 0x1.63fe02d46ae68p-13, 0x1.5f787fe13a7dap-13, 0x1.5af8107f67dbap-13, 0x1.567c04fd8c8bap-13, 0x1.5203ba46d99d9p-13, 0x1.4d8e995e8f54bp-13, 0x1.491c16df788fp-13, 0x1.44abb27f4df8cp-13, 0x1.403cf695ee22bp-13, 0x1.3bcf77a84f752p-13, 0x1.3762d3f712c6fp-13, 0x1.32f6b310aae3fp-13, 0x1.2e8ac566f4fa6p-13, 0x1.2a1ec3e83553bp-13, 0x1.25b26f9b61d41p-13, 0x1.2145913fa1085p-13, 0x1.1cd7f8eef125ap-13, 0x1.18697dc3d7754p-13, 0x1.13f9fd8210108p-13, 0x1.0f895c422033cp-13, 0x1.0b17841fc5c16p-13, 0x1.06a464eb18b7dp-13, 0x1.022ff3dc709f4p-13, 0x1.fb745695a4f84p-14, 0x1.f28614c9f45fap-14, 0x1.e99529d9a9e7ep-14, 0x1.e0a1a5ead475p-14, 0x1.d7aba1462c432p-14, 0x1.ceb33bdc33f58p-14, 0x1.c5b89ccea2b93p-14, 0x1.bcbbf1fe49ec4p-14, 0x1.b3bd6f9d0f9abp-14, 0x1.aabd4fc406d2cp-14, 0x1.a1bbd20d86a73p-14, 0x1.98b93b3315e53p-14, 0x1.8fb5d4af13895p-14, 0x1.86b1ec620936ap-14, 0x1.7dadd43b8151dp-14, 0x1.74a9e1e64ebbap-14, 0x1.6ba66e7827e84p-14, 0x1.62a3d6247e43ap-14, 0x1.59a277f278d8cp-14, 0x1.50a2b575faa35p-14, 0x1.47a4f28b9d1f2p-14, 0x1.3ea99517877d6p-14, 0x1.35b104c70d0f2p-14, 0x1.2cbbaad4fd472p-14, 0x1.23c9f1d08fb4ep-14, 0x1.1adc4566d65afp-14, 0x1.11f3122ea400fp-14, 0x1.090ec576d1c94p-14, 0x1.002fcd16d039ap-14, 0x1.eead2e82e3c37p-15, 0x1.dd0724b3b9c54p-15, 0x1.cb6e599524198p-15, 0x1.b9e3a9bcecf6cp-15, 0x1.a867f137a39e1p-15, 0x1.96fc0b425a0eep-15, 0x1.85a0d20808999p-15, 0x1.74571e627570ap-15, 0x1.631fc79e8420cp-15, 0x1.51fba343ccdcbp-15, 0x1.40eb84df5e134p-15, 0x1.2ff03dd1919c3p-15, 0x1.1f0a9d1ed05fap-15, 0x1.0e3b6f4334facp-15, 0x1.fb06fc11d2b33p-16, 0x1.d9c720c25d66cp-16, 0x1.b8b8d47fdcd03p-16, 0x1.97dd98f38aab4p-16, 0x1.7736e948d6088p-16, 0x1.56c639f2c26d9p-16, 0x1.368cf875abc5dp-16, 0x1.168c8b3543317p-16, 0x1.ed8ca28d3d006p-17, 0x1.ae77448c52b13p-17, 0x1.6fdb9c62bf194p-17, 0x1.31bc3a8835d6dp-17, 0x1.e8373f6573281p-18, 0x1.6df8793d96e01p-18, 0x1.e981c777fd12p-19, 0x1.f2547d5d4d91p-20, 0x1.5e6ae3b52fd53p-24, -0x1.c2346555737c2p-20, -0x1.caf5e4f271373p-19, -0x1.594bc4977e2a1p-18, -0x1.cbfb9622971bcp-18, -0x1.1ec347ae087c8p-17, -0x1.56f47d3191db6p-17, -0x1.8e8fa19d543c2p-17, -0x1.c592fbe3749edp-17, -0x1.fbfce3e1d3bap-17, -0x1.18e5e12caedaap-16, -0x1.337f0870eadfp-16, -0x1.4dc92ced24102p-16, -0x1.67c39c2b259fp-16, -0x1.816dac041e083p-16, -0x1.9ac6ba94539a5p-16, -0x1.b3ce2e2d76762p-16, -0x1.cc837547b12e4p-16, -0x1.e4e606717ff3cp-16, -0x1.fcf5603e66166p-16, -0x1.0a58849a46b08p-15, -0x1.160c47dcb0aa5p-15, -0x1.2195c4fe9f61ap-15, -0x1.2cf4caf319bb1p-15, -0x1.38292c7cf9acep-15, -0x1.4332c0237f114p-15, -0x1.4e11602688665p-15, -0x1.58c4ea7272342p-15, -0x1.634d4093aa6d7p-15, -0x1.6daa47a9f6b67p-15, -0x1.77dbe85b7637p-15, -0x1.81e20ec768b2ep-15, -0x1.8bbcaa78b805ep-15, -0x1.956bae584fe8p-15, -0x1.9eef109f47ef7p-15, -0x1.a846cac8e19edp-15, -0x1.b172d98461566p-15, -0x1.ba733ca6c620ap-15, -0x1.c347f71c66d5p-15, -0x1.cbf10eda72682p-15, }}, 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
    }}, 
    {
      50, 0x1.4cccccccccccdp+2, 0x1.a1e88fd0a5d34p+1, 0x1.25b2f612fc47p+3, -0x1.2edbc4db7ad88p-8, 
      {{
        {0x1.0cccccccccccdp+2, 0x1.0e147ae147ae1p+2, 0x1.907961093f21ep-8, -0x1.1f0a28c06dca4p-5, 0x1.d4944ed7002d1p-5, 0x1.48551e31ff81p-7}, 
        {0x1.0e147ae147ae1p+2, 0x1.0f5c28f5c28f6p+2, 0x1.640d7048efe06p-8, -0x1.0c32b0e0ed6d2p-5, 0x1.d9811ad012169p-5, -0x1.9a6a65beff8p-5}, 
        {0x1.0f5c28f5c28f6p+2, 0x1.10a3d70a3d70ap+2, 0x1.3aa137f2dc683p-8, -0x1.f3802c3f2f364p-6, 0x1.c0e11ef2b0d5ep-5, -0x1.101486deee1d8p-5}, 
        {0x1.10a3d70a3d70ap+2, 0x1.11eb851eb851fp+2, 0x1.1416b57d95a2p-8, -0x1.d03e4a0b20695p-6, 0x1.b08df822c1452p-5, -0x1.2ec6d01d2310fp-5}, 
        {0x1.11eb851eb851fp+2, 0x1.1333333333333p+2, 0x1.e0a0c9a2978d6p-9, -0x1.ae5d98fefecdbp-6, 0x1.9e63520c86d82p-5, -0x1.202b65fa98b68p-5}, 
        {0x1.1333333333333p+2, 0x1.147ae147ae148p+2, 0x1.9e6280a59a3f7p-9, -0x1.8de7fbbd43703p-6, 0x1.8d19095ec55cfp-5, -0x1.1db6c3f56817ep-5}, 
        {0x1.147ae147ae148p+2, 0x1.15c28f5c28f5cp+2, 0x1.61398209048d9p-9, -0x1.6ed2f68b77af2p-6, 0x1.7bf4787e20655p-5, -0x1.17ff31396c971p-5}, 
        {0x1.15c28f5c28f5cp+2, 0x1.170a3d70a3d71p+2, 0x1.28edbcb4e64cp-9, -0x1.511983f60be24p-6, 0x1.6b27b81966aeap-5, -0x1.13275b0b00babp-5}, 
        {0x1.170a3d70a3d71p+2, 0x1.1851eb851eb85p+2, 0x1.ea90394111dfap-10, -0x1.34b5270366965p-6, 0x1.5aa55b98bdad2p-5, -0x1.0e13835fc6f1bp-5}, 
        {0x1.1851eb851eb85p+2, 0x1.199999999999ap+2, 0x1.8c2515a4df1d6p-10, -0x1.199fc7528c1dfp-6, 0x1.4a70fcac98243p-5, -0x1.090ff517ca002p-5}, 
        {0x1.199999999999ap+2, 0x1.1ae147ae147aep+2, 0x1.362fdac0adbe1p-10, -0x1.ffa6634c275b9p-7, 0x1.3a89a12b2abd6p-5, -0x1.0408924d324c5p-5}, 
        {0x1.1ae147ae147aep+2, 0x1.1c28f5c28f5c3p+2, 0x1.d0909d90d9e06p-11, -0x1.ce9274cfa71dp-7, 0x1.2aef83e9185d1p-5, -0x1.fe0202f6cb65fp-6}, 
        {0x1.1c28f5c28f5c3p+2, 0x1.1d70a3d70a3d7p+2, 0x1.441063d69fe12p-11, -0x1.9ff76715dafeep-7, 0x1.1ba2a7a95f0f5p-5, -0x1.f3f529c116475p-6}, 
        {0x1.1d70a3d70a3d7p+2, 0x1.1eb851eb851ecp+2, 0x1.8c2cfa33eaf55p-12, -0x1.73c8df338a1a2p-7, 0x1.0ca2fae394272p-5, -0x1.e9e65bb38b79p-6}, 
        {0x1.1eb851eb851ecp+2, 0x1.2p+2, 0x1.57794862ab188p-13, -0x1.49fa8270d6774p-7, 0x1.fbe1193c627e8p-6, -0x1.dfd8b12c98b19p-6}, 
        {0x1.2p+2, 0x1.2147ae147ae14p+2, -0x1.ab1805e09d06p-16, -0x1.227ff59547611p-7, 0x1.df16a83496c67p-6, -0x1.d5ca863fab07dp-6}, 
        {0x1.2147ae147ae14p+2, 0x1.228f5c28f5c29p+2, -0x1.912da28688cf4p-13, -0x1.fa99bb993ba9p-8, 0x1.c2e6aa63f8094p-6, -0x1.cbbcb32d7957p-6}, 
        {0x1.228f5c28f5c29p+2, 0x1.23d70a3d70a3dp+2, -0x1.5f64c3fb5bd6dp-12, -0x1.b4a9c053639a5p-8, 0x1.a7511a851497cp-6, -0x1.c1ae874e8e29cp-6}, 
        {0x1.23d70a3d70a3dp+2, 0x1.251eb851eb852p+2, -0x1.e084e5c8d9aafp-12, -0x1.7317437d8d3bap-8, 0x1.8c55fdebe31b2p-6, -0x1.b7a05a56de29cp-6}, 
        {0x1.251eb851eb852p+2, 0x1.2666666666666p+2, -0x1.26ac6dc85016ep-11, -0x1.35c98ecdc82a3p-8, 0x1.71f554a93c2c5p-6, -0x1.ad92c040614ffp-6}, 
        {0x1.2666666666666p+2, 0x1.27ae147ae147bp+2, -0x1.539d30f079ebp-11, -0x1.f94fd95a8ecfcp-9, 0x1.582f15ed0d609p-6, -0x1.a3846e63d25e8p-6}, 
        {0x1.27ae147ae147bp+2, 0x1.28f5c28f5c28fp+2, -0x1.77bda693210a6p-11, -0x1.8f334eafd01ffp-9, 0x1.3f034cbe1a5a4p-6, -0x1.99764fe06bb8fp-6}, 
        {0x1.28f5c28f5c28fp+2, 0x1.2a3d70a3d70a4p+2, -0x1.93b2c4b261773p-11, -0x1.2d0c10cd9badbp-9, 0x1.2671f607ad7dbp-6, -0x1.8f68a1f55f781p-6}, 
        {0x1.2a3d70a3d70a4p+2, 0x1.2b851eb851eb8p+2, -0x1.a81d8d25084a7p-11, -0x1.a55168f24226ap-10, 0x1.0e7b0b0850b87p-6, -0x1.855a90f79c4edp-6}, 
        {0x1.2b851eb851eb8p+2, 0x1.2cccccccccccdp+2, -0x1.b59b0db0f719ep-11, -0x1.ff5f3a632d404p-11, 0x1.ee3d23638eb06p-7, -0x1.7b4c0904ac868p-6}, 
        {0x1.2cccccccccccdp+2, 0x1.2e147ae147ae1p+2, -0x1.bcc45ff0c0921p-11, -0x1.a33f8fd9818a5p-12, 0x1.c0b9224e84387p-7, -0x1.713eb389f9b0ep-6}, 
        {0x1.2e147ae147ae1p+2, 0x1.2f5c28f5c28f6p+2, -0x1.be2ea94210dc9p-11, 0x1.fb099888c2f7ap-14, 0x1.9469ee0ac26c2p-7, -0x1.67303071c4d6fp-6}, 
        {0x1.2f5c28f5c28f6p+2, 0x1.30a3d70a3d70ap+2, -0x1.ba6b1afa746cbp-11, 0x1.346963f8fd161p-11, 0x1.694faac9e83ccp-7, -0x1.5d229240b1aa6p-6}, 
        {0x1.30a3d70a3d70ap+2, 0x1.31eb851eb851fp+2, -0x1.b206f23b5cff9p-11, 0x1.071f3d7c2b6dbp-10, 0x1.3f6a3d14105c9p-7, -0x1.531420b7e7308p-6}, 
        {0x1.31eb851eb851fp+2, 0x1.3333333333333p+2, -0x1.a58b780c85028p-11, 0x1.66d313c7f7ce3p-10, 0x1.16b9be45acef4p-7, -0x1.490684ff72193p-6}, 
        {0x1.3333333333333p+2, 0x1.347ae147ae148p+2, -0x1.957e01418c2cdp-11, 0x1.b9b30c94231ep-10, 0x1.de7c296cc39cep-8, -0x1.3ef7f804d97edp-6}, 
        {0x1.347ae147ae148p+2, 0x1.35c28f5c28f5cp+2, -0x1.825fee945ae5cp-11, 0x1.0011000de90e3p-9, 0x1.91eebab347b9fp-8, -0x1.34eac79aea7abp-6}, 
        {0x1.35c28f5c28f5cp+2, 0x1.370a3d70a3d71p+2, -0x1.6caeac8abedeap-11, 0x1.1d4162455d2e3p-9, 0x1.47cadcb70f754p-8, -0x1.2adbb54795f9bp-6}, 
        {0x1.370a3d70a3d71p+2, 0x1.3851eb851eb85p+2, -0x1.54e3b3a266125p-11, 0x1.349c194dff2e4p-9, 0x1.00110320c27f3p-8, -0x1.20ce9c4ac8296p-6}, 
        {0x1.3851eb851eb85p+2, 0x1.399999999999ap+2, -0x1.3b74880a805f6p-11, 0x1.4652914bcdbd3p-9, 0x1.75816950d3025p-9, -0x1.16c037d3753d9p-6}, 
        {0x1.399999999999ap+2, 0x1.3ae147ae147aep+2, -0x1.20d2b9f2e9bacp-11, 0x1.529634b780ad6p-9, 0x1.df6903703fae3p-10, -0x1.0cb1e2a0ae08bp-6}, 
        {0x1.3ae147ae147aep+2, 0x1.3c28f5c28f5c3p+2, -0x1.056be55763636p-11, 0x1.59987112ee764p-9, 0x1.baed208d45bep-11, -0x1.02a49bd6d4ec3p-6}, 
        {0x1.3c28f5c28f5c3p+2, 0x1.3d70a3d70a3d7p+2, -0x1.d35363ff27c3bp-12, 0x1.5b8ab121d8bcfp-9, -0x1.ad58a731f51b5p-14, -0x1.f12b56759e182p-7}, 
        {0x1.3d70a3d70a3d7p+2, 0x1.3eb851eb851ecp+2, -0x1.9be3a75604116p-12, 0x1.589e6125f15cdp-9, -0x1.0979b3f342391p-10, -0x1.dd114ff1fe3f9p-7}, 
        {0x1.3eb851eb851ecp+2, 0x1.4p+2, -0x1.654c13a704b53p-12, 0x1.5104ecbaf31e2p-9, -0x1.ee77c5d80e346p-10, -0x1.c8f395bb9c9fdp-7}, 
        {0x1.4p+2, 0x1.4147ae147ae14p+2, -0x1.30483fe72ae1ap-12, 0x1.44efbf4caa672p-9, -0x1.64e6fc9e2caeap-9, -0x1.b4d86c211db11p-7}, 
        {0x1.4147ae147ae14p+2, 0x1.428f5c28f5c29p+2, -0x1.fb17b5002653bp-13, 0x1.349045ac94679p-9, -0x1.cdbec4a61f518p-9, -0x1.a0bae5873cf42p-7}, 
        {0x1.428f5c28f5c29p+2, 0x1.43d70a3d70a3dp+2, -0x1.9b85532ca7cf8p-13, 0x1.2017ec6cc2c7bp-9, -0x1.18e154e868e61p-8, -0x1.8ca7679d0db25p-7}, 
        {0x1.43d70a3d70a3dp+2, 0x1.451eb851eb852p+2, -0x1.4321167c88114p-13, 0x1.07b816b24c248p-9, -0x1.487a8a4d2d191p-8, -0x1.7865c0789b6a4p-7}, 
        {0x1.451eb851eb852p+2, 0x1.4666666666666p+2, -0x1.e645d3bcf9042p-14, 0x1.d744a80dc53a8p-10, -0x1.75a5787021085p-8, -0x1.64dbd4eff0883p-7}, 
        {0x1.4666666666666p+2, 0x1.47ae147ae147bp+2, -0x1.5965d072b9777p-14, 0x1.980f15cfbf479p-10, -0x1.a0782b9729698p-8, -0x1.4e9a6e36b11b5p-7}, 
        {0x1.47ae147ae147bp+2, 0x1.48f5c28f5c28fp+2, -0x1.c3a56e2bd1d5fp-15, 0x1.52362d5174974p-10, -0x1.c89f2e937c1bep-8, -0x1.428293a1805f4p-7}, 
        {0x1.48f5c28f5c28fp+2, 0x1.4a3d70a3d70a4p+2, -0x1.033af5626a371p-15, 0x1.060e58e0a7302p-10, -0x1.ef52b0ee8b829p-8, -0x1.107b1215d1373p-7}, 
        {0x1.4a3d70a3d70a4p+2, 0x1.4b851eb851eb8p+2, -0x1.d5bb68f868f49p-17, 0x1.6860892c76954p-11, -0x1.0802a659dc8cbp-7, -0x1.6c08b05aabc19p-7}, 
        {0x1.4b851eb851eb8p+2, 0x1.4cccccccccccdp+2, -0x1.de47e1bb47f31p-19, 0x1.70d78f877da84p-12, -0x1.1dda360d61bbap-7, 0x1.f236f17a7426dp-2}, 
      }}, 
      -0x1.7df8dd5e9271ep+5, 0x1.2622517cfff37p+10
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_o_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e904249e315d3p-2, 0x1.f3f2563ed4c84p-2, 0x1.fdea79672367cp-2, 0x1.037c10bc0f5cfp-1, 0x1.07922202bf321p-1, 0x1.0b3b4678650bdp-1, 0x1.0e7c04be314fcp-1, 0x1.1159f63b99ba6p-1, 0x1.13db0c9ccf95p-1, 0x1.16049ae59b4acp-1, 0x1.17daeef8c91f1p-1, 0x1.1961a01079b29p-1, 0x1.1a9c2f290adf9p-1, 0x1.1b8e82b412addp-1, 0x1.1c3d02121891fp-1, 0x1.1cac5a9beb5f8p-1, 0x1.1ce11fdb80772p-1, 0x1.1cdf781343302p-1, 0x1.1caaf2c34e3edp-1, 0x1.1c468f49348a5p-1, 0x1.1bb2eb6bbc19p-1, 0x1.1af4e74867932p-1, 0x1.1a0f4905c389bp-1, 0x1.1904aa8f57b16p-1, 0x1.17d78dda16655p-1, 0x1.168a66f66d5e3p-1, 0x1.151f9c79a3226p-1, 0x1.13998099c6cfbp-1, 0x1.11fa47a79d51p-1, 0x1.104400517894cp-1, 0x1.0e788fa29299ep-1, 0x1.0c99b106a549bp-1, 0x1.0aa8f970bad3ep-1, 0x1.08a7dcf5c9ep-1, 0x1.0697b5da8e40ap-1, 0x1.0479cbcd7f657p-1, 0x1.024f59b9ca198p-1, 0x1.001991359c0b3p-1, 0x1.fbb33606e6783p-2, 0x1.f7212a8cf792dp-2, 0x1.f27f20f0a93p-2, 0x1.edcf17616029ep-2, 0x1.e912eb2a8717ap-2, 0x1.e44c49fb3e1c8p-2, 0x1.df7cbf10a6ea1p-2, 0x1.daa5af2730389p-2, 0x1.d5c85d171676dp-2, 0x1.d0e5ed9cb90afp-2, 0x1.cbff6b116d047p-2, 0x1.c715c93533f78p-2, 0x1.c229e81b5a2f3p-2, 0x1.bd3c97fe27eb1p-2, 0x1.b84e9b623dc5cp-2, 0x1.b360aa5c6ad6ap-2, 0x1.ae73748306d25p-2, 0x1.a987a2a7969fap-2, 0x1.a49dd7d3001acp-2, 0x1.9fb6b18560c8ap-2, 0x1.9ad2c74490c8ep-2, 0x1.95f2a9e84b348p-2, 0x1.9116e13c4992p-2, 0x1.8c3fecc5ec3d6p-2, 0x1.8770d0d857d0cp-2, 0x1.82a5943e5ddafp-2, 0x1.7de034d27a4e5p-2, 0x1.7920fca9b20d7p-2, 0x1.74682eddb973ep-2, 0x1.6fb6087607c0ap-2, 0x1.6b0ac1546ad3fp-2, 0x1.66668d0ba3945p-2, 0x1.61c99b9817221p-2, 0x1.5d3419f15c68bp-2, 0x1.58a63282705f7p-2, 0x1.54200d570dcd1p-2, 0x1.4fa1d03d31de5p-2, 0x1.4b2b9ebc65051p-2, 0x1.46bd99ffd0d28p-2, 0x1.4257e0b66de7p-2, 0x1.3dfa8edaf4ae8p-2, 0x1.39a5bdb572e01p-2, 0x1.355983bfd7daep-2, 0x1.3115f4bc43125p-2, 0x1.2cdb21bba8572p-2, 0x1.28a9196583165p-2, 0x1.247fe82a06cdap-2, 0x1.205f988f65e59p-2, 0x1.1c48337b45fb2p-2, 0x1.1839c08c26de5p-2, 0x1.14344659fe4dfp-2, 0x1.1037ca95ffe9ep-2, 0x1.0c44529d8636fp-2, 0x1.0859e33ea5566p-2, 0x1.0478811395783p-2, 0x1.00a0307a96f9fp-2, 0x1.f9a1eb5a2a811p-3, 0x1.f215a962ae4abp-3, 0x1.ea9ba2c161cbbp-3, 0x1.e333dea0b8e78p-3, 0x1.dbde63822fd69p-3, 0x1.d49b3723ed07ap-3, 0x1.cd6a5e38e5da6p-3, 0x1.c64bdc7ce9628p-3, 0x1.bf3fb4470cc8cp-3, 0x1.b845e6b6bd211p-3, 0x1.b15e736f27c63p-3, 0x1.aa8958b4d8955p-3, 0x1.a3c6933554e73p-3, 0x1.9d161e4ca5f97p-3, 0x1.9677f3cfca768p-3, 0x1.8fec0c47646d1p-3, 0x1.89725ef5f2496p-3, 0x1.830ae1ef7edbap-3, 0x1.7cb58a35d60edp-3, 0x1.76724bcd396edp-3, 0x1.704119f5f1226p-3, 0x1.6a21e6c496ab6p-3, 0x1.6414a46af91a9p-3, 0x1.5e19448850bb6p-3, 0x1.582fb574c1bcep-3, 0x1.5257e9f6b487dp-3, 0x1.4c91d1238560ep-3, 0x1.46dd5aa2c1497p-3, 0x1.413a75ef7c7a8p-3, 0x1.3ba911f9575a1p-3, 0x1.36291e006ba2cp-3, 0x1.30ba88b918dep-3, 0x1.2b5d40b368b6cp-3, 0x1.26113476457b5p-3, 0x1.20d651fa8a07ap-3, 0x1.1bac872ea39a4p-3, 0x1.1693c1a3481ap-3, 0x1.118bee8c5d6bcp-3, 0x1.0c94fab2b630ep-3, 0x1.07aed29af0cbep-3, 0x1.02d961cb06e5ep-3, 0x1.fc2927e7252d6p-4, 0x1.f2c0a7c1733cfp-4, 0x1.e97916e6c856p-4, 0x1.e052492665dc6p-4, 0x1.d74c0bd50e1b7p-4, 0x1.ce663cbc8d97ap-4, 0x1.c5a09d7d69b4fp-4, 0x1.bcfb00df1fc0bp-4, 0x1.b475334341098p-4, 0x1.ac0effd04c73fp-4, 0x1.a3c8306d17524p-4, 0x1.9bb24f1373666p-4, 0x1.93a95c0715398p-4, 0x1.8bbef4b73e177p-4, 0x1.83f2ded01dd1ep-4, 0x1.7c44def279d1cp-4, 0x1.74b4b96ff99dep-4, 0x1.6d4231aac3bf7p-4, 0x1.65ed0a7265ddap-4, 0x1.5eb505896843p-4, 0x1.5799e4b33f505p-4, 0x1.509b6898ae3fap-4, 0x1.49b952338daa2p-4, 0x1.42f35eb430902p-4, 0x1.3c494f4ceef55p-4, 0x1.35bae1ddae7adp-4, 0x1.2f47d49822247p-4, 0x1.28efe3dc89be5p-4, 0x1.22b2cd68b5b72p-4, 0x1.1c904de398df3p-4, 0x1.1688208933d74p-4, 0x1.109a01995b7b3p-4, 0x1.0ac5ac2bb97f3p-4, 0x1.050adb28a8f47p-4, 0x1.fed291cff254ep-5, 0x1.f3c160164f90fp-5, 0x1.e8e194dc41252p-5, 0x1.de32a39b46443p-5, 0x1.d3b3ff57a1db9p-5, 0x1.c9651ae147acfp-5, 0x1.bf456845fefebp-5, 0x1.b55459c0df60ep-5, 0x1.ab916101f9a32p-5, 0x1.a1fbefa254463p-5, 0x1.989376e543fc1p-5, 0x1.8f57681835c17p-5, 0x1.86473494334d5p-5, 0x1.7d624dac0843cp-5, 0x1.74a824518d946p-5, 0x1.6c18295501f4ep-5, 0x1.63b1ceff38eebp-5, 0x1.5b74868797ca8p-5, 0x1.535fc1acc7ecap-5, 0x1.4b72f2bd17ab8p-5, 0x1.43ad8c5447c27p-5, 0x1.3c0efe638cffep-5, 0x1.3496bf33b5a0ep-5, 0x1.2d44411912f2dp-5, 0x1.2616f828fd1fcp-5, 0x1.1f0e590e4b109p-5, 0x1.1829d6e09cd33p-5, 0x1.1168e9a583bbdp-5, 0x1.0acb0723dc42fp-5, 0x1.044fa5c95fdf4p-5, 0x1.fbec79ed31398p-6, 0x1.ef7c8d1a15e15p-6, 0x1.e34e75a305829p-6, 0x1.d7612c9350fe4p-6, 0x1.cbb39da1e36eep-6, 0x1.c044cbd23e20ep-6, 0x1.b513ae022908cp-6, 0x1.aa1f41f660f2bp-6, 0x1.9f668235f25acp-6, 0x1.94e8742190b64p-6, 0x1.8aa418a8f75aap-6, 0x1.809877abee414p-6, 0x1.76c496ac20327p-6, 0x1.6d277f6c3e5f1p-6, 0x1.63c046aacd2fdp-6, 0x1.5a8df41aa4bc2p-6, 0x1.518f9cfd74af7p-6, 0x1.48c4569156653p-6, 0x1.402b38e74b63cp-6, 0x1.37c35209f943dp-6, 0x1.2f8be4ce1f42ap-6, 0x1.2783ec2e1d111p-6, 0x1.1faa97e8c758bp-6, 0x1.17ff0dd9b5d96p-6, 0x1.108076c4bd1bp-6, 0x1.092dfe488ac47p-6, 0x1.0206d30ce7f6bp-6, 0x1.f6144516a4fffp-7, 0x1.e86e55ed778eap-7, 0x1.db1a32b3c84c9p-7, 0x1.ce16558a232c7p-7, 0x1.c1613724cca77p-7, 0x1.b4f955cabc1b3p-7, 0x1.a8dd36d756d74p-7, 0x1.9d0b615c9bf1ap-7, 0x1.9182623ad6bedp-7, 0x1.8640d178aea6dp-7, 0x1.7b454682f1aeep-7, 0x1.708e601110855p-7, 0x1.661ac15126b71p-7, 0x1.5be91204fd674p-7, 0x1.51f80105ef472p-7, 0x1.4846409800602p-7, 0x1.3ed2888cc85fdp-7, 0x1.359b93e9a8298p-7, 0x1.2ca026053e352p-7, 0x1.23df02074189cp-7, 0x1.1b56f55216409p-7, 0x1.1306ce7b0dc42p-7, 0x1.0aed6415b3933p-7, 0x1.03098954cb723p-7, 0x1.f6b4357245807p-8, 0x1.e7bbff9f22425p-8, 0x1.d9283adfec647p-8, 0x1.caf6b88e2430cp-8, 0x1.bd25578bc7dc7p-8, 0x1.afb1fe9814b58p-8, 0x1.a29a9cc73056cp-8, 0x1.95dd29aa115a5p-8, 0x1.8977a47993708p-8, 0x1.7d68180cec92ap-8, 0x1.71ac907a8b132p-8, 0x1.66432b8fe6fc9p-8, 0x1.5b2a073b385cep-8, 0x1.505f4e54c531fp-8, 0x1.45e13190b6301p-8, 0x1.3badea30163c5p-8, 0x1.31c3b82571dfdp-8, 0x1.2820e66cf82e9p-8, 0x1.1ec3c43e55476p-8, 0x1.15aaa954f6abcp-8, 0x1.0cd3f8d435bb1p-8, 0x1.043e1478b696fp-8, 0x1.f7ced8748e86bp-9, 0x1.e79cf417c901p-9, 0x1.d7e373608b52bp-9, 0x1.c89f60eb139c1p-9, 0x1.b9cdce7875d27p-9, 0x1.ab6bea532ef76p-9, 0x1.9d76e612a9bfp-9, 0x1.8febf5f678b8ep-9, 0x1.82c860bc458f6p-9, 0x1.7609cfcb0d54bp-9, 0x1.69ad5abeda44p-9, 0x1.5db11ccded83ap-9, 0x1.5211013b3b634p-9, 0x1.46cc33b4df31ep-9, 0x1.3bdfca70f2ad7p-9, 0x1.31496e1c860cfp-9, 0x1.2706e30996636p-9, 0x1.1d15d5bb2c14ep-9, 0x1.137453803b0e6p-9, 0x1.0a1fb571ccca4p-9, 0x1.011660bab2124p-9, 0x1.f0aa37b86f655p-10, 0x1.dfb9e0e5f47c5p-10, 0x1.cf51b0a377001p-10, 0x1.bf6fd676292f2p-10, 0x1.b010cc2f07543p-10, 0x1.a130abd3eb8c4p-10, 0x1.92cbf3e9d59e2p-10, 0x1.84def08ea3035p-10, 0x1.7766cdbe54db1p-10, 0x1.6a5fb7847409ap-10, 0x1.5dc682182b778p-10, 0x1.519808c650a77p-10, 0x1.45d132b69cd85p-10, 0x1.3a6ef94c5a97p-10, 0x1.2f6e68ca19fdap-10, 0x1.24cca40c4164cp-10, 0x1.1a86b7292c7bp-10, 0x1.109a37f77fcap-10, 0x1.0704305be6f23p-10, 0x1.fb843b20b868p-11, 0x1.e9a2f9ac8b89p-11, 0x1.d86700208f133p-11, 0x1.c7bbf0bbb402p-11, 0x1.b7a45b9dbc80ap-11, 0x1.a81e52971f7c4p-11, 0x1.99229e4625285p-11, 0x1.8aadeaecc6cdcp-11, 0x1.7cbbf782506b7p-11, 0x1.6f489d08421b8p-11, 0x1.624fda69362dfp-11, 0x1.55cdc3da00ac1p-11, 0x1.49be8c2b0f40fp-11, 0x1.3e1e7cfe4d335p-11, 0x1.32ea0b056e2bbp-11, 0x1.281d7c298f55p-11, 0x1.1db58591f10f5p-11, 0x1.13aed43eccd12p-11, 0x1.0a065539e7288p-11, 0x1.00b6de3d01945p-11, 0x1.ef83c7ab3baf5p-12, 0x1.de40a2c72c9a1p-12, 0x1.cda0fbdbf7d9ap-12, 0x1.bd9f221dd39bap-12, 0x1.ae3585d0fff93p-12, 0x1.9f5ec2a2d299bp-12, 0x1.9115a2759bbafp-12, 0x1.8353a41e5e2a5p-12, 0x1.7617f7f66187p-12, 0x1.6959c5fbc4474p-12, 0x1.5d15cb06e8d52p-12, 0x1.51478b278786cp-12, 0x1.45ea8417ad072p-12, 0x1.3afb0aa4d77ffp-12, 0x1.3074d28a471b1p-12, 0x1.2653d4df08037p-12, 0x1.1c945cc6484ddp-12, 0x1.1332f04931b11p-12, 0x1.0a2c26c88bcddp-12, 0x1.017fecf85b8bdp-12, 0x1.f23fe956ba023p-13, 0x1.e22918739e7d8p-13, 0x1.d2ad2f9e9e6d2p-13, 0x1.c3c7a9fb456dp-13, 0x1.b5715d4143929p-13, 0x1.a7a5158d6209p-13, 0x1.9a5eb6409dc4dp-13, 0x1.8d97e3f431fd6p-13, 0x1.814c127b2f451p-13, 0x1.75764506b5386p-13, 0x1.6a1251fc014e8p-13, 0x1.5f1b5b1a71308p-13, 0x1.548d3c1ac7bb4p-13, 0x1.4a63aca6a0295p-13, 0x1.409c935c560cbp-13, 0x1.372dee57f7cep-13, 0x1.2e1a9c3eeff95p-13, 0x1.255c51fc04a98p-13, 0x1.1cefae0b8d41bp-13, 0x1.14d11288bf7b3p-13, 0x1.0cfdb341b4e45p-13, 0x1.0576248feb0e9p-13, 0x1.fc566fc7ef42cp-14, 0x1.ee4cb80f1cb72p-14, 0x1.e0c0a089a0d34p-14, 0x1.d3b0c7645085dp-14, 0x1.c70ca0a67dc9dp-14, 0x1.badb29b9b846ap-14, 0x1.af112d6b9bd49p-14, 0x1.a3ade5825449ap-14, 0x1.98a9c40582a41p-14, 0x1.8e0092f6f44fdp-14, 0x1.83afd0806c335p-14, 0x1.79b2c189a6518p-14, 0x1.7005961a92128p-14, 0x1.66a4a002e6d0dp-14, 0x1.5d8c6036281dbp-14, 0x1.54b97a3f09aa8p-14, 0x1.4c28a93a16505p-14, 0x1.43d5dd2a486acp-14, 0x1.3bcdc1bc98f6bp-14, 0x1.33e51f8613bd9p-14, 0x1.2c3fc33ee18acp-14, 0x1.24ce442558acdp-14, 0x1.1d8e6ca4b0af3p-14, 0x1.167e23699067ap-14, 0x1.0f9e833906085p-14, 0x1.08e33af32f66ap-14, 0x1.025232b80cfcp-14, 0x1.f7d29a277bac1p-15, 0x1.eb4bae7b1b8bbp-15, 0x1.df0b46b9a8016p-15, 0x1.d30e80e86485ap-15, 0x1.c751f83ad1e4fp-15, 0x1.bbcfdf3e33ccap-15, 0x1.b08e75929f538p-15, 0x1.a5821c88dea56p-15, 0x1.9aaaab4d235c6p-15, 0x1.9005dedce06fbp-15, 0x1.859744b72adfap-15, 0x1.7b4d6f899a57bp-15, 0x1.7135560a11b4ap-15, 0x1.6744e3f9031eap-15, 0x1.5d81d32a8f7c8p-15, 0x1.53e390189d27cp-15, 0x1.4a6acd910696bp-15, 0x1.41160819e002ap-15, 0x1.37e3d86d47e49p-15, 0x1.2ed2ee7a8c201p-15, 0x1.25e211c5ac988p-15, 0x1.1d104350a7c1dp-15, 0x1.146aebf24c414p-15, 0x1.0bc4d4f8728e3p-15, 0x1.03491eb2d46d2p-15, 0x1.f5d0a0e0cb241p-16, 0x1.e58373c79b5e3p-16, 0x1.d4ee4adcdbf7p-16, 0x1.c4c636cddf5cbp-16, 0x1.b4aef3149fc27p-16, 0x1.a50558e3de1e6p-16, 0x1.956a56af860b6p-16, 0x1.861d31561e1d7p-16, 0x1.76bbae89263eap-16, 0x1.67a9441844a0fp-16, 0x1.58c02e915dfc6p-16, 0x1.4a00f68e00a82p-16, 0x1.3b6cfce96cd25p-16, 0x1.2d0a6f0859e03p-16, 0x1.1ec2b39633efbp-16, 0x1.109e0c4fe139dp-16, 0x1.02aa6f5317201p-16, 0x1.e9bf9f2c2c9c9p-17, 0x1.ce779a0975e7p-17, 0x1.b3836e790c5p-17, 0x1.98d6d4511ad04p-17, 0x1.7e7535a8d528fp-17, 0x1.6465c2a93d54cp-17, 0x1.4aa427016cca7p-17, 0x1.314509552945ap-17, 0x1.17f29c5700bc6p-17, 0x1.fe63414d01e87p-18, 0x1.cd52466700c4ep-18, 0x1.9cdb02087cc93p-18, 0x1.6d001f37713b8p-18, 0x1.3dc121f6b3838p-18, 0x1.0f11d3061e4ffp-18, 0x1.c23bbe0ee71c7p-19, 0x1.6774fb2603ddbp-19, 0x1.0dcb3878c81f2p-19, 0x1.6ffd00be072d8p-20, 0x1.7a368b20123bfp-21, 0x1.20b7820294d0bp-24, -0x1.2d41958995e0ep-21, -0x1.3ddd3e50d967p-20, -0x1.e1c24e7b80634p-20, -0x1.418af271ea657p-19, -0x1.91003d6d6b0f7p-19, -0x1.df16fbb2ee3efp-19, -0x1.15f42ef5dceffp-18, -0x1.3bb1b28d6bc65p-18, -0x1.5ffbd7e24d6edp-18, -0x1.8540b645b1226p-18, -0x1.a916c44804bb5p-18, -0x1.cc3cbe26f7ec5p-18, -0x1.eeb9e7c898ec1p-18, -0x1.08500c51ad89fp-17, -0x1.18db6dd3e236cp-17, -0x1.291ace457757p-17, -0x1.39056faf6447ep-17, -0x1.489adaf480692p-17, -0x1.57dae9ce07339p-17, -0x1.66c57ff53e929p-17, -0x1.755a8f5a59a14p-17, -0x1.839c5b65bac3cp-17, -0x1.91797da64227p-17, -0x1.9eefd74469e54p-17, -0x1.ac529cc01f9c7p-17, -0x1.b943937533d41p-17, -0x1.c5d4ee836414fp-17, -0x1.d21356ce7fea3p-17, -0x1.de174e0e7003bp-17, -0x1.e99371a6d1559p-17, -0x1.f4d1c42799066p-17, -0x1.ffbd667686637p-17, -0x1.052a38bf559a4p-16, -0x1.0a4be24e42223p-16, -0x1.0f45eb8905c9ep-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.12ff3c5351d6ep+0, -0x1.139ead049fb6p+0, -0x1.140aac7569decp+0, -0x1.1444270f631d5p+0, -0x1.144c8d2980f37p+0, -0x1.1425b29cc1e28p+0, -0x1.13d16ed028f1bp+0, -0x1.1351699eb79ccp+0, -0x1.12a73370db83ap+0, -0x1.11d47b0e0317fp+0, -0x1.10db2b4b6af86p+0, -0x1.0fbd5d70a86f8p+0, -0x1.0e7d3163017ecp+0, -0x1.0d1ca9072a4bfp+0, -0x1.0b9d98566ec59p+0, -0x1.0a01ab0d55a2p+0, -0x1.084a7796b113ap+0, -0x1.067993234a4efp+0, -0x1.04909d7c09a4bp+0, -0x1.029141f4b168p+0, -0x1.007d72a614aabp+0, -0x1.fcad7996817e3p-1, -0x1.f83cc6862e7c4p-1, -0x1.f3aba7e61e8d5p-1, -0x1.eefcd8dc33472p-1, -0x1.ea32ef0ed5064p-1, -0x1.e55058f53448bp-1, -0x1.e0575fa238e4dp-1, -0x1.db4a2b7a69acep-1, -0x1.d62aca4d46ff1p-1, -0x1.d0fb34aa7b8ebp-1, -0x1.cbbd50cd6e4e9p-1, -0x1.c672f2ba96911p-1, -0x1.c11dda70c4ce7p-1, -0x1.bbbfb18d3c458p-1, -0x1.b65a098033127p-1, -0x1.b0ee5ac9c87bp-1, -0x1.ab7e0528ac7c8p-1, -0x1.a60a5063cc3e9p-1, -0x1.a0946d6f0e26p-1, -0x1.9b1d77dd8f78dp-1, -0x1.95a677b35e218p-1, -0x1.903063b20f4c1p-1, -0x1.8abc23bcb4e4dp-1, -0x1.854a935fe3781p-1, -0x1.7fdc83aa4d60dp-1, -0x1.7a72bc441a5bfp-1, -0x1.750dfb9a4c1e7p-1, -0x1.6faef64db8e23p-1, -0x1.6a56564eac9b2p-1, -0x1.6504b9f58964dp-1, -0x1.5fbab387870bbp-1, -0x1.5a78c948ba24p-1, -0x1.553f75fd40f3p-1, -0x1.500f29dbcae09p-1, -0x1.4ae84ba4110f7p-1, -0x1.45cb39b14eep-1, -0x1.40b84ae4a7587p-1, -0x1.3bafcf5739c15p-1, -0x1.36b210d211f2ap-1, -0x1.31bf5327b39b4p-1, -0x1.2cd7d45008607p-1, -0x1.27fb81fb540d5p-1, -0x1.232afc408729dp-1, -0x1.1e6653075a7bcp-1, -0x1.19adb2297643cp-1, -0x1.1501412b3d792p-1, -0x1.1061236949654p-1, -0x1.0bcd784bc98efp-1, -0x1.07465b7e905abp-1, -0x1.02cbe52e451a8p-1, -0x1.fcbc5493bd89ep-2, -0x1.f3fa796cc54ep-2, -0x1.eb52571a0b6a8p-2, -0x1.e2c4068a8c5bp-2, -0x1.da4f9bb64e71ep-2, -0x1.d1f525db3986cp-2, -0x1.c9b4afa9a0753p-2, -0x1.c18e3f741a1cep-2, -0x1.b981d75283b82p-2, -0x1.b18f7552beff5p-2, -0x1.a9b7139919c11p-2, -0x1.a1f8a8bbc9ec2p-2, -0x1.9a5427dcef527p-2, -0x1.92c980ffd5d8bp-2, -0x1.8b58a149d086ep-2, -0x1.8401734365f6ap-2, -0x1.7cc3df168aed5p-2, -0x1.759fcac0ec52ap-2, -0x1.6e951a52bb5e5p-2, -0x1.67a3afef83c7ap-2, -0x1.60cb6c0fdbb38p-2, -0x1.5a0c2d775a5ep-2, -0x1.5365d15fc1507p-2, -0x1.4cd8333601b79p-2, -0x1.46632d3b71e5ep-2, -0x1.400697e4369eep-2, -0x1.39c24a394b391p-2, -0x1.339619cea19eep-2, -0x1.2d81dad0acd8ap-2, -0x1.27856011f695ep-2, -0x1.21a07b1ce2c1ep-2, -0x1.1bd2fc4ce99afp-2, -0x1.161cb2dd4e9fap-2, -0x1.107d6d098583dp-2, -0x1.0af4f8136a486p-2, -0x1.0583207acddfbp-2, -0x1.0027b1d9647b5p-2, -0x1.f5c4ee7dbc4e4p-3, -0x1.eb66760dc0927p-3, -0x1.e1338e0e61014p-3, -0x1.d72bc92492772p-3, -0x1.cd4eb90ca1b5ap-3, -0x1.c39beeaa75b2fp-3, -0x1.ba12fa24eb0d2p-3, -0x1.b0b36ae1b0fd7p-3, -0x1.a77ccfdacb4d1p-3, -0x1.9e6eb6bfb35bp-3, -0x1.9588ae9812bf8p-3, -0x1.8cca43918ea44p-3, -0x1.8433030546f23p-3, -0x1.7bc2799f98d0cp-3, -0x1.7378338f61acbp-3, -0x1.6b53bdfb67a36p-3, -0x1.6354a44c10237p-3, -0x1.5b7a72df23aa4p-3, -0x1.53c4b5f3166dep-3, -0x1.4c32fa3cfee9ep-3, -0x1.44c4cbcdaad73p-3, -0x1.3d79b786ac1d6p-3, -0x1.36514a634c83fp-3, -0x1.2f4b119fdb8cap-3, -0x1.28669ac8e0f6p-3, -0x1.21a373ce1dda4p-3, -0x1.1b012af611f14p-3, -0x1.147f4ee2b6c9bp-3, -0x1.0e1d6eb55fc8ep-3, -0x1.07db19bab97bp-3, -0x1.01b7dff9dd624p-3, -0x1.f766a1dd77e52p-4, -0x1.eb99ffb7d5fa6p-4, -0x1.e008f6fb450aep-4, -0x1.d4b2acbc28419p-4, -0x1.c996458f13149p-4, -0x1.beb2e6538238p-4, -0x1.b407b6046c126p-4, -0x1.a99d19238bda6p-4, -0x1.9f5f85466b456p-4, -0x1.955781768ce19p-4, -0x1.8b84398e648bep-4, -0x1.81e4da6a51a69p-4, -0x1.7878931e4062dp-4, -0x1.6f3e93fae20fep-4, -0x1.66360ef82074cp-4, -0x1.5d5e37df4da84p-4, -0x1.54b644080bc27p-4, -0x1.4c3d6a929eff6p-4, -0x1.43f2e3f35c4c5p-4, -0x1.3bd5ec01e8188p-4, -0x1.33e5bdd785f5fp-4, -0x1.2c219832e44d5p-4, -0x1.2488bb26dff39p-4, -0x1.1d1a68675b0abp-4, -0x1.15d5e3da6718p-4, -0x1.0eba733b24156p-4, -0x1.07c75df007b37p-4, -0x1.00fbed7b4d549p-4, -0x1.f4aedab6084c4p-5, -0x1.e7b25602c0493p-5, -0x1.db00eac74984bp-5, -0x1.ce993c60ba9e8p-5, -0x1.c279f12ea8f84p-5, -0x1.b6a1b3b98da1dp-5, -0x1.ab0f3297c99a4p-5, -0x1.9fc12090f9f44p-5, -0x1.94b6341083607p-5, -0x1.89ed280b1273p-5, -0x1.7f64bb4430f7p-5, -0x1.751bb08b9445ap-5, -0x1.6b10ceb5b09d4p-5, -0x1.6142e0e395fbcp-5, -0x1.57b0b633d0d4p-5, -0x1.4e5921eb8d709p-5, -0x1.453afaf3e3f79p-5, -0x1.3c551c71d6d01p-5, -0x1.33a66633183ffp-5, -0x1.2b2dbb6243b2dp-5, -0x1.22ea037589dap-5, -0x1.1ada29bf2b5f2p-5, -0x1.12fd1dd598ec1p-5, -0x1.0b51d29659095p-5, -0x1.03d74019ffb6ep-5, -0x1.f918c31aa4ceep-6, -0x1.eae06c26eff51p-6, -0x1.dd038206f37cp-6, -0x1.cf80131c1768fp-6, -0x1.c2543575b8c0bp-6, -0x1.b57e0749f5c76p-6, -0x1.a8fbace18d42ep-6, -0x1.9ccb551b7f3c1p-6, -0x1.90eb33c94dd58p-6, -0x1.8559860d21291p-6, -0x1.7a148e28b897cp-6, -0x1.6f1a9bcbaed68p-6, -0x1.6469fdd588c28p-6, -0x1.5a011015a3682p-6, -0x1.4fde336423e82p-6, -0x1.45ffd333ae709p-6, -0x1.3c645d88bc41bp-6, -0x1.330a4a27c206fp-6, -0x1.29f018e20ed24p-6, -0x1.21144df70209bp-6, -0x1.1875760338d06p-6, -0x1.10122783f3838p-6, -0x1.07e8f99a734edp-6, -0x1.fff11ddd89d2p-7, -0x1.f07f1eec44879p-7, -0x1.e17953d494b9ap-7, -0x1.d2dd223f1c081p-7, -0x1.c4a80e8f85fa1p-7, -0x1.b6d7939aa67d5p-7, -0x1.a969427376b39p-7, -0x1.9c5aba5b4c6ap-7, -0x1.8fa9a5399a43cp-7, -0x1.8353b92942ee2p-7, -0x1.7756b84306428p-7, -0x1.6bb071ad3a2f6p-7, -0x1.605ebb3f785abp-7, -0x1.555f7dbc70222p-7, -0x1.4ab0a823fba97p-7, -0x1.405035ddcec03p-7, -0x1.363c2d389b2ep-7, -0x1.2c729f4ce476dp-7, -0x1.22f1a676e5847p-7, -0x1.19b76c147f481p-7, -0x1.10c21d0bbbe01p-7, -0x1.080ff493a3486p-7, -0x1.ff3e6dead1476p-8, -0x1.eedc6546fa2b1p-8, -0x1.def6792398034p-8, -0x1.cf896dd50e004p-8, -0x1.c09216acf1a8ap-8, -0x1.b20d36da86125p-8, -0x1.a3f82cbd45a1ep-8, -0x1.964f9998240c7p-8, -0x1.8910b86b2f7e3p-8, -0x1.7c38b54a4b914p-8, -0x1.6fc4c9fb3729cp-8, -0x1.63b242cc7f3fdp-8, -0x1.57fe76bac3822p-8, -0x1.4ca6d18236bbap-8, -0x1.41a8ce9c3ee69p-8, -0x1.3701f6061a938p-8, -0x1.2cafddf3ebd53p-8, -0x1.22b02c4154754p-8, -0x1.190094b500325p-8, -0x1.0f9ed930ece18p-8, -0x1.0688c8cd80bf5p-8, -0x1.fb787cd9fa501p-9, -0x1.ea6e4b8399949p-9, -0x1.d9eeeadfc822ap-9, -0x1.c9f65ee74e864p-9, -0x1.ba80c8464dccp-9, -0x1.ab8a5d450bf69p-9, -0x1.9d0f6d3eb7405p-9, -0x1.8f0c5ee65031fp-9, -0x1.817dad530d468p-9, -0x1.745ff0f4cc1cdp-9, -0x1.67afcec5c6171p-9, -0x1.5b6a08058043ap-9, -0x1.4f8b68e7780cep-9, -0x1.4410ea290a9c4p-9, -0x1.38f78833b8d91p-9, -0x1.2e3c45a338fa8p-9, -0x1.23dc4e58d6888p-9, -0x1.19d4dace5e438p-9, -0x1.1023315e589d3p-9, -0x1.06c4b3e22d99dp-9, -0x1.fb6d9a875f70fp-10, -0x1.e9edf2f862e09p-10, -0x1.d904a6ae2aa2dp-10, -0x1.c8afeab1a1525p-10, -0x1.b8e82a51c1a8p-10, -0x1.a9aa5013b6e67p-10, -0x1.9af0bf1970323p-10, -0x1.8cb87bd775517p-10, -0x1.7efcfb4604e6ep-10, -0x1.71ba338c87719p-10, -0x1.64ec65e584365p-10, -0x1.588f7d7ce18d2p-10, -0x1.4ca023d405c79p-10, -0x1.411a70842be56p-10, -0x1.35fb2440844e4p-10, -0x1.2b3f3aa64f6e8p-10, -0x1.20e2231bd8236p-10, -0x1.16e20668a3f2p-10, -0x1.0d3b497e7e39p-10, -0x1.03eafd7f372a6p-10, -0x1.f5dc652d08667p-11, -0x1.e4842d1173502p-11, -0x1.d3c7e50385d89p-11, -0x1.c3a1ff5b91377p-11, -0x1.b40dce971853cp-11, -0x1.a505f075b334ap-11, -0x1.9685ab4fe528p-11, -0x1.88884d19fe3bbp-11, -0x1.7b0949d0d781fp-11, -0x1.6e0438955c152p-11, -0x1.6174bd4bfacb7p-11, -0x1.55576a2b8fc2dp-11, -0x1.49a6b2721e593p-11, -0x1.3e6013682c28bp-11, -0x1.337f5be0b0288p-11, -0x1.2900f62b469e7p-11, -0x1.1ee3e96f93ea8p-11, -0x1.151f452d0d1d2p-11, -0x1.0bb45e0dfdd53p-11, -0x1.029b08922c33dp-11, -0x1.f3aa7f4f5ae06p-12, -0x1.e2bc7ce00949fp-12, -0x1.d2665d69b1c0ep-12, -0x1.c2a293803b2dfp-12, -0x1.b36bc1efa7aaep-12, -0x1.a4bcb67aef1efp-12, -0x1.96906849b4bb8p-12, -0x1.88e1fc8f2ff63p-12, -0x1.7bacdcfc81457p-12, -0x1.6eec38fc15fb9p-12, -0x1.629be200e0a8bp-12, -0x1.56b7a026e33d9p-12, -0x1.4b3b48041a5acp-12, -0x1.401cf3f4cc3b2p-12, -0x1.356ae75db7a3ap-12, -0x1.2b0f475f4fee7p-12, -0x1.210cc8a9a6c34p-12, -0x1.175fb8033d909p-12, -0x1.0e04e77448cc3p-12, -0x1.04f9271dea35ap-12, -0x1.f872d1b1a5173p-13, -0x1.e784650a61ab7p-13, -0x1.d724650e04ccbp-13, -0x1.c74a5a130c0b9p-13, -0x1.b7f2047d65831p-13, -0x1.a91652cc3bc4ep-13, -0x1.9ab20bc419d28p-13, -0x1.8cc190491ad6bp-13, -0x1.7f3fdaaea64fap-13, -0x1.722861f9a1f3cp-13, -0x1.65770ec0b1e6ep-13, -0x1.59286e342a35ap-13, -0x1.4d381fc43ce6ap-13, -0x1.419a029d87088p-13, -0x1.366577173278dp-13, -0x1.2b7c4baa9b5e4p-13, -0x1.20e3d73481c81p-13, -0x1.1699c9a5ac5d9p-13, -0x1.0c9a919fa01a9p-13, -0x1.02e36aa8bbed3p-13, -0x1.f2e4d4c13f2f7p-14, -0x1.e08861ea2f297p-14, -0x1.cead02056d208p-14, -0x1.bd4e217c00af8p-14, -0x1.ac66f9c4f4748p-14, -0x1.9bf36e747ca12p-14, -0x1.8bef85c08085p-14, -0x1.7c56c5efebcf3p-14, -0x1.6d271ce7c80fcp-14, -0x1.5e57a0453c0cfp-14, -0x1.4feaed961884cp-14, -0x1.41db09e686f5dp-14, -0x1.3424e84b13027p-14, -0x1.26c54ac080e72p-14, -0x1.19ba6e8815923p-14, -0x1.0d037dce2c79bp-14, -0x1.0094d612f0413p-14, -0x1.e8ea45166b05fp-15, -0x1.d13d66d4511b8p-15, -0x1.ba2127adce5e3p-15, -0x1.a38a10cb76f76p-15, -0x1.8d7a98e750887p-15, -0x1.77edc323a6815p-15, -0x1.62ddfc0019e52p-15, -0x1.4e495d6a4dab7p-15, -0x1.3a28766b7cbbap-15, -0x1.267c543b460aap-15, -0x1.134044d8d975ap-15, -0x1.00716b0f58debp-15, -0x1.dc1955e3e09bap-16, -0x1.b81ec132df0bcp-16, -0x1.94ede29f0af69p-16, -0x1.72819757e0ae1p-16, -0x1.50d1c2f2ae1bbp-16, -0x1.300f31a3bdc7bp-16, -0x1.0fac1dceff776p-16, -0x1.e04e6346f2432p-17, -0x1.a2a27a3db1ab1p-17, -0x1.664e372df550ep-17, -0x1.2b4b187d4c888p-17, -0x1.e32011a72bd4fp-18, -0x1.723b81b6313fdp-18, -0x1.03c83babcde9ap-18, -0x1.2f8f3ffe1d973p-19, -0x1.717d81321cfd6p-21, 0x1.c88496f628255p-21, 0x1.3bfdf62cd4f72p-19, 0x1.00ad05f09f9d3p-18, 0x1.619f25c6425b1p-18, 0x1.bf4600d15ecap-18, 0x1.0d9f9db15a3fcp-17, 0x1.3a8de2d92c4adp-17, 0x1.666d9ace59fc3p-17, 0x1.9136aae0dcc6bp-17, 0x1.bb09c69e8542ap-17, 0x1.e3cfc16dbbd5fp-17, 0x1.05c6d32df8444p-16, 0x1.192c2102cac2ep-16, 0x1.2c10abb3d9f2p-16, 0x1.3e78baace593fp-16, 0x1.5065a7ac57bfbp-16, 0x1.61d8c6ad111c5p-16, 0x1.72d36133cececp-16, 0x1.8356b4cba3be6p-16, 0x1.9363cb857cb17p-16, 0x1.a2eb3148d9c76p-16, 0x1.b220e30217d67p-16, 0x1.c0d3549a0186bp-16, 0x1.cf14429be697ep-16, 0x1.dcd44b8e1f173p-16, 0x1.ea66660d0a29cp-16, 0x1.f73ba7257037cp-16, 0x1.01c5dbd7a85ffp-15, 0x1.07ebe02e0066fp-15, 0x1.0dc2e831a86b6p-15, 0x1.13566709ffc75p-15, 0x1.18d2f887fcfd2p-15, 0x1.1e0b4018879dap-15, 0x1.23109d70e870bp-15, 0x1.27e31d1b63d9fp-15, 0x1.2c8300cdf8156p-15, 0x1.30f0f37573f63p-15, 0x1.35266118ab717p-15, 0x1.3937dc47f893fp-15, 0x1.3d11d6adbb3c3p-15, 0x1.40bbcbacb4e6dp-15, 0x1.44360d7e106f6p-15, 0x1.4780e9b3ba25ap-15, 0x1.4a9d4692bac81p-15, 0x1.4d8b78caf6699p-15, 0x1.504bcd420ffa7p-15, 0x1.52dee9315bc0cp-15, 0x1.553cfe95ae4e4p-15, 0x1.577e5c6f75f28p-15, 0x1.598da19bb1cc2p-15, 0x1.5b70d21ce48e9p-15, 0x1.5d29439f0c0f7p-15, 0x1.5eb781b84b365p-15, 0x1.601c09a62151ep-15, 0x1.6155b334272f6p-15, 0x1.626a71dd9a728p-15, 0x1.63550fe9ae3b1p-15, 0x1.64194854e1678p-15, 0x1.64a3df5650f4ap-15, 0x1.652a827b569e5p-15, 0x1.657602b959eccp-15, 0x1.659c616caf335p-15, 0x1.65a990d20b9c1p-15, 0x1.658a429094747p-15, 0x1.6547ced22b6d9p-15, 0x1.64e18408de0b2p-15, 0x1.6459257509adp-15, 0x1.63ae82e3422cp-15, 0x1.62e29749b1d45p-15, 0x1.61fd1a6aafa93p-15, 0x1.60e83024fb957p-15, 0x1.5fba92eca51c9p-15, 0x1.5e6e1af86047p-15, 0x1.5d04285d25bafp-15, 0x1.5b952915ef402p-15, 0x1.59d38ebaaf3c2p-15, 0x1.580ebb6c6b295p-15, 0x1.562e634051017p-15, 0x1.54324fb14ac6dp-15, 0x1.521b02a91897ep-15, 0x1.4fe90c0946657p-15, 0x1.4d9cfb9019de7p-15, 0x1.4b37911b078bap-15, 0x1.48b8dec8478e4p-15, 0x1.46214c3d8b5fep-15, 0x1.437337e344065p-15, 0x1.40bd410fcf639p-15, 0x1.3dd171ac74558p-15, 0x1.3adeeaeb0f5dep-15, 0x1.37d3a2db6fcd6p-15, 0x1.34b9c39879036p-15, 0x1.3188b79de43d6p-15, 0x1.2e43a13031b7ep-15, 0x1.2aeb5ebee26e8p-15, 0x1.278083bd65d5fp-15, 0x1.24042a04525c8p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0fd3dfc0017a5p-2, -0x1.1a7315195223ep-2, -0x1.24cb0e0d73532p-2, -0x1.2eda9a0627b01p-2, -0x1.38a0af303d3c5p-2, -0x1.421c6900798cbp-2, -0x1.4b4d06b7fc59ap-2, -0x1.5431e9e9ed3c7p-2, -0x1.5cca9503f2585p-2, -0x1.6516a9dac68c1p-2, -0x1.6d15e83bfe872p-2, -0x1.74c82c85e87f1p-2, -0x1.7c2d6e464ea25p-2, -0x1.8345bee0b553cp-2, -0x1.8a11483ca5026p-2, -0x1.90904b7c5d48fp-2, -0x1.96c31fbc4e229p-2, -0x1.9caa30db92243p-2, -0x1.a245fe4d97769p-2, -0x1.a79719f5173d1p-2, -0x1.ac9e270866d76p-2, -0x1.b15bd8ff29975p-2, -0x1.b5d0f2895cc2fp-2, -0x1.b9fe448faa884p-2, -0x1.bde4ad3cea60bp-2, -0x1.c1851710b6436p-2, -0x1.c4e077fae3d4bp-2, -0x1.c7f7d07fc2c96p-2, -0x1.cacc2ae4eb46cp-2, -0x1.cd5e9a6669aaep-2, -0x1.cfb03a741a007p-2, -0x1.d1c22df6f3589p-2, -0x1.d3959e9e146b6p-2, -0x1.d52bbc33537cfp-2, -0x1.d685bbf716971p-2, -0x1.d7a4d80341139p-2, -0x1.d88a4eb4f8e49p-2, -0x1.d937621d09fd7p-2, -0x1.d9ad5776b3f6cp-2, -0x1.d9ed76a4a76e9p-2, -0x1.d9f909b40092p-2, -0x1.d9d15c6505a21p-2, -0x1.d977bbb97d097p-2, -0x1.d8ed758861656p-2, -0x1.d833d816c8d82p-2, -0x1.d74c31b5d1071p-2, -0x1.d637d0655b6ddp-2, -0x1.d4f8017b7a5c4p-2, -0x1.d38e115057347p-2, -0x1.d1fb4aee74014p-2, -0x1.d040f7c71aa7ap-2, -0x1.ce605f6ad7647p-2, -0x1.cc5ac745d691fp-2, -0x1.ca317260091ddp-2, -0x1.c7e5a120e3b4fp-2, -0x1.c5789116a62c4p-2, -0x1.c2eb7cc0fb368p-2, -0x1.c03f9b5ee2c3fp-2, -0x1.bd7620bfbb829p-2, -0x1.ba903d1759e68p-2, -0x1.b78f1cd50d81p-2, -0x1.b473e87d772e4p-2, -0x1.b13fc4871ef37p-2, -0x1.adf3d139a6cdfp-2, -0x1.aa912a8f8c615p-2, -0x1.a718e81a5c0bdp-2, -0x1.a38c1ce942086p-2, -0x1.9febd771e0fc4p-2, -0x1.9c39217b5e1bap-2, -0x1.9875000b8810ap-2, -0x1.94a073560be45p-2, -0x1.90bc76ad9a00dp-2, -0x1.8cca0076f8398p-2, -0x1.88ca021ddb758p-2, -0x1.84bd680b88fep-2, -0x1.80a5199f20a6ap-2, -0x1.7c81f92786221p-2, -0x1.7854e3ded69b3p-2, -0x1.741eb1e75969ep-2, -0x1.6fe03649e0053p-2, -0x1.6b9a3ef57de27p-2, -0x1.674d94c0936b6p-2, -0x1.62fafb6b136a2p-2, -0x1.5ea331a1fcc2dp-2, -0x1.5a46f103f43f8p-2, -0x1.55e6ee26f5321p-2, -0x1.5183d89f07c5ap-2, -0x1.4d1e5b05f2707p-2, -0x1.48b71b03d8e43p-2, -0x1.444eb958bed09p-2, -0x1.3fe5d1e6daac2p-2, -0x1.3b7cfbbdb6522p-2, -0x1.3714c9260c4c8p-2, -0x1.32adc7ae565c8p-2, -0x1.2e48803806372p-2, -0x1.29e5770559f26p-2, -0x1.25852bc7c276dp-2, -0x1.212819aed55bdp-2, -0x1.1cceb777bc8cap-2, -0x1.1879777d1c3bfp-2, -0x1.1428c7c763b77p-2, -0x1.0fdd121d8524ap-2, -0x1.0b96bc1605a4dp-2, -0x1.0756272861ea3p-2, -0x1.031bb0bebe01ap-2, -0x1.fdcf648faaa5cp-3, -0x1.f5750292577p-3, -0x1.ed28dee2d9857p-3, -0x1.e4eb9555f8879p-3, -0x1.dcbdba5d5ccf2p-3, -0x1.d49fdb2d370fap-3, -0x1.cc927de2258d2p-3, -0x1.c49621a73abf3p-3, -0x1.bcab3edc2641ep-3, -0x1.b4d2473b6af82p-3, -0x1.ad0ba6009d191p-3, -0x1.a557c00ea03d3p-3, -0x1.9db6f415d4b52p-3, -0x1.96299aba32678p-3, -0x1.8eb006b94404bp-3, -0x1.874a850ffb864p-3, -0x1.7ff95d20572efp-3, -0x1.78bcd0d6d0e25p-3, -0x1.71951ccf90cbap-3, -0x1.6a82787b5c49p-3, -0x1.6385164435ad4p-3, -0x1.5c9d23b1b2ff2p-3, -0x1.55cac98cf93e3p-3, -0x1.4f0e2c045c2cbp-3, -0x1.48676ace9ffbap-3, -0x1.41d6a14dd4ed8p-3, -0x1.3b5be6b1c88a5p-3, -0x1.34f74e1a09c1ap-3, -0x1.2ea8e6b77d567p-3, -0x1.2870bbed78e84p-3, -0x1.224ed5726c84p-3, -0x1.1c4337700ca9fp-3, -0x1.164de2a2ff6bcp-3, -0x1.106ed47a0ae0fp-3, -0x1.0aa60734c08b6p-3, -0x1.04f37201a5abfp-3, -0x1.feae1237a8432p-4, -0x1.f3a17bd02b29ap-4, -0x1.e8c0fe22ead6ep-4, -0x1.de0c714a9307ap-4, -0x1.d383a85d5e29ap-4, -0x1.c92671a2fe6dap-4, -0x1.bef496c96493cp-4, -0x1.b4eddd187b515p-4, -0x1.ab1205a4c233bp-4, -0x1.a160cd80cf096p-4, -0x1.97d9ededbb45bp-4, -0x1.8e7d1c8a710eap-4, -0x1.854a0b81ec027p-4, -0x1.7c4069b8597a8p-4, -0x1.735fe2f728204p-4, -0x1.6aa82018018d6p-4, -0x1.6218c72eb1d5dp-4, -0x1.59b17bb1ff9f1p-4, -0x1.5171dea374113p-4, -0x1.49598eb6167fap-4, -0x1.416828741f4edp-4, -0x1.399d4663a1bcdp-4, -0x1.31f8812a31a69p-4, -0x1.2a796faf870c2p-4, -0x1.231fa73f22d93p-4, -0x1.1beabba8f6869p-4, -0x1.14da3f611408fp-4, -0x1.0dedc39e67484p-4, -0x1.0724d8787db29p-4, -0x1.007f0d045f156p-4, -0x1.f3f7dee0f519ep-5, -0x1.e7361a3f58968p-5, -0x1.dab7e586be64fp-5, -0x1.ce7c58e99b91dp-5, -0x1.c2828b9acdd78p-5, -0x1.b6c993fcb222bp-5, -0x1.ab5087ce942c5p-5, -0x1.a0167c5878377p-5, -0x1.951a86954bf6ep-5, -0x1.8a5bbb5b870ddp-5, -0x1.7fd92f843c37ep-5, -0x1.7591f810adbf8p-5, -0x1.6b852a4e60bp-5, -0x1.61b1dbf9c2761p-5, -0x1.5817235f603bep-5, -0x1.4eb4177bbdb8dp-5, -0x1.4587d019cd917p-5, -0x1.3c9165f01900fp-5, -0x1.33cff2bc9c6c4p-5, -0x1.2b42915f5c64cp-5, -0x1.22e85df3c3fccp-5, -0x1.1ac075e8caacdp-5, -0x1.12c9f817ee18fp-5, -0x1.0b0404db0a44fp-5, -0x1.036dbe210f294p-5, -0x1.f80c8f0346468p-6, -0x1.e9998c9f6da96p-6, -0x1.db80c3561ebc3p-6, -0x1.cdc08521a523cp-6, -0x1.c05727d631475p-6, -0x1.b343053f178cap-6, -0x1.a6827b3a39841p-6, -0x1.9a13ebd1a933p-6, -0x1.8df5bd53894fp-6, -0x1.82265a68495e5p-6, -0x1.76a432273985bp-6, -0x1.6b6db8298ea47p-6, -0x1.6081649bdc601p-6, -0x1.55ddb44e154e6p-6, -0x1.4b8128c21f50ep-6, -0x1.416a4839010f8p-6, -0x1.37979dbebcf94p-6, -0x1.2e07b934dd50ep-6, -0x1.24b92f5bc3906p-6, -0x1.1baa99dac2e1cp-6, -0x1.12da9747130aap-6, -0x1.0a47cb299de88p-6, -0x1.01f0de03c23ap-6, -0x1.f3a8faa60d913p-7, -0x1.e3e2b7279c44fp-7, -0x1.d48c60862c4b5p-7, -0x1.c5a36fbe979f7p-7, -0x1.b72567d078ed2p-7, -0x1.a90fd5bc52b02p-7, -0x1.9b6050802268fp-7, -0x1.8e1479125d15dp-7, -0x1.8129fa5b6e469p-7, -0x1.749e892dc9448p-7, -0x1.686fe43ca2d51p-7, -0x1.5c9bd41157ce6p-7, -0x1.51202aff97034p-7, -0x1.45fac5185ffa3p-7, -0x1.3b29881be2f52p-7, -0x1.30aa636a4954bp-7, -0x1.267b4ff381132p-7, -0x1.1c9a50261020dp-7, -0x1.13056fdcfed4ep-7, -0x1.09bac44ce85d4p-7, -0x1.00b86bf03a546p-7, -0x1.eff91ce56364ep-8, -0x1.df0ab93842232p-8, -0x1.cea220751485bp-8, -0x1.bebbd8172ca3fp-8, -0x1.af54774af21d6p-8, -0x1.a068a6be8c522p-8, -0x1.91f520718ddf4p-8, -0x1.83f6af83ab394p-8, -0x1.766a300297698p-8, -0x1.694c8eb71159bp-8, -0x1.5c9ac8f13bda1p-8, -0x1.5051ec5447b3bp-8, -0x1.446f16a1891dp-8, -0x1.38ef758302696p-8, -0x1.2dd046557447fp-8, -0x1.230ed5f205dcep-8, -0x1.18a880778d6f5p-8, -0x1.0e9ab1138ad76p-8, -0x1.04e2e1cae056ap-8, -0x1.f6fd3684a9aap-9, -0x1.e4d6e90ddbbccp-9, -0x1.d34e25ac57022p-9, -0x1.c25e52cc60619p-9, -0x1.b202f25bc8e12p-9, -0x1.a237a15a2fe86p-9, -0x1.92f8176965999p-9, -0x1.8440265df5b3bp-9, -0x1.760bb9cfee202p-9, -0x1.6856d6abf600fp-9, -0x1.5b1d9ac4c3e3p-9, -0x1.4e5c3c64fdc55p-9, -0x1.420f09e19e8bcp-9, -0x1.3632692cdbcc5p-9, -0x1.2ac2d769affdap-9, -0x1.1fbce8800125dp-9, -0x1.151d46b17f0e8p-9, -0x1.0ae0b22f3aaf6p-9, -0x1.010400b007b16p-9, -0x1.ef083a0f60fb1p-10, -0x1.dcbc0d7e0bb05p-10, -0x1.cb1da359a3d69p-10, -0x1.ba274b1f7643p-10, -0x1.a9d37b5235865p-10, -0x1.9a1cd0b1a40e9p-10, -0x1.8afe0d7444336p-10, -0x1.7c7218831ccf4p-10, -0x1.6e73fcb7a2285p-10, -0x1.60fee81bc56acp-10, -0x1.540e2b2c4258p-10, -0x1.479d381d234a1p-10, -0x1.3ba7a220956ffp-10, -0x1.30291cb008c26p-10, -0x1.251d7ad7aa54p-10, -0x1.1a80ae843b3ccp-10, -0x1.104ec7d34662p-10, -0x1.0683f465c5fdep-10, -0x1.fa38fd6a63633p-11, -0x1.e8299ad5f3487p-11, -0x1.d6d2c574f61dfp-11, -0x1.c62db77acb1a4p-11, -0x1.b633dfa5350e7p-11, -0x1.a6dedfff0724dp-11, -0x1.98288ca7c8fd4p-11, -0x1.8a0aeaa04cc09p-11, -0x1.7c802e9c392fdp-11, -0x1.6f82bbd88777ep-11, -0x1.630d22f6f24ep-11, -0x1.571a20de532e6p-11, -0x1.4ba49d9fe88fcp-11, -0x1.40a7ab6186649p-11, -0x1.361e854ca3a1ap-11, -0x1.2c048e8246d0ep-11, -0x1.22555113c6a72p-11, -0x1.190c7d0059e2cp-11, -0x1.1025e7376c8abp-11, -0x1.079d889fb6f33p-11, -0x1.fedefa460fcbfp-12, -0x1.ef30057d7e721p-12, -0x1.e026f131d37e3p-12, -0x1.d1bcbc33f0f7cp-12, -0x1.c3eaa4160e5c1p-12, -0x1.b6aa23714e4b2p-12, -0x1.a9f4f03447a2ep-12, -0x1.9dc4f9fa6c6bp-12, -0x1.9214686c34721p-12, -0x1.86dd99a7f4a47p-12, -0x1.7c1b20b34bb17p-12, -0x1.71c7c3f50a534p-12, -0x1.67de7bb77ada8p-12, -0x1.5e5a70b2f1eb4p-12, -0x1.5536faa08ec0fp-12, -0x1.4c6f9ed50a183p-12, -0x1.44000ee37fed9p-12, -0x1.3be4274814183p-12, -0x1.3417ee1a58fa7p-12, -0x1.2c9791c75a1c9p-12, -0x1.255f67d332d2bp-12, -0x1.1e6beba20ce6ap-12, -0x1.17b9bd4878dc6p-12, -0x1.1145a062f1e17p-12, -0x1.0b0c7af480cadp-12, -0x1.050b544c59a6dp-12, -0x1.fe7ea7e4ac53p-13, -0x1.f34b81347246ap-13, -0x1.e877fe3b27a58p-13, -0x1.ddff22f86c335p-13, -0x1.d3dc2bc62455ap-13, -0x1.ca0a8b72d735fp-13, -0x1.c085e9687fa2bp-13, -0x1.b74a1fdf90a2cp-13, -0x1.ae533a1df248ap-13, -0x1.a59d72c1c708ap-13, -0x1.9d253217b8b7cp-13, -0x1.94e70c7ca1f74p-13, -0x1.8cdfc0ca507edp-13, -0x1.850c36cf333dp-13, -0x1.7d697dd0bd5b4p-13, -0x1.75f4cb1847347p-13, -0x1.6eab788a30e47p-13, -0x1.678b0347251dfp-13, -0x1.60910a5734363p-13, -0x1.59bb4d5e9d12fp-13, -0x1.5307ab5c143c9p-13, -0x1.4c7421704aee4p-13, -0x1.45fec9ae95b75p-13, -0x1.3fa5d9f66f1fbp-13, -0x1.3967a2d5af94ep-13, -0x1.33428e734bc86p-13, -0x1.2d351f825fda8p-13, -0x1.273df03d69984p-13, -0x1.215bb1696c719p-13, -0x1.1b8d2960e5087p-13, -0x1.15d133265567ap-13, -0x1.1026bd7e423efp-13, -0x1.0a8cca106c016p-13, -0x1.05026c9027117p-13, -0x1.ff0d93d72f131p-14, -0x1.f4322f03679cp-14, -0x1.e97134bdc8f2dp-14, -0x1.dec94d000a945p-14, -0x1.d4393c377deccp-14, -0x1.c9bfe1e3e9158p-14, -0x1.bf5c37425d6cdp-14, -0x1.b50d4e03b55cfp-14, -0x1.aad24f0e64a75p-14, -0x1.a0aa794b62a3cp-14, -0x1.9695207dd518dp-14, -0x1.8c91ac253d878p-14, -0x1.829f9669e1666p-14, -0x1.78be6b132650ep-14, -0x1.6eedc687a00f2p-14, -0x1.652d54d68d72p-14, -0x1.5b7cd0ca83e2p-14, -0x1.51dc030507e0ep-14, -0x1.484ac122d56b4p-14, -0x1.3ec8ece899e6dp-14, -0x1.35567377e3ap-14, -0x1.2bf34c8c0bee2p-14, -0x1.229f79bee0304p-14, -0x1.195b05d4d592cp-14, -0x1.1026041089767p-14, -0x1.07008f8d5e05p-14, -0x1.fbd59541f4c28p-15, -0x1.e9c9bc86f4c77p-15, -0x1.d7ddf2fc390ecp-15, -0x1.c612a1c073ee8p-15, -0x1.b4683bf4b53c3p-15, -0x1.a2df3dbe630bp-15, -0x1.91782b54ad483p-15, -0x1.803390191cbbcp-15, -0x1.6f11fdbae4144p-15, -0x1.5e140b649e51ap-15, -0x1.4d3a54f4207ddp-15, -0x1.3c857a3c12acbp-15, -0x1.2bf61e4ef7a2ap-15, -0x1.1b8ce6d356c06p-15, -0x1.0b4a7b60bdfa9p-15, -0x1.f65f09ca9202dp-16, -0x1.d6795a26d46d3p-16, -0x1.b6e53baf572e3p-16, -0x1.97a401ac3da2p-16, -0x1.78b6fdde78c74p-16, -0x1.5a1f7f97d42fdp-16, -0x1.3bded2e0dce59p-16, -0x1.1df63fac144f5p-16, -0x1.00670915ff65bp-16, -0x1.c664d96323e89p-17, -0x1.8cb343c11513ep-17, -0x1.53bbb26e81fbdp-17, -0x1.1b8077d6ff68ep-17, -0x1.c807ad37fdc2cp-18, -0x1.5a9001384834p-18, -0x1.dd3c5838f645cp-19, -0x1.086c92bc4c7f9p-19, -0x1.b5c4e0294e166p-22, 0x1.2fafe30ae4e92p-20, 0x1.633dcd9892eecp-19, 0x1.15b9021f013f3p-18, 0x1.7836fbe7ef4a2p-18, 0x1.d915b15cd8257p-18, 0x1.1c2916406398p-17, 0x1.4af4d266f056fp-17, 0x1.78ecbfe2d1a67p-17, 0x1.a60fa8b4616bcp-17, 0x1.d25c6e4bde042p-17, 0x1.fdd209ae9b3dp-17, 0x1.1437c5c8d291dp-16, 0x1.291a0e3524575p-16, 0x1.3d8f7e3a8c6ep-16, 0x1.5197c1d9e9d98p-16, 0x1.653290f15751dp-16, 0x1.785faf32b849dp-16, 0x1.8b1eec16689c6p-16, 0x1.9d7022ca42c15p-16, 0x1.af533a1d2efacp-16, 0x1.c0c8246770cd8p-16, 0x1.d1cedf6fe3c53p-16, 0x1.e267744e4cfaap-16, 0x1.f291f74b000eap-16, 0x1.012743ddf754p-15, 0x1.08cea7efaf7d7p-15, 0x1.103f425a31a5fp-15, 0x1.177932e8a2131p-15, 0x1.1e7c9e9bfed8ap-15, 0x1.2549af9479031p-15, 0x1.2be094f9fe3b3p-15, 0x1.324182e3ff7f3p-15, 0x1.386cb240846f9p-15, 0x1.3e6260baa129cp-15, 0x1.4422d0a055893p-15, 0x1.49ae48c7e82e6p-15, 0x1.4f051474ce97cp-15, 0x1.5427833c24d11p-15, 0x1.5915e8e8cf63fp-15, 0x1.5dd09d5f4787ep-15, 0x1.6257fc8124abfp-15, 0x1.66ac661069d49p-15, 0x1.6ace3d92a81a4p-15, 0x1.6ebdea33f4d71p-15, 0x1.727bd6a9cc5fap-15, 0x1.76087115dc3c6p-15, 0x1.79642ae8c8578p-15, 0x1.7c8f78c4ebd79p-15, 0x1.7f8ad26125266p-15, 0x1.8256b26bac69ap-15, 0x1.84f3966d0501ep-15, 0x1.8761feab0617bp-15, 0x1.89a26e0c0e65ap-15, 0x1.8bb569fa58cafp-15, 0x1.8d9b7a478a27bp-15, 0x1.8f5529106b2d2p-15, 0x1.90e302a0e41d6p-15, 0x1.9245955834594p-15, 0x1.937d718d6d4e2p-15, 0x1.948b297438b0dp-15, 0x1.956f5101e8379p-15, 0x1.962a7dd2d8eb2p-15, 0x1.96bd471026cf1p-15, 0x1.97284555bbb1ap-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.cb29a90f566fp-1, 0x1.c9869f0a1045ap-1, 0x1.c7cc8b11ef265p-1, 0x1.c5fb7e0067a6ep-1, 0x1.c41394f41bd3cp-1, 0x1.c214f8bdb7754p-1, 0x1.bfffdd46cef3dp-1, 0x1.bdd480f4eacaap-1, 0x1.bb932c0a9148fp-1, 0x1.b93c3007d28aap-1, 0x1.b6cfe70b9c54cp-1, 0x1.b44eb336de299p-1, 0x1.b1b8fe12585fbp-1, 0x1.af0f37f7c93eap-1, 0x1.ac51d77f038a1p-1, 0x1.a98158ef5edbdp-1, 0x1.a69e3db5d86f9p-1, 0x1.a3a90be02031dp-1, 0x1.a0a24d9cc38b7p-1, 0x1.9d8a90c08e8b8p-1, 0x1.9a6266513701p-1, 0x1.972a621550dcap-1, 0x1.93e31a298d2b2p-1, 0x1.908d269b2fde6p-1, 0x1.8d292107af33cp-1, 0x1.89b7a4416058fp-1, 0x1.86394bf91805fp-1, 0x1.82aeb46c9a8bp-1, 0x1.7f187a19be4b4p-1, 0x1.7b773976174dbp-1, 0x1.77cb8eab0b1efp-1, 0x1.741615562028fp-1, 0x1.7057684d67134p-1, 0x1.6c902167d3824p-1, 0x1.68c0d9495c691p-1, 0x1.64ea2732c04dp-1, 0x1.610ca0d4c1101p-1, 0x1.5d28da26b7972p-1, 0x1.593f654054dbfp-1, 0x1.5550d2366f6d6p-1, 0x1.515daefab71bap-1, 0x1.4d66873e2e449p-1, 0x1.496be4564752dp-1, 0x1.456e4d2483792p-1, 0x1.416e460076846p-1, 0x1.3d6c50a40fa8ep-1, 0x1.3968ec1a08819p-1, 0x1.356494ae62bap-1, 0x1.315fc3e0d3d7p-1, 0x1.2d5af0590877dp-1, 0x1.29568ddca58dbp-1, 0x1.25530d46ed5e5p-1, 0x1.2150dc81f44ecp-1, 0x1.1d5066814d0dcp-1, 0x1.1952133e1701bp-1, 0x1.155647b45bd7ap-1, 0x1.115d65e1a7f91p-1, 0x1.0d67ccc4cb36dp-1, 0x1.0975d85eaec06p-1, 0x1.0587e1b4321b7p-1, 0x1.019e3ed0fc335p-1, 0x1.fb72859662364p-2, 0x1.f3b27b8fff122p-2, 0x1.ebfcfa01ebfbbp-2, 0x1.e45295942228fp-2, 0x1.dcb3dd30f29a6p-2, 0x1.d5215a13c24fdp-2, 0x1.cd9b8fd8f03bap-2, 0x1.c622fc8ecf698p-2, 0x1.beb818c7a03a9p-2, 0x1.b75b57ac72baep-2, 0x1.b00d2710de447p-2, 0x1.a8cdef87805ep-2, 0x1.a19e147726af2p-2, 0x1.9a7df430a1662p-2, 0x1.936de80520282p-2, 0x1.8c6e445d14b45p-2, 0x1.857f58cf845bbp-2, 0x1.7ea17039c3e81p-2, 0x1.77d4d0d784dfdp-2, 0x1.7119bc5b33b61p-2, 0x1.6a70700691cbfp-2, 0x1.63d924c3874b8p-2, 0x1.5d540f3d19f56p-2, 0x1.56e15ff8886eap-2, 0x1.5081436e78785p-2, 0x1.4a33e2243258cp-2, 0x1.43f960c4e34e2p-2, 0x1.3dd1e03ad887p-2, 0x1.37bd7dc8b3f2bp-2, 0x1.31bc532288002p-2, 0x1.2bce7686e1c4cp-2, 0x1.25f3fad7af83fp-2, 0x1.202cefb301d44p-2, 0x1.1a79618ba36dp-2, 0x1.14d959c18022ap-2, 0x1.0f4cdeb9d8de6p-2, 0x1.09d3f3f739225p-2, 0x1.046e9a3136045p-2, 0x1.fe399ed7ca0ffp-3, 0x1.f3bd1e1e22009p-3, 0x1.e967a3fa4e823p-3, 0x1.df391d53a98a3p-3, 0x1.d5317260b5851p-3, 0x1.cb5086d317751p-3, 0x1.c1963a02f6411p-3, 0x1.b8026719a22ccp-3, 0x1.ae94e53b96f34p-3, 0x1.a54d87b1c7cd5p-3, 0x1.9c2c1e1231de5p-3, 0x1.93307467bb311p-3, 0x1.8a5a535952d3ep-3, 0x1.81a98050567b6p-3, 0x1.791dbd9e34de4p-3, 0x1.70b6caa1575a4p-3, 0x1.687463e93f86ep-3, 0x1.60564359ecf14p-3, 0x1.585c204e77a81p-3, 0x1.5085afbae9438p-3, 0x1.48d2a44d58cf6p-3, 0x1.4142ae8e363dfp-3, 0x1.39d57cffdee4fp-3, 0x1.328abc3d696e1p-3, 0x1.2b621718b0433p-3, 0x1.245b36b797d4p-3, 0x1.1d75c2b09b427p-3, 0x1.16b1612694e82p-3, 0x1.100db6e3c9bdbp-3, 0x1.098a677438863p-3, 0x1.0327153f30426p-3, 0x1.f9c6c34054ceep-4, 0x1.ed7dd9fddfc55p-4, 0x1.e172adce0e4fcp-4, 0x1.d5a47c3ce4a75p-4, 0x1.ca1281776cb08p-4, 0x1.bebbf87676144p-4, 0x1.b3a01b27e86ebp-4, 0x1.a8be2296dc595p-4, 0x1.9e1547124305dp-4, 0x1.93a4c05260d87p-4, 0x1.896bc59cf2b8p-4, 0x1.7f698de814125p-4, 0x1.759d4ffbec7p-4, 0x1.6c06429325a73p-4, 0x1.62a39c7a312e2p-4, 0x1.597494ad625d5p-4, 0x1.50786275e232fp-4, 0x1.47ae3d858428cp-4, 0x1.3f155e117eecdp-4, 0x1.36acfcec10e79p-4, 0x1.2e74539d1522bp-4, 0x1.266a9c798e03fp-4, 0x1.1e8f12ba2c326p-4, 0x1.16e0f290d6925p-4, 0x1.0f5f793d39d9fp-4, 0x1.0809e520647fcp-4, 0x1.00df75cf7476p-4, 0x1.f3bed84abc876p-5, 0x1.e61214a79ed67p-5, 0x1.d8b727e66b95dp-5, 0x1.cbac9c23dd36bp-5, 0x1.bef0fe8545591p-5, 0x1.b282df53aee55p-5, 0x1.a660d2156e571p-5, 0x1.9a896da6311d8p-5, 0x1.8efb4c4d9049fp-5, 0x1.83b50bd437158p-5, 0x1.78b54d97a393cp-5, 0x1.6dfab69c8bc6ap-5, 0x1.6383ef9ff254cp-5, 0x1.594fa526f89c5p-5, 0x1.4f5c878d6d6dbp-5, 0x1.45a94b132cd5cp-5, 0x1.3c34a7e856f3fp-5, 0x1.32fd5a38637c5p-5, 0x1.2a0222341ff91p-5, 0x1.2141c41aa0e2cp-5, 0x1.18bb08412ad6fp-5, 0x1.106cbb1a2475dp-5, 0x1.0855ad3b0f24ep-5, 0x1.0074b36197f4ap-5, 0x1.f1914cef8c92dp-6, 0x1.e2a0c72e9b1e8p-6, 0x1.d41598181a76p-6, 0x1.c5ed8aab8f13ep-6, 0x1.b826725226729p-6, 0x1.aabe2adf236a9p-6, 0x1.9db2988ee733fp-6, 0x1.9101a80499276p-6, 0x1.84a94e4687fcdp-6, 0x1.78a788b94f14dp-6, 0x1.6cfa5d19c082p-6, 0x1.619fd975ba85bp-6, 0x1.56961423dbd54p-6, 0x1.4bdb2bba2ffdbp-6, 0x1.416d4703e57c8p-6, 0x1.374a94f60468bp-6, 0x1.2d714ca34e7b9p-6, 0x1.23dfad2f39b2bp-6, 0x1.1a93fdc01e2bep-6, 0x1.118c8d70a3e5fp-6, 0x1.08c7b3406d95ap-6, 0x1.0043ce041a97dp-6, 0x1.effe88a9443b7p-7, 0x1.dff108fc162f6p-7, 0x1.d05c08db34675p-7, 0x1.c13c833eddcc6p-7, 0x1.b28f821746632p-7, 0x1.a4521e25e1f82p-7, 0x1.96817ed5c7fd2p-7, 0x1.891ada1357fefp-7, 0x1.7c1b7423082fep-7, 0x1.6f809f7790b07p-7, 0x1.6347bc876df5bp-7, 0x1.576e39a1cb305p-7, 0x1.4bf192c2eca1cp-7, 0x1.40cf5168143dap-7, 0x1.36050c6305bfbp-7, 0x1.2b9067ad1ecfbp-7, 0x1.216f143a1df07p-7, 0x1.179ecfca9ed7bp-7, 0x1.0e1d64be57b92p-7, 0x1.04e8a9e6213a7p-7, 0x1.f7fd04abaa0e2p-8, 0x1.e6b9ba6c1659cp-8, 0x1.d6036b2b8278ep-8, 0x1.c5d62477e4fcbp-8, 0x1.b62e0af25796bp-8, 0x1.a70759f24302bp-8, 0x1.985e6328a36cep-8, 0x1.8a2f8e436fbfdp-8, 0x1.7c7758913744ep-8, 0x1.6f3254a5004acp-8, 0x1.625d29fa75e37p-8, 0x1.55f4949a72cd6p-8, 0x1.49f564bff4cacp-8, 0x1.3e5c7e7d82cf1p-8, 0x1.3326d963133fdp-8, 0x1.285180247bd91p-8, 0x1.1dd9904073a8p-8, 0x1.13bc39a832ed4p-8, 0x1.09f6be67b8ca3p-8, 0x1.0086724ebe089p-8, 0x1.eed17534bdb07p-9, 0x1.dd361b3f01b66p-9, 0x1.cc35e4ec0065p-9, 0x1.bbcc014947a74p-9, 0x1.abf3bf9bcc332p-9, 0x1.9ca88ebb27a3ap-9, 0x1.8de5fc6e8bfb8p-9, 0x1.7fa7b4cb7d761p-9, 0x1.71e981965604ap-9, 0x1.64a749a49c9c4p-9, 0x1.57dd10413b056p-9, 0x1.4b86f492946d6p-9, 0x1.3fa13102852cep-9, 0x1.34281aa853a32p-9, 0x1.291820b494f85p-9, 0x1.1e6dcbdf0b668p-9, 0x1.1425bdd67e9b1p-9, 0x1.0a3cb0b29d621p-9, 0x1.00af7667d8492p-9, 0x1.eef5f07a941cap-10, 0x1.dd386c8950715p-10, 0x1.cc208da87336dp-10, 0x1.bba8ac05b7895p-10, 0x1.abcb4a4c2a2f2p-10, 0x1.9c8314a45ac0dp-10, 0x1.8dcadfb8b70bep-10, 0x1.7f9da7bdeee8bp-10, 0x1.71f68f7f74c79p-10, 0x1.64d0df7010d37p-10, 0x1.582804be8b2a7p-10, 0x1.4bf7906e53481p-10, 0x1.403b367446664p-10, 0x1.34eeccd766adfp-10, 0x1.2a0e4ad5a19b5p-10, 0x1.1f95c80c82b05p-10, 0x1.15817ba5e597ep-10, 0x1.0bcdbb888cb5cp-10, 0x1.0276fb8ca085ap-10, 0x1.f2f3996820b8dp-11, 0x1.e1a5b8cd862eep-11, 0x1.d0fde76536e19p-11, 0x1.c0f5ed1e8118bp-11, 0x1.b187c64b450ap-11, 0x1.a2ada23666a56p-11, 0x1.9461e1c1943fdp-11, 0x1.869f160a4cf4fp-11, 0x1.795fff161566p-11, 0x1.6c9f8a85c3e06p-11, 0x1.6058d24fd1e69p-11, 0x1.54871b819beaap-11, 0x1.4925d50779d61p-11, 0x1.3e30967b9c1a1p-11, 0x1.33a31efb96176p-11, 0x1.297954047ee5ep-11, 0x1.1faf405593fd4p-11, 0x1.164112d944142p-11, 0x1.0d2b1d948ed78p-11, 0x1.0469d49c9e3bap-11, 0x1.f7f39a250ec3bp-12, 0x1.e7af784a28ea5p-12, 0x1.d800ec311297fp-12, 0x1.c8e1daa885acfp-12, 0x1.ba4c62ec3c6aap-12, 0x1.ac3adcd721e84p-12, 0x1.9ea7d720ae50dp-12, 0x1.918e15a5433b2p-12, 0x1.84e88fb95f1fap-12, 0x1.78b26e876b93fp-12, 0x1.6ce70b7806c45p-12, 0x1.6181eea48ef9fp-12, 0x1.567ecd53c3983p-12, 0x1.4bd98880513a8p-12, 0x1.418e2b691a1d1p-12, 0x1.3798ea2b04525p-12, 0x1.2df6206431d87p-12, 0x1.24a24fe0605b2p-12, 0x1.1b9a1f4e56f63p-12, 0x1.12da58fe27e05p-12, 0x1.0a5fe9a820291p-12, 0x1.0227df3c38f45p-12, 0x1.f45ecf73bb3bcp-13, 0x1.e4e7a01fbaaap-13, 0x1.d5e50608b56a4p-13, 0x1.c752104928d8p-13, 0x1.b92a0578aac9p-13, 0x1.ab6861a9dac4ap-13, 0x1.9e08d476fc87cp-13, 0x1.91073f1cfbe23p-13, 0x1.845fb2a483758p-13, 0x1.780e6e18d8de3p-13, 0x1.6c0fdccc2d37cp-13, 0x1.606094a91905bp-13, 0x1.54fd5490fc594p-13, 0x1.49e302c6e7546p-13, 0x1.3f0eab66db4d8p-13, 0x1.347d7ee900981p-13, 0x1.2a2cd0b0a04f5p-13, 0x1.201a15a68ac49p-13, 0x1.1642e2deb1d14p-13, 0x1.0ca4ec48a8b13p-13, 0x1.033e036acc244p-13, 0x1.f4182c4f9cc74p-14, 0x1.e21a5b1cd356p-14, 0x1.d07ed965d7bd8p-14, 0x1.bf421f24eaf6fp-14, 0x1.ae60d3ff18a87p-14, 0x1.9dd7cd2fce34cp-14, 0x1.8da40b863d17dp-14, 0x1.7dc2b9741efffp-14, 0x1.6e31292d7498cp-14, 0x1.5eecd2d8bdaffp-14, 0x1.4ff352cf448f9p-14, 0x1.414267ed0b3e4p-14, 0x1.32d7f1eff1cd9p-14, 0x1.24b1efe5ab117p-14, 0x1.16ce7ea8196dap-14, 0x1.092bd767adf21p-14, 0x1.f7909c86d09ffp-15, 0x1.dd44a1dc28709p-15, 0x1.c370cac0ce5cp-15, 0x1.aa12512f3f028p-15, 0x1.91269ac097a39p-15, 0x1.78ab3659be70ep-15, 0x1.609dd9ef77f9ap-15, 0x1.48fc6060be2cfp-15, 0x1.31c4c766b0b41p-15, 0x1.1af52d997c81ap-15, 0x1.048bd08996a89p-15, 0x1.dd0e15d9636eep-16, 0x1.b1caa5bba8387p-16, 0x1.874a705fed9bdp-16, 0x1.5d8ac5a5355a9p-16, 0x1.3489228f953ecp-16, 0x1.0c432e55ec9bp-16, 0x1.c96d6f20951f2p-17, 0x1.7bc3630bdddfdp-17, 0x1.2f846333d4bf3p-17, 0x1.c959b35564608p-18, 0x1.3672d6391a0cap-18, 0x1.4c9bc952255a8p-19, 0x1.8e4f7ef35c94ep-22, -0x1.c735ec6784e8bp-20, -0x1.f39d578b7756ep-19, -0x1.7f2384f43c6fep-18, -0x1.00e856093d80dp-17, -0x1.40ed43e0c3497p-17, -0x1.7fa2a3131c7ffp-17, -0x1.bd0a71729066dp-17, -0x1.f9269666cbb1cp-17, -0x1.19fc72cdb16abp-16, -0x1.36c190c466aa7p-16, -0x1.52e37eec913eep-16, -0x1.6e6310d50307dp-16, -0x1.894114d67c9a8p-16, -0x1.a37e5513b872bp-16, -0x1.bd1b9869e783cp-16, -0x1.d619a35242bc7p-16, -0x1.ee7938b5447c8p-16, -0x1.031d8d580b9cp-15, -0x1.0eb005a662896p-15, -0x1.19f46696dca5p-15, -0x1.24eb121684cc5p-15, -0x1.2f946af80d4b3p-15, -0x1.39f0d53802b13p-15, -0x1.4400b63ba47abp-15, -0x1.4dc4750a9cd5bp-15, -0x1.573c7a83caacbp-15, -0x1.6069318d5b92ap-15, -0x1.694b074068014p-15, -0x1.71e26b1043fdfp-15, -0x1.7a2fceedbbfddp-15, -0x1.8233a76664f1bp-15, -0x1.89ee6bc038c36p-15, -0x1.91609611a519p-15, -0x1.988aa3563b345p-15, -0x1.9f6d13802c86ep-15, -0x1.a6086986b8ba3p-15, -0x1.ac5d2b71ba35cp-15, -0x1.b26be26273005p-15, -0x1.b8351a99c1fb3p-15, -0x1.bdb9637be2544p-15, -0x1.c2f94f91d7c67p-15, -0x1.c7f57488aaf6cp-15, -0x1.ccae6b2e92c1p-15, -0x1.d124cf6e2ae0bp-15, -0x1.d5594047d863ep-15, -0x1.d94c5fc973529p-15, -0x1.dcfed30456b06p-15, -0x1.e0714201eb059p-15, -0x1.e3a457b6cda9cp-15, -0x1.e698c1f4a5068p-15, -0x1.e94f315abe488p-15, -0x1.ebc859458a1d6p-15, -0x1.ee04efbd0f8cfp-15, -0x1.f005ad6265247p-15, -0x1.f1cb4d5c4da31p-15, -0x1.f3568d430128ap-15, -0x1.f4a82d0b3cd89p-15, -0x1.f5c0eef0a8121p-15, -0x1.f6a1975f9f743p-15, -0x1.f74aecde769cbp-15, -0x1.f7bdb7f644172p-15, -0x1.f7fac31b3ce24p-15, -0x1.f802da94b80cdp-15, -0x1.f7d6cc64e36bp-15, -0x1.f777683032c31p-15, -0x1.f6e57f249eb24p-15, -0x1.f621e3e0b6889p-15, -0x1.f52d6a5a93e16p-15, -0x1.f408e7c6bb7f2p-15, -0x1.f2b5327ef4c99p-15, -0x1.f13321e91fdabp-15, -0x1.ef838e5e1431ap-15, -0x1.eda751109336p-15, -0x1.eb9f43f45397cp-15, -0x1.e96c41a52c06ep-15, -0x1.e70f254e69e04p-15, -0x1.e488ca9256544p-15, -0x1.e1da0d71f0838p-15, -0x1.df03ca34e47fcp-15, -0x1.dc06dd51c5abdp-15, -0x1.d8e423568e49p-15, -0x1.d59c78d16b093p-15, -0x1.d230ba39d922fp-15, -0x1.cea1c3da196c9p-15, -0x1.caf071b8f9933p-15, -0x1.c71d9f83fe989p-15, -0x1.c32a2879ec45cp-15, -0x1.bf16e755b17eap-15, -0x1.bae4b639bb448p-15, -0x1.b6946e9baf1f7p-15, -0x1.b226e930919e2p-15, -0x1.ad9cfdd95b14bp-15, -0x1.a8f7838ffb541p-15, -0x1.a4375054cd6d8p-15, -0x1.9f5d391c7ec1ap-15, -0x1.9a6a11be6aca3p-15, -0x1.955eace36a8bdp-15, -0x1.903bdbf51a33dp-15, -0x1.8b026f0d96b03p-15, -0x1.85b334e7b05f3p-15, -0x1.804efacf97e28p-15, -0x1.7ad68c93ffaddp-15, -0x1.754ab477b929fp-15, -0x1.6fac3b23c8045p-15, -0x1.69fbe799ee30dp-15, -0x1.643a7f27ae185p-15, -0x1.5e68c559c68e4p-15, -0x1.58877bf023257p-15, -0x1.529762d24593fp-15, -0x1.4c99380422614p-15, -0x1.468db79b7308bp-15, -0x1.40759bb57c1f6p-15, -0x1.3a519c6d4721p-15, -0x1.34226fd24d5ep-15, -0x1.2de8c9df940b3p-15, }}, 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
    }}, 
    {
      25, 0x1.bc28f5c28f5c3p+1, 0x1.6fa818a9b5d71p+1, 0x1.5d995a6bd5b3ep+1, -0x1.17d48ff427c94p-4, 
      {{
        {0x1.52fd86a8fc0d3p+0, 0x1.5fca5375c8dap+0, 0x1.188094e5d5b25p-2, -0x1.f750e311f17bcp-1, 0x1.696bb98c7e14cp+0, 0x1.95178397c8b39p-2}, 
        {0x1.5fca5375c8dap+0, 0x1.6c97204295a6cp+0, 0x1.d3abc947064edp-3, -0x1.ad8340fca2b6ep-1, 0x1.789c9b48959b9p+0, -0x1.fa5d647db9403p+0}, 
        {0x1.6c97204295a6cp+0, 0x1.7963ed0f62739p+0, 0x1.84cb5bb384fd3p-3, -0x1.69c92c65c3bb8p-1, 0x1.2ca8329c20389p+0, -0x1.0b2c77e4cce06p+0}, 
        {0x1.7963ed0f62739p+0, 0x1.8630b9dc2f406p+0, 0x1.422ee41919ac8p-3, -0x1.31a97b1d2be1ap-1, 0x1.0494ba39ce4a1p+0, -0x1.080b5bad8bbdfp+0}, 
        {0x1.8630b9dc2f406p+0, 0x1.92fd86a8fc0d3p+0, 0x1.09ff92f2b66b6p-3, -0x1.0181aa71a7478p-1, 0x1.b9f2d8f2bf74bp-1, -0x1.b9ae809cf9443p-1}, 
        {0x1.92fd86a8fc0d3p+0, 0x1.9fca5375c8dap+0, 0x1.b564302b40f67p-4, -0x1.b13f9ea0a1c44p-2, 0x1.77b245a800773p-1, -0x1.5b1acb4fbc5ap-1}, 
        {0x1.9fca5375c8dap+0, 0x1.ac97204295a6cp+0, 0x1.65e892253111fp-4, -0x1.6b50d8ddaae5fp-2, 0x1.43a173f5a4367p-1, -0x1.5cf8c0bba3604p-1}, 
        {0x1.ac97204295a6cp+0, 0x1.b963ed0f62739p+0, 0x1.235e74299d884p-4, -0x1.2fd30201461b8p-2, 0x1.0f48f0a64bb5p-1, -0x1.f78569a844fadp-2}, 
        {0x1.b963ed0f62739p+0, 0x1.c630b9dc2f406p+0, 0x1.d78e5c4eb56fcp-5, -0x1.faaff5f997ed1p-3, 0x1.d30aab0cf3779p-2, -0x1.daa8f8ac43b05p-2}, 
        {0x1.c630b9dc2f406p+0, 0x1.d2fd976ff3adep+0, 0x1.7b15b573eab36p-5, -0x1.a4661f2cc9873p-3, 0x1.8bd7b8f31c836p-2, -0x1.85ec201608c76p-2}, 
        {0x1.d2fd976ff3adep+0, 0x1.dfca643cc07abp+0, 0x1.2e87d2c7b890dp-5, -0x1.5b13ef07f33afp-3, 0x1.515a6779922f6p-2, -0x1.608bad4d7de4bp-2}, 
        {0x1.dfca643cc07abp+0, 0x1.ec9731098d478p+0, 0x1.df04ddb5525ccp-6, -0x1.1ce53a6028859p-3, 0x1.1c78a71458e6ap-2, -0x1.1f2c706affb79p-2}, 
        {0x1.ec9731098d478p+0, 0x1.f963fdd65a145p+0, 0x1.77dd872f33ca3p-6, -0x1.d09e16926d799p-4, 0x1.e2ca5fa231e2bp-3, -0x1.e74fe29018cc2p-3}, 
        {0x1.f963fdd65a145p+0, 0x1.0318655193709p+1, 0x1.241c3efae7925p-6, -0x1.775e7de23ae8bp-4, 0x1.99b1973fc7c4p-3, -0x1.a9864d3b8914p-3}, 
        {0x1.0318655193709p+1, 0x1.097ecbb7f9d6fp+1, 0x1.c19c17225b74ap-7, -0x1.2bd0302701cfcp-4, 0x1.59dd721073344p-3, -0x1.5e1c073a156cfp-3}, 
        {0x1.097ecbb7f9d6fp+1, 0x1.0fe5321e603d5p+1, 0x1.56d19dece5711p-7, -0x1.d7c8a3892d39fp-5, 0x1.25593dc7bcca7p-3, -0x1.50b9b6a0bbb23p-3}, 
        {0x1.0fe5321e603d5p+1, 0x1.164b9884c6a3cp+1, 0x1.0385c67dfe32ap-7, -0x1.6c8bcb2ebe61ep-5, 0x1.e5adf7f8dadfap-4, -0x1.1d73e6f73403p-3}, 
        {0x1.164b9884c6a3cp+1, 0x1.1cb1feeb2d0a2p+1, 0x1.878316a055758p-8, -0x1.13f946eac9ed1p-5, 0x1.900b32aeb1ab3p-4, -0x1.e391320f2b1fep-4}, 
        {0x1.1cb1feeb2d0a2p+1, 0x1.2318655193709p+1, 0x1.28283d35eb745p-8, -0x1.966fdee731eb9p-6, 0x1.478237f938005p-4, -0x1.7a68eadb0c57ep-4}, 
        {0x1.2318655193709p+1, 0x1.297ecbb7f9d6fp+1, 0x1.c66d373affb05p-9, -0x1.1ec92bb828b01p-6, 0x1.0ebf47f1f626p-4, -0x1.49524d86b2b19p-4}, 
        {0x1.297ecbb7f9d6fp+1, 0x1.2fe5321e603d5p+1, 0x1.680e065300581p-9, -0x1.78bbb1e4e919ap-7, 0x1.bab2abd51d171p-5, -0x1.2f26f5915249ap-4}, 
        {0x1.2fe5321e603d5p+1, 0x1.364b9884c6a3cp+1, 0x1.2d3415b1422cdp-9, -0x1.b3afb01c49ed4p-8, 0x1.5fc0955cb79bp-5, -0x1.044f4cd7db372p-4}, 
        {0x1.364b9884c6a3cp+1, 0x1.3cb1feeb2d0a2p+1, 0x1.0ea9e6eeb7026p-9, -0x1.730b130b3c499p-9, 0x1.11a8cb1bf5d6dp-5, -0x1.c8f20c53c23a9p-5}, 
        {0x1.3cb1feeb2d0a2p+1, 0x1.4318655193709p+1, 0x1.0624dd2f1a9fcp-9, 0x1.7f4dbc87ff78p-14, 0x1.9a3c2c1ecb03p-6, -0x1.5ac9a1381ee77p-3}, 
        {0x1.4318655193709p+1, 0x1.bc28f5c28f5c3p+1, 0x1.0c2c5e2cdc012p-9, 0x1.5b6a9c15d014p-10, -0x1.7a3eef89b87e4p-12, -0x1.058a11d640a14p-5}, 
      }}, 
      0x1.96e7fdc94f133p-5, -0x1.5424b1e91b0fep-6
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_c_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.21858edd14676p+0, -0x1.135fe5e194ffdp+0, -0x1.0543fc0b2018dp+0, -0x1.ee799edcc9e4dp-1, -0x1.d2a84949f44e3p-1, -0x1.b725a799dcb21p-1, -0x1.9c0217b30dcf5p-1, -0x1.814c45eddc3aep-1, -0x1.6710c365fa001p-1, -0x1.4d5a3b730ddd3p-1, -0x1.343213ea0e5a4p-1, -0x1.1ba0d969fafb3p-1, -0x1.03ae190ca059bp-1, -0x1.d8bfda2da000fp-2, -0x1.ab7596362c8c6p-2, -0x1.7f83972884308p-2, -0x1.54ee5e41685edp-2, -0x1.2bb98f1a77ab2p-2, -0x1.03e82b08d2263p-2, -0x1.baf88755d47b3p-3, -0x1.70ece9dc35f59p-3, -0x1.29aee6d0db854p-3, -0x1.ca54ea4d60a95p-4, -0x1.46c07ead985dfp-4, -0x1.91202477721bep-5, -0x1.3ebfe9b982943p-6, 0x1.1fb3229cc1222p-7, 0x1.24f81f8949e16p-5, 0x1.f7f79518d60c5p-5, 0x1.60917448af317p-4, 0x1.c0599d4055274p-4, 0x1.0db8acb7e3cf1p-3, 0x1.38fb247e3d657p-3, 0x1.62035ff6cb366p-3, 0x1.88e0f84eac146p-3, 0x1.ada3fdb1e025ap-3, 0x1.d05ce73fa4ae5p-3, 0x1.f11c69f320702p-3, 0x1.07f9a0090f64p-2, 0x1.1678f8a77074cp-2, 0x1.2414557d20abap-2, 0x1.30d3984538658p-2, 0x1.3cbe71cb9015dp-2, 0x1.47dc6dc3190ffp-2, 0x1.523501406f23fp-2, 0x1.5bcf9731b5a3ap-2, 0x1.64b397b06f8dfp-2, 0x1.6ce868b3b47e7p-2, 0x1.7475681a4e8afp-2, 0x1.7b61e0354675fp-2, 0x1.81b4f8ef53eabp-2, 0x1.8775a848950c7p-2, 0x1.8caaa4f43cddp-2, 0x1.915a5d64266c9p-2, 0x1.958af48fb2a2ap-2, 0x1.994244886ab8cp-2, 0x1.9c85e5c4986c4p-2, 0x1.9f5b393132dcbp-2, 0x1.a1c772c363b4ep-2, 0x1.a3cfa26ffa098p-2, 0x1.a578ba0c2c347p-2, 0x1.a6c78f74e1a01p-2, 0x1.a7c0db34691d3p-2, 0x1.a867ce326f7f7p-2, 0x1.a8c505f3b456cp-2, 0x1.a8d9ff6e35b5cp-2, 0x1.a8aa979636c65p-2, 0x1.a83a81937631p-2, 0x1.a78d4b66a6948p-2, 0x1.a6a661d5cbccbp-2, 0x1.a5891339183bcp-2, 0x1.a43890fb0a832p-2, 0x1.a2b7efd804e26p-2, 0x1.a10a271995d29p-2, 0x1.9f320f29a1ca3p-2, 0x1.9d325fe69cc2dp-2, 0x1.9b0daf1d29694p-2, 0x1.98c66f78ba035p-2, 0x1.965ef02190a9p-2, 0x1.93d95d20b0062p-2, 0x1.9137c086a41ccp-2, 0x1.8e7c043bc5c2fp-2, 0x1.8ba7f4518222p-2, 0x1.88bd41a4357e3p-2, 0x1.85bd849bcca63p-2, 0x1.82aa3fdd2b855p-2, 0x1.7f84e2c5e35f5p-2, 0x1.7c4ecb95b3845p-2, 0x1.7909493432c54p-2, 0x1.75b59c8bb9a52p-2, 0x1.7254f97c4e495p-2, 0x1.6ee8877110ecap-2, 0x1.6b7161a835ed4p-2, 0x1.67f09740acedcp-2, 0x1.64672b2198dc5p-2, 0x1.60d613cecde58p-2, 0x1.5d3e3b3b68895p-2, 0x1.59a07ea89439bp-2, 0x1.55fdae9b37afdp-2, 0x1.52568eefd3b41p-2, 0x1.4eabd710a1674p-2, 0x1.4afe324efa93p-2, 0x1.474e405e8261p-2, 0x1.439c95ee564bap-2, 0x1.3fe9bd5ae0196p-2, 0x1.3c363771c280dp-2, 0x1.38827c40b3d68p-2, 0x1.34cefbe820bd8p-2, 0x1.311c1f6acc4dfp-2, 0x1.2d6a4974813fep-2, 0x1.29b9d712fb69ep-2, 0x1.260b205d77385p-2, 0x1.225e79088bb4dp-2, 0x1.1eb430e530ccdp-2, 0x1.1b0c944acab38p-2, 0x1.1767ec6cf5b9bp-2, 0x1.13c67f9e68c7bp-2, 0x1.10289182ba105p-2, 0x1.0c8e633118662p-2, 0x1.08f8334a44c5fp-2, 0x1.05663e041abf4p-2, 0x1.01d8bd2d0a2e1p-2, 0x1.fc9fd053974c9p-3, 0x1.f597e7df01861p-3, 0x1.ee9a25f89a0fep-3, 0x1.e7a6eaa06c056p-3, 0x1.e0be90cfa5f43p-3, 0x1.d9e16e74217d1p-3, 0x1.d30fd473d2efep-3, 0x1.cc4a0eb94cd53p-3, 0x1.c5906449c558bp-3, 0x1.bee317648cde2p-3, 0x1.b84265ab4412ep-3, 0x1.b1ae8851d7ac4p-3, 0x1.ab27b454f1d08p-3, 0x1.a4ae1ab56991ap-3, 0x1.9e41e8b7266b4p-3, 0x1.97e34821f4bap-3, 0x1.91925f82e52ep-3, 0x1.8b4f526ce3b04p-3, 0x1.851a41b75ff0ap-3, 0x1.7ef34bba2208fp-3, 0x1.78da8c8572d2bp-3, 0x1.72d01e160c135p-3, 0x1.6cd418844f32cp-3, 0x1.66e6922e92fb1p-3, 0x1.61079fde490d5p-3, 0x1.5b3679b7b175ep-3, 0x1.55744cc11fecp-3, 0x1.4fc0f6937513ap-3, 0x1.4a1c893cdbfcbp-3, 0x1.448715277b652p-3, 0x1.3f00a91ec67a1p-3, 0x1.39895255193fp-3, 0x1.34211c69bf634p-3, 0x1.2ec8116f96c8cp-3, 0x1.297e39f43fa83p-3, 0x1.24439d07f9fe8p-3, 0x1.1f18404608acap-3, 0x1.19fc27dda1554p-3, 0x1.14ef569b4404ap-3, 0x1.0ff1cdf25cbc6p-3, 0x1.0b038e0726f77p-3, 0x1.062495b89c9d5p-3, 0x1.0154e2aa6b1dbp-3, 0x1.f928e29d83b03p-4, 0x1.efc679dff1dd1p-4, 0x1.e6827f73c58b1p-4, 0x1.dd5ce585a57fep-4, 0x1.d4559c2861805p-4, 0x1.cb6c916552884p-4, 0x1.c2a1b14bc4b7dp-4, 0x1.b9f4e5ff79097p-4, 0x1.b16617c63988fp-4, 0x1.a8f52d148fe1cp-4, 0x1.a0a20a99a1c7ep-4, 0x1.986c934a4fbcbp-4, 0x1.9054a86ba5d69p-4, 0x1.885a299cb2406p-4, 0x1.807cf4dfe1ceep-4, 0x1.78bce6a3f79b4p-4, 0x1.7119d9ccb6dc1p-4, 0x1.6993a7bb57433p-4, 0x1.622a2856d9b0ep-4, 0x1.5add32144f2ebp-4, 0x1.53ac99ff23148p-4, 0x1.4c9833c175e46p-4, 0x1.459fd1ac95b3ep-4, 0x1.3ec344c19a1f6p-4, 0x1.38025cba2e814p-4, 0x1.315ce81189b9ep-4, 0x1.2ad2b40d9a63ep-4, 0x1.24638cc86477dp-4, 0x1.1e0f3d3991f44p-4, 0x1.17d58f4032244p-4, 0x1.11b64baca6d05p-4, 0x1.0bb13a4ab6e83p-4, 0x1.05c621ebc7863p-4, 0x1.ffe990e25f606p-5, 0x1.f479e5ad4a276p-5, 0x1.e93cca79761b5p-5, 0x1.de31c5e6d60a6p-5, 0x1.d3585d0948ad8p-5, 0x1.c8b0137db283fp-5, 0x1.be386b7f0e2e4p-5, 0x1.b3f0e5fb5ff01p-5, 0x1.a9d902a888d2bp-5, 0x1.9ff04018ed18fp-5, 0x1.96361bcfe3cfap-5, 0x1.8caa1255ea8d7p-5, 0x1.834b9f4c96p-5, 0x1.7a1a3d82372c7p-5, 0x1.7115670534b0fp-5, 0x1.683c95370fef7p-5, 0x1.5f8f40df17e29p-5, 0x1.570ce23cbf6a9p-5, 0x1.4eb4f119a144dp-5, 0x1.4686e4db22336p-5, 0x1.3e823493beb3ap-5, 0x1.36a65713f84ccp-5, 0x1.2ef2c2faea8e6p-5, 0x1.2766eec681c3fp-5, 0x1.200250e35ac01p-5, 0x1.18c45fbc456bp-5, 0x1.11ac91c96c30ap-5, 0x1.0aba5d9f24e04p-5, 0x1.03ed39fc66123p-5, 0x1.fa893bb1c92ep-6, 0x1.ed8000e5b34a1p-6, 0x1.e0bdb2b8dc7ecp-6, 0x1.d4414111a01e2p-6, 0x1.c8099cb1e22ddp-6, 0x1.bc15b74fd670dp-6, 0x1.b06483ae1ddacp-6, 0x1.a4f4f5b3357f2p-6, 0x1.99c60280342cep-6, 0x1.8ed6a086da39bp-6, 0x1.8425c79ef4325p-6, 0x1.79b2711b09661p-6, 0x1.6f7b97dc63abap-6, 0x1.658038665ec91p-6, 0x1.5bbf50f1127d2p-6, 0x1.5237e17b49182p-6, 0x1.48e8ebdbc845cp-6, 0x1.3fd173d1f1a7ap-6, 0x1.36f07f15af4b9p-6, 0x1.2e451566ba0fap-6, 0x1.25ce409b3723ep-6, 0x1.1d8b0cada3834p-6, 0x1.157a87ca20645p-6, 0x1.0d9bc25b128eap-6, 0x1.05edcf15208a6p-6, 0x1.fcdf860514166p-7, 0x1.ee416b1bbc695p-7, 0x1.dfff811825ae7p-7, 0x1.d218008bfc18cp-7, 0x1.c4892702602cap-7, 0x1.b751371075c34p-7, 0x1.aa6e7864b4fcfp-7, 0x1.9ddf37d517dfap-7, 0x1.91a1c76c2a434p-7, 0x1.85b47e74f0c94p-7, 0x1.7a15b985b4f1ep-7, 0x1.6ec3da89c2faep-7, 0x1.63bd48ca181dcp-7, 0x1.590070f503ffep-7, 0x1.4e8bc524c45c3p-7, 0x1.445dbce52befdp-7, 0x1.3a74d53849894p-7, 0x1.30cf909a23a43p-7, 0x1.276c770382178p-7, 0x1.1e4a15ebdaf1fp-7, 0x1.1567004a5b34ap-7, 0x1.0cc1ce9616f47p-7, 0x1.04591ec56c4a5p-7, 0x1.f85728992b187p-8, 0x1.e86fb036ef845p-8, 0x1.d8f9313568318p-8, 0x1.c9f1134ffe8b2p-8, 0x1.bb54c9238c158p-8, 0x1.ad21d0244c0fap-8, 0x1.9f55b09283c0ep-8, 0x1.91edfd6de9e56p-8, 0x1.84e85467d7ea8p-8, 0x1.78425dd45ce95p-8, 0x1.6bf9cc9a2cbcbp-8, 0x1.600c5e218561bp-8, 0x1.5477da420e91dp-8, 0x1.493a132fc47b9p-8, 0x1.3e50e566f0214p-8, 0x1.33ba379748638p-8, 0x1.2973fa8e34aefp-8, 0x1.1f7c292046f8p-8, 0x1.15d0c811f7704p-8, 0x1.0c6fe5ffa8fe6p-8, 0x1.03579b44fcf18p-8, 0x1.f50c13c7278d9p-9, 0x1.e3f2bad24ce9ap-9, 0x1.d35f95aa37676p-9, 0x1.c34f20fb30d45p-9, 0x1.b3bdebe829a2ep-9, 0x1.a4a897d2f4813p-9, 0x1.960bd823d1bc1p-9, 0x1.87e472101cd41p-9, 0x1.7a2f3c605b52dp-9, 0x1.6ce91f35acdfp-9, 0x1.600f13ceb4358p-9, 0x1.539e244bf4857p-9, 0x1.47936b73dedcp-9, 0x1.3bec147665677p-9, 0x1.30a55ab055de3p-9, 0x1.25bc896e6906cp-9, 0x1.1b2efbb01b148p-9, 0x1.10fa1bea73b0ap-9, 0x1.071b63caa57b9p-9, 0x1.fb0084c4d7c5ap-10, 0x1.e88ea6fca62d9p-10, 0x1.d6baacc7ac702p-10, 0x1.c57ffcfb4a365p-10, 0x1.b4da1a764142fp-10, 0x1.a4c4a3a877584p-10, 0x1.953b521b21f34p-10, 0x1.8639f9f975c17p-10, 0x1.77bc8999c8eedp-10, 0x1.69bf090761b66p-10, 0x1.5c3d998cd6314p-10, 0x1.4f34753f3c6f3p-10, 0x1.429fee8a0a347p-10, 0x1.367c6fbbb77e2p-10, 0x1.2ac67a934fb89p-10, 0x1.1f7aa7ceca3dap-10, 0x1.1495a6ba734b3p-10, 0x1.0a143cc11a01dp-10, 0x1.ffe689fad0609p-11, 0x1.ec5f5f984911ep-11, 0x1.d98d04bf0127fp-11, 0x1.c769aca72ac5ep-11, 0x1.b5efb287a9663p-11, 0x1.a51998c37007ep-11, 0x1.94e20818f5b5fp-11, 0x1.8543ced437143p-11, 0x1.7639e002e1a3ep-11, 0x1.67bf52aaf29cp-11, 0x1.59cf6103ca754p-11, 0x1.4c6567b1bd0bdp-11, 0x1.3f7ce503e189ap-11, 0x1.33117834c0a1p-11, 0x1.271ee0ad25bd4p-11, 0x1.1ba0fd49bf334p-11, 0x1.1093cba313d97p-11, 0x1.05f3675842713p-11, 0x1.f77812b84f9cfp-12, 0x1.e3d40e8a526d2p-12, 0x1.d0f3a53f482c6p-12, 0x1.becff085eaa4dp-12, 0x1.ad623f5220332p-12, 0x1.9ca41491a2069p-12, 0x1.8c8f25e5a65b4p-12, 0x1.7d1d5a622f753p-12, 0x1.6e48c95255208p-12, 0x1.600bb901d3059p-12, 0x1.52609d8c56c3dp-12, 0x1.454217b1a6ca5p-12, 0x1.38aaf3af2896fp-12, 0x1.2c96281f1a1fap-12, 0x1.20fed4dca0d2fp-12, 0x1.15e041ed6bc91p-12, 0x1.0b35de70859e3p-12, 0x1.00fb3f9285401p-12, 0x1.ee583f0da06fbp-13, 0x1.db88b90c9cbc2p-13, 0x1.c97fefa6b0f49p-13, 0x1.b836298553eb8p-13, 0x1.a7a3ef9327903p-13, 0x1.97c20b22ac162p-13, 0x1.8889841f14497p-13, 0x1.79f39f4722bdp-13, 0x1.6bf9dc71fce96p-13, 0x1.5e95f4de42983p-13, 0x1.51c1d98a83edfp-13, 0x1.4577b1978ec3cp-13, 0x1.39b1d8b4647b2p-13, 0x1.2e6add937a9f3p-13, 0x1.239d80695f8abp-13, 0x1.1944b174e54e9p-13, 0x1.0f5b8f8fa098dp-13, 0x1.05dd66c7fef8bp-13, 0x1.f98b5e07b6f22p-14, 0x1.e8201557b8a81p-14, 0x1.d7708abd2e7b2p-14, 0x1.c774a55ac8eccp-14, 0x1.b82499c01c8c6p-14, 0x1.a978e782747dap-14, 0x1.9b6a56e4853d6p-14, 0x1.8df1f68e7b074p-14, 0x1.810919546d137p-14, 0x1.74a9540bb3c68p-14, 0x1.68cc7b6f1be1fp-14, 0x1.5d6ca210c58adp-14, 0x1.5284165a0ad8p-14, 0x1.480d609935b49p-14, 0x1.3e03411c5b629p-14, 0x1.3460ae589ae36p-14, 0x1.2b20d31f78b3dp-14, 0x1.223f0cdf57019p-14, 0x1.19b6e9f0316d4p-14, 0x1.118427ed2e156p-14, 0x1.09a2b218a9b25p-14, 0x1.020e9fcc423fdp-14, 0x1.f58865e76c21cp-15, 0x1.e77fad254eae3p-15, 0x1.d9fc3aaa3445dp-15, 0x1.ccf78053590b7p-15, 0x1.c06b39ce9d3b2p-15, 0x1.b45169f55a15ep-15, 0x1.a8a4583f8f6cdp-15, 0x1.9d5e8e45fd4e1p-15, 0x1.927ad55877c0fp-15, 0x1.87f43425c8612p-15, 0x1.7dc5ec7579b9p-15, 0x1.73eb78f2ca284p-15, 0x1.6a608b074eec6p-15, 0x1.612108c86eb19p-15, 0x1.58290af2a6f6cp-15, 0x1.4f74daf578babp-15, 0x1.4700f10e84ab3p-15, 0x1.3ec9f273b3873p-15, 0x1.36ccaf8c21ec9p-15, 0x1.2f0622361240ep-15, 0x1.27736c1e2017ap-15, 0x1.2011d51ed5787p-15, 0x1.18dec9b2d3969p-15, 0x1.11d7d97195f0ep-15, 0x1.0afab5984579p-15, 0x1.04452f9ff0f36p-15, 0x1.fb6a6fbf705e8p-16, 0x1.ee91b87578aadp-16, 0x1.e1fc8db17ab8p-16, 0x1.d5a779d7aab8ep-16, 0x1.c98f3afdfb19bp-16, 0x1.bdb0c09f13bc2p-16, 0x1.b209296645c0cp-16, 0x1.a695c10a00717p-16, 0x1.9b53fe3b178cep-16, 0x1.904180aa41cbap-16, 0x1.855c0f1bef745p-16, 0x1.7aa1958ff1c92p-16, 0x1.7010237ad6e31p-16, 0x1.65a5ea0ba1989p-16, 0x1.5b613a8a611f3p-16, 0x1.514084be3d7c3p-16, 0x1.47425565885c3p-16, 0x1.3d6554bda60acp-16, 0x1.33a84517ee1b4p-16, 0x1.2a0a017b612ccp-16, 0x1.20897c5668857p-16, 0x1.1725be3b11d35p-16, 0x1.0ddde4a80617p-16, 0x1.04b120de8761fp-16, 0x1.f73d6d8696909p-17, 0x1.e54bf79598763p-17, 0x1.d38cabe49509bp-17, 0x1.c1fe757b8d1p-17, 0x1.b0a05c943eddcp-17, 0x1.9f7184bfa5169p-17, 0x1.8e712b28cf97ap-17, 0x1.7d9ea4e87a5e3p-17, 0x1.6cf95d6b29d1fp-17, 0x1.5c80d4e9b1114p-17, 0x1.4c349eefe9ac4p-17, 0x1.3c1460fd13478p-17, 0x1.2c1fd1280c45fp-17, 0x1.1c56b4de05eap-17, 0x1.0cb8dfa7fc023p-17, 0x1.fa8c64153c36dp-18, 0x1.dbfd30ca74f65p-18, 0x1.bdc413db32f8fp-18, 0x1.9fe10f5e1ec7bp-18, 0x1.8254372fd5721p-18, 0x1.651daf3513614p-18, 0x1.483da9a08acc2p-18, 0x1.2bb4655839fe6p-18, 0x1.0f822c78f925dp-18, 0x1.e74ea5c63967dp-19, 0x1.b04869c698fdbp-19, 0x1.79f26bc48b8aap-19, 0x1.444d7e7a7f70ep-19, 0x1.0f5a7e37ae22bp-19, 0x1.b6349d8667d78p-20, 0x1.4f1bb2a6eda73p-20, 0x1.d2d82ad0e89a5p-21, 0x1.0a4f45f57b6eap-21, 0x1.1281c6e3fac78p-23, -0x1.f8c271e7fab6p-23, -0x1.3e203a8050796p-21, -0x1.fb2acf4bb8336p-21, -0x1.5aa66b99e2b1dp-20, -0x1.b641748921985p-20, -0x1.08326e9c792dp-19, -0x1.348788e13175cp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.98bd4abaa2b31p+0, -0x1.92afd84b76308p+0, -0x1.8c8ad740f922ap+0, -0x1.8652067fa34b2p+0, -0x1.8009032dacc29p+0, -0x1.79b3342a9c914p+0, -0x1.7353c30035f73p+0, -0x1.6cedb139766f4p+0, -0x1.6683cbf6050a8p+0, -0x1.6018a9b03f0bbp+0, -0x1.59aebb1b394fcp+0, -0x1.534849966a789p+0, -0x1.4ce76c458b363p+0, -0x1.468e0b2c4919ap+0, -0x1.403de91e3c832p+0, -0x1.39f8a77329029p+0, -0x1.33bfc58691f1cp+0, -0x1.2d94a16286bb6p+0, -0x1.27787935af537p+0, -0x1.216c6bd1ad57dp+0, -0x1.1b71790ac116cp+0, -0x1.158878236769fp+0, -0x1.0fb24621a6637p+0, -0x1.09ef95b47baafp+0, -0x1.0441072fa5595p+0, -0x1.fd4e4d5486e9ep-1, -0x1.f244dacaff4e3p-1, -0x1.e76685f2641d7p-1, -0x1.dcb3fd0f403d1p-1, -0x1.d22dd0204c68bp-1, -0x1.c7d4734eabf9bp-1, -0x1.bda84096d4affp-1, -0x1.b3a978b1a4c06p-1, -0x1.a9d843f607dfdp-1, -0x1.a034b3f6edb6p-1, -0x1.96bec5faadfd9p-1, -0x1.8d7665b04563bp-1, -0x1.845b6f59c5edcp-1, -0x1.7b6db10fb56c2p-1, -0x1.72aceb5704e7ep-1, -0x1.6a18d18f04cb3p-1, -0x1.61b10aa0c1b83p-1, -0x1.59753208c184ap-1, -0x1.5164d913a1067p-1, -0x1.497f88160a012p-1, -0x1.41c4bf7e6e525p-1, -0x1.3a33f8bdafd48p-1, -0x1.32cca715b43dfp-1, -0x1.2b8e385d60807p-1, -0x1.247815bfdc3d6p-1, -0x1.1d89a472f0226p-1, -0x1.16c2465baf35ap-1, -0x1.10215a9a814a4p-1, -0x1.09a63dfe110dcp-1, -0x1.03504b63bfc38p-1, -0x1.fa3db8213e623p-2, -0x1.ee22901a963a2p-2, -0x1.e24dcd136b1f1p-2, -0x1.d6be1c8d76e9bp-2, -0x1.cb722bfafbe2cp-2, -0x1.c068a975251b2p-2, -0x1.b5a0444b7fd37p-2, -0x1.ab17ad68eae35p-2, -0x1.a0cdb11edfcc4p-2, -0x1.96c0c37dff21p-2, -0x1.8cefbf25ce767p-2, -0x1.83595f390efe8p-2, -0x1.79fc624d2afe6p-2, -0x1.70d78ab08772fp-2, -0x1.67e99eb5cef24p-2, -0x1.5f3168fdb20abp-2, -0x1.56adb8b710354p-2, -0x1.4e5d61cf50d0bp-2, -0x1.463f3d107b30bp-2, -0x1.3e52282efba67p-2, -0x1.369505cc56ep-2, -0x1.2f06bd7574be3p-2, -0x1.27a63ba2d5fc6p-2, -0x1.207271bee94f1p-2, -0x1.196a56340b5bep-2, -0x1.128ce480e9727p-2, -0x1.0bd91d4feac4p-2, -0x1.054e068d23c5fp-2, -0x1.fdd556eceaa42p-3, -0x1.f15c3944db421p-3, -0x1.e52edff89d2a3p-3, -0x1.d94b816ab9ea2p-3, -0x1.cdb05e5aea033p-3, -0x1.c25bc1abc26d7p-3, -0x1.b74c0023f3684p-3, -0x1.ac7f78317764cp-3, -0x1.a1f491b37b55bp-3, -0x1.97a9bdcd673c8p-3, -0x1.8d9d76c32a248p-3, -0x1.83ce3fdcd267cp-3, -0x1.7a3aa54e42d8dp-3, -0x1.70e13c1f72054p-3, -0x1.67c0a211d4ac7p-3, -0x1.5ed77d80955c7p-3, -0x1.56247d3a6c62ap-3, -0x1.4da65855180ebp-3, -0x1.455bcdfb81919p-3, -0x1.3d43a5385d235p-3, -0x1.355cacbf49c5cp-3, -0x1.2da5bab6795ddp-3, -0x1.261dac828597ep-3, -0x1.1ec36695ad5edp-3, -0x1.1795d442f5293p-3, -0x1.1093e79550d16p-3, -0x1.09bc992a51448p-3, -0x1.030ee80fa379p-3, -0x1.f913b344d687bp-4, -0x1.ec58f2df0cc9dp-4, -0x1.dfebb22792d64p-4, -0x1.d3ca2036f2a6p-4, -0x1.c7f277c10bb0dp-4, -0x1.bc62fece6feb3p-4, -0x1.b11a0672923fdp-4, -0x1.a615ea7f3a9fcp-4, -0x1.9b551135ddfe7p-4, -0x1.90d5eaf7eab99p-4, -0x1.8696f1f6fbac7p-4, -0x1.7c96a9e634be5p-4, -0x1.72d39fadac92p-4, -0x1.694c6920d7565p-4, -0x1.5fffa4b894912p-4, -0x1.56ebf951507c5p-4, -0x1.4e1015ed67922p-4, -0x1.456ab17bc1bc1p-4, -0x1.3cfa8aa269da1p-4, -0x1.34be678cb78e5p-4, -0x1.2cb515bc91355p-4, -0x1.24dd69de2fa26p-4, -0x1.1d363f9dd876ep-4, -0x1.15be797f0177ep-4, -0x1.0e7500b4675dfp-4, -0x1.0758c4f8b56cap-4, -0x1.0068bc677693fp-4, -0x1.f347c6ac47e4ap-5, -0x1.e612785a75ce6p-5, -0x1.d92f9e82bf46ap-5, -0x1.cc9d555938cb6p-5, -0x1.c059c44fc0759p-5, -0x1.b4631dc9c45dfp-5, -0x1.a8b79ed129df9p-5, -0x1.9d558ecca8663p-5, -0x1.923b3f37e2b9ep-5, -0x1.8766bd0dd8d4p-5, -0x1.7cd70ea854e9ap-5, -0x1.728a505dddbb2p-5, -0x1.687ef906c1d03p-5, -0x1.5eb3884bcf652p-5, -0x1.5526866e6352ep-5, -0x1.4bd6841225901p-5, -0x1.42c21a0865ee5p-5, -0x1.39e7e91d11546p-5, -0x1.314699e52d843p-5, -0x1.28dcdc8ed89cdp-5, -0x1.20a968b2b9573p-5, -0x1.18aafd26d8413p-5, -0x1.10e05fd2d43d7p-5, -0x1.09485d85648fcp-5, -0x1.01e1c9cb1cd91p-5, -0x1.f556fd8cd036p-6, -0x1.e748ba11503b7p-6, -0x1.d99696d8e18aep-6, -0x1.cc3e6de1a4a6dp-6, -0x1.bf3e252b4bcfep-6, -0x1.b293ae71a205dp-6, -0x1.a63d06e8ee6dbp-6, -0x1.9a3836fc1d995p-6, -0x1.8e83520ca1e81p-6, -0x1.831c76340290bp-6, -0x1.7801cc0702195p-6, -0x1.6d31865a5cf3dp-6, -0x1.62a9e2090b214p-6, -0x1.586925bc06446p-6, -0x1.4e6da1b388e1dp-6, -0x1.44b5af91bc3eep-6, -0x1.3b3fb226cff2dp-6, -0x1.320a153e6e7ecp-6, -0x1.29134d6e9326fp-6, -0x1.2059d7e79a574p-6, -0x1.17dc3a45b0786p-6, -0x1.0f9902635af2p-6, -0x1.078ec62d4918ap-6, -0x1.ff7846ee653c2p-7, -0x1.f03f7fa3b6e4ep-7, -0x1.e17090c424501p-7, -0x1.d308e3717d564p-7, -0x1.c505ef57ab592p-7, -0x1.b7653a608344fp-7, -0x1.aa245869463a7p-7, -0x1.9d40eaf9dc22cp-7, -0x1.90b8a0fda6675p-7, -0x1.8489367de693ep-7, -0x1.78b0745d9f8e9p-7, -0x1.6d2c3016f2cd3p-7, -0x1.61fa4b79dd62bp-7, -0x1.5718b46c65c86p-7, -0x1.4c8564ac07b7cp-7, -0x1.423e61907f4c6p-7, -0x1.3841bbcfd086ap-7, -0x1.2e8d8f438eb3fp-7, -0x1.252002af55a92p-7, -0x1.1bf7478871b74p-7, -0x1.131199beac5c3p-7, -0x1.0a6d3f86392dfp-7, -0x1.02088922bcdp-7, -0x1.f3c3a166b74cbp-8, -0x1.e3eef3ffb561fp-8, -0x1.d48fe48d7c4d9p-8, -0x1.c5a36018c3784p-8, -0x1.b72665d618d09p-8, -0x1.a91606c7d5f57p-8, -0x1.9b6f6561df552p-8, -0x1.8e2fb52f3eb6cp-8, -0x1.81543a795d37cp-8, -0x1.74da49f0e458bp-8, -0x1.68bf4858581bcp-8, -0x1.5d00aa302c01p-8, -0x1.519bf36472f6fp-8, -0x1.468eb6fc00062p-8, -0x1.3bd696c916669p-8, -0x1.3171431b784d6p-8, -0x1.275c7a73dbc2dp-8, -0x1.1d960938d19cfp-8, -0x1.141bc96cf4acfp-8, -0x1.0aeba2666ea26p-8, -0x1.02038887d2ec8p-8, -0x1.f2c2f9f467783p-9, -0x1.e2071ad0fa7eep-9, -0x1.d1cfa7780f3d3p-9, -0x1.c218ebb4c8ff5p-9, -0x1.b2df4ac8a55f1p-9, -0x1.a41f3eebd1148p-9, -0x1.95d558cfa867dp-9, -0x1.87fe3f239ef1fp-9, -0x1.7a96ae1c30a6cp-9, -0x1.6d9b76fc375dap-9, -0x1.61097fa02a1dap-9, -0x1.54ddc20bb2442p-9, -0x1.49154bf9267ecp-9, -0x1.3dad3e6b28f5bp-9, -0x1.32a2cd402f399p-9, -0x1.27f33ec82fa29p-9, -0x1.1d9beb5c09b92p-9, -0x1.139a3cf700ec5p-9, -0x1.09ebaed1f1c1ep-9, -0x1.008dcd009171bp-9, -0x1.eefc6820b06ffp-10, -0x1.dd7521527a6f2p-10, -0x1.cc813e6088f59p-10, -0x1.bc1c56d760b52p-10, -0x1.ac422052142bcp-10, -0x1.9cee6dc983f93p-10, -0x1.8e1d2ee6ef01ep-10, -0x1.7fca6f59d37fep-10, -0x1.71f256311b606p-10, -0x1.6491253757211p-10, -0x1.57a338522a14bp-10, -0x1.4b2504e4b9e6p-10, -0x1.3f13193550a16p-10, -0x1.336a1bd5c8914p-10, -0x1.2826cb0efc77ep-10, -0x1.1d45fc4f5deecp-10, -0x1.12c49b9c0c689p-10, -0x1.089fab04e42eep-10, -0x1.fda88436f1f1bp-11, -0x1.eabf1ad938ce5p-11, -0x1.d87d9bf96365ap-11, -0x1.c6deb18d78a2bp-11, -0x1.b5dd2c7b9428fp-11, -0x1.a57403a2b4e62p-11, -0x1.959e52e7f0a46p-11, -0x1.86575a4910775p-11, -0x1.779a7cf3b0558p-11, -0x1.696340620219bp-11, -0x1.5bad4b7b78165p-11, -0x1.4e7465baad0f4p-11, -0x1.41b47657c94b4p-11, -0x1.356983778409fp-11, -0x1.298fb15e4e4dcp-11, -0x1.1e2341a8aea8cp-11, -0x1.1320928707694p-11, -0x1.08841dfe3991dp-11, -0x1.fc94f2589460cp-12, -0x1.e8e0a722732e2p-12, -0x1.d5e4ecb74f9f8p-12, -0x1.c39b8774298e4p-12, -0x1.b1fe6c5e8bdfep-12, -0x1.a107bfd62819fp-12, -0x1.90b1d44d9c471p-12, -0x1.80f7290ac80e5p-12, -0x1.71d268ee31161p-12, -0x1.633e69424c9d8p-12, -0x1.55362890f1cccp-12, -0x1.47b4cd803648fp-12, -0x1.3ab5a5b6159f2p-12, -0x1.2e3424c31510ep-12, -0x1.222be312c9613p-12, -0x1.16989ce33fcaap-12, -0x1.0b763142f6cd2p-12, -0x1.00c0a1148b0cap-12, -0x1.ece81c3169f5dp-13, -0x1.d91973fcc282p-13, -0x1.c60e0af12696p-13, -0x1.b3bedeb47330cp-13, -0x1.a225276daac45p-13, -0x1.913a561440dfcp-13, -0x1.80f812c794051p-13, -0x1.71583b3257a38p-13, -0x1.6254e0f8b4c39p-13, -0x1.53e8482e98df3p-13, -0x1.460ce5db7ae16p-13, -0x1.38b89039a185dp-13, -0x1.2bf023e8b89f2p-13, -0x1.1fa962aa886dp-13, -0x1.13df76db5a27dp-13, -0x1.088db4e715262p-13, -0x1.fb5f34065eb02p-14, -0x1.e68195e087db2p-14, -0x1.d27a258c61e08p-14, -0x1.bf40c38c61fb9p-14, -0x1.accd986c29258p-14, -0x1.9b1912869f0e4p-14, -0x1.8a1be3dad1f1ap-14, -0x1.79cefff0dfb98p-14, -0x1.6a2b99ca5d0efp-14, -0x1.5b2b21e7d2f8bp-14, -0x1.4cc74454be733p-14, -0x1.3ef9e6c5871bp-14, -0x1.31bd26c1fe91fp-14, -0x1.250b57dc9d933p-14, -0x1.18df01f6c6c63p-14, -0x1.0d32df9181b8cp-14, -0x1.0201dc29f783p-14, -0x1.ee8e2546d0e9ep-15, -0x1.d9fb97711954p-15, -0x1.c642f8fd353e5p-15, -0x1.b35b89dbf774ap-15, -0x1.a13cdcefd1524p-15, -0x1.8fded54cc3a7dp-15, -0x1.7f39a38d7327dp-15, -0x1.6f45c33aa2deep-15, -0x1.5ffbf845019edp-15, -0x1.51554c97d389cp-15, -0x1.434b0db79bcbp-15, -0x1.35d6ca767a4f7p-15, -0x1.28f250b694724p-15, -0x1.1c97ab42e401ap-15, -0x1.10c11fb4bf43ep-15, -0x1.05692c6bff996p-15, -0x1.f5150d257c038p-16, -0x1.e040306ed0917p-16, -0x1.cc49fcdcd84c1p-16, -0x1.b9290f1270aa7p-16, -0x1.a6d462ae421e6p-16, -0x1.95434ee9bc48ap-16, -0x1.846d8357a70a3p-16, -0x1.744b04b22057p-16, -0x1.64d429d480db5p-16, -0x1.560198ba95666p-16, -0x1.47cc43a7b74a8p-16, -0x1.3a2d6657bf799p-16, -0x1.2d1e83525fca3p-16, -0x1.2099614e9ddbap-16, -0x1.149808ade9724p-16, -0x1.0914c10dee333p-16, -0x1.fc141dc7fba21p-17, -0x1.e6e562867a6d4p-17, -0x1.d2933f3c49a13p-17, -0x1.bf140f4f002c6p-17, -0x1.ac5e968631081p-17, -0x1.9a69fd0fbc7f7p-17, -0x1.892dcba44952ap-17, -0x1.78a1e7d8c14dp-17, -0x1.68be907a09df8p-17, -0x1.597c5a1d37254p-17, -0x1.4ad42bc41fe12p-17, -0x1.3cbf3ba20c14ap-17, -0x1.2f370bff1125cp-17, -0x1.2235682a22bd4p-17, -0x1.15b461a1a496bp-17, -0x1.09ae4d3be1f1p-17, -0x1.fc3b80d41033ep-18, -0x1.e5fb1d62f603ap-18, -0x1.d0918e28245edp-18, -0x1.bbf5635a45652p-18, -0x1.a81d9aa17d7bep-18, -0x1.95019aaec8874p-18, -0x1.82992ed169b08p-18, -0x1.70dc82d0a4a1bp-18, -0x1.5fc41eca38d19p-18, -0x1.4f48e378b89ecp-18, -0x1.3f640656b2f2fp-18, -0x1.300f0e03447d3p-18, -0x1.2143cedc3f88fp-18, -0x1.12fc6798876d6p-18, -0x1.05333e16dd2e1p-18, -0x1.efc5f887d821fp-19, -0x1.d60d1a4ffda9bp-19, -0x1.bd3233da9b948p-19, -0x1.a52c0e95a8e01p-19, -0x1.8df1e58156f14p-19, -0x1.777b6032c4499p-19, -0x1.61c08de012804p-19, -0x1.4cb9e0b85d3bp-19, -0x1.3860295dbb824p-19, -0x1.24ac928dbbcf5p-19, -0x1.11989cfd7b6e1p-19, -0x1.fe3c36a15e731p-20, -0x1.da6e5ca6b5001p-20, -0x1.b7bc828206f59p-20, -0x1.961c0c55dda67p-20, -0x1.7582e58143447p-20, -0x1.55e779e0881d7p-20, -0x1.3740afa5fb6a9p-20, -0x1.1985e16558de3p-20, -0x1.f95db0b199a98p-21, -0x1.c1678dcd21c09p-21, -0x1.8b1a86e625d6cp-21, -0x1.5668868f10cc2p-21, -0x1.23442b9f3f95bp-21, -0x1.e34180097d3fbp-22, -0x1.82e45fe0f0c9bp-22, -0x1.255a0329d677ap-22, -0x1.951934305693dp-23, -0x1.c99da252d273ep-24, -0x1.cd6b8f87efc9fp-26, 0x1.b1c191ced66f7p-25, 0x1.0dae5aa014b95p-23, 0x1.aa2e5ba8e4ddcp-23, 0x1.2108581295354p-22, 0x1.6aba0a592587cp-22, 0x1.b23ae802f349ep-22, 0x1.f798e3cdb89b2p-22, 0x1.1d70a5466fc49p-21, 0x1.3e1065d5e57dbp-21, 0x1.5db1c14cc84f4p-21, 0x1.7c5a80341be27p-21, 0x1.9a10292879fbdp-21, 0x1.b6d8056d36e08p-21, 0x1.d2b723f1b82dp-21, 0x1.edb25da39f1b2p-21, 0x1.03e72c1c9f419p-20, 0x1.1087c4be3187p-20, 0x1.1cbd1d0c3f612p-20, 0x1.288944988b2fap-20, 0x1.33ee36fed651fp-20, 0x1.3eeddd6e15584p-20, 0x1.498a0fec7790ap-20, 0x1.53c49661052edp-20, 0x1.5d9f29b143589p-20, 0x1.671b74a8ce498p-20, 0x1.703b15170322dp-20, 0x1.78ff9c99ee9p-20, 0x1.816a917c3822ep-20, 0x1.897d6f8517a15p-20, 0x1.9139a8ad22352p-20, 0x1.98a0a5dcad066p-20, 0x1.9fb3c77683373p-20, 0x1.a674666106608p-20, 0x1.ace3d3f4c9fd6p-20, 0x1.b3035afaeaa88p-20, 0x1.b8d4400c669cbp-20, 0x1.be57c20c8744p-20, 0x1.c38f1a99086c3p-20, 0x1.c87b7e75fba9cp-20, 0x1.cd1e1df22d451p-20, 0x1.d178250e6517ap-20, 0x1.d58abc3024d93p-20, 0x1.d957081582b1bp-20, 0x1.dcde2a6c14c72p-20, 0x1.e02141ac5c0ebp-20, 0x1.e32169cff933p-20, 0x1.e5dfbc12a0d45p-20, 0x1.e85d4f6cc91dcp-20, 0x1.ea9b38a20fa9p-20, 0x1.ec9a8a7ecfb1fp-20, 0x1.ee5c55e2c1d48p-20, 0x1.efe1aa07aap-20, 0x1.f12b948a231edp-20, 0x1.f23b215f63a6ap-20, 0x1.f3115b1ea2c18p-20, 0x1.f3af4b1ca82f6p-20, 0x1.f415f946ce2cep-20, 0x1.f4466c59923fap-20, 0x1.f441a9e5341bdp-20, 0x1.f408b649190ccp-20, 0x1.f39c94ec02b9p-20, 0x1.f2fe47dc42304p-20, 0x1.f22ed04b05c1dp-20, 0x1.f12f2e47d3491p-20, 0x1.f00060bc8e261p-20, 0x1.eea365c0fc2b3p-20, 0x1.ed193a1ab3fc9p-20, 0x1.eb62d98e3dcap-20, 0x1.e9813ec5aa86dp-20, 0x1.e775634c1d5dfp-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0e53f7e6a7e6ap-1, -0x1.05068e78f8422p-1, -0x1.f52671eebe4b8p-2, -0x1.de3d4fce78702p-2, -0x1.c596bb5851f97p-2, -0x1.ab73df3251e89p-2, -0x1.9012877a89c28p-2, -0x1.73ac890f10c63p-2, -0x1.567743db6cb04p-2, -0x1.38a3d7d64828ap-2, -0x1.1a5fb78505eep-2, -0x1.f7aa2fb952e7ap-3, -0x1.ba55cc80f4587p-3, -0x1.7d08df3cc9bc1p-3, -0x1.40027779cda6cp-3, -0x1.037ab387d7f84p-3, -0x1.8f479c316320bp-4, -0x1.1955fe891401dp-4, -0x1.4ae3bd131d417p-5, -0x1.9f1d04055f691p-7, 0x1.d8aaf9c105c09p-7, 0x1.4e788aa0e5774p-5, 0x1.107429c609986p-4, 0x1.768f97e6876e4p-4, 0x1.d96f0c8afa5adp-4, 0x1.1c7caf290dcecp-3, 0x1.4a8d97d83f1ecp-3, 0x1.76e3249f3fb16p-3, 0x1.a1787c32beac3p-3, 0x1.ca4ac5941aa11p-3, 0x1.f158f6bc48b45p-3, 0x1.0b51d6bd20493p-2, 0x1.1d168565da55ep-2, 0x1.2dfc46ce0da33p-2, 0x1.3e05771ab75b8p-2, 0x1.4d34fe1ae160dp-2, 0x1.5b8e3f6786be2p-2, 0x1.69150ad653df8p-2, 0x1.75cd8cc88cf25p-2, 0x1.81bc3ec47a8f6p-2, 0x1.8ce5d95070807p-2, 0x1.974f47da3e74bp-2, 0x1.a0fd9ee46c8cfp-2, 0x1.a9f614381d7b5p-2, 0x1.b23df8ace445cp-2, 0x1.b9dab31bb1d3cp-2, 0x1.c0d1bc1330f83p-2, 0x1.c72899cfba277p-2, 0x1.cce4dbe74719cp-2, 0x1.d20c162f42e0ap-2, 0x1.d6a3daad78abfp-2, 0x1.dab1b2d1a401ap-2, 0x1.de3b1898554cep-2, 0x1.e145706aee66ap-2, 0x1.e3d6047f7c31cp-2, 0x1.e5f2022a19d63p-2, 0x1.e79e79187e69bp-2, 0x1.e8e05bf5beaccp-2, 0x1.e9bc81a0de4a1p-2, 0x1.ea37a61103f7dp-2, 0x1.ea566a3a85cffp-2, 0x1.ea1d52b1c04bcp-2, 0x1.e990c53d13085p-2, 0x1.e8b58e0e1d233p-2, 0x1.e78ebe0de6425p-2, 0x1.e620bd593b9adp-2, 0x1.e46f5789002f8p-2, 0x1.e27e36666b127p-2, 0x1.e050e3e4217abp-2, 0x1.ddeacbee25d0ap-2, 0x1.db4f3dd0dd9d5p-2, 0x1.d8816d118f86ap-2, 0x1.d58471b1cb7b9p-2, 0x1.d25b47f44197dp-2, 0x1.cf08cfcef3c85p-2, 0x1.cb8fcc41106c4p-2, 0x1.c7f2e2c17f96dp-2, 0x1.c4349af0ba965p-2, 0x1.c0575ea880358p-2, 0x1.bc5d7a725e5f7p-2, 0x1.b8491e5e75392p-2, 0x1.b41c5f285826p-2, 0x1.afd937916f32p-2, 0x1.ab8189d6ca5c3p-2, 0x1.a717212abab1ep-2, 0x1.a29bb31fa1218p-2, 0x1.9e10e0f79e8d1p-2, 0x1.997838d2f40b7p-2, 0x1.94d336bbd5604p-2, 0x1.90234591db549p-2, 0x1.8b69bfd8ca9a6p-2, 0x1.86a7f06ea96p-2, 0x1.81df132c559cap-2, 0x1.7d105572b90c7p-2, 0x1.783cd6a5f339ap-2, 0x1.7365a8976862bp-2, 0x1.6e8bcfe017499p-2, 0x1.69b0442d5ddf5p-2, 0x1.64d3f083955efp-2, 0x1.5ff7b37af5dc6p-2, 0x1.5b1c5f7bf48fbp-2, 0x1.5642bb007c93bp-2, 0x1.516b80ded5f0fp-2, 0x1.4c9760a20216cp-2, 0x1.47c6fef1c3c96p-2, 0x1.42faf60ac54fcp-2, 0x1.3e33d64593765p-2, 0x1.397226a99e52fp-2, 0x1.34b665884928p-2, 0x1.3001091b6b35dp-2, 0x1.2b52802267775p-2, 0x1.26ab3279417e5p-2, 0x1.220b81a5ae404p-2, 0x1.1d73c956faa9ep-2, 0x1.18e45fd6af6a2p-2, 0x1.145d9668d7284p-2, 0x1.0fdfb99be2c06p-2, 0x1.0b6b118907dd7p-2, 0x1.06ffe206a947bp-2, 0x1.029e6acee9d43p-2, 0x1.fc8dcf39a7c15p-3, 0x1.f3f320853d07p-3, 0x1.eb6d317718ca6p-3, 0x1.e2fc627737366p-3, 0x1.daa10c7e025a2p-3, 0x1.d25b8135d881ep-3, 0x1.ca2c0b216bb17p-3, 0x1.c212edc84419p-3, 0x1.ba1065e9fbf09p-3, 0x1.b224a9b818917p-3, 0x1.aa4fe915c1f05p-3, 0x1.a2924ddc4524cp-3, 0x1.9aebfc230cb4ep-3, 0x1.935d128992a81p-3, 0x1.8be5aa81d3057p-3, 0x1.8485d899fcceep-3, 0x1.7d3dacc42d9b9p-3, 0x1.760d329b5e8e9p-3, 0x1.6ef471a4dd4bp-3, 0x1.67f36d8de9fd1p-3, 0x1.610a26655e508p-3, 0x1.5a3898d15b93fp-3, 0x1.537ebe4136907p-3, 0x1.4cdc8d1be06bbp-3, 0x1.4651f8eb2f182p-3, 0x1.3fdef2844c932p-3, 0x1.3983682daf74ep-3, 0x1.333f32fbf160dp-3, 0x1.2d1218d6e1aabp-3, 0x1.26fc3b33adfe2p-3, 0x1.20fd80b714f1bp-3, 0x1.1b15cdf3202c9p-3, 0x1.1545057d82a89p-3, 0x1.0f8b08054a8c5p-3, 0x1.09e7b4680e338p-3, 0x1.045ae7c6b7945p-3, 0x1.fdc8fb33e690ep-4, 0x1.f3089f8cccd42p-4, 0x1.e8746d61416afp-4, 0x1.de0c12a1bad18p-4, 0x1.d3cf3a8d0ee48p-4, 0x1.c9bd8dd6f2054p-4, 0x1.bfd6b2cdf24d8p-4, 0x1.b61a4d80bbcd5p-4, 0x1.ac87ffe29d081p-4, 0x1.a31f69ef2339bp-4, 0x1.99e029ccc75b1p-4, 0x1.90c9dbee755c3p-4, 0x1.87dc1b33ee75dp-4, 0x1.7f168108eaf2ap-4, 0x1.7678a582e709ep-4, 0x1.6e021f7d9d129p-4, 0x1.65b284b620936p-4, 0x1.5d8969e4a327ep-4, 0x1.558662d4e6647p-4, 0x1.4da9027d69dbbp-4, 0x1.45f0db1563577p-4, 0x1.3e5d7e2997155p-4, 0x1.36ee7cb0219f6p-4, 0x1.2fa3671b4c68ap-4, 0x1.287bcd6b81952p-4, 0x1.21773f4076818p-4, 0x1.1a954be99c83dp-4, 0x1.13d58275f439ap-4, 0x1.0d3771c346608p-4, 0x1.06baa88cdf126p-4, 0x1.005eb579cab2bp-4, 0x1.f4464e55518c6p-5, 0x1.e80f188e2ad54p-5, 0x1.dc16e71569ba3p-5, 0x1.d05cd7a3c2d22p-5, 0x1.c4e0084c080a6p-5, 0x1.b99f979329401p-5, 0x1.ae9aa4878f21p-5, 0x1.a3d04ed7cffb9p-5, 0x1.993fb6e8bed5fp-5, 0x1.8ee7fdead2573p-5, 0x1.84c845eee9233p-5, 0x1.7adfb1fa6607ep-5, 0x1.712d661aa50a7p-5, 0x1.67b08777c6dep-5, 0x1.5e683c66d6fc3p-5, 0x1.5553ac7b45566p-5, 0x1.4c720097b77ecp-5, 0x1.43c262fe2f865p-5, 0x1.3b43ff5f89f88p-5, 0x1.32f602ea4f151p-5, 0x1.2ad79c58e28b6p-5, 0x1.22e7fbff023b5p-5, 0x1.1b2653d6a5939p-5, 0x1.1391d78c33b32p-5, 0x1.0c29bc8a1a289p-5, 0x1.04ed3a03c06f6p-5, 0x1.fbb711ffbae72p-6, 0x1.ede7c8c4648a7p-6, 0x1.e06b11e958e5ap-6, 0x1.d33f6adfe7d2fp-6, 0x1.c6635506c698cp-6, 0x1.b9d555b8eedc8p-6, 0x1.ad93f65b614b8p-6, 0x1.a19dc469d9584p-6, 0x1.95f1518280d39p-6, 0x1.8a8d3370a1447p-6, 0x1.7f70043661125p-6, 0x1.749862158f51dp-6, 0x1.6a04ef978b92ep-6, 0x1.5fb453944f512p-6, 0x1.55a539389b23fp-6, 0x1.4bd6500b5aac1p-6, 0x1.42464bf23d252p-6, 0x1.38f3e535861cep-6, 0x1.2fddd88331c41p-6, 0x1.2702e6f15436ap-6, 0x1.1e61d5ffd9bb7p-6, 0x1.15f96f9993934p-6, 0x1.0dc88214af995p-6, 0x1.05cde03284308p-6, 0x1.fc10c23dafcb7p-7, 0x1.ecedc0dd0d09dp-7, 0x1.de307c3b49674p-7, 0x1.cfd6bd1a360efp-7, 0x1.c1de54ff6cf8fp-7, 0x1.b4451e2d8c6f7p-7, 0x1.a708fb9c6b66cp-7, 0x1.9a27d8f069d5dp-7, 0x1.8d9faa70dfe19p-7, 0x1.816e6cfdaa714p-7, 0x1.75922603ed19bp-7, 0x1.6a08e371ff84ep-7, 0x1.5ed0bbaa9fab2p-7, 0x1.53e7cd775d9bfp-7, 0x1.494c3ffa5b939p-7, 0x1.3efc429f5c2c3p-7, 0x1.34f60d0c2c2d7p-7, 0x1.2b37df1069aabp-7, 0x1.21c00094b80f2p-7, 0x1.188cc1896478bp-7, 0x1.0f9c79d47d31dp-7, 0x1.06ed893f6b35bp-7, 0x1.fcfcaec81744bp-8, 0x1.ec9aa732bfc98p-8, 0x1.dcb1e9bf84f09p-8, 0x1.cd3f739985f72p-8, 0x1.be4050ed2af6cp-8, 0x1.afb19cbe67428p-8, 0x1.a19080be52e24p-8, 0x1.93da352026b57p-8, 0x1.868c006d98fcfp-8, 0x1.79a3375adc729p-8, 0x1.6d1d3c9a14535p-8, 0x1.60f780ae5b7bap-8, 0x1.552f81be7e643p-8, 0x1.49c2cb674366dp-8, 0x1.3eaef68d85229p-8, 0x1.33f1a92ffb86dp-8, 0x1.29889638cf63bp-8, 0x1.1f717d4f091a9p-8, 0x1.15aa2aa7c8fbap-8, 0x1.0c3076d776ea2p-8, 0x1.030246a2cf609p-8, 0x1.f43b159fe20bdp-9, 0x1.e3007feeae3cep-9, 0x1.d250dca9cc008p-9, 0x1.c2285331eccf9p-9, 0x1.b28321730ac74p-9, 0x1.a35d9b86c6408p-9, 0x1.94b42b5728bbbp-9, 0x1.86835041af4bcp-9, 0x1.78c79eba95bd9p-9, 0x1.6b7dbff09b595p-9, 0x1.5ea2717137197p-9, 0x1.523284cd2d46cp-9, 0x1.462adf3dc855p-9, 0x1.3a88794a85275p-9, 0x1.2f485e6f66877p-9, 0x1.2467acc3e48bep-9, 0x1.19e394a286919p-9, 0x1.0fb958511fe71p-9, 0x1.05e64ba9df01ep-9, 0x1.f8cfa78a2e166p-10, 0x1.e676cd47745eep-10, 0x1.d4bd15b567f9ap-10, 0x1.c39dae7e6ba56p-10, 0x1.b313e52738e13p-10, 0x1.a31b266ad19afp-10, 0x1.93aefd9824769p-10, 0x1.84cb13f17371fp-10, 0x1.766b300dad4e5p-10, 0x1.688b353b9a39cp-10, 0x1.5b2722e724e6bp-10, 0x1.4e3b14003a173p-10, 0x1.41c33e640282ep-10, 0x1.35bbf247da98fp-10, 0x1.2a2199a67e546p-10, 0x1.1ef0b7af26b72p-10, 0x1.14169bd984868p-10, 0x1.09af66628674p-10, 0x1.ff4f8b94e40a3p-11, 0x1.ebf937be374a8p-11, 0x1.d955c1dbad824p-11, 0x1.c75f467f353e1p-11, 0x1.b6100d2f1a907p-11, 0x1.a56287668eb24p-11, 0x1.95514f9acaaddp-11, 0x1.85d7284439976p-11, 0x1.76eefaeba9ddfp-11, 0x1.6893d73c00e3p-11, 0x1.5ac0f2176fe8ep-11, 0x1.4d71a4b1393d9p-11, 0x1.40a16bab51b62p-11, 0x1.344be6382482p-11, 0x1.286cd540309c4p-11, 0x1.1d001a8be9ae5p-11, 0x1.1201b7f116ea7p-11, 0x1.076dce848f77p-11, 0x1.fa813b9f2fe4p-12, 0x1.e6ed061267d39p-12, 0x1.d417f0a63d03dp-12, 0x1.c1fb27f576a98p-12, 0x1.b0900f7b6029dp-12, 0x1.9fd040242ba21p-12, 0x1.8fb586e49a394p-12, 0x1.8039e35945347p-12, 0x1.7157866c84d89p-12, 0x1.6308d103e67f3p-12, 0x1.554852b3d62f9p-12, 0x1.4810c87b24e0ap-12, 0x1.3b5d1b8472fc3p-12, 0x1.2f285feeba647p-12, 0x1.236dd39c8ff22p-12, 0x1.1828dd09132ap-12, 0x1.0d550a250fb88p-12, 0x1.02ee0f3863805p-12, 0x1.f1df8b96090a2p-13, 0x1.deac5727e0feap-13, 0x1.cc3ac2db6cc47p-13, 0x1.ba8354a4395f3p-13, 0x1.a97ed4b432dcdp-13, 0x1.99264b8a64499p-13, 0x1.8973000b7a3dcp-13, 0x1.7a5e75a63028p-13, 0x1.6be26a82eb2ddp-13, 0x1.5df8d5be4e64ep-13, 0x1.509be5ae96da8p-13, 0x1.43c5fe343d832p-13, 0x1.3771b714bd09cp-13, 0x1.2b99da5f54c45p-13, 0x1.203962dcfea5dp-13, 0x1.154b7a89da533p-13, 0x1.0acb7918938f8p-13, 0x1.00b4e27fa0df9p-13, 0x1.ee06cb2189594p-14, 0x1.db65b530a9fe6p-14, 0x1.c97e840eec86fp-14, 0x1.b849864d494fcp-14, 0x1.a7bf55a28d0f8p-14, 0x1.97d8d47499517p-14, 0x1.888f2b716885fp-14, 0x1.79dbc73bc0b3bp-14, 0x1.6bb856248f7dep-14, 0x1.5e1ec5f7e1276p-14, 0x1.510941d80a5aep-14, 0x1.44723028e555dp-14, 0x1.38543089ec14p-14, 0x1.2caa19dffc7cap-14, 0x1.216ef86aad962p-14, 0x1.169e0bed26adp-14, 0x1.0c32c5e138fb9p-14, 0x1.0228c7b6f8ac2p-14, 0x1.f0f7c2499be59p-15, 0x1.de501d0439eaep-15, 0x1.cc52ee5f03e1dp-15, 0x1.baf8d8174734dp-15, 0x1.aa3acbe1ad6a8p-15, 0x1.9a12088888b8ep-15, 0x1.8a781718bc063p-15, 0x1.7b66c821ce66p-15, 0x1.6cd8311518961p-15, 0x1.5ec6a9b217373p-15, 0x1.512cc989827aap-15, 0x1.4405659934f82p-15, 0x1.374b8df0924b6p-15, 0x1.2afa8b706db7ep-15, 0x1.1f0ddd9e4447p-15, 0x1.13813881927bcp-15, 0x1.08508298a2e97p-15, 0x1.faefa5baddd4ep-16, 0x1.e5e6ddb132dabp-16, 0x1.d17f918e08161p-16, 0x1.bdb2fb9885e5p-16, 0x1.aa7aa8718be24p-16, 0x1.97d073b095b6dp-16, 0x1.85ae84a6780f6p-16, 0x1.740f4b3b29965p-16, 0x1.62ed7ce19a5bcp-16, 0x1.524411add775cp-16, 0x1.420e417b7728cp-16, 0x1.324781337ba8dp-16, 0x1.22eb8029dfbcap-16, 0x1.13f6258e521a9p-16, 0x1.05638df8c1806p-16, 0x1.ee601210f930bp-17, 0x1.d2b02e3c626a5p-17, 0x1.b7b0ce443d0eap-17, 0x1.9d5ba8cde4c7dp-17, 0x1.83aac93652392p-17, 0x1.6a988bab7d109p-17, 0x1.521f9952502fap-17, 0x1.3a3ae49608f62p-17, 0x1.22e5a5bab15dbp-17, 0x1.0c1b577407fc3p-17, 0x1.ebaf67160fb19p-18, 0x1.c02d5fb7c8204p-18, 0x1.95a8f6837f99dp-18, 0x1.6c1af56f3aeb2p-18, 0x1.437c8d2099e98p-18, 0x1.1bc74f9dba2f9p-18, 0x1.e9ea5646310c2p-19, 0x1.9e00ca99e3827p-19, 0x1.53c72cc50170bp-19, 0x1.0b33497461bc1p-19, 0x1.88770237a1f16p-20, 0x1.fb5afddc9d926p-21, 0x1.d7e39f0d30ad5p-22, -0x1.d6dda3246c168p-25, -0x1.20e280194c964p-21, -0x1.0f4476051c699p-20, -0x1.8b3e25ad161a3p-20, -0x1.02359213b13aap-19, -0x1.3d6bc8816ecf3p-19, -0x1.774770df6e584p-19, -0x1.afcdf6686f2a8p-19, -0x1.e7047a1a0e441p-19, -0x1.0e77ebd1b4d6dp-18, -0x1.28ca551903159p-18, -0x1.427ba87ad8042p-18, -0x1.5b8df9b18c745p-18, -0x1.740342b4fbfb4p-18, -0x1.8bdd65aa91321p-18, -0x1.a31e2ea72961p-18, -0x1.b9c7559c6e7p-18, -0x1.cfda7fdd9fbbdp-18, -0x1.e55941d0c0fdcp-18, -0x1.fa45205153df5p-18, -0x1.074fc91a7ed24p-17, -0x1.113500c9d9d93p-17, -0x1.1ad2e6872133dp-17, -0x1.242a247f7fdf2p-17, -0x1.2d3b604c38a77p-17, -0x1.36073b7b577cfp-17, -0x1.3e8e5407c256ap-17, -0x1.46d144db2112bp-17, -0x1.4ed0a62a3c073p-17, -0x1.568d0dfcabf26p-17, -0x1.5e07106732a77p-17, -0x1.653f400487bap-17, -0x1.6c362e3489223p-17, -0x1.72ec6b74533f2p-17, -0x1.796287a36963fp-17, -0x1.7f991243fa086p-17, -0x1.85909ab70e238p-17, -0x1.8b49b07d5a982p-17, -0x1.90c4e35c22a21p-17, -0x1.9602c38a4f767p-17, -0x1.9b03e1ec51cc1p-17, -0x1.9fc8d02d1db0ap-17, -0x1.a45220dd7a384p-17, -0x1.a8a06796e16d3p-17, -0x1.acb439162f5f2p-17, -0x1.b08e2b4a3265ep-17, -0x1.b42ed579390dbp-17, -0x1.b796d04015e3fp-17, -0x1.bac6b5a80cc05p-17, -0x1.bdbf2133e3aebp-17, -0x1.c080afe2ebb71p-17, -0x1.c30c00415b696p-17, -0x1.c561b2615c7cp-17, -0x1.c78267e4b640ap-17, -0x1.c96ec3fb6278fp-17, -0x1.cb276b6352403p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.4bd0dc13658f1p+0, -0x1.3e7798afb8ee6p+0, -0x1.3249863c2a001p+0, -0x1.2736bc99cf0fp+0, -0x1.1d2ea1712c7aap+0, -0x1.142042f77c8c5p+0, -0x1.0bfaab6c28083p+0, -0x1.04ad1d2c34b62p+0, -0x1.fc4e3e4234418p-1, -0x1.f0b127baa4cebp-1, -0x1.e663e468c34abp-1, -0x1.dd48dbaffcdp-1, -0x1.d543f2b150367p-1, -0x1.ce3a72e7582cp-1, -0x1.c812ff10e400ap-1, -0x1.c2b59e8ff6fcp-1, -0x1.be0bd810c4519p-1, -0x1.ba00cb9ead942p-1, -0x1.b68138cb27d01p-1, -0x1.b37b68aa5f7d2p-1, -0x1.b0df058356023p-1, -0x1.ae9d6d97bbe26p-1, -0x1.aca742ce53727p-1, -0x1.aaf0760af3a9bp-1, -0x1.a96d7625dcf81p-1, -0x1.a813c245ef444p-1, -0x1.a6d9d71394e7cp-1, -0x1.a5b71ebb45964p-1, -0x1.a4a3e41278c8ap-1, -0x1.a39947999233bp-1, -0x1.a29133fb017f8p-1, -0x1.a1864ff60224bp-1, -0x1.a073ed65665efp-1, -0x1.9f55f721fb5dep-1, -0x1.9e28e063c85f1p-1, -0x1.9ce9977b1b62cp-1, -0x1.9b957c0f5ca98p-1, -0x1.9a2a57c6b25aap-1, -0x1.98a657ef42db5p-1, -0x1.970807340a1bap-1, -0x1.954e46f336413p-1, -0x1.937848164e115p-1, -0x1.91858363c1f0ep-1, -0x1.8f75b15c83e0fp-1, -0x1.8d48c1ec85f32p-1, -0x1.8afed46884a6cp-1, -0x1.8898306007ed2p-1, -0x1.86153fa29ffb4p-1, -0x1.8376898f3de98p-1, -0x1.80bcaf7f3a68bp-1, -0x1.7de869f6b777p-1, -0x1.7afa8640260efp-1, -0x1.77f3e42f0e08ap-1, -0x1.74d573e70db31p-1, -0x1.71a033a17649ep-1, -0x1.6e552d7d489d3p-1, -0x1.6af57567c3d09p-1, -0x1.6782272265b0cp-1, -0x1.63fc645d5e088p-1, -0x1.606552d3f0141p-1, -0x1.5cbe1a58c9f0ep-1, -0x1.5907e2cba8e8fp-1, -0x1.5543d202e9b31p-1, -0x1.51742d80afef9p-1, -0x1.4d97e51900608p-1, -0x1.49b0fa4ad7378p-1, -0x1.45c0773f55eadp-1, -0x1.41c75ff1c958cp-1, -0x1.3dc6b218b4739p-1, -0x1.39bf652447ba9p-1, -0x1.35b26a3dcb091p-1, -0x1.31a0ac36fb9ddp-1, -0x1.2d8b0f5f69b22p-1, -0x1.2972713e495acp-1, -0x1.2557a836fcdf3p-1, -0x1.213b8324084b6p-1, -0x1.1d1ec8f644345p-1, -0x1.1902386533513p-1, -0x1.14e687ba0bf6ap-1, -0x1.10cc64ba77446p-1, -0x1.0cb474b360652p-1, -0x1.089f54a03cb0fp-1, -0x1.048d99688b24ap-1, -0x1.007fd02c1197ep-1, -0x1.f8ecfd2d02937p-2, -0x1.f0e446689db3ap-2, -0x1.e8e66b88ac096p-2, -0x1.e0f44f078704ap-2, -0x1.d90ec6e6f0256p-2, -0x1.d1369d2e9979ep-2, -0x1.c96c90607a1ccp-2, -0x1.c1b153e52e675p-2, -0x1.ba059071fb1a7p-2, -0x1.b269e46922fa1p-2, -0x1.aadee4344c005p-2, -0x1.a3651a9824937p-2, -0x1.9bfd0900721ccp-2, -0x1.94a727c4178a7p-2, -0x1.8d63e661755d2p-2, -0x1.8633abb46aeaap-2, -0x1.7f16d62811643p-2, -0x1.780dbbe6e4e1ap-2, -0x1.7118ab0c3a5b8p-2, -0x1.6a37e9d9b7b4ep-2, -0x1.636bb6f2f9c06p-2, -0x1.5cb449a0cf1fdp-2, -0x1.5611d21c97608p-2, -0x1.4f8479e362eep-2, -0x1.490c640fba61ap-2, -0x1.42a9adb84b43dp-2, -0x1.3c5c6e5154edep-2, -0x1.3624b80e84407p-2, -0x1.30029842e87cfp-2, -0x1.29f617bceb554p-2, -0x1.23ff3b1c7ae27p-2, -0x1.1e1e03221118ap-2, -0x1.18526cf5ae4ebp-2, -0x1.129c726566f85p-2, -0x1.0cfc0a1b8f919p-2, -0x1.077127ccf2ed1p-2, -0x1.01fbbc5fe984bp-2, -0x1.f9376c1a88433p-3, -0x1.eea200f8819afp-3, -0x1.e43709b57305fp-3, -0x1.d9f653e57d71dp-3, -0x1.cfdfa87d73ca1p-3, -0x1.c5f2cbfa02fefp-3, -0x1.bc2f7e87536f7p-3, -0x1.b2957c2a3e10dp-3, -0x1.a9247cebbe363p-3, -0x1.9fdc3507035ep-3, -0x1.96bc551a1cdcp-3, -0x1.8dc48a58ef55ep-3, -0x1.84f47ec20ee9cp-3, -0x1.7c4bd954c9accp-3, -0x1.73ca3e47d868dp-3, -0x1.6b6f4f3ff0914p-3, -0x1.633aab85ae35bp-3, -0x1.5b2bf03a406b6p-3, -0x1.5342b88a69577p-3, -0x1.4b7e9ddf78227p-3, -0x1.43df380e00238p-3, -0x1.3c641d8225ad9p-3, -0x1.350ce36962977p-3, -0x1.2dd91dd9d090dp-3, -0x1.26c85ff6f6a11p-3, -0x1.1fda3c142c489p-3, -0x1.190e6efbfd724p-3, -0x1.12640d04b691ap-3, -0x1.0bdaf9cded6edp-3, -0x1.0572c64e09b26p-3, -0x1.fe56063db1564p-4, -0x1.f2068123b5d55p-4, -0x1.e5f61d8768713p-4, -0x1.da23fb5dbe926p-4, -0x1.ce8f3a7b614d8p-4, -0x1.c336fab79475bp-4, -0x1.b81a5c0e0272cp-4, -0x1.ad387ebf857c9p-4, -0x1.a2908371effep-4, -0x1.98218b4ee8875p-4, -0x1.8deab821bca34p-4, -0x1.83eb2c7433e23p-4, -0x1.7a220baa5723cp-4, -0x1.708e7a1d19d4ep-4, -0x1.672f9d33e0e7bp-4, -0x1.5e049b7cd80bp-4, -0x1.550c9cc410079p-4, -0x1.4c46ca295cef6p-4, -0x1.43b24e34f2e46p-4, -0x1.3b4e54eabfb41p-4, -0x1.331a0bdc82b06p-4, -0x1.2b14a23aaee8cp-4, -0x1.233d48e416e37p-4, -0x1.1b933274785ap-4, -0x1.14159351e962dp-4, -0x1.0cc3a1b9413d3p-4, -0x1.059c95c98234p-4, -0x1.fd3f531cb908ep-5, -0x1.ef983213a7908p-5, -0x1.e242447a347b5p-5, -0x1.d53c0a615ab87p-5, -0x1.c88407f782df5p-5, -0x1.bc18c596154a2p-5, -0x1.aff8cfcdd0f09p-5, -0x1.a422b7720219p-5, -0x1.989511a2a7a7ep-5, -0x1.8d4e77d591419p-5, -0x1.824d87de828e5p-5, -0x1.7790e3f669b45p-5, -0x1.6d1732c1b0107p-5, -0x1.62df1f55a6f04p-5, -0x1.58e7593d2401dp-5, -0x1.4f2e947c4c6a1p-5, -0x1.45b389939261dp-5, -0x1.3c74f581f52d4p-5, -0x1.337199c6863ffp-5, -0x1.2aa83c6130613p-5, -0x1.2217a7d2da818p-5, -0x1.19beab1cdbb1ap-5, -0x1.119c19bfce4f5p-5, -0x1.09aecbb9c5eb5p-5, -0x1.01f59d83f5487p-5, -0x1.f4dee01f796ap-6, -0x1.e636518663fb1p-6, -0x1.d7ef62ea50993p-6, -0x1.ca07f0d15fc23p-6, -0x1.bc7de0904b0efp-6, -0x1.af4f203f8c736p-6, -0x1.a279a6afac0ddp-6, -0x1.95fb735cb539ep-6, -0x1.89d28e60dcc13p-6, -0x1.7dfd086662b7ep-6, -0x1.7278fa98b2d57p-6, -0x1.67448694d8667p-6, -0x1.5c5dd6593b48ap-6, -0x1.51c31c34bd2a7p-6, -0x1.477292b53e174p-6, -0x1.3d6a7c9583636p-6, -0x1.33a924aa96c86p-6, -0x1.2a2cddd0a406ap-6, -0x1.20f402d753a46p-6, -0x1.17fcf66db732p-6, -0x1.0f46230dc00a4p-6, -0x1.06cdfae75cb49p-6, -0x1.fd25ef965971ep-7, -0x1.ed273629d68bbp-7, -0x1.dd9cdb2afe1dbp-7, -0x1.ce83fef98d3b4p-7, -0x1.bfd9d0865a178p-7, -0x1.b19b8d25ec82cp-7, -0x1.a3c68062c35f8p-7, -0x1.965803cf2db87p-7, -0x1.894d7ed6f8367p-7, -0x1.7ca46690a18d3p-7, -0x1.705a3d8e83a5ap-7, -0x1.646c93afb93adp-7, -0x1.58d905f0dedecp-7, -0x1.4d9d3e3cb3a16p-7, -0x1.42b6f33cb45dbp-7, -0x1.3823e82999c18p-7, -0x1.2de1ec9be51bbp-7, -0x1.23eedc5c589ebp-7, -0x1.1a489f34996f1p-7, -0x1.10ed28bfbd92bp-7, -0x1.07da783b1d90ep-7, -0x1.fe1d30ae3fc3fp-8, -0x1.ed0f3e1074d35p-8, -0x1.dc875ab035025p-8, -0x1.cc81de6e00c02p-8, -0x1.bcfb369a9c576p-8, -0x1.adefe59aa6cd6p-8, -0x1.9f5c828a9adf9p-8, -0x1.913db8e37adb1p-8, -0x1.8390481ff45dep-8, -0x1.7651036249675p-8, -0x1.697cd11a8e22ap-8, -0x1.5d10aaade6d5ap-8, -0x1.51099c1e47922p-8, -0x1.4564c3b304317p-8, -0x1.3a1f51a222d07p-8, -0x1.2f3687ba5b66ap-8, -0x1.24a7b90e09267p-8, -0x1.1a70499ee00e5p-8, -0x1.108dae0a70cb7p-8, -0x1.06fd6b37a68fdp-8, -0x1.fb7a2c0a35a8bp-9, -0x1.e994a5f065d74p-9, -0x1.d845abdaae1ep-9, -0x1.c788c391e9d9ap-9, -0x1.b7599052fcd4fp-9, -0x1.a7b3d234e679bp-9, -0x1.98936590383b1p-9, -0x1.89f442691513bp-9, -0x1.7bd27bdac2f6fp-9, -0x1.6e2a3f85567p-9, -0x1.60f7d4fd49253p-9, -0x1.54379d3d1916p-9, -0x1.47e61218b8483p-9, -0x1.3bffc5b33cebp-9, -0x1.308161f65a073p-9, -0x1.2567a80bdf39fp-9, -0x1.1aaf6fd93677fp-9, -0x1.1055a77d25a6bp-9, -0x1.065752ceffd1cp-9, -0x1.f96315c09d213p-10, -0x1.e6c2fb0099f8cp-10, -0x1.d4c8d982cdbdap-10, -0x1.c36f5d012ba68p-10, -0x1.b2b157de2ac4p-10, -0x1.a289c23ae6063p-10, -0x1.92f3b91250abbp-10, -0x1.83ea7d57cc826p-10, -0x1.75697319bd58ep-10, -0x1.676c20a7ec97bp-10, -0x1.59ee2dbe4d1fcp-10, -0x1.4ceb62b28479cp-10, -0x1.405fa7a64f048p-10, -0x1.344703bd35102p-10, -0x1.289d9c5662526p-10, -0x1.1d5fb449b102ap-10, -0x1.1289ab28c30a1p-10, -0x1.0817fc842b88cp-10, -0x1.fc0e7e66aebc4p-11, -0x1.e8a84941b9a8ap-11, -0x1.d5f6f0343f6e6p-11, -0x1.c3f43c453ac22p-11, -0x1.b29a279563cdfp-11, -0x1.a1e2dc12fb1e7p-11, -0x1.91c8b23662293p-11, -0x1.82462fc33366p-11, -0x1.735606919d11cp-11, -0x1.64f3135e8fca8p-11, -0x1.57185ca0add13p-11, -0x1.49c11165f44dep-11, -0x1.3cda185c9c806p-11, -0x1.307c980170f64p-11, -0x1.2494fa914dafbp-11, -0x1.191f05ebb8403p-11, -0x1.0e16a337d6b6cp-11, -0x1.0377dde667305p-11, -0x1.f27dc572b6fb4p-12, -0x1.decffda3b98d5p-12, -0x1.cbdf3d86f110ap-12, -0x1.b9a49b59df3fdp-12, -0x1.a81968acfdb7cp-12, -0x1.973730ab5d288p-12, -0x1.86f7b66bd1147p-12, -0x1.7754f34d0189fp-12, -0x1.6849155cad9acp-12, -0x1.59ce7dc7c0d45p-12, -0x1.4bdfbf5301a13p-12, -0x1.3e779ce080537p-12, -0x1.319107fb99a08p-12, -0x1.25271f6fd2ef9p-12, -0x1.19352de8300ap-12, -0x1.0db6a8975a736p-12, -0x1.02a72de94a0cep-12, -0x1.f0050877eab92p-13, -0x1.db89314392c1fp-13, -0x1.c7d2fb5957c98p-13, -0x1.b4dad47ce0452p-13, -0x1.a29970c8545e4p-13, -0x1.9107c87017d9dp-13, -0x1.801f1594c86b3p-13, -0x1.6fd8d22430fcdp-13, -0x1.602eb5cb2a55fp-13, -0x1.511ab3f2a4d58p-13, -0x1.4296f9cbd9945p-13, -0x1.349dec6a8c9a7p-13, -0x1.272a26eaded91p-13, -0x1.1a3678a7642b8p-13, -0x1.0dbde37810daap-13, -0x1.01bb99ff997b2p-13, -0x1.ec55fc0c44712p-14, -0x1.d60f3db9bf83p-14, -0x1.c09a6fa2b2665p-14, -0x1.abef5d4f93f46p-14, -0x1.98062446c423bp-14, -0x1.84d7313241292p-14, -0x1.725b3d18503dp-14, -0x1.608b4aab74ec7p-14, -0x1.4f60a3b06f76cp-14, -0x1.3ed4d6731434ap-14, -0x1.2ee1b34eba62dp-14, -0x1.1f814a5162fe3p-14, -0x1.10ade8e8694b4p-14, -0x1.026217a476915p-14, -0x1.e931301c3e34ap-15, -0x1.ce98c512d4805p-15, -0x1.b4f1489d31536p-15, -0x1.9c317ae0eacd8p-15, -0x1.84507de272383p-15, -0x1.6d45d1d546f31p-15, -0x1.57095186490aap-15, -0x1.41932edff9654p-15, -0x1.2cdbefa2d53dp-15, -0x1.18dc6a0abd9ap-15, -0x1.058dc1c193d6ap-15, -0x1.e5d2c99c9e83fp-16, -0x1.c1d2115394f3dp-16, -0x1.9f0d4ed1403d2p-16, -0x1.7d78fa01ba98cp-16, -0x1.5d0a094478b79p-16, -0x1.3db5ec592f76ap-16, -0x1.1f728762f5678p-16, -0x1.02362e3fa4a0bp-16, -0x1.cbef3fb561a41p-17, -0x1.955c03867d96ep-17, -0x1.60a1b7e1048e5p-17, -0x1.2db0292624a33p-17, -0x1.f8efb091700ap-18, -0x1.99d3e63d4c303p-18, -0x1.3df099ed9ae78p-18, -0x1.ca555e271de22p-19, -0x1.1ed0702b4b967p-19, -0x1.e483488ed2529p-21, 0x1.3747495c98796p-22, 0x1.82f43b7c39577p-20, 0x1.56be2d8630342p-19, 0x1.e6de96e8e18d4p-19, 0x1.3901858881e5bp-18, 0x1.7c28c16d377f3p-18, 0x1.bcf729641a143p-18, 0x1.fb7e1f4fb67b1p-18, 0x1.1be72300d8e1ep-17, 0x1.38fbc521ea6bp-17, 0x1.550495b270abp-17, 0x1.7008e1cecf888p-17, 0x1.8a0fa7d928df6p-17, 0x1.a31f9b76d5393p-17, 0x1.bb3f292cb9288p-17, 0x1.d27479cfa0f05p-17, 0x1.e8c575f48dc2ap-17, 0x1.fe37c9102eef3p-17, 0x1.09687253706d7p-16, 0x1.134b019a4032cp-16, 0x1.1cc6157f46c6dp-16, 0x1.25dc1865ce118p-16, 0x1.2e8f5d3b1736cp-16, 0x1.36e220b3988a6p-16, 0x1.3ed68a7949fa7p-16, 0x1.466eae4906cfap-16, 0x1.4dac8d0a53534p-16, 0x1.549215d552a5ep-16, 0x1.5b2126efb66c8p-16, 0x1.615b8ea52792fp-16, 0x1.67430c4d3b6aep-16, 0x1.6cd9511303105p-16, 0x1.722000c291b5p-16, 0x1.7718b27b9dd0bp-16, 0x1.7bc4f193f8825p-16, 0x1.80263e226116cp-16, 0x1.843e0db817e25p-16, 0x1.880dcbf90ce9dp-16, 0x1.8b96db35c3364p-16, 0x1.8eda94f593859p-16, 0x1.91da4a84218e4p-16, 0x1.949745677815ep-16, 0x1.9712c7e0d8a86p-16, 0x1.994e0d55bf8fbp-16, 0x1.9b4a4ac280f5dp-16, 0x1.9d08af216b84p-16, 0x1.9e8a63b05f2f8p-16, 0x1.9fd08c7139806p-16, 0x1.a0dc4863512bap-16, 0x1.a1aeb1d8a1433p-16, 0x1.a248debcf388p-16, 0x1.a2abe0e4e0193p-16, 0x1.a2d8c6427c797p-16, 0x1.a2d0991d9ad38p-16, 0x1.a294605fc0295p-16, 0x1.a2251fb827605p-16, 0x1.a183d7d1fec0ep-16, 0x1.a0b1867e73ed3p-16, 0x1.9faf26e1d1456p-16, 0x1.9e7db19a3a783p-16, 0x1.9d1e1cdf915bdp-16, 0x1.9b915ca9e78ep-16, 0x1.99d862c3caeb1p-16, 0x1.97f41efb7204p-16, 0x1.95e57f1a329cap-16, 0x1.93ad6f20683f6p-16, 0x1.914cd945886a3p-16, 0x1.8ec4a609de2fbp-16, 0x1.8c15bc4c3bb17p-16, 0x1.8941015712f7p-16, 0x1.864758ed3f81cp-16, 0x1.8329a5554ced1p-16, 0x1.7fe8c76566e53p-16, 0x1.7c859e80a78f7p-16, 0x1.790108affd091p-16, 0x1.755be2958df17p-16, 0x1.719707807f75cp-16, 0x1.6db351630d9c4p-16, 0x1.69b198e108ca9p-16, 0x1.6592b5423405cp-16, 0x1.61577c7cff101p-16, 0x1.5d00c332dfd23p-16, 0x1.588f5cafd7dc4p-16, 0x1.54041ae3f3254p-16, 0x1.4f5fce6a21ecep-16, 0x1.4aa3467af6199p-16, 0x1.45cf50de3e31bp-16, 0x1.40e4ba079b875p-16, 0x1.3be44cf665e33p-16, 0x1.36ced3357a853p-16, 0x1.31a514d85afe3p-16, 0x1.2c67d8739f295p-16, 0x1.2717e31a40b2cp-16, 0x1.21b5f84cbb3d8p-16, 0x1.1c42d9fa8bbcp-16, 0x1.16bf487c04ef8p-16, 0x1.112c0289f6e62p-16, 0x1.0b89c52f78126p-16, 0x1.05d94bcde7649p-16, 0x1.001b500a61237p-16, 0x1.f4a11399cef1p-17, 0x1.e8f35e6e5dbf7p-17, 0x1.dd2ee939dc867p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.9b891802ffa36p-1, 0x1.92ebf042fb81bp-1, 0x1.8a0e037daec75p-1, 0x1.80f3df532f977p-1, 0x1.77a20967e5ecep-1, 0x1.6e1cfc7210cbp-1, 0x1.64692590f83c1p-1, 0x1.5a8ae1e8d2e07p-1, 0x1.50867c7e8e827p-1, 0x1.46602c4efa4aep-1, 0x1.3c1c129d0be93p-1, 0x1.31be397344e21p-1, 0x1.274a92548045fp-1, 0x1.1cc4f518b0a17p-1, 0x1.12311ef255142p-1, 0x1.0792b199aab63p-1, 0x1.f9da65359c9a1p-2, 0x1.e488158870cd2p-2, 0x1.cf350b665923p-2, 0x1.b9e7a2f7b1d5cp-2, 0x1.a4a5fcd619ffep-2, 0x1.8f75fdbf23f6p-2, 0x1.7a5d4e7294e03p-2, 0x1.65615bb8c1c2dp-2, 0x1.5087568dc8fb2p-2, 0x1.3bd4346e9c681p-2, 0x1.274cafc4f9d17p-2, 0x1.12f5486fa222fp-2, 0x1.fda488c87a30dp-3, 0x1.d5cf60d1185d6p-3, 0x1.ae72c1c1444dp-3, 0x1.8795e56011794p-3, 0x1.613f98579c1edp-3, 0x1.3b763c374472bp-3, 0x1.163fc99075b3ep-3, 0x1.e343a45579047p-4, 0x1.9b43069830b16p-4, 0x1.548750252797p-4, 0x1.0f1957b9319a3p-4, 0x1.960272f57ccc4p-5, 0x1.108cb7ecef043p-5, 0x1.1bbdd4ad025e4p-6, 0x1.c0a3e869459ecp-10, -0x1.bbd783a7b89b8p-7, -0x1.d211206b123c8p-6, -0x1.602aa0c15a226p-5, -0x1.d454f2860ea78p-5, -0x1.22c0c48a74694p-4, -0x1.59d5c0b341e38p-4, -0x1.8f6783dd7d0aap-4, -0x1.c374a6c7a6b5p-4, -0x1.f5fc3fd5c8e21p-4, -0x1.137eef134a271p-3, -0x1.2b3cc25bea637p-3, -0x1.4237d2cdd1367p-3, -0x1.58708e9fafab2p-3, -0x1.6de796e2c2163p-3, -0x1.829dbd39903b6p-3, -0x1.96940198ef16p-3, -0x1.a9cb90138b824p-3, -0x1.bc45beb05a254p-3, -0x1.ce040b4c2158cp-3, -0x1.df08198652c3ep-3, -0x1.ef53b0b9609b4p-3, -0x1.fee8b9feb6fecp-3, -0x1.06e49f1f39ec5p-2, -0x1.0dfbb22573755p-2, -0x1.14bab784013fdp-2, -0x1.1b22ddcf53621p-2, -0x1.21355fddf3b83p-2, -0x1.26f383ee1c34ep-2, -0x1.2c5e9ad142702p-2, -0x1.3177ff1d940e5p-2, -0x1.3641146559e1cp-2, -0x1.3abb467442a8p-2, -0x1.3ee808927da39p-2, -0x1.42c8d4cdad6bdp-2, -0x1.465f2b4792da3p-2, -0x1.49ac918a75598p-2, -0x1.4cb291e32d543p-2, -0x1.4f72bac0c8d72p-2, -0x1.51ee9e19b7ee6p-2, -0x1.5427d0d672ab7p-2, -0x1.561fea4183463p-2, -0x1.57d8837ce8799p-2, -0x1.595336fcb6994p-2, -0x1.5a91a006ea2f4p-2, -0x1.5b955a3855421p-2, -0x1.5c60010e93e9cp-2, -0x1.5cf32f76f62cp-2, -0x1.5d507f6242883p-2, -0x1.5d79895d4553fp-2, -0x1.5d6fe42e13666p-2, -0x1.5d352475e37a7p-2, -0x1.5ccadc5776cfcp-2, -0x1.5c329b21e8929p-2, -0x1.5b6decffdc91bp-2, -0x1.5a7e5aaaecb59p-2, -0x1.596569233fad3p-2, -0x1.5824996b3656ap-2, -0x1.56bd684710a9dp-2, -0x1.55314e00773c9p-2, -0x1.5381be2dd04dcp-2, -0x1.51b0277d49791p-2, -0x1.4fbdf3837acebp-2, -0x1.4dac868d8e33p-2, -0x1.4b7d3f76d1f3dp-2, -0x1.493177819f456p-2, -0x1.46ca82337a419p-2, -0x1.4449ad3455deap-2, -0x1.41b04030e41bcp-2, -0x1.3eff7cbfd47d2p-2, -0x1.3c389e49f566p-2, -0x1.395cd9f512f0bp-2, -0x1.366d5e91836e3p-2, -0x1.336b548a4b1f1p-2, -0x1.3057ddd7ba1fcp-2, -0x1.2d3415f474412p-2, -0x1.2a0111d4c6384p-2, -0x1.26bfdfe0368cfp-2, -0x1.237187ed36211p-2, -0x1.20170b3ee4e2bp-2, -0x1.1cb16484c4d44p-2, -0x1.194187dc57e84p-2, -0x1.15c862d4857f7p-2, -0x1.1246dc72bac94p-2, -0x1.0ebdd539add64p-2, -0x1.0b2e2731b2a54p-2, -0x1.0798a5f288aa5p-2, -0x1.03fe1eae9720bp-2, -0x1.005f583f78effp-2, -0x1.f97a2667a2327p-3, -0x1.f23013bc9b754p-3, -0x1.eae1e0cb964ap-3, -0x1.e390e9ad0e5dcp-3, -0x1.dc3e7e689cad3p-3, -0x1.d4ebe31b32ee4p-3, -0x1.cd9a501f0a62p-3, -0x1.c64af2353010cp-3, -0x1.befeeab08ec6cp-3, -0x1.b7b74fa251deep-3, -0x1.b0752c0791e89p-3, -0x1.a9397ff819e52p-3, -0x1.a20540d647c24p-3, -0x1.9ad9597fcfc3cp-3, -0x1.93b6aa7f611c4p-3, -0x1.8c9e0a3f0099ep-3, -0x1.8590453b117c3p-3, -0x1.7e8e1e35ef6d5p-3, -0x1.77984e6bfc96ep-3, -0x1.70af85c81cc8ap-3, -0x1.69d46b187d268p-3, -0x1.63079c439eafbp-3, -0x1.5c49ae7d885b7p-3, -0x1.559b2e7d163c1p-3, -0x1.4efca0b14c278p-3, -0x1.486e8176a85f2p-3, -0x1.41f1454c5931p-3, -0x1.3b8559094e88dp-3, -0x1.352b2211187c4p-3, -0x1.2ee2fe8884bfcp-3, -0x1.28ad4589eb2f7p-3, -0x1.228a475923428p-3, -0x1.1c7a4d9713762p-3, -0x1.167d9b74d3a5ep-3, -0x1.10946de64b734p-3, -0x1.0abefbd45f34ep-3, -0x1.04fd764e794a9p-3, -0x1.fea011773097p-4, -0x1.f36db215570d8p-4, -0x1.e8640fc4aeae9p-4, -0x1.dd8361a022ed7p-4, -0x1.d2cbd4ed09307p-4, -0x1.c83d8d768d761p-4, -0x1.bdd8a5e7a2fcp-4, -0x1.b39d3023701cdp-4, -0x1.a98b359c46fbcp-4, -0x1.9fa2b7a8f9bc4p-4, -0x1.95e3afd8a93cp-4, -0x1.8c4e1044f2297p-4, -0x1.82e1c3e27d90bp-4, -0x1.799eaecfed4fp-4, -0x1.7084aea31f7eap-4, -0x1.67939ab4ca177p-4, -0x1.5ecb446a67e74p-4, -0x1.562b777e78fe6p-4, -0x1.4db3fa4713c02p-4, -0x1.45648dfac5e2bp-4, -0x1.3d3ceef3c69ap-4, -0x1.353cd4f17a1a8p-4, -0x1.2d63f3584781ep-4, -0x1.25b1f96fc2bb3p-4, -0x1.1e26929f2b9ap-4, -0x1.16c166a84745ep-4, -0x1.0f8219e093155p-4, -0x1.08684d68d7e25p-4, -0x1.01739f631cf5fp-4, -0x1.f547564e0763fp-5, -0x1.e7f012e916e2ap-5, -0x1.dae0a14a8a5ddp-5, -0x1.ce1829b7f497fp-5, -0x1.c195d065955b5p-5, -0x1.b558b5cf95a2ap-5, -0x1.a95ff71044bbcp-5, -0x1.9daaae336a74cp-5, -0x1.9237f286b3f26p-5, -0x1.8706d8e749441p-5, -0x1.7c16740c9b305p-5, -0x1.7165d4d06c642p-5, -0x1.66f40a742f006p-5, -0x1.5cc022e3b7ed9p-5, -0x1.52c92af55e20ep-5, -0x1.490e2ea78bccfp-5, -0x1.3f8e395bd425p-5, -0x1.3648560f97318p-5, -0x1.2d3b8f9245a9p-5, -0x1.2466f0b94c2f6p-5, -0x1.1bc98491b9b09p-5, -0x1.1362568fab0aep-5, -0x1.0b3072bb8a1acp-5, -0x1.0332e5dd2e3bdp-5, -0x1.f6d17b49d73bap-6, -0x1.e7a211a53e4bbp-6, -0x1.d8d5aeb5892ap-6, -0x1.ca6a7513446d5p-6, -0x1.bc5e8a4936a7dp-6, -0x1.aeb0171364703p-6, -0x1.a15d479a96071p-6, -0x1.94644bac6f7dep-6, -0x1.87c356f03f408p-6, -0x1.7b78a118954f2p-6, -0x1.6f826611b9abdp-6, -0x1.63dee62d26945p-6, -0x1.588c664a11c8fp-6, -0x1.4d892ffb2540dp-6, -0x1.42d391a97bb25p-6, -0x1.3869deb4f8295p-6, -0x1.2e4a6f9212p-6, -0x1.2473a1e529a26p-6, -0x1.1ae3d89b7d55bp-6, -0x1.11997c01d3d38p-6, -0x1.0892f9d8ef05p-6, -0x1.ff9d8acfc3369p-7, -0x1.ee96af18b6724p-7, -0x1.de0e5d91eb78p-7, -0x1.ce019ea34ad77p-7, -0x1.be6d862cb175ep-7, -0x1.af4f3397a8863p-7, -0x1.a0a3d1e5d81dep-7, -0x1.926897bc389f6p-7, -0x1.849ac76b43b6ep-7, -0x1.7737aef42a8b9p-7, -0x1.6a3ca80b4807ap-7, -0x1.5da71817ecc5bp-7, -0x1.517470319586dp-7, -0x1.45a22d1abf477p-7, -0x1.3a2dd73969d76p-7, -0x1.2f15028d6759ep-7, -0x1.24554ea49cda8p-7, -0x1.19ec668d4761fp-7, -0x1.0fd800c663a91p-7, -0x1.0615df2e5303ap-7, -0x1.f9479ddfaae06p-8, -0x1.e6ff50dae4424p-8, -0x1.d54e9e56ca997p-8, -0x1.c431637057c92p-8, -0x1.b3a3932782612p-8, -0x1.a3a1362b4a7cdp-8, -0x1.94266aa382cb2p-8, -0x1.852f63f879c7ap-8, -0x1.76b86a98ae34ep-8, -0x1.68bddbbcb2078p-8, -0x1.5b3c292960119p-8, -0x1.4e2fd8f08635p-8, -0x1.419585302944cp-8, -0x1.3569dbd07de2p-8, -0x1.29a99e40b7d4ep-8, -0x1.1e51a132cf663p-8, -0x1.135ecc5654a85p-8, -0x1.08ce1a12719cap-8, -0x1.fd392e7e5ef58p-9, -0x1.e98ec5bc409fcp-9, -0x1.d6975ba4f7c2p-9, -0x1.c44d75319bddbp-9, -0x1.b2abb9fc94ce8p-9, -0x1.a1acf3afb42fdp-9, -0x1.914c0d71ed5e4p-9, -0x1.81841354d1cd2p-9, -0x1.725031c1f526cp-9, -0x1.63abb4e85dcf5p-9, -0x1.5592082a1cd04p-9, -0x1.47feb58a3ac44p-9, -0x1.3aed651b05978p-9, -0x1.2e59dc6cea75p-9, -0x1.223ffdfdf023bp-9, -0x1.169bc8a9e8ea2p-9, -0x1.0b69571b7a5d9p-9, -0x1.00a4df3e0ed06p-9, -0x1.ec9563617f28bp-10, -0x1.d8ae7274b4cc1p-10, -0x1.c58df47d09a63p-10, -0x1.b32d24683381ap-10, -0x1.a1856e399aea9p-10, -0x1.90906dfc4d8d6p-10, -0x1.8047eeb7bee77p-10, -0x1.70a5e96764ce5p-10, -0x1.61a483f55975p-10, -0x1.533e1038052f9p-10, -0x1.456d0af2f2dd5p-10, -0x1.382c1adae21c1p-10, -0x1.2b760f9d1bc6bp-10, -0x1.1f45e0ea24e3dp-10, -0x1.1396ad83d6c66p-10, -0x1.0863ba4ee9e2dp-10, -0x1.fb50e2d00c4d4p-11, -0x1.e6c0c2789b91ap-11, -0x1.d30e774b0bddp-11, -0x1.c031aa139a4cfp-11, -0x1.ae2246fde37e8p-11, -0x1.9cd87be2d0d6bp-11, -0x1.8c4cb69dcdd4ap-11, -0x1.7c77a3694ca31p-11, -0x1.6d522b4297a7fp-11, -0x1.5ed57254f69a6p-11, -0x1.50fad66c21f0ep-11, -0x1.43bbed6e03144p-11, -0x1.371283dbbf16dp-11, -0x1.2af89b5a01948p-11, -0x1.1f68694085412p-11, -0x1.145c5530ce35fp-11, -0x1.09cef7b40da9cp-11, -0x1.ff7631c0447a5p-12, -0x1.ec375e0756cdap-12, -0x1.d9d7bab23cdbep-12, -0x1.c84de581a617ep-12, -0x1.b790d103e994p-12, -0x1.a797c2249409dp-12, -0x1.985a4dc983744p-12, -0x1.89d0567d63a65p-12, -0x1.7bf20a276ff32p-12, -0x1.6eb7dfd04d502p-12, -0x1.621a9573d8778p-12, -0x1.56132ddfc0697p-12, -0x1.4a9aee9ebee82p-12, -0x1.3fab5df04a74bp-12, -0x1.353e40cc920fap-12, -0x1.2b4d98f49b8edp-12, -0x1.21d3a30e4f63fp-12, -0x1.18cad4cc50804p-12, -0x1.102ddb2166b03p-12, -0x1.07f7987f5599ep-12, -0x1.00232320f02efp-12, -0x1.f15786be6a741p-13, -0x1.e319e42299e4fp-13, -0x1.d584adee63ffp-13, -0x1.c88f8e5db9dc9p-13, -0x1.bc3287677820fp-13, -0x1.b065efd099f43p-13, -0x1.a52270534df71p-13, -0x1.9a6100d9931bfp-13, -0x1.901ae5caeccfp-13, -0x1.8649ad6cf0459p-13, -0x1.7ce72d562b0f1p-13, -0x1.73ed7ff31f598p-13, -0x1.6b57021ced6ccp-13, -0x1.631e50c149171p-13, -0x1.5b3e469b777bdp-13, -0x1.53b1f9fdd477p-13, -0x1.4c74baabae0c3p-13, -0x1.45820fc2fe146p-13, -0x1.3ed5b5b5b935ep-13, -0x1.386b9c5259f9cp-13, -0x1.323fe4db496ccp-13, -0x1.2c4ee02cda87ap-13, -0x1.26950cf1801adp-13, -0x1.210f15e3e076bp-13, -0x1.1bb9d01e88aa4p-13, -0x1.16923978d428cp-13, -0x1.119576f0d0174p-13, -0x1.0cc0d321bac8ap-13, -0x1.0811bcc6dcbffp-13, -0x1.0385c54a62f4fp-13, -0x1.fe353ebfe9fe3p-14, -0x1.f59c3b558accap-14, -0x1.ed3c62dd73d8bp-14, -0x1.e511d2990124bp-14, -0x1.dd18e0106af5bp-14, -0x1.d54e16b4ba9f2p-14, -0x1.cdae3595d49d4p-14, -0x1.c6362d2c26815p-14, -0x1.bee31d3551265p-14, -0x1.b7b252a3734f7p-14, -0x1.b0a1459e70c15p-14, -0x1.a9ad9796e12b4p-14, -0x1.a2d51169faa87p-14, -0x1.9c15a19638cd7p-14, -0x1.956d5a80135p-14, -0x1.8eda70c676a61p-14, -0x1.885b39a67e589p-14, -0x1.81ee296e029cp-14, -0x1.7b91d1fc90572p-14, -0x1.7544e1525e10ap-14, -0x1.6f06202cd857cp-14, -0x1.68d470b05e414p-14, -0x1.62aecd1ecab5ep-14, -0x1.5c94469a6b46cp-14, -0x1.568403f502e47p-14, -0x1.507d408a7c6a7p-14, -0x1.4a7f4b26f3a5fp-14, -0x1.448984f7baf31p-14, -0x1.3e9b6087063fap-14, -0x1.38b460c1e8c4ep-14, -0x1.32d41808523d3p-14, -0x1.2cfa2746b9fb6p-14, -0x1.27263d192b819p-14, -0x1.215814f76697ap-14, -0x1.1b8f7669c7f04p-14, -0x1.15cc3446b4771p-14, -0x1.100e2bf83ab8cp-14, -0x1.0a5544c9ac3e1p-14, -0x1.04a16f3ce66fbp-14, -0x1.fde548ce14ac3p-15, -0x1.f291caa8cb901p-15, -0x1.e74874e699ff3p-15, -0x1.dc09660b5412bp-15, -0x1.d0d4c9320c7e8p-15, -0x1.c5aad509a73ebp-15, -0x1.ba8bcadd84395p-15, -0x1.af77f5a9c9222p-15, -0x1.a46fa93aeec0dp-15, -0x1.9973415820d4bp-15, -0x1.8e8320f81177fp-15, -0x1.839fb17fe02c1p-15, -0x1.78c9620bb4b9cp-15, -0x1.6e00a6c0b3d21p-15, -0x1.6345f827f2a47p-15, -0x1.5899d29217469p-15, -0x1.4dfcb583502c8p-15, -0x1.436f232751fdbp-15, -0x1.38f19fcd0b6ebp-15, -0x1.2e84b169c8252p-15, -0x1.2428df2373bf3p-15, -0x1.19deb0e1b6bcbp-15, -0x1.0fa6aee5a932p-15, -0x1.05816167d840dp-15, -0x1.f6dea078b2547p-16, -0x1.e2e204f9621ap-16, -0x1.cf0dfc6e9f7cp-16, -0x1.bb639048c5ff9p-16, -0x1.a7e3c6bf98d6ep-16, -0x1.948fa24ff8238p-16, -0x1.8168214305981p-16, -0x1.6e6e3d3e40228p-16, -0x1.5ba2eadc3c8cdp-16, -0x1.4907194d99ccfp-16, -0x1.369bb201cc225p-16, -0x1.246198576cdc7p-16, -0x1.1259a953b56fdp-16, -0x1.0084bb60ca557p-16, -0x1.ddc73c2519df2p-17, -0x1.baee33e34eae8p-17, -0x1.987fe098ed228p-17, -0x1.767db61b3d1e3p-17, -0x1.54e9192fea3dcp-17, -0x1.33c35f4ef6744p-17, -0x1.130dce6e6d061p-17, -0x1.e59339ae4bd28p-18, -0x1.a5efe2048c7fcp-18, -0x1.6733c2fde9286p-18, -0x1.2960e9bfad8aep-18, -0x1.d8f286bfa8fa5p-19, -0x1.60fd39b9424bcp-19, -0x1.d5ca8c853cb64p-20, -0x1.dab718b911799p-21, -0x1.1664e108ba709p-25, 0x1.b052dcbce91c8p-21, 0x1.b5357cede60aep-20, 0x1.4736657ee4817p-19, 0x1.b1e5cd8ab9d1fp-19, 0x1.0d53aaae1bc12p-18, 0x1.40bccc44ecf3fp-18, 0x1.732db76372781p-18, 0x1.a4a5f58ef51fap-18, 0x1.d5252d8f68d77p-18, 0x1.025591805368bp-17, 0x1.199bdaef2b2fbp-17, 0x1.3065710579dfcp-17, 0x1.46b25f693155dp-17, 0x1.5c82bf343832dp-17, 0x1.71d6b6b1d1e55p-17, 0x1.86ae791a67376p-17, 0x1.9b0a464dc9077p-17, 0x1.aeea6a8c26193p-17, 0x1.c24f3e2de2668p-17, 0x1.d539255a5c9e2p-17, 0x1.e7a88fbde9e03p-17, 0x1.f99df83f03646p-17, 0x1.058cf25979366p-16, 0x1.0e0e72c8f8366p-16, 0x1.1653cad57d681p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d8a2eb7a47ec8p-1, 0x1.d585d55749faep-1, 0x1.d24b7c52e1ac1p-1, 0x1.cef4f9f244d03p-1, 0x1.cb836938a39a1p-1, 0x1.c7f7e5f9acb5bp-1, 0x1.c4538c3882a71p-1, 0x1.c09777928f1cep-1, 0x1.bcc4c2b597a43p-1, 0x1.b8dc86e07e356p-1, 0x1.b4dfdb6e15a51p-1, 0x1.b0cfd5697e1f6p-1, 0x1.acad872b7931ap-1, 0x1.a87a000034877p-1, 0x1.a4364bd5092b7p-1, 0x1.9fe372edb81bcp-1, 0x1.9b8279a0b1693p-1, 0x1.97146019f8cdbp-1, 0x1.929a22244303cp-1, 0x1.8e14b6f7e9ca9p-1, 0x1.8985110f5b8d8p-1, 0x1.84ec1e00b1cc6p-1, 0x1.804ac65c1b5ep-1, 0x1.7ba1ed8ece053p-1, 0x1.76f271ca3852bp-1, 0x1.723d2bef2de45p-1, 0x1.6d82ef7ccb294p-1, 0x1.68c48a82d8cf5p-1, 0x1.6402c5976d524p-1, 0x1.5f3e63cf9bdadp-1, 0x1.5a7822baf8cb9p-1, 0x1.55b0ba61c1d7ep-1, 0x1.50e8dd457da9dp-1, 0x1.4c213863e3985p-1, 0x1.475a733be24c9p-1, 0x1.42952fd49dc3ep-1, 0x1.3dd20ac63dbf9p-1, 0x1.39119b4467eb3p-1, 0x1.3454732a46efp-1, 0x1.2f9b1f07f9ee1p-1, 0x1.2ae626314fa1p-1, 0x1.26360acdb2721p-1, 0x1.218b49e92698ep-1, 0x1.1ce65b864123cp-1, 0x1.1847b2b103b43p-1, 0x1.13afbd927f764p-1, 0x1.0f1ee5852ed5bp-1, 0x1.0a958f29f10b4p-1, 0x1.06141a7d9034fp-1, 0x1.019ae2eec6f87p-1, 0x1.fa547ee95c53p-2, 0x1.f185054b0e79bp-2, 0x1.e8c7f59ba5a23p-2, 0x1.e01de40f4bc7p-2, 0x1.d7875ca46332p-2, 0x1.cf04e352de2e9p-2, 0x1.c696f43bd0593p-2, 0x1.be3e03d91c85cp-2, 0x1.b5fa7f2d335b9p-2, 0x1.adcccbf2c8453p-2, 0x1.a5b548cc768a8p-2, 0x1.9db44d743ae05p-2, 0x1.95ca2aeabf3b3p-2, 0x1.8df72ba661246p-2, 0x1.863b93c1ee2c1p-2, 0x1.7e97a12b05c1dp-2, 0x1.770b8bd01c0ddp-2, 0x1.6f9785ce0bc25p-2, 0x1.683bbb9d3675p-2, 0x1.60f8543e2810ap-2, 0x1.59cd7165b5041p-2, 0x1.52bb2fa88e57cp-2, 0x1.4bc1a6a643bffp-2, 0x1.44e0e933b3aa4p-2, 0x1.3e190584db355p-2, 0x1.376a05560a767p-2, 0x1.30d3ee1472f24p-2, 0x1.2a56c1061278ap-2, 0x1.23f27b70f0485p-2, 0x1.1da716c1b06e6p-2, 0x1.177488b178fc9p-2, 0x1.115ac36b235dap-2, 0x1.0b59b5afbd4dbp-2, 0x1.05714afa55806p-2, 0x1.ff42d7462a8ep-3, 0x1.f3d3fa033db64p-3, 0x1.e895c31d793d9p-3, 0x1.dd87f20aa59bep-3, 0x1.d2aa41053fe4ep-3, 0x1.c7fc654b83f94p-3, 0x1.bd7e0f5d0e13ep-3, 0x1.b32eeb370d8b1p-3, 0x1.a90ea08f0fcf5p-3, 0x1.9f1cd30c59fa7p-3, 0x1.9559227fe367ap-3, 0x1.8bc32b1ae17fdp-3, 0x1.825a85a3f5704p-3, 0x1.791ec7aaf21e4p-3, 0x1.700f83bb4bf08p-3, 0x1.672c498d2459cp-3, 0x1.5e74a634fd76bp-3, 0x1.55e82452204c7p-3, 0x1.4d864c3ba32eep-3, 0x1.454ea42c30dafp-3, 0x1.3d40b06c76c22p-3, 0x1.355bf37c56ad5p-3, 0x1.2d9fee3ad2eafp-3, 0x1.260c200cb7ac4p-3, 0x1.1ea007020ec2ep-3, 0x1.175b1ffa5f81fp-3, 0x1.103ce6c7b81ep-3, 0x1.0944d6508b1b4p-3, 0x1.027268b06994ap-3, 0x1.f78a2eaf2868fp-4, 0x1.ea78b652e5666p-4, 0x1.ddaf5933de728p-4, 0x1.d12d07937797ep-4, 0x1.c4f0b14318a72p-4, 0x1.b8f945d888b38p-4, 0x1.ad45b4e03809p-4, 0x1.a1d4ee0d913d7p-4, 0x1.96a5e169542c7p-4, 0x1.8bb77f7dff71dp-4, 0x1.8108b98259f9fp-4, 0x1.7698818226ae6p-4, 0x1.6c65ca8508c29p-4, 0x1.626f88b3a70bep-4, 0x1.58b4b17b14074p-4, 0x1.4f343bae8b158p-4, 0x1.45ed1fa786194p-4, 0x1.3cde57643bd1bp-4, 0x1.3406dea48cef4p-4, 0x1.2b65b3056d123p-4, 0x1.22f9d41acf446p-4, 0x1.1ac24388215e1p-4, 0x1.12be051760016p-4, 0x1.0aec1ececcadcp-4, 0x1.034b9905501ebp-4, 0x1.f7b6fceb25a03p-5, 0x1.e935b89fa77efp-5, 0x1.db11849512684p-5, 0x1.cd488563a5e27p-5, 0x1.bfd8e4eb8f57ep-5, 0x1.b2c0d26f5101ep-5, 0x1.a5fe82abff068p-5, 0x1.99902fef6d863p-5, 0x1.8d741a2c5b367p-5, 0x1.81a8870cacf08p-5, 0x1.762bc201c6dffp-5, 0x1.6afc1c531a88dp-5, 0x1.6017ed2af3808p-5, 0x1.557d91a197f44p-5, 0x1.4b2b6cc6cb117p-5, 0x1.411fe7a9bceb3p-5, 0x1.3759715f8025p-5, 0x1.2dd67f080aa87p-5, 0x1.24958bd1d6ddap-5, 0x1.1b9518fc2ff35p-5, 0x1.12d3add8390dp-5, 0x1.0a4fd7c8bd68ep-5, 0x1.02082a40d358ap-5, 0x1.f3f67d82cc34cp-6, 0x1.e44f69ab55965p-6, 0x1.d518641d2a699p-6, 0x1.c64ec3faa37d5p-6, 0x1.b7efec59ace57p-6, 0x1.a9f94c3520bbap-6, 0x1.9c685e5c80971p-6, 0x1.8f3aa9620f228p-6, 0x1.826dbf877a5fcp-6, 0x1.75ff3ea90e25fp-6, 0x1.69ecd027985f4p-6, 0x1.5e3428d10c658p-6, 0x1.52d308c7f4437p-6, 0x1.47c73b69c4f85p-6, 0x1.3d0e97342cf5ap-6, 0x1.32a6fda967656p-6, 0x1.288e5b33a5d09p-6, 0x1.1ec2a707a3262p-6, 0x1.1541e3067104bp-6, 0x1.0c0a1b9e89d6fp-6, 0x1.031967ac39585p-6, 0x1.f4dbd0b2d32d6p-7, 0x1.e40b91f9c7d6p-7, 0x1.d3be7df21b4dbp-7, 0x1.c3f1133465858p-7, 0x1.b49fe3e8d39f4p-7, 0x1.a5c795823a42ap-7, 0x1.9764e0787806bp-7, 0x1.8974900267447p-7, 0x1.7bf381cf3c22cp-7, 0x1.6edea5bf9adc2p-7, 0x1.6232fd9e5120bp-7, 0x1.55ed9cd8d2f4cp-7, 0x1.4a0ba8379a00cp-7, 0x1.3e8a559659882p-7, 0x1.3366eb9c3c3acp-7, 0x1.289ec174194c6p-7, 0x1.1e2f3e84c7f21p-7, 0x1.1415da2992ae8p-7, 0x1.0a501b6adc03fp-7, 0x1.00db98b700a77p-7, 0x1.ef6bef37072cep-8, 0x1.ddb9d8fd1c64p-8, 0x1.cc9c74b1a37cp-8, 0x1.bc0f64dfa1c27p-8, 0x1.ac0e68213f945p-8, 0x1.9c9558963bd8ep-8, 0x1.8da02b5b70848p-8, 0x1.7f2af0036e9cbp-8, 0x1.7131d0104721cp-8, 0x1.63b10e6e8907ap-8, 0x1.56a506f18a328p-8, 0x1.4a0a2dd0fd277p-8, 0x1.3ddd0f27e88d5p-8, 0x1.321a4e75046f4p-8, 0x1.26bea61c8a7acp-8, 0x1.1bc6e6eb811b3p-8, 0x1.112ff79c899dp-8, 0x1.06f6d45e39813p-8, 0x1.fa311cb609d64p-9, 0x1.e72496858143fp-9, 0x1.d4c289ab843cap-9, 0x1.c30590e33fcb2p-9, 0x1.b1e86d3f35477p-9, 0x1.a16605495b385p-9, 0x1.917964269af4bp-9, 0x1.821db8bdae65ap-9, 0x1.734e54e1602a2p-9, 0x1.6506ac7e317c3p-9, 0x1.574254cb69c9ap-9, 0x1.49fd037f947f5p-9, 0x1.3d328e0862571p-9, 0x1.30dee8c5fd599p-9, 0x1.24fe2649c0f1fp-9, 0x1.198c76985e84ep-9, 0x1.0e86266f66194p-9, 0x1.03e79e8e2fb17p-9, 0x1.f35ac604528dfp-10, 0x1.dfa824ecf3485p-10, 0x1.ccb0cb0dfffbfp-10, 0x1.ba6e5c2d3ff5ap-10, 0x1.a8daad51afcbp-10, 0x1.97efc37d469a5p-10, 0x1.87a7d26d271a4p-10, 0x1.77fd3b604c3d7p-10, 0x1.68ea8be48b22p-10, 0x1.5a6a7ca9efed4p-10, 0x1.4c77f05c54ee9p-10, 0x1.3f0df28329e5cp-10, 0x1.3227b6675baa5p-10, 0x1.25c095ff448f3p-10, 0x1.19d410e09a3ffp-10, 0x1.0e5dcb3843b39p-10, 0x1.03598cc7fc854p-10, 0x1.f1867fd3846d1p-11, 0x1.dd2de131cf18p-11, 0x1.c9a1970186335p-11, 0x1.b6da3a21c47ffp-11, 0x1.a4d0a12d56322p-11, 0x1.937ddeb8b4d62p-11, 0x1.82db3f9a8d50ep-11, 0x1.72e2493ea9b3cp-11, 0x1.638cb80311a0ep-11, 0x1.54d47d9f387e3p-11, 0x1.46b3bf950d8e1p-11, 0x1.3924d5abc52bep-11, 0x1.2c2248742d75ep-11, 0x1.1fa6cfd667364p-11, 0x1.13ad51a8d51bap-11, 0x1.0830e05019658p-11, 0x1.fa5972cfebc43p-12, 0x1.e53888e9c6761p-12, 0x1.d0f6233c73793p-12, 0x1.bd89b0e175744p-12, 0x1.aaeaed52b1915p-12, 0x1.9911de101b728p-12, 0x1.87f6d0553917p-12, 0x1.779256de21057p-12, 0x1.67dd47bba8dd8p-12, 0x1.58d0ba36749c6p-12, 0x1.4a6604c09100bp-12, 0x1.3c96baf551735p-12, 0x1.2f5caba71ff16p-12, 0x1.22b1defaf4a7bp-12, 0x1.169094912261fp-12, 0x1.0af341bb3a8e6p-12, 0x1.ffa91f7d59ec2p-13, 0x1.ea5eb447d5bbap-13, 0x1.d5fd5a236e315p-13, 0x1.c27b8768d0171p-13, 0x1.afd00d619524dp-13, 0x1.9df21544d10d2p-13, 0x1.8cd91d49d8631p-13, 0x1.7c7cf5d0b3ef7p-13, 0x1.6cd5be9fc5f56p-13, 0x1.5ddbe4361fb35p-13, 0x1.4f881d31fa9bdp-13, 0x1.41d367cae4b06p-13, 0x1.34b7075f2016bp-13, 0x1.282c8213b6e7ap-13, 0x1.1c2d9e86d2a22p-13, 0x1.10b46193e05b4p-13, 0x1.05bb0c290ac78p-13, 0x1.f678325b38735p-14, 0x1.e26476f1b000ap-14, 0x1.cf30b7b1c37e3p-14, 0x1.bcd32e527d263p-14, 0x1.ab4278f12844cp-14, 0x1.9a75967a6d99ap-14, 0x1.8a63e3303e479p-14, 0x1.7b05154bdcc76p-14, 0x1.6c5139bb32p-14, 0x1.5e40b0f8b7d99p-14, 0x1.50cc2bfd3df14p-14, 0x1.43eca94ad4a64p-14, 0x1.379b72102df45p-14, 0x1.2bd21763c27d8p-14, 0x1.208a6f961678p-14, 0x1.15be939a74fc3p-14, 0x1.0b68dc857f35cp-14, 0x1.0183e120f5156p-14, 0x1.f014e7282ceddp-15, 0x1.ddef3e4015fe3p-15, 0x1.cc8d4bdf72bd6p-15, 0x1.bbe5fdf4fe41ep-15, 0x1.abf0a7f276d98p-15, 0x1.9ca4feda48b4bp-15, 0x1.8dfb156fbc468p-15, 0x1.7feb5888a82d2p-15, 0x1.726e8b7fa4ad7p-15, 0x1.657dc4c5c5452p-15, 0x1.59126a92e74bdp-15, 0x1.4d262fb3ace41p-15, 0x1.41b31074321ebp-15, 0x1.36b34fa6a8d3ep-15, 0x1.2c2173c4f49c4p-15, 0x1.21f8442c781b9p-15, 0x1.1832c673407c2p-15, 0x1.0ecc3bd5c4fc5p-15, 0x1.05c01ebc768e1p-15, 0x1.fa1440b0b7ccfp-16, 0x1.e94c4cac075d5p-16, 0x1.d920914c2a2d2p-16, 0x1.c9899eb593d9fp-16, 0x1.ba8061335901p-16, 0x1.abfe1d41ddbfap-16, 0x1.9dfc6bbf6a084p-16, 0x1.90753641780b9p-16, 0x1.8362b38d758ffp-16, 0x1.76bf6433dc4fep-16, 0x1.6a860f4c770dep-16, 0x1.5eb1bf52b6bcbp-16, 0x1.533dbf2110011p-16, 0x1.4825970a474e8p-16, 0x1.3d650a0fb9817p-16, 0x1.32f8133394313p-16, 0x1.28dae2e6194c6p-16, 0x1.1f09dc8cf9027p-16, 0x1.15819423d9f22p-16, 0x1.0c3ecbf5399b7p-16, 0x1.033e726ac389cp-16, 0x1.f4fb3fe8a523ep-17, 0x1.e3f32a09a1e16p-17, 0x1.d35f70485decfp-17, 0x1.c33b282b5fba5p-17, 0x1.b381ac23b8788p-17, 0x1.a42e9826b36dbp-17, 0x1.953dc66c07328p-17, 0x1.86ab4c4f2eeb3p-17, 0x1.78737752a73dp-17, 0x1.6a92ca43c7db1p-17, 0x1.5d05fa7e24f7dp-17, 0x1.4fc9ed4d219c5p-17, 0x1.42dbb56ac43cfp-17, 0x1.3638909a8d9dep-17, 0x1.29dde55f663f7p-17, 0x1.1dc940cb85fcep-17, 0x1.11f854696710ap-17, 0x1.0668f43ccb764p-17, 0x1.f63229b5d6f78p-18, 0x1.e00d9331cfe07p-18, 0x1.ca60859f492cep-18, 0x1.b52798686a473p-18, 0x1.a05f96882092fp-18, 0x1.8c057b8880abbp-18, 0x1.781670a5a52fp-18, 0x1.648fca13961abp-18, 0x1.516f0465d4c74p-18, 0x1.3eb1c2172e95ap-18, 0x1.2c55c9308c009p-18, 0x1.1a59010d76a7bp-18, 0x1.08b9703d227fep-18, 0x1.eeea74fd9145cp-19, 0x1.cd153db06e852p-19, 0x1.abefeb8afa4b3p-19, 0x1.8b775f014099bp-19, 0x1.6ba8a4c0c6892p-19, 0x1.4c80f29a2addap-19, 0x1.2dfda4950878bp-19, 0x1.101c3a2c3fa6bp-19, 0x1.e5b4a761e17fcp-20, 0x1.ac6b5fa4cf3f6p-20, 0x1.74585292d33aep-20, 0x1.3d77694a93b55p-20, 0x1.07c4bc7290252p-20, 0x1.a67920a30cdf9p-21, 0x1.3fb6a2437707ep-21, 0x1.b6763e71d0217p-22, 0x1.e3ffedd853a72p-23, 0x1.8fed7564c815cp-25, -0x1.1339d86278f47p-23, -0x1.40dbc8df0a70ep-22, -0x1.f3ca7ddd490c7p-22, -0x1.513a292a1030cp-21, -0x1.a6722365fba6ep-21, -0x1.f9928ea6c033ep-21, -0x1.2550583c2df2cp-20, -0x1.4cd0db3886cb7p-20, -0x1.734d5cb937a36p-20, -0x1.98c8605643d05p-20, -0x1.bd446232e18efp-20, -0x1.e0c3d845961bbp-20, -0x1.01a499c2e0ee7p-19, -0x1.126b708014093p-19, -0x1.22b7a569d4aa7p-19, -0x1.328a6c8bc843fp-19, -0x1.41e4f9564f94cp-19, -0x1.50c87efd0b063p-19, -0x1.5f3630cbe549ep-19, -0x1.6d2f4273332ecp-19, -0x1.7ab4e84b6caf7p-19, -0x1.87c85790fc526p-19, -0x1.946ac6989cc1fp-19, -0x1.a09d6cfcba362p-19, -0x1.ac6183c4465eap-19, -0x1.b7b8458360cb5p-19, -0x1.c2a2ee7643aa8p-19, -0x1.cd22bc96cabfbp-19, -0x1.d738efacf56c3p-19, -0x1.e0e6c95ab7f34p-19, -0x1.ea2d8d236e68ep-19, -0x1.f30e806f45747p-19, -0x1.fb8aea8adc5a7p-19, -0x1.01d20a51b70f7p-18, -0x1.05ada4dfe04afp-18, -0x1.0958eb5b10259p-18, -0x1.0cd4850fceda3p-18, -0x1.10211a246823ep-18, -0x1.133f53902714fp-18, -0x1.162fdb118954dp-18, -0x1.18f35b237fadbp-18, -0x1.1b8a7ef1d6b79p-18, -0x1.1df5f24cdc61ap-18, -0x1.2036619c55a93p-18, -0x1.224c79d1dc21ep-18, -0x1.2438e85ab2ddfp-18, -0x1.25fc5b1125bep-18, -0x1.2797802d83956p-18, -0x1.290b0636c5023p-18, -0x1.2a579bf2e89e3p-18, -0x1.2b7df0571be21p-18, -0x1.2c7eb277b3e5dp-18, -0x1.2d5a91780a76p-18, -0x1.2e123c7a44f72p-18, -0x1.2ea6628f14146p-18, -0x1.2f17b2a573b83p-18, -0x1.2f66db7a751b7p-18, -0x1.2f948b891cb7ep-18, -0x1.2fa170fa5b9c4p-18, -0x1.2f8e39952a798p-18, -0x1.2f5b92aecfa25p-18, -0x1.2f0a291b53bc4p-18, -0x1.2e9aa91e2eeedp-18, -0x1.2e0dbe5b2f24cp-18, -0x1.2d6413c79f26fp-18, -0x1.2c9e539bb6103p-18, -0x1.2bbd274449e94p-18, -0x1.2ac13754d624fp-18, -0x1.29ab2b79cc2f7p-18, -0x1.287baa6b3cc3ep-18, -0x1.273359dfd2402p-18, -0x1.25d2de8028a5ap-18, -0x1.245adbda7bc83p-18, -0x1.22cbf456b3735p-18, -0x1.2126c92acf412p-18, -0x1.1f6bfa4fadcf7p-18, -0x1.1d9c267637f93p-18, -0x1.1bb7eafce9728p-18, -0x1.19bfe3e5bf24p-18, -0x1.17b4abcc837c4p-18, -0x1.1596dbdd7fecap-18, -0x1.13670bcc8f887p-18, -0x1.1125d1cc93101p-18, -0x1.0ed3c28749938p-18, -0x1.0c71711587558p-18, -0x1.09ff6ef7d01f4p-18, -0x1.077e4c0f50b16p-18, -0x1.04ee9697387a5p-18, -0x1.0250db1e718c9p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.523cb82d4f118p-4, -0x1.6d36bba0a7827p-4, -0x1.89081e4d30986p-4, -0x1.a5a2eac7498e8p-4, -0x1.c2f85fb71446p-4, -0x1.e0f916987d8efp-4, -0x1.ff952776808f9p-4, -0x1.0f5e24ddeef8p-3, -0x1.1f2ef91c69aedp-3, -0x1.2f34b7403d913p-3, -0x1.3f66fee158224p-3, -0x1.4fbd73a3ca5bap-3, -0x1.602fc759097bbp-3, -0x1.70b5c316e53a8p-3, -0x1.81474f55ef0e7p-3, -0x1.91dc7b28467f5p-3, -0x1.a26d82990a339p-3, -0x1.b2f2d443da491p-3, -0x1.c3651632fae03p-3, -0x1.d3bd2a11d7edcp-3, -0x1.e3f430c0e9016p-3, -0x1.f4038d571525bp-3, -0x1.01f273ce0b731p-2, -0x1.09c917034a3cp-2, -0x1.1182cba406fe3p-2, -0x1.191cd1b8066fap-2, -0x1.20948e57bbef6p-2, -0x1.27e78be233083p-2, -0x1.2f137a0b1a67p-2, -0x1.36162dc497bcbp-2, -0x1.3ceda108588c3p-2, -0x1.4397f2830bc75p-2, -0x1.4a13652549d6dp-2, -0x1.505e5f9cb860dp-2, -0x1.56776bb804fbfp-2, -0x1.5c5d35b82deeep-2, -0x1.620e8b91591fcp-2, -0x1.678a5c1d5ef62p-2, -0x1.6ccfb641f7861p-2, -0x1.71ddc80c67a52p-2, -0x1.76b3ddc454908p-2, -0x1.7b5160f754f5ap-2, -0x1.7fb5d77eaa344p-2, -0x1.83e0e28079c7bp-2, -0x1.87d23d6db72ecp-2, -0x1.8b89bcfde2cafp-2, -0x1.8f074e2999497p-2, -0x1.924af524e4973p-2, -0x1.9554cc5a2420bp-2, -0x1.982503664cffp-2, -0x1.9abbde172fcbp-2, -0x1.9d19b36c626bcp-2, -0x1.9f3eec9b57172p-2, -0x1.a12c04171c8cdp-2, -0x1.a2e1849c3891p-2, -0x1.a4600840f49ecp-2, -0x1.a5a8378a7a0e2p-2, -0x1.a6bac886fa5fbp-2, -0x1.a7987ded2c3ebp-2, -0x1.a842264147022p-2, -0x1.a8b89affac9cep-2, -0x1.a8fcbfcd63da7p-2, -0x1.a90f81ae7b186p-2, -0x1.a8f1d6426b3d2p-2, -0x1.a8a4bb0685792p-2, -0x1.a829349e77b38p-2, -0x1.a7804e22e7a12p-2, -0x1.a6ab187625685p-2, -0x1.a5aaa99ef0f9dp-2, -0x1.a4801c2947209p-2, -0x1.a32c8e8d2d0c6p-2, -0x1.a1b1229b692f7p-2, -0x1.a00efcf018b99p-2, -0x1.9e47446b0d046p-2, -0x1.9c5b21ade03a3p-2, -0x1.9a4bbe9f9e79dp-2, -0x1.981a45f5fb1aap-2, -0x1.95c7e2c3e5a71p-2, -0x1.9355c00d738cdp-2, -0x1.90c50860f7d0fp-2, -0x1.8e16e5752ed2fp-2, -0x1.8b4c7fcc650fp-2, -0x1.8866fe5c70d89p-2, -0x1.8567863b6d762p-2, -0x1.824f3a510e468p-2, -0x1.7f1f3b0c6ffd1p-2, -0x1.7bd8a61e492b9p-2, -0x1.787c96375adf7p-2, -0x1.750c22caff04ap-2, -0x1.71885fd5bccebp-2, -0x1.6df25da7bdc4cp-2, -0x1.6a4b28b306db6p-2, -0x1.6693c95d5ac76p-2, -0x1.62cd43d5a2cb5p-2, -0x1.5ef897ecc39c6p-2, -0x1.5b16c0f1bdd2bp-2, -0x1.5728b59103e7ep-2, -0x1.532f67b6ddbe1p-2, -0x1.4f2bc474c8175p-2, -0x1.4b1eb3e9b0543p-2, -0x1.4709192ceccd3p-2, -0x1.42ebd23be2643p-2, -0x1.3ec7b7ea2b519p-2, -0x1.3a9d9dd43905bp-2, -0x1.366e525446042p-2, -0x1.323a9e798c4a2p-2, -0x1.2e0346019c2edp-2, -0x1.29c90753c7debp-2, -0x1.258c9b7e7cbdp-2, -0x1.214eb63684f44p-2, -0x1.1d1005d80a821p-2, -0x1.18d13369519fbp-2, -0x1.1492e29f0d10ep-2, -0x1.1055b1e23ba25p-2, -0x1.0c1a3a577a9bep-2, -0x1.07e10fe7b334dp-2, -0x1.03aac14a18ebdp-2, -0x1.feefb01eba1b4p-3, -0x1.f691b15c12af2p-3, -0x1.ee3c851fe11e9p-3, -0x1.e5f120413d41cp-3, -0x1.ddb06db979a95p-3, -0x1.d57b4ec4af47p-3, -0x1.cd529b03e5a01p-3, -0x1.c53720a0c50fdp-3, -0x1.bd29a472ac679p-3, -0x1.b52ae225087d9p-3, -0x1.ad3b8c5ee3ffap-3, -0x1.a55c4ceb7e464p-3, -0x1.9d8dc4e3ddb8fp-3, -0x1.95d08cd93c57ep-3, -0x1.8e2535003db2dp-3, -0x1.868c455cd0672p-3, -0x1.7f063deea606ep-3, -0x1.779396de2c4d9p-3, -0x1.7034c0a9f7cd4p-3, -0x1.68ea245480693p-3, -0x1.61b4239226d29p-3, -0x1.5a9318f7716f7p-3, -0x1.5387582761e2fp-3, -0x1.4c912e01e5d99p-3, -0x1.45b0e0d23feb9p-3, -0x1.3ee6b07d6c18fp-3, -0x1.3832d6b062d89p-3, -0x1.3195870e2d88fp-3, -0x1.2b0eef5dd34c2p-3, -0x1.249f37b7efaf5p-3, -0x1.1e4682b40d82ep-3, -0x1.1804ed9597433p-3, -0x1.11da907873106p-3, -0x1.0bc77e7d26247p-3, -0x1.05cbc5f487b22p-3, -0x1.ffcee115ea342p-4, -0x1.f43506e5f80d3p-4, -0x1.e8c9ff1ef4dcap-4, -0x1.dd8dc33a5059ep-4, -0x1.d28044b710dffp-4, -0x1.c7a16d6a69c86p-4, -0x1.bcf11fcf135bbp-4, -0x1.b26f375349f3p-4, -0x1.a81b88a56b7efp-4, -0x1.9df5e1ff2c6b4p-4, -0x1.93fe0b6f75a35p-4, -0x1.8a33c722b3c54p-4, -0x1.8096d1a9c3268p-4, -0x1.7726e23f5794fp-4, -0x1.6de3ab0be70cdp-4, -0x1.64ccd9680fa48p-4, -0x1.5be2161d79bd4p-4, -0x1.532305a631e5dp-4, -0x1.4a8f486a7af58p-4, -0x1.42267afd169ddp-4, -0x1.39e8365604fa3p-4, -0x1.31d4100bba3b4p-4, -0x1.29e99a8ace211p-4, -0x1.2228654c22cc5p-4, -0x1.1a8ffd09874dep-4, -0x1.131febf0d8699p-4, -0x1.0bd7b9d59f064p-4, -0x1.04b6ec6133aeep-4, -0x1.fb7a0e82cac14p-5, -0x1.edd318ab5a4fcp-5, -0x1.e077f7b5d774ep-5, -0x1.d367a92b7794ap-5, -0x1.c6a127f6b0062p-5, -0x1.ba236cb23b55p-5, -0x1.aded6df55a995p-5, -0x1.a1fe209d6316ep-5, -0x1.965478149e775p-5, -0x1.8aef669689f18p-5, -0x1.7fcddd717ff8bp-5, -0x1.74eecd45d8112p-5, -0x1.6a5126428866p-5, -0x1.5ff3d85f52a0dp-5, -0x1.55d5d3948e4ddp-5, -0x1.4bf6081095603p-5, -0x1.4253666ae4c88p-5, -0x1.38ecdfd4fcb8ap-5, -0x1.2fc166490c328p-5, -0x1.26cfecb67431dp-5, -0x1.1e17672c30294p-5, -0x1.1596cb0132f4fp-5, -0x1.0d4d0efabf4afp-5, -0x1.05392b70ceaa1p-5, -0x1.fab434e11dbdp-6, -0x1.eb5dafba0eb3fp-6, -0x1.dc6cc31bdda15p-6, -0x1.cddf6ed97da91p-6, -0x1.bfb3b7202ca35p-6, -0x1.b1e7a4aae11a6p-6, -0x1.a47944f282607p-6, -0x1.9766aa5b06e35p-6, -0x1.8aadec5d81e2dp-6, -0x1.7e4d27af4e48ap-6, -0x1.72427e6658bd3p-6, -0x1.668c181ab27e4p-6, -0x1.5b2822057400ep-6, -0x1.5014cf1d16c62p-6, -0x1.4550582f4e218p-6, -0x1.3ad8fbf87b14dp-6, -0x1.30acff38d81dbp-6, -0x1.26caacc7612b8p-6, -0x1.1d3055a29fdbap-6, -0x1.13dc50ff6303ep-6, -0x1.0accfc557979ep-6, -0x1.0200bb6a8a1e9p-6, -0x1.f2ebf0b621da7p-7, -0x1.e25647433d368p-7, -0x1.d23d6838cee68p-7, -0x1.c29e4e226d0fbp-7, -0x1.b376005fa80aep-7, -0x1.a4c19325e77e4p-7, -0x1.967e277f6fd9ap-7, -0x1.88a8eb47c010ap-7, -0x1.7b3f192558747p-7, -0x1.6e3df8810ddd7p-7, -0x1.61a2dd7b135cfp-7, -0x1.556b28ddc721bp-7, -0x1.4994480e688f8p-7, -0x1.3e1bb4fbd89afp-7, -0x1.32fef60b70f29p-7, -0x1.283b9e041a9efp-7, -0x1.1dcf4bf7b6d38p-7, -0x1.13b7ab2af3d4bp-7, -0x1.09f272fba7006p-7, -0x1.007d66c5c3c1bp-7, -0x1.eeacab8e07b0ap-8, -0x1.dcf63602b2e12p-8, -0x1.cbd33a387ee7bp-8, -0x1.bb3f9c89f5dbep-8, -0x1.ab37581bc97edp-8, -0x1.9bb67e9995e91p-8, -0x1.8cb937f0fdba6p-8, -0x1.7e3bc20b4070fp-8, -0x1.703a70856fc92p-8, -0x1.62b1ac6761b2bp-8, -0x1.559df3d9817aep-8, -0x1.48fbd9d99d29ap-8, -0x1.3cc805eecd2f7p-8, -0x1.30ff33dc916ap-8, -0x1.259e33553f5d1p-8, -0x1.1aa1e7abdc14bp-8, -0x1.10074785799e7p-8, -0x1.05cb5c8a2d354p-8, -0x1.f7d6862b790cp-9, -0x1.e4c853d01aa0bp-9, -0x1.d266a3aaeb009p-9, -0x1.c0ac1aedf288bp-9, -0x1.af9381b517e8fp-9, -0x1.9f17c266d0abp-9, -0x1.8f33e91515473p-9, -0x1.7fe322dec9c15p-9, -0x1.7120bd51aa907p-9, -0x1.62e825cce3899p-9, -0x1.5534e8e46b424p-9, -0x1.4802b1c53a90cp-9, -0x1.3b4d499a785d9p-9, -0x1.2f1096f3b67d5p-9, -0x1.23489d2c49b46p-9, -0x1.17f17bd3e32c3p-9, -0x1.0d076e1869aa4p-9, -0x1.0286ca31356f6p-9, -0x1.f0d801976c228p-10, -0x1.dd6738f32c043p-10, -0x1.cab48240cbd07p-10, -0x1.b8b956d5cb753p-10, -0x1.a76f6077d3e2ep-10, -0x1.96d07845efa1fp-10, -0x1.86d6a5a5307b1p-10, -0x1.777c1d30daf88p-10, -0x1.68bb3fae31a51p-10, -0x1.5a8e9903d8275p-10, -0x1.4cf0df3502036p-10, -0x1.3fdcf1604d7dap-10, -0x1.334dd6c278c69p-10, -0x1.273ebdbce50e6p-10, -0x1.1baafadffe048p-10, -0x1.108e07f97de0cp-10, -0x1.05e38326a1386p-10, -0x1.f74e5bd48ce5ep-11, -0x1.e3a9d88dfa4f2p-11, -0x1.d0d187ba1471fp-11, -0x1.bebdb618bc6dcp-11, -0x1.ad66f0350136ep-11, -0x1.9cc600b8db81fp-11, -0x1.8cd3eec8c9b9p-11, -0x1.7d89fc674a66p-11, -0x1.6ee1a4e02cbeap-11, -0x1.60d49b3babd48p-11, -0x1.535cc8b94e904p-11, -0x1.46744b52804cfp-11, -0x1.3a157444d372ap-11, -0x1.2e3ac6a3e33f8p-11, -0x1.22def5f2c2f6bp-11, -0x1.17fce4c4eef7fp-11, -0x1.0d8fa366a855ap-11, -0x1.03926e8cb2207p-11, -0x1.f4015c16a886bp-12, -0x1.e1abe7292f1a3p-12, -0x1.d01bf2fb4a1efp-12, -0x1.bf49431663b93p-12, -0x1.af2be789c9ca1p-12, -0x1.9fbc3a9f3d49ap-12, -0x1.90f2de9d1c425p-12, -0x1.82c8bb95f726p-12, -0x1.7536fd455e96fp-12, -0x1.683710f9c4b73p-12, -0x1.5bc2a38b36192p-12, -0x1.4fd39f5ec2aeap-12, -0x1.44642a765fc5dp-12, -0x1.396ea48d13c94p-12, -0x1.2eeda53f3ceddp-12, -0x1.24dbfa3eb927dp-12, -0x1.1b34a592c5867p-12, -0x1.11f2dbe3589b9p-12, -0x1.091202cfd0c1bp-12, -0x1.008daf50b7a65p-12, -0x1.f0c34848e43bp-13, -0x1.e113a08d427e3p-13, -0x1.d2049ae4123c3p-13, -0x1.c38ebd5988b78p-13, -0x1.b5aaddbd2e336p-13, -0x1.a8521ee2584cep-13, -0x1.9b7dedf414cebp-13, -0x1.8f27ffdc2584dp-13, -0x1.834a4ebca57b9p-13, -0x1.77df177bf9165p-13, -0x1.6ce0d762a41cep-13, -0x1.624a49caaac5bp-13, -0x1.581665e017f58p-13, -0x1.4e405c72493abp-13, -0x1.44c395d5ae8c9p-13, -0x1.3b9bafd58f04cp-13, -0x1.32c47bb5809c1p-13, -0x1.2a39fc423e3fap-13, -0x1.21f863f171f52p-13, -0x1.19fc131029322p-13, -0x1.124195ff94d43p-13, -0x1.0ac5a37fbe402p-13, -0x1.03851b07e099p-13, -0x1.f8fa0658145dep-14, -0x1.eb55101f83617p-14, -0x1.de15f3ca981a7p-14, -0x1.d13796f295e9p-14, -0x1.c4b52194d9a2cp-14, -0x1.b889fb59a8517p-14, -0x1.acb1c8f1ce359p-14, -0x1.a128698aa7bcp-14, -0x1.95e9f457bcc38p-14, -0x1.8af2b63195632p-14, -0x1.803f2f491ae4cp-14, -0x1.75cc10ef01a11p-14, -0x1.6b963b6eb3e84p-14, -0x1.619abbfc32b77p-14, -0x1.57d6cab46c544p-14, -0x1.4e47c8af82c64p-14, -0x1.44eb3e2485b55p-14, -0x1.3bbed89e221c3p-14, -0x1.32c0693fcdac2p-14, -0x1.29ede31af4778p-14, -0x1.21455993b7936p-14, -0x1.18c4fed4c5125p-14, -0x1.106b2251dcb89p-14, -0x1.08362f589242dp-14, -0x1.0024abaee0154p-14, -0x1.f06a6c7e49152p-15, -0x1.e0cd0ba24048cp-15, -0x1.d16ecf9f21a0fp-15, -0x1.c24d7e3413c4ap-15, -0x1.b36705c54afc3p-15, -0x1.a4b97b2e6a0e6p-15, -0x1.964317ab2796fp-15, -0x1.880236d5812cbp-15, -0x1.79f554b8d7b02p-15, -0x1.6c1b0bf93f891p-15, -0x1.5e72140e6761dp-15, -0x1.50f93f916eeap-15, -0x1.43af7a9d136fcp-15, -0x1.3693c93f92b15p-15, -0x1.29a545fdb597ep-15, -0x1.1ce320666a18ap-15, -0x1.104c9bb662f6ap-15, -0x1.03e10d8b3085cp-15, -0x1.ef3fb94a930e4p-16, -0x1.d710ff710c07dp-16, -0x1.bf34f8950e699p-16, -0x1.a7aacb3d2b228p-16, -0x1.9071b75ce6a3fp-16, -0x1.7989145f75d65p-16, -0x1.62f04f4a8edb6p-16, -0x1.4ca6e8f88d3bp-16, -0x1.36ac7468fd1ffp-16, -0x1.21009526c1b8bp-16, -0x1.0ba2fdc30fdb6p-16, -0x1.ed26dcc8daccap-17, -0x1.c3a366d1fb3abp-17, -0x1.9abb4836b8936p-17, -0x1.726e42f2a2996p-17, -0x1.4abc2a17577f7p-17, -0x1.23a4df9d42b16p-17, -0x1.fa50a4a81363p-18, -0x1.ae8cf7e2d6004p-18, -0x1.63febe7ab9e5ap-18, -0x1.1aa60cb470ba7p-18, -0x1.a506049f3f4a9p-19, -0x1.172b8f015dce9p-19, -0x1.177a28704dd6fp-20, -0x1.5d7af105cdd2ap-26, 0x1.07b4d2b97b79bp-20, 0x1.0802aa730a1a2p-19, 0x1.89bd762859768p-19, 0x1.048540897492ep-18, 0x1.42f4c7a0db1d8p-18, 0x1.802d3bceef2b9p-18, 0x1.bc2e93834f405p-18, 0x1.f6f8d1958d494p-18, 0x1.18460349420d3p-17, 0x1.347428f5c83dfp-17, 0x1.5006f18491f3cp-17, 0x1.6afe7d21031dap-17, 0x1.855af4dc59593p-17, 0x1.9f1c8b0ff62c3p-17, 0x1.b8437bb3fab4dp-17, 0x1.d0d00caac12fbp-17, 0x1.e8c28e01c6e3fp-17, 0x1.000dad144cba7p-16, 0x1.0b6d6b0f23ee4p-16, 0x1.1680b8caf0b3ep-16, 0x1.2147d38942359p-16, 0x1.2bc2fdfdb460bp-16, 0x1.35f28054304c9p-16, 0x1.3fd6a833a7e8p-16, 0x1.496fc8bd7490ap-16, 0x1.52be3a89996dep-16, 0x1.5bc25ba00fbf9p-16, 0x1.647c8f6f5a618p-16, 0x1.6ced3ec0825fep-16, 0x1.7514d7a8ad9e5p-16, 0x1.7cf3cd787acc5p-16, 0x1.848a98a94990bp-16, 0x1.8bd9b6c894646p-16, 0x1.92e1aa6185e7fp-16, 0x1.99a2fae4e514ep-16, 0x1.a01e348f83878p-16, 0x1.a653e84f488a3p-16, 0x1.ac44aba6f7261p-16, 0x1.b1f11890d1cecp-16, 0x1.b759cd60342a7p-16, 0x1.bc7f6ca23c2d2p-16, 0x1.c1629cfda4662p-16, 0x1.c6040911dde87p-16, 0x1.ca645f5584781p-16, 0x1.ce8451f44b3edp-16, 0x1.d26496ac67cdbp-16, 0x1.d605e6ab9bd69p-16, 0x1.d968fe6befa2dp-16, 0x1.dc8e9d9025337p-16, 0x1.df7786c003071p-16, 0x1.e2247f847968p-16, 0x1.e4965023bda3p-16, 0x1.e6cdc37d625cep-16, 0x1.e8cba6e6788d6p-16, 0x1.ea90ca05cd4cdp-16, 0x1.ec1dfeb04dd26p-16, 0x1.ed7418c598d81p-16, 0x1.ee93ee0ccb14fp-16, 0x1.ef7e56119536fp-16, 0x1.f0342a019aa3dp-16, 0x1.f0b6448a2e9fcp-16, 0x1.f10581b668a3dp-16, 0x1.f122becda4cb7p-16, 0x1.f10eda3274a9fp-16, 0x1.f0cab341fcef1p-16, 0x1.f0572a33d5785p-16, 0x1.efb51ffa6499dp-16, 0x1.eee57623c1df2p-16, 0x1.ede90ebb20444p-16, 0x1.ecc0cc2acab52p-16, 0x1.eb6d911ead10cp-16, 0x1.e9f0406776a7p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c99b6cd942a9p-1, 0x1.c68b565fbaa49p-1, 0x1.c37cf1a9c3244p-1, 0x1.c07191f8afc08p-1, 0x1.bd6a4926f1d42p-1, 0x1.ba67ed8c4b7e4p-1, 0x1.b76b1fb6f988p-1, 0x1.b4744fec663bcp-1, 0x1.b183c367cd4e7p-1, 0x1.ae99995060e7ep-1, 0x1.abb5cf62f6873p-1, 0x1.a8d8464d46987p-1, 0x1.a600c5ba4edp-1, 0x1.a32f0010a43c9p-1, 0x1.a06295e46e308p-1, 0x1.9d9b191f71bcbp-1, 0x1.9ad80fe21c42cp-1, 0x1.9818f720d3d4fp-1, 0x1.955d45010f3f5p-1, 0x1.92a46af9de128p-1, 0x1.8fedd7bb91639p-1, 0x1.8d38f8e23babbp-1, 0x1.8a853c76aad9p-1, 0x1.87d212416cefcp-1, 0x1.851eecf350d3bp-1, 0x1.826b4326b19fcp-1, 0x1.7fb6903cb440ap-1, 0x1.7d00551979327p-1, 0x1.7a4818c2179e4p-1, 0x1.778d68df0e9eep-1, 0x1.74cfda25ad3f6p-1, 0x1.720f08aacd45fp-1, 0x1.6f4a98210eaffp-1, 0x1.6c8234049ecbcp-1, 0x1.69b58fb66e825p-1, 0x1.66e4668899824p-1, 0x1.640e7bbd9b479p-1, 0x1.61339a7bd1f31p-1, 0x1.5e5395b6ad3e4p-1, 0x1.5b6e480ecde87p-1, 0x1.588393aa3d604p-1, 0x1.55936205cec96p-1, 0x1.529da3c09f372p-1, 0x1.4fa2506298b6p-1, 0x1.4ca1661ec6303p-1, 0x1.499ae99232368p-1, 0x1.468ee57ffd4e2p-1, 0x1.437d6a8b41123p-1, 0x1.40668eef4fc31p-1, 0x1.3d4a6e36ca15bp-1, 0x1.3a2928f1fcf48p-1, 0x1.3702e46cec58fp-1, 0x1.33d7ca65644cfp-1, 0x1.30a808c161727p-1, 0x1.2d73d14618bfdp-1, 0x1.2a3b594fdc05p-1, 0x1.26fed98b12db1p-1, 0x1.23be8dae7be48p-1, 0x1.207ab436da35bp-1, 0x1.1d338e243b8a3p-1, 0x1.19e95eb8ee5dp-1, 0x1.169c6b3a4837cp-1, 0x1.134cfab35073dp-1, 0x1.0ffb55b96104ap-1, 0x1.0ca7c632caee6p-1, 0x1.0952971f8e047p-1, 0x1.05fc1464257b8p-1, 0x1.02a48a96767fdp-1, 0x1.fe988d99b944p-2, 0x1.f7e72cdeb87c9p-2, 0x1.f1358e15e7a6dp-2, 0x1.ea844c4e1a574p-2, 0x1.e3d4023a1614ep-2, 0x1.dd2549e3d1a2dp-2, 0x1.d678bc63d837ap-2, 0x1.cfcef19cb40c9p-2, 0x1.c9287ffa57e8bp-2, 0x1.c285fc356db59p-2, 0x1.bbe7f91a79d82p-2, 0x1.b54f0754baab7p-2, 0x1.aebbb53caccf5p-2, 0x1.a82e8eaa1c8a6p-2, 0x1.a1a81cc9ab2ep-2, 0x1.9b28e5f5afdacp-2, 0x1.94b16d925943p-2, 0x1.8e4233ecf0bfap-2, 0x1.87dbb61e2fc47p-2, 0x1.817e6def801dap-2, 0x1.7b2ad1c311db9p-2, 0x1.74e1547eaf2b4p-2, 0x1.6ea265792bcf5p-2, 0x1.686e706a59c9dp-2, 0x1.6245dd5d69451p-2, 0x1.5c2910a597958p-2, 0x1.56186ad512f0ep-2, 0x1.501448b5fa3ap-2, 0x1.4a1d03456191cp-2, 0x1.4432efb03c03p-2, 0x1.3e565f521bc5ap-2, 0x1.38879fb5a73b7p-2, 0x1.32c6fa96b2d19p-2, 0x1.2d14b5e5e4827p-2, 0x1.277113cdcc4b7p-2, 0x1.21dc52b95ab85p-2, 0x1.1c56ad5ba29b7p-2, 0x1.16e05ab8cb8dfp-2, 0x1.11798e302b8cdp-2, 0x1.0c22778767252p-2, 0x1.06db42f69198ap-2, 0x1.01a419352f819p-2, 0x1.f8fa3f102abb3p-3, 0x1.eeccefa00c95bp-3, 0x1.e4c0813217d9bp-3, 0x1.dad52a54de93dp-3, 0x1.d10b1b2e93a86p-3, 0x1.c7627d9f368acp-3, 0x1.bddb7563b700bp-3, 0x1.b4762039e2546p-3, 0x1.ab3296051bb6bp-3, 0x1.a210e8f3acce3p-3, 0x1.991125a4a4c48p-3, 0x1.9033534e2e138p-3, 0x1.877773e4418f6p-3, 0x1.7edd843fa273p-3, 0x1.76657c4510137p-3, 0x1.6e0f4f0ca2ae5p-3, 0x1.65daeb0930222p-3, 0x1.5dc83a2fbb34bp-3, 0x1.55d7221ec957fp-3, 0x1.4e078445ac1d7p-3, 0x1.46593e0b89936p-3, 0x1.3ecc28f641719p-3, 0x1.37601ad0f96ffp-3, 0x1.3014e5d26a47cp-3, 0x1.28ea58c2c164ap-3, 0x1.21e03f212aa03p-3, 0x1.1af66148dd15bp-3, 0x1.142c8495bd86ep-3, 0x1.0d826b8874044p-3, 0x1.06f7d5ea02eb4p-3, 0x1.008c80eecbe0ap-3, 0x1.f4804eb1fcc28p-4, 0x1.e8250334e5181p-4, 0x1.dc068bebb6144p-4, 0x1.d024513eba102p-4, 0x1.c47db7b8e97cbp-4, 0x1.b91220467c925p-4, 0x1.ade0e871f6747p-4, 0x1.a2e96a9ff56e9p-4, 0x1.982afe4980573p-4, 0x1.8da4f834f474fp-4, 0x1.8356aaad816cfp-4, 0x1.793f65b937a02p-4, 0x1.6f5e774da0e0ap-4, 0x1.65b32b82e91f5p-4, 0x1.5c3cccc591443p-4, 0x1.52faa406b01p-4, 0x1.49ebf8eac07ffp-4, 0x1.411011f6ff1bfp-4, 0x1.386634bd56b69p-4, 0x1.2feda606e1b84p-4, 0x1.27a5a9fcfff6ep-4, 0x1.1f8d84510550fp-4, 0x1.17a47862840b7p-4, 0x1.0fe9c964372a8p-4, 0x1.085cba7f90a41p-4, 0x1.00fc8ef6ef777p-4, 0x1.f391148d0422bp-5, 0x1.e57fe087b8623p-5, 0x1.d7c40a7880fa7p-5, 0x1.ca5c1c23537aap-5, 0x1.bd46a0ad24fcbp-5, 0x1.b08224d10c123p-5, 0x1.a40d3712fa437p-5, 0x1.97e667f01da9dp-5, 0x1.8c0c4a0cf262ep-5, 0x1.807d7261140b8p-5, 0x1.75387860da2bbp-5, 0x1.6a3bf624c96cbp-5, 0x1.5f86888eee5b5p-5, 0x1.5516cf6e23d41p-5, 0x1.4aeb6d9f59da1p-5, 0x1.4103092ce875cp-5, 0x1.375c4b6bf8cfdp-5, 0x1.2df5e11812f3fp-5, 0x1.24ce7a6cde504p-5, 0x1.1be4cb3e224e3p-5, 0x1.13378b0e0ec42p-5, 0x1.0ac57521dff22p-5, 0x1.028d4894e6d74p-5, 0x1.f51b90d405c55p-6, 0x1.e58b7737340cbp-6, 0x1.d667da5436421p-6, 0x1.c7ae58522e207p-6, 0x1.b95c9795fe62ep-6, 0x1.ab7046d71a62ap-6, 0x1.9de71d31d8dedp-6, 0x1.90beda374885bp-6, 0x1.83f545faacf33p-6, 0x1.7788311cb5085p-6, 0x1.6b7574d4806b7p-6, 0x1.5fbaf2f68c1f7p-6, 0x1.545695f9987bep-6, 0x1.494650f9a1dcbp-6, 0x1.3e881fb8fcecbp-6, 0x1.341a069fa8d5ap-6, 0x1.29fa12b8f4e51p-6, 0x1.202659af7c764p-6, 0x1.169cf9c79f1fep-6, 0x1.0d5c19d877441p-6, 0x1.0461e9436a721p-6, 0x1.f7593fd4bf23bp-7, 0x1.e674fc4969c3p-7, 0x1.d6139965ecf3dp-7, 0x1.c631b962efa96p-7, 0x1.b6cc0f13a6493p-7, 0x1.a7df5dc6cb719p-7, 0x1.996879259cb09p-7, 0x1.8b64451110a56p-7, 0x1.7dcfb57d5a41ap-7, 0x1.70a7ce4bc031fp-7, 0x1.63e9a32304f48p-7, 0x1.5792574663d46p-7, 0x1.4b9f1d6b394ffp-7, 0x1.400d378d7e75p-7, 0x1.34d9f6c321e64p-7, 0x1.2a02bb0e5891ap-7, 0x1.1f84f32efd2ebp-7, 0x1.155e1c73125a3p-7, 0x1.0b8bc2867abd9p-7, 0x1.020b7f41fc5ccp-7, 0x1.f1b5f4f341d59p-8, 0x1.dfefd39508e96p-8, 0x1.cec020d04b0ccp-8, 0x1.be227dd28c41cp-8, 0x1.ae12a628dbf26p-8, 0x1.9e8c6f583aad9p-8, 0x1.8f8bc8757f8ap-8, 0x1.810cb9bcd7145p-8, 0x1.730b6428f955ep-8, 0x1.6584010a31b25p-8, 0x1.5872e19d4c97fp-8, 0x1.4bd46ea287282p-8, 0x1.3fa527f4975dp-8, 0x1.33e1a41fddd7ap-8, 0x1.28868ff9dc14p-8, 0x1.1d90ae38fbf6p-8, 0x1.12fcd70cc173bp-8, 0x1.08c7f7b671581p-8, 0x1.fdde24448863ap-9, 0x1.eade790261f37p-9, 0x1.d88b41c6bcb5cp-9, 0x1.c6def9a697911p-9, 0x1.b5d441e37636fp-9, 0x1.a565e124d7c41p-9, 0x1.958ec2b35db95p-9, 0x1.8649f5b5c3638p-9, 0x1.7792ac6fb2a5p-9, 0x1.69643b828c153p-9, 0x1.5bba1930323ap-9, 0x1.4e8fdc9fec1e1p-9, 0x1.41e13d256a87ap-9, 0x1.35aa1189fd518p-9, 0x1.29e64f5809cap-9, 0x1.1e920a28cb1a8p-9, 0x1.13a972f464078p-9, 0x1.0928d764525e2p-9, 0x1.fe1942508ffdap-10, 0x1.eaa2aa9ae62f6p-10, 0x1.d7e727306d5dp-10, 0x1.c5e02bc0cd3dp-10, 0x1.b4875edff30dcp-10, 0x1.a3d698c88c1dap-10, 0x1.93c7e223897a2p-10, 0x1.845572d4b4a95p-10, 0x1.7579b0cc5e6d9p-10, 0x1.672f2ede29d59p-10, 0x1.5970ab9cf397fp-10, 0x1.4c39103bcef93p-10, 0x1.3f836f74201d4p-10, 0x1.334b0470d4e5dp-10, 0x1.278b31beab78ap-10, 0x1.1c3f804189cffp-10, 0x1.11639e2ee9b43p-10, 0x1.06f35e0d3f3b7p-10, 0x1.f9d56b70c8173p-11, 0x1.e68b7ad5fc4afp-11, 0x1.d4015d999812fp-11, 0x1.c22fc80bbc6a3p-11, 0x1.b10fadad52bc2p-11, 0x1.a09a3f69d6012p-11, 0x1.90c8e9daa94f1p-11, 0x1.81955393e4ad3p-11, 0x1.72f95b7a80125p-11, 0x1.64ef1723c3c8ap-11, 0x1.5770d13de3a5p-11, 0x1.4a790801ac4cep-11, 0x1.3e026bad24d0cp-11, 0x1.3207dd070a7dp-11, 0x1.26846beb087a9p-11, 0x1.1b7355de90006p-11, 0x1.10d004ae31554p-11, 0x1.06960d1359f03p-11, 0x1.f9825ac4aa852p-12, 0x1.e69a9880eb35bp-12, 0x1.d46ceec487235p-12, 0x1.c2f1c4a326b6bp-12, 0x1.b221ca76c7af1p-12, 0x1.a1f5f78ac6afep-12, 0x1.926787d5fa237p-12, 0x1.836ff9c39bcb8p-12, 0x1.75090c0abecc5p-12, 0x1.672cbb94164b4p-12, 0x1.59d5416dc57a5p-12, 0x1.4cfd10cd0136ep-12, 0x1.409ed51d37935p-12, 0x1.34b5701c88274p-12, 0x1.293bf80544a37p-12, 0x1.1e2db5c43f91dp-12, 0x1.1386233ba5b31p-12, 0x1.0940e992236p-12, 0x1.feb3bf1c34fa6p-13, 0x1.eb9a0ff94bc9dp-13, 0x1.d92d20485cc5ap-13, 0x1.c7659c84ad68ep-13, 0x1.b63c8029f181ep-13, 0x1.a5ab12dc0894ep-13, 0x1.95aae5a3ee15fp-13, 0x1.8635d04174e34p-13, 0x1.7745ee91554fp-13, 0x1.68d59e0717b92p-13, 0x1.5adf7b3a686f4p-13, 0x1.4d5e5f8768bb5p-13, 0x1.404d5ec18723ep-13, 0x1.33a7c4f872c6cp-13, 0x1.2769144ec06c5p-13, 0x1.1b8d02e1ceeefp-13, 0x1.100f78c286fbdp-13, 0x1.04ec8dfe87639p-13, 0x1.f4411172becd1p-14, 0x1.df4fb6aadb367p-14, 0x1.cafe4557eeb0dp-14, 0x1.b74648a852becp-14, 0x1.a42199f11b2a4p-14, 0x1.918a5d7545ab7p-14, 0x1.7f7aff486824cp-14, 0x1.6dee304c3085ap-14, 0x1.5cdee347f395fp-14, 0x1.4c484a19a493ap-14, 0x1.3c25d2ff831cp-14, 0x1.2c7325f9d6f1ap-14, 0x1.1d2c22440ed84p-14, 0x1.0e4cdbe4a28e9p-14, 0x1.ffa332a62622fp-15, 0x1.e36da266daaap-15, 0x1.c7f2504d66e4cp-15, 0x1.ad2add5f2bbe7p-15, 0x1.93113e55ce526p-15, 0x1.799fb7b6714ebp-15, 0x1.60d0da0e25cbap-15, 0x1.489f7e527a35p-15, 0x1.3106c265162c4p-15, 0x1.1a0205b95d192p-15, 0x1.038ce61b0c13ep-15, 0x1.db467929b23c2p-16, 0x1.b08234ec305fdp-16, 0x1.86c58cece3a46p-16, 0x1.5e0973ed7e92ap-16, 0x1.36473cbc42cfep-16, 0x1.0f789524e327ep-16, 0x1.d32f022cb3921p-17, 0x1.893cabf80a778p-17, 0x1.410f6c90caee7p-17, 0x1.f53a34bf75ed5p-18, 0x1.6bb82a4796829p-18, 0x1.cb0cf879541fep-19, 0x1.8a4f84b18c673p-20, -0x1.d300aa276e618p-22, -0x1.33a9a5bf6d7d4p-19, -0x1.13693844c11fp-18, -0x1.89fb3d102a3c5p-18, -0x1.fd9830ef34edbp-18, -0x1.37265e2d2616bp-17, -0x1.6e1275b4b39e1p-17, -0x1.a3961c1298f5ep-17, -0x1.d7b6ca2cc988dp-17, -0x1.053cdcbb954d1p-16, -0x1.1df1f432826fdp-16, -0x1.35fd0f50f5e0ep-16, -0x1.4d60788a03466p-16, -0x1.641e62d4f4a74p-16, -0x1.7a38eb7aec797p-16, -0x1.8fb21bcc3a3cfp-16, -0x1.a48beabe524e8p-16, -0x1.b8c83e73490ccp-16, -0x1.cc68edabb7e33p-16, -0x1.df6fc123e0176p-16, -0x1.f1de74dce88cfp-16, -0x1.01db5ca97c2c2p-15, -0x1.0a7d1a507b385p-15, -0x1.12d541c95c7edp-15, -0x1.1ae49d532a08ep-15, -0x1.22abf37e9c8abp-15, -0x1.2a2c079ef3ff7p-15, -0x1.31659a3363648p-15, -0x1.38596949672p-15, -0x1.3f0830d854faap-15, -0x1.4572ab166fe42p-15, -0x1.4b9990c7cdb1cp-15, -0x1.517d998751215p-15, -0x1.571f7c0a02593p-15, -0x1.5c7fee5d0606ap-15, -0x1.619fa61e75663p-15, -0x1.667f58b1524aep-15, -0x1.6b1fbb6cd9152p-15, -0x1.6f8183c7658dbp-15, -0x1.73a5677d24a7dp-15, -0x1.778c1cb2cb01dp-15, -0x1.7b365a147fb38p-15, -0x1.7ea4d6f134b37p-15, -0x1.81d84b5294d09p-15, -0x1.84d17011bda8bp-15, -0x1.8790fee8ed983p-15, -0x1.8a17b28253659p-15, -0x1.8c664684274adp-15, -0x1.8e7d779a36121p-15, -0x1.905e037d08118p-15, -0x1.9208a8f6c2498p-15, -0x1.937e27e5eab84p-15, -0x1.94bf413e30ab9p-15, -0x1.95ccb70757b17p-15, -0x1.96a74c5a67044p-15, -0x1.974fc55d3c13cp-15, -0x1.97c6e73c9794fp-15, -0x1.980d7824ca91ep-15, -0x1.98243f3911e26p-15, -0x1.980c0489c5e26p-15, -0x1.97c591096b5e1p-15, -0x1.9751ae80c453ep-15, -0x1.96b12781f515cp-15, -0x1.95e4c75ad0298p-15, -0x1.94ed5a06610bbp-15, -0x1.93cbac1dc5535p-15, -0x1.92808ac86a30dp-15, -0x1.910cc3abbcb13p-15, -0x1.8f7124da5f817p-15, -0x1.8dae7cc2f4407p-15, -0x1.8bc59a1e8a614p-15, -0x1.89b74bdebd599p-15, -0x1.8784611b9366fp-15, -0x1.852da90129e34p-15, -0x1.82b3f2bd37721p-15, -0x1.80180d6c73842p-15, -0x1.7d5ac807eda4ep-15, -0x1.7a7cf1525bc61p-15, -0x1.777f57c56c819p-15, -0x1.7462c97f24e33p-15, -0x1.7128142f542c2p-15, -0x1.6dd005051fbadp-15, -0x1.6a5b689cba2e3p-15, -0x1.66cb0aed3d1fap-15, -0x1.631fb736bc827p-15, -0x1.5f5a37f08c73bp-15, -0x1.5b7b56b7c72c2p-15, -0x1.5783dc3e1427fp-15, -0x1.53749038baf7fp-15, -0x1.4f4e394ffd0c8p-15, -0x1.4b119d0ec3734p-15, -0x1.46bf7fd2a2544p-15, -0x1.4258a4bc30053p-15, -0x1.3dddcd9fbade7p-15, -0x1.394fbaf65c043p-15, -0x1.34af2bcf6a05bp-15, -0x1.2ffcddc24fa59p-15, -0x1.2b398ce0c7dffp-15, -0x1.2665f3a97e195p-15, -0x1.2182cafb1a074p-15, -0x1.1c90ca07b35ccp-15, -0x1.1790a648b0d3fp-15, -0x1.1283137312958p-15, -0x1.0d68c36c29cb1p-15, -0x1.0842663ebca39p-15, -0x1.0310aa1097df3p-15, -0x1.fba87631199a9p-16, -0x1.f11b8729beadep-16, -0x1.e67bd7843d5e1p-16, -0x1.dbcab3a4d9f41p-16, -0x1.d10963ca66d08p-16, -0x1.c6392bfe80796p-16, -0x1.bb5b4c06aa79fp-16, -0x1.b070ff5636bdcp-16, -0x1.a57b7d0108b24p-16, -0x1.9a7bf7af27eefp-16, -0x1.8f739d91203afp-16, -0x1.8463985533fbp-16, -0x1.794d0d1d55805p-16, -0x1.6e311c75e8a9ap-16, -0x1.6310e24d4fb7ep-16, -0x1.57ed75ec3434ep-16, -0x1.4cc7e9ee93d97p-16, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      47, 0x1.0cccccccccccdp+2, 0x1.68285053ed89p+1, 0x1.275e7baae3d52p+2, 0x1.c760fc792bp-10, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.b9f37329c347fp+1, -0x1.36b9eed34739ep+3, 0x1.b526666666677p+3, 0x1.046023a1c8d8cp+2}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.8b10dbf0563edp+1, -0x1.1321204d27d1ap+3, 0x1.c4c5c4b2aac69p+3, -0x1.45782c8a3b131p+4}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.61c6b8b69552ep+1, -0x1.e4106fcf6e61dp+2, 0x1.76a8ed3554eacp+3, -0x1.6c6ead7f0c415p+3}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.3d5b0bbf50e34p+1, -0x1.ab9dff563fbc4p+2, 0x1.4aed90b5722a8p+3, -0x1.7454f0ef57b4fp+3}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.1d2b3cc4ac6cep+1, -0x1.7a3e3ac7305bcp+2, 0x1.1e3f8846ce0a9p+3, -0x1.34bd8ec399927p+3}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.00a9930be0dedp+1, -0x1.4f6843d5e77f6p+2, 0x1.f2660d0281778p+2, -0x1.0fb4d4023b1fcp+3}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.ceb5d462c343bp+0, -0x1.2a24ce74a6697p+2, 0x1.b130697cd9ad4p+2, -0x1.d2de4266f962p+2}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.a1a9003eea20ap+0, -0x1.09bac7f949996p+2, 0x1.792a388f36a17p+2, -0x1.931d4e5fa67a1p+2}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.79743e963dc48p+0, -0x1.dafb94c1f480ep+1, 0x1.48ca8b50890dap+2, -0x1.5aac841a6a01fp+2}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.557891e215337p+0, -0x1.a9b4479ecb858p+1, 0x1.1f30b8e6f7365p+2, -0x1.2830a136b38ddp+2}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.352d44dca8e2ep+0, -0x1.7e98e1722c734p+1, 0x1.f74b888d9a5fp+1, -0x1.fd21ee1591556p+1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.181d4b6a619dbp+0, -0x1.58c7052151219p+1, 0x1.ba32fb57d09ccp+1, -0x1.b117053c4d382p+1}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.fbc89f40a2878p-1, -0x1.377af65f64db9p+1, 0x1.863a75984239dp+1, -0x1.7281fcf939d81p+1}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.cc5974e65bea1p-1, -0x1.1a0a5d972ca32p+1, 0x1.59c475f53b48ep+1, -0x1.3ae106decfeep+1}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.a15af294dd723p-1, -0x1.ffc7f1b12fc9bp+0, 0x1.33fb60a74b4bp+1, -0x1.0df9e78b83b98p+1}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.7a5093964a59cp-1, -0x1.d1187f477a33ap+0, 0x1.1395b58212869p+1, -0x1.ca6eb5e644c0dp+0}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.56cfe9b7bf1e9p-1, -0x1.a733dd94d8a4bp+0, 0x1.f0285f6da1ebcp+0, -0x1.8a51594feb8ep+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.367e414e7ee91p-1, -0x1.816717e970404p+0, 0x1.c0d6ee4f8fe51p+0, -0x1.544be4d9fee1p+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.190dbf0563ed1p-1, -0x1.5f2103e5c21f8p+0, 0x1.9801060c714f3p+0, -0x1.247f13482361bp+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.fc768dfbd6a57p-2, -0x1.3fe4834d25c5cp+0, 0x1.74e788dad376ap+0, -0x1.01b7ce056cb67p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.cb99d451fc4c1p-2, -0x1.234c1d2e8f701p+0, 0x1.55fa7021dae5bp+0, -0x1.c143694461ae3p-1}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.9f1fddebd9017p-2, -0x1.09046d24703bfp+0, 0x1.3b05c0db31328p+0, -0x1.9782bee392f68p-1}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.76af89c5e6ff8p-2, -0x1.e19648047df5dp-1, 0x1.2292637b9e237p+0, -0x1.68b19b2d5dba8p-1}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.51f8e3ac0c62ep-2, -0x1.b4d3adfda0e8cp-1, 0x1.0cee21da2cfedp+0, -0x1.4db6d466ef5afp-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.30b45ae5ffa3cp-2, -0x1.8b665dd162557p-1, 0x1.f1d0909dc2632p-1, -0x1.30731336e988dp-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.12a0663c74fb5p-2, -0x1.65093a95836adp-1, 0x1.cd47e03b0285fp-1, -0x1.207cdebd65f6cp-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.ef01754b05b7dp-3, -0x1.4184b14ad7436p-1, 0x1.aaa9880fcd53dp-1, -0x1.0d9971d389f27p-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.be39713ad5beep-3, -0x1.20adef0b1aa63p-1, 0x1.8a4f70299e0e2p-1, -0x1.011d59f45e644p-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.927e52157689dp-3, -0x1.025e66b4facc1p-1, 0x1.6b74e03f7e3f8p-1, -0x1.ebe24cb60ff97p-2}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.6b6ae7d566cf4p-3, -0x1.ccf20c9db46a3p-2, 0x1.4df189b9b07d5p-1, -0x1.de3c193f00accp-2}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.489e34330d738p-3, -0x1.99cf60c99d812p-2, 0x1.313fda216de39p-1, -0x1.bb2d4e4dec455p-2}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.29bae46cfc82ap-3, -0x1.6b18f00767c86p-2, 0x1.16a8a75a31a1fp-1, -0x1.c50ead895049ap-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.0e685db76b3bcp-3, -0x1.40afca3506863p-2, 0x1.f6f362d71c30bp-2, -0x1.9097fb8cd371fp-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.ec9f2fdb8fde3p-4, -0x1.1a5f9bc6b1b9ap-2, 0x1.c6e125ef2bc6fp-2, -0x1.a89164435f0fcp-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.c23e9ea140571p-4, -0x1.f00ac57de2e35p-3, 0x1.93ee6bd29b3fdp-2, -0x1.6d227365b279fp-2}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.9d0d8cb07d0afp-4, -0x1.b2eb194a52edfp-3, 0x1.681d7cb1ec3b7p-2, -0x1.72e4ce25d61a8p-2}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.7c7820a30db6ap-4, -0x1.7cdc4a153be29p-3, 0x1.3b9ba165b3d1cp-2, -0x1.574a5402f4f7bp-2}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.5feeb2d0a2446p-4, -0x1.4da8a8ab499b5p-3, 0x1.1269c046a0a9dp-2, -0x1.3ff1e1ce556c6p-2}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.46e9ff0cbaf97p-4, -0x1.24d2fec2bc64fp-3, 0x1.d80a172888fcp-3, -0x1.28ee24c3baa6ap-2}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.30ec311622814p-4, -0x1.01e95d1b7beeap-3, 0x1.90c6b22cc2975p-3, -0x1.0c558b22b7d54p-2}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.1d80e496ededbp-4, -0x1.c8d9da21ba432p-4, 0x1.50603edcbf6e6p-3, -0x1.eb775d62d17fap-3}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.0c3e3193f6c27p-4, -0x1.97bfb864eff97p-4, 0x1.156666db212bfp-3, -0x1.b977742f4d6cep-3}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.f9873ffac1d2ap-5, -0x1.6f9a5d46d61c7p-4, 0x1.c0d9183a443d7p-4, -0x1.aeaad1dff6f97p-3}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.dd72367e414e8p-5, -0x1.4fd45d5a7189cp-4, 0x1.597ce5db8e15ep-4, -0x1.17ba88a1ade32p-4}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.c3a647fdc5932p-5, -0x1.358880de5708p-4, 0x1.37eba24308943p-4, -0x1.007807372b172p-1}, 
        {0x1.8p+1, 0x1.bd70a3d70a3d7p+1, 0x1.ab9f559b3d07ep-5, -0x1.266d906d52accp-4, 0x1.06d7631991534p-6, 0x1.67bf36319f45dp-8}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.0cccccccccccdp+2, 0x1.6872b020c49bap-6, -0x1.af9c27feeca95p-5, 0x1.8859a9cf458b4p-6, -0x1.4538a88ccb188p-4}, 
      }}, 
      0x1.e5f4288996acep-3, -0x1.43ff6f45704ep-3
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_n_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, -0x1.0afc468d02319p-2, -0x1.47ae147ae147bp-1, -0x1.c779a6b50b0f2p-4, 0x1.9f1bef49cf56fp-2, 0x1.d35fc3b4f6167p-2, 0x1.b93dd97f62b6bp-2, 0, 3, 2}, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.48c3ceda36ep+0, -0x1.35b46a24c78fep+0, -0x1.22cf17a52d462p+0, -0x1.102281f3a4c3cp+0, -0x1.fb77381e71662p-1, -0x1.d74ba7bc6fcabp-1, -0x1.b3d6b279cf4f5p-1, -0x1.912a1ca549bd2p-1, -0x1.6f54bdf154febp-1, -0x1.4e62c63522ba8p-1, -0x1.2e5e61ac43699p-1, -0x1.0f5029981c43bp-1, -0x1.e27e56fc13143p-2, -0x1.a8615bc8d573fp-2, -0x1.7050098af0518p-2, -0x1.3a4d6f0d1bf2dp-2, -0x1.0659ea0796cb1p-2, -0x1.a8e8597957877p-3, -0x1.4933c035eecep-3, -0x1.db1ed5f6fd61cp-4, -0x1.2be442f87322bp-4, -0x1.095bf4d091971p-5, 0x1.acd443df938abp-8, 0x1.6544cf09082fcp-5, 0x1.42fa8de10b5acp-4, 0x1.cc0188e78cec7p-4, 0x1.26f294ce2d3aap-3, 0x1.646a5da92f507p-3, 0x1.9e8062682173ep-3, 0x1.d54d81de2ed94p-3, 0x1.04759c5e3b9e2p-2, 0x1.1cb9c7383886fp-2, 0x1.338071c4ca3cep-2, 0x1.48d6d74976ecbp-2, 0x1.5cca1f1eb8cadp-2, 0x1.6f6748f858fe5p-2, 0x1.80bb2624f435dp-2, 0x1.90d25bddfc425p-2, 0x1.9fb968a9b4c31p-2, 0x1.ad7ca7efa8f04p-2, 0x1.ba28517952349p-2, 0x1.c5c874f68d245p-2, 0x1.d068f2d143936p-2, 0x1.da1573a0519f6p-2, 0x1.e2d95ef4ccadp-2, 0x1.eabfd1bf2ffedp-2, 0x1.f1d39489589b6p-2, 0x1.f81f1236e5cccp-2, 0x1.fdac508bd74b3p-2, 0x1.014275f8be093p-1, 0x1.03590bca193d4p-1, 0x1.051e5109f41dcp-1, 0x1.06967ef94b984p-1, 0x1.07c5a6095941ep-1, 0x1.08afb31a6ee3p-1, 0x1.095873c2c6cc6p-1, 0x1.09c398eae60ebp-1, 0x1.09f4b77085d64p-1, 0x1.09ef46eb06bc9p-1, 0x1.09b69f07fd353p-1, 0x1.094df432e0394p-1, 0x1.08b8544e5544p-1, 0x1.07f8a42f4a03fp-1, 0x1.071485d089e6ep-1, 0x1.0608abf454a02p-1, 0x1.04da26e68b723p-1, 0x1.038b3fb2870f9p-1, 0x1.021e239f38d43p-1, 0x1.0094e5fa7e7bap-1, 0x1.fde302f06cd12p-2, 0x1.fa6bb24c03f92p-2, 0x1.f6c7720a76412p-2, 0x1.f2f9acce2fbeap-2, 0x1.ef05a055c67b8p-2, 0x1.eaee5df8c8f2cp-2, 0x1.e6b6cb555690cp-2, 0x1.e261a34eb9df1p-2, 0x1.ddf1776bd7de1p-2, 0x1.d968b19473b65p-2, 0x1.d4c9961f9a57p-2, 0x1.d016461cec6e5p-2, 0x1.cb50c1be38398p-2, 0x1.c67aeac6512d5p-2, 0x1.c19686e4ca5a3p-2, 0x1.bca541eae2f24p-2, 0x1.b7a8afcbc2008p-2, 0x1.b2a24e5ff2a18p-2, 0x1.ad9386e957619p-2, 0x1.a87daf592ce31p-2, 0x1.a3620b5cf8e39p-2, 0x1.9e41cd39a4b85p-2, 0x1.991e167d90d0fp-2, 0x1.93f7f8934ab74p-2, 0x1.8ed0753edd4a1p-2, 0x1.89a87f0f57787p-2, 0x1.8480f9cd43b22p-2, 0x1.7f5abaed52aa8p-2, 0x1.7a368a0c96f06p-2, 0x1.75152179956dp-2, 0x1.6ff72ecb43d2p-2, 0x1.6add53852b189p-2, 0x1.65c825c657ef3p-2, 0x1.60b830ffc6809p-2, 0x1.5badf6ae7fceep-2, 0x1.56a9ef15871f3p-2, 0x1.51ac89f416b15p-2, 0x1.4cb62f3521c04p-2, 0x1.47c73f95ad79fp-2, 0x1.42e01540265f1p-2, 0x1.3e01045b5da53p-2, 0x1.392a5b8c4823bp-2, 0x1.345c6469f7573p-2, 0x1.2f9763e3adb1ap-2, 0x1.2adb9a99290b1p-2, 0x1.26294525ae9e3p-2, 0x1.21809c5ea7461p-2, 0x1.1ce1d586f074fp-2, 0x1.184d22784a18p-2, 0x1.13c2b1c480242p-2, 0x1.0f42aed00484fp-2, 0x1.0acd41e7b9988p-2, 0x1.066290538e96cp-2, 0x1.0202bc6769012p-2, 0x1.fb5bcb272dc54p-3, 0x1.f2c850eb8136p-3, 0x1.ea4b3dd617c67p-3, 0x1.e1e4c047afad6p-3, 0x1.d995017293b8p-3, 0x1.d15c25894705fp-3, 0x1.c93a4bf09876p-3, 0x1.c12f8f7491e92p-3, 0x1.b93c067fc2ee9p-3, 0x1.b15fc35446c2fp-3, 0x1.a99ad445dcbf4p-3, 0x1.a1ed43f475c4fp-3, 0x1.9a571986a11e7p-3, 0x1.92d858e334574p-3, 0x1.8b7102e9ad9f2p-3, 0x1.842115a8c23a5p-3, 0x1.7ce88c929dd7dp-3, 0x1.75c760ae6319fp-3, 0x1.6ebd88c68664ep-3, 0x1.67caf993b58d8p-3, 0x1.60efa5e41096dp-3, 0x1.5a2b7ebe831d8p-3, 0x1.537e7382392a8p-3, 0x1.4ce8720232f1fp-3, 0x1.46685fdc5537ap-3, 0x1.3ffff032bb56ep-3, 0x1.39ae53b5e3e32p-3, 0x1.337373ac314p-3, 0x1.2d4f37e8c3272p-3, 0x1.274186d51f3cep-3, 0x1.214a457a674bcp-3, 0x1.1b69578a58f71p-3, 0x1.159e9f684ac99p-3, 0x1.0fe9fe3243a7dp-3, 0x1.0a4b53ca543abp-3, 0x1.04c27ee03171bp-3, 0x1.fe9eb9f65f8d1p-4, 0x1.f3e3950907fcfp-4, 0x1.e95345a3bd097p-4, 0x1.deed806071d0cp-4, 0x1.d4b1f7ddbad03p-4, 0x1.caa05cd513853p-4, 0x1.c0b85e3133e2bp-4, 0x1.b6f9a92455f22p-4, 0x1.ad63e93e43288p-4, 0x1.a3f6c8820802ep-4, 0x1.9ab1ef7b354a4p-4, 0x1.9195055283b62p-4, 0x1.889fafe1e045p-4, 0x1.7fd193c7c036cp-4, 0x1.772a5479b708p-4, 0x1.6ea994564c7fcp-4, 0x1.664ef4b60d86ep-4, 0x1.5e1a15fbde4d8p-4, 0x1.560a97a490e72p-4, 0x1.4e201855c957ep-4, 0x1.465a35ec3bbc9p-4, 0x1.3eb88d894f48cp-4, 0x1.373abba033a77p-4, 0x1.2fe05c0278655p-4, 0x1.28a909ec33c49p-4, 0x1.2194600fc8fb6p-4, 0x1.1aa1f8a15a2e7p-4, 0x1.13d16d61f575cp-4, 0x1.0d2257aa86c47p-4, 0x1.069450769d7c4p-4, 0x1.0026f06f0ba6fp-4, 0x1.f3b39fe8d0515p-5, 0x1.e7590e52fb313p-5, 0x1.db3d5bfb4d40dp-5, 0x1.cf5fb86e3a552p-5, 0x1.c3bf52fa8296dp-5, 0x1.b85b5ac5a80e5p-5, 0x1.ad32fee05784dp-5, 0x1.a2456e5ab4e57p-5, 0x1.9791d8589444cp-5, 0x1.8d176c2592e31p-5, 0x1.82d5594908c7cp-5, 0x1.78cacf99d23f1p-5, 0x1.6ef6ff51e1c1ep-5, 0x1.6559192199eadp-5, 0x1.5bf04e42dfa57p-5, 0x1.52bbd08be2d43p-5, 0x1.49bad281922b1p-5, 0x1.40ec8769b49d4p-5, 0x1.3850235ca0a1bp-5, 0x1.2fe4db56898fp-5, 0x1.27a9e5486202p-5, 0x1.1f9e7828491a3p-5, 0x1.17c1cc017f61ap-5, 0x1.10131a03e1f7cp-5, 0x1.08919c92e7c68p-5, 0x1.013c8f541ac6cp-5, 0x1.f4265e7a25347p-6, 0x1.e6297541cd43bp-6, 0x1.d880e27a3de7bp-6, 0x1.cb2b288c3c6b7p-6, 0x1.be26cce60ceefp-6, 0x1.b17258123386dp-6, 0x1.a50c55cd2f96dp-6, 0x1.98f3551a3166ap-6, 0x1.8d25e856caa51p-6, 0x1.81a2a54da7edp-6, 0x1.766825484a25dp-6, 0x1.6b75051fc614cp-6, 0x1.60c7e54c9d1ecp-6, 0x1.565f69f598b7p-6, 0x1.4c3a3afdc8239p-6, 0x1.425704119556ap-6, 0x1.38b474b2f5153p-6, 0x1.2f514044c1e59p-6, 0x1.262c1e153955p-6, 0x1.1d43c967ab0eep-6, 0x1.1497017d558cdp-6, 0x1.0c24899d7ba26p-6, 0x1.03eb291caf5eep-6, 0x1.f7d356c6c3825p-7, 0x1.e83dbfe755248p-7, 0x1.d91334dcc7b23p-7, 0x1.ca51652f01f3ap-7, 0x1.bbf608b380ee3p-7, 0x1.adfedf934d7d1p-7, 0x1.a069b24fa72d5p-7, 0x1.933451c5645edp-7, 0x1.865c972f02086p-7, 0x1.79e0642584e58p-7, 0x1.6dbda2a01dfc1p-7, 0x1.61f244f29c529p-7, 0x1.567c45cac6955p-7, 0x1.4b59a82c8d2f5p-7, 0x1.4088776d2625fp-7, 0x1.3606c72d1d8ep-7, 0x1.2bd2b3515ed3p-7, 0x1.21ea5ffb42a3p-7, 0x1.184bf97fa082cp-7, 0x1.0ef5b45cf70ap-7, 0x1.05e5cd30a96p-7, 0x1.fa351156cb0fap-8, 0x1.e92467095a96dp-8, 0x1.d89644db2b82ep-8, 0x1.c887640578e39p-8, 0x1.b8f48d7b0cb91p-8, 0x1.a9da99c943256p-8, 0x1.9b3670f7bab75p-8, 0x1.8d050a66b4113p-8, 0x1.7f436cac3e78ep-8, 0x1.71eead703270ap-8, 0x1.6503f1470d7dbp-8, 0x1.58806b8bcea2ap-8, 0x1.4c615e38c69a7p-8, 0x1.40a419bf845d9p-8, 0x1.3545fcdfe228cp-8, 0x1.2a44747e3c505p-8, 0x1.1f9cfb78f11ddp-8, 0x1.154d1a7d21d6fp-8, 0x1.0b5267dadaa4ap-8, 0x1.01aa87589b724p-8, 0x1.f0a6540cb361p-9, 0x1.de941c200bee8p-9, 0x1.cd19fd1f49726p-9, 0x1.bc33a6bdf4a1fp-9, 0x1.abdce1d1e1607p-9, 0x1.9c118ff549e87p-9, 0x1.8ccdab2875fep-9, 0x1.7e0d4572f96b1p-9, 0x1.6fcc8884a5ecbp-9, 0x1.6207b556311ffp-9, 0x1.54bb23c9cb3c6p-9, 0x1.47e3424b8cb5cp-9, 0x1.3b7c9571e97f1p-9, 0x1.2f83b79e38017p-9, 0x1.23f5589d594a1p-9, 0x1.18ce3d48893p-9, 0x1.0e0b3f268fde3p-9, 0x1.03a94c0d27b81p-9, 0x1.f34acb85a8ca6p-10, 0x1.dff9434252a7ep-10, 0x1.cd58506f194b3p-10, 0x1.bb6269dcfdeabp-10, 0x1.aa122b5715c4p-10, 0x1.996254eb8a8ap-10, 0x1.894dca36079e1p-10, 0x1.79cf91ab90b2bp-10, 0x1.6ae2d3e7e39f2p-10, 0x1.5c82dafc56c17p-10, 0x1.4eab11c08bbf6p-10, 0x1.41570324ab38bp-10, 0x1.3482598579596p-10, 0x1.2828de02434d4p-10, 0x1.1c4677d48cceep-10, 0x1.10d72ba9e7a81p-10, 0x1.05d71aff7c1abp-10, 0x1.f680190cb42dbp-11, 0x1.e2287fdf46673p-11, 0x1.ce996079f1c36p-11, 0x1.bbcbd72f225b5p-11, 0x1.a9b933d927c4p-11, 0x1.985af8aa2e866p-11, 0x1.87aad900b2a08p-11, 0x1.77a2b83ff2999p-11, 0x1.683ca8acd5c47p-11, 0x1.5972ea4f3c035p-11, 0x1.4b3fe9d771047p-11, 0x1.3d9e3f8853c16p-11, 0x1.3088ae25a1b14p-11, 0x1.23fa21e6d2e3cp-11, 0x1.17edaf6e52532p-11, 0x1.0c5e92c5226b7p-11, 0x1.01482e5b1e2fep-11, 0x1.ed4c1416d55cap-12, 0x1.d8e7a44af8201p-12, 0x1.c55aacf507e1fp-12, 0x1.b29d12de6d825p-12, 0x1.a0a6fe24424fep-12, 0x1.8f70d86c48f54p-12, 0x1.7ef34b2329fe6p-12, 0x1.6f273dc2e2982p-12, 0x1.6005d42238c25p-12, 0x1.51886ccc9585fp-12, 0x1.43a89f6274edap-12, 0x1.36603b0245045p-12, 0x1.29a944b9e2b11p-12, 0x1.1d7df6002c6d6p-12, 0x1.11d8bb36fe279p-12, 0x1.06b432356f95ap-12, 0x1.f81651b419d3fp-13, 0x1.e3b1374a8c869p-13, 0x1.d02f68b772226p-13, 0x1.bd8791609cf36p-13, 0x1.abb0b1ecb4dcfp-13, 0x1.9aa21db65ec4bp-13, 0x1.8a53784ed9c1p-13, 0x1.7abcb30fa4277p-13, 0x1.6bd60aba848dp-13, 0x1.5d98052907a3ap-13, 0x1.4ffb6f098c901p-13, 0x1.42f959aaf9a7p-13, 0x1.368b18d62e793p-13, 0x1.2aaa40b59ac4cp-13, 0x1.1f50a3c9dbdd8p-13, 0x1.147850ec00e03p-13, 0x1.0a1b915d35bdcp-13, 0x1.0034e6e2ae94cp-13, 0x1.ed7e13dd4fd69p-14, 0x1.db69cfab89e1bp-14, 0x1.ca2342213f4a8p-14, 0x1.b9a10f12e18bfp-14, 0x1.a9da39ea48bcep-14, 0x1.9ac62270f8f71p-14, 0x1.8c5c81b0829b2p-14, 0x1.7e9566e8d6599p-14, 0x1.7169349cc44fep-14, 0x1.64d09db32bbd4p-14, 0x1.58c4a2ae1b109p-14, 0x1.4d3e8ef4d0ddap-14, 0x1.4237f6333a6b3p-14, 0x1.37aab1cbd2891p-14, 0x1.2d90de5d1c4a3p-14, 0x1.23e4d959ab3dap-14, 0x1.1aa13eb26844fp-14, 0x1.11c0e692ab148p-14, 0x1.093ee32d8a355p-14, 0x1.01167e9cb7189p-14, 0x1.f286719dad8dp-15, 0x1.e3818b0f0e1a9p-15, 0x1.d51614dbc6052p-15, 0x1.c73c3a561d53p-15, 0x1.b9ec832f3dbfep-15, 0x1.ad1fcfef748a3p-15, 0x1.a0cf568ad62d7p-15, 0x1.94f49f11fa2ddp-15, 0x1.8989807ccc1bep-15, 0x1.7e881d91f6019p-15, 0x1.73eae1e590e3ap-15, 0x1.69ac7ef23f267p-15, 0x1.5fc7e94abc64p-15, 0x1.563855e1d95dcp-15, 0x1.4cf9376bc6a12p-15, 0x1.44063bd3741f6p-15, 0x1.3b5b49c72479cp-15, 0x1.32f47e5a81dep-15, 0x1.2ace2abd2b45fp-15, 0x1.22e4d202bab08p-15, 0x1.1b352703d4e1p-15, 0x1.13bc0a4d62b22p-15, 0x1.0c768823c1186p-15, 0x1.0561d6989a336p-15, 0x1.fcf6a7625ae7fp-16, 0x1.ef81073c4b44bp-16, 0x1.e25e1e05aa515p-16, 0x1.d589829c7bb2ap-16, 0x1.c8ff0e43cefc3p-16, 0x1.bcbad98f0c263p-16, 0x1.b0b9396e80e52p-16, 0x1.a4f6bc53aaa06p-16, 0x1.9970277329d57p-16, 0x1.8e227420c8e69p-16, 0x1.830acd459c17p-16, 0x1.78268ced6b92fp-16, 0x1.6d7339ef9d7e4p-16, 0x1.62ee85ac30478p-16, 0x1.589649e118c4dp-16, 0x1.4e6886953c2dep-16, 0x1.44636018b313fp-16, 0x1.3a851d199e52fp-16, 0x1.30cc24cd31053p-16, 0x1.2736fd2abee03p-16, 0x1.1dc4493b5a5f8p-16, 0x1.1472c77abee01p-16, 0x1.0b4150488a78ap-16, 0x1.022ed46baeaafp-16, 0x1.f274b74b38c1fp-17, 0x1.e0c606aa6a9bfp-17, 0x1.cf4ffa51e97bcp-17, 0x1.be111bbf7b1a8p-17, 0x1.ad08182f818bbp-17, 0x1.9c33be568c396p-17, 0x1.8b92fc3481cbcp-17, 0x1.7b24dd01e05bfp-17, 0x1.6ae88735e54fbp-17, 0x1.5add3aa0e3bbfp-17, 0x1.4b024ea469647p-17, 0x1.3b57307b07ae6p-17, 0x1.2bdb6194ef1cp-17, 0x1.1c8e760f6c47ep-17, 0x1.0d70133a8f645p-17, 0x1.fcffdc636a69dp-18, 0x1.df7b950c3b0a1p-18, 0x1.c252f200fdfc9p-18, 0x1.a585acd7ca14cp-18, 0x1.891394ea55422p-18, 0x1.6cfc8d2d35085p-18, 0x1.51408a2d757e6p-18, 0x1.35df902800db3p-18, 0x1.1ad9b132ade11p-18, 0x1.002f0b8d5607fp-18, 0x1.cbbf900a5a0b7p-19, 0x1.97d830df2bf38p-19, 0x1.64a86c80cfcf6p-19, 0x1.3230c264cd307p-19, 0x1.0071bc0a608f7p-19, 0x1.9ed7d54db7557p-20, 0x1.3e3fc9ddca8a4p-20, 0x1.be39142bafca7p-21, 0x1.02de9ab5c0402p-21, 0x1.29ca54cadfc46p-23, -0x1.ac2258e4b77p-23, -0x1.1d908ed605204p-21, -0x1.cd230f8728136p-21, -0x1.3cdef5dadb0cp-20, -0x1.91af8a18eb1fp-20, -0x1.e5024dd433a88p-20, -0x1.1b6b2e9d43879p-19, -0x1.439574a714736p-19, -0x1.6aff9cb937debp-19, -0x1.91a9567fd38d3p-19, -0x1.b7925e3c433fbp-19, -0x1.dcba7d727fa3ep-19, -0x1.0090c5b329599p-18, -0x1.1263b6c690214p-18, -0x1.23d60c00d4a3fp-18, -0x1.34e7c6e48957p-18, -0x1.4598f096e8413p-18, -0x1.55e999f81dd67p-18, -0x1.65d9dbbbee9eap-18, -0x1.7569d67b0ed22p-18, -0x1.8499b2be42a51p-18, -0x1.9369a106ed1dep-18, -0x1.a1d9d9cb93255p-18, -0x1.afea9d7d9c183p-18, -0x1.bd9c3476f2b92p-18, -0x1.caeeeef544482p-18, -0x1.d7e32508d7971p-18, -0x1.e479367e91eabp-18, -0x1.f0b18ad60305bp-18, -0x1.fc8c91159b041p-18, -0x1.04055fdd88e4bp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.eee8a510eap+0, -0x1.e6803145840acp+0, -0x1.ddfea5f2ad6aap+0, -0x1.d56983d3e4601p+0, -0x1.ccc5e25f5c6cp+0, -0x1.c41893f4e9244p+0, -0x1.bb66144141aeap+0, -0x1.b2b28010e927cp+0, -0x1.aa01ab25ca408p+0, -0x1.a1572104d42a1p+0, -0x1.98b6205982e9dp+0, -0x1.9021a2bf4bae3p+0, -0x1.879c612a98a25p+0, -0x1.7f28d232ac252p+0, -0x1.76c92d2e667d2p+0, -0x1.6e7f7266f3e85p+0, -0x1.664d7146d4682p+0, -0x1.5e34ca90e8fa8p+0, -0x1.5636f12daa43ep+0, -0x1.4e552b5249807p+0, -0x1.469094844530cp+0, -0x1.3eea1bfc59c4bp+0, -0x1.3762958f221bcp+0, -0x1.2ffab83b720cfp+0, -0x1.28b31a12f54c2p+0, -0x1.218c363306ac6p+0, -0x1.1a866e9b80968p+0, -0x1.13a20d504d02fp+0, -0x1.0cdf459db9feep+0, -0x1.063e3619ac1e6p+0, -0x1.ff7dd620ad4f8p-1, -0x1.f2c2c10e8462dp-1, -0x1.e64b06cc174d3p-1, -0x1.da1664350ab0ep-1, -0x1.ce247acf6518p-1, -0x1.c274d37f8859ep-1, -0x1.b706e1efbeaf4p-1, -0x1.abda07ab26bap-1, -0x1.a0ed962e2c7cfp-1, -0x1.9640cfed25759p-1, -0x1.8bd2e8ecff25cp-1, -0x1.81a307a70a89p-1, -0x1.77b0469ca6fffp-1, -0x1.6df9b68408d8p-1, -0x1.647e609e8a4d5p-1, -0x1.5b3d48b645eap-1, -0x1.52356e6d68b2ap-1, -0x1.4965cdd535db1p-1, -0x1.40cd5f87b3379p-1, -0x1.386b18a2a25e7p-1, -0x1.303deafc39619p-1, -0x1.2844c5c34ee4ep-1, -0x1.207e9689675dap-1, -0x1.18ea4a8ab5e53p-1, -0x1.1186cff45a07p-1, -0x1.0a5316ee9e09ap-1, -0x1.034e1248a6cf5p-1, -0x1.f8ed6f829478ap-2, -0x1.eb9800058533dp-2, -0x1.de99ccebf62edp-2, -0x1.d1f0d229441acp-2, -0x1.c59b10b271d86p-2, -0x1.b9968ebcadd6ep-2, -0x1.ade1547588c5p-2, -0x1.a279717c190b7p-2, -0x1.975d0a181831bp-2, -0x1.8c8a443091337p-2, -0x1.81ff4e48d42a7p-2, -0x1.77ba5fbe88023p-2, -0x1.6db9b8f057ca3p-2, -0x1.63fba34d648e3p-2, -0x1.5a7e71521ac6ap-2, -0x1.51407e799f0b8p-2, -0x1.48402f2b6c9b8p-2, -0x1.3f7bf0ab23c36p-2, -0x1.36f2390dd7a42p-2, -0x1.2ea187351335p-2, -0x1.268862cd7abd1p-2, -0x1.1ea55c4d5bb57p-2, -0x1.16f70cef5ab61p-2, -0x1.0f7c16a60cf34p-2, -0x1.08332406c9e38p-2, -0x1.011ae82b9563ep-2, -0x1.f4643d1ae2f6ap-3, -0x1.e6ef15b2d91e3p-3, -0x1.d9d3f18613b2cp-3, -0x1.cd1077ad01112p-3, -0x1.c0a25e99228p-3, -0x1.b4876bc1c7bcp-3, -0x1.a8bd7355e0566p-3, -0x1.9d4257f1b9976p-3, -0x1.92140a5681605p-3, -0x1.873089216cb11p-3, -0x1.7c95e080b78c2p-3, -0x1.724229e569232p-3, -0x1.68338bb1bd846p-3, -0x1.5e6838e4e210ep-3, -0x1.54de70c533516p-3, -0x1.4b947e8a9d19p-3, -0x1.4288b90a8f471p-3, -0x1.39b98266d2c44p-3, -0x1.312547c010f5bp-3, -0x1.28ca80ec675ep-3, -0x1.20a7b031d9ae9p-3, -0x1.18bb6204399ddp-3, -0x1.11042cc5a7b91p-3, -0x1.0980b088e5867p-3, -0x1.022f96d4a1768p-3, -0x1.f61f24cdf47f3p-4, -0x1.e83ebdf18e94fp-4, -0x1.dabb8200a701bp-4, -0x1.cd930ae70c307p-4, -0x1.c0c30313455ffp-4, -0x1.b44924f9e19d6p-4, -0x1.a8233a9996554p-4, -0x1.9c4f1d011af98p-4, -0x1.90cab3d7c6fb1p-4, -0x1.8593f4e9f728p-4, -0x1.7aa8e3b9d64d7p-4, -0x1.700791152a131p-4, -0x1.65ae1ab064a2bp-4, -0x1.5b9aaac700bb3p-4, -0x1.51cb77c0fe7e6p-4, -0x1.483ec3dd1c85ep-4, -0x1.3ef2dcdf4a897p-4, -0x1.35e61bc2bed25p-4, -0x1.2d16e46f0f1ap-4, -0x1.2483a56faf602p-4, -0x1.1c2ad7ad5402ap-4, -0x1.140afe28be0ecp-4, -0x1.0c22a5b6aa318p-4, -0x1.047064bca0d69p-4, -0x1.f9e5b5dd3b8fcp-5, -0x1.eb51621b13008p-5, -0x1.dd21314d4ca3fp-5, -0x1.cf5297a825f62p-5, -0x1.c1e319fd2c661p-5, -0x1.b4d04d41cbb7dp-5, -0x1.a817d61932546p-5, -0x1.9bb76861da557p-5, -0x1.8facc6c6f26acp-5, -0x1.83f5c255cda61p-5, -0x1.78903a1762f9ep-5, -0x1.6d7a1aadd2912p-5, -0x1.62b15df5d4d98p-5, -0x1.58340aabe2591p-5, -0x1.4e003414de795p-5, -0x1.4413ea6b9b399p-5, -0x1.3a6d7775a378p-5, -0x1.310b02e4dc4b4p-5, -0x1.27eacf0a62b13p-5, -0x1.1f0b29372a9b8p-5, -0x1.166a6972e72fp-5, -0x1.0e06f23534bdp-5, -0x1.05df3020ec306p-5, -0x1.fbe3338315a1fp-6, -0x1.ec795e95311b7p-6, -0x1.dd7df4b1ec91bp-6, -0x1.ceee1b6c06843p-6, -0x1.c0c70a390ea78p-6, -0x1.b30609fe9c9cep-6, -0x1.a5a874a2cedd3p-6, -0x1.98abb49ff7cfp-6, -0x1.8c0d449b50ea9p-6, -0x1.7fcaaefeace35p-6, -0x1.73e18d9502219p-6, -0x1.684f8929bf7b6p-6, -0x1.5d12592acb804p-6, -0x1.5227c34d2da48p-6, -0x1.478d9b342dee5p-6, -0x1.3d41c21af4488p-6, -0x1.33422680839a1p-6, -0x1.298cc3d5ffbccp-6, -0x1.201fa22f2b549p-6, -0x1.16f8d5f5091eep-6, -0x1.0e167f9a92a6fp-6, -0x1.0576cb536ff73p-6, -0x1.fa2fe1992de4ap-7, -0x1.e9f065cda06fap-7, -0x1.da2bbee60973ep-7, -0x1.cade9de092eddp-7, -0x1.bc05c89739559p-7, -0x1.ad9e1942872d7p-7, -0x1.9fa47dff742c6p-7, -0x1.9215f8585b5adp-7, -0x1.84ef9cd0e3897p-7, -0x1.782e9274cd782p-7, -0x1.6bd012698a1dep-7, -0x1.5fd1678289985p-7, -0x1.542fedd82da48p-7, -0x1.48e9126147b59p-7, -0x1.3dfa528f1a5acp-7, -0x1.33613bebbd72dp-7, -0x1.291b6bbadae5bp-7, -0x1.1f268e9cb51e6p-7, -0x1.158060335d3bap-7, -0x1.0c26aaca0a9b7p-7, -0x1.031746fe8bbd7p-7, -0x1.f4a036d966f8dp-8, -0x1.e39e38b772ad3p-8, -0x1.d32496db04232p-8, -0x1.c32f6e9f707ap-8, -0x1.b3baf6dd5fdf8p-8, -0x1.a4c37f54084dbp-8, -0x1.96457015c2814p-8, -0x1.883d48f7e572fp-8, -0x1.7aa7a105cd4f6p-8, -0x1.6d8125f6fc30fp-8, -0x1.60c69ba83a26dp-8, -0x1.5474db97a8b6fp-8, -0x1.4888d463b2c5p-8, -0x1.3cff894cc13b6p-8, -0x1.31d611b9b1ebfp-8, -0x1.270998bef0db3p-8, -0x1.1c975ca830045p-8, -0x1.127cae849f78ap-8, -0x1.08b6f1b5a8aa3p-8, -0x1.fe873700388dep-9, -0x1.ec40653f5948ap-9, -0x1.da949db983eb2p-9, -0x1.c97f314936b61p-9, -0x1.b8fb91473846p-9, -0x1.a9054ec388c88p-9, -0x1.999819c293efdp-9, -0x1.8aafc07e9a13dp-9, -0x1.7c482ead0ab0cp-9, -0x1.6e5d6cc7ebdb2p-9, -0x1.60eb9f5b26ae8p-9, -0x1.53ef065596623p-9, -0x1.4763fc5ddb22ep-9, -0x1.3b46f62ad63b8p-9, -0x1.2f9481dfb0986p-9, -0x1.2449466b6c338p-9, -0x1.196202ebdcf3p-9, -0x1.0edb8e140aaacp-9, -0x1.04b2d595ce168p-9, -0x1.f5c9bb1d77e4p-10, -0x1.e2dd7ff067e94p-10, -0x1.d09b58350a1ecp-10, -0x1.befdcc06591ap-10, -0x1.adff8bfc0a987p-10, -0x1.9d9b7022ec8d9p-10, -0x1.8dcc76fad5d5bp-10, -0x1.7e8dc47a56754p-10, -0x1.6fdaa11812011p-10, -0x1.61ae78d942b53p-10, -0x1.5404da65cf0edp-10, -0x1.46d976217852p-10, -0x1.3a281d4a43c1p-10, -0x1.2decc11bbdb17p-10, -0x1.222371f789579p-10, -0x1.16c85e9262da1p-10, -0x1.0bd7d326284d5p-10, -0x1.014e38a8776b8p-10, -0x1.ee50280bac7b8p-11, -0x1.dac40ac3062b8p-11, -0x1.c7f18eb2e8ff8p-11, -0x1.b5d25c9db4b3dp-11, -0x1.a4604f658dcafp-11, -0x1.939572ae289edp-11, -0x1.836c01868ded3p-11, -0x1.73de651b100b1p-11, -0x1.64e7336f0a832p-11, -0x1.56812e1e5c225p-11, -0x1.48a74126652edp-11, -0x1.3b5481b683ed6p-11, -0x1.2e842d07c2ac9p-11, -0x1.2231a73bb7c87p-11, -0x1.16587a4264509p-11, -0x1.0af454c6d15b8p-11, -0x1.000109228e092p-11, -0x1.eaf518af41146p-12, -0x1.d6b9ea223854p-12, -0x1.c348f5538f78fp-12, -0x1.b09ae8725402cp-12, -0x1.9ea8af4d1573p-12, -0x1.8d6b718444987p-12, -0x1.7cdc90c7f7622p-12, -0x1.6cf5a7204b85bp-12, -0x1.5db08542b74a2p-12, -0x1.4f0730f0d05c8p-12, -0x1.40f3e362779fcp-12, -0x1.337107ba6a295p-12, -0x1.26793985127dcp-12, -0x1.1a07434184e1dp-12, -0x1.0e161cf43a366p-12, -0x1.02a0eac3822b7p-12, -0x1.ef45f73ab93ecp-13, -0x1.da2f8fcd1a43p-13, -0x1.c5f5e065ac424p-13, -0x1.b290780b7b6aap-13, -0x1.9ff7313885585p-13, -0x1.8e222f7daf49bp-13, -0x1.7d09dd375338fp-13, -0x1.6ca6e951cba19p-13, -0x1.5cf2451e4b686p-13, -0x1.4de5223608987p-13, -0x1.3f78f06d7feadp-13, -0x1.31a75bd5e1b48p-13, -0x1.246a4acce3ac7p-13, -0x1.17bbdc1ac17fp-13, -0x1.0b96651db388fp-13, -0x1.ffe8e0058c38p-14, -0x1.e9a174177cde3p-14, -0x1.d44c63c3d265cp-14, -0x1.bfdfebe9cbce5p-14, -0x1.ac52a5cb976e5p-14, -0x1.999b83fcfb6aap-14, -0x1.87b1cf66db16cp-14, -0x1.768d246396a85p-14, -0x1.66256fefa7515p-14, -0x1.5672ecef74ac9p-14, -0x1.476e218d5c991p-14, -0x1.390fdca62c2d1p-14, -0x1.2b51334e6eaa3p-14, -0x1.1e2c4ce363613p-14, -0x1.119980c7156f5p-14, -0x1.05931744ee065p-14, -0x1.f4264ddc8ad71p-15, -0x1.de28027091d46p-15, -0x1.c92060d3ce7d1p-15, -0x1.b504eb38e94eep-15, -0x1.a1cb8d960ecc7p-15, -0x1.8f6a99e2624c7p-15, -0x1.7dd8c4762d68bp-15, -0x1.6d0d20826729fp-15, -0x1.5cff1ca7b95e2p-15, -0x1.4da67fa9966e3p-15, -0x1.3efb653b2e61bp-15, -0x1.30f63aeab5ec6p-15, -0x1.238fbd1c51ba7p-15, -0x1.16c0f42b7b495p-15, -0x1.0a83319a1532p-15, -0x1.fda01ab6a3f61p-16, -0x1.e742c6694fd1ep-16, -0x1.d1e2a06a301cp-16, -0x1.bd746082668cfp-16, -0x1.a9ed376d9fde8p-16, -0x1.9742ca3fef879p-16, -0x1.856b2dfd96e27p-16, -0x1.745ce351c6fb4p-16, -0x1.640ed270191c5p-16, -0x1.547847150373dp-16, -0x1.4590ecae64e32p-16, -0x1.3750ca9fcca44p-16, -0x1.29b040ad4c0fp-16, -0x1.1ca803846adabp-16, -0x1.103119622083ap-16, -0x1.0444d6da2cd5dp-16, -0x1.f1b9b770bb637p-17, -0x1.dbe61ffe2733ap-17, -0x1.c703420c10197p-17, -0x1.b305fd4fde251p-17, -0x1.9fe3b12b09b23p-17, -0x1.8d9237772f316p-17, -0x1.7c07df83bfd13p-17, -0x1.6b3b694676762p-17, -0x1.5b2400b0785bbp-17, -0x1.4bb9393799f33p-17, -0x1.3cf30987360b4p-17, -0x1.2ec9c752a0caap-17, -0x1.21362362bd887p-17, -0x1.143125a5ab74ap-17, -0x1.07b4299ddf376p-17, -0x1.f771b55e9287ep-18, -0x1.e0726185d1781p-18, -0x1.ca5ed9ed8c184p-18, -0x1.b52c2ce390296p-18, -0x1.a0cfeead7f036p-18, -0x1.8d4033aa5d2aep-18, -0x1.7a738ab7e3083p-18, -0x1.6860f7ad4470bp-18, -0x1.56ffee49dd79p-18, -0x1.46484d1e972fbp-18, -0x1.363258c06ae47p-18, -0x1.26b6b7414abf8p-18, -0x1.17ce6ba1c7434p-18, -0x1.0972d1a892bc8p-18, -0x1.f73b338ca4615p-19, -0x1.dc918a5b8f23cp-19, -0x1.c2dd44250de0ap-19, -0x1.aa13901f05fafp-19, -0x1.922a2967df08dp-19, -0x1.7b175065337fbp-19, -0x1.64d1c4735d819p-19, -0x1.4f50bdc4bd2c8p-19, -0x1.3a8be7b00f1dp-19, -0x1.267b5af0a238fp-19, -0x1.1317986e3a64ap-19, -0x1.00598419f2b6bp-19, -0x1.dc74c01613df2p-20, -0x1.b9678fa3079dep-20, -0x1.977f57fa875c3p-20, -0x1.76b09ba601fccp-20, -0x1.56f0768bfc04ep-20, -0x1.383495ed722b6p-20, -0x1.1a73311030b32p-20, -0x1.fb46040416cb1p-21, -0x1.c3767e1d18bdbp-21, -0x1.8d6727beb1e1cp-21, -0x1.590836f318dap-21, -0x1.264ab4c8408bp-21, -0x1.ea40e2fe02235p-22, -0x1.8af7f4db9b376p-22, -0x1.2ea11ef5cf92bp-22, -0x1.aa48636da7b23p-23, -0x1.f9a8f5185a041p-24, -0x1.52ebf4f565159p-25, 0x1.38b5881eccb8p-25, 0x1.d817b0d617968p-24, 0x1.8505a13e9ed7p-23, 0x1.0c9f0d95eea93p-22, 0x1.546b72042906fp-22, 0x1.99f7f862738c4p-22, 0x1.dd53d4f3b040cp-22, 0x1.0f46c098525bbp-21, 0x1.2ed962dc411f6p-21, 0x1.4d686308dad59p-21, 0x1.6afa053a7100ap-21, 0x1.879444ac77f2dp-21, 0x1.a33cd844222edp-21, 0x1.bdf936c19e5cdp-21, 0x1.d7ce9aed81b9cp-21, 0x1.f0c20755b6775p-21, 0x1.046c24f85a9dfp-20, 0x1.100affc3c00a4p-20, 0x1.1b3fcb773dbe8p-20, 0x1.260caa07abb6dp-20, 0x1.3073a9776b79dp-20, 0x1.3a76c4df4ae73p-20, 0x1.4417e62db952cp-20, 0x1.4d58e6fe4dba8p-20, 0x1.563b91ddf8fbfp-20, 0x1.5ec1a34caa293p-20, 0x1.66eccabd6c076p-20, 0x1.6ebeab839283dp-20, 0x1.7638ddb0d0b8bp-20, 0x1.7d5ceee4f11fep-20, 0x1.842c630fd847ap-20, 0x1.8aa8b5275d7cap-20, 0x1.90d357cf69592p-20, 0x1.96adb5f7d7bd5p-20, 0x1.9c39337aec333p-20, 0x1.a1772d73fde7dp-20, 0x1.a668fb07cac56p-20, 0x1.ab0fed9c6ff57p-20, 0x1.af6d517dba383p-20, 0x1.b3826dfd8765dp-20, 0x1.b75085fee7a2dp-20, 0x1.bad8d83bb32a5p-20, 0x1.be1c9f912fe03p-20, 0x1.c11d1349e9c53p-20, 0x1.c3db675c16633p-20, 0x1.c658ccaa2c002p-20, 0x1.c8967120536bp-20, 0x1.ca958006e3bep-20, 0x1.cc572218d2393p-20, 0x1.cddc7dab20168p-20, 0x1.cf26b6d251b11p-20, 0x1.d036ef81d2621p-20, 0x1.d10e479e4d81ap-20, 0x1.d1addd20fe753p-20, 0x1.d216cc24c276cp-20, 0x1.d24a2ee5edeccp-20, 0x1.d2491e0dfa1aep-20, 0x1.d214b0692f037p-20, 0x1.d1adfb270ff19p-20, 0x1.d11611d39c65ep-20, 0x1.d04e065e8bae2p-20, 0x1.cf56e92cbbda8p-20, 0x1.ce31c8c81b56bp-20, 0x1.ccdfb265c1269p-20, 0x1.cb61b1867e7ep-20, 0x1.c9b8d00c12b58p-20, 0x1.c7e61634d5069p-20, 0x1.c5ea8a9797edbp-20, 0x1.c3c7321c298d1p-20, 0x1.c17d0ff6f8ccap-20, 0x1.bf0d259af8188p-20, 0x1.bc7872bb47f5ap-20, 0x1.b9bff53b72a12p-20, 0x1.b6e4a92832c7p-20, 0x1.b3e788ade7506p-20, 0x1.b0c98c16d5359p-20, 0x1.ad8ba99ffde46p-20, 0x1.aa2ed59fda6p-20, 0x1.a6b4025b881ffp-20, 0x1.a31c2004346fep-20, 0x1.9f681cac7f002p-20, 0x1.9b98e44ef7421p-20, 0x1.97af607f3afc2p-20, 0x1.93ac78bd1b86fp-20, 0x1.8f91124b5abbap-20, 0x1.8b5e0ffd7e418p-20, 0x1.871452546c107p-20, 0x1.82b4b76b04cfp-20, 0x1.7e401adb8e203p-20, 0x1.79b755fbb3032p-20, 0x1.751b3f6b21df3p-20, 0x1.706cab512d186p-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.6c6b506ebcda1p-2, -0x1.4bda3a39330d4p-2, -0x1.295aa0c32c759p-2, -0x1.0547e0b88feb8p-2, -0x1.bfee333bdc61p-3, -0x1.736dff372e45bp-3, -0x1.25a01c6565362p-3, -0x1.ae1289f86fdd9p-4, -0x1.1043e6922dc8bp-4, -0x1.cab8b65918642p-6, 0x1.4f513994dc9dfp-7, 0x1.89aa74d4771abp-5, 0x1.5d7724cbfcc44p-4, 0x1.f346e30f11276p-4, 0x1.42e68a38a11c8p-3, 0x1.8a515213d1e1p-3, 0x1.cfb7aa2b753e8p-3, 0x1.097a17350d1b8p-2, 0x1.29f3d5dc89ce5p-2, 0x1.493c5c15b9793p-2, 0x1.6749aa3a9a346p-2, 0x1.841441dee60eep-2, 0x1.9f97560e01691p-2, 0x1.b9cf4a1f34feep-2, 0x1.d2ba8b5bc1e9bp-2, 0x1.ea5918fecaf28p-2, 0x1.00562b70af562p-1, 0x1.0adb711a96799p-1, 0x1.14be35849ee31p-1, 0x1.1e00ca475f6a5p-1, 0x1.26a5ece275a47p-1, 0x1.2eb0b8e949b0dp-1, 0x1.362498fba2c92p-1, 0x1.3d0537e32e415p-1, 0x1.4356743285cf3p-1, 0x1.491c579a6c3b2p-1, 0x1.4e5b11199d36cp-1, 0x1.5316efeda6888p-1, 0x1.57545d75cf96ap-1, 0x1.5b17d58803cd5p-1, 0x1.5e65de078844p-1, 0x1.6142ff21ac3bfp-1, 0x1.63b3bd4c13d08p-1, 0x1.65bc95530550fp-1, 0x1.6761f9f47de81p-1, 0x1.68a8520fcb601p-1, 0x1.6993f67b594fdp-1, 0x1.6a292f028789fp-1, 0x1.6a6c2ea5e85d4p-1, 0x1.6a610fb3c1eecp-1, 0x1.6a0bd07cc29cep-1, 0x1.6970514064f2cp-1, 0x1.6892538a021f3p-1, 0x1.67757aca45167p-1, 0x1.661d4daa421d3p-1, 0x1.648d377ac53ccp-1, 0x1.62c8893941fdep-1, 0x1.60d279db6dac1p-1, 0x1.5eae25d506c0ap-1, 0x1.5c5e8e05c14f2p-1, 0x1.59e69662f0b07p-1, 0x1.574904bc17db4p-1, 0x1.54887fec6c9c9p-1, 0x1.51a82c5d580c8p-1, 0x1.4ea936553bd47p-1, 0x1.4b8e78ea08c69p-1, 0x1.485a25168d018p-1, 0x1.450e52d5596b5p-1, 0x1.41ad025d8588ap-1, 0x1.3e381d2d24f7fp-1, 0x1.3ab176d940a7fp-1, 0x1.371acda754876p-1, 0x1.3375cafd56f5ep-1, 0x1.2fc403ba08ec7p-1, 0x1.2c06f887cd974p-1, 0x1.2840163987f98p-1, 0x1.2470b63c40aa3p-1, 0x1.209a1f22eb748p-1, 0x1.1cbd854cb0b2p-1, 0x1.18dc0ba237302p-1, 0x1.14f6c4640d9ep-1, 0x1.110eb203427adp-1, 0x1.0d24c7fd6a874p-1, 0x1.0939ebb634edbp-1, 0x1.054ef549ee48bp-1, 0x1.0164b05594816p-1, 0x1.faf7b96451d1ep-2, 0x1.f32a5e43794a6p-2, 0x1.eb62a3da81689p-2, 0x1.e3a1cae544b15p-2, 0x1.dbe9014656b1ap-2, 0x1.d43962e5628d3p-2, 0x1.cc93fa717804bp-2, 0x1.c4f9c20ade972p-2, 0x1.bd6ba3d939cb9p-2, 0x1.b5ea7a93907cp-2, 0x1.ae7712001661ep-2, 0x1.a71227714e93ep-2, 0x1.9fbc6a45589bep-2, 0x1.98767c6af0616p-2, 0x1.9140f2ee4477cp-2, 0x1.8a1c568e3ef1ep-2, 0x1.83092459905d3p-2, 0x1.7c07ce51b0dd2p-2, 0x1.7518bc1150008p-2, 0x1.6e3c4b73410e4p-2, 0x1.6772d136ea7cp-2, 0x1.60bc999f545ccp-2, 0x1.5a19e90a69a95p-2, 0x1.538afc7e6b204p-2, 0x1.4d100a2c2e2f1p-2, 0x1.46a941e555391p-2, 0x1.4056cd8639fcfp-2, 0x1.3a18d153cf258p-2, 0x1.33ef6c4e21772p-2, 0x1.2ddab87891a3fp-2, 0x1.27dacb190925cp-2, 0x1.21efb4efa5ac6p-2, 0x1.1c1982685f07dp-2, 0x1.16583bc81e44ep-2, 0x1.10abe5569d79ep-2, 0x1.0b147f86417bep-2, 0x1.0592071ad4631p-2, 0x1.0024754fd59fep-2, 0x1.f5977ffda5b8dp-3, 0x1.eb0fb38c03083p-3, 0x1.e0b1645e47e2bp-3, 0x1.d67c6bad3df74p-3, 0x1.cc709d252452fp-3, 0x1.c28dc7335e76cp-3, 0x1.b8d3b3532376cp-3, 0x1.af422658bc8a7p-3, 0x1.a5d8e0badc4f5p-3, 0x1.9c979ed9d9f72p-3, 0x1.937e194484bc3p-3, 0x1.8a8c04fa850d5p-3, 0x1.81c113ac3b9c7p-3, 0x1.791cf3f813c21p-3, 0x1.709f51a56397ep-3, 0x1.6847d5dcd0ffdp-3, 0x1.6016275e4ef17p-3, 0x1.5809eab4a95f9p-3, 0x1.5022c266af8d2p-3, 0x1.48604f25e18abp-3, 0x1.40c22ffab2762p-3, 0x1.3948026e40b1ep-3, 0x1.31f162b191461p-3, 0x1.2abd8e30783dbp-3, 0x1.23acb384c0d7fp-3, 0x1.1cbe383b9785fp-3, 0x1.15f1b50dc9e8ap-3, 0x1.0f46c1dcac73p-3, 0x1.08bcf5c9d6c1ep-3, 0x1.0253e74ddffb3p-3, 0x1.f816589c34abep-4, 0x1.ebc4b4632306ep-4, 0x1.dfb20bea7bd17p-4, 0x1.d3dd887f368afp-4, 0x1.c84652e735bdp-4, 0x1.bceb9386171ddp-4, 0x1.b1cc7280ebfb1p-4, 0x1.a6e817e0d82bbp-4, 0x1.9c3dabb4b56fap-4, 0x1.91cc56319a58dp-4, 0x1.87933fd25a8d5p-4, 0x1.7d919175e9b0ap-4, 0x1.73c6747ca7a4dp-4, 0x1.6a3112e489d17p-4, 0x1.60d097641e735p-4, 0x1.57a42d8465e9fp-4, 0x1.4eab01b980c6p-4, 0x1.45e4417a2dd9dp-4, 0x1.3d4f1b561bfdep-4, 0x1.34eabf0b0f881p-4, 0x1.2cb65d98dcb28p-4, 0x1.24b1295440f7bp-4, 0x1.1cda55f89a568p-4, 0x1.153118b889828p-4, 0x1.0db4a84d83edbp-4, 0x1.06643d0661477p-4, 0x1.fe7e21a9d9134p-5, 0x1.f088beb50c95dp-5, 0x1.e2e6cbe7c2a1dp-5, 0x1.d596c787cd25p-5, 0x1.c897337b9c6d6p-5, 0x1.bbe6955cea9b8p-5, 0x1.af83768a03b77p-5, 0x1.a36c6435b49d7p-5, 0x1.979fef7602e2fp-5, 0x1.8c1cad51b78dfp-5, 0x1.80e136ccd48b7p-5, 0x1.75ec28f407e59p-5, 0x1.6b3c24e724cfap-5, 0x1.60cfcfe2b7a66p-5, 0x1.56a5d348bb91dp-5, 0x1.4cbcdca880eb5p-5, 0x1.43139dc5c574fp-5, 0x1.39a8cc9f0ffadp-5, 0x1.307b23734bd88p-5, 0x1.278960c6b10e6p-5, 0x1.1ed24766fa4dep-5, 0x1.16549e6eebce7p-5, 0x1.0e0f314933021p-5, 0x1.0600cfb29b4abp-5, 0x1.fc509b77474e9p-6, 0x1.ed090792e022bp-6, 0x1.de289d2c3eacap-6, 0x1.cfad1e610c42fp-6, 0x1.c19455f6a088fp-6, 0x1.b3dc175724308p-6, 0x1.a6823e8d8c2f9p-6, 0x1.9984b0407ce44p-6, 0x1.8ce159ac1e4dfp-6, 0x1.8096309ae15a3p-6, 0x1.74a1335d4459ap-6, 0x1.690068c0a292dp-6, 0x1.5db1e0050d8a4p-6, 0x1.52b3b0d23f7b8p-6, 0x1.4803fb2bb2f97p-6, 0x1.3da0e763df01ap-6, 0x1.3388a60ea6fdfp-6, 0x1.29b96ff30cc7p-6, 0x1.203185fc2123bp-6, 0x1.16ef312945c43p-6, 0x1.0df0c27dc5a6dp-6, 0x1.053492efd1f9p-6, 0x1.f97206adbe768p-7, 0x1.e8f8f8b2fc351p-7, 0x1.d8fadcb54f18cp-7, 0x1.c974a2cd1cf48p-7, 0x1.ba634a3df6695p-7, 0x1.abc3e14e723f7p-7, 0x1.9d93851f451fap-7, 0x1.8fcf61818bd22p-7, 0x1.8274b0cc79463p-7, 0x1.7580bbb25a4e4p-7, 0x1.68f0d9150f7p-7, 0x1.5cc26dd9f2ee7p-7, 0x1.50f2ecbd5c4fap-7, 0x1.457fd625a0275p-7, 0x1.3a66b7f5c4967p-7, 0x1.2fa52d5fd1ba1p-7, 0x1.2538deb6e018cp-7, 0x1.1b1f8140e47e4p-7, 0x1.1156d70848e5p-7, 0x1.07dcaead5585ap-7, 0x1.fd5dc66ef820dp-8, 0x1.eb96b7cd0ca9dp-8, 0x1.da601807692c7p-8, 0x1.c9b5e565a6031p-8, 0x1.b99435869ce08p-8, 0x1.a9f73502a067ep-8, 0x1.9adb270dcb20dp-8, 0x1.8c3c651a7cdd2p-8, 0x1.7e175e7c09a9p-8, 0x1.70689809afa92p-8, 0x1.632cabc1d9d11p-8, 0x1.5660486dbf7c9p-8, 0x1.4a00314566d49p-8, 0x1.3e093d941b74bp-8, 0x1.3278585d5dd12p-8, 0x1.274a80025897bp-8, 0x1.1c7cc5e7e1aep-8, 0x1.120c4e1d16d71p-8, 0x1.07f64f0294e06p-8, 0x1.fc7021e4b7466p-9, 0x1.e99ddbd0bc8fcp-9, 0x1.d770a2579b30ap-9, 0x1.c5e36df240a13p-9, 0x1.b4f15859bf405p-9, 0x1.a4959bde863a9p-9, 0x1.94cb92c13855fp-9, 0x1.858eb68d3556bp-9, 0x1.76da9f74e5301p-9, 0x1.68ab03afbc8fbp-9, 0x1.5afbb6da1f5a4p-9, 0x1.4dc8a95718188p-9, 0x1.410de7b3f1d6cp-9, 0x1.34c79a0db4774p-9, 0x1.28f20378a5ce4p-9, 0x1.1d898169b0918p-9, 0x1.128a8b21d5b26p-9, 0x1.07f1b11b9b30cp-9, 0x1.fb7738f512928p-10, 0x1.e7ca1cf9677d4p-10, 0x1.d4d5bfdcaaep-10, 0x1.c294013efb563p-10, 0x1.b0feedb7b07a4p-10, 0x1.a010bdc921a37p-10, 0x1.8fc3d4d897fe4p-10, 0x1.8012c02a8283fp-10, 0x1.70f835e2e62fcp-10, 0x1.626f1409fcef6p-10, 0x1.54725f951c139p-10, 0x1.46fd4373ccdc5p-10, 0x1.3a0b0fa11ba1dp-10, 0x1.2d9738391d9a9p-10, 0x1.219d54929d7a1p-10, 0x1.16191e5d020dep-10, 0x1.0b0670c24f50dp-10, 0x1.0061478d49f41p-10, 0x1.ec4b7ca771f23p-11, 0x1.d8a01f496880ep-11, 0x1.c5b92876050c2p-11, 0x1.b38f8466f667p-11, 0x1.a21c588ebf84p-11, 0x1.915902154da28p-11, 0x1.813f145c78a89p-11, 0x1.71c8578c0e2d4p-11, 0x1.62eec725ba862p-11, 0x1.54ac90a0663afp-11, 0x1.46fc120b12aecp-11, 0x1.39d7d8b75872cp-11, 0x1.2d3a9fead3906p-11, 0x1.211f4f9826ae2p-11, 0x1.157e7e940134cp-11, 0x1.0a593cc484a24p-11, 0x1.ff4f23d1703b1p-12, 0x1.eaca186e9c4ep-12, 0x1.d71ac146615bbp-12, 0x1.c438d37b423c8p-12, 0x1.b21c4d3de5b9ep-12, 0x1.a0bd73ab69002p-12, 0x1.9014d0b84dcbdp-12, 0x1.801b31282ea6ap-12, 0x1.70c9a29174da3p-12, 0x1.6219716d2c763p-12, 0x1.54042732f1042p-12, 0x1.468388806c3edp-12, 0x1.3991934c84fbep-12, 0x1.2d287d2594ef6p-12, 0x1.2142b17b16c9p-12, 0x1.15dacff21236ep-12, 0x1.0aebaac456eb7p-12, 0x1.0070452a3e973p-12, 0x1.ecc7a39de2acfp-13, 0x1.d983629d14e11p-13, 0x1.c70ae17d3e3afp-13, 0x1.b555908061f2ep-13, 0x1.a45b33373d067p-13, 0x1.9413ddcb5f232p-13, 0x1.8477f25c1a05ep-13, 0x1.75801e6db649dp-13, 0x1.6725586a1d977p-13, 0x1.5960dd3309828p-13, 0x1.4c2c2dc59876ep-13, 0x1.3f810cee16771p-13, 0x1.33597d0ca1333p-13, 0x1.27afbde97c7p-13, 0x1.1c7e4a9959642p-13, 0x1.11bfd770afde3p-13, 0x1.076f5006ce081p-13, 0x1.fb0faa8cd2425p-14, 0x1.e809771b75003p-14, 0x1.d5c311b821dedp-14, 0x1.c433e61a72f0ep-14, 0x1.b353bc450855p-14, 0x1.a31ab530f69eep-14, 0x1.93814793b37ebp-14, 0x1.84803cbdaef95p-14, 0x1.7610ad90d75d1p-14, 0x1.682bff90659a9p-14, 0x1.5acbe205393edp-14, 0x1.4dea4b3d6b21bp-14, 0x1.418175dc503f2p-14, 0x1.358bde447e24ap-14, 0x1.2a044014f6e3fp-14, 0x1.1ee593bb2805dp-14, 0x1.142b0c18e16f1p-14, 0x1.09d0143da12fbp-14, 0x1.ffa09a670251dp-15, 0x1.ec4f17b9d422fp-15, 0x1.d9a3adccd9ce3p-15, 0x1.c796c990e3f1bp-15, 0x1.b62133b4c3a45p-15, 0x1.a53c0cee5f0bfp-15, 0x1.94e0ca5fcff85p-15, 0x1.850932210009ap-15, 0x1.75af57e3187c6p-15, 0x1.66cd99b481f0ap-15, 0x1.585e9ce04d856p-15, 0x1.4a5d4ae9c46f1p-15, 0x1.3cc4cea2caa46p-15, 0x1.2f90915da9cb1p-15, 0x1.22bc38370eeeep-15, 0x1.1643a17882b5dp-15, 0x1.0a22e215bb274p-15, 0x1.fcac867ab954ep-16, 0x1.e5b48006ff10bp-16, 0x1.cf570640f0444p-16, 0x1.b98dc98d1653dp-16, 0x1.a452d1133e1ecp-16, 0x1.8fa076bb39cfp-16, 0x1.7b71634d5c352p-16, 0x1.67c08aba7625ep-16, 0x1.54892886f83b4p-16, 0x1.41c6bc582c336p-16, 0x1.2f7506a56a273p-16, 0x1.1d90058e14ccep-16, 0x1.0c13f1c4855ecp-16, 0x1.f5fa77488f764p-17, 0x1.d49110bda6666p-17, 0x1.b3e55e8bf660ap-17, 0x1.93f16e6d5bcd5p-17, 0x1.74afa83721963p-17, 0x1.561ac90c646edp-17, 0x1.382dded48004ap-17, 0x1.1ae443d55ff61p-17, 0x1.fc7334fcb88aap-18, 0x1.c45392cccfd29p-18, 0x1.8d61eee1fff0fp-18, 0x1.5797103ec906dp-18, 0x1.22ec30186a0a1p-18, 0x1.deb5e64ba88aep-19, 0x1.79bac6338cdb1p-19, 0x1.16dbd119c1054p-19, 0x1.6c1d148505af6p-20, 0x1.5d246f28e2147p-21, -0x1.5f6d015e1acc9p-25, -0x1.813a338d61272p-21, -0x1.72631c7a07477p-20, -0x1.102e586417191p-19, -0x1.654c156ef7588p-19, -0x1.b8918185e19a5p-19, -0x1.0502796ca48fbp-18, -0x1.2cd6309757de9p-18, -0x1.53c6b685ceb1fp-18, -0x1.79d6b34142ffcp-18, -0x1.9f08a9d67a60bp-18, -0x1.c35efb55ee1e5p-18, -0x1.e6dbe9cb0d5f2p-18, -0x1.04c0cd729b552p-17, -0x1.15a90d4fe1867p-17, -0x1.2627aed2a1067p-17, -0x1.363da1d01763ap-17, -0x1.45ebccb2eb91fp-17, -0x1.55330d805416ep-17, -0x1.64143acd9ad75p-17, -0x1.729024a7c02afp-17, -0x1.80a7956755023p-17, -0x1.8e5b528182e3p-17, -0x1.9bac1d4106b82p-17, -0x1.a89ab379621f1p-17, -0x1.b527d0266717ep-17, -0x1.c1542c0d7e239p-17, -0x1.cd207e458d1cdp-17, -0x1.d88d7cc0af8f5p-17, -0x1.e39bdcc07680dp-17, -0x1.ee4c5346a2113p-17, -0x1.f89f95833fd9cp-17, -0x1.014b2c949a5a2p-16, -0x1.0618aa674bbe6p-16, -0x1.0ab8a01ad279ep-16, -0x1.0f2b6a4b19f2ep-16, -0x1.1371666d7567ap-16, -0x1.178af2f031e98p-16, -0x1.1b786f509e4f7p-16, -0x1.1f3a3c3510373p-16, -0x1.22d0bb7e9c0b8p-16, -0x1.263c505acae1cp-16, -0x1.297d5f517aeap-16, -0x1.2c944e51f1117p-16, -0x1.2f8184bc2db83p-16, -0x1.32456b68c20ddp-16, -0x1.34e06cad5a5b8p-16, -0x1.3752f462e8cc6p-16, -0x1.399d6fe5f33f9p-16, -0x1.3bc04e176b74dp-16, -0x1.3dbbff5bd064p-16, -0x1.3f90f5995360dp-16, -0x1.413fa42e04935p-16, -0x1.42c87ff4e4b95p-16, -0x1.442bff3828bdep-16, -0x1.456a99abb0593p-16, -0x1.4684c864e5c3bp-16, -0x1.477b05d024054p-16, -0x1.484dcda85d027p-16, -0x1.48fd9ceb4205fp-16, -0x1.498af1ccaec73p-16, -0x1.49f64bab9e989p-16, -0x1.4a402b0536df4p-16, -0x1.4a691166fdb1bp-16, -0x1.4a718160a2ef2p-16, -0x1.4a59fe781f6afp-16, -0x1.4a230d14a087ep-16, -0x1.49cd32789b685p-16, -0x1.4958f4acc410dp-16, -0x1.48c6da722ace8p-16, -0x1.48176b33183c9p-16, -0x1.474b2ef2c34bp-16, -0x1.4662ae3beccebp-16, -0x1.455e72150f3f3p-16, -0x1.443f03eef8d5dp-16, -0x1.4304ed92a3d64p-16, -0x1.41b0b913abde1p-16, -0x1.4042f0bffcb6bp-16, -0x1.3ebc1f0f52517p-16, -0x1.3d1cce9706861p-16, -0x1.3b6589f5864f4p-16, -0x1.3996dbc688052p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.83cd8c0939a97p+0, -0x1.74c13f37ba82fp+0, -0x1.673034080d00ep+0, -0x1.5b01515f57bd9p+0, -0x1.501b21ed4c0e5p+0, -0x1.4664595d0d522p+0, -0x1.3dc4334f7a50ep+0, -0x1.3622a0d6c1767p+0, -0x1.2f686dd538658p+0, -0x1.297f60b4a5a3bp+0, -0x1.24525d1e78efep+0, -0x1.1fcd875face0dp+0, -0x1.1bde5041f5cc1p+0, -0x1.1873659d0e99cp+0, -0x1.157c9e40434e5p+0, -0x1.12eaf27c81042p+0, -0x1.10b07fffda085p+0, -0x1.0ec08f379f8d5p+0, -0x1.0d0f919097af9p+0, -0x1.0b93143665393p+0, -0x1.0a41a8bf3b551p+0, -0x1.09132eb37ef54p+0, -0x1.07ff0b3e6b2b6p+0, -0x1.06fead0496ea3p+0, -0x1.060be8dfc8a6bp+0, -0x1.0521483275a0ap+0, -0x1.0439fc8c44e66p+0, -0x1.0351d274620dfp+0, -0x1.026523ce41fabp+0, -0x1.0170caf2bbbafp+0, -0x1.0072170c4f4p+0, -0x1.fecd82f9aa5acp-1, -0x1.fc99c7f68f24ep-1, -0x1.fa45df1dd89e8p-1, -0x1.f7cf4994ba8abp-1, -0x1.f5341a935b595p-1, -0x1.f272ebaea6edcp-1, -0x1.ef8ad0afe507p-1, -0x1.ec7b49e8f4adfp-1, -0x1.e94435523c8b3p-1, -0x1.e5e5bfde6005fp-1, -0x1.e26058b27a458p-1, -0x1.deb4a757f023fp-1, -0x1.dae384f796c79p-1, -0x1.d6edf7c418c35p-1, -0x1.d2d52f44f4dc4p-1, -0x1.ce9a804aa5c7bp-1, -0x1.ca3f5fd6066efp-1, -0x1.c5c55ce8676b3p-1, -0x1.c12e19c27b365p-1, -0x1.bc7b455df8ae1p-1, -0x1.b7ae95dc2ebep-1, -0x1.b2c9c451ff81p-1, -0x1.adce89f3207cp-1, -0x1.a8be9e4c61fd8p-1, -0x1.a39bb6166cf32p-1, -0x1.9e678230fd67cp-1, -0x1.9923ae7baf51ep-1, -0x1.93d1e0714c22cp-1, -0x1.8e73b59456645p-1, -0x1.890ac1d5bb5d2p-1, -0x1.83988e2627c71p-1, -0x1.7e1e975a1b7e9p-1, -0x1.789e16b1cc327p-1, -0x1.7318e079fadep-1, -0x1.6d901505548f4p-1, -0x1.6804fc4d02511p-1, -0x1.6278d112a63c5p-1, -0x1.5cecc12df3af2p-1, -0x1.5761edcefce6fp-1, -0x1.51d96baa547bcp-1, -0x1.4c54430d31dd6p-1, -0x1.46d36fdf05115p-1, -0x1.4157e19a27541p-1, -0x1.3be27b467af34p-1, -0x1.3674137f639fcp-1, -0x1.310d748b94244p-1, -0x1.2baf5c89af6bfp-1, -0x1.265a7db199a95p-1, -0x1.210f7ea7fb3dfp-1, -0x1.1bcefae037edcp-1, -0x1.16998308bb46cp-1, -0x1.116f9d7ddace3p-1, -0x1.0c51c6c03d8f5p-1, -0x1.074071ec6a8d5p-1, -0x1.023c0931ab3e7p-1, -0x1.fa89dc8d6e3e7p-2, -0x1.f0b6f5b5568a8p-2, -0x1.e7000201980a5p-2, -0x1.dd65972b1ad67p-2, -0x1.d3e83d372c831p-2, -0x1.ca886f1f8d601p-2, -0x1.c1469b67e3f5dp-2, -0x1.b82324a14406p-2, -0x1.af1e61ddf257cp-2, -0x1.a6389f18ba165p-2, -0x1.9d721d93f1179p-2, -0x1.94cb143487441p-2, -0x1.8c43afdd3e048p-2, -0x1.83dc13cd5c0c5p-2, -0x1.7b945a05387a8p-2, -0x1.736c93b1b8fc8p-2, -0x1.6b64c99ec2f3ep-2, -0x1.637cfcaf8f617p-2, -0x1.5bb5265b1ad34p-2, -0x1.540d392a63ffbp-2, -0x1.4c85213605e35p-2, -0x1.451cc4a0c5387p-2, -0x1.3dd4040cecd6ap-2, -0x1.36aabb0ac7c6cp-2, -0x1.2fa0c07efe24bp-2, -0x1.28b5e70020ecap-2, -0x1.21e9fd2b33e34p-2, -0x1.1b3ccdef72bb2p-2, -0x1.14ae20d1ed974p-2, -0x1.0e3dba29d54efp-2, -0x1.07eb5b56873e2p-2, -0x1.01b6c2f0744f9p-2, -0x1.f73f59ebe8bd9p-3, -0x1.eb4ba5ea3286ep-3, -0x1.df91d866acc71p-3, -0x1.d4115ba77f437p-3, -0x1.c8c995f8c1099p-3, -0x1.bdb9e9f60fe7fp-3, -0x1.b2e1b6d36f2f8p-3, -0x1.a84058a577693p-3, -0x1.9dd528a8b12f4p-3, -0x1.939f7d87d3072p-3, -0x1.899eaba0744a5p-3, -0x1.7fd20545d53c5p-3, -0x1.7638db0160d3bp-3, -0x1.6cd27bd09acdfp-3, -0x1.639e356042a44p-3, -0x1.5a9b5444a6fafp-3, -0x1.51c9242f09e12p-3, -0x1.4926f02050cffp-3, -0x1.40b40298fce4p-3, -0x1.386fa5c6ad4a7p-3, -0x1.305923af57dcp-3, -0x1.286fc65a4fa5cp-3, -0x1.20b2d7f750ca9p-3, -0x1.1921a303a97c9p-3, -0x1.11bb726d7e4c7p-3, -0x1.0a7f91b556aaep-3, -0x1.036d4d0dcf4dbp-3, -0x1.f907e2f317f74p-4, -0x1.eb8599ce99305p-4, -0x1.de522783fde4ap-4, -0x1.d16c6d4dfb5cp-4, -0x1.c4d304d8f92a4p-4, -0x1.b88493fd3e077p-4, -0x1.ac7fc32e4cp-4, -0x1.a0c33d9a91f93p-4, -0x1.954db148dc5c1p-4, -0x1.8a1dcf33bcacp-4, -0x1.7f324b630f43cp-4, -0x1.7489dd03bbb84p-4, -0x1.6a233e7dd1a95p-4, -0x1.5ffd2d8919648p-4, -0x1.56166b402f673p-4, -0x1.4c6dbc323d91fp-4, -0x1.4301e8735f6cp-4, -0x1.39d1bbabc369p-4, -0x1.30dc05258fb2ap-4, -0x1.281f97d998026p-4, -0x1.1f9b4a7ae8f17p-4, -0x1.174df7813676ep-4, -0x1.0f367d322cb3ap-4, -0x1.0753bda9b22d6p-4, -0x1.ff493dc22dc9p-5, -0x1.f050156a884eep-5, -0x1.e1b9ddd7cac98p-5, -0x1.d3847a6f361a4p-5, -0x1.c5add6766cedap-5, -0x1.b833e51819aaap-5, -0x1.ab14a166c44d4p-5, -0x1.9e4e0e5def651p-5, -0x1.91de36e18d746p-5, -0x1.85c32dbbd9f4p-5, -0x1.79fb0d99ae9acp-5, -0x1.6e83f9056519bp-5, -0x1.635c1a6059b3ep-5, -0x1.5881a3db23cf2p-5, -0x1.4df2cf6c95ba7p-5, -0x1.43addec79bf16p-5, -0x1.39b11b5012617p-5, -0x1.2ffad60e9822p-5, -0x1.268967a382591p-5, -0x1.1d5b3038fe7aap-5, -0x1.146e9774681cap-5, -0x1.0bc20c66f7aadp-5, -0x1.0354057dc50ccp-5, -0x1.f64600e27bd39p-6, -0x1.e65b04682130cp-6, -0x1.d6e42dc32d416p-6, -0x1.c7dea357ae351p-6, -0x1.b947999230334p-6, -0x1.ab1c52c22d78p-6, -0x1.9d5a1ef3c9972p-6, -0x1.8ffe5bc8efd3dp-6, -0x1.83067451d75c3p-6, -0x1.766fe0e5098f9p-6, -0x1.6a3826f6e1dcap-6, -0x1.5e5cd8f0a57b2p-6, -0x1.52db960728712p-6, -0x1.47b20a1120f86p-6, -0x1.3cdded5d1a7b9p-6, -0x1.325d048727d64p-6, -0x1.282d204e48e17p-6, -0x1.1e4c1d6999d0ap-6, -0x1.14b7e45d5b276p-6, -0x1.0b6e694fb7889p-6, -0x1.026dabdd827d1p-6, -0x1.f3676ddd9b6a7p-7, -0x1.e27d4116f4238p-7, -0x1.d219135f5204dp-7, -0x1.c2373c408600bp-7, -0x1.b2d4287ef6713p-7, -0x1.a3ec59c2a66c1p-7, -0x1.957c66408375ap-7, -0x1.8780f863d0c16p-7, -0x1.79f6ce77dfdadp-7, -0x1.6cdaba5205d22p-7, -0x1.6029a0fbf455ep-7, -0x1.53e07a5e727ffp-7, -0x1.47fc50ec7c5f5p-7, -0x1.3c7a414eedd71p-7, -0x1.31577a109fe7fp-7, -0x1.26913b4b148b8p-7, -0x1.1c24d653c7814p-7, -0x1.120fad6a0fa4ep-7, -0x1.084f3365adcc3p-7, -0x1.fdc1d6cc21446p-8, -0x1.eb84d10484c1bp-8, -0x1.d9e29af35a553p-8, -0x1.c8d698cb0ce4bp-8, -0x1.b85c4cd63ba39p-8, -0x1.a86f56ddf89ccp-8, -0x1.990b739186e36p-8, -0x1.8a2c7bf0047fdp-8, -0x1.7bce64b3b4f27p-8, -0x1.6ded3dbf32f11p-8, -0x1.6085318c36108p-8, -0x1.5392849c6950ep-8, -0x1.471194ebfd45ap-8, -0x1.3afed96630ac1p-8, -0x1.2f56e15b8eb38p-8, -0x1.241653fa43828p-8, -0x1.1939efc84323dp-8, -0x1.0ebe8a1f5e286p-8, -0x1.04a10eab53c14p-8, -0x1.f5bcfdd34f3c3p-9, -0x1.e2e7e3572cf63p-9, -0x1.d0bd2533bb4b9p-9, -0x1.bf37437502359p-9, -0x1.ae50e5f0ea6cbp-9, -0x1.9e04db5a5a305p-9, -0x1.8e4e1858517f7p-9, -0x1.7f27b6a0e09b4p-9, -0x1.708cf417c2c9p-9, -0x1.627931f0dbce8p-9, -0x1.54e7f3d69289fp-9, -0x1.47d4df13f18eap-9, -0x1.3b3bb9c262fefp-9, -0x1.2f1869fb4e91fp-9, -0x1.2366f50d65693p-9, -0x1.18237eb58e34fp-9, -0x1.0d4a485b95ad6p-9, -0x1.02d7b052897cp-9, -0x1.f1906238f0adcp-10, -0x1.de30c1642e2fap-10, -0x1.cb89df9b7443fp-10, -0x1.b99552743dde6p-10, -0x1.a84ce2489fdfbp-10, -0x1.97aa88e2bb471p-10, -0x1.87a8702ec83dp-10, -0x1.7840f0f3f4836p-10, -0x1.696e9194665c9p-10, -0x1.5b2c04d2f5fcap-10, -0x1.4d7428a0a5b12p-10, -0x1.404204eff7fbep-10, -0x1.3390ca8eef6aap-10, -0x1.275bd2074e565p-10, -0x1.1b9e9a85b309bp-10, -0x1.1054c8c5cdf32p-10, -0x1.057a2605d7fedp-10, -0x1.f6153dff1e99p-11, -0x1.e20485ce797aep-11, -0x1.ceba84e103ea2p-11, -0x1.bc2fddb32365dp-11, -0x1.aa5d71f5a8fc1p-11, -0x1.993c60bae980fp-11, -0x1.88c604ad92f65p-11, -0x1.78f3f252a27b4p-11, -0x1.69bff655ceb7fp-11, -0x1.5b2413e197e5cp-11, -0x1.4d1a82ff572d6p-11, -0x1.3f9daf03c98c2p-11, -0x1.32a8350461589p-11, -0x1.2634e2567f4d7p-11, -0x1.1a3eb318c0255p-11, -0x1.0ec0d0c4de29ep-11, -0x1.03b690cb9516ap-11, -0x1.f236e6721ce7cp-12, -0x1.ddd642c5a77c6p-12, -0x1.ca42d93b5d1a1p-12, -0x1.b77499f93028bp-12, -0x1.a563c030fae8dp-12, -0x1.9408cfbd8ca47p-12, -0x1.835c92d2f4764p-12, -0x1.735817bcdbcacp-12, -0x1.63f4aeac6340fp-12, -0x1.552be7973a5eep-12, -0x1.46f7902164816p-12, -0x1.3951b19983306p-12, -0x1.2c322dc15ab02p-12, -0x1.1f9900d3dc23p-12, -0x1.137db32fd6671p-12, -0x1.07db29850153p-12, -0x1.f958f5d582276p-13, -0x1.e3d9de52108bdp-13, -0x1.cf2ffa23d1a69p-13, -0x1.bb5291cab2b26p-13, -0x1.a839458225923p-13, -0x1.95dc0a38dafafp-13, -0x1.8433269e1aa31p-13, -0x1.7337304580873p-13, -0x1.62e108e0b97c2p-13, -0x1.5329db8d430bdp-13, -0x1.440b1a3a8c697p-13, -0x1.357e7b1cf553fp-13, -0x1.277df63b2e91fp-13, -0x1.1a03c30bcc70dp-13, -0x1.0d0a5625d025bp-13, -0x1.008c5f0380868p-13, -0x1.e9098bad944dp-14, -0x1.d1dd52ddad574p-14, -0x1.bb8aba61510fep-14, -0x1.a608ce3658b0ap-14, -0x1.914efbbf38048p-14, -0x1.7d550e14ed1afp-14, -0x1.6a132a6b3b8b2p-14, -0x1.5781cc9dcb29dp-14, -0x1.4599c3d84bbbap-14, -0x1.34542f54b43d6p-14, -0x1.23aa7b3a7030dp-14, -0x1.13965d979f9afp-14, -0x1.0411d3705c139p-14, -0x1.ea2e3bd860b2cp-15, -0x1.cd417f2ed5af3p-15, -0x1.b152f37a6ad5fp-15, -0x1.965893c4b613bp-15, -0x1.7c48ce80eabb8p-15, -0x1.631a80dae0ab7p-15, -0x1.4ac4f219d1febp-15, -0x1.333fcf303b2f7p-15, -0x1.1c832676b3888p-15, -0x1.06876387885fap-15, -0x1.e28a968c6db19p-16, -0x1.b96bf01187fcfp-16, -0x1.91a5abc634e6ep-16, -0x1.6b2b3e33a4bc9p-16, -0x1.45f0b1559731cp-16, -0x1.21ea9e26fd007p-16, -0x1.fe1c4c17bf94dp-17, -0x1.baa1d9a709c57p-17, -0x1.795225932fef8p-17, -0x1.3a1a5e128802dp-17, -0x1.f9d1281f31ffdp-18, -0x1.835761544497dp-18, -0x1.10a6d638be053p-18, -0x1.4340fc55d642ep-19, -0x1.b13635775f68p-21, 0x1.8f13f2f4373c6p-21, 0x1.2d2c5821fe50fp-19, 0x1.f01bb517d89dep-19, 0x1.5661ef5bedbd9p-18, 0x1.b1a9ac4dd85ep-18, 0x1.04fd9f00aa3b1p-17, 0x1.2fb5e4f17b4fbp-17, 0x1.5907bdc1e8e91p-17, 0x1.80fcc8b18e91dp-17, 0x1.a79e34a11ce64p-17, 0x1.ccf4c5bfca108p-17, 0x1.f108db70a425dp-17, 0x1.09f13aba099ddp-16, 0x1.1ac49c8036f84p-16, 0x1.2b023ae637c6ap-16, 0x1.3aad95508ae55p-16, 0x1.49ca04ea34367p-16, 0x1.585abeca73ac2p-16, 0x1.6662d5f5914p-16, 0x1.73e53d512bb82p-16, 0x1.80e4c97cc7fc7p-16, 0x1.8d64328c6cc5fp-16, 0x1.996615c2b1121p-16, 0x1.a4ecf71ad05fp-16, 0x1.affb42da35df3p-16, 0x1.ba934ee09648fp-16, 0x1.c4b75c323512ap-16, 0x1.ce69982b8c1ep-16, 0x1.d7ac1db9c9575p-16, 0x1.e080f68fb4df6p-16, 0x1.e8ea1c3855151p-16, 0x1.f0e97929ce6cdp-16, 0x1.f880e9beadf85p-16, 0x1.ffb23d25a64b3p-16, 0x1.033f9b23fc316p-15, 0x1.0674c64d2b841p-15, 0x1.0979767574e1bp-15, 0x1.0c4e7d0e71763p-15, 0x1.0ef4a6ee1ac78p-15, 0x1.116cbca69c513p-15, 0x1.13b782c70aa4p-15, 0x1.15d5ba3c76facp-15, 0x1.17c82084f51c1p-15, 0x1.198f6ffa3522ep-15, 0x1.1b2c600abb009p-15, 0x1.1c9fa573b7c38p-15, 0x1.1de9f2761cc56p-15, 0x1.1f0bf707b1cadp-15, 0x1.2006610239f0ap-15, 0x1.20d9dc4c2f7c1p-15, 0x1.2187130160afap-15, 0x1.220ead9708194p-15, 0x1.227152fd4e4e9p-15, 0x1.22afa8be1506bp-15, 0x1.22ca53192b462p-15, 0x1.22c1f52045bbdp-15, 0x1.229730c4c42bcp-15, 0x1.224aa700160f3p-15, 0x1.21dcf7cdb1aa9p-15, 0x1.214ec25368d3p-15, 0x1.20a0a4e3b7153p-15, 0x1.1fd33d0e558a9p-15, 0x1.1ee727ac0a627p-15, 0x1.1ddd00e8e5421p-15, 0x1.1cb5644cfe18bp-15, 0x1.1b70ecc303b4dp-15, 0x1.1a1034a1826c6p-15, 0x1.1893d5aad4fb2p-15, 0x1.16fc69140ef6ep-15, 0x1.154a8787ba4adp-15, 0x1.137ec92378da1p-15, 0x1.1199c57ea79ddp-15, 0x1.0f9c13a5af9b9p-15, 0x1.0d864a1b94038p-15, 0x1.0b58fed4db06fp-15, 0x1.0914c73a3d466p-15, 0x1.06ba3823401d2p-15, 0x1.0449e5c8184d7p-15, 0x1.01c463d1902c9p-15, 0x1.fe548a8c6768ep-16, 0x1.f8f83911d7a8p-16, 0x1.f374f6a4cf221p-16, 0x1.edcbe557c82bp-16, 0x1.e7fe25d69776ep-16, 0x1.e20cd74f88608p-16, 0x1.dbf9176ccd402p-16, 0x1.d5c40244d7933p-16, 0x1.cf6eb24bdbe75p-16, 0x1.c8fa40458a5e6p-16, 0x1.c267c335f91e1p-16, 0x1.bbb85053c5501p-16, 0x1.b4ecfaf5368dap-16, 0x1.ae06d48665946p-16, 0x1.a706ec76989e6p-16, 0x1.9fee5029e7ba4p-16, 0x1.98be0ae9c02f1p-16, 0x1.917725dc0258ep-16, 0x1.8a1aa7decf0ep-16, 0x1.82a9959854363p-16, 0x1.7b24f154440bfp-16, 0x1.738dbafa862aap-16, 0x1.6be4f000208c5p-16, 0x1.642b8b5d9c36cp-16, 0x1.5c62857b4fc21p-16, 0x1.548ad4277f911p-16, 0x1.4ca56a8b9f612p-16, 0x1.44b3391d2ab55p-16, 0x1.3cb52d90e6ca6p-16, 0x1.34ac32d0e31a6p-16, 0x1.2c9930f26218fp-16, 0x1.247d0d2e39e16p-16, 0x1.1c58a9c0116e3p-16, 0x1.142ce600a72cap-16, 0x1.0bfa9e43c14c2p-16, 0x1.03c2abd554855p-16, 0x1.f70bc9deae707p-17, 0x1.e68a397616e4bp-17, 0x1.d6024667a0006p-17, 0x1.c5758a6f77a68p-17, 0x1.b4e598ec02ba4p-17, 0x1.a453feced6b03p-17, 0x1.93c2429728413p-17, 0x1.8331e445b3d2ap-17, 0x1.72a45d51f889dp-17, 0x1.621b20a62d8cep-17, 0x1.51979a9025f57p-17, 0x1.411b30bf7ee3fp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.92b28ead3308dp-1, 0x1.88d07b16ab53p-1, 0x1.7eabe5801bdbap-1, 0x1.744a9e2f8daefp-1, 0x1.69b26137d0142p-1, 0x1.5ee8d2c16755ep-1, 0x1.53f37bc1baafep-1, 0x1.48d7c7183162fp-1, 0x1.3d9aff09703d6p-1, 0x1.32424b1168e39p-1, 0x1.26d2ae056b043p-1, 0x1.1b51047fe8829p-1, 0x1.0fc203900846fp-1, 0x1.042a37a799443p-1, 0x1.f11c0784a5071p-2, 0x1.d9e341835f182p-2, 0x1.c2b239f20a74p-2, 0x1.ab90b7cb7c72ep-2, 0x1.94862c1fdd1ep-2, 0x1.7d99b21f6001bp-2, 0x1.66d20f67eae85p-2, 0x1.5035b48f699a8p-2, 0x1.39cabde4fd773p-2, 0x1.2396f4638de8ep-2, 0x1.0d9fced098e75p-2, 0x1.efd4e604fa9c5p-3, 0x1.c4f76e936a238p-3, 0x1.9ab047f1b3428p-3, 0x1.7107ea0efa4f8p-3, 0x1.480637986dd8ap-3, 0x1.1fb28194f8029p-3, 0x1.f0271644715a5p-4, 0x1.a25f1a99e212p-4, 0x1.561875ff0dc61p-4, 0x1.0b5d8a0335c8dp-4, 0x1.846f7810c0536p-5, 0x1.eabdf5b1aefdcp-6, 0x1.a6629ddaa0c11p-7, -0x1.ed63e387fd006p-9, -0x1.47c45261791b5p-6, -0x1.258132f96e289p-5, -0x1.a3ab0b7437393p-5, -0x1.0f2c74690c886p-4, -0x1.4ac2bbdb4f05ep-4, -0x1.849665c808322p-4, -0x1.bca6279570ef2p-4, -0x1.f2f15ac2c41cbp-4, -0x1.13bbfaba5f04cp-3, -0x1.2d1d419343428p-3, -0x1.459d0ec061806p-3, -0x1.5d3c32ac0bcf3p-3, -0x1.73fbbdea172d5p-3, -0x1.89dcfde019cacp-3, -0x1.9ee17982a6d5ep-3, -0x1.b30aee27d7dc2p-3, -0x1.c65b4c6f37f96p-3, -0x1.d8d4b53f2a591p-3, -0x1.ea7976d7d7777p-3, -0x1.fb4c09fb85df2p-3, -0x1.05a7879628987p-2, -0x1.0d42a5ff8b0efp-2, -0x1.1478d441b5e06p-2, -0x1.1b4b9660342d4p-2, -0x1.21bc7f2304f02p-2, -0x1.27cd2ee9721dbp-2, -0x1.2d7f5286f5811p-2, -0x1.32d4a229faf3ep-2, -0x1.37cee04c5d33ap-2, -0x1.3c6fd8ad738c2p-2, -0x1.40b95f5589323p-2, -0x1.44ad4fa28e5f1p-2, -0x1.484d8b5ddffc6p-2, -0x1.4b9bf9daf1fbep-2, -0x1.4e9a871eb8baep-2, -0x1.514b230f9e6c8p-2, -0x1.53afc0ade0ebcp-2, -0x1.55ca5554240fp-2, -0x1.579cd800123a7p-2, -0x1.592940a2dfa62p-2, -0x1.5a71877981b9dp-2, -0x1.5b77a46c74ab4p-2, -0x1.5c3d8e76e131ep-2, -0x1.5cc53b14f734dp-2, -0x1.5d109db95ab6p-2, -0x1.5d21a7496dc1bp-2, -0x1.5cfa45a0597b2p-2, -0x1.5c9c6318a3b28p-2, -0x1.5c09e61c31c98p-2, -0x1.5b44b0ba8734fp-2, -0x1.5a4ea0451d4c5p-2, -0x1.59298cf1aa2fcp-2, -0x1.57d74982307ffp-2, -0x1.5659a2f2af01dp-2, -0x1.54b2602c4a5bbp-2, -0x1.52e341bdca363p-2, -0x1.50ee0199406c2p-2, -0x1.4ed452d6b8693p-2, -0x1.4c97e17bc6b3dp-2, -0x1.4a3a5247d02bp-2, -0x1.47bd4284e86c4p-2, -0x1.452247dd1f5cbp-2, -0x1.426af0341872cp-2, -0x1.3f98c184ca533p-2, -0x1.3cad39c3400ebp-2, -0x1.39a9cec2354adp-2, -0x1.368fee1c73d4dp-2, -0x1.3360fd21c31ebp-2, -0x1.301e58c74fb33p-2, -0x1.2cc9559b65af5p-2, -0x1.29633fbc59c1p-2, -0x1.25ed5ad285654p-2, -0x1.2268e20d2df0bp-2, -0x1.1ed708223d4fcp-2, -0x1.1b38f750a4ea2p-2, -0x1.178fd165543bap-2, -0x1.13dcafc29a3a5p-2, -0x1.1020a369da3c5p-2, -0x1.0c5cb50775927p-2, -0x1.0891e500c9be2p-2, -0x1.04c12b84286d1p-2, -0x1.00eb789aaca55p-2, -0x1.fa236877a57c9p-3, -0x1.f2697cc56ee26p-3, -0x1.eaaade49c6598p-3, -0x1.e2e92d9512182p-3, -0x1.db25fbd03fdabp-3, -0x1.d362caf27cb36p-3, -0x1.cba10df940596p-3, -0x1.c3e229227e389p-3, -0x1.bc277228d58f9p-3, -0x1.b47230818af2cp-3, -0x1.acc39d9c2e2eap-3, -0x1.a51ce523b198fp-3, -0x1.9d7f2540e2fdp-3, -0x1.95eb6ede0f988p-3, -0x1.8e62c5ebad576p-3, -0x1.86e621a5f5f38p-3, -0x1.7f766cdb3f32bp-3, -0x1.78148632feaaap-3, -0x1.70c1407550945p-3, -0x1.697d62d2e66b2p-3, -0x1.6249a92d3f6ebp-3, -0x1.5b26c45f1970cp-3, -0x1.54155a84e7ca8p-3, -0x1.4d16074555c24p-3, -0x1.46295c19a6a22p-3, -0x1.3f4fe095e0277p-3, -0x1.388a12b0b8406p-3, -0x1.31d8670b185afp-3, -0x1.2b3b49373ff23p-3, -0x1.24b31bff5a5e4p-3, -0x1.1e4039ab88c9bp-3, -0x1.17e2f44746c7bp-3, -0x1.119b95e61a99bp-3, -0x1.0b6a60e78d9d6p-3, -0x1.054f903a4c58fp-3, -0x1.fe96af3cede15p-4, -0x1.f2bbc7ce0f459p-4, -0x1.e70eb67492422p-4, -0x1.db8fbaa2b60bdp-4, -0x1.d03f076d54033p-4, -0x1.c51cc406d1e2dp-4, -0x1.ba290c37e0f9fp-4, -0x1.af63f0d61a49bp-4, -0x1.a4cd7838599bcp-4, -0x1.9a659ea8d40eap-4, -0x1.902c56d4e1781p-4, -0x1.86218a3a74bf5p-4, -0x1.7c4519932e6cep-4, -0x1.7296dd3d15ecbp-4, -0x1.6916a5a0e954fp-4, -0x1.5fc43b960490ap-4, -0x1.569f60c3ddd33p-4, -0x1.4da7d0011483fp-4, -0x1.44dd3db014ea8p-4, -0x1.3c3f58194d45p-4, -0x1.33cdc7c2f9bc1p-4, -0x1.2b882fc687077p-4, -0x1.236e2e238d2b6p-4, -0x1.1b7f5c106a943p-4, -0x1.13bb4e487e26bp-4, -0x1.0c2195580912p-4, -0x1.04b1bde5bb604p-4, -0x1.fad6a1f3e7158p-5, -0x1.ec9ba88767c3cp-5, -0x1.deb194b6b1636p-5, -0x1.d117660625a8fp-5, -0x1.c3cc16ca62dcdp-5, -0x1.b6ce9ca07f24fp-5, -0x1.aa1de8e202261p-5, -0x1.9db8e914acd0bp-5, -0x1.919e87561dc7cp-5, -0x1.85cdaac3677c8p-5, -0x1.7a4537dcae84ap-5, -0x1.6f0410e4d8f69p-5, -0x1.6409163d6f2ap-5, -0x1.595326beb5f4fp-5, -0x1.4ee1200c1f3ebp-5, -0x1.44b1dee520644p-5, -0x1.3ac43f72838a8p-5, -0x1.31171d904abc4p-5, -0x1.27a9551436c6cp-5, -0x1.1e79c211063cp-5, -0x1.15874116864acp-5, -0x1.0cd0af6e8432cp-5, -0x1.0454eb56b68ep-5, -0x1.f825a86f6664p-6, -0x1.e81295b211c18p-6, -0x1.d86e632514513p-6, -0x1.c936d8f5c9c9fp-6, -0x1.ba69c32730a2p-6, -0x1.ac04f1e4b958ep-6, -0x1.9e0639d01f995p-6, -0x1.906b744a78d39p-6, -0x1.83327fb89fb9ep-6, -0x1.76593fc31adf9p-6, -0x1.69dd9d91af094p-6, -0x1.5dbd8802b8a06p-6, -0x1.51f6f3de77ea2p-6, -0x1.4687dc0673e5cp-6, -0x1.3b6e41a11213cp-6, -0x1.30a82c4188728p-6, -0x1.2633aa0c527fep-6, -0x1.1c0ecfd84079p-6, -0x1.1237b94c49a81p-6, -0x1.08ac88fa3bca8p-6, -0x1.fed6d0ece0bd7p-7, -0x1.ece510d9371bfp-7, -0x1.db804163bdd65p-7, -0x1.caa4e0a85d9a9p-7, -0x1.ba4f7b4e7877dp-7, -0x1.aa7cac9dcf4cap-7, -0x1.9b291e8ed2de1p-7, -0x1.8c5189d691d86p-7, -0x1.7df2b5ee5fdfep-7, -0x1.700979178b8b6p-7, -0x1.6292b85b3593ap-7, -0x1.558b678696a08p-7, -0x1.48f08923c1c54p-7, -0x1.3cbf2e6f32c5cp-7, -0x1.30f4774a3aff7p-7, -0x1.258d922a848d5p-7, -0x1.1a87bc06d1cbfp-7, -0x1.0fe0404121a04p-7, -0x1.0594788e60322p-7, -0x1.f74399b78edc1p-8, -0x1.e40b666431131p-8, -0x1.d17b5f2d98c3p-8, -0x1.bf8ea7d6c0d23p-8, -0x1.ae407f95c111cp-8, -0x1.9d8c40cb973e8p-8, -0x1.8d6d60b8e8d3ap-8, -0x1.7ddf6f2ff299dp-8, -0x1.6ede1643e19e5p-8, -0x1.606519f5cd4e4p-8, -0x1.527057df84cfap-8, -0x1.44fbc6dc61b32p-8, -0x1.380376b053c85p-8, -0x1.2b838fad50dep-8, -0x1.1f78525757278p-8, -0x1.13de17072a3f9p-8, -0x1.08b14d8bf9ca2p-8, -0x1.fbdcf9981e86ap-9, -0x1.e72484c96249bp-9, -0x1.d332a492b300ap-9, -0x1.c000ecc4ca6b4p-9, -0x1.ad891c56b0f6fp-9, -0x1.9bc51ca1ba13cp-9, -0x1.8aaf009d1f245p-9, -0x1.7a410419847a7p-9, -0x1.6a758afc85a44p-9, -0x1.5b47207c92ca9p-9, -0x1.4cb0765d3ab54p-9, -0x1.3eac642c1d22p-9, -0x1.3135e67ea463ep-9, -0x1.24481e30b745ep-9, -0x1.17de4fa48106p-9, -0x1.0bf3e2037a326p-9, -0x1.00845e80cb2cdp-9, -0x1.eb16df3a5f7afp-10, -0x1.d609c0d8e470dp-10, -0x1.c1d937b93b7b3p-10, -0x1.ae7d57fdf7acdp-10, -0x1.9bee72a5f20e4p-10, -0x1.8a2514260b705p-10, -0x1.791a030709d62p-10, -0x1.68c63e87b57d6p-10, -0x1.5922fd435e0dep-10, -0x1.4a29abdce0b45p-10, -0x1.3bd3ebae4c6fbp-10, -0x1.2e1b917d39f47p-10, -0x1.20faa433f7ccep-10, -0x1.146b5b9f90576p-10, -0x1.08681f32c8094p-10, -0x1.f9d7099c2f203p-11, -0x1.e3e09f1977a8p-11, -0x1.cee2dd2db07fep-11, -0x1.bad3f7f17fd7ap-11, -0x1.a7aa76fecf5b4p-11, -0x1.955d33340c0edp-11, -0x1.83e35481cd23dp-11, -0x1.73344fc2e23cfp-11, -0x1.6347e49ecc467p-11, -0x1.54161b769ea2dp-11, -0x1.4597435c413d7p-11, -0x1.37c3f014117cdp-11, -0x1.2a94f820d2fd5p-11, -0x1.1e0372d9e7c06p-11, -0x1.1208b68bc07f6p-11, -0x1.069e56a27358ap-11, -0x1.f77c43bcd4dbap-12, -0x1.e2c44126259ap-12, -0x1.cf0925def2d2dp-12, -0x1.bc3fdea179d37p-12, -0x1.aa5dc13c78dc3p-12, -0x1.9958895ed585bp-12, -0x1.8926557652587p-12, -0x1.79bda3a11d19fp-12, -0x1.6b154eb1fdf5fp-12, -0x1.5d248b46e8044p-12, -0x1.4fe2e4f1ac1e3p-12, -0x1.43483b7295b77p-12, -0x1.374cc004a939cp-12, -0x1.2be8f2bb43078p-12, -0x1.21159ff0dbb46p-12, -0x1.16cbddc6a1bc2p-12, -0x1.0d0509b4adb8dp-12, -0x1.03bac62a82485p-12, -0x1.f5cdf07f3a2a1p-13, -0x1.e5078ae78993cp-13, -0x1.d51722fdb018dp-13, -0x1.c5f1f85f9e3f6p-13, -0x1.b78dbeb556903p-13, -0x1.a9e099aa1a77ep-13, -0x1.9ce119024c207p-13, -0x1.908634cd8390bp-13, -0x1.84c749b43d0abp-13, -0x1.799c1560998dap-13, -0x1.6efcb301968f1p-13, -0x1.64e197e84438fp-13, -0x1.5b43903e5c8bep-13, -0x1.521bbbd5aee38p-13, -0x1.49638b0fe80fcp-13, -0x1.4114bbde1315ep-13, -0x1.392956d762e8ap-13, -0x1.319bac66a68fdp-13, -0x1.2a66520df9dd8p-13, -0x1.23841fc01b5cep-13, -0x1.1cf02d4eec16bp-13, -0x1.16a5cfee968e9p-13, -0x1.10a097cce3621p-13, -0x1.0adc4dbc2febbp-13, -0x1.0554f0f19ca1bp-13, -0x1.0006b4d5e22bap-13, -0x1.f5dbfdd0dd397p-14, -0x1.ec0ec9687568cp-14, -0x1.e29f53abe9eecp-14, -0x1.d9877c260743ep-14, -0x1.d0c17701e484bp-14, -0x1.c847c979b1314p-14, -0x1.c0154664a0e37p-14, -0x1.b8250ae30e67bp-14, -0x1.b0727b2819109p-14, -0x1.a8f93f5fd94b1p-14, -0x1.a1b540b1756b7p-14, -0x1.9aa2a65c2b40fp-14, -0x1.93bdd2eebcb3cp-14, -0x1.8d03619853419p-14, -0x1.86702392377fp-14, -0x1.80011da19c3a4p-14, -0x1.79b385b0c9465p-14, -0x1.7384c07ef7bddp-14, -0x1.6d725f6631e4dp-14, -0x1.677a1e368d558p-14, -0x1.6199e1261bb5bp-14, -0x1.5bcfb2d4f146dp-14, -0x1.5619c264a0faep-14, -0x1.507661a297755p-14, -0x1.4ae40344bb7c2p-14, -0x1.45613937c4fefp-14, -0x1.3fecb2feb757bp-14, -0x1.3a853c22f4f5ep-14, -0x1.3529bab4666ep-14, -0x1.2fd92dd92a926p-14, -0x1.2a92ac6c531b8p-14, -0x1.255563ab2dca1p-14, -0x1.202095f09e414p-14, -0x1.1af3997e11294p-14, -0x1.15cdd75194c48p-14, -0x1.10aeca08a40a3p-14, -0x1.0b95fccf37767p-14, -0x1.06830a5aadad4p-14, -0x1.01759bf024896p-14, -0x1.f8dad0ebbb0dep-15, -0x1.eed4671e91ae2p-15, -0x1.e4d79986b1122p-15, -0x1.dae41d5979565p-15, -0x1.d0f9bc675cfd7p-15, -0x1.c71853a1e6c25p-15, -0x1.bd3fd1b37f5dbp-15, -0x1.b37035a84f515p-15, -0x1.a9a98da79af2ep-15, -0x1.9febf5bcfc5adp-15, -0x1.963796b0e2723p-15, -0x1.8c8ca4efc1692p-15, -0x1.82eb5f7f66a0ep-15, -0x1.79540f01e4f7dp-15, -0x1.6fc704c592b7cp-15, -0x1.664499e197725p-15, -0x1.5ccd2e5e8af96p-15, -0x1.5361286aacc0dp-15, -0x1.4a00f3993cc57p-15, -0x1.40ad002c813bdp-15, -0x1.3765c26a0f783p-15, -0x1.2e2bb1f8e51f4p-15, -0x1.24ff4948f3f51p-15, -0x1.1be10503b1abdp-15, -0x1.12d16385525b1p-15, -0x1.09d0e45e4d0ecp-15, -0x1.00e007dccd1ebp-15, -0x1.effe9d3b7fecp-16, -0x1.de5e724a46d53p-16, -0x1.cce08efa8cedbp-16, -0x1.bb85f1b95d03ap-16, -0x1.aa4f96a4a610ep-16, -0x1.993e76efcd06dp-16, -0x1.88538853cf72dp-16, -0x1.778fbc8a6b313p-16, -0x1.66f400d3c5df4p-16, -0x1.56813d861a46p-16, -0x1.463855a6f13e3p-16, -0x1.361a268d66828p-16, -0x1.2627878d16b8p-16, -0x1.166149a942a9dp-16, -0x1.06c8374fb5256p-16, -0x1.eeba28363cbafp-17, -0x1.d0413938d056cp-17, -0x1.b2270c5570794p-17, -0x1.946cfd738674bp-17, -0x1.7714596c1f442p-17, -0x1.5a1e5dcdd05dbp-17, -0x1.3d8c38ab34c46p-17, -0x1.215f087385b05p-17, -0x1.0597dbd4b303bp-17, -0x1.d46f634ccff35p-18, -0x1.9e7ef1bafe825p-18, -0x1.6960210ebeab4p-18, -0x1.35148f9986de4p-18, -0x1.019dbbf6f8e5fp-18, -0x1.9dfa0a5ad5cabp-19, -0x1.3a6755b53fb61p-19, -0x1.b10b35af7ac18p-20, -0x1.e15b73050383p-21, -0x1.9dce12e2f6748p-23, 0x1.0b9b3af13bfc1p-21, 0x1.3be5cb682b45ep-20, 0x1.ee8ca2fc5e3f8p-20, 0x1.4ee03a14a01e5p-19, 0x1.a4c000bf07a4ep-19, 0x1.f8e53f1f2b61fp-19, 0x1.25a7e31943d23p-18, 0x1.4dffcea4f68cfp-18, 0x1.757a807c0d338p-18, 0x1.9c1830fc24294p-18, 0x1.c1d93206c25d5p-18, 0x1.e6bdee6dda3edp-18, 0x1.056374aec13d2p-17, 0x1.16fa5ee1a2f36p-17, 0x1.28240ed9b5987p-17, 0x1.38e0e8e640c22p-17, 0x1.49315c4cc6a31p-17, 0x1.5915e2f98d9b8p-17, 0x1.688f012fc4548p-17, 0x1.779d453960406p-17, 0x1.86414716d67d1p-17, 0x1.947ba82ed3b53p-17, 0x1.a24d12fe08083p-17, 0x1.afb63ac723f35p-17, 0x1.bcb7db4325ee6p-17, 0x1.c952b85208973p-17, 0x1.d5879dabe599p-17, 0x1.e1575e92b1568p-17, 0x1.ecc2d58490c8ap-17, 0x1.f7cae3eee2108p-17, 0x1.013838f10a485p-16, 0x1.065a36e321c9dp-16, 0x1.0b4be60860179p-16, 0x1.100dc37d45307p-16, 0x1.14a04f1bde24bp-16, 0x1.19040b58050d1p-16, 0x1.1d397d1c2144dp-16, 0x1.21412ba67b5c2p-16, 0x1.251ba0671e458p-16, 0x1.28c966de51ff2p-16, 0x1.2c4b0c7ba883p-16, 0x1.2fa1207da8857p-16, 0x1.32cc33d21a54cp-16, 0x1.35ccd8f6ecc39p-16, 0x1.38a3a3dbc2b08p-16, 0x1.3b5129c4213e2p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d9d6cc4e9e387p-1, 0x1.d637958a128a4p-1, 0x1.d278200d8cd03p-1, 0x1.ce99dcb5897bcp-1, 0x1.ca9e3c7f1fd3cp-1, 0x1.c686af9f3c9a1p-1, 0x1.c254a4ad24d6fp-1, 0x1.be0987df2ecb6p-1, 0x1.b9a6c258a569ap-1, 0x1.b52db987cbd03p-1, 0x1.b09fce9309622p-1, 0x1.abfe5dd44a2d9p-1, 0x1.a74abe61add3ep-1, 0x1.a28641a2ac21p-1, 0x1.9db232f0e063fp-1, 0x1.98cfd743b80a1p-1, 0x1.93e06ce64ea2p-1, 0x1.8ee52b36c8026p-1, 0x1.89df426e85d9dp-1, 0x1.84cfdb729fd42p-1, 0x1.7fb817ac0afeap-1, 0x1.7a9910e6e92d4p-1, 0x1.7573d9387e33cp-1, 0x1.70497aeb51feap-1, 0x1.6b1af8710a582p-1, 0x1.65e94c5991b18p-1, 0x1.60b5694f220bfp-1, 0x1.5b803a16d420ap-1, 0x1.564aa195574d3p-1, 0x1.51157ad77a16p-1, 0x1.4be1991e31e1dp-1, 0x1.46afc7edd680ep-1, 0x1.4180cb2045314p-1, 0x1.3c555ef9a960cp-1, 0x1.372e383fab2ep-1, 0x1.320c0452c220bp-1, 0x1.2cef694979f66p-1, 0x1.27d9060d6e238p-1, 0x1.22c97279cda2fp-1, 0x1.1dc13f7b35993p-1, 0x1.18c0f730ba8dcp-1, 0x1.13c91d0df1633p-1, 0x1.0eda2dfddacf9p-1, 0x1.09f4a0868478p-1, 0x1.0518e4ed45bd9p-1, 0x1.0047655b7857ep-1, 0x1.f7010c071a97bp-2, 0x1.ed894a8cd405fp-2, 0x1.e42837b1e089p-2, 0x1.dade79d33d9e4p-2, 0x1.d1acac8c6b607p-2, 0x1.c893610293c88p-2, 0x1.bf931e2f761e9p-2, 0x1.b6ac612bf0576p-2, 0x1.addf9d7a13748p-2, 0x1.a52d3d4ea17b2p-2, 0x1.9c95a1d9e1364p-2, 0x1.9419238fb8601p-2, 0x1.8bb8126ef1ceep-2, 0x1.8372b647a5882p-2, 0x1.7b494f00b121bp-2, 0x1.733c14dc35735p-2, 0x1.6b4b38bb0bf4fp-2, 0x1.6376e45f2f65p-2, 0x1.5bbf3aad061e3p-2, 0x1.542457eb91a25p-2, 0x1.4ca6520373843p-2, 0x1.454538bcc9e43p-2, 0x1.3e0115fbd9613p-2, 0x1.36d9edfc87224p-2, 0x1.2fcfbf8c98dacp-2, 0x1.28e28444c1621p-2, 0x1.221230c072d5ep-2, 0x1.1b5eb4d47483ap-2, 0x1.14c7fbc44251fp-2, 0x1.0e4dec7630623p-2, 0x1.07f069a658a23p-2, 0x1.01af52184b448p-2, 0x1.f715018f1ea21p-3, 0x1.eb039a2dd4234p-3, 0x1.df2a15fcea8a2p-3, 0x1.d38816710c978p-3, 0x1.c81d36dacad92p-3, 0x1.bce90cbbbbfbcp-3, 0x1.b1eb281944573p-3, 0x1.a72313cd19d1p-3, 0x1.9c9055d385d77p-3, 0x1.92326f976575ep-3, 0x1.8808de3bf918bp-3, 0x1.7e131ae486a5ep-3, 0x1.74509af9d24efp-3, 0x1.6ac0d06d7b4e7p-3, 0x1.616329fb42b96p-3, 0x1.583713683f078p-3, 0x1.4f3bf5c00ecc6p-3, 0x1.4671379009be8p-3, 0x1.3dd63d207b7d5p-3, 0x1.356a68abf1c24p-3, 0x1.2d2d1a94a5e73p-3, 0x1.251db19804672p-3, 0x1.1d3b8b006af85p-3, 0x1.158602d50f2ebp-3, 0x1.0dfc74082808cp-3, 0x1.069e38a35faebp-3, 0x1.fed553e51ac7p-4, 0x1.f0c2415997c61p-4, 0x1.e301ea37d85b2p-4, 0x1.d592fe84aaed4p-4, 0x1.c8742dfe9d65ap-4, 0x1.bba42863968d1p-4, 0x1.af219db365d6fp-4, 0x1.a2eb3e6f75938p-4, 0x1.96ffbbd79ce6dp-4, 0x1.8b5dc8242c6e3p-4, 0x1.800416bd4a848p-4, 0x1.74f15c6fa5791p-4, 0x1.6a244f9e942ebp-4, 0x1.5f9ba873b3078p-4, 0x1.5556210c0ff15p-4, 0x1.4b5275a2f3d1ap-4, 0x1.418f64ba5b70fp-4, 0x1.380baf412e7e3p-4, 0x1.2ec618b747d85p-4, 0x1.25bd674f5ae6ep-4, 0x1.1cf0640ec92e7p-4, 0x1.145ddaeb77153p-4, 0x1.0c049ae7ad908p-4, 0x1.03e3762c19f8ap-4, 0x1.f7f2843ff5eebp-5, 0x1.e889aeff0e761p-5, 0x1.d98a24e13fc24p-5, 0x1.caf1a52bb51a4p-5, 0x1.bcbdf63fe38ebp-5, 0x1.aeece5bb563bp-5, 0x1.a17c48947f071p-5, 0x1.9469fb34a4897p-5, 0x1.87b3e18f10397p-5, 0x1.7b57e7358c6cap-5, 0x1.6f53ff6a527e2p-5, 0x1.63a6252f8328ap-5, 0x1.584c5b543aabep-5, 0x1.4d44ac7f62293p-5, 0x1.428d2b384db2cp-5, 0x1.3823f1ed4441bp-5, 0x1.2e0722f80439p-5, 0x1.2434e8a05e23ap-5, 0x1.1aab751cf6ec7p-5, 0x1.116902924c4cbp-5, 0x1.086bd3100a383p-5, 0x1.ff64611992696p-6, 0x1.ee74d9c094bb3p-6, 0x1.de05c3787c332p-6, 0x1.ce13e14761e73p-6, 0x1.be9c05c24ec54p-6, 0x1.af9b12f702f75p-6, 0x1.a10dfa536941bp-6, 0x1.92f1bc8ad6056p-6, 0x1.854369793732fp-6, 0x1.780020044e82ap-6, 0x1.6b250dfb1a891p-6, 0x1.5eaf6ff387fe8p-6, 0x1.529c912688116p-6, 0x1.46e9cb4aa89f2p-6, 0x1.3b94866d4b2c7p-6, 0x1.309a38ca8d9d5p-6, 0x1.25f866a405bf6p-6, 0x1.1baca216608a2p-6, 0x1.11b48aee01eecp-6, 0x1.080dce7ab9a01p-6, 0x1.fd6c4ec5410c4p-7, 0x1.eb56bae8695dp-7, 0x1.d9d68aef95e34p-7, 0x1.c8e78200c8c03p-7, 0x1.b8857c77f7c07p-7, 0x1.a8ac6f86c398ap-7, 0x1.995868d359363p-7, 0x1.8a858e16b6d7fp-7, 0x1.7c301cba5d60bp-7, 0x1.6e54697599847p-7, 0x1.60eedfea825e5p-7, 0x1.53fc0242b3107p-7, 0x1.477868cc002adp-7, 0x1.3b60c1951645bp-7, 0x1.2fb1d00a3bef2p-7, 0x1.24686c92380cp-7, 0x1.1981842b7ba29p-7, 0x1.0efa18099fceep-7, 0x1.04cf3d334bb7ap-7, 0x1.f5fc384128c94p-8, 0x1.e307e0b3cf431p-8, 0x1.d0bc102f236p-8, 0x1.bf1387c3d8019p-8, 0x1.ae092c648b652p-8, 0x1.9d9806291f622p-8, 0x1.8dbb3f93b7963p-8, 0x1.7e6e24d77133cp-8, 0x1.6fac2320ec181p-8, 0x1.6170c7e0b69bdp-8, 0x1.53b7c017b2eafp-8, 0x1.467cd7a582472p-8, 0x1.39bbf89909e77p-8, 0x1.2d712a831eb14p-8, 0x1.219891cb6233fp-8, 0x1.162e6f0763c2fp-8, 0x1.0b2f1e5406cf4p-8, 0x1.009716b14353bp-8, 0x1.ecc5d2c07dd8dp-9, 0x1.d91e828799577p-9, 0x1.c631c486acfbbp-9, 0x1.b3f951607599bp-9, 0x1.a26f115b3609p-9, 0x1.918d1b354fd18p-9, 0x1.814db2fed14bep-9, 0x1.71ab48f801178p-9, 0x1.62a07874ead6ap-9, 0x1.542806c5f2d1ap-9, 0x1.463ce225653fap-9, 0x1.38da20aa0f467p-9, 0x1.2bfaff3ed16p-9, 0x1.1f9ae09f3424fp-9, 0x1.13b54c58ef2b9p-9, 0x1.0845edd26a6a7p-9, 0x1.fa9126ac4a98cp-10, 0x1.e5725a460b69cp-10, 0x1.d12799030ac79p-10, 0x1.bda945bb606a7p-10, 0x1.aaf001cbe0da6p-10, 0x1.98f4ab5d32972p-10, 0x1.87b05bb4470c4p-10, 0x1.771c658c35107p-10, 0x1.673253793ee52p-10, 0x1.57ebe65501763p-10, 0x1.494313b3a450ep-10, 0x1.3b320461f96f4p-10, 0x1.2db312ec6b108p-10, 0x1.20c0ca2e93977p-10, 0x1.1455e3eb78ad1p-10, 0x1.086d476e297adp-10, 0x1.fa04106590681p-11, 0x1.e41ec92f76fbbp-11, 0x1.cf21892e01ae9p-11, 0x1.bb03710eeb921p-11, 0x1.a7bbefcbf193p-11, 0x1.9542c04c85843p-11, 0x1.838fe716ac9d7p-11, 0x1.729bb00ecd159p-11, 0x1.625eac4623758p-11, 0x1.52d1afd7a024bp-11, 0x1.43edcfd2eafa5p-11, 0x1.35ac603548995p-11, 0x1.2806f1f021692p-11, 0x1.1af750fce5b7cp-11, 0x1.0e77827e0f4a4p-11, 0x1.0281c2ecfc5bbp-11, 0x1.ee2108a8c89f4p-12, 0x1.d83cd92e47ca2p-12, 0x1.c34ca78640915p-12, 0x1.af4684e002271p-12, 0x1.9c20e05302f82p-12, 0x1.89d283ca2fbe6p-12, 0x1.785291056f77ep-12, 0x1.67987eb0da8ecp-12, 0x1.579c15912c7fap-12, 0x1.48556dc4f8326p-12, 0x1.39bcec1a2078bp-12, 0x1.2bcb3f7727425p-12, 0x1.1e795e57d412cp-12, 0x1.11c0845cc52ffp-12, 0x1.059a2fed75178p-12, 0x1.f4003fd88e7b2p-13, 0x1.ddd8a2f84c2efp-13, 0x1.c8b1fbae9dd43p-13, 0x1.b481306da8074p-13, 0x1.a13b9794ee81ap-13, 0x1.8ed6f380d0715p-13, 0x1.7d496eb9162c5p-13, 0x1.6c89983daff78p-13, 0x1.5c8e5ff0f2a3p-13, 0x1.4d4f131e81ebep-13, 0x1.3ec3591e2e2ebp-13, 0x1.30e33012092c1p-13, 0x1.23a6e9bef9394p-13, 0x1.1707287f15d06p-13, 0x1.0afcdc4d195cdp-13, 0x1.ff027fd07fa6ap-14, 0x1.e91bac1fbdb11p-14, 0x1.d438cdac4045bp-14, 0x1.c04dfa1241e3p-14, 0x1.ad4fc763eb96ep-14, 0x1.9b334751af6c1p-14, 0x1.89ee027bec9d2p-14, 0x1.7975f3eca1c0cp-14, 0x1.69c184b8046b7p-14, 0x1.5ac787c2e4887p-14, 0x1.4c7f35adc2be6p-14, 0x1.3ee028e384758p-14, 0x1.31e259cabd388p-14, 0x1.257e1b1884167p-14, 0x1.19ac1643da719p-14, 0x1.0e654818a553p-14, 0x1.03a2fd694ac0fp-14, 0x1.f2bd9fbc04d66p-15, 0x1.df2545c1e96eep-15, 0x1.cc71414c87deap-15, 0x1.ba966e9e4a18fp-15, 0x1.a98a2c4e62ce4p-15, 0x1.994255f63f8b8p-15, 0x1.89b53f103050ap-15, 0x1.7ad9ae05be6eap-15, 0x1.6ca6d76c265b7p-15, 0x1.5f14596d84fcap-15, 0x1.521a375d46667p-15, 0x1.45b0d5766f90ap-15, 0x1.39d0f4c26d193p-15, 0x1.2e73af271129ep-15, 0x1.2392739a7c3eep-15, 0x1.1927027bada05p-15, 0x1.0f2b6a0e8950fp-15, 0x1.059a031a22ff6p-15, 0x1.f8dadb5057e55p-16, 0x1.e7411bc8c8255p-16, 0x1.d65d1235f4dcap-16, 0x1.c62585a9ab07ap-16, 0x1.b691b42167465p-16, 0x1.a7994d306a884p-16, 0x1.99346cdf977c7p-16, 0x1.8b5b96c157da3p-16, 0x1.7e07b137a548p-16, 0x1.713200ea84d06p-16, 0x1.64d4246d36dadp-16, 0x1.58e810107b2aap-16, 0x1.4d6809e0510bcp-16, 0x1.424ea5cb9dfd6p-16, 0x1.3796c1f447c25p-16, 0x1.2d3b83264336fp-16, 0x1.233851742d796p-16, 0x1.1988d4f82334p-16, 0x1.1028f2b767453p-16, 0x1.0714c9a7ae72ap-16, 0x1.fc915fa976a41p-17, 0x1.eb825f4a4e984p-17, 0x1.daf60a7a4fd54p-17, 0x1.cae637fc5aaadp-17, 0x1.bb4d1844a5f72p-17, 0x1.ac2530e5017a3p-17, 0x1.9d69582c965fcp-17, 0x1.8f14b0f913a92p-17, 0x1.8122a6b76c52ap-17, 0x1.738ee9925ceb7p-17, 0x1.66556accd183cp-17, 0x1.5972594694193p-17, 0x1.4ce21e29944f8p-17, 0x1.40a159be2438ap-17, 0x1.34ace064a65b3p-17, 0x1.2901b7b33440dp-17, 0x1.1d9d13b5c41aep-17, 0x1.127c544f6f4c1p-17, 0x1.079d02bb81af7p-17, 0x1.f9f99e5a0bbb5p-18, 0x1.e5331d172108ap-18, 0x1.d0e270982cdp-18, 0x1.bd03c8c946ef1p-18, 0x1.a99392b3ad7d7p-18, 0x1.968e74ca1b4f2p-18, 0x1.83f14b646b4fbp-18, 0x1.71b9256888872p-18, 0x1.5fe3411ebc2c8p-18, 0x1.4e6d092f82d04p-18, 0x1.3d5411c9196d4p-18, 0x1.2c9615eb0d228p-18, 0x1.1c30f4d6279c8p-18, 0x1.0c22af9f1c4ddp-18, 0x1.f8d2cdc4e21f2p-19, 0x1.da06b1304a407p-19, 0x1.bbddbc0b6357ep-19, 0x1.9e54d399ff3cp-19, 0x1.81690c2e0f1c5p-19, 0x1.6517a5b1b0359p-19, 0x1.495e08639ad58p-19, 0x1.2e39c1c398b37p-19, 0x1.13a881acd4069p-19, 0x1.f3502f379a9a2p-20, 0x1.c06ce03bdd4b6p-20, 0x1.8ea324d181bdep-20, 0x1.5def3c2db63f1p-20, 0x1.2e4d92117ed3fp-20, 0x1.ff75759f8023fp-21, 0x1.a466df287eb87p-21, 0x1.4b6915d0e66a8p-21, 0x1.e8ec15cbf101ep-22, 0x1.3f0fcbbb7a80bp-22, 0x1.3263fabd26298p-23, -0x1.1709dc24b8426p-27, -0x1.4d738bcd90102p-23, -0x1.40dcd0f5cd198p-22, -0x1.d72b9e1ab1691p-22, -0x1.34d813f8d36d1p-21, -0x1.7c3a1e6a06262p-21, -0x1.c1c0c2ba7a354p-21, -0x1.02b862bd2dcdap-20, -0x1.23a76f1cc71dp-20, -0x1.43afdd09dae72p-20, -0x1.62d3ff01525e4p-20, -0x1.8116247d3b5b8p-20, -0x1.9e789ae95016cp-20, -0x1.bafdae7f62964p-20, -0x1.d6a7ab0d34866p-20, -0x1.f178dca5040d9p-20, -0x1.05b9c81d1579bp-19, -0x1.124d0a1587ba9p-19, -0x1.1e775c5cc1c7ep-19, -0x1.2a39e8396596dp-19, -0x1.3595d84427785p-19, -0x1.408c588cfe591p-19, -0x1.4b1e96b9b0059p-19, -0x1.554dc21e24ab7p-19, -0x1.5f1b0bcefa136p-19, -0x1.6887a6aebc077p-19, -0x1.7194c7762d1fbp-19, -0x1.7a43a4b7f545cp-19, -0x1.829576e01d1ebp-19, -0x1.8a8b782fa39a7p-19, -0x1.9226e4b4838d6p-19, -0x1.9968fa3e756bbp-19, -0x1.a052f850b534fp-19, -0x1.a6e620111377ep-19, -0x1.ad23b43490d7fp-19, -0x1.b30cf8e9c40fdp-19, -0x1.b8a333c141369p-19, -0x1.bde7ab943ac35p-19, -0x1.c2dba869915a9p-19, -0x1.c78073597fed7p-19, -0x1.cbd75670152c5p-19, -0x1.cfe19c8e9f309p-19, -0x1.d3a0914c3af0cp-19, -0x1.d71580d5a2981p-19, -0x1.da41b7cc668fcp-19, -0x1.dd268325aea17p-19, -0x1.dfc53008a097fp-19, -0x1.e21f0bac8aecep-19, -0x1.e4356336f054dp-19, -0x1.e60983998730dp-19, -0x1.e79cb9704b71cp-19, -0x1.e8f050dfb27f7p-19, -0x1.ea0595731675ap-19, -0x1.eaddd1fb6bbf2p-19, -0x1.eb7a506e52ec4p-19, -0x1.ebdc59c594072p-19, -0x1.ec0535df12f73p-19, -0x1.ebf62b5d462b8p-19, -0x1.ebb07f8845758p-19, -0x1.eb35762f6be26p-19, -0x1.ea86518ba5f19p-19, -0x1.e9a452226c277p-19, -0x1.e890b6a96fc0cp-19, -0x1.e74cbbeb0916ap-19, -0x1.e5d99cab65653p-19, -0x1.e438918e7c06fp-19, -0x1.e26ad0fed17bcp-19, -0x1.e0718f150b1ddp-19, -0x1.de4dfd80500efp-19, -0x1.dc014b6f893cep-19, -0x1.d98ca57b6e0a6p-19, -0x1.d6f1359172f14p-19, -0x1.d43022df8cdb8p-19, -0x1.d14a91c0cef69p-19, -0x1.ce41a3aae5e2fp-19, -0x1.cb16771c6674p-19, -0x1.c7ca278bfdd4cp-19, -0x1.c45dcd5871332p-19, -0x1.c0d27db97879cp-19, -0x1.bd294ab16d2cep-19, -0x1.b96342ffca883p-19, -0x1.b58172147edebp-19, -0x1.b184e004090bp-19, -0x1.ad6e917c643fep-19, -0x1.a93f87bab743cp-19, -0x1.a4f8c081cc48p-19, -0x1.a09b36114a71cp-19, -0x1.9c27df1da86cep-19, -0x1.979faec8e1d7ep-19, -0x1.9303949bdc818p-19, -0x1.8e547c8084f69p-19, -0x1.89934ebc976dp-19, -0x1.84c0efed1914p-19, -0x1.7fde41027360cp-19, -0x1.7aec1f3d35604p-19, -0x1.75eb642b7423fp-19, -0x1.70dce5a6c6d2bp-19, -0x1.6bc175d2d92fp-19, -0x1.6699e31c9089p-19, -0x1.6166f839bf132p-19, -0x1.5c297c2964724p-19, -0x1.56e2323471bcfp-19, -0x1.5191d9ef0f2eap-19, -0x1.4c392f3a638f4p-19, -0x1.46d8ea46d1c71p-19, -0x1.4171bf96ac9fap-19, -0x1.3c0460015dcf2p-19, -0x1.369178b6fa8b3p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.33355ebee6f5ap-3, -0x1.46a20c6173a16p-3, -0x1.5a4b8df3ab083p-3, -0x1.6e28060889dd1p-3, -0x1.822d5f1cc58e4p-3, -0x1.96516222e3effp-3, -0x1.aa89cad18f956p-3, -0x1.becc59d2e16ecp-3, -0x1.d30ee4f57a7ebp-3, -0x1.e747658127e5fp-3, -0x1.fb6c04d0b2e32p-3, -0x1.07b993a8fe1afp-2, -0x1.11a9bb061eep-2, -0x1.1b81f3658061ap-2, -0x1.253de1855f7a9p-2, -0x1.2ed956e130428p-2, -0x1.385054119dccbp-2, -0x1.419f0ab3ad34ap-2, -0x1.4ac1dee22505dp-2, -0x1.53b5684b83dep-2, -0x1.5c7672ee19c24p-2, -0x1.6501ff83168bcp-2, -0x1.6d5543a0c17f4p-2, -0x1.756da99b661ccp-2, -0x1.7d48d02bf57cap-2, -0x1.84e489e2c7c54p-2, -0x1.8c3edc6c76edbp-2, -0x1.9355ffae464cep-2, -0x1.9a285cbf2a94ep-2, -0x1.a0b48cc214619p-2, -0x1.a6f957a5c4779p-2, -0x1.acf5b2ce1a9d1p-2, -0x1.b2a8bfaa778f3p-2, -0x1.b811ca3c81247p-2, -0x1.bd30479253f1cp-2, -0x1.c203d436e0cfep-2, -0x1.c68c329afbe3bp-2, -0x1.cac949796c425p-2, -0x1.cebb22380e27cp-2, -0x1.d261e747e6422p-2, -0x1.d5bde285dcfe6p-2, -0x1.d8cf7b9da4dd8p-2, -0x1.db9736702581dp-2, -0x1.de15b17ea73cbp-2, -0x1.e04ba45bccb54p-2, -0x1.e239de234ddf7p-2, -0x1.e3e143f943d91p-2, -0x1.e542cf91c1e9dp-2, -0x1.e65f8dc1504d8p-2, -0x1.e7389d16d2e1dp-2, -0x1.e7cf2c7f4382cp-2, -0x1.e82479f3a2299p-2, -0x1.e839d131577f3p-2, -0x1.e8108a7d48566p-2, -0x1.e7aa0971bf6f7p-2, -0x1.e707bbd742a1bp-2, -0x1.e62b188863b17p-2, -0x1.e5159e608e22ap-2, -0x1.e3c8d335c93dep-2, -0x1.e24642dd5a0c2p-2, -0x1.e08f7e3b302c3p-2, -0x1.dea61a5bf9e37p-2, -0x1.dc8baf99ba76ep-2, -0x1.da41d8cab580cp-2, -0x1.d7ca327a81852p-2, -0x1.d5265a2d09794p-2, -0x1.d257edab49596p-2, -0x1.cf608a598adc8p-2, -0x1.cc41cc96e0bf6p-2, -0x1.c8fd4f25ac4fcp-2, -0x1.c594aa9ce3552p-2, -0x1.c20974e1d935p-2, -0x1.be5d40aa4ea0fp-2, -0x1.ba919d067debap-2, -0x1.b6a814f2e9862p-2, -0x1.b2a22ef1a2523p-2, -0x1.ae816caad172dp-2, -0x1.aa474a94335cdp-2, -0x1.a5f53f9f55892p-2, -0x1.a18cbcee49d1fp-2, -0x1.9d0f2d8e979e5p-2, -0x1.987df63a2aa7fp-2, -0x1.93da751e05bc7p-2, -0x1.8f2601a67863ap-2, -0x1.8a61ec50a465ep-2, -0x1.858f7e8114bedp-2, -0x1.80affa5f2f73cp-2, -0x1.7bc49ab54ed81p-2, -0x1.76ce92d54750bp-2, -0x1.71cf0e812d9c5p-2, -0x1.6cc731d823919p-2, -0x1.67b81946fee7fp-2, -0x1.62a2d97c9a8bdp-2, -0x1.5d887f61a05aap-2, -0x1.586a1013a10d7p-2, -0x1.534888e3508b5p-2, -0x1.4e24df55b5d0dp-2, -0x1.490001282e526p-2, -0x1.43dad4571164p-2, -0x1.3eb63726db75dp-2, -0x1.3993002fabeeep-2, -0x1.3471fe6b0088bp-2, -0x1.2f53f9437e3c4p-2, -0x1.2a39b0a6b1518p-2, -0x1.2523dd1899083p-2, -0x1.20132fc8e8da9p-2, -0x1.1b0852a9dbbcbp-2, -0x1.1603e8887a8c6p-2, -0x1.11068d2641791p-2, -0x1.0c10d553fbeb6p-2, -0x1.07234f0dcd40ep-2, -0x1.023e81983c92cp-2, -0x1.fac5db3c6d8fp-3, -0x1.f1221a9fd753ap-3, -0x1.e792a904df2f5p-3, -0x1.de1861a015d46p-3, -0x1.d4b413724da1dp-3, -0x1.cb66818b7edf4p-3, -0x1.c230634e95119p-3, -0x1.b91264b5ff952p-3, -0x1.b00d2698e7969p-3, -0x1.a7213ef0e3d39p-3, -0x1.9e4f39200dff1p-3, -0x1.959796375da2ap-3, -0x1.8cfacd3d2b75dp-3, -0x1.84794b73bbbf6p-3, -0x1.7c13749fc1accp-3, -0x1.73c9a34eba338p-3, -0x1.6b9c291d0b221p-3, -0x1.638b4efbd225ep-3, -0x1.5b97557646be4p-3, -0x1.53c074f6ad5b8p-3, -0x1.4c06de0ab6b71p-3, -0x1.446ab9a741b8ep-3, -0x1.3cec296b771dbp-3, -0x1.358b47e328e08p-3, -0x1.2e4828c85e895p-3, -0x1.2722d9441c733p-3, -0x1.201b602e3af05p-3, -0x1.1931be4c5617ep-3, -0x1.1265ee8fcc902p-3, -0x1.0bb7e652b3d3ap-3, -0x1.05279593cd5fbp-3, -0x1.fd69ce62d1239p-4, -0x1.f0bf82465b5dap-4, -0x1.e4500965a0a41p-4, -0x1.d81b1d6736612p-4, -0x1.cc206f71b32f3p-4, -0x1.c05fa8962d753p-4, -0x1.b4d86a38540b5p-4, -0x1.a98a4e7437c6ap-4, -0x1.9e74e881a0fa8p-4, -0x1.9397c515003d7p-4, -0x1.88f26abdfe7d6p-4, -0x1.7e845a439097fp-4, -0x1.744d0efdaac8ep-4, -0x1.6a4bff2c83661p-4, -0x1.60809c4d6c1fp-4, -0x1.56ea536d42a0fp-4, -0x1.4d888d787b44p-4, -0x1.445aaf88c9718p-4, -0x1.3b601b306c47bp-4, -0x1.32982ec31f4c2p-4, -0x1.2a02459cb9351p-4, -0x1.219db8657e103p-4, -0x1.1969dd54281e8p-4, -0x1.1166086db220dp-4, -0x1.09918bc2e7d4bp-4, -0x1.01ebb7abc75cap-4, -0x1.f4e7b6016d7e1p-5, -0x1.e65286a33829dp-5, -0x1.d8167a35b7dbcp-5, -0x1.ca3227f095275p-5, -0x1.bca425ac2f20cp-5, -0x1.af6b083f7a4abp-5, -0x1.a28563d9fd338p-5, -0x1.95f1cc59fcb51p-5, -0x1.89aed59eeb8b5p-5, -0x1.7dbb13d8325c5p-5, -0x1.72151bd06712dp-5, -0x1.66bb833502a9fp-5, -0x1.5bace0daafcfep-5, -0x1.50e7ccfe46c51p-5, -0x1.466ae18284e7dp-5, -0x1.3c34ba2aa047fp-5, -0x1.3243f4d1c2e17p-5, -0x1.2897319f84b4fp-5, -0x1.1f2d13397e14cp-5, -0x1.16043ef201fa2p-5, -0x1.0d1b5cf41742fp-5, -0x1.0471186cc48aap-5, -0x1.f8083f638bb02p-6, -0x1.e7a648cb789dfp-6, -0x1.d7b9b733de3bfp-6, -0x1.c83ffbdb5f35cp-6, -0x1.b9368f56ee23cp-6, -0x1.aa9af1c79b858p-6, -0x1.9c6aab0c21b9p-6, -0x1.8ea34aee52d26p-6, -0x1.8142694c8fbbcp-6, -0x1.7445a63f6a64bp-6, -0x1.67aaaa3b957cp-6, -0x1.5b6f26304bebep-6, -0x1.4f90d3a24b8bap-6, -0x1.440d74c38850bp-6, -0x1.38e2d487bb2ffp-6, -0x1.2e0ec6b5e49a5p-6, -0x1.238f27f6f3d8fp-6, -0x1.1961dde19bb89p-6, -0x1.0f84d70387e3ep-6, -0x1.05f60ae805387p-6, -0x1.f966f43875473p-7, -0x1.e7765c622cd74p-7, -0x1.d6167376018fbp-7, -0x1.c543709ef226fp-7, -0x1.b4f99d016840ap-7, -0x1.a53553ae97b01p-7, -0x1.95f301946173dp-7, -0x1.872f2569adc1p-7, -0x1.78e64f97a109p-7, -0x1.6b15221fba0ddp-7, -0x1.5db8507f12b87p-7, -0x1.50cc9f8ee577ap-7, -0x1.444ee5628d572p-7, -0x1.383c09231eecep-7, -0x1.2c9102e8bfd4p-7, -0x1.214adb91ebdb3p-7, -0x1.1666ac98c454bp-7, -0x1.0be19fe68e8bp-7, -0x1.01b8efa58561ep-7, -0x1.efd3cc2237629p-8, -0x1.dce3ba89a1247p-8, -0x1.ca9c7e13684c3p-8, -0x1.b8f9094572477p-8, -0x1.a7f46d2fdee61p-8, -0x1.9789d9018693p-8, -0x1.87b4999ab5104p-8, -0x1.7870191e4f706p-8, -0x1.69b7de819ba05p-8, -0x1.5b878d1acea91p-8, -0x1.4ddae42e95bb7p-8, -0x1.40adbe7cbca67p-8, -0x1.33fc11cc1e779p-8, -0x1.27c1ee7603bd5p-8, -0x1.1bfb7ef1158c4p-8, -0x1.10a5075c043bfp-8, -0x1.05bae508050b8p-8, -0x1.f6731c068ea9ap-9, -0x1.e23b2146f6f61p-9, -0x1.cec7262117e6ap-9, -0x1.bc10a59f3e699p-9, -0x1.aa11489cff19fp-9, -0x1.98c2e4defebbfp-9, -0x1.881f7c2bdaf4p-9, -0x1.78213b666b845p-9, -0x1.68c279a975f67p-9, -0x1.59fdb7650269cp-9, -0x1.4bcd9d7d710e3p-9, -0x1.3e2cfc6c73c2p-9, -0x1.3116cb640767dp-9, -0x1.248627738c7c4p-9, -0x1.187652af1b107p-9, -0x1.0ce2b35924bcep-9, -0x1.01c6d30e8383ep-9, -0x1.ee3cbbea0acbap-10, -0x1.d9ca43d90f97bp-10, -0x1.c62e1b85729adp-10, -0x1.b36060d319053p-10, -0x1.a1597060d86dcp-10, -0x1.9011e40084dfep-10, -0x1.7f829134ab518p-10, -0x1.6fa487b416e94p-10, -0x1.60710ff33c194p-10, -0x1.51e1a9b3808d4p-10, -0x1.43f00a9886334p-10, -0x1.36961cc3771efp-10, -0x1.29cdfd745d89dp-10, -0x1.1d91fbb18eb18p-10, -0x1.11dc96f52f558p-10, -0x1.06a87de0d2f4ap-10, -0x1.f7e119ee6b5b4p-11, -0x1.e35f9ab826ecep-11, -0x1.cfc2e734362cap-11, -0x1.bd01bcdde956fp-11, -0x1.ab132b3ab703bp-11, -0x1.99ee918a85cd3p-11, -0x1.898b9c83fe6d3p-11, -0x1.79e2441cd4c02p-11, -0x1.6aeac95df369cp-11, -0x1.5c9db443759e1p-11, -0x1.4ef3d1a858163p-11, -0x1.41e6313dc57edp-11, -0x1.356e238de60e9p-11, -0x1.2985380a15717p-11, -0x1.1e253b245def8p-11, -0x1.134834741e75dp-11, -0x1.08e864e5b708p-11, -0x1.fe0089ea35e41p-12, -0x1.eb1505e64ed16p-12, -0x1.d90402ab31f77p-12, -0x1.c7c3aa22f975ap-12, -0x1.b74a87ffead42p-12, -0x1.a78f869a675a8p-12, -0x1.9889ebe2e7cc3p-12, -0x1.8a315667bffe5p-12, -0x1.7c7dba6e56822p-12, -0x1.6f675f1f7fc6bp-12, -0x1.62e6dbc6ae54dp-12, -0x1.56f51523a37afp-12, -0x1.4b8b3ace527eap-12, -0x1.40a2c4aca21dp-12, -0x1.36357079b820fp-12, -0x1.2c3d3f5e82817p-12, -0x1.22b4739b230d6p-12, -0x1.19958e40f3c99p-12, -0x1.10db4cfcca61fp-12, -0x1.0880a7f130d17p-12, -0x1.0080cfa0367b9p-12, -0x1.f1ae55c9251bdp-13, -0x1.e2fea9f385193p-13, -0x1.d4ea3725a1a35p-13, -0x1.c768f9fef7aep-13, -0x1.ba734cbec9583p-13, -0x1.ae01e3c5ff5eep-13, -0x1.a20dca33e30eep-13, -0x1.96905e9d1cfbfp-13, -0x1.8b834fdc6694cp-13, -0x1.80e099fc46228p-13, -0x1.76a283394e19dp-13, -0x1.6cc3991c4ceb1p-13, -0x1.633eadabca4a5p-13, -0x1.5a0ed4b454bc8p-13, -0x1.512f61270ac9ep-13, -0x1.489be28dcd067p-13, -0x1.4050229499ee1p-13, -0x1.384822a782919p-13, -0x1.308019a4b492fp-13, -0x1.28f471a21e0abp-13, -0x1.21a1c5c6131d8p-13, -0x1.1a84e03296aefp-13, -0x1.139ab802a4101p-13, -0x1.0ce06f592164dp-13, -0x1.06535180e286ep-13, -0x1.ffe1a23ab9d9ap-14, -0x1.f36d0cd71b296p-14, -0x1.e7445b25307f5p-14, -0x1.db634a0784a4ap-14, -0x1.cfc5d7d29117ep-14, -0x1.c46841475398fp-14, -0x1.b946feaa0075dp-14, -0x1.ae5ec0f409a22p-14, -0x1.a3ac6f208b022p-14, -0x1.992d239287a6fp-14, -0x1.8ede299407ac2p-14, -0x1.84bcfaed7d693p-14, -0x1.7ac73d949d933p-14, -0x1.70fac17201b12p-14, -0x1.67557e3cdf7b8p-14, -0x1.5dd5916c28649p-14, -0x1.54793c3c6626ep-14, -0x1.4b3ee1c9b0c7bp-14, -0x1.4225053d19662p-14, -0x1.392a480cef19ap-14, -0x1.304d684f420b2p-14, -0x1.278d3f1e0d1c6p-14, -0x1.1ee8bf0c78279p-14, -0x1.165ef2ac9dde4p-14, -0x1.0deefb254f3edp-14, -0x1.05980ed749621p-14, -0x1.fab2f022b77a5p-15, -0x1.ea6527a5f70b5p-15, -0x1.da45a1399483ep-15, -0x1.ca535a9d2220bp-15, -0x1.ba8d70247df24p-15, -0x1.aaf31aa6e1653p-15, -0x1.9b83ad862f77fp-15, -0x1.8c3e94cd9b666p-15, -0x1.7d235366dbdd8p-15, -0x1.6e31816516263p-15, -0x1.5f68ca64bc328p-15, -0x1.50c8ebff95f5p-15, -0x1.4251b45440c76p-15, -0x1.340300a05f716p-15, -0x1.25dcbbecd851dp-15, -0x1.17deddcb64df6p-15, -0x1.0a096924d39efp-15, -0x1.f8b8d62eb1f7ep-16, -0x1.ddaff3c894013p-16, -0x1.c2f867d95e075p-16, -0x1.a8927d7826bcp-16, -0x1.8e7e8c420e2e3p-16, -0x1.74bcf6a5858c9p-16, -0x1.5b4e2846cdd3bp-16, -0x1.4232947cac286p-16, -0x1.296ab4e44e4cep-16, -0x1.10f7080b6f3dbp-16, -0x1.f1b0205f9972cp-17, -0x1.c21ca42605995p-17, -0x1.9334a7c3f310dp-17, -0x1.64f9385dfb274p-17, -0x1.376b61fb8ae14p-17, -0x1.0a8c2dc1148dap-17, -0x1.bcb94095fbddcp-18, -0x1.65bb704f7d545p-18, -0x1.1020d8dfa3004p-18, -0x1.77d6ade851659p-19, -0x1.a472cd5a3f812p-20, -0x1.7b6a0beceb6b4p-22, 0x1.c22a3146248c7p-21, 0x1.0dab012155aa9p-19, 0x1.a7f15249bc783p-19, 0x1.1fad778313954p-18, 0x1.69f2c188b88eap-18, 0x1.b2c77c7abd06ap-18, 0x1.fa2abe0919e0ap-18, 0x1.200dde97ffb13p-17, 0x1.424ce97c3cb5bp-17, 0x1.63d23d8d26e18p-17, 0x1.849daa4060afep-17, 0x1.a4af10d9f0d8ap-17, 0x1.c4066493f69cap-17, 0x1.e2a3aaba1fdb3p-17, 0x1.00437d5cd4698p-16, 0x1.0ed83f1346702p-16, 0x1.1d10385b45888p-16, 0x1.2aeb90195c3c8p-16, 0x1.386a76300ed36p-16, 0x1.458d237004a33p-16, 0x1.5253d98453504p-16, 0x1.5ebee2db2710ep-16, 0x1.6ace928b17383p-16, 0x1.768344355a31ep-16, 0x1.81dd5be519c87p-16, 0x1.8cdd45ec22148p-16, 0x1.978376bd1fae6p-16, 0x1.a1d06ac3a1043p-16, 0x1.abc4a63a0dfd9p-16, 0x1.b560b4fdc6347p-16, 0x1.bea52a619327dp-16, 0x1.c792a0fe9328cp-16, 0x1.d029ba83d0e3ap-16, 0x1.d86b1f84a962cp-16, 0x1.e0577f46203f8p-16, 0x1.e7ef8f8b5249p-16, 0x1.ef340c6117ec3p-16, 0x1.f625b7e906eafp-16, 0x1.fcc55a23e901ap-16, 0x1.0189e05de0593p-15, 0x1.0488df66c2a4cp-15, 0x1.076016594d366p-15, 0x1.0a0ff3e519633p-15, 0x1.0c98e92150b1cp-15, 0x1.0efb69715d1aap-15, 0x1.1137ea69a8c6dp-15, 0x1.134ee3b477bfp-15, 0x1.1540cef6e31cdp-15, 0x1.170e27b5ffd3cp-15, 0x1.18b76b3c37334p-15, 0x1.1a3d187ed9696p-15, 0x1.1b9fb003f13cap-15, 0x1.1cdfb3c85d4eap-15, 0x1.1dfda72637e95p-15, 0x1.1efa0ebb8f25p-15, 0x1.1fd57051743e8p-15, 0x1.209052c36a67p-15, 0x1.212b3de72eeedp-15, 0x1.21a6ba74ebb7fp-15, 0x1.220351efce2e8p-15, 0x1.22418e8f08e66p-15, 0x1.2261fb274207p-15, 0x1.2265231475bb1p-15, 0x1.224b9224456dfp-15, 0x1.2215d480bfbc3p-15, 0x1.21c4769b9d7bcp-15, 0x1.21580519f4f08p-15, 0x1.20d10cc068394p-15, 0x1.20301a5fcd272p-15, 0x1.1f75bac24f387p-15, 0x1.1ea27a990d83ap-15, 0x1.1db6e66a3603ep-15, 0x1.1cb38a7f9aacap-15, 0x1.1b98f2d5c607cp-15, 0x1.1a67ab0b899abp-15, 0x1.19203e520950cp-15, 0x1.17c3375d44471p-15, 0x1.1651205515edcp-15, 0x1.14ca82c6b658cp-15, 0x1.132fe796aeeeep-15, 0x1.1181d6f34e48bp-15, 0x1.0fc0d8478fb52p-15, 0x1.0ded722e7d9afp-15, 0x1.0c082a67060f5p-15, 0x1.0a1185c849906p-15, 0x1.080a0836585b1p-15, 0x1.05f2349765357p-15, 0x1.03ca8cc968455p-15, 0x1.0193919830df9p-15, 0x1.fe9b8567cc9d2p-16, 0x1.f9f33d4fe7edbp-16, 0x1.f52f45a4c041cp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.ceaa8d17b3d53p-1, 0x1.cb46b5f10ffb6p-1, 0x1.c7e702780ef2ep-1, 0x1.c48c9fed62cfap-1, 0x1.c1386ed612b5ep-1, 0x1.bdeb0b4985e6ep-1, 0x1.baa4d4db58c83p-1, 0x1.b765f6141a744p-1, 0x1.b42e6b70fc8f6p-1, 0x1.b0fe09e64408p-1, 0x1.add484e351e54p-1, 0x1.aab173d95eee3p-1, 0x1.a7945747c0b8ap-1, 0x1.a47c9d51e03b8p-1, 0x1.a169a5e3ecfp-1, 0x1.9e5ac66c00709p-1, 0x1.9b4f4d2dd0112p-1, 0x1.984684373d2a4p-1, 0x1.953fb3fc2c8efp-1, 0x1.923a25a009087p-1, 0x1.8f3524f32bcafp-1, 0x1.8c30022a469d5p-1, 0x1.892a1355a0e15p-1, 0x1.8622b59dc107ap-1, 0x1.83194e4acd08cp-1, 0x1.800d4b9ba227dp-1, 0x1.7cfe257156de1p-1, 0x1.79eb5dd38754bp-1, 0x1.76d4815187c7ep-1, 0x1.73b927444384bp-1, 0x1.7098f1f44c1f2p-1, 0x1.6d738ea75540bp-1, 0x1.6a48b598157b7p-1, 0x1.671829db441e5p-1, 0x1.63e1b93435102p-1, 0x1.60a53bdb52d4ep-1, 0x1.5d6294388ce2p-1, 0x1.5a19ae9393b5ep-1, 0x1.56ca80bb98846p-1, 0x1.537509a8150a7p-1, 0x1.50195113fb998p-1, 0x1.4cb767148ae8fp-1, 0x1.494f63ace0b1fp-1, 0x1.45e1665f435afp-1, 0x1.426d95bd072c7p-1, 0x1.3ef41ef5ce98ep-1, 0x1.3b753566da59cp-1, 0x1.37f1122afb9ep-1, 0x1.3467f3abb3ed2p-1, 0x1.30da1d33f23cdp-1, 0x1.2d47d684d3416p-1, 0x1.29b16b6cb932dp-1, 0x1.26172b6105919p-1, 0x1.2279691aaf6a5p-1, 0x1.1ed87a35e7926p-1, 0x1.1b34b6d4f82a2p-1, 0x1.178e7946791fep-1, 0x1.13e61daef7625p-1, 0x1.103c01b61e285p-1, 0x1.0c9084376e655p-1, 0x1.08e404f68b3bep-1, 0x1.0536e4571c885p-1, 0x1.0189831846d94p-1, 0x1.fbb884275f363p-2, 0x1.f45f04000db9cp-2, 0x1.ed07466e14bbep-2, 0x1.e5b20afde1ebep-2, 0x1.de600fae62bb7p-2, 0x1.d71210911e792p-2, 0x1.cfc8c770b6b13p-2, 0x1.c884eb7da6aeep-2, 0x1.c14731010f8b7p-2, 0x1.ba1049156bd95p-2, 0x1.b2e0e164effb1p-2, 0x1.abb9a3ed74da3p-2, 0x1.a49b36c9aef89p-2, 0x1.9d863bff8815fp-2, 0x1.967b51536a264p-2, 0x1.8f7b10204511p-2, 0x1.88860d342029p-2, 0x1.819cd8b1092fap-2, 0x1.7abffdf22a5ap-2, 0x1.73f00374dd1fbp-2, 0x1.6d2d6ac581f7ap-2, 0x1.6678b06ffab56p-2, 0x1.5fd24bf38ad5fp-2, 0x1.593aafb9fd9fep-2, 0x1.52b24911de32p-2, 0x1.4c39802b9747cp-2, 0x1.45d0b81954e08p-2, 0x1.3f784ed1784a3p-2, 0x1.39309d337fc58p-2, 0x1.32f9f70f2fa1p-2, 0x1.2cd4ab2ddfc44p-2, 0x1.26c1035dca7a9p-2, 0x1.20bf447f2de0dp-2, 0x1.1acfae932d7bcp-2, 0x1.14f27ccc45c9ap-2, 0x1.0f27e5a03b615p-2, 0x1.09701adb61fe7p-2, 0x1.03cb49b51e742p-2, 0x1.fc7335cb186ep-3, 0x1.f1766578477f1p-3, 0x1.e6a0626e9bf4cp-3, 0x1.dbf1643995a88p-3, 0x1.d1699a25a39ddp-3, 0x1.c7092b73a7fe1p-3, 0x1.bcd0378d9e591p-3, 0x1.b2bed63c366e4p-3, 0x1.a8d517dd37826p-3, 0x1.9f13059a89f48p-3, 0x1.9578a1a1c848dp-3, 0x1.8c05e75c34797p-3, 0x1.82bacba6e9185p-3, 0x1.79973d0b34a9p-3, 0x1.709b23f6ff88cp-3, 0x1.67c662f51bd99p-3, 0x1.5f18d6e56dd79p-3, 0x1.56925734d154fp-3, 0x1.4e32b614aac4cp-3, 0x1.45f9c0b20a51fp-3, 0x1.3de73f6c4da93p-3, 0x1.35faf60b388a5p-3, 0x1.2e34a3f4671b3p-3, 0x1.2694046012f19p-3, 0x1.1f18ce8d1a1e9p-3, 0x1.17c2b5f43f6f5p-3, 0x1.10916a7a9088bp-3, 0x1.098498a2f0fdap-3, 0x1.029be9beb6247p-3, 0x1.f7ae083ab0215p-4, 0x1.ea6b167646ee6p-4, 0x1.dd6e3fdde0017p-4, 0x1.d0b6c12d9bb21p-4, 0x1.c443d2874faf4p-4, 0x1.b814a7c7b483p-4, 0x1.ac2870d9656ap-4, 0x1.a07e5a05becfcp-4, 0x1.95158c438192ap-4, 0x1.89ed2d834bc6cp-4, 0x1.7f0460f9dd4ap-4, 0x1.745a476823971p-4, 0x1.69edff6110e2bp-4, 0x1.5fbea58d40cd2p-4, 0x1.55cb54ec68e49p-4, 0x1.4c1327149b4f5p-4, 0x1.4295346f5c5p-4, 0x1.395094749182p-4, 0x1.30445de34d9d4p-4, 0x1.276fa6f880ad1p-4, 0x1.1ed185a390981p-4, 0x1.16690fb8e2c58p-4, 0x1.0e355b225c53cp-4, 0x1.06357e0de3145p-4, 0x1.fcd11e33c9825p-5, 0x1.ed9b4affdb7d7p-5, 0x1.dec7b27ab44a9p-5, 0x1.d05486744e1abp-5, 0x1.c23ffadbe02a7p-5, 0x1.b488460642153p-5, 0x1.a72ba0f0ce4e4p-5, 0x1.9a284780d33c9p-5, 0x1.8d7c78bfad5a8p-5, 0x1.8126771398141p-5, 0x1.7524887550209p-5, 0x1.6974f6a297e07p-5, 0x1.5e160f4db49efp-5, 0x1.53062449f9d3ap-5, 0x1.48438bb577254p-5, 0x1.3dcca01fdc2f1p-5, 0x1.339fc0aeabb6fp-5, 0x1.29bb513ecd1cp-5, 0x1.201dba8395abcp-5, 0x1.16c56a235dee1p-5, 0x1.0db0d2d1b09e1p-5, 0x1.04de6c6734bf3p-5, 0x1.f89967eeae0b6p-6, 0x1.e7f457c7aad0fp-6, 0x1.d7cab7dc65aebp-6, 0x1.c819a28e657fap-6, 0x1.b8de3d38c8f1bp-6, 0x1.aa15b847b3584p-6, 0x1.9bbd4f4c281c9p-6, 0x1.8dd2490c81201p-6, 0x1.8051f791a1237p-6, 0x1.7339b830fe59p-6, 0x1.6686f393b446ap-6, 0x1.5a371dbab214ep-6, 0x1.4e47b6002cb2fp-6, 0x1.42b6471670f47p-6, 0x1.37806704398dfp-6, 0x1.2ca3b71e9ebf3p-6, 0x1.221de400cc008p-6, 0x1.17eca58183721p-6, 0x1.0e0dbea6a1015p-6, 0x1.047efd96ac0d5p-6, 0x1.f67c771120539p-7, 0x1.e492b9634603bp-7, 0x1.d33ca0640536ap-7, 0x1.c2761ffedcedcp-7, 0x1.b23b419d5d18cp-7, 0x1.a28823f74020bp-7, 0x1.9358fadff76d1p-7, 0x1.84aa0f11e5ffap-7, 0x1.7677bdf758a2p-7, 0x1.68be7971836b2p-7, 0x1.5b7ac79d8606p-7, 0x1.4ea94297c5887p-7, 0x1.4246983d9c232p-7, 0x1.364f89ed958d9p-7, 0x1.2ac0ec4656947p-7, 0x1.1f97a6e4498bp-7, 0x1.14d0b41e36549p-7, 0x1.0a6920c0de15cp-7, 0x1.005e0bc9bb356p-7, 0x1.ed594c41fd29dp-8, 0x1.daa464a5ca0e3p-8, 0x1.c8980890fdd24p-8, 0x1.b72f0200019fcp-8, 0x1.a6643c8969927p-8, 0x1.9632c4cd471e2p-8, 0x1.8695c7e40e3d4p-8, 0x1.778892cd3eac5p-8, 0x1.690691ddf026cp-8, 0x1.5b0b502f699ep-8, 0x1.4d92770de411ep-8, 0x1.4097cd679a408p-8, 0x1.3417373c46ac7p-8, 0x1.280cb50d29977p-8, 0x1.1c74634db3a62p-8, 0x1.114a79d4f19b8p-8, 0x1.068b4b4fd040fp-8, 0x1.f8668968a15d4p-9, 0x1.e47dd96b7fa4p-9, 0x1.d155c674159b6p-9, 0x1.bee7c1a07feebp-9, 0x1.ad2d6c509c5d3p-9, 0x1.9c2097182da23p-9, 0x1.8bbb40b3b84c3p-9, 0x1.7bf79500419acp-9, 0x1.6ccfebf603878p-9, 0x1.5e3ec8a6306f4p-9, 0x1.503ed83bdce04p-9, 0x1.42caf10023d16p-9, 0x1.35de11619bc73p-9, 0x1.29735eff2798ep-9, 0x1.1d8625b634487p-9, 0x1.1211d6b477a2ap-9, 0x1.0712078d3306fp-9, 0x1.f904e2a40e94bp-10, 0x1.e4bddf5ecd4fep-10, 0x1.d1470019581fcp-10, 0x1.be98815fa6aa3p-10, 0x1.acaadfc9da7c1p-10, 0x1.9b76d65271e97p-10, 0x1.8af55cb3fcd69p-10, 0x1.7b1fa5ce2e42cp-10, 0x1.6bef1e126e9c5p-10, 0x1.5d5d69f7cf56ap-10, 0x1.4f64647676482p-10, 0x1.41fe1d8a6c8a9p-10, 0x1.3524d8bdd7a05p-10, 0x1.28d30bba8658fp-10, 0x1.1d035ce2db982p-10, 0x1.11b0a1f1f897dp-10, 0x1.06d5dea32d67fp-10, 0x1.f8dc86c1300b5p-11, 0x1.e4ea57f1cd1f1p-11, 0x1.d1cc3cb85d3efp-11, 0x1.bf7992bf96164p-11, 0x1.adea07125800bp-11, 0x1.9d1593bf15079p-11, 0x1.8cf47d88d7af7p-11, 0x1.7d7f51a5c1f44p-11, 0x1.6eaee38adf853p-11, 0x1.607c4ac51e387p-11, 0x1.52e0e0df46a79p-11, 0x1.45d63f54c61e9p-11, 0x1.39563d911f88p-11, 0x1.2d5aeefbd5da2p-11, 0x1.21dea110a0f3fp-11, 0x1.16dbd983c0c9p-11, 0x1.0c4d54723d8a2p-11, 0x1.022e029de5487p-11, 0x1.f0f20f69b2b98p-12, 0x1.de537148ec689p-12, 0x1.cc7733eed5e92p-12, 0x1.bb54bc7d96bc7p-12, 0x1.aae3c90bd77d2p-12, 0x1.9b1c6da1ad7f2p-12, 0x1.8bf7114a578bfp-12, 0x1.7d6c6b3a633f1p-12, 0x1.6f758009e3308p-12, 0x1.620b9f02463d4p-12, 0x1.55285f7f7b42cp-12, 0x1.48c59e63f536dp-12, 0x1.3cdd7b9f317c9p-12, 0x1.316a57c66509cp-12, 0x1.2666d1bee52cdp-12, 0x1.1bcdc479f748cp-12, 0x1.119a44c1a232cp-12, 0x1.07c79f1626377p-12, 0x1.fca2ab3775e9ep-13, 0x1.ea663c30766dep-13, 0x1.d8d1c000bf9e1p-13, 0x1.c7dd652864138p-13, 0x1.b781b614b2dbfp-13, 0x1.a7b79593d64f1p-13, 0x1.98783b64d6cbbp-13, 0x1.89bd30e3409d7p-13, 0x1.7b804dcdd05p-13, 0x1.6dbbb52778806p-13, 0x1.6069d2321ff13p-13, 0x1.538555826a0bdp-13, 0x1.4709322bf8c95p-13, 0x1.3af09b057b146p-13, 0x1.2f370003f5b81p-13, 0x1.23d80baca855dp-13, 0x1.18cfa09cfaa9ep-13, 0x1.0e19d727d732ap-13, 0x1.03b2fb07f185cp-13, 0x1.f32f124ca8cb1p-14, 0x1.df885ae974c54p-14, 0x1.cc6b81b63e40bp-14, 0x1.b9d28e7016411p-14, 0x1.a7b7dae609264p-14, 0x1.96160f41716d2p-14, 0x1.84e81e70933b6p-14, 0x1.742942b2a54d5p-14, 0x1.63d4fa443e747p-14, 0x1.53e7042b41f8bp-14, 0x1.445b5d215b45p-14, 0x1.352e3c9c2586bp-14, 0x1.265c11f21bbb7p-14, 0x1.17e1819b74dbfp-14, 0x1.09bb628e181c3p-14, 0x1.f7cd7767a39a7p-15, 0x1.dcc182f3fddfcp-15, 0x1.c24da6f3c99d2p-15, 0x1.a86cf471dceb8p-15, 0x1.8f1aca0029074p-15, 0x1.7652cf935d1b4p-15, 0x1.5e10f289f7e4dp-15, 0x1.465161dd5d612p-15, 0x1.2f108a7b96a3ep-15, 0x1.184b13c866497p-15, 0x1.01fddc446c2d6p-15, 0x1.d84becb216fb4p-16, 0x1.ad814a8fc6e29p-16, 0x1.8396b47940edep-16, 0x1.5a8762fffcd62p-16, 0x1.324edf95b5c66p-16, 0x1.0ae8ff706d344p-16, 0x1.c8a3bd54664dp-17, 0x1.7d0bb73527c1ap-17, 0x1.330324cf3c2d4p-17, 0x1.d50763324f0d3p-18, 0x1.470ee8511fab3p-18, 0x1.78239a2aaf2f9p-19, 0x1.a02defcb4e2c7p-21, -0x1.447bb7f93a36cp-20, -0x1.a6ca84cf2c4b6p-19, -0x1.52d5b9eae379ep-18, -0x1.cf784a170523dp-18, -0x1.24aa374b0bdd6p-17, -0x1.603899e4f8957p-17, -0x1.9a6aa06af0dc1p-17, -0x1.d343708dd1952p-17, -0x1.0563034c33f38p-16, -0x1.207a9cd4a5398p-16, -0x1.3ae9dfd727341p-16, -0x1.54b2189216e5ap-16, -0x1.6dd4864e68ec4p-16, -0x1.86525d0755e07p-16, -0x1.9e2cc6f7a7a05p-16, -0x1.b564e60dd8554p-16, -0x1.cbfbd54800d83p-16, -0x1.e1f2a9f8b6afbp-16, -0x1.f74a74f5cbc51p-16, -0x1.060221d8fab0ep-15, -0x1.101090a11f70ep-15, -0x1.19d10ba820b61p-15, -0x1.2344177cf9e98p-15, -0x1.2c6a38cff95a7p-15, -0x1.3543f4d18b14p-15, -0x1.3dd1d1890b07ap-15, -0x1.46145624053ap-15, -0x1.4e0c0b3e408b1p-15, -0x1.55b97b22ecba2p-15, -0x1.5d1d3207509bp-15, -0x1.6437be3f48777p-15, -0x1.6b09b06be71eep-15, -0x1.71939ba48b10dp-15, -0x1.77d6159aad4b6p-15, -0x1.7dd1b6b8bb2afp-15, -0x1.83871a3c36141p-15, -0x1.88f6de4b682c8p-15, -0x1.8e21a406e4895p-15, -0x1.93080f97185cp-15, -0x1.97aac836243e1p-15, -0x1.9c0a78363969ep-15, -0x1.a027cd04b08fbp-15, -0x1.a403772a1052p-15, -0x1.a79e2a47340c4p-15, -0x1.aaf89d0fc7228p-15, -0x1.ae1389423dec7p-15, -0x1.b0efab9d7e4fcp-15, -0x1.b38dc3d4611d6p-15, -0x1.b5ee947f2f237p-15, -0x1.b812e30b4d7ap-15, -0x1.b9fb77a92fbcdp-15, -0x1.bba91d38c0d5fp-15, -0x1.bd1ca1345b918p-15, -0x1.be56d39a76499p-15, -0x1.bf5886d62387dp-15, -0x1.c0228fa67f089p-15, -0x1.c0b5c5052a11dp-15, -0x1.c113000bec5f8p-15, -0x1.c13b1bd996d5p-15, -0x1.c12ef5763c7bep-15, -0x1.c0ef6bb6dd8f1p-15, -0x1.c07d5f2095dcdp-15, -0x1.bfd9b1cb675c3p-15, -0x1.bf054744ae4a5p-15, -0x1.be0104715a315p-15, -0x1.bccdcf6ff536ep-15, -0x1.bb6c8f7a8ef4cp-15, -0x1.b9de2cc8999fcp-15, -0x1.b8239070c4a9dp-15, -0x1.b63da44aeb909p-15, -0x1.b42d52d219358p-15, -0x1.b1f38706b89b9p-15, -0x1.af912c50f6485p-15, -0x1.ad072e635d73cp-15, -0x1.aa56791dc199dp-15, -0x1.a77ff87075de5p-15, -0x1.a484983fde274p-15, -0x1.a165444864036p-15, -0x1.9e22e802d40d5p-15, -0x1.9abe6e89298d2p-15, -0x1.9738c27bd43e6p-15, -0x1.9392cde77723bp-15, -0x1.8fcd7a2b2a7fcp-15, -0x1.8be9afdf43d5ap-15, -0x1.87e856bca89e3p-15, -0x1.83ca5584afab2p-15, -0x1.7f9091e9952c4p-15, -0x1.7b3bf07782c94p-15, -0x1.76cd547e3136fp-15, -0x1.72459ffb23a47p-15, -0x1.6da5b3847e70bp-15, -0x1.68ee6e347d7c1p-15, -0x1.6420ad95895c7p-15, -0x1.5f3d4d8eece6p-15, -0x1.5a4528522cd46p-15, -0x1.553916490024bp-15, -0x1.5019ee03ec018p-15, -0x1.4ae8842980bb2p-15, -0x1.45a5ab66393d6p-15, -0x1.4052345cfe178p-15, -0x1.3aeeed984652ap-15, -0x1.357ca37bda68fp-15, -0x1.2ffc20373849dp-15, -0x1.2a6e2bb892a66p-15, -0x1.24d38ba06fd9bp-15, -0x1.1f2d0335e2a8ep-15, -0x1.197b535b5fbcap-15, -0x1.13bf3a84278b3p-15, -0x1.0df974aa4c43ap-15, -0x1.082abb45477ap-15, -0x1.0253c541266ddp-15, -0x1.f8ea8dec89f8cp-16, -0x1.ed1fe443321aap-16, -0x1.e148ebbb0ff8dp-16, -0x1.d566fd368ee43p-16, -0x1.c97b6c398e48bp-16, -0x1.bd8786de3b7a7p-16, -0x1.b18c95caf33cap-16, -0x1.a58bdc292317bp-16, -0x1.9986979d26296p-16, -0x1.8d7e003f1b477p-16, -0x1.81734894a4993p-16, -0x1.75679d8b9abfap-16, -0x1.695c26759f5dfp-16, -0x1.5d52050498613p-16, -0x1.514a5547fdb09p-16, -0x1.45462dab01334p-16, -0x1.39469ef38aafbp-16, -0x1.2d4cb441f5807p-16, -0x1.215973119d176p-16, -0x1.156ddb3a23699p-16, -0x1.098ae6f1764ebp-16, -0x1.fb63159d06844p-17, -0x1.e3c56b9945c4cp-17, -0x1.cc3ea29f55caep-17, -0x1.b4d08251445b6p-17, -0x1.9d7cc73635351p-17, -0x1.864522c641748p-17, -0x1.6f2b3b77859bdp-17, -0x1.5830accc4cf41p-17, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      47, 0x1.0cccccccccccdp+2, 0x1.b309e8126d184p+0, 0x1.b8f4de73286c6p+1, -0x1.948c61c7247c4p-1, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.a4e924f227d03p+1, -0x1.bb937fffd2f09p+2, 0x1.78e66666666ap+2, 0x1.84dbfc8fec42ap-1}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.82a30db6a1e82p+1, -0x1.9d30dbf4e21b1p+2, 0x1.7ebb9eab1e702p+2, -0x1.e612fbb3e7203p+1}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.62c679cc74b84p+1, -0x1.7fbd223260a28p+2, 0x1.6191855386549p+2, -0x1.34eb105463818p+1}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.4530164840e17p+1, -0x1.6431d9ecd1d39p+2, 0x1.4f0889776be14p+2, -0x1.5040c2fa86643p+1}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.29be2b4959e62p+1, -0x1.4a32f64ec5d51p+2, 0x1.3adbb0f7bff9fp+2, -0x1.3811e3c18a07ep+1}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.105082cf52b91p+1, -0x1.31c2670ef9c67p+2, 0x1.28224c432d747p+2, -0x1.2977adff469eap+1}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.f1908e581cf78p+0, -0x1.1ac857bfdf2a7p+2, 0x1.164932766bc7p+2, -0x1.1e0f64415d788p+1}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.c61059ea57215p+0, -0x1.0534cd6645f97p+2, 0x1.051f50498a026p+2, -0x1.0e4ac0fb46cf2p+1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.9de84f09528f2p+0, -0x1.e1ee2b58b827p+1, 0x1.e9cf41bc9ae19p+1, -0x1.02c597d188db9p+1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.78e325d4a5df2p+0, -0x1.bbfcd8fe0aa07p+1, 0x1.cac1c91e57421p+1, -0x1.ed3dbf7d25bb1p+0}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.56ce032db1e9fp+0, -0x1.98788d5b25873p+1, 0x1.ad2999ca0831dp+1, -0x1.d17dd2686364bp+0}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.377878b7a1c26p+0, -0x1.77414d55797d5p+1, 0x1.913ba6c3c4caap+1, -0x1.bccaf6e137b4cp+0}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.1ab4a66559f6fp+0, -0x1.583954a7d6a1p+1, 0x1.768ba23122baap+1, -0x1.a7565212c9669p+0}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.0056d5cfaacdap+0, -0x1.3b46bd05d8d6ep+1, 0x1.5d252ca0a6013p+1, -0x1.8ddbc0d3a1691p+0}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.d06af46aa087dp-1, -0x1.204cb04a31bb6p+1, 0x1.454611b2abaep+1, -0x1.7d3aaa9eb2e4bp+0}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.a452a411c2a02p-1, -0x1.07314f6fe41e9p+1, 0x1.2e66639ee8a06p+1, -0x1.653994b1909c6p+0}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.7c1a048e043a2p-1, -0x1.dfb746bd60f2ap+0, 0x1.18f76a0f22827p+1, -0x1.55df029b11c86p+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.577a919695d92p-1, -0x1.b466fb35c3244p+0, 0x1.0474461012154p+1, -0x1.3f4a60e21b268p+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.363150dae3e6dp-1, -0x1.8c431f28ceb6ep+0, 0x1.e297f123ba821p+0, -0x1.30f779dc89fedp+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.17ff36ac64778p-1, -0x1.671e59753dcb1p+0, 0x1.bdff5d656c82p+0, -0x1.1cd7b7abbbfb1p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.f950fc71d6063p-2, -0x1.44ce55bc2f763p+0, 0x1.9bd0ffacf9ca8p+0, -0x1.0fa9a77484725p+0}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.c7e9d94d0dcfdp-2, -0x1.252a2775f8e36p+0, 0x1.7b37852e5a897p+0, -0x1.f9035504688ep-1}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.9b5e95b78cc9ap-2, -0x1.080a1290ca2a1p+0, 0x1.5cea8533358bp+0, -0x1.dc9f5d055129fp-1}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.734b945308bb9p-2, -0x1.da8a372d7b5bep-1, 0x1.405199380297fp+0, -0x1.c47f36e65539dp-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.4f52fc2656abep-2, -0x1.a975fcedeb954p-1, 0x1.252b3ee282999p+0, -0x1.a163c7615a4f5p-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.2f1c3265add9cp-2, -0x1.7c8ead5fa660cp-1, 0x1.0c20238fde75fp+0, -0x1.8df1ab943fc8ap-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.1254a3c64345dp-2, -0x1.53913fa65259p-1, 0x1.e87f6ff977d4p-1, -0x1.6ed58a4db03a4p-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.f15ce9e5e2479p-3, -0x1.2e3f9455b4ec9p-1, 0x1.bc7a4ae5e7cd8p-1, -0x1.56b82b34ed1b5p-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.c3c297bfa4c62p-3, -0x1.0c55cf446335fp-1, 0x1.9359f3cb1307ap-1, -0x1.4649c8dea4e97p-1}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.9b530ced4e4c9p-3, -0x1.db443b9b29b8ap-2, 0x1.6c3260cf13b86p-1, -0x1.2820b1507dec6p-1}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.778ee28672757p-3, -0x1.a3d67eeb7180bp-2, 0x1.48a955c56b026p-1, -0x1.193371df655b2p-1}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.5800a7c5ac472p-3, -0x1.71f39a054c0e1p-2, 0x1.26ead77769162p-1, -0x1.03118731ec4d9p-1}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.3c3a42f1ed17cp-3, -0x1.45407940e77e6p-2, 0x1.07d4421f7fee1p-1, -0x1.d50ce2b1cec6cp-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.23d5fdcdf6988p-3, -0x1.1d4a66c0330b5p-2, 0x1.d75f4a529f5dep-2, -0x1.c5a966d4f106dp-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.0e7685985ad54p-3, -0x1.f38450ba7220fp-3, 0x1.a0eecd57ca1f7p-2, -0x1.944d81fa6c22ep-2}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.f7878b7a1c25dp-4, -0x1.b4b05c89f085fp-3, 0x1.706a9f0689f24p-2, -0x1.792091415c917p-2}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.d6db0dd82fd76p-4, -0x1.7d5cd9956631dp-3, 0x1.432945ea37288p-2, -0x1.5730390022a4p-2}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.ba53b8e4b87bep-4, -0x1.4cf3960290151p-3, 0x1.19fa86c13d3dcp-2, -0x1.3a1e8abe192d7p-2}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.a16a487336588p-4, -0x1.22d9b8aae58d6p-3, 0x1.e891900d2cc26p-3, -0x1.20559c077be79p-2}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.8ba30121682f9p-4, -0x1.fd10e4dc39d52p-4, 0x1.a35e4be26b2f8p-3, -0x1.048b0523ef01bp-2}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.788ca3e7d1351p-4, -0x1.bef8300fef034p-4, 0x1.64d688173c105p-3, -0x1.dafc9ed19aa1bp-3}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.67c06e19b90eap-4, -0x1.8a6f6e2458c17p-4, 0x1.2bd6efe99a25dp-3, -0x1.8af77a71b4597p-3}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.58e219652bd3cp-4, -0x1.5e40aba52177p-4, 0x1.f8e31e9931f87p-4, -0x1.f9257767956a2p-3}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.4b9dc2f405f6cp-4, -0x1.3ab60752995f3p-4, 0x1.7fa6ed761859fp-4, 0x1.9f1ab020107cep-4}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.3fab10ba6267p-4, -0x1.1a06c1197be6bp-4, 0x1.b176ee1dc868fp-4, -0x1.28a1fd1b111f2p+0}, 
        {0x1.8p+1, 0x1.bd70a3d70a3d7p+1, 0x1.34c6e6d9be4cep-4, -0x1.0e216ffa75c8fp-4, -0x1.1024042c5f031p-5, 0x1.22bb82f376283p-5}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.0cccccccccccdp+2, 0x1.47ae147ae147bp-5, -0x1.2c47eff00bf6cp-4, 0x1.2507335a2fddfp-6, -0x1.30d59e7e8c101p-2}, 
      }}, 
      0x1.879a62636c7c9p-1, -0x1.e12b6fc60963cp-2
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_n_zn() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.566f45fe8cf22p-1, 0x1.4a97dea294473p-1, 0x1.3e5963b568f52p-1, 0x1.31d2a0fea42ffp-1, 0x1.251fea95ac346p-1, 0x1.185afaa183558p-1, 0x1.0b9ae3cf47fb9p-1, 0x1.fde84431f675bp-2, 0x1.e4f100f3ab9fcp-2, 0x1.cc6f80d65d6dfp-2, 0x1.b47d5e118a298p-2, 0x1.9d317927ac521p-2, 0x1.869e2ce8a8b71p-2, 0x1.70d23edcdba2bp-2, 0x1.5bd99950a940fp-2, 0x1.47bd20ed338efp-2, 0x1.348333235a38dp-2, 0x1.22309bff25dfap-2, 0x1.10c81279437ebp-2, 0x1.0049b0773f037p-2, 0x1.e167d1443b11p-3, 0x1.c4092c96c5c52p-3, 0x1.a871673a033dep-3, 0x1.8e973211cc832p-3, 0x1.766e27286a619p-3, 0x1.5fe88816c3a4ap-3, 0x1.4af88bcfe70b3p-3, 0x1.379016f20a55ap-3, 0x1.259fa82761939p-3, 0x1.1515cf160cb19p-3, 0x1.05dfca250a354p-3, 0x1.efd57fad7de4dp-4, 0x1.d6495cc5b2decp-4, 0x1.befcb9f30d1b4p-4, 0x1.a9ca3fdd3dfe2p-4, 0x1.968e09e1afdd2p-4, 0x1.8525a8d2d783fp-4, 0x1.756fb405d2264p-4, 0x1.674bd9e3dd4f5p-4, 0x1.5a9ad650ce1dcp-4, 0x1.4f3e67d72dbebp-4, 0x1.45198ba84bf04p-4, 0x1.3c10acc987211p-4, 0x1.3409dc95f59c3p-4, 0x1.2cecbfc60d675p-4, 0x1.26a277b20425cp-4, 0x1.21157b2685a14p-4, 0x1.1c31874d67f0cp-4, 0x1.17e3aac3c32p-4, 0x1.141a5356a082ap-4, 0x1.10c567da392b6p-4, 0x1.0dd6454e02cc7p-4, 0x1.0b3fc0a4c578fp-4, 0x1.08f5f768b1d07p-4, 0x1.06ee2b09a24adp-4, 0x1.051e903888a61p-4, 0x1.037e2ab61a11p-4, 0x1.0204c3c845e56p-4, 0x1.00aaee868f9c1p-4, 0x1.fed430fd4c3a1p-5, 0x1.fc792a5febeaep-5, 0x1.fa3b31aaf86fp-5, 0x1.f81250a11256dp-5, 0x1.f5f7ece93b7a9p-5, 0x1.f3e67abe6ab8p-5, 0x1.f1d93d5e97d95p-5, 0x1.efcc1bbb7d60dp-5, 0x1.edbb8a0a2b7b8p-5, 0x1.eba46d0fefbf9p-5, 0x1.e9843e8c24ba5p-5, 0x1.e758e9985b39dp-5, 0x1.e520e4f9a0711p-5, 0x1.e2db2a65cc9dap-5, 0x1.e0872f8d85041p-5, 0x1.de24ef4bf035fp-5, 0x1.dbb4d7cde20fap-5, 0x1.d937b4d6fbd0ep-5, 0x1.d6c6255b5ca5p-5, 0x1.d42f0032f35afp-5, 0x1.d18eb01eed801p-5, 0x1.cee695ce9fb1bp-5, 0x1.cc38268c514eap-5, 0x1.c984cf70c8b17p-5, 0x1.c6cdff3064409p-5, 0x1.c4152073cfdd1p-5, 0x1.c15b9a57948e6p-5, 0x1.bea2d78a439e9p-5, 0x1.bbec3b8849894p-5, 0x1.b93931ffc5c4cp-5, 0x1.b68b229c2bd0bp-5, 0x1.b3e385aaff187p-5, 0x1.b143bec029ce2p-5, 0x1.aead3bb84c615p-5, 0x1.ac215ef16af14p-5, 0x1.a9a17f5555d01p-5, 0x1.a72ee2b48d51fp-5, 0x1.a4cab5c0bc7c7p-5, 0x1.a27614ce3043ep-5, 0x1.a031f80245484p-5, 0x1.9dff3ac060f5p-5, 0x1.9bde9e90c767bp-5, 0x1.99d0c80fd6c8dp-5, 0x1.97d6415348abp-5, 0x1.95ef7ba19134p-5, 0x1.941cd3e752997p-5, 0x1.925e93e371fbap-5, 0x1.90b4f8e4a81d4p-5, 0x1.8f20286a8120ap-5, 0x1.8da040246e99fp-5, 0x1.8c3553d09f569p-5, 0x1.8adf6091ba36dp-5, 0x1.899e5c2f032c3p-5, 0x1.88722b8fc0dcep-5, 0x1.875aa4b571417p-5, 0x1.86578e68863f6p-5, 0x1.85689f8b14c2ap-5, 0x1.848d7f834ae7fp-5, 0x1.83c5c4f55e1f5p-5, 0x1.8310f744c89dp-5, 0x1.826e91e65b81ap-5, 0x1.81de01d13bc3cp-5, 0x1.815ea5273c0ebp-5, 0x1.80efd2864aef8p-5, 0x1.8090d556d0fb4p-5, 0x1.8040f1c32ee05p-5, 0x1.7fff64f813341p-5, 0x1.7fcb67a94be99p-5, 0x1.7fa42ba914a22p-5, 0x1.7f88e1e54febep-5, 0x1.7f78b52fefbb8p-5, 0x1.7f72d361ee91p-5, 0x1.7f7661086e4cap-5, 0x1.7f8284d848ba5p-5, 0x1.7f96644a180eap-5, 0x1.7fb120fd70cd1p-5, 0x1.7fd1dc8921a79p-5, 0x1.7ff7b86d41b06p-5, 0x1.8021d3f11dcd5p-5, 0x1.804f52a668e04p-5, 0x1.807f53105d6e9p-5, 0x1.80b0f8b8b8792p-5, 0x1.80e3683332431p-5, 0x1.8115c895af93cp-5, 0x1.8147440086aa7p-5, 0x1.8177083ad739ep-5, 0x1.81a4462f7a3d2p-5, 0x1.81ce346dae9eep-5, 0x1.81f40db9d5e5dp-5, 0x1.821510ff0b1fbp-5, 0x1.8230817747e22p-5, 0x1.8245ace4e7dd4p-5, 0x1.8253dd3b5798ep-5, 0x1.825a6ced86e27p-5, 0x1.8258b51906fp-5, 0x1.824e1851cdf83p-5, 0x1.8239fdc3a8cffp-5, 0x1.821bd52619df6p-5, 0x1.81f312862e4a3p-5, 0x1.81bf328cacd07p-5, 0x1.817fb815c4e1p-5, 0x1.81342d15b4ba8p-5, 0x1.80dc22111025fp-5, 0x1.80772de74bdaap-5, 0x1.8004f12695e13p-5, 0x1.7f850c5746545p-5, 0x1.7ef7537366c8ep-5, 0x1.7e5b69d08412p-5, 0x1.7db0ebec90433p-5, 0x1.7cf79608007c2p-5, 0x1.7c2f2b00d2826p-5, 0x1.7b5779e9928c5p-5, 0x1.7a704e3f1921bp-5, 0x1.797981edde0e6p-5, 0x1.7872f28bb4848p-5, 0x1.775c856e47f4ep-5, 0x1.763624458f389p-5, 0x1.74ffc27c97a9ap-5, 0x1.73b9565529473p-5, 0x1.7262de1ea7466p-5, 0x1.70fc5d0111df7p-5, 0x1.6f85dc2870299p-5, 0x1.6dff69003077cp-5, 0x1.6c691a41bb183p-5, 0x1.6ac307d519dfbp-5, 0x1.690d4c386329dp-5, 0x1.67480eb5d9672p-5, 0x1.657374a919119p-5, 0x1.638fac5318de5p-5, 0x1.619ce4036167bp-5, 0x1.5f9b50ff64891p-5, 0x1.5d8b2c366a4f2p-5, 0x1.5b6cb23b19e55p-5, 0x1.594022be13a1dp-5, 0x1.5705c21ee9ab9p-5, 0x1.54bdd78c70892p-5, 0x1.5268acb1ea365p-5, 0x1.500693179fa01p-5, 0x1.4d97d45c1638ep-5, 0x1.4b1cc79fe936fp-5, 0x1.4895c590fe931p-5, 0x1.4603204467a2bp-5, 0x1.43653630c3892p-5, 0x1.40bc62d9df6f3p-5, 0x1.3e0904914e859p-5, 0x1.3b4b7b7e7dfc9p-5, 0x1.38842984fa263p-5, 0x1.35b370edcd94dp-5, 0x1.32d9b6e5eed91p-5, 0x1.2ff7607ccf434p-5, 0x1.2d0cd3dc2c7cbp-5, 0x1.2a1a78214f3e2p-5, 0x1.2720b484f0755p-5, 0x1.241ff2b4193c2p-5, 0x1.211898105f87ap-5, 0x1.1e0b0ff5cb77dp-5, 0x1.1af7c1392e758p-5, 0x1.17df166cc5e07p-5, 0x1.14c174dae4b95p-5, 0x1.119f44c635b08p-5, 0x1.0e78f1005224cp-5, 0x1.0b4edb08e3cffp-5, 0x1.08216cfe43334p-5, 0x1.04f10b3d78c9ap-5, 0x1.01be1946008cep-5, 0x1.fd11f32d58b4ep-6, 0x1.f6a41f4567ef2p-6, 0x1.f03378131797bp-6, 0x1.e9c0bc24ca0b9p-6, 0x1.e34ca7d576d75p-6, 0x1.dcd7f473ba4b4p-6, 0x1.d6635a6f6841dp-6, 0x1.cfef8ab6e5ea3p-6, 0x1.c97d3780efea9p-6, 0x1.c30d088b532d9p-6, 0x1.bc9fab9f0263dp-6, 0x1.b635c304e0079p-6, 0x1.afcff30ec6582p-6, 0x1.a96ed5b36d3a7p-6, 0x1.a31305288f342p-6, 0x1.9cbd18ff39f16p-6, 0x1.966da090034f7p-6, 0x1.90252c7c6d1cep-6, 0x1.89e443f2f9358p-6, 0x1.83ab6af5c4becp-6, 0x1.7d7b23115412dp-6, 0x1.7753e71836c56p-6, 0x1.713631d665acfp-6, 0x1.6b22761011871p-6, 0x1.651923beffe32p-6, 0x1.5f1aa53530f42p-6, 0x1.592762a911e53p-6, 0x1.533fbd23926b5p-6, 0x1.4d6414aab00f3p-6, 0x1.4794c2532c6bap-6, 0x1.41d21cd4243ecp-6, 0x1.3c1c74e5383fep-6, 0x1.367418d277684p-6, 0x1.30d951cbf3f2ep-6, 0x1.2b4c66e7c753p-6, 0x1.25cd95db0fb4ep-6, 0x1.205d1e45e24a5p-6, 0x1.1afb3b36430b3p-6, 0x1.15a81e734d224p-6, 0x1.1063fbba87038p-6, 0x1.0b2f048c08c9fp-6, 0x1.06095dfb97b67p-6, 0x1.00f3328d45fccp-6, 0x1.f7d94815819f2p-7, 0x1.edeba2d8d75f4p-7, 0x1.e41db6c1a532p-7, 0x1.da6fae444f759p-7, 0x1.d0e1b85605c99p-7, 0x1.c773fea6fe6p-7, 0x1.be26945f7964dp-7, 0x1.b4f9a1ed04ccfp-7, 0x1.abed34bcc009ep-7, 0x1.a3015cdae66efp-7, 0x1.9a36246363a31p-7, 0x1.918b897237c5dp-7, 0x1.890195c98f19p-7, 0x1.809837d0514d4p-7, 0x1.784f6b6142f59p-7, 0x1.70271ecf623f8p-7, 0x1.681f3e1710843p-7, 0x1.6037b310bb3e7p-7, 0x1.58705dc383f6cp-7, 0x1.50c92089ae2b7p-7, 0x1.4941d6156dc44p-7, 0x1.41da57340251fp-7, 0x1.3a927a6471188p-7, 0x1.336a0e9547ccfp-7, 0x1.2c60e200365a1p-7, 0x1.2576c5745f828p-7, 0x1.1eab7d7b7296ep-7, 0x1.17fecf33cad3ap-7, 0x1.11707d692aff3p-7, 0x1.0b00494325f65p-7, 0x1.04adf7b458e5ep-7, 0x1.fcf27da51fe23p-8, 0x1.f0c3ac4a625eep-8, 0x1.e4cefa322bcdbp-8, 0x1.d913cde1e032ap-8, 0x1.cd919353a35d9p-8, 0x1.c247aa123096bp-8, 0x1.b7357ece0f079p-8, 0x1.ac5a717e46693p-8, 0x1.a1b5e39f01843p-8, 0x1.97472ba5156ecp-8, 0x1.8d0da3f7d452p-8, 0x1.8308a99f708d1p-8, 0x1.7937957997758p-8, 0x1.6f99b646def43p-8, 0x1.662e68415d3c2p-8, 0x1.5cf4f8532b195p-8, 0x1.53ecc00aa0b76p-8, 0x1.4b1509210ab95p-8, 0x1.426d2545b3bb2p-8, 0x1.39f46a6af9d92p-8, 0x1.31aa220ad4c0ep-8, 0x1.298da32b9c36bp-8, 0x1.219e3e817f4d2p-8, 0x1.19db346dc48dap-8, 0x1.1243ea0507decp-8, 0x1.0ad7986583de5p-8, 0x1.0395a6d69faafp-8, 0x1.f8fab5028cec8p-9, 0x1.eb1c00d54a6d5p-9, 0x1.dd8de67d8daap-9, 0x1.d04f0092c37d4p-9, 0x1.c35dfbcc72d13p-9, 0x1.b6b97e04f0835p-9, 0x1.aa60360ade9b5p-9, 0x1.9e50d2b4e9462p-9, 0x1.9289fa5fda62bp-9, 0x1.870a66c5053efp-9, 0x1.7bd0c9d191a65p-9, 0x1.70dbd6d0b7f53p-9, 0x1.662a53696288fp-9, 0x1.5bbaf324c23c1p-9, 0x1.518c6aae49ed3p-9, 0x1.479d9091d2ec1p-9, 0x1.3e8f8517bd307p-9, 0x1.3516e46eb6c0fp-9, 0x1.2bda04d6eefaap-9, 0x1.22d7ba22c5868p-9, 0x1.1a0ee303986eep-9, 0x1.117e5a0f3e554p-9, 0x1.0925081ebd61dp-9, 0x1.0101cbc76e831p-9, 0x1.f22722ee35ccdp-10, 0x1.e2b2914dd463bp-10, 0x1.d3a3bd7012dfcp-10, 0x1.c4f8a010108d4p-10, 0x1.b6af200254ed4p-10, 0x1.a8c54610202a8p-10, 0x1.9b38fa31824d3p-10, 0x1.8e08594f7d60ap-10, 0x1.81317720bb342p-10, 0x1.74b266e2f2376p-10, 0x1.688940c051838p-10, 0x1.5cb42edf27444p-10, 0x1.5131620957882p-10, 0x1.45ff2435ae576p-10, 0x1.3b1b7fb7ceaf3p-10, 0x1.308500b352901p-10, 0x1.2639b7327c7d9p-10, 0x1.1c380b55443e4p-10, 0x1.127e5eadc6c81p-10, 0x1.090afc6d1a123p-10, 0x1.ffb8bce968fa5p-11, 0x1.ede1f7a44e48fp-11, 0x1.dc8e64939e3f6p-11, 0x1.cbbb2c42aad6p-11, 0x1.bb6524f813753p-11, 0x1.ab896e4e16e11p-11, 0x1.9c254a87c4c72p-11, 0x1.8d35f2e7a043p-11, 0x1.7eb8604820e8ep-11, 0x1.70a9ea9963183p-11, 0x1.63080b1dc09aep-11, 0x1.55d01662fd189p-11, 0x1.48ff8009b8351p-11, 0x1.3c93ba56e2763p-11, 0x1.308a3c16c5e74p-11, 0x1.24e0b2906fb8p-11, 0x1.1994b3acb23dbp-11, 0x1.0ea3ecdf3cf7p-11, 0x1.040c0bddfff0fp-11, 0x1.f395d3e6c71bbp-12, 0x1.dfbc71d730d12p-12, 0x1.cc879ebb17738p-12, 0x1.b9f3638f5111cp-12, 0x1.a7fb80c6d3a6ep-12, 0x1.969bde327c857p-12, 0x1.85d0a94869559p-12, 0x1.7595e6ff001b3p-12, 0x1.65e7b30aa2de4p-12, 0x1.56c27a3024908p-12, 0x1.4822798e64dacp-12, 0x1.3a0427dbf9af2p-12, 0x1.2c642362bfcfdp-12, 0x1.1f3eed444094ep-12, 0x1.1290fb93cceeap-12, 0x1.06572939eb132p-12, 0x1.f51c52cb2a8ep-13, 0x1.de6623418fba8p-13, 0x1.c88470bd2269dp-13, 0x1.b3723bc52c9b4p-13, 0x1.9f286ed84cap-13, 0x1.8ba3585d23989p-13, 0x1.78da603b4a965p-13, 0x1.66c9e8461035cp-13, 0x1.556b83e90259ap-13, 0x1.44ba89f84b3dcp-13, 0x1.34b1458a9998p-13, 0x1.254a9bdf0c56cp-13, 0x1.168170bac6f77p-13, 0x1.08510c68e09f7p-13, 0x1.f5695504f21f9p-14, 0x1.db4e7d68c9015p-14, 0x1.c2485bd2f2b82p-14, 0x1.aa4f51fc15fedp-14, 0x1.935a3ea52fb31p-14, 0x1.7d604746ea7bep-14, 0x1.6859a0c16d08dp-14, 0x1.543dfae664aep-14, 0x1.41063e69c3015p-14, 0x1.2eaa15dc02e43p-14, 0x1.1d225dc49e01fp-14, 0x1.0c68e4f4a403ep-14, 0x1.f8ec742dc609p-15, 0x1.da8389b8e60f7p-15, 0x1.bd90ed98cd3c5p-15, 0x1.a2041674c1c11p-15, 0x1.87d1450551783p-15, 0x1.6eecbd8070518p-15, 0x1.574a43ddb5a63p-15, 0x1.40e02e433421p-15, 0x1.2ba1ff3f55077p-15, 0x1.1785a02ac4452p-15, 0x1.04816386277c7p-15, 0x1.e50f16792283p-16, 0x1.c3283b8f586e1p-16, 0x1.a3354ebe648b6p-16, 0x1.852305f0ca823p-16, 0x1.68dfdfbfe5b3bp-16, 0x1.4e59edb7b5d4cp-16, 0x1.3580ecdc0fd9dp-16, 0x1.1e42f2cca6dd4p-16, 0x1.0891fc7181627p-16, 0x1.e8b5f3abbe564p-17, 0x1.c320ac055447ep-17, 0x1.a04873a2f99d6p-17, 0x1.800e41006ae0cp-17, 0x1.6255cb9bdfd0bp-17, 0x1.4700856131a05p-17, 0x1.2df60d6a6323p-17, 0x1.17225e8d4c2dbp-17, 0x1.026378031a4f8p-17, 0x1.df47dee0d072ep-18, 0x1.bd9c38b52866fp-18, 0x1.9f913bca2ca4p-18, 0x1.850024dd43e1fp-18, 0x1.6da9c2ed05733p-18, 0x1.5988cce69c13ap-18, 0x1.484927cf314a6p-18, 0x1.39f762d2e6fc9p-18, 0x1.2e330c79b73c6p-18, 0x1.25060dc86ee13p-18, 0x1.1e33be9dfe672p-18, 0x1.19a7be98423cap-18, 0x1.1737a81f1c9bfp-18, 0x1.16c6e86aac9cdp-18, 0x1.1831dd902c145p-18, 0x1.1b6214d4c98c4p-18, 0x1.2031adf91ff25p-18, 0x1.268c13f7ea0b1p-18, 0x1.2e66a326d8291p-18, 0x1.3778b5beccd1ap-18, 0x1.41d366bdaf66ap-18, 0x1.4d56e9da611acp-18, 0x1.59dfa3c18d09bp-18, 0x1.6761763d259d2p-18, 0x1.75ceb8bb1a84bp-18, 0x1.8500f8e97109cp-18, 0x1.94ef41d14dd51p-18, 0x1.a5868cb8a010fp-18, 0x1.b6b315424c2aap-18, 0x1.c8653b611f24cp-18, 0x1.da80d935a2594p-18, 0x1.ed196cc2eb1c9p-18, 0x1.fffcbd765502ep-18, 0x1.0989db593ccb8p-17, 0x1.133fc636c6ba3p-17, 0x1.1d060d22c52cfp-17, 0x1.26dcad61acd7bp-17, 0x1.30baf4d05f8b8p-17, 0x1.3a9fac4ccfc5fp-17, 0x1.448312c402c1fp-17, 0x1.4e5d5a5aaaa8p-17, 0x1.582c5c2b682abp-17, 0x1.61ed27cffbea9p-17, 0x1.6b989fe68b828p-17, 0x1.7524afc5a67a8p-17, 0x1.7ea4982b706c7p-17, 0x1.87f475fc5865ep-17, 0x1.9128d3769ba37p-17, 0x1.9a2c5391ef9dcp-17, 0x1.a30e5db977addp-17, 0x1.abc0ffd79a82cp-17, 0x1.b43e684b15a9cp-17, 0x1.bc94867badcdp-17, 0x1.c4ab73271acfdp-17, 0x1.cc8efc5e5c581p-17, 0x1.d43a5540e5486p-17, 0x1.dba6c5153df23p-17, 0x1.e2d9df26c5f52p-17, 0x1.e9cb011122b08p-17, 0x1.f084fcbc17b38p-17, 0x1.f6f4ef4d9975cp-17, 0x1.fd270183738afp-17, 0x1.018b81ee51bcdp-16, 0x1.0462b03b891b5p-16, 0x1.0711c38bb3ddp-16, 0x1.09a434475e0aap-16, 0x1.0c12e5a2e4a79p-16, 0x1.0e5b9ee02cc4bp-16, 0x1.10827fea4fbd9p-16, 0x1.128775d60d9bep-16, 0x1.146835bef1ecfp-16, 0x1.1624332dfd7efp-16, 0x1.17bda71a3eaadp-16, 0x1.19333e5bc5781p-16, 0x1.1a8605d53d27dp-16, 0x1.1bb41b177ea23p-16, 0x1.1cc367885ea09p-16, 0x1.1da7c202b3d95p-16, 0x1.1e6f7edff3342p-16, 0x1.1f16224480d8ep-16, 0x1.1f93e3b54160ap-16, 0x1.1ff6e881b0c4ep-16, 0x1.2033a281e4612p-16, 0x1.2052e16fcd467p-16, 0x1.204f1fa0d6a7p-16, 0x1.202b0ac6872f2p-16, 0x1.1fe8919f5301fp-16, 0x1.1f8472ecef87cp-16, 0x1.1f034491df496p-16, 0x1.1e638e50adc9ep-16, 0x1.1da5ec16f17fap-16, 0x1.1cc71536e939fp-16, 0x1.1bd3a3ae935a1p-16, 0x1.1abb71089be6ap-16, 0x1.198c132354434p-16, 0x1.183fe78b91595p-16, 0x1.16d904e739d9fp-16, 0x1.155824a8acf1fp-16, 0x1.13bcb80725f0cp-16, 0x1.1209eaa0280a8p-16, 0x1.103d7ceda4a15p-16, 0x1.0e59ce6cb6dc3p-16, 0x1.0c5c96a68646p-16, 0x1.0a4cc5a31147fp-16, 0x1.0822f6b395e6p-16, 0x1.05ea555c5cdcfp-16, 0x1.0392409ddd764p-16, 0x1.012fad4105442p-16, 0x1.fd6b5aa6eb058p-17, 0x1.f8554dfbb642cp-17, 0x1.f317051680776p-17, 0x1.edb4e7956f46ep-17, 0x1.e8393bd43816fp-17, 0x1.e29427a86e5e8p-17, 0x1.dcd2679cee72cp-17, 0x1.d6f21d3bc015bp-17, 0x1.d0f4fd22f78bdp-17, 0x1.cad8835e0fe9cp-17, 0x1.c4a93231dff23p-17, 0x1.be56783adb0d1p-17, 0x1.b7f206677eef1p-17, 0x1.b1724ffd27019p-17, 0x1.aadc3331c19e1p-17, 0x1.a4392cdfbea37p-17, 0x1.9d72d47a02d4bp-17, 0x1.96b0a385a17b7p-17, 0x1.8fc9fbd04305cp-17, 0x1.88d915a4d54e2p-17, 0x1.81d715124770fp-17, 0x1.7aca7e900184ap-17, 0x1.73ab75f8f18c9p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.600bb8c049378p-1, 0x1.555483fd42c67p-1, 0x1.4a0f79dea0228p-1, 0x1.3e5331ad79f46p-1, 0x1.3235543495052p-1, 0x1.25ca6ae3fc872p-1, 0x1.1925c28f4744fp-1, 0x1.0c594e3cef26ap-1, 0x1.feeb59c4fa61ep-2, 0x1.e514257e63a6bp-2, 0x1.cb48ab647edc5p-2, 0x1.b1a227b09a14ap-2, 0x1.9836f9acbf522p-2, 0x1.7f1b4ee803dc3p-2, 0x1.6660fdf01abccp-2, 0x1.4e17ac519f67fp-2, 0x1.364d041cd22c1p-2, 0x1.1f0cd8534b771p-2, 0x1.0861389ed77ddp-2, 0x1.e4a5408aba783p-3, 0x1.b9d045e102376p-3, 0x1.904ef3ed569f3p-3, 0x1.682a1af913fd6p-3, 0x1.4168318a369eep-3, 0x1.1c0daf12c4273p-3, 0x1.f03a8ac018f9p-4, 0x1.ab2fe6436afeap-4, 0x1.68fa188353ebep-4, 0x1.2994c821e8bap-4, 0x1.d9f217700e0b5p-5, 0x1.663b7fe57515ep-5, 0x1.efe00b317d651p-6, 0x1.1ded69bef60d9p-6, 0x1.59a15d1ce0526p-8, -0x1.9bc78bf2465f4p-8, -0x1.1a624ebbc6ce2p-6, -0x1.c42f5541ff11ep-6, -0x1.32512fd4119c4p-5, -0x1.7e0399659bb87p-5, -0x1.c555abc4bf8ffp-5, -0x1.043764c0224e7p-4, -0x1.23bb56c651c0ep-4, -0x1.414a99898c593p-4, -0x1.5cf91021b5d92p-4, -0x1.76da807058806p-4, -0x1.8f0281764c38bp-4, -0x1.a58469302b4bdp-4, -0x1.ba733a1296438p-4, -0x1.cde192358fca4p-4, -0x1.dfe19cfb47f9ap-4, -0x1.f0850eb0567eep-4, -0x1.ffdd1f66d6442p-4, -0x1.06fd40de0b589p-3, -0x1.0d76b02185d8ep-3, -0x1.1362abccfd82ep-3, -0x1.18c8b9e3c90eap-3, -0x1.1db01547d0ffep-3, -0x1.221fb4c1827fep-3, -0x1.261e41e0c3705p-3, -0x1.29b21e51431ffp-3, -0x1.2ce1623c1f916p-3, -0x1.2fb1dd8dd375bp-3, -0x1.32291ac61a651p-3, -0x1.344c5f1e13a7fp-3, -0x1.3620b2c3b937bp-3, -0x1.37aadbb7499ffp-3, -0x1.38ef64b568b74p-3, -0x1.39f29c54d027bp-3, -0x1.3ab896a06f5cp-3, -0x1.3b452e08903cap-3, -0x1.3b9c06a9e361cp-3, -0x1.3bc08f3bc8fa9p-3, -0x1.3bb6073ebe3a7p-3, -0x1.3b7f7cf69c8a3p-3, -0x1.3b1fd2bc657bcp-3, -0x1.3a99c10738464p-3, -0x1.39efd7ae5965p-3, -0x1.3924716dd3ee6p-3, -0x1.3839e0ca4906fp-3, -0x1.37324cd94664bp-3, -0x1.360fb4fd9f7cp-3, -0x1.34d3f89968b2p-3, -0x1.3380d9e4bd715p-3, -0x1.3217fea9f9294p-3, -0x1.309af07cbd5e3p-3, -0x1.2f0b22d6811e4p-3, -0x1.2d69eee77beaep-3, -0x1.2bb899793aa65p-3, -0x1.29f85161cadc6p-3, -0x1.282a323722241p-3, -0x1.264f442ba5097p-3, -0x1.24687f0a5570ap-3, -0x1.2276c8f111773p-3, -0x1.207af90fa6de7p-3, -0x1.1e75d8f71c33p-3, -0x1.1c68229050018p-3, -0x1.1a5284a76d57ep-3, -0x1.1835a11f03386p-3, -0x1.16120f72f3554p-3, -0x1.13e85c9a84ab3p-3, -0x1.11b90c13109f5p-3, -0x1.0f84985a1783bp-3, -0x1.0d4b748f522c7p-3, -0x1.0b0e084c547bfp-3, -0x1.08ccb9e18ecbap-3, -0x1.0687e4401f37dp-3, -0x1.043fde3c039c5p-3, -0x1.01f4f83ca7cb1p-3, -0x1.ff4efc31dc46bp-4, -0x1.faaf6abf17996p-4, -0x1.f60bc221ac333p-4, -0x1.f1647c4ea5985p-4, -0x1.ecba0d6e163cp-4, -0x1.e80ce21676cf4p-4, -0x1.e35d60ffb49f5p-4, -0x1.deabea9cb114ep-4, -0x1.d9f8d93a58686p-4, -0x1.d54483076969p-4, -0x1.d08f3a609d257p-4, -0x1.cbd94b93bea0ap-4, -0x1.c723009bfcf4ep-4, -0x1.c26c9fa55f147p-4, -0x1.bdb66c554031dp-4, -0x1.b900a6eab80ep-4, -0x1.b44b8d4310df8p-4, -0x1.af975afaea466p-4, -0x1.aae44a3237f85p-4, -0x1.a63291cc821b5p-4, -0x1.a1826902525dfp-4, -0x1.9cd403fb64a1cp-4, -0x1.98279622cda85p-4, -0x1.937d519a205f1p-4, -0x1.8ed567e3c264ap-4, -0x1.8a30082547f05p-4, -0x1.858d626ddad2fp-4, -0x1.80eda5be930bbp-4, -0x1.7c50ff48acd11p-4, -0x1.77b79cd53c388p-4, -0x1.7321aac0c2926p-4, -0x1.6e8f55e78a07cp-4, -0x1.6a00c9e0f91f7p-4, -0x1.6576326c9457bp-4, -0x1.60efba5a90732p-4, -0x1.5c6d8c4d96fcp-4, -0x1.57efd25beab6cp-4, -0x1.5376b6bf44adcp-4, -0x1.4f0262a67acb3p-4, -0x1.4a92ff1e771e7p-4, -0x1.4628b4988852p-4, -0x1.41c3abda94b17p-4, -0x1.3d640c7546662p-4, -0x1.3909fe16be12bp-4, -0x1.34b5a755297acp-4, -0x1.30672f4192ec7p-4, -0x1.2c1ebba99a9b2p-4, -0x1.27dc727f3bdf6p-4, -0x1.23a078beaf4fbp-4, -0x1.1f6af28975197p-4, -0x1.1b3c05854ba2dp-4, -0x1.1713d4372e9d1p-4, -0x1.12f280d16397dp-4, -0x1.0ed82ef90b2eap-4, -0x1.0ac4ff8cc4aeep-4, -0x1.06b9140c7fa5ap-4, -0x1.02b48c77f90e4p-4, -0x1.fd6f136ea80cfp-5, -0x1.f58450b7fe8f2p-5, -0x1.eda90f78d6adap-5, -0x1.e5dd89fc28d37p-5, -0x1.de21fa816628p-5, -0x1.d6769708da082p-5, -0x1.cedb96a4fa4dfp-5, -0x1.c7512cafcdb3bp-5, -0x1.bfd78c417c7d3p-5, -0x1.b86ee535cc2a5p-5, -0x1.b117685b75ff2p-5, -0x1.a9d140c28885ep-5, -0x1.a29c9b22bb2aep-5, -0x1.9b799e3ca9d04p-5, -0x1.9468741d225e3p-5, -0x1.8d694112ee6f6p-5, -0x1.867c2943d2d7fp-5, -0x1.7fa14dc7afd32p-5, -0x1.78d8cf4105ce1p-5, -0x1.7222c9b29723bp-5, -0x1.6b7f59e886534p-5, -0x1.64ee993b5e964p-5, -0x1.5e709fb8e7083p-5, -0x1.5805822ce1cb4p-5, -0x1.51ad551ee7516p-5, -0x1.4b6829d6c2994p-5, -0x1.45360fd867e5dp-5, -0x1.3f1715f3013fbp-5, -0x1.390b4685a7b8fp-5, -0x1.3312ac17d1afcp-5, -0x1.2d2d4e627f346p-5, -0x1.275b32a035ee9p-5, -0x1.219c5d9f1c4b6p-5, -0x1.1bf0d12d285bp-5, -0x1.16588d30a2104p-5, -0x1.10d3905a92c54p-5, -0x1.0b61d6e7788c1p-5, -0x1.06035b91e9065p-5, -0x1.00b81738a3348p-5, -0x1.f70001f72ab0ap-6, -0x1.ecb61d1e064c1p-6, -0x1.e29265734cf41p-6, -0x1.d894c1fc7314ep-6, -0x1.cebd0f5ba2e96p-6, -0x1.c50b2ebd40476p-6, -0x1.bb7ef965aabbbp-6, -0x1.b21847b931727p-6, -0x1.a8d6eaf693909p-6, -0x1.9fbab88733cefp-6, -0x1.96c37b99c2c39p-6, -0x1.8df10303e50a6p-6, -0x1.8543154d5e6bp-6, -0x1.7cb97c158bfdfp-6, -0x1.7453fa136dba3p-6, -0x1.6c124f8a2ff87p-6, -0x1.63f43e76441fap-6, -0x1.5bf982294e3dep-6, -0x1.5421d5566934fp-6, -0x1.4c6cf248d25e1p-6, -0x1.44da8d38e3b71p-6, -0x1.3d6a5f75e2629p-6, -0x1.361c184985c3dp-6, -0x1.2eef6911ca93p-6, -0x1.27e40423af972p-6, -0x1.20f9946546d91p-6, -0x1.1a2fca0c62437p-6, -0x1.13864b67fc4e3p-6, -0x1.0cfcc41d4719bp-6, -0x1.0692e05a90b43p-6, -0x1.00484346abf54p-6, -0x1.f439292004f2fp-7, -0x1.e81eef37aa7dp-7, -0x1.dc41272f149dfp-7, -0x1.d09f1578ff883p-7, -0x1.c537fdd51399fp-7, -0x1.ba0b24b27331p-7, -0x1.af17d095921b5p-7, -0x1.a45d3c0142ed8p-7, -0x1.99daaca68ca29p-7, -0x1.8f8f611205fd6p-7, -0x1.857a93fb4155ap-7, -0x1.7b9b8ec49f054p-7, -0x1.71f18463f28b8p-7, -0x1.687bb3480279bp-7, -0x1.5f396196b7fd6p-7, -0x1.5629c6dd26f76p-7, -0x1.4d4c1a01c7615p-7, -0x1.449fa0b25c173p-7, -0x1.3c2398655d0b7p-7, -0x1.33d73d23fbd6fp-7, -0x1.2bb9c9079b274p-7, -0x1.23ca863d37ff8p-7, -0x1.1c08ac254185ep-7, -0x1.14737caf2eb59p-7, -0x1.0d0a3bd46f6f2p-7, -0x1.05cc2657d963bp-7, -0x1.fd7109676dd02p-8, -0x1.ef9d34143597cp-8, -0x1.e21b57154917cp-8, -0x1.d4ea0094cd4abp-8, -0x1.c807c32aea8c5p-8, -0x1.bb73297399b3p-8, -0x1.af2ad19664434p-8, -0x1.a32d50e7d7487p-8, -0x1.977948cf68f89p-8, -0x1.8c0d52fa3a657p-8, -0x1.80e812cefdc83p-8, -0x1.760832b44446ep-8, -0x1.6b6c530a826e9p-8, -0x1.611324d3d402dp-8, -0x1.56fb5c4b5a16ap-8, -0x1.4d23af0969e91p-8, -0x1.438ad1066ca69p-8, -0x1.3a2f7d32a86ccp-8, -0x1.311078583429dp-8, -0x1.282c85ce19ffdp-8, -0x1.1f826a194db77p-8, -0x1.1710f438bc1eep-8, -0x1.0ed6f4c486475p-8, -0x1.06d341218fe6p-8, -0x1.fe09569adf107p-9, -0x1.eed42434e35a7p-9, -0x1.e004c9d30c6ccp-9, -0x1.d198efba68166p-9, -0x1.c38e6de9976cep-9, -0x1.b5e31c11d7ap-9, -0x1.a89503d2e9ce8p-9, -0x1.9ba1eefffae2ap-9, -0x1.8f07cd2238f18p-9, -0x1.82c4a9c2d05e6p-9, -0x1.76d6930b13b49p-9, -0x1.6b3b7c90b9207p-9, -0x1.5ff18f9a3940dp-9, -0x1.54f6e7f0fb981p-9, -0x1.4a49b5298e994p-9, -0x1.3fe81f0d0719ap-9, -0x1.35d061b2b771fp-9, -0x1.2c00a1872ca36p-9, -0x1.227752c84c484p-9, -0x1.1932a9b758809p-9, -0x1.103105b10ac27p-9, -0x1.0770d04cabcp-9, -0x1.fde0d37c04204p-10, -0x1.ed5c7f0532ee9p-10, -0x1.dd519d311460fp-10, -0x1.cdbd0e825185fp-10, -0x1.be9c1b2d1028p-10, -0x1.afeba5f54e374p-10, -0x1.a1a901d9dda6dp-10, -0x1.93d1719af15f5p-10, -0x1.86620b570749cp-10, -0x1.795837473e6a2p-10, -0x1.6cb17b2b0e719p-10, -0x1.606b36ac48645p-10, -0x1.5482f8c78183bp-10, -0x1.48f62f8fec3b1p-10, -0x1.3dc2792013861p-10, -0x1.32e5cfc896a97p-10, -0x1.285d94cc7aa42p-10, -0x1.1e27a2eb23d02p-10, -0x1.1441b6a37943cp-10, -0x1.0aa9c9d38531dp-10, -0x1.015dba6e7e00bp-10, -0x1.f0b7117c87f52p-11, -0x1.df424a79773e2p-11, -0x1.ce592cf5fedddp-11, -0x1.bdf808f076414p-11, -0x1.ae1ad52bd20e6p-11, -0x1.9ebec211b22c4p-11, -0x1.8fdf666d2a2b2p-11, -0x1.8179936b26ef9p-11, -0x1.738a0a797ef2p-11, -0x1.660d3f53d9292p-11, -0x1.5900077e4f1cap-11, -0x1.4c5f091295fb3p-11, -0x1.40279b5a42d79p-11, -0x1.3483278695226p-11, -0x1.2912d154c5383p-11, -0x1.1e030a00589p-11, -0x1.1351164d24272p-11, -0x1.08fa3fee7fdd2p-11, -0x1.fdf73865618cfp-12, -0x1.eaa6e5d8bf131p-12, -0x1.d7fcbb98e7eb6p-12, -0x1.c5f467bda1174p-12, -0x1.b4893e5734fb2p-12, -0x1.a3b71e92859b6p-12, -0x1.93783e2f5fd75p-12, -0x1.83c87794df281p-12, -0x1.74a4b16085248p-12, -0x1.66079752439d5p-12, -0x1.57ee07a2fdebep-12, -0x1.4a52f3c1f8f95p-12, -0x1.3d32ea01dbb9ap-12, -0x1.308a65fc682e2p-12, -0x1.2455e9702c8fbp-12, -0x1.189149b08e66fp-12, -0x1.0d38ef412afa7p-12, -0x1.024983fbd4266p-12, -0x1.ef8289f517ca1p-13, -0x1.db3690b141ea8p-13, -0x1.c7a9bf6d37bb5p-13, -0x1.b4d608171f006p-13, -0x1.a2b5ee347bc6ap-13, -0x1.9143822e7855ep-13, -0x1.8078aef31a0c9p-13, -0x1.70501f4ea26b5p-13, -0x1.60c564da1eb1p-13, -0x1.51d2b83a97c16p-13, -0x1.4373588b83e0dp-13, -0x1.35a22605ec89fp-13, -0x1.285a723475851p-13, -0x1.1b97eaf5f7876p-13, -0x1.0f55eebca2cep-13, -0x1.03904bd10a4bap-13, -0x1.f0850746731b2p-14, -0x1.dad1b06d99548p-14, -0x1.c5fe5b9f9f4aep-14, -0x1.b20351a29f8ap-14, -0x1.9ed9327f70471p-14, -0x1.8c78a6632bf83p-14, -0x1.7adc6477d4991p-14, -0x1.69fa481c5f8c8p-14, -0x1.59cbd063f40cdp-14, -0x1.4a4d82d9507fcp-14, -0x1.3b76a68ba8a87p-14, -0x1.2d430fe5065a2p-14, -0x1.1fabe51abbc4ep-14, -0x1.12ad28077b7dbp-14, -0x1.063e8ba84437p-14, -0x1.f4b423b8e672cp-15, -0x1.ddfadf482a3fcp-15, -0x1.c84606a263acfp-15, -0x1.b38a136530742p-15, -0x1.9fc22a20da50ap-15, -0x1.8cddfd1ffb0efp-15, -0x1.7ad6d3b837c64p-15, -0x1.69a71518bafbep-15, -0x1.5944cc9fd6d04p-15, -0x1.49a7f44bced7fp-15, -0x1.3ac72a65cd44ap-15, -0x1.2c9f8f4b16685p-15, -0x1.1f2635d6eececp-15, -0x1.124e871a098f6p-15, -0x1.06206e7efed7p-15, -0x1.f513dd56a6442p-16, -0x1.df0ccccca2f18p-16, -0x1.ca2106b9aacbep-16, -0x1.b6481510d58e1p-16, -0x1.a36fc91e5e58p-16, -0x1.919204afe98d7p-16, -0x1.80a293fcc4f03p-16, -0x1.709abcdd3bccfp-16, -0x1.616d67171fdc1p-16, -0x1.5307f9beb93c5p-16, -0x1.456c4fe9c84c7p-16, -0x1.3890873fad63dp-16, -0x1.2c6c392f9bd5ep-16, -0x1.20f3c2be764f2p-16, -0x1.161f8cb8498a3p-16, -0x1.0be9d0bb0d40dp-16, -0x1.024fc3499367p-16, -0x1.f27d5f1c89591p-17, -0x1.e160234b66321p-17, -0x1.d15606044baa3p-17, -0x1.c2413ec4b0c7ep-17, -0x1.b405c323d6b3dp-17, -0x1.a6b592e15c004p-17, -0x1.9a35647eba34p-17, -0x1.8e7e297aafd7ap-17, -0x1.837bf728027ccp-17, -0x1.7930b73ec2d2p-17, -0x1.6f9834ed2b229p-17, -0x1.6696b70d3fdebp-17, -0x1.5e2cfdb4d14a9p-17, -0x1.565649a882a4dp-17, -0x1.4ef043badcb37p-17, -0x1.481f1e782acbbp-17, -0x1.41c6daed869adp-17, -0x1.3bd0c08a2a223p-17, -0x1.36476c4b2ad06p-17, -0x1.311e9b5bd2971p-17, -0x1.2c53b13cc32b2p-17, -0x1.27dd2a9ddaf6dp-17, -0x1.23ae9cb36e45ap-17, -0x1.1fd370bdaaceep-17, -0x1.1c3994c8d6e3cp-17, -0x1.18de5f20006dfp-17, -0x1.15bfd3ba4091fp-17, -0x1.12d2b82236a38p-17, -0x1.101d8eb0a8824p-17, -0x1.0d8f3bab1271ep-17, -0x1.0b30c6c767113p-17, -0x1.08f35605c9fb6p-17, -0x1.06d9894f35eaap-17, -0x1.04de7b481ecf6p-17, -0x1.02feeacbb400dp-17, -0x1.01400261104b6p-17, -0x1.ff03eb3ce0262p-18, -0x1.fbd246012cf32p-18, -0x1.f8a3aa26e2a14p-18, -0x1.f5c244f038055p-18, -0x1.f2be853f9fbf4p-18, -0x1.eff68b8dfb3cbp-18, -0x1.ed2679f1bf93bp-18, -0x1.ea6eac4d68b35p-18, -0x1.e7b9b0fb21e0dp-18, -0x1.e50d028255736p-18, -0x1.e25d7c3761af1p-18, -0x1.dfa44a06465c3p-18, -0x1.dcedffbd175d8p-18, -0x1.da2a0f0f22993p-18, -0x1.d77070bb11b4dp-18, -0x1.d49aa712b1266p-18, -0x1.d1a8bbe163fe9p-18, -0x1.cecc99b9aa40ep-18, -0x1.cbc35dab10da9p-18, -0x1.c8b4c2d92825ep-18, -0x1.c5945942c973dp-18, -0x1.c255936ab4a2dp-18, -0x1.bf053c9f99858p-18, -0x1.bb9e13c245618p-18, -0x1.b81f2d93b911fp-18, -0x1.b488e49fd1342p-18, -0x1.b0d78650acd53p-18, -0x1.ad1071782aa8dp-18, -0x1.a929cd95005bcp-18, -0x1.a529f676772cep-18, -0x1.a11a4ddf1552dp-18, -0x1.9cea6040eb1ffp-18, -0x1.98a2d5dcecf0dp-18, -0x1.9431818443c39p-18, -0x1.8fb6fdd2ddb36p-18, -0x1.8b225eba372ddp-18, -0x1.8675dfe9ecbc6p-18, -0x1.819b495485627p-18, -0x1.7cb3320cb524bp-18, -0x1.77afe459d319p-18, -0x1.7297d9b57a15dp-18, -0x1.6d7151e9ac1a4p-18, -0x1.68223caa29c5dp-18, -0x1.62ccf4cb43e4ep-18, -0x1.5d4420ec5ea29p-18, -0x1.57c46b5adfa22p-18, -0x1.52205f94720cap-18, -0x1.4c6e849b1f7fbp-18, -0x1.46a142c94c232p-18, -0x1.40c73245b0a71p-18, -0x1.3adbc78a5f552p-18, -0x1.34db445463b7p-18, -0x1.2ec88923f89bcp-18, -0x1.28a84f1a5af99p-18, -0x1.2277061f492ep-18, -0x1.1c3d7a16eeb77p-18, -0x1.15e9a410c357fp-18, -0x1.0f99470bb16fbp-18, -0x1.0932e2d62d807p-18, -0x1.02c8c78414a69p-18, -0x1.f8903604a3277p-19, -0x1.eb91f06861e86p-19, -0x1.de7acc8645153p-19, -0x1.d151766881dfcp-19, -0x1.c42b2ff025795p-19, -0x1.b6d69d57973a6p-19, -0x1.a9953ec8d069cp-19, -0x1.9c43a295cb5cfp-19, -0x1.8eea428ab611cp-19, -0x1.818cb0eb982c9p-19, -0x1.742616fbc4169p-19, -0x1.66c9a454a6ef6p-19, -0x1.5969d922edcacp-19, -0x1.4bea1bd6b840cp-19, -0x1.3e9c4ade1b32p-19, -0x1.314477895a148p-19, -0x1.23e0574ed143fp-19, -0x1.1698647fe131dp-19, -0x1.0954a256ae57dp-19, -0x1.f8191ad4634fep-20, -0x1.ddbd39ecbd32ep-20, -0x1.c37523757113dp-20, -0x1.a9402c85651f1p-20, -0x1.8f2a753ef030fp-20, -0x1.75448ee7fe193p-20, -0x1.5b79997b17a5ep-20, -0x1.41cc7ce80ff85p-20, -0x1.2867357e1a704p-20, -0x1.0ef603413abd8p-20, -0x1.eb91e6c590c35p-21, -0x1.ba23c32e766b1p-21, -0x1.885418f19595dp-21, -0x1.572833cbc68c1p-21, -0x1.26a52acbdf844p-21, -0x1.ec76a36710f94p-22, -0x1.8d354aed5d191p-22, -0x1.2e059fa40d324p-22, -0x1.a071c08ecc29bp-23, -0x1.cf41b29a60752p-24, -0x1.7f35961dbca45p-26, 0x1.0ae1e7a6eededp-24, 0x1.3937e70e2a49ep-23, 0x1.ea4973cdfa0b3p-23, 0x1.4c8ea28b87c4ep-22, 0x1.a2fe65e37500fp-22, 0x1.f8531f793b54p-22, 0x1.2625c95af4955p-21, 0x1.4f45aa11129acp-21, 0x1.78c5272c7c52fp-21, 0x1.a0d4d17c0f665p-21, 0x1.c875b162e9f8fp-21, 0x1.ef1673fa1412p-21, 0x1.0accef76fc57ep-20, 0x1.1dd75b96f0532p-20, 0x1.30500889923eap-20, 0x1.429cc9b961122p-20, 0x1.54930ae2eda0fp-20, 0x1.661704b10ec56p-20, 0x1.775231bac1f65p-20, 0x1.886efd675daacp-20, 0x1.98f8fd16a5f6dp-20, 0x1.a933fb0a4b785p-20, 0x1.b92b438ee0e9p-20, 0x1.c8ce73ed20f45p-20, 0x1.d809a4e1f6f25p-20, 0x1.e6fcca8401bp-20, 0x1.f5931528bd937p-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.85a63faaa5241p-1, 0x1.81bdf99ace665p-1, 0x1.7d9181d9a1176p-1, 0x1.792689c87a011p-1, 0x1.7482b74e7f341p-1, 0x1.6fab96552d121p-1, 0x1.6aa68f2bce29dp-1, 0x1.6578dc272ab88p-1, 0x1.602783dae4efcp-1, 0x1.5ab753a581f38p-1, 0x1.552cddd952943p-1, 0x1.4f8c7617932ecp-1, 0x1.49da30a27313ap-1, 0x1.4419e32eecaf6p-1, 0x1.3e4f247f5822bp-1, 0x1.387d4f6b78b1ep-1, 0x1.32a781d085b6ep-1, 0x1.2cd0a0c4b45a4p-1, 0x1.26fb590e66cd8p-1, 0x1.212a230e11c9fp-1, 0x1.1b5f43d9a2151p-1, 0x1.159cd12c27f5dp-1, 0x1.0fe4b05d92b25p-1, 0x1.0a389ca33753ep-1, 0x1.049a281680fbcp-1, 0x1.fe1578e136566p-2, 0x1.f3173e790c2e5p-2, 0x1.e83be4815d2f3p-2, 0x1.dd856e5af1ad6p-2, 0x1.d2f5a083758c4p-2, 0x1.c88e073318e71p-2, 0x1.be4ff89bcfd12p-2, 0x1.b43c964ab2319p-2, 0x1.aa54d29676b16p-2, 0x1.a09976f1f39e2p-2, 0x1.970b21b07f96dp-2, 0x1.8daa4c44820f3p-2, 0x1.84774c680cf1bp-2, 0x1.7b72590c76a97p-2, 0x1.729b8a7bd57c6p-2, 0x1.69f2de7bfa361p-2, 0x1.61783a60841e6p-2, 0x1.592b6b2154c8ap-2, 0x1.510c2cf1d9967p-2, 0x1.491a2625e4314p-2, 0x1.4154ee1bbb6dfp-2, 0x1.39bc0d3fd45b5p-2, 0x1.324efe8c5ed89p-2, 0x1.2b0d323403079p-2, 0x1.23f60d156a6eap-2, 0x1.1d08eb57145aap-2, 0x1.164521fdce54cp-2, 0x1.0fa9ff8a45426p-2, 0x1.0936ccd2261abp-2, 0x1.02eace4a0c2fcp-2, 0x1.f98a89b238b84p-3, 0x1.ed8add3ee86a2p-3, 0x1.e1d50e085323ep-3, 0x1.d66792de958eep-3, 0x1.cb40e0579aed1p-3, 0x1.c05f6b3c8b3cp-3, 0x1.b5c1a71f55392p-3, 0x1.ab660a1499ac3p-3, 0x1.a14b0e6751f22p-3, 0x1.976f2ebd6481fp-3, 0x1.8dd0ec289205fp-3, 0x1.846ecb11cbc17p-3, 0x1.7b4757ac8a184p-3, 0x1.72591ced94c99p-3, 0x1.69a2b4415d7cp-3, 0x1.6122b5cfb459ap-3, 0x1.58d7c33d0a838p-3, 0x1.50c0840a1a97p-3, 0x1.48dba72ba708fp-3, 0x1.4127e1b7ccd14p-3, 0x1.39a3f2f9bc2d8p-3, 0x1.324e9d44834b6p-3, 0x1.2b26ad227bd88p-3, 0x1.242af2fb2d5a4p-3, 0x1.1d5a4a18a467ep-3, 0x1.16b390559ac47p-3, 0x1.1035b051f1971p-3, 0x1.09df9756187b5p-3, 0x1.03b03b952dbb3p-3, 0x1.fb4d3523d1f16p-4, 0x1.ef836e9e9b14dp-4, 0x1.e40138ff527b2p-4, 0x1.d8c4b6fa8dfdbp-4, 0x1.cdcc16cdff82p-4, 0x1.c315916653dbfp-4, 0x1.b89f78ef5e149p-4, 0x1.ae6818f47a6dcp-4, 0x1.a46dd644145d7p-4, 0x1.9aaf1cd5cb0f4p-4, 0x1.912a6431735b3p-4, 0x1.87de30c51e8b1p-4, 0x1.7ec90f430e6afp-4, 0x1.75e99b07d09a4p-4, 0x1.6d3e76b04b7acp-4, 0x1.64c64d6b7eba6p-4, 0x1.5c7fd73e17488p-4, 0x1.5469d53eb7662p-4, 0x1.4c8310774bc9fp-4, 0x1.44ca5f1ec048fp-4, 0x1.3d3e9937fa045p-4, 0x1.35dea438c72cp-4, 0x1.2ea96f4507c6ep-4, 0x1.279de9efb1faap-4, 0x1.20bb107de0ca5p-4, 0x1.19ffec724e3e6p-4, 0x1.136b824680cdep-4, 0x1.0cfce71f4e69fp-4, 0x1.06b332fecb0c1p-4, 0x1.008d854000141p-4, 0x1.f51606e5b2e3bp-5, 0x1.e955b32bf5c1ep-5, 0x1.ddd874c5bf4dap-5, 0x1.d29cb7ec41296p-5, 0x1.c7a0f657ad31cp-5, 0x1.bce3b95facbb2p-5, 0x1.b263914b8e4dp-5, 0x1.a81f14b4b8bafp-5, 0x1.9e14e8f22fd5fp-5, 0x1.9443baa20bdffp-5, 0x1.8aaa4093c9428p-5, 0x1.814739d88b3b9p-5, 0x1.78196f8cc33f9p-5, 0x1.6f1fb08919727p-5, 0x1.6658d5cb141fap-5, 0x1.5dc3bc70ef14bp-5, 0x1.555f52bcafddep-5, 0x1.4d2a812e34ad5p-5, 0x1.45243dd793697p-5, 0x1.3d4b891462dfcp-5, 0x1.359f62fde7a5ap-5, 0x1.2e1ed32d5bcebp-5, 0x1.26c8ec225f67ep-5, 0x1.1f9cc0676c4c6p-5, 0x1.189970d0d7ff7p-5, 0x1.11be1877f1ad4p-5, 0x1.0b09dedf92e08p-5, 0x1.047befa72b77cp-5, 0x1.fc26f63e57afcp-6, 0x1.ef9f6c797f528p-6, 0x1.e35fb7090c217p-6, 0x1.d766502688b09p-6, 0x1.cbb1c06f8ec82p-6, 0x1.c040962f0a4b9p-6, 0x1.b51167b63a42fp-6, 0x1.aa22ce47fb79bp-6, 0x1.9f737ed76a806p-6, 0x1.950211d94a5a8p-6, 0x1.8acd50ea05021p-6, 0x1.80d3ef2f4ca5ep-6, 0x1.7714b3dcf886dp-6, 0x1.6d8e685d398cp-6, 0x1.643fdd5737d5ap-6, 0x1.5b27ed95780cdp-6, 0x1.52456fdf4843ap-6, 0x1.49974c52fc52dp-6, 0x1.411c6feb2b3b4p-6, 0x1.38d3c52712615p-6, 0x1.30bc40f9dcc68p-6, 0x1.28d4e4d61bdd9p-6, 0x1.211ca0b74d9fap-6, 0x1.199283b4836dbp-6, 0x1.12359f38da3e9p-6, 0x1.0b04f75a7ea23p-6, 0x1.03ff9e6955773p-6, 0x1.fa49556ab59fp-7, 0x1.ece696fdddc9fp-7, 0x1.dfd51af025f7p-7, 0x1.d3133ae072bc5p-7, 0x1.c69f47df64aeap-7, 0x1.ba77a43ee8eb8p-7, 0x1.ae9aa21f8d039p-7, 0x1.a306be6ba09d8p-7, 0x1.97ba6265f2b29p-7, 0x1.8cb4147db9f9dp-7, 0x1.81f24b255ab69p-7, 0x1.7773958e4bc45p-7, 0x1.6d36792d42007p-7, 0x1.6339a52410204p-7, 0x1.597bac18239e9p-7, 0x1.4ffb1bf5e414p-7, 0x1.46b6bf1e3ef01p-7, 0x1.3dad36da7f948p-7, 0x1.34dd4cff97081p-7, 0x1.2c45aeb1b3907p-7, 0x1.23e52535b6824p-7, 0x1.1bba7d474eba4p-7, 0x1.13c485094d1d4p-7, 0x1.0c021072c5aadp-7, 0x1.0472028178c0dp-7, 0x1.fa266c4b6e98cp-8, 0x1.ebc926fd72d98p-8, 0x1.ddca141ce138ap-8, 0x1.d026fdb553ebfp-8, 0x1.c2ddeb9cebef2p-8, 0x1.b5ecdd534594ap-8, 0x1.a9519efb71aacp-8, 0x1.9d0a6e8dcf804p-8, 0x1.911550b554367p-8, 0x1.8570623b2d6d7p-8, 0x1.7a19cae92a088p-8, 0x1.6f0fbe738c5ep-8, 0x1.64506a11e3867p-8, 0x1.59da1d707ccdcp-8, 0x1.4fab20d4a5111p-8, 0x1.45c1c57852624p-8, 0x1.3c1c65a318f37p-8, 0x1.32b967b6125bap-8, 0x1.29974472373d7p-8, 0x1.20b44eca37d0ap-8, 0x1.180f29ce61b11p-8, 0x1.0fa64597ce3abp-8, 0x1.07783761d4403p-8, 0x1.ff070b5ca9954p-9, 0x1.ef8db3af69612p-9, 0x1.e0819bcfec1a4p-9, 0x1.d1e02ed9bdac5p-9, 0x1.c3a69b931579dp-9, 0x1.b5d284650786ep-9, 0x1.a861609b96adbp-9, 0x1.9b5099a880099p-9, 0x1.8e9ddb512bb1bp-9, 0x1.8246d847975p-9, 0x1.76493330a2a4ap-9, 0x1.6aa2a3837547ep-9, 0x1.5f50fb62f1a07p-9, 0x1.545226972f5c6p-9, 0x1.49a3e73c3640cp-9, 0x1.3f44531f61f51p-9, 0x1.35312b0bf816ap-9, 0x1.2b68adf73669ep-9, 0x1.21e8ccebdb486p-9, 0x1.18afb73922b62p-9, 0x1.0fbb7c6e4d7b7p-9, 0x1.070a5d5d72cecp-9, 0x1.fd3528bb4bc24p-10, 0x1.ecd4ab40f4da5p-10, 0x1.dcf054982045p-10, 0x1.cd8463ee34d45p-10, 0x1.be8dcc00a8fcdp-10, 0x1.b0096787abf6ep-10, 0x1.a1f418188401ep-10, 0x1.944ae0867d049p-10, 0x1.870adecec624bp-10, 0x1.7a3135fd7edebp-10, 0x1.6dbb121d6d176p-10, 0x1.61a5db1353efap-10, 0x1.55ee8e840be5p-10, 0x1.4a92f0f5f802fp-10, 0x1.3f905d5dba547p-10, 0x1.34e4633a7af28p-10, 0x1.2a8c68be1e431p-10, 0x1.20863dcc3e76bp-10, 0x1.16cf9632c55f9p-10, 0x1.0d663ecae5484p-10, 0x1.0447df52e2e1dp-10, 0x1.f6e4f7dce48e5p-11, 0x1.e5c7e89865121p-11, 0x1.d5348ec0f2116p-11, 0x1.c526f0d7413ecp-11, 0x1.b59b40915dd73p-11, 0x1.a68d9cf45aca6p-11, 0x1.97fa9a6f56cfdp-11, 0x1.89de8458e94e3p-11, 0x1.7c3591db8cb0ep-11, 0x1.6efd64d34822dp-11, 0x1.6231c4bf3cf4fp-11, 0x1.55cfbce1875bp-11, 0x1.49d484687ab25p-11, 0x1.3e3c3b136dcddp-11, 0x1.3304ba9ae34a2p-11, 0x1.282aed0f54afcp-11, 0x1.1dabf5616ebd6p-11, 0x1.13851a9667eep-11, 0x1.09b38e1cf8552p-11, 0x1.00356b1bc1905p-11, 0x1.ee0ee300bdf3p-12, 0x1.dc4ee16da3de2p-12, 0x1.cb260dbe7c09fp-12, 0x1.ba8fc7d147d7fp-12, 0x1.aa87802ec8677p-12, 0x1.9b09686f8d26bp-12, 0x1.8c10674130e77p-12, 0x1.7d98cf3c28f6p-12, 0x1.6f9ea77eed0c7p-12, 0x1.621de86ef4a63p-12, 0x1.551321242a078p-12, 0x1.4879544e2a333p-12, 0x1.3c4f154bf1b5ap-12, 0x1.308fa3c0015b6p-12, 0x1.25379bc945a6dp-12, 0x1.1a43bc4ac3bf5p-12, 0x1.0fb035ba4cfcp-12, 0x1.057ca39f013b8p-12, 0x1.f7464de7a6e91p-13, 0x1.e44374ad0d0f9p-13, 0x1.d1eafc59ca71fp-13, 0x1.c037c1f4e9f7dp-13, 0x1.af24a924ee5a5p-13, 0x1.9eac557b2591dp-13, 0x1.8ec86fbb303c5p-13, 0x1.7f75f4467862fp-13, 0x1.70af49c8ffafap-13, 0x1.626fd090994bap-13, 0x1.54b3963354734p-13, 0x1.4775be312fceap-13, 0x1.3ab2b61c7bf5p-13, 0x1.2e65cb4ae49e5p-13, 0x1.228b151d49f5bp-13, 0x1.171f1a54203fep-13, 0x1.0c1daee51ef89p-13, 0x1.0183fb123fe99p-13, 0x1.ee9ce40677e2ap-14, 0x1.daf1e1a0fa8e9p-14, 0x1.c800566cba3aap-14, 0x1.b5c555fb7a678p-14, 0x1.a436afcf7a126p-14, 0x1.9350fe01718c7p-14, 0x1.830bcb55cf0efp-14, 0x1.7363e8240e0a3p-14, 0x1.645504a7f67fep-14, 0x1.55d561cfdff88p-14, 0x1.47e398e35051ep-14, 0x1.3a7a390fee897p-14, 0x1.2d93620b3719dp-14, 0x1.212b8da15f7c9p-14, 0x1.153ef5988b21cp-14, 0x1.09c7544ba8addp-14, 0x1.fd84f8826d2bap-15, 0x1.e8536200b6b09p-15, 0x1.d3f6ddab0ed09p-15, 0x1.c0668116cd711p-15, 0x1.ad9a7088ca0dfp-15, 0x1.9b8aa0b7121c4p-15, 0x1.8a31f3a202e03p-15, 0x1.798e03d20f7c5p-15, 0x1.69906a80477cdp-15, 0x1.5a40e7bf74205p-15, 0x1.4b832532b112fp-15, 0x1.3d5df45e0fc8ap-15, 0x1.2fca69ddae63ep-15, 0x1.22c3e7ce8c161p-15, 0x1.1645a6b879bd6p-15, 0x1.0a4728b26f026p-15, 0x1.fd929fe683372p-16, 0x1.e7890111c2139p-16, 0x1.d266b9ea40e25p-16, 0x1.be22d300a0a69p-16, 0x1.aab8e70d5f1bcp-16, 0x1.981a7c727b73dp-16, 0x1.864ac1e24c21ap-16, 0x1.753ae5dae45b5p-16, 0x1.64db8b16bd54bp-16, 0x1.5531b0165796dp-16, 0x1.463279b1235c5p-16, 0x1.37d69cf4844bcp-16, 0x1.2a1b62203c56p-16, 0x1.1cf37569d673ep-16, 0x1.105abdc108d43p-16, 0x1.04580902c789ep-16, 0x1.f19a3b139e781p-17, 0x1.db9203624b5e4p-17, 0x1.c68137e1dd5edp-17, 0x1.b25da8c86b394p-17, 0x1.9f1bf85a2cf62p-17, 0x1.8cbc1436508cp-17, 0x1.7b29eb4ee7586p-17, 0x1.6a56ad0890c8p-17, 0x1.5a49ce6cc3059p-17, 0x1.4af93e726d1ffp-17, 0x1.3c543a988454ap-17, 0x1.2e5a6bfd42426p-17, 0x1.2103203fd31bfp-17, 0x1.1447d5081ff68p-17, 0x1.0820339bbe0e1p-17, 0x1.f912724106994p-18, 0x1.e2fd3399c959ep-18, 0x1.cdd3e07fbf3fep-18, 0x1.b9b1cdd37b2fap-18, 0x1.a67e692c24b9fp-18, 0x1.9431aa8a9e562p-18, 0x1.82be4e0d6de2bp-18, 0x1.72100d4bccd04p-18, 0x1.62339ac5c0e07p-18, 0x1.530f50968c68ep-18, 0x1.44a79b4faeac8p-18, 0x1.36fc1cc0cfc66p-18, 0x1.29e7b125155a2p-18, 0x1.1d715a812346dp-18, 0x1.118e4f467d637p-18, 0x1.06483f1671777p-18, 0x1.f70bdf1b0e73ap-19, 0x1.e270b99a100dp-19, 0x1.cee7120f36eb3p-19, 0x1.bc5285006e137p-19, 0x1.aa8963265e481p-19, 0x1.9995cecf6f4b3p-19, 0x1.8981006328758p-19, 0x1.7a38e99506c3bp-19, 0x1.6b9bb73face66p-19, 0x1.5da9daea42cf7p-19, 0x1.50710c666f28dp-19, 0x1.43cac6049e983p-19, 0x1.37b2afced8691p-19, 0x1.2c53afd15a545p-19, 0x1.213290af492c1p-19, 0x1.16d463d0e9628p-19, 0x1.0cd923e817cccp-19, 0x1.033fe4af198fcp-19, 0x1.f486aef5516edp-20, 0x1.e32018e5e0095p-20, 0x1.d28edf157ff2bp-20, 0x1.c2b11bafb48cfp-20, 0x1.b36d85c287d47p-20, 0x1.a4d2cfec2384fp-20, 0x1.96eb6f2a4c96ap-20, 0x1.89d329b60cabfp-20, 0x1.7d0d4ff1f00a7p-20, 0x1.70efdb021d889p-20, 0x1.652753dd5bbc2p-20, 0x1.59cf69fc5fdcap-20, 0x1.4efd860f7efddp-20, 0x1.447bbaed73074p-20, 0x1.3a6f1667bcd98p-20, 0x1.30e2c38c2d03fp-20, 0x1.277bd2217262ap-20, 0x1.1e402793f604p-20, 0x1.160be6ac286dap-20, 0x1.0d7a89c3e0979p-20, 0x1.0555a7e6a9283p-20, 0x1.faddd99a77073p-21, 0x1.ebe2ccc9ea7ap-21, 0x1.dc4b41ff8e80ap-21, 0x1.ce81e8143d6a2p-21, 0x1.c069c3a51245p-21, 0x1.b2d4baf89d6d1p-21, 0x1.a570e6e738654p-21, 0x1.99054aea7b04ep-21, 0x1.8c5fa68076758p-21, 0x1.7fa1b7952d386p-21, 0x1.73a8e6744fba2p-21, 0x1.67b52bcd5af24p-21, 0x1.5c118f8c67912p-21, 0x1.50f11cee6c64cp-21, 0x1.45b972eccda09p-21, 0x1.3a9c99fbd0f83p-21, 0x1.2fd6098d92516p-21, 0x1.257c6d55586c3p-21, 0x1.1af7508662f9cp-21, 0x1.10a500d79c354p-21, 0x1.0666f52adc329p-21, 0x1.f93d7f5b1fc2fp-22, 0x1.e5e5100ec07acp-22, 0x1.d20bf87b124cap-22, 0x1.bed86b5ea912ep-22, 0x1.abe27194f2d3cp-22, 0x1.98fac2905546bp-22, 0x1.8673e71c0f33bp-22, 0x1.73fb8a9179cb3p-22, 0x1.62968952a9008p-22, 0x1.4fe92eb380e4cp-22, 0x1.3e6981cff357ep-22, 0x1.2cc4b8901706dp-22, 0x1.1ba87ed83fc22p-22, 0x1.0a61d7e4df272p-22, 0x1.f2e34f5822f2ap-23, 0x1.d0825284a793bp-23, 0x1.af85987af3132p-23, 0x1.8d662696211c7p-23, 0x1.6cc8bc81d0174p-23, 0x1.4c5f49155d6dap-23, 0x1.2c179da13339bp-23, 0x1.0cb89a44dd301p-23, 0x1.d5da41e7bbfb7p-24, 0x1.9a3fbb414493fp-24, 0x1.5d75bb9d12793p-24, 0x1.1e7b949126074p-24, 0x1.c512af02bb575p-25, 0x1.4d6e1b5018fa4p-25, 0x1.a99826e9f7c4dp-26, 0x1.82d4909782819p-27, -0x1.3bb2f6cdc87abp-29, -0x1.0dc2008a147bcp-26, -0x1.f068687953c5fp-26, -0x1.68386536b130fp-25, -0x1.ce1235c3eb22bp-25, -0x1.237ea4730768ap-24, -0x1.5aafe0321b9f5p-24, -0x1.8b18bc91111edp-24, -0x1.c22f836a21e74p-24, -0x1.f58528d9c9f66p-24, -0x1.1478f363e4a26p-23, -0x1.2d8783188fa56p-23, -0x1.4696db429e82ep-23, -0x1.5ec12ff0d4e71p-23, -0x1.7520f39bc4ce2p-23, -0x1.8e9256a70715ep-23, -0x1.a59c33bba2569p-23, -0x1.bcfb367ae5cfcp-23, -0x1.d10cdd396c53cp-23, -0x1.ea5bddc2c0602p-23, -0x1.fe5546ed74d0bp-23, -0x1.0a213b9f9ba1fp-22, -0x1.13db9cb456eb4p-22, -0x1.1e5fbc59a7f5cp-22, -0x1.284f998521388p-22, -0x1.3127c7aef3606p-22, -0x1.3c5109e7da6fep-22, -0x1.44e0d06d25d11p-22, -0x1.4de24b9b6dceep-22, -0x1.56c696d12f55fp-22, -0x1.5fa16c49ca004p-22, -0x1.680d626b31411p-22, -0x1.703380e417f69p-22, -0x1.785e5b3740a92p-22, -0x1.7fb7d8c00772p-22, -0x1.87cbff5258465p-22, -0x1.8eee0d64be945p-22, -0x1.96cff137cc0eep-22, -0x1.9c218f0600e95p-22, -0x1.a3bc82392a94p-22, -0x1.aa0ca3b465e58p-22, -0x1.b07038c11fd56p-22, -0x1.b5c43fddf494p-22, -0x1.bcd71f8d62d93p-22, -0x1.c1d3a9624877fp-22, -0x1.c73d489dd7104p-22, -0x1.cc69189e1d54dp-22, -0x1.d145f6facbad5p-22, -0x1.d6096cbda19d3p-22, -0x1.da7c9d2fa7b97p-22, -0x1.dfb6ab5ed7c89p-22, -0x1.e284506962f1cp-22, -0x1.e65bbadeee546p-22, -0x1.eb0c470266e08p-22, -0x1.ed58dba5efe94p-22, -0x1.f15ed78e2d29ep-22, -0x1.f3b90802b3e01p-22, -0x1.f7768a2f50b78p-22, -0x1.f9b0bb447730ap-22, -0x1.fc2607732ff89p-22, -0x1.fe63e9bd9fc8cp-22, -0x1.002534e105a16p-21, -0x1.0125b6bd8667p-21, -0x1.01f8941680c24p-21, -0x1.02c5e4cc2aeedp-21, -0x1.02f1ececbbb59p-21, -0x1.043fd85157319p-21, -0x1.04471c11af3f1p-21, -0x1.04a8202edd746p-21, -0x1.0511dfb2fde34p-21, -0x1.052d95fd2be3ep-21, -0x1.056c8e7ffd738p-21, -0x1.054dad2c7ab4dp-21, -0x1.05682307fac7fp-21, -0x1.0515737ef9c97p-21, -0x1.04dbef666f68ep-21, -0x1.048dc1e91e0e6p-21, -0x1.041c9a28cf164p-21, -0x1.039fb0c940871p-21, -0x1.03a715039e4afp-21, -0x1.01d45a65a31b1p-21, -0x1.01dfe380f8897p-21, -0x1.0102612fd4f37p-21, -0x1.002945f1a7198p-21, -0x1.fea220088bdp-22, -0x1.fb857f73cca84p-22, -0x1.fb56a38e71a25p-22, -0x1.f83f925e0aad9p-22, -0x1.f5efe5a3db87ap-22, -0x1.f30f9dc0925e4p-22, -0x1.f0b1ecd19074ep-22, -0x1.edf9929df77b6p-22, -0x1.eb7d2574ab12cp-22, -0x1.e8372dddb9fd1p-22, -0x1.e51e84dbd60dfp-22, -0x1.e1fb82a481479p-22, -0x1.de19fb7363a65p-22, -0x1.dbab4a75eb1c3p-22, -0x1.d732d899d7819p-22, -0x1.d4ae3dec8b0e2p-22, -0x1.d06547dd1660dp-22, -0x1.ccf1bfd0c4ec2p-22, -0x1.c879dac1fe1eep-22, -0x1.c4ce24c2ec29cp-22, -0x1.c0baf5db170e1p-22, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.5de7e532de84p+0, 0x1.6a355ddde3c3ep+0, 0x1.728a849c148b2p+0, 0x1.77309bc5d4abcp+0, 0x1.7877448b916b6p+0, 0x1.76b16b9150d15p+0, 0x1.7232ca0869897p+0, 0x1.6b4df43a0aa61p+0, 0x1.6252ef02cdbb7p+0, 0x1.578db637e2aaep+0, 0x1.4b46be22e5a95p+0, 0x1.3dc022fac5455p+0, 0x1.2f36b22c5965dp+0, 0x1.1fe2d69521201p+0, 0x1.0ff7c14e4022ap+0, 0x1.ff4673302cdd9p-1, 0x1.de1a65fb752a5p-1, 0x1.bcb0c2ff533b8p-1, 0x1.9b478a181dbd6p-1, 0x1.7a16b21801e4p-1, 0x1.594ef25b48e6p-1, 0x1.3918d54ae8525p-1, 0x1.1995dfa84b606p-1, 0x1.f5c4ddaf04478p-2, 0x1.ba2d0e6e6b856p-2, 0x1.808b67218c656p-2, 0x1.48fe1ae8b498bp-2, 0x1.139bc00f4554bp-2, 0x1.c0e9fa38eba7ep-3, 0x1.5f2b25b303b4cp-3, 0x1.020926a48b199p-3, 0x1.53114dd601066p-4, 0x1.569571a7a2efep-5, 0x1.94447a15fa551p-9, -0x1.1208d5962c1e9p-5, -0x1.15d38de5bbaaap-4, -0x1.99fddbca7e6f4p-4, -0x1.0ade6bf85a168p-3, -0x1.44a7c27c0e286p-3, -0x1.7a7c852644503p-3, -0x1.ac7fce154a526p-3, -0x1.dad5da27545dfp-3, -0x1.02d1ded7186b4p-2, -0x1.16878d7dbffedp-2, -0x1.289ee96f05d14p-2, -0x1.392adbcdf85dap-2, -0x1.483e27baa25ffp-2, -0x1.55eb5509df03dp-2, -0x1.6244a18f93bacp-2, -0x1.6d5bf51ae3faap-2, -0x1.7742d5fc644afp-2, -0x1.800a5da0999c4p-2, -0x1.87c32cf82a44bp-2, -0x1.8e7d60bd3195dp-2, -0x1.944885b2bb3c7p-2, -0x1.99338ea4a1e14p-2, -0x1.9d4cce432f079p-2, -0x1.a0a1f5f2f2b82p-2, -0x1.a34018fd53f8fp-2, -0x1.a533b1d93eb6ap-2, -0x1.a688a6f39b7e7p-2, -0x1.a74a4d4e2ec52p-2, -0x1.a78368ea1cca8p-2, -0x1.a73e2c33590d4p-2, -0x1.a684382543d98p-2, -0x1.a55e9e4a73a65p-2, -0x1.a3d5e4f73bb6dp-2, -0x1.a1f20d5bbe1c4p-2, -0x1.9fba9a7bb00b1p-2, -0x1.9d3698292b47ap-2, -0x1.9a6ca1c729f05p-2, -0x1.9762e8561ed7ep-2, -0x1.941f3831ab5cep-2, -0x1.90a6fe9b7785p-2, -0x1.8cff4ed95817ep-2, -0x1.892ce78760f1ap-2, -0x1.853437613ad72p-2, -0x1.81223941e11aap-2, -0x1.7ce620ff75d7fp-2, -0x1.788fb70bdced3p-2, -0x1.74225ccb72b7bp-2, -0x1.6fa133f09f89ep-2, -0x1.6b0f229cbcda1p-2, -0x1.666ed77e955acp-2, -0x1.61c2cdff95676p-2, -0x1.5d0d524987c44p-2, -0x1.585084f522b98p-2, -0x1.538e5eb012d3ap-2, -0x1.4ec8b2fe69b6dp-2, -0x1.4a01331a2815dp-2, -0x1.45397007a6ea3p-2, -0x1.4072dc9b6b9d4p-2, -0x1.3baecef399fdfp-2, -0x1.36ee81e76bd45p-2, -0x1.3233163fa2d59p-2, -0x1.2d7d93e46b8d9p-2, -0x1.28ceeb12051d3p-2, -0x1.2427f56520df6p-2, -0x1.1f89774f4839ap-2, -0x1.1af4213f78715p-2, -0x1.166891045d1cbp-2, -0x1.11e75329728edp-2, -0x1.0d70e452253ffp-2, -0x1.0905b291552f1p-2, -0x1.04a61e9fcef04p-2, -0x1.00527d15dbf0cp-2, -0x1.f8162ef0d7f4cp-3, -0x1.efa05a6c8bb47p-3, -0x1.e743e91c69afep-3, -0x1.df0136c76e6a2p-3, -0x1.d6d88fbb34852p-3, -0x1.ceca323a7fb7dp-3, -0x1.c6d64f9401446p-3, -0x1.befd0d2ac4103p-3, -0x1.b73e856473c8ep-3, -0x1.af9ac883d273ep-3, -0x1.a811dd6ce4d82p-3, -0x1.a0a3c23d23e81p-3, -0x1.99506d3838f56p-3, -0x1.9217cd1c84f58p-3, -0x1.8af9c9be376ebp-3, -0x1.83f644b5b850bp-3, -0x1.7d0d19bccc683p-3, -0x1.763e1f3e18e3cp-3, -0x1.6f8926c34b9a6p-3, -0x1.68edfd67c47c7p-3, -0x1.626c6c4d1bc49p-3, -0x1.5c0438fcf8d78p-3, -0x1.55b525d10a5d4p-3, -0x1.4f7ef2546661ap-3, -0x1.49615b92f1388p-3, -0x1.435c1c7c3fc49p-3, -0x1.3d6eee2a36f48p-3, -0x1.3799883802ac9p-3, -0x1.31dba101602d7p-3, -0x1.2c34edfd93fa7p-3, -0x1.26a523d6b0521p-3, -0x1.212bf6cb32e1dp-3, -0x1.1bc91ad6a8cadp-3, -0x1.167c43e5a252ep-3, -0x1.114525f7a3acep-3, -0x1.0c237554224dfp-3, -0x1.0716e6a6a8edcp-3, -0x1.021f2f1460098p-3, -0x1.fa7808c922b9bp-4, -0x1.f0da39bccc5b7p-4, -0x1.e7645f5b51ec1p-4, -0x1.de15e947928acp-4, -0x1.d4ee48a7b59f1p-4, -0x1.cbecf03783f63p-4, -0x1.c311545279042p-4, -0x1.ba5aeb076c03ap-4, -0x1.b1c92bd9377bfp-4, -0x1.a95b90076178ep-4, -0x1.a1119288f420bp-4, -0x1.98eaafb7cdcc2p-4, -0x1.90e665f8e8c52p-4, -0x1.890434e69f012p-4, -0x1.81439dfeaf867p-4, -0x1.79a42464c393p-4, -0x1.72254ce2c6381p-4, -0x1.6ac69dc7ffad6p-4, -0x1.63879f3145078p-4, -0x1.5c67dac3db944p-4, -0x1.5566dbea29ec4p-4, -0x1.4e854fda89b11p-4, -0x1.47c0820c37bc6p-4, -0x1.411920bda8adfp-4, -0x1.3a8ebe3017f47p-4, -0x1.3420ee29a4c23p-4, -0x1.2dcf467944cedp-4, -0x1.27995e588f9cp-4, -0x1.217ecedc77465p-4, -0x1.1b7f328f31eb7p-4, -0x1.159a25bc00379p-4, -0x1.0fcf461d489c8p-4, -0x1.0a1e33374083dp-4, -0x1.04868dca4c656p-4, -0x1.fe0ff0c4bfe04p-5, -0x1.f3442d4e008e2p-5, -0x1.e8a91bbf50cf3p-5, -0x1.de3e09291090ap-5, -0x1.d402456ef0c3ep-5, -0x1.c9f522c13d0e9p-5, -0x1.c015f64d12606p-5, -0x1.b664173422e24p-5, -0x1.acdedf2caaf17p-5, -0x1.a385aa2382b6ap-5, -0x1.9a57d66026ca1p-5, -0x1.9154c42929c76p-5, -0x1.887bd5fa9dcbcp-5, -0x1.7fcc705d52e31p-5, -0x1.7745f9956b1b3p-5, -0x1.6ee7da34201d5p-5, -0x1.66b17c72df6f1p-5, -0x1.5ea24c4c3c0f1p-5, -0x1.56b9b81f503afp-5, -0x1.4ef72ed211726p-5, -0x1.475a21fc14c68p-5, -0x1.3fe204eceb039p-5, -0x1.388e4bb33537ep-5, -0x1.315e6cc0fd4a3p-5, -0x1.2a51dfbaa7ccbp-5, -0x1.23681de6a21adp-5, -0x1.1ca0a1f2e657bp-5, -0x1.15fae81ea0a5bp-5, -0x1.0f766de99816ep-5, -0x1.0912b27937698p-5, -0x1.02cf363e6ea35p-5, -0x1.f956f5f413addp-6, -0x1.ed4e07a1f07bap-6, -0x1.e182aa679c074p-6, -0x1.d5f3ea35b18ap-6, -0x1.caa0d4b769662p-6, -0x1.bf887b36a665dp-6, -0x1.b4a9f06a5721p-6, -0x1.aa044abe8903dp-6, -0x1.9f96a193bf37cp-6, -0x1.956010329a89bp-6, -0x1.8b5fb419446e2p-6, -0x1.8194abb000981p-6, -0x1.77fe1a322d331p-6, -0x1.6e9b2309b82dcp-6, -0x1.656aed234c67ep-6, -0x1.5c6ca180dfdbfp-6, -0x1.539f6b7442467p-6, -0x1.4b02788a9331fp-6, -0x1.4294f8b465e9ep-6, -0x1.3a561e12fbaaep-6, -0x1.32451d49a0148p-6, -0x1.2a612c835b624p-6, -0x1.22a98545c43fep-6, -0x1.1b1d62a00e936p-6, -0x1.13bc01aa0437bp-6, -0x1.0c84a217fa5f2p-6, -0x1.057685dc9f9d4p-6, -0x1.fd21e25b8a0b2p-7, -0x1.efa653ac07f55p-7, -0x1.e278f0b0b48a6p-7, -0x1.d5984ee3ef93p-7, -0x1.c90307bc56e1ap-7, -0x1.bcb7b8efea978p-7, -0x1.b0b504c98160ep-7, -0x1.a4f991c1bf6fep-7, -0x1.99840a8d22541p-7, -0x1.8e531e5040abcp-7, -0x1.836580c2290bep-7, -0x1.78b9e94dd06dep-7, -0x1.6e4f141caa043p-7, -0x1.6423c1548ba27p-7, -0x1.5a36b55df2ce5p-7, -0x1.5086b97edb769p-7, -0x1.471299f880517p-7, -0x1.3dd9289b78d77p-7, -0x1.34d93a390cb9cp-7, -0x1.2c11a90db9cdfp-7, -0x1.2381526f21273p-7, -0x1.1b2718821e664p-7, -0x1.1301e167e9c02p-7, -0x1.0b1096e89ed45p-7, -0x1.035227c627825p-7, -0x1.f78b0ca94169ap-8, -0x1.e8d352baf9461p-8, -0x1.da7b15d80f8d8p-8, -0x1.cc805451471aap-8, -0x1.bee1123b05481p-8, -0x1.b19b5dc11682fp-8, -0x1.a4ad4af1372b9p-8, -0x1.9814f8b75c23p-8, -0x1.8bd089d4b7492p-8, -0x1.7fde2bef5f441p-8, -0x1.743c131ea4c6fp-8, -0x1.68e87b8d02de1p-8, -0x1.5de1a7dffecc9p-8, -0x1.5325e4a28b4e7p-8, -0x1.48b383a653884p-8, -0x1.3e88df0e80f09p-8, -0x1.34a457e627b43p-8, -0x1.2b0458125a97ep-8, -0x1.21a74e34cf303p-8, -0x1.188bb16283657p-8, -0x1.0fb0002b33292p-8, -0x1.0712bf6b9997dp-8, -0x1.fd64f685030c2p-9, -0x1.ed1b8f15deaf2p-9, -0x1.dd4675ed87941p-9, -0x1.cde2f16e1628bp-9, -0x1.beee4dd60d3cdp-9, -0x1.b065e67d71615p-9, -0x1.a24723e2a9e73p-9, -0x1.948f785a4bd14p-9, -0x1.873c6b5d8722cp-9, -0x1.7a4b83baec053p-9, -0x1.6dba62ab8596fp-9, -0x1.6186aa0bd8192p-9, -0x1.55ae0daa700f4p-9, -0x1.4a2e4c827b50ap-9, -0x1.3f052f0dba99ep-9, -0x1.34308d192046p-9, -0x1.29ae460e66102p-9, -0x1.1f7c48e147f93p-9, -0x1.159886cdbe8d6p-9, -0x1.0c01079d13b7bp-9, -0x1.02b3d5d1a6457p-9, -0x1.f35e12497048dp-10, -0x1.e1e186b919f89p-10, -0x1.d0ee603d9e53ap-10, -0x1.c0810d3dcfd98p-10, -0x1.b0960718adc21p-10, -0x1.a129e64a85b7cp-10, -0x1.923951bb9a93p-10, -0x1.83c0ff7eecc4p-10, -0x1.75bdbcaab1492p-10, -0x1.682c6704db70ap-10, -0x1.5b09f1b2e0b6cp-10, -0x1.4e535711a93b8p-10, -0x1.4205ab2c0cbf9p-10, -0x1.361e165cfde8bp-10, -0x1.2a99c9dff55aap-10, -0x1.1f760d0247653p-10, -0x1.14b02ddfdd072p-10, -0x1.0a459380acb39p-10, -0x1.0033b7c69f2dbp-10, -0x1.ecf02da666b02p-11, -0x1.da20898b72027p-11, -0x1.c7f3c4c8f62c6p-11, -0x1.b6653bd5a153p-11, -0x1.a57068cdc462cp-11, -0x1.9510eb01091a6p-11, -0x1.8542633837c29p-11, -0x1.760093f98a17ap-11, -0x1.67477d317e7b1p-11, -0x1.591311c63f5a5p-11, -0x1.4b5f66d09a711p-11, -0x1.3e28af1ec8aa2p-11, -0x1.316b31ed79b21p-11, -0x1.25234dd38f637p-11, -0x1.194d833c20ee5p-11, -0x1.0de6550ecb341p-11, -0x1.02ea54b283022p-11, -0x1.f0acb9b6849bep-12, -0x1.dd1cc17a4ae01p-12, -0x1.c97a44df09116p-12, -0x1.b694be3115eddp-12, -0x1.a466648a16988p-12, -0x1.92e9763094e92p-12, -0x1.8218604dcb32fp-12, -0x1.71edcccb1d717p-12, -0x1.626443f7fca2fp-12, -0x1.5376bb91a55e8p-12, -0x1.45203ee3177fap-12, -0x1.375be33f0ee14p-12, -0x1.2a24eead6f7efp-12, -0x1.1d76c4682814fp-12, -0x1.114ce937c84b8p-12, -0x1.05a2e5ffe33f1p-12, -0x1.f4e957d46d744p-13, -0x1.df7bee8400a13p-13, -0x1.caf59467ad561p-13, -0x1.b74e749f127e1p-13, -0x1.a47efeab79f0bp-13, -0x1.927fca3e593cdp-13, -0x1.8149aea44f6c7p-13, -0x1.70d5713c91795p-13, -0x1.611cd93008c61p-13, -0x1.5218cc4aaddc5p-13, -0x1.43c310bf8d9d1p-13, -0x1.36155a1cb42ebp-13, -0x1.2909afd61685cp-13, -0x1.1c9a1fe3d76c8p-13, -0x1.10c0f639fb2f5p-13, -0x1.0578b3184cf22p-13, -0x1.f577ea833e9a2p-14, -0x1.e10ad086e3fcfp-14, -0x1.cda073c8fe232p-14, -0x1.bb2e7c495facdp-14, -0x1.a9ab712dc5da4p-14, -0x1.990e3baaaddd4p-14, -0x1.894dde0680163p-14, -0x1.7a61a3bb7a404p-14, -0x1.6c409a4a359dep-14, -0x1.5ee35abc40877p-14, -0x1.5241782942a72p-14, -0x1.465370ac8fd45p-14, -0x1.3b11aec49f6aap-14, -0x1.30750f447f447p-14, -0x1.2676932e243eep-14, -0x1.1d0f71cd14a09p-14, -0x1.14394752e5de6p-14, -0x1.0bed748a8ab31p-14, -0x1.0425b94dcc9aep-14, -0x1.f9b938d0b63c4p-15, -0x1.ec184abd4dc5ap-15, -0x1.df5d737c545efp-15, -0x1.d37e4f8d14c2fp-15, -0x1.c870413e9f85p-15, -0x1.be293962e0f75p-15, -0x1.b49f7439df47cp-15, -0x1.abc9bd459391p-15, -0x1.a39f2b49df065p-15, -0x1.9c1712abb2147p-15, -0x1.952888547c88ap-15, -0x1.8ecb66fa8d37dp-15, -0x1.88f87355fc83dp-15, -0x1.83a7cd25ce09fp-15, -0x1.7ed211707061bp-15, -0x1.7a7067148fb9p-15, -0x1.767bf27ffa8b9p-15, -0x1.72ede3db5c716p-15, -0x1.6fc0c947932b1p-15, -0x1.6ced52cedb947p-15, -0x1.6a6e9608a783p-15, -0x1.683ece7a2fc9ep-15, -0x1.665864ffc3bdbp-15, -0x1.64b624ff52d7ep-15, -0x1.63536ac5022acp-15, -0x1.622b467503751p-15, -0x1.61391e726d6ap-15, -0x1.60788d4101c79p-15, -0x1.5fe5714eb17ddp-15, -0x1.5f7b51b9aad1bp-15, -0x1.5f370e320f85cp-15, -0x1.5f148a6c4b25fp-15, -0x1.5f10a9daf4deap-15, -0x1.5f2771bcb581dp-15, -0x1.5f56795c6c73fp-15, -0x1.5f99d02f8e8dep-15, -0x1.5fefa055fcaeap-15, -0x1.6054987e2acd1p-15, -0x1.60c5f00094067p-15, -0x1.6141b5a3ed853p-15, -0x1.61c44dbf0a7dep-15, -0x1.624d8861b4b2fp-15, -0x1.62d9e3d8a9008p-15, -0x1.6367a930b8d63p-15, -0x1.63f4ec57bcb97p-15, -0x1.648049dfeb9e5p-15, -0x1.65078bb257cb5p-15, -0x1.6589980a10149p-15, -0x1.6604988135054p-15, -0x1.66774d8da6245p-15, -0x1.66e044d38319bp-15, -0x1.673e8bff6d004p-15, -0x1.67913f47bb6d5p-15, -0x1.67d695de6707dp-15, -0x1.680e21bbfacddp-15, -0x1.6836c54237f7ep-15, -0x1.684f87eedd961p-15, -0x1.68580919ece6fp-15, -0x1.684efdb82ae93p-15, -0x1.68344cb2f65d8p-15, -0x1.6806df75ac529p-15, -0x1.67c6c5ca14ac2p-15, -0x1.67731463cc6b3p-15, -0x1.670b90edac2c3p-15, -0x1.668f777e01e3ap-15, -0x1.65feda4b6753cp-15, -0x1.65598d128eee2p-15, -0x1.649ed452376fap-15, -0x1.63cf0d0756758p-15, -0x1.62e9af6772121p-15, -0x1.61ee98f330e23p-15, -0x1.60ddcc9a62eep-15, -0x1.5fb701ed0bfd5p-15, -0x1.5e7b1506dd221p-15, -0x1.5d289c58986b4p-15, -0x1.5bc1178275558p-15, -0x1.5a43e271827b2p-15, -0x1.58b0ba9822fc9p-15, -0x1.5708d45e315aap-15, -0x1.554b6f87566f2p-15, -0x1.53790827ccc9ep-15, -0x1.51920594be934p-15, -0x1.4f961bf0f6a41p-15, -0x1.4d8611ecef3a3p-15, -0x1.4b61ba119f4abp-15, -0x1.4929cfbdf282fp-15, -0x1.46dea94a2195cp-15, -0x1.447fbe9096fb4p-15, -0x1.420e98218d265p-15, -0x1.3f8a77fcfb528p-15, -0x1.3cf464730c16cp-15, -0x1.3a4cbc01863e5p-15, -0x1.3793a0df4a814p-15, -0x1.34c98fd74017cp-15, -0x1.31eee3b599ae8p-15, -0x1.2f041616198p-15, -0x1.2c098327de869p-15, -0x1.28ffaa2c406a3p-15, -0x1.25e6788e8a08ap-15, -0x1.22bfca6a822aap-15, -0x1.1f8ad5fddd9f2p-15, -0x1.1c477e2a35ea9p-15, -0x1.18f7bc39ee79ap-15, -0x1.159b2d867e7a6p-15, -0x1.123242e4a4bdbp-15, -0x1.0ebddec6b1d3cp-15, -0x1.0b3dead775088p-15, -0x1.07b35aece9148p-15, -0x1.041dec96f6dafp-15, -0x1.007ee553145e6p-15, -0x1.f9ad0539a6fdp-16, -0x1.f24a1a528df9ep-16, -0x1.ead5269556469p-16, -0x1.e35162269094ep-16, -0x1.dbbd3ad727d41p-16, -0x1.d41aea93c20e3p-16, -0x1.cc6b392ac5f81p-16, -0x1.c4ae8d9477d69p-16, -0x1.bce67b3fabfe6p-16, -0x1.b5126d925fd33p-16, -0x1.ad3691d531be9p-16, -0x1.a54f1bb01e128p-16, -0x1.9d610735b7ed8p-16, -0x1.956a9ed8f6783p-16, -0x1.8d6d65b7eaeb8p-16, -0x1.856aac13a6207p-16, -0x1.7d6290ab1284dp-16, -0x1.7556c918ed6bdp-16, -0x1.6d472096321d8p-16, -0x1.6534906c8d9f8p-16, -0x1.5d207ed95cfcbp-16, -0x1.550b503679b32p-16, -0x1.4cf4b97b91ed9p-16, -0x1.44df9c7a72dd9p-16, -0x1.3ccb31093f697p-16, -0x1.34b81959afb2fp-16, -0x1.2ca6d1156b1f3p-16, -0x1.249af434a334p-16, -0x1.1c90d565a9dd6p-16, -0x1.148b74dd996c4p-16, -0x1.0c8b42d116559p-16, -0x1.0490c88d54fa3p-16, -0x1.f9393b7ac8643p-17, -0x1.e95daece37fep-17, -0x1.d991c98a12cc6p-17, -0x1.c9d70dd11c4a9p-17, -0x1.ba2a9790f8d34p-17, -0x1.aa934c9daaffdp-17, -0x1.9b0d050541904p-17, -0x1.8b9cf9fb56627p-17, -0x1.7c40697953467p-17, -0x1.6cfcadd7e5282p-17, -0x1.5dce243f9a9e1p-17, -0x1.4eb8327a54d0fp-17, -0x1.3fbbe86926004p-17, -0x1.30d8dfe333203p-17, -0x1.22110f16e97e6p-17, -0x1.1364e37956a6dp-17, -0x1.04d581f46d7dcp-17, -0x1.ecc206acb0f93p-18, -0x1.d01dee14966b7p-18, -0x1.b3b252a5cc997p-18, -0x1.97803ae954d5fp-18, -0x1.7b9591d9d907cp-18, -0x1.5fe989ac6267bp-18, -0x1.447f6e6a59642p-18, -0x1.295a2711932ffp-18, -0x1.0e78c62b7dfcdp-18, -0x1.e7bdde9ac9384p-19, -0x1.b316384f7dbddp-19, -0x1.7efb848cc7aep-19, -0x1.4b77ed68fa359p-19, -0x1.18834c7dde54p-19, -0x1.cc58d3145fdep-20, -0x1.68bc0e69eb763p-20, -0x1.066a305d87072p-20, -0x1.4a83f284f07fep-21, -0x1.155aab5af918dp-22, 0x1.964c43e88009ap-24, 0x1.dbb8f69c4a72ap-22, 0x1.a61a3c8c541d8p-21, 0x1.2e173002543ap-20, 0x1.87d1c9d8c180dp-20, 0x1.e0475be300f3bp-20, 0x1.1bbd7d2ca9d25p-19, 0x1.46b250dc5d52bp-19, 0x1.7104b010fa6c3p-19, 0x1.9ab07d0752262p-19, 0x1.c3b6277eb24f1p-19, 0x1.ec1932982820fp-19, 0x1.09ebb6f9ca703p-18, 0x1.1d72b2cb85facp-18, 0x1.30ac85c93295ap-18, 0x1.438e2c50f92cfp-18, 0x1.561ed7d9378f3p-18, 0x1.685acaefde189p-18, 0x1.7a44c7ff7efb9p-18, 0x1.8bd967511ac91p-18, 0x1.9d1c1ac6b1ae2p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.64f3b5d78d4f2p+0, 0x1.7c996c0fa899fp+0, 0x1.91c9dc7cb610ap+0, 0x1.a493b3bfcd54p+0, 0x1.b50aed52b4d0bp+0, 0x1.c3479974a3572p+0, 0x1.cf64cb26d5a18p+0, 0x1.d97fb611ce429p+0, 0x1.e1b6db103ed06p+0, 0x1.e829747717f75p+0, 0x1.ecf6dd01ae0d3p+0, 0x1.f03e220e43b37p+0, 0x1.f21dcfef6bf78p+0, 0x1.f2b368d144561p+0, 0x1.f21b5b9970c12p+0, 0x1.f070e7d00e9adp+0, 0x1.edce000d92982p+0, 0x1.ea4b2fd22a695p+0, 0x1.e5ff8cb8e6d94p+0, 0x1.e100b4bd35d1ep+0, 0x1.db62db6b05446p+0, 0x1.d538db70c97fbp+0, 0x1.ce9440d1a4cb7p+0, 0x1.c7854da5cc7dcp+0, 0x1.c01b020bf62a4p+0, 0x1.b8632c1d929fcp+0, 0x1.b06a7d38dc30cp+0, 0x1.a83c9be3baa57p+0, 0x1.9fe4311f97146p+0, 0x1.976af695bf4f1p+0, 0x1.8ed9c513e3327p+0, 0x1.8638a128dc6ap+0, 0x1.7d8ec97a71747p+0, 0x1.74e2c5b7f61f3p+0, 0x1.6c3a8354013f9p+0, 0x1.639b43817e664p+0, 0x1.5b09ba468571p+0, 0x1.528a152c70771p+0, 0x1.4a200598e0decp+0, 0x1.41ceca8accc92p+0, 0x1.399939db7ae5bp+0, 0x1.3181c8fb88e11p+0, 0x1.298a951266a43p+0, 0x1.21b56a9a45bbcp+0, 0x1.1a03cc9af596p+0, 0x1.1276fb7091f7p+0, 0x1.0b0ffaf7300c6p+0, 0x1.03cf9818517f4p+0, 0x1.f96cdbda9383cp-1, 0x1.eb89d5412661ep-1, 0x1.ddf6a8258734bp-1, 0x1.d0b3982f8571ap-1, 0x1.c3c0a89684e9p-1, 0x1.b71da3068bc0fp-1, 0x1.aaca1dfc5cf7fp-1, 0x1.9ec582ae9f5b8p-1, 0x1.930f129248c4cp-1, 0x1.87a5ec5ccb14dp-1, 0x1.7c89107daaf6cp-1, 0x1.71b7653498a9ep-1, 0x1.672fba4b9d7d6p-1, 0x1.5cf0cc8b22f8bp-1, 0x1.52f948f07a1c6p-1, 0x1.4947cf8d5fd91p-1, 0x1.3fdaf6213b19p-1, 0x1.36b14a592e818p-1, 0x1.2dc953cb7fdfbp-1, 0x1.252195c2df558p-1, 0x1.1cb890d6fc55p-1, 0x1.148cc46b30d02p-1, 0x1.0c9cb00c6aa79p-1, 0x1.04e6d4a07eea9p-1, 0x1.fad36ae2fecd4p-2, 0x1.ec47b22acaddbp-2, 0x1.de27946220407p-2, 0x1.d070303155ed1p-2, 0x1.c31eaebfca664p-2, 0x1.b630240d0cf68p-2, 0x1.a9a2056bfdf4fp-2, 0x1.9d7192c3aae43p-2, 0x1.919c26eab1e07p-2, 0x1.861f2a8fc497bp-2, 0x1.7af8149fe7b3dp-2, 0x1.70246a8717622p-2, 0x1.65a1c06e6e93ep-2, 0x1.5b6db94f02bafp-2, 0x1.51860713eda3p-2, 0x1.47e86a8212706p-2, 0x1.3e92b338e9414p-2, 0x1.3582bf95e711fp-2, 0x1.2cb67c845987fp-2, 0x1.242be565b9ff7p-2, 0x1.1be103ce156e2p-2, 0x1.13d3ef585c27bp-2, 0x1.0c02cd66d50d8p-2, 0x1.046bd0ef26c92p-2, 0x1.fa1a745c701bbp-3, 0x1.ebcaacfb4dd36p-3, 0x1.dde4ffe57b0d4p-3, 0x1.d0663a5fdce91p-3, 0x1.c34b42268ba15p-3, 0x1.b69114dc06ed6p-3, 0x1.aa34c77416157p-3, 0x1.9e3385b88a1e9p-3, 0x1.928a91765a036p-3, 0x1.8737423623cacp-3, 0x1.7c37046db7723p-3, 0x1.7187590704233p-3, 0x1.6725d4c37b9b5p-3, 0x1.5d101fa928b7fp-3, 0x1.5343f484ef853p-3, 0x1.49bf204bb4065p-3, 0x1.407f8195c67cp-3, 0x1.3783081713137p-3, 0x1.2ec7b4124109ap-3, 0x1.264b95d9f1e21p-3, 0x1.1e0ccd593fb5bp-3, 0x1.160989937c06p-3, 0x1.0e4008118ca68p-3, 0x1.06ae94963f395p-3, 0x1.fea7111e3b3e7p-4, 0x1.f05a95633fd93p-4, 0x1.e2749d0532524p-4, 0x1.d4f22802003ebp-4, 0x1.c7d04e5df8554p-4, 0x1.bb0c3f700fd47p-4, 0x1.aea34105ca41p-4, 0x1.a292aedd6ba7cp-4, 0x1.96d7f9a3aa93ap-4, 0x1.8b70a68eff1abp-4, 0x1.805a4e84c6becp-4, 0x1.75929d858b8f8p-4, 0x1.6b17521312adep-4, 0x1.60e63c8edac9ep-4, 0x1.56fd3e91fde88p-4, 0x1.4d5a4a734c048p-4, 0x1.43fb62c298b8cp-4, 0x1.3ade99a14371ep-4, 0x1.320210594a46p-4, 0x1.2963f6c20e709p-4, 0x1.21028aecb21a8p-4, 0x1.18dc1873352f5p-4, 0x1.10eef83d6ebbcp-4, 0x1.09398ff5d7344p-4, 0x1.01ba518cbded7p-4, 0x1.f4df75fe89653p-5, 0x1.e6b0ab717107dp-5, 0x1.d8e56cb0a5414p-5, 0x1.cb7af8a68c25ep-5, 0x1.be6ea2e586603p-5, 0x1.b1bdd359b5a73p-5, 0x1.a566057351024p-5, 0x1.9964c7a6e7058p-5, 0x1.8db7ba7fc0437p-5, 0x1.825c902edda75p-5, 0x1.77510c4f564fap-5, 0x1.6c9302b3f3089p-5, 0x1.62205792903eep-5, 0x1.57f6fe3d1a0fcp-5, 0x1.4e14f95fbcdcep-5, 0x1.44785a64230f1p-5, 0x1.3b1f401ac3514p-5, 0x1.3207d7a53f6b6p-5, 0x1.29305af22c5ecp-5, 0x1.209710e047949p-5, 0x1.183a4f6e09ecep-5, 0x1.10186f09c0bcfp-5, 0x1.082fde9b9fa9bp-5, 0x1.007f145464178p-5, 0x1.f209239bab15bp-6, 0x1.e37dc44bdacbap-6, 0x1.d5593753c8471p-6, 0x1.c798bc482b7ep-6, 0x1.ba39a676ff9a3p-6, 0x1.ad395bb1a1792p-6, 0x1.a09553c71763dp-6, 0x1.944b186ec5971p-6, 0x1.885844167838dp-6, 0x1.7cba82656191ep-6, 0x1.716f8e29987d3p-6, 0x1.667532875a04ep-6, 0x1.5bc94919b0d94p-6, 0x1.5169bb53dae45p-6, 0x1.47547f1a0ed9dp-6, 0x1.3d879a05be574p-6, 0x1.34011e4312ef5p-6, 0x1.2abf2ae63afe4p-6, 0x1.21bfec6ab4b94p-6, 0x1.19019a67fd828p-6, 0x1.108279e9ee488p-6, 0x1.0840dab1f529ep-6, 0x1.003b1801c6aafp-6, 0x1.f0df30cb6a0dp-7, 0x1.e1b999a66ace8p-7, 0x1.d3026140e1fbcp-7, 0x1.c4b692f06bdadp-7, 0x1.b6d34d1876353p-7, 0x1.a955c224bc906p-7, 0x1.9c3b368ebb402p-7, 0x1.8f81017ae1e09p-7, 0x1.83248a00007efp-7, 0x1.77234aeae5acep-7, 0x1.6b7acdff4848bp-7, 0x1.6028ae11911f6p-7, 0x1.552a9528319b8p-7, 0x1.4a7e3dcea6f38p-7, 0x1.40216efb9ee03p-7, 0x1.3612027f182fdp-7, 0x1.2c4ddbc1f4d7dp-7, 0x1.22d2f0164ad17p-7, 0x1.199f3fb91c301p-7, 0x1.10b0d973a753fp-7, 0x1.0805d76917de1p-7, 0x1.ff38c402fc76dp-8, 0x1.eee55987fae5bp-8, 0x1.df0deeaf8c14p-8, 0x1.cfaf193047346p-8, 0x1.c0c58632aaa5ep-8, 0x1.b24dfab931c84p-8, 0x1.a4454c2dc00e4p-8, 0x1.96a8695efb8a3p-8, 0x1.8974543d2a4f1p-8, 0x1.7ca61fbb0f6e6p-8, 0x1.703af78e76299p-8, 0x1.64301562a7fadp-8, 0x1.5882ca19fa2dcp-8, 0x1.4d3073399b1c4p-8, 0x1.423682672aeccp-8, 0x1.37927bee37d72p-8, 0x1.2d41f1d631022p-8, 0x1.234287cb05599p-8, 0x1.1991f07455a06p-8, 0x1.102def2952303p-8, 0x1.07145756eff18p-8, 0x1.fc860d49ff30ap-9, 0x1.eb6fdb5e2b9ecp-9, 0x1.dae210cd64802p-9, 0x1.cad8c3a0015d9p-9, 0x1.bb502267df1bp-9, 0x1.ac44761cbb503p-9, 0x1.9db221cc4a1e4p-9, 0x1.8f95a20542c5ap-9, 0x1.81eb864493528p-9, 0x1.74b07c87bf626p-9, 0x1.67e1450452a77p-9, 0x1.5b7ab62277e4p-9, 0x1.4f79c294b9f0cp-9, 0x1.43db6754b8521p-9, 0x1.389cbcd6aa0ecp-9, 0x1.2dbaf273b6da4p-9, 0x1.23334494bf651p-9, 0x1.19030380ebda9p-9, 0x1.0f279692e6aa2p-9, 0x1.059e76bc89eeap-9, 0x1.f8ca5430b5b56p-10, 0x1.e6f295f908cd4p-10, 0x1.d5b1109eed81dp-10, 0x1.c50135159c48p-10, 0x1.b4de9b85504e2p-10, 0x1.a544fc107e493p-10, 0x1.963028deca289p-10, 0x1.879c174edb97ap-10, 0x1.7984d9b4e80e6p-10, 0x1.6be6981e41283p-10, 0x1.5ebd9b769ed6dp-10, 0x1.5206467f556afp-10, 0x1.45bd13968d722p-10, 0x1.39de993fa0a49p-10, 0x1.2e67891d0a05dp-10, 0x1.2354a7f8d6d1bp-10, 0x1.18a2d329a78f6p-10, 0x1.0e4effdb7cb5p-10, 0x1.04563bcad4844p-10, 0x1.f56b460f9b38bp-11, 0x1.e2d4dedc25116p-11, 0x1.d0e3d82247c23p-11, 0x1.bf92efde59db6p-11, 0x1.aedd074b8782cp-11, 0x1.9ebd2f1fee33cp-11, 0x1.8f2e90a8530b9p-11, 0x1.802c843cad9fep-11, 0x1.71b27e6980882p-11, 0x1.63bc197978a23p-11, 0x1.5645104cfde42p-11, 0x1.494941e09aa7cp-11, 0x1.3cc497523537ap-11, 0x1.30b338c6e5593p-11, 0x1.25115ec05f25dp-11, 0x1.19db543c380d9p-11, 0x1.0f0d8a3a2f177p-11, 0x1.04a485fc53969p-11, 0x1.f53a08499fba2p-12, 0x1.e1e75b865c86fp-12, 0x1.cf4ac5736d8fp-12, 0x1.bd5e25aa7a21bp-12, 0x1.ac1b976cbdf3bp-12, 0x1.9b7d4e8aa6617p-12, 0x1.8b7db9285654fp-12, 0x1.7c177bf299eecp-12, 0x1.6d45581904f37p-12, 0x1.5f024032e42b6p-12, 0x1.5149381ab2e71p-12, 0x1.44158150d5552p-12, 0x1.37628cc6de611p-12, 0x1.2b2bd9aa8dea7p-12, 0x1.1f6d11f8eee73p-12, 0x1.142209b2d6a63p-12, 0x1.0946b1c980eecp-12, 0x1.fdae1c2804287p-13, 0x1.e99eb7f4c4d55p-13, 0x1.d657c96650a5p-13, 0x1.c3d23df4533b4p-13, 0x1.b2071c3458c8dp-13, 0x1.a0efb9f4acbdap-13, 0x1.9085b56d5b0bp-13, 0x1.80c297b6fd166p-13, 0x1.71a05da6319cbp-13, 0x1.63194b09109aap-13, 0x1.55279d2a415ddp-13, 0x1.47c5e750f633ep-13, 0x1.3aeebeb39e3f9p-13, 0x1.2e9cff67cb196p-13, 0x1.22cbef2bb89dep-13, 0x1.1776806133affp-13, 0x1.0c9824f1af666p-13, 0x1.022c5c36d9912p-13, 0x1.f05da8e8ba0cfp-14, 0x1.dd36b7df3ebf3p-14, 0x1.cadbeec4e0758p-14, 0x1.b945451dfa948p-14, 0x1.a86b11e5041c6p-14, 0x1.98465c7309ec7p-14, 0x1.88cfd888dffb8p-14, 0x1.7a01040b2407fp-14, 0x1.6bd2ff1eefa13p-14, 0x1.5e3f8a664b7ap-14, 0x1.51408d1981f8cp-14, 0x1.44d0309988034p-14, 0x1.38e89c3271f14p-14, 0x1.2d840378921f8p-14, 0x1.229dab0d37658p-14, 0x1.18507fcbc1231p-14, 0x1.0e54fbc20040bp-14, 0x1.04c899b1c09bap-14, 0x1.f74dbaed4a8b1p-15, 0x1.e5d6a3943ac54p-15, 0x1.d523349fd9774p-15, 0x1.c52bf56278323p-15, 0x1.b5e7ff4df753ap-15, 0x1.a7501b5a73062p-15, 0x1.995d16e3769bp-15, 0x1.8c07e3dc79166p-15, 0x1.7f49672c57e89p-15, 0x1.731b1ad1580e4p-15, 0x1.67771ac164723p-15, 0x1.5c56b8275cdf7p-15, 0x1.51b4dac435f4dp-15, 0x1.478b4195c2276p-15, 0x1.3dd4b7dcd4256p-15, 0x1.348c0dcf7cae4p-15, 0x1.2bac5a6f1771dp-15, 0x1.2330adc9bd4d3p-15, 0x1.1b147c856be6dp-15, 0x1.1352d99898c6cp-15, 0x1.0be8dbdab106cp-15, 0x1.04d12911c46b8p-15, 0x1.fc1061a9a59e5p-16, 0x1.ef14700d99f6fp-16, 0x1.e2a7470495a7p-16, 0x1.d6c1eb7f70877p-16, 0x1.cb5da4a7e76bep-16, 0x1.c0740eb4c6a73p-16, 0x1.b5ff5e6c2bc6bp-16, 0x1.abf94537f9a8bp-16, 0x1.a25c8cc4bb618p-16, 0x1.99239593611fep-16, 0x1.9049535f61342p-16, 0x1.87c8c8d1387dep-16, 0x1.7f9d46b7fd5aep-16, 0x1.77c269833e013p-16, 0x1.70337ab34c6b8p-16, 0x1.68ed1209b69e9p-16, 0x1.61eab7c4664ebp-16, 0x1.5b28cbe96612cp-16, 0x1.54a3c35525c3fp-16, 0x1.4e582f94abe29p-16, 0x1.4842f1c6e4717p-16, 0x1.4260a07882d28p-16, 0x1.3caea017d89c9p-16, 0x1.3729cc8ced673p-16, 0x1.31cf3f7be3aacp-16, 0x1.2c9d292e1f18cp-16, 0x1.2790bbebb04cfp-16, 0x1.22a7bd3c49dd2p-16, 0x1.1ddff309dca23p-16, 0x1.193728ba9de94p-16, 0x1.14ab7790b1c5ep-16, 0x1.103b2a5fcb694p-16, 0x1.0be443d72ec6fp-16, 0x1.07a568f28fa8fp-16, 0x1.037cce48d9622p-16, 0x1.fed1ee2213e04p-17, 0x1.f6d0d12248b42p-17, 0x1.eef3e91c472adp-17, 0x1.e73895443fc66p-17, 0x1.df9cc7bd968dbp-17, 0x1.d81da8a795a22p-17, 0x1.d0b9cbf17fda9p-17, 0x1.c96e265a74da6p-17, 0x1.c23b5ff9ae1c4p-17, 0x1.bb1c94a57aeeap-17, 0x1.b4124dd10b262p-17, 0x1.ad1a25d81962dp-17, 0x1.a6338fa5edb24p-17, 0x1.9f5c8f63f4b02p-17, 0x1.98941ce648599p-17, 0x1.91d925838f1b7p-17, 0x1.8b2ad376b8d3p-17, 0x1.848835610b76bp-17, 0x1.7df00e7cd6828p-17, 0x1.77615e9c8dddcp-17, 0x1.70dc4ed8a7235p-17, 0x1.6a5ff7bf31217p-17, 0x1.63eb8e454d4d3p-17, 0x1.5d7ec96099adap-17, 0x1.5718dd2b78e13p-17, 0x1.50b9d29f75046p-17, 0x1.4a60bdb8f933bp-17, 0x1.440dbbb423c21p-17, 0x1.3dc0b56a6518p-17, 0x1.3779374f52c0ap-17, 0x1.3135e31bb9296p-17, 0x1.2af8cbae3e50ap-17, 0x1.24c085c090d69p-17, 0x1.1e8d33657667fp-17, 0x1.185eeeed43a97p-17, 0x1.12350b4d412fbp-17, 0x1.0c10e88eddfcdp-17, 0x1.05f134d2271p-17, 0x1.ffad5f689a3b1p-18, 0x1.f382fb44740aap-18, 0x1.e761a9bc3fabp-18, 0x1.db4bf8be50d51p-18, 0x1.cf4145b03d261p-18, 0x1.c34219510eb91p-18, 0x1.b74e3aa663645p-18, 0x1.ab661b337eb06p-18, 0x1.9f8a7dddb5626p-18, 0x1.93bb27bab9589p-18, 0x1.87fa4a53ff339p-18, 0x1.7c45b54aac7a6p-18, 0x1.709f664ce1ca3p-18, 0x1.6507f9202b8d1p-18, 0x1.597f7d4499e93p-18, 0x1.4e06c6ef8e1aap-18, 0x1.429d5e94688dbp-18, 0x1.3744b1e46cf5bp-18, 0x1.2bfda65247f7dp-18, 0x1.20c7dfcc15a37p-18, 0x1.15a3866295ae4p-18, 0x1.0a923fb5f7adfp-18, 0x1.ff283b6234bdp-19, 0x1.e95301684956ep-19, 0x1.d3a67aacf0811p-19, 0x1.be23274165c15p-19, 0x1.a8c7dad94cea1p-19, 0x1.939cab8140625p-19, 0x1.7e990937a959p-19, 0x1.69c61831f3077p-19, 0x1.551e508c83dfdp-19, 0x1.40a7ac6ffedbfp-19, 0x1.2c60765e7295p-19, 0x1.184913ba66e28p-19, 0x1.0464e9870eeep-19, 0x1.e167d0a215d8ap-20, 0x1.ba6bdfabd119ap-20, 0x1.93d71fdf5e547p-20, 0x1.6db108ad9003cp-20, 0x1.47f13babad9aap-20, 0x1.22a105b68de28p-20, 0x1.fb7f175dc5a3bp-21, 0x1.b2a0892884d7bp-21, 0x1.6a990963d30e3p-21, 0x1.23841f51aa37ep-21, 0x1.baa37d78949c9p-22, 0x1.3013e1e8f9c6fp-22, 0x1.4ebbdbed5d0eap-23, 0x1.042baf9b492c8p-25, -0x1.91c753ca1ab13p-24, -0x1.cf0710a098c22p-23, -0x1.68a6c595c5e35p-22, -0x1.e7e7bf83bbc0bp-22, -0x1.329d61804417fp-21, -0x1.70458dfcf373p-21, -0x1.acf9c4d2c3815p-21, -0x1.e8ad484837013p-21, -0x1.11b55a0edecabp-20, -0x1.2e92676d2f731p-20, -0x1.4af0e1d61391p-20, -0x1.66cd2556da765p-20, -0x1.822ca3a092b33p-20, -0x1.9d0c4dd57b0eep-20, -0x1.b767d2f6c0442p-20, -0x1.d148848553a3ap-20, -0x1.ea9e0a965f58fp-20, -0x1.01bd15f27eddp-19, -0x1.0de910d122064p-19, -0x1.19d5433be794cp-19, -0x1.25804f132c607p-19, -0x1.30eab5e0c4f59p-19, -0x1.3c141a9e3ad56p-19, -0x1.46fec6ecad74ep-19, -0x1.51a56083a58f6p-19, -0x1.5c12e694fc25fp-19, -0x1.663a8f2a4c3aep-19, -0x1.7023c8ac36dabp-19, -0x1.79cdf056f2526p-19, -0x1.8337da70152e6p-19, -0x1.8c64180162beep-19, -0x1.9550a1ef3923p-19, -0x1.9dfe9951d0b55p-19, -0x1.a66e3319582b6p-19, -0x1.ae9ffcca3a3ap-19, -0x1.b693b0aaf02a1p-19, -0x1.be49d1b399188p-19, -0x1.c5c3824e53ebep-19, -0x1.cd00db4224c24p-19, -0x1.d3ff29d6b282ep-19, -0x1.dac84a4aed056p-19, -0x1.e150b7b65edcep-19, -0x1.e79f22c7feef1p-19, -0x1.edb2c5b59d6aep-19, -0x1.f38e47c494d62p-19, -0x1.f92f1218ac3c3p-19, -0x1.fe95187e856bcp-19, -0x1.01e32f08c95d3p-18, -0x1.045d7a7263205p-18, -0x1.06bd5a6b57285p-18, -0x1.0901a15fcad87p-18, -0x1.0b2add0392471p-18, -0x1.0d38ee301408bp-18, -0x1.0f2bbc82f867bp-18, -0x1.11053a7a2738ep-18, -0x1.12c3c41d94746p-18, -0x1.14689ec574c8dp-18, -0x1.15f42b0113567p-18, -0x1.176657552ba37p-18, -0x1.18bf6b010ce4cp-18, -0x1.1a004454f26a1p-18, -0x1.1b282343808b8p-18, -0x1.1c37fe3c85ab4p-18, -0x1.1d31646919794p-18, -0x1.1e12d7b4c2c8ap-18, -0x1.1edbbf5b57fd5p-18, -0x1.1f8f7e93b53a9p-18, -0x1.202c459563deap-18, -0x1.20b2dbf83bb1ep-18, -0x1.2123e54380ac6p-18, -0x1.217f1b26fdee5p-18, -0x1.21c5c1d9aaa1ap-18, -0x1.21f77ee8d825p-18, -0x1.221356b801204p-18, -0x1.221ca0c93584p-18, -0x1.221169719b851p-18, -0x1.21f2ff8f59202p-18, -0x1.21c1260133457p-18, -0x1.217c597bf377bp-18, -0x1.21255736d2ef9p-18, -0x1.20bb6591ac105p-18, -0x1.2040f6533c5e5p-18, -0x1.1fb1d0305d17fp-18, -0x1.1f16a0e3959b7p-18, -0x1.1e6698d8b1074p-18, -0x1.1da6cf069a2c5p-18, -0x1.1cd6f1a8093b3p-18, -0x1.1bf7801741683p-18, -0x1.1b07a960f2d13p-18, -0x1.1a096c6b3d986p-18, -0x1.18fb72bc20859p-18, -0x1.17df80c70bc55p-18, -0x1.16b4505e48617p-18, -0x1.157b7a0da1718p-18, -0x1.143689216e308p-18, -0x1.12e1ee42fc1c1p-18, -0x1.11818474b66b9p-18, -0x1.10139562b0f5fp-18, -0x1.0e99b668d5d58p-18, -0x1.0d13506877e9ep-18, -0x1.0b815d8ca6e5ep-18, -0x1.09e3b50ff7098p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.df7b52dfcdd63p-2, 0x1.d019207e914b2p-2, 0x1.b9ef3d9539cbdp-2, 0x1.9d7f40de52045p-2, 0x1.7b6e46d5609b7p-2, 0x1.547786c92d156p-2, 0x1.2961ab9ad6249p-2, 0x1.f5ed265718dfp-3, 0x1.93f90a0b0eca9p-3, 0x1.2e631d77354a6p-3, 0x1.8d1aa150e9d6ap-4, 0x1.76fb8bfcd82bdp-5, -0x1.5c233dca2b41p-8, -0x1.c9325b96bf51cp-5, -0x1.af396e9c7673dp-4, -0x1.3a0b1de06ad14p-3, -0x1.98f1876536c0dp-3, -0x1.f3c6d10061454p-3, -0x1.250dff4be028cp-2, -0x1.4dccd4ff84c24p-2, -0x1.73fecd60fe6e8p-2, -0x1.978c90006366p-2, -0x1.b867defcc9fbp-2, -0x1.d68a9204b66dp-2, -0x1.f1f538ac91ea6p-2, -0x1.0556eae8139dp-1, -0x1.105f814eec47fp-1, -0x1.1a1bb265ec728p-1, -0x1.22949cbdafe48p-1, -0x1.29d4e569164cp-1, -0x1.2fe86225934f8p-1, -0x1.34dbbf69ca07p-1, -0x1.38bc39b7f6d45p-1, -0x1.3b97319388309p-1, -0x1.3d7b09c47fe08p-1, -0x1.3e75e7396b17p-1, -0x1.3e96065e5dfb5p-1, -0x1.3de98c806c769p-1, -0x1.3c7e6fceed19fp-1, -0x1.3a626376d279bp-1, -0x1.37a2c6c2aeac7p-1, -0x1.344c967f89b48p-1, -0x1.306c60d0ce76cp-1, -0x1.2c0e3c1700963p-1, -0x1.273dc1385cd4ep-1, -0x1.220608902a803p-1, -0x1.1c71a81e1142p-1, -0x1.168ab2098485fp-1, -0x1.105ab36b21132p-1, -0x1.09eab3d2537bp-1, -0x1.034335d2ae632p-1, -0x1.f8d8717586a41p-2, -0x1.eada765f24432p-2, -0x1.dc9a7d71c804ap-2, -0x1.ce2597ae0fd3bp-2, -0x1.bf87ece98b7abp-2, -0x1.b0ccc4b7668c2p-2, -0x1.a1fe8ee995c88p-2, -0x1.9326ebe177322p-2, -0x1.844eb4d2b9d9dp-2, -0x1.757e04a23ab19p-2, -0x1.66bc4185d1a32p-2, -0x1.5810275368cb8p-2, -0x1.497fd222afb8bp-2, -0x1.3b10c8b927feep-2, -0x1.2cc80679d0d2bp-2, -0x1.1eaa04a2c7ed1p-2, -0x1.10bac3000b436p-2, -0x1.02fdd015ff1edp-2, -0x1.eaeca1fa99401p-3, -0x1.d04e11ce44723p-3, -0x1.b624c0a29cc73p-3, -0x1.9c74d7bd79c03p-3, -0x1.8341e57f7dfedp-3, -0x1.6a8ee8cf31b0fp-3, -0x1.525e5c7cecd76p-3, -0x1.3ab24108a384dp-3, -0x1.2387e7929ac05p-3, -0x1.0ceb5d40d4696p-3, -0x1.edad1967ced4cp-4, -0x1.c293a9a1f7836p-4, -0x1.988a8a5b6069dp-4, -0x1.6f9149935cabfp-4, -0x1.47a6f0dea1d8p-4, -0x1.20ca113066041p-4, -0x1.f5f19cb7097bap-5, -0x1.ac61d197f90d8p-5, -0x1.64df914be2d7ap-5, -0x1.1f650a8b0e7dfp-5, -0x1.b7d7bb50c2752p-6, -0x1.34da57734fd1dp-6, -0x1.6b8696aba82b3p-7, -0x1.d419af3230333p-9, 0x1.e7af881229c2dp-9, 0x1.617179f85cf99p-7, 0x1.20d63356be551p-6, 0x1.8d5fb028a378ap-6, 0x1.f666d23024734p-6, 0x1.2dfeaff0116ecp-5, 0x1.5f1a9b93b7c2fp-5, 0x1.8e901d3893fa7p-5, 0x1.bc6820ea8bf6dp-5, 0x1.e8ab873186c35p-5, 0x1.09b19033defd2p-4, 0x1.1e4bd3d887559p-4, 0x1.3228e0a97bbadp-4, 0x1.454cfbb3e1fa8p-4, 0x1.57bc5caa4d467p-4, 0x1.697b2cf998e95p-4, 0x1.7a8d8782a0bf6p-4, 0x1.8af7790420ca3p-4, 0x1.9abcff693573dp-4, 0x1.a9e209e7bf871p-4, 0x1.b86a78cf8fe17p-4, 0x1.c65a1d3054ab2p-4, 0x1.d3b4b87f8f2d9p-4, 0x1.e07dfc2dfc95ep-4, 0x1.ecb9893d3fcf2p-4, 0x1.f86aeeb879b1bp-4, 0x1.01cad4fab8f63p-3, 0x1.071e92c20d3ddp-3, 0x1.0c325c2cfa7a1p-3, 0x1.1107d2aa8bcdap-3, 0x1.15a08d706141cp-3, 0x1.19fe1947dd798p-3, 0x1.1e21f8814e97ep-3, 0x1.220da2ded573p-3, 0x1.25c285db4ef47p-3, 0x1.294204931ad19p-3, 0x1.2c8d783c1239bp-3, 0x1.2fa630470aaa5p-3, 0x1.328d72cc71813p-3, 0x1.35447ce59e4eep-3, 0x1.37cc830ac1999p-3, 0x1.3a26b179dddf6p-3, 0x1.3c542c98dc096p-3, 0x1.3e56119013d8fp-3, 0x1.402d76784433p-3, 0x1.41db6ad7c2cf2p-3, 0x1.4360f7fe1f661p-3, 0x1.44bf21722543ap-3, 0x1.45f6e51432f8cp-3, 0x1.47093b95089bep-3, 0x1.47f718a7f75b9p-3, 0x1.48c16b1ca5af1p-3, 0x1.49691d693cd3ap-3, 0x1.49ef15488216fp-3, 0x1.4a543447ed534p-3, 0x1.4a9957cb67b52p-3, 0x1.4abf58fd5a58ap-3, 0x1.4ac70cfb36e71p-3, 0x1.4ab144dd517f1p-3, 0x1.4a7ecdd6fe6ap-3, 0x1.4a3071111d7dp-3, 0x1.49c6f3bc3e6f2p-3, 0x1.4943176ac5667p-3, 0x1.48a599871570cp-3, 0x1.47ef341493b01p-3, 0x1.47209d19de8bbp-3, 0x1.463a8721b1979p-3, 0x1.453da13afd543p-3, 0x1.442a96d1ded21p-3, 0x1.43021029f7f14p-3, 0x1.41c4b2272bbe7p-3, 0x1.40731e9cbef91p-3, 0x1.3f112b9a1ce8dp-3, 0x1.3d98f3a9afbf3p-3, 0x1.3c0e4c65672ap-3, 0x1.3a71cd39f41adp-3, 0x1.38c40b83fa842p-3, 0x1.370599c1fde6fp-3, 0x1.353708cd1e7b2p-3, 0x1.3358e71219bcp-3, 0x1.316bc12170a7dp-3, 0x1.2f7021752d02cp-3, 0x1.2d6690a119c6dp-3, 0x1.2b4f954f1c1d6p-3, 0x1.292bb45ec457bp-3, 0x1.26fb70e4758ccp-3, 0x1.24bf4c1f626abp-3, 0x1.2277c5a05c66dp-3, 0x1.20255b2b87584p-3, 0x1.1dc888ed193b5p-3, 0x1.1b61c92060b5bp-3, 0x1.18f19490d95f1p-3, 0x1.1678622e3bb4cp-3, 0x1.13f6a72d278c4p-3, 0x1.116cd72dd7fe3p-3, 0x1.0edb63d2b112p-3, 0x1.0c42bd56d6613p-3, 0x1.09a35200092bcp-3, 0x1.06fd8e5b6452p-3, 0x1.0451dd510d5ecp-3, 0x1.01a0a7e1396cdp-3, 0x1.fdd4aa92afc5cp-4, 0x1.f85e962540f42p-4, 0x1.f2dfd97b3b20ep-4, 0x1.ed5938df77bbap-4, 0x1.e7cb743b766ddp-4, 0x1.e237480680274p-4, 0x1.dc9d6d35c7529p-4, 0x1.d6fe9929e9c6ap-4, 0x1.d15b7d820300fp-4, 0x1.cbb4c858351acp-4, 0x1.c60b240e6f91bp-4, 0x1.c05f379bbe7d9p-4, 0x1.bab1a5dfd6f8ep-4, 0x1.b5030ef0da9ep-4, 0x1.af540e58e2bfap-4, 0x1.a9a53cf43bf32p-4, 0x1.a3f72f73a26f7p-4, 0x1.9e4a775281e3cp-4, 0x1.989fa20788dc7p-4, 0x1.92f73a2a8b812p-4, 0x1.8d51c63ece96fp-4, 0x1.87afc9a0a15d3p-4, 0x1.8211c3ce3167bp-4, 0x1.7c783140152e9p-4, 0x1.76e38ad9e3cd1p-4, 0x1.71544580104afp-4, 0x1.6bcad387dd361p-4, 0x1.6647a32a943bap-4, 0x1.60cb1f5e1198bp-4, 0x1.5b55b014f989fp-4, 0x1.55e7b96d1fc65p-4, 0x1.50819ca1c5026p-4, 0x1.4b23b714edb88p-4, 0x1.45ce631fffd0ap-4, 0x1.4081f7fe52372p-4, 0x1.3b3ec951ce23cp-4, 0x1.360527baac94cp-4, 0x1.30d5606d43851p-4, 0x1.2bafbda6f550cp-4, 0x1.269486ae4f511p-4, 0x1.2183ff08c8e43p-4, 0x1.1c7e67b7661p-4, 0x1.1783fe53099bp-4, 0x1.1294fdc2a681bp-4, 0x1.0db19db72a601p-4, 0x1.08da12ea982bbp-4, 0x1.040e8f5273c45p-4, 0x1.fe9e840a17bc9p-5, 0x1.f538ae0c39d05p-5, 0x1.ebebefef5a581p-5, 0x1.e2b896f3c3fefp-5, 0x1.d99eeaf6cdf2ep-5, 0x1.d09f2f3a659e2p-5, 0x1.c7b9a0b270dfep-5, 0x1.beee77e49f9dbp-5, 0x1.b63de8c6ee092p-5, 0x1.ada8218ecf723p-5, 0x1.a52d4bc9bbc92p-5, 0x1.9ccd8cde262bbp-5, 0x1.94890573ea29ap-5, 0x1.8c5fd1547d665p-5, 0x1.84520819d4104p-5, 0x1.7c5fbda44ed43p-5, 0x1.748900d4edf52p-5, 0x1.6ccddce3cfb2ep-5, 0x1.652e594730405p-5, 0x1.5daa7927b209p-5, 0x1.56423c606b3b5p-5, 0x1.4ef59f2e43d1p-5, 0x1.47c499f2c0e7p-5, 0x1.40af21d207dc8p-5, 0x1.39b528d2ed14p-5, 0x1.32d69d60bc621p-5, 0x1.2c136b383abdfp-5, 0x1.256b7b03693cep-5, 0x1.1edeb24ffa387p-5, 0x1.186cf41b2041cp-5, 0x1.1216209435964p-5, 0x1.0bda157429f52p-5, 0x1.05b8add38463ep-5, 0x1.ff6384dbf669bp-6, 0x1.f38a53c68508p-6, 0x1.e7e570fd545abp-6, 0x1.dc7480b0763f6p-6, 0x1.d1372380f626ap-6, 0x1.c62cf5ba08c64p-6, 0x1.bb5590871e26ep-6, 0x1.b0b0891399abfp-6, 0x1.a63d71a035fddp-6, 0x1.9bfbd92f72d42p-6, 0x1.91eb4bde81f3fp-6, 0x1.880b52644506p-6, 0x1.7e5b73b4421c6p-6, 0x1.74db3451bc594p-6, 0x1.6b8a15679b61ap-6, 0x1.626796a270db2p-6, 0x1.5973356fd0609p-6, 0x1.50ac6e7fc4e49p-6, 0x1.4812ba9eb2801p-6, 0x1.3fa5928202786p-6, 0x1.37646d10f011p-6, 0x1.2f4ec00fc2a51p-6, 0x1.2763ff6b90dep-6, 0x1.1fa39e550ee14p-6, 0x1.180d0f6e16319p-6, 0x1.109fc42a41a99p-6, 0x1.095b2d22979e3p-6, 0x1.023eba40d7c37p-6, 0x1.f693b5bf0eed1p-7, 0x1.e8f7fd8528c4cp-7, 0x1.dba928b2aa321p-7, 0x1.cea61493e670ep-7, 0x1.c1ed9e7ebd595p-7, 0x1.b57ea33fc2fbbp-7, 0x1.a957ff8e52f0ap-7, 0x1.9d78911e032dp-7, 0x1.91df353c5149bp-7, 0x1.868acb2322a08p-7, 0x1.7b7a311c31f71p-7, 0x1.70ac47bee9537p-7, 0x1.661ff05833371p-7, 0x1.5bd40c3db674fp-7, 0x1.51c77f399a9ap-7, 0x1.47f92ee72bc82p-7, 0x1.3e6801726d957p-7, 0x1.3512df175acffp-7, 0x1.2bf8b152e91eep-7, 0x1.231863eaa797bp-7, 0x1.1a70e5efb3baap-7, 0x1.120125a9bcd09p-7, 0x1.09c815674d1c4p-7, 0x1.01c4a9528cc9dp-7, 0x1.f3ebafc96dd58p-8, 0x1.e4b533ca313acp-8, 0x1.d5e3d5c5295b9p-8, 0x1.c7759062c5347p-8, 0x1.b96863f67026bp-8, 0x1.abba57cb1439bp-8, 0x1.9e6975d94c425p-8, 0x1.9173d1c24e341p-8, 0x1.84d77f55befaep-8, 0x1.78929bbe53537p-8, 0x1.6ca349669f147p-8, 0x1.6107b01876c24p-8, 0x1.55bdfd60041d2p-8, 0x1.4ac4640888b66p-8, 0x1.4019209d040a1p-8, 0x1.362d1f27577fep-8, 0x1.2c15a7dcf73edp-8, 0x1.2247287daaf52p-8, 0x1.18bff99e153ep-8, 0x1.0f7e79a44c806p-8, 0x1.06810ce6625dfp-8, 0x1.fb8c42fbd600fp-9, 0x1.ea984cb1dff56p-9, 0x1.da232a22d70c9p-9, 0x1.ca29d99068cbp-9, 0x1.baa9666ee1261p-9, 0x1.ab9ee4f9f88ecp-9, 0x1.9d077a22fe185p-9, 0x1.8ee058b97d949p-9, 0x1.8126bb2181036p-9, 0x1.73d7ee404972cp-9, 0x1.66f144c598887p-9, 0x1.5a702236463e9p-9, 0x1.4e51f565c7272p-9, 0x1.4294394a8b50ap-9, 0x1.373473c9b0b05p-9, 0x1.2c3037c10ca39p-9, 0x1.21852158cded4p-9, 0x1.1730e18c3a526p-9, 0x1.0d3127b3514dfp-9, 0x1.0383b69cdd68ep-9, 0x1.f44cb7117b4p-10, 0x1.e22ddc1f9b6bep-10, 0x1.d0a6a2b010df9p-10, 0x1.bfb2e7014ee5ep-10, 0x1.af4e9b277ea7p-10, 0x1.9f75c882c65dbp-10, 0x1.902488f715361p-10, 0x1.815710c95b00cp-10, 0x1.7309a7ae8cb97p-10, 0x1.6538aa9b0e596p-10, 0x1.57e0869953d81p-10, 0x1.4afdc05b8fe5cp-10, 0x1.3e8cf2b4cccfap-10, 0x1.328ac8e3be44ap-10, 0x1.26f4040d51923p-10, 0x1.1bc5748ef6cecp-10, 0x1.10fbff59a2c0fp-10, 0x1.06949efd3a17ap-10, 0x1.f918b9d5c58d2p-11, 0x1.e5c0aefeebb34p-11, 0x1.d31b748da2f59p-11, 0x1.c1238dc8f1eb1p-11, 0x1.afd39d9b3a978p-11, 0x1.9f266533f0528p-11, 0x1.8f16d0ffc869ep-11, 0x1.7f9fe47d8cbe6p-11, 0x1.70bcc8021e344p-11, 0x1.6268bfaee1c88p-11, 0x1.549f30e263a57p-11, 0x1.475ba10a69a7dp-11, 0x1.3a99b19efb9a8p-11, 0x1.2e551f6654dbep-11, 0x1.2289c88b336b4p-11, 0x1.1733a1179f94fp-11, 0x1.0c4ebc9234e2ap-11, 0x1.01d745c03e514p-11, 0x1.ef930a0833f05p-12, 0x1.dc43b34cd7486p-12, 0x1.c9b97ff980b9fp-12, 0x1.b7ed838a8d91p-12, 0x1.a6d9205f87fp-12, 0x1.9675c563a253ep-12, 0x1.86bd4726ac231p-12, 0x1.77a94d727837fp-12, 0x1.69340645fa1d3p-12, 0x1.5b579243313c8p-12, 0x1.4e0e5cde33c3cp-12, 0x1.4152e8be66d9ap-12, 0x1.351fe31c47cep-12, 0x1.2970252e5069cp-12, 0x1.1e3eb257d181ap-12, 0x1.1386b6a811a91p-12, 0x1.09437b6f3bb11p-12, 0x1.fee0dfe2d3e33p-13, 0x1.ec1281d1a230fp-13, 0x1.da134b5443e71p-13, 0x1.c8daf74210edp-13, 0x1.b861b4b7a9643p-13, 0x1.a89fa13bd0e1cp-13, 0x1.998d9461af2b2p-13, 0x1.8b24264d2aa01p-13, 0x1.7d5c8286d633cp-13, 0x1.70302dbe1f401p-13, 0x1.6398929ddd76dp-13, 0x1.578f63d26b69ep-13, 0x1.4c0eddf08a153p-13, 0x1.41112756eb809p-13, 0x1.3690b64a5d38dp-13, 0x1.2c883625e45b5p-13, 0x1.22f26dbd60593p-13, 0x1.19ca7e7507019p-13, 0x1.110b8d8d9133dp-13, 0x1.08b106a24f4p-13, 0x1.00b67bcc0b07fp-13, 0x1.f22f1fb9f458p-14, 0x1.e3a089f0a7a06p-14, 0x1.d5b91164555acp-14, 0x1.c8714665a4b54p-14, 0x1.bbc19ace6019dp-14, 0x1.afa3094163f83p-14, 0x1.a40ec7d21d7d8p-14, 0x1.98fe32d2cf882p-14, 0x1.8e6b49ecd7ce5p-14, 0x1.844f70fe0e272p-14, 0x1.7aa53dd63f305p-14, 0x1.7166ff3998302p-14, 0x1.688f4e0209b4ep-14, 0x1.601917b6730c8p-14, 0x1.57ff14e15361fp-14, 0x1.503ce03725cc9p-14, 0x1.48cdcba74167ep-14, 0x1.41ad7e7bc5b5ep-14, 0x1.3ad77b557182dp-14, 0x1.344836f794f97p-14, 0x1.2dfba1062bebep-14, 0x1.27eddbb00d706p-14, 0x1.221bc7edf8b9fp-14, 0x1.1c81ab9403649p-14, 0x1.171c7e36cc43dp-14, 0x1.11e961cfa2f91p-14, 0x1.0ce4de252835ep-14, 0x1.080cca6b09effp-14, 0x1.035ddc29ab8f4p-14, 0x1.fdac39189dc69p-15, 0x1.f4e57d5755afcp-15, 0x1.ec63462d0d51bp-15, 0x1.e4216ded22ed9p-15, 0x1.dc1b87ff0d3c5p-15, 0x1.d44ddc71baf9bp-15, 0x1.ccb4353507898p-15, 0x1.c54bb2625d65cp-15, 0x1.be10c634ea34bp-15, 0x1.b6ffc79f9c02p-15, 0x1.b016a77cff627p-15, 0x1.a952424d0cfa3p-15, 0x1.a2af32df2036bp-15, 0x1.9c2c44765deabp-15, 0x1.95c6476d8a9e4p-15, 0x1.8f7b5d8e33501p-15, 0x1.894962a6dd783p-15, 0x1.832e710e0ba26p-15, 0x1.7d28aeb23990ap-15, 0x1.773692786e2f1p-15, 0x1.715666c5530bp-15, 0x1.6b86cdddee267p-15, 0x1.65c61fd69815bp-15, 0x1.6013a204c1272p-15, 0x1.5a6db1cd14657p-15, 0x1.54d3a572c8097p-15, 0x1.4f4395471bd23p-15, 0x1.49bdc097732d4p-15, 0x1.44409b83a4509p-15, 0x1.3ecb9bdee4444p-15, 0x1.395e1430e019p-15, 0x1.33f6d8e194154p-15, 0x1.2e9658e4d6d68p-15, 0x1.293ae0666225bp-15, 0x1.23e58534f6a9ep-15, 0x1.1e946508bab21p-15, 0x1.194810704a6f6p-15, 0x1.13ffb6d870b21p-15, 0x1.0ebb944096b97p-15, 0x1.097b0d84e9a9dp-15, 0x1.043e4b035e79fp-15, 0x1.fe09839f4535ep-16, 0x1.f39df9288fe89p-16, 0x1.e9374396bcdcp-16, 0x1.ded8401f67b1p-16, 0x1.d47fc3b343c62p-16, 0x1.ca2d311d8521fp-16, 0x1.bfe1bd3774c2dp-16, 0x1.b59bd906a4641p-16, 0x1.ab5d647eb77adp-16, 0x1.a1265481cdf56p-16, 0x1.96f60c6123848p-16, 0x1.8ccda7fb1b60ap-16, 0x1.82acff1c6f635p-16, 0x1.7894f656b731ep-16, 0x1.6e850a65edc9ap-16, 0x1.647ebc805fc8ap-16, 0x1.5a81d694a9bedp-16, 0x1.508e47f695c5cp-16, 0x1.46a526dd7e333p-16, 0x1.3cc767ef33a2cp-16, 0x1.32f4e2e79f357p-16, 0x1.292da470b13a7p-16, 0x1.1f72e053f591p-16, 0x1.15c5aac6165d6p-16, 0x1.0c247877b6102p-16, 0x1.02925967bd5a2p-16, 0x1.f21b560309adcp-17, 0x1.df30b2a66de58p-17, 0x1.cc63e51a7a97cp-17, 0x1.b9b73449f8b4bp-17, 0x1.a72be42633b4p-17, 0x1.94c1a129ffb6cp-17, 0x1.827a6e703bf99p-17, 0x1.70576dbe15a3p-17, 0x1.5e585a24d7843p-17, 0x1.4c7fc57fa7d99p-17, 0x1.3ace041630dd7p-17, 0x1.2943208e7a3cap-17, 0x1.17e1ac36cfdc7p-17, 0x1.06a9d052a9996p-17, 0x1.eb34e2085765ep-18, 0x1.c96fa830991acp-18, 0x1.a801d565651bcp-18, 0x1.86eccb632a192p-18, 0x1.66322a9b76fe6p-18, 0x1.45d5fecd138b1p-18, 0x1.25d5bf4cfb314p-18, 0x1.0636e8c8e7cb8p-18, 0x1.cdeb168424a66p-19, 0x1.902eaed7b6757p-19, 0x1.5343bb93ef7e1p-19, 0x1.1712cd098290cp-19, 0x1.b76b96dd1604ap-20, 0x1.4243c07a0f1a7p-20, 0x1.9d71550ebc622p-21, 0x1.7370e7491ef1bp-22, -0x1.361cbfbcc01adp-24, -0x1.03e15788d9fcfp-21, -0x1.ddadef06751e6p-21, -0x1.5a001c2d671ecp-20, -0x1.c38865651239fp-20, -0x1.15a8a825c5571p-19, -0x1.48b00fda302f1p-19, -0x1.7adb26636bdb9p-19, -0x1.ac2a3903bb012p-19, -0x1.dc98240dbc395p-19, -0x1.061513967636ap-18, -0x1.1d6c03a8f20b9p-18, -0x1.345548e5e4cb2p-18, -0x1.4ac9d1bc811d5p-18, -0x1.60d0e1a570786p-18, -0x1.76690ea342bb7p-18, -0x1.8b8b3817cde03p-18, -0x1.a040df45d018ap-18, -0x1.b482977babff3p-18, -0x1.c8542bfe503c7p-18, -0x1.dbb6169658a0cp-18, -0x1.eea6da22d483dp-18, -0x1.00932ca98722ep-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.bd50c695701dap-2, 0x1.bfc99a679979fp-2, 0x1.c047d5511dd82p-2, 0x1.bebf890c9ac49p-2, 0x1.bb32ce72c4539p-2, 0x1.b5af007ab0b7cp-2, 0x1.ae4a445e36cf7p-2, 0x1.a5215b3de6736p-2, 0x1.9a55cb9b84dfcp-2, 0x1.8e0c3e9fff874p-2, 0x1.806b3b5ea988bp-2, 0x1.719a1d8588572p-2, 0x1.61c021a0310f4p-2, 0x1.5103c2117b26ap-2, 0x1.3f8a2a6d46fa7p-2, 0x1.2d76d9d5138d1p-2, 0x1.1aeb63ad1120fp-2, 0x1.0807371cb263p-2, 0x1.e9cef326a4933p-3, 0x1.c34dfac6c4bb4p-3, 0x1.9cbc92cb76a0fp-3, 0x1.7647458afeea5p-3, 0x1.501634c677e1p-3, 0x1.2a4d431515edcp-3, 0x1.050c49b8ebe48p-3, 0x1.c0dea5fc9c25ap-4, 0x1.791daad0a51adp-4, 0x1.32ffda5ace569p-4, 0x1.dd5259a769b2ep-5, 0x1.586fc4d11b9f3p-5, 0x1.af140b6ca8bd6p-6, 0x1.6b26316fc803p-7, -0x1.db20f7ef4b495p-9, -0x1.23a221f01b23ap-6, -0x1.018356be0d0a3p-5, -0x1.6cbedea2eea92p-5, -0x1.d37f955102682p-5, -0x1.1ae34bd75dcb8p-4, -0x1.49cccff7bfb98p-4, -0x1.76813c75763f7p-4, -0x1.a1073e9ae2cb1p-4, -0x1.c9670fb49072cp-4, -0x1.efaa3ebc831a8p-4, -0x1.09edc0a721817p-3, -0x1.1b0341c6403fep-3, -0x1.2b1bdfe034a06p-3, -0x1.3a3e2c26bdc3ep-3, -0x1.4870fb6c043c3p-3, -0x1.55bb577bd8377p-3, -0x1.622470e0a3069p-3, -0x1.6db3928c5667cp-3, -0x1.787016c24e5ccp-3, -0x1.82615dbfbb44fp-3, -0x1.8b8ec5cae115fp-3, -0x1.93ffa40a90ee1p-3, -0x1.9bbb3da067386p-3, -0x1.a2c8c163287d3p-3, -0x1.a92f42996d883p-3, -0x1.aef5b4d722917p-3, -0x1.b422e8b78d7cp-3, -0x1.b8bd896ad0e9bp-3, -0x1.bccc1a4254f3bp-3, -0x1.c054f4e4f2d06p-3, -0x1.c35e473d7bab6p-3, -0x1.c5ee11d2a11c2p-3, -0x1.c80a26d4ed782p-3, -0x1.c9b8298fdb1cfp-3, -0x1.cafd8eb3fa685p-3, -0x1.cbdf9bbef6d72p-3, -0x1.cc6368a311fd3p-3, -0x1.cc8ddeee2127ap-3, -0x1.cc63bad12112bp-3, -0x1.cbe98b5e76ac8p-3, -0x1.cb23b2fc3b493p-3, -0x1.ca1668264b36p-3, -0x1.c8c5b6acc8a01p-3, -0x1.c735803ffab78p-3, -0x1.c56947f3f3aa4p-3, -0x1.c36509d4255edp-3, -0x1.c12c0138cf3fp-3, -0x1.bec1746a25ed9p-3, -0x1.bc2885d9fcc5cp-3, -0x1.b964349397dc8p-3, -0x1.b6775dc5ec22p-3, -0x1.b364bdb73acd3p-3, -0x1.b02ef106e0af8p-3, -0x1.acd875aa01281p-3, -0x1.a963ac31a8041p-3, -0x1.a5d2d8a48b9d2p-3, -0x1.a22823b066d91p-3, -0x1.9e659c06ae12cp-3, -0x1.9a8d36856a894p-3, -0x1.96a0d00b19e4ap-3, -0x1.92a22dfff61f1p-3, -0x1.8e92ff6b247aep-3, -0x1.8a74ddc794d38p-3, -0x1.86494df15196cp-3, -0x1.8211c12a7537bp-3, -0x1.7dcf95b6bb5f4p-3, -0x1.798417c492949p-3, -0x1.75308259d5cd6p-3, -0x1.70d5fff401177p-3, -0x1.6c75ab4ff7d75p-3, -0x1.68108ff8ceb49p-3, -0x1.63a7ab513424ap-3, -0x1.5f3becd5477d1p-3, -0x1.5ace372340dc3p-3, -0x1.565f601102776p-3, -0x1.51f031dc29a1ep-3, -0x1.4d816b755c51p-3, -0x1.4913c0dedb7ap-3, -0x1.44a7dbf4bc8b4p-3, -0x1.403e5cc45fe08p-3, -0x1.3bd7da0a2b6cep-3, -0x1.3774e1a9dea5cp-3, -0x1.3315f911e9c68p-3, -0x1.2ebb9d9f725c5p-3, -0x1.2a6644ff2e95p-3, -0x1.26165da455cdp-3, -0x1.21cc4f0e6cf19p-3, -0x1.1d887a27175b3p-3, -0x1.194b3981085d4p-3, -0x1.1514e1d7696ddp-3, -0x1.10e5c2328f032p-3, -0x1.0cbe243ac100fp-3, -0x1.089e4c8604321p-3, -0x1.04867ae123424p-3, -0x1.0076ea669637ap-3, -0x1.f8dfa3f7f101fp-4, -0x1.f0e2c8820a43fp-4, -0x1.e8f7a0300ab21p-4, -0x1.e11e80ff82613p-4, -0x1.d957ba0cd9563p-4, -0x1.d1a393bea8ac9p-4, -0x1.ca02502cad713p-4, -0x1.c2742b6e807b7p-4, -0x1.baf95bdd4c137p-4, -0x1.b39212706ff89p-4, -0x1.ac3e7b25b9b09p-4, -0x1.a4febceb43d8bp-4, -0x1.9dd2fa2e0deecp-4, -0x1.96bb51137afecp-4, -0x1.8fb7db8296d2cp-4, -0x1.88c8af7985c8ep-4, -0x1.81eddf4b533cep-4, -0x1.7b2779a2b9aap-4, -0x1.747589ecf17f9p-4, -0x1.6dd818563e006p-4, -0x1.674f29ea804fp-4, -0x1.60dac0efce26fp-4, -0x1.5a7add069bb55p-4, -0x1.542f7ae246e3fp-4, -0x1.4df89506a4948p-4, -0x1.47d6238557265p-4, -0x1.41c81c468de78p-4, -0x1.3bce72fa38403p-4, -0x1.35e91972ab33p-4, -0x1.3017ff79174e6p-4, -0x1.2a5b134e046edp-4, -0x1.24b24136df5dap-4, -0x1.1f1d73dbe6fe5p-4, -0x1.199c94b2b73b7p-4, -0x1.142f8b55e27e3p-4, -0x1.0ed63e69a7d1ep-4, -0x1.099092d34b4a9p-4, -0x1.045e6e9c3d818p-4, -0x1.fe7f5be68d6b5p-5, -0x1.f4686e247dd1ap-5, -0x1.ea77d537e344ep-5, -0x1.e0ad5010e1a89p-5, -0x1.d7089cd25eff6p-5, -0x1.cd897695eb1p-5, -0x1.c42f97841033fp-5, -0x1.bafab7f1c8973p-5, -0x1.b1ea8eb6fbbe7p-5, -0x1.a8fed19080272p-5, -0x1.a0373469f080ep-5, -0x1.97936a70a2f0fp-5, -0x1.8f1324dd19687p-5, -0x1.86b614d74e387p-5, -0x1.7e7be9ba3f712p-5, -0x1.766452367f37bp-5, -0x1.6e6efc0585b5bp-5, -0x1.669b94653767cp-5, -0x1.5ee9c694d4c62p-5, -0x1.57593e7e6c5e4p-5, -0x1.4fe9a6bee0317p-5, -0x1.489aa94138f8fp-5, -0x1.416befc73e7d2p-5, -0x1.3a5d22f9e5b45p-5, -0x1.336deb6e68dd8p-5, -0x1.2c9df13ce479fp-5, -0x1.25ecdc08a2536p-5, -0x1.1f5a53049d4abp-5, -0x1.18e5fd7284fb4p-5, -0x1.128f81fa326ep-5, -0x1.0c56876663a1cp-5, -0x1.063ab3b08fb12p-5, -0x1.003bad7934edcp-5, -0x1.f4b2357b05c68p-6, -0x1.e9254387abf41p-6, -0x1.ddcfd0edd47a2p-6, -0x1.d2b12a0208167p-6, -0x1.c7c89ad19648p-6, -0x1.bd156ffd63886p-6, -0x1.b296f5a969f1ep-6, -0x1.a84c79d15ab7dp-6, -0x1.9e354856d9dddp-6, -0x1.9450affa7a341p-6, -0x1.8a9dfddc031ecp-6, -0x1.811c811a325acp-6, -0x1.77cb885f6d5eep-6, -0x1.6eaa6405cc72ap-6, -0x1.65b863bd62affp-6, -0x1.5cf4d8d32f1dfp-6, -0x1.545f152be817p-6, -0x1.4bf66b7d3c63ap-6, -0x1.43ba2f58c3e78p-6, -0x1.3ba9b4308128p-6, -0x1.33c4504e311a1p-6, -0x1.2c09599f8450cp-6, -0x1.247826ebdf6afp-6, -0x1.1d10119a4cd56p-6, -0x1.15d0721bdeec9p-6, -0x1.0eb8a33371345p-6, -0x1.07c80025ed751p-6, -0x1.00fde64e07effp-6, -0x1.f4b367218a164p-7, -0x1.e7b58dd3369c6p-7, -0x1.db0101dd48d51p-7, -0x1.ce94884ee6d7cp-7, -0x1.c26ee66d2c1eap-7, -0x1.b68ee54ded65dp-7, -0x1.aaf34ff5893a3p-7, -0x1.9f9af6ec3bf46p-7, -0x1.9484aa3a8158fp-7, -0x1.89af3eccdb8b9p-7, -0x1.7f198bcb64449p-7, -0x1.74c26b5ff004p-7, -0x1.6aa8bb2db2c47p-7, -0x1.60cb5af8ce50dp-7, -0x1.57292e6c6e3fp-7, -0x1.4dc11c8a092a1p-7, -0x1.44920deea0a25p-7, -0x1.3b9aefea8be46p-7, -0x1.32dab2a173316p-7, -0x1.2a5047e1eff25p-7, -0x1.21faa77ecfd24p-7, -0x1.19d8cacb343bfp-7, -0x1.11e9ad636a1e3p-7, -0x1.0a2c5083c84b1p-7, -0x1.029fb70900b22p-7, -0x1.f685d01849c7cp-8, -0x1.e829d87811f66p-8, -0x1.da29a438b270ap-8, -0x1.cc8352d8a9637p-8, -0x1.bf350b407fb1ep-8, -0x1.b23cfc65b82c1p-8, -0x1.a5995b2df7fdp-8, -0x1.9948628e16558p-8, -0x1.8d4854e99fb12p-8, -0x1.81977a8303f6ep-8, -0x1.7634206046d11p-8, -0x1.6b1c9e861f302p-8, -0x1.604f5018b710cp-8, -0x1.55ca97a7b080cp-8, -0x1.4b8cdeb7e22cp-8, -0x1.419494f218b41p-8, -0x1.37e02d60c401dp-8, -0x1.2e6e28eb81f57p-8, -0x1.253d070b020abp-8, -0x1.1c4b51da0d30fp-8, -0x1.1397989ec5267p-8, -0x1.0b2070bc8506p-8, -0x1.02e476182272fp-8, -0x1.f5c494a731b8dp-9, -0x1.e6312add298edp-9, -0x1.d70c0cf2bd14fp-9, -0x1.c8529e68068cep-9, -0x1.ba0257db8f055p-9, -0x1.ac18b7d1ccb0fp-9, -0x1.9e934a64f7acbp-9, -0x1.916fa6a360881p-9, -0x1.84ab6f1c598a5p-9, -0x1.78444fddd0518p-9, -0x1.6c380a43d9dc5p-9, -0x1.60845ccb729p-9, -0x1.55271629fa761p-9, -0x1.4a1e13f46d702p-9, -0x1.3f673ae7ef42ep-9, -0x1.35007e3e3326ep-9, -0x1.2ae7ce5fb241cp-9, -0x1.211b3f19916c5p-9, -0x1.1798d37802aa1p-9, -0x1.0e5eac1359cacp-9, -0x1.056ae9d0930dbp-9, -0x1.f97775f573536p-10, -0x1.e89eb471e5e39p-10, -0x1.d84806f5694d5p-10, -0x1.c87005558bdc9p-10, -0x1.b91353332968bp-10, -0x1.aa2eb95598e62p-10, -0x1.9bbef80e7544fp-10, -0x1.8dc0ed7982628p-10, -0x1.80318d9c9b656p-10, -0x1.730dd7e22d19fp-10, -0x1.6652de77ab526p-10, -0x1.59fdc2a59f447p-10, -0x1.4e0bbfea17045p-10, -0x1.427a13dd0d778p-10, -0x1.37461416c1392p-10, -0x1.2c6d23f5ae29dp-10, -0x1.21ecbb03707e9p-10, -0x1.17c2570c132ep-10, -0x1.0deb8804894b6p-10, -0x1.0465f70fde551p-10, -0x1.f65ea2c4d9a8bp-11, -0x1.e48a9b0e6905p-11, -0x1.d34b735353f44p-11, -0x1.c29cda21fcfd3p-11, -0x1.b27aadebfc24ep-11, -0x1.a2e0cb02d74a1p-11, -0x1.93cb1fac978fbp-11, -0x1.8535dd453d6c9p-11, -0x1.771d3219247f4p-11, -0x1.697d6650fb915p-11, -0x1.5c52e0a943cap-11, -0x1.4f9a1c2e34c7ap-11, -0x1.434f9d9d76df8p-11, -0x1.377023352b358p-11, -0x1.2bf87717bb956p-11, -0x1.20e54aa74dccp-11, -0x1.16339a8900a9fp-11, -0x1.0be05def0abacp-11, -0x1.01e8af8aca2f1p-11, -0x1.f09367a5238c9p-12, -0x1.de0149e727822p-12, -0x1.cc1590eda0a98p-12, -0x1.bacb13f8c8d3bp-12, -0x1.aa1ce326e10fep-12, -0x1.9a05b5d492beep-12, -0x1.8aab2aac749c7p-12, -0x1.7bb172a34f382p-12, -0x1.6d40dd04e0a17p-12, -0x1.5f54dd8f0bfcp-12, -0x1.51e9359ccbe2bp-12, -0x1.44f9bc4583805p-12, -0x1.388237a259f9bp-12, -0x1.2c7f01a7a753dp-12, -0x1.20ec1fb909453p-12, -0x1.15c5ca3de7b27p-12, -0x1.0b086cd597195p-12, -0x1.00b08ea858555p-12, -0x1.ed757f71fe441p-13, -0x1.da475ff973b11p-13, -0x1.c7d08e85ec9d6p-13, -0x1.b60a5b97e4f1cp-13, -0x1.a4ef162c7c496p-13, -0x1.9478cd0a67995p-13, -0x1.84a1d0bf27e95p-13, -0x1.756496d1f294bp-13, -0x1.66bbcb4e01adp-13, -0x1.58a23a83ced77p-13, -0x1.4b1328d3ddfb7p-13, -0x1.3e090333d9d29p-13, -0x1.317fb23bdf00ep-13, -0x1.25726db3d2d2dp-13, -0x1.19dcd8bbd6408p-13, -0x1.0eba95555b993p-13, -0x1.04078ee29e1fep-13, -0x1.f37f78e5b25efp-14, -0x1.dfbe51f4cfef5p-14, -0x1.ccc42258a0b94p-14, -0x1.ba89f8bb68b8p-14, -0x1.a9081d2cc3ecbp-14, -0x1.98384473ca6cep-14, -0x1.8813ad3bf6e6ap-14, -0x1.7893f5a8e5bb7p-14, -0x1.69b2f18404d8cp-14, -0x1.5b6a7fcfabeap-14, -0x1.4db56960ea809p-14, -0x1.408d3d1aa5ba7p-14, -0x1.33ed2ea20d059p-14, -0x1.27cfe76d16445p-14, -0x1.1c305fb0fc56bp-14, -0x1.1109b75c4338dp-14, -0x1.06572f454434ap-14, -0x1.f828b5dc7d4dcp-15, -0x1.e4795f08103ebp-15, -0x1.d19857d15cb88p-15, -0x1.bf7dd74752dfbp-15, -0x1.ae20fc1f6a5dfp-15, -0x1.9d7ab3ab6c3f8p-15, -0x1.8d83c8d628b9dp-15, -0x1.7e34ddd5c2d2p-15, -0x1.6f875efb4f486p-15, -0x1.6174ba5669f34p-15, -0x1.53f6dbc083006p-15, -0x1.47076a956aee4p-15, -0x1.3aa06f9ede161p-15, -0x1.2ebc378192bdbp-15, -0x1.2355dbf9f89fdp-15, -0x1.18683c01947f2p-15, -0x1.0ded8730015dcp-15, -0x1.03e14d9f916d2p-15, -0x1.f47dcd3b48584p-16, -0x1.e203cc352325cp-16, -0x1.d04b940a1957fp-16, -0x1.bf4de70138f1p-16, -0x1.af002a76a88a1p-16, -0x1.9f5edc869ea0cp-16, -0x1.905f6c1be2a99p-16, -0x1.81fbc70980137p-16, -0x1.742d5a182d89ep-16, -0x1.66ed7c6af7694p-16, -0x1.5a3580299cf2ep-16, -0x1.4dffde10d89a7p-16, -0x1.4246ead853bc9p-16, -0x1.3704e6baf3c0bp-16, -0x1.2c34766bb6db3p-16, -0x1.21d1ed9a62726p-16, -0x1.17d6228ea9f9cp-16, -0x1.0e3dedd2c822fp-16, -0x1.0504233ce2562p-16, -0x1.f84a13e1e6114p-17, -0x1.e738b9354151ep-17, -0x1.d6ccc64568afdp-17, -0x1.c6fd664787e62p-17, -0x1.b7c59b474274ap-17, -0x1.a91c5a653bc46p-17, -0x1.9afb282ef4fbap-17, -0x1.8d61a198e088ap-17, -0x1.804052f6a02fep-17, -0x1.73977e55274a4p-17, -0x1.67609d93f8603p-17, -0x1.5b96acdb57cbp-17, -0x1.5032f92eb880ap-17, -0x1.4533fbebc2418p-17, -0x1.3a91e29493ab1p-17, -0x1.304ab9f0ab7abp-17, -0x1.2659a71dad851p-17, -0x1.1cbb606b185cp-17, -0x1.136ab19578071p-17, -0x1.0a63ee67b6015p-17, -0x1.01a57c8cb4ebdp-17, -0x1.f2558ff99bb45p-18, -0x1.e1e2914697264p-18, -0x1.d1ed831311248p-18, -0x1.c26d7d462f003p-18, -0x1.b3604aea8ce65p-18, -0x1.a4c0dca5d4e04p-18, -0x1.968a53a11c3f9p-18, -0x1.88b488297d205p-18, -0x1.7b3edebd218f5p-18, -0x1.6e226d08f5c27p-18, -0x1.61628e81f6882p-18, -0x1.54f35aaae917cp-18, -0x1.48d319a9d5584p-18, -0x1.3d00d144dfaa3p-18, -0x1.31790185b0d68p-18, -0x1.2635c24b7750bp-18, -0x1.1b3797ce88a85p-18, -0x1.107e120002ef6p-18, -0x1.0602759b28c1ep-18, -0x1.f78125350f601p-19, -0x1.e37c04de42debp-19, -0x1.cfdce2fb23344p-19, -0x1.bcaf08c36274cp-19, -0x1.a9edc5df7898dp-19, -0x1.978d1a238872bp-19, -0x1.858f145f6fe27p-19, -0x1.73f44ff883ba8p-19, -0x1.62af465a38b47p-19, -0x1.51c83d39cd4c9p-19, -0x1.41360490af95ap-19, -0x1.30f8f9331af23p-19, -0x1.210f21bb602c9p-19, -0x1.116ff99bc6b16p-19, -0x1.0223548ce7a08p-19, -0x1.e6447eee246b4p-20, -0x1.c8d88099ed0acp-20, -0x1.abf7c94adc0d3p-20, -0x1.8faadd753f82dp-20, -0x1.73e25e276c445p-20, -0x1.58a4dd10152d2p-20, -0x1.3deb999adbp-20, -0x1.23b4f1f6143e7p-20, -0x1.09ff67400ed42p-20, -0x1.e1902630fa80cp-21, -0x1.b032b25bca797p-21, -0x1.7f8f57894e7d5p-21, -0x1.4fe20f6042bcp-21, -0x1.2167a9e25b723p-21, -0x1.e742e117ba6f3p-22, -0x1.8d92e8a6cfdebp-22, -0x1.35ab03ce88b47p-22, -0x1.bf340120255bbp-23, -0x1.166809249fddep-23, -0x1.c39e3ba64048cp-25, 0x1.8511f0b1ea554p-26, 0x1.9edf535328996p-24, 0x1.6a9a907fb197fp-23, 0x1.01654b83147b6p-22, 0x1.4b722a4ab39a1p-22, 0x1.946b9dfcf5becp-22, 0x1.db67fba210f55p-22, 0x1.10776112dc61fp-21, 0x1.326c469f06e47p-21, 0x1.539a6dd483d07p-21, 0x1.7403cc55cd454p-21, 0x1.938c1be76a9aap-21, 0x1.b299d5ba3432fp-21, 0x1.d09702b619dcfp-21, 0x1.ee06c1c20f9f8p-21, 0x1.054e3f301f031p-20, 0x1.133ed703fe5d5p-20, 0x1.20d0be878c7fbp-20, 0x1.2e06c0ec6c962p-20, 0x1.3add509b7b70bp-20, 0x1.475868dbcdd42p-20, 0x1.537ad8ea0b1cep-20, 0x1.5f40e3e132e26p-20, 0x1.6ab3cf24a9048p-20, 0x1.75b9ed1a59f5fp-20, 0x1.807f8d372bfp-20, 0x1.8ae21c8bbfec5p-20, 0x1.94f1c0428491ap-20, 0x1.9e971d86e59dbp-20, 0x1.a81abb28f1136p-20, 0x1.b118c488446c4p-20, 0x1.b9d4b3fb54fb7p-20, 0x1.c23e038b26a65p-20, 0x1.ca54b93529f98p-20, 0x1.d219c819340e6p-20, 0x1.d98d0f1d7d5dfp-20, 0x1.e0afdb08d58e3p-20, 0x1.e7904466f491fp-20, 0x1.ee07e0a1ff099p-20, 0x1.f450a28b8d7cp-20, 0x1.fa3641a14b8dcp-20, 0x1.ffdff7e486357p-20, 0x1.0298e8567e5dp-19, 0x1.0527a9c7d5241p-19, 0x1.078825f8447b7p-19, 0x1.09c83d2e52391p-19, 0x1.0be4878ae26efp-19, 0x1.0ddd90c1b972fp-19, 0x1.0fb53d1d4b1acp-19, 0x1.11697f0843de7p-19, 0x1.12febda76b963p-19, 0x1.146acaa0b9bp-19, 0x1.15c4e1b62e9c4p-19, 0x1.16fa3deb5a765p-19, 0x1.18001e179563p-19, 0x1.18f942be015c9p-19, 0x1.19cc02f8c8db6p-19, 0x1.1a82c508545efp-19, 0x1.1b1aeb5a7982dp-19, 0x1.1b96a25b311fep-19, 0x1.1bf46fee7fe9ep-19, 0x1.1c35f951ac22ap-19, 0x1.1c5e5c4af62a3p-19, 0x1.1c68089d6a505p-19, 0x1.1c588a46b30bp-19, 0x1.1c33ae244d74bp-19, 0x1.1be5bfb190ca2p-19, 0x1.1b8f655107baap-19, 0x1.1b189fd486984p-19, 0x1.1a8c02e9ab40cp-19, 0x1.19e586c67b4d3p-19, 0x1.191e35839a454p-19, 0x1.185e15f270889p-19, 0x1.176aab67e10ccp-19, 0x1.166b99e53852bp-19, 0x1.1557b991d465ap-19, 0x1.142d3eaf62875p-19, 0x1.12ef48fbdf17cp-19, 0x1.119bc15498161p-19, 0x1.1037a5427708p-19, 0x1.0ebee30f6ed87p-19, 0x1.0d357d5615d88p-19, 0x1.0b944a80ccd5ap-19, 0x1.09ec6e717eeadp-19, 0x1.0829ee169d66p-19, 0x1.065bae95957fap-19, 0x1.047bc280046edp-19, 0x1.028ed660ff595p-19, 0x1.008c892eed522p-19, 0x1.fd026a0e2b202p-20, 0x1.f8cb88ca1370bp-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.694a3bee788cfp+0, 0x1.8da2cd3671134p+0, 0x1.ad7ea1080522cp+0, 0x1.c89baae2ab7f2p+0, 0x1.dee315a9b0e78p+0, 0x1.f0607a6b4046ap+0, 0x1.fd3a1fe302035p+0, 0x1.02d53509c101cp+1, 0x1.04fd2e9b1ce4ap+1, 0x1.053e216b19cddp+1, 0x1.03c42cf2df0d3p+1, 0x1.00bc77c5e0b94p+1, 0x1.f8aa932c3fd22p+0, 0x1.ed75990c9c34fp+0, 0x1.e02ed12fda1p+0, 0x1.d1272f40eeb35p+0, 0x1.c0ab39592a7a4p+0, 0x1.af01b7dc1de8bp+0, 0x1.9c6b25fe46e36p+0, 0x1.8921e42088b8ep+0, 0x1.755a7aa550fc6p+0, 0x1.6143dd132b781p+0, 0x1.4d07c7f68ff1p+0, 0x1.38cb1a3b84892p+0, 0x1.24ae0f3f55e5ap+0, 0x1.10cc703866d35p+0, 0x1.fa7bc7e7064bp-1, 0x1.d42cc59c6f1acp-1, 0x1.aecd5f4f41ep-1, 0x1.8a79677e2f75cp-1, 0x1.6747707426b1fp-1, 0x1.4549269d5423ep-1, 0x1.248bc011d11f1p-1, 0x1.05183446477f6p-1, 0x1.cdea2b665f92fp-2, 0x1.944b6878b59dap-2, 0x1.5d55c1f80b0bcp-2, 0x1.29067d6afdf71p-2, 0x1.eeae4c6c426cap-3, 0x1.907c46f6926e2p-3, 0x1.375e744be8e9ap-3, 0x1.c66ff14c7e293p-4, 0x1.27d0a49be2f81p-4, 0x1.25302a5dc0aacp-5, 0x1.9eaecf23b29adp-10, -0x1.f35970a350ffap-6, -0x1.ef5918316a0f7p-5, -0x1.6a5ac4f2eca3fp-4, -0x1.d534defe8977dp-4, -0x1.1c4782c8e6b12p-3, -0x1.4a5e99652bf53p-3, -0x1.75095e796be28p-3, -0x1.9c70f5f2deff2p-3, -0x1.c0bdcfaf068c9p-3, -0x1.e2177d7b33e4ap-3, -0x1.005248148accfp-2, -0x1.0e453e36874d6p-2, -0x1.1af6c490ca215p-2, -0x1.267863317d4e8p-2, -0x1.30db04a32ec58p-2, -0x1.3a2ef4cfb2d7cp-2, -0x1.4283df5cb8114p-2, -0x1.49e8cd7347067p-2, -0x1.506c23c7dc8bap-2, -0x1.561ba1581c985p-2, -0x1.5b0460667325cp-2, -0x1.5f32d904d9be4p-2, -0x1.62b2e59938006p-2, -0x1.658fc7fa2267bp-2, -0x1.67d42f4bd8fc5p-2, -0x1.698a3d2792119p-2, -0x1.6abb8b2884e3ep-2, -0x1.6b71300fb0f16p-2, -0x1.6bb3c50be4519p-2, -0x1.6b8b6a4558ad8p-2, -0x1.6affcce00decap-2, -0x1.6a182b94730d6p-2, -0x1.68e038eab127dp-2, -0x1.67534f384c0a9p-2, -0x1.657dd98ea34cap-2, -0x1.6365946cc80ebp-2, -0x1.610fe40c57655p-2, -0x1.5e81d8ae4ea71p-2, -0x1.5bc03371a3aaap-2, -0x1.58cf6ad5481dcp-2, -0x1.55b3af2f54dp-2, -0x1.5270eeb418a8dp-2, -0x1.4f0ada2f2a699p-2, -0x1.4b84e7d1f5da8p-2, -0x1.47e2573661558p-2, -0x1.4426348c317c4p-2, -0x1.40535ad329786p-2, -0x1.3c6c771c144d1p-2, -0x1.38740a80e27a3p-2, -0x1.346c6c858d1c2p-2, -0x1.3057cd37b0e8dp-2, -0x1.2c38374ea6849p-2, -0x1.280f91c402d1bp-2, -0x1.23dfa25e4fbefp-2, -0x1.1faa0f0fde264p-2, -0x1.1b706018dfd2cp-2, -0x1.173401c0bb292p-2, -0x1.12f64606211a5p-2, -0x1.0eb8667fb1b9fp-2, -0x1.0a7b8579cb063p-2, -0x1.0640afe85b8a3p-2, -0x1.0208dea111d74p-2, -0x1.fba9eef029cf8p-3, -0x1.f34b9d7240a3cp-3, -0x1.eaf8510ffb5dp-3, -0x1.e2b172086951fp-3, -0x1.da784c82af63p-3, -0x1.d24e11350c074p-3, -0x1.ca33d77789979p-3, -0x1.c22a9ec505915p-3, -0x1.ba335045e06d9p-3, -0x1.b24ec03298d3ep-3, -0x1.aa7daeaa82635p-3, -0x1.a2c0c9de507b3p-3, -0x1.9b18ae8da6ac5p-3, -0x1.9385e90463c2ep-3, -0x1.8c08f667f9f37p-3, -0x1.84a2459e3874p-3, -0x1.7d52381baa941p-3, -0x1.761922db27964p-3, -0x1.6ef74f023ea1fp-3, -0x1.67ecfad351cbp-3, -0x1.60fa5a2effacfp-3, -0x1.5a1f9768c1a3dp-3, -0x1.535cd3cc23217p-3, -0x1.4cb2287e39a3cp-3, -0x1.461fa68252bbep-3, -0x1.3fa557c0ae807p-3, -0x1.39433f9cc7062p-3, -0x1.32f95af210439p-3, -0x1.2cc7a0fb62a24p-3, -0x1.26ae03b2cf4c3p-3, -0x1.20ac700b40197p-3, -0x1.1ac2ceb9ecd0bp-3, -0x1.14f10407cf161p-3, -0x1.0f36f0929dacep-3, -0x1.09947191c31aep-3, -0x1.0409610b425d1p-3, -0x1.fd2b2c2a043d3p-4, -0x1.f271ca90c751dp-4, -0x1.e7e640e9e91e3p-4, -0x1.dd882f61d1271p-4, -0x1.d35731a0a99dep-4, -0x1.c952dfacf6179p-4, -0x1.bf7ace05f1abap-4, -0x1.b5ce8ed563384p-4, -0x1.ac4db07a7b54ap-4, -0x1.a2f7bffef3059p-4, -0x1.99cc475553322p-4, -0x1.90cacf21a6706p-4, -0x1.87f2dd9aa287cp-4, -0x1.7f43f822f4627p-4, -0x1.76bda23df76adp-4, -0x1.6e5f5e0a488dcp-4, -0x1.6628ad6518c82p-4, -0x1.5e191129659dep-4, -0x1.563008eb61fd3p-4, -0x1.4e6d144b2419ep-4, -0x1.46cfb2612c6bap-4, -0x1.3f5761a58f55fp-4, -0x1.3804220f58c2fp-4, -0x1.30d4735548363p-4, -0x1.29c84f53b8d3cp-4, -0x1.22df34f7aadebp-4, -0x1.1c18a30a6a67dp-4, -0x1.15741a3c5c6edp-4, -0x1.0ef119b676387p-4, -0x1.088f22958335ap-4, -0x1.024db5f5e0b69p-4, -0x1.f858ac461e19p-5, -0x1.ec550a5972629p-5, -0x1.e08f8ec0c8f84p-5, -0x1.d5074130401a5p-5, -0x1.c9bb2dc884be3p-5, -0x1.beaa5f76b38e6p-5, -0x1.b3d3e54244d8fp-5, -0x1.a936cef8bd9ap-5, -0x1.9ed22fcc5ac66p-5, -0x1.94a51b7b0c7a9p-5, -0x1.8aaea8a4b1592p-5, -0x1.80edf0843db36p-5, -0x1.77620d9bd83bcp-5, -0x1.6e0a1dcdfd95ep-5, -0x1.64e5400b6317ep-5, -0x1.5bf29633e5007p-5, -0x1.533144962c215p-5, -0x1.4aa071993f2p-5, -0x1.423f459a2d0d2p-5, -0x1.3a0ceca670256p-5, -0x1.320893b22c93fp-5, -0x1.2a316ac758e63p-5, -0x1.2286a4c727c8dp-5, -0x1.1b0775a409418p-5, -0x1.13b315131ef92p-5, -0x1.0c88bd5e8ee3ap-5, -0x1.0587a8e450e52p-5, -0x1.fd5e2f2924552p-6, -0x1.effc93ccc5c13p-6, -0x1.e2e90692f3678p-6, -0x1.d62212cecab3cp-6, -0x1.c9a64970e8bfdp-6, -0x1.bd743e49daff5p-6, -0x1.b18a8cda67bc1p-6, -0x1.a5e7d3a4f982fp-6, -0x1.9a8ab65bd9648p-6, -0x1.8f71dd0bae257p-6, -0x1.849bf54fc86bcp-6, -0x1.7a07b1c5d7f1dp-6, -0x1.6fb3c76f1af06p-6, -0x1.659ef4265c38dp-6, -0x1.5bc7f63e4eddap-6, -0x1.522d93bf2e4dap-6, -0x1.48ce945d7b495p-6, -0x1.3fa9c87dfd4bfp-6, -0x1.36be019f1c1ccp-6, -0x1.2e0a16f718bd7p-6, -0x1.258ce48e41255p-6, -0x1.1d454a1fd906bp-6, -0x1.15322d5338125p-6, -0x1.0d5276a5abefcp-6, -0x1.05a513dc4adf1p-6, -0x1.fc51ee55a57e9p-7, -0x1.edba2d50b459fp-7, -0x1.df80d94e01afap-7, -0x1.d1a3f1733341bp-7, -0x1.c4217944cd2a1p-7, -0x1.b6f7812231274p-7, -0x1.aa242101524a1p-7, -0x1.9da574d03dec9p-7, -0x1.9179a5045a363p-7, -0x1.859ee0e4190e7p-7, -0x1.7a136043da84ap-7, -0x1.6ed5601504b0ap-7, -0x1.63e32881af566p-7, -0x1.593b0790e9587p-7, -0x1.4edb533d92d08p-7, -0x1.44c26b0358b9fp-7, -0x1.3aeeb12e44e5dp-7, -0x1.315e9440614dbp-7, -0x1.28108734a6585p-7, -0x1.1f0305120f5adp-7, -0x1.163490b9556b9p-7, -0x1.0da3b2a7eb02cp-7, -0x1.054efb509c2fcp-7, -0x1.fa6a04c79b98ap-8, -0x1.eaa8caa9db04ep-8, -0x1.db579045f0711p-8, -0x1.cc73acadf941cp-8, -0x1.bdfa866bd9fe7p-8, -0x1.afe989f46ca26p-8, -0x1.a23e35bd57587p-8, -0x1.94f613ea6fd1fp-8, -0x1.880ebb5c5484ap-8, -0x1.7b85ce150beeap-8, -0x1.6f58f89be3fbdp-8, -0x1.6385f79ad9135p-8, -0x1.580a8f4be44ep-8, -0x1.4ce496434bdcdp-8, -0x1.4211e48d55a8p-8, -0x1.379063e614a4cp-8, -0x1.2d5e074ffb154p-8, -0x1.2378ce6b7a23cp-8, -0x1.19debfef89b2p-8, -0x1.108df379e584p-8, -0x1.078484656eae9p-8, -0x1.fd8136aa36c7bp-9, -0x1.ec80d45d005cdp-9, -0x1.dc045d8dae083p-9, -0x1.cc0856ababf05p-9, -0x1.bc896738bd164p-9, -0x1.ad843fa80d5dep-9, -0x1.9ef5a39b2a58p-9, -0x1.90da66ad5fe81p-9, -0x1.832f7b37be77dp-9, -0x1.75f1d8aa28647p-9, -0x1.691e86e54f4acp-9, -0x1.5cb2a4dcc189ep-9, -0x1.50ab60ef5a2e1p-9, -0x1.4505fa10d2c45p-9, -0x1.39bfc26354996p-9, -0x1.2ed60e1294613p-9, -0x1.24465167ac28cp-9, -0x1.1a0e0c7c960c5p-9, -0x1.102ac959a2fb9p-9, -0x1.069a22c4300f7p-9, -0x1.fab37efe5449bp-10, -0x1.e8cec0c77180bp-10, -0x1.d7817d969fd33p-10, -0x1.c6c77e392d25fp-10, -0x1.b69c665bf73d2p-10, -0x1.a6fc1c75e821dp-10, -0x1.97e28e092c96bp-10, -0x1.894bdfab2266ap-10, -0x1.7b342609b167ap-10, -0x1.6d97aa65e5211p-10, -0x1.6072c98fb718ap-10, -0x1.53c1d7a1ba48fp-10, -0x1.47817a76a9e41p-10, -0x1.3bae49fdb173bp-10, -0x1.3044e72408a9fp-10, -0x1.25422bbbd6cdep-10, -0x1.1aa2ec2bb59c7p-10, -0x1.1064236fe4905p-10, -0x1.0682ca2826f44p-10, -0x1.f9f804b9f79dbp-11, -0x1.e799f930a847ap-11, -0x1.d5e5e75a19e02p-11, -0x1.c4d66742116ddp-11, -0x1.b4665a44a9601p-11, -0x1.a490aa93e3fecp-11, -0x1.95505528c2d42p-11, -0x1.86a0916d2d577p-11, -0x1.787cbb999ab2cp-11, -0x1.6ae03ec44661ap-11, -0x1.5dc6c9c9b4871p-11, -0x1.512bc65369918p-11, -0x1.450b3e2c3f30cp-11, -0x1.39611618c63adp-11, -0x1.2e29592d45344p-11, -0x1.236024fb48e13p-11, -0x1.1901ac3d2e0f7p-11, -0x1.0f0a67b71ad48p-11, -0x1.0576c0053074ap-11, -0x1.f886c41412072p-12, -0x1.e6d9999d0f15dp-12, -0x1.d5df6025eca25p-12, -0x1.c592499c20e9ep-12, -0x1.b5ec07af9fffbp-12, -0x1.a6e697edd1162p-12, -0x1.987c479243a55p-12, -0x1.8aa77b951900ep-12, -0x1.7d62c6191506cp-12, -0x1.70a8f94fb68f5p-12, -0x1.6474dccc66e35p-12, -0x1.58c143d2fcb0dp-12, -0x1.4d89cad65324ep-12, -0x1.4329e3831bebap-12, -0x1.38d8ef7eb150bp-12, -0x1.2ef6230a2fd84p-12, -0x1.257d83f59a9a1p-12, -0x1.1c6addd99cba7p-12, -0x1.13ba39aabbe1bp-12, -0x1.0b67f4ab06fa4p-12, -0x1.036feac3e63b8p-12, -0x1.f79d79eba25ccp-13, -0x1.e90217fb09001p-13, -0x1.db06ca039946ap-13, -0x1.cda50638f044p-13, -0x1.c0d67585c2e21p-13, -0x1.b4954d249560bp-13, -0x1.a8db048162bdbp-13, -0x1.9da2b26dea4c5p-13, -0x1.92e659673cdc5p-13, -0x1.88a0c1e7274dep-13, -0x1.7ecccd5153b5fp-13, -0x1.7565b5b578bcap-13, -0x1.6c666ae8d00aap-13, -0x1.63ca4c3c54599p-13, -0x1.5b8cdaa4bc473p-13, -0x1.53aa5e3a2d012p-13, -0x1.4c1e17b017c68p-13, -0x1.44e44859a5932p-13, -0x1.3df8d55f961cep-13, -0x1.37585dfd20d54p-13, -0x1.30ff2008b6a7bp-13, -0x1.2ae97a66ccf4ap-13, -0x1.25144b6c5c2e3p-13, -0x1.1f7c776e8de71p-13, -0x1.1a1eaf3a1938dp-13, -0x1.14f8957d3736ep-13, -0x1.10069b25a084dp-13, -0x1.0b4617e0e991dp-13, -0x1.06b4cfaa9cc07p-13, -0x1.025028e9bb48p-13, -0x1.fc2b6da2e0448p-14, -0x1.f40502f26d307p-14, -0x1.ec2a579960eccp-14, -0x1.e496557138514p-14, -0x1.dd4545a7fd34ep-14, -0x1.d632d0cb12b9bp-14, -0x1.cf5b6b805d0a6p-14, -0x1.c8bb6ac8a5e93p-14, -0x1.c24f80ceb0291p-14, -0x1.bc1475a6b063fp-14, -0x1.b606eb9f894ffp-14, -0x1.b023922db2b01p-14, -0x1.aa684772d551ep-14, -0x1.a4d1f5a9719d9p-14, -0x1.9f5debdfe7e1ep-14, -0x1.9a0a2ac553db2p-14, -0x1.94d3d8862937ap-14, -0x1.8fb8c458ba03ep-14, -0x1.8ab6cee398df2p-14, -0x1.85cc2f6f7777ep-14, -0x1.80f6f9e92b759p-14, -0x1.7c3561a606674p-14, -0x1.778530da93eb3p-14, -0x1.72e4e21b1fd09p-14, -0x1.6e5382a2f8169p-14, -0x1.69cf494a41789p-14, -0x1.6556a472623dap-14, -0x1.60e8da482efap-14, -0x1.5c842e3f6fd58p-14, -0x1.5827b8a2afe25p-14, -0x1.53d256d99129dp-14, -0x1.4f830070a9fcdp-14, -0x1.4b38d108c648p-14, -0x1.46f315d988865p-14, -0x1.42b0d45c3cdep-14, -0x1.3e70ff63be27ep-14, -0x1.3a339667e9bc2p-14, -0x1.35f7aa10e0084p-14, -0x1.31bc85f7a2baap-14, -0x1.2d81ac2333272p-14, -0x1.2946da4ca1bb8p-14, -0x1.250b3b2dc0461p-14, -0x1.20ced02089a13p-14, -0x1.1c90faac014fep-14, -0x1.1851ce936cf6ep-14, -0x1.141037eea46b4p-14, -0x1.0fcd2618551f3p-14, -0x1.0b8703d76a46dp-14, -0x1.073f3bbf29e42p-14, -0x1.02f4dd78120bdp-14, -0x1.fd4ebb44dade5p-15, -0x1.f4aece0607237p-15, -0x1.ec08705eaa8d9p-15, -0x1.e35dd22d8fe6bp-15, -0x1.daad1cce5e8b3p-15, -0x1.d1f6c5dd2fd01p-15, -0x1.c93aefe0336p-15, -0x1.c07a218c761d1p-15, -0x1.b7b4377a20de9p-15, -0x1.aee9bf9f3c9ccp-15, -0x1.a61a59aa4b53bp-15, -0x1.9d466521c215cp-15, -0x1.946efb1bc535fp-15, -0x1.8b937d8f2a5b2p-15, -0x1.82b55eb1930a1p-15, -0x1.79d3c353edc48p-15, -0x1.70f011ca8c99dp-15, -0x1.680a6b11939e4p-15, -0x1.5f22f3dbd175ap-15, -0x1.563af441f2e56p-15, -0x1.4d5125f293982p-15, -0x1.44682669cb8cfp-15, -0x1.3b7f011ccd865p-15, -0x1.32973fd76e8adp-15, -0x1.29b0a8f998c8ap-15, -0x1.20cc31bfe281bp-15, -0x1.17e9ccae5bc0ap-15, -0x1.0f0abed48482fp-15, -0x1.062f5449335e4p-15, -0x1.faaf4de3f6115p-16, -0x1.e90aec8994dffp-16, -0x1.d77074237c0a3p-16, -0x1.c5e13e75c0e46p-16, -0x1.b45e676886ba4p-16, -0x1.a2e963ec17bd8p-16, -0x1.9184d440682a9p-16, -0x1.802e083ec8094p-16, -0x1.6ee9fbff56b98p-16, -0x1.5db9975bee352p-16, -0x1.4c99222b5787bp-16, -0x1.3b9112692436ep-16, -0x1.2a9c63db8705ep-16, -0x1.19beea1ea15d3p-16, -0x1.08f9cf420e077p-16, -0x1.f0986bef761dfp-17, -0x1.cf728c98c47dfp-17, -0x1.ae8021ef573bcp-17, -0x1.8dc7e079d4a8fp-17, -0x1.6d47e0c8e5a6fp-17, -0x1.4d02831a761c9p-17, -0x1.2cfebc62fb8afp-17, -0x1.0d33a61fc2e9ap-17, -0x1.db594827e3432p-18, -0x1.9cd4309491ed2p-18, -0x1.5ed384b6aa9e1p-18, -0x1.216255bc53befp-18, -0x1.c8fe7ec499285p-19, -0x1.505f02575a5ecp-19, -0x1.b1d62135a02e2p-20, -0x1.8aaae7c3569e1p-21, 0x1.26624b52592c4p-23, 0x1.0c51f476f8465p-20, 0x1.f14e45dcdc183p-20, 0x1.69f0b8a31c5cap-19, 0x1.d9e36bff362afp-19, 0x1.243fb78a1c299p-18, 0x1.5ae5d22bf670cp-18, 0x1.90d6aa3fde0ccp-18, 0x1.c61db4a8de429p-18, 0x1.faacb04ca068dp-18, 0x1.17473f674dbdap-17, 0x1.30db5175bbd55p-17, 0x1.4a1119829dda7p-17, 0x1.62eacd7c7812dp-17, 0x1.7b67c5298416ap-17, 0x1.9386395065cecp-17, 0x1.ab43dfcbb2fe2p-17, 0x1.c2a3568b5589dp-17, 0x1.d99de3cf04258p-17, 0x1.f03bc1241f624p-17, 0x1.033a5a070fd5ap-16, 0x1.0e274fa753666p-16, 0x1.18dfacb8a421dp-16, 0x1.236a29a25019fp-16, 0x1.2dbeaacdc48bp-16, 0x1.37e3a5f36a906p-16, 0x1.41d67a9f519cap-16, 0x1.4b960ed966887p-16, 0x1.5523b09ebc9eep-16, 0x1.5e7df79971da3p-16, 0x1.67a5698a9d5a3p-16, 0x1.709bde146da8ep-16, 0x1.795dbed91830fp-16, 0x1.81edb4e3f4029p-16, 0x1.8a4a724125b58p-16, 0x1.92746f9162fdp-16, 0x1.9a6b4fdf24ea1p-16, 0x1.a23046120f5fep-16, 0x1.a9c3dcbf1d186p-16, 0x1.b1200584acbcfp-16, 0x1.b84dc2916f0d3p-16, 0x1.bf4869c7bdc57p-16, 0x1.c61087f900fdap-16, 0x1.cca638c17bb42p-16, 0x1.d30a08a36eaffp-16, 0x1.d93d1ecd30ffap-16, 0x1.df3eda0f2d156p-16, 0x1.e50afcbd1162cp-16, 0x1.eaab8183d9bdbp-16, 0x1.f0185fc348f97p-16, 0x1.f55490ebf4d2bp-16, 0x1.fa60af75fc4aep-16, 0x1.ff3d098350528p-16, 0x1.01f3ff957e591p-15, 0x1.04325ae6d0225p-15, 0x1.0658f65aafd6ap-15, 0x1.0867cb011f963p-15, 0x1.0a5f8507262a3p-15, 0x1.0c40174cf0d29p-15, 0x1.0e098f2169e7fp-15, 0x1.0fbc0556631a5p-15, 0x1.1158a0e04df15p-15, 0x1.12dd74b2cf4fbp-15, 0x1.144be5e918141p-15, 0x1.15a6e621da48ap-15, 0x1.16e95372f7e91p-15, 0x1.1816de1af9be6p-15, 0x1.192f5c28a643ep-15, 0x1.1a31d5afa4402p-15, 0x1.1b20012808985p-15, 0x1.1bf858fe36c86p-15, 0x1.1cbc9d632a893p-15, 0x1.1d6ccd6b3f65fp-15, 0x1.1e083016b9178p-15, 0x1.1e901f37ddbadp-15, 0x1.1f03ef34b503fp-15, 0x1.1f6433a8b4466p-15, 0x1.1fb1a2429d78ep-15, 0x1.1febcb036b7bcp-15, 0x1.2012d63716123p-15, 0x1.20280f1478729p-15, 0x1.202b423c0c696p-15, 0x1.201a12dd04309p-15, 0x1.1ff95ec8e395cp-15, 0x1.1fc662389cd8cp-15, 0x1.1f81e7ad52ef9p-15, 0x1.1f2cbcc17f809p-15, 0x1.1ec63e51721a6p-15, 0x1.1e4ffe06f602ep-15, 0x1.1dc865be6be68p-15, 0x1.1d30f700cef22p-15, 0x1.1c8a16ff27f2ep-15, 0x1.1bd39957978ap-15, 0x1.1b0d13353e9a7p-15, 0x1.1a381ea14556cp-15, 0x1.1954a171d5fcep-15, 0x1.1861daf2521c2p-15, 0x1.1761131df25ecp-15, 0x1.1652545743115p-15, 0x1.1535ad30fbcdcp-15, 0x1.140bb3ea430a7p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.f5795aaf21798p-4, -0x1.8d90e9910cd8cp-6, 0x1.269468e190412p-4, 0x1.4e470407cd228p-3, 0x1.fb05166658986p-3, 0x1.4b59862931048p-2, 0x1.8fd60a1ce0df1p-2, 0x1.ca9e3aa2cfc49p-2, 0x1.fbb684fab73cep-2, 0x1.11b58ab1a1481p-1, 0x1.211da970e0115p-1, 0x1.2c657ae96030dp-1, 0x1.33eaf10503fep-1, 0x1.3811a96d43c36p-1, 0x1.393f46ef8fd23p-1, 0x1.37d85ab86ce2fp-1, 0x1.343e54004d5dbp-1, 0x1.2ecdc9580fb69p-1, 0x1.27dcf643a244bp-1, 0x1.1fbaea77248f5p-1, 0x1.16af72efa9cd6p-1, 0x1.0cfb34cd001ccp-1, 0x1.02d7af63cdb6p-1, 0x1.f0eea7e2072bdp-2, 0x1.dc0bc419d3f41p-2, 0x1.c751e034eeb84p-2, 0x1.b300dbc0da43cp-2, 0x1.9f4e246e7757fp-2, 0x1.8c658713da6ep-2, 0x1.7a6a12d9f5c32p-2, 0x1.69771236c2492p-2, 0x1.59a109db5a2f9p-2, 0x1.4af69b5829c4cp-2, 0x1.3d819ad101ccfp-2, 0x1.31465f4ccfa27p-2, 0x1.2645d94548691p-2, 0x1.1c7d8ce0a72fap-2, 0x1.13e82f4aee133p-2, 0x1.0c7e1e5326867p-2, 0x1.0635cb77b2f28p-2, 0x1.01041af6e80c9p-2, 0x1.f9b97548af41p-3, 0x1.f364dc28aaf1fp-3, 0x1.eeeea2298741ap-3, 0x1.ec3a1fa86927fp-3, 0x1.eb2a2c40b81b3p-3, 0x1.eba17017e9feep-3, 0x1.ed82aaffbf5e7p-3, 0x1.f0b0f26fb528ap-3, 0x1.f50fe6263c087p-3, 0x1.fa83db281516fp-3, 0x1.0078fe90bec7fp-2, 0x1.04203563d46b1p-2, 0x1.082b2423c7433p-2, 0x1.0c8de745a0031p-2, 0x1.113d2a7b2dabdp-2, 0x1.162e2c193b5c8p-2, 0x1.1b56be6c893a6p-2, 0x1.20ad4947f19c3p-2, 0x1.2628c96e2ec2fp-2, 0x1.2bc0cf51823c8p-2, 0x1.316d7c7507c07p-2, 0x1.37277f81abe1p-2, 0x1.3ce80fa63bbfcp-2, 0x1.42a8e6a6444bcp-2, 0x1.48643bdf10cb7p-2, 0x1.4e14be2f6ae01p-2, 0x1.53b58e7ff0d5ap-2, 0x1.59423a606acd7p-2, 0x1.5eb6b6a724ad9p-2, 0x1.640f59f301cb2p-2, 0x1.6948d76d6cff8p-2, 0x1.6e6038f54d639p-2, 0x1.7352da38e7feap-2, 0x1.781e63f03cd83p-2, 0x1.7cc0c64cf79dcp-2, 0x1.813834eccedcap-2, 0x1.8584a10bb686p-2, 0x1.89a1311d7187ap-2, 0x1.8d8ed7a0ec2b8p-2, 0x1.914caf1a659d4p-2, 0x1.94da01393bcbap-2, 0x1.98364350728a4p-2, 0x1.9b611317ae952p-2, 0x1.9e5a33c7590dap-2, 0x1.a1218a7ddcec3p-2, 0x1.a3b71c8e93ba4p-2, 0x1.a61b0b8f48d45p-2, 0x1.a84d9443b123cp-2, 0x1.aa4f0b76d0a3p-2, 0x1.ac1fdc3ac2a6dp-2, 0x1.adc085b289356p-2, 0x1.af319956ec03p-2, 0x1.b073b8ffdf98bp-2, 0x1.b1879513b5196p-2, 0x1.b26deb472c84dp-2, 0x1.b327846d9f552p-2, 0x1.b3b533d5311f7p-2, 0x1.b417d4ee868e1p-2, 0x1.b4504aa3fa91dp-2, 0x1.b45f7ddec7bd8p-2, 0x1.b4465c75d5a85p-2, 0x1.b405d80b5caa7p-2, 0x1.b39ee5c28414ap-2, 0x1.b3127c2946008p-2, 0x1.b261940cbd7e4p-2, 0x1.b18d26dbb16f1p-2, 0x1.b0962ebc2b8bap-2, 0x1.af7da5b62f157p-2, 0x1.ae44859a61b85p-2, 0x1.acebc79f763afp-2, 0x1.ab7464304f2aap-2, 0x1.a9df527a1135cp-2, 0x1.a82d884648842p-2, 0x1.a65ff99d52cbcp-2, 0x1.a47798968dcb1p-2, 0x1.a275552bc2cb3p-2, 0x1.a05a1cfcdec29p-2, 0x1.9e26da9f92aa6p-2, 0x1.9bdc7615dd231p-2, 0x1.997bd43241d8fp-2, 0x1.9705d66fe30dcp-2, 0x1.947b5abd35895p-2, 0x1.91dd3b7404d4p-2, 0x1.8f2c4f1cd1a09p-2, 0x1.8c696856b3d1fp-2, 0x1.8995559b64dc3p-2, 0x1.86b0e17bfa6bbp-2, 0x1.83bcd21973c2p-2, 0x1.80b9e9937e1d4p-2, 0x1.7da8e5b70f374p-2, 0x1.7a8a8025226cfp-2, 0x1.775f6e4fcdf4ep-2, 0x1.7428619493cc5p-2, 0x1.70e6071c1e2f8p-2, 0x1.6d9908079d857p-2, 0x1.6a4209b9ceb62p-2, 0x1.66e1ad93199aap-2, 0x1.6378913d65165p-2, 0x1.60074ea131d91p-2, 0x1.5c8e7c2bd0bf8p-2, 0x1.590eac96d322dp-2, 0x1.55886f412f6e5p-2, 0x1.51fc502033fe3p-2, 0x1.4e6ad7b1a42f1p-2, 0x1.4ad48b5e68f19p-2, 0x1.4739ed0964a9p-2, 0x1.439b7b7aded59p-2, 0x1.3ff9b25ad13f6p-2, 0x1.3c550a0157176p-2, 0x1.38adf7b9f9dfbp-2, 0x1.3504edad66134p-2, 0x1.315a5b12f246bp-2, 0x1.2daeabe98799ep-2, 0x1.2a024925d01b8p-2, 0x1.265598f5c5394p-2, 0x1.22a8fe41addf2p-2, 0x1.1efcd95d148b1p-2, 0x1.1b518752a78b3p-2, 0x1.17a7629734b8p-2, 0x1.13fec2da76b39p-2, 0x1.1057fca7e4376p-2, 0x1.0cb3622749428p-2, 0x1.0911428d276e2p-2, 0x1.0571ea83e6ba5p-2, 0x1.01d660ec4b87dp-2, 0x1.fc7aeb4bb0881p-3, 0x1.f55049ce6edap-3, 0x1.ee2d627c3ee45p-3, 0x1.e712b64c9de2fp-3, 0x1.e000c06453ef7p-3, 0x1.d8f7f87430eeap-3, 0x1.d1f8d1326562cp-3, 0x1.cb03b94b83f9bp-3, 0x1.c4191b0ec8fd8p-3, 0x1.bd395c843e886p-3, 0x1.b664dfda42106p-3, 0x1.af9c0311f52f7p-3, 0x1.a8df209ef01ecp-3, 0x1.a22e8e9e62dfbp-3, 0x1.9b8a9fd7a4c7ep-3, 0x1.94f3a31b6c114p-3, 0x1.8e69e406de269p-3, 0x1.87eda9fc3c243p-3, 0x1.817f39c27412p-3, 0x1.7b1ed42d4fa9ep-3, 0x1.74ccb6c2c41acp-3, 0x1.6e891c0f69784p-3, 0x1.68543ad4435a3p-3, 0x1.622e475dbc579p-3, 0x1.5c17726d0681cp-3, 0x1.560fe9cc0cbb1p-3, 0x1.5017d87465f6fp-3, 0x1.4a2f665145b94p-3, 0x1.4456b85bbd1d1p-3, 0x1.3e8df0f223367p-3, 0x1.38d52f5c92a29p-3, 0x1.332c90c5dcbe8p-3, 0x1.2d942f32a891ep-3, 0x1.280c224e40cd7p-3, 0x1.22947f0fd6307p-3, 0x1.1d2d584dbd6ebp-3, 0x1.17d6be3438df1p-3, 0x1.1290bebe20d7cp-3, 0x1.0d5b657b61a8ep-3, 0x1.0836bbff73ee2p-3, 0x1.0322c92506885p-3, 0x1.fc3f252494c45p-4, 0x1.f25a35c2c46f8p-4, 0x1.e896c7213cce9p-4, 0x1.def4d72e77883p-4, 0x1.d57460c684cdbp-4, 0x1.cc155a5637a8fp-4, 0x1.c2d7b7bf0b1f5p-4, 0x1.b9bb68bff6bbdp-4, 0x1.b0c05a0d41f09p-4, 0x1.a7e674d549c81p-4, 0x1.9f2d9f8a3c843p-4, 0x1.9695bddc30b0ap-4, 0x1.8e1eaf782b33cp-4, 0x1.85c8525ae75efp-4, 0x1.7d92815a32618p-4, 0x1.757d143069c09p-4, 0x1.6d87e11d00652p-4, 0x1.65b2bb0f6fap-4, 0x1.5dfd736289b29p-4, 0x1.5667d84b2ce56p-4, 0x1.4ef1b652ec85bp-4, 0x1.479ad83039d38p-4, 0x1.4063061c0b43fp-4, 0x1.394a06885cc68p-4, 0x1.324f9e1eb82d8p-4, 0x1.2b738fe22f1b9p-4, 0x1.24b59d712d83bp-4, 0x1.1e1585e14ff43p-4, 0x1.179307c093ec6p-4, 0x1.112ddf9c64905p-4, 0x1.0ae5c8f73440bp-4, 0x1.04ba7dd84707p-4, 0x1.fd576e1faeb2dp-5, 0x1.f17258e0a1bffp-5, 0x1.e5c5294b8f69cp-5, 0x1.da4f4a3138426p-5, 0x1.cf102584114dfp-5, 0x1.c40722abe8866p-5, 0x1.b933a77b1bc21p-5, 0x1.ae951952173d1p-5, 0x1.a42ada6a7428ap-5, 0x1.99f44cd7c323dp-5, 0x1.8ff0d2099ccabp-5, 0x1.861fc93a15a4fp-5, 0x1.7c80912961c7ep-5, 0x1.73128812fc16ep-5, 0x1.69d50bbda39c7p-5, 0x1.60c77874ec63ap-5, 0x1.57e92abb08bccp-5, 0x1.4f397ef6e6098p-5, 0x1.46b7d071a0f42p-5, 0x1.3e637abfc4643p-5, 0x1.363bd9712b77bp-5, 0x1.2e4047c256ae6p-5, 0x1.2670216ed56d9p-5, 0x1.1ecac264c3364p-5, 0x1.174f8645eeeedp-5, 0x1.0ffdc997df11cp-5, 0x1.08d4e9077308bp-5, 0x1.01d441b0c54dap-5, 0x1.f5f662c908cb2p-6, 0x1.e8922dd14c8b1p-6, 0x1.db7aa1ac387cep-6, 0x1.ceae7e9d0c9d2p-6, 0x1.c22c85c8f00d6p-6, 0x1.b5f37a81f4872p-6, 0x1.aa022159b822ap-6, 0x1.9e57418dbc4afp-6, 0x1.92f1a42330e88p-6, 0x1.87d01458e9da5p-6, 0x1.7cf15f7082c45p-6, 0x1.725455adb1118p-6, 0x1.67f7c8cec1c01p-6, 0x1.5dda8ddb03e77p-6, 0x1.53fb7c38f2078p-6, 0x1.4a596df945251p-6, 0x1.40f33ff6f6867p-6, 0x1.37c7d23445e45p-6, 0x1.2ed605c642d24p-6, 0x1.261cc166389b1p-6, 0x1.1d9aed5ef6296p-6, 0x1.154f74aa6c14cp-6, 0x1.0d3945effdcb4p-6, 0x1.05575237f4c1ep-6, 0x1.fb511fe4f7f7p-7, 0x1.ec57ea283dae9p-7, 0x1.ddc0fbd9de011p-7, 0x1.cf8a50afa4c8cp-7, 0x1.c1b1ec9f046bp-7, 0x1.b435d9877a914p-7, 0x1.a714265eec72ap-7, 0x1.9a4aeca1291d9p-7, 0x1.8dd8490232ad3p-7, 0x1.81ba614a99304p-7, 0x1.75ef5ef758cd4p-7, 0x1.6a75753a737bcp-7, 0x1.5f4adcbc714c2p-7, 0x1.546dd5ce08dc1p-7, 0x1.49dca61a75b6ep-7, 0x1.3f959b6dadbf9p-7, 0x1.3597097706d3bp-7, 0x1.2bdf49f609671p-7, 0x1.226cbf665ef56p-7, 0x1.193dd1ab4959p-7, 0x1.1050ef5d3f162p-7, 0x1.07a48e323f3f8p-7, 0x1.fe6e53b13e20bp-8, 0x1.ee0e8be630aa7p-8, 0x1.de26d469f894bp-8, 0x1.ceb44d0668663p-8, 0x1.bfb42495503bdp-8, 0x1.b12392dcaeab9p-8, 0x1.a2ffde3327733p-8, 0x1.954659b0f2503p-8, 0x1.87f4621ae0703p-8, 0x1.7b076898e90b3p-8, 0x1.6e7cdf4285e36p-8, 0x1.62524e4b277p-8, 0x1.568546a7188b9p-8, 0x1.4b13621690e7bp-8, 0x1.3ffa4af832327p-8, 0x1.3537b5e7bd2c3p-8, 0x1.2ac961a1f2ee6p-8, 0x1.20ad18970f1e3p-8, 0x1.16e0b4deacb8cp-8, 0x1.0d62173d6412bp-8, 0x1.042f2ce32c2cap-8, 0x1.f68bdd0983085p-9, 0x1.e548be9eeba7bp-9, 0x1.d491199552f83p-9, 0x1.c46124886d4e9p-9, 0x1.b4b52107bdb34p-9, 0x1.a58964ee0444ep-9, 0x1.96da6a34ebe13p-9, 0x1.890f885c3a36fp-9, 0x1.7b4c23a28abd4p-9, 0x1.6dfb175581c44p-9, 0x1.6119289ba132bp-9, 0x1.54a32daac6e02p-9, 0x1.4896103ccdf55p-9, 0x1.3ceecd09871fbp-9, 0x1.31aa6f2660ab7p-9, 0x1.26c618e8eb1a6p-9, 0x1.1c3efd21b774p-9, 0x1.12125c34ae8b1p-9, 0x1.083d8d9cc38fap-9, 0x1.fd7beb4f4ba82p-10, 0x1.eb220be7a3319p-10, 0x1.d9688823ffdcfp-10, 0x1.c84a8f2ad42d2p-10, 0x1.b7c3695b76b28p-10, 0x1.a7ce7c806d1cp-10, 0x1.986749ad7660ep-10, 0x1.8989718ca0cd1p-10, 0x1.7b30b98ba090bp-10, 0x1.6d59022a76e6fp-10, 0x1.5ffe2c5a835dcp-10, 0x1.531c603e78903p-10, 0x1.46afb995908bp-10, 0x1.3ab4824a5043p-10, 0x1.2f271d3f85421p-10, 0x1.2403f9e1a4b0ap-10, 0x1.1947ac620cbd3p-10, 0x1.0eeee1c7f33f6p-10, 0x1.04f65526b906bp-10, 0x1.f6b5b8ed4a13fp-11, 0x1.e432bac5daf25p-11, 0x1.d25dbcddf805cp-11, 0x1.c130f8ffb5ce7p-11, 0x1.b0a6ceaa62cbcp-11, 0x1.a0b9a1603942ep-11, 0x1.91642171db464p-11, 0x1.82a12f089f86dp-11, 0x1.746bbf80c609dp-11, 0x1.66bef4e03653fp-11, 0x1.5996048c491d9p-11, 0x1.4cec4f0f59ffap-11, 0x1.40bd6b28ab3f4p-11, 0x1.3504fce8b3884p-11, 0x1.29beca26435fap-11, 0x1.1ee6ca560e36cp-11, 0x1.147913e93b054p-11, 0x1.0a71b5683ab97p-11, 0x1.00cd0369b8ebbp-11, 0x1.ef0ed66d3802p-12, 0x1.dd3adafe0f94ep-12, 0x1.cc173c9173858p-12, 0x1.bb9d99618331fp-12, 0x1.abc7a29867736p-12, 0x1.9c8f0b95c5be8p-12, 0x1.8dedf61faaa58p-12, 0x1.7fdea57b96d89p-12, 0x1.725b77332c23bp-12, 0x1.655f3d911d3abp-12, 0x1.58e4b9b5c96cp-12, 0x1.4ce6bb1177504p-12, 0x1.41608136e0e01p-12, 0x1.364d525ec6d67p-12, 0x1.2ba8cc1621007p-12, 0x1.216e265befbdap-12, 0x1.17997f97135f1p-12, 0x1.0e26ab19edb4dp-12, 0x1.0511beaa37efap-12, 0x1.f8ad1e2172f5fp-13, 0x1.e7e3c814014fep-13, 0x1.d7bfcc7fe6b75p-13, 0x1.c83a974bedb7p-13, 0x1.b94d93a36095fp-13, 0x1.aaf226fd35ccep-13, 0x1.9d223538cd0f6p-13, 0x1.8fd7c5c7d0f3ap-13, 0x1.830d54522f1d9p-13, 0x1.76bd840ff15b2p-13, 0x1.6ae2912e90062p-13, 0x1.5f77e2303a62p-13, 0x1.547865ad28209p-13, 0x1.49df60396e1cep-13, 0x1.3fa8aeded9ddap-13, 0x1.35cf6174923f4p-13, 0x1.2c4fdfd4b626dp-13, 0x1.2325e2d79472p-13, 0x1.1a4dd1a3fd88dp-13, 0x1.11c412720b949p-13, 0x1.0984ff194dd04p-13, 0x1.018d240de4c61p-13, 0x1.f3b3113541bcap-14, 0x1.e4ce11e6cfd37p-14, 0x1.d66560cd19eb2p-14, 0x1.c873d5231d8f5p-14, 0x1.baf3285a90fdap-14, 0x1.added68ed76fp-14, 0x1.a131f54cf7deep-14, 0x1.94e7c808a9c6p-14, 0x1.88fbcb245ef17p-14, 0x1.7d69ecbb5118bp-14, 0x1.722da33675dbdp-14, 0x1.6742f9e172bc9p-14, 0x1.5ca7536cefcf9p-14, 0x1.5255fd3bbe3fcp-14, 0x1.484bf1413a3edp-14, 0x1.3e85f4517ea94p-14, 0x1.3500c2c7259fap-14, 0x1.2bba956a49b4ap-14, 0x1.22ae7c9cb646cp-14, 0x1.19db7064e3217p-14, 0x1.113e96fc380a2p-14, 0x1.08d5620cc546dp-14, 0x1.009e01347aa21p-14, 0x1.f12a258e8f9ep-15, 0x1.e173dc8ab9682p-15, 0x1.d213f07160cecp-15, 0x1.c30761ab6fea6p-15, 0x1.b448c29414618p-15, 0x1.a5d76f4af9d79p-15, 0x1.97af125c93e23p-15, 0x1.89cb3e1dde43cp-15, 0x1.7c2cf60f065fap-15, 0x1.6ecd652fa116fp-15, 0x1.61acbf52042f7p-15, 0x1.54c7dbe85a7d8p-15, 0x1.481c45f4accb7p-15, 0x1.3ba8bbfec0012p-15, 0x1.2f69a718983bbp-15, 0x1.235f385d2f73ep-15, 0x1.178632aea7d4dp-15, 0x1.0bdd7468b8de7p-15, 0x1.00646f3301082p-15, 0x1.ea32503636467p-16, 0x1.d3f442ca7d907p-16, 0x1.be0afe303fc08p-16, 0x1.a87611ad45736p-16, 0x1.9333a2ed88a67p-16, 0x1.7e3fff220c345p-16, 0x1.699a1fa57bc76p-16, 0x1.5542f692c8298p-16, 0x1.413225ed80f82p-16, 0x1.2d6e34a42dd36p-16, 0x1.19f1702da5709p-16, 0x1.06bba5ece0affp-16, 0x1.e797346f1119dp-17, 0x1.c240cc3df3f6bp-17, 0x1.9d719609f2e9cp-17, 0x1.7929c385c1d8bp-17, 0x1.5565e867a3069p-17, 0x1.32268e4671da1p-17, 0x1.0f6637894304ep-17, 0x1.da533a17a3bf6p-18, 0x1.96d754034788bp-18, 0x1.545eb0b41f1c6p-18, 0x1.12d8c256edce3p-18, 0x1.a4aab41e4e549p-19, 0x1.2590fcd087674p-19, 0x1.50d67a4d2fb86p-20, 0x1.69fc42a1d34d1p-22, -0x1.305432ce765cfp-21, -0x1.86cb75f72ea8ep-20, -0x1.38ea770d4dd89p-19, -0x1.ac61a5498d8e9p-19, -0x1.0f02230927d64p-18, -0x1.46dcbd19e223fp-18, -0x1.7dc1c4849be06p-18, -0x1.b3b4fbec30c4fp-18, -0x1.e8b389f3d05fbp-18, -0x1.0e5e5895c8d29p-17, -0x1.27eac7fb70b24p-17, -0x1.40f965f77a115p-17, -0x1.59983dcf96559p-17, -0x1.71b5e632e6c23p-17, -0x1.895a3d1070956p-17, -0x1.a087ff3e0d7a1p-17, -0x1.b739ab8ddd1dfp-17, -0x1.cd7835b95be3ep-17, -0x1.e339b20a84277p-17, -0x1.f8830a4ee9e22p-17, -0x1.06aa4ff2fd861p-16, -0x1.10d6dbcf67cacp-16, -0x1.1ac6d3671032cp-16, -0x1.247ab5d1ebc58p-16, -0x1.2df38cda401c1p-16, -0x1.372f7675474c9p-16, -0x1.402fca8beaa45p-16, -0x1.48f5a31fdf1a2p-16, -0x1.518011dae1d6ep-16, -0x1.59cde26c73b08p-16, -0x1.61e09494f2326p-16, -0x1.69b9d7e0d81edp-16, -0x1.71578cb8ab2a9p-16, -0x1.78b922f9080a8p-16, -0x1.7fe3b00aa462dp-16, -0x1.86cf9359c3e5dp-16, -0x1.8d85618154defp-16, -0x1.93ffe5166d7cap-16, -0x1.9a419c9d0768bp-16, -0x1.a04a4fc2c1c76p-16, -0x1.a6193469b3bd3p-16, -0x1.abb05a0db4a03p-16, -0x1.b10f287e1e572p-16, -0x1.b635a93351966p-16, -0x1.bb257637f9838p-16, -0x1.bfdd525817ac7p-16, -0x1.c45e68f78f722p-16, -0x1.c8a9f5c68383bp-16, -0x1.ccbe3392826e4p-16, -0x1.d09d47dbb3edp-16, -0x1.d448d5694fd16p-16, -0x1.d7bdf1d60cb95p-16, -0x1.db00320a22635p-16, -0x1.de0de546c1c57p-16, -0x1.e0e91cf57c462p-16, -0x1.e3910977c921ep-16, -0x1.e607481a1f618p-16, -0x1.e84b416dd14p-16, -0x1.ea5f3597ff43ep-16, -0x1.ec4254771d74bp-16, -0x1.edf2479a13333p-16, -0x1.ef76c8d692f45p-16, -0x1.f0ca00259447p-16, -0x1.f1efa1f310a87p-16, -0x1.f2e7be6510dcbp-16, -0x1.f3b131bf54a46p-16, -0x1.f44ee3a8c0dc7p-16, -0x1.f4bf57b35a374p-16, -0x1.f505c3ad3156cp-16, -0x1.f51edcff8643ep-16, -0x1.f50fd2e729176p-16, -0x1.f4d644dea22c5p-16, -0x1.f4731a462e482p-16, -0x1.f3e85ddc79a41p-16, -0x1.f33593b7319f8p-16, -0x1.f25a62cb9d719p-16, -0x1.f15ab05307df9p-16, -0x1.f033428691fc4p-16, -0x1.eee834898cbbcp-16, -0x1.ed7666b95da66p-16, -0x1.ebe2634a596fp-16, -0x1.ea2bce5ea7046p-16, -0x1.e84ffaff55fc4p-16, -0x1.e654bb13575d9p-16, -0x1.e436047bf2304p-16, -0x1.e1f72b83133c1p-16, -0x1.df98ebd0f98bbp-16, -0x1.dd1ad6e620aacp-16, -0x1.da7db23c950acp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.187d60a2d306p-2, 0x1.8cf219d5c9ae9p-3, 0x1.cba06151c8be3p-4, 0x1.06c85741137f5p-5, -0x1.6b1192268e3a7p-5, -0x1.d87c6047138b7p-4, -0x1.708439282c2b7p-3, -0x1.e64beab200dbbp-3, -0x1.26847343cf87cp-2, -0x1.526191049fc8ap-2, -0x1.76f9ac1db621ap-2, -0x1.94b1369f82744p-2, -0x1.ac0914d2277aep-2, -0x1.bd938359485e9p-2, -0x1.c9eb7a00f6c9p-2, -0x1.d1ae91d4de789p-2, -0x1.d578695ab53e8p-2, -0x1.d5ded3b8f7a72p-2, -0x1.d36f225541e65p-2, -0x1.ceac71f6ac055p-2, -0x1.c80ea45dc67f4p-2, -0x1.c001f2a7cf59cp-2, -0x1.b6e6fea45aa1p-2, -0x1.ad13256514bcdp-2, -0x1.a2d0e6abded43p-2, -0x1.9860657b22a4ep-2, -0x1.8df81291ca5dbp-2, -0x1.83c582bb45dbep-2, -0x1.79ee5266f240cp-2, -0x1.7090f42e35117p-2, -0x1.67c566fd49696p-2, -0x1.5f9de2440d65ap-2, -0x1.582780d358cd7p-2, -0x1.516ac40f4c3d5p-2, -0x1.4b6ca1fcb8d94p-2, -0x1.462ecd4e251d7p-2, -0x1.41b02b2d5c3e9p-2, -0x1.3ded514008cbbp-2, -0x1.3ae0edd6aedb2p-2, -0x1.3884254c04cc7p-2, -0x1.36cee35084482p-2, -0x1.35b822439a119p-2, -0x1.3536290ed49a1p-2, -0x1.353ec1716332ep-2, -0x1.35c766f2a8a49p-2, -0x1.36c56f106dc2dp-2, -0x1.382e2c095f865p-2, -0x1.39f709ea2526cp-2, -0x1.3c15a664f2526p-2, -0x1.3e7fe374ba6a5p-2, -0x1.412bf5f7ed772p-2, -0x1.441071c01645dp-2, -0x1.472453cd1741bp-2, -0x1.4a5f0a893379bp-2, -0x1.4db87ba0a6909p-2, -0x1.512907301ae2fp-2, -0x1.54a988b3b0deep-2, -0x1.5833569e58c0bp-2, -0x1.5bc040a91ebcdp-2, -0x1.5f4a8e4cba5aap-2, -0x1.62ccfbe475e51p-2, -0x1.6642b761ab342p-2, -0x1.69a75c2b3ada1p-2, -0x1.6cf6ee8792b5ap-2, -0x1.702dd6914063dp-2, -0x1.7348dbb7b18e6p-2, -0x1.76451fc338a6bp-2, -0x1.79201a3efbb7cp-2, -0x1.7bd793a8e3dacp-2, -0x1.7e69a0804a7e4p-2, -0x1.80d49c0b31f2dp-2, -0x1.83172333c69b9p-2, -0x1.85300f847f32p-2, -0x1.871e722318927p-2, -0x1.88e19085f64e6p-2, -0x1.8a78dfb1e2998p-2, -0x1.8be4015caa84dp-2, -0x1.8d23f9c60f9bdp-2, -0x1.8e35d1144f835p-2, -0x1.8f1b5540e46b2p-2, -0x1.8fd4bdfc4f91p-2, -0x1.90625fb595656p-2, -0x1.90c4a8cff69a8p-2, -0x1.90fc1f29dec46p-2, -0x1.91095dc988af5p-2, -0x1.90ed1283e714dp-2, -0x1.90a7fc4d153dfp-2, -0x1.903ae8ee2d2efp-2, -0x1.8fa6b33b829fep-2, -0x1.8eec41ef60c64p-2, -0x1.8e0c8595b719cp-2, -0x1.8d087744e17f2p-2, -0x1.8be1174e0a3eap-2, -0x1.8a976bb6dcfeep-2, -0x1.892c7fdb39e46p-2, -0x1.87a161c3ee651p-2, -0x1.85f72299f3d19p-2, -0x1.842ed4fbcff68p-2, -0x1.82498c3d4dbc3p-2, -0x1.80485b78a3fd8p-2, -0x1.7e2c54f151eafp-2, -0x1.7bf6893c539ecp-2, -0x1.79a8072351b59p-2, -0x1.7741da3844e55p-2, -0x1.74c50b64f3cbap-2, -0x1.72329f954460ep-2, -0x1.6f8b985af013bp-2, -0x1.6cd0f3453e3cfp-2, -0x1.6a03a93a676ddp-2, -0x1.6724af1a68cd8p-2, -0x1.6434f51f826f6p-2, -0x1.613566fcbc03bp-2, -0x1.5e26eb77dfec2p-2, -0x1.5b0a650ff8b3bp-2, -0x1.57e0b103a20c9p-2, -0x1.54aaa77d2309cp-2, -0x1.51691c18e21cep-2, -0x1.4e1cdd299d8eep-2, -0x1.4ac6b3fb9cb37p-2, -0x1.476764a2ccdcap-2, -0x1.43ffadfa591f1p-2, -0x1.409049f5c18a4p-2, -0x1.3d19eca623d38p-2, -0x1.399d457a8d5a4p-2, -0x1.361afe4edec63p-2, -0x1.3293bbda5741ap-2, -0x1.2f081d7abb34cp-2, -0x1.2b78bdac9afeap-2, -0x1.27e63176143f6p-2, -0x1.245109090b479p-2, -0x1.20b9cfb1baa3p-2, -0x1.1d210b4cd5368p-2, -0x1.19873dd10e8bp-2, -0x1.15ece3e2dfd13p-2, -0x1.125275d248596p-2, -0x1.0eb8677309db3p-2, -0x1.0b1f2844e12aap-2, -0x1.078723b96745ep-2, -0x1.03f0c09b80ebep-2, -0x1.005c62c975fbp-2, -0x1.f994d23742eb1p-3, -0x1.f2765f47b36f8p-3, -0x1.eb5e1c7518b94p-3, -0x1.e44cb266ac222p-3, -0x1.dd42c35ce8cb3p-3, -0x1.d640ea2e31d27p-3, -0x1.cf47bcda268dcp-3, -0x1.c857c863c8151p-3, -0x1.c1719551954bcp-3, -0x1.ba95a5a6ec68bp-3, -0x1.b3c47515cbb44p-3, -0x1.acfe7a398f80fp-3, -0x1.a644255c09fa2p-3, -0x1.9f95e1c29411cp-3, -0x1.98f414271c6ecp-3, -0x1.925f1dded06cbp-3, -0x1.8bd759b5df3c2p-3, -0x1.855d1c7ee92d2p-3, -0x1.7ef0b92b1e586p-3, -0x1.78927b8241f4p-3, -0x1.7242ab6c2ef58p-3, -0x1.6c018c1f3c625p-3, -0x1.65cf5c9f93a1ep-3, -0x1.5fac5782a4e51p-3, -0x1.5998b36a31143p-3, -0x1.5395513c4ddeap-3, -0x1.4da104c4e7b98p-3, -0x1.47bca255247eap-3, -0x1.41e8515aad68ep-3, -0x1.3c2435d22b7ap-3, -0x1.36706ffd1a792p-3, -0x1.30cd1e602afe6p-3, -0x1.2b3a5a114c553p-3, -0x1.25b83aa9c5639p-3, -0x1.2046d4ba21762p-3, -0x1.1ae639877c64fp-3, -0x1.159677f853e3cp-3, -0x1.10579c2dca4fp-3, -0x1.0b29b0007bc2p-3, -0x1.060cba5110c19p-3, -0x1.0100c032a84dap-3, -0x1.f80b884b2238ep-4, -0x1.ee378cf49392bp-4, -0x1.e4858b576364bp-4, -0x1.daf57b535c9e8p-4, -0x1.d18751a2ad78bp-4, -0x1.c83afec0c4103p-4, -0x1.bf106f5457249p-4, -0x1.b6078e4d01262p-4, -0x1.ad20400cf40e1p-4, -0x1.a45a682fd4bb4p-4, -0x1.9bb5e5f49e0ffp-4, -0x1.9332961db5b76p-4, -0x1.8ad0520a244eep-4, -0x1.828ef1c5157b4p-4, -0x1.7a6e4756cc963p-4, -0x1.726e25e6eef7ep-4, -0x1.6a8e5c415ba06p-4, -0x1.62ceb700334b2p-4, -0x1.5b2f00ee56148p-4, -0x1.53af019198303p-4, -0x1.4c4e7ffa458d7p-4, -0x1.450d403627a8p-4, -0x1.3deb04ae94d4ep-4, -0x1.36e78e0e59359p-4, -0x1.30029b6793229p-4, -0x1.293be9f9ccdf2p-4, -0x1.22933532c8512p-4, -0x1.1c083963bd816p-4, -0x1.159aadb3d47eep-4, -0x1.0f4a4b307b869p-4, -0x1.0916c81c9d06p-4, -0x1.02ffda6230445p-4, -0x1.fa0a6db10f8fp-5, -0x1.ee4d20d6efe9p-5, -0x1.e2c73408ce41ap-5, -0x1.d7780e74c3b62p-5, -0x1.cc5f0ffa40e1dp-5, -0x1.c17b9aa2f285cp-5, -0x1.b6cd0ec11b51ap-5, -0x1.ac52cb9430eafp-5, -0x1.a20c2edf82c02p-5, -0x1.97f89576d9fb2p-5, -0x1.8e175d4aa18d5p-5, -0x1.8467e0c96c29bp-5, -0x1.7ae97ca67b301p-5, -0x1.719b8ad29403bp-5, -0x1.687d66fb7ba39p-5, -0x1.5f8e6b087a51cp-5, -0x1.56cdf19489c53p-5, -0x1.4e3b5450b408bp-5, -0x1.45d5eea84b2a7p-5, -0x1.3d9d1a752285cp-5, -0x1.3590325b75d67p-5, -0x1.2dae9223fe1d3p-5, -0x1.25f794627c207p-5, -0x1.1e6a942b54852p-5, -0x1.1706f054d39e1p-5, -0x1.0fcc04962127bp-5, -0x1.08b92db6a42f6p-5, -0x1.01cdca410bff3p-5, -0x1.f61274915f0a1p-6, -0x1.e8d5b667071afp-6, -0x1.dbe4202086e8p-6, -0x1.cf3c736278befp-6, -0x1.c2dd7505ff42p-6, -0x1.b6c5ed987a058p-6, -0x1.aaf4a563ad6c9p-6, -0x1.9f6867311bf4fp-6, -0x1.94200423b4165p-6, -0x1.891a49a8eaad8p-6, -0x1.7e560b50677cbp-6, -0x1.73d21ed4e7821p-6, -0x1.698d5c2586ba6p-6, -0x1.5f869dac0fcp-6, -0x1.55bcc1772a663p-6, -0x1.4c2ea647f61c6p-6, -0x1.42db32f487314p-6, -0x1.39c1495debf9ep-6, -0x1.30dfd48907d77p-6, -0x1.2835bfecf1911p-6, -0x1.1fc1faf7fd417p-6, -0x1.17837797c57dbp-6, -0x1.0f792b06384dep-6, -0x1.07a20d4d46352p-6, -0x1.fffa36a69e683p-7, -0x1.f112a5a14840bp-7, -0x1.e28b6bd3bc4c3p-7, -0x1.d46295affe9a9p-7, -0x1.c6963208de853p-7, -0x1.b92459b677b39p-7, -0x1.ac0b31bd9f6fdp-7, -0x1.9f48ca2a9525ap-7, -0x1.92db637bd6a88p-7, -0x1.86c12955e8311p-7, -0x1.7af851dad58fbp-7, -0x1.6f7f248624c02p-7, -0x1.6453dfd4e49f7p-7, -0x1.5974d72ca8276p-7, -0x1.4ee051375787ap-7, -0x1.4494b5ca47b91p-7, -0x1.3a90606b5ee41p-7, -0x1.30d1ba0e4607cp-7, -0x1.27572f67ecd09p-7, -0x1.1e1f35fa965b4p-7, -0x1.152846f6bccb5p-7, -0x1.0c70e5e3b9c35p-7, -0x1.03f79aaa7bc7dp-7, -0x1.f775e5c413d26p-8, -0x1.e7730952659acp-8, -0x1.d7e3d2668c6aap-8, -0x1.c8c587703b607p-8, -0x1.ba15771889b62p-8, -0x1.abd0fe2ee75d8p-8, -0x1.9df58431b8bd5p-8, -0x1.90807a022147bp-8, -0x1.836f69936affp-8, -0x1.76bfd6dec0577p-8, -0x1.6a6f5d522e4dfp-8, -0x1.5e7ba156138cbp-8, -0x1.52e252062f02ap-8, -0x1.47a12a4d73464p-8, -0x1.3cb5f2193799p-8, -0x1.321e79b093ff1p-8, -0x1.27d8a2b245ffcp-8, -0x1.1de2513dc93d8p-8, -0x1.143975de8aacbp-8, -0x1.0adc150381503p-8, -0x1.01c83255756dbp-8, -0x1.f1f7d08781912p-9, -0x1.e0ea817995eedp-9, -0x1.d064ea103e77dp-9, -0x1.c0635e58f0278p-9, -0x1.b0e266f0bcb2p-9, -0x1.a1de79c539b5ap-9, -0x1.935435ae9f153p-9, -0x1.854050f1b03f9p-9, -0x1.779f8cf427847p-9, -0x1.6a6ebfb1012f2p-9, -0x1.5daacfbb24db1p-9, -0x1.5150b1c66897fp-9, -0x1.455d75ed4772ep-9, -0x1.39ce38fd04f1bp-9, -0x1.2ea0223e2e44fp-9, -0x1.23d074a04d84ep-9, -0x1.195c7c943f5ebp-9, -0x1.0f419742d29dap-9, -0x1.057d30af65ecap-9, -0x1.f8199b3ad1762p-10, -0x1.e5dbe35a921ap-10, -0x1.d43c7990cf442p-10, -0x1.c336b8a604866p-10, -0x1.b2c60eee1a196p-10, -0x1.a2e60838ab152p-10, -0x1.9392543660f8bp-10, -0x1.84c6b7a14931ap-10, -0x1.767f224d28f7fp-10, -0x1.68b76651c3bb7p-10, -0x1.5b6babe541126p-10, -0x1.4e985461d2916p-10, -0x1.42396abeda068p-10, -0x1.36a26f0068211p-10, -0x1.2b1ea1ee774f2p-10, -0x1.2004a9e71ea32p-10, -0x1.155146ef1731dp-10, -0x1.0b0106c8f0138p-10, -0x1.0110dd8727247p-10, -0x1.eefb6df42afcp-11, -0x1.dc89258f2d18ap-11, -0x1.cac5170ceb9ffp-11, -0x1.b9a99e172b3aep-11, -0x1.a93131926cb06p-11, -0x1.99567947805bp-11, -0x1.8a144c03a364cp-11, -0x1.7b659a075e4b5p-11, -0x1.6d4557271b808p-11, -0x1.5faf1247ea0bbp-11, -0x1.529dd7b053269p-11, -0x1.460d3e9c8ac74p-11, -0x1.39f95bbf51f4dp-11, -0x1.2e5c8ba0d9b48p-11, -0x1.23340c18c772dp-11, -0x1.187b677248d3dp-11, -0x1.0e2ebbeadbaa6p-11, -0x1.044a3f4bda13fp-11, -0x1.f594990c59603p-12, -0x1.e3567841adad2p-12, -0x1.d1d366d37c50dp-12, -0x1.c1040ff9a18p-12, -0x1.b0e3af07694b9p-12, -0x1.a16a1a7a08d81p-12, -0x1.9291f1dd5e53ep-12, -0x1.84555ca38e7p-12, -0x1.76ae482821501p-12, -0x1.69976e6772121p-12, -0x1.5d0b5e786ec2ep-12, -0x1.5104cc58fabap-12, -0x1.457ed97c9bb53p-12, -0x1.3a743a28f8214p-12, -0x1.2fe08cd610c92p-12, -0x1.25bf172f23735p-12, -0x1.1c0b83791f7ecp-12, -0x1.12c15b893ed37p-12, -0x1.09dc9c0d80177p-12, -0x1.015934f32d6eap-12, -0x1.f2662da7d6688p-13, -0x1.e2cdaaa2398e8p-13, -0x1.d3e161565a251p-13, -0x1.c599bfa4adb9bp-13, -0x1.b7f091b8b939ap-13, -0x1.aadf47f636936p-13, -0x1.9e5f890ebba3ep-13, -0x1.926b093de42e7p-13, -0x1.86fbf67f5a04dp-13, -0x1.7c0cb922587eep-13, -0x1.7197b89b83edcp-13, -0x1.6797bba16f774p-13, -0x1.5e07a5ef3cf31p-13, -0x1.54e28dbbcaea2p-13, -0x1.4c23f156bc231p-13, -0x1.43c6530434022p-13, -0x1.3bc66346effdep-13, -0x1.341f59975ea03p-13, -0x1.2ccd4ac4f48f7p-13, -0x1.25cc3601f177fp-13, -0x1.1f18386c9345ep-13, -0x1.18adf3901740ep-13, -0x1.1289b2353093dp-13, -0x1.0ca7fdaa46ec1p-13, -0x1.07061ab456434p-13, -0x1.01a0657f0a4d6p-13, -0x1.f8e73ea6c5f31p-14, -0x1.eefb0fde66d28p-14, -0x1.e5762aeae48f8p-14, -0x1.dc53574496c26p-14, -0x1.d38d7fa6555f7p-14, -0x1.cb1fd5634a066p-14, -0x1.c30552004cbep-14, -0x1.bb3981e4e6d4fp-14, -0x1.b3b91ccf70d2ap-14, -0x1.ac7e7eb394becp-14, -0x1.a587f53e08cc3p-14, -0x1.9ecdc7620bb84p-14, -0x1.985026a7e73afp-14, -0x1.920a5a9960c77p-14, -0x1.8bf92fadf44e9p-14, -0x1.8619617e7c5bap-14, -0x1.806851827f47ep-14, -0x1.7ae2ee9a84bd8p-14, -0x1.75869eeb4e1ddp-14, -0x1.7050e6324a2c2p-14, -0x1.6b41a8591fa76p-14, -0x1.664eeb3dadff7p-14, -0x1.617e248bbe12p-14, -0x1.5ccaff85b0fb4p-14, -0x1.58337764e5072p-14, -0x1.53b61d37f7a8fp-14, -0x1.4f5062017a32dp-14, -0x1.4b00c61b9c4abp-14, -0x1.46c5c4662202ep-14, -0x1.429de52a1d5aep-14, -0x1.3e87f6c512a5ap-14, -0x1.3a81f906b94b4p-14, -0x1.368b639096676p-14, -0x1.32a1ee7ff626cp-14, -0x1.2ec72017d1797p-14, -0x1.2af728cb262a2p-14, -0x1.273108d6ab7d2p-14, -0x1.2376d28f977b9p-14, -0x1.1fc485837894ep-14, -0x1.1c1a78ec6bdd5p-14, -0x1.1877d5d84d82dp-14, -0x1.14dc02bdf797ep-14, -0x1.1146502e6a94ep-14, -0x1.0db36a8d1d5a8p-14, -0x1.0a2b15599796dp-14, -0x1.06a3f60baf247p-14, -0x1.0320a19bb21cap-14, -0x1.ff43d70f1925dp-15, -0x1.f849cf96872f7p-15, -0x1.f156fe344b07fp-15, -0x1.ea6885f3b524p-15, -0x1.e37fb9f03a739p-15, -0x1.dc97e08b926a8p-15, -0x1.d5b54c1a6ad45p-15, -0x1.ced4ad7605231p-15, -0x1.c7f6963a9cc79p-15, -0x1.c1197a0b28b2ap-15, -0x1.ba40698059e39p-15, -0x1.b3688b8db8636p-15, -0x1.ac8ff7a7b6009p-15, -0x1.a5bb6087273d5p-15, -0x1.9eec37d320c55p-15, -0x1.981166efeee59p-15, -0x1.913e9168e1627p-15, -0x1.8a6cc42ec00a6p-15, -0x1.839b4eb542fb7p-15, -0x1.7ccd340c1a55ap-15, -0x1.75fce9ba1b9ep-15, -0x1.6f30053fd4b2dp-15, -0x1.6863f28812ca1p-15, -0x1.6199a396d1a92p-15, -0x1.5acfd9372846fp-15, -0x1.54092bca96e2dp-15, -0x1.4d4435e40d39dp-15, -0x1.4680f181e9981p-15, -0x1.3fc0400739359p-15, -0x1.390336fb86df9p-15, -0x1.324706d613f7bp-15, -0x1.2b8ffa950feb4p-15, -0x1.24dc3126dcc11p-15, -0x1.1e2bc4989c28ap-15, -0x1.177f10520eb74p-15, -0x1.10d6cacf91f0dp-15, -0x1.0a3301f087bd4p-15, -0x1.03942082bb564p-15, -0x1.f9f540aa5c415p-16, -0x1.eccab720519a6p-16, -0x1.dfaf3ce332773p-16, -0x1.d29e884071ac8p-16, -0x1.c59984cc32c8ep-16, -0x1.b8a2cc8d83766p-16, -0x1.abb83adbab6adp-16, -0x1.9edbd9e5540bbp-16, -0x1.921458e77c9b8p-16, -0x1.855796c15125ep-16, -0x1.78ad96a578e95p-16, -0x1.6c11ac6e98a73p-16, -0x1.5f876258fb1fap-16, -0x1.5311fd3b38fbdp-16, -0x1.469fab7127b4fp-16, -0x1.3a5d1c06e464dp-16, -0x1.2e1efdb5b2d32p-16, -0x1.21f46dcbf412cp-16, -0x1.15e182aa89c86p-16, -0x1.09e15afb2e7b7p-16, -0x1.fbf9146b9b1f1p-17, -0x1.e44d729f41b98p-17, -0x1.ccd4e131f04cap-17, -0x1.b58cdda35ae38p-17, -0x1.9e68f9ee7369dp-17, -0x1.87878d1263f54p-17, -0x1.70ce743f0b539p-17, -0x1.5a49b98e2e543p-17, -0x1.43f5587354de9p-17, -0x1.2dd6d4ae76a54p-17, -0x1.17ecaf7b2bbf3p-17, -0x1.0230595b693c3p-17, -0x1.d96941320d1p-18, -0x1.aed912f9f0dfdp-18, -0x1.84acb641c4fedp-18, -0x1.5afcc8d33c773p-18, -0x1.31b698e37d64bp-18, -0x1.08e8495f9506ap-18, -0x1.c116bb46eb57bp-19, -0x1.7141785252c46p-19, -0x1.2263032b79ef7p-19, -0x1.a8be218f0c2c2p-20, -0x1.0ea0679cc395fp-20, -0x1.dd1539ad16b06p-22, 0x1.fde37f663ed6p-24, 0x1.68916bd2c8296p-21, 0x1.46d78a104bdcfp-20, 0x1.d7705a906c136p-20, 0x1.330072761b4ccp-19, 0x1.79681f20dc6f3p-19, 0x1.bed369a33b6eep-19, 0x1.0199af6799dc6p-18, 0x1.2351880bc4b8fp-18, 0x1.44822fe806c3cp-18, 0x1.654690835c776p-18, 0x1.857f0211603b1p-18, 0x1.a53f22b2c51c5p-18, 0x1.c48259407cf83p-18, 0x1.e331210fb5416p-18, 0x1.00c29c31dbf87p-17, 0x1.0fa4e7ad6c8aep-17, 0x1.1e4722b3fd031p-17, 0x1.2caae59d7fc04p-17, 0x1.3ad39eee611bap-17, 0x1.48b28de98baa6p-17, 0x1.56590a148b10cp-17, 0x1.63bed0864817dp-17, 0x1.70e83eaa56291p-17, 0x1.7dcf900625efep-17, 0x1.8a7f856e47edcp-17, 0x1.96de127d557d5p-17, 0x1.a31347263213cp-17, 0x1.af013178d0bf7p-17, 0x1.bab302e6b92b9p-17, 0x1.c6272dfa54519p-17, 0x1.d15b85cc01949p-17, 0x1.dc5502cb7b73p-17, 0x1.e71166f320b04p-17, 0x1.f193f000a78e8p-17, 0x1.fbd12085dd5aep-17, 0x1.02ed569ec9c57p-16, 0x1.07d3bfe374892p-16, 0x1.0c9e2ce228eaap-16, 0x1.1146f05d8ecd9p-16, 0x1.15d46f72d1c1p-16, 0x1.1a450e2589bcep-16, 0x1.1e9893ae31bp-16, 0x1.22cf6292f3143p-16, 0x1.26e2eb91f005cp-16, 0x1.2ae6e2bf6e69cp-16, 0x1.2ec95fbf7151cp-16, 0x1.329a6447625a7p-16, 0x1.363a6732d8adap-16, 0x1.39cb9c114c7b3p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.1d380dc8554f7p-1, -0x1.19f7396242dbbp-1, -0x1.16742ddd409c4p-1, -0x1.12b2066b2190cp-1, -0x1.0eb3f5e7518b4p-1, -0x1.0a7d4041cdf8bp-1, -0x1.061134dfca489p-1, -0x1.017329ea06624p-1, -0x1.f94cf0e5da04bp-2, -0x1.ef5cf2abd0a8bp-2, -0x1.e51d055af1e62p-2, -0x1.da93cb7aa2456p-2, -0x1.cfc7da6068145p-2, -0x1.c4bfb71b0c23dp-2, -0x1.b981d39f53247p-2, -0x1.ae148c13707abp-2, -0x1.a27e24211f1e4p-2, -0x1.96c4c43ffaf4dp-2, -0x1.8aee76f24432bp-2, -0x1.7f0125f514339p-2, -0x1.7302976a6459p-2, -0x1.66f86b0716182p-2, -0x1.5ae8175174c14p-2, -0x1.4ed6e6fdc7dccp-2, -0x1.42c9f676865e3p-2, -0x1.36c6319cdf096p-2, -0x1.2ad051ccc9908p-2, -0x1.1eecdc2dc974p-2, -0x1.132020575a0d2p-2, -0x1.076e374d7c93ep-2, -0x1.f7b605af0ccbfp-3, -0x1.e0d45a620c718p-3, -0x1.ca3e5224ca79bp-3, -0x1.b3fa641a4b18fp-3, -0x1.9e0e9a6bfbbbep-3, -0x1.8880942ba0266p-3, -0x1.735587b31581p-3, -0x1.5e924570b2babp-3, -0x1.4a3b3b0e68479p-3, -0x1.365476e17d888p-3, -0x1.22e1ab9123018p-3, -0x1.0fe633e2b33cfp-3, -0x1.faca2d37164adp-4, -0x1.d6c214d33405ap-4, -0x1.b3b8f38a96d7cp-4, -0x1.91b30d8208a0bp-4, -0x1.70b41d7837632p-4, -0x1.50bf5be1c4d3bp-4, -0x1.31d785ae110f3p-4, -0x1.13fee2aa8dcap-4, -0x1.ee6e96fafc206p-5, -0x1.b7045e67d5e78p-5, -0x1.81c130c24d8a9p-5, -0x1.4ea663a12d033p-5, -0x1.1db49598f8129p-5, -0x1.ddd76bf8f907dp-6, -0x1.849617b86ce46p-6, -0x1.2fa278a56a436p-6, -0x1.bdf140b7dc5e6p-7, -0x1.2526e41bc0ca1p-7, -0x1.29b2aec9d43fp-8, -0x1.9f3b96a879ae1p-12, 0x1.ca21d1854db6ap-9, 0x1.d381418a2f1c2p-8, 0x1.58c3bc9b7efa2p-7, 0x1.bfa8dead78f77p-7, 0x1.0f448a159ccc7p-6, 0x1.3abfaa4b6016cp-6, 0x1.62543ad0e6911p-6, 0x1.86118f68cf66p-6, 0x1.a607de603c6ep-6, 0x1.c24839eda3becp-6, 0x1.dae4893f9524cp-6, 0x1.efef8130654dep-6, 0x1.00be4e4b3210cp-5, 0x1.07d00a157b659p-5, 0x1.0d376b02b3a64p-5, 0x1.10ff3e544d006p-5, 0x1.1332a2d27d10bp-5, 0x1.13dd03e8ea4f6p-5, 0x1.130a14919a25bp-5, 0x1.10c5ca1159cf7p-5, 0x1.0d1c568996a26p-5, 0x1.081a236424f83p-5, 0x1.01cbcb9de5321p-5, 0x1.f47c2beb3fbb4p-6, 0x1.e2fbde096f553p-6, 0x1.cf30c68eeddf3p-6, 0x1.b9353235e0e63p-6, 0x1.a123956cc4c26p-6, 0x1.8716804c29154p-6, 0x1.6b28929b1a455p-6, 0x1.4d746fedb55f6p-6, 0x1.2e14b3e8f27e2p-6, 0x1.0d23e6b65ecbfp-6, 0x1.d578e363bd895p-7, 0x1.8df128b6039dep-7, 0x1.43e4b325c8e3p-7, 0x1.ef0e34bb5deb2p-8, 0x1.5216c79d938b9p-8, 0x1.628fbd545db4fp-9, 0x1.a0992baa83808p-13, -0x1.34a178bec8f42p-9, -0x1.4458abbdf8516p-8, -0x1.f0b4d2b7924aap-8, -0x1.4f8478e6dbde4p-7, -0x1.a77d6beb6b165p-7, -0x1.000c9ef3aaa78p-6, -0x1.2c96852964fe7p-6, -0x1.59478bc309dafp-6, -0x1.860b704ec661dp-6, -0x1.b2ce8f2e4d65cp-6, -0x1.df7de788ed50bp-6, -0x1.06038f5fd98c3p-5, -0x1.1c2c41b2c747fp-5, -0x1.323087deec08fp-5, -0x1.480835e1f382ep-5, -0x1.5dab775f6655cp-5, -0x1.7312d032494ddp-5, -0x1.88371cc84b0d8p-5, -0x1.9d11924871498p-5, -0x1.b19bbe8749be1p-5, -0x1.c5cf87cac1fcp-5, -0x1.d9a72c5fca394p-5, -0x1.ed1d42040e04cp-5, -0x1.00165a92ff4edp-4, -0x1.096863fec2008p-4, -0x1.128288bfd3d2ep-4, -0x1.1b62be17c72b3p-4, -0x1.240722678900ep-4, -0x1.2c6dfc78a8798p-4, -0x1.3495bab8bc5e8p-4, -0x1.3c7cf26809bffp-4, -0x1.44225ebc864cdp-4, -0x1.4b84dffa4f7fdp-4, -0x1.52a37a82a613cp-4, -0x1.597d55da7681cp-4, -0x1.6011bba972babp-4, -0x1.666016b2b419bp-4, -0x1.6c67f1c7d8553p-4, -0x1.7228f6b78179cp-4, -0x1.77a2ed3817ffdp-4, -0x1.7cd5b9cfa460cp-4, -0x1.81c15cb98c97fp-4, -0x1.8665f0caf712ap-4, -0x1.8ac3aa568e973p-4, -0x1.8edad61050e7bp-4, -0x1.92abd7f2134bep-4, -0x1.96372a2153c5cp-4, -0x1.997d5bd6eb992p-4, -0x1.9c7f104929e6cp-4, -0x1.9f3cfd98d9c61p-4, -0x1.a1b7ebc19f591p-4, -0x1.a3f0b38e28f06p-4, -0x1.a5e83d908ce8bp-4, -0x1.a79f811f339b7p-4, -0x1.a91783569d13fp-4, -0x1.aa51562061889p-4, -0x1.ab4e173f91895p-4, -0x1.ac0eef62cc179p-4, -0x1.ac95113c413p-4, -0x1.ace1b89fb5e37p-4, -0x1.acf629a6d05c3p-4, -0x1.acd3afdbc2afap-4, -0x1.ac7b9d6a6ede6p-4, -0x1.abef4a581e678p-4, -0x1.ab3013c1d9bdfp-4, -0x1.aa3f5b2174be1p-4, -0x1.a91e85995c72dp-4, -0x1.a7cefb4714929p-4, -0x1.a652269c764ccp-4, -0x1.a4a973bfaea43p-4, -0x1.a2d64ff1e0318p-4, -0x1.a0da28fc76602p-4, -0x1.9eb66ca501af8p-4, -0x1.9c6c8827a4025p-4, -0x1.99fde7b7eb8e4p-4, -0x1.976bf607f66d1p-4, -0x1.94b81bd5f472ap-4, -0x1.91e3bf7fb2216p-4, -0x1.8ef0449c3c0cbp-4, -0x1.8bdf0b9b6776ep-4, -0x1.88b1716b2431ep-4, -0x1.8568cf2278738p-4, -0x1.820679b200c89p-4, -0x1.7e8bc199d2e93p-4, -0x1.7af9f2a49f5bfp-4, -0x1.775253a7ea544p-4, -0x1.739626493760fp-4, -0x1.6fc6a6c803da3p-4, -0x1.6be50bcc64c9p-4, -0x1.67f2863a26539p-4, -0x1.63f0410842489p-4, -0x1.5fdf611c898cep-4, -0x1.5bc1052b56b9ap-4, -0x1.5796459b2525dp-4, -0x1.5360346be6b6bp-4, -0x1.4f1fdd21ed88bp-4, -0x1.4ad644b44aa96p-4, -0x1.4684697e74aaap-4, -0x1.422b433517fa8p-4, -0x1.3dcbc2dde7a91p-4, -0x1.3966d2ca4c4c2p-4, -0x1.34fd5694cf0fdp-4, -0x1.30902b211b1e2p-4, -0x1.2c20269e76c41p-4, -0x1.27ae188c909bbp-4, -0x1.233ac9c281999p-4, -0x1.1ec6fc77e28f5p-4, -0x1.1a536c4fd8fecp-4, -0x1.15e0ce65f9fc8p-4, -0x1.116fd15ce6d0bp-4, -0x1.0d011d6e87e3p-4, -0x1.0895547dc918ap-4, -0x1.042d1229bc5fcp-4, -0x1.ff91d7c4138dfp-5, -0x1.f6d2e1f923b93p-5, -0x1.ee1e559859644p-5, -0x1.e5753970d74f5p-5, -0x1.dcd888ac8fa98p-5, -0x1.d4493303503eap-5, -0x1.cbc81cef5314fp-5, -0x1.c3561fe32a4f6p-5, -0x1.baf40a80dfed2p-5, -0x1.b2a2a0d22690fp-5, -0x1.aa629c81776dp-5, -0x1.a234ad13f861ap-5, -0x1.9a1978240d1b9p-5, -0x1.9211999c721d5p-5, -0x1.8a1da3f3c4dc1p-5, -0x1.823e20685ee4cp-5, -0x1.7a738f3c6243bp-5, -0x1.72be67f1ea293p-5, -0x1.6b1f19873917fp-5, -0x1.63960ab2dac3p-5, -0x1.5c239a1f9c67p-5, -0x1.54c81ea848f92p-5, -0x1.4d83e7931abedp-5, -0x1.46573cccc7eb2p-5, -0x1.3f425f23211aep-5, -0x1.3845887f3181cp-5, -0x1.3160ec1ecaf68p-5, -0x1.2a94b6cd7a5a4p-5, -0x1.23e10f1cd1b52p-5, -0x1.1d46159bfc119p-5, -0x1.16c3e50e9466bp-5, -0x1.105a92a2b39bfp-5, -0x1.0a0a2e262c7f9p-5, -0x1.03d2c23aec8a1p-5, -0x1.fb68a914fb20fp-6, -0x1.ef5dcbf13f313p-6, -0x1.e384e5a9e5719p-6, -0x1.d7dde61764d48p-6, -0x1.cc68b4aaee19bp-6, -0x1.c12530cbf6fdep-6, -0x1.b6133233d0643p-6, -0x1.ab32894733112p-6, -0x1.a082ff6dc9ffcp-6, -0x1.96045767b3fcfp-6, -0x1.8bb64da0f6324p-6, -0x1.81989882e3da3p-6, -0x1.77aae8c377988p-6, -0x1.6dece9b2a0936p-6, -0x1.645e41857fc8cp-6, -0x1.5afe919f9ec51p-6, -0x1.51cd76da18b2fp-6, -0x1.48ca89c8c6a6bp-6, -0x1.3ff55efd61124p-6, -0x1.374d8748a9631p-6, -0x1.2ed28ff99b13cp-6, -0x1.2684031aa703cp-6, -0x1.1e6167ad0185ap-6, -0x1.166a41e20a2e3p-6, -0x1.0e9e1352d3b94p-6, -0x1.06fc5b35cc041p-6, -0x1.ff092d252a02dp-7, -0x1.f06c80e822ee5p-7, -0x1.e221a4315beefp-7, -0x1.d4278641cd939p-7, -0x1.c67d13784560fp-7, -0x1.b92135a7b9d33p-7, -0x1.ac12d46a4c527p-7, -0x1.9f50d5712bc2cp-7, -0x1.92da1cd134825p-7, -0x1.86ad8d4c986b9p-7, -0x1.7aca089968dbdp-7, -0x1.6f2e6fa547b57p-7, -0x1.63d9a2d626072p-7, -0x1.58ca82483bf9ep-7, -0x1.4dffee094ae8fp-7, -0x1.4378c65125d75p-7, -0x1.3933ebb7ac2b3p-7, -0x1.2f303f683c50ap-7, -0x1.256ca352abeb2p-7, -0x1.1be7fa59df0d8p-7, -0x1.12a128800998cp-7, -0x1.09971310b143dp-7, -0x1.00c8a0c87c213p-7, -0x1.f06973f5bfc95p-8, -0x1.dfb4916b811a7p-8, -0x1.cf7071c61f847p-8, -0x1.bf9af0d0f9deap-8, -0x1.b031ee8a8a13bp-8, -0x1.a1334f5c65377p-8, -0x1.929cfc4fbb1ccp-8, -0x1.846ce33e71d9ap-8, -0x1.76a0f700fba04p-8, -0x1.69372f99059adp-8, -0x1.5c2d8a59191f8p-8, -0x1.4f820a094f0a8p-8, -0x1.4332b7092c9c6p-8, -0x1.373d9f6ec9a93p-8, -0x1.2ba0d723533e2p-8, -0x1.205a77fd0d5bep-8, -0x1.1568a1d6e418fp-8, -0x1.0ac97aa5aa4a8p-8, -0x1.007b2e8b1c803p-8, -0x1.ecf7dfcd792efp-9, -0x1.d993eec94265ep-9, -0x1.c6c708149635dp-9, -0x1.b48db68330e5cp-9, -0x1.a2e491c3d4a15p-9, -0x1.91c83e6f1e91bp-9, -0x1.81356e1311ca4p-9, -0x1.7128df3b7dc0ap-9, -0x1.619f5d775fd67p-9, -0x1.5295c15b6f3eep-9, -0x1.4408f081e933fp-9, -0x1.35f5dd87c965p-9, -0x1.285988078be3fp-9, -0x1.1b30fc9196f8p-9, -0x1.0e7954a26cec1p-9, -0x1.022fb696c70f9p-9, -0x1.eca2ab3b5e9d1p-10, -0x1.d5b6e351768e9p-10, -0x1.bf96aeb4ffe72p-10, -0x1.aa3cbfe6af927p-10, -0x1.95a3e2793252fp-10, -0x1.81c6fae49662p-10, -0x1.6ea10656f9e19p-10, -0x1.5c2d1a8296e34p-10, -0x1.4a66656960d0cp-10, -0x1.39482d265dfcbp-10, -0x1.28cdcfb4dce41p-10, -0x1.18f2c2b5ba0a2p-10, -0x1.09b29332cab2bp-10, -0x1.f611cac13d9f1p-11, -0x1.d9e2e8bd5fefcp-11, -0x1.bed023ec5186ep-11, -0x1.a4d14caeb7e6ap-11, -0x1.8bde5fac197b3p-11, -0x1.73ef85494ac7p-11, -0x1.5cfd111cedbe3p-11, -0x1.46ff81623753ep-11, -0x1.31ef7e6a2e917p-11, -0x1.1dc5da0b976e4p-11, -0x1.0a7b8f11b22aap-11, -0x1.f01381540254cp-12, -0x1.ccd373a274eefp-12, -0x1.ab29d97f2050ep-12, -0x1.8b09e4a8e7639p-12, -0x1.6c671303f0545p-12, -0x1.4f352d6ff151p-12, -0x1.3368469e3f1e4p-12, -0x1.18f4b9e7e1885p-12, -0x1.ff9e5447cdc1fp-13, -0x1.cfd900fc5a10bp-13, -0x1.a283d69dacff9p-13, -0x1.7789b9e53cd44p-13, -0x1.4ed615486c847p-13, -0x1.2854d6adc2252p-13, -0x1.03f26d24dcd05p-13, -0x1.c3378d43185cdp-14, -0x1.827c9b7472fp-14, -0x1.458fced413c1bp-14, -0x1.0c4de1adb6c8p-14, -0x1.ad28f46dc2ca1p-15, -0x1.48844c57eaa13p-15, -0x1.d4d959d9c30edp-16, -0x1.25456b72f6de3p-16, -0x1.03a2eddf877fdp-17, 0x1.5fa80d0d88986p-20, 0x1.45266095c113ep-17, 0x1.246a13ef919bdp-16, 0x1.9bed809319c75p-16, 0x1.04c459d66a82p-15, 0x1.36d1f1b4956c4p-15, 0x1.64522746215ccp-15, 0x1.8d76261268ef2p-15, 0x1.b26dad87312cep-15, 0x1.d36718a139649p-15, 0x1.f08f657bfc353p-15, 0x1.05091e6430a8p-14, 0x1.100cfc951b40ep-14, 0x1.1967d73e1d589p-14, 0x1.212d987d50fa9p-14, 0x1.27718e29f78d3p-14, 0x1.2c466d5007901p-14, 0x1.2fbe559ed30e6p-14, 0x1.31ead4cac0a3dp-14, 0x1.32dce9e216e6ap-14, 0x1.32a50894d6f8fp-14, 0x1.31531c6faac1ap-14, 0x1.2ef68c09ec349p-14, 0x1.2b9e3c26cb12p-14, 0x1.275892c999c2p-14, 0x1.22337a3d4fe45p-14, 0x1.1c3c640f4aaf1p-14, 0x1.15804bfd5c3a2p-14, 0x1.0e0bbad73b017p-14, 0x1.05eac95360934p-14, 0x1.fa5245aed7e4cp-15, 0x1.e7a410683af2fp-15, 0x1.d3e0a4a9ff0a9p-15, 0x1.bf1ce9c7a984dp-15, 0x1.a96d01bfc7cb4p-15, 0x1.92e44e52712cfp-15, 0x1.7b9575ffeaf05p-15, 0x1.639268efa226ep-15, 0x1.4aec65bfb3d38p-15, 0x1.31b3fe3d3bf44p-15, 0x1.17f91c05a4b8fp-15, 0x1.fb960a2269e52p-16, 0x1.c670c04e2d535p-16, 0x1.909e72762eda8p-16, 0x1.5a3a0b6aba2a1p-16, 0x1.235d5148aa6fep-16, 0x1.d841db6459dc5p-17, 0x1.6938ebba044d6p-17, 0x1.f399c9daa1016p-18, 0x1.14519d7c1ac5ep-18, 0x1.a75b67431c037p-21, -0x1.549509370a9b4p-19, -0x1.8905ae109188bp-18, -0x1.337f922b25c01p-17, -0x1.a1f9bf2f823p-17, -0x1.07e8ae7f597b9p-16, -0x1.3e7408524eac1p-16, -0x1.74908c2657b4bp-16, -0x1.aa309f4425305p-16, -0x1.df4766eecf061p-16, -0x1.09e4612775339p-15, -0x1.23d4a240632d1p-15, -0x1.3d6f17629ea2bp-15, -0x1.56aeb56a50d89p-15, -0x1.6f8ec2a99777bp-15, -0x1.880ad43340dd1p-15, -0x1.a01ecb35c7ee5p-15, -0x1.b7c6d2664b00ep-15, -0x1.ceff5b7b3db13p-15, -0x1.e5c51cb6924a8p-15, -0x1.fc150e7f1818p-15, -0x1.08f634846853bp-14, -0x1.13a45105fb677p-14, -0x1.1e13b5453d78dp-14, -0x1.28435651d8ec3p-14, -0x1.323244bafc70bp-14, -0x1.3bdfab8706f97p-14, -0x1.454acf31f03cp-14, -0x1.4e730cb24dd04p-14, -0x1.5757d884d4b3ep-14, -0x1.5ff8bdbe3d3fbp-14, -0x1.68555d236640ep-14, -0x1.706d6c479d163p-14, -0x1.7840b4b0ecbcp-14, -0x1.7fcf130254f9ep-14, -0x1.8718762bcf06ep-14, -0x1.8e1cdea00134dp-14, -0x1.94dc5d8f87ddap-14, -0x1.9b571429b40e3p-14, -0x1.a18d32e2a8262p-14, -0x1.a77ef8beb4b3ap-14, -0x1.ad2cb2a2dcdd8p-14, -0x1.b296baaa61bfap-14, -0x1.b7bd7781450eap-14, -0x1.bca15bc3a2387p-14, -0x1.c142e561bcaf3p-14, -0x1.c5a29d08bfc31p-14, -0x1.c9c1159001359p-14, -0x1.cd9eeb6ab481ep-14, -0x1.d13cc41e05d95p-14, -0x1.d49b4dbb64fa4p-14, -0x1.d7bb3e5f0ab22p-14, -0x1.da9d53b28dcd7p-14, -0x1.dd4252736aa35p-14, -0x1.dfab05fd82a42p-14, -0x1.e1d83fd95de05p-14, -0x1.e3cad74e2aecbp-14, -0x1.e583a8f76052p-14, -0x1.e703965df4b83p-14, -0x1.e84b859507f95p-14, -0x1.e95c60d9f7b45p-14, -0x1.ea371637bd259p-14, -0x1.eadc972d90aacp-14, -0x1.eb4dd858b0b81p-14, -0x1.eb8bd121433c9p-14, -0x1.eb977b6a34a36p-14, -0x1.eb71d344026dep-14, -0x1.eb1bd6a2789b5p-14, -0x1.ea9685151b9cap-14, -0x1.e9e2df8266762p-14, -0x1.e901e7e5a19c2p-14, -0x1.e7f4a10f54588p-14, -0x1.e6bc0e683eb4p-14, -0x1.e55933b6c2ad1p-14, -0x1.e3cd14e6b91f9p-14, -0x1.e218b5d39cc16p-14, -0x1.e03d1a14e8f81p-14, -0x1.de3b44ccc78e4p-14, -0x1.dc143878ce3b6p-14, -0x1.d9c8f6c4e8d06p-14, -0x1.d75a80603496fp-14, -0x1.d4c9d4d3ed507p-14, -0x1.d217f25c33fc4p-14, -0x1.cf45d5c2bf9bap-14, -0x1.cc547a3b5ebb4p-14, -0x1.c944d9423424bp-14, -0x1.c617ea7bb41dep-14, -0x1.c2cea39641cb6p-14, -0x1.bf69f82d7b1dcp-14, -0x1.bbead9aefd3ecp-14, -0x1.b8523740c754p-14, -0x1.b4a0fda903bd9p-14, -0x1.b0d817374d6f4p-14, -0x1.acf86baf4b909p-14, -0x1.a902e034b1cafp-14, -0x1.a4f857388141p-14, -0x1.a0d9b0679415bp-14, -0x1.9ca7c89a61524p-14, -0x1.986379c5e80d9p-14, -0x1.940d9aedc489p-14, -0x1.8fa700175f681p-14, -0x1.8b307a3e2af16p-14, -0x1.86aad748eaecbp-14, -0x1.8216e1fff96c7p-14, -0x1.7d75620483a6fp-14, -0x1.78c71bc8b12d4p-14, -0x1.740cd088b3568p-14, -0x1.6f473e44aea4fp-14, -0x1.6a771fbb7ab82p-14, -0x1.659d2c662e2b2p-14, -0x1.60ba1874706d9p-14, -0x1.5bce94c9880a7p-14, -0x1.56db4efa2138ep-14, -0x1.51e0f14ac32a2p-14, -0x1.4ce022aeecb1fp-14, -0x1.47d986c8d4dd9p-14, -0x1.42cdbde9c4d7fp-14, -0x1.3dbd65130867dp-14, -0x1.38a915f76a94bp-14, -0x1.339166fd3e445p-14, -0x1.2e76eb40e5abp-14, -0x1.295a3297d9a26p-14, -0x1.243bc9942674ap-14, -0x1.1f1c39885bc45p-14, -0x1.19fc088be7759p-14, -0x1.14dbb97fd99dap-14, -0x1.0fbbcc14095cdp-14, -0x1.0a9cbccc987a9p-14, -0x1.057f0507ce8dap-14, -0x1.00631b0449884p-14, -0x1.f692e3cefa564p-15, -0x1.ec64f388fad21p-15, -0x1.e23d3f4622c79p-15, -0x1.d81c9b0e12205p-15, -0x1.ce03d4efa0334p-15, -0x1.c3f3b5107dd93p-15, -0x1.b9ecfdbd444f4p-15, -0x1.aff06b79e8fb4p-15, -0x1.a5feb512983a9p-15, -0x1.9c188bace423bp-15, -0x1.923e9ad94d5a6p-15, -0x1.887188a511c87p-15, -0x1.7eb1f5ac49865p-15, -0x1.75007d2c41023p-15, -0x1.6b5db516100b9p-15, -0x1.61ca2e21651c6p-15, -0x1.584673df84dfdp-15, -0x1.4ed30cce726fcp-15, -0x1.45707a6c3d0aap-15, -0x1.3c1f394a73413p-15, -0x1.32dfc121b12a5p-15, -0x1.29b284e545a55p-15, -0x1.2097f2d6ee4f4p-15, -0x1.1790749aa4672p-15, -0x1.0e9c6f4a7142fp-15, -0x1.05bc438a512e5p-15, -0x1.f9e09b382c91dp-16, -0x1.e871cae6a0dfep-16, -0x1.d72cbd925b2ecp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2002490458b68p-1, -0x1.1d4855eca0609p-1, -0x1.1a5380485e335p-1, -0x1.1725a7881f7e2p-1, -0x1.13c0c0273306bp-1, -0x1.1026cffc7f94cp-1, -0x1.0c59eadca16dcp-1, -0x1.085c2f95df66p-1, -0x1.042fc547e4fdbp-1, -0x1.ffadb2280f9aap-2, -0x1.f6a7383e6401ap-2, -0x1.ed5083b8475aap-2, -0x1.e3adfd273c1aap-2, -0x1.d9c40c3f81d53p-2, -0x1.cf9715a0afd54p-2, -0x1.c52b78dd9da24p-2, -0x1.ba858eb36d8f5p-2, -0x1.afa9a76278addp-2, -0x1.a49c091e9b2bfp-2, -0x1.9960ee8f48bedp-2, -0x1.8dfc855a347ccp-2, -0x1.8272ecb5b1a38p-2, -0x1.76c83401b603bp-2, -0x1.6b005967faf92p-2, -0x1.5f1f4884d11ecp-2, -0x1.5328d91b076dcp-2, -0x1.4720cdd5c4b23p-2, -0x1.3b0ad31b6a8afp-2, -0x1.2eea7df494534p-2, -0x1.22c34b0a0ffeep-2, -0x1.16989dbc61fap-2, -0x1.0a6dbf56ec9d7p-2, -0x1.fc8bbcc0b05fcp-3, -0x1.e4481c12a1129p-3, -0x1.cc168b7439722p-3, -0x1.b3fcc17e2948ap-3, -0x1.9c003c26ef6aep-3, -0x1.8426409362cbep-3, -0x1.6c73db1f692dp-3, -0x1.54eddf9b89b79p-3, -0x1.3d98e9bb76e5ep-3, -0x1.26795db13ef25p-3, -0x1.0f9368f08ac28p-3, -0x1.f1d6062a5923p-4, -0x1.c507ddd04526ep-4, -0x1.98c376fc77269p-4, -0x1.6d0f8ad76eabep-4, -0x1.41f27010a6df7p-4, -0x1.17721d7f148b5p-4, -0x1.db2859a4241e5p-5, -0x1.88bbba96dfef6p-5, -0x1.37a82cf834592p-5, -0x1.cfedabf5dd82ep-6, -0x1.33606c89ba21dp-6, -0x1.3370bcddbf122p-7, -0x1.820817b569cbp-13, 0x1.215e33c094484p-7, 0x1.2154dbf4a9ed2p-6, 0x1.aee2097a74902p-6, 0x1.1ca64213944f8p-5, 0x1.604599b63da37p-5, 0x1.a24afe27a13d7p-5, 0x1.e2b2dcd0437a4p-5, 0x1.10bd0d25891f3p-4, 0x1.2f4f076fc5b9p-4, 0x1.4d0e4193ab564p-4, 0x1.69f9d66e3fdd7p-4, 0x1.861115e6a0845p-4, 0x1.a153837905c2bp-4, 0x1.bbc0d4d1307dfp-4, 0x1.d558f0727c4fbp-4, 0x1.ee1bec6bdbc17p-4, 0x1.0305068b03b19p-3, 0x1.0e91e1ed151c7p-3, 0x1.19b4d6ffc21f8p-3, 0x1.246e49bf38143p-3, 0x1.2ebeb2ebb8e31p-3, 0x1.38a69f767f6c1p-3, 0x1.4226afef65727p-3, 0x1.4b3f97f2d36bap-3, 0x1.53f21d9779c53p-3, 0x1.5c3f18db6cb76p-3, 0x1.642773105fcafp-3, 0x1.6bac2646a5972p-3, 0x1.72ce3cb6d8739p-3, 0x1.798ed029ef6cbp-3, 0x1.7fef095fbdb81p-3, 0x1.85f01f73c3267p-3, 0x1.8b93574059031p-3, 0x1.90da02c049731p-3, 0x1.95c5806ee6711p-3, 0x1.9a573aa6c556cp-3, 0x1.9e90a6ff4cb1cp-3, 0x1.a27345a93b17ap-3, 0x1.a600a0ca6ffb1p-3, 0x1.a93a4bd927c42p-3, 0x1.ac21e2f6eb622p-3, 0x1.aeb90a4b8361ep-3, 0x1.b1016d603243bp-3, 0x1.b2fcbe7b72c28p-3, 0x1.b4acb5fd9e526p-3, 0x1.b61311beaa74dp-3, 0x1.b731946d593f8p-3, 0x1.b80a04f025358p-3, 0x1.b89e2dc824437p-3, 0x1.b8efdc76348d6p-3, 0x1.b900e0e2adfdfp-3, 0x1.b8d30cc7dd325p-3, 0x1.b868331f84745p-3, 0x1.b7c2279395c7bp-3, 0x1.b6e2bdf26aa62p-3, 0x1.b5cbc9a699f5cp-3, 0x1.b47f1d32a566dp-3, 0x1.b2fe89b0acd73p-3, 0x1.b14bde563b15ap-3, 0x1.af68e7fc60cb9p-3, 0x1.ad5770ac370f7p-3, 0x1.ab193f2fd893fp-3, 0x1.a8b016a7f11ecp-3, 0x1.a61db625f8628p-3, 0x1.a363d84b14b7cp-3, 0x1.a08432ebc2bcp-3, 0x1.9d8076b83c8f2p-3, 0x1.9a5a4ee9a7b8fp-3, 0x1.971360f4038f2p-3, 0x1.93ad4c3cd9dd2p-3, 0x1.9029a9d6ad683p-3, 0x1.8c8a0c411052cp-3, 0x1.88cfff2d5fbaep-3, 0x1.84fd074815ap-3, 0x1.8112a206978ddp-3, 0x1.7d124579777ep-3, 0x1.78fd60230c8d8p-3, 0x1.74d558d2467dfp-3, 0x1.709b8e81b6bd8p-3, 0x1.6c51583a9241dp-3, 0x1.67f804fbbb2b5p-3, 0x1.6390dba48a107p-3, 0x1.5f1d1ae35a743p-3, 0x1.5a9df927a764bp-3, 0x1.5614a497a4e78p-3, 0x1.5182430925d28p-3, 0x1.4ce7f1fdc6271p-3, 0x1.4846c6a21d3dep-3, 0x1.439fcdcfed358p-3, 0x1.3ef40c131c9efp-3, 0x1.3a447db16c558p-3, 0x1.359216b4adb1cp-3, 0x1.30ddc2f778364p-3, 0x1.2c2866341f612p-3, 0x1.2772dc15def5cp-3, 0x1.22bdf84c0e3e5p-3, 0x1.1e0a869f460acp-3, 0x1.19594b0852b89p-3, 0x1.14ab01c8d37aap-3, 0x1.10005f8575492p-3, 0x1.0b5a116195944p-3, 0x1.06b8bd1c49347p-3, 0x1.021d012e99dbbp-3, 0x1.fb0ee9d5cf1c2p-4, 0x1.f1f1513aa0749p-4, 0x1.e8e24b5a10aaep-4, 0x1.dfe2dd7d0619fp-4, 0x1.d6f3ffacc44a1p-4, 0x1.ce169cfa0bda1p-4, 0x1.c54b93c55cae9p-4, 0x1.bc93b60833b27p-4, 0x1.b3efc99f1d74dp-4, 0x1.ab60889465591p-4, 0x1.a2e6a16b53462p-4, 0x1.9a82b76bbdc73p-4, 0x1.923562edeafcp-4, 0x1.89ff31a67784dp-4, 0x1.81e0a6f2547a2p-4, 0x1.79da3c2298b52p-4, 0x1.71ec60c81e5f2p-4, 0x1.6a177afecbb6bp-4, 0x1.625be7b871ebep-4, 0x1.5ab9fb0728c0bp-4, 0x1.5332006712b0bp-4, 0x1.4bc43b0775c03p-4, 0x1.4470e613145ccp-4, 0x1.3d3834f7b896cp-4, 0x1.361a53acdd4bep-4, 0x1.2f1766f9694b8p-4, 0x1.282f8cb86ebcep-4, 0x1.2162dc1cdf78cp-4, 0x1.1ab165f42e986p-4, 0x1.141b34e7d235fp-4, 0x1.0da04dbd9d195p-4, 0x1.0740af96e839bp-4, 0x1.00fc542e83a2p-4, 0x1.f5a6602ad1207p-5, 0x1.e98a65dc5295ep-5, 0x1.dda48f4e2ab3ap-5, 0x1.d1f4a96625aa9p-5, 0x1.c67a78824d4b3p-5, 0x1.bb35b8e553dc8p-5, 0x1.b0261f2055c7ap-5, 0x1.a54b5879efa1ep-5, 0x1.9aa50b52a6d2p-5, 0x1.9032d786a3c37p-5, 0x1.85f456ccc1dffp-5, 0x1.7be91d12f38cdp-5, 0x1.7210b8d7febfcp-5, 0x1.686ab3829554fp-5, 0x1.5ef691b5d0e45p-5, 0x1.55b3d3a30ff9dp-5, 0x1.4ca1f55943d17p-5, 0x1.43c06f11b0b39p-5, 0x1.3b0eb57a25848p-5, 0x1.328c39fcba5ccp-5, 0x1.2a386b0516296p-5, 0x1.2212b4434bde7p-5, 0x1.1a1a7eec51b2p-5, 0x1.124f31f821262p-5, 0x1.0ab0325d89bccp-5, 0x1.033ce34bbb9b7p-5, 0x1.f7e94cc33d10ep-6, 0x1.e9adb7c5e6fb6p-6, 0x1.dbc5c5d6b502fp-6, 0x1.ce30333e749c4p-6, 0x1.c0ebbab53fe6bp-6, 0x1.b3f715bc38d8ap-6, 0x1.a750fcf35a5e8p-6, 0x1.9af8286b7cfb5p-6, 0x1.8eeb4ff495f31p-6, 0x1.83292b686512ap-6, 0x1.77b072f18a0b5p-6, 0x1.6c7fdf4f2db6dp-6, 0x1.61962a155460ap-6, 0x1.56f20de9e7275p-6, 0x1.4c9246be96f07p-6, 0x1.42759207a86b2p-6, 0x1.389aaeefc97f3p-6, 0x1.2f005e88fc1f4p-6, 0x1.25a563fab6291p-6, 0x1.1c8884ad47eadp-6, 0x1.13a88872a2a3p-6, 0x1.0b0439ac94cb3p-6, 0x1.029a65708ba92p-6, 0x1.f4d3b751faa9bp-7, 0x1.e4e2de68faa1ap-7, 0x1.d55fec0549083p-7, 0x1.c648925d9d65fp-7, 0x1.b79a8a31a14adp-7, 0x1.a95392f75d718p-7, 0x1.9b717304d8fbep-7, 0x1.8df1f7b615007p-7, 0x1.80d2f58f7f26ap-7, 0x1.7412485cffe9ep-7, 0x1.67add34dd45c3p-7, 0x1.5ba3810d42e46p-7, 0x1.4ff143d85ad17p-7, 0x1.44951590d95bdp-7, 0x1.398cf7cd527c6p-7, 0x1.2ed6f3e6c56b9p-7, 0x1.24711b03ad1ccp-7, 0x1.1a598620b53eap-7, 0x1.108e56172b1c8p-7, 0x1.070db3a147eefp-7, 0x1.fbab9eb8dac22p-8, 0x1.e9c9c392e367ep-8, 0x1.d872569621ca4p-8, 0x1.c7a1e8453c4acp-8, 0x1.b75518d619212p-8, 0x1.a7889824ca7e6p-8, 0x1.983925a3841c5p-8, 0x1.89639047c4bafp-8, 0x1.7b04b674db3b6p-8, 0x1.6d1985e3f268ep-8, 0x1.5f9efb89c7782p-8, 0x1.5292237a30f3ap-8, 0x1.45f018c99ca5cp-8, 0x1.39b6056ca3763p-8, 0x1.2de12215d6b2fp-8, 0x1.226eb611e6922p-8, 0x1.175c1722412c4p-8, 0x1.0ca6a95644ab7p-8, 0x1.024bdee327df8p-8, 0x1.f0926ff556743p-9, 0x1.dd3885416a348p-9, 0x1.ca8534ffdbe75p-9, 0x1.b873d17ae5abap-9, 0x1.a6ffc79777c3bp-9, 0x1.96249e7989824p-9, 0x1.85ddf7272565cp-9, 0x1.76278c2a4fe71p-9, 0x1.66fd3131f3c54p-9, 0x1.585ad2b1f6255p-9, 0x1.4a3c758299ed4p-9, 0x1.3c9e367f49702p-9, 0x1.2f7c4a24f4039p-9, 0x1.22d2fc3010635p-9, 0x1.169eaf3a6998ep-9, 0x1.0adbdc58c8fcep-9, 0x1.ff0e257144f0fp-10, 0x1.e939ee7b9a52ap-10, 0x1.d4348840d69eap-10, 0x1.bff79116228e3p-10, 0x1.ac7cd0727b2aap-10, 0x1.99be362c7d709p-10, 0x1.87b5d9b91681dp-10, 0x1.765df96b54129p-10, 0x1.65b0f9b562941p-10, 0x1.55a9646ae0852p-10, 0x1.4641e8049fadcp-10, 0x1.377556e5ee2abp-10, 0x1.293ea6a3794cbp-10, 0x1.1b98ef4bf1b43p-10, 0x1.0e7f6ab271c8ap-10, 0x1.01ed73bac054dp-10, 0x1.ebbd0b4f13ecfp-11, 0x1.d49c76d5277eep-11, 0x1.be709dedfb179p-11, 0x1.a931312b3eda1p-11, 0x1.94d61c771c6cp-11, 0x1.815785c5a3ecdp-11, 0x1.6eadcbcab09dbp-11, 0x1.5cd184b456903p-11, 0x1.4bbb7ce9e6a5bp-11, 0x1.3b64b5cf98681p-11, 0x1.2bc6648ee332p-11, 0x1.1cd9f0e3908e5p-11, 0x1.0e98f3ed8ecap-11, 0x1.00fd37078bd38p-11, 0x1.e8016544b22abp-12, 0x1.cf3b1a4a3da54p-12, 0x1.b79c33a4bef29p-12, 0x1.a119af6395d44p-12, 0x1.8ba8e0fdbeec6p-12, 0x1.773f6f38b3d5bp-12, 0x1.63d35218de185p-12, 0x1.515ad0db9311cp-12, 0x1.3fcc7ffa95a91p-12, 0x1.2f1f3f3906d81p-12, 0x1.1f4a37b9c421cp-12, 0x1.1044da1f187e9p-12, 0x1.0206dcb3b72e8p-12, 0x1.e9107339d4c29p-13, 0x1.cf825a2bc844ep-13, 0x1.b7546768318bbp-13, 0x1.a07811692aa26p-13, 0x1.8adf48a460364p-13, 0x1.767c74490ef07p-13, 0x1.63426f0f55c0fp-13, 0x1.51248418be7d1p-13, 0x1.40166be1ba283p-13, 0x1.300c4943df5e4p-13, 0x1.20faa688bdd59p-13, 0x1.12d6728cfee9ap-13, 0x1.0594fdf3a9c0ep-13, 0x1.f257f0d29295fp-14, 0x1.db22dbed74e7dp-14, 0x1.c57788c6e202p-14, 0x1.b143714dd6118p-14, 0x1.9e74b8d243b18p-14, 0x1.8cfa27237133dp-14, 0x1.7cc323cb57453p-14, 0x1.6dbfb16690272p-14, 0x1.5fe0691859653p-14, 0x1.5316761a314fap-14, 0x1.475391669812dp-14, 0x1.3c89fd7e7c158p-14, 0x1.32ac8248da8aep-14, 0x1.29ae690c1b29bp-14, 0x1.21837880b193fp-14, 0x1.1a1ff0fc8d00ap-14, 0x1.137888b6e10e6p-14, 0x1.0d826823d2d66p-14, 0x1.0833266795de8p-14, 0x1.0380c5e0845fp-14, 0x1.fec3618f87c47p-15, 0x1.f7996bd000dc4p-15, 0x1.f1720ad3a4fdcp-15, 0x1.ec3c5b6aba213p-15, 0x1.e7e830d16e8d7p-15, 0x1.e4660ec56ad94p-15, 0x1.e1a723c349ba7p-15, 0x1.df9d436b1f9f6p-15, 0x1.de3ae10b45cbap-15, 0x1.dd730a5091268p-15, 0x1.dd39621b30606p-15, 0x1.dd821b77618d1p-15, 0x1.de41f4b93beacp-15, 0x1.df6e32bac63d7p-15, 0x1.e0fc9c3b9c976p-15, 0x1.e2e3756160d7ap-15, 0x1.e5197b58415cap-15, 0x1.e795e012d52afp-15, 0x1.ea504628a14f2p-15, 0x1.ed40bcd288e49p-15, 0x1.f05fbc0482bccp-15, 0x1.f3a620a3df128p-15, 0x1.f70d28d977e8dp-15, 0x1.fa8e707f23d4dp-15, 0x1.fe23eda7c4066p-15, 0x1.00e3f6a0a86aap-14, 0x1.02ba87e81fe7fp-14, 0x1.04932321d7ca9p-14, 0x1.066b6770db7c6p-14, 0x1.08411925a5798p-14, 0x1.0a12204b8fabep-14, 0x1.0bdc87417bfdcp-14, 0x1.0d9e795d6c8acp-14, 0x1.0f56419ac784fp-14, 0x1.11024952ff492p-14, 0x1.12a11700604f1p-14, 0x1.14314d0abff5bp-14, 0x1.15b1a89dcda93p-14, 0x1.17210088c5898p-14, 0x1.187e44274b18ep-14, 0x1.19c87a5329d65p-14, 0x1.1afec05ec55c7p-14, 0x1.1c204917fcd98p-14, 0x1.1d2c5bd3497edp-14, 0x1.1e22537ee150cp-14, 0x1.1f019dbda6ae8p-14, 0x1.1fc9ba09aff72p-14, 0x1.207a38de34503p-14, 0x1.2112bae8a8f4cp-14, 0x1.2192f040dec4fp-14, 0x1.21fa97a7ee5dap-14, 0x1.22497dcdc3b4ap-14, 0x1.227f7c9d1b764p-14, 0x1.229c7a8dc1b05p-14, 0x1.22a069fcea27fp-14, 0x1.228b488b729d7p-14, 0x1.225d1e81e619dp-14, 0x1.2215fe3a18615p-14, 0x1.21b6038e3102bp-14, 0x1.213d534cfc37fp-14, 0x1.20ac1ab35ed4ap-14, 0x1.20028eeac3a3ap-14, 0x1.1f40ec8c5fcd2p-14, 0x1.1e67772929845p-14, 0x1.1d7678d65d51fp-14, 0x1.1c6e41be718eap-14, 0x1.1b4f27b6534d2p-14, 0x1.1a1985d6d03dep-14, 0x1.18cdbc1a0984bp-14, 0x1.176c2efcd394ap-14, 0x1.15f54723e32edp-14, 0x1.14697104aa83fp-14, 0x1.12c91c91c8befp-14, 0x1.1114bceaf1d9bp-14, 0x1.0f4cc8103078ap-14, 0x1.0d71b69869a91p-14, 0x1.0b84036b0720dp-14, 0x1.09842b7caef4bp-14, 0x1.0772ad8eef5fap-14, 0x1.055009f2c8718p-14, 0x1.031cc24df8cf3p-14, 0x1.00d95962faf4bp-14, 0x1.fd0ca5b73046p-15, 0x1.f848662bfdea4p-15, 0x1.f366fde88d1b9p-15, 0x1.ee69775c94bdep-15, 0x1.e950dd4b92edfp-15, 0x1.e41e3a79723afp-15, 0x1.ded2995b64db1p-15, 0x1.d96f03ccda79cp-15, 0x1.d3f482c869b6ap-15, 0x1.ce641e2486c6cp-15, 0x1.c8bedc53eb7c4p-15, 0x1.c305c22988b45p-15, 0x1.bd39d29fe966p-15, 0x1.b75c0ea3de99cp-15, 0x1.b16d74e25d3c1p-15, 0x1.ab6f01996e71ep-15, 0x1.a561ae6c114a1p-15, 0x1.9f467238f99e5p-15, 0x1.991e40f40a45ep-15, 0x1.92ea0b8273e6fp-15, 0x1.8caabf995e764p-15, 0x1.8661479f00ee8p-15, 0x1.800e8a8e1708bp-15, 0x1.79b36bdb93cffp-15, 0x1.7350cb5e83045p-15, 0x1.6ce78539fbc06p-15, 0x1.667871c916b1bp-15, 0x1.6004658ccab46p-15, 0x1.598c311ba3369p-15, 0x1.5310a1133953bp-15, 0x1.4c927e0b5b7b8p-15, 0x1.46128c8ad36d8p-15, 0x1.3f918cfdb99a9p-15, 0x1.39103bad41bedp-15, 0x1.328f50b8f136ap-15, 0x1.2c0f801132155p-15, 0x1.259179732b376p-15, 0x1.1f15e865d89fdp-15, 0x1.189d74384d129p-15, 0x1.1228c00113318p-15, 0x1.0bb86a9e9d2cdp-15, 0x1.054d0eb8ba055p-15, 0x1.fdce8585fcb8dp-16, 0x1.f10f320032828p-16, 0x1.e45d3f0c0a41fp-16, 0x1.d7b9c086163e1p-16, 0x1.cb25c2071b562p-16, 0x1.bea246f11e513p-16, 0x1.b2304a7dd2428p-16, 0x1.a5d0bfce55fffp-16, 0x1.998491fc3186dp-16, 0x1.8d4ca42b72e46p-16, 0x1.8129d19deaa02p-16, 0x1.751cedc765cacp-16, 0x1.6926c462ddc4ap-16, 0x1.5d481988917bcp-16, 0x1.5181a9c4e6432p-16, 0x1.45d42a3018e8fp-16, 0x1.3a404886a0c8ep-16, 0x1.2ec6ab4237e0bp-16, 0x1.2367f1b3816c4p-16, 0x1.1824b41c3e755p-16, 0x1.0cfd83ca0135bp-16, 0x1.01f2eb315987dp-16, 0x1.ee0adc12cb013p-17, 0x1.d86b12cf8f45ap-17, 0x1.c30767b9d73b4p-17, 0x1.ade0bb21332c6p-17, 0x1.98f7e0bd91b4p-17, 0x1.844d9fe94b75dp-17, 0x1.6fe2b3db997abp-17, 0x1.5bb7cbe34dd89p-17, 0x1.47cd8ba1c4b37p-17, 0x1.34248b460bb84p-17, 0x1.20bd57c81d0c7p-17, 0x1.0d9873242c8aap-17, 0x1.f56ca92bea936p-18, 0x1.d02ed1a7f6a3dp-18, 0x1.ab7824956a39p-18, 0x1.874952af21838p-18, 0x1.63a2f90794eb4p-18, 0x1.4085a17e139bep-18, 0x1.1df1c333744a3p-18, 0x1.f7cf85fc5b958p-19, 0x1.b4cfe7bb8602bp-19, 0x1.72e52edae1bf4p-19, 0x1.320fbcac1c9aep-19, 0x1.e49fa2fc4af8bp-20, 0x1.674b1afab18dep-20, 0x1.d843c64720f1cp-21, 0x1.cc8f01db7cd56p-22, -0x1.d7e193b3326d8p-27, -0x1.e1655cfe0b66ep-22, -0x1.d5b3c635a164ap-21, -0x1.5b32841d5d0ebp-20, -0x1.c9648c2461cb2p-20, -0x1.1ab8bff4e2ef6p-19, -0x1.4fad8ab661cd8p-19, -0x1.8391992fe154ep-19, -0x1.b665f54dc9d4fp-19, -0x1.e82bbf4c0c896p-19, -0x1.0c72167a9d649p-18, -0x1.2448447233b8bp-18, -0x1.3b9918e4ef0a5p-18, -0x1.52654cd95bff7p-18, -0x1.68ada2a9a8f8dp-18, -0x1.7e72e5aa559e9p-18, -0x1.93b5e9d259fd1p-18, -0x1.a8778b64c5c5ep-18, -0x1.bcb8ae9bda96ap-18, -0x1.d07a3f55a18f8p-18, -0x1.e3bd30c1fff8cp-18, -0x1.f6827d12465a3p-18, -0x1.046592951fbfap-17, -0x1.0d4c18295eb15p-17, -0x1.15f555f6d08ffp-17, -0x1.1e61d595b1d75p-17, -0x1.269223610b60dp-17, -0x1.2e86ce52f1334p-17, -0x1.364067e17e674p-17, -0x1.3dbf83dc8bd1p-17, -0x1.4504b84c22e17p-17, -0x1.4c109d4fa9929p-17, -0x1.52e3ccfdc7cd7p-17, -0x1.597ee34503fc2p-17, -0x1.5fe27dcd17a43p-17, -0x1.660f3bd8f3afp-17, -0x1.6c05be29809e7p-17, -0x1.71c6a6e109d2bp-17, -0x1.775299675cf4ap-17, -0x1.7caa3a4e936ebp-17, -0x1.81ce2f388e997p-17, -0x1.86bf1ebd1c85cp-17, -0x1.8b7db050c6d54p-17, -0x1.900a8c2c418a7p-17, -0x1.94665b3492508p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.28de786618a87p-1, -0x1.27f0ffe92f1b1p-1, -0x1.26ee7a8f245f5p-1, -0x1.25d74ea3be4c5p-1, -0x1.24abe83da6f78p-1, -0x1.236cb89762f05p-1, -0x1.221a356e74cd6p-1, -0x1.20b4d86b3060dp-1, -0x1.1f3d1e92f1dc2p-1, -0x1.1db387c5a70ccp-1, -0x1.1c189646faf37p-1, -0x1.1a6cce52ec851p-1, -0x1.18b0b5bd3e207p-1, -0x1.16e4d39ae557p-1, -0x1.1509aff47b1p-1, -0x1.131fd3809997fp-1, -0x1.1127c765142f1p-1, -0x1.0f2214fe026a2p-1, -0x1.0d0f45a9a8e0fp-1, -0x1.0aefe2986b2fbp-1, -0x1.08c474a00b7e4p-1, -0x1.068d84119f619p-1, -0x1.044b9891bcbefp-1, -0x1.01ff38f2821d9p-1, -0x1.ff51d61e680dcp-2, -0x1.fa9267528aec7p-2, -0x1.f5c12c8d5adefp-2, -0x1.f0df2a2306b7ap-2, -0x1.ebed6171c68d3p-2, -0x1.e6ecd0a649809p-2, -0x1.e1de7282f3e99p-2, -0x1.dcc33e2a11f9fp-2, -0x1.d79c26eb34f04p-2, -0x1.d26a1c13e34fep-2, -0x1.cd2e08c3c96bcp-2, -0x1.c7e8d3c49086dp-2, -0x1.c29b5f657368bp-2, -0x1.bd46895aac8cbp-2, -0x1.b7eb2aa0bf3cap-2, -0x1.b28a1763a3829p-2, -0x1.ad241ee9cb436p-2, -0x1.a7ba0b82ea15bp-2, -0x1.a24ca27a6e3c1p-2, -0x1.9cdca40d81dc9p-2, -0x1.976acb646f839p-2, -0x1.91f7ce8f417bcp-2, -0x1.8c845e85602b6p-2, -0x1.87112728068f2p-2, -0x1.819ecf4749894p-2, -0x1.7c2df8a98527ep-2, -0x1.76bf4014e9143p-2, -0x1.71533d5afad3p-2, -0x1.6bea8365c5b54p-2, -0x1.6685a04690032p-2, -0x1.61251d45d3d91p-2, -0x1.5bc97ef457364p-2, -0x1.5673453d28bdbp-2, -0x1.5122eb785a768p-2, -0x1.4bd8e87e53d6cp-2, -0x1.4695aebb90e0ep-2, -0x1.4159ac44b1bd2p-2, -0x1.3c254aeab79f5p-2, -0x1.36f8f04f5a4e6p-2, -0x1.31d4fdf959b6p-2, -0x1.2cb9d168b90a2p-2, -0x1.27a7c42ad5dacp-2, -0x1.229f2bee45fa3p-2, -0x1.1da05a9679232p-2, -0x1.18ab9e4f0be4cp-2, -0x1.13c1419ed1fdap-2, -0x1.0ee18b7a82984p-2, -0x1.0a0cbf57155dap-2, -0x1.05431d3bc24a5p-2, -0x1.0084e1d3a91d9p-2, -0x1.f7a48cfe498e2p-3, -0x1.ee5702c98e9f2p-3, -0x1.e5218b040c4ep-3, -0x1.dc04857733d71p-3, -0x1.d3004bdb289b2p-3, -0x1.ca1531f667f6fp-3, -0x1.c14385bcf2703p-3, -0x1.b88b8f6f06ef9p-3, -0x1.afed91b76d633p-3, -0x1.a769c9c973185p-3, -0x1.9f006f7e8ab96p-3, -0x1.96b1b573a5ed2p-3, -0x1.8e7dc92655c99p-3, -0x1.8664d311adb3dp-3, -0x1.7e66f6caff8c8p-3, -0x1.7684531e6e844p-3, -0x1.6ebd022b61652p-3, -0x1.67111980e1815p-3, -0x1.5f80aa39dad93p-3, -0x1.580bc11954568p-3, -0x1.50b266a69750ep-3, -0x1.49749f494c84ep-3, -0x1.42526b658e7c1p-3, -0x1.3b4bc777f952p-3, -0x1.3460ac31a9c2fp-3, -0x1.2d910e943dfc4p-3, -0x1.26dce00dc3f5p-3, -0x1.20440e949fdb1p-3, -0x1.19c684c36b772p-3, -0x1.136429f4b7a8cp-3, -0x1.0d1ce25ec89b3p-3, -0x1.06f08f2f33309p-3, -0x1.00df0ea660ebbp-3, -0x1.f5d07865ea1fp-4, -0x1.ea17e11a20a56p-4, -0x1.de9403a2cf6cap-4, -0x1.d34487386cd7p-4, -0x1.c8290e47e7d0cp-4, -0x1.bd4136a7b339p-4, -0x1.b28c99cc5b6c2p-4, -0x1.a80accfc90d38p-4, -0x1.9dbb6184a93dep-4, -0x1.939de4e9933ecp-4, -0x1.89b1e11b1e62cp-4, -0x1.7ff6dca5a4b47p-4, -0x1.766c5ae2fd79cp-4, -0x1.6d11dc2ab4c27p-4, -0x1.63e6de0182817p-4, -0x1.5aeadb47f3ff2p-4, -0x1.521d4c6843f28p-4, -0x1.497da78357ef2p-4, -0x1.410b609cdc779p-4, -0x1.38c5e9c67ac79p-4, -0x1.30acb34a214d3p-4, -0x1.28bf2bd359e2fp-4, -0x1.20fcc097a965bp-4, -0x1.1964dd7df413p-4, -0x1.11f6ed44e2774p-4, -0x1.0ab259a844752p-4, -0x1.03968b856fefcp-4, -0x1.f945d5fd2dbcap-5, -0x1.ebadbf3a2bb14p-5, -0x1.de63a0e56d69ep-5, -0x1.d1664873d4121p-5, -0x1.c4b482e9e5f64p-5, -0x1.b84d1d1811ce1p-5, -0x1.ac2ee3d4da85ap-5, -0x1.a058a434f017dp-5, -0x1.94c92bc133b8p-5, -0x1.897f48aaaeadbp-5, -0x1.7e79c9fc80764p-5, -0x1.73b77fcbc100dp-5, -0x1.69373b656680bp-5, -0x1.5ef7cf7a2ed59p-5, -0x1.54f8104890682p-5, -0x1.4b36d3c4c2517p-5, -0x1.41b2f1bed7387p-5, -0x1.386b4406fe416p-5, -0x1.2f5ea68fe8a56p-5, -0x1.268bf78f6314p-5, -0x1.1df2179d28d9fp-5, -0x1.158fe9cff7d65p-5, -0x1.0d6453d8f5134p-5, -0x1.056e3e1d652d6p-5, -0x1.fb59279d89b4p-6, -0x1.ec3c860297802p-6, -0x1.dd847981cbea2p-6, -0x1.cf2eea4950acp-6, -0x1.c139c6c1a4c53p-6, -0x1.b3a303aebeba6p-6, -0x1.a6689c4e72a99p-6, -0x1.9988927426c17p-6, -0x1.8d00eea1ee088p-6, -0x1.80cfc01f1ddbap-6, -0x1.74f31d0c7d1cp-6, -0x1.696922760a398p-6, -0x1.5e2ff4628ce29p-6, -0x1.5345bde0ea326p-6, -0x1.48a8b11362c5ap-6, -0x1.3e570738cdb6p-6, -0x1.344f00b3d4b56p-6, -0x1.2a8ee5105d9d2p-6, -0x1.211503071d394p-6, -0x1.17dfb07f7ab78p-6, -0x1.0eed4a8fc5224p-6, -0x1.063c357bda91cp-6, -0x1.fb95b9649b7e2p-7, -0x1.eb2f659039ee3p-7, -0x1.db4262e6126d4p-7, -0x1.cbcbb305467bdp-7, -0x1.bcc865b03d997p-7, -0x1.ae3598b9e786fp-7, -0x1.a01077f0db105p-7, -0x1.92563d084e8fp-7, -0x1.85042f7f2105cp-7, -0x1.7817a484fdb1fp-7, -0x1.6b8dfeddcf8bep-7, -0x1.5f64aec3834ecp-7, -0x1.539931c646797p-7, -0x1.482912ab60d5fp-7, -0x1.3d11e94aab103p-7, -0x1.32515a6ad39edp-7, -0x1.27e5179c7df2cp-7, -0x1.1dcadf1451307p-7, -0x1.14007b84136e2p-7, -0x1.0a83c3f2e03fdp-7, -0x1.01529b9494bddp-7, -0x1.f0d5e34100299p-8, -0x1.df95824eded86p-8, -0x1.cee021d2481c1p-8, -0x1.beb1e65291909p-8, -0x1.af070b07ea0ep-8, -0x1.9fdbe1839b1c3p-8, -0x1.912cd157aacep-8, -0x1.82f657bdf2001p-8, -0x1.7535073ece1a8p-8, -0x1.67e587577dd2p-8, -0x1.5b0494204e0e1p-8, -0x1.4e8efdf2a672p-8, -0x1.4281a90f108b5p-8, -0x1.36d98d4351dd4p-8, -0x1.2b93b590a9aadp-8, -0x1.20ad3fd247e4fp-8, -0x1.16235c6412586p-8, -0x1.0bf34dc9c62e9p-8, -0x1.021a68568a05dp-8, -0x1.f12c23a9fcd5cp-9, -0x1.dec7825fb4feep-9, -0x1.cd01fc364fe2bp-9, -0x1.bbd6c17c4976ep-9, -0x1.ab4122bbb457cp-9, -0x1.9b3c9010ef13fp-9, -0x1.8bc49882e89acp-9, -0x1.7cd4e95d15024p-9, -0x1.6e694d8b19f7fp-9, -0x1.607dacf64b0fbp-9, -0x1.530e0be506454p-9, -0x1.46168a5bf5315p-9, -0x1.399363814bb6p-9, -0x1.2d80ed0209355p-9, -0x1.21db96794702ep-9, -0x1.169fe8d9a343fp-9, -0x1.0bca85d8c71e4p-9, -0x1.0158275d18884p-9, -0x1.ee8b3ddb35176p-10, -0x1.db1faa4800f6bp-10, -0x1.c8679241f49a7p-10, -0x1.b65d200580954p-10, -0x1.a4faa8bbb4499p-10, -0x1.943aab7053c13p-10, -0x1.8417d00c7e33p-10, -0x1.748ce655cd93ap-10, -0x1.6594e4f20d965p-10, -0x1.572ae86f7399ap-10, -0x1.494a325160823p-10, -0x1.3bee2821ac831p-10, -0x1.2f125286652edp-10, -0x1.22b25c5c1696cp-10, -0x1.16ca11d481123p-10, -0x1.0b555f99bded4p-10, -0x1.005051f5d300ap-10, -0x1.eb6e27fd2f629p-11, -0x1.d70bdd8bfec7ap-11, -0x1.c372911d4d305p-11, -0x1.b09b48094c1dcp-11, -0x1.9e7f3ef539502p-11, -0x1.8d17e855cdba1p-11, -0x1.7c5eeaf9ebbd8p-11, -0x1.6c4e209d76daap-11, -0x1.5cdf94843d2cp-11, -0x1.4e0d821cd5699p-11, -0x1.3fd253ab595acp-11, -0x1.3228a0fbe091bp-11, -0x1.250b2e1ca151p-11, -0x1.1874ea1f99a88p-11, -0x1.0c60ede3a5173p-11, -0x1.00ca7ae4e338cp-11, -0x1.eb59f4289db25p-12, -0x1.d607f56cdc03cp-12, -0x1.c1966291eb407p-12, -0x1.adfcecde94f32p-12, -0x1.9b338bcb7a673p-12, -0x1.89327af6c93a9p-12, -0x1.77f23824f0194p-12, -0x1.676b814e19fcp-12, -0x1.579752b82ff77p-12, -0x1.486ee51d2a361p-12, -0x1.39ebabdd71f76p-12, -0x1.2c07533e1753fp-12, -0x1.1ebbbeb2a4bbcp-12, -0x1.12030732527b4p-12, -0x1.05d779985c94cp-12, -0x1.f4672a1e93adcp-13, -0x1.de24130dbdaa4p-13, -0x1.c8db6c692059bp-13, -0x1.b483503c61f7ap-13, -0x1.a112315d57166p-13, -0x1.8e7ed8a917c68p-13, -0x1.7cc062544711fp-13, -0x1.6bce3b4e23696p-13, -0x1.5ba01eb5f86d1p-13, -0x1.4c2e1362817c1p-13, -0x1.3d70697ad48c1p-13, -0x1.2f5fb8207d063p-13, -0x1.21f4db2a488e1p-13, -0x1.1528f0ef7bd77p-13, -0x1.08f55822f6d83p-13, -0x1.faa75b7bf2266p-14, -0x1.e47b95f437661p-14, -0x1.cf5b86b44b2a8p-14, -0x1.bb3bc582c033ep-14, -0x1.a8115732254a9p-14, -0x1.95d1aa078a84fp-14, -0x1.8472923bf0e05p-14, -0x1.73ea4697f852ep-14, -0x1.642f5d291d3b8p-14, -0x1.5538c80fe4dd1p-14, -0x1.46fdd266540f4p-14, -0x1.39761d3e0ffecp-14, -0x1.2c999cb590697p-14, -0x1.20609523c529bp-14, -0x1.14c398599db2ap-14, -0x1.09bb82f8dc6c6p-14, -0x1.fe82f3bf4c042p-15, -0x1.ea9dcf50865b5p-15, -0x1.d7baf4790b3a2p-15, -0x1.c5ce40f89b072p-15, -0x1.b4cc0fed53a1dp-15, -0x1.a4a9356a22578p-15, -0x1.955afa306e0ccp-15, -0x1.86d7178c00a66p-15, -0x1.7913b3503e4d1p-15, -0x1.6c075bf5bdd66p-15, -0x1.5fa904d75fb3dp-15, -0x1.53f0028dfb056p-15, -0x1.48d40769ccf6p-15, -0x1.3e4d2008ccce9p-15, -0x1.3453b00919e74p-15, -0x1.2ae06ed6add15p-15, -0x1.21ec649395ee5p-15, -0x1.1970e719e6bb6p-15, -0x1.11679716b61d4p-15, -0x1.09ca5d3d573bbp-15, -0x1.029367922ddf9p-15, -0x1.f77a4d98c496fp-16, -0x1.ea84979b9b559p-16, -0x1.de3b8a60e958fp-16, -0x1.d29579d1dfeabp-16, -0x1.c7892bfa4373dp-16, -0x1.bd0dd49d39b51p-16, -0x1.b31b10f056768p-16, -0x1.a9a8e37bb3b71p-16, -0x1.a0afb01e038abp-16, -0x1.9828383379fa2p-16, -0x1.900b96de8da7ap-16, -0x1.88533d7177a06p-16, -0x1.80f8eff77f87cp-16, -0x1.79f6c1dd0ff9fp-16, -0x1.734712b5a6cd6p-16, -0x1.6ce48b1eb591ap-16, -0x1.66ca19be80e7fp-16, -0x1.60f2f05e2f2e1p-16, -0x1.5b5a811e24f1p-16, -0x1.55fc7bc3d58bap-16, -0x1.50d4cb204c95dp-16, -0x1.4bdf928e8e9bcp-16, -0x1.47192b892d89cp-16, -0x1.427e235635bf5p-16, -0x1.3e0b38c8d5422p-16, -0x1.39bd5a17f9cb1p-16, -0x1.3591a2c944438p-16, -0x1.318559afa128fp-16, -0x1.2d95eefceaeabp-16, -0x1.29c0fa65ef14cp-16, -0x1.260439584400ep-16, -0x1.225d8d4154da5p-16, -0x1.1ecaf9e6148f1p-16, -0x1.1b4aa3cacc9bdp-16, -0x1.17daceaa7d59ap-16, -0x1.1479dbfd49c62p-16, -0x1.1126498d7164dp-16, -0x1.0ddeb01a5b903p-16, -0x1.0aa1c20934b14p-16, -0x1.076e4a22b36f1p-16, -0x1.04432a5d8a9f8p-16, -0x1.011f5ab51848ap-16, -0x1.fc03d017e97b7p-17, -0x1.f5d3e633cbd11p-17, -0x1.efad5ec9c4de7p-17, -0x1.e98ec4897595ap-17, -0x1.e376c3e21de81p-17, -0x1.dd6429325789ap-17, -0x1.d755df0b0a3d2p-17, -0x1.d14aec84d5a96p-17, -0x1.cb4273a753a26p-17, -0x1.c53bafe1900c8p-17, -0x1.bf35f4932359dp-17, -0x1.b930aba53e5f5p-17, -0x1.b32b54333889ap-17, -0x1.ad258141edbd9p-17, -0x1.a71ed88582afep-17, -0x1.a1171134efbcep-17, -0x1.9b0df2eaea7cp-17, -0x1.95035493954d3p-17, -0x1.8ef71b669450ap-17, -0x1.88e939ed0a676p-17, -0x1.82d9af1303be8p-17, -0x1.7cc88543f4899p-17, -0x1.76b5d191cba9fp-17, -0x1.70a1b2e642ca9p-17, -0x1.6a8c513e042d3p-17, -0x1.6475dced470abp-17, -0x1.5e5e8ded7f17p-17, -0x1.5846a333cfe42p-17, -0x1.522e620fe95a2p-17, -0x1.4c161592fc8fbp-17, -0x1.45fe0dfe682ap-17, -0x1.3fe6a039ea8cdp-17, -0x1.39d02550f5678p-17, -0x1.33baf9f6e5a89p-17, -0x1.2da77e11d7117p-17, -0x1.2796144bcdce3p-17, -0x1.218721a9f760ep-17, -0x1.1b7b0d29bfb83p-17, -0x1.15723f63805cdp-17, -0x1.0f6d22328d541p-17, -0x1.096c20626558cp-17, -0x1.036fa560d0f68p-17, -0x1.faf039e9725d5p-18, -0x1.ef0be5f305dc1p-18, -0x1.e333263d7ea95p-18, -0x1.d766d157fb4e2p-18, -0x1.cba7bc9129f1bp-18, -0x1.bff6bb8e6ce06p-18, -0x1.b4549fea3bd22p-18, -0x1.a8c238d9705d1p-18, -0x1.9d4052d72e088p-18, -0x1.91cfb7571953fp-18, -0x1.86712c7d91513p-18, -0x1.7b2574ddaaad9p-18, -0x1.6fed4f3ca011dp-18, -0x1.64c9765a7da15p-18, -0x1.59baa0bfc18c5p-18, -0x1.4ec1808fb85b2p-18, -0x1.43dec35f5b4c7p-18, -0x1.391312107284bp-18, -0x1.2e5f10b0caeb7p-18, -0x1.23c35e5d48ab4p-18, -0x1.19409528a3973p-18, -0x1.0ed74a059d9f5p-18, -0x1.04880cb4857efp-18, -0x1.f4a6cf67af0dfp-19, -0x1.e073c067a72d8p-19, -0x1.cc77ec19bb357p-19, -0x1.b8b44770ff46cp-19, -0x1.a529bc99da984p-19, -0x1.91d92af5b6f6fp-19, -0x1.7ec3671b22352p-19, -0x1.6be93ada1604bp-19, -0x1.594b654429b4bp-19, -0x1.46ea9ab86c1afp-19, -0x1.34c784f2b0a11p-19, -0x1.22e2c31e100bep-19, -0x1.113ce9ea6e4adp-19, -0x1.ffad074993e18p-20, -0x1.dd6020a44e6d7p-20, -0x1.bb940b99d5743p-20, -0x1.9a499fc8db8b7p-20, -0x1.7981a0fd51f7fp-20, -0x1.593cbf7791fdcp-20, -0x1.397b983706023p-20, -0x1.1a3eb5480d52cp-20, -0x1.f70d1c29a87a7p-21, -0x1.baa70f719cff5p-21, -0x1.7f4beaad4c207p-21, -0x1.44fc30e09d992p-21, -0x1.0bb8428218adfp-21, -0x1.a700bc64be3c9p-22, -0x1.38a942ed538e2p-22, -0x1.98d425d786ef5p-23, -0x1.890b9dbfabd36p-24, 0x1.73308c79a0e41p-28, 0x1.af16a36de9119p-24, 0x1.9f518c39a7e4ep-23, 0x1.31774caa89575p-22, 0x1.9132a6d2e27fap-22, 0x1.eedc74f2533b3p-22, 0x1.253b45f3e667ep-21, 0x1.520179c4b71b6p-21, 0x1.7dc1f28cffdd4p-21, 0x1.a87de4dfd7c68p-21, 0x1.d2369c7e3b177p-21, 0x1.faed7b9442ab9p-21, 0x1.1151fcfbc834cp-20, 0x1.24add2338ac95p-20, 0x1.378b0de63611bp-20, 0x1.49ea8a3f6320bp-20, 0x1.5bcd2ac3e749cp-20, 0x1.6d33dbf52ac4dp-20, 0x1.7e1f92f598a1fp-20, 0x1.8e914d2e159b5p-20, 0x1.9e8a0ff4a05b1p-20, 0x1.ae0ae83425954p-20, 0x1.bd14ea157fe5p-20, 0x1.cba930a9cbc59p-20, 0x1.d9c8dd95f899dp-20, 0x1.e77518bfbccc7p-20, 0x1.f4af0ffbd970ep-20, 0x1.00bbfb5ee6d61p-19, 0x1.06e882e475746p-19, 0x1.0cddbd716a1b5p-19, 0x1.129c4c43becb9p-19, 0x1.1824d2cf4aa68p-19, 0x1.1d77f69935f93p-19, 0x1.22965f142c828p-19, 0x1.2780b57d4e88p-19, 0x1.2c37a4b9e39c4p-19, 0x1.30bbd935cc33ap-19, 0x1.350e00c2b57dap-19, 0x1.392eca780ca0fp-19, 0x1.3d1ee693b68ap-19, 0x1.40df065b83133p-19, 0x1.446fdbff67a1cp-19, 0x1.47d21a7c6febbp-19, 0x1.4b06758076c63p-19, 0x1.4e0da14e96d8p-19, 0x1.50e852a458f3dp-19, 0x1.53973e9f9e5f5p-19, 0x1.561b1aa54426p-19, 0x1.58749c4881317p-19, 0x1.5aa47932f5eefp-19, 0x1.5cab670d746c4p-19, 0x1.5e8a1b697ce33p-19, 0x1.60414bab660eap-19, 0x1.61d1acf53a80dp-19, 0x1.633bf4123d273p-19, 0x1.6480d5631d9fap-19, 0x1.65a104cad16bdp-19, 0x1.669d359c132a5p-19, 0x1.67761a878ab65p-19, 0x1.682c658a8e9e8p-19, 0x1.68c0c7de8ba11p-19, 0x1.6933f1e903c35p-19, 0x1.6986932c2a363p-19, 0x1.69b95a3815ae8p-19, 0x1.69ccf49c85bdbp-19, 0x1.69c20edb3e0aep-19, 0x1.6999545aed0d6p-19, 0x1.69536f5aa129bp-19, 0x1.68f108e5c9e31p-19, 0x1.6872c8c8bda32p-19, 0x1.67d95585c4aadp-19, 0x1.6725544aa9c11p-19, 0x1.665768e6c482dp-19, 0x1.657035c185fb8p-19, 0x1.64705bd17c909p-19, 0x1.63587a93ceae1p-19, 0x1.622930042ded7p-19, 0x1.60e3189538575p-19, 0x1.5f86cf294bc94p-19, 0x1.5e14ed0bc4935p-19, 0x1.5c8e09eaa90a2p-19, 0x1.5af2bbd0b9663p-19, 0x1.5943971fe9216p-19, 0x1.57812e8c36deap-19, 0x1.55ac1316e7787p-19, 0x1.53c4d40a1cb73p-19, 0x1.51cbfef4c9fe9p-19, 0x1.4fc21fa6fedf5p-19, 0x1.4da7c02e8947fp-19, 0x1.4b7d68d3ed9a4p-19, 0x1.4943a017adbabp-19, 0x1.46faeaafdf18ap-19, 0x1.44a3cb861292ep-19, 0x1.423ec3b58188fp-19, 0x1.3fcc5289882a8p-19, 0x1.3d4cf57c60ebcp-19, 0x1.3ac128362a562p-19, 0x1.3829648c2baeep-19, 0x1.3586228059066p-19, 0x1.32d7d8411744cp-19, 0x1.301efa293b963p-19, 0x1.2d5bfac042c2p-19, 0x1.2a8f4abac5091p-19, 0x1.27b958fb1d523p-19, 0x1.24da929241566p-19, 0x1.21f362c0d499ap-19, 0x1.1f0432f8632a5p-19, 0x1.1c0d6adcd0d5bp-19, 0x1.190f7045f398cp-19, 0x1.160aa74158259p-19, 0x1.12ff721432389p-19, 0x1.0fee313d7547ep-19, 0x1.0cd743780fc92p-19, 0x1.09bb05bd4f64fp-19, 0x1.0699d34766063p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.a06265dc982f4p-3, -0x1.c107481f853f9p-3, -0x1.df7d89583bfc5p-3, -0x1.fbb614dcbea46p-3, -0x1.0ad3923475849p-2, -0x1.16a5e59db571dp-2, -0x1.2151bee989193p-2, -0x1.2ad8cce1d7248p-2, -0x1.333e7820f3d71p-2, -0x1.3a87aaaab9c0cp-2, -0x1.40ba9a88aeb9cp-2, -0x1.45de97deef36p-2, -0x1.49fbdec0a30b9p-2, -0x1.4d1b6ce514842p-2, -0x1.4f46db40ce55p-2, -0x1.50883b6f1fba8p-2, -0x1.50e9f8c72c758p-2, -0x1.5076bceb68053p-2, -0x1.4f39579a3262p-2, -0x1.4d3ca98191474p-2, -0x1.4a8b91d6035dfp-2, -0x1.4730de6c906bdp-2, -0x1.43373e1a02a0ap-2, -0x1.3ea9351c13941p-2, -0x1.399113551419fp-2, -0x1.33f8ec26a4033p-2, -0x1.2dea8fbc69c9p-2, -0x1.276f859c13b6p-2, -0x1.209108540f9e7p-2, -0x1.195802267509ep-2, -0x1.11cd0a913eff8p-2, -0x1.09f8649864044p-2, -0x1.01e1fdb95ac1p-2, -0x1.f322dae4cd4f1p-3, -0x1.e21bea94cbf59p-3, -0x1.d0bd0290230eep-3, -0x1.bf135192de71bp-3, -0x1.ad2b5f5bed5a1p-3, -0x1.9b110f8e892p-3, -0x1.88cfa50b3017p-3, -0x1.7671c5acc7484p-3, -0x1.64017e588c844p-3, -0x1.5188475142e4ap-3, -0x1.3f0f08bf91697p-3, -0x1.2c9e1f63102aap-3, -0x1.1a3d6160b2ac6p-3, -0x1.07f42324843fcp-3, -0x1.eb92789b6124fp-4, -0x1.c7861939c686dp-4, -0x1.a3cf01bbcdecbp-4, -0x1.80782f8ca44b8p-4, -0x1.5d8bcd87af36fp-4, -0x1.3b133d6b2508cp-4, -0x1.191721189bfcbp-4, -0x1.ef3ec739c43a4p-5, -0x1.ad6683f330f15p-5, -0x1.6cb2a758349fap-5, -0x1.2d2f25dc7a8e6p-5, -0x1.ddcd92b95c56ap-6, -0x1.63c680f31eed2p-6, -0x1.d8b4b5700e388p-7, -0x1.de619f0b100bap-8, -0x1.638398325e9p-12, 0x1.a6e44a3ee5f08p-8, 0x1.ac6615927f8e2p-7, 0x1.3fd780e9a2df4p-6, 0x1.a69f9bd6d38d1p-6, 0x1.0542f69aa4d17p-5, 0x1.35c32e737fa9cp-5, 0x1.64cf0ac49d5f2p-5, 0x1.9265b8f372926p-5, 0x1.be86f5aa71df2p-5, 0x1.e9330476dc899p-5, 0x1.093553e86acfp-4, 0x1.1d178cc42be6bp-4, 0x1.304101c8e486ep-4, 0x1.42b2bc967d30fp-4, 0x1.546df830c4f54p-4, 0x1.65741de5e88ffp-4, 0x1.75c6c25ad3d52p-4, 0x1.8567a2bb485e4p-4, 0x1.9458a20b85781p-4, 0x1.a29bc69981098p-4, 0x1.b033378bd101bp-4, 0x1.bd213a8c76cd8p-4, 0x1.c968318df01ep-4, 0x1.d50a98a8f7da6p-4, 0x1.e00b04119196dp-4, 0x1.ea6c1e2209bf4p-4, 0x1.f430a57ab6999p-4, 0x1.fd5b6b355616cp-4, 0x1.02f7a895859p-3, 0x1.06f7a426067p-3, 0x1.0aaf27840f082p-3, 0x1.0e1fb7e391b2fp-3, 0x1.114adfb88bcep-3, 0x1.14322e0253f3cp-3, 0x1.16d7359e0c098p-3, 0x1.193b8c9fdc87ep-3, 0x1.1b60cbb2cb406p-3, 0x1.1d488d7ef4731p-3, 0x1.1ef46e15f9594p-3, 0x1.20660a656a155p-3, 0x1.219effaf1972ap-3, 0x1.22a0eb072308bp-3, 0x1.236d68d7879ddp-3, 0x1.240614694645ap-3, 0x1.246c8772ce2bfp-3, 0x1.24a259abac04cp-3, 0x1.24a9206567b1dp-3, 0x1.24826e29637fap-3, 0x1.242fd25bb7b25p-3, 0x1.23b2d8e2e9d79p-3, 0x1.230d09d46ba11p-3, 0x1.223fe925c6e5bp-3, 0x1.214cf66267d45p-3, 0x1.2035ac65e8513p-3, 0x1.1efb811ac21b8p-3, 0x1.1d9fe53d5fcfap-3, 0x1.1c2444235fe9dp-3, 0x1.1a8a038706458p-3, 0x1.18d28356b5641p-3, 0x1.16ff1d885d03dp-3, 0x1.151125f0c7268p-3, 0x1.1309ea1ea21cep-3, 0x1.10eab13935fd5p-3, 0x1.0eb4bbe2a5dcfp-3, 0x1.0c69441da4296p-3, 0x1.0a097d367fbf6p-3, 0x1.079693af6933ap-3, 0x1.0511ad2fe239dp-3, 0x1.027be87725e8bp-3, 0x1.ffacbaa305a31p-4, 0x1.fa443921006cdp-4, 0x1.f4c0600b66373p-4, 0x1.ef2335004c597p-4, 0x1.e96eaf98877e9p-4, 0x1.e3a4b96c1f9e6p-4, 0x1.ddc72e1b5ea41p-4, 0x1.d7d7db5c1ac26p-4, 0x1.d1d8810b1e8d5p-4, 0x1.cbcad1416dc24p-4, 0x1.c5b0706d373ebp-4, 0x1.bf8af56e34d07p-4, 0x1.b95be9b555b05p-4, 0x1.b324c96777d71p-4, 0x1.ace70382fb65bp-4, 0x1.a6a3fa080263dp-4, 0x1.a05d0223345d6p-4, 0x1.9a13645ac84e4p-4, 0x1.93c85cbdbb854p-4, 0x1.8d7d1b14f5761p-4, 0x1.8732c3163a0afp-4, 0x1.80ea6c98bd6cfp-4, 0x1.7aa523cb32e83p-4, 0x1.7463e96b2b4ccp-4, 0x1.6e27b2fda45acp-4, 0x1.67f16b089dc81p-4, 0x1.61c1f14d97b7fp-4, 0x1.5b9a1b04d310fp-4, 0x1.557ab3193a2ep-4, 0x1.4f647a64cb642p-4, 0x1.495827ed70f44p-4, 0x1.4356692221789p-4, 0x1.3d5fe2183517dp-4, 0x1.37752dc8d1f1fp-4, 0x1.3196de4e596dbp-4, 0x1.2bc57d21be4d8p-4, 0x1.26018b57b004bp-4, 0x1.204b81dd835fdp-4, 0x1.1aa3d1b5c98cap-4, 0x1.150ae4347f296p-4, 0x1.0f811b3ac684ap-4, 0x1.0a06d172181dcp-4, 0x1.049c5a86e1212p-4, 0x1.fe8406c4f74cp-5, 0x1.f3f024c8f0d07p-5, 0x1.e97d8f3657d7p-5, 0x1.df2cb9f6eb6a2p-5, 0x1.d4fe0d2f6bff4p-5, 0x1.caf1e5abd3fd7p-5, 0x1.c1089549cfaaap-5, 0x1.b74263615c374p-5, 0x1.ad9f8d2b8dea6p-5, 0x1.a420462767418p-5, 0x1.9ac4b87cb9fbfp-5, 0x1.918d055d0bbc6p-5, 0x1.8879456272fe1p-5, 0x1.7f8988ec67701p-5, 0x1.76bdd87a80cb4p-5, 0x1.6e16350520422p-5, 0x1.65929853ff9efp-5, 0x1.5d32f552a7781p-5, 0x1.54f73862c6d95p-5, 0x1.4cdf47ac71a8dp-5, 0x1.44eb036c4135ep-5, 0x1.3d1a463f5c376p-5, 0x1.356ce56d66949p-5, 0x1.2de2b1305d8b9p-5, 0x1.267b74fa608e7p-5, 0x1.1f36f7b96eefdp-5, 0x1.1814fc191d2e8p-5, 0x1.111540c246ce2p-5, 0x1.0a378098c2b76p-5, 0x1.037b72f723458p-5, 0x1.f9c197d1056c3p-6, 0x1.ecce78c0d0963p-6, 0x1.e01ce4e196172p-6, 0x1.d3ac32fc77fd1p-6, 0x1.c77bb4e4755e6p-6, 0x1.bb8ab7d7841cp-6, 0x1.afd884dc2807fp-6, 0x1.a464611b94cebp-6, 0x1.992d8e386fbf4p-6, 0x1.8e334aa245275p-6, 0x1.8374d1e5bc843p-6, 0x1.78f15cf9a6fbp-6, 0x1.6ea82288efd63p-6, 0x1.649857398c94dp-6, 0x1.5ac12df0771bbp-6, 0x1.5121d812c452ap-6, 0x1.47b985c3f4088p-6, 0x1.3e8766217c3a3p-6, 0x1.358aa77bb183bp-6, 0x1.2cc2778c17fcdp-6, 0x1.242e03a92d66ap-6, 0x1.1bcc78f7c1c3cp-6, 0x1.139d0499f2118p-6, 0x1.0b9ed3dbd27f6p-6, 0x1.03d1145ddd41dp-6, 0x1.f865e87a66bd5p-7, 0x1.e98744739732bp-7, 0x1.db049bb5168b3p-7, 0x1.ccdc4f1eed7ccp-7, 0x1.bf0cc1a3d8444p-7, 0x1.b194588620e11p-7, 0x1.a4717b90e3b4cp-7, 0x1.97a2954de1b65p-7, 0x1.8b26133809094p-7, 0x1.7efa65eac914cp-7, 0x1.731e014e4a07bp-7, 0x1.678f5cc0bbdcbp-7, 0x1.5c4cf33cbb74fp-7, 0x1.5155437d01ddbp-7, 0x1.46a6d01d67bd7p-7, 0x1.3c401fb963554p-7, 0x1.321fbd081481cp-7, 0x1.284436f5f8597p-7, 0x1.1eac20bc5f25cp-7, 0x1.155611f6ba62fp-7, 0x1.0c40a6b5db43fp-7, 0x1.036a7f9137d36p-7, 0x1.f5a4836c99d9fp-8, 0x1.e4ed2dec62617p-8, 0x1.d4ac5ba2dfbffp-8, 0x1.c4df73047a2f6p-8, 0x1.b583e40a334aap-8, 0x1.a697283fecb8bp-8, 0x1.9816c2cfd7cc6p-8, 0x1.8a00408b2d9c6p-8, 0x1.7c5137f05506p-8, 0x1.6f07492e94fe3p-8, 0x1.62201e277421ep-8, 0x1.55996a6de59a8p-8, 0x1.4970eb4361762p-8, 0x1.3da4679300a71p-8, 0x1.3231afeabf92ep-8, 0x1.27169e72fdb5p-8, 0x1.1c5116e453627p-8, 0x1.11df067bdaabfp-8, 0x1.07be63edff135p-8, 0x1.fbda5eafda40ap-9, 0x1.e8d2e45f7385cp-9, 0x1.d6627e66a43a2p-9, 0x1.c48564ac98656p-9, 0x1.b337e15d58f3fp-9, 0x1.a27650c15d519p-9, 0x1.923d211351a52p-9, 0x1.8288d25430153p-9, 0x1.7355f61dcaeadp-9, 0x1.64a12f73ef8a7p-9, 0x1.5667329437a86p-9, 0x1.48a4c4c4acbf1p-9, 0x1.3b56bc2155fc7p-9, 0x1.2e79ff68cb1c9p-9, 0x1.220b85c7e855bp-9, 0x1.160856a4b67bcp-9, 0x1.0a6d8968a2eecp-9, 0x1.fe708a943a946p-10, 0x1.e8cb822b52efbp-10, 0x1.d3e685ed04974p-10, 0x1.bfbc407db2168p-10, 0x1.ac477a5f942cfp-10, 0x1.9983198217825p-10, 0x1.876a20d0f36c6p-10, 0x1.75f7afc2f1e3fp-10, 0x1.652701e8a0f5dp-10, 0x1.54f36e7afb31fp-10, 0x1.455867ea27bf3p-10, 0x1.36517b6c62f73p-10, 0x1.27da508d2a908p-10, 0x1.19eea8bcc61b8p-10, 0x1.0c8a5ee03cb55p-10, 0x1.ff52cdc385477p-11, 0x1.e68f9a8388ae8p-11, 0x1.cec36d5114a6ep-11, 0x1.b7e6bef126be3p-11, 0x1.a1f236c35b182p-11, 0x1.8cdea9e9bb048p-11, 0x1.78a51a723ea2fp-11, 0x1.653eb6821b3dp-11, 0x1.52a4d782f2d6ep-11, 0x1.40d10151f7331p-11, 0x1.2fbce17115e65p-11, 0x1.1f624e3a3a535p-11, 0x1.0fbb4614b8b0cp-11, 0x1.00c1eeacece8dp-11, 0x1.e4e1285c361f2p-12, 0x1.c98350fd3b2fbp-12, 0x1.af5f84fcd338dp-12, 0x1.966b3a8fea583p-12, 0x1.7e9c2ee707c19p-12, 0x1.67e864b9c8385p-12, 0x1.524622d74097ap-12, 0x1.3dabf2bb589e4p-12, 0x1.2a109f29203fap-12, 0x1.176b32ca2961fp-12, 0x1.05b2f6d2ed3e1p-12, 0x1.e9bee3587ba94p-13, 0x1.c9d0cb438ff32p-13, 0x1.ab8b9f2b4db7ap-13, 0x1.8edfcb7213e17p-13, 0x1.73be2c93d3501p-13, 0x1.5a180cab9b39dp-13, 0x1.41df210334b5cp-13, 0x1.2b0587acd3bcbp-13, 0x1.157dc526c8e92p-13, 0x1.013ac2092da83p-13, 0x1.dc5f917af7181p-14, 0x1.b8a1068009ad4p-14, 0x1.9721f1d66cebdp-14, 0x1.77cb1899308c6p-14, 0x1.5a85f206f246ep-14, 0x1.3f3ca352630fap-14, 0x1.25d9fb85d19f5p-14, 0x1.0e496f799247cp-14, 0x1.f0ee2bba2a7e3p-15, 0x1.c89f46a50102dp-15, 0x1.a380cd3939a71p-15, 0x1.816e89bdcbf86p-15, 0x1.62456bdf1b7aep-15, 0x1.45e381767aa21p-15, 0x1.2c27ef74ca9c9p-15, 0x1.14f2eaefc89edp-15, 0x1.0025b251a7091p-15, 0x1.db450d54f9ea3p-16, 0x1.ba994a465e6cep-16, 0x1.9e108122a968cp-16, 0x1.8574f6576dfe7p-16, 0x1.7092c0bdf1e8bp-16, 0x1.5f37bd83ebd48p-16, 0x1.51338452d9e45p-16, 0x1.46575bb50a805p-16, 0x1.3e762db77baecp-16, 0x1.39647cc7b24aep-16, 0x1.36f858cca8488p-16, 0x1.37095479f2a43p-16, 0x1.39707adc44a97p-16, 0x1.3e08451e69418p-16, 0x1.44ac9085e434dp-16, 0x1.4d3a94a64f05ep-16, 0x1.5790d9ca9efd1p-16, 0x1.638f2f937b807p-16, 0x1.7116a3c9c7805p-16, 0x1.8009796485cc8p-16, 0x1.904b1fc14a3c2p-16, 0x1.a1c02a0e58472p-16, 0x1.b44e46e5a325dp-16, 0x1.c7dc3817de7ep-16, 0x1.dc51caa6cc7d7p-16, 0x1.f197ceedfcbc7p-16, 0x1.03cc087c9a27ap-15, 0x1.0f1ea883d763dp-15, 0x1.1ab99e1dba6f4p-15, 0x1.269332ba00f39p-15, 0x1.32a21f29ba04cp-15, 0x1.3edd8836c2002p-15, 0x1.4b3cfb4fc423p-15, 0x1.57b86b48626p-15, 0x1.64482d2d239bbp-15, 0x1.70e4f52ad00c8p-15, 0x1.7d87d388ddb45p-15, 0x1.8a2a31b691cc5p-15, 0x1.96c5cf6a7edecp-15, 0x1.a354bfd40b3eep-15, 0x1.afd166de9e98ap-15, 0x1.bc3676862e2cep-15, 0x1.c87eec3cc89cap-15, 0x1.d4a60e60d08e9p-15, 0x1.e0a769c39748p-15, 0x1.ec7ecf400008ep-15, 0x1.f8285160e024bp-15, 0x1.01d0210b65082p-14, 0x1.0771983e7c397p-14, 0x1.0cf6f35683e7cp-14, 0x1.125eb3d09bb66p-14, 0x1.17a7769271d67p-14, 0x1.1ccff2e977fb9p-14, 0x1.21d6f990ee3c1p-14, 0x1.26bb73be9c0bep-14, 0x1.2b7c623617cd3p-14, 0x1.3018dc62777cep-14, 0x1.34900f764bae7p-14, 0x1.38e13d91be1a7p-14, 0x1.3d0bbceeb8316p-14, 0x1.410ef712ed4e2p-14, 0x1.44ea6807a9301p-14, 0x1.489d9d9744a79p-14, 0x1.4c2836901f7d1p-14, 0x1.4f89e20d017d8p-14, 0x1.52c25ec2c5ab1p-14, 0x1.55d17a53300c1p-14, 0x1.58b710a4d2b5ep-14, 0x1.5b730b3fe45b2p-14, 0x1.5e0560afec705p-14, 0x1.606e13ea28fb6p-14, 0x1.62ad33b89364bp-14, 0x1.64c2da296971ep-14, 0x1.66af2c031e50cp-14, 0x1.6872583c9d895p-14, 0x1.6a0c9779c0db5p-14, 0x1.6b7e2b8be6a6ep-14, 0x1.6cc75ef68a6f3p-14, 0x1.6de88477caedp-14, 0x1.6ee1f694c3c16p-14, 0x1.6fb41729a5e13p-14, 0x1.705f4efd74f93p-14, 0x1.70e40d5956259p-14, 0x1.7142c7a3577e7p-14, 0x1.717bf8fc9c1dcp-14, 0x1.719021e2d72eap-14, 0x1.717fc7d501ab1p-14, 0x1.714b74fb33b8bp-14, 0x1.70f3b7d191caep-14, 0x1.707922d63594p-14, 0x1.6fdc4c3a01a96p-14, 0x1.6f1dcd944dd6p-14, 0x1.6e3e439955689p-14, 0x1.6d3e4dd35a29bp-14, 0x1.6c1e8e5e6688fp-14, 0x1.6adfa9a69e6f1p-14, 0x1.698246290eabbp-14, 0x1.68070c36e7e7ep-14, 0x1.666ea5bb15f9ep-14, 0x1.64b9be0223c17p-14, 0x1.62e9018458fdp-14, 0x1.60fd1db20778ap-14, 0x1.5ef6c0c1f1c92p-14, 0x1.5cd69981c2ee2p-14, 0x1.5a9d572883955p-14, 0x1.584ba92b01767p-14, 0x1.55e23f1218357p-14, 0x1.5361c852d1b52p-14, 0x1.50caf4284ba7p-14, 0x1.4e1e716f59e26p-14, 0x1.4b5cee83d4928p-14, 0x1.4887191f87c9bp-14, 0x1.459d9e3ab97c1p-14, 0x1.42a129ee34f3p-14, 0x1.3f926756d5c73p-14, 0x1.3c72007a822b3p-14, 0x1.39409e2e8c3cap-14, 0x1.35fee7ff6d363p-14, 0x1.32ad8419d17f9p-14, 0x1.2f4d1734ea15p-14, 0x1.2bde447df7ec2p-14, 0x1.2861ad8509c5dp-14, 0x1.24d7f22ae1418p-14, 0x1.2141b08ff3d88p-14, 0x1.1d9f8504822c5p-14, 0x1.19f209f9b967p-14, 0x1.1639d7f3d608fp-14, 0x1.1277857d4178fp-14, 0x1.0eaba71a9f5a6p-14, 0x1.0ad6cf3fc3cfep-14, 0x1.06f98e458a62p-14, 0x1.0314726084b6p-14, 0x1.fe500f30f58ccp-15, 0x1.f669af816736bp-15, 0x1.ee76d4e202948p-15, 0x1.e67889ff0b359p-15, 0x1.de6fd4f659f43p-15, 0x1.d65db74da80ddp-15, 0x1.ce432dea2abd8p-15, 0x1.c62131096e0d2p-15, 0x1.bdf8b43b60749p-15, 0x1.b5caa65d8982dp-15, 0x1.ad97f1975aa23p-15, 0x1.a5617b578c468p-15, 0x1.9d28245287292p-15, 0x1.94ecc881be316p-15, 0x1.8cb03f23ff28bp-15, 0x1.84735abea32c6p-15, 0x1.7c36e91f9c566p-15, 0x1.73fbb36052edp-15, 0x1.6bc27de94a2c1p-15, 0x1.638c08768572ap-15, 0x1.5b590e1c9e57dp-15, 0x1.532a454e8c028p-15, 0x1.4b005fe40be99p-15, 0x1.42dc0b20a6956p-15, 0x1.3abdefbb4afb5p-15, 0x1.32a6b1e672657p-15, 0x1.2a96f158cce6dp-15, 0x1.228f495668abfp-15, 0x1.1a9050ba536dap-15, 0x1.129a9a00a7429p-15, 0x1.0aaeb35105af6p-15, 0x1.02cd268972313p-15, 0x1.f5ecf29315a28p-16, 0x1.e65659fc31429p-16, 0x1.d6d77dd9e0678p-16, 0x1.c77150823ac29p-16, 0x1.b824bc2eb0626p-16, 0x1.a8f2a3156bda6p-16, 0x1.99dbdf833565fp-16, 0x1.8ae143f5c168fp-16, 0x1.7c039b3661a8ap-16, 0x1.6d43a8751712fp-16, 0x1.5ea22763f381ap-16, 0x1.501fcc52c66e9p-16, 0x1.41bd444b0f8c7p-16, 0x1.337b352c2b05cp-16, 0x1.255a3dc7aebafp-16, 0x1.175af5fdf9f1bp-16, 0x1.097deedae4003p-16, 0x1.f787656520e0fp-17, 0x1.dc598a7ca8de7p-17, 0x1.c17347736dc7ep-17, 0x1.a6d589feeb285p-17, 0x1.8c81334d2b9c5p-17, 0x1.7277183eed09dp-17, 0x1.58b801a1b38bfp-17, 0x1.3f44ac69dc15ap-17, 0x1.261dc9ec846bcp-17, 0x1.0d4400195806ep-17, 0x1.e96fd3685c3ddp-18, 0x1.b8f42d1ce760dp-18, 0x1.89161780b0cd1p-18, 0x1.59d687c36f492p-18, 0x1.2b365e856e1acp-18, 0x1.fa6cd09048b48p-19, 0x1.9faebbbc397b4p-19, 0x1.4633c9b441327p-19, 0x1.dbfa3ff669133p-20, 0x1.2e177e988c4d7p-20, 0x1.058211d1ac9a8p-21, -0x1.303d6d6128326p-23, -0x1.9882ec7787b0ap-21, -0x1.6feb64b5d76cep-20, -0x1.0882672093ea9p-19, -0x1.57c6a3ce12502p-19, -0x1.a5c251c0e366cp-19, -0x1.f27578896f1c8p-19, -0x1.1ef01e90f07e9p-18, -0x1.44017093a70cap-18, -0x1.686ee10a91276p-18, -0x1.8c38ac41756cep-18, -0x1.af5f1bb242428p-18, -0x1.d1e285a658788p-18, -0x1.f3c34cd90ef15p-18, -0x1.0a80f00dba3f3p-17, -0x1.1acf5cfca687fp-17, -0x1.2acd302faa26bp-17, -0x1.3a7ab22161369p-17, -0x1.49d830a50ba8dp-17, -0x1.58e5febb971e2p-17, -0x1.67a474694a97ep-17, -0x1.7613ee8c1df17p-17, -0x1.8434ceb2aedf4p-17, -0x1.92077af3e2931p-17, -0x1.9f8c5dc727343p-17, -0x1.acc3e5dd60d63p-17, -0x1.b9ae85fa7c2b9p-17, -0x1.c64cb4cf9fbedp-17, -0x1.d29eecd60fe01p-17, -0x1.dea5ac2aacc6p-17, -0x1.ea61746a17dbfp-17, -0x1.f5d2ca8d831dap-17, -0x1.007d1b640ec4bp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.7adebab79e899p-3, -0x1.9c96cc04993cbp-3, -0x1.bd3e4c5b9d608p-3, -0x1.dcc8a37413d7cp-3, -0x1.fb2b49d09921p-3, -0x1.0c2ed751d6a47p-2, -0x1.1a2c8d4fc24d1p-2, -0x1.278c4866839cbp-2, -0x1.344c5729374dbp-2, -0x1.406bc4f282c13p-2, -0x1.4bea49bd7c26bp-2, -0x1.56c83a58bd57dp-2, -0x1.6106791ffa178p-2, -0x1.6aa6675ce12c6p-2, -0x1.73a9d76662d47p-2, -0x1.7c12ff8d887d5p-2, -0x1.83e46de05f394p-2, -0x1.8b20fcc63f2a8p-2, -0x1.91cbc8746874ep-2, -0x1.97e82536afe8cp-2, -0x1.9d79968568f19p-2, -0x1.a283c6dff07a6p-2, -0x1.a70a8061effdfp-2, -0x1.ab11a608b49bp-2, -0x1.ae9d2d9d7ca47p-2, -0x1.b1b11a398896bp-2, -0x1.b4517758e14dcp-2, -0x1.b6825471043cp-2, -0x1.b847c10118ba7p-2, -0x1.b9a5c911d57d1p-2, -0x1.baa0721bc4aafp-2, -0x1.bb3bb84b2cd55p-2, -0x1.bb7b8c1983ceap-2, -0x1.bb63d034daeb5p-2, -0x1.baf857ae4f065p-2, -0x1.ba3ce4690780bp-2, -0x1.b93525c3ded26p-2, -0x1.b7e4b7783fdbcp-2, -0x1.b64f20a935eeap-2, -0x1.b477d31e1dae9p-2, -0x1.b2622aa4c1b32p-2, -0x1.b0116c9700f63p-2, -0x1.ad88c7807e4c4p-2, -0x1.aacb52e1106efp-2, -0x1.a7dc0f08ff036p-2, -0x1.a4bde50c4e3f8p-2, -0x1.a173a6ca98619p-2, -0x1.9e000f09248fcp-2, -0x1.9a65c19d23e1ep-2, -0x1.96a74ba4255c3p-2, -0x1.92c723c8f543bp-2, -0x1.8ec7aa935088fp-2, -0x1.8aab2ac0ea23ap-2, -0x1.8673d9a66c33dp-2, -0x1.8223d79737cf4p-2, -0x1.7dbd3052c1a6fp-2, -0x1.7941db768958ap-2, -0x1.74b3bcf3be60fp-2, -0x1.7014a587bb9abp-2, -0x1.6b6653369d11dp-2, -0x1.66aa71c73c45bp-2, -0x1.61e29b40037d5p-2, -0x1.5d1058640312dp-2, -0x1.5835212fdc16cp-2, -0x1.53525d5606e66p-2, -0x1.4e6964ba28bf8p-2, -0x1.497b7feb16ad6p-2, -0x1.4489e89b4d83fp-2, -0x1.3f95ca17996c8p-2, -0x1.3aa041bbc1079p-2, -0x1.35aa5f6507492p-2, -0x1.30b525e262a1dp-2, -0x1.2bc18b624cde2p-2, -0x1.26d079de1b067p-2, -0x1.21e2cf82c8937p-2, -0x1.1cf95f172eed1p-2, -0x1.1814f05fa0693p-2, -0x1.1336407ee9dd4p-2, -0x1.0e5e0254b1875p-2, -0x1.098cded944e54p-2, -0x1.04c37576ce712p-2, -0x1.00025c600388ap-2, -0x1.f69441c8ad9ffp-3, -0x1.ed368f835e207p-3, -0x1.e3ec9ae77d6d8p-3, -0x1.dab74d01fa8fbp-3, -0x1.d1977f8ab1836p-3, -0x1.c88dfd754db4fp-3, -0x1.bf9b837de1dbap-3, -0x1.b6c0c0b13612bp-3, -0x1.adfe56f105603p-3, -0x1.a554db74399a5p-3, -0x1.9cc4d74349be9p-3, -0x1.944ec7b0dde7bp-3, -0x1.8bf31ecec7d7fp-3, -0x1.83b243df7eb5ap-3, -0x1.7b8c93c430725p-3, -0x1.738261677d18fp-3, -0x1.6b93f62508dddp-3, -0x1.63c1922def7f4p-3, -0x1.5c0b6cea32797p-3, -0x1.5471b55743795p-3, -0x1.4cf49263b2191p-3, -0x1.45942348271dep-3, -0x1.3e507fdda62e8p-3, -0x1.3729b8f14905dp-3, -0x1.301fd8956a75ep-3, -0x1.2932e2706b72cp-3, -0x1.2262d4090b1cdp-3, -0x1.1bafa5107ce32p-3, -0x1.151947aa306ebp-3, -0x1.0e9fa8b1766f7p-3, -0x1.0842affcf6dbfp-3, -0x1.020240a0168c1p-3, -0x1.f7bc7254b4823p-4, -0x1.ebace7c9872eap-4, -0x1.dfd58e1a9299dp-4, -0x1.d4360a20c7aafp-4, -0x1.c8cdf981913acp-4, -0x1.bd9cf31aa6376p-4, -0x1.b2a2876a5c56ep-4, -0x1.a7de40f48261fp-4, -0x1.9d4fa4a3ec4fep-4, -0x1.92f63228a31fcp-4, -0x1.88d16452e6b52p-4, -0x1.7ee0b16b0f9bdp-4, -0x1.75238b865493cp-4, -0x1.6b9960d894151p-4, -0x1.62419c032ce2p-4, -0x1.591ba460f6b78p-4, -0x1.5026de4f6d0ddp-4, -0x1.4762ab751b0a5p-4, -0x1.3ece6b0559ep-4, -0x1.36697a0170bfap-4, -0x1.2e333377251f4p-4, -0x1.262af0bccdd0bp-4, -0x1.1e5009aaf50bap-4, -0x1.16a1d4d398b8bp-4, -0x1.0f1fa7b71bd09p-4, -0x1.07c8d6f6f1c84p-4, -0x1.009cb68617644p-4, -0x1.f33533aecadf8p-5, -0x1.e583a81395c8cp-5, -0x1.d8237024fecb7p-5, -0x1.cb1331ca713cbp-5, -0x1.be519334e7d2cp-5, -0x1.b1dd3b27bcf95p-5, -0x1.a5b4d13dd938fp-5, -0x1.99d6fe2b57fa1p-5, -0x1.8e426bfbbae8ap-5, -0x1.82f5c64ccbfefp-5, -0x1.77efba864135cp-5, -0x1.6d2ef80e401d5p-5, -0x1.62b2307ad94b2p-5, -0x1.587817c092d6p-5, -0x1.4e7f645e1c433p-5, -0x1.44c6cf8541b53p-5, -0x1.3b4d15413adcep-5, -0x1.3210f49a64184p-5, -0x1.29112fb781c53p-5, -0x1.204c8bfc9f5e2p-5, -0x1.17c1d227a032dp-5, -0x1.0f6fce6a989a1p-5, -0x1.07555084067cep-5, -0x1.fee257a9f21dp-6, -0x1.ef846eea82c5p-6, -0x1.e08e9c8b76001p-6, -0x1.d1fe9e018a2a2p-6, -0x1.c3d23891f299dp-6, -0x1.b607396c706fep-6, -0x1.a89b75c234153p-6, -0x1.9b8ccad9ac00cp-6, -0x1.8ed91e1f6778p-6, -0x1.827e5d3425373p-6, -0x1.767a7df83c731p-6, -0x1.6acb7e946fafp-6, -0x1.5f6f65805b5dfp-6, -0x1.5464418688cp-6, -0x1.49a829c657a64p-6, -0x1.3f393db3c79p-6, -0x1.3515a5154f454p-6, -0x1.2b3b8fffc9f9bp-6, -0x1.21a936d0a42f7p-6, -0x1.185cda265889ap-6, -0x1.0f54c2d7547b3p-6, -0x1.068f41e760f84p-6, -0x1.fc1560f747237p-7, -0x1.eb8adf9a98c74p-7, -0x1.db7bd2360a7bdp-7, -0x1.cbe51b32798c1p-7, -0x1.bcc3acc2b30d2p-7, -0x1.ae1488bfcfdc3p-7, -0x1.9fd4c083c2fc7p-7, -0x1.920174c214b6ap-7, -0x1.8497d55f0f6e4p-7, -0x1.7795214574b28p-7, -0x1.6af6a63ac5cbfp-7, -0x1.5eb9c0b261edep-7, -0x1.52dbdb9f71986p-7, -0x1.475a7045d7bf8p-7, -0x1.3c33060a2fc05p-7, -0x1.31633240f8832p-7, -0x1.26e897fd0643ep-7, -0x1.1cc0e7dd4efc3p-7, -0x1.12e9dfda26689p-7, -0x1.09614b1202484p-7, -0x1.00250195d5c4ap-7, -0x1.ee65d06a35956p-8, -0x1.dd11e0933310ap-8, -0x1.cc4a2f05fc743p-8, -0x1.bc0acf649e0f3p-8, -0x1.ac4fed2aa1f77p-8, -0x1.9d15cb43d1886p-8, -0x1.8e58c3a30df74p-8, -0x1.801546d959089p-8, -0x1.7247dbad22742p-8, -0x1.64ed1eb1f73c9p-8, -0x1.5801c1e0a19e8p-8, -0x1.4b828c2fd52bep-8, -0x1.3f6c592d72569p-8, -0x1.33bc189878c6cp-8, -0x1.286ecdfbb8881p-8, -0x1.1d8190494d086p-8, -0x1.12f18976f704p-8, -0x1.08bbf61b5bd8dp-8, -0x1.fdbc4a1879a9p-9, -0x1.eaaaedfb5a7c3p-9, -0x1.d83ebc44a5de1p-9, -0x1.c672bb997b29p-9, -0x1.b5421423b085fp-9, -0x1.a4a80ed9064c2p-9, -0x1.94a014c4ad6aep-9, -0x1.8525ae5339a22p-9, -0x1.763482a10019cp-9, -0x1.67c856caf2ab9p-9, -0x1.59dd0d4202914p-9, -0x1.4c6ea5210b072p-9, -0x1.3f7939854fb65p-9, -0x1.32f900e99756ap-9, -0x1.26ea4c83de99bp-9, -0x1.1b4987a5ac5e7p-9, -0x1.1013371f0a906p-9, -0x1.0543f8a421fffp-9, -0x1.f5b1046afdad6p-10, -0x1.e19b4315ecaa1p-10, -0x1.ce4077026c972p-10, -0x1.bb9a9713e73b4p-10, -0x1.a9a3c63d83de5p-10, -0x1.9856526d06158p-10, -0x1.87acb37af1621p-10, -0x1.77a18a1fd6a01p-10, -0x1.682f9eeed203ap-10, -0x1.5951e1551fc1ap-10, -0x1.4b03669ed2a4ep-10, -0x1.3d3f69008d09bp-10, -0x1.300146a63c3fdp-10, -0x1.234480c6c9f0ap-10, -0x1.1704babcb184fp-10, -0x1.0b3db9236d28bp-10, -0x1.ffd6c1f36dde2p-11, -0x1.ea136d90f2c3bp-11, -0x1.d529bb9cf45e6p-11, -0x1.c1122e6139033p-11, -0x1.adc5825d69672p-11, -0x1.9b3cacb9b6b81p-11, -0x1.8970d9c25bd2p-11, -0x1.785b6b6bdf71ep-11, -0x1.67f5f7dfecd75p-11, -0x1.583a4812ab2ffp-11, -0x1.4922566069041p-11, -0x1.3aa84d337f0abp-11, -0x1.2cc685b24698cp-11, -0x1.1f778674febbap-11, -0x1.12b602438161p-11, -0x1.067cd6daa27c5p-11, -0x1.f58e1772317b5p-12, -0x1.df1fa1e794f1ep-12, -0x1.c9a4fc22c1932p-12, -0x1.b51521d9f2304p-12, -0x1.a167593facc3cp-12, -0x1.8e9330e3dc755p-12, -0x1.7c907da26478ap-12, -0x1.6b57589edf385p-12, -0x1.5ae01d4d4e599p-12, -0x1.4b2367877a4bap-12, -0x1.3c1a11aeb5468p-12, -0x1.2dbd32d9cdeeap-12, -0x1.20061d0ee6da7p-12, -0x1.12ee5b88f86e6p-12, -0x1.066fb108bbc1dp-12, -0x1.f5082c61829ap-13, -0x1.de4b6fd8e5f31p-13, -0x1.c89debc399c7dp-13, -0x1.b3f4c1db0417bp-13, -0x1.a0457352c708dp-13, -0x1.8d85ddf981768p-13, -0x1.7bac396d20677p-13, -0x1.6aaf14624a857p-13, -0x1.5a8551fe75012p-13, -0x1.4b26274435c9bp-13, -0x1.3c89189168d1bp-13, -0x1.2ea5f72eb7c8p-13, -0x1.2174def02866dp-13, -0x1.14ee33e63a72bp-13, -0x1.090aa01f3e0b6p-13, -0x1.fb8622f0f1d6dp-14, -0x1.e6216efd746ebp-14, -0x1.d1da02bc01f68p-14, -0x1.bea337bfa2ba2p-14, -0x1.ac70deefcb4a4p-14, -0x1.9b373cbda79b2p-14, -0x1.8aeb0574bff8bp-14, -0x1.7b8159a62f7fap-14, -0x1.6cefc2add0751p-14, -0x1.5f2c2f50b3e51p-14, -0x1.522cf074437b2p-14, -0x1.45e8b5ed6c884p-14, -0x1.3a568b673b739p-14, -0x1.2f6dd560496bp-14, -0x1.25264e3e6ebb6p-14, -0x1.1b7803781ee4ep-14, -0x1.125b52d2e720dp-14, -0x1.09c8e7b67e26fp-14, -0x1.01b9b893dea13p-14, -0x1.f44e08bfceb74p-15, -0x1.e614a041f87bep-15, -0x1.d8bac91e538dbp-15, -0x1.cc34978c9bacep-15, -0x1.c0769e1397a36p-15, -0x1.b575e932a8a86p-15, -0x1.ab27fb2c9c168p-15, -0x1.a182c7f2d263cp-15, -0x1.987cb12fec308p-15, -0x1.900c827114aecp-15, -0x1.88296d6d216b4p-15, -0x1.80cb0668b3fcep-15, -0x1.79e940b691ab9p-15, -0x1.737c6b5372d61p-15, -0x1.6d7d2d9c838fap-15, -0x1.67e4841fdca29p-15, -0x1.62abbd86401afp-15, -0x1.5dcc779563661p-15, -0x1.59409c4a1a73cp-15, -0x1.55025f09bcacfp-15, -0x1.510c39ea19b07p-15, -0x1.4d58eb0f611dcp-15, -0x1.49e3721f5e88dp-15, -0x1.46a70dc96c82cp-15, -0x1.439f396291d6cp-15, -0x1.40c7aa952fdd1p-15, -0x1.3e1c4f23b5033p-15, -0x1.3b994abdce3c5p-15, -0x1.393af4e78a797p-15, -0x1.36fdd6f1f1b3fp-15, -0x1.34deaa048b507p-15, -0x1.32da55375b83cp-15, -0x1.30edebbcdb6dfp-15, -0x1.2f16ab1b76762p-15, -0x1.2d51f9761ab29p-15, -0x1.2b9d63e36b963p-15, -0x1.29f69cd3295dbp-15, -0x1.285b7a81623a7p-15, -0x1.26c9f5770adfp-15, -0x1.254027178fd22p-15, -0x1.23bc483b08b3cp-15, -0x1.223cafd4a4f79p-15, -0x1.20bfd1a4fae5bp-15, -0x1.1f443cf7db33cp-15, -0x1.1dc89b6d53777p-15, -0x1.1c4bafcd86d03p-15, -0x1.1acc54e70de1bp-15, -0x1.19497c778917fp-15, -0x1.17c22e1e164ccp-15, -0x1.16358657621d8p-15, -0x1.14a2b58302125p-15, -0x1.1308fef1d88a5p-15, -0x1.1167b7fd315c8p-15, -0x1.0fbe47265c727p-15, -0x1.0e0c233e7c257p-15, -0x1.0c50d2964a1dfp-15, -0x1.0a8bea359293cp-15, -0x1.08bd0d1a279aap-15, -0x1.06e3eb7e138e4p-15, -0x1.05004224cb348p-15, -0x1.0311d9af2e3a3p-15, -0x1.011885f618cap-15, -0x1.fe284ad6a6e21p-16, -0x1.fa0941015e7a1p-16, -0x1.f5d3d22a30c82p-16, -0x1.f187f3cedfd05p-16, -0x1.ed25ac1dfabf8p-16, -0x1.e8ad10f293617p-16, -0x1.e41e46da69f81p-16, -0x1.df7980263c968p-16, -0x1.dabefc03e387dp-16, -0x1.d5ef05a1e1677p-16, -0x1.d109f35c26112p-16, -0x1.cc1025f1a4925p-16, -0x1.c70207c27edd3p-16, -0x1.c1e00c1676894p-16, -0x1.bcaaae6b60561p-16, -0x1.b76271cb4b2ccp-16, -0x1.b207e02a26bf3p-16, -0x1.ac9b89ca9b393p-16, -0x1.a71e04a9db408p-16, -0x1.a18febf22b16cp-16, -0x1.9bf1df73eb255p-16, -0x1.96448324e3a72p-16, -0x1.90887ea59aae9p-16, -0x1.8abe7ccc843e6p-16, -0x1.84e72b36ce7e7p-16, -0x1.7f0339de9f88fp-16, -0x1.79135ab68a71p-16, -0x1.7318414a13e28p-16, -0x1.6d12a263104ebp-16, -0x1.670333b3b34c6p-16, -0x1.60eaab85209c8p-16, -0x1.5ac9c06a595a7p-16, -0x1.54a128f754592p-16, -0x1.4e719b7c1da48p-16, -0x1.483bcdc3dd73cp-16, -0x1.420074d78f0fap-16, -0x1.3bc044c457d31p-16, -0x1.357bf0654bd4bp-16, -0x1.2f3429308367bp-16, -0x1.28e99f0763e77p-16, -0x1.229d0009f42d5p-16, -0x1.1c4ef86d22bf9p-16, -0x1.16003253df74ep-16, -0x1.0fb155aae991dp-16, -0x1.09630807358c9p-16, -0x1.0315ec86d367ep-16, -0x1.f99547686901bp-17, -0x1.ed0396d77d942p-17, -0x1.e077fd8722b79p-17, -0x1.d3f3abeab8281p-17, -0x1.c777cc948062p-17, -0x1.bb05841135d23p-17, -0x1.ae9df0c743022p-17, -0x1.a2422ad98b03dp-17, -0x1.95f3440d7e61ep-17, -0x1.89b247b46f9a7p-17, -0x1.7d803a97e7bcep-17, -0x1.715e1ae8f113p-17, -0x1.654ce0321b4edp-17, -0x1.594d7b4c2c446p-17, -0x1.4d60d6554e346p-17, -0x1.4187d4aaa3bb6p-17, -0x1.35c352e421d54p-17, -0x1.2a1426d28e189p-17, -0x1.1e7b1f7f8984fp-17, -0x1.12f9052f8bf18p-17, -0x1.078e9965b2697p-17, -0x1.f8792dd297b8ap-18, -0x1.e207639a0ee61p-18, -0x1.cbc92eef5e6d1p-18, -0x1.b5bfdd5cafa6ep-18, -0x1.9fecaf3fdfb99p-18, -0x1.8a50d7e43025dp-18, -0x1.74ed7d9e6631ep-18, -0x1.5fc3b9eb2bf1ap-18, -0x1.4ad4998f93379p-18, -0x1.36211cbb925d7p-18, -0x1.21aa372e5ae7p-18, -0x1.0d70d05c65ad8p-18, -0x1.f2eb872e313b9p-19, -0x1.cb73c06bca5dfp-19, -0x1.a47bd38181714p-19, -0x1.7e053037bd7b1p-19, -0x1.58112f69189d3p-19, -0x1.32a1135e30b1ep-19, -0x1.0db6082b5afb2p-19, -0x1.d2a248200e072p-20, -0x1.8ae6cfaf59e52p-20, -0x1.443b7e7825be5p-20, -0x1.fd4405230fcbfp-21, -0x1.7437c2fe47bbep-21, -0x1.daa9e3efca5b6p-22, -0x1.a277fe343bfdcp-23, 0x1.9eaf322df09b5p-25, 0x1.34881f72d24bdp-22, 0x1.186bc8fa963b6p-21, 0x1.9460d92d9a38p-21, 0x1.0711203e7cb4cp-20, 0x1.42d7a1ab48c01p-20, 0x1.7d83b465f5cbfp-20, 0x1.b7153c79a022ap-20, 0x1.ef8c3da4c121dp-20, 0x1.13746d45701fp-19, 0x1.2e95a9f396483p-19, 0x1.492a03e001f3p-19, 0x1.6331b84dd88c5p-19, 0x1.7cad125b32932p-19, 0x1.959c6a9cd4121p-19, 0x1.ae0026baa3e75p-19, 0x1.c5d8b90cf7301p-19, 0x1.dd26a03abe194p-19, 0x1.f3ea66d89e30dp-19, 0x1.0512518482022p-18, 0x1.0feafb0e9d3acp-18, 0x1.1a7f861bc67b8p-18, 0x1.24d04df743d9cp-18, 0x1.2eddb2f8a9614p-18, 0x1.38a81a569c449p-18, 0x1.422fedfa2f655p-18, 0x1.4b759c52d7c14p-18, 0x1.5479982b04e11p-18, 0x1.5d3c587d557e9p-18, 0x1.65be584a75134p-18, 0x1.6e00166f9b621p-18, 0x1.7602157db815p-18, 0x1.7dc4db914619cp-18, 0x1.8548f22acba59p-18, 0x1.8c8ee60807bc3p-18, 0x1.939746fdcc5dep-18, 0x1.9a62a7d289f7ep-18, 0x1.a0f19e198858dp-18, 0x1.a744c20ed17bcp-18, 0x1.ad5cae73cc253p-18, 0x1.b33a006c8856ap-18, 0x1.b8dd575dbb00ep-18, 0x1.be4754cb6b8c5p-18, 0x1.c3789c3852116p-18, 0x1.c871d305e3f17p-18, 0x1.cd33a05511fcdp-18, 0x1.d1beace7b3893p-18, 0x1.d613a302a10f9p-18, 0x1.da332e507a942p-18, 0x1.de1dfbc519d6ap-18, 0x1.e1d4b981b2067p-18, 0x1.e55816b9961p-18, 0x1.e8a8c397a941dp-18, 0x1.ebc7712475f7p-18, 0x1.eeb4d12ceb6e6p-18, 0x1.f1719629bd9dap-18, 0x1.f3fe732769e2bp-18, 0x1.f65c1baedacfdp-18, 0x1.f88b43aeab5b1p-18, 0x1.fa8c9f6509295p-18, 0x1.fc60e34a2f9b5p-18, 0x1.fe08c3fb803b5p-18, 0x1.ff84f6272ebccp-18, 0x1.006b173c434eap-17, 0x1.00fe90c261987p-17, 0x1.017d41dc3c9e5p-17, 0x1.01e784a2c857cp-17, 0x1.023db308e6834p-17, 0x1.028026d2f0748p-17, 0x1.02af398e8531ep-17, 0x1.02cb448a9c2b3p-17, 0x1.02d4a0cfda855p-17, 0x1.02cba71928f5fp-17, 0x1.02b0afcc8beacp-17, 0x1.028412f439394p-17, 0x1.02462837ee3b4p-17, 0x1.01f746d681005p-17, 0x1.0197c59faf9d8p-17, 0x1.0127faee29468p-17, 0x1.00a83ca1d27d9p-17, 0x1.0018e01a40bf6p-17, 0x1.fef47462dfa8bp-18, 0x1.fd993e6d58e82p-18, 0x1.fc20c5d3699f5p-18, 0x1.fa8bb0ec1d6fdp-18, 0x1.f8daa4dd2068cp-18, 0x1.f70e459235f3ep-18, 0x1.f52735b5129f2p-18, 0x1.f32616a59752dp-18, 0x1.f10b88726956bp-18, 0x1.eed829d1e9becp-18, 0x1.ec8c981b84c1p-18, 0x1.ea296f415af9p-18, 0x1.e7af49ca4122ep-18, 0x1.e51ec0cc144aap-18, 0x1.e2786be660205p-18, 0x1.dfbce13d5727ep-18, 0x1.dcecb5751700bp-18, 0x1.da087bad3ccdep-18, 0x1.d710c57cc2d47p-18, 0x1.d40622ee25debp-18, 0x1.d0e9227bd4688p-18, 0x1.cdba510ce1d22p-18, 0x1.ca7a39f1fd048p-18, 0x1.c72966e2a916ep-18, 0x1.c3c85ffab5f16p-18, 0x1.c057abb7f858dp-18, 0x1.bcd7cef83d103p-18, 0x1.b9494cf777a4cp-18, 0x1.b5aca74e2b29p-18, 0x1.b2025df009696p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d2a6e51f24bf5p-2, 0x1.d4d12673d373p-2, 0x1.d72f4867cb47cp-2, 0x1.d9bcf328c72b7p-2, 0x1.dc74d0ff5558dp-2, 0x1.df50ad774384ap-2, 0x1.e24997f01bd78p-2, 0x1.e55807aeec748p-2, 0x1.e873fff103f8p-2, 0x1.eb9532daf803ep-2, 0x1.eeb3226ee312p-2, 0x1.f1c53ef7e03cbp-2, 0x1.f4c3029003dc1p-2, 0x1.f7a4099233c1ep-2, 0x1.fa6027ebb3f01p-2, 0x1.fcef7b5b38422p-2, 0x1.ff4a7abe15a64p-2, 0x1.00b5014c96518p-1, 0x1.01a3af89a476ap-1, 0x1.026e29cda40e2p-1, 0x1.0311903aec4c8p-1, 0x1.038b43371bbcdp-1, 0x1.03d8e4719ecdp-1, 0x1.03f85733846d5p-1, 0x1.03e7c011e3355p-1, 0x1.03a5841a1008p-1, 0x1.0330478cc6ef8p-1, 0x1.0286ec3b51dbdp-1, 0x1.01a88f97b3f5p-1, 0x1.00948886f55c6p-1, 0x1.fe94ca05c64cap-2, 0x1.fb93cf2de551dp-2, 0x1.f8260984f8af3p-2, 0x1.f44bc09241231p-2, 0x1.f00594f1f4d5ap-2, 0x1.eb547ada566dfp-2, 0x1.e639b4a4a3febp-2, 0x1.e0b6cd63535b4p-2, 0x1.dacd938d87554p-2, 0x1.d48013c660d8dp-2, 0x1.cdd093c595bbap-2, 0x1.c6c18d65b4e6dp-2, 0x1.bf55a9db99f13p-2, 0x1.b78fbd19c5bacp-2, 0x1.af72c161a2932p-2, 0x1.a701d3041c8d2p-2, 0x1.9e402c5275563p-2, 0x1.953121bfc73d4p-2, 0x1.8bd81e334115ap-2, 0x1.82389f8ad81c7p-2, 0x1.7856334dde4d2p-2, 0x1.6e34738eb0323p-2, 0x1.63d703fa7807ep-2, 0x1.59418f15ddc3p-2, 0x1.4e77c3a5570ddp-2, 0x1.437d523fb0c91p-2, 0x1.3855eb0951aeap-2, 0x1.2d053b96b29d6p-2, 0x1.218eecf47389bp-2, 0x1.15f6a1d3739d3p-2, 0x1.0a3ff4d753112p-2, 0x1.fcdcee0b88d76p-3, 0x1.e50b5caa31e66p-3, 0x1.cd1228b0eaf49p-3, 0x1.b4f82a106c558p-3, 0x1.9cc41b49eaf86p-3, 0x1.847c9767b2444p-3, 0x1.6c28182572733p-3, 0x1.53ccf44597f6cp-3, 0x1.3b715e11399f7p-3, 0x1.231b62000f172p-3, 0x1.0ad0e5863938p-3, 0x1.e52f4c0b34b1p-4, 0x1.b4ea6fc15d8eep-4, 0x1.84de0b59d387ap-4, 0x1.55149f057a59dp-4, 0x1.259854d30972cp-4, 0x1.ece5ff76c20eap-5, 0x1.8f5c35be7acf4p-5, 0x1.32a591e6b313p-5, 0x1.ada74f60fbf7cp-6, 0x1.efdd62d97b7c7p-7, 0x1.1106a1db5d6a7p-8, -0x1.b50345e67245fp-8, -0x1.1c7b2623e21fcp-6, -0x1.c95121d40feccp-6, -0x1.39d3f8d825213p-5, -0x1.8db310c9f54c2p-5, -0x1.e039ccbfab23bp-5, -0x1.18ae66a8bbc37p-4, -0x1.4088af02c8c63p-4, -0x1.67a6b9bcd72cdp-4, -0x1.8e03d4b14faaap-4, -0x1.b39ba0325bb79p-4, -0x1.d86a0de3b1b8bp-4, -0x1.fc6b5f8330a5cp-4, -0x1.0fce12d0b523ap-3, -0x1.20fc9f2597f2fp-3, -0x1.31bfe9d29a5d9p-3, -0x1.4216ad3d5e20fp-3, -0x1.51ffc86031a9p-3, -0x1.617a3e05ec72p-3, -0x1.70853400c2c9ep-3, -0x1.7f1ff25c80a6cp-3, -0x1.8d49e28c90bap-3, -0x1.9b028e964ae63p-3, -0x1.a849a037dcc4dp-3, -0x1.b51ee00c4925ep-3, -0x1.c18234acc86a2p-3, -0x1.cd73a1cffa50bp-3, -0x1.d8f3476743d09p-3, -0x1.e40160baa7477p-3, -0x1.ee9e4383808b7p-3, -0x1.f8ca5f066de1ep-3, -0x1.01431d965bd41p-2, -0x1.05e93bcec985ap-2, -0x1.0a57e56bc1c46p-2, -0x1.0e8f80a512fe8p-2, -0x1.12907e385953bp-2, -0x1.165b58f6c0031p-2, -0x1.19f095535e1a1p-2, -0x1.1d50c0f256d8fp-2, -0x1.207c7238d8325p-2, -0x1.237447de18d05p-2, -0x1.2638e87d6b9f4p-2, -0x1.28cb02298eae1p-2, -0x1.2b2b4a01468ddp-2, -0x1.2d5a7bc560923p-2, -0x1.2f59597037a86p-2, -0x1.3128aacece3ddp-2, -0x1.32c93d1b909p-2, -0x1.343be29ad6b4dp-2, -0x1.358172393630ep-2, -0x1.369ac72bb361dp-2, -0x1.3788c091e5343p-2, -0x1.384c411a14d3fp-2, -0x1.38e62ea76b5d7p-2, -0x1.395771fa365cbp-2, -0x1.39a0f65a4cc6ap-2, -0x1.39c3a943a27fep-2, -0x1.39c07a150ca34p-2, -0x1.399859c143bb1p-2, -0x1.394c3a8223ebap-2, -0x1.38dd0f8e352d6p-2, -0x1.384bccd07e3a9p-2, -0x1.379966a2a14e2p-2, -0x1.36c6d1894a2ecp-2, -0x1.35d501f2ed159p-2, -0x1.34c4ebf8d1991p-2, -0x1.339783226fc56p-2, -0x1.324dba2b1b6c7p-2, -0x1.30e882c9f866cp-2, -0x1.2f68cd7c37543p-2, -0x1.2dcf895198392p-2, -0x1.2c1da3bb28db4p-2, -0x1.2a54085c42616p-2, -0x1.2873a0ddb7433p-2, -0x1.267d54c32f55cp-2, -0x1.24720942ad8ebp-2, -0x1.2252a11e2fa91p-2, -0x1.201ffc7f6c117p-2, -0x1.1ddaf8d5973b1p-2, -0x1.1b8470b53290ap-2, -0x1.191d3bb9d920cp-2, -0x1.16a62e69f94fdp-2, -0x1.14201a1c7d51ep-2, -0x1.118bcce04ff33p-2, -0x1.0eea1165b2b1p-2, -0x1.0c3baee95f6aep-2, -0x1.098169216aae1p-2, -0x1.06bc002bd17e1p-2, -0x1.03ec307eb61f7p-2, -0x1.0112b2da35061p-2, -0x1.fc607877969c9p-3, -0x1.f68afba6823c9p-3, -0x1.f0a649f21f293p-3, -0x1.eab3b64c60771p-3, -0x1.e4b48bdaa337dp-3, -0x1.deaa0deac232cp-3, -0x1.d89577eab6496p-3, -0x1.d277fd62bc7dap-3, -0x1.cc52c9f1df4ccp-3, -0x1.c627014cc9dbap-3, -0x1.bff5bf3ed35d8p-3, -0x1.b9c017ad303cp-3, -0x1.b387169c240f9p-3, -0x1.ad4bc0362f204p-3, -0x1.a70f10d510bbcp-3, -0x1.a0d1fd0c9756bp-3, -0x1.9a9571b71dedcp-3, -0x1.945a5403aa56ap-3, -0x1.8e2181858cd4fp-3, -0x1.87ebd04579eb5p-3, -0x1.81ba0ed3fcfa7p-3, -0x1.7b8d045d3ae36p-3, -0x1.756570bde886ap-3, -0x1.6f440c996a91cp-3, -0x1.6929897106dc9p-3, -0x1.631691bc11575p-3, -0x1.5d0bc9011105dp-3, -0x1.5709cbefb8f6fp-3, -0x1.5111307bb8bd3p-3, -0x1.4b2285f83e95ap-3, -0x1.453e553431657p-3, -0x1.3f65209700401p-3, -0x1.3997643e03f12p-3, -0x1.33d5961a60f2ep-3, -0x1.2e20260f5d805p-3, -0x1.28777e1115c53p-3, -0x1.22dc024391b18p-3, -0x1.1d4e111a1da69p-3, -0x1.17ce0376e5fd7p-3, -0x1.125c2ccac3cfdp-3, -0x1.0cf8db35369cep-3, -0x1.07a457a472294p-3, -0x1.025ee5f589663p-3, -0x1.fa518a2932b09p-4, -0x1.f0045e39f6108p-4, -0x1.e5d6b2f2c5f49p-4, -0x1.dbc8ea07e8aa6p-4, -0x1.d1db5c4c750fp-4, -0x1.c80e59f1ede28p-4, -0x1.be622ac79dc6ap-4, -0x1.b4d70e7980e4bp-4, -0x1.ab6d3ccec5051p-4, -0x1.a224e5e7c93afp-4, -0x1.98fe327b961a2p-4, -0x1.8ff94414c0be9p-4, -0x1.8716354da9299p-4, -0x1.7e551a0c15049p-4, -0x1.75b5ffbc12e63p-4, -0x1.6d38ed8a23a54p-4, -0x1.64dde49c9d678p-4, -0x1.5ca4e04c448e6p-4, -0x1.548dd65c0f992p-4, -0x1.4c98b73013b2bp-4, -0x1.44c56e038fe4bp-4, -0x1.3d13e11e14a5cp-4, -0x1.3583f207c140bp-4, -0x1.2e157dbc9390ap-4, -0x1.26c85cdec57dfp-4, -0x1.1f9c63e8348b2p-4, -0x1.1891635ad2094p-4, -0x1.11a727f016ac8p-4, -0x1.0add7ac77ae93p-4, -0x1.04342193ed975p-4, -0x1.fb55bd909a2a4p-5, -0x1.ee82e385b872fp-5, -0x1.e1ef2def6cdb1p-5, -0x1.d59a103481fd7p-5, -0x1.c982f88b329cap-5, -0x1.bda9504801db7p-5, -0x1.b20c7c2a8ef2dp-5, -0x1.a6abdca86683p-5, -0x1.9b86ce35d341dp-5, -0x1.909ca98cb34cfp-5, -0x1.85ecc3f14de79p-5, -0x1.7b766f75386a6p-5, -0x1.7138fb38424e7p-5, -0x1.6733b3a775b12p-5, -0x1.5d65e2ba2b43ap-5, -0x1.53ced02d3b7f6p-5, -0x1.4a6dc1bc4d2p-5, -0x1.4141fb594c249p-5, -0x1.384abf6208a45p-5, -0x1.2f874ed40b2fap-5, -0x1.26f6e97e9ebcep-5, -0x1.1e98ce331ab06p-5, -0x1.166c3af371eabp-5, -0x1.0e706d1f0d8e7p-5, -0x1.06a4a19dfe64ep-5, -0x1.fe102a1509c26p-6, -0x1.ef3407b202b5p-6, -0x1.e0b354fc8f1f6p-6, -0x1.d28c8b28d73dbp-6, -0x1.c4be23fc03838p-6, -0x1.b7469a0fc79dcp-6, -0x1.aa246912fc82bp-6, -0x1.9d560e0760145p-6, -0x1.90da077c837b4p-6, -0x1.84aed5c7febeep-6, -0x1.78d2fb3afa7d6p-6, -0x1.6d44fc551349ap-6, -0x1.62035ff4bbf97p-6, -0x1.570caf8519f81p-6, -0x1.4c5f77297a924p-6, -0x1.41fa45e667924p-6, -0x1.37dbadc873182p-6, -0x1.2e024408c32p-6, -0x1.246ca12f7286bp-6, -0x1.1b196133d1675p-6, -0x1.1207239a9b55cp-6, -0x1.09348b922b33dp-6, -0x1.00a0400cc1bdcp-6, -0x1.f091d7b1d6f0bp-7, -0x1.e05a7b7023ed6p-7, -0x1.d097d0e69f62fp-7, -0x1.c14745dd13e6fp-7, -0x1.b2665073cd58p-7, -0x1.a3f26f4355a4ap-7, -0x1.95e9297919375p-7, -0x1.88480ef11908ap-7, -0x1.7b0cb84cb1604p-7, -0x1.6e34c706aabfep-7, -0x1.61bde58496611p-7, -0x1.55a5c7259f14cp-7, -0x1.49ea284ede01bp-7, -0x1.3e88ce75591b9p-7, -0x1.337f8825ab0c5p-7, -0x1.28cc2d098b299p-7, -0x1.1e6c9deb3216ap-7, -0x1.145ec4b6c05dbp-7, -0x1.0aa09479b7787p-7, -0x1.013009609d33fp-7, -0x1.f0165165b6e9fp-8, -0x1.de600199e9f86p-8, -0x1.cd3952323d4d5p-8, -0x1.bc9e840caa755p-8, -0x1.ac8be9fbfc395p-8, -0x1.9cfde8b054d86p-8, -0x1.8df0f69d1340bp-8, -0x1.7f619bdc42e72p-8, -0x1.714c720fb21c2p-8, -0x1.63ae243fd405p-8, -0x1.56836eb88b7f8p-8, -0x1.49c91ee402f7dp-8, -0x1.3d7c1323a76c6p-8, -0x1.31993aa76e08ap-8, -0x1.261d9543780ap-8, -0x1.1b063344366eap-8, -0x1.1050354125a21p-8, -0x1.05f8cbee3b9ep-8, -0x1.f7fa6fd841f6dp-9, -0x1.e4b5932e9db48p-9, -0x1.d21dc1ac4bc5ep-9, -0x1.c02dd9cc33efcp-9, -0x1.aee0d85003038p-9, -0x1.9e31d7d748f9ap-9, -0x1.8e1c10753462bp-9, -0x1.7e9ad74514d95p-9, -0x1.6fa99dfdd05c5p-9, -0x1.6143f28464576p-9, -0x1.53657e7d9c91ep-9, -0x1.460a06df225bcp-9, -0x1.392d6b7ffcbd3p-9, -0x1.2ccba6a8a5affp-9, -0x1.20e0cca2d1192p-9, -0x1.15690b48ff68p-9, -0x1.0a60a995f8904p-9, -0x1.ff880e688e075p-10, -0x1.eb1f381b9b643p-10, -0x1.d77fefb71984ep-10, -0x1.c4a3836b5cb4ep-10, -0x1.b2836f47daf25p-10, -0x1.a1195c5ce071cp-10, -0x1.905f1fde40559p-10, -0x1.804eba4733232p-10, -0x1.70e2567f84bcfp-10, -0x1.6214490222c44p-10, -0x1.53df0f053e0ddp-10, -0x1.463d4da4136cap-10, -0x1.3929d10a6956bp-10, -0x1.2c9f8ba1f86dep-10, -0x1.20999541b82bbp-10, -0x1.15132a5f3efap-10, -0x1.0a07ab423258p-10, -0x1.fee53673e1da2p-11, -0x1.ea9f3faafb433p-11, -0x1.d735003b6946cp-11, -0x1.c49e47a3d25c7p-11, -0x1.b2d3254ddd604p-11, -0x1.a1cbe7113ccc9p-11, -0x1.918117bbc595ap-11, -0x1.81eb7d9eac397p-11, -0x1.73041920f298cp-11, -0x1.64c423571f5f5p-11, -0x1.57250ca046db6p-11, -0x1.4a207b48769d1p-11, -0x1.3db04a308b107p-11, -0x1.31ce877b7ac99p-11, -0x1.267573411d5bep-11, -0x1.1b9f7e4675d95p-11, -0x1.114748bb7f9e9p-11, -0x1.0767a0fe88754p-11, -0x1.fbf704ca24633p-12, -0x1.e9fc28147fb1cp-12, -0x1.d8d54f4596c64p-12, -0x1.c87970ad06d76p-12, -0x1.b8dfd33e965d9p-12, -0x1.aa000c5b32e83p-12, -0x1.9bd1fda4e356ap-12, -0x1.8e4dd2dd9aa45p-12, -0x1.816bffd0e4fb2p-12, -0x1.75253e485811cp-12, -0x1.69728c0ab37b5p-12, -0x1.5e4d28e5a5a33p-12, -0x1.53ae94c2133d1p-12, -0x1.49908dc2d5727p-12, -0x1.3fed0e6dd0a1p-12, -0x1.36be4bdf4c3f3p-12, -0x1.2dfeb407723b2p-12, -0x1.25a8ebf1d64d4p-12, -0x1.1db7ce16f0873p-12, -0x1.162668b766319p-12, -0x1.0eeffc4106658p-12, -0x1.080ff9bd5d1cbp-12, -0x1.01820149b8b01p-12, -0x1.f683c1310d7fcp-13, -0x1.ea9722f7c72eep-13, -0x1.df3670f27ad78p-13, -0x1.d45a46cbd277fp-13, -0x1.c9fb90190f17fp-13, -0x1.c01385b62816ep-13, -0x1.b69bab3303f97p-13, -0x1.ad8dcc5180db8p-13, -0x1.a4e3fa9401c2ep-13, -0x1.9c988adc3e2c4p-13, -0x1.94a6131a15abfp-13, -0x1.8d07680a09f5cp-13, -0x1.85b79b0334f5ep-13, -0x1.7eb1f7d45a9b1p-13, -0x1.77f202afe0472p-13, -0x1.717376265c6e5p-13, -0x1.6b32412f748aep-13, -0x1.652a8540c88aap-13, -0x1.5f589472a827ep-13, -0x1.59b8efb23e69ep-13, -0x1.54484500ff0fbp-13, -0x1.4f036dc106a02p-13, -0x1.49e76d0e26df3p-13, -0x1.44f16e2364359p-13, -0x1.401ec2cc9b142p-13, -0x1.3b6ce1e408e0fp-13, -0x1.36d965db77917p-13, -0x1.32620b50cf9a7p-13, -0x1.2e04afadc572ap-13, -0x1.29bf4fd2664e6p-13, -0x1.259006ca4fd75p-13, -0x1.21750c8c38cdp-13, -0x1.1d6cb4c3acd5cp-13, -0x1.19756da4a3398p-13, -0x1.158dbec8c8e61p-13, -0x1.11b44816312cbp-13, -0x1.0de7c0af39e14p-13, -0x1.0a26f5eb6f842p-13, -0x1.0670ca592b359p-13, -0x1.02c434c7b71ap-13, -0x1.fe407eb392e88p-14, -0x1.f7080d402cffcp-14, -0x1.efdd7177826aep-14, -0x1.e8bf291106abdp-14, -0x1.e1abd19c99937p-14, -0x1.daa226f456fb5p-14, -0x1.d3a101bc9298ap-14, -0x1.cca755f1a5d6ap-14, -0x1.c5b4318318d26p-14, -0x1.bec6bafbe939bp-14, -0x1.b7de303769bd2p-14, -0x1.b0f9e52287a56p-14, -0x1.aa1942890341p-14, -0x1.a33bc4ee40032p-14, -0x1.9c60fb717561cp-14, -0x1.958886bcc4552p-14, -0x1.8eb217fefd965p-14, -0x1.87dd6fefb97f6p-14, -0x1.810a5ddd76f92p-14, -0x1.7a38bec572607p-14, -0x1.73687c74eab6p-14, -0x1.6c998cb38b3c3p-14, -0x1.65cbf076aec08p-14, -0x1.5effb31d39bc1p-14, -0x1.5834e9b3c3972p-14, -0x1.516bb240cc69dp-14, -0x1.4aa43318bf45dp-14, -0x1.43de9a397d1f4p-14, -0x1.3d1b1cad3653p-14, -0x1.3659f5f451663p-14, -0x1.2f9b677625b51p-14, -0x1.28dfb7f850c98p-14, -0x1.2227331c6a2c4p-14, -0x1.1b7228e3e25b7p-14, -0x1.14c0ed39d454p-14, -0x1.0e13d78296e28p-14, -0x1.076b4230d8f22p-14, -0x1.00c78a60191d2p-14, -0x1.f4521ee88d316p-15, -0x1.e720657cb7da4p-15, -0x1.d9faae4b90d86p-15, -0x1.cce1c1acef28bp-15, -0x1.bfd669e69d7dcp-15, -0x1.b2d97299e8d88p-15, -0x1.a5eba839742dep-15, -0x1.990dd786fccb4p-15, -0x1.8c40cd18c6563p-15, -0x1.7f8554e661a97p-15, -0x1.72dc39dc84b3ap-15, -0x1.66464577ac5d4p-15, -0x1.59c43f65473fdp-15, -0x1.4d56ed2b1ef63p-15, -0x1.40ff11d4c82dbp-15, -0x1.34bd6da6d3ee8p-15, -0x1.2892bdd7881adp-15, -0x1.1c7fbc4ce3b0fp-15, -0x1.10851f5fb4cf2p-15, -0x1.04a399a38c988p-15, -0x1.f1b7b366a6016p-16, -0x1.da5d1404a44d4p-16, -0x1.c338a162fada6p-16, -0x1.ac4b9ed18c6bdp-16, -0x1.95974668a6b88p-16, -0x1.7f1cc8cad0935p-16, -0x1.68dd4ceda3abdp-16, -0x1.52d9efe95e541p-16, -0x1.3d13c4ced9b3p-16, -0x1.278bd48395da1p-16, -0x1.12431da38b08ap-16, -0x1.fa7528d0f4716p-17, -0x1.d0e6452cf3e1bp-17, -0x1.a7db4edad78adp-17, -0x1.7f55ef3e4d4e6p-17, -0x1.5757ba9424881p-17, -0x1.2fe22fefda6dep-17, -0x1.08f6b9412121fp-17, -0x1.c52d56c1a8b9ap-18, -0x1.79868c49ff362p-18, -0x1.2efb68f7034a1p-18, -0x1.cb1c322bb1cf8p-19, -0x1.3a813f64ea379p-19, -0x1.58535bc00089cp-20, -0x1.00c706b7268a9p-22, 0x1.a6b852c2060e6p-21, 0x1.e250ddf45bd07p-20, 0x1.7653b8994c8c4p-19, 0x1.f92dc96630187p-19, 0x1.3cda62b30b7e3p-18, 0x1.7bf38dd2ef3fap-18, 0x1.b9e1c284567cfp-18, 0x1.f6a48185d0e94p-18, 0x1.191db79fdd50dp-17, 0x1.3653298e41ae9p-17, 0x1.52f28b6e6b7cbp-17, 0x1.6efbe2f40ec8cp-17, 0x1.8a6f464cd661dp-17, 0x1.a54cdbc58e923p-17, 0x1.bf94d96e096d6p-17, 0x1.d94784bbf3c02p-17, 0x1.f265322cbc35cp-17, 0x1.057722735915cp-16, 0x1.1171972ccba46p-16, 0x1.1d2236ef5869bp-16, 0x1.2889482c44e0ap-16, 0x1.33a717e93e4a6p-16, 0x1.3e7bf9901de48p-16, 0x1.490846bea75b2p-16, 0x1.534c5f1664c61p-16, 0x1.5d48a80c9c973p-16, 0x1.66fd8cba7b6a6p-16, 0x1.706b7dad73e03p-16, 0x1.7992f0b7e17c5p-16, 0x1.827460c1fe61dp-16, 0x1.8b104d9b303fap-16, 0x1.93673bcbb8ae1p-16, 0x1.9b79b466cd4edp-16, 0x1.a34844dd261acp-16, 0x1.aad37ed0034c2p-16, 0x1.b21bf7e4b7272p-16, 0x1.b9224998b73a4p-16, 0x1.bfe71116373f7p-16, 0x1.c66aef095d792p-16, 0x1.ccae87760a0eep-16, 0x1.d2b2818e3f1ap-16, 0x1.d877878928a98p-16, 0x1.ddfe467ac8594p-16, 0x1.e3476e2c49855p-16, 0x1.e853b0f50497dp-16, 0x1.ed23c3942dd56p-16, 0x1.f1b85d0b31d2bp-16, 0x1.f6123678cd436p-16, 0x1.fa320af4cf8fcp-16, 0x1.fe18976c9d16bp-16, 0x1.00e34d403044cp-15, 0x1.029e6a307d415p-15, 0x1.043e03575411ep-15, 0x1.05c27a2c32e2bp-15, 0x1.072c30be0342p-15, 0x1.087b89a386753p-15, 0x1.09b0e7ec1be07p-15, 0x1.0accaf10e6e82p-15, 0x1.0bcf42e64f416p-15, 0x1.0cb9078de05f9p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.cc080a7f9ac49p-2, 0x1.ccbae7b8b87dbp-2, 0x1.cd8055a811a49p-2, 0x1.ce57e0109cd65p-2, 0x1.cf40db43bbbb5p-2, 0x1.d03a66b2c41ap-2, 0x1.d143709a91008p-2, 0x1.d25aba79697c6p-2, 0x1.d37ede0ada027p-2, 0x1.d4ae52901b885p-2, 0x1.d5e772360823ep-2, 0x1.d7287f7302bccp-2, 0x1.d86faa3f8726fp-2, 0x1.d9bb151366061p-2, 0x1.db08d997baa64p-2, 0x1.dc570d02ecf74p-2, 0x1.dda3c4182ac5bp-2, 0x1.deed16c745d2ep-2, 0x1.e031236c7741p-2, 0x1.e16e11b1b20ep-2, 0x1.e2a21514a7b31p-2, 0x1.e3cb6f15c594cp-2, 0x1.e4e8711535a72p-2, 0x1.e5f77de36368p-2, 0x1.e6f70b0ac3e49p-2, 0x1.e7e5a1d8b57c3p-2, 0x1.e8c1e02b3a7bbp-2, 0x1.e98a79092a174p-2, 0x1.ea3e350a3463p-2, 0x1.eadbf293d2323p-2, 0x1.eb62a5efec5acp-2, 0x1.ebd15941ab42cp-2, 0x1.ec272c5c970b2p-2, 0x1.ec635481ce98bp-2, 0x1.ec851c06db13ep-2, 0x1.ec8be1e943d67p-2, 0x1.ec771951d429bp-2, 0x1.ec46490a20d2p-2, 0x1.ebf90ae6bb4afp-2, 0x1.eb8f0b2824a99p-2, 0x1.eb0807d46f5eap-2, 0x1.ea63d00b43b03p-2, 0x1.e9a24355c5fd5p-2, 0x1.e8c350f3bd518p-2, 0x1.e7c6f727271c3p-2, 0x1.e6ad427f44c3ap-2, 0x1.e5764d2412c5fp-2, 0x1.e4223e22eee07p-2, 0x1.e2b148bd25848p-2, 0x1.e123abb8fe561p-2, 0x1.df79b0b5c9009p-2, 0x1.ddb3ab835c4b7p-2, 0x1.dbd1f97d63598p-2, 0x1.d9d500eac2151p-2, 0x1.d7bd306158089p-2, 0x1.d58afe2e47053p-2, 0x1.d33ee7c2efbbfp-2, 0x1.d0d97126b33c3p-2, 0x1.ce5b246d973fdp-2, 0x1.cbc49133cdb68p-2, 0x1.c9164c1e2bdfap-2, 0x1.c650ee5f83c1dp-2, 0x1.c3751542e07p-2, 0x1.c08361ba970a2p-2, 0x1.bd7c77f41528ep-2, 0x1.ba60fef05f847p-2, 0x1.b731a02129148p-2, 0x1.b3ef070a64528p-2, 0x1.b099e0e83ad28p-2, 0x1.ad32dc5948e5p-2, 0x1.a9baa90d018ccp-2, 0x1.a631f7761ea27p-2, 0x1.a2997880f9868p-2, 0x1.9ef1dd4db03b9p-2, 0x1.9b3bd6edf7af5p-2, 0x1.977816267a361p-2, 0x1.93a74b33a2fe4p-2, 0x1.8fca2591b975dp-2, 0x1.8be153c82d66cp-2, 0x1.87ed8337f3409p-2, 0x1.83ef5fecda1e2p-2, 0x1.7fe79471b77a9p-2, 0x1.7bd6c9a75294fp-2, 0x1.77bda69deef8dp-2, 0x1.739cd0716493ap-2, 0x1.6f74ea27a0d57p-2, 0x1.6b46949181791p-2, 0x1.67126e2dedaeap-2, 0x1.62d9130f14973p-2, 0x1.5e9b1cc1c05a8p-2, 0x1.5a592236a1414p-2, 0x1.5613b7ad8330dp-2, 0x1.51cb6ea2563a2p-2, 0x1.4d80d5bbf51dfp-2, 0x1.493478bc9c25fp-2, 0x1.44e6e073fac46p-2, 0x1.409892b2d0962p-2, 0x1.3c4a1240026d7p-2, 0x1.37fbdecf1db8p-2, 0x1.33ae74f832809p-2, 0x1.2f624e30fd02bp-2, 0x1.2b17e0c74a95cp-2, 0x1.26cf9fdc8ef03p-2, 0x1.2289fb629e533p-2, 0x1.1e47601978d58p-2, 0x1.1a08378e22663p-2, 0x1.15cce81a78941p-2, 0x1.1195d4e5f562fp-2, 0x1.0d635de75c1b1p-2, 0x1.0935dfe73fcc4p-2, 0x1.050db4835b2a2p-2, 0x1.00eb3232abadfp-2, 0x1.f99d58949ab6fp-3, 0x1.f170e6060b1ffp-3, 0x1.e951a6fef00cp-3, 0x1.e1402fa5fa831p-3, 0x1.d93d0e1216e14p-3, 0x1.d148ca5a69a9p-3, 0x1.c963e6a74b6c4p-3, 0x1.c18edf444830ap-3, 0x1.b9ca2ab309af9p-3, 0x1.b21639bf1bbacp-3, 0x1.aa73779283bb9p-3, 0x1.a2e249cb11cbep-3, 0x1.9b63109069a51p-3, 0x1.93f626aaa9e3ep-3, 0x1.8c9be199ae1b7p-3, 0x1.855491acd93fcp-3, 0x1.7e20821b5dd86p-3, 0x1.76fff91cf96e2p-3, 0x1.6ff33803127c8p-3, 0x1.68fa7b5233a0ap-3, 0x1.6215fadbd6d35p-3, 0x1.5b45e9d876208p-3, 0x1.548a7701d74d5p-3, 0x1.4de3ccad861d7p-3, 0x1.475210e779b1ap-3, 0x1.40d5658cd8afbp-3, 0x1.3a6de866d52abp-3, 0x1.341bb3458eb2cp-3, 0x1.2ddedc1b01975p-3, 0x1.27b77515f3852p-3, 0x1.21a58cbccf6e8p-3, 0x1.1ba92e087a696p-3, 0x1.15c2607f08e3bp-3, 0x1.0ff1284e5973cp-3, 0x1.0a3586668b98ap-3, 0x1.048f78944a7f2p-3, 0x1.fdfdf335d08fp-4, 0x1.f308029c8acaap-4, 0x1.e83d0958f4d91p-4, 0x1.dd9cebee93271p-4, 0x1.d327899a875c2p-4, 0x1.c8dcbc8558221p-4, 0x1.bebc59f41e1dp-4, 0x1.b4c6327909c31p-4, 0x1.aafa122353ab4p-4, 0x1.a157c0ae70a08p-4, 0x1.97df01b09a5abp-4, 0x1.8e8f94c8a1f74p-4, 0x1.856935cafea4p-4, 0x1.7c6b9cee21a39p-4, 0x1.73967ef5fef33p-4, 0x1.6ae98d5ecfaep-4, 0x1.62647687047f2p-4, 0x1.5a06e5d8687d4p-4, 0x1.51d083f071f9bp-4, 0x1.49c0f6c7bbcdfp-4, 0x1.41d7e1d8a917cp-4, 0x1.3a14e6452def4p-4, 0x1.3277a2fbbfbaep-4, 0x1.2affb4db67d9ep-4, 0x1.23acb6d6fba34p-4, 0x1.1c7e421776e82p-4, 0x1.1573ee1d79db2p-4, 0x1.0e8d50e1ea028p-4, 0x1.07c9fef5b6352p-4, 0x1.01298ba0bf919p-4, 0x1.f55711ffce2a9p-5, 0x1.e89f104480b62p-5, 0x1.dc2a324ad73a5p-5, 0x1.cff796a2333d4p-5, 0x1.c4065a636ebe9p-5, 0x1.b85599648ed18p-5, 0x1.ace46e6ad10ebp-5, 0x1.a1b1f35b15a03p-5, 0x1.96bd4168b3a0ap-5, 0x1.8c057142afb54p-5, 0x1.81899b3f65131p-5, 0x1.7748d786a03a8p-5, 0x1.6d423e3a30b03p-5, 0x1.6374e79cfb8dbp-5, 0x1.59dfec3890524p-5, 0x1.508265014756bp-5, 0x1.475b6b78f1a22p-5, 0x1.3e6a19d01e593p-5, 0x1.35ad8b05fd29cp-5, 0x1.2d24db06e3affp-5, 0x1.24cf26c97d36dp-5, 0x1.1cab8c6aabdefp-5, 0x1.14b92b481eaedp-5, 0x1.0cf72419a8de3p-5, 0x1.056499095c791p-5, 0x1.fc015b94e51a5p-6, 0x1.ed950f5e0a387p-6, 0x1.df829b79473bep-6, 0x1.d1c8517f939f4p-6, 0x1.c46486bc77f78p-6, 0x1.b7559450ac319p-6, 0x1.aa99d7529d9a1p-6, 0x1.9e2fb0ecec2a1p-6, 0x1.9215867af9232p-6, 0x1.8649c1a382c14p-6, 0x1.7acad0716928p-6, 0x1.6f97256aa178cp-6, 0x1.64ad37a56b79dp-6, 0x1.5a0b82dbcebb2p-6, 0x1.4fb0877d7726p-6, 0x1.459acabff313cp-6, 0x1.3bc8d6ad6a24bp-6, 0x1.32393a31cd8aap-6, 0x1.28ea8926a172cp-6, 0x1.1fdb5c5d522e6p-6, 0x1.170a51a83c846p-6, 0x1.0e760be25f504p-6, 0x1.061d32f5cf0fbp-6, 0x1.fbfce7c1ea73bp-7, 0x1.ec31017543688p-7, 0x1.dcd42169fe934p-7, 0x1.cde3c03ee9f8bp-7, 0x1.bf5d60cefc1d3p-7, 0x1.b13e903100fc2p-7, 0x1.a384e5b570ee4p-7, 0x1.962e02e2609d3p-7, 0x1.8937936dc0e61p-7, 0x1.7c9f4d35f17c9p-7, 0x1.7062f038b7316p-7, 0x1.64804688b63b2p-7, 0x1.58f524416f195p-7, 0x1.4dbf6779eb19cp-7, 0x1.42dcf836079eep-7, 0x1.384bc85697501p-7, 0x1.2e09d3884809cp-7, 0x1.24151f3174898p-7, 0x1.1a6bba5ee5115p-7, 0x1.110bbdaf95f48p-7, 0x1.07f34b3f8d32fp-7, 0x1.fe411d23a48e4p-8, 0x1.ed2378f32491p-8, 0x1.dc8a2605031d4p-8, 0x1.cc71b2b10b0c2p-8, 0x1.bcd6bf5d68be3p-8, 0x1.adb5fe4b6f0f5p-8, 0x1.9f0c33633867ep-8, 0x1.90d633fe3cf6ap-8, 0x1.8310e6b0f1806p-8, 0x1.75b943138861fp-8, 0x1.68cc5189e710dp-8, 0x1.5c472b0ae4ee2p-8, 0x1.5026f8e6e840bp-8, 0x1.4468f48df1195p-8, 0x1.390a675528a52p-8, 0x1.2e08aa3c02727p-8, 0x1.236125b101f1ep-8, 0x1.1911515634d0cp-8, 0x1.0f16b3c571eedp-8, 0x1.056ee254690afp-8, 0x1.f82f01b128117p-9, 0x1.e61c82d62fc7ap-9, 0x1.d4a1c85941225p-9, 0x1.c3ba6e1285045p-9, 0x1.b3622af8e8289p-9, 0x1.a394d0aa464d5p-9, 0x1.944e4af3ea60bp-9, 0x1.858a9f5b7a32ep-9, 0x1.7745eca85a117p-9, 0x1.697c6a6da3e01p-9, 0x1.5c2a6894b7e1ap-9, 0x1.4f4c4ee887468p-9, 0x1.42de9ca19640dp-9, 0x1.36dde7f2d644ep-9, 0x1.2b46dd975755bp-9, 0x1.20164060e9222p-9, 0x1.1548e8c7b074dp-9, 0x1.0adbc47ac1488p-9, 0x1.00cbd5f1c7a4ap-9, 0x1.ee2c67ff89c3bp-10, 0x1.db7012cde7d6bp-10, 0x1.c95d28dba8f86p-10, 0x1.b7ee4cead2572p-10, 0x1.a71e472161735p-10, 0x1.96e8043abbfb1p-10, 0x1.874694bbb6cep-10, 0x1.78352c292e873p-10, 0x1.69af204146f27p-10, 0x1.5bafe8375a6dfp-10, 0x1.4e331bf29a596p-10, 0x1.4134734f72951p-10, 0x1.34afc563acb19p-10, 0x1.28a107c55990cp-10, 0x1.1d044dd4937b5p-10, 0x1.11d5c80802278p-10, 0x1.0711c33c40361p-10, 0x1.f969500c207f7p-11, 0x1.e575f40ed8bc8p-11, 0x1.d242ae8edde8dp-11, 0x1.bfc8ef1a26ef7p-11, 0x1.ae025779a0b85p-11, 0x1.9ce8ba72118ffp-11, 0x1.8c761a8aa8be9p-11, 0x1.7ca4a8d9343a7p-11, 0x1.6d6ec3d3fa34ep-11, 0x1.5ecef6292db9ap-11, 0x1.50bff59bf8124p-11, 0x1.433ca1e70e602p-11, 0x1.364003a4cb502p-11, 0x1.29c54b3cc1e0bp-11, 0x1.1dc7cfd6c0716p-11, 0x1.12430e5336999p-11, 0x1.0732a848f416cp-11, 0x1.f924c6106955fp-12, 0x1.e4bc4d45d24c7p-12, 0x1.d123f9f46768dp-12, 0x1.be5421a20bbbbp-12, 0x1.ac4559c7aca5cp-12, 0x1.9af0760ab4ef3p-12, 0x1.8a4e8680714eap-12, 0x1.7a58d5fb42cb1p-12, 0x1.6b08e86182263p-12, 0x1.5c58790df0482p-12, 0x1.4e41793997bfap-12, 0x1.40be0e6ef742dp-12, 0x1.33c891065b83ap-12, 0x1.275b8aab3fd1p-12, 0x1.1b71b4ea96e37p-12, 0x1.1005f7c9d75bbp-12, 0x1.05136866a85e9p-12, 0x1.f52a8f3e1bc25p-13, 0x1.e10e0183e13c2p-13, 0x1.cdc8508fb50a8p-13, 0x1.bb50f5279774cp-13, 0x1.a99fb577fab18p-13, 0x1.98aca2b4e3205p-13, 0x1.887016ca63277p-13, 0x1.78e2b21c1d24dp-13, 0x1.69fd59538e322p-13, 0x1.5bb9333cdd47bp-13, 0x1.4e0fa6b1e22eap-13, 0x1.40fa589323682p-13, 0x1.347329ce82fabp-13, 0x1.287435735ce6ap-13, 0x1.1cf7ced3c1af2p-13, 0x1.11f87fb2a2a31p-13, 0x1.0771067e931f9p-13, 0x1.fab8a931dc503p-14, 0x1.e76b195225bd3p-14, 0x1.d4f001f7056cap-14, 0x1.c33e63d9243dbp-14, 0x1.b24d98bced048p-14, 0x1.a2155074dc117p-14, 0x1.928d8df983fb6p-14, 0x1.83aea496d295p-14, 0x1.7571352e13a0ap-14, 0x1.67ce2b8c3d9b9p-14, 0x1.5abebbd411e97p-14, 0x1.4e3c5ffb97ae6p-14, 0x1.4240d55c8177fp-14, 0x1.36c61a5708fa9p-14, 0x1.2bc66c06d16p-14, 0x1.213c440962165p-14, 0x1.17225655ccf38p-14, 0x1.0d738f25136adp-14, 0x1.042b10eae36bap-14, 0x1.f68864bc8457ep-15, 0x1.e574f9237ff9p-15, 0x1.d5135235a3c98p-15, 0x1.c55b408fd7349p-15, 0x1.b644eec9fa786p-15, 0x1.a7c8de1be48fcp-15, 0x1.99dfe31dac2d1p-15, 0x1.8c8322a28743ep-15, 0x1.7fac0ead89633p-15, 0x1.7354637f927fp-15, 0x1.677624bdc361ap-15, 0x1.5c0b9aafcd5b7p-15, 0x1.510f4f95765fdp-15, 0x1.467c0d12b1f43p-15, 0x1.3c4cd9b1acd02p-15, 0x1.327cf67a31563p-15, 0x1.2907dc9dcdf04p-15, 0x1.1fe93b38248bap-15, 0x1.171cf522d4e51p-15, 0x1.0e9f1edc6f5d8p-15, 0x1.066bfc81e883ap-15, 0x1.fcffffb406a8bp-16, 0x1.edaf8ce454057p-16, 0x1.dee02f987081ep-16, 0x1.d08bc73968859p-16, 0x1.c2ac8031f2e73p-16, 0x1.b53cd0a9bbf61p-16, 0x1.a837755eb62d7p-16, 0x1.9b976e9b87d25p-16, 0x1.8f57fd4a36d4p-16, 0x1.8374a0223445dp-16, 0x1.77e910f0ee8ecp-16, 0x1.6cb141fc1cf08p-16, 0x1.61c95b7cf650fp-16, 0x1.572db93388123p-16, 0x1.4cdae81173104p-16, 0x1.42cda3fb45019p-16, 0x1.3902d59fc4e54p-16, 0x1.2f77906471604p-16, 0x1.2629106689deap-16, 0x1.1d14b88ff6f8ap-16, 0x1.143810bf68c62p-16, 0x1.0b90c4030d52p-16, 0x1.031c9ee5415fp-16, 0x1.f5b31b9545761p-17, 0x1.e58b36c1ddf06p-17, 0x1.d5bdde3c39fa4p-17, 0x1.c647979e4f968p-17, 0x1.b7251c6c00425p-17, 0x1.a853576c42381p-17, 0x1.99cf621e85119p-17, 0x1.8b96824b6f891p-17, 0x1.7da627afdec1ap-17, 0x1.6ffbe9c15791bp-17, 0x1.6295858b01c8ap-17, 0x1.5570dba238709p-17, 0x1.488bee31f772p-17, 0x1.3be4df1c33555p-17, 0x1.2f79ee306ea04p-17, 0x1.23497776b075bp-17, 0x1.1751f18e289c4p-17, 0x1.0b91ec1ec4b51p-17, 0x1.00080e5d010cdp-17, 0x1.e9662b3e94367p-18, 0x1.d323a808853dap-18, 0x1.bd465e5298f8dp-18, 0x1.a7cc3de16a48cp-18, 0x1.92b358add929p-18, 0x1.7df9e0ac63e6cp-18, 0x1.699e25b04b988p-18, 0x1.559e93696e908p-18, 0x1.41f9af7bcb4ap-18, 0x1.2eae17afa4612p-18, 0x1.1bba80394f6e5p-18, 0x1.091db217b4e0ep-18, 0x1.edad13112f548p-19, 0x1.c9c7e92388655p-19, 0x1.a689e33c87804p-19, 0x1.83f11c5d8d086p-19, 0x1.61fbcb38e4642p-19, 0x1.40a83fdaa1a6ap-19, 0x1.1ff4e1733f38bp-19, 0x1.ffc058851e594p-20, 0x1.c0d15f431fc46p-20, 0x1.831a1853ad919p-20, 0x1.4697e3f2837fap-20, 0x1.0b483e215c377p-20, 0x1.a2517731f07d8p-21, 0x1.306e0dd704683p-21, 0x1.81c37757e603fp-22, 0x1.4ea075f44f323p-23, -0x1.743134492addfp-25, -0x1.ff90137d39cfap-23, -0x1.cc7da2bdf1c0fp-22, -0x1.4a57825917613p-21, -0x1.ac32146a7907cp-21, -0x1.05e93d38df4dp-20, -0x1.349e50450de81p-20, -0x1.623a3764c163ep-20, -0x1.8ebee5e29c87dp-20, -0x1.ba2e4f6fecae5p-20, -0x1.e48a6931c4dd6p-20, -0x1.06ea955ac38ddp-19, -0x1.1b08476719801p-19, -0x1.2e9f4a2ddbd96p-19, -0x1.41b09f7eb719ap-19, -0x1.543d4bd87ac05p-19, -0x1.664656af3bbefp-19, -0x1.77cccaa9b7f21p-19, -0x1.88d1b5d67e1p-19, -0x1.995629d949e29p-19, -0x1.a95b3c111a88ep-19, -0x1.b8e205b76babdp-19, -0x1.c7eba3f8fe04fp-19, -0x1.d679380898b5dp-19, -0x1.e48be72c2978dp-19, -0x1.f224dac49c71p-19, -0x1.ff454050ca24p-19, -0x1.05f724b5e9547p-18, -0x1.0c1095e39a394p-18, -0x1.11ef90907a4cfp-18, -0x1.1794b39b0bbefp-18, -0x1.1d009fd8e0abcp-18, -0x1.2233f80c9a2fcp-18, -0x1.272f60da7a49ap-18, -0x1.2bf380bba7ae1p-18, -0x1.3080fff03e109p-18, -0x1.34d888704a4c1p-18, -0x1.38fac5dbc8e7ap-18, -0x1.3ce86569c4a61p-18, -0x1.40a215d6a904dp-18, -0x1.44288751df24bp-18, -0x1.477c6b6acfa15p-18, -0x1.4a9e74fd564fdp-18, -0x1.4d8f581dc0643p-18, -0x1.504fca0464445p-18, -0x1.52e080f8e57bp-18, -0x1.5542343d33348p-18, -0x1.57759bf852d91p-18, -0x1.597b7121032aep-18, -0x1.5b546d68436ebp-18, -0x1.5d014b23d15b5p-18, -0x1.5e82c538a18ecp-18, -0x1.5fd9970564b2bp-18, -0x1.61067c4d1deb5p-18, -0x1.620a3121d7d47p-18, -0x1.62e571cf801d6p-18, -0x1.6398fac6f18cfp-18, -0x1.64258889330e1p-18, -0x1.648bd792f5483p-18, -0x1.64cca44855ae8p-18, -0x1.64e8aae0e7993p-18, -0x1.64e0a75411889p-18, -0x1.64b55545bbf9ep-18, -0x1.64676ff35b51p-18, -0x1.63f7b22156912p-18, -0x1.6366d608cf382p-18, -0x1.62b59545cfb5ep-18, -0x1.61e4a8c5e035bp-18, -0x1.60f4c8b705302p-18, -0x1.5fe6ac772e654p-18, -0x1.5ebb0a8410c62p-18, -0x1.5d72986b74dp-18, -0x1.5c0e0abbf4735p-18, -0x1.5a8e14f62e93ep-18, -0x1.58f3697e6e66bp-18, -0x1.573eb98ec742ep-18, -0x1.5570b529a80fp-18, -0x1.538a0b0ce3214p-18, -0x1.518b68a52cdf5p-18, -0x1.4f757a0211b27p-18, -0x1.4d48e9ca606cdp-18, -0x1.4b0661310a92dp-18, -0x1.48ae87ea79f29p-18, -0x1.464204225aadfp-18, -0x1.43c17a71d7fbbp-18, -0x1.412d8dd64bap-18, -0x1.3e86dfa85fd1fp-18, -0x1.3bce0f939f85cp-18, -0x1.3903bb8e76d66p-18, -0x1.36287fd2a1d2ep-18, -0x1.333cf6d60480ap-18, -0x1.3041b943f141ap-18, -0x1.2d375df6d5438p-18, -0x1.2a1e79f24d8f3p-18, -0x1.26f7a05da2211p-18, -0x1.23c3627ea300ep-18, -0x1.20824fb4ea3aep-18, -0x1.1d34f5757aa8bp-18, -0x1.19dbdf46c1032p-18, -0x1.167796bcec939p-18, -0x1.1308a376a74cap-18, -0x1.0f8f8b1a21c2fp-18, -0x1.0c0cd15278c9dp-18, -0x1.0880f7cd6eef7p-18, -0x1.04ec7e39761aap-18, -0x1.014fe2440cbddp-18, -0x1.fb573f30ced93p-19, -0x1.f4005fbccd10ap-19, -0x1.ec9c1573b0096p-19, -0x1.e52b4b93ff948p-19, -0x1.ddaee952cc46p-19, -0x1.d627d1dbd6a7cp-19, -0x1.ce96e4523a6efp-19, -0x1.c6fcfbd199179p-19, -0x1.bf5aef6fc197p-19, -0x1.b7b1923ecda86p-19, -0x1.b001b34fba74cp-19, -0x1.a84c1db568ffcp-19, -0x1.a09198881271ap-19, -0x1.98d2e6e921d6fp-19, -0x1.9110c807747cp-19, -0x1.894bf723f9fa2p-19, -0x1.81852b96b51c6p-19, -0x1.79bd18d414f83p-19, -0x1.71f46e72a47d8p-19, -0x1.6a2bd8310f57cp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.4989f0d53b82ap-5, -0x1.7bf773317d3f5p-5, -0x1.ad9951cd91307p-5, -0x1.dd9efa6fe8675p-5, -0x1.05a7f4965c5c2p-4, -0x1.1b0613c9e2408p-4, -0x1.2ea60bd15072fp-4, -0x1.404fdb87db5fdp-4, -0x1.4fd6bf8528975p-4, -0x1.5d187ebf804cp-4, -0x1.67fc9fa24167fp-4, -0x1.70738f075464ap-4, -0x1.7675c0adba285p-4, -0x1.7a02cf436fa8cp-4, -0x1.7b20a0d080674p-4, -0x1.79da9336d4722p-4, -0x1.7640b38665db9p-4, -0x1.70670213d8f7bp-4, -0x1.6864c48d7c0a2p-4, -0x1.5e53e6b66b27bp-4, -0x1.525069f70a15p-4, -0x1.4477e392c4af8p-4, -0x1.34e9090a659a9p-4, -0x1.23c349fd707ep-4, -0x1.112676b8c8013p-4, -0x1.fa64e5153cb51p-5, -0x1.d00de1d125a28p-5, -0x1.a38678e4f6734p-5, -0x1.750c0dc11ae8cp-5, -0x1.44da81e93d32ap-5, -0x1.132bf324f8749p-5, -0x1.c0710cc70c29bp-6, -0x1.586c7bac8b307p-6, -0x1.dd63639730809p-7, -0x1.0746f31306734p-7, -0x1.79fc904cb1d75p-10, 0x1.5401432415314p-8, 0x1.83d16771bb4p-7, 0x1.2eca2c8d528e5p-6, 0x1.9b5a6adfe1ca6p-6, 0x1.03a9f8139e73ap-5, 0x1.393afc7a06536p-5, 0x1.6e4230aff7a85p-5, 0x1.a2a3c2c6305aep-5, 0x1.d6460f7a32b9dp-5, 0x1.0488c7cef84f8p-4, 0x1.1d78624494284p-4, 0x1.35e811eaf0247p-4, 0x1.4dcf015085881p-4, 0x1.652540407968bp-4, 0x1.7be3b92e3883bp-4, 0x1.920426a4089ap-4, 0x1.a78108c485738p-4, 0x1.bc559aecb0c2p-4, 0x1.d07dc98215feap-4, 0x1.e3f627f6cf152p-4, 0x1.f6bbe70b67d45p-4, 0x1.046665aaa7ab1p-3, 0x1.0d13920784abp-3, 0x1.1564e11b3901fp-3, 0x1.1d59f7fdfab76p-3, 0x1.24f2b4429586ap-3, 0x1.2c2f28020825dp-3, 0x1.330f9611d8dap-3, 0x1.39946e6521591p-3, 0x1.3fbe4a981c511p-3, 0x1.458deaa5c15a7p-3, 0x1.4b0431c6be886p-3, 0x1.5022237908cbdp-3, 0x1.54e8e0af01701p-3, 0x1.5959a5251d5fdp-3, 0x1.5d75c4dce9488p-3, 0x1.613ea9bc2c327p-3, 0x1.64b5d14ecd1a2p-3, 0x1.67dccaaa3b5e8p-3, 0x1.6ab53470f2409p-3, 0x1.6d40baf4bc02cp-3, 0x1.6f811676530dap-3, 0x1.717809810e73bp-3, 0x1.73275f613d80bp-3, 0x1.7490eab3decd5p-3, 0x1.75b6840e770fbp-3, 0x1.769a08bdb5e31p-3, 0x1.773d5999c8e57p-3, 0x1.77a259ef21635p-3, 0x1.77caee7a993ffp-3, 0x1.77b8fc77e125ap-3, 0x1.776e68c12c97p-3, 0x1.76ed16ff29fd1p-3, 0x1.7636e8e853ec6p-3, 0x1.754dbd8eb3694p-3, 0x1.743370bb49bdcp-3, 0x1.72e9da564c21ap-3, 0x1.7172cddb6fb1bp-3, 0x1.6fd019d99f769p-3, 0x1.6e03877d5a175p-3, 0x1.6c0eda252fc08p-3, 0x1.69f3ceffb0557p-3, 0x1.67b41cb2532b4p-3, 0x1.65517308bd7e5p-3, 0x1.62cd7aabf548dp-3, 0x1.6029d4e10b7d8p-3, 0x1.5d681b4ebfddap-3, 0x1.5a89dfc9d1028p-3, 0x1.5790ac277205fp-3, 0x1.547e0215ad7e8p-3, 0x1.51535af947db1p-3, 0x1.4e1227d0ce705p-3, 0x1.4abbd11c9d8e6p-3, 0x1.4751b6cb716f2p-3, 0x1.43d5302b608f5p-3, 0x1.40478bdee2358p-3, 0x1.3caa0fd5b36a1p-3, 0x1.38fdf9495f707p-3, 0x1.35447cbd28e8ap-3, 0x1.317ec6013069p-3, 0x1.2dadf83893142p-3, 0x1.29d32de266c61p-3, 0x1.25ef78e55566cp-3, 0x1.2203e29db34f9p-3, 0x1.1e116bede84f2p-3, 0x1.1a190d5102d45p-3, 0x1.161bb6ef504edp-3, 0x1.121a50b4d330ep-3, 0x1.0e15ba697c2e4p-3, 0x1.0a0ecbcaf8facp-3, 0x1.060654a80a767p-3, 0x1.01fd1cfd33a7fp-3, 0x1.fbe7ca255006ep-4, 0x1.f3d6cb36d95a3p-4, 0x1.ebc89faaea9abp-4, 0x1.e3be9b55853d3p-4, 0x1.dbba03a696951p-4, 0x1.d3bc0fef6e02ep-4, 0x1.cbc5e9a96a843p-4, 0x1.c3d8acbdedb8ep-4, 0x1.bbf567cf3feadp-4, 0x1.b41d1c825e103p-4, 0x1.ac50bfc96b68ep-4, 0x1.a4913a2ec8799p-4, 0x1.9cdf682085823p-4, 0x1.953c1a3c31d68p-4, 0x1.8da8159ad353bp-4, 0x1.8624141ceeb8ep-4, 0x1.7eb0c4b687e84p-4, 0x1.774ecbbafaed1p-4, 0x1.6ffec32896baep-4, 0x1.68c13af3e15f1p-4, 0x1.6196b9526e3f2p-4, 0x1.5a7fbb0533ea3p-4, 0x1.537cb3a2490aap-4, 0x1.4c8e0dddfbcccp-4, 0x1.45b42bd32c81dp-4, 0x1.3eef674adf5bbp-4, 0x1.38401202f4048p-4, 0x1.31a675f3f6c09p-4, 0x1.2b22d595fc273p-4, 0x1.24b56c247dc58p-4, 0x1.1e5e6de12b878p-4, 0x1.181e0855a8ee6p-4, 0x1.11f462942b86bp-4, 0x1.0be19d76f4cefp-4, 0x1.05e5d3de9f1e3p-4, 0x1.00011aef37bbdp-4, 0x1.f46704983ef13p-5, 0x1.e8fa28a5600fep-5, 0x1.ddbbaca739e4bp-5, 0x1.d2ab9196285b2p-5, 0x1.c7c9cf2f26896p-5, 0x1.bd16545eed095p-5, 0x1.b29107aa7809fp-5, 0x1.a839c794f8f6fp-5, 0x1.9e106b032d086p-5, 0x1.9414c19c2239cp-5, 0x1.8a46942763447p-5, 0x1.80a5a4e8925c9p-5, 0x1.7731aff87416cp-5, 0x1.6dea6b9b6da31p-5, 0x1.64cf88957f81ep-5, 0x1.5be0b27bba969p-5, 0x1.531d90033eb99p-5, 0x1.4a85c34dc0accp-5, 0x1.4218ea33a7478p-5, 0x1.39d69e8bc034fp-5, 0x1.31be76709a568p-5, 0x1.29d004838b6cep-5, 0x1.220ad82d69786p-5, 0x1.1a6e7ddd06f1cp-5, 0x1.12fa7f4372365p-5, 0x1.0bae638e0c8ebp-5, 0x1.0489af9e7b47p-5, 0x1.fb17cc81028bbp-6, 0x1.ed6910bb9813p-6, 0x1.e0062a5f7b181p-6, 0x1.d2ee14de7d546p-6, 0x1.c61fc90547cfp-6, 0x1.b99a3d536ae51p-6, 0x1.ad5c664fb7a48p-6, 0x1.a16536d910e91p-6, 0x1.95b3a073b2203p-6, 0x1.8a4693931c417p-6, 0x1.7f1cffe0a7931p-6, 0x1.7435d47ee30aep-6, 0x1.69900049ceaaep-6, 0x1.5f2a721408116p-6, 0x1.550418e105636p-6, 0x1.4b1be41c686a7p-6, 0x1.4170c3ce9202dp-6, 0x1.3801a8ce768d6p-6, 0x1.2ecd84f0dace4p-6, 0x1.25d34b35025d4p-6, 0x1.1d11efeeec822p-6, 0x1.148868ef2b73cp-6, 0x1.0c35ada8743bap-6, 0x1.0418b752f1cc2p-6, 0x1.f861021aeaa5fp-7, 0x1.e8f80ff923b5cp-7, 0x1.d9f496cf77b9fp-7, 0x1.cb5499a8f1717p-7, 0x1.bd16203f692e6p-7, 0x1.af37372aa209cp-7, 0x1.a1b5f00be968cp-7, 0x1.949061b6798fcp-7, 0x1.87c4a8549f44bp-7, 0x1.7b50e589dc328p-7, 0x1.6f33409219c3cp-7, 0x1.6369e65e02f7ap-7, 0x1.57f309acb7dbfp-7, 0x1.4ccce322e8bfcp-7, 0x1.41f5b15f73273p-7, 0x1.376bb90da8c07p-7, 0x1.2d2d44f54f461p-7, 0x1.2338a60878686p-7, 0x1.198c336f4a822p-7, 0x1.10264a91d10b4p-7, 0x1.07054f1fedd44p-7, 0x1.fc4f562f01725p-8, 0x1.eb179d91b9bd7p-8, 0x1.da6061b3412edp-8, 0x1.ca269c8c08682p-8, 0x1.ba6754c169701p-8, 0x1.ab1f9da29ae2fp-8, 0x1.9c4c972304a99p-8, 0x1.8deb6dd21ebf6p-8, 0x1.7ff95ad0f6bdcp-8, 0x1.7273a3c583dcp-8, 0x1.65579acbe5d29p-8, 0x1.58a29e65afd82p-8, 0x1.4c5219675cb5cp-8, 0x1.406382e409c96p-8, 0x1.34d45e1793b33p-8, 0x1.29a23a4f31f45p-8, 0x1.1ecab2d0a5c2fp-8, 0x1.144b6ec01d025p-8, 0x1.0a222104d9228p-8, 0x1.004c882cb4a42p-8, 0x1.ed90dc9d3b8d6p-9, 0x1.db2751d831e58p-9, 0x1.c95831a3bc9d1p-9, 0x1.b81f53ef55efap-9, 0x1.a778a6bea09dp-9, 0x1.97602de632792p-9, 0x1.87d202c7283b9p-9, 0x1.78ca54099d057p-9, 0x1.6a4565562fd5dp-9, 0x1.5c3f8f0ea73f5p-9, 0x1.4eb53e05d7f7fp-9, 0x1.41a2f336e5e62p-9, 0x1.3505437bf7516p-9, 0x1.28d8d74472fadp-9, 0x1.1d1a6a4adf12p-9, 0x1.11c6cb4a7c0cp-9, 0x1.06dadbb4a4eecp-9, 0x1.f8a71ecc25cbfp-10, 0x1.e45bd8b81fea4p-10, 0x1.d0ce14d358f34p-10, 0x1.bdf825da11e2cp-10, 0x1.abd4810981f03p-10, 0x1.9a5dbd8b0d5cep-10, 0x1.898e93dffb7c8p-10, 0x1.7961dd4dc4bc8p-10, 0x1.69d2934b0bcebp-10, 0x1.5adbceed605d1p-10, 0x1.4c78c857dd4a8p-10, 0x1.3ea4d62ab6c43p-10, 0x1.315b6cf3c4878p-10, 0x1.24981ea027e1p-10, 0x1.185699ef10c6ep-10, 0x1.0c92a9e5b4115p-10, 0x1.01483544886fap-10, 0x1.ece67bfb90998p-11, 0x1.d81fc15aa8e3ap-11, 0x1.c434a823ed761p-11, 0x1.b11dd11028ce9p-11, 0x1.9ed40f0baee2ep-11, 0x1.8d506631ae56cp-11, 0x1.7c8c0aca91c52p-11, 0x1.6c80604d79e5cp-11, 0x1.5d26f864e2585p-11, 0x1.4e7991f676431p-11, 0x1.4072182e22f5bp-11, 0x1.330aa18c6c627p-11, 0x1.263d6ef80d588p-11, 0x1.1a04ead2e9cacp-11, 0x1.0e5ba81253d2dp-11, 0x1.033c615aac6fep-11, 0x1.f143f03cc004fp-12, 0x1.dd0ee7808031dp-12, 0x1.c9d001727b649p-12, 0x1.b77ddf83070cp-12, 0x1.a60f69f9db36dp-12, 0x1.957bce55c47e5p-12, 0x1.85ba7db308eap-12, 0x1.76c32b38868cep-12, 0x1.688dca8b7abf8p-12, 0x1.5b128e49f6eb2p-12, 0x1.4e49e68bef153p-12, 0x1.422c7f6ae143cp-12, 0x1.36b33f9008396p-12, 0x1.2bd746c91252fp-12, 0x1.2191eca348435p-12, 0x1.17dcbf0d23acfp-12, 0x1.0eb180fe3f886p-12, 0x1.060a292596a1dp-12, 0x1.fbc1c13c07222p-13, 0x1.ec600351ecef4p-13, 0x1.dde42cde8a151p-13, 0x1.d043af9031067p-13, 0x1.c374580babc6bp-13, 0x1.b76c4b91fac7ep-13, 0x1.ac2205b1d5fe4p-13, 0x1.a18c5604d0a2p-13, 0x1.97a25df7f716cp-13, 0x1.8e5b8e9fcf8e1p-13, 0x1.85afa6978f74ep-13, 0x1.7d96afeb61a49p-13, 0x1.7608fe0da16b7p-13, 0x1.6eff2bd6e1e49p-13, 0x1.6872199092c86p-13, 0x1.625aeb0a2fcc1p-13, 0x1.5cb305b8c651p-13, 0x1.57740ee0b82d8p-13, 0x1.5297e9c982cdep-13, 0x1.4e18b5fb84621p-13, 0x1.49f0cd87753ap-13, 0x1.461ac3578f03ap-13, 0x1.4291618a2a122p-13, 0x1.3f4fa7d5b0413p-13, 0x1.3c50c9f5c4213p-13, 0x1.39902e217215bp-13, 0x1.37096b8a48471p-13, 0x1.34b848e42f914p-13, 0x1.3298baf5e5eap-13, 0x1.30a6e331efe94p-13, 0x1.2edf0e57dd6b4p-13, 0x1.2d3db31dc47b2p-13, 0x1.2bbf70e1c1e18p-13, 0x1.2a610e636c6cap-13, 0x1.291f78850a4f6p-13, 0x1.27f7c1146add5p-13, 0x1.26e71d9b409c2p-13, 0x1.25eae636e18c1p-13, 0x1.250094773a502p-13, 0x1.2425c244e3fedp-13, 0x1.235828ce36c73p-13, 0x1.22959f7b2a94bp-13, 0x1.21dc1ae80048ap-13, 0x1.2129abe6764b2p-13, 0x1.207c7e857da35p-13, 0x1.1fd2d91f45427p-13, 0x1.1f2b1b6d807b3p-13, 0x1.1e83bda3caedp-13, 0x1.1ddb4f90015a2p-13, 0x1.1d3077c08667cp-13, 0x1.1c81f2b03b6e7p-13, 0x1.1bce91f82627bp-13, 0x1.1b153b8699c8cp-13, 0x1.1a54e8dbcc202p-13, 0x1.198ca64bb3947p-13, 0x1.18bb92452336p-13, 0x1.17e0dc9df18b9p-13, 0x1.16fbc5e421ff8p-13, 0x1.160b9eb3f1663p-13, 0x1.150fc712a196ap-13, 0x1.1407adcdfdc79p-13, 0x1.12f2cfe067f35p-13, 0x1.11d0b7d969db6p-13, 0x1.10a0fd4a9f56cp-13, 0x1.0f634438f5687p-13, 0x1.0e173c920c967p-13, 0x1.0cbca1a5c2ff8p-13, 0x1.0b5339a3ba0f6p-13, 0x1.09dad51cc6b28p-13, 0x1.08534e883cbbp-13, 0x1.06bc89ccf33aep-13, 0x1.051673cdf5392p-13, 0x1.036101faca08ap-13, 0x1.019c31e3313b1p-13, 0x1.ff90119ca9c3fp-14, 0x1.fbc926aa94fb4p-14, 0x1.f7e3ca01abf95p-14, 0x1.f3e02fd4b7c54p-14, 0x1.efbe98bfdf564p-14, 0x1.eb7f5116c6c78p-14, 0x1.e722b038a62b4p-14, 0x1.e2a917ea1c8a4p-14, 0x1.de12f3b49ea2ep-14, 0x1.d960b84b7697ep-14, 0x1.d492e2f5ffe56p-14, 0x1.cfa9f8ff37062p-14, 0x1.caa6872a52ed3p-14, 0x1.c589212c49b55p-14, 0x1.c052612a441e6p-14, 0x1.bb02e73cacfd6p-14, 0x1.b59b58f6e59eep-14, 0x1.b01c60f36adf4p-14, 0x1.aa86ae6457275p-14, 0x1.a4daf4a820e09p-14, 0x1.9f19eae277d5ap-14, 0x1.99444b991f44ep-14, 0x1.935ad454bbd18p-14, 0x1.8d5e4545636cbp-14, 0x1.874f60eae3ddp-14, 0x1.812eebc09e639p-14, 0x1.7afdabece30d6p-14, 0x1.74bc68f3b108fp-14, 0x1.6e6beb6cc20e7p-14, 0x1.680cfcbccbc79p-14, 0x1.61a066d1dda19p-14, 0x1.5b26f3e2c4294p-14, 0x1.54a16e315d397p-14, 0x1.4e109fcfc41f9p-14, 0x1.4775526842139p-14, 0x1.40d04f07edf04p-14, 0x1.3a225debe5babp-14, 0x1.336c46510dcd1p-14, 0x1.2caece46422fap-14, 0x1.25eaba80e7074p-14, 0x1.1f20ce33c55dbp-14, 0x1.1851cae820a14p-14, 0x1.117e7058f3613p-14, 0x1.0aa77c50439c4p-14, 0x1.03cdaa86795edp-14, 0x1.f9e369075683ap-15, 0x1.ec28a305999afp-15, 0x1.de6c6cad62198p-15, 0x1.d0b02aa1a00fap-15, 0x1.c2f53c5383fc8p-15, 0x1.b53cfbd6bcbb9p-15, 0x1.a788bdb8e57edp-15, 0x1.99d9d0dc05ef6p-15, 0x1.8c317e5404637p-15, 0x1.7e910946f6b41p-15, 0x1.70f9aed031a3ap-15, 0x1.636ca5e5fe538p-15, 0x1.55eb1f41debacp-15, 0x1.4876454b45bc3p-15, 0x1.3b0f3c04af0a9p-15, 0x1.2db720faf9abep-15, 0x1.206f0b36f5428p-15, 0x1.13380b3108e1fp-15, 0x1.06132ac6dbaap-15, 0x1.f202da65df503p-16, 0x1.d8079e0c2f2b5p-16, 0x1.be368c4563a78p-16, 0x1.a491837337595p-16, 0x1.8b1a549185d49p-16, 0x1.71d2c33691917p-16, 0x1.58bc859645a14p-16, 0x1.3fd9448851553p-16, 0x1.272a9b90fbf7dp-16, 0x1.0eb218ec9257p-16, 0x1.ece27b3a914abp-17, 0x1.bcd2faf700411p-17, 0x1.8d387e907d885p-17, 0x1.5e15b983a0c6fp-17, 0x1.2f6d4574cfc0fp-17, 0x1.0141a2615272ap-17, 0x1.a72a6da81af17p-18, 0x1.4cd4a03b458ebp-18, 0x1.e70c8a3f3fa29p-19, 0x1.368726ef5c1e4p-19, 0x1.1042459e31f73p-20, -0x1.20eeb63200a3bp-22, -0x1.9c5cf490be4c1p-20, -0x1.7609dade83677p-19, -0x1.0dd4b499a189bp-18, -0x1.5f83792010893p-18, -0x1.b00e4f08c29fbp-18, -0x1.ff727741d40fdp-18, -0x1.26d6af7e40be5p-17, -0x1.4d5e4f82b1ed7p-17, -0x1.734efd8cf9b94p-17, -0x1.98a7b09dc75fcp-17, -0x1.bd677480214bap-17, -0x1.e18d6970c959ap-17, -0x1.028c61e25fb71p-16, -0x1.140465c7765dfp-16, -0x1.252e6e229618cp-16, -0x1.360a32325dca3p-16, -0x1.4697728b134a9p-16, -0x1.56d5f8e86680dp-16, -0x1.66c597ff0f041p-16, -0x1.76662b4e47de3p-16, -0x1.85b796f13b74ep-16, -0x1.94b9c77063eafp-16, -0x1.a36cb192e9581p-16, -0x1.b1d052300db1ep-16, -0x1.bfe4ae00a71dbp-16, -0x1.cda9d170b433ep-16, -0x1.db1fd0711220ap-16, -0x1.e846c6495bd76p-16, -0x1.f51ed569fbb76p-16, -0x1.00d4139f37d05p-15, -0x1.06f175ffe91adp-15, -0x1.0ce7ad43ce853p-15, -0x1.12b6d81161ba6p-15, -0x1.185f183286069p-15, -0x1.1de0927e6674p-15, -0x1.233b6ec37d561p-15, -0x1.286fd7b1ca4efp-15, -0x1.2d7dfac53c37p-15, -0x1.326608304d747p-15, -0x1.372832c6d4914p-15, -0x1.3bc4afe90e1ap-15, -0x1.403bb76ede555p-15, -0x1.448d83934e6d7p-15, -0x1.48ba50e044b06p-15, -0x1.4cc25e1a7c391p-15, -0x1.50a5ec2db9201p-15, -0x1.54653e19400b6p-15, -0x1.580098dc8afecp-15, -0x1.5b78436442fc2p-15, -0x1.5ecc86777dbc3p-15, -0x1.61fdaca53c418p-15, -0x1.650c023230651p-15, -0x1.67f7d506c7904p-15, -0x1.6ac1749d7c144p-15, -0x1.6d6931f169e15p-15, -0x1.6fef5f6d2f435p-15, -0x1.725450da10fe2p-15, -0x1.74985b4f68458p-15, -0x1.76bbd52256f73p-15, -0x1.78bf15d5c7215p-15, -0x1.7aa2760aade8bp-15, -0x1.7c664f709c9dfp-15, -0x1.7e0afcb6958e5p-15, -0x1.7f90d97c2bc58p-15, -0x1.80f84242e9c9p-15, -0x1.8241946001d38p-15, -0x1.836d2dee45c2bp-15, -0x1.847b6dc064ea8p-15, -0x1.856cb35375914p-15, -0x1.86415ec1c1131p-15, -0x1.86f9d0b5d9e16p-15, -0x1.87966a5df8d87p-15, -0x1.88178d5f9d3c6p-15, -0x1.887d9bcb757d4p-15, -0x1.88c8f8118d841p-15, -0x1.88fa04f5bf4b8p-15, -0x1.8911258469b9p-15, -0x1.890ebd076ad7p-15, -0x1.88f32efb5e823p-15, -0x1.88bedf051b6c6p-15, -0x1.887230e778e5cp-15, -0x1.880d88794ea81p-15, -0x1.8791499bbb9c1p-15, -0x1.86fdd830a9de2p-15, -0x1.86539811905f9p-15, -0x1.8592ed06778acp-15, -0x1.84bc3abd37e94p-15, -0x1.83cfe4c0f8eb5p-15, -0x1.82ce4e71e9b15p-15, -0x1.81b7dafd37cd4p-15, -0x1.808ced553f4dp-15, -0x1.7f4de829f6943p-15, -0x1.7dfb2de191b16p-15, -0x1.7c95209160c99p-15, -0x1.7b1c21f6e3d72p-15, -0x1.7990937117548p-15, -0x1.77f2d5f9f63a5p-15, -0x1.76434a2032645p-15, -0x1.748250011fc3ep-15, -0x1.72b04742d5f8ep-15, -0x1.70cd8f0e828efp-15, -0x1.6eda860aef785p-15, -0x1.6cd78a5738029p-15, -0x1.6ac4f985b2c23p-15, -0x1.68a33097065dap-15, -0x1.66728bf571256p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.f53fe648bb87cp-4, -0x1.14be30de45e63p-3, -0x1.2eaf5e78d50f3p-3, -0x1.485896909385cp-3, -0x1.61a1599433b23p-3, -0x1.7a7409b67218ap-3, -0x1.92be30520ecd8p-3, -0x1.aa7097b96e5bap-3, -0x1.c17f43450884fp-3, -0x1.d7e14e28302ep-3, -0x1.ed90b844c7896p-3, -0x1.0145137bf776ep-2, -0x1.0b664f5b592b6p-2, -0x1.152c9ca7a8d3dp-2, -0x1.1e996de1fa18fp-2, -0x1.27aef6fae1ac9p-2, -0x1.30700adcaca29p-2, -0x1.38dffb3647a78p-2, -0x1.41027adf313c2p-2, -0x1.48db83043440fp-2, -0x1.506f3b2d897c2p-2, -0x1.57c1e417919ap-2, -0x1.5ed7c5467a431p-2, -0x1.65b51d313ec4bp-2, -0x1.6c5e13d8cc91ep-2, -0x1.72d6af9b7c49dp-2, -0x1.7922cc12f842p-2, -0x1.7f4612ca527edp-2, -0x1.8543f59b10d08p-2, -0x1.8b1faa81d926ap-2, -0x1.90dc28bdfe0fbp-2, -0x1.967c271208861p-2, -0x1.9c021afe89cc8p-2, -0x1.a17038d3a6b72p-2, -0x1.a6c874790037cp-2, -0x1.ac0c82ceb3594p-2, -0x1.b13ddb8d144c5p-2, -0x1.b65dbb8b99714p-2, -0x1.bb6d2759fe1cdp-2, -0x1.c06cee19171ebp-2, -0x1.c55dac82f780bp-2, -0x1.ca3fd0142b07ep-2, -0x1.cf139a498d0bap-2, -0x1.d3d923e7f8b35p-2, -0x1.d8906044a75d8p-2, -0x1.dd39208653e42p-2, -0x1.e1d316d891cdfp-2, -0x1.e65dd98bd1947p-2, -0x1.ead8e61d8f802p-2, -0x1.ef43a425092a4p-2, -0x1.f39d68219f8f9p-2, -0x1.f7e57628b4841p-2, -0x1.fc1b047174a04p-2, -0x1.001e9edebf965p-1, -0x1.0225a1ceeb09dp-1, -0x1.04221849efdf9p-1, -0x1.06138d07513cbp-1, -0x1.07f989224ecaep-1, -0x1.09d394f578cffp-1, -0x1.0ba138e553cbfp-1, -0x1.0d61fe1a93bd3p-1, -0x1.0f156f2c7a3b5p-1, -0x1.10bb18bbfc205p-1, -0x1.12528a00513fep-1, -0x1.13db55459fdc4p-1, -0x1.1555105e754ecp-1, -0x1.16bf5508bce8ap-1, -0x1.1819c146ece4p-1, -0x1.1963f7ae178d8p-1, -0x1.1a9d9fa992c5fp-1, -0x1.1bc665b4debf2p-1, -0x1.1cddfb8c7231ap-1, -0x1.1de418560f37ap-1, -0x1.1ed878c1376dfp-1, -0x1.1fbadf2055c5cp-1, -0x1.208b137b2ba48p-1, -0x1.2148e39b049a5p-1, -0x1.21f4231135108p-1, -0x1.228cab38552ffp-1, -0x1.23125b30b2437p-1, -0x1.238517d8591a6p-1, -0x1.23e4cbbf22503p-1, -0x1.243167171deep-1, -0x1.246adfa1b3485p-1, -0x1.24913099caa3dp-1, -0x1.24a45a9b4a83bp-1, -0x1.24a463882e1fdp-1, -0x1.2491566b7cb18p-1, -0x1.246b435a5626ep-1, -0x1.24323f5355e23p-1, -0x1.23e6641c7baefp-1, -0x1.2387d01fcc2dbp-1, -0x1.2316a646d593cp-1, -0x1.22930dd54529bp-1, -0x1.21fd3242addc9p-1, -0x1.21554313ab332p-1, -0x1.209b73b27a62ap-1, -0x1.1fcffb472c792p-1, -0x1.1ef3148f8b58bp-1, -0x1.1e04fdb6cda86p-1, -0x1.1d05f82d2e2f2p-1, -0x1.1bf6487f7fe23p-1, -0x1.1ad6362ed2a9fp-1, -0x1.19a60b8839cbbp-1, -0x1.1866157cc7533p-1, -0x1.1716a379ccbffp-1, -0x1.15b807416e62ap-1, -0x1.144a94c39905ap-1, -0x1.12cea1f765897p-1, -0x1.114486b4f6541p-1, -0x1.0fac9c8fda745p-1, -0x1.0e073eb1ff0bap-1, -0x1.0c54c9b739c56p-1, -0x1.0a959b897445cp-1, -0x1.08ca133d7f2ap-1, -0x1.06f290f097273p-1, -0x1.050f75a69e42ap-1, -0x1.0321232913eaap-1, -0x1.0127fbe6cc97bp-1, -0x1.fe48c5a8e3f68p-2, -0x1.fa2d769b9b6bbp-2, -0x1.f5fed1efc7476p-2, -0x1.f1bd9f47ba943p-2, -0x1.ed6aa665998b3p-2, -0x1.e906aef48b5efp-2, -0x1.e4928053a4447p-2, -0x1.e00ee16284a74p-2, -0x1.db7c984fb33fp-2, -0x1.d6dc6a68b5fcep-2, -0x1.d22f1bebe4f9dp-2, -0x1.cd756fdc01834p-2, -0x1.c8b027d58414ap-2, -0x1.c3e003e5b0a28p-2, -0x1.bf05c263600fcp-2, -0x1.ba221fc988eb6p-2, -0x1.b535d6937dc9p-2, -0x1.b0419f1ae3d7bp-2, -0x1.ab462f77580adp-2, -0x1.a6443b5fc3452p-2, -0x1.a13c740d59905p-2, -0x1.9c2f88203c77p-2, -0x1.971e2385bbaadp-2, -0x1.9208ef6032334p-2, -0x1.8cf091f074b77p-2, -0x1.87d5ae80cd5c4p-2, -0x1.82b8e5517f811p-2, -0x1.7d9ad386c8cb5p-2, -0x1.787c13185dbfap-2, -0x1.735d3ac250c12p-2, -0x1.6e3eddf768bd8p-2, -0x1.69218cd4d3bc5p-2, -0x1.6405d41733ff1p-2, -0x1.5eec3d10fa8p-2, -0x1.59d54da20c2d8p-2, -0x1.54c18830a2ec3p-2, -0x1.4fb16ba3666bep-2, -0x1.4aa5735cad6ap-2, -0x1.459e1736ea054p-2, -0x1.409bcb8228816p-2, -0x1.3b9f0102a3ffdp-2, -0x1.36a824f062393p-2, -0x1.31b7a0f7ce4dp-2, -0x1.2ccddb3b47a8cp-2, -0x1.27eb36559ede5p-2, -0x1.2310115d756a7p-2, -0x1.1e3cc7e974fcep-2, -0x1.1971b2155b9dap-2, -0x1.14af2487cb88ep-2, -0x1.0ff57078dbad7p-2, -0x1.0b44e3b95dce9p-2, -0x1.069dc8bad10dap-2, -0x1.02006697f79dcp-2, -0x1.fada023c167b4p-3, -0x1.f1c7b1ad03e34p-3, -0x1.e8ca5622b9b03p-3, -0x1.dfe263dff79eap-3, -0x1.d71048e0d5de4p-3, -0x1.ce546cf242f56p-3, -0x1.c5af31ca57633p-3, -0x1.bd20f32170eddp-3, -0x1.b4aa06cc04e6p-3, -0x1.ac4abcd5198abp-3, -0x1.a4035f995dc18p-3, -0x1.9bd433e2c8442p-3, -0x1.93bd7904b81c3p-3, -0x1.8bbf68f88cbe9p-3, -0x1.83da387a98c11p-3, -0x1.7c0e172779b75p-3, -0x1.745b2f99b2085p-3, -0x1.6cc1a7878bc6p-3, -0x1.65419fe1304b5p-3, -0x1.5ddb34eee76ffp-3, -0x1.568e7e6f7e506p-3, -0x1.4f5b8fb6bdebep-3, -0x1.484277cbf43afp-3, -0x1.414341887f081p-3, -0x1.3a5df3b65181cp-3, -0x1.3392912e6bb8fp-3, -0x1.2ce118f73fa7bp-3, -0x1.26498662f2268p-3, -0x1.1fcbd12d7c37cp-3, -0x1.1967ed9a9cd34p-3, -0x1.131dcc939b31dp-3, -0x1.0ced5bc4c8023p-3, -0x1.06d685bac8f54p-3, -0x1.00d931ff95204p-3, -0x1.f5ea8a6e57c4dp-4, -0x1.ea554277f3f74p-4, -0x1.def24a75d7ebp-4, -0x1.d3c15b9e41559p-4, -0x1.c8c22a3a8b379p-4, -0x1.bdf465dd16ee5p-4, -0x1.b357b99679098p-4, -0x1.a8ebcc29ba643p-4, -0x1.9eb0403fe5cd6p-4, -0x1.94a4b49a94d7ap-4, -0x1.8ac8c445b06a9p-4, -0x1.811c06c84299bp-4, -0x1.779e10545c92ap-4, -0x1.6e4e71f60c3cp-4, -0x1.652cb9c16238dp-4, -0x1.5c3872ff7e77bp-4, -0x1.5371265aa757fp-4, -0x1.4ad65a0964b6fp-4, -0x1.426791f89f6b3p-4, -0x1.3a244ff4c4205p-4, -0x1.320c13d1e60e6p-4, -0x1.2a1e5b92e45d6p-4, -0x1.225aa38f8eb05p-4, -0x1.1ac06699cba81p-4, -0x1.134f1e21bfc92p-4, -0x1.0c064258f469fp-4, -0x1.04e54a5483f1p-4, -0x1.fbd7585c8c90ap-5, -0x1.ee31ba4a08c6ap-5, -0x1.e0d8a37761749p-5, -0x1.d3cafbaf50d9fp-5, -0x1.c707a9bbfdf88p-5, -0x1.ba8d939fa98f2p-5, -0x1.ae5b9ecb7d468p-5, -0x1.a270b05477154p-5, -0x1.96cbad2684351p-5, -0x1.8b6b7a35c1745p-5, -0x1.804efcadf70f8p-5, -0x1.75751a2048543p-5, -0x1.6adcb8af284bbp-5, -0x1.6084bf3890f63p-5, -0x1.566c157e8f08bp-5, -0x1.4c91a44e1b23fp-5, -0x1.42f455a457bd5p-5, -0x1.399314d22c559p-5, -0x1.306cce9e504a9p-5, -0x1.27807165c7048p-5, -0x1.1ecced3ad9766p-5, -0x1.16513402901c5p-5, -0x1.0e0c3990b9c77p-5, -0x1.05fcf3c2847f1p-5, -0x1.fc44b52f65564p-6, -0x1.ecf6d094e4522p-6, -0x1.de0e32cbc11a3p-6, -0x1.cf88d9b68192ep-6, -0x1.c164c82bddca6p-6, -0x1.b3a0061c2ec9bp-6, -0x1.a638a0b47226cp-6, -0x1.992caa7efbacdp-6, -0x1.8c7a3b81d9546p-6, -0x1.801f715b09353p-6, -0x1.741a6f5a8008fp-6, -0x1.68695e9a1c666p-6, -0x1.5d0a6e1396e22p-6, -0x1.51fbd2b4707ecp-6, -0x1.473bc770061fep-6, -0x1.3cc88d4fc08d9p-6, -0x1.32a06b8182d0cp-6, -0x1.28c1af6459038p-6, -0x1.1f2aac937ece4p-6, -0x1.15d9bcefcba5ap-6, -0x1.0ccd40a78798cp-6, -0x1.04039e3ccc931p-6, -0x1.f6f68514d5da1p-7, -0x1.e665418ee1e97p-7, -0x1.d6506512adaf8p-7, -0x1.c6b4ef89c97c7p-7, -0x1.b78fed9bb2d9p-7, -0x1.a8de78aacfe06p-7, -0x1.9a9db6cf0ed69p-7, -0x1.8ccadace6d88fp-7, -0x1.7f63241365a8bp-7, -0x1.7263dea1533b5p-7, -0x1.65ca63070229ep-7, -0x1.5994164f62f04p-7, -0x1.4dbe69f0899a5p-7, -0x1.4246dbb90cbc1p-7, -0x1.372af5bbccb26p-7, -0x1.2c684e3a4a287p-7, -0x1.21fc878d90ce7p-7, -0x1.17e5500dd267fp-7, -0x1.0e2061f8c1646p-7, -0x1.04ab8356beda5p-7, -0x1.f7090bbddbd0ep-8, -0x1.e5528db479a14p-8, -0x1.d42f5e0aee707p-8, -0x1.c39b64e4dd489p-8, -0x1.b392a0d099cdp-8, -0x1.a41126863ad91p-8, -0x1.951320a53902ep-8, -0x1.8694cf70bbe9ap-8, -0x1.7892888aa9b9dp-8, -0x1.6b08b6ad9ca9p-8, -0x1.5df3d965d21adp-8, -0x1.515084c9321f6p-8, -0x1.451b612e8466p-8, -0x1.39512ae3eb6a4p-8, -0x1.2deeb1e4be101p-8, -0x1.22f0d98ed31a3p-8, -0x1.1854985757896p-8, -0x1.0e16f77f3ece5p-8, -0x1.043512c766fbfp-8, -0x1.f5583048fc69cp-9, -0x1.e2f28ee57bc19p-9, -0x1.d133e4531eb88p-9, -0x1.c016f61e488dbp-9, -0x1.af96abd83305fp-9, -0x1.9fae0e7e5f34ap-9, -0x1.905847e25243dp-9, -0x1.8190a211b4c0ap-9, -0x1.735286bef9039p-9, -0x1.65997eaa95167p-9, -0x1.5861310cf3003p-9, -0x1.4ba5630125887p-9, -0x1.3f61f6f0821a7p-9, -0x1.3392ebff23b71p-9, -0x1.28345d797c1e9p-9, -0x1.1d428242fa833p-9, -0x1.12b9ac45d9379p-9, -0x1.089647e428decp-9, -0x1.fda9b6d4455dbp-10, -0x1.eae40d03a673fp-10, -0x1.d8d503504fc07p-10, -0x1.c7763b46db199p-10, -0x1.b6c185f6a2249p-10, -0x1.a6b0e2e4bb8a1p-10, -0x1.973e7f022e134p-10, -0x1.8864b3a549ebep-10, -0x1.7a1e05865511fp-10, -0x1.6c6523bf80d29p-10, -0x1.5f34e6d04a189p-10, -0x1.52884fa44a3p-10, -0x1.465a869d7c7eep-10, -0x1.3aa6daa211f73p-10, -0x1.2f68c02dc9426p-10, -0x1.249bd066e6a96p-10, -0x1.1a3bc836c199cp-10, -0x1.10448765f427ep-10, -0x1.06b20fbc3351bp-10, -0x1.fb010847a361fp-11, -0x1.e9584fa1d3611p-11, -0x1.d862bad876661p-11, -0x1.c8194c836753cp-11, -0x1.b87542e54cee3p-11, -0x1.a970165763c55p-11, -0x1.9b0377bca1ba8p-11, -0x1.8d294efc2c5f2p-11, -0x1.7fdbb9831a846p-11, -0x1.731508cd7d625p-11, -0x1.66cfc0f6a6f9bp-11, -0x1.5b069750a1886p-11, -0x1.4fb47102d2a87p-11, -0x1.44d461afb889bp-11, -0x1.3a61aa21b7d09p-11, -0x1.3057b6feebb0dp-11, -0x1.26b21f83e80ddp-11, -0x1.1d6ca445613d5p-11, -0x1.14832df8a59ccp-11, -0x1.0bf1cc42d9351p-11, -0x1.03b4b48ee53d7p-11, -0x1.f79081d404176p-12, -0x1.e851ddcd9f76fp-12, -0x1.d9a6bd0dcbd12p-12, -0x1.cb88a2558f966p-12, -0x1.bdf15110523dcp-12, -0x1.b0dacb4cd9b8fp-12, -0x1.a43f4fc299c73p-12, -0x1.981957e31ea88p-12, -0x1.8c6395f770f7ap-12, -0x1.8118f349452d9p-12, -0x1.76348e57c377dp-12, -0x1.6bb1b917c5a7p-12, -0x1.618bf73f53d0cp-12, -0x1.57befc9c395d7p-12, -0x1.4e46ab758010ap-12, -0x1.451f12f7a55cdp-12, -0x1.3c446dab59d32p-12, -0x1.33b31ff6a1b1ep-12, -0x1.2b67b6a81d616p-12, -0x1.235ee58c588a5p-12, -0x1.1b95860ce8d4ap-12, -0x1.140895d92f458p-12, -0x1.0cb5359891e6cp-12, -0x1.0598a7a5f9072p-12, -0x1.fd609da8d9e3bp-13, -0x1.eff35a792dbcdp-13, -0x1.e2e4c6261257fp-13, -0x1.d6305b0e28b98p-13, -0x1.c9d1cb54042c6p-13, -0x1.bdc4febd11523p-13, -0x1.b20610a096e5ep-13, -0x1.a6914de67536ap-13, -0x1.9b633315517e3p-13, -0x1.90786a6fd1323p-13, -0x1.85cdca209c5bcp-13, -0x1.7b605274c2fa2p-13, -0x1.712d2c243d622p-13, -0x1.6731a6a8303bp-13, -0x1.5d6b369ea3ef4p-13, -0x1.53d7743b621afp-13, -0x1.4a7419c5a198cp-13, -0x1.413f02223bd36p-13, -0x1.3836276a1962cp-13, -0x1.2f57a18c879a1p-13, -0x1.26a1a4fd33774p-13, -0x1.1e12816d76303p-13, -0x1.15a8a090b283dp-13, -0x1.0d6284eb763fp-13, -0x1.053ec8ad1d4e1p-13, -0x1.fa78392751c9ep-14, -0x1.eab28db323fe4p-14, -0x1.db2a445a93813p-14, -0x1.cbdd396453246p-14, -0x1.bcc96e1530dap-14, -0x1.aded06d624ee4p-14, -0x1.9f46496bdc07ap-14, -0x1.90d39b3f1b3dcp-14, -0x1.82937fb58dafdp-14, -0x1.7484969a917fcp-14, -0x1.66a59a9782abep-14, -0x1.58f55fbb17df7p-14, -0x1.4b72d20f61b75p-14, -0x1.3e1cf43dfd555p-14, -0x1.30f2de4210827p-14, -0x1.23f3bc27a6899p-14, -0x1.171eccd8071a9p-14, -0x1.0a7360f2a19cbp-14, -0x1.fbe1b3645c5dfp-15, -0x1.e32d4fbb3dd37p-15, -0x1.cac895891296fp-15, -0x1.b2b29e8d4f97cp-15, -0x1.9aea9dcc35e77p-15, -0x1.836fddc827037p-15, -0x1.6c41becf1d337p-15, -0x1.555fb55ba1e49p-15, -0x1.3ec948889ecc5p-15, -0x1.287e10976a366p-15, -0x1.127db58771c4fp-15, -0x1.f98fdb7de08e3p-16, -0x1.ceb8f988299b8p-16, -0x1.a476640c1cf85p-16, -0x1.7ac7cf6ae4033p-16, -0x1.51ad0356d6483p-16, -0x1.2925d8be6f282p-16, -0x1.013237d2d6426p-16, -0x1.b3a42c51ea206p-17, -0x1.660ae9e8565dp-17, -0x1.1998beb3553a1p-17, -0x1.9c9ba36e62fe8p-18, -0x1.0854af6c40917p-18, -0x1.d97483022be29p-20, 0x1.94a78a3d4f775p-22, 0x1.4d4302724648p-19, 0x1.31a7568c538b1p-18, 0x1.ba5b539f5be1dp-18, 0x1.205e6a80a2ba4p-17, 0x1.62659e5079406p-17, 0x1.a342faaea8cc7p-17, 0x1.e2f63b2aede5bp-17, 0x1.10bf917f76db5p-16, 0x1.2f6ebf3d476b5p-16, 0x1.4d88922a26bc4p-16, 0x1.6b0cfb6f5c16dp-16, 0x1.87fbf2921a057p-16, 0x1.a45575f523564p-16, 0x1.c0198b4eb34fap-16, 0x1.db48401333712p-16, 0x1.f5e1a9d545811p-16, 0x1.07f2f34dceeabp-15, 0x1.14aa8e96959d7p-15, 0x1.2117beaa009b2p-15, 0x1.2d3aa00bbb3b5p-15, 0x1.391353f6f5c0ap-15, 0x1.44a200734f391p-15, 0x1.4fe6d065fe202p-15, 0x1.5ae1f39f62442p-15, 0x1.65939ee53a4d9p-15, 0x1.6ffc0bf9a1a83p-15, 0x1.7a1b799f0b0bep-15, 0x1.83f22b995c64dp-15, 0x1.8d806aac5e2f8p-15, 0x1.96c684979da1p-15, 0x1.9fc4cc0fec1f8p-15, 0x1.a87b98b6a4c07p-15, 0x1.b0eb470ed5b4ep-15, 0x1.b91438707095bp-15, 0x1.c0f6d2f9aa46fp-15, 0x1.c893817e9e9eep-15, 0x1.cfeab37760871p-15, 0x1.d6fcdcec8cee6p-15, 0x1.ddca76628269bp-15, 0x1.e453fcc35268bp-15, 0x1.ea99f1478b577p-15, 0x1.f09cd95df0ee5p-15, 0x1.f65d3e923d596p-15, 0x1.fbdbae72fd3b3p-15, 0x1.008c5d3b51afp-14, 0x1.030a7beff0857p-14, 0x1.05687fd0ae201p-14, 0x1.07a6b7206b414p-14, 0x1.09c571dce8ceep-14, 0x1.0bc501afe598cp-14, 0x1.0da5b9e00af1p-14, 0x1.0f67ef41b5992p-14, 0x1.110bf8279cffap-14, 0x1.12922c5363406p-14, 0x1.13fae4e61463bp-14, 0x1.15467c509877bp-14, 0x1.16754e4423234p-14, 0x1.1787b7a2a1f6dp-14, 0x1.187e166f31f11p-14, 0x1.1958c9be9ebeep-14, 0x1.1a1831a7f4b6ap-14, 0x1.1abcaf35241fp-14, 0x1.1b46a453bf7b9p-14, 0x1.1bb673c5d6214p-14, 0x1.1c0c8112ef666p-14, 0x1.1c493079294f5p-14, 0x1.1c6ce6de80aa8p-14, 0x1.1c7809c24129fp-14, 0x1.1c6aff2ea4af8p-14, 0x1.1c462daaa2849p-14, 0x1.1c09fc2bf0495p-14, 0x1.1bb6d20938efcp-14, 0x1.1b4d16ec8908ep-14, 0x1.1acd32c5f6566p-14, 0x1.1a378dbe7f62cp-14, 0x1.198c902b29ca3p-14, 0x1.18cca2805c23dp-14, 0x1.17f82d45783bp-14, 0x1.170f9908b53bep-14, 0x1.16134e533ae86p-14, 0x1.1503b59d7f17cp-14, 0x1.13e13743e5ddfp-14, 0x1.12ac3b7ba5ca9p-14, 0x1.11652a47ef883p-14, 0x1.100c6b6f5b04p-14, 0x1.0ea2667198ae6p-14, 0x1.0d27827d68723p-14, 0x1.0b9c2666d57cep-14, 0x1.0a00b89db8d27p-14, 0x1.08559f247f6f7p-14, 0x1.069b3f8736ac7p-14, 0x1.04d1fed2de867p-14, 0x1.02fa418cffd2p-14, 0x1.01146bab876cep-14, 0x1.fe41c119cc7fcp-15, 0x1.fa4005e0e7d17p-15, 0x1.f62469de2e34ep-15, 0x1.f1efafe85c3f9p-15, 0x1.eda2996d785c3p-15, 0x1.e93de665ae102p-15, 0x1.e4c25546ad1dfp-15, 0x1.e030a2f786c22p-15, 0x1.db898ac50f29dp-15, 0x1.d6cdc656b8537p-15, 0x1.d1fe0da3e9f55p-15, 0x1.cd1b16e9d60cdp-15, 0x1.c82596a1c5c35p-15, 0x1.c31e3f77da57p-15, 0x1.be05c242476dap-15, 0x1.b8dccdf8fffa9p-15, 0x1.b3a40fadd1074p-15, 0x1.ae5c3284f3616p-15, 0x1.a905dfae02e2ap-15, 0x1.a3a1be5d684adp-15, 0x1.9e3073c627fbdp-15, 0x1.98b2a3141d271p-15, 0x1.9328ed66958abp-15, 0x1.8d93f1cb554d4p-15, 0x1.87f44d39fab05p-15, 0x1.824a9a8fc0844p-15, 0x1.7c97728ba015cp-15, 0x1.76db6bcacde6cp-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.1c4f3160b43d4p-1, 0x1.1d403c9275406p-1, 0x1.1e3511110e146p-1, 0x1.1f284efa6ccbp-1, 0x1.20150299f3fdfp-1, 0x1.20f6c378d785cp-1, 0x1.21c9c6c844e08p-1, 0x1.228ae78dd2c9ep-1, 0x1.2337a6d6f956ap-1, 0x1.23ce25f742f5ap-1, 0x1.244d1c88468d3p-1, 0x1.24b3cb9511534p-1, 0x1.2501ef12ca2efp-1, 0x1.2537ae88d5f83p-1, 0x1.25558d94c4a2bp-1, 0x1.255c5cc97a03ap-1, 0x1.254d2b44b17p-1, 0x1.25293938f40edp-1, 0x1.24f1eb934dbf5p-1, 0x1.24a8c0d267de6p-1, 0x1.244f47173f4efp-1, 0x1.23e7136d8e773p-1, 0x1.2371ba42a9f85p-1, 0x1.22f0c8fc46b94p-1, 0x1.2265c09d16f51p-1, 0x1.21d21162dfc33p-1, 0x1.2137174876aa9p-1, 0x1.209617559b75ep-1, 0x1.1ff03da6ceb03p-1, 0x1.1f469c17d6c6p-1, 0x1.1e9a297c91f2dp-1, 0x1.1debc154db596p-1, 0x1.1d3c23e98c03dp-1, 0x1.1c8bf6c2099fbp-1, 0x1.1bdbc5633ef4bp-1, 0x1.1b2c024a43646p-1, 0x1.1a7d081662778p-1, 0x1.19cf1ad789c7ap-1, 0x1.19226977712b6p-1, 0x1.18770f3505219p-1, 0x1.17cd152abbf9p-1, 0x1.172473d98e717p-1, 0x1.167d14b33c42cp-1, 0x1.15d6d39f65ee2p-1, 0x1.15318077cab4ap-1, 0x1.148ce078b47a3p-1, 0x1.13e8afa32eb21p-1, 0x1.1344a20f3b6ap-1, 0x1.12a0652cb048bp-1, 0x1.11fba0f1cdc9dp-1, 0x1.1155f8f70155cp-1, 0x1.10af0d7f8e0b6p-1, 0x1.10067c6f195ep-1, 0x1.0f5be22c5088ap-1, 0x1.0eaeda7104f3p-1, 0x1.0dff0108453d3p-1, 0x1.0d4bf27b11455p-1, 0x1.0c954cac5c982p-1, 0x1.0bdaaf6526881p-1, 0x1.0b1bbcd174352p-1, 0x1.0a5819ef043d9p-1, 0x1.098f6eee9015ap-1, 0x1.08c1678879571p-1, 0x1.07edb345b3109p-1, 0x1.071405bdbaap-1, 0x1.063416ca6cd2fp-1, 0x1.054da2b27898p-1, 0x1.04606a4b2e59cp-1, 0x1.036c33125d799p-1, 0x1.0270c740eac6fp-1, 0x1.016df5d6c3c76p-1, 0x1.006392a0c33e3p-1, 0x1.fea2ec722e6a6p-2, 0x1.fc6efc055ff98p-2, 0x1.fa2b18406299cp-2, 0x1.f7d70ecdbb322p-2, 0x1.f572b69bc8865p-2, 0x1.f2fdefb4f32dfp-2, 0x1.f078a31224ffap-2, 0x1.ede2c2683aef8p-2, 0x1.eb3c47f10759ep-2, 0x1.e88536307a43bp-2, 0x1.e5bd97b678c7dp-2, 0x1.e2e57eddd8af4p-2, 0x1.dffd0588f36d7p-2, 0x1.dd044cdc3fc71p-2, 0x1.d9fb7cf7430f9p-2, 0x1.d6e2c4ac3f24ap-2, 0x1.d3ba5936e3168p-2, 0x1.d08275f250497p-2, 0x1.cd3b5c0eaccdcp-2, 0x1.c9e552468789bp-2, 0x1.c680a494459f7p-2, 0x1.c30da3e7c50b4p-2, 0x1.bf8ca5dc69af8p-2, 0x1.bbfe046fbdb6fp-2, 0x1.b8621db8c729dp-2, 0x1.b4b953a0396a2p-2, 0x1.b1040b99a1d06p-2, 0x1.ad42ae5da87bap-2, 0x1.a975a7a5848cep-2, 0x1.a59d65e7b2c41p-2, 0x1.a1ba5a160d45bp-2, 0x1.9dccf75d4c056p-2, 0x1.99d5b2e606038p-2, 0x1.95d503974091ep-2, 0x1.91cb61da93a7p-2, 0x1.8db94761f5b9cp-2, 0x1.899f2eef34dd1p-2, 0x1.857d941d209ffp-2, 0x1.8154f32a779b9p-2, 0x1.7d25c8c68e20ep-2, 0x1.78f091dfbc89ap-2, 0x1.74b5cb739992cp-2, 0x1.7075f260f5c08p-2, 0x1.6c31833baa465p-2, 0x1.67e8fa2229da2p-2, 0x1.639cd294e1f67p-2, 0x1.5f4d874f5e78ep-2, 0x1.5afb922334e3cp-2, 0x1.56a76bd4af584p-2, 0x1.52518bf937499p-2, 0x1.4dfa68d774e94p-2, 0x1.49a2774928249p-2, 0x1.454a2a9eaa7b7p-2, 0x1.40f1f4841a21fp-2, 0x1.3c9a44e826818p-2, 0x1.384389e476303p-2, 0x1.33ee2fa79e00dp-2, 0x1.2f9aa060a3e74p-2, 0x1.2b49442c01ceep-2, 0x1.26fa810222ad1p-2, 0x1.22aebaa751737p-2, 0x1.1e66529d0c405p-2, 0x1.1a21a814ba0a4p-2, 0x1.15e117e3aefd3p-2, 0x1.11a4fc78829c4p-2, 0x1.0d6dadd1a2fcfp-2, 0x1.093b81751f647p-2, 0x1.050eca69a3ad2p-2, 0x1.00e7d930934ebp-2, 0x1.f98df78283a9p-3, 0x1.f158fb0a6e576p-3, 0x1.e9314eaafa49cp-3, 0x1.e1177ef1c923dp-3, 0x1.d90c1346807b9p-3, 0x1.d10f8deb05a9p-3, 0x1.c9226bfd7e969p-3, 0x1.c145257bf37ffp-3, 0x1.b9782d4987f3ep-3, 0x1.b1bbf13536dcep-3, 0x1.aa10da01fb93dp-3, 0x1.a2774b7056642p-3, 0x1.9aefa4491d8ebp-3, 0x1.937a3e6983ebcp-3, 0x1.8c176ed047192p-3, 0x1.84c785abf0fa2p-3, 0x1.7d8ace6a21fa7p-3, 0x1.76618fc7c54aep-3, 0x1.6f4c0be2337e1p-3, 0x1.684a80491f741p-3, 0x1.615d26114bd3fp-3, 0x1.5a8431e7f6987p-3, 0x1.53bfd426e3d33p-3, 0x1.4d1038e908863p-3, 0x1.4675881fbc11cp-3, 0x1.3fefe5a8668a9p-3, 0x1.397f71629ec4fp-3, 0x1.33244746ad881p-3, 0x1.2cde7f7c66f4fp-3, 0x1.26ae2e724eb1bp-3, 0x1.209364f4fe0dp-3, 0x1.1a8e3046c26d7p-3, 0x1.149e9a375eefcp-3, 0x1.0ec4a93bfae19p-3, 0x1.090060871bab4p-3, 0x1.0351c020b75acp-3, 0x1.fb7189fc95672p-4, 0x1.f06ad235cea6bp-4, 0x1.e58f471e7e678p-4, 0x1.daded1532f15cp-4, 0x1.d059540b55ea4p-4, 0x1.c5fead48c10b4p-4, 0x1.bbceb606cf23ap-4, 0x1.b1c942693baa3p-4, 0x1.a7ee21ea94f55p-4, 0x1.9e3d1f8a3aae8p-4, 0x1.94b601f9e6942p-4, 0x1.8b588bcaad11fp-4, 0x1.82247b997a426p-4, 0x1.79198c3af4205p-4, 0x1.703774e6c45f9p-4, 0x1.677de9623d417p-4, 0x1.5eec9a2a56ef9p-4, 0x1.5683349cfbaebp-4, 0x1.4e416321a0cebp-4, 0x1.4626cd5124118p-4, 0x1.3e33181cec4e9p-4, 0x1.3665e5f545ef9p-4, 0x1.2ebed6eefb9f8p-4, 0x1.273d88e823158p-4, 0x1.1fe197ac21ac6p-4, 0x1.18aa9d16dec05p-4, 0x1.1198313729cdep-4, 0x1.0aa9ea704c943p-4, 0x1.03df5d9acad0bp-4, 0x1.fa703c489f26bp-5, 0x1.ed677c5d88f4bp-5, 0x1.e0a39d5d2ba49p-5, 0x1.d423bf1044669p-5, 0x1.c7e6ff58aa808p-5, 0x1.bbec7a68dfa42p-5, 0x1.b0334af9f9b57p-5, 0x1.a4ba8a7fea39p-5, 0x1.9981515c24d3p-5, 0x1.8e86b70ea8b62p-5, 0x1.83c9d2656f1dcp-5, 0x1.7949b9aa430dap-5, 0x1.6f0582cf09051p-5, 0x1.64fc43987700bp-5, 0x1.5b2d11c742115p-5, 0x1.5197033fcbbcap-5, 0x1.48392e304cbp-5, 0x1.3f12a93587af2p-5, 0x1.36228b7e08f61p-5, 0x1.2d67ecebf757p-5, 0x1.24e1e6357dc1bp-5, 0x1.1c8f9103d43f6p-5, 0x1.14700810eb32cp-5, 0x1.0c826743c587p-5, 0x1.04c5cbcb83909p-5, 0x1.fa72a87248804p-6, 0x1.ebb841301576p-6, 0x1.dd5aa50a8d2d9p-6, 0x1.cf581a8b582d4p-6, 0x1.c1aeebb57c59cp-6, 0x1.b45d662cee8a9p-6, 0x1.a761db5be3ccep-6, 0x1.9abaa095f98dp-6, 0x1.8e660f393bb05p-6, 0x1.826284cd1f242p-6, 0x1.76ae631f74659p-6, 0x1.6b48105f69f0dp-6, 0x1.602df736a707cp-6, 0x1.555e86e08d98ap-6, 0x1.4ad8333fb20a1p-6, 0x1.409974f1964d3p-6, 0x1.36a0c960b375ep-6, 0x1.2cecb2d4e6f7ap-6, 0x1.237bb8824656p-6, 0x1.1a4c66966a2dp-6, 0x1.115d4e4445ad7p-6, 0x1.08ad05ce8b412p-6, 0x1.003a2890afef3p-6, 0x1.f006ae0d3cc6cp-7, 0x1.e00e6da63e732p-7, 0x1.d088e58a09416p-7, 0x1.c17375b64d66ep-7, 0x1.b2cb888e7bcbcp-7, 0x1.a48e92df3cafdp-7, 0x1.96ba13dfdac55p-7, 0x1.894b95319a4e1p-7, 0x1.7c40aadd27dd2p-7, 0x1.6f96f34e2f9ffp-7, 0x1.634c174d22cfbp-7, 0x1.575dc9f75c8e3p-7, 0x1.4bc9c8b595498p-7, 0x1.408ddb30df7b2p-7, 0x1.35a7d3461bbebp-7, 0x1.2b158cf8141a5p-7, 0x1.20d4ee603cc7dp-7, 0x1.16e3e79e37355p-7, 0x1.0d4072c621ee6p-7, 0x1.03e893cdca8b1p-7, 0x1.f5b4b0f19bc66p-8, 0x1.e427b08773e18p-8, 0x1.d326689c7ab37p-8, 0x1.c2ad2e88eabdep-8, 0x1.b2b86a8ed0882p-8, 0x1.a34497a97365fp-8, 0x1.944e435b4e132p-8, 0x1.85d20d7ab0785p-8, 0x1.77cca7fd2437bp-8, 0x1.6a3ad6c1ae2ddp-8, 0x1.5d196f5a012adp-8, 0x1.506558d2bca1ep-8, 0x1.441b8b7aca2aep-8, 0x1.383910a9f1322p-8, 0x1.2cbb0286b563bp-8, 0x1.219e8bcb91d4cp-8, 0x1.16e0e78ba6986p-8, 0x1.0c7f60f6e9eaap-8, 0x1.0277531dec256p-8, 0x1.f18c516a8c477p-9, 0x1.ded2b7b1747abp-9, 0x1.ccbceb9c3b0d5p-9, 0x1.bb461d902c902p-9, 0x1.aa699b517aeefp-9, 0x1.9a22cf88628cep-9, 0x1.8a6d41464e412p-9, 0x1.7b44938b1147dp-9, 0x1.6ca484ca4dabep-9, 0x1.5e88ee71219fbp-9, 0x1.50edc46c2ee85p-9, 0x1.43cf14ae136f1p-9, 0x1.372906b6619e6p-9, 0x1.2af7db1932fd5p-9, 0x1.1f37eb075f2dp-9, 0x1.13e5a7d7700dp-9, 0x1.08fd9a8f56f7p-9, 0x1.fcf8c6de04103p-10, 0x1.e8bd72f7a1d0bp-10, 0x1.d542d419f9873p-10, 0x1.c282b0b208afap-10, 0x1.b076fa0839515p-10, 0x1.9f19cb5f79b9dp-10, 0x1.8e6569168ccc9p-10, 0x1.7e543fcbb14c9p-10, 0x1.6ee0e382ac838p-10, 0x1.60060ecd4c8a1p-10, 0x1.51bea1f666b24p-10, 0x1.4405a22f74fb2p-10, 0x1.36d638c0bf6ap-10, 0x1.2a2bb23c3f723p-10, 0x1.1e017db32fe96p-10, 0x1.12532bee570a2p-10, 0x1.071c6ea91da9ap-10, 0x1.f8b22f9ed2155p-11, 0x1.e40a317ca1f36p-11, 0x1.d039030f4d31ep-11, 0x1.bd370070b7eddp-11, 0x1.aafcc04393aedp-11, 0x1.9983124bb2dbfp-11, 0x1.88c2fe0c26ff9p-11, 0x1.78b5c16b2ba7ep-11, 0x1.6954cf5bdfeacp-11, 0x1.5a99ce8dcf73ep-11, 0x1.4c7e98224988cp-11, 0x1.3efd366782a3p-11, 0x1.320fe3997f465p-11, 0x1.25b108a8c150fp-11, 0x1.19db3c06b30cp-11, 0x1.0e894077ca5adp-11, 0x1.03b603eb5bed8p-11, 0x1.f2b93cb22a048p-12, 0x1.def0a14827a6p-12, 0x1.cc0907072a02dp-12, 0x1.b9f98ce254965p-12, 0x1.a8b99d38dfe25p-12, 0x1.9840ebc869524p-12, 0x1.888773aa0d2c8p-12, 0x1.7985755a35686p-12, 0x1.6b3374caf9d39p-12, 0x1.5d8a3780ff83fp-12, 0x1.5082c2bab0dafp-12, 0x1.441659a1b4e0ep-12, 0x1.383e7b86899a8p-12, 0x1.2cf4e22619427p-12, 0x1.22337ff934c9p-12, 0x1.17f47e8dcb121p-12, 0x1.0e323ce9c01eap-12, 0x1.04e74df73f334p-12, 0x1.f81cedf4d0052p-13, 0x1.e7455c206dc2fp-13, 0x1.d73e316cf8abfp-13, 0x1.c7fe14b99bde7p-13, 0x1.b97c05fc7ea07p-13, 0x1.abaf5b8799cfdp-13, 0x1.9e8fbf5e94cf6p-13, 0x1.92152c9d6bc8ep-13, 0x1.8637ecef9f51ep-13, 0x1.7af096178edfp-13, 0x1.70380785d3b0ep-13, 0x1.660768003bd9cp-13, 0x1.5c5823582bb6dp-13, 0x1.5323e8301b1a4p-13, 0x1.4a64a5cfe617dp-13, 0x1.42148a07ac186p-13, 0x1.3a2dff20f43fap-13, 0x1.32aba9ddd6499p-13, 0x1.2b886785dc36ap-13, 0x1.24bf4c005b063p-13, 0x1.1e4b9ffbffd7ap-13, 0x1.1828df2344e3p-13, 0x1.1252b65d93bc9p-13, 0x1.0cc5021cd409ap-13, 0x1.077bccb713c9p-13, 0x1.02734ccc188afp-13, 0x1.fb4fc76d2de3ep-14, 0x1.f22c3811843ebp-14, 0x1.e97550280a37ap-14, 0x1.e124c0f73a8cfp-14, 0x1.d93485a3a9e17p-14, 0x1.d19ee07f5b063p-14, 0x1.ca5e586d6405ap-14, 0x1.c36db65967a44p-14, 0x1.bcc802c28943cp-14, 0x1.b6688359493e4p-14, 0x1.b04ab8afec0cap-14, 0x1.aa6a5bfce8b72p-14, 0x1.a4c35cef09e4cp-14, 0x1.9f51df92b085ap-14, 0x1.9a123a47f319dp-14, 0x1.9500f3c910d92p-14, 0x1.901ac140e0a62p-14, 0x1.8b5c8470d1255p-14, 0x1.86c349e61518cp-14, 0x1.824c473d9a2ddp-14, 0x1.7df4d9766757p-14, 0x1.79ba835205614p-14, 0x1.759aebc2924b2p-14, 0x1.7193dc6625795p-14, 0x1.6da3400f27a5dp-14, 0x1.69c7215948cabp-14, 0x1.65fda94abbf0fp-14, 0x1.62451e0164c2cp-14, 0x1.5e9be16ba1221p-14, 0x1.5b00700c6065ep-14, 0x1.57715fca35bd8p-14, 0x1.53ed5ec91814dp-14, 0x1.5073324e83746p-14, 0x1.4d01b5afae95cp-14, 0x1.4997d9498e0d5p-14, 0x1.4634a1825ad22p-14, 0x1.42d725d456f6ep-14, 0x1.3f7e8fe18a7ffp-14, 0x1.3c2a1a9036c51p-14, 0x1.38d9112fbcfd7p-14, 0x1.358acea5b918ep-14, 0x1.323ebca31067bp-14, 0x1.2ef452e0b89ep-14, 0x1.2bab1663f93b9p-14, 0x1.286298c9ee987p-14, 0x1.251a779a14c31p-14, 0x1.21d25b9fa2e22p-14, 0x1.1e89f8497dff5p-14, 0x1.1b410b109463ap-14, 0x1.17f75ae465e62p-14, 0x1.14acb79d8d08ep-14, 0x1.1160f97614a77p-14, 0x1.0e1400876aa73p-14, 0x1.0ac5b44dc2168p-14, 0x1.07760330b4a15p-14, 0x1.0424e210fad2ep-14, 0x1.00d24bdb0b958p-14, 0x1.fafc823cfb4d5p-15, 0x1.f4518f53f9c2fp-15, 0x1.eda3d457607bcp-15, 0x1.e6f36fabce2e4p-15, 0x1.e040880fcf0edp-15, 0x1.d98b4bf578afcp-15, 0x1.d2d3f0e3b6217p-15, 0x1.cc1ab2df048ebp-15, 0x1.c55fd3d957e8dp-15, 0x1.bea39b28ed46ep-15, 0x1.b7e65505c28c8p-15, 0x1.b128520d7cf07p-15, 0x1.aa69e6cd7e42ep-15, 0x1.a3ab6b52ef4bep-15, 0x1.9ced3ac087c87p-15, 0x1.962fb2e9dce4p-15, 0x1.8f7333f3fe581p-15, 0x1.88b81ffb3245dp-15, 0x1.81fedabd9b8c2p-15, 0x1.7b47c94a98294p-15, 0x1.749351b6af4dep-15, 0x1.6de1dad3d5d8fp-15, 0x1.6733cbedea9b3p-15, 0x1.60898c8b328bdp-15, 0x1.59e38430b6a8fp-15, 0x1.53421a2a51145p-15, 0x1.4ca5b5564a7p-15, 0x1.460ebbf45e67bp-15, 0x1.3f7d93780136fp-15, 0x1.38f2a05dc5be3p-15, 0x1.326e4603c2499p-15, 0x1.2bf0e684ce345p-15, 0x1.257ae2967f30cp-15, 0x1.1f0c9969c1187p-15, 0x1.18a6688df07d7p-15, 0x1.1248abd654adep-15, 0x1.0bf3bd41e21ap-15, 0x1.05a7f4e5284b2p-15, 0x1.fecb51aca51dcp-16, 0x1.f25a5a364159cp-16, 0x1.e5fda7317e504p-16, 0x1.d9b5d80ad9567p-16, 0x1.cd8387b79a8edp-16, 0x1.c1674c9fbffe7p-16, 0x1.b561b88aeff87p-16, 0x1.a97358905b199p-16, 0x1.9d9cb5095b62ap-16, 0x1.91de5186b22dbp-16, 0x1.8638acc83d5d4p-16, 0x1.7aac40b703573p-16, 0x1.6f3982616f9c6p-16, 0x1.63e0e1f9ab155p-16, 0x1.58a2cad5e2b02p-16, 0x1.4d7fa3726b03ep-16, 0x1.4277cd759e62cp-16, 0x1.378ba5b55c232p-16, 0x1.2cbb843e0c4c1p-16, 0x1.2207bc5b12c1p-16, 0x1.17709ca09741ep-16, 0x1.0cf66ef68ca28p-16, 0x1.029978a4de00fp-16, 0x1.f0b3f4c15d0b1p-17, 0x1.dc7060b539171p-17, 0x1.c868a49bd82f3p-17, 0x1.b49d27211013ap-17, 0x1.a10e4647a1593p-17, 0x1.8dbc578c359cdp-17, 0x1.7aa7a809b0627p-17, 0x1.67d07c9ea5f28p-17, 0x1.55371213e85c2p-17, 0x1.42db9d440086ep-17, 0x1.30be4b438a891p-17, 0x1.1edf418a43fap-17, 0x1.0d3e9e1cc982bp-17, 0x1.f7b8ef6dc22c4p-18, 0x1.d571bbec7be29p-18, 0x1.b3a7b30b5468cp-18, 0x1.925ad891005d4p-18, 0x1.718b230cc5dbep-18, 0x1.51387c2e461acp-18, 0x1.3162c11d7ef09p-18, 0x1.1209c2d2e4dc2p-18, 0x1.e65a8cdee7a35p-19, 0x1.a99a0b2944b17p-19, 0x1.6dd15d78270b8p-19, 0x1.32ffcb1deb4f4p-19, 0x1.f2490cf3c7f3bp-20, 0x1.807d5b4a66387p-20, 0x1.109a963ce511ap-20, 0x1.453d59d00d5d1p-21, 0x1.b43b4ece6c3a2p-23, -0x1.9d6c5d00c9c66p-23, -0x1.38055c5ab53abp-21, -0x1.027a9923b8422p-20, -0x1.67180743acaccp-20, -0x1.c9ddd1792b3b3p-20, -0x1.156776d04f597p-19, -0x1.44f736a833acep-19, -0x1.739fbe53747bfp-19, -0x1.a162b08ea7b0dp-19, -0x1.ce41bc2f9a632p-19, -0x1.fa3e9b939d86cp-19, -0x1.12ad8a082d46p-18, -0x1.27cc7ab39bb7ap-18, -0x1.3c7d0c9daee8ep-18, -0x1.50c031452ff5bp-18, -0x1.6496de93c854cp-18, -0x1.78020e9d03747p-18, -0x1.8b02bf5eaed4dp-18, -0x1.9d99f28296069p-18, -0x1.afc8ad219e4ddp-18, -0x1.c18ff78841e96p-18, -0x1.d2f0dcfc6b479p-18, -0x1.e3ec6b84b1e3dp-18, -0x1.f483b3b0f50ddp-18, -0x1.025be4322c763p-17, -0x1.0a44df504f443p-17, -0x1.11fd56a96d74p-17, -0x1.1985d690c498ap-17, -0x1.20deec1df9c0ep-17, -0x1.280925157a896p-17, -0x1.2f050fd187848p-17, -0x1.35d33b2be789cp-17, -0x1.3c743668412edp-17, -0x1.42e8911f1b23cp-17, -0x1.4930db297f68ap-17, -0x1.4f4da48d3f7cfp-17, -0x1.553f7d69da423p-17, -0x1.5b06f5e5fdf15p-17, -0x1.60a49e1da975p-17, -0x1.66190610dd038p-17, -0x1.6b64bd92f75f6p-17, -0x1.7088543a8ada9p-17, -0x1.75845951e22b3p-17, -0x1.7a595bc802a24p-17, -0x1.7f07ea2242d25p-17, -0x1.8390926e6fe26p-17, -0x1.87f3e2357606dp-17, -0x1.8c32666e94c3fp-17, -0x1.904cab7316562p-17, -0x1.94433cf2847b8p-17, -0x1.9816a5e764b4fp-17, -0x1.9bc7708c6c254p-17, -0x1.9f562652299c7p-17, -0x1.a2c34fd53157ap-17, }}, 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
    }}, 
    {
      50, 0x1.fc28f5c28f5c3p+1, 0x1.30746b978761p+1, 0x1.774f1fd285dfcp+2, -0x1.8dbd9b6be49ep-1, 
      {{
        {0x1.e3d70a3d70a3dp+0, 0x1.ee7d566cf41f2p+0, 0x1.93a7b8404dcdfp+1, -0x1.2b281f6d77a7ap+3, 0x1.63c7b13b13b21p+3, 0x1.0e796ce0c6ebap+1}, 
        {0x1.ee7d566cf41f2p+0, 0x1.f923a29c779a7p+0, 0x1.645b94fc2600cp+1, -0x1.0d346c2b256b6p+3, 0x1.6c380657cc7cdp+3, -0x1.5217c818f897fp+3}, 
        {0x1.f923a29c779a7p+0, 0x1.01e4f765fd8aep+1, 0x1.39fc652b52eap+1, -0x1.e150673b76e9ep+2, 0x1.42065cc83088ep+3, -0x1.9fc53a94ec757p+2}, 
        {0x1.01e4f765fd8aep+1, 0x1.07381d7dbf488p+1, 0x1.141c1f9b50d3ep+1, -0x1.ade33f6e2edcap+2, 0x1.2814ade9e79dbp+3, -0x1.bc824ffe892b5p+2}, 
        {0x1.07381d7dbf488p+1, 0x1.0c8b439581062p+1, 0x1.e4a850ec819ep+0, -0x1.7eed76c7df68cp+2, 0x1.0c57ea0c670b5p+3, -0x1.8db2a57c15fa8p+2}, 
        {0x1.0c8b439581062p+1, 0x1.11de69ad42c3dp+1, 0x1.a889f4600eb37p+0, -0x1.5457083b28075p+2, 0x1.e70ddc1dcc933p+2, -0x1.74fda1ee9834p+2}, 
        {0x1.11de69ad42c3dp+1, 0x1.17318fc504817p+1, 0x1.732ba016e143p+0, -0x1.2dc0e6433f2ddp+2, 0x1.b88140bd41f9bp+2, -0x1.58358e6389458p+2}, 
        {0x1.17318fc504817p+1, 0x1.1c84b5dcc63f1p+1, 0x1.43e8a6472706p+0, -0x1.0ae3f9cc8e93ap+2, 0x1.8d8c2e8f3f971p+2, -0x1.3e47bc9311aadp+2}, 
        {0x1.1c84b5dcc63f1p+1, 0x1.21d7dbf487fccp+1, 0x1.1a28916ea7d37p+0, -0x1.d6ef180bc19d9p+1, 0x1.65d382c0118fp+2, -0x1.2557b91bbb9a9p+2}, 
        {0x1.21d7dbf487fccp+1, 0x1.272b020c49ba6p+1, 0x1.eabd0e57a069bp-1, -0x1.9e700402e0a1fp+1, 0x1.4137908343767p+2, -0x1.0dd21a5c4f896p+2}, 
        {0x1.272b020c49ba6p+1, 0x1.2c7e28240b78p+1, 0x1.aa1159b369684p-1, -0x1.6bc9e794bf2dfp+1, 0x1.1f8b1dcfcea1bp+2, -0x1.ef24032475605p+1}, 
        {0x1.2c7e28240b78p+1, 0x1.31d14e3bcd35bp+1, 0x1.715f23fcdf643p-1, -0x1.3e83176bdd18cp+1, 0x1.00a58a91bb051p+2, -0x1.c52872275cd99p+1}, 
        {0x1.31d14e3bcd35bp+1, 0x1.372474538ef35p+1, 0x1.3fcb3ba821c7ap-1, -0x1.1628a23d50653p+1, 0x1.c8bd3a807169cp+1, -0x1.9d9c4e1c5ad34p+1}, 
        {0x1.372474538ef35p+1, 0x1.3c779a6b50b0fp+1, 0x1.148d02876ec9bp-1, -0x1.e49c5825e8ad3p+0, 0x1.951ede03a9a9bp+1, -0x1.786ef113c1bf4p+1}, 
        {0x1.3c779a6b50b0fp+1, 0x1.41cac083126e9p+1, 0x1.dddab36a502aep-2, -0x1.a51b77fa8f646p+0, 0x1.662445ddf8b4p+1, -0x1.558bd214cb908p+1}, 
        {0x1.41cac083126e9p+1, 0x1.471de69ad42c4p+1, 0x1.9c8b2af47df45p-2, -0x1.6d0f1550420a2p+0, 0x1.3b8448522906fp+1, -0x1.34e307449103fp+1}, 
        {0x1.471de69ad42c4p+1, 0x1.4c710cb295e9ep+1, 0x1.63fcf35294efbp-2, -0x1.3bc3a3d2b7ff2p+0, 0x1.14f7b80dcd334p+1, -0x1.165f9c5334bb2p+1}, 
        {0x1.4c710cb295e9ep+1, 0x1.51c432ca57a78p+1, 0x1.331e7b73c755ap-2, -0x1.10913781ba608p+0, 0x1.e4740a6b98b55p+0, -0x1.f3e35f43b9ca7p+0}, 
        {0x1.51c432ca57a78p+1, 0x1.571758e219653p+1, 0x1.08f932d3b43fp-2, -0x1.d5b6458e1dec3p-1, 0x1.a61136a57fe23p+0, -0x1.bf092e8f2cd3fp+0}, 
        {0x1.571758e219653p+1, 0x1.5c6a7ef9db22dp+1, 0x1.c95f647aba16ap-3, -0x1.941f2aa4510b7p-1, 0x1.6e46f4370fcabp+0, -0x1.8e1051b301e81p+0}, 
        {0x1.5c6a7ef9db22dp+1, 0x1.61bda5119ce07p+1, 0x1.8af7eaeedcfe3p-3, -0x1.5b4e7464abf5dp-1, 0x1.3c994b80fa416p+0, -0x1.60cf545819765p+0}, 
        {0x1.61bda5119ce07p+1, 0x1.6710cb295e9e2p+1, 0x1.555b4926e5721p-3, -0x1.2a49ab8b71772p-1, 0x1.1091714f7af83p+0, -0x1.37260c4a622b4p+0}, 
        {0x1.6710cb295e9e2p+1, 0x1.6c63f141205bcp+1, 0x1.2750dc6f09d6ap-3, -0x1.0029c7c1c81e2p-1, 0x1.d3793c1f70e3bp-1, -0x1.10eb643ce849fp+0}, 
        {0x1.6c63f141205bcp+1, 0x1.71b71758e2196p+1, 0x1.ff89c5e6ff7ep-4, -0x1.b834d9d334113p-2, 0x1.8f5a557bf69a9p-1, -0x1.dbfeba8ff2e2dp-1}, 
        {0x1.71b71758e2196p+1, 0x1.770a3d70a3d71p+1, 0x1.bb8ae24f489b3p-4, -0x1.7ab251b918f86p-2, 0x1.53f2dd20453fp-1, -0x1.9c6fabc650b59p-1}, 
        {0x1.770a3d70a3d71p+1, 0x1.7c5d63886594bp+1, 0x1.80ff0ca13453dp-4, -0x1.46695cc3ef7aep-2, 0x1.207a0589c606cp-1, -0x1.62e97828ea24cp-1}, 
        {0x1.7c5d63886594bp+1, 0x1.81b089a027525p+1, 0x1.4e7886b5a274fp-4, -0x1.1a181fe45a1bep-2, 0x1.e85e04d75d14ap-2, -0x1.2f1ceb9aab453p-1}, 
        {0x1.81b089a027525p+1, 0x1.8703afb7e91p+1, 0x1.22bc814cb20f8p-4, -0x1.e93804cb46e0ap-3, 0x1.9cb5d3dd6794ap-2, -0x1.00c2b9bab3ed9p-1}, 
        {0x1.8703afb7e91p+1, 0x1.8c56d5cfaacdap+1, 0x1.f97c14a8a283dp-5, -0x1.a9e03bbf38babp-3, 0x1.5c9f704242737p-2, -0x1.af21bb524d7e4p-2}, 
        {0x1.8c56d5cfaacdap+1, 0x1.91a9fbe76c8b4p+1, 0x1.b73277a4e6cf9p-5, -0x1.745777e0ee4d7p-3, 0x1.26d14bc61e91p-2, -0x1.667bddb61d3e7p-2}, 
        {0x1.91a9fbe76c8b4p+1, 0x1.96fd21ff2e48fp+1, 0x1.7d1d5798870ecp-5, -0x1.47019cb59aa78p-3, 0x1.f428558f1dab2p-3, -0x1.27002302c9564p-2}, 
        {0x1.96fd21ff2e48fp+1, 0x1.9c504816f0069p+1, 0x1.49fe3a8b9fb97p-5, -0x1.2074cf219c5ep-3, 0x1.aa8682117e0c9p-3, -0x1.e039afb1dbc6p-3}, 
        {0x1.9c504816f0069p+1, 0x1.a1a36e2eb1c43p+1, 0x1.1ccee4c21b74dp-5, -0x1.feecd2eca3446p-4, 0x1.6e97e2841a1f6p-3, -0x1.827a3f9909f1bp-3}, 
        {0x1.a1a36e2eb1c43p+1, 0x1.a6f694467381dp+1, 0x1.e9737d427960ep-6, -0x1.c5efd8eb37109p-4, 0x1.3e5c643461ca9p-3, -0x1.339fa68264b7p-3}, 
        {0x1.a6f694467381dp+1, 0x1.ac49ba5e353f8p+1, 0x1.a2257a8396dd6p-6, -0x1.9427e391c5fdcp-4, 0x1.17f82f79b71dep-3, -0x1.e5008cd11e5ddp-4}, 
        {0x1.ac49ba5e353f8p+1, 0x1.b19ce075f6fd2p+1, 0x1.62a1990113318p-6, -0x1.68163d378827dp-4, 0x1.f369225e73ddp-4, -0x1.7bf20f62ead55p-4}, 
        {0x1.b19ce075f6fd2p+1, 0x1.b6f0068db8bacp+1, 0x1.2a0f775b1a1bdp-6, -0x1.40822a58cee1ap-4, 0x1.c3fe5477ca797p-4, -0x1.29c247772037fp-4}, 
        {0x1.b6f0068db8bacp+1, 0x1.bc432ca57a787p+1, 0x1.ef8aaf8c6e39ap-7, -0x1.1c72cef44112fp-4, 0x1.9ed54a51fc855p-4, -0x1.d85474371c565p-5}, 
        {0x1.bc432ca57a787p+1, 0x1.c19652bd3c361p+1, 0x1.967c0348c445fp-7, -0x1.f65225b29bd87p-5, 0x1.815c1a849d5ccp-4, -0x1.81b3b47bcdcb1p-5}, 
        {0x1.c19652bd3c361p+1, 0x1.c6e978d4fdf3bp+1, 0x1.481f4cda1fdcfp-7, -0x1.b8330fea7a99cp-5, 0x1.694abef968616p-4, -0x1.4b0a3a5fd88dp-5}, 
        {0x1.c6e978d4fdf3bp+1, 0x1.cc3c9eecbfb16p+1, 0x1.03c796fbaf365p-7, -0x1.7dcc93cc41cdfp-5, 0x1.54a294d44c1f5p-4, -0x1.2fc6fb0342c5ap-5}, 
        {0x1.cc3c9eecbfb16p+1, 0x1.d18fc504816fp+1, 0x1.91c0e0370f444p-8, -0x1.46b1cf1f76b1bp-5, 0x1.41adebf9c6ee6p-4, -0x1.2b4302f0c1938p-5}, 
        {0x1.d18fc504816fp+1, 0x1.d6e2eb1c432cap+1, 0x1.2dc39af27bb25p-8, -0x1.12b8859e3cc19p-5, 0x1.2f016508a799ep-4, -0x1.390ad51a72567p-5}, 
        {0x1.d6e2eb1c432cap+1, 0x1.dc36113404ea5p+1, 0x1.b517de88d6e7ap-9, -0x1.c3da0f482739p-6, 0x1.1b78bb44daa14p-4, -0x1.54047de1e9ap-5}, 
        {0x1.dc36113404ea5p+1, 0x1.e189374bc6a7fp+1, 0x1.2e05fc073bcd5p-9, -0x1.690b00091711ep-6, 0x1.064127bd83f62p-4, -0x1.797af8a3be45bp-5}, 
        {0x1.e189374bc6a7fp+1, 0x1.e6dc5d6388659p+1, 0x1.87e9c5075bebfp-10, -0x1.15af268bd8a23p-6, 0x1.dd66441c754c3p-5, -0x1.9dc70027f7ef1p-5}, 
        {0x1.e6dc5d6388659p+1, 0x1.ec2f837b4a234p+1, 0x1.d124372d1fc9p-11, -0x1.95152656b1e45p-7, 0x1.a9c2938dd8332p-5, -0x1.d6aa653c5169bp-5}, 
        {0x1.ec2f837b4a234p+1, 0x1.f182a9930be0ep+1, 0x1.e102ba1ba698fp-12, -0x1.1129f1ee79914p-7, 0x1.6f056002041abp-5, -0x1.bd30a7d7bed84p-5}, 
        {0x1.f182a9930be0ep+1, 0x1.f6d5cfaacd9e8p+1, 0x1.8524dd2bdfca9p-13, -0x1.40875f208ce48p-8, 0x1.3776163902d0ep-5, -0x1.5dec7fad7378ep-4}, 
        {0x1.f6d5cfaacd9e8p+1, 0x1.fc28f5c28f5c3p+1, 0x1.5e2bae1ea40cbp-15, -0x1.1c9312681ea69p-9, 0x1.c03d96b1594d7p-6, -0x1.f37b9772567ccp-3}, 
      }}, 
      0x1.e7a40eecf3d39p+3, -0x1.af06df4f6dab5p+7
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_c_zn() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.167ca235a241ep-1, 0x1.0e6998f28a8e5p-1, 0x1.0602d95b31aa4p-1, 0x1.fab8233d168p-2, 0x1.e90edd9ab9f06p-2, 0x1.d72bf71552b19p-2, 0x1.c52d4ab9166f8p-2, 0x1.b32ec5571721cp-2, 0x1.a14920794d128p-2, 0x1.8f9045898c338p-2, 0x1.7e18e5df78855p-2, 0x1.6cf3001775539p-2, 0x1.5c2bdbee4a8fdp-2, 0x1.4bcfb4a2a13b2p-2, 0x1.3be89e7172f7dp-2, 0x1.2c7eb4951b98ep-2, 0x1.1d986264116cbp-2, 0x1.0f3afb61ff0c1p-2, 0x1.016a82f51ca37p-2, 0x1.e853044b937bbp-3, 0x1.cef32ac3a1ccep-3, 0x1.b6b77a59a209bp-3, 0x1.9fa009c5ea979p-3, 0x1.89aa978bd7ac9p-3, 0x1.74d361b28ac65p-3, 0x1.611647508a885p-3, 0x1.4e6ee994ce38ap-3, 0x1.3cd7e1ba538cdp-3, 0x1.2c4a1bd29c7e9p-3, 0x1.1cbd0bab7035ep-3, 0x1.0e278beba9ea7p-3, 0x1.0080b4a1e8e25p-3, 0x1.e78030fb301d2p-4, 0x1.cfbf2a93de68p-4, 0x1.b9a2ff0d0d0ap-4, 0x1.a51a6aa85b20dp-4, 0x1.921189c0fd8c1p-4, 0x1.80746faaa0959p-4, 0x1.702f3b7579565p-4, 0x1.612e20469e01fp-4, 0x1.535d7798705f2p-4, 0x1.46a9e7ee1baa4p-4, 0x1.3b009368fbb0cp-4, 0x1.304f367d2a5e6p-4, 0x1.26842bd3f72p-4, 0x1.1d8e61d11e1ap-4, 0x1.155d5447bc4acp-4, 0x1.0de1168310bb8p-4, 0x1.070a6b3bbe8a8p-4, 0x1.00cadf5bf390cp-4, 0x1.f629bc3db32a8p-5, 0x1.ebb76ec22d45p-5, 0x1.e2272ea33534p-5, 0x1.d962e487a7c07p-5, 0x1.d155d8499c6a6p-5, 0x1.c9ec8ab2c19ecp-5, 0x1.c314a786ad06bp-5, 0x1.bcbd16fbaee68p-5, 0x1.b6d6200635f92p-5, 0x1.b1518a1217d85p-5, 0x1.ac22a8ac94863p-5, 0x1.a73e48b25fb57p-5, 0x1.a29a83c9cbe1fp-5, 0x1.9e2e860054894p-5, 0x1.99f257ae0f234p-5, 0x1.95deb727efc15p-5, 0x1.91ed0504360dap-5, 0x1.8e17411d0bbf2p-5, 0x1.8a581001de5b8p-5, 0x1.86aac27b82aa5p-5, 0x1.830b5aa28ee41p-5, 0x1.7f768c5aaad19p-5, 0x1.7be9b85a00e17p-5, 0x1.7862e392ffb3p-5, 0x1.74e0aa3937db6p-5, 0x1.71622e2e30bc9p-5, 0x1.6de701496906bp-5, 0x1.6a7bd6147d41p-5, 0x1.670c60e577bbp-5, 0x1.639f490c56d8ap-5, 0x1.6034d631914bfp-5, 0x1.5ccd78fbc5ea5p-5, 0x1.5969c2209905p-5, 0x1.560a5c2bf2b44p-5, 0x1.52b007b2c451fp-5, 0x1.4f5b9a01e1575p-5, 0x1.4c0dfd11a4499p-5, 0x1.48c8300dd0cf9p-5, 0x1.458b481aba454p-5, 0x1.4258709ede046p-5, 0x1.3f30ea8f84459p-5, 0x1.3c160a766df3ep-5, 0x1.390935164f981p-5, 0x1.360bdaee2b40cp-5, 0x1.331f72bbbaa3cp-5, 0x1.30457322ae23p-5, 0x1.2d7f4c8cc3051p-5, 0x1.2ace63a23333bp-5, 0x1.28340c5b58a5bp-5, 0x1.25b18638ba47fp-5, 0x1.2347f9d926717p-5, 0x1.20f877cca32bp-5, 0x1.1ec3f87416f36p-5, 0x1.1cab5ca9b4613p-5, 0x1.1aaf6ef9830c2p-5, 0x1.18d0e514522bap-5, 0x1.1710610c14543p-5, 0x1.156e723bb7fbfp-5, 0x1.13eb95bd27056p-5, 0x1.12883676e2002p-5, 0x1.1144acd90f429p-5, 0x1.10213e3bb6e85p-5, 0x1.0f1e1c0a9f09fp-5, 0x1.0e3b62f88305fp-5, 0x1.0d791a5157fecp-5, 0x1.0cd733820979p-5, 0x1.0c558a01e2ce1p-5, 0x1.0bf3e39cb145bp-5, 0x1.0bb1f10592f9cp-5, 0x1.0b8f4ec5c6d9ap-5, 0x1.0b8b8686f2d2cp-5, 0x1.0ba610973a469p-5, 0x1.0bde55833ea7dp-5, 0x1.0c33afaeedfbdp-5, 0x1.0ca56ce7f8e66p-5, 0x1.0d32cfd92880ap-5, 0x1.0ddb1135a0ccfp-5, 0x1.0e9d6097843abp-5, 0x1.0f78e52a36c15p-5, 0x1.106cbe23aa319p-5, 0x1.117802fdefe39p-5, 0x1.1299c3890137fp-5, 0x1.13d107f8948c8p-5, 0x1.151cd0fddf7dbp-5, 0x1.167c17f4eddf3p-5, 0x1.17edcf3042499p-5, 0x1.1970e26bb58dbp-5, 0x1.1b043766950d4p-5, 0x1.1ca6ae9bdb82ep-5, 0x1.1e57240ff32e1p-5, 0x1.201470399bdaap-5, 0x1.21dd69001fe48p-5, 0x1.23b0e2ae96cbfp-5, 0x1.258db0d0fb249p-5, 0x1.2772a704bb923p-5, 0x1.295e99bf0f3dap-5, 0x1.2b505f0313965p-5, 0x1.2d46cf040d955p-5, 0x1.2f40c4b6688c9p-5, 0x1.313d1e5239ef5p-5, 0x1.333abdc98bce7p-5, 0x1.35388938dca92p-5, 0x1.37356b570630ep-5, 0x1.393053dd74e4p-5, 0x1.3b2837e25cf74p-5, 0x1.3d1c1228a9368p-5, 0x1.3f0ae368ce83cp-5, 0x1.40f3b291fef43p-5, 0x1.42d58d020f4c2p-5, 0x1.44af86b117927p-5, 0x1.4680ba4f17a13p-5, 0x1.484849586114cp-5, 0x1.4a055c25a2b8bp-5, 0x1.4bb721f573bb4p-5, 0x1.4d5cd0ee38deep-5, 0x1.4ef51580e2ec3p-5, 0x1.5080ac2d21a51p-5, 0x1.51fdf408f054p-5, 0x1.536c3ba28f617p-5, 0x1.54cad923f034cp-5, 0x1.56192a7a93d6bp-5, 0x1.57569578d43eep-5, 0x1.588287efed4dcp-5, 0x1.599c77c1bc282p-5, 0x1.5aa3e2e97dff2p-5, 0x1.5b984f7dcc208p-5, 0x1.5c794bb0748e1p-5, 0x1.5d466dcc627cap-5, 0x1.5dff542cfe27dp-5, 0x1.5ea3a52db3454p-5, 0x1.5f330f14d23c4p-5, 0x1.5fad47fd01b04p-5, 0x1.60120dbed98fap-5, 0x1.606125da013b6p-5, 0x1.609a5d5cd5355p-5, 0x1.60bd88ca73427p-5, 0x1.60ca83ffc06e7p-5, 0x1.60c13217e4c7ap-5, 0x1.60a17d5055d0ep-5, 0x1.606b56ec81997p-5, 0x1.601eb718da724p-5, 0x1.5fbb9cccda0d1p-5, 0x1.5f420dab4ddc1p-5, 0x1.5eb215e09190ap-5, 0x1.5e0bc7ffeb972p-5, 0x1.5d4f3ce1ed3b6p-5, 0x1.5c7c938354482p-5, 0x1.5b93f0e17d887p-5, 0x1.5a957fd2f98d3p-5, 0x1.598170dd67092p-5, 0x1.5857fa0a2f7abp-5, 0x1.571956baef0abp-5, 0x1.55c5c77d3f243p-5, 0x1.545d91dd58189p-5, 0x1.52e100375e2cfp-5, 0x1.515061876c041p-5, 0x1.4fac09388af24p-5, 0x1.4df44ef2a8b6p-5, 0x1.4c298e6813ce1p-5, 0x1.4a4c2722a8a53p-5, 0x1.485c7c50c3fbep-5, 0x1.465af491e6283p-5, 0x1.4447f9c2d318p-5, 0x1.4223f8c98dbcap-5, 0x1.3fef61623449ep-5, 0x1.3daaa5ed543a4p-5, 0x1.3b563b3efc51dp-5, 0x1.38f2986da5d0fp-5, 0x1.368036a09901dp-5, 0x1.33ff90de6a66ep-5, 0x1.317123dc3f0e4p-5, 0x1.2ed56dce2a5e7p-5, 0x1.2c2cee38952ddp-5, 0x1.297825c26e1a7p-5, 0x1.26b79607e5ebbp-5, 0x1.23ebc16dc22f8p-5, 0x1.21152af560d28p-5, 0x1.1e34561192b1fp-5, 0x1.1b49c67c5214bp-5, 0x1.1856000d5ee53p-5, 0x1.15598691a8652p-5, 0x1.1254dda3851p-5, 0x1.0f488883e28a1p-5, 0x1.0c3509f4a911bp-5, 0x1.091ae414cdf4p-5, 0x1.05fa983de529p-5, 0x1.02d4a6e29fba6p-5, 0x1.ff531edc2a5c9p-6, 0x1.f8f3a04805c38p-6, 0x1.f28bcc047e815p-6, 0x1.ec1c994714bdap-6, 0x1.e5a6fc47da69ep-6, 0x1.df2be60d0a0b8p-6, 0x1.d8ac44393953bp-6, 0x1.d22900dbd6968p-6, 0x1.cba3024423ccap-6, 0x1.c51b2ad6ae6b9p-6, 0x1.be9258e5484d1p-6, 0x1.b809668980f13p-6, 0x1.b18129816ff64p-6, 0x1.aafa730ee5e1ep-6, 0x1.a4760fd90d169p-6, 0x1.9df4c7d0acea6p-6, 0x1.97775e171318ep-6, 0x1.90fe90e778a31p-6, 0x1.8a8b1982a4e4ap-6, 0x1.841dac1c8d6dap-6, 0x1.7db6f7cbfffe6p-6, 0x1.7757a67c7a8a6p-6, 0x1.71005ce24f82fp-6, 0x1.6ab1ba70ea154p-6, 0x1.646c595329362p-6, 0x1.5e30ce65d22f2p-6, 0x1.57ffa934123b7p-6, 0x1.51d973f5a2228p-6, 0x1.4bbeb38eb8251p-6, 0x1.45afe791ae33dp-6, 0x1.3fad8a42a4353p-6, 0x1.39b8109cbc8c4p-6, 0x1.33cfea58cc2aap-6, 0x1.2df581f579f64p-6, 0x1.28293cc0d6a7ap-6, 0x1.226b7ae34f937p-6, 0x1.1cbc976c0bda2p-6, 0x1.171ce85e5ed88p-6, 0x1.118cbec09d405p-6, 0x1.0c0c66abfce41p-6, 0x1.069c275d939d2p-6, 0x1.013c434831bfp-6, 0x1.f7d9f04e20b36p-7, 0x1.ed5cfe229e26p-7, 0x1.e302191c9b183p-7, 0x1.d8c9a15599412p-7, 0x1.ceb3ee1d8bcccp-7, 0x1.c4c14e27c8a66p-7, 0x1.baf207b918dcep-7, 0x1.b14658d6de48fp-7, 0x1.a7be7777351e2p-7, 0x1.9e5a91b1b4843p-7, 0x1.951acdf0af439p-7, 0x1.8bff4b234d2d4p-7, 0x1.830820f04a953p-7, 0x1.7a355fe954049p-7, 0x1.718711be91c5bp-7, 0x1.68fd397244536p-7, 0x1.6097d38cc785dp-7, 0x1.5856d650c5985p-7, 0x1.503a31ef83854p-7, 0x1.4841d0bd113b7p-7, 0x1.406d97640a814p-7, 0x1.38bd65195afp-7, 0x1.313113cfc5fb6p-7, 0x1.29c8786b45bc5p-7, 0x1.228362f4422f8p-7, 0x1.1b619eca7c08ep-7, 0x1.1462f2d772ab5p-7, 0x1.0d8721c05ebe8p-7, 0x1.06cdea1741e13p-7, 0x1.0037068b84ebap-7, 0x1.f3845c33af467p-8, 0x1.e6de28770c2c5p-8, 0x1.da7ad22a8424p-8, 0x1.ce59b34a5e0f6p-8, 0x1.c27a1fe0a687ep-8, 0x1.b6db665ec5e3p-8, 0x1.ab7ccff52178ap-8, 0x1.a05da0e8cf7c1p-8, 0x1.957d18e77b3e9p-8, 0x1.8ada7359d8fe6p-8, 0x1.8074e7b49dffbp-8, 0x1.764ba9c7d107ap-8, 0x1.6c5dea0c241fbp-8, 0x1.62aad5ee4d38cp-8, 0x1.5931981884ccap-8, 0x1.4ff158ba44643p-8, 0x1.46e93dce4a12ep-8, 0x1.3e186b5ebd701p-8, 0x1.357e03c74f7edp-8, 0x1.2d1927f55072dp-8, 0x1.24e8f7a5fdcp-8, 0x1.1cec91a2b9148p-8, 0x1.152313fba5c73p-8, 0x1.0d8b9c4008588p-8, 0x1.062547b4dbfdbp-8, 0x1.fdde671295ca5p-9, 0x1.efd0fa129bc4cp-9, 0x1.e220839c6fa8fp-9, 0x1.d4cb3fda68c3ep-9, 0x1.c7cf6c489c2dfp-9, 0x1.bb2b480a8f83ep-9, 0x1.aedd143dde3fep-9, 0x1.a2ca3e4f145fcp-9, 0x1.971b548153822p-9, 0x1.8bbd361209a6dp-9, 0x1.80ae33a243961p-9, 0x1.75eca12089179p-9, 0x1.6b76d6010d72p-9, 0x1.614b2d72a06fcp-9, 0x1.57680690162b5p-9, 0x1.4dcbc48ee087cp-9, 0x1.4474ceeaac2dcp-9, 0x1.3b61918e75932p-9, 0x1.32907cfb5f3d7p-9, 0x1.2a00066c46498p-9, 0x1.21aea7f6d5c03p-9, 0x1.199ae0a911d1cp-9, 0x1.11c334a506dp-9, 0x1.0a262d39db5fcp-9, 0x1.02c258fbab59fp-9, 0x1.f72c97b0d4445p-10, 0x1.e9413e5595c9p-10, 0x1.dbbfe3952d7b2p-10, 0x1.cea5d036e3001p-10, 0x1.c1f05832a2235p-10, 0x1.b59cdac7255f9p-10, 0x1.a9a8c28c5ee32p-10, 0x1.9e118581ea046p-10, 0x1.92d4a51aa9e28p-10, 0x1.87efae4466544p-10, 0x1.7d60396c755c3p-10, 0x1.7323ea80dda3fp-10, 0x1.693870ef83f16p-10, 0x1.5f9b87a1daa48p-10, 0x1.564af4f6ad124p-10, 0x1.4d448ab90067p-10, 0x1.448626151de82p-10, 0x1.3c0daf8ab61e2p-10, 0x1.33d91add1498ep-10, 0x1.2be66700f718cp-10, 0x1.24339e08e4c87p-10, 0x1.1cbed50f67e89p-10, 0x1.15862c1fdab08p-10, 0x1.0e87ce1de4aa6p-10, 0x1.07c1f0ab00c84p-10, 0x1.0132d40a8694dp-10, 0x1.f5b1860795474p-11, 0x1.e96425867a1eap-11, 0x1.dd7a4573623c1p-11, 0x1.d1f0b8f6462a5p-11, 0x1.c6c467386444ap-11, 0x1.bbf24b1eb4dbfp-11, 0x1.b177730196ca4p-11, 0x1.a7510064bbc01p-11, 0x1.9d7c27afe9d09p-11, 0x1.93f62fe654ed4p-11, 0x1.8abc725dd5b53p-11, 0x1.81cc5a7471f16p-11, 0x1.7923654432ec2p-11, 0x1.70bf2157caf3p-11, 0x1.689d2e5d7e909p-11, 0x1.60bb3cdd66226p-11, 0x1.59170dedb500fp-11, 0x1.51ae72e87a485p-11, 0x1.4a7f4d21aeddp-11, 0x1.43878d9ce9982p-11, 0x1.3cc534c5a079ap-11, 0x1.36365226dc6ffp-11, 0x1.2fd9042498119p-11, 0x1.29ab77b65c107p-11, 0x1.23abe822bf55fp-11, 0x1.1dd89ebb57ef7p-11, 0x1.182ff298b703bp-11, 0x1.12b0485888de5p-11, 0x1.0d5811da7aa1fp-11, 0x1.0825cdff344d3p-11, 0x1.03180866ca10dp-11, 0x1.fc5ab2635e5ebp-12, 0x1.f2c8c9817c72ep-12, 0x1.e977b6ec9bdccp-12, 0x1.e064f2ef9ef04p-12, 0x1.d78e0cddb57a8p-12, 0x1.cef0aa97234afp-12, 0x1.c68a880b94493p-12, 0x1.be5976bccbf77p-12, 0x1.b65b5d410b8c1p-12, 0x1.ae8e36c581f3ap-12, 0x1.a6f0128e4878ep-12, 0x1.9f7f13760e5c7p-12, 0x1.98396f73d9c49p-12, 0x1.911d6f17123cap-12, 0x1.8a296d0e23b9ep-12, 0x1.835bd5a1229ebp-12, 0x1.7cb32634f5bbep-12, 0x1.762decc3685a8p-12, 0x1.6fcac75d3b374p-12, 0x1.698863a394799p-12, 0x1.63657e48f0012p-12, 0x1.5d60e292870b1p-12, 0x1.577969d943335p-12, 0x1.51adfb0ea39d4p-12, 0x1.4bfd8a3fcdbd8p-12, 0x1.4667181b9c32fp-12, 0x1.40e9b17679c67p-12, 0x1.3b846ed05eb3bp-12, 0x1.363673db621d1p-12, 0x1.30feef04d8f8dp-12, 0x1.2bdd1901a497ep-12, 0x1.26d0345bca63ap-12, 0x1.21d78d07dfb57p-12, 0x1.1cf277f9e0294p-12, 0x1.182052bf4e9f2p-12, 0x1.1360831c87a4p-12, 0x1.0eb276ad6f23ap-12, 0x1.0a15a287cd198p-12, 0x1.058982e418522p-12, 0x1.010d9ac60c083p-12, 0x1.f942e75284421p-13, 0x1.f0893a63f6ed9p-13, 0x1.e7ed59bd36c2bp-13, 0x1.df6e7b7cd75aep-13, 0x1.d70be054bdab1p-13, 0x1.cec4d3019c153p-13, 0x1.c698a7ce2fc73p-13, 0x1.be86bc184fc67p-13, 0x1.b68e75deb05cap-13, 0x1.aeaf43543bf63p-13, 0x1.a6e89a77ffd66p-13, 0x1.9f39f8adbaecfp-13, 0x1.97a2e261e3376p-13, 0x1.9022e2a380f41p-13, 0x1.88b98ad60356cp-13, 0x1.81667250e9057p-13, 0x1.7a29361dba15bp-13, 0x1.730178a02eep-13, 0x1.6beee15df9329p-13, 0x1.64f11cb15d60dp-13, 0x1.5e07db8c120ecp-13, 0x1.5732d33bbab62p-13, 0x1.5071bd2650d2p-13, 0x1.49c456932cd3p-13, 0x1.432a607338b42p-13, 0x1.3ca39f2e6c58p-13, 0x1.362fda6edd4d5p-13, 0x1.2fcedcf2de529p-13, 0x1.2980746402d8fp-13, 0x1.234471280d301p-13, 0x1.1d1aa63b419d1p-13, 0x1.1702e90783fcep-13, 0x1.10fd113df4e9dp-13, 0x1.0b08f8b03b1c5p-13, 0x1.05267b2bf5d6ap-13, 0x1.feaaecae73db2p-14, 0x1.f32b9317256dp-14, 0x1.e7ceab75383eep-14, 0x1.dc93fa9a7c8efp-14, 0x1.d17b4811795d6p-14, 0x1.c6845de9017f9p-14, 0x1.bbaf08831cc8p-14, 0x1.b0fb16651fd24p-14, 0x1.a668580a778ffp-14, 0x1.9bf69fb154ae9p-14, 0x1.91a5c1376b471p-14, 0x1.877591e8c329cp-14, 0x1.7d65e8582a27ap-14, 0x1.73769c3813b4dp-14, 0x1.69a786360648cp-14, 0x1.5ff87fd9ff513p-14, 0x1.566963611f74ep-14, 0x1.4cfa0ba898e2fp-14, 0x1.43aa540cfeea4p-14, 0x1.3a7a185255a7dp-14, 0x1.3169348ebf4dbp-14, 0x1.28778507475a9p-14, 0x1.1fa4e631ab71fp-14, 0x1.16f134888d094p-14, 0x1.0e5c4c83cfbeep-14, 0x1.05e60a8c76682p-14, 0x1.fb1c95b475236p-15, 0x1.eaa9d2cc0c9e8p-15, 0x1.da7383cdb1134p-15, 0x1.ca795f5ae3ec7p-15, 0x1.babb1b3e8e3b9p-15, 0x1.ab386c601c7bbp-15, 0x1.9bf1069629553p-15, 0x1.8ce49c9e29128p-15, 0x1.7e12e015c73a1p-15, 0x1.6f7b8172e81fp-15, 0x1.611e2fec4c194p-15, 0x1.52fa997ec7786p-15, 0x1.45106ae5c9625p-15, 0x1.375f4f9548d2ap-15, 0x1.29e6f1be497d4p-15, 0x1.1ca6fa39abab8p-15, 0x1.0f9f1094384cep-15, 0x1.02cedb00501dbp-15, 0x1.ec6bfca79b8f2p-16, 0x1.d3a83bf4cd4e3p-16, 0x1.bb51b7f49be43p-16, 0x1.a367b1d6a5e12p-16, 0x1.8be967f4835b2p-16, 0x1.74d615d74537ap-16, 0x1.5e2cf43f1029fp-16, 0x1.47ed393c52e69p-16, 0x1.3216183c8cd4bp-16, 0x1.1ca6c21d264fcp-16, 0x1.079e6536dd78cp-16, 0x1.e5f85af5a7fe5p-17, 0x1.bd7e88c8dbacep-17, 0x1.95cda258a4181p-17, 0x1.6ee3f17fcb30dp-17, 0x1.48bfbbb95d01ap-17, 0x1.235f4241631d9p-17, 0x1.fd81848cac869p-18, 0x1.b5c4ea3c786a7p-18, 0x1.6f85209128e8ep-18, 0x1.2abe8bca8fcd4p-18, 0x1.cedb11eae0d94p-19, 0x1.4b1cde72340bp-19, 0x1.94763bcefe435p-20, 0x1.30b9972de123p-21, -0x1.7885f73ed26f6p-22, -0x1.4f13a12cc9356p-20, -0x1.1d4459a1b4da9p-19, -0x1.9047ecddd109bp-19, -0x1.004e13461bcb1p-18, -0x1.3724553d24a99p-18, -0x1.6caa91c374dbap-18, -0x1.a0e4a12d4be64p-18, -0x1.d3d65e8abaa4bp-18, -0x1.02c1d383af6bdp-17, -0x1.1af82cc6758fdp-17, -0x1.32902b3a23f03p-17, -0x1.498bbf80a5f6bp-17, -0x1.5fecdab2e720fp-17, -0x1.75b56e1f28d47p-17, -0x1.8ae76b3b11ee8p-17, -0x1.9f84c36ed88cbp-17, -0x1.b38f67e6795bp-17, -0x1.c7094989ee774p-17, -0x1.d9f458b321168p-17, -0x1.ec52852ec3225p-17, -0x1.fe25bde4a2b91p-17, -0x1.07b7f868bc74ap-16, -0x1.1019856986e6cp-16, -0x1.18387bc338d1bp-16, -0x1.2015d08d7e1cfp-16, -0x1.27b27815d01d7p-16, -0x1.2f0f65c6b9e21p-16, -0x1.362d8c282a58fp-16, -0x1.3d0ddcba8d8f5p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.1d1b35708dbc3p-1, 0x1.15e1ec4a42861p-1, 0x1.0e405e34f2c5p-1, 0x1.06449e5043f9fp-1, 0x1.fbf8857989eb6p-2, 0x1.eae8bc9cd2ff9p-2, 0x1.d972727825edp-2, 0x1.c7ad19fd4b1d1p-2, 0x1.b5ae15ba995d9p-2, 0x1.a3899980fe0eep-2, 0x1.91525ae1ed70ap-2, 0x1.7f18dbc0e40cep-2, 0x1.6cecd99e8d475p-2, 0x1.5adc40653acffp-2, 0x1.48f3b03cd1732p-2, 0x1.373e7e2a9ec3fp-2, 0x1.25c6ce47f6fa8p-2, 0x1.14959c856a3e1p-2, 0x1.03b2c9c03b25p-2, 0x1.e64a7ed159dcap-3, 0x1.c5e60e8008384p-3, 0x1.a6429849b6fe8p-3, 0x1.8768c4de181a4p-3, 0x1.695fc4fea9e0cp-3, 0x1.4c2d84ea5b607p-3, 0x1.2fd6c3b333afcp-3, 0x1.145f13f54ae19p-3, 0x1.f391c22c9096cp-4, 0x1.c02b25f624a21p-4, 0x1.8e8b8159b129dp-4, 0x1.5eb294eb44878p-4, 0x1.309eb64da6873p-4, 0x1.044cd878de584p-4, 0x1.b3718f1859d9ep-5, 0x1.61b9110b7f583p-5, 0x1.1363fe35d0cadp-5, 0x1.90c7b38057b99p-6, 0x1.01513f282781ap-6, 0x1.e107ace51d93ap-8, -0x1.5169ee99b7eadp-11, -0x1.0e7ae4a23f799p-7, -0x1.fbfa55625ddc6p-7, -0x1.6ef4812775eebp-6, -0x1.da4e964ca2603p-6, -0x1.201bb39c3d214p-5, -0x1.506dcb7346e97p-5, -0x1.7e341a5d7e275p-5, -0x1.a9853dbc33e44p-5, -0x1.d277cc8bd458fp-5, -0x1.f922432d76da5p-5, -0x1.0ecd79b161aa4p-4, -0x1.1ffbfb1a93331p-4, -0x1.30278dff34c56p-4, -0x1.3f5aed6c80b3bp-4, -0x1.4da09fd7e4f9dp-4, -0x1.5b02f204e0c7dp-4, -0x1.678bf2acb8ae4p-4, -0x1.73456ea35e85ap-4, -0x1.7e38ecf26c252p-4, -0x1.886fab27ed05dp-4, -0x1.91f29a9213126p-4, -0x1.9aca5f413e27ap-4, -0x1.a2ff50b0af236p-4, -0x1.aa997af3ecc19p-4, -0x1.b1a09f3330ba6p-4, -0x1.b81c33896f3c5p-4, -0x1.be1362465b911p-4, -0x1.c38d090bc190fp-4, -0x1.c88fb88c836dcp-4, -0x1.cd21b568583b5p-4, -0x1.d148fa260f544p-4, -0x1.d50b3a03927b2p-4, -0x1.d86de3e53c429p-4, -0x1.db7624e5093b3p-4, -0x1.de28ea9904c3fp-4, -0x1.e08ae4dcd00ep-4, -0x1.e2a087469d762p-4, -0x1.e470cad0efac5p-4, -0x1.e5fa2a5a1e7f2p-4, -0x1.e7432e83a9b27p-4, -0x1.e84f6c1095e75p-4, -0x1.e92245a0580d4p-4, -0x1.e9beede54f0cep-4, -0x1.ea2869d1ddep-4, -0x1.ea6192a23dd51p-4, -0x1.ea6d17e865de3p-4, -0x1.ea4d818df5bb1p-4, -0x1.ea0531ae3cdeep-4, -0x1.e9966658395a1p-4, -0x1.e9033b3f322e9p-4, -0x1.e84dab5937dbfp-4, -0x1.e777926fca562p-4, -0x1.e682aea8961f7p-4, -0x1.e570a20762006p-4, -0x1.e442f3e4551c6p-4, -0x1.e2fb12576c044p-4, -0x1.e19a539bffa57p-4, -0x1.e021f77175aa2p-4, -0x1.de932871e4df8p-4, -0x1.dceefd590b125p-4, -0x1.db367a3e12fafp-4, -0x1.d96a91c057f5bp-4, -0x1.d78c2625f56d6p-4, -0x1.d59c0a6e0782ep-4, -0x1.d39b0356caafep-4, -0x1.d189c854f5172p-4, -0x1.cf6904814f802p-4, -0x1.cd3957809a2c5p-4, -0x1.cafb565f185aep-4, -0x1.c8af8c5df04abp-4, -0x1.c6567bb8a7a71p-4, -0x1.c3f09e6217012p-4, -0x1.c17e66b43ef03p-4, -0x1.bf004013ce6f8p-4, -0x1.bc768f8a3b961p-4, -0x1.b9e1b457e55f1p-4, -0x1.b742087d3a263p-4, -0x1.b497e1392b095p-4, -0x1.b1e38f8041683p-4, -0x1.af25606e826c1p-4, -0x1.ac5d9db258f44p-4, -0x1.a98c8def3b2afp-4, -0x1.a6b2751845d1ep-4, -0x1.a3cf94c245cf1p-4, -0x1.a0e42c6de36c3p-4, -0x1.9df079cc2781ap-4, -0x1.9af4b8fdf0167p-4, -0x1.97f124ce6a456p-4, -0x1.94e5f6e8d35fbp-4, -0x1.91d36809579bfp-4, -0x1.8eb9b02a3f8a7p-4, -0x1.8b9906af3d9fap-4, -0x1.8871a28e48eefp-4, -0x1.8543ba748783bp-4, -0x1.820f84e6e7ef8p-4, -0x1.7ed5385e87f71p-4, -0x1.7b950b60f8324p-4, -0x1.784f34945bebp-4, -0x1.7503eacfad89bp-4, -0x1.71b3652799e78p-4, -0x1.6e5ddaf82342p-4, -0x1.6b0383eb3446fp-4, -0x1.67a497fd08cabp-4, -0x1.64414f7f7a8f9p-4, -0x1.60d9e31c7a973p-4, -0x1.5d6e8bd76e29cp-4, -0x1.59ff830d57a6cp-4, -0x1.568d0273f33a3p-4, -0x1.53174417d6985p-4, -0x1.4f9e825999e8p-4, -0x1.4c22f7ea1abedp-4, -0x1.48a4dfc5d117ap-4, -0x1.4524752eafdb9p-4, -0x1.41a1f3a4506e5p-4, -0x1.3e1d96db0b9c7p-4, -0x1.3a979ab28c7ccp-4, -0x1.37103b2bdcea2p-4, -0x1.3387b45eaaab4p-4, -0x1.2ffe426df8d48p-4, -0x1.2c74217cb77a7p-4, -0x1.28e98da29436dp-4, -0x1.255ec2e0ed55ap-4, -0x1.21d3fd1799e8cp-4, -0x1.1e4977f977cd4p-4, -0x1.1abf6f011ac3ap-4, -0x1.1736217b5ef95p-4, -0x1.13adc31486acp-4, -0x1.1026916379cd8p-4, -0x1.0ca0c6959fbf2p-4, -0x1.091c9c6b527ep-4, -0x1.059a4c2cf9924p-4, -0x1.021a0ea03dcc6p-4, -0x1.fd3837fab413p-5, -0x1.f64157c939bfdp-5, -0x1.ef4feaa88644ep-5, -0x1.e8645d3d848dbp-5, -0x1.e17f1ac2a2261p-5, -0x1.daa08cf4cd94ap-5, -0x1.d3c91c005d7c1p-5, -0x1.ccf92e6ea9c5bp-5, -0x1.c6312914e552fp-5, -0x1.bf716f03fd746p-5, -0x1.b8ba61791a2c3p-5, -0x1.b20c5fce917ddp-5, -0x1.ab67c76d6070cp-5, -0x1.a4ccf3bf550dfp-5, -0x1.9e3c3e21f2d75p-5, -0x1.97b5fdda24b9p-5, -0x1.913a88089d7e9p-5, -0x1.8aca2f9ef15a4p-5, -0x1.8465455561ce2p-5, -0x1.7e0c17a15386bp-5, -0x1.77bef2ac87d51p-5, -0x1.717e204d34e0ep-5, -0x1.6b49e7ff02e73p-5, -0x1.65228edcd151ep-5, -0x1.5f08579ae82dcp-5, -0x1.58fb828193e2p-5, -0x1.52fc4d68588cbp-5, -0x1.4d0af3b1fc598p-5, -0x1.4727ae4978a79p-5, -0x1.4152b39fae751p-5, -0x1.3b8c37a9c29f8p-5, -0x1.35d46be00bcd9p-5, -0x1.302b7f3d9d454p-5, -0x1.2a919e407e83p-5, -0x1.2506f2ea8d1c2p-5, -0x1.1f8ba4c305672p-5, -0x1.1a1fd8d8a37d1p-5, -0x1.14c3b1c4585bap-5, -0x1.0f774fac8e3a1p-5, -0x1.0a3ad048fff07p-5, -0x1.050e4ee738e77p-5, -0x1.ffe3c8df58a5ap-6, -0x1.f5cb4ed6bfb1p-6, -0x1.ebd35814393d7p-6, -0x1.e1fc0851e8e32p-6, -0x1.d8457eb231c6bp-6, -0x1.ceafd5ce65b26p-6, -0x1.c53b23c650702p-6, -0x1.bbe77a50ba227p-6, -0x1.b2b4e6ccd60dap-6, -0x1.a9a3725477d17p-6, -0x1.a0b321ced77c2p-6, -0x1.97e3f60414505p-6, -0x1.8f35ebb134ccdp-6, -0x1.86a8fb9cdda9ap-6, -0x1.7e3d1aac7da4ep-6, -0x1.75f239fa0a458p-6, -0x1.6dc846ea2b187p-6, -0x1.65bf2b42d909bp-6, -0x1.5dd6cd4263c61p-6, -0x1.560f0fb6e7002p-6, -0x1.4e67d21620d0cp-6, -0x1.46e0f09593633p-6, -0x1.3f7a4442e75e3p-6, -0x1.3833a31c7c0aep-6, -0x1.310ce029f55f1p-6, -0x1.2a05cb94e7951p-6, -0x1.231e32c1c59e1p-6, -0x1.1c55e068ea516p-6, -0x1.15ac9caf8e9cp-6, -0x1.0f222d40dbd5dp-6, -0x1.08b65567149bap-6, -0x1.0268d62492bc3p-6, -0x1.f872dc9935d98p-7, -0x1.ec4fb53859f14p-7, -0x1.e067aba584b32p-7, -0x1.d4ba319580384p-7, -0x1.c946b5239503cp-7, -0x1.be0ca101e981p-7, -0x1.b30b5ca95e9e3p-7, -0x1.a8424c8913bd9p-7, -0x1.9db0d2354b9dep-7, -0x1.93564c959a4d2p-7, -0x1.893218128a979p-7, -0x1.7f438ec2840fdp-7, -0x1.758a0895fa21p-7, -0x1.6c04db82dff2fp-7, -0x1.62b35baf82e71p-7, -0x1.5994db9c9a6b7p-7, -0x1.50a8ac4e6e2e3p-7, -0x1.47ee1d752c06ap-7, -0x1.3f647d9469124p-7, -0x1.370b1a29cb363p-7, -0x1.2ee13fd2d105fp-7, -0x1.26e63a719378fp-7, -0x1.1f1955509425fp-7, -0x1.1779db45e7655p-7, -0x1.100716d59f779p-7, -0x1.08c05252f5f28p-7, -0x1.01a4d8003f8f1p-7, -0x1.f567e45c49018p-8, -0x1.e7d9d6b435537p-8, -0x1.da9e1c9767cc6p-8, -0x1.cdb34c615342cp-8, -0x1.c117fd70649a7p-8, -0x1.b4cac85af3824p-8, -0x1.a8ca472271649p-8, -0x1.9d1515640e6b8p-8, -0x1.91a9d087eaf94p-8, -0x1.868717edec3c1p-8, -0x1.7bab8d19a76adp-8, -0x1.7115d3db73245p-8, -0x1.66c4927826794p-8, -0x1.5cb671ce84142p-8, -0x1.52ea1d7b56fdp-8, -0x1.495e43fba6b91p-8, -0x1.401196cd45c3fp-8, -0x1.3702ca8d1889ep-8, -0x1.2e309714432fdp-8, -0x1.2599b79383447p-8, -0x1.1d3ceaacffa7fp-8, -0x1.1518f28c3d9b2p-8, -0x1.0d2c94fcbe67ep-8, -0x1.05769b7f0f08ap-8, -0x1.fbeba6b82815dp-9, -0x1.ed521b6da1757p-9, -0x1.df1e3f39b2dfep-9, -0x1.d14dc42b70696p-9, -0x1.c3de6461c5e15p-9, -0x1.b6cde2240dba4p-9, -0x1.aa1a07f79df2ap-9, -0x1.9dc0a8b3704aap-9, -0x1.91bf9f922ef59p-9, -0x1.8614d041d8dd4p-9, -0x1.7abe26f018e84p-9, -0x1.6fb998543a73ap-9, -0x1.650521b727a57p-9, -0x1.5a9ec8fa3971bp-9, -0x1.50849c9b4d001p-9, -0x1.46b4b3b6b942ep-9, -0x1.3d2d2e077f60bp-9, -0x1.33ec33e58076bp-9, -0x1.2aeff642808c3p-9, -0x1.2236aea5c1cc3p-9, -0x1.19be9f255016ap-9, -0x1.1186125ec0f43p-9, -0x1.098b5b6d21471p-9, -0x1.01ccd5de74a49p-9, -0x1.f491cb4f9b0b2p-10, -0x1.e5fbee303ba8p-10, -0x1.d7d4fd9391ad8p-10, -0x1.ca19f32540b65p-10, -0x1.bcc7d8e656f1ap-10, -0x1.afdbc908dd0efp-10, -0x1.a352edca927ddp-10, -0x1.972a814dba487p-10, -0x1.8b5fcd6f84917p-10, -0x1.7ff02b9db5498p-10, -0x1.74d904ab4fd18p-10, -0x1.6a17d0a1f9911p-10, -0x1.5faa16924f75ap-10, -0x1.558d6c630812ap-10, -0x1.4bbf769f87e4dp-10, -0x1.423de84717b6dp-10, -0x1.39068299b2074p-10, -0x1.301714e3af138p-10, -0x1.276d7c47cced3p-10, -0x1.1f07a38990812p-10, -0x1.16e382d7eb4c9p-10, -0x1.0eed02b9a0d79p-10, -0x1.074550d3c7e1dp-10, -0x1.ffb3379b588f2p-11, -0x1.f1501fc1c7205p-11, -0x1.e35dcb1c5d86fp-11, -0x1.d5d8c2c8c4a3ep-11, -0x1.c8bda78f9eb37p-11, -0x1.bc093174ba06ap-11, -0x1.afb82f4498176p-11, -0x1.a3c78624010d6p-11, -0x1.9834311f7496ap-11, -0x1.8cfb40ba29416p-11, -0x1.8219da7eed0c8p-11, -0x1.778d3890c4a9dp-11, -0x1.6d52a93b6b00fp-11, -0x1.63678e85306cdp-11, -0x1.59c95dc2992edp-11, -0x1.50759f296fd14p-11, -0x1.4769ed665e08ep-11, -0x1.3ea3f533021b7p-11, -0x1.362174ec66019p-11, -0x1.2de03c2b62c68p-11, -0x1.25de2b5d2eea8p-11, -0x1.1e19335c82bd1p-11, -0x1.168f550ca187ep-11, -0x1.0f3ea0f5b938cp-11, -0x1.082536e475ed5p-11, -0x1.01414589c24e5p-11, -0x1.f5221436cbe2ep-12, -0x1.e8259fe9a84b8p-12, -0x1.db89e07310d53p-12, -0x1.cf4ba2f23ac27p-12, -0x1.c367ceadfc297p-12, -0x1.b7db646980674p-12, -0x1.aca37db8325d4p-12, -0x1.a1bd4c55e88cdp-12, -0x1.9726197dc716cp-12, -0x1.8cdb45456325cp-12, -0x1.82da45f60ac4ap-12, -0x1.7920a76e47f08p-12, -0x1.6fac0a85c741ap-12, -0x1.667a2474a3531p-12, -0x1.5d88be413a9a3p-12, -0x1.54d5b42cd28c5p-12, -0x1.4c5ef526804d4p-12, -0x1.4422823f9be13p-12, -0x1.3c1e6e21c6e4bp-12, -0x1.3450dc8963fa3p-12, -0x1.2cb801c123a3p-12, -0x1.2552221f7dca6p-12, -0x1.1e1d91887cf2bp-12, -0x1.1718b2f40a4e4p-12, -0x1.1041f7f4e07aap-12, -0x1.0997e044f34p-12, -0x1.0318f953fda77p-12, -0x1.f987bbae38108p-13, -0x1.ed2e6ab6aff83p-13, -0x1.e12367b653a9ap-13, -0x1.d56432b14f27cp-13, -0x1.c9ee62f537c0fp-13, -0x1.bebfa651ebd0ap-13, -0x1.b3d5c05b95ac1p-13, -0x1.a92e89ab3528ap-13, -0x1.9ec7ef27e2042p-13, -0x1.949ff1555648cp-13, -0x1.8ab4a3acf9567p-13, -0x1.81042bfa63093p-13, -0x1.778cc1be58319p-13, -0x1.6e4cad8f6e467p-13, -0x1.6542488147ef6p-13, -0x1.5c6bfb8dcd915p-13, -0x1.53c83f01f5622p-13, -0x1.4b5599ef76b13p-13, -0x1.4312a1a1fe4dbp-13, -0x1.3afdf918d1d5cp-13, -0x1.331650886b262p-13, -0x1.2b5a64da6aa6fp-13, -0x1.23c8ff38d4e77p-13, -0x1.1c60f49896adap-13, -0x1.1521254b6d6f9p-13, -0x1.0e087c8ddfe4dp-13, -0x1.0715f01e51a7dp-13, -0x1.00487fd351959p-13, -0x1.f33e6a6927a5bp-14, -0x1.e632462dc2a4cp-14, -0x1.d96aca7b01c1dp-14, -0x1.cce63ff8729f9p-14, -0x1.c0a2ffc2d6904p-14, -0x1.b49f72ca3773dp-14, -0x1.a8da112a81442p-14, -0x1.9d5161942e1e2p-14, -0x1.9203f8a7d12aep-14, -0x1.86f0786653bf3p-14, -0x1.7c158f8cb22acp-14, -0x1.7171f913402ep-14, -0x1.67047ba08017cp-14, -0x1.5ccbe9093fc36p-14, -0x1.52c71de11cecep-14, -0x1.48f50106e41ccp-14, -0x1.3f54832e0794bp-14, -0x1.35e49e799d9fep-14, -0x1.2ca45609effp-14, -0x1.2392b58c01f0cp-14, -0x1.1aaed0d9eb3fbp-14, -0x1.11f7c38e0f375p-14, -0x1.096cb0ab74937p-14, -0x1.010cc242e1af8p-14, -0x1.f1ae524cc1b66p-15, -0x1.e196393736e44p-15, -0x1.d1cfb417174b6p-15, -0x1.c259497fee981p-15, -0x1.b3318b38c9cc9p-15, -0x1.a45715b884f23p-15, -0x1.95c88fb43f10cp-15, -0x1.8784a99eae7e8p-15, -0x1.798a1d3a7b8fbp-15, -0x1.6bd7ad29c8e4bp-15, -0x1.5e6c247666436p-15, -0x1.5146562b4c21ep-15, -0x1.44651ce152a99p-15, -0x1.37c75a683fd81p-15, -0x1.2b6bf76bfdae7p-15, -0x1.1f51e33006ccdp-15, -0x1.1378134259667p-15, -0x1.07dd833c60fd7p-15, -0x1.f90268f6f9994p-16, -0x1.e2c45bcbb4a2bp-16, -0x1.ccfef72ef850ap-16, -0x1.b7b05d5d5e73fp-16, -0x1.a2d6ba0dbf4fdp-16, -0x1.8e70421af26ebp-16, -0x1.7a7b3301ed197p-16, -0x1.66f5d2a0c4f64p-16, -0x1.53de6ecde5b6cp-16, -0x1.41335d0513a17p-16, -0x1.2ef2fa1a903eap-16, -0x1.1d1ba9ca0c699p-16, -0x1.0babd68e70011p-16, -0x1.f543e27177fe4p-17, -0x1.d3f8e1643012cp-17, -0x1.b373a34041eb7p-17, -0x1.93b12cb1490a7p-17, -0x1.74ae8d531945dp-17, -0x1.5668df1a03698p-17, -0x1.38dd4684841a4p-17, -0x1.1c08f2030679ap-17, -0x1.ffd233980225ep-18, -0x1.c8f5fe9cd10bbp-18, -0x1.9377da407bf26p-18, -0x1.5f526cc6907cfp-18, -0x1.2c806cfe2ace5p-18, -0x1.f5f942b46d007p-19, -0x1.9583bf7aac6fbp-19, -0x1.3796199d3c15bp-19, -0x1.b84c6f0f55979p-20, -0x1.0654379b451c8p-20, -0x1.64bf2d2608872p-22, 0x1.3cd182cde8186p-22, 0x1.e5d7421ce106bp-21, 0x1.92091585f3dfbp-20, 0x1.164fd5258f2b4p-19, 0x1.61610cb40bcd9p-19, 0x1.aa417597c9584p-19, 0x1.f0fa3bc2d254ap-19, 0x1.1aca3974971a6p-18, 0x1.3c0c8b42fd80ep-18, 0x1.5c48852fc44aep-18, 0x1.7b828d4f7e254p-18, 0x1.99befe5472c6p-18, 0x1.b70227a2871fcp-18, 0x1.d3504dee002bdp-18, 0x1.eeadab28d5bfbp-18, 0x1.048f37619aee8p-17, 0x1.11535ec3d4ffcp-17, 0x1.1da558ca2fc3bp-17, 0x1.29872d2ffcad2p-17, 0x1.34fade3744d3ep-17, 0x1.400268cf1b4eep-17, 0x1.4a9fc4a7f88e2p-17, 0x1.54d4e41710709p-17, 0x1.5ea3b448d38f9p-17, 0x1.680e1d6c45cf1p-17, 0x1.7116027dec7bap-17, 0x1.79bd41770e4fbp-17, 0x1.8205b326c18fep-17, 0x1.89f12b636d886p-17, 0x1.918178cd28d1fp-17, 0x1.98b864f43508cp-17, 0x1.9f97b470235fap-17, 0x1.a62126cd76257p-17, 0x1.ac5676e2d8ed9p-17, 0x1.b2395a6e5a1c4p-17, 0x1.b7cb824d1f199p-17, 0x1.bd0e9a634c2f9p-17, 0x1.c20449d06daaap-17, 0x1.c6ae3273cc9fap-17, 0x1.cb0df145162e8p-17, 0x1.cf251e2d66bdp-17, 0x1.d2f54c09e6a84p-17, 0x1.d68008e0cf09dp-17, 0x1.d9c6dd8b804bfp-17, 0x1.dccb4df17ffedp-17, 0x1.df8ed8ff8e0f3p-17, 0x1.e212f8a2b653bp-17, 0x1.e45921fd89331p-17, 0x1.e662c547ff4fbp-17, 0x1.e8314e0af06adp-17, 0x1.e9c623266e73dp-17, 0x1.eb22a6f2e5454p-17, 0x1.ec48371d90a6cp-17, 0x1.ed382cb68688cp-17, 0x1.edf3dc1f42019p-17, 0x1.ee7c94ea8b4b3p-17, 0x1.eed3a1d9f0bp-17, 0x1.eefa48d077a88p-17, 0x1.eef1cadc8b0c5p-17, 0x1.eebb642bb9af4p-17, 0x1.ee584c3a143b2p-17, 0x1.edc9b5cab3567p-17, 0x1.ed10cf245bbabp-17, 0x1.ec2ec1ff43c19p-17, 0x1.eb24b3aa6ee06p-17, 0x1.e9f3c50f53866p-17, 0x1.e89d129aa6aeap-17, 0x1.e721b446b798bp-17, 0x1.e582bd7f90a3ap-17, 0x1.e3c13d5fbdfb4p-17, 0x1.e1de3e50776cap-17, 0x1.dfdac6541230dp-17, 0x1.ddb7d702cce92p-17, 0x1.db766d85ecb37p-17, 0x1.d917830dfc8f9p-17, 0x1.d69c0c71484c4p-17, 0x1.d404fa8ecb54cp-17, 0x1.d1533a53c4df4p-17, 0x1.ce87b4a8b527ep-17, 0x1.cba34ec242caep-17, 0x1.c8a6e9ac553fcp-17, 0x1.c5936273897dep-17, 0x1.c269923010d9bp-17, 0x1.bf2a4dc551725p-17, 0x1.bbd665f183f2cp-17, 0x1.b86ea78834058p-17, 0x1.b4f3db1220a94p-17, 0x1.b166c52f90ca6p-17, 0x1.adc826a7f2759p-17, 0x1.aa18bc77c9b13p-17, 0x1.a6594004d4709p-17, 0x1.a28a675554215p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.362bdd63bf844p-1, 0x1.3390649b48191p-1, 0x1.30c57961ef241p-1, 0x1.2dce92afe7cep-1, 0x1.2aaf27a6fd947p-1, 0x1.276aa5231e78fp-1, 0x1.240469400adf1p-1, 0x1.207fba508b11cp-1, 0x1.1cdfc337a927cp-1, 0x1.192793a594218p-1, 0x1.155a15de803cfp-1, 0x1.117a1333549ecp-1, 0x1.0d8a32f56b905p-1, 0x1.098cf6a572c41p-1, 0x1.0584bc34c87bdp-1, 0x1.0173be289ea31p-1, 0x1.fab82855816adp-2, 0x1.f27f67e47c88fp-2, 0x1.ea40e4b54b093p-2, 0x1.e200094e302a8p-2, 0x1.d9c002fb163b2p-2, 0x1.d183c44b44c2fp-2, 0x1.c94e07ded6daap-2, 0x1.c121534e30315p-2, 0x1.b8fff9d24d7dep-2, 0x1.b0ec1d98358a1p-2, 0x1.a8e7b25ce6a5fp-2, 0x1.a0f480efecb82p-2, 0x1.99142940dfcf1p-2, 0x1.914823accd047p-2, 0x1.8991c3b8eb7aep-2, 0x1.81f23ae960b06p-2, 0x1.7a6a9a218199p-2, 0x1.72fbd10347513p-2, 0x1.6ba6b4abbb465p-2, 0x1.646bfe16035edp-2, 0x1.5d4c4cb6303c5p-2, 0x1.564828117ce43p-2, 0x1.4f600123c476bp-2, 0x1.489433ed9b79bp-2, 0x1.41e508e3162e4p-2, 0x1.3b52b65549241p-2, 0x1.34dd6190ec6ep-2, 0x1.2e85201184bf8p-2, 0x1.2849f8c36c5d8p-2, 0x1.222be5312c5fap-2, 0x1.1c2ad29a92f4p-2, 0x1.1646a2ce8d3dfp-2, 0x1.107f2d0e7c7c3p-2, 0x1.0ad43f12d8cc9p-2, 0x1.05459dfe96ef4p-2, 0x1.ffa60e74adfd9p-3, 0x1.f4f86251a170fp-3, 0x1.ea81977ce7881p-3, 0x1.e041024fb1b6p-3, 0x1.d635ed13731cap-3, 0x1.cc5f9978d68d8p-3, 0x1.c2bd41cd33abfp-3, 0x1.b94e19f79aa1bp-3, 0x1.b011503e9608dp-3, 0x1.a7060e02cd8a1p-3, 0x1.9e2b7895ea63p-3, 0x1.9580b22e6b1d6p-3, 0x1.8d04dade44278p-3, 0x1.84b7115f98b62p-3, 0x1.7c9673afec146p-3, 0x1.74a21f8389f57p-3, 0x1.6cd9329c5405ep-3, 0x1.653acb22490e4p-3, 0x1.5dc6080e306b9p-3, 0x1.567a09a57c5f4p-3, 0x1.4f55f1fb35008p-3, 0x1.4858e562116b8p-3, 0x1.41820abfbdf7ap-3, 0x1.3ad08bc3b80f2p-3, 0x1.34439506ad041p-3, 0x1.2dda561c420b3p-3, 0x1.27940e5923d6fp-3, 0x1.216fd838f06f9p-3, 0x1.1b6cfb37297afp-3, 0x1.158ab4418bfe6p-3, 0x1.0fc843ec9e9fep-3, 0x1.0a24ee84db4bcp-3, 0x1.049ffc1c1067fp-3, 0x1.fe717126576d1p-4, 0x1.f3dce740f2eebp-4, 0x1.e98101a6524p-4, 0x1.df5c6f28625b2p-4, 0x1.d56de648c19afp-4, 0x1.cbb42530388a2p-4, 0x1.c22df1a257c6dp-4, 0x1.b8da18edf7364p-4, 0x1.afb76fda7faaap-4, 0x1.a6c4d29271548p-4, 0x1.9e01248c396fp-4, 0x1.956b507198f36p-4, 0x1.8d02480414b97p-4, 0x1.84c503ff23565p-4, 0x1.7cb283f987b36p-4, 0x1.74c9ce45554cap-4, 0x1.6d09efce77098p-4, 0x1.6571fbf83022cp-4, 0x1.5e010c79f0476p-4, 0x1.56b6413b8c974p-4, 0x1.4f90c030d28c4p-4, 0x1.488fb534f3a83p-4, 0x1.41b251e648be7p-4, 0x1.3af7cd8235c9cp-4, 0x1.345f64c0ca60bp-4, 0x1.2de859b003583p-4, 0x1.2791f38efeacdp-4, 0x1.215b7ea97e0fbp-4, 0x1.1b444c33bbf48p-4, 0x1.154bb226861dcp-4, 0x1.0f710b1bc42c1p-4, 0x1.09b3b62b8a0ap-4, 0x1.041316c9b9305p-4, 0x1.fd1d2948ce409p-5, 0x1.f24b3706674b7p-5, 0x1.e7af364e9cfb7p-5, 0x1.dd480e580ee23p-5, 0x1.d314adcfc0e08p-5, 0x1.c9140a9c803fcp-5, 0x1.bf4521a34c746p-5, 0x1.b5a6f68cc6001p-5, 0x1.ac38938bdb652p-5, 0x1.a2f909261763p-5, 0x1.99e76dfd97dfep-5, 0x1.9102de9c8454cp-5, 0x1.884a7d4238dcap-5, 0x1.7fbd71b26a295p-5, 0x1.775ae90629083p-5, 0x1.6f22157e672bdp-5, 0x1.67122e57de9e1p-5, 0x1.5f2a6fa0422bbp-5, 0x1.576a1a0ca74e2p-5, 0x1.4fd072d12afb3p-5, 0x1.485cc379ab5c2p-5, 0x1.410e59c3b1dcap-5, 0x1.39e48779705ep-5, 0x1.32dea24ddfa1bp-5, 0x1.2bfc03ba09d34p-5, 0x1.253c08dbc9ac6p-5, 0x1.1e9e1256172e8p-5, 0x1.18218432ac76cp-5, 0x1.11c5c5c4e7ee8p-5, 0x1.0b8a418debd97p-5, 0x1.056e6521e89a7p-5, 0x1.fee3421d1984bp-6, 0x1.f326d184e2157p-6, 0x1.e7a664eafb8afp-6, 0x1.dc60ee24201b2p-6, 0x1.d155643dd342dp-6, 0x1.c682c353d2943p-6, 0x1.bbe80c6733c5ap-6, 0x1.b18445371db41p-6, 0x1.a756781aef508p-6, 0x1.9d5db3de00cd7p-6, 0x1.93990b9cc60c9p-6, 0x1.8a0796a38ed12p-6, 0x1.80a8704ed5fp-6, 0x1.777ab7ed0e999p-6, 0x1.6e7d90a1d6696p-6, 0x1.65b0214a955fcp-6, 0x1.5d1194646d84bp-6, 0x1.54a118549341ap-6, 0x1.4c5ddd9b7779cp-6, 0x1.444719996dae7p-6, 0x1.3c5c04619e37dp-6, 0x1.349bd935013ebp-6, 0x1.2d05d66e57ab5p-6, 0x1.25993d6f12a18p-6, 0x1.1e55528d15209p-6, 0x1.17395d014b8fcp-6, 0x1.1044a6d717198p-6, 0x1.09767cdc68f32p-6, 0x1.02ce2e928e447p-6, 0x1.f8961c3f308e2p-7, 0x1.ebd8e080f1167p-7, 0x1.df63587798e78p-7, 0x1.d33437aa9c20ep-7, 0x1.c74a3683b17c8p-7, 0x1.bba41237e1552p-7, 0x1.b0408cb1898eap-7, 0x1.a51e6c7b6e4dap-7, 0x1.9a3c7cac98288p-7, 0x1.8f998cd52b747p-7, 0x1.853470ec34734p-7, 0x1.7b0c013e08b12p-7, 0x1.711f1a5ba17c3p-7, 0x1.676c9d0a87523p-7, 0x1.5df36e3583bf3p-7, 0x1.54b276de08c8ap-7, 0x1.4ba8a40df6a41p-7, 0x1.42d4e6ca2a1f3p-7, 0x1.3a36340560992p-7, 0x1.31cb84939dbdfp-7, 0x1.2993d51e03425p-7, 0x1.218e26172b39p-7, 0x1.19b97baff9796p-7, 0x1.1214ddccccb95p-7, 0x1.0a9f57fb0fea8p-7, 0x1.0357f9671ad45p-7, 0x1.f87ba9a4b7b95p-8, 0x1.eaa0011389548p-8, 0x1.dd1b2cb8f4f1ep-8, 0x1.cfeb6725ed79cp-8, 0x1.c30ef1cbdbdc2p-8, 0x1.b68414ec112d6p-8, 0x1.aa491f86d055bp-8, 0x1.9e5c674a894adp-8, 0x1.92bc488455bb8p-8, 0x1.8767260fe9462p-8, 0x1.7c5b6947b9229p-8, 0x1.719781f60dfc6p-8, 0x1.6719e645c8accp-8, 0x1.5ce112b2e3f71p-8, 0x1.52eb89fc229aap-8, 0x1.4937d513ee3a6p-8, 0x1.3fc48311e828cp-8, 0x1.3690292492b07p-8, 0x1.2d996282b9583p-8, 0x1.24ded05d3d5adp-8, 0x1.1c5f19d0dbee2p-8, 0x1.1418ebd7c8107p-8, 0x1.0c0af93b9f897p-8, 0x1.0433fa8715e3p-8, 0x1.f9255bef9d588p-9, 0x1.ea4baee075aacp-9, 0x1.dbd880d2afd95p-9, 0x1.cdc96fc8a93d6p-9, 0x1.c01c24b92672ep-9, 0x1.b2ce53733607ep-9, 0x1.a5ddba7fec9b1p-9, 0x1.994823068e79dp-9, 0x1.8d0b60b135a77p-9, 0x1.8125518ddee7fp-9, 0x1.7593ddf10f7e9p-9, 0x1.6a54f85a72331p-9, 0x1.5f669d57b82c9p-9, 0x1.54c6d36576b27p-9, 0x1.4a73aad2be6c8p-9, 0x1.406b3da428b66p-9, 0x1.36abaf76315e7p-9, 0x1.2d332d5e4a727p-9, 0x1.23ffedce620b3p-9, 0x1.1b103076de98dp-9, 0x1.12623e283158fp-9, 0x1.09f468b565901p-9, 0x1.01c50ad5c0831p-9, 0x1.f3a5100dfcffap-10, 0x1.e43698de0412ap-10, 0x1.d53b997b613a7p-10, 0x1.c6b10c1d2559p-10, 0x1.b893fb95f8c0ep-10, 0x1.aae183171558ep-10, 0x1.9d96cdf439925p-10, 0x1.90b11765b61c5p-10, 0x1.842daa4d63cf3p-10, 0x1.7809e0fb83134p-10, 0x1.6c4324f161931p-10, 0x1.60d6eea34bc8dp-10, 0x1.55c2c53cbde18p-10, 0x1.4b043e696c3dap-10, 0x1.4098fe1719f91p-10, 0x1.367eb637937a6p-10, 0x1.2cb3268477c09p-10, 0x1.23341c4903abfp-10, 0x1.19ff7227c870ap-10, 0x1.11130fdc9d243p-10, 0x1.086cea00d8a2ap-10, 0x1.000b01d4ac3fbp-10, 0x1.efd6ca0c16b0bp-11, 0x1.e0185aeeb5312p-11, 0x1.d0d7020712e6p-11, 0x1.c20f228f0f3d6p-11, 0x1.b3bd36d5dc3b8p-11, 0x1.a5ddcfcfcfb34p-11, 0x1.986d94a7ccbf3p-11, 0x1.8b694250d094ap-11, 0x1.7ecdab194a41bp-11, 0x1.7297b64288616p-11, 0x1.66c45f9345f65p-11, 0x1.5b50b6f0e8373p-11, 0x1.5039dff4658b9p-11, 0x1.457d11825d08bp-11, 0x1.3b1795655d0ep-11, 0x1.3106c7ed47c0ap-11, 0x1.2748178a500d2p-11, 0x1.1dd904666a57dp-11, 0x1.14b720000543fp-11, 0x1.0be00ccd48ec5p-11, 0x1.03517de36a449p-11, 0x1.f6126d340053ap-12, 0x1.e60a1448fa9cdp-12, 0x1.d685b668ac65cp-12, 0x1.c7813744c2657p-12, 0x1.b8f8983846a3ep-12, 0x1.aae7f79eadb59p-12, 0x1.9d4b901502d5bp-12, 0x1.901fb7cc09ec6p-12, 0x1.8360dfe3b7a49p-12, 0x1.770b93cffb0fdp-12, 0x1.6b1c78b9d9237p-12, 0x1.5f904cda7fecdp-12, 0x1.5463e6d540bfp-12, 0x1.49943523131dbp-12, 0x1.3f1e3d7b0c888p-12, 0x1.34ff1c44591e6p-12, 0x1.2b3404008a097p-12, 0x1.21ba3cb80ab49p-12, 0x1.188f236e3ad23p-12, 0x1.0fb02992a6b19p-12, 0x1.071ad47bb203ep-12, 0x1.fd9979d7efef8p-13, 0x1.ed871d1c32c05p-13, 0x1.ddfa0edfc6a4bp-13, 0x1.ceedeeef1f6a5p-13, 0x1.c05e7fdcdb96ap-13, 0x1.b247a61de2931p-13, 0x1.a4a5672c61f3ep-13, 0x1.9773e89e63b5ap-13, 0x1.8aaf6f3299c6fp-13, 0x1.7e545de8d8dbdp-13, 0x1.725f3524afed1p-13, 0x1.66cc91e81f0d6p-13, 0x1.5b992d0eef78dp-13, 0x1.50c1da860b864p-13, 0x1.4643887e30beep-13, 0x1.3c1b3ea5381b6p-13, 0x1.32461d57d068bp-13, 0x1.28c15cf738d77p-13, 0x1.1f8a4d3a78d22p-13, 0x1.169e548852832p-13, 0x1.0dfaef4197f54p-13, 0x1.059daf1455039p-13, 0x1.fb087499bf1b1p-14, 0x1.eb58967048987p-14, 0x1.dc275f3d6c0a5p-14, 0x1.cd709056796f8p-14, 0x1.bf300faeba6f4p-14, 0x1.b15384c497538p-14, 0x1.a3f39e2d40612p-14, 0x1.96fe913651112p-14, 0x1.8a70ca750ac7bp-14, 0x1.7e46d5c31c98ep-14, 0x1.727d5d5410778p-14, 0x1.671128b718b6dp-14, 0x1.5bff1bb1461bbp-14, 0x1.51443542f8e4ep-14, 0x1.46dd8ea85b44bp-14, 0x1.3cc85a9a11743p-14, 0x1.3301e4aead75cp-14, 0x1.29879099e95b2p-14, 0x1.2056d96e8bef3p-14, 0x1.176d50aace1adp-14, 0x1.0ec89d6072c1ap-14, 0x1.06667b6c59c9ep-14, 0x1.fc8975dd30b8dp-15, 0x1.ecc27f46287cdp-15, 0x1.dd74007acfcbep-15, 0x1.ce9a0b5468a3cp-15, 0x1.c030d4dc98763p-15, 0x1.b234b408fa937p-15, 0x1.a4a220c5a54c1p-15, 0x1.9775b2ff8b674p-15, 0x1.8aac21731a546p-15, 0x1.7e42408772bdfp-15, 0x1.72350108df685p-15, 0x1.66816f28dc04ap-15, 0x1.5b24b199f5c0cp-15, 0x1.501c08f36af67p-15, 0x1.4564ced6933d8p-15, 0x1.3afc74fedca1ep-15, 0x1.30e0841425ad6p-15, 0x1.270e9ac76816ap-15, 0x1.1d846ce3363a6p-15, 0x1.143fc2b90935ep-15, 0x1.0b3e78848fe17p-15, 0x1.027e7e0920357p-15, 0x1.f3fbaba598d93p-16, 0x1.e37528dfce7d1p-16, 0x1.d365bf5f8e822p-16, 0x1.c3c9db636bcd6p-16, 0x1.b49e0890ea799p-16, 0x1.a5def0a518029p-16, 0x1.97895a98b64a8p-16, 0x1.899a2a24b014ep-16, 0x1.7c0e5edc2e385p-16, 0x1.6ee31376ecedfp-16, 0x1.62157c68fce76p-16, 0x1.55a2e67fda9c3p-16, 0x1.4988b5a4e78e8p-16, 0x1.3dc46425f9a37p-16, 0x1.325381e3e06f6p-16, 0x1.2733b430c535dp-16, 0x1.1c62b4ed58052p-16, 0x1.11de51bc322a6p-16, 0x1.07a46af37c50bp-16, 0x1.fb65e4c1b2dbfp-17, 0x1.e80fd59c50afdp-17, 0x1.d542ceda9026ap-17, 0x1.c2fb175a05627p-17, 0x1.b135162526128p-17, 0x1.9fed513c3c0afp-17, 0x1.8f206c82dc9d7p-17, 0x1.7ecb2775f36c6p-17, 0x1.6eea5b2bf9dbap-17, 0x1.5f7af8d36974bp-17, 0x1.507a08e2954fp-17, 0x1.41e4aab29327cp-17, 0x1.33b8143b2412ep-17, 0x1.25f1924f96d35p-17, 0x1.188e87f536c6fp-17, 0x1.0b8c6da7b9ba3p-17, 0x1.fdd19fcc3e7fap-18, 0x1.e5429c80e8236p-18, 0x1.cd6733cd2fe18p-18, 0x1.b63ae91a6a912p-18, 0x1.9fb95f70e3b9bp-18, 0x1.89de578464867p-18, 0x1.74a5b0a0de607p-18, 0x1.600b67d95a4cbp-18, 0x1.4c0b986977a71p-18, 0x1.38a27b88af976p-18, 0x1.25cc6708c132cp-18, 0x1.1385cb8cfb6d1p-18, 0x1.01cb32b25437ap-18, 0x1.e132796d9ef03p-19, 0x1.bfd93e33ca98cp-19, 0x1.9f844935ca978p-19, 0x1.802d5a24c2e56p-19, 0x1.61ce5b8fcb61dp-19, 0x1.446160eca2816p-19, 0x1.27e0a786b77e1p-19, 0x1.0c4691f4482d2p-19, 0x1.e31b4cfdbb7a5p-20, 0x1.af61194299bd6p-20, 0x1.7d5417277f587p-20, 0x1.4cea130834e8cp-20, 0x1.1e19145297344p-20, 0x1.e1aec315800dcp-21, 0x1.8a36fa32e9f5fp-21, 0x1.35b84c03783a9p-21, 0x1.c84155a79a57dp-22, 0x1.2abcf5923b964p-22, 0x1.25822e422f744p-23, 0x1.60c48be364835p-33, -0x1.1a45c21d2aec8p-23, -0x1.154c00cb726a4p-22, -0x1.986ec24d044b7p-22, -0x1.0b54fdcb9e04dp-21, -0x1.480df03ae40f2p-21, -0x1.82710877409b3p-21, -0x1.ba8cc74e833ccp-21, -0x1.f06f60380b1b4p-21, -0x1.12135c14a3556p-20, -0x1.2ae02fa7094aep-20, -0x1.42a4c9c8933a4p-20, -0x1.59679fde7d3ap-20, -0x1.6f2f0023af748p-20, -0x1.8401175f427f7p-20, -0x1.97e3f10532b88p-20, -0x1.aadd7ce30b2c7p-20, -0x1.bcf39095d1341p-20, -0x1.ce2be8c0d67c3p-20, -0x1.de8c282e627dcp-20, -0x1.ee19da70b1512p-20, -0x1.fcda6d88e4188p-20, -0x1.05699a03771fcp-19, -0x1.0c04b1859b532p-19, -0x1.124108d402a25p-19, -0x1.18211c09b3daap-19, -0x1.1da758f1e2ac6p-19, -0x1.22d61edcb0bcep-19, -0x1.27afbf28718b8p-19, -0x1.2c367f16f8ef9p-19, -0x1.306c98d0876fp-19, -0x1.34543c9a59fb6p-19, -0x1.37ef929818046p-19, -0x1.3b40ba1760c8fp-19, -0x1.3e49ca1c0dedep-19, -0x1.410cd03d6db0cp-19, -0x1.438bd0feb23fbp-19, -0x1.45c8c472abcfdp-19, -0x1.47c597c545acp-19, -0x1.49842be4f8b0ep-19, -0x1.4b06566d5491cp-19, -0x1.4c4de23bd2237p-19, -0x1.4d5c90644071bp-19, -0x1.4e3418b721023p-19, -0x1.4ed62a0ff1103p-19, -0x1.4f446c8af9ff2p-19, -0x1.4f807f0410e52p-19, -0x1.4f8bf90870406p-19, -0x1.4f686a5c51dd3p-19, -0x1.4f175a99a03cfp-19, -0x1.4e9a4996a6ecep-19, -0x1.4df2aeb6109f7p-19, -0x1.4d21f90c086fp-19, -0x1.4c29916e5aaa8p-19, -0x1.4b0ad889636cfp-19, -0x1.49c728dd8d33bp-19, -0x1.485fd6a8b6ee6p-19, -0x1.46d62f27f7708p-19, -0x1.452b782ad9cfcp-19, -0x1.4360ef1c4b8aap-19, -0x1.4177c9a1a639bp-19, -0x1.3f7133ec19501p-19, -0x1.3d4e523cce121p-19, -0x1.3b1041abcd355p-19, -0x1.38b8188a26cd4p-19, -0x1.3646e7fd457f4p-19, -0x1.33bdbbb020b08p-19, -0x1.311d9b2c16079p-19, -0x1.2e678926140ffp-19, -0x1.2b9c83efd1859p-19, -0x1.28bd8507082dp-19, -0x1.25cb814e9884bp-19, -0x1.22c76782f5c15p-19, -0x1.1fb220ba5038cp-19, -0x1.1c8c8fc6df397p-19, -0x1.19579101e4eb1p-19, -0x1.1613f9e3fe98bp-19, -0x1.12c29a36f4ac1p-19, -0x1.0f643a6df969p-19, -0x1.0bf99dcfcab25p-19, -0x1.0883819fde878p-19, -0x1.05029e5a473cfp-19, -0x1.0177a7f7f6e48p-19, -0x1.fbc69d03fc244p-20, -0x1.f48c7c1bdd475p-20, -0x1.ed4240c4529cbp-20, -0x1.e5e93700a5b41p-20, -0x1.de82a593cabd5p-20, -0x1.d70fcc0e0115bp-20, -0x1.cf91e52b38b46p-20, -0x1.c80a213eda794p-20, -0x1.c079a7ab14954p-20, -0x1.b8e195448dbb1p-20, -0x1.b142faf641fbap-20, -0x1.a99edff662423p-20, -0x1.a1f63fa08e978p-20, -0x1.9a4a0c03aebb7p-20, -0x1.929b2ed40bbf8p-20, -0x1.8aea8a4f106b5p-20, -0x1.8338fa102987cp-20, -0x1.7b8757ca80ba7p-20, -0x1.73d676160ac86p-20, -0x1.6c2724a4fad53p-20, -0x1.647a2f986243ep-20, -0x1.5cd05f1b0c671p-20, -0x1.552a762808dc9p-20, -0x1.4d89327424a39p-20, -0x1.45ed4ad971142p-20, -0x1.3e576f0f49e15p-20, -0x1.36c846ce4cd01p-20, -0x1.2f40722c4a9b9p-20, -0x1.27c08bf0a5fa2p-20, -0x1.204926778f0bfp-20, -0x1.18dacf422d3b4p-20, -0x1.11760ed3ac902p-20, -0x1.0a1b6884ca028p-20, -0x1.02cb5b5a89028p-20, -0x1.f70cc175ff8dep-21, -0x1.e899d9ac49304p-21, -0x1.da3edbd0274c5p-21, -0x1.cbfc9c92f6b34p-21, -0x1.bdd3e34274b81p-21, -0x1.afc56e56d33bdp-21, -0x1.a1d1f379795f1p-21, -0x1.93fa207c495ap-21, -0x1.863e9cd5fdeedp-21, -0x1.78a009994102ap-21, -0x1.6b1f03643569dp-21, -0x1.5dbc24a100ebbp-21, -0x1.5078038afb509p-21, -0x1.43533307288d5p-21, -0x1.364e4256fa8b9p-21, -0x1.2969bae62182bp-21, -0x1.1ca62097168fap-21, -0x1.1003edbf1727fp-21, -0x1.038391a591e8p-21, -0x1.ee4adfbc20e2bp-22, -0x1.d5d3c1c4c64bcp-22, -0x1.bda26382fda0bp-22, -0x1.a5b74b9dae777p-22, -0x1.8e12f0772771ep-22, -0x1.76b5c470e5e99p-22, -0x1.5fa02c1e29ecp-22, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e4d55ee05e5aap-1, 0x1.f8d04910329f7p-1, 0x1.03d59915af799p+0, 0x1.08dc725ef06ccp+0, 0x1.0baad869673a9p+0, 0x1.0c70aa262dfc5p+0, 0x1.0b60037463bcep+0, 0x1.08a95ebc1e6bcp+0, 0x1.047ce46ff3093p+0, 0x1.fe137d36fb4e2p-1, 0x1.f0f4283471363p-1, 0x1.e1eefacc0f42dp-1, 0x1.d1518045cbbbp-1, 0x1.bf61268f73f2bp-1, 0x1.ac5d6dac9674p-1, 0x1.98810804b57b5p-1, 0x1.8401b5d46667ap-1, 0x1.6f0ef34420b8fp-1, 0x1.59d25746fcecfp-1, 0x1.4470fb14dd9aep-1, 0x1.2f0c1a4667f2ep-1, 0x1.19c11d40b69acp-1, 0x1.04a9cb6ff1d58p-1, 0x1.dfb9313aa2ccfp-2, 0x1.b6d98e12e2a3dp-2, 0x1.8ed507eb1bad8p-2, 0x1.67c69d1e156ap-2, 0x1.41c51d4000787p-2, 0x1.1ce3f4c9b5571p-2, 0x1.f26695d5818d3p-3, 0x1.ad7f8d8dcfd6cp-3, 0x1.6b24fbb942ad5p-3, 0x1.2b62a186b0c1ep-3, 0x1.dc78d1e7b9e31p-4, 0x1.677813d553b28p-4, 0x1.ef7f8a4be0db2p-5, 0x1.1a93b7b5ec8ffp-5, 0x1.4053f42c43392p-7, -0x1.c079a377b200bp-7, -0x1.2630c1d25eb18p-5, -0x1.d2538fc85da2bp-5, -0x1.3a5f4f9a2fb9cp-4, -0x1.86d7a1b7fa0ebp-4, -0x1.ceb3bf60669aep-4, -0x1.090b41917ff01p-3, -0x1.289212ef3a6f1p-3, -0x1.4600ee915ce8bp-3, -0x1.616acb924661bp-3, -0x1.7ae2e44c5f261p-3, -0x1.927c9f1534367p-3, -0x1.a84b75e1a5c88p-3, -0x1.bc62dcc0bc643p-3, -0x1.ced627ab9f083p-3, -0x1.dfb87047c4b69p-3, -0x1.ef1c7d6818b3ap-3, -0x1.fd14af501809dp-3, -0x1.04d979e346705p-2, -0x1.0a846138754ecp-2, -0x1.0f938f4029d5bp-2, -0x1.140f4c4f9db67p-2, -0x1.17ffa6898ddf3p-2, -0x1.1b6c6e55cdf5ep-2, -0x1.1e5d311f2454fp-2, -0x1.20d93415fac2cp-2, -0x1.22e7709f40f44p-2, -0x1.248e9342b2089p-2, -0x1.25d4fcdcabe19p-2, -0x1.26c0c53e397b5p-2, -0x1.2757be456efc5p-2, -0x1.279f76b18c3f9p-2, -0x1.279d3c6ec1e09p-2, -0x1.27561e68564e5p-2, -0x1.26ceee10d699cp-2, -0x1.260c40d334afep-2, -0x1.25127170a4b04p-2, -0x1.23e5a13b41d42p-2, -0x1.2289b92a625ecp-2, -0x1.21104d3c7f023p-2, -0x1.1f6337141d65dp-2, -0x1.1d9127d11ec59p-2, -0x1.1b9d29a8ddaa6p-2, -0x1.198a1813ca70ap-2, -0x1.175aa218d70c9p-2, -0x1.15114ccbc874dp-2, -0x1.12b075ef0194ap-2, -0x1.103a569c638dep-2, -0x1.0db105deb1954p-2, -0x1.0b167b28df859p-2, -0x1.086c90968e488p-2, -0x1.05b504e835372p-2, -0x1.02f17d3461cc6p-2, -0x1.0023864d5f7efp-2, -0x1.fa992bc094773p-3, -0x1.f4dc16b2252ccp-3, -0x1.ef126136c2423p-3, -0x1.e93e753b10cc7p-3, -0x1.e36293eb27061p-3, -0x1.dd80d6cdec532p-3, -0x1.d79b30f3c8adfp-3, -0x1.d1b370455845cp-3, -0x1.cbcb3ef7f0fa2p-3, -0x1.c5e425272da0bp-3, -0x1.bfff8a8d6a2cp-3, -0x1.ba1eb8517e72dp-3, -0x1.b442dadfd413p-3, -0x1.ae6d03c6969e1p-3, -0x1.a89e2b89d0b06p-3, -0x1.a2d73367b3cb9p-3, -0x1.9d18e70b1d7d2p-3, -0x1.9763fe2aa3c67p-3, -0x1.91b91e11d709p-3, -0x1.8c18db14d67e8p-3, -0x1.8683b9efc22dfp-3, -0x1.80fa3112971afp-3, -0x1.7b7ca9d9446d2p-3, -0x1.760b81af6cd2bp-3, -0x1.70a70b1fe2311p-3, -0x1.6b4f8ecf9fd38p-3, -0x1.66054c61fe8cep-3, -0x1.60c87b4538d22p-3, -0x1.5b994b67d0d29p-3, -0x1.5677e5d71e0a1p-3, -0x1.51646d4751779p-3, -0x1.4c5efe867e0dfp-3, -0x1.4767b0dcf0116p-3, -0x1.427e965d29843p-3, -0x1.3da3bc26a7995p-3, -0x1.38d72a9ec03d2p-3, -0x1.3418e5a324573p-3, -0x1.2f68ecb998aecp-3, -0x1.2ac73b3f7cac8p-3, -0x1.2633c89b49204p-3, -0x1.21ae88721c158p-3, -0x1.1d376ae2c3274p-3, -0x1.18ce5cc68ff7dp-3, -0x1.147347f79449p-3, -0x1.1026139b6485bp-3, -0x1.0be6a47130664p-3, -0x1.07b4dd217f26cp-3, -0x1.03909e8de838ep-3, -0x1.fef3903df70e3p-4, -0x1.f6e0701db54e4p-4, -0x1.eee7975e60ab9p-4, -0x1.e708bf52d43e9p-4, -0x1.df43a07122f2ep-4, -0x1.d797f2b8f69b9p-4, -0x1.d0056e0c7c3d2p-4, -0x1.c88bca7c2e796p-4, -0x1.c12ac0861ff7p-4, -0x1.b9e20949bdd07p-4, -0x1.b2b15eb10ae3fp-4, -0x1.ab987b9031adp-4, -0x1.a4971bbca0854p-4, -0x1.9dacfc1ce7ad3p-4, -0x1.96d9dab22dcecp-4, -0x1.901d769bf2483p-4, -0x1.897790170fd81p-4, -0x1.82e7e878fab53p-4, -0x1.7c6e42280217fp-4, -0x1.760a60912a90dp-4, -0x1.6fbc081c6e4bdp-4, -0x1.6982fe202a932p-4, -0x1.635f08d465bc4p-4, -0x1.5d4fef4697cb6p-4, -0x1.5755794e64195p-4, -0x1.516f69b0f2c7ep-4, -0x1.4b9de596662f9p-4, -0x1.45e05c96bb5c8p-4, -0x1.403697f8ab111p-4, -0x1.3aa061e46930cp-4, -0x1.351d8564bec09p-4, -0x1.2fadce677c6ddp-4, -0x1.2a5109bd35f2p-4, -0x1.250705183fd1bp-4, -0x1.1fcf8f0aeca6cp-4, -0x1.1aaa7704e44eap-4, -0x1.15978d4f86373p-4, -0x1.1096a30985eebp-4, -0x1.0ba78a21fdc7ep-4, -0x1.06ca1552e59fcp-4, -0x1.01fe181adc887p-4, -0x1.fa86cd6cc2fbdp-5, -0x1.f133ac3143b25p-5, -0x1.e80277c7e53c5p-5, -0x1.def2dcc403519p-5, -0x1.d60488f789686p-5, -0x1.cd372b62781abp-5, -0x1.c48a74223022cp-5, -0x1.bbfe1460af454p-5, -0x1.b391be43cdef7p-5, -0x1.ab4524dc9b173p-5, -0x1.a317fc16fa9b3p-5, -0x1.9b09f8a9a7e95p-5, -0x1.931ad006b0457p-5, -0x1.8b4a384c46c9p-5, -0x1.8397e835c45ccp-5, -0x1.7c03970d09299p-5, -0x1.748cfc9cb0c95p-5, -0x1.6d33d1232da1cp-5, -0x1.65f7cd46a72bp-5, -0x1.5ed8aa0969dfep-5, -0x1.57d620bef03b7p-5, -0x1.50efeb01a0e9cp-5, -0x1.4a25c2a960c81p-5, -0x1.437761c2efe84p-5, -0x1.3ce48287ec4c7p-5, -0x1.366cdf5771347p-5, -0x1.301032af71f3bp-5, -0x1.29ce3726e1332p-5, -0x1.23a6a76897f4p-5, -0x1.1d993e2ef70d2p-5, -0x1.17a5b64031306p-5, -0x1.11cbca6b3e2d2p-5, -0x1.0c0b35855e19bp-5, -0x1.0663b2680556bp-5, -0x1.00d4fbef21966p-5, -0x1.f6bd99efb57a5p-6, -0x1.ec01c0bfe2c59p-6, -0x1.e175e20b590dp-6, -0x1.d719739074a1ap-6, -0x1.ccebeb10aae2dp-6, -0x1.c2ecbe5255c03p-6, -0x1.b91b6322f573ep-6, -0x1.af774f59f73bep-6, -0x1.a5fff8dc01c71p-6, -0x1.9cb4d59ebaaa5p-6, -0x1.93955bacec3e5p-6, -0x1.8aa1012b09c7cp-6, -0x1.81d73c5bf45d1p-6, -0x1.793783a61876dp-6, -0x1.70c14d98da4f7p-6, -0x1.687410f2608e8p-6, -0x1.604f44a5af2d1p-6, -0x1.58525fe0e4d3cp-6, -0x1.507cda136fc8ap-6, -0x1.48ce2af431f85p-6, -0x1.4145ca87ca4b7p-6, -0x1.39e331273050fp-6, -0x1.32a5d786a50d8p-6, -0x1.2b8d36bce04f5p-6, -0x1.2498c84a5757ap-6, -0x1.1dc806207d2e2p-6, -0x1.171a6aa9072e1p-6, -0x1.108f70cd389bfp-6, -0x1.0a2693fd36addp-6, -0x1.03df5037796cbp-6, -0x1.fb7244207ece7p-7, -0x1.ef670d7243849p-7, -0x1.e39bf81151fcdp-7, -0x1.d8100103e8111p-7, -0x1.ccc226b8c1661p-7, -0x1.c1b1691639ecap-7, -0x1.b6dcc98925caep-7, -0x1.ac434b1378039p-7, -0x1.a1e3f25ab7dbfp-7, -0x1.97bdc5b693ce9p-7, -0x1.8dcfcd3f5dfa8p-7, -0x1.841912dc74ddfp-7, -0x1.7a98a252671afp-7, -0x1.714d8950ba58ep-7, -0x1.6836d77f56abbp-7, -0x1.5f539e8b9ef1ap-7, -0x1.56a2f23533579p-7, -0x1.4e23e85a55924p-7, -0x1.45d5990416343p-7, -0x1.3db71e7233e74p-7, -0x1.35c795269aab4p-7, -0x1.2e061bf0699efp-7, -0x1.2671d3f66b7cep-7, -0x1.1f09e0c0eeeedp-7, -0x1.17cd684302cdbp-7, -0x1.10bb92e32f7e6p-7, -0x1.09d38b83da514p-7, -0x1.03147f8b47357p-7, -0x1.f8fb3dd656c3ap-8, -0x1.ec1c384f559d4p-8, -0x1.df8a58bbaf2cbp-8, -0x1.d3440e9315f77p-8, -0x1.c747ce957372p-8, -0x1.bb9412d458764p-8, -0x1.b0275abb6ac5p-8, -0x1.a5002b17978f1p-8, -0x1.9a1d0e1d4f237p-8, -0x1.8f7c936da88cfp-8, -0x1.851d501a9e17dp-8, -0x1.7afddeaa46529p-8, -0x1.711cdf190941cp-8, -0x1.6778f6dadb584p-8, -0x1.5e10d0db81055p-8, -0x1.54e31d7de198fp-8, -0x1.4bee929a61e5ap-8, -0x1.4331eb7c484fep-8, -0x1.3aabe8de4628dp-8, -0x1.325b50e63df8ap-8, -0x1.2a3eef2041f06p-8, -0x1.22559478c91acp-8, -0x1.1a9e17361ef43p-8, -0x1.131752f11e05ep-8, -0x1.0bc0288d461f7p-8, -0x1.04977e303026ep-8, -0x1.fb387e70b20d9p-9, -0x1.ed9ab866ac097p-9, -0x1.e05395a6f1f6p-9, -0x1.d3610bca0eb6fp-9, -0x1.c6c11a85dd304p-9, -0x1.ba71cb9636301p-9, -0x1.ae7132a448139p-9, -0x1.a2bd6d2d4a096p-9, -0x1.9754a2680a089p-9, -0x1.8c35032a12a1fp-9, -0x1.815cc9cc1e5cep-9, -0x1.76ca3a0e3d64cp-9, -0x1.6c7ba0fb99416p-9, -0x1.626f54cda5124p-9, -0x1.58a3b4cec46d1p-9, -0x1.4f17293c90485p-9, -0x1.45c82329a2dd5p-9, -0x1.3cb51c5f211c8p-9, -0x1.33dc973dbac58p-9, -0x1.2b3d1e9e71a3bp-9, -0x1.22d545b3263f1p-9, -0x1.1aa3a7e7248c5p-9, -0x1.12a6e8bf8ae64p-9, -0x1.0addb3bb9de23p-9, -0x1.0346bc34f03c8p-9, -0x1.f7c17a7ee3fe1p-10, -0x1.e954f312fd0fbp-10, -0x1.db457677c8bdep-10, -0x1.cd90a7b3d234cp-10, -0x1.c0343842b34b9p-10, -0x1.b32de7d54a77p-10, -0x1.a67b84121dc4dp-10, -0x1.9a1ae855c2591p-10, -0x1.8e09fd7386582p-10, -0x1.8246b97664001p-10, -0x1.76cf1f6214488p-10, -0x1.6ba13ef49e7bfp-10, -0x1.60bb3467a8c42p-10, -0x1.561b28327a9b1p-10, -0x1.4bbf4ecc017c3p-10, -0x1.41a5e86d84196p-10, -0x1.37c6a0477cefdp-10, -0x1.2e29bb9010c74p-10, -0x1.24ca593979d8ep-10, -0x1.1ba6e8658c984p-10, -0x1.12bde2bb0e7d4p-10, -0x1.0a0dcc28a9663p-10, -0x1.019532a8aae05p-10, -0x1.f2a55c0af986ep-11, -0x1.e289bf3dc6cb3p-11, -0x1.d2d4e45ff66c1p-11, -0x1.c384332bcb4b9p-11, -0x1.b495252e778a8p-11, -0x1.a6054558b21c6p-11, -0x1.97d22f912d91p-11, -0x1.89f990489313cp-11, -0x1.7c79240fa6af8p-11, -0x1.6f4eb72e69ccap-11, -0x1.6278253d87d43p-11, -0x1.55f358c0ef369p-11, -0x1.49be4ac4f9f2p-11, -0x1.3dd7027ce2037p-11, -0x1.323b94e38a57ep-11, -0x1.26ea245d70fa7p-11, -0x1.1be0e05cf05b8p-11, -0x1.111e0507d2966p-11, -0x1.069fdadf5a51bp-11, -0x1.f8c96cd3fb8a4p-12, -0x1.e4d5efbe09116p-12, -0x1.d16215a7b1c62p-12, -0x1.be6acbd62d73fp-12, -0x1.abed150a346e1p-12, -0x1.99e608e4d31c9p-12, -0x1.8852d34fbe333p-12, -0x1.7730b3e96a3abp-12, -0x1.667cfd740697bp-12, -0x1.56351548605e5p-12, -0x1.465672cbc0f49p-12, -0x1.36de9ee96b19fp-12, -0x1.27cb338f3a785p-12, -0x1.1919db2e2e9cap-12, -0x1.0ac8503e586d8p-12, -0x1.f9a8b98ba74ebp-13, -0x1.de77b3c5c5c7ep-13, -0x1.c3f95eb14f071p-13, -0x1.aa29a63caf7e8p-13, -0x1.910491e2c529ep-13, -0x1.788643d4d35bcp-13, -0x1.60aaf82af9c67p-13, -0x1.496f041b6a335p-13, -0x1.32ced5374a2fbp-13, -0x1.1cc6f0addf369p-13, -0x1.0753f294fd6dfp-13, -0x1.e4e51a6dbbcb4p-14, -0x1.bc3f10cb9d77p-14, -0x1.94af81a824c6p-14, -0x1.6e304ee50746ap-14, -0x1.48bb81a518fdap-14, -0x1.244b491ea108p-14, -0x1.00d9f973b55abp-14, -0x1.bcc4152c36ed5p-15, -0x1.79bc2e67fa0a8p-15, -0x1.3891b756c229p-15, -0x1.f274d423bef16p-16, -0x1.77588041710a8p-16, -0x1.ff75c25d6a2afp-17, -0x1.1711b935cba71p-17, -0x1.aafcc3f145764p-20, 0x1.4b8a15e9a9a7dp-18, 0x1.7a7fc172ee9e7p-17, 0x1.2479a35b693d3p-16, 0x1.88a0c3fc6c32fp-16, 0x1.e9c5d4e513e2ap-16, 0x1.23fc836ed7e49p-15, 0x1.51a515f2dd943p-15, 0x1.7de45cea56259p-15, 0x1.a8c1e674c4eeap-15, 0x1.d2451521df903p-15, 0x1.fa75212538272p-15, 0x1.10ac8cc069a32p-14, 0x1.237bf2929f464p-14, 0x1.35ac2206acea7p-14, 0x1.4740682772a6ap-14, 0x1.583bff931e3ddp-14, 0x1.68a210fd5a7adp-14, 0x1.7875b3ae56c7ep-14, 0x1.87b9edfed4397p-14, 0x1.9671b5d034a45p-14, 0x1.a49ff1048f1b1p-14, 0x1.b24775f0e85c6p-14, 0x1.bf6b0bd06dc34p-14, 0x1.cc0d6b31a12cdp-14, 0x1.d8313e6308076p-14, 0x1.e3d921dc339cep-14, 0x1.ef07a4a52ea3p-14, 0x1.f9bf48bb25071p-14, 0x1.020141b9e66f3p-13, 0x1.06e9deee85c94p-13, 0x1.0b9aaa8d660ap-13, 0x1.1014cd606aeb3p-13, 0x1.14596a952427fp-13, 0x1.18699fe74a94ep-13, 0x1.1c4685c9bacf5p-13, 0x1.1ff12f8e12721p-13, 0x1.236aab8b9a0bbp-13, 0x1.26b403447a3bbp-13, 0x1.29ce3b89d17abp-13, 0x1.2cba549e133cfp-13, 0x1.2f794a5723864p-13, 0x1.320c143e0c33cp-13, 0x1.3473a5adb9ac6p-13, 0x1.36b0edf07feb1p-13, 0x1.38c4d85b59abep-13, 0x1.3ab04c682262ep-13, 0x1.3c742dce1426p-13, 0x1.3e115c991e265p-13, 0x1.3f88b5403ef63p-13, 0x1.40db10bad0983p-13, 0x1.420944954556ep-13, 0x1.43142304befa1p-13, 0x1.43fc7af9cb1c6p-13, 0x1.44c31831a1991p-13, 0x1.4568c34737bd1p-13, 0x1.45ee41c282b3cp-13, 0x1.4654562736716p-13, 0x1.469bc002d97adp-13, 0x1.46c53bfa10b8p-13, 0x1.46d183d4d973fp-13, 0x1.46c14e8b0d395p-13, 0x1.4695504e84cbep-13, 0x1.464e3a974bdaap-13, 0x1.45ecbc2c6f807p-13, 0x1.4571812f8eeecp-13, 0x1.44dd3324a4b85p-13, 0x1.443078fd3e505p-13, 0x1.436bf71f78deap-13, 0x1.42904f6f0a4c2p-13, 0x1.419e21554c4ebp-13, 0x1.409609c829ed9p-13, 0x1.3f78a351a0bdbp-13, 0x1.3e468617421dfp-13, 0x1.3d0047e13e751p-13, 0x1.3ba67c20e21eep-13, 0x1.3a39b3f793278p-13, 0x1.38ba7e3d28644p-13, 0x1.37296785e1f91p-13, 0x1.3586fa28e2abbp-13, 0x1.33d3be46174c2p-13, 0x1.321039cc40576p-13, 0x1.303cf07f14d24p-13, 0x1.2e5a63fd1ee32p-13, 0x1.2c6913c577177p-13, 0x1.2a697d3cfd0fp-13, 0x1.285c1bb411db4p-13, 0x1.2641686b889b7p-13, 0x1.2419da99eadd8p-13, 0x1.21e5e7709e5edp-13, 0x1.1fa6022142a54p-13, 0x1.1d5a9be326ea1p-13, 0x1.1b0423f871a7cp-13, 0x1.18a307b38c9cbp-13, 0x1.1637b27c5f433p-13, 0x1.13c28dd574928p-13, 0x1.11440160b75d1p-13, 0x1.0ebc72e4b3174p-13, 0x1.0c2c4651000b4p-13, 0x1.0993ddc35716ep-13, 0x1.06f3998bf1434p-13, 0x1.044bd832ac9f9p-13, 0x1.019cf67bb94f4p-13, 0x1.fdce9ed879607p-14, 0x1.f856789fd132bp-14, 0x1.f2d22978bd7e3p-14, 0x1.ed425d30d58f7p-14, 0x1.e7a7bc3d42a92p-14, 0x1.e202ebc6a6401p-14, 0x1.dc548db45fe39p-14, 0x1.d69d40b27a0d2p-14, 0x1.d0dda03cd6d05p-14, 0x1.cb1644aaa2cc3p-14, 0x1.c547c333c2141p-14, 0x1.bf72adfbf0432p-14, 0x1.b997941d4ea59p-14, 0x1.b3b701aeb41c5p-14, 0x1.add17fce47e2dp-14, 0x1.a7e794aabd0bbp-14, 0x1.a1f9c38d6e457p-14, 0x1.9c088ce15dbf5p-14, 0x1.96146e3dd8093p-14, 0x1.901de26f0a038p-14, 0x1.8a25617ec68c4p-14, 0x1.842b60be9b6aep-14, 0x1.7e3052cec8333p-14, 0x1.7834a7a9566b8p-14, 0x1.7238ccaa2355ap-14, 0x1.6c3d2c98a6224p-14, 0x1.66422fb04e083p-14, 0x1.60483ba9a8dc3p-14, 0x1.5a4fb3c3106c1p-14, 0x1.5458f8c8ff944p-14, 0x1.4e64691ec72bbp-14, 0x1.487260c63b912p-14, 0x1.428339692f06dp-14, 0x1.3c974a615b98fp-14, 0x1.36aee8c14bbd1p-14, 0x1.30ca675d0f6bep-14, 0x1.2aea16d32774cp-14, 0x1.250e4594cb719p-14, 0x1.1f373fef36eb2p-14, 0x1.19655013810dfp-14, 0x1.1398be1f09873p-14, 0x1.0dd1d0236298fp-14, 0x1.0810ca2e55a9fp-14, 0x1.0255ee51e54f4p-14, 0x1.f942f9536f032p-15, 0x1.ede766cd68a9cp-15, 0x1.e2999da3add0bp-15, 0x1.d75a12b2eb3b7p-15, 0x1.cc293728b4069p-15, 0x1.c10778981a784p-15, 0x1.b5f5410dec947p-15, 0x1.aaf2f717866e5p-15, 0x1.a000fdd63b9b9p-15, 0x1.951fb512ed555p-15, 0x1.8a4f7943b66dcp-15, 0x1.7f90a39fc86b3p-15, 0x1.74e38a2ae71edp-15, 0x1.6a487fc86bc5fp-15, 0x1.5fbfd441db8c3p-15, 0x1.5549d45a0d434p-15, 0x1.4ae6c9d9a3b2fp-15, 0x1.4096fb9bf6853p-15, 0x1.365aada1698bep-15, 0x1.2c3221163a62ap-15, 0x1.221d94646a2dcp-15, 0x1.181d433fa1506p-15, 0x1.0e3166b201a6p-15, 0x1.045a352c2d77cp-15, 0x1.f52fc51a4afeap-16, 0x1.e1d5406430c03p-16, 0x1.cea53a0301237p-16, 0x1.bba00aefe826cp-16, 0x1.a8c607658fad4p-16, 0x1.96177efc17233p-16, 0x1.8394bcba24582p-16, 0x1.713e073098d85p-16, 0x1.5f13a0910b00dp-16, 0x1.4d15c6c55e96p-16, 0x1.3b44b384a0f3ep-16, 0x1.29a09c6f05bdbp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e6e129459b75p-1, 0x1.0449d2b388b94p+0, 0x1.1395106f80d45p+0, 0x1.2159791f086edp+0, 0x1.2da19f5fe4281p+0, 0x1.387aadfe80791p+0, 0x1.41f3e21276e73p+0, 0x1.4a1dc8666d68bp+0, 0x1.510a2159e2afcp+0, 0x1.56cb0468142c1p+0, 0x1.5b72d9586a804p+0, 0x1.5f14387ee1613p+0, 0x1.61c129d494e13p+0, 0x1.638b836eeceb2p+0, 0x1.64848616d5638p+0, 0x1.64bcc825169b7p+0, 0x1.644427e894517p+0, 0x1.6329cc968d132p+0, 0x1.617c1e5f52756p+0, 0x1.5f48b65d71241p+0, 0x1.5c9c5c7a7dfedp+0, 0x1.59831388ead97p+0, 0x1.5608217ee66a4p+0, 0x1.523610eedec73p+0, 0x1.4e16b4a078934p+0, 0x1.49b32f2bc5ae8p+0, 0x1.4513fda6a4b44p+0, 0x1.404102a0ca07ap+0, 0x1.3b418c0cf3c36p+0, 0x1.361c56a5682bdp+0, 0x1.30d7964a635f5p+0, 0x1.2b7901baf8cfdp+0, 0x1.2605db0067e24p+0, 0x1.2082f425e3658p+0, 0x1.1af4bb4e74f94p+0, 0x1.155f3623cdcc4p+0, 0x1.0fc611358b3dfp+0, 0x1.0a2ca39fe0633p+0, 0x1.0495f4c0819bfp+0, 0x1.fe09833e63415p-1, 0x1.f2f7043595edcp-1, 0x1.e7f8db8f5b62p-1, 0x1.dd1300f27ee15p-1, 0x1.d248fd26f21eep-1, 0x1.c79df26d7c7a4p-1, 0x1.bd14a46a359c5p-1, 0x1.b2af7f4ee638ep-1, 0x1.a8709e5e45c23p-1, 0x1.9e59d221418e8p-1, 0x1.946ca67e69b99p-1, 0x1.8aaa6895c28fbp-1, 0x1.81142c2093557p-1, 0x1.77aad03b89b7dp-1, 0x1.6e6f03ca623a7p-1, 0x1.656149a5d2e68p-1, 0x1.5c81fca481558p-1, 0x1.53d15369bfc24p-1, 0x1.4b4f63e0f721ep-1, 0x1.42fc265af44d2p-1, 0x1.3ad778621fa6ap-1, 0x1.32e11f67049c4p-1, 0x1.2b18cb5558a09p-1, 0x1.237e190e41b9ap-1, 0x1.1c1094b3fa90cp-1, 0x1.14cfbbb5a3532p-1, 0x1.0dbafe97461fp-1, 0x1.06d1c27eedb41p-1, 0x1.0013629d3735dp-1, 0x1.f2fe6306bb094p-2, 0x1.e628f4dfb9502p-2, 0x1.d9a505213e11fp-2, 0x1.cd711462ddb45p-2, 0x1.c18b9b982ebecp-2, 0x1.b5f30de8a4667p-2, 0x1.aaa5da3e9fe5fp-2, 0x1.9fa26c9c29a05p-2, 0x1.94e72f499c97fp-2, 0x1.8a748fddd5effp-2, 0x1.8044d8215137dp-2, 0x1.76588bbcf9b74p-2, 0x1.6cae195b56002p-2, 0x1.6343f2da8b15ap-2, 0x1.5a188df9e2e43p-2, 0x1.512a64f30f3acp-2, 0x1.4877f6ff2863ap-2, 0x1.3fffc8c874f6fp-2, 0x1.37c064ca89cdfp-2, 0x1.2fb85ba194c14p-2, 0x1.27e6444a650f2p-2, 0x1.2048bc554603ap-2, 0x1.18de680d7da42p-2, 0x1.11a5f2972c729p-2, 0x1.0a9e0e0524a9cp-2, 0x1.03c573683d4cap-2, 0x1.fa35c5b1a8eeap-3, 0x1.ed3a46f65ab66p-3, 0x1.e09606ffb7feap-3, 0x1.d446b041b0879p-3, 0x1.c849fb36880eep-3, 0x1.bc9dae4c6c7c8p-3, 0x1.b13f9dcd9e469p-3, 0x1.a62dabc358caap-3, 0x1.9b65c7d38df5ap-3, 0x1.90e5ef19f1414p-3, 0x1.86ac2bfcd89b4p-3, 0x1.7cb695fe352efp-3, 0x1.73035188dc5cbp-3, 0x1.69908fbae4255p-3, 0x1.605c8e2d7ad46p-3, 0x1.576596ba6eb08p-3, 0x1.4ea9ff3fa5e79p-3, 0x1.46282960a1fb9p-3, 0x1.3dde8246607ep-3, 0x1.35cb825dc6d67p-3, 0x1.2dedad14fe3d1p-3, 0x1.26439098001e2p-3, 0x1.1ecbc58cd0b07p-3, 0x1.1784eecf9114bp-3, 0x1.106db92eaa16ap-3, 0x1.0984db2775978p-3, 0x1.02c914a3ab3eep-3, 0x1.f8725d6f657edp-4, 0x1.eba7f6c3dfd48p-4, 0x1.df30aa96756b3p-4, 0x1.d30a3f113cf31p-4, 0x1.c7328abd0e304p-4, 0x1.bba7740aa141bp-4, 0x1.b066f0de9eda6p-4, 0x1.a56f0620d7f57p-4, 0x1.9abdc74e6af7ep-4, 0x1.9051560eb4d2cp-4, 0x1.8627e1cafa44cp-4, 0x1.7c3fa748b013p-4, 0x1.7296f0465074ap-4, 0x1.692c131a823aap-4, 0x1.5ffd72557c113p-4, 0x1.57097c6493d76p-4, 0x1.4e4eab37ef7fcp-4, 0x1.45cb83ea4a477p-4, 0x1.3d7e966ad1c99p-4, 0x1.35667d29227e6p-4, 0x1.2d81dcc3634c6p-4, 0x1.25cf63b662f85p-4, 0x1.1e4dca0fb3395p-4, 0x1.16fbd121ccb5fp-4, 0x1.0fd8433a47dep-4, 0x1.08e1f35a1c908p-4, 0x1.0217bcefe615bp-4, 0x1.f6f107284815p-5, 0x1.ea06658ef9459p-5, 0x1.dd6d7b65f5434p-5, 0x1.d1243dd492481p-5, 0x1.c528b05fcc689p-5, 0x1.b978e47689859p-5, 0x1.ae12f9019716fp-5, 0x1.a2f519f74a97p-5, 0x1.981d7ff2c2177p-5, 0x1.8d8a6fcea98efp-5, 0x1.833a3a437b04dp-5, 0x1.792b3b8907ff1p-5, 0x1.6f5bdafb376ffp-5, 0x1.65ca8ac1e57dfp-5, 0x1.5c75c77bd712cp-5, 0x1.535c17ecadd78p-5, 0x1.4a7c0cadb373fp-5, 0x1.41d45a4e76abap-5, 0x1.39636f59b9fcfp-5, 0x1.3128120dd817ep-5, 0x1.2920f78312d49p-5, 0x1.214cdd4497101p-5, 0x1.19aa890fe67b2p-5, 0x1.1238c89673a7ep-5, 0x1.0af67141575c3p-5, 0x1.03e25ff71498bp-5, 0x1.f9f6f1c6931f4p-6, 0x1.ec814e808e696p-6, 0x1.df61ba45062c7p-6, 0x1.d296268bb7835p-6, 0x1.c61c91b93fbcbp-6, 0x1.b9f306c076fd5p-6, 0x1.ae179cc6ef32fp-6, 0x1.a28876cc76f91p-6, 0x1.9743c355ad1a7p-6, 0x1.8c47bc197dfbp-6, 0x1.8192a5b17a07p-6, 0x1.7722cf4ce4148p-6, 0x1.6cf692665cfa2p-6, 0x1.630c527c10349p-6, 0x1.59627cca5659p-6, 0x1.4ff78808b1e34p-6, 0x1.46c9f429135e7p-6, 0x1.3dd84a194db13p-6, 0x1.35211b86a4bb4p-6, 0x1.2ca302a35fc12p-6, 0x1.245ca1ee464fcp-6, 0x1.1c4ca3fc01f7bp-6, 0x1.1471bb425e89dp-6, 0x1.0ccaa1e54b484p-6, 0x1.055619858abf5p-6, 0x1.fc25d621e770ep-7, 0x1.edffcd287009bp-7, 0x1.e037c61c396ffp-7, 0x1.d2cb7c88544d8p-7, 0x1.c5b8b9317073ep-7, 0x1.b8fd51c4a71ebp-7, 0x1.ac972888cb31bp-7, 0x1.a0842c1228eedp-7, 0x1.94c256f87fa89p-7, 0x1.894faf8f40b35p-7, 0x1.7e2a479ff8d87p-7, 0x1.73503c26bfb2ep-7, 0x1.68bfb510afc6dp-7, 0x1.5e76e4fc36114p-7, 0x1.547408fb2f36ap-7, 0x1.4ab56856bd32fp-7, 0x1.41395454c5ed8p-7, 0x1.37fe27ff3277ep-7, 0x1.2f0247eca8be9p-7, 0x1.2644220ad4c76p-7, 0x1.1dc22d6a0cdbp-7, 0x1.157aea0a54d1ep-7, 0x1.0d6ce0a9b1768p-7, 0x1.0596a293baf49p-7, 0x1.fbed92e4eb05bp-8, 0x1.ed17ee40aacdbp-8, 0x1.dea9aaf6d5503p-8, 0x1.d0a02c73387fdp-8, 0x1.c2f8e57bf8abep-8, 0x1.b5b157de362a6p-8, 0x1.a8c7141cac895p-8, 0x1.9c37b920311a4p-8, 0x1.9000f3e9fb2afp-8, 0x1.84207f47b874cp-8, 0x1.789423893de86p-8, 0x1.6d59b637ef02cp-8, 0x1.626f19cfce29ap-8, 0x1.57d23d7a201a4p-8, 0x1.4d811cc988853p-8, 0x1.4379bf7782014p-8, 0x1.39ba392343118p-8, 0x1.3040a911fd616p-8, 0x1.270b39f062f42p-8, 0x1.1e182195733f4p-8, 0x1.1565a0c68ccedp-8, 0x1.0cf202fcc20ccp-8, 0x1.04bb9e2b42b8p-8, 0x1.f981a50dd7008p-9, 0x1.ea00149dde368p-9, 0x1.daef732d3086cp-9, 0x1.cc4cbc202a497p-9, 0x1.be14fdb03eeeap-9, 0x1.b0455885b110ap-9, 0x1.a2daff52cb94fp-9, 0x1.95d33671493fdp-9, 0x1.892b53819137dp-9, 0x1.7ce0bd0ba8625p-9, 0x1.70f0ea2228aa4p-9, 0x1.655962068f1d4p-9, 0x1.5a17bbcf7d5e7p-9, 0x1.4f299e107446cp-9, 0x1.448cbe833f6ddp-9, 0x1.3a3ee1b2f8d65p-9, 0x1.303ddaa86be1ep-9, 0x1.26878a983ce25p-9, 0x1.1d19e09266601p-9, 0x1.13f2d9335ae73p-9, 0x1.0b107e5652e15p-9, 0x1.0270e6c9178ddp-9, 0x1.f4246c027c4b5p-10, 0x1.e3e537a5cffcp-10, 0x1.d420a8517516cp-10, 0x1.c4d34d7a2429dp-10, 0x1.b5f9cda92bdffp-10, 0x1.a790e5f45fe8ep-10, 0x1.99956978593bap-10, 0x1.8c0440d52cd93p-10, 0x1.7eda69ad83ac6p-10, 0x1.7214f62889be8p-10, 0x1.65b10c75a568dp-10, 0x1.59abe653123dep-10, 0x1.4e02d09666d74p-10, 0x1.42b32ab7c84f2p-10, 0x1.37ba665ee3776p-10, 0x1.2d1606f2a6e03p-10, 0x1.22c3a12ac4dc9p-10, 0x1.18c0daa3f656dp-10, 0x1.0f0b69757a057p-10, 0x1.05a113c9820a7p-10, 0x1.f8ff5eeebcd2ap-11, 0x1.e74a433fc0d1ap-11, 0x1.d61ebc972314ap-11, 0x1.c578d0152a378p-11, 0x1.b5549f2e391a5p-11, 0x1.a5ae66f3f069ap-11, 0x1.96827f612046cp-11, 0x1.87cd5aa9d2d3fp-11, 0x1.798b848e99f11p-11, 0x1.6bb9a1b42e9b3p-11, 0x1.5e546eff17d87p-11, 0x1.5158c0f1e003dp-11, 0x1.44c3830f18394p-11, 0x1.3891b73ecb4fdp-11, 0x1.2cc07537ab96fp-11, 0x1.214ce9eb8231dp-11, 0x1.163456f6db556p-11, 0x1.0b741213b3842p-11, 0x1.010984901030ep-11, 0x1.ede4558e282p-12, 0x1.da57273bcb2eep-12, 0x1.c766c0059d0cep-12, 0x1.b50e84e030e23p-12, 0x1.a349fce1c9405p-12, 0x1.9214d051ff0e6p-12, 0x1.816ac7c17ddc2p-12, 0x1.7147cb25f985cp-12, 0x1.61a7e0faf0dfbp-12, 0x1.52872d6898323p-12, 0x1.43e1f16e64cbcp-12, 0x1.35b48a15de9f9p-12, 0x1.27fb6fa9320dcp-12, 0x1.1ab334edbbf03p-12, 0x1.0dd88664e7cb2p-12, 0x1.0168299020c5ep-12, 0x1.eabdf87875baep-13, 0x1.d373e79f491fcp-13, 0x1.bcec393a1b7acp-13, 0x1.a721327534898p-13, 0x1.920d43baedd74p-13, 0x1.7dab07730aba4p-13, 0x1.69f540cd5c86ep-13, 0x1.56e6da90849adp-13, 0x1.447ae5f35dc91p-13, 0x1.32ac997c73038p-13, 0x1.21774fea9be2fp-13, 0x1.10d687231ad02p-13, 0x1.00c5df291d65p-13, 0x1.e282323316921p-14, 0x1.c4882c6084299p-14, 0x1.a795ada9623cdp-14, 0x1.8ba2f35a20923p-14, 0x1.70a8756ecda31p-14, 0x1.5683901a9ba78p-14, 0x1.3d61beaad5149p-14, 0x1.2522fed94a732p-14, 0x1.0dc0a2ef9ac9ep-14, 0x1.ee685ef15ed52p-15, 0x1.c2eeb36ead42cp-15, 0x1.99080c6215e13p-15, 0x1.70a88e821848p-15, 0x1.49c4b777116fap-15, 0x1.24515b2431ad9p-15, 0x1.0043a1046be54p-15, 0x1.bb2203245bf0ap-16, 0x1.785e877cc9a5dp-16, 0x1.3828f5196c3e9p-16, 0x1.f4dc0b09fdfb2p-17, 0x1.7e3602dd412a4p-17, 0x1.0c3b78d3096f5p-17, 0x1.3d9242fc4da53p-18, 0x1.ade5b459bc21bp-20, -0x1.78588bf183b97p-20, -0x1.1f5d166100765p-18, -0x1.d89a3ba8cbe56p-18, -0x1.45054a83f16b2p-17, -0x1.99f4b304ffe47p-17, -0x1.eb38204a2ea4ep-17, -0x1.1c75c484fb9c7p-16, -0x1.41950c22bd425p-16, -0x1.650719d61957bp-16, -0x1.86d8c0df1e4d6p-16, -0x1.a71677cd2b7ddp-16, -0x1.c5cc5b43243e5p-16, -0x1.e306309f3c547p-16, -0x1.fecf68a1c049fp-16, -0x1.0c99910561b4cp-15, -0x1.191e160600c9p-15, -0x1.24fa845ab39c7p-15, -0x1.3033f79ded9c7p-15, -0x1.3acf67205222fp-15, -0x1.44d1a6f88dafbp-15, -0x1.4e3f6919709ccp-15, -0x1.571d3e5529a4p-15, -0x1.5f6f97553a20ap-15, -0x1.673ac58ef73f6p-15, -0x1.6e82fc2185db4p-15, -0x1.754c50c032c28p-15, -0x1.7b9abc8fdadbbp-15, -0x1.81721d01f715fp-15, -0x1.86d634b0dd1e3p-15, -0x1.8bcaac248e66ep-15, -0x1.9053129f423f7p-15, -0x1.9472ded4e0924p-15, -0x1.982d6f97e23a4p-15, -0x1.9b860c7d8e9dep-15, -0x1.9e7fe6813e2b4p-15, -0x1.a11e189c305fap-15, -0x1.a363a86f8a99fp-15, -0x1.a55386ebb8cb2p-15, -0x1.a6f090f80c7aap-15, -0x1.a83d90105fe8ep-15, -0x1.a93d3acc555fdp-15, -0x1.a9f235610e944p-15, -0x1.aa5f120fb2c8fp-15, -0x1.aa865197ef1d1p-15, -0x1.aa6a63b03927fp-15, -0x1.aa0da77b98ea2p-15, -0x1.a9726c0c9945dp-15, -0x1.a89af0dccaee9p-15, -0x1.a78966443a03p-15, -0x1.a63fede0fe904p-15, -0x1.a4c09afa38b3cp-15, -0x1.a30d72d99a7d1p-15, -0x1.a1286d2528365p-15, -0x1.9f13743532beep-15, -0x1.9cd065718b40fp-15, -0x1.9a6111a9736d7p-15, -0x1.97c73d6d8c9b1p-15, -0x1.9504a15a9afe5p-15, -0x1.921aea6af5b95p-15, -0x1.8f0bba3f38744p-15, -0x1.8bd8a76f40229p-15, -0x1.88833dcb85585p-15, -0x1.850cfeac3478ep-15, -0x1.8177613578544p-15, -0x1.7dc3d29a0cdabp-15, -0x1.79f3b658c857dp-15, -0x1.760866825a996p-15, -0x1.720333eb30c88p-15, -0x1.6de5666ca1445p-15, -0x1.69b03d1917de9p-15, -0x1.6564ee6e58d21p-15, -0x1.6104a8853b918p-15, -0x1.5c9091409a61ap-15, -0x1.5809c6891c1a8p-15, -0x1.53715e7bfd91p-15, -0x1.4ec867aaf64dcp-15, -0x1.4a0fe951d38fp-15, -0x1.4548e38699c5fp-15, -0x1.40744f62c66e2p-15, -0x1.3b931f2543474p-15, -0x1.36a63e5a15bbfp-15, -0x1.31ae91f1a5af3p-15, -0x1.2cacf869112d3p-15, -0x1.27a249efda68dp-15, -0x1.228f588e9dd08p-15, -0x1.1d74f05430e33p-15, -0x1.1853d77d6a72bp-15, -0x1.132ccea0adf37p-15, -0x1.0e0090c84d717p-15, -0x1.08cfd393be8f2p-15, -0x1.039b47547e83p-15, -0x1.fcc72e4be06eep-16, -0x1.f252d21b0ca01p-16, -0x1.e7dabc3132891p-16, -0x1.dd6024f560d47p-16, -0x1.d2e43b5c70f94p-16, -0x1.c868251eabf71p-16, -0x1.bdecfef165a53p-16, -0x1.b373dcb15fd95p-16, -0x1.a8fdc99349358p-16, -0x1.9e8bc84fb3d4cp-16, -0x1.941ed35a0b42ap-16, -0x1.89b7dcff45a3dp-16, -0x1.7f57cf9ce3c46p-16, -0x1.74ff8dcc183dbp-16, -0x1.6aaff28dac1fep-16, -0x1.6069d1742591ep-16, -0x1.562df6de45629p-16, -0x1.4bfd28117d2b5p-16, -0x1.41d82373af5e9p-16, -0x1.37bfa0b12215bp-16, -0x1.2db450e4c73acp-16, -0x1.23b6debbfc913p-16, -0x1.19c7ee9798b6bp-16, -0x1.0fe81eb89b005p-16, -0x1.0618074c1b70cp-16, -0x1.f8b07529b85f4p-17, -0x1.e5528a04fa7d2p-17, -0x1.d2175a9f80363p-17, -0x1.beffe94001ca8p-17, -0x1.ac0d2d47de039p-17, -0x1.9940137e1efe8p-17, -0x1.86997e5dc2d4ap-17, -0x1.741a467ed8cbap-17, -0x1.61c33ab6bbed5p-17, -0x1.4f952073efbfbp-17, -0x1.3d90b3ef00c7cp-17, -0x1.2bb6a8585c45p-17, -0x1.1a07a802b9f9fp-17, -0x1.088454892f8bfp-17, -0x1.ee5a8deea4f79p-18, -0x1.cc061fd6d5b75p-18, -0x1.aa0c6fb21a49bp-18, -0x1.886e7e28b01b7p-18, -0x1.672d3c339ff4cp-18, -0x1.46498b7621725p-18, -0x1.25c43eb6b3a38p-18, -0x1.059e1a4603db8p-18, -0x1.cbafa91854ec6p-19, -0x1.8ce42d0a648ebp-19, -0x1.4edaf893480f7p-19, -0x1.11952aae8cad3p-19, -0x1.aa2793cae76ebp-20, -0x1.32af89798c8d3p-20, -0x1.7987c7d558befp-21, -0x1.219887d4ee6a7p-22, 0x1.5343604acdae2p-23, 0x1.374d45a0403e5p-21, 0x1.0b538b8b3cc03p-20, 0x1.796e5a6025c4ap-20, 0x1.e5f66c978c734p-20, 0x1.2875a3dc63b09p-19, 0x1.5d264bb7c5c4cp-19, 0x1.910d1633af9b2p-19, 0x1.c429fd59fd8ap-19, 0x1.f67d0c66142c4p-19, 0x1.14032fb3d2e05p-18, 0x1.2c6311344270ap-18, 0x1.445e48cfeb2cfp-18, 0x1.5bf4fc721b376p-18, 0x1.732759a37b468p-18, 0x1.89f59563358b3p-18, 0x1.a05fec0009daep-18, 0x1.b666a0cfbb821p-18, 0x1.cc09fdfd5792bp-18, 0x1.e14a545ac5fb4p-18, 0x1.f627faeccf7ep-18, 0x1.0551a775b4bf9p-17, 0x1.0f5e59a960e3ap-17, 0x1.193a48557ba8dp-17, 0x1.22e5aa66a56fap-17, 0x1.2c60b95d38a03p-17, 0x1.35abb12f94466p-17, 0x1.3ec6d03e25305p-17, 0x1.47b2573f535c5p-17, 0x1.506e893b2889bp-17, 0x1.58fbab59ef724p-17, 0x1.615a04ffeab9ap-17, 0x1.6989df9c4c7eap-17, 0x1.718b869876ed8p-17, 0x1.795f47407fc43p-17, 0x1.810570a8ed58bp-17, 0x1.887e5396b415ep-17, 0x1.8fca42693c39ep-17, 0x1.96e99107dc723p-17, 0x1.9ddc94d132ee2p-17, 0x1.a4a3a4953f0b9p-17, 0x1.ab3f1873ae9a3p-17, 0x1.b1af49f329586p-17, 0x1.b7f493dddb223p-17, 0x1.be0f523ce32b5p-17, 0x1.c3ffe245e9fd2p-17, 0x1.c9c6a2479004cp-17, 0x1.cf63f197446b7p-17, 0x1.d4d830775160ap-17, 0x1.da23c004484cdp-17, 0x1.df4702167902cp-17, 0x1.e442593f36ca3p-17, 0x1.e916289da7db5p-17, 0x1.edc2d3ebeec88p-17, 0x1.f248bf6a0e2c8p-17, 0x1.f6a84fdaa1ea7p-17, 0x1.fae1ea76f5b3ap-17, 0x1.fef5f5077db73p-17, 0x1.01726ae5e2dafp-16, 0x1.035779c054bd6p-16, 0x1.052a5aab7376dp-16, 0x1.06eb41734deaap-16, 0x1.089a6210c56fdp-16, 0x1.0a37f0a34917fp-16, 0x1.0bc4215dc3c81p-16, 0x1.0d3f288d45d37p-16, 0x1.0ea93a87ecec8p-16, 0x1.10028ba4c6b96p-16, 0x1.114b503835c53p-16, 0x1.1283bc8d1121bp-16, 0x1.13ac04e1d31bfp-16, 0x1.14c45d6993fe7p-16, 0x1.15ccfa44b2ce6p-16, 0x1.16c60f8637094p-16, 0x1.17afd132a200ap-16, 0x1.188a733598e57p-16, 0x1.19562970ca122p-16, 0x1.1a1327af55e77p-16, 0x1.1ac1a19e8afdfp-16, 0x1.1b61cacb9e7bap-16, 0x1.1bf3d69c25fa6p-16, 0x1.1c77f849595c1p-16, 0x1.1cee62d88f936p-16, 0x1.1d57491e4d2f2p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.50d9a1b10ddbfp-2, 0x1.4467c879a22d7p-2, 0x1.33a92bf474964p-2, 0x1.1eec6f8a99c49p-2, 0x1.0695c68d80f96p-2, 0x1.d630c3188dc38p-3, 0x1.99dbdf7706e7fp-3, 0x1.592912811edf6p-3, 0x1.150f455b787d4p-3, 0x1.9cf3b144a7213p-4, 0x1.0c98971c99025p-4, 0x1.eaa0a26bc488fp-6, -0x1.760d17cf31757p-8, -0x1.505fc6de3a00fp-5, -0x1.369a4b0e7975fp-4, -0x1.c19bc49830af5p-4, -0x1.2429f58fc2ed7p-3, -0x1.6502bc461d268p-3, -0x1.a30b32c805a83p-3, -0x1.de06113510f9ep-3, -0x1.0ae1728692279p-2, -0x1.250e5eabba8f9p-2, -0x1.3d7d0eb659ecp-2, -0x1.54261e293b9f1p-2, -0x1.690692ead536dp-2, -0x1.7c1ef3905d0dcp-2, -0x1.8d72cfbb369e9p-2, -0x1.9d08936da43e2p-2, -0x1.aae94382458c6p-2, -0x1.b7200413b7e18p-2, -0x1.c1b99376e5d77p-2, -0x1.cac3e1ba233ap-2, -0x1.d24dcd83ab848p-2, -0x1.d8662c242a635p-2, -0x1.dd1f13655b9b9p-2, -0x1.e088e2a3795eep-2, -0x1.e2b4d2010020dp-2, -0x1.e3b43787f398fp-2, -0x1.e398667d0cddfp-2, -0x1.e27295270a908p-2, -0x1.e053c5ba11793p-2, -0x1.dd4cb14ec728dp-2, -0x1.d96db41de6803p-2, -0x1.d4c6bda291223p-2, -0x1.cf6745403a2d6p-2, -0x1.c95e4278f2a77p-2, -0x1.c2ba26ed54acbp-2, -0x1.bb88d81387f35p-2, -0x1.b3d7a98fb812bp-2, -0x1.abb358e5c0414p-2, -0x1.a3280af6650f7p-2, -0x1.9a414b95e6e98p-2, -0x1.910a0eb6fd4bbp-2, -0x1.878cb283e3e42p-2, -0x1.7dd3025ca9e0fp-2, -0x1.73e639feaa85cp-2, -0x1.69cf087560022p-2, -0x1.5f95929b30611p-2, -0x1.554175b6b0468p-2, -0x1.4ad9ca59d08a2p-2, -0x1.4065282bc6c4bp-2, -0x1.35e9aadcfc8a5p-2, -0x1.2b6cf7dc9c9fdp-2, -0x1.20f444653c0b7p-2, -0x1.16845b4097a37p-2, -0x1.0c21a211037a5p-2, -0x1.01d01e1f956e6p-2, -0x1.ef26f158f4767p-3, -0x1.dade067a97dcbp-3, -0x1.c6cb7808b12p-3, -0x1.b2f4a4d75a2e2p-3, -0x1.9f5e57874b874p-3, -0x1.8c0ccfe955967p-3, -0x1.7903cc291d0d2p-3, -0x1.664691c19b7dcp-3, -0x1.53d7f5f79199fp-3, -0x1.41ba6600d203fp-3, -0x1.2fd6713f4b066p-3, -0x1.1e5e757426301p-3, -0x1.0d3cc9a4eca45p-3, -0x1.f8e54e9fab705p-4, -0x1.d802067ff6db4p-4, -0x1.b7d122008e837p-4, -0x1.98538d15e98dbp-4, -0x1.7989c0bc67007p-4, -0x1.5b73cb9fba17ep-4, -0x1.3e115afed71cfp-4, -0x1.2161c39f62cbap-4, -0x1.05640a62b1a88p-4, -0x1.d42dd86464064p-5, -0x1.9ef1ca5399b34p-5, -0x1.6b106dff204f4p-5, -0x1.3885dd737aa6p-5, -0x1.074dd3adc45fp-5, -0x1.aec76cc9e8015p-6, -0x1.51853f235015p-6, -0x1.ed959b071c12ep-7, -0x1.3d1aaa9921fb7p-7, -0x1.2306d81f55243p-8, 0x1.546f4f1b8b072p-11, 0x1.6eb7705734e91p-8, 0x1.54d261a670332p-7, 0x1.edc294a32dee2p-7, 0x1.4121f8e98ce25p-6, 0x1.8936fced01518p-6, 0x1.cf2bfa346a433p-6, 0x1.098637193e3a7p-5, 0x1.2a71d465d047dp-5, 0x1.4a5e63d75de17p-5, 0x1.695159e4cf8cdp-5, 0x1.875010489273bp-5, 0x1.a45fc6619ecbep-5, 0x1.c085a2221a1dap-5, 0x1.dbc6b15b753ep-5, 0x1.f627eb3836c2ap-5, 0x1.07d718e04e934p-4, 0x1.142f29a4b6d4p-4, 0x1.201e85d24489bp-4, 0x1.2ba782807d309p-4, 0x1.36cc6c3a5a6bap-4, 0x1.418f870f2264p-4, 0x1.4bf30e679eb6cp-4, 0x1.55f934a30891ep-4, 0x1.5fa422853e5bp-4, 0x1.68f5f68002ac1p-4, 0x1.71f0c3e0c7f0bp-4, 0x1.7a9691efbb258p-4, 0x1.82e95b104a3b2p-4, 0x1.8aeb0bf10e6b8p-4, 0x1.929d82d2dc229p-4, 0x1.9a028eef4543p-4, 0x1.a11bf00910271p-4, 0x1.a7eb562c01aap-4, 0x1.ae72619b80d7dp-4, 0x1.b4b2a2eea1c4ep-4, 0x1.baad9b5907d42p-4, 0x1.c064bd1e55113p-4, 0x1.c5d96c2b886e9p-4, 0x1.cb0cfed0b4a74p-4, 0x1.d000be95d17c8p-4, 0x1.d4b5e92530bb4p-4, 0x1.d92db143dbe99p-4, 0x1.dd693fd001962p-4, 0x1.e169b4c108ddcp-4, 0x1.e53028251f4f1p-4, 0x1.e8bdab164869p-4, 0x1.ec1348a0936dcp-4, 0x1.ef3206951df38p-4, 0x1.f21ae647c1d85p-4, 0x1.f4cee53575b32p-4, 0x1.f74efd91cb238p-4, 0x1.f99c26bb4d6cfp-4, 0x1.fbb7559706bd4p-4, 0x1.fda17cd3992efp-4, 0x1.ff5b8d15526a2p-4, 0x1.00733a870757ep-3, 0x1.012190c2041e2p-3, 0x1.01b93ea543bc5p-3, 0x1.023ab897707d7p-3, 0x1.02a671ee180c8p-3, 0x1.02fcdcdc8b7b5p-3, 0x1.033e6a6191951p-3, 0x1.036b8a355ceb4p-3, 0x1.0384aab88b872p-3, 0x1.038a38e4d59d3p-3, 0x1.037d90de96c8ap-3, 0x1.035e0d4c0cfd6p-3, 0x1.032c2bdfe96aap-3, 0x1.02e85008c5fep-3, 0x1.0292dc0cb1157p-3, 0x1.022c3118735c8p-3, 0x1.01b4af4fbec21p-3, 0x1.012cb5ddfca37p-3, 0x1.0094a30774cf1p-3, 0x1.ffd9a874b7cb8p-4, 0x1.fe6b4c3f3336dp-4, 0x1.fcdee95663756p-4, 0x1.fb35365862444p-4, 0x1.f96ee8b6e4a78p-4, 0x1.f78cb4d1465a7p-4, 0x1.f58f4e0ad2f4dp-4, 0x1.f37766ddd278dp-4, 0x1.f145b0eb77318p-4, 0x1.eefadd0864c0dp-4, 0x1.ec979b456dd99p-4, 0x1.ea1c9af42620ep-4, 0x1.e78a8aa79057ap-4, 0x1.e4e218311d936p-4, 0x1.e223f09a88806p-4, 0x1.df50c01cc1742p-4, 0x1.dc693214488d6p-4, 0x1.d96df0f33536p-4, 0x1.d65fa63142fdcp-4, 0x1.d33efa3a23223p-4, 0x1.d00c945a916d6p-4, 0x1.ccc91aacea6b3p-4, 0x1.c9753205c360dp-4, 0x1.c6117de0726eep-4, 0x1.c29ea04b77094p-4, 0x1.bf1d39d517357p-4, 0x1.bb8de97880ba7p-4, 0x1.b7f14c8c1fef5p-4, 0x1.b447feb125203p-4, 0x1.b09299c47d25p-4, 0x1.acd1b5d11bbd4p-4, 0x1.a905e90346c49p-4, 0x1.a52fc79d11bf5p-4, 0x1.a14fe3ebe6908p-4, 0x1.9d66ce3f6e076p-4, 0x1.997514e1c4eb6p-4, 0x1.957b4410dab0bp-4, 0x1.9179e5f8cccccp-4, 0x1.8d7182aef08e7p-4, 0x1.8962a02d6d919p-4, 0x1.854dc24f81154p-4, 0x1.81336ace8bfbap-4, 0x1.7d14193fcef34p-4, 0x1.78f04b127e965p-4, 0x1.74c87b8de3808p-4, 0x1.709d23cf81146p-4, 0x1.6c6ebac94aad1p-4, 0x1.683db540049ecp-4, 0x1.640a85c9d15eap-4, 0x1.5fd59cccd8002p-4, 0x1.5b9f687debc09p-4, 0x1.576854df22dc4p-4, 0x1.5330cbbe5c25fp-4, 0x1.4ef934b3b9893p-4, 0x1.4ac1f52018435p-4, 0x1.468b702b8786ap-4, 0x1.425606c3c194cp-4, 0x1.3e22179aa3f74p-4, 0x1.39efff24b355p-4, 0x1.35c01797ca612p-4, 0x1.3192b8ea128p-4, 0x1.2d6838d1448d7p-4, 0x1.2940eac2167e5p-4, 0x1.251d1fefc6642p-4, 0x1.20fd274bd2d2ep-4, 0x1.1ce14d85f9791p-4, 0x1.18c9dd0c95f2p-4, 0x1.14b71e0d77b1ap-4, 0x1.10a9567733156p-4, 0x1.0ca0c9fadac7bp-4, 0x1.089dba0e1c886p-4, 0x1.04a065edc31d3p-4, 0x1.00a90aa09e781p-4, 0x1.f96fc5f5b942ep-5, 0x1.f19a4f439e5b5p-5, 0x1.e9d21e2031b03p-5, 0x1.e2179b3486e03p-5, 0x1.da6b2ae773bfdp-5, 0x1.d2cd2d6871e4cp-5, 0x1.cb3dfebb64313p-5, 0x1.c3bdf6c52e6acp-5, 0x1.bc4d6958f885ap-5, 0x1.b4eca645f964fp-5, 0x1.ad9bf965c0f94p-5, 0x1.a65baaaafe383p-5, 0x1.9f2bfe30d393ep-5, 0x1.980d344aada02p-5, 0x1.90ff89949fc6p-5, 0x1.8a033704291b9p-5, 0x1.831871f94cap-5, 0x1.7c3f6c4fed047p-5, 0x1.757854715b1f9p-5, 0x1.6ec3556617661p-5, 0x1.682096e7c9375p-5, 0x1.61903d7361cbbp-5, 0x1.5b126a5b5e18bp-5, 0x1.54a73bda1018fp-5, 0x1.4e4ecd23e8c81p-5, 0x1.48093679b6dcap-5, 0x1.41d68d3adfe05p-5, 0x1.3bb6e3f790d74p-5, 0x1.35aa4a82e3fe1p-5, 0x1.2fb0ce0503042p-5, 0x1.29ca790d27d85p-5, 0x1.23f753a383c72p-5, 0x1.1e37635af00efp-5, 0x1.188aab6279835p-5, 0x1.12f12c96b81d4p-5, 0x1.0d6ae5930d908p-5, 0x1.07f7d2c2acfddp-5, 0x1.0297ee71764fap-5, 0x1.fa9661b938eccp-6, 0x1.f023208627663p-6, 0x1.e5d601eb85536p-6, 0x1.dbaeeacf0515ap-6, 0x1.d1adbc79c8446p-6, 0x1.c7d254b792871p-6, 0x1.be1c8df58907fp-6, 0x1.b48c3f6084d44p-6, 0x1.ab213d02f7762p-6, 0x1.a1db57e25e435p-6, 0x1.98ba5e1c45c8bp-6, 0x1.8fbe1b02db37p-6, 0x1.86e6573901f5dp-6, 0x1.7e32d8cdf953bp-6, 0x1.75a3635897f4bp-6, 0x1.6d37b8121108bp-6, 0x1.64ef95f0515c3p-6, 0x1.5ccab9bff9e54p-6, 0x1.54c8de3dfed5ap-6, 0x1.4ce9bc30da4e8p-6, 0x1.452d0a815df8cp-6, 0x1.3d927e530db05p-6, 0x1.3619cb1c01dbbp-6, 0x1.2ec2a2bc48fc7p-6, 0x1.278cb594da111p-6, 0x1.2077b29e1e1ddp-6, 0x1.1983477e2056dp-6, 0x1.12af209e51ec2p-6, 0x1.0bfae940e7ccep-6, 0x1.05664b95d5e67p-6, 0x1.fde1e19ed6c7bp-7, 0x1.f135026cebc9ep-7, 0x1.e4c5487bf215ap-7, 0x1.d892012cd7279p-7, 0x1.cc9a78810ec99p-7, 0x1.c0ddf93f687cp-7, 0x1.b55bcd17ee94ep-7, 0x1.aa133cc6e1605p-7, 0x1.9f039036dc54dp-7, 0x1.942c0ea21e52cp-7, 0x1.898bfeb2e6dbep-7, 0x1.7f22a6a2ede36p-7, 0x1.74ef4c59f0963p-7, 0x1.6af1358b5a24bp-7, 0x1.6127a7d30454dp-7, 0x1.5791e8d108d2ep-7, 0x1.4e2f3e4496979p-7, 0x1.44feee25e61f3p-7, 0x1.3c003ebf3bb3dp-7, 0x1.333276c4f6615p-7, 0x1.2a94dd6ca2921p-7, 0x1.2226ba8323cp-7, 0x1.19e75681e91f2p-7, 0x1.11d5faa34fbd5p-7, 0x1.09f1f0f604e9fp-7, 0x1.023a846f898b3p-7, 0x1.f54ef24965a7p-8, 0x1.e687bd980f558p-8, 0x1.d815b1d485f53p-8, 0x1.c9f771c90e4d5p-8, 0x1.bc2ba273ac66fp-8, 0x1.aeb0eb1cec46ap-8, 0x1.a185f56d646afp-8, 0x1.94a96d822592fp-8, 0x1.881a020024bf5p-8, 0x1.7bd66426b2016p-8, 0x1.6fdd47e0ebc55p-8, 0x1.642d63d631af9p-8, 0x1.58c57179bf4e6p-8, 0x1.4da42d1978c1p-8, 0x1.42c855ebd9495p-8, 0x1.3830ae1d2427p-8, 0x1.2ddbfadba9922p-8, 0x1.23c904636ab4cp-8, 0x1.19f69608f3d3cp-8, 0x1.10637e43b0336p-8, 0x1.070e8eb75e36cp-8, 0x1.fbed3879f7a66p-9, 0x1.ea34fdd5ca82dp-9, 0x1.d8f22438dad76p-9, 0x1.c82268f1861d9p-9, 0x1.b7c38ff2866a4p-9, 0x1.a7d363de72a87p-9, 0x1.984fb611e7fd1p-9, 0x1.89365eacb4b7ap-9, 0x1.7a853c99e667dp-9, 0x1.6c3a3596d10ddp-9, 0x1.5e533638f0fe7p-9, 0x1.50ce31f2d4846p-9, 0x1.43a923180f7f6p-9, 0x1.36e20ae01859ep-9, 0x1.2a76f1685ed6bp-9, 0x1.1e65e5b56109bp-9, 0x1.12acfdb2f005cp-9, 0x1.074a563373d66p-9, 0x1.f87825dcfc498p-10, 0x1.e300bcfd02a09p-10, 0x1.ce2ad4bb897dfp-10, 0x1.b9f2ddc55674ap-10, 0x1.a65556763edfp-10, 0x1.934ecacea197cp-10, 0x1.80dbd46734dbp-10, 0x1.6ef91a6348f69p-10, 0x1.5da35161d43aap-10, 0x1.4cd73b6d5d8f7p-10, 0x1.3c91a7eb4609ap-10, 0x1.2ccf738a4474cp-10, 0x1.1d8d882ffe8f9p-10, 0x1.0ec8dce5b0365p-10, 0x1.007e75c4071a2p-10, 0x1.e556c7bc2bb86p-11, 0x1.ca998a5851f7bp-11, 0x1.b0bf88eb40436p-11, 0x1.97c332750e071p-11, 0x1.7f9f0f3790451p-11, 0x1.684dc085859f1p-11, 0x1.51ca0090276a8p-11, 0x1.3c0ea2339db1cp-11, 0x1.271690c380f0cp-11, 0x1.12dccfd6f476ep-11, 0x1.feb8f6265f794p-12, 0x1.d9218bebb6bbp-12, 0x1.b4e9f73ad8dd6p-12, 0x1.9208fd22ff38fp-12, 0x1.7075911383441p-12, 0x1.5026d46946203p-12, 0x1.311415f9392a8p-12, 0x1.1334d19867098p-12, 0x1.ed015f4219418p-13, 0x1.b5df08ebcb808p-13, 0x1.80f2a00695dbap-13, 0x1.4e2c7a7de0b5p-13, 0x1.1d7d4347ab9f8p-13, 0x1.ddabf2b3db6f9p-14, 0x1.844fdd31df64fp-14, 0x1.2ec98d84ca961p-14, 0x1.b9f9d946846b3p-15, 0x1.1d9d0585a3f92p-15, 0x1.108dd442335a9p-16, -0x1.8f3e4f68905b1p-21, -0x1.1c43e89dec294p-16, -0x1.0f9a2ae84bfa3p-15, -0x1.8ad699cd191c8p-15, -0x1.00038dc6384c1p-14, -0x1.37ad36b3e826dp-14, -0x1.6c7f1a25f87fdp-14, -0x1.9e8f80e44dd6cp-14, -0x1.cdf42c88128cfp-14, -0x1.fac259f76cca1p-14, -0x1.128761f13b3d9p-13, -0x1.2676d29dc3234p-13, -0x1.39395dd80d39dp-13, -0x1.4ad8a50f8e56fp-13, -0x1.5b5e0d87473bp-13, -0x1.6ad2c18e0dc34p-13, -0x1.793fb1b3bac76p-13, -0x1.86ad95fae3742p-13, -0x1.9324ef04d1f91p-13, -0x1.9eae07384a0c7p-13, -0x1.a950f3e4c99cap-13, -0x1.b315966087d56p-13, -0x1.bc039d22d801p-13, -0x1.c42284d98f317p-13, -0x1.cb79997ae3636p-13, -0x1.d20ff74fd8b58p-13, -0x1.d7ec8bf8eed8cp-13, -0x1.dd16176d7acfdp-13, -0x1.e1932cf344e69p-13, -0x1.e56a3412e0fe1p-13, -0x1.e8a16984fe4e7p-13, -0x1.eb3ee01c2a552p-13, -0x1.ed4881a8ac5b1p-13, -0x1.eec40fd5a7b3bp-13, -0x1.efb72502657fep-13, -0x1.f02735143da13p-13, -0x1.f0198e4577418p-13, -0x1.ef9359eed4c3ep-13, -0x1.ee999d5054249p-13, -0x1.ed313a54c34afp-13, -0x1.eb5ef05376127p-13, -0x1.e9275ccd5a149p-13, -0x1.e68efc25eacdbp-13, -0x1.e39a2a564af5dp-13, -0x1.e04d239ef58f6p-13, -0x1.dcac05325f37ap-13, -0x1.d8bacde121144p-13, -0x1.d47d5ebf625fp-13, -0x1.cff77bcc6db02p-13, -0x1.cb2ccc9321d23p-13, -0x1.c620dccb0036bp-13, -0x1.c0d71cf49f791p-13, -0x1.bb52e2f468216p-13, -0x1.b5976aac05f07p-13, -0x1.afa7d68f6b2a3p-13, -0x1.a98730395cfabp-13, -0x1.a33868fbef86bp-13, -0x1.9cbe5a6f07c75p-13, -0x1.961bc6fb3af48p-13, -0x1.8f535a6378fd2p-13, -0x1.8867aa4d404b8p-13, -0x1.815b36c609128p-13, -0x1.7a306ac7ddd53p-13, -0x1.72e99cbb609b4p-13, -0x1.6b890ef7917c5p-13, -0x1.6410f03f88f3bp-13, -0x1.5c835c3d9fc62p-13, -0x1.54e25bfc8b972p-13, -0x1.4d2fe65df12bap-13, -0x1.456de08ff42b3p-13, -0x1.3d9e1e7fdfc98p-13, -0x1.35c2634b62a49p-13, -0x1.2ddc61af3101cp-13, -0x1.25edbc74450eap-13, -0x1.1df806da4af4bp-13, -0x1.15fcc4ff7d32fp-13, -0x1.0dfd6c4763711p-13, -0x1.05fb63be575bfp-13, -0x1.fbf008f8f8325p-14, -0x1.ebe9340c4c019p-14, -0x1.dbe4c557f65ep-14, -0x1.cbe51fcfab3e5p-14, -0x1.bbec8d72c371bp-14, -0x1.abfd3ffe92839p-14, -0x1.9c19519d3f4a4p-14, -0x1.8c42c59033228p-14, -0x1.7c7b88d391ecbp-14, -0x1.6cc572c30be9dp-14, -0x1.5d2245b2fa00bp-14, -0x1.4d93af9161911p-14, -0x1.3e1b4a795bc1p-14, -0x1.2eba9d4bdbd3ap-14, -0x1.1f731c4608b9bp-14, -0x1.1046298bdf0ep-14, -0x1.013515b9d9446p-14, -0x1.e48240ddd71dp-15, -0x1.c6d6f19a91e5p-15, -0x1.a96a7bfcc567p-15, -0x1.8c3eff6544821p-15, -0x1.6f567d30d0349p-15, -0x1.52b2d9ae4ffep-15, -0x1.3655dd07ce1a2p-15, -0x1.1a41342b470f8p-15, -0x1.fcece34dbfe39p-16, -0x1.c5ee1d0a061edp-16, -0x1.8f88d641a21aap-16, -0x1.59bf9fe743954p-16, -0x1.2494dcc50edb6p-16, -0x1.e01585ffcc881p-17, -0x1.7846bb423d2dap-17, -0x1.11c11c23f8ecfp-17, -0x1.59103643d4494p-18, -0x1.227b7493a2ebap-19, 0x1.9f7c3bb377c74p-21, 0x1.ece4d67f9c121p-19, 0x1.b64658af8206ep-18, 0x1.39b39ee6d3d34p-17, 0x1.96e8c51ee4235p-17, 0x1.f2c1153fe982p-17, 0x1.269da0d2705cdp-16, 0x1.532b1b40698d8p-16, 0x1.7f088bd7a382dp-16, 0x1.aa359f490a652p-16, 0x1.d4b21c03f29e5p-16, 0x1.fe7de138032fp-16, 0x1.13cc72ef3a31fp-15, 0x1.28019be3280f5p-15, 0x1.3bde7d53d9191p-15, 0x1.4f63339da6ed3p-15, 0x1.628fe52b1f678p-15, 0x1.7564c20e554cdp-15, 0x1.87e2038dfb76ap-15, 0x1.9a07ebce0cfe9p-15, 0x1.abd6c55faffb2p-15, 0x1.bd4ee2f04218fp-15, 0x1.ce709eea01f9cp-15, 0x1.df3c5b14d2e0dp-15, 0x1.efb2804c2b1a9p-15, 0x1.ffd37e26e3fb5p-15, 0x1.07cfe54dec5ep-14, 0x1.0f8bf0dfbdb45p-14, 0x1.171e22b631e92p-14, 0x1.1e86be7d55d43p-14, 0x1.25c60a765f772p-14, 0x1.2cdc4f5a327f5p-14, 0x1.33c9d83227c47p-14, 0x1.3a8ef23941488p-14, 0x1.412becbc32a29p-14, 0x1.47a118f8bfb88p-14, 0x1.4deeca06ed324p-14, 0x1.541554ba389ecp-14, 0x1.5a150f88484fcp-14, 0x1.5fee527040679p-14, 0x1.65a176debb2bfp-14, 0x1.6b2ed79907dbap-14, 0x1.7096d0a20a7d9p-14, 0x1.75d9bf21cb7a4p-14, 0x1.7af8014f3a84ap-14, 0x1.7ff1f6583069cp-14, 0x1.84c7fe4ab212ap-14, 0x1.897a7a02f9708p-14, 0x1.8e09cb16483cap-14, 0x1.927653c1369b6p-14, 0x1.96c076d6e65b1p-14, 0x1.9ae897b031824p-14, 0x1.9eef1a1b2d8a3p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.47ce9138b0b5bp-2, 0x1.481b98a61e26p-2, 0x1.472436be43a18p-2, 0x1.44e1745ead5a3p-2, 0x1.4154c41f9e937p-2, 0x1.3c86749de67adp-2, 0x1.368429a6b9686p-2, 0x1.2f5fb4f84afd8p-2, 0x1.272dba2e39ab4p-2, 0x1.1e050c9377ad5p-2, 0x1.13fdb40fa4579p-2, 0x1.09302bf5f83bcp-2, 0x1.fb6a48574d478p-3, 0x1.e349acbddc0fbp-3, 0x1.ca2d960a4b9b9p-3, 0x1.b04320ce1b8fcp-3, 0x1.95b51ec844682p-3, 0x1.7aabdd1f23b2bp-3, 0x1.5f4cfb2984fddp-3, 0x1.43bb51efd348cp-3, 0x1.2816eb64af864p-3, 0x1.0c7d08d777032p-3, 0x1.e2106b7301da5p-4, 0x1.aba0c7b585dbbp-4, 0x1.75d6159978539p-4, 0x1.40d6828eba457p-4, 0x1.0cc3b73cf108fp-4, 0x1.b3764e7d3f2e2p-5, 0x1.4facb6bd7bb49p-5, 0x1.dcacc9a9dcdc4p-6, 0x1.1f30b7325a49p-6, 0x1.9c8bf26e3655fp-8, -0x1.2d2801b6a01acp-8, -0x1.efdd2df20892ap-7, -0x1.9eace3bf30487p-6, -0x1.1fb7935fbee85p-5, -0x1.6d13d566b09d4p-5, -0x1.b767e6c779ebap-5, -0x1.feb3a4d9f9f67p-5, -0x1.217ce2f23860ap-4, -0x1.421fc4581fbe2p-4, -0x1.61463513e3cebp-4, -0x1.7ef4f11086a7fp-4, -0x1.9b319273d2173p-4, -0x1.b6027436e9c9p-4, -0x1.cf6e96d5ac45fp-4, -0x1.e77d87e369194p-4, -0x1.fe374c7361e54p-4, -0x1.09d2267ef97e3p-3, -0x1.13e6a12d1526dp-3, -0x1.1d5d9218eac31p-3, -0x1.263b8ccbc42dbp-3, -0x1.2e8535fb7f918p-3, -0x1.363f3dbc43b28p-3, -0x1.3d6e59fe2b7e3p-3, -0x1.4417414ef1f5fp-3, -0x1.4a3ea60bc0253p-3, -0x1.4fe9324d43fe3p-3, -0x1.551b84929f59ap-3, -0x1.59da2d0b13282p-3, -0x1.5e29ab26b3adap-3, -0x1.620e6b51815c1p-3, -0x1.658cc4da90077p-3, -0x1.68a8f81b3f4c1p-3, -0x1.6b672cf7bab91p-3, -0x1.6dcb71bce066cp-3, -0x1.6fd9ba4ef2aeep-3, -0x1.7195df897ec75p-3, -0x1.73039ebac664ep-3, -0x1.7426993a9121ep-3, -0x1.7502541d5e95fp-3, -0x1.759a380adf60cp-3, -0x1.75f1913a5289bp-3, -0x1.760b8f9095335p-3, -0x1.75eb46de7333ap-3, -0x1.7593af32ce899p-3, -0x1.7507a53763efp-3, -0x1.744b3335a759ep-3, -0x1.735e641acbaf7p-3, -0x1.724514f28bd4fp-3, -0x1.7101b9ca4d419p-3, -0x1.6f96ade0ad145p-3, -0x1.6e063444fce6ep-3, -0x1.6c52787c97d85p-3, -0x1.6a7d8f2ccdde5p-3, -0x1.688976ca52dd1p-3, -0x1.66781848dfe1bp-3, -0x1.644b47c86214ep-3, -0x1.6204c5414ce5ap-3, -0x1.5fa63d2eb3f9p-3, -0x1.5d314934ca64ap-3, -0x1.5aa770c3bbc41p-3, -0x1.580a29b72c909p-3, -0x1.555ad8f2055fcp-3, -0x1.529ad2f6de5bcp-3, -0x1.4fcb5c7e77fdfp-3, -0x1.4cedab0bd075fp-3, -0x1.4a02e57d5c596p-3, -0x1.470c249c0fe58p-3, -0x1.440a73a8bbe1dp-3, -0x1.40fed0e78ea4ap-3, -0x1.3dea2e2940b75p-3, -0x1.3acd71516a0b1p-3, -0x1.37a974d984983p-3, -0x1.347f0850043c7p-3, -0x1.314ef0d3358f8p-3, -0x1.2e19e988695fdp-3, -0x1.2ae0a40f3e3abp-3, -0x1.27a3c8f08cd9cp-3, -0x1.2463f80943fc4p-3, -0x1.2121c8f1bce4ap-3, -0x1.1dddcb6143de4p-3, -0x1.1a98878d786f4p-3, -0x1.17527e858455bp-3, -0x1.140c2a8907e28p-3, -0x1.10c5ff5a9f8d6p-3, -0x1.0d806a8dd887cp-3, -0x1.0a3bd3d0e1b85p-3, -0x1.06f89d327b4c1p-3, -0x1.03b7236473272p-3, -0x1.0077bdfad4e89p-3, -0x1.fa757f508339fp-4, -0x1.f400ecefe6235p-4, -0x1.ed92580b640d9p-4, -0x1.e72a4b67e106dp-4, -0x1.e0c949c0206b6p-4, -0x1.da6fce29a9becp-4, -0x1.d41e4c75b4b0bp-4, -0x1.cdd5318e2194dp-4, -0x1.c794e3ce5ce12p-4, -0x1.c15dc35834bb7p-4, -0x1.bb302a64be7efp-4, -0x1.b50c6d91436dcp-4, -0x1.aef2dc284ef18p-4, -0x1.a8e3c0673d6bp-4, -0x1.a2df5fc0c4f34p-4, -0x1.9ce5fb1c89a61p-4, -0x1.96f7cf13f3d19p-4, -0x1.9115142c57596p-4, -0x1.8b3dff0e45999p-4, -0x1.8572c0ba10d22p-4, -0x1.7fb386b94ba0dp-4, -0x1.7a007b4d38ecdp-4, -0x1.7459c59a23d1dp-4, -0x1.6ebf89cfa3c45p-4, -0x1.6931e94de2ec5p-4, -0x1.63b102c816089p-4, -0x1.5e3cf2646aa44p-4, -0x1.58d5d1d9bce55p-4, -0x1.537bb88b5f038p-4, -0x1.4e2ebba34381cp-4, -0x1.48eeee2abe974p-4, -0x1.43bc61220cb1ap-4, -0x1.3e972396bd60fp-4, -0x1.397f42b9222bcp-4, -0x1.3474c9f0ced5ep-4, -0x1.2f77c2f027688p-4, -0x1.2a8835c6f54cfp-4, -0x1.25a628f406fd5p-4, -0x1.20d1a175df941p-4, -0x1.1c0aa2da7f8b6p-4, -0x1.17512f4e5088p-4, -0x1.12a547aa46203p-4, -0x1.0e06eb814d216p-4, -0x1.0976192d219bcp-4, -0x1.04f2fa68a767cp-4, -0x1.007d317e32b92p-4, -0x1.f829cb88973a4p-5, -0x1.ef7422689cb4p-5, -0x1.e6d95997753c6p-5, -0x1.de59612c24884p-5, -0x1.d5f4276c879b8p-5, -0x1.cda998df4b075p-5, -0x1.c579a05d0650bp-5, -0x1.bd642720913fcp-5, -0x1.b56914d6920abp-5, -0x1.ad884fac591e2p-5, -0x1.a5c1bc5dfc6fdp-5, -0x1.9e153e43c231ap-5, -0x1.9682b75ef7be2p-5, -0x1.8f0a0866389d7p-5, -0x1.87ab10d13686dp-5, -0x1.8065aee402b73p-5, -0x1.7939bfb9e5a3dp-5, -0x1.72271f4fcbb5ep-5, -0x1.6b2da88e5b79p-5, -0x1.644d3553b8667p-5, -0x1.5d859e7cfa0b2p-5, -0x1.56d6bbef61bbdp-5, -0x1.504064a152b71p-5, -0x1.49c26ea316345p-5, -0x1.435caf27704dap-5, -0x1.3d0efa8c07dfap-5, -0x1.36d92461aebfbp-5, -0x1.30baff7488decp-5, -0x1.2ab45dd41a715p-5, -0x1.24c510db2e556p-5, -0x1.1eece9379b656p-5, -0x1.192bb6f1e85e7p-5, -0x1.13814974d6714p-5, -0x1.0ded6f94dc583p-5, -0x1.086ff7978c50ap-5, -0x1.0308af3ae3ea2p-5, -0x1.fb6ec778fb25dp-6, -0x1.f0f7c3c15efeap-6, -0x1.e6abebf311931p-6, -0x1.dc8ad7db7cc5p-6, -0x1.d2941e7eebc37p-6, -0x1.c8c75625ef67dp-6, -0x1.bf24146a7e51ap-6, -0x1.b5a9ee44ff319p-6, -0x1.ac58781907c91p-6, -0x1.a32f45c1ecc48p-6, -0x1.9a2dea9f3a5c1p-6, -0x1.9153f9a0df8dap-6, -0x1.88a105532e692p-6, -0x1.80149fea9a37bp-6, -0x1.77ae5b4f34e5ap-6, -0x1.6f6dc927ec63p-6, -0x1.67527ae59baf7p-6, -0x1.5f5c01cde8874p-6, -0x1.5789ef05f4076p-6, -0x1.4fdbd39cda0f6p-6, -0x1.48514095f7a38p-6, -0x1.40e9c6f2fc882p-6, -0x1.39a4f7bdca32fp-6, -0x1.3282641211fe9p-6, -0x1.2b819d26ce13p-6, -0x1.24a234577c60ap-6, -0x1.1de3bb2d26f2p-6, -0x1.1745c36744d45p-6, -0x1.10c7df04560adp-6, -0x1.0a69a04a57654p-6, -0x1.042a99cf0e3aap-6, -0x1.fc14bd00580eap-7, -0x1.f0110356423e4p-7, -0x1.e4492e098fedap-7, -0x1.d8bc6561ecc92p-7, -0x1.cd69d29358b84p-7, -0x1.c2509fcc2f7ccp-7, -0x1.b76ff842f805fp-7, -0x1.acc70843d9b19p-7, -0x1.a254fd3d78258p-7, -0x1.981905cda4f09p-7, -0x1.8e1251cd8fb0fp-7, -0x1.8440125d89dc8p-7, -0x1.7aa179f074af9p-7, -0x1.7135bc56b4aa6p-7, -0x1.67fc0ec8b7485p-7, -0x1.5ef3a7f1287ebp-7, -0x1.561bbff6bbdd6p-7, -0x1.4d73908597641p-7, -0x1.44fa54d848f78p-7, -0x1.3caf49c06edafp-7, -0x1.3491adaefaf95p-7, -0x1.2ca0c0bbed859p-7, -0x1.24dbc4adc1ec1p-7, -0x1.1d41fd007f046p-7, -0x1.15d2aeec7289ep-7, -0x1.0e8d216c5cbf1p-7, -0x1.07709d4356aebp-7, -0x1.007c6d0294ad2p-7, -0x1.f35fba1d3fd4ap-8, -0x1.e6147748277c3p-8, -0x1.d915b1b7f7114p-8, -0x1.cc620d605314p-8, -0x1.bff831fe24081p-8, -0x1.b3d6cb1e748c7p-8, -0x1.a7fc8824a6907p-8, -0x1.9c681c5033b96p-8, -0x1.91183ec1ddf1ep-8, -0x1.860baa80440a5p-8, -0x1.7b411e7b92a1dp-8, -0x1.70b75d90ae3c2p-8, -0x1.666d2e8bbedf1p-8, -0x1.5c615c2a85146p-8, -0x1.5292b51de8339p-8, -0x1.49000c0af5adfp-8, -0x1.3fa8378b6120ep-8, -0x1.368a122da785p-8, -0x1.2da47a74a3f02p-8, -0x1.24f652d6d737dp-8, -0x1.1c7e81bcd44e9p-8, -0x1.143bf17f81d88p-8, -0x1.0c2d9065cb5a8p-8, -0x1.045250a234db4p-8, -0x1.f952509f96862p-9, -0x1.ea6222dd47b83p-9, -0x1.dbd213bf9f4d1p-9, -0x1.cda026c2bdff6p-9, -0x1.bfca671465cddp-9, -0x1.b24ee78a923ecp-9, -0x1.a52bc298afaacp-9, -0x1.985f1a4449bc7p-9, -0x1.8be71819a3fa9p-9, -0x1.7fc1ed20b3b6dp-9, -0x1.73edd1d0c566cp-9, -0x1.68690602c7358p-9, -0x1.5d31d0e36d4ep-9, -0x1.524680e54a52bp-9, -0x1.47a56bb32ad2bp-9, -0x1.3d4cee214782ap-9, -0x1.333b6c1db02c3p-9, -0x1.296f50a097a7bp-9, -0x1.1fe70d9ca9f78p-9, -0x1.16a11beecd353p-9, -0x1.0d9bfb4db845ap-9, -0x1.04d63238e0aafp-9, -0x1.f89c9bcf654b5p-10, -0x1.e805c46fd9507p-10, -0x1.d7e513377bfd3p-10, -0x1.c837ca10297ecp-10, -0x1.b8fb37c5ebbdbp-10, -0x1.aa2cb7e32909cp-10, -0x1.9bc9b28aff867p-10, -0x1.8dcf9c52afa54p-10, -0x1.803bf61cef456p-10, -0x1.730c4cf56d3bdp-10, -0x1.663e39ec54dc8p-10, -0x1.59cf61ef1e35ap-10, -0x1.4dbd75a0f595ap-10, -0x1.420631346ab3ep-10, -0x1.36a75c45ab769p-10, -0x1.2b9ec9b4b916cp-10, -0x1.20ea577e25381p-10, -0x1.1687ee93e7c51p-10, -0x1.0c7582b66e378p-10, -0x1.02b1124e03d2dp-10, -0x1.f2714c887095ep-11, -0x1.e014a3babed45p-11, -0x1.ce4865223b7cep-11, -0x1.bd08dfc80fc4dp-11, -0x1.ac527681b1e8p-11, -0x1.9c219fa451e47p-11, -0x1.8c72e4b7cb7cp-11, -0x1.7d42e22ae3e7bp-11, -0x1.6e8e4707106b4p-11, -0x1.6051d4a4a6129p-11, -0x1.528a5e5fa45a2p-11, -0x1.4534c94b75028p-11, -0x1.384e0be860bbfp-11, -0x1.2bc2897ba718ap-11, -0x1.1faf7c499be75p-11, -0x1.1402a38e06e46p-11, -0x1.08b938e04ff73p-11, -0x1.fba10b86cc6eep-12, -0x1.e68bc6bce9babp-12, -0x1.d22d746cd913fp-12, -0x1.be8103cdac53dp-12, -0x1.ab8181b9e4ee2p-12, -0x1.992a18243cb52p-12, -0x1.87760d90df527p-12, -0x1.7660c4920cffap-12, -0x1.65e5bb45a2edbp-12, -0x1.56008ad77535ep-12, -0x1.46ace701aafbbp-12, -0x1.37e69d8d2f465p-12, -0x1.29a995cf4a121p-12, -0x1.1bf1d02958f72p-12, -0x1.0ebb6589e13ddp-12, -0x1.020286f5112b6p-12, -0x1.eb86fa2657bb5p-13, -0x1.d3f54f838274ep-13, -0x1.bd48fb430b402p-13, -0x1.a77b174189b03p-13, -0x1.9284e90aa6ab7p-13, -0x1.7e5fe0efd148bp-13, -0x1.6b05992ce7074p-13, -0x1.586fd5150c00ep-13, -0x1.46988044d331cp-13, -0x1.3579add14c513p-13, -0x1.250d977791913p-13, -0x1.154e9ccc6db02p-13, -0x1.06374272a8666p-13, -0x1.ef8462ab90149p-14, -0x1.d3d46bdc9448dp-14, -0x1.b9547efeeb344p-14, -0x1.9ffabeafa8854p-14, -0x1.87bd901f7edb9p-14, -0x1.709399a9568d4p-14, -0x1.5a73c169f7dc9p-14, -0x1.45552be692e66p-14, -0x1.312f3ab7d03bdp-14, -0x1.1df98b2a15e4dp-14, -0x1.0babf4ead221ap-14, -0x1.f47d115d05738p-15, -0x1.d3531dc8e0d5ep-15, -0x1.b3cb0cf226ed2p-15, -0x1.95d64739ea491p-15, -0x1.79669d43f4475p-15, -0x1.5e6e45a5e8539p-15, -0x1.44dfda9ec22fbp-15, -0x1.2cae57c4fd007p-15, -0x1.15cd17b2a634ep-15, -0x1.002fd19f51b8ep-15, -0x1.d7952e40cf488p-16, -0x1.b123a3cfc56d6p-16, -0x1.8cf48375c79fbp-16, -0x1.6af1f50d2e2cap-16, -0x1.4b06c50da69d9p-16, -0x1.2d1e60f7275adp-16, -0x1.1124d372b5f93p-16, -0x1.ee0d80b6e341ap-17, -0x1.bd62c15860548p-17, -0x1.9024fce1007d3p-17, -0x1.6630e22e7995fp-17, -0x1.3f6433c77be18p-17, -0x1.1b9dc16bbf2bp-17, -0x1.f57ac38071f26p-18, -0x1.b947d82216966p-18, -0x1.826663a2913a3p-18, -0x1.509bf017a4676p-18, -0x1.23afe20939ff6p-18, -0x1.f6d6d7d8a20dbp-19, -0x1.af33042f03746p-19, -0x1.700d9de3a22bap-19, -0x1.39034ee7fe852p-19, -0x1.09b3ff927a163p-19, -0x1.c3857f9fd1d9cp-20, -0x1.81ab630de45a9p-20, -0x1.4d2be5b57042ap-20, -0x1.255f1632dba75p-20, -0x1.09a2acc968e6dp-20, -0x1.f2b3ca5426a9p-21, -0x1.e7dab0b7eedd4p-21, -0x1.f195ae0236742p-21, -0x1.0765441cb0a69p-20, -0x1.1f3472a96a608p-20, -0x1.3fb5016d081c2p-20, -0x1.686837c00d18bp-20, -0x1.98d3e27213254p-20, -0x1.d082302693c93p-20, -0x1.0780c7bc1c4cep-19, -0x1.29f246e2daa59p-19, -0x1.4f60ddf89745p-19, -0x1.7799c8e17edc4p-19, -0x1.a26c2a4753956p-19, -0x1.cfa8fe7a2b291p-19, -0x1.ff230e229849ap-19, -0x1.18577045f354cp-18, -0x1.3211568ebcfb8p-18, -0x1.4cab270b78802p-18, -0x1.681198faa2dccp-18, -0x1.8432270b73e81p-18, -0x1.a0fb091712ff7p-18, -0x1.be5b2e7de0f2dp-18, -0x1.dc4239144615ep-18, -0x1.faa0781521c2cp-18, -0x1.0cb371ea91c53p-17, -0x1.1c438c3d612aep-17, -0x1.2bf9a86ab638ep-17, -0x1.3bcf3084611cep-17, -0x1.4bbdd89a4697p-17, -0x1.5bbf9c30ab574p-17, -0x1.6bcebc06be40cp-17, -0x1.7be5bbe9ab674p-17, -0x1.8bff60aced216p-17, -0x1.9c16ae2bbae8ap-17, -0x1.ac26e5417c007p-17, -0x1.bc2b81bf4e277p-17, -0x1.cc20386edb2b5p-17, -0x1.dc00f4ffe6eeep-17, -0x1.ebc9d865e73dap-17, -0x1.fb7736ec0d88ap-17, -0x1.0582cb3ee868fp-16, -0x1.0d38d670b98ffp-16, -0x1.14dc2f020babp-16, -0x1.1c6b5d0e68b03p-16, -0x1.23e4fe351fb7bp-16, -0x1.2b47c4d00a49fp-16, -0x1.3292775949357p-16, -0x1.39c3efce3ae8p-16, -0x1.40db1b1223f51p-16, -0x1.47d6f83cf1dc1p-16, -0x1.4eb697e265b15p-16, -0x1.55791b6c73fcep-16, -0x1.5c1db457da062p-16, -0x1.62a3a38e365c6p-16, -0x1.690a38c2e0a74p-16, -0x1.6f50d1d2c75e4p-16, -0x1.7576da3aa907ap-16, -0x1.7b7bca89d38f9p-16, -0x1.815f27ed6fc29p-16, -0x1.872083b117b6ap-16, -0x1.8cbf7afda9db8p-16, -0x1.923bb66381ebcp-16, -0x1.9794e9855156ep-16, -0x1.9ccad2ab4ba12p-16, -0x1.a1dd3a4e36c7ep-16, -0x1.a6cbf29bf7841p-16, -0x1.ab96d6f700fc1p-16, -0x1.b03dcb7d2fe57p-16, -0x1.b4c0bc7a8c04ap-16, -0x1.b91f9e207909ep-16, -0x1.bd5a6c0cadccfp-16, -0x1.c17128f6dd4b9p-16, -0x1.c563de5e5fa6dp-16, -0x1.c9329c413ef91p-16, -0x1.ccdd78de3a17p-16, -0x1.d064907b7713bp-16, -0x1.d3c80526ad4fbp-16, -0x1.d707fe96032e3p-16, -0x1.da24a9e216ba6p-16, -0x1.dd1e394357228p-16, -0x1.dff4e3cf4c3p-16, -0x1.e2a8e5200a665p-16, -0x1.e53a7d0c5bc0fp-16, -0x1.e7a9ef49e07dbp-16, -0x1.e9f783345559p-16, -0x1.ec23838361e3fp-16, -0x1.ee2e3e08e6ff6p-16, -0x1.f018038ee0c17p-16, -0x1.f1e1279e0ee34p-16, -0x1.f38a006674aa3p-16, -0x1.f512e6993e78p-16, -0x1.f67c3556bb396p-16, -0x1.f7c64a11eafa9p-16, -0x1.f8f18466505a3p-16, -0x1.f9fe45fb9b381p-16, -0x1.faecf2586802p-16, -0x1.fbbdeeaab99f4p-16, -0x1.fc71a19af6b5ap-16, -0x1.fd08731f6e668p-16, -0x1.fd82cc545d3f3p-16, -0x1.fde11750400bcp-16, -0x1.fe23bf161544bp-16, -0x1.fe4b2f622d621p-16, -0x1.fe57d4ad063e7p-16, -0x1.fe4a1c07b085ep-16, -0x1.fe22730f06229p-16, -0x1.fde147d9c5892p-16, -0x1.fd8708eb52b0fp-16, -0x1.fd14251627973p-16, -0x1.fc890b74cb866p-16, -0x1.fbe62b4a8eee8p-16, -0x1.fb2bf3f2b6594p-16, -0x1.fa5ad4b032605p-16, -0x1.f9733cb3ef356p-16, -0x1.f8759af08df9p-16, -0x1.f7625e0cabec3p-16, -0x1.f639f456bbb64p-16, -0x1.f4fccbb661adcp-16, -0x1.f3ab51b0c0e28p-16, -0x1.f245f35fe83e4p-16, -0x1.f0cd1d6ff721ap-16, -0x1.ef413c163cb24p-16, -0x1.eda2bb0a09aa3p-16, -0x1.ebf2055a074b5p-16, -0x1.ea2f85782303p-16, -0x1.e85ba509eefd8p-16, -0x1.e676ccdb3729cp-16, -0x1.e48164cb640dfp-16, -0x1.e27bd3c6ad25ep-16, -0x1.e0667fc1aab34p-16, -0x1.de41cdbced32p-16, -0x1.dc0e21cb69b3p-16, -0x1.d9cbdf1735de9p-16, -0x1.d77b67f018369p-16, -0x1.d51d1dc0593d8p-16, -0x1.d2b1612510ea8p-16, -0x1.d03891dd7cd9dp-16, -0x1.cdb30ec6dc557p-16, -0x1.cb2135cb4fa0bp-16, -0x1.c88363dafbeccp-16, -0x1.c5d9f4d5377a6p-16, -0x1.c32543798329ep-16, -0x1.c065a95bdcd08p-16, -0x1.bd9b7ed3c1d25p-16, -0x1.bac71b01c9cd4p-16, -0x1.b7e8d3c9aefa2p-16, -0x1.b500fdcbaa55cp-16, -0x1.b20fec788bd21p-16, -0x1.af15f210107a1p-16, -0x1.ac135fac6651dp-16, -0x1.a908854c6d657p-16, -0x1.a5f5b1d95bd21p-16, -0x1.a2db33329312bp-16, -0x1.9fb95630ef65fp-16, -0x1.9c9066a2a770ep-16, -0x1.9960af4b61ddp-16, -0x1.962a79dbe9165p-16, -0x1.92ee0ee459fc6p-16, -0x1.8fabb5ddb8015p-16, -0x1.8c63b519c39dbp-16, -0x1.891651c0113dp-16, -0x1.85c3cfd1be3d9p-16, -0x1.826c722bdd5acp-16, -0x1.7f107a8cebdf8p-16, -0x1.7bb02991e4403p-16, -0x1.784bbec792b08p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.20f88ffad4e7cp+0, 0x1.404bc87b678fap+0, 0x1.5c8252838772ap+0, 0x1.755950a89292bp+0, 0x1.8aaeea8acafd9p+0, 0x1.9c7ba72ff1727p+0, 0x1.aacdd2b61b0e6p+0, 0x1.b5c37c5285dcep+0, 0x1.bd8735e6caaf8p+0, 0x1.c24c95cef9a96p+0, 0x1.c44bbb2b8ddc7p+0, 0x1.c3c1b924301acp+0, 0x1.c0eaff5b57445p+0, 0x1.bc054dc298b77p+0, 0x1.b54d2ab1e6fd2p+0, 0x1.acfc344a8552p+0, 0x1.a348a6f14c2d3p+0, 0x1.9865c7fe66bp+0, 0x1.8c83f63f486cp+0, 0x1.7fcff9e3ca436p+0, 0x1.72727b8865d0ap+0, 0x1.64903d1c551d3p+0, 0x1.564aa26e973d1p+0, 0x1.47bff0689341dp+0, 0x1.390b42b4f9dadp+0, 0x1.2a44912eea3fbp+0, 0x1.1b80efa950d6p+0, 0x1.0cd2e7d479dd6p+0, 0x1.fc957f2db2ce1p-1, 0x1.dfed3f77fc947p-1, 0x1.c3c5564051727p-1, 0x1.a83236de01995p-1, 0x1.8d44dc63c390cp-1, 0x1.730acec571d0cp-1, 0x1.599075dfc6eeap-1, 0x1.40dea4af4a592p-1, 0x1.28fc54be29dadp-1, 0x1.11ee978a0c05fp-1, 0x1.f7719d742787ep-2, 0x1.ccb9c02df9379p-2, 0x1.a3b6c75729653p-2, 0x1.7c679799d8821p-2, 0x1.56c911d340e2p-2, 0x1.32d6575b8ce48p-2, 0x1.10890c01be4acp-2, 0x1.dfb325e98fd56p-3, 0x1.a17e870e8437cp-3, 0x1.66612aff55cf2p-3, 0x1.2e468eb2f372p-3, 0x1.f2320344d2baap-4, 0x1.8d83cb945ca75p-4, 0x1.2e53d62b43971p-4, 0x1.a8e51852bc91p-5, 0x1.febf10d158dd4p-6, 0x1.7ed8e4fa1fd4dp-7, -0x1.b3bb79fca57eap-8, -0x1.8712d07907677p-6, -0x1.47deac40f27d3p-5, -0x1.c3d4f6a913427p-5, -0x1.1be445ebbbaf9p-4, -0x1.520a003adb1bbp-4, -0x1.8487fdf62db6ap-4, -0x1.b3897cd668981p-4, -0x1.df38888bb6af6p-4, -0x1.03def2cd7293cp-3, -0x1.16a0823e478e3p-3, -0x1.27f3fe3bd43d9p-3, -0x1.37ebc5f1bde4ap-3, -0x1.46998d94fa3c9p-3, -0x1.540e606553b52p-3, -0x1.605aa2bbdf30ep-3, -0x1.6b8e141b80a53p-3, -0x1.75b7d169f413cp-3, -0x1.7ee65754906d4p-3, -0x1.872784e57eb3bp-3, -0x1.8e889e43bae2fp-3, -0x1.95164f7739a8ep-3, -0x1.9ae4b1f392361p-3, -0x1.9ff1445c370e7p-3, -0x1.a44cc1ff5fa6bp-3, -0x1.a80191f7f3f49p-3, -0x1.ab1997d666d33p-3, -0x1.ad9e38334c961p-3, -0x1.af985dc4c9222p-3, -0x1.b1107ed4f4997p-3, -0x1.b20ea2f95e622p-3, -0x1.b29a68d9b9037p-3, -0x1.b2bb0bd51e72ep-3, -0x1.b277696263051p-3, -0x1.b1d6060f7efd7p-3, -0x1.b0dd120ee6d86p-3, -0x1.af926d4eceeedp-3, -0x1.adfbab22cba52p-3, -0x1.ac1e158c439d3p-3, -0x1.a9feb031bedp-3, -0x1.a7a23b2386898p-3, -0x1.a50d357ed508bp-3, -0x1.a243dffb3aa4cp-3, -0x1.9f4a3f73919bcp-3, -0x1.9c241f7177842p-3, -0x1.98d514bb68858p-3, -0x1.95607fe3e6d9cp-3, -0x1.91c98fd55ead2p-3, -0x1.8e13445571358p-3, -0x1.8a407077ddd06p-3, -0x1.8653bcf94fc91p-3, -0x1.824faa82983fp-3, -0x1.7e3693d349a47p-3, -0x1.7a0aafd10dc84p-3, -0x1.75ce137c7b727p-3, -0x1.7182b3cdb808dp-3, -0x1.6d2a677c2e23ap-3, -0x1.68c6e8b2bb8ebp-3, -0x1.6459d6b090c3ap-3, -0x1.5fe4b7579ce3bp-3, -0x1.5b68f8a96921cp-3, -0x1.56e7f2307463dp-3, -0x1.5262e654d191ep-3, -0x1.4ddb039df6eap-3, -0x1.495165e0e3534p-3, -0x1.44c71758ccc4cp-3, -0x1.403d11aa7d953p-3, -0x1.3bb43ed3cbf7ep-3, -0x1.372d7a081765bp-3, -0x1.32a9907a0de9p-3, -0x1.2e294213e45e6p-3, -0x1.29ad4220dadc1p-3, -0x1.253637ea6281dp-3, -0x1.20c4bf49bdf3ep-3, -0x1.1c59692fa5b12p-3, -0x1.17f4bc254f29cp-3, -0x1.139734c939097p-3, -0x1.0f4146485bea7p-3, -0x1.0af35ad496f2ap-3, -0x1.06add4197e256p-3, -0x1.02710bb01806bp-3, -0x1.fc7aa722d9532p-4, -0x1.f425ed0f11d47p-4, -0x1.ebe4713901b28p-4, -0x1.e3b6af0e21296p-4, -0x1.db9d1626fcb5ap-4, -0x1.d3980b0ed9e64p-4, -0x1.cba7e80183385p-4, -0x1.c3ccfd9fc7b9dp-4, -0x1.bc0793992624fp-4, -0x1.b457e9497daa9p-4, -0x1.acbe364ae95c2p-4, -0x1.a53aaafcacab2p-4, -0x1.9dcd70fff6067p-4, -0x1.9676abab0cf08p-4, -0x1.8f3678738cb3cp-4, -0x1.880cef504d076p-4, -0x1.80fa23130f285p-4, -0x1.79fe21bac174ep-4, -0x1.7318f4bf6abe2p-4, -0x1.6c4aa158470f9p-4, -0x1.659328bc59a7ap-4, -0x1.5ef2885dc01fcp-4, -0x1.5868ba2005ed8p-4, -0x1.51f5b48a095dfp-4, -0x1.4b996af467fc5p-4, -0x1.4553cdb4fe99bp-4, -0x1.3f24ca47950f8p-4, -0x1.390c4b7417e68p-4, -0x1.330a3972fe0aap-4, -0x1.2d1e4af1b7e95p-4, -0x1.2748e7da2a42fp-4, -0x1.21899ad841508p-4, -0x1.1be04288f3358p-4, -0x1.164cbbb8f1738p-4, -0x1.10cee184cb322p-4, -0x1.0b668d7762fbdp-4, -0x1.061397a6c3e4ep-4, -0x1.00d5d6cf6a2bep-4, -0x1.f75a40dc36f0bp-5, -0x1.ed3291b0daa8cp-5, -0x1.e33446a7e5afap-5, -0x1.d95f0458019cep-5, -0x1.cfb26d8c18159p-5, -0x1.c62e2369761c2p-5, -0x1.bcd1c593d021p-5, -0x1.b39cf24f72796p-5, -0x1.aa8f46a18a885p-5, -0x1.a1a85e6e634efp-5, -0x1.98e7d495a8bc5p-5, -0x1.904d430cdb43bp-5, -0x1.87d842f82173fp-5, -0x1.7f886cc19e465p-5, -0x1.775d582f61f3cp-5, -0x1.6f569c7800391p-5, -0x1.6773d055ddfc4p-5, -0x1.5fb48a195169dp-5, -0x1.58185fb9a4b9dp-5, -0x1.509ee6e529b42p-5, -0x1.4947b5107856dp-5, -0x1.42125f84db15bp-5, -0x1.3afe7b6de36b9p-5, -0x1.340b9de62af69p-5, -0x1.2d395c0375e58p-5, -0x1.26874ae256bbcp-5, -0x1.1ff4ffb16015ap-5, -0x1.19820fbbe9b46p-5, -0x1.132e107475d6cp-5, -0x1.0cf8977ec92a1p-5, -0x1.06e13ab9a2529p-5, -0x1.00e79047f3252p-5, -0x1.f6165d336916dp-6, -0x1.ea9758e90ec7bp-6, -0x1.df5141f888fc4p-6, -0x1.d4434776be692p-6, -0x1.c96c995623ac3p-6, -0x1.becc6876789d1p-6, -0x1.b461e6b3ec366p-6, -0x1.aa2c46f5dc922p-6, -0x1.a02abd3d4ae7p-6, -0x1.965c7eb306563p-6, -0x1.8cc0c1b55322dp-6, -0x1.8356bde4fd6ecp-6, -0x1.7a1dac31e9146p-6, -0x1.7114c6e72b488p-6, -0x1.683b49b6c488cp-6, -0x1.5f9071c4ed775p-6, -0x1.57137db2deb7ep-6, -0x1.4ec3ada925645p-6, -0x1.46a043616b798p-6, -0x1.3ea8822fcb73dp-6, -0x1.36dbaf0ba5f5cp-6, -0x1.2f391097ffce4p-6, -0x1.27bfef2b62095p-6, -0x1.206f94d73aa25p-6, -0x1.19474d6ec15d5p-6, -0x1.1246668d63973p-6, -0x1.0b6c2f9cdf29ap-6, -0x1.04b7f9db0f32bp-6, -0x1.fc5230becd101p-7, -0x1.ef7dc03fb6a1p-7, -0x1.e2f14fea645a2p-7, -0x1.d6ab913daa8bdp-7, -0x1.caab398cbeb04p-7, -0x1.beef0205d74e6p-7, -0x1.b375a7b83c4f6p-7, -0x1.a83deb99c7c72p-7, -0x1.9d46928bb3ffdp-7, -0x1.928e655e9c0b9p-7, -0x1.881430d5d0a2fp-7, -0x1.7dd6c5aa17d4fp-7, -0x1.73d4f88bf245fp-7, -0x1.6a0da22531ebp-7, -0x1.607f9f1a1653cp-7, -0x1.5729d009e6123p-7, -0x1.4e0b198ef022ap-7, -0x1.4522643e32698p-7, -0x1.3c6e9ca6b6ba2p-7, -0x1.33eeb35089d43p-7, -0x1.2ba19cbb3784ep-7, -0x1.2386515bbb064p-7, -0x1.1b9bcd99f025dp-7, -0x1.13e111cd9a4cap-7, -0x1.0c55223b0dcc4p-7, -0x1.04f7070f8bc46p-7, -0x1.fb8b98ba9c76bp-8, -0x1.ed81042e70e97p-8, -0x1.dfcc78186563dp-8, -0x1.d26c23c435b25p-8, -0x1.c55e3e20cf699p-8, -0x1.b8a105b4d98d2p-8, -0x1.ac32c092f3e05p-8, -0x1.a011bc4d89d8p-8, -0x1.943c4dea0eae3p-8, -0x1.88b0d1d362b14p-8, -0x1.7d6dabcb7d1d2p-8, -0x1.727146dc9f2bep-8, -0x1.67ba154a02938p-8, -0x1.5d46907ff1fc9p-8, -0x1.531539039e339p-8, -0x1.49249662a6823p-8, -0x1.3f7337221a354p-8, -0x1.35ffb0ad104ccp-8, -0x1.2cc89f426e519p-8, -0x1.23cca5e2961d6p-8, -0x1.1b0a6e3ca39c6p-8, -0x1.1280a89b70928p-8, -0x1.0a2e0bd2315c5p-8, -0x1.02115528cd00fp-8, -0x1.f452908fcbc8fp-9, -0x1.e4e95e4937a71p-9, -0x1.d5e4b3d7e648fp-9, -0x1.c7423ddc10abcp-9, -0x1.b8ffb5122716ap-9, -0x1.ab1ade288ca45p-9, -0x1.9d91899512a09p-9, -0x1.9061936a3cb92p-9, -0x1.8388e32c257bfp-9, -0x1.77056ba50a734p-9, -0x1.6ad52ab9c90dfp-9, -0x1.5ef6293e1acb6p-9, -0x1.53667ac8d677ep-9, -0x1.48243d881a548p-9, -0x1.3d2d9a1538e29p-9, -0x1.3280c348be739p-9, -0x1.281bf60e76b9ep-9, -0x1.1dfd7939d05c6p-9, -0x1.14239d5aa15d8p-9, -0x1.0a8cbc9204482p-9, -0x1.01373a675f946p-9, -0x1.f043073a7ca6cp-10, -0x1.de941c0d4f08fp-10, -0x1.cd5eb0b8c7eeep-10, -0x1.bc9fd4254fa5p-10, -0x1.ac54a65d51e9cp-10, -0x1.9c7a5839f041bp-10, -0x1.8d0e2b1041091p-10, -0x1.7e0d705ffeb03p-10, -0x1.6f7589833f8e1p-10, -0x1.6143e75e53fb5p-10, -0x1.53760a10bf061p-10, -0x1.460980a7465fcp-10, -0x1.38fbe8cec1b1cp-10, -0x1.2c4aee87c8dfbp-10, -0x1.1ff44bdb5e7d1p-10, -0x1.13f5c8909c186p-10, -0x1.084d39e3701d3p-10, -0x1.f9f1047859976p-11, -0x1.e3eb21cfe5eb8p-11, -0x1.ce84c3a499e97p-11, -0x1.b9b9fa80065dcp-11, -0x1.a586ef165f295p-11, -0x1.91e7e1c0794f6p-11, -0x1.7ed929f72ed37p-11, -0x1.6c5735d00d273p-11, -0x1.5a5e897cf7c06p-11, -0x1.48ebbecdb80cbp-11, -0x1.37fb84b4ea09ap-11, -0x1.278a9ece16264p-11, -0x1.1795e4e57b0a5p-11, -0x1.081a428179bffp-11, -0x1.f2296cdb75fb4p-12, -0x1.d504a49510b31p-12, -0x1.b8c07438d1a17p-12, -0x1.9d5747bff318dp-12, -0x1.82c3ae3b56cfbp-12, -0x1.68f6b239d4c35p-12, -0x1.4ff7c087c375bp-12, -0x1.37bef2bcdbc72p-12, -0x1.2047607b4b3d9p-12, -0x1.098c405a64536p-12, -0x1.e711ce42f1c08p-13, -0x1.bc718e0d715d4p-13, -0x1.932edde512a94p-13, -0x1.6b41138b4c241p-13, -0x1.449fbb493a8eap-13, -0x1.1f42969002929p-13, -0x1.f6433540eaffp-14, -0x1.b069de776fc09p-14, -0x1.6ce9daaccde27p-14, -0x1.2bb43baae0f2ap-14, -0x1.d974e1325c6f9p-15, -0x1.5fdc8730cac5fp-15, -0x1.d5075d84ab8d1p-16, -0x1.e53d2828fd5b9p-17, -0x1.849e6c21a28bep-20, 0x1.74545bde1064p-17, 0x1.84efee5585b38p-16, 0x1.241c33f75d36p-15, 0x1.8219bcd500111p-15, 0x1.dc87ededfc71p-15, 0x1.19bec9ffe9361p-14, 0x1.4388781113352p-14, 0x1.6babddb35e1c6p-14, 0x1.9233953512b73p-14, 0x1.b729f8673d1dcp-14, 0x1.da9922559f447p-14, 0x1.fc8af0eec0f94p-14, 0x1.0e848350feaa6p-13, 0x1.1e0e65f6d17c1p-13, 0x1.2ce7b8714ce2ap-13, 0x1.3b14f74e9848dp-13, 0x1.489a845b5f977p-13, 0x1.557ca756d6bdfp-13, 0x1.61bf8ea2b41acp-13, 0x1.6d674fec92f0bp-13, 0x1.7877e8d201454p-13, 0x1.82f53f80b28e4p-13, 0x1.8ce32351ba8eep-13, 0x1.96454d62d701ap-13, 0x1.9f1f612aa752bp-13, 0x1.a774ed08b8196p-13, 0x1.af496ad0198ccp-13, 0x1.b6a0404d2b316p-13, 0x1.bd7cbfc85b8p-13, 0x1.c3e22886d2534p-13, 0x1.c9d3a746c4be5p-13, 0x1.cf5456b77ee98p-13, 0x1.d4673feeb77a7p-13, 0x1.d90f5ad7e50fp-13, 0x1.dd4f8e9eefabcp-13, 0x1.e12ab219ca0aap-13, 0x1.e4a38c2ba9016p-13, 0x1.e7bcd42b164afp-13, 0x1.ea79323f6d8eep-13, 0x1.ecdb3fc18df72p-13, 0x1.eee587972f131p-13, 0x1.f09a8689c505ep-13, 0x1.f1fcab9d34f7p-13, 0x1.f30e58623f89p-13, 0x1.f3d1e144a1561p-13, 0x1.f4498dd7be866p-13, 0x1.f477991d781b3p-13, 0x1.f45e31ce07564p-13, 0x1.f3ff7a9c275f2p-13, 0x1.f35d8a79e1f1p-13, 0x1.f27a6cdad9d14p-13, 0x1.f15821f6a2c8fp-13, 0x1.eff89f068314dp-13, 0x1.ee5dce8249bep-13, 0x1.ec8990595578dp-13, 0x1.ea7dba2c73aefp-13, 0x1.e83c17839fe58p-13, 0x1.e5c66a04bf565p-13, 0x1.e31e69a84cb6fp-13, 0x1.e045c4ec4457p-13, 0x1.dd3e2106d219p-13, 0x1.da091a16aa3cap-13, 0x1.d6a84352ce723p-13, 0x1.d31d27393d819p-13, 0x1.cf6947bcc1c31p-13, 0x1.cb8e1e72a0126p-13, 0x1.c78d1cbf74e2ap-13, 0x1.c367ac042b71fp-13, 0x1.bf1f2dc7f6797p-13, 0x1.bab4fbe35d62fp-13, 0x1.b62a68a685048p-13, 0x1.b180bf019a326p-13, 0x1.acb942a8910fcp-13, 0x1.a7d5303c3d76dp-13, 0x1.a2d5bd6d50a24p-13, 0x1.9dbc1922cc3e2p-13, 0x1.98896b9ef05cbp-13, 0x1.933ed6a0acce7p-13, 0x1.8ddd75869ecaap-13, 0x1.88665d70b4b82p-13, 0x1.82da9d60d95c5p-13, 0x1.7d3b3e5bb027ap-13, 0x1.77894389ff58bp-13, 0x1.71c5aa55f1789p-13, 0x1.6bf16a8a4ba46p-13, 0x1.660d766e71fbdp-13, 0x1.601abae1fd465p-13, 0x1.5a1a1f778a6f2p-13, 0x1.540c868f2c555p-13, 0x1.4df2cd71cd326p-13, 0x1.47cdcc69e3757p-13, 0x1.419e56de4fa91p-13, 0x1.3b653b68ffae5p-13, 0x1.352343ef9ffdcp-13, 0x1.2ed935b8c57bbp-13, 0x1.2887d1806a5cep-13, 0x1.222fd38dbccfbp-13, 0x1.1bd1f3c5f6575p-13, 0x1.156ee5c1893a7p-13, 0x1.0f0758dfa5b53p-13, 0x1.089bf859d12e5p-13, 0x1.022d6b56d249bp-13, 0x1.f778a9fa0081bp-14, 0x1.ea92a907c8ca7p-14, 0x1.ddaa0a8a936e3p-14, 0x1.d0bffd9b9af94p-14, 0x1.c3d5a9d8ecb1ep-14, 0x1.b6ec2f854aeaep-14, 0x1.aa04a7a5bcdd6p-14, 0x1.9d20241fd0ab3p-14, 0x1.903fafd7a21d9p-14, 0x1.83644ececcd65p-14, 0x1.768efe409974cp-14, 0x1.69c0b4c19864bp-14, 0x1.5cfa6259ddd0bp-14, 0x1.503cf0a064d67p-14, 0x1.438942d657875p-14, 0x1.36e035ffa57fbp-14, 0x1.2a42a0fd08e7ep-14, 0x1.1db154a63c18ep-14, 0x1.112d1be388ccdp-14, 0x1.04b6bbc416af7p-14, 0x1.f09de729c17dap-15, 0x1.d7ecf9f647b9dp-15, 0x1.bf5c180d17dcp-15, 0x1.a6ec9e96b73c7p-15, 0x1.8e9fdff1e92fp-15, 0x1.767723e8717cep-15, 0x1.5e73a7da71398p-15, 0x1.46969ef25b26ep-15, 0x1.2ee1325191327p-15, 0x1.1754813a95e45p-15, 0x1.ffe342747cb8bp-16, 0x1.d1733c9ad9d75p-16, 0x1.a35af60ce055ep-16, 0x1.759c616d7997ap-16, 0x1.48395f22e85cbp-16, 0x1.1b33bdafd2bcfp-16, 0x1.dd1a7414a6052p-17, 0x1.848effc63871dp-17, 0x1.2cc8541470095p-17, 0x1.ab930ad42fe6cp-18, 0x1.fe561e8a95f3dp-19, 0x1.517974c19d617p-20, -0x1.53368a0d54f77p-20, -0x1.f8a78977bb32p-19, -0x1.a22f1b17e0127p-18, -0x1.232d795efcd7ep-17, -0x1.746969adaa9fap-17, -0x1.c4c93ef83152fp-17, -0x1.0a257af5357f8p-16, -0x1.317653626e242p-16, -0x1.5856426fcf84p-16, -0x1.7ec46f103ea3ep-16, -0x1.a4c00d3b9d504p-16, -0x1.ca485db273d92p-16, -0x1.ef5cadb11505fp-16, -0x1.09fe2b5cab3ffp-15, -0x1.1c135f2420ce6p-15, -0x1.2dedaacbb3e03p-15, -0x1.3f8cccafba9d4p-15, -0x1.50f088cdb5a9ap-15, -0x1.6218a8a5afeb6p-15, -0x1.7304fb1fd0552p-15, -0x1.83b5546bb3382p-15, -0x1.94298de5b7f68p-15, -0x1.a46185fadf378p-15, -0x1.b45d200c7143ap-15, -0x1.c41c4454c60c2p-15, -0x1.d39edfcc7fc57p-15, -0x1.e2e4e40cbf3efp-15, -0x1.f1ee4738913a7p-15, -0x1.005d81edd18b8p-14, -0x1.07a58c68df4ccp-14, -0x1.0ecf4493bbdb9p-14, -0x1.15daae030078p-14, -0x1.1cc7ce49f365p-14, -0x1.2396acf0174b1p-14, -0x1.2a475365d79efp-14, -0x1.30d9ccf7a85b5p-14, -0x1.374e26c5c17e2p-14, -0x1.3da46fb62cf05p-14, -0x1.43dcb86a72309p-14, -0x1.49f7133403ad6p-14, -0x1.4ff394072225cp-14, -0x1.55d2507079bc2p-14, -0x1.5b935f8a4f592p-14, -0x1.6136d9ee3849ep-14, -0x1.66bcd9ab6275cp-14, -0x1.6c257a3ccc303p-14, -0x1.7170d87e6fa03p-14, -0x1.769f12a3aad8ep-14, -0x1.7bb0482f1c1fdp-14, -0x1.80a499e6d3d4cp-14, -0x1.857c29ce8e8afp-14, -0x1.8a371b1909082p-14, -0x1.8ed592239100cp-14, -0x1.9357b46881f77p-14, -0x1.97bda874e8427p-14, -0x1.9c0795e2306eap-14, -0x1.a035a549ccd2p-14, -0x1.a448003cdfbdep-14, -0x1.a83ed13fdaff6p-14, -0x1.ac1a43bddcd99p-14, -0x1.afda84038ec4fp-14, -0x1.b37fbf3615b8fp-14, -0x1.b70a234e04bcdp-14, -0x1.ba79df0b610d9p-14, -0x1.bdcf21f0e3f21p-14, -0x1.c10a1c3a8ccd7p-14, -0x1.c42afed78578ap-14, -0x1.c731fb62e2c68p-14, -0x1.ca1f441ac4e6ap-14, -0x1.ccf30bda996b6p-14, -0x1.cfad861459e83p-14, -0x1.d24ee6c8f0967p-14, -0x1.d4d7628259ee8p-14, -0x1.d7472e4c996a6p-14, -0x1.d99e7fafa1796p-14, -0x1.dbdd8ca9e6973p-14, -0x1.de048ba8f6618p-14, -0x1.e013b384cb6fdp-14, -0x1.e20b3b7928c49p-14, -0x1.e3eb5b20461c2p-14, -0x1.e5b44a6c8008fp-14, -0x1.e76641a2708aep-14, -0x1.e9017952c899dp-14, -0x1.ea862a55cf39ep-14, -0x1.ebf48dc366a62p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.67c3931b4ee78p-7, 0x1.134a99f4fd8e3p-4, 0x1.26b7899bc2eb7p-3, 0x1.bc3bca3545514p-3, 0x1.23755149710e5p-2, 0x1.6243b2bf80a1ap-2, 0x1.99d8b82840787p-2, 0x1.c9defe770ae42p-2, 0x1.f24866ee264e8p-2, 0x1.099ea7154bdeep-1, 0x1.16887fca21737p-1, 0x1.2019bfe40d4d7p-1, 0x1.26942e87abe99p-1, 0x1.2a3fe20fb0742p-1, 0x1.2b67fc85abf7bp-1, 0x1.2a57cab2af54fp-1, 0x1.2758d41bdb70dp-1, 0x1.22b1daf833a6dp-1, 0x1.1ca5f9ebdceedp-1, 0x1.1573c80d64c7cp-1, 0x1.0d54de09274a4p-1, 0x1.047db33c9eeacp-1, 0x1.f63b39cb91825p-2, 0x1.e2bdcd8a69175p-2, 0x1.cece193adc5f9p-2, 0x1.baae0ba7c98e9p-2, 0x1.a6971523c13d2p-2, 0x1.92baa108cd4d5p-2, 0x1.7f42a2e38f72bp-2, 0x1.6c52477e40b09p-2, 0x1.5a06b10e21487p-2, 0x1.4877a195c3b32p-2, 0x1.37b80b70bbc5p-2, 0x1.27d7126c8de38p-2, 0x1.18de519205863p-2, 0x1.0ad55915d55ecp-2, 0x1.fb80c88840bc8p-3, 0x1.e342327be882bp-3, 0x1.ccedc4fd451d2p-3, 0x1.b87e80bec4576p-3, 0x1.a5ec266c31f5fp-3, 0x1.952bbdea1f504p-3, 0x1.86300f56f9b1p-3, 0x1.78ea0df01050ap-3, 0x1.6d4934eaac8e4p-3, 0x1.633bd8618f3b6p-3, 0x1.5aaf6e1982268p-3, 0x1.5390cec5b63b8p-3, 0x1.4dcc70a8e5e4cp-3, 0x1.494e9a87ee79ep-3, 0x1.46038ec4393a4p-3, 0x1.43d7af88baa7p-3, 0x1.42b79d223783fp-3, 0x1.42904ee16d4e3p-3, 0x1.434f281faf9dap-3, 0x1.44e209da51228p-3, 0x1.473761c8c987bp-3, 0x1.4a3e3713a3417p-3, 0x1.4de6351a53675p-3, 0x1.521fb36f6f1ap-3, 0x1.56dbbb0461e01p-3, 0x1.5c0c08d819cfp-3, 0x1.61a30e61cf29ap-3, 0x1.6793f07f2479dp-3, 0x1.6dd2855972c7ep-3, 0x1.745351b483941p-3, 0x1.7b0b85e4d8caap-3, 0x1.81f0fa1aec67cp-3, 0x1.88fa2a63334ddp-3, 0x1.901e323fed018p-3, 0x1.9754c7d6ed5d6p-3, 0x1.9e9636c4d2e33p-3, 0x1.a5db5a8e5739cp-3, 0x1.ad1d98bc2ae75p-3, 0x1.b456dabcffdc1p-3, 0x1.bb81877c94c1ap-3, 0x1.c2987ced1b5c9p-3, 0x1.c9a0dadf85ed3p-3, 0x1.d083d076b7b5cp-3, 0x1.d74616f3473dcp-3, 0x1.dde424250c197p-3, 0x1.e45ac7f194858p-3, 0x1.eaa7266a6a01dp-3, 0x1.f0c6b22f7a0fep-3, 0x1.f6b72751be5cfp-3, 0x1.fc768699e4306p-3, 0x1.0101889a9f59ep-2, 0x1.03ada271311ddp-2, 0x1.063eec3a74bf3p-2, 0x1.08b4dc4a9163fp-2, 0x1.0b0f025825e83p-2, 0x1.0d4d0603a993p-2, 0x1.0f6ea563ce61dp-2, 0x1.1173b3904ba14p-2, 0x1.135c173044fe6p-2, 0x1.1527c907739c9p-2, 0x1.16d6d27b9bf81p-2, 0x1.18694c1c2f40dp-2, 0x1.19df5c35f89eep-2, 0x1.1b393572f83cep-2, 0x1.1c771587aa141p-2, 0x1.1d9943f314a94p-2, 0x1.1ea010d57bfa2p-2, 0x1.1f8bd3dd6b31cp-2, 0x1.205ceb4b0f6cfp-2, 0x1.2113bb0e96dd5p-2, 0x1.21b0abfefadd5p-2, 0x1.22342b2439873p-2, 0x1.229ea918af81cp-2, 0x1.22f099833c9f2p-2, 0x1.232a72a4e36dbp-2, 0x1.234cacf858c8dp-2, 0x1.2357c2e337c46p-2, 0x1.234c30751f92bp-2, 0x1.232a733055eebp-2, 0x1.22f309d8969f6p-2, 0x1.22a674465dfe3p-2, 0x1.2245333e2465fp-2, 0x1.21cfc84722732p-2, 0x1.2146b57e2d254p-2, 0x1.20aa7d65a02e2p-2, 0x1.1ffba2b3b8781p-2, 0x1.1f3aa81ec08fbp-2, 0x1.1e6810270695ap-2, 0x1.1d845cdf0a8d6p-2, 0x1.1c900fb2463aep-2, 0x1.1b8ba92c40355p-2, 0x1.1a77a8c1153fdp-2, 0x1.19548c98236e2p-2, 0x1.1822d15a402aap-2, 0x1.16e2f203d577ap-2, 0x1.159567babf49ep-2, 0x1.143aa9a910f6fp-2, 0x1.12d32cde73ee9p-2, 0x1.115f6438d4f0fp-2, 0x1.0fdfc05404476p-2, 0x1.0e54af80151a1p-2, 0x1.0cbe9dbe70735p-2, 0x1.0b1df4c530a06p-2, 0x1.09731c08028b4p-2, 0x1.07be78c5b7becp-2, 0x1.06006e199b972p-2, 0x1.04395d0f68e89p-2, 0x1.0269a4b89b885p-2, 0x1.0091a2423c8a7p-2, 0x1.fd63621513fd8p-3, 0x1.f994556bd75b3p-3, 0x1.f5b6ce852de0cp-3, 0x1.f1cb7a350a957p-3, 0x1.edd30246f3301p-3, 0x1.e9ce0d99cfa5dp-3, 0x1.e5bd40373eb65p-3, 0x1.e1a13b6704fdcp-3, 0x1.dd7a9dbedceadp-3, 0x1.d94a032e112fcp-3, 0x1.d5100504a5dd8p-3, 0x1.d0cd39f680bfep-3, 0x1.cc82361b93965p-3, 0x1.c82f8aed5ad7cp-3, 0x1.c3d5c7416c655p-3, 0x1.bf757741b0fc5p-3, 0x1.bb0f24634e861p-3, 0x1.b6a3555d5afdfp-3, 0x1.b2328e1fe205fp-3, 0x1.adbd4fcb46d75p-3, 0x1.a94414f70802bp-3, 0x1.a4c7c3957314bp-3, 0x1.a0486a7c3a394p-3, 0x1.9bc67dafe8ba8p-3, 0x1.97426e75f2f3fp-3, 0x1.92bcab5b4740fp-3, 0x1.8e35a03c30b11p-3, 0x1.89adb64d7d6e5p-3, 0x1.85255426bdbbep-3, 0x1.809cddcd63418p-3, 0x1.7c14b4c0733c8p-3, 0x1.778d3804c2c96p-3, 0x1.7306c431e1579p-3, 0x1.6e81b37f52471p-3, 0x1.69fe5dd16f714p-3, 0x1.657d18c59bc64p-3, 0x1.60fe37bde3045p-3, 0x1.5c820bec4c082p-3, 0x1.5808e45dbd295p-3, 0x1.53930e04559c8p-3, 0x1.4f20d3c0cb43fp-3, 0x1.4ab27e6ad154ap-3, 0x1.464854d8a070dp-3, 0x1.41e29be5b00d1p-3, 0x1.3d819678c612p-3, 0x1.392585895772ep-3, 0x1.34cea82451793p-3, 0x1.307d3b706000ap-3, 0x1.2c317ab1c6a0cp-3, 0x1.27eb9f4dd20b3p-3, 0x1.23abe0ce0934p-3, 0x1.1f7274e338a7p-3, 0x1.1b3f8f6886a9p-3, 0x1.171362669d56cp-3, 0x1.12ee1e16e8febp-3, 0x1.0ecff0e6eb973p-3, 0x1.0ab9077bb4453p-3, 0x1.06a98cb5afbap-3, 0x1.02a1a9b4d40bcp-3, 0x1.fd430bba7502ap-4, 0x1.f5528db7e191bp-4, 0x1.ed7221580bfc5p-4, 0x1.e5a20b37ae0cbp-4, 0x1.dde28ca5856d1p-4, 0x1.d633e3ae766f8p-4, 0x1.ce964b2a597a6p-4, 0x1.c709fac951ad3p-4, 0x1.bf8f27217634p-4, 0x1.b82601bcb92ddp-4, 0x1.b0ceb927051bep-4, 0x1.a98978fc7676cp-4, 0x1.a25669f7d113cp-4, 0x1.9b35b2012a511p-4, 0x1.9427743cbfc41p-4, 0x1.8d2bd119cd604p-4, 0x1.8642e66158027p-4, 0x1.7f6ccf44d471fp-4, 0x1.78a9a46ca564dp-4, 0x1.71f97c0678713p-4, 0x1.6b5c69d380298p-4, 0x1.64d27f3685ef8p-4, 0x1.5e5bcb41c8c2ep-4, 0x1.57f85ac4a884p-4, 0x1.51a8385917dd8p-4, 0x1.4b6b6c70d587cp-4, 0x1.4541fd62725b3p-4, 0x1.3f2bef762a862p-4, 0x1.392944f29e918p-4, 0x1.3339fe29603dp-4, 0x1.2d5e198349b3ap-4, 0x1.2795938c8b912p-4, 0x1.21e0670075f15p-4, 0x1.1c3e8cd51eaa2p-4, 0x1.16affc46fd523p-4, 0x1.1134aae485b0fp-4, 0x1.0bcc8c99b52b7p-4, 0x1.067793bb87bc2p-4, 0x1.0135b1134d9a8p-4, 0x1.f80da7d3c75e4p-5, 0x1.edd5d4259e5a6p-5, 0x1.e3c3bfee7520cp-5, 0x1.d9d74141dd76cp-5, 0x1.d0102b8a82b76p-5, 0x1.c66e4f9ffd1a4p-5, 0x1.bcf17bdc8f2a7p-5, 0x1.b3997c32d746ep-5, 0x1.aa661a436d6e9p-5, 0x1.a1571d723729cp-5, 0x1.986c4afb9248ep-5, 0x1.8fa5660951317p-5, 0x1.87022fc795becp-5, 0x1.7e8267799d5b6p-5, 0x1.7625ca8e6cbb8p-5, 0x1.6dec14b559771p-5, 0x1.65d4fff25502bp-5, 0x1.5de044b1ee798p-5, 0x1.560d99dd167aap-5, 0x1.4e5cb4ec959ebp-5, 0x1.46cd49fc45b49p-5, 0x1.3f5f0bde0d11fp-5, 0x1.3811ac2c9ae86p-5, 0x1.30e4db5de662bp-5, 0x1.29d848d56708cp-5, 0x1.22eba2f5f3c62p-5, 0x1.1c1e97332e885p-5, 0x1.1570d22272419p-5, 0x1.0ee1ff8b6408bp-5, 0x1.0871ca782adabp-5, 0x1.021fdd4561b1dp-5, 0x1.f7d7c3637ebfcp-6, 0x1.ebab01dade7bcp-6, 0x1.dfb8c751ed9cep-6, 0x1.d400644787888p-6, 0x1.c88128748d41ap-6, 0x1.bd3a62e760e05p-6, 0x1.b22b621e5656ep-6, 0x1.a753742170c62p-6, 0x1.9cb1e69b57f8ap-6, 0x1.924606f19ea66p-6, 0x1.880f225c3ca67p-6, 0x1.7e0c85fc66939p-6, 0x1.743d7ef2ad13p-6, 0x1.6aa15a74798dfp-6, 0x1.613765e0bcbcep-6, 0x1.57feeed3edfb3p-6, 0x1.4ef7433b4eb81p-6, 0x1.461fb167839cdp-6, 0x1.3d77881e7825dp-6, 0x1.34fe16aca6b7dp-6, 0x1.2cb2acf5ab281p-6, 0x1.24949b8450451p-6, 0x1.1ca33399f8b5cp-6, 0x1.14ddc73d77977p-6, 0x1.0d43a9494d974p-6, 0x1.05d42d7962755p-6, 0x1.fd1d50f052b2p-7, 0x1.eee4dfd679432p-7, 0x1.e0fdb4fec09e1p-7, 0x1.d3667fe8182d7p-7, 0x1.c61df24d1d756p-7, 0x1.b922c0394d819p-7, 0x1.ac73a01d79bcep-7, 0x1.a00f4ae2eb038p-7, 0x1.93f47bfdb5d37p-7, 0x1.8821f17df0c9fp-7, 0x1.7c966c206ddf7p-7, 0x1.7150af5ea8fa2p-7, 0x1.664f817df2e0bp-7, 0x1.5b91ab9de0fe3p-7, 0x1.5115f9c5e301dp-7, 0x1.46db3af2338cap-7, 0x1.3ce0412040c7bp-7, 0x1.3323e159f1162p-7, 0x1.29a4f3c031f25p-7, 0x1.20625394b77c6p-7, 0x1.175adf432d9bep-7, 0x1.0e8d7869e055p-7, 0x1.05f903e19bd98p-7, 0x1.fb38d38a03a8ap-8, 0x1.eaed2aee64e5cp-8, 0x1.db0ceb53c0c69p-8, 0x1.cb95f8c58a2bfp-8, 0x1.bc863e00f970dp-8, 0x1.addbac7d9d628p-8, 0x1.9f943c74de92ap-8, 0x1.91adece82f32fp-8, 0x1.8426c3a61f7f6p-8, 0x1.76fccd4e63f13p-8, 0x1.6a2e1d54db04dp-8, 0x1.5db8ce0380005p-8, 0x1.519b007b807bep-8, 0x1.45d2dcb501d61p-8, 0x1.3a5e917e35536p-8, 0x1.2f3c547904849p-8, 0x1.246a6217ed61fp-8, 0x1.19e6fd99b409fp-8, 0x1.0faa7d2da33eep-8, 0x1.05bbc4328d78fp-8, 0x1.f82d3bfcddef1p-9, 0x1.e572d5cb94385p-9, 0x1.d34523925a24p-9, 0x1.c1a10015b6c11p-9, 0x1.b08353074444bp-9, 0x1.9fe910ed7f971p-9, 0x1.8fcf3b0ade1aap-9, 0x1.8032df44252bap-9, 0x1.71111806d4c48p-9, 0x1.62670c2f5ee6fp-9, 0x1.5431eeef2629cp-9, 0x1.466effb214217p-9, 0x1.391b8a030b9cdp-9, 0x1.2c34e56ef688cp-9, 0x1.1fb875675c7bbp-9, 0x1.13a3a9242b36ap-9, 0x1.07f3fb8612148p-9, 0x1.f94de5f0eaa84p-10, 0x1.e37442a7d45c7p-10, 0x1.ce56477fc5414p-10, 0x1.b9ef4528d9db4p-10, 0x1.a63aa275be86p-10, 0x1.9333dc1d6d36bp-10, 0x1.80d6847b9979dp-10, 0x1.6f1e43512c342p-10, 0x1.5e06d584ea2c4p-10, 0x1.4d8c0ce3ec6afp-10, 0x1.3da9cfe24fc69p-10, 0x1.2e5c195bdfedcp-10, 0x1.1f9ef854fbddap-10, 0x1.116e8fba69e07p-10, 0x1.03c716201676bp-10, 0x1.ed49aaff4bfa4p-11, 0x1.d40855ec011bbp-11, 0x1.bbc30d03c5f25p-11, 0x1.a472d5863a7edp-11, 0x1.8e10d9776b08p-11, 0x1.78966721208eep-11, 0x1.63fcf0941c8b4p-11, 0x1.503e0b2797ed4p-11, 0x1.3d536ef6d9414p-11, 0x1.2b36f6602d092p-11, 0x1.19e29d82f0beap-11, 0x1.095081bfa0d21p-11, 0x1.f2f5c273735e4p-12, 0x1.d4b834b4e89d4p-12, 0x1.b7dd56adc765bp-12, 0x1.9c5a63692dec2p-12, 0x1.8224d39f0cba4p-12, 0x1.69325cbe8685dp-12, 0x1.5178eff5a2227p-12, 0x1.3aeeb937e4532p-12, 0x1.258a1e4ba84a1p-12, 0x1.1141bdd770f3ep-12, 0x1.fc18dcf55ee8cp-13, 0x1.d7c27bced3d64p-13, 0x1.b56ee002ec9e7p-13, 0x1.950cfbf6c5a2ap-13, 0x1.768c2ae1b7283p-13, 0x1.59dc2f0a4e0ebp-13, 0x1.3eed3001c5b85p-13, 0x1.25afb8e5446c5p-13, 0x1.0e14b6a9dcd44p-13, 0x1.f01aecc5a6999p-14, 0x1.c71747265b3ecp-14, 0x1.a1028cf95969ap-14, 0x1.7dc184f49b55bp-14, 0x1.5d39a8ba24fbfp-14, 0x1.3f5121a2faea6p-14, 0x1.23eec59025729p-14, 0x1.0afa13ca904ep-14, 0x1.e8b663c06b929p-15, 0x1.bff5d1134e9cbp-15, 0x1.9b8541110ba79p-15, 0x1.7b38bf2265633p-15, 0x1.5ee58a52a9b56p-15, 0x1.46620f270ea4bp-15, 0x1.3185e17b3a992p-15, 0x1.2029b699b8987p-15, 0x1.12275f560e14fp-15, 0x1.0759c24fcae1bp-15, 0x1.ff39ac82f9014p-16, 0x1.f59b38afcfde5p-16, 0x1.f19434f8e554ap-16, 0x1.f2e2ab7dfcab3p-16, 0x1.f946993d1114fp-16, 0x1.0240f16d06f34p-15, 0x1.0a2c24a972634p-15, 0x1.1447af7648c26p-15, 0x1.20773e1ca44e3p-15, 0x1.2e9f5abc35e14p-15, 0x1.3ea56828458fcp-15, 0x1.506f9ce6ab896p-15, 0x1.63e4fe3e201e9p-15, 0x1.78ed5b4621d1cp-15, 0x1.8f714804178dbp-15, 0x1.a75a187afc58ap-15, 0x1.c091dbbb4846ep-15, 0x1.db0357306ffd9p-15, 0x1.f69a01ed2c32ap-15, 0x1.09a1001392c19p-14, 0x1.18740f768e637p-14, 0x1.27bce7f27bf0cp-14, 0x1.37729298f7324p-14, 0x1.478c66abc95f6p-14, 0x1.580207a3ec63fp-14, 0x1.68cb632fd4b9p-14, 0x1.79e0af3b45fe4p-14, 0x1.8b3a680abde21p-14, 0x1.9cd14e55de83ap-14, 0x1.ae9e657b3fd8ep-14, 0x1.c09af1bda1808p-14, 0x1.d2c076927f364p-14, 0x1.e508b50267c0ep-14, 0x1.f76daa0e7944fp-14, 0x1.04f4c694b66fdp-13, 0x1.0e3b675770d91p-13, 0x1.17880b322fdc1p-13, 0x1.20d820fb825d6p-13, 0x1.2a2931c56f3e2p-13, 0x1.3378e0201983ap-13, 0x1.3cc4e762c4994p-13, 0x1.460b1af8f837fp-13, 0x1.4f4965b64541ep-13, 0x1.587dc92d41e06p-13, 0x1.61a65d15b7d77p-13, 0x1.6ac14eb15df39p-13, 0x1.73cce03959a98p-13, 0x1.7cc7684e6440dp-13, 0x1.85af516a12ecap-13, 0x1.8e831952f6acep-13, 0x1.9741508c59e38p-13, 0x1.9fe899cfad97ep-13, 0x1.a877a97e13508p-13, 0x1.b0ed451639025p-13, 0x1.b94842adb36a1p-13, 0x1.c187886badc4fp-13, 0x1.c9aa0c0a04737p-13, 0x1.d1aed25ab1b16p-13, 0x1.d994eed70982fp-13, 0x1.e15b832e6f6d1p-13, 0x1.e901bede84ea1p-13, 0x1.f086decadf2cdp-13, 0x1.f7ea2cd4601cep-13, 0x1.ff2aff72ae75bp-13, 0x1.03245ca58cd59p-12, 0x1.06a164666c59ap-12, 0x1.0a0c53e510e26p-12, 0x1.0d64ed8b35b85p-12, 0x1.10aaf910e1112p-12, 0x1.13de434f92b15p-12, 0x1.16fe9e1209c0bp-12, 0x1.1a0bdfe7d60cep-12, 0x1.1d05e3f90283bp-12, 0x1.1fec89de13904p-12, 0x1.22bfb577f5b53p-12, 0x1.257f4eca77d24p-12, 0x1.282b41d8e1d88p-12, 0x1.2ac37e8281966p-12, 0x1.2d47f85fa6c0bp-12, 0x1.2fb8a69dc89c7p-12, 0x1.321583dd0e8b2p-12, 0x1.345e8e0c2d32ep-12, 0x1.3693c647f480ep-12, 0x1.38b530b92c6d8p-12, 0x1.3ac2d47576918p-12, 0x1.3cbcbb60a86d4p-12, 0x1.3ea2f20dd2d28p-12, 0x1.407587a47a102p-12, 0x1.42348dc2deea3p-12, 0x1.43e01863f305cp-12, 0x1.45783dc440ea9p-12, 0x1.46fd1648b48d2p-12, 0x1.486ebc664420ep-12, 0x1.49cd4c8783afap-12, 0x1.4b18e4f7b4eacp-12, 0x1.4c51a5ca9390fp-12, 0x1.4d77b0c66657cp-12, 0x1.4e8b294f1423bp-12, 0x1.4f8c3451d346cp-12, 0x1.507af83147fbbp-12, 0x1.51579cb252f8bp-12, 0x1.52224ae9d3a71p-12, 0x1.52db2d288ab8ap-12, 0x1.53826eebfa698p-12, 0x1.54183ccb63021p-12, 0x1.549cc467435d7p-12, 0x1.55103458ff445p-12, 0x1.5572bc223937cp-12, 0x1.55c48c1d73a6p-12, 0x1.5605d56e24b4ep-12, 0x1.5636c9f1cfb59p-12, 0x1.56579c317175cp-12, 0x1.56687f53948ccp-12, 0x1.5669a7113d71p-12, 0x1.565b47a9271b6p-12, 0x1.563d95d5649b3p-12, 0x1.5610c6c058e17p-12, 0x1.55d50ffbbc90ap-12, 0x1.558aa775dfa3ap-12, 0x1.5531c36fc98f2p-12, 0x1.54ca9a7343512p-12, 0x1.54556347e3f39p-12, 0x1.53d254ea0e411p-12, 0x1.5341a67f03542p-12, 0x1.52a38f4c6be8dp-12, 0x1.51f846aceb45fp-12, 0x1.51400407cb3c5p-12, 0x1.507afec795e07p-12, 0x1.4fa96e5267b8ap-12, 0x1.4ecb8a039d982p-12, 0x1.4de18925269aep-12, 0x1.4ceba2ebf01d3p-12, 0x1.4bea0e7181937p-12, 0x1.4add02b2a8848p-12, 0x1.49c4b688ad3f6p-12, 0x1.48a160a67dc7p-12, 0x1.47733793c6aadp-12, 0x1.463a71a711ec9p-12, 0x1.44f744ff60976p-12, 0x1.43a9e780e5faep-12, 0x1.42528eccdd8c8p-12, 0x1.40f1703d0d95ep-12, 0x1.3f86c0de55575p-12, 0x1.3e12b56c3110ap-12, 0x1.3c95824c0ebf7p-12, 0x1.3b0f5b8a3fd8bp-12, 0x1.398074d50fe12p-12, 0x1.37e9017c72e95p-12, 0x1.3649346e3c61p-12, 0x1.34a1403432d8cp-12, 0x1.32f156f27fa32p-12, 0x1.3139aa65c296ap-12, 0x1.2f7a6be14fb13p-12, 0x1.2db3cc4d39d86p-12, 0x1.2be5fc240faf7p-12, 0x1.2a112b70df229p-12, 0x1.283589cd3ba5bp-12, 0x1.2653465de8c62p-12, 0x1.246a8fd396ddbp-12, 0x1.227b9467d3728p-12, 0x1.208681dccf919p-12, 0x1.1e8b857c8b3cep-12, 0x1.1c8acc18501cep-12, 0x1.1a84820820efep-12, 0x1.1878d329d61b5p-12, 0x1.1667eadfd55bcp-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e4d55c579cf26p-5, -0x1.37adf67ef94c7p-10, -0x1.008f0220e3dacp-4, -0x1.f7a3df939307bp-4, -0x1.71986fbd9506ap-3, -0x1.df139a0bb8ea7p-3, -0x1.2145c3b27d3c8p-2, -0x1.4d7a181cdbf2fp-2, -0x1.73e7665cb0c68p-2, -0x1.948674ec3c409p-2, -0x1.af79e3abe08eap-2, -0x1.c505390da237fp-2, -0x1.d581d6deeda99p-2, -0x1.e15805314a144p-2, -0x1.e8f8f30d3c7f2p-2, -0x1.ecd976571ffb9p-2, -0x1.ed6dfec05eb3bp-2, -0x1.eb27f582c380cp-2, -0x1.e6740031b854ep-2, -0x1.dfb86a0c65ccbp-2, -0x1.d753dc189048fp-2, -0x1.cd9cd4283a6b5p-2, -0x1.c2e1ae171132cp-2, -0x1.b768c6d714b8bp-2, -0x1.ab709513dbd7ep-2, -0x1.9f2fe340a979dp-2, -0x1.92d6404775d98p-2, -0x1.868c907cd2027p-2, -0x1.7a75a0bc701bep-2, -0x1.6eaea9f00fd64p-2, -0x1.634fc3387fc7bp-2, -0x1.586c529a43cb9p-2, -0x1.4e138c534afccp-2, -0x1.4450b7d80624ap-2, -0x1.3b2cb7342c0cap-2, -0x1.32aced531dca8p-2, -0x1.2ad472bd058e9p-2, -0x1.23a43f4c6527cp-2, -0x1.1d1b78aa7a305p-2, -0x1.1737ba07826c8p-2, -0x1.11f5541e66433p-2, -0x1.0d4f862f9cd0ap-2, -0x1.0940b06b73b6ap-2, -0x1.05c280f6d6d9cp-2, -0x1.02ce1bda0b412p-2, -0x1.005c3e6487e9p-2, -0x1.fccabd53c3759p-3, -0x1.f9c38d4b675aep-3, -0x1.f793566828dfdp-3, -0x1.f62a7e266394ep-3, -0x1.f57985eae9382p-3, -0x1.f571277ddc84ep-3, -0x1.f6026eb0cf8a3p-3, -0x1.f71ecf0455782p-3, -0x1.f8b834e42790ep-3, -0x1.fac1121d07f6bp-3, -0x1.fd2c6691124bap-3, -0x1.ffedc6754e6f8p-3, -0x1.017caf98e97d1p-2, -0x1.0321fd5ce2b56p-2, -0x1.04e180ab0932ep-2, -0x1.06b63cf4e534bp-2, -0x1.089b845eaf2d1p-2, -0x1.0a8cf6a5e3cbbp-2, -0x1.0c867fb1b4aa7p-2, -0x1.0e8455fea8d77p-2, -0x1.1082f8c83115ap-2, -0x1.127f2dc526b6fp-2, -0x1.1475fe8cf7327p-2, -0x1.1664b59b6a518p-2, -0x1.1848db165011p-2, -0x1.1a20318ae392ep-2, -0x1.1be8b2bf53353p-2, -0x1.1da08cc1c1c0cp-2, -0x1.1f461f3c8428dp-2, -0x1.20d7f8d93b9a6p-2, -0x1.2254d4bed19b1p-2, -0x1.23bee91d5044bp-2, -0x1.250f056507a27p-2, -0x1.264741aebccefp-2, -0x1.2766eeb682648p-2, -0x1.286d7cb21c206p-2, -0x1.295a78e903ce7p-2, -0x1.2a2d8b6f69f39p-2, -0x1.2ae675164a3bp-2, -0x1.2b850d86414f6p-2, -0x1.2c09417c82fb6p-2, -0x1.2c731131a89c2p-2, -0x1.2cc28ee3eccabp-2, -0x1.2cf7dd79841ddp-2, -0x1.2d132f35e5e3ep-2, -0x1.2d14c47e743b9p-2, -0x1.2cfceaa84f696p-2, -0x1.2ccbfacc8d405p-2, -0x1.2c8258a9b2129p-2, -0x1.2c207189a2012p-2, -0x1.2ba6bb295e555p-2, -0x1.2b15b2ad675f3p-2, -0x1.2a6ddba1256fbp-2, -0x1.29afbf0025814p-2, -0x1.28dbea4dfd691p-2, -0x1.27f2eebe531e7p-2, -0x1.26f5606d248ecp-2, -0x1.25e3d5a6a0f4bp-2, -0x1.24bee63f4b17ap-2, -0x1.23872b0178f41p-2, -0x1.223d3d2cdf198p-2, -0x1.20e1b60388aa5p-2, -0x1.1f752e66d64c1p-2, -0x1.1df83e86e91dbp-2, -0x1.1c6b7da291f63p-2, -0x1.1acf81d338c1fp-2, -0x1.1924dfe296ad4p-2, -0x1.176c2b29f2a0ap-2, -0x1.15a5f578f3ea8p-2, -0x1.13d2ceffef83bp-2, -0x1.11f3463c94b29p-2, -0x1.1007e7e9b77c6p-2, -0x1.0e113eee69d92p-2, -0x1.0c0fd44a07cf3p-2, -0x1.0a042efecf0bbp-2, -0x1.07eed3fc5ac54p-2, -0x1.05d046091043p-2, -0x1.03a905a9d71a5p-2, -0x1.0179910988dbp-2, -0x1.fe84c7c310903p-3, -0x1.fa07eec5770b1p-3, -0x1.f57d843cece09p-3, -0x1.f0e66fe1d8c7ap-3, -0x1.ec4393defab81p-3, -0x1.e795ccb451ap-3, -0x1.e2ddf11da57c4p-3, -0x1.de1cd1fea0a5ep-3, -0x1.d9533a573fefap-3, -0x1.d481ef413462bp-3, -0x1.cfa9aff52890cp-3, -0x1.cacb35d781b04p-3, -0x1.c5e7348c6517fp-3, -0x1.c0fe5a122a996p-3, -0x1.bc114ee04577dp-3, -0x1.b720b60a6203fp-3, -0x1.b22d2d68c17f9p-3, -0x1.ad374dc38dfd8p-3, -0x1.a83faafd73c6bp-3, -0x1.a346d43ca29c7p-3, -0x1.9e4d54130f38cp-3, -0x1.9953b0a658735p-3, -0x1.945a6bd6563b1p-3, -0x1.8f6203611e881p-3, -0x1.8a6af1045df75p-3, -0x1.8575aa9bdb99ep-3, -0x1.8082a23d4f8d5p-3, -0x1.7b92465230d96p-3, -0x1.76a501afbc8b6p-3, -0x1.71bb3bac90b22p-3, -0x1.6cd5583386c87p-3, -0x1.67f3b7d403368p-3, -0x1.6316b7d05e66bp-3, -0x1.5e3eb22b0bea7p-3, -0x1.596bfdb2e3f62p-3, -0x1.549eee0e097fdp-3, -0x1.4fd7d3c372485p-3, -0x1.4b16fc43d5d7ap-3, -0x1.465cb1f2b7bdp-3, -0x1.41a93c2fc39d7p-3, -0x1.3cfccf1f0e541p-3, -0x1.3857fca76de8bp-3, -0x1.33bac1b9db503p-3, -0x1.2f255945a3278p-3, -0x1.2a97fb81b482p-3, -0x1.2612ddfc5e66cp-3, -0x1.219633ab73572p-3, -0x1.1d222cfcccb5cp-3, -0x1.18b6f7e718109p-3, -0x1.1454bffac95c8p-3, -0x1.0ffbae72f02a1p-3, -0x1.0babea45eb6dap-3, -0x1.07659836090bbp-3, -0x1.0328dae22ff42p-3, -0x1.fdeba5acef887p-4, -0x1.f5993d38854p-4, -0x1.ed5ab59339232p-4, -0x1.e530441fb2c95p-4, -0x1.dd1a1a9352948p-4, -0x1.d518671179ca3p-4, -0x1.cd2b5445e1a91p-4, -0x1.c553097de555dp-4, -0x1.bd8faac099acfp-4, -0x1.b5e158e596d4bp-4, -0x1.ae4831aaabd99p-4, -0x1.a6c44fc88fb04p-4, -0x1.9f55cb06bb97ap-4, -0x1.97fcb84e81807p-4, -0x1.90b929bd63683p-4, -0x1.898b2eb6bdc56p-4, -0x1.8272d3f4cfeddp-4, -0x1.7b7023996dc21p-4, -0x1.7483253e882e5p-4, -0x1.6dabde068e169p-4, -0x1.66ea50ac8bd1p-4, -0x1.603e7d9408a8p-4, -0x1.59a862d8b2ed4p-4, -0x1.5327fc5deacccp-4, -0x1.4cbd43de35061p-4, -0x1.466830fab7254p-4, -0x1.4028b94ae8833p-4, -0x1.39fed06c78c03p-4, -0x1.33ea68132d731p-4, -0x1.2deb701881ebbp-4, -0x1.2801d68b0ce77p-4, -0x1.222d87bdc2bc6p-4, -0x1.1c6e6e5731898p-4, -0x1.16c47360c0be5p-4, -0x1.112f7e55e5ba4p-4, -0x1.0baf7533272a7p-4, -0x1.06443c84ca8cep-4, -0x1.00edb77542ba4p-4, -0x1.f7578fb6edb1fp-5, -0x1.ecfc9c91b3a3ep-5, -0x1.e2ca542e8592cp-5, -0x1.d8c072ece9b1cp-5, -0x1.cedeb2f2a292bp-5, -0x1.c524cc4569501p-5, -0x1.bb9274e40d9b1p-5, -0x1.b22760df0966cp-5, -0x1.a8e342707be07p-5, -0x1.9fc5ca138505p-5, -0x1.96cea69b09378p-5, -0x1.8dfd8547d3b24p-5, -0x1.855211de2f0c9p-5, -0x1.7ccbf6baed24p-5, -0x1.746adce7eabaep-5, -0x1.6c2e6c2ffb183p-5, -0x1.64164b3218782p-5, -0x1.5c221f73f2a4cp-5, -0x1.54518d740a7ffp-5, -0x1.4ca438bb8f47ap-5, -0x1.4519c3effd927p-5, -0x1.3db1d0e45681cp-5, -0x1.366c00a9c70bcp-5, -0x1.2f47f39fad6dp-5, -0x1.284549832eb66p-5, -0x1.2163a17e6f78ap-5, -0x1.1aa29a3775e22p-5, -0x1.1401d1deb5a85p-5, -0x1.0d80e63d7321fp-5, -0x1.071f74c3d627cp-5, -0x1.00dd1a968af6cp-5, -0x1.f572e9382cbc3p-6, -0x1.e9683f13e4ac5p-6, -0x1.dd996fe2b8422p-6, -0x1.d205b49786242p-6, -0x1.c6ac460daa556p-6, -0x1.bb8c5d2062969p-6, -0x1.b0a532c18d69cp-6, -0x1.a5f6000fd49b8p-6, -0x1.9b7dfe6c7b9cdp-6, -0x1.913c6790b90dcp-6, -0x1.873075a27de9bp-6, -0x1.7d5963487e009p-6, -0x1.73b66bbd96978p-6, -0x1.6a46cae38b71ep-6, -0x1.6109bd5527a34p-6, -0x1.57fe8077d528cp-6, -0x1.4f24528ca0083p-6, -0x1.467a72c0935d4p-6, -0x1.3e00213c775ep-6, -0x1.35b49f34121dfp-6, -0x1.2d972ef4b42c2p-6, -0x1.25a713f2df162p-6, -0x1.1de392d78e541p-6, -0x1.164bf18d6089cp-6, -0x1.0edf774d21bfcp-6, -0x1.079d6ca9616e5p-6, -0x1.00851b99589c1p-6, -0x1.f32b9f0718deap-7, -0x1.e59daa8fb889p-7, -0x1.d85ef691bce1cp-7, -0x1.cb6e22e93927dp-7, -0x1.bec9d29a1a1e9p-7, -0x1.b270abe05c66fp-7, -0x1.a661583f1b4c2p-7, -0x1.9a9a848e330ddp-7, -0x1.8f1ae1070d3ebp-7, -0x1.83e12150b08cp-7, -0x1.78ebfc8b16bfap-7, -0x1.6e3a2d5971b9cp-7, -0x1.63ca71ebab62bp-7, -0x1.599b8c0713e96p-7, -0x1.4fac410e46c11p-7, -0x1.45fb5a0833edfp-7, -0x1.3c87a3a68417ap-7, -0x1.334fee4b34333p-7, -0x1.2a530e0d69c01p-7, -0x1.218fdabd7966cp-7, -0x1.19052fe874fb3p-7, -0x1.10b1ecdb4b286p-7, -0x1.0894f4a564c95p-7, -0x1.00ad2e1a96b2bp-7, -0x1.f1f307a88e469p-8, -0x1.e2f1c8640bcd6p-8, -0x1.d45482b374b6p-8, -0x1.c619226f0d2dbp-8, -0x1.b83d9afa31cb3p-8, -0x1.aabfe74042ddbp-8, -0x1.9d9e09b02578ep-8, -0x1.90d60c37ca6b1p-8, -0x1.8466003fe704dp-8, -0x1.784bfea749648p-8, -0x1.6c8627bc65542p-8, -0x1.6112a335bc6bfp-8, -0x1.55efa02a0847ep-8, -0x1.4b1b550854b1ep-8, -0x1.4093ff8f4157bp-8, -0x1.3657e4c2cbbc7p-8, -0x1.2c6550e14415bp-8, -0x1.22ba97585d76ep-8, -0x1.195612b9fd871p-8, -0x1.103624b08b4c9p-8, -0x1.075935f24d4f4p-8, -0x1.fd7b6c68d63fap-9, -0x1.ecc4383ba7233p-9, -0x1.dc89ca734c85cp-9, -0x1.ccc92bd1de63p-9, -0x1.bd7f72a769d81p-9, -0x1.aea9c2b3f430cp-9, -0x1.a0454d0986666p-9, -0x1.924f4fedbf06p-9, -0x1.84c516b9e8a88p-9, -0x1.77a3f9b985ca9p-9, -0x1.6ae95e07dfe04p-9, -0x1.5e92b56e472d8p-9, -0x1.529d7e42d779p-9, -0x1.47074346f1e07p-9, -0x1.3bcd9b8417373p-9, -0x1.30ee2a27586b7p-9, -0x1.26669e5c255a1p-9, -0x1.1c34b327ddd9dp-9, -0x1.12562f45ae36ap-9, -0x1.08c8e501dcaf6p-9, -0x1.ff15642785db9p-10, -0x1.ed2516d7d257ep-10, -0x1.dbd36017279c3p-10, -0x1.cb13b7b16ebcbp-10, -0x1.bae23459a93d9p-10, -0x1.ab3b01d83d26bp-10, -0x1.9c1a60be4ff46p-10, -0x1.8d7ca616d6f0cp-10, -0x1.7f5e3b1413117p-10, -0x1.71bb9cbbf7dcbp-10, -0x1.64915b9628c14p-10, -0x1.57dc1b5ea1036p-10, -0x1.4b9892bc32922p-10, -0x1.3fc38af7b7e2p-10, -0x1.3459dfb161a45p-10, -0x1.29587e92dc18ap-10, -0x1.1ebc66ffaa216p-10, -0x1.1482a9c61856ep-10, -0x1.0aa868d22ac21p-10, -0x1.012ad6e3a8be2p-10, -0x1.f00e6e8d65373p-11, -0x1.de75bb1c17fffp-11, -0x1.cd865a99838e4p-11, -0x1.bd3b339da1fa1p-11, -0x1.ad8f4ba19e8dfp-11, -0x1.9e7dc6707a648p-11, -0x1.9001e59962461p-11, -0x1.821707e58689ap-11, -0x1.74b8a8d166cb9p-11, -0x1.67e2600911cb6p-11, -0x1.5b8fe0e6472c7p-11, -0x1.4fbcf9efce625p-11, -0x1.44659458e4cfp-11, -0x1.3985b38014554p-11, -0x1.2f19746d59d3bp-11, -0x1.251d0d5197c3bp-11, -0x1.1b8ccd07265fep-11, -0x1.12651a96794cep-11, -0x1.09a274be927cep-11, -0x1.014171822aaffp-11, -0x1.f27d7b6b4e2fbp-12, -0x1.e32e3919bcb1bp-12, -0x1.d48ece4d9a885p-12, -0x1.c699182d7d1a7p-12, -0x1.b9471ddccbd45p-12, -0x1.ac930f94e0b6fp-12, -0x1.a07745cb4ca4bp-12, -0x1.94ee40669dcbcp-12, -0x1.89f2a5fb5b724p-12, -0x1.7f7f430b9e8b1p-12, -0x1.758f093e5a574p-12, -0x1.6c1d0e8fe164ep-12, -0x1.63248c7f01c23p-12, -0x1.5aa0df3cf72b4p-12, -0x1.528d84e34092cp-12, -0x1.4ae61cb3d008cp-12, -0x1.43a6665e5b6e8p-12, -0x1.3cca414eb3f5dp-12, -0x1.364dabff0f55cp-12, -0x1.302cc34ea9d66p-12, -0x1.2a63c1d96829bp-12, -0x1.24eeff4d7b039p-12, -0x1.1fcaefc0994e9p-12, -0x1.1af42303c3adfp-12, -0x1.166743f8a4142p-12, -0x1.122117ed7af02p-12, -0x1.0e1e7dfd4b136p-12, -0x1.0a5c6e7738764p-12, -0x1.06d7fa47bd9dep-12, -0x1.038e4a6413f47p-12, -0x1.007c9f35cb6b6p-12, -0x1.fb40a013859d2p-13, -0x1.f5ed9507ab689p-13, -0x1.f0fb242dea90cp-13, -0x1.ec647efe0e1a9p-13, -0x1.e825007537f74p-13, -0x1.e4382c05aa1e7p-13, -0x1.e099ac8606bfp-13, -0x1.dd45532012562p-13, -0x1.da371647ba77fp-13, -0x1.d76b10baa3efdp-13, -0x1.d4dd80915895fp-13, -0x1.d28ac659074c1p-13, -0x1.d06f6438b437dp-13, -0x1.ce87fd19d47dp-13, -0x1.ccd153cf1a18fp-13, -0x1.cb484a356b3f9p-13, -0x1.c9e9e05286586p-13, -0x1.c8b3336d72e9fp-13, -0x1.c7a17d2ab47d5p-13, -0x1.c6b212ae43964p-13, -0x1.c5e263c88c9ffp-13, -0x1.c52ffa2f7aebp-13, -0x1.c49878c349799p-13, -0x1.c4199ade201b8p-13, -0x1.c3b133a5d346bp-13, -0x1.c35d2d5ee1e3dp-13, -0x1.c31b88bccbf6ap-13, -0x1.c2ea5c3213b49p-13, -0x1.c2c7d33e3e19p-13, -0x1.c2b22dbb1f548p-13, -0x1.c2a7bf30356p-13, -0x1.c2a6ee26c99eap-13, -0x1.c2ae338828dd1p-13, -0x1.c2bc1a0943f58p-13, -0x1.c2cf3da1dbb7p-13, -0x1.c2e64b0eb2c0fp-13, -0x1.c2ffff5591f17p-13, -0x1.c31b274a9be56p-13, -0x1.c3369f0ae713p-13, -0x1.c351517221e0fp-13, -0x1.c36a378f08ff5p-13, -0x1.c380581a04183p-13, -0x1.c392c6f76a953p-13, -0x1.c3a0a4c6cc295p-13, -0x1.c3a91e7e6fc01p-13, -0x1.c3ab6d0edd78ap-13, -0x1.c3a6d506fd3f9p-13, -0x1.c39aa6363232p-13, -0x1.c3863b48b0d2dp-13, -0x1.c368f96236eb1p-13, -0x1.c3424fb7770c7p-13, -0x1.c311b72e64fc6p-13, -0x1.c2d6b1fe32dbcp-13, -0x1.c290cb53eec0dp-13, -0x1.c23f96f8bb0b7p-13, -0x1.c1e2b0fba92b4p-13, -0x1.c179bd5f0c819p-13, -0x1.c10467d2a9655p-13, -0x1.c08263721a501p-13, -0x1.bff36a8ba0774p-13, -0x1.bf573e67cf45dp-13, -0x1.beada70e0b622p-13, -0x1.bdf6730399315p-13, -0x1.bd317704bcbcfp-13, -0x1.bc5e8dbeee1e3p-13, -0x1.bb7d9787e6ddap-13, -0x1.ba8e7a183df39p-13, -0x1.b991204894689p-13, -0x1.b88579d0acda1p-13, -0x1.b76b7b0c0bd46p-13, -0x1.b6431cc3f6ac6p-13, -0x1.b50c5c0356455p-13, -0x1.b3c739efbeb14p-13, -0x1.b273bbaaadffbp-13, -0x1.b111ea3086153p-13, -0x1.afa1d234a5b96p-13, -0x1.ae2383f73c8f5p-13, -0x1.ac9713146b2fp-13, -0x1.aafc9651304bdp-13, -0x1.a954276688af9p-13, -0x1.a79de2d0744e3p-13, -0x1.a5d9e79f32ce5p-13, -0x1.a408575253c6cp-13, -0x1.a22955b352cb8p-13, -0x1.a03d08b622fdfp-13, -0x1.9e43985b4186bp-13, -0x1.9c3d2e9570cf7p-13, -0x1.9a29f7304032fp-13, -0x1.980a1fb7962f4p-13, -0x1.95ddd75f1f91cp-13, -0x1.93a54ee94a728p-13, -0x1.9160b88bf25p-13, -0x1.8f1047d45ab97p-13, -0x1.8cb4318d01f3fp-13, -0x1.8a4caba2e1b46p-13, -0x1.87d9ed0eac5ddp-13, -0x1.855c2dbc8355cp-13, -0x1.82d3a675f5ea4p-13, -0x1.804090ca50c59p-13, -0x1.7da326f5ef617p-13, -0x1.7afba3cd5cf4dp-13, -0x1.784a42a74971ap-13, -0x1.758f3f4c46639p-13, -0x1.72cad5e7d2e15p-13, -0x1.6ffd42fc83b98p-13, -0x1.6d26c3582638ap-13, -0x1.6a4794054dcdap-13, -0x1.675ff23e92ee3p-13, -0x1.64701b5e77978p-13, -0x1.61784ccff0a46p-13, -0x1.5e78c40095933p-13, -0x1.5b71be544f1a7p-13, -0x1.5863791b07261p-13, -0x1.554e318716e2p-13, -0x1.523224a5dc02ap-13, -0x1.4f0f8f55540acp-13, -0x1.4be6ae3df6bcdp-13, -0x1.48b7bdc7fcb5dp-13, -0x1.4582fa124e45ep-13, -0x1.42489ee89f835p-13, -0x1.3f08e7b912c5cp-13, -0x1.3bc40f89ddd43p-13, -0x1.387a50ef65123p-13, -0x1.352be6028cb7ap-13, -0x1.31d908588c71bp-13, -0x1.2e81f0fbb0cd6p-13, -0x1.2b26d8690d3f3p-13, -0x1.27c7f68d3590fp-13, -0x1.246582c4b947dp-13, -0x1.20ffb3dcc95ffp-13, -0x1.1d96c014fc75ap-13, -0x1.1a2add1fc944dp-13, -0x1.16bc402151b6ep-13, -0x1.134b1dac06b25p-13, -0x1.0fd7a9b9c64c2p-13, -0x1.0c6217a3e3a62p-13, -0x1.08ea9a16743c6p-13, -0x1.057163076745bp-13, -0x1.01f6a3aaf5ef9p-13, -0x1.fcf518db6b4f6p-14, -0x1.f5fa99e1e5ed6p-14, -0x1.eefe2817ac77ap-14, -0x1.e8001f9fb1c6dp-14, -0x1.e100db1dd250fp-14, -0x1.da00b3c6f342bp-14, -0x1.d300016beaba8p-14, -0x1.cbff1a86b5164p-14, -0x1.c4fe543ad9d4cp-14, -0x1.bdfe0257b3401p-14, -0x1.b6fe7751b7dafp-14, -0x1.b0000439e104dp-14, -0x1.a902f8b2fffdfp-14, -0x1.a207a2ec9bef4p-14, -0x1.9b0e4f99563a9p-14, -0x1.941749eb76273p-14, -0x1.8d22db9275428p-14, -0x1.86314cba0fc89p-14, -0x1.7f42e40be2cafp-14, -0x1.7857e6b1efaa1p-14, -0x1.7170985763808p-14, -0x1.6a8d3b30729ffp-14, -0x1.63ae0ffc8b28p-14, -0x1.5cd3560ba82ccp-14, -0x1.55fd4b4320a2ep-14, -0x1.4f2c2c21800acp-14, -0x1.486033c295545p-14, -0x1.41999be206327p-14, -0x1.3ad89cddbd532p-14, -0x1.341d6db8bac46p-14, -0x1.2d68441ece89bp-14, -0x1.26b954674fc8dp-14, -0x1.2010d19f07eb3p-14, -0x1.196eed8c04fa3p-14, -0x1.12d3d8b563ff6p-14, -0x1.0c3fc268a033cp-14, -0x1.05b2d8bd1393dp-14, -0x1.fe5a912a029bdp-15, -0x1.f15e7b378d94ap-15, -0x1.e471c48747592p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.f9fa2f3d2d14dp-2, -0x1.f4fd077cdff13p-2, -0x1.ef97bf442c56fp-2, -0x1.e9ce94c6d86afp-2, -0x1.e3a5ed1c477cep-2, -0x1.dd224ad1f04e6p-2, -0x1.d648458b9a515p-2, -0x1.cf1c82c5af08bp-2, -0x1.c7a3afb9d290ap-2, -0x1.bfe27c56323bep-2, -0x1.b7dd972c944cdp-2, -0x1.af99aa370c78p-2, -0x1.a71b584cb425dp-2, -0x1.9e673b205eee9p-2, -0x1.9581e1a535395p-2, -0x1.8c6fceb8c7abfp-2, -0x1.833577f6dbb49p-2, -0x1.79d744a08afeap-2, -0x1.70598c85987ebp-2, -0x1.66c096e420df4p-2, -0x1.5d10993772332p-2, -0x1.534db5f2f8905p-2, -0x1.497bfb29994a9p-2, -0x1.3f9f6124834cap-2, -0x1.35bbc8ee8197dp-2, -0x1.2bd4fada2dd2bp-2, -0x1.21eea50a28ef8p-2, -0x1.180c5a02c33a6p-2, -0x1.0e318f4c47ea1p-2, -0x1.04619c2cb72efp-2, -0x1.f53f70fdcd45fp-3, -0x1.e1ddf7584f33p-3, -0x1.cea4b799035f7p-3, -0x1.bb9959e1111b2p-3, -0x1.a8c1412d765c4p-3, -0x1.96218a9aaabp-3, -0x1.83bf0d01116d5p-3, -0x1.719e58e861f08p-3, -0x1.5fc3b8ceb1875p-3, -0x1.4e3331be5f6efp-3, -0x1.3cf0842d475ecp-3, -0x1.2bff2d1e902d5p-3, -0x1.1b62678006179p-3, -0x1.0b1d2dbb64527p-3, -0x1.f66476e7b8ecbp-4, -0x1.d7481ed02fb33p-4, -0x1.b8e9dae22b445p-4, -0x1.9b4dc12d1f309p-4, -0x1.7e777a63d2146p-4, -0x1.626a46325ee5bp-4, -0x1.4728ff9865f94p-4, -0x1.2cb6213caceb4p-4, -0x1.1313c9b0a77fcp-4, -0x1.f4877f374f32dp-5, -0x1.c48eeb8d65dc7p-5, -0x1.96401e0680975p-5, -0x1.699cc3d09d858p-5, -0x1.3ea5f8c4e08ap-5, -0x1.155c4e28ea845p-5, -0x1.db7fa21d92c35p-6, -0x1.8fa020a549868p-6, -0x1.4718446de1a89p-6, -0x1.01e55342b7579p-6, -0x1.80076bef8c4e6p-7, -0x1.02de02fa590f1p-7, -0x1.1887fd3aa3c21p-8, -0x1.c2d6a9660b8c8p-11, 0x1.35cc97f2db1a6p-9, 0x1.615915fe11428p-8, 0x1.0d8efa92f0077p-7, 0x1.642bfd1989c45p-7, 0x1.b49661d6ae57dp-7, 0x1.fee2341d8eb14p-7, 0x1.2192587572c7p-6, 0x1.40ba1e699af57p-6, 0x1.5cf42d1663113p-6, 0x1.764ccfaf90e47p-6, 0x1.8cd0d6a1c8a4dp-6, 0x1.a08d92c20efb3p-6, 0x1.b190d0746da81p-6, 0x1.bfe8d2c2a33f4p-6, 0x1.cba44e5ce42b3p-6, 0x1.d4d2647fc15ddp-6, 0x1.db829dbb53c6fp-6, 0x1.dfc4e498e19fap-6, 0x1.e1a9801d09ea4p-6, 0x1.e1410e2595af2p-6, 0x1.de9c7da2cd2dbp-6, 0x1.d9cd08ad0744p-6, 0x1.d2e42e77ea1cbp-6, 0x1.c9f3ad256b808p-6, 0x1.bf0d7b7b4b8c7p-6, 0x1.b243c27e38acap-6, 0x1.a3a8d6f644c36p-6, 0x1.934f32e0aeddap-6, 0x1.81496ed361bb5p-6, 0x1.6daa3b56a9ea9p-6, 0x1.58845a39f67p-6, 0x1.41ea97e87422bp-6, 0x1.29efc4c280ee4p-6, 0x1.10a6ae80e294p-6, 0x1.ec44334d5d44ap-7, 0x1.b4e9760d79dd7p-7, 0x1.7b6262c2ab8c5p-7, 0x1.3fd3fe3d76009p-7, 0x1.02630855bf69ep-7, 0x1.8667dfda1dc47p-8, 0x1.04d58e86e962cp-8, 0x1.00ace29a01671p-9, -0x1.b3c23f705d085p-14, -0x1.20aad8b54209bp-9, -0x1.1bf853da01abap-8, -0x1.a9747cef4c242p-8, -0x1.1c43ecebd3136p-7, -0x1.6478d185cbf76p-7, -0x1.ad3933da74254p-7, -0x1.f6660e919e3c7p-7, -0x1.1ff08b4ebadb9p-6, -0x1.44c660f6be8dfp-6, -0x1.69a626cdfae91p-6, -0x1.8e81e1ca8e7d3p-6, -0x1.b34bffdc1df17p-6, -0x1.d7f75a3975315p-6, -0x1.fc77376ba8ffp-6, -0x1.105fa68bb687cp-5, -0x1.2261e0c2afbfdp-5, -0x1.343c967533aa1p-5, -0x1.45ea4d38a39eap-5, -0x1.5765c48361861p-5, -0x1.68a9f5f4ef33p-5, -0x1.79b21580e6c77p-5, -0x1.8a79917daa81ap-5, -0x1.9afc1297be5dbp-5, -0x1.ab357baabb261p-5, -0x1.bb21e980e43d4p-5, -0x1.cabdb27a6640ep-5, -0x1.da05661d514f9p-5, -0x1.e8f5cc8f65416p-5, -0x1.f78be5facbc26p-5, -0x1.02e274ef6f00fp-4, -0x1.09cf23270b0fbp-4, -0x1.108acf8d27208p-4, -0x1.171466783419ep-4, -0x1.1d6aee3242654p-4, -0x1.238d8677f076ep-4, -0x1.297b67f0ba818p-4, -0x1.2f33e3a134ba1p-4, -0x1.34b66257bbad4p-4, -0x1.3a0264141ca88p-4, -0x1.3f177f6abc9e7p-4, -0x1.43f560e3bba83p-4, -0x1.489bca5692c13p-4, -0x1.4d0a9242a3894p-4, -0x1.5141a32530fa6p-4, -0x1.5540facd31a89p-4, -0x1.5908a9ad68f8ep-4, -0x1.5c98d22d30823p-4, -0x1.5ff1a7f85909fp-4, -0x1.63136f4e7fff2p-4, -0x1.65fe7c523a8f6p-4, -0x1.68b332586ba93p-4, -0x1.6b3203381ba59p-4, -0x1.6d7b6e9b1f2dfp-4, -0x1.6f90014fda123p-4, -0x1.7170549c673e1p-4, -0x1.731d0d9365225p-4, -0x1.7496dc6aa9f28p-4, -0x1.75de7bd4174fap-4, -0x1.76f4b058c711ep-4, -0x1.77da47b6c2a26p-4, -0x1.78901841759e6p-4, -0x1.7917004505766p-4, -0x1.796fe56cb86e7p-4, -0x1.799bb42c8ea7ep-4, -0x1.799b5f2e2e471p-4, -0x1.796fdec142331p-4, -0x1.791a304f635b7p-4, -0x1.789b55d3a57fdp-4, -0x1.77f45555dbe13p-4, -0x1.77263869a6396p-4, -0x1.76320bb15655p-4, -0x1.7518de64b883ep-4, -0x1.73dbc1dbca225p-4, -0x1.727bc91d6517fp-4, -0x1.70fa0871e2eecp-4, -0x1.6f5794f9beba3p-4, -0x1.6d9584483139ep-4, -0x1.6bb4ec01c9288p-4, -0x1.69b6e17efbaaap-4, -0x1.679c7972a7f02p-4, -0x1.6566c79485f12p-4, -0x1.6316de4f7a77dp-4, -0x1.60adce73c5355p-4, -0x1.5e2ca6ecfd9e9p-4, -0x1.5b94747bd37cdp-4, -0x1.58e6417384c44p-4, -0x1.5623157afa70ap-4, -0x1.534bf5517d1a5p-4, -0x1.5061e296efd97p-4, -0x1.4d65db9781735p-4, -0x1.4a58db1ac1016p-4, -0x1.473bd836036a5p-4, -0x1.440fc62205f9dp-4, -0x1.40d59413bbcb8p-4, -0x1.3d8e2d182efccp-4, -0x1.3a3a77f363873p-4, -0x1.36db570224e52p-4, -0x1.3371a81eaa171p-4, -0x1.2ffe4487f959ep-4, -0x1.2c8200cbf77e7p-4, -0x1.28fdacb40b237p-4, -0x1.257213343e2dap-4, -0x1.21dffa5cc862ap-4, -0x1.1e48234decce3p-4, -0x1.1aab4a2e12324p-4, -0x1.170a262203dc7p-4, -0x1.13656947415ddp-4, -0x1.0fbdc0b04aad1p-4, -0x1.0c13d462d11fbp-4, -0x1.08684757ba0dcp-4, -0x1.04bbb77cdad87p-4, -0x1.010ebdb85d16dp-4, -0x1.fac3dbdb6b3dep-5, -0x1.f36bae082e654p-5, -0x1.ec1605dca5d3fp-5, -0x1.e4c3ed6818ffp-5, -0x1.dd7664f8698a3p-5, -0x1.d62e6331693c3p-5, -0x1.ceecd5266d1a5p-5, -0x1.c7b29e75fbe49p-5, -0x1.c08099677468ap-5, -0x1.b957970a88d6fp-5, -0x1.b2385f586ebb4p-5, -0x1.ab23b156a22b4p-5, -0x1.a41a433b20babp-5, -0x1.9d1cc291f6e81p-5, -0x1.962bd4640b412p-5, -0x1.8f48155f0197cp-5, -0x1.887219fe21e0dp-5, -0x1.81aa6eb42587dp-5, -0x1.7af19815ce5d8p-5, -0x1.7448130534d69p-5, -0x1.6dae54ddaf574p-5, -0x1.6724cba03e245p-5, -0x1.60abde206790ap-5, -0x1.5a43ec316bc75p-5, -0x1.53ed4ed3bfa7bp-5, -0x1.4da85862b5052p-5, -0x1.477554c24723ep-5, -0x1.4154898cefa7ep-5, -0x1.3b4636417b298p-5, -0x1.354a9470c7f99p-5, -0x1.2f61d7eb626abp-5, -0x1.298c2eeeefd82p-5, -0x1.23c9c2535949fp-5, -0x1.1e1ab5b7ac357p-5, -0x1.187f27ae9fc38p-5, -0x1.12f731eab954dp-5, -0x1.0d82e969ff06ap-5, -0x1.08225ea134b3dp-5, -0x1.02d59da6955eap-5, -0x1.fb395cb803411p-6, -0x1.f0ef2931360ecp-6, -0x1.e6cca0a38aaecp-6, -0x1.dcd1bb870eb84p-6, -0x1.d2fe6b3084fa7p-6, -0x1.c9529a1f7851bp-6, -0x1.bfce2c4af00dbp-6, -0x1.b670ff6cabde2p-6, -0x1.ad3aeb4af33d6p-6, -0x1.a42bc200da157p-6, -0x1.9b4350450ad0ap-6, -0x1.92815daefe9acp-6, -0x1.89e5acfaa9766p-6, -0x1.816ffc4a8f964p-6, -0x1.7920056846cbfp-6, -0x1.70f57e035ae6ap-6, -0x1.68f017ee9cbe4p-6, -0x1.610f815bcbbccp-6, -0x1.59536515af017p-6, -0x1.51bb6ab88415p-6, -0x1.4a4736e8df53ep-6, -0x1.42f66b88e6229p-6, -0x1.3bc8a7ebfb8c3p-6, -0x1.34bd8908cc4c5p-6, -0x1.2dd4a9a9cf5f6p-6, -0x1.270da29c335cbp-6, -0x1.20680add3d875p-6, -0x1.19e377c62306ep-6, -0x1.137f7d365e64ep-6, -0x1.0d3badbc814efp-6, -0x1.07179abd93816p-6, -0x1.0112d49af22ebp-6, -0x1.f659d5ad9544cp-7, -0x1.eacad86e48516p-7, -0x1.df77cdcf0e9a1p-7, -0x1.d45fd13292f3cp-7, -0x1.c981fd4502643p-7, -0x1.bedd6c374b695p-7, -0x1.b47137f7d8ad2p-7, -0x1.aa3c7a68b370ep-7, -0x1.a03e4d9339521p-7, -0x1.9675cbd969a0ep-7, -0x1.8ce21024c8e03p-7, -0x1.8382361304a8p-7, -0x1.7a555a204f783p-7, -0x1.715a99cf90a19p-7, -0x1.689113d06b15bp-7, -0x1.5ff7e823330aap-7, -0x1.578e383ae4be2p-7, -0x1.4f53271d154e5p-7, -0x1.4745d98008de1p-7, -0x1.3f6575e6e78a5p-7, -0x1.37b124bc24c15p-7, -0x1.3028106a2cf7p-7, -0x1.28c9657261515p-7, -0x1.21945282710ep-7, -0x1.1a8808881fb3p-7, -0x1.13a3bac383fdap-7, -0x1.0ce69ed7ce118p-7, -0x1.064fecdaa245p-7, -0x1.ffbdbec429929p-8, -0x1.f3256722a7ac5p-8, -0x1.e6d552481a054p-8, -0x1.dacc04f1333c2p-8, -0x1.cf080931ffef6p-8, -0x1.c387ee85a6064p-8, -0x1.b84a49dbfe414p-8, -0x1.ad4db5a518f53p-8, -0x1.a290d1dacc58p-8, -0x1.9812440859992p-8, -0x1.8dd0b750472c1p-8, -0x1.83cadc707d7fap-8, -0x1.79ff69c4c2d87p-8, -0x1.706d1b47a2f7ep-8, -0x1.6712b291dac62p-8, -0x1.5deef6d85b219p-8, -0x1.5500b4e8f3288p-8, -0x1.4c46bf25b567cp-8, -0x1.43bfed7f29aa8p-8, -0x1.3b6b1d6d5d6f2p-8, -0x1.334731e7e15bap-8, -0x1.2b53135cc5b55p-8, -0x1.238dafa6a3a7p-8, -0x1.1bf5fa01c7097p-8, -0x1.148aeb007f6f3p-8, -0x1.0d4b807eae68cp-8, -0x1.0636bd949d6b2p-8, -0x1.fe9755124b852p-9, -0x1.f112a9867adb6p-9, -0x1.e3dd9d75dfd49p-9, -0x1.d6f65fd3a44ddp-9, -0x1.ca5b2975f4a64p-9, -0x1.be0a3cf50f51cp-9, -0x1.b201e6898e42ap-9, -0x1.a6407be9f56dep-9, -0x1.9ac45c279e0d5p-9, -0x1.8f8bef8b15b56p-9, -0x1.8495a76ffbf03p-9, -0x1.79dffe206f423p-9, -0x1.6f6976b0252c5p-9, -0x1.65309cd72c9dep-9, -0x1.5b3404cc73991p-9, -0x1.51724b2020eedp-9, -0x1.47ea1495c2a2p-9, -0x1.3e9a0dfe6bf7p-9, -0x1.3580ec12c840ep-9, -0x1.2c9d6b4d2bfeap-9, -0x1.23ee4fc3b5bb6p-9, -0x1.1b72650281823p-9, -0x1.13287de6017ap-9, -0x1.0b0f74757c38dp-9, -0x1.032629bdbc111p-9, -0x1.f6d70b57fd182p-10, -0x1.e7bcedd23bc15p-10, -0x1.d8fbe56a15d38p-10, -0x1.ca91e9851e57fp-10, -0x1.bc7cfe26d89dp-10, -0x1.aebb33a9a36a9p-10, -0x1.a14aa678693f1p-10, -0x1.94297ec920d73p-10, -0x1.8755f058197f1p-10, -0x1.7ace3a242e32bp-10, -0x1.6e90a62bd8cc9p-10, -0x1.629b892b31a43p-10, -0x1.56ed425adddddp-10, -0x1.4b843b2fff8ebp-10, -0x1.405ee71d16d2ap-10, -0x1.357bc353eff9p-10, -0x1.2ad9568886031p-10, -0x1.207630b5031d8p-10, -0x1.1650eadeb8cbfp-10, -0x1.0c6826dc34ef9p-10, -0x1.02ba8f1c5ae23p-10, -0x1.f28dacdd23c1ap-11, -0x1.e0176f9812e4fp-11, -0x1.ce0fec4413fe1p-11, -0x1.bc74b83ab7abbp-11, -0x1.ab4377ed80456p-11, -0x1.9a79de80f8c1fp-11, -0x1.8a15ad69ee958p-11, -0x1.7a14b40ccc0a7p-11, -0x1.6a74cf5f13c4p-11, -0x1.5b33e98af3487p-11, -0x1.4c4ff994f185ap-11, -0x1.3dc70303ad623p-11, -0x1.2f971589adb49p-11, -0x1.21be4cb139d79p-11, -0x1.143acf8a36cf3p-11, -0x1.070ad05a04b67p-11, -0x1.f459189aa75a7p-12, -0x1.db3c9657d95a2p-12, -0x1.c2bcbe1cca841p-12, -0x1.aad6482b734e8p-12, -0x1.938600498a573p-12, -0x1.7cc8c5372187p-12, -0x1.669b8828e5a7p-12, -0x1.50fb4c45ea55cp-12, -0x1.3be52628fc821p-12, -0x1.27563b655f7f7p-12, -0x1.134bc20ef0a5bp-12, -0x1.ff86008b36d74p-13, -0x1.d972978819bc9p-13, -0x1.b45812e333b3cp-13, -0x1.903159ee8b199p-13, -0x1.6cf970afad683p-13, -0x1.4aab7715e1865p-13, -0x1.2942a8362a12fp-13, -0x1.08ba598d14fb2p-13, -0x1.d21bf48c39cd6p-14, -0x1.9472251110128p-14, -0x1.586e8593501ffp-14, -0x1.1e088648987bbp-14, -0x1.ca6f8ad54ca5p-15, -0x1.5be81bf4d5d7ep-15, -0x1.e0d55a33519e1p-16, -0x1.0fcf00843ab27p-16, -0x1.12794fff91f27p-18, 0x1.01b5c2db36f79p-17, 0x1.40ba394ae2bbfp-16, 0x1.fb1cb4aa86881p-16, 0x1.580f6011a149ap-15, 0x1.afee1bd400b44p-15, 0x1.029c1a902618cp-14, 0x1.2bfd87690a05fp-14, 0x1.5421e46d7f18ap-14, 0x1.7b0fa0f970877p-14, 0x1.a0cd0c9cfc49cp-14, 0x1.c56057e6d08a4p-14, 0x1.e8cf9527f9138p-14, 0x1.05905c98b07e8p-13, 0x1.162cce059001ep-13, 0x1.263ffcd2f1691p-13, 0x1.35ccb9433fc1p-13, 0x1.44d5c63602e51p-13, 0x1.535dd9782ad3bp-13, 0x1.61679c11c7aecp-13, 0x1.6ef5aa913035cp-13, 0x1.7c0a9553bf41dp-13, 0x1.88a8e0cc2daa6p-13, 0x1.94d305c6a9011p-13, 0x1.a08b71aab10b6p-13, 0x1.abd486bad9b53p-13, 0x1.b6b09c5275fb6p-13, 0x1.c121ff214ef0fp-13, 0x1.cb2af16570c5cp-13, 0x1.d4cdab2315044p-13, 0x1.de0c5a5ad45b6p-13, 0x1.e6e9233e118bbp-13, 0x1.ef662061cc4d6p-13, 0x1.f78562efcdc68p-13, 0x1.ff48f2d658e6cp-13, 0x1.0359677b2bb9dp-12, 0x1.06e276a8104c3p-12, 0x1.0a409d977016ep-12, 0x1.0d74cea954c4bp-12, 0x1.107ff80ca712bp-12, 0x1.136303d2f9d07p-12, 0x1.161ed803c20e5p-12, 0x1.18b456af0015dp-12, 0x1.1b245dff592a3p-12, 0x1.1d6fc84bb3a3p-12, 0x1.1f976c284e9eap-12, 0x1.219c1c775ec2p-12, 0x1.237ea8793ad4ap-12, 0x1.253fdbdc0ec3dp-12, 0x1.26e07ecb2ceb8p-12, 0x1.286155fdecfa8p-12, 0x1.29c322c62f6b1p-12, 0x1.2b06a31e7d002p-12, 0x1.2c2c91b7cad65p-12, 0x1.2d35a606e8e3bp-12, 0x1.2e229451998bdp-12, 0x1.2ef40dbb597d2p-12, 0x1.2faac051daff1p-12, 0x1.3047571935233p-12, 0x1.30ca7a17cc41dp-12, 0x1.3134ce61f8b63p-12, 0x1.3186f62567585p-12, 0x1.31c190b43fdf2p-12, 0x1.31e53a900d1b8p-12, 0x1.31f28d746b1bp-12, 0x1.31ea20617fb2cp-12, 0x1.31cc87a63ba58p-12, 0x1.319a54ea6b98fp-12, 0x1.3154173897f5p-12, 0x1.30fa5b07b1de7p-12, 0x1.308daa449ad05p-12, 0x1.300e8c5b7a388p-12, 0x1.2f7d8640eccb9p-12, 0x1.2edb1a7b0cab1p-12, 0x1.2e27c92a525cap-12, 0x1.2d6410125060ap-12, 0x1.2c906aa24d012p-12, 0x1.2bad51fdb974p-12, 0x1.2abb3d04888f8p-12, 0x1.29baa05b642b8p-12, 0x1.28abee73c94a6p-12, 0x1.278f9793fee0ap-12, 0x1.266609def93e8p-12, 0x1.252fb15c1bb3bp-12, 0x1.23ecf7fee0f99p-12, 0x1.229e45ae6e734p-12, 0x1.2144004d08ce1p-12, 0x1.1fde8bbf73e9ep-12, 0x1.1e6e49f43c3d4p-12, 0x1.1cf39aeae68e3p-12, 0x1.1b6edcbb0cbfcp-12, 0x1.19e06b9b6502dp-12, 0x1.1848a1e8b280fp-12, 0x1.16a7d82ca2ab1p-12, 0x1.14fe652498832p-12, 0x1.134c9dc861d58p-12, 0x1.1192d550dd21dp-12, 0x1.0fd15d3e8818bp-12, 0x1.0e08856002647p-12, 0x1.0c389bd87978ep-12, 0x1.0a61ed2605876p-12, 0x1.0884c427f63bep-12, 0x1.06a16a250ba96p-12, 0x1.04b826d1a226bp-12, 0x1.02c94055cc9aep-12, 0x1.00d4fb535e201p-12, 0x1.fdb735d7c9929p-13, 0x1.f9bac18d277dap-13, 0x1.f5b51a2c4095dp-13, 0x1.f1a6bd3d1b92ap-13, 0x1.ed902575d3a7ap-13, 0x1.e971cac5f6be3p-13, 0x1.e54c2261c6dcbp-13, 0x1.e11f9ecd55b94p-13, 0x1.dcecafe791e2ep-13, 0x1.d8b3c2f525fb1p-13, 0x1.d47542ab4b52fp-13, 0x1.d031973a72335p-13, 0x1.cbe92658d820dp-13, 0x1.c79c534cfaff1p-13, 0x1.c34b7ef7f4c93p-13, 0x1.bef707dfb9905p-13, 0x1.ba9f4a3936dafp-13, 0x1.b6449ff25c7f3p-13, 0x1.b1e760bc0429cp-13, 0x1.ad87e213c42d1p-13, 0x1.a926774da016ap-13, 0x1.a4c3719d9f253p-13, 0x1.a05f20214e078p-13, 0x1.9bf9cfe91bad2p-13, 0x1.9793cc01a15fep-13, 0x1.932d5d7ccef11p-13, 0x1.8ec6cb7af846fp-13, 0x1.8a605b33cb7ecp-13, 0x1.85fa4fff2c09cp-13, 0x1.8194eb5df2c3fp-13, 0x1.7d306d028e853p-13, 0x1.78cd12d993947p-13, 0x1.746b1912262dbp-13, 0x1.700aba265303dp-13, 0x1.6bac2ee345883p-13, 0x1.674fae716d15bp-13, 0x1.62f56e5c7d2d1p-13, 0x1.5e9da29b5ac78p-13, 0x1.5a487d97f070bp-13, 0x1.55f63036e026bp-13, 0x1.51a6e9df224f8p-13, 0x1.4d5ad8818d438p-13, 0x1.491228a0361cbp-13, 0x1.44cd0555c96acp-13, 0x1.408b985cbb5ecp-13, 0x1.3c4e0a1665f34p-13, 0x1.381481920ddbbp-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fe4335d79ed36p-2, -0x1.fa1858be529d5p-2, -0x1.f591eff3e35e2p-2, -0x1.f0b282c0ff0dfp-2, -0x1.eb7cb8789abd2p-2, -0x1.e5f3538b6f4f9p-2, -0x1.e0192ce29fce2p-2, -0x1.d9f12f957c519p-2, -0x1.d37e5506abe47p-2, -0x1.ccc3a16e5a323p-2, -0x1.c5c420d152965p-2, -0x1.be82e4607a2ecp-2, -0x1.b7030038c8e08p-2, -0x1.af478979a1fbp-2, -0x1.a75394a63dae7p-2, -0x1.9f2a34464fb76p-2, -0x1.96ce77ba63b8fp-2, -0x1.8e436a3915765p-2, -0x1.858c11eb5aea8p-2, -0x1.7cab6f1f6c675p-2, -0x1.73a47b8b25252p-2, -0x1.6a7a2998354e5p-2, -0x1.612f63b5cfe63p-2, -0x1.57c70bacc069fp-2, -0x1.4e43f9f3ff8b9p-2, -0x1.44a8fd04c62fap-2, -0x1.3af8d8ae0215dp-2, -0x1.31364567a2eccp-2, -0x1.2763efa6be765p-2, -0x1.1d847733e64d7p-2, -0x1.139a6e8536499p-2, -0x1.09a85a1dca11fp-2, -0x1.ff615fe88b9c2p-3, -0x1.eb6badc41b396p-3, -0x1.d7744c394f9aep-3, -0x1.c37fc9753200cp-3, -0x1.af929289aacc3p-3, -0x1.9bb0f2ab57a86p-3, -0x1.87df128b99edbp-3, -0x1.7420f7cfb3e08p-3, -0x1.607a84a55c969p-3, -0x1.4cef7774b646dp-3, -0x1.39836aaf34abbp-3, -0x1.2639d4bab1f37p-3, -0x1.131607f78ab2p-3, -0x1.001b32e063a05p-3, -0x1.da98c0841c6e7p-4, -0x1.b558ef13792f3p-4, -0x1.907c7a4f46af1p-4, -0x1.6c08a608388a1p-4, -0x1.4802720a7487ep-4, -0x1.246e9b4598a55p-4, -0x1.01519d0d9d9d4p-4, -0x1.bd5f64e14ea5fp-5, -0x1.7919af3bff851p-5, -0x1.35d996b544efp-5, -0x1.e74c41ffe524fp-6, -0x1.650bbe06874ebp-6, -0x1.c9fbbfbade581p-7, -0x1.9cb82287da542p-8, 0x1.4593da5a52f1cp-10, 0x1.1b1c73d69a148p-7, 0x1.0467fe0cef742p-6, 0x1.78de60e153882p-6, 0x1.eae9f86307ce5p-6, 0x1.2d4209fecafabp-5, 0x1.63d35b801b5f8p-5, 0x1.9926499c36a43p-5, 0x1.cd3881db0ed5fp-5, 0x1.000401ee8335p-4, 0x1.18c98f73bda23p-4, 0x1.30ec37c33d30ap-4, 0x1.486b6ea195c4bp-4, 0x1.5f46cc372aaacp-4, 0x1.757e0bff1602bp-4, 0x1.8b110bbf37a06p-4, 0x1.9fffca88e336ep-4, 0x1.b44a67c19bf6fp-4, 0x1.c7f1223331c16p-4, 0x1.daf45722b4c61p-4, 0x1.ed54816d82707p-4, 0x1.ff1238abdb62p-4, 0x1.0817182c29b71p-3, 0x1.10549b7dc3e9p-3, 0x1.18421aadbeaa7p-3, 0x1.1fe016d713d2p-3, 0x1.272f1d673f8f7p-3, 0x1.2e2fc7b9dcdf9p-3, 0x1.34e2bab51b44bp-3, 0x1.3b48a666d2d28p-3, 0x1.416245a21a696p-3, 0x1.47305d9d228d5p-3, 0x1.4cb3bd8f4dcf6p-3, 0x1.51ed3e4f4e7ebp-3, 0x1.56ddc1f1550f2p-3, 0x1.5b8633652098cp-3, 0x1.5fe78613f959p-3, 0x1.6402b57e8d4c4p-3, 0x1.67d8c4daa6f43p-3, 0x1.6b6abeb0c7f91p-3, 0x1.6eb9b479adcccp-3, 0x1.71c6be3bcca14p-3, 0x1.7492fa28cec4ep-3, 0x1.771f8c3b24b55p-3, 0x1.796d9dd3c9178p-3, 0x1.7b7e5d583f9f5p-3, 0x1.7d52fdd0f052dp-3, 0x1.7eecb687f8ab8p-3, 0x1.804cc2a88c184p-3, 0x1.817460df046bp-3, 0x1.8264d2f9b9f23p-3, 0x1.831f5d8acad39p-3, 0x1.83a5478ae4205p-3, 0x1.83f7d9fd3275dp-3, 0x1.84185f949650cp-3, 0x1.8408245a39191p-3, 0x1.83c875559d4aep-3, 0x1.835aa03647a3dp-3, 0x1.82bff2ff1f3d8p-3, 0x1.81f9bbb393882p-3, 0x1.81094806a993dp-3, 0x1.7fefe50c0beb8p-3, 0x1.7eaedeeb1c212p-3, 0x1.7d478094366bep-3, 0x1.7bbb137825961p-3, 0x1.7a0adf41dfdbdp-3, 0x1.783829929585ep-3, 0x1.764435c029e25p-3, 0x1.743044961234ep-3, 0x1.71fd9418b7a57p-3, 0x1.6fad5f4b4d399p-3, 0x1.6d40ddf836dfp-3, 0x1.6ab9447bf7db2p-3, 0x1.6817c392afa7bp-3, 0x1.655d88282c47ap-3, 0x1.628bbb2a8b093p-3, 0x1.5fa3815f6512bp-3, 0x1.5ca5fb3b978ecp-3, 0x1.599444bd83682p-3, 0x1.566f7549e27c2p-3, 0x1.53389f8b129afp-3, 0x1.4ff0d152d8f74p-3, 0x1.4c99137e97defp-3, 0x1.493269dde989bp-3, 0x1.45bdd31b93adap-3, 0x1.423c48a8cbef7p-3, 0x1.3eaebeaac7055p-3, 0x1.3b1623ea7829ap-3, 0x1.377361c67c778p-3, 0x1.33c75c272883dp-3, 0x1.3012f1749dcffp-3, 0x1.2c56fa8ee5722p-3, 0x1.28944ac7f5903p-3, 0x1.24cbafdf9d472p-3, 0x1.20fdf2013ad8ep-3, 0x1.1d2bd3c33b408p-3, 0x1.195612284380bp-3, 0x1.157d64a1fbc32p-3, 0x1.11a27d15680d4p-3, 0x1.0dc607e0c9434p-3, 0x1.09e8abe2dc408p-3, 0x1.060b0a8386dbp-3, 0x1.022dbfbdc7b83p-3, 0x1.fca2c455c9183p-4, 0x1.f4ed061d9a2f5p-4, 0x1.ed3b5ccb14dc5p-4, 0x1.e58ed5e399f77p-4, 0x1.dde87498d55bbp-4, 0x1.d64931e996f78p-4, 0x1.ceb1fcc47c4c3p-4, 0x1.c723ba2c19703p-4, 0x1.bf9f455cbbf73p-4, 0x1.b8256ff38a2d4p-4, 0x1.b0b70216e0bd2p-4, 0x1.a954ba9feec22p-4, 0x1.a1ff4f4559bb7p-4, 0x1.9ab76cc6d4456p-4, 0x1.937db719a7988p-4, 0x1.8c52c995ebe64p-4, 0x1.8537372482931p-4, 0x1.7e2b8a6d9fa45p-4, 0x1.77304607d71efp-4, 0x1.7045e4a797a56p-4, 0x1.696cd94efe19ep-4, 0x1.62a58f7debc04p-4, 0x1.5bf06b624feb4p-4, 0x1.554dca0890198p-4, 0x1.4ebe018bfdca4p-4, 0x1.484161474a914p-4, 0x1.41d83204e81bp-4, 0x1.3b82b62f482dap-4, 0x1.35412a00ea2bbp-4, 0x1.2f13c3b42cf44p-4, 0x1.28fab3b2d495fp-4, 0x1.22f624c53893bp-4, 0x1.1d063c411193dp-4, 0x1.172b1a37d61f4p-4, 0x1.1164d9a4a2628p-4, 0x1.0bb390999dc1p-4, 0x1.0617506cd4e64p-4, 0x1.009025e48287cp-4, 0x1.f63c32c579f94p-5, 0x1.eb825e210561dp-5, 0x1.e0f2ce103b112p-5, 0x1.d68d7afdb24f6p-5, 0x1.cc5255dc08c2ap-5, 0x1.c241487675458p-5, 0x1.b85a35bfdfcdfp-5, 0x1.ae9cfa20753f4p-5, 0x1.a5096bc1b5098p-5, 0x1.9b9f5ad8ea2acp-5, 0x1.925e91f01261cp-5, 0x1.8946d62d2ac68p-5, 0x1.8057e797dbce4p-5, 0x1.7791815d8a006p-5, 0x1.6ef35a13bd4aep-5, 0x1.667d23f8e875ap-5, 0x1.5e2e8d3388f7p-5, 0x1.5607400fa145fp-5, 0x1.4e06e33a8ad9bp-5, 0x1.462d19fd29562p-5, 0x1.3e79847472953p-5, 0x1.36ebbfc85b07dp-5, 0x1.2f8366611e56cp-5, 0x1.2840101aef867p-5, 0x1.212152780c09cp-5, 0x1.1a26c0d139822p-5, 0x1.134fec84b5902p-5, 0x1.0c9c652392c79p-5, 0x1.060bb89d8f17fp-5, 0x1.ff3ae6d6d12b8p-6, 0x1.f2a2416f5d10fp-6, 0x1.e64c950c3e8d5p-6, 0x1.da38f3b317ad6p-6, 0x1.ce666db0aa101p-6, 0x1.c2d411def5f7ap-6, 0x1.b780ede89f4bdp-6, 0x1.ac6c0e899aa9bp-6, 0x1.a1947fcd2f2bcp-6, 0x1.96f94d49636e9p-6, 0x1.8c998257d9576p-6, 0x1.82742a4c2a332p-6, 0x1.788850a7d6e3ap-6, 0x1.6ed5014bcc18ap-6, 0x1.655948a79baa2p-6, 0x1.5c1433e668f52p-6, 0x1.5304d1199bf07p-6, 0x1.4a2a2f6172317p-6, 0x1.41835f136bc54p-6, 0x1.390f71deaf4e6p-6, 0x1.30cd7aee70ab4p-6, 0x1.28bc8f0a62954p-6, 0x1.20dbc4b54bdafp-6, 0x1.192a3449c3052p-6, 0x1.11a6f81526eb7p-6, 0x1.0a512c70e02f7p-6, 0x1.0327efd9f4c39p-6, 0x1.f854c60e03ccap-7, 0x1.eaaf51f945cd9p-7, 0x1.dd5dce40baa7fp-7, 0x1.d05e8a941f8bcp-7, 0x1.c3afdba7fa93fp-7, 0x1.b7501b52fa61p-7, 0x1.ab3da8a8ba9b2p-7, 0x1.9f76e811fb6eap-7, 0x1.93fa4362790c2p-7, 0x1.88c629ec64949p-7, 0x1.7dd91091a470cp-7, 0x1.733171d2ecf84p-7, 0x1.68cdcddccd8cep-7, 0x1.5eacaa92ba9d2p-7, 0x1.54cc9398402dcp-7, 0x1.4b2c1a5858b26p-7, 0x1.41c9d60b1201p-7, 0x1.38a463b9888acp-7, 0x1.2fba66404c69p-7, 0x1.270a86504b21ap-7, 0x1.1e93726e491b1p-7, 0x1.1653def1004a2p-7, 0x1.0e4a85fdf4d7bp-7, 0x1.0676278510a31p-7, 0x1.fdab12762cbd6p-8, 0x1.eeceed25faa18p-8, 0x1.e055816c87d96p-8, 0x1.d23c7cf890f41p-8, 0x1.c48198c170c6cp-8, 0x1.b72298f243b7ep-8, 0x1.aa1d4cd36e1dfp-8, 0x1.9d6f8eb2a18f5p-8, 0x1.911743c97567bp-8, 0x1.85125c22b3b94p-8, 0x1.795ed27e694dcp-8, 0x1.6dfaac34d763ep-8, 0x1.62e3f9185a4f4p-8, 0x1.5818d3565864ap-8, 0x1.4d975f575361ap-8, 0x1.435dcb9e29892p-8, 0x1.396a50a69f3abp-8, 0x1.2fbb30c33fa71p-8, 0x1.264eb7faa77e4p-8, 0x1.1d233be44b0a2p-8, 0x1.14371b84c5c9p-8, 0x1.0b88bf29c6641p-8, 0x1.03169845a16bp-8, 0x1.f5be429538025p-9, 0x1.e5c1bb0bf76ddp-9, 0x1.d634b1f5ce31ep-9, 0x1.c714507a4620ep-9, 0x1.b85dd097752e3p-9, 0x1.aa0e7cd732f05p-9, 0x1.9c23b0044e232p-9, 0x1.8e9ad4dfce8d1p-9, 0x1.817165d65dbb9p-9, 0x1.74a4ecb5e80bcp-9, 0x1.683302637c2f4p-9, 0x1.5c194e9186746p-9, 0x1.505587767282cp-9, 0x1.44e57183b89e5p-9, 0x1.39c6df1d7205fp-9, 0x1.2ef7b052773dcp-9, 0x1.2475d2951419p-9, 0x1.1a3f40745f049p-9, 0x1.105201564115ep-9, 0x1.06ac29322c0d9p-9, 0x1.fa97b09925239p-10, 0x1.e85e75e650824p-10, 0x1.d6a91273d0fd8p-10, 0x1.c5740d71f3d68p-10, 0x1.b4bc0496bfcf7p-10, 0x1.a47dab9d2ed25p-10, 0x1.94b5cbc61d911p-10, 0x1.8561435b10a5dp-10, 0x1.767d0532d9555p-10, 0x1.680618380b508p-10, 0x1.59f996f1677c7p-10, 0x1.4c54af0c22fc2p-10, 0x1.3f14a0e823404p-10, 0x1.3236bf262bbd3p-10, 0x1.25b86e37fe66fp-10, 0x1.199723f270133p-10, 0x1.0dd067217ae42p-10, 0x1.0261cf1e408b8p-10, 0x1.ee9206ce1612fp-11, 0x1.d907767285578p-11, 0x1.c41f7a5ab466bp-11, 0x1.afd5bda961cf1p-11, 0x1.9c2608b2ce69fp-11, 0x1.890c404046bfp-11, 0x1.768464d788f1ap-11, 0x1.648a9205fee3bp-11, 0x1.531afdafc3c5bp-11, 0x1.4231f76271798p-11, 0x1.31cbe7aba7d2p-11, 0x1.21e54f73480e8p-11, 0x1.127ac7595b1c1p-11, 0x1.0388ff1793881p-11, 0x1.ea1979cccdb4bp-12, 0x1.ce05b9cb5e134p-12, 0x1.b2d0a1119031bp-12, 0x1.98743c0c43134p-12, 0x1.7eeabf9465f3ap-12, 0x1.662e87db95d43p-12, 0x1.4e3a175f51a2ap-12, 0x1.370815e2ad8d2p-12, 0x1.20934f6e66718p-12, 0x1.0ad6b35742f04p-12, 0x1.eb9aa6953c378p-13, 0x1.c2e4c4c20a7e8p-13, 0x1.9b82686d9d3ep-13, 0x1.756a7815126e7p-13, 0x1.509417c2596a4p-13, 0x1.2cf6a75fda959p-13, 0x1.0a89c1172dfbfp-13, 0x1.d28a6f7555b36p-14, 0x1.92422a73309f4p-14, 0x1.542b323d8d8dbp-14, 0x1.18366e32b42cfp-14, 0x1.bcaa563e43373p-15, 0x1.4cf230ed3dc57p-15, 0x1.c2511681ca1a9p-16, 0x1.e4c8fab224267p-17, 0x1.4f4da2a90334cp-19, -0x1.2ea58af5fa939p-17, -0x1.5183199c124a4p-16, -0x1.026c11c857b08p-15, -0x1.58c0bd0042534p-15, -0x1.abd6bbcf5cfa1p-15, -0x1.fbc4a1e86a971p-15, -0x1.245036c5f0527p-14, -0x1.493fc5cf1c856p-14, -0x1.6cbb6dd069ee9p-14, -0x1.8ecd59c71399bp-14, -0x1.af7f71ccfaf4ap-14, -0x1.cedb5ceb21141p-14, -0x1.ecea82dedc12fp-14, -0x1.04db06e90bba1p-13, -0x1.12a3760382342p-13, -0x1.1fd2e8bbc2005p-13, -0x1.2c6d9cb4502bep-13, -0x1.3877b3f937603p-13, -0x1.43f535be51858p-13, -0x1.4eea0f180fc57p-13, -0x1.595a13aef35d8p-13, -0x1.6348fe6dca2c3p-13, -0x1.6cba722ae3369p-13, -0x1.75b1fa4c5d60cp-13, -0x1.7e330b67ad2b5p-13, -0x1.864103dc7d7dcp-13, -0x1.8ddf2c6b17a01p-13, -0x1.9510b8c66467bp-13, -0x1.9bd8c821b486dp-13, -0x1.a23a65ba60359p-13, -0x1.a838895d7525bp-13, -0x1.add617e971db1p-13, -0x1.b315e3cc455a2p-13, -0x1.b7faad7da4495p-13, -0x1.bc8723f5d3f2dp-13, -0x1.c0bde520fd2a5p-13, -0x1.c4a17e4f2cebp-13, -0x1.c8346ca11a191p-13, -0x1.cb791d71c1846p-13, -0x1.ce71eebcfa658p-13, -0x1.d1212f831559ep-13, -0x1.d38920299e2fcp-13, -0x1.d5abf2d95d55dp-13, -0x1.d78bcbd99d6e7p-13, -0x1.d92ac1e8e043p-13, -0x1.da8ade9309659p-13, -0x1.dbae1e8517b8dp-13, -0x1.dc9671de7efbbp-13, -0x1.dd45bc80318f2p-13, -0x1.ddbdd6597d96bp-13, -0x1.de008bb2b0d8p-13, -0x1.de0f9d75b7968p-13, -0x1.ddecc174a468ap-13, -0x1.dd99a2ae5629fp-13, -0x1.dd17e191266ccp-13, -0x1.dc69143bcc8dfp-13, -0x1.db8ec6bc76513p-13, -0x1.da8a7b4e263c5p-13, -0x1.d95daa946d4fbp-13, -0x1.d809c3d578e77p-13, -0x1.d6902d32a39b1p-13, -0x1.d4f243df6efd3p-13, -0x1.d3315c5716decp-13, -0x1.d14ec290aa44ap-13, -0x1.cf4bba31cd30fp-13, -0x1.cd297ec02258ep-13, -0x1.cae943d16a4a2p-13, -0x1.c88c353a62cfp-13, -0x1.c613773c6f92fp-13, -0x1.c38026b2198a1p-13, -0x1.c0d3593a634fp-13, -0x1.be0e1d63102f9p-13, -0x1.bb317ad1caffp-13, -0x1.b83e726c544edp-13, -0x1.b535fe7fa1891p-13, -0x1.b21912e60f283p-13, -0x1.aee89d2c97a0ap-13, -0x1.aba584b72a03ep-13, -0x1.a850aae418403p-13, -0x1.a4eaeb2eaa807p-13, -0x1.a1751b50e194cp-13, -0x1.9df00b6464c8ap-13, -0x1.9a5c8602ab5e7p-13, -0x1.96bb506465493p-13, -0x1.930d2a801ea48p-13, -0x1.8f52cf2839d76p-13, -0x1.8b8cf4282ac1fp-13, -0x1.87bc4a610b4a4p-13, -0x1.83e17de58ce06p-13, -0x1.7ffd36153b45ep-13, -0x1.7c1015b72f377p-13, -0x1.781abb141c415p-13, -0x1.741dc00fd2117p-13, -0x1.7019ba4223c29p-13, -0x1.6c0f3b0f4ac09p-13, -0x1.67fecfbfbd28ap-13, -0x1.63e9019779743p-13, -0x1.5fce55ecdd0b8p-13, -0x1.5baf4e3eee555p-13, -0x1.578c684b362f4p-13, -0x1.53661e231e005p-13, -0x1.4f3ce640d6e63p-13, -0x1.4b11339bd5b31p-13, -0x1.46e375bcd9d39p-13, -0x1.42b418d18d85dp-13, -0x1.3e8385bfb82d7p-13, -0x1.3a522238112dbp-13, -0x1.362050c8a87a7p-13, -0x1.31ee70eeefaf2p-13, -0x1.2dbcdf2965797p-13, -0x1.298bf508e6f0fp-13, -0x1.255c09419ddbp-13, -0x1.212d6fbb9faaep-13, -0x1.1d0079a33188dp-13, -0x1.18d57578b97bdp-13, -0x1.14acaf205cb52p-13, -0x1.10866ff14f7f2p-13, -0x1.0c62fec4d1682p-13, -0x1.0842a004e2444p-13, -0x1.042595baab875p-13, -0x1.000c1f9c9a5a2p-13, -0x1.f7ecf6386fe07p-14, -0x1.efc9c6e775693p-14, -0x1.e7af2366979bap-14, -0x1.df9d799c2efbp-14, -0x1.d795334e0fdcbp-14, -0x1.cf96b63aa98c3p-14, -0x1.c7a264317c18dp-14, -0x1.bfb89b2b37ac4p-14, -0x1.b7d9b56148283p-14, -0x1.b0060964f67bcp-14, -0x1.a83dea3611465p-14, -0x1.a081a75923ceep-14, -0x1.98d18ced37b4cp-14, -0x1.912de3c133307p-14, -0x1.8996f168c1278p-14, -0x1.820cf850d3d4ap-14, -0x1.7a9037d3be3b7p-14, -0x1.7320ec4ce88d2p-14, -0x1.6bbf4f2c1f4eap-14, -0x1.646b9708808p-14, -0x1.5d25f7b308631p-14, -0x1.55eea248c038ap-14, -0x1.4ec5c5448e3ccp-14, -0x1.47ab8c90ab908p-14, -0x1.40a02197c06d4p-14, -0x1.39a3ab55a7e4bp-14, -0x1.32b64e67dd573p-14, -0x1.2bd82d1d942ap-14, -0x1.250967877d58bp-14, -0x1.1e4a1b8739fa4p-14, -0x1.179a64de7d404p-14, -0x1.10fa5d3de0191p-14, -0x1.0a6a1c5366193p-14, -0x1.03e9b7d8b630bp-14, -0x1.faf2874211f62p-15, -0x1.ee31a34d9897cp-15, -0x1.e190e431fcfe2p-15, -0x1.d51066d086b2bp-15, -0x1.c8b044a7626c3p-15, -0x1.bc7093eab6079p-15, -0x1.b051679d2c4ffp-15, -0x1.a452cfa7f94f5p-15, -0x1.9874d8f260852p-15, -0x1.8cb78d78b686cp-15, -0x1.811af462e7689p-15, -0x1.759f121a7f688p-15, -0x1.6a43e86039d2cp-15, -0x1.5f0976611a153p-15, -0x1.53efb8cb0c209p-15, -0x1.48f6a9e113a92p-15, -0x1.3e1e418f092fep-15, -0x1.3366757ce6a3fp-15, -0x1.28cf3921a6207p-15, -0x1.1e587dd5b7758p-15, -0x1.140232e508875p-15, -0x1.09cc45a0a7b68p-15, -0x1.ff6d42dfffec6p-16, -0x1.eb825fc35d1ffp-16, -0x1.d7d7b177f5045p-16, -0x1.c46d0419cb187p-16, -0x1.b1422073c650ap-16, -0x1.9e56cc1e5f5ddp-16, -0x1.8baac99d95c48p-16, -0x1.793dd87e35dap-16, -0x1.670fb5726b55ep-16, -0x1.55201a6da5812p-16, -0x1.436ebebfd1587p-16, -0x1.31fb572fedf1cp-16, -0x1.20c59615fc97ep-16, -0x1.0fcd2b744be2ep-16, -0x1.fe238a20541b5p-17, -0x1.dd261d13f187ep-17, -0x1.bca162e951cd4p-17, -0x1.9c94aad9452f1p-17, -0x1.7cff405c30399p-17, -0x1.5de06b559881bp-17, -0x1.3f37703e9072p-17, -0x1.2103904f0ff9ep-17, -0x1.034409a6447f1p-17, -0x1.cbf02ee39c419p-18, -0x1.923de427f89ddp-18, -0x1.596f9e9215279p-18, -0x1.2183c496c2e7cp-18, -0x1.d4f16fdb89cddp-19, -0x1.6899abad0c99bp-19, -0x1.fbf9dd6bdf363p-20, -0x1.2a2fc6427b0f8p-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.05e18b434913p-1, -0x1.052c90295970ep-1, -0x1.04676099f5d2fp-1, -0x1.039240e2230e8p-1, -0x1.02ad797f81636p-1, -0x1.01b956b7006abp-1, -0x1.00b6282cb745dp-1, -0x1.ff4880fda5d2ep-2, -0x1.fd07e9ca38e37p-2, -0x1.faab39ac6dd47p-2, -0x1.f8332366a0387p-2, -0x1.f5a05cf554da4p-2, -0x1.f2f39f02337ep-2, -0x1.f02da464ad0a8p-2, -0x1.ed4f29afaa7eap-2, -0x1.ea58eccb65475p-2, -0x1.e74bac9a53e25p-2, -0x1.e42828a808f91p-2, -0x1.e0ef20e0c7da7p-2, -0x1.dda15550a7a75p-2, -0x1.da3f85e91cc58p-2, -0x1.d6ca724be2781p-2, -0x1.d342d99a547c7p-2, -0x1.cfa97a485fd7cp-2, -0x1.cbff11f25edf4p-2, -0x1.c8445d3545aacp-2, -0x1.c47a1788a9f5cp-2, -0x1.c0a0fb1a468ccp-2, -0x1.bcb9c0aaba82fp-2, -0x1.b8c51f6b527c7p-2, -0x1.b4c3ccdcbf772p-2, -0x1.b0b67caeb1d6p-2, -0x1.ac9de0a0583dcp-2, -0x1.a87aa861c86b5p-2, -0x1.a44d817668e37p-2, -0x1.a01717186ed3ep-2, -0x1.9bd8121d86961p-2, -0x1.979118dcc67c4p-2, -0x1.9342cf1602c8dp-2, -0x1.8eedd5da985cp-2, -0x1.8a92cb77cce1cp-2, -0x1.86324b62cbf98p-2, -0x1.81ccee265b4a9p-2, -0x1.7d63495249ebep-2, -0x1.78f5ef6ca6fd8p-2, -0x1.74856fe4c1a86p-2, -0x1.70125707f0c13p-2, -0x1.6b9d2df822ef5p-2, -0x1.67267aa425c0fp-2, -0x1.62aebfc1a9d44p-2, -0x1.5e367cc8e237dp-2, -0x1.59be2df1c055p-2, -0x1.55464c32afcdp-2, -0x1.50cf4d40c588p-2, -0x1.4c59a391432cfp-2, -0x1.47e5be5c67176p-2, -0x1.437409a161363p-2, -0x1.3f04ee2b65593p-2, -0x1.3a98d197b82f3p-2, -0x1.3630165ca2488p-2, -0x1.31cb1bd13a9a6p-2, -0x1.2d6a3e35e2b11p-2, -0x1.290dd6bd6e68p-2, -0x1.24b63b96d8cf2p-2, -0x1.2063bff776687p-2, -0x1.1c16b4259163ep-2, -0x1.17cf65835e41bp-2, -0x1.138e1e9a3b39p-2, -0x1.0f53272625468p-2, -0x1.0b1ec4215d9c2p-2, -0x1.06f137d02c88p-2, -0x1.02cac1ccb9073p-2, -0x1.fd573e25d8711p-3, -0x1.f5281418aa801p-3, -0x1.ed08753811883p-3, -0x1.e4f8cc54e754p-3, -0x1.dcf97f62340f4p-3, -0x1.d50aef8c8738dp-3, -0x1.cd2d7951113fap-3, -0x1.c56174948a1b9p-3, -0x1.bda734b9d50cp-3, -0x1.b5ff08b8617d4p-3, -0x1.ae693b324913dp-3, -0x1.a6e6128a22f42p-3, -0x1.9f75d0f8934e8p-3, -0x1.9818b4a19ab57p-3, -0x1.90cef7a994878p-3, -0x1.8998d049ffb0fp-3, -0x1.827670e5fe6b4p-3, -0x1.7b68081e9db1dp-3, -0x1.746dc0e6dabd6p-3, -0x1.6d87c2977d65fp-3, -0x1.66b63102aecap-3, -0x1.5ff92c876a22fp-3, -0x1.5950d224b9b37p-3, -0x1.52bd3b8ccde3cp-3, -0x1.4c3e7f37e4ddep-3, -0x1.45d4b07713607p-3, -0x1.3f7fdf86ed05fp-3, -0x1.394019a20253bp-3, -0x1.331569134ef3p-3, -0x1.2cffd54882f9p-3, -0x1.26ff62e4338dcp-3, -0x1.211413cff838bp-3, -0x1.1b3de74e6ce94p-3, -0x1.157cda0d1c3f4p-3, -0x1.0fd0e6365adf1p-3, -0x1.0a3a03830862ap-3, -0x1.04b8274c3a4d3p-3, -0x1.fe968939b0149p-4, -0x1.f3e698863ad69p-4, -0x1.e96059c40ac8fp-4, -0x1.df03a60542e13p-4, -0x1.d4d0524ab5ed1p-4, -0x1.cac62fa62a09dp-4, -0x1.c0e50b5c73a45p-4, -0x1.b72caf0759f0ap-4, -0x1.ad9ce0b7317dep-4, -0x1.a4356314539bep-4, -0x1.9af5f58036c01p-4, -0x1.91de543658d42p-4, -0x1.88ee386cd29cp-4, -0x1.80255874a734ap-4, -0x1.778367d9bc237p-4, -0x1.6f0817827f6b2p-4, -0x1.66b315cf33611p-4, -0x1.5e840eb8dd456p-4, -0x1.567aabefd319bp-4, -0x1.4e9694f9e3c8ap-4, -0x1.46d76f50150bbp-4, -0x1.3f3cde7bf5a75p-4, -0x1.37c684347da75p-4, -0x1.3074007a7b06ap-4, -0x1.2944f1b486302p-4, -0x1.2238f4ca7aa51p-4, -0x1.1b4fa5407235cp-4, -0x1.14889d513eec5p-4, -0x1.0de3760860ac6p-4, -0x1.075fc75b73b77p-4, -0x1.00fd284317e83p-4, -0x1.f5765da695ae5p-5, -0x1.e932e0a66daf8p-5, -0x1.dd2f02a8e1ffcp-5, -0x1.d169eb9352145p-5, -0x1.c5e2c2398ae47p-5, -0x1.ba98ac88ddea6p-5, -0x1.af8acfb20af6ep-5, -0x1.a4b8505205a2ap-5, -0x1.9a20529990093p-5, -0x1.8fc1fa73a7478p-5, -0x1.859c6baac9222p-5, -0x1.7baeca0d0c7e2p-5, -0x1.71f8398f10e51p-5, -0x1.6877de6dc18f8p-5, -0x1.5f2cdd4ef40d7p-5, -0x1.56165b60dc384p-5, -0x1.4d337e785d2a6p-5, -0x1.44836d2e37981p-5, -0x1.3c054efb15884p-5, -0x1.33b84c52790fap-5, -0x1.2b9b8ebc91917p-5, -0x1.23ae40eef72d5p-5, -0x1.1bef8ee453085p-5, -0x1.145ea5f2f6344p-5, -0x1.0cfab4e265302p-5, -0x1.05c2ebffd9107p-5, -0x1.fd6cfa637b63dp-6, -0x1.efa938145c0c5p-6, -0x1.e238fbb0eff1cp-6, -0x1.d51ab3734ba46p-6, -0x1.c84cd1503164p-6, -0x1.bbcdcb1468fcbp-6, -0x1.af9c1a80489d9p-6, -0x1.a3b63d6177cdep-6, -0x1.981ab5aaf8781p-6, -0x1.8cc8098b7babap-6, -0x1.81bcc38215155p-6, -0x1.76f77271521b4p-6, -0x1.6c76a9b0bba5dp-6, -0x1.6239011cd8667p-6, -0x1.583d1525b4885p-6, -0x1.4e8186dbf19d3p-6, -0x1.4504fbfc7dba7p-6, -0x1.3bc61efae5d22p-6, -0x1.32c39f0a623cep-6, -0x1.29fc3025939b3p-6, -0x1.216e8b15160dcp-6, -0x1.19196d74d4409p-6, -0x1.10fb99b84480ep-6, -0x1.0913d72d83e7bp-6, -0x1.0160f1ff64b5bp-6, -0x1.f3c3766cef3b3p-7, -0x1.e52a117237e65p-7, -0x1.d6f36a9535f14p-7, -0x1.c91d4112bb89fp-7, -0x1.bba55dd8920acp-7, -0x1.ae89937e80056p-7, -0x1.a1c7be3dc103dp-7, -0x1.955dc3e6f8d9cp-7, -0x1.894993d6b2023p-7, -0x1.7d8926e88b9f9p-7, -0x1.721a7f69036bap-7, -0x1.66fba9061dbb9p-7, -0x1.5c2ab8bec9d1ep-7, -0x1.51a5ccd13aca2p-7, -0x1.476b0ca82cf39p-7, -0x1.3d78a8c733556p-7, -0x1.33ccdab61345ap-7, -0x1.2a65e4eb454afp-7, -0x1.214212b5a403cp-7, -0x1.185fb82558b17p-7, -0x1.0fbd31f412a29p-7, -0x1.0758e56c96daap-7, -0x1.fe6280a368b49p-8, -0x1.ee89718951b3cp-8, -0x1.df239a56061b4p-8, -0x1.d02e082819b9bp-8, -0x1.c1a5d83b90c66p-8, -0x1.b38837b31913fp-8, -0x1.a5d2636091eeap-8, -0x1.9881a78cf8e33p-8, -0x1.8b935fbfd11a5p-8, -0x1.7f04f68611f31p-8, -0x1.72d3e538b6c27p-8, -0x1.66fdb3c2f750bp-8, -0x1.5b7ff86842fa2p-8, -0x1.5058578a060d3p-8, -0x1.4584836d4fa1ap-8, -0x1.3b023c0060137p-8, -0x1.30cf4ea033445p-8, -0x1.26e995de0eceap-8, -0x1.1d4ef94525e41p-8, -0x1.13fd6d205b4bp-8, -0x1.0af2f2402d945p-8, -0x1.022d95c0d9144p-8, -0x1.f356e1a17410cp-9, -0x1.e2d550edf0f8ep-9, -0x1.d2d2dab509f06p-9, -0x1.c34bf712e6f04p-9, -0x1.b43d348171d52p-9, -0x1.a5a33768a7451p-9, -0x1.977ab9afcdd46p-9, -0x1.89c08a4fa3bd5p-9, -0x1.7c718ce588cacp-9, -0x1.6f8ab947b3aa2p-9, -0x1.63091b1a85377p-9, -0x1.56e9d166f4b35p-9, -0x1.4b2a0e322da6dp-9, -0x1.3fc716165f769p-9, -0x1.34be3fdcc6859p-9, -0x1.2a0cf419005bfp-9, -0x1.1fb0acc5a0af4p-9, -0x1.15a6f4e21e614p-9, -0x1.0bed681211b39p-9, -0x1.0281b23dd1c35p-9, -0x1.f2c31e68d636cp-10, -0x1.e115949e01a17p-10, -0x1.cff67c2b166ccp-10, -0x1.bf61a7ca131a6p-10, -0x1.af53072e2837ap-10, -0x1.9fc6a655cb872p-10, -0x1.90b8acdf985cep-10, -0x1.82255d6215f25p-10, -0x1.740914c65e117p-10, -0x1.666049a5a1d58p-10, -0x1.59278ba99343ap-10, -0x1.4c5b82efa2d79p-10, -0x1.3ff8ef6f2668dp-10, -0x1.33fca86258853p-10, -0x1.28639bb2297e4p-10, -0x1.1d2acd64ec4d6p-10, -0x1.124f570fce69bp-10, -0x1.07ce674b24b23p-10, -0x1.fb4a8252e5418p-11, -0x1.e7a277628373bp-11, -0x1.d49f82b3544c4p-11, -0x1.c23c9f132e501p-11, -0x1.b074ec3373d55p-11, -0x1.9f43adb24a4aep-11, -0x1.8ea44a29144dp-11, -0x1.7e924a4021048p-11, -0x1.6f0957c7822d1p-11, -0x1.60053cd4f4f27p-11, -0x1.5181e2e6d29b7p-11, -0x1.437b520bf531cp-11, -0x1.35edb0107f43bp-11, -0x1.28d53faf7735cp-11, -0x1.1c2e5fc921e02p-11, -0x1.0ff58a9e0f689p-11, -0x1.0427550ec0737p-11, -0x1.f180dbbfb46d1p-12, -0x1.db7b3a05a151cp-12, -0x1.c63785c5eda5ap-12, -0x1.b1afaf6dc3c01p-12, -0x1.9dddd5ac1c959p-12, -0x1.8abc44255ef4fp-12, -0x1.7845722f3a00fp-12, -0x1.667401948b28fp-12, -0x1.5542bd613019cp-12, -0x1.44ac98b59babfp-12, -0x1.34acada20b946p-12, -0x1.253e3c09339c1p-12, -0x1.165ca88a40319p-12, -0x1.08037b720672cp-12, -0x1.f45cbf6677b3bp-13, -0x1.d9b243cb2ddc7p-13, -0x1.bfff5e975c5f5p-13, -0x1.a73c29bee605p-13, -0x1.8f60fcca505ecp-13, -0x1.78666b0954284p-13, -0x1.624541d1d7676p-13, -0x1.4cf686cb059fbp-13, -0x1.387376443d25cp-13, -0x1.24b5819797eb2p-13, -0x1.11b64d97c7b62p-13, -0x1.fedf6211f7cf8p-14, -0x1.dbb766493af39p-14, -0x1.b9e9144f2eb0ep-14, -0x1.996933d5d9e2dp-14, -0x1.7a2ce50cc39f5p-14, -0x1.5c299df9e7b12p-14, -0x1.3f5527e5d6312p-14, -0x1.23a59cda889cdp-14, -0x1.0911653473e55p-14, -0x1.df1e6a8acc4fep-15, -0x1.ae2c161178d17p-15, -0x1.7f3a57d1075e4p-15, -0x1.5238452626f83p-15, -0x1.271579c172f59p-15, -0x1.fb8427242da78p-16, -0x1.ac5d5d9ddb086p-16, -0x1.6098c43aa7c33p-16, -0x1.181975a9c9cd3p-16, -0x1.a586e57d700cfp-17, -0x1.20f736cf7d30cp-17, -0x1.449e9f67ab926p-18, -0x1.4ae21f0ddb821p-20, 0x1.284d09f6ff4f8p-19, 0x1.705e1e91a1b72p-18, 0x1.2125707e7915dp-17, 0x1.852341fb1cb57p-17, 0x1.e453f8dab64f1p-17, 0x1.1f70d741a297p-16, 0x1.4a7a95acd6968p-16, 0x1.735af891e038ep-16, 0x1.9a25228cc8abep-16, 0x1.beeb9cd42dff6p-16, 0x1.e1c05bf4b1a9bp-16, 0x1.015a6233b2d14p-15, 0x1.10ecd782288d7p-15, 0x1.1f9fb6a90bb74p-15, 0x1.2d7ae6d9e032bp-15, 0x1.3a860fbad06c6p-15, 0x1.46c89b5d2ba5ep-15, 0x1.5249b82469171p-15, 0x1.5d105a9e204d8p-15, 0x1.67233f4b6d525p-15, 0x1.7088ec5c2c51ap-15, 0x1.7947b35c7a48cp-15, 0x1.8165b2d4e3392p-15, 0x1.88e8d7dda4e8cp-15, 0x1.8fd6dfa56945fp-15, 0x1.963558ebd9b4dp-15, 0x1.9c09a570683a6p-15, 0x1.a158fb55ada44p-15, 0x1.a6286679b20f2p-15, 0x1.aa7cc9c3786dep-15, 0x1.ae5ae06621606p-15, 0x1.b1c73f19f77ecp-15, 0x1.b4c6554bb3485p-15, 0x1.b75c6e4245407p-15, 0x1.b98db23b729bep-15, 0x1.bb5e277f8a62bp-15, 0x1.bcd1b36c7d9c9p-15, 0x1.bdec1b789b03fp-15, 0x1.beb1062d364fbp-15, 0x1.bf23fc1976e1cp-15, 0x1.bf4868bd913a6p-15, 0x1.bf219b6ea4d59p-15, 0x1.beb2c8337c0ebp-15, 0x1.bdff089a65e22p-15, 0x1.bd095c886332fp-15, 0x1.bbd4ab01db197p-15, 0x1.ba63c2ed0ecb9p-15, 0x1.b8b95bce7b995p-15, 0x1.b6d8167f5d6dfp-15, 0x1.b4c27dde86137p-15, 0x1.b27b077bafc6p-15, 0x1.b004143d7e9c2p-15, 0x1.ad5ff1025a8efp-15, 0x1.aa90d73c490c2p-15, 0x1.a798ed87f3763p-15, 0x1.a47a483f0068bp-15, 0x1.a136ea05e5377p-15, 0x1.9dd0c455557e4p-15, 0x1.9a49b7ff74102p-15, 0x1.96a395b0eb759p-15, 0x1.92e01e6e09b94p-15, 0x1.8f01040c04fafp-15, 0x1.8b07e9a686af9p-15, 0x1.86f664119c8b7p-15, 0x1.82cdfa482b8c4p-15, 0x1.7e9025d70367p-15, 0x1.7a3e5344ac4aap-15, 0x1.75d9e2760c26p-15, 0x1.7164270ffbf13p-15, 0x1.6cde68d5e2f4ep-15, 0x1.6849e405787c4p-15, 0x1.63a7c9afbb6f5p-15, 0x1.5ef9400f39c78p-15, 0x1.5a3f62dbbe8fep-15, 0x1.557b439b798abp-15, 0x1.50ade9f1b8fbp-15, 0x1.4bd853eb428bbp-15, 0x1.46fb7648676d6p-15, 0x1.42183cc4dd665p-15, 0x1.3d2f8a5d77209p-15, 0x1.38423993c4b8bp-15, 0x1.33511cafb5c54p-15, 0x1.2e5cfdff457cfp-15, 0x1.2966a014463cap-15, 0x1.246ebe0059667p-15, 0x1.1f760b8f20913p-15, 0x1.1a7d357ebb7e5p-15, 0x1.1584e1b699511p-15, 0x1.108daf7cb07cap-15, 0x1.0b9837a928374p-15, 0x1.06a50cd87d2d9p-15, 0x1.01b4bb9c315p-15, 0x1.f98f955423cadp-16, 0x1.efbd761437a07p-16, 0x1.e5f41086176ddp-16, 0x1.dc34510b484cep-16, 0x1.d27f19ad678a7p-16, 0x1.c8d5426fc7bf9p-16, 0x1.bf37999eb7d71p-16, 0x1.b5a6e41c7ca49p-16, 0x1.ac23ddac1b50dp-16, 0x1.a2af3939f9a6dp-16, 0x1.9949a1226c085p-16, 0x1.8ff3b7763f747p-16, 0x1.86ae163d4e082p-16, 0x1.7d794fb72e8cdp-16, 0x1.7455ee9a08719p-16, 0x1.6b44764fa792dp-16, 0x1.62456330c7e0ep-16, 0x1.59592abebceecp-16, 0x1.50803bdb71cdfp-16, 0x1.47bafeffd3f36p-16, 0x1.3f09d670b33c5p-16, 0x1.366d1e7227a5dp-16, 0x1.2de52d797d6f3p-16, 0x1.2572545dbd45cp-16, 0x1.1d14de86d2a2fp-16, 0x1.14cd121b63d14p-16, 0x1.0c9b302d568d8p-16, 0x1.047f74e51b34bp-16, 0x1.f8f42f5778a93p-17, 0x1.e91696a783841p-17, 0x1.d9667c81d2babp-17, 0x1.c9e4351d8c306p-17, 0x1.ba900c6c8907fp-17, 0x1.ab6a46644af8p-17, 0x1.9c731f44ddd5dp-17, 0x1.8daacbddb6a2cp-17, 0x1.7f1179d0b2b26p-17, 0x1.70a74fd31a164p-17, 0x1.626c6dece4b94p-17, 0x1.5460edb626c82p-17, 0x1.4684e292cb9a2p-17, 0x1.38d859ec9290cp-17, 0x1.2b5b5b6b7802ap-17, 0x1.1e0de92c79e97p-17, 0x1.10effff6d242dp-17, 0x1.0401976faf5bfp-17, 0x1.ee854498e1e41p-18, 0x1.d5661d06f327fp-18, 0x1.bca58af7320c3p-18, 0x1.a44358743a1eep-18, 0x1.8c3f471f1f369p-18, 0x1.7499108658414p-18, 0x1.5d50667a2b5bap-18, 0x1.4664f35ea794cp-18, 0x1.2fd65a7b436dfp-18, 0x1.19a438482b0a8p-18, 0x1.03ce22b94ec6cp-18, 0x1.dca7530e84207p-19, 0x1.b268acebf7045p-19, 0x1.88df5b32fcabdp-19, 0x1.600a5b3103408p-19, 0x1.37e89fda3dba8p-19, 0x1.107912472e24p-19, 0x1.d375245ce9556p-20, 0x1.8757ecb5f6435p-20, 0x1.3c981a3d313e6p-20, 0x1.e666730512efap-21, 0x1.564d8fb3ad5a6p-21, 0x1.91c0d0affc418p-22, 0x1.f0cdfc1bc4d32p-24, -0x1.282f07be8df68p-23, -0x1.9f2b16c276145p-22, -0x1.528922fa08c17p-21, -0x1.d2ec2445c66ap-21, -0x1.28621f6c3f842p-20, -0x1.660b9a7f5d553p-20, -0x1.a2756d3c24be1p-20, -0x1.dda2899eac0fep-20, -0x1.0bcaf49363795p-19, -0x1.282946223c9dp-19, -0x1.43edbce49910cp-19, -0x1.5f19df2ed17ccp-19, -0x1.79af35fe11236p-19, -0x1.93af4cb7b4e14p-19, -0x1.ad1bb0ead709cp-19, -0x1.c5f5f213e61cfp-19, -0x1.de3fa1624efcap-19, -0x1.f5fa518016e35p-19, -0x1.0693cb2db492dp-18, -0x1.11e4827901b5p-18, -0x1.1cf0198f38633p-18, -0x1.27b75bb389047p-18, -0x1.323b14676d7bp-18, -0x1.3c7c0f53e1168p-18, -0x1.467b183368ea4p-18, -0x1.5038fabce95c2p-18, -0x1.59b6828f4122dp-18, -0x1.62f47b1da63f9p-18, -0x1.6bf3af9cbe073p-18, -0x1.74b4eaf06dec6p-18, -0x1.7d38f79a5c1cbp-18, -0x1.85809fa91e342p-18, -0x1.8d8caca811223p-18, -0x1.955de78fd30b3p-18, -0x1.9cf518b75d6abp-18, -0x1.a45307c5ba919p-18, -0x1.ab787ba450718p-18, -0x1.b2663a71befbcp-18, -0x1.b91d09754b272p-18, -0x1.bf9dad12d6e91p-18, -0x1.c5e8e8bf5c08ap-18, -0x1.cbff7ef5ed437p-18, -0x1.d1e2312d33abdp-18, -0x1.d791bfcd67648p-18, -0x1.dd0eea26c247dp-18, -0x1.e25a6e6864b27p-18, -0x1.e7750997ab018p-18, -0x1.ec5f7787f3c25p-18, -0x1.f11a72d2cb587p-18, -0x1.f5a6b4d0836ebp-18, -0x1.fa04f5912d465p-18, -0x1.fe35ebd5f322fp-18, -0x1.011d2685696cbp-17, -0x1.030966a059b96p-17, -0x1.04e00f93e8c8dp-17, -0x1.06a17a05424ebp-17, -0x1.084dfde42a75fp-17, -0x1.09e5f268b2085p-17, -0x1.0b69ae11125c5p-17, -0x1.0cd9869fad25ep-17, -0x1.0e35d11933c38p-17, -0x1.0f7ee1c2effb1p-17, -0x1.10b50c2130057p-17, -0x1.11d8a2f5d4092p-17, -0x1.12e9f83efc274p-17, -0x1.13e95d35d4135p-17, -0x1.14d7224d7ff59p-17, -0x1.15b3973222f49p-17, -0x1.167f0ac804ba5p-17, -0x1.1739cb2ad10fcp-17, -0x1.17e425acf1d74p-17, -0x1.187e66d702d36p-17, -0x1.1908da675dc89p-17, -0x1.1983cb51be8aep-17, -0x1.19ef83befdac7p-17, -0x1.1a4c4d0ce182p-17, -0x1.1a9a6fce040d5p-17, -0x1.1ada33c9ceaa6p-17, -0x1.1b0bdffc87766p-17, -0x1.1b2fba977352ap-17, -0x1.1b4609010a102p-17, -0x1.1b4f0fd53be6p-17, -0x1.1b4b12e5c77bp-17, -0x1.1b3a553aa1a9p-17, -0x1.1b1d19126b3aap-17, -0x1.1af39fe2f6cd9p-17, -0x1.1abe2a59dd1ep-17, -0x1.1a7cf85d1eb8dp-17, -0x1.1a30490bd33a6p-17, -0x1.19d85abee5aa3p-17, -0x1.19756b09dbef8p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.55aba9c5a2d8ep-3, -0x1.71837a279938ep-3, -0x1.8bcbee6ad8d51p-3, -0x1.a477cef5e6ee8p-3, -0x1.bb7d78130079bp-3, -0x1.d0d6949ad807fp-3, -0x1.e47fd52175556p-3, -0x1.f678a610f3d8bp-3, -0x1.036173494a7e5p-2, -0x1.0ab150d69712p-2, -0x1.112ee54cb9183p-2, -0x1.16ddfe7c4510cp-2, -0x1.1bc320ab1e0f7p-2, -0x1.1fe36b15c8f77p-2, -0x1.23447eb7a57a2p-2, -0x1.25ec675202ff2p-2, -0x1.27e1869faa46bp-2, -0x1.292a819b54b77p-2, -0x1.29ce2fbb1026fp-2, -0x1.29d38bfffa389p-2, -0x1.2941a7b8b7dcbp-2, -0x1.281f9ed4f62bep-2, -0x1.26748da909146p-2, -0x1.24478801efbd8p-2, -0x1.219f916b898a1p-2, -0x1.1e83968c9552p-2, -0x1.1afa677dd09dp-2, -0x1.170ab3036e3fp-2, -0x1.12bb0291eecaap-2, -0x1.0e11b70916109p-2, -0x1.0915061177bc1p-2, -0x1.03caf80a9cf89p-2, -0x1.fc72ccf291eedp-3, -0x1.f0cbf5cd92f62p-3, -0x1.e4ac5c47185c1p-3, -0x1.d81e8fc0e28abp-3, -0x1.cb2cbd26d2083p-3, -0x1.bde0af3a1efdfp-3, -0x1.b043cf4bc2a9fp-3, -0x1.a25f26553f48bp-3, -0x1.943b5e6084ffcp-3, -0x1.85e0c43179f5ep-3, -0x1.77574924dfa16p-3, -0x1.68a68539f4aabp-3, -0x1.59d5b93d2d72bp-3, -0x1.4aebd10bb1b34p-3, -0x1.3bef65e855937p-3, -0x1.2ce6c0db9ceb5p-3, -0x1.1dd7dd19657c7p-3, -0x1.0ec86a677f8a6p-3, -0x1.ff7b9f027d45p-4, -0x1.e17a58e9913d6p-4, -0x1.c396b9eea3388p-4, -0x1.a5d9f55c4e1e5p-4, -0x1.884cbed58d6a1p-4, -0x1.6af74eb16052fp-4, -0x1.4de16637e7ea2p-4, -0x1.311253bfc1691p-4, -0x1.1490f6aac1d6ep-4, -0x1.f0c7868394baap-5, -0x1.b9218cdf7a15bp-5, -0x1.823b52b7eb27fp-5, -0x1.4c1f69c9d08eap-5, -0x1.16d7a9f781a3cp-5, -0x1.c4da6f8813594p-6, -0x1.5dd115297a336p-6, -0x1.f145caee4fb9bp-7, -0x1.2abc7d337009dp-7, -0x1.a0823c2eb4a84p-9, 0x1.59d828d886f17p-9, 0x1.10f19cb71475ep-7, 0x1.c73ea59e10e7cp-7, 0x1.3ca5de9e05599p-6, 0x1.9384c1e47cbbp-6, 0x1.e835475620463p-6, 0x1.1d58d591fbd4ep-5, 0x1.457a890fa200dp-5, 0x1.6c7dc08af5b89p-5, 0x1.9260ea326ed1fp-5, 0x1.b722dbde9fc41p-5, 0x1.dac2cf0cb3d5bp-5, 0x1.fd405cef87b86p-5, 0x1.0f4dbd4b142c2p-4, 0x1.1f6a3a935588ep-4, 0x1.2ef5f716396e8p-4, 0x1.3df16bfc88e4ep-4, 0x1.4c5d390b8a61fp-4, 0x1.5a3a22e712663p-4, 0x1.6789115bfe9c8p-4, 0x1.744b0db2e6b79p-4, 0x1.8081410add38fp-4, 0x1.8c2cf2bc1d213p-4, 0x1.974f86c28e2fbp-4, 0x1.a1ea7c3011198p-4, 0x1.abff6ba68b9fp-4, 0x1.b59005d9a77c1p-4, 0x1.be9e12185c1fp-4, 0x1.c72b6cde2a85cp-4, 0x1.cf3a066c2f7edp-4, 0x1.d6cbe16a09aa2p-4, 0x1.dde3118ea30ebp-4, 0x1.e481ba50ec594p-4, 0x1.eaaa0da0a7aa2p-4, 0x1.f05e4aa734e15p-4, 0x1.f5a0bc9099755p-4, 0x1.fa73b95ca9721p-4, 0x1.fed9a0b87bd7fp-4, 0x1.016a6d701c375p-3, 0x1.0333ebc4995d5p-3, 0x1.04ca866a40ca7p-3, 0x1.062f7b24f73a3p-3, 0x1.076409edbc1cp-3, 0x1.086974789c17fp-3, 0x1.0940fdbeec731p-3, 0x1.09ebe98dba365p-3, 0x1.0a6b7c187f922p-3, 0x1.0ac0f9900c23p-3, 0x1.0aeda5bda6414p-3, 0x1.0af2c3a258288p-3, 0x1.0ad1951a6654bp-3, 0x1.0a8b5a84ec6fcp-3, 0x1.0a21526f874f9p-3, 0x1.0994b946130b9p-3, 0x1.08e6c906664cdp-3, 0x1.0818b8f7fe875p-3, 0x1.072bbd679b5aap-3, 0x1.06210766a1844p-3, 0x1.04f9c48e5458p-3, 0x1.03b71ec6b55ddp-3, 0x1.025a3c1111ff1p-3, 0x1.00e43e561dd6dp-3, 0x1.feac866f18e7p-4, 0x1.fb62c7ca204c4p-4, 0x1.f7ed69e95f992p-4, 0x1.f44e8c7cc23c7p-4, 0x1.f088457586d3fp-4, 0x1.ec9ca0c9e5b7ap-4, 0x1.e88da03eb912ep-4, 0x1.e45d3b36dca98p-4, 0x1.e00d5e884000fp-4, 0x1.db9fec565f48bp-4, 0x1.d716bbf1fa8adp-4, 0x1.d27399bde4722p-4, 0x1.cdb84718b761fp-4, 0x1.c8e67a4b2a83p-4, 0x1.c3ffde7b06c4p-4, 0x1.bf0613a25e91bp-4, 0x1.b9faae8af1675p-4, 0x1.b4df38cd90ffp-4, 0x1.afb530d54385bp-4, 0x1.aa7e09e60f798p-4, 0x1.a53b2c2737233p-4, 0x1.9fedf4b0bb368p-4, 0x1.9a97b59befd01p-4, 0x1.9539b617099d2p-4, 0x1.8fd5327b718eap-4, 0x1.8a6b5c66af3fap-4, 0x1.84fd5ad5cd33ep-4, 0x1.7f8c4a4309322p-4, 0x1.7a193cc5abc8p-4, 0x1.74a53a33e2063p-4, 0x1.6f3140467428fp-4, 0x1.69be42be36b2bp-4, 0x1.644d2b8b12414p-4, 0x1.5ededaf482fb4p-4, 0x1.597427c36ad0dp-4, 0x1.540ddf6d1d3a5p-4, 0x1.4eacc63f8037ep-4, 0x1.4951978e290fbp-4, 0x1.43fd05e0573c1p-4, 0x1.3eafbb1fb1ec2p-4, 0x1.396a58c7aeedcp-4, 0x1.342d7815889d8p-4, 0x1.2ef9aa38ac2c1p-4, 0x1.29cf788386b4fp-4, 0x1.24af649c9eafcp-4, 0x1.1f99e8afe0385p-4, 0x1.1a8f77a00bd23p-4, 0x1.15907d3831a96p-4, 0x1.109d5e5d28137p-4, 0x1.0bb6793eed7bp-4, 0x1.06dc2589e0f47p-4, 0x1.020eb497c7731p-4, 0x1.fa9ce34114e8p-5, 0x1.f13743d5468a2p-5, 0x1.e7ed09f651c44p-5, 0x1.debea98adcec8p-5, 0x1.d5ac8bb459c0ep-5, 0x1.ccb70f2c50e7ap-5, 0x1.c3de88a09505p-5, 0x1.bb23430e4c27fp-5, 0x1.b285801bbacb7p-5, 0x1.aa057870c3c28p-5, 0x1.a1a35c0e0d929p-5, 0x1.995f52a2bf853p-5, 0x1.91397be0c9c45p-5, 0x1.8931efcfb1d3cp-5, 0x1.8148bf1dd0c0ap-5, 0x1.797df37006e64p-5, 0x1.71d18fafcfd22p-5, 0x1.6a439057bb33ap-5, 0x1.62d3ebbe3f952p-5, 0x1.5b82925edfd5fp-5, 0x1.544f6f21a68e3p-5, 0x1.4d3a67a0ed844p-5, 0x1.46435c6d729bp-5, 0x1.3f6a2950b70e2p-5, 0x1.38aea58da8498p-5, 0x1.3210a41f93c29p-5, 0x1.2b8ff3f763b7dp-5, 0x1.252c6037285bep-5, 0x1.1ee5b06becb64p-5, 0x1.18bba8c5dac07p-5, 0x1.12ae0a4eb350fp-5, 0x1.0cbc931e97044p-5, 0x1.06e6fe8f2d283p-5, 0x1.012d056d20383p-5, 0x1.f71cbc5005d4p-6, 0x1.ec157a0129fecp-6, 0x1.e143a86aea765p-6, 0x1.d6a6a85c8b829p-6, 0x1.cc3dd74a83a5ep-6, 0x1.c2088f9ea5f49p-6, 0x1.b806290550eb7p-6, 0x1.ae35f8b7a9848p-6, 0x1.a49751c2f90d2p-6, 0x1.9b29854d36e4p-6, 0x1.91ebe2d6c6912p-6, 0x1.88ddb8798710ap-6, 0x1.7ffe532530814p-6, 0x1.774cfed91d0eap-6, 0x1.6ec906db7dcdcp-6, 0x1.6671b5ee1be7dp-6, 0x1.5e465680a4ad1p-6, 0x1.564632e0987b8p-6, 0x1.4e709566ebf55p-6, 0x1.46c4c8a3628f7p-6, 0x1.3f421785be9f3p-6, 0x1.37e7cd84c902ep-6, 0x1.30b536c34a6e3p-6, 0x1.29a9a032fbfcdp-6, 0x1.22c457b584da1p-6, 0x1.1c04ac3b91aap-6, 0x1.1569ede215e17p-6, 0x1.0ef36e0dbcafap-6, 0x1.08a07f84abf37p-6, 0x1.027076868dfafp-6, 0x1.f8c551c6117f3p-7, 0x1.ececdc1d372f7p-7, 0x1.e1563e6c060bfp-7, 0x1.d6002ea043e72p-7, 0x1.cae9665d11ec3p-7, 0x1.c010a3193b7a9p-7, 0x1.b574a63af52b4p-7, 0x1.ab1435311ce3ep-7, 0x1.a0ee198a06384p-7, 0x1.97012108018e4p-7, 0x1.8d4c1db3b1b5cp-7, 0x1.83cde5ec315edp-7, 0x1.7a8554753c7f1p-7, 0x1.717148836781ep-7, 0x1.6890a5c6795e8p-7, 0x1.5fe25471f6a7ap-7, 0x1.5765414407ccap-7, 0x1.4f185d8abd5dap-7, 0x1.46fa9f27c2a52p-7, 0x1.3f0b0092aa387p-7, 0x1.374880d9c8884p-7, 0x1.2fb223a1c51e5p-7, 0x1.2846f123ead4cp-7, 0x1.2105f62b490bdp-7, 0x1.19ee4410b9499p-7, 0x1.12fef0b5d6123p-7, 0x1.0c37167ef4b41p-7, 0x1.0595d44c31f01p-7, 0x1.fe349ae33b2edp-8, 0x1.f187535d2a54ep-8, 0x1.e5222a48b7607p-8, 0x1.d9038097f4a04p-8, 0x1.cd29bfd6eeaap-8, 0x1.c1935a14e1602p-8, 0x1.b63ec9cc483c5p-8, 0x1.ab2a91c9e49afp-8, 0x1.a0553d12cbc44p-8, 0x1.95bd5ec996dfdp-8, 0x1.8b619212c32d6p-8, 0x1.814079f85cb11p-8, 0x1.7758c14cff242p-8, 0x1.6da91a8e43f83p-8, 0x1.64303fc6ad77bp-8, 0x1.5aecf26f1ccdcp-8, 0x1.51ddfb4fe58bp-8, 0x1.49022a618e2p-8, 0x1.405856ad4609fp-8, 0x1.37df5e2d27a36p-8, 0x1.2f9625ac49d3dp-8, 0x1.277b98a6b5517p-8, 0x1.1f8ea929435dep-8, 0x1.17ce4fb173c98p-8, 0x1.10398b0d45374p-8, 0x1.08cf603b17cap-8, 0x1.018eda49a2f6dp-8, 0x1.f4ee147016495p-9, 0x1.e70e0dac33d83p-9, 0x1.d97bd949498f9p-9, 0x1.cc35bb6c52811p-9, 0x1.bf3a031f42385p-9, 0x1.b2870a1335e61p-9, 0x1.a61b346332d7p-9, 0x1.99f4f0577d7a7p-9, 0x1.8e12b629970b3p-9, 0x1.827307c8e41a5p-9, 0x1.771470a00f212p-9, 0x1.6bf5855b2568ep-9, 0x1.6114e3ae786a9p-9, 0x1.5671321e500a1p-9, 0x1.4c091fc76a4a9p-9, 0x1.41db642853bfcp-9, 0x1.37e6beeb9b8bdp-9, 0x1.2e29f7b2eb5c6p-9, 0x1.24a3dde2fdc45p-9, 0x1.1b53487080769p-9, 0x1.123715ade0202p-9, 0x1.094e2b19fd52p-9, 0x1.0097752fd49d4p-9, 0x1.f023ce6e251cep-10, 0x1.df78f62b33773p-10, 0x1.cf2c6243f9268p-10, 0x1.bf3c1fedc4f86p-10, 0x1.afa6488ed0109p-10, 0x1.a0690168cf4ddp-10, 0x1.91827b4572f4p-10, 0x1.82f0f224be16ep-10, 0x1.74b2aced4468p-10, 0x1.66c5fd1e37e3fp-10, 0x1.59293e8355012p-10, 0x1.4bdad6eaa57f3p-10, 0x1.3ed935dc0a132p-10, 0x1.3222d4529993dp-10, 0x1.25b63477bbc14p-10, 0x1.1991e1600f698p-10, 0x1.0db46eca07a7dp-10, 0x1.021c78de3f73bp-10, 0x1.ed9147e2ff584p-11, 0x1.d76f3890db32ep-11, 0x1.c1d02bb9bd452p-11, 0x1.acb1984990661p-11, 0x1.981103b58edc9p-11, 0x1.83ec0190707c3p-11, 0x1.70403321a9bc7p-11, 0x1.5d0b46ffb0fb6p-11, 0x1.4a4af8ad34fa1p-11, 0x1.37fd10393e0bap-11, 0x1.261f61e224922p-11, 0x1.14afcdbb52345p-11, 0x1.03ac3f55bbc8p-11, 0x1.e6255ad61245ap-12, 0x1.c5c23316aee6p-12, 0x1.a62b1f9b14d62p-12, 0x1.875c4d04355fdp-12, 0x1.6951fbd0ad016p-12, 0x1.4c087fcc00a83p-12, 0x1.2f7c3f82862d2p-12, 0x1.13a9b3b9cb08fp-12, 0x1.f11acddadce2ep-13, 0x1.bc47e9a080fa8p-13, 0x1.88d413a32c2d9p-13, 0x1.56b8c54d59a1cp-13, 0x1.25ef97b01765ap-13, 0x1.ece4854ae3999p-14, 0x1.907537f4d3588p-14, 0x1.36852d405e96dp-14, 0x1.be110791d518p-15, 0x1.13e722c282395p-15, 0x1.b9d70cfa5d1efp-17, -0x1.92ccb8b403e3fp-18, -0x1.9d3a0caea1a2cp-16, -0x1.666a41399219bp-15, -0x1.f9d69d93cfcb3p-15, -0x1.447b89661c811p-14, -0x1.89f01e18a9f05p-14, -0x1.cd532d9ea9ca4p-14, -0x1.075756712eb88p-13, -0x1.270633043f91bp-13, -0x1.45bafcb9f3204p-13, -0x1.637a6f5feeeedp-13, -0x1.804932d8b72c1p-13, -0x1.9c2bdb8ff943p-13, -0x1.b726eaeaa77e9p-13, -0x1.d13ecfb3053fp-13, -0x1.ea77e680ca7bdp-13, -0x1.016b3d0ec2a71p-12, -0x1.0d2f61f2afab7p-12, -0x1.188a76122faa4p-12, -0x1.237e8538282ap-12, -0x1.2e0d92ffb9b77p-12, -0x1.38399afe070b5p-12, -0x1.420490ea7fa2bp-12, -0x1.4b7060c5bca5bp-12, -0x1.547eeefef6deap-12, -0x1.5d3218983220ap-12, -0x1.658bb3491daa6p-12, -0x1.6d8d8da0bce32p-12, -0x1.75396f25e8342p-12, -0x1.7c911876acc11p-12, -0x1.8396436698f4ap-12, -0x1.8a4aa31c0531cp-12, -0x1.90afe42c5b5cfp-12, -0x1.96c7acb7751c3p-12, -0x1.9c939c820a7f8p-12, -0x1.a2154d0f4cfe4p-12, -0x1.a74e51b9aabb8p-12, -0x1.ac4037caca47cp-12, -0x1.b0ec8692c6153p-12, -0x1.b554bf7eb1f9dp-12, -0x1.b97a5e2e709a2p-12, -0x1.bd5ed889e318cp-12, -0x1.c1039ed57871dp-12, -0x1.c46a1bc628378p-12, -0x1.c793b494dc4b7p-12, -0x1.ca81c9114e876p-12, -0x1.cd35b3b469a66p-12, -0x1.cfb0c9b228069p-12, -0x1.d1f45b0b0247p-12, -0x1.d401b29ce8cd7p-12, -0x1.d5da1633d69e1p-12, -0x1.d77ec699fc9d6p-12, -0x1.d8f0ffa78e3fp-12, -0x1.da31f85234221p-12, -0x1.db42e2bc249b7p-12, -0x1.dc24ec42efaf7p-12, -0x1.dcd93d8df9fc2p-12, -0x1.dd60fa9cad535p-12, -0x1.ddbd42d46808p-12, -0x1.ddef310e2753ap-12, -0x1.ddf7dba3f154ep-12, -0x1.ddd8547e09e9ap-12, -0x1.dd91a91fea498p-12, -0x1.dd24e2b5062fcp-12, -0x1.dc93061d5f075p-12, -0x1.dbdd13f9e673ap-12, -0x1.db0408b8b59d5p-12, -0x1.da08dca11942ep-12, -0x1.d8ec83df770e4p-12, -0x1.d7afee91097b4p-12, -0x1.d65408cf7c381p-12, -0x1.d4d9babc64f11p-12, -0x1.d341e88c996f9p-12, -0x1.d18d72936ab31p-12, -0x1.cfbd354dc1dd5p-12, -0x1.cdd2096d1f663p-12, -0x1.cbccc3e28523ap-12, -0x1.c9ae35e941b27p-12, -0x1.c7772d11a8f4ep-12, -0x1.c528734bb271cp-12, -0x1.c2c2cef1853d1p-12, -0x1.c04702d1ec754p-12, -0x1.bdb5ce3aba2fep-12, -0x1.bb0fed031695dp-12, -0x1.b8561795bc885p-12, -0x1.b58902fb260f3p-12, -0x1.b2a960e3a5dd7p-12, -0x1.afb7dfb171f89p-12, -0x1.acb52a829f83cp-12, -0x1.a9a1e93b0ba04p-12, -0x1.a67ec08e397f5p-12, -0x1.a34c52091f56cp-12, -0x1.a00b3c1be55f5p-12, -0x1.9cbc1a2397508p-12, -0x1.995f8473c7e63p-12, -0x1.95f6106026e3cp-12, -0x1.9280504608ad7p-12, -0x1.8efed395e3f99p-12, -0x1.8b7226dcbc243p-12, -0x1.87dad3cd85349p-12, -0x1.8439614a76c57p-12, -0x1.808e536e52c4dp-12, -0x1.7cda2b959f23bp-12, -0x1.791d6867d35d7p-12, -0x1.755885e07808bp-12, -0x1.718bfd583a3fcp-12, -0x1.6db8458def458p-12, -0x1.69ddd2af8f9bbp-12, -0x1.65fd166320fc7p-12, -0x1.62167fcf92d0dp-12, -0x1.5e2a7ba58fd83p-12, -0x1.5a39742840801p-12, -0x1.5643d135fed23p-12, -0x1.5249f850fdc6bp-12, -0x1.4e4c4ca7e22dp-12, -0x1.4a4b2f1e4cb78p-12, -0x1.4646fe55559edp-12, -0x1.424016b3fc8eap-12, -0x1.3e36d26f844eap-12, -0x1.3a2b8993c4838p-12, -0x1.361e920b6c1fp-12, -0x1.32103fa830739p-12, -0x1.2e00e42af1eb5p-12, -0x1.29f0cf4bcebbfp-12, -0x1.25e04ec22563dp-12, -0x1.21cfae4c89a44p-12, -0x1.1dbf37b8a691dp-12, -0x1.19af32eb147b9p-12, -0x1.159fe5e71a1aap-12, -0x1.119194d65fcc3p-12, -0x1.0d848210937b3p-12, -0x1.0978ee22f75f6p-12, -0x1.056f17d7e5ed7p-12, -0x1.01673c3e3f428p-12, -0x1.fac32d619132dp-13, -0x1.f2bcc1baf45f7p-13, -0x1.eabba599764e8p-13, -0x1.e2c045d116c6fp-13, -0x1.dacb0c073d152p-13, -0x1.d2dc5ec0c3b7ap-13, -0x1.caf4a16fe485p-13, -0x1.c3143482037e5p-13, -0x1.bb3b756d4d7f1p-13, -0x1.b36abebe3ccdfp-13, -0x1.aba26824f525bp-13, -0x1.a3e2c68279021p-13, -0x1.9c2c2bf5bd9a4p-13, -0x1.947ee7e89bb99p-13, -0x1.8cdb471c98f6ep-13, -0x1.854193b78ce49p-13, -0x1.7db2155025d3ap-13, -0x1.762d10fa4173dp-13, -0x1.6eb2c9532506ep-13, -0x1.67437e8d94407p-13, -0x1.5fdf6e7dbb1c3p-13, -0x1.5886d4a4fae1dp-13, -0x1.5139ea3d8cd33p-13, -0x1.49f8e64601bap-13, -0x1.42c3fd8ca1ee7p-13, -0x1.3b9b62ba9cbb4p-13, -0x1.347f465f2222ap-13, -0x1.2d6fd6fa4a337p-13, -0x1.266d4107e23eap-13, -0x1.1f77af0a0fb7ep-13, -0x1.188f4993d2a8bp-13, -0x1.11b437535eb52p-13, -0x1.0ae69d1c5833ap-13, -0x1.04269df1e5231p-13, -0x1.fae8b6213f015p-14, -0x1.ed9fe7f0c391ap-14, -0x1.e0730cebe44a7p-14, -0x1.d3625d590dbe2p-14, -0x1.c66e0e3e5a31p-14, -0x1.b99651740893ap-14, -0x1.acdb55b6c10c3p-14, -0x1.a03d46b987b7bp-14, -0x1.93bc4d3771ce1p-14, -0x1.87588f050e098p-14, -0x1.7b122f2192dd3p-14, -0x1.6ee94dc7c3b79p-14, -0x1.62de087e9569cp-14, -0x1.56f07a298f8bcp-14, -0x1.4b20bb18ebc44p-14, -0x1.3f6ee11974eep-14, -0x1.33daff8423c49p-14, -0x1.2865274d7cb25p-14, -0x1.1d0d6714ac961p-14, -0x1.11d3cb3267ecdp-14, -0x1.06b85dc788c5p-14, -0x1.f7764d96e2db5p-15, -0x1.e1b858345ec03p-15, -0x1.cc36e304c4589p-15, -0x1.b6f1f1a5cbbd1p-15, -0x1.a1e983d082176p-15, -0x1.8d1d9573b213ep-15, -0x1.788e1ecdd2e82p-15, -0x1.643b14868523ep-15, -0x1.502467c79fd12p-15, -0x1.3c4a0655c59a9p-15, -0x1.28abdaa88ef07p-15, -0x1.1549cc024253cp-15, -0x1.0223be871ebe5p-15, -0x1.de7326a877825p-16, -0x1.b916512bf32e6p-16, -0x1.9430b33c1963fp-16, -0x1.6fc1fdf2377f6p-16, -0x1.4bc9dd07f02e7p-16, -0x1.2847f700dfa39p-16, -0x1.053bed53726bdp-16, -0x1.c54ab921f4df4p-17, -0x1.8107b919f17dcp-17, -0x1.3dae01074ecf4p-17, -0x1.f6795cff0ff12p-18, -0x1.7365acfe67fbcp-18, -0x1.e43e16caa4ecdp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.34a3a64e99b34p-3, -0x1.5097aa4f479c7p-3, -0x1.6bcb2ee0e2b4fp-3, -0x1.86347eda60c9bp-3, -0x1.9fcb41d9bf7b9p-3, -0x1.b8886dcef3546p-3, -0x1.d066363ab17e7p-3, -0x1.e75ff9d8fd362p-3, -0x1.fd722f52757ddp-3, -0x1.094d28ba214fcp-2, -0x1.136b65aae9f47p-2, -0x1.1d13725ef99e9p-2, -0x1.26455782e40c4p-2, -0x1.2f0179544f8b8p-2, -0x1.37488ed0ed05p-2, -0x1.3f1b9957dbe5dp-2, -0x1.467bdcc463ad5p-2, -0x1.4d6ad80578031p-2, -0x1.53ea3e32c23f4p-2, -0x1.59fbf01dd6453p-2, -0x1.5fa1f65cb3559p-2, -0x1.64de7bc97a1c2p-2, -0x1.69b3c87291c17p-2, -0x1.6e243cf5d1bdp-2, -0x1.72324e410c15ap-2, -0x1.75e081b21da73p-2, -0x1.79316990af49bp-2, -0x1.7c27a1dbd4086p-2, -0x1.7ec5cd65de561p-2, -0x1.810e9338f1b3dp-2, -0x1.83049c3f0783cp-2, -0x1.84aa9128610a1p-2, -0x1.8603188b9dc19p-2, -0x1.8710d53aedcefp-2, -0x1.87d664ca16d2bp-2, -0x1.88565e414c1cep-2, -0x1.889350f910eecp-2, -0x1.888fc39b9b3b1p-2, -0x1.884e334870305p-2, -0x1.87d112d721952p-2, -0x1.871aca3654f72p-2, -0x1.862db5e467e66p-2, -0x1.850c267f42791p-2, -0x1.83b8606908ff9p-2, -0x1.82349b7f9bd21p-2, -0x1.808302e4ebe29p-2, -0x1.7ea5b4d663792p-2, -0x1.7c9ec291c068dp-2, -0x1.7a703045d8c0fp-2, -0x1.781bf50df4b0ap-2, -0x1.75a3faf679797p-2, -0x1.730a1f09c1db3p-2, -0x1.705031641dd7bp-2, -0x1.6d77f54e0aff6p-2, -0x1.6a83215bc9cfbp-2, -0x1.67735f9192246p-2, -0x1.644a4d8bb57e7p-2, -0x1.61097caa0f097p-2, -0x1.5db2723e3ecp-2, -0x1.5a46a7bc2759p-2, -0x1.56c78aec4964ep-2, -0x1.53367e1f97545p-2, -0x1.4f94d86467cf4p-2, -0x1.4be3e5bc42a0dp-2, -0x1.4824e75240185p-2, -0x1.445913b1c292ap-2, -0x1.408196fd5d505p-2, -0x1.3c9f9325b6e67p-2, -0x1.38b42020464c9p-2, -0x1.34c04c1dce633p-2, -0x1.30c51bc077d76p-2, -0x1.2cc38a517adf3p-2, -0x1.28bc89f64110fp-2, -0x1.24b103e4f292p-2, -0x1.20a1d89868767p-2, -0x1.1c8fe00371d83p-2, -0x1.187be9c36ba5ap-2, -0x1.1466bd5227a31p-2, -0x1.10511a3718818p-2, -0x1.0c3bb837c6ffbp-2, -0x1.082747878c21p-2, -0x1.041470f693fdap-2, -0x1.0003d62026192p-2, -0x1.f7ec23306e677p-3, -0x1.efd76e30892eap-3, -0x1.e7caa756feef6p-3, -0x1.dfc6dbb486411p-3, -0x1.d7cd0ba9c39efp-3, -0x1.cfde2b3b87abbp-3, -0x1.c7fb2265c0145p-3, -0x1.c024cd6d17904p-3, -0x1.b85bfd2f5a193p-3, -0x1.b0a177728ca52p-3, -0x1.a8f5f732d64a5p-3, -0x1.a15a2cef2773ap-3, -0x1.99cebef4b36p-3, -0x1.925449a93f71dp-3, -0x1.8aeb5fd43f82bp-3, -0x1.83948ae6cff16p-3, -0x1.7c504b428e4c5p-3, -0x1.751f187f47cb4p-3, -0x1.6e0161af9478p-3, -0x1.66f78da448276p-3, -0x1.6001fb2ed729ap-3, -0x1.59210162936eep-3, -0x1.5254efd4dba14p-3, -0x1.4b9e0edc30c54p-3, -0x1.44fc9fce3260ap-3, -0x1.3e70dd3c89126p-3, -0x1.37fafb30bdd9p-3, -0x1.319b2766fb64ap-3, -0x1.2b518987b8923p-3, -0x1.251e43605a244p-3, -0x1.1f01711ab3f82p-3, -0x1.18fb297384fd2p-3, -0x1.130b7defdb741p-3, -0x1.0d327b116259p-3, -0x1.07702889a8ad5p-3, -0x1.01c4896c4e66fp-3, -0x1.f85f38c04f76ap-4, -0x1.ed62b79e8fa3cp-4, -0x1.e2937c2c13798p-4, -0x1.d7f16b61f8e6ap-4, -0x1.cd7c62d39159fp-4, -0x1.c334390616aa5p-4, -0x1.b918bdc64066p-4, -0x1.af29ba7bc95d6p-4, -0x1.a566f27adadbdp-4, -0x1.9bd0235370e88p-4, -0x1.9265051eb5723p-4, -0x1.89254aca3f67p-4, -0x1.8010a261620c4p-4, -0x1.7726b5546dcdfp-4, -0x1.6e6728bdf90a1p-4, -0x1.65d19da62d52bp-4, -0x1.5d65b14422d4bp-4, -0x1.5522fd3d4bfeep-4, -0x1.4d0917e2f6b06p-4, -0x1.4517946dead9dp-4, -0x1.3d4e0338298e4p-4, -0x1.35abf1f4d333p-4, -0x1.2e30ebe63d6dfp-4, -0x1.26dc7a123b75p-4, -0x1.1fae2374a1042p-4, -0x1.18a56d30094c3p-4, -0x1.11c1dabce370ap-4, -0x1.0b02ee16d0e3dp-4, -0x1.046827e859815p-4, -0x1.fbe20f69fdcbbp-5, -0x1.ef3a18036b68ep-5, -0x1.e2d764f796efcp-5, -0x1.d6b8f03c864fbp-5, -0x1.caddb2ab5d4d4p-5, -0x1.bf44a4451991p-5, -0x1.b3ecbc746a14p-5, -0x1.a8d4f24cb2cfp-5, -0x1.9dfc3cc6462aap-5, -0x1.936192f7effdfp-5, -0x1.8903ec4dd59eap-5, -0x1.7ee240bdc783dp-5, -0x1.74fb88f908593p-5, -0x1.6b4ebe9ba6b77p-5, -0x1.61dadc596f7ccp-5, -0x1.589ede288d873p-5, -0x1.4f99c169e8c3cp-5, -0x1.46ca850f4ec4fp-5, -0x1.3e3029bf7b0c4p-5, -0x1.35c9b1f80b56cp-5, -0x1.2d96222d70d06p-5, -0x1.259480e8ecf48p-5, -0x1.1dc3d6e4aaa6p-5, -0x1.16232f260190bp-5, -0x1.0eb19715f56cep-5, -0x1.076e1e97f9ef6p-5, -0x1.0057d81f12fa9p-5, -0x1.f2dbb182b0e4bp-6, -0x1.e55e7093dbc6cp-6, -0x1.d8362292faf0bp-6, -0x1.cb61024a851b7p-6, -0x1.bedd504963eedp-6, -0x1.b2a952fb9b607p-6, -0x1.a6c356c05c502p-6, -0x1.9b29adfda9c8fp-6, -0x1.8fdab131951ffp-6, -0x1.84d4bf0140166p-6, -0x1.7a163c45ab549p-6, -0x1.6f9d9416725p-6, -0x1.656937d28634cp-6, -0x1.5b779f270614p-6, -0x1.51c748143ee6p-6, -0x1.4856b6f0f309ap-6, -0x1.3f24766bf7552p-6, -0x1.362f178c3e586p-6, -0x1.2d7531af63686p-6, -0x1.24f56286c5a41p-6, -0x1.1cae4e134f169p-6, -0x1.149e9e9fec31fp-6, -0x1.0cc504bad4b2fp-6, -0x1.0520372da7581p-6, -0x1.fb5de5e8f0291p-7, -0x1.ecdff667a7237p-7, -0x1.dec4325ba2a48p-7, -0x1.d108386c7703bp-7, -0x1.c3a9b34bc8bb5p-7, -0x1.b6a6599a5dadfp-7, -0x1.a9fbedcbb1058p-7, -0x1.9da83e08354d9p-7, -0x1.91a9240e4798bp-7, -0x1.85fc8511f9b14p-7, -0x1.7aa0519bc7099p-7, -0x1.6f9285664f289p-7, -0x1.64d1273b223e1p-7, -0x1.5a5a48ceb4fa6p-7, -0x1.502c069ba5e29p-7, -0x1.464487bd457dbp-7, -0x1.3ca1fdc98b04p-7, -0x1.3342a4aa80d25p-7, -0x1.2a24c2773918bp-7, -0x1.2146a74c5b186p-7, -0x1.18a6ad24588f1p-7, -0x1.104337af5a83fp-7, -0x1.081ab42af3acap-7, -0x1.002b9939a4604p-7, -0x1.f0e8cd747e51ap-8, -0x1.e1e74b3e706eap-8, -0x1.d34fcf8bd95e1p-8, -0x1.c51f8f9bd7417p-8, -0x1.b753d1e098393p-8, -0x1.a9e9edae32717p-8, -0x1.9cdf4ae9bcec8p-8, -0x1.903161b8b9153p-8, -0x1.83ddba30de8ep-8, -0x1.77e1ec0857069p-8, -0x1.6c3b9e467c1c1p-8, -0x1.60e886f522ce8p-8, -0x1.55e66ad280158p-8, -0x1.4b331d03b7778p-8, -0x1.40cc7ec817ddp-8, -0x1.36b07f2d18a2ep-8, -0x1.2cdd1ac31b25p-8, -0x1.23505b52fa9b1p-8, -0x1.1a08579476aa4p-8, -0x1.110332e578ab7p-8, -0x1.083f1d0243216p-8, -0x1.ff74a37d162e4p-9, -0x1.eee6317f07aecp-9, -0x1.decf8a6dc53e3p-9, -0x1.cf2d6b3dbc76ep-9, -0x1.bffca6ee5b57dp-9, -0x1.b13a260614937p-9, -0x1.a2e2e610759a2p-9, -0x1.94f3f91e47a07p-9, -0x1.876a8547d1047p-9, -0x1.7a43c431286f4p-9, -0x1.6d7d0290ab26cp-9, -0x1.61139fb7929e8p-9, -0x1.55050d1ca947bp-9, -0x1.494ecde92170dp-9, -0x1.3dee76878fe56p-9, -0x1.32e1ac3505cd1p-9, -0x1.282624944e4abp-9, -0x1.1db9a5434408bp-9, -0x1.139a03724cc6ap-9, -0x1.09c5237de612ap-9, -0x1.0038f88a4f016p-9, -0x1.ede708428745dp-10, -0x1.dbe5aba38a453p-10, -0x1.ca6a15a3e866cp-10, -0x1.b9709b45d3099p-10, -0x1.a8f5ab6d33859p-10, -0x1.98f5ce2f5af8p-10, -0x1.896da426b0611p-10, -0x1.7a59e5ca35aacp-10, -0x1.6bb762c8eedbp-10, -0x1.5d83016909aa3p-10, -0x1.4fb9bdead1e13p-10, -0x1.4258a9ef47b5p-10, -0x1.355cebe26a252p-10, -0x1.28c3be6909725p-10, -0x1.1c8a6fd22f316p-10, -0x1.10ae618bfa32ep-10, -0x1.052d079beafb5p-10, -0x1.f407d035141e3p-11, -0x1.de613564c6e42p-11, -0x1.c9619044813e1p-11, -0x1.b50453852a45ap-11, -0x1.a145121c1f92p-11, -0x1.8e1f7e5a800ddp-11, -0x1.7b8f690a8322dp-11, -0x1.6990c092bf69cp-11, -0x1.581f901f3f50bp-11, -0x1.4737fed04c12dp-11, -0x1.36d64eeecac0bp-11, -0x1.26f6dd2612cep-11, -0x1.17961fc31fbep-11, -0x1.08b0a5f8fdf57p-11, -0x1.f4862e54b44b6p-12, -0x1.d894647025cb3p-12, -0x1.bd8599a963c7ap-12, -0x1.a353a5b960aap-12, -0x1.89f88b66d23a1p-12, -0x1.716e77493f6a8p-12, -0x1.59afbe94f9ebbp-12, -0x1.42b6ddefd4ae9p-12, -0x1.2c7e784e5e258p-12, -0x1.170155d9666b2p-12, -0x1.023a62dba3d23p-12, -0x1.dc495d6e808e2p-13, -0x1.b576d5c632089p-13, -0x1.8ff3d3df08efep-13, -0x1.6bb73d24d2695p-13, -0x1.48b83574f398cp-13, -0x1.26ee1d52c2acep-13, -0x1.065090296c97dp-13, -0x1.cdaec5360e263p-14, -0x1.90f541b8f231bp-14, -0x1.56651a3bb7633p-14, -0x1.1def3bfe0803ap-14, -0x1.cf09f43f6e78p-15, -0x1.66301570dfe3ep-15, -0x1.0135080b766d1p-15, -0x1.3ffb66baff02p-16, -0x1.09bed0e8f6d92p-17, 0x1.78ea82b54d14cp-19, 0x1.b859a4f79c7a4p-17, 0x1.827fdfb8ef0a9p-16, 0x1.1122fb0b61372p-15, 0x1.5dd6ac80e197p-15, 0x1.a7718d0e2e8b7p-15, 0x1.ee0990e620472p-15, 0x1.18da0de13c56fp-14, 0x1.3943027462447p-14, 0x1.5849cd87e50c5p-14, 0x1.75f854133f873p-14, 0x1.92583a7eb4462p-14, 0x1.ad72e669a894dp-14, 0x1.c751806318eb4p-14, 0x1.dffcf59492888p-14, 0x1.f77df96020d3p-14, 0x1.06ee8378cbabp-13, 0x1.11913161c1785p-13, 0x1.1bab0e0c2e35p-13, 0x1.254007340ad24p-13, 0x1.2e53f16150e0cp-13, 0x1.36ea8893c7d1cp-13, 0x1.3f0770e9a9c33p-13, 0x1.46ae374129cp-13, 0x1.4de251d520ceap-13, 0x1.54a720d4f11f2p-13, 0x1.5affeef7d9e36p-13, 0x1.60eff20bd7be6p-13, 0x1.667a4b803c2p-13, 0x1.6ba208ec12114p-13, 0x1.706a24908763bp-13, 0x1.74d585d76efa8p-13, 0x1.78e701cdf565cp-13, 0x1.7ca15b9bc08f6p-13, 0x1.800744f67d2c8p-13, 0x1.831b5e9203633p-13, 0x1.85e0388d3cf8cp-13, 0x1.885852dbc8893p-13, 0x1.8a861dac97ec9p-13, 0x1.8c6bf9cd86317p-13, 0x1.8e0c390c1968bp-13, 0x1.8f691e936d90ap-13, 0x1.9084df47785b1p-13, 0x1.9161a21da79c1p-13, 0x1.92018073076a7p-13, 0x1.9266865fec583p-13, 0x1.9292b3094b308p-13, 0x1.9287f8efc571bp-13, 0x1.92483e3c8586fp-13, 0x1.91d55d0bf6788p-13, 0x1.913123b66f644p-13, 0x1.905d5516df595p-13, 0x1.8f5ba8cf91eadp-13, 0x1.8e2dcb8d0e44dp-13, 0x1.8cd55f4732fecp-13, 0x1.8b53fb808dc4dp-13, 0x1.89ab2d8407296p-13, 0x1.87dc78a0ef3b7p-13, 0x1.85e95665712f7p-13, 0x1.83d336d7883ap-13, 0x1.819b80ac74b5dp-13, 0x1.7f43917ecbb32p-13, 0x1.7cccbe0319bd1p-13, 0x1.7a38523b3f8f6p-13, 0x1.778791a8731e5p-13, 0x1.74bbb77c0d797p-13, 0x1.71d5f6c71aba6p-13, 0x1.6ed77aa8c450fp-13, 0x1.6bc1667b8caabp-13, 0x1.6894d60182f19p-13, 0x1.6552dd8f55a92p-13, 0x1.61fc8a3663b03p-13, 0x1.5e92e1edd0288p-13, 0x1.5b16e3ba9690ep-13, 0x1.578987d6b7626p-13, 0x1.53ebbfd76faf5p-13, 0x1.503e76d29a62bp-13, 0x1.4c8291832cb75p-13, 0x1.48b8ee6ce46b8p-13, 0x1.44e265ff207bbp-13, 0x1.40ffcab6f91c8p-13, 0x1.3d11e9408c248p-13, 0x1.391988979383dp-13, 0x1.35176a274062dp-13, 0x1.310c49e965b58p-13, 0x1.2cf8de84f077ap-13, 0x1.28ddd96bbf94cp-13, 0x1.24bbe6f7cdf9ap-13, 0x1.2093ae87c639ap-13, 0x1.1c65d29af5e0cp-13, 0x1.1832f0eca972fp-13, 0x1.13fba28ef7679p-13, 0x1.0fc07c04fea1bp-13, 0x1.0b820d5c8f638p-13, 0x1.0740e2475c75ep-13, 0x1.02fd823397b16p-13, 0x1.fd70e0c831125p-14, 0x1.f4e45810038fdp-14, 0x1.ec5660a3d4337p-14, 0x1.e3c7e91d22966p-14, 0x1.db39d8763b79bp-14, 0x1.d2ad0e35d44bdp-14, 0x1.ca226299be4bfp-14, 0x1.c19aa6c0d551ap-14, 0x1.b916a4d40631ap-14, 0x1.b097202e87c5ep-14, 0x1.a81cd5855c35cp-14, 0x1.9fa87b0df47cdp-14, 0x1.973ac0a41ee62p-14, 0x1.8ed44fef39476p-14, 0x1.8675cc86a55cbp-14, 0x1.7e1fd41588476p-14, 0x1.75d2fe7ddbab5p-14, 0x1.6d8fddfacdb7cp-14, 0x1.6556ff427a032p-14, 0x1.5d28e9a6f9f86p-14, 0x1.55061f36d2c63p-14, 0x1.4cef1cdcc356ep-14, 0x1.44e45a7ef5bc7p-14, 0x1.3ce64b1d96c4fp-14, 0x1.34f55cf0d6c73p-14, 0x1.2d11f98658285p-14, 0x1.253c85de0a29cp-14, 0x1.1d756286792f1p-14, 0x1.15bcebb890b39p-14, 0x1.0e137972d5c87p-14, 0x1.06795f941b8b3p-14, 0x1.fddddbeb660d7p-15, 0x1.eee8e10a32cp-15, 0x1.e0145eba51fb1p-15, 0x1.d160ddbd97013p-15, 0x1.c2cedf9264a6fp-15, 0x1.b45edea32dc39p-15, 0x1.a6114e750948p-15, 0x1.97e69bd55c82ap-15, 0x1.89df2d06a31ffp-15, 0x1.7bfb61ec5544ap-15, 0x1.6e3b9435f1853p-15, 0x1.60a017892f0d2p-15, 0x1.532939ab59c3ap-15, 0x1.45d742a9dc641p-15, 0x1.38aa7501ff61fp-15, 0x1.2ba30dc7db296p-15, 0x1.1ec144cc82c4bp-15, 0x1.12054cc36f32fp-15, 0x1.056f53672380fp-15, 0x1.f1ff033a3526cp-16, 0x1.d96bf731ef96cp-16, 0x1.c125c1fdfe64ap-16, 0x1.a92c9a0bbaf03p-16, 0x1.9180ad2f79c1cp-16, 0x1.7a2220e5585bdp-16, 0x1.63111290b6385p-16, 0x1.4c4d97ba5dfb3p-16, 0x1.35d7be4d63e7p-16, 0x1.1faf8cd2ba4b2p-16, 0x1.09d502ab8ea84p-16, 0x1.e8903094c8067p-17, 0x1.be117ed5f763ep-17, 0x1.942dc6921c259p-17, 0x1.6ae4d1abaf038p-17, 0x1.42365dd8fc055p-17, 0x1.1a221d0aae885p-17, 0x1.e54f6ba043214p-18, 0x1.978d8773070ffp-18, 0x1.4afdaf6fa378fp-18, 0x1.ff3de1eae1394p-19, 0x1.6ae08b317a784p-19, 0x1.b1c24f594270dp-20, 0x1.24f57e175b0b8p-21, -0x1.10352249541d9p-21, -0x1.9e02dc29d2372p-20, -0x1.57a1cf5cc64a1p-19, -0x1.ddf14a666a2acp-19, -0x1.30f96dcb84e1p-18, -0x1.71d4ce4576c83p-18, -0x1.b18c617571c2bp-18, -0x1.f021cfa45895cp-18, -0x1.16cb67009722p-17, -0x1.34f68f0b0e2b3p-17, -0x1.529346a063431p-17, -0x1.6fa27a16ee404p-17, -0x1.8c251b2bf123cp-17, -0x1.a81c20c48c7e2p-17, -0x1.c38886b03aac6p-17, -0x1.de6b4d6cd8b12p-17, -0x1.f8c579ec15e74p-17, -0x1.094c0aad3ae4ap-16, -0x1.15f21673d2ea8p-16, -0x1.225568c82458ep-16, -0x1.2e768bf48fc4cp-16, -0x1.3a560bf5c5304p-16, -0x1.45f47661b06e4p-16, -0x1.51525a4f0a88fp-16, -0x1.5c70483d8ebabp-16, -0x1.674ed1fed0cf5p-16, -0x1.71ee8a9fb09b8p-16, -0x1.7c50065264c62p-16, -0x1.8673da5923609p-16, -0x1.905a9cf157b99p-16, -0x1.9a04e53f6d5a1p-16, -0x1.a3734b3b2b1e6p-16, -0x1.aca6679c9680ep-16, -0x1.b59ed3c961f5ap-16, -0x1.be5d29c2dfdd5p-16, -0x1.c6e204147e5ffp-16, -0x1.cf2dfdc2ba2d2p-16, -0x1.d741b23a9b965p-16, -0x1.df1dbd41a6f35p-16, -0x1.e6c2bae64786dp-16, -0x1.ee314770b4293p-16, -0x1.f569ff5445ce1p-16, -0x1.fc6d7f21420c9p-16, -0x1.019e31bb88828p-15, -0x1.04eba47b717bep-15, -0x1.081f661b6269cp-15, -0x1.0b39c4da89383p-15, -0x1.0e3b0ee62daeep-15, -0x1.11239253d1998p-15, -0x1.13f39d1b84195p-15, -0x1.16ab7d12625c5p-15, -0x1.194b7fe54bd9bp-15, -0x1.1bd3f313bdd4p-15, -0x1.1e4523eae1a7ep-15, -0x1.209f5f80c3d15p-15, -0x1.22e2f2afb5d14p-15, -0x1.25102a11da399p-15, -0x1.272751fcda852p-15, -0x1.2928b67dc3d86p-15, -0x1.2b14a35509f3p-15, -0x1.2ceb63f2b390bp-15, -0x1.2ead4372a6da1p-15, -0x1.305a8c991fa16p-15, -0x1.31f389cf45538p-15, -0x1.3378851fe54c6p-15, -0x1.34e9c8344df5p-15, -0x1.36479c514c1b6p-15, -0x1.37924a5447a33p-15, -0x1.38ca1ab07f32p-15, -0x1.39ef556c6448fp-15, -0x1.3b02421f148d1p-15, -0x1.3c0327ededb97p-15, -0x1.3cf24d8a41fd9p-15, -0x1.3dcff92f25f0ep-15, -0x1.3e9c709f598bep-15, -0x1.3f57f9234c264p-15, -0x1.4002d7873951cp-15, -0x1.409d50195eedp-15, -0x1.4127a6a84c6ecp-15, -0x1.41a21e81499c9p-15, -0x1.420cfa6ed282cp-15, -0x1.42687cb72d01bp-15, -0x1.42b4e71b10ba5p-15, -0x1.42f27ad4688f7p-15, -0x1.432178952401dp-15, -0x1.434220862167ap-15, -0x1.4354b2462746p-15, -0x1.43596ce8f4ba2p-15, -0x1.43508ef661bb6p-15, -0x1.433a5669921aep-15, -0x1.431700b03ae25p-15, -0x1.42e6caa9f6785p-15, -0x1.42a9f0a7adaa9p-15, -0x1.4260ae6b09b9ep-15, -0x1.420b3f25fd74cp-15, -0x1.41a9dd7a58c56p-15, -0x1.413cc3796c196p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.2cf0dd4c911bep-1, 0x1.2d550fce4562p-1, 0x1.2dc1940775f93p-1, 0x1.2e34e40ace86dp-1, 0x1.2ead29a987a66p-1, 0x1.2f2847aae88f3p-1, 0x1.2fa3e433db81fp-1, 0x1.301d73ce961c9p-1, 0x1.3092449d2d523p-1, 0x1.30ff895a90e21p-1, 0x1.316263e34c2e5p-1, 0x1.31b7ef1271268p-1, 0x1.31fd47cf53a27p-1, 0x1.322f953635ce5p-1, 0x1.324c0fd122b74p-1, 0x1.325007def42fp-1, 0x1.3238eaad6549dp-1, 0x1.320447101ce56p-1, 0x1.31afd10252123p-1, 0x1.313964830537cp-1, 0x1.309f07bd3ff1ep-1, 0x1.2fdeec8e62f6ap-1, 0x1.2ef7717c839d7p-1, 0x1.2de7222e62547p-1, 0x1.2cacb775a76c7p-1, 0x1.2b4716fb0131ap-1, 0x1.29b5529a8b4ep-1, 0x1.27f6a77d90627p-1, 0x1.260a7cfd711b5p-1, 0x1.23f0635a216f7p-1, 0x1.21a8124d7a69ep-1, 0x1.1f316783677ap-1, 0x1.1c8c64fde3669p-1, 0x1.19b92f6abb733p-1, 0x1.16b80c702711p-1, 0x1.138960f478932p-1, 0x1.102daf64731aep-1, 0x1.0ca595fb38a6dp-1, 0x1.08f1cd0e36adap-1, 0x1.0513255f051b6p-1, 0x1.010a8674c7b1ap-1, 0x1.f9b1d9fc96bdfp-2, 0x1.f0fed27bab409p-2, 0x1.e7fe3afec0cb2p-2, 0x1.deb279339a79ap-2, 0x1.d51e10f6e3ad2p-2, 0x1.cb43a18487a26p-2, 0x1.c125e2bf95e16p-2, 0x1.b6c7a291e849fp-2, 0x1.ac2bc2638c826p-2, 0x1.a15534a9ecd03p-2, 0x1.9646fa8e92fb8p-2, 0x1.8b0421ad577d4p-2, 0x1.7f8fc1e9c27b9p-2, 0x1.73ecfb5b5ad84p-2, 0x1.681ef45096cbdp-2, 0x1.5c28d76823478p-2, 0x1.500dd1c028671p-2, 0x1.43d1113b32fb8p-2, 0x1.3775c2da72431p-2, 0x1.2aff112cdbd9cp-2, 0x1.1e7022d2e87bcp-2, 0x1.11cc191678919p-2, 0x1.05160e96849a5p-2, 0x1.f0a22c0c6353ap-3, 0x1.d70071fdbe33bp-3, 0x1.bd4cedc98b48fp-3, 0x1.a38d87bb73e7p-3, 0x1.89c80fb345dddp-3, 0x1.70023b586f337p-3, 0x1.5641a46f17f62p-3, 0x1.3c8bc74dfe41p-3, 0x1.22e6017425311p-3, 0x1.0955903d62439p-3, 0x1.dfbf1f69da6cfp-4, 0x1.ad11f309dddc6p-4, 0x1.7aad48043fbaap-4, 0x1.489a82a51ef02p-4, 0x1.16e2bd5d26225p-4, 0x1.cb1d8eebbadc2p-5, 0x1.694e47ed13717p-5, 0x1.0868116f67057p-5, 0x1.50f5768dcef9cp-6, 0x1.2655e1054af4bp-7, -0x1.43922b183e6a4p-9, -0x1.c38c7c22e45d3p-7, -0x1.98b649c10dc4bp-6, -0x1.26947af12e831p-5, -0x1.7f83064220103p-5, -0x1.d71b499cd4fabp-5, -0x1.16a932615fa47p-4, -0x1.410f09b4d2844p-4, -0x1.6aba5600d0571p-4, -0x1.93a68f23ff621p-4, -0x1.bbcf78d50574cp-4, -0x1.e33121bd69a0dp-4, -0x1.04e3f13fba5b8p-3, -0x1.17c82e54377dp-3, -0x1.2a43bcc8560dfp-3, -0x1.3c5534955e8cfp-3, -0x1.4dfb50618a7e1p-3, -0x1.5f34ecd8b67abp-3, -0x1.700107fe8b3e2p-3, -0x1.805ec07ab95dcp-3, -0x1.904d54dfdb746p-3, -0x1.9fcc22ed88d9dp-3, -0x1.aedaa6ce213cep-3, -0x1.bd787a50d511ep-3, -0x1.cba554206d031p-3, -0x1.d96106f73ad2ep-3, -0x1.e6ab80d0bc065p-3, -0x1.f384ca19456c2p-3, -0x1.ffed04dc37edcp-3, -0x1.05f235f88a6e5p-2, -0x1.0bb5a913ea916p-2, -0x1.114110ba7129dp-2, -0x1.1694ad0e83795p-2, -0x1.1bb0c8f0d44e2p-2, -0x1.2095b996cd2d5p-2, -0x1.2543de2168f5fp-2, -0x1.29bb9f34a55dcp-2, -0x1.2dfd6e8fa5acbp-2, -0x1.3209c6a5b0edcp-2, -0x1.35e12a381d9f3p-2, -0x1.398423f14cbe5p-2, -0x1.3cf34600d0556p-2, -0x1.402f29b8cc7f1p-2, -0x1.43386f2cb2fafp-2, -0x1.460fbcd168472p-2, -0x1.48b5bf1ee75aep-2, -0x1.4b2b2833759a3p-2, -0x1.4d70af78789a3p-2, -0x1.4f871148f843ap-2, -0x1.516f0e99e03ep-2, -0x1.53296ca4096ep-2, -0x1.54b6f4901767dp-2, -0x1.5618732433f31p-2, -0x1.574eb873afa91p-2, -0x1.585a979091cbfp-2, -0x1.593ce63f1a695p-2, -0x1.59f67cab3f968p-2, -0x1.5a88352026343p-2, -0x1.5af2ebc19f082p-2, -0x1.5b377e47a2e32p-2, -0x1.5b56cbbbda262p-2, -0x1.5b51b43922e39p-2, -0x1.5b2918ad24925p-2, -0x1.5addda9be5714p-2, -0x1.5a70dbe5635edp-2, -0x1.59e2fe8d31048p-2, -0x1.5935248412f2p-2, -0x1.58682f7394bb9p-2, -0x1.577d008b9d26bp-2, -0x1.56747851eeeb1p-2, -0x1.554f76739f451p-2, -0x1.540ed99872f47p-2, -0x1.52b37f381f75p-2, -0x1.513e43716c7bp-2, -0x1.4fb000e32a45p-2, -0x1.4e099086fa1efp-2, -0x1.4c4bc98de04aap-2, -0x1.4a77813e99964p-2, -0x1.488d8ad5a61dap-2, -0x1.468eb7670d2aap-2, -0x1.447bd5c1c58a2p-2, -0x1.4255b254c2c57p-2, -0x1.401d17159aefdp-2, -0x1.3dd2cb68baea6p-2, -0x1.3b77940b24485p-2, -0x1.390c32fda8f3p-2, -0x1.369167719bc29p-2, -0x1.3407edb6ecce4p-2, -0x1.31707f2ba9faep-2, -0x1.2ecbd22cd5b3ep-2, -0x1.2c1a9a0894b12p-2, -0x1.295d86f198652p-2, -0x1.269545f3d0a25p-2, -0x1.23c280ea4a847p-2, -0x1.20e5de763d0ebp-2, -0x1.1e0001f736bd9p-2, -0x1.1b118b84610d7p-2, -0x1.181b17e6d6716p-2, -0x1.151d4094fa744p-2, -0x1.12189baecebd2p-2, -0x1.0f0dbbfb3fafep-2, -0x1.0bfd30e6538d6p-2, -0x1.08e78680446f1p-2, -0x1.05cd457d6b2abp-2, -0x1.02aef336ff83fp-2, -0x1.ff1a235940148p-3, -0x1.f8d03f0d2aa3dp-3, -0x1.f2813031a1106p-3, -0x1.ec2de6cd2f81cp-3, -0x1.e5d74c4db0245p-3, -0x1.df7e439234d53p-3, -0x1.d923a8f614d68p-3, -0x1.d2c8525d26759p-3, -0x1.cc6d0f4100938p-3, -0x1.c612a8bf45d1ap-3, -0x1.bfb9e1a8dfe08p-3, -0x1.b963769223066p-3, -0x1.b3101de3ca07cp-3, -0x1.acc087ecc368bp-3, -0x1.a6755ef4b5a42p-3, -0x1.a02f474f3b39p-3, -0x1.99eedf6fc79a9p-3, -0x1.93b4bffe1f05ap-3, -0x1.8d817beb66819p-3, -0x1.8755a087ae25ep-3, -0x1.8131b59801f3bp-3, -0x1.7b163d6cda90cp-3, -0x1.7503b4f8f8703p-3, -0x1.6efa93e8a2614p-3, -0x1.68fb4cb920cf6p-3, -0x1.63064cd097204p-3, -0x1.5d1bfc9609ee7p-3, -0x1.573cbf89a579ep-3, -0x1.5168f45d2f325p-3, -0x1.4ba0f50c9a70ap-3, -0x1.45e516f6bdbc8p-3, -0x1.4035aaf621938p-3, -0x1.3a92fd79d7fcap-3, -0x1.34fd569e5ea9ap-3, -0x1.2f74fa468902ep-3, -0x1.29fa28345fa5ap-3, -0x1.248d1c21f715cp-3, -0x1.1f2e0dda377bfp-3, -0x1.19dd31518e663p-3, -0x1.149ab6be87062p-3, -0x1.0f66cab241e3ap-3, -0x1.0a419630c6bcbp-3, -0x1.052b3ec932552p-3, -0x1.0023e6adb1416p-3, -0x1.f65759969f303p-4, -0x1.ec8559c31d2abp-4, -0x1.e2d1ff338aee5p-4, -0x1.d93d753c8ed67p-4, -0x1.cfc7e1628d455p-4, -0x1.c6716386eadaap-4, -0x1.bd3a1614d8cc7p-4, -0x1.b4220e2d769a8p-4, -0x1.ab295bd376daap-4, -0x1.a2500a1623ee1p-4, -0x1.99961f3bc6e96p-4, -0x1.90fb9ceb77b8cp-4, -0x1.8880805642728p-4, -0x1.8024c25fac652p-4, -0x1.77e857c58e815p-4, -0x1.6fcb31474686ap-4, -0x1.67cd3bcc3a06bp-4, -0x1.5fee6089aab83p-4, -0x1.582e8527dadcfp-4, -0x1.508d8be67f736p-4, -0x1.490b53c07e6f8p-4, -0x1.41a7b88efa65p-4, -0x1.3a62932ba81c3p-4, -0x1.333bb9926fa93p-4, -0x1.2c32ff02576dcp-4, -0x1.2548341db9077p-4, -0x1.1e7b2709c273p-4, -0x1.17cba38d3f2bbp-4, -0x1.1139732eae349p-4, -0x1.0ac45d51a3a23p-4, -0x1.046c275374f1cp-4, -0x1.fc61294e69dap-5, -0x1.f022cde1f8ee4p-5, -0x1.e41cbc41051a2p-5, -0x1.d84e71160acf4p-5, -0x1.ccb766090caa8p-5, -0x1.c15711f0b096dp-5, -0x1.b62ce90206f1dp-5, -0x1.ab385cff0261dp-5, -0x1.a078dd639c7e9p-5, -0x1.95edd791b4ab4p-5, -0x1.8b96b6fba48ecp-5, -0x1.8172e54d918e3p-5, -0x1.7781ca9582526p-5, -0x1.6dc2cd6a363c9p-5, -0x1.64355310cb1a5p-5, -0x1.5ad8bfa12c862p-5, -0x1.51ac762959f92p-5, -0x1.48afd8cf849c1p-5, -0x1.3fe248f3069a3p-5, -0x1.3743274c40464p-5, -0x1.2ed1d40b56d92p-5, -0x1.268daef5e49ecp-5, -0x1.1e76178392d47p-5, -0x1.168a6cf9ad672p-5, -0x1.0eca0e85b038bp-5, -0x1.07345b56d27d9p-5, -0x1.ff91656d32b44p-6, -0x1.f10ce840e161p-6, -0x1.e2d9feb0b0656p-6, -0x1.d4f769013c112p-6, -0x1.c763e85d6f27ap-6, -0x1.ba1e3efe6e876p-6, -0x1.ad253051c97ep-6, -0x1.a077811dfb74bp-6, -0x1.9413f7a54c531p-6, -0x1.87f95bc71101p-6, -0x1.7c26771f5d9ebp-6, -0x1.709a1525334dep-6, -0x1.655303472a3efp-6, -0x1.5a501106add3cp-6, -0x1.4f901011ce5cp-6, -0x1.4511d45bb1914p-6, -0x1.3ad43433a990cp-6, -0x1.30d6085b08d69p-6, -0x1.27162c19a2577p-6, -0x1.1d937d511f3dbp-6, -0x1.144cdc8f15e0ap-6, -0x1.0b412d1dff851p-6, -0x1.026f55150c327p-6, -0x1.f3ac7acdb8b3bp-7, -0x1.e2e9a3de5cc5dp-7, -0x1.d29402ff0ce4bp-7, -0x1.c2a97bd5a948cp-7, -0x1.b327f8204e31dp-7, -0x1.a40d67c8ddb69p-7, -0x1.9557c0f6b924dp-7, -0x1.8705001ebc3edp-7, -0x1.7913281190d9bp-7, -0x1.6b8042085addp-7, -0x1.5e4a5dafdd02dp-7, -0x1.516f913210b5dp-7, -0x1.44edf93e4f513p-7, -0x1.38c3b910196b6p-7, -0x1.2ceefa7478f02p-7, -0x1.216dedce20cccp-7, -0x1.163eca18499d9p-7, -0x1.0b5fcce85bb1ap-7, -0x1.00cf3a6e7235p-7, -0x1.ed16bae98ae54p-8, -0x1.d9250ebc078adp-8, -0x1.c5c6204553627p-8, -0x1.b2f6ac9abdd0ep-8, -0x1.a0b37decd122bp-8, -0x1.8ef96b7c6d69cp-8, -0x1.7dc5598e35426p-8, -0x1.6d14395c59bb5p-8, -0x1.5ce30906e2eeap-8, -0x1.4d2ed3827b7c6p-8, -0x1.3df4b085dd95ap-8, -0x1.2f31c475ebba1p-8, -0x1.20e340508a43ep-8, -0x1.1306619649ce1p-8, -0x1.05987232f15f8p-8, -0x1.f12d90c9f9ce2p-9, -0x1.d7fd8d4835778p-9, -0x1.bf9bb70d7566dp-9, -0x1.a803034d72764p-9, -0x1.912e7f0a795bp-9, -0x1.7b194edb8e4e3p-9, -0x1.65beaeb12c5d9p-9, -0x1.5119f198a844p-9, -0x1.3d26817e58026p-9, -0x1.29dfdeee949b6p-9, -0x1.1741a0d5b21ap-9, -0x1.0547743efb638p-9, -0x1.e7da3825a2b9bp-10, -0x1.c65ce1a7f4aa6p-10, -0x1.a60ec0b877372p-10, -0x1.86e7db309e855p-10, -0x1.68e060868a8d1p-10, -0x1.4bf0a942cd307p-10, -0x1.3011367558271p-10, -0x1.153ab129ab82p-10, -0x1.f6cbd3b4ceb2bp-11, -0x1.c517afc8d2915p-11, -0x1.954b31f309d99p-11, -0x1.6758e125fe448p-11, -0x1.3b338ec7c222ep-11, -0x1.10ce55967ff21p-11, -0x1.d039311a481d4p-12, -0x1.822403909e474p-12, -0x1.374502d784644p-12, -0x1.df093221b2e8dp-13, -0x1.5597700d1e505p-13, -0x1.a40f5be932df1p-14, -0x1.50b783ba24b51p-15, 0x1.2107fd9780c86p-16, 0x1.2e1dfd678e193p-14, 0x1.04c52d39d6006p-13, 0x1.6d6ba7122cd99p-13, 0x1.d12996ef678ffp-13, 0x1.18129d5053607p-12, 0x1.4541f3a05cdeap-12, 0x1.703506ae8cabdp-12, 0x1.98fd9e8a2e92ap-12, 0x1.bfad1515e6514p-12, 0x1.e454580de12dbp-12, 0x1.0381f584a26efp-11, 0x1.13e5f4bb610bap-11, 0x1.235e044a0edeep-11, 0x1.31f1ccb04d88dp-11, 0x1.3fa8c54513e68p-11, 0x1.4c8a352a96732p-11, 0x1.589d343f79a94p-11, 0x1.63e8ac0d3d44cp-11, 0x1.6e7358b3de99dp-11, 0x1.7843c9d2a1902p-11, 0x1.8160636dfb14bp-11, 0x1.89cf5ed2979a7p-11, 0x1.9196cb757314bp-11, 0x1.98bc8fd100d79p-11, 0x1.9f466a3f5bf02p-11, 0x1.a539f1d17c20ap-11, 0x1.aa9c97236e602p-11, 0x1.af73a52d8b3c7p-11, 0x1.b3c44212aae4ep-11, 0x1.b7936feb54642p-11, 0x1.bae60d8de99b7p-11, 0x1.bdc0d753cc66cp-11, 0x1.c02867db800e8p-11, 0x1.c22138c7c6963p-11, 0x1.c3afa37bbacc8p-11, 0x1.c4d7e1d3ec851p-11, 0x1.c59e0edc7aeeap-11, 0x1.c6062784367a6p-11, 0x1.c6140b4cc933dp-11, 0x1.c5cb7cf7eab83p-11, 0x1.c5302331a4135p-11, 0x1.c4458937a636ap-11, 0x1.c30f1f7db8e51p-11, 0x1.c1903c4f48d46p-11, 0x1.bfcc1c6e1578ap-11, 0x1.bdc5e3ae0826dp-11, 0x1.bb809d8e39be8p-11, 0x1.b8ff3dcf2bccdp-11, 0x1.b644a10639e49p-11, 0x1.b3538d2e4fc76p-11, 0x1.b02eb235e1e54p-11, 0x1.acd8aa8a38dd8p-11, 0x1.a953fba00df87p-11, 0x1.a5a316798825bp-11, 0x1.a1c8582999099p-11, 0x1.9dc60a54c84adp-11, 0x1.999e63af700dbp-11, 0x1.95538879756a9p-11, 0x1.90e78af7819c5p-11, 0x1.8c5c6be9c880ap-11, 0x1.87b41b005d8c7p-11, 0x1.82f0774d27a32p-11, 0x1.7e134fb373d16p-11, 0x1.791e6355358e3p-11, 0x1.741361fdf81cep-11, 0x1.6ef3ec8b8dabap-11, 0x1.69c195547ee2ep-11, 0x1.647de08c49885p-11, 0x1.5f2a44a57122dp-11, 0x1.59c82ab16ee89p-11, 0x1.5458eebe8338p-11, 0x1.4edde03377777p-11, 0x1.4958422954dd8p-11, 0x1.43c94bc3183c9p-11, 0x1.3e3228836cba5p-11, 0x1.3893f8a076ae5p-11, 0x1.32efd155b27c5p-11, 0x1.2d46bd33f43f7p-11, 0x1.2799bc6f8fb4cp-11, 0x1.21e9c52cac735p-11, 0x1.1c37c3c9d42d7p-11, 0x1.16849b28bf7c6p-11, 0x1.10d124f569fecp-11, 0x1.0b1e31eb75e4fp-11, 0x1.056c8a19e6932p-11, 0x1.ff79da4a74761p-12, 0x1.f420250fd3b64p-12, 0x1.e8cd53a2b0d85p-12, 0x1.dd82b5c66d482p-12, 0x1.d2418c5ac986bp-12, 0x1.c70b09d0b344p-12, 0x1.bbe0529c2852fp-12, 0x1.b0c27da34655dp-12, 0x1.a5b294aa880aep-12, 0x1.9ab194be4c97p-12, 0x1.8fc06e99abf67p-12, 0x1.84e0070aac646p-12, 0x1.7a113753e4e22p-12, 0x1.6f54cd8b99067p-12, 0x1.64ab8cf85dd8cp-12, 0x1.5a162e6b5214p-12, 0x1.4f956097fa7a5p-12, 0x1.4529c869c9e23p-12, 0x1.3ad40157685a4p-12, 0x1.30949db3becb5p-12, 0x1.266c26fcd835ep-12, 0x1.1c5b1e28a2e6cp-12, 0x1.1261fbef9e3e8p-12, 0x1.088131157d9b8p-12, 0x1.fd724d5fa4d12p-13, 0x1.ea147cd585731p-13, 0x1.d6e9a597b0532p-13, 0x1.c3f26ee5ed7fdp-13, 0x1.b12f72b3019ccp-13, 0x1.9ea13e1f6d4d6p-13, 0x1.8c4851f0b39c8p-13, 0x1.7a2523053fb35p-13, 0x1.68381ac4fa15ep-13, 0x1.5681978eaa37cp-13, 0x1.4501ed22254fep-13, 0x1.33b965077773ep-13, 0x1.22a83ef30361dp-13, 0x1.11ceb126b3164p-13, 0x1.012ce8d0534dfp-13, 0x1.e18614ca3b1bcp-14, 0x1.c12263f5159efp-14, 0x1.a12ee73904bccp-14, 0x1.81abb741d3b44p-14, 0x1.6298ddf16c23dp-14, 0x1.43f656fd01037p-14, 0x1.25c410856e1f1p-14, 0x1.0801ebaaea547p-14, 0x1.d55f7a3850a3bp-15, 0x1.9b9a9b420890fp-15, 0x1.62b4b541bb1b1p-15, 0x1.2aad2d496b7ecp-15, 0x1.e706a754d31b6p-16, 0x1.7a6cc9d2a536ap-16, 0x1.0f8b15549071cp-16, 0x1.4cbf72563137fp-17, 0x1.f746134b8347ep-19, -0x1.36df137404525p-19, -0x1.15e0cf9c3528bp-17, -0x1.daae3b134f456p-17, -0x1.4e126f554319ap-16, -0x1.ad24e34eab465p-16, -0x1.05488c49d0de2p-15, -0x1.332ce2f243bbep-15, -0x1.6040dc296b38dp-15, -0x1.8c85e8fd95a97p-15, -0x1.b7fd84654468dp-15, -0x1.e2a932a74652fp-15, -0x1.064540640dedp-14, -0x1.1ad181fe4366cp-14, -0x1.2efa2c908ebd7p-14, -0x1.42c0121b5b7f3p-14, -0x1.562407f1ccad3p-14, -0x1.6926e67c9c588p-14, -0x1.7bc988ff381a9p-14, -0x1.8e0ccd5f06984p-14, -0x1.9ff193ecc88d5p-14, -0x1.b178bf3001bc9p-14, -0x1.c2a333b46095cp-14, -0x1.d371d7d90d539p-14, -0x1.e3e593a1d33d3p-14, -0x1.f3ff508a2cdfp-14, -0x1.01dffcacf67ccp-13, -0x1.09943cfde181fp-13, -0x1.111cdfaaa098dp-13, -0x1.187a5b904ecfap-13, -0x1.1fad27e3f097cp-13, -0x1.26b5bc20d5de9p-13, -0x1.2d948ff7b04a4p-13, -0x1.344a1b3e63ea6p-13, -0x1.3ad6d5e07e89ep-13, -0x1.413b37d061595p-13, -0x1.4777b8f903b84p-13, -0x1.4d8cd1305e6d9p-13, -0x1.537af82a6b7ebp-13, -0x1.5942a56cb9be5p-13, -0x1.5ee45042932cap-13, -0x1.64606fb1aa72dp-13, -0x1.69b77a6f53fb8p-13, -0x1.6ee9e6d63b57bp-13, -0x1.73f82adc97a3fp-13, -0x1.78e2bc0adeee3p-13, -0x1.7daa0f72e4cacp-13, -0x1.824e99a7761d3p-13, -0x1.86d0ceb45540dp-13, -0x1.8b312216adfd9p-13, -0x1.8f7006b5e2a8ap-13, -0x1.938deedcc4745p-13, -0x1.978b4c3326b93p-13, -0x1.9b688fb7d0d29p-13, -0x1.9f2629bac3bf1p-13, -0x1.a2c489d7dd6e7p-13, -0x1.a6441ef1c2505p-13, -0x1.a9a5572d21dcap-13, -0x1.ace89fec4243bp-13, -0x1.b00e65cad2604p-13, -0x1.b317149a0bd31p-13, -0x1.b603175d0ec45p-13, -0x1.b8d2d845869a4p-13, -0x1.bb86c0b08b08cp-13, -0x1.be1f3923bf477p-13, -0x1.c09ca94aaa06ap-13, -0x1.c2ff77f447097p-13, -0x1.c5480b10ccfdep-13, -0x1.c776c7afac14p-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.2bbf06b71009ap-1, 0x1.2bdf50ee7531ap-1, 0x1.2c02ee2317786p-1, 0x1.2c29af514d18fp-1, 0x1.2c53541f7f371p-1, 0x1.2c7f8b9847e31p-1, 0x1.2cadf53c91fdfp-1, 0x1.2cde2257005ecp-1, 0x1.2d0f977cbe1b8p-1, 0x1.2d41ce2ab491bp-1, 0x1.2d743670e577dp-1, 0x1.2da638a028b2bp-1, 0x1.2dd736f0e163ap-1, 0x1.2e068f1b47766p-1, 0x1.2e339bdbab42fp-1, 0x1.2e5db65ea784fp-1, 0x1.2e84379281fa2p-1, 0x1.2ea6795c12adbp-1, 0x1.2ec3d7ae72a0dp-1, 0x1.2edbb1856660ap-1, 0x1.2eed69c3109d4p-1, 0x1.2ef867f1e0a23p-1, 0x1.2efc18ec0ee42p-1, 0x1.2ef7ef6a236b2p-1, 0x1.2eeb647a382e6p-1, 0x1.2ed5f7e1b27ccp-1, 0x1.2eb7306b3adcap-1, 0x1.2e8e9c22b5bf5p-1, 0x1.2e5bd080f6d0ap-1, 0x1.2e1e6a88d4e0cp-1, 0x1.2dd60ed72dc02p-1, 0x1.2d8269a756b4p-1, 0x1.2d232ecd528a9p-1, 0x1.2cb819a717995p-1, 0x1.2c40ed060975fp-1, 0x1.2bbd7311b5c4bp-1, 0x1.2b2d7d24cc2a6p-1, 0x1.2a90e3a52c9e3p-1, 0x1.29e785d7d07dp-1, 0x1.293149b144a8bp-1, 0x1.286e1ba34e32dp-1, 0x1.279dee684962cp-1, 0x1.26c0baccbab83p-1, 0x1.25d67f7785246p-1, 0x1.24df40b11fdb3p-1, 0x1.23db082a23b2cp-1, 0x1.22c9e4c178315p-1, 0x1.21abea4a61d22p-1, 0x1.20813152a80ap-1, 0x1.1f49d6e9044e2p-1, 0x1.1e05fc64064f9p-1, 0x1.1cb5c7298d172p-1, 0x1.1b596076f9b98p-1, 0x1.19f0f52a332cbp-1, 0x1.187cb58b93de8p-1, 0x1.16fcd518d3bdbp-1, 0x1.15718a5101674p-1, 0x1.13db0e8195e64p-1, 0x1.12399d94b0e19p-1, 0x1.108d75e086ac6p-1, 0x1.0ed6d7f808229p-1, 0x1.0d16067cca0aep-1, 0x1.0b4b45f23295ep-1, 0x1.0976dc91ef2d9p-1, 0x1.07991221b7337p-1, 0x1.05b22fca5b3cfp-1, 0x1.03c27ff02419fp-1, 0x1.01ca4e0c7e91fp-1, 0x1.ff93cd11f0099p-2, 0x1.fb832d3709cc9p-2, 0x1.f7635848276f6p-2, 0x1.f334eb16d1841p-2, 0x1.eef883467cc87p-2, 0x1.eaaebf0f50639p-2, 0x1.e6583d036b9dep-2, 0x1.e1f59bd69de0ep-2, 0x1.dd877a288c996p-2, 0x1.d90e76513ea0ap-2, 0x1.d48b2e2ffb95p-2, 0x1.cffe3efc81c59p-2, 0x1.cb68451a784d4p-2, 0x1.c6c9dbef22341p-2, 0x1.c2239db938a3dp-2, 0x1.bd76236aea6d3p-2, 0x1.b8c20485f25adp-2, 0x1.b407d6f9b39bp-2, 0x1.af482f0355375p-2, 0x1.aa839f0fcd34bp-2, 0x1.a5bab79fd2205p-2, 0x1.a0ee072d9d0bdp-2, 0x1.9c1e1a147cd8fp-2, 0x1.974b7a7a21c48p-2, 0x1.9276b03998d47p-2, 0x1.8da040cfec9afp-2, 0x1.88c8af4a5b093p-2, 0x1.83f07c36131fcp-2, 0x1.7f1825916f0cfp-2, 0x1.7a4026bea25f3p-2, 0x1.7568f877c2c71p-2, 0x1.709310c42ef02p-2, 0x1.6bbee2ef3c903p-2, 0x1.66ecdf8021cd5p-2, 0x1.621d74331676cp-2, 0x1.5d510bf3946ebp-2, 0x1.58880ed7b6d5p-2, 0x1.53c2e21ca5e9fp-2, 0x1.4f01e82407bf6p-2, 0x1.4a45807266c37p-2, 0x1.458e07ae88ddep-2, 0x1.40dbd7a1a4a78p-2, 0x1.3c2f473873da5p-2, 0x1.3788aa851081bp-2, 0x1.32e852c195707p-2, 0x1.2e4e8e537cb5ep-2, 0x1.29bba8cfa998bp-2, 0x1.252feaff1cc67p-2, 0x1.20ab9ae447b8bp-2, 0x1.1c2efbc0f0cbdp-2, 0x1.17ba4e1ca95a1p-2, 0x1.134dcfcbc442dp-2, 0x1.0ee9bbf6cbfdp-2, 0x1.0a8e4b22677ddp-2, 0x1.063bb337b2cb5p-2, 0x1.01f2278cf76ecp-2, 0x1.fb63b1dd8990cp-3, 0x1.f2f5eb52beeedp-3, 0x1.ea9b5325019bap-3, 0x1.e2543c26be8b5p-3, 0x1.da20f465f8071p-3, 0x1.d201c5415932ap-3, 0x1.c9f6f37db7862p-3, 0x1.c200bf5bfb319p-3, 0x1.ba1f64af5db3fp-3, 0x1.b2531af3f95f1p-3, 0x1.aa9c1565958ccp-3, 0x1.a2fa8316bbd5ep-3, 0x1.9b6e8f07ef979p-3, 0x1.93f8603f14f8p-3, 0x1.8c9819defb1aap-3, 0x1.854ddb3ef3859p-3, 0x1.7e19c00285ad9p-3, 0x1.76fbe03122811p-3, 0x1.6ff4504ddb78cp-3, 0x1.6903216f1541ep-3, 0x1.622861562ef9p-3, 0x1.5b641a8712869p-3, 0x1.54b6545fb525cp-3, 0x1.4e1f132f72fa4p-3, 0x1.479e584e4a19ep-3, 0x1.41342233f429bp-3, 0x1.3ae06c8ec6ce5p-3, 0x1.34a3305a70edp-3, 0x1.2e7c63f67b3b6p-3, 0x1.286bfb3c8ec16p-3, 0x1.2271e79688565p-3, 0x1.1c8e18143f97dp-3, 0x1.16c0798115952p-3, 0x1.1108f67936f36p-3, 0x1.0b67777e99765p-3, 0x1.05dbe30daa5e9p-3, 0x1.00661db1b2e4bp-3, 0x1.f60c1431d9526p-4, 0x1.eb77125081a35p-4, 0x1.e10cf41d6c73ap-4, 0x1.d6cd74b11d6fp-4, 0x1.ccb84c0408fcfp-4, 0x1.c2cd2f1375fa8p-4, 0x1.b90bd00598a9bp-4, 0x1.af73de4d0bc76p-4, 0x1.a60506cb881e1p-4, 0x1.9cbef3f3ec2c5p-4, 0x1.93a14deb8d5cdp-4, 0x1.8aabbaaac78e4p-4, 0x1.81ddde1ce1149p-4, 0x1.79375a3f2b1a7p-4, 0x1.70b7cf3f6c75bp-4, 0x1.685edb99925b5p-4, 0x1.602c1c34a8894p-4, 0x1.581f2c7f18039p-4, 0x1.5037a68a2dce8p-4, 0x1.48752324ea85dp-4, 0x1.40d739f61b85ep-4, 0x1.395d8195bee1ap-4, 0x1.32078fa5b2acap-4, 0x1.2ad4f8e9b31dep-4, 0x1.23c5515ea56ecp-4, 0x1.1cd82c51359eep-4, 0x1.160d1c73c44bbp-4, 0x1.0f63b3f3aa3d2p-4, 0x1.08db848dd0c6ep-4, 0x1.02741fa2a3629p-4, 0x1.f85a2c92b4af1p-5, 0x1.ec0bf2c544f62p-5, 0x1.dffcb3554797p-5, 0x1.d42b8f94d09d8p-5, 0x1.c897a8d14d17dp-5, 0x1.bd402073e5eefp-5, 0x1.b2241820aee1fp-5, 0x1.a742b1d4b11fcp-5, 0x1.9c9b1002cb298p-5, 0x1.922c55af74c51p-5, 0x1.87f5a68b67595p-5, 0x1.7df6270d3055cp-5, 0x1.742cfc89b4544p-5, 0x1.6a994d4ba9a53p-5, 0x1.613a40aa0af92p-5, 0x1.580eff1d8c5cbp-5, 0x1.4f16b255160bap-5, 0x1.465085494c239p-5, 0x1.3dbba44f24457p-5, 0x1.35573d2995d05p-5, 0x1.2d227f1a62f27p-5, 0x1.251c9af204c54p-5, 0x1.1d44c31ebdf92p-5, 0x1.159a2bbadb198p-5, 0x1.0e1c0a9a22873p-5, 0x1.06c997567da74p-5, 0x1.ff4416b7bb7c5p-6, 0x1.f14943e6c213p-6, 0x1.e3a1309b854dap-6, 0x1.d64a5b1a2384bp-6, 0x1.c943459b7daabp-6, 0x1.bc8a765df6291p-6, 0x1.b01e77b4ecbf7p-6, 0x1.a3fdd816f7646p-6, 0x1.98272a2ae6ef9p-6, 0x1.8c9904d39de1cp-6, 0x1.8152033ac8c64p-6, 0x1.7650c4da76c6p-6, 0x1.6b93ed85ab0bbp-6, 0x1.611a256fde89ap-6, 0x1.56e21933873b6p-6, 0x1.4cea79d7ae0a5p-6, 0x1.4331fcd491ecbp-6, 0x1.39b75c1769223p-6, 0x1.3079560549002p-6, 0x1.2776ad7d35017p-6, 0x1.1eae29d96819fp-6, 0x1.161e96efd4c86p-6, 0x1.0dc6c511eb631p-6, 0x1.05a5890bacf2fp-6, 0x1.fb7378441ade1p-7, 0x1.ec047821629c5p-7, 0x1.dcfbd60e1c58ep-7, 0x1.ce575f49de71cp-7, 0x1.c014e9ecd2c2ap-7, 0x1.b23254de8c8d4p-7, 0x1.a4ad87cbcec13p-7, 0x1.9784731b5a921p-7, 0x1.8ab50fe1cd63dp-7, 0x1.7e3d5fd493afp-7, 0x1.721b6d3c0761ap-7, 0x1.664d4ae4c0c64p-7, 0x1.5ad114101f91ap-7, 0x1.4fa4ec642404cp-7, 0x1.44c6ffda8b784p-7, 0x1.3a3582af58014p-7, 0x1.2feeb14eb348ap-7, 0x1.25f0d0424439p-7, 0x1.1c3a2c1dfbe18p-7, 0x1.12c9196c63f5ap-7, 0x1.099bf49a75d1dp-7, 0x1.00b121e304249p-7, 0x1.f00e1a737f176p-8, 0x1.df38546bb592cp-8, 0x1.cedde7f8b5e89p-8, 0x1.befbda542dbdcp-8, 0x1.af8f3f7add28cp-8, 0x1.a09539ff8598bp-8, 0x1.920afadd5f6bcp-8, 0x1.83edc14a2a797p-8, 0x1.763ada87e0509p-8, 0x1.68efa1b61685ep-8, 0x1.5c097fa31c9cp-8, 0x1.4f85ea9cde87ap-8, 0x1.4362664198c1ep-8, 0x1.379c835065cb3p-8, 0x1.2c31df79b2589p-8, 0x1.2120252f9b448p-8, 0x1.16650b7646b71p-8, 0x1.0bfe55b4383cbp-8, 0x1.01e9d382b0675p-8, 0x1.f04ac0fc2e447p-9, 0x1.dd5dc82d03c55p-9, 0x1.cb08a2c0a77d5p-9, 0x1.b9474dca08268p-9, 0x1.a815dce824681p-9, 0x1.977079e84cd7fp-9, 0x1.87536468e0258p-9, 0x1.77baf17c774bp-9, 0x1.68a38b4d9e7c2p-9, 0x1.5a09b0c318007p-9, 0x1.4be9f524bdce9p-9, 0x1.3e40ffc0fcd68p-9, 0x1.310b8b930230cp-9, 0x1.244666e99760ep-9, 0x1.17ee730eb8eeap-9, 0x1.0c00a3efeea61p-9, 0x1.0079ffc76970dp-9, 0x1.eaaf3d8bebf47p-10, 0x1.d52d557b71bacp-10, 0x1.c068bd9b9b61fp-10, 0x1.ac5c0e1d7ecp-10, 0x1.9902007fca222p-10, 0x1.86556eeb4bbap-10, 0x1.745153914e8adp-10, 0x1.62f0c80bd8191p-10, 0x1.522f04bfc5bcp-10, 0x1.42076040d9552p-10, 0x1.32754eb7aeaaep-10, 0x1.23746149adac1p-10, 0x1.15004582e8b79p-10, 0x1.0714c4c200ce6p-10, 0x1.f35b874c0c3adp-11, 0x1.d98e82fca911cp-11, 0x1.c0baaf78f4982p-11, 0x1.a8d872d03e715p-11, 0x1.91e06529e8069p-11, 0x1.7bcb4fb54ebafp-11, 0x1.66922b9dc63a6p-11, 0x1.522e21029f0fep-11, 0x1.3e9885f33dca4p-11, 0x1.2bcadd6f3a5a6p-11, 0x1.19bed66a8c9fap-11, 0x1.086e4ad5be79cp-11, 0x1.efa67d544159ep-12, 0x1.cfcfbdf402fp-12, 0x1.b14d0209b89b6p-12, 0x1.9413429f01c81p-12, 0x1.7817c58052173p-12, 0x1.5d501b7cf701fp-12, 0x1.43b21eaedeac4p-12, 0x1.2b33f0ca1fe7ap-12, 0x1.13cbf97427062p-12, 0x1.fae1c9450994p-13, 0x1.d033420287f2bp-13, 0x1.a77abcc181422p-13, 0x1.80a71855c7835p-13, 0x1.5ba7afbf777b3p-13, 0x1.386c5732b43c4p-13, 0x1.16e5592dc3ee8p-13, 0x1.ee06e73aecd33p-14, 0x1.b16faa1f39c7ap-14, 0x1.77e833e6edecfp-14, 0x1.415493cfc8aa6p-14, 0x1.0d99aa2e702cfp-14, 0x1.b93a4681f85afp-15, 0x1.5c8ae4382d191p-15, 0x1.04f39764b1347p-15, 0x1.648887d643a11p-16, 0x1.9138f88ca9e58p-17, 0x1.ae441809c7554p-19, -0x1.512cc496060d5p-18, -0x1.abe786b150fa7p-17, -0x1.4f83be4b0380ep-16, -0x1.c14b2561a6561p-16, -0x1.15cbc2c0362dfp-15, -0x1.475a02bcf998ap-15, -0x1.7574bb124896bp-15, -0x1.a03f310ad03b1p-15, -0x1.c7db8e8247748p-15, -0x1.ec6ae96b89f6ap-15, -0x1.0706a595ffa3cp-14, -0x1.1670dbe67b758p-14, -0x1.24831a81db0d9p-14, -0x1.314be8886fd46p-14, -0x1.3cd954bbf6b55p-14, -0x1.4738f8c7b18e6p-14, -0x1.5077fc75387ffp-14, -0x1.58a318ce570f1p-14, -0x1.5fc69b2c4ad98p-14, -0x1.65ee6834bcd9dp-14, -0x1.6b25fec4c44ffp-14, -0x1.6f787aca4bf0fp-14, -0x1.72f0980c2bb06p-14, -0x1.7598b4e147a98p-14, -0x1.777ad4d707916p-14, -0x1.78a0a347784bdp-14, -0x1.791375df6547ep-14, -0x1.78dc4f14bc259p-14, -0x1.7803e08d85391p-14, -0x1.76928d77c2b44p-14, -0x1.74906cd27f106p-14, -0x1.72054ba859135p-14, -0x1.6ef8af3bd6959p-14, -0x1.6b71d725ca3b5p-14, -0x1.6777bf6610f14p-14, -0x1.63112266f332dp-14, -0x1.5e447af36eeabp-14, -0x1.59180620afa3dp-14, -0x1.5391c52afc065p-14, -0x1.4db77f4659a71p-14, -0x1.478ec3632d10ep-14, -0x1.411ce9e716553p-14, -0x1.3a67165a4affdp-14, -0x1.33723909b014bp-14, -0x1.2c43109dee466p-14, -0x1.24de2ba7c3c65p-14, -0x1.1d47ea21cd53ap-14, -0x1.15847ee8036cp-14, -0x1.0d97f1252711p-14, -0x1.05861db658ae3p-14, -0x1.faa5710a1fc76p-15, -0x1.ea029baf60067p-15, -0x1.d92a8731dbb54p-15, -0x1.c823b52c79505p-15, -0x1.b6f45f6af369fp-15, -0x1.a5a27a44137d6p-15, -0x1.9433b6e3342d8p-15, -0x1.82ad8581764cp-15, -0x1.7115178f0488ep-15, -0x1.5f6f61cccd8e1p-15, -0x1.4dc11e570d844p-15, -0x1.3c0ecea10a71bp-15, -0x1.2a5cbd625b5bfp-15, -0x1.18af00761386cp-15, -0x1.07097aac30ed9p-15, -0x1.eadfbb1b305efp-16, -0x1.c7cb5625ff23bp-16, -0x1.a4dc6e9e28cb4p-16, -0x1.8219541859e9cp-16, -0x1.5f8800bbb68efp-16, -0x1.3d2e1c4d4eb8ep-16, -0x1.1b10ff248c772p-16, -0x1.f26b6a123f36dp-17, -0x1.af41fff61686ep-17, -0x1.6caeb5caa98a8p-17, -0x1.2ab9f877d75b1p-17, -0x1.d2d762153fe36p-18, -0x1.51969341fa98cp-18, -0x1.a37ec8bd35035p-19, -0x1.4d7b290284642p-20, 0x1.4bf942f458ad3p-21, 0x1.499e7462e03b1p-19, 0x1.1e8702eb62dafp-18, 0x1.969ce318a19f8p-18, 0x1.0683fe1bec998p-17, 0x1.40e01489aa8a6p-17, 0x1.7a5efb2c0f158p-17, 0x1.b2fd4db4ae0eep-17, 0x1.eab7f9b72fbeap-17, 0x1.10c61da666924p-16, 0x1.2bbbcce9c8922p-16, 0x1.463bf26445be4p-16, 0x1.6045985e1cde4p-16, 0x1.79d7ea303400bp-16, 0x1.92f232d771ddap-16, 0x1.ab93db941b5d9p-16, 0x1.c3bc6a94e6b87p-16, 0x1.db6b81ad6cfc9p-16, 0x1.f2a0dd17a667ep-16, 0x1.04ae292012f48p-15, 0x1.0fcee74e5c234p-15, 0x1.1ab2ab4696ff1p-15, 0x1.25598222fa2c7p-15, 0x1.2fc383621b2f4p-15, 0x1.39f0d065a7158p-15, 0x1.43e193f594d96p-15, 0x1.4d9601c7b89ecp-15, 0x1.570e560b95912p-15, 0x1.604ad4fa4779bp-15, 0x1.694bca6a6fdf4p-15, 0x1.72118967fd9fp-15, 0x1.7a9c6bcfb849ep-15, 0x1.82ecd1ee6f929p-15, 0x1.8b032223b1f9bp-15, 0x1.92dfc887f17f7p-15, 0x1.9a833695f9e47p-15, 0x1.a1ede2d79e2c7p-15, 0x1.a9204895870cdp-15, 0x1.b01ae78a05739p-15, 0x1.b6de4396d275p-15, 0x1.bd6ae47da92a7p-15, 0x1.c3c1559b9c9b7p-15, 0x1.c9e225a71aeafp-15, 0x1.cfcde67081afbp-15, 0x1.d5852ca534b03p-15, 0x1.db088f951d701p-15, 0x1.e058a8fa840e4p-15, 0x1.e57614c4283ep-15, 0x1.ea6170e191b33p-15, 0x1.ef1b5d117906fp-15, 0x1.f3a47ab242f49p-15, 0x1.f7fd6c9476269p-15, 0x1.fc26d6cf1a497p-15, 0x1.0010af4afb82dp-14, 0x1.01f6d508cd025p-14, 0x1.03c6301c8dadep-14, 0x1.057f1456c7e5p-14, 0x1.0721d5cb8c1aap-14, 0x1.08aec8c1c0b7fp-14, 0x1.0a2641a335a1fp-14, 0x1.0b8894ed6fda6p-14, 0x1.0cd617232b9d3p-14, 0x1.0e0f1cbe8c267p-14, 0x1.0f33fa23f416p-14, 0x1.104503957f695p-14, 0x1.11428d271b168p-14, 0x1.122ceab332e3cp-14, 0x1.13046fcff210cp-14, 0x1.13c96fc50f407p-14, 0x1.147c3d822178ep-14, 0x1.151d2b9576202p-14, 0x1.15ac8c2366827p-14, 0x1.162ab0de25817p-14, 0x1.1697eafe01feap-14, 0x1.16f48b3a1b4dep-14, 0x1.1740e1c17ff0cp-14, 0x1.177d3e34b5b47p-14, 0x1.17a9ef9fa6b11p-14, 0x1.17c74473ed66bp-14, 0x1.17d58a837f3f3p-14, 0x1.17d50efbaecbdp-14, 0x1.17c61e6084a82p-14, 0x1.17a904886b97ap-14, 0x1.177e0c982a192p-14, 0x1.174580ff299e9p-14, 0x1.16ffab7405d3fp-14, 0x1.16acd4f1630e2p-14, 0x1.164d45b306a84p-14, 0x1.15e1453330f3fp-14, 0x1.15691a283521bp-14, 0x1.14e50a824b2adp-14, 0x1.14555b699ca3cp-14, 0x1.13ba513c859dbp-14, 0x1.13142f8e0b93fp-14, 0x1.1263392485588p-14, 0x1.11a7aff8728fcp-14, 0x1.10e1d53380bfdp-14, 0x1.1011e92fbcb04p-14, 0x1.0f382b76ed392p-14, 0x1.0e54dac213e66p-14, 0x1.0d6834f91737fp-14, 0x1.0c7277328cf34p-14, 0x1.0b73ddb3a9ec8p-14, 0x1.0a6ca3f051e12p-14, 0x1.095d048b450b1p-14, 0x1.084539566dc57p-14, 0x1.07257b53487dcp-14, 0x1.05fe02b367bfdp-14, 0x1.04cf06d9114b6p-14, 0x1.0398be57f2f17p-14, 0x1.025b5ef5eedd1p-14, 0x1.01171dabfd4bap-14, 0x1.ff985d4e459cep-15, 0x1.fcf58a92f45eep-15, 0x1.fa4628569ffa1p-15, 0x1.f78a9a389e667p-15, 0x1.f4c342497fd04p-15, 0x1.f1f0810da5867p-15, 0x1.ef12b57ff7888p-15, 0x1.ec2a3d14b6e6dp-15, 0x1.e93773bc6679fp-15, 0x1.e63ab3e6cc19dp-15, 0x1.e334568607161p-15, 0x1.e024b311bd05bp-15, 0x1.dd0c1f8a56706p-15, 0x1.d9eaf07c505ddp-15, 0x1.d6c179039a247p-15, 0x1.d3900acf053c9p-15, 0x1.d056f623c1af1p-15, 0x1.cd1689e0e5af9p-15, 0x1.c9cf1383022f1p-15, 0x1.c680df27c128fp-15, 0x1.c32c37918c38fp-15, 0x1.bfd1662b3b7b2p-15, 0x1.bc70b30bcd6d2p-15, 0x1.b90a64fa220dfp-15, 0x1.b59ec170bd32p-15, 0x1.b22e0ca18de2ep-15, 0x1.aeb88979b7e83p-15, 0x1.ab3e79a561a33p-15, 0x1.a7c01d938247p-15, 0x1.a43db479b4633p-15, 0x1.a0b77c580759ep-15, 0x1.9d2db1fcd18e9p-15, 0x1.99a091088238p-15, 0x1.961053f172d69p-15, 0x1.927d3407b624bp-15, 0x1.8ee76978e7073p-15, 0x1.8b4f2b53f1ba2p-15, 0x1.87b4af8cde6e3p-15, 0x1.84182b0094b22p-15, 0x1.8079d1789e7eep-15, 0x1.7cd9d5aee29f5p-15, 0x1.793869516087bp-15, 0x1.7595bd05e217cp-15, 0x1.71f2006dab326p-15, 0x1.6e4d622922d9cp-15, 0x1.6aa80fdb76877p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.3de0c26f83512p-5, -0x1.7187e49aa4b37p-5, -0x1.a57c846d6ef65p-5, -0x1.d906765418058p-5, -0x1.05bf6524e8df9p-4, -0x1.1e284bcc42829p-4, -0x1.357c97e49053p-4, -0x1.4b83ed8d36021p-4, -0x1.600e9e369ceafp-4, -0x1.72f53af1628b5p-4, -0x1.8418116c4563bp-4, -0x1.935e9bdfaa5efp-4, -0x1.a0b6ea521ca02p-4, -0x1.ac150a1666378p-4, -0x1.b5726f1fc8806p-4, -0x1.bccd61c4cc1c8p-4, -0x1.c22872bcb5048p-4, -0x1.c589f685c764bp-4, -0x1.c6fb88eadcd6fp-4, -0x1.c689990529d18p-4, -0x1.c442fdd5fbcf5p-4, -0x1.c0389364d1a04p-4, -0x1.ba7ce02d466a1p-4, -0x1.b323c291eb62fp-4, -0x1.aa4225fa3d86ap-4, -0x1.9fedbf38fe56ap-4, -0x1.943ccfd32dbc2p-4, -0x1.8745efbdf5ab4p-4, -0x1.791fdd299688fp-4, -0x1.69e151f0fb79ep-4, -0x1.59a0de47c65p-4, -0x1.4874c8439babcp-4, -0x1.3672efe0dbe41p-4, -0x1.23b0b7268ec33p-4, -0x1.1042ee111eac7p-4, -0x1.f87b83dedfe8bp-5, -0x1.cf695fc3c7c4bp-5, -0x1.a574f45dd1a0ap-5, -0x1.7ac24049a4cefp-5, -0x1.4f73b0899824cp-5, -0x1.23aa18edad74ep-5, -0x1.ef09602b33378p-6, -0x1.96421d39eff24p-6, -0x1.3d3662134c528p-6, -0x1.c835f0707cfb1p-7, -0x1.16430ca51fdcep-7, -0x1.93c502c8935bap-9, 0x1.2da12b7d024b1p-9, 0x1.f4f0847825516p-8, 0x1.a7f2f7ded8bfep-7, 0x1.29c919a2cf242p-6, 0x1.7e8a7ec417a01p-6, 0x1.d21fb63cde675p-6, 0x1.12369b3b1fed2p-5, 0x1.3aace3268d932p-5, 0x1.62673108b507p-5, 0x1.895b1060757cdp-5, 0x1.af7f0cd2fb674p-5, 0x1.d4caa53e30b1cp-5, 0x1.f9363f1c13e87p-5, 0x1.0e5d8d210325dp-4, 0x1.1fa9a282557f9p-4, 0x1.307cc86360b14p-4, 0x1.40d4c37bb4a37p-4, 0x1.50afaf415231ap-4, 0x1.600bf8dab0972p-4, 0x1.6ee85a4a93295p-4, 0x1.7d43d5d53658dp-4, 0x1.8b1db19de4b5fp-4, 0x1.9875737baf0d6p-4, 0x1.a54add03b4bfp-4, 0x1.b19de7c735609p-4, 0x1.bd6ec1c36c173p-4, 0x1.c8bdca013161bp-4, 0x1.d38b8d62216bcp-4, 0x1.ddd8c3993158bp-4, 0x1.e7a64c4c61f58p-4, 0x1.f0f52c5d6af26p-4, 0x1.f9c68b5740ccdp-4, 0x1.010dd87f1f79p-3, 0x1.04fb018088478p-3, 0x1.08ab8164209ffp-3, 0x1.0c2025b15b64p-3, 0x1.0f59c7c6a0d07p-3, 0x1.12594be9caaefp-3, 0x1.151fa0648da79p-3, 0x1.17adbcac199e1p-3, 0x1.1a04a0933158fp-3, 0x1.1c2553862e788p-3, 0x1.1e10e3d042b2ep-3, 0x1.1fc865e97b2fdp-3, 0x1.214cf3cd02135p-3, 0x1.229fac572311bp-3, 0x1.23c1b2aab16a4p-3, 0x1.24b42d9d6317bp-3, 0x1.2578472aca20ap-3, 0x1.260f2beda4c9fp-3, 0x1.267a0a9f25a9ep-3, 0x1.26ba139c00991p-3, 0x1.26d0786effceep-3, 0x1.26be6b60d2e0bp-3, 0x1.26851f0d07cecp-3, 0x1.2625c5fbdb6f7p-3, 0x1.25a19240d4076p-3, 0x1.24f9b51de95d8p-3, 0x1.242f5eab21a8fp-3, 0x1.2343bd8283af3p-3, 0x1.2237fe70367d3p-3, 0x1.210d4c26b3766p-3, 0x1.1fc4cef6f841ap-3, 0x1.1e5fac8c9807dp-3, 0x1.1cdf07ad8c59ap-3, 0x1.1b43fffdc075fp-3, 0x1.198fb1c62cb79p-3, 0x1.17c335bf7c029p-3, 0x1.15dfa0e01720ap-3, 0x1.13e6042d8f029p-3, 0x1.11d76c91439a1p-3, 0x1.0fb4e2b04121ep-3, 0x1.0d7f6ac62e037p-3, 0x1.0b380483424edp-3, 0x1.08dfaaed31067p-3, 0x1.06775442ed406p-3, 0x1.03fff1e32fd88p-3, 0x1.017a7035bb111p-3, 0x1.fdcf6d2e60497p-4, 0x1.f8914e8ef2ep-4, 0x1.f33c3eb53deecp-4, 0x1.edd1ed5808d4p-4, 0x1.e853ffa7c5c6fp-4, 0x1.e2c4103e173cap-4, 0x1.dd23af117696cp-4, 0x1.d774616cfa5b1p-4, 0x1.d1b7a1ec1c481p-4, 0x1.cbeee07a2750ap-4, 0x1.c61b8255580e8p-4, 0x1.c03ee2155cfa2p-4, 0x1.ba5a4fb5366a9p-4, 0x1.b46f10a021e99p-4, 0x1.ae7e5fc188128p-4, 0x1.a8896d97bf3cep-4, 0x1.a29160497a7cep-4, 0x1.9c9753bdb1f6p-4, 0x1.969c59b5f90f5p-4, 0x1.90a179eb06e73p-4, 0x1.8aa7b22b58ec4p-4, 0x1.84aff67bc6433p-4, 0x1.7ebb3139e4aaep-4, 0x1.78ca43401bdaep-4, 0x1.72de040b45f05p-4, 0x1.6cf741e1be1fep-4, 0x1.6716c1fbbbb8cp-4, 0x1.613d40acdf6eep-4, 0x1.5b6b718ed0186p-4, 0x1.55a1ffaccfd15p-4, 0x1.4fe18db02927ep-4, 0x1.4a2ab60d5d44dp-4, 0x1.447e0b31f79f4p-4, 0x1.3edc17b2ee3f9p-4, 0x1.39455e7b780e2p-4, 0x1.33ba5afc41f3bp-4, 0x1.2e3b815aebc17p-4, 0x1.28c93ea1ba38dp-4, 0x1.2363f8ef67564p-4, 0x1.1e0c0fa70135ep-4, 0x1.18c1db9fc1c15p-4, 0x1.1385af54d16ebp-4, 0x1.0e57d714e1b6p-4, 0x1.0938993191579p-4, 0x1.0428362e8cbabp-4, 0x1.fe4dd1e0b3b5cp-5, 0x1.f469cdd58a114p-5, 0x1.eaa4c09dc298p-5, 0x1.e0ff0071251e8p-5, 0x1.d778d9b7280a3p-5, 0x1.ce128f5fe837dp-5, 0x1.c4cc5b3bf40e5p-5, 0x1.bba66e52de7bap-5, 0x1.b2a0f13885197p-5, 0x1.a9bc0460fd837p-5, 0x1.a0f7c0731ef6dp-5, 0x1.985436999594ep-5, 0x1.8fd170d28057ep-5, 0x1.876f723d8171cp-5, 0x1.7f2e376847c56p-5, 0x1.770db6997d11cp-5, 0x1.6f0de01a1c532p-5, 0x1.672e9e7d2519p-5, 0x1.5f6fd6e5aa0ddp-5, 0x1.57d1694b361d9p-5, 0x1.505330bc856adp-5, 0x1.48f503a09212p-5, 0x1.41b6b3f5ef1a4p-5, 0x1.3a980f9077345p-5, 0x1.3398e055494cbp-5, 0x1.2cb8ec751a54bp-5, 0x1.25f7f6a4d5ec6p-5, 0x1.1f55be5497c88p-5, 0x1.18d1ffe4fb5cep-5, 0x1.126c74dac5505p-5, 0x1.0c24d410ee786p-5, 0x1.05fad1e90de5p-5, 0x1.ffdc40f455927p-6, 0x1.f3fcdf7bf4f1ep-6, 0x1.e856db791ed22p-6, 0x1.dce98d6cf7518p-6, 0x1.d1b44a9ae6477p-6, 0x1.c6b66556d7237p-6, 0x1.bbef2d508ee36p-6, 0x1.b15defdc1e762p-6, 0x1.a701f83779fdp-6, 0x1.9cda8fcd51113p-6, 0x1.92e6fe7524888p-6, 0x1.89268ab0b7fcp-6, 0x1.7f9879e6de5bep-6, 0x1.763c109bc1efap-6, 0x1.6d1092a6a2213p-6, 0x1.641543652af5fp-6, 0x1.5b4965ec6149dp-6, 0x1.52ac3d3747ae5p-6, 0x1.4a3d0c533599p-6, 0x1.41fb168a01f4ap-6, 0x1.39e59f8a081d2p-6, 0x1.31fbeb8c13f2p-6, 0x1.2a3d3f774e545p-6, 0x1.22a8e1032ac39p-6, 0x1.1b3e16d773a8dp-6, 0x1.13fc28aa78d33p-6, 0x1.0ce25f5d78c87p-6, 0x1.05f00517459c9p-6, 0x1.fe48caba8cc6dp-7, 0x1.f0fd9a55a4d8dp-7, 0x1.e3fd160dfdd0dp-7, 0x1.d745de31cc082p-7, 0x1.cad69674fbf52p-7, 0x1.beade61403131p-7, 0x1.b2ca77f40a6f2p-7, 0x1.a72afac06797ep-7, 0x1.9bce2105affp-7, 0x1.90b2a14a476c3p-7, 0x1.85d73624b284bp-7, 0x1.7b3a9e4fa7202p-7, 0x1.70db9cbbf89e5p-7, 0x1.66b8f8a0866b1p-7, 0x1.5cd17d882bafep-7, 0x1.5323fb5dd4bcfp-7, 0x1.49af4676cc74fp-7, 0x1.4072379b57d3dp-7, 0x1.376bac0db3691p-7, 0x1.2e9a858f7e2b3p-7, 0x1.25fdaa65b4449p-7, 0x1.1d94055b40bdbp-7, 0x1.155c85c23cd2ap-7, 0x1.0d561f73ec927p-7, 0x1.057fcacf8ca04p-7, 0x1.fbb1096ffd338p-8, 0x1.ecbe9d20cd23p-8, 0x1.de265c6f8db25p-8, 0x1.cfe65c075884cp-8, 0x1.c1fcb973ec321p-8, 0x1.b4679b13940c1p-8, 0x1.a72530078153p-8, 0x1.9a33b022b0056p-8, 0x1.8d915bd770e8dp-8, 0x1.813c7c23b0714p-8, 0x1.7533627c13025p-8, 0x1.697468b5fba8dp-8, 0x1.5dfdf0f093cefp-8, 0x1.52ce657ce879ap-8, 0x1.47e438c531513p-8, 0x1.3d3de53353c28p-8, 0x1.32d9ed16b5137p-8, 0x1.28b6da896db73p-8, 0x1.1ed33f54ec3d1p-8, 0x1.152db4d61afd2p-8, 0x1.0bc4dbe11576cp-8, 0x1.02975ca47db2bp-8, 0x1.f347cd18f9481p-9, 0x1.e1d2604affa7bp-9, 0x1.d0cbedfd77508p-9, 0x1.c031ff1903853p-9, 0x1.b0022a14e85d2p-9, 0x1.a03a12bb4779cp-9, 0x1.90d769ed4126bp-9, 0x1.81d7ed670d07ap-9, 0x1.7339678421f9cp-9, 0x1.64f9af037aabp-9, 0x1.5716a6cc073a2p-9, 0x1.498e3db158431p-9, 0x1.3c5e6e389d3bfp-9, 0x1.2f853e5df0824p-9, 0x1.2300bf5a0f7ep-9, 0x1.16cf0d6881ab5p-9, 0x1.0aee4f8e3b7e2p-9, 0x1.feb96ec1821e5p-10, 0x1.e831019bc4f18p-10, 0x1.d23fe3c80b018p-10, 0x1.bce2b5362506fp-10, 0x1.a816293c17e38p-10, 0x1.93d7062a94614p-10, 0x1.802224e2e93f7p-10, 0x1.6cf4706e5a27fp-10, 0x1.5a4ae596f573ap-10, 0x1.48229281f2debp-10, 0x1.3678964b97ccdp-10, 0x1.254a20a4b5617p-10, 0x1.14947171b6491p-10, 0x1.0454d86b5b2bdp-10, 0x1.e9116982095ap-11, 0x1.ca5ae97968d12p-11, 0x1.ac812ad15c974p-11, 0x1.8f7f446d8d1cfp-11, 0x1.73506952b6993p-11, 0x1.57efe7fbf7824p-11, 0x1.3d5929b377298p-11, 0x1.2387b1ee65266p-11, 0x1.0a771dac50e37p-11, 0x1.e44645b3a927ap-12, 0x1.b50f1f6d205e2p-12, 0x1.8740947ce05b1p-12, 0x1.5ad29f2c74c5dp-12, 0x1.2fbd66f6b63a4p-12, 0x1.05f93f6dd3099p-12, 0x1.bafd4e4f7be37p-13, 0x1.6c8c8d61d6bdp-13, 0x1.2091df0aa5b35p-13, 0x1.adfe6c3e64c21p-14, 0x1.1f8da6b967985p-14, 0x1.2b6d0dfb8b9fdp-15, 0x1.05ebac4f1d0fap-18, -0x1.c24dfe651c6dfp-16, -0x1.da72b96697712p-15, -0x1.65ab878394799p-14, -0x1.da0224c8327aap-14, -0x1.252a6b2630e1dp-13, -0x1.5b5d5f0e43314p-13, -0x1.8fa540d27edaep-13, -0x1.c20d265e0ea01p-13, -0x1.f29fea4be6a3ap-13, -0x1.10b416abc8099p-12, -0x1.27382be215811p-12, -0x1.3ce14d5ce5b39p-12, -0x1.51b478ccbdfcep-12, -0x1.65b691a402cabp-12, -0x1.78ec61b7db47fp-12, -0x1.8b5a99dcb008fp-12, -0x1.9d05d27e596e6p-12, -0x1.adf28c341ffb2p-12, -0x1.be2530509b376p-12, -0x1.cda2116d95dd1p-12, -0x1.dc6d6bf40376ap-12, -0x1.ea8b66a02a1cfp-12, -0x1.f800130213b2bp-12, -0x1.0267b6fd2fea6p-11, -0x1.087eb019c682ap-11, -0x1.0e46df4be95dep-11, -0x1.13c22561d21d1p-11, -0x1.18f259ba7787bp-11, -0x1.1dd94a7b98279p-11, -0x1.2278bcc63979dp-11, -0x1.26d26ce9a971dp-11, -0x1.2ae80e95089c1p-11, -0x1.2ebb4d076c315p-11, -0x1.324dcb3e9ffacp-11, -0x1.35a124249109fp-11, -0x1.38b6eabb6fad3p-11, -0x1.3b90aa488c751p-11, -0x1.3e2fe67dff99fp-11, -0x1.40961ba320642p-11, -0x1.42c4bebbd67d5p-11, -0x1.44bd3daecfc27p-11, -0x1.4680ff6aa202ep-11, -0x1.48116409e13c9p-11, -0x1.496fc4f632e28p-11, -0x1.4a9d750a66bdbp-11, -0x1.4b9bc0b39e2fp-11, -0x1.4c6bee1186545p-11, -0x1.4d0f3d15b1acp-11, -0x1.4d86e7a2133ebp-11, -0x1.4dd421a6a7b0cp-11, -0x1.4df8193e4f298p-11, -0x1.4df3f6cae0652p-11, -0x1.4dc8dd107c5f5p-11, -0x1.4d77e9502837bp-11, -0x1.4d023361b39eap-11, -0x1.4c68cdccf1a4dp-11, -0x1.4bacc5e24a022p-11, -0x1.4acf23d2a9cedp-11, -0x1.49d0eac6d6d63p-11, -0x1.48b318f62c7d8p-11, -0x1.4776a7bcc8542p-11, -0x1.461c8bb128c63p-11, -0x1.44a5b4b94440cp-11, -0x1.43130e1f1f87fp-11, -0x1.41657ea4e379ap-11, -0x1.3f9de89879e3fp-11, -0x1.3dbd29e6b6d73p-11, -0x1.3bc41c2e0ce04p-11, -0x1.39b394d0d6f9cp-11, -0x1.378c6507391a9p-11, -0x1.354f59f09883p-11, -0x1.32fd3ca4b5028p-11, -0x1.3096d24460f6bp-11, -0x1.2e1cdc09e1053p-11, -0x1.2b901758f0a27p-11, -0x1.28f13dce73818p-11, -0x1.2641054fd5b95p-11, -0x1.2380201a1ad9ap-11, -0x1.20af3cd0a23d4p-11, -0x1.1dcf068ba146cp-11, -0x1.1ae024e656e88p-11, -0x1.17e33c0cfa7e4p-11, -0x1.14d8ecca67198p-11, -0x1.11c1d4958a00bp-11, -0x1.0e9e8d9e8fe1bp-11, -0x1.0b6faedbd90b5p-11, -0x1.0835cc16b26e7p-11, -0x1.04f175f7d7acdp-11, -0x1.01a33a13bee4p-11, -0x1.fc9745ed60734p-12, -0x1.f5d67061582fp-12, -0x1.ef04fcc23d07fp-12, -0x1.e823ee84cb545p-12, -0x1.e134436a50d82p-12, -0x1.da36f3970370ap-12, -0x1.d32cf1a802a1fp-12, -0x1.cc172ac902391p-12, -0x1.c4f686c9a7781p-12, -0x1.bdcbe83296fe1p-12, -0x1.b6982c5a32f96p-12, -0x1.af5c2b79138adp-12, -0x1.a818b8be354d3p-12, -0x1.a0cea262e0418p-12, -0x1.997eb1be4ba08p-12, -0x1.9229ab58ff04fp-12, -0x1.8ad04efff2bbfp-12, -0x1.837357d76f3b2p-12, -0x1.7c137c6db1242p-12, -0x1.74b16ecd4e3bbp-12, -0x1.6d4ddc8f612ddp-12, -0x1.65e96eed7c93dp-12, -0x1.5e84cad360473p-12, -0x1.572090f07f6a8p-12, -0x1.4fbd5dc9484c7p-12, -0x1.485bc9c83d00bp-12, -0x1.40fc694ed33a4p-12, -0x1.399fccc626365p-12, -0x1.324680af71b49p-12, -0x1.2af10db45bd9ap-12, -0x1.239ff8b713d4fp-12, -0x1.1c53c2e237c7cp-12, -0x1.150ce9b894d8p-12, -0x1.0dcbe724b1aafp-12, -0x1.069131882f715p-12, -0x1.feba7795f66c6p-13, -0x1.f060ead4aa98p-13, -0x1.e216950f52defp-13, -0x1.d3dc47ee7f792p-13, -0x1.c5b2ce9d79ff3p-13, -0x1.b79aede6fee4ap-13, -0x1.a99564519691dp-13, -0x1.9ba2ea3ba3bacp-13, -0x1.8dc431f71a581p-13, -0x1.7ff9e7e4eaf63p-13, -0x1.7244b29013f27p-13, -0x1.64a532c86e43bp-13, -0x1.571c03bd21171p-13, -0x1.49a9bb16ce44bp-13, -0x1.3c4ee9116affep-13, -0x1.2f0c1895cdc4cp-13, -0x1.21e1cf52efb6dp-13, -0x1.14d08dd6e4228p-13, -0x1.07d8cfa77d223p-13, -0x1.f5f616b559694p-14, -0x1.dc6f655d2b52cp-14, -0x1.c31e6542ae656p-14, -0x1.aa03e7111b68fp-14, -0x1.9120b25105905p-14, -0x1.787585964596bp-14, -0x1.600316ad3a72cp-14, -0x1.47ca12c787cb7p-14, -0x1.2fcb1ea842818p-14, -0x1.1806d6cf8e8dp-14, -0x1.007dcfa5b057ap-14, -0x1.d2612b4b25508p-15, -0x1.a43f5b0d7ea61p-15, -0x1.769728cd9da5cp-15, -0x1.49697fe49b6d5p-15, -0x1.1cb73d1a30dbap-15, -0x1.e1025de8c20c6p-16, -0x1.89902c0c1df7cp-16, -0x1.33194a791d5c1p-16, -0x1.bb3e08b08bce3p-17, -0x1.1245156dd2499p-17, -0x1.ad27a8e0376c8p-19, 0x1.cd8bde4e68bdbp-20, 0x1.b956a06c88fdep-18, 0x1.7da1f653d953ep-17, 0x1.0e49fffbc6b6dp-16, 0x1.5cc01637b64b1p-16, 0x1.aa32b3b883247p-16, 0x1.f6a16405f3b0dp-16, 0x1.2105e3e7fbd17p-15, 0x1.4638ca35e62f5p-15, 0x1.6ae949a985b22p-15, 0x1.8f1750d2515cp-15, 0x1.b2c2d7d3dee29p-15, 0x1.d5ebe02842c0fp-15, 0x1.f892746365a5p-15, 0x1.0d5b53fba3491p-14, 0x1.1e2c4b7c94aebp-14, 0x1.2ebc32f3d8372p-14, 0x1.3f0b20b8ef712p-14, 0x1.4f192f1f80a2ep-14, 0x1.5ee67c5bbf29ep-14, 0x1.6e732a674300cp-14, 0x1.7dbf5ee65333ep-14, 0x1.8ccb430d9f1f9p-14, 0x1.9b97038865357p-14, 0x1.aa22d05f0a58dp-14, 0x1.b86edcde1a418p-14, 0x1.c67b5f7db564fp-14, 0x1.d44891c96daa2p-14, 0x1.e1d6b0488407bp-14, 0x1.ef25fa66968b2p-14, 0x1.fc36b25cafa74p-14, 0x1.04848e8d62999p-13, 0x1.0acec118ca8a9p-13, 0x1.10fa15de719b5p-13, 0x1.1706b3271646ap-13, 0x1.1cf4c06bd3ceap-13, 0x1.22c4664bd96e3p-13, 0x1.2875ce824f7b5p-13, 0x1.2e0923dc6ef96p-13, 0x1.337e922fc4681p-13, 0x1.38d64650a24eep-13, 0x1.3e106e08c6397p-13, 0x1.432d380e246efp-13, 0x1.482cd3f9e701p-13, 0x1.4d0f723f9395bp-13, 0x1.51d5442460ee1p-13, 0x1.567e7bb6b9767p-13, 0x1.5b0b4bc5e2c48p-13, 0x1.5f7be7d9d69f6p-13, 0x1.63d0842b40f5cp-13, 0x1.6809559ba65c6p-13, 0x1.6c2691adbc167p-13, 0x1.70286e7dda3d8p-13, 0x1.740f22baa3f37p-13, 0x1.77dae59dcd4edp-13, 0x1.7b8beee50c829p-13, 0x1.7f2276cb2ff3dp-13, 0x1.829eb601593dcp-13, 0x1.8600e5a85ef09p-13, 0x1.89493f4a533e3p-13, 0x1.8c77fcd42b148p-13, 0x1.8f8d588f9072fp-13, 0x1.92898d1ccedfdp-13, 0x1.956cd56cea323p-13, 0x1.98376cbbd148fp-13, 0x1.9ae98e8ab8628p-13, 0x1.9d83769a9047ep-13, 0x1.a00560e69fb1fp-13, 0x1.a26f899f3b4e1p-13, 0x1.a4c22d24a397fp-13, 0x1.a6fd8801f683ap-13, 0x1.a921d6e84d4bp-13, 0x1.ab2f56a9ed246p-13, 0x1.ad2644359ce85p-13, 0x1.af06dc9214d58p-13, 0x1.b0d15cd98cf4cp-13, 0x1.b286023564b59p-13, 0x1.b42509d9eaf75p-13, 0x1.b5aeb1023e64bp-13, 0x1.b72334ec4b881p-13, 0x1.b882d2d4e07dep-13, 0x1.b9cdc7f3de60cp-13, 0x1.bb0451788954cp-13, 0x1.bc26ac85e6162p-13, 0x1.bd35162f38db2p-13, 0x1.be2fcb749c87fp-13, 0x1.bf17093faf807p-13, 0x1.bfeb0c6055318p-13, 0x1.c0ac11899720fp-13, 0x1.c15a554e9466p-13, 0x1.c1f6141f8c28cp-13, 0x1.c27f8a46fb0a2p-13, 0x1.c2f6f3e6d2ac9p-13, 0x1.c35c8cf5c08b1p-13, 0x1.c3b0913c90bd7p-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.08456b0da427bp-3, -0x1.23049aede27dap-3, -0x1.3d835121c8f67p-3, -0x1.57ab486dc4c18p-3, -0x1.71680a522e553p-3, -0x1.8aa7537c64c42p-3, -0x1.a35950785fa23p-3, -0x1.bb70ba01074d5p-3, -0x1.d2e2d798bce2bp-3, -0x1.e9a76e46964b7p-3, -0x1.ffb8a0856305cp-3, -0x1.0a8961d5d1175p-2, -0x1.14da172e1afa2p-2, -0x1.1ece817510ac3p-2, -0x1.28677c032897ap-2, -0x1.31a690c6e57aap-2, -0x1.3a8ddd6fb351fp-2, -0x1.431ff9e0fabe3p-2, -0x1.4b5fe04a4dceap-2, -0x1.5350d7210655ep-2, -0x1.5af65d1d4a13ap-2, -0x1.625417478b93bp-2, -0x1.696dc1134d5dap-2, -0x1.70471e77ca47bp-2, -0x1.76e3efee37372p-2, -0x1.7d47e8373e8cep-2, -0x1.8376a3c57943dp-2, -0x1.8973a1a8a2595p-2, -0x1.8f423dd49362fp-2, -0x1.94e5ac9f89582p-2, -0x1.9a60f754686abp-2, -0x1.9fb6f9b781d14p-2, -0x1.a4ea605e78b8dp-2, -0x1.a9fda7be5ce53p-2, -0x1.aef31bd5770d2p-2, -0x1.b3ccd858d808cp-2, -0x1.b88cc95030d12p-2, -0x1.bd34ac0cc78a5p-2, -0x1.c1c6106ab7067p-2, -0x1.c6425a4d979b6p-2, -0x1.caaac34bbb845p-2, -0x1.cf005c7cce5b7p-2, -0x1.d34410624c8f4p-2, -0x1.d776a4e1a0f45p-2, -0x1.db98bd4903f57p-2, -0x1.dfaadc594ac38p-2, -0x1.e3ad664fce449p-2, -0x1.e7a0a2ec6d6adp-2, -0x1.eb84bf70627a9p-2, -0x1.ef59d0934582cp-2, -0x1.f31fd46c27de7p-2, -0x1.f6d6b44d1a9d6p-2, -0x1.fa7e468fe168dp-2, -0x1.fe165052e0719p-2, -0x1.00cf4392cd98ap-1, -0x1.028b4952282aap-1, -0x1.043f07013a678p-1, -0x1.05ea44c1f7a0bp-1, -0x1.078cc5f28dda1p-1, -0x1.092649d8d9dabp-1, -0x1.0ab68c4566855p-1, -0x1.0c3d462e19563p-1, -0x1.0dba2e40b2121p-1, -0x1.0f2cf96d4b9a7p-1, -0x1.10955b690ba65p-1, -0x1.11f3072935436p-1, -0x1.1345af56d07c5p-1, -0x1.148d06bb1f36ap-1, -0x1.15c8c0a511a4dp-1, -0x1.16f89147f5723p-1, -0x1.181c2e1390ecbp-1, -0x1.19334e05e6a42p-1, -0x1.1a3da9f6d137ap-1, -0x1.1b3afcddb35ap-1, -0x1.1c2b04116b537p-1, -0x1.1d0d7f82c4807p-1, -0x1.1de231f195dbep-1, -0x1.1ea8e11cc2cc4p-1, -0x1.1f6155ed5251cp-1, -0x1.200b5c9ccc85fp-1, -0x1.20a6c4d70faep-1, -0x1.213361d7cf046p-1, -0x1.21b10a83e8851p-1, -0x1.221f997ec4194p-1, -0x1.227eed3be65a8p-1, -0x1.22cee80ce74dbp-1, -0x1.230f702bf869ap-1, -0x1.23406fc326c34p-1, -0x1.2361d4f08361ap-1, -0x1.237391c75ad8p-1, -0x1.23759c4ea972cp-1, -0x1.2367ee7ceeee4p-1, -0x1.234a86318db2bp-1, -0x1.231d652bda867p-1, -0x1.22e0910000c73p-1, -0x1.22941309e32f5p-1, -0x1.2237f85e19ec9p-1, -0x1.21cc51b93286fp-1, -0x1.2151336d52261p-1, -0x1.20c6b54e5cf13p-1, -0x1.202cf29cbf5a3p-1, -0x1.1f8409eefabf7p-1, -0x1.1ecc1d1a118aep-1, -0x1.1e055118f00d1p-1, -0x1.1d2fcdf2ed91bp-1, -0x1.1c4bbea180b8bp-1, -0x1.1b5950f53ed5bp-1, -0x1.1a58b57a42793p-1, -0x1.194a1f5c0c0f2p-1, -0x1.182dc448f7d5fp-1, -0x1.1703dc5559e4ap-1, -0x1.15cca1de59529p-1, -0x1.1488516c9a8d3p-1, -0x1.13372996cc6ebp-1, -0x1.11d96ae42c89p-1, -0x1.106f57af0c8a1p-1, -0x1.0ef9340770796p-1, -0x1.0d774595cf0bcp-1, -0x1.0be9d37e0370bp-1, -0x1.0a5126427f8efp-1, -0x1.08ad87a7c7eb4p-1, -0x1.06ff429846dcfp-1, -0x1.0546a308804afp-1, -0x1.0383f5dbb2b49p-1, -0x1.01b788c8e8987p-1, -0x1.ffc35481148f2p-2, -0x1.fc0552a4e19bfp-2, -0x1.f835ab290cf24p-2, -0x1.f454fe13f020bp-2, -0x1.f063ec15f79ccp-2, -0x1.ec63165a7001bp-2, -0x1.e8531e598e368p-2, -0x1.e434a5abc4f26p-2, -0x1.e0084dde6b963p-2, -0x1.dbceb849b81cdp-2, -0x1.d78885e815cf3p-2, -0x1.d336572edc411p-2, -0x1.ced8cbe866256p-2, -0x1.ca70830f8db3p-2, -0x1.c5fe1aac8e988p-2, -0x1.c1822fb34c2e1p-2, -0x1.bcfd5de300bbdp-2, -0x1.b8703fa7508d5p-2, -0x1.b3db6dfabff16p-2, -0x1.af3f804a8c25dp-2, -0x1.aa9d0c5be3aabp-2, -0x1.a5f4a6327a782p-2, -0x1.a146dff876926p-2, -0x1.9c9449e7af43ep-2, -0x1.97dd723442825p-2, -0x1.9322e4f86bd35p-2, -0x1.8e652c21aba4p-2, -0x1.89a4cf5f2602bp-2, -0x1.84e254114185fp-2, -0x1.801e3d3a7a105p-2, -0x1.7b590b715dc4dp-2, -0x1.76933cd3b6ce1p-2, -0x1.71cd4cfad0d2cp-2, -0x1.6d07b4f0dd9aep-2, -0x1.6842eb2766de2p-2, -0x1.637f636ed04ffp-2, -0x1.5ebd8eeed9a21p-2, -0x1.59fddc2021609p-2, -0x1.5540b6c697ef3p-2, -0x1.508687ece70f8p-2, -0x1.4bcfb5e0b8d24p-2, -0x1.471ca42fe1088p-2, -0x1.426db3a65b92ep-2, -0x1.3dc3424d1cea3p-2, -0x1.391dab69a5ee5p-2, -0x1.347d477e5cbdbp-2, -0x1.2fe26c4b99ddep-2, -0x1.2b4d6cd16a984p-2, -0x1.26be9951f994ap-2, -0x1.22363f549e249p-2, -0x1.1db4a9a982d8bp-2, -0x1.193a206de2807p-2, -0x1.14c6e910d337fp-2, -0x1.105b465894f6bp-2, -0x1.0bf77868639e5p-2, -0x1.079bbcc6be772p-2, -0x1.03484e642205cp-2, -0x1.fdfacb44632d9p-3, -0x1.f57670b68237fp-3, -0x1.ed03f3d485bd6p-3, -0x1.e4a3b66616cd2p-3, -0x1.dc561555d564bp-3, -0x1.d41b68c323eebp-3, -0x1.cbf4041484c66p-3, -0x1.c3e0360a7d6d7p-3, -0x1.bbe048d2f1635p-3, -0x1.b3f4821cf0363p-3, -0x1.ac1d232cea7ecp-3, -0x1.a45a68f13fb2cp-3, -0x1.9cac8c1723edbp-3, -0x1.9513c11fcb367p-3, -0x1.8d903875dce66p-3, -0x1.86221e83168f2p-3, -0x1.7ec99bc6256a9p-3, -0x1.7786d4e8aae3cp-3, -0x1.7059ead55c653p-3, -0x1.6942face3bc76p-3, -0x1.62421e82eda84p-3, -0x1.5b576c270c3d5p-3, -0x1.5482f68889fb1p-3, -0x1.4dc4cd26127aap-3, -0x1.471cfc455b897p-3, -0x1.408b8d097a9f1p-3, -0x1.3a10858912be3p-3, -0x1.33abe8e480931p-3, -0x1.2d5db75bda96ap-3, -0x1.2725ee64d7bp-3, -0x1.210488c09002cp-3, -0x1.1af97e9112a3bp-3, -0x1.1504c56ed033bp-3, -0x1.0f26507dcfd25p-3, -0x1.095e1082b6539p-3, -0x1.03abf3f78f018p-3, -0x1.fc1fce40b824cp-4, -0x1.f113a83ed1562p-4, -0x1.e6334612b556cp-4, -0x1.db7e73f2017edp-4, -0x1.d0f4fa45b4256p-4, -0x1.c6969dd0ad86cp-4, -0x1.bc631fd59b236p-4, -0x1.b25a3e3c5119bp-4, -0x1.a87bb3b6836a1p-4, -0x1.9ec737e3e7ef6p-4, -0x1.953c7f75ab697p-4, -0x1.8bdb3c5150fe8p-4, -0x1.82a31db2e934bp-4, -0x1.7993d04e9e731p-4, -0x1.70acfe719c258p-4, -0x1.67ee50224c1cp-4, -0x1.5f576b3fe80acp-4, -0x1.56e7f3a1600a6p-4, -0x1.4e9f8b33950b9p-4, -0x1.467dd216e601ep-4, -0x1.3e8266bc0f994p-4, -0x1.36ace6005fde4p-4, -0x1.2efceb493ccbp-4, -0x1.2772109efd313p-4, -0x1.200beec71678cp-4, -0x1.18ca1d5d9ed7cp-4, -0x1.11ac32ee248bbp-4, -0x1.0ab1c50bdaf4dp-4, -0x1.03da68691fdd6p-4, -0x1.fa4b61dcb123dp-5, -0x1.ed2663a051d05p-5, -0x1.e044fb4a0b382p-5, -0x1.d3a64cf4478a3p-5, -0x1.c7497bcf8c32p-5, -0x1.bb2daa49d4e2dp-5, -0x1.af51fa34b362bp-5, -0x1.a3b58cea384dep-5, -0x1.98578370a25bfp-5, -0x1.8d36fe9ce50a8p-5, -0x1.82531f33fc1ebp-5, -0x1.77ab060b1d3b8p-5, -0x1.6d3dd426c1ebfp-5, -0x1.630aaad896709p-5, -0x1.5910abdc4be99p-5, -0x1.4f4ef973575bcp-5, -0x1.45c4b67f9decp-5, -0x1.3c71069d18de5p-5, -0x1.33530e3a6e883p-5, -0x1.2a69f2b08ce1p-5, -0x1.21b4da5945b06p-5, -0x1.1932eca4f4182p-5, -0x1.10e3522f2d3c1p-5, -0x1.08c534d285877p-5, -0x1.00d7bfbb6bf8ep-5, -0x1.f2343ef44446bp-6, -0x1.e3170427ac58cp-6, -0x1.d4562e25c3e13p-6, -0x1.c5f01f2c7254dp-6, -0x1.b7e33cc006dd1p-6, -0x1.aa2defc6df71p-6, -0x1.9ccea4a38258p-6, -0x1.8fc3cb4d38deep-6, -0x1.830bd7672ec3p-6, -0x1.76a540562abbfp-6, -0x1.6a8e8154e2408p-6, -0x1.5ec61986ec0aep-6, -0x1.534a8c0a71bbcp-6, -0x1.481a60088c334p-6, -0x1.3d3420c469965p-6, -0x1.32965da941eddp-6, -0x1.283faa5719aafp-6, -0x1.1e2e9eae68958p-6, -0x1.1461d6daa5d86p-6, -0x1.0ad7f35bc19dfp-6, -0x1.018f990e9d1f9p-6, -0x1.f10ee268f5a6dp-7, -0x1.df7c52f302ea8p-7, -0x1.ce64e7f4972bfp-7, -0x1.bdc60e9120b74p-7, -0x1.ad9d3cdde2d12p-7, -0x1.9de7f1e7dd3c7p-7, -0x1.8ea3b5b81fd4ap-7, -0x1.7fce1956849ccp-7, -0x1.7164b6caf4d9ep-7, -0x1.6365311d33983p-7, -0x1.55cd3453539a3p-7, -0x1.489a756ec3965p-7, -0x1.3bcab26828a1ap-7, -0x1.2f5bb229f1cfbp-7, -0x1.234b4489c421fp-7, -0x1.17974240c4d4p-7, -0x1.0c3d8ce2d257bp-7, -0x1.013c0ed4b39b2p-7, -0x1.ed2176829cf6ep-8, -0x1.d8731c1bd9b5p-8, -0x1.c469179b3df3fp-8, -0x1.b0ff83678643ap-8, -0x1.9e328b0b81018p-8, -0x1.8bfe6b17f8a09p-8, -0x1.7a5f71042e569p-8, -0x1.6951fb0cf3883p-8, -0x1.58d2781276821p-8, -0x1.48dd6774d750fp-8, -0x1.396f58ef959ebp-8, -0x1.2a84ec73e8bd3p-8, -0x1.1c1ad20214bd7p-8, -0x1.0e2dc981cbc3bp-8, -0x1.00baa299ad564p-8, -0x1.e77c790be490cp-9, -0x1.ce6b0bdca8eb2p-9, -0x1.b63af976865f1p-9, -0x1.9ee65bd4e0652p-9, -0x1.88676ac586f42p-9, -0x1.72b87b8f89c23p-9, -0x1.5dd4009910723p-9, -0x1.49b4890c4a41bp-9, -0x1.3654c07b993eep-9, -0x1.23af6e850447fp-9, -0x1.11bf767512bcdp-9, -0x1.007fd6e918a25p-9, -0x1.dfd752e22fa0cp-10, -0x1.bffc44627e573p-10, -0x1.a1651f064280ap-10, -0x1.8408b32d61c32p-10, -0x1.67de042635c24p-10, -0x1.4cdc476f12859p-10, -0x1.32fae3f7c2bd3p-10, -0x1.1a317163226c7p-10, -0x1.0277b748e8885p-10, -0x1.d78b58ef93f4cp-11, -0x1.ac26ec700e881p-11, -0x1.82b2cf1d0d82ap-11, -0x1.5b20010122c6ap-11, -0x1.355fdab0978fbp-11, -0x1.11640bd4030a8p-11, -0x1.de3d336967e6bp-12, -0x1.9d03bb9629b75p-12, -0x1.5f01089e6d8dbp-12, -0x1.241b15974589bp-12, -0x1.d870faca6a7c5p-13, -0x1.6e80efd7a4fdp-13, -0x1.0a35ae8584d4fp-13, -0x1.56c013c15d719p-14, -0x1.4747f94ff478ap-15, 0x1.50a9e544fcc76p-20, 0x1.4896b6811913ap-15, 0x1.39cb6e4f6fa5dp-14, 0x1.c61608fa121a8p-14, 0x1.24be1b1d17dafp-13, 0x1.62267716adbe1p-13, 0x1.9b6a902dab59dp-13, 0x1.d0afdeefd3452p-13, 0x1.010d70dd855dp-12, 0x1.17e790da699fep-12, 0x1.2cf79bd961613p-12, 0x1.404e6889ee2f8p-12, 0x1.51fc5a454a606p-12, 0x1.6211636bb0cffp-12, 0x1.709d07b9dcaffp-12, 0x1.7dae5e96af613p-12, 0x1.89541558f3ca5p-12, 0x1.939c718530c13p-12, 0x1.9c955303892dfp-12, 0x1.a44c364d9bf17p-12, 0x1.aace3694631b3p-12, 0x1.b0280fde0def4p-12, 0x1.b466211bd3ed1p-12, 0x1.b7946e37bf7f1p-12, 0x1.b9bea21a75b98p-12, 0x1.baf010a8f634ap-12, 0x1.bb33b8ba5f2b4p-12, 0x1.ba944605b243p-12, 0x1.b91c1307aa35p-12, 0x1.b6d52ae09bef9p-12, 0x1.b3c94b2a79421p-12, 0x1.b001e5c6f42c5p-12, 0x1.ab8822a5cfe13p-12, 0x1.a664e1836d726p-12, 0x1.a0a0bb9f9f677p-12, 0x1.9a44056ccb01fp-12, 0x1.9356d0376db2ep-12, 0x1.8be0ebc61203ep-12, 0x1.83e9e7f1bd698p-12, 0x1.7b791636f11cdp-12, 0x1.72958b3f45a56p-12, 0x1.69462063b2a36p-12, 0x1.5f9175279d6b8p-12, 0x1.557df0acb36a4p-12, 0x1.4b11c31fa9f97p-12, 0x1.4052e71df8d2p-12, 0x1.354723149a5e3p-12, 0x1.29f40a97ecefdp-12, 0x1.1e5effb4c42b8p-12, 0x1.128d343abfd3cp-12, 0x1.0683ab0000b86p-12, 0x1.f48e723c90cdp-13, 0x1.dbb90e533b714p-13, 0x1.c29024c11efd3p-13, 0x1.a91c5bac3b98ap-13, 0x1.8f66072addb9cp-13, 0x1.75752b7eb1187p-13, 0x1.5b517f43b927dp-13, 0x1.41026d93514f4p-13, 0x1.268f181b6020bp-13, 0x1.0bfe5929f5629p-13, 0x1.e2ad8b5adf828p-14, 0x1.ad3d5e52b931p-14, 0x1.77b84b4081841p-14, 0x1.4229f2e4e921ep-14, 0x1.0c9d7a64716e5p-14, 0x1.ae3b1db4e824cp-15, 0x1.4368d1aea322fp-15, 0x1.b1af3f2889c02p-16, 0x1.ba68eab215311p-17, 0x1.30a04a8599017p-21, -0x1.9279f5df68c14p-17, -0x1.9af0f47edc0bfp-16, -0x1.35bbf0a37e1ecp-15, -0x1.9d5a189ffaccp-15, -0x1.022270774d228p-14, -0x1.353774b197824p-14, -0x1.67e5beb57fcbap-14, -0x1.9a2747573f39bp-14, -0x1.cbf657ea5e3c9p-14, -0x1.fd4d87b3ff657p-14, -0x1.1713dcb6aca2fp-13, -0x1.2f400c6b1aeap-13, -0x1.47290c2b7f509p-13, -0x1.5eccb75911008p-13, -0x1.76290a6240ef1p-13, -0x1.8d3c21aa49fb6p-13, -0x1.a4043877ffa19p-13, -0x1.ba7fa7eba451dp-13, -0x1.d0ace5fbbbb4cp-13, -0x1.e68a847898eabp-13, -0x1.fc1730169c28ap-13, -0x1.08a8d7bf77fb5p-12, -0x1.131c713353b7dp-12, -0x1.1d65e0560bd6fp-12, -0x1.2784acbd27557p-12, -0x1.317869394393p-12, -0x1.3b40b36db9de6p-12, -0x1.44dd336b20645p-12, -0x1.4e4d9b4c9a577p-12, -0x1.5791a6d7e2277p-12, -0x1.60a91b2005abfp-12, -0x1.6993c62aba237p-12, -0x1.72517e9843f9dp-12, -0x1.7ae2234ddd9dfp-12, -0x1.83459b229058p-12, -0x1.8b7bd48e6e753p-12, -0x1.9384c55c2722ap-12, -0x1.9b606a5cdd715p-12, -0x1.a30ec71e3ca99p-12, -0x1.aa8fe5a2b7027p-12, -0x1.b1e3d61be462ap-12, -0x1.b90aaea6f41a8p-12, -0x1.c0048b0b25e22p-12, -0x1.c6d18c7a37a43p-12, -0x1.cd71d952c5d52p-12, -0x1.d3e59ce48b6c9p-12, -0x1.da2d073673178p-12, -0x1.e0484cce7a89fp-12, -0x1.e637a67b4aa9ep-12, -0x1.ebfb511f8c3b8p-12, -0x1.f1938d7ede7c8p-12, -0x1.f700a00c6f3bap-12, -0x1.fc42d0bb24352p-12, -0x1.00ad3567a6cc9p-11, -0x1.0323de58ed7dap-11, -0x1.05858be27f6cbp-11, -0x1.07d2681d21b73p-11, -0x1.0a0a9e7500136p-11, -0x1.0c2e5b9611c6cp-11, -0x1.0e3dcd5929bfep-11, -0x1.103922b1a73d8p-11, -0x1.12208b9bc776fp-11, -0x1.13f4390b8f7d2p-11, -0x1.15b45cdc50215p-11, -0x1.176129c0b8d94p-11, -0x1.18fad3337b6e1p-11, -0x1.1a818d687979fp-11, -0x1.1bf58d3e77e18p-11, -0x1.1d57083157626p-11, -0x1.1ea6344cca1aap-11, -0x1.1fe3481f8644p-11, -0x1.210e7aaef0ba9p-11, -0x1.2228036b3d0ecp-11, -0x1.23301a23fe67fp-11, -0x1.2426f6fd26f77p-11, -0x1.250cd26472d47p-11, -0x1.25e1e50739fa4p-11, -0x1.26a667c8a92e2p-11, -0x1.275a93b85a5fcp-11, -0x1.27fea2094e505p-11, -0x1.2892cc0941a66p-11, -0x1.29174b185bd9cp-11, -0x1.298c58a134253p-11, -0x1.29f22e112cb57p-11, -0x1.2a4904d11ce33p-11, -0x1.2a91163e4dd69p-11, -0x1.2aca9ba3c0cd3p-11, -0x1.2af5ce33c1f03p-11, -0x1.2b12e701c2fefp-11, -0x1.2b221efc7aa8p-11, -0x1.2b23aee8493dp-11, -0x1.2b17cf59dd5a3p-11, -0x1.2afeb8b119dafp-11, -0x1.2ad8a31436ce1p-11, -0x1.2aa5c66b21033p-11, -0x1.2a665a5b0f308p-11, -0x1.2a1a96425370ep-11, -0x1.29c2b1345e135p-11, -0x1.295ee1f5f7951p-11, -0x1.28ef5ef9ab3fap-11, -0x1.28745e5c64375p-11, -0x1.27ee15e236e5fp-11, -0x1.275cbaf35a232p-11, -0x1.26c082994c0b2p-11, -0x1.2619a17c1f24cp-11, -0x1.25684bdff3704p-11, -0x1.24acb5a293b71p-11, -0x1.23e712393c847p-11, -0x1.231794ae84e46p-11, -0x1.223e6fa06b64p-11, -0x1.215bd53e86dfdp-11, -0x1.206ff74855b7cp-11, -0x1.1f7b070bae57p-11, -0x1.1e7d35634e959p-11, -0x1.1d76b2b587058p-11, -0x1.1c67aef304339p-11, -0x1.1b505995b2068p-11, -0x1.1a30e19fbad0cp-11, -0x1.1909759a9d20bp-11, -0x1.17da43965d099p-11, -0x1.16a37928ca5d3p-11, -0x1.1565436cdda48p-11, -0x1.141fcf022cbcap-11, -0x1.12d3480c701d8p-11, -0x1.117fda332072cp-11, -0x1.1025b0a1246aep-11, -0x1.0ec4f60490506p-11, -0x1.0d5dd48e7a942p-11, -0x1.0bf075f2dc809p-11, -0x1.0a7d036886f76p-11, -0x1.0903a5a92404fp-11, -0x1.078484f1478a6p-11, -0x1.05ffc9008fe3fp-11, -0x1.04759919d0783p-11, -0x1.02e61c034c7dfp-11, -0x1.01517806fbe36p-11, -0x1.ff6fa5e5b9a5p-12, -0x1.fc32a4329f941p-12, -0x1.f8ec34a2fc24fp-12, -0x1.f59c9fef97d15p-12, -0x1.f2442ddca2603p-12, -0x1.eee3253abdf62p-12, -0x1.eb79cbe81567ap-12, -0x1.e80866d1841c5p-12, -0x1.e48f39f3d0dc1p-12, -0x1.e10e885cf3de5p-12, -0x1.dd86942d6a5cdp-12, -0x1.d9f79e999a5bdp-12, -0x1.d661e7eb3fe89p-12, -0x1.d2c5af82e7d9ap-12, -0x1.cf2333d974785p-12, -0x1.cb7ab281ac11fp-12, -0x1.c7cc6829d33f1p-12, -0x1.c418909d4c924p-12, -0x1.c05f66c645564p-12, -0x1.bca124af66597p-12, -0x1.b8de03858c61dp-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.683d77940337p-1, 0x1.68a38c65f3441p-1, 0x1.690493eda6247p-1, 0x1.695c86bf3c785p-1, 0x1.69a7ae018fc05p-1, 0x1.69e2bb2ccb5bdp-1, 0x1.6a0ad6bc75e72p-1, 0x1.6a1da77706aabp-1, 0x1.6a1953d538f2cp-1, 0x1.69fc7ee9377d9p-1, 0x1.69c641f4fa4a4p-1, 0x1.697623ae1e43dp-1, 0x1.690c0dff98e43p-1, 0x1.688842f0a674ap-1, 0x1.67eb5134979d3p-1, 0x1.673608c8c1723p-1, 0x1.66696fec636f5p-1, 0x1.6586b8a94f2c5p-1, 0x1.648f371303191p-1, 0x1.638458541b86fp-1, 0x1.62679a971bc06p-1, 0x1.613a85cf01d7fp-1, 0x1.5ffea55d964ap-1, 0x1.5eb582908fe02p-1, 0x1.5d609feb19d0ep-1, 0x1.5c01752eec7e4p-1, 0x1.5a996c1699da2p-1, 0x1.5929ddb1e4638p-1, 0x1.57b41054a84a7p-1, 0x1.5639360909d57p-1, 0x1.54ba6b760a149p-1, 0x1.5338b72c55b73p-1, 0x1.51b5094bef04dp-1, 0x1.50303b764d8fep-1, 0x1.4eab11017f74cp-1, 0x1.4d263761e2edap-1, 0x1.4ba246c1054e9p-1, 0x1.4a1fc2b9366fp-1, 0x1.489f1b2e46a31p-1, 0x1.4720ad3cc5b58p-1, 0x1.45a4c439f2951p-1, 0x1.442b9abf417ddp-1, 0x1.42b55bbd1c2bcp-1, 0x1.41422391159f1p-1, 0x1.3fd2011c6752dp-1, 0x1.3e64f6d806f1ep-1, 0x1.3cfafbe420ee1p-1, 0x1.3b93fd11220b7p-1, 0x1.3a2fdde0ddc65p-1, 0x1.38ce797ea9602p-1, 0x1.376fa3ad87f8p-1, 0x1.361329abc485ep-1, 0x1.34b8d30b83304p-1, 0x1.3360628006ea6p-1, 0x1.3209969f82e54p-1, 0x1.30b42a997b1fdp-1, 0x1.2f5fd6e1c341fp-1, 0x1.2e0c51d04c5c4p-1, 0x1.2cb95035fa80dp-1, 0x1.2b6685e6cdda4p-1, 0x1.2a13a639b298ep-1, 0x1.28c0647e54829p-1, 0x1.276c74695a6c1p-1, 0x1.26178a776be71p-1, 0x1.24c15c476ee0ap-1, 0x1.2369a0ec64523p-1, 0x1.221011374f1d1p-1, 0x1.20b467f98d4bcp-1, 0x1.1f5662400ed12p-1, 0x1.1df5bf87caf7ep-1, 0x1.1c9241ebdba46p-1, 0x1.1b2bae4d9d304p-1, 0x1.19c1cc772f3b4p-1, 0x1.18546738b295cp-1, 0x1.16e34c8099967p-1, 0x1.156e4d6f5c00bp-1, 0x1.13f53e66e27bdp-1, 0x1.1277f715f1f54p-1, 0x1.10f6527fdf0c8p-1, 0x1.0f702f00d1e45p-1, 0x1.0de56e4eda551p-1, 0x1.0c55f57810fa1p-1, 0x1.0ac1acde05182p-1, 0x1.0928802eaa997p-1, 0x1.078a5e5b022cap-1, 0x1.05e7398ba9b5ep-1, 0x1.043f071389671p-1, 0x1.0291bf60c69eap-1, 0x1.00df5dec2a131p-1, 0x1.fe4fc24e3ff9ep-2, 0x1.fad694d0f4ff8p-2, 0x1.f7533bb02f08dp-2, 0x1.f3c5c4b319fa3p-2, 0x1.f02e42ebfca22p-2, 0x1.ec8cce8a632c5p-2, 0x1.e8e184ac15b8fp-2, 0x1.e52c872cfb30fp-2, 0x1.e16dfc762c13dp-2, 0x1.dda60f4c55c9fp-2, 0x1.d9d4ee9da3421p-2, 0x1.d5facd4f4e7a5p-2, 0x1.d217e20b036a5p-2, 0x1.ce2c670c369dp-2, 0x1.ca3899ed90e6bp-2, 0x1.c63cbb768daf3p-2, 0x1.c2390f696b092p-2, 0x1.be2ddc5181953p-2, 0x1.ba1b6b5220c67p-2, 0x1.b60207f602e26p-2, 0x1.b1e1ffff6c873p-2, 0x1.adbba3390fe83p-2, 0x1.a98f4347bec03p-2, 0x1.a55d337cf97bdp-2, 0x1.a125c8aa72ecap-2, 0x1.9ce958f68a46p-2, 0x1.98a83bb1cc8cp-2, 0x1.9462c92d86afap-2, 0x1.90195a936e812p-2, 0x1.8bcc49be6d06dp-2, 0x1.877bf11490d0cp-2, 0x1.8328ab6228495p-2, 0x1.7ed2d3b611352p-2, 0x1.7a7ac53f39dc4p-2, 0x1.7620db2b5762ap-2, 0x1.71c57086d777ap-2, 0x1.6d68e01e0b294p-2, 0x1.690b845f87c7ap-2, 0x1.64adb73fc8668p-2, 0x1.604fd21e00278p-2, 0x1.5bf22daa2a0eap-2, 0x1.579521cc499f3p-2, 0x1.5339058cdfc6cp-2, 0x1.4ede2efe8ded5p-2, 0x1.4a84f328e79afp-2, 0x1.462da5f465f31p-2, 0x1.41d89a1786401p-2, 0x1.3d8621050269ap-2, 0x1.39368adb24366p-2, 0x1.34ea26542e11ap-2, 0x1.30a140b7d47fp-2, 0x1.2c5c25cdbccc7p-2, 0x1.281b1fd104f84p-2, 0x1.23de7764c484bp-2, 0x1.1fa6738988dd5p-2, 0x1.1b735993beca6p-2, 0x1.17456d2308811p-2, 0x1.131cf01a78d82p-2, 0x1.0efa2299a9816p-2, 0x1.0add42f6a7e39p-2, 0x1.06c68db8b49edp-2, 0x1.02b63d93ca4c5p-2, 0x1.fd5916c9c9c0bp-3, 0x1.f5535c5e0e167p-3, 0x1.ed5bb631e8b98p-3, 0x1.e5728ad72ebcdp-3, 0x1.dd983d2223c38p-3, 0x1.d5cd2c28d2e09p-3, 0x1.ce11b343a5e2p-3, 0x1.c6662a0f1ep-3, 0x1.becae46ea361ep-3, 0x1.b74032906a989p-3, 0x1.afc660f24f81bp-3, 0x1.a85db867b1e49p-3, 0x1.a1067e202b52ep-3, 0x1.99c0f3af2e21dp-3, 0x1.928d57146a4ccp-3, 0x1.8b6be2c4fe69bp-3, 0x1.845ccdb55eb1ep-3, 0x1.7d604b63e9534p-3, 0x1.76768be4201f2p-3, 0x1.6f9fbbea7ecb6p-3, 0x1.68dc04d8d605ap-3, 0x1.622b8ccb35e6dp-3, 0x1.5b8e76a54e44ep-3, 0x1.5504e2203eba3p-3, 0x1.4e8eebd8d581ep-3, 0x1.482cad5e280c4p-3, 0x1.41de3d4081c73p-3, 0x1.3ba3af20a9fafp-3, 0x1.357d13bf6111bp-3, 0x1.2f6a790d2fac7p-3, 0x1.296bea3a57251p-3, 0x1.23816fc705cb3p-3, 0x1.1dab0f93a4a3p-3, 0x1.17e8ccf15200ap-3, 0x1.123aa8b26dbabp-3, 0x1.0ca0a13b4426bp-3, 0x1.071ab292bf3d4p-3, 0x1.01a8d6732955dp-3, 0x1.f89608b5dfc5ep-4, 0x1.ee02633ac1ce3p-4, 0x1.e396a2e6db60dp-4, 0x1.d952aa18a9e7bp-4, 0x1.cf36573c9104p-4, 0x1.c54184ededacfp-4, 0x1.bb740a1807e14p-4, 0x1.b1cdba16c341cp-4, 0x1.a84e64d71218dp-4, 0x1.9ef5d6f723c64p-4, 0x1.95c3d9e64b914p-4, 0x1.8cb834048ce12p-4, 0x1.83d2a8c1d3e57p-4, 0x1.7b12f8bcd0a77p-4, 0x1.7278e1e16f6a1p-4, 0x1.6a041f86e911ep-4, 0x1.61b46a8d6869cp-4, 0x1.5989797b41746p-4, 0x1.51830099b2df8p-4, 0x1.49a0b21133b58p-4, 0x1.41e23e0545bccp-4, 0x1.3a4752afcc2aap-4, 0x1.32cf9c7be37f8p-4, 0x1.2b7ac6203815cp-4, 0x1.244878b8d99ffp-4, 0x1.1d385be08ab74p-4, 0x1.164a15c987e5p-4, 0x1.0f7d4b55c9807p-4, 0x1.08d1a02ebbcdp-4, 0x1.0246b6dc6cd2dp-4, 0x1.f7b861b863befp-5, 0x1.eb235d6d8096p-5, 0x1.decda02b7a61dp-5, 0x1.d2b667b18133ep-5, 0x1.c6dcf0539d736p-5, 0x1.bb4075228c088p-5, 0x1.afe0301286b07p-5, 0x1.a4bb5a20f54dbp-5, 0x1.99d12b7912692p-5, 0x1.8f20db97790acp-5, 0x1.84a9a16ca6d12p-5, 0x1.7a6ab37e713a1p-5, 0x1.706348086cb3ap-5, 0x1.6692951b5004ap-5, 0x1.5cf7d0bb4ca82p-5, 0x1.539230fd68c69p-5, 0x1.4a60ec23d5e0ap-5, 0x1.416338b94cf62p-5, 0x1.38984dab6d595p-5, 0x1.2fff62642a25p-5, 0x1.2797aee23fa58p-5, 0x1.1f606bd0be6e2p-5, 0x1.1758d29da61efp-5, 0x1.0f801d8f9c86ap-5, 0x1.07d587dabdf45p-5, 0x1.00584db49094fp-5, 0x1.f20f58ce2f60bp-6, 0x1.e3c5c4c6284a6p-6, 0x1.d5d25ea2db228p-6, 0x1.c833a8479bfe2p-6, 0x1.bae82648e19c7p-6, 0x1.adee600a5709ap-6, 0x1.a144dfdb69865p-6, 0x1.94ea331256ed6p-6, 0x1.88dcea25c7d89p-6, 0x1.7d1b98c4fdf74p-6, 0x1.71a4d5eea3415p-6, 0x1.66773c063a06p-6, 0x1.5b9168e83beap-6, 0x1.50f1fdfcf1ae3p-6, 0x1.4697a04a09613p-6, 0x1.3c80f882f2b83p-6, 0x1.32acb3180d861p-6, 0x1.29198044ae8a1p-6, 0x1.1fc6141c073f5p-6, 0x1.16b12694f7b88p-6, 0x1.0dd97394ca85cp-6, 0x1.053dbaf8f5638p-6, 0x1.f9b9813f9e6ep-7, 0x1.e96a98e0b3343p-7, 0x1.d98c54c222985p-7, 0x1.ca1c54fbc4c4p-7, 0x1.bb1841da64438p-7, 0x1.ac7dcbe83290bp-7, 0x1.9e4aabf38854ap-7, 0x1.907ca3142b13dp-7, 0x1.83117aaef0dccp-7, 0x1.7607047809bfap-7, 0x1.695b1a73c7a77p-7, 0x1.5d0b9ef61cdf7p-7, 0x1.51167ca0c1c9fp-7, 0x1.4579a6601caa5p-7, 0x1.3a331766f4cbep-7, 0x1.2f40d32901107p-7, 0x1.24a0e55455fc9p-7, 0x1.1a5161c9c7a83p-7, 0x1.1050649446c26p-7, 0x1.069c11df46727p-7, 0x1.fa652bd86a28cp-8, 0x1.e8244a0e2595dp-8, 0x1.d671f6f463bc8p-8, 0x1.c54abb0253d08p-8, 0x1.b4ab2e7612b27p-8, 0x1.a48ff9379d3e5p-8, 0x1.94f5d2ba64719p-8, 0x1.85d981dd98869p-8, 0x1.7737dccb3d98p-8, 0x1.690dc8d618283p-8, 0x1.5b583a5686a79p-8, 0x1.4e14348659b71p-8, 0x1.413ec95bb61fbp-8, 0x1.34d519631794ap-8, 0x1.28d453987ef1fp-8, 0x1.1d39b53fdb72ap-8, 0x1.120289bcc24adp-8, 0x1.072c2a697a464p-8, 0x1.f967fcdae5014p-9, 0x1.e52ef52654419p-9, 0x1.d1a8423b35a3bp-9, 0x1.becf033a5df9ep-9, 0x1.ac9e7188a4ccp-9, 0x1.9b11e0774fbbdp-9, 0x1.8a24bcebdb383p-9, 0x1.79d28d073dc5p-9, 0x1.6a16efccb1a9fp-9, 0x1.5aed9cc8200e1p-9, 0x1.4c5263b43e639p-9, 0x1.3e412c206f07p-9, 0x1.30b5f51679e66p-9, 0x1.23acd4c02d836p-9, 0x1.1721f80cf783dp-9, 0x1.0b11a2578523cp-9, 0x1.fef05a16f8d9bp-10, 0x1.e8a40e96b649ep-10, 0x1.d3376b2d11ef9p-10, 0x1.bea3a2df56fb5p-10, 0x1.aae212068ec43p-10, 0x1.97ec3d9d797a6p-10, 0x1.85bbd28f52a39p-10, 0x1.744aa5077123fp-10, 0x1.6392afc1e49b7p-10, 0x1.538e135d19188p-10, 0x1.443715ac95647p-10, 0x1.3588210cf00fcp-10, 0x1.277bc3b8fa1dap-10, 0x1.1a0caf203ed51p-10, 0x1.0d35b73ee75b5p-10, 0x1.00f1d1f6fa34cp-10, 0x1.ea782cd656841p-11, 0x1.d41f78b640d21p-11, 0x1.bed03702a4314p-11, 0x1.aa8155e50bb3fp-11, 0x1.972a00fde1cacp-11, 0x1.84c1a02a16cbcp-11, 0x1.733fd64c3bc2ap-11, 0x1.629c80191f447p-11, 0x1.52cfb2e7fc7f2p-11, 0x1.43d1bb864a067p-11, 0x1.359b1d0f33dbp-11, 0x1.28248fc6cbed3p-11, 0x1.1b66fff8fcd19p-11, 0x1.0f5b8cdc439bcp-11, 0x1.03fb87783d078p-11, 0x1.f280e32010628p-12, 0x1.de47f92112004p-12, 0x1.cb40110517a92p-12, 0x1.b95d46019ee01p-12, 0x1.a8940c63f2471p-12, 0x1.98d92f8ce3d5ap-12, 0x1.8a21cff467c56p-12, 0x1.7c63613502b28p-12, 0x1.6f93a81f17fecp-12, 0x1.63a8b8d40d355p-12, 0x1.5898f4e9443c7p-12, 0x1.4e5b0992e606fp-12, 0x1.44e5edd67b114p-12, 0x1.3c30e0c545826p-12, 0x1.343367be5c085p-12, 0x1.2ce54cb873e19p-12, 0x1.263e9c935a855p-12, 0x1.2037a5710a341p-12, 0x1.1ac8f51655623p-12, 0x1.15eb575316132p-12, 0x1.1197d471d908cp-12, 0x1.0dc7afaef0f71p-12, 0x1.0a7465b6ea872p-12, 0x1.0797ab2c49bdfp-12, 0x1.052b6b34825e6p-12, 0x1.0329c60c20765p-12, 0x1.018d0fa20685dp-12, 0x1.004fce39b7ca4p-12, 0x1.fed972292583ep-13, 0x1.fdbd6e43ea4d1p-13, 0x1.fd41bb6c56631p-13, 0x1.fd5cde9035b73p-13, 0x1.fe05b46b33f0fp-13, 0x1.ff336f1ca93d3p-13, 0x1.006ec9e534894p-12, 0x1.017dfc2832f18p-12, 0x1.02c3607e7c187p-12, 0x1.043b2f2cd7e69p-12, 0x1.05e1c58036c05p-12, 0x1.07b3a4be58337p-12, 0x1.09ad711c6b841p-12, 0x1.0bcbf0bb9d7cfp-12, 0x1.0e0c0aab746fbp-12, 0x1.106ac5f1ece2ap-12, 0x1.12e5489939325p-12, 0x1.1578d6c3154acp-12, 0x1.1822d1c18fd8p-12, 0x1.1ae0b7353b6bbp-12, 0x1.1db02030abab2p-12, 0x1.208ec06128e7fp-12, 0x1.237a653c87394p-12, 0x1.2670f53408505p-12, 0x1.29706eec311p-12, 0x1.2c76e87981cbp-12, 0x1.2f828ea1f53c7p-12, 0x1.3291a42336037p-12, 0x1.35a280fd6f9dbp-12, 0x1.38b391c2ad5c8p-12, 0x1.3bc356eaa75c5p-12, 0x1.3ed0642af321ap-12, 0x1.41d95fd37a229p-12, 0x1.44dd022f29a16p-12, 0x1.47da14e8bda9fp-12, 0x1.4acf72739c652p-12, 0x1.4dbc0578a72e3p-12, 0x1.509ec846ee0d2p-12, 0x1.5376c44836ba2p-12, 0x1.564311793bafap-12, 0x1.5902d5e5963dcp-12, 0x1.5bb545273d18p-12, 0x1.5e599fe98728ep-12, 0x1.60ef336f9b3eep-12, 0x1.6375591e3f84p-12, 0x1.65eb7608f3218p-12, 0x1.6850fa82400c4p-12, 0x1.6aa561af33699p-12, 0x1.6ce8311def091p-12, 0x1.6f18f85f38eefp-12, 0x1.713750a303868p-12, 0x1.7342dc57d3044p-12, 0x1.753b46ccfa9p-12, 0x1.772043d792247p-12, 0x1.78f18f7a26098p-12, 0x1.7aaeed8f014bp-12, 0x1.7c5829750bf62p-12, 0x1.7ded15bf2c00ap-12, 0x1.7f6d8be617499p-12, 0x1.80d96bfc8db22p-12, 0x1.82309c65e2152p-12, 0x1.8373098ed137ap-12, 0x1.84a0a5a88d79fp-12, 0x1.85b96865f646ap-12, 0x1.86bd4ebaeea4bp-12, 0x1.87ac5a9dc1ce4p-12, 0x1.888692ca8a8a6p-12, 0x1.894c028892ee5p-12, 0x1.89fcb9719a0eep-12, 0x1.8a98cb3af86d1p-12, 0x1.8b204f8095289p-12, 0x1.8b9361919e01ap-12, 0x1.8bf2203ef99bcp-12, 0x1.8c3cadab667e6p-12, 0x1.8c732f1d3d5eep-12, 0x1.8c95ccd1c67ccp-12, 0x1.8ca4b1d21f5cdp-12, 0x1.8ca00bc99fc58p-12, 0x1.8c880addb73c2p-12, 0x1.8c5ce18734253p-12, 0x1.8c1ec46cf0077p-12, 0x1.8bcdea3fd5af8p-12, 0x1.8b6a8b9835f19p-12, 0x1.8af4e2d45edfep-12, 0x1.8a6d2bf877443p-12, 0x1.89d3a48f87631p-12, 0x1.89288b8daff09p-12, 0x1.886c213383806p-12, 0x1.879ea6f279e2bp-12, 0x1.86c05f52746bfp-12, 0x1.85d18dd84f8ddp-12, 0x1.84d276ed718a1p-12, 0x1.83c35fc8587fcp-12, 0x1.82a48e5618f7p-12, 0x1.81764924c9503p-12, 0x1.8038d74ecfbafp-12, 0x1.7eec806711cedp-12, 0x1.7d918c65f6751p-12, 0x1.7c2843973c64ap-12, 0x1.7ab0ee8896c68p-12, 0x1.792bd5f910e93p-12, 0x1.779942c92a99ep-12, 0x1.75f97debb218p-12, 0x1.744cd057492b7p-12, 0x1.729382f89b38ap-12, 0x1.70cddea5365c5p-12, 0x1.6efc2c0f06a8ep-12, 0x1.6d1eb3b86b692p-12, 0x1.6b35bde8e6dc7p-12, 0x1.694192a25a02ep-12, 0x1.67427996d0fa3p-12, 0x1.6538ba1ed4a8cp-12, 0x1.63249b30422aep-12, 0x1.610663559cbf3p-12, 0x1.5ede58a5deb3bp-12, 0x1.5cacc0bcbd9d7p-12, 0x1.5a71e0b360f45p-12, 0x1.582dfd1985abdp-12, 0x1.55e159ef0d6e7p-12, 0x1.538c3a9df3a12p-12, 0x1.512ee1f4a33a6p-12, 0x1.4ec99220ac873p-12, 0x1.4c5c8ca9d65b5p-12, 0x1.49e8126d86a14p-12, 0x1.476c639a807adp-12, 0x1.44e9bfacf2194p-12, 0x1.4260656ad24b5p-12, 0x1.3fd092e087e7bp-12, 0x1.3d3a855ddb86cp-12, 0x1.3a9e79732db01p-12, 0x1.37fcaaeeecfc4p-12, 0x1.355554db52048p-12, 0x1.32a8b17c539dcp-12, 0x1.2ff6fa4dd76d3p-12, 0x1.2d4068021c952p-12, 0x1.2a8532805a2dp-12, 0x1.27c590e392dd2p-12, 0x1.2501b9799991ep-12, 0x1.2239e1c245052p-12, 0x1.1f6e3e6ed1aa8p-12, 0x1.1c9f03616e64bp-12, 0x1.19cc63acf2364p-12, 0x1.16f69194b920ep-12, 0x1.141dbe8ca9196p-12, 0x1.11421b39560f7p-12, 0x1.0e63d7704d964p-12, 0x1.0b8322387e06dp-12, 0x1.08a029cac04f1p-12, 0x1.05bb1b927c53ap-12, 0x1.02d4242e6a977p-12, 0x1.ffd6dee2e2b87p-13, 0x1.fa0250c72ddbp-13, 0x1.f42af2861ec9ap-13, 0x1.ee51170abe4ap-13, 0x1.e8750fb12333bp-13, 0x1.e2972c490ddf2p-13, 0x1.dcb7bb189f80bp-13, 0x1.d6d708df3da65p-13, 0x1.d0f560d890badp-13, 0x1.cb130cbfa5a9fp-13, 0x1.c53054d22608fp-13, 0x1.bf4d7fd3b6fa6p-13, 0x1.b96ad31161fa6p-13, 0x1.b388926521b1fp-13, 0x1.ada700397c4d8p-13, 0x1.a7c65d8d37f23p-13, 0x1.a1e6e9f71cb5bp-13, 0x1.9c08e3a9c980dp-13, 0x1.962c8777975adp-13, 0x1.905210d68b1ebp-13, 0x1.8a79b9e4584d3p-13, 0x1.84a3bb6a62119p-13, 0x1.7ed04ce1d9198p-13, 0x1.78ffa477d1516p-13, 0x1.7331f71167d7p-13, 0x1.6d67784ff1ee9p-13, 0x1.67a05a9527765p-13, 0x1.61dccf075caa7p-13, 0x1.5c1d0595bbe89p-13, 0x1.56612cfc7cc01p-13, 0x1.50a972c925d0cp-13, 0x1.4af6035eca294p-13, 0x1.454709fa4958bp-13, 0x1.3f9cb0b68a18fp-13, 0x1.39f72090bd145p-13, 0x1.3456816c94dc3p-13, 0x1.2ebafa187ec62p-13, 0x1.2924b051d9fbbp-13, 0x1.2393c8c92af08p-13, 0x1.1e08672645d5ap-13, 0x1.1882ae0c790dap-13, 0x1.1302bf1eb238cp-13, 0x1.0d88bb039a3f8p-13, 0x1.0814c169b0769p-13, 0x1.02a6f10b56729p-13, 0x1.fa7ecf65c0b9dp-14, 0x1.efbc847d24bd7p-14, 0x1.e5073949434aep-14, 0x1.da5f23ee44fb4p-14, 0x1.cfc478cfecdb2p-14, 0x1.c5376a99599a9p-14, 0x1.bab82a44ba207p-14, 0x1.b046e722f1e7ap-14, 0x1.a5e3cee320899p-14, 0x1.9b8f0d9a2241fp-14, 0x1.9148cdc9f4e2bp-14, 0x1.871138690e307p-14, 0x1.7ce874e99b022p-14, 0x1.72cea940aaebap-14, 0x1.68c3f9ed478d6p-14, }}, 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
    }}, 
    {
      50, 0x1.e666666666666p+1, 0x1.0d59c98c9b1efp+0, 0x1.cfe7fdc745b5ep+0, -0x1.81d248bf39386p-3, 
      {{
        {0x1.3333333333333p+1, 0x1.36c8b43958106p+1, 0x1.350295a8eb938p-2, -0x1.080c5e4c33173p-1, 0x1.15d19b4596fa1p-2, 0x1.7b64fc4041fd2p-7}, 
        {0x1.36c8b43958106p+1, 0x1.3a5e353f7ced9p+1, 0x1.267103921f969p-2, -0x1.004164dec42e3p-1, 0x1.16d08f431207ap-2, -0x1.da3e3b505152ap-5}, 
        {0x1.3a5e353f7ced9p+1, 0x1.3df3b645a1cacp+1, 0x1.184ef64379e38p-2, -0x1.f10964e67ae1ep-2, 0x1.11d5cb4faac6ap-2, -0x1.41a1a02c55fe6p-5}, 
        {0x1.3df3b645a1cacp+1, 0x1.4189374bc6a7fp+1, 0x1.0a9aefd257c89p-2, -0x1.e1cbe6a35050ep-2, 0x1.0e753fc5fc4ep-2, -0x1.6a9d09c7a29abp-5}, 
        {0x1.4189374bc6a7fp+1, 0x1.451eb851eb852p+1, 0x1.faa6e4ca893f7p-3, -0x1.d2c1e81e8ec89p-2, 0x1.0aa68b5195dc9p-2, -0x1.5fab8712aa6c5p-5}, 
        {0x1.451eb851eb852p+1, 0x1.48b4395810625p+1, 0x1.e0ee00233b6e7p-3, -0x1.c3edac1e0b3a7p-2, 0x1.06f541530dac2p-2, -0x1.6276284c19c6dp-5}, 
        {0x1.48b4395810625p+1, 0x1.4c49ba5e353f8p+1, 0x1.c80835d980ba5p-3, -0x1.b54e95909f027p-2, 0x1.033c7667c2233p-2, -0x1.61dd9d858bf99p-5}, 
        {0x1.4c49ba5e353f8p+1, 0x1.4fdf3b645a1cbp+1, 0x1.aff28a3a6fd74p-3, -0x1.a6e4cec45c817p-2, 0x1.ff0a8b09e56e7p-3, -0x1.61d4affbc2b6cp-5}, 
        {0x1.4fdf3b645a1cbp+1, 0x1.5374bc6a7ef9ep+1, 0x1.98aa0170c3619p-3, -0x1.98b04b9220d13p-2, 0x1.f79c594354496p-3, -0x1.62316854337dap-5}, 
        {0x1.5374bc6a7ef9ep+1, 0x1.570a3d70a3d71p+1, 0x1.822b9fc9920d6p-3, -0x1.8ab11248652dp-2, 0x1.f02c35062b44ep-3, -0x1.618685a693744p-5}, 
        {0x1.570a3d70a3d71p+1, 0x1.5a9fbe76c8b44p+1, 0x1.6c74694d3a5f4p-3, -0x1.7ce71d051ad01p-2, 0x1.e8bfa77726a31p-3, -0x1.625735b019887p-5}, 
        {0x1.5a9fbe76c8b44p+1, 0x1.5e353f7ced917p+1, 0x1.5781628d8b3adp-3, -0x1.6f526ea09d0e7p-2, 0x1.e14eb8008242bp-3, -0x1.619d032144bdp-5}, 
        {0x1.5e353f7ced917p+1, 0x1.61cac083126e9p+1, 0x1.434f8f70870cep-3, -0x1.61f308cc409fp-2, 0x1.d9e1b189483dbp-3, -0x1.6236faff6e373p-5}, 
        {0x1.61cac083126e9p+1, 0x1.65604189374bcp+1, 0x1.2fdbf465a0a15p-3, -0x1.54c8e91b0aa4cp-2, 0x1.d2716f5659a37p-3, -0x1.61a7e7d24857fp-5}, 
        {0x1.65604189374bcp+1, 0x1.68f5c28f5c28fp+1, 0x1.1d239575367cbp-3, -0x1.47d4105ede781p-2, 0x1.cb042e4f1e438p-3, -0x1.622ba2ec1939ap-5}, 
        {0x1.68f5c28f5c28fp+1, 0x1.6c8b439581062p+1, 0x1.0b23770ebb6aep-3, -0x1.3b147dbd29943p-2, 0x1.c39429187f037p-3, -0x1.61ca637074545p-5}, 
        {0x1.6c8b439581062p+1, 0x1.7020c49ba5e35p+1, 0x1.f3b13a751be0ep-4, -0x1.2e8a33ce52d7bp-2, 0x1.bc262eaffd982p-3, -0x1.620c951af8b15p-5}, 
        {0x1.7020c49ba5e35p+1, 0x1.73b645a1cac08p+1, 0x1.d280188b8982fp-4, -0x1.2235303c047e9p-2, 0x1.b4b6d06b958e7p-3, -0x1.61c496819ee06p-5}, 
        {0x1.73b645a1cac08p+1, 0x1.774bc6a7ef9dbp+1, 0x1.b2ad90b634f4ap-4, -0x1.161572967b76ep-2, 0x1.ad48f5321402fp-3, -0x1.6213125cc90f9p-5}, 
        {0x1.774bc6a7ef9dbp+1, 0x1.7ae147ae147aep+1, 0x1.9433abb1a7b5fp-4, -0x1.0a2afb5ac029cp-2, 0x1.a5d9740ac0f11p-3, -0x1.61e032b3d657fp-5}, 
        {0x1.7ae147ae147aep+1, 0x1.7e76c8b439581p+1, 0x1.770c71b0fae7cp-4, -0x1.fceb99399b4ebp-3, 0x1.9e6b0462a0065p-3, -0x1.61f41f3eb5981p-5}, 
        {0x1.7e76c8b439581p+1, 0x1.820c49ba5e354p+1, 0x1.5b31eb32df128p-4, -0x1.e5ebc810a1353p-3, 0x1.96fc299dfaee3p-3, -0x1.61ea680d53325p-5}, 
        {0x1.820c49ba5e354p+1, 0x1.85a1cac083127p+1, 0x1.409e20a8464eap-4, -0x1.cf5684c3f3e4cp-3, 0x1.8f8d83147bfffp-3, -0x1.61f3ca9f528cfp-5}, 
        {0x1.85a1cac083127p+1, 0x1.89374bc6a7efap+1, 0x1.274b1a8901ecap-4, -0x1.b92bcf46d66b2p-3, 0x1.881eaa16c5463p-3, -0x1.61eb12d9f5d8ap-5}, 
        {0x1.89374bc6a7efap+1, 0x1.8cccccccccccdp+1, 0x1.0f32e13f24ccfp-4, -0x1.a36ba7b2fe902p-3, 0x1.80affff70eb41p-3, -0x1.61f1740c15cffp-5}, 
        {0x1.8cccccccccccdp+1, 0x1.90624dd2f1aap+1, 0x1.f09efa8500804p-5, -0x1.8e160dae52225p-3, 0x1.7941338b489cep-3, -0x1.61ea34b1c9421p-5}, 
        {0x1.90624dd2f1aap+1, 0x1.93f7ced916873p+1, 0x1.c535ee080cbd2p-5, -0x1.792b01176046cp-3, 0x1.71d28e15e2d9ep-3, -0x1.61f743401a1bap-5}, 
        {0x1.93f7ced916873p+1, 0x1.978d4fdf3b646p+1, 0x1.9c1eadf710f18p-5, -0x1.64aa82ce069ddp-3, 0x1.6a63a26ee8725p-3, -0x1.61e6f15ac93d1p-5}, 
        {0x1.978d4fdf3b646p+1, 0x1.9b22d0e560419p+1, 0x1.754d4b18746e8p-5, -0x1.509492548730ep-3, 0x1.62f50e844c28p-3, -0x1.61f4f3bfaf616p-5}, 
        {0x1.9b22d0e560419p+1, 0x1.9eb851eb851ecp+1, 0x1.50b5d6699844ep-5, -0x1.3ce92f51d8632p-3, 0x1.5b862f493b6adp-3, -0x1.61e9e50ad472dp-5}, 
        {0x1.9eb851eb851ecp+1, 0x1.a24dd2f1a9fbep+1, 0x1.2e4c60bea235dp-5, -0x1.29a85a37bac15p-3, 0x1.54178b800b6fbp-3, -0x1.61f50228e2321p-5}, 
        {0x1.a24dd2f1a9fbep+1, 0x1.a5e353f7ced91p+1, 0x1.0e04fb0734e21p-5, -0x1.16d21308599fdp-3, 0x1.4ca8abf78191p-3, -0x1.61e6b7b543457p-5}, 
        {0x1.a5e353f7ced91p+1, 0x1.a978d4fdf3b64p+1, 0x1.dfa76c2eec158p-6, -0x1.0466594947053p-3, 0x1.453a1942cdb8cp-3, -0x1.61f81b6d58fbap-5}, 
        {0x1.a978d4fdf3b64p+1, 0x1.ad0e560418937p+1, 0x1.a75945d98d816p-6, -0x1.e4ca5ae3d746ap-4, 0x1.3dcb2911a8c7fp-3, -0x1.61e70da25aa18p-5}, 
        {0x1.ad0e560418937p+1, 0x1.b0a3d70a3d70ap+1, 0x1.7307a49b1ca9fp-6, -0x1.c19d1f1e6d501p-4, 0x1.365c948f0492dp-3, -0x1.61f3aa7418decp-5}, 
        {0x1.b0a3d70a3d70ap+1, 0x1.b4395810624ddp+1, 0x1.429aaa6e5bb0ep-6, -0x1.9f44fdec05356p-4, 0x1.2eedbc3e3e6b5p-3, -0x1.61eeedf1ba591p-5}, 
        {0x1.b4395810624ddp+1, 0x1.b7ced916872bp+1, 0x1.15fa78fb96184p-6, -0x1.7dc1f9aba4a89p-4, 0x1.277efd63eb66ep-3, -0x1.61ebb580e7466p-5}, 
        {0x1.b7ced916872bp+1, 0x1.bb645a1cac083p+1, 0x1.da1e640d28842p-7, -0x1.5d140ff80f3e3p-4, 0x1.20104fd9c9df9p-3, -0x1.61f3c61e16fcep-5}, 
        {0x1.bb645a1cac083p+1, 0x1.bef9db22d0e56p+1, 0x1.8f81eedd36e01p-7, -0x1.3d3b4246a188cp-4, 0x1.18a176f44aed2p-3, -0x1.61e9d76b2ef1p-5}, 
        {0x1.bef9db22d0e56p+1, 0x1.c28f5c28f5c29p+1, 0x1.4befd5b7ee489p-7, -0x1.1e3790076d5f5p-4, 0x1.1132d37458886p-3, -0x1.61f294052a83fp-5}, 
        {0x1.c28f5c28f5c29p+1, 0x1.c624dd2f1a9fcp+1, 0x1.0f385c71d6c12p-7, -0x1.0008f8de4bbb3p-4, 0x1.09c400fc6de95p-3, -0x1.61eda032108e4p-5}, 
        {0x1.c624dd2f1a9fcp+1, 0x1.c9ba5e353f7cfp+1, 0x1.b2578cd80adb9p-8, -0x1.c55efbddc9244p-5, 0x1.0255492456863p-3, -0x1.61ed3c1a3dbe6p-5}, 
        {0x1.c9ba5e353f7cfp+1, 0x1.cd4fdf3b645a2p+1, 0x1.5334ae930fe49p-8, -0x1.8c563b3acc083p-5, 0x1.f5cd26ccb19f6p-4, -0x1.61f97bb1c044dp-5}, 
        {0x1.cd4fdf3b645a2p+1, 0x1.d0e5604189375p+1, 0x1.00a8a518df652p-8, -0x1.54f7b6f755f45p-5, 0x1.e6ef379ed40b3p-4, -0x1.61c50f28216a5p-5}, 
        {0x1.d0e5604189375p+1, 0x1.d47ae147ae148p+1, 0x1.74a7ef332e49ap-9, -0x1.1f4356e2b675ep-5, 0x1.d8137c1a9532fp-4, -0x1.628d5f69a8d7fp-5}, 
        {0x1.d47ae147ae148p+1, 0x1.d810624dd2f1bp+1, 0x1.ff5cb49162ad9p-10, -0x1.d672e8116ff86p-6, 0x1.c92f56d1066d7p-4, -0x1.5f9ea1cb75949p-5}, 
        {0x1.d810624dd2f1bp+1, 0x1.dba5e353f7ceep+1, 0x1.434b33790c02p-10, -0x1.71b185fc458eep-6, 0x1.ba6ab97e3d64bp-4, -0x1.6a9160779d3p-5}, 
        {0x1.dba5e353f7ceep+1, 0x1.df3b645a1cac1p+1, 0x1.673aef5add91ap-11, -0x1.104c2e9884262p-6, 0x1.ab30650eb854p-4, -0x1.41b679c997394p-5}, 
        {0x1.df3b645a1cac1p+1, 0x1.e2d0e56041893p+1, 0x1.3b5676043a83dp-12, -0x1.643dbc580c026p-7, 0x1.9dad56b9f718dp-4, -0x1.da2e577c566c5p-5}, 
        {0x1.e2d0e56041893p+1, 0x1.e666666666666p+1, 0x1.375c1742c8541p-14, -0x1.5ebff3db477ap-8, 0x1.89c2f1c5a3989p-4, -0x1.941d7be748261p+1}, 
      }}, 
      0x1.ca0539cc568adp+7, -0x1.02931690ccc44p+12
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_h_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.a785cb88aea2dp-2, 0x1.b3502de766977p-2, 0x1.be44fb5a1f2cdp-2, 0x1.c86c6c2ecd9d2p-2, 0x1.d1cb8bbe46008p-2, 0x1.da667cf591513p-2, 0x1.e24430755638p-2, 0x1.e96e284daecb5p-2, 0x1.efed4f8024a4fp-2, 0x1.f5c7eb9313f0cp-2, 0x1.fb0270e1410d9p-2, 0x1.ffa1cd3a9cc51p-2, 0x1.01d6732544537p-1, 0x1.03962d09d3e9ep-1, 0x1.051489a99cd4cp-1, 0x1.06556c6c5114ap-1, 0x1.075bd4876e0afp-1, 0x1.082a038f97233p-1, 0x1.08c1eef9acaddp-1, 0x1.0925b65be585ep-1, 0x1.0957e794ce241p-1, 0x1.0959bf818ff63p-1, 0x1.09351cc0929ecp-1, 0x1.08e844a892cafp-1, 0x1.087544ef0aafap-1, 0x1.07de21a8dd54bp-1, 0x1.0724edde0b957p-1, 0x1.064bd297f5f1p-1, 0x1.0555056042531p-1, 0x1.0442b42c51e0ap-1, 0x1.0316ef33afa8bp-1, 0x1.01d3987c17fa1p-1, 0x1.007a5d362788cp-1, 0x1.fe1971116c413p-2, 0x1.fb17f9429d386p-2, 0x1.f7f2bd12ac07dp-2, 0x1.f4ac0462bfd45p-2, 0x1.f14609e613c34p-2, 0x1.edc30a279ddb4p-2, 0x1.ea254a3c778e5p-2, 0x1.e66f156426fc8p-2, 0x1.e2a2b32ca14fcp-2, 0x1.dec259a5c1c56p-2, 0x1.dad01fc1e81acp-2, 0x1.d6cdf33631f9bp-2, 0x1.d2bd9341683fbp-2, 0x1.cea0907572502p-2, 0x1.ca784ffd85ee7p-2, 0x1.c64610e79d435p-2, 0x1.c20af1f93a00ep-2, 0x1.bdc7f72b4cf32p-2, 0x1.b97e0e7571d04p-2, 0x1.b52e13f1819eep-2, 0x1.b0d8d5ba52886p-2, 0x1.ac7f16f4640e5p-2, 0x1.a82193fd0fd6p-2, 0x1.a3c10483fcd38p-2, 0x1.9f5e1e313fdc2p-2, 0x1.9af995d628e93p-2, 0x1.96941f867b6d3p-2, 0x1.922e6d85f5d11p-2, 0x1.8dc92e3a87ae2p-2, 0x1.8965097ed197cp-2, 0x1.8504605b15d6fp-2, 0x1.80a5f65d5b109p-2, 0x1.7c4a227a176f6p-2, 0x1.77f144897e1bbp-2, 0x1.739bb4a10fbe8p-2, 0x1.6f49c3e175a91p-2, 0x1.6afbbd596896ap-2, 0x1.66b1e6d2a9544p-2, 0x1.626c81bf76fd8p-2, 0x1.5e2bcc015e802p-2, 0x1.59f0008d4e27p-2, 0x1.55b957e6a9a5ep-2, 0x1.5188086596066p-2, 0x1.4d5c4649878bep-2, 0x1.4936439ea04a6p-2, 0x1.451630017d64ep-2, 0x1.40fc384f1d99dp-2, 0x1.3ce886511bf28p-2, 0x1.38db407198d09p-2, 0x1.34d4899af432ap-2, 0x1.30d480fe927e6p-2, 0x1.2cdb4244cfe38p-2, 0x1.28e8e5acb3a23p-2, 0x1.24fd80583a732p-2, 0x1.211924acc766ep-2, 0x1.1d3be2c034048p-2, 0x1.1965c8c9fb195p-2, 0x1.1596e390c4ddap-2, 0x1.11cf3ece35685p-2, 0x1.0e0ee5845b49ep-2, 0x1.0a55e244fc522p-2, 0x1.06a43f62ebdfcp-2, 0x1.02fa071acfe1p-2, 0x1.feae8747700bap-3, 0x1.f777feb084609p-3, 0x1.f050887979d43p-3, 0x1.e93839a478dc6p-3, 0x1.e22f26638ea3p-3, 0x1.db3562bc771e9p-3, 0x1.d44b022d4c931p-3, 0x1.cd7017770022dp-3, 0x1.c6a4b46726d9bp-3, 0x1.bfe8e9a3ffd37p-3, 0x1.b93cc67de1212p-3, 0x1.b2a058c3ae416p-3, 0x1.ac13aca86bee7p-3, 0x1.a596cca40b81bp-3, 0x1.9f29c17316825p-3, 0x1.98cc91fd81bf6p-3, 0x1.927f436f35b93p-3, 0x1.8c41d939fa54bp-3, 0x1.8614552b4a22ep-3, 0x1.7ff6b7837bd2dp-3, 0x1.79e8ff13f433ap-3, 0x1.73eb2959c9d09p-3, 0x1.6dfd32ad51db1p-3, 0x1.681f1655e7328p-3, 0x1.6250ceb5d4adap-3, 0x1.5c92556b8b684p-3, 0x1.56e3a37324b68p-3, 0x1.5144b145abdd7p-3, 0x1.4bb576f580876p-3, 0x1.4635ec4597146p-3, 0x1.40c608c5f8153p-3, 0x1.3b65c3d4b06d7p-3, 0x1.361514b767c6dp-3, 0x1.30d3f29b8ac9cp-3, 0x1.2ba2549aef77cp-3, 0x1.268031b2c13dap-3, 0x1.216d80c54978p-3, 0x1.1c6a38881ead3p-3, 0x1.17764f7bd84b6p-3, 0x1.1291bbd7d7eafp-3, 0x1.0dbc7380adeb4p-3, 0x1.08f66bf08d7c1p-3, 0x1.043f9a32aca96p-3, 0x1.ff2fe50f1d694p-4, 0x1.f5fed208ecb32p-4, 0x1.ecebe18e047e5p-4, 0x1.e3f6f89a81be8p-4, 0x1.db1ffaacf7d3ep-4, 0x1.d266c9cbc3f02p-4, 0x1.c9cb464910de3p-4, 0x1.c14d4edb99797p-4, 0x1.b8fb74399661ep-4, 0x1.b0b9290b019c4p-4, 0x1.a893de3bf5ebfp-4, 0x1.a08b6acee21e6p-4, 0x1.989fa4bbca8fep-4, 0x1.90d06106c7449p-4, 0x1.891d73bb9292ep-4, 0x1.8186aff18ac35p-4, 0x1.7a0be7d3ced27p-4, 0x1.72acec8a1c08p-4, 0x1.6b698e70982e3p-4, 0x1.64419ce9a2eaep-4, 0x1.5d34e671c6a5dp-4, 0x1.564338c6bf22fp-4, 0x1.4f6c60a48fd2ap-4, 0x1.48b02a1e4b56bp-4, 0x1.420e605865bcep-4, 0x1.3b86cdbc7a728p-4, 0x1.35193b46fc6a7p-4, 0x1.2ec574949b565p-4, 0x1.288b3f4a17344p-4, 0x1.226a640d940f3p-4, 0x1.1c62aa03ed6b4p-4, 0x1.1673d7a957b47p-4, 0x1.109db303b81a6p-4, 0x1.0ae001782cf22p-4, 0x1.053a884c390ap-4, 0x1.ff5a17a271eebp-5, 0x1.f46ea06d91d17p-5, 0x1.e9b2314a842d1p-5, 0x1.df2454eb2d765p-5, 0x1.d4c48d7b9985ap-5, 0x1.ca9261e3287abp-5, 0x1.c08d57146a79dp-5, 0x1.b6b4f178e6052p-5, 0x1.ad08b53a0a177p-5, 0x1.a38825c85e063p-5, 0x1.9a32c668276e6p-5, 0x1.91081a01619edp-5, 0x1.8807a3125669dp-5, 0x1.7f30e44dc960ap-5, 0x1.76835f88d94c4p-5, 0x1.6dfe96eade02ep-5, 0x1.65a20c556081ep-5, 0x1.5d6d418977732p-5, 0x1.555fb73042958p-5, 0x1.4d78f2b1c9c87p-5, 0x1.45b8720826356p-5, 0x1.3e1db86b6dad2p-5, 0x1.36a8475f91528p-5, 0x1.2f57a23bc297bp-5, 0x1.282b49fe00a36p-5, 0x1.2122c0ad0dc8dp-5, 0x1.1a3d8bb12ca97p-5, 0x1.137b2bd479f83p-5, 0x1.0cdb24b3569d5p-5, 0x1.065cfa4f8cffp-5, 0x1.000030ad1e55cp-5, 0x1.f38898fe832efp-6, 0x1.e751a530fdad8p-6, 0x1.db5a8db904589p-6, 0x1.cfa268857059ep-6, 0x1.c428358cb0182p-6, 0x1.b8eb1051ca373p-6, 0x1.ade9fe7024b72p-6, 0x1.a324143b6babep-6, 0x1.98986400feabfp-6, 0x1.8e460131e28acp-6, 0x1.842c0193f52b7p-6, 0x1.7a497b5ce3a2p-6, 0x1.709d873103b22p-6, 0x1.67273f0aa15bfp-6, 0x1.5de5bee10889cp-6, 0x1.54d82416060a6p-6, 0x1.4bfd8e2110c6dp-6, 0x1.43551e71ce019p-6, 0x1.3addf43367aefp-6, 0x1.32973fbbdba6ap-6, 0x1.2a801d60b960ap-6, 0x1.2297b9f817f8p-6, 0x1.1add40ef54ec9p-6, 0x1.134fdfc2b1416p-6, 0x1.0beec67e52f2p-6, 0x1.04b9263bbdd42p-6, 0x1.fb5c65d3464e1p-7, 0x1.ed9a499410db5p-7, 0x1.e02a65faa9189p-7, 0x1.d30b321adea03p-7, 0x1.c63b23ecb1527p-7, 0x1.b9b8c92e0ed54p-7, 0x1.ad82977ba3b8fp-7, 0x1.a1971f167dfb8p-7, 0x1.95f4eae4e8c04p-7, 0x1.8a9a8f6bfc5fep-7, 0x1.7f86a47955566p-7, 0x1.74b7c69ee0c1dp-7, 0x1.6a2c960bec20ap-7, 0x1.5fe3bae838934p-7, 0x1.55dbdffcd4a6cp-7, 0x1.4c13b5bc607aap-7, 0x1.4289f09d562acp-7, 0x1.393d4b2f312acp-7, 0x1.302c847182541p-7, 0x1.27565f6a46ff2p-7, 0x1.1eb9a75aac8e2p-7, 0x1.165523d834d5dp-7, 0x1.0e27abe34d186p-7, 0x1.063012f420edep-7, 0x1.fcda6ea52aa76p-8, 0x1.edbbf0b97223cp-8, 0x1.df02748c163e8p-8, 0x1.d0abcd09cd7a9p-8, 0x1.c2b5d5d67bc3p-8, 0x1.b51e73922d50bp-8, 0x1.a7e393c204798p-8, 0x1.9b032d138fc7cp-8, 0x1.8e7b2a20efcp-8, 0x1.8249cc130bbc3p-8, 0x1.766ceca8c0991p-8, 0x1.6ae2b3f5d213ep-8, 0x1.5fa944134312bp-8, 0x1.54bec6054de69p-8, 0x1.4a216af6bddap-8, 0x1.3fcf6c1929f8ap-8, 0x1.35c70a8f3deep-8, 0x1.2c068f4b063fep-8, 0x1.228c43f755e2ep-8, 0x1.195695d0f49b1p-8, 0x1.1063cff308aa8p-8, 0x1.07b2608b68f83p-8, 0x1.fe816d6ea47e6p-9, 0x1.ee1a8631a553p-9, 0x1.de2d10193f2cbp-9, 0x1.ceb62d294ac4dp-9, 0x1.bfb31cfb1d6afp-9, 0x1.b12019020b25fp-9, 0x1.a2fb4f4b92349p-9, 0x1.9541c1ae2ef2fp-9, 0x1.87f07b7daaafbp-9, 0x1.7b05196e3a944p-9, 0x1.6e7cf14c3e867p-9, 0x1.625599d2811eap-9, 0x1.568c0ebc500f6p-9, 0x1.4b1e6dd5387e9p-9, 0x1.400a200fce62bp-9, 0x1.354cca3ec7d05p-9, 0x1.2ae42675b3437p-9, 0x1.20cdea6285f7cp-9, 0x1.1707e4c63bc6cp-9, 0x1.0d8fef41a0563p-9, 0x1.0463ea79e47dap-9, 0x1.f7038ed9ac61ep-10, 0x1.e5cef856803d6p-10, 0x1.d52622ff3022p-10, 0x1.c5052d1522227p-10, 0x1.b5684faf17c46p-10, 0x1.a64bd83e0202ep-10, 0x1.97ac2a1602981p-10, 0x1.8985bceefca8ep-10, 0x1.7bd5210dfd842p-10, 0x1.6e96f9e65f51ap-10, 0x1.61c7fc08659f9p-10, 0x1.5564f775af1afp-10, 0x1.496ac35aafffbp-10, 0x1.3dd658c4c084cp-10, 0x1.32a4bedb7c78p-10, 0x1.27d3144a4122fp-10, 0x1.1d5e75b6df492p-10, 0x1.133f8ba158d0cp-10, 0x1.097d3df22c5bfp-10, 0x1.000fc03a5a6fcp-10, 0x1.edea22fe03863p-11, 0x1.dc544b555dc58p-11, 0x1.cb59827395b93p-11, 0x1.baf50ca64eb24p-11, 0x1.ab224bcdfdbc4p-11, 0x1.9bdcc673c922fp-11, 0x1.8d201ccbaacf8p-11, 0x1.7ee80d4b332eep-11, 0x1.713073521d134p-11, 0x1.63f54c2edc778p-11, 0x1.573296118761bp-11, 0x1.4ae48d726ab22p-11, 0x1.3f0777fe69473p-11, 0x1.3397a00fc2abdp-11, 0x1.28915df9e90a8p-11, 0x1.1df206c0e103ap-11, 0x1.13b5611557034p-11, 0x1.09d8793cf064ep-11, 0x1.0058271de440bp-11, 0x1.ee62ac498a252p-12, 0x1.dcc20fc0d5bcp-12, 0x1.cbc8a82e621a6p-12, 0x1.bb6f1f688812cp-12, 0x1.abb4edaa6001cp-12, 0x1.9c8fc444743a4p-12, 0x1.8dfc1873218aap-12, 0x1.7ff4dbe8a9aa7p-12, 0x1.7275161330ac3p-12, 0x1.65782ada0c60bp-12, 0x1.58f97b91b0d48p-12, 0x1.4cf4646f0a9e9p-12, 0x1.416499b854cbdp-12, 0x1.3645e97d6c817p-12, 0x1.2b944b4603805p-12, 0x1.214d869cfa646p-12, 0x1.1768032c39eabp-12, 0x1.0de5e6520fcc9p-12, 0x1.04c19f75c09f1p-12, 0x1.f7ef4d586b529p-13, 0x1.e709477604591p-13, 0x1.d6ca2f18ed68cp-13, 0x1.c72c71ed07b6dp-13, 0x1.b829430604a62p-13, 0x1.a9badb7548932p-13, 0x1.9bdaafc55cfdap-13, 0x1.8e857c6ff3afcp-13, 0x1.81b39303fbc09p-13, 0x1.756090a36cbecp-13, 0x1.69873fa580072p-13, 0x1.5e237e34af982p-13, 0x1.532ec5a2afb8ep-13, 0x1.48a6839466296p-13, 0x1.3e8582f25a351p-13, 0x1.34c79c94a6fdbp-13, 0x1.2b68abc073855p-13, 0x1.2264d601cf576p-13, 0x1.19ba309188792p-13, 0x1.115f8bfcb8909p-13, 0x1.0956eb553bedap-13, 0x1.019af3f9aa522p-13, 0x1.f45280425bcfcp-14, 0x1.e5f888ad556c4p-14, 0x1.d825eaef189e5p-14, 0x1.cad627af1a018p-14, 0x1.bdffe4ab0bc61p-14, 0x1.b19fbf7e51c7dp-14, 0x1.a5af9f16fe479p-14, 0x1.9a2b67a5712e1p-14, 0x1.8f0defbb2dca2p-14, 0x1.84529be058f7ep-14, 0x1.79f4fdf182cb8p-14, 0x1.6ff0d7c004587p-14, 0x1.664215d4a0817p-14, 0x1.5ce4c93e2156ep-14, 0x1.53d4c4a29e4bbp-14, 0x1.4b13e26ac3e4p-14, 0x1.4291302b17bedp-14, 0x1.3a56054ea4dcfp-14, 0x1.325b0c68178cdp-14, 0x1.2a9d4f554929ap-14, 0x1.2319eaafcb036p-14, 0x1.1bcb32d76b4ebp-14, 0x1.14b75bb75e54p-14, 0x1.0dd2e97dab584p-14, 0x1.071e7b9dfc421p-14, 0x1.0097e4254f251p-14, 0x1.f4798fa87e697p-15, 0x1.e81640c6b265ep-15, 0x1.dc01ce44c87cap-15, 0x1.d0371129b4facp-15, 0x1.c4b6cd4c83628p-15, 0x1.b97942b66f12p-15, 0x1.ae7c5e7c33eabp-15, 0x1.a3bd255991ef8p-15, 0x1.993acf472f5e6p-15, 0x1.8eecb28dc378p-15, 0x1.84d5f71de359ep-15, 0x1.7aee58ea6134p-15, 0x1.713e3a13084a7p-15, 0x1.67b8cf40a8a6dp-15, 0x1.5e5f802b2e4ecp-15, 0x1.55304900ba235p-15, 0x1.4c294565cfab8p-15, 0x1.4348ad0bf2a74p-15, 0x1.3a8cd314a1027p-15, 0x1.31f434de8f911p-15, 0x1.29827d9c7d3b1p-15, 0x1.212674f46b6afp-15, 0x1.18ee959ac8dcfp-15, 0x1.10d466dcaaf5ap-15, 0x1.08e4d7a1eddcep-15, 0x1.00f559db20369p-15, 0x1.f25cf3316d14ep-16, 0x1.e2f32a7ef8ebp-16, 0x1.d3d6f46988145p-16, 0x1.c4dc73777aed5p-16, 0x1.b6223e0d0aa81p-16, 0x1.a7714c88d2717p-16, 0x1.99000b5305a4p-16, 0x1.8ab855f372e92p-16, 0x1.7c9a1c238cac7p-16, 0x1.6ea4d9cdf8af9p-16, 0x1.60d3db8f90636p-16, 0x1.5331072f715a4p-16, 0x1.45ac5f20eb587p-16, 0x1.3852aa578b4bbp-16, 0x1.2b1cde5323cd9p-16, 0x1.1e0b20d320ca2p-16, 0x1.111e4743c71a3p-16, 0x1.04543b2b04233p-16, 0x1.ef585f5a0ce9bp-17, 0x1.d65049b26d5f1p-17, 0x1.bd8d999b1835dp-17, 0x1.a517204b6e6e2p-17, 0x1.8cc9bdb337f3fp-17, 0x1.74e1c547336c7p-17, 0x1.5d31d95311971p-17, 0x1.45c56f847576ap-17, 0x1.2e9ce8860aec3p-17, 0x1.17b80c316837cp-17, 0x1.0113a9f285baep-17, 0x1.d5756036cdd3p-18, 0x1.a94438344f6a6p-18, 0x1.7d93951361ebdp-18, 0x1.52fe96e132bb5p-18, 0x1.27e2daacaed47p-18, 0x1.fbd0d65c825c3p-19, 0x1.a8c6b96c4679p-19, 0x1.56bd56cf12928p-19, 0x1.05e6db2fd7b2fp-19, 0x1.6c50749bdb296p-20, 0x1.9db4285f82338p-21, 0x1.9f1391b75017bp-23, -0x1.9403da0153689p-22, -0x1.f74025bc25c48p-21, -0x1.8f40ef875790ep-20, -0x1.111f3ca46146p-19, -0x1.591cbd70b9245p-19, -0x1.9ff3333b88699p-19, -0x1.e5a6b67fae482p-19, -0x1.15231ef4262bap-18, -0x1.36cfa0aa2f7b7p-18, -0x1.57f0ea4198011p-18, -0x1.787edbe9015a2p-18, -0x1.9878b635d39afp-18, -0x1.b7ddff808ef0fp-18, -0x1.d6ae4f8dd0b83p-18, -0x1.f4e9575515722p-18, -0x1.0947b829b468ap-17, -0x1.17cada6cb0f6dp-17, -0x1.25f77ca3ec661p-17, -0x1.33fac1d2ebcb3p-17, -0x1.41a39d546067fp-17, -0x1.4efc488c4f245p-17, -0x1.5c0ae5886e5ffp-17, -0x1.68d9c806544bep-17, -0x1.75463f204d22dp-17, -0x1.817290b528573p-17, -0x1.8d539de1c2676p-17, -0x1.98e93584bc349p-17, -0x1.a433bad83767dp-17, -0x1.af353141a06a5p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.a4b3036b4f2ap-1, -0x1.a7b64f573e41ap-1, -0x1.aa676b6d49ebfp-1, -0x1.acc5bface4547p-1, -0x1.aed1fc73290b8p-1, -0x1.b08dab6711907p-1, -0x1.b1fa24ff8aec1p-1, -0x1.b31861a97090ep-1, -0x1.b3e9a3786c0a4p-1, -0x1.b470028b16edp-1, -0x1.b4ae4b6353edep-1, -0x1.b4a76b2c56aacp-1, -0x1.b45df6cb8ce7ap-1, -0x1.b3d41aa51c11fp-1, -0x1.b30bdeae8434ap-1, -0x1.b2077cbfeb076p-1, -0x1.b0c990679b49bp-1, -0x1.af550b8084e6ap-1, -0x1.adad01c2632c7p-1, -0x1.abd46dfa50461p-1, -0x1.a9ce09a18e7bep-1, -0x1.a79d7f14bbac7p-1, -0x1.a5411653a75bp-1, -0x1.a2bd5ce12c2bdp-1, -0x1.a014cb279fb8ap-1, -0x1.9d49c5fac72edp-1, -0x1.9a5e90adfcdc8p-1, -0x1.9755472396035p-1, -0x1.942fdfe6f3af3p-1, -0x1.90f033d3b3ef9p-1, -0x1.8d9807e4b0244p-1, -0x1.8a291616dda34p-1, -0x1.86a5133b5f079p-1, -0x1.830db0af32bc8p-1, -0x1.7f649a1105dd5p-1, -0x1.7bab7024fdfb3p-1, -0x1.77e3c2d876a52p-1, -0x1.740f0c5d587bdp-1, -0x1.702eae8c2c3fbp-1, -0x1.6c43f29ad720cp-1, -0x1.68500a6684a16p-1, -0x1.6454126cfd95ep-1, -0x1.605113f9086b2p-1, -0x1.5c48077ea7438p-1, -0x1.5839d75a32dbp-1, -0x1.542762eab13eep-1, -0x1.501181b3e8f5ep-1, -0x1.4bf905d6fcf3p-1, -0x1.47debd4c879b5p-1, -0x1.43c371962db11p-1, -0x1.3fa7e6194f7e2p-1, -0x1.3b8cd5b9ba4e3p-1, -0x1.3772f0736804fp-1, -0x1.335ad99e586b6p-1, -0x1.2f4527397a7adp-1, -0x1.2b32624476175p-1, -0x1.272307fdb1d78p-1, -0x1.23178b8f025f1p-1, -0x1.1f1057d1c1d81p-1, -0x1.1b0dd0d29deedp-1, -0x1.171054e60ef18p-1, -0x1.13183d40384dap-1, -0x1.0f25de21bece1p-1, -0x1.0b39842507782p-1, -0x1.075328f7f935p-1, -0x1.0373632181449p-1, -0x1.ff34edc64e954p-2, -0x1.f791477c2a9d9p-2, -0x1.effc489219ad1p-2, -0x1.e8765c4c686d9p-2, -0x1.e0ffe44bfdf03p-2, -0x1.d9993926e6cf7p-2, -0x1.d242ab333fd53p-2, -0x1.cafc837986398p-2, -0x1.c3c704a30ba46p-2, -0x1.bca26bcef91e3p-2, -0x1.b58ef13d0bb9ep-2, -0x1.ae8cc8c755fa7p-2, -0x1.a79c222d340f7p-2, -0x1.a0bd2937303b4p-2, -0x1.99f005c09d55p-2, -0x1.9334dbb6fd4a9p-2, -0x1.8c8bcb032a5d9p-2, -0x1.85f4efa920671p-2, -0x1.7f7061bdc7f68p-2, -0x1.78fe358ef3367p-2, -0x1.729e7bd161361p-2, -0x1.6c5141db48b21p-2, -0x1.661691e499366p-2, -0x1.5fee7348103d4p-2, -0x1.59d8eabf4cb66p-2, -0x1.53d5fa95d4c93p-2, -0x1.4de5a2d0b73eap-2, -0x1.4807e14b1bb25p-2, -0x1.423cb1c85713bp-2, -0x1.3c840dff08bedp-2, -0x1.36ddeda788675p-2, -0x1.314a45fbf79a7p-2, -0x1.2bc90c21e065fp-2, -0x1.265a30a760376p-2, -0x1.20fda41ed41f9p-2, -0x1.1bb354f4a8a31p-2, -0x1.167b300889c9fp-2, -0x1.115520ce3b4f6p-2, -0x1.0c41117142188p-2, -0x1.073eeaf77ec01p-2, -0x1.024e9561420f5p-2, -0x1.fadfef886fb41p-3, -0x1.f145f0c79a33p-3, -0x1.e7cef982f994ap-3, -0x1.de7ad34d15f47p-3, -0x1.d54946616fa26p-3, -0x1.cc3a199cee3cap-3, -0x1.c34d12849d99bp-3, -0x1.ba81f5348f915p-3, -0x1.b1d88471d1b4ep-3, -0x1.a950817336dd9p-3, -0x1.a0e9abf2fe9bdp-3, -0x1.98a3c257cf6f1p-3, -0x1.907e815f8b051p-3, -0x1.8879a45aea90ep-3, -0x1.8094e52cfe5ebp-3, -0x1.78cffc5c44203p-3, -0x1.712aa1292be1ap-3, -0x1.69a489a92c3dbp-3, -0x1.623d6ae58c8b4p-3, -0x1.5af4f8fc12d3dp-3, -0x1.53cae7421deacp-3, -0x1.4cbee866e8e3ap-3, -0x1.45d0ae9525a6ap-3, -0x1.3effeb8c12f78p-3, -0x1.384c50cec3e24p-3, -0x1.31b58f9919f1cp-3, -0x1.2b3b592243626p-3, -0x1.24dd5e8cd60ffp-3, -0x1.1e9b50e816ac5p-3, -0x1.1874e17212ac1p-3, -0x1.1269c15dd0d91p-3, -0x1.0c79a214fe2cep-3, -0x1.06a43453a7364p-3, -0x1.00e92a2df9c8fp-3, -0x1.f69069a45c383p-4, -0x1.eb820b676bc7fp-4, -0x1.e0a69c8e27053p-4, -0x1.d5fd8017d6924p-4, -0x1.cb8618d4fc114p-4, -0x1.c13fc992c5aep-4, -0x1.b731b56cb7c12p-4, -0x1.ad4c44a485adap-4, -0x1.a396053b64b53p-4, -0x1.9a0e58b7336e9p-4, -0x1.90b4a0e02f533p-4, -0x1.8788400825b93p-4, -0x1.7e889901ceba9p-4, -0x1.75b50f2eb8814p-4, -0x1.6d0d068674f54p-4, -0x1.648fe3a8e7973p-4, -0x1.5c3d0bd487cf6p-4, -0x1.5413e5055fb53p-4, -0x1.4c13d60550d55p-4, -0x1.443c460186fb5p-4, -0x1.3c8c9d8593fa3p-4, -0x1.3504459d27d01p-4, -0x1.2da2a84190909p-4, -0x1.26672ff286cd8p-4, -0x1.1f514839a74f3p-4, -0x1.18605fca3d378p-4, -0x1.1193e202e9ec6p-4, -0x1.0aeb3e9a2bd2dp-4, -0x1.0465e552957dbp-4, -0x1.fc068dd49b395p-5, -0x1.ef85aaec5ddbcp-5, -0x1.e34807a4be377p-5, -0x1.d74c8df8d5adp-5, -0x1.cb9227826e5fep-5, -0x1.c017c1e1bbc8p-5, -0x1.b4dc4a8cac0f1p-5, -0x1.a9debbaaadec7p-5, -0x1.9f1e023088c8cp-5, -0x1.9499185b3519ap-5, -0x1.8a4ef8399f28ap-5, -0x1.803e9e9ee4ed9p-5, -0x1.76670ab7d5afdp-5, -0x1.6cc73ed544964p-5, -0x1.635e3fb337863p-5, -0x1.5a2b14d5630e1p-5, -0x1.512cc8882813p-5, -0x1.4862679090e21p-5, -0x1.3fcb01d8ece37p-5, -0x1.3765a9daee495p-5, -0x1.2f3174d298bp-5, -0x1.272d7a49db1e9p-5, -0x1.1f58d5a425cc6p-5, -0x1.17b2a57eaf8ep-5, -0x1.103a0828ef6b8p-5, -0x1.08ee21a26f462p-5, -0x1.01ce17c2cd559p-5, -0x1.f5b2266269909p-6, -0x1.e81c7ec60395ep-6, -0x1.dad995655d45dp-6, -0x1.cde7ca2655726p-6, -0x1.c14588d81c095p-6, -0x1.b4f13ac07da08p-6, -0x1.a8e9537fe2c07p-6, -0x1.9d2c4adf2f20ep-6, -0x1.91b89f02d266ep-6, -0x1.868cd2429e399p-6, -0x1.7ba767a3fa1ccp-6, -0x1.7106fdd8c3aabp-6, -0x1.66aa125f2041ep-6, -0x1.5c8f528e7d905p-6, -0x1.52b54d612af48p-6, -0x1.491aab77929f3p-6, -0x1.3fbe154a9381ep-6, -0x1.369e39204006fp-6, -0x1.2db9cacbd00a8p-6, -0x1.250f825ad3278p-6, -0x1.1c9e1df892f7ep-6, -0x1.14645ff78e75fp-6, -0x1.0c6112cd135cbp-6, -0x1.049301ad3bc12p-6, -0x1.f9f1ffb75ce0cp-7, -0x1.eb23c9f5d474p-7, -0x1.dcb91847035f5p-7, -0x1.ceafb648bd95ep-7, -0x1.c10568ed84b2cp-7, -0x1.b3b8097ea68cbp-7, -0x1.a6c57953474cap-7, -0x1.9a2ba290ea82cp-7, -0x1.8de878d91445ap-7, -0x1.81f9fa6a04866p-7, -0x1.765e2befa740dp-7, -0x1.6b132399f8226p-7, -0x1.6016f487d7a3bp-7, -0x1.5567c380bc883p-7, -0x1.4b03c923d4ee8p-7, -0x1.40e913fcc6003p-7, -0x1.371606169c6a2p-7, -0x1.2d88dc262826ap-7, -0x1.243fe2b2d0e3fp-7, -0x1.1b397206930f1p-7, -0x1.1273f00e27aaep-7, -0x1.09edb20d16954p-7, -0x1.01a539bb983d5p-7, -0x1.f331f7839fcc6p-8, -0x1.e38eefb5a38afp-8, -0x1.d45e6e1abe1f4p-8, -0x1.c59d8faf1376bp-8, -0x1.b749870eb0c9cp-8, -0x1.a95f9368ad0bp-8, -0x1.9bdd00e9d8b33p-8, -0x1.8ebf31598fa56p-8, -0x1.820383c84363ap-8, -0x1.75a77c44119bbp-8, -0x1.69a89d8c54fbdp-8, -0x1.5e047c7224391p-8, -0x1.52b8bf71601eep-8, -0x1.47c3114f322e1p-8, -0x1.3d21307875d71p-8, -0x1.32d0e66ae9f92p-8, -0x1.28d0094c82b26p-8, -0x1.1f1c7ba2e5415p-8, -0x1.15b42ba014937p-8, -0x1.0c953340c5dfp-8, -0x1.03bd3a84ba25p-8, -0x1.f6556f9bb2723p-9, -0x1.e5b73f3cb5a7ep-9, -0x1.d59c3c1075a86p-9, -0x1.c600cc41a3684p-9, -0x1.b6e16b7391bdap-9, -0x1.a83aaa2845311p-9, -0x1.9a092a19c18c4p-9, -0x1.8c49adf13b0f3p-9, -0x1.7ef8e1b3725f2p-9, -0x1.7213f4e9c81d6p-9, -0x1.65978bd6f0af2p-9, -0x1.5980c891198dfp-9, -0x1.4dccc2f72df42p-9, -0x1.42789ded24369p-9, -0x1.378156912273p-9, -0x1.2ce51fba885d9p-9, -0x1.22a0d8d9463e9p-9, -0x1.18b0e802fe3b7p-9, -0x1.0f14264055d06p-9, -0x1.05c7f2d6451efp-9, -0x1.f992438490a41p-10, -0x1.e82c58b480685p-10, -0x1.d7592d3c5ff06p-10, -0x1.c714678d2be4ep-10, -0x1.b758ef2301b8dp-10, -0x1.a823964e990bap-10, -0x1.996fe8bf06edcp-10, -0x1.8b39f1ced7f7ep-10, -0x1.7d7dbfe2fe684p-10, -0x1.7037ad1ce88a6p-10, -0x1.6363f482d726fp-10, -0x1.56ff0ea04e902p-10, -0x1.4b057b42c0c14p-10, -0x1.3f73e5e9bd0ecp-10, -0x1.3446f612e661ap-10, -0x1.297b7fa3bccc6p-10, -0x1.1f0e6515ea89cp-10, -0x1.14fca057f8246p-10, -0x1.0b4340c605763p-10, -0x1.01df6a968863ep-10, -0x1.f19c93352f09p-11, -0x1.e01a91c320f1ep-11, -0x1.cf339066a87e6p-11, -0x1.bee243e9af851p-11, -0x1.af21e28bbcd63p-11, -0x1.9fed7ed5a5864p-11, -0x1.91408b0de5486p-11, -0x1.831685843bb5fp-11, -0x1.756b0567ce329p-11, -0x1.6839cb64032c2p-11, -0x1.5b7b68415361bp-11, -0x1.4f32a9beb5fd8p-11, -0x1.43595254d845ep-11, -0x1.37e842772c8bcp-11, -0x1.2cdf4109513bbp-11, -0x1.22398ea6168aap-11, -0x1.17f3c8b65dd1cp-11, -0x1.0e0a9ff12c1a2p-11, -0x1.047add15dd82ep-11, -0x1.f682c809bdb8p-12, -0x1.e4b66229e8c1cp-12, -0x1.d38ab1da6e7c6p-12, -0x1.c2fa2bf678dcp-12, -0x1.b2ff069008b81p-12, -0x1.a394362a8f0c3p-12, -0x1.94b49392c4b0ep-12, -0x1.865ae8d20360bp-12, -0x1.787f8105588edp-12, -0x1.6b27993a666cep-12, -0x1.5e446d583faa1p-12, -0x1.51d5363ddd5aap-12, -0x1.45d59422dc865p-12, -0x1.3a41890f991f4p-12, -0x1.2f152492bc7b2p-12, -0x1.244c9bb08a36ep-12, -0x1.19e20a0ba4353p-12, -0x1.0fd875282912ap-12, -0x1.0625e03afd81fp-12, -0x1.f99254e455124p-13, -0x1.e77e387370287p-13, -0x1.d608e3ecf804bp-13, -0x1.c52d2b70840bfp-13, -0x1.b4e54acc61054p-13, -0x1.a52af00907269p-13, -0x1.95f901ed8429ep-13, -0x1.874a8dace4945p-13, -0x1.791a628fe2007p-13, -0x1.6b5d60e20d0f2p-13, -0x1.5e223c95a198cp-13, -0x1.515140e287b2cp-13, -0x1.44ec6965f9bdcp-13, -0x1.38ef9f7f8dc86p-13, -0x1.2d571b130bc89p-13, -0x1.221e42224e25ep-13, -0x1.1742dad117411p-13, -0x1.0cc02c849be8fp-13, -0x1.02931fc107088p-13, -0x1.f1710f6167b4ep-14, -0x1.de5a03daa9f73p-14, -0x1.cbdb8e5d603b5p-14, -0x1.b9efcc3d51c4bp-14, -0x1.a890e4019cfa4p-14, -0x1.97bb41c97a705p-14, -0x1.8764a3913fbc4p-14, -0x1.778dcfd4fb487p-14, -0x1.682f86dc95ec4p-14, -0x1.5945664ef9744p-14, -0x1.4acb33f670038p-14, -0x1.3cbc974440242p-14, -0x1.2f1b21f324a26p-14, -0x1.21d4267932a77p-14, -0x1.14f20b465d39fp-14, -0x1.086c74c41cd22p-14, -0x1.f8846feab01a5p-15, -0x1.e0d46a728f677p-15, -0x1.c9ce9a04ac7efp-15, -0x1.b368d31500cb3p-15, -0x1.9d9e30168a6bcp-15, -0x1.886a4cc840d0cp-15, -0x1.73c1ae1d57695p-15, -0x1.5fa6b0ece2257p-15, -0x1.4c1213f7f2d44p-15, -0x1.38ff744107e5ap-15, -0x1.266a5185d72b8p-15, -0x1.144ea36b1d36fp-15, -0x1.02a87c25fa8a4p-15, -0x1.e2e7feb0e41fp-16, -0x1.c15740501aeddp-16, -0x1.a0c9a7dc5d045p-16, -0x1.80bda41151955p-16, -0x1.61a0060fadea9p-16, -0x1.4344e9f2157bcp-16, -0x1.25a738362410dp-16, -0x1.08c1974bc6071p-16, -0x1.d90f11d05743fp-17, -0x1.a215c4e0aa18fp-17, -0x1.6c60010fec777p-17, -0x1.37f338a94facdp-17, -0x1.04caf8d5ce403p-17, -0x1.a5b5fdc52b746p-18, -0x1.443a57aaafe6fp-18, -0x1.ca1acfe0d075cp-19, -0x1.0f3c9300f915cp-19, -0x1.6c70d79a1bdb6p-21, 0x1.56e508543bc2p-21, 0x1.025b96ce7d1f9p-19, 0x1.aad1e02880ff3p-19, 0x1.277e2e5c40aadp-18, 0x1.77be92543472ep-18, 0x1.c5f0365043748p-18, 0x1.090e92e5e44f6p-17, 0x1.2e48a9e72e834p-17, 0x1.5288c15f32234p-17, 0x1.75de3cd3f3cd9p-17, 0x1.984cf65f6bfa6p-17, 0x1.b9d8a50f96626p-17, 0x1.da84d59d49239p-17, 0x1.fa54e7dd6a9d9p-17, 0x1.0ca5ce28ce77bp-16, 0x1.1ba35fa7b9d68p-16, 0x1.2a5e004096585p-16, 0x1.389de68dbd8aep-16, 0x1.467749b74731ap-16, 0x1.53cf04bba5026p-16, 0x1.610a694c58ad6p-16, 0x1.6daa7befbffd1p-16, 0x1.79d0e199c39c4p-16, 0x1.85dfcdda6a202p-16, 0x1.916c6636748fep-16, 0x1.9c708be94910fp-16, 0x1.a76e8a09ebf53p-16, 0x1.b1e0571bf785dp-16, 0x1.bbf9f13b0a026p-16, 0x1.c5b9f66bb5f38p-16, 0x1.cf20c5c4dd26ap-16, 0x1.d8318ff6110dcp-16, 0x1.e0dc40acc12f6p-16, 0x1.e94aeb150dd02p-16, 0x1.f155eb042d003p-16, 0x1.f90d570f1717bp-16, 0x1.0038ade1e767ep-15, 0x1.03c0f0baedb9fp-15, 0x1.0720987da7ffep-15, 0x1.0a5834f4f4202p-15, 0x1.0d674a5b289e6p-15, 0x1.104eb404e0eeep-15, 0x1.130784fe15c4ap-15, 0x1.15a84dc02b962p-15, 0x1.181aceadedfa1p-15, 0x1.1a678e4766e92p-15, 0x1.1c8eafea047f2p-15, 0x1.1e909b3d0ef98p-15, 0x1.206db894e2ccbp-15, 0x1.2224c6eaff637p-15, 0x1.23bb5b441ab58p-15, 0x1.252c84ac69605p-15, 0x1.267c515ebd982p-15, 0x1.278ee2b07a8c8p-15, 0x1.28afa5fe11a54p-15, 0x1.29902a1028da1p-15, 0x1.2a56b4cc083f4p-15, 0x1.2b008ac8db2c1p-15, 0x1.2b8419d045d12p-15, 0x1.2be7ed1edc621p-15, 0x1.2c2a94449e176p-15, 0x1.2c5071f679e53p-15, 0x1.2c562b1e84f22p-15, 0x1.2c3d677c3375bp-15, 0x1.2c062b83b17e7p-15, 0x1.2bb259fbd9d8ap-15, 0x1.2b40e447e51ecp-15, 0x1.2ab2ce0f6aedcp-15, 0x1.2a098ac227a95p-15, 0x1.295d539483abdp-15, 0x1.2861472af5df1p-15, 0x1.2763da2ed8679p-15, 0x1.264cbf6f4e69dp-15, 0x1.251bb6627d659p-15, 0x1.23d1242b21a17p-15, 0x1.226d7bec16ad3p-15, 0x1.20f13448ab48ap-15, 0x1.1f5cd2183c1cep-15, 0x1.1dafe7de3617fp-15, 0x1.1be9f89c09a2ep-15, 0x1.1a12785ad1bbap-15, 0x1.182a6beaaeac4p-15, 0x1.161c2abb76798p-15, 0x1.14004dbd8b3cp-15, 0x1.11ceafe7e4dabp-15, 0x1.0f8a7e8ca3c18p-15, 0x1.0d31674f5dd5bp-15, 0x1.0ac4c8fbeacbcp-15, 0x1.08452872f4716p-15, 0x1.05b30d9e57d8dp-15, 0x1.030fb09273508p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0a7b278be8fe7p-2, -0x1.15d19098264c5p-2, -0x1.20e627497e7d6p-2, -0x1.2bb76b5cf8a83p-2, -0x1.364400353246bp-2, -0x1.408aabe39fd3ep-2, -0x1.4a8a562a92b74p-2, -0x1.54420779d39aep-2, -0x1.5db0e7e74cb8dp-2, -0x1.66d63e2523175p-2, -0x1.6fb16e765b416p-2, -0x1.7841f9a306cf5p-2, -0x1.80877bece1a53p-2, -0x1.8881ac05156bfp-2, -0x1.90305a03d3314p-2, -0x1.97936e6256f43p-2, -0x1.9eaae8f7d4aa6p-2, -0x1.a576dff9c0a53p-2, -0x1.abf77effd8805p-2, -0x1.b22d060c3ca3bp-2, -0x1.b817c897eecadp-2, -0x1.bdb82ca3e6d37p-2, -0x1.c30ea9cf03509p-2, -0x1.c81bc870f66dbp-2, -0x1.cce020ba5c6eep-2, -0x1.d15c59da17f3dp-2, -0x1.d591292808385p-2, -0x1.d97f515531f3bp-2, -0x1.dd27a1a1608f2p-2, -0x1.e08af51648ee8p-2, -0x1.e3aa31c834d58p-2, -0x1.e686481c2fe05p-2, -0x1.e9203213b2fa3p-2, -0x1.eb78f29dc97d4p-2, -0x1.ed9194eda2c7ep-2, -0x1.ef6b2bd682a78p-2, -0x1.f106d12d0284p-2, -0x1.f265a52d90d41p-2, -0x1.f388cde81e945p-2, -0x1.f47176b0e1afcp-2, -0x1.f520cf961eb7p-2, -0x1.f5980cdad727bp-2, -0x1.f5d8667655abbp-2, -0x1.f5e3179870ba3p-2, -0x1.f5b95e327436ep-2, -0x1.f55c7a849ba0ap-2, -0x1.f4cdaeaff7dep-2, -0x1.f40e3e4cba7fdp-2, -0x1.f31f6e04b92c8p-2, -0x1.f2028332222b7p-2, -0x1.f0b8c3823ee03p-2, -0x1.ef43749c2c05cp-2, -0x1.eda3dbcb77d4dp-2, -0x1.ebdb3dae82e56p-2, -0x1.e9eadde89547fp-2, -0x1.e7d3fed7889dap-2, -0x1.e597e14cf8aa2p-2, -0x1.e337c44adb274p-2, -0x1.e0b4e4c36e92cp-2, -0x1.de107d5c6674fp-2, -0x1.db4bc63541561p-2, -0x1.d867f4b0b111ep-2, -0x1.d5663b4104638p-2, -0x1.d247c93776647p-2, -0x1.cf0dca9657aeap-2, -0x1.cbb967e5f5dc2p-2, -0x1.c84bc60c33531p-2, -0x1.c4c60626b87d3p-2, -0x1.c1294567ab133p-2, -0x1.bd769cf4df29p-2, -0x1.b9af21c962c3ap-2, -0x1.b5d3e4996152dp-2, -0x1.b1e5f1b84208ep-2, -0x1.ade65100f059fp-2, -0x1.a9d605c044f57p-2, -0x1.a5b60ea175476p-2, -0x1.a187659c7da14p-2, -0x1.9d4affe676353p-2, -0x1.9901cde3bab32p-2, -0x1.94acbb1be336bp-2, -0x1.904cae2f6d17ap-2, -0x1.8be288cf140ecp-2, -0x1.876f27b4bff9ap-2, -0x1.82f3629e0114ap-2, -0x1.7e700c4804ae1p-2, -0x1.79e5f26cfbb99p-2, -0x1.7555ddc2daa28p-2, -0x1.70c091fb702afp-2, -0x1.6c26cdc5b9d3ep-2, -0x1.67894ad070f9ap-2, -0x1.62e8bdcdc05dap-2, -0x1.5e45d67811674p-2, -0x1.59a13f97ea131p-2, -0x1.54fb9f0acd7bfp-2, -0x1.505595cb0c878p-2, -0x1.4bafbff886b3bp-2, -0x1.470ab4e241148p-2, -0x1.42670710d29fp-2, -0x1.3dc54451973fep-2, -0x1.3925f5c29c19cp-2, -0x1.34899fdf3bafcp-2, -0x1.2ff0c28d64448p-2, -0x1.2b5bd92b71fefp-2, -0x1.26cb5a9ea28d9p-2, -0x1.223fb9620b689p-2, -0x1.1db963960ebe1p-2, -0x1.1938c31047fe9p-2, -0x1.14be3d6be1f75p-2, -0x1.104a341a4f709p-2, -0x1.0bdd047461093p-2, -0x1.077707cbab1d8p-2, -0x1.0318937c38a51p-2, -0x1.fd83f1fcfbad7p-3, -0x1.f4e70bf31522fp-3, -0x1.ec5b08aad4252p-3, -0x1.e3e0749b71881p-3, -0x1.db77d508af054p-3, -0x1.d321a8288c10fp-3, -0x1.cade6549286cap-3, -0x1.c2ae7cf6cac9bp-3, -0x1.ba9259220c5e1p-3, -0x1.b28a5d460b81ep-3, -0x1.aa96e68eaf03ep-3, -0x1.a2b84bfedc4bep-3, -0x1.9aeede96a8366p-3, -0x1.933ae9796a07ep-3, -0x1.8b9cb213b6a06p-3, -0x1.841478412b4dfp-3, -0x1.7ca2767210292p-3, -0x1.7546e1d0bea13p-3, -0x1.6e01ea66cb567p-3, -0x1.66d3bb41e530dp-3, -0x1.5fbc7a98735f1p-3, -0x1.58bc49edd293cp-3, -0x1.51d34636485fbp-3, -0x1.4b0187fa8cfe1p-3, -0x1.4447237afc4a6p-3, -0x1.3da428d257e09p-3, -0x1.3718a41823354p-3, -0x1.30a49d828c72ap-3, -0x1.2a481987e13a6p-3, -0x1.240318ff91ee7p-3, -0x1.1dd59942b0285p-3, -0x1.17bf944bfbb83p-3, -0x1.11c100d76589fp-3, -0x1.0bd9d28115a3ep-3, -0x1.0609f9e3ea8fbp-3, -0x1.005164b76f8c4p-3, -0x1.f55ffbdaa6677p-4, -0x1.ea4b5b9c8a297p-4, -0x1.df64b42cae89fp-4, -0x1.d4abcc218dcdp-4, -0x1.ca20656686bf5p-4, -0x1.bfc23d713748dp-4, -0x1.b5910d75c48f5p-4, -0x1.ab8c8a9a10a8ep-4, -0x1.a1b46627b3a59p-4, -0x1.98084dbcfc324p-4, -0x1.8e87eb7cac893p-4, -0x1.8532e63cb62fep-4, -0x1.7c08e1b3c90eap-4, -0x1.73097ea5cb2adp-4, -0x1.6a345b0f36068p-4, -0x1.6189124f58f0bp-4, -0x1.59073d5185076p-4, -0x1.50ae72b523441p-4, -0x1.487e46f4b7373p-4, -0x1.40764c8bcf80bp-4, -0x1.3896141be94bfp-4, -0x1.30dd2c9046d05p-4, -0x1.294b2340bbffcp-4, -0x1.21df841376ab9p-4, -0x1.1a99d99dc1f17p-4, -0x1.1379ad43ca386p-4, -0x1.0c7e8757648e2p-4, -0x1.05a7ef35dd433p-4, -0x1.fdead6c9a0204p-5, -0x1.f0cd035c1d5f5p-5, -0x1.e3f56e7531d93p-5, -0x1.d7632159545cfp-5, -0x1.cb152471c121ep-5, -0x1.bf0a7f7d00aep-5, -0x1.b34239bdb2005p-5, -0x1.a7bb5a279fbedp-5, -0x1.9c74e78b249f3p-5, -0x1.916de8beee2c6p-5, -0x1.86a564c81e9cap-5, -0x1.7c1a6300dabd4p-5, -0x1.71cbeb3d4afcep-5, -0x1.67b905ef169dep-5, -0x1.5de0bc4764adbp-5, -0x1.5442185764dcfp-5, -0x1.4adc252f6effcp-5, -0x1.41adeefcc099ap-5, -0x1.38b68325d8cedp-5, -0x1.2ff4f06587d7fp-5, -0x1.276846e4adbe6p-5, -0x1.1f0f9852baadfp-5, -0x1.16e9f7fcef727p-5, -0x1.0ef67ae46f603p-5, -0x1.073437d323a5ep-5, -0x1.ff448edefb832p-6, -0x1.f07f889e3b579p-6, -0x1.e2179610c583p-6, -0x1.d40af485e8304p-6, -0x1.c657e58e82934p-6, -0x1.b8fcaf1a0d41ep-6, -0x1.abf79b91b97c9p-6, -0x1.9f46f9f1b1f4fp-6, -0x1.92e91de08d427p-6, -0x1.86dc5fc500166p-6, -0x1.7b1f1cd9dc8fap-6, -0x1.6fafb7406cbffp-6, -0x1.648c961137de8p-6, -0x1.59b4256b3a991p-6, -0x1.4f24d681a41b9p-6, -0x1.44dd1fa82310ap-6, -0x1.3adb7c5dce90dp-6, -0x1.311e6d56ba7ccp-6, -0x1.27a47884395d2p-6, -0x1.1e6c291bea0cbp-6, -0x1.15740f9d8ad51p-6, -0x1.0cbac1d7a44b6p-6, -0x1.043edaeb1c1b4p-6, -0x1.f7fdf69b62525p-7, -0x1.e7f39196eae75p-7, -0x1.d85bdd0e8cdp-7, -0x1.c93439f4ad53fp-7, -0x1.ba7a13e59c77dp-7, -0x1.ac2ae123172a2p-7, -0x1.9e44228e23396p-7, -0x1.90c3639f53274p-7, -0x1.83a63a5d7fea5p-7, -0x1.76ea4753162e1p-7, -0x1.6a8d3581ff819p-7, -0x1.5e8cba563df9cp-7, -0x1.52e695973a47fp-7, -0x1.47989157f639fp-7, -0x1.3ca081e60a071p-7, -0x1.31fc45b79d87bp-7, -0x1.27a9c55858471p-7, -0x1.1da6f3555dd2dp-7, -0x1.13f1cc286316fp-7, -0x1.0a885621eada8p-7, -0x1.0168a152b5991p-7, -0x1.f1218ee8e1abap-8, -0x1.dffdd7a36a33ap-8, -0x1.cf62765ab3977p-8, -0x1.bf4bd7525f87fp-8, -0x1.afb67958522e2p-8, -0x1.a09eed8ff8994p-8, -0x1.9201d73c977a5p-8, -0x1.83dbeb8ab671p-8, -0x1.7629f158bd4ebp-8, -0x1.68e8c0fed59aap-8, -0x1.5c1544161f431p-8, -0x1.4fac753f51882p-8, -0x1.43ab5fe8cf29bp-8, -0x1.380f20144805fp-8, -0x1.2cd4e21bf0526p-8, -0x1.21f9e27760927p-8, -0x1.177b6d802c5fap-8, -0x1.0d56df363c1d3p-8, -0x1.0389a303f911cp-8, -0x1.f4226704b1264p-9, -0x1.e1d63479a27a6p-9, -0x1.d029deea8dbd2p-9, -0x1.bf18b3cff41dap-9, -0x1.ae9e1d1f057c2p-9, -0x1.9eb5a0d1c714bp-9, -0x1.8f5ae06f7b764p-9, -0x1.80899895612c2p-9, -0x1.723da07fd98c9p-9, -0x1.6472e994037edp-9, -0x1.57257ee9e89fap-9, -0x1.4a5184d739f28p-9, -0x1.3df3387abba78p-9, -0x1.3206ef485ed3ep-9, -0x1.2689169626f53p-9, -0x1.1b763329d8fcdp-9, -0x1.10cae0c784c8fp-9, -0x1.0683d1c0fb9d9p-9, -0x1.f93b9d0c607aap-10, -0x1.e62b6a6d2f6e5p-10, -0x1.d3d0f26714b04p-10, -0x1.c22645676b4a2p-10, -0x1.b1259caf3c78p-10, -0x1.a0c9597e85015p-10, -0x1.910c0441c1c92p-10, -0x1.81e84bc1c5d64p-10, -0x1.73590456013bp-10, -0x1.6559271922588p-10, -0x1.57e3d1203a056p-10, -0x1.4af442b452d4fp-10, -0x1.3e85de8e95637p-10, -0x1.32942916f9a8ep-10, -0x1.271ac7a58d32p-10, -0x1.1c157fc64e419p-10, -0x1.1180367fb01bfp-10, -0x1.0756ef9bb79b8p-10, -0x1.fb2b99e799f7cp-11, -0x1.e8721b7e505c1p-11, -0x1.d67a1bc7f0efbp-11, -0x1.c53c8a9663f71p-11, -0x1.b4b28e6e1bbe5p-11, -0x1.a4d5833875a98p-11, -0x1.959ef8fb7b90bp-11, -0x1.8708b2970482dp-11, -0x1.790ca487360ecp-11, -0x1.6ba4f3ac5e6afp-11, -0x1.5ecbf4182741fp-11, -0x1.527c27e01d897p-11, -0x1.46b03df584417p-11, -0x1.3b6311027135fp-11, -0x1.308fa64c29d93p-11, -0x1.26312c9abad0bp-11, -0x1.1c42fb25bef13p-11, -0x1.12c0908650098p-11, -0x1.09a591ae18065p-11, -0x1.00edc8e374402p-11, -0x1.f12a49854dc94p-12, -0x1.e12f6e880c8cp-12, -0x1.d1e3698e43e84p-12, -0x1.c33ee6459f544p-12, -0x1.b53ad1742b68ap-12, -0x1.a7d0572bc856ep-12, -0x1.9af8e10724e0ep-12, -0x1.8eae147024fc9p-12, -0x1.82e9d0ef95133p-12, -0x1.77a62e861849ap-12, -0x1.6cdd7c0e29be2p-12, -0x1.628a3da71f2a1p-12, -0x1.58a72b2905ba6p-12, -0x1.4f2f2ea1454cbp-12, -0x1.461d62d7e5244p-12, -0x1.3d6d11dd569cfp-12, -0x1.3519b3a0a97d6p-12, -0x1.2d1eec8e07ae5p-12, -0x1.25788c355dc4p-12, -0x1.1e228bf90e207p-12, -0x1.17190dc4900e1p-12, -0x1.10585acadfcd8p-12, -0x1.09dce24c97f46p-12, -0x1.03a33865a21a2p-12, -0x1.fb5029c49f11p-13, -0x1.efd0a43790bfbp-13, -0x1.e4c1d7b756b43p-13, -0x1.da1dfc8d8000fp-13, -0x1.cfdf899d36b3ap-13, -0x1.c601325439e55p-13, -0x1.bc7de4a93bee6p-13, -0x1.b350c72775018p-13, -0x1.aa7537072137fp-13, -0x1.a1e6c652ba52ap-13, -0x1.99a13a18a353fp-13, -0x1.91a088a911b42p-13, -0x1.89e0d7dffa8b1p-13, -0x1.825e7b7ac021dp-13, -0x1.7b15f3796badap-13, -0x1.7403ea8b38a8ep-13, -0x1.6d25348635703p-13, -0x1.6676cce9bf7f3p-13, -0x1.5ff5d56ba7f4ap-13, -0x1.599f948fbf84bp-13, -0x1.537174499f835p-13, -0x1.4d6900a867f83p-13, -0x1.4783e68c4a343p-13, -0x1.41bff265a6426p-13, -0x1.3c1b0efd84437p-13, -0x1.369344473742cp-13, -0x1.3126b63af1ac7p-13, -0x1.2bd3a3b924aap-13, -0x1.26986576633c6p-13, -0x1.21736cefad288p-13, -0x1.1c634366e475bp-13, -0x1.176688e73a26ep-13, -0x1.127bf351738f2p-13, -0x1.0da24d6fc1ff1p-13, -0x1.08d8761111c6cp-13, -0x1.041d5f2b99997p-13, -0x1.fee01a0d0730dp-14, -0x1.f59f2ad4f05a3p-14, -0x1.ec763db1dbbddp-14, -0x1.e363bf94206bcp-14, -0x1.da663be20807fp-14, -0x1.d17c5b0cfc8d2p-14, -0x1.c8a4e132c0537p-14, -0x1.bfdeaccaacbf9p-14, -0x1.b728b55e6216bp-14, -0x1.ae820a4ddbda1p-14, -0x1.a5e9d19e67f65p-14, -0x1.9d5f46d45b205p-14, -0x1.94e1b9d731ab5p-14, -0x1.8c708ddfc34f8p-14, -0x1.840b38705f5e8p-14, -0x1.7bb140567a346p-14, -0x1.73623cb5af5e2p-14, -0x1.6b1dd41bd5a1p-14, -0x1.62e3bb9de5a6p-14, -0x1.5ab3b5fd70d27p-14, -0x1.528d92d66f02dp-14, -0x1.4a712dd521964p-14, -0x1.425e6df3d534fp-14, -0x1.3a5544c0442afp-14, -0x1.3255ada8634d3p-14, -0x1.2a5fad4e601e3p-14, -0x1.227350e39ab2ep-14, -0x1.1a90ad8a65d6ap-14, -0x1.12b7dfbe58776p-14, -0x1.0ae90ac2ffe56p-14, -0x1.03245818be7a3p-14, -0x1.f6d3edef4d773p-15, -0x1.e77437a04a71ep-15, -0x1.d829ffa290ff7p-15, -0x1.c8f5c0e8f54f7p-15, -0x1.b9d7fe1d02d33p-15, -0x1.aad140cb2f6cap-15, -0x1.9be21898edabfp-15, -0x1.8d0b1a84504adp-15, -0x1.7e4ce02ce9244p-15, -0x1.6fa8072597a4bp-15, -0x1.611d304efc79ap-15, -0x1.52acff3a43f63p-15, -0x1.445819940147p-15, -0x1.361f2696d4342p-15, -0x1.2802ce859161dp-15, -0x1.1a03ba2caf18bp-15, -0x1.0c22926aaf3dfp-15, -0x1.fcbfff7e98f6bp-16, -0x1.e17953c24e6b7p-16, -0x1.c6726eb379491p-16, -0x1.abac9a4ec7e34p-16, -0x1.91291cca48affp-16, -0x1.76e937f0410b6p-16, -0x1.5cee2884d4701p-16, -0x1.433925b60b00ep-16, -0x1.29cb6095d114p-16, -0x1.10a6039d92c9p-16, -0x1.ef9464760966ep-17, -0x1.be7210cbaa482p-17, -0x1.8de7347b9725fp-17, -0x1.5df5e7623a782p-17, -0x1.2ea0305507b7p-17, -0x1.ffd0091b7954ap-18, -0x1.a39e8e47d2f67p-18, -0x1.48af91287e416p-18, -0x1.de0d1953f75fbp-19, -0x1.2d4da9dbd9b2fp-19, -0x1.fc9cb528d8e48p-21, 0x1.630297f91a872p-22, 0x1.aa863d20de1afp-20, 0x1.7b7bceb47d20cp-19, 0x1.0f82a788b7733p-18, 0x1.5fed6f11c6df1p-18, 0x1.aefc06ca0d9c4p-18, 0x1.fcac6136e9ca3p-18, 0x1.247e4d4c39732p-17, 0x1.49f57c7203863p-17, 0x1.6ebaf5d818736p-17, 0x1.92ce060957bd7p-17, 0x1.b62e0e38b7f74p-17, 0x1.d8da842382ac9p-17, 0x1.fad2f1edceb75p-17, 0x1.0e0b7afcb1c1dp-16, 0x1.1e53215bbdb89p-16, 0x1.2e404f3ad485fp-16, 0x1.3dd2f193116cdp-16, 0x1.4d0aff11eb254p-16, 0x1.5be877f93a1ep-16, 0x1.6a6b65fd649b3p-16, 0x1.7893dc21d3471p-16, 0x1.8661f693c48cep-16, 0x1.93d5da83acda8p-16, 0x1.a0efb5fd32eb4p-16, 0x1.adafbfbded944p-16, 0x1.ba16370afc4a3p-16, 0x1.c623638592e16p-16, 0x1.d1d794fe94a1p-16, 0x1.dd33234954488p-16, 0x1.e8366e0d92f7ep-16, 0x1.f2e1dc98ce8d3p-16, 0x1.fd35ddaf0155dp-16, 0x1.039973ad6afa5p-15, 0x1.086cbb5eb90a2p-15, 0x1.0d1507eef1b63p-15, 0x1.11929ebc1f7a5p-15, 0x1.15e5c866461b1p-15, 0x1.1a0ed0b6c1f78p-15, 0x1.1e0e068798964p-15, 0x1.21e3bbaac8792p-15, 0x1.259044d195571p-15, 0x1.2913f973df24ep-15, 0x1.2c6f33b786ceep-15, 0x1.2fa25057e8345p-15, 0x1.32adae8d6cfecp-15, 0x1.3591aff53f2e9p-15, 0x1.384eb879217b2p-15, 0x1.3ae52e376fb1dp-15, 0x1.3d55796b4d8e8p-15, 0x1.3fa0045509761p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c9d14e3119aaap-1, 0x1.c89516b684f57p-1, 0x1.c744d0e2b5526p-1, 0x1.c5e054b7a7999p-1, 0x1.c4678576954dep-1, 0x1.c2da515dc989ep-1, 0x1.c138b15ac42bep-1, 0x1.bf82a8b2eaf6bp-1, 0x1.bdb844a4bfc9ap-1, 0x1.bbd99c03499fcp-1, 0x1.b9e6cecd2583cp-1, 0x1.b7e005c0812f3p-1, 0x1.b5c571ed0c46cp-1, 0x1.b3974c44d054bp-1, 0x1.b155d52cb5dc8p-1, 0x1.af01540d60bbap-1, 0x1.ac9a16e4f3373p-1, 0x1.aa2071da32343p-1, 0x1.a794bed170a1cp-1, 0x1.a4f75d0392cacp-1, 0x1.a248b097728f9p-1, 0x1.9f89223dda319p-1, 0x1.9cb91ed041718p-1, 0x1.99d916f272d45p-1, 0x1.96e97eb7305d8p-1, 0x1.93eacd47ec329p-1, 0x1.90dd7c8f9fed7p-1, 0x1.8dc208e8ccf51p-1, 0x1.8a98f0cea5313p-1, 0x1.8762b4915be37p-1, 0x1.841fd60d99cd5p-1, 0x1.80d0d8670d9a8p-1, 0x1.7d763fc60c3ebp-1, 0x1.7a109118379adp-1, 0x1.76a051d41d54dp-1, 0x1.732607bfbb6bdp-1, 0x1.6fa238b9e0a0fp-1, 0x1.6c156a865085dp-1, 0x1.6880229c9f50fp-1, 0x1.64e2e5f9af085p-1, 0x1.613e38f3be2f1p-1, 0x1.5d929f10f3106p-1, 0x1.59e09ae05282p-1, 0x1.5628add50c1fcp-1, 0x1.526b58240d7d7p-1, 0x1.4ea918a3c4567p-1, 0x1.4ae26cae008edp-1, 0x1.4717d003e23b8p-1, 0x1.4349bcb3c138ep-1, 0x1.3f78ab00fbd6p-1, 0x1.3ba5114d9c88bp-1, 0x1.37cf6405c2de5p-1, 0x1.33f8158cbf9c9p-1, 0x1.301f962bd5c6cp-1, 0x1.2c4654028a524p-1, 0x1.286cbaf877c2ep-1, 0x1.249334b09569ep-1, 0x1.20ba287ddeb5cp-1, 0x1.1ce1fb5951c5cp-1, 0x1.190b0fd93177ep-1, 0x1.1535c62980d33p-1, 0x1.11627c05a6df6p-1, 0x1.0d918cb32e99fp-1, 0x1.09c350fd98b29p-1, 0x1.05f81f332c959p-1, 0x1.02304b22c22c8p-1, 0x1.fcd84c34eba12p-2, 0x1.f557fdce72ec4p-2, 0x1.ede043aa756aep-2, 0x1.e671b16224839p-2, 0x1.df0cd5935d77bp-2, 0x1.d7b239e5edd49p-2, 0x1.d06263122381p-2, 0x1.c91dd0e8a4e36p-2, 0x1.c1e4fe5b72562p-2, 0x1.bab86188049b3p-2, 0x1.b3986bc27725dp-2, 0x1.ac8589a1aa019p-2, 0x1.a580230c4f044p-2, 0x1.9e889b46cfd2fp-2, 0x1.979f5101fff8dp-2, 0x1.90c49e6a8896ep-2, 0x1.89f8d93905518p-2, 0x1.833c52c2bf21dp-2, 0x1.7c8f580afe013p-2, 0x1.75f231d4dcc3dp-2, 0x1.6f6524b59c7e1p-2, 0x1.68e8712765dd5p-2, 0x1.627c539c6c949p-2, 0x1.5c21049270e72p-2, 0x1.55d6b8a68b167p-2, 0x1.4f9da0a941948p-2, 0x1.4975e9b2d7813p-2, 0x1.435fbd37d0d03p-2, 0x1.3d5b411d9ee4fp-2, 0x1.376897cf71af5p-2, 0x1.3187e0532169ep-2, 0x1.2bb9365e2bb19p-2, 0x1.25fcb26abf91ep-2, 0x1.205269ccc83eep-2, 0x1.1aba6ec6fdf7cp-2, 0x1.1534d09fe8d66p-2, 0x1.0fc19bb6db43dp-2, 0x1.0a60d998d6df8p-2, 0x1.051291155a886p-2, 0x1.ffad8ca624faap-3, 0x1.f55af5c8d1a6ap-3, 0x1.eb2d5bb7daeb2p-3, 0x1.e124b7c12e017p-3, 0x1.d740fe83a3d76p-3, 0x1.cd822016c4c7p-3, 0x1.c3e808321c991p-3, 0x1.ba729e541ed0cp-3, 0x1.b121c5e8998p-3, 0x1.a7f55e6ea50b9p-3, 0x1.9eed439e1c4edp-3, 0x1.96094d8c855edp-3, 0x1.8d4950d17ba42p-3, 0x1.84ad1eaa81c7ep-3, 0x1.7c34851e4d0c8p-3, 0x1.73df4f1f7414dp-3, 0x1.6bad44ae8902dp-3, 0x1.639e2afb9efp-3, 0x1.5bb1c4872ae87p-3, 0x1.53e7d1424af78p-3, 0x1.4c400eae7183dp-3, 0x1.44ba37fc68a9ap-3, 0x1.3d56062ab2db5p-3, 0x1.361330235274p-3, 0x1.2ef16ad8debbp-3, 0x1.27f06962fef8dp-3, 0x1.210fdd1a3a059p-3, 0x1.1a4f75b32783dp-3, 0x1.13aee158f12eap-3, 0x1.0d2dccc73a399p-3, 0x1.06cbe3635dcep-3, 0x1.0088cf5504a5cp-3, 0x1.f4c8733c43319p-4, 0x1.e8bb94648548dp-4, 0x1.dcea501a873c6p-4, 0x1.d153f292c6e7ap-4, 0x1.c5f7c66969dc4p-4, 0x1.bad514cbee9p-4, 0x1.afeb25a19b9afp-4, 0x1.a5393fb2bcdacp-4, 0x1.9abea8ceb2p-4, 0x1.907aa5f0cad47p-4, 0x1.866c7b63f4ea4p-4, 0x1.7c936ce54ae5ep-4, 0x1.72eebdc5782edp-4, 0x1.697db10901648p-4, 0x1.603f898770e37p-4, 0x1.57338a096b0bcp-4, 0x1.4e58f565b125ep-4, 0x1.45af0e9d15e2ap-4, 0x1.3d3518f567b09p-4, 0x1.34ea581355a4dp-4, 0x1.2cce1013554eap-4, 0x1.24df85a18a557p-4, 0x1.1d1dfe10b98efp-4, 0x1.1588bf7048145p-4, 0x1.0e1f10a14c7efp-4, 0x1.06e0396ab9af6p-4, 0x1.ff97051944d7ep-5, 0x1.f1c06ba541209p-5, 0x1.e43b3c4ac26f9p-5, 0x1.d7060f36b59dap-5, 0x1.ca1f7f1167cf8p-5, 0x1.bd86291cbaedep-5, 0x1.b138ad50cce2bp-5, 0x1.a535ae771b747p-5, 0x1.997bd2442c241p-5, 0x1.8e09c16fc512p-5, 0x1.82de27cbbd3efp-5, 0x1.77f7b4596d4fp-5, 0x1.6d55195dce2dbp-5, 0x1.62f50c7449173p-5, 0x1.58d646a048dcbp-5, 0x1.4ef7845d8c636p-5, 0x1.455785af4e6c2p-5, 0x1.3bf50e2e413c3p-5, 0x1.32cee5156c931p-5, 0x1.29e3d54df7c8p-5, 0x1.2132ad79e1779p-5, 0x1.18ba3ffdb5a41p-5, 0x1.1079630944c05p-5, 0x1.086ef09f67406p-5, 0x1.0099c69cd1e8dp-5, 0x1.f1f18d7c0da92p-6, 0x1.e315ad48d254cp-6, 0x1.d49dbfb4f4662p-6, 0x1.c6879fae9136cp-6, 0x1.b8d1300233f2ep-6, 0x1.ab785b5ea6515p-6, 0x1.9e7b145751f84p-6, 0x1.91d755654155bp-6, 0x1.858b20e6c2bc8p-6, 0x1.7994811dd0f5p-6, 0x1.6df1882d332e6p-6, 0x1.62a05014799c9p-6, 0x1.579efaaad121p-6, 0x1.4cebb198c5ec2p-6, 0x1.4284a650fc1fdp-6, 0x1.38681207e9021p-6, 0x1.2e9435aa9da26p-6, 0x1.250759d4a72bcp-6, 0x1.1bbfcec5145d8p-6, 0x1.12bbec52a9512p-6, 0x1.09fa11df4fa08p-6, 0x1.0178a64ac237ap-6, 0x1.f26c2fc91c4eep-7, 0x1.e261b8bacb522p-7, 0x1.d2cee16fa1279p-7, 0x1.c3b0b2709a8b8p-7, 0x1.b50442a9b4837p-7, 0x1.a6c6b748067e1p-7, 0x1.98f54396ce3c9p-7, 0x1.8b8d28dba1972p-7, 0x1.7e8bb631bada6p-7, 0x1.71ee48647be3bp-7, 0x1.65b249c93d18cp-7, 0x1.59d532185b8f6p-7, 0x1.4e548645b6401p-7, 0x1.432dd8588e946p-7, 0x1.385ec742e9defp-7, 0x1.2de4feb870c95p-7, 0x1.23be3704e60c6p-7, 0x1.19e834e239a81p-7, 0x1.1060c94e44915p-7, 0x1.0725d16038f0fp-7, 0x1.fc6a6c3ba228ep-8, 0x1.eb19d8a08cb8p-8, 0x1.da55e8b236861p-8, 0x1.ca1ab40d81a23p-8, 0x1.ba6468d24132fp-8, 0x1.ab2f4b4c29fdfp-8, 0x1.9c77b59badd31p-8, 0x1.8e3a175ed22efp-8, 0x1.8072f55a12f7cp-8, 0x1.731ee9215ed73p-8, 0x1.663aa0c13ab4bp-8, 0x1.59c2de681c12ap-8, 0x1.4db478100428cp-8, 0x1.420c57286b377p-8, 0x1.36c77840843c8p-8, 0x1.2be2eab1e8cdcp-8, 0x1.215bd04bb3018p-8, 0x1.172f5cfe12e94p-8, 0x1.0d5ad68667365p-8, 0x1.03db941be4dcp-8, 0x1.f55dfc39a340bp-9, 0x1.e3a51b78bec9fp-9, 0x1.d28799625713fp-9, 0x1.c200a9c8d9a8ep-9, 0x1.b20ba043a672ap-9, 0x1.a2a3ef9046cd7p-9, 0x1.93c528f526c99p-9, 0x1.856afba5d6cdp-9, 0x1.77913428e5e96p-9, 0x1.6a33bbbf5e76dp-9, 0x1.5d4e97cde8e57p-9, 0x1.50dde947a2d87p-9, 0x1.44ddec1aaf0acp-9, 0x1.394af69e8940bp-9, 0x1.2e2179041c057p-9, 0x1.235dfcc7a9181p-9, 0x1.18fd242481b77p-9, 0x1.0efba98a97ceep-9, 0x1.05565f15ead44p-9, 0x1.f8145c0fa40f3p-10, 0x1.e6282c84590c6p-10, 0x1.d4e25b88e8c12p-10, 0x1.c43d405578098p-10, 0x1.b4335c5d22f7dp-10, 0x1.a4bf5a539c79ap-10, 0x1.95dc0d36acc75p-10, 0x1.87846f5b7c9adp-10, 0x1.79b3a17fc291dp-10, 0x1.6c64e9dec899p-10, 0x1.5f93b34a46007p-10, 0x1.533b8c4712b9p-10, 0x1.4758262db17b9p-10, 0x1.3be5544eaa172p-10, 0x1.30df0b1aaae57p-10, 0x1.26415f4e8249p-10, 0x1.1c088522cf8d3p-10, 0x1.1230cf7f81ae3p-10, 0x1.08b6af3306c21p-10, 0x1.ff2d645a6a432p-11, 0x1.ed9b057bcfcc6p-11, 0x1.dcafcdae7612bp-11, 0x1.cc657ea6df9f3p-11, 0x1.bcb60e7cd08d4p-11, 0x1.ad9ba6456aa91p-11, 0x1.9f10a0b45d213p-11, 0x1.910f88c417cdfp-11, 0x1.83931864f07ep-11, 0x1.7696373326eacp-11, 0x1.6a13f933b8b1ep-11, 0x1.5e079d97ed01dp-11, 0x1.526c8d878b236p-11, 0x1.473e5af1a2a83p-11, 0x1.3c78bf63d45b2p-11, 0x1.32179ae808208p-11, 0x1.2816f2e87895fp-11, 0x1.1e72f11a026d5p-11, 0x1.1527e26ca08b3p-11, 0x1.0c32360200a49p-11, 0x1.038e7c2a1abdcp-11, 0x1.f672cacb6b668p-12, 0x1.e65f82dd865b8p-12, 0x1.d6dcfc8cfbaebp-12, 0x1.c7e54e9262fefp-12, 0x1.b972c88f36557p-12, 0x1.ab7ff14b8ddd3p-12, 0x1.9e0784feaf1f1p-12, 0x1.910473a244857p-12, 0x1.8471df500c112p-12, 0x1.784b1aa9d6f6dp-12, 0x1.6c8ba74ba90fdp-12, 0x1.612f3447cf93dp-12, 0x1.56319cacbf608p-12, 0x1.4b8ee614915eep-12, 0x1.41433f3df47edp-12, 0x1.374afeae61f0dp-12, 0x1.2da2a15d6d56ep-12, 0x1.2446c9690863ap-12, 0x1.1b343cd289449p-12, 0x1.1267e4444bc1cp-12, 0x1.09dec9dfc658ep-12, 0x1.01961813e23bep-12, 0x1.f31630f6e8d9ap-13, 0x1.e37665874ea5ap-13, 0x1.d447d7346b6bep-13, 0x1.c585c74683122p-13, 0x1.b72baced552dp-13, 0x1.a93533496f25p-13, 0x1.9b9e3783d3e3ap-13, 0x1.8e62c6f3b1e13p-13, 0x1.817f1d51d3ce8p-13, 0x1.74efa2f981fe5p-13, 0x1.68b0eb36949b7p-13, 0x1.5cbfb2a0547e1p-13, 0x1.5118dd80fae27p-13, 0x1.45b9764978a31p-13, 0x1.3a9eac114168p-13, 0x1.2fc5d121dad8cp-13, 0x1.252c598ddb241p-13, 0x1.1acfd9d3246f1p-13, 0x1.10ae05881180ep-13, 0x1.06c4ae134d69ep-13, 0x1.fa2382dc339bep-14, 0x1.e72691e194563p-14, 0x1.d48ed05240b26p-14, 0x1.c258b774d3aabp-14, 0x1.b080f08dfcbdfp-14, 0x1.9f0452c60ad6dp-14, 0x1.8ddfe120556a4p-14, 0x1.7d10c88435fb6p-14, 0x1.6c945dd70bfc5p-14, 0x1.5c681c26e2079p-14, 0x1.4c89a2e543214p-14, 0x1.3cf6b431d38e3p-14, 0x1.2dad333445ac3p-14, 0x1.1eab22853d9f8p-14, 0x1.0feea2a5c17aep-14, 0x1.0175f084cdf05p-14, 0x1.e67ec8255df6bp-15, 0x1.ca92ddc376211p-15, 0x1.af2535a821f7p-15, 0x1.943311abf9744p-15, 0x1.79b9df494dd5bp-15, 0x1.5fb735416e82dp-15, 0x1.4628d1591f26cp-15, 0x1.2d0c962b9b0a7p-15, 0x1.14608913774e8p-15, 0x1.f845a05186ab7p-16, 0x1.c8a360a78d5bbp-16, 0x1.99d716e77b2cp-16, 0x1.6bddbd31f491fp-16, 0x1.3eb480a3b2fc6p-16, 0x1.1258be13dcf78p-16, 0x1.cd8ffdeb7a262p-17, 0x1.77ffecb972f0fp-17, 0x1.23fcfc42e7c7ep-17, 0x1.a306509c5292bp-18, 0x1.011d5efe9ec5bp-18, 0x1.88e072e9c82f4p-20, -0x1.cd8056f342236p-21, -0x1.a542868db50fap-19, -0x1.68a1576a41becp-18, -0x1.fbb5b9dec25d2p-18, -0x1.45f1c65ce39e9p-17, -0x1.8c97d48106f88p-17, -0x1.d1cf52e153a69p-17, -0x1.0acd37b08bda4p-16, -0x1.2bfd9eb85dc9ep-16, -0x1.4c79dc8924e55p-16, -0x1.6c42e4da6a256p-16, -0x1.8b59a274015f2p-16, -0x1.a9bef874adf1p-16, -0x1.c773c386512dfp-16, -0x1.e478db004e05ep-16, -0x1.006788fc68264p-15, -0x1.0e3b9c22cead3p-15, -0x1.1bb90db68308fp-15, -0x1.28e043c3cdd94p-15, -0x1.35b1a409a2a33p-15, -0x1.422d945c1b546p-15, -0x1.4e547b00376eep-15, -0x1.5a26bf0119f55p-15, -0x1.65a4c87f11075p-15, -0x1.70cf00f8a3591p-15, -0x1.7ba5d38de79e8p-15, -0x1.8629ad3e5f8ffp-15, -0x1.905afd2193c6ap-15, -0x1.9a3a349aacf9dp-15, -0x1.a3c7c7873e7d3p-15, -0x1.ad042c697a359p-15, -0x1.b5efdc8e04c6dp-15, -0x1.be8b542d99e71p-15, -0x1.c6d7128ab5cc5p-15, -0x1.ced39a0b70061p-15, -0x1.d681704fb91f2p-15, -0x1.dde11e442642ap-15, -0x1.e4f3303177926p-15, -0x1.ebb835c902407p-15, -0x1.f230c22e26c66p-15, -0x1.f85d6bfcfdbdfp-15, -0x1.fe3ecd4e59faap-15, -0x1.01eac1dca75d6p-14, -0x1.0491182929c25p-14, -0x1.0712bbd417051p-14, -0x1.097000df6111ap-14, -0x1.0ba93d03f1cebp-14, -0x1.0dbec7ad277e1p-14, -0x1.0fb0f9f370a79p-14, -0x1.11802e9616afap-14, -0x1.132cc1f44556p-14, -0x1.14b712055bb79p-14, -0x1.161f7e5093422p-14, -0x1.176667e409ee5p-14, -0x1.188c314b39d6bp-14, -0x1.19913e84eac75p-14, -0x1.1a75f4f8a83a1p-14, -0x1.1b3abb6bc5781p-14, -0x1.1bdff9f5fb699p-14, -0x1.1c6619f5a8001p-14, -0x1.1ccd8603b83d6p-14, -0x1.1d16a9e748badp-14, -0x1.1d41f288ffeedp-14, -0x1.1d4fcde62f57ap-14, -0x1.1d40ab03c03ap-14, -0x1.1d14f9e0f2fa3p-14, -0x1.1ccd2b69faf85p-14, -0x1.1c69b16a7a898p-14, -0x1.1beafe7fe7586p-14, -0x1.1b51860bdb7ebp-14, -0x1.1a9dbc265c2bdp-14, -0x1.19d01590171c5p-14, -0x1.18e907a4a06c5p-14, -0x1.17e9084cb266ap-14, -0x1.16d08df076269p-14, -0x1.15a00f69d7936p-14, -0x1.145803f6ebea3p-14, -0x1.12f8e32c6ad54p-14, -0x1.118324e841746p-14, -0x1.0ff7414440f59p-14, -0x1.0e55b088ec572p-14, -0x1.0c9eeb2068369p-14, -0x1.0ad3698991885p-14, -0x1.08f3a44b3a523p-14, -0x1.070013e793414p-14, -0x1.04f930cfc0a93p-14, -0x1.02df7357a0561p-14, -0x1.00b353a9bf1a9p-14, -0x1.fcea9377064d8p-15, -0x1.f84b9a8316a9ep-15, -0x1.f38aab4888a77p-15, -0x1.eea8b3e96d1d8p-15, -0x1.e9a6a1c31bd5cp-15, -0x1.e4856158b7c1p-15, -0x1.df45de3e2a6c3p-15, -0x1.d9e903039aae7p-15, -0x1.d46fb9215e322p-15, -0x1.cedae8e466923p-15, -0x1.c92b795b2ebaep-15, -0x1.c362504327d53p-15, -0x1.bd8051f6a2daep-15, -0x1.b786615b3fd5ap-15, -0x1.b1755fd0ddbd2p-15, -0x1.ab4e2d2108135p-15, -0x1.a511a76eed691p-15, -0x1.9ec0ab27d3fc8p-15, -0x1.985c12f410685p-15, -0x1.91e4b7a88144ap-15, -0x1.8b5b70388aaf4p-15, -0x1.84c111a8932bep-15, -0x1.7e166f0102942p-15, -0x1.775c5941bf7e7p-15, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      63, 0x1.fae147ae147aep+1, 0x1.f55589921477cp+0, 0x1.caad8667c34f5p+0, -0x1.0533013dd561cp-3, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.c75147f130596p-2, -0x1.1edb1014e6363p+0, 0x1.18e147ae1478fp+0, 0x1.3692183057dfp-3}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.9b3a68b19a416p-2, -0x1.0832efcfa5da1p+0, 0x1.1d89df153482bp+0, -0x1.84369e3c6dc3p-1}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.72bbecaab8a5dp-2, -0x1.e493402b8d8e7p-1, 0x1.063eea1194532p+0, -0x1.e9941a34bf17bp-2}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.4d9d7774aba38p-2, -0x1.bbca761f722fdp-1, 0x1.ef1de70b8395ap-1, -0x1.10a12d5a10bc2p-1}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.2ba94bbe4473dp-2, -0x1.957d79f9af02bp-1, 0x1.ce66b8a48bd0dp-1, -0x1.f1627afacbeaep-2}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.0cab81f969e3dp-2, -0x1.71b11787f35e4p-1, 0x1.b08ee476c742fp-1, -0x1.e933b960992e2p-2}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.e0e51d25aab47p-3, -0x1.5042ddc349c9p-1, 0x1.9334bfbdc84f8p-1, -0x1.c9ce9f82d708ep-2}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.ad9d7774aba38p-3, -0x1.311a7ba856211p-1, 0x1.77bcd4e40316ap-1, -0x1.bf91c8940ab72p-2}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.7f255f3519bd4p-3, -0x1.141e5cf9fbcbbp-1, 0x1.5ce22a22cf3edp-1, -0x1.97ea3e2d002fdp-2}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.5525cc426351ep-3, -0x1.f25fb4bd0d51bp-2, 0x1.4468970ba1277p-1, -0x1.a0c53eb7f3f1ep-2}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.2f4cf4a558ea8p-3, -0x1.c0780f2691fdep-2, 0x1.2b66fecd646ffp-1, -0x1.7500c6f336cp-2}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.0d4aa10e02214p-3, -0x1.925ae2d4e75b5p-2, 0x1.1505ab2f70834p-1, -0x1.6b37a57b22bd5p-2}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.dda8bd230b9dcp-4, -0x1.67c6616d3d267p-2, 0x1.fe754cc0be22fp-2, -0x1.5e20a32045af1p-2}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.a745bf26f1dc5p-4, -0x1.409e6ee93d04ep-2, 0x1.d471622345227p-2, -0x1.3c45ce03c70d5p-2}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.76e3f78bbd38p-4, -0x1.1ca95bc2ccb7fp-2, 0x1.ae7d7c9db25e3p-2, -0x1.40c824d09cbafp-2}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.4c0485a0be511p-4, -0x1.f786313fad191p-3, 0x1.87ff11cc57e15p-2, -0x1.20999eb9c84f7p-2}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.262bae03b3e9ap-4, -0x1.bb9348e90f244p-3, 0x1.655d466e5e901p-2, -0x1.0cd1604841fadp-2}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.04e7253da72a8p-4, -0x1.84fa499ffa80bp-3, 0x1.451b30a323723p-2, -0x1.0c20e0252bd23p-2}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.cf97edc7ef178p-5, -0x1.5388e3bd1e9f1p-3, 0x1.24ee48f099114p-2, -0x1.e5563e4622768p-3}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.9ce4a7b4e54f8p-5, -0x1.26fed373bc287p-3, 0x1.07cf82a4b5b81p-2, -0x1.b265469d1e7b5p-3}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.70f5a1016ce79p-5, -0x1.fdbddbfbf3804p-4, 0x1.db7e633690bd9p-3, -0x1.d114a74563d48p-3}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.4b1ab0856e697p-5, -0x1.b6209e9ca45dep-4, 0x1.a3af1bf0cc70cp-3, -0x1.69481c4d51ffap-3}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.2aa5c5f7c675ap-5, -0x1.76723f7b5cb65p-4, 0x1.7854892f333dcp-3, -0x1.89cae785549a2p-3}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.0effe2a3cea6cp-5, -0x1.3e038c02cfcbcp-4, 0x1.49133a33ae355p-3, -0x1.4f8c459d5abaap-3}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.ef284167a95c8p-6, -0x1.0c9545ed4ecd9p-4, 0x1.20cf31d91e337p-3, -0x1.3804020540c11p-3}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.c7b890d5a5b96p-6, -0x1.c2bce741ae2b9p-5, 0x1.f6bc25c5748a7p-4, -0x1.3063b24da23a1p-3}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.a6b93ccd0fe8bp-6, -0x1.782503c4242aep-5, 0x1.adae75dbc87c3p-4, -0x1.066d34c4392bap-3}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.8b3f63c31df76p-6, -0x1.386f23e4a41d8p-5, 0x1.6eb2f88df8351p-4, -0x1.ebcef542e68cfp-4}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.74794ea077037p-6, -0x1.027bd031b0ffp-5, 0x1.33ae9daee6c7fp-4, -0x1.c3e9c16bfa3d8p-4}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.61a60d4562e0ap-6, -0x1.ab2f8d7eff748p-6, 0x1.fae7b0c90224dp-5, -0x1.848a050d2f92fp-4}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.52157689ca18cp-6, -0x1.618a784548ef1p-6, 0x1.9da7d888675dap-5, -0x1.69ee2a5f4814dp-4}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.452c59fb1e18fp-6, -0x1.264e182e034d7p-6, 0x1.46cad89a7f06ap-5, -0x1.53bd5175afe5p-4}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.3a5c1c6088d6dp-6, -0x1.f115223190558p-7, 0x1.ea827fddc8577p-6, -0x1.071c8fc9f74acp-4}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.3122b7baecd08p-6, -0x1.acb4587a987eap-7, 0x1.6c37599151a41p-6, -0x1.0fd06f62754d5p-4}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.29131ec0b5675p-6, -0x1.7cde1789f102fp-7, 0x1.d37da45db7cabp-7, -0x1.7343655861107p-5}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.21c8a7a41e57ep-6, -0x1.5e98b6ba9e215p-7, 0x1.2148cfe1603d6p-7, -0x1.93518bd995e21p-5}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.1af3a14cec41ep-6, -0x1.4f328f6372657p-7, 0x1.7ec41e8794616p-9, -0x1.3f766b4145cd2p-5}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.14488c60cbf2bp-6, -0x1.4dad0529df90fp-7, -0x1.cd34401472a3ap-10, -0x1.dda98e42a338p-6}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.0d887ebf22c02p-6, -0x1.56df9b09215b8p-7, -0x1.58943595bcecfp-8, -0x1.0a6cf072f1496p-6}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.0685553ef6b5dp-6, -0x1.6736dc848cb7p-7, -0x1.d87694853afa5p-8, -0x1.f8a2aff188adep-6}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.fe3b03e20ccffp-7, -0x1.7ef513a9477a5p-7, -0x1.655818539f926p-7, -0x1.3084fc6f363b3p-10}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.ee568a50507a7p-7, -0x1.9bba42335006dp-7, -0x1.69e9732736256p-7, -0x1.767821e556271p-7}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.dd441355475a3p-7, -0x1.ba7a5cc751e7bp-7, -0x1.96d9254cf8cdbp-7, -0x1.db1b977cccaa5p-20}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.caea747d805e6p-7, -0x1.db06af726090fp-7, -0x1.96daed6775c09p-7, -0x1.1298f54f789cp-8}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.b7414a4d2b2cp-7, -0x1.fc3bcacf6d595p-7, -0x1.a754beaec9ca1p-7, 0x1.12a061bdd690fp-6}, 
        {0x1.8p+1, 0x1.851eb851eb852p+1, 0x1.a24894c447c31p-7, -0x1.0dbb5849bfc39p-6, -0x1.656bb176fcb17p-7, -0x1.76d268deec3c5p-12}, 
        {0x1.851eb851eb852p+1, 0x1.8a3d70a3d70a4p+1, 0x1.8c21e1d2178f7p-7, -0x1.1c0e8778a9b29p-6, -0x1.66d385b2b3fa5p-7, 0x1.04ccc4d016bbdp-6}, 
        {0x1.8a3d70a3d70a4p+1, 0x1.8f5c28f5c28f6p+1, 0x1.74ddf86e3b47p-7, -0x1.2928706e6d9cep-6, -0x1.283bfa4d8fcd6p-7, 0x1.e5506cc644db5p-7}, 
        {0x1.8f5c28f5c28f6p+1, 0x1.947ae147ae148p+1, 0x1.5ca6ca03c4b0ap-7, -0x1.33d7b386c37b4p-6, -0x1.dbfe40e66b3dp-8, 0x1.309261a35e5afp-6}, 
        {0x1.947ae147ae148p+1, 0x1.999999999999ap+1, 0x1.43aeab7995ee1p-7, -0x1.3be6874cbcfb4p-6, -0x1.49cc786f0abf4p-8, 0x1.4b0e430f662ffp-6}, 
        {0x1.999999999999ap+1, 0x1.9eb851eb851ecp+1, 0x1.2a305532617c2p-7, -0x1.40e84bf250c6cp-6, -0x1.55c8b07d61793p-9, 0x1.4669243e0a94fp-7}, 
        {0x1.9eb851eb851ecp+1, 0x1.a3d70a3d70a3dp+1, 0x1.10667f90d9d77p-7, -0x1.438ab7818d384p-6, -0x1.7236aed3ae8cp-10, 0x1.140fba3a3fc16p-5}, 
        {0x1.a3d70a3d70a3dp+1, 0x1.a8f5c28f5c28fp+1, 0x1.ed06fef7c243ep-8, -0x1.42be24434797dp-6, 0x1.58ee60103cb6ap-9, 0x1.789b381e199efp-7}, 
        {0x1.a8f5c28f5c28fp+1, 0x1.ae147ae147ae1p+1, 0x1.b9b66f9335d25p-8, -0x1.3e63bb210c59fp-6, 0x1.06d9e15705c94p-8, 0x1.e6aa1b4f43896p-6}, 
        {0x1.ae147ae147ae1p+1, 0x1.b333333333333p+1, 0x1.8750c1b97353bp-8, -0x1.36cbeb88cf161p-6, 0x1.f0733620e8c3cp-8, 0x1.5213ed67cd0eep-7}, 
        {0x1.b333333333333p+1, 0x1.b851eb851eb85p+1, 0x1.566cf41f212d7p-8, -0x1.2c0e617c3a5fap-6, 0x1.20cb5b64973acp-7, 0x1.752e09e122111p-6}, 
        {0x1.b851eb851eb85p+1, 0x1.bd70a3d70a3d7p+1, 0x1.276fb09203a32p-8, -0x1.1eb69029b5982p-6, 0x1.7a5b86b957b9dp-7, 0x1.823de1c79086fp-6}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.c28f5c28f5c29p+1, 0x1.f5be5d9e40c84p-9, -0x1.0db99178fdfc9p-6, 0x1.d70e37ca84a73p-7, 0x1.03b4de0139075p-7}, 
        {0x1.c28f5c28f5c29p+1, 0x1.c7ae147ae147bp+1, 0x1.a2834d26fa3fdp-9, -0x1.f484caad59202p-7, 0x1.f63866e962893p-7, 0x1.76586235fcba1p-6}, 
        {0x1.c7ae147ae147bp+1, 0x1.ccccccccccccdp+1, 0x1.55d5f56a7ac82p-9, -0x1.c8bf542360055p-7, 0x1.28081647f88e2p-6, -0x1.5b3bf7d88f451p-6}, 
        {0x1.ccccccccccccdp+1, 0x1.d1eb851eb851fp+1, 0x1.105e1c15097c8p-9, -0x1.9cb73cd58916cp-7, 0x1.fcba1a0a0c2a6p-7, 0x1.1ed2efa58814ep-3}, 
        {0x1.d1eb851eb851fp+1, 0x1.d70a3d70a3d71p+1, 0x1.a5870da5daf08p-10, -0x1.5dfd522015377p-7, 0x1.08db746b91294p-5, -0x1.f7f21fcd873a2p-2}, 
        {0x1.d70a3d70a3d71p+1, 0x1.fae147ae147aep+1, 0x1.3ad5bee3d5fddp-10, -0x1.56a42b9c9dbccp-7, -0x1.b5dc876bccd65p-6, 0x1.143751425c01p-1}, 
      }}, 
      -0x1.e706310c20acfp+0, 0x1.112848af422a3p+1
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_c_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, -0x1.8e0a0d4a1577ep-3, -0x1.02812ae2d7a62p-1, -0x1.67a0f9096bb99p-5, 0x1.5e2eb1c432ca5p-2, 0x1.8cb923a29c77ap-2, 0x1.7573eab367a1p-2, 0, 2, 2}, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.f8b5e611ebcf7p-1, -0x1.e39c05805eac1p-1, -0x1.ce730f9dd1451p-1, -0x1.b94b1fa37f3fp-1, -0x1.a433826172268p-1, -0x1.8f39f5384ab6ap-1, -0x1.7a6ab219f4226p-1, -0x1.65d10c69f67ddp-1, -0x1.5177c29beafeap-1, -0x1.3d68c45fdb41cp-1, -0x1.29ac9e08b7fb5p-1, -0x1.164a3f36797edp-1, -0x1.03478b71b0e29p-1, -0x1.e154491645b79p-2, -0x1.bcef3b495829cp-2, -0x1.996a088975023p-2, -0x1.76cc9c89c277ap-2, -0x1.551c4848eed5fp-2, -0x1.345c2b995f41fp-2, -0x1.148e1391943f9p-2, -0x1.eb66c1d159b26p-3, -0x1.af97f8b5d8f25p-3, -0x1.75c40ff56557cp-3, -0x1.3ddfe847c443p-3, -0x1.07e9205819d8fp-3, -0x1.a7b8c6c703024p-4, -0x1.436b89cd7acfcp-4, -0x1.c5c338ac285e3p-5, -0x1.0c21387bf7fc2p-5, -0x1.67615519361a2p-7, 0x1.44d3809bdaf04p-7, 0x1.ea50fd2fc29abp-6, 0x1.92285fdd76c8ep-5, 0x1.142e4b497f12p-4, 0x1.5bf6d946ece2p-4, 0x1.a081b1674045ep-4, 0x1.e1e1f1b3dcd97p-4, 0x1.101513fe61b2p-3, 0x1.2db664c9cdd0cp-3, 0x1.49de5da2c6c9cp-3, 0x1.6496d9331973p-3, 0x1.7dea2ad55e4d6p-3, 0x1.95e311a46d8a3p-3, 0x1.ac8c98ae48e93p-3, 0x1.c1f1ee7938b48p-3, 0x1.d61e3a40ddap-3, 0x1.e91c72bf96f47p-3, 0x1.faf73a61b7641p-3, 0x1.05dc62defeee9p-2, 0x1.0db5686b1384cp-2, 0x1.150b528863ea9p-2, 0x1.1be296ff69b65p-2, 0x1.223f8bc6cfc6bp-2, 0x1.28267749027c1p-2, 0x1.2d9b9e78d7ae5p-2, 0x1.32a34e4897a34p-2, 0x1.3741df5fb1112p-2, 0x1.3b7bb429d70f9p-2, 0x1.3f55324a4f24ep-2, 0x1.42d2b90103ea5p-2, 0x1.45f8962893f2bp-2, 0x1.48cafb4410fd8p-2, 0x1.4b4df3c0c18a3p-2, 0x1.4d8fd32974f14p-2, 0x1.4f80090c438adp-2, 0x1.512ad67bddb01p-2, 0x1.52938446b088dp-2, 0x1.53bd3a060153ap-2, 0x1.54aafe6eaa757p-2, 0x1.555fb8a108acep-2, 0x1.55de32367d28bp-2, 0x1.562919b0ea1dp-2, 0x1.564304e9432c4p-2, 0x1.562e7323cf7b4p-2, 0x1.55edce882cdb2p-2, 0x1.55836cdbd2bd2p-2, 0x1.54f18f8188faap-2, 0x1.543a62e011115p-2, 0x1.535ffd685a1a2p-2, 0x1.52645e7ce54b3p-2, 0x1.51496d78dcdeap-2, 0x1.5010f90903b6p-2, 0x1.4ebcb6f769422p-2, 0x1.4d4e4478fab12p-2, 0x1.4bc726fc72b8cp-2, 0x1.4a28cd6dcced9p-2, 0x1.487491d88de12p-2, 0x1.46abbb4cf2906p-2, 0x1.44cf7fe84cd1cp-2, 0x1.42e106df25a46p-2, 0x1.40e16a689b79dp-2, 0x1.3ed1b96e040ccp-2, 0x1.3cb2f8e84393dp-2, 0x1.3a8624dcfac47p-2, 0x1.384c30f7909efp-2, 0x1.360608c41f4afp-2, 0x1.33b48f9aa9935p-2, 0x1.3158a04f0729dp-2, 0x1.2ef30cbceba41p-2, 0x1.2c849d473a6eep-2, 0x1.2a0e105f4bf93p-2, 0x1.27901a2472b71p-2, 0x1.250b6426f544cp-2, 0x1.22808d54be8f3p-2, 0x1.1ff02a119e8c4p-2, 0x1.1d5ac479972c5p-2, 0x1.1ac0dcc950e9cp-2, 0x1.1822e9e751fbdp-2, 0x1.15815a07caa1fp-2, 0x1.12dc93646a6fdp-2, 0x1.1034f501a711fp-2, 0x1.0d8ad77af21f9p-2, 0x1.0ade8dcf967d1p-2, 0x1.0830662a45de9p-2, 0x1.0580aa9de43bcp-2, 0x1.02cfa1d2beacfp-2, 0x1.001d8fa03b76ap-2, 0x1.fad56b2021fe1p-3, 0x1.f56ea69273b05p-3, 0x1.f0074dc40ff3dp-3, 0x1.ea9fda33d2611p-3, 0x1.e538c2f8ec691p-3, 0x1.dfd27ce08b7b9p-3, 0x1.da6d7a692a1e9p-3, 0x1.d50a2ba2812d3p-3, 0x1.cfa8fdf930c11p-3, 0x1.ca4a5bf516dcap-3, 0x1.c4eeacf0b8cb4p-3, 0x1.bf9654cf64688p-3, 0x1.ba41b3b6c64acp-3, 0x1.b4f125cfd341fp-3, 0x1.afa50311eff2fp-3, 0x1.aa5d9f1a86e0fp-3, 0x1.a51b49127121ap-3, 0x1.9fde4ba20be0ap-3, 0x1.9aa6ecf41ec3fp-3, 0x1.95756ec769d7fp-3, 0x1.904a0e8e0c4fap-3, 0x1.8b250599b60d4p-3, 0x1.860689532b7b9p-3, 0x1.80eecb7b4c28cp-3, 0x1.7bddfa73b85adp-3, 0x1.76d4418cdabf5p-3, 0x1.71d1c95733f9dp-3, 0x1.6cd6b7f5ae141p-3, 0x1.67e3316ee2c59p-3, 0x1.62f757fb6b816p-3, 0x1.5e15907e20bep-3, 0x1.593814d596b7ep-3, 0x1.5462aa476e0c2p-3, 0x1.4f957679ef945p-3, 0x1.4ad09d9d9dap-3, 0x1.4614426be695dp-3, 0x1.4160862791242p-3, 0x1.3cb5889f10a18p-3, 0x1.38136830ddc14p-3, 0x1.337a41d1db875p-3, 0x1.2eea31159577p-3, 0x1.2a635038269bdp-3, 0x1.25e5b8298d9bep-3, 0x1.2171809a01a29p-3, 0x1.1d06c006fd605p-3, 0x1.18a58bc89cb81p-3, 0x1.144df81eed3c2p-3, 0x1.1000183eda642p-3, 0x1.0bbbfe5e70dffp-3, 0x1.0781bbc02578fp-3, 0x1.035160bcfef3ep-3, 0x1.fe55f99ad715fp-4, 0x1.f61d3d216ee15p-4, 0x1.edf8a7a62e542p-4, 0x1.e5e8532497d23p-4, 0x1.ddec5801e3775p-4, 0x1.d604cd11292d4p-4, 0x1.ce31c7955d161p-4, 0x1.c6735b4162e59p-4, 0x1.bec99a36ae09fp-4, 0x1.b7349502a1a5bp-4, 0x1.afb45a9b2d447p-4, 0x1.a848f85adcd2dp-4, 0x1.a0f279fcd6fe3p-4, 0x1.99b0e998e461p-4, 0x1.92844f9fe98fp-4, 0x1.8b6cb2d8e8f19p-4, 0x1.846a185edec87p-4, 0x1.7d7c839f7bb55p-4, 0x1.76a3f65ae8377p-4, 0x1.6fe070a4a0387p-4, 0x1.6931f0e56bc48p-4, 0x1.629873de76569p-4, 0x1.5c13f4ad7e8f7p-4, 0x1.55a46cd20e563p-4, 0x1.4f49d433ac138p-4, 0x1.49042128e9696p-4, 0x1.42d3487f3aa5p-4, 0x1.3cb73d8374c96p-4, 0x1.36aff20ad9385p-4, 0x1.30bd567c8ef49p-4, 0x1.2adf59db6c768p-4, 0x1.2515e9cff7564p-4, 0x1.1f60f2b27eb25p-4, 0x1.19c05f953bec8p-4, 0x1.14341a4e60c09p-4, 0x1.0ebc0b820772ap-4, 0x1.09581aabf1e8fp-4, 0x1.04082e290ff28p-4, 0x1.fd985681872b8p-5, 0x1.f347ec5bbfc33p-5, 0x1.e91ee44ebb5dp-5, 0x1.df1d02d1907d9p-5, 0x1.d5420a74c5f2bp-5, 0x1.cb8dbbf216d31p-5, 0x1.c1ffd63bb7d48p-5, 0x1.b898168b2a484p-5, 0x1.af56386fa9c2ap-5, 0x1.a639f5dc3d944p-5, 0x1.9d430735805fap-5, 0x1.9471235f263d8p-5, 0x1.8bc3ffc950372p-5, 0x1.833b507db8582p-5, 0x1.7ad6c82cbf7e2p-5, 0x1.7296183a6829p-5, 0x1.6a78f0cb4445bp-5, 0x1.627f00d15f751p-5, 0x1.5aa7f6192a067p-5, 0x1.52f37d56660e9p-5, 0x1.4b61423120cf7p-5, 0x1.43f0ef52b1c0ep-5, 0x1.3ca22e72c914bp-5, 0x1.3574a86482cd3p-5, 0x1.2e6805238a03cp-5, 0x1.277bebe13d96fp-5, 0x1.20b00311dbe2bp-5, 0x1.1a03f079b1fccp-5, 0x1.1377593a4442p-5, 0x1.0d09e1df719cbp-5, 0x1.06bb2e6c8c965p-5, 0x1.008ae2696001ep-5, 0x1.f4f141de44cfep-6, 0x1.e908196a95adep-6, 0x1.dd59903c8f963p-6, 0x1.d1e4ea8820e18p-6, 0x1.c6a96c0918c48p-6, 0x1.bba6581b987fep-6, 0x1.b0daf1d4220cap-6, 0x1.a6467c17384ddp-6, 0x1.9be839b08a71dp-6, 0x1.91bf6d69a37afp-6, 0x1.87cb5a201bd1fp-6, 0x1.7e0b42db42546p-6, 0x1.747e6ae13efcp-6, 0x1.6b2415cba327dp-6, 0x1.61fb879b6bcp-6, 0x1.590404cc75352p-6, 0x1.503cd26853fb2p-6, 0x1.47a536189cc31p-6, 0x1.3f3c763896d21p-6, 0x1.3701d9e656592p-6, 0x1.2ef4a913446f3p-6, 0x1.27142c9411dc7p-6, 0x1.1f5fae30129acp-6, 0x1.17d678b00eb5cp-6, 0x1.1077d7ec7a77cp-6, 0x1.094318db255e8p-6, 0x1.0237899c581ap-6, 0x1.f6a8f30ecd06dp-7, 0x1.e932726d7d60bp-7, 0x1.dc0a3526cf8a8p-7, 0x1.cf2ee1c002d29p-7, 0x1.c29f21867c769p-7, 0x1.b659a0a3bc692p-7, 0x1.aa5d0e304f21bp-7, 0x1.9ea81c45cd5bap-7, 0x1.9339800fe151bp-7, 0x1.880ff1dc60f1bp-7, 0x1.7d2a2d2a705cdp-7, 0x1.7286f0b8cd14ep-7, 0x1.6824fe9324469p-7, 0x1.5e031c1e95f91p-7, 0x1.54201225543ebp-7, 0x1.4a7aace16f4a9p-7, 0x1.4111bc06d25bcp-7, 0x1.37e412cc63fb5p-7, 0x1.2ef087f46a9fdp-7, 0x1.2635f5d424676p-7, 0x1.1db33a5a9b79p-7, 0x1.15673716bf386p-7, 0x1.0d50d13cc202ap-7, 0x1.056ef1aac42f3p-7, 0x1.fb8109d993de2p-8, 0x1.ec88f68016c47p-8, 0x1.ddf3912b2edcp-8, 0x1.cfbec928ab24p-8, 0x1.c1e89534d4ca2p-8, 0x1.b46ef37bff24bp-8, 0x1.a74fe99af4a07p-8, 0x1.9a89849e37eap-8, 0x1.8e19d9003f98ep-8, 0x1.81ff02a692c08p-8, 0x1.763724ddedce1p-8, 0x1.6ac06a5568f29p-8, 0x1.5f990518b0b3ep-8, 0x1.54bf2e8959179p-8, 0x1.4a3127574f567p-8, 0x1.3fed37788520ep-8, 0x1.35f1ae1fc956cp-8, 0x1.2c3ce1b2e592p-8, 0x1.22cd2fc006b3cp-8, 0x1.19a0fcf27d1efp-8, 0x1.10b6b506cf47ep-8, 0x1.080ccabe4647ap-8, 0x1.ff436fa3b1bep-9, 0x1.eee7f9c92f0e9p-9, 0x1.df0442eb2ea14p-9, 0x1.cf9567a2c64eap-9, 0x1.c0a06426c810ap-9, 0x1.b21546c3a8607p-9, 0x1.a3f69a0da397ep-9, 0x1.9641adcb9eb3cp-9, 0x1.88f3dede6983ep-9, 0x1.7c0a9721b0209p-9, 0x1.6f834d4c2cf85p-9, 0x1.635b84cf1db76p-9, 0x1.5790cdb50d9c4p-9, 0x1.4c20c47ff1d83p-9, 0x1.41091206a18ebp-9, 0x1.36476b51b8161p-9, 0x1.2bd99177d6c6ep-9, 0x1.21bd51796ee39p-9, 0x1.17f0841bf2fp-9, 0x1.0e710dc492f1dp-9, 0x1.053cde5281e8p-9, 0x1.f8a3e1f19316ep-10, 0x1.e75c982f74d58p-10, 0x1.d6a0022c08695p-10, 0x1.c66a5872d39adp-10, 0x1.b6b7e8fe628cfp-10, 0x1.a78516e886ab6p-10, 0x1.98ce5a1a4c6a1p-10, 0x1.8a903efb3cdfbp-10, 0x1.7cc76620965e3p-10, 0x1.6f7083fc0150bp-10, 0x1.6288608a33159p-10, 0x1.560bd701618e8p-10, 0x1.49f7d57fa92e7p-10, 0x1.3e495cb966a49p-10, 0x1.32fd7fa7c2115p-10, 0x1.281163373019cp-10, 0x1.1d823df6560eep-10, 0x1.134d57c5091a6p-10, 0x1.09700983c163bp-10, 0x1.ffcf7986a51e9p-11, 0x1.ed63d6ea8109bp-11, 0x1.db983f38dde94p-11, 0x1.ca67e5fced31p-11, 0x1.b9ce1dab2d3c6p-11, 0x1.a9c65706760d7p-11, 0x1.9a4c2086c82e3p-11, 0x1.8b5b25c149158p-11, 0x1.7cef2ed206dd3p-11, 0x1.6f041fc73b728p-11, 0x1.6195f80e8b559p-11, 0x1.54a0d1e3d76aep-11, 0x1.4820e1c1fb0b5p-11, 0x1.3c1275d566c8dp-11, 0x1.3071f570ca58bp-11, 0x1.253be0837c58bp-11, 0x1.1a6ccf122a6c5p-11, 0x1.100170b15276fp-11, 0x1.05f68c01f0971p-11, 0x1.f891fc603e009p-12, 0x1.e5eb74e79b86fp-12, 0x1.d3f393274fd15p-12, 0x1.c2a492d3ddd33p-12, 0x1.b1f8d8d6c77bcp-12, 0x1.a1eaf2609992dp-12, 0x1.927593ff020fp-12, 0x1.839398b716bacp-12, 0x1.754001232d2e7p-12, 0x1.6775f29568668p-12, 0x1.5a30b63dca2c1p-12, 0x1.4d6bb854217afp-12, 0x1.41228745fa5fep-12, 0x1.3550d2e855a95p-12, 0x1.29f26bad1c42bp-12, 0x1.1f0341dc4a2b5p-12, 0x1.147f64d0cc898p-12, 0x1.0a630238b2eb2p-12, 0x1.00aa65597067fp-12, 0x1.eea3ecae385c3p-13, 0x1.dcac72fed7d5fp-13, 0x1.cb679d2f58885p-13, 0x1.bacee05d7dac9p-13, 0x1.aadbe5e362c4bp-13, 0x1.9b888a07e23dp-13, 0x1.8ccedab4ab9ep-13, 0x1.7ea91633b43f7p-13, 0x1.7111a9f1be6c4p-13, 0x1.640331477b2d3p-13, 0x1.577874489462ap-13, 0x1.4b6c6698a2c7bp-13, 0x1.3fda2645ca836p-13, 0x1.34bcfaa98bb2dp-13, 0x1.2a10534e6b3ccp-13, 0x1.1fcfc6dc49376p-13, 0x1.15f712094c09bp-13, 0x1.0c821690bbf83p-13, 0x1.036cda2ef1879p-13, 0x1.f5670b45fc7d2p-14, 0x1.e4a4c76a6634ep-14, 0x1.d48bc085face8p-14, 0x1.c5150e9edf80dp-14, 0x1.b63a083476c4fp-14, 0x1.a7f440729bdb6p-14, 0x1.9a3d8573ff3b4p-14, 0x1.8d0fde8a2f829p-14, 0x1.80658a90ee3f5p-14, 0x1.7438fe4b24bc1p-14, 0x1.6884e2c8284bfp-14, 0x1.5d4413d3b79fap-14, 0x1.52719e6dc6fbp-14, 0x1.4808bf4c626bcp-14, 0x1.3e04e164225d4p-14, 0x1.34619c7d7add2p-14, 0x1.2b1ab3cedae14p-14, 0x1.222c14a12602ep-14, 0x1.1991d4fc11a3cp-14, 0x1.1148325ae9e57p-14, 0x1.094b90697d0d7p-14, 0x1.019877c8ea264p-14, 0x1.f45729b96acap-15, 0x1.e6036d3d68ed9p-15, 0x1.d82f9af830691p-15, 0x1.cad5d4714ff0cp-15, 0x1.bdf079b3f8355p-15, 0x1.b17a2733c947bp-15, 0x1.a56db3bfdc4e1p-15, 0x1.99c62e847823fp-15, 0x1.8e7edd1776b99p-15, 0x1.83933998878e9p-15, 0x1.78fef0d72b76ap-15, 0x1.6ebde08bb71a2p-15, 0x1.64cc1599747d5p-15, 0x1.5b25ca5ecdaebp-15, 0x1.51c76511257c8p-15, 0x1.48ad76252bec1p-15, 0x1.3fd4b6c26f968p-15, 0x1.373a0742a66c3p-15, 0x1.2eda6dbc27799p-15, 0x1.26b314976000dp-15, 0x1.1ec1492f52ac3p-15, 0x1.17027a7b1b1dbp-15, 0x1.0f7437c5105d4p-15, 0x1.08142f66f7f3ap-15, 0x1.00e02d9583307p-15, 0x1.f3ac3663d480ap-16, 0x1.e5e7f9452ac48p-16, 0x1.d86fe179f5fd5p-16, 0x1.cb405f603156p-16, 0x1.be5613f66e955p-16, 0x1.b1adceda146f6p-16, 0x1.a5448c567129ep-16, 0x1.9917738070a2ep-16, 0x1.8d23d4676d38bp-16, 0x1.81672650ac65dp-16, 0x1.75df0603f1422p-16, 0x1.6a8934281317fp-16, 0x1.5f6393a4159d3p-16, 0x1.546c28212b975p-16, 0x1.49a114872eae5p-16, 0x1.3f00998f891f8p-16, 0x1.34891462ffbdfp-16, 0x1.2a38fd4463caep-16, 0x1.200ee644b203p-16, 0x1.16097a081a2bcp-16, 0x1.0c277a9149309p-16, 0x1.0267c01a59522p-16, 0x1.f1926ff00c8dbp-17, 0x1.de95c70eb3cc8p-17, 0x1.cbd7ae4b63549p-17, 0x1.b9567263e9be6p-17, 0x1.a710823187427p-17, 0x1.95046cd1415f7p-17, 0x1.8330dfdfd93d3p-17, 0x1.7194a5c682ed8p-17, 0x1.602ea41996468p-17, 0x1.4efdda094cca9p-17, 0x1.3e015ed74d026p-17, 0x1.2d38607351174p-17, 0x1.1ca2220d67798p-17, 0x1.0c3dfac725d3dp-17, 0x1.f816a8d7a8dc2p-18, 0x1.d8135470e43acp-18, 0x1.b8710f63726e8p-18, 0x1.992f0f0c967c6p-18, 0x1.7a4ca4ede9356p-18, 0x1.5bc93cb5cec97p-18, 0x1.3da45a3d9136bp-18, 0x1.1fdd97b5ff88ap-18, 0x1.0274a3c39dcafp-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5278300d1384ep+0, -0x1.4e141f5224ff6p+0, -0x1.499b2ced959f1p+0, -0x1.451004f4732acp+0, -0x1.407507ff6c25ep+0, -0x1.3bccb827f7a0cp+0, -0x1.371960eaf8accp+0, -0x1.325d0e3dc3276p+0, -0x1.2d99daa4334b1p+0, -0x1.28d1c87f45cf1p+0, -0x1.2406956a32089p+0, -0x1.1f39e45beb1eap+0, -0x1.1a6d5be9df2bdp+0, -0x1.15a28bafcfaf7p+0, -0x1.10dad66b9b98bp+0, -0x1.0c177e443c4b4p+0, -0x1.0759b481a0c6ap+0, -0x1.02a297eac95e4p+0, -0x1.fbe65c6d96601p-1, -0x1.f298cc61f8433p-1, -0x1.e95e3d1177ed4p-1, -0x1.e03878a11a99dp-1, -0x1.d728b65784ea1p-1, -0x1.ce30549638577p-1, -0x1.c550829c9b07ap-1, -0x1.bc8a52de17dc2p-1, -0x1.b3debc58ff518p-1, -0x1.ab4e9b3394adap-1, -0x1.a2dab10d89ef7p-1, -0x1.9a83a5da8ab27p-1, -0x1.924a0a1005fa6p-1, -0x1.8a2e59f5edf84p-1, -0x1.823100c59dc7ep-1, -0x1.7a525a30c2ce2p-1, -0x1.7292b220662bep-1, -0x1.6af243e0e0884p-1, -0x1.63713a409fd8ap-1, -0x1.5c0fb12efa9bfp-1, -0x1.54cdb813f91cdp-1, -0x1.4dab538b7b83fp-1, -0x1.46a87dc14e0d9p-1, -0x1.3fc525cb5392fp-1, -0x1.39012f218b713p-1, -0x1.325c7238818e1p-1, -0x1.2bd6be77b1fabp-1, -0x1.256fdce41def3p-1, -0x1.1f27926b930e4p-1, -0x1.18fda0f3db37ap-1, -0x1.12f1c6f485ea4p-1, -0x1.0d03be0efac5cp-1, -0x1.0733397ba9a51p-1, -0x1.017fe51d59a1fp-1, -0x1.f7d2cb6490d44p-2, -0x1.ecdeb441dc6c5p-2, -0x1.e222baf06f7b6p-2, -0x1.d79e121408b16p-2, -0x1.cd4fec230da8cp-2, -0x1.c3377d1c3db0ep-2, -0x1.b953fa86c527fp-2, -0x1.afa49a1c6bbf9p-2, -0x1.a6288fc84e402p-2, -0x1.9cdf0bb3419fcp-2, -0x1.93c738f46f06dp-2, -0x1.8ae04bc07b51cp-2, -0x1.82292a40624abp-2, -0x1.79a11ae4313e5p-2, -0x1.714742f027dc4p-2, -0x1.691ac8b56f924p-2, -0x1.611ad3fc2a01dp-2, -0x1.59468e3847a25p-2, -0x1.519d22926e61ap-2, -0x1.4a1dbdd86ba61p-2, -0x1.42c78e6bbd41p-2, -0x1.3b99c44116bap-2, -0x1.349390fb5d51bp-2, -0x1.2db428228c34ep-2, -0x1.26fabf6e6dc9ep-2, -0x1.20668f180ca13p-2, -0x1.19f6d22410d7fp-2, -0x1.13aac69b24adfp-2, -0x1.0d81adaac84fbp-2, -0x1.077acbaebe2a2p-2, -0x1.019568282054dp-2, -0x1.f7a19b5422549p-3, -0x1.ec589389a6991p-3, -0x1.e14e59eda5031p-3, -0x1.d6819551174abp-3, -0x1.cbf0f26a3a2e9p-3, -0x1.c19b23fc1d45cp-3, -0x1.b77ee30cd5f52p-3, -0x1.ad9aef1f6da5cp-3, -0x1.a3ee0e65e8e15p-3, -0x1.9a770de13c913p-3, -0x1.9134c16844f68p-3, -0x1.88260392ff8b8p-3, -0x1.7f49b58be1ebbp-3, -0x1.769ebecd15428p-3, -0x1.6e240cd20d9bfp-3, -0x1.65d892c73d6c8p-3, -0x1.5dbb494109f3fp-3, -0x1.55cb2e017fc9ap-3, -0x1.4e0743d13d4e8p-3, -0x1.466e926d0a9b9p-3, -0x1.3f00268668e29p-3, -0x1.37bb11d2f4707p-3, -0x1.309e6b24dd417p-3, -0x1.29a94e861bc01p-3, -0x1.22dadd5045bd7p-3, -0x1.1c323e3bff681p-3, -0x1.15ae9d647b9e8p-3, -0x1.0f4f2c3d396b8p-3, -0x1.09132179edf6dp-3, -0x1.02f9b8e9e301p-3, -0x1.fa046692a0de5p-4, -0x1.ee57ac178bcf5p-4, -0x1.e2ebd6460dd68p-4, -0x1.d7bf818b5d44bp-4, -0x1.ccd15270c5f3p-4, -0x1.c21ff537d1932p-4, -0x1.b7aa1d83641fcp-4, -0x1.ad6e860f5a031p-4, -0x1.a36bf0772da6dp-4, -0x1.99a1250ab6ee4p-4, -0x1.900cf2af678bp-4, -0x1.86ae2ecb91e37p-4, -0x1.7d83b538e4839p-4, -0x1.748c683b3cad5p-4, -0x1.6bc73078da834p-4, -0x1.6332fcf1658eep-4, -0x1.5acec2f18a4a1p-4, -0x1.52997e0192e68p-4, -0x1.4a922fcdeb595p-4, -0x1.42b7e0092cec4p-4, -0x1.3b099c47d7ad4p-4, -0x1.338677d6740a9p-4, -0x1.2c2d8b8b2c673p-4, -0x1.24fdf59447788p-4, -0x1.1df6d94502c3cp-4, -0x1.17175ee25310fp-4, -0x1.105eb370f53bap-4, -0x1.09cc0885ff5e5p-4, -0x1.035e941ae40ffp-4, -0x1.fa2b20cb07d97p-5, -0x1.ede0776946de4p-5, -0x1.e1dbb0a185fc1p-5, -0x1.d61b58c25a0eep-5, -0x1.ca9e03a988ecap-5, -0x1.bf62604ffae76p-5, -0x1.b466d79121dcp-5, -0x1.a9aa36a028f62p-5, -0x1.9f2b2f5c86a7fp-5, -0x1.94e87a9d03a2ap-5, -0x1.8ae0d80354e0fp-5, -0x1.81130dd13f0d7p-5, -0x1.777de8bf4dd4bp-5, -0x1.6e203bd50e3d7p-5, -0x1.64f8e042bce7ap-5, -0x1.5c06b53c58b6p-5, -0x1.53489fd5f92a1p-5, -0x1.4abd8ae15680bp-5, -0x1.426466cc627c3p-5, -0x1.3a3c2980d7793p-5, -0x1.3243ce44a8b15p-5, -0x1.2a7a559b40522p-5, -0x1.22dec5276ff66p-5, -0x1.1b70278e1814fp-5, -0x1.142d8c5969313p-5, -0x1.0d1607dcccdf4p-5, -0x1.0628b3196c0f2p-5, -0x1.fec95746adacfp-6, -0x1.f192270ea7695p-6, -0x1.e4aa2262b7307p-6, -0x1.d80f9ea794126p-6, -0x1.cbc0f99e8891dp-6, -0x1.bfbc9936bce11p-6, -0x1.b400eb5ffdd19p-6, -0x1.a88c65df08e65p-6, -0x1.9d5d862349d68p-6, -0x1.9272d11e11f1p-6, -0x1.87cad31b2c87cp-6, -0x1.7d641f9ac73c1p-6, -0x1.733d512c9c958p-6, -0x1.6955094c3f1b7p-6, -0x1.5fa9f03e7e9c4p-6, -0x1.563ab4efc8ac7p-6, -0x1.4d060cd36d23cp-6, -0x1.440ab3c3bb57p-6, -0x1.3b476be2e676ep-6, -0x1.32bafd7c9ec6fp-6, -0x1.2a6436e85ac1cp-6, -0x1.2241ec6c3d27fp-6, -0x1.1a52f8209c353p-6, -0x1.129639d424589p-6, -0x1.0b0a96f0858d2p-6, -0x1.03aefa5fc3405p-6, -0x1.f904a8e4072b8p-7, -0x1.eb073587ffa0dp-7, -0x1.dd63904bf20dcp-7, -0x1.d017b9067e6aap-7, -0x1.c321b99488b0ap-7, -0x1.b67fa5aa7888cp-7, -0x1.aa2f9aa67ec08p-7, -0x1.9e2fbf63ebc69p-7, -0x1.927e440f87b3dp-7, -0x1.871961fce36fbp-7, -0x1.7bff5b7c97acfp-7, -0x1.712e7bb371bf4p-7, -0x1.66a51672819edp-7, -0x1.5c61880fee5c8p-7, -0x1.52623540abc44p-7, -0x1.48a58af2e85cep-7, -0x1.3f29fe2931cdcp-7, -0x1.35ee0bd656fa9p-7, -0x1.2cf038b9e9dc7p-7, -0x1.242f113d6f2a4p-7, -0x1.1ba929522e05bp-7, -0x1.135d1c4f81fb2p-7, -0x1.0b498cd1df09ep-7, -0x1.036d249a4c74cp-7, -0x1.f78d28dcd53e1p-8, -0x1.e8a927f21f486p-8, -0x1.da2bc356a90dep-8, -0x1.cc12853c57784p-8, -0x1.be5b04e8d63aap-8, -0x1.b102e67ac1cfap-8, -0x1.a407daaf9b91p-8, -0x1.97679eaac8ed7p-8, -0x1.8b1ffbbd66023p-8, -0x1.7f2ec72f08dd6p-8, -0x1.7391e20763666p-8, -0x1.684738d8bb31bp-8, -0x1.5d4cc38b498c4p-8, -0x1.52a08529635fep-8, -0x1.48408bac750aep-8, -0x1.3e2aefcad61c1p-8, -0x1.345dd4c65ac56p-8, -0x1.2ad7683baf67bp-8, -0x1.2195e1f2745e9p-8, -0x1.189783ae19329p-8, -0x1.0fda98ff6b609p-8, -0x1.075d7716ddc6fp-8, -0x1.fe3cf92efa5bbp-9, -0x1.ee3822d52c484p-9, -0x1.dea94d27db045p-9, -0x1.cf8d6c0d9c903p-9, -0x1.c0e184f6ea6f3p-9, -0x1.b2a2ae8ab986cp-9, -0x1.a4ce1053f5fbfp-9, -0x1.9760e27023cdp-9, -0x1.8a586d3f861b3p-9, -0x1.7db209160dbcbp-9, -0x1.716b1deda3b66p-9, -0x1.6581231962f5fp-9, -0x1.59f19efa34254p-9, -0x1.4eba26b43ff8bp-9, -0x1.43d85de5968d6p-9, -0x1.3949f65debbfep-9, -0x1.2f0cafd749851p-9, -0x1.251e57b00295p-9, -0x1.1b7cc8a582e27p-9, -0x1.1225ea90347bcp-9, -0x1.0917b22089272p-9, -0x1.0050209ce2ecbp-9, -0x1.ef9a874129f39p-10, -0x1.df1a69b7c8313p-10, -0x1.cf1c33aa0d78fp-10, -0x1.bf9c475429bd1p-10, -0x1.b0971da812e5fp-10, -0x1.a20945d548f81p-10, -0x1.93ef64d2a143ep-10, -0x1.864634e9f0183p-10, -0x1.790a85458132ep-10, -0x1.6c39397f919a8p-10, -0x1.5fcf49337d31ap-10, -0x1.53c9bf90c88bp-10, -0x1.4825baf0039edp-10, -0x1.3ce06c6952b67p-10, -0x1.31f7176cca973p-10, -0x1.2767115cc5155p-10, -0x1.1d2dc1294dff2p-10, -0x1.13489eee140d1p-10, -0x1.09b533916146dp-10, -0x1.00711865145ebp-10, -0x1.eef3ed91cdf4bp-11, -0x1.dd9b0f9ddefb7p-11, -0x1.ccd327c243063p-11, -0x1.bc97e4d169a84p-11, -0x1.ace512ee1e095p-11, -0x1.9db69ae090ea6p-11, -0x1.8f08816e02d41p-11, -0x1.80d6e6b4611a7p-11, -0x1.731e058804effp-11, -0x1.65da32d4de6c5p-11, -0x1.5907dd027b68ap-11, -0x1.4ca38b5b0f92ap-11, -0x1.40a9dd74fe438p-11, -0x1.35178aa00941fp-11, -0x1.29e9615473de2p-11, -0x1.1f1c46a574badp-11, -0x1.14ad35b6498d4p-11, -0x1.0a993f31dc29ap-11, -0x1.00dd88c570e26p-11, -0x1.eeee993b4224ep-12, -0x1.dcc7b1cc589f7p-12, -0x1.cb411e9872471p-12, -0x1.ba55c9069b228p-12, -0x1.aa00bf994ebfcp-12, -0x1.9a3d350247c69p-12, -0x1.8b067f3afd7fep-12, -0x1.7c5816a2630a7p-12, -0x1.6e2d951ed91e8p-12, -0x1.6082b54542de4p-12, -0x1.53535184595ebp-12, -0x1.469b635460226p-12, -0x1.3a57026c83498p-12, -0x1.2e86fb207352cp-12, -0x1.231ed8d047a37p-12, -0x1.181f3177325fp-12, -0x1.0d848e0c74d0ep-12, -0x1.034b9215db9a2p-12, -0x1.f2e1f5e901bd1p-13, -0x1.dfe33e6cbc598p-13, -0x1.cd94dbd749c0ap-13, -0x1.bbf0dbff52631p-13, -0x1.aaf17b2b7df5p-13, -0x1.9a9122d3486c9p-13, -0x1.8aca686704781p-13, -0x1.7b980c1f38756p-13, -0x1.6cf4f7d2888dap-13, -0x1.5edc3dd248f9fp-13, -0x1.514917cf18a04p-13, -0x1.4436e5c231c0ep-13, -0x1.37a12cddb2f72p-13, -0x1.2b8396858b7e5p-13, -0x1.1fd9ef4b0f82bp-13, -0x1.14a025f0fa914p-13, -0x1.09d24a755df1cp-13, -0x1.fed91a3dbef5fp-14, -0x1.ead67b29d3477p-14, -0x1.d79593f13a784p-14, -0x1.c50f7c0b137b7p-14, -0x1.b33d846f59604p-14, -0x1.a21935ed6151p-14, -0x1.919c4f8ce4bf3p-14, -0x1.81c0c4f95d035p-14, -0x1.7280bcf7c2459p-14, -0x1.63d68fe6a4dc5p-14, -0x1.55bcc643d76c7p-14, -0x1.482e17449766fp-14, -0x1.3b25676e70b23p-14, -0x1.2e9dc73cc487ap-14, -0x1.229271cf96fap-14, -0x1.16fecba24f077p-14, -0x1.0bde614b8605fp-14, -0x1.012ce645193bdp-14, -0x1.edcc6778cc6f7p-15, -0x1.da0c8ed66682bp-15, -0x1.c71284eeae05p-15, -0x1.b4d6d0b67a33ep-15, -0x1.a3523babee2b7p-15, -0x1.927dcfc032385p-15, -0x1.8252d55aaab26p-15, -0x1.72cad15ed3d2ap-15, -0x1.63df834675238p-15, -0x1.558ae34710664p-15, -0x1.47c720851f9dep-15, -0x1.3a8e9f54c603p-15, -0x1.2ddbf78562b77p-15, -0x1.21a9f2bb1e371p-15, -0x1.15f38ad4589d2p-15, -0x1.0ab3e858cd8a3p-15, -0x1.ffccc1e7372cbp-16, -0x1.eb0cec02aeb0ap-16, -0x1.d71fa63754e24p-16, -0x1.c3fc996e7e1d1p-16, -0x1.b19bbd977417bp-16, -0x1.9ff557075cedbp-16, -0x1.8f01f3f2e6505p-16, -0x1.7eba69e6e3f12p-16, -0x1.6f17d37be1aa8p-16, -0x1.60138df1b0432p-16, -0x1.51a736f39dcb8p-16, -0x1.43ccaa680f452p-16, -0x1.367e005138d52p-16, -0x1.29b58abe31f32p-16, -0x1.1d6dd3cbdcac3p-16, -0x1.11a19bb4e611bp-16, -0x1.064bd6f233ef1p-16, -0x1.f6cf58d1345c2p-17, -0x1.e1e0e747d547dp-17, -0x1.cdc3664b92f2ap-17, -0x1.ba6e3d5fc7a87p-17, -0x1.a7d92b780fc8fp-17, -0x1.95fc43c1f9d7bp-17, -0x1.84cfeaa6b8918p-17, -0x1.744cd2e152cc2p-17, -0x1.646bfaa73d589p-17, -0x1.5526a8ecd9cd9p-17, -0x1.46766abdb02p-17, -0x1.385510aacd00ep-17, -0x1.2abcac4cbff1p-17, -0x1.1da78de0e60e3p-17, -0x1.111041eccda45p-17, -0x1.04f18f03abbd4p-17, -0x1.f28ce72a316b9p-18, -0x1.dc1447a49fb02p-18, -0x1.c6700f4d30b4fp-18, -0x1.b1977165a8863p-18, -0x1.9d8200ecc933cp-18, -0x1.8a27acd5fb666p-18, -0x1.7780bc8b40f93p-18, -0x1.6585cc5cabb23p-18, -0x1.542fca5cca573p-18, -0x1.4377f2e81afe7p-18, -0x1.3357cdd16304fp-18, -0x1.23c92b3603c2ap-18, -0x1.14c620a75a266p-18, -0x1.06490659fa452p-18, -0x1.f098e8f410476p-19, -0x1.d5968117de91dp-19, -0x1.bb80f5da3bb79p-19, -0x1.a24ed8eb393e7p-19, -0x1.89f727d4ddabep-19, -0x1.7271482881862p-19, -0x1.5bb502add35c9p-19, -0x1.45ba7f578fea1p-19, -0x1.307a413f72592p-19, -0x1.1bed22bdc9be2p-19, -0x1.080c51b13ed31p-19, -0x1.e9a297c9aa88dp-20, -0x1.c46bb72b713a8p-20, -0x1.a06828563daf5p-20, -0x1.7d8c9ddb36c66p-20, -0x1.5bce4ffba0b3ap-20, -0x1.3b22f6b2f549ap-20, -0x1.1b80c4018b653p-20, -0x1.f9bcbcdf7bb7ap-21, -0x1.be65b7e267fb2p-21, -0x1.84eb785dadf9bp-21, -0x1.4d3dc92de1cdep-21, -0x1.174d364aba919p-21, -0x1.c61607b3c2536p-22, -0x1.60d24b7632ed1p-22, -0x1.fd68dc741925cp-23, -0x1.3f45cbd6271adp-23, -0x1.0e155e5b78b4bp-24, 0x1.5bb766607dce3p-26, 0x1.b0d6aa42bbf6bp-24, 0x1.7ffccb75329a5p-23, 0x1.1129cfdcce9f9p-22, 0x1.5fcb24782485cp-22, 0x1.abf4be213a8d5p-22, 0x1.f5b821dd1a9c7p-22, 0x1.1e93056b1b45fp-21, 0x1.41273987831dp-21, 0x1.62a04ee38d0e9p-21, 0x1.8305918801f4bp-21, 0x1.a25dfaa1020eep-21, 0x1.c0b035e3bea14p-21, 0x1.de02a5de0afdfp-21, 0x1.fa5b66f14f1cp-21, 0x1.0ae02a03dcd7dp-20, 0x1.181b84d1b2925p-20, 0x1.24e274bc27d17p-20, 0x1.31378eceaccf8p-20, 0x1.3d1d4dd5341bfp-20, 0x1.489613a8e52fp-20, 0x1.53a42b4be86e9p-20, 0x1.5e49c935116ap-20, 0x1.68890d457206ap-20, 0x1.726403d286779p-20, 0x1.7bdca6cc50c72p-20, 0x1.84f4dedd3e804p-20, 0x1.8dae8451489cep-20, 0x1.960b60435d19bp-20, 0x1.9e0d2d6acea1p-20, 0x1.a5b599050db5ap-20, 0x1.ad0643ab4e246p-20, 0x1.b400c21c97253p-20, 0x1.baa69dffcaabfp-20, 0x1.c0f9568c49b58p-20, 0x1.c6fa61459e848p-20, 0x1.ccab2a9d295c1p-20, 0x1.d20d165bab37p-20, 0x1.d72180769dfa9p-20, 0x1.dbe9bd685a981p-20, 0x1.e0671a9ae4474p-20, 0x1.e49adf55094d3p-20, 0x1.e8864c7cca7ap-20, 0x1.ec2a9d62eeabep-20, 0x1.ef89081fb8d9dp-20, 0x1.f2a2bddd7462ep-20, 0x1.f578eb30ac7b4p-20, 0x1.f80cb867b14eep-20, 0x1.fa5f49c355aap-20, 0x1.fc71bff837e42p-20, 0x1.fe4538136f195p-20, 0x1.ffdacbf03fec3p-20, 0x1.0099c91f6aeaep-19, 0x1.01284f9d1ce49p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.4831fed855b3bp-2, -0x1.3b31bd45f168dp-2, -0x1.2c987ba7f8928p-2, -0x1.1c93d28e33f6p-2, -0x1.0b4fac6de875bp-2, -0x1.f1eac9ff09317p-3, -0x1.cb58b71e780d6p-3, -0x1.a3343103012b8p-3, -0x1.79c3607002f2fp-3, -0x1.4f47c2963c573p-3, -0x1.23fec3c8195c4p-3, -0x1.f042c126d366ep-4, -0x1.97c824575bdbp-4, -0x1.3eef028af878ep-4, -0x1.cc2378980ec1ep-5, -0x1.1b05f4f11dcb3p-5, -0x1.ac68ac420318bp-7, 0x1.0c6a458ca688p-7, 0x1.de3fe877d8b9p-6, 0x1.98893761a0f8ap-5, 0x1.1f7a49e6caf23p-4, 0x1.71040efddea3fp-4, 0x1.c0bcb2fca1246p-4, 0x1.0741e3a9a20ffp-3, 0x1.2d1e79094a244p-3, 0x1.51e7ff2122abep-3, 0x1.75944a976fb88p-3, 0x1.981b02721c4a4p-3, 0x1.b97583841fa4p-3, 0x1.d99ec08725276p-3, 0x1.f893206fe7f92p-3, 0x1.0b282eba18c8ap-2, 0x1.196ab1fc7477fp-2, 0x1.27111769812e8p-2, 0x1.341bd0c8187c9p-2, 0x1.408bb371139c2p-2, 0x1.4c61ed3f9d399p-2, 0x1.57a0001c70f75p-2, 0x1.6247c0e2b9dc9p-2, 0x1.6c5b545d4956dp-2, 0x1.75dd26e5f9014p-2, 0x1.7ecfdf479aec6p-2, 0x1.873650c3e9d49p-2, 0x1.8f13706d5368p-2, 0x1.966a4fa73e95ap-2, 0x1.9d3e1a9360611p-2, 0x1.a392177504063p-2, 0x1.a969a45e3b2b4p-2, 0x1.aec8322bb04cbp-2, 0x1.b3b13dabfdf33p-2, 0x1.b82848d3026e3p-2, 0x1.bc30d5be98e07p-2, 0x1.bfce646a66b19p-2, 0x1.c30472cfdd8dep-2, 0x1.c5d67e574b8e3p-2, 0x1.c848053175666p-2, 0x1.ca5c866f0e209p-2, 0x1.cc178043e1603p-2, 0x1.cd7c6c90a130bp-2, 0x1.ce8ebc51a52cap-2, 0x1.cf51d2c96c2a3p-2, 0x1.cfc9012e0fd08p-2, 0x1.cff7836461ac2p-2, 0x1.cfe1d50e4818bp-2, 0x1.cf883323165e5p-2, 0x1.ceeef9535409dp-2, 0x1.ce190e34a876dp-2, 0x1.cd0942221f454p-2, 0x1.cbc24fd9c3971p-2, 0x1.ca46dd7e23b31p-2, 0x1.c8997dc0ecc9ap-2, 0x1.c6bcb10227a6fp-2, 0x1.c4b2e63b3ae64p-2, 0x1.c27e7b9a75894p-2, 0x1.c021bec17198ep-2, 0x1.bd9eeca582bbep-2, 0x1.baf8311d2e32dp-2, 0x1.b82fa62fcdd13p-2, 0x1.b5475343d3518p-2, 0x1.b2412c4c0c231p-2, 0x1.af1f111416bf4p-2, 0x1.abe2ccc857508p-2, 0x1.a88e15cecb44ep-2, 0x1.a5228dfd49e5ap-2, 0x1.a1a1c33011bdbp-2, 0x1.9e0d303a14849p-2, 0x1.9a663e200522p-2, 0x1.96ae458857989p-2, 0x1.92e69045cb0ap-2, 0x1.8f105ae0008e7p-2, 0x1.8b2cd5fe62a89p-2, 0x1.873d279d49ebap-2, 0x1.83426bfb6f432p-2, 0x1.7f3db635d438bp-2, 0x1.7b30109155258p-2, 0x1.771a7c79cfef2p-2, 0x1.72fdf2463885cp-2, 0x1.6edb60d5ea82fp-2, 0x1.6ab3ad1dbe30ep-2, 0x1.6687b1ba981a9p-2, 0x1.62583e9beb0c1p-2, 0x1.5e2618d39611p-2, 0x1.59f1fa92a68afp-2, 0x1.55bc9354b9b37p-2, 0x1.51868836a1b79p-2, 0x1.4d50747144fcbp-2, 0x1.491ae9ef594dp-2, 0x1.44e671f3d41dep-2, 0x1.40b38dc74ac4ap-2, 0x1.3c82b763b7e3fp-2, 0x1.38546217f7ac4p-2, 0x1.3428fb1e33d55p-2, 0x1.3000ea22653e6p-2, 0x1.2bdc91b7b8a9bp-2, 0x1.27bc4fbcea5cep-2, 0x1.23a07db0966c9p-2, 0x1.1f8970f71b1b6p-2, 0x1.1b777b13eee4ep-2, 0x1.176ae9d86be34p-2, 0x1.1364078a07b48p-2, 0x1.0f631b01cc427p-2, 0x1.0b6867c6ad869p-2, 0x1.07742e2432904p-2, 0x1.0386ab3e8e5a2p-2, 0x1.ff40324a27772p-3, 0x1.f7815dc7420dbp-3, 0x1.efd14126c90f4p-3, 0x1.e8303ed647523p-3, 0x1.e09eb39df70f3p-3, 0x1.d91cf6bf0c83dp-3, 0x1.d1ab5a1088fdap-3, 0x1.ca4a2a1a5a7ccp-3, 0x1.c2f9ae2eeb1dcp-3, 0x1.bbba28835511ap-3, 0x1.b48bd646e1625p-3, 0x1.ad6eefbaa2dd3p-3, 0x1.a663a84a21ab8p-3, 0x1.9f6a2ea63e438p-3, 0x1.9882ace334cbcp-3, 0x1.91ad489aa5a2bp-3, 0x1.8aea231236d15p-3, 0x1.8439596704106p-3, 0x1.7d9b04bdd1102p-3, 0x1.770f3a7785806p-3, 0x1.70960c6934da9p-3, 0x1.6a2f8916bc841p-3, 0x1.63dbbbeec62edp-3, 0x1.5d9c2acd5d55bp-3, 0x1.576d2b40faccbp-3, 0x1.5150f3fe20b1fp-3, 0x1.4b478b00db9d7p-3, 0x1.4550f3eead179p-3, 0x1.3f6d302706347p-3, 0x1.399c3ed427567p-3, 0x1.33de1cfcab77cp-3, 0x1.2e32c595c19c7p-3, 0x1.289a31960f28p-3, 0x1.23145809332a2p-3, 0x1.1da12e23c3f05p-3, 0x1.1840a757983c1p-3, 0x1.12f2b56838efdp-3, 0x1.0db7487f3a1b1p-3, 0x1.088e4f404da7ap-3, 0x1.0377b6dcde667p-3, 0x1.fce6d64e160c6p-4, 0x1.f302ad47a1231p-4, 0x1.e942c538ab042p-4, 0x1.dfa6ee5c70c11p-4, 0x1.d62ef6b5ab43ap-4, 0x1.ccdaaa2b0ec89p-4, 0x1.c3a9d2a1c3626p-4, 0x1.ba9c3815e111bp-4, 0x1.b1b1a0b12d064p-4, 0x1.a8e9d0e018091p-4, 0x1.a0448b6565d96p-4, 0x1.97c1916c6d4fp-4, 0x1.8f60a29a5993p-4, 0x1.87217d1e7ee83p-4, 0x1.7f03ddc1f4455p-4, 0x1.77077ff69cda9p-4, 0x1.6f2c1de5c04c5p-4, 0x1.6771707e4ea93p-4, 0x1.5fd72f82ea526p-4, 0x1.585d1197c6435p-4, 0x1.5102cc50696e7p-4, 0x1.49c8143d61bddp-4, 0x1.42ac9cf9eb4a3p-4, 0x1.3bb0193992ff8p-4, 0x1.34d23ad5d3ccdp-4, 0x1.2e12b2dbb0a9bp-4, 0x1.2771319947ecbp-4, 0x1.20ed66ab5d4e1p-4, 0x1.1a87010ada6b6p-4, 0x1.143daf1a3a014p-4, 0x1.0e111eb2dff86p-4, 0x1.0800fd32516dfp-4, 0x1.020cf7874bd65p-4, 0x1.f869747d5e874p-5, 0x1.ecefe320714a9p-5, 0x1.e1ac92d6082ccp-5, 0x1.d69edb039bcf1p-5, 0x1.cbc612addbfcep-5, 0x1.c121909012a5p-5, 0x1.b6b0ab32e0669p-5, 0x1.ac72b9024b4e5p-5, 0x1.a26710631f6a7p-5, 0x1.988d07c78f9d2p-5, 0x1.8ee3f5c31a8ccp-5, 0x1.856b311daf1e8p-5, 0x1.7c2210e60e5f1p-5, 0x1.7307ec836b8e3p-5, 0x1.6a1c1bc64f395p-5, 0x1.615df6f8bdbfp-5, 0x1.58ccd6eda4c1cp-5, 0x1.5068150f9b7e3p-5, 0x1.482f0b6ef5ac9p-5, 0x1.402114cf2ee76p-5, 0x1.383d8cb3bec7cp-5, 0x1.3083cf6c51d77p-5, 0x1.28f33a2073a9cp-5, 0x1.218b2adab6c61p-5, 0x1.1a4b00935847p-5, 0x1.13321b3a6bd98p-5, 0x1.0c3fdbc19561ep-5, 0x1.0573a4255805ap-5, 0x1.fd99aeec0074cp-6, 0x1.f095b3c05538ep-6, 0x1.e3da2169e9d81p-6, 0x1.d765c4e3a39a3p-6, 0x1.cb376d9026b0fp-6, 0x1.bf4ded4835184p-6, 0x1.b3a818689035dp-6, 0x1.a844c5df31955p-6, 0x1.9d22cf37fbd55p-6, 0x1.924110a8e1a7fp-6, 0x1.879e691d80166p-6, 0x1.7d39ba422c083p-6, 0x1.7311e88e79625p-6, 0x1.6925db4f3ddcp-6, 0x1.5f747cb004457p-6, 0x1.55fcb9c3fa1b6p-6, 0x1.4cbd828e581c1p-6, 0x1.43b5ca0a35acap-6, 0x1.3ae48631dd954p-6, 0x1.3248b00591c7cp-6, 0x1.29e14391c5396p-6, 0x1.21ad3ff4cbd0ep-6, 0x1.19aba763ffb43p-6, 0x1.11db7f3058708p-6, 0x1.0a3bcfca84e16p-6, 0x1.02cba4c674d61p-6, 0x1.f71419bcc1101p-7, 0x1.e8ec33ea93548p-7, 0x1.db1dc2320f50ap-7, 0x1.cda6f5079122ep-7, 0x1.c086033a416f8p-7, 0x1.b3b929f53fbe4p-7, 0x1.a73eacbfe0667p-7, 0x1.9b14d57d1760dp-7, 0x1.8f39f469fc49cp-7, 0x1.83ac601b79dfep-7, 0x1.786a757b4d96ep-7, 0x1.6d7297c416813p-7, 0x1.62c3307cd1db5p-7, 0x1.585aaf7388b54p-7, 0x1.4e378ab75d2bp-7, 0x1.44583e91e32fap-7, 0x1.3abb4d7fe9a8p-7, 0x1.315f402999ed8p-7, 0x1.2842a55a107e7p-7, 0x1.1f6411f65dae6p-7, 0x1.16c220f403e04p-7, 0x1.0e5b734efd47cp-7, 0x1.062eafff34c9fp-7, 0x1.fc7507db32398p-8, 0x1.ecfb43d16a5bap-8, 0x1.dded8531c3dfep-8, 0x1.cf4948e81e9eap-8, 0x1.c10c17626ce7dp-8, 0x1.b3338476b2e92p-8, 0x1.a5bd2f4891439p-8, 0x1.98a6c22dfbf6bp-8, 0x1.8bedf2937018cp-8, 0x1.7f9080df77f27p-8, 0x1.738c3855da61fp-8, 0x1.67deeefa12ffcp-8, 0x1.5c8685716d60ep-8, 0x1.5180e6e4aab1p-8, 0x1.46cc08e141af9p-8, 0x1.3c65eb3a2fc6ap-8, 0x1.324c97e89385fp-8, 0x1.287e22ebd5675p-8, 0x1.1ef8aa299a3f8p-8, 0x1.15ba554d72f9bp-8, 0x1.0cc155a855278p-8, 0x1.040be60fd0936p-8, 0x1.f730957a92179p-9, 0x1.e6c9a259a606ep-9, 0x1.d6df9ff83897fp-9, 0x1.c76f4d9268e3dp-9, 0x1.b8757c2278a74p-9, 0x1.a9ef0e1e4af71p-9, 0x1.9bd8f734a988fp-9, 0x1.8e303c0ac517dp-9, 0x1.80f1f1f98dd0cp-9, 0x1.741b3ecb69325p-9, 0x1.67a95879e90cbp-9, 0x1.5b9984ebc84fap-9, 0x1.4fe919b310612p-9, 0x1.44957bcbbbfd5p-9, 0x1.399c1f5a5866ap-9, 0x1.2efa876b4706p-9, 0x1.24ae45b23e18dp-9, 0x1.1ab4fa4a1f7fdp-9, 0x1.110c537594068p-9, 0x1.07b6050cd0eaep-9, 0x1.fd5244451fcfap-10, 0x1.ebcc6f0f25d87p-10, 0x1.dad6516dbe478p-10, 0x1.ca6bcc5807177p-10, 0x1.ba88da4ebc34ep-10, 0x1.ab298ee626b6p-10, 0x1.9c4a1650f7625p-10, 0x1.8de6b4ebf3c55p-10, 0x1.7ffbc6cad0ff1p-10, 0x1.7285bf45f9e4dp-10, 0x1.658128895936fp-10, 0x1.58eaa3245194cp-10, 0x1.4cbee59a8d9bdp-10, 0x1.40fabbf5e9821p-10, 0x1.359b0759c8593p-10, 0x1.2a9cbd970b73fp-10, 0x1.1ffce8c1450b8p-10, 0x1.15b8a6c58b7a6p-10, 0x1.0bcd29019365bp-10, 0x1.0237b3dc9fbd1p-10, 0x1.f1eb3cc2d3136p-11, 0x1.e008a3b1a5ef5p-11, 0x1.cec292cd55bbdp-11, 0x1.be14234dd3855p-11, 0x1.adf8909884aa6p-11, 0x1.9e6b37806cae3p-11, 0x1.8f67958871e63p-11, 0x1.80e9482846984p-11, 0x1.72ec0c13cee87p-11, 0x1.656bbc856efe9p-11, 0x1.5864528a896b7p-11, 0x1.4bd1e452473f9p-11, 0x1.3fb0a480a47aep-11, 0x1.33fce182766f9p-11, 0x1.28b304e4babdcp-11, 0x1.1dcf92af08a07p-11, 0x1.134f28c00d17cp-11, 0x1.092e7e2d5a42bp-11, 0x1.fed4c54b67f3fp-12, 0x1.ebff7bac3bd18p-12, 0x1.d9d71da42e711p-12, 0x1.c855d6fba3232p-12, 0x1.b775fff7fd3b1p-12, 0x1.a7321c3c2d7e6p-12, 0x1.9784d9adead51p-12, 0x1.88690f62ad83dp-12, 0x1.79d9bc8fb49ebp-12, 0x1.6bd207810db88p-12, 0x1.5e4d3c958fe15p-12, 0x1.5146cd400902cp-12, 0x1.44ba4f0ea1747p-12, 0x1.38a37ab638071p-12, 0x1.2cfe2b2441be1p-12, 0x1.21c65c9540fa3p-12, 0x1.16f82bb0402a2p-12, 0x1.0c8fd4a719f74p-12, 0x1.0289b25dc9fc1p-12, 0x1.f1c47b26f4deep-13, 0x1.df2c1824e3a2dp-13, 0x1.cd439fc94bfd9p-13, 0x1.bc04ad18b1b01p-13, 0x1.ab6910842fd18p-13, 0x1.9b6ace6a2f15ap-13, 0x1.8c041da9123f5p-13, 0x1.7d2f66301f51p-13, 0x1.6ee73f9f9109ap-13, 0x1.61266feed18b5p-13, 0x1.53e7ea1b37d92p-13, 0x1.4726ccdec591ap-13, 0x1.3ade616ec1c55p-13, 0x1.2f0a1a41baea4p-13, 0x1.23a591de501c1p-13, 0x1.18ac89af57f48p-13, 0x1.0e1ae8e077512p-13, 0x1.03ecbb42af544p-13, 0x1.f43c606738e52p-14, 0x1.e1573326247bdp-14, 0x1.cf22d56fc53cbp-14, 0x1.bd986edd308eap-14, 0x1.acb165fe12273p-14, 0x1.9c675e6b410f4p-14, 0x1.8cb436ea6d9d9p-14, 0x1.7d92079b40408p-14, 0x1.6efb203097435p-14, 0x1.60ea0634a6dcap-14, 0x1.5359735ae40fp-14, 0x1.464453d742545p-14, 0x1.39a5c4c7511efp-14, 0x1.2d79129f574fep-14, 0x1.21b9b7a626919p-14, 0x1.16635a79d49e1p-14, 0x1.0b71cc9ac9183p-14, 0x1.00e1090864cc5p-14, 0x1.ed5a65bd78c14p-15, 0x1.d9a528080707cp-15, 0x1.c69b37b18d0b7p-15, 0x1.b435bbf1ce497p-15, 0x1.a26e21f617352p-15, 0x1.913e1a8b7d8d1p-15, 0x1.809f97c2162a7p-15, 0x1.708ccaae0e9c7p-15, 0x1.61002131e3a0fp-15, 0x1.51f443dffae11p-15, 0x1.436413e278c16p-15, 0x1.354aa8f9d921bp-15, 0x1.27a34f89e14p-15, 0x1.1a6986a567a5bp-15, 0x1.0d98fe4af0462p-15, 0x1.012d958a01736p-15, 0x1.ea46b194205a5p-16, 0x1.d2ed00379b1f3p-16, 0x1.bc46db28ebdp-16, 0x1.a64d577089b07p-16, 0x1.90f9d7e1f24acp-16, 0x1.7c460a1c72c5dp-16, 0x1.682be3b00703cp-16, 0x1.54a59f459d0c3p-16, 0x1.41adb9efacdf7p-16, 0x1.2f3ef088e1021p-16, 0x1.1d543d29c557bp-16, 0x1.0be8d4b2bd056p-16, 0x1.f5f048e18e304p-17, 0x1.d4fb9f7544d05p-17, 0x1.b4eb5bab3f591p-17, 0x1.95b78f8260c62p-17, 0x1.7758ac38414e6p-17, 0x1.59c77e54765f4p-17, 0x1.3cfd29bdc6ap-17, 0x1.20f3260edb8e5p-17, 0x1.05a33ad95ac8fp-17, 0x1.d60ef8774454cp-18, 0x1.a2348ef96c0a5p-18, 0x1.6fac7f973ad1dp-18, 0x1.3e6c96389e16ep-18, 0x1.0e6b1e3bf8ea9p-18, 0x1.bf3db97892b64p-19, 0x1.63fe15a4e9eebp-19, 0x1.0b06a04872382p-19, 0x1.688ef7661bfc9p-20, 0x1.7ec64c400b1e7p-21, 0x1.a6d206e31316bp-24, -0x1.0cdcb30525161p-21, -0x1.23492dfadf90dp-20, -0x1.bc3bfb3c5609cp-20, -0x1.28af135cbe846p-19, -0x1.7162f74166f96p-19, -0x1.b8443bbac15e1p-19, -0x1.fd5cee4330a6dp-19, -0x1.205b4f21f4906p-18, -0x1.412d31f01064fp-18, -0x1.6128731f9147p-18, -0x1.80513142ddd53p-18, -0x1.9eab58536028cp-18, -0x1.bc3aa4ece1553p-18, -0x1.d902a6f0825cfp-18, -0x1.f506c421f80acp-18, -0x1.08251d5910458p-17, -0x1.156811bcde21ap-17, -0x1.224dba405925bp-17, -0x1.2ed78181a92e5p-17, -0x1.3b06c2c915376p-17, -0x1.46dccb0779028p-17, -0x1.525ad9c8e64dap-17, -0x1.5d82221d69929p-17, -0x1.6853cb6ed91eap-17, -0x1.72d0f25bdbd35p-17, -0x1.7cfaa97e1ac65p-17, -0x1.86d1fa14934e5p-17, -0x1.9057e4d4537bap-17, -0x1.998d6281f88a8p-17, -0x1.a273648cd397ap-17, -0x1.ab0ad5cd152d3p-17, -0x1.b3549ae05e1f7p-17, -0x1.bb5192cd1c55cp-17, -0x1.c3029789ffc9ep-17, -0x1.ca687e6daafbep-17, -0x1.d18418a449bap-17, -0x1.d856339b6211bp-17, -0x1.dedf9963c4075p-17, -0x1.e52111213cec8p-17, -0x1.eb1b5f4b4edb4p-17, -0x1.f0cf46114e282p-17, -0x1.f63d859b6f556p-17, -0x1.fb66dc7aae4bp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2663614240435p+0, -0x1.1a300ee0685a8p+0, -0x1.0ee5966e8c4c5p+0, -0x1.047ae98bf8241p+0, -0x1.f5cc1d038634bp-1, -0x1.e439278a8bed3p-1, -0x1.d427224eca252p-1, -0x1.c57f9e852f9f6p-1, -0x1.b82c729fd795bp-1, -0x1.ac17d95c6101bp-1, -0x1.a12c1c89b5a32p-1, -0x1.9753bd895b34ep-1, -0x1.8e79e900f64bcp-1, -0x1.868ab3045e997p-1, -0x1.7f731e97a7d4fp-1, -0x1.79211a661b8a5p-1, -0x1.7383710aedc3fp-1, -0x1.6e89ac4798919p-1, -0x1.6a2408031ffeep-1, -0x1.664389a313e2p-1, -0x1.62da2b151209fp-1, -0x1.5fda7a3542ba4p-1, -0x1.5d3a55a816036p-1, -0x1.5aed8bb5376f3p-1, -0x1.58e9a425f4b53p-1, -0x1.5724f1ddab11dp-1, -0x1.5596912287ffdp-1, -0x1.54365f43611b6p-1, -0x1.52fcebcca10d7p-1, -0x1.51e366d1730ddp-1, -0x1.50e391178ac67p-1, -0x1.4ff7b15fc16edp-1, -0x1.4f1a8ed26f07dp-1, -0x1.4e476e21089adp-1, -0x1.4d7a0e9c942dcp-1, -0x1.4caea5cac174bp-1, -0x1.4be1d95b46679p-1, -0x1.4b10b7c0e778dp-1, -0x1.4a38af5ce8ed1p-1, -0x1.4957840dcd3a6p-1, -0x1.486b4395549a9p-1, -0x1.47723a4fcdabfp-1, -0x1.466aea4155e0dp-1, -0x1.455405f9a30d9p-1, -0x1.442c6f6a42017p-1, -0x1.42f3394a00364p-1, -0x1.41a7a8ccb8b4bp-1, -0x1.404935a85e774p-1, -0x1.3ed7875dba1cbp-1, -0x1.3d526ff52f7efp-1, -0x1.3bb9e54910dfdp-1, -0x1.3a0dfa44d72f7p-1, -0x1.384ed93a6ff7p-1, -0x1.367cbfd3f5724p-1, -0x1.3497fc879f5dap-1, -0x1.32a0ed096fd58p-1, -0x1.3097fd19e4c6p-1, -0x1.2e7da5371fcaap-1, -0x1.2c5268fd72339p-1, -0x1.2a16d54873fa6p-1, -0x1.27cb7e4e9e32dp-1, -0x1.2570fdf84986ep-1, -0x1.2307f2a085113p-1, -0x1.20900824f325p-1, -0x1.1e0ba640269dp-1, -0x1.1b7ac704c1735p-1, -0x1.18de18f25fb21p-1, -0x1.16364a63f8934p-1, -0x1.1384095957c34p-1, -0x1.10c803512936bp-1, -0x1.0e02e51eabdb2p-1, -0x1.0b355aaf214f5p-1, -0x1.08600ebb0980cp-1, -0x1.0583aa649d999p-1, -0x1.02a0d4c76d4d5p-1, -0x1.ff7064fae8b97p-2, -0x1.f994ca3b24641p-2, -0x1.f3b0156e46777p-2, -0x1.edc37a9dfad76p-2, -0x1.e7d024c67984dp-2, -0x1.e1d734f8f1ee4p-2, -0x1.dbd9c1a7770dap-2, -0x1.d5d8d62836329p-2, -0x1.cfd5727a9ed19p-2, -0x1.c9d08b53b0d67p-2, -0x1.c3cb0a6fea7c5p-2, -0x1.bdc5cf223c021p-2, -0x1.b7c1af1133e04p-2, -0x1.b1bf770ef31b9p-2, -0x1.abbfebf629c8ap-2, -0x1.a5c3cb768d134p-2, -0x1.9fcbccbded429p-2, -0x1.99d8a0efdc5bp-2, -0x1.93eaf36462fd4p-2, -0x1.8e0369ad37a56p-2, -0x1.8822a367fc07dp-2, -0x1.824939e9bb844p-2, -0x1.7c77bfd3cce35p-2, -0x1.76aec0a3c87a4p-2, -0x1.70eec04f7044ap-2, -0x1.6b383afa897c4p-2, -0x1.658ba4d040ddcp-2, -0x1.5fe96a04b9903p-2, -0x1.5a51eefe5a7cbp-2, -0x1.54c590a24f3f8p-2, -0x1.4f44a4bc8c916p-2, -0x1.49cf7a7a06399p-2, -0x1.44665aeb7c754p-2, -0x1.3f098987f9551p-2, -0x1.39b944a7cd082p-2, -0x1.3475c5f2db84cp-2, -0x1.2f3f42bf3f9c9p-2, -0x1.2a15ec5f4e83fp-2, -0x1.24f9f05fa9155p-2, -0x1.1feb78b73e98dp-2, -0x1.1aeaabebe57cap-2, -0x1.15f7ad2e6dbd2p-2, -0x1.11129c710b77p-2, -0x1.0c3b967aa9d3fp-2, -0x1.0772b4f94183cp-2, -0x1.02b80e94bf777p-2, -0x1.fc176e0729ce7p-3, -0x1.f2db7e42e05a8p-3, -0x1.e9bc6a10924p-3, -0x1.e0ba4856ffa76p-3, -0x1.d7d52ae9012c5p-3, -0x1.cf0d1ec086c1cp-3, -0x1.c6622c39906e1p-3, -0x1.bdd4574b8c3fep-3, -0x1.b5639fbf6dfedp-3, -0x1.ad1001615d708p-3, -0x1.a4d9742d0bf22p-3, -0x1.9cbfec745266p-3, -0x1.94c35b00428ffp-3, -0x1.8ce3ad2d2eef7p-3, -0x1.8520cd02c6167p-3, -0x1.7d7aa1496bacap-3, -0x1.75f10d9e4ea15p-3, -0x1.6e83f287b0a02p-3, -0x1.67332d8a9ef48p-3, -0x1.5ffe994339db9p-3, -0x1.58e60d805f216p-3, -0x1.51e95f62fbc46p-3, -0x1.4b086181493b5p-3, -0x1.4442e40d76d26p-3, -0x1.3d98b4ff680afp-3, -0x1.3709a040999d8p-3, -0x1.30966d1bf470bp-3, -0x1.2a3c8be296f6cp-3, -0x1.23fd1c4cc9e03p-3, -0x1.1dd7e66dc958dp-3, -0x1.17ccb10421a5cp-3, -0x1.11db418c3199ep-3, -0x1.0c035c5291c61p-3, -0x1.0644c486711abp-3, -0x1.009f3c4c02403p-3, -0x1.f625099de1b36p-4, -0x1.eb3cbca9a13f4p-4, -0x1.e085109f10295p-4, -0x1.d5fd82df0ea8fp-4, -0x1.cba58f6b8b6cap-4, -0x1.c17cb10ac626fp-4, -0x1.b7826169984c5p-4, -0x1.adb6193cad23p-4, -0x1.a417506062c75p-4, -0x1.9aa57df74b572p-4, -0x1.916018871b415p-4, -0x1.884696141163cp-4, -0x1.7f586c3ac86d3p-4, -0x1.769510486f686p-4, -0x1.6dfbf75187b11p-4, -0x1.658c96472d9bp-4, -0x1.5d46620b1007ep-4, -0x1.5528cf822829bp-4, -0x1.4d3353a657cb9p-4, -0x1.4565639705b43p-4, -0x1.3dbe74a8d608cp-4, -0x1.363dfc74969f2p-4, -0x1.2ee370e577b17p-4, -0x1.27ae4846a123ep-4, -0x1.209df950367a4p-4, -0x1.19b1fb33d655ap-4, -0x1.12e9c5a89b485p-4, -0x1.0c44d0f6ac126p-4, -0x1.05c296025d36bp-4, -0x1.fec51cadcd725p-5, -0x1.f24868616d481p-5, -0x1.e60e050ec15fap-5, -0x1.da14ea2e5b055p-5, -0x1.ce5c10d4a6113p-5, -0x1.c2e273c392cbdp-5, -0x1.b7a70f7b9c928p-5, -0x1.aca8e24c2e47dp-5, -0x1.a1e6ec6355c9ep-5, -0x1.97602fdce2eecp-5, -0x1.8d13b0d0e1225p-5, -0x1.8300756180692p-5, -0x1.792585c860c2dp-5, -0x1.6f81ec634803bp-5, -0x1.6614b5c042da4p-5, -0x1.5cdcf0a92d7b4p-5, -0x1.53d9ae2e9f07bp-5, -0x1.4b0a01b24294ep-5, -0x1.426d00f08a7cap-5, -0x1.3a01c409cb53fp-5, -0x1.31c7658ab5635p-5, -0x1.29bd02742a82cp-5, -0x1.21e1ba42770a6p-5, -0x1.1a34aef3e456bp-5, -0x1.12b5050eac44p-5, -0x1.0b61e3a64fbe7p-5, -0x1.043a746050bf5p-5, -0x1.fa7bc6f09becbp-6, -0x1.ecd6bf8714a5p-6, -0x1.df843567d0507p-6, -0x1.d28290b4c018fp-6, -0x1.c5d03ed1a2877p-6, -0x1.b96bb266f692bp-6, -0x1.ad536363cb59bp-6, -0x1.a185cefe955bap-6, -0x1.960177b563f2dp-6, -0x1.8ac4e54d110ap-6, -0x1.7fcea4cfd601ep-6, -0x1.751d488b00d18p-6, -0x1.6aaf680c2be3fp-6, -0x1.6083a01dbf01cp-6, -0x1.569892c2da56bp-6, -0x1.4cece732c4369p-6, -0x1.437f49d3ca24ap-6, -0x1.3a4e6c35b57dbp-6, -0x1.3159050bc393dp-6, -0x1.289dd0263f7f2p-6, -0x1.201b8e6bb0f8fp-6, -0x1.17d105d1b1d85p-6, -0x1.0fbd015565f77p-6, -0x1.07de50f3a449p-6, -0x1.0033c9a0c743ap-6, -0x1.f1788a8077b6ap-7, -0x1.e2ed453764609p-7, -0x1.d4c38ab42be3dp-7, -0x1.c6f92bec72b39p-7, -0x1.b98c036a7661bp-7, -0x1.ac79f5396a7a4p-7, -0x1.9fc0eed1094dp-7, -0x1.935ee7012bc04p-7, -0x1.8751dddc501c7p-7, -0x1.7b97dca23322cp-7, -0x1.702ef5a9ab255p-7, -0x1.6515444a003c9p-7, -0x1.5a48ecc43d72cp-7, -0x1.4fc81c2bcc63p-7, -0x1.4591084ed37b3p-7, -0x1.3ba1ef9e390bap-7, -0x1.31f91915595a8p-7, -0x1.2894d4216b173p-7, -0x1.1f737888a0635p-7, -0x1.1693665106faap-7, -0x1.0df305a73568bp-7, -0x1.0590c6c4b3fc7p-7, -0x1.fad643ac9012ep-8, -0x1.eb012dc409837p-8, -0x1.db9f5b5ab234ep-8, -0x1.ccadeb459940dp-8, -0x1.be2a0b6f9ce7ep-8, -0x1.b010f8a4b731bp-8, -0x1.a25ffe5d4a43ep-8, -0x1.95147689214ap-8, -0x1.882bc95a96cdap-8, -0x1.7ba36d119d7f5p-8, -0x1.6f78e5c6e4064p-8, -0x1.63a9c536d1f7p-8, -0x1.5833aa8cd5939p-8, -0x1.4d14422e9e66cp-8, -0x1.424945877eb85p-8, -0x1.37d07ad40c555p-8, -0x1.2da7b4edc8626p-8, -0x1.23ccd3172fe34p-8, -0x1.1a3dc0c79ab83p-8, -0x1.10f8757807e3ep-8, -0x1.07faf46f4f49dp-8, -0x1.fe86991eff844p-9, -0x1.ed9f3045b281bp-9, -0x1.dd3bf952e8318p-9, -0x1.cd59554e218ccp-9, -0x1.bdf3bae2ee00ep-9, -0x1.af07b5fe02828p-9, -0x1.a091e76b48535p-9, -0x1.928f0474b15fcp-9, -0x1.84fbd681dbc7ep-9, -0x1.77d53ab8a538bp-9, -0x1.6b18219e7e3cep-9, -0x1.5ec18ebac984ap-9, -0x1.52ce983a1629fp-9, -0x1.473c669253e83p-9, -0x1.3c0834280bf94p-9, -0x1.312f4cf458392p-9, -0x1.26af0e2c94346p-9, -0x1.1c84e5e9fd52dp-9, -0x1.12ae52d34bf9dp-9, -0x1.0928e3c6f620ep-9, -0x1.ffe46f0d17e0fp-10, -0x1.ee0ff8c671183p-10, -0x1.dccfdfd67abfdp-10, -0x1.cc1fbd31be943p-10, -0x1.bbfb47039758ep-10, -0x1.ac5e50106c91p-10, -0x1.9d44c719a0cfep-10, -0x1.8eaab643c2c03p-10, -0x1.808c427f2188cp-10, -0x1.72e5aaf2b94b4p-10, -0x1.65b34868c6fa7p-10, -0x1.58f18cbe85b54p-10, -0x1.4c9d02555d6ddp-10, -0x1.40b24b86ca7f7p-10, -0x1.352e221add8b8p-10, -0x1.2a1145c0c8878p-10, -0x1.1f51f38f3dcbcp-10, -0x1.14efd965bf6a5p-10, -0x1.0ae808a90cc43p-10, -0x1.0137a7ab59e5p-10, -0x1.efb7e2609ee0ap-11, -0x1.dda467e6c1ba4p-11, -0x1.cc2fa4613022bp-11, -0x1.bb54825d1f448p-11, -0x1.ab0e1196a94p-11, -0x1.9b578615bb682p-11, -0x1.8c2c374efc48ep-11, -0x1.7d879f49924d4p-11, -0x1.6f6559c6d0556p-11, -0x1.61c1237064681p-11, -0x1.5496d9080d872p-11, -0x1.47e2769c408d8p-11, -0x1.3ba016bf830d4p-11, -0x1.2fcbf1c6b5808p-11, -0x1.24625d0618c3ep-11, -0x1.195fca158f392p-11, -0x1.0ec0c617b3375p-11, -0x1.0481f902243afp-11, -0x1.f54049dc7af6ap-12, -0x1.e2304ad13df81p-12, -0x1.cfcddd8d89835p-12, -0x1.be131afc2325bp-12, -0x1.acfa4b00a8bcfp-12, -0x1.9c7de334d3ae6p-12, -0x1.8c9885acbb31ap-12, -0x1.7d44ffc290a43p-12, -0x1.6e7e48e7a9b23p-12, -0x1.603f817a977aep-12, -0x1.5283f1a8afc05p-12, -0x1.4547085214b29p-12, -0x1.388459f208f6bp-12, -0x1.2c379f92771dcp-12, -0x1.205cb5c1dbccbp-12, -0x1.14ef9b90e96bdp-12, -0x1.09ec719583946p-12, -0x1.fe9ef1e6b8318p-13, -0x1.ea2a24d8c67f8p-13, -0x1.d6737ae5cee3ap-13, -0x1.c3742e8ad6accp-13, -0x1.b125b41c031ffp-13, -0x1.9f81b80f24429p-13, -0x1.8e821d52000c1p-13, -0x1.7e20fba88cb71p-13, -0x1.6e589e199ba0bp-13, -0x1.5f238162067cep-13, -0x1.507c52741f8cbp-13, -0x1.425ded02569ffp-13, -0x1.34c35a0f16c1dp-13, -0x1.27a7ce8af1527p-13, -0x1.1b06a9faa5564p-13, -0x1.0edb75247a117p-13, -0x1.0321e0c5b318ap-13, -0x1.efab88b8c54c8p-14, -0x1.d9e639ccc0a0dp-14, -0x1.c4ec17761ca99p-14, -0x1.b0b5aabdc93c7p-14, -0x1.9d3bc0d2cc234p-14, -0x1.8a7768dff2169p-14, -0x1.7861f1df5e6dp-14, -0x1.66f4e8a736322p-14, -0x1.562a15d54571p-14, -0x1.45fb7be653a7fp-14, -0x1.3663555233293p-14, -0x1.275c12b6826e4p-14, -0x1.18e0590eae11fp-14, -0x1.0aeafff8dc9d6p-14, -0x1.faee200d49a46p-15, -0x1.e0ff823718851p-15, -0x1.c800f1b817bcfp-15, -0x1.afe9922e1a96ep-15, -0x1.98b0dca3a28cap-15, -0x1.824e9c93a7aa7p-15, -0x1.6cbaed2d78768p-15, -0x1.57ee3687d3363p-15, -0x1.43e12afaa56e4p-15, -0x1.308cc48dad564p-15, -0x1.1dea4270feae8p-15, -0x1.0bf3269234181p-15, -0x1.f542667e8458p-16, -0x1.d3dcd1b8a12c9p-16, -0x1.b3aa074e1fa87p-16, -0x1.949ef33f9489dp-16, -0x1.76b0f0b368f68p-16, -0x1.59d5c60cbb3cep-16, -0x1.3e03a0f201dc6p-16, -0x1.23311282033bep-16, -0x1.09550b9ff2ab5p-16, -0x1.e0cdb2dd253dap-17, -0x1.b0bc438e4bf22p-17, -0x1.8265bfcf614eap-17, -0x1.55bac29793045p-17, -0x1.2aac84a444456p-17, -0x1.012cd6f170d16p-17, -0x1.b25c387360315p-18, -0x1.654687d06ab01p-18, -0x1.1aff886396e3bp-18, -0x1.a6de53b27537ap-19, -0x1.1cfca94f2289ap-19, -0x1.305b812f9c69fp-20, -0x1.8471331748279p-23, 0x1.8b80b40fc8e53p-21, 0x1.b2de4ee49705bp-20, 0x1.4b8b6fc49eac7p-19, 0x1.b95913c40cfe7p-19, 0x1.117d56db0d544p-18, 0x1.4448b99ef3aeap-18, 0x1.751ea19faab86p-18, 0x1.a40e5b1798f16p-18, 0x1.d12695554a74cp-18, 0x1.fc7569a6587adp-18, 0x1.130430df41debp-17, 0x1.26f63ee4fff44p-17, 0x1.3a171d5d12583p-17, 0x1.4c6ccbe1209e1p-17, 0x1.5dfd0dfc021cp-17, 0x1.6ecd6dd66762dp-17, 0x1.7ee33ebf17e3ap-17, 0x1.8e439f9ea318p-17, 0x1.9cf37d75d1655p-17, 0x1.aaf795717b7f8p-17, 0x1.b854772e07b33p-17, 0x1.c50e86e043a95p-17, 0x1.d129ff4735762p-17, 0x1.dcaaf3b39edc3p-17, 0x1.e795518f17e2p-17, 0x1.f1ece29f7f24cp-17, 0x1.fbb54e67f945ep-17, 0x1.02790defc8222p-16, 0x1.06d35980bfbc9p-16, 0x1.0aeb2f264be69p-16, 0x1.0ec22619d98dep-16, 0x1.1259c83b9ce45p-16, 0x1.15b392b968ca7p-16, 0x1.18d0f6c2a1f3ap-16, 0x1.1bb35a0115f1cp-16, 0x1.1e5c1736bf7d4p-16, 0x1.20cc7ef19591cp-16, 0x1.2305d7cd44285p-16, 0x1.25095f268aebp-16, 0x1.26d8497786bb1p-16, 0x1.2873c2d4c30a8p-16, 0x1.29dcef6cd69c8p-16, 0x1.2b14ebdddc88p-16, 0x1.2c1ccd9d1f071p-16, 0x1.2cf5a3588cafdp-16, 0x1.2da07550a84c4p-16, 0x1.2e1e45a38727ep-16, 0x1.2e7010ca38298p-16, 0x1.2e96cda4084a3p-16, 0x1.2e936dec0024cp-16, 0x1.2e66de732ac39p-16, 0x1.2e12076235db4p-16, 0x1.2d95cc7982d1bp-16, 0x1.2cf30d43890d6p-16, 0x1.2c2aa55884354p-16, 0x1.2b3d6c8a243f7p-16, 0x1.2a2c3716aeb49p-16, 0x1.28f7d5d7178f3p-16, 0x1.27a1166a48163p-16, 0x1.2628c35ef357fp-16, 0x1.248fa45496eacp-16, 0x1.22d67e269adeap-16, 0x1.20fe13149423p-16, 0x1.1f0722affbaa6p-16, 0x1.1cf26a49c0463p-16, 0x1.1ac0a4d087aaep-16, 0x1.18728afb9ed29p-16, 0x1.1608d3683754ep-16, 0x1.138432a33e89p-16, 0x1.10e55b3fc8309p-16, 0x1.0e2cfdef96495p-16, 0x1.0b5bc98d89aadp-16, 0x1.08726b2bf95cp-16, 0x1.05718e2acd423p-16, 0x1.0259dc322b84fp-16, 0x1.fe57fab3c13cbp-17, 0x1.f7d13026da0cdp-17, 0x1.f120a28dace93p-17, 0x1.ea47989748661p-17, 0x1.e3475630d1da6p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.ad9c63f865d59p-1, 0x1.a5e64603d54ddp-1, 0x1.9df0b3c548124p-1, 0x1.95bf4eeb00a01p-1, 0x1.8d55b8c4c70fp-1, 0x1.84b78fefbf227p-1, 0x1.7be86e32e334bp-1, 0x1.72ebe68937a72p-1, 0x1.69c58356dda59p-1, 0x1.6078c4c64de86p-1, 0x1.57091f4b22e93p-1, 0x1.4d79fa48015c4p-1, 0x1.43ceaed552e93p-1, 0x1.3a0a86a6b0757p-1, 0x1.3030bb0cfaf94p-1, 0x1.264474134a4c5p-1, 0x1.1c48c7b4f65f3p-1, 0x1.1240b92b22f69p-1, 0x1.082f38504ed6cp-1, 0x1.fc2e423109175p-2, 0x1.e7f67639c3448p-2, 0x1.d3bc72727ba48p-2, 0x1.bf857275a39aep-2, 0x1.ab56873d96f9ap-2, 0x1.973496bf9e16bp-2, 0x1.83245ba2ebdb8p-2, 0x1.6f2a6511c2fa7p-2, 0x1.5b4b16a3188e1p-2, 0x1.478aa85b12c32p-2, 0x1.33ed26c0dc909p-2, 0x1.207673085836fp-2, 0x1.0d2a434e4d2b4p-2, 0x1.f41845cb72ff7p-3, 0x1.ce3ee56a16e53p-3, 0x1.a8ced343fee4cp-3, 0x1.83ce2a1614dbbp-3, 0x1.5f42b29a554e8p-3, 0x1.3b31e4aa3558fp-3, 0x1.17a0e875c50fep-3, 0x1.e9292f9b5190cp-4, 0x1.a422fefc3a78dp-4, 0x1.6037c1729a505p-4, 0x1.1d6f651eb7dc8p-4, 0x1.b7a28dca45b8dp-5, 0x1.36c86b18f7e39p-5, 0x1.70b9d3b76bdd5p-6, 0x1.e35c135414efap-8, -0x1.e80add05a16edp-8, -0x1.67c0856ecad4dp-6, -0x1.2828c09174702p-5, -0x1.99d35759fec48p-5, -0x1.046cbb68db13fp-4, -0x1.3a9abab52ce1ep-4, -0x1.6f7144af4a13p-4, -0x1.a2ee60e4ac3a3p-4, -0x1.d5107fdfca2dap-4, -0x1.02eb3bdbc0972p-3, -0x1.1a9fc0511192fp-3, -0x1.31a598c6c311bp-3, -0x1.47fcbe5e77416p-3, -0x1.5da55636f8785p-3, -0x1.729fafc293347p-3, -0x1.86ec4321c0047p-3, -0x1.9a8baf8282812p-3, -0x1.ad7eb984d62e6p-3, -0x1.bfc649a474e98p-3, -0x1.d1636aa84c375p-3, -0x1.e2574817d4768p-3, -0x1.f2a32cb6975d5p-3, -0x1.0124408307fe5p-2, -0x1.08a464e70ebap-2, -0x1.0fd2d35617855p-2, -0x1.16b06854ac265p-2, -0x1.1d3e0c6bb2e67p-2, -0x1.237cb37a8c9fbp-2, -0x1.296d5c0cd2c6ep-2, -0x1.2f110eb3c000bp-2, -0x1.3468dd634c7e8p-2, -0x1.3975e2d307cf3p-2, -0x1.3e3941e2b72e3p-2, -0x1.42b42502b8c0dp-2, -0x1.46e7bda033ac8p-2, -0x1.4ad5439519dccp-2, -0x1.4e7df49bf2ad1p-2, -0x1.51e313c779e56p-2, -0x1.5505e8fe0c00ap-2, -0x1.57e7c078dae66p-2, -0x1.5a89ea46f221p-2, -0x1.5cedb9d3fa4a8p-2, -0x1.5f148572c2491p-2, -0x1.60ffa5eb7c535p-2, -0x1.62b0760db7874p-2, -0x1.6428524600881p-2, -0x1.656898372a02dp-2, -0x1.6672a657328d3p-2, -0x1.6747db8fbdbf7p-2, -0x1.67e996e2166cep-2, -0x1.6859370eb3d21p-2, -0x1.68981a402f405p-2, -0x1.68a79db9aab6dp-2, -0x1.68891d888bd39p-2, -0x1.683df43993e6cp-2, -0x1.67c77a91334cbp-2, -0x1.672707471c022p-2, -0x1.665deec4fb44p-2, -0x1.656d82e8524e8p-2, -0x1.645712c75df67p-2, -0x1.631bea78fe292p-2, -0x1.61bd52df91019p-2, -0x1.603c9176b12d5p-2, -0x1.5e9ae823c5993p-2, -0x1.5cd995095bcc6p-2, -0x1.5af9d25d33003p-2, -0x1.58fcd640eeb62p-2, -0x1.56e3d29d616a5p-2, -0x1.54aff5005961dp-2, -0x1.5262667ce96f7p-2, -0x1.4ffc4b8e12d8ap-2, -0x1.4d7ec3fbc8718p-2, -0x1.4aeaeac237955p-2, -0x1.4841d5fb45d42p-2, -0x1.458496ca37061p-2, -0x1.42b439496554fp-2, -0x1.3fd1c47a01909p-2, -0x1.3cde3a35c9c3cp-2, -0x1.39da9722a241dp-2, -0x1.36c7d2a805bafp-2, -0x1.33a6dee63eb67p-2, -0x1.3078a8af50803p-2, -0x1.2d3e17818b931p-2, -0x1.29f80d83b9459p-2, -0x1.26a76782cb5f9p-2, -0x1.234cfcf109e01p-2, -0x1.1fe99fe6a652cp-2, -0x1.1c7e1d23ab792p-2, -0x1.190b3c133c857p-2, -0x1.1591bed00d79dp-2, -0x1.1212622a0ef41p-2, -0x1.0e8dddad3d1f7p-2, -0x1.0b04e3a97fc57p-2, -0x1.0778213b9392p-2, -0x1.03e83e56efca8p-2, -0x1.0055ddd09279ap-2, -0x1.f9833ad56a87bp-3, -0x1.f2582bc29c9a7p-3, -0x1.eb2bb5eebec82p-3, -0x1.e3fef709fbc6ep-3, -0x1.dcd3030c15032p-3, -0x1.d5a8e453215e2p-3, -0x1.ce819bc37e073p-3, -0x1.c75e20e8d8ce1p-3, -0x1.c03f62184f89ap-3, -0x1.b92644937a595p-3, -0x1.b213a4ac5b7a5p-3, -0x1.ab0855ea21575p-3, -0x1.a405232e9c085p-3, -0x1.9d0acedc6562bp-3, -0x1.961a12fd9b0c8p-3, -0x1.8f33a16b246bdp-3, -0x1.885823f46cb17p-3, -0x1.81883c8784af7p-3, -0x1.7ac485599e677p-3, -0x1.740d910fd0b9fp-3, -0x1.6d63eae814426p-3, -0x1.66c816e274fap-3, -0x1.603a91ea58f6bp-3, -0x1.59bbd1ffe8975p-3, -0x1.534c466171684p-3, -0x1.4cec57b4d011fp-3, -0x1.469c6830c8af8p-3, -0x1.405cd3c6405c2p-3, -0x1.3a2df0495f00bp-3, -0x1.34100d9a77f49p-3, -0x1.2e0375cec784dp-3, -0x1.28086d58ebdedp-3, -0x1.221f33311b221p-3, -0x1.1c4800fd07a37p-3, -0x1.16830b3772632p-3, -0x1.10d081575da1dp-3, -0x1.0b308df6e076ap-3, -0x1.05a356f98e33ap-3, -0x1.0028fdb26fd6ep-3, -0x1.f5833e131482bp-4, -0x1.eadaa741d7d72p-4, -0x1.e0585ff2745cbp-4, -0x1.d5fc892b7fc2ep-4, -0x1.cbc73c3fe9095p-4, -0x1.c1b88b14f623fp-4, -0x1.b7d0806724a0ap-4, -0x1.ae0f200df2963p-4, -0x1.a474673e75785p-4, -0x1.9b004cccd771dp-4, -0x1.91b2c16c9a332p-4, -0x1.888bafefacec7p-4, -0x1.7f8afd845168fp-4, -0x1.76b089f1c292p-4, -0x1.6dfc2fd3a5258p-4, -0x1.656dc4d43b698p-4, -0x1.5d0519e55c919p-4, -0x1.54c1fb782d8b2p-4, -0x1.4ca431b39ad86p-4, -0x1.44ab80a993a52p-4, -0x1.3cd7a88b0644ap-4, -0x1.352865da9e42cp-4, -0x1.2d9d719e44387p-4, -0x1.2636818f625ebp-4, -0x1.1ef34849ed006p-4, -0x1.17d3757a327cp-4, -0x1.10d6b60972a84p-4, -0x1.09fcb44942b61p-4, -0x1.0345181dbc273p-4, -0x1.f95f0e4cfc7a3p-5, -0x1.ec7749ccff2d7p-5, -0x1.dfd225d56ec15p-5, -0x1.d36ee1df3ce34p-5, -0x1.c74cba0b1cf76p-5, -0x1.bb6ae767fd3c1p-5, -0x1.afc8a0374d545p-5, -0x1.a465182f101c6p-5, -0x1.993f80b9c465bp-5, -0x1.8e57093430e9bp-5, -0x1.83aadf2913ce6p-5, -0x1.793a2e8ac428fp-5, -0x1.6f0421eacce29p-5, -0x1.6507e2af89168p-5, -0x1.5b449947ca01ap-5, -0x1.51b96d5c95a42p-5, -0x1.48658600fbf8fp-5, -0x1.3f4809e01893cp-5, -0x1.36601f6942c19p-5, -0x1.2dacecfa7443cp-5, -0x1.252d9908f8973p-5, -0x1.1ce14a4863b92p-5, -0x1.14c727cfe3104p-5, -0x1.0cde593dea94ep-5, -0x1.052606da4e0fap-5, -0x1.fb3ab36d99839p-6, -0x1.ec86f79c2f217p-6, -0x1.de2f3042bf8cp-6, -0x1.d031b5a8e4873p-6, -0x1.c28ce290de02ep-6, -0x1.b53f146a3de11p-6, -0x1.a846ab81ee155p-6, -0x1.9ba20b2fa14dp-6, -0x1.8f4f9a00bc334p-6, -0x1.834dc1e0ca4fep-6, -0x1.779af03f99f3bp-6, -0x1.6c359634fc612p-6, -0x1.611c28a256869p-6, -0x1.564d2051f9242p-6, -0x1.4bc6fa1464f49p-6, -0x1.418836db807abp-6, -0x1.378f5bd3d6abcp-6, -0x1.2ddaf27be6e8ap-6, -0x1.246988b9a04ecp-6, -0x1.1b39b0ee0f6b6p-6, -0x1.124a020754d41p-6, -0x1.09991790ebaf9p-6, -0x1.012591c257668p-6, -0x1.f1dc2b188615ap-7, -0x1.e1e29948454ap-7, -0x1.d25bcb1cbae0fp-7, -0x1.c345274e3bc27p-7, -0x1.b49c1e538aac9p-7, -0x1.a65e2a6e33fa6p-7, -0x1.9888cfb46eb1bp-7, -0x1.8b199c18a49dap-7, -0x1.7e0e276eb6926p-7, -0x1.7164136f0aed4p-7, -0x1.65190bb797936p-7, -0x1.592ac5cad95b3p-7, -0x1.4d97010cf99f4p-7, -0x1.425b86bf16932p-7, -0x1.377629f8d0d59p-7, -0x1.2ce4c7a036992p-7, -0x1.22a5466019322p-7, -0x1.18b5969ce63a4p-7, -0x1.0f13b26813c5fp-7, -0x1.05bd9d7234eafp-7, -0x1.f962c9f790a9bp-8, -0x1.e7da3f89a1e34p-8, -0x1.d6dddbf69845ep-8, -0x1.c669f2512a269p-8, -0x1.b67ae83b8833cp-8, -0x1.a70d35be38f23p-8, -0x1.981d651d2ad43p-8, -0x1.89a812ab1b097p-8, -0x1.7ba9ec9b6f25fp-8, -0x1.6e1fb2d29d349p-8, -0x1.610636b537e3p-8, -0x1.545a5af5bffd5p-8, -0x1.481913614ea4ep-8, -0x1.3c3f64ab3107dp-8, -0x1.30ca64378ea69p-8, -0x1.25b737e52e236p-8, -0x1.1b0315d66e8f9p-8, -0x1.10ab44398c4c8p-8, -0x1.06ad191040fa9p-8, -0x1.fa0bf3edaa85dp-9, -0x1.e766b7d5690f8p-9, -0x1.d56586212aacbp-9, -0x1.c40384f490adfp-9, -0x1.b33bf7d87559dp-9, -0x1.a30a3f457d461p-9, -0x1.9369d82e504dfp-9, -0x1.84565b89976cdp-9, -0x1.75cb7ddbd7b1bp-9, -0x1.67c50ec14b822p-9, -0x1.5a3ef877c71fbp-9, -0x1.4d353f68cf479p-9, -0x1.40a401b3e9cdfp-9, -0x1.348776b947bcp-9, -0x1.28dbeea4d7029p-9, -0x1.1d9dd1f9d7585p-9, -0x1.12c9a11ef6332p-9, -0x1.085bf3eb14341p-9, -0x1.fca2f265710e8p-10, -0x1.e94decac8bd68p-10, -0x1.d6b28da201264p-10, -0x1.c4cab791df2afp-10, -0x1.b390773f56b7bp-10, -0x1.a2fe03084549ep-10, -0x1.930dba0abbf4bp-10, -0x1.83ba234cacde5p-10, -0x1.74fdece5b52afp-10, -0x1.66d3eb2b3961dp-10, -0x1.593717dec127cp-10, -0x1.4c22915ebe38ep-10, -0x1.3f9199d9bea03p-10, -0x1.337f968419f2p-10, -0x1.27e80ed0294aep-10, -0x1.1cc6aba911f58p-10, -0x1.121736b026186p-10, -0x1.07d5997cfd314p-10, -0x1.fbfbb9c046515p-11, -0x1.e91850511ed45p-11, -0x1.d6f980d7987f5p-11, -0x1.c5980fa1c568dp-11, -0x1.b4ecf9bc105dp-11, -0x1.a4f173922c9cp-11, -0x1.959ee79595a16p-11, -0x1.86eef4e9ad258p-11, -0x1.78db6e15705d5p-11, -0x1.6b5e57bacdb3cp-11, -0x1.5e71e75394e92p-11, -0x1.521081f40531dp-11, -0x1.4634bb12f341p-11, -0x1.3ad95357861dep-11, -0x1.2ff9376c85233p-11, -0x1.258f7ed93234dp-11, -0x1.1b976adfa9695p-11, -0x1.120c6560bf66dp-11, -0x1.08e9ffc554fd8p-11, -0x1.002bf1ed18588p-11, -0x1.ef9c3245566b4p-12, -0x1.df98ee2a3e908p-12, -0x1.d04661ad87a4ep-12, -0x1.c19d1bc26722dp-12, -0x1.b395ee3d33829p-12, -0x1.a629ebf042526p-12, -0x1.995266d2fca55p-12, -0x1.8d08ee33126e2p-12, -0x1.81474cefae25cp-12, -0x1.760787be8b778p-12, -0x1.6b43db7ad4947p-12, -0x1.60f6bb7da78c8p-12, -0x1.571ad0002341fp-12, -0x1.4daaf486dbfc1p-12, -0x1.44a236569d07ep-12, -0x1.3bfbd2f24b43ap-12, -0x1.33b336a1d61e4p-12, -0x1.2bc3fb020a01dp-12, -0x1.2429e59d26e25p-12, -0x1.1ce0e68c1cc55p-12, -0x1.15e51720445eep-12, -0x1.0f32b89576f2ap-12, -0x1.08c632cc64974p-12, -0x1.029c130cfe87cp-12, -0x1.f96215a1bc2dfp-13, -0x1.ee03dd2af1f84p-13, -0x1.e317696c1ab3p-13, -0x1.d896e89a2f1dp-13, -0x1.ce7cc83a7304cp-13, -0x1.c4c3b302ccbe6p-13, -0x1.bb668ec875bbap-13, -0x1.b2607a7caf9c4p-13, -0x1.a9accc3744f77p-13, -0x1.a1470f4e8ce87p-13, -0x1.992b027caa374p-13, -0x1.91549611ce447p-13, -0x1.89bfea3337a9dp-13, -0x1.82694d26a2b3p-13, -0x1.7b4d39a9fa25cp-13, -0x1.74685556fae14p-13, -0x1.6db76f12944bdp-13, -0x1.67377d87b9e3bp-13, -0x1.60e59dad746afp-13, -0x1.5abf1157eb84p-13, -0x1.54c13dd42b68p-13, -0x1.4ee9aa8e72775p-13, -0x1.4935ffc2bafbep-13, -0x1.43a4053757aeap-13, -0x1.3e31a10159237p-13, -0x1.38dcd6528d463p-13, -0x1.33a3c450dac1ap-13, -0x1.2e84a4f6beab4p-13, -0x1.297dcbfcbcb7p-13, -0x1.248da5cb83cc7p-13, -0x1.1fb2b67692cp-13, -0x1.1aeb98bf2d726p-13, -0x1.1636fd1f65176p-13, -0x1.1193a8dd0f9bfp-13, -0x1.0d00752463699p-13, -0x1.087c4e2a25831p-13, -0x1.040632551ab76p-13, -0x1.ff3a62dd43968p-14, -0x1.f680d7b47d83dp-14, -0x1.edde23a7cd41ep-14, -0x1.e550c569cbb5ep-14, -0x1.dcd7587e5fadap-14, -0x1.d47093ddd8aebp-14, -0x1.cc1b48a42f0f5p-14, -0x1.c3d660cc1f7c2p-14, -0x1.bba0ddf5c0a36p-14, -0x1.b379d8384590bp-14, -0x1.ab607cfeaf786p-14, -0x1.a3540def07e7dp-14, -0x1.9b53dfdbe2dd9p-14, -0x1.935f59bfe1fc8p-14, -0x1.8b75f3c2ebeeap-14, -0x1.83973648cf021p-14, -0x1.7bc2b9090cb52p-14, -0x1.73f8222f881e3p-14, -0x1.6c372585d3fdbp-14, -0x1.647f83a4e13f1p-14, -0x1.5cd1092ecc286p-14, -0x1.552b8e108987ap-14, -0x1.4d8ef4cb39adfp-14, -0x1.45fb29c4e2886p-14, -0x1.3e7022a0578ccp-14, -0x1.36eddd9c18b78p-14, -0x1.2f7460f7eccaap-14, -0x1.2803ba6105fep-14, -0x1.209bfe6477795p-14, -0x1.193d47e7cb528p-14, -0x1.11e7b7a78446dp-14, -0x1.0a9b73bb5c59p-14, -0x1.0358a7200f268p-14, -0x1.f83f028d034ebp-15, -0x1.e9e06b50321aap-15, -0x1.db95f6c02c7c6p-15, -0x1.cd60199393e99p-15, -0x1.bf3f4e46ea144p-15, -0x1.b134146b621a8p-15, -0x1.a33eeffe69b18p-15, -0x1.956068c99fb8ep-15, -0x1.879909caebd38p-15, -0x1.79e960a473a67p-15, -0x1.6c51fd1418b7cp-15, -0x1.5ed37072493c8p-15, -0x1.516e4d37d37fep-15, -0x1.4423268a83515p-15, -0x1.36f28fd040b2dp-15, -0x1.29dd1c487b89fp-15, -0x1.1ce35eab9ec9cp-15, -0x1.1005e8d057ed3p-15, -0x1.03454b5674103p-15, -0x1.ed442aae3d8f2p-16, -0x1.d439a8349955p-16, -0x1.bb6c25a236505p-16, -0x1.a2dcb4a9f0861p-16, -0x1.8a8c61d6b342fp-16, -0x1.727c341bb6a3ap-16, -0x1.5aad2c6d24086p-16, -0x1.43204560d2e91p-16, -0x1.2bd672d6b927cp-16, -0x1.14d0a1a8c9b5fp-16, -0x1.fc1f6ec3d7976p-17, -0x1.cf2923f767017p-17, -0x1.a2c00f45346a4p-17, -0x1.76e5cd00d4ceep-17, -0x1.4b9be91926c45p-17, -0x1.20e3dec448f37p-17, -0x1.ed7e306ca6b05p-18, -0x1.9a5ddcc4af3a2p-18, -0x1.4869518a4fc27p-18, -0x1.ef45f4e5af733p-19, -0x1.501a3f5247442p-19, -0x1.66a7966134468p-20, -0x1.8f6998cb2047p-23, 0x1.fbe6720fb2c76p-21, 0x1.147965f1e1c54p-19, 0x1.a78599a8619abp-19, 0x1.1c0dab33f4a5bp-18, 0x1.631c014455846p-18, 0x1.a8eca5d3052a5p-18, 0x1.ed7e931a3d20bp-18, 0x1.18687340c34b3p-17, 0x1.3971702a77feep-17, 0x1.59d9f1b9a5e3ep-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e39974c54a8dep-1, 0x1.e0d890fd85971p-1, 0x1.ddfc91aa8cae3p-1, 0x1.db0651e3df3f4p-1, 0x1.d7f6aef9dace9p-1, 0x1.d4ce87f41636bp-1, 0x1.d18ebd17abb28p-1, 0x1.ce382f7524134p-1, 0x1.cacbc07dabd66p-1, 0x1.c74a519f42462p-1, 0x1.c3b4c3e78c031p-1, 0x1.c00bf7acf3699p-1, 0x1.bc50cc3dc88c1p-1, 0x1.b8841f950dd98p-1, 0x1.b4a6ce14a9f8cp-1, 0x1.b0b9b244b0c89p-1, 0x1.acbda497826bcp-1, 0x1.a8b37b327cdffp-1, 0x1.a49c09bb01aaep-1, 0x1.a0782127943e8p-1, 0x1.9c488f94dba3fp-1, 0x1.980e201e4eb2p-1, 0x1.93c99aba5ca02p-1, 0x1.8f7bc419e1ceap-1, 0x1.8b255d8aba94cp-1, 0x1.86c724dd4d61cp-1, 0x1.8261d44cdffdp-1, 0x1.7df6226a955fap-1, 0x1.7984c20aefddcp-1, 0x1.750e6235b23ecp-1, 0x1.7093ae1803d54p-1, 0x1.6c154cf8b512bp-1, 0x1.6793e22e87fdep-1, 0x1.63100d186181ep-1, 0x1.5e8a691745accp-1, 0x1.5a038d8a08a75p-1, 0x1.557c0dca98eafp-1, 0x1.50f4792ccb9cap-1, 0x1.4c6d5afe95b9ap-1, 0x1.47e73a899ac68p-1, 0x1.43629b15fcc4ap-1, 0x1.3edffbee59a4ep-1, 0x1.3a5fd864e384bp-1, 0x1.35e2a7d98095ep-1, 0x1.3168ddc0e1f91p-1, 0x1.2cf2e9ac7fbb6p-1, 0x1.288137536c562p-1, 0x1.24142e9bed359p-1, 0x1.1fac33a5cc691p-1, 0x1.1b49a6d553a5fp-1, 0x1.16ece4dee52e3p-1, 0x1.129646d324176p-1, 0x1.0e46222b9fa1fp-1, 0x1.09fcc8d7fa256p-1, 0x1.05ba894b79fb9p-1, 0x1.017fae8b003bbp-1, 0x1.fa990076ad164p-2, 0x1.f242855f9ec77p-2, 0x1.e9fc6df2550d2p-2, 0x1.e1c735e971f6cp-2, 0x1.d9a352b771656p-2, 0x1.d19133a5b8469p-2, 0x1.c99141f3f75e7p-2, 0x1.c1a3e0f7ce48ap-2, 0x1.b9c96e3ca2cfp-2, 0x1.b20241a3a0468p-2, 0x1.aa4ead83d4d39p-2, 0x1.a2aefeca5f655p-2, 0x1.9b237d1aa6ed3p-2, 0x1.93ac6aee8f635p-2, 0x1.8c4a05b6a35bep-2, 0x1.84fc85fa29d1ap-2, 0x1.7dc41f7723c04p-2, 0x1.76a1014222298p-2, 0x1.6f9355e5f4f59p-2, 0x1.689b438329e3bp-2, 0x1.61b8ebef539f5p-2, 0x1.5aec6cd412d24p-2, 0x1.5435dfcde052bp-2, 0x1.4d955a8a8ebf9p-2, 0x1.470aeee780778p-2, 0x1.4096ab0f8df4ep-2, 0x1.3a38999896d8p-2, 0x1.33f0c1a0be7f1p-2, 0x1.2dbf26eb492efp-2, 0x1.27a3c9fd1d501p-2, 0x1.219ea838e2984p-2, 0x1.1bafbbfabced7p-2, 0x1.15d6fcb3a2215p-2, 0x1.10145f0443ebcp-2, 0x1.0a67d4d790588p-2, 0x1.04d14d7cc916fp-2, 0x1.fea16b824c7c3p-3, 0x1.f3cbf01219bebp-3, 0x1.e921f8d1a922fp-3, 0x1.dea3517a3544bp-3, 0x1.d44fc18540975p-3, 0x1.ca270c5b6d1cap-3, 0x1.c028f1826cc51p-3, 0x1.b6552cca00cccp-3, 0x1.acab767817ea9p-3, 0x1.a32b8373f3912p-3, 0x1.99d505706ea54p-3, 0x1.90a7ab154fac6p-3, 0x1.87a32027b1012p-3, 0x1.7ec70db17fef7p-3, 0x1.76131a2809ebap-3, 0x1.6d86e991ac20ap-3, 0x1.65221daa8a1p-3, 0x1.5ce456086769ep-3, 0x1.54cd303d9628cp-3, 0x1.4cdc47fafffa3p-3, 0x1.451137314af51p-3, 0x1.3d6b96311d219p-3, 0x1.35eafbca7df1fp-3, 0x1.2e8efd6b584f8p-3, 0x1.27572f3d2526bp-3, 0x1.20432441b5a62p-3, 0x1.19526e6f25fc8p-3, 0x1.12849ecb008p-3, 0x1.0bd9458485d06p-3, 0x1.054ff20e2723ep-3, 0x1.fdd0666c7010ep-4, 0x1.f1432e7d93078p-4, 0x1.e4f757e9902dp-4, 0x1.d8ebfd8c9b5adp-4, 0x1.cd2039b065dffp-4, 0x1.c1932635be175p-4, 0x1.b643dcbcbbcc3p-4, 0x1.ab3176cb796c4p-4, 0x1.a05b0df354c14p-4, 0x1.95bfbbf4da066p-4, 0x1.8b5e9ae241c7p-4, 0x1.8136c5409c9e2p-4, 0x1.77475627a844p-4, 0x1.6d8f696058d16p-4, 0x1.640e1b821bad6p-4, 0x1.5ac28a0edc6a7p-4, 0x1.51abd38dcf433p-4, 0x1.48c917a50a31bp-4, 0x1.40197731f240cp-4, 0x1.379c146084a8bp-4, 0x1.2f5012c1804a7p-4, 0x1.2734975f79623p-4, 0x1.1f48c8d2daf7bp-4, 0x1.178bcf54de4f6p-4, 0x1.0ffcd4d17e593p-4, 0x1.089b04f86eab8p-4, 0x1.01658d4d1a18bp-4, 0x1.f4b73a6b65131p-5, 0x1.e6f8cc12acaedp-5, 0x1.d98e363aa2413p-5, 0x1.cc75e3a3005c8p-5, 0x1.bfae4337c1297p-5, 0x1.b335c82694175p-5, 0x1.a70ae9f2c271ep-5, 0x1.9b2c248788249p-5, 0x1.8f97f848efcb6p-5, 0x1.844cea233bec6p-5, 0x1.79498398e9a96p-5, 0x1.6e8c52cf5bb1bp-5, 0x1.6413ea9a31abep-5, 0x1.59dee2855db08p-5, 0x1.4febd6ddff378p-5, 0x1.463968ba118cbp-5, 0x1.3cc63dfef25d9p-5, 0x1.33910166d306bp-5, 0x1.2a98628517701p-5, 0x1.21db15c9b1416p-5, 0x1.1957d4837e1cp-5, 0x1.110d5ce1b6edfp-5, 0x1.08fa71f472d4cp-5, 0x1.011ddbac4f27bp-5, 0x1.f2eccdb2805a6p-6, 0x1.e405ca51252a1p-6, 0x1.d5845a4459ac2p-6, 0x1.c766344a224afp-6, 0x1.b9a918c65f03dp-6, 0x1.ac4ad1b9110d1p-6, 0x1.9f4932b3626bdp-6, 0x1.92a218cb702cp-6, 0x1.86536a8eee74ep-6, 0x1.7a5b17f4b48bcp-6, 0x1.6eb71a4d3f8cfp-6, 0x1.63657432322eep-6, 0x1.58643174eb9adp-6, 0x1.4db1670c38dd5p-6, 0x1.434b330134a49p-6, 0x1.392fbc5b5984ap-6, 0x1.2f5d330bdbddbp-6, 0x1.25d1cfd8526e3p-6, 0x1.1c8bd444b6b68p-6, 0x1.13898a7cd1966p-6, 0x1.0ac9453d109f9p-6, 0x1.02495fbade266p-6, 0x1.f4107b18f551ep-7, 0x1.e4089520c86d8p-7, 0x1.d477f5a8b106bp-7, 0x1.c55b94f7f5955p-7, 0x1.b6b07b4e3c743p-7, 0x1.a873c0af8b853p-7, 0x1.9aa28cafc7c37p-7, 0x1.8d3a163daae8bp-7, 0x1.8037a36d5d984p-7, 0x1.73988942a52c2p-7, 0x1.675a2b7ad4fcdp-7, 0x1.5b79fc5675132p-7, 0x1.4ff57c62b7968p-7, 0x1.44ca3a42c5d88p-7, 0x1.39f5d278faef3p-7, 0x1.2f75ef30046b5p-7, 0x1.2548480405de6p-7, 0x1.1b6aa1cbc0e1ep-7, 0x1.11dace61ce4ap-7, 0x1.0896ac6df0d1ap-7, 0x1.ff384e5d17e34p-8, 0x1.edd26c848dd27p-8, 0x1.dcf7bae3c76a1p-8, 0x1.cca458f4a6c53p-8, 0x1.bcd47dae1d4bfp-8, 0x1.ad8477196fcc4p-8, 0x1.9eb0a9e824062p-8, 0x1.9055910a9ac26p-8, 0x1.826fbd4767e89p-8, 0x1.74fbd4d375cfp-8, 0x1.67f692eaf76c1p-8, 0x1.5b5cc76b3bb69p-8, 0x1.4f2b566d65dc5p-8, 0x1.435f37e2154ap-8, 0x1.37f5772e06ce4p-8, 0x1.2ceb32c7b5e06p-8, 0x1.223d9bd602d58p-8, 0x1.17e9f5cfe8fcap-8, 0x1.0ded961d4772fp-8, 0x1.0445e3b8c4da7p-8, 0x1.f5e0ada59f44bp-9, 0x1.e3d4f0eb86173p-9, 0x1.d263c45669241p-9, 0x1.c1887b44d7f55p-9, 0x1.b13e88b0123eep-9, 0x1.a1817e7dbeb5ap-9, 0x1.924d0cd40392cp-9, 0x1.839d01701086cp-9, 0x1.756d46ff1d7ep-9, 0x1.67b9e479d6539p-9, 0x1.5a7efc824967dp-9, 0x1.4db8ccc444466p-9, 0x1.4163ad58344ffp-9, 0x1.357c10287d54cp-9, 0x1.29fe805950422p-9, 0x1.1ee7a1b2fb21cp-9, 0x1.1434300eb4aacp-9, 0x1.09e0fec5e2d4fp-9, 0x1.ffd5f047aeb92p-10, 0x1.ec9e39b40a105p-10, 0x1.da1506ed4cbbbp-10, 0x1.c834afbbaa712p-10, 0x1.b6f7b58a279b2p-10, 0x1.a658c2626ebcap-10, 0x1.9652a7ed8674cp-10, 0x1.86e05e7938d81p-10, 0x1.77fd040244e5p-10, 0x1.69a3db4332aadp-10, 0x1.5bd04ac7db071p-10, 0x1.4e7ddc0584931p-10, 0x1.41a83a7796e14p-10, 0x1.354b32c0d0e7cp-10, 0x1.2962b1d0fbd5p-10, 0x1.1deac40f0ccd5p-10, 0x1.12df9487a80d7p-10, 0x1.083d6c1ffa307p-10, 0x1.fc016199b13ecp-11, 0x1.e84bc99c43781p-11, 0x1.d5534bdc87cb1p-11, 0x1.c311598bd4dfp-11, 0x1.b17f980775a2dp-11, 0x1.a097df702ae3cp-11, 0x1.905439499b1c7p-11, 0x1.80aedf2190bdap-11, 0x1.71a2393eeac93p-11, 0x1.6328dd582361ep-11, 0x1.553d8d514ece5p-11, 0x1.47db3601748a9p-11, 0x1.3afcedff27615p-11, 0x1.2e9df4743c5b1p-11, 0x1.22b9aff884cecp-11, 0x1.174bad736ddc5p-11, 0x1.0c4f9f0465c9dp-11, 0x1.01c15af1eef18p-11, 0x1.ef39b53e76332p-12, 0x1.dbbc731072ba1p-12, 0x1.c9036887ea337p-12, 0x1.b7074f1a54601p-12, 0x1.a5c11ea1e229cp-12, 0x1.952a0b86cd944p-12, 0x1.853b84f46607ap-12, 0x1.75ef3319a35d6p-12, 0x1.673ef57503c93p-12, 0x1.5924e12b7cc68p-12, 0x1.4b9b3f6a4d0cp-12, 0x1.3e9c8bd36f1f9p-12, 0x1.322372f4814dap-12, 0x1.262ad0c7e0d1p-12, 0x1.1aadaf3fcc071p-12, 0x1.0fa744db568ddp-12, 0x1.0512f344f1237p-12, 0x1.f5d88bf4bfcefp-13, 0x1.e25de1fbbefadp-13, 0x1.cfad9f20a10e6p-13, 0x1.bdbfc5e85b266p-13, 0x1.ac8ca272489d4p-13, 0x1.9c0cc82036fb5p-13, 0x1.8c390f4eece0ep-13, 0x1.7d0a931ed3a34p-13, 0x1.6e7aaf4c5c086p-13, 0x1.6082fe17d1914p-13, 0x1.531d563c320a3p-13, 0x1.4643c8f4bcd1p-13, 0x1.39f0a010dc24bp-13, 0x1.2e1e5c1610395p-13, 0x1.22c7b26f95ce2p-13, 0x1.17e78bab5d172p-13, 0x1.0d7901c4166dp-13, 0x1.03775e77f7183p-13, 0x1.f3bc3357cde35p-14, 0x1.e151afb5a869p-14, 0x1.cfa6d121a50ap-14, 0x1.beb389e388a9fp-14, 0x1.ae701c9687c37p-14, 0x1.9ed51962ff5fbp-14, 0x1.8fdb5b4d8d34cp-14, 0x1.817c059afa689p-14, 0x1.73b081487265cp-14, 0x1.66727a977f60fp-14, 0x1.59bbdead479a9p-14, 0x1.4d86d9448e2b3p-14, 0x1.41cdd271f7a12p-14, 0x1.368b6c7a181d6p-14, 0x1.2bba81b8d26cep-14, 0x1.2156229991664p-14, 0x1.1759939fe89d8p-14, 0x1.0dc04b802a66p-14, 0x1.0485f1478653fp-14, 0x1.f74cb526822f6p-15, 0x1.e63b13ad3c95ap-15, 0x1.d5cf595e270c5p-15, 0x1.c602348cbdf09p-15, 0x1.b6cca3843d881p-15, 0x1.a827f1811471p-15, 0x1.9a0db3c3d50aep-15, 0x1.8c77c6bcf26dep-15, 0x1.7f604b50963b7p-15, 0x1.72c1a431d72dep-15, 0x1.66967354acd31p-15, 0x1.5ad99775f0a2ap-15, 0x1.4f8629b8d1247p-15, 0x1.44977b590d772p-15, 0x1.3a091371629cp-15, 0x1.2fd6acd593ef1p-15, 0x1.25fc33ff72111p-15, 0x1.1c75c50e59288p-15, 0x1.133fa9d891504p-15, 0x1.0a56580e0a74ep-15, 0x1.01b66f6bed3d1p-15, 0x1.f2b97000fe929p-16, 0x1.e28c40fdadda8p-16, 0x1.d2df7943cefaep-16, 0x1.c3ad873ccd4d8p-16, 0x1.b4f11d463a917p-16, 0x1.a6a52ece4e53p-16, 0x1.98c4ed8b7663p-16, 0x1.8b4bc6ce0ee4dp-16, 0x1.7e3560eb75501p-16, 0x1.717d98c1ad59ap-16, 0x1.65207f52bee1p-16, 0x1.591a57771ff09p-16, 0x1.4d6793a652a56p-16, 0x1.4204d3d51c115p-16, 0x1.36eee36882683p-16, 0x1.2c22b73cfbdd9p-16, 0x1.219d6bc116747p-16, 0x1.175c4322f9814p-16, 0x1.0d5ca3901ebd8p-16, 0x1.039c1586a68edp-16, 0x1.f430846f69053p-17, 0x1.e19de3f47223ep-17, 0x1.cf7c159b426a7p-17, 0x1.bdc71dd7bffafp-17, 0x1.ac7b36d48cd07p-17, 0x1.9b94cdd156a92p-17, 0x1.8b10809ccddfdp-17, 0x1.7aeb1b2942bp-17, 0x1.6b21953afb18cp-17, 0x1.5bb1102f66516p-17, 0x1.4c96d4dc3ad4dp-17, 0x1.3dd05185b5d49p-17, 0x1.2f5b17eb1d46ap-17, 0x1.2134db68bdd06p-17, 0x1.135b6f2e9b17ep-17, 0x1.05ccc48b143dep-17, 0x1.f10dd29180964p-18, 0x1.d7100c3da002dp-18, 0x1.bd9cba668628fp-18, 0x1.a4b0915c95435p-18, 0x1.8c4872bc6498cp-18, 0x1.74616ad665d3fp-18, 0x1.5cf8ae35267ap-18, 0x1.460b974106ecep-18, 0x1.2f97a40045049p-18, 0x1.199a73f242f35p-18, 0x1.0411c604ffd77p-18, 0x1.ddf6ed477232fp-19, 0x1.b4aafbbb73a5bp-19, 0x1.8c3bdb48d04b5p-19, 0x1.64a5e03f38c6p-19, 0x1.3de58c2ecd516p-19, 0x1.17f78ae4c4db8p-19, 0x1.e5b15f1f0632cp-20, 0x1.9d0be4111c33p-20, 0x1.55f8d8858f79fp-20, 0x1.1072afb6f0da7p-20, 0x1.98e82f32c2a92p-21, 0x1.13efe8fe7928bp-21, 0x1.23e573ebf1008p-22, 0x1.2e72bf76c02bfp-25, -0x1.a4ef86f2681a5p-23, -0x1.c4fe82dd2065bp-22, -0x1.58eb7d74b9475p-21, -0x1.cc88de55aea5fp-21, -0x1.1eafb8468b32ep-20, -0x1.55bb84fb52334p-20, -0x1.8b6ba771be5e6p-20, -0x1.bfc3db6ee5d77p-20, -0x1.f2c7c88f2e8b7p-20, -0x1.123d822decfa8p-19, -0x1.2a708a1e93263p-19, -0x1.41feb7a544437p-19, -0x1.58e9bffd62b2p-19, -0x1.6f3352daa8a07p-19, -0x1.84dd1b234486fp-19, -0x1.99e8bf9c132dep-19, -0x1.ae57e387a837dp-19, -0x1.c22c2738d18d4p-19, -0x1.d56728993025dp-19, -0x1.e80a83a48c36dp-19, -0x1.fa17d2d96f1e1p-19, -0x1.05c857cfcf0e8p-18, -0x1.0e3b595279c68p-18, -0x1.1665ba1894c72p-18, -0x1.1e48463881915p-18, -0x1.25e3c9dcb0791p-18, -0x1.2d39116152253p-18, -0x1.3448e96e6eb92p-18, -0x1.3b141f0e94cefp-18, -0x1.419b7fc252fccp-18, -0x1.47dfd990b1cb7p-18, -0x1.4de1fb14d507ap-18, -0x1.53a2b388f9bffp-18, -0x1.5922d2cef5d52p-18, -0x1.5e632976657f6p-18, -0x1.636488c0abf6bp-18, -0x1.6827c2a2eebc3p-18, -0x1.6cada9c62d3c9p-18, -0x1.70f711859889dp-18, -0x1.7504cdeb4b29ep-18, -0x1.78d7b3ab7f88ap-18, -0x1.7c70981e63503p-18, -0x1.7fd05138a4305p-18, -0x1.82f7b582ce4b7p-18, -0x1.85e79c0f9ad6cp-18, -0x1.88a0dc7141f2dp-18, -0x1.8b244eade9ae1p-18, -0x1.8d72cb334784dp-18, -0x1.8f8d2ac988433p-18, -0x1.91744685950c8p-18, -0x1.9328f7bac35f7p-18, -0x1.94ac17ec04d6cp-18, -0x1.95fe80bca9acdp-18, -0x1.97210be0bea76p-18, -0x1.9814930d1d30fp-18, -0x1.98d9efe737b62p-18, -0x1.9971fbf4af3fbp-18, -0x1.99dd908ac0684p-18, -0x1.9a1d86bd93c98p-18, -0x1.9a32b74f7a3c1p-18, -0x1.9a1dfaa02309cp-18, -0x1.99e0289bd269ep-18, -0x1.997a18aaa53fdp-18, -0x1.98eca19fe4697p-18, -0x1.983899a9797dbp-18, -0x1.975ed63f7f7fep-18, -0x1.96602c1403ff8p-18, -0x1.953d6f02f4078p-18, -0x1.93f77202418bfp-18, -0x1.928f071243108p-18, -0x1.9104ff2e562dap-18, -0x1.8f5a2a3dc4aa6p-18, -0x1.8d8f5704f68bbp-18, -0x1.8ba55316ee804p-18, -0x1.899ceac7194f5p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fa19c99e9efc2p-4, -0x1.0cc928bd6688ep-3, -0x1.1cc42fe268ce4p-3, -0x1.2cf8e4a90ae62p-3, -0x1.3d61e6303057fp-3, -0x1.4df995649ce6fp-3, -0x1.5eba212e0dbbp-3, -0x1.6f9d91b3e802p-3, -0x1.809dd2c009912p-3, -0x1.91b4bd4848e08p-3, -0x1.a2dc20285783p-3, -0x1.b40dc8167d84bp-3, -0x1.c54386de1c991p-3, -0x1.d67739eafe403p-3, -0x1.e7a2d0305e702p-3, -0x1.f8c04f76633a3p-3, -0x1.04e4ec8c2c85cp-2, -0x1.0d5cd71ecf7b7p-2, -0x1.15c519cb54628p-2, -0x1.1e1afa53897bp-2, -0x1.265bd3528a7c6p-2, -0x1.2e85157b2b4bfp-2, -0x1.369448a8bb552p-2, -0x1.3e870cc595f5fp-2, -0x1.465b1a8ac4811p-2, -0x1.4e0e441ba64dep-2, -0x1.559e758075636p-2, -0x1.5d09b502435e8p-2, -0x1.644e236ade38dp-2, -0x1.6b69fc2ae25a7p-2, -0x1.725b956819917p-2, -0x1.79215ff621253p-2, -0x1.7fb9e73b32e47p-2, -0x1.8623d102c5e79p-2, -0x1.8c5ddd3fad3dap-2, -0x1.9266e5bf2fa11p-2, -0x1.983dddce853dp-2, -0x1.9de1d1d415a44p-2, -0x1.a351e6dda41eep-2, -0x1.a88d5a24a7d87p-2, -0x1.ad938089d67fp-2, -0x1.b263c608ed9b4p-2, -0x1.b6fdad25b2addp-2, -0x1.bb60ce530588ap-2, -0x1.bf8cd754e36eep-2, -0x1.c3818a9e20e4dp-2, -0x1.c73ebeaa90b47p-2, -0x1.cac45d564d59fp-2, -0x1.ce126332bfa7fp-2, -0x1.d128deda02b9fp-2, -0x1.d407f04125a16p-2, -0x1.d6afc809d7fa9p-2, -0x1.d920a6d3f434p-2, -0x1.db5adc8f52d7p-2, -0x1.dd5ec7ce592c3p-2, -0x1.df2cd51990328p-2, -0x1.e0c57e44aad28p-2, -0x1.e22949c53e98fp-2, -0x1.e358ca0b794bdp-2, -0x1.e4549cdd17f62p-2, -0x1.e51d6ab2d6d48p-2, -0x1.e5b3e6188af47p-2, -0x1.e618cb1020754p-2, -0x1.e64cde77983dfp-2, -0x1.e650ed7237bd5p-2, -0x1.e625ccd4feedep-2, -0x1.e5cc58968d859p-2, -0x1.e5457342801c5p-2, -0x1.e49205706aac7p-2, -0x1.e3b2fd3e6e39p-2, -0x1.e2a94dcf89453p-2, -0x1.e175eecd9f274p-2, -0x1.e019dbef452bp-2, -0x1.de9614815a5aap-2, -0x1.dceb9af466689p-2, -0x1.db1b746dc7353p-2, -0x1.d926a85ca818ep-2, -0x1.d70e4012bd3c1p-2, -0x1.d4d34660c0584p-2, -0x1.d276c736a8bb2p-2, -0x1.cff9cf4790075p-2, -0x1.cd5d6bb143429p-2, -0x1.caa2a9a76db88p-2, -0x1.c7ca962254057p-2, -0x1.c4d63d9114495p-2, -0x1.c1c6ab8f5b3e9p-2, -0x1.be9cea9e80208p-2, -0x1.bb5a03e1f8debp-2, -0x1.b7fefedf196b5p-2, -0x1.b48ce14003507p-2, -0x1.b104ae99c6de9p-2, -0x1.ad6768359090dp-2, -0x1.a9b60cdce076p-2, -0x1.a5f198a8b3dcbp-2, -0x1.a21b04d38c978p-2, -0x1.9e33478e4a6adp-2, -0x1.9a3b53d7be71ap-2, -0x1.96341956e9176p-2, -0x1.921e8437ced9bp-2, -0x1.8dfb7d0ad46f9p-2, -0x1.89cbe8a688d22p-2, -0x1.8590a80bd53d7p-2, -0x1.814a984c7621cp-2, -0x1.7cfa9273b1961p-2, -0x1.78a16b713a257p-2, -0x1.743ff4062240fp-2, -0x1.6fd6f8b3ddb36p-2, -0x1.6b6741ad308b5p-2, -0x1.66f192c905c33p-2, -0x1.6276ab7712d36p-2, -0x1.5df746b63ef2cp-2, -0x1.59741b0cb9593p-2, -0x1.54edda81ae3e5p-2, -0x1.50653298896ddp-2, -0x1.4bdacc4dba207p-2, -0x1.474f4c14e4bffp-2, -0x1.42c351d873313p-2, -0x1.3e3778fa75212p-2, -0x1.39ac5856c4e4fp-2, -0x1.352282465b612p-2, -0x1.309a84a3c9499p-2, -0x1.2c14e8d0c6c76p-2, -0x1.279233bccda46p-2, -0x1.2312e5eca9503p-2, -0x1.1e977b82fafcbp-2, -0x1.1a206c499af38p-2, -0x1.15ae2bbbcd067p-2, -0x1.1141291143b57p-2, -0x1.0cd9cf49d7a64p-2, -0x1.08788539f6119p-2, -0x1.041dad97b25b4p-2, -0x1.ff934e10dfac6p-3, -0x1.f6f9985e43e56p-3, -0x1.ee6ee77611c65p-3, -0x1.e5f3e0ede382ep-3, -0x1.dd8922b1c94fap-3, -0x1.d52f432473677p-3, -0x1.cce6d1401f57ap-3, -0x1.c4b054b83294p-3, -0x1.bc8c4e1b670ebp-3, -0x1.b47b36f68f1bcp-3, -0x1.ac7d81f7c8286p-3, -0x1.a4939b1224326p-3, -0x1.9cbde7a1a34a1p-3, -0x1.94fcc68f850b2p-3, -0x1.8d509076d6c65p-3, -0x1.85b997c933ce4p-3, -0x1.7e3828f3ae3b4p-3, -0x1.76cc8a83d04f5p-3, -0x1.6f76fd4cab0c8p-3, -0x1.6837bc8bf03a2p-3, -0x1.610efe0ef74e3p-3, -0x1.59fcf257bfb2bp-3, -0x1.5301c4c1cd389p-3, -0x1.4c1d9ba6e4dffp-3, -0x1.455098839da5dp-3, -0x1.3e9ad81bb662p-3, -0x1.37fc729e343b3p-3, -0x1.31757bc939db7p-3, -0x1.2b06030d905b8p-3, -0x1.24ae13b1e488bp-3, -0x1.1e6db4f59f03p-3, -0x1.1844ea336e126p-3, -0x1.1233b3035c416p-3, -0x1.0c3a0b5c85549p-3, -0x1.0657ebb659ca2p-3, -0x1.008d492977093p-3, -0x1.f5b42b1ff57e4p-4, -0x1.ea7c7f4ad092ap-4, -0x1.df73664c17e0ap-4, -0x1.d498b1dbb6263p-4, -0x1.c9ec2e2da0c2dp-4, -0x1.bf6da22d884a3p-4, -0x1.b51ccfb9715f9p-4, -0x1.aaf973db379c4p-4, -0x1.a1034700fc43cp-4, -0x1.9739fd346607bp-4, -0x1.8d9d4650dda9dp-4, -0x1.842cce388b7edp-4, -0x1.7ae83d0842269p-4, -0x1.71cf374a3d257p-4, -0x1.68e15e27baee9p-4, -0x1.601e4f996dcbep-4, -0x1.5785a696c783fp-4, -0x1.4f16fb441b563p-4, -0x1.46d1e31f9ab48p-4, -0x1.3eb5f12d29e93p-4, -0x1.36c2b621105adp-4, -0x1.2ef7c08984f61p-4, -0x1.27549cf71742ep-4, -0x1.1fd8d623f7cacp-4, -0x1.1883f51a22f89p-4, -0x1.115581586e197p-4, -0x1.0a4d00f67b986p-4, -0x1.0369f8c79727dp-4, -0x1.f957d8f8fcdb3p-5, -0x1.ec24bd88303f2p-5, -0x1.df39a2d63a2bcp-5, -0x1.d2958af56ca1fp-5, -0x1.c63776ac29651p-5, -0x1.ba1e65ae09c0ep-5, -0x1.ae4956d305acbp-5, -0x1.a2b7484ca5e7bp-5, -0x1.976737d944399p-5, -0x1.8c5822f563b15p-5, -0x1.8189070b2d8cbp-5, -0x1.76f8e1a01105fp-5, -0x1.6ca6b0809b24cp-5, -0x1.629171ea8528bp-5, -0x1.58b824b50693bp-5, -0x1.4f19c87775bb3p-5, -0x1.45b55dae3abfap-5, -0x1.3c89e5de20865p-5, -0x1.339663b61060ap-5, -0x1.2ad9db2f38059p-5, -0x1.225351abaf559p-5, -0x1.1a01ce139a625p-5, -0x1.11e458f0db156p-5, -0x1.09f9fc895491fp-5, -0x1.0241c4f7cf72ap-5, -0x1.f5758087014bfp-6, -0x1.e6c7fcec82ac8p-6, -0x1.d8792363036d4p-6, -0x1.ca871c83eed47p-6, -0x1.bcf015643aaa3p-6, -0x1.afb23fb6fdb85p-6, -0x1.a2cbd1edc8c8bp-6, -0x1.963b0756be9d9p-6, -0x1.89fe20388bf6bp-6, -0x1.7e1361ec45f85p-6, -0x1.727916f53fd7cp-6, -0x1.672d8f16f28abp-6, -0x1.5c2f1f68f5c56p-6, -0x1.517c22692aa67p-6, -0x1.4712f80c1db0bp-6, -0x1.3cf205cbb1abbp-6, -0x1.3317b6b422313p-6, -0x1.29827b6f724fep-6, -0x1.2030ca4f4ce4dp-6, -0x1.17211f556842dp-6, -0x1.0e51fc3a83ac9p-6, -0x1.05c1e873fa68bp-6, -0x1.fadee27020a6p-7, -0x1.eab25301e32bp-7, -0x1.dafb541cfc54ap-7, -0x1.cbb722cdcef85p-7, -0x1.bce307ac6bea5p-7, -0x1.ae7c56d96757cp-7, -0x1.a0806ff8af406p-7, -0x1.92ecbe2a68b0dp-7, -0x1.85beb801e8d99p-7, -0x1.78f3df7aebca1p-7, -0x1.6c89c1ed19b3p-7, -0x1.607df7fde5f25p-7, -0x1.54ce2590ef50ap-7, -0x1.4977f9b6e4413p-7, -0x1.3e792e9b040dp-7, -0x1.33cf896f585bp-7, -0x1.2978da57acb66p-7, -0x1.1f72fc535cfbdp-7, -0x1.15bbd5260ab9cp-7, -0x1.0c51553f49d5ep-7, -0x1.033177a15634ap-7, -0x1.f4b4838dc0e94p-8, -0x1.e393871003dbdp-8, -0x1.d2fc2dfccf707p-8, -0x1.c2eac0d1815c9p-8, -0x1.b35b9c1b000c7p-8, -0x1.a44b3039fb499p-8, -0x1.95b601260bcdep-8, -0x1.8798a62fc0668p-8, -0x1.79efc9c1bcae6p-8, -0x1.6cb82920f459cp-8, -0x1.5fee942c2642cp-8, -0x1.538fed1aa1102p-8, -0x1.4799283a7025ap-8, -0x1.3c074badfeefap-8, -0x1.30d76f2947a73p-8, -0x1.2606bbaea21a7p-8, -0x1.1b926b4b40442p-8, -0x1.1177c8d36eefp-8, -0x1.07b42f9ea5a7p-8, -0x1.fc8a1686f2c8fp-9, -0x1.ea4faea70129dp-9, -0x1.d8b43e2e67846p-9, -0x1.c7b2fa93bc8b8p-9, -0x1.b74737ab49dfbp-9, -0x1.a76c671f701p-9, -0x1.981e17e9641cap-9, -0x1.8957f5ca72f58p-9, -0x1.7b15c8c5d094dp-9, -0x1.6d53749b0a5bbp-9, -0x1.600cf84139f5ap-9, -0x1.533e6d62fe64bp-9, -0x1.46e407db51bb1p-9, -0x1.3afa15334e153p-9, -0x1.2f7cfc20f0784p-9, -0x1.24693c06e3264p-9, -0x1.19bb6c75655c7p-9, -0x1.0f703cac573e2p-9, -0x1.0584731e75bccp-9, -0x1.f7e9d9ebafe54p-10, -0x1.e57d3b3363bf2p-10, -0x1.d3bd1c6ace759p-10, -0x1.c2a3ba81f8d85p-10, -0x1.b22b7c15c91ap-10, -0x1.a24ef0868288ep-10, -0x1.9308cf11181bcp-10, -0x1.8453f5eb7a5aep-10, -0x1.762b6963d7a34p-10, -0x1.688a5302e8a9ap-10, -0x1.5b6c00b1415b7p-10, -0x1.4ecbe3dfc3641p-10, -0x1.42a590b327134p-10, -0x1.36f4bd32a8289p-10, -0x1.2bb54079db042p-10, -0x1.20e311edb69efp-10, -0x1.167a4874c1481p-10, -0x1.0c7719b27a0acp-10, -0x1.02d5d945f7337p-10, -0x1.f325f017669dp-11, -0x1.e15606c52e13bp-11, -0x1.d03548e86ac9fp-11, -0x1.bfbd3f007a378p-11, -0x1.afe7a6563a8b9p-11, -0x1.a0ae6f9fb4403p-11, -0x1.920bbdaa1e9a3p-11, -0x1.83f9e40a3bb57p-11, -0x1.767365d2fd07p-11, -0x1.6972f4526fe21p-11, -0x1.5cf36dd4e2e8ep-11, -0x1.50efdc6e3af54p-11, -0x1.456374c96d1c4p-11, -0x1.3a4994fe1217fp-11, -0x1.2f9dc36c0400ep-11, -0x1.255bad9cfadacp-11, -0x1.1b7f272c198bbp-11, -0x1.120428b35b078p-11, -0x1.08e6cebed3bf1p-11, -0x1.002358c5b34a1p-11, -0x1.ef6c5051f276p-12, -0x1.df377e6f978ecp-12, -0x1.cfa18072bb259p-12, -0x1.c0a3d8f8a94e6p-12, -0x1.b23846d7389f3p-12, -0x1.a458c35128309p-12, -0x1.96ff80550c3a1p-12, -0x1.8a26e6c6aa386p-12, -0x1.7dc994d299601p-12, -0x1.71e25c4c06098p-12, -0x1.666c41147074ep-12, -0x1.5b62778d3ba9ap-12, -0x1.50c06312ef9e9p-12, -0x1.46819481fd213p-12, -0x1.3ca1c8c4e29b6p-12, -0x1.331ce76b8a157p-12, -0x1.29ef014bb5ac8p-12, -0x1.21144f2a5675ap-12, -0x1.1889306da5b83p-12, -0x1.104a29d7d9519p-12, -0x1.0853e44a48798p-12, -0x1.00a32b90e0edp-12, -0x1.f269da6b7d201p-13, -0x1.e40c6eb985b17p-13, -0x1.d6286f4e0611p-13, -0x1.c8b8743bd089dp-13, -0x1.bbb7504bb777cp-13, -0x1.af200ef0a8fbap-13, -0x1.a2edf24a50db5p-13, -0x1.971c7135e762p-13, -0x1.8ba7356cf2b5p-13, -0x1.808a19b19a3b7p-13, -0x1.75c128085ff7cp-13, -0x1.6b4897fedda4p-13, -0x1.611cccff4bec7p-13, -0x1.573a54b08ad25p-13, -0x1.4d9de56267a9dp-13, -0x1.44445c85ccee6p-13, -0x1.3b2abd30b27e7p-13, -0x1.324e2ead6cf78p-13, -0x1.29abfb1533ab1p-13, -0x1.21418df58231bp-13, -0x1.190c73003196cp-13, -0x1.110a54c5e9a17p-13, -0x1.0938fb7ac9cefp-13, -0x1.01964bc4efeabp-13, -0x1.f4408b296ce1ap-14, -0x1.e5aa060cb8ba5p-14, -0x1.d7656e99d6577p-14, -0x1.c96f5b4c178c7p-14, -0x1.bbc490ad5ce6ep-14, -0x1.ae61ff6053d03p-14, -0x1.a144c23b76184p-14, -0x1.946a1c742cec7p-14, -0x1.87cf77d9c90b1p-14, -0x1.7b72631fd7268p-14, -0x1.6f509037712b1p-14, -0x1.6367d2b723053p-14, -0x1.57b61e50ff1c3p-14, -0x1.4c39855683346p-14, -0x1.40f03749ea776p-14, -0x1.35d87f7c90381p-14, -0x1.2af0c3ba07ee8p-14, -0x1.203782ff8d4acp-14, -0x1.15ab543f76408p-14, -0x1.0b4ae5304ef6fp-14, -0x1.0114f9274a094p-14, -0x1.ee10cffb686c7p-15, -0x1.da483a022b22ep-15, -0x1.c6ce2bdb6b9ep-15, -0x1.b3a0c3e661998p-15, -0x1.a0be4185a4c6cp-15, -0x1.8e25034ed8ca4p-15, -0x1.7bd3854cbd781p-15, -0x1.69c85f53183bcp-15, -0x1.58024363e1ep-15, -0x1.467ffc253b546p-15, -0x1.35406b679b211p-15, -0x1.244288bbb850ap-15, -0x1.13856017b0064p-15, -0x1.0308108ae8609p-15, -0x1.e59396007e542p-16, -0x1.c593a21c08e1bp-16, -0x1.a60ee7a6acc0ap-16, -0x1.870425c4d0606p-16, -0x1.6872366e924eep-16, -0x1.4a580c758950bp-16, -0x1.2cb4b1a1d4482p-16, -0x1.0f8744e5c2e53p-16, -0x1.e59df14e8689dp-17, -0x1.ad16223cc0b52p-17, -0x1.7575c59015f62p-17, -0x1.3ebba1d8fc031p-17, -0x1.08e6987112f6ap-17, -0x1.a7eb45a46ef16p-18, -0x1.3fcfa0216fb44p-18, -0x1.b2f109ddadefap-19, -0x1.d3916a236eecfp-20, -0x1.211a50a90d48cp-22, 0x1.3c03f77507b17p-20, 0x1.5ca9b57a1007dp-19, 0x1.0beb2bf93efd7p-18, 0x1.67c51d2f73834p-18, 0x1.c1e3ce657264dp-18, 0x1.0d242b83584p-17, 0x1.3879e458f4f02p-17, 0x1.62f398ec69d55p-17, 0x1.8c91d019e23d1p-17, 0x1.b55511858ee17p-17, 0x1.dd3de6ac162abp-17, 0x1.02266defcd508p-16, 0x1.1541409916915p-16, 0x1.27efb5a7340bdp-16, 0x1.3a321a1f852ecp-16, 0x1.4c08be131f6e3p-16, 0x1.5d73f4f2abd2ep-16, 0x1.6e7415dad073fp-16, 0x1.7f097bd982cecp-16, 0x1.8f34862c90d07p-16, 0x1.9ef59879b2b5p-16, 0x1.ae4d1b007a0bep-16, 0x1.bd3b7ac65bd98p-16, 0x1.cbc129bd2b958p-16, 0x1.d9de9ee44727cp-16, 0x1.e7945664bb39bp-16, 0x1.f4e2d1a89981fp-16, 0x1.00e54bb6e544cp-15, 0x1.072619ea498fdp-15, 0x1.0d341c3504a4dp-15, 0x1.130f9e1756a5cp-15, 0x1.18b8edccb25f2p-15, 0x1.1e305c4b83466p-15, 0x1.23763d435861dp-15, 0x1.288ae71987ea1p-15, 0x1.2d6eb2e467085p-15, 0x1.3221fc652d773p-15, 0x1.36a5220093cd3p-15, 0x1.3af884b64a56cp-15, 0x1.3f1c881756eafp-15, 0x1.4311923b6cd15p-15, 0x1.46d80bb556259p-15, 0x1.4a705f867af87p-15, 0x1.4ddafb119a5adp-15, 0x1.51184e0cc4d0cp-15, 0x1.5428ca72a8648p-15, 0x1.570ce4733cc05p-15, 0x1.59c51263dd5eep-15, 0x1.5c51ccaee1aacp-15, 0x1.5eb38dc2bc0efp-15, 0x1.60ead200b36eap-15, 0x1.62f817ab39878p-15, 0x1.64dbded3f325fp-15, 0x1.6696a9497735ep-15, 0x1.6828fa84d1a82p-15, 0x1.69935796d1be1p-15, 0x1.6ad647152f9e9p-15, 0x1.6bf251079293p-15, 0x1.6ce7fed47e0b6p-15, 0x1.6db7db2e2d579p-15, 0x1.6e6271ff69408p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d7c38d416a8dp-1, 0x1.d4c879453ce0ap-1, 0x1.d1cb6d4b4337ap-1, 0x1.cecde8848454dp-1, 0x1.cbd13329e86f2p-1, 0x1.c8d662769ad5ap-1, 0x1.c5de5c9ceff0fp-1, 0x1.c2e9dca9158f3p-1, 0x1.bff97647d9e64p-1, 0x1.bd0d996a4839bp-1, 0x1.ba2695c0e6f97p-1, 0x1.b7449e0aff45cp-1, 0x1.b467cb37adb59p-1, 0x1.b1901f578b942p-1, 0x1.aebd885e966ebp-1, 0x1.abefe2b6a8a0cp-1, 0x1.a926fba358d4cp-1, 0x1.a66293787d94ep-1, 0x1.a3a25fa4d97a9p-1, 0x1.a0e60c92b25b2p-1, 0x1.9e2d3f60330b7p-1, 0x1.9b77977198c3cp-1, 0x1.98c4afdf2e44bp-1, 0x1.961420c129585p-1, 0x1.9365805b6d79dp-1, 0x1.90b8642b39828p-1, 0x1.8e0c61d8b3c1bp-1, 0x1.8b61100e3ab49p-1, 0x1.88b607374b749p-1, 0x1.860ae228c11b7p-1, 0x1.835f3eb415bcfp-1, 0x1.80b2be273c392p-1, 0x1.7e0505ba93bc1p-1, 0x1.7b55beee61bb7p-1, 0x1.78a497d927137p-1, 0x1.75f14368149ddp-1, 0x1.733b7992cc4fep-1, 0x1.7082f7838c4c9p-1, 0x1.6dc77fb4cb5dbp-1, 0x1.6b08da053dc6ep-1, 0x1.6846d3c32b1a6p-1, 0x1.65813fafebe79p-1, 0x1.62b7f5fc52fbp-1, 0x1.5fead43ec308dp-1, 0x1.5d19bd6395781p-1, 0x1.5a4499987692bp-1, 0x1.576b5633498e6p-1, 0x1.548de5951be47p-1, 0x1.51ac3f09a7f44p-1, 0x1.4ec65ea3d8d8dp-1, 0x1.4bdc4517bcf51p-1, 0x1.48edf79248d8ep-1, 0x1.45fb7f8f43ff9p-1, 0x1.4304eaadb52bp-1, 0x1.400a4a8318058p-1, 0x1.3d0bb46da382fp-1, 0x1.3a094165e0c68p-1, 0x1.37030dcfcaa04p-1, 0x1.33f9394baeceep-1, 0x1.30ebe686fbafep-1, 0x1.2ddb3b0d2b9edp-1, 0x1.2ac75f18f0fbdp-1, 0x1.27b07d65c9545p-1, 0x1.2496c3021606ap-1, 0x1.217a5f21d7d86p-1, 0x1.1e5b82f22658bp-1, 0x1.1b3a616d7b775p-1, 0x1.18172f30e4af3p-1, 0x1.14f222522ce76p-1, 0x1.11cb72370f873p-1, 0x1.0ea3576d7e6b2p-1, 0x1.0b7a0b8509e73p-1, 0x1.084fc8e971a76p-1, 0x1.0524cabe66589p-1, 0x1.01f94cbc851f3p-1, 0x1.fd9b161f1a24cp-2, 0x1.f743846badbfap-2, 0x1.f0ec5dc21afbbp-2, 0x1.ea961bb05834bp-2, 0x1.e44137b57bf23p-2, 0x1.ddee2b0aca315p-2, 0x1.d79d6e6f3cc28p-2, 0x1.d14f79f594cep-2, 0x1.cb04c4d4dd4eap-2, 0x1.c4bdc53b67bfap-2, 0x1.be7af0242c8fp-2, 0x1.b83cb92e92686p-2, 0x1.b203927888ff4p-2, 0x1.abcfec7af2f1ep-2, 0x1.a5a235e84c4c4p-2, 0x1.9f7adb8d8a978p-2, 0x1.995a483520069p-2, 0x1.9340e48c1b995p-2, 0x1.8d2f1709542cep-2, 0x1.872543d692287p-2, 0x1.8123ccbbab777p-2, 0x1.7b2b110b7d947p-2, 0x1.753b6d92bdbacp-2, 0x1.6f553c8888d0ep-2, 0x1.6978d580ae35p-2, 0x1.63a68d5f9a978p-2, 0x1.5ddeb64fdbda5p-2, 0x1.58219fb92fe2p-2, 0x1.526f963905b78p-2, 0x1.4cc8e39c7019fp-2, 0x1.472dcedb6c07bp-2, 0x1.419e9c157bb0fp-2, 0x1.3c1b8c8f77ea3p-2, 0x1.36a4deb2981f9p-2, 0x1.313ace0c97465p-2, 0x1.2bdd9350f166fp-2, 0x1.268d645b21ffap-2, 0x1.214a7431e33f2p-2, 0x1.1c14f30b50a14p-2, 0x1.16ed0e51effffp-2, 0x1.11d2f0aa88788p-2, 0x1.0cc6c1fac3a0bp-2, 0x1.07c8a77085401p-2, 0x1.02d8c389f528ap-2, 0x1.fbee6c3c56b28p-3, 0x1.f24838cce5f41p-3, 0x1.e8bf22103eba2p-3, 0x1.df53583dbcadfp-3, 0x1.d605068f14458p-3, 0x1.ccd45356ca873p-3, 0x1.c3c160177f08p-3, 0x1.bacc499bf1448p-3, 0x1.b1f5280fa6f24p-3, 0x1.a93c0f182fc42p-3, 0x1.a0a10deeed1f8p-3, 0x1.98242f7b54163p-3, 0x1.8fc57a6d8f3fep-3, 0x1.8784f15983f9fp-3, 0x1.7f6292d21b617p-3, 0x1.775e5984cf085p-3, 0x1.6f783c555e20cp-3, 0x1.67b02e79b3ea7p-3, 0x1.60061f95dc335p-3, 0x1.5879fbd80b316p-3, 0x1.510bac14a9c34p-3, 0x1.49bb15e25640dp-3, 0x1.42881bb5dc804p-3, 0x1.3b729cfe0d4fbp-3, 0x1.347a763f79c87p-3, 0x1.2d9f813000e59p-3, 0x1.26e194d2311f1p-3, 0x1.20408590680c9p-3, 0x1.19bc2557bd419p-3, 0x1.135443b2a345cp-3, 0x1.0d08ade338833p-3, 0x1.06d92efd4e501p-3, 0x1.00c5900018e49p-3, 0x1.f59b2fdefd1dp-4, 0x1.e9e217da1a598p-4, 0x1.de5f5ea11a4cep-4, 0x1.d312878053e6cp-4, 0x1.c7fb1290622ep-4, 0x1.bd187ce4cb963p-4, 0x1.b26a40b9c9ea2p-4, 0x1.a7efd5a126795p-4, 0x1.9da8b0ae2fd0ap-4, 0x1.939444a0caedbp-4, 0x1.89b2020f86f04p-4, 0x1.80015790c5f1cp-4, 0x1.7681b1e2edfc6p-4, 0x1.6d327c13a35dcp-4, 0x1.64131fa608fddp-4, 0x1.5b2304b808218p-4, 0x1.526192269cc93p-4, 0x1.49ce2db127e5ap-4, 0x1.41683c1bc5a2p-4, 0x1.392f2150aabf3p-4, 0x1.3122408086e55p-4, 0x1.2940fc41eee84p-4, 0x1.218ab6afcfb39p-4, 0x1.19fed186ea921p-4, 0x1.129cae425da17p-4, 0x1.0b63ae373a614p-4, 0x1.045332af2bf2ep-4, 0x1.fad53a04600fep-5, 0x1.ed529d5ec8832p-5, 0x1.e01d52e9d9da5p-5, 0x1.d3341ecde9309p-5, 0x1.c695c60b95fa9p-5, 0x1.ba410ea649bccp-5, 0x1.ae34bfccfff3ap-5, 0x1.a26fa2015e453p-5, 0x1.96f07f3d24ba7p-5, 0x1.8bb62315faecap-5, 0x1.80bf5adfa5c2fp-5, 0x1.760af5cca7dddp-5, 0x1.6b97c50d5959ap-5, 0x1.61649bed7d982p-5, 0x1.57704ff05d0ccp-5, 0x1.4db9b8eb6e4cep-5, 0x1.443fb11f929dfp-5, 0x1.3b011550f35f5p-5, 0x1.31fcc4dd82c72p-5, 0x1.2931a1d22f12fp-5, 0x1.209e90fec82bap-5, 0x1.18427a08a7ecep-5, 0x1.101c477c203a6p-5, 0x1.082ae6dcba245p-5, 0x1.006d48b44bbe3p-5, 0x1.f1c4c141df1bfp-6, 0x1.e3124ac3c720dp-6, 0x1.d4c121c6b2a3fp-6, 0x1.c6cf40927f1b5p-6, 0x1.b93aa7f213cb1p-6, 0x1.ac015f450a42p-6, 0x1.9f21748f6dc6ep-6, 0x1.9298fc87b7b4cp-6, 0x1.866612a2feed5p-6, 0x1.7a86d91f7e444p-6, 0x1.6ef9790d75684p-6, 0x1.63bc22567a1a7p-6, 0x1.58cd0bc33c844p-6, 0x1.4e2a72ffdda2cp-6, 0x1.43d29c9ed65ebp-6, 0x1.39c3d41a895adp-6, 0x1.2ffc6bd57ec3dp-6, 0x1.267abd196b35ap-6, 0x1.1d3d2814fb5fdp-6, 0x1.144213d878d1fp-6, 0x1.0b87ee515ba33p-6, 0x1.030d2c44c8f63p-6, 0x1.f5a092921fdfap-7, 0x1.e59f8f7c6c09bp-7, 0x1.d614618b1f9bap-7, 0x1.c6fc28710c173p-7, 0x1.b854113cf7341p-7, 0x1.aa195643e0ee6p-7, 0x1.9c493f09c95d9p-7, 0x1.8ee1202905d08p-7, 0x1.81de5b38485d2p-7, 0x1.753e5eaf5b4bep-7, 0x1.68fea5cab65f7p-7, 0x1.5d1cb86deb276p-7, 0x1.51962b050b8d5p-7, 0x1.46689e6514526p-7, 0x1.3b91bfab684bfp-7, 0x1.310f481c768cdp-7, 0x1.26defd01911b7p-7, 0x1.1cfeaf860b03p-7, 0x1.136c3c93a6e43p-7, 0x1.0a258cae6779ep-7, 0x1.012893cfcf4bdp-7, 0x1.f0e6a283370d3p-8, 0x1.e0079ef011c63p-8, 0x1.cfb047d758a81p-8, 0x1.bfdcdde5dc807p-8, 0x1.b089b73664d8p-8, 0x1.a1b33f036cd69p-8, 0x1.9355f558695fbp-8, 0x1.856e6ec2a510fp-8, 0x1.77f95401cc503p-8, 0x1.6af361b8380c2p-8, 0x1.5e59681b0c4c7p-8, 0x1.52284aa23a534p-8, 0x1.465cffb87734fp-8, 0x1.3af4906b38e9p-8, 0x1.2fec181ac5169p-8, 0x1.2540c42a65989p-8, 0x1.1aefd3b0cb2b6p-8, 0x1.10f69728afb7bp-8, 0x1.07527021c49c8p-8, 0x1.fc01a1e3ead59p-9, 0x1.e9fe78ce1ecb6p-9, 0x1.d8968af1a880ep-9, 0x1.c7c51df710db9p-9, 0x1.b78596a5fc41fp-9, 0x1.a7d3784c5e075p-9, 0x1.98aa6426cee3cp-9, 0x1.8a0618ca1f3c4p-9, 0x1.7be2718e2a4cep-9, 0x1.6e3b65fa065a3p-9, 0x1.610d09319309fp-9, 0x1.545389647a287p-9, 0x1.480b2f3eabda9p-9, 0x1.3c305d5a64513p-9, 0x1.30bf8fb3bdccep-9, 0x1.25b55b1de2a75p-9, 0x1.1b0e6cb9e2323p-9, 0x1.10c7896f2ceccp-9, 0x1.06dd8d65c8f34p-9, 0x1.fa9ad7047c31ap-10, 0x1.e82859c67fb8p-10, 0x1.d65de0c23eb2p-10, 0x1.c535d41e04d0dp-10, 0x1.b4aac57bdf5c4p-10, 0x1.a4b76f03478b2p-10, 0x1.9556b26e7fbddp-10, 0x1.8683981ba0397p-10, 0x1.78394e214ca35p-10, 0x1.6a7327672b008p-10, 0x1.5d2c9ac205b5ep-10, 0x1.50614213b14d9p-10, 0x1.440cd96ea75ddp-10, 0x1.382b3e3d56932p-10, 0x1.2cb86e6d355e6p-10, 0x1.21b0879d81e46p-10, 0x1.170fc651ba6fbp-10, 0x1.0cd28527c9e4ap-10, 0x1.02f53c11d8e79p-10, 0x1.f2e8ff27aa8a9p-11, 0x1.e09a000926b6ap-11, 0x1.cef711a5294bap-11, 0x1.bdf9ff98caf8dp-11, 0x1.ad9cc8d91f429p-11, 0x1.9dd99e5231407p-11, 0x1.8eaae18d0bd31p-11, 0x1.800b235cbd1a8p-11, 0x1.71f5229246c4ap-11, 0x1.6463cab76a15ap-11, 0x1.575232d03cc0bp-11, 0x1.4abb9c23789b1p-11, 0x1.3e9b71096fdddp-11, 0x1.32ed43c1954d8p-11, 0x1.27accd4e85cffp-11, 0x1.1cd5ec587c784p-11, 0x1.1264a4161fb3p-11, 0x1.08551b3b93874p-11, 0x1.fd4735df6fdccp-12, 0x1.ea991b8f07718p-12, 0x1.d898fd8ec433ap-12, 0x1.c74030d4fefd3p-12, 0x1.b688475fde52cp-12, 0x1.a66b0e5b26903p-12, 0x1.96e28c51635adp-12, 0x1.87e8ff683f1d6p-12, 0x1.7978dba7d7768p-12, 0x1.6b8cc94ce612p-12, 0x1.5e1fa3258dbc2p-12, 0x1.512c74f8a2406p-12, 0x1.44ae79f735eeep-12, 0x1.38a11b384be88p-12, 0x1.2cffee3e74326p-12, 0x1.21c6b3872f563p-12, 0x1.16f15523e6abap-12, 0x1.0c7be55c4f68cp-12, 0x1.02629d5a092f9p-12, 0x1.f143b7ba98d36p-13, 0x1.de6c47f5019edp-13, 0x1.cc3837c1096dfp-13, 0x1.baa1174f127c8p-13, 0x1.a9a0b8509187ep-13, 0x1.99312bb6ebd16p-13, 0x1.894cbf826ed2ap-13, 0x1.79edfca103105p-13, 0x1.6b0fa4dc4f48ep-13, 0x1.5cacb0d6faee3p-13, 0x1.4ec04e18b0712p-13, 0x1.4145dd289ae9dp-13, 0x1.3438efb60b589p-13, 0x1.279546cef3887p-13, 0x1.1b56d123e5823p-13, 0x1.0f79a9595068dp-13, 0x1.03fa1465ab7a8p-13, 0x1.f1a8fff87e1bp-14, 0x1.dc0b02088ff42p-14, 0x1.c713a4384a907p-14, 0x1.b2bca450958b9p-14, 0x1.9f0005db6148bp-14, 0x1.8bd80f6ef6409p-14, 0x1.793f480f1a8a1p-14, 0x1.673074a397faep-14, 0x1.55a6958390c73p-14, 0x1.449ce4151f4e1p-14, 0x1.340ed080c0fc5p-14, 0x1.23f7ff78097dfp-14, 0x1.1454480f221f1p-14, 0x1.051fb1a8979fp-14, 0x1.ecace3e5fbe2bp-15, 0x1.cfe9d5efe49ecp-15, 0x1.b3ef5278079c4p-15, 0x1.98b6c3de26a5bp-15, 0x1.7e39e2596ae3cp-15, 0x1.6472b09852d2dp-15, 0x1.4b5b787ef4105p-15, 0x1.32eec802af771p-15, 0x1.1b276e2297802p-15, 0x1.040077fba92d2p-15, 0x1.daea5bf0402e6p-16, 0x1.af02223220b2fp-16, 0x1.843fb0b328b62p-16, 0x1.5a9adc558b952p-16, 0x1.320bdc0fa0575p-16, 0x1.0a8b4442cb287p-16, 0x1.c824047f95a7ep-17, 0x1.7d32afee19912p-17, 0x1.3435afa7787bap-17, 0x1.da418300e213p-18, 0x1.4fd0694ae4d43p-18, 0x1.92038906da72dp-19, 0x1.1701338e961cdp-20, -0x1.d042680a5efdep-21, -0x1.6cd6da72cde85p-19, -0x1.2f7b98e5e2a11p-18, -0x1.a54a8228850bcp-18, -0x1.0bf489c848cc6p-17, -0x1.43b3bd85b946dp-17, -0x1.79ea9a2e98514p-17, -0x1.aea0899259dc7p-17, -0x1.e1dca637cd9ep-17, -0x1.09d2dff86683ep-16, -0x1.2201301cafebdp-16, -0x1.397c673221d83p-16, -0x1.504789cb3fb89p-16, -0x1.66657f49dcebcp-16, -0x1.7bd913ae7c1f7p-16, -0x1.90a4f951b5defp-16, -0x1.a4cbca8863d3dp-16, -0x1.b8500b335ca4fp-16, -0x1.cb342a3b7df72p-16, -0x1.dd7a82fab2376p-16, -0x1.ef255e92b1dbdp-16, -0x1.001b7a9913a37p-15, -0x1.0858b7a46e995p-15, -0x1.104b7355d07ccp-15, -0x1.17f4b3d43ae93p-15, -0x1.1f557905d7146p-15, -0x1.266ebd0b47519p-15, -0x1.2d4174b3fea28p-15, -0x1.33ce8febeab6dp-15, -0x1.3a16fa22b1edap-15, -0x1.401b9aacca84fp-15, -0x1.45dd551ea94c4p-15, -0x1.4b5d09a24575fp-15, -0x1.509b954731a8ep-15, -0x1.5599d24d83f7fp-15, -0x1.5a58986bc1b5dp-15, -0x1.5ed8bd100af3cp-15, -0x1.631b139cba44fp-15, -0x1.67206da0aa23bp-15, -0x1.6ae99b0b51af9p-15, -0x1.6e776a5cee174p-15, -0x1.71caa8d2df986p-15, -0x1.74e422906eadcp-15, -0x1.77c4a2c41e2d5p-15, -0x1.7a6cf3c9ba9c6p-15, -0x1.7cdddf494bd68p-15, -0x1.7f182e530edb6p-15, -0x1.811ca978a35bep-15, -0x1.82ec18e38ba6ep-15, -0x1.848744692410cp-15, -0x1.85eef39c363a5p-15, -0x1.8723eddc45c16p-15, -0x1.8826fa62b7dd8p-15, -0x1.88f8e04df25edp-15, -0x1.899a66aa921fdp-15, -0x1.8a0c547ad222fp-15, -0x1.8a4f70bc4142ap-15, -0x1.8a64826bde981p-15, -0x1.8a4c5088b5185p-15, -0x1.8a07a2150ffc4p-15, -0x1.89973e166073bp-15, -0x1.88fbeb93e6a6bp-15, -0x1.8836719436295p-15, -0x1.87479719aac76p-15, -0x1.8630231ddf4ebp-15, -0x1.84f0dc8c39ce1p-15, -0x1.838a8a3ba1185p-15, -0x1.81fdf2e769f5cp-15, -0x1.804bdd278d4ebp-15, -0x1.7e750f68389a7p-15, -0x1.7c7a4fe0c476dp-15, -0x1.7a5c648a25f0ap-15, -0x1.781c1314de18cp-15, -0x1.75ba20de80642p-15, -0x1.733752e6d201ap-15, -0x1.70946dc4981fp-15, -0x1.6dd2359a15d58p-15, -0x1.6af16e094cd78p-15, -0x1.67f2da2807598p-15, -0x1.64d73c73b607cp-15, -0x1.619f56c528268p-15, -0x1.5e4bea442e14ap-15, -0x1.5addb75b24631p-15, -0x1.57557daa775bp-15, -0x1.53b3fbfc23a2bp-15, -0x1.4ff9f03738af2p-15, -0x1.4c28175367758p-15, -0x1.483f2d4ca03fp-15, -0x1.443fed16c843ap-15, -0x1.402b10918b02fp-15, -0x1.3c01507c4a996p-15, -0x1.37c3646a36a2p-15, -0x1.337202b68fc5cp-15, -0x1.2f0de0791400ap-15, -0x1.2a97b17aa377ep-15, -0x1.2610282a1426ap-15, -0x1.2177f59144972p-15, -0x1.1ccfc94a66746p-15, -0x1.181851758885p-15, -0x1.13523aae62f0dp-15, -0x1.0e7e3002668a5p-15, -0x1.099cdae711448p-15, -0x1.04aee3308a5bbp-15, -0x1.ff69de110dd24p-16, -0x1.f55f45caf720dp-16, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      48, 0x1.1333333333333p+2, 0x1.1354eee7a10cp+1, 0x1.f5761e77e3cc7p+1, -0x1.d7a45ad776a81p-2, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.ac2424a276b7fp+1, -0x1.05f08fdc5046bp+3, 0x1.19b851eb851f8p+3, 0x1.ae79c6ffe858bp+0}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.840c308feac43p+1, -0x1.de49a16d916ccp+2, 0x1.202d58beb7f7ep+3, -0x1.0d0c1c5ff1474p+3}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.5f8f605ab3aacp+1, -0x1.b2c31b142c2b2p+2, 0x1.ffc86d3d73783p+2, -0x1.493d8ec070532p+2}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.3e5fe974a3401p+1, -0x1.8b665cc0b7bedp+2, 0x1.d84628e8eb1c4p+2, -0x1.5df18c3e5c2efp+2}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.20358afc47e4ap+1, -0x1.674c333dbe5d4p+2, 0x1.ae47e4e16f688p+2, -0x1.36fc404623e5fp+2}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.04cd6c2efd439p+1, -0x1.465e2ffc1f4d2p+2, 0x1.88f66c87192e6p+2, -0x1.231d72a909a23p+2}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.d7d3910c2c5e3p+0, -0x1.285409220c8a2p+2, 0x1.66075ec4bbdd7p+2, -0x1.0a8df515bb8b5p+2}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.aaa3161a1db87p+0, -0x1.0cf725f41aac4p+2, 0x1.460ad0b7e2ccbp+2, -0x1.eb5572000c59p+1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.81a059a73b42dp+0, -0x1.e81f5b6463095p+1, 0x1.288fedb7e20fp+2, -0x1.c18e4dd45b8efp+1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.5c6ac215b9a5bp+0, -0x1.bad4952ae73e2p+1, 0x1.0d96c016a95d7p+2, -0x1.9e7156ae855a4p+1}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.3aa9b499d0204p+0, -0x1.91af7d67318bap+1, 0x1.e971d1ef6bbp+1, -0x1.76ac577192e47p+1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.1c0bdcad14a0ap+0, -0x1.6c54100c7ed56p+1, 0x1.bc7bdbec08242p+1, -0x1.5add4b8b2487dp+1}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.00472c0e7bc3cp+0, -0x1.4a6f42cfaeb0ap+1, 0x1.92dc2f044b7p+1, -0x1.35de7a61df3c4p+1}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.ce2f7b17ce52ep-1, -0x1.2bb17410ef5bcp+1, 0x1.6dad019c63d96p+1, -0x1.1fa8caed60f54p+1}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.a08051c9f72f7p-1, -0x1.0fd1e380da51bp+1, 0x1.4b281c75aa225p+1, -0x1.fefcb3d136a07p+0}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.7710667f90d9dp-1, -0x1.ed1b80244ff38p+0, 0x1.2c7f5959c074ep+1, -0x1.d4bb9ae0639a8p+0}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.517a89331a08cp-1, -0x1.bf471a8670b6ep+0, 0x1.105f9cdba6p+1, -0x1.a614e0ad42652p+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.2f62b6ae7d567p-1, -0x1.95b956e248f4dp+0, 0x1.ee18e15095f42p+0, -0x1.7af0e26a8693dp+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.1075d56f32bdcp-1, -0x1.7003df22ccf76p+0, 0x1.c09fd06285cdep+0, -0x1.562795a8a865dp+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.e8d25edd05293p-2, -0x1.4dc47c71be907p+0, 0x1.9790d2e7e23c7p+0, -0x1.3470c6f2d7ff2p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.b5f2cb641700dp-2, -0x1.2ea48d4b7841p+0, 0x1.728d87d4fb846p+0, -0x1.14154e8bf847cp+0}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.87d3910c2c5e3p-2, -0x1.1252e16c4147cp+0, 0x1.516c40f762d7ep+0, -0x1.ee73fdba8dc45p-1}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.5e07e5a78f25ap-2, -0x1.f1088124ebd8fp-1, 0x1.33c1744d790e6p+0, -0x1.be056bfdd6082p-1}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.382e44b6e935cp-2, -0x1.c1eee71124766p-1, 0x1.18fe91a9c3412p+0, -0x1.9176524e1cdc2p-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.15eedcc20d563p-2, -0x1.96e6b035062dep-1, 0x1.00e81c15b7487p+0, -0x1.64214ac9b65cdp-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.edf58c08b75eap-3, -0x1.6f8167427e012p-1, 0x1.d713e783ddcd6p-1, -0x1.4604828b07836p-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.b616f86a09891p-3, -0x1.4b625769c321ap-1, 0x1.aff4a4a662054p-1, -0x1.23ccab0a35264p-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.83c21187e7c07p-3, -0x1.2a3a7405aa57dp-1, 0x1.8cf0902009b96p-1, -0x1.0ac8d14c122bap-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.56837f7be121fp-3, -0x1.0bc0f3f10916cp-1, 0x1.6cecf1e3b59fap-1, -0x1.e2201f8b1642bp-2}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.2df266ba493c9p-3, -0x1.df6efd8b1ae87p-2, 0x1.4fff7f5b5d3f7p-1, -0x1.c1eddf3b83d22p-2}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.09af5ba2be059p-3, -0x1.abd5624026d5ep-2, 0x1.350095cd8da89p-1, -0x1.96286386da868p-2}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.d2c493426783ap-4, -0x1.7c57bca0ef38cp-2, 0x1.1ca20078a981cp-1, -0x1.857092a9110ebp-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.9974e65bea0bap-4, -0x1.50abb8578dbb3p-2, 0x1.0544351c991f9p-1, -0x1.641551d4e0e38p-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.66d7a56de3327p-4, -0x1.2893cd518aca9p-2, 0x1.dfcd895d17428p-2, -0x1.5a3a26036cf07p-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.3a5f41aef6f8fp-4, -0x1.03dae20d14b7ap-2, 0x1.b641705270963p-2, -0x1.4302161d69987p-2}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.138476f2a5a47p-4, -0x1.c4b0a401c8f8ap-3, 0x1.8f7ea0de4532p-2, -0x1.39bd8186ee7f3p-2}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.e38eb0318b934p-5, -0x1.87c8635ee719ep-3, 0x1.69d88715c22dp-2, -0x1.3607e3c6da714p-2}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.a958537e2c55dp-5, -0x1.50dd1d901eeabp-3, 0x1.44a46183041f5p-2, -0x1.1e22ef5da970bp-2}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.7774aba387592p-5, -0x1.1faafbc76c7acp-3, 0x1.224e44c9b2597p-2, -0x1.216c5ec2824dbp-2}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.4cff21b3aeee9p-5, -0x1.e7feb1cdbd045p-4, 0x1.ff265e5a78a0ep-3, -0x1.1c2b959845c13p-2}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.2915379fa97e1p-5, -0x1.9baabfcb32a2p-4, 0x1.baf2f2c5492afp-3, -0x1.0de54adc6b14p-2}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.0ad8a116659d1p-5, -0x1.59fa260fb5e23p-4, 0x1.7a2c8ee24e304p-3, -0x1.f87e7dec1b737p-3}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.e2eb1c432ca58p-6, -0x1.224ffbedc4abap-4, 0x1.3da27fc5f8f95p-3, -0x1.111db94b5e6b3p-2}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.b841248d7e026p-6, -0x1.e9782b483e86p-5, 0x1.f82c7da535448p-4, -0x1.5e93b7b8f0011p-3}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.9424e59296702p-6, -0x1.9f885de17d5f9p-5, 0x1.a40909df391afp-4, -0x1.a1bad742c2086p-2}, 
        {0x1.8p+1, 0x1.851eb851eb852p+1, 0x1.752977c88e79bp-6, -0x1.6c5e2c0ae27f3p-5, 0x1.b70cca36adb2bp-5, 0x1.e63538e78041p-2}, 
        {0x1.851eb851eb852p+1, 0x1.b333333333333p+1, 0x1.59ea57214f052p-6, -0x1.3692cf8aeece2p-5, 0x1.c4e79f240f4acp-4, -0x1.fcbf1f7f9afe2p-4}, 
        {0x1.b333333333333p+1, 0x1.1333333333333p+2, 0x1.0624dd2f1a9fcp-6, -0x1.afef80407458p-8, -0x1.822a8663d10a9p-6, -0x1.7935abe5b7adfp-4}, 
      }}, 
      0x1.a63f581cb9492p-3, -0x1.9a0bda1e901b4p-4
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_s_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9c2748e01ede4p-1, -0x1.a4e404a256de6p-1, -0x1.ac2639c5e332ep-1, -0x1.b1f25aa0d3434p-1, -0x1.b64fc8029d0fap-1, -0x1.b9481ddba88b7p-1, -0x1.bae703caa4bfbp-1, -0x1.bb39b7d2485b7p-1, -0x1.ba4ecb667e909p-1, -0x1.b835c8841ab45p-1, -0x1.b4fec8bc89025p-1, -0x1.b0ba4f4385afp-1, -0x1.ab7934bcc4189p-1, -0x1.a54c96796171fp-1, -0x1.9e45bb1283056p-1, -0x1.9675d53ebf5edp-1, -0x1.8dedc139267b6p-1, -0x1.84bdea60635c6p-1, -0x1.7af65dc2b0b59p-1, -0x1.70a6dd2d12db8p-1, -0x1.65dec3c01a827p-1, -0x1.5aac310c3669bp-1, -0x1.4f1d9f27f1888p-1, -0x1.434029645f8c2p-1, -0x1.37209ae5c5c9cp-1, -0x1.2acb301991928p-1, -0x1.1e4b76e7d5e91p-1, -0x1.11ac3f2736cb1p-1, -0x1.04f7a2efcd27p-1, -0x1.f06e31f6698b9p-2, -0x1.d6e701b565903p-2, -0x1.bd6a48b10fc0cp-2, -0x1.a4076827ef987p-2, -0x1.8acc8db2273bap-2, -0x1.71c6bc20140a5p-2, -0x1.5901d9e2bb765p-2, -0x1.4088beecbfee8p-2, -0x1.28653fbbeebe7p-2, -0x1.10a0369a2573ep-2, -0x1.f28319a260758p-3, -0x1.c4a0896ffa8a2p-3, -0x1.97a509a705762p-3, -0x1.6b9b4832bc689p-3, -0x1.408c6e9440dc1p-3, -0x1.16803e5a75802p-3, -0x1.dafa5d87820b3p-4, -0x1.8b1116095b147p-4, -0x1.3d4d2153a3ec2p-4, -0x1.e36a346ab15f2p-5, -0x1.509be220d1242p-5, -0x1.846c61440a2f5p-6, -0x1.c1ea4577619bfp-8, 0x1.353509a16dc3ep-7, 0x1.9cd4bc074e26ap-6, 0x1.4b1d69e20844ep-5, 0x1.c36c25f5c201p-5, 0x1.1baf4b9111383p-4, 0x1.537f717a6efd5p-4, 0x1.892c928f87a5cp-4, 0x1.bcbda0a5bf7fbp-4, 0x1.ee3a59560b629p-4, 0x1.0ed596811d446p-3, 0x1.258c92e2a987ep-3, 0x1.3b492bfe4dfcap-3, 0x1.500be9506bc88p-3, 0x1.63dbeed417eccp-3, 0x1.76be895216137p-3, 0x1.88b92819e68bdp-3, 0x1.99d1521d36bb1p-3, 0x1.aa0c9e0315a47p-3, 0x1.b970ad20676f4p-3, 0x1.c80328bdf25d8p-3, 0x1.d5c9c0c5f36fap-3, 0x1.e2ca2addc2bf7p-3, 0x1.ef0a210fd2b54p-3, 0x1.fa8f5f724f4abp-3, 0x1.02afd04a14c2bp-2, 0x1.07c04c6b02544p-2, 0x1.0c7bf88d40f7ap-2, 0x1.10e5a0ae73e11p-2, 0x1.150005de5a217p-2, 0x1.18cddc37947dap-2, 0x1.1c51c96caa749p-2, 0x1.1f8e63f145d3bp-2, 0x1.228632b15da31p-2, 0x1.253bad38991b8p-2, 0x1.27b13c250172cp-2, 0x1.29e939c0849a6p-2, 0x1.2be5f2a2acf08p-2, 0x1.2da9a64439bf6p-2, 0x1.2f368776134ffp-2, 0x1.308ebcb2c668fp-2, 0x1.31b460451ba38p-2, 0x1.32a9804095792p-2, 0x1.33701e4b0340cp-2, 0x1.340a2f3a1e026p-2, 0x1.34799a8d39db9p-2, 0x1.34c039d0a735p-2, 0x1.34dfd7fcd1408p-2, 0x1.34da30e517c24p-2, 0x1.34b0f0c8da47ep-2, 0x1.3465b4147c0aap-2, 0x1.33fa07591428ap-2, 0x1.336f6779eddf1p-2, 0x1.32c742084c43bp-2, 0x1.3202f5c1b44f5p-2, 0x1.3123d3239a791p-2, 0x1.302b1d08c3e61p-2, 0x1.2f1a0947d7801p-2, 0x1.2df1c14e8132ep-2, 0x1.2cb362b7f2218p-2, 0x1.2b5fffdf95c41p-2, 0x1.29f8a0717fd8p-2, 0x1.287e41f966ad6p-2, 0x1.26f1d86fa2cc8p-2, 0x1.25544ec257a52p-2, 0x1.23a68757e73e4p-2, 0x1.21e95c87b87a4p-2, 0x1.201da106cabe8p-2, 0x1.1e44204697ecp-2, 0x1.1c5d9ec5eee5dp-2, 0x1.1a6ada548bae9p-2, 0x1.186c8a4ae8387p-2, 0x1.16635fb838a5bp-2, 0x1.1450058884d4ap-2, 0x1.123320a4b5cf1p-2, 0x1.100d500e18d2bp-2, 0x1.0ddf2cf6988fdp-2, 0x1.0ba94ad6afaa4p-2, 0x1.096c378209052p-2, 0x1.07287b3ba7fd1p-2, 0x1.04de98ca8e6b3p-2, 0x1.028f0d8fd1748p-2, 0x1.003a519f0fea9p-2, 0x1.fbc1afb44fcf2p-3, 0x1.f7061c21a9f0dp-3, 0x1.f242ba495b291p-3, 0x1.ed78526338f2fp-3, 0x1.e8a7a37553de9p-3, 0x1.e3d163b54295ap-3, 0x1.def640efb77p-3, 0x1.da16e0f4b5fd4p-3, 0x1.d533e2069028p-3, 0x1.d04ddb49be5fep-3, 0x1.cb655d33f47cfp-3, 0x1.c67af1f8d34f2p-3, 0x1.c18f1df2fcd4bp-3, 0x1.bca49d115e1e1p-3, 0x1.b7b613bdf1a75p-3, 0x1.b2c797eab9a1ap-3, 0x1.add9a22c14b5cp-3, 0x1.a8eca5de1c367p-3, 0x1.a4011150df569p-3, 0x1.9f174dfbad16bp-3, 0x1.9a2fc0b60608ep-3, 0x1.954ac9f4acbb3p-3, 0x1.9068c6091b38fp-3, 0x1.8b8a0d61abfc7p-3, 0x1.86aef4c8ce58bp-3, 0x1.81d7cda1d4ebap-3, 0x1.7d04e622143dep-3, 0x1.7836898555ffap-3, 0x1.736d003cf479ap-3, 0x1.6ea8901924d19p-3, 0x1.69e97c6c5e881p-3, 0x1.65300628f54eap-3, 0x1.607c6bf938c43p-3, 0x1.5bceea52addfp-3, 0x1.5727bb84f78c9p-3, 0x1.528717c52820bp-3, 0x1.4ded35364c0abp-3, 0x1.495a47efd6b43p-3, 0x1.44ce8202c11f1p-3, 0x1.404a137dea84ep-3, 0x1.3bcd2a724f9eap-3, 0x1.3757f2f7957ccp-3, 0x1.32ea97312baa1p-3, 0x1.2e853f545f51dp-3, 0x1.2a2811af63cf4p-3, 0x1.25d332b179fd9p-3, 0x1.2186c4f419421p-3, 0x1.1d42e9450fc0fp-3, 0x1.1907beb174cd7p-3, 0x1.14d5629139ad2p-3, 0x1.10abf0933905dp-3, 0x1.0c8b82c986818p-3, 0x1.087431b5d550dp-3, 0x1.04661455cdf74p-3, 0x1.0061402f1f7b1p-3, 0x1.f8cb92b68114ap-4, 0x1.f0e78525579a2p-4, 0x1.e9167a6f40637p-4, 0x1.e15892c07cfdep-4, 0x1.d9adebc01d726p-4, 0x1.d216a0a1d02aep-4, 0x1.ca92ca3676f0cp-4, 0x1.c3227efb9b683p-4, 0x1.bbc5d329d9e7bp-4, 0x1.b47cd8c26b212p-4, 0x1.ad479f9bd0216p-4, 0x1.a626356defd1p-4, 0x1.9f18a5dda4337p-4, 0x1.981efa87f361bp-4, 0x1.91393b0d0e1d6p-4, 0x1.8a676d1b25935p-4, 0x1.83a9947945299p-4, 0x1.7cffb31234931p-4, 0x1.7669c8ff77f74p-4, 0x1.6fe7d49475667p-4, 0x1.6979d269c42bfp-4, 0x1.631fbd68a6e05p-4, 0x1.5cd98ed6ac027p-4, 0x1.56a73e616bc48p-4, 0x1.5088c22a5c5dcp-4, 0x1.4a7e0ed2aecdcp-4, 0x1.448717872793fp-4, 0x1.3ea3ce0be6b0cp-4, 0x1.38d422c811379p-4, 0x1.331804d14f99cp-4, 0x1.2d6f61f7172acp-4, 0x1.27da26cdb36e6p-4, 0x1.22583eb90691cp-4, 0x1.1ce993f6fe127p-4, 0x1.178e0fa9b42eap-4, 0x1.124599e13c038p-4, 0x1.0d1019a51a488p-4, 0x1.07ed74fd69c61p-4, 0x1.02dd90fbad4adp-4, 0x1.fbc0a386ab414p-5, 0x1.f1eb3523fe0f9p-5, 0x1.e83a9b8ed4de8p-5, 0x1.deae99da78e55p-5, 0x1.d546f17d0b435p-5, 0x1.cc03625e39608p-5, 0x1.c2e3aae5a1c92p-5, 0x1.b9e78808f6e4ap-5, 0x1.b10eb559efb55p-5, 0x1.a858ed1409736p-5, 0x1.9fc5e82a302c2p-5, 0x1.97555e544e0c6p-5, 0x1.8f07061ccad55p-5, 0x1.86da94ee06beep-5, 0x1.7ecfbf1fcacb6p-5, 0x1.76e63804b91bcp-5, 0x1.6f1db1f7bb80ep-5, 0x1.6775de696d7a6p-5, 0x1.5fee6ded81486p-5, 0x1.588710481f018p-5, 0x1.513f747b342eap-5, 0x1.4a1748d3b5acfp-5, 0x1.430e3af6c7873p-5, 0x1.3c23f7eecce2p-5, 0x1.35582c38518e1p-5, 0x1.2eaa83ced0c59p-5, 0x1.281aaa394830bp-5, 0x1.21a84a969e3b1p-5, 0x1.1b530fa9ce01cp-5, 0x1.151aa3e5d49f7p-5, 0x1.0efeb17960e6fp-5, 0x1.08fee25a3f8f7p-5, 0x1.031ae0507bbb7p-5, 0x1.faa4aa0279ff9p-6, 0x1.ef49d3f2a35bep-6, 0x1.e424916eeb208p-6, 0x1.d934356c864d7p-6, 0x1.ce7812ebb769ap-6, 0x1.c3ef7d0a7ee2p-6, 0x1.b999c716b4d17p-6, 0x1.af76449f830c7p-6, 0x1.a58449864b663p-6, 0x1.9bc32a0efb97fp-6, 0x1.92323aefc929p-6, 0x1.88d0d160641f2p-6, 0x1.7f9e43289ad52p-6, 0x1.7699e6ae781e5p-6, 0x1.6dc31303da4edp-6, 0x1.65191ff38f1dap-6, 0x1.5c9b660de9d47p-6, 0x1.54493eb4e8e7ap-6, 0x1.4c220427e11d7p-6, 0x1.4425118eb27d3p-6, 0x1.3c51c30495191p-6, 0x1.34a775a271bbap-6, 0x1.2d258788d3d94p-6, 0x1.25cb57e974c3dp-6, 0x1.1e98471059182p-6, 0x1.178bb66c99ba2p-6, 0x1.10a50898bcee4p-6, 0x1.09e3a162b6147p-6, 0x1.0346e5d38a9c5p-6, 0x1.f99c786d28ebap-7, 0x1.ecf21840d645ap-7, 0x1.e08d7ceaf0b03p-7, 0x1.d46d7ae05b3dp-7, 0x1.c890e94dd0a6ep-7, 0x1.bcf6a222f9fedp-7, 0x1.b19d821cd9a5ap-7, 0x1.a68468cf9a0d8p-7, 0x1.9baa38afb0c8fp-7, 0x1.910dd71a63f8ep-7, 0x1.86ae2c5da6d87p-7, 0x1.7c8a23bf6af47p-7, 0x1.72a0ab8449e85p-7, 0x1.68f0b4f599ec7p-7, 0x1.5f793466f5a82p-7, 0x1.5639213b2d6c4p-7, 0x1.4d2f75e8a6107p-7, 0x1.445b2ffd360d1p-7, 0x1.3bbb502179822p-7, 0x1.334eda1b99144p-7, 0x1.2b14d4d19ada2p-7, 0x1.230c4a4b30af4p-7, 0x1.1b3447b30bf15p-7, 0x1.138bdd57bf867p-7, 0x1.0c121eac2d5bbp-7, 0x1.04c5ecbd9156cp-7, 0x1.fb4da1818d662p-8, 0x1.ed675b0ce377ap-8, 0x1.dfd7461b9f23dp-8, 0x1.d29ba8ed3e9c4p-8, 0x1.c5b2cffe57fc8p-8, 0x1.b91b0e03f88fdp-8, 0x1.acd2bbe669473p-8, 0x1.a0d838bb4fedap-8, 0x1.9529e9bf373d4p-8, 0x1.89c63a4e8be88p-8, 0x1.7eab9bde0e95ep-8, 0x1.73d885f2c77aap-8, 0x1.694b76197f3cp-8, 0x1.5f02efddc6193p-8, 0x1.54fd7cc08a367p-8, 0x1.4b39ac2e4da44p-8, 0x1.41b61374fb026p-8, 0x1.38714db95bd86p-8, 0x1.2f69fbec425d9p-8, 0x1.269ec4bf62c1p-8, 0x1.1e0e5499df099p-8, 0x1.15b75d8c9791fp-8, 0x1.0d9897463405bp-8, 0x1.05b0bf06fda4fp-8, 0x1.fbfd2f28f7373p-9, 0x1.ed01d259b9ec2p-9, 0x1.de6d02f483de2p-9, 0x1.d03c670b97141p-9, 0x1.c26daf552e62ap-9, 0x1.b4fe971104a15p-9, 0x1.a7ece3edd2de4p-9, 0x1.9b3665ee6c9dap-9, 0x1.8ed8f74eb6617p-9, 0x1.82d27c6870483p-9, 0x1.7720e397d5e3p-9, 0x1.6bc2252015834p-9, 0x1.60b4430fa5c19p-9, 0x1.55f54924793dap-9, 0x1.4b834cb025fb6p-9, 0x1.415c6c7bd1147p-9, 0x1.377ed0ac290c5p-9, 0x1.2de8aaa5331afp-9, 0x1.249834ee05543p-9, 0x1.1b8bb31478ecep-9, 0x1.12c17190b9995p-9, 0x1.0a37c5a8da8cbp-9, 0x1.01ed0d5448913p-9, 0x1.f3bf5e3e5d3b5p-10, 0x1.e41c341babd47p-10, 0x1.d4ed8affeda35p-10, 0x1.c6306227df9b4p-10, 0x1.b7e1c913eec3dp-10, 0x1.a9fedf4e91eccp-10, 0x1.9c84d4327418dp-10, 0x1.8f70e6b091654p-10, 0x1.82c065164f71p-10, 0x1.7670acd373fc7p-10, 0x1.6a7f2a4006251p-10, 0x1.5ee958624bc6cp-10, 0x1.53acc0b48d715p-10, 0x1.48c6faeaf8c47p-10, 0x1.3e35acb9808bp-10, 0x1.33f68999b4f4bp-10, 0x1.2a075290a952ap-10, 0x1.2065d5f5091dap-10, 0x1.170fef351af85p-10, 0x1.0e03869cfadd6p-10, 0x1.053e911cf3436p-10, 0x1.f97e202025a76p-11, 0x1.e9062205c92adp-11, 0x1.d9115af4d7854p-11, 0x1.c99c1576e81e2p-11, 0x1.baa2b32428bf5p-11, 0x1.ac21ac335347fp-11, 0x1.9e158f0a4a3b9p-11, 0x1.907affcf759e8p-11, 0x1.834eb7fc29894p-11, 0x1.768d85efd189ep-11, 0x1.6a344c8445ef8p-11, 0x1.5e4002a350676p-11, 0x1.52adb2dd123a5p-11, 0x1.477a7affc10b1p-11, 0x1.3ca38bb0b38bdp-11, 0x1.32262806a3261p-11, 0x1.27ffa525516cp-11, 0x1.1e2d69da9deep-11, 0x1.14acee3cdf32ep-11, 0x1.0b7bbb4af8a48p-11, 0x1.02976a8da2bb1p-11, 0x1.f3fb4b750b766p-12, 0x1.e3584cb11ae7bp-12, 0x1.d3416acc119b7p-12, 0x1.c3b256006f718p-12, 0x1.b4a6dc18e9753p-12, 0x1.a61ae7c5edee4p-12, 0x1.980a7ff62be96p-12, 0x1.8a71c7327f7f2p-12, 0x1.7d4cfafc6545cp-12, 0x1.70987330767p-12, 0x1.6450a16b17dfp-12, 0x1.58721070984e6p-12, 0x1.4cf963984fb78p-12, 0x1.41e3563a6e67dp-12, 0x1.372cbb210ff54p-12, 0x1.2cd27bfc195edp-12, 0x1.22d198d788468p-12, 0x1.19272794e60fap-12, 0x1.0fd053678dd19p-12, 0x1.06ca5c53141fcp-12, 0x1.fc252d592e886p-13, 0x1.eb4cd53dc3b55p-13, 0x1.db06a7611a0e8p-13, 0x1.cb4dc09944608p-13, 0x1.bc1d629c3682dp-13, 0x1.ad70f31a27758p-13, 0x1.9f43fadd74391p-13, 0x1.919224ee6b598p-13, 0x1.84573dbbc0204p-13, 0x1.778f32474e0e8p-13, 0x1.6b360f565e5bep-13, 0x1.5f4800a74cdbdp-13, 0x1.53c15029e189fp-13, 0x1.489e653c97185p-13, 0x1.3ddbc3ecde344p-13, 0x1.33760c3bfbd56p-13, 0x1.2969f966e35cep-13, 0x1.1fb461325e487p-13, 0x1.1652333a48077p-13, 0x1.0d40784489fa6p-13, 0x1.047c51976c6dbp-13, 0x1.f805f0a754e6dp-14, 0x1.e7a379a1c43d4p-14, 0x1.d7cc0bfdf3b94p-14, 0x1.c87aa19268b1ap-14, 0x1.b9aa5efa99355p-14, 0x1.ab56926a65f39p-14, 0x1.9d7ab2894a299p-14, 0x1.90125d5247ed7p-14, 0x1.831956fa46c69p-14, 0x1.768b88dcd0654p-14, 0x1.6a65006e4bea9p-14, 0x1.5ea1ee339a63dp-14, 0x1.533ea4c0f4ebp-14, 0x1.483797bbd83e7p-14, 0x1.3d895ae5a6e2ap-14, 0x1.3330a1296abfep-14, 0x1.292a3baf15d98p-14, 0x1.1f7318f63b127p-14, 0x1.160843f362602p-14, 0x1.0ce6e333ff354p-14, 0x1.040c3807f160dp-14, 0x1.f6eb3b5c3b511p-15, 0x1.e6411111b9a9cp-15, 0x1.d6150aa818442p-15, 0x1.c66270c575566p-15, 0x1.b724b9bfc6cb9p-15, 0x1.a8578829fc422p-15, 0x1.99f6a967c5f64p-15, 0x1.8bfe144c622adp-15, 0x1.7e69e7c195aefp-15, 0x1.713669778515fp-15, 0x1.6460049da059cp-15, 0x1.57e348a143751p-15, 0x1.4bbce7fa205f2p-15, 0x1.3fe9b6f9ff45ap-15, 0x1.3466aaa5f2d45p-15, 0x1.2930d79772105p-15, 0x1.1e4570e6366fp-15, 0x1.13a1c717d2231p-15, 0x1.094347182ab5cp-15, 0x1.fe4ef2721a8f5p-16, 0x1.ea98006def0b8p-16, 0x1.d75d309155e53p-16, 0x1.c49a2c6412ea3p-16, 0x1.b24accbeeb4a9p-16, 0x1.a06b180e344adp-16, 0x1.8ef740a2b15e9p-16, 0x1.7deba30ef7622p-16, 0x1.6d44c48b0b2f2p-16, 0x1.5cff517197ab6p-16, 0x1.4d181bbb34ce3p-16, 0x1.3d8c198c5023fp-16, 0x1.2e5863cc9a4e5p-16, 0x1.1f7a34ca61997p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fb13732c6ac77p-2, -0x1.054d8645b6997p-1, -0x1.0cb957c500fedp-1, -0x1.13c84490fb653p-1, -0x1.1a76722248dfdp-1, -0x1.20c100a8bf85fp-1, -0x1.26a5e8f4fa461p-1, -0x1.2c23e14b628f6p-1, -0x1.313a625ffafdfp-1, -0x1.35e9675ea5f74p-1, -0x1.3a31716ba39b3p-1, -0x1.3e13931d5bdafp-1, -0x1.41913280b8e97p-1, -0x1.44ac0332faabap-1, -0x1.47661f5ca562dp-1, -0x1.49c1e2fe5defcp-1, -0x1.4bc1c8b2ab013p-1, -0x1.4d687aa9501bep-1, -0x1.4eb8dd2cfa4f9p-1, -0x1.4fb5f317bfa5cp-1, -0x1.5062c5b2e328ap-1, -0x1.50c2628c267acp-1, -0x1.50d805095d3d3p-1, -0x1.50a6d7d8247b2p-1, -0x1.50320ee716658p-1, -0x1.4f7cdb71fc6d7p-1, -0x1.4e8a67cac2958p-1, -0x1.4d5dd4e25a206p-1, -0x1.4bfa38c611271p-1, -0x1.4a629ccb35bb8p-1, -0x1.4899fb12874acp-1, -0x1.46a33c1590207p-1, -0x1.448134f788623p-1, -0x1.4236a6b9993p-1, -0x1.3fc63de91b6fep-1, -0x1.3d3292399b057p-1, -0x1.3a7e25caaaf34p-1, -0x1.37ab645a05cd6p-1, -0x1.34bca2dfadae9p-1, -0x1.31b41fd13411fp-1, -0x1.2e9403ca38c35p-1, -0x1.2b5e62134732ep-1, -0x1.281538b0ee5c1p-1, -0x1.24ba7017451c3p-1, -0x1.214fdaeb2c4f8p-1, -0x1.1dd7362a9e2c5p-1, -0x1.1a5229c4672bbp-1, -0x1.16c2495e71d3fp-1, -0x1.132914fcbee5ap-1, -0x1.0f87f9687e088p-1, -0x1.0be05071d265bp-1, -0x1.0833614120a17p-1, -0x1.048260da49fe3p-1, -0x1.00ce72ce424f3p-1, -0x1.fa31540082604p-2, -0x1.f2c412d17594dp-2, -0x1.eb5709a69dbffp-2, -0x1.e3ec033d9cd76p-2, -0x1.dc84aefa3ad26p-2, -0x1.d522a23ce0b8ap-2, -0x1.cdc759596d911p-2, -0x1.c67438188ca2bp-2, -0x1.bf2a89ec1b7f6p-2, -0x1.b7eb85acf42fdp-2, -0x1.b0b83cf5c24a4p-2, -0x1.a991ba87b5f05p-2, -0x1.a278f1a4d8093p-2, -0x1.9b6ec2ccb101ep-2, -0x1.9473fca2def14p-2, -0x1.8d895cc3c021bp-2, -0x1.86af908a82d39p-2, -0x1.7fe735ccbe25cp-2, -0x1.7930db8f74c81p-2, -0x1.728d02b8bfd2p-2, -0x1.6bfc1ec08f2e9p-2, -0x1.657e96622bfc9p-2, -0x1.5f14c44f19047p-2, -0x1.58bef7e2223d2p-2, -0x1.527d75cfb9d2dp-2, -0x1.4c5078cfa504dp-2, -0x1.4638323c7c0ccp-2, -0x1.4034caa761d7ep-2, -0x1.3a466260c63c9p-2, -0x1.346d11f8ad5p-2, -0x1.2ea8eab968d7ap-2, -0x1.28f9f71e983cap-2, -0x1.23603b48cf50ap-2, -0x1.1ddbb56cf4a3dp-2, -0x1.186c5e3e0617bp-2, -0x1.1312295070939p-2, -0x1.0dcd0576fe5e9p-2, -0x1.089cdd1a2c981p-2, -0x1.0381968ae4b0ap-2, -0x1.fcf628a289f49p-3, -0x1.f3126aef1750bp-3, -0x1.e957aba16834p-3, -0x1.dfc59c74b1d8p-3, -0x1.d65be9b395f7bp-3, -0x1.cd1a3aaa17ef5p-3, -0x1.c4003211d407bp-3, -0x1.bb0d6e7b70e98p-3, -0x1.b2418ab7682dfp-3, -0x1.a99c1e3ee2498p-3, -0x1.a11cbd9b5cd72p-3, -0x1.98c2faca65416p-3, -0x1.908e659a22659p-3, -0x1.887e8bfc08c5ep-3, -0x1.8092fa4c6f702p-3, -0x1.78cb3b8fb9ea4p-3, -0x1.7126d9a752039p-3, -0x1.69a55d81876d6p-3, -0x1.62464f477ad42p-3, -0x1.5b09368b1b71bp-3, -0x1.53ed9a761f4f5p-3, -0x1.4cf301f9472ep-3, -0x1.4618f3fa615f1p-3, -0x1.3f5ef77f1c56bp-3, -0x1.38c493d2f8322p-3, -0x1.324950a770bdep-3, -0x1.2becb62e69a75p-3, -0x1.25ae4d2fa2c4cp-3, -0x1.1f8d9f1aaeae6p-3, -0x1.198a3616c9bdep-3, -0x1.13a39d11ef8aap-3, -0x1.0dd95fcfdb499p-3, -0x1.082b0af944de1p-3, -0x1.02982c2b00037p-3, -0x1.fa40a408fa43p-4, -0x1.ef86186a0ea04p-4, -0x1.e4ffd70e83825p-4, -0x1.daad03d531d62p-4, -0x1.d08cc4f5b32efp-4, -0x1.c69e430c4538fp-4, -0x1.bce0a923aeffbp-4, -0x1.b35324be28e0cp-4, -0x1.a9f4e5de49c52p-4, -0x1.a0c51f10a6095p-4, -0x1.97c3057644d7ep-4, -0x1.8eedd0cf9ccd7p-4, -0x1.8644bb878f8d6p-4, -0x1.7dc702bd6bb5ap-4, -0x1.7573e64d21601p-4, -0x1.6d4aa8d4da239p-4, -0x1.654a8fb76ep-4, -0x1.5d72e31b83f2p-4, -0x1.55c2ede77cf9cp-4, -0x1.4e39fdbaa0abdp-4, -0x1.46d72a52ac1b1p-4, -0x1.3f9a3784e7c36p-4, -0x1.388243ac9d693p-4, -0x1.318ea6ad67419p-4, -0x1.2abebaf73999ep-4, -0x1.2411dd81c3104p-4, -0x1.1d876dc773415p-4, -0x1.171ecdc02573cp-4, -0x1.10d761db69cdep-4, -0x1.0ab090fa706d4p-4, -0x1.04a9c46996b9bp-4, -0x1.fd84cfb336b52p-5, -0x1.f1f3d2b10223bp-5, -0x1.e69f72944fc3p-5, -0x1.db8694c15358fp-5, -0x1.d0a823290fbdcp-5, -0x1.c6030c3969b1cp-5, -0x1.bb9642cd18926p-5, -0x1.b160be1b88fbap-5, -0x1.a76179a8c7dc2p-5, -0x1.9d9775358b168p-5, -0x1.9401b4af6569fp-5, -0x1.8a9f402127be1p-5, -0x1.816f23a37aba6p-5, -0x1.78706f4dad7e1p-5, -0x1.6fa23726b702fp-5, -0x1.67039316707f8p-5, -0x1.5e939ed6ff48fp-5, -0x1.565179e671054p-5, -0x1.4e3c47788bf06p-5, -0x1.46532e68d3336p-5, -0x1.3e95592cc05d4p-5, -0x1.3701f5c62f2b5p-5, -0x1.2f9835b600e99p-5, -0x1.28574deef16ecp-5, -0x1.213e76c89e68ep-5, -0x1.1a4cebf2bc0d4p-5, -0x1.1381ec68734c8p-5, -0x1.0cdcba63eb4dfp-5, -0x1.065c9b51f50bbp-5, -0x1.0000d7c5d90fdp-5, -0x1.f39176da9445fp-6, -0x1.e7672a08e9aa3p-6, -0x1.db816c9460e56p-6, -0x1.cfdee7e8aca8cp-6, -0x1.c47e4b486ee01p-6, -0x1.b95e4bb67088ep-6, -0x1.ae7da3df29c13p-6, -0x1.a3db14029a0f1p-6, -0x1.997561de7248ep-6, -0x1.8f4b589893a2ep-6, -0x1.855bc8a9e54a7p-6, -0x1.7ba587c981433p-6, -0x1.722770d83c0afp-6, -0x1.68e063cc7dde2p-6, -0x1.5fcf459e6d9cap-6, -0x1.56f3003479fa9p-6, -0x1.4e4a82502dfc1p-6, -0x1.45d4bf7b51708p-6, -0x1.3d90aff55bc2fp-6, -0x1.357d50a13215bp-6, -0x1.2d99a2f32bbc6p-6, -0x1.25e4acdf5fe4ep-6, -0x1.1e5d78c82fc4ep-6, -0x1.1703156d1ee33p-6, -0x1.0fd495d9e2f89p-6, -0x1.08d11155b3d95p-6, -0x1.01f7a352d5c79p-6, -0x1.f68ed6bcbc594p-7, -0x1.e97f1a2077c1ap-7, -0x1.dcbe5ff6bfa32p-7, -0x1.d04aff3c6a57ep-7, -0x1.c42356a6796cbp-7, -0x1.b845cc83c7f4cp-7, -0x1.acb0ce9f1f9abp-7, -0x1.a162d221abfc9p-7, -0x1.965a5375e5a8ap-7, -0x1.8b95d62abf3f6p-7, -0x1.8113e4d75dea4p-7, -0x1.76d310ff1831p-7, -0x1.6cd1f2f5de5bep-7, -0x1.630f29c5055acp-7, -0x1.59895b10715fap-7, -0x1.503f32fc1bf38p-7, -0x1.472f6411fb93cp-7, -0x1.3e58a7283e7bep-7, -0x1.35b9bb47eddd6p-7, -0x1.2d516593d9b5ep-7, -0x1.251e712fed5aep-7, -0x1.1d1faf28cca47p-7, -0x1.1553f65bcd8eap-7, -0x1.0dba235f3f8b3p-7, -0x1.0651186b05b7bp-7, -0x1.fe2f7a8314e48p-8, -0x1.f019fe31e28e3p-8, -0x1.e25fa1094aa9dp-8, -0x1.d4fe52be4b3b6p-8, -0x1.c7f40d68568cep-8, -0x1.bb3ed556186d6p-8, -0x1.aedcb8e2cab66p-8, -0x1.a2cbd04c33d32p-8, -0x1.970a3d890ed61p-8, -0x1.8b962c200fc62p-8, -0x1.806dd0ff5ac34p-8, -0x1.758f6a54a2a59p-8, -0x1.6af93f65a3171p-8, -0x1.60a9a06934ed1p-8, -0x1.569ee660db89dp-8, -0x1.4cd772f2c1fdep-8, -0x1.4351b04453d0ap-8, -0x1.3a0c10d537753p-8, -0x1.31050f5ac9f16p-8, -0x1.283b2e9c15864p-8, -0x1.1facf94e42397p-8, -0x1.175901f17a55fp-8, -0x1.0f3de2ae40a49p-8, -0x1.075a3d334b7f7p-8, -0x1.ff5975278322ep-9, -0x1.f068164bf2609p-9, -0x1.e1ddccc51c40fp-9, -0x1.d3b8158836557p-9, -0x1.c5f47b4e4b06ep-9, -0x1.b89096555fe95p-9, -0x1.ab8a0c22205b3p-9, -0x1.9ede8f4292fa6p-9, -0x1.928bdf11a084bp-9, -0x1.868fc77b5c602p-9, -0x1.7ae820c228af4p-9, -0x1.6f92cf44c7f6fp-9, -0x1.648dc34517166p-9, -0x1.59d6f8afa35bep-9, -0x1.4f6c76e42017ap-9, -0x1.454c507e742d7p-9, -0x1.3b74a320d81e7p-9, -0x1.31e3973e7e8ecp-9, -0x1.28975fe718587p-9, -0x1.1f8e3a931ec6ep-9, -0x1.16c66ef0d677cp-9, -0x1.0e3e4eb224373p-9, -0x1.05f4355aee98fp-9, -0x1.fbcd1021194f8p-10, -0x1.ec276ad34ffb3p-10, -0x1.dcf46a7debcd8p-10, -0x1.ce3110f942939p-10, -0x1.bfda71e8f0ee8p-10, -0x1.b1edb2616711cp-10, -0x1.a468088f0f54dp-10, -0x1.9746bb5ebb481p-10, -0x1.8a8722275e0dbp-10, -0x1.7e26a4557169ep-10, -0x1.7222b91716d9dp-10, -0x1.6678e70a605aep-10, -0x1.5b26c3ec186cap-10, -0x1.5029f4487df89p-10, -0x1.45802b2cc782ep-10, -0x1.3b2729da5c54bp-10, -0x1.311cbf7afc577p-10, -0x1.275ec8d6611d1p-10, -0x1.1deb30090ca5fp-10, -0x1.14bfec3c20bd7p-10, -0x1.0bdb015edfedp-10, -0x1.033a7fe0dc7fcp-10, -0x1.f5b908db9157fp-11, -0x1.e57e6f5454548p-11, -0x1.d5c19be2b3a8fp-11, -0x1.c67f0e297321dp-11, -0x1.b7b35c376c80dp-11, -0x1.a95b320b08fbcp-11, -0x1.9b7349b841c93p-11, -0x1.8df88938604c5p-11, -0x1.80e7d34ac11c4p-11, -0x1.743e26f343101p-11, -0x1.67f896d3e7e65p-11, -0x1.5c1448bcce063p-11, -0x1.508e753dc9b53p-11, -0x1.4564673adbefcp-11, -0x1.3a937b81d20bap-11, -0x1.301920623fefp-11, -0x1.25f2d547b10eap-11, -0x1.1c1e2a5568715p-11, -0x1.1298c00466cap-11, -0x1.096046c2aebfep-11, -0x1.00727e9590f54p-11, -0x1.ef9a6d79321f8p-12, -0x1.dedc9aae3391fp-12, -0x1.cea75e16349d3p-12, -0x1.bef6ad5c706bp-12, -0x1.afc699e0851aap-12, -0x1.a113500ed5e82p-12, -0x1.92d916bc92ec5p-12, -0x1.85144e872f103p-12, -0x1.77c1713625c65p-12, -0x1.6add1121b73b7p-12, -0x1.5e63d89b1478ap-12, -0x1.52528958aab73p-12, -0x1.46a5fbe52ff7dp-12, -0x1.3b5b1f113a5f1p-12, -0x1.306ef76908c6dp-12, -0x1.25de9eabfa4edp-12, -0x1.1ba743470b311p-12, -0x1.11c627d3179ccp-12, -0x1.0838a294dbf85p-12, -0x1.fdf839ff203f5p-13, -0x1.ec1c2676f0ca1p-13, -0x1.dad8275adc886p-13, -0x1.ca277d04bafdap-13, -0x1.ba058a7825148p-13, -0x1.aa6dd4832f3cdp-13, -0x1.9b5c00e334c46p-13, -0x1.8ccbd56c710f6p-13, -0x1.7eb9373a571aep-13, -0x1.712029e0f39ccp-13, -0x1.63fccea45a929p-13, -0x1.574b63b46265cp-13, -0x1.4b08436c72febp-13, -0x1.3f2fe397ce8f4p-13, -0x1.33bed4ba739a9p-13, -0x1.28b1c15c02336p-13, -0x1.1e056d5a8bd93p-13, -0x1.13b6b53d9ec7cp-13, -0x1.09c28d8f10267p-13, -0x1.002602371c1a3p-13, -0x1.edbc6bb89a6dp-14, -0x1.dbd0c28ebd4aep-14, -0x1.ca83a593b28a2p-14, -0x1.b9cfdb529ed3dp-14, -0x1.a9b0531b04db1p-14, -0x1.9a2023e3404dp-14, -0x1.8b1a8b33646e5p-14, -0x1.7c9aec13d7d38p-14, -0x1.6e9cce064d706p-14, -0x1.611bdc01f45f6p-14, -0x1.5413e37536cc1p-14, -0x1.4780d351c430cp-14, -0x1.3b5ebb1a9e40cp-14, -0x1.2fa9c9f7f17cap-14, -0x1.245e4dd376ebap-14, -0x1.1978b27913904p-14, -0x1.0ef580bc033b1p-14, -0x1.04d15da1bf898p-14, -0x1.f61213283ce83p-15, -0x1.e332bf2a2a454p-15, -0x1.d0fea8f8c0981p-15, -0x1.bf6fec69bd87bp-15, -0x1.ae80d6043edb2p-15, -0x1.9e2be194fe7b5p-15, -0x1.8e6bb8cc23a86p-15, -0x1.7f3b31dad240bp-15, -0x1.70954e2d56aeep-15, -0x1.6275391b4f1d8p-15, -0x1.54d646a999aa2p-15, -0x1.47b3f252a8762p-15, -0x1.3b09ddd73f294p-15, -0x1.2ed3d017b7135p-15, -0x1.230db3f383b4bp-15, -0x1.17b39733ea164p-15, -0x1.0cc1a97ab9823p-15, -0x1.02343b358f3fep-15, -0x1.f00f79496a3e7p-16, -0x1.dc7179b29743ep-16, -0x1.c987d18df701dp-16, -0x1.b74c14a683f5dp-16, -0x1.a5b80ee20c2fbp-16, -0x1.94c5c2803587cp-16, -0x1.846f6668cd70bp-16, -0x1.74af64817a239p-16, -0x1.65805816ff669p-16, -0x1.56dd0c48b4a7cp-16, -0x1.48c07a8769f38p-16, -0x1.3b25c919f48dbp-16, -0x1.2e0849b2465dfp-16, -0x1.21637802da633p-16, -0x1.1532f86804be9p-16, -0x1.0972969db5205p-16, -0x1.fc3c88d9a041fp-17, -0x1.e66430f5b97e3p-17, -0x1.d1549a18896e4p-17, -0x1.bd067dcc6d61p-17, -0x1.a972d82f6b511p-17, -0x1.9692e5eb3140cp-17, -0x1.846021fdb6bbfp-17, -0x1.72d443a53023cp-17, -0x1.61e93c66a12ebp-17, -0x1.51993614780fp-17, -0x1.41de90eafb5d8p-17, -0x1.32b3e1bae0841p-17, -0x1.2413f020c211bp-17, -0x1.15f9b4cef8dc8p-17, -0x1.086057d038d33p-17, -0x1.f6865e0048cd2p-18, -0x1.dd3b78d17fcf6p-18, -0x1.c4d7597f827aap-18, -0x1.ad51abc607128p-18, -0x1.96a26aec893edp-18, -0x1.80c1def9c6d43p-18, -0x1.6ba899ec84b2bp-18, -0x1.574f75317b748p-18, -0x1.43af8f16ac509p-18, -0x1.30c24858b584ap-18, -0x1.1e8141cb8ed99p-18, -0x1.0ce659e928f1p-18, -0x1.f7d7559fd1ac8p-19, -0x1.d7170feb76a8fp-19, -0x1.b780f834b0bbcp-19, -0x1.990a8e8bd4d8cp-19, -0x1.7ba9b9a8090f3p-19, -0x1.5f54c31c9dacp-19, -0x1.440253a76076ap-19, -0x1.29a96fc11e1bep-19, -0x1.104174103c32ep-19, -0x1.ef8424ba82165p-20, -0x1.c0469c21342f2p-20, -0x1.92baf25316ca7p-20, -0x1.66d262f2d9b64p-20, -0x1.3c7ebb3da3f5ep-20, -0x1.13b25433cf5edp-20, -0x1.d8c01b7b3df3ap-21, -0x1.8cf6927d47e9bp-21, -0x1.43efc88786008p-21, -0x1.fb28d0ca1bd56p-22, -0x1.739c0508f0ad3p-22, -0x1.e21c118989597p-23, -0x1.cd557978b718fp-24, 0x1.6d780845d80c9p-28, 0x1.e8e843363c90ep-24, 0x1.d4b83549e224fp-23, 0x1.563f7bf3a8e11p-22, 0x1.be0658f8eb13p-22, 0x1.10e8c4ef00414p-21, 0x1.40e0541affd23p-21, 0x1.6ef90dba76e7ep-21, 0x1.9b4193d95c11dp-21, 0x1.c5c7fabe8e2dp-21, 0x1.ee99d0b55440cp-21, 0x1.0ae2115a269bp-20, 0x1.1da9c0e91deap-20, 0x1.2faa0452d776ap-20, 0x1.40e8afee163d5p-20, 0x1.516b61b881332p-20, 0x1.61378370c9348p-20, 0x1.70524d14a87e7p-20, 0x1.7ec0c692dda7ep-20, 0x1.8c87ca2d2ed97p-20, 0x1.99ac064c667d2p-20, 0x1.a631ff61f4207p-20, 0x1.b21e11bc1868ep-20, 0x1.bd74731c25841p-20, 0x1.c83934e36f315p-20, 0x1.d27044ed1e1c6p-20, 0x1.dc1d6f82ff0aep-20, 0x1.e54460d21caaep-20, 0x1.ede8a63e3d1a8p-20, 0x1.f60dafd1604cfp-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.dc2ca32ac74d7p-2, -0x1.e7d29bc36402cp-2, -0x1.f0c62b7063e8fp-2, -0x1.f711c5e8c3805p-2, -0x1.fac595008ebbfp-2, -0x1.fbf6ea273bfb2p-2, -0x1.fabf0abe0e10cp-2, -0x1.f73a0d42cffecp-2, -0x1.f1869824c366ap-2, -0x1.e9c5350dec4d8p-2, -0x1.e0179d2e2bad1p-2, -0x1.d4a063ddbea66p-2, -0x1.c7828e853ac26p-2, -0x1.b8e132e833017p-2, -0x1.a8df244d4f7c2p-2, -0x1.979e932fde6f3p-2, -0x1.8540ca94aff1bp-2, -0x1.71e624fc1f8bcp-2, -0x1.5dae08019cf0ap-2, -0x1.48b6c30b6b0b8p-2, -0x1.331d6bb5415dbp-2, -0x1.1cfda8cf386dep-2, -0x1.06725d3553a88p-2, -0x1.df289612ecdecp-3, -0x1.b0f5bd7b435ap-3, -0x1.8277e9d269a84p-3, -0x1.53d80d9553829p-3, -0x1.253c837bbfc58p-3, -0x1.ed9205271055ap-4, -0x1.913d02fc4321bp-4, -0x1.35b667cef3475p-4, -0x1.b66aa8aabd623p-5, -0x1.03d7fa1dbf456p-5, -0x1.503f9b04330fap-7, 0x1.626d71ecaa92ep-7, 0x1.01e04737b5864p-5, 0x1.a77daa4308186p-5, 0x1.249d1fe34fdf5p-4, 0x1.7372185d369dp-4, 0x1.c02851ff21453p-4, 0x1.0556d7059b14bp-3, 0x1.297996a87251dp-3, 0x1.4c765fb581fd5p-3, 0x1.6e4886cc605efp-3, 0x1.8eeca152b161ep-3, 0x1.ae6069188061ep-3, 0x1.cca2a054a6d62p-3, 0x1.e9b2f6246b43ep-3, 0x1.02c8f5f05ddf1p-2, 0x1.10205e1edff08p-2, 0x1.1ce0a2c7d19ecp-2, 0x1.290afc14b18c4p-2, 0x1.34a0e4622e9b3p-2, 0x1.3fa412fea400fp-2, 0x1.4a1677e5d8e93p-2, 0x1.53fa382746ab1p-2, 0x1.5d51aada14b88p-2, 0x1.661f566e22214p-2, 0x1.6e65edd3d7bc3p-2, 0x1.76284caf60af5p-2, 0x1.7d6971f11e1e6p-2, 0x1.842c78d035fd5p-2, 0x1.8a7490f60e08cp-2, 0x1.9044a32c50287p-2, 0x1.95a09404daa38p-2, 0x1.9a8b738112436p-2, 0x1.9f088170cdeep-2, 0x1.a31b011e17791p-2, 0x1.a6c6394c3b179p-2, 0x1.aa0d73ba836f2p-2, 0x1.acf3fbf1fedacp-2, 0x1.af7d1d5bd418ap-2, 0x1.b1ac20c806b1cp-2, 0x1.b38449a4d0876p-2, 0x1.b508d32caf282p-2, 0x1.b63cedc88b89ep-2, 0x1.b723bcd13d1f4p-2, 0x1.b7c054c5c7e4cp-2, 0x1.b815b9f7920dcp-2, 0x1.b826df9f97099p-2, 0x1.b7f6a74945d4ap-2, 0x1.b787e07f91669p-2, 0x1.b6dd48ac0fb72p-2, 0x1.b5f98b1b379edp-2, 0x1.b4df411ae7ba6p-2, 0x1.b390f2297c956p-2, 0x1.b211142d6e054p-2, 0x1.b0620bb038f16p-2, 0x1.ae862c1aee702p-2, 0x1.ac7fb7f590a72p-2, 0x1.aa50e12b0511p-2, 0x1.a7fbc95164bfbp-2, 0x1.a58281f28b827p-2, 0x1.a2e70ccd0dcaap-2, 0x1.a02b5c03f8294p-2, 0x1.9d5152357f5e9p-2, 0x1.9a5ac275d80ecp-2, 0x1.974970328442cp-2, 0x1.941f0f0935901p-2, 0x1.90dd42a1d0937p-2, 0x1.8d859e9b97cd5p-2, 0x1.8a19a69a24288p-2, 0x1.869ace786574dp-2, 0x1.830a7aa0af45cp-2, 0x1.7f6a008291589p-2, 0x1.7bbaa71b9f11p-2, 0x1.77fda787e7f7ap-2, 0x1.74342d91300a2p-2, 0x1.705f5837f064dp-2, 0x1.6c803a353569cp-2, 0x1.6897da776a9a6p-2, 0x1.64a7349d4d361p-2, 0x1.60af3971a4c25p-2, 0x1.5cb0cf688a7a4p-2, 0x1.58acd31cf0831p-2, 0x1.54a417cb5d20dp-2, 0x1.509767c6237efp-2, 0x1.4c8784dfc93b3p-2, 0x1.487528c998c35p-2, 0x1.44610565f84a5p-2, 0x1.404bc50fbe07fp-2, 0x1.3c360ad8b9fddp-2, 0x1.382072c218cb7p-2, 0x1.340b91f0f6249p-2, 0x1.2ff7f6e0cd0a7p-2, 0x1.2be62994874cap-2, 0x1.27d6abc633c9cp-2, 0x1.23c9f914eb60fp-2, 0x1.1fc08730528e6p-2, 0x1.1bbac60155a0fp-2, 0x1.17b91fd03a5b7p-2, 0x1.13bbf968918cbp-2, 0x1.0fc3b23c0f2d7p-2, 0x1.0bd0a485830a9p-2, 0x1.07e3256d280a2p-2, 0x1.03fb852f53408p-2, 0x1.001a0f46169aap-2, 0x1.f87e152be7693p-3, 0x1.f0d5733a8cea2p-3, 0x1.e93ab54b4066bp-3, 0x1.e1ae4fec2d081p-3, 0x1.da30b00ad4e14p-3, 0x1.d2c23b560da1bp-3, 0x1.cb63509c0474p-3, 0x1.c414482337797p-3, 0x1.bcd573fde638cp-3, 0x1.b5a7205806319p-3, 0x1.ae8aa25c766b7p-3, 0x1.a77d7e40d5ba6p-3, 0x1.a081a3dff0cc9p-3, 0x1.99974e1c7b993p-3, 0x1.92beb2ad05c6cp-3, 0x1.8bf8024c6a85cp-3, 0x1.854368edf11d9p-3, 0x1.7ea10df461102p-3, 0x1.7811146b0493dp-3, 0x1.71939b3fa076fp-3, 0x1.6b28bd7c40087p-3, 0x1.64d0927fcfc6ap-3, 0x1.5e8b2e34a3035p-3, 0x1.5858a1440b392p-3, 0x1.5238f9466f0eap-3, 0x1.4c2c40ef69665p-3, 0x1.46328035c39ffp-3, 0x1.404bbc7735eddp-3, 0x1.3a77f898100dap-3, 0x1.34b7351f17cafp-3, 0x1.2f09704df0dccp-3, 0x1.296ea6368cc76p-3, 0x1.23e6d0ce1ec91p-3, 0x1.1e71e7fe17c2fp-3, 0x1.190fe1b3a623bp-3, 0x1.13c0b1ee3c036p-3, 0x1.0e844acd841c9p-3, 0x1.095a9c9f23c0fp-3, 0x1.044395ec948ddp-3, 0x1.fe7e4712ac2d6p-4, 0x1.f49a61433ab0cp-4, 0x1.eadb4d932556fp-4, 0x1.e140dc1a5dd8ap-4, 0x1.d7cada0141f3dp-4, 0x1.ce7911a26ac6ap-4, 0x1.c54b4aad26cf7p-4, 0x1.bc414a4874591p-4, 0x1.b35ad3361487ep-4, 0x1.aa97a5f57975bp-4, 0x1.a1f780e633e0ep-4, 0x1.997a2069aa13ep-4, 0x1.911f3f03c9601p-4, 0x1.88e6957a90678p-4, 0x1.80cfdaf43d126p-4, 0x1.78dac51408bb5p-4, 0x1.7107081561817p-4, 0x1.695456e597f46p-4, 0x1.61c2633c05536p-4, 0x1.5a50ddb0b5fb5p-4, 0x1.52ff75d1a8bafp-4, 0x1.4bcdda36bdf6fp-4, 0x1.44bbb8946f6c4p-4, 0x1.3dc8bdcd72853p-4, 0x1.36f4960366258p-4, 0x1.303eeca6ab9a2p-4, 0x1.29a76c858ccb3p-4, 0x1.232dbfdace7bap-4, 0x1.1cd1905bc8714p-4, 0x1.169287461e43bp-4, 0x1.10704d6d2c588p-4, 0x1.0a6a8b47382e2p-4, 0x1.0480e8fa7153fp-4, 0x1.fd661cd395f52p-5, 0x1.f2014683606fep-5, 0x1.e6d29e0927696p-5, 0x1.dbd9722eb3c08p-5, 0x1.d115119b2bddep-5, 0x1.c684caeb285b5p-5, 0x1.bc27ecc8510aap-5, 0x1.b1fdc60074a37p-5, 0x1.a805a59c0438ap-5, 0x1.9e3edaf3e3551p-5, 0x1.94a8b5c6806e9p-5, 0x1.8b42864c23bdbp-5, 0x1.820b9d4a69ebfp-5, 0x1.79034c26e606p-5, 0x1.7028e4f8df6fp-5, 0x1.677bba9a2d976p-5, 0x1.5efb20b72d995p-5, 0x1.56a66bddd64cp-5, 0x1.4e7cf18bebddfp-5, 0x1.467e083c5d28ep-5, 0x1.3ea90773cbce3p-5, 0x1.36fd47cc50b37p-5, 0x1.2f7a23007d389p-5, 0x1.281ef3f5aac03p-5, 0x1.20eb16c59f92ap-5, 0x1.19dde8c796d53p-5, 0x1.12f6c898b514bp-5, 0x1.0c351623f33ebp-5, 0x1.059832a98fdcep-5, 0x1.fe3f018c0ff93p-6, 0x1.f194c8f155824p-6, 0x1.e53086538a564p-6, 0x1.d9110760f391p-6, 0x1.cd351cb07bfp-6, 0x1.c19b99cc165a9p-6, 0x1.b643553a8ca34p-6, 0x1.ab2b2888b91b7p-6, 0x1.a051f0523f5fdp-6, 0x1.95b68c49b91dp-6, 0x1.8b57df4062c11p-6, 0x1.8134cf2d432edp-6, 0x1.774c4533d62ebp-6, 0x1.6d9d2daa31e0ap-6, 0x1.6426781ea7e33p-6, 0x1.5ae7175ce8848p-6, 0x1.51de01729a9efp-6, 0x1.490a2fb374cbcp-6, 0x1.406a9ebcca8d3p-6, 0x1.37fe4e7899661p-6, 0x1.2fc442200c05bp-6, 0x1.27bb803d78742p-6, 0x1.1fe312addb5bcp-6, 0x1.183a06a1d07p-6, 0x1.10bf6c9e07f1bp-6, 0x1.0972587b4275fp-6, 0x1.0251e165ca7ebp-6, 0x1.f6ba43b8faf88p-7, 0x1.e9266f5eb78bep-7, 0x1.dbe687fb48edep-7, 0x1.cef8d6671ef6dp-7, 0x1.c25baa0f2703p-7, 0x1.b60d58eea0dfcp-7, 0x1.aa0c3f88290ecp-7, 0x1.9e56c0de1cf78p-7, 0x1.92eb466a411a2p-7, 0x1.87c84014d0aacp-7, 0x1.7cec242af0f59p-7, 0x1.72556f5492648p-7, 0x1.6802a489c9018p-7, 0x1.5df24d07a37d5p-7, 0x1.5422f84491a08p-7, 0x1.4a933be44c119p-7, 0x1.4141b3ab658dcp-7, 0x1.382d0172657dap-7, 0x1.2f53cd1896d1fp-7, 0x1.26b4c47677512p-7, 0x1.1e4e9b4fdcb98p-7, 0x1.16200b45c8af2p-7, 0x1.0e27d3c7fe985p-7, 0x1.0664ba0651fc7p-7, 0x1.fdab11c378e4bp-8, 0x1.eef221ba724eap-8, 0x1.e09c501cdc973p-8, 0x1.d2a7541c46d11p-8, 0x1.c510efd11afcp-8, 0x1.b7d6f01ae1ce9p-8, 0x1.aaf72c803917ep-8, 0x1.9e6f870e8844p-8, 0x1.923dec39734aep-8, 0x1.866052ba159bcp-8, 0x1.7ad4bb6e08f61p-8, 0x1.6f9931364299bp-8, 0x1.64abc8d5c3b61p-8, 0x1.5a0aa0d02fabfp-8, 0x1.4fb3e1483db7bp-8, 0x1.45a5bbde1b207p-8, 0x1.3bde6b8dba8b6p-8, 0x1.325c348d12b39p-8, 0x1.291d642a60827p-8, 0x1.202050aa5d0dfp-8, 0x1.176359267fb12p-8, 0x1.0ee4e56b44156p-8, 0x1.06a365d67fff3p-8, 0x1.fd3aa66b97ecfp-9, 0x1.eda25d49feb5ep-9, 0x1.de7b02d99d9f8p-9, 0x1.cfc17ab809ef9p-9, 0x1.c1737a106b7ep-9, 0x1.b38dff30e4ebep-9, 0x1.a60e5b7ac7107p-9, 0x1.98f1ef5fe0fbbp-9, 0x1.8c362a21a9f24p-9, 0x1.7fd88990d1dep-9, 0x1.73d699cd557ap-9, 0x1.682df50700446p-9, 0x1.5cdc433e761cap-9, 0x1.51df3a06c99ep-9, 0x1.47349c4793f4cp-9, 0x1.3cda39ffad24ap-9, 0x1.32cdf0086ad9dp-9, 0x1.290da7d98c9e8p-9, 0x1.1f97574db79d1p-9, 0x1.16690067a1766p-9, 0x1.0d80b117d7983p-9, 0x1.04dc83033997dp-9, 0x1.f8f53694345ecp-10, 0x1.e8b254a0231ep-10, 0x1.d8ecd7090204ap-10, 0x1.c9a14a5795761p-10, 0x1.bacc505275dfp-10, 0x1.ac6a9f936302p-10, 0x1.9e79031dec693p-10, 0x1.90f459f7a1a8bp-10, 0x1.83d996c1aaea7p-10, 0x1.7725bf53d7469p-10, 0x1.6ad5ec5922089p-10, 0x1.5ee748edb5a29p-10, 0x1.5357123e4727p-10, 0x1.482297291017p-10, 0x1.3d4737e016956p-10, 0x1.32c2658cf8e9p-10, 0x1.2891a1f62daaep-10, 0x1.1eb27f25a21c5p-10, 0x1.15229f10d2ca8p-10, 0x1.0bdfb34247fadp-10, 0x1.02e77c84703e8p-10, 0x1.f46f951beeef9p-11, 0x1.e39cf75ea3d57p-11, 0x1.d352f903a0b65p-11, 0x1.c38d8f2fde63p-11, 0x1.b448ca5e030dfp-11, 0x1.a580d5c4576c6p-11, 0x1.9731f6bd50856p-11, 0x1.89588c32a2ec5p-11, 0x1.7bf10e0aedcf8p-11, 0x1.6ef80c99aa17bp-11, 0x1.626a3011d9aa6p-11, 0x1.564437fae1111p-11, 0x1.4a82faa7d887dp-11, 0x1.3f2364b134b3ap-11, 0x1.34227870b5e3p-11, 0x1.297d4d7faa01ep-11, 0x1.1f31103756b1ap-11, 0x1.153b0133af8ccp-11, 0x1.0b9874d82986p-11, 0x1.0246d2d6c1e7bp-11, 0x1.f2872b7241428p-12, 0x1.e11894d78f672p-12, 0x1.d03d1f96d74ffp-12, 0x1.bff02c6897b9bp-12, 0x1.b02d3e27171c8p-12, 0x1.a0eff8f542717p-12, 0x1.923421696d039p-12, 0x1.83f59bbbf0651p-12, 0x1.76306af9d8acp-12, 0x1.68e0b03b70607p-12, 0x1.5c02a9de7e9efp-12, 0x1.4f92b2c47596ep-12, 0x1.438d41946f28cp-12, 0x1.37eee800ccddap-12, 0x1.2cb45210d461fp-12, 0x1.21da456da0fbfp-12, 0x1.175da0b315936p-12, 0x1.0d3b5ac45f9b3p-12, 0x1.03708224185e3p-12, 0x1.f3f4789fbbea4p-13, 0x1.e1ab8a3fa9e01p-13, 0x1.d000dc52bfce4p-13, 0x1.beef3c4b0ee82p-13, 0x1.ae71a0b59c3bfp-13, 0x1.9e832814ff117p-13, 0x1.8f1f17c2c6f89p-13, 0x1.8040dad795b74p-13, 0x1.71e4011a39a5cp-13, 0x1.64043df4c090ap-13, 0x1.569d677065351p-13, 0x1.49ab75383fec1p-13, 0x1.3d2a7fa19b307p-13, 0x1.3116bebb05ebfp-13, 0x1.256c896122d81p-13, 0x1.1a285459cef72p-13, 0x1.0f46b174fed28p-13, 0x1.04c44eb37938dp-13, 0x1.f53beae67a176p-14, 0x1.e1a1134342d8dp-14, 0x1.ceb211e523823p-14, 0x1.bc69143afb966p-14, 0x1.aac0783eb75b6p-14, 0x1.99b2cb03a2d4fp-14, 0x1.893ac74e896e6p-14, 0x1.79535437ab55fp-14, 0x1.69f783d6c4b44p-14, 0x1.5b2291f724422p-14, 0x1.4ccfe2d6461f2p-14, 0x1.3efb01e9d2593p-14, 0x1.319fa0afb3142p-14, 0x1.24b99584ac7cp-14, 0x1.1844da851aee9p-14, 0x1.0c3d8c7446eedp-14, 0x1.009fe9abdc476p-14, 0x1.ead0a22607d6bp-15, 0x1.d526823939129p-15, 0x1.c03aad9957df6p-15, 0x1.ac06998984915p-15, 0x1.9883f4ae13a3cp-15, 0x1.85aca5401efe3p-15, 0x1.737ac74cb8a43p-15, 0x1.61e8ab030029dp-15, 0x1.50f0d30b7bee8p-15, 0x1.408df2ed46e48p-15, 0x1.30baed7d8c602p-15, 0x1.2172d35acc973p-15, 0x1.12b0e173a3ecdp-15, 0x1.04707f95f4d54p-15, 0x1.ed5a7e15d7c09p-16, 0x1.d2c5b2779398bp-16, 0x1.b91a5cc1bc2c6p-16, 0x1.a05088744bbadp-16, 0x1.886089a019c7cp-16, 0x1.7142fa8028d9ap-16, 0x1.5af0b91ef350bp-16, 0x1.4562e51005086p-16, 0x1.3092dd39c1675p-16, 0x1.1c7a3dafd7911p-16, 0x1.0912dd9dc57abp-16, 0x1.ecad9a81c9272p-17, 0x1.c880a7e408aa8p-17, 0x1.a593dc79e8cb9p-17, 0x1.83dc981594515p-17, 0x1.63509da4fa18ep-17, 0x1.43e60fbc50f95p-17, 0x1.25936d38cc6cdp-17, 0x1.084f8dfabedeap-17, 0x1.d8233f71aab23p-18, 0x1.a1a245e48b942p-18, 0x1.6d0bcfe736a08p-18, 0x1.3a5017e622a44p-18, 0x1.095fec96928b1p-18, 0x1.b459570bbea28p-19, 0x1.595077c97d295p-19, 0x1.018a12e52fde6p-19, 0x1.59d7fe5b218a3p-20, 0x1.6d742549e2274p-21, 0x1.989d549d19d8bp-24, -0x1.f79dfde9363b7p-22, -0x1.0fc6fb0298a01p-20, -0x1.9c4006d9b0434p-20, -0x1.11be3b61e316cp-19, -0x1.52d24c1ddd1e2p-19, -0x1.916fa0c8774f6p-19, -0x1.cda8f0086f9cdp-19, -0x1.03c82196610cep-18, -0x1.1f9b7e6a9a867p-18, -0x1.3a56efbc32d0fp-18, -0x1.540289d9981aap-18, -0x1.6ca6172c76965p-18, -0x1.84491b25c396fp-18, -0x1.9af2d51242f64p-18, -0x1.b0aa42d4347ep-18, -0x1.c5762380d0075p-18, -0x1.d95cf9eb91d14p-18, -0x1.ec650f14ee138p-18, -0x1.fe9474837820cp-18, -0x1.07f88344474fbp-17, -0x1.104037358e0f6p-17, -0x1.182412451288bp-17, -0x1.1fa6b929ede18p-17, -0x1.26caba1ffc604p-17, -0x1.2d928dd61cfccp-17, -0x1.3400985411f28p-17, -0x1.3a1729d88a85ap-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.580accc89884p+0, -0x1.4f0191ad35982p+0, -0x1.45ae273a59f11p+0, -0x1.3c346ed794b1ap+0, -0x1.32b32bb81aa97p+0, -0x1.2944635ccf418p+0, -0x1.1ffdd7efc5f3ep+0, -0x1.16f171b199fdbp+0, -0x1.0e2dba019a672p+0, -0x1.05be2ca174925p+0, -0x1.fb57269cb18ccp-1, -0x1.ebf8d26739c4fp-1, -0x1.dd6a2f516595p-1, -0x1.cfb087dc00747p-1, -0x1.c2ce4b386ce85p-1, -0x1.b6c36376e5fa6p-1, -0x1.ab8d71d50e4b6p-1, -0x1.a1283e1aa5f24p-1, -0x1.978e2ae973c89p-1, -0x1.8eb87a610ad8cp-1, -0x1.869f768be0a6dp-1, -0x1.7f3aa92f2ad87p-1, -0x1.7880bfa94590bp-1, -0x1.7268591dfab7bp-1, -0x1.6ce7cc520ff5cp-1, -0x1.67f55b4f65ce6p-1, -0x1.63874113ba1d4p-1, -0x1.5f93c30b6cca5p-1, -0x1.5c1148b7491fcp-1, -0x1.58f672a6b2287p-1, -0x1.563a2a5831b21p-1, -0x1.53d3aa9ea7854p-1, -0x1.51ba8472ea2a1p-1, -0x1.4fe6a3c97f499p-1, -0x1.4e50551f42758p-1, -0x1.4cf04a3bb2a5bp-1, -0x1.4bbf9cb434132p-1, -0x1.4ab7ce37e0943p-1, -0x1.49d2c7cbfaa09p-1, -0x1.490ad8f725f8ap-1, -0x1.485ab6e4089e8p-1, -0x1.47bd7ad507797p-1, -0x1.472e9f6539f4cp-1, -0x1.46a9fcb764377p-1, -0x1.462bc431ff585p-1, -0x1.45b07c5fb5214p-1, -0x1.4534fd1ed4194p-1, -0x1.44b66bdd60d33p-1, -0x1.44323782373a2p-1, -0x1.43a613dcdcd16p-1, -0x1.430ff4cbf0b39p-1, -0x1.426e097af60d7p-1, -0x1.41beb80c25839p-1, -0x1.410099d59ecb4p-1, -0x1.40327833d45bdp-1, -0x1.3f5349e4ea262p-1, -0x1.3e6230dac2a9ep-1, -0x1.3d5e785e60655p-1, -0x1.3c47933e5255p-1, -0x1.3b1d19aba7281p-1, -0x1.39dec67b05608p-1, -0x1.388c73bfaff98p-1, -0x1.37261707ecd04p-1, -0x1.35abaf612119ap-1, -0x1.341d82a1205cbp-1, -0x1.327bb44788345p-1, -0x1.30c6866592288p-1, -0x1.2efe4b38ee6e1p-1, -0x1.2d2364143326dp-1, -0x1.2b364030fe863p-1, -0x1.29375b5d1f7cep-1, -0x1.27273c83516e8p-1, -0x1.2506741bf05b7p-1, -0x1.22d59a987a69dp-1, -0x1.20954edd8b00ep-1, -0x1.1e4634db68a86p-1, -0x1.1be8f44ef2187p-1, -0x1.197e37adb2849p-1, -0x1.1706ab3a01879p-1, -0x1.1482fc388f05p-1, -0x1.11f3d8400f974p-1, -0x1.0f59ec9d36295p-1, -0x1.0cb5e5c77d461p-1, -0x1.0a086ee522eaep-1, -0x1.0752315daedb5p-1, -0x1.0493d47a627fp-1, -0x1.01cdfd13c00f4p-1, -0x1.fe029a967c01ap-2, -0x1.f85cc8a0ed0bcp-2, -0x1.f2abbc628870bp-2, -0x1.ecf0a7682517bp-2, -0x1.e72cb475a9549p-2, -0x1.e16107580b933p-2, -0x1.db8ebcbc38041p-2, -0x1.d5b6ea0327a4cp-2, -0x1.cfda9d0d16cfcp-2, -0x1.c9fadbf9506acp-2, -0x1.c418a4dca7248p-2, -0x1.be34ed74f01d8p-2, -0x1.b850a2e289ae9p-2, -0x1.b26ca9710b047p-2, -0x1.ac89dc76088b5p-2, -0x1.a6a90e48e0bebp-2, -0x1.a0cb085223029p-2, -0x1.9af08b2d997d2p-2, -0x1.951a4ed825ac5p-2, -0x1.8f4902e2c85b1p-2, -0x1.897d4ea60a583p-2, -0x1.83b7d1739edbap-2, -0x1.7df922c6be44ap-2, -0x1.7841d2756a608p-2, -0x1.729268e557f64p-2, -0x1.6ceb674673666p-2, -0x1.674d47d390316p-2, -0x1.61b87e18130bfp-2, -0x1.5c2d773824a94p-2, -0x1.56ac9a384b781p-2, -0x1.5136484182da2p-2, -0x1.4bcadcdfa37ccp-2, -0x1.466aae390d748p-2, -0x1.41160d3fa93a8p-2, -0x1.3bcd45dc24adp-2, -0x1.36909f14bf2b7p-2, -0x1.31605b31171dbp-2, -0x1.2c3cb7dc12d15p-2, -0x1.2725ee44a7f28p-2, -0x1.221c333ddbca1p-2, -0x1.1d1fb75e0a528p-2, -0x1.1830a71d6d8c7p-2, -0x1.134f2af3dd26ap-2, -0x1.0e7b6775f4a88p-2, -0x1.09b57d71f02ap-2, -0x1.04fd8a0cb576ep-2, -0x1.0053a6df95ea1p-2, -0x1.f76fd42e65fdcp-3, -0x1.ee54cd27b878cp-3, -0x1.e5565816cc14cp-3, -0x1.dc748e58a81c3p-3, -0x1.d3af8383ba754p-3, -0x1.cb0745b070e5cp-3, -0x1.c27bddc108e8cp-3, -0x1.ba0d4fa74b5a4p-3, -0x1.b1bb9aa7307cfp-3, -0x1.a986b9959b012p-3, -0x1.a16ea312f1c15p-3, -0x1.997349c19bb93p-3, -0x1.91949c78cb495p-3, -0x1.89d34c14f8b4bp-3, -0x1.822d704635e81p-3, -0x1.7aa3f8f7af32p-3, -0x1.7336c92bc83abp-3, -0x1.6be5c0c0fb5b3p-3, -0x1.64b0bc993f371p-3, -0x1.5d9796c301d64p-3, -0x1.569a26a3338b3p-3, -0x1.4fb8411fd082dp-3, -0x1.48f1b8ca52954p-3, -0x1.42465e097db7fp-3, -0x1.3bb5ff41e99f4p-3, -0x1.354068fce8ae1p-3, -0x1.2ee5660d4f4c9p-3, -0x1.28a4bfb1efaa4p-3, -0x1.227e3db585501p-3, -0x1.1c71a68c0c1c6p-3, -0x1.167ebf6d8389ap-3, -0x1.10a54c6e3d09cp-3, -0x1.0ae51094dfae2p-3, -0x1.053dcdee6152ep-3, -0x1.ff5e8b404b5c5p-4, -0x1.f4726ff149cc9p-4, -0x1.e9b6c8fd8ed87p-4, -0x1.df2b1400900ep-4, -0x1.d4cecd3eb3457p-4, -0x1.caa16fbf8990ap-4, -0x1.c0a275676bd71p-4, -0x1.b6d15710a89cbp-4, -0x1.ad2d8ca49e6ebp-4, -0x1.a3b68d34d48e4p-4, -0x1.9a6bcf1428b75p-4, -0x1.914cc7f022606p-4, -0x1.8858ecea45f9cp-4, -0x1.7f8fb2b1769a5p-4, -0x1.76f08d9b252eap-4, -0x1.6e7af1bc3a85p-4, -0x1.662e530191769p-4, -0x1.5e0a2547d6c81p-4, -0x1.560ddc72af171p-4, -0x1.4e38ec82fca7fp-4, -0x1.468ac9ac2f16p-4, -0x1.3f02e868830a4p-4, -0x1.37a0bd8c26e3p-4, -0x1.3063be573964cp-4, -0x1.294b6086a0dep-4, -0x1.22571a63bde9bp-4, -0x1.1b8662d301e75p-4, -0x1.14d8b16174f25p-4, -0x1.0e4d7e513c0f3p-4, -0x1.07e442a52dfaep-4, -0x1.019c782b8f6b6p-4, -0x1.f6eb33100ddfdp-5, -0x1.eade4479befa1p-5, -0x1.df111d675b64fp-5, -0x1.d382b88ad122ap-5, -0x1.c832128416e57p-5, -0x1.bd1e29ef9ac5fp-5, -0x1.b245ff73f78cep-5, -0x1.a7a895cf0a40dp-5, -0x1.9d44f1e274fb2p-5, -0x1.931a1abf9dccbp-5, -0x1.892719b3338afp-5, -0x1.7f6afa5037785p-5, -0x1.75e4ca7a9547p-5, -0x1.6c939a713ee87p-5, -0x1.63767cd7d0085p-5, -0x1.5a8c86bfad968p-5, -0x1.51d4cfb0a321fp-5, -0x1.494e71b0ef3ecp-5, -0x1.40f8894cbf4fcp-5, -0x1.38d2359d1405ep-5, -0x1.30da984e078aap-5, -0x1.2910d5a475b05p-5, -0x1.2174148301ef7p-5, -0x1.1a037e6e7c3ebp-5, -0x1.12be3f91a4c61p-5, -0x1.0ba386c04e6d5p-5, -0x1.04b28579ea1fp-5, -0x1.fbd4dfd6eaf3ap-6, -0x1.ee94f9e1b49cdp-6, -0x1.e1a3cc2b84ddap-6, -0x1.d4ffcf2bc6a7ep-6, -0x1.c8a780b99ea3dp-6, -0x1.bc99640a969aap-6, -0x1.b0d401b070d85p-6, -0x1.a555e7962b437p-6, -0x1.9a1da8fc3e203p-6, -0x1.8f29de742fd4fp-6, -0x1.847925db7fcbdp-6, -0x1.7a0a2256005efp-6, -0x1.6fdb7c47a6243p-6, -0x1.65ebe14dd88eep-6, -0x1.5c3a04385633ap-6, -0x1.52c49d01ab454p-6, -0x1.498a68c74b2f5p-6, -0x1.408a29c1501dbp-6, -0x1.37c2a739ebb4p-6, -0x1.2f32ad848a5dfp-6, -0x1.26d90df4acbb4p-6, -0x1.1eb49ed483d49p-6, -0x1.16c43b5b46f0bp-6, -0x1.0f06c3a34f028p-6, -0x1.077b1c9ff6facp-6, -0x1.002030134265ep-6, -0x1.f1e9d9069a4d7p-7, -0x1.e3f08a5f0a043p-7, -0x1.d652640b60ffdp-7, -0x1.c90d5f2d7b02p-7, -0x1.bc1f7e16d0d94p-7, -0x1.af86cc31578dap-7, -0x1.a3415de80b1c1p-7, -0x1.974d508f1ae5dp-7, -0x1.8ba8ca4bd12bp-7, -0x1.8051f9fc16974p-7, -0x1.7547171dc48d9p-7, -0x1.6a8661b590b67p-7, -0x1.600e2235dc681p-7, -0x1.55dca96529fcfp-7, -0x1.4bf0504469595p-7, -0x1.424777f516236p-7, -0x1.38e0899f22312p-7, -0x1.2fb9f656bf977p-7, -0x1.26d2370207898p-7, -0x1.1e27cc3e8633dp-7, -0x1.15b93e46b4261p-7, -0x1.0d851cd75b31fp-7, -0x1.0589ff14f2234p-7, -0x1.fb8d06e1e8c7ap-8, -0x1.ec729f1e6a3c4p-8, -0x1.ddc220566e51cp-8, -0x1.cf78f1fb1a391p-8, -0x1.c19489428b4e2p-8, -0x1.b41268f2cdddep-8, -0x1.a6f0212d00653p-8, -0x1.9a2b4f38a0307p-8, -0x1.8dc19d4f115fp-8, -0x1.81b0c2675e5a5p-8, -0x1.75f6820240339p-8, -0x1.6a90abf662661p-8, -0x1.5f7d1c3d02139p-8, -0x1.54b9babed3e7dp-8, -0x1.4a447b2144e63p-8, -0x1.401b5c9410c9p-8, -0x1.363c699f40862p-8, -0x1.2ca5b7f1799c6p-8, -0x1.2355682ebfa7bp-8, -0x1.1a49a5bf990a2p-8, -0x1.1180a6a09e8a8p-8, -0x1.08f8ab327901dp-8, -0x1.00affe0a457dp-8, -0x1.f149e78502a69p-9, -0x1.e1abd598a36dcp-9, -0x1.d2829682ad33fp-9, -0x1.c3cb0d6bc3914p-9, -0x1.b58230177baffp-9, -0x1.a7a5068abe65ep-9, -0x1.9a30aab33eb71p-9, -0x1.8d22480fdd582p-9, -0x1.80771b5a11f73p-9, -0x1.742c7230661bap-9, -0x1.683faac1dd076p-9, -0x1.5cae337a8293bp-9, -0x1.51758ab0e94fap-9, -0x1.46933e54c7b8ep-9, -0x1.3c04eb9ea0db4p-9, -0x1.31c83ec06ec5p-9, -0x1.27daf2977bd96p-9, -0x1.1e3aad03c1b56p-9, -0x1.14e58e3f391a6p-9, -0x1.0bd955c31f8bp-9, -0x1.0313f620dff0ep-9, -0x1.f526de3cdf56fp-10, -0x1.e4ab9add2be5ep-10, -0x1.d4b254d489a6dp-10, -0x1.c53757961aa44p-10, -0x1.b63706cd3df24p-10, -0x1.a7adddd6d71d9p-10, -0x1.99986f3cb0e92p-10, -0x1.8bf364330e7dep-10, -0x1.7ebb7c18668bcp-10, -0x1.71ed8bf736586p-10, -0x1.65867e0a1f661p-10, -0x1.59835141effeap-10, -0x1.4de118cdfd187p-10, -0x1.429cfba67381bp-10, -0x1.37b43418d65e2p-10, -0x1.2d240f568db0dp-10, -0x1.22e9ed0572ee3p-10, -0x1.19033ed27f9d7p-10, -0x1.0f6d880687862p-10, -0x1.06265d1ccf1dbp-10, -0x1.fa56c6b7a17e8p-11, -0x1.e8f4a0dfa996dp-11, -0x1.d821d40f2913ep-11, -0x1.c7da0ae5837d2p-11, -0x1.b8190e84ca68ep-11, -0x1.a8dac5d69b922p-11, -0x1.9a1b34d45ef25p-11, -0x1.8bd67bd343387p-11, -0x1.7e08d6d40e3c9p-11, -0x1.70ae9cd6443b3p-11, -0x1.63c43f2ef5904p-11, -0x1.574648e300807p-11, -0x1.4b315e04b379ap-11, -0x1.3f823b14f11ebp-11, -0x1.3435b467683a6p-11, -0x1.2948b58a5f814p-11, -0x1.1eb840b17d22dp-11, -0x1.14816e23a6c32p-11, -0x1.0aa16bac4719fp-11, -0x1.01157c0f591c4p-11, -0x1.efb5ed0118038p-12, -0x1.ddde8c3abf72ap-12, -0x1.cc9fd2d40f9cfp-12, -0x1.bbf4e3a26974ap-12, -0x1.abd9064d8a65cp-12, -0x1.9c47a659928e6p-12, -0x1.8d3c523762f6ap-12, -0x1.7eb2ba598301fp-12, -0x1.70a6b04e81339p-12, -0x1.631425e02915dp-12, -0x1.55f72c37d0062p-12, -0x1.494bf3077b31dp-12, -0x1.3d0ec7b79401dp-12, -0x1.313c149987bb3p-12, -0x1.25d0601efcc2cp-12, -0x1.1ac84c151d2a4p-12, -0x1.102094e4c0491p-12, -0x1.05d610d6d8012p-12, -0x1.f7cb5eb9799e2p-13, -0x1.e498f0ba5fd3fp-13, -0x1.d20f17099f4a5p-13, -0x1.c0283f36d4d43p-13, -0x1.aedf03b91cb89p-13, -0x1.9e2e2aa852a35p-13, -0x1.8e10a47e4c6bdp-13, -0x1.7e818adf9b7efp-13, -0x1.6f7c1f6b3cb45p-13, -0x1.60fbca91b9297p-13, -0x1.52fc1a73d15abp-13, -0x1.4578c1c76e388p-13, -0x1.386d96c48d115p-13, -0x1.2bd69217b19d7p-13, -0x1.1fafcddc3359p-13, -0x1.13f5849c24d0bp-13, -0x1.08a41057e3cc2p-13, -0x1.fb6fd323fab62p-14, -0x1.e65b4cc866821p-14, -0x1.d203f33057daap-14, -0x1.be63638e95082p-14, -0x1.ab737100a6938p-14, -0x1.992e22e5827c9p-14, -0x1.878db34056f52p-14, -0x1.768c8d254cd9ap-14, -0x1.66254b32d2b5p-14, -0x1.5652b614d0321p-14, -0x1.470fc311f0a28p-14, -0x1.385792a526fc2p-14, -0x1.2a256f1ecb63bp-14, -0x1.1c74cb52eeec7p-14, -0x1.0f41414da7ddp-14, -0x1.02869113b6941p-14, -0x1.ec813ed671cb9p-15, -0x1.d4d6e95c9471fp-15, -0x1.be067749cf417p-15, -0x1.a80880d2f767ep-15, -0x1.92d5dea851c92p-15, -0x1.7e67a7dea5dcbp-15, -0x1.6ab72fe7616dbp-15, -0x1.57be049972696p-15, -0x1.4575ec45a93d9p-15, -0x1.33d8e3e0a5c8p-15, -0x1.22e11d34ad179p-15, -0x1.1288fd230f3dcp-15, -0x1.02cb19f6aa3a2p-15, -0x1.e744737c066bap-16, -0x1.ca12a17320282p-16, -0x1.adf6ff949a0fp-16, -0x1.92e825f793125p-16, -0x1.78dd001cf5b0bp-16, -0x1.5fccca22a0009p-16, -0x1.47af0e0e86512p-16, -0x1.307ba12bd97b1p-16, -0x1.1a2aa17f4131ep-16, -0x1.04b4734db6624p-16, -0x1.e0237d70e3ea5p-17, -0x1.b876dad7a9f36p-17, -0x1.925550bbc8f42p-17, -0x1.6db1ab47468bap-17, -0x1.4a7f2cb013355p-17, -0x1.28b18917084aep-17, -0x1.083ce2959535cp-17, -0x1.d22b8ae6ada62p-18, -0x1.966248d440d0dp-18, -0x1.5d08aa195d439p-18, -0x1.260a18a213c15p-18, -0x1.e2a56cc88cadap-19, -0x1.7d9eadb77b22cp-19, -0x1.1cdaf180a956ap-19, -0x1.806cff9325945p-20, -0x1.9e3b7ade2114p-21, -0x1.2c2c777ac27cfp-23, 0x1.f26f264ee9257p-22, 0x1.17844f14a8537p-20, 0x1.ab6fde787dc11p-20, 0x1.1c4c2152ece72p-19, 0x1.5f9aa3e05f9dcp-19, 0x1.9fbe66dd70cbap-19, 0x1.dcd16d3d29884p-19, 0x1.0b766abe18091p-18, 0x1.271471186cf84p-18, 0x1.414e81160e01ap-18, 0x1.5a2fec1089ec7p-18, 0x1.71c3a1299146ap-18, 0x1.881430fb4e782p-18, 0x1.9d2bd109c7fe4p-18, 0x1.b1145f35c370ep-18, 0x1.c3d765016b7c2p-18, 0x1.d57e1abd5a864p-18, 0x1.e6116a8e7982fp-18, 0x1.f599f363ba214p-18, 0x1.021005eb292efp-17, 0x1.08d5e268c4b38p-17, 0x1.0f22761f24e45p-17, 0x1.14f987c82315bp-17, 0x1.1a5ebf19c913ap-17, 0x1.1f55a5f3fe277p-17, 0x1.23e1a983717fcp-17, 0x1.28061b5843355p-17, 0x1.2bc63272b5079p-17, 0x1.2f250c4a7757cp-17, 0x1.3225adbc8cec4p-17, 0x1.34cb0407bf655p-17, 0x1.3717e5ab5c932p-17, 0x1.390f13472cd07p-17, 0x1.3ab3387126b88p-17, 0x1.3c06ec7cd6a01p-17, 0x1.3d0cb3486453dp-17, 0x1.3dc6fdf2f6af7p-17, 0x1.3e382b99e5d95p-17, 0x1.3e6289f99ef2dp-17, 0x1.3e485622d7e4p-17, 0x1.3debbd14011fdp-17, 0x1.3d4edc555bbcep-17, 0x1.3c73c28c1f708p-17, 0x1.3b5c700831402p-17, 0x1.3a0ad74e79cbcp-17, 0x1.3880dd986ab5p-17, 0x1.36c05b500afb7p-17, 0x1.34cb1c8c22e76p-17, 0x1.32a2e17f8a59ep-17, 0x1.30495ee9132fbp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.90b3c35a4648dp-1, 0x1.8dbcec7f95be7p-1, 0x1.8a8b7c05a7cb1p-1, 0x1.871eed20b8dd2p-1, 0x1.8376f98fee41fp-1, 0x1.7f939754daabp-1, 0x1.7b74f6146c1b5p-1, 0x1.771b7c36b0b2ap-1, 0x1.7287c3d7eea42p-1, 0x1.6dba979accd55p-1, 0x1.68b4ef68dd827p-1, 0x1.6377ed2ca7c9cp-1, 0x1.5e04d98e5b59ap-1, 0x1.585d20baaab46p-1, 0x1.52824f39ca149p-1, 0x1.4c760edb4fb35p-1, 0x1.463a23ba9a0cfp-1, 0x1.3fd0695e768c1p-1, 0x1.393acff6009ffp-1, 0x1.327b59b4093fbp-1, 0x1.2b941849d2edbp-1, 0x1.24872a8180909p-1, 0x1.1d56b9f83d11bp-1, 0x1.1604f8f7d9916p-1, 0x1.0e94206f6975ep-1, 0x1.07066e0a3ee28p-1, 0x1.febc44c8fda1bp-2, 0x1.ef3afeb8f2832p-2, 0x1.df8d8cffb0098p-2, 0x1.cfb86f27662edp-2, 0x1.bfc01e6d19327p-2, 0x1.afa90b3676d8bp-2, 0x1.9f779ab783c96p-2, 0x1.8f3024c6363a8p-2, 0x1.7ed6f1da03bp-2, 0x1.6e7039357fca1p-2, 0x1.5e001f3832e72p-2, 0x1.4d8ab3d6ceee5p-2, 0x1.3d13f1380a03p-2, 0x1.2c9fba745b75p-2, 0x1.1c31da76f8aa8p-2, 0x1.0bce02fe7186dp-2, 0x1.f6ef9776aa141p-3, 0x1.d6656316c1b67p-3, 0x1.b6042b9f7bf8fp-3, 0x1.95d27bb9bc1ffp-3, 0x1.75d6a50528fe7p-3, 0x1.5616bf5637045p-3, 0x1.3698a81f6a06p-3, 0x1.176202034adeap-3, 0x1.f0f0691963fb4p-4, 0x1.b3c0d816152bap-4, 0x1.773f33208ce96p-4, 0x1.3b74e61cc70c7p-4, 0x1.006ae724c840bp-4, 0x1.8c536e6aceed5p-5, 0x1.1972c61c3350ep-5, 0x1.5086110000775p-6, 0x1.c694268a947b7p-8, -0x1.a68ab6aece89fp-8, -0x1.4137f4d955d61p-6, -0x1.0a81b0a7bd504p-5, -0x1.72779b67c7eb8p-5, -0x1.d873aff04bd8dp-5, -0x1.1e365975dfa82p-4, -0x1.4f2d1a21365f8p-4, -0x1.7f1a4564758ap-4, -0x1.adfa67e57444cp-4, -0x1.dbca6d3b54191p-4, -0x1.0443cecb61d25p-3, -0x1.1a17cdaf54e7cp-3, -0x1.2f60306193dc5p-3, -0x1.441c1ea45f4e9p-3, -0x1.584ae9a69527ap-3, -0x1.6bec0ac3ccfa7p-3, -0x1.7eff2242d1b24p-3, -0x1.9183f613376ebp-3, -0x1.a37a708aa4d9fp-3, -0x1.b4e29f2272b1cp-3, -0x1.c5bcb1362494bp-3, -0x1.d608f6c34ed88p-3, -0x1.e5c7df2b59205p-3, -0x1.f4f9f7f79552dp-3, -0x1.01cff5d0072adp-2, -0x1.08dd402abc7eap-2, -0x1.0fa54b674cefbp-2, -0x1.1628948cb87acp-2, -0x1.1c67a4b83c3b7p-2, -0x1.2263108a1ea3fp-2, -0x1.281b7794c434fp-2, -0x1.2d9183ce2b7efp-2, -0x1.32c5e903e518fp-2, -0x1.37b96451a6c58p-2, -0x1.3c6cbb9a7fefdp-2, -0x1.40e0bd04ceb98p-2, -0x1.45163e78fc326p-2, -0x1.490e1d230f1f6p-2, -0x1.4cc93cf71f6d2p-2, -0x1.50488838b861dp-2, -0x1.538cef0528ad5p-2, -0x1.569766e0cca75p-2, -0x1.5968ea4756b17p-2, -0x1.5c02783f154c9p-2, -0x1.5e6513ef3984dp-2, -0x1.6091c43920c82p-2, -0x1.628993549ea3ap-2, -0x1.644d8e6f43522p-2, -0x1.65dec54ea06f2p-2, -0x1.673e49f584c3cp-2, -0x1.686d304c28951p-2, -0x1.696c8dcb4ae4fp-2, -0x1.6a3d792a32e36p-2, -0x1.6ae10a0f92ed8p-2, -0x1.6b5858c543dd8p-2, -0x1.6ba47deecdacbp-2, -0x1.6bc69242bba6p-2, -0x1.6bbfae46ab00dp-2, -0x1.6b90ea0e0e9ddp-2, -0x1.6b3b5cfb9d578p-2, -0x1.6ac01d855e962p-2, -0x1.6a2040fb4a981p-2, -0x1.695cdb5077662p-2, -0x1.6876fee6bd572p-2, -0x1.676fbc5cd392fp-2, -0x1.6648225ecf798p-2, -0x1.65013d78fbee1p-2, -0x1.639c17ed025f5p-2, -0x1.6219b9894ffefp-2, -0x1.607b2782b3338p-2, -0x1.5ec164501d79fp-2, -0x1.5ced6f88807a5p-2, -0x1.5b0045c2bc32dp-2, -0x1.58fae07787c9dp-2, -0x1.56de35e55507cp-2, -0x1.54ab38f616b93p-2, -0x1.5262d926e19d1p-2, -0x1.500602715ce0fp-2, -0x1.4d959d36f174cp-2, -0x1.4b128e2dabe53p-2, -0x1.487db64ec7f1bp-2, -0x1.45d7f2c6d2831p-2, -0x1.43221ce75fd07p-2, -0x1.405d0a1a39fddp-2, -0x1.3d898bd60bb76p-2, -0x1.3aa86f9470cddp-2, -0x1.37ba7ec962b52p-2, -0x1.34c07edbf5e72p-2, -0x1.31bb31205cbbp-2, -0x1.2eab52d322efep-2, -0x1.2b919d15959abp-2, -0x1.286ec4eb4e3a5p-2, -0x1.25437b38d431ap-2, -0x1.22106cc34a88dp-2, -0x1.1ed642311d365p-2, -0x1.1b95a00ba6738p-2, -0x1.184f26c1bf5ddp-2, -0x1.150372ab30037p-2, -0x1.11b31c0cfbc74p-2, -0x1.0e5eb71e73ae8p-2, -0x1.0b06d40f144fbp-2, -0x1.07abff0d18f48p-2, -0x1.044ec04cc14b1p-2, -0x1.00ef9c103ea88p-2, -0x1.fb1e256081008p-3, -0x1.f45b414a2cc9cp-3, -0x1.ed977d20c2d12p-3, -0x1.e6d3c28e92ddfp-3, -0x1.e010f3ba5fadfp-3, -0x1.d94feb5db2a9p-3, -0x1.d2917cdc07f6fp-3, -0x1.cbd6745aca2bbp-3, -0x1.c51f96da0cd3ap-3, -0x1.be6da24df0c3dp-3, -0x1.b7c14db8b7748p-3, -0x1.b11b49456156dp-3, -0x1.aa7c3e62d9c8p-3, -0x1.a3e4cfdf9f0acp-3, -0x1.9d559a05d9f75p-3, -0x1.96cf32b7dad2p-3, -0x1.9052298cee192p-3, -0x1.89df07ee8400cp-3, -0x1.837651359824dp-3, -0x1.7d1882c8550c4p-3, -0x1.76c61437e6494p-3, -0x1.707f775e76962p-3, -0x1.6a45187d44cf6p-3, -0x1.64175e5ad514ap-3, -0x1.5df6aa6129d38p-3, -0x1.57e358bc04bd8p-3, -0x1.51ddc07725fb4p-3, -0x1.4be6339c7c6cp-3, -0x1.45fcff524d18ep-3, -0x1.40226bf93da1cp-3, -0x1.3a56bd4a40c17p-3, -0x1.349a32746246bp-3, -0x1.2eed063a6630bp-3, -0x1.294f6f103d933p-3, -0x1.23c19f38408b3p-3, -0x1.1e43c4e0344e7p-3, -0x1.18d60a3e11e5bp-3, -0x1.137895ac8aee9p-3, -0x1.0e2b89c7471dep-3, -0x1.08ef0586da823p-3, -0x1.03c3245c6ada2p-3, -0x1.fd4ffc9a09bdep-4, -0x1.f33b50193f834p-4, -0x1.e94866318c1ccp-4, -0x1.df775ba5cef68p-4, -0x1.d5c847349227cp-4, -0x1.cc3b39cb43a9ep-4, -0x1.c2d03eb88d61ap-4, -0x1.b9875bde07ca4p-4, -0x1.b06091e10b72fp-4, -0x1.a75bdc5ac2ba5p-4, -0x1.9e79320766ad5p-4, -0x1.95b884f4b4ed7p-4, -0x1.8d19c2af7f228p-4, -0x1.849cd47077da5p-4, -0x1.7c419f481e3a4p-4, -0x1.74080449d33e1p-4, -0x1.6befe0b617487p-4, -0x1.63f90e23eb728p-4, -0x1.5c2362a95a1f5p-4, -0x1.546eb103234d9p-4, -0x1.4cdac8bb8e986p-4, -0x1.45677650628bep-4, -0x1.3e148358017b6p-4, -0x1.36e1b6a5ac327p-4, -0x1.2fced46cec9e5p-4, -0x1.28db9e6426256p-4, -0x1.2207d3e6522f6p-4, -0x1.1b533213e3f1p-4, -0x1.14bd73f2d91ccp-4, -0x1.0e46528df8869p-4, -0x1.07ed85133e331p-4, -0x1.01b2c0f1790c7p-4, -0x1.f72b73ea36ec7p-5, -0x1.eb2c44c87dde5p-5, -0x1.df675633c337ap-5, -0x1.d3dc0740b2aa6p-5, -0x1.c889b4960b1b5p-5, -0x1.bd6fb89e785aep-5, -0x1.b28d6bb8f2fd7p-5, -0x1.a7e22467a218fp-5, -0x1.9d6d377d491c8p-5, -0x1.932df84949d9ap-5, -0x1.8923b8c236e02p-5, -0x1.7f4dc9af076a9p-5, -0x1.75ab7acee8a1bp-5, -0x1.6c3c1affb8887p-5, -0x1.62fef8632d059p-5, -0x1.59f36082af7e5p-5, -0x1.5118a071efd17p-5, -0x1.486e04f0377e7p-5, -0x1.3ff2da88818d3p-5, -0x1.37a66db05ef1bp-5, -0x1.2f880ae5aa983p-5, -0x1.2796fecb15307p-5, -0x1.1fd296439075cp-5, -0x1.183a1e8c9d1f4p-5, -0x1.10cce55781723p-5, -0x1.098a38e1708f6p-5, -0x1.0271680aaa927p-5, -0x1.f70384d9299e8p-6, -0x1.e97530ddaadefp-6, -0x1.dc3676b6f45c4p-6, -0x1.cf45fae450ddap-6, -0x1.c2a263f4caee8p-6, -0x1.b64a5aa9eeff3p-6, -0x1.aa3c8a18c9c16p-6, -0x1.9e779fc937dcp-6, -0x1.92fa4bd386433p-6, -0x1.87c340fc7a6ccp-6, -0x1.7cd134cfc3c92p-6, -0x1.7222dfb8e819p-6, -0x1.67b6fd1aaed83p-6, -0x1.5d8c4b6523aa3p-6, -0x1.53a18c2a280bep-6, -0x1.49f58430ac366p-6, -0x1.4086fb869b29dp-6, -0x1.3754bd9175a7p-6, -0x1.2e5d991db3514p-6, -0x1.25a0606cf5ee1p-6, -0x1.1d1be943059d7p-6, -0x1.14cf0cf1baa19p-6, -0x1.0cb8a863c53c2p-6, -0x1.04d79c266cf44p-6, -0x1.fa5598e497005p-7, -0x1.eb624266161dap-7, -0x1.dcd30c1c5df61p-7, -0x1.cea5d4d1eb5f8p-7, -0x1.c0d882dab4249p-7, -0x1.b369041c68e4dp-7, -0x1.a6554e15230bp-7, -0x1.999b5de077cebp-7, -0x1.8d39383b055e3p-7, -0x1.812ce9849656cp-7, -0x1.757485c0d1b07p-7, -0x1.6a0e28969a4d8p-7, -0x1.5ef7f54e2c3f3p-7, -0x1.543016cdf2207p-7, -0x1.49b4bf96317acp-7, -0x1.3f8429bb9e666p-7, -0x1.359c96e0d0577p-7, -0x1.2bfc502eb636bp-7, -0x1.22a1a64c0e22ap-7, -0x1.198af153ee7f8p-7, -0x1.10b690cb6b2d4p-7, -0x1.0822eb96638cdp-7, -0x1.ff9cdfd7041f3p-8, -0x1.ef6f268ef6369p-8, -0x1.dfb9a4bf2497ep-8, -0x1.d0796226e5349p-8, -0x1.c1ab74bcc519ap-8, -0x1.b34d008fb981cp-8, -0x1.a55b37a72fd44p-8, -0x1.97d359e20ce49p-8, -0x1.8ab2b4d4a9cc7p-8, -0x1.7df6a3a5e6968p-8, -0x1.719c8eeb597a1p-8, -0x1.65a1ec84b36dcp-8, -0x1.5a043f7663126p-8, -0x1.4ec117c386d94p-8, -0x1.43d612473e2a7p-8, -0x1.3940d88d65136p-8, -0x1.2eff20aac8dadp-8, -0x1.250ead14e1daep-8, -0x1.1b6d4c791fdd5p-8, -0x1.1218d993d5136p-8, -0x1.090f3b06c8abbp-8, -0x1.004e632f7fa98p-8, -0x1.efa89ffa89fbfp-9, -0x1.df3e158df69dbp-9, -0x1.cf59504182475p-9, -0x1.bff68f62e727ep-9, -0x1.b11228102c709p-9, -0x1.a2a884e256af9p-9, -0x1.94b6259803574p-9, -0x1.87379ec005f5bp-9, -0x1.7a29996412ee9p-9, -0x1.6d88d2b385cbp-9, -0x1.61521bae57631p-9, -0x1.558258d043e16p-9, -0x1.4a1681bc4146ap-9, -0x1.3f0ba0e83dfc3p-9, -0x1.345ed349430b5p-9, -0x1.2a0d47fffb188p-9, -0x1.20144005af975p-9, -0x1.16710dd9bf06dp-9, -0x1.0d21152f9e3acp-9, -0x1.0421ca9d6541p-9, -0x1.f6e16695ebecdp-10, -0x1.e616c9438a9acp-10, -0x1.d5df07fa87c91p-10, -0x1.c6358cb7ffa73p-10, -0x1.b715e022e696fp-10, -0x1.a87ba8f12adc3p-10, -0x1.9a62ab4e47989p-10, -0x1.8cc6c8437dfccp-10, -0x1.7fa3fd218b084p-10, -0x1.72f662ec16a35p-10, -0x1.66ba2dc6ba4c3p-10, -0x1.5aebac63c59f9p-10, -0x1.4f874774b69a7p-10, -0x1.4489811c70d71p-10, -0x1.39eef4633de7ap-10, -0x1.2fb454ac990f1p-10, -0x1.25d66d2ec777cp-10, -0x1.1c52206c494b5p-10, -0x1.132467af204a3p-10, -0x1.0a4a5285f4e57p-10, -0x1.01c106431622dp-10, -0x1.f30b7afac03d2p-11, -0x1.e32b8f25fcb62p-11, -0x1.d3dd105c308ffp-11, -0x1.c51aed96bfcb4p-11, -0x1.b6e03c850f2bcp-11, -0x1.a92838a13b0d3p-11, -0x1.9bee42489bacp-11, -0x1.8f2dddd81381ep-11, -0x1.82e2b2cc2828ap-11, -0x1.77088ae4e29c3p-11, -0x1.6b9b514d73ef9p-11, -0x1.609711c79bbf8p-11, -0x1.55f7f7dacb361p-11, -0x1.4bba4e0702245p-11, -0x1.41da7cfb5e178p-11, -0x1.38550ad05a49p-11, -0x1.2f269a45b646fp-11, -0x1.264bea03ff821p-11, -0x1.1dc1d3e1b6c53p-11, -0x1.15854c2c0941ep-11, -0x1.0d9360f31756ap-11, -0x1.05e93959c0f4cp-11, -0x1.fd0829d1db785p-12, -0x1.eec295cc97403p-12, -0x1.e0fc935cf28ap-12, -0x1.d3b12c2524601p-12, -0x1.c6db95722dd96p-12, -0x1.ba772f044c404p-12, -0x1.ae7f81ddf5361p-12, -0x1.a2f03f1952eb5p-12, -0x1.97c53ec42399dp-12, -0x1.8cfa7ec1f08a9p-12, -0x1.828c21b47d952p-12, -0x1.78766dea68892p-12, -0x1.6eb5cc53dac99p-12, -0x1.6546c77d39baep-12, -0x1.5c260a8fc55bap-12, -0x1.5350605807c0cp-12, -0x1.4ac2b2520a334p-12, -0x1.427a07bb2db54p-12, -0x1.3a7384a99bac6p-12, -0x1.32ac692935788p-12, -0x1.2b22105debff5p-12, -0x1.23d1efab65f47p-12, -0x1.1cb995e1ebdcp-12, -0x1.15d6aa7071b2ep-12, -0x1.0f26ec9bb6213p-12, -0x1.08a832ba5dfebp-12, -0x1.02586975f3645p-12, -0x1.f86b2621663eep-13, -0x1.ec7b8d602dee6p-13, -0x1.e0de5f5807fd3p-13, -0x1.d59019c50cdccp-13, -0x1.ca8d60200d864p-13, -0x1.bfd2fa57cfd14p-13, -0x1.b55dd392ddd85p-13, -0x1.ab2af8f9d100bp-13, -0x1.a1379889eab4dp-13, -0x1.9780ffefc6938p-13, -0x1.8e049b6a0ea9cp-13, -0x1.84bff4b3fd77bp-13, -0x1.7bb0b1f78707p-13, -0x1.72d494c706d7cp-13, -0x1.6a29791e40335p-13, -0x1.61ad546a9b46cp-13, -0x1.595e349a6646dp-13, -0x1.513a3f32feb0cp-13, -0x1.493fb06dbbecep-13, -0x1.416cda5b73b16p-13, -0x1.39c0240e75eafp-13, -0x1.323808cad889ep-13, -0x1.2ad3173cf3accp-13, -0x1.238ff0b5e8547p-13, -0x1.1c6d486e09ffap-13, -0x1.1569e2cd14a95p-13, -0x1.0e8494b80220fp-13, -0x1.07bc42e461e98p-13, -0x1.010fe131124c4p-13, -0x1.f4fce4087296p-14, -0x1.e80e0b5cba0aap-14, -0x1.db5173a504af9p-14, -0x1.cec571a64cf43p-14, -0x1.c2687287fdc7p-14, -0x1.b638fac0c547ep-14, -0x1.aa35a50c67844p-14, -0x1.9e5d216a78343p-14, -0x1.92ae3425a1c13p-14, -0x1.8727b4e35e36p-14, -0x1.7bc88dbbd66d5p-14, -0x1.708fba59bc71fp-14, -0x1.657c4721e6289p-14, -0x1.5a8d5062799a2p-14, -0x1.4fc20189727c7p-14, -0x1.4519946251c73p-14, -0x1.3a93505ac53f4p-14, -0x1.302e89ce17998p-14, -0x1.25eaa15737a98p-14, -0x1.1bc703292aa7ep-14, -0x1.11c3266dbabadp-14, -0x1.07de8caa34b66p-14, -0x1.fc31825417a8ep-15, -0x1.e8e2b0de68bf2p-15, -0x1.d5cfdf502122ep-15, -0x1.c2f85855847cfp-15, -0x1.b05b75eb75e18p-15, -0x1.9df8a06ac9f27p-15, -0x1.8bcf4d9d741aap-15, -0x1.79deffdd508dap-15, -0x1.6827453c36044p-15, -0x1.56a7b6b50e5cap-15, -0x1.455ff765acf99p-15, -0x1.344fb3d11f25bp-15, -0x1.2376a12a32be7p-15, -0x1.12d47ca5f137dp-15, -0x1.02690ad5d0a52p-15, -0x1.e4682e12b49p-16, -0x1.c46ae56e143ep-16, -0x1.a4d9e9d858028p-16, -0x1.85b4f386fb6c2p-16, -0x1.66fbc3c4b0218p-16, -0x1.48ae23f85f02ep-16, -0x1.2acbe4b85db6bp-16, -0x1.0d54dce975e8cp-16, -0x1.e091d1d2b2b6ap-17, -0x1.a74fd38831b7dp-17, -0x1.6ee388e883c38p-17, -0x1.374cc25a8218ap-17, -0x1.008b555f5c6cfp-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.a084880388866p-1, 0x1.9fb1e57b52265p-1, 0x1.9ece968bd264p-1, 0x1.9dda3898077ccp-1, 0x1.9cd475395cfadp-1, 0x1.9bbd024374d14p-1, 0x1.9a93a1aeda008p-1, 0x1.9958216e4f71p-1, 0x1.980a5b32169d7p-1, 0x1.96aa341c34c3ap-1, 0x1.95379c68691a6p-1, 0x1.93b28f0a38099p-1, 0x1.921b11432a1cp-1, 0x1.9071323319e0cp-1, 0x1.8eb50a642a6ap-1, 0x1.8ce6bb53cf0c2p-1, 0x1.8b066efa198d2p-1, 0x1.8914575052e81p-1, 0x1.8710add7c0444p-1, 0x1.84fbb32151adcp-1, 0x1.82d5ae56d55f6p-1, 0x1.809eecc633ff2p-1, 0x1.7e57c16f20e59p-1, 0x1.7c0084939237fp-1, 0x1.7999934b47a42p-1, 0x1.77234f1a92c2ep-1, 0x1.749e1d8c8b592p-1, 0x1.720a67d0c96b3p-1, 0x1.6f689a5cba3dcp-1, 0x1.6cb924909bb48p-1, 0x1.69fc78602192ep-1, 0x1.673309fec2dcbp-1, 0x1.645d4f8faab82p-1, 0x1.617bc0d9443ep-1, 0x1.5e8ed6fc50499p-1, 0x1.5b970c2e78f6ap-1, 0x1.5894db7852513p-1, 0x1.5588c076b0049p-1, 0x1.5273371f41175p-1, 0x1.4f54bb8857881p-1, 0x1.4c2dc9b3c9c35p-1, 0x1.48fedd5cd3567p-1, 0x1.45c871c8df8b2p-1, 0x1.428b019b2745bp-1, 0x1.3f4706ab08a2ap-1, 0x1.3bfcf9dd03001p-1, 0x1.38ad52fe3f09ap-1, 0x1.355888a28acf3p-1, 0x1.31ff1004b6c3cp-1, 0x1.2ea15ce93666ep-1, 0x1.2b3fe182f683fp-1, 0x1.27db0e5a4c725p-1, 0x1.24735235eb6c8p-1, 0x1.21091a05cc6bep-1, 0x1.1d9cd0cff0c93p-1, 0x1.1a2edf9eed62p-1, 0x1.16bfad722b589p-1, 0x1.134f9f2fc871cp-1, 0x1.0fdf179806213p-1, 0x1.0c6e773a353cep-1, 0x1.08fe1c6b0bdddp-1, 0x1.058e633c5366ep-1, 0x1.021fa575df4c9p-1, 0x1.fd64751f78af1p-2, 0x1.f68cef5b0bd4bp-2, 0x1.efb95f35aa615p-2, 0x1.e8ea65917456bp-2, 0x1.e2209e985f4acp-2, 0x1.db5ca1baf78bbp-2, 0x1.d49f01b0e5629p-2, 0x1.cde84c7b12648p-2, 0x1.c7390b676281p-2, 0x1.c091c315dbdc8p-2, 0x1.b9f2f37f3126cp-2, 0x1.b35d17fc8f32p-2, 0x1.acd0a750a09b5p-2, 0x1.a64e13b1aaeb6p-2, 0x1.9fd5cad4b6ae1p-2, 0x1.996835f9b077dp-2, 0x1.9305b9f868e5fp-2, 0x1.8caeb74e6c911p-2, 0x1.86638a2d9b4fap-2, 0x1.80248a8b72083p-2, 0x1.79f20c30f900cp-2, 0x1.73cc5ecb426eep-2, 0x1.6db3cdfc76a65p-2, 0x1.67a8a16d51bffp-2, 0x1.61ab1cdf12479p-2, 0x1.5bbb803dc83bfp-2, 0x1.55da07b2f6bcfp-2, 0x1.5006ebb883928p-2, 0x1.4a42612be3d59p-2, 0x1.448c99617dd05p-2, 0x1.3ee5c2383d01ap-2, 0x1.394e062d42b73p-2, 0x1.33c58c6fb8847p-2, 0x1.2e4c78f4b451ep-2, 0x1.28e2ec8b2618bp-2, 0x1.238904efd09d9p-2, 0x1.1e3edce13b923p-2, 0x1.19048c33a151ap-2, 0x1.13da27e4cda7ap-2, 0x1.0ebfc22fea202p-2, 0x1.09b56aa134586p-2, 0x1.04bb2e299202ep-2, 0x1.ffa22e64150e8p-3, 0x1.f5ee5b5e278cap-3, 0x1.ec5aee677a011p-3, 0x1.e2e7ee094585bp-3, 0x1.d9955c557ae2ap-3, 0x1.d063370be2bbcp-3, 0x1.c75177bedcfcdp-3, 0x1.be6013f7ac297p-3, 0x1.b58efd5a42037p-3, 0x1.acde21c894908p-3, 0x1.a44d6b8575574p-3, 0x1.9bdcc156dda1cp-3, 0x1.938c06a7b50ccp-3, 0x1.8b5b1ba91263ap-3, 0x1.8349dd72e6125p-3, 0x1.7b5826241a7e4p-3, 0x1.7385cd02233c8p-3, 0x1.6bd2a697f097p-3, 0x1.643e84d457361p-3, 0x1.5cc93727da574p-3, 0x1.55728aa1ddd71p-3, 0x1.4e3a4a0d4637fp-3, 0x1.47203e0c742b9p-3, 0x1.40242d34ae193p-3, 0x1.3945dc28efb4bp-3, 0x1.32850db4189e2p-3, 0x1.2be182e2881c2p-3, 0x1.255afb1b19a0ep-3, 0x1.1ef134378ae5p-3, 0x1.18a3ea9c45707p-3, 0x1.1272d94f97013p-3, 0x1.0c5dba104736ep-3, 0x1.0664456ba406ep-3, 0x1.008632d2ee19bp-3, 0x1.f586716069cc9p-4, 0x1.ea3618f53fd19p-4, 0x1.df1ac59452b44p-4, 0x1.d433ded58338bp-4, 0x1.c980caddd2de2p-4, 0x1.bf00ee837b499p-4, 0x1.b4b3ad70f5024p-4, 0x1.aa986a46d864cp-4, 0x1.a0ae86bcca0dp-4, 0x1.96f563c145bp-4, 0x1.8d6c61986cdc9p-4, 0x1.8412dff9ca82p-4, 0x1.7ae83e2d1b9a7p-4, 0x1.71ebdb261a532p-4, 0x1.691d159f501adp-4, 0x1.607b4c33f5cadp-4, 0x1.5805dd78e3275p-4, 0x1.4fbc281493de8p-4, 0x1.479d8ad645317p-4, 0x1.3fa964cc326eep-4, 0x1.37df1558f0f4p-4, 0x1.303dfc47f58d6p-4, 0x1.28c579e141759p-4, 0x1.2174eefc4125cp-4, 0x1.1a4bbd11dc70ap-4, 0x1.1349464dc02d4p-4, 0x1.0c6ced9ee3e73p-4, 0x1.05b616c74f46ep-4, 0x1.fe484cd64c1b8p-5, 0x1.f16d043dfa93ep-5, 0x1.e4d920eafa8cep-5, 0x1.d88b7218aedbbp-5, 0x1.cc82c93123114p-5, 0x1.c0bdf9e45793fp-5, 0x1.b53bda3e4cd8cp-5, 0x1.a9fb42bbd51d7p-5, 0x1.9efb0e5e32468p-5, 0x1.943a1abd8fb49p-5, 0x1.89b7481a54e81p-5, 0x1.7f71796d64a61p-5, 0x1.7567947749535p-5, 0x1.6b9881ce57505p-5, 0x1.62032cebcf317p-5, 0x1.58a6843806dcp-5, 0x1.4f817915a0377p-5, 0x1.4692ffebd47ccp-5, 0x1.3dda102fdc951p-5, 0x1.3555a46d80082p-5, 0x1.2d04ba4eca7a1p-5, 0x1.24e652a2f733cp-5, 0x1.1cf97164936a5p-5, 0x1.153d1dbee1792p-5, 0x1.0db0621282563p-5, 0x1.06524bf96a872p-5, 0x1.fe43d894577bcp-6, 0x1.f03cae353178fp-6, 0x1.e28d47838bf08p-6, 0x1.d533d9b2e5e34p-6, 0x1.c82ea07dbb53p-6, 0x1.bb7bde260f2e9p-6, 0x1.af19db74e381fp-6, 0x1.a306e7b8a9109p-6, 0x1.974158c2b6885p-6, 0x1.8bc78ae3cad2fp-6, 0x1.8097e0e7a897cp-6, 0x1.75b0c40fd57c7p-6, 0x1.6b10a40d82c63p-6, 0x1.60b5f6fab477p-6, 0x1.569f39529af0cp-6, 0x1.4ccaede9424dep-6, 0x1.43379de28a101p-6, 0x1.39e3d8a87af63p-6, 0x1.30ce33e0fdc95p-6, 0x1.27f54b62ffcc2p-6, 0x1.1f57c12b04cc2p-6, 0x1.16f43d4f37b89p-6, 0x1.0ec96df2fbdbp-6, 0x1.06d6073a088c4p-6, 0x1.fe3186762302ap-7, 0x1.ef20c3e414efep-7, 0x1.e07752640f55ap-7, 0x1.d232c92d815d4p-7, 0x1.c450caeb81f4bp-7, 0x1.b6cf059e8c34dp-7, 0x1.a9ab327dada37p-7, 0x1.9ce315d72d592p-7, 0x1.90747ef0b1acap-7, 0x1.845d47e6fae8bp-7, 0x1.789b558d2ed2ep-7, 0x1.6d2c974bd1293p-7, 0x1.620f06ff5b047p-7, 0x1.5740a8d692e51p-7, 0x1.4cbf8b309e61ep-7, 0x1.4289c67adcab5p-7, 0x1.389d7d0e89779p-7, 0x1.2ef8db0e40d42p-7, 0x1.259a16435aff2p-7, 0x1.1c7f6dfb30e43p-7, 0x1.13a72ae44d511p-7, 0x1.0b0f9eeb915bcp-7, 0x1.02b7251954479p-7, 0x1.f53842dd083dp-8, 0x1.e57a018397479p-8, 0x1.d63071398bd9dp-8, 0x1.c7588e3286dd1p-8, 0x1.b8ef657d4babap-8, 0x1.aaf214beb00f4p-8, 0x1.9d5dc9ecce655p-8, 0x1.902fc30a80f16p-8, 0x1.83654de331119p-8, 0x1.76fbc7c702354p-8, 0x1.6af09d475fe82p-8, 0x1.5f4149f3f492ep-8, 0x1.53eb581814338p-8, 0x1.48ec60789c757p-8, 0x1.3e420a1255fc6p-8, 0x1.33ea09d8d6095p-8, 0x1.29e22275edb47p-8, 0x1.20282409a3a37p-8, 0x1.16b9ebeac5beep-8, 0x1.0d9564680f3e1p-8, 0x1.04b88489ece31p-8, 0x1.f8429fa9c3df5p-9, 0x1.e79bac191f97ap-9, 0x1.d77865eec9bc1p-9, 0x1.c7d51c45efde6p-9, 0x1.b8ae35521b229p-9, 0x1.aa002deaa114dp-9, 0x1.9bc7991775788p-9, 0x1.8e011f9f64f0ep-9, 0x1.80a97f97bc73ap-9, 0x1.73bd8bf563b8bp-9, 0x1.673a2c1f65938p-9, 0x1.5b1c5b82f0ea8p-9, 0x1.4f612928d2dbp-9, 0x1.4405b74c6619fp-9, 0x1.39073af40242ep-9, 0x1.2e62fb8ae3c4p-9, 0x1.2416527c94d97p-9, 0x1.1a1eaad1cfb51p-9, 0x1.107980cee1259p-9, 0x1.072461938bbb9p-9, 0x1.fc39d578c3b89p-10, 0x1.eac1940b4be62p-10, 0x1.d9db79df37deap-10, 0x1.c98320c8c2e3bp-10, 0x1.b9b440be70cc9p-10, 0x1.aa6aaf2a96b31p-10, 0x1.9ba25e3fd5fb7p-10, 0x1.8d575c507f94p-10, 0x1.7f85d328d66bap-10, 0x1.722a076c40e15p-10, 0x1.654057f547674p-10, 0x1.58c53d387a3d5p-10, 0x1.4cb548aa191c6p-10, 0x1.410d242696b73p-10, 0x1.35c9915dd64a2p-10, 0x1.2ae76941365dap-10, 0x1.20639b7449351p-10, 0x1.163b2dc0498dp-10, 0x1.0c6b3b8a39a49p-10, 0x1.02f0f54ba645p-10, 0x1.f393401c1b52cp-11, 0x1.e1e529d1b0c0dp-11, 0x1.d0d28103cdf12p-11, 0x1.c05645214a876p-11, 0x1.b06b9ac7421bdp-11, 0x1.a10dcad13125fp-11, 0x1.9238416df6207p-11, 0x1.83e68d39a5ca7p-11, 0x1.76145e5c2287cp-11, 0x1.68bd85ac658b4p-11, 0x1.5bddf3d86c46cp-11, 0x1.4f71b891b5ddap-11, 0x1.437501be45908p-11, 0x1.37e41aae127ep-11, 0x1.2cbb6b54da22fp-11, 0x1.21f7778842e86p-11, 0x1.1794de423dde5p-11, 0x1.0d9058e794ef9p-11, 0x1.03e6ba929ac24p-11, 0x1.f529dec3c8571p-12, 0x1.e32ff796030f3p-12, 0x1.d1d9f7e242e4ep-12, 0x1.c12245ff20fb6p-12, 0x1.b103751008349p-12, 0x1.a17843c93ebd2p-12, 0x1.927b9b3b44401p-12, 0x1.84088da567064p-12, 0x1.761a554f67ef2p-12, 0x1.68ac536a172f7p-12, 0x1.5bba0ef6c2359p-12, 0x1.4f3f33b5539f1p-12, 0x1.433791190ebcbp-12, 0x1.379f1943b83f3p-12, 0x1.2c71e0071a7f7p-12, 0x1.21ac19ecc1cb1p-12, 0x1.174a1b43d0bdcp-12, 0x1.0d485734d047p-12, 0x1.03a35edb5da34p-12, 0x1.f4afc0cb33d1ep-13, 0x1.e2c54c7279127p-13, 0x1.d1812c3c5531dp-13, 0x1.c0dd60dcf4362p-13, 0x1.b0d41e97855d7p-13, 0x1.a15fcbb33f652p-13, 0x1.927afefa954e2p-13, 0x1.84207e446110ep-13, 0x1.764b3d06cd4fep-13, 0x1.68f65af3cf328p-13, 0x1.5c1d229efc2ap-13, 0x1.4fbb082c7e60dp-13, 0x1.43cba8090119bp-13, 0x1.384ac5aa60bfcp-13, 0x1.2d344a58e336p-13, 0x1.22844400daac2p-13, 0x1.1836e40c6e84ap-13, 0x1.0e487e456f471p-13, 0x1.04b587bef4c2fp-13, 0x1.f6f52b8d588d4p-14, 0x1.e528b9bb26b3ep-14, 0x1.d3ff5f7019f54p-14, 0x1.c372fc8a26674p-14, 0x1.b37da978b74p-14, 0x1.a419b566a7a97p-14, 0x1.9541a471713e2p-14, 0x1.86f02ded68603p-14, 0x1.79203ab690997p-14, 0x1.6bcce38dd71e9p-14, 0x1.5ef16f825b8dp-14, 0x1.528952667d06p-14, 0x1.46902b506399ap-14, 0x1.3b01c325bd0bfp-14, 0x1.2fda0b32656f6p-14, 0x1.25151bc9b891dp-14, 0x1.1aaf32f2456fap-14, 0x1.10a4b31ba2769p-14, 0x1.06f221de207c4p-14, 0x1.fb284d88388b3p-15, 0x1.e90f143962c09p-15, 0x1.d79267af1a8b5p-15, 0x1.c6ac54d3546d4p-15, 0x1.b6572375680c5p-15, 0x1.a68d5435bd3cap-15, 0x1.97499e81e8d7bp-15, 0x1.8886eea0cb7e7p-15, 0x1.7a4063ce468b7p-15, 0x1.6c714e661bd7bp-15, 0x1.5f152e1d8f1e9p-15, 0x1.5227b04b6815p-15, 0x1.45a4ae3deb47cp-15, 0x1.39882b9e6d287p-15, 0x1.2dce54e21ebb4p-15, 0x1.22737dc7b74c7p-15, 0x1.17741fe19e964p-15, 0x1.0cccd92c41f32p-15, 0x1.027a6ab03a2eep-15, 0x1.f0f36e5fdc04ap-16, 0x1.dd8f83c0c61ap-16, 0x1.cac35a59c4ffcp-16, 0x1.b889730a5da75p-16, 0x1.a6dc886be3cf6p-16, 0x1.95b78c96427f6p-16, 0x1.8515a6f8100e8p-16, 0x1.74f23241663f7p-16, 0x1.6548ba60f416fp-16, 0x1.5614fa92b94f4p-16, 0x1.4752db7fe843dp-16, 0x1.38fe716f748e1p-16, 0x1.2b13fa86c117dp-16, 0x1.1d8fdd1a046eep-16, 0x1.106ea60bd565ap-16, 0x1.03ad073b7d492p-16, 0x1.ee8fac032a58dp-17, 0x1.d6781374f5fdep-17, 0x1.bf0d74bc748a3p-17, 0x1.a84a3e4af2f44p-17, 0x1.92291a7607419p-17, 0x1.7ca4ecf31f38bp-17, 0x1.67b8d06ab6cc6p-17, 0x1.5360142287dd7p-17, 0x1.3f9639bdf0eb5p-17, 0x1.2c56f313d912ap-17, 0x1.199e2019731efp-17, 0x1.0767cce1224ffp-17, 0x1.eb605f59cbcbfp-18, 0x1.c8e74e274972p-18, 0x1.a75d70717cb6p-18, 0x1.86bc1a2a8c42cp-18, 0x1.66fce5a4abe72p-18, 0x1.4819b067cc9bbp-18, 0x1.2a0c98273fa5p-18, 0x1.0ccff7d63a6e6p-18, 0x1.e0bcc9b4687ccp-19, 0x1.a96558b42f89dp-19, 0x1.738fa152a2ffdp-19, 0x1.3f320d9b89a07p-19, 0x1.0c43683f7c8e4p-19, 0x1.b575b00be7fc1p-20, 0x1.551fb6df8976p-20, 0x1.eee912216bacep-21, 0x1.38c8d3903580dp-21, 0x1.0f80ce4f9ed9dp-22, -0x1.226aef098007dp-24, -0x1.96f92891d8081p-22, -0x1.6de8503525c15p-21, -0x1.05d55707dc079p-20, -0x1.526e6f690fa6dp-20, -0x1.9ccb99e2ae488p-20, -0x1.e4f894ddaf2f9p-20, -0x1.15805cf1b478ap-19, -0x1.3777815d954a1p-19, -0x1.58670725e28bdp-19, -0x1.785412a1adfecp-19, -0x1.97439f43d4d82p-19, -0x1.b53a81b862c1cp-19, -0x1.d23d69e84e62dp-19, -0x1.ee50e4e47a10cp-19, -0x1.04bcaf5c7ee58p-18, -0x1.11dd9214d36dp-18, -0x1.1e8d322c4410bp-18, -0x1.2acd992bc5c2fp-18, -0x1.36a0c352e8cffp-18, -0x1.4208a04cd7577p-18, -0x1.4d0713dc0c775p-18, -0x1.579df67d201a4p-18, -0x1.61cf160109b31p-18, -0x1.6b9c361f313a7p-18, -0x1.750710ffaa17ap-18, -0x1.7e1157bdebd32p-18, -0x1.86bcb2e45744cp-18, -0x1.8f0ac2e0dc652p-18, -0x1.96fd20730a43bp-18, -0x1.9e955d13d3c79p-18, -0x1.a5d503574eb14p-18, -0x1.acbd9748b4ed9p-18, -0x1.b35096c0e62fbp-18, -0x1.b98f79b7ad90fp-18, -0x1.bf7bb29006004p-18, -0x1.c516ae5f992d4p-18, -0x1.ca61d531b3707p-18, -0x1.cf5e8a45e1ba1p-18, -0x1.d40e2c4a70009p-18, -0x1.d8721592faa09p-18, -0x1.dc8b9c4b42858p-18, -0x1.e05c12a675bp-18, -0x1.e3e4c70b17e79p-18, -0x1.e727043bb7697p-18, -0x1.ea24117c9636ap-18, -0x1.ecdd32b674659p-18, -0x1.ef53a8969ea1p-18, -0x1.f188b0ac64919p-18, -0x1.f37d85842146cp-18, -0x1.f5335ebff0b88p-18, -0x1.f6ab712e38b4fp-18, -0x1.f7e6eede209e4p-18, -0x1.f8e7073219bp-18, -0x1.f9ace6f093c28p-18, -0x1.fa39b852f70b5p-18, -0x1.fa8ea313044a7p-18, -0x1.faaccc76acf97p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.505546bcd876ap-7, -0x1.9ea350b825767p-7, -0x1.f54d2f5e647f9p-7, -0x1.2a33a542be4e4p-6, -0x1.5dfc9f15502f3p-6, -0x1.95ff32e5d2a12p-6, -0x1.d2333eb9febe3p-6, -0x1.094594bde0551p-5, -0x1.2b7a20a2876f8p-5, -0x1.4fab8ea3acee4p-5, -0x1.75cc00c5bd0aep-5, -0x1.9dcba187d10bfp-5, -0x1.c798d5853f78cp-5, -0x1.f3206c2a7805p-5, -0x1.1026e78bcbbep-4, -0x1.278597f0b4067p-4, -0x1.3fa0d9fa671d8p-4, -0x1.586ccf388392dp-4, -0x1.71dd3bed7d7adp-4, -0x1.8be599cbbce9fp-4, -0x1.a6792991e6312p-4, -0x1.c18b0385e8fd4p-4, -0x1.dd0e26d189052p-4, -0x1.f8f587c5a83b6p-4, -0x1.0a9a0e85bc50fp-3, -0x1.18de75e60fep-3, -0x1.2741896c49fd8p-3, -0x1.35bcea6e085bbp-3, -0x1.444a50d202cffp-3, -0x1.52e38f445eb24p-3, -0x1.61829700efd1ap-3, -0x1.70217b3914fb8p-3, -0x1.7eba741aa86d9p-3, -0x1.8d47e17d765efp-3, -0x1.9bc44d3c86decp-3, -0x1.aa2a6d4041049p-3, -0x1.b875253e755a1p-3, -0x1.c69f8834edb12p-3, -0x1.d4a4d9a324fc8p-3, -0x1.e2808e877552dp-3, -0x1.f02e4e23eefd6p-3, -0x1.fda9f28ebeee4p-3, -0x1.0577c488ffc47p-2, -0x1.0bfda92f4111cp-2, -0x1.1264e14a7c793p-2, -0x1.18abc0946592cp-2, -0x1.1ed0b44fd109ep-2, -0x1.24d243184c3d6p-2, -0x1.2aaf0ca2eefdbp-2, -0x1.3065c971adc01p-2, -0x1.35f54a7a74cebp-2, -0x1.3b5c78c32ebb1p-2, -0x1.409a54f3da1b8p-2, -0x1.45adf6dfb6032p-2, -0x1.4a968d068057fp-2, -0x1.4f535c0eb8594p-2, -0x1.53e3be39c2916p-2, -0x1.584722d2bc05ap-2, -0x1.5c7d0d98ccabep-2, -0x1.60851625a2793p-2, -0x1.645ee750d0641p-2, -0x1.680a3e90a602ep-2, -0x1.6b86eb59220edp-2, -0x1.6ed4ce797d95ap-2, -0x1.71f3d978df38cp-2, -0x1.74e40df2a46f3p-2, -0x1.77a57cf2b4e42p-2, -0x1.7a38465244aafp-2, -0x1.7c9c981565987p-2, -0x1.7ed2adc9b8af3p-2, -0x1.80dacfe6947f9p-2, -0x1.82b5532ee3c6dp-2, -0x1.84629815031b5p-2, -0x1.85e30a20cf59cp-2, -0x1.87371f582263fp-2, -0x1.885f57a9ebf14p-2, -0x1.895c3c5c084b8p-2, -0x1.8a2e5f7c07fecp-2, -0x1.8ad65b52fd262p-2, -0x1.8b54d1dc6f537p-2, -0x1.8baa6c408f927p-2, -0x1.8bd7da51bb7cfp-2, -0x1.8bddd20d67ffbp-2, -0x1.8bbd0f207a6a1p-2, -0x1.8b76526f1b371p-2, -0x1.8b0a61a01113p-2, -0x1.8a7a06ab9e671p-2, -0x1.89c60f6dee9bdp-2, -0x1.88ef4d3d0ab72p-2, -0x1.87f6948259bc7p-2, -0x1.86dcbc57a8687p-2, -0x1.85a29e27b05e2p-2, -0x1.844915521c216p-2, -0x1.82d0fed2fbffcp-2, -0x1.813b38eda4dd1p-2, -0x1.7f88a2daefa8p-2, -0x1.7dba1c7acbd4ap-2, -0x1.7bd0860916c96p-2, -0x1.79ccbfd5b1359p-2, -0x1.77afa9ffbda53p-2, -0x1.757a2433ff86ep-2, -0x1.732d0d6e45166p-2, -0x1.70c943bdd4419p-2, -0x1.6e4fa40cc3385p-2, -0x1.6bc109ea32fa4p-2, -0x1.691e4f5754939p-2, -0x1.66684c972e79fp-2, -0x1.639fd8010c0d1p-2, -0x1.60c5c5d58a78ep-2, -0x1.5ddae8162b39ap-2, -0x1.5ae00e5f6457fp-2, -0x1.57d605c514696p-2, -0x1.54bd98b14d23ap-2, -0x1.51978ec56199ep-2, -0x1.4e64acbd2a106p-2, -0x1.4b25b45468bb9p-2, -0x1.47db642e3eb33p-2, -0x1.448677bea3079p-2, -0x1.4127a735c90ecp-2, -0x1.3dbfa76d64c3cp-2, -0x1.3a4f29d7c1561p-2, -0x1.36d6dc7091bb6p-2, -0x1.335769af73565p-2, -0x1.2fd1787c103bep-2, -0x1.2c45ac23ce2c6p-2, -0x1.28b4a45102c6ap-2, -0x1.251efd0393e3cp-2, -0x1.21854e8aff45p-2, -0x1.1de82d81b5584p-2, -0x1.1a482ac9b9e23p-2, -0x1.16a5d38a7ead1p-2, -0x1.1301b12fe7163p-2, -0x1.0f5c496a6a5bfp-2, -0x1.0bb61e3049adep-2, -0x1.080fadbfc23e5p-2, -0x1.046972a2417f2p-2, -0x1.00c3e3b07a1b4p-2, -0x1.fa3ee82ec2506p-3, -0x1.f2f926bbf4191p-3, -0x1.ebb75ad7d6c89p-3, -0x1.e47a5521ac93bp-3, -0x1.dd42df18b1695p-3, -0x1.d611bb2d80683p-3, -0x1.cee7a4d4ac519p-3, -0x1.c7c5509a83ed2p-3, -0x1.c0ab6c37ec62bp-3, -0x1.b99a9ea84294p-3, -0x1.b293884024ae8p-3, -0x1.ab96c2c526984p-3, -0x1.a4a4e1864e081p-3, -0x1.9dbe717551e44p-3, -0x1.96e3f94080c16p-3, -0x1.9015f96d54a91p-3, -0x1.8954ec73882f3p-3, -0x1.82a146d8b842cp-3, -0x1.7bfb774c7858fp-3, -0x1.7563e6c4cade6p-3, -0x1.6edaf89af6e5ap-3, -0x1.68610aa8aec21p-3, -0x1.61f6756570b0cp-3, -0x1.5b9b8c042a5adp-3, -0x1.55509c90fb219p-3, -0x1.4f15f00f25089p-3, -0x1.48ebca970c944p-3, -0x1.42d26b74495eap-3, -0x1.3cca0d43bf78p-3, -0x1.36d2e611a9d37p-3, -0x1.30ed2777a8383p-3, -0x1.2b18febaaca74p-3, -0x1.255694e8d2c3ap-3, -0x1.1fa60ef710865p-3, -0x1.1a078ddec585fp-3, -0x1.147b2ebb0f4edp-3, -0x1.0f010ae5ef1dp-3, -0x1.0999381531222p-3, -0x1.0443c87712b42p-3, -0x1.fe01959d45fd4p-4, -0x1.f3a0951fa914dp-4, -0x1.e9649ff68f09cp-4, -0x1.df4dc0736bd35p-4, -0x1.d55bfaee1bbc5p-4, -0x1.cb8f4dfa682eep-4, -0x1.c1e7b29cb5df6p-4, -0x1.b8651c7e111f5p-4, -0x1.af077a1f53ba5p-4, -0x1.a5ceb50b8cd45p-4, -0x1.9cbab20992284p-4, -0x1.93cb514cb74eap-4, -0x1.8b006ea4ae648p-4, -0x1.8259e1ac8568p-4, -0x1.79d77df8c5641p-4, -0x1.71791344adcacp-4, -0x1.693e6d9e87c55p-4, -0x1.61275593133b9p-4, -0x1.593390580987ep-4, -0x1.5162dff5b57cfp-4, -0x1.49b5036fa1717p-4, -0x1.4229b6ec56926p-4, -0x1.3ac0b3dc33a31p-4, -0x1.3379b11f53c91p-4, -0x1.2c54632a8c984p-4, -0x1.25507c2b7efbap-4, -0x1.1e6dac2bbe501p-4, -0x1.17aba1330db37p-4, -0x1.110a0768b5fc4p-4, -0x1.0a888933f26c7p-4, -0x1.0426cf5b7b818p-4, -0x1.fbc9024856f92p-5, -0x1.ef8288dd86a39p-5, -0x1.e3797ba99d875p-5, -0x1.d7ad218959e31p-5, -0x1.cc1cbf3979a3fp-5, -0x1.c0c7978b65663p-5, -0x1.b5aceb982ff8cp-5, -0x1.aacbfaf1ee41dp-5, -0x1.a02403d3742f7p-5, -0x1.95b4434e72d53p-5, -0x1.8b7bf57807325p-5, -0x1.817a5593b99fep-5, -0x1.77ae9e3cf5fefp-5, -0x1.6e18098f05cccp-5, -0x1.64b5d14b8d85p-5, -0x1.5b872eff99a22p-5, -0x1.528b5c273f1c2p-5, -0x1.49c1924fd4aacp-5, -0x1.41290b38d11d7p-5, -0x1.38c100f350e47p-5, -0x1.3088ae004a88fp-5, -0x1.287f4d6d7bee6p-5, -0x1.20a41af115fdbp-5, -0x1.18f653042af42p-5, -0x1.117532fbedc16p-5, -0x1.0a1ff921bfffcp-5, -0x1.02f5e4ca1e5b2p-5, -0x1.f7ec6cd4dbb95p-6, -0x1.ea405f5b61971p-6, -0x1.dce627105c152p-6, -0x1.cfdc4c941c3ap-6, -0x1.c3215b61eb219p-6, -0x1.b6b3e1f14be71p-6, -0x1.aa9271d552627p-6, -0x1.9ebb9fda20516p-6, -0x1.932e042097b1cp-6, -0x1.87e83a384687cp-6, -0x1.7ce8e137a6cbdp-6, -0x1.722e9bd2b3358p-6, -0x1.67b8106fe767dp-6, -0x1.5d83e93baf02ep-6, -0x1.5390d43a5ad4cp-6, -0x1.49dd83589c289p-6, -0x1.4068ac7a9cb98p-6, -0x1.37310989ba51cp-6, -0x1.2e355880f20d4p-6, -0x1.25745b7807ea2p-6, -0x1.1cecd8ad75347p-6, -0x1.149d9a8f29112p-6, -0x1.0c856fc22668ap-6, -0x1.04a32b290a751p-6, -0x1.f9eb47d307601p-7, -0x1.eaf76ae19139ap-7, -0x1.dc687eee1fabfp-7, -0x1.ce3c4c043e5e8p-7, -0x1.c070a2cde2703p-7, -0x1.b3035c94fe617p-7, -0x1.a5f25b436e608p-7, -0x1.993b89615212fp-7, -0x1.8cdcda11e4c05p-7, -0x1.80d4490ee088bp-7, -0x1.751fdaa2832b3p-7, -0x1.69bd9ba045408p-7, -0x1.5eaba15c43e92p-7, -0x1.53e809a18e315p-7, -0x1.4970faa73cd5ap-7, -0x1.3f44a3047f315p-7, -0x1.356139a3a7e3ap-7, -0x1.2bc4fdb435a89p-7, -0x1.226e369bfc232p-7, -0x1.195b33e76c767p-7, -0x1.108a4d390d6fdp-7, -0x1.07f9e23830348p-7, -0x1.ff50b4fdda8d4p-8, -0x1.ef284b0ee8941p-8, -0x1.df77753176213p-8, -0x1.d03b31652d3f2p-8, -0x1.c1708cf28ef0dp-8, -0x1.b314a4410a361p-8, -0x1.a524a2ac1fdecp-8, -0x1.979dc257ade93p-8, -0x1.8a7d4c036bb6ap-8, -0x1.7dc096ddb0b2p-8, -0x1.71650855901c8p-8, -0x1.656813ec5f1aep-8, -0x1.59c73b06b1aeap-8, -0x1.4e800cbce09f9p-8, -0x1.439025ab222e5p-8, -0x1.38f52fc14b3dp-8, -0x1.2eace2123d6f7p-8, -0x1.24b500a317ee3p-8, -0x1.1b0b5c3a2f4e2p-8, -0x1.11add22ddfc0ap-8, -0x1.089a4c333e54ap-8, -0x1.ff9d805976093p-9, -0x1.ee925ff16f052p-9, -0x1.de0f528041a8bp-9, -0x1.ce108a8a2a14bp-9, -0x1.be92516337145p-9, -0x1.af9106ccf9bfdp-9, -0x1.a10920947aec3p-9, -0x1.92f72a308e9f9p-9, -0x1.8557c4608fa9cp-9, -0x1.7827a4cb9205cp-9, -0x1.6b6395a01bc6ap-9, -0x1.5f0875346fd1fp-9, -0x1.531335a773fa8p-9, -0x1.4780dc82459e6p-9, -0x1.3c4e825a7ba87p-9, -0x1.317952752a39fp-9, -0x1.26fe8a6ab06cep-9, -0x1.1cdb79cb4f0fcp-9, -0x1.130d81c49edf4p-9, -0x1.099214c7e48cfp-9, -0x1.0066b6314c256p-9, -0x1.ef11f3e0252eap-10, -0x1.dded085f4a797p-10, -0x1.cd5a1203758e8p-10, -0x1.bd549812d3005p-10, -0x1.add8404e8d5dep-10, -0x1.9ee0ce4d14295p-10, -0x1.906a22d6817ebp-10, -0x1.82703b431c285p-10, -0x1.74ef30dc0706p-10, -0x1.67e3383e1163p-10, -0x1.5b48a0bec7c2dp-10, -0x1.4f1bd3d3ac5ep-10, -0x1.4359547bb135bp-10, -0x1.37fdbeaaebdb7p-10, -0x1.2d05c6b8888f1p-10, -0x1.226e38cef9515p-10, -0x1.1833f85e70aeap-10, -0x1.0e53ff91909dbp-10, -0x1.04cb5ec46a9a7p-10, -0x1.f72e77fb735e1p-11, -0x1.e569a4d4bd0d5p-11, -0x1.d442e3b63eadbp-11, -0x1.c3b4fc894a68cp-11, -0x1.b3bade836de1ep-11, -0x1.a44f9f2f5dd49p-11, -0x1.956e797a52dbbp-11, -0x1.8712ccc5d09fcp-11, -0x1.79381bfdd2b2p-11, -0x1.6bda0cb354b89p-11, -0x1.5ef4663b32fe5p-11, -0x1.528310d154fc9p-11, -0x1.468214c020bf7p-11, -0x1.3aed998c26ed3p-11, -0x1.2fc1e52401d05p-11, -0x1.24fb5b145db4cp-11, -0x1.1a967bc01dfcfp-11, -0x1.108fe39c94cc4p-11, -0x1.06e44a71c52aep-11, -0x1.fb21053d3edbbp-12, -0x1.e922f0c26001fp-12, -0x1.d7c8624568d2fp-12, -0x1.c70b958f1117ap-12, -0x1.b6e6f605c1e4bp-12, -0x1.a7551d5c8c4a7p-12, -0x1.9850d249887bep-12, -0x1.89d5074381f46p-12, -0x1.7bdcd946d849fp-12, -0x1.6e638ea17be71p-12, -0x1.616495c5e8f2ep-12, -0x1.54db84250815cp-12, -0x1.48c4150edafb7p-12, -0x1.3d1a2899da743p-12, -0x1.31d9c290e63a6p-12, -0x1.26ff0967b218ep-12, -0x1.1c86453594f9bp-12, -0x1.126bdeb695d4bp-12, -0x1.08ac5e52aac9fp-12, -0x1.fe88d65603bb8p-13, -0x1.ec61945a7ff5ap-13, -0x1.dadcba5930183p-13, -0x1.c9f444014af0cp-13, -0x1.b9a26353c93a5p-13, -0x1.a9e17ef773f3dp-13, -0x1.9aac3097d1ef4p-13, -0x1.8bfd434eba0f2p-13, -0x1.7dcfb218670ffp-13, -0x1.701ea651c5b6cp-13, -0x1.62e57640dc105p-13, -0x1.561fa3a70800cp-13, -0x1.49c8da5cf2e93p-13, -0x1.3ddceef7f7bc4p-13, -0x1.3257dd78d2f94p-13, -0x1.2735c803731edp-13, -0x1.1c72f59fa7d49p-13, -0x1.120bd1028bc4cp-13, -0x1.07fce7607de94p-13, -0x1.fc85ce8eda189p-14, -0x1.e9b53f02a4b93p-14, -0x1.d781fbfd5c163p-14, -0x1.c5e61d91a7044p-14, -0x1.b4dbf5f7b3f2ap-14, -0x1.a45e0f900ffp-14, -0x1.94672af51b747p-14, -0x1.84f23d1aca12ep-14, -0x1.75fa6d7c51328p-14, -0x1.677b14577b982p-14, -0x1.596fb8f54dcc8p-14, -0x1.4bd40fffa9699p-14, -0x1.3ea3f9e3a3759p-14, -0x1.31db81403d1a1p-14, -0x1.2576d9613590fp-14, -0x1.19725cc5a7a5p-14, -0x1.0dca8bb22a2c2p-14, -0x1.027c0ace2b3dfp-14, -0x1.ef0743987ac14p-15, -0x1.d9bc743a26f2ap-15, -0x1.c511bb59c45ecp-15, -0x1.b1016b55d360bp-15, -0x1.9d8612b5bcaa2p-15, -0x1.8a9a79dfe9c76p-15, -0x1.7839a0e29ed5cp-15, -0x1.665ebd4f1c5e1p-15, -0x1.5505382688b38p-15, -0x1.4428abd8306e8p-15, -0x1.33c4e2509fe98p-15, -0x1.23d5d31928f05p-15, -0x1.1457a1875f8bdp-15, -0x1.05469afc1d7f5p-15, -0x1.ed3e6a634d04ap-16, -0x1.d0bc1930f490ap-16, -0x1.b4ffc584e61dap-16, -0x1.9a0339b78aa8bp-16, -0x1.7fc08463055f6p-16, -0x1.6631f58a72307p-16, -0x1.4d521bdaa356ap-16, -0x1.351bc203a1cb9p-16, -0x1.1d89ec2a3bc59p-16, -0x1.0697d570ee8c3p-16, -0x1.e081db2ef1defp-17, -0x1.b501ad60e42fcp-17, -0x1.8aa6c5d87c744p-17, -0x1.616924f1687f5p-17, -0x1.394122e9d27c8p-17, -0x1.12276bf0de855p-17, -0x1.d829f8b612defp-18, -0x1.8e0639f65058ep-18, -0x1.45d6bf3de3bdcp-18, -0x1.ff1e6eb7e9522p-19, -0x1.7647aba8230fdp-19, -0x1.e225327e0ac61p-20, -0x1.bda63169cdd54p-21, 0x1.d908186861886p-24, 0x1.132d7309cc369p-20, 0x1.0114f9a240374p-19, 0x1.755557521903ap-19, 0x1.e6696d11d7bb4p-19, 0x1.2a31118321f2ep-18, 0x1.5fa7dbfc68101p-18, 0x1.93a0e4fa5af9bp-18, 0x1.c623af438e657p-18, 0x1.f7377552b6a91p-18, 0x1.1371968f36dccp-17, 0x1.2a96c5db86ac6p-17, 0x1.410e845e0a49p-17, 0x1.56dbf0d53b121p-17, 0x1.6c020e82982dbp-17, 0x1.8083c6acc7dcap-17, 0x1.9463ea101e09p-17, 0x1.a7a5323e456e3p-17, 0x1.ba4a42ed8eed1p-17, 0x1.cc55ab3884db7p-17, 0x1.ddc9e6ce5b115p-17, 0x1.eea95f14c49d8p-17, 0x1.fef66c3bb97a8p-17, 0x1.0759ab21d6fc3p-16, 0x1.0ef12afb65fc7p-16, 0x1.1642caeace7bp-16, 0x1.1d4f997bd3fbdp-16, 0x1.24189ef039f0bp-16, 0x1.2a9edda4b44c8p-16, 0x1.30e352707fb6p-16, 0x1.36e6f4ffce08bp-16, 0x1.3caab8294ade8p-16, 0x1.422f8a3edce29p-16, 0x1.47765559dd92ap-16, 0x1.4c7fffa2f4d49p-16, 0x1.514d6b95c39b4p-16, 0x1.55df78408d2afp-16, 0x1.5a3701800c61bp-16, 0x1.5e54e03796e1cp-16, 0x1.6239ea85c147fp-16, 0x1.65e6f3f59f164p-16, 0x1.695ccdacd2351p-16, 0x1.6c9c46967e37fp-16, 0x1.6fa62b8b5570bp-16, 0x1.727b4776cc114p-16, 0x1.751c6379aa489p-16, 0x1.778a470a082a6p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.bfcb2fead3965p-1, 0x1.bd4de13b4bfb6p-1, 0x1.babc3b467fd53p-1, 0x1.b818ffd97f5cp-1, 0x1.b566da062426fp-1, 0x1.b2a857af6c3cfp-1, 0x1.afdfe488e45a7p-1, 0x1.ad0fc65d550b4p-1, 0x1.aa3a1a72d7319p-1, 0x1.a760d3e519e08p-1, 0x1.a485bad19eb84p-1, 0x1.a1aa6c34ee184p-1, 0x1.9ed05a5afc3ddp-1, 0x1.9bf8cdc83372ep-1, 0x1.9924e68399887p-1, 0x1.96559dad76eb5p-1, 0x1.938bc750848cp-1, 0x1.90c8145e254ccp-1, 0x1.8e0b14c8622c7p-1, 0x1.8b5539ae64477p-1, 0x1.88a6d791f3299p-1, 0x1.8600288e0f044p-1, 0x1.83614e88288c1p-1, 0x1.80ca5556abe41p-1, 0x1.7e3b34d8a554p-1, 0x1.7bb3d2fb3049ep-1, 0x1.793405aa27b5fp-1, 0x1.76bb94aa3e18bp-1, 0x1.744a3b5b2f702p-1, 0x1.71dfaa613b3d6p-1, 0x1.6f7b89357cdaap-1, 0x1.6d1d779d066e2p-1, 0x1.6ac50f06edbfep-1, 0x1.6871e3d1ab0ccp-1, 0x1.662386785e7cap-1, 0x1.63d984a8abb88p-1, 0x1.61936a41fa54bp-1, 0x1.5f50c23efc05fp-1, 0x1.5d11178a6770dp-1, 0x1.5ad3f5bfe049fp-1, 0x1.5898e9da0a19fp-1, 0x1.565f82cec483cp-1, 0x1.5427521a8e99bp-1, 0x1.51efec3c0fe54p-1, 0x1.4fb8e920ba929p-1, 0x1.4d81e48378a1ep-1, 0x1.4b4a7e3e4f6bep-1, 0x1.49125a8fd9fe2p-1, 0x1.46d9225573216p-1, 0x1.449e833ae3079p-1, 0x1.42622fe0548f4p-1, 0x1.4023dff754ba1p-1, 0x1.3de350578ee5cp-1, 0x1.3ba0430bf4293p-1, 0x1.395a7f58f0c8cp-1, 0x1.3711d1bc4c1b4p-1, 0x1.34c60be741971p-1, 0x1.327704b3629fdp-1, 0x1.30249812beddfp-1, 0x1.2dcea6fbce0cap-1, 0x1.2b7517518f597p-1, 0x1.2917d3c84b31p-1, 0x1.26b6cbc7571f6p-1, 0x1.2451f348415dep-1, 0x1.21e942b3b4f9fp-1, 0x1.1f7cb6bc6cc92p-1, 0x1.1d0c503881784p-1, 0x1.1a9813f956e1ep-1, 0x1.18200aa26bf57p-1, 0x1.15a4407f4b32dp-1, 0x1.1324c558d0b92p-1, 0x1.10a1ac49fce3p-1, 0x1.0e1b0b9480f4bp-1, 0x1.0b90fc75319f5p-1, 0x1.09039af889917p-1, 0x1.067305cf5c68bp-1, 0x1.03df5e23de853p-1, 0x1.0148c76f20501p-1, 0x1.fd5ece9e25e38p-2, 0x1.f826caba6bd74p-2, 0x1.f2e9d60bfa611p-2, 0x1.eda846c20fdb2p-2, 0x1.e86276146917p-2, 0x1.e318bff74c487p-2, 0x1.ddcb82d1855b5p-2, 0x1.d87b1f347521dp-2, 0x1.d327f7963de8ep-2, 0x1.cdd2700e221e8p-2, 0x1.c87aee131f27fp-2, 0x1.c321d83cd2097p-2, 0x1.bdc79606a6c12p-2, 0x1.b86c8f9561494p-2, 0x1.b3112d7ef9a82p-2, 0x1.adb5d894d2891p-2, 0x1.a85af9b045f7p-2, 0x1.a300f981898bfp-2, 0x1.9da84060e1482p-2, 0x1.9851362221f35p-2, 0x1.92fc41ea74f43p-2, 0x1.8da9ca085d9efp-2, 0x1.885a33cdf106p-2, 0x1.830de36d3be7bp-2, 0x1.7dc53bd6c7c4ap-2, 0x1.78809e9a36c34p-2, 0x1.73406bc8ea811p-2, 0x1.6e0501daa9104p-2, 0x1.68cebd94304c6p-2, 0x1.639df9efb391p-2, 0x1.5e731007296e7p-2, 0x1.594e5700687c7p-2, 0x1.543023faf956ap-2, 0x1.4f18c9ff9aaf9p-2, 0x1.4a0899f1625dfp-2, 0x1.44ffe2806c6f5p-2, 0x1.3ffef01e12899p-2, 0x1.3b060cf29055cp-2, 0x1.361580d411702p-2, 0x1.312d913f19784p-2, 0x1.2c4e81502e81bp-2, 0x1.277891bec6c68p-2, 0x1.22ac00d96019p-2, 0x1.1de90a82b8b98p-2, 0x1.192fe8301ccfbp-2, 0x1.1480d0e8b6ef1p-2, 0x1.0fdbf945dd7eep-2, 0x1.0b419374493a8p-2, 0x1.06b1cf363064fp-2, 0x1.022cd9e62fd02p-2, 0x1.fb65bcf607d75p-3, 0x1.f2880b17ee0c1p-3, 0x1.e9c0eaac116dep-3, 0x1.e110a38369de7p-3, 0x1.d87778d2bb86cp-3, 0x1.cff5a94082233p-3, 0x1.c78b6ef3f78b8p-3, 0x1.bf38ffa50d00cp-3, 0x1.b6fe8cad565f5p-3, 0x1.aedc4319c4e7ap-3, 0x1.a6d24bbd2efa1p-3, 0x1.9ee0cb438a61cp-3, 0x1.9707e245c95a3p-3, 0x1.8f47ad5e5345cp-3, 0x1.87a0453dfc0dbp-3, 0x1.8011bec1794b3p-3, 0x1.789c2b073e5a8p-3, 0x1.713f9785b68c2p-3, 0x1.69fc0e21cbdcdp-3, 0x1.62d19545b790bp-3, 0x1.5bc02ff805d2bp-3, 0x1.54c7ddf2c7f2ap-3, 0x1.4de89bbae72efp-3, 0x1.472262b792c31p-3, 0x1.40752949bb273p-3, 0x1.39e0e2e38ff4p-3, 0x1.33658020014afp-3, 0x1.2d02eeda2ec57p-3, 0x1.26b91a44c68f7p-3, 0x1.2087eb014cc1bp-3, 0x1.1a6f47373a45ap-3, 0x1.146f12aafa4cfp-3, 0x1.0e872ed4b849p-3, 0x1.08b77af6faddcp-3, 0x1.02ffd4350304fp-3, 0x1.fac02b51dcfe6p-4, 0x1.efb030f339664p-4, 0x1.e4cf67e08c486p-4, 0x1.da1d7b1b95cfcp-4, 0x1.cf9a123f6e6efp-4, 0x1.c544d1a9e1dabp-4, 0x1.bb1d5aa421217p-4, 0x1.b1234b8ad2ea1p-4, 0x1.a7563ff55b254p-4, 0x1.9db5d0dc79dcap-4, 0x1.944194c02c2fbp-4, 0x1.8af91fccc1c6ap-4, 0x1.81dc03ff3b4f3p-4, 0x1.78e9d148dc8dfp-4, 0x1.702215b1f7a4dp-4, 0x1.67845d7bee648p-4, 0x1.5f10334267319p-4, 0x1.56c5201bb6057p-4, 0x1.4ea2abb875ab7p-4, 0x1.46a85c8255466p-4, 0x1.3ed5b7ba15312p-4, 0x1.372a4194b692cp-4, 0x1.2fa57d57dc3ccp-4, 0x1.2846ed755e3cap-4, 0x1.210e13a610a7ap-4, 0x1.19fa7103be815p-4, 0x1.130b86225b078p-4, 0x1.0c40d32868db5p-4, 0x1.0599d7e69a8cep-4, 0x1.fe2c27dd5c3d6p-5, 0x1.f16a0d53080f1p-5, 0x1.e4ec5ed8eb7eep-5, 0x1.d8b21b1bd9702p-5, 0x1.ccba40f279d74p-5, 0x1.c103cf838a97dp-5, 0x1.b58dc66ab1691p-5, 0x1.aa5725dbe4629p-5, 0x1.9f5eeec56e784p-5, 0x1.94a422f0952cap-5, 0x1.8a25c520e952cp-5, 0x1.7fe2d932406aap-5, 0x1.75da6435693cfp-5, 0x1.6c0b6c8b93f82p-5, 0x1.6274fa008184bp-5, 0x1.591615e3762f6p-5, 0x1.4fedcb1efba2p-5, 0x1.46fb264f78d8fp-5, 0x1.3e3d35d8a3f44p-5, 0x1.35b309f9d6568p-5, 0x1.2d5bb4e148b29p-5, 0x1.25364abe413bcp-5, 0x1.1d41e1d23506fp-5, 0x1.157d9280e6776p-5, 0x1.0de8775f89db8p-5, 0x1.0681ad42f03b2p-5, 0x1.fe90a6998e3b4p-6, 0x1.f07715efd70a7p-6, 0x1.e2b4f047bbb21p-6, 0x1.d548823eb0ffap-6, 0x1.c8301d6426be6p-6, 0x1.bb6a184b6a9c7p-6, 0x1.aef4ce9bff96bp-6, 0x1.a2cea1206d70cp-6, 0x1.96f5f5d39ca0ap-6, 0x1.8b6937ecbf626p-6, 0x1.8026d7e9e149cp-6, 0x1.752d4b991e048p-6, 0x1.6a7b0e20924e8p-6, 0x1.600ea0050f88ap-6, 0x1.55e6872f9bcdp-6, 0x1.4c014ef1ceafap-6, 0x1.425d88090cc76p-6, 0x1.38f9c8a0b9ed4p-6, 0x1.2fd4ac535eac7p-6, 0x1.26ecd42ad4976p-6, 0x1.1e40e69f7d065p-6, 0x1.15cf8f96975cbp-6, 0x1.0d97805fafca4p-6, 0x1.05976fb13f2a5p-6, 0x1.fb9c3348f8018p-7, 0x1.ec747f60d81f3p-7, 0x1.ddb5514874149p-7, 0x1.cf5c4141ae47fp-7, 0x1.c166f223f85abp-7, 0x1.b3d3114d039e9p-7, 0x1.a69e56904e389p-7, 0x1.99c6842580452p-7, 0x1.8d496695ca3fcp-7, 0x1.8124d4a82cc2bp-7, 0x1.7556af4cdc46dp-7, 0x1.69dce187ad319p-7, 0x1.5eb56059bada6p-7, 0x1.53de2aaa319acp-7, 0x1.4955492e63517p-7, 0x1.3f18ce5124a7ep-7, 0x1.3526d61985d2p-7, 0x1.2b7d8610f3075p-7, 0x1.221b0d28c0c8ep-7, 0x1.18fda39f373d8p-7, 0x1.10238ae421b49p-7, 0x1.078b0d7ceff5dp-7, 0x1.fe64fdd0e3123p-8, 0x1.ee30770467ec3p-8, 0x1.de7550cb2030bp-8, 0x1.cf3066a0d72e5p-8, 0x1.c05ea50b74619p-8, 0x1.b1fd095f8bc34p-8, 0x1.a408a1848b4bp-8, 0x1.967e8bb89688fp-8, 0x1.895bf6541be1p-8, 0x1.7c9e1f8d383bdp-8, 0x1.7042553aee872p-8, 0x1.6445f49844c03p-8, 0x1.58a66a0754541p-8, 0x1.4d6130d4556e9p-8, 0x1.4273d2f8b4233p-8, 0x1.37dbe8de39026p-8, 0x1.2d97192250a4ep-8, 0x1.23a3185978ee8p-8, 0x1.19fda8d2e33c7p-8, 0x1.10a49a5c4ffedp-8, 0x1.0795ca062be79p-8, 0x1.fd9e43cff863fp-9, 0x1.ec9d31ca36445p-9, 0x1.dc2464e3a35fep-9, 0x1.cc2ffcb1a25a6p-9, 0x1.bcbc31022cf37p-9, 0x1.adc55168756bcp-9, 0x1.9f47c4ca760a3p-9, 0x1.914008ef6c81ap-9, 0x1.83aab20f5b1c8p-9, 0x1.76846a638dfd2p-9, 0x1.69c9f1b833168p-9, 0x1.5d781cff0ddf2p-9, 0x1.518bd5e346bdep-9, 0x1.46021a5e69e4fp-9, 0x1.3ad7fc4e92ca5p-9, 0x1.300aa10dcd3f7p-9, 0x1.2597410ab37a3p-9, 0x1.1b7b27624d8fp-9, 0x1.11b3b17b337d8p-9, 0x1.083e4ea1fb60cp-9, 0x1.fe30ff4df0896p-10, 0x1.ec7facfa849d5p-10, 0x1.db63ebb637db4p-10, 0x1.cad921b74bfd5p-10, 0x1.badad543e7935p-10, 0x1.ab64abfae7273p-10, 0x1.9c726a1f70521p-10, 0x1.8dfff1e73a5f3p-10, 0x1.800942cb97bf6p-10, 0x1.728a78dd386a6p-10, 0x1.657fcc1aad113p-10, 0x1.58e58fc9a7bf5p-10, 0x1.4cb831d2fe6dp-10, 0x1.40f43a2160de7p-10, 0x1.35964a02d1941p-10, 0x1.2a9b1b8cd328p-10, 0x1.1fff81034e9adp-10, 0x1.15c06442274bfp-10, 0x1.0bdac6298a217p-10, 0x1.024bbe0cdc9fdp-10, 0x1.f220f248b4086p-11, 0x1.e04c7402aba5fp-11, 0x1.cf14b00a353e9p-11, 0x1.be747db4c6eedp-11, 0x1.ae66dbe2d63e7p-11, 0x1.9ee6effd138dap-11, 0x1.8ff004f6b9794p-11, 0x1.817d8a54e206p-11, 0x1.738b133ad81dbp-11, 0x1.6614557b547aep-11, 0x1.591528ae9ba75p-11, 0x1.4c89854d6fc43p-11, 0x1.406d83d0c5e54p-11, 0x1.34bd5bd630961p-11, 0x1.29756348f6139p-11, 0x1.1e920d8fbbb6p-11, 0x1.140feabebe35bp-11, 0x1.09eba6ce84545p-11, 0x1.002208d6fc606p-11, 0x1.ed5fe49df0626p-12, 0x1.db24bc9fe6accp-12, 0x1.c98cc1bc2f8bbp-12, 0x1.b8924c68dd225p-12, 0x1.a82fe42a5d583p-12, 0x1.98603e3c2f817p-12, 0x1.891e3c41971d1p-12, 0x1.7a64eafe23203p-12, 0x1.6c2f8115f5fdcp-12, 0x1.5e795dd5a0081p-12, 0x1.513e080179b46p-12, 0x1.44792cac50b7dp-12, 0x1.38269e1551ec5p-12, 0x1.2c42528d0bf5ep-12, 0x1.20c86361686e6p-12, 0x1.15b50bd081058p-12, 0x1.0b04a8022b331p-12, 0x1.00b3b408205dep-12, 0x1.ed7d95c93eaabp-13, 0x1.da454b2ed3b03p-13, 0x1.c7b83461fc5cdp-13, 0x1.b5d035d7dd561p-13, 0x1.a4876a9872b38p-13, 0x1.93d8228901907p-13, 0x1.83bce0c20dac4p-13, 0x1.743059f0a0a82p-13, 0x1.652d72c297399p-13, 0x1.56af3e5dd5b1ap-13, 0x1.48b0fce205458p-13, 0x1.3b2e19f4c8fb9p-13, 0x1.2e222b580f436p-13, 0x1.2188ef8a6533fp-13, 0x1.155e4c70f977ep-13, 0x1.099e4e0b33e33p-13, 0x1.fc8a4a5f2c12p-14, 0x1.e69e4ca37c2b1p-14, 0x1.d17190a29d5cp-14, 0x1.bcfd46a31d97bp-14, 0x1.a93adf3317121p-14, 0x1.962408f91fd12p-14, 0x1.83b2ae956211ep-14, 0x1.71e0f492ad676p-14, 0x1.60a93766f807ap-14, 0x1.50060983063cp-14, 0x1.3ff23170d7678p-14, 0x1.3068a8007cc1cp-14, 0x1.21649683020d1p-14, 0x1.12e155130e349p-14, 0x1.04da68eae922cp-14, 0x1.ee97058f1921p-15, 0x1.d460fab0e4aa4p-15, 0x1.bb0ab7779210bp-15, 0x1.a28c900d85df3p-15, 0x1.8adf23b35a245p-15, 0x1.73fb59ff05399p-15, 0x1.5dda60315e98bp-15, 0x1.4875a6a171fe5p-15, 0x1.33c6de3d064a2p-15, 0x1.1fc7f61dd0a36p-15, 0x1.0c731932c254dp-15, 0x1.f38557f9d0ebap-16, 0x1.cf6294beb0df6p-16, 0x1.ac738b03481fep-16, 0x1.8aae43889efap-16, 0x1.6a09298da7322p-16, 0x1.4a7b06fd4c285p-16, 0x1.2bfb00bdaaa58p-16, 0x1.0e80931f7b549p-16, 0x1.e4071cd992a03p-17, 0x1.acf8272c1af0ep-17, 0x1.77c521f9b6deep-17, 0x1.445f7eb6680d4p-17, 0x1.12b93d8d73d66p-17, 0x1.c589cf3bbef59p-18, 0x1.68eb12d6d4aafp-18, 0x1.0f7d5b04fa733p-18, 0x1.72515d3626e3cp-19, 0x1.9757f0d2e5b52p-20, 0x1.56f109bebdeffp-22, -0x1.c10b93a863de7p-21, -0x1.05e03e748b177p-19, -0x1.962188f029397p-19, -0x1.109675bac8aadp-18, -0x1.53939346ca37ep-18, -0x1.9419d1bb9e006p-18, -0x1.d23a416c3ac09p-18, -0x1.0702aab785f58p-17, -0x1.23c57533fa41cp-17, -0x1.3f6d268746fcp-17, -0x1.5a0120396a5c6p-17, -0x1.7388820131a9ap-17, -0x1.8c0a2ca82baabp-17, -0x1.a38cc4d0ea75ep-17, -0x1.ba16b5a09ea72p-17, -0x1.cfae334cec847p-17, -0x1.e4593d8efde6dp-17, -0x1.f81da1fcb60a9p-17, -0x1.05807f246aafp-16, -0x1.0e84613581dfp-16, -0x1.171d195844b8cp-16, -0x1.1f4d34db40547p-16, -0x1.27172d272bd56p-16, -0x1.2e7d68a6af856p-16, -0x1.35823ba411111p-16, -0x1.3c27e91d2293bp-16, -0x1.4270a38dcd12dp-16, -0x1.485e8db1935e3p-16, -0x1.4df3bb3c561b8p-16, -0x1.5332318ab7632p-16, -0x1.581be84a676d8p-16, -0x1.5cb2ca1aaa4c5p-16, -0x1.60f8b5255bdep-16, -0x1.64ef7bb0c4d7ap-16, -0x1.6898e4aa8107dp-16, -0x1.6bf6ac2bb5829p-16, -0x1.6f0a83f6ebbe7p-16, -0x1.71d613efbab41p-16, -0x1.745afa8c8c8cp-16, -0x1.769acd42b62dep-16, -0x1.789718ed21894p-16, -0x1.7a51622db4654p-16, -0x1.7bcb25c9bf5efp-16, -0x1.7d05d90196f43p-16, -0x1.7e02e9e394946p-16, -0x1.7ec3bf9ab16ep-16, -0x1.7f49bab8df013p-16, -0x1.7f96357d6132fp-16, -0x1.7faa84173b2c3p-16, -0x1.7f87f4e3f65b3p-16, -0x1.7f2fd0aad87ccp-16, -0x1.7ea35ad4b559bp-16, -0x1.7de3d1a09244cp-16, -0x1.7cf26e5524b61p-16, -0x1.7bd0656f6f07bp-16, -0x1.7a7ee6ce83415p-16, -0x1.78ff1ddca2b54p-16, -0x1.775231b5cde49p-16, -0x1.7579454be6876p-16, -0x1.7375778889eb2p-16, -0x1.7147e36cb1567p-16, -0x1.6ef1a02e4520ap-16, -0x1.6c73c153b0e5ap-16, -0x1.69cf56cd9ab4cp-16, -0x1.67056d0ecf3d1p-16, -0x1.64170d2281f4ep-16, -0x1.61053cc0f2865p-16, -0x1.5dd0fe6292e34p-16, -0x1.5a7b5151bd226p-16, -0x1.570531bb14878p-16, -0x1.536f98bc9bcccp-16, -0x1.4fbb7c73a11acp-16, -0x1.4be9d00986e39p-16, -0x1.47fb83bf780a7p-16, -0x1.43f184f927c4ep-16, -0x1.3fccbe469f5edp-16, -0x1.3b8e176d29036p-16, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      31, 0x1.2acb5350092cdp+2, 0x1.8f00d9cec1cf1p+0, 0x1.dad8d53e72a05p+1, -0x1.a9fbdb3ccfb34p-1, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.45522b12fae54p+1, -0x1.5084319a46f29p+2, 0x1.063f93cfa5e1bp+2, 0x1.15596e0b358fcp-1}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.0754fdcd24f72p+1, -0x1.1b06d2aaf20dp+2, 0x1.10a62189ab172p+2, -0x1.5aafc98e037b1p+1}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.a7aa79ae96dbdp+0, -0x1.d364f27271b08p+1, 0x1.b94ab9cf21efbp+1, -0x1.8adb6c7aa2044p+0}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.529e378d626e1p+0, -0x1.810f0da1e5a71p+1, 0x1.7e103656566f2p+1, -0x1.9583a2e7201f1p+0}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.0cd78f17f903p+0, -0x1.3aba95d937685p+1, 0x1.413c77807803fp+1, -0x1.534a30c0ab8bdp+0}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.a7f6a046429f2p-1, -0x1.ff2454661afedp+0, 0x1.0e57bcfd2b155p+1, -0x1.2b594618adc9p+0}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.4bf333ff80225p-1, -0x1.9bfc3b8bd188fp+0, 0x1.c2e17e8c886e3p+0, -0x1.01c50fa8a0e74p+0}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.020e169ed79c6p-1, -0x1.498ace39e4098p+0, 0x1.758cc6a6be8f7p+0, -0x1.bb8323aff5045p-1}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.8e592093c20dp-2, -0x1.057c2330f0f5dp+0, 0x1.3305e7b2c0352p+0, -0x1.7a32eb5c0b156p-1}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.314759c30d2c3p-2, -0x1.9b81ae342ef81p-1, 0x1.f49622637d172p-1, -0x1.4039f4096a455p-1}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.d0b285cb2ff9cp-3, -0x1.40fefe01d9239p-1, 0x1.9484bf93dd356p-1, -0x1.0cdec3972a83fp-1}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.5f6778fdd688bp-3, -0x1.f0512184d21acp-2, 0x1.43db84e683a75p-1, -0x1.bf89272489729p-2}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, 0x1.0833357a3ed14p-3, -0x1.7c3332a726b03p-2, 0x1.00ba256dd57p-1, -0x1.70eb8d49eb15cp-2}, 
        {0x1.7333333333333p+1, 0x1.8p+1, 0x1.8b61efa6aa536p-4, -0x1.2093a55c27b9cp-2, 0x1.92c73a124abfcp-2, -0x1.2d06cead23f31p-2}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, 0x1.26dbe027bafa3p-4, -0x1.b21a91cfdcaafp-3, 0x1.38786277f329fp-2, -0x1.e5f2de731137dp-3}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, 0x1.b7214d7c3c55dp-5, -0x1.43b1b3a8743d2p-3, 0x1.df27e89a2df63p-3, -0x1.83c5cf5b2aeacp-3}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, 0x1.47447fc2c0a88p-5, -0x1.defe075b442fbp-4, 0x1.6ad2f732077c9p-3, -0x1.31c4dd3d02eb9p-3}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, 0x1.e9849be5896f7p-6, -0x1.60357450090cap-4, 0x1.0f17e80620363p-3, -0x1.dc5d39cdb416dp-4}, 
        {0x1.b333333333333p+1, 0x1.cp+1, 0x1.706a9f723ef7cp-6, -0x1.020ff7f5093f4p-4, 0x1.8f470b81bd987p-4, -0x1.6e8311d45fb31p-4}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, 0x1.17b2543450ce4p-6, -0x1.7a678b19f55b8p-5, 0x1.2152ec8ed415dp-4, -0x1.1678ba4f7abcdp-4}, 
        {0x1.ccccccccccccdp+1, 0x1.d99999999999ap+1, 0x1.acf315a886bfbp-7, -0x1.176218efd5f79p-5, 0x1.9b909c8791ba3p-5, -0x1.a173aa0036d1cp-5}, 
        {0x1.d99999999999ap+1, 0x1.e666666666666p+1, 0x1.4bfd330e86a4bp-7, -0x1.a3300294fa0d8p-6, 0x1.1e544fede7ae4p-5, -0x1.3391b214c8344p-5}, 
        {0x1.e666666666666p+1, 0x1.f333333333333p+1, 0x1.025fdbefec75dp-7, -0x1.431c259d76319p-6, 0x1.841e01cf573ep-6, -0x1.b83af81a6a5bap-6}, 
        {0x1.f333333333333p+1, 0x1p+2, 0x1.9144c8ad2589fp-8, -0x1.02b183bc774bbp-6, 0x1.000c50fa9dbcp-6, -0x1.294e9165b1081p-6}, 
        {0x1p+2, 0x1.0666666666666p+2, 0x1.32d81184fa65cp-8, -0x1.b0ce563463145p-7, 0x1.4db64ab837a6p-7, -0x1.4fe4460e2718cp-7}, 
        {0x1.0666666666666p+2, 0x1.0cccccccccccdp+2, 0x1.c4920f8db8b5p-9, -0x1.7823ed33cee2p-7, 0x1.d1e39e9b24a4cp-8, -0x1.b379b925ca48cp-9}, 
        {0x1.0cccccccccccdp+2, 0x1.1333333333333p+2, 0x1.36ff2929e3274p-9, -0x1.4cd1470ce5b21p-7, 0x1.90915c6f13197p-8, 0x1.d8e9d8b81b30dp-8}, 
        {0x1.1333333333333p+2, 0x1.199999999999ap+2, 0x1.75a7609c75d3bp-10, -0x1.1daac0f4c9c73p-7, 0x1.0f388eb98da09p-7, 0x1.11330f7a3b68ap-7}, 
        {0x1.199999999999ap+2, 0x1.2p+2, 0x1.5201c870a5c9ap-11, -0x1.be74240dc7fa4p-8, 0x1.612e46916c40ap-7, 0x1.afdcab623be91p-5}, 
        {0x1.2p+2, 0x1.2666666666666p+2, 0x1.03f7eccd38a66p-13, -0x1.9311a8e8b635p-9, 0x1.b3b523b6da119p-6, -0x1.516de3f2ba6b8p-4}, 
        {0x1.2666666666666p+2, 0x1.2acb5350092cdp+2, 0x0p+0, -0x1.dde738e72a95bp-13, 0x1.ecadef9fa5ed9p-10, 0x1.a9d12e173143cp-3}, 
      }}, 
      -0x1.1beca1295ca62p+2, 0x1.8f4a3e7c2cf43p+4
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_h_zn() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.177f157737746p-4, 0x1.2a02e4ebe69dfp-4, 0x1.3aa04856baa1dp-4, 0x1.4963d1cc5b86ep-4, 0x1.5661004d2a6acp-4, 0x1.61a87ac59501bp-4, 0x1.6b56322861c4ep-4, 0x1.737be10a8ca99p-4, 0x1.7a3584e8e30edp-4, 0x1.7fa16c0e78259p-4, 0x1.83ccae6026a7ep-4, 0x1.86d865b22076p-4, 0x1.88daf75182435p-4, 0x1.89eb9efeb6f98p-4, 0x1.8a2008c156f53p-4, 0x1.898d665be1eb3p-4, 0x1.8848e99657d1ap-4, 0x1.8664bb1e62459p-4, 0x1.83f0ffbc88195p-4, 0x1.80ff3113ee1ep-4, 0x1.7da0a5e02ade2p-4, 0x1.79e2e6c7ef4bdp-4, 0x1.75d030b4d8884p-4, 0x1.71730e633ef8ap-4, 0x1.6cd8226d7c548p-4, 0x1.680c0d9fc8484p-4, 0x1.6318498b6579ep-4, 0x1.5e028782827f5p-4, 0x1.58cec6dabb6cp-4, 0x1.5381ff4978fe5p-4, 0x1.4e231d1febdf2p-4, 0x1.48ba1a38b97b6p-4, 0x1.434dfeb83c239p-4, 0x1.3de70cc2c5a61p-4, 0x1.3878e00f0cf12p-4, 0x1.330dcef0088aep-4, 0x1.2da833b60a8dfp-4, 0x1.2849f6c8d6e77p-4, 0x1.22f490742f878p-4, 0x1.1da92c8989f47p-4, 0x1.1868cbe8cb856p-4, 0x1.13344e72d0084p-4, 0x1.0e0c5c82242e8p-4, 0x1.08f1517163d83p-4, 0x1.03e32ffbbbe71p-4, 0x1.fdc37773829f5p-5, 0x1.f3d93c5ef21a2p-5, 0x1.ea072278fa9a9p-5, 0x1.e04caef5d59a9p-5, 0x1.d6a97c6572787p-5, 0x1.cd1cf2624336fp-5, 0x1.c3a61fc5f5c35p-5, 0x1.ba43aeb4e84ap-5, 0x1.b0f3ddd5ad18ap-5, 0x1.a7b508f18279p-5, 0x1.9e8529fec1534p-5, 0x1.95629f1b50cd2p-5, 0x1.8c4c01a3b0a31p-5, 0x1.83403c8fb011p-5, 0x1.7a3e9777798f2p-5, 0x1.71463335c7c1ap-5, 0x1.685678fef60eep-5, 0x1.5f6e870148b5ep-5, 0x1.568d03faa9894p-5, 0x1.4db07d4c2e6fep-5, 0x1.44d756806f912p-5, 0x1.3c0001d0192e2p-5, 0x1.33291e9f1a74dp-5, 0x1.2a51af2d6533cp-5, 0x1.217900de0572ap-5, 0x1.189ea4bbae59ep-5, 0x1.0fc276cf55c56p-5, 0x1.06e4651d7dd96p-5, 0x1.fc08d3c6659f5p-6, 0x1.ea4500aa9376ep-6, 0x1.d87d28cfcbe87p-6, 0x1.c6b13823dd59ep-6, 0x1.b4efa4a2b6f41p-6, 0x1.a318d66b2ab44p-6, 0x1.913b857d73a1ep-6, 0x1.7f57d1ff4d165p-6, 0x1.6d6e049680e52p-6, 0x1.5b7e8f59c4acdp-6, 0x1.498a41151cc95p-6, 0x1.3791f7757a7fep-6, 0x1.2596be7e5f042p-6, 0x1.1399b6f0c1cb1p-6, 0x1.019c1875a0c82p-6, 0x1.df3e6723553c2p-7, 0x1.bb486db84c6adp-7, 0x1.9758ef32fb8dbp-7, 0x1.73729ebbdbcdbp-7, 0x1.4f980ee1f97a3p-7, 0x1.2bcc50f0dcfc6p-7, 0x1.081212799f0fap-7, 0x1.c8d8cf636a7bbp-8, 0x1.81bd0a6971e07p-8, 0x1.3ad77d811f87cp-8, 0x1.e85d6593e0f17p-9, 0x1.5b942853f05c9p-9, 0x1.9ec37f0136337p-10, 0x1.0f544e677c6ap-11, -0x1.1c0a933c463dcp-11, -0x1.a22c03def9243p-10, -0x1.5a55cbba091fdp-9, -0x1.e2b2cae0cbd47p-9, -0x1.350ee7d6afaacp-8, -0x1.7844135f8f90dp-8, -0x1.baf1857c84102p-8, -0x1.fd103dfdbd0fp-8, -0x1.1f4c95728cf44p-7, -0x1.3fc2c8176c37ap-7, -0x1.5fe74523c2f74p-7, -0x1.7fb6eff4d1172p-7, -0x1.9f2e7e309b16cp-7, -0x1.be4ac0c79a6a6p-7, -0x1.dd08abc970d07p-7, -0x1.fb653f618dc3cp-7, -0x1.0caeb27ec755bp-6, -0x1.1b77258940a34p-6, -0x1.2a0a7a0e2b261p-6, -0x1.38678290afd8p-6, -0x1.468ca93a4b259p-6, -0x1.5478b85369aedp-6, -0x1.622a682d4cc47p-6, -0x1.6fa07d86de8f4p-6, -0x1.7cd9ce6b50fcp-6, -0x1.89d53ba02362ap-6, -0x1.9691ab3326378p-6, -0x1.a30e1eecad45ap-6, -0x1.af499830683c1p-6, -0x1.bb4351a893dc1p-6, -0x1.c6fa2331c6b05p-6, -0x1.d26d93bc9efe9p-6, -0x1.dd9cd1ba7bb56p-6, -0x1.e88737c453723p-6, -0x1.f32c233e57972p-6, -0x1.fd8b166b9146ep-6, -0x1.03d1ce18850fap-5, -0x1.08ba9e0f34d25p-5, -0x1.0d7fd28cdba62p-5, -0x1.12213f9e478dp-5, -0x1.169ec5aef4fc1p-5, -0x1.1af845abe0882p-5, -0x1.1f2daa8a31061p-5, -0x1.233ee3ed0e181p-5, -0x1.272be5a86f15ap-5, -0x1.2af4aabed2171p-5, -0x1.2e9936c9fb31ep-5, -0x1.32198a942c6c8p-5, -0x1.3575b5487252ep-5, -0x1.38adc67b448ecp-5, -0x1.3bc1d50af26f8p-5, -0x1.3eb1fe64a4d12p-5, -0x1.417e630405605p-5, -0x1.44272eedf0b49p-5, -0x1.46ac8b3267481p-5, -0x1.490eaf0febe66p-5, -0x1.4b4dc8507fc95p-5, -0x1.4d6a1da95f804p-5, -0x1.4f63ec42b5886p-5, -0x1.513b7d551443dp-5, -0x1.52f1199abc201p-5, -0x1.548510bc63196p-5, -0x1.55f7b817a936cp-5, -0x1.5741001ba7afdp-5, -0x1.5871e063a9ef2p-5, -0x1.59828cce45812p-5, -0x1.5a735e9a87fe1p-5, -0x1.5b44bf9f585cep-5, -0x1.5bf719d7e0f9fp-5, -0x1.5c8ad684fb341p-5, -0x1.5d00667535669p-5, -0x1.5d583974ee529p-5, -0x1.5d92c72a85f64p-5, -0x1.5db08694446acp-5, -0x1.5db1f1d7409bp-5, -0x1.5d9787153f049p-5, -0x1.5d61c438823b7p-5, -0x1.5d112d2d6a486p-5, -0x1.5ca63ce5c3cd6p-5, -0x1.5c2186cf37ce1p-5, -0x1.5b837d1179c1p-5, -0x1.5accb375188d5p-5, -0x1.59fdb67fec1ddp-5, -0x1.591708f36f9ecp-5, -0x1.5819370645ep-5, -0x1.5704cdcae718bp-5, -0x1.55da57b3e6b72p-5, -0x1.549a627bcc659p-5, -0x1.53457b268b20ap-5, -0x1.51dc2e2a54bb6p-5, -0x1.505f096ff666p-5, -0x1.4ece9c9a443cap-5, -0x1.4d2b7263ce324p-5, -0x1.4b761a2ab4c66p-5, -0x1.49af206ce9d82p-5, -0x1.47d712c085b16p-5, -0x1.45ee7c8a5185bp-5, -0x1.43f5e5e6e1356p-5, -0x1.41ede7c539185p-5, -0x1.3fd7020b5d9bap-5, -0x1.3db1c05994ccfp-5, -0x1.3b7ea9fd9bd41p-5, -0x1.393e4a81bca71p-5, -0x1.36f1268619a6cp-5, -0x1.3497c4d61f90dp-5, -0x1.3232ab9de3c87p-5, -0x1.2fc25f51aca5p-5, -0x1.2d4756b4bbf7dp-5, -0x1.2ac21f2c3e2a3p-5, -0x1.28332ac9ddf07p-5, -0x1.259b14509f58ep-5, -0x1.22fa2c9296b06p-5, -0x1.20511af0293bp-5, -0x1.1da02bdf1cc3bp-5, -0x1.1ae7ee908b638p-5, -0x1.1828d21f0bd11p-5, -0x1.156347d6c5fedp-5, -0x1.1297c5bafcef1p-5, -0x1.0fc6b41ecff24p-5, -0x1.0cf08138c634fp-5, -0x1.0a15980a37149p-5, -0x1.07365f321e9cp-5, -0x1.045341d96725ep-5, -0x1.016c9e7ef26ap-5, -0x1.fd05b42ae6865p-6, -0x1.f72ca95e957ep-6, -0x1.f14ed43ace49p-6, -0x1.eb6ceedc697a7p-6, -0x1.e587ad405583cp-6, -0x1.df9fa500dd861p-6, -0x1.d9b5c08cdf285p-6, -0x1.d3ca637de60d8p-6, -0x1.cdde53ad86152p-6, -0x1.c7f22be7cc52cp-6, -0x1.c20672e64e95cp-6, -0x1.bc1bc027bb17fp-6, -0x1.b632be9b5d85bp-6, -0x1.b04be30fe8725p-6, -0x1.aa67c18af69c9p-6, -0x1.a486d98b0b71fp-6, -0x1.9ea9b44507973p-6, -0x1.98d0c54b2a4f7p-6, -0x1.92fc8c335a012p-6, -0x1.8d2d7f7bb4fe2p-6, -0x1.87640f8b3ec7fp-6, -0x1.81a08a6e28de8p-6, -0x1.7be3be1c3a808p-6, -0x1.762dafb0aaafcp-6, -0x1.707ee30b4d79dp-6, -0x1.6ad7bb4a997e7p-6, -0x1.653897c497d5bp-6, -0x1.5fa1cb9f07fa5p-6, -0x1.5a13b3333e942p-6, -0x1.548e9d9a8ba7ep-6, -0x1.4f12e3ad450f5p-6, -0x1.49a0ccaae9121p-6, -0x1.4438a48cad2e3p-6, -0x1.3edaafeb9f0dap-6, -0x1.3987380b816ebp-6, -0x1.343e7f875542p-6, -0x1.2f00ca2e6eaeep-6, -0x1.29ce37e4497c9p-6, -0x1.24a726cf195fdp-6, -0x1.1f8bbb6088564p-6, -0x1.1a7c23d8af118p-6, -0x1.15789c7fbe328p-6, -0x1.10815008f55p-6, -0x1.0b96653f97702p-6, -0x1.06b8126595669p-6, -0x1.01e67d8db09c9p-6, -0x1.fa435f6095dc3p-7, -0x1.f0d3bc8e75b2p-7, -0x1.e77e5bbb56557p-7, -0x1.de437178bd6b5p-7, -0x1.d5232daebf361p-7, -0x1.cc1db664167d5p-7, -0x1.c33329e54fbc6p-7, -0x1.ba640c6d4921ap-7, -0x1.b1b0134577888p-7, -0x1.a9178bdc6f00ep-7, -0x1.a09a9e917252fp-7, -0x1.98392a17f85fp-7, -0x1.8ff376302a544p-7, -0x1.87c984bd5556dp-7, -0x1.7fbb6f20ab7b6p-7, -0x1.77c91724c119ep-7, -0x1.6ff29e354c8b4p-7, -0x1.6837fa64d3a92p-7, -0x1.6099235758e3bp-7, -0x1.591625af945a3p-7, -0x1.51aee98325619p-7, -0x1.4a637e29bbb3dp-7, -0x1.433386c005211p-7, -0x1.3c1f38dc9ab1bp-7, -0x1.35266c6c3f7fbp-7, -0x1.2e490455a5296p-7, -0x1.2786ec4a98297p-7, -0x1.20dfffc904827p-7, -0x1.1a542475bdf19p-7, -0x1.13e3318ab040fp-7, -0x1.0d8d083011876p-7, -0x1.07517fcd4cfe5p-7, -0x1.013071cefad56p-7, -0x1.f6535d5a51fb7p-8, -0x1.ea7a0cf2acd08p-8, -0x1.ded4a07f9ac1bp-8, -0x1.d362c5a43d867p-8, -0x1.c823fc8c261ccp-8, -0x1.bd17f1d33ed0ap-8, -0x1.b23e415c24c1p-8, -0x1.a79667b462313p-8, -0x1.9d2003914cd98p-8, -0x1.92da982b34988p-8, -0x1.88c5ba1e91b75p-8, -0x1.7ee0f628009d8p-8, -0x1.752bd35025a74p-8, -0x1.6ba5d813cab3p-8, -0x1.624e7d7018ac5p-8, -0x1.5925520505393p-8, -0x1.5029d86f31556p-8, -0x1.475b7844082e1p-8, -0x1.3eb9dd52bec45p-8, -0x1.364453eba24c1p-8, -0x1.2dfa88658f082p-8, -0x1.25dbd8583fee3p-8, -0x1.1de7c4acce5c5p-8, -0x1.161dd61a20582p-8, -0x1.0e7d6c5766e2bp-8, -0x1.07061a5d86932p-8, -0x1.ff6eb78d19852p-9, -0x1.f1213a1b58723p-9, -0x1.e322a123e49ccp-9, -0x1.d57210682228cp-9, -0x1.c80e5eca93215p-9, -0x1.baf67127d884bp-9, -0x1.ae296beace33dp-9, -0x1.a1a61b03800cap-9, -0x1.956afc1691dep-9, -0x1.89786ccadcf5dp-9, -0x1.7df8726f2fd3ap-9, -0x1.729ec6407bacfp-9, -0x1.6789b134a1bdcp-9, -0x1.5cb7b224efbd3p-9, -0x1.5227bea0c0e6p-9, -0x1.47d8631054448p-9, -0x1.3dc8d6f9ec946p-9, -0x1.33f7d237e231bp-9, -0x1.2a64371fccd61p-9, -0x1.210cba46df72bp-9, -0x1.17f013a3abda1p-9, -0x1.0f0db4c98e765p-9, -0x1.0663f3e65e96cp-9, -0x1.fbe4086603f83p-10, -0x1.eb6d4ef821857p-10, -0x1.db61a56c3cb3bp-10, -0x1.cbbf1567f9a6p-10, -0x1.bc83683c0a13dp-10, -0x1.adad33b192ebdp-10, -0x1.9f38ec22145ddp-10, -0x1.912669658ed84p-10, -0x1.8372d06405d79p-10, -0x1.761c84f7d51d6p-10, -0x1.6921ad4894522p-10, -0x1.5c80909dd4ap-10, -0x1.50375483e8ea4p-10, -0x1.44443741e4325p-10, -0x1.38a5afe0e30a4p-10, -0x1.2d59d3d315c1ep-10, -0x1.225f97490dcd3p-10, -0x1.17b4ce7d8276ap-10, -0x1.0d583a5cf4705p-10, -0x1.0347fc4f79b33p-10, -0x1.f305abf56e8d1p-11, -0x1.e00e80426ed19p-11, -0x1.cda740d5015d1p-11, -0x1.bbccfb777471cp-11, -0x1.aa7cc1f3305c8p-11, -0x1.99b44b7be39a5p-11, -0x1.896ff84820073p-11, -0x1.79ad5077c3915p-11, -0x1.6a69e54aa5bap-11, -0x1.5ba1a0f4629edp-11, -0x1.4d536256cba72p-11, -0x1.3f7c2eba7d114p-11, -0x1.3217da36d7891p-11, -0x1.25250301a4ff1p-11, -0x1.18a110f999509p-11, -0x1.0c89932b0a0b3p-11, -0x1.00daff9806173p-11, -0x1.eb283f588deb8p-12, -0x1.d5616ebc4cecp-12, -0x1.c06077965b132p-12, -0x1.ac1d5ad3de327p-12, -0x1.98974eab5f572p-12, -0x1.85c4ce7199b19p-12, -0x1.73a324c511b34p-12, -0x1.622f4377bdedcp-12, -0x1.51621b179f222p-12, -0x1.4138fcb257e1ep-12, -0x1.31ad28247ae48p-12, -0x1.22bfe1fc39b4cp-12, -0x1.1467e9b9f9496p-12, -0x1.06a1e7d3b6891p-12, -0x1.f2d21ca6b5d7p-13, -0x1.d976b94f2547cp-13, -0x1.c128db812c38dp-13, -0x1.a9df857d010ddp-13, -0x1.93945ac9dda09p-13, -0x1.7e3ef9859f9dp-13, -0x1.69d7b01768eap-13, -0x1.5658fae5e899ep-13, -0x1.43bc11e424fbdp-13, -0x1.31f845e8372ccp-13, -0x1.210771efb1057p-13, -0x1.10e2af061eb96p-13, -0x1.018489963be33p-13, -0x1.e5ccd4e893a1dp-14, -0x1.ca03472d0fcb6p-14, -0x1.afa4092c25e14p-14, -0x1.969e0535aab92p-14, -0x1.7ee955767ef86p-14, -0x1.68785d1a9561cp-14, -0x1.534293737edfp-14, -0x1.3f3f500b12232p-14, -0x1.2c5d9c3773ac1p-14, -0x1.1a92b7276bea4p-14, -0x1.09d9e52a34a1cp-14, -0x1.f44748b5b094dp-15, -0x1.d6ecd19ef6fd3p-15, -0x1.bb6e120f15f49p-15, -0x1.a1c4b9765dbd9p-15, -0x1.89e166e7151b8p-15, -0x1.73aa90b7b8d8cp-15, -0x1.5f1a5e3ed2f61p-15, -0x1.4c1c58b26e55ep-15, -0x1.3a9641e3d9cdfp-15, -0x1.2a918bbe4ae9fp-15, -0x1.1be3292e4d46bp-15, -0x1.0e8c6422729c7p-15, -0x1.02806f79c9da5p-15, -0x1.ef50fff9fbd15p-16, -0x1.dbe3a787f70c5p-16, -0x1.cabdb45dda774p-16, -0x1.bbb55b598d523p-16, -0x1.aeb4864cf64c1p-16, -0x1.a39d8132866bap-16, -0x1.9a5fc82403383p-16, -0x1.92f3c981d0f6cp-16, -0x1.8d110da0829aap-16, -0x1.88c61a55f3973p-16, -0x1.860372bd78e61p-16, -0x1.84a3ecff14fcap-16, -0x1.84a2cf3594659p-16, -0x1.85de30e26fe63p-16, -0x1.884da79d9f8e5p-16, -0x1.8bf97acaf4361p-16, -0x1.906fcddbb1fbbp-16, -0x1.9602a45ac1bf3p-16, -0x1.9c85d71e74caap-16, -0x1.a3de03b1090f9p-16, -0x1.ac15850b143dap-16, -0x1.b4f535ab3287ep-16, -0x1.be7e9fb029167p-16, -0x1.c8b4140a1a285p-16, -0x1.d37dee013e44p-16, -0x1.decf63a2ba0a8p-16, -0x1.ea98c0126165p-16, -0x1.f6ed81071b8e5p-16, -0x1.01bb71746aa9cp-15, -0x1.0836e154244bfp-15, -0x1.0ed93427a5779p-15, -0x1.159d4b091abd4p-15, -0x1.1c7efa80682fdp-15, -0x1.2378bfaeea048p-15, -0x1.2a80331cfcee6p-15, -0x1.31a281c3f02f6p-15, -0x1.38b3022322ed2p-15, -0x1.3ff6ce05b24cbp-15, -0x1.4729dfd00788p-15, -0x1.4e5c60f9d7e7fp-15, -0x1.55895523d5c3ep-15, -0x1.5ca4ef5f9451p-15, -0x1.63cb64627a635p-15, -0x1.6adb169d53de6p-15, -0x1.71d9a94fbe85p-15, -0x1.78c4623248d0ap-15, -0x1.7f9a5edc39318p-15, -0x1.864f4440c57b4p-15, -0x1.8cff69a305f2fp-15, -0x1.938499e58dea3p-15, -0x1.99e6e6a998bfep-15, -0x1.a037769c14c7fp-15, -0x1.a653332525977p-15, -0x1.ac59d490e91c9p-15, -0x1.b23380bd9f346p-15, -0x1.b7e7305a108a9p-15, -0x1.bd6f5e6b685bcp-15, -0x1.c2d12ec444446p-15, -0x1.c809194b2f0c4p-15, -0x1.cd115f99718f1p-15, -0x1.d1eb9515f91d2p-15, -0x1.d69b96a9efad3p-15, -0x1.db1957f7b57f3p-15, -0x1.df65d65d79cc8p-15, -0x1.e3848ff2d5498p-15, -0x1.e789ef58da18p-15, -0x1.eb2e2c1161ca6p-15, -0x1.eeb69ae3f804cp-15, -0x1.f20578cf48de6p-15, -0x1.f52d9dc4ff12p-15, -0x1.f81e840fe7d25p-15, -0x1.fad8081053bc8p-15, -0x1.fd612fdf4d255p-15, -0x1.ffb636072ab1ap-15, -0x1.00ec339510a64p-14, -0x1.01e3765e6e72fp-14, -0x1.02be12fc24db9p-14, -0x1.03827ebe062ecp-14, -0x1.042d222dfaba2p-14, -0x1.04af6d83a76d8p-14, -0x1.0511b9f2b7e22p-14, -0x1.05889d36cdd36p-14, -0x1.05d54051945edp-14, -0x1.0601b0d58a6bcp-14, -0x1.06135aec195ffp-14, -0x1.060ee81691165p-14, -0x1.05f03403ddd4p-14, -0x1.05bbffee9d718p-14, -0x1.056d855e4f65ap-14, -0x1.0508fa24ffda8p-14, -0x1.048cbc7b35156p-14, -0x1.03f6ae7d89761p-14, -0x1.0353ed3fca525p-14, -0x1.02904deffcbd2p-14, -0x1.01bd6be513f5ep-14, -0x1.00d29c7eb1f79p-14, -0x1.ffa4fbb63408dp-15, -0x1.fd74e504a5b72p-15, -0x1.fb2aeb714d3d9p-15, -0x1.f8b4957d5e715p-15, -0x1.f6123b3405608p-15, -0x1.f34c4e55963d2p-15, -0x1.f062a0622b975p-15, -0x1.ed4843e5cc7dep-15, -0x1.ea1be7cc7f32fp-15, -0x1.e6e1ffae5aeep-15, -0x1.e346d329d0c45p-15, -0x1.dfbb71468477cp-15, -0x1.dbefb994ee7dbp-15, -0x1.d818000fef081p-15, -0x1.d420fe3703026p-15, -0x1.d00022a653d55p-15, -0x1.cbd06c28f71c8p-15, -0x1.c77de1a1947dcp-15, -0x1.c311ef7354bbdp-15, -0x1.be88998a18239p-15, -0x1.b9eb56b6aa1dbp-15, -0x1.b52fa826dcd2fp-15, -0x1.b05c6a4bf36c7p-15, -0x1.ab78101925f35p-15, -0x1.a676d56b69b85p-15, -0x1.a16ac6bd12cdfp-15, -0x1.9c3e7dd21fb34p-15, -0x1.9703e32a49692p-15, -0x1.91af87c1a1cd5p-15, -0x1.8c52ab9e40b3ep-15, -0x1.86df2408a74efp-15, -0x1.8162b0e476eaap-15, -0x1.7bec6b5d451dbp-15, -0x1.762f020916944p-15, -0x1.707e4c800bf97p-15, -0x1.6ac6a2b15cd1ap-15, -0x1.64fd90cfa1f72p-15, -0x1.5f2ce43d9917ap-15, -0x1.594f372dadb8ap-15, -0x1.5366f68a163fap-15, -0x1.4d74a57c4401cp-15, -0x1.4781b675b1187p-15, -0x1.417b4f88a8979p-15, -0x1.3b761e17a360dp-15, -0x1.3572c9d765e87p-15, -0x1.2f462379ac11fp-15, -0x1.29186b3053cc9p-15, -0x1.231da30059a35p-15, -0x1.1d009363a4358p-15, -0x1.16dc4dd5c70f4p-15, -0x1.10ce95ddbc202p-15, -0x1.0a9a2f274e4bep-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.0726892bc814ep-4, 0x1.1cb62150e91d3p-4, 0x1.313619baf4b6cp-4, 0x1.44a4fd155481bp-4, 0x1.5703c13d0536ap-4, 0x1.68553560d7f54p-4, 0x1.789df7cce5c01p-4, 0x1.87e35247c35dfp-4, 0x1.962d094dfde1fp-4, 0x1.a381e5c7d62b5p-4, 0x1.afea178131079p-4, 0x1.bb6f9061f6ff3p-4, 0x1.c61a5a914f7f3p-4, 0x1.cff40c06a7285p-4, 0x1.d90603c225fbcp-4, 0x1.e159b44ca4523p-4, 0x1.e8f86af76328cp-4, 0x1.efeb4594a424cp-4, 0x1.f63b4c0ef0008p-4, 0x1.fbf16c25cd5a8p-4, 0x1.008b106eb816p-3, 0x1.02d8bece10ccfp-3, 0x1.04e5baf587f4dp-3, 0x1.06b5e625284d9p-3, 0x1.084cfac178a9ap-3, 0x1.09ae705bdc093p-3, 0x1.0add8addd753p-3, 0x1.0bdd652b6123ap-3, 0x1.0cb0f933ba226p-3, 0x1.0d5b39dccbdecp-3, 0x1.0ddeef40d40dfp-3, 0x1.0e3ea9be51f3fp-3, 0x1.0e7cbefcb4c84p-3, 0x1.0e9b317cc4f17p-3, 0x1.0e9c652c437ccp-3, 0x1.0e82453b44252p-3, 0x1.0e4eb04db85f2p-3, 0x1.0e0365b9fdca6p-3, 0x1.0da20816a6bbap-3, 0x1.0d2c20e8ccd9p-3, 0x1.0ca31ae0830b6p-3, 0x1.0c084d4294778p-3, 0x1.0b5cf3e0576acp-3, 0x1.0aa236256fa04p-3, 0x1.09d9263a23239p-3, 0x1.0902bfa1da59fp-3, 0x1.081ff408e2d21p-3, 0x1.07319bb24caedp-3, 0x1.063882e235d34p-3, 0x1.0535664f592b8p-3, 0x1.0428f27faf032p-3, 0x1.0313c52a02f95p-3, 0x1.01f6732547679p-3, 0x1.00d17d0e89578p-3, 0x1.ff4acf0462475p-4, 0x1.fce544e366599p-4, 0x1.fa73328b95383p-4, 0x1.f7f55a786d7d7p-4, 0x1.f56c700af6365p-4, 0x1.f2d9128445b1cp-4, 0x1.f03bd94ac6b69p-4, 0x1.ed954e1645d79p-4, 0x1.eae5f0b7d45a4p-4, 0x1.e82e304422d88p-4, 0x1.e56e74b85aebep-4, 0x1.e2a71c0e75f49p-4, 0x1.dfd87bea16e4ep-4, 0x1.dd02eaffaaa04p-4, 0x1.da26a6f90b9cfp-4, 0x1.d7440b3d3371bp-4, 0x1.d45b4b7005a1dp-4, 0x1.d16cab51168d7p-4, 0x1.ce78611971e63p-4, 0x1.cb7e9e9c9bfcep-4, 0x1.c87f9002484cp-4, 0x1.c57b616a09263p-4, 0x1.c27234a5e96a7p-4, 0x1.bf641521e20edp-4, 0x1.bc5158dfab7bep-4, 0x1.b93a16733f2f4p-4, 0x1.b61e66de53f4p-4, 0x1.b2fe709405e8ep-4, 0x1.afda4ed040c55p-4, 0x1.acb22289cc04fp-4, 0x1.a986095c0904ep-4, 0x1.a6562105473dfp-4, 0x1.a3228841705dp-4, 0x1.9feb5c942b2a2p-4, 0x1.9cb0b62824f8ap-4, 0x1.9972ba39fb7bp-4, 0x1.963186c61f426p-4, 0x1.92ed336d0ccd7p-4, 0x1.8fa5e13d34683p-4, 0x1.8c5bb43dffba8p-4, 0x1.890ec66c46721p-4, 0x1.85bf38346d6cdp-4, 0x1.826d29f1b6bfp-4, 0x1.7f18baac8e851p-4, 0x1.7bc20d963d26ap-4, 0x1.7869428c17369p-4, 0x1.750e7b97aa8bbp-4, 0x1.71b1db5ce1c99p-4, 0x1.6e5383a294fcap-4, 0x1.6af39d0e34f21p-4, 0x1.6792466f16e42p-4, 0x1.642fa65868dd2p-4, 0x1.60cbe2e248d17p-4, 0x1.5d6720ab27d02p-4, 0x1.5a01853e7ab55p-4, 0x1.569b39e223d6ap-4, 0x1.533462054fd59p-4, 0x1.4fcd26bc16c99p-4, 0x1.4c65aa043da73p-4, 0x1.48fe1a6a7424fp-4, 0x1.45969cdaf3092p-4, 0x1.422f578322574p-4, 0x1.3ec872bfb858ep-4, 0x1.3b62166269de5p-4, 0x1.37fc6b13735b7p-4, 0x1.349798f6b16ffp-4, 0x1.3133c61ab952bp-4, 0x1.2dd11e07d3158p-4, 0x1.2a6fc4948c28p-4, 0x1.270fe4e80e19cp-4, 0x1.23b1a4a8edc3ep-4, 0x1.20552b404604ap-4, 0x1.1cfaa0d063f6ep-4, 0x1.19a22a8e13228p-4, 0x1.164bf03f5b6e5p-4, 0x1.12f8189e057adp-4, 0x1.0fa6c7db153f2p-4, 0x1.0c5826dbd6047p-4, 0x1.090c59a7face9p-4, 0x1.05c37f4279da1p-4, 0x1.027dc3546b7dap-4, 0x1.fe768ea004d79p-5, 0x1.f7f8582029952p-5, 0x1.f1812df009dc5p-5, 0x1.eb11549d5f177p-5, 0x1.e4a90af0028bbp-5, 0x1.de4897a2d7ea9p-5, 0x1.d7f03768ec627p-5, 0x1.d1a02b77956ecp-5, 0x1.cb58b3826e8bfp-5, 0x1.c51a0a55ffbfdp-5, 0x1.bee46bfabdf8bp-5, 0x1.b8b8133b7c992p-5, 0x1.b29537874c5bep-5, 0x1.ac7c14663804dp-5, 0x1.a66cdb85094a1p-5, 0x1.a067ba71ca747p-5, 0x1.9a6cfd0754c7dp-5, 0x1.947cbcc654459p-5, 0x1.8e9730216f72ep-5, 0x1.88bc85fc90aa7p-5, 0x1.82ecee079b676p-5, 0x1.7d28904775128p-5, 0x1.776f98e228797p-5, 0x1.71c22b6951555p-5, 0x1.6c20737ef99f3p-5, 0x1.668a933f96702p-5, 0x1.6100b0fa48a1ep-5, 0x1.5b82eab6bcbe2p-5, 0x1.5611654d3dfc5p-5, 0x1.50ac3b36001ffp-5, 0x1.4b5261ce8071bp-5, 0x1.46062c2b2cf79p-5, 0x1.40c6a6b5bcaecp-5, 0x1.3b93e7d378993p-5, 0x1.366e07c61dfa3p-5, 0x1.31551ac60f1a5p-5, 0x1.2c49356597dffp-5, 0x1.274a6b8975b86p-5, 0x1.2258cac2f3339p-5, 0x1.1d746625c1f6cp-5, 0x1.189d4adf531fbp-5, 0x1.13d3857fae6ecp-5, 0x1.0f1721b04948cp-5, 0x1.0a68288cfa66dp-5, 0x1.05c6a38fc1523p-5, 0x1.0132994d1fc8p-5, 0x1.f958108deca3dp-6, 0x1.f066192dac476p-6, 0x1.e78f22e2c9cc7p-6, 0x1.ded345589e509p-6, 0x1.d6327d51965d6p-6, 0x1.cdaccac50738ep-6, 0x1.c5422c9c5320cp-6, 0x1.bcf29b0ab40b1p-6, 0x1.b4be0e682bf88p-6, 0x1.aca47db0553bep-6, 0x1.a4a5db447ecb2p-6, 0x1.9cc21610f64a5p-6, 0x1.94f9250a50205p-6, 0x1.8d4aeb228e282p-6, 0x1.85b75d483583fp-6, 0x1.7e3e5d7a18204p-6, 0x1.76dfd5dd9c1f8p-6, 0x1.6f9baaeac1212p-6, 0x1.6871c2f136d4p-6, 0x1.6161f8f564319p-6, 0x1.5a6c33cf069f6p-6, 0x1.53904cf46684cp-6, 0x1.4cce2980e5fb4p-6, 0x1.462598a5f3db1p-6, 0x1.3f967d0c76b9cp-6, 0x1.3920abd73666p-6, 0x1.32c3fa76d6a0bp-6, 0x1.2c803eb0071d5p-6, 0x1.26555183e2c53p-6, 0x1.2042ff5852605p-6, 0x1.1a491dbed4288p-6, 0x1.146778e33bfb6p-6, 0x1.0e9de5e9343ep-6, 0x1.08ec2c214a454p-6, 0x1.03522125b02afp-6, 0x1.fb9f17a7e1f76p-7, 0x1.f0c86e256bc0dp-7, 0x1.e61fe11518b33p-7, 0x1.dba4f8e5a9011p-7, 0x1.d1575c9c9e174p-7, 0x1.c73682fa72a38p-7, 0x1.bd420c649537fp-7, 0x1.b379804f3e8bdp-7, 0x1.a9dc693b1eb89p-7, 0x1.a06a5ba328236p-7, 0x1.9722d2c1af374p-7, 0x1.8e056c7cb287ap-7, 0x1.8511a1ebda8c1p-7, 0x1.7c46ff33a553dp-7, 0x1.73a50bc73d5f1p-7, 0x1.6b2b559b81b1ep-7, 0x1.62d956067da7dp-7, 0x1.5aae9d4d2c2c7p-7, 0x1.52aaad0136235p-7, 0x1.4acd096e70d33p-7, 0x1.43153abdb4accp-7, 0x1.3b82c8c2dfc58p-7, 0x1.341531aaa5ab9p-7, 0x1.2ccbfbefb482ep-7, 0x1.25a6b4fef89e9p-7, 0x1.1ea4dc2ddf7bap-7, 0x1.17c5f1832a2bcp-7, 0x1.110983b0b061dp-7, 0x1.0a6f12d938032p-7, 0x1.03f629ad6b0a2p-7, 0x1.fb3c95b07c21cp-8, 0x1.eece3a27ab096p-8, 0x1.e29fac11bcc17p-8, 0x1.d6b0a4719bf5p-8, 0x1.caffe4dff2b05p-8, 0x1.bf8ca8b16e208p-8, 0x1.b455d93b3b74dp-8, 0x1.a95aad09df774p-8, 0x1.9e9a2b34687afp-8, 0x1.9413751f0d67bp-8, 0x1.89c5995d857e3p-8, 0x1.7fafb7a90f50ep-8, 0x1.75d0f7ef84033p-8, 0x1.6c286f7210a5bp-8, 0x1.62b53cc654775p-8, 0x1.59768c24fa894p-8, 0x1.506b71d84c67ap-8, 0x1.47931f9ab4404p-8, 0x1.3eecbc67fd0f2p-8, 0x1.36776f48c33fdp-8, 0x1.2e3264fae9657p-8, 0x1.261cc513aed24p-8, 0x1.1e35cb581ee16p-8, 0x1.167cab9911c2ap-8, 0x1.0ef073a767f0cp-8, 0x1.079088dab2ddep-8, 0x1.005c034e4590cp-8, 0x1.f2a460ab02f11p-9, 0x1.e4e48a542b04bp-9, 0x1.d776df3ab8ddcp-9, 0x1.ca59f4fad5269p-9, 0x1.bd8c707f82e4ep-9, 0x1.b10cada1508eap-9, 0x1.a4d93c8a3888fp-9, 0x1.98f0be323409dp-9, 0x1.8d51beab5d1dp-9, 0x1.81fac4da722e4p-9, 0x1.76ea9a5c2d4bcp-9, 0x1.6c1fb09920a6p-9, 0x1.6198e44d6db7cp-9, 0x1.5754a58969f1cp-9, 0x1.4d51c9bc43a48p-9, 0x1.438ee39b72731p-9, 0x1.3a0ad8bf48434p-9, 0x1.30c4437ef1aa3p-9, 0x1.27b9ed912ab89p-9, 0x1.1eea86c8e0b88p-9, 0x1.16546d708d62bp-9, 0x1.0df8052f4ebcfp-9, 0x1.05d27b8e93483p-9, 0x1.fbc655ba3bbe1p-10, 0x1.ec51f4917f9fap-10, 0x1.dd458e1cdf238p-10, 0x1.ce9ef0af930dbp-10, 0x1.c05bde41a826bp-10, 0x1.b27a05de6646ep-10, 0x1.a4f78f7e94a5ep-10, 0x1.97d2407625beep-10, 0x1.8b08085b1fd7ep-10, 0x1.7e96fff3435ecp-10, 0x1.727d27eb9b4b8p-10, 0x1.66b84b418a2cfp-10, 0x1.5b46b065d1f92p-10, 0x1.5026866e44a49p-10, 0x1.4555c94d11c4bp-10, 0x1.3ad2ad100c135p-10, 0x1.309b799912ed6p-10, 0x1.26ae5285215b5p-10, 0x1.1d098f767a308p-10, 0x1.13ab681fabe0bp-10, 0x1.0a92438cc83e8p-10, 0x1.01bc7b1c7855p-10, 0x1.f250e89774bd4p-11, 0x1.e1a92c8bcae15p-11, 0x1.d17e4db8150efp-11, 0x1.c1cd88374c1c5p-11, 0x1.b2943c4817151p-11, 0x1.a3d02f433eb8p-11, 0x1.957b7e6a7989ap-11, 0x1.87967ed33c9aap-11, 0x1.7a1cbfe6413ccp-11, 0x1.6d0c197e0cc56p-11, 0x1.6061f3abf0268p-11, 0x1.541b83796856dp-11, 0x1.48364b4e35296p-11, 0x1.3cafc7b80b5ecp-11, 0x1.3185b57c88b87p-11, 0x1.26b4efa26ffc7p-11, 0x1.1c3bfccd49c1cp-11, 0x1.121831061ae05p-11, 0x1.08475db8f2c2fp-11, 0x1.fd8dc6d290205p-12, 0x1.eb2b3493e1bbdp-12, 0x1.d961081d9afa5p-12, 0x1.c82b4461ed333p-12, 0x1.b7a9ff4289a9bp-12, 0x1.a79700b29ecbfp-12, 0x1.9809f52b4126p-12, 0x1.890007f4a0858p-12, 0x1.7a7792e272c5bp-12, 0x1.6c6d27eac161p-12, 0x1.5edc7a215156p-12, 0x1.51c2465855245p-12, 0x1.451b0a8932ef1p-12, 0x1.38e3a7cc7cbe4p-12, 0x1.2d17e666efb1dp-12, 0x1.21b7581e54d07p-12, 0x1.16bc38ca4495p-12, 0x1.0c2440b7dc0bep-12, 0x1.01eca64c4d97bp-12, 0x1.f0252e6d07501p-13, 0x1.dd25cd8508033p-13, 0x1.cadaabcd1505bp-13, 0x1.b930d1fdd6989p-13, 0x1.a83313ebd447cp-13, 0x1.97d3c2d7d9ef8p-13, 0x1.8810118096ae9p-13, 0x1.78e2d39b71493p-13, 0x1.6a4742171475cp-13, 0x1.5c3b786154901p-13, 0x1.4eb5b821bab39p-13, 0x1.41b2f2d6c2f6bp-13, 0x1.353271914bcaap-13, 0x1.292e783243a07p-13, 0x1.1da171f213165p-13, 0x1.12899de86b56fp-13, 0x1.07def37f14a3ep-13, 0x1.fb4c9123656c4p-14, 0x1.e7a8890b396cap-14, 0x1.d4cfe34e443aap-14, 0x1.c2bbad60e7cfap-14, 0x1.b165a7041e51dp-14, 0x1.a0c6a10c8bef5p-14, 0x1.90d46e2cf21dbp-14, 0x1.8191463d0ef64p-14, 0x1.72f22ebb82f6dp-14, 0x1.64ef44f046603p-14, 0x1.578b74d2bc74bp-14, 0x1.4ab9570d8e02cp-14, 0x1.3e7096342494ep-14, 0x1.32b87e8c657aep-14, 0x1.2782ef84ee2cap-14, 0x1.1ccd34a416e9cp-14, 0x1.128fa9c970fafp-14, 0x1.08ca8984b2a07p-14, 0x1.feeae9eff8001p-15, 0x1.ed200055159bp-15, 0x1.dc23c24b30acfp-15, 0x1.cbec4f74fbff4p-15, 0x1.bc85126bd04a3p-15, 0x1.add003dc8451dp-15, 0x1.9fcfde2b64f4fp-15, 0x1.9279cc36360ddp-15, 0x1.85ca1564dcd8bp-15, 0x1.79b7a2e06873p-15, 0x1.6e48a3f26f07cp-15, 0x1.635367b45ec74p-15, 0x1.58ff2b759a81cp-15, 0x1.4f25f51db00f4p-15, 0x1.45c31e498a736p-15, 0x1.3ce37058965d7p-15, 0x1.34758b7e25f43p-15, 0x1.2caa0886ec60dp-15, 0x1.24e86733894f6p-15, 0x1.1dba04c72fef3p-15, 0x1.16eda925751ffp-15, 0x1.1074cf0ce56fcp-15, 0x1.0a677fb64d5edp-15, 0x1.049f62b1ae7a8p-15, 0x1.fe524212e602p-16, 0x1.f3fab7c3d5136p-16, 0x1.ea35de2ada217p-16, 0x1.e0f6ee0136e6dp-16, 0x1.d83f34a0caf7ep-16, 0x1.cfe448eb56d0fp-16, 0x1.c8260b2980441p-16, 0x1.c0bfe10010843p-16, 0x1.b9c5f8bd87c1ap-16, 0x1.b32918d303976p-16, 0x1.acf43fd9b6c07p-16, 0x1.a70bc7f50b765p-16, 0x1.a1667c6667bbfp-16, 0x1.9c26369fd714bp-16, 0x1.97222984df6fcp-16, 0x1.9260ce3e0beadp-16, 0x1.8de453b5ecbd4p-16, 0x1.8997d65032e83p-16, 0x1.8585768a90ad2p-16, 0x1.81af3acdeaa1dp-16, 0x1.7dfe8c01bebeep-16, 0x1.7a7b887c4d9adp-16, 0x1.771888176586ep-16, 0x1.73ed21d6ad87fp-16, 0x1.70d974730d64fp-16, 0x1.6de4e890e895ap-16, 0x1.6b0d0b483dde6p-16, 0x1.684c6020099e2p-16, 0x1.65a83c7d9a3b1p-16, 0x1.6314a9023e33bp-16, 0x1.6097eb9bf27d8p-16, 0x1.5e285a28af7d9p-16, 0x1.5bc5949c3bd7p-16, 0x1.59723e8ff3da2p-16, 0x1.5738388ded1a8p-16, 0x1.54e9c7ac7ce82p-16, 0x1.52aebc3b4f216p-16, 0x1.507af7d08ade8p-16, 0x1.4e4e0b66a6e2fp-16, 0x1.4c231655e223ep-16, 0x1.49f78fc1f1f61p-16, 0x1.47cddf559d04ap-16, 0x1.459f32ec11681p-16, 0x1.4379cd76de208p-16, 0x1.414a2e17facc6p-16, 0x1.3f1ba5af4c74fp-16, 0x1.3ce4ef39a0557p-16, 0x1.3ab2a20ec3ccep-16, 0x1.38712f0161638p-16, 0x1.362545d0463ecp-16, 0x1.33d8b9a517a74p-16, 0x1.3184e2466664ap-16, 0x1.2f28db0869dbep-16, 0x1.2cc90bc96d9d8p-16, 0x1.2a51187d4cc87p-16, 0x1.27e30e9f863fp-16, 0x1.25645d0c8b749p-16, 0x1.22df3bebdad2dp-16, 0x1.204b36213f696p-16, 0x1.1daf281987592p-16, 0x1.1b0a320995c3cp-16, 0x1.18537b8fd1c22p-16, 0x1.15a676b24bd59p-16, 0x1.12e1753b2f9a9p-16, 0x1.10111ce673b68p-16, 0x1.0d390afe6039p-16, 0x1.0a56322f11f58p-16, 0x1.076abf8842dbfp-16, 0x1.04741d47dd9e3p-16, 0x1.0174f7e68d9cfp-16, 0x1.fcda1ac7b39f2p-17, 0x1.f6b55c8862c94p-17, 0x1.f07f0f5de7f9dp-17, 0x1.ea3644c765b66p-17, 0x1.e3e0db09928c1p-17, 0x1.dd7d0d692dd1ep-17, 0x1.d6f2dc0da75aap-17, 0x1.d05886d7a266p-17, 0x1.c9cc1bd26306ep-17, 0x1.c3137a9c081a7p-17, 0x1.bc5e25f4351b3p-17, 0x1.b5972dcf3bc1p-17, 0x1.aebf4c4375d04p-17, 0x1.a811b42b0fcc8p-17, 0x1.a0ef5fa058dfap-17, 0x1.99f45f0e5f0bdp-17, 0x1.92f48e927ea59p-17, 0x1.8bde74b3f146ep-17, 0x1.84cbe27c6b318p-17, 0x1.7da6c6828673dp-17, 0x1.767e05d9d788dp-17, 0x1.6f616424e742p-17, 0x1.67fb40119bbp-17, 0x1.60de6b9a9bab5p-17, 0x1.59987e37b7413p-17, 0x1.524ac6b9dfb5cp-17, 0x1.4b0564ab36b51p-17, 0x1.43b4dbbd7bb0fp-17, 0x1.3c653ee8b4e57p-17, 0x1.3517fc04b22aap-17, 0x1.2dbe84614a2bbp-17, 0x1.2669c531506fcp-17, 0x1.1f1bc4ccf863cp-17, 0x1.17bf14fd83f9cp-17, 0x1.10763febbd6a6p-17, 0x1.09255c3edbbdp-17, 0x1.01ffeb34d2c1ep-17, 0x1.f3b847c18e419p-18, 0x1.e57b76cc47e4bp-18, 0x1.d810d8fbf404fp-18, 0x1.c9a75b12784e5p-18, 0x1.bb3f74a9c8285p-18, 0x1.ace90029770dbp-18, 0x1.9e9f79cfd0269p-18, 0x1.90630889a9f5p-18, 0x1.8236c1667deeep-18, 0x1.741c1eff41865p-18, 0x1.66125aeba996ap-18, 0x1.581ec7e3db149p-18, 0x1.4a598be332524p-18, 0x1.3c8ecaec7c317p-18, 0x1.2ecd8bfdaf29dp-18, 0x1.2141235aaceccp-18, 0x1.13c1b8f1148e1p-18, 0x1.065e3b28432cdp-18, 0x1.f232c6cab0844p-19, 0x1.d7c77c13de2d2p-19, 0x1.bdac77dfa674dp-19, 0x1.a3cfd11680298p-19, 0x1.8a26ebf614a9ep-19, 0x1.70aa8368043f3p-19, 0x1.57a8e519f092ap-19, 0x1.3e1e1c9d2a1d8p-19, 0x1.260841e6e5e02p-19, 0x1.0cb195fa3f17ep-19, 0x1.eade38d6eb274p-20, 0x1.bb25e12e349abp-20, 0x1.8c3b568f04d9fp-20, 0x1.5d38c35a56d3fp-20, 0x1.2f6649817613dp-20, 0x1.01fce11e5843ep-20, 0x1.aa4238670708fp-21, 0x1.51dff2cd7b7a9p-21, 0x1.f4de5ac705455p-22, 0x1.48d976d8cc62cp-22, 0x1.3eb5ec8219f8dp-23, -0x1.00285f14d34fcp-27, -0x1.5a030e9bb224cp-23, -0x1.4e3c7d1de7b32p-22, -0x1.eebaa6367cbeap-22, -0x1.459cdcde9ccc7p-21, -0x1.93238f4ddc94fp-21, -0x1.df0b4c75d92fap-21, -0x1.14cd74cf20236p-20, -0x1.39a0691943c6cp-20, -0x1.5e37e2260079bp-20, -0x1.80f15a43d654cp-20, -0x1.a365dbfa0781cp-20, -0x1.c5ab15a409e79p-20, -0x1.e707049d1edd6p-20, -0x1.03e17cf2f703p-19, -0x1.13e7472629d5fp-19, -0x1.23975751025bdp-19, -0x1.32f18acea221ap-19, -0x1.41f7aee7fa568p-19, -0x1.509d40a54fdecp-19, -0x1.5f19967857989p-19, -0x1.6d592ba03e2dp-19, -0x1.7aefdc1876494p-19, -0x1.87345f52a5859p-19, -0x1.951c80985733fp-19, -0x1.a1e132e009dfep-19, -0x1.ae40d5d5d839p-19, -0x1.ba8386b7442b8p-19, -0x1.c61a78d1987e9p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.a63e53c92cea1p-3, 0x1.a213380cb3976p-3, 0x1.9d59606c9a2f2p-3, 0x1.98167f202fac3p-3, 0x1.92516a89ccb8bp-3, 0x1.8c12d8ab45025p-3, 0x1.85630115e49d7p-3, 0x1.7e4c4bd59cf8bp-3, 0x1.76d7e80d7bffbp-3, 0x1.6f0e844cb0e55p-3, 0x1.66fb03f1546f5p-3, 0x1.5ea511ea8a451p-3, 0x1.5615dac75a694p-3, 0x1.4d5539b0e18e6p-3, 0x1.446abc5a2ed6ap-3, 0x1.3b5d50c3613adp-3, 0x1.32332d87f8c6cp-3, 0x1.28f23becbd1e1p-3, 0x1.1f9fee50126bfp-3, 0x1.1640d9901bc93p-3, 0x1.0cd8d58f67c5dp-3, 0x1.036b8dec484fdp-3, 0x1.f3f93af0cc624p-4, 0x1.e11dfe9262abcp-4, 0x1.ce49d429e8c11p-4, 0x1.bb801ccd9d14cp-4, 0x1.a8c443811e903p-4, 0x1.9619f815c4f48p-4, 0x1.8384b3712370ap-4, 0x1.7107166e17897p-4, 0x1.5ea28c2ca0326p-4, 0x1.4c579f3cd2ef7p-4, 0x1.3a26ad9d86208p-4, 0x1.280e8c1177bb6p-4, 0x1.16150052fb305p-4, 0x1.04385e04c1c99p-4, 0x1.e4f2223b83e17p-5, 0x1.c1aecb4aff50cp-5, 0x1.9ea73ae3e1d9ap-5, 0x1.7bdbdc500c754p-5, 0x1.594cce3596f18p-5, 0x1.36fa993014f31p-5, 0x1.14e511cb33878p-5, 0x1.e6191df2e8b44p-6, 0x1.a2e2df2f8db74p-6, 0x1.60284b1ae7306p-6, 0x1.1deaaf286d1bcp-6, 0x1.b8561bc408b81p-7, 0x1.35d4e238bc02cp-7, 0x1.68a80c702cecbp-8, 0x1.9eb1bd4be48efp-10, -0x1.2e84ba29677bbp-9, -0x1.941bb48ff2c32p-8, -0x1.476b54d96d3ebp-7, -0x1.c3b307e85e6a3p-7, -0x1.1f6fea51ba8bep-6, -0x1.5c759328c372fp-6, -0x1.98e74401643d4p-6, -0x1.d4c1ad63b61eep-6, -0x1.0800cfecea42fp-5, -0x1.25518d86b2c74p-5, -0x1.4251735d2275p-5, -0x1.5efe3eb5c5b1ep-5, -0x1.7b55dd71206c8p-5, -0x1.9755e17ec3bf9p-5, -0x1.b2fbc56d512dcp-5, -0x1.ce44eeca21e4p-5, -0x1.e92eaacca0dc5p-5, -0x1.01db38c230014p-4, -0x1.0eecb929783b5p-4, -0x1.1bcaa3293b168p-4, -0x1.2873a2708afc6p-4, -0x1.34e67508ed9b1p-4, -0x1.4121d6da5545ep-4, -0x1.4d2482f2aea3ap-4, -0x1.58ed2cb19bdc1p-4, -0x1.647a8c56b23e3p-4, -0x1.6fcc699254d51p-4, -0x1.7adf0cbe929cbp-4, -0x1.85b24a6260c16p-4, -0x1.9044e8afd5ebap-4, -0x1.9a959f89088b1p-4, -0x1.a4a33ef9cf983p-4, -0x1.ae6c8aa2492p-4, -0x1.b7f0586f40469p-4, -0x1.c12d82bc0f2dfp-4, -0x1.ca22ecebb23dp-4, -0x1.d2cf87521d248p-4, -0x1.db324ad293b19p-4, -0x1.e34a40b72f9c5p-4, -0x1.eb167ba5932eap-4, -0x1.f2962768fa214p-4, -0x1.f9c8795628f41p-4, -0x1.005651e73e24dp-3, -0x1.03a103d1a362dp-3, -0x1.06c400be1ba0dp-3, -0x1.09beffc4bbe86p-3, -0x1.0c91c0e3fff3p-3, -0x1.0f3c091fd5a1cp-3, -0x1.11bda8af7dad5p-3, -0x1.141675583864cp-3, -0x1.16464cf43c316p-3, -0x1.184d1734b8e6p-3, -0x1.1a2abee0f6bcp-3, -0x1.1bdf3f325c7abp-3, -0x1.1d6a969e252eap-3, -0x1.1ecccd0de8844p-3, -0x1.2005f1d956089p-3, -0x1.21161f785ba7bp-3, -0x1.21fd775d989f6p-3, -0x1.22bc22cd32302p-3, -0x1.2352531658461p-3, -0x1.23c0446d07eeep-3, -0x1.240634b07eff5p-3, -0x1.24246e0dc8947p-3, -0x1.241b424459243p-3, -0x1.23eb08f4572a9p-3, -0x1.2394227cda64cp-3, -0x1.2316f32364cb6p-3, -0x1.2273eae1beeb6p-3, -0x1.21ab7ebb332bfp-3, -0x1.20be2424842c1p-3, -0x1.1fac6438cbe95p-3, -0x1.1e76c41b1aa1dp-3, -0x1.1d1dd2f74fd78p-3, -0x1.1ba225a249ba1p-3, -0x1.1a04556659f5dp-3, -0x1.184503b40c5bp-3, -0x1.1664d5459f19p-3, -0x1.146472fd8feb1p-3, -0x1.12448d1317265p-3, -0x1.1005d389f10f1p-3, -0x1.0da907b3c26fbp-3, -0x1.0b2ed9c7dc3e7p-3, -0x1.08980e4d01aa1p-3, -0x1.05e56714bc4e3p-3, -0x1.0317aae07861bp-3, -0x1.002fa17351496p-3, -0x1.fa5c2d34fa4b7p-4, -0x1.f427b2dc04ac8p-4, -0x1.edc373012d1dbp-4, -0x1.e731149c42b2bp-4, -0x1.e0723f6088768p-4, -0x1.d988a04a88dabp-4, -0x1.d275e783fbee6p-4, -0x1.cb3bc5b3d5c09p-4, -0x1.c3dbef1905c46p-4, -0x1.bc58190ca875ap-4, -0x1.b4b1f8e2b9efap-4, -0x1.aceb46ff24af3p-4, -0x1.a505b8ceddcfbp-4, -0x1.9d030902fdee2p-4, -0x1.94e4e957abc19p-4, -0x1.8cad0facc3f05p-4, -0x1.845d308bf600ep-4, -0x1.7bf6fb5c9fc9fp-4, -0x1.737c201a25efp-4, -0x1.6aee4a51053e8p-4, -0x1.624f249683de7p-4, -0x1.59a051a1bebe3p-4, -0x1.50e3752495643p-4, -0x1.481a2b495ea8fp-4, -0x1.3f460e9df5b46p-4, -0x1.3668afda1d73p-4, -0x1.2d83a292cf491p-4, -0x1.24a616cc38a26p-4, -0x1.1bb75de436c4cp-4, -0x1.12c590dcfd644p-4, -0x1.09d22bdb1ba99p-4, -0x1.00de9ef2e1a87p-4, -0x1.efd8a98dfaca4p-5, -0x1.ddf967de24bfbp-5, -0x1.cc2232ad3210fp-5, -0x1.ba55ba4fc52f4p-5, -0x1.a8969a50f8665p-5, -0x1.96e7630030bdbp-5, -0x1.854a959650a55p-5, -0x1.73c2a06456845p-5, -0x1.6251e5cac9019p-5, -0x1.50fab481d6c26p-5, -0x1.3fbf4de69b63fp-5, -0x1.2ea1d6d2b5c59p-5, -0x1.1da48d8a328adp-5, -0x1.0cc95cca9227fp-5, -0x1.f824989e61d65p-6, -0x1.d702927739736p-6, -0x1.b6305539c0c64p-6, -0x1.95b17b79dd71bp-6, -0x1.75896b36c79e5p-6, -0x1.55bb710422d8p-6, -0x1.364ab6593af45p-6, -0x1.173a427a1cc3cp-6, -0x1.f119f07af38e5p-7, -0x1.b48b27c4574d2p-7, -0x1.78cd7623488efp-7, -0x1.3de5cb4fc1496p-7, -0x1.03d8e1e3f71b1p-7, -0x1.95565233c1e1cp-8, -0x1.24c1af269377dp-8, -0x1.6bf76d11de33p-9, -0x1.242ee24aabc5cp-10, 0x1.103bdef559b9p-11, 0x1.166e9bb2b41c8p-9, 0x1.e4fc6fa21e1f3p-9, 0x1.57d66d05143f7p-8, 0x1.bb3b3b8d50823p-8, 0x1.0e540aa5d1ecep-7, 0x1.3e0c6eba65b81p-7, 0x1.6cc4ff2eddd72p-7, 0x1.9a7c5874e9933p-7, 0x1.c730d819dee55p-7, 0x1.f2e145f70fbe7p-7, 0x1.0ec68e0aed51bp-6, 0x1.239982d752248p-6, 0x1.37e9919bff63bp-6, 0x1.4bb61b225af7ap-6, 0x1.5eff4912e31e2p-6, 0x1.71c505d92ea27p-6, 0x1.84076011fe46dp-6, 0x1.95c67c9213f74p-6, 0x1.a70296ab277e3p-6, 0x1.b7bbf293a0961p-6, 0x1.c7f2f911f43aap-6, 0x1.d7a810931ebdcp-6, 0x1.e6dbcb49e14bfp-6, 0x1.f58eb333feb89p-6, 0x1.01e0b3bdb0173p-5, 0x1.08ba551d9f848p-5, 0x1.0f5498511cb31p-5, 0x1.15afe6c429406p-5, 0x1.1bccb4748c564p-5, 0x1.21ab6ddc37133p-5, 0x1.274cad54ec462p-5, 0x1.2cb0d4a5720ddp-5, 0x1.31d880c60163p-5, 0x1.36c4328a6b0d1p-5, 0x1.3b749163488cdp-5, 0x1.3fea35a8c6accp-5, 0x1.4425b0f883557p-5, 0x1.4827b6ba0355ep-5, 0x1.4bf0eef171a4dp-5, 0x1.4f82073e77ea2p-5, 0x1.52dbb983839b1p-5, 0x1.55feb888356f5p-5, 0x1.58ebc5294d2e4p-5, 0x1.5ba3a1d4a3fd3p-5, 0x1.5e27136377025p-5, 0x1.6076d3af066ffp-5, 0x1.6293e7d8cfdcfp-5, 0x1.647ee811aa4f6p-5, 0x1.6638bd64d3de5p-5, 0x1.67c244c8af763p-5, 0x1.691c517459719p-5, 0x1.6a47cb1a87b84p-5, 0x1.6b458d7070433p-5, 0x1.6c1683d13c82fp-5, 0x1.6cbb8fcec031p-5, 0x1.6d3597d3b42abp-5, 0x1.6d85972b874b2p-5, 0x1.6dac6e7bb153p-5, 0x1.6dab0bf970d7bp-5, 0x1.6d8269a6f2353p-5, 0x1.6d3377b7e3985p-5, 0x1.6cbf1df58f59bp-5, 0x1.6c265a377c1ap-5, 0x1.6b6a235266727p-5, 0x1.6a8b69b2a118cp-5, 0x1.698b23e22a54cp-5, 0x1.686a48b4da66ep-5, 0x1.6729c8bc98d57p-5, 0x1.65caa048a998p-5, 0x1.644dc39bc3a78p-5, 0x1.62b4102b8b265p-5, 0x1.60fe89f633e92p-5, 0x1.5f2e23ce2eap-5, 0x1.5d43c246eda65p-5, 0x1.5b40575d61909p-5, 0x1.5924d0242db5fp-5, 0x1.56f20d22c04b7p-5, 0x1.54a90710634d1p-5, 0x1.524a901722a33p-5, 0x1.4fd78ff7ccb8p-5, 0x1.4d50e4d26386p-5, 0x1.4ab76de208d61p-5, 0x1.480c00d0e1f7ap-5, 0x1.454f7cb3af1d2p-5, 0x1.4282a812c67c3p-5, 0x1.3fa65fb1fd234p-5, 0x1.3cbb66552bc88p-5, 0x1.39c28e46368c8p-5, 0x1.36bc9939d8bffp-5, 0x1.33aa48b82f727p-5, 0x1.308c5b72df8e1p-5, 0x1.2d63982ebfcbbp-5, 0x1.2a3099f05c223p-5, 0x1.26f4314133547p-5, 0x1.23af02f41decap-5, 0x1.2061c07b5b947p-5, 0x1.1d0d0dff7cce9p-5, 0x1.19b1959bbbcaep-5, 0x1.164ff20c06d68p-5, 0x1.12e8c3602a9a5p-5, 0x1.0f7ca599f2d4cp-5, 0x1.0c0c2c61e3e4ap-5, 0x1.0897e8aa7e731p-5, 0x1.05206de49e9b9p-5, 0x1.01a6455f258acp-5, 0x1.fc53e06e13034p-6, 0x1.f557eccc10633p-6, 0x1.ee59b2e24209fp-6, 0x1.e75a1c556dd0cp-6, 0x1.e05a2c2686b67p-6, 0x1.d95ac0f503a3dp-6, 0x1.d25cc19c1fbdap-6, 0x1.cb61043368241p-6, 0x1.c4686687f4706p-6, 0x1.bd73b1a572c78p-6, 0x1.b683b213ee658p-6, 0x1.af992725743cdp-6, 0x1.a8b4c6b0dccb5p-6, 0x1.a1d7486c1589ep-6, 0x1.9b0163960e045p-6, 0x1.9433bc6985479p-6, 0x1.8d6eec6a2cb78p-6, 0x1.86b3a64d1cc91p-6, 0x1.800277e992d07p-6, 0x1.795be924849e9p-6, 0x1.72c0954c3e199p-6, 0x1.6c310274fabf5p-6, 0x1.65adb61dde0bdp-6, 0x1.5f37295e686aap-6, 0x1.58cddbb696765p-6, 0x1.527246a094df1p-6, 0x1.4c24c835d204cp-6, 0x1.45e5e4cb4e0a9p-6, 0x1.3fb5f4faebb7p-6, 0x1.39956533b5558p-6, 0x1.3384867871b9cp-6, 0x1.2d83c902f8b33p-6, 0x1.279368fea0fb7p-6, 0x1.21b3d530dc371p-6, 0x1.1c1f186dbdbd8p-6, 0x1.167424876658p-6, 0x1.10dac240af9f4p-6, 0x1.0b52ffdf939fep-6, 0x1.05dcec58a04b3p-6, 0x1.0078a06dbf227p-6, 0x1.f64c1cc6bf262p-7, 0x1.ebca7d79b0ec3p-7, 0x1.e16c4b0bdf80cp-7, 0x1.d731822f4a30fp-7, 0x1.cd19fe1921017p-7, 0x1.c325afd3e990ap-7, 0x1.b9545cdbdf281p-7, 0x1.afa5e4a16d89fp-7, 0x1.a61a1c3a38e4ap-7, 0x1.9cb0d9d33fbf5p-7, 0x1.9369eec851555p-7, 0x1.8a4546be6e2eep-7, 0x1.81428045bc885p-7, 0x1.7861972bd91bbp-7, 0x1.6fa278b85b5f9p-7, 0x1.6704e4d3095cep-7, 0x1.5e88c370dd6a8p-7, 0x1.562df51963efbp-7, 0x1.4df473a9fcf4bp-7, 0x1.45dbf6cc386aap-7, 0x1.3de4794453cacp-7, 0x1.360dfb750c3d4p-7, 0x1.2e58526ca6a65p-7, 0x1.26c37df864abdp-7, 0x1.1f4f587021d51p-7, 0x1.17fbb07ef92ddp-7, 0x1.10c8c55ba204ap-7, 0x1.09b6324847844p-7, 0x1.02c3f5ccea193p-7, 0x1.f7e3e4fddfa71p-8, 0x1.ea80316bca757p-8, 0x1.dd5c55881017dp-8, 0x1.d078148668163p-8, 0x1.c3d340286b378p-8, 0x1.b76d724288c8dp-8, 0x1.ab462706b15f4p-8, 0x1.9f5d66397616ep-8, 0x1.93b252d1dd9b9p-8, 0x1.88448f60560eep-8, 0x1.7d13b3180ff44p-8, 0x1.721f48152387fp-8, 0x1.67669aa77a116p-8, 0x1.5ce933e0811c7p-8, 0x1.52a6879da56dfp-8, 0x1.489dd1ff2fbc5p-8, 0x1.3eceafca754a7p-8, 0x1.35383609d5e25p-8, 0x1.2bd9c78e3ebe1p-8, 0x1.22b2e5595180bp-8, 0x1.19c2a584b3bdep-8, 0x1.110866cd9df8fp-8, 0x1.08835fd4dd12p-8, 0x1.0032e83963471p-8, 0x1.f02c527beccadp-9, 0x1.e0585442124f4p-9, 0x1.d0e9b1864f20ap-9, 0x1.c1ddd9209afd7p-9, 0x1.b333038c963dep-9, 0x1.a4e7ae4447489p-9, 0x1.96fad6d0cd9fp-9, 0x1.896aa18f70027p-9, 0x1.7c356171ea10dp-9, 0x1.6f59aca960507p-9, 0x1.62d5d5ed789cap-9, 0x1.56a83ef861fe4p-9, 0x1.4acf3c7590f55p-9, 0x1.3f4a0b53bf65cp-9, 0x1.3415f6bd3379dp-9, 0x1.29320d17b544p-9, 0x1.1e9ca721fa4b5p-9, 0x1.14544701638cdp-9, 0x1.0a575adaf3b12p-9, 0x1.00a4412cb47dap-9, 0x1.ee7341558f413p-10, 0x1.dc2cf4ad1456p-10, 0x1.ca70c85c7c633p-10, 0x1.b93cbcaacaa02p-10, 0x1.a88e1ef8d9453p-10, 0x1.9861d6f71eebdp-10, 0x1.88b4ea049131ep-10, 0x1.798433a70e45dp-10, 0x1.6ace58c50a2e7p-10, 0x1.5c8e81ddf7d93p-10, 0x1.4ec460d6bf398p-10, 0x1.416b8d2f19c33p-10, 0x1.3481c6f773381p-10, 0x1.280483e55fc8bp-10, 0x1.1bf18d8ad1067p-10, 0x1.1045a5a11c9c8p-10, 0x1.04fedfc6f5194p-10, 0x1.f434825dfc985p-11, 0x1.df2c1f22c4ec3p-11, 0x1.cadefa7989e46p-11, 0x1.b747eb8135875p-11, 0x1.a4634a7368f76p-11, 0x1.922c531430bdep-11, 0x1.809c98a657731p-11, 0x1.6fb220ed2d45bp-11, 0x1.5f679daac00b9p-11, 0x1.4fb8efa0b3ee5p-11, 0x1.40a1a7b037ad5p-11, 0x1.321dd198e53b6p-11, 0x1.242a02a7a925ap-11, 0x1.16bfea22c0d43p-11, 0x1.09ddee78cb8efp-11, 0x1.fafec6570603cp-12, 0x1.e34138ced4f2fp-12, 0x1.cc7b841e687d8p-12, 0x1.b6a69ff3a4231p-12, 0x1.a1bad59df9964p-12, 0x1.8db54db8c076bp-12, 0x1.7a8458f96b23p-12, 0x1.682bd91c76e06p-12, 0x1.56a1af8cee16fp-12, 0x1.45def886640cbp-12, 0x1.35dee0fc602f8p-12, 0x1.26989301c9d36p-12, 0x1.18076a28be189p-12, 0x1.0a2615e08a7cbp-12, 0x1.f9dbc26824fa5p-13, 0x1.e0b30c0050217p-13, 0x1.c8c65b6efb449p-13, 0x1.b20cbf75e1421p-13, 0x1.9c7809875c5f9p-13, 0x1.88008bf020efp-13, 0x1.749b193471d4p-13, 0x1.623ecbdda45cfp-13, 0x1.50e0d05ba0e53p-13, 0x1.40787a73841b4p-13, 0x1.30fad264de3a9p-13, 0x1.2264613cd9ca3p-13, 0x1.14a0181ab2768p-13, 0x1.07b86ca112088p-13, 0x1.f72c00f6458c7p-14, 0x1.e069e08839667p-14, 0x1.cb1b8cafcfcebp-14, 0x1.b72bff74d013fp-14, 0x1.a49c4305ef0a4p-14, 0x1.934f1f1a2493dp-14, 0x1.833a2f311ed65p-14, 0x1.744feae809ff6p-14, 0x1.66839fe771a39p-14, 0x1.59c2d2579af44p-14, 0x1.4e147d0a7e937p-14, 0x1.4353abb6c2bf6p-14, 0x1.397e2f38811ebp-14, 0x1.308b17e46611ep-14, 0x1.2870b5efe9538p-14, 0x1.211fe0efc2e29p-14, 0x1.1a8efaac26a4fp-14, 0x1.14b4127c031fep-14, 0x1.0f82489721ed9p-14, 0x1.0afa520e1bad3p-14, 0x1.0706d0bec61b3p-14, 0x1.03a7b0d043226p-14, 0x1.00ccc929c4982p-14, 0x1.fcebb8b191034p-15, 0x1.f9261c544e7ddp-15, 0x1.f646e000a391p-15, 0x1.f4322cc148282p-15, 0x1.f2fde6b1d3708p-15, 0x1.f24f5b81e0bd5p-15, 0x1.f2600e0bb91e1p-15, 0x1.f30947b4d7ce4p-15, 0x1.f4434204fbbf8p-15, 0x1.f5fcc14687305p-15, 0x1.f835678af0b9p-15, 0x1.fad19949fb919p-15, 0x1.fdd30befb2562p-15, 0x1.009529b13a2f6p-14, 0x1.026b6ad4d179fp-14, 0x1.045c3a73ba16dp-14, 0x1.0673433b39fe9p-14, 0x1.089bc5fe823e8p-14, 0x1.0ad147f385c9dp-14, 0x1.0d1418fff499cp-14, 0x1.0f8929a0d3105p-14, 0x1.120246f838a3fp-14, 0x1.1475eb023f00cp-14, 0x1.16ecd0b95862bp-14, 0x1.196592ee802e8p-14, 0x1.1bdb8c599fc04p-14, 0x1.1e4cd491f0b23p-14, 0x1.20b69b9805daap-14, 0x1.23169dc2c55a2p-14, 0x1.256991c98fe99p-14, 0x1.27ae0cf21ff29p-14, 0x1.29e6990466eccp-14, 0x1.2c095fbba8da4p-14, 0x1.2e187a2768a7dp-14, 0x1.301380bc05645p-14, 0x1.31f57f4be524dp-14, 0x1.33bcc85889609p-14, 0x1.3571004d46cb2p-14, 0x1.3703966b65613p-14, 0x1.387db0b0554ccp-14, 0x1.39d9bd0b2ddacp-14, 0x1.3b16d9c23946p-14, 0x1.3c33d3e589367p-14, 0x1.3d35163405fa7p-14, 0x1.3e1d3709d81f5p-14, 0x1.3ecd13e5e1ca6p-14, 0x1.3f72e3351b65ep-14, 0x1.3fe3568fe36afp-14, 0x1.4035f48968d5p-14, 0x1.406bf849b78f3p-14, 0x1.407a15965574bp-14, 0x1.40681eff14ad7p-14, 0x1.40327b439b70dp-14, 0x1.3fd8a805b6aep-14, 0x1.3f5d67abe439ap-14, 0x1.3ebaad10ca12ep-14, 0x1.3df86fe5cebf1p-14, 0x1.3d1357f9a5e03p-14, 0x1.3c073e6447bdcp-14, 0x1.3adaf19a61fb4p-14, 0x1.398f932c5e31p-14, 0x1.381a8948b0428p-14, 0x1.368a2e03addb6p-14, 0x1.34d5f5af7f26ep-14, 0x1.32ffca86fcf26p-14, 0x1.310b33b817e43p-14, 0x1.2ef9eeca343e8p-14, 0x1.2cca35f860615p-14, 0x1.2a6b17a74544fp-14, 0x1.27fd6714e712bp-14, 0x1.2569be67ddde6p-14, 0x1.22bdf1d6ded29p-14, 0x1.1ff31089ba4ep-14, 0x1.1d0d6a7193146p-14, 0x1.1a0cdf3a29cd2p-14, 0x1.16f234219dd9fp-14, 0x1.13b985da68a44p-14, 0x1.106eda0c04175p-14, 0x1.0d03a8abc2bccp-14, 0x1.0983f160934cap-14, 0x1.05ec6ebb0dc4dp-14, 0x1.023156d419fa9p-14, 0x1.fd03637b160bdp-15, 0x1.f5538b5cece99p-15, 0x1.ed7f64eee831dp-15, 0x1.e58d8e7331679p-15, 0x1.dd6850c799a9dp-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.b0ee88edf2153p-3, 0x1.afc8d161b481ap-3, 0x1.ae759971e74f1p-3, 0x1.acf4a689f633ap-3, 0x1.ab4640f681536p-3, 0x1.a96b22afa44c2p-3, 0x1.a7646048c352bp-3, 0x1.a533638271e7bp-3, 0x1.a2d9b178fc0bfp-3, 0x1.a0591f11297bap-3, 0x1.9db391f3cb455p-3, 0x1.9aeae8be1cfd1p-3, 0x1.98013893dd946p-3, 0x1.94f87fbd75e44p-3, 0x1.91d2bf4e34ec2p-3, 0x1.8e91ef2db5433p-3, 0x1.8b37fcaf7c273p-3, 0x1.87c6c82945b95p-3, 0x1.844017cc7c987p-3, 0x1.80a5a5460f1f9p-3, 0x1.7cf91225b2023p-3, 0x1.793becfba615fp-3, 0x1.756fb09875c8cp-3, 0x1.7195b872c2c8dp-3, 0x1.6daf5088626bap-3, 0x1.69bdabdd0eb02p-3, 0x1.65c1f0e2b7789p-3, 0x1.61bd313945c2bp-3, 0x1.5db0606d0cee9p-3, 0x1.599c699569182p-3, 0x1.5582202b2a236p-3, 0x1.516247f44b01fp-3, 0x1.4d3d979f476afp-3, 0x1.4914bed8e67bdp-3, 0x1.44e85b7f8c71dp-3, 0x1.40b8f7d6b2df2p-3, 0x1.3c87197358f8bp-3, 0x1.38533a0a85618p-3, 0x1.341dc95e599e4p-3, 0x1.2fe730ed55b53p-3, 0x1.2bafcc4a3c19ap-3, 0x1.2777f6447a56p-3, 0x1.233fff151ec9ap-3, 0x1.1f08326f40efep-3, 0x1.1ad0d750f5c3dp-3, 0x1.169a2b2a8dcbcp-3, 0x1.126470819acaap-3, 0x1.0e2fdc18a226fp-3, 0x1.09fca4541f979p-3, 0x1.05cafc0cf910dp-3, 0x1.019b12f265799p-3, 0x1.fada2bd03909cp-4, 0x1.f2826810b984cp-4, 0x1.ea2f220b91cc7p-4, 0x1.e1e0b7af80b0dp-4, 0x1.d997726a418abp-4, 0x1.d1539fce05095p-4, 0x1.c9158a0a166ebp-4, 0x1.c0dd7c5f5c469p-4, 0x1.b8abb67631dc3p-4, 0x1.b0808a5568407p-4, 0x1.a85c3b02a9ed2p-4, 0x1.a03f13a16cfp-4, 0x1.98295a48a0d69p-4, 0x1.901b56527299ep-4, 0x1.88154defdbfc6p-4, 0x1.801785a9a14edp-4, 0x1.78224d4a023e2p-4, 0x1.7035da1133114p-4, 0x1.68528a74176bdp-4, 0x1.60789ac3abbb5p-4, 0x1.58a85981b2bd2p-4, 0x1.50e2102357439p-4, 0x1.49260869b45fcp-4, 0x1.41748a798bed6p-4, 0x1.39cde7c9528e9p-4, 0x1.3232626dedb33p-4, 0x1.2aa2461bf6488p-4, 0x1.231deb989400ap-4, 0x1.1ba5a113eeb33p-4, 0x1.1439a6e3d864bp-4, 0x1.0cda51b1bb5c9p-4, 0x1.0587eb544ad6fp-4, 0x1.fc8585a503e9p-5, 0x1.ee164a2cab383p-5, 0x1.dfc2bd72bff94p-5, 0x1.d18b7f2f7b598p-5, 0x1.c37111303de89p-5, 0x1.b5742bc4f806bp-5, 0x1.a795508693557p-5, 0x1.99d51fdbd3c0ep-5, 0x1.8c341fd40710ap-5, 0x1.7eb2e91b064e4p-5, 0x1.7152150372657p-5, 0x1.641229a23e7dap-5, 0x1.56f3b449cf0e4p-5, 0x1.49f7414428f48p-5, 0x1.3d1d4fd6b3744p-5, 0x1.306676ebc2106p-5, 0x1.23d328894fc32p-5, 0x1.1763e70d9e5d2p-5, 0x1.0b192e98553bfp-5, 0x1.fde6e91d0e73ap-6, 0x1.e5e66e556ed8ep-6, 0x1.ce31b9cafc57ap-6, 0x1.b6c9aeaa499ecp-6, 0x1.9faf1d50ef8dbp-6, 0x1.88e2d72773fdbp-6, 0x1.72658a4122f5fp-6, 0x1.5c381b343969fp-6, 0x1.465b1294c3f2p-6, 0x1.30cf2ea6fe3f2p-6, 0x1.1b94f04b04b0bp-6, 0x1.06ad17e3fb91fp-6, 0x1.e43044919542cp-7, 0x1.bbad1f976bb8cp-7, 0x1.93d1b3ea47105p-7, 0x1.6c9eed5b65074p-7, 0x1.4615909d42abcp-7, 0x1.20366fdb922eap-7, 0x1.f6041d312f913p-8, 0x1.acf2613b4d9cbp-8, 0x1.6538496c0931bp-8, 0x1.1ed702e824f05p-8, 0x1.b39e2e7a0f35p-9, 0x1.2c420e6e796d6p-9, 0x1.4f3576b10280bp-10, 0x1.2d42e40200ba1p-12, -0x1.66533b5ec54dep-11, -0x1.ac394fe7ec593p-10, -0x1.4ff00a02fe2a9p-9, -0x1.c70f0991e9288p-9, -0x1.1dbdc2bdcf547p-8, -0x1.569af368e042bp-8, -0x1.8e20308dd38a2p-8, -0x1.c44e31447ec28p-8, -0x1.f92694ce41d3dp-8, -0x1.1655084d3888dp-7, -0x1.2f6d00ec44bedp-7, -0x1.47dc1d79500c6p-7, -0x1.5fa2f6faea26cp-7, -0x1.76c2a13190e07p-7, -0x1.8d3bf8b18ce57p-7, -0x1.a30ffa6f497a3p-7, -0x1.b83fc2942b5dap-7, -0x1.cccc67e7deb77p-7, -0x1.e0b71f650eb06p-7, -0x1.f40133800a6fap-7, -0x1.0355dc7edeb0cp-6, -0x1.0c5c213c8ec69p-6, -0x1.1514051d56d09p-6, -0x1.1d7e65f8f8b68p-6, -0x1.259bdd427896bp-6, -0x1.2d6d3f9058702p-6, -0x1.34f35fd3e34e3p-6, -0x1.3c2ef49e2e9ep-6, -0x1.4320ee17576e8p-6, -0x1.49ca1027253bcp-6, -0x1.502b698384827p-6, -0x1.5645af42b8b4dp-6, -0x1.5c19dfff55689p-6, -0x1.61a8dc39f4dd4p-6, -0x1.66f3a4e7e217ep-6, -0x1.6bfb212cf2082p-6, -0x1.70c055d5a38c9p-6, -0x1.753f3b9cc7d9p-6, -0x1.79821c997cd4ap-6, -0x1.7d8591a5caa38p-6, -0x1.814ab407a25aep-6, -0x1.84d27eb25b0f6p-6, -0x1.881dff9f7a814p-6, -0x1.8b2e409c58178p-6, -0x1.8e044b1d52f9p-6, -0x1.90a1378aa906p-6, -0x1.93060c965663dp-6, -0x1.9533defb28389p-6, -0x1.972bc0cf4526ap-6, -0x1.98eec6ca81a49p-6, -0x1.9a7e02a61d1a4p-6, -0x1.9bda7e18b2bbfp-6, -0x1.9d0575b9dedeep-6, -0x1.9dffcc6830d78p-6, -0x1.9ecac4a1d1dbdp-6, -0x1.9f675e3937feap-6, -0x1.9fd697e380effp-6, -0x1.a019a63b18eefp-6, -0x1.a03193ad9153cp-6, -0x1.a01f6e66390e3p-6, -0x1.9fe44d2dd8904p-6, -0x1.9f813f207079cp-6, -0x1.9ef751af47921p-6, -0x1.9e47951530bd1p-6, -0x1.9d7317deb3a35p-6, -0x1.9c7adb522079cp-6, -0x1.9b5ff181a23e1p-6, -0x1.9a235cb0a77fep-6, -0x1.98c623ba691c8p-6, -0x1.97494799c965cp-6, -0x1.95adca706de5ap-6, -0x1.93f4b1950324bp-6, -0x1.921ed980267d7p-6, -0x1.902d5af1477b7p-6, -0x1.8e2121ed9e973p-6, -0x1.8bfb193b4e231p-6, -0x1.89bc4030b3856p-6, -0x1.8765775b2b822p-6, -0x1.84f7ab16fc59dp-6, -0x1.8273c4753037p-6, -0x1.7fdaa2ada8124p-6, -0x1.7d2d28c1c7ac8p-6, -0x1.7a6c32e06b08cp-6, -0x1.779898e59e31bp-6, -0x1.74b331815a73bp-6, -0x1.71bcceda3d295p-6, -0x1.6eb641b32fb5p-6, -0x1.6ba04cec20ba2p-6, -0x1.687bc0bdd462dp-6, -0x1.65495fcfaf2ccp-6, -0x1.6209ee3964aa4p-6, -0x1.5ebe0bc664cf1p-6, -0x1.5b6695d444033p-6, -0x1.5804343e4d0e4p-6, -0x1.5497944138037p-6, -0x1.51216967500b5p-6, -0x1.4da256e2363fap-6, -0x1.4a1b06ed49bc1p-6, -0x1.468c1c1b485b9p-6, -0x1.42f63568da7a8p-6, -0x1.3f59ee2281e53p-6, -0x1.3bb7de6ea0ce2p-6, -0x1.381097a67ca1cp-6, -0x1.3464ae1173d7bp-6, -0x1.30b4a93dfe063p-6, -0x1.2d0118ee76ef1p-6, -0x1.294a8a56c8e75p-6, -0x1.2591648024b2fp-6, -0x1.21d6418983039p-6, -0x1.1e1995712cd77p-6, -0x1.1a5bd8f6a4dd2p-6, -0x1.169d831be1c49p-6, -0x1.12df017f09766p-6, -0x1.0f20c8252c3c1p-6, -0x1.0b633f799c4f9p-6, -0x1.07a6d3c82986fp-6, -0x1.03ebeb38c4475p-6, -0x1.0032e4fa16be6p-6, -0x1.f8f84a5d36e7fp-7, -0x1.f1901deebe669p-7, -0x1.ea2dc5da2b322p-7, -0x1.e2d222d37991dp-7, -0x1.db7dd5abd74bbp-7, -0x1.d4316f10addap-7, -0x1.cceda3e95d2ecp-7, -0x1.c5b2fd93d164bp-7, -0x1.be82143a39e17p-7, -0x1.b75b779fc581ep-7, -0x1.b03fa8c3de3d1p-7, -0x1.a92f34d043776p-7, -0x1.a22a9050b791ep-7, -0x1.9b323df281f89p-7, -0x1.9446a905bf411p-7, -0x1.8d68496a416cap-7, -0x1.869781743556ep-7, -0x1.7fd4bdc703f25p-7, -0x1.79205ac29958p-7, -0x1.727ab6c6c3b62p-7, -0x1.6be429ca92321p-7, -0x1.655d04ee53567p-7, -0x1.5ee593da9cc63p-7, -0x1.587e2dbf496c2p-7, -0x1.522707ef151ddp-7, -0x1.4be06ab27345ap-7, -0x1.45aa9d419e769p-7, -0x1.3f85c9af59a1p-7, -0x1.397228c25391p-7, -0x1.336ff677609bdp-7, -0x1.2d7f549f61559p-7, -0x1.27a06e238e3c3p-7, -0x1.21d368ff50de7p-7, -0x1.1c186ad0896f4p-7, -0x1.166f911d51b32p-7, -0x1.10d8f5dfda6cdp-7, -0x1.0b54b523485a8p-7, -0x1.05e2dea167a55p-7, -0x1.0083844879f9ap-7, -0x1.f66d5ae88d855p-8, -0x1.ebf8e32609ef4p-8, -0x1.e1a9a1f9d85b1p-8, -0x1.d77fb046da2cdp-8, -0x1.cd7af8d04168ap-8, -0x1.c39b9105583eep-8, -0x1.b9e168a44dad7p-8, -0x1.b04c7b766e347p-8, -0x1.a6dc84d71f8dp-8, -0x1.9d9205e942effp-8, -0x1.946c560bc691ep-8, -0x1.8b6b84f9da88dp-8, -0x1.828f67721fed4p-8, -0x1.79d7dc46a1713p-8, -0x1.7144ba06f4a03p-8, -0x1.68d5dd492b338p-8, -0x1.608b17e3144ccp-8, -0x1.5864228d287bap-8, -0x1.5060d08e6f06p-8, -0x1.4880ef5413861p-8, -0x1.40c4271dec51cp-8, -0x1.392a498cd46d1p-8, -0x1.31b31fed0ec79p-8, -0x1.2a5e5051ab4abp-8, -0x1.232b94a35e161p-8, -0x1.1c1aab0b3fb51p-8, -0x1.152b3d09ca815p-8, -0x1.0e5d08482ec24p-8, -0x1.07afb1d1f5955p-8, -0x1.0122eaa6c9a62p-8, -0x1.f56cba12c1f95p-9, -0x1.e8d378ae99fdp-9, -0x1.dc7939b35e8eep-9, -0x1.d05d6618f2bbdp-9, -0x1.c47f5a6914733p-9, -0x1.b8de5ed6c6943p-9, -0x1.ad795c399108ap-9, -0x1.a25055ac1648cp-9, -0x1.97624a6c2740bp-9, -0x1.8cadc7945ebb5p-9, -0x1.8232c5a604df5p-9, -0x1.77f08180c11b5p-9, -0x1.6de60d94bf48bp-9, -0x1.641299d955e8fp-9, -0x1.5a758c1269a09p-9, -0x1.510e139bf7e7cp-9, -0x1.47db59853997ap-9, -0x1.3edc90e4f0a4ap-9, -0x1.36113ec94fcaap-9, -0x1.2d784f0dc124p-9, -0x1.25111b245a63ep-9, -0x1.1cdadc16c40a8p-9, -0x1.14d4e023341bap-9, -0x1.0cfe3268bbdcap-9, -0x1.055639dcaf711p-9, -0x1.fbb85c5641e26p-10, -0x1.ed57a91d3454cp-10, -0x1.df1a61079d781p-10, -0x1.d1337ecb45152p-10, -0x1.c3a2027e6c717p-10, -0x1.b664bf6424534p-10, -0x1.a979ef990323dp-10, -0x1.9ce020d63840bp-10, -0x1.9095e507df196p-10, -0x1.8499cac3236eap-10, -0x1.78ea4ed886676p-10, -0x1.6d8658bb2aa0ep-10, -0x1.626b88d4b4097p-10, -0x1.579955dab7e3fp-10, -0x1.4d0e042b4e317p-10, -0x1.42c85491d75cfp-10, -0x1.38c6dbee7bc9p-10, -0x1.2f0827174f9b1p-10, -0x1.258b26cc53f9ep-10, -0x1.1c4cf17deb103p-10, -0x1.134fd1d4b028dp-10, -0x1.0a8f3552d6538p-10, -0x1.020af46f387cbp-10, -0x1.f38362bc9ea6bp-11, -0x1.e3647b867e12bp-11, -0x1.d3b61370e1abbp-11, -0x1.c47741994083cp-11, -0x1.b5a4fd57f64e3p-11, -0x1.a73c531ad8dfcp-11, -0x1.993b919d41587p-11, -0x1.8b9fee33d4496p-11, -0x1.7e6772c295926p-11, -0x1.7190c37663a14p-11, -0x1.651799952fc28p-11, -0x1.58fba2148f37bp-11, -0x1.4d3a125a803ecp-11, -0x1.41d107574e80cp-11, -0x1.36be4f96b418p-11, -0x1.2c002a3f62676p-11, -0x1.21946af9f2b9cp-11, -0x1.1778fc2014542p-11, -0x1.0dac139a02f6p-11, -0x1.042bf361f2a64p-11, -0x1.f5ec38a79b0cdp-12, -0x1.e412b81327f9p-12, -0x1.d2c4d812944p-12, -0x1.c207308b97ea7p-12, -0x1.b1cdbe7dc68e6p-12, -0x1.a2187e91cab4ep-12, -0x1.92e3220f764c8p-12, -0x1.842adf786ae2cp-12, -0x1.75ecb52bd5822p-12, -0x1.6824f03241a93p-12, -0x1.5ad102d68d944p-12, -0x1.4dee7ec0db022p-12, -0x1.4176ab5bc318ap-12, -0x1.356b425f48f95p-12, -0x1.29c7241509dcbp-12, -0x1.1e8785dfd105dp-12, -0x1.13aa1a529bc37p-12, -0x1.092bdb559bc0fp-12, -0x1.fe1686817603fp-13, -0x1.ea852a5c11264p-13, -0x1.d7a1477a489f8p-13, -0x1.c569faeaf547cp-13, -0x1.b3db71baf431p-13, -0x1.a2ea18c96b6eap-13, -0x1.92928124f5606p-13, -0x1.82db71e048685p-13, -0x1.73a511427d3f5p-13, -0x1.65051056a1ac7p-13, -0x1.56eef3a45a8e4p-13, -0x1.496064c799b32p-13, -0x1.3c4d7a36eee01p-13, -0x1.2fbb4de60f784p-13, -0x1.23a24b2ee4be1p-13, -0x1.17ff60d69832ep-13, -0x1.0cce1003ce922p-13, -0x1.020aa2f2c1c88p-13, -0x1.ef64e9d2ec695p-14, -0x1.db82a59e0450ep-14, -0x1.c862fb1d78553p-14, -0x1.b609a33c8d5d1p-14, -0x1.a46abee559a12p-14, -0x1.937f6ea97d095p-14, -0x1.833e0a9a653b3p-14, -0x1.73a9ae922aeep-14, -0x1.64bdfb841afc7p-14, -0x1.566718a33f952p-14, -0x1.48abd05d3efe9p-14, -0x1.3b80b76be61d2p-14, -0x1.2ee3be92e811p-14, -0x1.22cde30d1b91ap-14, -0x1.173c508d4ec28p-14, -0x1.0c2937ec30ecfp-14, -0x1.0190a0ac18ff7p-14, -0x1.eed873679443bp-15, -0x1.db7b0204b2537p-15, -0x1.c8e779f501037p-15, -0x1.b72f0999fc827p-15, -0x1.a63e1abb69203p-15, -0x1.960fc9b386ce1p-15, -0x1.86990dd3f83b4p-15, -0x1.77da195e1f4c3p-15, -0x1.69c5e41595885p-15, -0x1.5c56f71a5933ep-15, -0x1.4f863d42e39a1p-15, -0x1.434db64fbe674p-15, -0x1.37a718d9d0b9p-15, -0x1.2c8080d046888p-15, -0x1.21f4a89300206p-15, -0x1.17e3c1cd8f997p-15, -0x1.0e4a61d7c50d1p-15, -0x1.0529df5978919p-15, -0x1.f8ec7387b8049p-16, -0x1.e85ca4048847dp-16, -0x1.d89e891fe9785p-16, -0x1.c9a095a9f24ebp-16, -0x1.bb660a713da6fp-16, -0x1.addc42eb13dadp-16, -0x1.a0fa986c15598p-16, -0x1.94c19eb669f0dp-16, -0x1.890aacc84e132p-16, -0x1.7e050bd7c033fp-16, -0x1.739030f95e93ep-16, -0x1.69942e5d027d8p-16, -0x1.6019a0288f6afp-16, -0x1.571731e460676p-16, -0x1.4e87c48771bbbp-16, -0x1.466aeea51130dp-16, -0x1.3ea8bb8754c3ep-16, -0x1.374e808f3bb59p-16, -0x1.3053fb23d12c4p-16, -0x1.29ad546c5c267p-16, -0x1.23595d9d9b209p-16, -0x1.1d537933cd963p-16, -0x1.17a3bb04c6e77p-16, -0x1.121ee112409b8p-16, -0x1.0ce732ce0647ep-16, -0x1.07f6c4ca272d9p-16, -0x1.03370f1ef5c88p-16, -0x1.fd577917ed922p-17, -0x1.f4add5b012fc6p-17, -0x1.ec5a0156cd6d9p-17, -0x1.e46e8023eb111p-17, -0x1.dcc8ae9f94b4ap-17, -0x1.d573563eaf073p-17, -0x1.ce63f0c416284p-17, -0x1.c799207641656p-17, -0x1.c11568e016c5bp-17, -0x1.ba9f2b7516d22p-17, -0x1.b487d9e6736f6p-17, -0x1.aeb186ce0355p-17, -0x1.a8f29caf3ed15p-17, -0x1.a348241a9229fp-17, -0x1.9dc252a0c3a48p-17, -0x1.9870d553a8f3bp-17, -0x1.93397a6b77476p-17, -0x1.8e43d3b797657p-17, -0x1.891b9c13042a2p-17, -0x1.842f4d1a7a12ep-17, -0x1.7f4f63a67b468p-17, -0x1.7a942cf02e5cdp-17, -0x1.75c98d0f81ca9p-17, -0x1.712720adf429ap-17, -0x1.6c844e9be5026p-17, -0x1.680c701066b81p-17, -0x1.6364c5e40b3d3p-17, -0x1.5eca0f9cc07d8p-17, -0x1.5a48599fc591ep-17, -0x1.55e0eec0fd28ap-17, -0x1.5154f48722cb2p-17, -0x1.4cd984368834fp-17, -0x1.485729548e554p-17, -0x1.43de3e513c1f1p-17, -0x1.3f5f44f5d7a59p-17, -0x1.3ae24f1170fc7p-17, -0x1.364d33fa21d1fp-17, -0x1.31ef4afebc754p-17, -0x1.2d4cefb1c0153p-17, -0x1.28ca49e84d358p-17, -0x1.245135f1f8ccap-17, -0x1.1f315e3998b47p-17, -0x1.1aa586fb497bbp-17, -0x1.166937dbd9633p-17, -0x1.11c7ce82a0f82p-17, -0x1.0d23e737c814ap-17, -0x1.0872ba9343a78p-17, -0x1.03c9d5ca0cf4p-17, -0x1.fe0ee80208e42p-18, -0x1.f4a797a62b3dp-18, -0x1.eb20dcf971b85p-18, -0x1.e199d8cf5c6eap-18, -0x1.d8036343bee84p-18, -0x1.ce4f96a38e558p-18, -0x1.c501349878ba1p-18, -0x1.bb1f2c913b413p-18, -0x1.b176b630e67e1p-18, -0x1.a7ca4eb5c3faep-18, -0x1.9e118e255f1fbp-18, -0x1.9452e7811a1dp-18, -0x1.8a9c5e696d096p-18, -0x1.80dd93260dfeap-18, -0x1.7715977115d88p-18, -0x1.6d41e07219d2ap-18, -0x1.63c51907fa787p-18, -0x1.59b2187f85c3ep-18, -0x1.4ffc9d55c50b1p-18, -0x1.4662edc360a2cp-18, -0x1.3c4095db65bc2p-18, -0x1.32e6586798ad3p-18, -0x1.2944b1d02550ep-18, -0x1.1f7e3995b44ccp-18, -0x1.1618c2a709653p-18, -0x1.0c65d21b61653p-18, -0x1.02da7488e62acp-18, -0x1.f2b298238de9ap-19, -0x1.dfc2c7c7f53dp-19, -0x1.ccf6b4cc5b7b1p-19, -0x1.ba3dd603bc149p-19, -0x1.a7a0c9e7751c3p-19, -0x1.952bcb226c718p-19, -0x1.82e35f49005cbp-19, -0x1.70105fde44cadp-19, -0x1.5e87a228c7df2p-19, -0x1.4c650cede038ep-19, -0x1.3adbbfcd29466p-19, -0x1.29322bc0e9d55p-19, -0x1.17bd6c1cd0a78p-19, -0x1.065da4c369519p-19, -0x1.ea8f7dc8ef7e3p-20, -0x1.c8c677c9e25d8p-20, -0x1.a73147fb92fb1p-20, -0x1.863f6de26d375p-20, -0x1.65828892eb1ep-20, -0x1.453d038322698p-20, -0x1.25697f51a82dfp-20, -0x1.0604baa898f35p-20, -0x1.ce1df05aaa705p-21, -0x1.9114c7339d3b6p-21, -0x1.54c1b90bcb40fp-21, -0x1.19ebcdfdcfbd1p-21, -0x1.b7485dad56218p-22, -0x1.4fc23182df3e5p-22, -0x1.c2ff69235880ap-23, -0x1.b4e28fcaf099ap-24, -0x1.d9a2e1b2c8262p-32, 0x1.aa0a5d3228419p-24, 0x1.a66ff8ac07594p-23, 0x1.392a8fe66bc47p-22, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2babc2871f1abp-3, -0x1.563b827519d87p-3, -0x1.7fff63cedf1c2p-3, -0x1.a88bca53caaacp-3, -0x1.cf88ee8017716p-3, -0x1.f4b804482d6dp-3, -0x1.0bf1b25045d63p-2, -0x1.1c7714aadf43ap-2, -0x1.2bdee31482201p-2, -0x1.3a22016ffe04dp-2, -0x1.4742f5d1117bap-2, -0x1.533fbc105dd92p-2, -0x1.5e1e45617151bp-2, -0x1.67e576724807ap-2, -0x1.709e683b50fd9p-2, -0x1.78535c10bf517p-2, -0x1.7f0f59f5c0295p-2, -0x1.84deaff99a6fbp-2, -0x1.89ce2fb87e345p-2, -0x1.8dea2b5b54828p-2, -0x1.913ee306853c5p-2, -0x1.93d93aadb2efp-2, -0x1.95c6431b698cfp-2, -0x1.97123ae07c429p-2, -0x1.97c847dae3a4cp-2, -0x1.97f30defbefe1p-2, -0x1.979d511a0cef4p-2, -0x1.96d1eb13ea3b8p-2, -0x1.959b350ba0f89p-2, -0x1.940287cfdb1e5p-2, -0x1.921030ba3bc27p-2, -0x1.8fcbc24d894adp-2, -0x1.8d3c7c296c752p-2, -0x1.8a6900dd2b2c3p-2, -0x1.875ab87ccd51ap-2, -0x1.8416821a87074p-2, -0x1.80a230a45fc49p-2, -0x1.7d03301b36cb9p-2, -0x1.793e8a43bf328p-2, -0x1.7558e7eecf702p-2, -0x1.715692d62f6cp-2, -0x1.6d3b7c093435bp-2, -0x1.690b44bf9635bp-2, -0x1.64c948f22285cp-2, -0x1.6078a518b2c14p-2, -0x1.5c1c3757b94a9p-2, -0x1.57b69ea59c3cp-2, -0x1.534a3b90a8235p-2, -0x1.4ed934d5aad83p-2, -0x1.4a657f1a68adap-2, -0x1.45f0e499176c3p-2, -0x1.417d0abe7f3b9p-2, -0x1.3d0b74b01853bp-2, -0x1.389d8656873p-2, -0x1.343480f6521cbp-2, -0x1.2fd18756ef18dp-2, -0x1.2b759c955345fp-2, -0x1.2721a5510aa12p-2, -0x1.22d66964940f3p-2, -0x1.1e94952f870fep-2, -0x1.1a5cc5337ba88p-2, -0x1.162f7b6c4632fp-2, -0x1.120d323f2e331p-2, -0x1.0df656b91b29fp-2, -0x1.09eb4b039dbd1p-2, -0x1.05ec6512570e1p-2, -0x1.01f9ed2511793p-2, -0x1.fc283a12b6773p-3, -0x1.f4763f1945175p-3, -0x1.ecde24d701ad3p-3, -0x1.e5600fdde82b3p-3, -0x1.ddfc136826b76p-3, -0x1.d6b234f186fa5p-3, -0x1.cf826f5bf4e11p-3, -0x1.c86cb474cb3aap-3, -0x1.c170ee688fc4bp-3, -0x1.ba8efe4551d85p-3, -0x1.b3c63ab760ffdp-3, -0x1.ad1783b9d2eacp-3, -0x1.a6822db818a72p-3, -0x1.a005ff3d81be3p-3, -0x1.99a2b7d909b5dp-3, -0x1.93580fc392836p-3, -0x1.8d25b9e2f57f5p-3, -0x1.870b641d6f6e7p-3, -0x1.8108b965270e7p-3, -0x1.7b1d62bb50572p-3, -0x1.7549075913591p-3, -0x1.6f8b505690ccep-3, -0x1.69e3e3f92b1efp-3, -0x1.64526a7dbec37p-3, -0x1.5ed68beaa1a97p-3, -0x1.596ff02324c5ap-3, -0x1.541e3f9051af3p-3, -0x1.4ee1213eb39dcp-3, -0x1.49b83cf6901e6p-3, -0x1.44a339d9f8481p-3, -0x1.3fa1bed578666p-3, -0x1.3ab3739f0939ep-3, -0x1.35d7ff50f54b3p-3, -0x1.310f0a65fbb33p-3, -0x1.2c583e3259ee5p-3, -0x1.27b34553b8417p-3, -0x1.231fcbf9258a6p-3, -0x1.1e9d8001737a1p-3, -0x1.1a2c10d662edfp-3, -0x1.15cb30571d5aap-3, -0x1.117a9240aee81p-3, -0x1.0d39eb829737bp-3, -0x1.0908f3bb88a85p-3, -0x1.04e763a361c8fp-3, -0x1.00d4f5eaf72e4p-3, -0x1.f9a2cda211f5p-4, -0x1.f1b8e7c09bc58p-4, -0x1.e9ebb890144c6p-4, -0x1.e23ac10c24e7ep-4, -0x1.daa584f93599p-4, -0x1.d32b8a082a89dp-4, -0x1.cbcc5b432b3c4p-4, -0x1.c48782da0b1p-4, -0x1.bd5c906cc6743p-4, -0x1.b64b14e6fbf95p-4, -0x1.af52a551982d8p-4, -0x1.a872d87978644p-4, -0x1.a1ab4860ef6a5p-4, -0x1.9afb91a85e6adp-4, -0x1.946353cd24ea5p-4, -0x1.8de23097fe2fp-4, -0x1.8777cc99e43c8p-4, -0x1.8123cf7f49327p-4, -0x1.7ae5e2acca3ddp-4, -0x1.74bdb1faa5da1p-4, -0x1.6eaaec7226369p-4, -0x1.68ad42789186ap-4, -0x1.62c4672fa1625p-4, -0x1.5cf00ffeac143p-4, -0x1.572ff3e01b65cp-4, -0x1.5183cc6be820dp-4, -0x1.4beb548e5e13p-4, -0x1.4666496a81556p-4, -0x1.40f4698ca8d6ep-4, -0x1.3b9575a2227c5p-4, -0x1.36492f42b6a4p-4, -0x1.310f59bcb553ep-4, -0x1.2be7b9f40758dp-4, -0x1.26d2163a4fa3fp-4, -0x1.21ce36067da7ep-4, -0x1.1cdbe1ed81c27p-4, -0x1.17fae42d1eaf3p-4, -0x1.132b07e96a8abp-4, -0x1.0e6c19fcc288fp-4, -0x1.09bde71d607d1p-4, -0x1.05203e42beb37p-4, -0x1.0092ef164c5f2p-4, -0x1.f82b947818a37p-5, -0x1.ef51428877d1bp-5, -0x1.e6968ce4249a3p-5, -0x1.ddfb1a7957203p-5, -0x1.d57e93deaa88dp-5, -0x1.cd20a2a665d61p-5, -0x1.c4e0f233b928dp-5, -0x1.bcbf2f098a8a8p-5, -0x1.b4bb0874e5e2bp-5, -0x1.acd42ba410459p-5, -0x1.a50a4bbe2e15ep-5, -0x1.9d587711afb6cp-5, -0x1.95c76dffd030bp-5, -0x1.8e52773d1ac8p-5, -0x1.86f946bf2f776p-5, -0x1.7fbb91f84e2dp-5, -0x1.78991122ed5p-5, -0x1.719179c2e4c24p-5, -0x1.6aa4843e95071p-5, -0x1.63d1e9ae83353p-5, -0x1.5d1963b198b92p-5, -0x1.567aaca2e60cdp-5, -0x1.4ff57f6443ec9p-5, -0x1.498998604fec6p-5, -0x1.4336b328a6ab4p-5, -0x1.3cfc8d35303dp-5, -0x1.36dae2802a697p-5, -0x1.30d17270c8f2ap-5, -0x1.2adffbcdf141dp-5, -0x1.25063b8874b29p-5, -0x1.1f43f1f84f3bap-5, -0x1.1998dec8d2b36p-5, -0x1.1404c2404c3e2p-5, -0x1.0e875bd23adc2p-5, -0x1.09206d1dd556dp-5, -0x1.03cfb74981a53p-5, -0x1.fd29f6bffbe31p-6, -0x1.f2dff5f42a6a1p-6, -0x1.e8c0f2860ecc2p-6, -0x1.decc6da8c74c9p-6, -0x1.d501efc03c11bp-6, -0x1.cb60fc0a94503p-6, -0x1.c1e91b8fedc4p-6, -0x1.b899d43bda34cp-6, -0x1.af72ac951962ap-6, -0x1.a6732a6d644f7p-6, -0x1.9d9ade925f217p-6, -0x1.94e94c92ed0e3p-6, -0x1.8c5dfd80d10edp-6, -0x1.83f87a38e63d4p-6, -0x1.7bb8512c1907cp-6, -0x1.739d0a5cd49a2p-6, -0x1.6ba631f0203bep-6, -0x1.63d3556ee381ap-6, -0x1.5c2400b5b4041p-6, -0x1.5497bd53115e5p-6, -0x1.4d2e1c85f356dp-6, -0x1.45e6a114419f6p-6, -0x1.3ec0f897d2589p-6, -0x1.37bc8957d33fcp-6, -0x1.30d90649e045p-6, -0x1.2a15e5d64e3cbp-6, -0x1.2372c17255906p-6, -0x1.1cef290c6d4ffp-6, -0x1.168aafa1269fp-6, -0x1.1044e5ab1ec2ap-6, -0x1.0a1d5e7630bbcp-6, -0x1.0413ab4cb15bep-6, -0x1.fc4ec23881becp-7, -0x1.f0b02395f14e7p-7, -0x1.e54aafe3d09ffp-7, -0x1.da1d8488a1ecbp-7, -0x1.cf27d3113535bp-7, -0x1.c468cb748bb31p-7, -0x1.b9df96523e9efp-7, -0x1.af8b66279325ep-7, -0x1.a56b6e961f645p-7, -0x1.9b7ecb98ce062p-7, -0x1.91c4eed82dbbdp-7, -0x1.883ccdb99f092p-7, -0x1.7ee5c436b20d2p-7, -0x1.75bef5f60e937p-7, -0x1.6cc7b1aaa7f2bp-7, -0x1.63ff22cfa3f4bp-7, -0x1.5b64937621c4bp-7, -0x1.52f73c88a4d38p-7, -0x1.4ab668fe5ab71p-7, -0x1.42a1523e31995p-7, -0x1.3ab74aa9ed632p-7, -0x1.32f7903efb1c1p-7, -0x1.2b61707188e16p-7, -0x1.23f437e945d84p-7, -0x1.1caf34c758a25p-7, -0x1.15918d9a803f9p-7, -0x1.0e9b10b341fefp-7, -0x1.07ca957db0f18p-7, -0x1.011f9fac03631p-7, -0x1.f533005d49bb5p-8, -0x1.e86f3760e95a9p-8, -0x1.dbf2906498318p-8, -0x1.cfbbd1ca83766p-8, -0x1.c3c9b00041f7bp-8, -0x1.b81b04b28ae39p-8, -0x1.acae8b1321464p-8, -0x1.a18324727e7b9p-8, -0x1.96979298e4c4bp-8, -0x1.8beab152c5312p-8, -0x1.817b66b156635p-8, -0x1.77489bfef65c8p-8, -0x1.6d50fcd235966p-8, -0x1.6393ac69b1dabp-8, -0x1.5a0f85acdf664p-8, -0x1.50c36d876aeb8p-8, -0x1.47ae6357b6a08p-8, -0x1.3ecf5a7043994p-8, -0x1.362545c100666p-8, -0x1.2daf425d3d2b7p-8, -0x1.256c2653c2d91p-8, -0x1.1d5b1b74e9ac7p-8, -0x1.157b1cb74687cp-8, -0x1.0dcb39b3ff41ep-8, -0x1.064a84b2b8d12p-8, -0x1.fdf01ee38f36ep-9, -0x1.efa5da3222c3cp-9, -0x1.e1b49ee69ca08p-9, -0x1.d41a63ff7afefp-9, -0x1.c6d59bf68736fp-9, -0x1.b9e4823d5226bp-9, -0x1.ad4576fad0656p-9, -0x1.a0f6c097c9874p-9, -0x1.94f6b7259a4b3p-9, -0x1.8943d490c3dddp-9, -0x1.7ddc75a1b85adp-9, -0x1.72bef5688e035p-9, -0x1.67e9fbd367d5bp-9, -0x1.5d5bd836dac2ep-9, -0x1.53131b48204e1p-9, -0x1.490e51290ddb1p-9, -0x1.3f4c02f0be26dp-9, -0x1.35cb3b1a017aep-9, -0x1.2c892b6c8fbd6p-9, -0x1.2385d78a3d905p-9, -0x1.1abf70db78e2bp-9, -0x1.1234aba1fde1ap-9, -0x1.09e41f65344bdp-9, -0x1.01cc99c38a4f4p-9, -0x1.f3d993c5df41bp-10, -0x1.e486e1c34b61ap-10, -0x1.d59eb292a34f3p-10, -0x1.c71e954a228b5p-10, -0x1.b9043f460568ep-10, -0x1.ab4d2c732c13p-10, -0x1.9df73a6db2f0cp-10, -0x1.9100213216625p-10, -0x1.8465ae825173fp-10, -0x1.7825b2256d9ddp-10, -0x1.6c3dfb909497bp-10, -0x1.60acb5f0246c8p-10, -0x1.556f85206824fp-10, -0x1.4a848b29eea98p-10, -0x1.3fe9b5886e5a7p-10, -0x1.359d3ad4e7cf6p-10, -0x1.2b9d1ee2feeb1p-10, -0x1.21e78eeef0bb1p-10, -0x1.187aad8413ea1p-10, -0x1.0f54a5455ce53p-10, -0x1.0673c718290f1p-10, -0x1.fbacba6f48b49p-11, -0x1.eaf54fe064971p-11, -0x1.dabe27e9d601fp-11, -0x1.cb03cab1b9357p-11, -0x1.bbc370d353617p-11, -0x1.acf9968f13a85p-11, -0x1.9ea368616ad0dp-11, -0x1.90be17f9b4484p-11, -0x1.83463b8f43ebdp-11, -0x1.76395240fb672p-11, -0x1.6994b0ef63248p-11, -0x1.5d5574b667456p-11, -0x1.5178be2282317p-11, -0x1.45fc7546a2838p-11, -0x1.3add910f7b7adp-11, -0x1.3019d3604f853p-11, -0x1.25aec0d3a7506p-11, -0x1.1b99e69f215fbp-11, -0x1.11d81f1461a9bp-11, -0x1.0869bc75c38a3p-11, -0x1.fed23074ca848p-12, -0x1.ed40ef00a1941p-12, -0x1.dc47d335823e5p-12, -0x1.cbdff27471bap-12, -0x1.bc04fa31b6615p-12, -0x1.acb2f8de4461p-12, -0x1.9de578b5bee25p-12, -0x1.8f98d0fc42cafp-12, -0x1.81c8c4e20fc7cp-12, -0x1.7471b0b0689adp-12, -0x1.678fb5b2e4be6p-12, -0x1.5b1fa9c23836ep-12, -0x1.4f1d42f8ecca3p-12, -0x1.43857b2c7099bp-12, -0x1.3854efec1afd3p-12, -0x1.2d8877620c6eep-12, -0x1.231ca2a62119cp-12, -0x1.190e502d7669fp-12, -0x1.0f5b758b4d98p-12, -0x1.05ff765607ca9p-12, -0x1.f9f369eaeef45p-13, -0x1.e88b50c77350cp-13, -0x1.d7c3284955044p-13, -0x1.c79578b8485e4p-13, -0x1.b7fd633b07191p-13, -0x1.a8f5fd4a78122p-13, -0x1.9a7abc197d8bbp-13, -0x1.8c873a9c35ef7p-13, -0x1.7f16488458538p-13, -0x1.72262dba68dd8p-13, -0x1.65b0371ecc75ep-13, -0x1.59b18833570eap-13, -0x1.4e2600e13c5b2p-13, -0x1.430a0a15fbe5dp-13, -0x1.385a1dc220883p-13, -0x1.2e1232a19adf1p-13, -0x1.242fc58f8747fp-13, -0x1.1aae0bacc6ec1p-13, -0x1.118abb8ee9411p-13, -0x1.08c2844b5d97dp-13, -0x1.005259dda277fp-13, -0x1.f06e006c5914cp-14, -0x1.e0db27d538457p-14, -0x1.d1e6ca1c6db02p-14, -0x1.c38b1ee57a06cp-14, -0x1.b5c059c8dbe36p-14, -0x1.a8865088a1608p-14, -0x1.9bd309e892364p-14, -0x1.8fa49c452b894p-14, -0x1.83f4a675d905bp-14, -0x1.78be847065031p-14, -0x1.6dfbdf2936fbbp-14, -0x1.63ac5c9d0e89bp-14, -0x1.59c87c407cadcp-14, -0x1.504d3ffe7a469p-14, -0x1.473552609c304p-14, -0x1.3e7df0d5b5f4p-14, -0x1.3622d434b04f4p-14, -0x1.2e2054735626bp-14, -0x1.2672768447ebbp-14, -0x1.1f0f44088a784p-14, -0x1.1805e86236727p-14, -0x1.11425ccfc1811p-14, -0x1.0ac589f21cdaap-14, -0x1.048c0b3f28a7fp-14, -0x1.fd2881c1a1c05p-15, -0x1.f1b69f263a047p-15, -0x1.e69f7b2163e52p-15, -0x1.dc2ea2bf08b7cp-15, -0x1.d2118760757f4p-15, -0x1.c85967b119027p-15, -0x1.bf067367d97dp-15, -0x1.b61096b156194p-15, -0x1.ad7422c1b5391p-15, -0x1.a52ca98699f44p-15, -0x1.9d3122157a56ap-15, -0x1.95899216c629ap-15, -0x1.8e27f204d9daep-15, -0x1.8709734c03c75p-15, -0x1.802fd0ac52c2fp-15, -0x1.79928fa5def53p-15, -0x1.733080dbf822ap-15, -0x1.6d03fd1fd9182p-15, -0x1.670e976d70415p-15, -0x1.6149ca48ad50cp-15, -0x1.5bb3e4353e4cbp-15, -0x1.5647dac42f90fp-15, -0x1.5106f82cd8f71p-15, -0x1.4be65da5dc283p-15, -0x1.46f75d61784fcp-15, -0x1.42240a120d19ep-15, -0x1.3d70611f5a8edp-15, -0x1.38db7857f0805p-15, -0x1.3462a6ec9a40bp-15, -0x1.30035ccdeb02ap-15, -0x1.2bbd960e84e68p-15, -0x1.278cdf6a8403ep-15, -0x1.23719dae9cf28p-15, -0x1.1f6a1d2b48f61p-15, -0x1.1b75a33fa1bd9p-15, -0x1.179348df6b61bp-15, -0x1.13bef8fa8bb61p-15, -0x1.0ff4e09900a9dp-15, -0x1.0c3b95374301fp-15, -0x1.088b296424bdp-15, -0x1.04e886ce426a1p-15, -0x1.014ec7e9931e2p-15, -0x1.fb7a1f7eef7bdp-16, -0x1.f469a285afb5p-16, -0x1.ed654a9ba55c2p-16, -0x1.e6699790ff7fcp-16, -0x1.df7eb6334f81dp-16, -0x1.d898516655ef9p-16, -0x1.d1c0a3d254b53p-16, -0x1.caeb0c96bd6fcp-16, -0x1.c41f031934795p-16, -0x1.bd6a03f9669d1p-16, -0x1.b69183a4a4e06p-16, -0x1.afd1a43a3ab0dp-16, -0x1.a9141756c95b6p-16, -0x1.a25990468fb84p-16, -0x1.9b9df1b36cf2p-16, -0x1.94e33ba340596p-16, -0x1.8e2951f90207bp-16, -0x1.876ef0bd778bbp-16, -0x1.80b43933626c8p-16, -0x1.79f831626036fp-16, -0x1.73391186a653ap-16, -0x1.6c88838717adcp-16, -0x1.65bc756ab5a5bp-16, -0x1.5ef9855e5f55ep-16, -0x1.583411a98fe7bp-16, -0x1.516d74566d42ep-16, -0x1.4aa5b15eef4bep-16, -0x1.43dab8df5302dp-16, -0x1.3d0d5a4f83963p-16, -0x1.363e2a5e1fb1p-16, -0x1.2f55ef7f8f3aap-16, -0x1.28995552003a5p-16, -0x1.21c585d6b0fd8p-16, -0x1.1aef71914a591p-16, -0x1.1417c8f09cd59p-16, -0x1.0d2f88b439aabp-16, -0x1.0666ad0fe75dcp-16, -0x1.ff1621d446394p-17, -0x1.f16210be40fe1p-17, -0x1.e3aac7ab894dep-17, -0x1.d5f68f0a4796p-17, -0x1.c82d0d2c07b47p-17, -0x1.ba8fed6464d1dp-17, -0x1.ace3e5bb05b56p-17, -0x1.9f3b30c57c722p-17, -0x1.919505716e853p-17, -0x1.83edccdcf23c4p-17, -0x1.76545bcfa4d2ep-17, -0x1.68bbfda4e8dadp-17, -0x1.5b2bb85a123aap-17, -0x1.4d883ef84241bp-17, -0x1.40215de7422bap-17, -0x1.32af5b2923e1p-17, -0x1.2540d2556076p-17, -0x1.17e2c76d9a1dep-17, -0x1.0a8ede5b8e6c2p-17, -0x1.fa9264801a538p-18, -0x1.e01b7c08041dap-18, -0x1.c5b75689833c6p-18, -0x1.ac1a9db9d8p-18, -0x1.91786752d55e8p-18, -0x1.778aaf8e8191ap-18, -0x1.5db796f96f55p-18, -0x1.4413f9a98638p-18, -0x1.2a78d846189d3p-18, -0x1.1144b8b928b1ap-18, -0x1.eff0e411b3085p-19, -0x1.bdff17013db92p-19, -0x1.8c562ce0b5087p-19, -0x1.5afc1548e4fecp-19, -0x1.2a10cc87f7901p-19, -0x1.f2f3d140e45ep-20, -0x1.92a8ae1fcf285p-20, -0x1.308ed582997e4p-20, -0x1.a22e22ce6be57p-21, -0x1.d8d62f71781c5p-22, -0x1.9f24dce55705fp-24, 0x1.07e3f66df6777p-22, 0x1.3a32d548dd7d6p-21, 0x1.ee4641b9ae43ep-21, 0x1.5059eebf61265p-20, 0x1.a865b83bd36cap-20, 0x1.ff9797d5a48e6p-20, 0x1.2adfdce1cb306p-19, 0x1.55710fe24181cp-19, 0x1.7fa3b4e16312bp-19, 0x1.a8f69b33330acp-19, 0x1.d20d47639c5d4p-19, 0x1.fa461e43782bbp-19, 0x1.1118f3db2fb0dp-18, 0x1.24c1bf6453651p-18, 0x1.383da11312108p-18, 0x1.4b355c11ce09cp-18, 0x1.5df8284d86911p-18, 0x1.707ab3a655ebbp-18, 0x1.82b0ab97d24a7p-18, 0x1.94963b6c24256p-18, 0x1.a63a51bbbdb9p-18, 0x1.b789266174aa1p-18, 0x1.c7ccdaf9f35a1p-18, 0x1.d94fe1cfa08a6p-18, 0x1.e90b854a81d27p-18, 0x1.f9ab9acf91c7fp-18, 0x1.04b7e7721150fp-17, 0x1.0c73b38dbb69ap-17, 0x1.1404120445c2p-17, 0x1.1b6e0413db5aep-17, 0x1.22b108ad15aebp-17, 0x1.29c989fcc60e2p-17, 0x1.30bc273ae7d98p-17, 0x1.3781a6097f7cep-17, 0x1.3e232a719ff3ap-17, 0x1.449aa4f235d2ap-17, 0x1.4ae508d4be9fdp-17, 0x1.510c6c6823fe2p-17, 0x1.5706a4be68a82p-17, 0x1.5cd80d7c092a9p-17, 0x1.6284bac3bb0a7p-17, 0x1.680853c3096b9p-17, 0x1.6d5e15d240e08p-17, 0x1.7291ae3471982p-17, 0x1.778a72ebff1fep-17, 0x1.7c2a8cf24b2a9p-17, 0x1.8131ab60e819fp-17, 0x1.85bfe39761dc5p-17, 0x1.8a231f796021cp-17, 0x1.8e6338a18edc7p-17, 0x1.9278e5a72009bp-17, 0x1.9668aed99b3e3p-17, 0x1.9a3187e73d311p-17, 0x1.9dd3eafe55428p-17, 0x1.a14a31129bd2ep-17, 0x1.a4a0ce6b7aab9p-17, 0x1.a7c9f27b43483p-17, 0x1.aac8f532f6176p-17, 0x1.adbd3b562d1ccp-17, 0x1.b0dfea4ad666ap-17, 0x1.b305f7d313a9dp-17, 0x1.b56e3147f439dp-17, 0x1.b7b7768583cd8p-17, 0x1.b9ac6e9fbbc0dp-17, 0x1.bbc92eb87879ap-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.ab7231c31fb1ap-5, -0x1.ffebdbcd7d051p-5, -0x1.292d6283b918fp-4, -0x1.508fd9a115d4p-4, -0x1.757ad65055dfap-4, -0x1.977091aca52ffp-4, -0x1.b619861c97ee1p-4, -0x1.d13577e78c9b3p-4, -0x1.e8a3801147dd5p-4, -0x1.fc575b629c011p-4, -0x1.06280c4d06617p-3, -0x1.0c51c9d048872p-3, -0x1.10b5789561ccdp-3, -0x1.13662b6fb0784p-3, -0x1.147986edbf115p-3, -0x1.140790517657fp-3, -0x1.1229e657cb0cep-3, -0x1.0efaabebbc5d8p-3, -0x1.0a944ede26c35p-3, -0x1.051195fb4fcbep-3, -0x1.fd19f276d896ap-4, -0x1.ee3fabe33036ap-4, -0x1.ddc4b78b40191p-4, -0x1.cbd7cfd0f5fbap-4, -0x1.b8a60e954b3dfp-4, -0x1.a45a28e255d38p-4, -0x1.8f1ba4d012feap-4, -0x1.790ec37547bddp-4, -0x1.62551e843a4bap-4, -0x1.4b0e5df58892ep-4, -0x1.335868e1b871p-4, -0x1.1b4f0ab05cf45p-4, -0x1.030b935b0aee7p-4, -0x1.d54c31924ef82p-5, -0x1.a45eaf88453a3p-5, -0x1.737760c7a1a28p-5, -0x1.42b7fe981d645p-5, -0x1.123edaad5fa37p-5, -0x1.c44e329464a95p-6, -0x1.6511e2f571e62p-6, -0x1.06f3daafdfd38p-6, -0x1.54345ba069425p-7, -0x1.3a996b7caff6ep-8, 0x1.694f25a1dfa7bp-11, 0x1.8e7cb4ea2e3a5p-8, 0x1.748487e378519p-7, 0x1.0f2186af56702p-6, 0x1.622d9bcfb63cdp-6, 0x1.b359cbb1d3767p-6, 0x1.014de894bc4eap-5, 0x1.27f5dc69abc3dp-5, 0x1.4da1dde2d12aep-5, 0x1.7250063eebdbap-5, 0x1.95ff5f7f74e5ap-5, 0x1.b8afab2ed69eep-5, 0x1.da616c3d41424p-5, 0x1.fb15beb85920ep-5, 0x1.0d6724e0d8eb3p-4, 0x1.1cc697ba93c77p-4, 0x1.2baa785ba0fbbp-4, 0x1.3a1455971fcb6p-4, 0x1.4805c27e2086p-4, 0x1.558096bcb9b04p-4, 0x1.6286ca5129fa3p-4, 0x1.6f1a73b055e2cp-4, 0x1.7b3dc2c3bc05dp-4, 0x1.86f2f986f238ep-4, 0x1.923c67a403012p-4, 0x1.9d1c61d3ace36p-4, 0x1.a79541d53707dp-4, 0x1.b1a962df50f11p-4, 0x1.bb5b1e429dd4dp-4, 0x1.c4accc47479f5p-4, 0x1.cda0c262f3fe4p-4, 0x1.d63952361b63ep-4, 0x1.de78ca6680588p-4, 0x1.e6617258daf3fp-4, 0x1.edf525388d4dbp-4, 0x1.f537079ea6796p-4, 0x1.fc28d6e34e06p-4, 0x1.01665a7a6b983p-3, 0x1.04925ce611b5ep-3, 0x1.07997955b293cp-3, 0x1.0a7cafae711edp-3, 0x1.0d3cfa6fa41b7p-3, 0x1.0fdb4d8eaa544p-3, 0x1.125896c25b4d6p-3, 0x1.14b5bbedd04ep-3, 0x1.16f3a16b917e2p-3, 0x1.19131d8b4f399p-3, 0x1.1b1504a04d311p-3, 0x1.1cfa2340ef866p-3, 0x1.1ec33f66924ecp-3, 0x1.2071170a9e54cp-3, 0x1.220463acc62eep-3, 0x1.237dd6aa481fbp-3, 0x1.24de1bb37819cp-3, 0x1.2625d8503d505p-3, 0x1.2755acab24013p-3, 0x1.286e325ec3479p-3, 0x1.296ffe5e7c414p-3, 0x1.2a5ba040c30a1p-3, 0x1.2b31a2d52c272p-3, 0x1.2bf28ba36ab6fp-3, 0x1.2c9edc6062a98p-3, 0x1.2d37124f157adp-3, 0x1.2dbba58e77d13p-3, 0x1.2e2d0b441e943p-3, 0x1.2e8bb3e26c99fp-3, 0x1.2ed80c994b49cp-3, 0x1.2f127e9f47a53p-3, 0x1.2f3b6fd8e740cp-3, 0x1.2f5342e93d431p-3, 0x1.2f5a56f7ad039p-3, 0x1.2f51084c9ca03p-3, 0x1.2f37b07a53f0dp-3, 0x1.2f0ea5ebaf695p-3, 0x1.2ed63d3f9313p-3, 0x1.2e8ec693b55ebp-3, 0x1.2e389273b770fp-3, 0x1.2dd3ed635e15p-3, 0x1.2d6121d97d22cp-3, 0x1.2ce07961e8729p-3, 0x1.2c523ae174bffp-3, 0x1.2bb6abdf74097p-3, 0x1.2b0e104d9c2f4p-3, 0x1.2a58aa84dcd45p-3, 0x1.2996bc07314p-3, 0x1.28c884b5ddb58p-3, 0x1.27ee42e8b6ce3p-3, 0x1.270834f69bba4p-3, 0x1.2616975414fd5p-3, 0x1.2519a6a9a3323p-3, 0x1.24119dae0d633p-3, 0x1.22feb72b4b38bp-3, 0x1.21e12d06dc7eap-3, 0x1.20b938a98f1a5p-3, 0x1.1f8712a457016p-3, 0x1.1e4af37d1fbc8p-3, 0x1.1d05131442378p-3, 0x1.1bb5a8d0eb10fp-3, 0x1.1a5ceba62eaa1p-3, 0x1.18fb12934dd9p-3, 0x1.179053e400fc7p-3, 0x1.161ce5ea1d468p-3, 0x1.14a0fe678ad61p-3, 0x1.131cd302efd94p-3, 0x1.1190997e606a1p-3, 0x1.0ffc86e70d9a4p-3, 0x1.0e60d07daf1aap-3, 0x1.0cbdac28b7af5p-3, 0x1.0b134b961bc57p-3, 0x1.0961e6ed1239ep-3, 0x1.07a9b1702031ap-3, 0x1.05eadf9b9d0ep-3, 0x1.0425a5a15cfb3p-3, 0x1.025a380af801dp-3, 0x1.0088cae2c95a8p-3, 0x1.fd6323a9c5c3fp-4, 0x1.f9a9818d2b417p-4, 0x1.f5e51774c2498p-4, 0x1.f2164bf96f87ep-4, 0x1.ee3d85abd3515p-4, 0x1.ea5b2c06d3802p-4, 0x1.e66fa3b9b0e7fp-4, 0x1.e273d8f1ed723p-4, 0x1.de767dac9d673p-4, 0x1.da711856745bdp-4, 0x1.d6640c33dfea5p-4, 0x1.d24fbcdeebc8p-4, 0x1.ce348e281b3b1p-4, 0x1.ca12e1680dde7p-4, 0x1.c5eb187da3654p-4, 0x1.c1bd94b5d90f3p-4, 0x1.bd8ab686304a4p-4, 0x1.b952dd922709fp-4, 0x1.b51668fcd7c66p-4, 0x1.b0d5b7b490e42p-4, 0x1.ac9126ad879bap-4, 0x1.a8491348e9133p-4, 0x1.a3fdd8d3035a9p-4, 0x1.9fafd260b8686p-4, 0x1.9b5f5af36442bp-4, 0x1.970ccbc20f529p-4, 0x1.92b87ca25f3e6p-4, 0x1.8e62c5076af5dp-4, 0x1.8a0bfbbd76f84p-4, 0x1.85b474ece6765p-4, 0x1.815c85b03c95cp-4, 0x1.7d0481089bb35p-4, 0x1.78acb8a0e666ap-4, 0x1.74557d14132c4p-4, 0x1.6fff1ea83a549p-4, 0x1.6ba9ea6ee71bp-4, 0x1.67562edfb1a67p-4, 0x1.630435a62ba3cp-4, 0x1.5eb44b19ecbb3p-4, 0x1.5a66b7c3911bdp-4, 0x1.561bc23e5af56p-4, 0x1.51d3b1c35a486p-4, 0x1.4d8eca989e7c8p-4, 0x1.494d5119b5cf3p-4, 0x1.450f853bfcff4p-4, 0x1.40d5a9a817fbap-4, 0x1.3c9ffadc9f7b2p-4, 0x1.386eb76375b6p-4, 0x1.34421a7bdd8dbp-4, 0x1.301a5de5e2894p-4, 0x1.2bf7ba58d466bp-4, 0x1.27da675171f46p-4, 0x1.23c298c1b7b37p-4, 0x1.1fb07fd347c8ep-4, 0x1.1ba456a60c108p-4, 0x1.179e4320dc8b8p-4, 0x1.139e7ca1c810fp-4, 0x1.0fa5297286454p-4, 0x1.0bb276e4765b5p-4, 0x1.07c68de60bc4dp-4, 0x1.03e1971f277acp-4, 0x1.0003b7de64ff1p-4, 0x1.f85a285311fd1p-5, 0x1.f0bb9c11eb153p-5, 0x1.e92c0f9628cp-5, 0x1.e1abbe04ad493p-5, 0x1.da3ae76383c37p-5, 0x1.d2d9bfcd77747p-5, 0x1.cb887ca1c544ap-5, 0x1.c44750602404cp-5, 0x1.bd16689b94d9bp-5, 0x1.b5f5f063e752ep-5, 0x1.aee6122846cd2p-5, 0x1.a7e6eda226fap-5, 0x1.a0f8b4d96cedfp-5, 0x1.9a1b7716fc15dp-5, 0x1.934f5b1ff205bp-5, 0x1.8c94750933b75p-5, 0x1.85eae56d04a43p-5, 0x1.7f52bcddb6b35p-5, 0x1.78cc0f1c44589p-5, 0x1.7256ee002d5a7p-5, 0x1.6bf36b61d3bb6p-5, 0x1.65a190595677fp-5, 0x1.5f616c92a27e9p-5, 0x1.593305e3e749p-5, 0x1.531664f1a9e63p-5, 0x1.4d0b90130abbfp-5, 0x1.47128b290886dp-5, 0x1.412b4d5e1c2cap-5, 0x1.3b55fc285941bp-5, 0x1.3592730cadc3cp-5, 0x1.2fe0bb8644a78p-5, 0x1.2a40d4a6c85a9p-5, 0x1.24b2b92499263p-5, 0x1.1f3664ca03d2dp-5, 0x1.19cbd0bd5ff94p-5, 0x1.1472f554cb1d2p-5, 0x1.0f2bcb106a239p-5, 0x1.09f6469f35a1ep-5, 0x1.04d261a6fd49fp-5, 0x1.ff801a53ea08ap-6, 0x1.f57e7a37add46p-6, 0x1.eb9fcbe625a72p-6, 0x1.e1e3f51fde124p-6, 0x1.d84acbe8cadb1p-6, 0x1.ced43b62ba3dbp-6, 0x1.c580207e48fep-6, 0x1.bc4e530f04b1ap-6, 0x1.b33eb227cd367p-6, 0x1.aa5115a890225p-6, 0x1.a185513fe980ep-6, 0x1.98db453c4e22ep-6, 0x1.9052b75184bb6p-6, 0x1.87eb81a8c3864p-6, 0x1.7fa573c37db3p-6, 0x1.77805bd3d7215p-6, 0x1.6f7c050088698p-6, 0x1.67983be65ef71p-6, 0x1.5fd4c98a873ddp-6, 0x1.58317b8ce6d4ep-6, 0x1.50ae0cc01afc9p-6, 0x1.494a4ad909781p-6, 0x1.4205f5a6dd9b8p-6, 0x1.3ae0d02d7818ep-6, 0x1.33da9b6b5779p-6, 0x1.2cf3129a9f42fp-6, 0x1.2629f85687f69p-6, 0x1.1f7f050d23024p-6, 0x1.18f1f39d0ea6fp-6, 0x1.12827f2693897p-6, 0x1.0c305fcd019c3p-6, 0x1.05fb4b9466d8fp-6, 0x1.ffc5f3cd6ee16p-7, 0x1.f3ce3e2b32d4fp-7, 0x1.e80f09ade12d9p-7, 0x1.dc873a60f6b67p-7, 0x1.d136b778ea524p-7, 0x1.c61cb93c18a34p-7, 0x1.bb38a3f8a6345p-7, 0x1.b089d3fa0d073p-7, 0x1.a60fade4c0078p-7, 0x1.9bc98827fa76p-7, 0x1.91b6c3ed68e24p-7, 0x1.87d6beddfbe77p-7, 0x1.7e28d26417bddp-7, 0x1.74ac59f6fab23p-7, 0x1.6b60afbd170f4p-7, 0x1.62452e2fd8a25p-7, 0x1.59592c66b458p-7, 0x1.509c05e56e7d1p-7, 0x1.480d147fc367dp-7, 0x1.3fabacc39c6ccp-7, 0x1.377731a9a954cp-7, 0x1.2f6ef38af64c9p-7, 0x1.27924fc715d06p-7, 0x1.1fe09d44888c8p-7, 0x1.18593c1e158a9p-7, 0x1.10fb82c92b481p-7, 0x1.09c6d309a404ap-7, 0x1.02ba862f3e00ap-7, 0x1.f7abe4254bf4dp-8, 0x1.ea30fd718d978p-8, 0x1.dd03144a3fcefp-8, 0x1.d020e6df7e558p-8, 0x1.c38939e304057p-8, 0x1.b73accfaeed84p-8, 0x1.ab34752e9d188p-8, 0x1.9f74ed0b9e594p-8, 0x1.93fb0b490271bp-8, 0x1.88c5a19fb1098p-8, 0x1.7dd37ddccfe5ep-8, 0x1.73237796ee493p-8, 0x1.68b46f90255d7p-8, 0x1.5e853d3f002p-8, 0x1.5494b76ff3a0ep-8, 0x1.4ae1d2bfcc094p-8, 0x1.416b67e81bb74p-8, 0x1.3830668365fc2p-8, 0x1.2f2fb768be81fp-8, 0x1.26684f86481eap-8, 0x1.1dd90b9d65c04p-8, 0x1.158113107968ap-8, 0x1.0d860bb7e7ee8p-8, 0x1.05a864419441bp-8, 0x1.fbfdc83525d2dp-9, 0x1.ed10804d379f9p-9, 0x1.de8693deb213cp-9, 0x1.d05dcfa4ec4dep-9, 0x1.c29400a01011cp-9, 0x1.b526fc2853546p-9, 0x1.a81492a2978a2p-9, 0x1.9b5a9ffedb30bp-9, 0x1.8ef6fe77956f2p-9, 0x1.82e7baa4199fbp-9, 0x1.772aa82cb667bp-9, 0x1.6bbdd9317051bp-9, 0x1.609f50d1496aap-9, 0x1.55cd272ac0273p-9, 0x1.4b457c7e67428p-9, 0x1.41068a668a5cfp-9, 0x1.370e764e0ef2cp-9, 0x1.2d5b7d960885cp-9, 0x1.23ec3511b393ap-9, 0x1.1abebc137e2d4p-9, 0x1.11d19653c3942p-9, 0x1.09233b908f5p-9, 0x1.00b236968e266p-9, 0x1.f0fa0372a9f63p-10, 0x1.e104977c182b2p-10, 0x1.d181673c0e7ebp-10, 0x1.c26db194c568ep-10, 0x1.b3c742c84065p-10, 0x1.a58b36dabbc6fp-10, 0x1.97b737384fcc4p-10, 0x1.8a48fc3d9be11p-10, 0x1.7d3e179f731dp-10, 0x1.70944a068bcafp-10, 0x1.64494dcd37019p-10, 0x1.585b00b2f7863p-10, 0x1.4cc73094d02cdp-10, 0x1.418bb6482b0dcp-10, 0x1.36a690507519ap-10, 0x1.2c15a7f4f9d08p-10, 0x1.21d6ffc6084c8p-10, 0x1.17e8820b62a7bp-10, 0x1.0e485eb759d45p-10, 0x1.04f48cf49e4c3p-10, 0x1.f7d6716ff1d24p-11, 0x1.e654da694770bp-11, 0x1.d56092e935b65p-11, 0x1.c4f69966fee14p-11, 0x1.b5129747c8062p-11, 0x1.a5b172b4f2ec1p-11, 0x1.96cfa2b1bf4ebp-11, 0x1.88699d64939f5p-11, 0x1.7a7c26a99ba7p-11, 0x1.6d0435a65409dp-11, 0x1.5ffe172e675aep-11, 0x1.5366d9ee1c5f4p-11, 0x1.473b97e515dcfp-11, 0x1.3b78de4413f68p-11, 0x1.301bfca2086c2p-11, 0x1.2520c78cc42cp-11, 0x1.1a87e73254057p-11, 0x1.104af3af8b744p-11, 0x1.066867cf1ce57p-11, 0x1.f9bb1adcd818fp-12, 0x1.e74fbada64ca6p-12, 0x1.d589b04efcb57p-12, 0x1.c45d937cb82d5p-12, 0x1.b3d80f6eab2d6p-12, 0x1.a3e3800658d06p-12, 0x1.948032817f7e9p-12, 0x1.85aa8a51e308dp-12, 0x1.775d931fe37f8p-12, 0x1.6994dff5b85e2p-12, 0x1.5c4c5b0b16df2p-12, 0x1.4f7fec7f1f7efp-12, 0x1.432b77a191abp-12, 0x1.374b365f9206ep-12, 0x1.2bdaa0b8578dep-12, 0x1.20d81f9e1f867p-12, 0x1.163de357d75f1p-12, 0x1.0c09460625e2cp-12, 0x1.0236802dfcf4bp-12, 0x1.f1863700980d4p-13, 0x1.df55f8bb026fcp-13, 0x1.cdd6ac7d61489p-13, 0x1.bd0232ccfe043p-13, 0x1.acd2357f8d888p-13, 0x1.9d3f871cf6186p-13, 0x1.8e4adee5ff5dcp-13, 0x1.7fe848c828749p-13, 0x1.721440009f2c7p-13, 0x1.64ca6f559cbf2p-13, 0x1.580469eb0197dp-13, 0x1.4bbf264f943dep-13, 0x1.3ff52e2d47494p-13, 0x1.34a17f18c250ap-13, 0x1.29c0c26bbf20cp-13, 0x1.1f4d6e137b0f2p-13, 0x1.154463c5b99a7p-13, 0x1.0ba1f94c21b82p-13, 0x1.0263650002b5cp-13, 0x1.f2fb8f4917fcdp-14, 0x1.e1ec4244510fap-14, 0x1.d18af14b3ae7bp-14, 0x1.c1d0b9038be8ep-14, 0x1.b2b80001648d6p-14, 0x1.a439fc7f065abp-14, 0x1.964fcd5f39b97p-14, 0x1.88f43fee81c24p-14, 0x1.7c222813a506cp-14, 0x1.6fd214ddb11f6p-14, 0x1.6400926926849p-14, 0x1.58a69e6d3eb84p-14, 0x1.4dc190cb42f67p-14, 0x1.4349ebeaa754ap-14, 0x1.3944e2b8340d1p-14, 0x1.2f95133d776cap-14, 0x1.264f531dfd1b4p-14, 0x1.1d6583f64064ap-14, 0x1.14d4fe1b72933p-14, 0x1.0c9a64cc976b1p-14, 0x1.04af8d5260459p-14, 0x1.fa25bbafd2fc9p-15, 0x1.eb8142444a00fp-15, 0x1.dd69789cd1815p-15, 0x1.cfd944c8663c2p-15, 0x1.c2c54545008edp-15, 0x1.b63d66c206d83p-15, 0x1.aa17a17b1d74dp-15, 0x1.9e68cf1573266p-15, 0x1.932270e46293bp-15, 0x1.884559c49183bp-15, 0x1.7dc6c6c218293p-15, 0x1.73a452b6a85b2p-15, 0x1.69d927fa41298p-15, 0x1.60606b74b0d19p-15, 0x1.572c2f7890bc8p-15, 0x1.4e5aadb97578cp-15, 0x1.45c4da81c75f2p-15, 0x1.3d727b0477a61p-15, 0x1.35603be23c03p-15, 0x1.2d870f6fbc3e6p-15, 0x1.25ef89fa70639p-15, 0x1.1e8c70a4c066ap-15, 0x1.175c175e0f9c3p-15, 0x1.105d4d2bef9b6p-15, 0x1.098ce4aa6da4dp-15, 0x1.02e2fd7787e5fp-15, 0x1.f8df07b7a8873p-16, 0x1.ec41361ad21c2p-16, 0x1.dfe4ec10c590cp-16, 0x1.d3bb44806cf7cp-16, 0x1.c808735397156p-16, 0x1.bc795109d6ac2p-16, 0x1.b127c0a6b932ep-16, 0x1.a6100f7e39f3bp-16, 0x1.9b14d588f39d7p-16, 0x1.907fc19eb5d67p-16, 0x1.85fdec61b1ad8p-16, 0x1.7baeedb09b973p-16, 0x1.7188fa89eaabdp-16, 0x1.678df115da4b9p-16, 0x1.5db79ca5ca64ep-16, 0x1.540a1600248c6p-16, 0x1.4a68fe7808034p-16, 0x1.412f248090ed4p-16, 0x1.37c1f2613f36ap-16, 0x1.2e97190c550aap-16, 0x1.258742cbdda7bp-16, 0x1.1c91c5b5b7287p-16, 0x1.13ba24059b4b1p-16, 0x1.0af38b8cb19a7p-16, 0x1.024c908a2a834p-16, 0x1.f377eec7040d2p-17, 0x1.e2801b9d95f43p-17, 0x1.d1b9818427d2cp-17, 0x1.c1107d9bb2e7bp-17, 0x1.b09beb4c1ba6dp-17, 0x1.a03ee1c4f2eb5p-17, 0x1.8faecdba08fd7p-17, 0x1.7fae7fc5d6948p-17, 0x1.70129d09d2f9dp-17, 0x1.6074aff4b74b1p-17, 0x1.50d7e6f8e8a84p-17, 0x1.41601e25651fcp-17, 0x1.320a0afbae5d1p-17, 0x1.22d4dad608192p-17, 0x1.13c32dcd89dc2p-17, 0x1.04d2a2fabe98p-17, 0x1.ec0521f3f29d7p-18, 0x1.cea06114e7c73p-18, 0x1.b182520c463cep-18, 0x1.94aad09e8ffe2p-18, 0x1.7803a6edd023fp-18, 0x1.5bd61f05e82f2p-18, 0x1.3fb636784471ap-18, 0x1.23edd6c14fccbp-18, 0x1.084e98803a116p-18, 0x1.da50b54cfd287p-19, 0x1.a439a9acd429p-19, 0x1.6ee18d007befbp-19, 0x1.39fe16b922876p-19, 0x1.05b0c1fb44d7dp-19, 0x1.a3d2c68e5a323p-20, 0x1.3da4a999979eap-20, 0x1.b50d1698a5c45p-21, 0x1.d1c5e0634cc34p-22, 0x1.4eb2ac37b4cb6p-24, -0x1.3ee1e905056e8p-22, -0x1.6126013c4b5e3p-21, -0x1.0fa8c3e5143fcp-20, -0x1.6d74c4550ddc7p-20, -0x1.ca2b44c6bd6f9p-20, -0x1.12c08dd933b58p-19, -0x1.3fcc27a303fc2p-19, -0x1.6c1fabcfa30d7p-19, -0x1.97f11522d4501p-19, -0x1.c2ee94be3d799p-19, -0x1.ed4709c935695p-19, -0x1.0b82fbe1be974p-18, -0x1.20099f5ee5489p-18, -0x1.34264eb926c5bp-18, -0x1.48008dbe3a2c9p-18, -0x1.5b7017ea6b967p-18, -0x1.6e87cf85e15d8p-18, -0x1.814786bdce3f7p-18, -0x1.93adaec85f72dp-18, -0x1.a58fc1a435944p-18, -0x1.b6e66277f9aa9p-18, -0x1.c8af597cea706p-18, -0x1.d97ae77244181p-18, -0x1.ea0f8c6fa9ef5p-18, -0x1.fa3330bf5acaep-18, -0x1.04ff74922285dp-17, -0x1.0cb35a8183b98p-17, -0x1.143660034a764p-17, -0x1.1b88aef0b7e69p-17, -0x1.22afd1921c90cp-17, -0x1.2999aed9ba443p-17, -0x1.30613147a66fbp-17, -0x1.36db7026e1e66p-17, -0x1.3d4603c0e0b1fp-17, -0x1.43ed14eafdeb1p-17, -0x1.497560614dd99p-17, -0x1.4f407ded6be6bp-17, -0x1.54d313cc18bcbp-17, -0x1.5a2625ff4ffcbp-17, -0x1.5f6426cd3ba14p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.4f94fc3a93df6p-5, 0x1.724fd303718f9p-5, 0x1.94991bb9e1a9cp-5, 0x1.b4fad06695e73p-5, 0x1.d2451c2177bd5p-5, 0x1.eb8ed7f1ecdf1p-5, 0x1.0013b63b560afp-4, 0x1.07ce6f6f6fca9p-4, 0x1.0cd27731cdec2p-4, 0x1.0f0e9e255c934p-4, 0x1.0e8572e0bc7fcp-4, 0x1.0b40d39d63dbfp-4, 0x1.055aa8325f4e7p-4, 0x1.f9e3c2e7158fp-5, 0x1.e4586bf94f4bap-5, 0x1.ca66e302629a9p-5, 0x1.ac6801828323fp-5, 0x1.8ab8808527ba9p-5, 0x1.65b65d5930d55p-5, 0x1.3dbdee237aa34p-5, 0x1.132964e6c3387p-5, 0x1.cca21a8e9e057p-6, 0x1.6f146aba2f37bp-6, 0x1.0e4ae57ae220fp-6, 0x1.55b75d89dc62ep-7, 0x1.154d65d2836b9p-8, -0x1.0e4c9e04f4fe8p-9, -0x1.13fcbe2bab499p-7, -0x1.e5b03ab28b3acp-7, -0x1.5bedefc41072ep-6, -0x1.c4e1add255efp-6, -0x1.16af764085314p-5, -0x1.4a8cc394bb61fp-5, -0x1.7de636214165p-5, -0x1.b09a50bbbc42ep-5, -0x1.e28e4c3c97de5p-5, -0x1.09d4d62485dc2p-4, -0x1.21eb77ba01fbfp-4, -0x1.3981ae8a37046p-4, -0x1.508f672473d4bp-4, -0x1.670dc1eaa7248p-4, -0x1.7cf6fb3aedfdp-4, -0x1.9246458abb4c5p-4, -0x1.a6f7b9f87fd9cp-4, -0x1.bb084493c87f2p-4, -0x1.ce758dbb41cc9p-4, -0x1.e13dee6da7fedp-4, -0x1.f3605ee7c24c2p-4, -0x1.026e350e9a81bp-3, -0x1.0ad90ee37f622p-3, -0x1.12f0ff1d7f34ep-3, -0x1.1ab67b53a718fp-3, -0x1.222a2567b3d6ap-3, -0x1.294cc5614a63bp-3, -0x1.301f4775ae454p-3, -0x1.36a2b891457b4p-3, -0x1.3cd8441944ed7p-3, -0x1.42c1314521e5ap-3, -0x1.485edd97c4602p-3, -0x1.4db2b9b362318p-3, -0x1.52be41c42ca64p-3, -0x1.57830089c2308p-3, -0x1.5c0286f549d9fp-3, -0x1.603e6e8365239p-3, -0x1.643855f8aa4efp-3, -0x1.67f1e00aa47d1p-3, -0x1.6b6cb1b001e76p-3, -0x1.6eaa7041abedcp-3, -0x1.71acc07e473d5p-3, -0x1.7475446d257f1p-3, -0x1.77059fe1e6194p-3, -0x1.795f6f946a2a7p-3, -0x1.7b844df479a24p-3, -0x1.7d75d20ed6775p-3, -0x1.7f358cd5dc717p-3, -0x1.80c5088192de6p-3, -0x1.8225c7d827c1ap-3, -0x1.8359597f219a1p-3, -0x1.8461068ea0e0bp-3, -0x1.853e4a81ea0a6p-3, -0x1.85f287f418235p-3, -0x1.867f19928b7e8p-3, -0x1.86e5525b672a1p-3, -0x1.87267cf8ac7bep-3, -0x1.8743dbe5b4169p-3, -0x1.873eaa5920cp-3, -0x1.87181b09d7856p-3, -0x1.86d1590497c3fp-3, -0x1.866b86b3a2c2p-3, -0x1.85e7bfda5a85ep-3, -0x1.8547177fec001p-3, -0x1.848a9b07361e5p-3, -0x1.83b348422d7b9p-3, -0x1.82c2208e572e6p-3, -0x1.81b8167d1ee11p-3, -0x1.809617405a6adp-3, -0x1.7f5d0833d4f04p-3, -0x1.7e0dc7fc615ep-3, -0x1.7ca92e9ee5117p-3, -0x1.7b300d430f227p-3, -0x1.79a32f71a05bdp-3, -0x1.780359e14532p-3, -0x1.76514c0a73eb6p-3, -0x1.748dbf7b1fbd2p-3, -0x1.72b968c3f023ap-3, -0x1.70d4f674b251cp-3, -0x1.6ee112b45a65bp-3, -0x1.6cde622738e41p-3, -0x1.6acd84f521644p-3, -0x1.68af164136d99p-3, -0x1.6683aca392249p-3, -0x1.644bda29307bbp-3, -0x1.62082c9e7a249p-3, -0x1.5fb92d6640517p-3, -0x1.5d5f61e9b332ap-3, -0x1.5afb4b8089796p-3, -0x1.588d67ba69326p-3, -0x1.561630c2ce699p-3, -0x1.53961c71f38d2p-3, -0x1.510d9e19ec1dep-3, -0x1.4e7d25401e887p-3, -0x1.4be51e735bb8bp-3, -0x1.4945f322511b1p-3, -0x1.46a009d302c88p-3, -0x1.43f3c639fea5bp-3, -0x1.41418961d7fa6p-3, -0x1.3e89b197b3f94p-3, -0x1.3bcc9a9e2f673p-3, -0x1.390a9e452e625p-3, -0x1.3644132349eaap-3, -0x1.33794dfd6e6e8p-3, -0x1.30aaa1888cf4bp-3, -0x1.2dd85fb537f7p-3, -0x1.2b02d2241b039p-3, -0x1.282a497afed4ep-3, -0x1.254f0f5748b48p-3, -0x1.22716bb83637p-3, -0x1.1f91a56b5bc6fp-3, -0x1.1cb001873889p-3, -0x1.19ccc319f3999p-3, -0x1.16e82bd706246p-3, -0x1.14027b94c4a0dp-3, -0x1.111bf0cc46468p-3, -0x1.0e34c85554df2p-3, -0x1.0b4d3d23eb0ecp-3, -0x1.08658968861a8p-3, -0x1.057de5866486ap-3, -0x1.02968872a28dep-3, -0x1.ff5f4fd4cc19ep-4, -0x1.f992f063972d7p-4, -0x1.f3c8588c3f689p-4, -0x1.edffec998a538p-4, -0x1.e83a0ce4d1d7cp-4, -0x1.e2771848c78a8p-4, -0x1.dcb76af28a51bp-4, -0x1.d6fb5ef6b599ep-4, -0x1.d1434baed3055p-4, -0x1.cb8f860eb5ad2p-4, -0x1.c5e06259dcep-4, -0x1.c0362fe0108ep-4, -0x1.ba913e2bc157ap-4, -0x1.b4f1d8d5cf4dp-4, -0x1.af584aff2c9c2p-4, -0x1.a9c4dd0ba6602p-4, -0x1.a437d4126824ep-4, -0x1.9ead15c520565p-4, -0x1.992d48ecfaa86p-4, -0x1.93b49f4e3b765p-4, -0x1.8e435ee2a8b5p-4, -0x1.88d9bd69e6d9cp-4, -0x1.8377f40cb8661p-4, -0x1.7e1e3ea378fbdp-4, -0x1.78ccd16f5aeb5p-4, -0x1.7383e44a760fbp-4, -0x1.6e43a7006d169p-4, -0x1.690c4b9d4dc22p-4, -0x1.63de032b5e32dp-4, -0x1.5eb8f65a20fe5p-4, -0x1.599d55df10644p-4, -0x1.548b48c414472p-4, -0x1.4f82fc52b5494p-4, -0x1.4a849292e8f0fp-4, -0x1.4590336569b57p-4, -0x1.40a60075a7df8p-4, -0x1.3bc61b97ac209p-4, -0x1.36f0a769a23a3p-4, -0x1.3225c0abd887p-4, -0x1.2d65869062fe9p-4, -0x1.28b0143c76127p-4, -0x1.240583de86782p-4, -0x1.1f65ed8db26c6p-4, -0x1.1ad16aa25c584p-4, -0x1.16480e5bf786fp-4, -0x1.11c9ef6082d5fp-4, -0x1.0d571ff6f9ac4p-4, -0x1.08efb2119023p-4, -0x1.0493b5acd8d22p-4, -0x1.004339fa074cdp-4, -0x1.f7fc98f0f2144p-5, -0x1.ef89f6635ac38p-5, -0x1.e72e99f19417ap-5, -0x1.deea9e1d87f4ep-5, -0x1.d6be11b7bf2dcp-5, -0x1.cea9039546093p-5, -0x1.c6ab7e78dd153p-5, -0x1.bec58cdcd2d6ep-5, -0x1.b6f7324d82195p-5, -0x1.af407b801a00fp-5, -0x1.a7a166247b21ap-5, -0x1.a019f1e534c3cp-5, -0x1.98aa17701ef46p-5, -0x1.9151dccf74714p-5, -0x1.8a11336260e6ap-5, -0x1.82e81829a2deap-5, -0x1.7bd68d83e717bp-5, -0x1.74dc51416f91ap-5, -0x1.6df98c224a06ep-5, -0x1.672e1b4d0b6e6p-5, -0x1.6079ec53b9b18p-5, -0x1.59dce8e59946fp-5, -0x1.5356fbf9a9e47p-5, -0x1.4ce80c3d43f6fp-5, -0x1.468fffe557986p-5, -0x1.404ebce2636b7p-5, -0x1.3a2422df04f6ap-5, -0x1.341015b88527p-5, -0x1.2e1272a728d41p-5, -0x1.282b1ff80a8f8p-5, -0x1.2259e96385025p-5, -0x1.1c9eb986dc01dp-5, -0x1.16f966c712e19p-5, -0x1.1169c669a84eap-5, -0x1.0befb4db8b416p-5, -0x1.068b0753d4d6bp-5, -0x1.013b918b0fe0bp-5, -0x1.f802555fe4582p-6, -0x1.edb74c95a06f1p-6, -0x1.e395ab15efaep-6, -0x1.d99d1acf343fcp-6, -0x1.cfcd3d462f0cap-6, -0x1.c625b11ac5bep-6, -0x1.bca61c2addcc5p-6, -0x1.b34e16ce086e3p-6, -0x1.aa1d455e6c415p-6, -0x1.a1134530f3eddp-6, -0x1.982faf4ecf8a4p-6, -0x1.8f72241141071p-6, -0x1.86da3e2a0b569p-6, -0x1.7e67988b0eedap-6, -0x1.7619d070fef7dp-6, -0x1.6df07a1f1bbcep-6, -0x1.65eb376bb5417p-6, -0x1.5e099f8e1a709p-6, -0x1.564b4c10b3b9bp-6, -0x1.4eafd7ba8a99ap-6, -0x1.4736dc4db4b02p-6, -0x1.3fdff4f3a91dfp-6, -0x1.38aabc3010967p-6, -0x1.3196ca0e8e5afp-6, -0x1.2aa3ba3af5388p-6, -0x1.23d129a91feeep-6, -0x1.1d1eb13752805p-6, -0x1.168bef7b2acb9p-6, -0x1.101874d8d0415p-6, -0x1.09c3e9d486acp-6, -0x1.038de36cbb37ep-6, -0x1.faec1822c225p-7, -0x1.eef7c9606971bp-7, -0x1.e33e41df6e6ap-7, -0x1.d7beafec0e93ap-7, -0x1.cc784ceec1bdp-7, -0x1.c16a560300b2p-7, -0x1.b6940689dc90cp-7, -0x1.abf498cce61ebp-7, -0x1.a18b563ca17a5p-7, -0x1.9757724e581fap-7, -0x1.8d582dff8ec03p-7, -0x1.838ccf95d79cp-7, -0x1.79f49166451b4p-7, -0x1.708ebd9b81132p-7, -0x1.675a8d8b783ecp-7, -0x1.5e574af5ef74p-7, -0x1.558435126a271p-7, -0x1.4ce09892c833p-7, -0x1.446bb4f7f0cc2p-7, -0x1.3c24dc2af28c6p-7, -0x1.340b460a822c5p-7, -0x1.2c1e47327fe01p-7, -0x1.245d2692fe82cp-7, -0x1.1cc737b2bda41p-7, -0x1.155bc05abd62ep-7, -0x1.0e1a110e426b9p-7, -0x1.070172a4e2a6p-7, -0x1.00113b722c754p-7, -0x1.f2916b9fe7aa4p-8, -0x1.e54ea7e7fa958p-8, -0x1.d8588a0e10e49p-8, -0x1.cbadd6aa23e48p-8, -0x1.bf4d3e15e7836p-8, -0x1.b3357939aaaa4p-8, -0x1.a7652c16bd256p-8, -0x1.9bdb24f9b79dep-8, -0x1.909613945d3cdp-8, -0x1.8594af4ad69f9p-8, -0x1.7ad5b7dcfdabap-8, -0x1.70580ecf6c2f7p-8, -0x1.661a6264531ep-8, -0x1.5c1b797cb190cp-8, -0x1.525a3d895a1f4p-8, -0x1.48d5668c8325ep-8, -0x1.3f8bd94ae02d9p-8, -0x1.367c6459d3844p-8, -0x1.2da5cb34e4534p-8, -0x1.2507534ad3ae4p-8, -0x1.1c9f7613bab85p-8, -0x1.146d4dd906125p-8, -0x1.0c6faf602320ep-8, -0x1.04a59515eea01p-8, -0x1.fa1bb78c09db4p-9, -0x1.eb4f89f56983ap-9, -0x1.dce3f77636386p-9, -0x1.ced732da6c291p-9, -0x1.c12743b64395p-9, -0x1.b3d23135b4667p-9, -0x1.a6d61802c2f53p-9, -0x1.9a311eabadfafp-9, -0x1.8de15849d5b81p-9, -0x1.81e4d82dc135dp-9, -0x1.7639fa76d2681p-9, -0x1.6adef6da44dfp-9, -0x1.5fd1f78c8b1b1p-9, -0x1.55115c04d6ccdp-9, -0x1.4a9b703b07784p-9, -0x1.406e72d5e7145p-9, -0x1.3688c1422dc9bp-9, -0x1.2ce93e25e527cp-9, -0x1.238dc3cc9563cp-9, -0x1.1a7500915cc26p-9, -0x1.119d722845f97p-9, -0x1.0905406f92834p-9, -0x1.00abd57d7df3cp-9, -0x1.f15d285b21abep-10, -0x1.e1b16ac41be28p-10, -0x1.d279624b9f506p-10, -0x1.c3b22770c9873p-10, -0x1.b55886721aa21p-10, -0x1.a76a7151e5d36p-10, -0x1.99e46dc9d4d4p-10, -0x1.8cc381d062c2dp-10, -0x1.80063d7f7d0c2p-10, -0x1.73a8c607d6036p-10, -0x1.67a8fac15e4p-10, -0x1.5c042a31a3fe8p-10, -0x1.50b7efa3b2a23p-10, -0x1.45c1fe31c0d83p-10, -0x1.3b1fcc29d0419p-10, -0x1.30cf2c3ef6268p-10, -0x1.26cda50a2838bp-10, -0x1.1d1942aba073bp-10, -0x1.13afd5c47aeefp-10, -0x1.0a8f828f1ce87p-10, -0x1.01b5c15851aecp-10, -0x1.f2421f732b1ddp-11, -0x1.e19ee739e0edbp-11, -0x1.d17e35b0f2eb2p-11, -0x1.c1dc7bebf7b92p-11, -0x1.b2b649e514ffep-11, -0x1.a407d6e58695ep-11, -0x1.95ce8c5a3799ep-11, -0x1.880717246bd98p-11, -0x1.7aae11e7390b7p-11, -0x1.6dc0e7c23f612p-11, -0x1.613c6fd8fec19p-11, -0x1.551e1d3e0a463p-11, -0x1.4962ed6295a7fp-11, -0x1.3e07dc867fecap-11, -0x1.330b6bab0def4p-11, -0x1.286a78f8bfeefp-11, -0x1.1e217b409a4cbp-11, -0x1.142f3f00ff866p-11, -0x1.0a9118b10d1aep-11, -0x1.014491c895192p-11, -0x1.f08f8834ee335p-12, -0x1.df2e968d54fc7p-12, -0x1.ce6484de97d94p-12, -0x1.be2bedb739c0fp-12, -0x1.ae80745894b7dp-12, -0x1.9f5e74469f2e1p-12, -0x1.90c25ea8c43bcp-12, -0x1.82a609f15140dp-12, -0x1.7507d92f69169p-12, -0x1.67e451d51cefcp-12, -0x1.5b330502fcdccp-12, -0x1.4ef846526e314p-12, -0x1.432abd85167c8p-12, -0x1.37c8a36dc2c6bp-12, -0x1.2cd0ca99d7635p-12, -0x1.22390d44553abp-12, -0x1.18052aa973a76p-12, -0x1.0e2f9b35a816bp-12, -0x1.04b5740006b25p-12, -0x1.f72cffe172435p-13, -0x1.e58f04323bb42p-13, -0x1.d49ba17f20307p-13, -0x1.c44827428d14ap-13, -0x1.b48faa5765e92p-13, -0x1.a56c3ef98703ep-13, -0x1.96d86dea8b0c4p-13, -0x1.88d1e37958184p-13, -0x1.7b4ec4f8b8a42p-13, -0x1.6e4f42c5d9dd1p-13, -0x1.61cdfcc856dd4p-13, -0x1.55c3c7f19326ep-13, -0x1.4a2f47465efa4p-13, -0x1.3f0ba72f092f3p-13, -0x1.34542550141e6p-13, -0x1.2a056a500d51cp-13, -0x1.201c226fe8dccp-13, -0x1.1693656f57f5cp-13, -0x1.0d6c6c011b01dp-13, -0x1.04953cff9d428p-13, -0x1.f83c80b77d69ep-14, -0x1.e7f0866b42d43p-14, -0x1.d8489c2b8971p-14, -0x1.c9355280bafc1p-14, -0x1.bab98a4b15e7fp-14, -0x1.accd79692fe99p-14, -0x1.9f6da6b9b6d12p-14, -0x1.929104ffd6005p-14, -0x1.86397e0e54f43p-14, -0x1.7a501f1cd21afp-14, -0x1.6ee26471811f5p-14, -0x1.63e69412cee4dp-14, -0x1.5955fde497c8p-14, -0x1.4f2ddc7e26f9ep-14, -0x1.456b20e9ff658p-14, -0x1.3c06bc1b1f291p-14, -0x1.32fead37f2744p-14, -0x1.2a4f1c04002cep-14, -0x1.21f3776ba2fbbp-14, -0x1.19e928fd900fbp-14, -0x1.122d549222f0dp-14, -0x1.0aaa1b4b800b3p-14, -0x1.03908f23969ffp-14, -0x1.f9502b09c4a1fp-15, -0x1.ec0110eac952ep-15, -0x1.df33e5dc17fb9p-15, -0x1.d2daf7ecdd313p-15, -0x1.c6f54249ead6cp-15, -0x1.bb7cebd6f4de4p-15, -0x1.b06b8274d8d73p-15, -0x1.a5be7614650a9p-15, -0x1.9b70012979b95p-15, -0x1.91817d2d9b70dp-15, -0x1.87dfe2291527dp-15, -0x1.7e9649c78c79p-15, -0x1.75997a19fd322p-15, -0x1.6cddb011aa2dp-15, -0x1.6483d29f2164dp-15, -0x1.5c5f5795d3064p-15, -0x1.547c32b55aa32p-15, -0x1.4cd72e98149b3p-15, -0x1.456da25e67fabp-15, -0x1.3e3bc37ac25c3p-15, -0x1.373f828f004a7p-15, -0x1.307563182bd24p-15, -0x1.29da1e50bba8cp-15, -0x1.2372c4eb6aaeep-15, -0x1.1d3f80eae9f22p-15, -0x1.171d37fa4f1f3p-15, -0x1.1131eee2b6171p-15, -0x1.0b660bb4b22fap-15, -0x1.05c58e5534f4ep-15, -0x1.00412a85c7e53p-15, -0x1.f5bbd97637297p-16, -0x1.eb37b5e38f0ccp-16, -0x1.e0e7b355f1d68p-16, -0x1.d6d731090632bp-16, -0x1.ccf2d370a72dcp-16, -0x1.c33fda151a6bbp-16, -0x1.b9bec7f92b075p-16, -0x1.b069b7871f0b4p-16, -0x1.a7424d2402cd4p-16, -0x1.9e462c4402f63p-16, -0x1.956ec87de8687p-16, -0x1.8cb27fef0e5b2p-16, -0x1.842032e80589bp-16, -0x1.7bae559adfa3cp-16, -0x1.735ffe36c1455p-16, -0x1.6b36d2bc009a1p-16, -0x1.631606bface58p-16, -0x1.5b1a35ec217eap-16, -0x1.533d415868dd1p-16, -0x1.4bcc671f71fd1p-16, -0x1.43c21e1957448p-16, -0x1.3c28ac024d8dcp-16, -0x1.34a2add0e46a8p-16, -0x1.2d3c3570653eep-16, -0x1.25f3a2d6706d6p-16, -0x1.1ea21521c323p-16, -0x1.17685c00dfa09p-16, -0x1.1045d1154c86p-16, -0x1.0939aa26d3e81p-16, -0x1.02405936693b3p-16, -0x1.f6a102f903a4p-17, -0x1.e8e5583a8a754p-17, -0x1.dbb31ae2ab7cfp-17, -0x1.cdd3478734dfep-17, -0x1.c081c9d443f8bp-17, -0x1.b34a731bc9d02p-17, -0x1.a624ebd45545ep-17, -0x1.9927124c4607bp-17, -0x1.8c453be806eeep-17, -0x1.7f804b52812a9p-17, -0x1.72b00166f738cp-17, -0x1.663e87995bc75p-17, -0x1.59cd6465781d8p-17, -0x1.4d71cd5dd8e1p-17, -0x1.4133ab5d4f2eep-17, -0x1.35195bbef78dap-17, -0x1.29192f6d10c79p-17, -0x1.1d7ff3a0335eep-17, -0x1.1156f18dfef77p-17, -0x1.059f2ee7bf2a2p-17, -0x1.f40ae5191674p-18, -0x1.dd057fe0f562dp-18, -0x1.c6494d9c2231fp-18, -0x1.afd44f9bbdf0ep-18, -0x1.99e73e9c63084p-18, -0x1.836fb5a20df38p-18, -0x1.6d60b009a5479p-18, -0x1.57dca30f76091p-18, -0x1.4271893cb0915p-18, -0x1.2d3f3917dcfcbp-18, -0x1.1855d2e7e6486p-18, -0x1.0392a77b39befp-18, -0x1.de31bd3e0703fp-19, -0x1.b5b43940b6843p-19, -0x1.8d7e7d3f86855p-19, -0x1.660ff6ea25bccp-19, -0x1.3f004c81196f9p-19, -0x1.18682c269884dp-19, -0x1.e4ced33342908p-20, -0x1.9970557999ea2p-20, -0x1.4f3b0327b4c3fp-20, -0x1.064bef0d4aaadp-20, -0x1.7b3f6d3a88655p-21, -0x1.da675323c9131p-22, -0x1.82e13dc54262ep-23, 0x1.9002b7d537a56p-24, 0x1.65fd743ae5993p-22, 0x1.36dad20c8094ep-21, 0x1.bb61f387d462ep-21, 0x1.1e9c8a5ae4cc2p-20, 0x1.5e6c1b831e919p-20, 0x1.9d5308d5500a2p-20, 0x1.db0dc9b5f4d4ep-20, 0x1.0be7145f0462p-19, 0x1.29a62541e72acp-19, 0x1.470693f227731p-19, 0x1.638baaba46118p-19, 0x1.7fd0eaa9b478fp-19, 0x1.9b8d3bb38aa57p-19, 0x1.b687c50a91245p-19, 0x1.d0fd1fdcd3ac6p-19, 0x1.eb03ce7c7d523p-19, 0x1.0229a3b8b0a9fp-18, 0x1.0eb81ed872365p-18, 0x1.1adf2e1a2557p-18, 0x1.26cf68aba694ep-18, 0x1.322a034256994p-18, 0x1.3dc12e47ef044p-18, 0x1.48c122563c581p-18, 0x1.53a7aeeca8bf7p-18, 0x1.5e345228ad4fep-18, 0x1.6879c25727fe6p-18, 0x1.727efb96897a4p-18, 0x1.7c340fc1ff524p-18, 0x1.85ad528cf588bp-18, 0x1.8edb0d9e87118p-18, 0x1.97c3de21d26b9p-18, 0x1.a06c67bae3674p-18, 0x1.a8cbc9e963f71p-18, 0x1.b119358fe7af2p-18, 0x1.b8ac51b75cae7p-18, 0x1.c089f35ddc514p-18, 0x1.c7a00f7854a15p-18, 0x1.cedf2f350398bp-18, 0x1.d578f7af961a7p-18, 0x1.dc2d82b9b980ep-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.e96e70f3d22a3p-5, -0x1.0b871be2ed37bp-4, -0x1.21e6bbe33beb4p-4, -0x1.37cf460425bddp-4, -0x1.4d3a75f40373ap-4, -0x1.62228e1b06a6dp-4, -0x1.76824fbc2a75ap-4, -0x1.8a54f2ed169e7p-4, -0x1.9d961e9f5e918p-4, -0x1.b041e0e7cc524p-4, -0x1.c254a7a5069d7p-4, -0x1.d3cb399d149d7p-4, -0x1.e4a2b02181107p-4, -0x1.f4d87142efb69p-4, -0x1.0235154bc8628p-3, -0x1.09aae649bd28ep-3, -0x1.10ccc33715ceap-3, -0x1.1799e147123cfp-3, -0x1.1e1191b89de5bp-3, -0x1.243340839d27fp-3, -0x1.29fe7339b17e4p-3, -0x1.2f72c8149fc45p-3, -0x1.348ff52c8a099p-3, -0x1.3955c7d04ef2dp-3, -0x1.3dc423faa2a45p-3, -0x1.41db03dec4588p-3, -0x1.459a778826215p-3, -0x1.4902a488a9b9bp-3, -0x1.4c13c5b1985b6p-3, -0x1.4ece2ad3d70a8p-3, -0x1.5132388450663p-3, -0x1.534067e1e7a8ep-3, -0x1.54f9465aaf6cp-3, -0x1.565d756e6d0c2p-3, -0x1.576daa6cd9561p-3, -0x1.582aae2e4bd69p-3, -0x1.58955cc5c0ffbp-3, -0x1.58aea52b761bep-3, -0x1.587788df8acd4p-3, -0x1.57f11b843e8b5p-3, -0x1.571c826f9b806p-3, -0x1.55faf43487bdep-3, -0x1.548db8233b049p-3, -0x1.52d625c16688bp-3, -0x1.50d5a43a461cdp-3, -0x1.4e8da9c6f71e6p-3, -0x1.4bffbb0f9d7bap-3, -0x1.492d6a85b957p-3, -0x1.461857b85001dp-3, -0x1.42c22ea26c3f8p-3, -0x1.3f2ca6f49cf1dp-3, -0x1.3b59835a08977p-3, -0x1.374a90b9c2049p-3, -0x1.3301a574f843ap-3, -0x1.2e80a0a2afc7ep-3, -0x1.29c969499a7bp-3, -0x1.24dded98c1343p-3, -0x1.1fc0221f836c1p-3, -0x1.1a7201059df98p-3, -0x1.14f58943b31c5p-3, -0x1.0f4cbddcf68fap-3, -0x1.0979a51a75442p-3, -0x1.037e47c88038dp-3, -0x1.fab960ed5d1a5p-4, -0x1.ee2dd575e05f3p-4, -0x1.e15e04f02ca18p-4, -0x1.d44e06505daf1p-4, -0x1.c701ee563e1p-4, -0x1.b97dce3377a0cp-4, -0x1.abc5b23b80fbbp-4, -0x1.9ddda09db303ap-4, -0x1.8fc9982a0c40fp-4, -0x1.818d8f2110331p-4, -0x1.732d720f24ecep-4, -0x1.64ad22b3b33ep-4, -0x1.561076f458938p-4, -0x1.475b37dc5dedfp-4, -0x1.389120a89eda9p-4, -0x1.29b5dde001ae1p-4, -0x1.1acd0c7894895p-4, -0x1.0bda39095a68ep-4, -0x1.f9c1be118f73dp-5, -0x1.dbc8d02fcf877p-5, -0x1.bdd056b42f189p-5, -0x1.9fded9b27b88ep-5, -0x1.81fab9ecbe5e8p-5, -0x1.642a2fccced14p-5, -0x1.46734a75eed9ep-5, -0x1.28dbeeee0d057p-5, -0x1.0b69d75e3859bp-5, -0x1.dc4524d38c70cp-6, -0x1.a217053758976p-6, -0x1.6853bbd2f4b65p-6, -0x1.2f055a96c8443p-6, -0x1.ec6b31a302c65p-7, -0x1.7bdba5617e85fp-7, -0x1.0c6e11d048b95p-7, -0x1.3c6781f600ad7p-8, -0x1.89ea2b8bae202p-10, 0x1.d32c2c9d0d571p-10, 0x1.494af797b9e5ap-8, 0x1.0d742f38ee4bfp-7, 0x1.74c3e743d0006p-7, 0x1.da879fa00c563p-7, 0x1.1f59837bf174bp-6, 0x1.509d3eb202321p-6, 0x1.81098958c75efp-6, 0x1.b099423c8b3f1p-6, 0x1.df479e04a0184p-6, 0x1.06881309e8abep-5, 0x1.1cf75baaa0e1p-5, 0x1.32efc07b78f6ep-5, 0x1.486f81899ea59p-5, 0x1.5d7506a53c094p-5, 0x1.71fedea6f3facp-5, 0x1.860bbeae9e7f8p-5, 0x1.999a815bdadbbp-5, 0x1.acaa2600feba5p-5, 0x1.bf39cfd0f361fp-5, 0x1.d148c5087f9ffp-5, 0x1.e2d66e1387a21p-5, 0x1.f3e254aebb12bp-5, 0x1.02361183159adp-4, 0x1.0a39d168a0d9bp-4, 0x1.11fc5e3643467p-4, 0x1.197dbaf8d1802p-4, 0x1.20bdf9270493ep-4, 0x1.27bd382c53011p-4, 0x1.2e7ba4f37ef99p-4, 0x1.34f97971079afp-4, 0x1.3b36fc2da9cfcp-4, 0x1.41347fd1197c5p-4, 0x1.46f262ad1e112p-4, 0x1.4c710e493395p-4, 0x1.51b0f6eeda335p-4, 0x1.56b29b36b0a03p-4, 0x1.5b7683967f269p-4, 0x1.5ffd41f04c876p-4, 0x1.644771229e70dp-4, 0x1.6855b499fcc6fp-4, 0x1.6c28b7e3d1f3ap-4, 0x1.6fc12e42c1662p-4, 0x1.731fd244879cp-4, 0x1.764565597a0b2p-4, 0x1.7932af6db82adp-4, 0x1.7be87e84217bep-4, 0x1.7e67a6531c002p-4, 0x1.80b0ffe33e7b2p-4, 0x1.82c5692fe8af6p-4, 0x1.84a5c4c9d4544p-4, 0x1.8652f97bae123p-4, 0x1.87cdf1f0b956p-4, 0x1.89179c5d8ce0cp-4, 0x1.8a30ea2aeab8p-4, 0x1.8b1acfa2bcf6fp-4, 0x1.8bd6439f386p-4, 0x1.8c643f3c2d22bp-4, 0x1.8cc5bd8a838a9p-4, 0x1.8cfbbb45ebfb9p-4, 0x1.8d07368cbee42p-4, 0x1.8ce92e9a0ec1p-4, 0x1.8ca2a381ec337p-4, 0x1.8c3495efd92b7p-4, 0x1.8ba006e76c07bp-4, 0x1.8ae5f7871b74cp-4, 0x1.8a0768cd34cd8p-4, 0x1.89055b5ef512ap-4, 0x1.87e0cf51c22f2p-4, 0x1.869ac3f67ee96p-4, 0x1.853437a6f3df5p-4, 0x1.83ae2795470aep-4, 0x1.82098f9d7c88ep-4, 0x1.80476a18f90ffp-4, 0x1.7e68afb3feb64p-4, 0x1.7c6e57451ccd4p-4, 0x1.7a5955a68b72p-4, 0x1.782a9d916842p-4, 0x1.75e31f7ad02a8p-4, 0x1.7383c972c86b1p-4, 0x1.710d8704f184ep-4, 0x1.6e81411afa971p-4, 0x1.6bdfdde0c98b3p-4, 0x1.692a40aa51e9ep-4, 0x1.666149db0d52ep-4, 0x1.6385d6cf0f438p-4, 0x1.6098c1c5a8618p-4, 0x1.5d9ae1cd8ebcbp-4, 0x1.5a8d0ab2842acp-4, 0x1.57700cec6d8b9p-4, 0x1.5444b58fd2843p-4, 0x1.510bce3fbc30cp-4, 0x1.4dc61d20e730ap-4, 0x1.4a7464ce40f58p-4, 0x1.4717644ea5403p-4, 0x1.43afd70bd1c37p-4, 0x1.403e74ca86c78p-4, 0x1.3cc3f1a3cb4eap-4, 0x1.3940fdff494a8p-4, 0x1.35b6468ebb06bp-4, 0x1.3224744a5d77cp-4, 0x1.2e8c2c6e5f838p-4, 0x1.2aee107945d1ep-4, 0x1.274abe2b372f4p-4, 0x1.23a2cf862bdefp-4, 0x1.1ff6dacef360ep-4, 0x1.1c47728f0b9p-4, 0x1.189525973d7d2p-4, 0x1.14e07f02f8488p-4, 0x1.112a063c634b6p-4, 0x1.0d723f011c7b3p-4, 0x1.09b9a9679ded7p-4, 0x1.0600c1e53f932p-4, 0x1.02480154d099cp-4, 0x1.fd1fb9fb7bc4fp-5, 0x1.f5b18d3781fbap-5, 0x1.ee4658ce1b48p-5, 0x1.e6def239f1d46p-5, 0x1.df7c2812232bap-5, 0x1.d81ec21d49f6dp-5, 0x1.d0c781654cc23p-5, 0x1.c977204bec848p-5, 0x1.c22e52a002b76p-5, 0x1.baedc5b361a37p-5, 0x1.b3b620714f7bbp-5, 0x1.ac8803758b658p-5, 0x1.a5640923d5632p-5, 0x1.9e4ac5bfefa1p-5, 0x1.973cc78606da9p-5, 0x1.903a96c3833dcp-5, 0x1.8944b5f02dc08p-5, 0x1.825ba1c7a6626p-5, 0x1.7b7fd16320ccap-5, 0x1.74b1b6535dd0dp-5, 0x1.6df1bcbad9ae7p-5, 0x1.67404b68286f3p-5, 0x1.609dc3f074657p-5, 0x1.5a0a82ca1d082p-5, 0x1.5386df6769295p-5, 0x1.4d132c5149b62p-5, 0x1.46afb74225422p-5, 0x1.405cc940a2848p-5, 0x1.3a1aa6ba716dbp-5, 0x1.33e98f9f09539p-5, 0x1.2dc9bf7a552dp-5, 0x1.27bb6d8f4ddb4p-5, 0x1.21beccf276313p-5, 0x1.1bd40ca43ad4fp-5, 0x1.15fb57ab2d2fcp-5, 0x1.1034d52e13716p-5, 0x1.0a80a88dd076dp-5, 0x1.04def17f16909p-5, 0x1.fe9f9847d2c16p-6, 0x1.f3a6a249c9ee2p-6, 0x1.e8d32b949726ep-6, 0x1.de255829a609dp-6, 0x1.d39d45ac67842p-6, 0x1.c93b0b92de599p-6, 0x1.befebb55a7603p-6, 0x1.b4e8609f66388p-6, 0x1.aaf8017ba494ep-6, 0x1.a12d9e850cd6ep-6, 0x1.978933130cadep-6, 0x1.8e0ab566d03b2p-6, 0x1.84b216d79b5cep-6, 0x1.7b7f43fe77462p-6, 0x1.727224e135cc1p-6, 0x1.698a9d1cc62f1p-6, 0x1.60c88c0edb609p-6, 0x1.582bccfedd6fap-6, 0x1.4fb4374629a15p-6, 0x1.47619e779db02p-6, 0x1.3f33d28669f98p-6, 0x1.372a9fec3257p-6, 0x1.2f45cfce6d73dp-6, 0x1.2785282317073p-6, 0x1.1fe86bd49dba5p-6, 0x1.186f5ae521d68p-6, 0x1.1119b290f26fcp-6, 0x1.09e72d70566abp-6, 0x1.02d783989bbbep-6, 0x1.f7d4d578db2cp-7, 0x1.ea3f2c96e473bp-7, 0x1.dced6f2263a2p-7, 0x1.cfdefba68f76cp-7, 0x1.c3132cddbc9f1p-7, 0x1.b68959eaececcp-7, 0x1.aa40d691f4dbp-7, 0x1.9e38f36e413b9p-7, 0x1.9270fe283ba39p-7, 0x1.86e841a94f003p-7, 0x1.7b9e064e935dp-7, 0x1.7091921a1f733p-7, 0x1.65c228e30cacdp-7, 0x1.5b2f0c841e208p-7, 0x1.50d77d092c4c9p-7, 0x1.46bab8db3893fp-7, 0x1.3cd7fceb4339ep-7, 0x1.332e84dbe07c2p-7, 0x1.29bd8b298f53cp-7, 0x1.20844951d87adp-7, 0x1.1781f7f93a365p-7, 0x1.0eb5cf0fe3b67p-7, 0x1.061f05f545f56p-7, 0x1.fb79a734fc55p-8, 0x1.eb1cdd473c126p-8, 0x1.db261b0faf6cep-8, 0x1.cb93cd611f686p-8, 0x1.bc64612eba219p-8, 0x1.ad9643c5f23d8p-8, 0x1.9f27e3064bc4ap-8, 0x1.9117ad971c9a1p-8, 0x1.8364131b4e12fp-8, 0x1.760b846325961p-8, 0x1.690c739c1fceap-8, 0x1.5c65547ee8943p-8, 0x1.50149c7b77f96p-8, 0x1.4418c2e35e5b8p-8, 0x1.3870411249dcfp-8, 0x1.2d199294ce94fp-8, 0x1.2213354d7abd9p-8, 0x1.175ba9983f9abp-8, 0x1.0cf1726c3aeb9p-8, 0x1.02d3157be8398p-8, 0x1.f1fe36a787288p-9, 0x1.dee81eeed0df2p-9, 0x1.cc6100fa67e55p-9, 0x1.ba660050e9b7ep-9, 0x1.a8f447046636p-9, 0x1.980905e12b348p-9, 0x1.87a17499e0b43p-9, 0x1.77bad1f10a004p-9, 0x1.685263dff9363p-9, 0x1.596577bb461c3p-9, 0x1.4af16254df599p-9, 0x1.3cf3801bbc42bp-9, 0x1.2f6935394acefp-9, 0x1.224fedaca4698p-9, 0x1.15a51d6398d17p-9, 0x1.09664051a19b9p-9, 0x1.fb21b50999f48p-10, 0x1.e444f0715dfbbp-10, 0x1.ce315bced7c1fp-10, 0x1.b8e230b1c0e56p-10, 0x1.a452b9600bc7ap-10, 0x1.907e50ed243p-10, 0x1.7d60634ddb9eep-10, 0x1.6af46d6903935p-10, 0x1.5935fd24f04f3p-10, 0x1.4820b171e538dp-10, 0x1.37b03a519483ap-10, 0x1.27e058dbbe82dp-10, 0x1.18acdf40234ebp-10, 0x1.0a11b0c5bb7c1p-10, 0x1.f815838ee4a8p-11, 0x1.dd282f5ccfb4cp-11, 0x1.c35391d3a89cbp-11, 0x1.aa8ff9c94fe3p-11, 0x1.92d5d7f1f678p-11, 0x1.7c1dbec2cdd3fp-11, 0x1.66606250b1a42p-11, 0x1.5196982af648ep-11, 0x1.3db9573284e3dp-11, 0x1.2ac1b76d6f88p-11, 0x1.18a8f1d72324ap-11, 0x1.0768602d5f7a7p-11, 0x1.edf2f97432458p-12, 0x1.ceabc434da92bp-12, 0x1.b0ee960592354p-12, 0x1.94af2400d24ccp-12, 0x1.79e16270a57p-12, 0x1.60798447cf95ep-12, 0x1.486bfa9671eacp-12, 0x1.31ad73fa63526p-12, 0x1.1c32dc0b803c6p-12, 0x1.07f15ac42ccb4p-12, 0x1.e9bca7cc86cdap-13, 0x1.c5deccb952bc8p-13, 0x1.a434d73384b49p-13, 0x1.84aaede5e9376p-13, 0x1.672da9f2f20b3p-13, 0x1.4baa15a14379ap-13, 0x1.320dab03a769cp-13, 0x1.1a46529ca816ap-13, 0x1.044261fe532f9p-13, 0x1.dfe134ccc3784p-14, 0x1.ba804eae5514ap-14, 0x1.98413a5b6cb27p-14, 0x1.7903ef6a7f922p-14, 0x1.5ca93170e3aefp-14, 0x1.43128d216a815p-14, 0x1.2c225567a4f86p-14, 0x1.17bba08066e7fp-14, 0x1.05c2451011c07p-14, 0x1.ec35ae6e5d234p-15, 0x1.d1554b4bb275ap-15, 0x1.baaf6d5cf1167p-15, 0x1.a8118ab07a322p-15, 0x1.994a7ce3b5a5p-15, 0x1.8e2a7b49d7c99p-15, 0x1.86831514d7e24p-15, 0x1.82272b815bd5fp-15, 0x1.80eaec066cbdep-15, 0x1.82a3ca89a6f71p-15, 0x1.87287b98a5c15p-15, 0x1.8e50eea8586fcp-15, 0x1.97f6485ae519bp-15, 0x1.a3f2dcccbf9bfp-15, 0x1.b22229e98cf52p-15, 0x1.c260d1c963769p-15, 0x1.d48c9516fb25fp-15, 0x1.e8844d7f4c68cp-15, 0x1.fe27e82b207b7p-15, 0x1.0aac30218775ep-14, 0x1.16fbdcbf2bb57p-14, 0x1.23f47d5e8402p-14, 0x1.31881456eb047p-14, 0x1.3fa9204006372p-14, 0x1.4e4a9950f55e8p-14, 0x1.5d5feec5e7b26p-14, 0x1.6cdd044c3ce85p-14, 0x1.7cb62f755b8dfp-14, 0x1.8ce035305e917p-14, 0x1.9d50474abcbc3p-14, 0x1.adfc01f80a034p-14, 0x1.bed96960ebe4fp-14, 0x1.cfdee739667adp-14, 0x1.e103485e85d97p-14, 0x1.f23dba7b9c5p-14, 0x1.01c2e4db7f80cp-13, 0x1.0a69af333f239p-13, 0x1.130f5d65c69f1p-13, 0x1.1bb03c6b9b90bp-13, 0x1.2448c3faf21edp-13, 0x1.2cd5957182f3dp-13, 0x1.35537ac2593d8p-13, 0x1.3dbf656795146p-13, 0x1.46166d58319c2p-13, 0x1.4e55d001c88e4p-13, 0x1.567aef4658976p-13, 0x1.5e83507e1139ep-13, 0x1.666c9b7d1fb59p-13, 0x1.6e34999d88aa5p-13, 0x1.75d934ccfb8a6p-13, 0x1.7d58769eb0fa5p-13, 0x1.84b087614a362p-13, 0x1.8bdfad38a878dp-13, 0x1.92e44b3bc903ep-13, 0x1.99bce096975c7p-13, 0x1.a06807afb4d7ap-13, 0x1.a6e47552300efp-13, 0x1.ad30f7db2a6f5p-13, 0x1.b34c766b63c77p-13, 0x1.b935f01caaeedp-13, 0x1.beec7b3b27d0ap-13, 0x1.c46f448277a44p-13, 0x1.c9bd8e5ea3704p-13, 0x1.ced6b030d06a2p-13, 0x1.d3ba1597bee9dp-13, 0x1.d8673dbbf69e3p-13, 0x1.dcddba9fb0388p-13, 0x1.e11d30725c221p-13, 0x1.e52554e7d58bcp-13, 0x1.e8f5ee9326d21p-13, 0x1.ec8ed444e102ep-13, 0x1.efefec6cf81b4p-13, 0x1.f3192c801afc6p-13, 0x1.f60a98608548bp-13, 0x1.f8c441ca3674p-13, 0x1.fb4647c2889d4p-13, 0x1.fd90d60b1ffe1p-13, 0x1.ffa424982bbb9p-13, 0x1.00c03b84eda29p-12, 0x1.01930e148d95ep-12, 0x1.024ab6b3bb9c2p-12, 0x1.02e767310f129p-12, 0x1.0369563400ca2p-12, 0x1.03d0bf0182d36p-12, 0x1.041de142154a8p-12, 0x1.045100c95c331p-12, 0x1.046a655f2a38ep-12, 0x1.046a5a89f9229p-12, 0x1.04512f5ad4e9bp-12, 0x1.041f363aa700bp-12, 0x1.03d4c4b8e3952p-12, 0x1.0372335b9532fp-12, 0x1.02f7dd70ba9ffp-12, 0x1.026620e0f5964p-12, 0x1.01bd5e038568bp-12, 0x1.00fdf77385765p-12, 0x1.002851e66d2ccp-12, 0x1.fe79a8078f60cp-13, 0x1.fc77cc7c4655cp-13, 0x1.fa4be55a58fb4p-13, 0x1.f7f6c9d1f163ap-13, 0x1.f57953ccdb79ep-13, 0x1.f2d45fa9a0e8dp-13, 0x1.f008cbf8cef44p-13, 0x1.ed17793c6ac39p-13, 0x1.ea0149a98302p-13, 0x1.e6c720ebd31e8p-13, 0x1.e369e3eb75771p-13, 0x1.dfea7894909f8p-13, 0x1.dc49c5a0f88e1p-13, 0x1.d888b263c2c7fp-13, 0x1.d4a82696ad208p-13, 0x1.d0a90a296bc28p-13, 0x1.cc8c4512b8af1p-13, 0x1.c852bf23284c3p-13, 0x1.c3fd5fd9bcb58p-13, 0x1.bf8d0e3a1f7cdp-13, 0x1.bb02b0a48ca9bp-13, 0x1.b65f2caf5225ap-13, 0x1.b1a36701e47aap-13, 0x1.acd043317efd1p-13, 0x1.a7e6a39f465d7p-13, 0x1.a2e76957e020cp-13, 0x1.9dd373f47c4a2p-13, 0x1.98aba17d42ce5p-13, 0x1.9370ce4d1f679p-13, 0x1.8e23d4f6e663ep-13, 0x1.88c58e2bc14f8p-13, 0x1.8356d0a2defbap-13, 0x1.7dd8710269945p-13, 0x1.784b41c9a33f8p-13, 0x1.72b0133c397b9p-13, 0x1.6d07b34eb99ffp-13, 0x1.6752ed941ac8cp-13, 0x1.61928b2c6c7f3p-13, 0x1.5bc752b480aebp-13, 0x1.55f20836aa1f1p-13, 0x1.50136d1c6fee4p-13, 0x1.4a2c40213ff0ep-13, 0x1.443d3d46088f3p-13, 0x1.3e471dc5c7a11p-13, 0x1.384a980af175dp-13, 0x1.32485fa5bad7cp-13, 0x1.2c41254334071p-13, 0x1.263596a5375ffp-13, 0x1.20265e9b1c5cp-13, 0x1.1a1424fb2c3bep-13, 0x1.13ff8e9cdcd8ap-13, 0x1.0de93d53af63ep-13, 0x1.07d1cfead550ap-13, 0x1.01b9e2216d747p-13, 0x1.f744194edfccbp-14, 0x1.eb15ca3670c86p-14, 0x1.dee9fc0f4c7afp-14, 0x1.d2c1cdc5ac875p-14, 0x1.c69e581ad27b9p-14, 0x1.ba80ada4a1229p-14, 0x1.ae69dace59aa9p-14, 0x1.a25ae5da38e54p-14, 0x1.9654cee421aa4p-14, 0x1.8a588fe52eb67p-14, 0x1.7e671cb827575p-14, 0x1.7281631ed00c1p-14, 0x1.66a84ac80ed16p-14, 0x1.5adcb556d877cp-14, 0x1.4f1f7e69df175p-14, 0x1.43717ba3fb809p-14, 0x1.37d37cb545f51p-14, 0x1.2c464b64d8eebp-14, 0x1.20caab9b371cp-14, 0x1.15615b6d490bdp-14, 0x1.0a0b1327f02f5p-14, 0x1.fd910ab848c7bp-15, 0x1.e734bdd72f643p-15, 0x1.d1028e2bad0fcp-15, 0x1.bafbbf0bc3158p-15, 0x1.a52188c06e365p-15, 0x1.8f7518a29237cp-15, 0x1.79f79138ac538p-15, 0x1.64aa0a55477dp-15, 0x1.4f8d91361f081p-15, 0x1.3aa328a3ec727p-15, 0x1.25ebc912cd945p-15, 0x1.116860c340b1ep-15, 0x1.fa33a7c74a468p-16, 0x1.d201f96474e47p-16, 0x1.aa3d573f25851p-16, 0x1.82e74ee2e412ap-16, 0x1.5c015acc14709p-16, 0x1.358ce2af274a5p-16, 0x1.0f8b3bc065cdfp-16, 0x1.d3fb51f89dec4p-17, 0x1.89cab6e0e5d9cp-17, 0x1.4086e50974c06p-17, 0x1.f063f11450eddp-18, 0x1.619bd6adb789fp-18, 0x1.a972574f98fa9p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.ae56103c9558cp-5, -0x1.d7e21edc78b73p-5, -0x1.0083a64cf0efep-4, -0x1.14df408d47d0ep-4, -0x1.29008648cb3a1p-4, -0x1.3ce4527086f06p-4, -0x1.5087b112edfc1p-4, -0x1.63e7dd6dd5aa3p-4, -0x1.77023fdfaf6abp-4, -0x1.89d46bc7cb2b3p-4, -0x1.9c5c1d6275975p-4, -0x1.ae9737ab37ebcp-4, -0x1.c083c24d534e6p-4, -0x1.d21fe7a892341p-4, -0x1.e369f2ef237d7p-4, -0x1.f4604e5f814c7p-4, -0x1.0280c0ce440cap-3, -0x1.0aa6181257851p-3, -0x1.129f8bf454d71p-3, -0x1.1a6c88007dbdap-3, -0x1.220c83c0c2813p-3, -0x1.297f0234e3939p-3, -0x1.30c391580de13p-3, -0x1.37d9c9b30ee6bp-3, -0x1.3ec14dfa1ed17p-3, -0x1.4579cab53b6cbp-3, -0x1.4c02f5f2105efp-3, -0x1.525c8efe5a477p-3, -0x1.58865e29d73d7p-3, -0x1.5e80348ec2f74p-3, -0x1.6449ebe0000e6p-3, -0x1.69e3663c11998p-3, -0x1.6f4c8e0420f3ap-3, -0x1.748555b644812p-3, -0x1.798db7ca7c78p-3, -0x1.7e65b691a88ccp-3, -0x1.830d5c160973p-3, -0x1.8784b9fcbdef3p-3, -0x1.8bcbe967de3cbp-3, -0x1.8fe30ad8c4502p-3, -0x1.93ca461241a1p-3, -0x1.9781c9fa6eea4p-3, -0x1.9b09cc7bd76e9p-3, -0x1.9e628a65dc903p-3, -0x1.a18c474c1971ep-3, -0x1.a4874d64aee0bp-3, -0x1.a753ed655e03cp-3, -0x1.a9f27e5f65826p-3, -0x1.ac635d9a06bd4p-3, -0x1.aea6ee6bc4b0fp-3, -0x1.b0bd9a124a0abp-3, -0x1.b2a7cf8902be8p-3, -0x1.b466035e73aep-3, -0x1.b5f8af8853027p-3, -0x1.b76053367f22ap-3, -0x1.b89d72a4d363bp-3, -0x1.b9b096ebfda35p-3, -0x1.ba9a4dd15e792p-3, -0x1.bb5b299618efep-3, -0x1.bbf3c0c552a8fp-3, -0x1.bc64ae01d92f5p-3, -0x1.bcae8fd329d7ep-3, -0x1.bcd2087210f55p-3, -0x1.bccfbd94e2217p-3, -0x1.bca8583b6f7p-3, -0x1.bc5c847adbafp-3, -0x1.bbecf149578bap-3, -0x1.bb5a5049eb06fp-3, -0x1.baa555985a2fap-3, -0x1.b9ceb79549307p-3, -0x1.b8d72eb2a79e6p-3, -0x1.b7bf754084733p-3, -0x1.b688473a5b6aep-3, -0x1.b5326214eab7ap-3, -0x1.b3be848cb0b7fp-3, -0x1.b22d6e7516132p-3, -0x1.b07fe0885b1c8p-3, -0x1.aeb69c3859326p-3, -0x1.acd26380270dfp-3, -0x1.aad3f8b6a8cf2p-3, -0x1.a8bc1e621f1ecp-3, -0x1.a68b970cbaadep-3, -0x1.a443251a44c8dp-3, -0x1.a1e38a9edfa1bp-3, -0x1.9f6d8936eb838p-3, -0x1.9ce1e1e01d3efp-3, -0x1.9a4154d3b89eap-3, -0x1.978ca16214b67p-3, -0x1.94c485cf47bebp-3, -0x1.91e9bf31291aap-3, -0x1.8efd094e81139p-3, -0x1.8bff1e7f8ebf3p-3, -0x1.88f0b78fca8e7p-3, -0x1.85d28ba0f55aap-3, -0x1.82a5500f6ea94p-3, -0x1.7f69b857cbfeep-3, -0x1.7c2075fdc1156p-3, -0x1.78ca387444bbdp-3, -0x1.7567ad06f5e2fp-3, -0x1.71f97ec4c61eep-3, -0x1.6e80566bdb8a4p-3, -0x1.6afcda56acaebp-3, -0x1.676fae6a4b033p-3, -0x1.63d97405e9322p-3, -0x1.603ac9f379168p-3, -0x1.5c944c5982dd1p-3, -0x1.58e694ae0bf29p-3, -0x1.553239aaa036bp-3, -0x1.5177cf416f62p-3, -0x1.4db7e693708bap-3, -0x1.49f30de7981e9p-3, -0x1.4629d0a304faep-3, -0x1.425cb7422f50ep-3, -0x1.3e8c475300948p-3, -0x1.3ab9036fe7026p-3, -0x1.36e36b3bbd218p-3, -0x1.330bfb5e9de1fp-3, -0x1.2f332d8388523p-3, -0x1.2b597856d66fdp-3, -0x1.277f4f85773dep-3, -0x1.23a523bcf790cp-3, -0x1.1fcb62ac33bc7p-3, -0x1.1bf27704cc892p-3, -0x1.181ac87d3fc29p-3, -0x1.1444bbd3a8c99p-3, -0x1.1070b2d11f796p-3, -0x1.0c9f0c4db01aap-3, -0x1.08d02434df31ep-3, -0x1.0504538abe70dp-3, -0x1.013bf07181325p-3, -0x1.faee9c5f18389p-4, -0x1.f36d7a6bfa84fp-4, -0x1.ebf5164f4f08ep-4, -0x1.e48605c0e4635p-4, -0x1.dd20d8fa42b47p-4, -0x1.d5c61ac6ea68ap-4, -0x1.ce7650955d52cp-4, -0x1.c731fa88a9f55p-4, -0x1.bff9938aaf82fp-4, -0x1.b8cd915edec6fp-4, -0x1.b1ae64b586081p-4, -0x1.aa9c793f948bcp-4, -0x1.a39835c2d072ap-4, -0x1.9ca1fc2e70dbep-4, -0x1.95ba29b014eb5p-4, -0x1.8ee116c9123e9p-4, -0x1.8817176409662p-4, -0x1.815c7aeabfdc8p-4, -0x1.7ab18c5c32a1ep-4, -0x1.74169262dc0a2p-4, -0x1.6d8bcf6b22e1dp-4, -0x1.671181b9ecc2bp-4, -0x1.60a7e3834c8d7p-4, -0x1.5a4f2b01451f6p-4, -0x1.54078a8a9a742p-4, -0x1.4dd130a9a9febp-4, -0x1.47ac4833462cbp-4, -0x1.4198f85d8c1b3p-4, -0x1.3b9764d6b0ad7p-4, -0x1.35a7addbbd46ap-4, -0x1.2fc9f04f3a384p-4, -0x1.29fe45cfbe18ep-4, -0x1.2444c4ce606dcp-4, -0x1.1e9d80a50abb3p-4, -0x1.190889aca22c3p-4, -0x1.1385ed53075bbp-4, -0x1.0e15b630e88e1p-4, -0x1.08b7ec1f62d49p-4, -0x1.036c944d6c7b6p-4, -0x1.fc6762aa139efp-5, -0x1.f21a86a08c825p-5, -0x1.e7f28fdbdd175p-5, -0x1.ddef750c1b492p-5, -0x1.d411285c474cep-5, -0x1.ca57979a37493p-5, -0x1.c0c2ac5dee82ap-5, -0x1.b7524c30698dfp-5, -0x1.ae0658b1d067p-5, -0x1.a4deafbf151b5p-5, -0x1.9bdb2b96f52e4p-5, -0x1.92fba2fe5ec5ep-5, -0x1.8a3fe96435c01p-5, -0x1.81a7cf0478b1fp-5, -0x1.7933210ac02e9p-5, -0x1.70e1a9b41c8f3p-5, -0x1.68b330704b327p-5, -0x1.60a77a0245a9ep-5, -0x1.58be48a0285f4p-5, -0x1.50f75c127164fp-5, -0x1.495271d297186p-5, -0x1.41cf4528f25ccp-5, -0x1.3a6d8f4a0378ap-5, -0x1.332d07730b3f8p-5, -0x1.2c0d6305fd1bfp-5, -0x1.250e55a4c61a5p-5, -0x1.1e2f914bee95cp-5, -0x1.1770c66c951f1p-5, -0x1.10d1a405bf72cp-5, -0x1.0a51d7bd0aa47p-5, -0x1.03f10df6b429bp-5, -0x1.fb5de3da038p-6, -0x1.ef165b8e0b6f1p-6, -0x1.e30ad55d8a867p-6, -0x1.d73aa1cd7d649p-6, -0x1.cba50fbda84bcp-6, -0x1.c0496c912f307p-6, -0x1.b5270456041fp-6, -0x1.aa3d21eb1f4d3p-6, -0x1.9f8b0f258eec2p-6, -0x1.951014f45b33ap-6, -0x1.8acb7b834d708p-6, -0x1.80bc8a5c9256p-6, -0x1.76e28889438a4p-6, -0x1.6d3cbcb0d7b91p-6, -0x1.63ca6d37874p-6, -0x1.5a8ae05b96ac7p-6, -0x1.517d5c51a76b1p-6, -0x1.48a1275ff552cp-6, -0x1.3ff587f89d309p-6, -0x1.3779c4d2e54c9p-6, -0x1.2f2d25038cd3p-6, -0x1.270ef0142ecd4p-6, -0x1.1f1e6e19b1a15p-6, -0x1.175ae7c9d292p-6, -0x1.0fc3a68fcd412p-6, -0x1.0857f4a0209afp-6, -0x1.01171d0b7f3e4p-6, -0x1.f400d7a1cb7f5p-7, -0x1.e6265bddc9b6ep-7, -0x1.d89d62e832803p-7, -0x1.cb648b1dcd84ap-7, -0x1.be7a7538cc2ep-7, -0x1.b1ddc46d372fap-7, -0x1.a58d1e83e5b2fp-7, -0x1.99872bf411db3p-7, -0x1.8dca97fb822f5p-7, -0x1.825610b565772p-7, -0x1.7728472fe10c8p-7, -0x1.6c3fef805308ap-7, -0x1.619bc0d661a26p-7, -0x1.573a758dd4ed3p-7, -0x1.4d1acb3f3f31dp-7, -0x1.433b82cf8b851p-7, -0x1.399b607e717dp-7, -0x1.30392bf3d3ed2p-7, -0x1.2713b04c18bcfp-7, -0x1.1e29bc237fe61p-7, -0x1.157a21a07feeep-7, -0x1.0d03b67d31bbfp-7, -0x1.04c5540fd29dep-7, -0x1.f97baea4c670ap-8, -0x1.e9d841d2d9f18p-8, -0x1.da9e2a53e5836p-8, -0x1.cbcb383d2b07cp-8, -0x1.bd5d4317e7572p-8, -0x1.af5229e893b4cp-8, -0x1.a1a7d334b7a7cp-8, -0x1.945c2d0758bb3p-8, -0x1.876d2cf415191p-8, -0x1.7ad8d018f4d1p-8, -0x1.6e9d1b1effdf8p-8, -0x1.62b81a39a3a5fp-8, -0x1.5727e124f4c75p-8, -0x1.4bea8b22d863cp-8, -0x1.40fe3af7203c9p-8, -0x1.36611ae2a503cp-8, -0x1.2c115c9d6aa91p-8, -0x1.220d394fd686bp-8, -0x1.1852f18b045f5p-8, -0x1.0ee0cd404570dp-8, -0x1.05b51bb7ccb39p-8, -0x1.f99c670d39a64p-9, -0x1.e854e5076b3e8p-9, -0x1.d7907b7925f28p-9, -0x1.c74c02d2025dp-9, -0x1.b78461bca404bp-9, -0x1.a8368d03f0a15p-9, -0x1.995f87772ba65p-9, -0x1.8afc61ccfcd59p-9, -0x1.7d0a3a857c4ep-9, -0x1.6f863dcb48986p-9, -0x1.626da553bd368p-9, -0x1.55bdb83e53d63p-9, -0x1.4973caf33d1bbp-9, -0x1.3d8d3f0141e68p-9, -0x1.320782faf7c2bp-9, -0x1.26e0125354594p-9, -0x1.1c147539ac425p-9, -0x1.11a240752cfbcp-9, -0x1.0787153fd4d59p-9, -0x1.fb814241fb4fcp-10, -0x1.e8993b8ef9253p-10, -0x1.d651a1c6cf56ap-10, -0x1.c4a617ff08d1cp-10, -0x1.b39258b4e0818p-10, -0x1.a312357f0ece6p-10, -0x1.932196bf2566cp-10, -0x1.83bc7b528fd4dp-10, -0x1.74def84341e42p-10, -0x1.66853878323bbp-10, -0x1.58ab7c65994ccp-10, -0x1.4b4e19bd177bcp-10, -0x1.3e697b1dcb869p-10, -0x1.31fa1fc46108fp-10, -0x1.25fc9b3b2381fp-10, -0x1.1a6d950a31ffbp-10, -0x1.0f49c867c8303p-10, -0x1.048e03e8ba727p-10, -0x1.f46e52624efecp-11, -0x1.e084594ad9748p-11, -0x1.cd582a36ca137p-11, -0x1.bae3f717fba55p-11, -0x1.a922158a54d2ap-11, -0x1.980cfe387d492p-11, -0x1.879f4c417122dp-11, -0x1.77d3bc9f01ddap-11, -0x1.68a52d8d56e75p-11, -0x1.5a0e9df3764c4p-11, -0x1.4c0b2ccce7c67p-11, -0x1.3e9618947c885p-11, -0x1.31aabeb047ec5p-11, -0x1.25449aded4122p-11, -0x1.195f46a59cfe9p-11, -0x1.0df678c0de2d7p-11, -0x1.03060494b6a31p-11, -0x1.f113b33f660f3p-12, -0x1.dcfc05dd80162p-12, -0x1.c9bd4d251f53p-12, -0x1.b7500a2cf1047p-12, -0x1.a5acf1f1a4d42p-12, -0x1.94ccec49b528ap-12, -0x1.84a912dc447e7p-12, -0x1.753ab01b18581p-12, -0x1.667b3e3fbe607p-12, -0x1.5864664be44e5p-12, -0x1.4aefff0ce288fp-12, -0x1.3e180c228c04dp-12, -0x1.31d6bd093c241p-12, -0x1.26266c27308fep-12, -0x1.1b019ddd314c5p-12, -0x1.1062ff9a861f2p-12, -0x1.064566f4407f2p-12, -0x1.f947a17fb6c9ap-13, -0x1.e6f2c06265951p-13, -0x1.d582bbf79cb5bp-13, -0x1.c4ee6eef11838p-13, -0x1.b52cfb91170d1p-13, -0x1.a635ca1546f59p-13, -0x1.980086ffcfc9p-13, -0x1.8a8521856ffb3p-13, -0x1.7dbbc9f60f26fp-13, -0x1.719cf02df3c1fp-13, -0x1.6621420d945d9p-13, -0x1.5b41a9f7f2717p-13, -0x1.50f74d577eaf9p-13, -0x1.473b8b297cf9bp-13, -0x1.3e07fa8fdd28dp-13, -0x1.355669697cf19p-13, -0x1.2d20daf0d030ep-13, -0x1.25618660d91d6p-13, -0x1.1e12d5a06af55p-13, -0x1.172f63f3ad411p-13, -0x1.10b1fcb3cda58p-13, -0x1.0a959a0cd5791p-13, -0x1.04d563c192e2cp-13, -0x1.fed95beb156c8p-14, -0x1.f4adeff9ceabdp-14, -0x1.eb1fd664915e3p-14, -0x1.e226b3a4f00ap-14, -0x1.d9ba7bbbbc6b4p-14, -0x1.d1d36fff7e5a8p-14, -0x1.ca6a1cf62d014p-14, -0x1.c377583a2df69p-14, -0x1.bcf43e6a579cap-14, -0x1.b6da3124fdf39p-14, -0x1.b122d50dba9ebp-14, -0x1.abc80fdde71ap-14, -0x1.a6c4067fb54ecp-14, -0x1.a2111b3393d84p-14, -0x1.9da9ebbff4207p-14, -0x1.99894fab1ebecp-14, -0x1.95aa567f12da9p-14, -0x1.920846173c258p-14, -0x1.8e9e98f7e2f71p-14, -0x1.8b68fcaf2e5dcp-14, -0x1.8863503f98cdp-14, -0x1.8589a293af3c1p-14, -0x1.82d830faf9ec5p-14, -0x1.804b65afe98d6p-14, -0x1.7ddfd666a56f9p-14, -0x1.7b9242e4951ebp-14, -0x1.795f93a0863ap-14, -0x1.7744d86b4578ap-14, -0x1.753f47208b239p-14, -0x1.734c3a6016472p-14, -0x1.7169304ed432fp-14, -0x1.6f93c95fef2bdp-14, -0x1.6dc9c725a526cp-14, -0x1.6c090b29c088cp-14, -0x1.6a4f95cd910e9p-14, -0x1.689b8531460e4p-14, -0x1.66eb142282422p-14, -0x1.653c99120cd55p-14, -0x1.638e85107b4e8p-14, -0x1.61df62d1b3bcep-14, -0x1.602dd5b726e92p-14, -0x1.5e7898e0a07e2p-14, -0x1.5cbe7e438f6fep-14, -0x1.5afe6dc8a324p-14, -0x1.5937646fa1137p-14, -0x1.576873795134ap-14, -0x1.5590bf9762be4p-14, -0x1.53af80222be32p-14, -0x1.51c3fe5423644p-14, -0x1.4fcd948af8c2cp-14, -0x1.4dcbad8e2ca2ap-14, -0x1.4bbdc3db094b4p-14, -0x1.49a360f5e3dbfp-14, -0x1.477c1cc083cb4p-14, -0x1.45479cd59831fp-14, -0x1.430593e91db22p-14, -0x1.40b5c12d99c71p-14, -0x1.3e57efbe0fbffp-14, -0x1.3bebf60c94e9fp-14, -0x1.3971b5556b0dap-14, -0x1.36e919168387p-14, -0x1.3452168b56115p-14, -0x1.31acac2cee195p-14, -0x1.2ef8e13616cd3p-14, -0x1.2c36c52b8f946p-14, -0x1.29666f682d032p-14, -0x1.2687feacd1c04p-14, -0x1.239b98b4259a6p-14, -0x1.20a169c9f5e73p-14, -0x1.1d99a46627378p-14, -0x1.1a8480cb21acbp-14, -0x1.17623ca7a2dc5p-14, -0x1.14331abbe114fp-14, -0x1.10f76281e66efp-14, -0x1.0daf5fd914889p-14, -0x1.0a5b62b4b83dbp-14, -0x1.06fbbecd9a448p-14, -0x1.0390cb567a7c7p-14, -0x1.001ae2b361377p-14, -0x1.f934c46765006p-15, -0x1.f21f539de75ecp-15, -0x1.eaf637c85b09cp-15, -0x1.e3ba39f7b68d8p-15, -0x1.dc6c2718a9675p-15, -0x1.d50ccf813fbe5p-15, -0x1.cd9d068339d4ap-15, -0x1.c61da202efebep-15, -0x1.be8f7a12a56e5p-15, -0x1.b6f368922d18ap-15, -0x1.af4a48d2b8501p-15, -0x1.a794f73eb9817p-15, -0x1.9fd45105b91b1p-15, -0x1.980933cbfe834p-15, -0x1.90347d5df0935p-15, -0x1.88570b67146p-15, -0x1.8071bb2c8a99fp-15, -0x1.7885694af081p-15, -0x1.7092f17790f5ep-15, -0x1.689b2e44bfd53p-15, -0x1.609ef8e95132fp-15, -0x1.589f290b0dd67p-15, -0x1.509c948c0efc6p-15, -0x1.48980f5ae882ap-15, -0x1.40926b458acc2p-15, -0x1.388c77cec4effp-15, -0x1.3087020655317p-15, -0x1.2882d4636a91bp-15, -0x1.2080b6a18a81fp-15, -0x1.18816d9fc122fp-15, -0x1.1085bb42083f4p-15, -0x1.088e5e54d46fp-15, -0x1.009c1272b1b1cp-15, -0x1.f15f1fd7c0b8bp-16, -0x1.e193175fba335p-16, -0x1.d1d56e7185657p-16, -0x1.c22780f0ecf82p-16, -0x1.b28aa38f1b82cp-16, -0x1.a30023abb0bcdp-16, -0x1.938947390c242p-16, -0x1.84274ca3a6e7bp-16, -0x1.74db6abc5d61bp-16, -0x1.65a6d0a591127p-16, -0x1.568aa5c2ffcc9p-16, -0x1.478809ac39bcdp-16, -0x1.38a0142195274p-16, -0x1.29d3d503875a6p-16, -0x1.1b24544c50d43p-16, -0x1.0c92920bd2ceap-16, -0x1.fc3f0ccb0c8b1p-17, -0x1.df984320eaf45p-17, -0x1.c33297b23eea7p-17, -0x1.a70fcb4a61415p-17, -0x1.8b318ef1fcec6p-17, -0x1.6f9983fd52dfbp-17, -0x1.54493c1db7b8cp-17, -0x1.3942397609089p-17, -0x1.1e85eeb204a16p-17, -0x1.0415bf205d4d6p-17, -0x1.d3e5fd9ebf102p-18, -0x1.a03de5580fa4ep-18, -0x1.6d35a146d2654p-18, -0x1.3acf7f8c84019p-18, -0x1.090db0dd3ada6p-18, -0x1.afe4919d956ep-19, -0x1.4efe7c5714a2p-19, -0x1.ded9ad21fd505p-20, -0x1.2266397af8611p-20, -0x1.a2a49e7be8333p-22, 0x1.395db03853a98p-22, 0x1.0295d1238a763p-20, 0x1.b40cc1a3b4b9bp-20, 0x1.315bb03167ae9p-19, 0x1.87489bb2ed99ep-19, 0x1.dbcb1b1d11717p-19, 0x1.1770ac117e877p-18, 0x1.4044d6c4d9efcp-18, 0x1.68615325585d3p-18, 0x1.8fc57e5a06d27p-18, 0x1.b670ccc344d7p-18, 0x1.dc62c988d5db8p-18, 0x1.00cd8b1392442p-17, 0x1.130cb4fdebfa6p-17, 0x1.24eec8e8ed62cp-17, 0x1.3673b7b678a73p-17, 0x1.479b7c8a7deap-17, 0x1.58661c907f943p-17, 0x1.68d3a6c109ab1p-17, 0x1.78e433a725fabp-17, 0x1.8897e525d3b51p-17, 0x1.97eee63da7dadp-17, 0x1.a6e96ad272402p-17, 0x1.b587af71236bdp-17, 0x1.c3c9f915e4e74p-17, 0x1.d1b094f2628dbp-17, 0x1.df3bd8346ea72p-17, 0x1.ec6c1fcce3fabp-17, 0x1.f941d036f84a7p-17, 0x1.02deaa9fe9455p-16, 0x1.08ef90e7521f8p-16, 0x1.0ed3d7d6926bp-16, 0x1.148bbfa841994p-16, 0x1.1a178bd169925p-16, 0x1.1f7782e6840f7p-16, 0x1.24abee80b535p-16, 0x1.29b51b2350653p-16, 0x1.2e935821a520ap-16, 0x1.3346f78516d89p-16, 0x1.37d04df3862ccp-16, 0x1.3c2fb29602f1dp-16, 0x1.40657effd6d7ep-16, 0x1.44720f15dc73ap-16, 0x1.4855c0f63283p-16, 0x1.4c10f4e03fe5cp-16, 0x1.4fa40d1d11a91p-16, 0x1.530f6de80ed29p-16, 0x1.56537d580c017p-16, 0x1.5970a348b6f88p-16, 0x1.5c67494459592p-16, 0x1.5f37da6e0268dp-16, 0x1.61e2c36c02fbfp-16, 0x1.64687252d1dc8p-16, 0x1.66c9569045381p-16, 0x1.6905e0d730365p-16, 0x1.6b1e830b611eap-16, 0x1.6d13b02df98ffp-16, 0x1.6ee5dc4a29709p-16, 0x1.70957c624d4edp-16, 0x1.7223065d63393p-16, 0x1.738ef0f4e812dp-16, 0x1.74d9b3a30efa3p-16, 0x1.7603c6915c206p-16, 0x1.770da2879a6bp-16, 0x1.77f7c0db33cecp-16, 0x1.78c29b5ee52c4p-16, 0x1.796eac52d14c1p-16, 0x1.79fc6e54f23e9p-16, 0x1.7a6c5c51e63fep-16, 0x1.7abef1761b014p-16, 0x1.7af4a91f51932p-16, 0x1.7b0dfece82debp-16, 0x1.7b0b6e1a186dap-16, 0x1.7aed72a082264p-16, 0x1.7ab487fb28439p-16, 0x1.7a6129b1af729p-16, 0x1.79f3d32d9872fp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c51668a86a748p-1, 0x1.c3dcd24e33148p-1, 0x1.c285be497c67p-1, 0x1.c111322365d7fp-1, 0x1.bf7f30c748251p-1, 0x1.bdcfbb215b203p-1, 0x1.bc02d0d047e51p-1, 0x1.ba1870e0213a7p-1, 0x1.b8109a8734f6p-1, 0x1.b5eb4ddec1247p-1, 0x1.b3a88c9328296p-1, 0x1.b1485a8872765p-1, 0x1.aecabe7101533p-1, 0x1.ac2fc25536108p-1, 0x1.a977740b76579p-1, 0x1.a6a1e5a08c7f2p-1, 0x1.a3af2db0bf27ap-1, 0x1.a09f67b24d9fp-1, 0x1.9d72b43230e8fp-1, 0x1.9a29390420813p-1, 0x1.96c32166edf1dp-1, 0x1.93409e1e5207cp-1, 0x1.8fa1e583412afp-1, 0x1.8be7338bd4e31p-1, 0x1.8810c9cbcd257p-1, 0x1.841eef6e9759dp-1, 0x1.8011f12bb9d97p-1, 0x1.7bea21366ea86p-1, 0x1.77a7d729222c1p-1, 0x1.734b6fed7da6fp-1, 0x1.6ed54da188ad1p-1, 0x1.6a45d77a65babp-1, 0x1.659d79a5153c4p-1, 0x1.60dca525a2de6p-1, 0x1.5c03cfb50974p-1, 0x1.5713739e18369p-1, 0x1.520c0f998e27ep-1, 0x1.4cee26a9a093fp-1, 0x1.47ba3ff50daf6p-1, 0x1.4270e6a1e0ecdp-1, 0x1.3d12a9affc2afp-1, 0x1.37a01bd37a2fp-1, 0x1.3219d34efa075p-1, 0x1.2c8069cdd90fdp-1, 0x1.26d47c3e66247p-1, 0x1.2116aaac0cb0fp-1, 0x1.1b4798197f17ep-1, 0x1.1567ea5ad8be6p-1, 0x1.0f7849efbdac9p-1, 0x1.097961dd6f9ffp-1, 0x1.036bdf88da51bp-1, 0x1.faa0e5211fd09p-2, 0x1.ee4f994d6f8c5p-2, 0x1.e1e542d5d2ac1p-2, 0x1.d5634c87e4c74p-2, 0x1.c8cb2473103f4p-2, 0x1.bc1e3b9bc60f1p-2, 0x1.af5e05ae868bep-2, 0x1.a28bf8b2c4526p-2, 0x1.95a98cbda2435p-2, 0x1.88b83ba490f3ap-2, 0x1.7bb980afd700ap-2, 0x1.6eaed84d0d847p-2, 0x1.6199bfc197b37p-2, 0x1.547bb4dd2abffp-2, 0x1.475635ac6bbb4p-2, 0x1.3a2ac02bba52ep-2, 0x1.2cfad1fa36ed6p-2, 0x1.1fc7e80d154dfp-2, 0x1.12937e63537e6p-2, 0x1.055f0fb9e4648p-2, 0x1.f0582a80cfea1p-3, 0x1.d5f80c9d04585p-3, 0x1.bba0b033d57a4p-3, 0x1.a154fada936bp-3, 0x1.8717ccbff60b3p-3, 0x1.6cec001d91886p-3, 0x1.52d468ab76ce5p-3, 0x1.38d3d3161dc96p-3, 0x1.1eed0476d70e6p-3, 0x1.0522b9ced59cbp-3, 0x1.d6ef4f0a38c16p-4, 0x1.a3dcf1ceb951ap-4, 0x1.71139f5bf2891p-4, 0x1.3e988706b32acp-4, 0x1.0c70c31d49b08p-4, 0x1.b542b008484adp-5, 0x1.525e66b3a5f97p-5, 0x1.e07cac8aba4d1p-6, 0x1.1dd7f3f165a85p-6, 0x1.7384d595462edp-8, -0x1.895593b297b12p-8, -0x1.1fba1b43ad51cp-6, -0x1.db3b9af778081p-6, -0x1.4a648080e555p-5, -0x1.a628ee324a899p-5, -0x1.00718c1b0df19p-4, -0x1.2d459db362226p-4, -0x1.598ce867d9343p-4, -0x1.8543c74be25f3p-4, -0x1.b066b46ca4c4bp-4, -0x1.daf24933c861p-4, -0x1.02719f607c1bep-3, -0x1.171b371d1da4ep-3, -0x1.2b74688986771p-3, -0x1.3f7bc0a52b9b2p-3, -0x1.532fdccfa92e3p-3, -0x1.668f6adeb1ce4p-3, -0x1.7999292f7dbdep-3, -0x1.8c4be6b3dc0b5p-3, -0x1.9ea682fad5e71p-3, -0x1.b0a7ee3511e6fp-3, -0x1.c24f2934f1edep-3, -0x1.d39b456a8a82cp-3, -0x1.e48b64db7e23fp-3, -0x1.f51eba16dc41dp-3, -0x1.02aa441286c6dp-2, -0x1.0a961139f9b7dp-2, -0x1.1252765f9ea35p-2, -0x1.19df2d7a92cb7p-2, -0x1.213bf88bce364p-2, -0x1.2868a18d01f25p-2, -0x1.2f64fa5dcaddep-2, -0x1.3630dcaf49368p-2, -0x1.3ccc29ee27ef7p-2, -0x1.4336cb2b23344p-2, -0x1.4970b102201eep-2, -0x1.4f79d37fdc3afp-2, -0x1.55523206501a2p-2, -0x1.5af9d32fc64bfp-2, -0x1.6070c4b0bee8bp-2, -0x1.65b71b38af156p-2, -0x1.6accf251a3886p-2, -0x1.6fb26c3ee0e4bp-2, -0x1.7467b1da83ac9p-2, -0x1.78ecf2723f77p-2, -0x1.7d4263a33901cp-2, -0x1.816841351ebf9p-2, -0x1.855eccf47a2bcp-2, -0x1.89264e8c5bbefp-2, -0x1.8cbf135f6187p-2, -0x1.90296e602fafbp-2, -0x1.9365b7e963c8ep-2, -0x1.96744d9514618p-2, -0x1.99559213ea293p-2, -0x1.9c09ed03dee88p-2, -0x1.9e91cac6b063cp-2, -0x1.a0ed9c5813073p-2, -0x1.a31dd723b5f4dp-2, -0x1.a522f4db1f0c8p-2, -0x1.a6fd734b6bafbp-2, -0x1.a8add4330999fp-2, -0x1.aa349d176991fp-2, -0x1.ab92571abd18ep-2, -0x1.acc78ed1ca87ap-2, -0x1.add4d419ddc32p-2, -0x1.aebab9eee5cbdp-2, -0x1.af79d641c4e1fp-2, -0x1.b012c1cedd5acp-2, -0x1.b08617f4e939fp-2, -0x1.b0d4768c1b3dfp-2, -0x1.b0fe7dbda1ff8p-2, -0x1.b104cfdb83782p-2, -0x1.b0e81138e67b9p-2, -0x1.b0a8e802cc586p-2, -0x1.b047fc1942f98p-2, -0x1.afc5f6e9137f5p-2, -0x1.af238345faf1cp-2, -0x1.ae614d456ad87p-2, -0x1.ad800219deeb7p-2, -0x1.ac804feec84c3p-2, -0x1.ab62e5c516318p-2, -0x1.aa287350614e6p-2, -0x1.a8d1a8d4bd06dp-2, -0x1.a75f37053268bp-2, -0x1.a5d1cee2ec61dp-2, -0x1.a42a219d12911p-2, -0x1.a268e0715e91p-2, -0x1.a08ebc8d66051p-2, -0x1.9e9c66f0a1c5p-2, -0x1.9c92904f34c8ap-2, -0x1.9a71e8f571137p-2, -0x1.983b20ac1f042p-2, -0x1.95eee69d8a1dap-2, -0x1.938de93b51f71p-2, -0x1.9118d62501f64p-2, -0x1.8e905a0f6f646p-2, -0x1.8bf520ace1d27p-2, -0x1.8947d49600855p-2, -0x1.86891f338c649p-2, -0x1.83b9a8a8dda02p-2, -0x1.80da17bf2eb88p-2, -0x1.7deb11d1aace4p-2, -0x1.7aed3aba463fbp-2, -0x1.77e134bf5c4f9p-2, -0x1.74c7a08210824p-2, -0x1.71a11ced77a67p-2, -0x1.6e6e4726809f6p-2, -0x1.6b2fba7c9cf03p-2, -0x1.67e6105b2ec05p-2, -0x1.6491e03baba23p-2, -0x1.6133bf98829ffp-2, -0x1.5dcc41e0b7ebep-2, -0x1.5a5bf86c37158p-2, -0x1.56e37270dc34bp-2, -0x1.53633cf82e518p-2, -0x1.4fdbe2d5c7863p-2, -0x1.4c4dec9e6e5e2p-2, -0x1.48b9e09fd503bp-2, -0x1.452042d901c1p-2, -0x1.418194f35bfd7p-2, -0x1.3dde563c5951dp-2, -0x1.3a37039fc880ap-2, -0x1.368c17a2ba51ap-2, -0x1.32de0a5efce25p-2, -0x1.2f2d517f31558p-2, -0x1.2b7a603b6d5dfp-2, -0x1.27c5a7566d7bcp-2, -0x1.240f951b50e25p-2, -0x1.2058955bdb111p-2, -0x1.1ca1116f3aafbp-2, -0x1.18e970314f14p-2, -0x1.15321602695d6p-2, -0x1.117b64c788b5bp-2, -0x1.0dc5bbeb087b1p-2, -0x1.0a11785dc3d6dp-2, -0x1.065ef498a5f66p-2, -0x1.02ae889ea2804p-2, -0x1.fe0113fe32b0fp-3, -0x1.f6aa97b139d2cp-3, -0x1.ef5a3db82a727p-3, -0x1.e810a2a086a0cp-3, -0x1.e0ce5e2b3d923p-3, -0x1.d994035505f31p-3, -0x1.d262205f6c8e5p-3, -0x1.cb393eda75d8dp-3, -0x1.c419e3aed96b5p-3, -0x1.bd048f28d142bp-3, -0x1.b5f9bd036eb3cp-3, -0x1.aef9e47478968p-3, -0x1.a8057838bcacbp-3, -0x1.a11ce6a0e417ap-3, -0x1.9a40999eb07aep-3, -0x1.9370f6d2a38d7p-3, -0x1.8cae5f9a11facp-3, -0x1.85f9311d8b96ap-3, -0x1.7f51c45fa533cp-3, -0x1.78b86e4c0d3e9p-3, -0x1.722d7fc6f4c9dp-3, -0x1.6bb145bcbd363p-3, -0x1.65440931e6f29p-3, -0x1.5ee60f534314cp-3, -0x1.589799865391bp-3, -0x1.5258e579ebaafp-3, -0x1.4c2a2d36ef265p-3, -0x1.460ba73149d06p-3, -0x1.3ffd8658ffa06p-3, -0x1.39fffa2b6471p-3, -0x1.34132ec46e1cdp-3, -0x1.2e374cf01750bp-3, -0x1.286c7a3be0472p-3, -0x1.22b2d90855aacp-3, -0x1.1d0a889aa74f1p-3, -0x1.1773a52e426d5p-3, -0x1.11ee480674ad6p-3, -0x1.0c7a87800743fp-3, -0x1.07187722de76dp-3, -0x1.01c827b38b0dcp-3, -0x1.f9134e89aebc8p-4, -0x1.eeba0292857e5p-4, -0x1.e4847d48dc105p-4, -0x1.da72cb78e7ad2p-4, -0x1.d084f5165cb2p-4, -0x1.c6bafd5eb59a3p-4, -0x1.bd14e2fb5f973p-4, -0x1.b392a0238bae2p-4, -0x1.aa342abdd9211p-4, -0x1.a0f97481aeecp-4, -0x1.97e26b1849c96p-4, -0x1.8eeef83d7eeb1p-4, -0x1.861f01e0341c2p-4, -0x1.7d726a42782fp-4, -0x1.74e9101949f84p-4, -0x1.6c82ceabff0e1p-4, -0x1.643f7df34eb3cp-4, -0x1.5c1ef2b7f87ddp-4, -0x1.5420feb107917p-4, -0x1.4c4570a1ad0a4p-4, -0x1.448c1476b2c1dp-4, -0x1.3cf4b3637f9c6p-4, -0x1.357f13feafff3p-4, -0x1.2e2afa5e3ccdcp-4, -0x1.26f8283330ef6p-4, -0x1.1fe65ce4ec4e5p-4, -0x1.18f555abf1529p-4, -0x1.1224cdac3b70ap-4, -0x1.0b747e0f21153p-4, -0x1.04e41e1cba11ap-4, -0x1.fce6c6a99fa0cp-5, -0x1.f044030ea143p-5, -0x1.e3df55d896ce7p-5, -0x1.d7b82076dcb4dp-5, -0x1.cbcdc18614465p-5, -0x1.c01f94fd34fffp-5, -0x1.b4acf459a5199p-5, -0x1.a97536ca57368p-5, -0x1.9e77b159f441bp-5, -0x1.93b3b7180b7b8p-5, -0x1.892899414b88ap-5, -0x1.7ed5a766c4286p-5, -0x1.74ba2f9434711p-5, -0x1.6ad57e756159fp-5, -0x1.6126df7a7b9bep-5, -0x1.57ad9cfb90af9p-5, -0x1.4e69005b0c314p-5, -0x1.455852274a03p-5, -0x1.3c7ada3b3ba4ep-5, -0x1.33cfdfde1e4bfp-5, -0x1.2b56a9e24d54dp-5, -0x1.230e7ec327379p-5, -0x1.1af6a4c210f38p-5, -0x1.130e62029413ep-5, -0x1.0b54fca59eb16p-5, -0x1.03c9bae3e0dd5p-5, -0x1.f8d7c64ea9a98p-6, -0x1.ea757847d0f8dp-6, -0x1.dc6b19dea5666p-6, -0x1.ceb73a302f4b9p-6, -0x1.c1586977740e4p-6, -0x1.b44d39383b813p-6, -0x1.a7943c6849cbap-6, -0x1.9b2c079702955p-6, -0x1.8f13311382d68p-6, -0x1.8348511140123p-6, -0x1.77ca01cb24895p-6, -0x1.6c96dfa539fe1p-6, -0x1.61ad894ce19fep-6, -0x1.570c9fd7a94e3p-6, -0x1.4cb2c6e0bb627p-6, -0x1.429ea4a4f172ep-6, -0x1.38cee21d9a3c8p-6, -0x1.2f422b19e827ap-6, -0x1.25f72e57226eep-6, -0x1.1cec9d978da75p-6, -0x1.14212db8222d7p-6, -0x1.0b9396c50a23p-6, -0x1.0342940cf7dfep-6, -0x1.f659c866a844p-7, -0x1.e6a29282a1506p-7, -0x1.d75d116bbe6bfp-7, -0x1.c886d7293bcb2p-7, -0x1.ba1d7ce75dd9cp-7, -0x1.ac1ea31132c82p-7, -0x1.9e87f16845bc7p-7, -0x1.9157171a6c793p-7, -0x1.8489cad5b248p-7, -0x1.781dcada76af2p-7, -0x1.6c10dd0bb8e6fp-7, -0x1.6060cefdb4a75p-7, -0x1.550b7602cc13fp-7, -0x1.4a0eaf36cfab7p-7, -0x1.3f685f88b5644p-7, -0x1.351673c2c5dcdp-7, -0x1.2b16e09149314p-7, -0x1.2167a287c7de8p-7, -0x1.1806be24e4a06p-7, -0x1.0ef23fd4dc5ffp-7, -0x1.06283bf2b94aep-7, -0x1.fb4d9d90834f3p-8, -0x1.ead83919601ccp-8, -0x1.daeca2c47ca14p-8, -0x1.cb8742a51c595p-8, -0x1.bca49093f5d93p-8, -0x1.ae411423babbep-8, -0x1.a059649399f09p-8, -0x1.92ea28bfd25a6p-8, -0x1.85f01710641dfp-8, -0x1.7967f565f9613p-8, -0x1.6d4e9905195ap-8, -0x1.61a0e67fb17d6p-8, -0x1.565bd19d11cd8p-8, -0x1.4b7c5d4064706p-8, -0x1.40ff9b4db833bp-8, -0x1.36e2ac8dadc13p-8, -0x1.2d22c08fd54e3p-8, -0x1.23bd158bd34b9p-8, -0x1.1aaef84155ef3p-8, -0x1.11f5c3d6efdbfp-8, -0x1.098ee1b7e449cp-8, -0x1.0177c970f6facp-8, -0x1.f35c011893acdp-9, -0x1.e45e34d8ba8eep-9, -0x1.d5f1704c716b3p-9, -0x1.c81110b5a4602p-9, -0x1.bab88e1f74228p-9, -0x1.ade37b0e3ca09p-9, -0x1.a18d842e57626p-9, -0x1.95b27001c07ffp-9, -0x1.8a4e1e8ca7bedp-9, -0x1.7f5c89010f9e6p-9, -0x1.74d9c1698a156p-9, -0x1.6ac1f2532fb79p-9, -0x1.61115e76dbf4bp-9, -0x1.57c46061cf182p-9, -0x1.4ed76a1dc0bb1p-9, -0x1.464704d87a4e4p-9, -0x1.3e0fd08b0dff2p-9, -0x1.362e83a0b1da6p-9, -0x1.2e9fea9d64537p-9, -0x1.2760e7c4524eep-9, -0x1.206e72be27385p-9, -0x1.19c5983f42134p-9, -0x1.136379adf02cap-9, -0x1.0d454cc8ac4d5p-9, -0x1.07685b4c80d4p-9, -0x1.01ca029b8b05ap-9, -0x1.f8cf66c76b126p-10, -0x1.ee7de28b6ce34p-10, -0x1.e49aa4f8b28d5p-10, -0x1.db20ff0842e0cp-10, -0x1.d20c6586a86fp-10, -0x1.c9587064dc98p-10, -0x1.c100da0a2a49bp-10, -0x1.b9017ea714d4fp-10, -0x1.b1565b8954db3p-10, -0x1.a9fb8e71053aap-10, -0x1.a2ed54e702388p-10, -0x1.9c280b949dd1ep-10, -0x1.95a82d9ca8115p-10, -0x1.8f6a53f5dd6e8p-10, -0x1.896b34c6d51bbp-10, -0x1.83a7a2c36880ep-10, -0x1.7e1c8c8baee9ap-10, -0x1.78c6fc0c9546bp-10, -0x1.73a415e219e68p-10, -0x1.6eb118bb3644ap-10, -0x1.69eb5cbf82345p-10, -0x1.655052f6a268bp-10, -0x1.60dd84b16f37p-10, -0x1.5c9092f4ff7cp-10, -0x1.586735e77edfap-10, -0x1.545f3c3eecbbdp-10, -0x1.50768ab1b9867p-10, -0x1.4cab1b69539f5p-10, -0x1.48fafd769de38p-10, -0x1.4564544860e7bp-10, -0x1.41e55723aa77cp-10, -0x1.3e7c509e35411p-10, -0x1.3b279e1abc81p-10, -0x1.37e5af475fcp-10, -0x1.34b5059e02542p-10, -0x1.319433e6aa0c8p-10, -0x1.2e81ddbbea87bp-10, -0x1.2b7cb71154344p-10, -0x1.288383bbe6fa3p-10, -0x1.259516fc89ae6p-10, -0x1.22b0530c9071fp-10, -0x1.1fd428ac4119ap-10, -0x1.1cff96b35b3f5p-10, -0x1.1a31a9a3a87d2p-10, -0x1.17697b3d8e123p-10, -0x1.14a63216992f2p-10, -0x1.11e70132124c3p-10, -0x1.0f2b279b84664p-10, -0x1.0c71f0034243dp-10, -0x1.09bab05cde803p-10, -0x1.0704c97f9bfe2p-10, -0x1.044fa6c8c9eb1p-10, -0x1.019abdc00f627p-10, -0x1.fdcb1b7b3f685p-11, -0x1.f85f3f24a730bp-11, -0x1.f2f10a6349379p-11, -0x1.ed7fb2bb0abcbp-11, -0x1.e80a7ea826f76p-11, -0x1.e290c4fe39a09p-11, -0x1.dd11ec4aed82dp-11, -0x1.d78d6a3c3db76p-11, -0x1.d202c30a46327p-11, -0x1.cc7188e497391p-11, -0x1.c6d95b63012e1p-11, -0x1.c139e6f9cecb6p-11, -0x1.bb92e47165011p-11, -0x1.b5e418613a498p-11, -0x1.b02d52ae1f5edp-11, -0x1.aa6e6e0bc8a74p-11, -0x1.a4a74f81927ep-11, -0x1.9ed7e5f2730f7p-11, -0x1.990029a80c0c1p-11, -0x1.93201be0d61dep-11, -0x1.8d37c66155b01p-11, -0x1.87473b084f93bp-11, -0x1.814e9365f3261p-11, -0x1.7b4df055eae1cp-11, -0x1.7545799c4b79bp-11, -0x1.6f355d85522d2p-11, -0x1.691dd087ea745p-11, -0x1.62ff0ceaeacddp-11, -0x1.5cd9526d013fdp-11, -0x1.56ace5ef403bbp-11, -0x1.507a11224189fp-11, -0x1.4a412235d6012p-11, -0x1.44026b8b30061p-11, -0x1.3dbe436983a5ep-11, -0x1.377503b50d34p-11, -0x1.312709a874117p-11, -0x1.2ad4b5907ba56p-11, -0x1.247e6a89fb1a8p-11, -0x1.1e248e420db0ap-11, -0x1.17c788b86f3fbp-11, -0x1.1167c403fd45p-11, -0x1.0b05ac194dd75p-11, -0x1.04a1ae935298fp-11, -0x1.fc7874fbfbf42p-12, -0x1.efab8045b934ep-12, -0x1.e2dd61af36ba4p-12, -0x1.d60efd9cd9559p-12, -0x1.c94139d08835ap-12, -0x1.bc74fd11bb68p-12, -0x1.afab2ed906f77p-12, -0x1.a2e4b6ff18bf1p-12, -0x1.96227d6f09defp-12, -0x1.896569dbf4f5p-12, -0x1.7cae6379be317p-12, -0x1.6ffe50b8f2b27p-12, -0x1.63561705b5b4p-12, -0x1.56b69a899ebf3p-12, -0x1.4a20bdf07b584p-12, -0x1.3d95622fdfe55p-12, -0x1.3115665175cbap-12, -0x1.24a1a73ff20acp-12, -0x1.183aff96a6d3dp-12, -0x1.0be2477397575p-12, -0x1.ff30a8980ef61p-13, -0x1.e6bbf186cfe52p-13, -0x1.ce680909338acp-13, -0x1.b636883ae3af5p-13, -0x1.9e2901b8e266dp-13, -0x1.8641016133806p-13, -0x1.6e800c16b1503p-13, -0x1.56e79f88e0b1p-13, -0x1.3f7931ffae9fdp-13, -0x1.2836322af0b56p-13, -0x1.112006f58f47p-13, -0x1.f4701eb878b3ep-14, -0x1.c6ff448f36fd8p-14, -0x1.99f01cd378a12p-14, -0x1.6d45343d8fc66p-14, -0x1.410106a1a6275p-14, -0x1.1525febd5aef3p-14, -0x1.d36cec166a2fep-15, -0x1.7d696937630c8p-15, -0x1.2845e1e77e47ep-15, -0x1.a80d3fc1ce956p-16, -0x1.015f92bf30798p-16, -0x1.722b07e4a30bdp-18, 0x1.19a5d36c23401p-18, 0x1.ceeb3753725bbp-17, 0x1.869284144f363p-16, 0x1.11dca3ba082b6p-15, 0x1.5f71a3667b598p-15, 0x1.ac0515588f89fp-15, 0x1.f793f18abf39ap-15, 0x1.210da9c61d60cp-14, 0x1.45cc3d2eb7d2p-14, 0x1.6a0464230ab95p-14, 0x1.8db4e15284b75p-14, 0x1.b0dc88dd2219ap-14, 0x1.d37a403592c94p-14, 0x1.f58cfe00b350dp-14, 0x1.0b89e4f93b42dp-13, 0x1.1c06de542eddbp-13, 0x1.2c3cffc0cf9afp-13, 0x1.3c2be63a91c87p-13, 0x1.4bd336f2b35c6p-13, 0x1.5b329f3933d86p-13, 0x1.6a49d464dbaefp-13, 0x1.791893ba69aebp-13, 0x1.879ea252e58eap-13, 0x1.95dbcd013385dp-13, 0x1.a3cfe836ee56fp-13, 0x1.b17acfe891b7ep-13, 0x1.bedc677102982p-13, 0x1.cbf4997488306p-13, 0x1.d8c357c3340dep-13, 0x1.e5489b3acceaep-13, 0x1.f18463a84555p-13, 0x1.fd76b7a8c63e9p-13, 0x1.048fd2452acap-12, 0x1.0a3f9f1615e0cp-12, 0x1.0fcacf6f595ffp-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c8fdce5cf1d4ep-1, 0x1.c894ebde826dfp-1, 0x1.c82227fa0d0c8p-1, 0x1.c7a585e18efa5p-1, 0x1.c71f0829beb54p-1, 0x1.c68eb0d6f93ebp-1, 0x1.c5f4816fe6352p-1, 0x1.c5507b144b4b5p-1, 0x1.c4a29e96bb94cp-1, 0x1.c3eaec9805716p-1, 0x1.c32965a36ef68p-1, 0x1.c25e0a4b00326p-1, 0x1.c188db43438e2p-1, 0x1.c0a9d97e00b9dp-1, 0x1.bfc106439f01bp-1, 0x1.bece634aeae2p-1, 0x1.bdd1f2cf193e4p-1, 0x1.bccbb7a3ea8d4p-1, 0x1.bbbbb547e9cabp-1, 0x1.baa1eff4c2919p-1, 0x1.b97e6cadb9959p-1, 0x1.b851314c59bc7p-1, 0x1.b71a448b676e9p-1, 0x1.b5d9ae1033307p-1, 0x1.b48f767267e35p-1, 0x1.b33ba7426b8bcp-1, 0x1.b1de4b0e72f0dp-1, 0x1.b0776d6660b58p-1, 0x1.af071ade8ac0ep-1, 0x1.ad8d611180ff9p-1, 0x1.ac0a4ea0ec97ap-1, 0x1.aa7df3359f4cfp-1, 0x1.a8e85f7ee7523p-1, 0x1.a749a5313d136p-1, 0x1.a5a1d7045c205p-1, 0x1.a3f108b0d7edcp-1, 0x1.a2374eed3b297p-1, 0x1.a074bf6ac13d2p-1, 0x1.9ea970d1b375dp-1, 0x1.9cd57abd7700fp-1, 0x1.9af8f5b854fbap-1, 0x1.9913fb37056p-1, 0x1.9726a59402c03p-1, 0x1.9531100ab07cep-1, 0x1.933356b2584c8p-1, 0x1.912d967901477p-1, 0x1.8f1fed1e2a5dap-1, 0x1.8d0a792d671c4p-1, 0x1.8aed59f8e40abp-1, 0x1.88c8af93d5ebbp-1, 0x1.869c9accd5dbdp-1, 0x1.84693d282abfep-1, 0x1.822eb8da05108p-1, 0x1.7fed30c0aa5fep-1, 0x1.7da4c85e95708p-1, 0x1.7b55a3d48a6bap-1, 0x1.78ffe7db9ec76p-1, 0x1.76a3b9bf38d19p-1, 0x1.74413f5705555p-1, 0x1.71d89f00e35bap-1, 0x1.6f69ff9ac919fp-1, 0x1.6cf5887ca210fp-1, 0x1.6a7b6172237cep-1, 0x1.67fbb2b49e23ap-1, 0x1.6576a4e4c7c6ap-1, 0x1.62ec61048067dp-1, 0x1.605d10709441dp-1, 0x1.5dc8dcda7840bp-1, 0x1.5b2ff04205618p-1, 0x1.589274ef316e5p-1, 0x1.55f0956bc62fcp-1, 0x1.534a7c7d189eep-1, 0x1.50a0551dc169p-1, 0x1.4df24a77561bcp-1, 0x1.4b4087dc25d6ap-1, 0x1.488b38c0f7f6bp-1, 0x1.45d288b6d355ep-1, 0x1.4316a364c6a3ep-1, 0x1.4057b481bbbddp-1, 0x1.3d95e7ce50f58p-1, 0x1.3ad1690ebd904p-1, 0x1.380a6404bf115p-1, 0x1.35410469937d5p-1, 0x1.327575e80140cp-1, 0x1.2fa7e4166b2e1p-1, 0x1.2cd87a70f72d1p-1, 0x1.2a076453c21cp-1, 0x1.2734ccf528cdp-1, 0x1.2460df6021493p-1, 0x1.218bc66eaaf2ap-1, 0x1.1eb5acc4518fdp-1, 0x1.1bdebcc8c8bf4p-1, 0x1.190720a29d698p-1, 0x1.162f0232015d4p-1, 0x1.13568b0baf1cep-1, 0x1.107de473e8efdp-1, 0x1.0da5375993712p-1, 0x1.0accac516c0b9p-1, 0x1.07f46b915e772p-1, 0x1.051c9cebf4d25p-1, 0x1.024567cbeab24p-1, 0x1.fedde65fb841p-2, 0x1.f932cb4c2f8fbp-2, 0x1.f389ca911e82dp-2, 0x1.ede32f71d6746p-2, 0x1.e83f44397f66dp-2, 0x1.e29e5233c7c56p-2, 0x1.dd00a1a5d76edp-2, 0x1.d76679c78a704p-2, 0x1.d1d020bcf4518p-2, 0x1.cc3ddb90278c6p-2, 0x1.c6afee2b46e7dp-2, 0x1.c1269b52e045p-2, 0x1.bba224a08c794p-2, 0x1.b622ca7ddd711p-2, 0x1.b0a8cc1f8e4b5p-2, 0x1.ab346781029f6p-2, 0x1.a5c5d9600a5e2p-2, 0x1.a05d5d38f078ap-2, 0x1.9afb2d42d0548p-2, 0x1.959f826c33d28p-2, 0x1.904a9457f9051p-2, 0x1.8afc995a7eb59p-2, 0x1.85b5c67716673p-2, 0x1.80764f5dbe099p-2, 0x1.7b3e66691c14fp-2, 0x1.760e3c9cc2e5bp-2, 0x1.70e601a3b59f8p-2, 0x1.6bc5e3cf2e286p-2, 0x1.66ae1015a911p-2, 0x1.619eb2122d4dcp-2, 0x1.5c97f403d6584p-2, 0x1.5799fecd9c54ep-2, 0x1.52a4f9f65807ap-2, 0x1.4db90ba9037b3p-2, 0x1.48d658b536e86p-2, 0x1.43fd048fdc975p-2, 0x1.3f2d315420209p-2, 0x1.3a66ffc48fd14p-2, 0x1.35aa8f4c79df9p-2, 0x1.30f7fe01775cap-2, 0x1.2c4f68a52f719p-2, 0x1.27b0eaa747795p-2, 0x1.231c9e27861e7p-2, 0x1.1e929bf823554p-2, 0x1.1a12fba044c19p-2, 0x1.159dd35ea8bbp-2, 0x1.1133382c75d1fp-2, 0x1.0cd33dc037316p-2, 0x1.087df69100247p-2, 0x1.043373d9b179ep-2, 0x1.ffe78b38c974ap-3, 0x1.f77df54bf7bdcp-3, 0x1.ef2a41239d006p-3, 0x1.e6ec879af1c47p-3, 0x1.dec4df398ba88p-3, 0x1.d6b35c3b75bddp-3, 0x1.ceb810996f985p-3, 0x1.c6d30c116c94ep-3, 0x1.bf045c2f3c767p-3, 0x1.b74c0c5560e03p-3, 0x1.afaa25c6124edp-3, 0x1.a81eafac667ebp-3, 0x1.a0a9af259d866p-3, 0x1.994b274a96859p-3, 0x1.920319395c148p-3, 0x1.8ad1841ed05dbp-3, 0x1.83b66540739abp-3, 0x1.7cb1b80644f4bp-3, 0x1.75c37604b096bp-3, 0x1.6eeb970699043p-3, 0x1.682a11176bdf4p-3, 0x1.617ed88d44c17p-3, 0x1.5ae9e0131d467p-3, 0x1.546b18b304205p-3, 0x1.4e0271e05c15ep-3, 0x1.47afd982220b3p-3, 0x1.41733bfd2f84cp-3, 0x1.3b4c843e87b93p-3, 0x1.353b9bc597712p-3, 0x1.2f406aae7b0f3p-3, 0x1.295ad7bc3caddp-3, 0x1.238ac86307ae7p-3, 0x1.1dd020d259a54p-3, 0x1.182ac3ff228ebp-3, 0x1.129a93adddfb7p-3, 0x1.0d1f707c9d486p-3, 0x1.07b939ecfe7c5p-3, 0x1.0267ce6e17b6dp-3, 0x1.fa5616cca04bep-4, 0x1.f0059a7a3ef37p-4, 0x1.e5dddec9820f2p-4, 0x1.dbde98c7958e8p-4, 0x1.d2077bbd59215p-4, 0x1.c858394239c09p-4, 0x1.bed0814ecda55p-4, 0x1.b570024f39b68p-4, 0x1.ac3669356afb6p-4, 0x1.a323618b0d347p-4, 0x1.9a36958345a46p-4, 0x1.916fae0c3a79fp-4, 0x1.88ce52e0559e4p-4, 0x1.80522a974801p-4, 0x1.77fadab6ce16cp-4, 0x1.6fc807c331d79p-4, 0x1.67b9554f87f49p-4, 0x1.5fce660daae85p-4, 0x1.5806dbddee3ffp-4, 0x1.506257de8d489p-4, 0x1.48e07a7ad0e7fp-4, 0x1.4180e379f0247p-4, 0x1.3a43320da4db1p-4, 0x1.332704e079359p-4, 0x1.2c2bfa23cb6aap-4, 0x1.2551af9d868c5p-4, 0x1.1e97c2b591ce4p-4, 0x1.17fdd082f3718p-4, 0x1.118375d8aaaebp-4, 0x1.0b284f523cbf8p-4, 0x1.04ebf95ff832p-4, 0x1.fd9c20a5d65cap-5, 0x1.f19c60d1200c3p-5, 0x1.e5d7ebac5c3cdp-5, 0x1.da4df9a7df774p-5, 0x1.cefdc34f5902fp-5, 0x1.c3e6815ed5e2ep-5, 0x1.b9076cd72ce16p-5, 0x1.ae5fbf11d6d54p-5, 0x1.a3eeb1d435f21p-5, 0x1.99b37f6249abap-5, 0x1.8fad6290d149ep-5, 0x1.85db96d6dffdap-5, 0x1.7c3d585ee1c26p-5, 0x1.72d1e417110bfp-5, 0x1.699877c163975p-5, 0x1.60905202e96f2p-5, 0x1.57b8b272a36d8p-5, 0x1.4f10d9a7d2fb3p-5, 0x1.46980947c1a5cp-5, 0x1.3e4d841305785p-5, 0x1.36308df241639p-5, 0x1.2e406c0264854p-5, 0x1.267c64a06b1ffp-5, 0x1.1ee3bf749dbep-5, 0x1.1775c57d5a76bp-5, 0x1.1031c1195ed52p-5, 0x1.0916fe119be1p-5, 0x1.0224c9a294a37p-5, 0x1.f6b4e50a8b7ecp-6, 0x1.e96e91ef3bb69p-6, 0x1.dc753d8905fabp-6, 0x1.cfc78e96d7c6ep-6, 0x1.c3642f0f17298p-6, 0x1.b749cc2d299c4p-6, 0x1.ab77167e221ffp-6, 0x1.9feac1ecb0a63p-6, 0x1.94a385cc3cf6bp-6, 0x1.89a01ce345b2cp-6, 0x1.7edf4574fd20bp-6, 0x1.745fc14a2d99bp-6, 0x1.6a2055b96160dp-6, 0x1.601fcbae5ec77p-6, 0x1.565cefb0f0e04p-6, 0x1.4cd691eb08b87p-6, 0x1.438b862e37caep-6, 0x1.3a7aa3f887315p-6, 0x1.31a2c678b1ea2p-6, 0x1.2902cc91c93aep-6, 0x1.209998de3b73p-6, 0x1.186611b25392bp-6, 0x1.1067211e225aep-6, 0x1.089bb4eee47a7p-6, 0x1.0102beafdf83ap-6, 0x1.f336675581d6fp-7, 0x1.e4c819cef9ed8p-7, 0x1.d6b88e57693dap-7, 0x1.c905c5f35184ap-7, 0x1.bbadc91d6cd42p-7, 0x1.aeaea7c2d2ffdp-7, 0x1.a206793e49202p-7, 0x1.95b35c52b6effp-7, 0x1.89b37724f076ep-7, 0x1.7e04f734a156dp-7, 0x1.72a6115499101p-7, 0x1.679501a259475p-7, 0x1.5cd00b7cff619p-7, 0x1.5255797b826cbp-7, 0x1.48239d6262e3cp-7, 0x1.3e38d018b28bfp-7, 0x1.3493719c9b1fcp-7, 0x1.2b31e8f75133bp-7, 0x1.2212a43089494p-7, 0x1.193418416b8b8p-7, 0x1.1094c107134bdp-7, 0x1.083321349942ap-7, 0x1.000dc244b48a9p-7, 0x1.f04668d5e53c8p-8, 0x1.e0e41d0920f57p-8, 0x1.d1f1dc11ec0ccp-8, 0x1.c36cedf3b8a5cp-8, 0x1.b552a7a6423bbp-8, 0x1.a7a06af49f74dp-8, 0x1.9a53a65bc0777p-8, 0x1.8d69d4e86a5b9p-8, 0x1.80e07e14b5ec2p-8, 0x1.74b535a51b8f8p-8, 0x1.68e59b8511faap-8, 0x1.5d6f5ba34f705p-8, 0x1.52502dcdadd61p-8, 0x1.4785d58cbe903p-8, 0x1.3d0e21ff17272p-8, 0x1.32e6edb45867p-8, 0x1.290e1e87fe9bbp-8, 0x1.1f81a57bfce24p-8, 0x1.163f7e932e412p-8, 0x1.0d45b0aba0799p-8, 0x1.04924d58c101cp-8, 0x1.f846e17ae4261p-9, 0x1.e7ee82cc1e385p-9, 0x1.d817e044c5b18p-9, 0x1.c8bf6fbf3650cp-9, 0x1.b9e1bb047399bp-9, 0x1.ab7b5f8018f48p-9, 0x1.9d890df45b40dp-9, 0x1.90078a2e2de0dp-9, 0x1.82f3aab98e0b1p-9, 0x1.764a5895ff179p-9, 0x1.6a088eeb46f8dp-9, 0x1.5e2b5abe6b73p-9, 0x1.52afdaa6fac1fp-9, 0x1.47933e84adc1ep-9, 0x1.3cd2c7356159fp-9, 0x1.326bc64b741adp-9, 0x1.285b9dc493e4dp-9, 0x1.1e9fbfc0f5634p-9, 0x1.1535ae3b0881bp-9, 0x1.0c1afabfa82ap-9, 0x1.034d4626cffe4p-9, 0x1.f5948099b5bd1p-10, 0x1.e51f4f989c563p-10, 0x1.d5369370734b3p-10, 0x1.c5d602ae67a3bp-10, 0x1.b6f96fbdd5ea9p-10, 0x1.a89cc860bbb14p-10, 0x1.9abc152971d61p-10, 0x1.8d5378f5ae6e4p-10, 0x1.805f306af0197p-10, 0x1.73db91743338ap-10, 0x1.67c50ac12172ep-10, 0x1.5c1823469e413p-10, 0x1.50d179c0c946dp-10, 0x1.45edc4366e94bp-10, 0x1.3b69cf7dffdd1p-10, 0x1.31427ec3f7111p-10, 0x1.2774cb12c8b04p-10, 0x1.1dfdc2dc52a5cp-10, 0x1.14da8984d9b76p-10, 0x1.0c0856ef8381fp-10, 0x1.0384770c7025p-10, 0x1.f69892d09915ep-11, 0x1.e6ba817b08fa8p-11, 0x1.d769c50dfb8a8p-11, 0x1.c8a18d28cf008p-11, 0x1.ba5d2d403704ap-11, 0x1.ac981bcd26f11p-11, 0x1.9f4df17ee1c87p-11, 0x1.927a687031e4ap-11, 0x1.86195b5fc61d7p-11, 0x1.7a26c4ebb3ba8p-11, 0x1.6e9ebed01d69cp-11, 0x1.637d8128fa0cep-11, 0x1.58bf61b6fcf12p-11, 0x1.4e60d32799238p-11, 0x1.445e64601f341p-11, 0x1.3ab4bfcbf0747p-11, 0x1.3160aaadc5716p-11, 0x1.285f047401cb9p-11, 0x1.1facc61011d69p-11, 0x1.17470150ce28fp-11, 0x1.0f2ae03fdcc93p-11, 0x1.0755a4820f10ap-11, 0x1.ff894d7568c6p-12, 0x1.f0eaabe3b2cacp-12, 0x1.e2ca6dfae84fdp-12, 0x1.d523c7daddb2bp-12, 0x1.c7f216f52447cp-12, 0x1.bb30e0f086fdp-12, 0x1.aedbd2922161cp-12, 0x1.a2eebeac0b394p-12, 0x1.97659d1180b98p-12, 0x1.8c3c89907d8dfp-12, 0x1.816fc2f0bada5p-12, 0x1.76fba9f7fe3bp-12, 0x1.6cdcc073b1334p-12, 0x1.630fa847a8b82p-12, 0x1.5991228210af1p-12, 0x1.505e0e746d6ap-12, 0x1.477368d19fc3bp-12, 0x1.3ece4ad0db323p-12, 0x1.366be9557e0c4p-12, 0x1.2e49941bbe7f1p-12, 0x1.2664b4ea12888p-12, 0x1.1ebacec74ca81p-12, 0x1.17497d3555db1p-12, 0x1.100e7370726cbp-12, 0x1.09077bb307b2ep-12, 0x1.0232767dc8974p-12, 0x1.f71ab3c87fd78p-13, 0x1.ea2c61bb43249p-13, 0x1.dd963533a2b4cp-13, 0x1.d15493b52c402p-13, 0x1.c56408a1b5fdep-13, 0x1.b9c143fbf431ep-13, 0x1.ae691931eda2dp-13, 0x1.a3587def395b9p-13, 0x1.988c88f6d7c83p-13, 0x1.8e027104935cep-13, 0x1.83b78bb5b823bp-13, 0x1.79a94c790d7a5p-13, 0x1.6fd54385e6c26p-13, 0x1.66391cda32b42p-13, 0x1.5cd29f3f60c9dp-13, 0x1.539fab5600d87p-13, 0x1.4a9e3aa7f7018p-13, 0x1.41cc5ec1302bep-13, 0x1.3928404ea2c73p-13, 0x1.30b01e439023p-13, 0x1.28624d04ddd29p-13, 0x1.203d359a64e1bp-13, 0x1.183f54e61bd6ap-13, 0x1.10673ae104148p-13, 0x1.08b389ddacafp-13, 0x1.0122f5d038ac5p-13, 0x1.f3688737925aep-14, 0x1.e4cc90ca5d56ap-14, 0x1.d66fd1d571804p-14, 0x1.c85031c241c4dp-14, 0x1.ba6bb4aaacd8ep-14, 0x1.acc07a2654461p-14, 0x1.9f4cbc215077bp-14, 0x1.920ecdbc31eb8p-14, 0x1.85051a34f5d1ap-14, 0x1.782e23d8d680dp-14, 0x1.6b8882feb37aap-14, 0x1.5f12e509e19cap-14, 0x1.52cc0b7533954p-14, 0x1.46b2cae6037c2p-14, 0x1.3ac60a471222dp-14, 0x1.2f04c1eb0729p-14, 0x1.236dfab6649bcp-14, 0x1.1800cd50bf49fp-14, 0x1.0cbc615d0bb48p-14, 0x1.019fecb8d5cf5p-14, 0x1.ed5565846359ap-15, 0x1.d7b807487fee7p-15, 0x1.c26677542848fp-15, 0x1.ad5f852fae8dep-15, 0x1.98a21613f5fbap-15, 0x1.842d23b4aa7cdp-15, 0x1.6fffbb15f5fb6p-15, 0x1.5c18fb6d67cb5p-15, 0x1.4878150dbffd7p-15, 0x1.351c485d5124bp-15, 0x1.2204e4d6b022bp-15, 0x1.0f314813659a3p-15, 0x1.f941b9c0be2ffp-16, 0x1.d4a634b7a2d15p-16, 0x1.b08f0638a095ep-16, 0x1.8cfb48c19ef42p-16, 0x1.69ea2a92a1122p-16, 0x1.475aec2ff8b07p-16, 0x1.254cdef4c5efcp-16, 0x1.03bf63b558946p-16, 0x1.c563d2e1daeffp-17, 0x1.8447d8249fa92p-17, 0x1.4429e67de9d3ep-17, 0x1.05092268277e4p-17, 0x1.8dc986c5425aep-18, 0x1.137823c233e37p-18, 0x1.363995538436cp-19, 0x1.25b224e89fc66p-21, -0x1.3ef23a443b65ep-20, -0x1.84797775fc958p-19, -0x1.32cb3f9a5b2p-18, -0x1.a16909cf165ep-18, -0x1.070b7fde657e7p-17, -0x1.3c6aff9fea641p-17, -0x1.70d3709dc2beep-17, -0x1.a4453e0167bbep-17, -0x1.d6c0d2ce5d90ap-17, -0x1.04234d7976e81p-16, -0x1.1c6b82240ce93p-16, -0x1.34393fc09caa8p-16, -0x1.4b8cc08602b91p-16, -0x1.626640f0c6a68p-16, -0x1.78c6002451912p-16, -0x1.8eac40452f684p-16, -0x1.a41946cc9603dp-16, -0x1.b90d5cd57b8dep-16, -0x1.cd88cf6375e44p-16, -0x1.e18befa3abb9bp-16, -0x1.f517132807bccp-16, -0x1.04154a0e7cb75p-15, -0x1.0d6368bcf5a59p-15, -0x1.167617965be0ap-15, -0x1.1f4d8b20224f9p-15, -0x1.27e9fa7f450e2p-15, -0x1.304b9f87129c7p-15, -0x1.3872b6c5debfdp-15, -0x1.405f7f8fad22p-15, -0x1.48123c06f3c02p-15, -0x1.4f8b31238502ap-15, -0x1.56caa6b7bdf5dp-15, -0x1.5dd0e77409ed7p-15, -0x1.649e40e8cf645p-15, -0x1.6b330386e0655p-15, -0x1.718f829e7c8abp-15, -0x1.77b4145cf7abcp-15, -0x1.7da111c91b34p-15, -0x1.8356d6be4fd3ap-15, -0x1.88d5c1e6a5e0ap-15, -0x1.8e1e34b3c50ddp-15, -0x1.93309356dbf79p-15, -0x1.980d44b799f9p-15, -0x1.9cb4b26a426c3p-15, -0x1.a12748a4ec104p-15, -0x1.a5657633f3126p-15, -0x1.a96fac6db3b48p-15, -0x1.ad465f25940c4p-15, -0x1.b0ea049e6ba17p-15, -0x1.b45b157c56f85p-15, -0x1.b79a0cb5fdep-15, -0x1.baa767855f419p-15, -0x1.bd83a5582213dp-15, -0x1.c02f47bf8339fp-15, -0x1.c2aad25fde818p-15, -0x1.c4f6cadfe2991p-15, -0x1.c713b8d779012p-15, -0x1.c90225be692d1p-15, -0x1.cac29cdabd4fp-15, -0x1.cc55ab2ef738fp-15, -0x1.cdbbdf6816c3ep-15, -0x1.cef5c9cb7bd2ep-15, -0x1.d003fc24abe01p-15, -0x1.d0e709b3001e5p-15, -0x1.d19f87174478dp-15, -0x1.d22e0a414b684p-15, -0x1.d2932a5d7ff98p-15, -0x1.d2cf7fc27664bp-15, -0x1.d2e3a3de8772ap-15, -0x1.d2d03125754p-15, -0x1.d295c2fe23d25p-15, -0x1.d234f5b064c46p-15, -0x1.d1ae6652df0d9p-15, -0x1.d102b2b914b03p-15, -0x1.d03279618afe3p-15, -0x1.cf3e59641856ep-15, -0x1.ce26f2605b525p-15, -0x1.ccece46c60c47p-15, -0x1.cb90d003766c1p-15, -0x1.ca1355f534c22p-15, -0x1.c8751754ba816p-15, -0x1.c6b6b568222f5p-15, -0x1.c4d8d1983488ap-15, -0x1.c2dc0d60526a2p-15, -0x1.c0c10a3ea3e5dp-15, -0x1.be8869a4843c1p-15, -0x1.bc32cce731909p-15, -0x1.b9c0d530c0b7p-15, -0x1.b733237157facp-15, -0x1.b48a5850b0df7p-15, -0x1.b1c7141fdf0f6p-15, -0x1.aee9f6cb668cdp-15, -0x1.abf39fcd97c8bp-15, -0x1.a8e4ae2138778p-15, -0x1.a5bdc03479231p-15, -0x1.a27f73dc3833dp-15, -0x1.9f2a66478ed4bp-15, -0x1.9bbf33f3b1122p-15, -0x1.983e78a017d41p-15, -0x1.94a8cf42fa785p-15, -0x1.90fed1fe1920dp-15, -0x1.8d411a13d3076p-15, -0x1.89703fdc8d85fp-15, -0x1.858cdabc694d2p-15, -0x1.819781194626p-15, -0x1.7d90c85115f78p-15, -0x1.797944b07e567p-15, -0x1.75518969c5625p-15, -0x1.711a288c1124p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e18ff34124e39p-7, 0x1.1f484452157ccp-6, 0x1.50d62786051d9p-6, 0x1.852b59f33bdbdp-6, 0x1.bc0286110501ep-6, 0x1.f517cd830bccp-6, 0x1.181498c47afd4p-5, 0x1.367b721523d96p-5, 0x1.55a1c2b425ed9p-5, 0x1.756a27ade55dcp-5, 0x1.95b899e7ae64fp-5, 0x1.b67276cf28405p-5, 0x1.d77e83f038b7ep-5, 0x1.f8c4ee5896ac7p-5, 0x1.0d17a34ab18b9p-4, 0x1.1dd43cfed694ap-4, 0x1.2e8e64f269ad1p-4, 0x1.3f3ce09c9e546p-4, 0x1.4fd7147f9e09ep-4, 0x1.6054fe0296a0ep-4, 0x1.70af2d0e94ce7p-4, 0x1.80debd8d04c61p-4, 0x1.90dd50e068585p-4, 0x1.a0a5076a719bap-4, 0x1.b0307a2e3bf43p-4, 0x1.bf7ab499a5657p-4, 0x1.ce7f2e7dbd868p-4, 0x1.dd39c63bfa359p-4, 0x1.eba6bb2bb477bp-4, 0x1.f9c2a83a25938p-4, 0x1.03c53f62effbcp-3, 0x1.0a7dc0dae81e4p-3, 0x1.1109a065985e6p-3, 0x1.1767ca16b22b4p-3, 0x1.1d974c1719c9fp-3, 0x1.239754a27030ep-3, 0x1.2967301f020c8p-3, 0x1.2f06474f39dcap-3, 0x1.34741d9b7f372p-3, 0x1.39b04f7380935p-3, 0x1.3eba90c5e96a8p-3, 0x1.4392ab8d707a4p-3, 0x1.48387e7246fd7p-3, 0x1.4cabfb7ee721ap-3, 0x1.50ed26e74547p-3, 0x1.54fc15e181196p-3, 0x1.58d8ed8f168cp-3, 0x1.5c83e1f5c0e34p-3, 0x1.5ffd35071d06fp-3, 0x1.634535b64d1dep-3, 0x1.665c3f1abb647p-3, 0x1.6942b79f4709cp-3, 0x1.6bf9103d13689p-3, 0x1.6e7fc3c14c533p-3, 0x1.70d7561d2b205p-3, 0x1.730053bfa0c85p-3, 0x1.74fb50f804fb5p-3, 0x1.76c8e9613205bp-3, 0x1.7869bf548a70ep-3, 0x1.79de7b6462af5p-3, 0x1.7b27cbdd5027cp-3, 0x1.7c46644dea671p-3, 0x1.7d3afd14994f3p-3, 0x1.7e0652f307982p-3, 0x1.7ea926a6d71e6p-3, 0x1.7f243c874b588p-3, 0x1.7f785c27911eap-3, 0x1.7fa64ffd638b5p-3, 0x1.7faee50bbdec6p-3, 0x1.7f92ea916980bp-3, 0x1.7f5331bb26cccp-3, 0x1.7ef08d5943069p-3, 0x1.7e6bd19863f12p-3, 0x1.7dc5d3bd68bap-3, 0x1.7cff69e435a0cp-3, 0x1.7c196ac13caafp-3, 0x1.7b14ad65b8d67p-3, 0x1.79f2090668c54p-3, 0x1.78b254c4bf36bp-3, 0x1.7756677a653cbp-3, 0x1.75df178705621p-3, 0x1.744d3aa03f355p-3, 0x1.72a1a5a3b6e8bp-3, 0x1.70dd2c6b383a3p-3, 0x1.6f00a1a2d1606p-3, 0x1.6d0cd6a0db6c9p-3, 0x1.6b029b3feadc4p-3, 0x1.68e2bdba95e0ap-3, 0x1.66ae0a890086ep-3, 0x1.64654c4034086p-3, 0x1.62094b73243c2p-3, 0x1.5f9ace95640a2p-3, 0x1.5d1a99df847b2p-3, 0x1.5a896f3504018p-3, 0x1.57e80e0bd7a76p-3, 0x1.5537335579e85p-3, 0x1.5277996979edfp-3, 0x1.4fa9f7f183462p-3, 0x1.4ccf03d6d464ap-3, 0x1.49e76f3119638p-3, 0x1.46f3e936a69a8p-3, 0x1.43f51e2e08812p-3, 0x1.40ebb760df2cep-3, 0x1.3dd85b0ff83b7p-3, 0x1.3abbac68ad4f4p-3, 0x1.37964b7b6afaep-3, 0x1.3468d533639dap-3, 0x1.3133e34f61e31p-3, 0x1.2df80c5bb2f8dp-3, 0x1.2ab5e3ad1c2cp-3, 0x1.276df95cd867bp-3, 0x1.2420da45895b2p-3, 0x1.20cf100126d47p-3, 0x1.1d7920e7cd87p-3, 0x1.1a1f900f7528ap-3, 0x1.16c2dd4c7705ep-3, 0x1.13638532ec17cp-3, 0x1.10020118c9185p-3, 0x1.0c9ec718bebe1p-3, 0x1.093a4a15c65f3p-3, 0x1.05d4f9bf666adp-3, 0x1.026f42968e2dcp-3, 0x1.fe131be62de92p-4, 0x1.f7488413a5984p-4, 0x1.f07f83e658c8dp-4, 0x1.e9b8db6485f41p-4, 0x1.e2f5447917e5dp-4, 0x1.dc357303bf96p-4, 0x1.d57a14e9fd42dp-4, 0x1.cec3d228dcfbfp-4, 0x1.c8134ce78b8fep-4, 0x1.c169218a8f14ap-4, 0x1.bac5e6c7a30c4p-4, 0x1.b42a2dba2bd3bp-4, 0x1.ad9681f844e24p-4, 0x1.a70b69a8318c1p-4, 0x1.a08965965c45p-4, 0x1.9a10f14baf9aap-4, 0x1.93a283244fc3fp-4, 0x1.8d3e8c66a793dp-4, 0x1.86e5795abf4e5p-4, 0x1.8097b161d1f23p-4, 0x1.7a55970e17fd1p-4, 0x1.741f883ac0ce4p-4, 0x1.6df5de240edecp-4, 0x1.67d8ed7f923b3p-4, 0x1.61c906947549fp-4, 0x1.5bc67553d90bfp-4, 0x1.55d1817134b59p-4, 0x1.4fea6e7ab7639p-4, 0x1.4a117bf19ee83p-4, 0x1.4446e5628436ep-4, 0x1.3e8ae27d92b3ep-4, 0x1.38dda72ea6b56p-4, 0x1.333f63b54ed11p-4, 0x1.2db044bca8ec3p-4, 0x1.2830737317e39p-4, 0x1.22c015a1ce196p-4, 0x1.1d5f4dc425e07p-4, 0x1.180e3b1ec73c6p-4, 0x1.12ccf9d69583ep-4, 0x1.0d9ba30761e67p-4, 0x1.087a4cda5ef78p-4, 0x1.03690a9c548a7p-4, 0x1.fccfd9a71d8aep-5, 0x1.f2ee02ab0c43fp-5, 0x1.e92ca6b881695p-5, 0x1.df8bd736ce36fp-5, 0x1.d60ba0aa1a7f4p-5, 0x1.ccac0adc5aaaap-5, 0x1.c36d1905a437bp-5, 0x1.ba4ec9f3e0631p-5, 0x1.b1511831da25p-5, 0x1.a873fa2da45adp-5, 0x1.9fb7625e56596p-5, 0x1.971b3f691f9d9p-5, 0x1.8e9f7c45ae60dp-5, 0x1.86440061e7aa1p-5, 0x1.7e08afc4f3abfp-5, 0x1.75ed6b319aea7p-5, 0x1.6df21047f4292p-5, 0x1.661679a6615f8p-5, 0x1.5e5a7f09e2079p-5, 0x1.56bdf56db0942p-5, 0x1.4f40af2a37044p-5, 0x1.47e27c134fabep-5, 0x1.40a32995dd742p-5, 0x1.398282d4b37b5p-5, 0x1.328050c4d4e0ep-5, 0x1.2b9c5a49044abp-5, 0x1.24d6644cb137cp-5, 0x1.1e2e31de361aep-5, 0x1.17a3844873e7fp-5, 0x1.11361b2bc7e95p-5, 0x1.0ae5b4965c91cp-5, 0x1.04b20d1bd982fp-5, 0x1.fd35bfd8e42abp-6, 0x1.f13fcdd6af5p-6, 0x1.e581b5891bec1p-6, 0x1.d9fae60447d04p-6, 0x1.ceaacc41af23ep-6, 0x1.c390d3483e0a8p-6, 0x1.b8ac645341c86p-6, 0x1.adfce6f832595p-6, 0x1.a381c14b5ad12p-6, 0x1.993a580368424p-6, 0x1.8f260e9be3636p-6, 0x1.85444776938c9p-6, 0x1.7b9463fbd598fp-6, 0x1.7215c4b9edb79p-6, 0x1.68c7c9834e895p-6, 0x1.5fa9d18be39efp-6, 0x1.56bb3b8561749p-6, 0x1.4dfb65ba9f22p-6, 0x1.4569ae29fb296p-6, 0x1.3d05729ed53dap-6, 0x1.34ce10ca24be8p-6, 0x1.2cc2e65a215b9p-6, 0x1.24e3511116805p-6, 0x1.1d2eaedb55914p-6, 0x1.15a45de459478p-6, 0x1.0e43bcab104f9p-6, 0x1.070c2a1562dfep-6, 0x1.fffa0b05d7132p-7, 0x1.f22b5dbddd0adp-7, 0x1.e4ab0d6326048p-7, 0x1.d777dc60c1212p-7, 0x1.ca908e9c0c9a2p-7, 0x1.bdf3e992e43e4p-7, 0x1.b1a0b47878883p-7, 0x1.a595b850c30cfp-7, 0x1.99d1c00acaeb6p-7, 0x1.8e5398998c353p-7, 0x1.831a110bc03c3p-7, 0x1.7823faa260c5ep-7, 0x1.6d7028e60ef45p-7, 0x1.62fd71bb4e6a2p-7, 0x1.58caad75b39ecp-7, 0x1.4ed6b6e9f751dp-7, 0x1.45206b7f00475p-7, 0x1.3ba6ab3df13c8p-7, 0x1.326858e1330ffp-7, 0x1.296459e290807p-7, 0x1.2099968862cefp-7, 0x1.1806f9f1d88dep-7, 0x1.0fab72225cf24p-7, 0x1.0785f00c26f91p-7, 0x1.ff2acf33ed223p-8, 0x1.efb19f700b1eep-8, 0x1.e09e44b869bfap-8, 0x1.d1eeb91af3332p-8, 0x1.c3a0fcd523258p-8, 0x1.b5b316600bd64p-8, 0x1.a823127afefe9p-8, 0x1.9aef0434e9bb6p-8, 0x1.8e1504f46de5dp-8, 0x1.8193347ec1db3p-8, 0x1.7567b8fd6437ap-8, 0x1.6990bf02ad5d7p-8, 0x1.5e0c798d4662cp-8, 0x1.52d9220a9497ep-8, 0x1.47f4f8581f48dp-8, 0x1.3d5e42c3fafb4p-8, 0x1.33134e0c43bafp-8, 0x1.29126d5daf771p-8, 0x1.1f59fa514171dp-8, 0x1.15e854e92733fp-8, 0x1.0cbbe38cc926dp-8, 0x1.03d3130415059p-8, 0x1.f658ace4152f7p-9, 0x1.e58c4e9d2bee3p-9, 0x1.d53e0abf76a46p-9, 0x1.c56aed6435d81p-9, 0x1.b6100f21b7f9dp-9, 0x1.a72a94f9f625dp-9, 0x1.98b7b0481a3bep-9, 0x1.8ab49eaceb7e8p-9, 0x1.7d1ea9fa3b9ccp-9, 0x1.6ff3281d58a94p-9, 0x1.632f7b0894514p-9, 0x1.56d1109becb6p-9, 0x1.4ad5628ce10a7p-9, 0x1.3f39f64d80991p-9, 0x1.33fc5cf2b8b1ep-9, 0x1.291a3319f6e5p-9, 0x1.1e9120ce213b5p-9, 0x1.145ed96bf15dfp-9, 0x1.0a811b85be80ap-9, 0x1.00f5b0c6be804p-9, 0x1.ef74dbab8d4cfp-10, 0x1.dd9a646f2c6b9p-10, 0x1.cc57d061689ep-10, 0x1.bba9094dd1042p-10, 0x1.ab8a0e04abd7ap-10, 0x1.9bf6f21c83c4ep-10, 0x1.8cebddb320a59p-10, 0x1.7e650d2de95bdp-10, 0x1.705ed0f9dcf9p-10, 0x1.62d58d4b07085p-10, 0x1.55c5b9dba509bp-10, 0x1.492be1aaef9a1p-10, 0x1.3d04a2bba24dap-10, 0x1.314cadd2423d6p-10, 0x1.2600c6333d2c1p-10, 0x1.1b1dc160dcc29p-10, 0x1.10a086d92d69ap-10, 0x1.06860fd3c8fd8p-10, 0x1.f996cdff58a27p-11, 0x1.e6db508205581p-11, 0x1.d4d400de2007bp-11, 0x1.c37b5a2452ce9p-11, 0x1.b2cbf843a5921p-11, 0x1.a2c0978609136p-11, 0x1.9354140d46716p-11, 0x1.848169505e947p-11, 0x1.7643b1996adb7p-11, 0x1.689625840d729p-11, 0x1.5b741b7c7a904p-11, 0x1.4ed9073f2d47dp-11, 0x1.42c079594dcdcp-11, 0x1.37261ea9db30cp-11, 0x1.2c05bfe39deeap-11, 0x1.215b410ff209p-11, 0x1.1722a1126ee6fp-11, 0x1.0d57f92d7ba7ap-11, 0x1.03f77c87d25e7p-11, 0x1.f5faef660061fp-12, 0x1.e4cca065d05e2p-12, 0x1.d45d080c9e6a4p-12, 0x1.c4a55260f6d9cp-12, 0x1.b59eda87d4b5p-12, 0x1.a74329dc4b954p-12, 0x1.998bf7097cc62p-12, 0x1.8c732526ddf9dp-12, 0x1.7ff2c2d6df132p-12, 0x1.74050967f8077p-12, 0x1.68a45bf82526p-12, 0x1.5dcb469ae0a2p-12, 0x1.53747d81971e6p-12, 0x1.499adc26a5a5p-12, 0x1.4039647ae589dp-12, 0x1.374b3e15c807cp-12, 0x1.2ecbb5680d4c6p-12, 0x1.26b63af112e4dp-12, 0x1.1f066276c7821p-12, 0x1.17b7e2403d53bp-12, 0x1.10c69252e3869p-12, 0x1.0a2e6bb26af63p-12, 0x1.03eb87a3518efp-12, 0x1.fbf43de03393p-13, 0x1.f0ad1262657f5p-13, 0x1.e5fa782f0c17dp-13, 0x1.dbd5957375877p-13, 0x1.d237c9c840132p-13, 0x1.c91aacd68cd72p-13, 0x1.c0780d028634dp-13, 0x1.b849ee1b3ad7ap-13, 0x1.b08a880fd0056p-13, 0x1.a93445a9f2007p-13, 0x1.a241c34d99e8cp-13, 0x1.9badcdbe11ae5p-13, 0x1.957360e82fc92p-13, 0x1.8f8da6b1d01c9p-13, 0x1.89f7f5ce7c847p-13, 0x1.84add09935bafp-13, 0x1.7faae3f364b37p-13, 0x1.7aeb0628e2665p-13, 0x1.766a35d90a57cp-13, 0x1.722498e4db745p-13, 0x1.6e167b620d247p-13, 0x1.6a3c4e931c30ap-13, 0x1.6692a7e442da7p-13, 0x1.63163fed468dp-13, 0x1.5fc3f17822581p-13, 0x1.5c98b88c74fecp-13, 0x1.5991b17fac4b8p-13, 0x1.56ac1809df3f4p-13, 0x1.53e5465f554f7p-13, 0x1.513ab44e9ec67p-13, 0x1.4ea9f6633d5fcp-13, 0x1.4c30bd0ccdd02p-13, 0x1.49ccd3caa2e97p-13, 0x1.477c205bcc0d3p-13, 0x1.453ca1f36e9ap-13, 0x1.430c7071733ccp-13, 0x1.40e9bb9f6ed2p-13, 0x1.3ed2ca71ba3cdp-13, 0x1.3cc5fa4cb84adp-13, 0x1.3ac1be4e2a20cp-13, 0x1.38c49e9a8cc71p-13, 0x1.36cd37ae7c3bcp-13, 0x1.34da39b3f6369p-13, 0x1.32ea67db8939bp-13, 0x1.30fc97b94e9cfp-13, 0x1.2f0fb0a5aa2b3p-13, 0x1.2d22ab21c39c3p-13, 0x1.2b34903fa3676p-13, 0x1.2944790df03a5p-13, 0x1.27518e072d8d3p-13, 0x1.255b06848b8c8p-13, 0x1.23602834124b3p-13, 0x1.2160469243445p-13, 0x1.1f5ac267016eep-13, 0x1.1d4f0945c8e4bp-13, 0x1.1b3c95111ce59p-13, 0x1.1922eb81241a3p-13, 0x1.17019dad5f46ap-13, 0x1.14d8479973372p-13, 0x1.12a68fc4f94c1p-13, 0x1.106c26be3c84dp-13, 0x1.0e28c6b7ea3f1p-13, 0x1.0bdc332192a35p-13, 0x1.0986384304731p-13, 0x1.0726aada5bb22p-13, 0x1.04bd67bccdf83p-13, 0x1.024a537a1d012p-13, 0x1.ff9ab4053920bp-14, 0x1.fa8cdc9fa22p-14, 0x1.f56b141f0b2e7p-14, 0x1.f0355aa2b2b09p-14, 0x1.eaebbc6d76e9p-14, 0x1.e58e514a72931p-14, 0x1.e01d3bf649406p-14, 0x1.da98a98cf1074p-14, 0x1.d500d0fbf5e92p-14, 0x1.cf55f27914b53p-14, 0x1.c99856fd09617p-14, 0x1.c3c84fc2a676fp-14, 0x1.bde635c9e0e6dp-14, 0x1.b7f2695eeee85p-14, 0x1.b1ed51a545a0fp-14, 0x1.abd75c2671fdap-14, 0x1.a5b0fc64a17fdp-14, 0x1.9f7aab70db2d2p-14, 0x1.9934e784cae88p-14, 0x1.92e033a0079a9p-14, 0x1.8c7d1728c422p-14, 0x1.860c1d8fd59b9p-14, 0x1.7f8dd5f7faa5ep-14, 0x1.7902d2e05089cp-14, 0x1.726ba9d1e35cp-14, 0x1.6bc8f31045765p-14, 0x1.651b494d1b2e5p-14, 0x1.5e63495e8a392p-14, 0x1.57a191f87802fp-14, 0x1.50d6c36886f23p-14, 0x1.4a037f54c17a9p-14, 0x1.4328687cde187p-14, 0x1.3c46227e110adp-14, 0x1.355d51995574fp-14, 0x1.2e6e9a7c20c0bp-14, 0x1.277aa20b6f255p-14, 0x1.20820d3118bebp-14, 0x1.198580ab6185ep-14, 0x1.1285a0deb2affp-14, 0x1.0b8311a96edc6p-14, 0x1.047e7639d3beep-14, 0x1.faf0e1cbb1614p-15, 0x1.ece34609fabfbp-15, 0x1.ded55997f4c3ap-15, 0x1.d0c85a5487f69p-15, 0x1.c2bd8352ab266p-15, 0x1.b4b60c9b69c13p-15, 0x1.a6b32af341841p-15, 0x1.98b60fa2c23adp-15, 0x1.8abfe8425205cp-15, 0x1.7cd1de88fd494p-15, 0x1.6eed181e3f8a9p-15, 0x1.6112b66ea8c46p-15, 0x1.5343d6834937bp-15, 0x1.458190dbd0458p-15, 0x1.37ccf94b43a6ep-15, 0x1.2a271ed73db97p-15, 0x1.1c910b999a5f3p-15, 0x1.0f0bc4a481836p-15, 0x1.019849e8b6687p-15, 0x1.e86f2c3c39388p-16, 0x1.cdd53d5cb87bp-16, 0x1.b364a74327d32p-16, 0x1.991f3f1a0d585p-16, 0x1.7f06cf0762ce4p-16, 0x1.651d161172929p-16, 0x1.4b63c8073d94fp-16, 0x1.31dc8d6c5122bp-16, 0x1.18890367e371ep-16, 0x1.fed5776e34348p-17, 0x1.cd067944c3f6fp-17, 0x1.9ba801eb4f22p-17, 0x1.6abceff6ddf6fp-17, 0x1.3a480af51cdap-17, 0x1.0a4c036d12a09p-17, 0x1.b596e5c9844d6p-18, 0x1.5791b7d71c32fp-18, 0x1.f51aa8a49f0e8p-19, 0x1.3d1cc9c357f4dp-19, 0x1.0e6596c72206ap-20, -0x1.64d5a53f0e0f2p-22, -0x1.bc86e52ba5697p-20, -0x1.8dbf841b98c58p-19, -0x1.1d83abea1d8b6p-18, -0x1.7309da4d458ddp-18, -0x1.c76edc6b6f966p-18, -0x1.0d57b67042084p-17, -0x1.366438a5c9a68p-17, -0x1.5edb7cf27e57bp-17, -0x1.86bc2087c89a6p-17, -0x1.ae04d5729096ep-17, -0x1.d4b4625f378cfp-17, -0x1.fac9a25b9744fp-17, -0x1.1021c24b7f5cbp-16, -0x1.2290861030ca6p-16, -0x1.34b0a7d16811cp-16, -0x1.4681bc903179ap-16, -0x1.580362d5d2d4ep-16, -0x1.6935428fd626fp-16, -0x1.7a170ceb70b5dp-16, -0x1.8aa87c3057d6p-16, -0x1.9ae9539b14b9cp-16, -0x1.aad95f36d3ab4p-16, -0x1.ba7873b6cfd5bp-16, -0x1.c9c66e4f5803ap-16, -0x1.d8c3348e7892bp-16, -0x1.e76eb4345e109p-16, -0x1.f5c8e30b758d7p-16, -0x1.01e8df6026c29p-15, -0x1.08c4a65ca8a7dp-15, -0x1.0f77ccf72caafp-15, -0x1.16025d600ff2ap-15, -0x1.1c646567d031fp-15, -0x1.229df66ab7a8ap-15, -0x1.28af253c852c9p-15, -0x1.2e980a14165dp-15, -0x1.3458c0771798fp-15, -0x1.39f16725bcf7ep-15, -0x1.3f622006883afp-15, -0x1.44ab10121c6e3p-15, -0x1.49cc5f3f27292p-15, -0x1.4ec6386e5b75cp-15, -0x1.5398c956898a6p-15, -0x1.58444270cd36cp-15, -0x1.5cc8d6e4ddd24p-15, -0x1.6126bc757aa13p-15, -0x1.655e2b6cfd0ddp-15, -0x1.696f5e8a0cc03p-15, -0x1.6d5a92ec7b571p-15, -0x1.7120080248d7bp-15, -0x1.74bfff74d2fd3p-15, -0x1.783abd162fc3bp-15, -0x1.7b9086ceb6122p-15, -0x1.7ec1a48ab81b9p-15, -0x1.81ce60286acap-15, -0x1.84b7056602d83p-15, -0x1.877be1d005147p-15, -0x1.8a1d44afc913fp-15, -0x1.8c9b7efa36fd1p-15, -0x1.8ef6e33eb5983p-15, -0x1.912fc59658266p-15, -0x1.93467b933df07p-15, -0x1.953b5c30319abp-15, -0x1.970ebfc07ee0fp-15, -0x1.98c0ffe00649cp-15, -0x1.9a5277638b948p-15, -0x1.9bc382494051fp-15, -0x1.9d147da98d8a4p-15, -0x1.9e45c7a81707dp-15, -0x1.9f57bf650149ep-15, -0x1.a04ac4ee70076p-15, -0x1.a11f393249decp-15, -0x1.a1d57df0343acp-15, -0x1.a26df5abd1817p-15, -0x1.a2e9039f3eaccp-15, -0x1.a3470badccb2p-15, -0x1.a3887256fe013p-15, -0x1.a3ad9ca9bd4ddp-15, -0x1.a3b6f037d8cbcp-15, -0x1.a3a4d309b882bp-15, -0x1.a377ab92551f7p-15, -0x1.a32fe0a36e2e6p-15, -0x1.a2cdd961fd38ep-15, -0x1.a251fd3ae6dbfp-15, -0x1.a1bcb3d7edcc9p-15, -0x1.a10e6514ddb5p-15, -0x1.a04778f4f800ap-15, -0x1.9f6857989c767p-15, -0x1.9e7169332dfecp-15, -0x1.9d631601344c6p-15, -0x1.9c3dc63eb89c2p-15, -0x1.9b01e21ddfb3fp-15, -0x1.99afd1bdbccf2p-15, -0x1.9847fd216111ap-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.543094b24a048p-4, -0x1.76497eec55e5fp-4, -0x1.9873a3b62ff51p-4, -0x1.bab2793301dcfp-4, -0x1.dd090b9ee5b11p-4, -0x1.ff79e78bb96a8p-4, -0x1.1103852d24267p-3, -0x1.2258ec0ea4d24p-3, -0x1.33bd8b0bacdf6p-3, -0x1.453174887c37fp-3, -0x1.56b46b69fdec4p-3, -0x1.6845e5166de83p-3, -0x1.79e50c72d5967p-3, -0x1.8b90c5a0c4e58p-3, -0x1.9d47b248cb9d4p-3, -0x1.af0836464f50cp-3, -0x1.c0d07c90e95aep-3, -0x1.d29e7c45df0b9p-3, -0x1.e46ffdba015b8p-3, -0x1.f6429f811e213p-3, -0x1.0409edae1b26bp-2, -0x1.0cf085819450bp-2, -0x1.15d3b660b43bdp-2, -0x1.1eb213efcadc4p-2, -0x1.278a286ae7b4dp-2, -0x1.305a76a20ce4fp-2, -0x1.39217bd7b8fbdp-2, -0x1.41ddb18193acbp-2, -0x1.4a8d8eeb6e33bp-2, -0x1.532f8abd12221p-2, -0x1.5bc21c6394335p-2, -0x1.6443bd5f16087p-2, -0x1.6cb2ea75ee634p-2, -0x1.750e24ce5f703p-2, -0x1.7d53f2effb2fdp-2, -0x1.8582e1ade9dd8p-2, -0x1.8d9984fb48631p-2, -0x1.959678aad397cp-2, -0x1.9d78611b0dffp-2, -0x1.a53debd00e9d3p-2, -0x1.ace5cffc1b982p-2, -0x1.b46ecef825b71p-2, -0x1.bbd7b4ad3a46ap-2, -0x1.c31f57efe924ep-2, -0x1.ca449ace9bd8dp-2, -0x1.d1466ad3c5ed2p-2, -0x1.d823c13cd02c5p-2, -0x1.dedba32692bacp-2, -0x1.e56d21b02003ap-2, -0x1.ebd75a14a741fp-2, -0x1.f21975bd0f9efp-2, -0x1.f832aa49fcb25p-2, -0x1.fe223996cfbap-2, -0x1.01f3b8db1ae5bp-1, -0x1.04c0d67463e7cp-1, -0x1.077828c71d7aap-1, -0x1.0a196908c754ep-1, -0x1.0ca4566855018p-1, -0x1.0f18b5ffe1997p-1, -0x1.117652c478e36p-1, -0x1.13bcfd741ddeep-1, -0x1.15ec8c8238f3cp-1, -0x1.1804dc028c56fp-1, -0x1.1a05cd92d476bp-1, -0x1.1bef4843313ep-1, -0x1.1dc1387d73e36p-1, -0x1.1f7b8feb6d30dp-1, -0x1.211e455c51d25p-1, -0x1.22a954a94e9cdp-1, -0x1.241cbe995e9e2p-1, -0x1.257888c478125p-1, -0x1.26bcbd76212c8p-1, -0x1.27e96b8f7f2cbp-1, -0x1.28fea668ef265p-1, -0x1.29fc85b334914p-1, -0x1.2ae3255851358p-1, -0x1.2bb2a55c0d7d1p-1, -0x1.2c6b29bc42fa4p-1, -0x1.2d0cda50f10dep-1, -0x1.2d97e2ac29177p-1, -0x1.2e0c71f9dc141p-1, -0x1.2e6abadf951bcp-1, -0x1.2eb2f35c2755ep-1, -0x1.2ee554a75e591p-1, -0x1.2f021b11b40a2p-1, -0x1.2f0985e418131p-1, -0x1.2efbd73fd0a36p-1, -0x1.2ed953fe7d0e5p-1, -0x1.2ea243923ffe2p-1, -0x1.2e56efe61ae94p-1, -0x1.2df7a53e80f1ep-1, -0x1.2d84b21a27581p-1, -0x1.2cfe67131d2bdp-1, -0x1.2c6516c02ae6dp-1, -0x1.2bb915968802ap-1, -0x1.2afab9cbe3ad4p-1, -0x1.2a2a5b38cd977p-1, -0x1.2948533b7f4bfp-1, -0x1.2854fc9b0f4d4p-1, -0x1.2750b36b0dc04p-1, -0x1.263bd4ef94fadp-1, -0x1.2516bf81ccdc6p-1, -0x1.23e1d274ea9d2p-1, -0x1.229d6dfbabc2cp-1, -0x1.2149f30e53b42p-1, -0x1.1fe7c3512c5d4p-1, -0x1.1e7740fb9043p-1, -0x1.1cf8cebf7e3fep-1, -0x1.1b6ccfb1ba35fp-1, -0x1.19d3a7327e3a2p-1, -0x1.182db8d6bd8bcp-1, -0x1.167b6851fa385p-1, -0x1.14bd1960b2b31p-1, -0x1.12f32fb36414ap-1, -0x1.111e0eda25d7cp-1, -0x1.0f3e1a30dff5ap-1, -0x1.0d53b4cc18856p-1, -0x1.0b5f41665fe81p-1, -0x1.0961224e54785p-1, -0x1.0759b955456efp-1, -0x1.054967be6e2ccp-1, -0x1.03308e2ecf2fp-1, -0x1.010f8c9da12b7p-1, -0x1.fdcd848ac4a55p-2, -0x1.f96d1b2afda5ep-2, -0x1.f4fe9849214bbp-2, -0x1.f082b54671b7bp-2, -0x1.ebfa299f1dc2ap-2, -0x1.e765aad24a977p-2, -0x1.e2c5ec4b485f5p-2, -0x1.de1b9f4be68fep-2, -0x1.d96772d7eee4p-2, -0x1.d4aa13a1bc723p-2, -0x1.cfe42bf7ed1dbp-2, -0x1.cb1663b4273ap-2, -0x1.c641602af594p-2, -0x1.c165c41cacaeap-2, -0x1.bc842fa759a42p-2, -0x1.b79d4039b6b63p-2, -0x1.b2b190871e83cp-2, -0x1.adc1b87c774bcp-2, -0x1.a8ce4d36155afp-2, -0x1.a3d7e0f68d2bdp-2, -0x1.9edf031e6dbdbp-2, -0x1.99e44024e0f08p-2, -0x1.94e821912c9ep-2, -0x1.8feb2df50ac3ap-2, -0x1.8aede8e7d6191p-2, -0x1.85f0d30287fffp-2, -0x1.80f469dc7a29dp-2, -0x1.7bf92808efea3p-2, -0x1.76ff8515575f1p-2, -0x1.7207f58846d6p-2, -0x1.6d12eae129acbp-2, -0x1.6820d39895a33p-2, -0x1.63321b214bb4fp-2, -0x1.5e4729e9d4a18p-2, -0x1.5960655eba08cp-2, -0x1.547e2fed52db6p-2, -0x1.4fa0e9071ebcp-2, -0x1.4ac8ed25accb1p-2, -0x1.45f695cf04308p-2, -0x1.412a399a89fe2p-2, -0x1.3c642c3663f92p-2, -0x1.37a4be6d48e68p-2, -0x1.32ec3e2cc563fp-2, -0x1.2e3af68be4264p-2, -0x1.29912fd23ee3cp-2, -0x1.24ef2f7f6735p-2, -0x1.20553852b1187p-2, -0x1.1bc38a534c2f7p-2, -0x1.173a62d8aec98p-2, -0x1.12b9fc934de66p-2, -0x1.0e428f9596bffp-2, -0x1.09d4515d31c75p-2, -0x1.056f74dc7bb98p-2, -0x1.01142a843b669p-2, -0x1.f985409b1dc42p-3, -0x1.f0f6038804f92p-3, -0x1.e87af01fb9065p-3, -0x1.e0145401177bdp-3, -0x1.d7c2782e7a25bp-3, -0x1.cf85a12329918p-3, -0x1.c75e0ee8fff44p-3, -0x1.bf4bfd2e49a3bp-3, -0x1.b74fa35bcee6bp-3, -0x1.af6934ab071cep-3, -0x1.a798e03c6568fp-3, -0x1.9fded12dc889ap-3, -0x1.983b2eb0f7e54p-3, -0x1.90ae1c22322b9p-3, -0x1.8937b91ec3025p-3, -0x1.81d8219b9c35ep-3, -0x1.7a8f6dfbec464p-3, -0x1.735db327b16fcp-3, -0x1.6c4302a239596p-3, -0x1.653f6aa09a9b2p-3, -0x1.5e52f6200db8bp-3, -0x1.577dacfc3727ep-3, -0x1.50bf94054f092p-3, -0x1.4a18ad1625b0ep-3, -0x1.4388f72a09679p-3, -0x1.3d106e72802ecp-3, -0x1.36af0c6cd2e75p-3, -0x1.3064c7f770e34p-3, -0x1.2a3195671968dp-3, -0x1.2415669bd778dp-3, -0x1.1e102b15c1c4bp-3, -0x1.1821d00981774p-3, -0x1.124a40749a8aap-3, -0x1.0c8965317d945p-3, -0x1.06df250b4b484p-3, -0x1.014b64d162547p-3, -0x1.f79c0ed53de5fp-4, -0x1.eccddbd0b48c6p-4, -0x1.e22bef324165ep-4, -0x1.d7b60436305e6p-4, -0x1.cd6bd2dc4e785p-4, -0x1.c34d100b94244p-4, -0x1.b9596db52a3b9p-4, -0x1.af909af6eccc3p-4, -0x1.a5f2443d3a738p-4, -0x1.9c7e13642e30cp-4, -0x1.9333afd83c788p-4, -0x1.8a12beb61f7acp-4, -0x1.811ae2ea34bdp-4, -0x1.784bbd4f29b9cp-4, -0x1.6fa4eccc0978p-4, -0x1.67260e71a70ep-4, -0x1.5ecebd976104p-4, -0x1.569e93f742b09p-4, -0x1.4e9529c980be9p-4, -0x1.46b215df4ffadp-4, -0x1.3ef4edbd1b2a5p-4, -0x1.375d45b412faep-4, -0x1.2feab0fb1d83ap-4, -0x1.289cc1c722298p-4, -0x1.21730962b64e6p-4, -0x1.1a6d1845279ffp-4, -0x1.138a7e28ea01ap-4, -0x1.0ccaca21658cdp-4, -0x1.062d8ab02967p-4, -0x1.ff649bb306299p-5, -0x1.f2b14270f652ep-5, -0x1.e64024247774dp-5, -0x1.da105ad1bbe41p-5, -0x1.ce21001b4812cp-5, -0x1.c2712d65405fbp-5, -0x1.b6fffbf79283fp-5, -0x1.abcc851effe54p-5, -0x1.a0d5e24d0e6f6p-5, -0x1.961b2d36dff3ap-5, -0x1.8b9b7ff2f609cp-5, -0x1.8155f515e97c5p-5, -0x1.7749a7ce12159p-5, -0x1.6d75b3fe2b1c7p-5, -0x1.63d93656f2673p-5, -0x1.5a734c6fcbdbcp-5, -0x1.514314de6850bp-5, -0x1.4847af4d778cp-5, -0x1.3f803c926aa6fp-5, -0x1.36ebdec248991p-5, -0x1.2e89b945997ddp-5, -0x1.2658f0eb71b9bp-5, -0x1.1e58abfb9a89dp-5, -0x1.16881247e398ep-5, -0x1.0ee64d3c9a6fap-5, -0x1.077287f036e21p-5, -0x1.002bef3234072p-5, -0x1.f22363324c88dp-6, -0x1.e445ff2018a3ap-6, -0x1.d6be16c5c043ap-6, -0x1.c98a1294de237p-6, -0x1.bca85eeef595bp-6, -0x1.b0176c3a573eep-6, -0x1.a3d5aef5a3dbep-6, -0x1.97e19fca02e3cp-6, -0x1.8c39bb9c140f4p-6, -0x1.80dc839b978dp-6, -0x1.75c87d51ec8cdp-6, -0x1.6afc32af575adp-6, -0x1.6076321724275p-6, -0x1.56350e6ab108fp-6, -0x1.4c375f135f399p-6, -0x1.427bc00b761bap-6, -0x1.3900d1e604b3p-6, -0x1.2fc539d5c89aap-6, -0x1.26c7a1b316f1fp-6, -0x1.1e06b800e639p-6, -0x1.15812ff0e5669p-6, -0x1.0d35c166bdc6ap-6, -0x1.052328fa7d856p-6, -0x1.fa904ff45e3cp-7, -0x1.eb4708d5615eap-7, -0x1.dc68120f82b43p-7, -0x1.cdf10a86b92fp-7, -0x1.bfdf9a88c2d54p-7, -0x1.b23173c9134b9p-7, -0x1.a4e4515b844f3p-7, -0x1.97f5f7adba0b7p-7, -0x1.8b64347f66ecep-7, -0x1.7f2cded9586c4p-7, -0x1.734dd7037f7cbp-7, -0x1.67c50679d5a5bp-7, -0x1.5c905fe05cb69p-7, -0x1.51addef60eda7p-7, -0x1.471b8886f7c3dp-7, -0x1.3cd76a5d621c2p-7, -0x1.32df9b323afe5p-7, -0x1.29323a9ca405cp-7, -0x1.1fcd7100c90fap-7, -0x1.16af6f7dff4dfp-7, -0x1.0dd66fdc38a83p-7, -0x1.0540b478d542bp-7, -0x1.f9d91065b3931p-8, -0x1.e9b07cad2fbf8p-8, -0x1.da0465119aaa3p-8, -0x1.cad191628965bp-8, -0x1.bc14d9c9fe8fcp-8, -0x1.adcb269fe1bcbp-8, -0x1.9ff1703ca7281p-8, -0x1.9284becb3b5f1p-8, -0x1.85822a1a3c764p-8, -0x1.78e6d96c950edp-8, -0x1.6cb00349810d8p-8, -0x1.60daed4c0e4e1p-8, -0x1.5564ebf223762p-8, -0x1.4a4b626b1a217p-8, -0x1.3f8bc265fb0b4p-8, -0x1.35238bdf62ad9p-8, -0x1.2b104cef205a7p-8, -0x1.214fa195969p-8, -0x1.17df3388e661ep-8, -0x1.0ebcba01f52b1p-8, -0x1.05e5f98952711p-8, -0x1.fab187880cd4ap-9, -0x1.ea25ee80b0b5bp-9, -0x1.da24fe851c5f9p-9, -0x1.caaaa7236888bp-9, -0x1.bbb2f088e312ap-9, -0x1.ad39fb1be1922p-9, -0x1.9f3bff15d0134p-9, -0x1.91b54c1d875bdp-9, -0x1.84a248e1f8bfep-9, -0x1.77ff72b540fb1p-9, -0x1.6bc95d2827bp-9, -0x1.5ffcb1a61d91fp-9, -0x1.54962f11c3ea4p-9, -0x1.4992a96203ab4p-9, -0x1.3eef093fc6149p-9, -0x1.34a84ba45368cp-9, -0x1.2abb817862f7fp-9, -0x1.2125cf33e45f8p-9, -0x1.17e46c7e8e635p-9, -0x1.0ef4a3d1359ebp-9, -0x1.0653d217f6516p-9, -0x1.fbfeccaa73722p-10, -0x1.ebe9c28b3150ap-10, -0x1.dc63aa094af97p-10, -0x1.cd67c9654bccdp-10, -0x1.bef18836711e8p-10, -0x1.b0fc6eb9ef0d1p-10, -0x1.a3842524281dfp-10, -0x1.968472f3e2e2bp-10, -0x1.89f93e478c495p-10, -0x1.7dde8b348d594p-10, -0x1.72307b20ac7b9p-10, -0x1.66eb4c1d97946p-10, -0x1.5c0b5846896a8p-10, -0x1.518d15201b40dp-10, -0x1.476d12fa3d007p-10, -0x1.3da7fc5463b6bp-10, -0x1.343a9543e6859p-10, -0x1.2b21badc91e7ap-10, -0x1.225a629b72686p-10, -0x1.19e199d3dd92p-10, -0x1.11b4851eb48fbp-10, -0x1.09d05fcbde441p-10, -0x1.02327b56007bbp-10, -0x1.f5b07db0fc669p-11, -0x1.e77e4d0f4a6d6p-11, -0x1.d9c986563fda7p-11, -0x1.cc8d733540cdep-11, -0x1.bfc5847987c35p-11, -0x1.b36d51105dc4ap-11, -0x1.a780950dbd77p-11, -0x1.9bfb30b75e155p-11, -0x1.90d927941e3c9p-11, -0x1.86169f7fcc832p-11, -0x1.7bafdfc344ap-11, -0x1.71a15030dbb9ep-11, -0x1.67e7784514a9ep-11, -0x1.5e7efe4b93dc9p-11, -0x1.5564a6884ab6ap-11, -0x1.4c955264d3bafp-11, -0x1.440dffa1f2d71p-11, -0x1.3bcbc78d3600ap-11, -0x1.33cbde3aa5eedp-11, -0x1.2c0b91c2843a6p-11, -0x1.248849830555dp-11, -0x1.1d3f856603e15p-11, -0x1.162edd2a9a728p-11, -0x1.0f53ffb29f4d4p-11, -0x1.08acb253f36b9p-11, -0x1.0236d02d9b988p-11, -0x1.f7e0930129f7dp-12, -0x1.ebae4618ba686p-12, -0x1.dfd2eade3e454p-12, -0x1.d44ad912f41b8p-12, -0x1.c9128dcbaa483p-12, -0x1.be26aa466c477p-12, -0x1.b383f2c717ad1p-12, -0x1.a9274d7ac0e85p-12, -0x1.9f0dc161d2354p-12, -0x1.95347540c942p-12, -0x1.8b98ae9776b5fp-12, -0x1.8237d09eae0ap-12, -0x1.790f5b4c462bfp-12, -0x1.701cea5d51b3fp-12, -0x1.675e3466789b8p-12, -0x1.5ed109ea57fc8p-12, -0x1.56735475cb793p-12, -0x1.4e4315c20fa38p-12, -0x1.463e66dc954e2p-12, -0x1.3e6377547f79fp-12, -0x1.36b08c6d9e62ap-12, -0x1.2f240058e0033p-12, -0x1.27bc417210b08p-12, -0x1.2077d182da39dp-12, -0x1.1955450ae5a2fp-12, -0x1.1253428d04732p-12, -0x1.0b7081e1507a8p-12, -0x1.04abcb8c2288ap-12, -0x1.fc07f0339404ap-13, -0x1.eeefdefddda46p-13, -0x1.e20d50fb0ac4cp-13, -0x1.d55e501c789a7p-13, -0x1.c8e1019c98b4bp-13, -0x1.bc93a4e326b85p-13, -0x1.b0749271cc3b9p-13, -0x1.a4823ad8fbcf9p-13, -0x1.98bb25b4db971p-13, -0x1.8d1df0b216e0dp-13, -0x1.81a94e9a5e084p-13, -0x1.765c06687d2fdp-13, -0x1.6b34f263c6484p-13, -0x1.6032ff42bd47p-13, -0x1.55552b54c77f8p-13, -0x1.4a9a85b2c3ffap-13, -0x1.40022d765a7f4p-13, -0x1.358b50f7ddc1ap-13, -0x1.2b352d129aae3p-13, -0x1.20ff0c6f6462ap-13, -0x1.16e846d546badp-13, -0x1.0cf0408024c21p-13, -0x1.0316697d33bdap-13, -0x1.f2b47a1a35f14p-14, -0x1.df7682173e313p-14, -0x1.cc720ab96bb4cp-14, -0x1.b9a646bda4f3fp-14, -0x1.a7127ac4be1fbp-14, -0x1.94b5fc4c48c2ap-14, -0x1.829030b1396f1p-14, -0x1.70a08c3bebaf3p-14, -0x1.5ee691356c12ap-14, -0x1.4d61cf05b3de1p-14, -0x1.3c11e15a9d9cep-14, -0x1.2af66f575893cp-14, -0x1.1a0f2acc1a3a1p-14, -0x1.095bcf75d69a6p-14, -0x1.f1b8448b89bf4p-15, -0x1.d11fe160ecd48p-15, -0x1.b0ee200897a48p-15, -0x1.9122b98e1c07p-15, -0x1.71bd7434f2627p-15, -0x1.52be224f07879p-15, -0x1.3424a1205ce7ep-15, -0x1.15f0d7cf57b66p-15, -0x1.f0456cc2bd80ep-16, -0x1.b5746986be752p-16, -0x1.7b6ea3bbcee3fp-16, -0x1.42342568df3c9p-16, -0x1.09c5031ef6e17p-16, -0x1.a442b4c503294p-17, -0x1.3692a051d2cb3p-17, -0x1.94f43da793c3dp-18, -0x1.7fe63e1e6ef97p-19, 0x1.1dd4f367f75fep-22, 0x1.c0f87145ca5bfp-19, 0x1.abe8c4b091a75p-18, 0x1.3a110d98f3acp-17, 0x1.9c93b433b4aa3p-17, 0x1.fd7bf06c0ca0bp-17, 0x1.2e64b13b842d5p-16, 0x1.5d3dd916562aap-16, 0x1.8b49484ed084cp-16, 0x1.b886dcc7032d6p-16, 0x1.e4f67a6b3d1cdp-16, 0x1.084c05eb11259p-15, 0x1.1db5c17463ce7p-15, 0x1.32b86caba744fp-15, 0x1.47540895375e4p-15, 0x1.5b889a9b2ce14p-15, 0x1.6f562cc3b4f67p-15, 0x1.82bccde27e1c5p-15, 0x1.95bc91c57277p-15, 0x1.a855915cebcccp-15, 0x1.ba87eadf94587p-15, 0x1.cc53c1ea2232dp-15, 0x1.ddb93f9b1b71ep-15, 0x1.eeb892aacafb4p-15, 0x1.ff51ef7f98d6cp-15, 0x1.07c2c81f73373p-14, 0x1.0fa9da6d4e6cbp-14, 0x1.175e518dc9ep-14, 0x1.1ee053547988ap-14, 0x1.263008865d355p-14, 0x1.2d4d9cdac582dp-14, 0x1.34393efaee701p-14, 0x1.3af320805e558p-14, 0x1.417b75f219767p-14, 0x1.47d276c0bc8c1p-14, 0x1.4df85d41888e9p-14, 0x1.53ed66a874a28p-14, 0x1.59b1d3014de8dp-14, 0x1.5f45e527f9031p-14, 0x1.64a9e2bfddc24p-14, 0x1.69de142a8d665p-14, 0x1.6ee2c47dac6f1p-14, 0x1.73b8417830914p-14, 0x1.785edb76f9a98p-14, 0x1.7cd6e568d32ep-14, 0x1.8120b4c1e9d6p-14, 0x1.853ca16ebd07dp-14, 0x1.892b05c69960dp-14, 0x1.8cec3e7da35ffp-14, 0x1.9080aa967beaep-14, 0x1.93e8ab53897fp-14, 0x1.9724a427ebfe1p-14, 0x1.9a34faa825b8ep-14, 0x1.9d1a167a7fa97p-14, 0x1.9fd461473239ep-14, 0x1.a26446a8582f5p-14, 0x1.a4ca3419b42e8p-14, 0x1.a70698e84f299p-14, 0x1.a919e621f85cp-14, 0x1.ab048e84a0866p-14, 0x1.acc7066db2d32p-14, 0x1.ae61c3c94a9a2p-14, 0x1.afd53e0170592p-14, 0x1.b121eded46759p-14, 0x1.b2484dc03d335p-14, 0x1.b348d8f948781p-14, 0x1.b4240c521cc41p-14, 0x1.b4da65ae83955p-14, 0x1.b56c640bbc67dp-14, 0x1.b5da876fea511p-14, 0x1.b62550d9a770cp-14, 0x1.b64d422fb534p-14, 0x1.b652de30c4039p-14, 0x1.b636a8635ef9ap-14, 0x1.b5f925060bd5ap-14, 0x1.b59ad8ff7cf33p-14, 0x1.b51c49cf024edp-14, 0x1.b47dfd7d1e91p-14, 0x1.b3c07a8c4e8bp-14, 0x1.b2e447ea01566p-14, 0x1.b1e9ecdfc84d2p-14, 0x1.b0d1f104b40b3p-14, 0x1.af9cdc2ef97e5p-14, 0x1.ae4b3665bafd9p-14, 0x1.acdd87d322713p-14, 0x1.ab5458b6a31cap-14, 0x1.a9b0315787111p-14, 0x1.a7f199f7af11p-14, 0x1.a6191ac6a5519p-14, 0x1.a4273bd4d6105p-14, 0x1.a21c85071d306p-14, 0x1.9ff97e0a8ebf5p-14, 0x1.9dbeae4881f3bp-14, 0x1.9b6c9cdadf8aep-14, 0x1.9903d080b2a0ap-14, 0x1.9684cf92ff3cdp-14, 0x1.93f01ff9dad1p-14, 0x1.91464721ca6cdp-14, 0x1.8e87c9f1647fdp-14, 0x1.8bb52cbf373e7p-14, 0x1.88cef347f3d75p-14, 0x1.85d5a0a4ddefp-14, 0x1.82c9b7427f054p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.1c0795fea81fap-1, 0x1.1c3449552425fp-1, 0x1.1c661e8d70fcap-1, 0x1.1c9d4ac24b594p-1, 0x1.1cd9f91e15843p-1, 0x1.1d1c48a1c63bdp-1, 0x1.1d644a9c1645ap-1, 0x1.1db201ba087ffp-1, 0x1.1e05619900f0ep-1, 0x1.1e5e4ec38d3d7p-1, 0x1.1ebc9f03e647cp-1, 0x1.1f2019f997c9bp-1, 0x1.1f8879e23d4e2p-1, 0x1.1ff56c87a1509p-1, 0x1.20669447cc506p-1, 0x1.20db892d87e62p-1, 0x1.2153da118ce19p-1, 0x1.21cf0dbe167e7p-1, 0x1.224ca40fd674ep-1, 0x1.22cc17104fbf5p-1, 0x1.234cdc06943b3p-1, 0x1.23ce647c0e205p-1, 0x1.24501f33b3b6dp-1, 0x1.24d1791279ca7p-1, 0x1.2551ddf84fa6cp-1, 0x1.25d0b9894a3ccp-1, 0x1.264d77e6e9fdp-1, 0x1.26c78659a3ddbp-1, 0x1.273e53eb062a5p-1, 0x1.27b151f0f55cep-1, 0x1.281ff48a965p-1, 0x1.2889b30f9312fp-1, 0x1.28ee0872734f4p-1, 0x1.294c7396c9534p-1, 0x1.29a4779bf9ab1p-1, 0x1.29f59c1d644a7p-1, 0x1.2a3f6d68b36f5p-1, 0x1.2a817cab106ecp-1, 0x1.2abb6015f6b2bp-1, 0x1.2aecb2fc59743p-1, 0x1.2b1515e8c2a7cp-1, 0x1.2b342ead100a7p-1, 0x1.2b49a86c608b2p-1, 0x1.2b55339fc332bp-1, 0x1.2b56861629ba4p-1, 0x1.2b4d5af019bb7p-1, 0x1.2b3972978bf97p-1, 0x1.2b1a92b464d97p-1, 0x1.2af0861de30fdp-1, 0x1.2abb1cc95d20cp-1, 0x1.2a7a2bb69df83p-1, 0x1.2a2d8cda28f1cp-1, 0x1.29d51f05a7b9fp-1, 0x1.2970c5cebf9bbp-1, 0x1.2900697481ae4p-1, 0x1.2883f6c3ab1bcp-1, 0x1.27fb5ef9df806p-1, 0x1.276697a805d84p-1, 0x1.26c59a93ee07dp-1, 0x1.261865995f50dp-1, 0x1.255efa8aaafap-1, 0x1.24995f10e1b9p-1, 0x1.23c79c8bc16c9p-1, 0x1.22e9bff171947p-1, 0x1.21ffd9ae22c2ap-1, 0x1.2109fd83a1bb9p-1, 0x1.20084268ef6d6p-1, 0x1.1efac269ecb16p-1, 0x1.1de19a8725b81p-1, 0x1.1cbcea95c8ff8p-1, 0x1.1b8cd51fd8902p-1, 0x1.1a517f449974bp-1, 0x1.190b109951432p-1, 0x1.17b9b30a52976p-1, 0x1.165d92bc696e7p-1, 0x1.14f6ddeea3dep-1, 0x1.1385c4dc87a59p-1, 0x1.120a79a0b2d71p-1, 0x1.10853017f17d5p-1, 0x1.0ef61dc4cb8acp-1, 0x1.0d5d79b38fb07p-1, 0x1.0bbb7c5edf823p-1, 0x1.0a105f94c1bfp-1, 0x1.085c5e5c3af54p-1, 0x1.069fb4db7435ap-1, 0x1.04daa03e6f648p-1, 0x1.030d5e9e4bccp-1, 0x1.01382ee91fffp-1, 0x1.feb6a194ce233p-2, 0x1.faee09280d4cdp-2, 0x1.f717164fd81dcp-2, 0x1.f3324bc48a387p-2, 0x1.ef402d08a2a96p-2, 0x1.eb413e3fa3dc7p-2, 0x1.e7360406268d1p-2, 0x1.e31f034b280e2p-2, 0x1.defcc12a93e86p-2, 0x1.dacfc2c90318dp-2, 0x1.d6988d30b7f73p-2, 0x1.d257a52fd10e1p-2, 0x1.ce0d8f37b1216p-2, 0x1.c9bacf3d9e269p-2, 0x1.c55fe89c979dcp-2, 0x1.c0fd5df854e89p-2, 0x1.bc93b1217e167p-2, 0x1.b82362fb08485p-2, 0x1.b3acf360bee7ep-2, 0x1.af30e10ef3192p-2, 0x1.aaafa98b4c90dp-2, 0x1.a629c90eb92adp-2, 0x1.a19fba70790fp-2, 0x1.9d11f7123d459p-2, 0x1.9880f6cd5d21ep-2, 0x1.93ed2fe117844p-2, 0x1.8f5716e1daac8p-2, 0x1.8abf1ea9930c9p-2, 0x1.8625b848fa136p-2, 0x1.818b52f9d97ecp-2, 0x1.7cf05c1248eep-2, 0x1.78553ef8d8f25p-2, 0x1.73ba6519a6576p-2, 0x1.6f2035dc52ff4p-2, 0x1.6a87169ade2a6p-2, 0x1.65ef6a995440dp-2, 0x1.615992fe53e94p-2, 0x1.5cc5eecc5d6fap-2, 0x1.5834dadbeeaep-2, 0x1.53a6b1d65c135p-2, 0x1.4f1bcc3169db8p-2, 0x1.4a94802b9a0afp-2, 0x1.461121c92ac58p-2, 0x1.419202d1bfbbep-2, 0x1.3d1772ceb166cp-2, 0x1.38a1bf09fc593p-2, 0x1.3431328dc68c3p-2, 0x1.2fc616247e278p-2, 0x1.2b60b0598264cp-2, 0x1.2701457a58bdbp-2, 0x1.22a8179860c54p-2, 0x1.1e55668b0c61bp-2, 0x1.1a096ff28c227p-2, 0x1.15c46f3af022ep-2, 0x1.11869d9fb66f2p-2, 0x1.0d50322fc59afp-2, 0x1.092161d1c7386p-2, 0x1.04fa5f48e4629p-2, 0x1.00db5b39da3e5p-2, 0x1.f9890860cb1fp-3, 0x1.f16c0d4a00386p-3, 0x1.e9601a05cc615p-3, 0x1.e1657f5cd0729p-3, 0x1.d97c8a16fbc8ep-3, 0x1.d1a583092dae3p-3, 0x1.c9e0af23548b2p-3, 0x1.c22e4f7ef07e1p-3, 0x1.ba8ea16e05a85p-3, 0x1.b301de8a658f7p-3, 0x1.ab883cc550756p-3, 0x1.a421ee7766bb7p-3, 0x1.9ccf2270e5eabp-3, 0x1.9590040a1d273p-3, 0x1.8e64bb34271fep-3, 0x1.874d6c89cf18dp-3, 0x1.804a3960aabbcp-3, 0x1.795b3fda5636dp-3, 0x1.72809af5d7f0dp-3, 0x1.6bba62a117969p-3, 0x1.6508abca75b4ep-3, 0x1.5e6b88726ddfbp-3, 0x1.57e307bd4990cp-3, 0x1.516f3604d68ap-3, 0x1.4b101cea26043p-3, 0x1.44c5c367414fap-3, 0x1.3e902de0e3bb6p-3, 0x1.386f5e381e7f7p-3, 0x1.326353dbf9221p-3, 0x1.2c6c0bdafbdf8p-3, 0x1.268980f4a08f9p-3, 0x1.20bbabaab3b62p-3, 0x1.1b0282529182dp-3, 0x1.155df926478cbp-3, 0x1.0fce02559601dp-3, 0x1.0a528e16c77f9p-3, 0x1.04eb8ab764da8p-3, 0x1.ff31c9597b98bp-4, 0x1.f4b50d488ed35p-4, 0x1.ea60b32790e7ap-4, 0x1.e0348992aa949p-4, 0x1.d6305bf64509p-4, 0x1.cc53f2ae25df6p-4, 0x1.c29f13243f738p-4, 0x1.b9117feefd47fp-4, 0x1.afaaf8ef251aep-4, 0x1.a66b3b6d4926bp-4, 0x1.9d520236bd7acp-4, 0x1.945f05ba13979p-4, 0x1.8b91fc231c209p-4, 0x1.82ea99766fdfap-4, 0x1.7a688fac763fap-4, 0x1.720b8ecbec3bfp-4, 0x1.69d34503ec792p-4, 0x1.61bf5ec573996p-4, 0x1.59cf86dc62bccp-4, 0x1.52036687fde3p-4, 0x1.4a5aa592e65cbp-4, 0x1.42d4ea6a914b5p-4, 0x1.3b71da3638c7ep-4, 0x1.343118ed48376p-4, 0x1.2d12496d43fa9p-4, 0x1.26150d8f2ca4dp-4, 0x1.1f39063c5d07bp-4, 0x1.187dd382e5009p-4, 0x1.11e314a960836p-4, 0x1.0b6868424b3acp-4, 0x1.050d6c3ed280ep-4, 0x1.fda37c024a537p-5, 0x1.f169f4dc8675cp-5, 0x1.e56d7bfe9bd75p-5, 0x1.d9ad49a4b24fcp-5, 0x1.ce2895757d2cp-5, 0x1.c2de96a1ec588p-5, 0x1.b7ce8403e307bp-5, 0x1.acf7943bfebe5p-5, 0x1.a258fdce6bf3p-5, 0x1.97f1f73ecb13ep-5, 0x1.8dc1b72b2fca9p-5, 0x1.83c7746632c1bp-5, 0x1.7a02661020d43p-5, 0x1.7071c3af4c38ep-5, 0x1.6714c54778fbbp-5, 0x1.5deaa370754dp-5, 0x1.54f2976bd4821p-5, 0x1.4c2bdb39dbe7p-5, 0x1.4395a9ad9c1b9p-5, 0x1.3b2f3e803c41fp-5, 0x1.32f7d66381334p-5, 0x1.2aeeaf138a0a6p-5, 0x1.23130767cdfc5p-5, 0x1.1b641f635bd72p-5, 0x1.13e138445d448p-5, 0x1.0c899492e69bap-5, 0x1.055c782f11da4p-5, 0x1.fcb250bcd4ca6p-6, 0x1.eefdd7b15fceep-6, 0x1.e19a15a7da45ap-6, 0x1.d4859e1fe18eap-6, 0x1.c7bf07c244a88p-6, 0x1.bb44ec7576ebbp-6, 0x1.af15e970d37bbp-6, 0x1.a3309f4eb4f28p-6, 0x1.9793b21d6df1cp-6, 0x1.8c3dc96f2298fp-6, 0x1.812d906893c44p-6, 0x1.7661b5ced5beep-6, 0x1.6bd8ec140b0a1p-6, 0x1.6191e9631ac64p-6, 0x1.578b67aa73a31p-6, 0x1.4dc424a5d8849p-6, 0x1.443ae1e74d62cp-6, 0x1.3aee64df1a892p-6, 0x1.31dd76e2f4fddp-6, 0x1.2906e5345535cp-6, 0x1.20698105fb612p-6, 0x1.18041f80b0cd1p-6, 0x1.0fd599c73e9adp-6, 0x1.07dcccf9b48bcp-6, 0x1.00189a37f281ep-6, 0x1.f10fcd4708631p-7, 0x1.e25336c1b1b9cp-7, 0x1.d3f94b2f9eb98p-7, 0x1.c5ffece75b5dbp-7, 0x1.b8650644f45f4p-7, 0x1.ab2689a78d5e3p-7, 0x1.9e42716dd958ap-7, 0x1.91b6bff18bf45p-7, 0x1.85817f81bb282p-7, 0x1.79a0c25c54755p-7, 0x1.6e12a2a699062p-7, 0x1.62d54264be3f1p-7, 0x1.57e6cb70a618ap-7, 0x1.4d456f6fd541cp-7, 0x1.42ef67c8930e2p-7, 0x1.38e2f596524aep-7, 0x1.2f1e619d5f995p-7, 0x1.259ffc3de43adp-7, 0x1.1c661d6642ca3p-7, 0x1.136f2484d7512p-7, 0x1.0ab97879220bcp-7, 0x1.0243878466468p-7, 0x1.f4178e73863a9p-8, 0x1.e42168db9df1ep-8, 0x1.d4a1a64b7a385p-8, 0x1.c5955d0c260c1p-8, 0x1.b6f9b181ed0ddp-8, 0x1.a8cbd6083333p-8, 0x1.9b090acc96a2cp-8, 0x1.8dae9da969401p-8, 0x1.80b9e9ff8c93ep-8, 0x1.7428588fbbe9bp-8, 0x1.67f75f5353409p-8, 0x1.5c2481549aabap-8, 0x1.50ad4e86a2836p-8, 0x1.458f639cbccacp-8, 0x1.3ac869e19a41cp-8, 0x1.3056170e19376p-8, 0x1.26362d1fccdd9p-8, 0x1.1c667a2f46f82p-8, 0x1.12e4d8462d311p-8, 0x1.09af2d35250c7p-8, 0x1.00c36a69982c5p-8, 0x1.f03f1986c2ff4p-9, 0x1.df8338d4caa9ap-9, 0x1.cf4f59483a146p-9, 0x1.bf9fb7523d9a7p-9, 0x1.b070a4f54cf43p-9, 0x1.a1be8970537b7p-9, 0x1.9385e0e9ef83ep-9, 0x1.85c33c1be45dfp-9, 0x1.78733ffebde3ep-9, 0x1.6b92a575b5e45p-9, 0x1.5f1e38faea0d3p-9, 0x1.5312da4be5b7fp-9, 0x1.476d7c168d197p-9, 0x1.3c2b23a672481p-9, 0x1.3148e892a1999p-9, 0x1.26c3f46be3191p-9, 0x1.1c99826b870a2p-9, 0x1.12c6df22b8f65p-9, 0x1.0949682a690a6p-9, 0x1.001e8bd3cd72p-9, 0x1.ee8791b30dea9p-10, 0x1.dd6d5c22d3ef8p-10, 0x1.cce9b43dead5ap-10, 0x1.bcf7f64cfaaa5p-10, 0x1.ad939d02141e5p-10, 0x1.9eb840e1ea6b7p-10, 0x1.906197ae950bcp-10, 0x1.828b73d3cf1d5p-10, 0x1.7531c3d4d63c4p-10, 0x1.685091bbd90dcp-10, 0x1.5be4028b0c02p-10, 0x1.4fe855af620b9p-10, 0x1.4459e474f00e7p-10, 0x1.3935217d0ac9bp-10, 0x1.2e76983609d6cp-10, 0x1.241aec54d847dp-10, 0x1.1a1ed950323d8p-10, 0x1.107f31ddb25bdp-10, 0x1.0738df7098991p-10, 0x1.fc91c374ba3p-11, 0x1.eb589c5a1804ep-11, 0x1.dac09efed12f5p-11, 0x1.cac44a65c032fp-11, 0x1.bb5e46368cce6p-11, 0x1.ac8961d0c3ce1p-11, 0x1.9e40936288fcdp-11, 0x1.907ef702e489ap-11, 0x1.833fcdcfac926p-11, 0x1.767e7d0f05dc8p-11, 0x1.6a368d547f91ep-11, 0x1.5e63a9a9c2922p-11, 0x1.53019ebad492dp-11, 0x1.480c5a05ea8d1p-11, 0x1.3d7fe90ec6a51p-11, 0x1.335878959ed75p-11, 0x1.299253d185e42p-11, 0x1.2029e3ae52326p-11, 0x1.171bae0dfe278p-11, 0x1.0e64550d7b35p-11, 0x1.0600964cf0d87p-11, 0x1.fbda9476c68f9p-12, 0x1.ec4ec6cb73d03p-12, 0x1.dd57db9239193p-12, 0x1.cef01c514a7b6p-12, 0x1.c11202ccb197cp-12, 0x1.b3b837bec84eap-12, 0x1.a6dd919722d96p-12, 0x1.9a7d133fe1a73p-12, 0x1.8e91eae95391p-12, 0x1.831770dbdbc94p-12, 0x1.78092650048e6p-12, 0x1.6d62b44cb52c6p-12, 0x1.631fea8b7046ap-12, 0x1.593cbe628b8e4p-12, 0x1.4fb549b552ee1p-12, 0x1.4685c9e9facdbp-12, 0x1.3daa9ee5569c1p-12, 0x1.35204a0c3ca9ep-12, 0x1.2ce36d4a830f7p-12, 0x1.24f0ca1f864e7p-12, 0x1.1d4540b01f905p-12, 0x1.15ddceddfe587p-12, 0x1.0eb78f644b8bap-12, 0x1.07cfb8f98521ep-12, 0x1.01239d767bffcp-12, 0x1.f5615204c94a7p-13, 0x1.e8e8c287c4c44p-13, 0x1.dcd8c92df1959p-13, 0x1.d12cd28faa081p-13, 0x1.c5e079a4a3416p-13, 0x1.baef864c581c8p-13, 0x1.b055ebdf9d7d4p-13, 0x1.a60fc7cb3faf9p-13, 0x1.9c19603383e5dp-13, 0x1.926f22a060cc4p-13, 0x1.890da2b24bf7bp-13, 0x1.7ff198df71d9ap-13, 0x1.7717e1392ecb4p-13, 0x1.6e7d7a39b0dd9p-13, 0x1.661f839986fb9p-13, 0x1.5dfb3d2d06dadp-13, 0x1.560e05c9604a4p-13, 0x1.4e555a31380c5p-13, 0x1.46ced408a0cb7p-13, 0x1.3f7828d05471fp-13, 0x1.384f28e80641ap-13, 0x1.3151be97a8be7p-13, 0x1.2a7ded1f85314p-13, 0x1.23d1cfcf00bbap-13, 0x1.1d4b9921eaf57p-13, 0x1.16e991e435a71p-13, 0x1.10aa185bf27efp-13, 0x1.0a8b9f7972bc3p-13, 0x1.048cae0d6bfaap-13, 0x1.fd57bc09f897fp-14, 0x1.f1cfb756dfca3p-14, 0x1.e67ec9e34e16ep-14, 0x1.db629175f978cp-14, 0x1.d078cc5f1d1p-14, 0x1.c5bf58278dfe9p-14, 0x1.bb34304a1bc66p-14, 0x1.b0d56cf6f5e7bp-14, 0x1.a6a141e0dee74p-14, 0x1.9c95fd1405a4ap-14, 0x1.92b205d629ac9p-14, 0x1.88f3db8fe98e5p-14, 0x1.7f5a14befe521p-14, 0x1.75e35df12a98p-14, 0x1.6c8e78c7a7dfep-14, 0x1.635a3b02de73dp-14, 0x1.5a458d963246cp-14, 0x1.514f6bc3b142p-14, 0x1.4876e23f7201ap-14, 0x1.3fbb0e5a70049p-14, 0x1.371b1d34b2e03p-14, 0x1.2e964af695c4cp-14, 0x1.262be210f9d34p-14, 0x1.1ddb3a8438cp-14, 0x1.15a3b92dab15ap-14, 0x1.0d84cf1b922cap-14, 0x1.057df8e73c3bep-14, 0x1.fb1d7c2a71c76p-15, 0x1.eb6d60f6e0e43p-15, 0x1.dbead759f1e6ap-15, 0x1.cc9528d6f74eep-15, 0x1.bd6bb03c12016p-15, 0x1.ae6dd89a5e0ep-15, 0x1.9f9b1c485f14ap-15, 0x1.90f303ee5d612p-15, 0x1.8275259c6dd88p-15, 0x1.742123e9db37dp-15, 0x1.65f6ad1dac303p-15, 0x1.57f57a5ffe52p-15, 0x1.4a1d4ef3fa537p-15, 0x1.3c6df77a13e13p-15, 0x1.2ee7493a64549p-15, 0x1.21892176d1c56p-15, 0x1.145364c4d1761p-15, 0x1.0745fe6e823c8p-15, 0x1.f4c1bfb5d0443p-16, 0x1.db47fffa1d03bp-16, 0x1.c21eb593aeb75p-16, 0x1.a945e1688a1dcp-16, 0x1.90bd8c60083e7p-16, 0x1.7885c6740c5a3p-16, 0x1.609ea5cdebd9ep-16, 0x1.490845eeb052cp-16, 0x1.31c2c6e246d0dp-16, 0x1.1ace4c7d47616p-16, 0x1.042afda4f7e7ep-16, 0x1.dbb207424aba3p-17, 0x1.afb112ef1f77cp-17, 0x1.845376a0f6293p-17, 0x1.59998bc85c967p-17, 0x1.2f83abe1df0c2p-17, 0x1.06122f729c302p-17, 0x1.ba8ada294e511p-18, 0x1.6a3b712587464p-18, 0x1.1b36c425b7419p-18, 0x1.9afad53a8a06dp-19, 0x1.021fe3677c98fp-19, 0x1.af76d75d460e8p-21, -0x1.3e5651d766188p-22, -0x1.71b19f5b582b6p-20, -0x1.474bab99c2201p-19, -0x1.d322cf46b1c66p-19, -0x1.2e2ee6fa0dd82p-18, -0x1.717e2f3d0ace3p-18, -0x1.b37f2e6116bc8p-18, -0x1.f431e58d5aabcp-18, -0x1.19cb34d97f438p-17, -0x1.38d67209c2403p-17, -0x1.573ac95b53609p-17, -0x1.74f864683aceep-17, -0x1.920f778c3482dp-17, -0x1.ae8042090da97p-17, -0x1.ca4b0e2427e2fp-17, -0x1.e570313d8555bp-17, -0x1.fff00be092323p-17, -0x1.0ce584e78c972p-16, -0x1.1980d1034ab44p-16, -0x1.25ca2b601ef7fp-16, -0x1.31c1dab60020fp-16, -0x1.3d682b535eaa9p-16, -0x1.48bd6f160223dp-16, -0x1.53c1fd61c67d8p-16, -0x1.5e76331554b15p-16, -0x1.68da727cfa106p-16, -0x1.72ef2343b99b7p-16, -0x1.7cb4b262ad02dp-16, -0x1.862b920edda7dp-16, -0x1.8f5439a59cd49p-16, -0x1.982f2597871eap-16, -0x1.a0bcd7523e7c7p-16, -0x1.a8fdd528f5b5fp-16, -0x1.b0f2aa3be4f87p-16, -0x1.b89be65ebb028p-16, -0x1.bffa1dfe22ae6p-16, -0x1.c70dea0469d4ap-16, -0x1.cdd7e7bd6658cp-16, -0x1.d458b8b9a4e73p-16, -0x1.da9102b0f1402p-16, -0x1.e0816f6451fe5p-16, -0x1.e62aac7f7f102p-16, -0x1.eb8d6b79e6563p-16, -0x1.f0aa61774cd1fp-16, -0x1.f58247281c3dbp-16, -0x1.fa15d8a965b41p-16, -0x1.fe65d564acdbdp-16, -0x1.01397ff7c1c22p-15, -0x1.031f0ef5826a7p-15, -0x1.04e3fbf19aea1p-15, -0x1.0688ac972f001p-15, -0x1.080d87e62dcabp-15, -0x1.0972f62300f5ep-15, -0x1.0ab960c6437a7p-15, -0x1.0be1326c866aep-15, -0x1.0cead6c627671p-15, -0x1.0dd6ba873b3d6p-15, -0x1.0ea54b5791681p-15, -0x1.0f56f7c2d79adp-15, -0x1.0fec2f28d79e2p-15, -0x1.106561adde3cfp-15, -0x1.10c3002b4524bp-15, -0x1.11057c20257cap-15, -0x1.112d47a23899dp-15, -0x1.113ad54ee4a8ep-15, -0x1.112e983c7bc7ap-15, -0x1.110903ebaaadfp-15, -0x1.10ca8c391fe72p-15, -0x1.1073a54f67494p-15, -0x1.1004c398fc8c5p-15, -0x1.0f7e5bb29c35ep-15, -0x1.0ee0e25dc91e9p-15, -0x1.0e2ccc7395b3ap-15, -0x1.0d628ed7a5c96p-15, -0x1.0c829e6b71478p-15, -0x1.0b8d7001c8c44p-15, -0x1.0a837852964a7p-15, -0x1.09652beee4615p-15, -0x1.0832ff35247d8p-15, -0x1.06ed6645ba425p-15, -0x1.0594d4f7c856p-15, -0x1.0429bece42628p-15, -0x1.02ac96ed42764p-15, -0x1.011dd00fa391ap-15, -0x1.fefbb8f9be6f9p-16, -0x1.fb9a5bfe63f3ep-16, -0x1.f8186bb4060b5p-16, -0x1.f476c9811edecp-16, -0x1.f0b65599bbcfap-16, -0x1.ecd7eeede525ep-16, -0x1.e8dc73189188cp-16, -0x1.e4c4be4f2489ap-16, -0x1.e091ab516e2adp-16, -0x1.dc44135a36309p-16, -0x1.d7dcce1049df4p-16, -0x1.d35cb17810785p-16, -0x1.cec491e5a16c1p-16, -0x1.ca1541ef614a6p-16, }}, 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
    }}, 
    {
      50, 0x1.8a3d70a3d70a4p+1, 0x1.4f2c15d2cc3a7p+1, 0x1.85d1938dafa8bp+1, -0x1.5758468eabe4ap-6, 
      {{
        {0x1.15c28f5c28f5cp+1, 0x1.1816f0068db8cp+1, 0x1.9ed1401491335p-5, -0x1.7fef8a48c795p-3, 0x1.f6ac93dbccd02p-3, 0x1.3f4a00e1a39f6p-5}, 
        {0x1.1816f0068db8cp+1, 0x1.1a6b50b0f27bbp+1, 0x1.8388e97d6f87fp-5, -0x1.6d8f1d895c08p-3, 0x1.fb084d2348815p-3, -0x1.8f1c811998f3dp-3}, 
        {0x1.1a6b50b0f27bbp+1, 0x1.1cbfb15b573ebp+1, 0x1.699593e1afefp-5, -0x1.5b7fea4f2496p-3, 0x1.e53daebde45a9p-3, -0x1.0844ea565dec3p-3}, 
        {0x1.1cbfb15b573ebp+1, 0x1.1f141205bc01ap+1, 0x1.50ec40d1189b6p-5, -0x1.4a19795d3f7e7p-3, 0x1.d6cfd55a0bf93p-3, -0x1.25ed0863a9d7p-3}, 
        {0x1.1f141205bc01ap+1, 0x1.216872b020c4ap+1, 0x1.3982227f67dc6p-5, -0x1.3941088f55b62p-3, 0x1.c6c37461b65cbp-3, -0x1.1799cbc8cf4b9p-3}, 
        {0x1.216872b020c4ap+1, 0x1.23bcd35a85879p+1, 0x1.234c9b641f0e6p-5, -0x1.28fa7e5b08b17p-3, 0x1.b77f4e9471b2ep-3, -0x1.150b3c9f27f5bp-3}, 
        {0x1.23bcd35a85879p+1, 0x1.26113404ea4a9p+1, 0x1.0e413db1123b8p-5, -0x1.19418f51d460bp-3, 0x1.a85ee5f1f30d1p-3, -0x1.0f6e04b2795cdp-3}, 
        {0x1.26113404ea4a9p+1, 0x1.286594af4f0d8p+1, 0x1.f4ab968953574p-6, -0x1.0a142751e255fp-3, 0x1.998cf62cd00f2p-3, -0x1.0aaf1eba90ebap-3}, 
        {0x1.286594af4f0d8p+1, 0x1.2ab9f559b3d08p+1, 0x1.cf006a09e94adp-6, -0x1.f6df475b3042ep-4, 0x1.8afd5bc48547ap-3, -0x1.05b1157ee6d43p-3}, 
        {0x1.2ab9f559b3d08p+1, 0x1.2d0e560418937p+1, 0x1.ab6d3535e27d2p-6, -0x1.daa3146c0a0ffp-4, 0x1.7cb3893cb8acep-3, -0x1.00e2ac1938323p-3}, 
        {0x1.2d0e560418937p+1, 0x1.2f62b6ae7d567p+1, 0x1.89de94ae1ef81p-6, -0x1.bf6eb993d6853p-4, 0x1.6eace4e8cf5c9p-3, -0x1.f81d4f5a4ebcap-4}, 
        {0x1.2f62b6ae7d567p+1, 0x1.31b71758e2196p+1, 0x1.6a4180e18e664p-6, -0x1.a53d4ff10083dp-4, 0x1.60e9bd22fdb2bp-3, -0x1.ee770d39b4135p-4}, 
        {0x1.31b71758e2196p+1, 0x1.340b780346dc6p+1, 0x1.4c834dbab973p-6, -0x1.8c09ee3b81bdfp-4, 0x1.536a058156c29p-3, -0x1.e509146e9d583p-4}, 
        {0x1.340b780346dc6p+1, 0x1.365fd8adab9f5p+1, 0x1.3091aa4d4b2b6p-6, -0x1.73cfb9f0a0cbap-4, 0x1.462c34a3e6617p-3, -0x1.db9a4d01aab31p-4}, 
        {0x1.365fd8adab9f5p+1, 0x1.38b4395810625p+1, 0x1.165a9f70b99fap-6, -0x1.5c89e6aab3306p-4, 0x1.3930502ec91eap-3, -0x1.d23c09a753646p-4}, 
        {0x1.38b4395810625p+1, 0x1.3b089a0275254p+1, 0x1.fb991ea4a4c85p-7, -0x1.4633ac031475bp-4, 0x1.2c75e4b4d7751p-3, -0x1.c8f37c461635dp-4}, 
        {0x1.3b089a0275254p+1, 0x1.3d5cfaacd9e84p+1, 0x1.cdac69d79463fp-7, -0x1.30c84b4c9ed79p-4, 0x1.1ffc5a7a81802p-3, -0x1.bfceb8b3d1679p-4}, 
        {0x1.3d5cfaacd9e84p+1, 0x1.3fb15b573eab3p+1, 0x1.a2cd464eabd02p-7, -0x1.1c43147ac6005p-4, 0x1.13c2b761bb31ep-3, -0x1.b6903db92d52fp-4}, 
        {0x1.3fb15b573eab3p+1, 0x1.4205bc01a36e3p+1, 0x1.7ada880787192p-7, -0x1.089f5a10ea809p-4, 0x1.07c9af24a3331p-3, -0x1.ada63b475dac3p-4}, 
        {0x1.4205bc01a36e3p+1, 0x1.445a1cac08312p+1, 0x1.55b3b0f1fad9ap-7, -0x1.ebb0fb098b89ep-5, 0x1.f81de6d35b23ap-4, -0x1.a49364994847fp-4}, 
        {0x1.445a1cac08312p+1, 0x1.46ae7d566cf42p+1, 0x1.3338ed9675bfap-7, -0x1.c7d3d6cc6dc58p-5, 0x1.e1274312df215p-4, -0x1.9bb54f3b3cad5p-4}, 
        {0x1.46ae7d566cf42p+1, 0x1.4902de00d1b71p+1, 0x1.134b1568772bcp-7, -0x1.a59e269b95b47p-5, 0x1.caac91a3f6b24p-4, -0x1.92e02fe895aeap-4}, 
        {0x1.4902de00d1b71p+1, 0x1.4b573eab367a1p+1, 0x1.eb9751209f28fp-8, -0x1.8506e90e95bcap-5, 0x1.b4ad5545654eep-4, -0x1.8a1e4df8ace71p-4}, 
        {0x1.4b573eab367a1p+1, 0x1.4dab9f559b3dp+1, 0x1.b5399d2c8e8fep-8, -0x1.66052b1622dd2p-5, 0x1.9f28810a18b14p-4, -0x1.81709a113b77bp-4}, 
        {0x1.4dab9f559b3dp+1, 0x1.5p+1, 0x1.8342aa26891b9p-8, -0x1.48900db14df7dp-5, 0x1.8a1cfae1526d3p-4, -0x1.78d537282983ap-4}, 
        {0x1.5p+1, 0x1.525460aa64c3p+1, 0x1.55795c75ec524p-8, -0x1.2c9ec5753dfd8p-5, 0x1.7589c2c631d93p-4, -0x1.704d70f25f5e9p-4}, 
        {0x1.525460aa64c3p+1, 0x1.54a8c154c985fp+1, 0x1.2ba5deecf7f4fp-8, -0x1.12289a433e86cp-5, 0x1.616dc6975fbcdp-4, -0x1.67d9702f6b405p-4}, 
        {0x1.54a8c154c985fp+1, 0x1.56fd21ff2e48fp+1, 0x1.05919fe821c3dp-8, -0x1.f249d00c7f4cfp-6, 0x1.4dc7f1f9f4c34p-4, -0x1.5f7588e6f17bcp-4}, 
        {0x1.56fd21ff2e48fp+1, 0x1.595182a9930bep+1, 0x1.c60e9cf0d003p-9, -0x1.c31639d2a68c9p-6, 0x1.3a9763e5906f3p-4, -0x1.57294d253b3b4p-4}, 
        {0x1.595182a9930bep+1, 0x1.5ba5e353f7ceep+1, 0x1.87a5af733deeep-9, -0x1.96a576a6f75a5p-6, 0x1.27dad1808fdp-4, -0x1.4eeb856898e26p-4}, 
        {0x1.5ba5e353f7ceep+1, 0x1.5dfa43fe5c91dp+1, 0x1.4f82c77595f36p-9, -0x1.6ce6b22279f2fp-6, 0x1.159170c58d32dp-4, -0x1.46c49e68ff8d7p-4}, 
        {0x1.5dfa43fe5c91dp+1, 0x1.604ea4a8c154dp+1, 0x1.1d42a5d4d6d59p-9, -0x1.45c93ddae07a9p-6, 0x1.03ba01ed62fbep-4, -0x1.3ead817f851d4p-4}, 
        {0x1.604ea4a8c154dp+1, 0x1.62a305532617cp+1, 0x1.e108ec5348ffp-10, -0x1.213c92be9a84cp-6, 0x1.e4a7508accd4dp-5, -0x1.36ac3263e5fep-4}, 
        {0x1.62a305532617cp+1, 0x1.64f765fd8adacp+1, 0x1.91d392e9c60f9p-10, -0x1.fe609ffa22b64p-7, 0x1.c2ba6612bb9a6p-5, -0x1.2ebbe5c484e36p-4}, 
        {0x1.64f765fd8adacp+1, 0x1.674bc6a7ef9dbp+1, 0x1.4c2d2064c6738p-10, -0x1.bf28788916542p-7, 0x1.a1ab68f010369p-5, -0x1.26e112d4f5d5ap-4}, 
        {0x1.674bc6a7ef9dbp+1, 0x1.69a027525460bp+1, 0x1.0f6229b3053a2p-10, -0x1.84b08ad92551ep-7, 0x1.817800c9db90bp-5, -0x1.1f15c9b515c3dp-4}, 
        {0x1.69a027525460bp+1, 0x1.6bf487fcb923ap+1, 0x1.b587d80e8a2abp-11, -0x1.4ed8fded58acdp-7, 0x1.621e7b3f9b3c1p-5, -0x1.1760f943fc219p-4}, 
        {0x1.6bf487fcb923ap+1, 0x1.6e48e8a71de6ap+1, 0x1.5b5084bb02d06p-11, -0x1.1d824623a0b3ap-7, 0x1.439c641fe9e47p-5, -0x1.0fbd5bfac92d5p-4}, 
        {0x1.6e48e8a71de6ap+1, 0x1.709d495182a99p+1, 0x1.0ed332bc9daf1p-11, -0x1.e11a512cef2fbp-8, 0x1.25efda97ad371p-5, -0x1.082d71c39b487p-4}, 
        {0x1.709d495182a99p+1, 0x1.72f1a9fbe76c9p+1, 0x1.9d9b91a39c992p-12, -0x1.8fb56af171538p-8, 0x1.0916b7f2da9f1p-5, -0x1.00b0278e8e541p-4}, 
        {0x1.72f1a9fbe76c9p+1, 0x1.75460aa64c2f8p+1, 0x1.340e490364ad2p-12, -0x1.469895f84d903p-8, 0x1.da1de70da3ac2p-6, -0x1.f28de147728efp-5}, 
        {0x1.75460aa64c2f8p+1, 0x1.779a6b50b0f28p+1, 0x1.bd3c0e2424a2cp-13, -0x1.05872c2a7cb12p-8, 0x1.a3acb83b647a4p-6, -0x1.e3dbe32a045dap-5}, 
        {0x1.779a6b50b0f28p+1, 0x1.79eecbfb15b57p+1, 0x1.35f7b46cc1497p-13, -0x1.988a36550ab9cp-9, 0x1.6ed658aad2cb7p-6, -0x1.d5638136b849ap-5}, 
        {0x1.79eecbfb15b57p+1, 0x1.7c432ca57a787p+1, 0x1.9ba8db4bf4165p-14, -0x1.352e0fb96b1a5p-9, 0x1.3b947ddc0aa77p-6, -0x1.c6c92da1123b4p-5}, 
        {0x1.7c432ca57a787p+1, 0x1.7e978d4fdf3b6p+1, 0x1.00f32834709efp-14, -0x1.c1071d3d3870dp-10, 0x1.09eadcb78235ap-6, -0x1.b9626fd6bf632p-5}, 
        {0x1.7e978d4fdf3b6p+1, 0x1.80ebedfa43fe6p+1, 0x1.26c263d37101p-15, -0x1.34316dd9a83c1p-10, 0x1.b36fbd453c84ep-7, -0x1.a833acc34df97p-5}, 
        {0x1.80ebedfa43fe6p+1, 0x1.83404ea4a8c15p+1, 0x1.2b25503d93d07p-16, -0x1.85c43191d86b2p-11, 0x1.56ca71a6aa41bp-7, -0x1.a5d64a6c26961p-5}, 
        {0x1.83404ea4a8c15p+1, 0x1.8594af4f0d845p+1, 0x1.f44aebaca9866p-18, -0x1.b1e7f61449f16p-12, 0x1.f552ba9a32dfep-8, -0x1.6ce04e7bd4d9bp-5}, 
        {0x1.8594af4f0d845p+1, 0x1.87e90ff972474p+1, 0x1.25ce32b7f0654p-19, -0x1.78b153add011bp-13, 0x1.55f1fb08c4b0bp-8, -0x1.003005046cbc2p-4}, 
        {0x1.87e90ff972474p+1, 0x1.8a3d70a3d70a4p+1, 0x1.2327291171d87p-22, -0x1.b2f4ea5bf37fdp-15, 0x1.d88f1fd3b6cb5p-10, 0x1.89cbe2961d3ccp-3}, 
      }}, 
      -0x1.ed1e535f11682p+3, 0x1.2ff83406fd189p+8
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_h_h() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x0p+0, 0x1.4727dcbddb984p-15, -0x1.e8a753968009ap-3, -0x1.0e5604189374cp-5, 0x1.636e2eb1c432dp-2, 0x1.f7b4a2339c0ecp-2, 0x1.ad916872b020cp-2, 0, 0, 1}, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.11d6e57309117p-1, -0x1.0fba6b9df4482p-1, -0x1.0d94cdf5af1cap-1, -0x1.0b67085b8c88fp-1, -0x1.093206f2a5cbcp-1, -0x1.06f6a6b06a363p-1, -0x1.04b5b6404e42ap-1, -0x1.026ff721bd53bp-1, -0x1.00261d6a2e0bbp-1, -0x1.fbb1a2acedbaap-2, -0x1.f7115eccf1c1fp-2, -0x1.f26c93f703a0ap-2, -0x1.edc450298481p-2, -0x1.e919853704d5ap-2, -0x1.e46d3ad60b404p-2, -0x1.dfc02abe61f6ap-2, -0x1.db1325173a1c4p-2, -0x1.d666e848e8e91p-2, -0x1.d1bc1909e8efdp-2, -0x1.cd13562cca1aep-2, -0x1.c86d31c38ac73p-2, -0x1.c3ca15c4c0723p-2, -0x1.bf2aab66af08cp-2, -0x1.ba8f4a960490ep-2, -0x1.b5f858e495f19p-2, -0x1.b16632c72c846p-2, -0x1.acd92c3f48f03p-2, -0x1.a85191ba5e0eep-2, -0x1.a3cfa844bbdbdp-2, -0x1.9f53adf020ab2p-2, -0x1.9adddae0c0d02p-2, -0x1.966e609a9bcf2p-2, -0x1.92056e13f5639p-2, -0x1.8da32903bf303p-2, -0x1.8947b59bd8b91p-2, -0x1.84f3332f5999p-2, -0x1.80a5bcc21b2f7p-2, -0x1.7c5f6a5082089p-2, -0x1.78204f65a15f7p-2, -0x1.73e87f5cb9976p-2, -0x1.6fb8079461792p-2, -0x1.6b8ef4b4390c1p-2, -0x1.676d510fa542p-2, -0x1.6353243c31a7fp-2, -0x1.5f407c580f8f3p-2, -0x1.5b35474998404p-2, -0x1.57319d5a7f0c6p-2, -0x1.53357c7fa05b5p-2, -0x1.4f40e17d1d5ap-2, -0x1.4b53cd114ea1p-2, -0x1.476e3d9826314p-2, -0x1.439031205cd3ap-2, -0x1.3fb9a46ca0f3bp-2, -0x1.3bea9400ae8bbp-2, -0x1.3822fb063ac59p-2, -0x1.3462d6444a1ep-2, -0x1.30aa1f9254911p-2, -0x1.2cf8d2766576ep-2, -0x1.294ee69abfdf8p-2, -0x1.25ac5af21a2c6p-2, -0x1.22112603fdedp-2, -0x1.1e7d42b853c6bp-2, -0x1.1af0aaf943e75p-2, -0x1.176b5727a1367p-2, -0x1.13ed43b677dbbp-2, -0x1.1076692224d04p-2, -0x1.0d06c168457c3p-2, -0x1.099e462d58da8p-2, -0x1.063cf1b406c13p-2, -0x1.02e2bdc839ed2p-2, -0x1.ff1f4801adf3ap-3, -0x1.f8874113508fap-3, -0x1.f1fd57c43a5e6p-3, -0x1.eb8182253edf9p-3, -0x1.e513b5786102dp-3, -0x1.deb3e5cd65e64p-3, -0x1.d8620cdc7f51bp-3, -0x1.d21e1c77a8085p-3, -0x1.cbe80c25b6c54p-3, -0x1.c5bfd25d9de69p-3, -0x1.bfa5655c48f2cp-3, -0x1.b998bbad23df5p-3, -0x1.b399cd0a01ed3p-3, -0x1.ada890196b2ffp-3, -0x1.a7c4fc351e64bp-3, -0x1.a1ef0a5585ee8p-3, -0x1.9c26ad737052p-3, -0x1.966be2a7e5e1ap-3, -0x1.90be9d95fa2bdp-3, -0x1.8b1ed8bdf9a84p-3, -0x1.858c8add80c06p-3, -0x1.8007acc619f11p-3, -0x1.7a903576dd3bep-3, -0x1.75261d13165e7p-3, -0x1.6fc95ae3c23bp-3, -0x1.6a79ead20c031p-3, -0x1.6537c03111e1fp-3, -0x1.6002d397d0e85p-3, -0x1.5adb1e92b4a5p-3, -0x1.55c09753b006ep-3, -0x1.50b335eb4b3fap-3, -0x1.4bb2f18e71655p-3, -0x1.46bfc1b4e9df2p-3, -0x1.41d99d67ddf02p-3, -0x1.3d007bb93d60fp-3, -0x1.383452b2a9ca7p-3, -0x1.337519a1504d6p-3, -0x1.2ec2c7ba08a5dp-3, -0x1.2a1d5114cab15p-3, -0x1.2584ad457202p-3, -0x1.20f8d0eb3aeafp-3, -0x1.1c79b1bf7a8dp-3, -0x1.180744f36e783p-3, -0x1.13a17f3bdb828p-3, -0x1.0f48556b1b109p-3, -0x1.0afbbb5ce1884p-3, -0x1.06bba5ba3fcc9p-3, -0x1.0288073b4b2eep-3, -0x1.fcc1a8f0369a4p-4, -0x1.f48bfdec2a9bdp-4, -0x1.ec6ef5e5fb47ap-4, -0x1.e46a7471c7244p-4, -0x1.dc7e5dea9e196p-4, -0x1.d4aa96dc0995ap-4, -0x1.cceeff4acacb2p-4, -0x1.c54b7c680853cp-4, -0x1.bdbfeee97ac73p-4, -0x1.b64c37cb4573dp-4, -0x1.aef036ffb2868p-4, -0x1.a7abcc980a3f8p-4, -0x1.a07ed85dd6a0fp-4, -0x1.9969357a02c7p-4, -0x1.926ac3f663127p-4, -0x1.8b8362b33c518p-4, -0x1.84b2fc76fcc5ep-4, -0x1.7df944f2238e1p-4, -0x1.77562999e5a51p-4, -0x1.70c99634a1fd1p-4, -0x1.6a535817e0f7ep-4, -0x1.63f34966445dap-4, -0x1.5da94329deb24p-4, -0x1.57751d675bbc4p-4, -0x1.5156afcc131b8p-4, -0x1.4b4dd14accfebp-4, -0x1.455a58dd7c9f1p-4, -0x1.3f7c1ce15d2cap-4, -0x1.39b2f347154ebp-4, -0x1.33fe47a795eabp-4, -0x1.2e5eb8d2dc9e4p-4, -0x1.28d3be06ed7efp-4, -0x1.235d288850c7bp-4, -0x1.1dfacb383e497p-4, -0x1.18ac7b4f7e235p-4, -0x1.13720b81906b9p-4, -0x1.0e4b4ed70f625p-4, -0x1.093818e35fb09p-4, -0x1.04383a32d66abp-4, -0x1.fe971315d6eb7p-5, -0x1.f4e3aa684cce1p-5, -0x1.eb55e1cb6a6cap-5, -0x1.e1ed2855b6badp-5, -0x1.d8a9be7bbd077p-5, -0x1.cf8aacebffdebp-5, -0x1.c68fc84ecabf3p-5, -0x1.bdb8bae60721p-5, -0x1.b505208b279fp-5, -0x1.ac74a067f86f3p-5, -0x1.a406ddaea04e6p-5, -0x1.9bbb79fad6bffp-5, -0x1.939212b4afd39p-5, -0x1.8b8a645409f18p-5, -0x1.83a3f74172217p-5, -0x1.7bde7722f5b69p-5, -0x1.74398bc01cf34p-5, -0x1.6cb4d19528cc7p-5, -0x1.654ff2a975d52p-5, -0x1.5e0a8c8df4137p-5, -0x1.56e4470d01fe3p-5, -0x1.4fdcc3d6436c5p-5, -0x1.48f3a76131379p-5, -0x1.4228925d2a14ep-5, -0x1.3b7b2ba0f8fa6p-5, -0x1.34eb138bee6bbp-5, -0x1.2e77ee6fc9da7p-5, -0x1.2821550fd113p-5, -0x1.21e7070d0393p-5, -0x1.1bc88e50bbf0ap-5, -0x1.15c5931f1ad2cp-5, -0x1.0fddb97f6541bp-5, -0x1.0a10a6df96c7cp-5, -0x1.045dfc7d62555p-5, -0x1.fd8abe58a6422p-6, -0x1.f28ce2a32b299p-6, -0x1.e7c1adffbcd3cp-6, -0x1.dd286b912d48cp-6, -0x1.d2c0627f4e97fp-6, -0x1.c888debeb7493p-6, -0x1.be8134c28110cp-6, -0x1.b4a8951c0e596p-6, -0x1.aafe674cb1cbbp-6, -0x1.a181efeb563d7p-6, -0x1.983288cccf623p-6, -0x1.8f0f7b919e521p-6, -0x1.86181f88ee502p-6, -0x1.7d4bc7d0b486ep-6, -0x1.74a9db06fd561p-6, -0x1.6c31986f1a881p-6, -0x1.63e28e1b6410ep-6, -0x1.5bbbcbbccd263p-6, -0x1.53bd07d9cb648p-6, -0x1.4be560f4a0906p-6, -0x1.44346b4a7a7f8p-6, -0x1.3ca981abb3d0dp-6, -0x1.35440c52d5a29p-6, -0x1.2e037f47280e4p-6, -0x1.26e740db9a7cep-6, -0x1.1fee54a92dadep-6, -0x1.19199604004e7p-6, -0x1.12670ba0457f3p-6, -0x1.0bd6b3969d3ecp-6, -0x1.0567f807a7599p-6, -0x1.fe34de72f3de3p-7, -0x1.f1dafdffcf947p-7, -0x1.e5c167117e242p-7, -0x1.d9e71cdc59605p-7, -0x1.ce4b1a5944fc1p-7, -0x1.c2ec808dd0d13p-7, -0x1.b7ca5c617c99ap-7, -0x1.ace3aab0a3654p-7, -0x1.a2378c66368b8p-7, -0x1.97c52b77ab799p-7, -0x1.8d8b549fe3fe6p-7, -0x1.83896f9f76d47p-7, -0x1.79be7e65b2c49p-7, -0x1.7029a1cf4502ep-7, -0x1.66c9f3f2dd3ecp-7, -0x1.5d9e9619d1701p-7, -0x1.54a6b2bfa8aadp-7, -0x1.4be16c3dab84p-7, -0x1.434dee4291167p-7, -0x1.3aeb59b4d3a7dp-7, -0x1.32b8d508a5dd9p-7, -0x1.2ab59721c289bp-7, -0x1.22e1073b9b549p-7, -0x1.1b39a3321f6d6p-7, -0x1.13bf4c93ec5f3p-7, -0x1.0c70fa18a4a05p-7, -0x1.054de8a142a8bp-7, -0x1.fcaa8f034eb77p-8, -0x1.ef0ca577a079bp-8, -0x1.e1c08f8f968b5p-8, -0x1.d4c4a8fb5e7f2p-8, -0x1.c817a948a9aa2p-8, -0x1.bbb7e5648a696p-8, -0x1.afa3d11f0dddp-8, -0x1.a3da53f0b9dc9p-8, -0x1.9859825b8bfa1p-8, -0x1.8d20521274881p-8, -0x1.822d173f85bd4p-8, -0x1.777e94bf6d822p-8, -0x1.6d135320d7c12p-8, -0x1.62e9fc542821ep-8, -0x1.590138b03b905p-8, -0x1.4f57822f66353p-8, -0x1.45ec0da0731ebp-8, -0x1.3cbd0a1bb5748p-8, -0x1.33c95cf710649p-8, -0x1.2b0fc034854bdp-8, -0x1.228ef5758bb39p-8, -0x1.1a45ae1c456d1p-8, -0x1.1232de61d7b59p-8, -0x1.0a5523266e45bp-8, -0x1.02ab63943c5e4p-8, -0x1.f668eb8c3de15p-9, -0x1.e7de54ce8e891p-9, -0x1.d9b4cecf88372p-9, -0x1.cbea0e21a7f66p-9, -0x1.be7bf3dce26ap-9, -0x1.b16854f00cf74p-9, -0x1.a4ad11ac0f26ap-9, -0x1.98481e2d6387ap-9, -0x1.8c3763c11767ep-9, -0x1.8078de6f41e85p-9, -0x1.750ad8613dd94p-9, -0x1.69eae617f1f7ap-9, -0x1.5f17f0de9f6afp-9, -0x1.548f7c0fd23acp-9, -0x1.4a508e5d0f5bap-9, -0x1.4057f1df5508cp-9, -0x1.36a47779a08c6p-9, -0x1.2d354cfc8bd7cp-9, -0x1.240847a43c81fp-9, -0x1.1b1c16a481565p-9, -0x1.126e5a7635e01p-9, -0x1.09fe5d37d96f4p-9, -0x1.01ca60c50d1fap-9, -0x1.f3a1fd15ed677p-10, -0x1.e4213a502bc54p-10, -0x1.d51014a7ac6eep-10, -0x1.c66a55edd7017p-10, -0x1.b83149827039fp-10, -0x1.aa5e75350f155p-10, -0x1.9cf09a248250dp-10, -0x1.8fe53e7004f5dp-10, -0x1.8339f2dc62fefp-10, -0x1.76ec266e918f4p-10, -0x1.6af9e299cdf9cp-10, -0x1.5f60a1161db5cp-10, -0x1.541e18a119839p-10, -0x1.493037a8900cfp-10, -0x1.3e94cbdf3f1fcp-10, -0x1.3449b8a17ec0cp-10, -0x1.2a4b1a263278dp-10, -0x1.209c78010496fp-10, -0x1.17364631f85acp-10, -0x1.0e066d226eb94p-10, -0x1.0531409ec5dcdp-10, -0x1.f9420dcd04b67p-11, -0x1.e8a608d13902cp-11, -0x1.d88b884f60e26p-11, -0x1.c8ef0ad443d3ap-11, -0x1.b9cd28352c5adp-11, -0x1.ab221c436999dp-11, -0x1.9cebf6516a63ep-11, -0x1.8f27bbeb66866p-11, -0x1.81ce9e421f065p-11, -0x1.74e1a8c6884e1p-11, -0x1.685c1e9694444p-11, -0x1.5c3674abbfb45p-11, -0x1.507ce5bb7e078p-11, -0x1.451d20b5ecf79p-11, -0x1.3a1a1aab17399p-11, -0x1.2f70ec1f36e49p-11, -0x1.251ef11fbc053p-11, -0x1.1b260a06c2739p-11, -0x1.11769db7eb098p-11, -0x1.081b9684c72d1p-11, -0x1.fe1b7b3dd3d0ap-12, -0x1.ec96b470bd625p-12, -0x1.dba34fc90d4b2p-12, -0x1.cb3d9f131cba4p-12, -0x1.bb612643214b3p-12, -0x1.ac0981d2f9c0ep-12, -0x1.9d3804a7821f6p-12, -0x1.8edd9ea8aa786p-12, -0x1.80fa830589afbp-12, -0x1.73904bfd4ce6ep-12, -0x1.6697a7de37e6dp-12, -0x1.5a0e23d4c5cdcp-12, -0x1.4debf96958da6p-12, -0x1.42378810c308dp-12, -0x1.36e46ef69f3bep-12, -0x1.2bf2ea7636918p-12, -0x1.215e51b1cecddp-12, -0x1.1726109fb5cc8p-12, -0x1.0d455cdc0b95p-12, -0x1.03ba1555b800dp-12, -0x1.f502bd1a35e27p-13, -0x1.e33914de3d5dp-13, -0x1.d1fb556a86217p-13, -0x1.c159414b45bc4p-13, -0x1.b14854d1d699ap-13, -0x1.a1c3b2adaf832p-13, -0x1.92c6343a9a645p-13, -0x1.844cb51a239bcp-13, -0x1.764f01a4d4c95p-13, -0x1.68cd3cb3b9e83p-13, -0x1.5bc1101c35e7p-13, -0x1.4f283a86c10dap-13, -0x1.42fc581a19b2bp-13, -0x1.373b0ffdd9acep-13, -0x1.2bd231fb9c51dp-13, -0x1.20f48ee901559p-13, -0x1.1657cbe03ef4dp-13, -0x1.0c1a718be1abbp-13, -0x1.023a5afa30deep-13, -0x1.f1605d6a9c60ap-14, -0x1.def46acea6c3ep-14, -0x1.cd26f33318266p-14, -0x1.bbf81443d490dp-14, -0x1.ab5c7416ae84fp-14, -0x1.9b573f2e74f39p-14, -0x1.8bd554b777dbep-14, -0x1.7cde0af99dffdp-14, -0x1.6e699cab55cf8p-14, -0x1.606fb06a1676fp-14, -0x1.52f13643a86p-14, -0x1.45e66ec54c9fbp-14, -0x1.394b8eb6b2515p-14, -0x1.2d1ca7d01b3c6p-14, -0x1.215e8d5bffe5p-14, -0x1.15f6bd492ebeap-14, -0x1.0af7cc52e209bp-14, -0x1.0056016fddbf1p-14, -0x1.ec170a7c550bfp-15, -0x1.d846fba0a2e34p-15, -0x1.c4fbc251b3047p-15, -0x1.b265af94a7513p-15, -0x1.a068aad6d2961p-15, -0x1.8f01911756342p-15, -0x1.7e2bcab89e231p-15, -0x1.6ddea843a4424p-15, -0x1.5e1af2eb39d7ep-15, -0x1.4ed733f6d95e5p-15, -0x1.4010bf811ae8bp-15, -0x1.31c8dc698c912p-15, -0x1.23e566be6083dp-15, -0x1.16834a4121088p-15, -0x1.0982242ec8da4p-15, -0x1.f9c7f125df2b1p-16, -0x1.e1624777e6bf9p-16, -0x1.c9bc148643265p-16, -0x1.b2cfd32d48c5ep-16, -0x1.9c97922d755d3p-16, -0x1.871081cf199eap-16, -0x1.721d6bd59170fp-16, -0x1.5de29e5fb5bebp-16, -0x1.4a30d4a3437d4p-16, -0x1.362beebc93e7bp-16, -0x1.24ba587bd1998p-16, -0x1.12ad080151767p-16, -0x1.0140e308597a4p-16, -0x1.e0a3aacfe9e41p-17, -0x1.bfbcf7cce4512p-17, -0x1.a06895e604864p-17, -0x1.80d0085980532p-17, -0x1.62bab193c4112p-17, -0x1.4577494a71377p-17, -0x1.2911310cfcc5bp-17, -0x1.0d781ebf142ecp-17, -0x1.e585972c68c98p-18, -0x1.b22ae8427f7ap-18, -0x1.7d07bf728e2f1p-18, -0x1.4d0eeb647c0bcp-18, -0x1.1d3fe5cf368cfp-18, -0x1.dd5df9875c5c9p-19, -0x1.82d510b580e0cp-19, -0x1.2ace2e0d0ae7bp-19, -0x1.a73d6273df17cp-20, -0x1.02c017458cf73p-20, -0x1.88b3a74e440c9p-22, 0x1.d30ed40ef5e1p-23, 0x1.a6ec2514ee68fp-21, 0x1.6827375b59977p-20, 0x1.f8675a933c6f6p-20, 0x1.42627842545dep-19, 0x1.85c18a4f6682dp-19, 0x1.c76201ab41073p-19, 0x1.052c9bd74304ap-18, 0x1.23e5ceebfb123p-18, 0x1.42400d3ae66ep-18, 0x1.5fbebef8376f9p-18, 0x1.7c5eb6b8405a1p-18, 0x1.9825a105fcb28p-18, 0x1.b3011c387526ep-18, 0x1.cd3e9d0bf8e99p-18, 0x1.e698f1f53d048p-18, 0x1.ff31348dedbc1p-18, 0x1.0b5940ecbf8a8p-17, 0x1.182501199c6ddp-17, 0x1.225514ac3905ep-17, 0x1.2cf989c35cee9p-17, 0x1.376abbb58d5cdp-17, 0x1.418208da10f69p-17, 0x1.4b40f39e87a73p-17, 0x1.54a87d7767f4ep-17, 0x1.5dba4d7ff0d8p-17, 0x1.667f5b3f276fcp-17, 0x1.6ee6f0e3fa33p-17, 0x1.76fc9bff18ab9p-17, 0x1.7ec450966219fp-17, 0x1.863b8e6ad1749p-17, 0x1.8d727ef306988p-17, 0x1.94525edf84faap-17, 0x1.9b489c24e97b4p-17, 0x1.a12368a355f55p-17, 0x1.a71b6395b5adcp-17, 0x1.acce7fb136f4cp-17, 0x1.b2784bc217fd4p-17, 0x1.b74539f85ad26p-17, 0x1.bb1a6946cf0b3p-17, 0x1.c0cb5ed9de1cdp-17, 0x1.c51300d39e3dcp-17, 0x1.c91c250709748p-17, 0x1.ccf8d022e3fcp-17, 0x1.cfa080d225502p-17, 0x1.d39ca0dc1693p-17, 0x1.d6a7c8ce3dbdep-17, 0x1.d9663260ac5b7p-17, 0x1.dbe5a55ec086cp-17, 0x1.de26285f4e707p-17, 0x1.e0288362393f7p-17, 0x1.e1eab5126a16p-17, 0x1.e314b73608612p-17, 0x1.e4c21c0cd5232p-17, 0x1.e5d2d85a8dd6fp-17, 0x1.e6a9586a93166p-17, 0x1.e759fb2fed348p-17, 0x1.e62d5424bd038p-17, 0x1.e7d7d0be5b328p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.ebfef3ca0047ap-1, 0x1.ea0582947cd44p-1, 0x1.e7f6f605fcbbp-1, 0x1.e5d3bce61e82p-1, 0x1.e39c48173673p-1, 0x1.e1510a6495c81p-1, 0x1.def27852b7d39p-1, 0x1.dc8107f13f27ap-1, 0x1.d9fd30aeb518bp-1, 0x1.d7676b2dfa055p-1, 0x1.d4c0311d568cfp-1, 0x1.d207fd0f2165bp-1, 0x1.cf3f4a53e91a5p-1, 0x1.cc6694d618742p-1, 0x1.c97e58f70665p-1, 0x1.c687136d66a9cp-1, 0x1.c381412511ea2p-1, 0x1.c06d5f20177a6p-1, 0x1.bd4bea591307bp-1, 0x1.ba1d5fa6b8fd5p-1, 0x1.b6e23ba091f04p-1, 0x1.b39afa84dcb63p-1, 0x1.b048181f8fe63p-1, 0x1.acea0fb26eaa2p-1, 0x1.a9815bde2f2p-1, 0x1.a60e768ca517ep-1, 0x1.a291d8dbee1adp-1, 0x1.9f0bfb0a9741dp-1, 0x1.9b7d5464b24c9p-1, 0x1.97e65b31dadb5p-1, 0x1.944784a41defap-1, 0x1.90a144c7c1822p-1, 0x1.8cf40e73e86f9p-1, 0x1.8940533c058c1p-1, 0x1.858683622241cp-1, 0x1.81c70dc9e8e65p-1, 0x1.7e025fec76f4ap-1, 0x1.7a38e5ccea30dp-1, 0x1.766b09eda87f3p-1, 0x1.729935465b64p-1, 0x1.6ec3cf3a9ac65p-1, 0x1.6aeb3d9141767p-1, 0x1.670fe46c68647p-1, 0x1.63322642017c5p-1, 0x1.5f5263d50fbd6p-1, 0x1.5b70fc2f762bep-1, 0x1.578e4c9c5c4b8p-1, 0x1.53aab0a31ee55p-1, 0x1.4fc68202cd8bcp-1, 0x1.4be218ae2e798p-1, 0x1.47fdcac8442f7p-1, 0x1.4419eca151f44p-1, 0x1.4036d0b45ad0bp-1, 0x1.3c54c7a516a1cp-1, 0x1.3874203e5a2ddp-1, 0x1.34952770ed2ccp-1, 0x1.30b82852cc10bp-1, 0x1.2cdd6c1ed0b91p-1, 0x1.29053a34bec31p-1, 0x1.252fd819af11dp-1, 0x1.215d8978d9ad5p-1, 0x1.1d8e9024b7267p-1, 0x1.19c32c18774ep-1, 0x1.15fb9b79cb42bp-1, 0x1.12381a9afeaa5p-1, 0x1.0e78e3fd5a243p-1, 0x1.0abe3053d20adp-1, 0x1.07083685f6f52p-1, 0x1.03572bb32b0c5p-1, 0x1.ff56866c2c1b9p-2, 0x1.f8095d50a8782p-2, 0x1.f0c73bccc2b0ap-2, 0x1.e9907e277216cp-2, 0x1.e2657d3e53553p-2, 0x1.db468e8eb715fp-2, 0x1.d434043f066bfp-2, 0x1.cd2e2d28855a8p-2, 0x1.c63554e16487bp-2, 0x1.bf49c3c72136ep-2, 0x1.b86bbf092e45cp-2, 0x1.b19b88b3e387dp-2, 0x1.aad95fbba9623p-2, 0x1.a4258008626b2p-2, 0x1.9d80228109d01p-2, 0x1.96e97d1784c02p-2, 0x1.9061c2d4a2e5dp-2, 0x1.89e923e4498a1p-2, 0x1.837fcda1c256bp-2, 0x1.7d25eaa42febfp-2, 0x1.76dba2cb1dba9p-2, 0x1.70a11b4b30697p-2, 0x1.6a7676bae6f18p-2, 0x1.645bd51f761d9p-2, 0x1.5e5153f9b1abdp-2, 0x1.58570e5303828p-2, 0x1.526d1cca70873p-2, 0x1.4c9395a1a018dp-2, 0x1.46ca8cc9ec564p-2, 0x1.411213f175789p-2, 0x1.3b6a3a902f056p-2, 0x1.35d30df4f085ap-2, 0x1.304c99527c1ecp-2, 0x1.2ad6e5cc7e937p-2, 0x1.2571fa8485264p-2, 0x1.201ddca6e79ccp-2, 0x1.1ada8f77a11b4p-2, 0x1.15a8145f1b5eep-2, 0x1.10866af6e54afp-2, 0x1.0b75911656fe9p-2, 0x1.067582df1cd8p-2, 0x1.01863ac9ac7aap-2, 0x1.f94f63634267fp-3, 0x1.efb3bdc3f5d2ap-3, 0x1.e639704283807p-3, 0x1.dce0637b1981bp-3, 0x1.d3a87d30d0b9p-3, 0x1.ca91a065370fdp-3, 0x1.c19bad6f9974p-3, 0x1.b8c682140a1b2p-3, 0x1.b011f99a1a3eap-3, 0x1.a77dece34f3c5p-3, 0x1.9f0a32814b303p-3, 0x1.96b69ecba4a13p-3, 0x1.8e8303f57a74p-3, 0x1.866f3222ab81p-3, 0x1.7e7af77cc60a1p-3, 0x1.76a62047a4815p-3, 0x1.6ef076f5afb63p-3, 0x1.6759c43bd63e6p-3, 0x1.5fe1cf252782ep-3, 0x1.58885d261de01p-3, 0x1.514d322f91b1dp-3, 0x1.4a3010c14e406p-3, 0x1.4330b9fc5b089p-3, 0x1.3c4eedb4e19dfp-3, 0x1.358a6a83c4638p-3, 0x1.2ee2edd7d4821p-3, 0x1.28583406b44e7p-3, 0x1.21e9f85d61ba7p-3, 0x1.1b97f53062a66p-3, 0x1.1561e3eb9be15p-3, 0x1.0f477d21d113bp-3, 0x1.0948789bc84e5p-3, 0x1.03648d671765ep-3, 0x1.fb36e3c930ee1p-4, 0x1.efd9b7ad12304p-4, 0x1.e4b100dc9de2ap-4, 0x1.d9bc28b3d50e7p-4, 0x1.cefa97a217cddp-4, 0x1.c46bb543b3d4ap-4, 0x1.ba0ee87ac14aep-4, 0x1.afe3978756c47p-4, 0x1.a5e9281f1b5fcp-4, 0x1.9c1eff842573bp-4, 0x1.9284829b49b05p-4, 0x1.89191601b5664p-4, 0x1.7fdc1e21f1838p-4, 0x1.76ccff484302cp-4, 0x1.6deb1db66fa9bp-4, 0x1.6535ddb6e5aebp-4, 0x1.5caca3af4b04cp-4, 0x1.544ed432747b9p-4, 0x1.4c1bd411c676p-4, 0x1.4413086e04506p-4, 0x1.3c33d6c78b79dp-4, 0x1.347da50e00c26p-4, 0x1.2cefd9af70656p-4, 0x1.2589dba6e238p-4, 0x1.1e4b128a65ae3p-4, 0x1.1732e69896697p-4, 0x1.1040c0c59d047p-4, 0x1.09740ac7ad81fp-4, 0x1.02cc2f23057d7p-4, 0x1.f891326ad9d8cp-5, 0x1.ebd16a8277759p-5, 0x1.df57e0efcc632p-5, 0x1.d323720824e18p-5, 0x1.c732fc2673423p-5, 0x1.bb855fbdae4cp-5, 0x1.b0197f6a4fd98p-5, 0x1.a4ee4002f8f8ap-5, 0x1.9a0288a83da86p-5, 0x1.8f5542d3a267bp-5, 0x1.84e55a65c97a4p-5, 0x1.7ab1bdb3d8ae3p-5, 0x1.70b95d941b82p-5, 0x1.66fb2d69e52eap-5, 0x1.5d762330b8384p-5, 0x1.54293786b708cp-5, 0x1.4b1365b662dc4p-5, 0x1.4233abbfac844p-5, 0x1.39890a605d55dp-5, 0x1.3112851bd844p-5, 0x1.28cf22423e67ep-5, 0x1.20bdeaf6f263ap-5, 0x1.18ddeb3689c22p-5, 0x1.112e31dc232c3p-5, 0x1.09add0a633c05p-5, 0x1.025bdc3ac2c02p-5, 0x1.f66ed856461ffp-6, 0x1.e87f35ee48634p-6, 0x1.dae70c1f8cb03p-6, 0x1.cda49bb2e3db9p-6, 0x1.c0b62b5b6d8bbp-6, 0x1.b41a07b92dbp-6, 0x1.a7ce835ac44efp-6, 0x1.9bd1f6be458e4p-6, 0x1.9022c051465d4p-6, 0x1.84bf447015509p-6, 0x1.79a5ed64379a9p-6, 0x1.6ed52b6223cc9p-6, 0x1.644b748644ee5p-6, 0x1.5a0744d1507a1p-6, 0x1.50071e23f159ap-6, 0x1.46498839ce39dp-6, 0x1.3ccd10a3f6766p-6, 0x1.33904ac2b59e8p-6, 0x1.2a91cfbed6043p-6, 0x1.21d03e825ac6ap-6, 0x1.194a3bb0b0a5cp-6, 0x1.10fe719e689c9p-6, 0x1.08eb90486aac4p-6, 0x1.01104d4ac3528p-6, 0x1.f2d6c7adefedap-7, 0x1.e3f72953ea9e1p-7, 0x1.d57f4c0336801p-7, 0x1.c76cc723c56a1p-7, 0x1.b9bd3cf363adp-7, 0x1.ac6e5a6ea553dp-7, 0x1.9f7dd73938931p-7, 0x1.92e975859a984p-7, 0x1.86af01fc43d5cp-7, 0x1.7acc53a243583p-7, 0x1.6f3f4bbf5b72bp-7, 0x1.6405d5c3af3cp-7, 0x1.591de72cf7031p-7, 0x1.4e857f6b5677dp-7, 0x1.443aa7c5c5563p-7, 0x1.3a3b733e30da5p-7, 0x1.3085fe753d14ep-7, 0x1.27186f8dc365dp-7, 0x1.1df0f6100a992p-7, 0x1.150dcaccc25a8p-7, 0x1.0c6d2fbfc6ee3p-7, 0x1.040d6ff2b57bap-7, 0x1.f7d9bebea84fp-8, 0x1.e813b5a3ac4cap-8, 0x1.d8c58f95fedfdp-8, 0x1.c9ec28c45f5d2p-8, 0x1.bb846e4eade25p-8, 0x1.ad8b5e09b7bcbp-8, 0x1.9ffe0642ecbb3p-8, 0x1.92d985840865cp-8, 0x1.861b0a56ba141p-8, 0x1.79bfd3084efdap-8, 0x1.6dc52d6d6e048p-8, 0x1.622876a5e92d1p-8, 0x1.56e71ae0aaf33p-8, 0x1.4bfe951fcc282p-8, 0x1.416c6efcd600cp-8, 0x1.372e406d387f1p-8, 0x1.2d41af86f96f5p-8, 0x1.23a47045a8128p-8, 0x1.1a54444f9577dp-8, 0x1.114efabb5a858p-8, 0x1.08926fd5b1e2bp-8, 0x1.001c8ce7a8034p-8, 0x1.efd68ffa565ecp-9, 0x1.dff94757f5ebfp-9, 0x1.d09d5db6001a8p-9, 0x1.c1bf09141dc17p-9, 0x1.b35a9734344c3p-9, 0x1.a56c6d2baee36p-9, 0x1.97f106f5b8869p-9, 0x1.8ae4f7066b98cp-9, 0x1.7e44e5defa3fp-9, 0x1.720d91a2db653p-9, 0x1.663bcdae01788p-9, 0x1.5acc822c1bf9p-9, 0x1.4fbcabb0ece34p-9, 0x1.45095ad1b673cp-9, 0x1.3aafb3bfc5c4p-9, 0x1.30acede41ad2bp-9, 0x1.26fe537c38a81p-9, 0x1.1da1413819a6p-9, 0x1.149325d952b64p-9, 0x1.0bd181d35d754p-9, 0x1.0359e6ed1c7cap-9, 0x1.f653efc710b5ap-10, 0x1.e67ed01b35378p-10, 0x1.d72ff602caddfp-10, 0x1.c8630874dcdfbp-10, 0x1.ba13cd8271b7dp-10, 0x1.ac3e29a824b63p-10, 0x1.9ede1f2229afp-10, 0x1.91efcd42d26dp-10, 0x1.856f6fcb87442p-10, 0x1.79595e483ce7p-10, 0x1.6daa0b6d5c3bep-10, 0x1.625e04782f564p-10, 0x1.5771f091bbeeep-10, 0x1.4ce2903418de6p-10, 0x1.42acbc923d795p-10, 0x1.38cd67023e6b7p-10, 0x1.2f419869fff37p-10, 0x1.260670ae5b3fap-10, 0x1.1d192624a8477p-10, 0x1.14770506c0666p-10, 0x1.0c1d6ee954917p-10, 0x1.0409da34bcdd4p-10, 0x1.f873a3402bc1ap-11, 0x1.e955e75d90e01p-11, 0x1.dab5e460c1fedp-11, 0x1.cc8f23857e7e6p-11, 0x1.bedd52ad2965fp-11, 0x1.b19c436c5adb3p-11, 0x1.a4c7ea1d0210ap-11, 0x1.985c5cf50617cp-11, 0x1.8c55d32161525p-11, 0x1.80b0a3e5aa70fp-11, 0x1.756945c0006b5p-11, 0x1.6a7c4d914f153p-11, 0x1.5fe66dc9dece6p-11, 0x1.55a4759a2851ep-11, 0x1.4bb35027dada3p-11, 0x1.421003c70efabp-11, 0x1.38b7b1379428dp-11, 0x1.2fa792e6514e3p-11, 0x1.26dcfc32a9fap-11, 0x1.1e5558b7dae8ap-11, 0x1.160e2b9a43857p-11, 0x1.0e050ed88c30cp-11, 0x1.0637b2a0a0f4cp-11, 0x1.fd47b950df188p-12, 0x1.ee8ecf14ba0b8p-12, 0x1.e040844acf813p-12, 0x1.d258de01caa8p-12, 0x1.c4d40767a394dp-12, 0x1.b7ae509f4476cp-12, 0x1.aae42d9d17ce8p-12, 0x1.9e72350a6b653p-12, 0x1.92551f2f887bdp-12, 0x1.8689c4e46548p-12, 0x1.7b0d1e87dbec7p-12, 0x1.6fdc42fd46f3dp-12, 0x1.64f466b0692edp-12, 0x1.5a52da9f874a1p-12, 0x1.4ff50b6b9d0a1p-12, 0x1.45d8806e89401p-12, 0x1.3bfadad723da5p-12, 0x1.3259d4cb18b04p-12, 0x1.28f3408e72516p-12, 0x1.1fc507b0bde04p-12, 0x1.16cd2a3fa54b8p-12, 0x1.0e09bdfef1082p-12, 0x1.0578eda5d153ep-12, 0x1.fa31f042aaa7p-13, 0x1.e9d05fb7fddfbp-13, 0x1.d9c9f4149c227p-13, 0x1.ca1b9bf873855p-13, 0x1.bac268e6e0201p-13, 0x1.abbb8dfca0eap-13, 0x1.9d045eaf01c79p-13, 0x1.8e9a4d94188c5p-13, 0x1.807aeb33d4ffp-13, 0x1.72a3e4e1cf26dp-13, 0x1.6513039f866d3p-13, 0x1.57c62b070242dp-13, 0x1.4abb583d90badp-13, 0x1.3df0a0ee88169p-13, 0x1.3164324dcee89p-13, 0x1.251450220ee27p-13, 0x1.18ff53d65d2a1p-13, 0x1.0d23ab9333472p-13, 0x1.017fd95e8d6d6p-13, 0x1.ec24e48602352p-14, 0x1.d5b43afb60374p-14, 0x1.bfab2765badacp-14, 0x1.aa073c52174d7p-14, 0x1.94c62c14f5e6dp-14, 0x1.7fe5c759ae204p-14, 0x1.6b63fbbdfbe8bp-14, 0x1.573ed2795dc3dp-14, 0x1.43746f100366p-14, 0x1.30030e11062f5p-14, 0x1.1ce903df9e0e2p-14, 0x1.0a24bb8714a49p-14, 0x1.ef696b32577e4p-15, 0x1.cb2f0e2d7190ap-15, 0x1.a797b0c45bc68p-15, 0x1.84a0c877a5693p-15, 0x1.6247ed8ed9154p-15, 0x1.408ad9362acc5p-15, 0x1.1f6763ae08911p-15, 0x1.fdb705182d50cp-16, 0x1.bdca8e1a388e9p-16, 0x1.7f05b8eedb7f6p-16, 0x1.41650d1ac3eabp-16, 0x1.04e5401ebcbfp-16, 0x1.930665343604ep-17, 0x1.1e77db1554f0fp-17, 0x1.58327ea4e0a31p-18, 0x1.df29ae1f8142bp-20, -0x1.914ae1813980bp-20, -0x1.3c2ea875b7897p-18, -0x1.07e95795fc2acp-17, -0x1.6fa3d7446434fp-17, -0x1.d54b14224c7c7p-17, -0x1.1c71916386714p-16, -0x1.4d37f79ce45fp-16, -0x1.7cfaa03d29d04p-16, -0x1.abbb5defe45b8p-16, -0x1.d97bf426fcf48p-16, -0x1.031f0c50cd26bp-15, -0x1.1901ba6fdda31p-15, -0x1.2e66d3c19a18cp-15, -0x1.434f22cf537c1p-15, -0x1.57bb6df985a24p-15, -0x1.6bac780e2df07p-15, -0x1.7f2300d6fe219p-15, -0x1.921fc59fad14ap-15, -0x1.a4a381b4b3cf6p-15, -0x1.b6aeeedaae339p-15, -0x1.c842c5bea9f98p-15, -0x1.d95fbe5fa0789p-15, -0x1.ea06907159348p-15, -0x1.fa37f3b8f3292p-15, -0x1.04fa5031a8ad3p-14, -0x1.0c9ea7aacfa1fp-14, -0x1.14095d3c17e72p-14, -0x1.1b3ace7defc1p-14, -0x1.223359cd1ed94p-14, -0x1.28f35e6853927p-14, -0x1.2f7b3c8b447bfp-14, -0x1.35cb55877dda7p-14, -0x1.3be40bdaf450fp-14, -0x1.41c5c34472d17p-14, -0x1.4770e0d5fb408p-14, -0x1.4ce5cb052f98fp-14, -0x1.5224e9b9d92c6p-14, -0x1.572ea65aa3fb8p-14, -0x1.5c036bd81f9f8p-14, -0x1.60a3a6b61c49p-14, -0x1.650fc51376349p-14, -0x1.694836b061985p-14, -0x1.6d4d6cf34827dp-14, -0x1.711fdaec4d422p-14, -0x1.74bff55785c23p-14, -0x1.782e329df4eadp-14, -0x1.7b6b0ad561b5p-14, -0x1.7e76f7bf0db06p-14, -0x1.815274c5625bap-14, -0x1.83fdfef8a0d8p-14, -0x1.867a150aa0f1p-14, -0x1.88c73749afdc6p-14, -0x1.8ae5e79a98f78p-14, -0x1.8cd6a971e7194p-14, -0x1.8e9a01cc6a8a5p-14, -0x1.903077270ecf3p-14, -0x1.919a91760b414p-14, -0x1.92d8da1b7bf93p-14, -0x1.93ebdbdd6a3fep-14, -0x1.94d422db52643p-14, -0x1.95923c832dcf3p-14, -0x1.9626b7860cdccp-14, -0x1.969223cc48c35p-14, -0x1.96d5126957443p-14, -0x1.96f0158f4787dp-14, -0x1.96e3c081f1837p-14, -0x1.96b0a789df1dbp-14, -0x1.96575fe6f72c2p-14, -0x1.95d87fc2f03d2p-14, -0x1.95349e2395152p-14, -0x1.946c52dcddc22p-14, -0x1.93803682e72dp-14, -0x1.9270e25bcd7c6p-14, -0x1.913ef0516f3a2p-14, -0x1.8feafae31fb8p-14, -0x1.8e759d174cd84p-14, -0x1.8cdf726d20271p-14, -0x1.8b2916ce1ba13p-14, -0x1.8953267fbb29cp-14, -0x1.875e3e151d349p-14, -0x1.854afa60b7b08p-14, -0x1.8319f8661b2d2p-14, -0x1.80cbd54bcb41ep-14, -0x1.7e612e4d2da84p-14, -0x1.7bdaa0ac9489ap-14, -0x1.7938c9a565fbcp-14, -0x1.767c465e66421p-14, -0x1.73a5b3dc24a55p-14, -0x1.70b5aef38f90bp-14, -0x1.6dacd43cb38ebp-14, -0x1.6a8bc005a46d9p-14, -0x1.67530e4594af8p-14, -0x1.64035a901ff6p-14, -0x1.609d4008c3e78p-14, -0x1.5d2159569090fp-14, -0x1.599040980d051p-14, -0x1.55ea8f5754303p-14, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      16, 0x1.0a3d70a3d70a4p+1, 0x1.dd5133d3c8eeap+1, 0x1.8758587a3840ep+0, -0x1.572680aeb5113p-6, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.02d7b634dad32p-5, -0x1.9142ea2f52724p-3, 0x1.76147ae147ac4p-2, 0x1.a8bb7b109414fp-4}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.8ef77f27fe4bdp-6, -0x1.5463a476590e1p-3, 0x1.82d26ca6e5b72p-2, -0x1.09752cea5c8f1p-1}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.2b66b6177ea1cp-6, -0x1.1b98313a0d1e1p-3, 0x1.431cb3cacf805p-2, -0x1.1e857771400dap-2}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.b1422ccb3a259p-7, -0x1.d54b597f83dddp-4, 0x1.20bac42ddc4b5p-2, -0x1.22ffc86646e74p-2}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.294573a797892p-7, -0x1.7e7cf1832ffcfp-4, 0x1.fb9e8b765fe46p-3, -0x1.057b66f5a580ep-2}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.76ab5807fed2p-8, -0x1.324a17bf82dap-4, 0x1.bcdd16979455p-3, -0x1.ce25378640ed1p-3}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.90f301eabbcb2p-9, -0x1.df187e879242ap-5, 0x1.8567fb72fd2e4p-3, -0x1.9c7453fbb4286p-3}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.09070fbeb9e49p-10, -0x1.6a67a2c6a27fep-5, 0x1.53e96202dd524p-3, -0x1.8009788aee5b6p-3}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, -0x1.08c3f3e0370cep-11, -0x1.0501b124f4872p-5, 0x1.25d3c42fa1ffbp-3, -0x1.8365c9d89265cp-3}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, -0x1.99780baa582dcp-10, -0x1.5cd701c79b7a3p-6, 0x1.eeadd2cf20dcbp-4, -0x1.325f6012c80eap-3}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, -0x1.244a6223e186ap-9, -0x1.949d5625149d9p-7, 0x1.a5264b1c8a72bp-4, -0x1.731cb5dc4d6b4p-3}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, -0x1.50fc71d606317p-9, -0x1.472919d8e013ap-8, 0x1.4c1529b477de7p-4, -0x1.212dc87c01e12p-3}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, -0x1.5b573eab367a1p-9, 0x1.abe62ed5beb74p-11, 0x1.06ae03d4257f6p-4, -0x1.282c2833ab62dp-3}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, -0x1.4ad362e903644p-9, 0x1.5839b225e9c66p-8, 0x1.7f325ac2b10ccp-5, -0x1.7e2196b5507abp-3}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, -0x1.270b06c43f5f9p-9, 0x1.096350f169b7dp-7, 0x1.8f8c24d75247p-6, 0x1.01650611da6fep-4}, 
        {0x1.ccccccccccccdp+0, 0x1.0a3d70a3d70a4p+1, -0x1.ede1198aeb80fp-10, 0x1.5333124203fb3p-7, 0x1.058c65cc1b01p-5, -0x1.1aad7364f988fp-2}, 
      }}, 
      0x1.95f563c1d533bp-2, 0x1.f6a60c3520dbbp-5
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_h_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.e88b4fa939eb2p-5, -0x1.05a12872895d9p-4, -0x1.16e0b8185c9b8p-4, -0x1.27f751a03cfe3p-4, -0x1.38d903a652b38p-4, -0x1.497bccde45c52p-4, -0x1.59d633d12669ep-4, -0x1.69de7ab7a507ep-4, -0x1.798e3fef43f8ep-4, -0x1.88e0f49476056p-4, -0x1.97ce3dac4312dp-4, -0x1.a64dcf92e95dbp-4, -0x1.b45e04cfeadbdp-4, -0x1.c1ffad1b60a29p-4, -0x1.cf2e332ff4886p-4, -0x1.dbe1169367a06p-4, -0x1.e813ebfb1b0bfp-4, -0x1.f3c9644bd0f9ap-4, -0x1.ff0618f9f1252p-4, -0x1.04e50b090f863p-3, -0x1.0a08007f88c9dp-3, -0x1.0ee48b9923722p-3, -0x1.1384965703ec3p-3, -0x1.17e531b76f252p-3, -0x1.1c06cee7d6c27p-3, -0x1.1fea0c55b574ap-3, -0x1.238fb23989997p-3, -0x1.26f8aed77fad1p-3, -0x1.2a2614e47adcdp-3, -0x1.2d1919b61bdcep-3, -0x1.2fd31075acbecp-3, -0x1.325562312a706p-3, -0x1.34a1840c559b8p-3, -0x1.36b8eeeacbedfp-3, -0x1.389d20971dd3bp-3, -0x1.3a4fa8cdd83a6p-3, -0x1.3bd235dca9b89p-3, -0x1.3d268e2bc1e5ep-3, -0x1.3e4e753624fa7p-3, -0x1.3f4b8fffb5864p-3, -0x1.401f621d6247ep-3, -0x1.40cb66b6f75afp-3, -0x1.4151307b74212p-3, -0x1.41b27ab67d29cp-3, -0x1.41f119ccde813p-3, -0x1.420edce2092ep-3, -0x1.420d71c3e6a01p-3, -0x1.41ee5c18f3825p-3, -0x1.41b3012f39c13p-3, -0x1.415cbc43ca113p-3, -0x1.40ecf04664ab8p-3, -0x1.40650d38ca84bp-3, -0x1.3fc68afe1edaep-3, -0x1.3f12df249f31ep-3, -0x1.3e4b740ce190dp-3, -0x1.3d71a492ae4b8p-3, -0x1.3c86bb8c2b0f1p-3, -0x1.3b8bf487b06acp-3, -0x1.3a827bbffa985p-3, -0x1.396b6cc8a82b1p-3, -0x1.3847d150eb062p-3, -0x1.3718a1ac00aeap-3, -0x1.35dec802fb77cp-3, -0x1.349a3472be2ap-3, -0x1.334dbbb7ccf4dp-3, -0x1.31f95b48baa64p-3, -0x1.309de970d8bd2p-3, -0x1.2f3c34cd71f4p-3, -0x1.2dd50189c8999p-3, -0x1.2c6908508f683p-3, -0x1.2af8f5ab1aed5p-3, -0x1.29856a9fb892fp-3, -0x1.280efdb70bdcep-3, -0x1.26963bff19ea2p-3, -0x1.251baa0af36cfp-3, -0x1.239fc3e40b5fcp-3, -0x1.2222fdcb3327fp-3, -0x1.20a5c40f4daecp-3, -0x1.1f287b30e1181p-3, -0x1.1dab8007c9d57p-3, -0x1.1c2f280d9f11ep-3, -0x1.1ab3c14f8b954p-3, -0x1.193992fee65dcp-3, -0x1.17c0dd80e6703p-3, -0x1.1649dabf1988dp-3, -0x1.14d4be87483e9p-3, -0x1.1361b6b7ff815p-3, -0x1.11f0ebbeb5b35p-3, -0x1.108280e2b3054p-3, -0x1.0f1694a0fe882p-3, -0x1.0dad40e5109b9p-3, -0x1.0c469b5061ac6p-3, -0x1.0ae2b55dedd8ep-3, -0x1.09819c8d3a877p-3, -0x1.08235a74a879ep-3, -0x1.06c7f4f7aead7p-3, -0x1.056f6f4df209ep-3, -0x1.0419c6a0e4c63p-3, -0x1.02c6f913e61efp-3, -0x1.0176ff9640393p-3, -0x1.0029d146ab031p-3, -0x1.fdbec627a17aap-4, -0x1.fb2f4fcd4c92ep-4, -0x1.f8a521bf3135fp-4, -0x1.f62021c3988dcp-4, -0x1.f3a0169b1ea36p-4, -0x1.f124ee50fcb6cp-4, -0x1.eeae78b6736bdp-4, -0x1.ec3c89d3b508ep-4, -0x1.e9cef43d89952p-4, -0x1.e76588ca5e912p-4, -0x1.e50016d670a72p-4, -0x1.e29e6c7522dbep-4, -0x1.e0405747f66ebp-4, -0x1.dde5a1358dad5p-4, -0x1.db8e176ce4767p-4, -0x1.d93983c9bc401p-4, -0x1.d6e7b04c85359p-4, -0x1.d49866eeb96bep-4, -0x1.d24b7bd756386p-4, -0x1.d0009e5af0515p-4, -0x1.cdb7ac1b986dfp-4, -0x1.cb707255ecb7p-4, -0x1.c92ab93fde474p-4, -0x1.c6e64e29cecacp-4, -0x1.c4a2ff651baa9p-4, -0x1.c2609c57666b2p-4, -0x1.c01ef583347ddp-4, -0x1.bddddc87fb918p-4, -0x1.bb9d242f6da9p-4, -0x1.b95ca06ca27b6p-4, -0x1.b71c26765eb43p-4, -0x1.b4db8cb19198fp-4, -0x1.b29aab4ef0b6dp-4, -0x1.b0595ab4d44e8p-4, -0x1.ae17778ebc53dp-4, -0x1.abd4dc91cacfcp-4, -0x1.a991683bbf2cep-4, -0x1.a74cfa436b50dp-4, -0x1.a507741513b57p-4, -0x1.a2c0b89f0dbb5p-4, -0x1.a078ac6cc6ab7p-4, -0x1.9e2f3630eb0bfp-4, -0x1.9be43da476851p-4, -0x1.9997ad1d5f453p-4, -0x1.97496fb62b76dp-4, -0x1.94f9726f7d0cap-4, -0x1.92ad9e78c4f0ap-4, -0x1.9059d2dd01a6ep-4, -0x1.8e040af68ead5p-4, -0x1.8bac3908307bp-4, -0x1.89525044b4548p-4, -0x1.86f644e58fa4bp-4, -0x1.84980c1f6d7b4p-4, -0x1.8237957c8f7ap-4, -0x1.7fd4eca105dc1p-4, -0x1.7d6ff5e2344cfp-4, -0x1.7b08b39ae5efcp-4, -0x1.789f1bac612d9p-4, -0x1.76332ffb1ffdfp-4, -0x1.73c4f009878e8p-4, -0x1.715451ce2acep-4, -0x1.6ee15fdb4fb4fp-4, -0x1.6c6c1a44b8044p-4, -0x1.69f484a4b1097p-4, -0x1.677aa5b51d6c7p-4, -0x1.64fe84050200bp-4, -0x1.6280288bb8ed2p-4, -0x1.5fff9e2d03ec9p-4, -0x1.5d7cf00b474ccp-4, -0x1.5af82adacc443p-4, -0x1.58715cbe531e6p-4, -0x1.55e8958244706p-4, -0x1.535de473b84b5p-4, -0x1.50d15b00753bbp-4, -0x1.4e430ad67ba3p-4, -0x1.4bb307b02dfcfp-4, -0x1.492164258008bp-4, -0x1.468e34c0f4d4ep-4, -0x1.43f98e39c6ac8p-4, -0x1.416386a33a783p-4, -0x1.3ecc3378018cbp-4, -0x1.3c33ab182e33bp-4, -0x1.399a060036eaap-4, -0x1.36ff5a7f00fdap-4, -0x1.3463c0c44dcfdp-4, -0x1.31c75271872edp-4, -0x1.2f2a27734c555p-4, -0x1.2c8c5957817a3p-4, -0x1.29ee023a8f70bp-4, -0x1.274f3c695dad3p-4, -0x1.24b021cac87ap-4, -0x1.2210cd41574a1p-4, -0x1.1f7159c7e045bp-4, -0x1.1cd1ddba81488p-4, -0x1.1a3282be7c25ep-4, -0x1.17935652f5554p-4, -0x1.14f47832adba6p-4, -0x1.1256047b1661fp-4, -0x1.0fb8157a9182cp-4, -0x1.0d1acee762af2p-4, -0x1.0a7e35fd34a4cp-4, -0x1.07e27bd4edd63p-4, -0x1.0547b35834d53p-4, -0x1.02adf76d92e1ap-4, -0x1.00156a104bb3dp-4, -0x1.fafc1b2b99abep-5, -0x1.f5d025ac9ac25p-5, -0x1.f0a715d5dd1p-5, -0x1.eb811c7e80aafp-5, -0x1.e65e6952d7ab9p-5, -0x1.e13f2bc305fbbp-5, -0x1.dc239095fb58ep-5, -0x1.d70bc46749c71p-5, -0x1.d1f7f2670511cp-5, -0x1.cce845c6a29fp-5, -0x1.c7dce3d2b1846p-5, -0x1.c2d5f719cd316p-5, -0x1.bdd3a52e8b85cp-5, -0x1.b8d613c1aa88cp-5, -0x1.b3dd6247a1207p-5, -0x1.aee9b7b3c6702p-5, -0x1.a9fb339f6dd0cp-5, -0x1.a511f29af7f16p-5, -0x1.a02e1ddd620c5p-5, -0x1.9b4fc967115b7p-5, -0x1.967714a2a4831p-5, -0x1.91a41b90a2d33p-5, -0x1.8cd6f8f45277ap-5, -0x1.880fc6fe8a6bep-5, -0x1.834e9e3d212f4p-5, -0x1.7e9395f47b9c8p-5, -0x1.79dec77a285ebp-5, -0x1.7530489e8b205p-5, -0x1.70882fd15cc9fp-5, -0x1.6be68140dd3afp-5, -0x1.674b85292b79dp-5, -0x1.62b70f383a55ap-5, -0x1.5e296f5404fcp-5, -0x1.59a28e9ef8b45p-5, -0x1.55228d576e033p-5, -0x1.50a97f33a2c24p-5, -0x1.4c377bd40f915p-5, -0x1.47cc883340791p-5, -0x1.4368d1fb8bde9p-5, -0x1.3f0c52ca6da17p-5, -0x1.3ab7254c7c653p-5, -0x1.36695bdf8a543p-5, -0x1.322309d293f75p-5, -0x1.2de43a6aebb7fp-5, -0x1.29ad0e39a22bep-5, -0x1.257d8ae0b4207p-5, -0x1.2155c61137a89p-5, -0x1.1d35d19e33fe5p-5, -0x1.191dbf78b7cadp-5, -0x1.150da0a5252bep-5, -0x1.110586ea94a69p-5, -0x1.0d0584360dfd1p-5, -0x1.090dae9540068p-5, -0x1.051e038242a36p-5, -0x1.0136a828ad967p-5, -0x1.faaf4b3dd3a0fp-6, -0x1.f3021791f5fc2p-6, -0x1.eb65d4ae59214p-6, -0x1.e3dade2edaa79p-6, -0x1.dc60971d7a2acp-6, -0x1.d4f7d6629b724p-6, -0x1.cda07d265b63dp-6, -0x1.c65a9b13f2c93p-6, -0x1.bf2653a717148p-6, -0x1.b803bb6de582ep-6, -0x1.b0f2e9394a149p-6, -0x1.a9f3f3e435ba6p-6, -0x1.a306dc76cb302p-6, -0x1.9c2be63cfb0ecp-6, -0x1.9562f44e1d60ep-6, -0x1.8eac26719bdf8p-6, -0x1.88078a8867dbp-6, -0x1.81752d25e176fp-6, -0x1.7af51a70f2097p-6, -0x1.7487870c5f8fp-6, -0x1.6e2bf70f30103p-6, -0x1.67e2f600df0c1p-6, -0x1.61ac5d0190c1bp-6, -0x1.5b882fa0af8a3p-6, -0x1.557678a9f9029p-6, -0x1.4f771d93e82c1p-6, -0x1.498a372621b84p-6, -0x1.43afbed94e93cp-6, -0x1.3de7a65e02d33p-6, -0x1.3831f0f80de38p-6, -0x1.328e94156fd08p-6, -0x1.2cfd87fc67607p-6, -0x1.277ec26f5d749p-6, -0x1.221237fab2ba3p-6, -0x1.1cb7dbe2e808p-6, -0x1.176f927ef2aabp-6, -0x1.123974f46507cp-6, -0x1.0d154976d0403p-6, -0x1.08030ea4923c3p-6, -0x1.0302a45bc98p-6, -0x1.fc2823b450e61p-7, -0x1.f26e4cd14121ep-7, -0x1.e8d7b5fc3add1p-7, -0x1.df6421431cdf5p-7, -0x1.d613627ab92a1p-7, -0x1.cce54681959f3p-7, -0x1.c3d99859af77p-7, -0x1.baf021329fdbbp-7, -0x1.b228a8722b319p-7, -0x1.a9830ae518437p-7, -0x1.a0fec7ce5aee9p-7, -0x1.989be85cc5969p-7, -0x1.905a11291ef5ap-7, -0x1.88390c37d281cp-7, -0x1.8074bd76dcaf4p-7, -0x1.78939c80f6ef2p-7, -0x1.70d27f503016ep-7, -0x1.69311b6f4c9f3p-7, -0x1.61af2c8b2b44ep-7, -0x1.5a4c6c49f4b9fp-7, -0x1.5308829742bp-7, -0x1.4be35a856ff5dp-7, -0x1.44dc6d239c0fbp-7, -0x1.3df38e8273ca5p-7, -0x1.37286fd9874d4p-7, -0x1.307ac1aef7b9dp-7, -0x1.29ea3f1b5891p-7, -0x1.23768d0f66449p-7, -0x1.1d1f6af2eac15p-7, -0x1.16e485e80499p-7, -0x1.10c58f75ccdd6p-7, -0x1.0ac238b82e4ddp-7, -0x1.04da359a85bf6p-7, -0x1.fe1b063b318b4p-8, -0x1.f2b5b02eaef81p-8, -0x1.e785bffc8091cp-8, -0x1.dc89f470b6c3fp-8, -0x1.d1c1a7cdc233dp-8, -0x1.c72c38bd55cep-8, -0x1.bcc905360c72p-8, -0x1.b2976eb6485c7p-8, -0x1.a896d0616f6a4p-8, -0x1.9ec688ba050b6p-8, -0x1.9525fbb89df8cp-8, -0x1.8bb534d284848p-8, -0x1.82717c25032bap-8, -0x1.795c4cfe3a6e9p-8, -0x1.70745123e66aap-8, -0x1.67b8eae8b3248p-8, -0x1.5f297ad265b22p-8, -0x1.56c56768dc414p-8, -0x1.4e8d243b9dfebp-8, -0x1.467cd248f3368p-8, -0x1.3e96d46718495p-8, -0x1.36da31628326ep-8, -0x1.2f459fdcb6589p-8, -0x1.27d8b998b2aa3p-8, -0x1.2092f595f2758p-8, -0x1.1973a9ff664ap-8, -0x1.127a28cdd1c46p-8, -0x1.0ba63067ff8fap-8, -0x1.04f6d535e0e17p-8, -0x1.fcd742f93758ap-9, -0x1.f008130d49c8fp-9, -0x1.e37ec1d3fe39fp-9, -0x1.d73ac30afd10bp-9, -0x1.cb39c318bb286p-9, -0x1.bf7bc1c23b5f1p-9, -0x1.b3ff549ce2bcfp-9, -0x1.a8c57b9967693p-9, -0x1.9dc69381792fap-9, -0x1.93081e893349dp-9, -0x1.8886e175500cep-9, -0x1.7e41c960b531fp-9, -0x1.7437cae9b351cp-9, -0x1.6a67d9c99608ap-9, -0x1.60d13aaf542cp-9, -0x1.57720934ea5a5p-9, -0x1.4e4a26b9080fep-9, -0x1.45579b4c3abcdp-9, -0x1.3c9b7db3e2405p-9, -0x1.34129a9f5e5e4p-9, -0x1.2bbce1a665453p-9, -0x1.23994d2cac69fp-9, -0x1.1ba6eb2dff5f5p-9, -0x1.13e4be441dc61p-9, -0x1.0c520c626c258p-9, -0x1.04eda168a424cp-9, -0x1.fb6d9336f5111p-10, -0x1.ed592b9fa3049p-10, -0x1.df9c480085c18p-10, -0x1.d23524a8c4ed2p-10, -0x1.c5221a4eed834p-10, -0x1.b861db52b7505p-10, -0x1.abf17b9213c4fp-10, -0x1.9fd08ea6f3ac3p-10, -0x1.93fd101e8d125p-10, -0x1.88756589986afp-10, -0x1.7d380327ef367p-10, -0x1.72427c3e97cf8p-10, -0x1.6795bad7723f3p-10, -0x1.5d2ddd618ff06p-10, -0x1.530a4b83f7529p-10, -0x1.492ec76661c09p-10, -0x1.3f89d9fc27f36p-10, -0x1.362a1b5450ec9p-10, -0x1.2d091e21b0bcp-10, -0x1.242570dc5c6ecp-10, -0x1.1b7dc9269c55p-10, -0x1.1310e70c47e8dp-10, -0x1.0add9349e5184p-10, -0x1.02e29b6993ad2p-10, -0x1.f63d419fed2c3p-11, -0x1.e7228b034000dp-11, -0x1.d871796ad9e0fp-11, -0x1.ca28150b2769fp-11, -0x1.bc4374cc1d846p-11, -0x1.aec4a353dbe6dp-11, -0x1.a1a67ac07cc57p-11, -0x1.94e7e7fd85e19p-11, -0x1.888717ba034b5p-11, -0x1.7c817c633e509p-11, -0x1.70d555fefa325p-11, -0x1.65807fc596c5ap-11, -0x1.5a80bb231985ap-11, -0x1.4fd3ee6218c6bp-11, -0x1.4575b8f0b9aa8p-11, -0x1.3b69c34e8c3ap-11, -0x1.31a7d31cd09d4p-11, -0x1.282fa1e0dc33cp-11, -0x1.1efeca6c4a078p-11, -0x1.16134934490fp-11, -0x1.0d6b1ad0f5797p-11, -0x1.04fc1fb831523p-11, -0x1.f9b41e38c88e4p-12, -0x1.e9db8979a0f62p-12, -0x1.da78e9b0d4b6fp-12, -0x1.cb888b1c8f401p-12, -0x1.bd070dccefecep-12, -0x1.aef128e31458ep-12, -0x1.a14461a13aaf7p-12, -0x1.93fd405ae6fb2p-12, -0x1.8719c557568cp-12, -0x1.7a970325a2a8cp-12, -0x1.6e72c1a5a20f8p-12, -0x1.62aab909b707dp-12, -0x1.573cb7d3c04e3p-12, -0x1.4c269b850ea11p-12, -0x1.416738439bc7fp-12, -0x1.36f9cf075efa5p-12, -0x1.2cdf4e3a5edabp-12, -0x1.231469ea722e1p-12, -0x1.19974d5bf7efp-12, -0x1.10665b06b83ebp-12, -0x1.077ead95b867bp-12, -0x1.fddb84eb6e13cp-13, -0x1.ed0fa0fff84c9p-13, -0x1.dce5cce2fc032p-13, -0x1.cd41a804501aap-13, -0x1.be1ebd8c4810ep-13, -0x1.af799dededd73p-13, -0x1.a14ea6be43445p-13, -0x1.939a655ba6503p-13, -0x1.864b0a5b4b185p-13, -0x1.79891d85e7a82p-13, -0x1.6d2183973706dp-13, -0x1.6125659fe21fp-13, -0x1.558e886983c33p-13, -0x1.4a5edcb176346p-13, -0x1.3f863f5eaf0fep-13, -0x1.3510796aa0ffp-13, -0x1.2af3039905817p-13, -0x1.212c8d35f835p-13, -0x1.17baa7bba68aep-13, -0x1.0e999254b9723p-13, -0x1.05c75ef00d29dp-13, -0x1.fa83275426b8bp-14, -0x1.ea0b26bd1e098p-14, -0x1.da21d7a807bedp-14, -0x1.cac281d33fff1p-14, -0x1.bbe88f4621a5ap-14, -0x1.ad8f897dcf474p-14, -0x1.9fb30b104657ep-14, -0x1.924e059e07137p-14, -0x1.854258289917cp-14, -0x1.78df8d482296p-14, -0x1.6ccdd7ed0c696p-14, -0x1.61234728764edp-14, -0x1.55debb0d6eb09p-14, -0x1.4afba62ce9c2ap-14, -0x1.4076e5e7d9a25p-14, -0x1.364e6e4feae54p-14, -0x1.2c7d40e06c6ebp-14, -0x1.231936ee17f9dp-14, -0x1.19d26e6781caap-14, -0x1.10f3de54c75b1p-14, -0x1.08727ba3cc14ap-14, -0x1.001b24f37e1cbp-14, -0x1.f03411a016219p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.65e83c86f268p-5, 0x1.c9e27cc471fe6p-5, 0x1.17fab661a5dd8p-4, 0x1.4bc19990517d5p-4, 0x1.7ffe6fbb6dcd6p-4, 0x1.b470502239969p-4, 0x1.e8dd61cd409c2p-4, 0x1.0e8924226b131p-3, 0x1.286eb7d5ca88dp-3, 0x1.420878c3aacf9p-3, 0x1.5b44413faa8b5p-3, 0x1.741269e15fbe8p-3, 0x1.8c6267aa2e04cp-3, 0x1.a4252e03fb472p-3, 0x1.bb50df19314fep-3, 0x1.d1df3c4cb7734p-3, 0x1.e7c91997e68ecp-3, 0x1.fd04f98f03197p-3, 0x1.08c4fccb2303dp-2, 0x1.12a9827efbf59p-2, 0x1.1c2f701a59ffp-2, 0x1.2557392e7caf7p-2, 0x1.2e1d91c0a3667p-2, 0x1.36829ef885b3ap-2, 0x1.3e86311b1e59cp-2, 0x1.4628709b8c725p-2, 0x1.4d69d8bea0afdp-2, 0x1.544b30e8feed1p-2, 0x1.5acd836abb701p-2, 0x1.60f213200d3ep-2, 0x1.66ba52e0d04a6p-2, 0x1.6c27e11aa29bbp-2, 0x1.713c8515f4cedp-2, 0x1.75fa281e2c0d3p-2, 0x1.7a62c9b48374fp-2, 0x1.7e7875bc315e5p-2, 0x1.823d424fc5b47p-2, 0x1.85b35301a0d21p-2, 0x1.88dcda9cb5c24p-2, 0x1.8bbc1908cb80fp-2, 0x1.8e5356c25a9e5p-2, 0x1.90a4e09ca97a8p-2, 0x1.92b305ef3d344p-2, 0x1.9480103bce21bp-2, 0x1.960e40d067abp-2, 0x1.975fcb26bffbfp-2, 0x1.9876d69f5b3a3p-2, 0x1.995585b33e107p-2, 0x1.99fdfa8cec4ap-2, 0x1.9a72607ba47ecp-2, 0x1.9ab4e1b87496dp-2, 0x1.9ac7a019e4f43p-2, 0x1.9aaca8d3b5b52p-2, 0x1.9a65ed021cd2bp-2, 0x1.99f5417a4fa5ap-2, 0x1.995c65821f2a2p-2, 0x1.989d0c1a357ecp-2, 0x1.97b8e4a31fc59p-2, 0x1.96b19e88f77ecp-2, 0x1.9588e7de767a1p-2, 0x1.944068449e653p-2, 0x1.92d9babd7c278p-2, 0x1.915668c8fcb62p-2, 0x1.8fb83960675c5p-2, 0x1.8dffcda0fb8cp-2, 0x1.8c2ec7f468d33p-2, 0x1.8a4672c64b43ep-2, 0x1.88480dbca3c7ap-2, 0x1.8634cc7e0572ap-2, 0x1.840dd65ab3b67p-2, 0x1.81d4462c785c5p-2, 0x1.7f892ad4df0c2p-2, 0x1.7d2d880213645p-2, 0x1.7ac256e0ed736p-2, 0x1.784886c6fe05fp-2, 0x1.75c0fd6116c26p-2, 0x1.732c9731de166p-2, 0x1.708c27aa6af9fp-2, 0x1.6de07965cf3e7p-2, 0x1.6b2a4e67b58eep-2, 0x1.686a6079c0d1ep-2, 0x1.65a161504b24dp-2, 0x1.62cffafa4d6ap-2, 0x1.5ff6d01d3852p-2, 0x1.5d167c4565c4ep-2, 0x1.5a2f9432fe19ep-2, 0x1.5742a61265ea2p-2, 0x1.545039c1dfc9ap-2, 0x1.5158d1111592dp-2, 0x1.4e5ce7f8548f8p-2, 0x1.4b5cf4d4a6b79p-2, 0x1.485968a432bf9p-2, 0x1.4552af40e76c5p-2, 0x1.42492fa6c942fp-2, 0x1.3f3d4c23ef98dp-2, 0x1.3c2f62ab51d77p-2, 0x1.391fcd392e8ccp-2, 0x1.360ee153c791bp-2, 0x1.32fcf19dd71e1p-2, 0x1.2fea4cbdc378cp-2, 0x1.2cd73e1a70942p-2, 0x1.29c40de552306p-2, 0x1.26b1011ea7f9ep-2, 0x1.239e59c7c1572p-2, 0x1.208c58224395bp-2, 0x1.1d7b34a3c5055p-2, 0x1.1a6b2c90a85e3p-2, 0x1.175c75a7782b7p-2, 0x1.144f44784bcd1p-2, 0x1.1143cb61fc2c8p-2, 0x1.0e3a3aa84e192p-2, 0x1.0b32c09e089dcp-2, 0x1.082d89b13f5d3p-2, 0x1.052ac11c51726p-2, 0x1.022a8e4152ee4p-2, 0x1.fe5a343cd436fp-3, 0x1.f86513fc3c996p-3, 0x1.f2760454e9d5dp-3, 0x1.ec8d4af865ad4p-3, 0x1.e6ab2c5e2145fp-3, 0x1.e0cfe3f33d68fp-3, 0x1.dafbb2a84d2dfp-3, 0x1.d52ed2ebf89f6p-3, 0x1.cf697c6d1f2a7p-3, 0x1.c9abe4f0456efp-3, 0x1.c3f63ff0664f2p-3, 0x1.be48bebd27956p-3, 0x1.b8a390affd1c3p-3, 0x1.b306e31860e52p-3, 0x1.ad72e18aaf02ep-3, 0x1.a7e7b5d3e86dap-3, 0x1.a265881d25f18p-3, 0x1.9cec7ee3f6916p-3, 0x1.977cbf3917094p-3, 0x1.92166c4e0c17fp-3, 0x1.8cb9a865f48dcp-3, 0x1.8766939c209d5p-3, 0x1.821d4d0606542p-3, 0x1.7cddf237d8ad4p-3, 0x1.77a89f6700afcp-3, 0x1.727d6f736a891p-3, 0x1.6d5c7bf806508p-3, 0x1.6845dd44c4b64p-3, 0x1.6339aa7e6c97cp-3, 0x1.5e37f95e122dap-3, 0x1.5940df02833b2p-3, 0x1.54546ea472c9cp-3, 0x1.4f7449ad006bp-3, 0x1.4a9d3b5623beep-3, 0x1.45d1055a6ec83p-3, 0x1.410fb6a2d182dp-3, 0x1.3c595cc4d6bf7p-3, 0x1.37ae040c02d5bp-3, 0x1.330db77897dc5p-3, 0x1.2e787db2823c5p-3, 0x1.29ee68e820b87p-3, 0x1.256f772a6453dp-3, 0x1.20fbb2946ca3cp-3, 0x1.1c931fa8edcc6p-3, 0x1.1835c44134075p-3, 0x1.13e3a438833afp-3, 0x1.0f9cc1d16d4bbp-3, 0x1.0b612064ac021p-3, 0x1.0730c1768337ep-3, 0x1.030ba620f1578p-3, 0x1.fde39dd2ebad8p-4, 0x1.f5c677e3c0212p-4, 0x1.edbfd8141c903p-4, 0x1.e5cfbc8be86bbp-4, 0x1.ddf62160725bp-4, 0x1.d63301ad2d97cp-4, 0x1.ce865737e2c49p-4, 0x1.c6f01997d443bp-4, 0x1.bf7040f2941ffp-4, 0x1.b806c2b981d1ap-4, 0x1.b0b393353c7afp-4, 0x1.a976a61c54cf6p-4, 0x1.a24feca2ac1bap-4, 0x1.9b3f576dd403fp-4, 0x1.9444d59677293p-4, 0x1.8d6055136ff18p-4, 0x1.8691c2536fc8ep-4, 0x1.7fd908b173bacp-4, 0x1.7936125e018f5p-4, 0x1.72a8c8445e899p-4, 0x1.6c31124f9dcabp-4, 0x1.65ced72efc69dp-4, 0x1.5f81fcc0874bap-4, 0x1.594a67d7e62a8p-4, 0x1.5327fbef8ba35p-4, 0x1.4d1a9c86d42a8p-4, 0x1.47222b44a559ep-4, 0x1.413e8982e0b44p-4, 0x1.3b6f97afafb9p-4, 0x1.35b53cbc63439p-4, 0x1.300f413b5b277p-4, 0x1.2a7d9a1efdc8p-4, 0x1.25001cc68a514p-4, 0x1.1f96afa43d9efp-4, 0x1.1a4112196e221p-4, 0x1.14ff3eca268b8p-4, 0x1.0fd0fea300defp-4, 0x1.0ab63491a264p-4, 0x1.05aeb61a9be34p-4, 0x1.00ba5c924bd8ap-4, 0x1.f7b200b6dccd3p-5, 0x1.ee14f011632dep-5, 0x1.e49d36e84e2cfp-5, 0x1.db4a8155975fep-5, 0x1.d21c7af000148p-5, 0x1.c912ce53c3e03p-5, 0x1.c02d24f5bdd9bp-5, 0x1.b76b2768704dbp-5, 0x1.aecc7d5227358p-5, 0x1.a650cd7a20108p-5, 0x1.9df7bcfa57d55p-5, 0x1.95c0f353dc3a6p-5, 0x1.8dac126bfda42p-5, 0x1.85b8bfef05646p-5, 0x1.7de69ca0ab962p-5, 0x1.76355098b73b2p-5, 0x1.6ea4792c7741ep-5, 0x1.6733ba4b2fbf5p-5, 0x1.5fe2c989a8008p-5, 0x1.58b10c5ddba0cp-5, 0x1.519e608d692f8p-5, 0x1.4aaa53160d43ep-5, 0x1.43d48553ba88ap-5, 0x1.3d1c9896846fp-5, 0x1.36822ec82c83fp-5, 0x1.3004e8e73938fp-5, 0x1.29a467387d47ep-5, 0x1.23604e53ec4fcp-5, 0x1.1d383f8fbc632p-5, 0x1.172bddbf5423ap-5, 0x1.113ac0e6b1843p-5, 0x1.0b64ad3b31de9p-5, 0x1.05a929ac7a5dap-5, 0x1.0007dc11112fcp-5, 0x1.f500e650ebb3dp-6, 0x1.ea25225a36b84p-6, 0x1.df7bb86f18014p-6, 0x1.d503fac24f991p-6, 0x1.cabd3fff4b81ap-6, 0x1.c0a6ba2c78fa4p-6, 0x1.b6bfdb7b44008p-6, 0x1.ad07ed6748c81p-6, 0x1.a37e455f31ca7p-6, 0x1.9a2236e6a7ed7p-6, 0x1.90f31238be5bep-6, 0x1.87f05f2e00484p-6, 0x1.7f1944d8702a5p-6, 0x1.766d33ae225cap-6, 0x1.6deb8985f4b03p-6, 0x1.659396097b6e8p-6, 0x1.5d64ef0ad9c59p-6, 0x1.555ec3b735a41p-6, 0x1.4d808dddfb1f5p-6, 0x1.45c9b18b861c5p-6, 0x1.3e398ff100b6dp-6, 0x1.36cf9e51b4593p-6, 0x1.2f8b435c24797p-6, 0x1.286bebd92ae75p-6, 0x1.2171066076ee5p-6, 0x1.1a9a3a129c998p-6, 0x1.13e64fcbb518fp-6, 0x1.0d5562c4d31efp-6, 0x1.06e6ae4cfb604p-6, 0x1.0099a9e30d73bp-6, 0x1.f4db94135136cp-7, 0x1.e8c50f5af37eep-7, 0x1.dceeb8afdc85bp-7, 0x1.d15786f2c1acfp-7, 0x1.c5fe63c0c46d2p-7, 0x1.bae26fa4a6af7p-7, 0x1.b00284ccc4a12p-7, 0x1.a55dafd432111p-7, 0x1.9af2f385f0b43p-7, 0x1.90c154fa3e187p-7, 0x1.86c7dce6e3cd1p-7, 0x1.7d05a6a04e24fp-7, 0x1.73798c6ca19b1p-7, 0x1.6a22d1b71c4fcp-7, 0x1.61007910b37f5p-7, 0x1.5811963ffbabp-7, 0x1.4f5527fd78d87p-7, 0x1.46ca90d31826cp-7, 0x1.3e70a613627dbp-7, 0x1.3646a27dc9b57p-7, 0x1.2e4ba3d132d12p-7, 0x1.267ed1d51e3b6p-7, 0x1.1edf4ef0f805ep-7, 0x1.176c4923efcdfp-7, 0x1.1024ebd156d11p-7, 0x1.090865bb2d415p-7, 0x1.0215e87c972a4p-7, 0x1.f6991ea577bf7p-8, 0x1.e957b6d82139bp-8, 0x1.dc65781a621e3p-8, 0x1.cfc10e69e6378p-8, 0x1.c368d8c2a6dffp-8, 0x1.b75b9e5cf82f5p-8, 0x1.ab97a3a4b1ffp-8, 0x1.a01b9981aaca5p-8, 0x1.94e6008ad920ap-8, 0x1.89f57563ead1dp-8, 0x1.7f4893eb3d4e2p-8, 0x1.74ddfd419634bp-8, 0x1.6ab457a0da80dp-8, 0x1.60ca4e6685562p-8, 0x1.571e6d2a85391p-8, 0x1.4dafd795850e6p-8, 0x1.447cdabe1d24fp-8, 0x1.3b845a2864e3bp-8, 0x1.32c5108d5d815p-8, 0x1.2a5b243ccbabep-8, 0x1.220a2b63bd518p-8, 0x1.19eed7839c271p-8, 0x1.120806bda2d0cp-8, 0x1.0a5496b0b6777p-8, 0x1.02d3696b5b29bp-8, 0x1.f706b6853333dp-9, 0x1.e8c6f09eebd44p-9, 0x1.dae5138becd85p-9, 0x1.cd5f2f01ad6a1p-9, 0x1.c0333a4a21ec1p-9, 0x1.b35f0fbdfcf51p-9, 0x1.a6e0d06f8e4aap-9, 0x1.9ab68bc6cfdbap-9, 0x1.8ede4b441999ap-9, 0x1.83563280289ecp-9, 0x1.781c6927ab40bp-9, 0x1.6d2f20259cd35p-9, 0x1.628c9e82f110cp-9, 0x1.5832d0899437dp-9, 0x1.4e20ba0ef8b1fp-9, 0x1.4453e4015b973p-9, 0x1.3acb159736b68p-9, 0x1.318497e5b6ddbp-9, 0x1.287ed59db7ac1p-9, 0x1.1fb84269f07e4p-9, 0x1.172f5861494dep-9, 0x1.0ee28d4c3ca1ep-9, 0x1.06d07675f6d26p-9, 0x1.fdef428794084p-10, 0x1.eeaccc47a2bffp-10, 0x1.dfd8447832a1fp-10, 0x1.d16d7cf0d0fa8p-10, 0x1.c36a44c79cceep-10, 0x1.b5cc0a9c5cce2p-10, 0x1.a8904450bfaf3p-10, 0x1.9bb47c2995b2bp-10, 0x1.8f37f5cd8558ep-10, 0x1.83131c6526801p-10, 0x1.77492335574cap-10, 0x1.6bd4ff1c2f535p-10, 0x1.60b5943011122p-10, 0x1.55e910ad2373dp-10, 0x1.4b6ad0f9cabb5p-10, 0x1.413b47546a89ap-10, 0x1.37580dd12984ep-10, 0x1.2dbdc7f202931p-10, 0x1.246bdc52ad11ap-10, 0x1.1b5fe48cb3d05p-10, 0x1.1297c4961f666p-10, 0x1.0a12745e7ea11p-10, 0x1.01ce16e527c76p-10, 0x1.f38e028b45f57p-11, 0x1.e3fb70710e35fp-11, 0x1.d4df9a0ba33bep-11, 0x1.c63769df9ed2ap-11, 0x1.b7ff434b7b458p-11, 0x1.aa347de920dd4p-11, 0x1.9cd3e6c047346p-11, 0x1.8fda931305fb2p-11, 0x1.8345a497d2eb9p-11, 0x1.77123e583e028p-11, 0x1.6b3e3ca796b3p-11, 0x1.5fc52571e482ap-11, 0x1.54a62da1ea354p-11, 0x1.49dc67b28e3f1p-11, 0x1.3f6abe528273p-11, 0x1.3548fbc787dcp-11, 0x1.2b772c8798d1cp-11, 0x1.21f29a6de6c19p-11, 0x1.18b91d6f95666p-11, 0x1.0fc8bd990b39dp-11, 0x1.071ed20c890f5p-11, 0x1.fd739d0c765f2p-12, 0x1.ed2ed6bc11debp-12, 0x1.dd6b694a10158p-12, 0x1.ce257c6bc6513p-12, 0x1.bf59522ff3e3p-12, 0x1.b1033da326b21p-12, 0x1.a320055ce8a7bp-12, 0x1.95ab2bf74d3f7p-12, 0x1.88a25f70cb10cp-12, 0x1.7c01f0142818ep-12, 0x1.6fc6cdebda5cp-12, 0x1.63edc70623d34p-12, 0x1.586ffd55b23d9p-12, 0x1.4d55d2126cda2p-12, 0x1.429158e3fb5d9p-12, 0x1.3823c27fe47dep-12, 0x1.2e10f938da095p-12, 0x1.2440a80842f55p-12, 0x1.1ac63688a1beep-12, 0x1.119842322db7fp-12, 0x1.08b43403ae4f8p-12, 0x1.0017bb308c874p-12, 0x1.ef81392e2c5p-13, 0x1.df595d4992a01p-13, 0x1.cfb3927f602p-13, 0x1.c08194215685bp-13, 0x1.b1defde3ea4e5p-13, 0x1.a3a89e395394bp-13, 0x1.95e485b589f81p-13, 0x1.888c03278c2e3p-13, 0x1.7ba6a3a9a1141p-13, 0x1.6f260e370623fp-13, 0x1.630aa4e4a5bb2p-13, 0x1.574fd14461783p-13, 0x1.4bf685a31b80ep-13, 0x1.40f664c4a0fbbp-13, 0x1.364f875c72fe5p-13, 0x1.2bfe45182bd0ep-13, 0x1.21ffd66a839dcp-13, 0x1.1854c8c4a23c3p-13, 0x1.0eeecfe68bcaap-13, 0x1.05d7bec379c64p-13, 0x1.fa0f96c9a0196p-14, 0x1.e8f93ea1ab947p-14, 0x1.d86806effea3ep-14, 0x1.c8578ed163bd9p-14, 0x1.b8a4a8af8b5ddp-14, 0x1.a9a135a151098p-14, 0x1.9af3fba74b056p-14, 0x1.8cb5424c9359ep-14, 0x1.7ee0f452af1abp-14, 0x1.717340740b86dp-14, 0x1.64670d984061fp-14, 0x1.57be752d1b2b8p-14, 0x1.4b705545f4108p-14, 0x1.3f7c0d3b7d472p-14, 0x1.33de6ab19f9f7p-14, 0x1.2894bae63b9f5p-14, 0x1.1d9c548e992f8p-14, 0x1.12f2a543146ffp-14, 0x1.0894fc9059911p-14, 0x1.fd2da73f8fcc2p-15, 0x1.e969b425a31c2p-15, 0x1.d65ed6c5a6f83p-15, 0x1.c3d89f9418e34p-15, 0x1.b1d498bbe11dbp-15, 0x1.a04f80b777a54p-15, 0x1.8f413d437778fp-15, 0x1.7ef45c127ab3ap-15, 0x1.6e8e7a5839b37p-15, 0x1.5ed8d81203934p-15, 0x1.4f913e8f2dbd5p-15, 0x1.40b23b9863c7bp-15, 0x1.32383d6aad662p-15, 0x1.242013c842cb2p-15, 0x1.16667e44d50e9p-15, 0x1.091f0b5738983p-15, 0x1.f80d92fa4d27cp-16, 0x1.de8ae53568607p-16, 0x1.c5fa04d98fe46p-16, 0x1.ade4af7efa02fp-16, 0x1.968ede5f12157p-16, 0x1.7f5bc1e1c0beap-16, 0x1.694fd462ea602p-16, 0x1.53933de93738fp-16, 0x1.3e64c678abc56p-16, 0x1.29beb04674899p-16, 0x1.159a8a7bf00eep-16, 0x1.01f6205698e6ap-16, 0x1.dd9bfc0aafd85p-17, 0x1.b83cd0ee5e0a4p-17, 0x1.93c801b4f3d12p-17, 0x1.70372a1c4f653p-17, 0x1.4d8427df82ddp-17, 0x1.2ba9107d4b1a5p-17, 0x1.0a9ffcd2d858bp-17, 0x1.d4c0c2f6ecebbp-18, 0x1.950eae370355cp-18, 0x1.5878c58c52a66p-18, 0x1.1ca68e6e14c76p-18, 0x1.c436c6ca6ce15p-19, 0x1.523162219cfc2p-19, 0x1.c5c11350d7c55p-20, 0x1.d909f1fcb33fbp-21, 0x1.8bdce3d0721efp-24, -0x1.6c51794096d5dp-21, -0x1.817f722543beep-20, -0x1.227ce2caf3e7fp-19, -0x1.829283dbf00fdp-19, -0x1.df78a9eef3314p-19, -0x1.1db082a674389p-18, -0x1.4a3362342a6e9p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.a81a19cf95e08p-2, -0x1.b08c8fe708c2fp-2, -0x1.b933abea628p-2, -0x1.c1fcdb4eb50ap-2, -0x1.cad705f1d3466p-2, -0x1.d3b2932a806dfp-2, -0x1.dc81275245935p-2, -0x1.e535ab4bc798ep-2, -0x1.edc4f8f070402p-2, -0x1.f62553db5411ap-2, -0x1.fe4d654ee7a3cp-2, -0x1.031a85bbcb49cp-1, -0x1.06eb1d71833a6p-1, -0x1.0a95ed12603bep-1, -0x1.0e18383f08a4fp-1, -0x1.116f5e98f3ddfp-1, -0x1.149993157d234p-1, -0x1.1795f4c201c74p-1, -0x1.1a63f4eae0a61p-1, -0x1.1d02c9df446f7p-1, -0x1.1f71771672b7bp-1, -0x1.21aed6679ec14p-1, -0x1.23bc574556af8p-1, -0x1.259983699705dp-1, -0x1.2746a69f545acp-1, -0x1.28c435a51f943p-1, -0x1.2a12c983bc4dap-1, -0x1.2b331b0e9f9fp-1, -0x1.2c25ff2829d47p-1, -0x1.2cec6357a2ac9p-1, -0x1.2d874a0374805p-1, -0x1.2df7c664f61b4p-1, -0x1.2e3ef8a2da6cdp-1, -0x1.2e5e0aa1de7abp-1, -0x1.2e562e942cac6p-1, -0x1.2e289f96802f8p-1, -0x1.2dd6a2436f9eep-1, -0x1.2d6182379decap-1, -0x1.2cca8c2a35e5cp-1, -0x1.2c130820a653cp-1, -0x1.2b3c37cf5607cp-1, -0x1.2a4759daaa4fbp-1, -0x1.2935aebcda831p-1, -0x1.28087a691673bp-1, -0x1.26c1018876e29p-1, -0x1.2560833ad1f5ap-1, -0x1.23e833979c56cp-1, -0x1.225939ca87909p-1, -0x1.20b4b1e597855p-1, -0x1.1efbb14078f99p-1, -0x1.1d2f4961beaddp-1, -0x1.1b50894c7604ap-1, -0x1.19607c69373a9p-1, -0x1.17602864bf411p-1, -0x1.15508b3098f2bp-1, -0x1.133299e58eb97p-1, -0x1.11074088ea8eep-1, -0x1.0ecf625b3ec44p-1, -0x1.0c8bda1a651afp-1, -0x1.0a3d7a0e0529cp-1, -0x1.07e50c0a5fb4ap-1, -0x1.058351bec84a7p-1, -0x1.0319057702d29p-1, -0x1.00a6ca20dec2cp-1, -0x1.fc5afaf30177bp-2, -0x1.f75b5d38ae32cp-2, -0x1.f24fff1893e5p-2, -0x1.ed3a188e6f6f3p-2, -0x1.e81ad4f75c0b5p-2, -0x1.e2f352c8ee633p-2, -0x1.ddc4a3a6bed62p-2, -0x1.d88fccd6e0b53p-2, -0x1.d355c7e7f860cp-2, -0x1.ce1783550b18bp-2, -0x1.c8d5e311d2ab5p-2, -0x1.c391c0ef077ecp-2, -0x1.be4becf4ac424p-2, -0x1.b9052da9c7c64p-2, -0x1.b3be405ebf4abp-2, -0x1.ae77d977a5ce5p-2, -0x1.a932a4bab02d5p-2, -0x1.a3ef4595a2f49p-2, -0x1.9eae576caebcp-2, -0x1.99706de557319p-2, -0x1.9436153516b77p-2, -0x1.8effd27125999p-2, -0x1.89ce23dc4be26p-2, -0x1.84a181345b397p-2, -0x1.7f7a5bfce35aep-2, -0x1.7a591fc3a61b9p-2, -0x1.753e3260d495ap-2, -0x1.7029f42fa7a51p-2, -0x1.6b1cc041a1093p-2, -0x1.6616ec8f1612ep-2, -0x1.6118ca234dd3ap-2, -0x1.5c22a54e67ae3p-2, -0x1.5734c5d94aa26p-2, -0x1.524f6f2a3f568p-2, -0x1.4d72e0945376cp-2, -0x1.489f55709129ap-2, -0x1.43d505595f25dp-2, -0x1.3f1424572657ap-2, -0x1.3a5ce306cd0fbp-2, -0x1.35af6ec500549p-2, -0x1.310bf1f04574p-2, -0x1.2c72936985c89p-2, -0x1.27e377fd44f95p-2, -0x1.235ec1382326p-2, -0x1.1ee48e26afbb7p-2, -0x1.1a74fb4fba231p-2, -0x1.161022cba4fd5p-2, -0x1.11b61c5e21f7p-2, -0x1.0d66fd8ad4b86p-2, -0x1.0922d9c604475p-2, -0x1.04e9c221a005dp-2, -0x1.00bbc639d6134p-2, -0x1.f931e6f202e27p-3, -0x1.f102ab2ca8bep-3, -0x1.e8e9ed2c195fbp-3, -0x1.e0e7bdcf3bc41p-3, -0x1.d8fc2a6a6906dp-3, -0x1.d1273ddcd80aep-3, -0x1.c968ffd2d7c6ap-3, -0x1.c1c17539f20f5p-3, -0x1.ba30a0618554ap-3, -0x1.b2b68117b4b2cp-3, -0x1.ab5314cad3e7dp-3, -0x1.a40656ad2b2e6p-3, -0x1.9cd03fc78faf7p-3, -0x1.95b0c71a4d49bp-3, -0x1.8ea7e1a907608p-3, -0x1.87b5828b13cc9p-3, -0x1.80d99af39b22ep-3, -0x1.7a141a40b7dd9p-3, -0x1.7364edfaf7b1fp-3, -0x1.6ccc01f4d144ap-3, -0x1.66494044c78c6p-3, -0x1.5fdc916c4d3d1p-3, -0x1.5985dc65cedd4p-3, -0x1.534506bf154bp-3, -0x1.4d19f4b2e41a3p-3, -0x1.470489412844cp-3, -0x1.4104a64154ccep-3, -0x1.3b1a2c79d6f38p-3, -0x1.3544fba0850cdp-3, -0x1.2f84f28a1106dp-3, -0x1.29d9eef5acec8p-3, -0x1.24446c26c5328p-3, -0x1.1ec2ef658915fp-3, -0x1.195609c3ad559p-3, -0x1.13fd95582ff5cp-3, -0x1.0eb96b3faf9c1p-3, -0x1.098963a7c4e89p-3, -0x1.046d55dad4513p-3, -0x1.feca2ff5fdbap-4, -0x1.f4e10188db291p-4, -0x1.eb1ec871cf441p-4, -0x1.e1832e3c63f61p-4, -0x1.d80dda7e6718ap-4, -0x1.cebe741db37cap-4, -0x1.c594a0f88bd7cp-4, -0x1.bc900647ae557p-4, -0x1.b3b0489854caep-4, -0x1.aaf50bf66f1cfp-4, -0x1.a25df3f8226c4p-4, -0x1.99eaa3c760f41p-4, -0x1.919abe5283ef9p-4, -0x1.896de5eb6eb68p-4, -0x1.8163bcf70c9b5p-4, -0x1.797be567fd16ap-4, -0x1.71b600ff10dp-4, -0x1.6a11b13d22818p-4, -0x1.628e974aefaaep-4, -0x1.5b2c545baf054p-4, -0x1.53ea893dd9d91p-4, -0x1.4cc8d698de417p-4, -0x1.45c6dcf7fbf85p-4, -0x1.3ee43ca94b147p-4, -0x1.382095eb763a3p-4, -0x1.317b88e266029p-4, -0x1.2af4b5a353ed3p-4, -0x1.248bbc4056648p-4, -0x1.1e403cd3f2bc9p-4, -0x1.1811d78011729p-4, -0x1.12002c933e8bcp-4, -0x1.0c0adc7dd9a17p-4, -0x1.063187d86aa55p-4, -0x1.0073cf8ef7ddap-4, -0x1.f5a2a99acd98bp-5, -0x1.ea93720368d2cp-5, -0x1.dfb93c413e24cp-5, -0x1.d5134cb33d721p-5, -0x1.caa0e8c0a4a0dp-5, -0x1.c06156b00236cp-5, -0x1.b653dfe4d879p-5, -0x1.ac77c60c14db6p-5, -0x1.a2cc5919617p-5, -0x1.9950e1186b63bp-5, -0x1.9004abff3f985p-5, -0x1.86e6ff0a552b5p-5, -0x1.7df72f7b58a16p-5, -0x1.7534896079f38p-5, -0x1.6c9e5d75abfb1p-5, -0x1.6433fcafc4bb5p-5, -0x1.5bf4b9c86c84fp-5, -0x1.53dfe81be7b27p-5, -0x1.4bf4de2f05d0ep-5, -0x1.4432f0fd588cep-5, -0x1.3c9978b34663dp-5, -0x1.3527ce564426cp-5, -0x1.2ddd4c496aa39p-5, -0x1.26b94e434cc25p-5, -0x1.1fbb31681ec15p-5, -0x1.18e25441e6aep-5, -0x1.122e16cb0ae8p-5, -0x1.0b9dda4afb2bdp-5, -0x1.0531021ba6501p-5, -0x1.fdcde465f87e6p-6, -0x1.f17e21aa1adebp-6, -0x1.e5718a597cfbap-6, -0x1.d9a6f22be3807p-6, -0x1.ce1d2d2861e2dp-6, -0x1.c2d3148e8993cp-6, -0x1.b7c78a1247104p-6, -0x1.acf95be6f52f8p-6, -0x1.a2677e0229abcp-6, -0x1.9810d0da605e4p-6, -0x1.8df43e10c964p-6, -0x1.8410b2c3fa875p-6, -0x1.7a651fb3387c9p-6, -0x1.70f078e71779p-6, -0x1.67b1b5b3f8bd8p-6, -0x1.5ea7d1f9b482fp-6, -0x1.55d1cc59e647p-6, -0x1.4d2ea746019bap-6, -0x1.44bd6699ac271p-6, -0x1.3c7d1a4e663f4p-6, -0x1.346ccb3aea71p-6, -0x1.2c8b867b1e27p-6, -0x1.24d8663990056p-6, -0x1.1d52807ab4319p-6, -0x1.15f8f09063a3ap-6, -0x1.0ecad5f1d8bffp-6, -0x1.07c754e2efe8bp-6, -0x1.00ed8db7e8e7dp-6, -0x1.f4795f8847b4cp-7, -0x1.e767cc51e140bp-7, -0x1.daa4c2b32ae6bp-7, -0x1.ce2ea961197e2p-7, -0x1.c203ed76b7bbdp-7, -0x1.b6230e220753bp-7, -0x1.aa8a7b15aafa8p-7, -0x1.9f38bb125c8d4p-7, -0x1.942c569add9e2p-7, -0x1.8963d7e0c2167p-7, -0x1.7edde36df3157p-7, -0x1.749905c4b9d36p-7, -0x1.6a93e6893108ap-7, -0x1.60cd2b91cf584p-7, -0x1.574385c9e22adp-7, -0x1.4df5a70ae6d5ep-7, -0x1.44e24989d94c8p-7, -0x1.3c082cbc2dbb6p-7, -0x1.336615d7bdb93p-7, -0x1.2afadbd18bd63p-7, -0x1.22c529c3d62cp-7, -0x1.1ac3fa96533ap-7, -0x1.12f61c6834ff3p-7, -0x1.0b5a712a9f5f5p-7, -0x1.03efdcb9576a1p-7, -0x1.f96a948c7478bp-8, -0x1.eb535303dfd6cp-8, -0x1.dd97de5b45aacp-8, -0x1.d036277c6ff02p-8, -0x1.c32c30cf0cb0ap-8, -0x1.b677fb4efca5dp-8, -0x1.aa179899eb7e6p-8, -0x1.9e09219c5b5e7p-8, -0x1.924ab8416ea1p-8, -0x1.86da87ae65e46p-8, -0x1.7bb6c489a7529p-8, -0x1.70dda923203dfp-8, -0x1.664d7d0f89c24p-8, -0x1.5c048d86a2a6bp-8, -0x1.520130459e3e6p-8, -0x1.4841bb0e0256dp-8, -0x1.3ec4acf0e6f98p-8, -0x1.35885c1976a1ap-8, -0x1.2c8b4738526bcp-8, -0x1.23cbec4e2703bp-8, -0x1.1b48d119a331ap-8, -0x1.130081ebab327p-8, -0x1.0af1947704c9p-8, -0x1.031aa487d04a5p-8, -0x1.f6f4aaa206d2dp-9, -0x1.e81ea261c2a26p-9, -0x1.d9b0890f1a045p-9, -0x1.cba7ed0310e2p-9, -0x1.be022f1ce0fefp-9, -0x1.b0bce42f06896p-9, -0x1.a3d5a06cabf62p-9, -0x1.974a152cf686cp-9, -0x1.8b17e9ae28b4cp-9, -0x1.7f3ce2fa75e44p-9, -0x1.73b6c9850b095p-9, -0x1.688375e02adeap-9, -0x1.5da0cb8a1077ep-9, -0x1.530cb9d6f193bp-9, -0x1.48c53bb125eaep-9, -0x1.3ec8576eb130cp-9, -0x1.35140f587431ap-9, -0x1.2ba6ad9a2ecb8p-9, -0x1.227e2c00b61bdp-9, -0x1.1998cc49269fep-9, -0x1.10f4c6632e8d5p-9, -0x1.08a2e8dca3e1bp-9, -0x1.007c12dabcb4fp-9, -0x1.f123160bf6812p-10, -0x1.e1c3714d54937p-10, -0x1.d2d613cdce28ap-10, -0x1.c457ecb223111p-10, -0x1.b645fb5dc42b6p-10, -0x1.a89d5a711f5dap-10, -0x1.9b5b26d72f525p-10, -0x1.8e7c9b72df1f4p-10, -0x1.81ff020ab7648p-10, -0x1.75dfaae60f06dp-10, -0x1.6a1c036ac6fafp-10, -0x1.5eb18cc08fbd1p-10, -0x1.539dc496bf842p-10, -0x1.48de470f20041p-10, -0x1.3e70bb682f627p-10, -0x1.3452d7fa049aap-10, -0x1.2a82650587074p-10, -0x1.20fd0c9fd7bc3p-10, -0x1.17c119cb7f0ap-10, -0x1.0ecc0d6e6f796p-10, -0x1.061c12c85f774p-10, -0x1.fb5e5993abfbbp-11, -0x1.eb06e35ea9cbcp-11, -0x1.db2e09873c5d1p-11, -0x1.cbd0293e56a04p-11, -0x1.bce9b267b74c9p-11, -0x1.ae773a55e0d3dp-11, -0x1.a0756290dfc33p-11, -0x1.92e0a8a0ac9bap-11, -0x1.85b699a19bf3bp-11, -0x1.78f35ffaf7592p-11, -0x1.6c94344e54c6bp-11, -0x1.609628353e043p-11, -0x1.54f660fa89f9cp-11, -0x1.49b215f37d696p-11, -0x1.3ec6cffca2025p-11, -0x1.343132e502758p-11, -0x1.29ef8a8e9dd36p-11, -0x1.1ffeba591ed9bp-11, -0x1.165cbc237e6c2p-11, -0x1.0d0750cdd0c9ep-11, -0x1.03fb5fb00e8abp-11, -0x1.f66f0085c2d1bp-12, -0x1.e572cd9a3874cp-12, -0x1.d4fd2bd5b878fp-12, -0x1.c50ac8bb5d4f8p-12, -0x1.b5976473bc2edp-12, -0x1.a69f0272f844fp-12, -0x1.981e4ce4904adp-12, -0x1.8a11810c80411p-12, -0x1.7c744b91100edp-12, -0x1.6f44312cfe3f5p-12, -0x1.627d801cbbddep-12, -0x1.561c9b7a47d2ep-12, -0x1.4a1f90b01972bp-12, -0x1.3e821cf91ae87p-12, -0x1.3341aceed525cp-12, -0x1.285b629c8f52ep-12, -0x1.1dcc73401a951p-12, -0x1.139227793c29p-12, -0x1.09a9f5e05ec97p-12, -0x1.001108c672ep-12, -0x1.ed8a5ff30f769p-13, -0x1.db87266b35a86p-13, -0x1.ca15dbdaeda71p-13, -0x1.b92fb77638c58p-13, -0x1.a8d14e73613c2p-13, -0x1.98f62cb7e957fp-13, -0x1.899a4348a73ccp-13, -0x1.7ab9b89b67168p-13, -0x1.6c50560187893p-13, -0x1.5e5abd7f7e5d5p-13, -0x1.50d518913bbf2p-13, -0x1.43bbe92d5c9ffp-13, -0x1.370bc6a94826p-13, -0x1.2ac1684c27dc4p-13, -0x1.1ed98e1b5c603p-13, -0x1.1351210c2b27ap-13, -0x1.08252164c997ap-13, -0x1.faa557cd0ce7cp-14, -0x1.e5adcd943cbd8p-14, -0x1.d15e4780663acp-14, -0x1.bdb169c495702p-14, -0x1.aaa06835367cdp-14, -0x1.982b5bc971532p-14, -0x1.86488d49cd703p-14, -0x1.74f52222bf4dap-14, -0x1.642e37a3a8c1p-14, -0x1.53e9d74d13bc7p-14, -0x1.4429a19c9d24dp-14, -0x1.34e7bd0910c27p-14, -0x1.262033bf7771ep-14, -0x1.17cf42e111067p-14, -0x1.09f149f758fbcp-14, -0x1.f9059146b795bp-15, -0x1.df00b176a2e23p-15, -0x1.c5c7e4c27430dp-15, -0x1.ad65c48748d03p-15, -0x1.95c363a97cacap-15, -0x1.7ee04375a4ff4p-15, -0x1.68b65289c257dp-15, -0x1.5341bfe8237c6p-15, -0x1.3e7b8cddcce33p-15, -0x1.2a5f2c607339fp-15, -0x1.16e6902071a4dp-15, -0x1.040fbc94869bdp-15, -0x1.e3a4d31b390d3p-16, -0x1.c057c1aa7273dp-16, -0x1.9e2e80de395a8p-16, -0x1.7d2047a2e41edp-16, -0x1.5d29d29740f9ep-16, -0x1.3e31d7b253ca6p-16, -0x1.20423604c3641p-16, -0x1.034c03c34561bp-16, -0x1.ce8fe6cf62ffcp-17, -0x1.985d6d954cab1p-17, -0x1.63f27cd070be4p-17, -0x1.312e0619f4d51p-17, -0x1.003b0ad7779cfp-17, -0x1.a1aa3781e52ap-18, -0x1.46056bfb3273cp-18, -0x1.dae0ca232809cp-19, -0x1.2fa991e969486p-19, -0x1.1467b70937448p-20, 0x1.590266078bac4p-23, 0x1.5fc8d15c01c94p-20, 0x1.44e36d7b74dbbp-19, 0x1.d4b11d778b71ap-19, 0x1.2fb7f63fac3edp-18, 0x1.72a06a823fd2p-18, 0x1.b321defc54837p-18, 0x1.f14c2b49cf038p-18, 0x1.168183df48fe1p-17, 0x1.336aae9b28b72p-17, 0x1.4f26f162add1bp-17, 0x1.69d4a33935ebap-17, 0x1.83799c106afep-17, 0x1.9c1c267349362p-17, 0x1.b3c3c90af8a05p-17, 0x1.ca58ef60f6197p-17, 0x1.e0341662eebc4p-17, 0x1.f50be4693f911p-17, 0x1.047f193032ea6p-16, 0x1.0e08a4b30941bp-16, 0x1.17255ca105dccp-16, 0x1.1fd7d8aa97599p-16, 0x1.2822b21aebd22p-16, 0x1.2fff251a924dfp-16, 0x1.378b2cd93b142p-16, 0x1.3eb1d4c6e356cp-16, 0x1.4570096e71b4dp-16, 0x1.4bd7d740b48b8p-16, 0x1.51e2064c2fc8bp-16, 0x1.57a36f7653d39p-16, 0x1.5cfa61803e7c8p-16, 0x1.6206ec1367a9dp-16, 0x1.66c11e9593afep-16, 0x1.6b2b34dd501e7p-16, 0x1.6f471b39f7333p-16, 0x1.7316902e059b5p-16, 0x1.769b50eca3a45p-16, 0x1.79d71168d0f79p-16, 0x1.7ccb796c726a6p-16, 0x1.7f7a265298a62p-16, 0x1.81e4abb76c272p-16, 0x1.840c942384db3p-16, 0x1.85f36343e9501p-16, 0x1.879aaf91a53f8p-16, 0x1.89075f7e0fa8cp-16, 0x1.8a2fc11d1cb1fp-16, 0x1.8b1fe5aa4521dp-16, 0x1.8bd74d7c3e71cp-16, 0x1.8c54fe23bcbafp-16, 0x1.8c9b73e6d9e91p-16, 0x1.8cabbb5b0f719p-16, 0x1.8c86d3fc882c2p-16, 0x1.8c2ec0bd4268bp-16, 0x1.8baaad88e1547p-16, 0x1.8ae7d5fc95a4dp-16, 0x1.89fba167d975ep-16, 0x1.88de9c23a9235p-16, 0x1.879625c0733bfp-16, 0x1.861fd01e2463cp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.663aff58edbcbp-5, 0x1.889e09cffd20dp-5, 0x1.ac4305e6e5e89p-5, 0x1.d11d4ade107bap-5, 0x1.f7200ae83b98cp-5, 0x1.0f1f2d13ef1b1p-4, 0x1.23359aa3eb3f9p-4, 0x1.37ccc3da164bep-4, 0x1.4cde18bbd3538p-4, 0x1.626306615bcccp-4, 0x1.7854f990168c9p-4, 0x1.8ead612de9ea8p-4, 0x1.a565b08f89afbp-4, 0x1.bc7761a3b0637p-4, 0x1.d3dbf6fd09d5cp-4, 0x1.eb8cfdbca552dp-4, 0x1.01c207af3bcffp-3, 0x1.0ddd69b4cc096p-3, 0x1.1a158082d06ffp-3, 0x1.2667303b53c9ep-3, 0x1.32cf66408a775p-3, 0x1.3f4b19db4f09p-3, 0x1.4bd74cd6c6cb3p-3, 0x1.58710c11b072ep-3, 0x1.65157005e7e89p-3, 0x1.71c19d468fc67p-3, 0x1.7e72c4f5574abp-3, 0x1.8b26252f33d16p-3, 0x1.97d9097102d3ep-3, 0x1.a488caf45584ap-3, 0x1.b132d104c5e7fp-3, 0x1.bdd4914e16811p-3, 0x1.ca6b902364b4fp-3, 0x1.d6f560bfafdap-3, 0x1.e36fa57fe638p-3, 0x1.efd81016bbb27p-3, 0x1.fc2c61ba7293bp-3, 0x1.043535a668439p-2, 0x1.0a4806beb259dp-2, 0x1.104d9c732c81bp-2, 0x1.1644f711f47f7p-2, 0x1.1c2d1ef35c23p-2, 0x1.2205248092675p-2, 0x1.27cc2037e3158p-2, 0x1.2d8132ae9ef3fp-2, 0x1.33238490c19ccp-2, 0x1.38b2469e67768p-2, 0x1.3e2cb1a726b5fp-2, 0x1.43920683640cp-2, 0x1.48e18e0bb1116p-2, 0x1.4e1a990e4c30fp-2, 0x1.533c8042d4178p-2, 0x1.5846a43c4437ap-2, 0x1.5d386d594bf7cp-2, 0x1.62114bb318bb9p-2, 0x1.66d0b70a9ffa8p-2, 0x1.6b762eb484a7dp-2, 0x1.70013983a58dfp-2, 0x1.747165b26c5e6p-2, 0x1.78c648caeb871p-2, 0x1.7cff7f8de4c26p-2, 0x1.811cadd8c43fp-2, 0x1.851d7e8aa65ffp-2, 0x1.8901a36878c8ap-2, 0x1.8cc8d500492fcp-2, 0x1.9072d28bd15c7p-2, 0x1.93ff61d251e57p-2, 0x1.976e4f09cb886p-2, 0x1.9abf6cb7a9203p-2, 0x1.9df29390e225ep-2, 0x1.a107a259adec3p-2, 0x1.a3fe7dc4ce9f5p-2, 0x1.a6d7105282fd1p-2, 0x1.a9914a2f2db8dp-2, 0x1.ac2d2111bd1a9p-2, 0x1.aeaa9019de475p-2, 0x1.b10997ae08f47p-2, 0x1.b34a3d596f661p-2, 0x1.b56c8ba9d5cc1p-2, 0x1.b770920d661bp-2, 0x1.b95664b07f7e3p-2, 0x1.bb1e1c5b90c96p-2, 0x1.bcc7d651001bbp-2, 0x1.be53b42b2ea87p-2, 0x1.bfc1dbba97c49p-2, 0x1.c11276e41beedp-2, 0x1.c245b37f73de2p-2, 0x1.c35bc335d9a8p-2, 0x1.c454db60e8708p-2, 0x1.c53134e9be126p-2, 0x1.c5f10c2859e97p-2, 0x1.c694a0c34ac74p-2, 0x1.c71c358fa3b63p-2, 0x1.c788107141a9fp-2, 0x1.c7d87a3b68442p-2, 0x1.c80dbe91b4ccep-2, 0x1.c8282bc969215p-2, 0x1.c82812cb18b5bp-2, 0x1.c80dc6f4b578p-2, 0x1.c7d99dfbfd749p-2, 0x1.c78befd15126cp-2, 0x1.c7251682f124cp-2, 0x1.c6a56e20a406ep-2, 0x1.c60d549fca427p-2, 0x1.c55d29bfdf16fp-2, 0x1.c4954eef676ebp-2, 0x1.c3b6273153192p-2, 0x1.c2c01702ce9bap-2, 0x1.c1b38441891edp-2, 0x1.c090d6126c43ep-2, 0x1.bf5874c8cb9adp-2, 0x1.be0ac9ce08a52p-2, 0x1.bca83f89ae78cp-2, 0x1.bb31414a010e1p-2, 0x1.b9a63b2d0975ep-2, 0x1.b8079a0a170bep-2, 0x1.b655cb5bb8ba8p-2, 0x1.b4913d2a3244dp-2, 0x1.b2ba5df6676f1p-2, 0x1.b0d19ca540fa2p-2, 0x1.aed7686b8d35p-2, 0x1.accc30ba566c4p-2, 0x1.aab0652bb6415p-2, 0x1.a88475701dfe7p-2, 0x1.a648d13c1bd24p-2, 0x1.a3fde83695791p-2, 0x1.a1a429e77e0b1p-2, 0x1.9f3c05a70056ep-2, 0x1.9cc5ea8d25b39p-2, 0x1.9a424761edd9ap-2, 0x1.97b18a8de3a3fp-2, 0x1.9514220b2115cp-2, 0x1.926a7b56cf674p-2, 0x1.8fb5036316577p-2, 0x1.8cf4268982ad6p-2, 0x1.8a28507ddea33p-2, 0x1.8751ec417ae6ep-2, 0x1.84716416ed7aap-2, 0x1.818721763c544p-2, 0x1.7e938d017ac7ep-2, 0x1.7b970e79d2b27p-2, 0x1.78920cb4feabcp-2, 0x1.7584ed932c751p-2, 0x1.727015f54d5a5p-2, 0x1.6f53e9b3d102ep-2, 0x1.6c30cb95c6bb2p-2, 0x1.69071d48684c1p-2, 0x1.65d73f570a6b3p-2, 0x1.62a1912372c24p-2, 0x1.5f6670de907bep-2, 0x1.5c263b819834ap-2, 0x1.58e14cc7819p-2, 0x1.5597ff26e1289p-2, 0x1.524aabcc2493ep-2, 0x1.4ef9aa9426cd6p-2, 0x1.4ba5520723a03p-2, 0x1.484df75402969p-2, 0x1.44f3ee4bf7ac6p-2, 0x1.4197895e7fedp-2, 0x1.3e391995ac59dp-2, 0x1.3ad8ee92c538p-2, 0x1.3777568b3c174p-2, 0x1.34149e45ed031p-2, 0x1.30b11118b262cp-2, 0x1.2d4cf8e63ec79p-2, 0x1.29e89e1c47367p-2, 0x1.268447b1f3d04p-2, 0x1.23203b26989bp-2, 0x1.1fbcbc80b4388p-2, 0x1.1c5a0e4d31773p-2, 0x1.18f8719eeedp-2, 0x1.1598260e80d45p-2, 0x1.123969ba3936fp-2, 0x1.0edc794666216p-2, 0x1.0b818fddd22f7p-2, 0x1.0828e73279a21p-2, 0x1.04d2b77e79303p-2, 0x1.017f378535221p-2, 0x1.fc5d3929635f6p-3, 0x1.f5c2350e420dp-3, 0x1.ef2dc78943608p-3, 0x1.e8a0528a5b96cp-3, 0x1.e21a35256816bp-3, 0x1.db9bcb96c77b1p-3, 0x1.d5256f483d414p-3, 0x1.ceb776d62827dp-3, 0x1.c85236150cfd4p-3, 0x1.c1f5fe1768af3p-3, 0x1.bba31d33cedfep-3, 0x1.b559df0b460e5p-3, 0x1.af1a8c8ff3c9ep-3, 0x1.a8e56c0bf7842p-3, 0x1.a2bac12893ac4p-3, 0x1.9c9accf581e38p-3, 0x1.9685cdf083e41p-3, 0x1.907c000d2af01p-3, 0x1.8a7d9cbcca5b1p-3, 0x1.848adaf69a746p-3, 0x1.7ea3ef40092e5p-3, 0x1.78c90bb52fb79p-3, 0x1.72fa6011732e1p-3, 0x1.6d3819b840967p-3, 0x1.678263bdf4ce9p-3, 0x1.61d966f0d8bb3p-3, 0x1.5c3d49e23fc3bp-3, 0x1.56ae30efbe0d8p-3, 0x1.512c3e4c73d4p-3, 0x1.4bb7920a74e62p-3, 0x1.46504a2438efcp-3, 0x1.40f6828623831p-3, 0x1.3baa551819536p-3, 0x1.366bd9c71f1d4p-3, 0x1.313b268f08636p-3, 0x1.2c184f84254bp-3, 0x1.270366dd02f07p-3, 0x1.21fc7cfc2674cp-3, 0x1.1d03a079cff65p-3, 0x1.1818de2dbae56p-3, 0x1.133c4138e5625p-3, 0x1.0e6dd30f48a7fp-3, 0x1.09ad9b819c03bp-3, 0x1.04fba0c704741p-3, 0x1.0057e786c98e1p-3, 0x1.f784e5c3f51abp-4, 0x1.ee7688fa136efp-4, 0x1.e584b912bfa95p-4, 0x1.dcaf739dc4ecdp-4, 0x1.d3f6b36ad6953p-4, 0x1.cb5a709c5d6fbp-4, 0x1.c2daa0ba351e6p-4, 0x1.ba7736c42dac1p-4, 0x1.b230234480ce9p-4, 0x1.aa0554620ede7p-4, 0x1.a1f6b5f2832d5p-4, 0x1.9a04318c41d2cp-4, 0x1.922dae9828ca6p-4, 0x1.8a7312633275bp-4, 0x1.82d4402fd6524p-4, 0x1.7b51194744eb9p-4, 0x1.73e97d0a6d435p-4, 0x1.6c9d4902cf903p-4, 0x1.656c58f31ada9p-4, 0x1.5e5686e7954c8p-4, 0x1.575bab464c625p-4, 0x1.507b9cdf0ebfbp-4, 0x1.49b630fb2b156p-4, 0x1.430b3b6cf6073p-4, 0x1.3c7a8e9f16047p-4, 0x1.3603fba392418p-4, 0x1.2fa75242a60ecp-4, 0x1.2964610958046p-4, 0x1.233af557d3155p-4, 0x1.1d2adb6f820f1p-4, 0x1.1733de80ecfffp-4, 0x1.1155c8b957487p-4, 0x1.0b9063502046fp-4, 0x1.05e37693e2bfp-4, 0x1.004ec9f755fa4p-4, 0x1.f5a4483bdfdbdp-5, 0x1.eada95d08c386p-5, 0x1.e04007005faa3p-5, 0x1.d5d424c950db5p-5, 0x1.cb9676eae2ddp-5, 0x1.c18683fceb346p-5, 0x1.b7a3d185d82f5p-5, 0x1.adede4107727p-5, 0x1.a4643f4140518p-5, 0x1.9b0665eb1f567p-5, 0x1.91d3da23c3e8fp-5, 0x1.88cc1d5770334p-5, 0x1.7feeb05c4fa1fp-5, 0x1.773b1385506cdp-5, 0x1.6eb0c6b482afcp-5, 0x1.664f496cfe1fcp-5, 0x1.5e161ae44e5dep-5, 0x1.5604ba13685d8p-5, 0x1.4e1aa5c728de2p-5, 0x1.46575cb05cad8p-5, 0x1.3eba5d7354cd5p-5, 0x1.374326b707e5ep-5, 0x1.2ff13733bf9d3p-5, 0x1.28c40dc156beap-5, 0x1.21bb296507261p-5, 0x1.1ad6095ec9e4ep-5, 0x1.14142d3648917p-5, 0x1.0d7514c764afcp-5, 0x1.06f8404e5531ep-5, 0x1.009d30735a10dp-5, 0x1.f4c6ccac10e92p-6, 0x1.e894c7306259ap-6, 0x1.dca354d0c8979p-6, 0x1.d0f17b182041p-6, 0x1.c57e40d27e29ap-6, 0x1.ba48ae1fee815p-6, 0x1.af4fcc8671c2p-6, 0x1.a492a70348fdep-6, 0x1.9a104a1b82c67p-6, 0x1.8fc7c3ebdbabep-6, 0x1.85b82437ed68dp-6, 0x1.7be07c78af89ap-6, 0x1.723fdfea52026p-6, 0x1.68d563996e2d9p-6, 0x1.5fa01e6f980ebp-6, 0x1.569f293f4fd7ap-6, 0x1.4dd19ecf5465fp-6, 0x1.45369be55e74dp-6, 0x1.3ccd3f504754cp-6, 0x1.3494a9f198589p-6, 0x1.2c8bfec691be2p-6, 0x1.24b262f09d1cbp-6, 0x1.1d06fdbd3f0d4p-6, 0x1.1588f8ad7b619p-6, 0x1.0e377f7cbab16p-6, 0x1.0711c0273089ep-6, 0x1.0016eaefc2f29p-6, 0x1.f28c64caf1d45p-7, 0x1.e53d96d0e825ep-7, 0x1.d83fda5ce9b6fp-7, 0x1.cb91a28ddc203p-7, 0x1.bf31673d5dbd9p-7, 0x1.b31da506371ffp-7, 0x1.a754dd4a0e7fdp-7, 0x1.9bd596363fa2cp-7, 0x1.909e5ac7ff9c8p-7, 0x1.85adbacfb74e6p-7, 0x1.7b024af3ac92fp-7, 0x1.709aa4b1f5dcp-7, 0x1.66756661c3862p-7, 0x1.5c913333f66f5p-7, 0x1.52ecb33322c7cp-7, 0x1.49869342ecd04p-7, 0x1.405d851ec9851p-7, 0x1.37703f583904ep-7, 0x1.2ebd7d5464302p-7, 0x1.2643ff4939c9bp-7, 0x1.1e028a3a04c42p-7, 0x1.15f7e7f381a47p-7, 0x1.0e22e7077a705p-7, 0x1.06825ac7eb438p-7, 0x1.fe2a368369cc5p-8, 0x1.efb40a6dc4a15p-8, 0x1.e19ff431086c1p-8, 0x1.d3ebc00052ab7p-8, 0x1.c6954351e72adp-8, 0x1.b99a5cd0a6e86p-8, 0x1.acf8f44cd0deap-8, 0x1.a0aefaac1d03bp-8, 0x1.94ba69d934076p-8, 0x1.891944b28eca1p-8, 0x1.7dc996f8c29d8p-8, 0x1.72c9753c4230dp-8, 0x1.6816fcca9b523p-8, 0x1.5db0539b36961p-8, 0x1.5393a83ba3078p-8, 0x1.49bf31bb6f482p-8, 0x1.40312f979b63bp-8, 0x1.36e7e9a5a8673p-8, 0x1.2de1affe49649p-8, 0x1.251cdae7bfbd6p-8, 0x1.1c97cabfe6149p-8, 0x1.1450e7e5ef88ep-8, 0x1.0c46a2a3e3192p-8, 0x1.04777317d5bb8p-8, 0x1.f9c3b239d2b15p-9, 0x1.eb08b8683117fp-9, 0x1.dcbb16d99f74p-9, 0x1.ced7fa9ab47aep-9, 0x1.c15c9f7654498p-9, 0x1.b4464fc5f8f1p-9, 0x1.a7926441bec6ap-9, 0x1.9b3e43d03fba1p-9, 0x1.8f4763563f62p-9, 0x1.83ab458638125p-9, 0x1.78677aafccec9p-9, 0x1.6d79a08f229b9p-9, 0x1.62df621c35ce6p-9, 0x1.5896775a23107p-9, 0x1.4e9ca5267682fp-9, 0x1.44efbd0880178p-9, 0x1.3b8d9d00bc0eep-9, 0x1.32742f5848fa5p-9, 0x1.29a16a7080a46p-9, 0x1.21135092a9be4p-9, 0x1.18c7efbfd7271p-9, 0x1.10bd6180ed7aap-9, 0x1.08f1cab6db4a7p-9, 0x1.01635b6b0641ep-9, 0x1.f4209d3fe7ed2p-10, 0x1.e5edd4445ba8bp-10, 0x1.d82afcb2d6d0ap-10, 0x1.cad4cc340733cp-10, 0x1.bde80ced4ac57p-10, 0x1.b1619d24c7af6p-10, 0x1.a53e6ee61ea2fp-10, 0x1.997b87a7d810cp-10, 0x1.8e15fff171414p-10, 0x1.830b03022c34bp-10, 0x1.7857ce789eea9p-10, 0x1.6df9b1fafd8f5p-10, 0x1.63ee0ee034f46p-10, 0x1.5a3257d9cd719p-10, 0x1.50c4109ea5f27p-10, 0x1.47a0cd967f4e7p-10, 0x1.3ec63386644e3p-10, 0x1.3631f73df09e3p-10, 0x1.2de1dd457b306p-10, 0x1.25d3b98d264c7p-10, 0x1.1e056f1ccfadfp-10, 0x1.1674efc4f7355p-10, 0x1.0f203bd08b472p-10, 0x1.080561b7abbe9p-10, 0x1.01227dd356d5ap-10, 0x1.f4eb742422422p-11, 0x1.e7fa9b5b01085p-11, 0x1.db6ef9c1fc8e6p-11, 0x1.cf45314244e85p-11, 0x1.c379fca892138p-11, 0x1.b80a2f1822095p-11, 0x1.acf2b37faf38ep-11, 0x1.a2308c105f684p-11, 0x1.97c0d1b6aa4f9p-11, 0x1.8da0b3953a68ep-11, 0x1.83cd7681c7472p-11, 0x1.7a447483ea951p-11, 0x1.71031c55ed418p-11, 0x1.6806f0e78df97p-11, 0x1.5f4d88e2c0435p-11, 0x1.56d48e3261137p-11, 0x1.4e99bd8ae1fb2p-11, 0x1.469ae5f4e71d8p-11, 0x1.3ed5e859d8d0fp-11, 0x1.3748b71262d91p-11, 0x1.2ff15576e33f6p-11, 0x1.28cdd771c39dp-11, 0x1.21dc6113bb428p-11, 0x1.1b1b2629f6dc2p-11, 0x1.148869d62232dp-11, 0x1.0e227e2853cfp-11, 0x1.07e7c3bad17d7p-11, 0x1.01d6a94fb0a0bp-11, 0x1.f7db56e094e0ep-12, 0x1.ec56a81d0187cp-12, 0x1.e11c744fa41ccp-12, 0x1.d62a02d46c0cbp-12, 0x1.cb7cb3b57f2b6p-12, 0x1.c111fefbff98ap-12, 0x1.b6e774044eb65p-12, 0x1.acfab8d5ba44p-12, 0x1.a349897d9a62p-12, 0x1.99d1b76dc576cp-12, 0x1.909128de5e767p-12, 0x1.8785d832eeb17p-12, 0x1.7eadd362bfe66p-12, 0x1.76073b6471a39p-12, 0x1.6d90439cb7f4fp-12, 0x1.65473150476b5p-12, 0x1.5d2a5b18d21e2p-12, 0x1.5538285d1d4fp-12, 0x1.4d6f10cc17d11p-12, 0x1.45cd9bdaeef42p-12, 0x1.3e5260461555dp-12, 0x1.36fc03953058ap-12, 0x1.2fc939a1e2565p-12, 0x1.28b8c42167a7p-12, 0x1.21c97230fc1fcp-12, 0x1.1afa1fe4fce11p-12, 0x1.1449b5dabf3f9p-12, 0x1.0db728cd0d778p-12, 0x1.0741792b43504p-12, 0x1.00e7b2b2fda01p-12, 0x1.f551d818a92ap-13, 0x1.e9088cd12032ep-13, 0x1.dcf1da46a9f35p-13, 0x1.d10c2acc7442ep-13, 0x1.c555fb9d78116p-13, 0x1.b9cddc2d0c684p-13, 0x1.ae726d7c11c32p-13, 0x1.a3426172971f4p-13, 0x1.983c7a3df2749p-13, 0x1.8d5f89b32c2a4p-13, 0x1.82aa70b5b39fdp-13, 0x1.781c1ea240dcdp-13, 0x1.6db390bdd24bbp-13, 0x1.636fd1a8b394ap-13, 0x1.594ff8d579c77p-13, 0x1.4f532a03e1eb4p-13, 0x1.457894bf7b6d9p-13, 0x1.3bbf73e20e3c8p-13, 0x1.32270d19a99fbp-13, 0x1.28aeb0724b9aep-13, 0x1.1f55b7e303204p-13, 0x1.161b86de8b457p-13, 0x1.0cff89e73ff4dp-13, 0x1.040136265f7eep-13, 0x1.f640120d11aa3p-14, 0x1.e4b70fa2b89f1p-14, 0x1.d3667ea07c2ccp-14, 0x1.c24d86e02c503p-14, 0x1.b16b5dd00d8f6p-14, 0x1.a0bf45c614be7p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.d00a6fff7e36cp-3, -0x1.e6cf0314f6329p-3, -0x1.fd701f0dac32dp-3, -0x1.09f4cad50af8ap-2, -0x1.151b9c94dacb6p-2, -0x1.202a70c5b66f4p-2, -0x1.2b1f38a4dcb45p-2, -0x1.35f7ecccf2456p-2, -0x1.40b28f1ac94b2p-2, -0x1.4b4d2c5b1f09bp-2, -0x1.55c5ddc51be0ep-2, -0x1.601aca4545112p-2, -0x1.6a4a279c85f94p-2, -0x1.74523b56bd556p-2, -0x1.7e315b9c1f512p-2, -0x1.87e5efe083323p-2, -0x1.916e71739031p-2, -0x1.9ac96bf47ff32p-2, -0x1.a3f57dac018fbp-2, -0x1.acf157ce9dcffp-2, -0x1.b5bbbea9c8947p-2, -0x1.be5389bda180fp-2, -0x1.c6b7a3c544332p-2, -0x1.cee70aaf57e88p-2, -0x1.d6e0cf8871debp-2, -0x1.dea41658ba8d6p-2, -0x1.e63015f6270e6p-2, -0x1.ed8417cc77ec2p-2, -0x1.f49f779c1ebc5p-2, -0x1.fb81a33107d91p-2, -0x1.01150d091b14ap-1, -0x1.044c369587886p-1, -0x1.07661f37892a7p-1, -0x1.0a62a03c5ff5p-1, -0x1.0d419b1226503p-1, -0x1.1002f9135c13cp-1, -0x1.12a6ab50ef299p-1, -0x1.152caa5afc18ap-1, -0x1.1794f608819f2p-1, -0x1.19df953e41a19p-1, -0x1.1c0c95b4fafa3p-1, -0x1.1e1c0bbf2e131p-1, -0x1.200e120e9336bp-1, -0x1.21e2c97968db8p-1, -0x1.239a58bfbdc17p-1, -0x1.2534ec50d6c4fp-1, -0x1.26b2b610cb72ep-1, -0x1.2813ed1e769dfp-1, -0x1.2958cd99d2b3cp-1, -0x1.2a81986ad6b76p-1, -0x1.2b8e9308e8531p-1, -0x1.2c800742f81edp-1, -0x1.2d56430853c2cp-1, -0x1.2e11983241c01p-1, -0x1.2eb25c4e71363p-1, -0x1.2f38e86a4ad64p-1, -0x1.2fa598df2f1cbp-1, -0x1.2ff8cd1fa7f94p-1, -0x1.3032e78599fe5p-1, -0x1.30544d217b069p-1, -0x1.305d658a94796p-1, -0x1.304e9ab05595p-1, -0x1.302858acbe889p-1, -0x1.2feb0d97e37e1p-1, -0x1.2f97295c8ca2cp-1, -0x1.2f2d1d8df6093p-1, -0x1.2ead5d3eb1284p-1, -0x1.2e185cd8a7f69p-1, -0x1.2d6e91f6439d1p-1, -0x1.2cb0733cb48dap-1, -0x1.2bde78375fbb1p-1, -0x1.2af919346be3ap-1, -0x1.2a00cf226e7d5p-1, -0x1.28f6136f3aaf2p-1, -0x1.27d95fe7c9538p-1, -0x1.26ab2e993df92p-1, -0x1.256bf9b302b99p-1, -0x1.241c3b69f923ap-1, -0x1.22bc6ddcbd5ddp-1, -0x1.214d0af8f6e27p-1, -0x1.1fce8c61b4da2p-1, -0x1.1e416b56d0cf4p-1, -0x1.1ca6209d546bfp-1, -0x1.1afd2468def7fp-1, -0x1.1946ee46046c8p-1, -0x1.1783f505a3b4ap-1, -0x1.15b4aea92e60bp-1, -0x1.13d9904fdd301p-1, -0x1.11f30e24cdeb5p-1, -0x1.10019b4e0510dp-1, -0x1.0e05a9dc4dd28p-1, -0x1.0bffaabbf552dp-1, -0x1.09f00da65abe7p-1, -0x1.07d741144f354p-1, -0x1.05b5b23143167p-1, -0x1.038bcccf381d2p-1, -0x1.0159fb5b7651ap-1, -0x1.fe414da7fae0dp-2, -0x1.f9c06d7b5bdd5p-2, -0x1.f532223649febp-2, -0x1.f09734c88f45cp-2, -0x1.ebf06afcea8f8p-2, -0x1.e73e876ac0732p-2, -0x1.e282496909394p-2, -0x1.ddbc6d027786ap-2, -0x1.d8edaaeac6233p-2, -0x1.d416b8752ff0ap-2, -0x1.cf38478bf96fdp-2, -0x1.ca5306a912df9p-2, -0x1.c567a0cfbac2p-2, -0x1.c076bd8725311p-2, -0x1.bb8100d615873p-2, -0x1.b6870b3f65f7dp-2, -0x1.b18979bf752bep-2, -0x1.ac88e5ca6e73fp-2, -0x1.a785e54b689a5p-2, -0x1.a2810aa44e936p-2, -0x1.9d7ae4ae8e88dp-2, -0x1.9873febc819bep-2, -0x1.936ce09b8db1dp-2, -0x1.8e660e96edefap-2, -0x1.8960097b287e2p-2, -0x1.845b4e9a1ab82p-2, -0x1.7f5857cfa33c2p-2, -0x1.7a579b86da0dp-2, -0x1.75598cbfd1798p-2, -0x1.705e9b15daf55p-2, -0x1.6b6732c649babp-2, -0x1.6673bcb7aa68fp-2, -0x1.61849e8169e86p-2, -0x1.5c9a3a73e87fp-2, -0x1.57b4efa0f04b2p-2, -0x1.52d519e487a8cp-2, -0x1.4dfb11ee2144ep-2, -0x1.49272d4a1bcbbp-2, -0x1.4459be6b8fdf6p-2, -0x1.3f9314b66a259p-2, -0x1.3ad37c89c438ap-2, -0x1.361b3f4a81c4dp-2, -0x1.316aa36e250f5p-2, -0x1.2cc1ec85d925ep-2, -0x1.28215b49ae30fp-2, -0x1.23892da403135p-2, -0x1.1ef99ebd170efp-2, -0x1.1a72e706be992p-2, -0x1.15f53c483d911p-2, -0x1.1180d1aa39a67p-2, -0x1.0d15d7c2c723ap-2, -0x1.08b47ca18e58fp-2, -0x1.045cebdbff8b8p-2, -0x1.000f4e9998ecp-2, -0x1.f797974069d13p-3, -0x1.ef250ec0ce05fp-3, -0x1.e6c74803aea76p-3, -0x1.de7e82df4cd2dp-3, -0x1.d64afac99ecb2p-3, -0x1.ce2ce6f1118e3p-3, -0x1.c6247a5539b49p-3, -0x1.be31e3df828e5p-3, -0x1.b6554e7bbcb46p-3, -0x1.ae8ee1309da5dp-3, -0x1.a6debf381d16fp-3, -0x1.9f450817bd249p-3, -0x1.97c1d7b8a144ap-3, -0x1.9055467f83cap-3, -0x1.88ff69648839dp-3, -0x1.81c0520acf2c1p-3, -0x1.7a980ed7e8bffp-3, -0x1.7386ab0b097d8p-3, -0x1.6c8c2ed407cccp-3, -0x1.65a89f6a282bp-3, -0x1.5edbff22a3018p-3, -0x1.58264d86f14fap-3, -0x1.5187876ad91ecp-3, -0x1.4affa70234791p-3, -0x1.448ea3f67201ap-3, -0x1.3e34737bd7faap-3, -0x1.37f1086672d91p-3, -0x1.31c4533ec1e19p-3, -0x1.2bae4256181ep-3, -0x1.25aec1daae2a8p-3, -0x1.1fc5bbeb65b83p-3, -0x1.19f318ab45d11p-3, -0x1.1436be549ba1p-3, -0x1.0e90914bd5c16p-3, -0x1.0900743204eb5p-3, -0x1.038647f714892p-3, -0x1.fc43d7d74dd7bp-4, -0x1.f1a67ba54d792p-4, -0x1.e73433e4ff2cap-4, -0x1.dcecb64c045ep-4, -0x1.d2cfb5d9fd3a1p-4, -0x1.c8dce2f8f4acfp-4, -0x1.bf13eb9d486f6p-4, -0x1.b5747b64c33fdp-4, -0x1.abfe3bb5332afp-4, -0x1.a2b0d3da3acb1p-4, -0x1.998be9228eef3p-4, -0x1.908f1efc82662p-4, -0x1.87ba1711f0d1dp-4, -0x1.7f0c7163811f8p-4, -0x1.7685cc6344eacp-4, -0x1.6e25c50eb418fp-4, -0x1.65ebf7080532cp-4, -0x1.5dd7fcaee4f2cp-4, -0x1.55e96f388cdc2p-4, -0x1.4e1fe6c73baa9p-4, -0x1.467afa810fc6ap-4, -0x1.3efa40a644cf7p-4, -0x1.379d4ea6d89cep-4, -0x1.3063b93794befp-4, -0x1.294d146682fb1p-4, -0x1.2258f3aec9f77p-4, -0x1.1b86ea0bf83ccp-4, -0x1.14d68a0cbabd4p-4, -0x1.0e4765e50537p-4, -0x1.07d90f7fab35ap-4, -0x1.018b188f6cb17p-4, -0x1.f6ba253ef0d03p-5, -0x1.ea9d1e46cc172p-5, -0x1.debe3f0d535f1p-5, -0x1.d31caa77057dp-5, -0x1.c7b78392d28f5p-5, -0x1.bc8dedb5f5663p-5, -0x1.b19f0c96d1013p-5, -0x1.a6ea0466d659ap-5, -0x1.9c6df9eb76593p-5, -0x1.922a129626522p-5, -0x1.881d749b77acdp-5, -0x1.7e474709497a5p-5, -0x1.74a6b1dc19e7p-5, -0x1.6b3ade13767f5p-5, -0x1.6202f5c597f08p-5, -0x1.58fe24322459dp-5, -0x1.502b95d423145p-5, -0x1.478a787324c3fp-5, -0x1.3f19fb33a4434p-5, -0x1.36d94ea6a010ap-5, -0x1.2ec7a4d879f55p-5, -0x1.26e4315f17f98p-5, -0x1.1f2e29675133cp-5, -0x1.17a4c3c1a618ep-5, -0x1.104738ee4bb14p-5, -0x1.0914c3288f532p-5, -0x1.020c9e718f5e5p-5, -0x1.f65c1134ad635p-6, -0x1.e8f0829ab3982p-6, -0x1.dbd5142eb0d38p-6, -0x1.cf084cdf5a3adp-6, -0x1.c288b7800e0e5p-6, -0x1.b654e2d73559dp-6, -0x1.aa6b61ab8ac4cp-6, -0x1.9ecacad058cafp-6, -0x1.9371b930b5b57p-6, -0x1.885ecbd9bd52p-6, -0x1.7d90a603dc1ep-6, -0x1.7305ef1b26f72p-6, -0x1.68bd52c6cece3p-6, -0x1.5eb580efb3df3p-6, -0x1.54ed2dc61ec52p-6, -0x1.4b6311c6ab5fcp-6, -0x1.4215e9be62ba6p-6, -0x1.390476ce16f38p-6, -0x1.302d7e6cfad1p-6, -0x1.278fca6a852efp-6, -0x1.1f2a28efa5368p-6, -0x1.16fb6c7f43244p-6, -0x1.0f026bf627a79p-6, -0x1.073e028a38f64p-6, -0x1.ff5a1f9250a7p-7, -0x1.f09cef2d05551p-7, -0x1.e242445276ebap-7, -0x1.d447f81155d33p-7, -0x1.c6abec121547ap-7, -0x1.b96c0a8ee5fc6p-7, -0x1.ac86464ac5b7bp-7, -0x1.9ff89a87a3e6dp-7, -0x1.93c10afba66b9p-7, -0x1.87dda3c5a529p-7, -0x1.7c4c7960d2754p-7, -0x1.710ba897a85c5p-7, -0x1.66195676167c7p-7, -0x1.5b73b03b1241ap-7, -0x1.5118eb496bf37p-7, -0x1.4707451818fddp-7, -0x1.3d3d0321da8ccp-7, -0x1.33b872d4606d2p-7, -0x1.2a77e97ee248ep-7, -0x1.2179c4403b5a2p-7, -0x1.18bc67f490519p-7, -0x1.103e412285129p-7, -0x1.07fdc3e80afd5p-7, -0x1.fff2d7cd996b7p-8, -0x1.f05f78607fadep-8, -0x1.e13e7e62c34ccp-8, -0x1.d28d0d3c4b9c2p-8, -0x1.c44856b938a91p-8, -0x1.b66d9adfabb62p-8, -0x1.a8fa27c5161f4p-8, -0x1.9beb596319e6fp-8, -0x1.8f3e996c0656bp-8, -0x1.82f15f1efc85fp-8, -0x1.77012f1bc3a86p-8, -0x1.6b6b9b3658f6p-8, -0x1.602e424a430f3p-8, -0x1.5546d00db26e2p-8, -0x1.4ab2fce4782fbp-8, -0x1.40708db2dacd9p-8, -0x1.367d53b0513acp-8, -0x1.2cd72c3a2d1d3p-8, -0x1.237c00a63a0c8p-8, -0x1.1a69c6155b68dp-8, -0x1.119e7d462d023p-8, -0x1.09183267afda4p-8, -0x1.00d4fcec08e9dp-8, -0x1.f1a5feb6ac45ep-9, -0x1.e220ce4d45f28p-9, -0x1.d316d8f60153dp-9, -0x1.c484a42989963p-9, -0x1.b666ca25f6bcdp-9, -0x1.a8b9f9960cf84p-9, -0x1.9b7af538f7d7p-9, -0x1.8ea6938a757cdp-9, -0x1.8239be6b8a15bp-9, -0x1.763172cbc0061p-9, -0x1.6a8ac052f206ap-9, -0x1.5f42c90bbac2dp-9, -0x1.5456c10e7e25cp-9, -0x1.49c3ee2d200b9p-9, -0x1.3f87a79f63d5p-9, -0x1.359f55b009213p-9, -0x1.2c08716a9b8cep-9, -0x1.22c0844a0899bp-9, -0x1.19c527e7f34c6p-9, -0x1.111405acdc968p-9, -0x1.08aad6810d67cp-9, -0x1.0087627e5e8dp-9, -0x1.f14f01459c118p-10, -0x1.e2122d07e8f4p-10, -0x1.d3543006a9dfp-10, -0x1.c5110e071992p-10, -0x1.b744e63ccf2e1p-10, -0x1.a9ebf2b7acd29p-10, -0x1.9d0287d3a5fa8p-10, -0x1.908513aa5137dp-10, -0x1.84701d86550fdp-10, -0x1.78c04558ac983p-10, -0x1.6d72432fcf16fp-10, -0x1.6282e6b0af627p-10, -0x1.57ef1691a506ap-10, -0x1.4db3d01731aa5p-10, -0x1.43ce2692af19ep-10, -0x1.3a3b42e2de132p-10, -0x1.30f862f666b7ep-10, -0x1.2802d9502d5fbp-10, -0x1.1f580c8d9a306p-10, -0x1.16f576eec5f8fp-10, -0x1.0ed8a5e086af8p-10, -0x1.06ff39885ef19p-10, -0x1.fecdc8a4b58bfp-11, -0x1.f01ad5018431ap-11, -0x1.e1e1437b612eep-11, -0x1.d41ce15d14821p-11, -0x1.c6c99d1297c4ap-11, -0x1.b9e3855767c36p-11, -0x1.ad66c86884b22p-11, -0x1.a14fb33a18dd6p-11, -0x1.959ab0b0c2b51p-11, -0x1.8a4448de78bap-11, -0x1.7f49204302cd5p-11, -0x1.74a5f710025aap-11, -0x1.6a57a8707fad6p-11, -0x1.605b29d3f7f13p-11, -0x1.56ad8a3ce1f45p-11, -0x1.4d4bf192a397cp-11, -0x1.44339ff6ece4fp-11, -0x1.3b61ed1e73d3bp-11, -0x1.32d447ad050c5p-11, -0x1.2a883494e2a93p-11, -0x1.227b4e7967f77p-11, -0x1.1aab4514e6b9cp-11, -0x1.1315dca1b8f9dp-11, -0x1.0bb8ed4678179p-11, -0x1.0492628555f09p-11, -0x1.fb40755d120f4p-12, -0x1.edc10cab88f25p-12, -0x1.e0a2cf95641a9p-12, -0x1.d3e22528c563p-12, -0x1.c77b95df59984p-12, -0x1.bb6bcaa0db33cp-12, -0x1.afaf8bcb48423p-12, -0x1.a443c040b2aeap-12, -0x1.99256c7a9e577p-12, -0x1.8e51b1a2cd664p-12, -0x1.83c5ccb17101bp-12, -0x1.797f1590a2e1bp-12, -0x1.6f7afe45154d5p-12, -0x1.65b7121be3e63p-12, -0x1.5c30f4dd72c92p-12, -0x1.52e6620541e55p-12, -0x1.49d52bfea9483p-12, -0x1.40fb3b665f4a8p-12, -0x1.38568e50b94e8p-12, -0x1.2fe5379495f27p-12, -0x1.27a55e1ad2fep-12, -0x1.1f953c324608dp-12, -0x1.17b31ee816866p-12, -0x1.0ffd656473cfep-12, -0x1.0872804b888c4p-12, -0x1.0110f12297a54p-12, -0x1.f3ae937270dcep-13, -0x1.e588572d25d3ap-13, -0x1.d7ac8ed521d2ap-13, -0x1.ca18b905d941p-13, -0x1.bcca70881547cp-13, -0x1.afbf6b4b1aa29p-13, -0x1.a2f5796519d5ap-13, -0x1.966a841ac8597p-13, -0x1.8a1c8cedf69c1p-13, -0x1.7e09acb306e9dp-13, -0x1.723012ad1d9d5p-13, -0x1.668e03b0e2f3cp-13, -0x1.5b21d94db6197p-13, -0x1.4fea00fd3668bp-13, -0x1.44e4fb58ef834p-13, -0x1.3a115b56155d4p-13, -0x1.2f6dc58727affp-13, -0x1.24f8ef635b818p-13, -0x1.1ab19e93ac21fp-13, -0x1.1096a845707bep-13, -0x1.06a6f0825c685p-13, -0x1.f9c2d31b7ac0cp-14, -0x1.e68a268dd6b46p-14, -0x1.d3a1f52173229p-14, -0x1.c108717ba8a2dp-14, -0x1.aebbe603dde16p-14, -0x1.9cbab3cf367b8p-14, -0x1.8b03519573fb2p-14, -0x1.79944aaeba951p-14, -0x1.686c3e1a0ec92p-14, -0x1.5789dd8c4fbap-14, -0x1.46ebec8779a2bp-14, -0x1.36913f79fa5dcp-14, -0x1.2678bae5e3ef5p-14, -0x1.16a1528fca168p-14, -0x1.070a08b517eb2p-14, -0x1.ef63da9356e6fp-15, -0x1.d1303a790f452p-15, -0x1.b3778386d66cp-15, -0x1.96381f5a3d61p-15, -0x1.79708d7495931p-15, -0x1.5d1f61f95320ap-15, -0x1.41434478cd52ep-15, -0x1.25daeec703999p-15, -0x1.0ae52bde14e0ep-15, -0x1.e0c1ad98213fap-16, -0x1.ac99b357a90d4p-16, -0x1.79505951415e2p-16, -0x1.46e3aa1831a21p-16, -0x1.1551c8acc162p-16, -0x1.c931dd802a961p-17, -0x1.696ed6162813bp-17, -0x1.0b573f6f9e31cp-17, -0x1.5dd003735004ep-18, -0x1.5078984ef7961p-19, 0x1.424b0d4aac3c3p-23, 0x1.7242c92b73306p-19, 0x1.64f620a4f5c23p-18, 0x1.06cad3d2713f7p-17, 0x1.598275fabf6f9p-17, 0x1.aaa45dd086f04p-17, 0x1.fa32e23dd33cfp-17, 0x1.2418260340f49p-16, 0x1.4a4f6bd19609ap-16, 0x1.6fc05b817654cp-16, 0x1.946c099a75fbcp-16, 0x1.b85386fd35327p-16, 0x1.db77e1a119edep-16, 0x1.fdda254713abdp-16, 0x1.0fbdae10f0192p-15, 0x1.202e47ba0bf37p-15, 0x1.303f64123a272p-15, 0x1.3ff187a450b4dp-15, 0x1.4f45375379a5ap-15, 0x1.5e3af897adb2dp-15, 0x1.6cd351b5f557fp-15, 0x1.7b0ec9f49ad2cp-15, 0x1.88ede9cb78a96p-15, 0x1.96713b1083b31p-15, 0x1.a3994920be082p-15, 0x1.b066a105b3478p-15, 0x1.bcd9d197a3a8fp-15, 0x1.c8f36b9c812afp-15, 0x1.d4b401e3dd211p-15, 0x1.e01c295fed0acp-15, 0x1.eb2c793bc1b87p-15, 0x1.f5e58aeed073ep-15, 0x1.0023fd26f7a87p-14, 0x1.052a32ccefd64p-14, 0x1.0a05b6c5c036dp-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.7a2ca95b2035ap-1, 0x1.7a24f79f88945p-1, 0x1.7a18ae5c98b6p-1, 0x1.7a0729e7598d9p-1, 0x1.79efc761437cep-1, 0x1.79d1e5dba9f47p-1, 0x1.79ace75a61ccep-1, 0x1.798031b745ed5p-1, 0x1.794b2f687145ep-1, 0x1.790d502b2266cp-1, 0x1.78c6099548a12p-1, 0x1.7874d78fb78ddp-1, 0x1.78193cbaf73ap-1, 0x1.77b2c2c09026cp-1, 0x1.7740fa92a3f9p-1, 0x1.76c37c9b84f15p-1, 0x1.7639e8dee2fd9p-1, 0x1.75a3e70e124bep-1, 0x1.75012690c57f8p-1, 0x1.74515e8389c8dp-1, 0x1.73944dad2c339p-1, 0x1.72c9ba6c1faa7p-1, 0x1.71f1729cdbf5dp-1, 0x1.710b4b7a1e5d3p-1, 0x1.70172177d9f72p-1, 0x1.6f14d819956ffp-1, 0x1.6e0459c4e38dcp-1, 0x1.6ce597908df65p-1, 0x1.6bb88910ff63cp-1, 0x1.6a7d2c226b10cp-1, 0x1.693384b123b5dp-1, 0x1.67db9c8084631p-1, 0x1.667582f0c91d3p-1, 0x1.65014cc428d2cp-1, 0x1.637f13e377074p-1, 0x1.61eef72291d24p-1, 0x1.60511a04d361cp-1, 0x1.5ea5a481bc01cp-1, 0x1.5cecc2ca00a17p-1, 0x1.5b26a50d2ab42p-1, 0x1.59537f3fe5cbp-1, 0x1.577388e3212b4p-1, 0x1.5586fccc1d90fp-1, 0x1.538e18ed7d54cp-1, 0x1.51891e2170058p-1, 0x1.4f784ff505c73p-1, 0x1.4d5bf474be78ap-1, 0x1.4b3453fa5da6p-1, 0x1.4901b8fc0f5e1p-1, 0x1.46c46fdce59ecp-1, 0x1.447cc6beb560cp-1, 0x1.422b0d555932ep-1, 0x1.3fcf94bb5a7eep-1, 0x1.3d6aaf4806f69p-1, 0x1.3afcb066f09f1p-1, 0x1.3885ec70d994ap-1, 0x1.3606b8860addp-1, 0x1.337f6a6a13ddbp-1, 0x1.30f05860f00b1p-1, 0x1.2e59d90d8f4aap-1, 0x1.2bbc4351bed7p-1, 0x1.2917ee2f6a10bp-1, 0x1.266d30ab3303fp-1, 0x1.23bc61b05ab98p-1, 0x1.2105d7f5f399ap-1, 0x1.1e49e9e558631p-1, 0x1.1b88ed81e0026p-1, 0x1.18c33851cbdffp-1, 0x1.15f91f4861af2p-1, 0x1.132af6b134445p-1, 0x1.1059121c89a13p-1, 0x1.0d83c44ce06b3p-1, 0x1.0aab5f25852dbp-1, 0x1.07d0339a38128p-1, 0x1.04f2919fd3728p-1, 0x1.0212c81df33f1p-1, 0x1.fe6249c31e616p-2, 0x1.f89be9210f77fp-2, 0x1.f2d3053c2a2a9p-2, 0x1.ed083280355e8p-2, 0x1.e73c02caa00e7p-2, 0x1.e16f0558798adp-2, 0x1.dba1c6b5fad3ap-2, 0x1.d5d4d0af97d06p-2, 0x1.d008aa448a52dp-2, 0x1.ca3dd79ac38ap-2, 0x1.c474d9f43e2f5p-2, 0x1.beae2fa59e82bp-2, 0x1.b8ea540e1669dp-2, 0x1.b329bf907c8b7p-2, 0x1.ad6ce78d90ae3p-2, 0x1.a7b43e5f5bc4bp-2, 0x1.a20033559e034p-2, 0x1.9c5132b3469a8p-2, 0x1.96a7a5ace30dbp-2, 0x1.9103f267fdca3p-2, 0x1.8b667bfb5fafbp-2, 0x1.85cfa27029f9dp-2, 0x1.803fc2c3c183cp-2, 0x1.7ab736ea7b8e8p-2, 0x1.753655d305724p-2, 0x1.6fbd736a7f5p-2, 0x1.6a4ce0a13acf3p-2, 0x1.64e4eb701d765p-2, 0x1.5f85dede92d57p-2, 0x1.5a30030910b39p-2, 0x1.54e39d281cfadp-2, 0x1.4fa0ef97d39ffp-2, 0x1.4a6839dfdd914p-2, 0x1.4539b8bbd8addp-2, 0x1.4015a62425548p-2, 0x1.3afc3957112ffp-2, 0x1.35eda6e25c9c7p-2, 0x1.30ea20ad1019p-2, 0x1.2bf1d6019f207p-2, 0x1.2704f3984f2d8p-2, 0x1.2223a3a1dcc2bp-2, 0x1.1d4e0dd25d232p-2, 0x1.1884576c50dd1p-2, 0x1.13c6a34be877dp-2, 0x1.0f1511f26fd5p-2, 0x1.0a6fc191e0469p-2, 0x1.05d6ce18932fep-2, 0x1.014a513d0db88p-2, 0x1.f994c513cf879p-3, 0x1.f0ae2ed381f63p-3, 0x1.e7e1066695e93p-3, 0x1.df2d6e6ab141bp-3, 0x1.d6938585f4f38p-3, 0x1.ce13667f3643dp-3, 0x1.c5ad285640d41p-3, 0x1.bd60de5c0c5bfp-3, 0x1.b52e984aed1c8p-3, 0x1.ad16625eb55f2p-3, 0x1.a518456cb90c8p-3, 0x1.9d3446fbbfabep-3, 0x1.956a695bcfae6p-3, 0x1.8dbaabbdd92edp-3, 0x1.86250a4b32f3fp-3, 0x1.7ea97e3cf1a02p-3, 0x1.7747fdf30310cp-3, 0x1.70007d0b22285p-3, 0x1.68d2ec7783596p-3, 0x1.61bf3a955292bp-3, 0x1.5ac55342e747ep-3, 0x1.53e51ff5c2d31p-3, 0x1.4d1e87d03eca1p-3, 0x1.46716fb6fa3dp-3, 0x1.3fddba6600963p-3, 0x1.396348859dcb5p-3, 0x1.3301f8beec2fep-3, 0x1.2cb9a7d0107a4p-3, 0x1.268a30a023197p-3, 0x1.20736c52cb429p-3, 0x1.1a75325b874e6p-3, 0x1.148f589098bb9p-3, 0x1.0ec1b33da64e1p-3, 0x1.090c1535fba99p-3, 0x1.036e4fe67b84dp-3, 0x1.fbd066ce65ba2p-4, 0x1.f0f31d192daebp-4, 0x1.e6445df0d557p-4, 0x1.dbc3c2548ee24p-4, 0x1.d170e11f9ef67p-4, 0x1.c74b4f2908ed4p-4, 0x1.bd529f628eaa2p-4, 0x1.b38662f6eeec2p-4, 0x1.a9e629678389bp-4, 0x1.a07180a91e282p-4, 0x1.9727f54034daep-4, 0x1.8e09125c630ecp-4, 0x1.851461f3348eap-4, 0x1.7c496cda428b4p-4, 0x1.73a7bae0a08a3p-4, 0x1.6b2ed2e79d473p-4, 0x1.62de3afad701ap-4, 0x1.5ab57867a49dfp-4, 0x1.52b40fd3d55cfp-4, 0x1.4ad98553cadbdp-4, 0x1.43255c7fe9d71p-4, 0x1.3b9718896a7ccp-4, 0x1.342e3c4e83e81p-4, 0x1.2cea4a6df8944p-4, 0x1.25cac55a044e6p-4, 0x1.1ecf2f6aadc17p-4, 0x1.17f70aef7e42p-4, 0x1.1141da40a1f3fp-4, 0x1.0aaf1fcf70d28p-4, 0x1.043e5e36671d2p-4, 0x1.fbde309111debp-5, 0x1.ef81a24076173p-5, 0x1.e366185b18e52p-5, 0x1.d78a9a87ed85p-5, 0x1.cbee314f2f4ffp-5, 0x1.c08fe633c9365p-5, 0x1.b56ec3cbb7cf1p-5, 0x1.aa89d5d76caacp-5, 0x1.9fe0295832906p-5, 0x1.9570cca5a0b71p-5, 0x1.8b3acf82175b5p-5, 0x1.813d432e530e1p-5, 0x1.77773a7c1826dp-5, 0x1.6de7c9dffa37p-5, 0x1.648e078248fe9p-5, 0x1.5b690b4f21794p-5, 0x1.5277ef05ae48p-5, 0x1.49b9ce4698831p-5, 0x1.412dc6a1ade2dp-5, 0x1.38d2f7a2c4575p-5, 0x1.30a882dddc75bp-5, 0x1.28ad8bfa87a93p-5, 0x1.20e138be9c01ep-5, 0x1.1942b11831c1fp-5, 0x1.11d11f26f6fa5p-5, 0x1.0a8baf44daf8ap-5, 0x1.0371900e14b19p-5, 0x1.f903e4d11662ap-6, 0x1.eb78131549472p-6, 0x1.de3e1602f7eaap-6, 0x1.d1545d6d1209dp-6, 0x1.c4b95de9706dcp-6, 0x1.b86b90d9f7466p-6, 0x1.ac697474a8e51p-6, 0x1.a0b18bcabdf4bp-6, 0x1.95425ecec05d1p-6, 0x1.8a1a7a59b6e6p-6, 0x1.7f38702f67ee6p-6, 0x1.749ad701b770ap-6, 0x1.6a404a7331ebbp-6, 0x1.60276b18c2c9p-6, 0x1.564ede7a9bdfbp-6, 0x1.4cb54f145ef91p-6, 0x1.43596c548c26fp-6, 0x1.3a39ea9b3653cp-6, 0x1.315583380c1f8p-6, 0x1.28aaf467b9f6ep-6, 0x1.20390150ab04fp-6, 0x1.17fe71ff2ea1bp-6, 0x1.0ffa13610cca1p-6, 0x1.082ab74088eeep-6, 0x1.008f343edcf3ap-6, 0x1.f24ccb9c76492p-7, 0x1.e3de58568c818p-7, 0x1.d5d0d8ac3bb38p-7, 0x1.c8222015fp-7, 0x1.bad00b7493486p-7, 0x1.add8810126fb4p-7, 0x1.a139703b82549p-7, 0x1.94f0d1d872fd8p-7, 0x1.88fca7af18a3dp-7, 0x1.7d5afca5af9bep-7, 0x1.7209e49dae66ep-7, 0x1.67077c5f5d861p-7, 0x1.5c51e984e3f9p-7, 0x1.51e75a64c868p-7, 0x1.47c605fc0cf92p-7, 0x1.3dec2bd7c64a6p-7, 0x1.345813fe55adp-7, 0x1.2b080ed840282p-7, 0x1.21fa7518a8e09p-7, 0x1.192da7a57bb4bp-7, 0x1.10a00f7f4a941p-7, 0x1.08501da8e604fp-7, 0x1.003c4b0eb7bd8p-7, 0x1.f0c630dbc8c23p-8, 0x1.e1861c76768ebp-8, 0x1.d2b57913f4b4fp-8, 0x1.c45175e4d5627p-8, 0x1.b65750f0b904fp-8, 0x1.a8c456e30fdep-8, 0x1.9b95e2d7ab753p-8, 0x1.8ec95e272ed2cp-8, 0x1.825c4033648dep-8, 0x1.764c0e3382d68p-8, 0x1.6a965b0069963p-8, 0x1.5f38c6e0dee0cp-8, 0x1.5430ff55d4f6cp-8, 0x1.497cbee6c2039p-8, 0x1.3f19ccee0d87ep-8, 0x1.3505fd659eb31p-8, 0x1.2b3f30b3902c2p-8, 0x1.21c353770fc3bp-8, 0x1.18905e5573108p-8, 0x1.0fa455c78337dp-8, 0x1.06fd49e708524p-8, 0x1.fd32ac7930bdbp-9, 0x1.eced431b619ap-9, 0x1.dd26bb563add4p-9, 0x1.cddb8e7f66064p-9, 0x1.bf084b3ec3294p-9, 0x1.b0a9952d452f4p-9, 0x1.a2bc24748bccdp-9, 0x1.953cc56f49421p-9, 0x1.8828584a73548p-9, 0x1.7b7bd0a74b54ep-9, 0x1.6f34353e40018p-9, 0x1.634e9f82b1b6dp-9, 0x1.57c83b47a04p-9, 0x1.4c9e466542474p-9, 0x1.41ce105f8ed76p-9, 0x1.3754fa0dbbc01p-9, 0x1.2d307542b79cep-9, 0x1.235e0476a0109p-9, 0x1.19db3a713b85p-9, 0x1.10a5b9f5715f9p-9, 0x1.07bb356dd21c8p-9, 0x1.fe32dd3442803p-10, 0x1.ed7c6c7be3fddp-10, 0x1.dd4ed7a096b98p-10, 0x1.cda5fa58c8292p-10, 0x1.be7dcc86d06d4p-10, 0x1.afd2619eb1a17p-10, 0x1.a19fe80df5dbp-10, 0x1.93e2a8a5b719ap-10, 0x1.86970606dc6b5p-10, 0x1.79b97c10725ecp-10, 0x1.6d469f503e4acp-10, 0x1.613b1c757946p-10, 0x1.5593b7c5b1bp-10, 0x1.4a4d4c93e42dfp-10, 0x1.3f64ccb9b2364p-10, 0x1.34d74012ccafcp-10, 0x1.2aa1c3fa7f804p-10, 0x1.20c18acb65ec2p-10, 0x1.1733db614586ep-10, 0x1.0df6109d0110ep-10, 0x1.050598eab64a8p-10, 0x1.f8bfeb93df4ccp-11, 0x1.e80576afdf6f4p-11, 0x1.d7d71fb8274c2p-11, 0x1.c83056ac8e4bep-11, 0x1.b90cae1f09882p-11, 0x1.aa67da58c3ee3p-11, 0x1.9c3db08340a15p-11, 0x1.8e8a25d57ff61p-11, 0x1.81494ec5200abp-11, 0x1.74775e3b6d478p-11, 0x1.6810a4ce5b589p-11, 0x1.5c118ffd5b98bp-11, 0x1.5076a97206912p-11, 0x1.453c964490e67p-11, 0x1.3a601643fedd1p-11, 0x1.2fde03420af8fp-11, 0x1.25b35062b96aap-11, 0x1.1bdd096f884ccp-11, 0x1.1258522e34968p-11, 0x1.092265bb07614p-11, 0x1.003895e6a1d16p-11, 0x1.ef30952e718d8p-12, 0x1.de7e025a723f8p-12, 0x1.ce5497d68a09bp-12, 0x1.beafa2c302eb1p-12, 0x1.af8a97b84cb23p-12, 0x1.a0e111aa8e573p-12, 0x1.92aed0d389edbp-12, 0x1.84efb9a2c61ecp-12, 0x1.779fd3b3db655p-12, 0x1.6abb48cad1addp-12, 0x1.5e3e63d6767bcp-12, 0x1.52258ff893434p-12, 0x1.466d5793eb30bp-12, 0x1.3b12635feba86p-12, 0x1.30117981f1506p-12, 0x1.25677cac13af3p-12, 0x1.1b116b41543e4p-12, 0x1.110c5e7f25aep-12, 0x1.075589ac283aap-12, 0x1.fbd472981a37ep-13, 0x1.e98fa4b106abap-13, 0x1.d7d7a2fe399bap-13, 0x1.c6a794c81af09p-13, 0x1.b5facdd36c66fp-13, 0x1.a5ccccf9ba4a3p-13, 0x1.96193acb05df1p-13, 0x1.86dbe8387459ap-13, 0x1.7810cd47df3e6p-13, 0x1.69b407d012d69p-13, 0x1.5bc1da3d90626p-13, 0x1.4e36aa5fad4ebp-13, 0x1.410f003de5172p-13, 0x1.344784f52d334p-13, 0x1.27dd019d27052p-13, 0x1.1bcc5e350742fp-13, 0x1.1012a09806b79p-13, 0x1.04aceb793686ap-13, 0x1.f330facd1ed63p-14, 0x1.dda55fa6289d6p-14, 0x1.c8b1ec4fca343p-14, 0x1.b451b9b823ffap-14, 0x1.a080112636599p-14, 0x1.8d386a83bee01p-14, 0x1.7a766ab3d8dc7p-14, 0x1.6835e1f5fa12ep-14, 0x1.5672ca5512279p-14, 0x1.4529462280c19p-14, 0x1.34559e7ca135ap-14, 0x1.23f441e0a2394p-14, 0x1.1401c2c76cb9bp-14, 0x1.047ad64d51c9bp-14, 0x1.eab8a5c88357ep-15, 0x1.cd465e2097b4dp-15, 0x1.b099005c4e018p-15, 0x1.94aaf28709804p-15, 0x1.7976d3b1e6e2cp-15, 0x1.5ef779ba248aap-15, 0x1.4527ef21b5637p-15, 0x1.2c0370f99467fp-15, 0x1.13856cdd5834ap-15, 0x1.f752fdff4f12cp-16, 0x1.c8d6e08e22b06p-16, 0x1.9b8e68f5cd7ddp-16, 0x1.6f71d0ff54f0fp-16, 0x1.4479a14556427p-16, 0x1.1a9eade8c9022p-16, 0x1.e3b426c518e2fp-17, 0x1.944a66e1dec6cp-17, 0x1.46f364410003bp-17, 0x1.f745cbbd6519cp-18, 0x1.649a58290a9bdp-18, 0x1.ab9bad170fffcp-19, 0x1.2b2a35e543e2fp-20, -0x1.e42344905fd92p-21, -0x1.80664d7ceaacep-19, -0x1.4055070839eb8p-18, -0x1.bcfcab19fdc86p-18, -0x1.1b1e0269098c2p-17, -0x1.56122f3adf8aap-17, -0x1.8f63314a5ed7cp-17, -0x1.c71911cfb8c63p-17, -0x1.fd3b9198f8561p-17, -0x1.18e916458d21ap-16, -0x1.32720e7fe8fefp-16, -0x1.4b3c2f8085e49p-16, -0x1.634ad9b196fc2p-16, -0x1.7aa1515f958cep-16, -0x1.9142c026af326p-16, -0x1.a732365113b2cp-16, -0x1.bc72ac26a1477p-16, -0x1.d107032e60796p-16, -0x1.e4f2076245053p-16, -0x1.f8367055a93b3p-16, -0x1.056b712774badp-15, -0x1.0e6af7aa4ba0fp-15, -0x1.171b0c174e138p-15, -0x1.1f7ce6ade3a02p-15, -0x1.2791b7fe0be87p-15, -0x1.2f5aa958164b4p-15, -0x1.36d8dd371ceb3p-15, -0x1.3e0d6fa66f651p-15, -0x1.44f976a21985dp-15, -0x1.4b9e0272b2ad1p-15, -0x1.51fc1e04a1d17p-15, -0x1.5814cf3afd6b2p-15, -0x1.5de9173e2fa01p-15, -0x1.6379f2c68933fp-15, -0x1.68c85a62e406cp-15, -0x1.6dd542bb8115p-15, -0x1.72a19cd13f85fp-15, -0x1.772e56395353fp-15, -0x1.7b7c59559f97p-15, -0x1.7f8c8d89d08b3p-15, -0x1.835fd76d595abp-15, -0x1.86f718fa73eecp-15, -0x1.8a5331ba427cap-15, -0x1.8d74feee2c629p-15, -0x1.905d5bb69947bp-15, -0x1.930d21371eac3p-15, -0x1.958526b842dbcp-15, -0x1.97c641c6e9709p-15, -0x1.99d14651846a9p-15, -0x1.9ba706c324e28p-15, -0x1.9d48541c80993p-15, -0x1.9eb5fe0b0148fp-15, -0x1.9ff0d2fdfd118p-15, -0x1.a0f9a03a20485p-15, -0x1.a1d131eb2b9ecp-15, -0x1.a27853340ee89p-15, -0x1.a2efce3d7d554p-15, -0x1.a3386c430813fp-15, -0x1.a352f59ed4486p-15, -0x1.a34031d3feb02p-15, -0x1.a300e797bcd2dp-15, -0x1.a295dcd94adedp-15, -0x1.a1ffd6c8bbd0ap-15, -0x1.a13f99dcb42ecp-15, -0x1.a055e9d72385ap-15, -0x1.9f4389c9082d8p-15, -0x1.9e093c154d321p-15, -0x1.9ca7c272ce414p-15, -0x1.9b1fdded900a2p-15, -0x1.99724ee736c54p-15, -0x1.979fd516cac2cp-15, -0x1.95a92f87d2308p-15, -0x1.938f1c98d0accp-15, -0x1.915259f9303f9p-15, -0x1.8ef3a4a6a44c1p-15, -0x1.8c73b8ea0e693p-15, -0x1.89d35253ea2b1p-15, -0x1.87132bb8529a6p-15, -0x1.8433ff2a9f2fep-15, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      21, 0x1.ce147ae147ae1p+1, 0x1.54392530775f2p+0, 0x1.95ea20f7b0609p+0, -0x1.ea26dbc2f829cp-3, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.5f2faec2a5d24p-2, -0x1.8c371dccf9aa2p-1, 0x1.0748d2b46c4f4p-1, 0x1.becf71f507209p-9}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.15365e94c8fa2p-2, -0x1.57818c28082c1p-1, 0x1.07ceddbd029e3p-1, -0x1.1741a7392f5d1p-6}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.ab8a2da91420bp-3, -0x1.2301988686034p-1, 0x1.0530a69212f95p-1, -0x1.ad3630419d6bcp-4}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.415ec97708091p-3, -0x1.e0c16af1d4564p-2, 0x1.ea306fec06f1p-2, -0x1.2d8e8722a4e73p-3}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.d57158e716382p-4, -0x1.833db54ea9e6fp-2, 0x1.bcf4a873a167ep-2, -0x1.6c45498734756p-3}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.4b9db4279fc7p-4, -0x1.2fb6c6a3ce3f6p-2, 0x1.8650aa38f3231p-2, -0x1.871f843702318p-3}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.c1ebee09e238ep-5, -0x1.cf091c8466d33p-3, 0x1.4ba5899719352p-2, -0x1.87f63a85a0bc3p-3}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.21abd6e079f4bp-5, -0x1.5622c3659234cp-3, 0x1.10da34030de5fp-2, -0x1.72e198cc5f4e6p-3}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.5a52bc6036adep-6, -0x1.e83e198d47f8bp-4, 0x1.b270ba2f32679p-3, -0x1.4d8448e2b3f1bp-3}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.6e39fbd041287p-7, -0x1.4e7a39d9ecaf9p-4, 0x1.4e62a45196052p-3, -0x1.1d17d5a18f1e8p-3}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.272b5e50934cep-8, -0x1.b3a8660b165e7p-5, 0x1.f1b6fba8a2f7fp-4, -0x1.cddf90bbeb32dp-4}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.2e336b9caea9fp-12, -0x1.0848c780fce49p-5, 0x1.67271d09dc68bp-4, -0x1.60c19ef617e5cp-4}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, -0x1.197067262bb6ap-9, -0x1.1b93be0d60cefp-6, 0x1.faa6dab344153p-5, -0x1.fa841a9da8373p-5}, 
        {0x1.7333333333333p+1, 0x1.8p+1, -0x1.b3573ad52d5ffp-9, -0x1.bd3abf657c1c7p-8, 0x1.62b26c50c4d14p-5, -0x1.5d7ebd56efabbp-5}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, -0x1.d93a1f9c67fb2p-9, 0x1.334136ef5d6a8p-11, 0x1.f3b26706f9d4fp-6, -0x1.f43034e72c92p-6}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, -0x1.ad92495cd557ep-9, 0x1.7a2449faf5e01p-8, 0x1.5da3f0c19fa9p-6, -0x1.f4e1a9f6d55efp-6}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, -0x1.49fa994e472e9p-9, 0x1.2adfc7e514666p-7, 0x1.8ec07b88bf4bep-7, -0x1.25d2e6b4576cdp-5}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, -0x1.8e5c56d9fac21p-10, 0x1.575d9bf507357p-7, 0x1.714e68b5e6561p-10, -0x1.5a339fdfcf88p-4}, 
        {0x1.b333333333333p+1, 0x1.cp+1, -0x1.1c43976fee87ep-11, 0x1.0d828a200565fp-7, -0x1.885c3fb467716p-6, -0x1.7db1a01303521p-5}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, -0x1.8414783cf2a29p-18, 0x1.0b0cd1e5abedp-9, -0x1.36b036464e518p-5, 0x1.734c5fa44350ep-3}, 
        {0x1.ccccccccccccdp+1, 0x1.ce147ae147ae1p+1, 0x0p+0, -0x1.c85009e90a5c7p-14, 0x1.0dbd45ca6b535p-6, 0x1.96a9e526148a1p+0}, 
      }}, 
      -0x1.787097dca16bcp+8, 0x1.f973873f3cea1p+13
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_c_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2db92ca2a114fp+0, -0x1.1d03423a9c37fp+0, -0x1.0c70a3f655482p+0, -0x1.f81c0d5fa357p-1, -0x1.d7cd3c4678e5dp-1, -0x1.b8080d5221a69p-1, -0x1.98dd7080482efp-1, -0x1.7a5ca2c3cda1bp-1, -0x1.5c92e16a57e89p-1, -0x1.3f8af6a78e8b3p-1, -0x1.234d56c3724e8p-1, -0x1.07e0c04f5baep-1, -0x1.da95a89796585p-2, -0x1.a7208016a3296p-2, -0x1.75690ed26b816p-2, -0x1.45738a06882c9p-2, -0x1.1741492eace89p-2, -0x1.d5a27fb7a86c9p-3, -0x1.80416d40513fdp-3, -0x1.2e57da6ff6bbp-3, -0x1.bfb9c23be2a82p-4, -0x1.299569c8292f5p-4, -0x1.343fb9ab7a279p-5, -0x1.13ba5179ef0d4p-8, 0x1.c4e2c7e280992p-6, 0x1.dac215b894fadp-5, 0x1.63630fbfb9b1cp-4, 0x1.d365ab513d843p-4, 0x1.1ec85fdc69023p-3, 0x1.51068e12277d4p-3, 0x1.808247e26048ep-3, 0x1.ad50f70c6b809p-3, 0x1.d788747155cf4p-3, 0x1.ff3ee007544fcp-3, 0x1.12453704424d9p-2, 0x1.23c09b0921a0ap-2, 0x1.341c86cd23264p-2, 0x1.4363b8edd5de1p-2, 0x1.51a0c0647b13fp-2, 0x1.5eddfebec110dp-2, 0x1.6b25ad772f622p-2, 0x1.7681e375aad9ep-2, 0x1.80fc97ea3a9fcp-2, 0x1.8a9fa0726df4fp-2, 0x1.9374a9cc95e5fp-2, 0x1.9b852c041d3dcp-2, 0x1.a2da5c7e7e37dp-2, 0x1.a97d211440c21p-2, 0x1.af760721f38adp-2, 0x1.b4cd4059dfa28p-2, 0x1.b98aa58c9ce5ap-2, 0x1.bdb5be27abf28p-2, 0x1.c155ca35ccbffp-2, 0x1.c471cc68acdc8p-2, 0x1.c71092128215ap-2, 0x1.c938b7c501654p-2, 0x1.caf0aa44774d4p-2, 0x1.cc3ea45c0ee99p-2, 0x1.cd28aab10bf2p-2, 0x1.cdb486e17777cp-2, 0x1.cde7c3134400fp-2, 0x1.cdc7a6bcec5c5p-2, 0x1.cd593507400bep-2, 0x1.cca9d559a00f3p-2, 0x1.cbad46ac9cc57p-2, 0x1.ca6f3033957aap-2, 0x1.c8f38db1f5462p-2, 0x1.c73e3011027abp-2, 0x1.c552c0189cf28p-2, 0x1.c334c0366d2ep-2, 0x1.c0e78d6a52af3p-2, 0x1.be6e5f8649a1p-2, 0x1.bbcc48fe066c9p-2, 0x1.b90436867b2c8p-2, 0x1.b618eec03055ap-2, 0x1.b30d121b7fb68p-2, 0x1.afe31b1627f1dp-2, 0x1.ac9d5ee1b4698p-2, 0x1.a93e0e73f4f15p-2, 0x1.a5c737f7b9f62p-2, 0x1.a23ac88cb6711p-2, 0x1.9e9a8e418be2bp-2, 0x1.9ae83a31f3df9p-2, 0x1.972562b410414p-2, 0x1.9353858222d36p-2, 0x1.8f7409d0f4483p-2, 0x1.8b88424636891p-2, 0x1.87916ec545ae9p-2, 0x1.8390be0b8963ep-2, 0x1.7f874f1874351p-2, 0x1.7b76325fc94b1p-2, 0x1.775e6ac759cf1p-2, 0x1.7340ee73c6274p-2, 0x1.6f1ea769c3bfp-2, 0x1.6af8740ae47a6p-2, 0x1.66cf2775ab3a6p-2, 0x1.62a389d0d56b8p-2, 0x1.5e76588963ee5p-2, 0x1.5a484689fc314p-2, 0x1.5619fc7135fap-2, 0x1.51ec18cb2c5eep-2, 0x1.4dbf30519dec9p-2, 0x1.4993ce34dacc3p-2, 0x1.456a746ee5264p-2, 0x1.41439c215d41bp-2, 0x1.3d1fb5fe11583p-2, 0x1.38ff2ab9618a7p-2, 0x1.34e25b84fe991p-2, 0x1.30c9a2910bcf3p-2, 0x1.2cb5539134eacp-2, 0x1.28a5bc431082dp-2, 0x1.249b24f31cddep-2, 0x1.2095d0fdb33e7p-2, 0x1.1c95ff49a842ep-2, 0x1.189beabaa69d6p-2, 0x1.14a7ca99d0f08p-2, 0x1.10b9d2f3a9179p-2, 0x1.0cd234eac2965p-2, 0x1.08f11eff14a62p-2, 0x1.0516bd4a2f29dp-2, 0x1.014339b0d4479p-2, 0x1.faed78155ddddp-3, 0x1.f362d48225d27p-3, 0x1.ebe6d0cba0306p-3, 0x1.e479b18687e8p-3, 0x1.dd1bb7cdb2619p-3, 0x1.d5cd214e7d094p-3, 0x1.ce8e284f0d519p-3, 0x1.c75f03b0ce6abp-3, 0x1.c03fe6f1453fp-3, 0x1.b931022b2668p-3, 0x1.b23282192937fp-3, 0x1.ab44901bcf3bp-3, 0x1.a4675242cd76dp-3, 0x1.9d9aeb5a9fc0ep-3, 0x1.96df7afe3736bp-3, 0x1.90351daca9747p-3, 0x1.899bece26c6f1p-3, 0x1.8313ff359699dp-3, 0x1.7c9d68747edb8p-3, 0x1.763839c616f55p-3, 0x1.6fe481cb4f8dap-3, 0x1.69a24cc0fbc68p-3, 0x1.6371a4a198addp-3, 0x1.5d529146870fbp-3, 0x1.5745188852836p-3, 0x1.51493e5da9566p-3, 0x1.4b611a42a193p-3, 0x1.45882df9c74abp-3, 0x1.3fc0ddb964f97p-3, 0x1.3a0b295d97fb6p-3, 0x1.34670f39d8529p-3, 0x1.2ed48c21180bfp-3, 0x1.29539b6e50989p-3, 0x1.23e4370d92554p-3, 0x1.1e8657859d4a2p-3, 0x1.1939f401e9a04p-3, 0x1.13ff025d2a5b5p-3, 0x1.0ed5772c1914bp-3, 0x1.09bd45c88c7bep-3, 0x1.04b6605ca310dp-3, 0x1.ff816fdbe9d18p-4, 0x1.f5b878d159a28p-4, 0x1.ec11b954d5d54p-4, 0x1.e28d0d19b8fb3p-4, 0x1.d92a4ddfe45cap-4, 0x1.cfe953875b05bp-4, 0x1.c6c9f422d4f16p-4, 0x1.bdcc04095f6eap-4, 0x1.b4ef55e6f21f3p-4, 0x1.ac33bacbf6ccep-4, 0x1.a399023bd066cp-4, 0x1.9b1efa3a7b88dp-4, 0x1.92c56f594482cp-4, 0x1.8a8c2cc2b012p-4, 0x1.8272fc45b7b41p-4, 0x1.7a79a66068b2ep-4, 0x1.729ff24a03a64p-4, 0x1.6ae5a5fcb7817p-4, 0x1.634a863f10fb4p-4, 0x1.5bce56ad36f22p-4, 0x1.5470d9c2096ecp-4, 0x1.4d31d0e0388f1p-4, 0x1.4610fc5b63896p-4, 0x1.3f0e1b814dac4p-4, 0x1.3828eca335da2p-4, 0x1.31612d1f5789p-4, 0x1.2ab6996a9b14fp-4, 0x1.2428ed1a7754ep-4, 0x1.1db7e2ef0335cp-4, 0x1.176334dd37b6ep-4, 0x1.112a9c1959d5ap-4, 0x1.0b0dd12189103p-4, 0x1.050c8bc86b76bp-4, 0x1.fe4d067fd8c4p-5, 0x1.f2b6dc48127b1p-5, 0x1.e756050b3fcc5p-5, 0x1.dc29ebea71fbp-5, 0x1.d131fb1b86ec3p-5, 0x1.c66d9bfe78d73p-5, 0x1.bbdc373270bd1p-5, 0x1.b17d34aa949eep-5, 0x1.a74ffbc284c6ap-5, 0x1.9d53f3527d95ep-5, 0x1.938881c312975p-5, 0x1.89ed0d2083876p-5, 0x1.8080fb2d9f5dbp-5, 0x1.7743b17633ee7p-5, 0x1.6e34956108087p-5, 0x1.65530c415bd5cp-5, 0x1.5c9e7b67f57a8p-5, 0x1.54164833adfc2p-5, 0x1.4bb9d8218d914p-5, 0x1.438890dc6f9ccp-5, 0x1.3b81d84c3071p-5, 0x1.33a514a46c984p-5, 0x1.2bf1ac72cfe07p-5, 0x1.246706acf645ap-5, 0x1.1d048abde56c6p-5, 0x1.15c9a0931ce7ap-5, 0x1.0eb5b0a943a11p-5, 0x1.07c8241871ae7p-5, 0x1.010064a01c368p-5, 0x1.f4bbb965455f6p-6, 0x1.e7bfef0101498p-6, 0x1.db0c42064ce97p-6, 0x1.ce9f8c0ef2d25p-6, 0x1.c278a86ff8602p-6, 0x1.b696744d489a3p-6, 0x1.aaf7ceaca8d3fp-6, 0x1.9f9b988813325p-6, 0x1.9480b4df61453p-6, 0x1.89a608c951f74p-6, 0x1.7f0a7b83e802fp-6, 0x1.74acf684296p-6, 0x1.6a8c658533b0cp-6, 0x1.60a7b696b0f3bp-6, 0x1.56fdda2aa1e9ep-6, 0x1.4d8dc322934e7p-6, 0x1.445666dc226ecp-6, 0x1.3b56bd3ce9c2bp-6, 0x1.328dc0bdc4a2bp-6, 0x1.29fa6e757f37ep-6, 0x1.219bc622db6c9p-6, 0x1.1970ca36037f4p-6, 0x1.11787fd956839p-6, 0x1.09b1eef9a8da5p-6, 0x1.021c224ddbc78p-6, 0x1.f56c4ebbdd407p-7, 0x1.e6fe1d12e4b16p-7, 0x1.d8ebd61ae0aaep-7, 0x1.cb33a6137f251p-7, 0x1.bdd3bf0ba125fp-7, 0x1.b0ca58e9d7bd9p-7, 0x1.a415b173df768p-7, 0x1.97b40c5500e37p-7, 0x1.8ba3b3238e972p-7, 0x1.7fe2f56544014p-7, 0x1.74702892d13p-7, 0x1.6949a81a65058p-7, 0x1.5e6dd561509d3p-7, 0x1.53db17c4dbcf8p-7, 0x1.498fdc9a290c4p-7, 0x1.3f8a972d581d2p-7, 0x1.35c9c0bfd5f15p-7, 0x1.2c4bd885e3dc2p-7, 0x1.230f63a3674dfp-7, 0x1.1a12ed27fdaa9p-7, 0x1.1155060a5eefdp-7, 0x1.08d445231267ep-7, 0x1.008f472686042p-7, 0x1.f1095d3cfbea1p-8, 0x1.e16647c5e6096p-8, 0x1.d232aa24b6655p-8, 0x1.c36bec12c4648p-8, 0x1.b50f80b44a268p-8, 0x1.a71ae685c1cbfp-8, 0x1.998ba7485de74p-8, 0x1.8c5f57ed8d53dp-8, 0x1.7f9398819494cp-8, 0x1.732614156784ep-8, 0x1.671480a7a028p-8, 0x1.5b5c9f0cbbfe5p-8, 0x1.4ffc3ad6a069ep-8, 0x1.44f12a3b603d3p-8, 0x1.3a394dfb7e1efp-8, 0x1.2fd291476dd5ep-8, 0x1.25bae9a4938adp-8, 0x1.1bf056d1b52c9p-8, 0x1.1270e2aae230ep-8, 0x1.093aa10cf7bp-8, 0x1.004bafb8980c2p-8, 0x1.ef446c6996ad8p-9, 0x1.de78cb625e3dap-9, 0x1.ce30f1cfcd449p-9, 0x1.be6967fe3680cp-9, 0x1.af1ec8d48670fp-9, 0x1.a04dc1965587cp-9, 0x1.91f311a567721p-9, 0x1.840b8a42c2c79p-9, 0x1.76940e4f94612p-9, 0x1.6989920d82912p-9, 0x1.5ce91adf04dd3p-9, 0x1.50afbf075151ep-9, 0x1.44daa56a3e942p-9, 0x1.3967054bf8e98p-9, 0x1.2e522610b860ep-9, 0x1.23995efc5f55bp-9, 0x1.193a16f22826fp-9, 0x1.0f31c4345e305p-9, 0x1.057dec243a3a3p-9, 0x1.f8384603b8608p-10, 0x1.e6141758c8bc3p-10, 0x1.d48aaec4d67ebp-10, 0x1.c3978b051fa8ap-10, 0x1.b3049d67091ep-10, 0x1.a32df5b858a2p-10, 0x1.93e0e626ff024p-10, 0x1.85195978571b6p-10, 0x1.76d35419d678ep-10, 0x1.690af3a866857p-10, 0x1.5bbc6e78b56d8p-10, 0x1.4ee41320f84dbp-10, 0x1.427e480351c2dp-10, 0x1.36878ad9b627fp-10, 0x1.2afc7042c0c58p-10, 0x1.1fd9a34fd0a43p-10, 0x1.151be51451fc8p-10, 0x1.0ac00c364527ap-10, 0x1.00c3047ff2db1p-10, 0x1.ee439ce5f61bbp-11, 0x1.dbb2fdb91c763p-11, 0x1.c9ce7cd60a7f1p-11, 0x1.b89092893236dp-11, 0x1.a7f3dd3f78d3ep-11, 0x1.97f320b8b7501p-11, 0x1.8889453d8a898p-11, 0x1.79b156d78974bp-11, 0x1.6b66848bd1628p-11, 0x1.5da41f990b0f6p-11, 0x1.50659ab745df1p-11, 0x1.43a6895b2d41ep-11, 0x1.37629efb84317p-11, 0x1.2b95ae5998e19p-11, 0x1.203ba8cc16a16p-11, 0x1.15509d8d19ccfp-11, 0x1.0ad0b90a929e8p-11, 0x1.00b844393f60ap-11, 0x1.ee0747d5c1a08p-12, 0x1.db5eb04d73873p-12, 0x1.c96ff70956bffp-12, 0x1.b8348517168b8p-12, 0x1.a7a5f6233f3fep-12, 0x1.97be174020f6cp-12, 0x1.8876e5b1dfa5p-12, 0x1.79ca8dc00b20bp-12, 0x1.6bb3698bba531p-12, 0x1.5e2bffec9549bp-12, 0x1.512f035124f1fp-12, 0x1.44b750a5fde2ep-12, 0x1.38bfee41118d3p-12, 0x1.2d440ad2acba2p-12, 0x1.223efc5b32dd5p-12, 0x1.17ac3f26b7593p-12, 0x1.0d8774ccb08d6p-12, 0x1.03cc63354cf31p-12, 0x1.f4ede747251afp-13, 0x1.e30663885e069p-13, 0x1.d1da9583e1f49p-13, 0x1.c16318bc0b56dp-13, 0x1.b198c81c13368p-13, 0x1.a274bc3ba9f8cp-13, 0x1.93f049ae21b44p-13, 0x1.8604ff58a4ac1p-13, 0x1.78aca4d394deap-13, 0x1.6be138d3564dap-13, 0x1.5f9cef9b1bd14p-13, 0x1.53da31784b7b1p-13, 0x1.48939945b3783p-13, 0x1.3dc3f2f8a92e2p-13, 0x1.33663a3541fe9p-13, 0x1.297598ec71c54p-13, 0x1.1fed66008155p-13, 0x1.16c923f2b2ef1p-13, 0x1.0e047f989b4e8p-13, 0x1.059b4ed86a04cp-13, 0x1.fb131edd0416fp-14, 0x1.eb96cb712b862p-14, 0x1.dcba371394632p-14, 0x1.ce763e079ebbcp-14, 0x1.c0c402f46d554p-14, 0x1.b39cecb3ee7d5p-14, 0x1.a6faa42fc7196p-14, 0x1.9ad7124ff7e56p-14, 0x1.8f2c5df187fbp-14, 0x1.83f4e9ebe9661p-14, 0x1.792b53234f4aap-14, 0x1.6eca6ea640395p-14, 0x1.64cd47d799469p-14, 0x1.5b2f1ea49ca98p-14, 0x1.51eb65c4860f1p-14, 0x1.48fdc107487d9p-14, 0x1.406203abe312dp-14, 0x1.38142ec1ad1edp-14, 0x1.30106f97d44a7p-14, 0x1.28531e333542fp-14, 0x1.20d8bbd0b503dp-14, 0x1.199df171a7a9fp-14, 0x1.129f8e705d584p-14, 0x1.0bda87223cdd2p-14, 0x1.054bf37f9c232p-14, 0x1.fde21bae95f8ap-15, 0x1.f18e6315eed6ap-15, 0x1.e597b3a94beb3p-15, 0x1.d9f9412bb687cp-15, 0x1.ceae7a5b6b3c6p-15, 0x1.c3b306b4b573p-15, 0x1.b902c4445ce85p-15, 0x1.ae99c58974bb2p-15, 0x1.a4744f6897352p-15, 0x1.9a8ed72fd1833p-15, 0x1.90e600ab222dbp-15, 0x1.87769c437ba33p-15, 0x1.7e3da5374e635p-15, 0x1.75383fd9f49b5p-15, 0x1.6c63b7e1c4009p-15, 0x1.63bd7ec968549p-15, 0x1.5b432a3ab0866p-15, 0x1.52f27289023b1p-15, 0x1.4ac93138ee761p-15, 0x1.42c55f939ca41p-15, 0x1.3ae5154783cecp-15, 0x1.332687167089fp-15, 0x1.2b88058dd4384p-15, 0x1.2407fbc6e4fe1p-15, 0x1.1ca4ee3d04b41p-15, 0x1.155d79a26dc6dp-15, 0x1.0e3051c6de025p-15, 0x1.071c40848da75p-15, 0x1.002024ba16fdcp-15, 0x1.f275e2978fcc5p-16, 0x1.e4d7585dcb259p-16, 0x1.d762dafabeeb3p-16, 0x1.ca16bd2543224p-16, 0x1.bcf17260a7229p-16, 0x1.aff18d5818cf5p-16, 0x1.a315be44a12c6p-16, 0x1.965cd16b0c68dp-16, 0x1.89c5ad9fcc699p-16, 0x1.7d4f52de24b74p-16, 0x1.70f8d8ea8ea37p-16, 0x1.64c16e053666ep-16, 0x1.58a855a1b53dap-16, 0x1.4cace739f9654p-16, 0x1.40ce8d1f4645dp-16, 0x1.350cc35934c0ap-16, 0x1.2967169949c99p-16, 0x1.1ddd2330c35f9p-16, 0x1.126e940c6db75p-16, 0x1.071b21cdd79b6p-16, 0x1.f7c523afdc712p-17, 0x1.e1896aecc827cp-17, 0x1.cb82d20890f3dp-17, 0x1.b5b1263f6855ap-17, 0x1.a01447ccb6171p-17, 0x1.8aac2874e85e8p-17, 0x1.7578ca1c20cafp-17, 0x1.607a3d6b6d7eep-17, 0x1.4bb0a093ace5ap-17, 0x1.371c1e126620bp-17, 0x1.22bceb842a462p-17, 0x1.0e93488b2931bp-17, 0x1.f53efb7f9041fp-18, 0x1.cdc3b7627df5ep-18, 0x1.a6b573e0dadb2p-18, 0x1.8014ec4fec8f4p-18, 0x1.59e2e67b3be63p-18, 0x1.34203106414a8p-18, 0x1.0ecda1e4ad5aep-18, 0x1.d3d829bab2b0bp-19, 0x1.8af8d46820348p-19, 0x1.42ff0a622b334p-19, 0x1.f7d92c9786d19p-20, 0x1.6b868865b2feep-20, 0x1.c2137ddeb652ap-21, 0x1.619985e195b7dp-22, -0x1.730040444ab29p-23, -0x1.668c0506898b9p-21, -0x1.36482324a2acep-20, -0x1.b76312a27b2f6p-20, -0x1.1b49c7f0fe469p-19, -0x1.59eb396b70357p-19, -0x1.97945780e57dep-19, -0x1.d443aad8517ddp-19, -0x1.07fbe60cbdbd7p-18, -0x1.2557b27011db5p-18, -0x1.4234984fb0e9ep-18, -0x1.5e91febd916fbp-18, -0x1.7a6f56790ed91p-18, -0x1.95cc1a40499b1p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.bf711c58cf92ep+0, -0x1.b812688500608p+0, -0x1.b09d993d62cf8p+0, -0x1.a9176c65e288dp+0, -0x1.a1844ccbacc32p+0, -0x1.99e85e24eb484p+0, -0x1.92477bc53574dp+0, -0x1.8aa5391085cp+0, -0x1.8304e2dcd0203p+0, -0x1.7b69808d8934p+0, -0x1.73d5daa25547dp+0, -0x1.6c4c81b3de876p+0, -0x1.64cfcfea7eb08p+0, -0x1.5d61e81e2c742p+0, -0x1.5604b74600acp+0, -0x1.4eb9f84b10c04p+0, -0x1.478338c2d81ecp+0, -0x1.4061ddac169e5p+0, -0x1.3957271aa4ba7p+0, -0x1.326432340a3ebp+0, -0x1.2b89fa26629a7p+0, -0x1.24c95f4e70954p+0, -0x1.1e230fd290cfep+0, -0x1.1797b031d5b94p+0, -0x1.1127c6bcbf065p+0, -0x1.0ad3c2947338p+0, -0x1.049bfd4194a55p+0, -0x1.fd0177c318724p-1, -0x1.f10460d1b30d6p-1, -0x1.e540f670e4a5ap-1, -0x1.d9b759a1c747ap-1, -0x1.ce678e90e04a9p-1, -0x1.c3517ec9dcb64p-1, -0x1.b874fb0cf2ee2p-1, -0x1.add1bd45cf531p-1, -0x1.a3676ad033f19p-1, -0x1.993596ccea8c3p-1, -0x1.8f3bc42656d4bp-1, -0x1.857967142ca78p-1, -0x1.7bede63be6c45p-1, -0x1.72989bb975168p-1, -0x1.6978d6511bf79p-1, -0x1.608ddadbaa1c9p-1, -0x1.57d6e5ce5df68p-1, -0x1.4f532cab0b7p-1, -0x1.4701df301d1dfp-1, -0x1.3ee2283da794fp-1, -0x1.36f32e821e885p-1, -0x1.2f3415106581ap-1, -0x1.27a3fbfdee65bp-1, -0x1.204201175b9ep-1, -0x1.190d40a66e35ap-1, -0x1.1204d6361e78ap-1, -0x1.0b27dd3ea7f82p-1, -0x1.047571aa62c1ap-1, -0x1.fbd96061f4b6fp-2, -0x1.ef196d258c52cp-2, -0x1.e2a9478a8e16ep-2, -0x1.d687304465847p-2, -0x1.cab16b4a4f082p-2, -0x1.bf2640779f1dp-2, -0x1.b3e3fc48218f6p-2, -0x1.a8e8f09c4c0eap-2, -0x1.9e337718c0237p-2, -0x1.93c1e2507ff25p-2, -0x1.8992a2ce4a725p-2, -0x1.7fa42524b9963p-2, -0x1.75f4dd020891ap-2, -0x1.6c834553896aap-2, -0x1.634de0560dfd1p-2, -0x1.5a533797e150ap-2, -0x1.5191dbf2b15e6p-2, -0x1.49086583f39c9p-2, -0x1.40b573a8b0ca7p-2, -0x1.3897acff1ca39p-2, -0x1.30adbf6d7e542p-2, -0x1.28f6602bb882p-2, -0x1.21704bcb8b71p-2, -0x1.1a1a463bb1efep-2, -0x1.12f31ac31173dp-2, -0x1.0bf99bf2eee75p-2, -0x1.052ca390e074p-2, -0x1.fd1624f55689ap-3, -0x1.f027a10dbdf25p-3, -0x1.e38b98ca0d528p-3, -0x1.d73ff6fee5de6p-3, -0x1.cb42b3bf0f9fp-3, -0x1.bf91d4289d78bp-3, -0x1.b42b6a343a76dp-3, -0x1.a90d948336eabp-3, -0x1.9e367e29289ap-3, -0x1.93a45e6e993d4p-3, -0x1.8955788bef507p-3, -0x1.7f481b5cff2a7p-3, -0x1.757aa10f46ecfp-3, -0x1.6beb6ecd8365cp-3, -0x1.6298f46b96bd1p-3, -0x1.5981ac158183bp-3, -0x1.50a41a036e0dfp-3, -0x1.47fecc33fa0f5p-3, -0x1.3f905a2cefb7bp-3, -0x1.375764c1e6dd8p-3, -0x1.2f5295df918adp-3, -0x1.2780a05a4a69bp-3, -0x1.1fe03fbe45008p-3, -0x1.1870381ff7fcap-3, -0x1.112f55eb9d82dp-3, -0x1.0a1c6db316f66p-3, -0x1.03365bf9cd4d1p-3, -0x1.f8f809fd57aep-4, -0x1.ebd8a90925724p-4, -0x1.df0c7b33c09ccp-4, -0x1.d29174bfacf16p-4, -0x1.c66597a5303c6p-4, -0x1.ba86f3250b3a1p-4, -0x1.aef3a35f0823cp-4, -0x1.a3a9d0ed48dbp-4, -0x1.98a7b084c9b0fp-4, -0x1.8deb829b332c6p-4, -0x1.83739311aba4fp-4, -0x1.793e38e445a7bp-4, -0x1.6f49d5dd453bfp-4, -0x1.6594d64b845ebp-4, -0x1.5c1db0bb3d488p-4, -0x1.52e2e5b085a4cp-4, -0x1.49e2ff6305914p-4, -0x1.411c917a8c736p-4, -0x1.388e38cc5803p-4, -0x1.30369b191abd2p-4, -0x1.281466cbdbf2ep-4, -0x1.202652b9f8b6ep-4, -0x1.186b1de4879f3p-4, -0x1.10e18f3b72edap-4, -0x1.098875628547ep-4, -0x1.025ea678a14bp-4, -0x1.f6c5ffc28203p-5, -0x1.e928cc209cf33p-5, -0x1.dbe388b08a97ep-5, -0x1.cef4197514da4p-5, -0x1.c2586f73a9a3ap-5, -0x1.b60e885ce549cp-5, -0x1.aa146e3887aadp-5, -0x1.9e6837145e19ep-5, -0x1.930804b5d2982p-5, -0x1.87f2044dce5fdp-5, -0x1.7d246e2ea7fa6p-5, -0x1.729d8583e81adp-5, -0x1.685b84c2efe37p-5, -0x1.5e5ce4c43c4abp-5, -0x1.549ffb17414f6p-5, -0x1.4b2333abe89f6p-5, -0x1.41e503efbe6c7p-5, -0x1.38e3ea900de68p-5, -0x1.301e6f3df2bcp-5, -0x1.279322743e8eap-5, -0x1.1f409d3f330fap-5, -0x1.17258105ec866p-5, -0x1.0f40775583cb9p-5, -0x1.079031adbdd8cp-5, -0x1.0013694f450f8p-5, -0x1.f191be16aee7fp-6, -0x1.e35eb629bd341p-6, -0x1.d58b59a5a49cp-6, -0x1.c8155567dcd4fp-6, -0x1.bafa64072e88ep-6, -0x1.ae384d7feba5ep-6, -0x1.a1cce6e266976p-6, -0x1.95b61203a2137p-6, -0x1.89f1bd3027e51p-6, -0x1.7e7de2e0fa089p-6, -0x1.7358897288498p-6, -0x1.687fc2ddab169p-6, -0x1.5df1ac7286b17p-6, -0x1.53ac6e95598bp-6, -0x1.49ae3c7d1a5a6p-6, -0x1.3ff553f3e5ef6p-6, -0x1.367ffd1916bf4p-6, -0x1.2d4c8a2520367p-6, -0x1.2459572efbd88p-6, -0x1.1ba4c9f31acf7p-6, -0x1.132d519bef9e2p-6, -0x1.0af1668bd0a22p-6, -0x1.02ef8a285692bp-6, -0x1.f64c8d4dfd63fp-7, -0x1.e7285db64fd2cp-7, -0x1.d86fbc0a86d2p-7, -0x1.ca1fef4675cc2p-7, -0x1.bc364e840f17fp-7, -0x1.aeb040a0ace0bp-7, -0x1.a18b3be4ad602p-7, -0x1.94c4c5ad014e6p-7, -0x1.885a7216d9914p-7, -0x1.7c49e3ad41801p-7, -0x1.7090cb189eb2cp-7, -0x1.652ce6d0138cp-7, -0x1.5a1c02cca2b74p-7, -0x1.4f5bf83e166adp-7, -0x1.44eaad419d37dp-7, -0x1.3ac6149a0456dp-7, -0x1.30ec2d69888b2p-7, -0x1.275b02ed42afp-7, -0x1.1e10ac3a1cc3cp-7, -0x1.150b4bfb18c7p-7, -0x1.0c4910313c9e2p-7, -0x1.03c831f4ba3ecp-7, -0x1.f70dea6ee9bbcp-8, -0x1.e7075111ed6e8p-8, -0x1.d77949b716d84p-8, -0x1.c8609a9544e2ap-8, -0x1.b9ba1dc4f3a8ap-8, -0x1.ab82c0d1c2b41p-8, -0x1.9db7844e4ed41p-8, -0x1.90557b6a6a88ap-8, -0x1.8359cb8b5fb84p-8, -0x1.76c1abe65c773p-8, -0x1.6a8a651d05874p-8, -0x1.5eb150dbfb0dep-8, -0x1.5333d97b66dc5p-8, -0x1.480f79a16bc29p-8, -0x1.3d41bbe68efap-8, -0x1.32c83a7be86cfp-8, -0x1.28a09ed32715dp-8, -0x1.1ec8a14864ad3p-8, -0x1.153e08cdaad11p-8, -0x1.0bfeaa982e6cdp-8, -0x1.030869cf280e8p-8, -0x1.f4b26e78ddcp-9, -0x1.e3de21fcef61fp-9, -0x1.d3900478445f2p-9, -0x1.c3c445b389847p-9, -0x1.b4772e5febe93p-9, -0x1.a5a51f8756a4fp-9, -0x1.974a91ffa5201p-9, -0x1.896415e072bcfp-9, -0x1.7bee51fc13774p-9, -0x1.6ee6035ae0acdp-9, -0x1.6247fcb959dabp-9, -0x1.56112608a8b77p-9, -0x1.4a3e7bf215672p-9, -0x1.3ecd0f5c917cfp-9, -0x1.33ba04f4f3798p-9, -0x1.290294b86c8ep-9, -0x1.1ea4098198e7ap-9, -0x1.149bc097a6c88p-9, -0x1.0ae7293fd40b1p-9, -0x1.0183c4513f3f2p-9, -0x1.f0de47958c055p-10, -0x1.df4dd4d648c1p-10, -0x1.ce5196965cbaap-10, -0x1.bde512f4259dfp-10, -0x1.ae03ef37549edp-10, -0x1.9ea9ef11b9f99p-10, -0x1.8fd2f3e3d0d81p-10, -0x1.817afc052e81fp-10, -0x1.739e221106635p-10, -0x1.66389c35bb72bp-10, -0x1.5946bb893a922p-10, -0x1.4cc4eb5fa408ep-10, -0x1.40afb0a6b856cp-10, -0x1.3503a943f3d4p-10, -0x1.29bd8b7612e3bp-10, -0x1.1eda253ab3fdcp-10, -0x1.14565bb655347p-10, -0x1.0a2f2aa04949bp-10, -0x1.0061a3b17e3e8p-10, -0x1.edd5dc2c57149p-11, -0x1.db908bc6e735ep-11, -0x1.c9edf71dfd7f5p-11, -0x1.b8e8e6d46b2fp-11, -0x1.a87c4a408b8b5p-11, -0x1.98a3366d13cbfp-11, -0x1.8958e52168f97p-11, -0x1.7a98b3ed93bdcp-11, -0x1.6c5e233ca27f1p-11, -0x1.5ea4d56c486d2p-11, -0x1.51688de8ec238p-11, -0x1.44a530503e08bp-11, -0x1.3856bf9786bc7p-11, -0x1.2c795d377f41fp-11, -0x1.2109485d1712ap-11, -0x1.1602dd1e66722p-11, -0x1.0b6293b52141ep-11, -0x1.0124ffbcdc03dp-11, -0x1.ee8d9eec95dd2p-12, -0x1.db89961d56767p-12, -0x1.c937a7d71156fp-12, -0x1.b791c7f5a8ef8p-12, -0x1.a6921a0e4a3bep-12, -0x1.9632f01f1c18ap-12, -0x1.866ec948df211p-12, -0x1.7740508f31369p-12, -0x1.68a25b9f7f0bbp-12, -0x1.5a8fe9a192e6fp-12, -0x1.4d04220e75fdbp-12, -0x1.3ffa538e731e3p-12, -0x1.336df2dd63d61p-12, -0x1.275a99b89c9dap-12, -0x1.1bbc05d0a38a3p-12, -0x1.108e17c35e951p-12, -0x1.05ccd21baabdep-12, -0x1.f6e8b0b1be4b9p-13, -0x1.e301dbf3908d5p-13, -0x1.cfddeb23b69c8p-13, -0x1.bd75dfc101011p-13, -0x1.abc2f5e070047p-13, -0x1.9abea276d1983p-13, -0x1.8a6291abacbcep-13, -0x1.7aa8a53a22f86p-13, -0x1.6b8af2d81a7afp-13, -0x1.5d03c2ae5beffp-13, -0x1.4f0d8dd4cc58fp-13, -0x1.41a2fcdbbae26p-13, -0x1.34bee65f691d2p-13, -0x1.285c4da321105p-13, -0x1.1c76613802b15p-13, -0x1.10f7a5575da1p-13, -0x1.05fcf60d338cp-13, -0x1.f6e306511b7cbp-14, -0x1.e2a2364e69824p-14, -0x1.cf2f63206e414p-14, -0x1.bc82bba01467p-14, -0x1.aa94b436e189ap-14, -0x1.995e04b2c3fddp-14, -0x1.88d7a62baf657p-14, -0x1.78fad0f71c344p-14, -0x1.69c0faa97abdfp-14, -0x1.5b23d42702163p-14, -0x1.4d1d47c276cccp-14, -0x1.3fa77764ccf46p-14, -0x1.32bcbacc65175p-14, -0x1.26579dce117abp-14, -0x1.1a72dea8c0d59p-14, -0x1.0f096c63a6708p-14, -0x1.04166539cba26p-14, -0x1.f32a2a1ef8cbap-15, -0x1.df01e7e20be0bp-15, -0x1.cbab49473f68fp-15, -0x1.b91de676c3497p-15, -0x1.a751a77595996p-15, -0x1.963ec185d1cbdp-15, -0x1.85ddb48675db5p-15, -0x1.762748810a4a7p-15, -0x1.67148b335cef9p-15, -0x1.589ecdb645efbp-15, -0x1.4abfa2364135fp-15, -0x1.3d70d9b9b1984p-15, -0x1.30ac81feacb88p-15, -0x1.246ce35a56d06p-15, -0x1.18ac7ec0d7b83p-15, -0x1.0d660bc9cd5e5p-15, -0x1.029476c90bc24p-15, -0x1.f065bded2d113p-16, -0x1.dc792950b89ep-16, -0x1.c95a2f2898a02p-16, -0x1.b7002a4a0f824p-16, -0x1.a562cdb288971p-16, -0x1.947a216564ad5p-16, -0x1.843e7f604ed98p-16, -0x1.74a89095c565dp-16, -0x1.65b14a3081bfap-16, -0x1.5751eab9a254fp-16, -0x1.4983f772a63f1p-16, -0x1.3c4139bacf42bp-16, -0x1.2f83bc8deb02ap-16, -0x1.2345ca17a91f3p-16, -0x1.1781e959c5fcfp-16, -0x1.0c32dbe7562fap-16, -0x1.01539bb189caap-16, -0x1.edbeb1cd6141p-17, -0x1.d9a2efd184668p-17, -0x1.c64b1e94b269p-17, -0x1.b3aecbd6485abp-17, -0x1.a1c5e2233f07bp-17, -0x1.9088a554e0524p-17, -0x1.7fefaf0ebe53ap-17, -0x1.6ff3eb762ebcfp-17, -0x1.608e95d94bf6ep-17, -0x1.51b935afc6658p-17, -0x1.436d9b75deadap-17, -0x1.35a5ddeffd313p-17, -0x1.285c57206ed92p-17, -0x1.1b8ba1caabbe4p-17, -0x1.0f2e96b5c103dp-17, -0x1.03404a2dcae8dp-17, -0x1.ef7813260bdeap-18, -0x1.d93ab2105e3fep-18, -0x1.c3bfe246404d8p-18, -0x1.aeff79928d2c9p-18, -0x1.9af1ae2e6e8f4p-18, -0x1.878f1270a0c66p-18, -0x1.74d091530dd01p-18, -0x1.62af6a670c225p-18, -0x1.51252e4127738p-18, -0x1.402bbb065839ap-18, -0x1.2fbd3908a06cep-18, -0x1.1fd4178eb7a8dp-18, -0x1.106b09b4a26b2p-18, -0x1.017d036ef482bp-18, -0x1.e60a6d52109dep-19, -0x1.c9fe20fa5086bp-19, -0x1.aecc6d2685ab4p-19, -0x1.946d09071258ap-19, -0x1.7ad81313a24ap-19, -0x1.62060b82b6663p-19, -0x1.49efd0c064081p-19, -0x1.328e9a7818a3p-19, -0x1.1bdbf5879bc96p-19, -0x1.05d1bff63675cp-19, -0x1.e0d44a4f46bacp-20, -0x1.b73f341da5bdfp-20, -0x1.8ed9b37812c33p-20, -0x1.6799c3c2d6547p-20, -0x1.4175df31e2738p-20, -0x1.1c64f88429c0ap-20, -0x1.f0bcea1ac3498p-21, -0x1.aab44dcddba84p-21, -0x1.66a08efc101d6p-21, -0x1.2472e45816351p-21, -0x1.c83a7e254e0c1p-22, -0x1.4b24812168a9ap-22, -0x1.a314c66944914p-23, -0x1.6d4fcc235e293p-24, 0x1.795d7b9e26fbdp-26, 0x1.0e91cb5bcd8bap-23, 0x1.e7b4295c1c34cp-23, 0x1.5d5d43f370d09p-22, 0x1.c3e5631bb8d2fp-22, 0x1.13c23faefd523p-21, 0x1.4425e7f4decd4p-21, 0x1.7325e117e9b5ap-21, 0x1.a0ca02c5d5298p-21, 0x1.cd19cad6b53b3p-21, 0x1.f81c630b717f5p-21, 0x1.10ec527a71c42p-20, 0x1.252a90b0a4c11p-20, 0x1.38cc1094644bbp-20, 0x1.4bd3d5ed21965p-20, 0x1.5e44c5a5e9f52p-20, 0x1.7021a78143c39p-20, 0x1.816d287d85abcp-20, 0x1.9229dbb7e8f3ep-20, 0x1.a25a3cd7b1241p-20, 0x1.b200b1383bd42p-20, 0x1.c11f898304f36p-20, 0x1.cfb902e5fe9aap-20, 0x1.ddcf48b429becp-20, 0x1.eb64754804c77p-20, 0x1.f87a9381c89e1p-20, 0x1.0289cfd966ca5p-19, 0x1.0898c45a25bcbp-19, 0x1.0e6b1871bb113p-19, 0x1.1401b768bc7e9p-19, 0x1.195d87820c3e4p-19, 0x1.1e7f69bb6213dp-19, 0x1.23683aa2a788dp-19, 0x1.2818d281cf9d9p-19, 0x1.2c9205d1db3f9p-19, 0x1.30d4a55f69dafp-19, 0x1.34e17f06f7beep-19, 0x1.38b95d2ae6f05p-19, 0x1.3c5d07c01b70cp-19, 0x1.3fcd441ae5138p-19, 0x1.430ad54679433p-19, 0x1.46167c32ffa11p-19, 0x1.48f0f7e62f3b2p-19, 0x1.4b9b05a8bb7d7p-19, 0x1.4e156109daeedp-19, 0x1.5060c46ac4a12p-19, 0x1.527de8b2e2378p-19, 0x1.546d85899ff43p-19, 0x1.56305189412b5p-19, 0x1.57c7024dc86e5p-19, 0x1.59324c82c5d43p-19, 0x1.5a72e40318cc9p-19, 0x1.5b897be09c206p-19, 0x1.5c76c68aa9babp-19, 0x1.5d3b759ae9668p-19, 0x1.5dd83a3360262p-19, 0x1.5e4dc4d986db6p-19, 0x1.5e9cc5867de9cp-19, 0x1.5ec5eb8bf8b23p-19, 0x1.5ec9e61d71542p-19, 0x1.5ea96397e7331p-19, 0x1.5e6511ea3fa63p-19, 0x1.5dfd9e9e5ad6p-19, 0x1.5d73b6bea78b9p-19, 0x1.5cc806dc47c64p-19, 0x1.5bfb3b0d6ff3cp-19, 0x1.5b0dfeed0d02cp-19, 0x1.5a00fd8d61e7p-19, 0x1.58d4e181d0e5ep-19, 0x1.578a54d3e5f42p-19, 0x1.562200fd13926p-19, 0x1.549c8ee29a388p-19, 0x1.52faa6ce4d513p-19, 0x1.513cf0688e593p-19, 0x1.4f6412b3e9597p-19, 0x1.4d70b3fa244acp-19, 0x1.4b6379e5ada1bp-19, 0x1.493d0928c8a95p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.6cdf929820666p-1, -0x1.6030ebdf86306p-1, -0x1.521b6866a0e45p-1, -0x1.42d246e00e60cp-1, -0x1.3285719fd3efep-1, -0x1.21613890d7156p-1, -0x1.0f8ec62d50cafp-1, -0x1.fa68e92712fdbp-2, -0x1.d4eb3bb7cc5bcp-2, -0x1.aee4a9c9a369dp-2, -0x1.888eea38da49ap-2, -0x1.621e0d884c0f2p-2, -0x1.3bc1563eae969p-2, -0x1.15a3a22a8ad66p-2, -0x1.dfd6c0f640cp-3, -0x1.9574d0fc96faap-3, -0x1.4c5c026303e0bp-3, -0x1.04be672086f22p-3, -0x1.7d8d4dfd7715bp-4, -0x1.ea64c4ad27c01p-5, -0x1.c2aa0cc7ec055p-6, 0x1.fa6867d1130c3p-9, 0x1.182b84ad06396p-5, 0x1.0400c8092b27ap-4, 0x1.777b483950c5bp-4, 0x1.e673929e3fcfp-4, 0x1.286f39ceb4fa2p-3, 0x1.5b5b389fc170bp-3, 0x1.8bfd97d21fe05p-3, 0x1.ba587c1305aep-3, 0x1.e67028714fc3fp-3, 0x1.0825648b892a2p-2, 0x1.1bf81cca4fe2fp-2, 0x1.2eb4e4d0686afp-2, 0x1.406102aac26fap-2, 0x1.510241e93cb86p-2, 0x1.609eddf3b0903p-2, 0x1.6f3d6e674aa9dp-2, 0x1.7ce4d4dcff6f2p-2, 0x1.899c2c58b6f0cp-2, 0x1.956abb2b3d017p-2, 0x1.a057e7deb8f4cp-2, 0x1.aa6b3100867dap-2, 0x1.b3ac26c36d7b5p-2, 0x1.bc2265058266dp-2, 0x1.c3d58c73e8fb2p-2, 0x1.cacd3a36b9f78p-2, 0x1.d110fe6a07038p-2, 0x1.d6a852505f314p-2, 0x1.db9a8f65a297bp-2, 0x1.dfeee84332733p-2, 0x1.e3ac63ca22c64p-2, 0x1.e6d9da80864f5p-2, 0x1.e97df5accea65p-2, 0x1.eb9f2f9339037p-2, 0x1.ed43d446d93c7p-2, 0x1.ee7202a9b6162p-2, 0x1.ef2fad63455c3p-2, 0x1.ef829bb0f27cfp-2, 0x1.ef7069fdb442ap-2, 0x1.eefe8a2b0bafap-2, 0x1.ee3243727caa2p-2, 0x1.ed10b1cb656f4p-2, 0x1.eba1a95578b05p-2, 0x1.e9e53e5030398p-2, 0x1.e7e18f2d08167p-2, 0x1.e59ae08023a64p-2, 0x1.e3154c57a3302p-2, 0x1.e054c3f62621bp-2, 0x1.dd5d113232e6ap-2, 0x1.da31d779ae2a7p-2, 0x1.d6d69487cd3c8p-2, 0x1.d34ea0e5a2722p-2, 0x1.cf9d3050962dcp-2, 0x1.cbc5521f9a71ap-2, 0x1.c7c9f1b9ad09dp-2, 0x1.c3add728b19c1p-2, 0x1.bf73a7ccfc51fp-2, 0x1.bb1de73144fc9p-2, 0x1.b6aef7fc95405p-2, 0x1.b2291cffa2ea1p-2, 0x1.ad8e7a5beaefdp-2, 0x1.a8e116c3bd87dp-2, 0x1.a422dcd258639p-2, 0x1.9f559c79e397dp-2, 0x1.9a7b0c829a5cbp-2, 0x1.9594cc13753ebp-2, 0x1.90a4643a08ae5p-2, 0x1.8bab4965ab3f7p-2, 0x1.86aadcca1693fp-2, 0x1.81a46d9f8c83bp-2, 0x1.7c993a39c4ea7p-2, 0x1.778a70f2fc2abp-2, 0x1.727930ecbd9e2p-2, 0x1.6d668aab7ee3ep-2, 0x1.68538094c022ap-2, 0x1.634107588aadbp-2, 0x1.5e30064f20727p-2, 0x1.592157d29c94p-2, 0x1.5415c99a817cep-2, 0x1.4f0e1d1d30cp-2, 0x1.4a0b07f93aaep-2, 0x1.450d3466c4147p-2, 0x1.401541afed82bp-2, 0x1.3b23c4ae51424p-2, 0x1.3639484b50d4cp-2, 0x1.31564e00eb38ap-2, 0x1.2c7b4e5911eap-2, 0x1.27a8b969f44f7p-2, 0x1.22def74e2b9fap-2, 0x1.1e1e689833076p-2, 0x1.196766c0f7bbap-2, 0x1.14ba4491936e2p-2, 0x1.10174e8869019p-2, 0x1.0b7ecb39d1399p-2, 0x1.06f0fbac8c9ep-2, 0x1.026e1bb1f469bp-2, 0x1.fbecc47397753p-3, 0x1.f3140342e9876p-3, 0x1.ea524ffc40e36p-3, 0x1.e1a7fec344ap-3, 0x1.d9155c32f6548p-3, 0x1.d09aadcfb70d9p-3, 0x1.c838326cebe6fp-3, 0x1.bfee2286681ebp-3, 0x1.b7bcb08e1ded4p-3, 0x1.afa4092f0808bp-3, 0x1.a7a453869bd4bp-3, 0x1.9fbdb1565d44ap-3, 0x1.97f03f2f55ea2p-3, 0x1.903c14994bf06p-3, 0x1.88a144376805ap-3, 0x1.811fdbebf7738p-3, 0x1.79b7e4fc80e5cp-3, 0x1.7269643748deap-3, 0x1.6b345a1ad2951p-3, 0x1.6418c2ffcc11ap-3, 0x1.5d1697455696p-3, 0x1.562dcb7f7a0d8p-3, 0x1.4f5e50a74be4fp-3, 0x1.48a8144c40f45p-3, 0x1.420b00c5fd30ep-3, 0x1.3b86fd65fd8cap-3, 0x1.351beea876a56p-3, 0x1.2ec9b663dc67p-3, 0x1.289033f693f86p-3, 0x1.226f4472771aap-3, 0x1.1c67eb56fb224p-3, 0x1.1677887658aefp-3, 0x1.109f41056640ep-3, 0x1.0adeeb993048cp-3, 0x1.05365d1339b37p-3, 0x1.ff4ad170aaa0ap-4, 0x1.f457c08dd3602p-4, 0x1.e99328197ac43p-4, 0x1.defca5f8a6f98p-4, 0x1.d493d583cb41cp-4, 0x1.ca584faffa78p-4, 0x1.c049ab374d82cp-4, 0x1.b6677cc07325fp-4, 0x1.acb1570542821p-4, 0x1.a326caf85747bp-4, 0x1.99c767e9849cep-4, 0x1.9092bba912ea4p-4, 0x1.878852a9a4d97p-4, 0x1.7ea7b820d13dap-4, 0x1.75f07626488f2p-4, 0x1.6d6215d18f79cp-4, 0x1.64fc1f564eaa9p-4, 0x1.5cbe1a1f36fcdp-4, 0x1.54a78ce786554p-4, 0x1.4cb7fdd33a05p-4, 0x1.44eef285fad5fp-4, 0x1.3d4bf038d675dp-4, 0x1.35ce7bced7a9fp-4, 0x1.2e7619e88e024p-4, 0x1.27424ef699cdep-4, 0x1.20329f4b505f2p-4, 0x1.19468f2b862adp-4, 0x1.127da2de9358cp-4, 0x1.0bd75ebda1e4fp-4, 0x1.0553474254fb8p-4, 0x1.fde1c229a9466p-5, 0x1.f15f6232a0babp-5, 0x1.e51e78f9f49fp-5, 0x1.d91e11851f1a7p-5, 0x1.cd5d379cdb017p-5, 0x1.c1daf7e47d4f6p-5, 0x1.b6965ff08edep-5, 0x1.ab8e7e5ca2237p-5, 0x1.a0c262e0784fdp-5, 0x1.96311e6474621p-5, 0x1.8bd9c31562308p-5, 0x1.81bb647792713p-5, 0x1.77d517794b6a5p-5, 0x1.6e25f28491cd8p-5, 0x1.64ad0d90430ffp-5, 0x1.5b69823088a1bp-5, 0x1.525a6ba699778p-5, 0x1.497ee6efcdc4p-5, 0x1.40d612d4042e5p-5, 0x1.385f0ff359382p-5, 0x1.301900d3242a3p-5, 0x1.280309ea4e48bp-5, 0x1.201c51acf1aa1p-5, 0x1.18640097476d6p-5, 0x1.10d94137ef2afp-5, 0x1.097b4039834ddp-5, 0x1.02492c6b848b6p-5, 0x1.f6846d95459a6p-6, 0x1.e8cb2510bb249p-6, 0x1.db64ea2413028p-6, 0x1.ce502c2e72cfbp-6, 0x1.c18b5f1f22b04p-6, 0x1.b514fb800cb2cp-6, 0x1.a8eb7e7f2dfbp-6, 0x1.9d0d69f6ef27p-6, 0x1.9179447580c87p-6, 0x1.862d9943386e6p-6, 0x1.7b28f86806deep-6, 0x1.7069f6b00565ep-6, 0x1.65ef2daf27968p-6, 0x1.5bb73bc421aeep-6, 0x1.51c0c41a866f3p-6, 0x1.480a6eac21507p-6, 0x1.3e92e841a0cf3p-6, 0x1.3558e27295039p-6, 0x1.2c5b13a4ba13cp-6, 0x1.2398370ab5ea5p-6, 0x1.1b0f0ca22f25fp-6, 0x1.12be593150f76p-6, 0x1.0aa4e643cb687p-6, 0x1.02c182273e744p-6, 0x1.f625ffce636fdp-7, 0x1.e7306e90f38b4p-7, 0x1.d8a0098871ad9p-7, 0x1.ca729304ba9eep-7, 0x1.bca5d6a76226cp-7, 0x1.af37a957043b8p-7, 0x1.a225e931b7d4cp-7, 0x1.956e7d7ec7f7p-7, 0x1.890f569f96d49p-7, 0x1.7d066dffddac4p-7, 0x1.7151c60538837p-7, 0x1.65ef69fdf2793p-7, 0x1.5add6e0f563fap-7, 0x1.5019ef234096ep-7, 0x1.45a312d53bff6p-7, 0x1.3b77075ef77a9p-7, 0x1.31940384568e8p-7, 0x1.27f8467eef9fbp-7, 0x1.1ea217e915e75p-7, 0x1.158fc7a88541bp-7, 0x1.0cbfadd88f0b2p-7, 0x1.04302ab3ff366p-7, 0x1.f7bf4cfd0c31cp-8, 0x1.e79922dbf5586p-8, 0x1.d7eac72635876p-8, 0x1.c8b1398466643p-8, 0x1.b9e988f6d1de3p-8, 0x1.ab90d3a5a1f67p-8, 0x1.9da446b09c475p-8, 0x1.90211dfe79577p-8, 0x1.8304a40bfbc02p-8, 0x1.764c31baabd86p-8, 0x1.69f52e1f46d0ap-8, 0x1.5dfd0e5023ac8p-8, 0x1.52615533224cp-8, 0x1.471f934bcb271p-8, 0x1.3c3566891196p-8, 0x1.31a07a1331af1p-8, 0x1.275e861980ea2p-8, 0x1.1d6d4fa0187bbp-8, 0x1.13caa84dc4169p-8, 0x1.0a746e39cee64p-8, 0x1.01688bba10b69p-8, 0x1.f149ee62221f4p-9, 0x1.e04f65b867c86p-9, 0x1.cfdd99447f838p-9, 0x1.bff0bbc3e4283p-9, 0x1.b0851682040dcp-9, 0x1.a19708f63dcdbp-9, 0x1.93230862d307dp-9, 0x1.85259f744c4dbp-9, 0x1.779b6de16f6bep-9, 0x1.6a81280bf63bp-9, 0x1.5dd396a1e0402p-9, 0x1.518f963fa45acp-9, 0x1.45b21712ca99p-9, 0x1.3a381c7dad974p-9, 0x1.2f1ebcbc00587p-9, 0x1.24632087c8168p-9, 0x1.1a0282bf8f11ep-9, 0x1.0ffa300d5cfa8p-9, 0x1.0647868e7df23p-9, 0x1.f9cfeaf893681p-10, 0x1.e7b1f9ab5685fp-10, 0x1.d6305a13a82bp-10, 0x1.c5464d475f924p-10, 0x1.b4ef33ec960e5p-10, 0x1.a5268d94f3366p-10, 0x1.95e7f81a05099p-10, 0x1.872f2efca331dp-10, 0x1.78f80ac52b934p-10, 0x1.6b3e8066b496ap-10, 0x1.5dfea0a3b41fdp-10, 0x1.51349774ffbfbp-10, 0x1.44dcab72c66d4p-10, 0x1.38f33d3f667fdp-10, 0x1.2d74c6f4dd125p-10, 0x1.225ddb937ac81p-10, 0x1.17ab267378e8fp-10, 0x1.0d596ab81d0f1p-10, 0x1.036582c576cc3p-10, 0x1.f398bf6f77bcap-11, 0x1.e0e311e8af0abp-11, 0x1.cf07935e3f098p-11, 0x1.bdd07f5e3eb47p-11, 0x1.ad386317f7eacp-11, 0x1.9d39f3ee76c52p-11, 0x1.8dd00e8413908p-11, 0x1.7ef5b5c9be874p-11, 0x1.70a61212b74b8p-11, 0x1.62dc702cc3468p-11, 0x1.5594407c75f08p-11, 0x1.48c9161dce551p-11, 0x1.3c76a608b448ep-11, 0x1.3098c63a4e96dp-11, 0x1.252b6ce145e68p-11, 0x1.1a2aaf8ef5519p-11, 0x1.0f92c26c8b8dep-11, 0x1.055ff773aa485p-11, 0x1.f71d7b5675f75p-12, 0x1.e43740d08e1b2p-12, 0x1.d2068d248865ep-12, 0x1.c084e3d5b5092p-12, 0x1.afabfcb54bfd2p-12, 0x1.9f75c28146d87p-12, 0x1.8fdc5188c054ep-12, 0x1.80d9f65d41869p-12, 0x1.72692c8460978p-12, 0x1.64849d34c1564p-12, 0x1.57271e1859b32p-12, 0x1.4a4bb015dfa71p-12, 0x1.3ded7e203c3c7p-12, 0x1.3207dc0e5e4e6p-12, 0x1.26964577245e9p-12, 0x1.1b945c95478e2p-12, 0x1.10fde93075598p-12, 0x1.06ced78f8957ep-12, 0x1.fa066ed7c39efp-13, 0x1.e72e75df6f126p-13, 0x1.d50e6b6d77ec3p-13, 0x1.c39f37adfd72bp-13, 0x1.b2da01dc7fb39p-13, 0x1.a2b82e6a5bba4p-13, 0x1.93335d321d999p-13, 0x1.844567b23d2d5p-13, 0x1.75e85f55c19a2p-13, 0x1.68168bc66a269p-13, 0x1.5aca694a3d698p-13, 0x1.4dfea7276127fp-13, 0x1.41ae26188917bp-13, 0x1.35d3f6c582935p-13, 0x1.2a6b58488b529p-13, 0x1.1f6fb6bb9e76dp-13, 0x1.14dca9d11d1dfp-13, 0x1.0aadf372c6d95p-13, 0x1.00df7e6c633cap-13, 0x1.eedaba3af2bb1p-14, 0x1.dca790699ea97p-14, 0x1.cb1e3ae9ce29fp-14, 0x1.ba37bcfd6b11cp-14, 0x1.a9ed5f49b00ep-14, 0x1.9a38ad93fc976p-14, 0x1.8b13748a107e3p-14, 0x1.7c77bf9478aabp-14, 0x1.6e5fd6c35022p-14, 0x1.60c63cbb6cc4dp-14, 0x1.53a5acc59b062p-14, 0x1.46f918d510b76p-14, 0x1.3abba7aedd28ap-14, 0x1.2ee8b313efdaep-14, 0x1.237bc5fc17baap-14, 0x1.18709addb7088p-14, 0x1.0dc31a00ad7dbp-14, 0x1.036f57dfab6dap-14, 0x1.f2e3272bd21e6p-15, 0x1.df8c6aa69f11p-15, 0x1.ccd399c8092b2p-15, 0x1.bab220787aeb8p-15, 0x1.a921b4292921ep-15, 0x1.981c51110e821p-15, 0x1.879c379a2a919p-15, 0x1.779be9c700d69p-15, 0x1.681628be34fc4p-15, 0x1.5905f25cdc756p-15, 0x1.4a667ee554464p-15, 0x1.3c333ebb6a5ffp-15, 0x1.2e67d833ae808p-15, 0x1.210025703f5aap-15, 0x1.13f8325c7bb3p-15, 0x1.074c3a9f8217ap-15, 0x1.f5f14f7407629p-16, 0x1.ddf41e43e90d8p-16, 0x1.c69a60ea6c585p-16, 0x1.afdde771e652dp-16, 0x1.99b8cf5024ef1p-16, 0x1.8425801e52ddep-16, 0x1.6f1ea86c8e9bp-16, 0x1.5a9f3abb96de4p-16, 0x1.46a26a794cab1p-16, 0x1.3323a92bf3427p-16, 0x1.201ea3af90974p-16, 0x1.0d8f3f90bcd29p-16, 0x1.f6e330cb0b611p-17, 0x1.d383fae55f9fbp-17, 0x1.b0f9de5b76399p-17, 0x1.8f3e3a02ab194p-17, 0x1.6e4ac6105c65dp-17, 0x1.4e198fdf26187p-17, 0x1.2ea4f5e74dadap-17, 0x1.0fe7a375a339bp-17, 0x1.e3b91ac0fd003p-18, 0x1.a8fddbf6b003cp-18, 0x1.6f948356a4d6p-18, 0x1.3774874bd1c9ep-18, 0x1.0095d50824c6fp-18, 0x1.95e19509b4b2bp-19, 0x1.2cfc60eadf5acp-19, 0x1.8cdcd25a589eep-20, 0x1.88ab21cde21a3p-21, 0x1.2a6e253b5982p-30, -0x1.7eb6353f87186p-21, -0x1.7ab15d3d75f1dp-20, -0x1.18e664456e4e9p-19, -0x1.72606daac075p-19, -0x1.c9d0040db9cbp-19, -0x1.0f9ef138f9158p-18, -0x1.395926e5ec4fp-18, -0x1.621a8dc5c2353p-18, -0x1.89e6dcb543697p-18, -0x1.b0c199f45f967p-18, -0x1.d6ae1e6b6a71dp-18, -0x1.fbaf9873caaebp-18, -0x1.0fe48799fe844p-17, -0x1.217eb28c9bff3p-17, -0x1.32a7ad4a8ccdfp-17, -0x1.4360c8508aaecp-17, -0x1.53ab458d5e727p-17, -0x1.6388598f8f9a5p-17, -0x1.72f92c8796c68p-17, -0x1.81fedb633d1e4p-17, -0x1.909a78b960e76p-17, -0x1.9ecd0db7d1137p-17, -0x1.ac979b0481166p-17, -0x1.b9fb198cbed1dp-17, -0x1.c6f87b41dd588p-17, -0x1.d390ac064b0b1p-17, -0x1.dfc4921bd56f5p-17, -0x1.eb950edee7579p-17, -0x1.f702ff7f2d398p-17, -0x1.01079ebcf3fc5p-16, -0x1.065d4f92d3dd5p-16, -0x1.0b82fc1cc73aep-16, -0x1.10790d20dd7b4p-16, -0x1.153fea8483039p-16, -0x1.19d7fb898695ap-16, -0x1.1e41a6ff3baf6p-16, -0x1.227d535d75fc1p-16, -0x1.268b66ffbea49p-16, -0x1.2a6c4848b6abbp-16, -0x1.2e205dbc226b8p-16, -0x1.31a80e2cc8cf1p-16, -0x1.3503c0d2919bcp-16, -0x1.3833dd610448dp-16, -0x1.3b38cc2a8efa1p-16, -0x1.3e12f62b1055ap-16, -0x1.40c2c52280d01p-16, -0x1.4348a3a406136p-16, -0x1.45a4fd1fcc4b2p-16, -0x1.47d83dfe926adp-16, -0x1.49e2d3a0bdd5p-16, -0x1.4bc52c5caf0dbp-16, -0x1.4d7fb7a55a443p-16, -0x1.4f12e5f870507p-16, -0x1.507f28ea6ceccp-16, -0x1.51c4f32a3b233p-16, -0x1.52e4b87c77215p-16, -0x1.53deedce08823p-16, -0x1.54b4091a3d016p-16, -0x1.5564817cbadf8p-16, -0x1.55f0cf261ee01p-16, -0x1.56596b5cdf449p-16, -0x1.569ed073dc6d9p-16, -0x1.56c179c82f86bp-16, -0x1.56c1e3ba10835p-16, -0x1.56a08ba7a9b32p-16, -0x1.565defe09b48ep-16, -0x1.55fa8f9f6af83p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.565fd04bee35dp+0, -0x1.4964399d604d8p+0, -0x1.3dc46813b438ep+0, -0x1.33687233ffc85p+0, -0x1.2a384b05c066fp+0, -0x1.221c0db4bc675p+0, -0x1.1afc5b5ad4015p+0, -0x1.14c2aba79d1f1p+0, -0x1.0f596dfe372a9p+0, -0x1.0aac0abb4e959p+0, -0x1.06a6ed45b4de5p+0, -0x1.0337a0dc7ac4ap+0, -0x1.004ceb41b86d8p+0, -0x1.fbada6544e0b5p-1, -0x1.f78d25578a9c1p-1, -0x1.f41d02af4dc64p-1, -0x1.f1440434ec268p-1, -0x1.eeeaf470c9e3dp-1, -0x1.ecfc9cd8d4095p-1, -0x1.eb65bf05e27adp-1, -0x1.ea1503571dc86p-1, -0x1.e8fabcd28f82bp-1, -0x1.e8098601070b6p-1, -0x1.e73481123d98ep-1, -0x1.e6708b226c8f4p-1, -0x1.e5b3c93ea7b08p-1, -0x1.e4f5914a15788p-1, -0x1.e42e532e74fcbp-1, -0x1.e357823cdff95p-1, -0x1.e26b7f03ef9fp-1, -0x1.e16581b30be75p-1, -0x1.e041852c1c67ap-1, -0x1.defc335c9d9cbp-1, -0x1.dd92d3d0b6235p-1, -0x1.dc033d1f4ea64p-1, -0x1.da4bc8e22ce53p-1, -0x1.d86b490d20603p-1, -0x1.d660fd4209baep-1, -0x1.d42c875204b84p-1, -0x1.d1cddf0c256bfp-1, -0x1.cf4546326d509p-1, -0x1.cc933d93d709fp-1, -0x1.c9b87be8521d8p-1, -0x1.c6b5e671db296p-1, -0x1.c38c8aeca87dp-1, -0x1.c03d9a30b3e74p-1, -0x1.bcca630ccc0a9p-1, -0x1.b9344d300de37p-1, -0x1.b57cd43cb9f2cp-1, -0x1.b1a58341b340ep-1, -0x1.adaff0d14c359p-1, -0x1.a99dbbca25a15p-1, -0x1.a57088bee76f3p-1, -0x1.a129ffcd5e7d6p-1, -0x1.9ccbcaadcb272p-1, -0x1.985792cec5281p-1, -0x1.93ceff6928c7dp-1, -0x1.8f33b38fbaef2p-1, -0x1.8a874c4f479efp-1, -0x1.85cb5ef9da01p-1, -0x1.810177b2e0787p-1, -0x1.7c2b1846ba5cp-1, -0x1.7749b74b7677ap-1, -0x1.725fedcaa4fe5p-1, -0x1.6d6cd0be81a5fp-1, -0x1.6872b98c2a553p-1, -0x1.6372eb38ddecp-1, -0x1.5e6e9d55bd373p-1, -0x1.5966fc1864809p-1, -0x1.545d286471d5bp-1, -0x1.4f5237c6c28d9p-1, -0x1.4a4734675f4dap-1, -0x1.453d1cf907973p-1, -0x1.4034e4ad22594p-1, -0x1.3b2f73312a3bfp-1, -0x1.362da4b846986p-1, -0x1.31304a118457fp-1, -0x1.2c3828c9a8d46p-1, -0x1.2745fb570509fp-1, -0x1.225a714e04892p-1, -0x1.1d762f9e0a33cp-1, -0x1.1899d0d70767fp-1, -0x1.13c5e578c4fc2p-1, -0x1.0efaf44cc7959p-1, -0x1.0a397acafbc58p-1, -0x1.0581ed8831365p-1, -0x1.00d4b8ac031f9p-1, -0x1.f86480d54791bp-2, -0x1.ef35c2fc7583cp-2, -0x1.e61de336d9ab4p-2, -0x1.dd1d7fba675bp-2, -0x1.d4352a4a6ec39p-2, -0x1.cb6568de82368p-2, -0x1.c2aeb62f9a4cfp-2, -0x1.ba11822dfbf09p-2, -0x1.b18e32643657p-2, -0x1.a925224c869ecp-2, -0x1.a0d6a39e0fb4ep-2, -0x1.98a2fe96ce2a2p-2, -0x1.908a724630f4dp-2, -0x1.888d34db10374p-2, -0x1.80ab73f6776f3p-2, -0x1.78e55503a12d5p-2, -0x1.713af594a68afp-2, -0x1.69ac6bc2c9c6ap-2, -0x1.6239c690e6316p-2, -0x1.5ae30e4e8265ap-2, -0x1.53a844fa0c4efp-2, -0x1.4c8966a10881bp-2, -0x1.458669bd3aa3ap-2, -0x1.3e9f3f8e2c146p-2, -0x1.37d3d46eb249p-2, -0x1.3124102654bd1p-2, -0x1.2a8fd636acdf2p-2, -0x1.24170624de4fap-2, -0x1.1db97bbf63b36p-2, -0x1.17770f6060ebcp-2, -0x1.114f962c9bb04p-2, -0x1.0b42e24f35cdfp-2, -0x1.0550c332274afp-2, -0x1.fef20b66eab2cp-3, -0x1.f376e8ae184e1p-3, -0x1.e82faeea72ae2p-3, -0x1.dd1beacb5fac6p-3, -0x1.d23b254e52891p-3, -0x1.c78ce4076dfbp-3, -0x1.bd10a963e71ddp-3, -0x1.b2c5f4e6b6dd5p-3, -0x1.a8ac436032eaap-3, -0x1.9ec30f215a4d7p-3, -0x1.9509d02b99b81p-3, -0x1.8b7ffc5dcd87ep-3, -0x1.8225079f323fep-3, -0x1.78f86408ed3ffp-3, -0x1.6ff9820ea1d5ap-3, -0x1.6727d0a66e213p-3, -0x1.5e82bd708d602p-3, -0x1.5609b4deb217fp-3, -0x1.4dbc225b20eb2p-3, -0x1.4599706f5f3dbp-3, -0x1.3da108ea68769p-3, -0x1.35d255062eeedp-3, -0x1.2e2cbd8c31253p-3, -0x1.26afaaf9062ep-3, -0x1.1f5a859ea12a1p-3, -0x1.182cb5c53db14p-3, -0x1.1125a3cabea78p-3, -0x1.0a455b728d4f1p-3, -0x1.0389eeb09cff3p-3, -0x1.f9e6f1277a16bp-4, -0x1.ed02c7073724p-4, -0x1.e06634f8d2555p-4, -0x1.d4101242694d5p-4, -0x1.c7ff379ad95a3p-4, -0x1.bc327f4b46b02p-4, -0x1.b0a8c54f393d2p-4, -0x1.a560e77339fbp-4, -0x1.9a59c57238dedp-4, -0x1.8f924111796f2p-4, -0x1.85093e3b30ebdp-4, -0x1.7abda317c49e9p-4, -0x1.70ae5825a0efcp-4, -0x1.66da484fa533bp-4, -0x1.5d406102294afp-4, -0x1.53df923e90f19p-4, -0x1.4ab6cead7697ep-4, -0x1.41c50baf6e4b7p-4, -0x1.3909416c689aep-4, -0x1.30826ae1bc245p-4, -0x1.282f85eee5d04p-4, -0x1.200f93610749ap-4, -0x1.182196fd34968p-4, -0x1.10649789a0a68p-4, -0x1.08d79ed5b22a7p-4, -0x1.0179b9c119af3p-4, -0x1.f493f083da118p-5, -0x1.e68edad3bcc8cp-5, -0x1.d8e25ed537593p-5, -0x1.cb8caf32c35d1p-5, -0x1.be8c04e39dedap-5, -0x1.b1de9f300fa12p-5, -0x1.a582c3b45c14fp-5, -0x1.9976be62833b5p-5, -0x1.8db8e182cf267p-5, -0x1.824785b35889p-5, -0x1.772109e67e683p-5, -0x1.6c43d3606c6ffp-5, -0x1.61ae4db3bb2c1p-5, -0x1.575eeabd31301p-5, -0x1.4d54229ebafd5p-5, -0x1.438c73b99b6bp-5, -0x1.3a0662a7e02bp-5, -0x1.30c07a352933dp-5, -0x1.27b94b56c747ap-5, -0x1.1eef6d2333018p-5, -0x1.16617cc8f0cfbp-5, -0x1.0e0e1d84e2913p-5, -0x1.05f3f8980511bp-5, -0x1.fc237a795e6dap-6, -0x1.eccc41369b2b2p-6, -0x1.dddfbb7d4512p-6, -0x1.cf5b6b0f2c17bp-6, -0x1.c13cdd4122385p-6, -0x1.b381aae0e35bdp-6, -0x1.a627781a36168p-6, -0x1.992bf45b4b99ep-6, -0x1.8c8cda386ce8fp-6, -0x1.8047ef4f04cb5p-6, -0x1.745b0427fd59p-6, -0x1.68c3f419a0442p-6, -0x1.5d80a528d5fe7p-6, -0x1.528f07e9fd6cfp-6, -0x1.47ed176139afap-6, -0x1.3d98d8e2673f6p-6, -0x1.33905bf0a999dp-6, -0x1.29d1ba1da2606p-6, -0x1.205b16e85ffc4p-6, -0x1.172a9f9c052f4p-6, -0x1.0e3e8b2e4017ap-6, -0x1.05951a1d8346ap-6, -0x1.fa592c9e4129dp-7, -0x1.ea06a5da910b4p-7, -0x1.da2f5889c0498p-7, -0x1.cad00f46b63cap-7, -0x1.bbe5a6690713fp-7, -0x1.ad6d0bc076c28p-7, -0x1.9f633e5096a91p-7, -0x1.91c54e0c68e12p-7, -0x1.84905b923bd37p-7, -0x1.77c197e78e40ap-7, -0x1.6b56443544e9cp-7, -0x1.5f4bb184117c2p-7, -0x1.539f4079338e1p-7, -0x1.484e61136adf4p-7, -0x1.3d56926869aap-7, -0x1.32b5626286927p-7, -0x1.28686d7eea6e8p-7, -0x1.1e6d5e8c2da94p-7, -0x1.14c1ee6957758p-7, -0x1.0b63e3c56df6dp-7, -0x1.025112df8003p-7, -0x1.f30eba8e5c83bp-8, -0x1.e209633b92ae2p-8, -0x1.d18e16aff3f18p-8, -0x1.c198e50000119p-8, -0x1.b225f6f10b784p-8, -0x1.a3318d8031f12p-8, -0x1.94b8016a65f69p-8, -0x1.86b5c2b5ed122p-8, -0x1.7927583cfeff9p-8, -0x1.6c095f39e7901p-8, -0x1.5f588ad4475f4p-8, -0x1.5311a3afd0ce8p-8, -0x1.4731877c6a312p-8, -0x1.3bb52887943b3p-8, -0x1.30998d4f4f865p-8, -0x1.25dbd016678fep-8, -0x1.1b791e7a13b51p-8, -0x1.116eb9093d8d7p-8, -0x1.07b9f2dced694p-8, -0x1.fcb06264c78fap-9, -0x1.ea8dd60d18e8ep-9, -0x1.d9075165d631cp-9, -0x1.c8180718175dbp-9, -0x1.b7bb4b029d215p-9, -0x1.a7ec917c6981bp-9, -0x1.98a76e9a998d2p-9, -0x1.89e79578a5d25p-9, -0x1.7ba8d783df80dp-9, -0x1.6de723c9f3983p-9, -0x1.609e8649f0fa5p-9, -0x1.53cb2748c4031p-9, -0x1.47694aa8226fdp-9, -0x1.3b754f408145ep-9, -0x1.2febae3e1e4a9p-9, -0x1.24c8fa807f6b8p-9, -0x1.1a09dffd2f614p-9, -0x1.0fab2324fc14bp-9, -0x1.05a9a04c4ad67p-9, -0x1.f804962bf8d89p-10, -0x1.e5645bc25c28dp-10, -0x1.d36cd2735f0ddp-10, -0x1.c21866966bac6p-10, -0x1.b161aeaea2c0ap-10, -0x1.a1436a5bcc27ap-10, -0x1.91b881509bffdp-10, -0x1.82bc024e72a8dp-10, -0x1.74492226204ap-10, -0x1.665b3abd943a3p-10, -0x1.58edca1ad5bd1p-10, -0x1.4bfc7173f745p-10, -0x1.3f82f443bc2abp-10, -0x1.337d376348ad4p-10, -0x1.27e74028b832bp-10, -0x1.1cbd338a13cdbp-10, -0x1.11fb5545542b8p-10, -0x1.079e070cca88cp-10, -0x1.fb438f701c583p-11, -0x1.e80664f354271p-11, -0x1.d57dfc31a8a44p-11, -0x1.c3a3f85f7e3dp-11, -0x1.b27230dbe10f2p-11, -0x1.a1e2afbf1637dp-11, -0x1.91efb06f4acffp-11, -0x1.82939e3f1a387p-11, -0x1.73c91313e5937p-11, -0x1.658ad6138b995p-11, -0x1.57d3da5a46456p-11, -0x1.4a9f3db824fe3p-11, -0x1.3de84776c9db1p-11, -0x1.31aa67251fa94p-11, -0x1.25e1336be32c1p-11, -0x1.1a8868e89e7bp-11, -0x1.0f9be90f73453p-11, -0x1.0517b914c1bcfp-11, -0x1.f5cac02748c9dp-12, -0x1.e24ab5d4ad91dp-12, -0x1.cf852db084554p-12, -0x1.bd733acba786dp-12, -0x1.ac0e2d8014bbap-12, -0x1.9b4f91921d4c5p-12, -0x1.8b312c61a8ff5p-12, -0x1.7bacfb238bdaap-12, -0x1.6cbd312988dc8p-12, -0x1.5e5c3634b47a1p-12, -0x1.5084a4d2f3238p-12, -0x1.433148c8150f8p-12, -0x1.365d1d819e5c1p-12, -0x1.2a034c9498efdp-12, -0x1.1e1f2c4673856p-12, -0x1.12ac3e20b7614p-12, -0x1.07a62d8bddfccp-12, -0x1.fa119cedd41cp-13, -0x1.e5a0380f5d45ep-13, -0x1.d1f06ea63ef62p-13, -0x1.befacc3e84662p-13, -0x1.acb8235ecf966p-13, -0x1.9b218b2ecfec1p-13, -0x1.8a305d2f3816fp-13, -0x1.79de3302d3c46p-13, -0x1.6a24e4493d078p-13, -0x1.5afe8484bad6fp-13, -0x1.4c656114a489cp-13, -0x1.3e53ff3be7036p-13, -0x1.30c51a37b1fa5p-13, -0x1.23b3a162b21dcp-13, -0x1.171ab668679fbp-13, -0x1.0af5ab82a6eep-13, -0x1.fe800394994adp-14, -0x1.e7eacf1f57p-14, -0x1.d2236d810877fp-14, -0x1.bd21e6b6f2229p-14, -0x1.a8de93e261e8cp-14, -0x1.95521c58b38c4p-14, -0x1.827572d3a4281p-14, -0x1.7041d2b2bd645p-14, -0x1.5eb0bd567ff3bp-14, -0x1.4dbbf78af7378p-14, -0x1.3d5d870acbb4bp-14, -0x1.2d8fb01806d46p-14, -0x1.1e4cf3228d1c2p-14, -0x1.0f900a8d2249ap-14, -0x1.0153e87240654p-14, -0x1.e727691930b12p-15, -0x1.cc959451f27d4p-15, -0x1.b2e96c55bea3ep-15, -0x1.9a1a6a44d4593p-15, -0x1.822062df96b3p-15, -0x1.6af382f30453bp-15, -0x1.548c4be3d7f51p-15, -0x1.3ee3904f91e92p-15, -0x1.29f270d55d531p-15, -0x1.15b258f568af7p-15, -0x1.021cfc069fa9fp-15, -0x1.de58a49d912aep-16, -0x1.b9b52c80058f4p-16, -0x1.96448350eb9f5p-16, -0x1.73fc164e6c639p-16, -0x1.52d1c734d011dp-16, -0x1.32bbe7753e3a5p-16, -0x1.13b13360dbd08p-16, -0x1.eb519b8114c81p-17, -0x1.b13476ca891e1p-17, -0x1.78fabded5faf1p-17, -0x1.4294e9c723722p-17, -0x1.0df41efe47a1p-17, -0x1.b6144cc9b1a01p-18, -0x1.5392cbca99a98p-18, -0x1.e8936555af26cp-19, -0x1.30402facd8de9p-19, -0x1.f7f11b3af7547p-21, 0x1.732fd406d218fp-22, 0x1.aa248cb220c51p-20, 0x1.76327351a6124p-19, 0x1.08f749094e4e6p-18, 0x1.54368153f4dc2p-18, 0x1.9ce94465e4d93p-18, 0x1.e3212fbb28bc2p-18, 0x1.137792e6ab824p-17, 0x1.3431ab8a85516p-17, 0x1.53c6a555caac6p-17, 0x1.723df3410bcb1p-17, 0x1.8f9ebba47b0adp-17, 0x1.abefdc2a07adcp-17, 0x1.c737ed445fa73p-17, 0x1.e17d45c15195ap-17, 0x1.fac5fe1cdf8b5p-17, 0x1.098bf9d9b808cp-16, 0x1.153c65eca7561p-16, 0x1.2076fb4f31215p-16, 0x1.2b3e58e6e340ap-16, 0x1.359505c1ac681p-16, 0x1.3f7d72562c437p-16, 0x1.48f9f9bf39246p-16, 0x1.520ce2e372f81p-16, 0x1.5ab8618dca099p-16, 0x1.62fe977e2650fp-16, 0x1.6ae19567eef8dp-16, 0x1.72635be299ab3p-16, 0x1.7985dc533caedp-16, 0x1.804af9cb7325dp-16, 0x1.86b489cb698f6p-16, 0x1.8cc45527e33efp-16, 0x1.927c18a0c0998p-16, 0x1.97dd85ace6539p-16, 0x1.9cea4317fb3cep-16, 0x1.a1a3ed9710bfdp-16, 0x1.a60c187b34381p-16, 0x1.aa244e29124e8p-16, 0x1.adee10a7594ebp-16, 0x1.b16ada1b8835cp-16, 0x1.b49c1d3da7bc5p-16, 0x1.b78345cea3ac4p-16, 0x1.ba21b8faf763cp-16, 0x1.bc78d5ca0f056p-16, 0x1.be89f56940bb4p-16, 0x1.c0566b8f4a313p-16, 0x1.c1df86ca2afd4p-16, 0x1.c32690cc4fefap-16, 0x1.c42cceaeb21efp-16, 0x1.c4f38133637bfp-16, 0x1.c57be51097367p-16, 0x1.c5c7331a24ca9p-16, 0x1.c5d6a080839cbp-16, 0x1.c5ab5ef170ef1p-16, 0x1.c5469cdd917d6p-16, 0x1.c4a9859130121p-16, 0x1.c3d541604bfabp-16, 0x1.c2caf5c8713c7p-16, 0x1.c18bc59280ee5p-16, 0x1.c018d0ed3a17bp-16, 0x1.be73358cc6ap-16, 0x1.bc9c0ebdbe13cp-16, 0x1.ba94757d3185ap-16, 0x1.b85d808c8cfc6p-16, 0x1.b5f84481593b9p-16, 0x1.b365d3d681efdp-16, 0x1.b0a73ef4c487cp-16, 0x1.adbd9450e6dd4p-16, 0x1.aaa9e05788addp-16, 0x1.a76d2d80c4e6ep-16, 0x1.a408846ad303ep-16, 0x1.a07cebc8e7127p-16, 0x1.9ccb68727bddap-16, 0x1.98f4fd5f96013p-16, 0x1.94faabaf48c3fp-16, 0x1.90dd72a54278ep-16, 0x1.8c9e4fb50ca35p-16, 0x1.883e3e704b4aep-16, 0x1.83be38903952dp-16, 0x1.7f1f35f145d1ap-16, 0x1.7a622c90a353bp-16, 0x1.7588108621664p-16, 0x1.7091d402f6059p-16, 0x1.6b8067531a5f5p-16, 0x1.6654b8c64de13p-16, 0x1.610fb4ba786cep-16, 0x1.5bb24596d23c1p-16, 0x1.563d53bd70701p-16, 0x1.50b1c5898c145p-16, 0x1.4b107f45927bep-16, 0x1.455a632fd392fp-16, 0x1.3f905168ca90ep-16, 0x1.39b327e108fd2p-16, 0x1.33c3c274436b9p-16, 0x1.2dc2fac5ae461p-16, 0x1.27b1a843ab979p-16, 0x1.2190a01ee1b3fp-16, 0x1.1b60b54b3c775p-16, 0x1.1522b861870d2p-16, 0x1.0ed777b8a2dbep-16, 0x1.087fbf4ac2d7bp-16, 0x1.021c58b2d26abp-16, 0x1.f75c1655e222ap-17, 0x1.ea6b36fe0a68dp-17, 0x1.dd6798172ae44p-17, 0x1.d052b96e1b708p-17, 0x1.c32e15d445a8bp-17, 0x1.b5fb232749fccp-17, 0x1.a8bb52146e573p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.8c8382c2c38b7p-1, 0x1.837c0c8b326a9p-1, 0x1.7a3628fd959f7p-1, 0x1.70b6fc45221d6p-1, 0x1.670398daf5548p-1, 0x1.5d20fc4f0e9e7p-1, 0x1.53140c74866c9p-1, 0x1.48e194e9409e8p-1, 0x1.3e8e44f1c4b28p-1, 0x1.341eada256701p-1, 0x1.2997404edc75ap-1, 0x1.1efc4d3b90e8dp-1, 0x1.14520288ec6a3p-1, 0x1.099c6b559ca15p-1, 0x1.fdbede238215fp-2, 0x1.e83da1fdff1d7p-2, 0x1.d2bc5fb2b5934p-2, 0x1.bd420b4a0b1f1p-2, 0x1.a7d54f3b646e9p-2, 0x1.927c8c884be1bp-2, 0x1.7d3ddb0e294a2p-2, 0x1.681f0a090535ep-2, 0x1.5325a0c23ede5p-2, 0x1.3e56df667d786p-2, 0x1.29b7bffe803b9p-2, 0x1.154cf786c5585p-2, 0x1.011af72251e27p-2, 0x1.da4bdaca4b9aap-3, 0x1.b2e38f666658dp-3, 0x1.8c046761dbdd5p-3, 0x1.65b54185840d9p-3, 0x1.3ffc8331f0013p-3, 0x1.1ae01b8b86f1ep-3, 0x1.eccb0d6dab4b1p-4, 0x1.a523a2427aa2bp-4, 0x1.5ed335a51d51p-4, 0x1.19e23588e4fa6p-4, 0x1.acb088f2edfeap-5, 0x1.287880a0478a6p-5, 0x1.4e51239524282p-6, 0x1.465c6b98e8f2cp-8, -0x1.4a5473660064p-7, -0x1.95e2a3ce42d53p-6, -0x1.40423de230d6ap-5, -0x1.b28247894feeap-5, -0x1.10d681c69642dp-4, -0x1.46df94113dd4bp-4, -0x1.7b5b4064c335cp-4, -0x1.ae48f12723bfep-4, -0x1.dfa88f81cae89p-4, -0x1.07bd3eced79cfp-3, -0x1.1edfc87f74c91p-3, -0x1.353c86802efacp-3, -0x1.4ad44eb808609p-3, -0x1.5fa828a63f938p-3, -0x1.73b94ad1a893ap-3, -0x1.87091848c2589p-3, -0x1.99991e3294647p-3, -0x1.ab6b11704c6ffp-3, -0x1.bc80cc4f998a9p-3, -0x1.ccdc4c4da6c84p-3, -0x1.dc7fafea9a36ap-3, -0x1.eb6d348d7b13ep-3, -0x1.f9a7347850a82p-3, -0x1.0398126625919p-2, -0x1.0a0549cee3ef9p-2, -0x1.101c930bff02cp-2, -0x1.15df4b58085d6p-2, -0x1.1b4ed9b3aac7bp-2, -0x1.206cae0e48d22p-2, -0x1.253a4075f1cf2p-2, -0x1.29b9104e96565p-2, -0x1.2deaa39053da6p-2, -0x1.31d0860cb6c64p-2, -0x1.356c48badaf12p-2, -0x1.38bf810a3c3b3p-2, -0x1.3bcbc83c1f231p-2, -0x1.3e92bac36cd1fp-2, -0x1.4115f7aae0522p-2, -0x1.4357200165b43p-2, -0x1.4557d64c85c1ep-2, -0x1.4719be00c6ef5p-2, -0x1.489e7affd328dp-2, -0x1.49e7b11c52388p-2, -0x1.4af703a34cc85p-2, -0x1.4bce14eafd9cbp-2, -0x1.4c6e85e6ed689p-2, -0x1.4cd9f5c13fb86p-2, -0x1.4d120179079c7p-2, -0x1.4d1843858f673p-2, -0x1.4cee537e6efe3p-2, -0x1.4c95c5c84f511p-2, -0x1.4c102b4646bb3p-2, -0x1.4b5f110fa3a73p-2, -0x1.4a84002a10c82p-2, -0x1.49807d47f33ep-2, -0x1.4856088ae0c83p-2, -0x1.47061d4a17982p-2, -0x1.459231dcd818fp-2, -0x1.43fbb76880915p-2, -0x1.424419b256d5cp-2, -0x1.406cbef4daa7bp-2, -0x1.3e7707b88c878p-2, -0x1.3c644eb0086d5p-2, -0x1.3a35e8975dfa6p-2, -0x1.37ed24168678dp-2, -0x1.358b49a6e23b7p-2, -0x1.33119b7b9f75dp-2, -0x1.3081556cf650ap-2, -0x1.2ddbace6193f9p-2, -0x1.2b21d0d5c78eep-2, -0x1.2854e9a1627f9p-2, -0x1.2576191a743a6p-2, -0x1.22867a76879efp-2, -0x1.1f872249426ap-2, -0x1.1c791e80a198ep-2, -0x1.195d766347536p-2, -0x1.16352a90bf875p-2, -0x1.13013503aa107p-2, -0x1.0fc28915ac82ap-2, -0x1.0c7a13851f479p-2, -0x1.0928ba7c5bab2p-2, -0x1.05cf5d9a94695p-2, -0x1.026ed5fe2b8bap-2, -0x1.fe0feca0d6658p-3, -0x1.f73715a5220c3p-3, -0x1.f054b2d831ep-3, -0x1.e96a43746bfe9p-3, -0x1.e2793a40c6e1p-3, -0x1.db82fdb4031cep-3, -0x1.d488e819d53efp-3, -0x1.cd8c47b9dace1p-3, -0x1.c68e5f004477dp-3, -0x1.bf9064a80b2fdp-3, -0x1.b89383e698804p-3, -0x1.b198dc98c1814p-3, -0x1.aaa18370fe788p-3, -0x1.a3ae8226afa2cp-3, -0x1.9cc0d7a6754d9p-3, -0x1.95d978435e921p-3, -0x1.8ef94de8ec0b3p-3, -0x1.8821384dc8a0ep-3, -0x1.81520d271e03ap-3, -0x1.7a8c985c72607p-3, -0x1.73d19c3bf407dp-3, -0x1.6d21d1af25d78p-3, -0x1.667de86fd4a4cp-3, -0x1.5fe6873d43314p-3, -0x1.595c4c117244ap-3, -0x1.52dfcc568b14ap-3, -0x1.4c71951c38f6ap-3, -0x1.46122b4d014fp-3, -0x1.3fc20be37af45p-3, -0x1.3981ac1f58b72p-3, -0x1.335179ba38fap-3, -0x1.2d31db1c2fcccp-3, -0x1.27232f900480cp-3, -0x1.2125cf7704cecp-3, -0x1.1b3a0c7c76596p-3, -0x1.156031c896b7dp-3, -0x1.0f98843315cccp-3, -0x1.09e342751254cp-3, -0x1.0440a55a7e489p-3, -0x1.fd61bfe5f24c1p-4, -0x1.f2683f83fd661p-4, -0x1.e79519dceed7dp-4, -0x1.dce894e33e5c7p-4, -0x1.d262ec8a72a8p-4, -0x1.c80453221124bp-4, -0x1.bdccf1af2f9aep-4, -0x1.b3bce84474be9p-4, -0x1.a9d44e5892313p-4, -0x1.a013331b3d3eap-4, -0x1.96799dc889215p-4, -0x1.8d078dfaaf782p-4, -0x1.83bcfbfa3285ep-4, -0x1.7a99d90c67a7ap-4, -0x1.719e0fc057011p-4, -0x1.68c98439f6b58p-4, -0x1.601c147bbc0b6p-4, -0x1.579598ae83b5dp-4, -0x1.4f35e367cd388p-4, -0x1.46fcc1ee4e52fp-4, -0x1.3ee9fc7cd8a44p-4, -0x1.36fd56839783fp-4, -0x1.2f368ee7a5879p-4, -0x1.27956040faf07p-4, -0x1.20198116b779p-4, -0x1.18c2a419cb8c4p-4, -0x1.1190785e01c9dp-4, -0x1.0a82a9916dc22p-4, -0x1.0398e03242bdp-4, -0x1.f9a583862e921p-5, -0x1.ec5fe1fb3124fp-5, -0x1.df601c0766448p-5, -0x1.d2a56d1e6cf2bp-5, -0x1.c62f0c3feba43p-5, -0x1.b9fc2c50dcf1fp-5, -0x1.ae0bfc71edcf3p-5, -0x1.a25da852fb571p-5, -0x1.96f05883b848cp-5, -0x1.8bc332c18a084p-5, -0x1.80d55a42a7b14p-5, -0x1.7625effe83ae3p-5, -0x1.6bb412f39495ep-5, -0x1.617ee06a812dbp-5, -0x1.57857436c1dd5p-5, -0x1.4dc6e8f4c4f1dp-5, -0x1.444258459c5f8p-5, -0x1.3af6db084c95ep-5, -0x1.31e38990bd19ap-5, -0x1.29077bdc64938p-5, -0x1.2061c9c4b5419p-5, -0x1.17f18b2f58ebep-5, -0x1.0fb5d83c4b7d5p-5, -0x1.07adc971e146p-5, -0x1.ffb0efcd8633fp-6, -0x1.f069fad3e2631p-6, -0x1.e184e951b2342p-6, -0x1.d2fff2a70d9f5p-6, -0x1.c4d9507e128dbp-6, -0x1.b70f3f0c1092fp-6, -0x1.a99ffd4f4b601p-6, -0x1.9c89cd495c61fp-6, -0x1.8fcaf43656053p-6, -0x1.8361bac0b6b38p-6, -0x1.774c6d3252f1bp-6, -0x1.6b895ba23fc53p-6, -0x1.6016da1fdba1cp-6, -0x1.54f340db12bb3p-6, -0x1.4a1cec49e7df2p-6, -0x1.3f923d4b666fcp-6, -0x1.355199480b914p-6, -0x1.2b596a4fc0948p-6, -0x1.21a81f3573481p-6, -0x1.183c2ba875019p-6, -0x1.0f14084b9a08dp-6, -0x1.062e32ca493edp-6, -0x1.fb125bd6e9ef6p-7, -0x1.ea47034559c1ep-7, -0x1.d9f7763e7f9bcp-7, -0x1.ca20d9b32f47p-7, -0x1.bac05d3da468p-7, -0x1.abd33b355ded7p-7, -0x1.9d56b8bfcedadp-7, -0x1.8f4825dde8a59p-7, -0x1.81a4dd76c8546p-7, -0x1.746a455f87c89p-7, -0x1.6795ce60630bdp-7, -0x1.5b24f437411ccp-7, -0x1.4f153d97d71e5p-7, -0x1.43643c2967e18p-7, -0x1.380f8c824e3c2p-7, -0x1.2d14d62166038p-7, -0x1.2271cb6571398p-7, -0x1.182429829279bp-7, -0x1.0e29b875f5d6ep-7, -0x1.04804af7c1ea8p-7, -0x1.f64b7cd6cdce2p-8, -0x1.e42ff59cc8e2ap-8, -0x1.d2a9e54b398cep-8, -0x1.c1b545d2905b1p-8, -0x1.b14e25df44a5dp-8, -0x1.a170a8acc0a6ap-8, -0x1.921905d610318p-8, -0x1.8343892471df9p-8, -0x1.74ec925bef8a3p-8, -0x1.6710950625c7ap-8, -0x1.59ac183b571dbp-8, -0x1.4cbbb669ef82cp-8, -0x1.403c1d1c9693ep-8, -0x1.342a0cbeedc44p-8, -0x1.288258611bbedp-8, -0x1.1d41e57a3b7d5p-8, -0x1.1265aba9cfbbbp-8, -0x1.07eab47851ddp-8, -0x1.fb9c362debbdbp-9, -0x1.e81a183d768fcp-9, -0x1.d5498a9dc68dcp-9, -0x1.c3252a95c1ac7p-9, -0x1.b1a7b6afadc09p-9, -0x1.a0cc0e337a52cp-9, -0x1.908d30a073045p-9, -0x1.80e63d26878edp-9, -0x1.71d2721f4c447p-9, -0x1.634d2c86cc671p-9, -0x1.5551e7745b5fap-9, -0x1.47dc3b9379187p-9, -0x1.3ae7de9ce902cp-9, -0x1.2e70a2d01abc8p-9, -0x1.2272766cfa4b8p-9, -0x1.16e9632e43837p-9, -0x1.0bd18dc46bba6p-9, -0x1.012735513f125p-9, -0x1.edcd65c882358p-10, -0x1.da18f1efc59b1p-10, -0x1.c72a25df4c393p-10, -0x1.b4fa492e7b66cp-10, -0x1.a382d345715d8p-10, -0x1.92bd6a5f8f9dcp-10, -0x1.82a3e29061ed7p-10, -0x1.73303ccaed354p-10, -0x1.645ca5eb8c83ap-10, -0x1.562375c462f6ep-10, -0x1.487f2e2c8f983p-10, -0x1.3b6a7a1219046p-10, -0x1.2ee02c8ebdec7p-10, -0x1.22db3fffadceep-10, -0x1.1756d52031ca2p-10, -0x1.0c4e32276990cp-10, -0x1.01bcc1e90e4f2p-10, -0x1.ef3c25f2b4f1cp-11, -0x1.dbdbada82a0f6p-11, -0x1.c94fc20d9ae88p-11, -0x1.b7904cbc9abbap-11, -0x1.a695782e8d7d5p-11, -0x1.9657ae2489bc6p-11, -0x1.86cf9615c2b66p-11, -0x1.77f613a4868b1p-11, -0x1.69c44519d308cp-11, -0x1.5c3381e780d83p-11, -0x1.4f3d59310a6f9p-11, -0x1.42db905aecff1p-11, -0x1.370821a09defdp-11, -0x1.2bbd3ab1181c4p-11, -0x1.20f53b51f4d27p-11, -0x1.16aab4090f808p-11, -0x1.0cd864ccabb56p-11, -0x1.03793bba131bdp-11, -0x1.f510a7a54ab28p-12, -0x1.e401e77e982afp-12, -0x1.d3bd193492f7dp-12, -0x1.c439717eac5b9p-12, -0x1.b56e7543fb836p-12, -0x1.a753f75460441p-12, -0x1.99e2162ded59dp-12, -0x1.8d1139ce7c723p-12, -0x1.80da11914dd34p-12, -0x1.75359218924c8p-12, -0x1.6a1cf342b8432p-12, -0x1.5f89ae2b64e1bp-12, -0x1.55757b37e614p-12, -0x1.4bda502f06ca2p-12, -0x1.42b25e5c163ap-12, -0x1.39f810bd01b0cp-12, -0x1.31a60a3b54601p-12, -0x1.29b723f00052bp-12, -0x1.22266b71ba0b6p-12, -0x1.1aef212dcd956p-12, -0x1.140cb6cb3a21cp-12, -0x1.0d7acd97ef44dp-12, -0x1.0735350001f08p-12, -0x1.0137e90eb2e4bp-12, -0x1.f6fe21f23148cp-13, -0x1.ec0dfb6489b94p-13, -0x1.e19851117de7p-13, -0x1.d796639a48068p-13, -0x1.ce01bf03940e8p-13, -0x1.c4d438266de16p-13, -0x1.bc07ea3285501p-13, -0x1.b3973441829a1p-13, -0x1.ab7cb6fb02fp-13, -0x1.a3b35248ffb8dp-13, -0x1.9c36231c44b8dp-13, -0x1.95008140a6bf8p-13, -0x1.8e0dfd40a8e3ap-13, -0x1.875a5e583e572p-13, -0x1.80e1a07667f87p-13, -0x1.7a9ff24d443edp-13, -0x1.7491b37063923p-13, -0x1.6eb37280f6c56p-13, -0x1.6901eb679e0d3p-13, -0x1.637a059b89314p-13, -0x1.5e18d27696ff3p-13, -0x1.58db8b9635d9dp-13, -0x1.53bf9148ad1f3p-13, -0x1.4ec269069b27cp-13, -0x1.49e1bbf84bfebp-13, -0x1.451b5586b0fb3p-13, -0x1.406d21f7b12cbp-13, -0x1.3bd52d1585227p-13, -0x1.3751a0e0eab88p-13, -0x1.32e0c44ddd251p-13, -0x1.2e80fa0aa0a28p-13, -0x1.2a30bf50d4404p-13, -0x1.25eeaac04d815p-13, -0x1.21b96b43898ap-13, -0x1.1d8fc6fd61e6dp-13, -0x1.19709a3fe47ep-13, -0x1.155ad68bf5815p-13, -0x1.114d819997578p-13, -0x1.0d47b468988afp-13, -0x1.09489a5966e29p-13, -0x1.054f704de39e5p-13, -0x1.015b83d1e8acdp-13, -0x1.fad86496d278bp-14, -0x1.f301d063ae5d7p-14, -0x1.eb324099733fdp-14, -0x1.e368c5f255454p-14, -0x1.dba48aec35c04p-14, -0x1.d3e4d26e46845p-14, -0x1.cc28f67b663b2p-14, -0x1.c47066f0ef78dp-14, -0x1.bcbaa85183aa9p-14, -0x1.b507529b966c9p-14, -0x1.ad56102b45fcdp-14, -0x1.a5a69ca73a892p-14, -0x1.9df8c3f84bda7p-14, -0x1.964c614b6b1f3p-14, -0x1.8ea15e1db8266p-14, -0x1.86f7b1524eeedp-14, -0x1.7f4f5e5192d08p-14, -0x1.77a87431a7444p-14, -0x1.70030ce7d0ee8p-14, -0x1.685f4c8276825p-14, -0x1.60bd606b7cda6p-14, -0x1.591d7eb2bb43ap-14, -0x1.517fe56046685p-14, -0x1.49e4d9ce50d1ep-14, -0x1.424ca80a641f9p-14, -0x1.3ab7a23db3e3ap-14, -0x1.3326201c50deap-14, -0x1.2b987e5b003f9p-14, -0x1.240f1e2b80258p-14, -0x1.1c8a64bf0328bp-14, -0x1.150abacea9193p-14, -0x1.0d908c29c61adp-14, -0x1.061c4749c1003p-14, -0x1.fd5cb9d6b4d36p-15, -0x1.ee8e7f5a51324p-15, -0x1.dfcec7663d726p-15, -0x1.d11e7c9dd5fcep-15, -0x1.c27e8b5a0c536p-15, -0x1.b3efe10c85673p-15, -0x1.a5736bab6f337p-15, -0x1.970a1925b1bb6p-15, -0x1.88b4d6df34163p-15, -0x1.7a749134e0813p-15, -0x1.6c4a330825e5ap-15, -0x1.5e36a551a3f53p-15, -0x1.503acebac2cf1p-15, -0x1.4257933def348p-15, -0x1.348dd3cd350aep-15, -0x1.26de6dfefe29ep-15, -0x1.194a3bc0b100ep-15, -0x1.0bd2130ef5cb1p-15, -0x1.fced8b66c5d1p-16, -0x1.e272420ebe01ap-16, -0x1.c833db77ef70ep-16, -0x1.ae33df4cffdf7p-16, -0x1.9473cb2371508p-16, -0x1.7af51226ba95ep-16, -0x1.61b91ccbad8f2p-16, -0x1.48c1488bdbd81p-16, -0x1.300ee7a89ac94p-16, -0x1.17a340f5491d6p-16, -0x1.feff1f510f621p-17, -0x1.cf4a06681ae69p-17, -0x1.a0297e45944bep-17, -0x1.719fb5fa0a1efp-17, -0x1.43aec46468597p-17, -0x1.1658a81073c3ap-17, -0x1.d33e8e3f3b30ap-18, -0x1.7b08de7726b1fp-18, -0x1.2413ab242bdebp-18, -0x1.9cc45b66506f2p-19, -0x1.e7ddbaf08dc5p-20, -0x1.36b2315e5a6f8p-21, 0x1.57f524222c861p-21, 0x1.ee13681d2ffc3p-20, 0x1.957425d3fffa2p-19, 0x1.189c3732e2491p-18, 0x1.65295df6f1507p-18, 0x1.b05fcce385aa1p-18, 0x1.fa3df7be088a5p-18, 0x1.21613fed1739fp-17, 0x1.44f619c3af611p-17, 0x1.67dd06baf495ep-17, 0x1.8a159a0a4fd9dp-17, 0x1.ab9f7c73b5bd6p-17, 0x1.cc7a6bebb0cf7p-17, 0x1.eca63b3e7ae71p-17, 0x1.061168d928e8p-16, 0x1.15781553b0dafp-16, 0x1.24872a9ab563bp-16, 0x1.333eb9e3ad221p-16, 0x1.419eddda931d5p-16, 0x1.4fa7ba6e0181cp-16, 0x1.5d597c9a9c8c8p-16, 0x1.6ab45a35de382p-16, 0x1.77b891b860ed4p-16, 0x1.84666a07b7a0fp-16, 0x1.90be323feec2ap-16, 0x1.9cc0417cc2398p-16, 0x1.a86cf6a2a5fc3p-16, 0x1.b3c4b827a64e6p-16, 0x1.bec7f3dc3b062p-16, 0x1.c9771eb418a7bp-16, 0x1.d3d2b48f13851p-16, 0x1.dddb380219ec3p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.cd4eb93936334p-1, 0x1.ca0214570dc24p-1, 0x1.c697b76418861p-1, 0x1.c310e88feb8c6p-1, 0x1.bf6eee28a4506p-1, 0x1.bbb30dcecae12p-1, 0x1.b7de8bba96a28p-1, 0x1.b3f2aa119af7bp-1, 0x1.aff0a84be4e55p-1, 0x1.abd9c2a795ca6p-1, 0x1.a7af31aa152cfp-1, 0x1.a37229adf19abp-1, 0x1.9f23da7ca1068p-1, 0x1.9ac56ef34bc61p-1, 0x1.96580cb1e7eep-1, 0x1.91dcd3d3e70c3p-1, 0x1.8d54deb1ce40cp-1, 0x1.88c141ab12e5cp-1, 0x1.84230af7a55cap-1, 0x1.7f7b428097c56p-1, 0x1.7acae9bf5bcc3p-1, 0x1.7612fba319c63p-1, 0x1.71546c7ba82a3p-1, 0x1.6c9029e9b68bbp-1, 0x1.67c71ad3c36b4p-1, 0x1.62fa1f5f7b72dp-1, 0x1.5e2a10ef26694p-1, 0x1.5957c222ccfc9p-1, 0x1.5483fedcc6adfp-1, 0x1.4faf8c4966a5ap-1, 0x1.4adb28e97dc39p-1, 0x1.46078c9f74927p-1, 0x1.413568bebd202p-1, 0x1.3c65681d63551p-1, 0x1.37982f27888f5p-1, 0x1.32ce5bf495812p-1, 0x1.2e08865df5e7fp-1, 0x1.294740173221p-1, 0x1.248b14c73db41p-1, 0x1.1fd48a22d61b6p-1, 0x1.1b242007cd482p-1, 0x1.167a509921fadp-1, 0x1.11d7905bc52bep-1, 0x1.0d3c4e53f1e87p-1, 0x1.08a8f422fe5a7p-1, 0x1.041de6258d592p-1, 0x1.ff370724165eep-2, 0x1.f6444d2ebf327p-2, 0x1.ed6448f78d59ap-2, 0x1.e4979b7772529p-2, 0x1.dbdedc51b6bafp-2, 0x1.d33a9a11bcd9cp-2, 0x1.caab5a68980edp-2, 0x1.c2319a6a582c9p-2, 0x1.b9cdcecafaa8fp-2, 0x1.b180641ae822ap-2, 0x1.a949bf02f0998p-2, 0x1.a12a3c7fb451p-2, 0x1.9922321c6d7ccp-2, 0x1.9131ee2d07cf1p-2, 0x1.8959b80782d32p-2, 0x1.8199d03c8ecf9p-2, 0x1.79f270cf5cb52p-2, 0x1.7263cd6c9a117p-2, 0x1.6aee13a0926c6p-2, 0x1.63916b0c6d44ap-2, 0x1.5c4df59a883a5p-2, 0x1.5523cfb1e3bb2p-2, 0x1.4e131068a4631p-2, 0x1.471bc9b59fd4fp-2, 0x1.403e08a0f7ae2p-2, 0x1.3979d573c144ap-2, 0x1.32cf33e6b0f2p-2, 0x1.2c3e234fd45b4p-2, 0x1.25c69ecf50b65p-2, 0x1.1f689d7b2ac5bp-2, 0x1.1924128a17376p-2, 0x1.12f8ed7d53d8ap-2, 0x1.0ce71a498bd0cp-2, 0x1.06ee817ec5211p-2, 0x1.010f086f5d925p-2, 0x1.f69122ac27f61p-3, 0x1.eb35f6f648ef8p-3, 0x1.e00c46b0e2daap-3, 0x1.d513c5799172ap-3, 0x1.ca4c21dc73434p-3, 0x1.bfb505970a602p-3, 0x1.b54e15d95ba0cp-3, 0x1.ab16f3854396p-3, 0x1.a10f3b6c0d895p-3, 0x1.9736868a59b75p-3, 0x1.8d8c6a4249fap-3, 0x1.84107894083ccp-3, 0x1.7ac24054a253ap-3, 0x1.71a14d634868dp-3, 0x1.68ad28dcf426ep-3, 0x1.5fe5594e75fdcp-3, 0x1.574962e4fafa4p-3, 0x1.4ed8c79d0f96fp-3, 0x1.4693077014f6ep-3, 0x1.3e77a0804e5e7p-3, 0x1.36860f436f293p-3, 0x1.2ebdceabc0fd8p-3, 0x1.271e584fe5c22p-3, 0x1.1fa7249137f92p-3, 0x1.1857aac0d5d1ap-3, 0x1.112f6143544bap-3, 0x1.0a2dbdb3314d4p-3, 0x1.03523501fa1b7p-3, 0x1.f938773068908p-4, 0x1.ec168ae82203ep-4, 0x1.df3d8c8de398dp-4, 0x1.d2ac632380cd5p-4, 0x1.c661f580438f4p-4, 0x1.ba5d2a8522c77p-4, 0x1.ae9ce94ec0aa1p-4, 0x1.a32019654cf33p-4, 0x1.97e5a2ea56aacp-4, 0x1.8cec6ec4941fep-4, 0x1.823366c9ad3eep-4, 0x1.77b975e61de58p-4, 0x1.6d7d88433332ep-4, 0x1.637e8b6b353dbp-4, 0x1.59bb6e6bc575ap-4, 0x1.503321f682ed1p-4, 0x1.46e4987ffae0dp-4, 0x1.3dcec65cf4f8bp-4, 0x1.34f0a1de25485p-4, 0x1.2c49236a508d7p-4, 0x1.23d74596ecep-4, 0x1.1b9a053f4a9d1p-4, 0x1.1390619a51dep-4, 0x1.0bb95c4edb56ep-4, 0x1.0413f986b5db3p-4, 0x1.f93e8000b926ap-5, 0x1.eab4723ed7edbp-5, 0x1.dc87e1f7c0e5bp-5, 0x1.ceb6ece04a24fp-5, 0x1.c13fb64c012bap-5, 0x1.b4206744cef47p-5, 0x1.a7572ea07cc5cp-5, 0x1.9ae241142aa6ep-5, 0x1.8ebfd945cad43p-5, 0x1.82ee37dbb3c86p-5, 0x1.776ba38a5cea2p-5, 0x1.6c366920544abp-5, 0x1.614cdb907f0cep-5, 0x1.56ad53fab7743p-5, 0x1.4c5631b2d8181p-5, 0x1.4245da46424d5p-5, 0x1.387ab97ff2118p-5, 0x1.2ef3416b2cd77p-5, 0x1.25adea54dcccbp-5, 0x1.1ca932cba48dp-5, 0x1.13e39f9eba0cdp-5, 0x1.0b5bbbdb97da2p-5, 0x1.031018ca9321bp-5, 0x1.f5fe9bd4bf3c8p-6, 0x1.e64ff1d52611fp-6, 0x1.d7117b4a647f8p-6, 0x1.c8408c2ea8e31p-6, 0x1.b9da84b1cfda4p-6, 0x1.abdcd1274eb31p-6, 0x1.9e44e9f287d5ep-6, 0x1.91105371b08f8p-6, 0x1.843c9de74bc21p-6, 0x1.77c765625bf5cp-6, 0x1.6bae51a5580d1p-6, 0x1.5fef160bfd599p-6, 0x1.54877170061a7p-6, 0x1.49752e0ce577ep-6, 0x1.3eb621629004dp-6, 0x1.34482c1763c68p-6, 0x1.2a2939d9420ddp-6, 0x1.2057413dec063p-6, 0x1.16d043a2abd3cp-6, 0x1.0d924d0b60108p-6, 0x1.049b7400f21c6p-6, 0x1.f7d3b2de8c089p-7, 0x1.e6f7510570d5bp-7, 0x1.d69e2d0a4f41cp-7, 0x1.c6c4c57552018p-7, 0x1.b767ac7bbffcep-7, 0x1.a88387b82d2dap-7, 0x1.9a150fe21ec0fp-7, 0x1.8c1910855f01p-7, 0x1.7e8c67b8e918ap-7, 0x1.716c05d5aa9fp-7, 0x1.64b4ed2d05cep-7, 0x1.586431bf4b46ap-7, 0x1.4c76f8f21918ap-7, 0x1.40ea7946caacep-7, 0x1.35bbfa10f512ap-7, 0x1.2ae8d32d0eedbp-7, 0x1.206e6cb741e92p-7, 0x1.164a3ec27c7afp-7, 0x1.0c79d10fceab2p-7, 0x1.02fabac61b284p-7, 0x1.f395445454e7bp-8, 0x1.e1ce78ae50a12p-8, 0x1.d09c99ef2e89p-8, 0x1.bffb4bfd858b4p-8, 0x1.afe64ec57072fp-8, 0x1.a0597dad9f04fp-8, 0x1.9150cf0d9838dp-8, 0x1.82c853a534e1bp-8, 0x1.74bc36156afbbp-8, 0x1.6728ba5a6a773p-8, 0x1.5a0a3d4720548p-8, 0x1.4d5d340225fabp-8, 0x1.411e2b84292b3p-8, 0x1.3549c817d2c3dp-8, 0x1.29dcc4db38b1bp-8, 0x1.1ed3f342df95dp-8, 0x1.142c3a9e53fd2p-8, 0x1.09e2979e61ed6p-8, 0x1.ffe837b9dfaf6p-9, 0x1.ecbbdacd01c3fp-9, 0x1.da3a8c8acdf0cp-9, 0x1.c85ee81d40dcep-9, 0x1.b723aee0ddf53p-9, 0x1.a683c7853f33fp-9, 0x1.967a3d31200f5p-9, 0x1.87023ea9d33acp-9, 0x1.78171d7e35cf1p-9, 0x1.69b44d351a382p-9, 0x1.5bd5627f25471p-9, 0x1.4e76126c2edcep-9, 0x1.419231a40e87dp-9, 0x1.3525b3a2ea08ap-9, 0x1.292ca9f8ed8adp-9, 0x1.1da3438d7a81ep-9, 0x1.1285cbe5c4badp-9, 0x1.07d0aa6ed1ce5p-9, 0x1.fb00c395cc6dcp-10, 0x1.e7231e4490cb5p-10, 0x1.d401d2eecb508p-10, 0x1.c19681fc86f74p-10, 0x1.afdafcee8398cp-10, 0x1.9ec9451a3f03bp-10, 0x1.8e5b8a6c82a84p-10, 0x1.7e8c2a3252f1bp-10, 0x1.6f55ade84a71p-10, 0x1.60b2ca102bec6p-10, 0x1.529e5d0cc53a3p-10, 0x1.45136e03ea9abp-10, 0x1.380d2bc69152cp-10, 0x1.2b86ebbee6a01p-10, 0x1.1f7c28e45fa62p-10, 0x1.13e882b59aecp-10, 0x1.08c7bc3817ebfp-10, 0x1.fc2b75fb36181p-11, 0x1.e79d0c5e5f2d6p-11, 0x1.d3dc8b3b7ef63p-11, 0x1.c0e281b0322d3p-11, 0x1.aea7bc8cb7a59p-11, 0x1.9d2544955f1e9p-11, 0x1.8c545cce69dffp-11, 0x1.7c2e80d230179p-11, 0x1.6cad63315f0d8p-11, 0x1.5dcaebdd27a7bp-11, 0x1.4f81369b33207p-11, 0x1.41ca91832d4cap-11, 0x1.34a17b85c357cp-11, 0x1.2800a2fce1978p-11, 0x1.1be2e4450f22dp-11, 0x1.1043485fb5a37p-11, 0x1.051d039e30ac3p-11, 0x1.f4d6e8aaecd82p-12, 0x1.e054433463c28p-12, 0x1.cca9740a49c9cp-12, 0x1.b9ce24ff513f6p-12, 0x1.a7ba4a304665bp-12, 0x1.96661fbc94195p-12, 0x1.85ca278e13e8p-12, 0x1.75df272fd1c3dp-12, 0x1.669e25b3811e6p-12, 0x1.580069a549598p-12, 0x1.49ff770da2659p-12, 0x1.3c950d80f2bcep-12, 0x1.2fbb263ca553dp-12, 0x1.236bf25169216p-12, 0x1.17a1d8da57243p-12, 0x1.0c577540a9c73p-12, 0x1.0187958bcf9a6p-12, 0x1.ee5a717afe9a2p-13, 0x1.da871a732cd68p-13, 0x1.c78bde72e7368p-13, 0x1.b55fce9521d0ap-13, 0x1.a3fa51b026b04p-13, 0x1.9353217e26e43p-13, 0x1.836247dab56ep-13, 0x1.74201c14b6fa9p-13, 0x1.658540543392bp-13, 0x1.578a9f13af4a5p-13, 0x1.4a2968ac6d34fp-13, 0x1.3d5b10f54373dp-13, 0x1.31194cf373d9dp-13, 0x1.255e109d2ffap-13, 0x1.1a238cad34e86p-13, 0x1.0f642c873a398p-13, 0x1.051a942c9dd39p-13, 0x1.f6833c82056e4p-14, 0x1.e3a8b43cd417p-14, 0x1.d19c13f0b680dp-14, 0x1.c054421b99ce6p-14, 0x1.afc883d2a0552p-14, 0x1.9ff0795e689ffp-14, 0x1.90c41af26b166p-14, 0x1.823bb57ec88cep-14, 0x1.744fe79bc7bacp-14, 0x1.66f99e8e5643p-14, 0x1.5a321364de66fp-14, 0x1.4df2c82bc5b34p-14, 0x1.42358538f22b2p-14, 0x1.36f4568dafd91p-14, 0x1.2c29894e58c9fp-14, 0x1.21cfa94f25f55p-14, 0x1.17e17eb58df99p-14, 0x1.0e5a0bada0a6fp-14, 0x1.05348a32cabc4p-14, 0x1.f8d8d3d6efab8p-15, 0x1.e7fa9c2e09f18p-15, 0x1.d7c6171afea41p-15, 0x1.c8334da151e66p-15, 0x1.b93aa45b88bfcp-15, 0x1.aad4d7df525b9p-15, 0x1.9cfaf9414ad45p-15, 0x1.8fa66ab76f845p-15, 0x1.82d0dc5952624p-15, 0x1.767448fd2fea8p-15, 0x1.6a8af33107d81p-15, 0x1.5f0f624edfc9p-15, 0x1.53fc5fab5b3b5p-15, 0x1.494cf3dde091fp-15, 0x1.3efc64217e7b2p-15, 0x1.35062fcdd0f92p-15, 0x1.2b660de726032p-15, 0x1.2217eac52b71p-15, 0x1.1917e5cf720ccp-15, 0x1.10624f4f1315ap-15, 0x1.07f3a654d279bp-15, 0x1.ff912d66248c4p-16, 0x1.efbbee15f753dp-16, 0x1.e0618dd876d22p-16, 0x1.d17c5a0d78781p-16, 0x1.c306eadb8ed8cp-16, 0x1.b4fc1fd7fce6dp-16, 0x1.a7571ccf3989bp-16, 0x1.9a1346acfeb0dp-16, 0x1.8d2c4082c96f2p-16, 0x1.809de8abdb29ap-16, 0x1.7464560db13cfp-16, 0x1.687bd57408e99p-16, 0x1.5ce0e707804c4p-16, 0x1.51903bddeff51p-16, 0x1.4686b3a397f9ep-16, 0x1.3bc15a5c4d62bp-16, 0x1.313d663bd9215p-16, 0x1.26f83594b1216p-16, 0x1.1cef4cdc4d34ap-16, 0x1.132054c458e81p-16, 0x1.0989186801dcap-16, 0x1.0027838cb2d26p-16, 0x1.edf341eb0ff07p-17, 0x1.dbfb3191a9398p-17, 0x1.ca635e0e2ecb6p-17, 0x1.b92884256ea5bp-17, 0x1.a847928fe5e52p-17, 0x1.97bda748daaf3p-17, 0x1.87880cfb801a5p-17, 0x1.77a4388d1dc9p-17, 0x1.680fc6c310e4dp-17, 0x1.58c87a03c1565p-17, 0x1.49cc38315fc08p-17, 0x1.3b19089d9e736p-17, 0x1.2cad121556d5bp-17, 0x1.1e86990342167p-17, 0x1.10a3fda8e026bp-17, 0x1.0303ba6cb5197p-17, 0x1.eb48c47a0eaa1p-18, 0x1.d1093e0caffe5p-18, 0x1.b7466079989e9p-18, 0x1.9dfdd2ef9a024p-18, 0x1.852d623e4321p-18, 0x1.6cd2fe51af21cp-18, 0x1.54ecb7ce92ab1p-18, 0x1.3d78bdcd3b80cp-18, 0x1.26755bb2427dep-18, 0x1.0fe0f723bd898p-18, 0x1.f3741c337e421p-19, 0x1.c7fe6a1214511p-19, 0x1.9d5e2a4dc0cf7p-19, 0x1.7390d589baad7p-19, 0x1.4a940787b9fc3p-19, 0x1.22657c39e1f89p-19, 0x1.f60619fdcf846p-20, 0x1.a8d55c0d56eb9p-20, 0x1.5d34d7badcdc2p-20, 0x1.1320d2381be8bp-20, 0x1.952b70ee39287p-21, 0x1.07203629b9938p-21, 0x1.f0655423b9056p-23, -0x1.7df32206c5408p-26, -0x1.220191f1d40f2p-22, -0x1.1320440c48eb9p-21, -0x1.9253ee07173cbp-21, -0x1.0750c53fc82c1p-20, -0x1.440760fe084d6p-20, -0x1.7f509356a0ba4p-20, -0x1.b92f1c681abe2p-20, -0x1.f1a5b55e64019p-20, -0x1.145b892915597p-19, -0x1.2f32f201338cep-19, -0x1.495a6cb4f9d9fp-19, -0x1.62d3509981a96p-19, -0x1.7b9ef58526f7cp-19, -0x1.93beb469bfd2ep-19, -0x1.ab33e7e054965p-19, -0x1.c1ffeca713ad4p-19, -0x1.d82422124725fp-19, -0x1.eda1ea70fbe9ep-19, -0x1.013d55b3093f3p-18, -0x1.0b57e71b2ba06p-18, -0x1.1521600624ef3p-18, -0x1.1e9a791914f4ep-18, -0x1.27c3ed217013ep-18, -0x1.309e792926e4ep-18, -0x1.392adc86c43b1p-18, -0x1.4169d8e9c4b92p-18, -0x1.495c326361e58p-18, -0x1.5102af6c0eb63p-18, -0x1.585e18e5dc0e4p-18, -0x1.5f6f3a1bfb5c8p-18, -0x1.6636e0bf95417p-18, -0x1.6cb5dce21f2f6p-18, -0x1.72ed00ed66342p-18, -0x1.78dd2199741abp-18, -0x1.7e8715e080c2ap-18, -0x1.83ebb6f1103edp-18, -0x1.890be01e6ab1dp-18, -0x1.8de86ecf8ec48p-18, -0x1.9282426cc3513p-18, -0x1.96da3c4be71afp-18, -0x1.9af13f9b9fffbp-18, -0x1.9ec8314d87561p-18, -0x1.a25ff7ff6e449p-18, -0x1.a5b97be3d496ap-18, -0x1.a8d5a6a9ae04dp-18, -0x1.abb563638b8e4p-18, -0x1.ae599e6e3f154p-18, -0x1.b0c3455710e0dp-18, -0x1.b2f346c1992c8p-18, -0x1.b4ea924d51f2fp-18, -0x1.b6aa187af1f53p-18, -0x1.b832ca91a3ba8p-18, -0x1.b9859a8423c6ap-18, -0x1.baa37ad5dc818p-18, -0x1.bb8d5e8005948p-18, -0x1.bc4438d6d92fdp-18, -0x1.bcc8fd6ee9e14p-18, -0x1.bd1ca002a2cap-18, -0x1.bd4014580008fp-18, -0x1.bd344e2686d7ap-18, -0x1.bcfa40fd85b63p-18, -0x1.bc92e02aa75p-18, -0x1.bbff1ea0e0752p-18, -0x1.bb3feedfbbc0ap-18, -0x1.ba5642db0f99bp-18, -0x1.b9430be31fb84p-18, -0x1.b8073a8d32d0fp-18, -0x1.b6a3be9ca028cp-18, -0x1.b51986ec57f1fp-18, -0x1.b3698158ef17fp-18, -0x1.b1949aab2c2b6p-18, -0x1.af9bbe831e5eap-18, -0x1.ad7fd743bcd71p-18, -0x1.ab41cdff13845p-18, -0x1.a8e28a62fe0fdp-18, -0x1.a662f2a6737ep-18, -0x1.a3c3eb776484dp-18, -0x1.a10657e92b26cp-18, -0x1.9e2b196390792p-18, -0x1.9b330f9263f8bp-18, -0x1.981f1855aa7a4p-18, -0x1.94f00fb260643p-18, -0x1.91a6cfc3d135fp-18, -0x1.8e4430ad82ec3p-18, -0x1.8ac9088db58b2p-18, -0x1.87362b7076cfep-18, -0x1.838c6b4346489p-18, -0x1.7fcc97c94cb62p-18, -0x1.7bf77e9020f2ep-18, -0x1.780deae51efbbp-18, -0x1.7410a5cb47e1bp-18, -0x1.700075f1b18f8p-18, -0x1.6bde1faa7dbcep-18, -0x1.67aa64e25a5edp-18, -0x1.63660518878a4p-18, -0x1.5f11bd5761a44p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.cb0a993aec3fbp-5, -0x1.fd108b5ce5ed3p-5, -0x1.18aad2b6e6a0dp-4, -0x1.33da9a1faf024p-4, -0x1.50045b0d7642ap-4, -0x1.6d1420f7933bdp-4, -0x1.8af572c99e01p-4, -0x1.a9937dc19e005p-4, -0x1.c8d93c41d22e8p-4, -0x1.e8b198cfe5202p-4, -0x1.0483c6be20aecp-3, -0x1.14e31ff62b321p-3, -0x1.256c8d20a5193p-3, -0x1.3615f08983707p-3, -0x1.46d5635ac87p-3, -0x1.57a13dfe0f32cp-3, -0x1.68701f558777cp-3, -0x1.7938f2e3ae0fdp-3, -0x1.89f2f5f7c6806p-3, -0x1.9a95bbf3d956ap-3, -0x1.ab1931bfdbe45p-3, -0x1.bb75a07c561e2p-3, -0x1.cba3af85ddfe2p-3, -0x1.db9c65d9894e1p-3, -0x1.eb592ae99208ap-3, -0x1.fad3c6f03caf5p-3, -0x1.050331672abacp-2, -0x1.0c75c3c0bb6fdp-2, -0x1.13bf0e9ed2385p-2, -0x1.1adcb51a6589fp-2, -0x1.21cc888b09c97p-2, -0x1.288c87a705982p-2, -0x1.2f1add88161d1p-2, -0x1.3575e098b3387p-2, -0x1.3b9c116d7018p-2, -0x1.418c198db454bp-2, -0x1.4744ca2ec9f9cp-2, -0x1.4cc51ae3fd125p-2, -0x1.520c284641a8p-2, -0x1.571932959e255p-2, -0x1.5beb9c5664283p-2, -0x1.6082e8ec02eb6p-2, -0x1.64debb331ec64p-2, -0x1.68fed41c5b3b4p-2, -0x1.6ce3114924147p-2, -0x1.708b6bab9fbd2p-2, -0x1.73f7f62ac89e2p-2, -0x1.7728dc4b8dc88p-2, -0x1.7a1e60dfc37c5p-2, -0x1.7cd8dcbb82c0cp-2, -0x1.7f58bd71918c3p-2, -0x1.819e841744f34p-2, -0x1.83aac4103fe42p-2, -0x1.857e21e265825p-2, -0x1.871952123af31p-2, -0x1.887d1807e9dd4p-2, -0x1.89aa44fd0b30bp-2, -0x1.8aa1b6f348b95p-2, -0x1.8b6457b3ee8f7p-2, -0x1.8bf31bd866ad7p-2, -0x1.8c4f01db98828p-2, -0x1.8c791134296ecp-2, -0x1.8c72597780b0dp-2, -0x1.8c3bf1857c4bap-2, -0x1.8bd6f6bcb81ccp-2, -0x1.8b448c374310ep-2, -0x1.8a85da0fa2cd2p-2, -0x1.899c0cadf72ecp-2, -0x1.8888541d191fcp-2, -0x1.874be36785409p-2, -0x1.85e7effbe2e7ep-2, -0x1.845db118fcceap-2, -0x1.82ae5f40f6a1bp-2, -0x1.80db33b390da9p-2, -0x1.7ee567ef4aefp-2, -0x1.7cce35392b8bep-2, -0x1.7a96d42b09e98p-2, -0x1.78407c4816418p-2, -0x1.75cc6397822bdp-2, -0x1.733bbe4507cbep-2, -0x1.708fbe4729fa9p-2, -0x1.6dc9930afb4aep-2, -0x1.6aea69253b87p-2, -0x1.67f36a089b464p-2, -0x1.64e5bbc0fee6ap-2, -0x1.61c280b38c95p-2, -0x1.5e8ad7635dcdfp-2, -0x1.5b3fda3aa70adp-2, -0x1.57e29f582cb48p-2, -0x1.54743860dc73fp-2, -0x1.50f5b2555d952p-2, -0x1.4d68156b78d0bp-2, -0x1.49cc64eb28decp-2, -0x1.46239f0f3497fp-2, -0x1.426ebce9263a2p-2, -0x1.3eaeb2488339ap-2, -0x1.3ae46da51debep-2, -0x1.3710d80c5d6a5p-2, -0x1.3334d5115c75cp-2, -0x1.2f5142bfbd09dp-2, -0x1.2b66f991140cp-2, -0x1.2776cc64c8948p-2, -0x1.2381887a4f10cp-2, -0x1.1f87f56d9e632p-2, -0x1.1b8ad535c349dp-2, -0x1.178ae425788acp-2, -0x1.1388d8eda7bf8p-2, -0x1.0f8564a1b69a5p-2, -0x1.0b8132bd8c6a6p-2, -0x1.077ce92d30a4p-2, -0x1.03792855eff5ap-2, -0x1.feed1641de8d8p-3, -0x1.f6eb4e0e28e45p-3, -0x1.eeee183c63a0fp-3, -0x1.e6f68a4ebe0e9p-3, -0x1.df05af3ccc157p-3, -0x1.d71c8794770b5p-3, -0x1.cf3c099cc5fc4p-3, -0x1.c765217a6a124p-3, -0x1.bf98b155e9489p-3, -0x1.b7d791834197ap-3, -0x1.b02290aae08a4p-3, -0x1.a87a73f3dbp-3, -0x1.a0dff72f3f4a7p-3, -0x1.9953cd0461195p-3, -0x1.91d69f1e12046p-3, -0x1.8a690e5893aep-3, -0x1.830bb2f045419p-3, -0x1.7bbf1cb0e0514p-3, -0x1.7483d325329cap-3, -0x1.6d5a55c74163ap-3, -0x1.66431c30bf696p-3, -0x1.5f3e964bc16a6p-3, -0x1.584d2c8395c1cp-3, -0x1.516f3ff5bf3e1p-3, -0x1.4aa52aa2e9cd9p-3, -0x1.43ef3f9fdc874p-3, -0x1.3d4dcb46506ecp-3, -0x1.36c113659515bp-3, -0x1.304957730cc63p-3, -0x1.29e6d0ba5198dp-3, -0x1.2399b28d19734p-3, -0x1.1d622a72af97ep-3, -0x1.1740605709ef5p-3, -0x1.113476b9713f3p-3, -0x1.0b3e8adaa2ccdp-3, -0x1.055eb4ea70b1cp-3, -0x1.ff2a1069aae8cp-4, -0x1.f3c3269cdd254p-4, -0x1.e888c080bf838p-4, -0x1.dd7ae9670c84ep-4, -0x1.d299a436248c2p-4, -0x1.c7e4ebbccd765p-4, -0x1.bd5cb3048d14dp-4, -0x1.b300e5a29b02fp-4, -0x1.a8d168074a2e1p-4, -0x1.9ece17cc0634ap-4, -0x1.94f6cbffbaeb3p-4, -0x1.8b4b5571b3398p-4, -0x1.81cb7efaedb9bp-4, -0x1.78770dc5d7cb5p-4, -0x1.6f4dc19473ae2p-4, -0x1.664f5504e56aep-4, -0x1.5d7b7dd46440ap-4, -0x1.54d1ed2090c47p-4, -0x1.4c524fa72e773p-4, -0x1.43fc4e04401e3p-4, -0x1.3bcf8cee89db9p-4, -0x1.33cbad7277cb9p-4, -0x1.2bf04d2b6c516p-4, -0x1.243d067b77a8dp-4, -0x1.1cb170c17ad8cp-4, -0x1.154d208db9b91p-4, -0x1.0e0fa7d4df62ep-4, -0x1.06f8962177282p-4, -0x1.000778c3e03a5p-4, -0x1.f277b6017dfc3p-5, -0x1.e52a8c7be03p-5, -0x1.d826845c0767ep-5, -0x1.cb6aa9f489196p-5, -0x1.bef606d6a102dp-5, -0x1.b2c7a22091689p-5, -0x1.a6de80c93a7cep-5, -0x1.9b39a5e8f8c6ap-5, -0x1.8fd812ffd461bp-5, -0x1.84b8c8390b4d1p-5, -0x1.79dac4ac069b3p-5, -0x1.6f3d069ac72ffp-5, -0x1.64de8badd0612p-5, -0x1.5abe512da974bp-5, -0x1.50db5439f494ap-5, -0x1.473491fe35f52p-5, -0x1.3dc907e44d4afp-5, -0x1.3497b3c4b760dp-5, -0x1.2b9f94149f30cp-5, -0x1.22dfa811cf099p-5, -0x1.1a56efec8e6bfp-5, -0x1.12046cef77874p-5, -0x1.09e721a558095p-5, -0x1.01fe11fd217b3p-5, -0x1.f49086d7f907cp-6, -0x1.e5897a1b1afd8p-6, -0x1.d6e50f84dea42p-6, -0x1.c8a15c99f3444p-6, -0x1.babc7ad8b876ap-6, -0x1.ad3487ec33cd4p-6, -0x1.a007a5dbe7cd9p-6, -0x1.9333fb3898312p-6, -0x1.86b7b346238ap-6, -0x1.7a90fe2279536p-6, -0x1.6ebe10e9d5f3dp-6, -0x1.633d25d84834fp-6, -0x1.580c7c68a9b5fp-6, -0x1.4d2a5971137dcp-6, -0x1.4295073cee58ep-6, -0x1.384ad5a4aaf73p-6, -0x1.2e4a1a234393p-6, -0x1.24912fe98e28cp-6, -0x1.1b1e77ef7d833p-6, -0x1.11f0590366eafp-6, -0x1.09053fd753846p-6, -0x1.005b9f0c808ap-6, -0x1.efe3de7a28099p-7, -0x1.df8d5e084451p-7, -0x1.cfb0c6081e93ap-7, -0x1.c04b2bd6c7168p-7, -0x1.b159b0f03b3e9p-7, -0x1.a2d982f33377fp-7, -0x1.94c7dba238767p-7, -0x1.872200e217bcfp-7, -0x1.79e544b5dc021p-7, -0x1.6d0f053870db5p-7, -0x1.609cac93fa1f1p-7, -0x1.548bb0f710411p-7, -0x1.48d99487ecea8p-7, -0x1.3d83e555b58b8p-7, -0x1.32883d47e2e9fp-7, -0x1.27e4420bfe64dp-7, -0x1.1d95a501b4a46p-7, -0x1.139a232561be9p-7, -0x1.09ef84f92c33dp-7, -0x1.00939e6cc1e7fp-7, -0x1.ef089d87a0d9fp-8, -0x1.dd7f00f697cecp-8, -0x1.cc86525b307f9p-8, -0x1.bc1a92eb5214dp-8, -0x1.ac37d9a256487p-8, -0x1.9cda530392f23p-8, -0x1.8dfe40db3da5ep-8, -0x1.7f9ff9fdcc924p-8, -0x1.71bbea05f19f3p-8, -0x1.644e911154617p-8, -0x1.5754837c24824p-8, -0x1.4aca699ba3d96p-8, -0x1.3eacff77c3858p-8, -0x1.32f91483ee32ap-8, -0x1.27ab8b571d1aep-8, -0x1.1cc1596348152p-8, -0x1.123786ac527ap-8, -0x1.080b2d7e83376p-8, -0x1.fc72f44947565p-9, -0x1.e97f553ba73b6p-9, -0x1.d7361ca65b55bp-9, -0x1.c5920b9a93383p-9, -0x1.b48e04d35bbe5p-9, -0x1.a4250c20900bfp-9, -0x1.945245d1e7d39p-9, -0x1.8510f6224f5b9p-9, -0x1.765c80a39fc6cp-9, -0x1.683067aad4573p-9, -0x1.5a884bbcdb103p-9, -0x1.4d5feafc14fc8p-9, -0x1.40b320969f6dap-9, -0x1.347de4357d492p-9, -0x1.28bc496cb6e7ep-9, -0x1.1d6a7f2c804bbp-9, -0x1.1284cf337b0e5p-9, -0x1.08079d82245e6p-9, -0x1.fbdecf9f07bb6p-10, -0x1.e87189fe40e49p-10, -0x1.d5c0c930aaff5p-10, -0x1.c3c61c7e1a11dp-10, -0x1.b27b425bde1ebp-10, -0x1.a1da27641c1ep-10, -0x1.91dce550465a3p-10, -0x1.827dc1f6aa0dfp-10, -0x1.73b72e4b4a8f9p-10, -0x1.6583c563ef03ap-10, -0x1.57de4b7f99c25p-10, -0x1.4ac1ad11588c7p-10, -0x1.3e28fdce86542p-10, -0x1.320f77c088bdp-10, -0x1.26707a5a0b922p-10, -0x1.1b47898fcd57cp-10, -0x1.10904cf4f515ep-10, -0x1.06468edafdbe6p-10, -0x1.f8cc76ea88f0bp-11, -0x1.e5d6c000565a3p-11, -0x1.d3a453d7b9b42p-11, -0x1.c22dcc15691b4p-11, -0x1.b16bff86887d9p-11, -0x1.a158008bf978dp-11, -0x1.91eb1b8cea08p-11, -0x1.831ed5709db84p-11, -0x1.74ecea1f6f97cp-11, -0x1.674f4b0afe75cp-11, -0x1.5a401dbd8493ep-11, -0x1.4db9ba7049e5p-11, -0x1.41b6aaa92ac56p-11, -0x1.3631a7df25a92p-11, -0x1.2b259a25e4f28p-11, -0x1.208d96e03565fp-11, -0x1.1664df795b45fp-11, -0x1.0ca6e02538cd7p-11, -0x1.034f2ea733cc2p-11, -0x1.f4b3123f928dp-12, -0x1.e383a9c182bc8p-12, -0x1.d3083a8fd7ba9p-12, -0x1.c3392540b036p-12, -0x1.b40f1213e1a03p-12, -0x1.a582eeced6d27p-12, -0x1.978deca4e8a64p-12, -0x1.8a297e2c0aaep-12, -0x1.7d4f555da22a4p-12, -0x1.70f961a3570c5p-12, -0x1.6521cdefbe985p-12, -0x1.59c2fee2aa1p-12, -0x1.4ed790f8f31d8p-12, -0x1.445a56c7980e9p-12, -0x1.3a465741f97dap-12, -0x1.3096cc0b0f124p-12, -0x1.27471fd16737ap-12, -0x1.1e52ecb5bd167p-12, -0x1.15b5fabc00cc7p-12, -0x1.0d6c3e469e152p-12, -0x1.0571d69bd7105p-12, -0x1.fb8618ea024e2p-13, -0x1.ecb8a12ef9c3dp-13, -0x1.de7474ee6c7ecp-13, -0x1.d0b30dc503b5dp-13, -0x1.c36e2d6e51ea9p-13, -0x1.b69fdb40f8918p-13, -0x1.aa4261bc6c886p-13, -0x1.9e504c281a4ebp-13, -0x1.92c464437c1b2p-13, -0x1.8799b006daa75p-13, -0x1.7ccb6f74511c7p-13, -0x1.72551a78cfab9p-13, -0x1.68325edcb8d7bp-13, -0x1.5e5f1e43cb146p-13, -0x1.54d76c3c020dap-13, -0x1.4b978c5b1cbc2p-13, -0x1.429bf06a739ap-13, -0x1.39e136a0d34fap-13, -0x1.316427e9fff8bp-13, -0x1.2921b63ba4a84p-13, -0x1.2116faf74a4aap-13, -0x1.194135591a726p-13, -0x1.119dc8f31b324p-13, -0x1.0a2a3c34920dfp-13, -0x1.02e436fd4fda5p-13, -0x1.f7930279302e3p-14, -0x1.e9b00336a5641p-14, -0x1.dc1b7862a2822p-14, -0x1.ced1a28aa6123p-14, -0x1.c1cef82f1c57ap-14, -0x1.b510236cdf3fap-14, -0x1.a891ffbab7cf3p-14, -0x1.9c5197ba44e1p-14, -0x1.904c231bdf121p-14, -0x1.847f0494e090ap-14, -0x1.78e7c7e7ee9fbp-14, -0x1.6d841ffeb98dep-14, -0x1.6251e514c3429p-14, -0x1.574f12f2b465cp-14, -0x1.4c79c739ce1c6p-14, -0x1.41d03fbf04b08p-14, -0x1.3750d8f5593a1p-14, -0x1.2cfa0c67006d2p-14, -0x1.22ca6f3cefb1ap-14, -0x1.18c0b0d465df7p-14, -0x1.0edb99620c2dep-14, -0x1.051a08a247efbp-14, -0x1.f6f5e92cbb434p-15, -0x1.e3fad09c0a335p-15, -0x1.d141057a1f6ffp-15, -0x1.bec6eb398b446p-15, -0x1.ac8b08b144f55p-15, -0x1.9a8c060c282c9p-15, -0x1.88c8aacdda029p-15, -0x1.773fdbec5f58dp-15, -0x1.65f099fdcb656p-15, -0x1.54d9ff79616bdp-15, -0x1.43fb3f0b8ep-15, -0x1.3353a1fc1fc69p-15, -0x1.22e286a629d32p-15, -0x1.12a75f0101534p-15, -0x1.02a1af39c2cdfp-15, -0x1.e5a218b9b57ebp-16, -0x1.c66a361e0fdbp-16, -0x1.a79b1caaa2e1cp-16, -0x1.89344cd6ee096p-16, -0x1.6b355f50abeap-16, -0x1.4d9e02df9e06cp-16, -0x1.306dfa636e2aep-16, -0x1.13a51aeab05b6p-16, -0x1.ee8693c47172p-17, -0x1.b690f6b7a66afp-17, -0x1.7f6960d742124p-17, -0x1.490feb366a3a9p-17, -0x1.1384c2e36c05ep-17, -0x1.bd904c40e21dfp-18, -0x1.55b4c3865ff41p-18, -0x1.deef3ae88ae85p-19, -0x1.15b33ed7690bcp-19, -0x1.3edcef5107172p-21, 0x1.cc0c3cdd9a3fcp-21, 0x1.3279d53cfc0fbp-19, 0x1.eeab4256e6558p-19, 0x1.53cac14ffbd16p-18, 0x1.ae9b644c7b4f4p-18, 0x1.03e354c836621p-17, 0x1.2fa5dcc109572p-17, 0x1.5a94e409efc83p-17, 0x1.84b00b94d6e07p-17, 0x1.adf6fc67e9c53p-17, 0x1.d66968a305de4p-17, 0x1.fe070c6ffa95cp-17, 0x1.1267d76f54a21p-16, 0x1.25619156dc914p-16, 0x1.37f0a3806f2c8p-16, 0x1.4a150402c0673p-16, 0x1.5bceafc346f5fp-16, 0x1.6d1daab81d636p-16, 0x1.7e02002243d24p-16, 0x1.8e7bc2c09775ep-16, 0x1.9e8b0cfbdedcdp-16, 0x1.ae30010c43b08p-16, 0x1.bd6ac91885925p-16, 0x1.cc3b974f46a4fp-16, 0x1.daa2a5fab1e39p-16, 0x1.e8a0378ece24cp-16, 0x1.f63496b2c971dp-16, 0x1.01b00b22bcf96p-15, 0x1.081188aeb2eddp-15, 0x1.0e3ef5a2437a5p-15, 0x1.143887b807194p-15, 0x1.19fe78ba3646p-15, 0x1.1f91067ae3f9dp-15, 0x1.24f072ca95822p-15, 0x1.2a1d036d4b7f5p-15, 0x1.2f17020e15a1dp-15, 0x1.33debc31535f3p-15, 0x1.38748325abb57p-15, 0x1.3cd8abf3def06p-15, 0x1.410b8f4d84732p-15, 0x1.450d897ac5764p-15, 0x1.48defa4732fcfp-15, 0x1.4c8044edbeef6p-15, 0x1.4ff1d003f5885p-15, 0x1.5334056481e5fp-15, 0x1.5647521911e9cp-15, 0x1.592c2643a9fb8p-15, 0x1.5be2f50776bbap-15, 0x1.5e6c34712ea8cp-15, 0x1.60c85d5f0cbadp-15, 0x1.62f7eb687767ap-15, 0x1.64fb5cc55e83dp-15, 0x1.66d332355b2c4p-15, 0x1.687feee69f674p-15, 0x1.6a02185cc106ep-15, 0x1.6b5a3657675b7p-15, 0x1.6c88d2b8ea7d5p-15, 0x1.6d8e796ce994ap-15, 0x1.6e6bb84ee45edp-15, 0x1.6f211f10dd5a6p-15, 0x1.6faf3f2210d7bp-15, 0x1.7016ab95c4e63p-15, 0x1.7057f90a3a66dp-15, 0x1.7073bd8fc8a27p-15, 0x1.706a909025e92p-15, 0x1.703d0ab5e5e04p-15, 0x1.6febc5d4328b2p-15, 0x1.6f775ccec4bc3p-15, 0x1.6ee06b82220fbp-15, 0x1.6e278eac24c23p-15, 0x1.6d4d63d4d044ap-15, 0x1.6c5289377799ep-15, 0x1.6b379dac3bf96p-15, 0x1.69fd4091e0d4cp-15, 0x1.68a411b7fde71p-15, 0x1.672cb14990617p-15, 0x1.6597bfb7ed5ecp-15, 0x1.63e5dda618243p-15, 0x1.6217abd47e581p-15, 0x1.602dcb0d1e25p-15, 0x1.5e28dc1014208p-15, 0x1.5c097f8094337p-15, 0x1.59d055d252eadp-15, 0x1.577dff3757447p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.b63c18808d74ap-1, 0x1.b36101dd39165p-1, 0x1.b08b69ca68eaap-1, 0x1.adbc37b876405p-1, 0x1.aaf40d16032e8p-1, 0x1.a8334d20b101p-1, 0x1.a57a24532dc2ep-1, 0x1.a2c88f65283e9p-1, 0x1.a01e61d63eeb2p-1, 0x1.9d7b4c0090d0fp-1, 0x1.9adee0b25839cp-1, 0x1.98489a5010a93p-1, 0x1.95b7df82465cbp-1, 0x1.932c07734d331p-1, 0x1.90a45da1fc10cp-1, 0x1.8e20254f0ce39p-1, 0x1.8b9e9c8b1ea7bp-1, 0x1.891efeeb82916p-1, 0x1.86a087ec0255bp-1, 0x1.84227503c28d7p-1, 0x1.81a407733e22ep-1, 0x1.7f2485d122bbep-1, 0x1.7ca33d5b9f4fap-1, 0x1.7a1f8313683ffp-1, 0x1.7798b4a574175p-1, 0x1.750e39282439cp-1, 0x1.727f81b03f36ep-1, 0x1.6fec09c1db638p-1, 0x1.6d5357a107756p-1, 0x1.6ab4fc85bb208p-1, 0x1.681094b655c1fp-1, 0x1.6565c78ba34cp-1, 0x1.62b44761333c5p-1, 0x1.5ffbd1747c76ep-1, 0x1.5d3c2db521f66p-1, 0x1.5a752e886cb2bp-1, 0x1.57a6b081e396fp-1, 0x1.54d09a12b91b3p-1, 0x1.51f2db319c185p-1, 0x1.4f0d6cfc56744p-1, 0x1.4c20515477d88p-1, 0x1.492b927830ed1p-1, 0x1.462f42985e2c3p-1, 0x1.432b7b6cac823p-1, 0x1.40205dc6a0463p-1, 0x1.3d0e112434d7ep-1, 0x1.39f4c342b36fbp-1, 0x1.36d4a7b24c8bbp-1, 0x1.33adf76aeeae8p-1, 0x1.3080f062bfcf9p-1, 0x1.2d4dd5269b587p-1, 0x1.2a14ec74d8a29p-1, 0x1.26d680daa4f1p-1, 0x1.2392e0541fbe9p-1, 0x1.204a5bef6ad8dp-1, 0x1.1cfd4772d1e9dp-1, 0x1.19abf90622809p-1, 0x1.1656c8df4f347p-1, 0x1.12fe10f268aa6p-1, 0x1.0fa22ca4f7eadp-1, 0x1.0c437884c0304p-1, 0x1.08e25201e4e37p-1, 0x1.057f172c74338p-1, 0x1.021a26754d486p-1, 0x1.fd67bce4b3d58p-2, 0x1.f6993b4c195ccp-2, 0x1.efc9849432919p-2, 0x1.e8f9543aa6933p-2, 0x1.e2296469479ffp-2, 0x1.db5a6d9e01d13p-2, 0x1.d48d2658a917ep-2, 0x1.cdc242ce76187p-2, 0x1.c6fa74a3107a4p-2, 0x1.c0366aa6e9f7ap-2, 0x1.b976d09ace0a5p-2, 0x1.b2bc4ef869f25p-2, 0x1.ac078abfa5f33p-2, 0x1.a55925489ef62p-2, 0x1.9eb1bc1a11f28p-2, 0x1.9811e8c4092c8p-2, 0x1.917a40bea2623p-2, 0x1.8aeb554cb9222p-2, 0x1.8465b3624e94fp-2, 0x1.7de9e38e7deb2p-2, 0x1.777869e8d729ap-2, 0x1.7111c601ef145p-2, 0x1.6ab672d701e79p-2, 0x1.6466e6c879624p-2, 0x1.5e23939334416p-2, 0x1.57ece64c62c2ep-2, 0x1.51c3475fdb284p-2, 0x1.4ba71a90b6488p-2, 0x1.4598befc19ce6p-2, 0x1.3f988f1e0d63cp-2, 0x1.39a6e0d83254ep-2, 0x1.33c4057a473c1p-2, 0x1.2df049cc4fb15p-2, 0x1.282bf61a4c328p-2, 0x1.22774e415a3efp-2, 0x1.1cd291be2befdp-2, 0x1.173dfbbcb28c2p-2, 0x1.11b9c328ed24bp-2, 0x1.0c461ac0b7275p-2, 0x1.06e3312689475p-2, 0x1.019130f512c7cp-2, 0x1.f8a081a7242e6p-3, 0x1.ee410715bff41p-3, 0x1.e404303624013p-3, 0x1.d9ea33a34d4abp-3, 0x1.cff340c04f745p-3, 0x1.c61f7fe664db2p-3, 0x1.bc6f1293aa26dp-3, 0x1.b2e2139a63f38p-3, 0x1.a9789750b8982p-3, 0x1.a032abc0be5d2p-3, 0x1.971058d8c11e8p-3, 0x1.8e11a09baf821p-3, 0x1.85367f5192bcap-3, 0x1.7c7eebb7fca99p-3, 0x1.73ead73257fa9p-3, 0x1.6b7a2dfa0b8b4p-3, 0x1.632cd74e56754p-3, 0x1.5b02b5a3e07e6p-3, 0x1.52fba6d3e0f9bp-3, 0x1.4b17844adc1afp-3, 0x1.43562336dfdd3p-3, 0x1.3bb754b539747p-3, 0x1.343ae5ff91b18p-3, 0x1.2ce0a0986e964p-3, 0x1.25a84a770ce88p-3, 0x1.1e91a63283b1p-3, 0x1.179c732c2fe2fp-3, 0x1.10c86db9682dep-3, 0x1.0a154f4c594dcp-3, 0x1.0382ce9c2a84ep-3, 0x1.fa213f987e49ep-4, 0x1.ed7ce92559cfep-4, 0x1.e117f8bbacc39p-4, 0x1.d4f1c8f2569adp-4, 0x1.c909b06203073p-4, 0x1.bd5f01eb30659p-4, 0x1.b1f10cfa623acp-4, 0x1.a6bf1dca8f915p-4, 0x1.9bc87da5c2aa4p-4, 0x1.910c7323fe3dp-4, 0x1.868a426840ddp-4, 0x1.7c412d5bd57f2p-4, 0x1.723073e7ce1b1p-4, 0x1.6857542cbe0ddp-4, 0x1.5eb50ab8afa8dp-4, 0x1.5548d2bb5abd4p-4, 0x1.4c11e6389e98dp-4, 0x1.430f7e3943adfp-4, 0x1.3a40d2fa0a5a7p-4, 0x1.31a51c190b069p-4, 0x1.293b90c16e1dep-4, 0x1.210367d57ee06p-4, 0x1.18fbd81723c62p-4, 0x1.1124184ebe0bap-4, 0x1.097b5f70798c2p-4, 0x1.0200e4c0144e3p-4, 0x1.f567bfe64399cp-5, 0x1.e72712a3aaddbp-5, 0x1.d93e33acace62p-5, 0x1.cbab969555c05p-5, 0x1.be6db0ca76159p-5, 0x1.b182f9c7f3aebp-5, 0x1.a4e9eb4c6f092p-5, 0x1.98a1018a4e2dfp-5, 0x1.8ca6bb563daddp-5, 0x1.80f99a53373cfp-5, 0x1.7598231c1c028p-5, 0x1.6a80dd6af6a91p-5, 0x1.5fb2543df2e8cp-5, 0x1.552b15fa16dc4p-5, 0x1.4ae9b48bd60d2p-5, 0x1.40ecc58587035p-5, 0x1.3732e23bcdfdbp-5, 0x1.2dbaa7e00d02dp-5, 0x1.2482b798e5407p-5, 0x1.1b89b698e03fp-5, 0x1.12ce4e33457a5p-5, 0x1.0a4f2bef36c53p-5, 0x1.020b019918bdp-5, 0x1.f4010aa4ba3d7p-6, 0x1.e45ce33f6f92dp-6, 0x1.d5270aeba2262p-6, 0x1.c65d0888fe953p-6, 0x1.b7fc6c0134cd7p-6, 0x1.aa02ce58e06d3p-6, 0x1.9c6dd1bddd166p-6, 0x1.8f3b219311f49p-6, 0x1.82687279d6f0ep-6, 0x1.75f382590c35ap-6, 0x1.69da1861f4e46p-6, 0x1.5e1a0512f6c62p-6, 0x1.52b12238535d3p-6, 0x1.479d52eae7036p-6, 0x1.3cdc838d184dap-6, 0x1.326ca9c5fb392p-6, 0x1.284bc47ac7cd1p-6, 0x1.1e77dbc6b2f78p-6, 0x1.14ef00f142fabp-6, 0x1.0baf4e63304efp-6, 0x1.02b6e799e48f3p-6, 0x1.f407f23360255p-7, 0x1.e32970bd7d4a6p-7, 0x1.d2cec799d06e2p-7, 0x1.c2f4853cc64dcp-7, 0x1.b39749a2e5c3cp-7, 0x1.a4b3c62a396aap-7, 0x1.9646bd69e6005p-7, 0x1.884d030810b8bp-7, 0x1.7ac37b8e2ed51p-7, 0x1.6da71c3bdaa65p-7, 0x1.60f4ead845e66p-7, 0x1.54a9fd8273a18p-7, 0x1.48c37a8039b05p-7, 0x1.3d3e980c34d1ep-7, 0x1.32189c22c94ccp-7, 0x1.274edc4e31e9ep-7, 0x1.1cdebd71cb741p-7, 0x1.12c5b394a2803p-7, 0x1.090141ab5dac4p-7, 0x1.ff1df2c32d89bp-8, 0x1.ecd8f5c5695fdp-8, 0x1.db2ee944b35cap-8, 0x1.ca1b4648ebb45p-8, 0x1.b999a18a1cb39p-8, 0x1.a9a5aaff9575ep-8, 0x1.9a3b2d6eaad1ap-8, 0x1.8b560df93db7fp-8, 0x1.7cf24bac232ebp-8, 0x1.6f0bff0d8618dp-8, 0x1.619f59ab5dd34p-8, 0x1.54a8a5aa114aap-8, 0x1.482445535a3eap-8, 0x1.3c0eb2a583ff5p-8, 0x1.30647ee314d8dp-8, 0x1.25225222f8698p-8, 0x1.1a44eae13bc57p-8, 0x1.0fc91d906db4p-8, 0x1.05abd42bb431fp-8, 0x1.f7d41b9347c7fp-9, 0x1.e501bc5fd5d7bp-9, 0x1.d2dadacfb7071p-9, 0x1.c159eea7c4f1ap-9, 0x1.b079968beea73p-9, 0x1.a034972e20034p-9, 0x1.9085da7f44528p-9, 0x1.81686ee279ab4p-9, 0x1.72d7866285dbcp-9, 0x1.64ce75e99dd27p-9, 0x1.5748b47b8d026p-9, 0x1.4a41da724e37ep-9, 0x1.3db5a0bd1e4e8p-9, 0x1.319fe02216dc2p-9, 0x1.25fc90825d329p-9, 0x1.1ac7c820e6d9p-9, 0x1.0ffdbaebe7c0cp-9, 0x1.059ab9c8e6d48p-9, 0x1.f73663c7072abp-10, 0x1.e3f757fdeb8b5p-10, 0x1.d171979481e4ap-10, 0x1.bf9e9e6e59794p-10, 0x1.ae781ba7f1c69p-10, 0x1.9df7f04fb3fb1p-10, 0x1.8e182e246aabep-10, 0x1.7ed316594aeep-10, 0x1.7023185f80304p-10, 0x1.6202d0b54bb98p-10, 0x1.546d07ba9cc56p-10, 0x1.475cb08b3a045p-10, 0x1.3acce7de57586p-10, 0x1.2eb8f2ebb6338p-10, 0x1.231c3e562b714p-10, 0x1.17f25d1b8bca9p-10, 0x1.0d37078a09079p-10, 0x1.02e61a3ad597ap-10, 0x1.f1f72a2440f24p-11, 0x1.dee73488a1ffbp-11, 0x1.cc94dac0f32dap-11, 0x1.baf8e4bfee42p-11, 0x1.aa0c59765d1f3p-11, 0x1.99c87d06b85d8p-11, 0x1.8a26cf02cd9ecp-11, 0x1.7b2108b351affp-11, 0x1.6cb11b6942199p-11, 0x1.5ed12ed8f4916p-11, 0x1.517b9f7ebb4fp-11, 0x1.44aafd0cf954dp-11, 0x1.385a08e38a887p-11, 0x1.2c83b4905e463p-11, 0x1.2123205921fbfp-11, 0x1.163399cddc459p-11, 0x1.0bb09a6455dc5p-11, 0x1.0195c61c2fed6p-11, 0x1.efbdd45702a98p-12, 0x1.dd0ff767bb631p-12, 0x1.cb1a2cff40fbfp-12, 0x1.b9d4f78eaf622p-12, 0x1.a93921fe60611p-12, 0x1.993fbd5874d4bp-12, 0x1.89e21e82d56dp-12, 0x1.7b19dc0857b1dp-12, 0x1.6ce0cbf0cc45dp-12, 0x1.5f3101a7aa4e4p-12, 0x1.5204cbf113168p-12, 0x1.4556b2ece97b8p-12, 0x1.39217627b750cp-12, 0x1.2d600ab91bd6fp-12, 0x1.220d996f7ed01p-12, 0x1.17257d08c42fep-12, 0x1.0ca34077bb81p-12, 0x1.02829d360a97ap-12, 0x1.f17ef3449d54dp-13, 0x1.deabced465084p-13, 0x1.cc844400701b2p-13, 0x1.bb011a39e8aa3p-13, 0x1.aa1b669701aap-13, 0x1.99cc8901bbecep-13, 0x1.8a0e297c14f1fp-13, 0x1.7ada357926c9p-13, 0x1.6c2add4ab6723p-13, 0x1.5dfa91a2bf3a9p-13, 0x1.5044012882641p-13, 0x1.43021620a34cdp-13, 0x1.362ff427d9308p-13, 0x1.29c8f5ffcfd5cp-13, 0x1.1dc8ab6db74p-13, 0x1.122ad72a1c9e2p-13, 0x1.06eb6ce1a1463p-13, 0x1.f80d1e8c31b1fp-14, 0x1.e2f11c5f638fap-14, 0x1.ce7bc99b6f49bp-14, 0x1.baa66fcd1853ap-14, 0x1.a76aa84ce08dfp-14, 0x1.94c258f97927ep-14, 0x1.82a7b10e5157p-14, 0x1.7115261577817p-14, 0x1.600570f424c8fp-14, 0x1.4f738b112c715p-14, 0x1.3f5aab949f7e5p-14, 0x1.2fb644bff628p-14, 0x1.2082015e0d588p-14, 0x1.11b9c24a521afp-14, 0x1.03599c0e71777p-14, 0x1.eabba92bd81a6p-15, 0x1.cf85c1edd632ap-15, 0x1.b50ac69f7b3e1p-15, 0x1.9b445170c2486p-15, 0x1.822c4e8f06072p-15, 0x1.69bcf854cb6c7p-15, 0x1.51f0d39e37e33p-15, 0x1.3ac2ac4118be9p-15, 0x1.242d91a76ceb9p-15, 0x1.0e2cd38b61f61p-15, 0x1.f177fda7794bbp-16, 0x1.c7adb51f6aa53p-16, 0x1.9ef2ca228e196p-16, 0x1.773fa249faa7bp-16, 0x1.508d06ccb4453p-16, 0x1.2ad41f5fc5d41p-16, 0x1.060e6d4bee8bap-16, 0x1.c46b8d6e4f563p-17, 0x1.7e88a4409b943p-17, 0x1.3a690416a17e7p-17, 0x1.f00443713406p-18, 0x1.6e93f37ff4543p-18, 0x1.e0dc24001703ap-19, 0x1.d6022a18a5c4bp-20, -0x1.22e9a651e43eep-25, -0x1.dbd5843acaff4p-20, -0x1.d13b5c71d4e64p-19, -0x1.574d8c3eab94ep-18, -0x1.c3131a17a02a6p-18, -0x1.15fde7a03dd49p-17, -0x1.490a431bc690fp-17, -0x1.7ab4c33cf3317p-17, -0x1.ab034702de835p-17, -0x1.d9fb6d3331e14p-17, -0x1.03d14c53a083fp-16, -0x1.19fefa31163f3p-16, -0x1.2f893bb9298cep-16, -0x1.4472744ff358bp-16, -0x1.58bcf0f557949p-16, -0x1.6c6ae9ec60e2cp-16, -0x1.7f7e844c14c31p-16, -0x1.91f9d37a8ce6dp-16, -0x1.a3deda933c428p-16, -0x1.b52f8db93978dp-16, -0x1.c5edd3564f054p-16, -0x1.d61b8547a66f4p-16, -0x1.e5ba71f8c9e11p-16, -0x1.f4cc5d6db8326p-16, -0x1.01a9811e607f4p-15, -0x1.08a8093c6c4b6p-15, -0x1.0f629c4689d1cp-15, -0x1.15da0c04f19b8p-15, -0x1.1c0f27325c3f9p-15, -0x1.2202b9d556951p-15, -0x1.27b58d935dc97p-15, -0x1.2d2869fe0f5edp-15, -0x1.325c14daaea55p-15, -0x1.37515264492f4p-15, -0x1.3c08e588b15fep-15, -0x1.4083902097db9p-15, -0x1.44c21322f988ep-15, -0x1.48c52ed41b6aap-15, -0x1.4c8da2f0552ecp-15, -0x1.501c2ed2d2cap-15, -0x1.5371919890822p-15, -0x1.568e8a3fb624cp-15, -0x1.5973d7c38b6e4p-15, -0x1.5c2239352ce47p-15, -0x1.5e9a6dd135079p-15, -0x1.60dd351280674p-15, -0x1.62eb4ec23383p-15, -0x1.64c57b05348c1p-15, -0x1.666c7a6731e4cp-15, -0x1.67e10de365473p-15, -0x1.6923f6eb31d88p-15, -0x1.6a35f76abd948p-15, -0x1.6b17d1cbab8aap-15, -0x1.6bca48f613068p-15, -0x1.6c4e204fcfbd8p-15, -0x1.6ca41bba4bcbep-15, -0x1.6cccff8ede29bp-15, -0x1.6cc99099d3923p-15, -0x1.6c9a941441923p-15, -0x1.6c40cf9cb4acbp-15, -0x1.6bbd092ed949cp-15, -0x1.6b10071a2c0cp-15, -0x1.6a3a8ff7cbda8p-15, -0x1.693d6a9f833bep-15, -0x1.68195e1c1657fp-15, -0x1.66cf319eec53p-15, -0x1.655fac7324948p-15, -0x1.63cb95f026073p-15, -0x1.6213b56bbbc69p-15, -0x1.6038d22bca096p-15, -0x1.5e3bb357ae611p-15, -0x1.5c1d1fe95111bp-15, -0x1.59ddde9dffa7p-15, -0x1.577eb5e70de39p-15, -0x1.55006bda58c8bp-15, -0x1.5263c622a81cap-15, -0x1.4fa989f000cedp-15, -0x1.4cd27be7f1f4ep-15, -0x1.49df6015dee59p-15, -0x1.46d0f9db56a85p-15, -0x1.43a80be07b3f3p-15, -0x1.40655804833dfp-15, -0x1.3d099f4e5ab92p-15, -0x1.3995a1dd6b7b2p-15, -0x1.360a1eda91e5cp-15, -0x1.3267d46944449p-15, -0x1.2eaf7f98f30cep-15, -0x1.2ae1dc56a2095p-15, -0x1.26ffa55ec8249p-15, -0x1.2309942f6f54fp-15, -0x1.1f0060faa08d3p-15, -0x1.1ae4c2991cc81p-15, -0x1.16b76e7d6103ap-15, -0x1.127918a703f35p-15, -0x1.0e2a739663516p-15, -0x1.09cc3040aa2e5p-15, -0x1.055efe04320aep-15, -0x1.00e38a9d3e60fp-15, -0x1.f8b5043628d0cp-16, -0x1.ef891daae4aaap-16, -0x1.e644b2c4cab0dp-16, -0x1.dce91118ffa2ap-16, -0x1.d3778292e52afp-16, -0x1.c9f14d62070e6p-16, -0x1.c057b3e8d8998p-16, -0x1.b6abf4ac2914bp-16, -0x1.acef4a436b59cp-16, -0x1.a322eb49b3b7bp-16, -0x1.99480a4f8614fp-16, -0x1.8f5fd5cd61955p-16, -0x1.856b78170d5d1p-16, -0x1.7b6c174fada53p-16, -0x1.7162d55e9148ap-16, -0x1.6750cfe4c1de7p-16, -0x1.5d3720335157bp-16, -0x1.5316db426014fp-16, -0x1.48f111a8df0d4p-16, -0x1.3ec6cf9502805p-16, -0x1.34991cc56f493p-16, -0x1.2a68fc8318037p-16, -0x1.20376d9bc667bp-16, -0x1.16056a5d53c21p-16, -0x1.0bd3e891894d3p-16, -0x1.01a3d97aa92afp-16, -0x1.eeec53a12bc7bp-17, -0x1.da97837d45076p-17, -0x1.c64b09c3e9fbp-17, -0x1.b208a49118426p-17, -0x1.9dd208e1ae3f5p-17, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      47, 0x1.0cccccccccccdp+2, 0x1.1227631ebbe29p+1, 0x1.f490048589b7bp+1, -0x1.467508fc1adbp-1, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.9771d1d4738a4p+1, -0x1.05deb11239a3fp+3, 0x1.1870a3d70a3c8p+3, 0x1.85726bf5cf542p+0}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.6f5a4acf312b2p+1, -0x1.de66ec40b995fp+2, 0x1.1e481dc786f24p+3, -0x1.e6cf06f343274p+2}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.4ad9b5e95b78dp+1, -0x1.b2ef03c8aceb2p+2, 0x1.0112bc151765ap+3, -0x1.2e207f3067ee5p+2}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.29a98eda22f6ap+1, -0x1.8b408d02276bcp+2, 0x1.dde42138daa46p+2, -0x1.45aefc4b1b594p+2}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.0b879c4113c68p+1, -0x1.66958a5536025p+2, 0x1.b6cf21aab8a3ep+2, -0x1.25238fa32f5bcp+2}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.e06b59146e4c1p+0, -0x1.44e2f05e0b9dp+2, 0x1.93a1e7786b472p+2, -0x1.15c2c5281ef15p+2}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.aef31b152f3c3p+0, -0x1.25eddbedcb795p+2, 0x1.724d177dd8346p+2, -0x1.02d15bbc590d8p+2}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.82398201cd5fap+0, -0x1.098c20880fcd4p+2, 0x1.533e35717b992p+2, -0x1.e1ef97ccfc27p+1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.59d8b60f1b25fp+0, -0x1.df211047dbe2cp+1, 0x1.3653ac55d2de7p+2, -0x1.c29ee9535860fp+1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.3571d1d4738a4p+0, -0x1.afa3cc7519993p+1, 0x1.1b4a2374a9b9ep+2, -0x1.a194c2e5a7282p+1}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.14ac4b4d056c5p+0, -0x1.84516151ec672p+1, 0x1.023c17c30b377p+2, -0x1.850e0b160d537p+1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.ee6bc621b7e0bp-1, -0x1.5cde27e9e9da7p+1, 0x1.d5c86ba22950ap+1, -0x1.663310c21a6c8p+1}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.b9845dc832335p-1, -0x1.390128650a4f6p+1, 0x1.aacc8857ab439p+1, -0x1.4e25b1e18c421p+1}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.8a1511dffc548p-1, -0x1.1876ea52696aap+1, 0x1.82b3877a0b12bp+1, -0x1.313627b7b73dap+1}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.5f9acffa7eb6cp-1, -0x1.f5fca2446ac83p+0, 0x1.5e136e3b09905p+1, -0x1.1d01af3f95216p+1}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.399d0203e63e9p-1, -0x1.c0b5f506be3ddp+0, 0x1.3be00747e3302p+1, -0x1.02c31b49f4dbap+1}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.17abfb9bed30fp-1, -0x1.90a7a57aed57cp+0, 0x1.1cd2db0bd00b7p+1, -0x1.dbe3c73133d19p+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.f2c343b70ef56p-2, -0x1.655e0af76e19p+0, 0x1.0045305fe6895p+1, -0x1.b6eaaca73b0f7p+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.bcc07aaef2c73p-2, -0x1.3e788dae50de2p+0, 0x1.cbdedb640daa6p+0, -0x1.8c718631e6463p+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.8ca36199780bbp-2, -0x1.1b958dfa1c0a8p+0, 0x1.9c4c1d351afe1p+0, -0x1.6b4f3a912d1a7p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.61cf7878b7a1cp-2, -0x1.f8b047c427e87p-1, 0x1.70b33f23af2e1p+0, -0x1.4a518f89638d2p+0}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.3bb5e0f7fcfc4p-2, -0x1.c0de1ca2af095p-1, 0x1.490fdbfeb7b69p+0, -0x1.276a874945114p+0}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.19d4d834091c1p-2, -0x1.8f0dbfc0ac85p-1, 0x1.259cad0a67bebp+0, -0x1.100453518927ap+0}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.f76ee73e681aap-3, -0x1.62afe8dc0de08p-1, 0x1.04f8511f57494p+0, -0x1.e10856e12a744p-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.c1e68a0d349bfp-3, -0x1.3b3dabf6d727ap-1, 0x1.d0375023a97a5p-1, -0x1.b3d5fdd844b04p-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.925247cb70ac4p-3, -0x1.183214f434d4ep-1, 0x1.9bea6f1e30986p-1, -0x1.879fb1bdc2accp-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.6806af46aa088p-3, -0x1.f23e8c85f79f5p-2, 0x1.6cebc03060eap-1, -0x1.55ab3b30b6b6dp-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.426a22b3892efp-3, -0x1.bb23130020c23p-2, 0x1.43ebaed89ce9p-1, -0x1.39b3617f55cfcp-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.20f4d7add15fp-3, -0x1.8a523c5d423bp-2, 0x1.1e46cc1b40b15p-1, -0x1.0b873ed1f7e25p-1}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.032ca57a786c2p-3, -0x1.5f15d366cad91p-2, 0x1.fc58a7db272c4p-2, -0x1.f05f4671960a1p-2}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.d14d2f5dbb9dp-4, -0x1.38ccd5e040098p-2, 0x1.c0c81a4867168p-2, -0x1.97746895ba034p-2}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.a20578e5c4eb5p-4, -0x1.16da77b4ac998p-2, 0x1.8fe317f8fed8bp-2, -0x1.81cf17377f53ap-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.77dd872f33ca3p-4, -0x1.f16db96b007ebp-3, 0x1.61970af255f77p-2, -0x1.414f3a8c49f8p-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.5240746455eafp-4, -0x1.bbf053e0675dap-3, 0x1.3b086a5224215p-2, -0x1.18f3fe9758777p-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.30ae536501e26p-4, -0x1.8c3b0d31b17cdp-3, 0x1.19518935bd5abp-2, -0x1.f5c1962ca9947p-3}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.12b7fe08aefb3p-4, -0x1.61a0cdc5c6cb7p-3, 0x1.f66d1f1e70995p-3, -0x1.b711aa1ea922fp-3}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.eff5c6c11a111p-5, -0x1.3b8aa45e513c5p-3, 0x1.c1bcebfc0a61dp-3, -0x1.6df7c158ade08p-3}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.c0420f6f08cc5p-5, -0x1.1951b5a4b116p-3, 0x1.95d26424995b7p-3, -0x1.510f507ea263ap-3}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.95c209246bf01p-5, -0x1.f4f1509156a9bp-4, 0x1.6d5fe9d7f6827p-3, -0x1.2dcafcaccf208p-3}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.6ff1950331e3ap-5, -0x1.bd61413d3e516p-4, 0x1.4928d5c339d0ep-3, -0x1.ef89799c2491ep-4}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.4e5b4245f5ad9p-5, -0x1.8b17cc1002dcep-4, 0x1.2b6d62f22d61ap-3, -0x1.e6442035de16ep-4}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.309a671ef30a5p-5, -0x1.5d84c771eb0ep-4, 0x1.0e4056c5fc376p-3, -0x1.7766058c65ae6p-4}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.1652bd3c36113p-5, -0x1.34149315e2514p-4, 0x1.ef746f70e1fd7p-4, -0x1.fc23c9988876cp-4}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.fe64f54d1e96cp-6, -0x1.0ee20fd928235p-4, 0x1.b27a617d4c7e8p-4, -0x1.80ad411795894p-8}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.d5d3dc8b86b16p-6, -0x1.d87afd3e964d5p-5, 0x1.af97cd29482c4p-4, -0x1.98ec3988648ep-2}, 
        {0x1.8p+1, 0x1.bd70a3d70a3d7p+1, 0x1.b25f633ce63a6p-6, -0x1.a320d0b398094p-5, 0x1.d69ebf40444bp-5, -0x1.365ce36e8cc4ep-5}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.0cccccccccccdp+2, 0x1.6872b020c49bap-7, -0x1.6bb61be9619f6p-6, 0x1.7b296781d6cf5p-9, -0x1.9831ecfeec8c3p-5}, 
      }}, 
      0x1.3d43f1b13d43dp-3, -0x1.9dd69493310f7p-4
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_s_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    SkfData::SameElementLine {0x1.5ebe3be55e691p-6, -0x1.08381b4f66c58p-2, -0x1.4290801564155p-1, 0x0p+0, 0x1.40cc78e9f6a94p-2, 0x1.60956c0d6f545p-2, 0x1.50b0f27bb2fecp-2, 0, 4, 2}, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.1968c7ce35bdbp-2, -0x1.0d32deea23cep-2, -0x1.011039e6d158cp-2, -0x1.ea16e31998efcp-3, -0x1.d25d5abfac143p-3, -0x1.bb0468e401e06p-3, -0x1.a41bb89c33c7ap-3, -0x1.8db26064fdabbp-3, -0x1.77d507b68460cp-3, -0x1.628eab1284bacp-3, -0x1.4de99131971efp-3, -0x1.39eeaa3d72d66p-3, -0x1.26a5487911c37p-3, -0x1.14139b838ad27p-3, -0x1.023ee391d7a23p-3, -0x1.e256935a3e537p-4, -0x1.c1b7b6f1555a7p-4, -0x1.a2a563e615568p-4, -0x1.85221599d5f8dp-4, -0x1.692e93c0033b6p-4, -0x1.4eca03eced5f5p-4, -0x1.35ee8dc338a48p-4, -0x1.1e9fce5706913p-4, -0x1.08d7e82b8be06p-4, -0x1.e91d0fbbacc88p-5, -0x1.c37472618deaep-5, -0x1.a0a4a99c72e14p-5, -0x1.809ed911b4541p-5, -0x1.63547779c983p-5, -0x1.48b44b306c69bp-5, -0x1.30a8c3e3fc1c2p-5, -0x1.1b189f3ce5ff8p-5, -0x1.07e9293b17c96p-5, -0x1.ee011f6d5b93ep-6, -0x1.d08dfcb67753ap-6, -0x1.b74c55d861884p-6, -0x1.a20fd82ce7409p-6, -0x1.90a9ba1bd944p-6, -0x1.82e7a7fcab7bap-6, -0x1.7894b1d7b0c0ep-6, -0x1.717b78af541bfp-6, -0x1.6d685e56bf118p-6, -0x1.6c2ab8b5b4d62p-6, -0x1.6d94b8127cf2cp-6, -0x1.717a6039c6466p-6, -0x1.77b04f1960125p-6, -0x1.800af7b329dbdp-6, -0x1.8a5e99d4ea428p-6, -0x1.967fd59f2ef1p-6, -0x1.a4447a73f423ap-6, -0x1.b3842df62111ep-6, -0x1.c418b1fdd0188p-6, -0x1.d5ddc7f7d64ddp-6, -0x1.e8b0d8dbf1b12p-6, -0x1.fc7095ed245p-6, -0x1.087e5d5561802p-5, -0x1.131affc201af5p-5, -0x1.1dff1a21e1199p-5, -0x1.291c3537b151ep-5, -0x1.34648b627d9c9p-5, -0x1.3fcb0d8f8e001p-5, -0x1.4b435c3791a0cp-5, -0x1.56c1b9cb09511p-5, -0x1.624444cf58f98p-5, -0x1.6dca7fcdb4103p-5, -0x1.793095b2cbaabp-5, -0x1.8469e1935f808p-5, -0x1.8f6bf312938e1p-5, -0x1.9a2ea03605e0dp-5, -0x1.a4abd048301b5p-5, -0x1.aedf10dd2e269p-5, -0x1.b8c50c1b4f364p-5, -0x1.c25af87d292a8p-5, -0x1.cb9e1739fb126p-5, -0x1.d48b50dac4fffp-5, -0x1.dd1ef8cf31632p-5, -0x1.e554ba5675e59p-5, -0x1.ed27ab8c641dfp-5, -0x1.f4927f3b0bda7p-5, -0x1.fb8fcb52f33cp-5, -0x1.010d2c50bcc55p-4, -0x1.0416b8411a8eep-4, -0x1.06e28f6221cf1p-4, -0x1.096f304982442p-4, -0x1.0bbb9e3c102f2p-4, -0x1.0dc7617f3f625p-4, -0x1.0f927d45667a8p-4, -0x1.111d5da0a3148p-4, -0x1.1268c084f81d2p-4, -0x1.13759cfb4e846p-4, -0x1.14450b52621f7p-4, -0x1.14d8307ccd8ep-4, -0x1.15302e0bb961ap-4, -0x1.154e177702356p-4, -0x1.1532ecbd7c813p-4, -0x1.14df99e8176c2p-4, -0x1.1454faa216d12p-4, -0x1.1393e0e41125ep-4, -0x1.129d1d96f0fb9p-4, -0x1.11718a110091bp-4, -0x1.1012115ce2d2cp-4, -0x1.0e7fb8574484fp-4, -0x1.0cbba3dc89414p-4, -0x1.0ac71c7aa511fp-4, -0x1.08a38f6259d0bp-4, -0x1.06528ca02a82dp-4, -0x1.03d5c2ef51fap-4, -0x1.012ef9b68f6b4p-4, -0x1.fcc013ce1e414p-5, -0x1.f6d5ad077e51cp-5, -0x1.f0a28b1558524p-5, -0x1.ea2a73ae485cfp-5, -0x1.e3711cc2e149fp-5, -0x1.dc7a26140a5bbp-5, -0x1.d54915d530588p-5, -0x1.cde157fcbdd1dp-5, -0x1.c6463fafba6f5p-5, -0x1.be7b0a1d1d70dp-5, -0x1.b682e21f2c29bp-5, -0x1.ae60e40d7a7a5p-5, -0x1.a6182149610c8p-5, -0x1.9daba331690fbp-5, -0x1.951e6d48b6629p-5, -0x1.8c737e7b88576p-5, -0x1.83add18024505p-5, -0x1.7ad05c6468ffdp-5, -0x1.71de0f655903cp-5, -0x1.68d9d33762b81p-5, -0x1.5fc686eced22ap-5, -0x1.56a6fdabfe9f1p-5, -0x1.4d7dfc63af1eap-5, -0x1.444e37ad65e76p-5, -0x1.3b1a51fdb0013p-5, -0x1.31e4da3c91a71p-5, -0x1.28b04acfc5744p-5, -0x1.1f7f091408301p-5, -0x1.1653653700c0cp-5, -0x1.0d2f9a5bafe5fp-5, -0x1.0415ceef90039p-5, -0x1.f6102a2eec624p-6, -0x1.e410d63f26c15p-6, -0x1.d23177c115a7ap-6, -0x1.c075be25699aap-6, -0x1.aee1331eaa658p-6, -0x1.9d773b082d1e8p-6, -0x1.8c3b153ecc5e6p-6, -0x1.7b2fdc78f7951p-6, -0x1.6a42159fa688ep-6, -0x1.59a40ce2c2721p-6, -0x1.49403c1687a29p-6, -0x1.3919148ad535bp-6, -0x1.2930dca46cf1ap-6, -0x1.1989b1e6bb56ep-6, -0x1.0a258b543c2dp-6, -0x1.f60c78190ef18p-7, -0x1.d85aec1ae8ap-7, -0x1.bb3999f8e8d19p-7, -0x1.9eab71bb9f148p-7, -0x1.82b33141ea0cap-7, -0x1.675368d7ca0dfp-7, -0x1.4c8e7f25b2697p-7, -0x1.3266b45c29ab6p-7, -0x1.18de24883e527p-7, -0x1.ffed921132336p-8, -0x1.cf64f24bb1eb3p-8, -0x1.a025d3b58e6a3p-8, -0x1.723359c6a78a1p-8, -0x1.45905e616406p-8, -0x1.1a3f6dcf65c74p-8, -0x1.e0858448d4e0ap-9, -0x1.8f387cb9bb1bfp-9, -0x1.409ad3183fde5p-9, -0x1.e95da9a5fb125p-10, -0x1.56ec0e09f1f0bp-10, -0x1.93c4825fb9acfp-11, -0x1.090033ed4459bp-12, 0x1.ffe35c17364b5p-13, 0x1.79ad541f6bcadp-11, 0x1.3453ce5e81a2p-10, 0x1.a67a8a736b6f8p-10, 0x1.09a989556b4e7p-9, 0x1.3d7384f402701p-9, 0x1.6ea0b54437f4dp-9, 0x1.9d373666e2c44p-9, 0x1.c93db5bc95f0dp-9, 0x1.f2bb63abb5769p-9, 0x1.0cdbf29df7592p-8, 0x1.1f1da2efec4cfp-8, 0x1.3026f4de7276fp-8, 0x1.3ffc405ce2faep-8, 0x1.4ea1fd4723854p-8, 0x1.5c1cbe03ac2p-8, 0x1.68712acfdb88ep-8, 0x1.73a3fdc442cbap-8, 0x1.7db9ff944c326p-8, 0x1.86b805095e7abp-8, 0x1.8ea2ed32b3545p-8, 0x1.957fa03e3a5e8p-8, 0x1.9b530eea18dfdp-8, 0x1.a022327b854eep-8, 0x1.a3f20d23cb8e2p-8, 0x1.a6c7aabb243eap-8, 0x1.a8a821b847e87p-8, 0x1.a998944b1f0a5p-8, 0x1.a99e318264868p-8, 0x1.a8be36659b146p-8, 0x1.a6fdeeef4cacbp-8, 0x1.a462b6d607519p-8, 0x1.a0f1fa169e006p-8, 0x1.9cb13534f884fp-8, 0x1.97a5f52c55088p-8, 0x1.91d5d70bff715p-8, 0x1.8b46873f8b183p-8, 0x1.83fdc08565992p-8, 0x1.7c014a98bfccp-8, 0x1.7356f895d5c64p-8, 0x1.6a04a7210907dp-8, 0x1.60103a5b0d4c5p-8, 0x1.557f9bac6951dp-8, 0x1.4a58b773a54p-8, 0x1.3ea17aa0d96f5p-8, 0x1.325fd049debe6p-8, 0x1.25999f4108444p-8, 0x1.1854c7b832e0cp-8, 0x1.0a9720f8d859ep-8, 0x1.f8ccee7126345p-9, 0x1.db911321cd9f1p-9, 0x1.bd86103eeb7d6p-9, 0x1.9eb724a5498d2p-9, 0x1.7f2f6acba47edp-9, 0x1.5ef9d61c91e5fp-9, 0x1.3e2130b430d3ep-9, 0x1.1cb0197f09761p-9, 0x1.f562056f32c5ep-10, 0x1.b05c617b025bfp-10, 0x1.6a63727ef8f8fp-10, 0x1.238b0560e9108p-10, 0x1.b7cd0ffbdc6dcp-11, 0x1.2712121683f9fp-11, 0x1.2a14e155a6dd3p-12, 0x1.dace953199d0ap-19, -0x1.24b1d90c94441p-12, -0x1.276d926c35a4dp-11, -0x1.bd40ac4eb431dp-11, -0x1.29d83c63a798ap-10, -0x1.754df4eea89adp-10, -0x1.c0f151988eeeep-10, -0x1.06593e1720917p-9, -0x1.2c40fae52e7e2p-9, -0x1.52284b260ee4bp-9, -0x1.7807c5fb7783dp-9, -0x1.9dd82d9d60ef7p-9, -0x1.c3926f524119ap-9, -0x1.e92fa37a6b76bp-9, -0x1.075486d6594c6p-8, -0x1.19fc0e70ef2a3p-8, -0x1.2c8b35d6bfc09p-8, -0x1.3efee04003b8p-8, -0x1.515406f80ffe4p-8, -0x1.6387b983fd078p-8, -0x1.75971dc9dde41p-8, -0x1.877f7036fa033p-8, -0x1.993e03e3cbd7fp-8, -0x1.aad042b46171bp-8, -0x1.bc33ad73eec02p-8, -0x1.cd65dbeaa753cp-8, -0x1.de647cecc8a9cp-8, -0x1.ef2d566235b2ap-8, -0x1.ffbe4546392d6p-8, -0x1.080a9ecf407fbp-7, -0x1.10182534ced79p-7, -0x1.1806c6c242f8dp-7, -0x1.1fd59fc3bbe4ep-7, -0x1.2783d7cd1230bp-7, -0x1.2f10a19fd084dp-7, -0x1.367b3b0d36cf1p-7, -0x1.3dc2ecd48e3a6p-7, -0x1.44e70a7e338aep-7, -0x1.4be6f23375fc2p-7, -0x1.52c20c93c679fp-7, -0x1.5977cc87a3937p-7, -0x1.6007af1161d1bp-7, -0x1.66713b1c726f4p-7, -0x1.6cb4014b3eaep-7, -0x1.72cf9bc413eb4p-7, -0x1.78c3adfd791d7p-7, -0x1.7e8fe489e81a2p-7, -0x1.8433f4e389abdp-7, -0x1.89af9d37ec078p-7, -0x1.8f02a433fe379p-7, -0x1.942cd8d05ff87p-7, -0x1.992e121e509dbp-7, -0x1.9e062f153054dp-7, -0x1.a2b5166093c67p-7, -0x1.a73ab62f4e017p-7, -0x1.ab97040305baep-7, -0x1.afc9fc80b9cefp-7, -0x1.b3d3a341dc584p-7, -0x1.b7b402a662a9cp-7, -0x1.bb6b2ba75993bp-7, -0x1.bef935aa309d7p-7, -0x1.c25e3e54b25b7p-7, -0x1.c59a69618c523p-7, -0x1.c8ade0754607ep-7, -0x1.cb98d2f3aa159p-7, -0x1.ce5b75d5c89fdp-7, -0x1.d0f6038018c52p-7, -0x1.d368bb98fb292p-7, -0x1.d5b3e2df8174dp-7, -0x1.d7d7c3026cbb1p-7, -0x1.d9d4aa774da36p-7, -0x1.dbaaec51d8a78p-7, -0x1.dd5ae01b3d217p-7, -0x1.dee4e1a9c6f13p-7, -0x1.e04950f85b8a7p-7, -0x1.e1888d58a9614p-7, -0x1.e2a30783a2c6ep-7, -0x1.e39926c0d72a8p-7, -0x1.e46b5a09d079ap-7, -0x1.e51a13b419e9fp-7, -0x1.e5a5c94973fdp-7, -0x1.e60ef3601d9fcp-7, -0x1.e6560d735e077p-7, -0x1.e67b95bc2ab48p-7, -0x1.e6800d0a31617p-7, -0x1.e663f69cfb479p-7, -0x1.e627d7fd72e6fp-7, -0x1.e5cc38d7b466cp-7, -0x1.e551a2d547824p-7, -0x1.e4b8a177a8463p-7, -0x1.e401c1f33d954p-7, -0x1.e32d930ad3f68p-7, -0x1.e23ca4eb7547bp-7, -0x1.e12f8908d4359p-7, -0x1.e006d1fa1e70fp-7, -0x1.dec313578e4b5p-7, -0x1.dd64e19850c48p-7, -0x1.dbecd1f12aff9p-7, -0x1.da5b7a33a6d36p-7, -0x1.d8b170addfcbdp-7, -0x1.d6ef4c0b0f926p-7, -0x1.d515a33496304p-7, -0x1.d3250d33dc747p-7, -0x1.d11e2114df3d2p-7, -0x1.cf0175c956f88p-7, -0x1.cccfa20cca2dfp-7, -0x1.ca893c4944b0ep-7, -0x1.c82eda7cdae53p-7, -0x1.c5c1121ff4dcfp-7, -0x1.c340780c7c0bdp-7, -0x1.c0ada065be886p-7, -0x1.be091e814fa0cp-7, -0x1.bb5384d08d193p-7, -0x1.b88d64cb57393p-7, -0x1.b5b74edb542d7p-7, -0x1.b2d1d2485dc68p-7, -0x1.afdd7d25b2d7dp-7, -0x1.acdadc402481ep-7, -0x1.a9ca7b0d3e003p-7, -0x1.a6ace39b42626p-7, -0x1.a3829e82387d5p-7, -0x1.a04c32d5dc424p-7, -0x1.9d0a26188a9a3p-7, -0x1.99bcfc2f1c81ap-7, -0x1.96653755c5194p-7, -0x1.93035815c2d23p-7, -0x1.8f97dd3c21a1ep-7, -0x1.8c2343d164054p-7, -0x1.88a607120357bp-7, -0x1.8520a067e945ap-7, -0x1.81938764b5503p-7, -0x1.7dff31bcfe3ccp-7, -0x1.7a64134449119p-7, -0x1.76c29de9d1c55p-7, -0x1.731b41b633b46p-7, -0x1.6f6e6cc9b2871p-7, -0x1.6bbc8b5b373cap-7, -0x1.680607b82322p-7, -0x1.644b4a447739dp-7, -0x1.608cb97bf086cp-7, -0x1.5ccab9f35f718p-7, -0x1.5905ae5ab4bc8p-7, -0x1.553df77f65b9p-7, -0x1.5173f44f51f6fp-7, -0x1.4da801dbfd65fp-7, -0x1.49da7b5e1ee77p-7, -0x1.460bba3982568p-7, -0x1.423c16010c79bp-7, -0x1.3e6be47b1a948p-7, -0x1.3a9b79a5ee7eep-7, -0x1.36cb27bc39b31p-7, -0x1.32fb3f39c6e5fp-7, -0x1.2f2c0ee01d924p-7, -0x1.2b5de3bb425dp-7, -0x1.279109265012bp-7, -0x1.23c5c8d015fd1p-7, -0x1.1ffc6abf9d5p-7, -0x1.1c35355882d14p-7, -0x1.18706d5f4cb3dp-7, -0x1.14ae55fd79f03p-7, -0x1.10ef30c581023p-7, -0x1.0d333db67b308p-7, -0x1.097abb3fd696cp-7, -0x1.05c5e64494373p-7, -0x1.0214fa1e951bap-7, -0x1.fcd06142e39c4p-8, -0x1.f57f843aaa659p-8, -0x1.ee37cac3066fep-8, -0x1.e6f99f7d87099p-8, -0x1.dfc56a12eaec7p-8, -0x1.d89b8f377f62ap-8, -0x1.d17c70aeb239cp-8, -0x1.ca686d4e74fc3p-8, -0x1.c35fe1029e7a5p-8, -0x1.bc6324cfd6f3ap-8, -0x1.b5728ed651953p-8, -0x1.ae8e7254b0316p-8, -0x1.a7b71faa684dp-8, -0x1.a0ece45a7d2e5p-8, -0x1.9a300b0de2a9dp-8, -0x1.9380db9633409p-8, -0x1.8cdf9af038ecbp-8, -0x1.864c8b46c03d7p-8, -0x1.7fc7ebf58798dp-8, -0x1.7951f98c54c54p-8, -0x1.72eaedd24bc08p-8, -0x1.6c92ffc99aep-8, -0x1.664a63b332c37p-8, -0x1.60114b133daf1p-8, -0x1.59e7e4b5891a9p-8, -0x1.53ce5cb274639p-8, -0x1.4dc4dc744d464p-8, -0x1.47cb8abd1554p-8, -0x1.41e28bac85e63p-8, -0x1.3c0a00c6bcf3fp-8, -0x1.364208fb242bcp-8, -0x1.308ac0abfbdeap-8, -0x1.2ae441b626603p-8, -0x1.254ea3797b5aep-8, -0x1.1fc9fae182294p-8, -0x1.1a565a6e9c35dp-8, -0x1.14f3d23f82f49p-8, -0x1.0fa2701b5b0a6p-8, -0x1.0a623f7bf315ep-8, -0x1.053349987d796p-8, -0x1.00159570bd43fp-8, -0x1.f6124fb02b19fp-9, -0x1.ec1c070330c79p-9, -0x1.e2485217913ecp-9, -0x1.d8972e19c353bp-9, -0x1.cf08943eba706p-9, -0x1.c59c79dcce8d8p-9, -0x1.bc52d0862659bp-9, -0x1.b32b86224ed68p-9, -0x1.aa268508a8e08p-9, -0x1.a143b41b2196fp-9, -0x1.9882f6e08de07p-9, -0x1.8fe42d9fed4efp-9, -0x1.8767357b21f76p-9, -0x1.7f0be889fdda8p-9, -0x1.76d21df50f90dp-9, -0x1.6eb9aa10c5a8p-9, -0x1.66c25e781747ap-9, -0x1.5eec0a2722b32p-9, -0x1.57367995c08ap-9, -0x1.4fa176d1e4edcp-9, -0x1.482cc9995193bp-9, -0x1.40d83773b3ecfp-9, -0x1.39a383cbd37ddp-9, -0x1.328e7008df2abp-9, -0x1.2b98bba70ae1ep-9, -0x1.24c22450015bdp-9, -0x1.1e0a65f2e9c53p-9, -0x1.17713adbab322p-9, -0x1.10f65bca697bbp-9, -0x1.0a998009fc597p-9, -0x1.045a5d861b0a3p-9, -0x1.fc7151c244319p-10, -0x1.f0682b128242ap-10, -0x1.e498ab9a85638p-10, -0x1.d90235e180384p-10, -0x1.cda42a7fc602cp-10, -0x1.c27de8451c9a1p-10, -0x1.b78ecc5eb0ee8p-10, -0x1.acd6327ac9f78p-10, -0x1.a25374ecb3ed5p-10, -0x1.9805eccf150f3p-10, -0x1.8decf2255839bp-10, -0x1.8407dbfc32eeap-10, -0x1.7a560088eb9aep-10, -0x1.70d6b54828847p-10, -0x1.67894f1b530dcp-10, -0x1.5e6d226546d41p-10, -0x1.558183260a3bdp-10, -0x1.4cc5c515a4aep-10, -0x1.44393bbe19493p-10, -0x1.3bdb3a9446f8cp-10, -0x1.33ab15107d1bep-10, -0x1.2ba81ec5a5a3ap-10, -0x1.23d1ab77f7d76p-10, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.29fd18f63649bp-2, -0x1.1dd5f6e7a2481p-2, -0x1.11939d38dfef1p-2, -0x1.053f5dba1b7c8p-2, -0x1.f1c3d7ceac439p-3, -0x1.d906b3b0f2ca7p-3, -0x1.c056e92198cfbp-3, -0x1.a7c2e8246fb15p-3, -0x1.8f5809d6ba30cp-3, -0x1.7722e24002da5p-3, -0x1.5f2f27576c07p-3, -0x1.47879bb783bcdp-3, -0x1.303628570a4cep-3, -0x1.1943f0c235ca3p-3, -0x1.02b9504c0d1dp-3, -0x1.d93bb4bc4a355p-4, -0x1.adf0d0e7a527dp-4, -0x1.839e42c5d4e14p-4, -0x1.5a4ef763a5aa5p-4, -0x1.320c98c3b5196p-4, -0x1.0adf9a6f0df2bp-4, -0x1.c99da1e586028p-5, -0x1.7fc330656f967p-5, -0x1.3837fa6b056bap-5, -0x1.e606f4d8637c1p-6, -0x1.6057cb59e18f7p-6, -0x1.bed888662dbecp-7, -0x1.8d2b20f0932a1p-8, 0x1.40a46559ce43bp-10, 0x1.0d2907267dcaep-7, 0x1.e8b1b7a6f7efbp-7, 0x1.5d5ea63cc4ea6p-6, 0x1.c1af00022b03ap-6, 0x1.10aa5040b6558p-5, 0x1.3e2e067c2cca5p-5, 0x1.6969f1192befep-5, 0x1.926677abb7056p-5, 0x1.b92d039304e9dp-5, 0x1.ddc7cd466a6e6p-5, 0x1.0020d1ffae96dp-4, 0x1.1052e1f6069f2p-4, 0x1.1f7fe1d214b5p-4, 0x1.2dadca21e3428p-4, 0x1.3ae2c4176ac74p-4, 0x1.47252a94eb278p-4, 0x1.527b85e5f52p-4, 0x1.5cec823c4e5cep-4, 0x1.667ee37fa2c28p-4, 0x1.6f397a0c6d57ep-4, 0x1.77231b0d574e9p-4, 0x1.7e429cbf95cb5p-4, 0x1.849ed4e8ce5c2p-4, 0x1.8a3e97696cd63p-4, 0x1.8f28b3ec3aba8p-4, 0x1.9363f2e495208p-4, 0x1.96f7125fdee62p-4, 0x1.99e8c2d3c56a3p-4, 0x1.9c3fa3ced78fap-4, 0x1.9e0240a5f3291p-4, 0x1.9f370d9708865p-4, 0x1.9fe465dfb80d4p-4, 0x1.a0108ad66ffffp-4, 0x1.9fc1a38ac0a55p-4, 0x1.9ef9ba985dbc2p-4, 0x1.9dc6f2b4ad5d2p-4, 0x1.9c2b8023c55f3p-4, 0x1.9a2cee46bb68fp-4, 0x1.97d09ba1696d9p-4, 0x1.951bc26d2a0d4p-4, 0x1.921380a589a47p-4, 0x1.8ebcde4f248ecp-4, 0x1.8b1cd1391842dp-4, 0x1.87383dff31571p-4, 0x1.8313f6872dacbp-4, 0x1.7eb4b6878d82fp-4, 0x1.7a1f1ed6c1624p-4, 0x1.7557b04ec9719p-4, 0x1.7062c70101f36p-4, 0x1.6b44964ec8bb1p-4, 0x1.66012646ceda3p-4, 0x1.609c526e5f723p-4, 0x1.5b19c9eb26dffp-4, 0x1.557d10dad2e05p-4, 0x1.4fc9828cc0e7dp-4, 0x1.4a025445c5e95p-4, 0x1.442a9834ea41dp-4, 0x1.3e454047c704bp-4, 0x1.3855209c6574ep-4, 0x1.325cf16350074p-4, 0x1.2c5f501c4b5dp-4, 0x1.265ec02fff9f8p-4, 0x1.205daafce91c8p-4, 0x1.1a5e5f7c5e272p-4, 0x1.146311ab1d426p-4, 0x1.0e6dd9e0be7cbp-4, 0x1.0880b43b8973ep-4, 0x1.029d803d1b9bp-4, 0x1.f98c01540f56ep-5, 0x1.edf7b769bb641p-5, 0x1.e28136e9d401fp-5, 0x1.d72b5d4473df2p-5, 0x1.cbf8d31742389p-5, 0x1.c0ec0e6fb755ap-5, 0x1.b6075541f5db2p-5, 0x1.ab4cbff1b628cp-5, 0x1.a0be3bcda9cf6p-5, 0x1.965d8d63cffbfp-5, 0x1.8c2c529d61834p-5, 0x1.822c049a2cb81p-5, 0x1.785df94b85487p-5, 0x1.6ec364d5a321dp-5, 0x1.655d5ac20750ap-5, 0x1.5c2ccf0f8b76dp-5, 0x1.5332972c0d064p-5, 0x1.4a6f6ae2388c8p-5, 0x1.41e3e54389341p-5, 0x1.399085942d76ep-5, 0x1.3175b03c77db2p-5, 0x1.2993afc1e2593p-5, 0x1.21eab5c8de9bfp-5, 0x1.1a7adc2006e32p-5, 0x1.134425d4f8b4cp-5, 0x1.0c46805286b0fp-5, 0x1.0581c4872379bp-5, 0x1.fdeb702202eb9p-6, 0x1.f1441cd854d5dp-6, 0x1.e50cd43ae9132p-6, 0x1.d944bbaa0d993p-6, 0x1.cdeadb065b601p-6, 0x1.c2fe1eb776476p-6, 0x1.b87d598c12061p-6, 0x1.ae674673ac08cp-6, 0x1.a4ba8a1686247p-6, 0x1.9b75b452f567ep-6, 0x1.929741a7812fdp-6, 0x1.8a1d9c915b4d7p-6, 0x1.82071ee3cd538p-6, 0x1.7a52131a9011p-6, 0x1.72fcb5a73068dp-6, 0x1.6c053636e7d66p-6, 0x1.6569b8ee1e5ffp-6, 0x1.5f285796e893dp-6, 0x1.593f22c0d93cep-6, 0x1.53ac22d1fc955p-6, 0x1.4e6d5909d0143p-6, 0x1.4980c07867ab2p-6, 0x1.44e44eebf909p-6, 0x1.409326d26cfaap-6, 0x1.3c91425824775p-6, 0x1.38d9650346703p-6, 0x1.356971419a71bp-6, 0x1.323f4855685bep-6, 0x1.2f58cb6a2a449p-6, 0x1.2cb3dc9597af3p-6, 0x1.2a4e5fc2cf6b4p-6, 0x1.28263b8547259p-6, 0x1.263959d2d0c01p-6, 0x1.2485a8a521cf1p-6, 0x1.23091a82d1f93p-6, 0x1.21c1a6f274786p-6, 0x1.20ad4ad8b43fap-6, 0x1.1fca08c4f8318p-6, 0x1.1f15e92ea2b08p-6, 0x1.1e8efaa60e08dp-6, 0x1.1e3351fbfe5acp-6, 0x1.1e010a627c138p-6, 0x1.1df6458940c22p-6, 0x1.1e112bb826744p-6, 0x1.1e4febe951688p-6, 0x1.1eb0bbe46ac8fp-6, 0x1.1f31d85c2c9a9p-6, 0x1.1fd1850ea4374p-6, 0x1.208e0ce86edf8p-6, 0x1.2165c22b34a6p-6, 0x1.2256fe96943b3p-6, 0x1.23602393133a8p-6, 0x1.247f9a5ebf3cp-6, 0x1.25b3d439ed285p-6, 0x1.26fb4a938d96dp-6, 0x1.28547f346beadp-6, 0x1.29bdfc679ef9ep-6, 0x1.2b36552053576p-6, 0x1.2cbc251b3122p-6, 0x1.2e4e10fb9923p-6, 0x1.2feac663a567ep-6, 0x1.3190fc06e4e37p-6, 0x1.333f71b770fbp-6, 0x1.34f4f06d8c25ep-6, 0x1.36b04a499423p-6, 0x1.38705a90aa4a2p-6, 0x1.3a3405a438ab6p-6, 0x1.3bfa38f4ed657p-6, 0x1.3dc1eaf142b68p-6, 0x1.3f8a1af05fd9fp-6, 0x1.4151d1199207ap-6, 0x1.43181e494fa6p-6, 0x1.44dc1bf3cb50ep-6, 0x1.469cec05d5677p-6, 0x1.4859b8c4d616cp-6, 0x1.4a11b4adb7c4cp-6, 0x1.4bc41a538142ep-6, 0x1.4d702c3e1e721p-6, 0x1.4f1534c8fb297p-6, 0x1.50b2860271ecbp-6, 0x1.5247798b69c76p-6, 0x1.53d37077ce4d7p-6, 0x1.5555d32f7e881p-6, 0x1.56ce11500fb15p-6, 0x1.583ba18ef0584p-6, 0x1.599e019c2e11cp-6, 0x1.5af4b6058d7e6p-6, 0x1.5c3f4a19de207p-6, 0x1.5d7d4fccab153p-6, 0x1.5eae5f99b4369p-6, 0x1.5fd218687603bp-6, 0x1.60e81f6f5e80fp-6, 0x1.61f02016e4897p-6, 0x1.62e9cbdbfdfbfp-6, 0x1.63d4da3234176p-6, 0x1.64b1086532d8ap-6, 0x1.657e1979cc4f1p-6, 0x1.663bd60e45b05p-6, 0x1.66ea0c3a31044p-6, 0x1.67888f6db0ee2p-6, 0x1.681738501d6d4p-6, 0x1.6895e49e52c4ap-6, 0x1.69047708826bap-6, 0x1.6962d70fae267p-6, 0x1.69b0f0e2d501bp-6, 0x1.69eeb53c13a3bp-6, 0x1.6a1c193d86b11p-6, 0x1.6a39164e321e4p-6, 0x1.6a45a9f6fb813p-6, 0x1.6a41d5bfdb45dp-6, 0x1.6a2d9f0d2197p-6, 0x1.6a090efd209bfp-6, 0x1.69d432462f5fbp-6, 0x1.698f1915099cp-6, 0x1.6939d6ebbb8c6p-6, 0x1.68d48280fcf07p-6, 0x1.685f35a0197e6p-6, 0x1.67da0d09785f1p-6, 0x1.67452853b49ecp-6, 0x1.66a0a9cd4acdp-6, 0x1.65ecb65ee929bp-6, 0x1.6529756e4df6dp-6, 0x1.645710c1e2617p-6, 0x1.6375b464d4c81p-6, 0x1.62858e8bc126bp-6, 0x1.6186cf7a13488p-6, 0x1.6079a967cd9a3p-6, 0x1.5f5e506802b8fp-6, 0x1.5e34fa4fbc13dp-6, 0x1.5cfdde9d6f66p-6, 0x1.5bb93660fed21p-6, 0x1.5a673c240ed5ep-6, 0x1.59082bd31a3e8p-6, 0x1.579c42a6c082ep-6, 0x1.5623bf0d9e0bdp-6, 0x1.549ee096a48d3p-6, 0x1.530de7dbd6987p-6, 0x1.5171166d64fe2p-6, 0x1.4fc8aebd6ebd7p-6, 0x1.4e14f40bf93efp-6, 0x1.4c562a53781cap-6, 0x1.4a8c9635bc5b6p-6, 0x1.48b87ce957bffp-6, 0x1.46da24275e6f5p-6, 0x1.44f1d219cbd0ap-6, 0x1.42ffcd4a1ce9ap-6, 0x1.41045c9090cdbp-6, 0x1.3effc703c1b65p-6, 0x1.3cf253e8b9f5bp-6, 0x1.3adc4aa38f4ffp-6, 0x1.38bdf2a85d54ap-6, 0x1.3697936cce91p-6, 0x1.34697459f5466p-6, 0x1.3233dcbee3885p-6, 0x1.2ff713c36cdeap-6, 0x1.2db3605b8a74ep-6, 0x1.2b69093b2dc4dp-6, 0x1.291854ca7eea5p-6, 0x1.26c1891a98ed6p-6, 0x1.2464ebdab80b6p-6, 0x1.2202c24dbf425p-6, 0x1.1f9b514063399p-6, 0x1.1d2edcff8aa61p-6, 0x1.1abda94f394e6p-6, 0x1.1847f961dc2adp-6, 0x1.15ce0fcffe5f4p-6, 0x1.13502e905a636p-6, 0x1.10ce96f064e82p-6, 0x1.0e49898d2037fp-6, 0x1.0bc1464c5bf4fp-6, 0x1.09360c5645102p-6, 0x1.06a81a0f643a3p-6, 0x1.0417ad12d6bd6p-6, 0x1.0185022cf956p-6, 0x1.fde0aaac9db61p-7, 0x1.f8b3c35d862cdp-7, 0x1.f383c2f271cf9p-7, 0x1.ee511c2ec32ddp-7, 0x1.e91c400bbee22p-7, 0x1.e3e59db1713e3p-7, 0x1.deada26fdbbd7p-7, 0x1.d974b9b9256cbp-7, 0x1.d43b4d1bc9e95p-7, 0x1.cf01c43d9a13cp-7, 0x1.c9c884d719a46p-7, 0x1.c48ff2af65451p-7, 0x1.bf586f9879c5fp-7, 0x1.ba225b6c0c485p-7, 0x1.b4ee14089243p-7, 0x1.afbbf54f19d18p-7, 0x1.aa8c59212d456p-7, 0x1.a55f979989a11p-7, 0x1.a036061c9744ep-7, 0x1.9b0ff8c51f2fp-7, 0x1.95edc16acd7fp-7, 0x1.90cfafe1c4579p-7, 0x1.8bb611face891p-7, 0x1.86a13383e815ap-7, 0x1.81915e492d71dp-7, 0x1.7c86da160ceb4p-7, 0x1.7781ecb6c9afep-7, 0x1.7282d9fa4ad49p-7, 0x1.6d89e3b430ba5p-7, 0x1.689749bf21569p-7, 0x1.63ab49ff867b2p-7, 0x1.5ec620664ab54p-7, 0x1.59e806f40afd2p-7, 0x1.551135bc729dfp-7, 0x1.5041e2e9c426ap-7, 0x1.4b7a42c0c20f4p-7, 0x1.46ba87a48c3efp-7, 0x1.4202e21b02018p-7, 0x1.3d5380d11e384p-7, 0x1.38ac909f8f362p-7, 0x1.340e3c8f8a48bp-7, 0x1.2f78addfba467p-7, 0x1.2aec0c097ced7p-7, 0x1.26687cc601db4p-7, 0x1.21ee2413eb23fp-7, 0x1.1d7d243cce1a3p-7, 0x1.19159ddae9029p-7, 0x1.14b7afdf1917ap-7, 0x1.10637796c29f4p-7, 0x1.0c1910b1f4405p-7, 0x1.07d89549a0dccp-7, 0x1.03a21de5ef3c3p-7, 0x1.feeb83094ae03p-8, 0x1.f6a72b3f5699bp-8, 0x1.ee775c674bdfbp-8, 0x1.e65c3b8d41d8dp-8, 0x1.de55eadd8fe01p-8, 0x1.d66489b287bbep-8, 0x1.ce8834a20ceep-8, 0x1.c6c1058b7141ap-8, 0x1.bf0f13a5805b4p-8, 0x1.b772738c502bfp-8, 0x1.afeb374f5df4ep-8, 0x1.a8796e7faf3b6p-8, 0x1.a11d263de852cp-8, 0x1.99d669489500bp-8, 0x1.92a5400a2d939p-8, 0x1.8b89b0a73b7f1p-8, 0x1.8483bf0cbbe6p-8, 0x1.7d936cfe06927p-8, 0x1.76b8ba22fd44ap-8, 0x1.6ff3a4160e40dp-8, 0x1.694426723ba65p-8, 0x1.62aa3ae0ef43cp-8, 0x1.5c25d927dcc5fp-8, 0x1.55b6f736b8d6fp-8, 0x1.4f5d8934cde4fp-8, 0x1.4919818e9522cp-8, 0x1.42ead10303d07p-8, 0x1.3cd166b0d643fp-8, 0x1.36cd3023a64e2p-8, 0x1.30de1960f195ap-8, 0x1.2b040cf4d9923p-8, 0x1.253ef3fed6de2p-8, 0x1.1f8eb63e2358ep-8, 0x1.19f33a1e0cebfp-8, 0x1.146c64c227625p-8, 0x1.0efa1a121bba9p-8, 0x1.099c3cc57c8aep-8, 0x1.0452ae6f45f31p-8, 0x1.fe3a9f129ef8dp-9, 0x1.f3f7fefeade7dp-9, 0x1.e9dd3973fdc44p-9, 0x1.dfea0953140aep-9, 0x1.d61e27a0d656bp-9, 0x1.cc794b9b6b963p-9, 0x1.c2fb2acdf1345p-9, 0x1.b9a37924c3be5p-9, 0x1.b071e900c2e56p-9, 0x1.a7662b4a7efbp-9, 0x1.9e7fef8498f38p-9, 0x1.95bee3de0fd4bp-9, 0x1.8d22b5443e347p-9, 0x1.84ab0f74052b9p-9, 0x1.7c579d0af5993p-9, 0x1.74280797aacbp-9, 0x1.6c1bf7aa8a7b1p-9, 0x1.643314e574551p-9, 0x1.5c6d060aee514p-9, 0x1.54c9710dcc589p-9, 0x1.4d47fb1fcda2p-9, 0x1.45e848c049d38p-9, 0x1.3ea9fdc9c89ap-9, 0x1.378cbd8048e4fp-9, 0x1.30902a9e9fa34p-9, 0x1.29b3e763895f6p-9, 0x1.22f7959ebcfc4p-9, 0x1.1c5ad6bd2c774p-9, 0x1.15dd4bd58c083p-9, 0x1.0f7e95b418ba4p-9, 0x1.093e54e66d17ep-9, 0x1.031c29c6da8dp-9, 0x1.fa2f690ef9f69p-10, 0x1.ee612a7a993c3p-10, 0x1.e2ccd7d4ff747p-10, 0x1.d771b11216883p-10, 0x1.cc4ef62953d9dp-10, 0x1.c163e729cf61dp-10, 0x1.b6afc44ce07dcp-10, 0x1.ac31ce0975a54p-10, 0x1.a1e94525f0b1cp-10, 0x1.97d56aca188a5p-10, 0x1.8df58090c3e13p-10, 0x1.8448c897b0b18p-10, 0x1.7ace8592246efp-10, 0x1.7185fad61db8dp-10, 0x1.686e6c6d9542p-10, 0x1.5f871f2577812p-10, 0x1.56cf589bc093fp-10, 0x1.4e465f4e151b8p-10, 0x1.45eb7aa766c74p-10, 0x1.3dbdf30d6f36dp-10, 0x1.35bd11ed13a31p-10, 0x1.2de821c7d23d8p-10, 0x1.263e6e3f1200ap-10, 0x1.1ebf441f89056p-10, 0x1.1769f16d2c34p-10, 0x1.103dc56deef76p-10, 0x1.093a10b36615ap-10, 0x1.025e252535c29p-10, 0x1.f752ac151df47p-11, 0x1.ea35f02683cb7p-11, 0x1.dd64c2c0349c4p-11, 0x1.d0ddd3191ecf7p-11, 0x1.c49fd369206ap-11, 0x1.b8a978fad4b1fp-11, 0x1.acf97c388d228p-11, 0x1.a18e98bbc8c31p-11, 0x1.96678d56ecd7dp-11, 0x1.8b831c22e8123p-11, 0x1.80e00a8a08c8bp-11, 0x1.767d215247921p-11, 0x1.6c592ca7109f5p-11, 0x1.6272fc21ff185p-11, 0x1.58c962d2fca58p-11, 0x1.4f5b3748abbbcp-11, 0x1.46275395bc6d4p-11, 0x1.3d2c9558766dep-11, 0x1.3469ddbf47bbcp-11, 0x1.2bde118e5fb1bp-11, 0x1.238819233f74cp-11, 0x1.1b66e078efaabp-11, 0x1.1379572a8f4cbp-11, 0x1.0bbe7075dfffep-11, 0x1.0435233d6fcd4p-11, 0x1.f9b8d411d78b1p-12, 0x1.eb66861196767p-12, 0x1.dd716023b0973p-12, 0x1.cfd76d41ad2f6p-12, 0x1.c296bfb02048p-12, 0x1.b5ad70fbc071ap-12, 0x1.a919a1f87646bp-12, 0x1.9cd97abb24d8bp-12, 0x1.90eb2a94f9ee6p-12, 0x1.854ce80d0b34cp-12, 0x1.79fcf0db16d2dp-12, 0x1.6ef989ddaba6p-12, 0x1.6440ff135736ap-12, 0x1.59d1a3914465bp-12, 0x1.4fa9d17989f1cp-12, 0x1.45c7e9f086af6p-12, 0x1.3c2a55131c3d1p-12, 0x1.32cf81e95046ap-12, 0x1.29b5e65b63d69p-12, 0x1.20dbff24db486p-12, 0x1.18404fc75189bp-12, 0x1.0fe1627ccff55p-12, 0x1.07bdc82976fd7p-12, 0x1.ffa8309a522d9p-13, 0x1.f045e1e777921p-13, 0x1.e151ed5686187p-13, 0x1.d2c9a8d3470d9p-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.89e26b522cd41p-2, -0x1.8500aa8dd08aap-2, -0x1.8001dcdb2c64dp-2, -0x1.7ae91d5040bf6p-2, -0x1.75b8f9366d65bp-2, -0x1.70741768c1e16p-2, -0x1.6b1cfff627e7dp-2, -0x1.65b61746605f5p-2, -0x1.6041b3922a0e1p-2, -0x1.5ac20e4627094p-2, -0x1.5539494d216f7p-2, -0x1.4fa96e09ba846p-2, -0x1.4a146e790020ep-2, -0x1.447c252c5df2ap-2, -0x1.3ee25560719c1p-2, -0x1.3948acd8f877ap-2, -0x1.33b0c1d451df3p-2, -0x1.2e1c143c14237p-2, -0x1.288c12b25bb01p-2, -0x1.2302153bf43b2p-2, -0x1.1d7f5bcaa4b46p-2, -0x1.180519c547d52p-2, -0x1.12946b1ffc753p-2, -0x1.0d2e59668d69bp-2, -0x1.07d3dde36830ep-2, -0x1.0285e16f842c9p-2, -0x1.fa8a77ba9c4adp-3, -0x1.f02567fb7a77dp-3, -0x1.e5de00e154ea6p-3, -0x1.dbb59199277adp-3, -0x1.d1ad4d5ca34cdp-3, -0x1.c7c64cdb1d5e8p-3, -0x1.be018ee405b5ap-3, -0x1.b45ff8bc91cadp-3, -0x1.aae256a706465p-3, -0x1.a1895cdc4dd1dp-3, -0x1.9855a8e45c55dp-3, -0x1.8f47c31481fb8p-3, -0x1.86601feffa203p-3, -0x1.7d9f213e2855fp-3, -0x1.750516dfae3d1p-3, -0x1.6c923f86c7d58p-3, -0x1.6446c96abb54dp-3, -0x1.5c22d30ccb79bp-3, -0x1.54266c2847355p-3, -0x1.4c5196c4a9c7fp-3, -0x1.44a4483401e7bp-3, -0x1.3d1e69d7664b1p-3, -0x1.35bfd9c458c65p-3, -0x1.2e886b7fcef27p-3, -0x1.2777e8d437481p-3, -0x1.208e12903d07ap-3, -0x1.19caa108ac18cp-3, -0x1.132d447997fdbp-3, -0x1.0cb5a5890d868p-3, -0x1.066366091c1d3p-3, -0x1.003621cf40e03p-3, -0x1.f45adeb0beb37p-4, -0x1.e891c02f948b6p-4, -0x1.dd10012afcbe2p-4, -0x1.d1d4b14682451p-4, -0x1.c6ded7ac388b9p-4, -0x1.bc2d746bdab58p-4, -0x1.b1bf8d921b59cp-4, -0x1.a793f466c2924p-4, -0x1.9da9b2c3d1e35p-4, -0x1.93ffb5dfdc2bep-4, -0x1.8a94e67308522p-4, -0x1.8168292ae8967p-4, -0x1.78785f39a9a78p-4, -0x1.6fc466fbd0b32p-4, -0x1.674b1caa8734dp-4, -0x1.5f0b5b0e0c0f8p-4, -0x1.5703fc24e2b43p-4, -0x1.4f33d9b893009p-4, -0x1.4799cdddacacap-4, -0x1.4034b3602e42ap-4, -0x1.3903661e2b80ep-4, -0x1.3204c351dab07p-4, -0x1.2b37a9cc65f93p-4, -0x1.249afa24208b1p-4, -0x1.1e2d96dac018cp-4, -0x1.17ee648154f13p-4, -0x1.11dc49ded6294p-4, -0x1.0bf6301b9e789p-4, -0x1.063b02f1d428dp-4, -0x1.00a9b0e077e7ap-4, -0x1.f68256bddd203p-5, -0x1.ec00ce1e67dp-5, -0x1.e1ccb7db7ce36p-5, -0x1.d7e40afcf8fedp-5, -0x1.ce44c5ecc5ccap-5, -0x1.c4eceec1502cfp-5, -0x1.bbda937dee8d9p-5, -0x1.b30bca47c435dp-5, -0x1.aa7eb18f2dd8ep-5, -0x1.a231702ec549fp-5, -0x1.9a223581cf394p-5, -0x1.924f397422635p-5, -0x1.8ab6bc8d08685p-5, -0x1.835707f68583bp-5, -0x1.7c2e6d8152148p-5, -0x1.753b47a6439afp-5, -0x1.6e7bf985a26dbp-5, -0x1.67eeeee54596ep-5, -0x1.61929c2e2f52dp-5, -0x1.5b657e6a563e3p-5, -0x1.55661b424ed99p-5, -0x1.4f9300fa4c845p-5, -0x1.49eac66d50fa7p-5, -0x1.446c0b05431e7p-5, -0x1.3f1576af420f6p-5, -0x1.39e5b9cbe345dp-5, -0x1.34db8d1bfe439p-5, -0x1.2ff5b1aaf4be5p-5, -0x1.2b32f0b7a79c6p-5, -0x1.26921b9cfe857p-5, -0x1.22120bba4e605p-5, -0x1.1db1a25b81e42p-5, -0x1.196fc8a05a4cp-5, -0x1.154b6f61f7887p-5, -0x1.11438f15ffc0dp-5, -0x1.0d5727af2cc98p-5, -0x1.0985407b8919ep-5, -0x1.05cce80139e9bp-5, -0x1.022d33dac3416p-5, -0x1.fd4a812835d8cp-6, -0x1.f6686312687e3p-6, -0x1.efb2618cd841p-6, -0x1.e926ddd536952p-6, -0x1.e2c4461416f6p-6, -0x1.dc891522d021ep-6, -0x1.d673d24f2c7efp-6, -0x1.d083111b84e43p-6, -0x1.cab570fac5006p-6, -0x1.c5099d08e7842p-6, -0x1.bf7e4bc0fb169p-6, -0x1.ba123eb2eac5cp-6, -0x1.b4c4423ac8162p-6, -0x1.af932d3b4d162p-6, -0x1.aa7de0dc6fe77p-6, -0x1.a583484e13b3ap-6, -0x1.a0a2588e136bdp-6, -0x1.9bda10303b3a7p-6, -0x1.97297726db5bap-6, -0x1.928f9e8a2e7c8p-6, -0x1.8e0ba05db48f7p-6, -0x1.899ca2af992d5p-6, -0x1.8541ca213efb6p-6, -0x1.80fa4d0e93661p-6, -0x1.7cc5669182b4fp-6, -0x1.78a25977eced3p-6, -0x1.7490700b32e4fp-6, -0x1.708efbd909d91p-6, -0x1.6c9d557cdd286p-6, -0x1.68badc6a5df02p-6, -0x1.64e6f6b8fa2c8p-6, -0x1.612110f0003fdp-6, -0x1.5d689dd410ba5p-6, -0x1.59bd16353bd56p-6, -0x1.561df8be4b67dp-6, -0x1.528ac9c50c4a7p-6, -0x1.4f03131ba6a86p-6, -0x1.4b8663e2e1576p-6, -0x1.4814505d9479ep-6, -0x1.44ac71c501884p-6, -0x1.414e661e4b294p-6, -0x1.3df9d010c8969p-6, -0x1.3aae56bd6e431p-6, -0x1.376ba5973daep-6, -0x1.34316c3c70654p-6, -0x1.30ff5e50cbfbdp-6, -0x1.2dd53358e5f5cp-6, -0x1.2ab2a69616377p-6, -0x1.279776e3904d9p-6, -0x1.248366943c1c4p-6, -0x1.21763b51782d8p-6, -0x1.1e6fbdfa93a9dp-6, -0x1.1b6fba8561cap-6, -0x1.1875ffdf3c781p-6, -0x1.15825fcf2d13fp-6, -0x1.1294aed899839p-6, -0x1.0facc41ef21b5p-6, -0x1.0cca7949f07c4p-6, -0x1.09edaa6ac0c65p-6, -0x1.071635e1d515p-6, -0x1.0443fc459a2afp-6, -0x1.0176e049aeff1p-6, -0x1.fd5d8d4e27fb9p-7, -0x1.f7d72c09b1e5bp-7, -0x1.f25a6dc3b5278p-7, -0x1.ece726fd55eccp-7, -0x1.e77d2f914a31ep-7, -0x1.e21c628ab931cp-7, -0x1.dcc49dfdcae3ep-7, -0x1.d775c2e115d7ep-7, -0x1.d22fb4e8a8053p-7, -0x1.ccf25a622d4d6p-7, -0x1.c7bd9c123d8a7p-7, -0x1.c2916512cc89p-7, -0x1.bd6da2b2f0003p-7, -0x1.b852445794ca6p-7, -0x1.b33f3b5d874bcp-7, -0x1.ae347afc2e94cp-7, -0x1.a931f829ab961p-7, -0x1.a437a97fbec4fp-7, -0x1.9f458721dc553p-7, -0x1.9a5b8aa3de13fp-7, -0x1.9579aef1e26f6p-7, -0x1.909ff03902d35p-7, -0x1.8bce4bd0c0fa8p-7, -0x1.8704c02586b08p-7, -0x1.82434ca3b2502p-7, -0x1.7d89f1a39f2dap-7, -0x1.78d8b05678aa4p-7, -0x1.742f8ab3b1f17p-7, -0x1.6f8e836742be7p-7, -0x1.6af59dc0abfabp-7, -0x1.6664dda2b8f3p-7, -0x1.61dc4773db5c3p-7, -0x1.5d5be00f2ed21p-7, -0x1.58e3acb634b43p-7, -0x1.5473b3032f0b2p-7, -0x1.500bf8dc06c22p-7, -0x1.4bac8465e49d9p-7, -0x1.47555bf9498f7p-7, -0x1.43068616b01f8p-7, -0x1.3ec0095bdc33bp-7, -0x1.3a81ec79a5493p-7, -0x1.364c362a0e157p-7, -0x1.321eed274a9p-7, -0x1.2dfa1822de313p-7, -0x1.29ddbdbd7dacfp-7, -0x1.25c9e47f20f38p-7, -0x1.21be92cfe0477p-7, -0x1.1dbbcef0d97d8p-7, -0x1.19c19ef5e48b3p-7, -0x1.15d008bf672fp-7, -0x1.11e711f4b0d52p-7, -0x1.0e06bffea7d4cp-7, -0x1.0a2f1802f3ee8p-7, -0x1.06601edf3a1b3p-7, -0x1.0299d92511238p-7, -0x1.fdb8962bb7862p-8, -0x1.f64ef13e9562fp-8, -0x1.eef6cab019194p-8, -0x1.e7b028f938e32p-8, -0x1.e07b11d947dedp-8, -0x1.d9578a5123c9dp-8, -0x1.d245969e0549cp-8, -0x1.cb453a3636dfdp-8, -0x1.c45677c52b23fp-8, -0x1.bd7951288e5b6p-8, -0x1.b6adc76d98844p-8, -0x1.aff3dacee28bfp-8, -0x1.a94b8ab2c9aabp-8, -0x1.a2b4d5a992023p-8, -0x1.9c2fb96cb470cp-8, -0x1.95bc32de1868dp-8, -0x1.8f5a3e07ae9cap-8, -0x1.8909d61b4244p-8, -0x1.82caf573592acp-8, -0x1.7c9d9592cab31p-8, -0x1.7681af2630909p-8, -0x1.70773a04d020bp-8, -0x1.6a7e2d31ef8ffp-8, -0x1.64967ede49664p-8, -0x1.5ec02469df7e7p-8, -0x1.58fb1265e82bp-8, -0x1.53473c97574b1p-8, -0x1.4da495f89293bp-8, -0x1.481310bc546ecp-8, -0x1.42929e507fef9p-8, -0x1.3d232f60c69d2p-8, -0x1.37c4b3d9c1eccp-8, -0x1.32771aebfbd8bp-8, -0x1.2d3a530f91b7p-8, -0x1.280e4a072d54fp-8, -0x1.22f2ece3a61d3p-8, -0x1.1de82807b2495p-8, -0x1.18ede72b8b206p-8, -0x1.14041560b4ad1p-8, -0x1.0f2a9d15d6574p-8, -0x1.0a61681a96ddcp-8, -0x1.05a85fa3afc47p-8, -0x1.00ff6c4f193e1p-8, -0x1.f8ccec4f2fcep-9, -0x1.efbac9528f159p-9, -0x1.e6c83d8b3e2d3p-9, -0x1.ddf515cf25538p-9, -0x1.d5411defcd406p-9, -0x1.ccac20c22c7dbp-9, -0x1.c435e827d377bp-9, -0x1.bbde3d16478e4p-9, -0x1.b3a4e7a15bc32p-9, -0x1.ab89af016b8fep-9, -0x1.a38c599d2d98cp-9, -0x1.9bacad117f54cp-9, -0x1.93ea6e3a2a194p-9, -0x1.8c456139fac1ap-9, -0x1.84bd49831e95bp-9, -0x1.7d51e9df63797p-9, -0x1.7603047863494p-9, -0x1.6ed05adf780a8p-9, -0x1.67b9ae166b026p-9, -0x1.60bebe96d1779p-9, -0x1.59df4c59eaee4p-9, -0x1.531b16e0cb643p-9, -0x1.4c71dd3bf4de3p-9, -0x1.45e35e12f608p-9, -0x1.3f6f57abfa2fap-9, -0x1.391587f31ac58p-9, -0x1.32d5ac8225f2fp-9, -0x1.2caf82a73383cp-9, -0x1.26a2c76bea926p-9, -0x1.20af379bd0a3p-9, -0x1.1ad48fd19ecdap-9, -0x1.15128c7121ed2p-9, -0x1.0f68e9b863e29p-9, -0x1.09d763c2d24ap-9, -0x1.045db6902473fp-9, -0x1.fdf73c14f8ac6p-10, -0x1.f361ac18d22ddp-10, -0x1.e8fa34cfb751ap-10, -0x1.dec04dd58e7bp-10, -0x1.d4b36ecbb46b6p-10, -0x1.cad30f63e59dep-10, -0x1.c11ea76b48498p-10, -0x1.b795aed63dac3p-10, -0x1.ae379dc97a675p-10, -0x1.a503eca588fa8p-10, -0x1.9bfa1410a968ep-10, -0x1.93198d00b8bfcp-10, -0x1.8a61d0c48d00fp-10, -0x1.81d2590e88ecfp-10, -0x1.796a9ffbfe658p-10, -0x1.712a201f453e4p-10, -0x1.691054881af35p-10, -0x1.611cb8cc2787ap-10, -0x1.594ec90e33fe7p-10, -0x1.51a60208f5511p-10, -0x1.4a21e11285e4cp-10, -0x1.42c1e42717babp-10, -0x1.3b8589eeca821p-10, -0x1.346c51c547669p-10, -0x1.2d75bbbfc8abep-10, -0x1.26a148b41b3d3p-10, -0x1.1fee7a3ea768fp-10, -0x1.195cd2c8ad679p-10, -0x1.12ebd58dee63ep-10, -0x1.0c9b06a253437p-10, -0x1.0669eaf6d5274p-10, -0x1.00580860740f2p-10, -0x1.f4c9cb34c4f71p-11, -0x1.e92014995ab9fp-11, -0x1.ddb1fe203d2cdp-11, -0x1.d27e9ae55a7dep-11, -0x1.c784fff65de0ap-11, -0x1.bcc4445d4271p-11, -0x1.b23b812383074p-11, -0x1.a7e9d15bee9abp-11, -0x1.9dce5228817aap-11, -0x1.93e822c0adc43p-11, -0x1.8a366476fe567p-11, -0x1.80b83abe58457p-11, -0x1.776ccb30f6554p-11, -0x1.6e533d9206679p-11, -0x1.656abbd43953ep-11, -0x1.5cb2721d3e9dcp-11, -0x1.54298ec9bc04bp-11, -0x1.4bcf426fa1912p-11, -0x1.43a2bfe210411p-11, -0x1.3ba33c35fb60bp-11, -0x1.33cfeec060c7p-11, -0x1.2c28111b68f53p-11, -0x1.24aadf2756ae8p-11, -0x1.1d57970c3cb7cp-11, -0x1.162d793afcbeep-11, -0x1.0f2bc86ec6295p-11, -0x1.0851c9ace61d4p-11, -0x1.019ec446048f9p-11, -0x1.f62403ab94d54p-12, -0x1.e9559c8622975p-12, -0x1.dcd0ef7ef3ccep-12, -0x1.d0949d8d8fbb3p-12, -0x1.c49f4c3c780d8p-12, -0x1.b8efa5a530d2ap-12, -0x1.ad845874ea63fp-12, -0x1.a25c17dedd4e5p-12, -0x1.97759ba0225b6p-12, -0x1.8ccf9ffa818e8p-12, -0x1.8268e5b029f77p-12, -0x1.784031fda4759p-12, -0x1.6e544e9b90ac7p-12, -0x1.64a409aff7a95p-12, -0x1.5b2e35cf2fc54p-12, -0x1.51f1a9f497c19p-12, -0x1.48ed417c6ef8dp-12, -0x1.401fdc1dae02fp-12, -0x1.37885de37fdfp-12, -0x1.2f25af25b65bcp-12, -0x1.26f6bc82b44b7p-12, -0x1.1efa76d71fd17p-12, -0x1.172fd337bdb98p-12, -0x1.0f95cae7a8915p-12, -0x1.082b5b5242f7fp-12, -0x1.00ef86003136p-12, -0x1.f3c2a125ecfc5p-13, -0x1.e5ff896def549p-13, -0x1.d893e04a48bdfp-13, -0x1.cb7dc9185dc47p-13, -0x1.bebb6f2132562p-13, -0x1.b24b05828bfb7p-13, -0x1.a62ac71c94152p-13, -0x1.9a58f67e40a74p-13, -0x1.8ed3ddd2d375dp-13, -0x1.8399cecfebf3bp-13, -0x1.78a9229f53b73p-13, -0x1.6e0039cd209f5p-13, -0x1.639d7c336a601p-13, -0x1.597f58e6ac183p-13, -0x1.4fa4462112488p-13, -0x1.460ac12ee905fp-13, -0x1.3cb14e59e0eedp-13, -0x1.339678d4d7a1ap-13, -0x1.2ab8d2a6df724p-13, -0x1.2216f4945987ap-13, -0x1.19af7e15f79e5p-13, -0x1.11811531c1db5p-13, -0x1.098a6672d69c2p-13, -0x1.01ca24d1117b4p-13, -0x1.f47e1334353d7p-14, -0x1.e5cfa8ceb820ap-14, -0x1.d78695f0d14b8p-14, -0x1.c9a0725316be5p-14, -0x1.bc1ae1b7a4ccdp-14, -0x1.aef393c18769ep-14, -0x1.a22843ca91ba6p-14, -0x1.95b6b8ba1e0aep-14, -0x1.899cc4dd1bc1ep-14, -0x1.7dd845b73a409p-14, -0x1.726723e218f38p-14, -0x1.674752e121cf9p-14, -0x1.5c76d0f12c903p-14, -0x1.51f3a6ee35144p-14, -0x1.47bbe81bfd46bp-14, -0x1.3dcdb20cdbc95p-14, -0x1.34272c6b966a9p-14, -0x1.2ac688db2702ep-14, -0x1.21aa02cd5aa14p-14, -0x1.18cfdf533c06fp-14, -0x1.10366d168bbcdp-14, -0x1.07dc04015e883p-14, -0x1.ff7e0a711ceb7p-15, -0x1.efbbb5d8322a7p-15, -0x1.e06df0683e3a4p-15, -0x1.d191b1ccc93d1p-15, -0x1.c32402e75ed46p-15, -0x1.b521fd8370accp-15, -0x1.a788cc0c60ff7p-15, -0x1.9a55a94415fccp-15, -0x1.8d85dffa51928p-15, -0x1.8116cac55ac88p-15, -0x1.7505d3b75e346p-15, -0x1.6950741ea55cbp-15, -0x1.5df43433fa586p-15, -0x1.52eeaae2c2f86p-15, -0x1.483d7d7afe047p-15, -0x1.3dde5f7166158p-15, -0x1.33cf121a302c6p-15, -0x1.2a0d64681f9c7p-15, -0x1.209732aa5bd3ap-15, -0x1.176a66414f19ap-15, -0x1.0e84f576f1c22p-15, -0x1.05e4e33db0b1cp-15, -0x1.fb107d8b8eee6p-16, -0x1.eada46d54b4b4p-16, -0x1.db2370dadd76p-16, -0x1.cbe86158a81eap-16, -0x1.bd2594eec2dcdp-16, -0x1.aed79e95c8fc4p-16, -0x1.a0fb273043801p-16, -0x1.938ced25e8d72p-16, -0x1.8689c3bb2f098p-16, -0x1.79ee92f64ed66p-16, -0x1.6db856f8983dap-16, -0x1.61e41fa0b528ap-16, -0x1.566f10200e528p-16, -0x1.4b565e924ec7fp-16, -0x1.40975393e3ff8p-16, -0x1.362f49df3e9a7p-16, -0x1.2c1bade66a669p-16, -0x1.2259fd70d6973p-16, -0x1.18e7c73a27e2fp-16, -0x1.0fc2aa9291e6dp-16, -0x1.06e85700e0e28p-16, -0x1.fcad17bbe4b32p-17, -0x1.ec163002e1fedp-17, -0x1.dc07b32da04f7p-17, -0x1.cc7d7ab143b55p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.0ab7787afaa82p-5, 0x1.9bb77f2116cf2p-5, 0x1.17376f93c109fp-4, 0x1.60d0c1ad13267p-4, 0x1.aa18ad2484379p-4, 0x1.f28f06952f17p-4, 0x1.1ce0cc0252b03p-3, 0x1.3fa5cbe3e28bbp-3, 0x1.616a5b0e20d81p-3, 0x1.820816adf2c98p-3, 0x1.a15e235e3b3d2p-3, 0x1.bf50c74b1f378p-3, 0x1.dbc8ea545a36ap-3, 0x1.f6b3aa91534bdp-3, 0x1.08010331ca33bp-2, 0x1.13d447744be26p-2, 0x1.1ecf8f90aa094p-2, 0x1.28f04de9186c3p-2, 0x1.32355a38daf56p-2, 0x1.3a9ecb2495adep-2, 0x1.422dd18fbba1p-2, 0x1.48e4b56d43d89p-2, 0x1.4ec62e6cb9706p-2, 0x1.53d65d55f579p-2, 0x1.5819c68cf547fp-2, 0x1.5b9580fc4fdcbp-2, 0x1.5e4f33f12ed52p-2, 0x1.604d0f739780fp-2, 0x1.6195b7184295ap-2, 0x1.6230233e1af97p-2, 0x1.6223839e67b09p-2, 0x1.61772c2faacfcp-2, 0x1.60328ddc58dcdp-2, 0x1.5e5d357e99e16p-2, 0x1.5bfec93c6c113p-2, 0x1.591eff4225eaap-2, 0x1.55c58e34479e2p-2, 0x1.51fa1bd3cc2ep-2, 0x1.4dc42f0e50485p-2, 0x1.492b285bf8a2cp-2, 0x1.44363fd2f4efep-2, 0x1.3eec85d23a57p-2, 0x1.3954e2b7e6b3fp-2, 0x1.33761396f3d8ep-2, 0x1.2d56a41dde88ap-2, 0x1.26fce789c40d7p-2, 0x1.206ef2e43daf8p-2, 0x1.19b29a05bf906p-2, 0x1.12cd6f877e5p-2, 0x1.0bc4c6a89933bp-2, 0x1.049db5a860e7dp-2, 0x1.faba2eb8ad25dp-3, 0x1.ec0f17232facdp-3, 0x1.dd42ed30a951p-3, 0x1.ce5e0180a9474p-3, 0x1.bf682ce36e95p-3, 0x1.b068d240c36c4p-3, 0x1.a166e1dc026dcp-3, 0x1.9268dd3ddd269p-3, 0x1.8374db2b82dfp-3, 0x1.74908b6cbf637p-3, 0x1.65c13a69e1186p-3, 0x1.570bd4bd8dde5p-3, 0x1.48758887ec765p-3, 0x1.3a02f9999479bp-3, 0x1.2bb6a2f8b3a11p-3, 0x1.1d93df9198985p-3, 0x1.0f9dd5b75a6d4p-3, 0x1.01d77dd905ap-3, 0x1.e88748d9156dbp-4, 0x1.cdc9cf9dc0ceep-4, 0x1.b37b66c4f0f23p-4, 0x1.99a072de3e8dep-4, 0x1.803cda6fa0eedp-4, 0x1.6753fced7905p-4, 0x1.4ee8ae18c0e9dp-4, 0x1.36fd368153513p-4, 0x1.1f93591c6c289p-4, 0x1.08ac5d393336ep-4, 0x1.e49237587f2fdp-5, 0x1.b8d41ba2972dfp-5, 0x1.8e1eb9f1ae5b5p-5, 0x1.6471e1e7c552cp-5, 0x1.3bccf952360ap-5, 0x1.142f0fdb986fbp-5, 0x1.db2dd8e7f9e4ep-6, 0x1.900628c7b0f37p-6, 0x1.46e3996e24c2p-6, 0x1.ff845d1530aacp-7, 0x1.753ab406a9a53p-7, 0x1.ddbfbb2ea0851p-8, 0x1.b1a0ab94f18cbp-9, -0x1.2397549019d09p-11, -0x1.1a26ed53519b9p-8, -0x1.0435a048c4fap-7, -0x1.77b0ee7fc1a8bp-7, -0x1.e797688684e89p-7, -0x1.29fdf6d0004e8p-6, -0x1.5e78ff558536dp-6, -0x1.9146c46a9a48dp-6, -0x1.c2715ab44753dp-6, -0x1.f202e0b3a95e7p-6, -0x1.1002b78c0cebap-5, -0x1.264186c210388p-5, -0x1.3bc2d5986fc12p-5, -0x1.508b8d49f9c48p-5, -0x1.64a0878f42dd7p-5, -0x1.78068e259851ap-5, -0x1.8ac25ab343288p-5, -0x1.9cd896dab3558p-5, -0x1.ae4ddc62df7aep-5, -0x1.bf26b565cc94dp-5, -0x1.cf679c76fc3adp-5, -0x1.df14fcaf47a06p-5, -0x1.ee3331868f967p-5, -0x1.fcc6866242eb2p-5, -0x1.05699ae22d89cp-4, -0x1.0c2eb4088d061p-4, -0x1.12b498f867e8ap-4, -0x1.18fd4931815dap-4, -0x1.1f0ab8530f2a6p-4, -0x1.24decd0fb8274p-4, -0x1.2a7b603864622p-4, -0x1.2fe23bf1e32bp-4, -0x1.35151b23d01f5p-4, -0x1.3a15a927d9cc1p-4, -0x1.3ee581b916855p-4, -0x1.4386311c9131ap-4, -0x1.47f93477c4e1ap-4, -0x1.4c3ffa478c7cep-4, -0x1.505be2ea2416cp-4, -0x1.544e413083ec7p-4, -0x1.58185aee0c339p-4, -0x1.5bbb698051058p-4, -0x1.5f389a4b6995p-4, -0x1.62910f292840ap-4, -0x1.65c5decb03beep-4, -0x1.68d8150f6ace8p-4, -0x1.6bc8b34bd322cp-4, -0x1.6e98b08d67dbdp-4, -0x1.7148f9d2a6d03p-4, -0x1.73da7240a68aep-4, -0x1.764df356f9f9dp-4, -0x1.78a44d2524dd7p-4, -0x1.7ade468430cd8p-4, -0x1.7cfc9d564f969p-4, -0x1.7f0006cd8761ep-4, -0x1.80e058e160b7fp-4, -0x1.82ae997282e8bp-4, -0x1.8464523fbef33p-4, -0x1.86021e0e47a01p-4, -0x1.87888ab4934bdp-4, -0x1.88f819dcafc9fp-4, -0x1.8a51420273029p-4, -0x1.8b946fa01147fp-4, -0x1.8cc2067a71801p-4, -0x1.8dda62fe69294p-4, -0x1.8edddba07534ep-4, -0x1.8fccc231885d2p-4, -0x1.90a7651d23ca7p-4, -0x1.916e1086dd33dp-4, -0x1.92210f3fb89a5p-4, -0x1.92c0ab8e22408p-4, -0x1.934d2fc5bd08fp-4, -0x1.93c6e6aea859fp-4, -0x1.942e1bbdeba6fp-4, -0x1.94831b22b5826p-4, -0x1.94c631ad99dabp-4, -0x1.94f7ac981c103p-4, -0x1.9517d9339aa3ap-4, -0x1.9527048708cdap-4, -0x1.95257ae2cc228p-4, -0x1.95138771c26bdp-4, -0x1.94f173cdcfecbp-4, -0x1.94bf879d6a873p-4, -0x1.947e083ea9173p-4, -0x1.942d38834183ep-4, -0x1.93cd587fc2b25p-4, -0x1.935ea56f5215bp-4, -0x1.92e159ac29363p-4, -0x1.9255acbc3d77ep-4, -0x1.91bbd370a97e3p-4, -0x1.91140015dccfap-4, -0x1.905e62b21fccfp-4, -0x1.8f9b294f95985p-4, -0x1.8eca804ec500ep-4, -0x1.8dec92be92bbp-4, -0x1.8d018ab6a97afp-4, -0x1.8c0991b168accp-4, -0x1.8b04d0e2b1d8fp-4, -0x1.89f37189383ecp-4, -0x1.88d59d384d6dfp-4, -0x1.87ab7e188b2bdp-4, -0x1.86753f1e29105p-4, -0x1.85330c34316fap-4, -0x1.83e5125c441b3p-4, -0x1.828b7fc2e7b0cp-4, -0x1.812683c8d8fd5p-4, -0x1.7fb64f02131dep-4, -0x1.7e3b132b945f6p-4, -0x1.7cb5031911cc4p-4, -0x1.7b24529bfbb5bp-4, -0x1.79893665444e8p-4, -0x1.77e3e3e368611p-4, -0x1.7634911e25ee6p-4, -0x1.747b7491495abp-4, -0x1.72b8c507d1aeap-4, -0x1.70ecb9788973p-4, -0x1.6f1788e507a03p-4, -0x1.6d396a3bdaacbp-4, -0x1.6b52943e7531fp-4, -0x1.69633d6b3a19dp-4, -0x1.676b9bebe4239p-4, -0x1.656be58851e77p-4, -0x1.63644f9d9ca9p-4, -0x1.61550f19447dp-4, -0x1.5f3e587818654p-4, -0x1.5d205fc87459p-4, -0x1.5afb58af5d99ep-4, -0x1.58cf766ff71ap-4, -0x1.569cebf4ca8abp-4, -0x1.5463ebda5d61bp-4, -0x1.5224a87a88ca1p-4, -0x1.4fdf53f81c5a4p-4, -0x1.4d94204a53ecep-4, -0x1.4b433f47b4f4p-4, -0x1.48ece2affbd75p-4, -0x1.46913c34c89d4p-4, -0x1.44307d80cb5ddp-4, -0x1.41cad83d46fa7p-4, -0x1.3f607e15c4a18p-4, -0x1.3cf1a0b9e9defp-4, -0x1.3a7e71dd72facp-4, -0x1.3807233655584p-4, -0x1.358be679270a2p-4, -0x1.330ced53ec52cp-4, -0x1.308a69676d8d6p-4, -0x1.2e048c3f52038p-4, -0x1.2b7b874929602p-4, -0x1.28ef8bcaa1db9p-4, -0x1.2660cad72477bp-4, -0x1.23cf75450be83p-4, -0x1.213bbba2b060ep-4, -0x1.1ea5ce2b7af44p-4, -0x1.1c0ddcbd2d5f2p-4, -0x1.197416cd88798p-4, -0x1.16d8ab60766b5p-4, -0x1.143bc8fed3e9cp-4, -0x1.119d9dadef5c1p-4, -0x1.0efe56e7cfabcp-4, -0x1.0c5e21944ee47p-4, -0x1.09bd2a0306b39p-4, -0x1.071b9be616b2ep-4, -0x1.0479a24dbacfdp-4, -0x1.01d767a4a7436p-4, -0x1.fe6a2b5a4948dp-5, -0x1.f925aafdab219p-5, -0x1.f3e19f0a311ep-5, -0x1.ee9e56fbeb95ap-5, -0x1.e95c20f302ea2p-5, -0x1.e41b49b34acf3p-5, -0x1.dedc1ca470bbdp-5, -0x1.d99ee3d2b3942p-5, -0x1.d463e7eff1866p-5, -0x1.cf2b7054f64b6p-5, -0x1.c9f5c302eeb2dp-5, -0x1.c4c324a4e3384p-5, -0x1.bf93d8912b8f6p-5, -0x1.ba6820cac339ep-5, -0x1.b5403e0275a69p-5, -0x1.b01c6f97db854p-5, -0x1.aafcf39a148cep-5, -0x1.a5e206c8510dbp-5, -0x1.a0cbe49212542p-5, -0x1.9bbac71737adep-5, -0x1.96aee727cff81p-5, -0x1.91a87c43bfe73p-5, -0x1.8ca7bc9a370c3p-5, -0x1.87acdd0915058p-5, -0x1.82b8111c2b255p-5, -0x1.7dc98b0c7cb0fp-5, -0x1.78e17bbf7ca8dp-5, -0x1.740012c65c1a3p-5, -0x1.6f257e5d6791dp-5, -0x1.6a51eb6b8fd59p-5, -0x1.658585820e69cp-5, -0x1.60c076dc4be1fp-5, -0x1.5c02e85ff286ap-5, -0x1.574d019d491bcp-5, -0x1.529ee8cfcb3a2p-5, -0x1.4df8c2df101e7p-5, -0x1.495ab35ff4525p-5, -0x1.44c4dc96165ep-5, -0x1.40375f7597627p-5, -0x1.3bb25ba52c456p-5, -0x1.3735ef80742dbp-5, -0x1.32c2381a977b1p-5, -0x1.2e575141217edp-5, -0x1.29f5557f26353p-5, -0x1.259c5e2095615p-5, -0x1.214c8335c91f8p-5, -0x1.1d05db9743f74p-5, -0x1.18c87ce99b9c9p-5, -0x1.14947ba186e04p-5, -0x1.1069eb0811fa2p-5, -0x1.0c48dd3ee849cp-5, -0x1.08316344c145fp-5, -0x1.04238cf9d8af5p-5, -0x1.001f69247859bp-5, -0x1.f84a0aeb24fe8p-6, -0x1.f068dd1abfe54p-6, -0x1.e89b600011093p-6, -0x1.e0e1a8b49ddep-6, -0x1.d93bca4c73296p-6, -0x1.d1a9d5df805d5p-6, -0x1.ca2bd5cfe76aap-6, -0x1.c2c1e1372ed09p-6, -0x1.bb6bfe51cb13bp-6, -0x1.b42a36a454749p-6, -0x1.acfc91e56728p-6, -0x1.a5e31606ccbbap-6, -0x1.9eddc73e7f797p-6, -0x1.97eca80fa8df3p-6, -0x1.910fb9538af93p-6, -0x1.8a46fa4265843p-6, -0x1.8392687c43227p-6, -0x1.7cf20011b444fp-6, -0x1.7665bb8c8d999p-6, -0x1.6fed93f8796fcp-6, -0x1.698980eb9eeddp-6, -0x1.6339788f2075dp-6, -0x1.5cfd6fa79a0aap-6, -0x1.56d5599d8b4c8p-6, -0x1.50c12885bbd4ap-6, -0x1.4ac0cd298ead8p-6, -0x1.44d4370f49204p-6, -0x1.3efb54824d8bcp-6, -0x1.3936129b4fe69p-6, -0x1.33845d4873bbfp-6, -0x1.2de61f5566a45p-6, -0x1.285b427369266p-6, -0x1.22e3af4151f69p-6, -0x1.1d7f4d537cceap-6, -0x1.182e033bb674bp-6, -0x1.12efb691145a2p-6, -0x1.0dc44bf7c1abdp-6, -0x1.08aba728c559cp-6, -0x1.03a5aaf9af7cfp-6, -0x1.fd6472c895ed1p-7, -0x1.f3a2671c68a2ap-7, -0x1.ea04f3a0d3339p-7, -0x1.e08bd77d99af4p-7, -0x1.d736d05f25a5ep-7, -0x1.ce059a8567ecp-7, -0x1.c4f7f0d28212dp-7, -0x1.bc0d8cd95c2bdp-7, -0x1.b34626ec26d9p-7, -0x1.aaa1762abfce7p-7, -0x1.a21f3090e7e34p-7, -0x1.99bf0b047ec28p-7, -0x1.9180b9638218fp-7, -0x1.8963ee91fbde3p-7, -0x1.81685c87ced82p-7, -0x1.798db45e6426dp-7, -0x1.71d3a65e3872cp-7, -0x1.6a39e20c47537p-7, -0x1.62c0163748454p-7, -0x1.5b65f104def3dp-7, -0x1.542b1ffe895fcp-7, -0x1.4d0f501e7d203p-7, -0x1.46122ddc442f8p-7, -0x1.3f3365394f2a1p-7, -0x1.3872a1cd2aa95p-7, -0x1.31cf8ed1b9d4ap-7, -0x1.2b49d72f1ad03p-7, -0x1.24e12587637bdp-7, -0x1.1e95244226524p-7, -0x1.18657d97c47a4p-7, -0x1.1251db9c84977p-7, -0x1.0c59e84b66554p-7, -0x1.067d4d90b5a13p-7, -0x1.00bbb55474fp-7, -0x1.f6299308cf581p-8, -0x1.eb10683bd1206p-8, -0x1.e02b3e6ee3cebp-8, -0x1.d5796a13cca59p-8, -0x1.cafa3ff30d9edp-8, -0x1.c0ad153d466a3p-8, -0x1.b6913f9bed61p-8, -0x1.aca6154193624p-8, -0x1.a2eaecf94eaa5p-8, -0x1.995f1e35bcf4fp-8, -0x1.9002011f48c0bp-8, -0x1.86d2eea1c9591p-8, -0x1.7dd14079adc7bp-8, -0x1.74fc51404f523p-8, -0x1.6c537c77c66dcp-8, -0x1.63d61e960dce9p-8, -0x1.5b83950fa2044p-8, -0x1.535b3e616af94p-8, -0x1.4b5c7a1a23af3p-8, -0x1.4386a8e30eafp-8, -0x1.3bd92c883bda5p-8, -0x1.34536800324cep-8, -0x1.2cf4bf72f8accp-8, -0x1.25bc9840b35d4p-8, -0x1.1eaa5907b5648p-8, -0x1.17bd69aa1c812p-8, -0x1.10f53352eb7e1p-8, -0x1.0a51207a9cd99p-8, -0x1.03d09ceb854b2p-8, -0x1.fae62b8b1a3d3p-9, -0x1.ee6ff30342707p-9, -0x1.e23d6fe99f4fep-9, -0x1.d64d84a5f3accp-9, -0x1.ca9f166282e7fp-9, -0x1.bf310d102b68fp-9, -0x1.b402536a2ca37p-9, -0x1.a911d6f95abf1p-9, -0x1.9e5e88167bc33p-9, -0x1.93e759ecb7e6dp-9, -0x1.89ab427b4958bp-9, -0x1.7fa93a96f56c9p-9, -0x1.75e03deb1c831p-9, -0x1.6c4f4afa84b2bp-9, -0x1.62f5631fcb7fap-9, -0x1.59d18a8db2fbp-9, -0x1.50e2c84f2ac52p-9, -0x1.482826470acf2p-9, -0x1.3fa0b12fc6cb6p-9, -0x1.374b789ad47dfp-9, -0x1.2f278ef0156dfp-9, -0x1.2734096ce4d3ep-9, -0x1.1f700023450ecp-9, -0x1.17da8df8c59a2p-9, -0x1.1072d0a550cfbp-9, -0x1.0937e8b200f9fp-9, -0x1.0228f977becbep-9, -0x1.f68a523bac8d6p-10, -0x1.e9174130f337cp-10, -0x1.dbf7174e4c71fp-10, -0x1.cf2831a5f0c04p-10, -0x1.c2a8f2da05622p-10, -0x1.b677c318adc44p-10, -0x1.aa9310187ca67p-10, -0x1.9ef94d1454033p-10, -0x1.93a8f2c76ea06p-10, -0x1.88a07f68a9183p-10, -0x1.7dde76a6411a5p-10, -0x1.736161a106d03p-10, -0x1.6927cee7757c3p-10, -0x1.5f3052704a9e2p-10, -0x1.55798595880dep-10, -0x1.4c02070e9066dp-10, -0x1.42c87aea6e3c5p-10, -0x1.39cb8a89702acp-10, -0x1.3109e497345fap-10, -0x1.28823d03d0b34p-10, -0x1.20334cfcf521p-10, -0x1.181bd2e6ce128p-10, -0x1.103a92549119ap-10, -0x1.088e5400d39eep-10, -0x1.0115e5c592869p-10, -0x1.f3a03527c888p-11, -0x1.e57794d6e0887p-11, -0x1.d7afa4a3fe74ep-11, -0x1.ca4628939b2a2p-11, -0x1.bd38ee913092p-11, -0x1.b085ce5bec835p-11, -0x1.a42aa972cf76cp-11, -0x1.98256b008bf5ep-11, -0x1.8c7407c6b98c4p-11, -0x1.81147e0862aaap-11, -0x1.7604d5751a52dp-11, -0x1.6b431f1145b07p-11, -0x1.60cd75211bb36p-11, -0x1.56a1fb109ae49p-11, -0x1.4cbedd5c7d753p-11, -0x1.4322517a29abfp-11, -0x1.39ca95bfa084ep-11, -0x1.30b5f14ad9472p-11, -0x1.27e2b3e8e21a3p-11, -0x1.1f4f35fca7e3ep-11, -0x1.16f9d8658dbb7p-11, -0x1.0ee104658deb4p-11, -0x1.07032b8751f0dp-11, -0x1.febd8f07ec895p-12, -0x1.efe4b451438c9p-12, -0x1.e178da77f1ce5p-12, -0x1.d37724c66f533p-12, -0x1.c5dcc60f179a1p-12, -0x1.b8a70075dff33p-12, -0x1.abd3253a3eefp-12, -0x1.9f5e9480da9a2p-12, -0x1.9346bd1d1c27ap-12, -0x1.87891c5a3dd8fp-12, -0x1.7c233dc6d04e1p-12, -0x1.7112bafa86cfdp-12, -0x1.66553b62ec2aep-12, -0x1.5be8740bb1a3dp-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.73742edd2d08bp-4, -0x1.53c0709606ac3p-4, -0x1.312fe5d271caep-4, -0x1.0c1719cbe4488p-4, -0x1.c9909ca8cf0bbp-5, -0x1.77233741c6e0ap-5, -0x1.217a7acab8fcp-5, -0x1.9245846d0c22ap-6, -0x1.ba7faa8570f56p-7, -0x1.26d8be280e7a3p-9, 0x1.2c045302f865dp-7, 0x1.52818b53731bbp-6, 0x1.07ee354a90648p-5, 0x1.66adb7a95a7bfp-5, 0x1.c52afcdb63aebp-5, 0x1.118c63042a805p-4, 0x1.40183fa20a547p-4, 0x1.6e18fcec56025p-4, 0x1.9b719f6e03218p-4, 0x1.c80804dc65cacp-4, 0x1.f3c4b55105e5bp-4, 0x1.0f496e85fa11bp-3, 0x1.243010767071dp-3, 0x1.388e2a8a3eb07p-3, 0x1.4c5cb815bbfb3p-3, 0x1.5f95b7cb019eap-3, 0x1.72341b387969ep-3, 0x1.8433b4cad7e74p-3, 0x1.959125d204e35p-3, 0x1.a649ce190e205p-3, 0x1.b65bbe086787bp-3, 0x1.c5c5aad5549b2p-3, 0x1.d486e356beafp-3, 0x1.e29f445a7740cp-3, 0x1.f00f2c45fe2edp-3, 0x1.fcd76e911a9ap-3, 0x1.047ca3fb67334p-2, 0x1.0a3b2a05ea101p-2, 0x1.0fa842245444bp-2, 0x1.14c50c039284ep-2, 0x1.1992ca727b137p-2, 0x1.1e12df94a9ef5p-2, 0x1.2246c901a1d79p-2, 0x1.26301bed5067ep-2, 0x1.29d0819f0cebdp-2, 0x1.2d29b45e66cd3p-2, 0x1.303d7cb9de107p-2, 0x1.330daefd33b9ap-2, 0x1.359c28da752f4p-2, 0x1.37eacf5f22147p-2, 0x1.39fb8d24d79c2p-2, 0x1.3bd050810e5d7p-2, 0x1.3d6b0992ba139p-2, 0x1.3ecda85a1d5d7p-2, 0x1.3ffa1b2d40a32p-2, 0x1.40f24daa1b49ap-2, 0x1.41b827f04a538p-2, 0x1.424d8dc83b505p-2, 0x1.42b45d8df5ec2p-2, 0x1.42ee6f07baa1bp-2, 0x1.42fd9277dace9p-2, 0x1.42e390181524ap-2, 0x1.42a227e6c752p-2, 0x1.423b351e1f77dp-2, 0x1.41b020303b7acp-2, 0x1.4102ab96b733ep-2, 0x1.4034737dbbc39p-2, 0x1.3f470a96b0b62p-2, 0x1.3e3bf994c0721p-2, 0x1.3d14beb34ceb4p-2, 0x1.3bd2cd539cbdp-2, 0x1.3a778dba3956cp-2, 0x1.39045ceecd51fp-2, 0x1.377a8cbca5bf1p-2, 0x1.35db63cf5c4ap-2, 0x1.34281de5f44b4p-2, 0x1.3261ec15d6531p-2, 0x1.3089f5160d682p-2, 0x1.2ea1558aa856ap-2, 0x1.2ca92048f72b2p-2, 0x1.2aa25e8fe84f3p-2, 0x1.288e103350f97p-2, 0x1.266d2bbbeb387p-2, 0x1.24409e7fb8187p-2, 0x1.22094cb6a92bp-2, 0x1.1fc8118f025f1p-2, 0x1.1d7dbf442f722p-2, 0x1.1b2b1f3a3feefp-2, 0x1.18d0f21fddad7p-2, 0x1.166ff017eb16ap-2, 0x1.1408c8eb4768p-2, 0x1.119c2442186d2p-2, 0x1.0f2aa1e34233ap-2, 0x1.0cb4d9f81e625p-2, 0x1.0a3b5d526c3b3p-2, 0x1.07beb5b2b67b5p-2, 0x1.053f660dcb4bep-2, 0x1.02bdead03f43p-2, 0x1.003aba1f4f0d3p-2, 0x1.fb6c882d28a96p-3, 0x1.f661e60457a64p-3, 0x1.f156572a52baep-3, 0x1.ec4a9a38cb96ep-3, 0x1.e73f635c5f026p-3, 0x1.e2355caf302a3p-3, 0x1.dd2d2690c6df5p-3, 0x1.d82757fd0f4c8p-3, 0x1.d3247ee401ac4p-3, 0x1.ce25208298402p-3, 0x1.c929b9bd26007p-3, 0x1.c432bf7a67c6dp-3, 0x1.bf409efea0e7ap-3, 0x1.ba53be45e9162p-3, 0x1.b56c7c5d3da02p-3, 0x1.b08b31b9f9a4cp-3, 0x1.abb0308f8160dp-3, 0x1.a6dbc522e21d5p-3, 0x1.a20e361bf0e17p-3, 0x1.9d47c4d348b35p-3, 0x1.9888ad9c74f57p-3, 0x1.93d1280ba6096p-3, 0x1.8f2167368f745p-3, 0x1.8a7999f081ff7p-3, 0x1.85d9eb0237b1dp-3, 0x1.8142815e38187p-3, 0x1.7cb38052dda08p-3, 0x1.782d07bb11f86p-3, 0x1.73af342e7081dp-3, 0x1.6f3a1f3142f1cp-3, 0x1.6acddf64129fbp-3, 0x1.666a88b256e54p-3, 0x1.62102c7f66681p-3, 0x1.5dbed9d0d20b9p-3, 0x1.59769d75a051ep-3, 0x1.5537822a1d86fp-3, 0x1.510190b87900bp-3, 0x1.4cd4d016cc073p-3, 0x1.48b14583520f8p-3, 0x1.4496f49faff3cp-3, 0x1.4085df8bf0669p-3, 0x1.3c7e0701a639ap-3, 0x1.387f6a6f1931fp-3, 0x1.348a081238ce7p-3, 0x1.309ddd12ade0ap-3, 0x1.2cbae59a5b0acp-3, 0x1.28e11cebadd04p-3, 0x1.25107d7555c81p-3, 0x1.2148fa6262a13p-3, 0x1.1d8a9db6a3cadp-3, 0x1.19d55552e2771p-3, 0x1.162918a9ec60ap-3, 0x1.1285dea1d7bd4p-3, 0x1.0eeb9da2e06e4p-3, 0x1.0b5a4ba5258f6p-3, 0x1.07d1de3d33288p-3, 0x1.04524aa750f9p-3, 0x1.00db85d1a46f6p-3, 0x1.fadb08ca49d91p-4, 0x1.f410759af4235p-4, 0x1.ed573a7fbb37dp-4, 0x1.e6af3f82268bfp-4, 0x1.e0186c5530396p-4, 0x1.d992a85e49164p-4, 0x1.d31ddabd3c4aap-4, 0x1.ccb9ea5323a48p-4, 0x1.c666bdc898a63p-4, 0x1.c0243b935c5cfp-4, 0x1.b9f249fba3bbdp-4, 0x1.b3d0cf210336p-4, 0x1.adbfb0ff4c455p-4, 0x1.a7bed57345ffcp-4, 0x1.a1ce223f6227ep-4, 0x1.9bed7d106b33ep-4, 0x1.961ccb8232dc3p-4, 0x1.905bf32438beap-4, 0x1.8aaad97e3672p-4, 0x1.850964149270dp-4, 0x1.7f77786ca3dfp-4, 0x1.79f4fc10b5ebdp-4, 0x1.7481d493c968cp-4, 0x1.6f1de794f9aa4p-4, 0x1.69c91ac287836p-4, 0x1.648353dc783c9p-4, 0x1.5f4c78b6cfbddp-4, 0x1.5a246f3b585ebp-4, 0x1.550b1d6aff93bp-4, 0x1.5000695ec7ffcp-4, 0x1.4b043948584dbp-4, 0x1.4616737228391p-4, 0x1.4136fe3f5abbcp-4, 0x1.3c65c02b42347p-4, 0x1.37a29fc8ac9bfp-4, 0x1.32ed83c0eb783p-4, 0x1.2e4652d2b494fp-4, 0x1.29acf3d0db807p-4, 0x1.25214da0f9715p-4, 0x1.20a3473a0583fp-4, 0x1.1c32c7a2ebbc6p-4, 0x1.17cfb5f12e69fp-4, 0x1.1379f94798f4cp-4, 0x1.0f3178d50605cp-4, 0x1.0af61bd34666fp-4, 0x1.06c7c98623dcbp-4, 0x1.02a6693a8a58fp-4, 0x1.fd23c48b9a4d6p-5, 0x1.f514380a24858p-5, 0x1.ed1dfbb9af214p-5, 0x1.e540de713460bp-5, 0x1.dd7caf1528b1ap-5, 0x1.d5d13c9723c84p-5, 0x1.ce3e55f5b3efcp-5, 0x1.c6c3ca3c515fcp-5, 0x1.bf6168836db77p-5, 0x1.b816fff0983bp-5, 0x1.b0e45fb6b1e67p-5, 0x1.a9c957162cc24p-5, 0x1.a2c5b55d55c6dp-5, 0x1.9bd949e89a2c5p-5, 0x1.9503e422ce7d8p-5, 0x1.8e45538571cb6p-5, 0x1.879d6798ea319p-5, 0x1.810beff4b50ap-5, 0x1.7a90bc3f91da2p-5, 0x1.742b9c2fa1fcfp-5, 0x1.6ddc5f8a7d658p-5, 0x1.67a2d62542ce3p-5, 0x1.617ecfe4a3551p-5, 0x1.5b701cbce4f23p-5, 0x1.55768cb1e9dbap-5, 0x1.4f91efd73b13p-5, 0x1.49c2165012f43p-5, 0x1.4406d04f76e42p-5, 0x1.3e5fee1855394p-5, 0x1.38cd3ffdb83fdp-5, 0x1.334e96630156p-5, 0x1.2de3c1bc3ca8fp-5, 0x1.288c928e81f6cp-5, 0x1.2348d970695e3p-5, 0x1.1e18670a96b37p-5, 0x1.18fb0c1854a98p-5, 0x1.13f0996842a21p-5, 0x1.0ef8dfdd1a0fcp-5, 0x1.0a13b06e7db29p-5, 0x1.0540dc29e00dp-5, 0x1.0080343373b35p-5, 0x1.f7a3138e5a643p-6, 0x1.ee695c73a3f3ep-6, 0x1.e552e5f42249ap-6, 0x1.dc5f53234a0e6p-6, 0x1.d38e474d15d7ep-6, 0x1.cadf65f861ec5p-6, 0x1.c25252e976771p-6, 0x1.b9e6b2248cd1p-6, 0x1.b19c27f0687c6p-6, 0x1.a97258d8f50dfp-6, 0x1.a168e9b1e4ca4p-6, 0x1.997f7f995e09ep-6, 0x1.91b5bffaa2482p-6, 0x1.8a0b5090b0f99p-6, 0x1.827fd768ef4ebp-6, 0x1.7b12fae5c34cap-6, 0x1.73c461c12673ep-6, 0x1.6c93b30f3f709p-6, 0x1.65809640dc2p-6, 0x1.5e8ab325f4bc8p-6, 0x1.57b1b1f019ec9p-6, 0x1.50f53b34dc7cdp-6, 0x1.4a54f7f02bf44p-6, 0x1.43d09186ac025p-6, 0x1.3d67b1c7f4d1p-6, 0x1.371a02f0e2d1cp-6, 0x1.30e72fadcbcd4p-6, 0x1.2acee31ca964ep-6, 0x1.24d0c8cf4a9d6p-6, 0x1.1eec8ccd71b6p-6, 0x1.1921db96f14b2p-6, 0x1.13706225b6791p-6, 0x1.0dd7cdefdfa99p-6, 0x1.0857cce9b3b6ap-6, 0x1.02f00d879dfaap-6, 0x1.fb407d80389a8p-7, 0x1.f0d0201b491e1p-7, 0x1.e68e62e0f8431p-7, 0x1.dc7aa6e1164e7p-7, 0x1.d2944e3e381ddp-7, 0x1.c8dabc31282bep-7, 0x1.bf4d550c43e09p-7, 0x1.b5eb7e3eb9eaep-7, 0x1.acb49e57ac753p-7, 0x1.a3a81d093e3d2p-7, 0x1.9ac5632b8d5f4p-7, 0x1.920bdabf8823dp-7, 0x1.897aeef1ae16ep-7, 0x1.81120c1cc1a54p-7, 0x1.78d09fcc38fcbp-7, 0x1.70b618bed0b24p-7, 0x1.68c1e6e8cb606p-7, 0x1.60f37b763f579p-7, 0x1.594a48cd20c0fp-7, 0x1.51c5c28f559b6p-7, 0x1.4a655d9c916ccp-7, 0x1.4328901429e9bp-7, 0x1.3c0ed156b4727p-7, 0x1.35179a07a226fp-7, 0x1.2e42640e9ee6ep-7, 0x1.278eaa98f736ap-7, 0x1.20fbea1abf17ep-7, 0x1.1a89a04fecc74p-7, 0x1.14374c3d4f2aep-7, 0x1.0e046e316c2fcp-7, 0x1.07f087c53b203p-7, 0x1.01fb1bdccc41ap-7, 0x1.f8475d4f87ac3p-8, 0x1.ecd38b439e208p-8, 0x1.e199cf25e4a63p-8, 0x1.d6993906c53b6p-8, 0x1.cbd0dbe144aa8p-8, 0x1.c13fccf09482cp-8, 0x1.b6e52429295f2p-8, 0x1.acbffc1853449p-8, 0x1.a2cf71e38153ep-8, 0x1.9912a547a0807p-8, 0x1.8f88b8983310bp-8, 0x1.8630d0be21303p-8, 0x1.7d0a15369b84fp-8, 0x1.7413b01198709p-8, 0x1.6b4ccdf0421ddp-8, 0x1.62b49e033cde5p-8, 0x1.5a4a5208bd1e5p-8, 0x1.520d1e4a7e62p-8, 0x1.49fc399b96cbcp-8, 0x1.4216dd561d98dp-8, 0x1.3a5c4558b8497p-8, 0x1.32cbb00404e11p-8, 0x1.2b645e37d3753p-8, 0x1.242593505e0bbp-8, 0x1.1d0e95234a6dep-8, 0x1.161eabfc91866p-8, 0x1.0f55229b4dfap-8, 0x1.08b1462e812e6p-8, 0x1.023266517cd61p-8, 0x1.f7afaa11465cap-9, 0x1.eb41cd7b26edcp-9, 0x1.df19e47724bbp-9, 0x1.d336a1577afe6p-9, 0x1.c796bb22566a4p-9, 0x1.bc38ed89df484p-9, 0x1.b11bf8e45b3d3p-9, 0x1.a63ea223aaab6p-9, 0x1.9b9fb2cd1f96fp-9, 0x1.913df8f0ea24ep-9, 0x1.87184721875a1p-9, 0x1.7d2d746ac9f5bp-9, 0x1.737c5c493e7e6p-9, 0x1.6a03dea104d2cp-9, 0x1.60c2dfb4b34c3p-9, 0x1.57b8481c1dbbbp-9, 0x1.4ee304bb09d3p-9, 0x1.464206b7c1c6cp-9, 0x1.3dd44371960d4p-9, 0x1.3598b4773b15ep-9, 0x1.2d8e577d242fap-9, 0x1.25b42e53b8b8ap-9, 0x1.1e093edd9d00bp-9, 0x1.168c9305a8fc2p-9, 0x1.0f3d38b4eb581p-9, 0x1.081a41c8d2d7ap-9, 0x1.0122c408f01acp-9, 0x1.f4abb239bfdd5p-10, 0x1.e7653d0419091p-10, 0x1.da706b0348488p-10, 0x1.cdcb864c0ac42p-10, 0x1.c174e061479acp-10, 0x1.b56ad21f33bc9p-10, 0x1.a9abbba68e8bcp-10, 0x1.9e360447e53dep-10, 0x1.93081a6e89ae9p-10, 0x1.8820738bb75a9p-10, 0x1.7d7d8c01a7782p-10, 0x1.731de70e67223p-10, 0x1.69000eb7313f1p-10, 0x1.5f2293b2e738ap-10, 0x1.55840d554ebccp-10, 0x1.4c231979f0eaep-10, 0x1.42fe5c6f2449ep-10, 0x1.3a1480e0df92cp-10, 0x1.316437c3e8ce5p-10, 0x1.28ec384055ef6p-10, 0x1.20ab3f9d4d2d7p-10, 0x1.18a0112bb7299p-10, 0x1.10c976314462cp-10, 0x1.09263dd3c29bfp-10, 0x1.01b53d045c864p-10, 0x1.f4ea9cd5975efp-11, 0x1.e6caa4a195741p-11, 0x1.d9085d1b0c037p-11, 0x1.cba19ce24383p-11, 0x1.be944560d75e1p-11, 0x1.b1de42a101fafp-11, 0x1.a57d8b254e4ecp-11, 0x1.99701fc0e784dp-11, 0x1.8db40b6f27abap-11, 0x1.8247632c4c03cp-11, 0x1.772845ce3217ap-11, 0x1.6c54dbdd16d98p-11, 0x1.61cb576cbfd11p-11, 0x1.5789f3f6cb7f4p-11, 0x1.4d8ef6331c447p-11, 0x1.43d8abf3755b9p-11, 0x1.3a656bfc585e7p-11, 0x1.313395e163aebp-11, 0x1.284191df8f41dp-11, 0x1.1f8dd0b8df74p-11, 0x1.1716cb90231cap-11, 0x1.0edb03c56387cp-11, 0x1.06d902d1ed4cep-11, 0x1.fe1eb44c793ap-12, 0x1.eef9460bef5ffp-12, 0x1.e03efccd81828p-12, 0x1.d1ed299b3f118p-12, 0x1.c4012c5b5a524p-12, 0x1.b678738e0e19p-12, 0x1.a9507c0badd7cp-12, 0x1.9c86d0c426f8dp-12, 0x1.90190a7ee8e7dp-12, 0x1.8404cf9c0bf5ap-12, 0x1.7847d3d5e044fp-12, 0x1.6cdfd80204778p-12, 0x1.61caa9d6fcd42p-12, 0x1.570623ae78988p-12, 0x1.4c902c4ad29a9p-12, 0x1.4266b69bf93ep-12, 0x1.3887c186df617p-12, 0x1.2ef157ab4cb68p-12, 0x1.25a18f2c8c308p-12, 0x1.1c96897a19ff1p-12, 0x1.13ce7318b343dp-12, 0x1.0b47836cc3b5bp-12, 0x1.02fffc8543db9p-12, 0x1.f5ec55ce61b26p-13, 0x1.e650cab5a8365p-13, 0x1.d72a196f752fcp-13, 0x1.c875176598325p-13, 0x1.ba2ead5d6bcc1p-13, 0x1.ac53d710486f7p-13, 0x1.9ee1a2d17bedp-13, 0x1.91d5312b679eap-13, 0x1.852bb4850917dp-13, 0x1.78e270c54fe32p-13, 0x1.6cf6baf8de0a8p-13, 0x1.6165f8f9e6dc2p-13, 0x1.562da115182d1p-13, 0x1.4b4b39b85bd38p-13, 0x1.40bc591a7f796p-13, 0x1.367ea4e733059p-13, 0x1.2c8fd1f12813p-13, 0x1.22eda3da1dbe7p-13, 0x1.1995ecc791a3fp-13, 0x1.10868d130da9ep-13, 0x1.07bd72fcc111p-13, 0x1.fe7134bedbfa4p-14, 0x1.edec18caead7dp-14, 0x1.dde7be7df6964p-14, 0x1.ce606bb46900cp-14, 0x1.bf527f34ea5ebp-14, 0x1.b0ba702921c75p-14, 0x1.a294cd8e2650ep-14, 0x1.94de3db0db881p-14, 0x1.87937da6b5e7fp-14, 0x1.7ab160cbb6301p-14, 0x1.6e34d040c51afp-14, 0x1.621aca6d4e726p-14, 0x1.56606284f1df6p-14, 0x1.4b02c006ccc75p-14, 0x1.3fff1e4d29e04p-14, 0x1.3552cc1388d59p-14, 0x1.2afb2b03d5bbep-14, 0x1.20f5af42a0e58p-14, 0x1.173fdf0409794p-14, 0x1.0dd752184bbeap-14, 0x1.04b9b183d856p-14, 0x1.f7c96e2987dfcp-15, 0x1.e6ac59efdc1cap-15, 0x1.d617dac052f6cp-15, 0x1.c607c41e4d661p-15, 0x1.b67808011038ap-15, 0x1.a764b60d623dep-15, 0x1.98c9fad964a8p-15, 0x1.8aa41f33d801fp-15, 0x1.7cef87704ba2p-15, 0x1.6fa8b2b462e49p-15, 0x1.62cc3a4b2b9a2p-15, 0x1.5656d0fab7153p-15, 0x1.4a45425d69a84p-15, 0x1.3e94723eb6p-15, 0x1.33415bfaf2ed7p-15, 0x1.284911e0e40d2p-15, 0x1.1da8bca4a6839p-15, 0x1.135d9ab165d82p-15, 0x1.0964ffacf7e81p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.72f2a43ae781dp-3, -0x1.29ebb58db0753p-3, -0x1.e4edf786652ddp-4, -0x1.9573307b8f6f9p-4, -0x1.61cacc64d5fbbp-4, -0x1.46774e88a97b4p-4, -0x1.402c69d69e73ap-4, -0x1.4bd494441c476p-4, -0x1.669052c131515p-4, -0x1.8dba75424c4cap-4, -0x1.bee9e0e2be4e6p-4, -0x1.f7eea574c9d9ep-4, -0x1.1b67bf4ca4cbep-3, -0x1.3ce42c3e6657bp-3, -0x1.5fa3cb83f54f9p-3, -0x1.82f53db97c573p-3, -0x1.a63cfde521fadp-3, -0x1.c8f3f0b367c5fp-3, -0x1.eaa5d5f88810cp-3, -0x1.0577d9bd89f05p-2, -0x1.14bf24aa051a6p-2, -0x1.23059f33c9377p-2, -0x1.30309d393148bp-2, -0x1.3c29bb2a896ap-2, -0x1.46df66f8aa4f5p-2, -0x1.5044e8f97bbaep-2, -0x1.58524c170fccp-2, -0x1.5f03de56c5bbap-2, -0x1.6459633948696p-2, -0x1.685547a9afd83p-2, -0x1.6afc1a62fb383p-2, -0x1.6c54567654f95p-2, -0x1.6c665c602600ep-2, -0x1.6b3c65ba9bf1p-2, -0x1.68e2518a60ff9p-2, -0x1.656548a869054p-2, -0x1.60d353ca02c17p-2, -0x1.5b3b021aa808cp-2, -0x1.54ab326c950dfp-2, -0x1.4d32fd6853bd2p-2, -0x1.44e1b0ce3d82fp-2, -0x1.3bc6c8dee5df2p-2, -0x1.31f1dc1642a5p-2, -0x1.277278830fb5ap-2, -0x1.1c57fab0d7b27p-2, -0x1.10b168d022dccp-2, -0x1.048d59b90fc28p-2, -0x1.eff3d2c06f68cp-3, -0x1.d6096dd136b41p-3, -0x1.bb75cc439ep-3, -0x1.a0523ea9517efp-3, -0x1.84b7168a90331p-3, -0x1.68bb987aba009p-3, -0x1.4c75ecef45b49p-3, -0x1.2ffb1484aa2c7p-3, -0x1.135ee2735a3ffp-3, -0x1.ed67fb1ccf70bp-4, -0x1.b417cc67e0613p-4, -0x1.7aedfd47fe902p-4, -0x1.420926cdd205bp-4, -0x1.0985c50e7a7bbp-4, -0x1.a2fc870095cdap-5, -0x1.341612a181658p-5, -0x1.8d2fcc748e3f7p-6, -0x1.6a54845b735f8p-7, 0x1.f9f19e4f078eep-10, 0x1.e1d53d934d81ap-7, 0x1.be7ad6721186ap-6, 0x1.440b3353a51bdp-5, 0x1.a6c423f7bad82p-5, 0x1.03a80ab13af7p-4, 0x1.32ccba61ad50bp-4, 0x1.60c6ba6c362b8p-4, 0x1.8d8e15c21f019p-4, 0x1.b91c4b485c036p-4, 0x1.e36c433f6ef65p-4, 0x1.063d1c869e947p-3, 0x1.1a21ce0d15ad6p-3, 0x1.2d6375954c185p-3, 0x1.4001c6e2e270dp-3, 0x1.51fcd7778c45ap-3, 0x1.63550deba4296p-3, 0x1.740b142cd8e63p-3, 0x1.841fcd1aaa4ccp-3, 0x1.93944d89b0095p-3, 0x1.a269d8579d8f6p-3, 0x1.b0a1dcf311327p-3, 0x1.be3df79074748p-3, 0x1.cb3ff238c1a2dp-3, 0x1.d7a9c5ebc8592p-3, 0x1.e37d9b2f923e3p-3, 0x1.eebdc992cf0d9p-3, 0x1.f96cd5da80e6p-3, 0x1.01c6b7633eab5p-2, 0x1.069134441263dp-2, 0x1.0b175b9791dcbp-2, 0x1.0f5ab436924d4p-2, 0x1.135cce903c7cfp-2, 0x1.171f418aa34d9p-2, 0x1.1aa3a7aeb79f3p-2, 0x1.1deb9cc2589ap-2, 0x1.20f8bbe289e16p-2, 0x1.23cc9e1ef7acp-2, 0x1.2668d98985067p-2, 0x1.28cf00a2ddfd5p-2, 0x1.2b00a2089615bp-2, 0x1.2cff484a2164bp-2, 0x1.2ecc79ce62a5dp-2, 0x1.3069b8ba1e74ap-2, 0x1.31d882ce5a902p-2, 0x1.331a513b4ffa9p-2, 0x1.343098685ad3ep-2, 0x1.351cc7b33f645p-2, 0x1.35e049295ce1ap-2, 0x1.367c813cf3403p-2, 0x1.36f2ce77d8d43p-2, 0x1.3744892c79e67p-2, 0x1.377303261b2c5p-2, 0x1.377f8759c27e4p-2, 0x1.376b599a1557p-2, 0x1.3737b6513e98cp-2, 0x1.36e5d2445866dp-2, 0x1.3676da63d27adp-2, 0x1.35ebf3ab88c54p-2, 0x1.35463b1410e66p-2, 0x1.3486c59543551p-2, 0x1.33aea0388354cp-2, 0x1.32bed0381ffdbp-2, 0x1.31b853285c885p-2, 0x1.309c1f267946p-2, 0x1.2f6b230a722c1p-2, 0x1.2e264698b574ap-2, 0x1.2cce6ab1ff41dp-2, 0x1.2b64698055e69p-2, 0x1.29e916a0d73a9p-2, 0x1.285d3f4a948bp-2, 0x1.26c1aa72f8becp-2, 0x1.251718f061904p-2, 0x1.235e459b7fa34p-2, 0x1.2197e57008004p-2, 0x1.1fc4a7ad263b3p-2, 0x1.1de535f5fcacdp-2, 0x1.1bfa3472798ep-2, 0x1.1a0441f0aa4c5p-2, 0x1.1803f806acc29p-2, 0x1.15f9eb3541694p-2, 0x1.13e6ab0afa897p-2, 0x1.11c8fbf8b3118p-2, 0x1.0fa4b290243f7p-2, 0x1.0d78e055ed58cp-2, 0x1.0b4602f0c45a1p-2, 0x1.090c929fcb03bp-2, 0x1.06cd027bd7ddap-2, 0x1.0487c0c2935b8p-2, 0x1.023d37285c77dp-2, 0x1.ffdb965ba2842p-3, 0x1.fb33bcebfa763p-3, 0x1.f6839e34d495ap-3, 0x1.f1cbeff54795p-3, 0x1.ed0d620a4bf8p-3, 0x1.e8489ef0552e2p-3, 0x1.e37e4c3281bb3p-3, 0x1.deaf0ac6383cbp-3, 0x1.d9db7752fac46p-3, 0x1.d5042a67060fdp-3, 0x1.d029b89a3a5cap-3, 0x1.cb4cb2a131a39p-3, 0x1.c66da5530a9dfp-3, 0x1.c18d19a4aae93p-3, 0x1.bcab949c5099ap-3, 0x1.b7c997405e066p-3, 0x1.b2e79e8423e43p-3, 0x1.ae0623350de41p-3, 0x1.a92599ea6f57fp-3, 0x1.a44672f997d5p-3, 0x1.9f691a6f9959ep-3, 0x1.9a8df81188849p-3, 0x1.95b56f63c8dcep-3, 0x1.90dfdfb86fc0ep-3, 0x1.8c0da4447f8p-3, 0x1.873f143b79575p-3, 0x1.827482f08308bp-3, 0x1.7dae3ffc36138p-3, 0x1.78ec9766134fap-3, 0x1.742fd1d0879a7p-3, 0x1.6f7834a66577ep-3, 0x1.6ac60248ce691p-3, 0x1.66197a3c879c1p-3, 0x1.6172d955da885p-3, 0x1.5cd259e238ea7p-3, 0x1.583833cf00853p-3, 0x1.53a49ccce0dd8p-3, 0x1.4f17c86f82305p-3, 0x1.4a91e84946eebp-3, 0x1.46132c0301ecbp-3, 0x1.419bc16fc7f7bp-3, 0x1.3d2bd49cf5746p-3, 0x1.38c38fdec623bp-3, 0x1.34631bd9bf43bp-3, 0x1.300a9f8978ca2p-3, 0x1.2bba404517862p-3, 0x1.277221c20f737p-3, 0x1.233266159df5fp-3, 0x1.1efb2db56ad1ap-3, 0x1.1acc9777d04b4p-3, 0x1.16a6c0941c3fep-3, 0x1.1289c4a32f5a3p-3, 0x1.0e75bda0b8da2p-3, 0x1.0a6ac3ed4d629p-3, 0x1.0668ee5180616p-3, 0x1.0270520217d2cp-3, 0x1.fd02054ad4685p-4, 0x1.f53624b3c9ca8p-4, 0x1.ed7d237b5d4b8p-4, 0x1.e5d71fee995c8p-4, 0x1.de44357e76dfep-4, 0x1.d6c47cd48fed7p-4, 0x1.cf580be9245bbp-4, 0x1.c7fef61a0bc79p-4, 0x1.c0b94c425788dp-4, 0x1.b9871cd247545p-4, 0x1.b26873e751393p-4, 0x1.ab5d5b63f3144p-4, 0x1.a465db07055ap-4, 0x1.9d81f8826c06dp-4, 0x1.96b1b790f2b24p-4, 0x1.8ff51a0b1a97dp-4, 0x1.894c1ffae2da3p-4, 0x1.82b6c7ae58b09p-4, 0x1.7c350dc8f498p-4, 0x1.75c6ed53bff6bp-4, 0x1.6f6c5fcc43b6ap-4, 0x1.69255d32509p-4, 0x1.62f1dc14ab8fbp-4, 0x1.5cd1d19cb8036p-4, 0x1.56c5319936037p-4, 0x1.50cbee882ffdfp-4, 0x1.4ae5f9a03449bp-4, 0x1.451342d8f7c8cp-4, 0x1.3f53b8f37ecddp-4, 0x1.39a74981e83d6p-4, 0x1.340de0eef4132p-4, 0x1.2e876a855e9ffp-4, 0x1.2913d07724e9ep-4, 0x1.23b2fbe4c4ffcp-4, 0x1.1e64d4e489e9ap-4, 0x1.19294289ee4a7p-4, 0x1.14002aed1eac4p-4, 0x1.0ee97332a38f2p-4, 0x1.09e4ff9331d1p-4, 0x1.04f2b363a73e3p-4, 0x1.0012711d2d4ebp-4, 0x1.f68834caffe6fp-5, 0x1.ed0f202ea92bcp-5, 0x1.e3b96495ad19cp-5, 0x1.da86c0bc6ee79p-5, 0x1.d176f1fc8cba8p-5, 0x1.c889b45e11373p-5, 0x1.bfbec2a892c63p-5, 0x1.b715d674370dbp-5, 0x1.ae8ea83a86907p-5, 0x1.a628ef66ff901p-5, 0x1.9de4626765bbbp-5, 0x1.95c0b6bbb6bd5p-5, 0x1.8dbda105c45b5p-5, 0x1.85dad51864b22p-5, 0x1.7e18060638ep-5, 0x1.7674e62ffe871p-5, 0x1.6ef127526faa3p-5, 0x1.678c7a93ad05bp-5, 0x1.604690902df6fp-5, 0x1.591f196740814p-5, 0x1.5215c4c712c02p-5, 0x1.4b2a41f84ddf7p-5, 0x1.445c3fe944b52p-5, 0x1.3dab6d38b9815p-5, 0x1.37177840412a9p-5, 0x1.30a00f1e4888ap-5, 0x1.2a44dfbfbff75p-5, 0x1.240597e973dfap-5, 0x1.1de1e54116177p-5, 0x1.17d97555fe119p-5, 0x1.11ebf5a9a4186p-5, 0x1.0c1913b7dd8cfp-5, 0x1.06607cfed8c33p-5, 0x1.00c1df06e57ffp-5, 0x1.f679ced409a0fp-6, 0x1.eba287b68b096p-6, 0x1.e0fd445be521cp-6, 0x1.d68960b926b12p-6, 0x1.cc46391f756e5p-6, 0x1.c2332a495ea99p-6, 0x1.b84f9167cde34p-6, 0x1.ae9acc2ea7e86p-6, 0x1.a51438e11edc6p-6, 0x1.9bbb365da1a23p-6, 0x1.928f2429837ecp-6, 0x1.898f627c41ebcp-6, 0x1.80bb524a7e6a2p-6, 0x1.781255509abe2p-6, 0x1.6f93ce1cfa648p-6, 0x1.673f2019f0febp-6, 0x1.5f13af9753dcp-6, 0x1.5710e1d3abcf3p-6, 0x1.4f361d0513fb5p-6, 0x1.4782c861b6d02p-6, 0x1.3ff64c27f1a89p-6, 0x1.389011a61cee3p-6, 0x1.314f8341f75a1p-6, 0x1.2a340c7fb722cp-6, 0x1.233d1a08c3349p-6, 0x1.1c6a19b20f86cp-6, 0x1.15ba7a8225b37p-6, 0x1.0f2dacb6d4e5bp-6, 0x1.08c321ca8bedep-6, 0x1.027a4c934cc6bp-6, 0x1.f8a542183a2ecp-7, 0x1.ec9728d2c7a53p-7, 0x1.e0c93a8e68062p-7, 0x1.d53a6728ca815p-7, 0x1.c9e9a12c2c98cp-7, 0x1.bed5ddd5c8c12p-7, 0x1.b3fe151bb6de3p-7, 0x1.a96141b248732p-7, 0x1.9efe6110ea627p-7, 0x1.94d4737675b81p-7, 0x1.8ae27bed12acep-7, 0x1.8127804d9fd0ep-7, 0x1.77a28942a7364p-7, 0x1.6e52a24aea0eap-7, 0x1.6536d9bb7778ap-7, 0x1.5c4e40c16501cp-7, 0x1.5397eb63233c5p-7, 0x1.4b12f08172a17p-7, 0x1.42be69d7f1fe3p-7, 0x1.3a9973fd6bdb7p-7, 0x1.32a32e63b6f77p-7, 0x1.2adabb575572p-7, 0x1.233f3ffebdfbp-7, 0x1.1bcfe45959d9bp-7, 0x1.148bd33e3dd9dp-7, 0x1.0d723a5a9cfe2p-7, 0x1.06824a2ff811ap-7, 0x1.ff766c241e072p-8, 0x1.f23868491ff45p-8, 0x1.e548fab12ad6ep-8, 0x1.d8a69ad3ce426p-8, 0x1.cc4fc5b804331p-8, 0x1.c042fdedef75fp-8, 0x1.b47ecb882a529p-8, 0x1.a901bc14bd1ap-8, 0x1.9dca6295bffd4p-8, 0x1.92d75779a1b06p-8, 0x1.882738932f013p-8, 0x1.7db8a91137e99p-8, 0x1.738a517603179p-8, 0x1.699adf8e752e2p-8, 0x1.5fe90668f507dp-8, 0x1.56737e4c1405ap-8, 0x1.4d3904ad01bacp-8, 0x1.44385c25c8252p-8, 0x1.3b704c6b4d59dp-8, 0x1.32dfa2432f31fp-8, 0x1.2a852f795b219p-8, 0x1.225fcad59de49p-8, 0x1.1a6e5010e4ec6p-8, 0x1.12af9fca6ab07p-8, 0x1.0b229f7cbb06ep-8, 0x1.03c639728f855p-8, 0x1.f932b9771dc6ap-9, 0x1.eb35fa41b1b48p-9, 0x1.dd942633306dcp-9, 0x1.d04b377e90b5bp-9, 0x1.c359318405dp-9, 0x1.b6bc20b93d647p-9, 0x1.aa721a9164869p-9, 0x1.9e793d650ee77p-9, 0x1.92cfb059e2eb9p-9, 0x1.8773a349fe41bp-9, 0x1.7c634eab601b2p-9, 0x1.719cf376e62d9p-9, 0x1.671edb0f5b286p-9, 0x1.5ce7572836ea6p-9, 0x1.52f4c1ac45619p-9, 0x1.49457ca41ac16p-9, 0x1.3fd7f21c82174p-9, 0x1.36aa940ca971bp-9, 0x1.2dbbdc3c4a16bp-9, 0x1.250a4c299d7f8p-9, 0x1.1c946cef4561cp-9, 0x1.1458cf2a2996ap-9, 0x1.0c560adf25982p-9, 0x1.048abf60b3bd9p-9, 0x1.f9eb266901a7cp-10, 0x1.eb2a67f21b8fdp-10, 0x1.dcd0ac964bf18p-10, 0x1.cedb6b56ca993p-10, 0x1.c14828c766077p-10, 0x1.b41476d9977ccp-10, 0x1.a73df4a78bc31p-10, 0x1.9ac24e3f2896fp-10, 0x1.8e9f3c6d69e2p-10, 0x1.82d28489ba754p-10, 0x1.7759f84155c49p-10, 0x1.6c3375632d5dbp-10, 0x1.615ce5abb7da2p-10, 0x1.56d43e911b04p-10, 0x1.4c97810fcb13p-10, 0x1.42a4b9771ea66p-10, 0x1.38f9ff368ba28p-10, 0x1.2f9574ab20d9cp-10, 0x1.267546ed5c095p-10, 0x1.1d97ad9f760d7p-10, 0x1.14faeabc2aef3p-10, 0x1.0c9d4a65d7844p-10, 0x1.047d22b6558e6p-10, 0x1.f931a71ddcfa3p-11, 0x1.e9dd8cd2da939p-11, 0x1.dafadc52368b9p-11, 0x1.cc868dd9a1821p-11, 0x1.be7dabc29ee02p-11, 0x1.b0dd52288720cp-11, 0x1.a3a2ae8fef3d4p-11, 0x1.96caff8f13f4bp-11, 0x1.8a539477a94f8p-11, 0x1.7e39cd01c4bd5p-11, 0x1.727b18f84f021p-11, 0x1.6714f7e681a7cp-11, 0x1.5c04f8c6c6a49p-11, 0x1.5148b9b2ea739p-11, 0x1.46dde79574095p-11, 0x1.3cc23ddcab1a2p-11, 0x1.32f3862df9934p-11, 0x1.296f981c0cc37p-11, 0x1.203458dce2b37p-11, 0x1.173fbb01aa4a5p-11, 0x1.0e8fbe2ff4c36p-11, 0x1.06226edbee614p-11, 0x1.fbebcc07cffc7p-12, 0x1.ec1091da333bep-12, 0x1.dcaf91c2d299dp-12, 0x1.cdc545dd4aa63p-12, 0x1.bf4e3f4d8890bp-12, 0x1.b14725c1ce155p-12, 0x1.a3acb6f8b839dp-12, 0x1.967bc6474c5a5p-12, 0x1.89b13c22eb349p-12, 0x1.7d4a15ac754b8p-12, 0x1.7143643dabb3ap-12, 0x1.659a4cf8af8d5p-12, 0x1.5a4c08597d81fp-12, 0x1.4f55e1c93103cp-12, 0x1.44b537338c119p-12, 0x1.3a67789e048a9p-12, 0x1.306a27c127956p-12, 0x1.26bad7a24108fp-12, 0x1.1d572c31d136fp-12, 0x1.143cd9e8b3324p-12, 0x1.0b69a5688be6fp-12, 0x1.02db631d8e92bp-12, 0x1.f51fedc408feap-13, 0x1.e50aa7468a44ap-13, 0x1.d572f61105392p-13, 0x1.c654fa35d9e64p-13, 0x1.b7acefdf8fa8dp-13, 0x1.a9772ea699a84p-13, 0x1.9bb028ec5faefp-13, 0x1.8e546b36d806fp-13, 0x1.81609b90edeb5p-13, 0x1.74d178ec81cdcp-13, 0x1.68a3da88494cep-13, 0x1.5cd4af57d1e82p-13, 0x1.5160fd6e63961p-13, 0x1.4645e16d80655p-13, 0x1.3b808df3c47e2p-13, 0x1.310e4b122471p-13, 0x1.26ec75c054402p-13, 0x1.1d187f55f596p-13, 0x1.138fed04d601p-13, 0x1.0a505757875edp-13, 0x1.015769b0e6132p-13, 0x1.f145c39dc29dep-14, 0x1.e0611ea07c80ep-14, 0x1.cffca6736b102p-14, 0x1.c0143f07236e9p-14, 0x1.b0a3ed475321ap-14, 0x1.a1a7d6396b14ep-14, 0x1.931c3e1ec5111p-14, 0x1.84fd879b6581p-14, 0x1.774832e14d43ep-14, 0x1.69f8dce04be1cp-14, 0x1.5d0c3e7a3f366p-14, 0x1.507f2bbbba463p-14, 0x1.444e9318fee0dp-14, 0x1.38777caf3e2dbp-14, 0x1.2cf7098a0c245p-14, 0x1.21ca72ee03944p-14, 0x1.16ef09a2f2333p-14, 0x1.0c623549e861bp-14, 0x1.022173b16b31bp-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.424de9fdd5167p+0, -0x1.34ede088ca146p+0, -0x1.2867ccf4b4b4cp+0, -0x1.1cb688d317d38p+0, -0x1.11d32f0066d03p+0, -0x1.07b5b811e49e8p+0, -0x1.fcaa912c04536p-1, -0x1.eb50d07fc506ep-1, -0x1.db4a8e8045d02p-1, -0x1.cc83d590c1954p-1, -0x1.bee8a88a05006p-1, -0x1.b2653c0d31b36p-1, -0x1.a6e628f988904p-1, -0x1.9c5892f72d4bp-1, -0x1.92aa43d57856ep-1, -0x1.89c9c107f8b06p-1, -0x1.81a65855f5b81p-1, -0x1.7a302994155ccp-1, -0x1.735830268506ap-1, -0x1.6d1040113968cp-1, -0x1.674b02492f438p-1, -0x1.61fbf7396a546p-1, -0x1.5d177e1269bd4p-1, -0x1.5892aabf7142dp-1, -0x1.54635e0c183a9p-1, -0x1.50803a06ad862p-1, -0x1.4ce09810898dap-1, -0x1.497c7d6d4b1c6p-1, -0x1.464c90d4fc1fep-1, -0x1.434a120ecbc89p-1, -0x1.406ed31d25cf9p-1, -0x1.3db531ac6f4bbp-1, -0x1.3b180fa60aee5p-1, -0x1.3892caa918e7ep-1, -0x1.362133002e04dp-1, -0x1.33bf82f1ad201p-1, -0x1.316a5705808fdp-1, -0x1.2f1ea75d7929ep-1, -0x1.2cd9c1cc46168p-1, -0x1.2a99442d5f73fp-1, -0x1.285b16aa428a5p-1, -0x1.261d65ded4463p-1, -0x1.23de9d00c674ep-1, -0x1.219d604ae1342p-1, -0x1.1f5887ec2b207p-1, -0x1.1d0f1b8d6e18ep-1, -0x1.1ac04e46a2e8p-1, -0x1.186b7ad1f180bp-1, -0x1.16101fecda1fp-1, -0x1.13addcf2cf0fbp-1, -0x1.11446eafd6e9bp-1, -0x1.0ed3ac53faa73p-1, -0x1.0c5b847b5328dp-1, -0x1.09dbfa636af74p-1, -0x1.07552377820b2p-1, -0x1.04c72540de0a6p-1, -0x1.023233990ca5dp-1, -0x1.ff2d1dd342a7fp-2, -0x1.f9e904c0dcc11p-2, -0x1.f498c45a0b9e1p-2, -0x1.ef3d13e4c023cp-2, -0x1.e9d6b70bf074ep-2, -0x1.e4667bdef5c1dp-2, -0x1.deed71cbd9295p-2, -0x1.d96bfd9307583p-2, -0x1.d3e33a01fdf87p-2, -0x1.ce540e41abab1p-2, -0x1.c8bf6340128c1p-2, -0x1.c32621e9c57bp-2, -0x1.bd8931a40b3c2p-2, -0x1.b7e97710a2bfap-2, -0x1.b247d31b040dfp-2, -0x1.aca522472ca0fp-2, -0x1.a7023c35651dbp-2, -0x1.a15ff34d61a95p-2, -0x1.9bbf148436ab8p-2, -0x1.962067325e9eap-2, -0x1.9084acf09f17dp-2, -0x1.8aeca1744e99bp-2, -0x1.8558fa661a963p-2, -0x1.7fca6731ce1dcp-2, -0x1.7a4190d121f57p-2, -0x1.74bf1995f24ebp-2, -0x1.6f439cf8e6b55p-2, -0x1.69cfaf70d6662p-2, -0x1.6463de55bc174p-2, -0x1.5f00afd0ac649p-2, -0x1.59a6a2d9510edp-2, -0x1.54562f40a4e1dp-2, -0x1.4f0fc5c824303p-2, -0x1.49d3d043da31ap-2, -0x1.44a2b1c527b4ep-2, -0x1.3f7cc6cbb447bp-2, -0x1.3a626579fe095p-2, -0x1.3553ddcb54542p-2, -0x1.305179c9ac946p-2, -0x1.2b5b7dc24d5f9p-2, -0x1.26722878dd72fp-2, -0x1.2195b358a6384p-2, -0x1.1cc652a4087f3p-2, -0x1.180435a23aba5p-2, -0x1.134f86cb6f18cp-2, -0x1.0ea86bf3ad926p-2, -0x1.0a0f0674ca92cp-2, -0x1.0583735807001p-2, -0x1.0105cb7fdb5c1p-2, -0x1.f92c47a4be0bap-3, -0x1.f0691ac8e03d5p-3, -0x1.e7c22b4b1f80ap-3, -0x1.df378d1827ed6p-3, -0x1.d6c94d82982dep-3, -0x1.ce77739a3de57p-3, -0x1.c6420081a85cp-3, -0x1.be28efc1ae092p-3, -0x1.b62c379a9e9fep-3, -0x1.ae4bc95320bb5p-3, -0x1.a687918491d2ap-3, -0x1.9edf78649f74fp-3, -0x1.9753620bdedb7p-3, -0x1.8fe32eb8e348fp-3, -0x1.888ebb0fa81b6p-3, -0x1.8155e05515639p-3, -0x1.7a3874a6e8e5dp-3, -0x1.73364b3052adcp-3, -0x1.6c4f345bfa68bp-3, -0x1.6582fe03fdc74p-3, -0x1.5ed173a09fbe3p-3, -0x1.583a5e75e5564p-3, -0x1.51bd85c053112p-3, -0x1.4b5aaee092963p-3, -0x1.45119d8591d4ap-3, -0x1.3ee213d4af671p-3, -0x1.38cbd28f83a45p-3, -0x1.32ce993700de1p-3, -0x1.2cea262be4a66p-3, -0x1.271e36ccc079dp-3, -0x1.216a8791f4684p-3, -0x1.1bced4281ecb4p-3, -0x1.164ad78976e99p-3, -0x1.10de4c166b5d7p-3, -0x1.0b88ebada0649p-3, -0x1.064a6fc3527eep-3, -0x1.01229177dc459p-3, -0x1.f822135a2eb13p-4, -0x1.ee2b223495f84p-4, -0x1.e45fc0bcccd81p-4, -0x1.dabf6020efe53p-4, -0x1.d14966cf6c1cap-4, -0x1.c7fd5f1919e9cp-4, -0x1.bedaaccc1a69bp-4, -0x1.b5e0c1a53c5d9p-4, -0x1.ad0f0fceed94ap-4, -0x1.a46509f93313bp-4, -0x1.9be2236fabdc6p-4, -0x1.9385d02ded7d4p-4, -0x1.8b4f84f1f70bcp-4, -0x1.833eb74cf10f3p-4, -0x1.7b52ddb236525p-4, -0x1.738b6f84c5458p-4, -0x1.6be7e52335ea8p-4, -0x1.6467b7f2525e1p-4, -0x1.5d0a626677a68p-4, -0x1.55cf600bde164p-4, -0x1.4eb62d8de677dp-4, -0x1.47be48bd9666dp-4, -0x1.40e7309756d8ap-4, -0x1.3a3065481341p-4, -0x1.33996831d84b9p-4, -0x1.2d21bbeffd108p-4, -0x1.26c8e45aec0edp-4, -0x1.208e668ba0273p-4, -0x1.1a71c8ded26c9p-4, -0x1.147292f7ea8ecp-4, -0x1.0e904dc3b12cp-4, -0x1.08ca837ac516ap-4, -0x1.0320bfa3ce1b5p-4, -0x1.fb251e2af27bbp-5, -0x1.f03efff04ec2dp-5, -0x1.e58e438ebaf9ep-5, -0x1.db120aa5cba44p-5, -0x1.d0c9797f56f54p-5, -0x1.c6b3b71087f3ep-5, -0x1.bccfecfa56cfcp-5, -0x1.b31d47896dc96p-5, -0x1.a99af5b56c9bbp-5, -0x1.a048291f9dc07p-5, -0x1.9724161116dfdp-5, -0x1.8e2df3785d0d3p-5, -0x1.8564fae6835p-5, -0x1.7cc8688bd4032p-5, -0x1.74577b341917cp-5, -0x1.6c1174427c33bp-5, -0x1.63f597ad1c381p-5, -0x1.5c032bf85451ap-5, -0x1.54397a31c51cfp-5, -0x1.4c97cdeb34fa2p-5, -0x1.451d753540e05p-5, -0x1.3dc9c099f274ap-5, -0x1.369c03173d7f2p-5, -0x1.2f93921978736p-5, -0x1.28afc575c3bb3p-5, -0x1.21eff76475949p-5, -0x1.1b53847b7f3ffp-5, -0x1.14d9cba8e041ap-5, -0x1.0e822e2d15101p-5, -0x1.084c0f958d7fbp-5, -0x1.0236d5b72a38ap-5, -0x1.f883d1517cc94p-6, -0x1.ecd9657b236edp-6, -0x1.e16d40ffcec86p-6, -0x1.d63e415711e33p-6, -0x1.cb4b485096257p-6, -0x1.c0933c092cbd4p-6, -0x1.b61506dfda6f5p-6, -0x1.abcf976ad76e5p-6, -0x1.a1c1e06c909b2p-6, -0x1.97ead8c897e18p-6, -0x1.8e497b788fa78p-6, -0x1.84dcc7810992bp-6, -0x1.7ba3bfe654698p-6, -0x1.729d6ba14cc56p-6, -0x1.69c8d59417f4bp-6, -0x1.61250c7ed9eeep-6, -0x1.58b122f45f535p-6, -0x1.506c2f4ecdbc5p-6, -0x1.48554ba4454bap-6, -0x1.406b95bb8453bp-6, -0x1.38ae2f009371fp-6, -0x1.311c3c7966675p-6, -0x1.29b4e6ba9b32cp-6, -0x1.227759dc2f518p-6, -0x1.1b62c56e48b42p-6, -0x1.14765c6e0f95ep-6, -0x1.0db1553a95b4p-6, -0x1.0712e989ccff6p-6, -0x1.009a565d9d44ap-6, -0x1.f48db7f1f3a94p-7, -0x1.e82f7baa50dd4p-7, -0x1.dc18852e10556p-7, -0x1.d0476808f7262p-7, -0x1.c4babdf3c309cp-7, -0x1.b97126bf655p-7, -0x1.ae69484047a87p-7, -0x1.a3a1ce39e9969p-7, -0x1.99196a4a93024p-7, -0x1.8eced3d731011p-7, -0x1.84c0c7f774c4dp-7, -0x1.7aee0962188a4p-7, -0x1.7155605944e5cp-7, -0x1.67f59a97312cfp-7, -0x1.5ecd8b3af2514p-7, -0x1.55dc0ab568b0ep-7, -0x1.4d1ff6b65f29dp-7, -0x1.44983219d8c2ep-7, -0x1.3c43a4d572bcp-7, -0x1.34213be617d41p-7, -0x1.2c2fe93db5f2ap-7, -0x1.246ea3b12cf5bp-7, -0x1.1cdc66e6640fp-7, -0x1.1578334283052p-7, -0x1.0e410dd8599d7p-7, -0x1.07360056dbb71p-7, -0x1.005618f7e5dfdp-7, -0x1.f340d4de0f161p-8, -0x1.e62817b10f179p-8, -0x1.d960315114f4ep-8, -0x1.cce76134c4ac8p-8, -0x1.c0bbef40045d7p-8, -0x1.b4dc2ba356b9p-8, -0x1.a9466ebb4df19p-8, -0x1.9df918f097c93p-8, -0x1.92f2929809e78p-8, -0x1.88314bd364dddp-8, -0x1.7db3bc7216525p-8, -0x1.737863d27b3ep-8, -0x1.697dc8c36eb9fp-8, -0x1.5fc2796632df2p-8, -0x1.56450b108b30bp-8, -0x1.4d041a2f7655fp-8, -0x1.43fe4a29f4c8p-8, -0x1.3b32454440ee2p-8, -0x1.329ebc835debep-8, -0x1.2a426790f346bp-8, -0x1.221c049f7e65fp-8, -0x1.1a2a584ee0accp-8, -0x1.126c2d911a9dep-8, -0x1.0ae0558f9be5dp-8, -0x1.0385a790a9a13p-8, -0x1.f8b601ba5ea34p-9, -0x1.eabe894dbd43cp-9, -0x1.dd22b7dd4fa9bp-9, -0x1.cfe06ad6d22ecp-9, -0x1.c2f58ae22db65p-9, -0x1.b6600bb005bf1p-9, -0x1.aa1debc93c777p-9, -0x1.9e2d345eeebaap-9, -0x1.928bf91b161f5p-9, -0x1.873857f177963p-9, -0x1.7c3078f1d88b5p-9, -0x1.71728e1a27a4fp-9, -0x1.66fcd3298d718p-9, -0x1.5ccd8d740943p-9, -0x1.52e30bb69404fp-9, -0x1.493ba5ebeb656p-9, -0x1.3fd5bd21fcde2p-9, -0x1.36afbb4f85195p-9, -0x1.2dc8132af9c9p-9, -0x1.251d40015128p-9, -0x1.1cadc58db1fa6p-9, -0x1.14782fd1a5982p-9, -0x1.0c7b12edd1a44p-9, -0x1.04b50afb44216p-9, -0x1.fa4977caa8493p-10, -0x1.eb91a287eac0ep-10, -0x1.dd3ffc6d88a9fp-10, -0x1.cf51fa410976ep-10, -0x1.c1c5200acf812p-10, -0x1.b496ff4083b3bp-10, -0x1.a7c5378e04881p-10, -0x1.9b4d764b6349bp-10, -0x1.8f2d7639ca3a6p-10, -0x1.8362ff404d53ap-10, -0x1.77ebe62a5efcfp-10, -0x1.6cc60c66fa08p-10, -0x1.61ef5fc91a108p-10, -0x1.5765da48efe32p-10, -0x1.4d2781c629bc8p-10, -0x1.433267cb7127ep-10, -0x1.3984a95211659p-10, -0x1.301c6e87e86a2p-10, -0x1.26f7ea9522f23p-10, -0x1.1e155b6369e1dp-10, -0x1.15730965ea112p-10, -0x1.0d0f47624ac8ep-10, -0x1.04e8723aa0ad6p-10, -0x1.f9f9e1701e57cp-11, -0x1.ea9666ad25d88p-11, -0x1.dba368230bd68p-11, -0x1.cd1dec6235a86p-11, -0x1.bf030c313358p-11, -0x1.b14ff22b1c34cp-11, -0x1.a401da5f73e2fp-11, -0x1.971611f456a2cp-11, -0x1.8a89f6c942c3ep-11, -0x1.7e5af71c84101p-11, -0x1.728691316236ep-11, -0x1.670a52f8c98f1p-11, -0x1.5be3d9ba28883p-11, -0x1.5110d1c000e5bp-11, -0x1.468ef603eeefap-11, -0x1.3c5c0fdd34e23p-11, -0x1.3275f6b0a03c7p-11, -0x1.28da8fa1c51c3p-11, -0x1.1f87cd45db888p-11, -0x1.167baf58170a3p-11, -0x1.0db4426efab0cp-11, -0x1.052f9fb38bd3ap-11, -0x1.f9d7d933ccb6ap-12, -0x1.e9ceb5342f0cp-12, -0x1.da404dd905975p-12, -0x1.cb29348ab9255p-12, -0x1.bc8611252539cp-12, -0x1.ae53a17560dd8p-12, -0x1.a08eb8ba8bcb4p-12, -0x1.93343f27f1e1bp-12, -0x1.8641316b1f646p-12, -0x1.79b2a032eaaedp-12, -0x1.6d85afb9cdee5p-12, -0x1.61b79752319bep-12, -0x1.5645a0f51a189p-12, -0x1.4b2d28d2bdee9p-12, -0x1.406b9ce691071p-12, -0x1.35fe7c8a029bep-12, -0x1.2be3580f4140bp-12, -0x1.2217d058753fcp-12, -0x1.18999673fb562p-12, -0x1.0f666b39c585dp-12, -0x1.067c1eeadd4a6p-12, -0x1.fbb121a7331dbp-13, -0x1.eaf35ddd06c0cp-13, -0x1.dabaeb1129eap-13, -0x1.cb03ddd5f9262p-13, -0x1.bbca6604be1e9p-13, -0x1.ad0ace14600e5p-13, -0x1.9ec17a72d914dp-13, -0x1.90eae8e1ca78bp-13, -0x1.8383afd6e14c3p-13, -0x1.76887ddf64d1p-13, -0x1.69f619070e214p-13, -0x1.5dc95e431b6a4p-13, -0x1.51ff40de39858p-13, -0x1.4694c9ea1eefbp-13, -0x1.3b8717b3e54efp-13, -0x1.30d35d374ca7p-13, -0x1.2676e19d78b34p-13, -0x1.1c6effb6518dfp-13, -0x1.12b92578dade1p-13, -0x1.0952d385b15c5p-13, -0x1.00399cac172aap-13, -0x1.eed64ae38f7a9p-14, -0x1.ddca473cc6cd8p-14, -0x1.cd4abb8f0c0d3p-14, -0x1.bd5355c2b278dp-14, -0x1.addfe3a236d04p-14, -0x1.9eec520360b8cp-14, -0x1.9074abf7c5d7cp-14, -0x1.827519fb90dfep-14, -0x1.74e9e134b07e1p-14, -0x1.67cf62acfe6d6p-14, -0x1.5b221a9098053p-14, -0x1.4ede9f796be6dp-14, -0x1.4301a1b683746p-14, -0x1.3787ea9b99428p-14, -0x1.2c6e5bd40456fp-14, -0x1.21b1eeba73969p-14, -0x1.174fb3b522323p-14, -0x1.0d44d18ee30cbp-14, -0x1.038e84e35e188p-14, -0x1.f4543f0548a2p-15, -0x1.e22a0fb1bd532p-15, -0x1.d09970bf4ff82p-15, -0x1.bf9d7e1f43632p-15, -0x1.af3179ab2b91cp-15, -0x1.9f50ca1755a24p-15, -0x1.8ff6f9eb362cep-15, -0x1.811fb681310ap-15, -0x1.72c6cf0afd099p-15, -0x1.64e833a06306ap-15, -0x1.577ff44e21ba7p-15, -0x1.4a8a403021324p-15, -0x1.3e03648f89061p-15, -0x1.31e7cc07c5b39p-15, -0x1.2633fda9919a6p-15, -0x1.1ae49c345ffe4p-15, -0x1.0ff66543cd434p-15, -0x1.0566308b64567p-15, -0x1.f661de2a1fd43p-16, -0x1.e2a7550a9d6d4p-16, -0x1.cf9708c7e4c43p-16, -0x1.bd2b6ad57dee8p-16, -0x1.ab5f19a755c63p-16, -0x1.9a2cdf6bb87bap-16, -0x1.898fb0be224a4p-16, -0x1.7982ab5717f81p-16, -0x1.6a0114ecf8a21p-16, -0x1.5b0659f56024p-16, -0x1.4c8e0c85ed5ddp-16, -0x1.3e93e32713222p-16, -0x1.3113b7c75bf1ep-16, -0x1.240986a7c28b1p-16, -0x1.17716d5458d31p-16, -0x1.0b47a99b26a09p-16, -0x1.ff1131383110dp-17, -0x1.e8616b9b2c0b6p-17, -0x1.d279342cccc8dp-17, -0x1.bd51f5a1f121bp-17, -0x1.a8e552168e204p-17, -0x1.952d212e00e47p-17, -0x1.82236e7504cd4p-17, -0x1.6fc277c4dc98dp-17, -0x1.5e04abb1d7c3ep-17, -0x1.4ce4a805546f4p-17, -0x1.3c5d3841c45c9p-17, -0x1.2c695434ee96fp-17, -0x1.1d041e873ba39p-17, -0x1.0e28e37c08fa1p-17, -0x1.ffa62ef13761ap-18, -0x1.e3fcababe9499p-18, -0x1.c94cbf33af8edp-18, -0x1.af8e34855883ap-18, -0x1.96b91d32c3858p-18, -0x1.7ec5cf1b61e2bp-18, -0x1.67ace22dc84a4p-18, -0x1.51672e74c9e6bp-18, -0x1.3bedc98068e2bp-18, -0x1.273a04f5c4277p-18, -0x1.13456c43106b2p-18, -0x1.0009c2cef66fp-18, -0x1.db02040742763p-19, -0x1.b74aaf5b5f123p-19, -0x1.94e2484393258p-19, -0x1.73bdf1268be1cp-19, -0x1.53d32af1bbcadp-19, -0x1.3517d1acc8616p-19, -0x1.178219c36a60fp-19, -0x1.f6111996c1c6ep-20, -0x1.bf440d5e8ac34p-20, -0x1.8a8b65c1fa962p-20, -0x1.57d61344f9d7p-20, -0x1.27139ac864454p-20, -0x1.f06820e253ff6p-21, -0x1.965025713cf02p-21, -0x1.3fc18b493ffbcp-21, -0x1.d93f389a85f8dp-22, -0x1.399d368209658p-22, -0x1.40ceeaa23e9bep-23, -0x1.ad45b8ea20406p-27, 0x1.fe32bc1c5ddc3p-24, 0x1.06ad7ae19a2f5p-22, 0x1.8826f0ebeeef5p-22, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.03dd2efce8e2p-3, 0x1.21da8442b22adp-3, 0x1.3f86d88eed0eap-3, 0x1.5c9ec1eacf45ap-3, 0x1.78e481d6a2beep-3, 0x1.94236f82f73c2p-3, 0x1.ae2cf6b05cd85p-3, 0x1.c6d87fa809f7bp-3, 0x1.de04a19d96562p-3, 0x1.f395d901bfe8dp-3, 0x1.03bacea52cf6fp-2, 0x1.0cc94266b98ccp-2, 0x1.14f0040d0efa6p-2, 0x1.1c2ae25bd08a9p-2, 0x1.227783b05ffddp-2, 0x1.27d54b98f4d47p-2, 0x1.2c452d539c0d8p-2, 0x1.2fc9759322d92p-2, 0x1.3265a2e4991a9p-2, 0x1.341e3f899d911p-2, 0x1.34f8beb017876p-2, 0x1.34fbe82512ae8p-2, 0x1.342d8e06474c6p-2, 0x1.32957d1effb7p-2, 0x1.303c296b4e6f2p-2, 0x1.2d2a5b6f5ce86p-2, 0x1.2968d633f8e15p-2, 0x1.25004621dc9f3p-2, 0x1.1ff96a5e05f3p-2, 0x1.1a5d46244fc5p-2, 0x1.14352dfb2b4ccp-2, 0x1.0d8aa5e933ba9p-2, 0x1.0667260bb241dp-2, 0x1.fda7cda80f6eap-3, 0x1.edb39779c5d9ap-3, 0x1.dd02db8f7d386p-3, 0x1.cba66af489004p-3, 0x1.b9aedefa46b99p-3, 0x1.a72c9d99f2eacp-3, 0x1.942fb89ffc9d5p-3, 0x1.80c7bb345e1d2p-3, 0x1.6d037ec252b63p-3, 0x1.58f117f1f9107p-3, 0x1.449ddda97241p-3, 0x1.30167fad0275bp-3, 0x1.1b671dfd94c6bp-3, 0x1.069b55b8d5615p-3, 0x1.e37c80507ddbbp-4, 0x1.b9b4d01aa9262p-4, 0x1.8ff379bfcf158p-4, 0x1.664b15f719291p-4, 0x1.3cccf821380c1p-4, 0x1.13893dd53f43dp-4, 0x1.d51dcb43caee7p-5, 0x1.83d7c9735f917p-5, 0x1.335a6cc3949d3p-5, 0x1.c77b9208ddb78p-6, 0x1.2a3030332b1c1p-6, 0x1.1df706e384862p-7, -0x1.3fa6343db2367p-11, -0x1.41302d78c27c6p-7, -0x1.34b692f47e041p-6, -0x1.c63d1e0a1bfdcp-6, -0x1.2a94f6763d70ap-5, -0x1.70aa7557e7adbp-5, -0x1.b54ebe5e623a3p-5, -0x1.f8781d490cb72p-5, -0x1.1d0f7746e19bap-4, -0x1.3d1ec197dccccp-4, -0x1.5c67f2375801bp-4, -0x1.7ae9c1605f74p-4, -0x1.98a36e8c9b127p-4, -0x1.b594964bb5c9dp-4, -0x1.d1bd0f099c2ccp-4, -0x1.ed1ccfbd56d9bp-4, -0x1.03d9f0d5f678ap-3, -0x1.10c12e6856bddp-3, -0x1.1d44369ea739ap-3, -0x1.29632f77bb6cap-3, -0x1.351e569945794p-3, -0x1.4076095118902p-3, -0x1.4b6acb9a92a35p-3, -0x1.55fd4d25fea75p-3, -0x1.602e6bbf31913p-3, -0x1.69ff32d97a047p-3, -0x1.7370d86c49e87p-3, -0x1.7c84b7a0823d9p-3, -0x1.853c4a0727efcp-3, -0x1.8d992028d9ae2p-3, -0x1.959cda32b55f3p-3, -0x1.9d49216048cecp-3, -0x1.a49fa28e37424p-3, -0x1.aba20a2ab7fe1p-3, -0x1.b25201896a77dp-3, -0x1.b8b12d7d3bb1ep-3, -0x1.bec12e05a1535p-3, -0x1.c4839ed2774cdp-3, -0x1.c9fa185f4499p-3, -0x1.cf263167cde92p-3, -0x1.d409807ad50ccp-3, -0x1.d8a59d73e3befp-3, -0x1.dcfc22ab2d2d2p-3, -0x1.e10eadb3cc2c2p-3, -0x1.e4dedf8de0525p-3, -0x1.e86e5c4245b0cp-3, -0x1.ebbec9ef2d4d2p-3, -0x1.eed1cf5d5557ep-3, -0x1.f1a912423e05cp-3, -0x1.f446355af8d01p-3, -0x1.f6aad68c4cdbfp-3, -0x1.f8d88d304a745p-3, -0x1.fad0e8b0652dp-3, -0x1.fc956f7f62531p-3, -0x1.fe279e7a14653p-3, -0x1.ff88e8aa5374bp-3, -0x1.005d5baf3ed66p-2, -0x1.00df3540db29ep-2, -0x1.014aac8f22d86p-2, -0x1.01a068f9e4d2ap-2, -0x1.01e10e06c52cp-2, -0x1.020d3ba4ccdc8p-2, -0x1.02258e63483bbp-2, -0x1.022a9f996befap-2, -0x1.021d057e9e714p-2, -0x1.01fd53350e202p-2, -0x1.01cc18c983f58p-2, -0x1.0189e32c04c17p-2, -0x1.01373c24cd943p-2, -0x1.00d4aa48c7d0fp-2, -0x1.0062b0efd1347p-2, -0x1.ffc3a05ca799p-3, -0x1.fea509a5af4b1p-3, -0x1.fd6a90cf52e2cp-3, -0x1.fc152270a0748p-3, -0x1.faa5a4b4fd239p-3, -0x1.f91cf774656a1p-3, -0x1.f77bf451d928cp-3, -0x1.f5c36edfc15a7p-3, -0x1.f3f434ca3f963p-3, -0x1.f20f0e06e0cc1p-3, -0x1.f014bd08b3445p-3, -0x1.ee05fef7332d7p-3, -0x1.ebe38be600983p-3, -0x1.e9ae170b0fc97p-3, -0x1.e7664ef1433b7p-3, -0x1.e50cdda5a508fp-3, -0x1.e2a268de7490bp-3, -0x1.e0260c3de1a3ep-3, -0x1.dd9b7670bce49p-3, -0x1.db01c581724f3p-3, -0x1.d8598dd61fa1p-3, -0x1.d5a35f4b8b0b8p-3, -0x1.d2dfc56e10922p-3, -0x1.d00f47b91db3ep-3, -0x1.cd3269db2f20cp-3, -0x1.ca49abfbf8968p-3, -0x1.c7558b0290423p-3, -0x1.c45680d983548p-3, -0x1.c14d04aee49p-3, -0x1.be398b2ebf51dp-3, -0x1.bb1c86b67e863p-3, -0x1.b7f667805f514p-3, -0x1.b4c79bc634113p-3, -0x1.b1908fdb52c73p-3, -0x1.ae51ae3dbf9ebp-3, -0x1.ab0b5f9f2677dp-3, -0x1.a7be0ae6768f4p-3, -0x1.a46a152b3f055p-3, -0x1.a10fe1ac23504p-3, -0x1.9dafd1c1d664ep-3, -0x1.9a4a44d01894cp-3, -0x1.96df983628af2p-3, -0x1.9370274001338p-3, -0x1.8ffc4b198219cp-3, -0x1.8c845ac487254p-3, -0x1.8908ab12972c8p-3, -0x1.85898ea2b044bp-3, -0x1.820755e3675adp-3, -0x1.7e824f1965c8ap-3, -0x1.7afac66a12c25p-3, -0x1.777105ea0a7e2p-3, -0x1.73e555aef7c64p-3, -0x1.7057fbe420ea9p-3, -0x1.6cc93ce11d16cp-3, -0x1.69395b41eb438p-3, -0x1.65a897ffc644fp-3, -0x1.6217328a07cd1p-3, -0x1.5e8568de76c73p-3, -0x1.5af377a067fe4p-3, -0x1.57619a2e4239fp-3, -0x1.53d00ab4e565fp-3, -0x1.503f0240ae654p-3, -0x1.4caeb8cbd91dap-3, -0x1.491f654a1d8bfp-3, -0x1.45913db180d7ep-3, -0x1.420477005ecd4p-3, -0x1.3e794540ddddfp-3, -0x1.3aefdb89f0db8p-3, -0x1.37686bfe3ada2p-3, -0x1.33e327c919d8ap-3, -0x1.30603f1a364bfp-3, -0x1.2cdfe11ffcb5bp-3, -0x1.29623c0148858p-3, -0x1.25e77cd6bc4b5p-3, -0x1.226fcfa403ec7p-3, -0x1.1efb5f515b743p-3, -0x1.1b8a55a5a6268p-3, -0x1.181cdb414716p-3, -0x1.14b31799ed60dp-3, -0x1.114d30f780f06p-3, -0x1.0deb4c723b2bfp-3, -0x1.0a8d8df1fa911p-3, -0x1.0734182ee0272p-3, -0x1.03df0cb311db2p-3, -0x1.008e8bddb19a6p-3, -0x1.fa8569cda1be2p-4, -0x1.f3f74bc8b34dbp-4, -0x1.ed72f79f7c66fp-4, -0x1.e6f8a5189fd7ep-4, -0x1.e08889dc14b29p-4, -0x1.da22d98183117p-4, -0x1.d3c7c59ef1c86p-4, -0x1.cd777dd791fd7p-4, -0x1.c7322fea6792fp-4, -0x1.c0f807c090cf2p-4, -0x1.bac92f7af87bdp-4, -0x1.b4a5cf7f52d2cp-4, -0x1.ae8e0e843cc06p-4, -0x1.a882119c631a5p-4, -0x1.a281fc40ac817p-4, -0x1.9c8df05957dddp-4, -0x1.96a60e460f739p-4, -0x1.90ca74e5000c5p-4, -0x1.8afb4198f7326p-4, -0x1.8538904ea2012p-4, -0x1.7f827b8100968p-4, -0x1.79d91c3d29998p-4, -0x1.743c8a257918ep-4, -0x1.6eacdb74498bcp-4, -0x1.692a24fe5319cp-4, -0x1.63b47a34d23dfp-4, -0x1.5e4bed278eebbp-4, -0x1.58f08e86e2a6p-4, -0x1.53a26da5d5481p-4, -0x1.4e61987c65c8ap-4, -0x1.492e1baa1550ep-4, -0x1.44080278c17c1p-4, -0x1.3eef56dfde4c2p-4, -0x1.39e4218816264p-4, -0x1.34e669cf57966p-4, -0x1.2ff635cd53a97p-4, -0x1.2b138a586d0bdp-4, -0x1.263e6b0b124aep-4, -0x1.2176da4981d0ep-4, -0x1.1cbcd947eb1e1p-4, -0x1.18106810e8abdp-4, -0x1.1371858c42d1ep-4, -0x1.0ee02f85f2e1dp-4, -0x1.0a5c62b559197p-4, -0x1.05e61ac4980e8p-4, -0x1.017d52580b5e4p-4, -0x1.fa44062b9610cp-5, -0x1.f1a84b5a649c1p-5, -0x1.e92763bcbf69ap-5, -0x1.e0c13d03484c3p-5, -0x1.d875c31db3e91p-5, -0x1.d044e0493bf2fp-5, -0x1.c82e7d1ec7273p-5, -0x1.c03280a0c2d59p-5, -0x1.b850d048a3bd6p-5, -0x1.b08950140de69p-5, -0x1.a8dbe2919e2fdp-5, -0x1.a14868ed56f8ep-5, -0x1.99cec2fcadce9p-5, -0x1.926ecf4a41798p-5, -0x1.8b286b2133855p-5, -0x1.83fb72983025ep-5, -0x1.7ce7c09c2530fp-5, -0x1.75ed2efaad71dp-5, -0x1.6f0b966c36acdp-5, -0x1.6842ce9de631bp-5, -0x1.6192ae3b446dfp-5, -0x1.5afb0af7b2aa8p-5, -0x1.547bb997b1a3ap-5, -0x1.4e148dfa00047p-5, -0x1.47c55b2091d4bp-5, -0x1.418df3396cceep-5, -0x1.3b6e27a767dc8p-5, -0x1.3565c90ad24b4p-5, -0x1.2f74a74a0a79p-5, -0x1.299a919a0233fp-5, -0x1.23d75686b561bp-5, -0x1.1e2ac3fb923ap-5, -0x1.1894a74bd5306p-5, -0x1.1314cd3ad941bp-5, -0x1.0dab020459207p-5, -0x1.08571164a24e8p-5, -0x1.0318c6a0b96f3p-5, -0x1.fbdfd91cd464p-6, -0x1.f1b89b388a963p-6, -0x1.e7bb67b30ae15p-6, -0x1.dde7d1fbb76f5p-6, -0x1.d43d6ce23e2c6p-6, -0x1.cabbcaa5bcb06p-6, -0x1.c1627d03a2024p-6, -0x1.b8311546423f8p-6, -0x1.af2724532aeedp-6, -0x1.a6443ab92010fp-6, -0x1.9d87e8bdc7909p-6, -0x1.94f1be6b03c5dp-6, -0x1.8c814b9bf54fcp-6, -0x1.84362009a38f3p-6, -0x1.7c0fcb574c77cp-6, -0x1.740ddd1e5b028p-6, -0x1.6c2fe4fa038dfp-6, -0x1.64756e742cc7dp-6, -0x1.5cde11967136bp-6, -0x1.55695a1e1bac4p-6, -0x1.4e16d819b68c9p-6, -0x1.46e61bce7021dp-6, -0x1.3fd6b5c1a954fp-6, -0x1.38e836c228ebcp-6, -0x1.321a2ff100aa7p-6, -0x1.2b6c32ca1b341p-6, -0x1.24ddd12c7deadp-6, -0x1.1e6e9d623c00bp-6, -0x1.181e2a281fa48p-6, -0x1.11ec0ab503aafp-6, -0x1.0bd7d2c0ea5e2p-6, -0x1.05e1168bd00abp-6, -0x1.00076ae432422p-6, -0x1.f494ca5ab8002p-7, -0x1.e95336cadf568p-7, -0x1.de4948565f482p-7, -0x1.d3762d871ba8p-7, -0x1.c8d9163dfd70ep-7, -0x1.be7133bd240b6p-7, -0x1.b43db8b1a5fcdp-7, -0x1.aa3dd93ce537dp-7, -0x1.a070cafd79df6p-7, -0x1.96d5c517b2144p-7, -0x1.8d6c003dab04dp-7, -0x1.8432b6b70bb26p-7, -0x1.7b2924685628p-7, -0x1.724e86d9e2d8ap-7, -0x1.69a21d3e78102p-7, -0x1.6123287988ba7p-7, -0x1.58d0eb251eb98p-7, -0x1.50aaa99768583p-7, -0x1.48afa9e7f855p-7, -0x1.40df33f4aa06bp-7, -0x1.393891663fb1dp-7, -0x1.31bb0db4acfdcp-7, -0x1.2a65f62b14b5ap-7, -0x1.233899eb7f52dp-7, -0x1.1c3249f245881p-7, -0x1.1552591936d25p-7, -0x1.0e981c1a7b37ap-7, -0x1.0802e9932ecc1p-7, -0x1.01921a05c35e1p-7, -0x1.f68a0fb834718p-8, -0x1.ea361ed2cce5p-8, -0x1.de271dd7a05d9p-8, -0x1.d25bcd1bbe98ap-8, -0x1.c6d2f0cf5486p-8, -0x1.bb8b50ffa226ep-8, -0x1.b083b9987efdp-8, -0x1.a5bafa6574a4ap-8, -0x1.9b2fe71275c9dp-8, -0x1.90e1572c2cb0cp-8, -0x1.86ce261fe8e9ep-8, -0x1.7cf5333b2bea2p-8, -0x1.735561aad1b71p-8, -0x1.69ed9879ea32bp-8, -0x1.60bcc2902848fp-8, -0x1.57c1ceb00055bp-8, -0x1.4efbaf746b9f6p-8, -0x1.46695b4e55b02p-8, -0x1.3e09cc81b89e9p-8, -0x1.35dc01225f43fp-8, -0x1.2ddefb1057821p-8, -0x1.2611bff41a81ep-8, -0x1.1e73593a5d207p-8, -0x1.1702d40f957bfp-8, -0x1.0fbf415b355a3p-8, -0x1.08a7b5ba976e9p-8, -0x1.01bb497ba3b98p-8, -0x1.f5f2312e5b12fp-9, -0x1.e8c085560f795p-9, -0x1.dbdfd5e7aedb2p-9, -0x1.cf4e708d41121p-9, -0x1.c30aaa1423de6p-9, -0x1.b712de5f2d808p-9, -0x1.ab6570583cf5p-9, -0x1.a000c9e1737e8p-9, -0x1.94e35bc5e1731p-9, -0x1.8a0b9da9cff51p-9, -0x1.7f780dfaa5576p-9, -0x1.752731de585abp-9, -0x1.6b1795229259cp-9, -0x1.6147ca2b70124p-9, -0x1.57b669e1ee8bep-9, -0x1.4e6213a2065f7p-9, -0x1.45496d28851fap-9, -0x1.3c6b22809912ep-9, -0x1.33c5e5f129b1cp-9, -0x1.2b586fe9e4b6cp-9, -0x1.23217ef031d83p-9, -0x1.1b1fd78be775fp-9, -0x1.13524433daaefp-9, -0x1.0bb7953a5080fp-9, -0x1.044ea0b955028p-9, -0x1.fa2c84fdee0f8p-10, -0x1.ec1ab7f2e8078p-10, -0x1.de65a846b9305p-10, -0x1.d10b2edf5e067p-10, -0x1.c4092f6bc9357p-10, -0x1.b75d983c3c7b2p-10, -0x1.ab06621a8203fp-10, -0x1.9f01902240cdp-10, -0x1.934d2f9982903p-10, -0x1.87e757c95ff83p-10, -0x1.7cce29d6cfbb8p-10, -0x1.71ffd09bb4c49p-10, -0x1.677a808028061p-10, -0x1.5d3c77540a5dap-10, -0x1.5343fc28cb61fp-10, -0x1.498f5f2b9e86dp-10, -0x1.401cf97fd8ca3p-10, -0x1.36eb2d19c919ap-10, -0x1.2df86499d7a6dp-10, -0x1.25431328018e9p-10, -0x1.1cc9b44fb6744p-10, -0x1.148acbdc1b71ap-10, -0x1.0c84e5b4aeda9p-10, -0x1.04b695ba511c2p-10, -0x1.fa3cef495bbdcp-11, -0x1.eb765dc032b6p-11, -0x1.dd16ccd798f25p-11, -0x1.cf1ba1711af9ap-11, -0x1.c1824f0f73eb8p-11, -0x1.b448579599c27p-11, -0x1.a76b4b0668572p-11, -0x1.9ae8c7452c376p-11, -0x1.8ebe77d71c681p-11, -0x1.82ea15a57f49ap-11, -0x1.776966c0b157dp-11, -0x1.6c3a3e23bebabp-11, -0x1.615a7b7913d71p-11, -0x1.56c80adfc410fp-11, -0x1.4c80e4b19c575p-11, -0x1.42830d49f9d24p-11, -0x1.38cc94cd597p-11, -0x1.2f5b96f1aa73dp-11, -0x1.262e3ac757a37p-11, -0x1.1d42b282fab19p-11, -0x1.14973b47ee21fp-11, -0x1.0c2a1cf3588d4p-11, -0x1.03f9a9e812fe6p-11, -0x1.f8087db6596dp-12, -0x1.e89085424c792p-12, -0x1.d9884bf78865cp-12, -0x1.caecc6d131233p-12, -0x1.bcbafde08adb7p-12, -0x1.aef00bec4cdd4p-12, -0x1.a1891e1207f42p-12, -0x1.94837367e5ec3p-12, -0x1.87dc5ca061f02p-12, -0x1.7b913baef5e69p-12, -0x1.6f9f836e095dep-12, -0x1.6404b7462a94fp-12, -0x1.58be6ad66fda7p-12, -0x1.4dca419e237c6p-12, -0x1.4325eea7bc889p-12, -0x1.38cf34348971bp-12, -0x1.2ec3e36a651ecp-12, -0x1.2501dc01fecc7p-12, -0x1.1b870bf670ff3p-12, -0x1.12516f361f6c1p-12, -0x1.095f0f54c8797p-12, -0x1.00ae033ea737fp-12, -0x1.f078ddd9add39p-13, -0x1.e01106358b5p-13, -0x1.d020f9fa54adfp-13, -0x1.c0a54bf2f6d11p-13, -0x1.b19aa6be602a8p-13, -0x1.a2fdcc43afea4p-13, -0x1.94cb9528c8c6fp-13, -0x1.8700f04b26087p-13, -0x1.799ae23b2aae9p-13, -0x1.6c9684b9368d7p-13, -0x1.5ff1063579fa2p-13, -0x1.53a7a951bd5d9p-13, -0x1.47b7c4656ea49p-13, -0x1.3c1ec103e53ddp-13, -0x1.30da1b849ae44p-13, -0x1.25e7628eb14a2p-13, -0x1.1b4436a3fe2a9p-13, -0x1.10ee49b1adb35p-13, -0x1.06e35ea02a7bbp-13, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.f4d029b1b4411p-2, 0x1.06c3ca30f4a35p-1, 0x1.0fb0938bb8ac2p-1, 0x1.1578ca5a50cfbp-1, 0x1.186bad1584bc7p-1, 0x1.18da7c799d23p-1, 0x1.17162126fca62p-1, 0x1.136d61b585ceep-1, 0x1.0e2b93f72bb7ep-1, 0x1.0797b590f9dbfp-1, 0x1.ffe7b92983163p-2, 0x1.eef9bcc4cb6cbp-2, 0x1.dcd44f63cb2abp-2, 0x1.c9db7819795b5p-2, 0x1.b668a22af7587p-2, 0x1.a2cafc6c5be64p-2, 0x1.8f47f3986923dp-2, 0x1.7c1bc49132ae1p-2, 0x1.697a1d54a5b2fp-2, 0x1.578eb8a4b3498p-2, 0x1.467dff087d7b4p-2, 0x1.3665a8c8aae78p-2, 0x1.275d8200b480dp-2, 0x1.1977a2f7e4a1ep-2, 0x1.0cc1373810728p-2, 0x1.014302513185ep-2, 0x1.ee03c7ccab5c2p-3, 0x1.dbfe98e197c26p-3, 0x1.cc73490002233p-3, 0x1.bf59575b0f1f4p-3, 0x1.b4a3a7f40a2dep-3, 0x1.ac413571df17cp-3, 0x1.a61db97e9442fp-3, 0x1.a22244e195e7p-3, 0x1.a035c34c8e164p-3, 0x1.a03d6bbb3c537p-3, 0x1.a21d2238697f4p-3, 0x1.a5b7d0cfe3469p-3, 0x1.aaefbb5457a5ep-3, 0x1.b1a6ce590e27bp-3, 0x1.b9bee776bfb7ap-3, 0x1.c31a145c7bdf1p-3, 0x1.cd9ac72505dc8p-3, 0x1.d924006a3f71ap-3, 0x1.e5997152b93abp-3, 0x1.f2df981ce5cbep-3, 0x1.006dec5a136b9p-2, 0x1.07ba48f31c434p-2, 0x1.0f4897b3cd3a6p-2, 0x1.170d1c4361491p-2, 0x1.1efcad7ce14b6p-2, 0x1.270cb8931e062p-2, 0x1.2f3342098f937p-2, 0x1.3766e52a58b6ap-2, 0x1.3f9ed2d02d3e3p-2, 0x1.47d2cff49341dp-2, 0x1.4ffb33d8011c4p-2, 0x1.5810e5566ba78p-2, 0x1.600d573b6cf1bp-2, 0x1.67ea83db9c595p-2, 0x1.6fa2e86c2d0e3p-2, 0x1.77318061aea3cp-2, 0x1.7e91c0c301804p-2, 0x1.85bfc2f47d74p-2, 0x1.8cb7c47e23c31p-2, 0x1.93765e4e41ffdp-2, 0x1.99f8b00535baap-2, 0x1.a03c3b7c070bdp-2, 0x1.a63edf0a30dafp-2, 0x1.abfecf62f0313p-2, 0x1.b17a91498ec45p-2, 0x1.b6b0f35cfb04dp-2, 0x1.bba108317074ap-2, 0x1.c04a20e016bc5p-2, 0x1.c4abc8241b8c2p-2, 0x1.c8c5be0d453fdp-2, 0x1.cc97f44180b16p-2, 0x1.d0228aba989bbp-2, 0x1.d365cce4177e2p-2, 0x1.d6622ef8cef2p-2, 0x1.d9184b7ffa862p-2, 0x1.db88e0ce6981bp-2, 0x1.ddb4ce774399p-2, 0x1.df9d12a0a7df3p-2, 0x1.e142c739b41ebp-2, 0x1.e2a71f18e414ep-2, 0x1.e3cb6311b051p-2, 0x1.e4b0ef1573826p-2, 0x1.e5592f746f3f3p-2, 0x1.e5c59e5012de9p-2, 0x1.e5f7c148a269fp-2, 0x1.e5f127682dbe9p-2, 0x1.e5b36745e2982p-2, 0x1.e5401d58f05bdp-2, 0x1.e498ea71e5506p-2, 0x1.e3bf7253ffc33p-2, 0x1.e2b55a6bc25edp-2, 0x1.e17c48a3870dfp-2, 0x1.e015e258580a3p-2, 0x1.de83cb70a4964p-2, 0x1.dcc7a593cd773p-2, 0x1.dae30f7e0952dp-2, 0x1.d8d7a469333d4p-2, 0x1.d6a6fb8194e92p-2, 0x1.d452a75e54ca8p-2, 0x1.d1dc357788dp-2, 0x1.cf452d97939acp-2, 0x1.cc8f11493fd7bp-2, 0x1.c9bb5b4749841p-2, 0x1.c6cb7ef3edf61p-2, 0x1.c3c0e7df834ebp-2, 0x1.c09cf964089ddp-2, 0x1.bd610e596e5f6p-2, 0x1.ba0e78e3adb7ep-2, 0x1.b6a6825910233p-2, 0x1.b32a6b3cd5e7bp-2, 0x1.af9b6b491b5c6p-2, 0x1.abfab18264917p-2, 0x1.a849644fbbbadp-2, 0x1.a488a1936c9dfp-2, 0x1.a0b97ec1ea492p-2, 0x1.9cdd08f5eb6dep-2, 0x1.98f44502283dcp-2, 0x1.95002f8202c31p-2, 0x1.9101bceaca796p-2, 0x1.8cf9d99f57cb7p-2, 0x1.88e96a0742b7p-2, 0x1.84d14aaa6b8c6p-2, 0x1.80b25050eca91p-2, 0x1.7c8d4826f2fdcp-2, 0x1.7862f7e3a33bap-2, 0x1.74341df21017ap-2, 0x1.7001719b4dfc8p-2, 0x1.6bcba330f753ep-2, 0x1.67935c37bb5d8p-2, 0x1.63593f91de127p-2, 0x1.5f1de9a9c8be9p-2, 0x1.5ae1f09ce4ee3p-2, 0x1.56a5e466ec57fp-2, 0x1.526a4f0dc0ad8p-2, 0x1.4e2fb4cdb0ef4p-2, 0x1.49f69445da03fp-2, 0x1.45bf66a443964p-2, 0x1.418a9fd135b66p-2, 0x1.3d58ae996922dp-2, 0x1.3929fcd6b79d5p-2, 0x1.34feef97298ecp-2, 0x1.30d71e20b148ap-2, 0x1.2cb460b81c297p-2, 0x1.2896661ed5ad7p-2, 0x1.247d81a36c6e1p-2, 0x1.206a01fa98076p-2, 0x1.1c5c317114a9dp-2, 0x1.185456214bf69p-2, 0x1.1452b22b619f6p-2, 0x1.105783ee2d158p-2, 0x1.0c63063fc4633p-2, 0x1.087570a45792bp-2, 0x1.048ef7824014ep-2, 0x1.00afcc52652c1p-2, 0x1.f9b03b9877847p-3, 0x1.f2103019f9e6fp-3, 0x1.ea7fc9738d8cbp-3, 0x1.e2ff563968867p-3, 0x1.db8f207a2f28dp-3, 0x1.d42f6de667b8ap-3, 0x1.cce07ff00b63dp-3, 0x1.c5a293e350a28p-3, 0x1.be75e2fa3912ap-3, 0x1.b75aa26c2e699p-3, 0x1.b051037b3508bp-3, 0x1.a959337ff1bdbp-3, 0x1.a2735bf5c662ap-3, 0x1.9b9fa287f73fdp-3, 0x1.94de2920ae0ffp-3, 0x1.8e2f0dfa6bc61p-3, 0x1.87926bb44f214p-3, 0x1.810859694d12bp-3, 0x1.7a90eaca5d9abp-3, 0x1.742c303b6d9dp-3, 0x1.6dda36f2c4bf8p-3, 0x1.679b091a76a6cp-3, 0x1.616eadf369b2ep-3, 0x1.5b5529f961387p-3, 0x1.554e7f079a9e2p-3, 0x1.4f5aac7d5f0b9p-3, 0x1.4979af6219114p-3, 0x1.43ab828875c8cp-3, 0x1.3df01eb02c452p-3, 0x1.38477aa616013p-3, 0x1.32b18b624e683p-3, 0x1.2d2e442432c5bp-3, 0x1.27bd968c18637p-3, 0x1.225f72b2af27fp-3, 0x1.1d13c73e1de8cp-3, 0x1.17da8174d86ecp-3, 0x1.12b38d4e65b6fp-3, 0x1.0d9ed5822d4dfp-3, 0x1.089c4394968a1p-3, 0x1.03abbfe2a13a1p-3, 0x1.fd9a63587fd04p-4, 0x1.f400fe3b62898p-4, 0x1.ea8b1ab037256p-4, 0x1.e13880f326d66p-4, 0x1.d808f749bbccfp-4, 0x1.cefc4212149bcp-4, 0x1.c61223d21b20cp-4, 0x1.bd4a5d471c2fbp-4, 0x1.b4a4ad75ce11ap-4, 0x1.ac20d1bb0c37ap-4, 0x1.a3be85dd384aep-4, 0x1.9b7d841e6ad38p-4, 0x1.935d854f54acdp-4, 0x1.8b5e40e2cd3a6p-4, 0x1.837f6d01f085p-4, 0x1.7bc0bea0b4cadp-4, 0x1.7421e992ce58ap-4, 0x1.6ca2a0a0bf5e2p-4, 0x1.6542959ceb19dp-4, 0x1.5e01797887111p-4, 0x1.56defc5843cd2p-4, 0x1.4fdacda88d192p-4, 0x1.48f49c3140264p-4, 0x1.422c1628bd8e1p-4, 0x1.3b80e94642155p-4, 0x1.34f2c2d37113bp-4, 0x1.2e814fbd061f7p-4, 0x1.282c3ca2a28d1p-4, 0x1.21f335e5b41fdp-4, 0x1.1bd5e7b772a1ap-4, 0x1.15d3fe25f8411p-4, 0x1.0fed25287bbeap-4, 0x1.0a2108aab481bp-4, 0x1.046f549773d69p-4, 0x1.fdaf69c504ee3p-5, 0x1.f2b3ab239e11dp-5, 0x1.e7eac58bfbd93p-5, 0x1.dd541184d7931p-5, 0x1.d2eee7e9600e3p-5, 0x1.c8baa1f7613cep-5, 0x1.beb6995cac713p-5, 0x1.b4e22843dcfdep-5, 0x1.ab3ca9608f0c4p-5, 0x1.a1c577fb25807p-5, 0x1.987beffc2bf24p-5, 0x1.8f5f6df76a2eep-5, 0x1.866f4f36b4878p-5, 0x1.7daaf1c482c61p-5, 0x1.7511b47654d19p-5, 0x1.6ca2f6f6ec0b9p-5, 0x1.645e19d058b31p-5, 0x1.5c427e75dbffcp-5, 0x1.544f874d9d8eep-5, 0x1.4c8497ba30f5ep-5, 0x1.44e11423e471ep-5, 0x1.3d646201d74cp-5, 0x1.360de7e2cf259p-5, 0x1.2edd0d75c5d8ap-5, 0x1.27d13b922c667p-5, 0x1.20e9dc3fda835p-5, 0x1.1a265abea73a6p-5, 0x1.1386238da5089p-5, 0x1.0d08a471fe9e5p-5, 0x1.06ad4c7d700e4p-5, 0x1.00738c14593fap-5, 0x1.f4b5a9e6d77efp-6, 0x1.e8c53469df71dp-6, 0x1.dd14a0ab43abap-6, 0x1.d1a2da7254c5ep-6, 0x1.c66ed05c610e8p-6, 0x1.bb7773e4131dep-6, 0x1.b0bbb968126e2p-6, 0x1.a63a9830e8c3cp-6, 0x1.9bf30a763371ep-6, 0x1.91e40d632dd7ep-6, 0x1.880ca11a902c4p-6, 0x1.7e6bc8b9d7b08p-6, 0x1.75008a5bfa6aap-6, 0x1.6bc9ef1b8d6ddp-6, 0x1.62c7031469a87p-6, 0x1.59f6d564d2085p-6, 0x1.5158782e2907ep-6, 0x1.48eb009535a43p-6, 0x1.40ad86c207374p-6, 0x1.389f25df7565cp-6, 0x1.30befc1a48cbp-6, 0x1.290c2aa0109c1p-6, 0x1.2185d59daa2e8p-6, 0x1.1a2b243d7c7fdp-6, 0x1.12fb40a56f7afp-6, 0x1.0bf557f4a0643p-6, 0x1.05189a40d858p-6, 0x1.fcc875278c8bep-7, 0x1.efaeddcffd06dp-7, 0x1.e2e2e04b89c6dp-7, 0x1.d662f43f3e6dfp-7, 0x1.ca2d971d6a46cp-7, 0x1.be414c1df9332p-7, 0x1.b29c9c366b7fep-7, 0x1.a73e16116f6c6p-7, 0x1.9c244e0616c66p-7, 0x1.914dde0ebc4cfp-7, 0x1.86b965bf83befp-7, 0x1.7c658a3c8b196p-7, 0x1.7250f62fc7641p-7, 0x1.687a59be88d4fp-7, 0x1.5ee06a7eb72bbp-7, 0x1.5581e36bc4df6p-7, 0x1.4c5d84db45687p-7, 0x1.4372147156157p-7, 0x1.3abe5d14b3fb3p-7, 0x1.32412ee2931fbp-7, 0x1.29f95f223cc9ap-7, 0x1.21e5c838716f5p-7, 0x1.1a05499a96db7p-7, 0x1.1256c67c306c1p-7, 0x1.0ad92acdb6e68p-7, 0x1.038b63afa23fep-7, 0x1.f8d8c8ab9fa67p-8, 0x1.eaf64983be683p-8, 0x1.dd6d436acf009p-8, 0x1.d03bb9481304p-8, 0x1.c35fb74ad4133p-8, 0x1.b6d752ce26734p-8, 0x1.aaa0aa3c870fbp-8, 0x1.9eb9e4f35182fp-8, 0x1.932133261d5abp-8, 0x1.87d4cdc20326cp-8, 0x1.7cd2f650ca2b9p-8, 0x1.7219f6dc14ac1p-8, 0x1.67a821d07957cp-8, 0x1.5d7bd1e09ef97p-8, 0x1.539369e858fdfp-8, 0x1.49ed54cfc9541p-8, 0x1.4088056e8e66cp-8, 0x1.3761f66efb81bp-8, 0x1.2e79aa3167ba6p-8, 0x1.25cdaaaf8f24fp-8, 0x1.1d5c89600f569p-8, 0x1.1524df19ff357p-8, 0x1.0d254bf8a64f4p-8, 0x1.055c773f58371p-8, 0x1.fb921e7aec55bp-9, 0x1.ecd392652d72p-9, 0x1.de7ac265b32dap-9, 0x1.d0853416d340ap-9, 0x1.c2f07a4e5c44p-9, 0x1.b5ba34e757682p-9, 0x1.a8e0108c40639p-9, 0x1.9c5fc6819bf58p-9, 0x1.90371c7102ef9p-9, 0x1.8463e434a0176p-9, 0x1.78e3fba327111p-9, 0x1.6db54c5c42a1cp-9, 0x1.62d5cb957f5bep-9, 0x1.584379e7b2249p-9, 0x1.4dfc631ce6653p-9, 0x1.43fe9dfeca561p-9, 0x1.3a484c2598439p-9, 0x1.30d799c79ce28p-9, 0x1.27aabd892b6b8p-9, 0x1.1ebff84d29b5ap-9, 0x1.16159506200b5p-9, 0x1.0da9e887d88d4p-9, 0x1.057b515983703p-9, 0x1.fb106f10d4704p-10, 0x1.eb9e18f660808p-10, 0x1.dc9c958b327d1p-10, 0x1.ce08ebf9cb0b5p-10, 0x1.bfe035195d42fp-10, 0x1.b21f9b18b1239p-10, 0x1.a4c4592a18c24p-10, 0x1.97cbbb3061abp-10, 0x1.8b331d6d12663p-10, 0x1.7ef7ec2f8149ep-10, 0x1.7317a3851d8adp-10, 0x1.678fceeabc61bp-10, 0x1.5c5e08fef6a8cp-10, 0x1.517ffb359db23p-10, 0x1.46f35d8c2a11ep-10, 0x1.3cb5f63f31dcfp-10, 0x1.32c5998108264p-10, 0x1.2920293135c72p-10, 0x1.1fc3949512635p-10, 0x1.16add81153ff5p-10, 0x1.0ddcfce4a06b3p-10, 0x1.054f18e31fb8dp-10, 0x1.fa049c660cc98p-11, 0x1.e9e996143d78dp-11, 0x1.da4992d898e35p-11, 0x1.cb211dd5fa971p-11, 0x1.bc6cd8cb3b2adp-11, 0x1.ae297b95fded4p-11, 0x1.a053d3b73adb5p-11, 0x1.92e8c3da024b6p-11, 0x1.85e5435bd083cp-11, 0x1.79465dd6e821bp-11, 0x1.6d0932ae85614p-11, 0x1.612af49ce5feep-11, 0x1.55a8e9432e06bp-11, 0x1.4a8068bb2ec0dp-11, 0x1.3faedd2ae8fe3p-11, 0x1.3531c259faf73p-11, 0x1.2b06a548d70dep-11, 0x1.212b23c9c7487p-11, 0x1.179cec1bcbb2ap-11, 0x1.0e59bc871c7c2p-11, 0x1.055f62fbb9e21p-11, 0x1.f95779631c897p-12, 0x1.e8796b94a2f18p-12, 0x1.d82091eab7e31p-12, 0x1.c848fe2a1fd63p-12, 0x1.b8eeddcc280d2p-12, 0x1.aa0e79507ebe9p-12, 0x1.9ba433928e2b1p-12, 0x1.8dac892236965p-12, 0x1.80240f9fa395fp-12, 0x1.7307751b2098dp-12, 0x1.66537f77b3a54p-12, 0x1.5a050bd108923p-12, 0x1.4e190de4daaa6p-12, 0x1.428c8f7f78befp-12, 0x1.375cafeb6d91dp-12, 0x1.2c86a3645c5afp-12, 0x1.2207b28ceebb3p-12, 0x1.17dd39e7dc38p-12, 0x1.0e04a953e15dbp-12, 0x1.047b838ad5d1dp-12, 0x1.f67ebb47066bep-13, 0x1.e49bbd2d00d12p-13, 0x1.d3497d8bbd65dp-13, 0x1.c2838f0f2a276p-13, 0x1.b245a565392d1p-13, 0x1.a28b945df5f08p-13, 0x1.93514f10560e2p-13, 0x1.8492e7048d732p-13, 0x1.764c8b6357a8bp-13, 0x1.687a882a505b9p-13, 0x1.5b1945652a7c4p-13, 0x1.4e25466bba421p-13, 0x1.419b292471b13p-13, 0x1.3577a54bff46bp-13, 0x1.29b78bc0ecc37p-13, 0x1.1e57c5d3716c4p-13, 0x1.1355549a81764p-13, 0x1.08ad504c2237ep-13, 0x1.fcb9cf34b4979p-14, 0x1.e8c2be275b402p-14, 0x1.d57021102dafp-14, 0x1.c2bcd4e3055e8p-14, 0x1.b0a3dec03cf33p-14, 0x1.9f206ad458cb9p-14, 0x1.8e2dcb3f73fd7p-14, 0x1.7dc777030357fp-14, 0x1.6de908f701213p-14, 0x1.5e8e3ec47a085p-14, 0x1.4fb2f7e9081dap-14, 0x1.415334be3bb7bp-14, 0x1.336b1588789c7p-14, 0x1.25f6d98ba0cfcp-14, 0x1.18f2de25b44d4p-14, 0x1.0c5b9def35945p-14, 0x1.002dafe137764p-14, 0x1.e8cb8d023377dp-15, 0x1.d2015e226ef98p-15, 0x1.bbf6a18ff5376p-15, 0x1.a6a55814b6f8bp-15, 0x1.9207b35a3512dp-15, 0x1.7e18147402d45p-15, 0x1.6ad10a7495becp-15, 0x1.582d510b3fcebp-15, 0x1.4627cf2b92a6dp-15, 0x1.34bb95bda0e6fp-15, 0x1.23e3de585eb4ap-15, 0x1.139c0a0087de6p-15, 0x1.03df9ff667523p-15, 0x1.e954990d20998p-16, 0x1.cbefbfc9f4eb6p-16, 0x1.af889a1dc537bp-16, 0x1.9417516c870d6p-16, 0x1.79945065bc8e5p-16, 0x1.5ff840f74c6b8p-16, 0x1.473c0a4ec4abap-16, 0x1.2f58cee6d06b2p-16, 0x1.1847eaa643c57p-16, 0x1.0202f108de728p-16, 0x1.d90756ae2dfb5p-17, 0x1.af882dd4c20a1p-17, 0x1.877cc6fc055c3p-17, 0x1.60d9e318b3386p-17, 0x1.3b94a16f8f086p-17, 0x1.17a27c7f53e8p-17, 0x1.e9f28e02665ebp-18, 0x1.a71e51ff684a5p-18, 0x1.66b53a06c1ad9p-18, 0x1.28a4daa670d1cp-18, 0x1.d9b6c54f36a9bp-19, 0x1.668f2b7c891fdp-19, 0x1.ef631ecee7b9bp-20, 0x1.19fb5db90c4fp-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9316a2c8cda7dp+0, -0x1.8d40c167ca5p+0, -0x1.87034e811f30ap+0, -0x1.80565fd757b8ep+0, -0x1.793a42eab4d05p+0, -0x1.71b561e148d79p+0, -0x1.69d2b0e1491ep+0, -0x1.61a020c30187cp+0, -0x1.592d5d4e5cd5dp+0, -0x1.508af0498621bp+0, -0x1.47c997cdd97a3p+0, -0x1.3ef9adfb58669p+0, -0x1.362ac0d8b8e49p+0, -0x1.2d6b5153b6acep+0, -0x1.24c8a3a3d203ap+0, -0x1.1c4ea0494a06p+0, -0x1.1407c6abddf1bp+0, -0x1.0bfd2e9d925d1p+0, -0x1.0436929e32d92p+0, -0x1.f974b40a7d1b6p-1, -0x1.eb1b51def661bp-1, -0x1.dd68d4187b71dp-1, -0x1.d0634caa01fabp-1, -0x1.c40e637c250b9p-1, -0x1.b86bea260f788p-1, -0x1.ad7c212bc5885p-1, -0x1.a33df684fe59p-1, -0x1.99af2aab49623p-1, -0x1.90cc656649028p-1, -0x1.88914b14e519fp-1, -0x1.80f89daf00c73p-1, -0x1.79fc691c1ce82p-1, -0x1.739631e66c64ap-1, -0x1.6dbf1c47dc28ap-1, -0x1.687006b485b7bp-1, -0x1.63a199c94a07p-1, -0x1.5f4c53aea953ap-1, -0x1.5b6894e1313cp-1, -0x1.57eeb104e09afp-1, -0x1.54d702946efb7p-1, -0x1.5219fe12f4374p-1, -0x1.4fb0417ec7ec3p-1, -0x1.4d929e7b37029p-1, -0x1.4bba1fd4214ep-1, -0x1.4a200c6f7a554p-1, -0x1.48bde9cfff8a1p-1, -0x1.478d7f517572ep-1, -0x1.4688da2617806p-1, -0x1.45aa516f6f6e9p-1, -0x1.44ec899a9d3ap-1, -0x1.444a7649539f7p-1, -0x1.43bf5a76dbebbp-1, -0x1.4346c71c3e4b7p-1, -0x1.42dc990e82265p-1, -0x1.427cf6dc5c764p-1, -0x1.42244f07bab1fp-1, -0x1.41cf56715a8b3p-1, -0x1.417b068e2543ep-1, -0x1.41249b242d328p-1, -0x1.40c98fa006bdep-1, -0x1.40679c44caa21p-1, -0x1.3ffcb36a79977p-1, -0x1.3f86fecc5785ap-1, -0x1.3f0552130e54bp-1, -0x1.3e759f4dde54bp-1, -0x1.3dd6ac0db4049p-1, -0x1.3d275e8110eeep-1, -0x1.3c66cbceb09b6p-1, -0x1.3b94345b51667p-1, -0x1.3aaeff8ad8b0ap-1, -0x1.39b6b75a29a46p-1, -0x1.38ab0427d6c6dp-1, -0x1.378ba8edc75f3p-1, -0x1.365880142046fp-1, -0x1.351178ec339a5p-1, -0x1.33b695cc7c5b7p-1, -0x1.3247eab6125eep-1, -0x1.30c59c613b13bp-1, -0x1.2f2fdf89d412cp-1, -0x1.2d86f85534af2p-1, -0x1.2bcb39b0ab0c4p-1, -0x1.29fd04905bb1dp-1, -0x1.281cc70028655p-1, -0x1.262afb020d0e9p-1, -0x1.2428253e44c46p-1, -0x1.2214d390dbc7fp-1, -0x1.1ff19b858cdf1p-1, -0x1.1dbf18d51f4bp-1, -0x1.1b7debf6b7193p-1, -0x1.192eb8d3d3919p-1, -0x1.16d225a819ce4p-1, -0x1.1468da0fe4204p-1, -0x1.11f37e433639bp-1, -0x1.0f72ba7726274p-1, -0x1.0ce7365e46707p-1, -0x1.0a5198c0cfdc5p-1, -0x1.07b2872696ecep-1, -0x1.050aa58e60cbdp-1, -0x1.025a962f6c365p-1, -0x1.ff45f285686d7p-2, -0x1.f9c8d9a30ac35p-2, -0x1.f43f190de389cp-2, -0x1.eea9e30346c9dp-2, -0x1.e90a6447dbd1p-2, -0x1.e361c3c1a73a2p-2, -0x1.ddb1220ba340ep-2, -0x1.d7f99905213ep-2, -0x1.d23c3b614b3fp-2, -0x1.cc7a143c919edp-2, -0x1.c6b426be1e602p-2, -0x1.c0eb6dcacb74bp-2, -0x1.bb20dbcd8c6bdp-2, -0x1.b5555a9732d4cp-2, -0x1.af89cb55340ep-2, -0x1.a9bf069d15881p-2, -0x1.a3f5dc8893d9cp-2, -0x1.9e2f14ddb9978p-2, -0x1.986b6f3de76afp-2, -0x1.92aba35765c2p-2, -0x1.8cf06115f3725p-2, -0x1.873a50d01a68cp-2, -0x1.818a13705b94bp-2, -0x1.7be0429a50671p-2, -0x1.763d70cccdbep-2, -0x1.70a229826f1cap-2, -0x1.6b0ef15218367p-2, -0x1.65844610b86a8p-2, -0x1.60029ef5331e9p-2, -0x1.5a8a6cbecf7f2p-2, -0x1.551c19de137dfp-2, -0x1.4fb80a9f99784p-2, -0x1.4a5e9d5840deap-2, -0x1.45102a920ec89p-2, -0x1.3fcd05393e789p-2, -0x1.3a957ac92c0d7p-2, -0x1.3569d378fdabdp-2, -0x1.304a526812999p-2, -0x1.2b3735ca5a28cp-2, -0x1.2630b714a2b86p-2, -0x1.21370b28e3de1p-2, -0x1.1c4a62825de6ep-2, -0x1.176ae9614d271p-2, -0x1.1298c7f5d2fap-2, -0x1.0dd42289bcedbp-2, -0x1.091d19a8cdbd9p-2, -0x1.0473ca475de3cp-2, -0x1.ffb09bce6ad08p-3, -0x1.f694ad9d62822p-3, -0x1.ed9569d837996p-3, -0x1.e4b24934c8586p-3, -0x1.dbeb65be27c46p-3, -0x1.d340d35fdded4p-3, -0x1.cab2a03582b7bp-3, -0x1.c240d4dd38011p-3, -0x1.b9eb74cb8b869p-3, -0x1.b1b27e9f2161ep-3, -0x1.a995ec72c9054p-3, -0x1.a195b42ca146ap-3, -0x1.99b1c7c92f5a8p-3, -0x1.91ea15a1913f2p-3, -0x1.8a3e88ac0bd61p-3, -0x1.82af08b6a4a07p-3, -0x1.7b3b7a9b8ed3ap-3, -0x1.73e3c06f7d5c2p-3, -0x1.6ca7b9aa2e419p-3, -0x1.658743499736p-3, -0x1.5e8237f05b52bp-3, -0x1.57987000390c6p-3, -0x1.50c9c1b13ff5fp-3, -0x1.4a1601268a8e5p-3, -0x1.437d00814c906p-3, -0x1.3cfe8ff2eaf9p-3, -0x1.369a7dceb50d3p-3, -0x1.3050969bc87a7p-3, -0x1.2a20a5278f652p-3, -0x1.240a729914362p-3, -0x1.1e0dc6855fedbp-3, -0x1.182a6704f574ap-3, -0x1.126018ca55b0ep-3, -0x1.0cae9f39800c5p-3, -0x1.0715bc803560ep-3, -0x1.019531aed22f3p-3, -0x1.f8597da2e5713p-4, -0x1.edb846124c1a1p-4, -0x1.e3463949ddebcp-4, -0x1.d902d27487263p-4, -0x1.ceed8b79c669dp-4, -0x1.c505dd2b6a132p-4, -0x1.bb4b3f713344ep-4, -0x1.b1bd2971ea838p-4, -0x1.a85b11b9c7fb5p-4, -0x1.9f246e5e0375p-4, -0x1.9618b51d821fbp-4, -0x1.8d375b7e89e88p-4, -0x1.847fd6e9b0bc7p-4, -0x1.7bf19cc20b664p-4, -0x1.738c227ad209fp-4, -0x1.6b4eddaab25cfp-4, -0x1.6339441d094e7p-4, -0x1.5b4acbe14861bp-4, -0x1.5382eb58ca1bap-4, -0x1.4be1194359f21p-4, -0x1.4464cccaaeb8p-4, -0x1.3d0d7d8d18171p-4, -0x1.35daa3a790b1ep-4, -0x1.2ecbb7bf6a3dbp-4, -0x1.27e0330bb884fp-4, -0x1.21178f5e9b839p-4, -0x1.1a71472e840fap-4, -0x1.13ecd59f803f6p-4, -0x1.0d89b68c9b835p-4, -0x1.0747669153dcbp-4, -0x1.0125631323d6p-4, -0x1.f64654962e6dfp-5, -0x1.ea80769ec403ep-5, -0x1.def82c39d424bp-5, -0x1.d3ac7741692b1p-5, -0x1.c89c5b825079ap-5, -0x1.bdc6dece1f26dp-5, -0x1.b32b090c9fb79p-5, -0x1.a8c7e44c85ba5p-5, -0x1.9e9c7cd34ac21p-5, -0x1.94a7e12c22756p-5, -0x1.8ae92235ec02ep-5, -0x1.815f53301a4b9p-5, -0x1.780989c67c3d8p-5, -0x1.6ee6de1bed1e3p-5, -0x1.65f66ad3debp-5, -0x1.5d374d1ac7c1dp-5, -0x1.54a8a4ad7566ap-5, -0x1.4c4993df506bap-5, -0x1.44193f9f96b43p-5, -0x1.3c16cf7da2ddcp-5, -0x1.34416dac46bfep-5, -0x1.2c9847044f4b8p-5, -0x1.251a8b0643bcfp-5, -0x1.1dc76bdb6b61p-5, -0x1.169e1e563722fp-5, -0x1.0f9dd9f21429p-5, -0x1.08c5d8d2c07b4p-5, -0x1.021557c3307c1p-5, -0x1.f7172c681ecadp-6, -0x1.ea4fac73ddb3dp-6, -0x1.ddd2b9165708dp-6, -0x1.d19ee0fb29b29p-6, -0x1.c5b2b807bf6d5p-6, -0x1.ba0cd755d68eap-6, -0x1.aeabdd2dbb932p-6, -0x1.a38e6d003ae51p-6, -0x1.98b32f6057873p-6, -0x1.8e18d1fcbf99cp-6, -0x1.83be07990ab0dp-6, -0x1.79a18806c3635p-6, -0x1.6fc2101e301d2p-6, -0x1.661e61b6e72aap-6, -0x1.5cb543a0258adp-6, -0x1.53858198e5b99p-6, -0x1.4a8dec47b2eafp-6, -0x1.41cd59323b89fp-6, -0x1.3942a2b499d3ep-6, -0x1.30eca7f855615p-6, -0x1.28ca4ceb17fb3p-6, -0x1.20da7a351e2ep-6, -0x1.191c1d2f52039p-6, -0x1.118e27d927cffp-6, -0x1.0a2f90ce2524ep-6, -0x1.02ff533b2b40bp-6, -0x1.f7f8dda6e82bap-7, -0x1.ea4bcf8aa86bp-7, -0x1.dcf58d5d6cb97p-7, -0x1.cff43122ca157p-7, -0x1.c345dd8e281c7p-7, -0x1.b6e8bdea7e4c2p-7, -0x1.aadb0601a91e9p-7, -0x1.9f1af203748e7p-7, -0x1.93a6c66c5d6cfp-7, -0x1.887ccfec03e72p-7, -0x1.7d9b634b7adc7p-7, -0x1.7300dd535c18bp-7, -0x1.68aba2b1b7f7p-7, -0x1.5e9a1fdfe8de9p-7, -0x1.54cac90855dc6p-7, -0x1.4b3c19ec1be78p-7, -0x1.41ec95c8b8d59p-7, -0x1.38dac73db697dp-7, -0x1.3005403254373p-7, -0x1.276a99bb40b05p-7, -0x1.1f097400632e1p-7, -0x1.16e07622b71c7p-7, -0x1.0eee4e2242f8dp-7, -0x1.0731b0c4294f4p-7, -0x1.ff52b2f1b27d8p-8, -0x1.f0a81484c5c0dp-8, -0x1.e2611735d9838p-8, -0x1.d47b58b6a60e6p-8, -0x1.c6f48343d9651p-8, -0x1.b9ca4d72f83c9p-8, -0x1.acfa7a0090029p-8, -0x1.a082d79ec84fdp-8, -0x1.946140c449ecap-8, -0x1.88939b7b838ffp-8, -0x1.7d17d9324e52ap-8, -0x1.71ebf689ef053p-8, -0x1.670dfb277c026p-8, -0x1.5c7bf984a6a63p-8, -0x1.52340ec0e4301p-8, -0x1.4834627305444p-8, -0x1.3e7b267b2e889p-8, -0x1.350696d53ebfbp-8, -0x1.2bd4f96b9f026p-8, -0x1.22e49dea7fe6cp-8, -0x1.1a33dd9386f6ap-8, -0x1.11c11b11eb0c8p-8, -0x1.098ac24f021fcp-8, -0x1.018f484747419p-8, -0x1.f39a53f1733f8p-9, -0x1.e485df9dde8ddp-9, -0x1.d5de50490f69bp-9, -0x1.c7a0d53b82edcp-9, -0x1.b9caae440449dp-9, -0x1.ac592b676767p-9, -0x1.9f49ac91347b9p-9, -0x1.9299a14557b55p-9, -0x1.86468852cc868p-9, -0x1.7a4def8749a7dp-9, -0x1.6ead7363f2dfcp-9, -0x1.6362bed3066d7p-9, -0x1.586b8ade981aep-9, -0x1.4dc59e6844916p-9, -0x1.436ecde1f8874p-9, -0x1.3964fb07b3908p-9, -0x1.2fa6149a52654p-9, -0x1.2630161b609ecp-9, -0x1.1d010789f0393p-9, -0x1.1416fd20764b6p-9, -0x1.0b701713a9033p-9, -0x1.030a815265a79p-9, -0x1.f5c8e68d2c5e5p-10, -0x1.e5f85f2e3c9ap-10, -0x1.d6a007d57f3e6p-10, -0x1.c7bc91581289fp-10, -0x1.b94ac19c730b9p-10, -0x1.ab477326525e2p-10, -0x1.9daf94a445a42p-10, -0x1.9080287f8890bp-10, -0x1.83b6446d8e0eap-10, -0x1.774f110394915p-10, -0x1.6b47c94c13463p-10, -0x1.5f9dba5e158b7p-10, -0x1.544e42f66be6bp-10, -0x1.4956d312bb7dap-10, -0x1.3eb4eb8e60ce5p-10, -0x1.34661dc127e76p-10, -0x1.2a680b1fc93d2p-10, -0x1.20b864de389d9p-10, -0x1.1754eb93a7de4p-10, -0x1.0e3b6ee052a6cp-10, -0x1.0569cd14fcb84p-10, -0x1.f9bbe5b83817ap-11, -0x1.e92bb5c97c6bp-11, -0x1.d91f1b1e0b9bep-11, -0x1.c9924134a1527p-11, -0x1.ba816da9eea34p-11, -0x1.abe8ff9b48d87p-11, -0x1.9dc56f0c6ccfp-11, -0x1.90134c5067935p-11, -0x1.82cf3f75740acp-11, -0x1.75f607b3e22a1p-11, -0x1.69847adfea711p-11, -0x1.5d7784de65917p-11, -0x1.51cc271c5b69ep-11, -0x1.467f7809650f3p-11, -0x1.3b8ea294be4eap-11, -0x1.30f6e5ad2a045p-11, -0x1.26b593c363ea5p-11, -0x1.1cc8124f3d9a2p-11, -0x1.132bd9574a275p-11, -0x1.09de72fb111e5p-11, -0x1.00dd7affc29ap-11, -0x1.f04d3cbea17a3p-12, -0x1.df6f35b3d89d2p-12, -0x1.cf1c7d13ec151p-12, -0x1.bf50cef43a89cp-12, -0x1.b008067bb000ap-12, -0x1.a13e1d181e32dp-12, -0x1.92ef29b7f647ap-12, -0x1.851760084cfdp-12, -0x1.77b30fb723631p-12, -0x1.6abea3b9bbde2p-12, -0x1.5e36a197222bdp-12, -0x1.5217a8b68f0b7p-12, -0x1.465e71b1d5068p-12, -0x1.3b07cdaba302bp-12, -0x1.3010a5a976c75p-12, -0x1.2575f9f17990bp-12, -0x1.1b34e16bd618cp-12, -0x1.114a8907bd3abp-12, -0x1.07b43323ed816p-12, -0x1.fcde6df55ad53p-13, -0x1.eaf200226b562p-13, -0x1.d99e1b54e1c22p-13, -0x1.c8dde479fe4acp-13, -0x1.b8aca5d8f58d3p-13, -0x1.a905ce0bdbf1p-13, -0x1.99e4eefeb2147p-13, -0x1.8b45bcf4b39adp-13, -0x1.7d240d9373436p-13, -0x1.6f7bd6f43b302p-13, -0x1.62492ebae87dbp-13, -0x1.558849329171fp-13, -0x1.4935786fdd078p-13, -0x1.3d4d2b78bd79dp-13, -0x1.31cbed719d221p-13, -0x1.26ae64cfd34eap-13, -0x1.1bf152914b781p-13, -0x1.119191794ccf1p-13, -0x1.078c15520d78ep-13, -0x1.fbbbd46722c2ap-14, -0x1.e908679e13f06p-14, -0x1.d6f8597dbb2cep-14, -0x1.c5864bb70725cp-14, -0x1.b4ad0b2987141p-14, -0x1.a4678e9ec1b41p-14, -0x1.94b0f58e45208p-14, -0x1.858486ea1cdf9p-14, -0x1.76ddaff3999a5p-14, -0x1.68b803181e1b9p-14, -0x1.5b0f36d613ff6p-14, -0x1.4ddf24a92b09p-14, -0x1.4123c7fe93208p-14, -0x1.34d93d30630f6p-14, -0x1.28fbc0883f154p-14, -0x1.1d87ad48f0f7ep-14, -0x1.12797cbf0fd16p-14, -0x1.07cdc55821ea5p-14, -0x1.fb027380c645ep-15, -0x1.e721500dbe124p-15, -0x1.d3f1f18f8448cp-15, -0x1.c16e5cb9668b6p-15, -0x1.af90c82635d3ep-15, -0x1.9e539acff6613p-15, -0x1.8db16a93620ffp-15, -0x1.7da4fabdcf6cfp-15, -0x1.6e293aa542c7cp-15, -0x1.5f39444c25bbdp-15, -0x1.50d05b0db0f1fp-15, -0x1.42e9ea54f4f97p-15, -0x1.3581845c86943p-15, -0x1.2892e0f8555e4p-15, -0x1.1c19dc67fbc19p-15, -0x1.10127631e5849p-15, -0x1.0478d00701a87p-15, -0x1.f292595d5ae09p-16, -0x1.dcffddf569167p-16, -0x1.c833318693d3ap-16, -0x1.b42593d3b7148p-16, -0x1.a0d07ec9923ffp-16, -0x1.8e2da4a1b89ebp-16, -0x1.7c36ee14e19cp-16, -0x1.6ae6789aa1d8fp-16, -0x1.5a3694b64674fp-16, -0x1.4a21c450c3694p-16, -0x1.3aa2b91ef7757p-16, -0x1.2bb45314395b6p-16, -0x1.1d519ee0873fep-16, -0x1.0f75d47b3c9b3p-16, -0x1.021c55b6f0ea5p-16, -0x1.ea8159c4c7606p-17, -0x1.d1bd16e5972b9p-17, -0x1.b9e39171c0bf4p-17, -0x1.a2ecc13f7dd01p-17, -0x1.8cd0e4eb59c11p-17, -0x1.77887f7c2d3ffp-17, -0x1.630c561c1ad0ep-17, -0x1.4f556ddd46231p-17, -0x1.3c5d0998169f8p-17, -0x1.2a1ca7d480e55p-17, -0x1.188e00c6722c4p-17, -0x1.07ab04588ca52p-17, -0x1.eedbb09229028p-18, -0x1.cfa1aca6f094p-18, -0x1.b19d14d3ba4f9p-18, -0x1.94c361fa30ccp-18, -0x1.790a6aa1a8e57p-18, -0x1.5e685fc17f51p-18, -0x1.44d3c99ecc422p-18, -0x1.2c4384c720cfbp-18, -0x1.14aebf2369292p-18, -0x1.fc19ea460a612p-19, -0x1.d0abddfbde596p-19, -0x1.a7037c1cd8726p-19, -0x1.7f1174803178p-19, -0x1.58c6ff2998785p-19, -0x1.3415d77c8ff0dp-19, -0x1.10f0379848e76p-19, -0x1.de91a7b20bc34p-20, -0x1.9e25ad160ed7bp-20, -0x1.6083b7460ea93p-20, -0x1.2593d996979dap-20, -0x1.da7df5990fc02p-21, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.ca36bb58ccae1p-1, 0x1.c515f0cabc9f7p-1, 0x1.bfc6c65a78ba6p-1, 0x1.ba4b47a14c86ap-1, 0x1.b4a583e1fad41p-1, 0x1.aed78cc3b5fd5p-1, 0x1.a8e37523e4cf5p-1, 0x1.a2cb4ffdadbf6p-1, 0x1.9c912f66358dfp-1, 0x1.9637239c7652fp-1, 0x1.8fbf3a2b929e1p-1, 0x1.892b7d1e8cf41p-1, 0x1.827df2444f051p-1, 0x1.7bb89a82f41d5p-1, 0x1.74dd71395666ap-1, 0x1.6dee6bade4132p-1, 0x1.66ed7889d3906p-1, 0x1.5fdc7f5fd19fep-1, 0x1.58bd603d59151p-1, 0x1.5191f345e9b17p-1, 0x1.4a5c08576680cp-1, 0x1.431d66b6ebc87p-1, 0x1.3bd7ccc57dc66p-1, 0x1.348cefbbfaedcp-1, 0x1.2d3e7b6dccd07p-1, 0x1.25ee1211dbe67p-1, 0x1.1e9d4c11567ddp-1, 0x1.174db7dbe8bf6p-1, 0x1.1000d9c10abdep-1, 0x1.08b82bce1809ap-1, 0x1.01751db0e6e49p-1, 0x1.f472293d4a839p-2, 0x1.e60ad67d82242p-2, 0x1.d7b6e3336115cp-2, 0x1.c978da16d6419p-2, 0x1.bb533072e5533p-2, 0x1.ad484618919bdp-2, 0x1.9f5a655868d85p-2, 0x1.918bc30275ffep-2, 0x1.83de7e6c6c9a6p-2, 0x1.7654a17ddcaf1p-2, 0x1.68f020c23fcbdp-2, 0x1.5bb2db80b78f6p-2, 0x1.4e9e9bd951bb8p-2, 0x1.41b516e79e5b1p-2, 0x1.34f7ecea768ep-2, 0x1.2868a970bd726p-2, 0x1.1c08c38aed6dbp-2, 0x1.0fd99e0142c6ap-2, 0x1.03dc878e4fa9fp-2, 0x1.f025763b829e2p-3, 0x1.d8fac01e4ad4ep-3, 0x1.c23b14f8eadffp-3, 0x1.abe877085b2dcp-3, 0x1.9604c32d6c041p-3, 0x1.8091b18dc9c04p-3, 0x1.6b90d63ab53e9p-3, 0x1.5703a1dcfd2dp-3, 0x1.42eb6265be073p-3, 0x1.2f4943c373bcap-3, 0x1.1c1e509ae0fc8p-3, 0x1.096b730363797p-3, 0x1.ee62ea8c6b35fp-4, 0x1.cae20540681cep-4, 0x1.a855500b7d16fp-4, 0x1.86bda9d08b836p-4, 0x1.661bb7fa3f924p-4, 0x1.466fe80a9612p-4, 0x1.27ba712b72eb2p-4, 0x1.09fb55bfa507ap-4, 0x1.da64c9e75b13p-5, 0x1.a2be789b5b214p-5, 0x1.6d029277d76dcp-5, 0x1.392f9542ca198p-5, 0x1.0743a4bfda12cp-5, 0x1.ae791b7da362ap-6, 0x1.522f9246e3233p-6, 0x1.f349fb9781187p-7, 0x1.49a6242c1799dp-7, 0x1.4ecbb4a18cc36p-8, 0x1.8f4732bf8f0ap-12, -0x1.0e596eec1dadbp-8, -0x1.139ffbfd7fa5ep-7, -0x1.98f195c32c1fbp-7, -0x1.0b9a3d173a404p-6, -0x1.473e43c1d40abp-6, -0x1.7f6f3d24f3dbcp-6, -0x1.b437f16f961ddp-6, -0x1.e5a38d9d8cca5p-6, -0x1.09decf383abc8p-5, -0x1.1f4905c036f15p-5, -0x1.3316893247a48p-5, -0x1.454da0f9a12e5p-5, -0x1.55f4bacd2f7a1p-5, -0x1.651268678467dp-5, -0x1.72ad5d4a9b8dep-5, -0x1.7ecc6c8f5a5f1p-5, -0x1.897686c0c1cd3p-5, -0x1.92b2b7c2b434bp-5, -0x1.9a8824c434788p-5, -0x1.a0fe0a3d0ba9ep-5, -0x1.a61bb9f6a93fap-5, -0x1.a9e89920307f8p-5, -0x1.ac6c1e6d844cfp-5, -0x1.adadd0413d4fbp-5, -0x1.adb542e163bebp-5, -0x1.ac8a16b6d0a85p-5, -0x1.aa33f69714f24p-5, -0x1.a6ba9618c882bp-5, -0x1.a225aff222f5dp-5, -0x1.9c7d0461be361p-5, -0x1.95c857a168394p-5, -0x1.8e0f7062e817p-5, -0x1.855a165696cd9p-5, -0x1.7bb010bbb801cp-5, -0x1.711924fa74772p-5, -0x1.659d154760168p-5, -0x1.59439f507286fp-5, -0x1.4c147af35f59dp-5, -0x1.3e1758fd330ccp-5, -0x1.2f53e1f326199p-5, -0x1.1fd1b4e48c65ep-5, -0x1.0f986645d24a8p-5, -0x1.fd5efda8e5967p-6, -0x1.da3cf507a8b17p-6, -0x1.b5d98ee5f9f71p-6, -0x1.904389d61738ep-6, -0x1.698984ccc56c8p-6, -0x1.41b9fd40fa1a9p-6, -0x1.18e34d5c9fda6p-6, -0x1.de27547cd7fd6p-7, -0x1.88b2449933a83p-7, -0x1.31833730d593bp-7, -0x1.b16b494956d0fp-8, -0x1.f992ba75b52fp-9, -0x1.1558e9aea4292p-10, 0x1.d2e51dd53c59p-10, 0x1.31310e6996767p-8, 0x1.efddc30d23cd6p-8, 0x1.58466aa06eb76p-7, 0x1.b986404b1ec4p-7, 0x1.0dcaf41f2b57bp-6, 0x1.3f2ea90c4e248p-6, 0x1.70e26c9c4ed57p-6, 0x1.a2daa33c2469ep-6, 0x1.d50be8e50f28cp-6, 0x1.03b588ee3a4d3p-5, 0x1.1cf695b29609cp-5, 0x1.3643be31357bfp-5, 0x1.4f97c2f6382ecp-5, 0x1.68ed81eb9becp-5, 0x1.823ff695aba86p-5, 0x1.9b8a3a48a2eaap-5, 0x1.b4c784579d425p-5, 0x1.cdf32a3cef012p-5, 0x1.e7089fbc0687ep-5, 0x1.0001bb7e76af6p-4, 0x1.0c6fb050c6d8ep-4, 0x1.18cc15ea6a3bep-4, 0x1.2514e329ea132p-4, 0x1.31481e3882ee4p-4, 0x1.3d63dc88e42a2p-4, 0x1.496642d31f89dp-4, 0x1.554d850dd8c5fp-4, 0x1.6117e664c8112p-4, 0x1.6cc3b92c9cf1fp-4, 0x1.784f5ed456b9fp-4, 0x1.83b947d4218f3p-4, 0x1.8efff399cb346p-4, 0x1.9a21f072e0a0dp-4, 0x1.a51ddb7484693p-4, 0x1.aff260611ad52p-4, 0x1.ba9e398bc40ecp-4, 0x1.c5202fb9e1a62p-4, 0x1.cf771a02805a9p-4, 0x1.d9a1ddabfc02ap-4, 0x1.e39f6e07aa8f3p-4, 0x1.ed6ecc4bd9ce2p-4, 0x1.f70f076c11dbp-4, 0x1.003f9df7da6eep-3, 0x1.04df49e38fa34p-3, 0x1.0966230f9a96ep-3, 0x1.0dd3cb99d0b9bp-3, 0x1.1227ec0fd45afp-3, 0x1.16623356e0b12p-3, 0x1.1a825692fe97ap-3, 0x1.1e88110d9f5d2p-3, 0x1.2273241bbc6d4p-3, 0x1.264357036ce11p-3, 0x1.29f876e10a782p-3, 0x1.2d92568be5198p-3, 0x1.3110ce7a94b21p-3, 0x1.3473bca6e6cbdp-3, 0x1.37bb04717ddcap-3, 0x1.3ae68e851fa8p-3, 0x1.3df648b9ba9f5p-3, 0x1.40ea25f7375c1p-3, 0x1.43c21e180821ep-3, 0x1.467e2dcb8fea2p-3, 0x1.491e5678647ep-3, 0x1.4ba29e1e681a6p-3, 0x1.4e0b0f38cfb9ap-3, 0x1.5057b8a016e49p-3, 0x1.5288ad6be3ae7p-3, 0x1.549e04d4e72bfp-3, 0x1.5697da16c08dfp-3, 0x1.58764c51e4a1ep-3, 0x1.5a397e6d93655p-3, 0x1.5be196f9e0f34p-3, 0x1.5d6ec011d38ddp-3, 0x1.5ee1273da699ap-3, 0x1.6038fd552558ep-3, 0x1.617676623d10bp-3, 0x1.6299c983ab546p-3, 0x1.63a330cfef2a7p-3, 0x1.6492e9385f23p-3, 0x1.6569326c8bf4cp-3, 0x1.66264ebdd37b2p-3, 0x1.66ca83033e78bp-3, 0x1.6756167da3d67p-3, 0x1.67c952bc15c69p-3, 0x1.682483809ef2ap-3, 0x1.6867f6a54d11p-3, 0x1.6893fc0193716p-3, 0x1.68a8e550065f2p-3, 0x1.68a706146af63p-3, 0x1.688eb3822cffdp-3, 0x1.686044632cc62p-3, 0x1.681c10fef20ecp-3, 0x1.67c27302451edp-3, 0x1.6753c5672b23dp-3, 0x1.66d0645d4c2a8p-3, 0x1.6638ad32c3846p-3, 0x1.658cfe3d5a9bcp-3, 0x1.64cdb6c431bbcp-3, 0x1.63fb36e9da503p-3, 0x1.6315df96d8f0bp-3, 0x1.621e1264a1b03p-3, 0x1.61143188fedaap-3, 0x1.5ff89fc1ecb02p-3, 0x1.5ecbc041ebdf1p-3, 0x1.5d8df69cc1f2p-3, 0x1.5c3fa6b4b15ddp-3, 0x1.5ae134a8268cdp-3, 0x1.597304bfd6622p-3, 0x1.57f57b5d57e26p-3, 0x1.5668fcea2bcfap-3, 0x1.54cdedc73e89ap-3, 0x1.5324b23cdc471p-3, 0x1.516dae6b1b2d7p-3, 0x1.4fa9463ab9842p-3, 0x1.4dd7dd4e6abccp-3, 0x1.4bf9d6f4a406p-3, 0x1.4a0f9619cb634p-3, 0x1.48197d3ae64ebp-3, 0x1.4617ee58b3abap-3, 0x1.440b4aeb356f1p-3, 0x1.41f3f3d5aadeap-3, 0x1.3fd2495afb66dp-3, 0x1.3da6ab128cc19p-3, 0x1.3b7177dd862e6p-3, 0x1.39330ddc7fdc6p-3, 0x1.36ebca659a1f2p-3, 0x1.349c09fb00d4ap-3, 0x1.32442841d4d45p-3, 0x1.2fe47ff97b66ep-3, 0x1.2d7d6af352e5cp-3, 0x1.2b0f420acc82ap-3, 0x1.289a5d1de6cfep-3, 0x1.261f130609ed2p-3, 0x1.239db9913f2dcp-3, 0x1.2116a57bcde74p-3, 0x1.1e8a2a6a2bcfbp-3, 0x1.1bf89ae34fe0cp-3, 0x1.1962484b57e8cp-3, 0x1.16c782de86f3ep-3, 0x1.142899ac9c8cp-3, 0x1.1185da947ce51p-3, 0x1.0edf924029f64p-3, 0x1.0c360c2112c6ap-3, 0x1.0989926caadaap-3, 0x1.06da6e19536f5p-3, 0x1.0428e6db8cd65p-3, 0x1.0175432378be3p-3, 0x1.fd7f903530969p-4, 0x1.f8117343b7fcbp-4, 0x1.f2a0b49fe41d1p-4, 0x1.ed2dd6dfb4825p-4, 0x1.e7b959ff70699p-4, 0x1.e243bb5fcbc55p-4, 0x1.dccd75c491f3cp-4, 0x1.d7570153b2f8ep-4, 0x1.d1e0d394dbb38p-4, 0x1.cc6b5f716ed39p-4, 0x1.c6f71534fab86p-4, 0x1.c184628e01fdap-4, 0x1.bc13b28f49bbdp-4, 0x1.b6a56db171abcp-4, 0x1.b139f9d4fea36p-4, 0x1.abd1ba44b0b83p-4, 0x1.a66d0fb848369p-4, 0x1.a10c585792b91p-4, 0x1.9bafefbdccb21p-4, 0x1.96582efd5ef65p-4, 0x1.91056ca3d8724p-4, 0x1.8bb7fcbe440e6p-4, 0x1.867030ddbaea5p-4, 0x1.812e581c3e8c3p-4, 0x1.7bf2bf21d5354p-4, 0x1.76bdb029e47d8p-4, 0x1.718f7308c8192p-4, 0x1.6c684d31a2526p-4, 0x1.674881bc6285p-4, 0x1.6230516bff528p-4, 0x1.5d1ffab4e353cp-4, 0x1.5817b9c3861f5p-4, 0x1.5317c8833449p-4, 0x1.4e205ea4fec8fp-4, 0x1.4931b1a6d225p-4, 0x1.444bf4dab2e5fp-4, 0x1.3f6f596e1c2d4p-4, 0x1.3a9c0e717d6ecp-4, 0x1.35d240dfd82e7p-4, 0x1.31121ba676e68p-4, 0x1.2c5bc7acbfb93p-4, 0x1.27af6bdc1c992p-4, 0x1.230d2d27fa4fep-4, 0x1.1e752e95d9fdcp-4, 0x1.19e7914574311p-4, 0x1.15647478ebff7p-4, 0x1.10ebf59d0ef75p-4, 0x1.0c7e3051a1071p-4, 0x1.081b3e71b37a3p-4, 0x1.03c3381c02ffap-4, 0x1.feec6776ba806p-5, 0x1.f6688c1e166bep-5, 0x1.edfb04667e689p-5, 0x1.e5a3f35309c05p-5, 0x1.dd6378c263b84p-5, 0x1.d539b17faa185p-5, 0x1.cd26b75349f09p-5, 0x1.c52aa113d0c1fp-5, 0x1.bd4582b6b8065p-5, 0x1.b5776d6122ff4p-5, 0x1.adc06f788caf8p-5, 0x1.a62094b367683p-5, 0x1.9e97e629a5d0ap-5, 0x1.97266a6532b11p-5, 0x1.8fcc25724da5cp-5, 0x1.888918efd0993p-5, 0x1.815d441f5918bp-5, 0x1.7a48a3f555837p-5, 0x1.734b3328f1801p-5, 0x1.6c64ea43e53f6p-5, 0x1.6595bfb21e0a2p-5, 0x1.5edda7d148333p-5, 0x1.583c95002fdfp-5, 0x1.51b277adfe9bep-5, 0x1.4b3f3e694f1bdp-5, 0x1.44e2d5ef1877fp-5, 0x1.3e9d29396fef9p-5, 0x1.386e218e1fba4p-5, 0x1.3255a68d0fc2bp-5, 0x1.2c539e3e8374ap-5, 0x1.2667ed2129196p-5, 0x1.20927637f73e3p-5, 0x1.1ad31b17df878p-5, 0x1.1529bbf54c64p-5, 0x1.0f9637b170a78p-5, 0x1.0a186be762b9cp-5, 0x1.04b034f909535p-5, 0x1.febadc379fde3p-6, 0x1.f43fe2ca5d196p-6, 0x1.e9ef2faded618p-6, 0x1.dfc872d6e49bbp-6, 0x1.d5cb5a4294c3ap-6, 0x1.cbf7920e7685fp-6, 0x1.c24cc48f26303p-6, 0x1.b8ca9a66f2da8p-6, 0x1.af70ba9c0b0d3p-6, 0x1.a63ecaae381b3p-6, 0x1.9d346eac320b1p-6, 0x1.9451494885059p-6, 0x1.8b94fbee1223dp-6, 0x1.82ff26d41e3dep-6, 0x1.7a8f6911fb648p-6, 0x1.724560b245fd2p-6, 0x1.6a20aac5b79bep-6, 0x1.6220e375904fdp-6, 0x1.5a45a6159715dp-6, 0x1.528e8d35b226bp-6, 0x1.4afb32b312e62p-6, 0x1.438b2fc900027p-6, 0x1.3c3e1d213335cp-6, 0x1.351392e3d31afp-6, 0x1.2e0b28c70861dp-6, 0x1.2724761e28c18p-6, 0x1.205f11e885bc6p-6, 0x1.19ba92dfce513p-6, 0x1.13368f86174e2p-6, 0x1.0cd29e337c32cp-6, 0x1.068e552361127p-6, 0x1.00694a8154c33p-6, 0x1.f4c628eb29827p-7, 0x1.e8f69262658e6p-7, 0x1.dd62fdf3b99ecp-7, 0x1.d20a986a9a3d9p-7, 0x1.c6ec8ee8b6a1bp-7, 0x1.bc080efb6f131p-7, 0x1.b15c46b095c19p-7, 0x1.a6e864aa88224p-7, 0x1.9cab9833958f5p-7, 0x1.92a51150c2a6ep-7, 0x1.88d400d3e52fdp-7, 0x1.7f37986d144b1p-7, 0x1.75cf0abb83766p-7, 0x1.6c998b5db4ad1p-7, 0x1.63964f0113f12p-7, 0x1.5ac48b70ee2b7p-7, 0x1.522377a4e528ap-7, 0x1.49b24bceb67adp-7, 0x1.41704167826cfp-7, 0x1.395c933c769a9p-7, 0x1.31767d7af6e87p-7, 0x1.29bd3dbc3293ap-7, 0x1.223013103614ep-7, 0x1.1ace3e0876c18p-7, 0x1.139700c1db647p-7, 0x1.0c899eee459e6p-7, 0x1.05a55ddd9d06ep-7, 0x1.fdd3090cc0031p-8, 0x1.f0aab71b78335p-8, 0x1.e3d05a9e62d56p-8, 0x1.d7428bc782b85p-8, 0x1.caffe6515e0f1p-8, 0x1.bf07098b9f75cp-8, 0x1.b3569866e273ep-8, 0x1.a7ed397fad2b1p-8, 0x1.9cc997289e3c6p-8, 0x1.91ea5f73d1245p-8, 0x1.874e443b8137p-8, 0x1.7cf3fb29ee0ep-8, 0x1.72da3dc0862f4p-8, 0x1.68ffc95e5f403p-8, 0x1.5f635f45faa4p-8, 0x1.5603c4a26497ap-8, 0x1.4cdfc28ba7e32p-8, 0x1.43f6260aa3a29p-8, 0x1.3b45c01c40e5fp-8, 0x1.32cd65b4124bp-8, 0x1.2a8befbe5eafcp-8, 0x1.22803b219987cp-8, 0x1.1aa928bf54a58p-8, 0x1.13059d74a5d73p-8, 0x1.0b94821a0dd99p-8, 0x1.0454c382dc203p-8, 0x1.fa8aa4f838c9bp-9, 0x1.ecca479612fd7p-9, 0x1.df6660562334ap-9, 0x1.d25ce896cea3cp-9, 0x1.c5abe1985661ep-9, 0x1.b951547659947p-9, 0x1.ad4b522090e2ap-9, 0x1.a197f352cb117p-9, 0x1.9635588c30fa6p-9, 0x1.8b21aa05d79d6p-9, 0x1.805b17a8a9e0ap-9, 0x1.75dfd902ad5e2p-9, 0x1.6bae2d3baa21dp-9, 0x1.61c45b093f78ep-9, 0x1.5820b0a263935p-9, 0x1.4ec183b26089ep-9, 0x1.45a5314b4808ep-9, 0x1.3cca1dd7ecd14p-9, 0x1.342eb50d6691cp-9, 0x1.2bd169dc20a88p-9, 0x1.23b0b66080becp-9, 0x1.1bcb1bd3253fcp-9, 0x1.141f2278c2fb5p-9, 0x1.0cab5991a946dp-9, 0x1.056e5748eedb6p-9, 0x1.fccd714699088p-10, 0x1.ef2642db5d3a8p-10, 0x1.e1e47856f7657p-10, 0x1.d505740939483p-10, 0x1.c886a5668272p-10, 0x1.bc6588e2e2f76p-10, 0x1.b09fa7ccceb02p-10, 0x1.a532982768e0dp-10, 0x1.9a1bfc847db24p-10, 0x1.8f5983de2cda3p-10, 0x1.84e8e9703d914p-10, 0x1.7ac7f491421f5p-10, 0x1.70f4788b72393p-10, 0x1.676c547557344p-10, 0x1.5e2d730a50d2ap-10, 0x1.5535ca82ebe5bp-10, 0x1.4c835c6d202b2p-10, 0x1.4414358470e4bp-10, 0x1.3be66d8a034d7p-10, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d30cfcf25ac4p-1, 0x1.ceab2d4394436p-1, 0x1.ca1d37f0b9585p-1, 0x1.c564650738bfdp-1, 0x1.c0820172a237fp-1, 0x1.bb775e40aadb1p-1, 0x1.b645cfef257cfp-1, 0x1.b0eeadc3b961ap-1, 0x1.ab73512d15568p-1, 0x1.a5d5152d52de4p-1, 0x1.a01555cd35375p-1, 0x1.9a356f97e8f9dp-1, 0x1.9436bf1ee9b48p-1, 0x1.8e1aa085ac1ccp-1, 0x1.87e26f14b0768p-1, 0x1.818f84d39dc3dp-1, 0x1.7b233a2a064c7p-1, 0x1.749ee5867ea02p-1, 0x1.6e03db0baa47fp-1, 0x1.67536c42ec1ffp-1, 0x1.608ee7d4637d6p-1, 0x1.59b79943ec75ap-1, 0x1.52cec8b2d1b1ap-1, 0x1.4bd5baa5ee0c3p-1, 0x1.44cdafcff56bap-1, 0x1.3db7e4dfa85b8p-1, 0x1.36959251b383ep-1, 0x1.2f67ec4606a71p-1, 0x1.2830225868df6p-1, 0x1.20ef5f7c21a7bp-1, 0x1.19a6c9da80cd5p-1, 0x1.125782b4244ffp-1, 0x1.0b02a644ce715p-1, 0x1.03a94ba9af97bp-1, 0x1.f8990993fb0d2p-2, 0x1.e9dabc83828f3p-2, 0x1.db19be9d74adep-2, 0x1.cc58137e87726p-2, 0x1.bd97b3c6420f1p-2, 0x1.aeda8cfc42d54p-2, 0x1.a022817907afdp-2, 0x1.9171685218981p-2, 0x1.82c90d4972265p-2, 0x1.742b30c014fa7p-2, 0x1.659987ab99e13p-2, 0x1.5715bb8eb4478p-2, 0x1.48a16a748828fp-2, 0x1.3a3e26eeb9856p-2, 0x1.2bed781623c74p-2, 0x1.1db0d98e1ac0fp-2, 0x1.0f89bb8a272e9p-2, 0x1.017982d622265p-2, 0x1.e70311c14105ap-3, 0x1.cb46378f20be7p-3, 0x1.afbefccdffb3cp-3, 0x1.946fd0d3d2fa6p-3, 0x1.795b0cb9fbe7ap-3, 0x1.5e82f386979c2p-3, 0x1.43e9b259712f1p-3, 0x1.2991609c58e7bp-3, 0x1.0f7c0036cc48bp-3, 0x1.eb56fb8959ed5p-4, 0x1.b843619fdf329p-4, 0x1.85c0b81a1b897p-4, 0x1.53d25b341c769p-4, 0x1.227b7e800e0fap-4, 0x1.e37e5adb84ef8p-5, 0x1.834097acfaf63p-5, 0x1.24432d195a101p-5, 0x1.8d168fbd08b2ap-6, 0x1.a8772402d2fc1p-7, 0x1.dfe8dfbc3970dp-10, -0x1.2b2fc3e5a4502p-7, -0x1.467fb3888be6fp-6, -0x1.f4b16a1ea46f2p-6, -0x1.50130a0eb14d7p-5, -0x1.a46ba434bcdeap-5, -0x1.f75f91e5d9146p-5, -0x1.24761194f473fp-4, -0x1.4c87742dea679p-4, -0x1.73e2d86bc8c6ap-4, -0x1.9a8744d3890e7p-4, -0x1.c073de173edb4p-4, -0x1.e5a7e66c14d74p-4, -0x1.05115e701d5a6p-3, -0x1.16f1ee58881a3p-3, -0x1.28756e50ccd9dp-3, -0x1.399bb728bd37dp-3, -0x1.4a64aeca3f849p-3, -0x1.5ad047e57a0ccp-3, -0x1.6ade819d67f21p-3, -0x1.7a8f6734ecad8p-3, -0x1.89e30fbc6f075p-3, -0x1.98d99dc011824p-3, -0x1.a7733ef682f32p-3, -0x1.b5b02bf07fe54p-3, -0x1.c390a7c90850dp-3, -0x1.d114ffd65513p-3, -0x1.de3d8b5b8fc9fp-3, -0x1.eb0aab3b5a481p-3, -0x1.f77cc9ab275fap-3, -0x1.01ca2cf3b8ac2p-2, -0x1.07a8ebf465441p-2, -0x1.0d5ae40ce7fedp-2, -0x1.12e05b870776dp-2, -0x1.18399c9ce1426p-2, -0x1.1d66f55548d7dp-2, -0x1.2268b7609a8d5p-2, -0x1.273f37f6086c8p-2, -0x1.2beacfb163ed3p-2, -0x1.306bda7161131p-2, -0x1.34c2b73657c52p-2, -0x1.38efc801812acp-2, -0x1.3cf371b4b1f11p-2, -0x1.40ce1bf2948b6p-2, -0x1.448030ff5f7a6p-2, -0x1.480a1da20aadcp-2, -0x1.4b6c510601cd7p-2, -0x1.4ea73c9d57dp-2, -0x1.51bb54037697cp-2, -0x1.54a90ce04b775p-2, -0x1.5770decbf5e4dp-2, -0x1.5a134332ef1f4p-2, -0x1.5c90b53ab2b0dp-2, -0x1.5ee9b1a6e2f79p-2, -0x1.611eb6bee943fp-2, -0x1.6330443415f2cp-2, -0x1.651edb0837b78p-2, -0x1.66eafd74b2713p-2, -0x1.68952ed211959p-2, -0x1.6a1df38010094p-2, -0x1.6b85d0ce2145ep-2, -0x1.6ccd4ce4705e2p-2, -0x1.6df4eead57f3cp-2, -0x1.6efd3dbf54e2dp-2, -0x1.6fe6c247708c9p-2, -0x1.70b204f421e2cp-2, -0x1.715f8ee0a682ap-2, -0x1.71efe980d3012p-2, -0x1.72639e8d5751fp-2, -0x1.72bb37f07a5eep-2, -0x1.72f73fb3494a2p-2, -0x1.73183feb3a5c2p-2, -0x1.731ec2a844eddp-2, -0x1.730b51e36c1d5p-2, -0x1.72de776db9385p-2, -0x1.7298bcdfa8f04p-2, -0x1.723aab890bc98p-2, -0x1.71c4cc6150f8cp-2, -0x1.7137a7f846aecp-2, -0x1.7093c667430f6p-2, -0x1.6fd9af42bff3bp-2, -0x1.6f09e98c5e064p-2, -0x1.6e24fba559575p-2, -0x1.6d2b6b41662d6p-2, -0x1.6c1dbd59f6f2ap-2, -0x1.6afc7621eec3cp-2, -0x1.69c818f9b8b67p-2, -0x1.68812863cb505p-2, -0x1.672825f98cc07p-2, -0x1.65bd9260a1871p-2, -0x1.6441ed409d30fp-2, -0x1.62b5b53916e8fp-2, -0x1.611967d8216ebp-2, -0x1.5f6d819122edfp-2, -0x1.5db27db40d97ap-2, -0x1.5be8d664f96dap-2, -0x1.5a1104941836fp-2, -0x1.582b7ff609c5bp-2, -0x1.5638befc89843p-2, -0x1.543936cf785eep-2, -0x1.522d5b463ea31p-2, -0x1.50159ee186b5dp-2, -0x1.4df272c54cac5p-2, -0x1.4bc446b345da4p-2, -0x1.498b89059cd16p-2, -0x1.4748a6a9fb39dp-2, -0x1.44fc0b1ceb9ffp-2, -0x1.42a6206588aa9p-2, -0x1.40474f1178d75p-2, -0x1.3ddffe313c053p-2, -0x1.3b709354c2712p-2, -0x1.38f972884d25ep-2, -0x1.367afe519c433p-2, -0x1.33f597ad5ece3p-2, -0x1.31699e0cefe88p-2, -0x1.2ed76f54519aap-2, -0x1.2c3f67d871f1bp-2, -0x1.29a1e25dad3f9p-2, -0x1.26ff381694155p-2, -0x1.2457c0a2edef9p-2, -0x1.21abd20efc18cp-2, -0x1.1efbc0d2f6995p-2, -0x1.1c47dfd2c4f82p-2, -0x1.1990805df0981p-2, -0x1.16d5f22fce804p-2, -0x1.1418836fdecc2p-2, -0x1.115880b261c32p-2, -0x1.0e9634f921474p-2, -0x1.0bd1e9b46b149p-2, -0x1.090be6c43a80cp-2, -0x1.0644727993edp-2, -0x1.037bd1980ca4p-2, -0x1.00b247577e41cp-2, -0x1.fbd02acbca6b3p-3, -0x1.f63af7d2d4bbep-3, -0x1.f0a57305240c3p-3, -0x1.eb10169d27963p-3, -0x1.e57b59d3ab5f3p-3, -0x1.dfe7b0e51a05p-3, -0x1.da558d16fec1cp-3, -0x1.d4c55cbdd2336p-3, -0x1.cf378b42fa282p-3, -0x1.c9ac812b142edp-3, -0x1.c424a41c6fa77p-3, -0x1.bea056e5c646fp-3, -0x1.b91ff98526be9p-3, -0x1.b3a3e92f1348fp-3, -0x1.ae2c8055d33b5p-3, -0x1.a8ba16b0eb4abp-3, -0x1.a34d0144c8d5fp-3, -0x1.9de5926a94c42p-3, -0x1.988419d82993p-3, -0x1.9328e4a832bc2p-3, -0x1.8dd43d626a029p-3, -0x1.88866c03fb749p-3, -0x1.833fb607fcc6cp-3, -0x1.7e005e700ee88p-3, -0x1.78c8a5cd0cc99p-3, -0x1.7398ca47d645cp-3, -0x1.6e7107aa3492ap-3, -0x1.69519767cda18p-3, -0x1.643ab0a72c9d7p-3, -0x1.5f2c884ad6ba1p-3, -0x1.5a2750fa735c4p-3, -0x1.552b3b2bfb4cp-3, -0x1.5038752cf7bbfp-3, -0x1.4b4f2b2bc7791p-3, -0x1.466f8740eb235p-3, -0x1.4199b1785a32dp-3, -0x1.3ccdcfdad7fc9p-3, -0x1.380c06774dfe6p-3, -0x1.3354776c28ce3p-3, -0x1.2ea742f0afc29p-3, -0x1.2a04875e61e24p-3, -0x1.256c613a49266p-3, -0x1.20deeb3e4e9e4p-3, -0x1.1c5c3e6286a88p-3, -0x1.17e471e675412p-3, -0x1.13779b5a4d096p-3, -0x1.0f15cea823c05p-3, -0x1.0abf1e1d1d0f9p-3, -0x1.06739a7288254p-3, -0x1.023352d6f5648p-3, -0x1.fbfca9ee6fb3p-4, -0x1.f3a95a0ec2cf6p-4, -0x1.eb6ccb974cac3p-4, -0x1.e34711426e5e2p-4, -0x1.db383b0e15952p-4, -0x1.d340564d1bea9p-4, -0x1.cb5f6db894978p-4, -0x1.c3958980ee303p-4, -0x1.bbe2af5ee15acp-4, -0x1.b446e2a448a7fp-4, -0x1.acc2244cc01f5p-4, -0x1.a554730e1c562p-4, -0x1.9dfdcb68be567p-4, -0x1.96be27b7a6c93p-4, -0x1.8f9580406ee9dp-4, -0x1.8883cb43027efp-4, -0x1.8188fd0931b73p-4, -0x1.7aa507f60d308p-4, -0x1.73d7dc9512531p-4, -0x1.6d2169a922e54p-4, -0x1.66819c3b4aa97p-4, -0x1.5ff85fa94f80cp-4, -0x1.59859db40d4e6p-4, -0x1.53293e8d9c328p-4, -0x1.4ce328e741fefp-4, -0x1.46b341ff2c40dp-4, -0x1.40996dadf4fdp-4, -0x1.3a958e73ef20bp-4, -0x1.34a785863d76cp-4, -0x1.2ecf32dbb1253p-4, -0x1.290c75397146ep-4, -0x1.235f2a3f6a93cp-4, -0x1.1dc72e7486eb4p-4, -0x1.18445d52adfabp-4, -0x1.12d691528cb72p-4, -0x1.0d7da3f726d5cp-4, -0x1.08396dd92e08ap-4, -0x1.0309c6b22393dp-4, -0x1.fbdd0ace821fcp-5, -0x1.f1cf002854381p-5, -0x1.e7e9182acc97bp-5, -0x1.de2afc254971ep-5, -0x1.d49454118fa08p-5, -0x1.cb24c6a774d1ep-5, -0x1.c1dbf9701f1b5p-5, -0x1.b8b990d8d55c7p-5, -0x1.afbd304566154p-5, -0x1.a6e67a222345ep-5, -0x1.9e350ff5724adp-5, -0x1.95a89270f4a19p-5, -0x1.8d40a182471ffp-5, -0x1.84fcdc6358abcp-5, -0x1.7cdce1aa5c526p-5, -0x1.74e04f5953947p-5, -0x1.6d06c2ed34119p-5, -0x1.654fd96ca8ecep-5, -0x1.5dbb2f76747eep-5, -0x1.5648614f6a951p-5, -0x1.4ef70af00e839p-5, -0x1.47c6c811d01a8p-5, -0x1.40b7343be8e7cp-5, -0x1.39c7eacfde586p-5, -0x1.32f88715a425fp-5, -0x1.2c48a44768909p-5, -0x1.25b7dd9d013fcp-5, -0x1.1f45ce57040b3p-5, -0x1.18f211c984fdap-5, -0x1.12bc436680408p-5, -0x1.0ca3fec7eee1bp-5, -0x1.06a8dfb986747p-5, -0x1.00ca8242265d2p-5, -0x1.f6110559ee01ep-6, -0x1.eac4fb246a711p-6, -0x1.dfb01fbf62d2bp-6, -0x1.d4d1adc1ff9c8p-6, -0x1.ca28e08ebe6f3p-6, -0x1.bfb4f462a4123p-6, -0x1.b5752663e31b5p-6, -0x1.ab68b4afe92e9p-6, -0x1.a18ede68e68b1p-6, -0x1.97e6e3c2c8dacp-6, -0x1.8e70060fab62p-6, -0x1.852987cbc22fep-6, -0x1.7c12aca8c5f0bp-6, -0x1.732ab998d8a41p-6, -0x1.6a70f4d8f4dp-6, -0x1.61e4a5fad8684p-6, -0x1.598515ee7e6a5p-6, -0x1.51518f0b1d551p-6, -0x1.49495d17b4545p-6, -0x1.416bcd53288ap-6, -0x1.39b82e7bf057fp-6, -0x1.322dd0d753b38p-6, -0x1.2acc063845088p-6, -0x1.23922205cfd9ep-6, -0x1.1c7f7941242a8p-6, -0x1.1593628b417e1p-6, -0x1.0ecd362a3bd1p-6, -0x1.082c4e0e27e65p-6, -0x1.01b005d5ae377p-6, -0x1.f6af75a47dc84p-7, -0x1.ea459817e0fa8p-7, -0x1.de21348a2437ep-7, -0x1.d2410ffaba218p-7, -0x1.c6a3f2e9c772bp-7, -0x1.bb48a95d5c02bp-7, -0x1.b02e02e60b554p-7, -0x1.a552d2a300e07p-7, -0x1.9ab5ef457c52ep-7, -0x1.90563313c6bf3p-7, -0x1.86327beba2133p-7, -0x1.7c49ab4432dc4p-7, -0x1.729aa62f69f92p-7, -0x1.6924555aff1d9p-7, -0x1.5fe5a510e5a1dp-7, -0x1.56dd853757c55p-7, -0x1.4e0ae9506ff13p-7, -0x1.456cc87958924p-7, -0x1.3d021d690edf8p-7, -0x1.34c9e66ec79e7p-7, -0x1.2cc3256fef462p-7, -0x1.24ecdfe5cdab8p-7, -0x1.1d461edacf2f5p-7, -0x1.15cdeee778a26p-7, -0x1.0e83602f052c9p-7, -0x1.0765865bb7139p-7, -0x1.0073789ad8019p-7, -0x1.f358a330e39a1p-8, -0x1.e61e5ef57e1c3p-8, -0x1.d93667baae0a8p-8, -0x1.cc9f079832ab4p-8, -0x1.c0568f7bb4438p-8, -0x1.b45b571da8595p-8, -0x1.a8abbcf5be9d6p-8, -0x1.9d46262ee6cfcp-8, -0x1.9228fe9aeb1e9p-8, -0x1.8752b8a5a9b0ap-8, -0x1.7cc1cd47efe5p-8, -0x1.7274bbf9fdc0bp-8, -0x1.686a0aa5b532dp-8, -0x1.5ea0459878908p-8, -0x1.5515ff74bf097p-8, -0x1.4bc9d12364b6dp-8, -0x1.42ba59c4b372fp-8, -0x1.39e63ea13245fp-8, -0x1.314c2b1a38ddep-8, -0x1.28ead09a4c6b4p-8, -0x1.20c0e6854b3c4p-8, -0x1.18cd2a28690d9p-8, -0x1.110e5eaa01234p-8, -0x1.09834cf94140cp-8, -0x1.022ac3bdaeea3p-8, -0x1.f6072e8d1ebd8p-9, -0x1.e81942f45cb9bp-9, -0x1.da89838a1d534p-9, -0x1.cd55ba120165fp-9, -0x1.c07bbb184d3bfp-9, -0x1.b3f965cfcaf2ap-9, -0x1.a7cca3ef96eb3p-9, -0x1.9bf36990cb043p-9, -0x1.906bb50c21f1dp-9, -0x1.85338ed785315p-9, -0x1.7a490963955bdp-9, -0x1.6faa40f934b91p-9, -0x1.65555b9707b09p-9, -0x1.5b4888cf06ae1p-9, -0x1.518201a40ee5ap-9, -0x1.480008678bdd3p-9, -0x1.3ec0e89728474p-9, -0x1.35c2f6ba9d441p-9, -0x1.2d0490419676ep-9, -0x1.24841b61b1b0dp-9, -0x1.1c4006f4a573ep-9, -0x1.1436ca5681eb6p-9, -0x1.0c66e54421bddp-9, -0x1.04cedfb9bdc65p-9, -0x1.fada93a3602eep-10, -0x1.ec817746ced06p-10, -0x1.de8faa4512746p-10, -0x1.d1027bfc98978p-10, -0x1.c3d74b020ec9p-10, -0x1.b70b84dff1fb3p-10, -0x1.aa9ca5d6988d1p-10, -0x1.9e88389cb3ac7p-10, -0x1.92cbd62051124p-10, -0x1.876525485bf8fp-10, -0x1.7c51dab6ad1p-10, -0x1.718fb88a9648ep-10, -0x1.671c8e2403428p-10, -0x1.5cf637e72af25p-10, -0x1.531a9f00cce9ep-10, -0x1.4987b92b069b8p-10, -0x1.403b8872c1beap-10, -0x1.37341afdb2d12p-10, -0x1.2e6f8ad103dc4p-10, -0x1.25ebfd9889b5cp-10, -0x1.1da7a46ea4641p-10, -0x1.15a0bba4bc026p-10, -0x1.0dd58a8c64473p-10, -0x1.0644634118097p-10, -0x1.fdd744e55282bp-11, -0x1.ef935e6093309p-11, -0x1.e1b9f568848c9p-11, -0x1.d44800609d413p-11, -0x1.c73a8935423d2p-11, -0x1.ba8eacf721d4fp-11, -0x1.ae419b77e0a9cp-11, -0x1.a25096e81b092p-11, -0x1.96b8f376ba523p-11, -0x1.8b7816f19d7a1p-11, -0x1.808b786797d5ep-11, -0x1.75f09fcbc2578p-11, -0x1.6ba5259a22d5fp-11, -0x1.61a6b27da63b9p-11, -0x1.57f2fef76d5fep-11, -0x1.4e87d3076dad2p-11, -0x1.456305d661be2p-11, -0x1.3c827d610ce12p-11, -0x1.33e42e24caf84p-11, -0x1.2b861acd70c5dp-11, -0x1.236653e47821dp-11, -0x1.1b82f78176c12p-11, -0x1.13da30fbde323p-11, -0x1.0c6a389e05112p-11, -0x1.0531535973237p-11, -0x1.fc5ba4f8e621ep-12, -0x1.eebc26d1c9877p-12, -0x1.e180fe989ea15p-12, -0x1.d4a715b25e805p-12, -0x1.c82b6c02fe626p-12, -0x1.bc0b1764f2f7ep-12, -0x1.b04343231d8ecp-12, -0x1.a4d12f751d46dp-12, -0x1.99b230fe02104p-12, -0x1.8ee3b04d5c0bap-12, -0x1.846329629b23bp-12, -0x1.7a2e2b32c206cp-12, -0x1.7042573062251p-12, -0x1.669d60d5d8252p-12, -0x1.5d3d0d31ca274p-12, -0x1.541f3275d816ap-12, -0x1.4b41b78781a07p-12, -0x1.42a2939333dc8p-12, -0x1.3a3fcda17cd97p-12, -0x1.32177c2e5b975p-12, -0x1.2a27c4c2a8632p-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.f0bcc35d559e3p-1, 0x1.ef385645cf4bep-1, 0x1.eda3390652c47p-1, 0x1.ebfdb49861462p-1, 0x1.ea481391c14dp-1, 0x1.e882a2001917ap-1, 0x1.e6adad45e2dbep-1, 0x1.e4c983f8c3aecp-1, 0x1.e2d675c13f694p-1, 0x1.e0d4d33bcc9cfp-1, 0x1.dec4eddb3eec1p-1, 0x1.dca717cc8559bp-1, 0x1.da7ba3dbb436ap-1, 0x1.d842e55a501d4p-1, 0x1.d5fd3006d444p-1, 0x1.d3aad7f5664cap-1, 0x1.d14c3179b0f6ep-1, 0x1.cee19111d84cfp-1, 0x1.cc6b4b527eedfp-1, 0x1.c9e9b4d3ce9c9p-1, 0x1.c75d221f7de93p-1, 0x1.c4c5e79fc321fp-1, 0x1.c224598f2e617p-1, 0x1.bf78cbe95e322p-1, 0x1.bcc3925c86dcap-1, 0x1.ba05003bbef67p-1, 0x1.b73d68720d3c4p-1, 0x1.b46d1d76296cp-1, 0x1.b194713eec9acp-1, 0x1.aeb3b538640cp-1, 0x1.abcb3a39825e3p-1, 0x1.a8db507a655dcp-1, 0x1.a5e4478b2a905p-1, 0x1.a2e66e4b4bde3p-1, 0x1.9fe212e17c6fbp-1, 0x1.9cd782b40201fp-1, 0x1.99c70a6184516p-1, 0x1.96b0f5ba4b214p-1, 0x1.93958fb9e9fe4p-1, 0x1.907522815241cp-1, 0x1.8d4ff751460fdp-1, 0x1.8a2656852d304p-1, 0x1.86f8878e41349p-1, 0x1.83c6d0ef11cc8p-1, 0x1.809178375e6cdp-1, 0x1.7d58c2003e77ap-1, 0x1.7a1cf1e897ad7p-1, 0x1.76de4a91df62dp-1, 0x1.739d0d9d24471p-1, 0x1.70597ba85de0ep-1, 0x1.6d13d44bfd924p-1, 0x1.69cc5618c3904p-1, 0x1.66833e95d08b8p-1, 0x1.6338ca3ef4433p-1, 0x1.5fed3483381fep-1, 0x1.5ca0b7c3a1a97p-1, 0x1.59538d522c67cp-1, 0x1.5605ed70f8c1fp-1, 0x1.52b80f51ae52dp-1, 0x1.4f6a291510991p-1, 0x1.4c1c6fcac35f4p-1, 0x1.48cf17713c70bp-1, 0x1.458252f5e4cdcp-1, 0x1.4236543562571p-1, 0x1.3eeb4bfc0d027p-1, 0x1.3ba16a068b6d2p-1, 0x1.3858dd0296219p-1, 0x1.3511d28fe0e87p-1, 0x1.31cc774125bfp-1, 0x1.2e88f69d54f6cp-1, 0x1.2b477b20e376p-1, 0x1.28082e3f39f48p-1, 0x1.24cb3864413efp-1, 0x1.2190c0f60c9b1p-1, 0x1.1e58ee569daddp-1, 0x1.1b23e5e5c3de6p-1, 0x1.17f1cc031341p-1, 0x1.14c2c40ff379ap-1, 0x1.1196f071c5453p-1, 0x1.0e6e72941c3ddp-1, 0x1.0b496aeb0c319p-1, 0x1.0827f8f58a43ap-1, 0x1.050a3b3fde53p-1, 0x1.01f04f66246f4p-1, 0x1.fdb4a42dbfc91p-2, 0x1.f790be2b328cdp-2, 0x1.f175227b19108p-2, 0x1.eb620508c347ap-2, 0x1.e55797f9e0edbp-2, 0x1.df560bb42100fp-2, 0x1.d95d8ee2e0a27p-2, 0x1.d36e4e7ced4f8p-2, 0x1.cd8875ca552e4p-2, 0x1.c7ac2e6a479fep-2, 0x1.c1d9a058ff0fbp-2, 0x1.bc10f1f5b7f33p-2, 0x1.b6524808b026p-2, 0x1.b09dc5c93063p-2, 0x1.aaf38ce399423p-2, 0x1.a553bd7f77404p-2, 0x1.9fbe76459dcf5p-2, 0x1.9a33d46641866p-2, 0x1.94b3f39f15d6p-2, 0x1.8f3eee416dd0cp-2, 0x1.89d4dd385ac09p-2, 0x1.8475d80ec9db2p-2, 0x1.7f21f4f5a3485p-2, 0x1.79d948c9e21e9p-2, 0x1.749be71aac5f9p-2, 0x1.6f69e22f661edp-2, 0x1.6a434b0dbe7f4p-2, 0x1.6528317fb92c6p-2, 0x1.6018a419b05ap-2, 0x1.5b14b0404e678p-2, 0x1.561c622e84705p-2, 0x1.512fc4fb756c2p-2, 0x1.4c4ee2a05964bp-2, 0x1.4779c3fe57e04p-2, 0x1.42b070e459f03p-2, 0x1.3df2f014d1b1dp-2, 0x1.3941474b765fap-2, 0x1.349b7b42f8787p-2, 0x1.30018fbaa6f1cp-2, 0x1.2b73877c0e423p-2, 0x1.26f1646086453p-2, 0x1.227b2756b833cp-2, 0x1.1e10d06816facp-2, 0x1.19b25ebe4a601p-2, 0x1.155fd0a88e473p-2, 0x1.111923a106167p-2, 0x1.0cde5451fef4ep-2, 0x1.08af5e9b293c6p-2, 0x1.048c3d96c2f7cp-2, 0x1.0074eb9eb1aa7p-2, 0x1.f8d2c4a325b7cp-3, 0x1.f0d3352f76163p-3, 0x1.e8eb195050a3dp-3, 0x1.e11a601aca65ep-3, 0x1.d960f754be2dbp-3, 0x1.d1becb7e59085p-3, 0x1.ca33c7db8702bp-3, 0x1.c2bfd67d4c94cp-3, 0x1.bb62e04af4113p-3, 0x1.b41ccd0b2a5e6p-3, 0x1.aced836cf5dd5p-3, 0x1.a5d4e910912a5p-3, 0x1.9ed2e29029b8p-3, 0x1.97e753887b3b5p-3, 0x1.91121ea15519ap-3, 0x1.8a532595f9236p-3, 0x1.83aa493d5f09ep-3, 0x1.7d1769925baf6p-3, 0x1.769a65bba6292p-3, 0x1.70331c13c09bdp-3, 0x1.69e16a30c08cp-3, 0x1.63a52cebfbea7p-3, 0x1.5d7e406995946p-3, 0x1.576c801fe867p-3, 0x1.516fc6ded9b26p-3, 0x1.4b87eed70c01p-3, 0x1.45b4d1a0edcffp-3, 0x1.3ff64843ade2bp-3, 0x1.3a4c2b3c17d81p-3, 0x1.34b6528343e2p-3, 0x1.2f349595386b3p-3, 0x1.29c6cb775ee03p-3, 0x1.246ccabee9848p-3, 0x1.1f2669970aa95p-3, 0x1.19f37dc720747p-3, 0x1.14d3dcb8b3cbcp-3, 0x1.0fc75b7d6304fp-3, 0x1.0acdced4a9662p-3, 0x1.05e70b318fc81p-3, 0x1.0112e4c03a09p-3, 0x1.f8a25ed6bb419p-4, 0x1.ef437dc328494p-4, 0x1.e608cd35315d6p-4, 0x1.dcf1f3b8cb35dp-4, 0x1.d3fe978066f5cp-4, 0x1.cb2e5e6ec79c7p-4, 0x1.c280ee208bd13p-4, 0x1.b9f5ebf5947f5p-4, 0x1.b18cfd1a2514cp-4, 0x1.a945c68fd27d9p-4, 0x1.a11fed364462ap-4, 0x1.991b15d3b79a8p-4, 0x1.9136e51d4902bp-4, 0x1.8972ffbf1869fp-4, 0x1.81cf0a642cd98p-4, 0x1.7a4aa9be2a3fep-4, 0x1.72e5828cd1a11p-4, 0x1.6b9f39a5516c6p-4, 0x1.647773f961cp-4, 0x1.5d6dd69e301e7p-4, 0x1.568206d31ac34p-4, 0x1.4fb3aa083a5b7p-4, 0x1.490265e4bd4c6p-4, 0x1.426de04d12c72p-4, 0x1.3bf5bf68e769ap-4, 0x1.3599a9a8f4aa7p-4, 0x1.2f5945cca0975p-4, 0x1.29343ae7732dcp-4, 0x1.232a30665d6fcp-4, 0x1.1d3ace14d55e9p-4, 0x1.1765bc21c7353p-4, 0x1.11aaa3245b02ap-4, 0x1.0c092c2090924p-4, 0x1.0681008bb30adp-4, 0x1.0111ca50a2285p-4, 0x1.f77667a7e766p-5, 0x1.ecf9cfefdce02p-5, 0x1.e2ad2440b991cp-5, 0x1.d88fbc6c733eep-5, 0x1.cea0f1566efa5p-5, 0x1.c4e01cfa45467p-5, 0x1.bb4c9a723bf8p-5, 0x1.b1e5c5fd7ac97p-5, 0x1.a8aafd05f7cdp-5, 0x1.9f9b9e261d26ep-5, 0x1.96b7092e2f179p-5, 0x1.8dfc9f29698cp-5, 0x1.856bc262e2378p-5, 0x1.7d03d66a244efp-5, 0x1.74c4401792367p-5, 0x1.6cac659086174p-5, 0x1.64bbae4b37005p-5, 0x1.5cf1831262e99p-5, 0x1.554d4e08be507p-5, 0x1.4dce7aac2a1fdp-5, 0x1.467475d8b1a69p-5, 0x1.3f3eadcb53c7ep-5, 0x1.382c922495fbep-5, 0x1.313d93eae0c75p-5, 0x1.2a71258cacb38p-5, 0x1.23c6bae27ad99p-5, 0x1.1d3dc9309dee2p-5, 0x1.16d5c728d3ccfp-5, 0x1.108e2cebafdefp-5, 0x1.0a667409d7694p-5, 0x1.045e178515656p-5, 0x1.fce927a27c4bep-6, 0x1.f152cda9d942bp-6, 0x1.e5f81fd42bbbdp-6, 0x1.dad81fbce937fp-6, 0x1.cff1d1e79b2f9p-6, 0x1.c5443dc01db41p-6, 0x1.bace6d9a96498p-6, 0x1.b08f6eb32029bp-6, 0x1.a686512d34452p-6, 0x1.9cb22812d13a9p-6, 0x1.931209535f0d2p-6, 0x1.89a50dc254392p-6, 0x1.806a51159e44dp-6, 0x1.7760f1e3ce80bp-6, 0x1.6e8811a20dc83p-6, 0x1.65ded4a1d7f7p-6, 0x1.5d64620e84b41p-6, 0x1.5517e3ea951fep-6, 0x1.4cf8870cd9676p-6, 0x1.45057b1d5d56dp-6, 0x1.3d3df29229ffcp-6, 0x1.35a122abdbbe3p-6, 0x1.2e2e437209cc7p-6, 0x1.26e48faf85ba4p-6, 0x1.1fc344ee7430cp-6, 0x1.18c9a3743d998p-6, 0x1.11f6ee3d5811fp-6, 0x1.0b4a6af8f485p-6, 0x1.04c36204818bfp-6, 0x1.fcc23cce288bap-7, 0x1.f045db996038cp-7, 0x1.e4104102df24ep-7, 0x1.d82012d92611ep-7, 0x1.cc73fc16ec5e1p-7, 0x1.c10aacd8ce5f5p-7, 0x1.b5e2da52d1863p-7, 0x1.aafb3ec5bcdfbp-7, 0x1.a0529974448dep-7, 0x1.95e7ae980b084p-7, 0x1.8bb94756798b2p-7, 0x1.81c631b57c61bp-7, 0x1.780d40901a98ap-7, 0x1.6e8d4b8ae7b09p-7, 0x1.65452f085ecc3p-7, 0x1.5c33cc1d25f1ap-7, 0x1.535808842b4b9p-7, 0x1.4ab0ce92bcc9ep-7, 0x1.423d0d2c7955ap-7, 0x1.39fbb7b73cf4ap-7, 0x1.31ebc60ef2e38p-7, 0x1.2a0c34795c6d5p-7, 0x1.225c0399c8d84p-7, 0x1.1ada3864c1a4p-7, 0x1.1385dc13aceep-7, 0x1.0c5dfc18668bbp-7, 0x1.0561aa10d2f3ap-7, 0x1.fd1ff774d8331p-8, 0x1.efd015cb96aadp-8, 0x1.e2d1ead45eb3ep-8, 0x1.d623ba3205be7p-8, 0x1.c9c3cf62c45a1p-8, 0x1.bdb07da7465b7p-8, 0x1.b1e81fe9c0a39p-8, 0x1.a66918a50e37bp-8, 0x1.9b31d1cbda4cdp-8, 0x1.9040bcafd4bcdp-8, 0x1.859451e8f9573p-8, 0x1.7b2b113ce46d3p-8, 0x1.710381863f024p-8, 0x1.671c309c3eb0bp-8, 0x1.5d73b33a3ceafp-8, 0x1.5408a4e769d2ep-8, 0x1.4ad9a7de978dbp-8, 0x1.41e564f6248e6p-8, 0x1.392a8b88048e5p-8, 0x1.30a7d159e90cap-8, 0x1.285bf2858b93fp-8, 0x1.2045b1611db83p-8, 0x1.1863d667d92b5p-8, 0x1.10b53022bb29fp-8, 0x1.0938931163a81p-8, 0x1.01ecd9931eb68p-8, 0x1.f5a1c7a02d6fcp-9, 0x1.e7c72f45661f5p-9, 0x1.da47c10241822p-9, 0x1.cd215ece14202p-9, 0x1.c051f57ef415ep-9, 0x1.b3d77c9de21c9p-9, 0x1.a7aff63b4dc42p-9, 0x1.9bd96ec3fcc1bp-9, 0x1.9051fcd655529p-9, 0x1.8517c1180b233p-9, 0x1.7a28e60c321adp-9, 0x1.6f839fe9b5ec1p-9, 0x1.65262c723c9b5p-9, 0x1.5b0ed2c96ee9cp-9, 0x1.513be34ca8e5dp-9, 0x1.47abb76b1b12fp-9, 0x1.3e5cb17e4fc58p-9, 0x1.354d3ca32115ap-9, 0x1.2c7bcc9318183p-9, 0x1.23e6dd7e3e5e9p-9, 0x1.1b8cf3e5594c5p-9, 0x1.136c9c7492133p-9, 0x1.0b846bde9356dp-9, 0x1.03d2feb80ef63p-9, 0x1.f8adf2a769f82p-10, 0x1.ea1e0f3d388cep-10, 0x1.dbf3b9fa342a5p-10, 0x1.ce2c68500b5ccp-10, 0x1.c0c59e14e1155p-10, 0x1.b3bced3f98904p-10, 0x1.a70ff5a4ff074p-10, 0x1.9abc64b5d8d37p-10, 0x1.8ebff53dc6babp-10, 0x1.83186f23120d1p-10, 0x1.77c3a72750edbp-10, 0x1.6cbf7ea8e749p-10, 0x1.6209e36568f9bp-10, 0x1.57a0cf3cd539p-10, 0x1.4d8247f5ab5c8p-10, 0x1.43ac5f01dfa12p-10, 0x1.3a1d3144a040ep-10, 0x1.30d2e6d8fdf79p-10, 0x1.27cbb2d95f301p-10, 0x1.1f05d327d3409p-10, 0x1.167f90373710bp-10, 0x1.0e373cd52b2afp-10, 0x1.062b35f4dc596p-10, 0x1.fcb3c4f5428ddp-11, 0x1.ed836610c79c1p-11, 0x1.dec24395ac5bbp-11, 0x1.d06d648ef319fp-11, 0x1.c281e256d78b2p-11, 0x1.b4fce835ffeebp-11, 0x1.a7dbb3043af7dp-11, 0x1.9b1b90cacbd46p-11, 0x1.8eb9e0683c36fp-11, 0x1.82b41135b54ap-11, 0x1.7707a2add81f1p-11, 0x1.6bb2241514b1bp-11, 0x1.60b134237bac1p-11, 0x1.560280b0042ap-11, 0x1.4ba3c65d4783p-11, 0x1.4192d047a8bdcp-11, 0x1.37cd77b4e8cf2p-11, 0x1.2e51a3c521c87p-11, 0x1.251d4925243b7p-11, 0x1.1c2e69c2365fdp-11, 0x1.1383147f2bbf7p-11, 0x1.0b1964ead64fep-11, 0x1.02ef82f7ca70fp-11, 0x1.f607456ae5c63p-12, 0x1.e6a80814dd43dp-12, 0x1.d7bde4e071b63p-12, 0x1.c945896024021p-12, 0x1.bb3bb942513dbp-12, 0x1.ad9d4dcffe00bp-12, 0x1.a067356e0d664p-12, 0x1.93967320de594p-12, 0x1.87281e1248dd9p-12, 0x1.7b196119f16ccp-12, 0x1.6f677a47e9651p-12, 0x1.640fba7194e2cp-12, 0x1.590f84c0d1823p-12, 0x1.4e644e4551e32p-12, 0x1.440b9d882402ep-12, 0x1.3a030a2162e2bp-12, 0x1.30483c500175p-12, 0x1.26d8ec93afb9p-12, 0x1.1db2e348ca413p-12, 0x1.14d3f84652579p-12, 0x1.0c3a127de4d72p-12, 0x1.03e3279da6459p-12, 0x1.f79a77683ca48p-13, 0x1.e7ecc1abf9bfep-13, 0x1.d8b96d8b75457p-13, 0x1.c9fcd53a2c72bp-13, 0x1.bbb36cf0bdc9bp-13, 0x1.add9c2471456p-13, 0x1.a06c7b9213286p-13, 0x1.93685744b808dp-13, 0x1.86ca2b54a4407p-13, 0x1.7a8ee4a1fdf93p-13, 0x1.6eb3866293aedp-13, 0x1.6335299047febp-13, 0x1.5810fc5a9e356p-13, 0x1.4d44419b6ecep-13, 0x1.42cc504ea376dp-13, 0x1.38a6930d039dp-13, 0x1.2ed08789ebaa5p-13, 0x1.2547be13f28fep-13, 0x1.1c09d91869ccbp-13, 0x1.13148ca9ad20ep-13, 0x1.0a659e082e1d4p-13, 0x1.01fae32e3b8e7p-13, 0x1.f3a484bcdc7fcp-14, 0x1.e3d36369578bep-14, 0x1.d47e6d7387a11p-14, 0x1.c5a1cbf300c8ep-14, 0x1.b739c5367d327p-14, 0x1.a942bbf9c3d84p-14, 0x1.9bb92ea0637a1p-14, 0x1.8e99b6750987ep-14, 0x1.81e106ed6aba2p-14, 0x1.758becf2a6475p-14, 0x1.69974e2e0a7f6p-14, 0x1.5e00285a25e6ap-14, 0x1.52c3909810a3ep-14, 0x1.47deb2c8d5935p-14, 0x1.3d4ed0eae9564p-14, 0x1.3311427b97f5ap-14, 0x1.292373dc55cffp-14, 0x1.1f82e5bbdeed2p-14, 0x1.162d2c8311a05p-14, 0x1.0d1fefc570a67p-14, 0x1.0458e9b537dc1p-14, 0x1.f7abcd35e593ap-15, 0x1.e72988a102c85p-15, 0x1.d726e37eed481p-15, 0x1.c79fdcc587a2ap-15, 0x1.b89093972dd4ep-15, 0x1.a9f54652c7088p-15, 0x1.9bca51a9f8bcap-15, 0x1.8e0c2fbd672c6p-15, 0x1.80b7773ed6a12p-15, 0x1.73c8da991531ap-15, 0x1.673d271d854b1p-15, 0x1.5b11443730292p-15, 0x1.4f4232a33ac49p-15, 0x1.43cd0baea2eap-15, 0x1.38af007922408p-15, 0x1.2de5593d1ebf2p-15, 0x1.236d749c859e2p-15, 0x1.1944c6f278fe2p-15, 0x1.0f68d9a9af1e1p-15, 0x1.05d74a976ef3bp-15, 0x1.f91b96b60a152p-16, 0x1.e71441833e02fp-16, 0x1.d594445cdec6dp-16, 0x1.c497720dfdac6p-16, 0x1.b419c0472ab9ap-16, 0x1.a41746873c456p-16, 0x1.948c3d0be9c1p-16, 0x1.8574fbc9f488fp-16, 0x1.76cdf96cc7accp-16, 0x1.6893ca5d4e8d4p-16, 0x1.5ac31fcfde498p-16, 0x1.4d58c6d906bdfp-16, 0x1.4051a78918a6p-16, 0x1.33aac40e412aep-16, 0x1.276137dd041bdp-16, 0x1.1b7236defd093p-16, 0x1.0fdb0ca7ae54ep-16, 0x1.04991baf421dep-16, 0x1.f353b9262c3bbp-17, 0x1.de15bab7ca26dp-17, 0x1.c9738192ebe29p-17, 0x1.b5687b473e353p-17, 0x1.a1f03c210eaa5p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.ca523a59fd46p-3, -0x1.e0daa007566afp-3, -0x1.f72a6393722bbp-3, -0x1.069c91c02262ep-2, -0x1.117f41880c848p-2, -0x1.1c391c60532b5p-2, -0x1.26c60da8630f7p-2, -0x1.312216acf882cp-2, -0x1.3b4953c5a342ap-2, -0x1.453800cb754b9p-2, -0x1.4eea7cf262159p-2, -0x1.585d4e0f60cbcp-2, -0x1.618d2355be3b9p-2, -0x1.6a76d795fee7p-2, -0x1.73177308a07e6p-2, -0x1.7b6c2caeab06dp-2, -0x1.83726b51b0957p-2, -0x1.8b27c62c63c78p-2, -0x1.928a05447661bp-2, -0x1.9997217df1834p-2, -0x1.a04d446fc13adp-2, -0x1.a6aac800a16e2p-2, -0x1.acae35d32f97fp-2, -0x1.b256468755ee6p-2, -0x1.b7a1e0d6da169p-2, -0x1.bc90189268f33p-2, -0x1.c1202d83f8ad7p-2, -0x1.c5518a3afff21p-2, -0x1.c923c2c68c5cbp-2, -0x1.cc969360e6211p-2, -0x1.cfa9df1010738p-2, -0x1.d25dae3e11eb2p-2, -0x1.d4b22d4babebfp-2, -0x1.d6a7ab1fc7673p-2, -0x1.d83e97b5a0fcdp-2, -0x1.d97782ab71244p-2, -0x1.da5319d30d396p-2, -0x1.dad227c5cad9ep-2, -0x1.daf5927cb8e22p-2, -0x1.dabe59ee04ab6p-2, -0x1.da2d96b053a6p-2, -0x1.d94478a4922e8p-2, -0x1.d80445a6b9594p-2, -0x1.d66e5845d2f6bp-2, -0x1.d4841e83845f7p-2, -0x1.d247189b4105ep-2, -0x1.cfb8d7d14163p-2, -0x1.ccdafd4946997p-2, -0x1.c9af38e527bbep-2, -0x1.c637482b20594p-2, -0x1.c274f533d471dp-2, -0x1.be6a159fea279p-2, -0x1.ba18899529577p-2, -0x1.b5823ac30482cp-2, -0x1.b0a91b6e7036bp-2, -0x1.ab8f2584e864dp-2, -0x1.a63659b692159p-2, -0x1.a0a0be975879p-2, -0x1.9ad05fc6eee69p-2, -0x1.94c74d1fa4023p-2, -0x1.8e8799ebec13bp-2, -0x1.88135c2290f8dp-2, -0x1.816caba977dcep-2, -0x1.7a95a19ee6b7ep-2, -0x1.739057a9413abp-2, -0x1.6c5ee74d2649ap-2, -0x1.65036949e68ap-2, -0x1.5d7ff4fc434e8p-2, -0x1.55d69fc76c335p-2, -0x1.4e097c8427a07p-2, -0x1.461a9af6200a9p-2, -0x1.3e0c074743779p-2, -0x1.35dfc9892b9c9p-2, -0x1.2d97e53c75815p-2, -0x1.253658de0758cp-2, -0x1.1cbd1d7a24e3ap-2, -0x1.142e264547ceep-2, -0x1.0b8b603aa9253p-2, -0x1.02d6b1c062c1p-2, -0x1.f423f4a222e14p-3, -0x1.e27e2455d6159p-3, -0x1.d0bf94083e38dp-3, -0x1.beebd588ebbe7p-3, -0x1.ad066a8817365p-3, -0x1.9b12c41e1a5dbp-3, -0x1.8914425cb2506p-3, -0x1.770e33e9c47cp-3, -0x1.6503d5a378985p-3, -0x1.52f8524d54f54p-3, -0x1.40eec24623114p-3, -0x1.2eea2b4657db2p-3, -0x1.1ced8026bcc6fp-3, -0x1.0afba0af0e0eep-3, -0x1.f22eb2d8a2e09p-4, -0x1.ce86c71d20226p-4, -0x1.ab04c99b78498p-4, -0x1.87addeaaeb619p-4, -0x1.6487036ebdb4fp-4, -0x1.41950dc790169p-4, -0x1.1edcac50c523bp-4, -0x1.f8c4ccd2e83d5p-5, -0x1.b4553890b72fdp-5, -0x1.70730e349c62dp-5, -0x1.2d26725529b06p-5, -0x1.d4ee78530b71cp-6, -0x1.50d9ebfdf4f95p-6, -0x1.9c3b76fdad25ap-7, -0x1.331f2c3e1daffp-8, 0x1.98d4bb293baa2p-9, 0x1.62f965b882931p-7, 0x1.2e5261b906e2dp-6, 0x1.a990102a7f956p-6, 0x1.11955d3cf494ap-5, 0x1.4d8bf5a1d1501p-5, 0x1.88a6dcce0a7ddp-5, 0x1.c2e1639110355p-5, 0x1.fc371f003abadp-5, 0x1.1a51f3b7d09c1p-4, 0x1.3611ebb1dfa19p-4, 0x1.5159a53e46edep-4, 0x1.6c276e2d57a11p-4, 0x1.8679b3bf9e6dbp-4, 0x1.a04f0213632a7p-4, 0x1.b9a6039009525p-4, 0x1.d27d804f8acc2p-4, 0x1.ead45d86521c7p-4, 0x1.0154ce74d5b6cp-3, 0x1.0cfe2e0a825b6p-3, 0x1.1865e9f71a0bp-3, 0x1.238bac0479ec6p-3, 0x1.2e6f2b04e018bp-3, 0x1.39102a842f5c6p-3, 0x1.436e7a79053a4p-3, 0x1.4d89f6f5cd4bap-3, 0x1.576287d9dc8a7p-3, 0x1.60f82082a1b85p-3, 0x1.6a4abf7d06262p-3, 0x1.735a6e3705e5fp-3, 0x1.7c2740b199cacp-3, 0x1.84b15532f0929p-3, 0x1.8cf8d3f91b4adp-3, 0x1.94fdeeed2504dp-3, 0x1.9cc0e156ad9a2p-3, 0x1.a441ef9012fp-3, 0x1.ab8166bb2b5d6p-3, 0x1.b27f9c76a3acdp-3, 0x1.b93cee9409851p-3, 0x1.bfb9c2ce81585p-3, 0x1.c5f686823dd69p-3, 0x1.cbf3ae64b9c54p-3, 0x1.d1b1b63db5fd8p-3, 0x1.d73120a10eebfp-3, 0x1.dc7276a968bp-3, 0x1.e17647b3b1dbap-3, 0x1.e63d291b902c3p-3, 0x1.eac7b5f8b3b98p-3, 0x1.ef168edd1098cp-3, 0x1.f32a599414124p-3, 0x1.f703c0e2c2eecp-3, 0x1.faa37448da606p-3, 0x1.fe0a27c2e6548p-3, 0x1.009c49c6ada0dp-2, 0x1.0217b9f458672p-2, 0x1.0377c46f3ff9ap-2, 0x1.04bccb03d4f0ep-2, 0x1.05e73129c527ep-2, 0x1.06f75be8162fcp-2, 0x1.07edb1b9ccf1p-2, 0x1.08ca9a7315b8bp-2, 0x1.098e7f26f8923p-2, 0x1.0a39ca0d93c4bp-2, 0x1.0acce66ae06ap-2, 0x1.0b484075fe0a8p-2, 0x1.0bac454108526p-2, 0x1.0bf962a179837p-2, 0x1.0c3007190ea56p-2, 0x1.0c50a1bf3db98p-2, 0x1.0c5ba22b2f6f3p-2, 0x1.0c51785e44b3bp-2, 0x1.0c3294af22d6bp-2, 0x1.0bff67b54b8a8p-2, 0x1.0bb862353a26ap-2, 0x1.0b5df50d0a22fp-2, 0x1.0af09121a1f44p-2, 0x1.0a70a74c6aa54p-2, 0x1.09dea84984c89p-2, 0x1.093b04a689b5cp-2, 0x1.08862cb1ccc36p-2, 0x1.07c0906a22a3ap-2, 0x1.06ea9f6f26fb8p-2, 0x1.0604c8f209df7p-2, 0x1.050f7ba6d7945p-2, 0x1.040b25b643d1p-2, 0x1.02f834aff024bp-2, 0x1.01d7157d31e8ap-2, 0x1.00a8345453c7cp-2, 0x1.fed7f9589ceb3p-3, 0x1.fc45b261fe5ddp-3, 0x1.f99a676fa66c8p-3, 0x1.f6d6ea69d33fcp-3, 0x1.f3fc0b6156d85p-3, 0x1.f10a987bab158p-3, 0x1.ee035ddfeb4fdp-3, 0x1.eae725a4b0029p-3, 0x1.e7b6b7bec1f6bp-3, 0x1.e472d9f0ae9b7p-3, 0x1.e11c4fbb2db86p-3, 0x1.ddb3da4e5cddcp-3, 0x1.da3a387bcc2d7p-3, 0x1.d6b026a95493p-3, 0x1.d3165ec4b5a68p-3, 0x1.cf6d9837ffa1ep-3, 0x1.cbb687deb6ef1p-3, 0x1.c7f1dffbbcbe5p-3, 0x1.c420502fea2bep-3, 0x1.c04285716a469p-3, 0x1.bc592a03c07c7p-3, 0x1.b864e5707fd58p-3, 0x1.b4665c80b1391p-3, 0x1.b05e3136db8bep-3, 0x1.ac4d02c9b20dbp-3, 0x1.a8336d9f62cd4p-3, 0x1.a4120b4980cd8p-3, 0x1.9fe9728184944p-3, 0x1.9bba3725e403ep-3, 0x1.9784ea37b7d3p-3, 0x1.934a19d8ef839p-3, 0x1.8f0a514b0db05p-3, 0x1.8ac618ee66899p-3, 0x1.867df641e6a81p-3, 0x1.82326be34b58ep-3, 0x1.7de3f98fe25e7p-3, 0x1.79931c25b33f7p-3, 0x1.75404da5257d3p-3, 0x1.70ec0533094e3p-3, 0x1.6c96b71b1555bp-3, 0x1.6840d4d2c7c04p-3, 0x1.63eaccfca7419p-3, 0x1.5f950b6bea1a9p-3, 0x1.5b3ff92875f6dp-3, 0x1.56ebfc7335fdep-3, 0x1.529978cacf029p-3, 0x1.4e48cef0984e7p-3, 0x1.49fa5cedf0c91p-3, 0x1.45ae7e19d536dp-3, 0x1.41658b1ec2fep-3, 0x1.3d1fda00df884p-3, 0x1.38ddbe245c557p-3, 0x1.349f8854224dcp-3, 0x1.306586c8abb2dp-3, 0x1.2c30052f25502p-3, 0x1.27ff4cb0b65f3p-3, 0x1.23d3a3fa01991p-3, 0x1.1fad4f42d94b4p-3, 0x1.1b8c905613f99p-3, 0x1.1771a6999869p-3, 0x1.135ccf1685d19p-3, 0x1.0f4e44818728fp-3, 0x1.0b463f4341b27p-3, 0x1.0744f580e9613p-3, 0x1.034a9b24ecfacp-3, 0x1.feaec3cf7cbd8p-4, 0x1.f6d6f2b161994p-4, 0x1.ef0e1dcddf947p-4, 0x1.e7549bd5083a3p-4, 0x1.dfaabf5adbc1p-4, 0x1.d810d6e99b1dfp-4, 0x1.d0872d14282bap-4, 0x1.c90e08888ac1fp-4, 0x1.c1a5ac227cd7ep-4, 0x1.ba4e56fe04b7cp-4, 0x1.b308448a17ffap-4, 0x1.abd3ac9b51fb3p-4, 0x1.a4b0c37e915d3p-4, 0x1.9d9fba0bb21e3p-4, 0x1.96a0bdb836ff2p-4, 0x1.8fb3f8a9df2adp-4, 0x1.88d991c948af2p-4, 0x1.8211acd47676p-4, 0x1.7b5c6a714994ap-4, 0x1.74b9e83fe901fp-4, 0x1.6e2a40ed12156p-4, 0x1.67ad8c4452267p-4, 0x1.6143df42248dbp-4, 0x1.5aed4c25f4d9ep-4, 0x1.54a9e28400a7p-4, 0x1.4e79af57199d3p-4, 0x1.485cbd1243329p-4, 0x1.425313b22af47p-4, 0x1.3c5cb8ce7afd7p-4, 0x1.3679afab028d8p-4, 0x1.30a9f948b43bfp-4, 0x1.2aed9476782e9p-4, 0x1.25447de1d0935p-4, 0x1.1faeb0274fa8bp-4, 0x1.1a2c23e2dcddfp-4, 0x1.14bccfbfc7fd1p-4, 0x1.0f60a888aa8bap-4, 0x1.0a17a13714befp-4, 0x1.04e1ab0305223p-4, 0x1.ff7d6ae455ddbp-5, 0x1.f55d5ccde4c57p-5, 0x1.eb63045eae6b3p-5, 0x1.e18e372704354p-5, 0x1.d7dec7c853213p-5, 0x1.ce5486117a6ep-5, 0x1.c4ef3f1aa66d7p-5, 0x1.bbaebd60bb721p-5, 0x1.b292c8e04976fp-5, 0x1.a99b273006befp-5, 0x1.a0c79b9ad765ep-5, 0x1.9817e73958beap-5, 0x1.8f8bc90af6d34p-5, 0x1.8722fe0e8a445p-5, 0x1.7edd415a7a4f1p-5, 0x1.76ba4c34694f4p-5, 0x1.6eb9d62865c27p-5, 0x1.66db951fa2f5bp-5, 0x1.5f1f3d76bbd5ep-5, 0x1.5784821379322p-5, 0x1.500b147a227aap-5, 0x1.48b2a4e25576p-5, 0x1.417ae24b69279p-5, 0x1.3a637a9055e9bp-5, 0x1.336c1a7b2ad55p-5, 0x1.2c946dd80da54p-5, 0x1.25dc1f87c2447p-5, 0x1.1f42d991c43c6p-5, 0x1.18c84535e6661p-5, 0x1.126c0afd86973p-5, 0x1.0c2dd2cc4c7f3p-5, 0x1.060d43f078477p-5, 0x1.000a0532c36d1p-5, 0x1.f44779cba6f45p-6, 0x1.e8b421ea7a6bfp-6, 0x1.dd594de840c8ap-6, 0x1.d2364856a7f7cp-6, 0x1.c74a5b4e5ac3dp-6, 0x1.bc94d089b743dp-6, 0x1.b214f17ebe25cp-6, 0x1.a7ca077830fa2p-6, 0x1.9db35badee485p-6, 0x1.93d0375c81908p-6, 0x1.8a1fe3dbf6b78p-6, 0x1.80a1aab5e869fp-6, 0x1.7754d5bad29d7p-6, 0x1.6e38af16ad677p-6, 0x1.654c8164cd5bp-6, 0x1.5c8f97c31128bp-6, 0x1.54013de45b1aep-6, 0x1.4ba0c0226262cp-6, 0x1.436d6b8ecf8cbp-6, 0x1.3b668e03baa02p-6, 0x1.338b76337b702p-6, 0x1.2bdb73b7db96fp-6, 0x1.2455d720aad2p-6, 0x1.1cf9f201b2eccp-6, 0x1.15c7170012f83p-6, 0x1.0ebc99df08d8bp-6, 0x1.07d9cf8c2220bp-6, 0x1.011e0e2ae02e4p-6, 0x1.f5115a3f9c481p-7, 0x1.e8320a3619eb1p-7, 0x1.db9ce044ab0eep-7, 0x1.cf509334fded2p-7, 0x1.c34bdca0f1abep-7, 0x1.b78d7903a2a32p-7, 0x1.ac1427c96f739p-7, 0x1.a0deab5f18b6dp-7, 0x1.95ebc93ff2d72p-7, 0x1.8b3a4a0332801p-7, 0x1.80c8f9685948ep-7, 0x1.7696a662c9a38p-7, 0x1.6ca2232484decp-7, 0x1.62ea45281d17cp-7, 0x1.596de539df51ap-7, 0x1.502bdf80344c7p-7, 0x1.472313834c3b1p-7, 0x1.3e526434054cbp-7, 0x1.35b8b7f22b03fp-7, 0x1.2d54f891fe98cp-7, 0x1.252613611a8c7p-7, 0x1.1d2af92aaf2fbp-7, 0x1.15629e3b22182p-7, 0x1.0dcbfa6310aa5p-7, 0x1.066608f9bfb5p-7, 0x1.fe5f91bdeed59p-8, 0x1.f05078f8ac8e8p-8, 0x1.e29cd38c32602p-8, 0x1.d542b476c59f1p-8, 0x1.c84035cc07b23p-8, 0x1.bb9378b39051fp-8, 0x1.af3aa5669f8efp-8, 0x1.a333eb2ce87a8p-8, 0x1.977d8058847a4p-8, 0x1.8c15a24111887p-8, 0x1.80fa953e065adp-8, 0x1.762aa4a04409fp-8, 0x1.6ba422aaebb1ap-8, 0x1.6165688b80c51p-8, 0x1.576cd6515f679p-8, 0x1.4db8d2e48d437p-8, 0x1.4447cbfbec78bp-8, 0x1.3b183612d7f4ap-8, 0x1.32288c5e2ed45p-8, 0x1.297750c0d6fa4p-8, 0x1.21030bbfbc7a3p-8, 0x1.18ca4c7553c27p-8, 0x1.10cba884a5d59p-8, 0x1.0905bc0beb5cbp-8, 0x1.01772996be2c8p-8, 0x1.f43d341fc9c9cp-9, 0x1.e5f57965811b9p-9, 0x1.d8148df8be029p-9, 0x1.ca97e93876d9bp-9, 0x1.bd7d0ec95943ap-9, 0x1.b0c18e7616ae2p-9, 0x1.a463040f26593p-9, 0x1.985f174a07042p-9, 0x1.8cb37ba00670fp-9, 0x1.815df02c9c426p-9, 0x1.765c3f8b62e57p-9, 0x1.6bac3fb5ae86bp-9, 0x1.614bd1dfd1d73p-9, 0x1.5738e25616417p-9, 0x1.4d71685971b0fp-9, 0x1.43f365fbf95bep-9, 0x1.3abce7fd2783bp-9, 0x1.31cc05a5ea9a5p-9, 0x1.291ee0a49180ap-9, 0x1.20b3a4e897ae1p-9, 0x1.1888887e51d18p-9, 0x1.109bcb6a8bd01p-9, 0x1.08ebb786166f5p-9, 0x1.0176a0594b6ecp-9, 0x1.f475c5ef21007p-10, 0x1.e66dcbb5b7e1cp-10, 0x1.d8d2317e89297p-10, 0x1.cb9fe8fd32068p-10, 0x1.bed3f5d81871ap-10, 0x1.b26b6d5ff298ep-10, 0x1.a663764780f6p-10, 0x1.9ab9485b8410dp-10, 0x1.8f6a2c3b0111ep-10, 0x1.84737b0fcf83cp-10, 0x1.79d29e477a66p-10, 0x1.6f850f4c8574p-10, 0x1.65885740133fep-10, 0x1.5bda0eb3f5232p-10, 0x1.5277dd652ce66p-10, 0x1.495f79f6e9226p-10, 0x1.408ea9adf7d92p-10, 0x1.3803402cc14aep-10, 0x1.2fbb1f2fc6861p-10, 0x1.27b4364ab134ep-10, 0x1.1fec82a5ea86ep-10, 0x1.18620ebcd31afp-10, 0x1.1112f21c8d47bp-10, 0x1.09fd512367443p-10, 0x1.031f5cc0e020ep-10, 0x1.f8eea46cbb41cp-11, 0x1.ec06f5b0f9c6dp-11, 0x1.df8457a22815ap-11, 0x1.d3638bc3bfa0fp-11, 0x1.c7a16a4fc13f6p-11, 0x1.bc3ae1bed2b73p-11, 0x1.b12cf651c699ep-11, 0x1.a674c19c8e379p-11, 0x1.9c0f72129dfd1p-11, 0x1.91fa4a94c2e52p-11, 0x1.8832a2006ed55p-11, 0x1.7eb5e2c07defp-11, 0x1.75818a5f7580bp-11, 0x1.6c93291b40df3p-11, 0x1.63e8617a6c261p-11, 0x1.5b7ee7e2de3a8p-11, 0x1.535482321415dp-11, 0x1.4b670756dce5bp-11, 0x1.43b45eec99b4fp-11, 0x1.3c3a80d7fd3cbp-11, 0x1.34f774e54f77ep-11, 0x1.2de95268332c7p-11, 0x1.270e3fdced301p-11, 0x1.2064728b2b9b4p-11, 0x1.19ea2e2a4fd8dp-11, 0x1.139dc487345c6p-11, 0x1.0d7d952b73daep-11, 0x1.07880d062ad0cp-11, 0x1.01bba61634758p-11, 0x1.f82dce2bc3f99p-12, 0x1.ed30c6504deep-12, 0x1.e27d730e7bf12p-12, 0x1.d8112a697bbf8p-12, 0x1.cde9595640ccp-12, 0x1.c4038321705f9p-12, 0x1.ba5d40d821p-12, 0x1.b0f440b370b82p-12, 0x1.a7c64586e1981p-12, 0x1.9ed1263182477p-12, 0x1.9612cd11d35aep-12, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.8b5bddab47a9bp-3, -0x1.9f43bb86d5e44p-3, -0x1.b3204ebfddf1p-3, -0x1.c6ee7bce650cfp-3, -0x1.daab10ff23627p-3, -0x1.ee52cbb972b28p-3, -0x1.00f12ebc18515p-2, -0x1.0aab3838ee78dp-2, -0x1.1455d5f70623p-2, -0x1.1def5c23d8763p-2, -0x1.2776214e72151p-2, -0x1.30e88016e5e6ep-2, -0x1.3a44d8b6797f6p-2, -0x1.43899261f6dfp-2, -0x1.4cb51c87bde1ep-2, -0x1.55c5efeb582a1p-2, -0x1.5eba8fa067debp-2, -0x1.679189e6c534p-2, -0x1.704978e9bde9ap-2, -0x1.78e1036448802p-2, -0x1.8156dd2c0cbbep-2, -0x1.89a9c7a509181p-2, -0x1.91d8921f94e35p-2, -0x1.99e21a226f58bp-2, -0x1.a1c54ba2752b6p-2, -0x1.a981212988c88p-2, -0x1.b114a3ee22b2ep-2, -0x1.b87eebdcece6fp-2, -0x1.bfbf1f95b9b79p-2, -0x1.c6d4745d110cap-2, -0x1.cdbe2e03787a3p-2, -0x1.d47b9ec3924dcp-2, -0x1.db0c27180e424p-2, -0x1.e16f358a5bfc6p-2, -0x1.e7a4467b04e39p-2, -0x1.edaae3e46b56cp-2, -0x1.f382a518bd101p-2, -0x1.f92b2e7bb3884p-2, -0x1.fea43138cf312p-2, -0x1.01f6b57b4a0dcp-1, -0x1.048352c3a5542p-1, -0x1.06f7db4be0251p-1, -0x1.09543fae36501p-1, -0x1.0b98761eae0cbp-1, -0x1.0dc47a409b63dp-1, -0x1.0fd84cfbd7f34p-1, -0x1.11d3f451d040dp-1, -0x1.13b77b32852d1p-1, -0x1.1582f1519bb17p-1, -0x1.17366afb94a3dp-1, -0x1.18d200eb3cfe8p-1, -0x1.1a55d01f6d89cp-1, -0x1.1bc1f9b124e79p-1, -0x1.1d16a2aa0dcfep-1, -0x1.1e53f3db7bd4p-1, -0x1.1f7a19b5e81dfp-1, -0x1.20894420f8488p-1, -0x1.2181a65417ac6p-1, -0x1.226376afa7875p-1, -0x1.232eee96ce58fp-1, -0x1.23e44a49e9c18p-1, -0x1.2483c8c1a69fap-1, -0x1.250dab8ac6064p-1, -0x1.258236a28df07p-1, -0x1.25e1b053eafb1p-1, -0x1.262c611545c75p-1, -0x1.266293670b95dp-1, -0x1.268493b2edd6dp-1, -0x1.2692b02bd8075p-1, -0x1.268d38aea0407p-1, -0x1.26747ea36ddb2p-1, -0x1.2648d4dfdc889p-1, -0x1.260a8f89d8934p-1, -0x1.25ba03fb360a4p-1, -0x1.255788a602676p-1, -0x1.24e374f9903e4p-1, -0x1.245e21483f608p-1, -0x1.23c7e6adfc2fep-1, -0x1.23211ef77a12dp-1, -0x1.226a248a26a17p-1, -0x1.21a3524cd5518p-1, -0x1.20cd03911f74fp-1, -0x1.1fe793fd7eeap-1, -0x1.1ef35f7817d6dp-1, -0x1.1df0c2123b8d4p-1, -0x1.1ce017f4980e1p-1, -0x1.1bc1bd4c1afd2p-1, -0x1.1a960e3782befp-1, -0x1.195d66b59a035p-1, -0x1.181822941fb67p-1, -0x1.16c69d5f57d56p-1, -0x1.156932523f6d2p-1, -0x1.14003c4767f2p-1, -0x1.128c15aa7123ep-1, -0x1.110d186a22d0dp-1, -0x1.0f839deb239a9p-1, -0x1.0deffefb46ce7p-1, -0x1.0c5293c572a18p-1, -0x1.0aabb3c619fb5p-1, -0x1.08fbb5c046493p-1, -0x1.0742efb32eefcp-1, -0x1.0581b6d05d413p-1, -0x1.03b85f7255ee2p-1, -0x1.01e73d13c7f1fp-1, -0x1.000ea2473d754p-1, -0x1.fc5dc15e92bf2p-2, -0x1.f89091ee64124p-2, -0x1.f4b6559823245p-2, -0x1.f0cfa9acda63ep-2, -0x1.ecdd296875d43p-2, -0x1.e8df6de6b2b54p-2, -0x1.e4d70e18de525p-2, -0x1.e0c49ebc67eb7p-2, -0x1.dca8b2523c7dfp-2, -0x1.d883d916e4f15p-2, -0x1.d456a0fb61d2ap-2, -0x1.d021959ebc436p-2, -0x1.cbe540484ac8bp-2, -0x1.c7a227e29fdf6p-2, -0x1.c358d0f71d0bfp-2, -0x1.bf09bdaa25202p-2, -0x1.bab56db7eaa29p-2, -0x1.b65c5e71ce065p-2, -0x1.b1ff0abc4fa9fp-2, -0x1.ad9deb0d8636dp-2, -0x1.a939756c1b257p-2, -0x1.a4d21d6ec6cc5p-2, -0x1.a068543c44f09p-2, -0x1.9bfc888bbc914p-2, -0x1.978f26a59c3efp-2, -0x1.93209864dc7c2p-2, -0x1.8eb14538aaca1p-2, -0x1.8a41922678fc5p-2, -0x1.85d1e1cc6725ap-2, -0x1.8162946406ccap-2, -0x1.7cf407c577682p-2, -0x1.7886976ad0b46p-2, -0x1.741a9c73d9fefp-2, -0x1.6fb06daa0df99p-2, -0x1.6b485f84e40a5p-2, -0x1.66e2c42e572ep-2, -0x1.627feb87b48b2p-2, -0x1.5e20232e9b46dp-2, -0x1.59c3b6823d70cp-2, -0x1.556aeea8d1c11p-2, -0x1.5116129536278p-2, -0x1.4cc5670cc4ee6p-2, -0x1.48792ead53351p-2, -0x1.4431a9f35af4cp-2, -0x1.3fef17404986ap-2, -0x1.3bb1b2e0f38bap-2, -0x1.3779b7142ab1ep-2, -0x1.33475c1170812p-2, -0x1.2f1ad80fca237p-2, -0x1.2af45f4ca9ba9p-2, -0x1.26d42412f2fa3p-2, -0x1.22ba56c2163p-2, -0x1.1ea725d53c732p-2, -0x1.1a9abdea8ab1cp-2, -0x1.169549ca702e9p-2, -0x1.1296f26f07061p-2, -0x1.0e9fdf0b7f421p-2, -0x1.0ab0351396aeap-2, -0x1.06c8184316d6ep-2, -0x1.02e7aaa55ee1cp-2, -0x1.fe1e1939e1066p-3, -0x1.f67cb9d605499p-3, -0x1.eeeb716e2e451p-3, -0x1.e76a772d2818cp-3, -0x1.dff9ff28b3a75p-3, -0x1.d89a3a70bbbcbp-3, -0x1.d14b571e7b40bp-3, -0x1.ca0d8063a7cf7p-3, -0x1.c2e0de998d5dap-3, -0x1.bbc5975021115p-3, -0x1.b4bbcd5d0a6d7p-3, -0x1.adc3a0ea9760ep-3, -0x1.a6dd2f86a5c7ep-3, -0x1.a00894317d17ep-3, -0x1.9945e76c877f9p-3, -0x1.92953f4907826p-3, -0x1.8bf6af76a43cep-3, -0x1.856a4951ebfb6p-3, -0x1.7ef01bf2af3c3p-3, -0x1.7888343a4e7fcp-3, -0x1.72329ce1dec18p-3, -0x1.6bef5e88346e7p-3, -0x1.65be7fbfd073ap-3, -0x1.5fa0051cacc0dp-3, -0x1.5993f141e217ap-3, -0x1.539a44ef3295bp-3, -0x1.4db2ff0e6ae75p-3, -0x1.47de1cc0a12ccp-3, -0x1.421b996b50af8p-3, -0x1.3c6b6ec54a7e1p-3, -0x1.36cd94e382d8dp-3, -0x1.31420245b5471p-3, -0x1.2bc8abe2e117p-3, -0x1.266185359f29dp-3, -0x1.210c804848406p-3, -0x1.1bc98dc0f574ap-3, -0x1.16989ced583d1p-3, -0x1.11799bce620f4p-3, -0x1.0c6c7723c2aafp-3, -0x1.07711a773fb0fp-3, -0x1.02877027d6929p-3, -0x1.fb5ec2e974e06p-4, -0x1.f1d1ad103fa9bp-4, -0x1.e8676d03bff6cp-4, -0x1.df1fcf03daea4p-4, -0x1.d5fa9d652f1d4p-4, -0x1.ccf7a0a551853p-4, -0x1.c4169f7e99c2cp-4, -0x1.bb575efbaf1c5p-4, -0x1.b2b9a28a9a527p-4, -0x1.aa3d2c0f99e2ap-4, -0x1.a1e1bbf78936dp-4, -0x1.99a71149efdfdp-4, -0x1.918ce9babf5b4p-4, -0x1.899301bba74c8p-4, -0x1.81b9148d1ca79p-4, -0x1.79fedc4f00476p-4, -0x1.72641210ed8dcp-4, -0x1.6ae86de22ec44p-4, -0x1.638ba6e15a684p-4, -0x1.5c4d734b96643p-4, -0x1.552d888b85155p-4, -0x1.4e2b9b47d920cp-4, -0x1.47475f7193c7fp-4, -0x1.40808851edbeep-4, -0x1.39d6c897e8ec7p-4, -0x1.3349d2658e142p-4, -0x1.2cd9575cd749ap-4, -0x1.268508ac45c6p-4, -0x1.204c971b25ef5p-4, -0x1.1a2fb31581652p-4, -0x1.142e0cb7c04dfp-4, -0x1.0e4753d9fa11bp-4, -0x1.087b381af6ea6p-4, -0x1.02c968eae40cdp-4, -0x1.fa632b2b7202p-5, -0x1.ef66da9aa250bp-5, -0x1.e49d3e6672e22p-5, -0x1.da05b4c467f32p-5, -0x1.cf9f9beee1df3p-5, -0x1.c56a5236ffabp-5, -0x1.bb653615f0f42p-5, -0x1.b18fa63dbac92p-5, -0x1.a7e901a9712d5p-5, -0x1.9e70a7ace8191p-5, -0x1.9525f803db415p-5, -0x1.8c0852e094651p-5, -0x1.831718fa0a253p-5, -0x1.7a51ab99819a2p-5, -0x1.71b76ca7b0323p-5, -0x1.6947beb95f992p-5, -0x1.6102051b9a5a8p-5, -0x1.58e5a3df5b413p-5, -0x1.50f1ffe4cc7acp-5, -0x1.49267ee60f1a2p-5, -0x1.4182878190f4ep-5, -0x1.3a058143f3acp-5, -0x1.32aed4b187b07p-5, -0x1.2b7deb4f59274p-5, -0x1.24722fabd44e2p-5, -0x1.1d8b0d67064ep-5, -0x1.16c7f13a73173p-5, -0x1.102849008e5afp-5, -0x1.09ab83bbd03e6p-5, -0x1.0351119d6d846p-5, -0x1.fa30c817638ccp-6, -0x1.ee01db4fffe99p-6, -0x1.e21444a8f72acp-6, -0x1.d666ee72b6e8dp-6, -0x1.caf8c593cadaap-6, -0x1.bfc8b99239986p-6, -0x1.b4d5bc9c39e37p-6, -0x1.aa1ec3904f3b6p-6, -0x1.9fa2c604cc574p-6, -0x1.9560be4ec1249p-6, -0x1.8b57a9885c09bp-6, -0x1.81868796b8c9cp-6, -0x1.77ec5b2f29b5dp-6, -0x1.6e8829dbfbde6p-6, -0x1.6558fc00b9cabp-6, -0x1.5c5ddcddee1d9p-6, -0x1.5395da946e99fp-6, -0x1.4b000628303b1p-6, -0x1.429b7382a731p-6, -0x1.3a673974b5919p-6, -0x1.326271b8334ccp-6, -0x1.2a8c38f106f23p-6, -0x1.22e3aeaddd5aap-6, -0x1.1b67f5687cb0dp-6, -0x1.14183285b7c75p-6, -0x1.0cf38e5508c34p-6, -0x1.05f9340fd1b59p-6, -0x1.fe50a3b084da2p-7, -0x1.f100316fe762ep-7, -0x1.e3ff793c5d825p-7, -0x1.d74ce8bbca964p-7, -0x1.cae6f356c8e41p-7, -0x1.becc123377a0dp-7, -0x1.b2fac42fcbb75p-7, -0x1.a7718ddb4e309p-7, -0x1.9c2ef9706a04ep-7, -0x1.913196cd3439ep-7, -0x1.8677fb6bcbdaep-7, -0x1.7c00c25a42516p-7, -0x1.71ca8c321e68p-7, -0x1.67d3ff0f72fp-7, -0x1.5e1bc6879e249p-7, -0x1.54a0939fa689dp-7, -0x1.4b611cc23f22p-7, -0x1.425c1db57c1e5p-7, -0x1.3990579032fa4p-7, -0x1.30fc90af16e56p-7, -0x1.289f94a986ecap-7, -0x1.207834461c3f4p-7, -0x1.1885456ef8fa1p-7, -0x1.10c5a325dab6dp-7, -0x1.09382d77f517cp-7, -0x1.01dbc97199853p-7, -0x1.f55ec22357a8ep-8, -0x1.e763c679d5c3p-8, -0x1.d9c487621d50cp-8, -0x1.cc7ef5ef7e34ap-8, -0x1.bf910cb2ceafp-8, -0x1.b2f8cf9fcf64bp-8, -0x1.a6b44bf25520fp-8, -0x1.9ac19813389bep-8, -0x1.8f1ed37d1b781p-8, -0x1.83ca26a0fbb64p-8, -0x1.78c1c2caa5f1ap-8, -0x1.6e03e2050395ap-8, -0x1.638ec6fe4ee58p-8, -0x1.5960bcec2daf6p-8, -0x1.4f78176fbad35p-8, -0x1.45d332797f776p-8, -0x1.3c70722d6532p-8, -0x1.334e42c69e5abp-8, -0x1.2a6b187b8f7a7p-8, -0x1.21c56f61b7e47p-8, -0x1.195bcb51a3084p-8, -0x1.112cb7cadf1d8p-8, -0x1.0936c7d803922p-8, -0x1.017895f2c5443p-8, -0x1.f3e187d03d6e4p-9, -0x1.e53bf5791c7c1p-9, -0x1.d6fdd520daf57p-9, -0x1.c9249508c734ep-9, -0x1.bbadb13beec26p-9, -0x1.ae96b35883b6ep-9, -0x1.a1dd3259899efp-9, -0x1.957ed260cdcc5p-9, -0x1.8979448130b8ap-9, -0x1.7dca46894468fp-9, -0x1.726fa2ce44541p-9, -0x1.67672ff7675afp-9, -0x1.5caed0c99686p-9, -0x1.524473f38405fp-9, -0x1.482613da2c0a3p-9, -0x1.3e51b665c08d7p-9, -0x1.34c56ccf00a7ep-9, -0x1.2b7f536d01994p-9, -0x1.227d91836bc9cp-9, -0x1.19be59112aa35p-9, -0x1.113fe69f9843cp-9, -0x1.0900811220874p-9, -0x1.00fe79765f5cbp-9, -0x1.f27055a982473p-10, -0x1.e357f4033ee94p-10, -0x1.d4b0aaddbc86dp-10, -0x1.c67769fc24ba1p-10, -0x1.b8a933a6465f4p-10, -0x1.ab431c4ef3bd9p-10, -0x1.9e424a3b6284ap-10, -0x1.91a3f52ba423fp-10, -0x1.8565660424776p-10, -0x1.7983f67848aecp-10, -0x1.6dfd10b616cc1p-10, -0x1.62ce2f12f0f97p-10, -0x1.57f4dbb9759b7p-10, -0x1.4d6eb05862583p-10, -0x1.433955d29cfaep-10, -0x1.395283f04bae3p-10, -0x1.2fb801110d728p-10, -0x1.2667a1df3b29ap-10, -0x1.1d5f490451df9p-10, -0x1.149ce6de690a1p-10, -0x1.0c1e7936c5a2bp-10, -0x1.03e20af97db82p-10, -0x1.f7cb67dc6da72p-11, -0x1.e84f30e3f0327p-11, -0x1.d94bd2641e42dp-11, -0x1.cabdc5d01119cp-11, -0x1.bca19c2d73efdp-11, -0x1.aef3fd90b976ap-11, -0x1.a1b1a89b6e034p-11, -0x1.94d771fca6d41p-11, -0x1.886243f385e3fp-11, -0x1.7c4f1dd3d7048p-11, -0x1.709b138cb8106p-11, -0x1.65434d3153dd6p-11, -0x1.5a450683a2debp-11, -0x1.4f9d8e8133453p-11, -0x1.454a46f1f0811p-11, -0x1.3b48a3f8e9ecfp-11, -0x1.31962ba71132ap-11, -0x1.2830758feb3cdp-11, -0x1.1f152a603427bp-11, -0x1.164203766a097p-11, -0x1.0db4ca7d410aap-11, -0x1.056b5907f6014p-11, -0x1.fac73060fea74p-12, -0x1.eb37006f2643ap-12, -0x1.dc22304d01d0cp-12, -0x1.cd84eae5aba81p-12, -0x1.bf5b774795c02p-12, -0x1.b1a237f2e7069p-12, -0x1.a455aa2b538a9p-12, -0x1.9772654d634e4p-12, -0x1.8af51a271c7c5p-12, -0x1.7eda925408011p-12, -0x1.731faf9c828ffp-12, -0x1.67c16b5851fa6p-12, -0x1.5cbcd5d4706f8p-12, -0x1.520f15bc07c85p-12, -0x1.47b5678489844p-12, -0x1.3dad1cdce3028p-12, -0x1.33f39c1fb7727p-12, -0x1.2a865fc89e22bp-12, -0x1.2162f5ec51d0cp-12, -0x1.1886ffb3ce44dp-12, -0x1.0ff030da47836p-12, -0x1.079c4f2df76cbp-12, -0x1.ff12642768904p-13, -0x1.ef69841a81d54p-13, -0x1.e039f084a6a3fp-13, -0x1.d17fbc187d943p-13, -0x1.c33719087b1e5p-13, -0x1.b55c5828919dep-13, -0x1.a7ebe814f42b3p-13, -0x1.9ae2545dcaf7dp-13, -0x1.8e3c44b7ce5fp-13, -0x1.81f67c31ae8afp-13, -0x1.760dd86e2d903p-13, -0x1.6a7f50e2e4caap-13, -0x1.5f47f61b908d5p-13, -0x1.5464f101d9248p-13, -0x1.49d382297e238p-13, -0x1.3f910120d7621p-13, -0x1.359adbc588894p-13, -0x1.2bee959d69e2fp-13, -0x1.2289c7337796p-13, -0x1.196a1d78cf69bp-13, -0x1.108d592993a26p-13, -0x1.07f14e35aadb7p-13, -0x1.ff27c65a8e824p-14, -0x1.eee621624bb31p-14, -0x1.df19c1ccd0488p-14, -0x1.cfbedddc10207p-14, -0x1.c0d1ccbf864e4p-14, -0x1.b24f0590e43ebp-14, -0x1.a4331e577cd6p-14, -0x1.967acb12374abp-14, -0x1.8922dcc7fbaf9p-14, -0x1.7c28409e668ep-14, -0x1.6f87fef6a9a0ap-14, -0x1.633f3a9078b54p-14, -0x1.574b2fb2df977p-14, -0x1.4ba9335ae2058p-14, -0x1.4056b26fc6592p-14, -0x1.355130fcebb8ep-14, -0x1.2a9649710a7e9p-14, -0x1.2023abe2c4e27p-14, -0x1.15f71d5a6668bp-14, -0x1.0c0e7720b56d6p-14, -0x1.0267a612bb3e7p-14, -0x1.f20153f4c8a3bp-15, -0x1.dfaf29d7bc3b8p-15, -0x1.cdd5154f2b7d3p-15, -0x1.bc6f800179e1ap-15, -0x1.ab7af49074b13p-15, -0x1.9af41d77d4dc1p-15, -0x1.8ad7c3f43230bp-15, -0x1.7b22cef22e4b1p-15, -0x1.6bd24205aba44p-15, -0x1.5ce33c68dd996p-15, -0x1.4e52f802fef8dp-15, -0x1.401ec8768321bp-15, -0x1.32441a3692825p-15, -0x1.24c071a3a005ep-15, -0x1.17916a2ef4215p-15, -0x1.0ab4b584f7754p-15, -0x1.fc50357c31fap-16, -0x1.e3d2eb2c41e93p-16, -0x1.cbed6b53948a5p-16, -0x1.b49bbb74ed054p-16, -0x1.9dda05efb0e7bp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.af4352a406107p-1, 0x1.a9b1df5f7bd9cp-1, 0x1.a424a02ff19cfp-1, 0x1.9e9c8dfcf3021p-1, 0x1.991a153bea016p-1, 0x1.939d29a333d97p-1, 0x1.8e2558e7d642ap-1, 0x1.88b1dc52d8cb9p-1, 0x1.8341a90cb5dccp-1, 0x1.7dd37f0b9f6acp-1, 0x1.7865f69cc0f4bp-1, 0x1.72f78c89b158cp-1, 0x1.6d86ace247776p-1, 0x1.6811bc78407a6p-1, 0x1.6297211df13a9p-1, 0x1.5d1548bbd53b6p-1, 0x1.578aaf5268b3ep-1, 0x1.51f5e3fe83a7dp-1, 0x1.4c558d16a6cbcp-1, 0x1.46a86b774bb71p-1, 0x1.40ed5d13ab211p-1, 0x1.3b235edf686bbp-1, 0x1.35498e247b8f2p-1, 0x1.2f5f29576240dp-1, 0x1.2963907a53cfdp-1, 0x1.2356451ed552bp-1, 0x1.1d36ea13afa9fp-1, 0x1.170542cbfc59dp-1, 0x1.10c1328ab9acap-1, 0x1.0a6abb5d2278dp-1, 0x1.0401fcece9c7dp-1, 0x1.fb0e6664ddfcp-2, 0x1.edf56a1c14529p-2, 0x1.e0b9e59d56d4ep-2, 0x1.d35ce9568b2dbp-2, 0x1.c5dfb2676f335p-2, 0x1.b843a77a99b53p-2, 0x1.aa8a559ca04bep-2, 0x1.9cb56d1761f81p-2, 0x1.8ec6be5675f55p-2, 0x1.80c036d906be2p-2, 0x1.72a3de3497d1cp-2, 0x1.6473d32b9d0ffp-2, 0x1.563248da437a6p-2, 0x1.47e183fb4344cp-2, 0x1.3983d84638121p-2, 0x1.2b1ba5e894737p-2, 0x1.1cab571a04335p-2, 0x1.0e355dccb9046p-2, 0x1.ff7862f3f5b4p-3, 0x1.e2849a1617821p-3, 0x1.c59459bcb13eep-3, 0x1.a8ac99d177d75p-3, 0x1.8bd24de505823p-3, 0x1.6f0a61df92e49p-3, 0x1.5259b6e7566ebp-3, 0x1.35c5207b65e8ap-3, 0x1.195161c1da02ep-3, 0x1.fa06560f968a1p-4, 0x1.c1be2ee398129p-4, 0x1.89d355b6a2cdep-4, 0x1.524e9fc7138ecp-4, 0x1.1b38ac4c1e55dp-4, 0x1.c933c2776c25cp-5, 0x1.5cf4d0c38da3fp-5, 0x1.e388b3161eaaap-6, 0x1.0f636166ba26cp-6, 0x1.ecba3e8a0e865p-9, -0x1.237e23a5f4c8bp-7, -0x1.5e843d38c82e1p-6, -0x1.144ef556961aep-5, -0x1.77f9769d5ecdap-5, -0x1.da359ef61d10bp-5, -0x1.1d7bff8e8b0c4p-4, -0x1.4d1ade6bc620bp-4, -0x1.7bf249b3626ep-4, -0x1.a9fd69d0b9f0ep-4, -0x1.d737b1dc75c0cp-4, -0x1.01ce6fabd292ap-3, -0x1.17947ce0e5815p-3, -0x1.2cec29063a4ebp-3, -0x1.41d3c0f745fafp-3, -0x1.5649b58cf0d72p-3, -0x1.6a4c9b2a7b9c3p-3, -0x1.7ddb293da4467p-3, -0x1.90f439b312988p-3, -0x1.a396c85ff72p-3, -0x1.b5c1f261eba86p-3, -0x1.c774f575e12c9p-3, -0x1.d8af2f470eef1p-3, -0x1.e9701cb6aec9dp-3, -0x1.f9b7591d52c7fp-3, -0x1.04c24ec34c88ap-2, -0x1.0c6bdff3f77acp-2, -0x1.13d85929932dep-2, -0x1.1b07c112b4494p-2, -0x1.21fa2b999dd8ep-2, -0x1.28afb9791335bp-2, -0x1.2f2897d042979p-2, -0x1.3564ffb60572cp-2, -0x1.3b6535cbbcffdp-2, -0x1.412989d002c7fp-2, -0x1.46b25631618d4p-2, -0x1.4bffffa1517c7p-2, -0x1.5112f4a7a1011p-2, -0x1.55ebad367f01ap-2, -0x1.5a8aaa3f49b4p-2, -0x1.5ef075484d937p-2, -0x1.631da0039737bp-2, -0x1.6712c3e6fbac7p-2, -0x1.6ad081c5705b2p-2, -0x1.6e578169d8598p-2, -0x1.71a8713356113p-2, -0x1.74c405b340096p-2, -0x1.77aaf94ccc9dap-2, -0x1.7a5e0bd687fb5p-2, -0x1.7cde023d9fd4fp-2, -0x1.7f2ba62b1e4e1p-2, -0x1.8147c5ab18856p-2, -0x1.833332d5e102ep-2, -0x1.84eec37b46d5fp-2, -0x1.867b50cfe71a7p-2, -0x1.87d9b71c9fda6p-2, -0x1.890ad5701cd04p-2, -0x1.8a0f8d5291d5dp-2, -0x1.8ae8c27b99522p-2, -0x1.8b975a8a3e91p-2, -0x1.8c1c3cbf33239p-2, -0x1.8c7851b932cd5p-2, -0x1.8cac83338e14ap-2, -0x1.8cb9bbc6defa5p-2, -0x1.8ca0e6abe4539p-2, -0x1.8c62ef807cbdbp-2, -0x1.8c00c20ec35dcp-2, -0x1.8b7b4a1641ab1p-2, -0x1.8ad3731737266p-2, -0x1.8a0a281fee311p-2, -0x1.8920539c18be2p-2, -0x1.8816df262b2f2p-2, -0x1.86eeb35ab0f81p-2, -0x1.85a8b7ad92ae2p-2, -0x1.8445d2414526cp-2, -0x1.82c6e7bfd5c6ep-2, -0x1.812cdb35d402p-2, -0x1.7f788def035e2p-2, -0x1.7daadf54d89f1p-2, -0x1.7bc4acceaec08p-2, -0x1.79c6d1a3b18a5p-2, -0x1.77b226de708ecp-2, -0x1.7587833211556p-2, -0x1.7347bae115439p-2, -0x1.70f39fa5b02ebp-2, -0x1.6e8c009b9b5c8p-2, -0x1.6c11aa2b624e2p-2, -0x1.698565f7201ap-2, -0x1.66e7fac89c2cbp-2, -0x1.643a2c80c35d3p-2, -0x1.617cbc0871e53p-2, -0x1.5eb06742817c1p-2, -0x1.5bd5e8ff164dep-2, -0x1.58edf8f01bd96p-2, -0x1.55f94b9eece05p-2, -0x1.52f892631bd98p-2, -0x1.4fec7b5a4dd42p-2, -0x1.4cd5b16125979p-2, -0x1.49b4dc0d30edfp-2, -0x1.468a9fa7cfbd6p-2, -0x1.43579d2a0ec8ap-2, -0x1.401c72396792ap-2, -0x1.3cd9b92563a35p-2, -0x1.399008e613583p-2, -0x1.363ff51b5921dp-2, -0x1.32ea0e0cf4f32p-2, -0x1.2f8ee0ab51a5p-2, -0x1.2c2ef6910a307p-2, -0x1.28cad605198d7p-2, -0x1.256301fdb5374p-2, -0x1.21f7fa23c4b2dp-2, -0x1.1e8a3ad6f4c61p-2, -0x1.1b1a3d32561acp-2, -0x1.17a877118c223p-2, -0x1.14355b167aa36p-2, -0x1.10c158af7181fp-2, -0x1.0d4cdc1dcfb5ap-2, -0x1.09d84e7d12725p-2, -0x1.066415ca51d35p-2, -0x1.02f094ec1e483p-2, -0x1.fefc57757921ep-3, -0x1.f81a6e11719c7p-3, -0x1.f13c21579a44cp-3, -0x1.ea621f0c27eefp-3, -0x1.e38d0f1f068f4p-3, -0x1.dcbd93bf4f552p-3, -0x1.d5f4496f43991p-3, -0x1.cf31c718b0767p-3, -0x1.c8769e21c059p-3, -0x1.c1c35a8228057p-3, -0x1.bb1882d8af1bcp-3, -0x1.b476988105216p-3, -0x1.adde17a9d9643p-3, -0x1.a74f776b385b2p-3, -0x1.a0cb29dd1a488p-3, -0x1.9a519c2e24005p-3, -0x1.93e336ba91e65p-3, -0x1.8d805d233ff38p-3, -0x1.87296e64d1665p-3, -0x1.80dec4eeef50bp-3, -0x1.7aa0b6bb8ff2ep-3, -0x1.746f95664d09ap-3, -0x1.6e4bae43bcc06p-3, -0x1.68354a78c63d1p-3, -0x1.622caf11f46ap-3, -0x1.5c321d1abaaccp-3, -0x1.5645d1b4a8e66p-3, -0x1.5068062e8c1ap-3, -0x1.4a98f01b7834bp-3, -0x1.44d8c169b22a7p-3, -0x1.3f27a87978a6fp-3, -0x1.3985d033adf49p-3, -0x1.33f3602055e8ap-3, -0x1.2e707c7ce7d47p-3, -0x1.28fd4652755ccp-3, -0x1.2399db8ba2b28p-3, -0x1.1e46570a6138ep-3, -0x1.1902d0bd7ff34p-3, -0x1.13cf5db5fc9d7p-3, -0x1.0eac103c16508p-3, -0x1.0998f7e42c427p-3, -0x1.049621a357e8ap-3, -0x1.ff472fc7833cep-4, -0x1.f582c531783c1p-4, -0x1.ebdf0ea52c2d8p-4, -0x1.e25c12a441fdbp-4, -0x1.d8f9d337fd714p-4, -0x1.cfb84e172afe7p-4, -0x1.c6977ccb91c8bp-4, -0x1.bd9754d6be7bcp-4, -0x1.b4b7c7d63a60cp-4, -0x1.abf8c3a735b67p-4, -0x1.a35a3289805adp-4, -0x1.9adbfb42058ddp-4, -0x1.927e013c8cb2p-4, -0x1.8a4024acf50e6p-4, -0x1.822242afc6919p-4, -0x1.7a24356a2959ep-4, -0x1.7245d4293d274p-4, -0x1.6a86f380d24b8p-4, -0x1.62e7656984192p-4, -0x1.5b66f95e33c29p-4, -0x1.54057c78e64d3p-4, -0x1.4cc2b98f018ccp-4, -0x1.459e794ceed58p-4, -0x1.3e9882511d6b7p-4, -0x1.37b0994669f42p-4, -0x1.30e680fdeb194p-4, -0x1.2a39fa8820e4ap-4, -0x1.23aac54d8c77cp-4, -0x1.1d389f26ae013p-4, -0x1.16e344736b949p-4, -0x1.10aa7031e16bap-4, -0x1.0a8ddc149ccb8p-4, -0x1.048d409844053p-4, -0x1.fd50aa31577cp-5, -0x1.f1bd9fcab6845p-5, -0x1.e660ccab0564ep-5, -0x1.db3999b6c5bf3p-5, -0x1.d0476e2e523adp-5, -0x1.c589afd2846ebp-5, -0x1.baffc30847a6ap-5, -0x1.b0a90afb1f33cp-5, -0x1.a684e9bea4dafp-5, -0x1.9c92c06f006fap-5, -0x1.92d1ef505c1f5p-5, -0x1.8941d5ed5eedfp-5, -0x1.7fe1d334a984dp-5, -0x1.76b145955ed3p-5, -0x1.6daf8b1aba427p-5, -0x1.64dc0186b7061p-5, -0x1.5c36066bcfe49p-5, -0x1.53bcf745d78p-5, -0x1.4b703191ee608p-5, -0x1.434f12e59dcd1p-5, -0x1.3b58f90516bc4p-5, -0x1.338d41f89d50cp-5, -0x1.2beb4c212247fp-5, -0x1.2472764c10577p-5, -0x1.1d221fc64fef2p-5, -0x1.15f9a86e864cap-5, -0x1.0ef870c695284p-5, -0x1.081dda045d16cp-5, -0x1.01694621c841ap-5, -0x1.f5b42fd83d07bp-6, -0x1.e8df66255dc4ap-6, -0x1.dc52f8698bd9bp-6, -0x1.d00db1de0324dp-6, -0x1.c40e5fcffd129p-6, -0x1.b853d1b8c9d81p-6, -0x1.acdcd954b40e4p-6, -0x1.a1a84ab8b44e9p-6, -0x1.96b4fc66f639cp-6, -0x1.8c01c7624134ap-6, -0x1.818d874046f6ep-6, -0x1.77571a3adc253p-6, -0x1.6d5d614029bdbp-6, -0x1.639f4001d809fp-6, -0x1.5a1b9d033cf26p-6, -0x1.50d161a696d6dp-6, -0x1.47bf7a395826cp-6, -0x1.3ee4d5ff87f13p-6, -0x1.3640673e44cb6p-6, -0x1.2dd123456faf1p-6, -0x1.259602787e1cbp-6, -0x1.1d8e00567f775p-6, -0x1.15b81b8161919p-6, -0x1.0e1355c47031dp-6, -0x1.069eb41a1697fp-6, -0x1.feb27d61ed6f5p-7, -0x1.f08401e092fbep-7, -0x1.e2b012f732089p-7, -0x1.d534d46bba472p-7, -0x1.c8107087e119ep-7, -0x1.bb41181cf7ec6p-7, -0x1.aec5028683132p-7, -0x1.a29a6dabcdb66p-7, -0x1.96bf9e005ea2p-7, -0x1.8b32de8376cabp-7, -0x1.7ff280be8304fp-7, -0x1.74fcdcc2b22e5p-7, -0x1.6a505125950c9p-7, -0x1.5feb42fcde676p-7, -0x1.55cc1dd95cb0ep-7, -0x1.4bf153c11f2afp-7, -0x1.42595d28d01b4p-7, -0x1.3902b8ec6423cp-7, -0x1.2febec470d4d4p-7, -0x1.271382ca86974p-7, -0x1.1e780e55bd43p-7, -0x1.1618270ae04a7p-7, -0x1.0df26b44dc11ep-7, -0x1.06057f8c4b9c3p-7, -0x1.fca01d17c9398p-8, -0x1.eda19208ce3edp-8, -0x1.df0ccb802b682p-8, -0x1.d0df430b7bb6ep-8, -0x1.c3167e16b055p-8, -0x1.b5b00dd0870acp-8, -0x1.a8a98f0e477dfp-8, -0x1.9c00aa2ed3e69p-8, -0x1.8fb312fd1321p-8, -0x1.83be8891c549bp-8, -0x1.7820d534cac3cp-8, -0x1.6cd7ce3de8151p-8, -0x1.61e153f51071p-8, -0x1.573b517242c58p-8, -0x1.4ce3bc7d01728p-8, -0x1.42d8956b6c47p-8, -0x1.3917e70109b51p-8, -0x1.2f9fc64d43769p-8, -0x1.266e5289a10cp-8, -0x1.1d81b4f7ca38p-8, -0x1.14d820bf54484p-8, -0x1.0c6fd2cb65b55p-8, -0x1.044711a836dbbp-8, -0x1.f8b85ac0e5cdp-9, -0x1.e95afeb50f1c7p-9, -0x1.da72d46bbf76ep-9, -0x1.cbfcb3503230bp-9, -0x1.bdf584b46923p-9, -0x1.b05a438b8f5cdp-9, -0x1.a327fc2472e98p-9, -0x1.965bcbe4100a4p-9, -0x1.89f2e10048593p-9, -0x1.7dea7a3ac3948p-9, -0x1.723fe69c09455p-9, -0x1.66f0852eda93ep-9, -0x1.5bf9c4bbd4ba7p-9, -0x1.5159238563686p-9, -0x1.470c2f041008cp-9, -0x1.3d1083a329fa9p-9, -0x1.3363cc7ddd1ffp-9, -0x1.2a03c31cb0927p-9, -0x1.20ee2f337aff6p-9, -0x1.1820e65fd3fe3p-9, -0x1.0f99cbe8001f3p-9, -0x1.0756d07a66e7p-9, -0x1.feabe3db1c6aep-10, -0x1.ef2a760150138p-10, -0x1.e0258639654aep-10, -0x1.d1995c2c5f1bp-10, -0x1.c38257def0586p-10, -0x1.b5dcf1375a84ap-10, -0x1.a8a5b7849e766p-10, -0x1.9bd95106ef02bp-10, -0x1.8f747a79768c8p-10, -0x1.8374069d775a3p-10, -0x1.77d4ddc6c6b2dp-10, -0x1.6c93fd69a6228p-10, -0x1.61ae77aa02c88p-10, -0x1.572172ec1f2fp-10, -0x1.4cea2966a32c7p-10, -0x1.4305e8b623d2p-10, -0x1.3972117213a34p-10, -0x1.302c16c32bfb6p-10, -0x1.27317dfb47bdfp-10, -0x1.1e7fde2ebbb5ap-10, -0x1.1614dfcf227efp-10, -0x1.0dee3c47a2c0bp-10, -0x1.0609bd9aae1dep-10, -0x1.fcca7c0284adbp-11, -0x1.edfd4f1736f8dp-11, -0x1.dfa7e786ce299p-11, -0x1.d1c6569ee0a1fp-11, -0x1.c454cb318c389p-11, -0x1.b74f90e2b3918p-11, -0x1.aab30f782e0bap-11, -0x1.9e7bca2ce42cfp-11, -0x1.92a65f06d81bap-11, -0x1.872f863014823p-11, -0x1.7c14115281a4ap-11, -0x1.7150eaf69acc9p-11, -0x1.66e315e4ff183p-11, -0x1.5cc7ac8adaf71p-11, -0x1.52fbe061247b9p-11, -0x1.497cf956a6726p-11, -0x1.4048553cd344fp-11, -0x1.375b67375b606p-11, -0x1.2eb3b72e810b9p-11, -0x1.264ee14422eb5p-11, -0x1.1e2a954b78edep-11, -0x1.164496437b47dp-11, -0x1.0e9ab9d3eba1bp-11, -0x1.072ae7ccff8f4p-11, -0x1.ffe63353391a9p-12, -0x1.f1e2b4284ea61p-12, -0x1.e44788dbb1763p-12, -0x1.d71108b127f8bp-12, -0x1.ca3baa866d154p-12, -0x1.bdc403f0b0c8dp-12, -0x1.b1a6c85ef0976p-12, -0x1.a5e0c8410f10fp-12, -0x1.9a6ef033a5e6cp-12, -0x1.8f4e483078006p-12, -0x1.847bf2c37b743p-12, -0x1.79f52c4468064p-12, -0x1.6fb74a14b9106p-12, -0x1.65bfb9e21636fp-12, -0x1.5c0c00ed0f19fp-12, -0x1.5299bb541ab27p-12, -0x1.49669b62cbf24p-12, -0x1.407068e529302p-12, -0x1.37b5007f14cfp-12, -0x1.2f325307bbde7p-12, -0x1.26e664e8f2d5dp-12, -0x1.1ecf4d82784fp-12, -0x1.16eb3691056e5p-12, -0x1.0f385b9922f6cp-12, -0x1.07b50955ac11ap-12, -0x1.005f9d29f46efp-12, -0x1.f26d092efbd85p-13, -0x1.e470796e5eb44p-13, -0x1.d6c6a36bf76c6p-13, -0x1.c96cbca9d25cp-13, -0x1.bc6016d8da3dap-13, -0x1.af9e1ee608959p-13, -0x1.a3245c0dfe52dp-13, -0x1.96f06ef6e7d33p-13, -0x1.8b0010d07ac09p-13, -0x1.7f51127a05ac4p-13, -0x1.73e15bae67128p-13, -0x1.68aeea35cc407p-13, -0x1.5db7d11d244aap-13, -0x1.52fa37f322276p-13, -0x1.48745a0ab1192p-13, -0x1.3e2485c2c4e4ep-13, -0x1.34091bd35c65bp-13, -0x1.2a208e9fb3c97p-13, -0x1.2069618d63cf6p-13, -0x1.16e22860800ccp-13, -0x1.0d89869c70a8fp-13, -0x1.045e2ee98791dp-13, -0x1.f6bdc4fe513ecp-14, -0x1.e514e124ec7bfp-14, -0x1.d3bf6b92b5f97p-14, -0x1.c2bb3763c1616p-14, -0x1.b206307b77e8dp-14, -0x1.a19e5a83dac7p-14, -0x1.9181cff4c6a26p-14, -0x1.81aec12311373p-14, -0x1.7223735741fd5p-14, -0x1.62de3febc2da7p-14, -0x1.53dd9372552dp-14, -0x1.451fece0a3603p-14, -0x1.36a3dcc3bcf45p-14, -0x1.2868047a5640bp-14, -0x1.1a6b15759e5b5p-14, -0x1.0cabd0808213bp-14, -0x1.fe520a1a63b2cp-15, -0x1.e3c321118635bp-15, -0x1.c9a8bb6988141p-15, -0x1.b000c80d3390dp-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e093f74ac8a51p-1, 0x1.de18d6d6f47cep-1, 0x1.db96bfaf58f63p-1, 0x1.d90ecf18d0617p-1, 0x1.d681fa2cce0b2p-1, 0x1.d3f110a974d09p-1, 0x1.d15cbfd8f18a2p-1, 0x1.cec5957ffb7c2p-1, 0x1.cc2c02c673fdap-1, 0x1.c9905f0fd3a43p-1, 0x1.c6f2eabb5f126p-1, 0x1.c453d1c617bc3p-1, 0x1.c1b32e4a04b63p-1, 0x1.bf110ad7d6842p-1, 0x1.bc6d64a9114bfp-1, 0x1.b9c82da9da429p-1, 0x1.b7214e5a4d481p-1, 0x1.b478a787da047p-1, 0x1.b1ce13dfa79c4p-1, 0x1.af21695b5792dp-1, 0x1.ac727a89cac4p-1, 0x1.a9c117b5b91d7p-1, 0x1.a70d0fec1301p-1, 0x1.a45631e42b96ep-1, 0x1.a19c4ccbc000fp-1, 0x1.9edf30f8dee2dp-1, 0x1.9c1eb083b8c05p-1, 0x1.995a9fca4405ap-1, 0x1.9692d5df9e397p-1, 0x1.93c72ce8ea81dp-1, 0x1.90f782696907ap-1, 0x1.8e23b77f59333p-1, 0x1.8b4bb1132c6dp-1, 0x1.886f57fa6cbfap-1, 0x1.858e990fa1dd4p-1, 0x1.82a965406f385p-1, 0x1.7fbfb19300093p-1, 0x1.7cd17723cae67p-1, 0x1.79deb31c9ade6p-1, 0x1.76e766a5b8dfp-1, 0x1.73eb96d1fedb9p-1, 0x1.70eb4c8685b45p-1, 0x1.6de6945e99d75p-1, 0x1.6add7e8c83901p-1, 0x1.67d01eb7aff9cp-1, 0x1.64be8bd8b0e45p-1, 0x1.61a8e0138328ap-1, 0x1.5e8f3890791a5p-1, 0x1.5b71b554268c4p-1, 0x1.5850791696f8cp-1, 0x1.552ba91a18caep-1, 0x1.52036d01d72dp-1, 0x1.4ed7eea87b89fp-1, 0x1.4ba959f7063fcp-1, 0x1.4877dcbc09d77p-1, 0x1.4543a6836c5fbp-1, 0x1.420ce86ed0591p-1, 0x1.3ed3d50ec0e7cp-1, 0x1.3b98a03cb943cp-1, 0x1.385b7ef61a88bp-1, 0x1.351ca73824204p-1, 0x1.31dc4fdcf98ebp-1, 0x1.2e9ab079c493fp-1, 0x1.2b58013df95a9p-1, 0x1.28147ad3c8932p-1, 0x1.24d05641bfb54p-1, 0x1.218bcccd9ff99p-1, 0x1.1e4717e069a0ep-1, 0x1.1b0270eba0275p-1, 0x1.17be114fc4f84p-1, 0x1.147a324407183p-1, 0x1.11370cbf26034p-1, 0x1.0df4d961843a9p-1, 0x1.0ab3d06064e37p-1, 0x1.0774297251d3ap-1, 0x1.04361bbca13fcp-1, 0x1.00f9ddc219492p-1, 0x1.fb7f4aa54f7cap-2, 0x1.f50f4ef853c01p-2, 0x1.eea430f87b258p-2, 0x1.e83e576622dbep-2, 0x1.e1de272e63cd4p-2, 0x1.db8403548cc88p-2, 0x1.d5304cdd7888ap-2, 0x1.cee362bca5377p-2, 0x1.c89da1c306d21p-2, 0x1.c25f648f8116p-2, 0x1.bc290380fa729p-2, 0x1.b5fad4a9f667ap-2, 0x1.afd52bc5ac524p-2, 0x1.a9b85a2e866d5p-2, 0x1.a3a4aed60038bp-2, 0x1.9d9a763dcc18p-2, 0x1.9799fa723ca37p-2, 0x1.91a38305dbacfp-2, 0x1.8bb7550e20e7ep-2, 0x1.85d5b3213fd6ep-2, 0x1.7ffedd54f935ep-2, 0x1.7a33113e6714bp-2, 0x1.747289f2b35bap-2, 0x1.6ebd8008ae9d6p-2, 0x1.6914299b3922bp-2, 0x1.6376ba4c75648p-2, 0x1.5de56349b099ep-2, 0x1.58605350015adp-2, 0x1.52e7b6b187ab1p-2, 0x1.4d7bb75b49269p-2, 0x1.481c7cdb9c1dcp-2, 0x1.42ca2c691b08bp-2, 0x1.3d84e8ea11cd8p-2, 0x1.384cd2fc6317fp-2, 0x1.332208fdd3b9fp-2, 0x1.2e04a714bc85ap-2, 0x1.28f4c7391108ep-2, 0x1.23f2813dbe3f9p-2, 0x1.1efdeada4fa33p-2, 0x1.1a1717b4d867p-2, 0x1.153e196c19d59p-2, 0x1.1072ffa1de751p-2, 0x1.0bb5d80585fd5p-2, 0x1.0706ae5eb7914p-2, 0x1.02658c98395a1p-2, 0x1.fba4f595ceb94p-3, 0x1.f29afe917fb7cp-3, 0x1.e9ad3d5009ae5p-3, 0x1.e0dbb79cdabc2p-3, 0x1.d8266ff8be7f1p-3, 0x1.cf8d65b06146ap-3, 0x1.c71094f2d428bp-3, 0x1.beaff6e811f6ep-3, 0x1.b66b81c771bb5p-3, 0x1.ae4328ee130d8p-3, 0x1.a636dcf526562p-3, 0x1.9e468bc81e34dp-3, 0x1.967220babe979p-3, 0x1.8eb9849efc527p-3, 0x1.871c9ddab5223p-3, 0x1.7f9b507d3044cp-3, 0x1.78357e546eb09p-3, 0x1.70eb070237912p-3, 0x1.69bbc810effccp-3, 0x1.62a79d0827e61p-3, 0x1.5bae5f80ec1e7p-3, 0x1.54cfe739c4c85p-3, 0x1.4e0c0a2a72b22p-3, 0x1.47629c975ae38p-3, 0x1.40d37124a7668p-3, 0x1.3a5e58e9101a2p-3, 0x1.3403238058c18p-3, 0x1.2dc19f1d73975p-3, 0x1.2799989c55993p-3, 0x1.218adb936d951p-3, 0x1.1b953264c5e52p-3, 0x1.15b8664ecc723p-3, 0x1.0ff43f7cc6463p-3, 0x1.0a488516e25b7p-3, 0x1.04b4fd51f395ep-3, 0x1.fe72dafda90ffp-4, 0x1.f3ab3432d870fp-4, 0x1.e9128daeb25fap-4, 0x1.dea86d6c83d7ap-4, 0x1.d46c581397369p-4, 0x1.ca5dd1126575fp-4, 0x1.c07c5ab92208p-4, 0x1.b6c776538530ap-4, 0x1.ad3ea441e9f71p-4, 0x1.a3e16411bfb01p-4, 0x1.9aaf349544932p-4, 0x1.91a793fa984ddp-4, 0x1.88c9ffe21fb9cp-4, 0x1.8015f5743d936p-4, 0x1.778af17664108p-4, 0x1.6f28705f7ecfap-4, 0x1.66edee6bb877ap-4, 0x1.5edae7af9ce91p-4, 0x1.56eed82a9c0ccp-4, 0x1.4f293bd8ed6cdp-4, 0x1.47898ec4d876ep-4, 0x1.400f4d1762a32p-4, 0x1.38b9f328675ddp-4, 0x1.3188fd8e1a3c2p-4, 0x1.2a7be92bf7864p-4, 0x1.239233412508p-4, 0x1.1ccb597645c9ap-4, 0x1.1626d9eac3b06p-4, 0x1.0fa433419012fp-4, 0x1.0942e4ad6003cp-4, 0x1.03026dfc6611fp-4, 0x1.f9c49f4717971p-5, 0x1.edc415925a38ap-5, 0x1.e202429eb5491p-5, 0x1.d67e2bbb4666ap-5, 0x1.cb36d7d4cf20cp-5, 0x1.c02b4f8777d85p-5, 0x1.b55a9d2fb4427p-5, 0x1.aac3ccfa498dfp-5, 0x1.a065ecf3832ffp-5, 0x1.96400d1592788p-5, 0x1.8c513f56286b6p-5, 0x1.829897b344eebp-5, 0x1.79152c3f46ed1p-5, 0x1.6fc6152c4149p-5, 0x1.66aa6cd697ccep-5, 0x1.5dc14fceea6cap-5, 0x1.5509dce35311bp-5, 0x1.4c833527fbeccp-5, 0x1.442c7bff12e08p-5, 0x1.3c04d7201b12bp-5, 0x1.340b6e9ea8f5p-5, 0x1.2c3f6cf0859abp-5, 0x1.249ffef341cc6p-5, 0x1.1d2c53f13d6d9p-5, 0x1.15e39da624f61p-5, 0x1.0ec51042eed87p-5, 0x1.07cfe271549e7p-5, 0x1.01034d56d3b04p-5, 0x1.f4bd192e6da9ep-6, 0x1.e7c1bcad57e4ap-6, 0x1.db130676d2694p-6, 0x1.ceaf7cddd4234p-6, 0x1.c295ab3d81f6dp-6, 0x1.b6c421fa12bf9p-6, 0x1.ab397680eb765p-6, 0x1.9ff4434807e61p-6, 0x1.94f327ccadd3cp-6, 0x1.8a34c8917a14ap-6, 0x1.7fb7cf1bbf1fdp-6, 0x1.757ae9f054c7fp-6, 0x1.6b7ccc8fc349dp-6, 0x1.61bc2f71e3bbep-6, 0x1.5837d000f6909p-6, 0x1.4eee709432fd6p-6, 0x1.45ded869d7b84p-6, 0x1.3d07d3a0c1f79p-6, 0x1.34683331948f7p-6, 0x1.2bfecce76e786p-6, 0x1.23ca7b5834f6fp-6, 0x1.1bca1ddc83b1ap-6, 0x1.13fc988734a17p-6, 0x1.0c60d41c92286p-6, 0x1.04f5be0938fp-6, 0x1.fb7490b140d35p-7, 0x1.ed5ad356be18dp-7, 0x1.df9c3a5a4f017p-7, 0x1.d236c514f93a5p-7, 0x1.c5287bcc55f61p-7, 0x1.b86f6f9d174fbp-7, 0x1.ac09ba650f035p-7, 0x1.9ff57eacdc7dap-7, 0x1.9430e79135954p-7, 0x1.88ba28abdda4dp-7, 0x1.7d8f7dfc4562p-7, 0x1.72af2bcfe457p-7, 0x1.68177eaa53069p-7, 0x1.5dc6cb2d21827p-7, 0x1.53bb6dff771e6p-7, 0x1.49f3cbb58682bp-7, 0x1.406e50b7d448bp-7, 0x1.3729712a53836p-7, 0x1.2e23a8d3671dfp-7, 0x1.255b7b02c48c7p-7, 0x1.1ccf727841179p-7, 0x1.147e214a8c053p-7, 0x1.0c6620cddcedfp-7, 0x1.0486117a97a8cp-7, 0x1.f9b935a7d91bcp-8, 0x1.ead0d69ceea2bp-8, 0x1.dc50706dc1ec9p-8, 0x1.ce357b3112b77p-8, 0x1.c07d7c4874fe6p-8, 0x1.b326062dd50d4p-8, 0x1.a62cb8411b1acp-8, 0x1.998f3e95fb5b9p-8, 0x1.8d4b51c1f1b63p-8, 0x1.815eb6aa73823p-8, 0x1.75c73e535a6b2p-8, 0x1.6a82c5ad8efp-8, 0x1.5f8f3565f7017p-8, 0x1.54ea81b4adce3p-8, 0x1.4a92aa2c86ff3p-8, 0x1.4085b98ae6f55p-8, 0x1.36c1c587edc7cp-8, 0x1.2d44eea6fc9d1p-8, 0x1.240d600799074p-8, 0x1.1b194f36afcbcp-8, 0x1.1266fc003b072p-8, 0x1.09f4b04151df2p-8, 0x1.01c0bfba9d40ap-8, 0x1.f3930fc67b8afp-9, 0x1.e41adf78388f5p-9, 0x1.d515cf475bb87p-9, 0x1.c680d254539b2p-9, 0x1.b858edcc6c2bcp-9, 0x1.aa9b38941303cp-9, 0x1.9d44daf20d27ep-9, 0x1.90530e3ba3f18p-9, 0x1.83c31c81c5b99p-9, 0x1.7792603f22b75p-9, 0x1.6bbe44074462p-9, 0x1.60444236a3471p-9, 0x1.5521e4a3bf44cp-9, 0x1.4a54c4513368ap-9, 0x1.3fda8920d0b36p-9, 0x1.35b0e987bea2dp-9, 0x1.2bd5aa43990f3p-9, 0x1.22469e109b1fbp-9, 0x1.1901a560caf3bp-9, 0x1.1004ae142d51ep-9, 0x1.074db33201ed5p-9, 0x1.fdb5794601debp-10, 0x1.ed53bdd9435p-10, 0x1.dd7275dad1677p-10, 0x1.ce0dfb346eccap-10, 0x1.bf22bf7944367p-10, 0x1.b0ad4b6494167p-10, 0x1.a2aa3e5a742e1p-10, 0x1.95164dea8bed4p-10, 0x1.87ee4554cfb9dp-10, 0x1.7b2f0510422p-10, 0x1.6ed58253ac4afp-10, 0x1.62dec6a04dc33p-10, 0x1.5747ef4e8c76bp-10, 0x1.4c0e2d1c8a03ep-10, 0x1.412ec3beb4cc8p-10, 0x1.36a70972378a7p-10, 0x1.2c746691614c3p-10, 0x1.22945529df8fbp-10, 0x1.19046094e6a36p-10, 0x1.0fc225112d466p-10, 0x1.06cb4f5ec1293p-10, 0x1.fc3b38b9641ep-11, 0x1.eb6db15107253p-11, 0x1.db29c07ee2145p-11, 0x1.cb6b3c42dfe73p-11, 0x1.bc2e17ebea607p-11, 0x1.ad6e6364e93cp-11, 0x1.9f284a852ce23p-11, 0x1.915814643cb87p-11, 0x1.83fa22b0fc013p-11, 0x1.770af10c1cf5fp-11, 0x1.6a871465d69edp-11, 0x1.5e6b3a5ed3b9bp-11, 0x1.52b428ac4f6e4p-11, 0x1.475ebc7f55e68p-11, 0x1.3c67e9ef1ca26p-11, 0x1.31ccbb666a6cdp-11, 0x1.278a5114021ap-11, 0x1.1d9de05e04955p-11, 0x1.1404b35842954p-11, 0x1.0abc283d70acfp-11, 0x1.01c1b0eb32058p-11, 0x1.f225a4c1e66fbp-12, 0x1.e15a48830a92ep-12, 0x1.d11ca0aee249p-12, 0x1.c1682437f1ecp-12, 0x1.b2386c8174519p-12, 0x1.a3893477d1913p-12, 0x1.955657ae2d951p-12, 0x1.879bd180f9be7p-12, 0x1.7a55bc3d7b343p-12, 0x1.6d80504e26c77p-12, 0x1.6117e36bc4ed3p-12, 0x1.5518e7d345065p-12, 0x1.497feb80318d6p-12, 0x1.3e49976ba4bd4p-12, 0x1.3372aecfb92f2p-12, 0x1.28f80e6f51827p-12, 0x1.1ed6abe233741p-12, 0x1.150b94e55584cp-12, 0x1.0b93eeaf50c55p-12, 0x1.026cf548e704ep-12, 0x1.f327f5d304b95p-13, 0x1.e20cceaf4044ep-13, 0x1.d1836e9a28af1p-13, 0x1.c186f7be20d38p-13, 0x1.b212b3d3b852bp-13, 0x1.a32213005facep-13, 0x1.94b0aabc37d17p-13, 0x1.86ba34bed3b38p-13, 0x1.793a8df2d55f9p-13, 0x1.6c2db5703d22ep-13, 0x1.5f8fcb7d4156p-13, 0x1.535d1095992c4p-13, 0x1.4791e47813cd5p-13, 0x1.3c2ac53a533p-13, 0x1.31244e629c4d9p-13, 0x1.267b380786a29p-13, 0x1.1c2c55f57babfp-13, 0x1.123496d9dec11p-13, 0x1.08910373c5dcap-13, 0x1.fe7d7b942c9c8p-14, 0x1.ec7600cdf5057p-14, 0x1.db063b310eed5p-14, 0x1.ca28fd6ce8313p-14, 0x1.b9d946d999f9fp-14, 0x1.aa1242170621bp-14, 0x1.9acf43b5759e9p-14, 0x1.8c0bc8e782741p-14, 0x1.7dc3763d1b14cp-14, 0x1.6ff216676084ap-14, 0x1.6293990535cd7p-14, 0x1.55a4117848056p-14, 0x1.491fb5c25efd4p-14, 0x1.3d02dd6ac50cep-14, 0x1.314a006b94fcbp-14, 0x1.25f1b626bf64dp-14, 0x1.1af6b46298d9dp-14, 0x1.1055ce4dc29a4p-14, 0x1.060bf38a416cap-14, 0x1.f82c5e7f2a353p-15, 0x1.e4e34e67505cfp-15, 0x1.d23735d4d4c04p-15, 0x1.c022c597d93c6p-15, 0x1.aea0dea1b21b2p-15, 0x1.9dac906a31c18p-15, 0x1.8d4117610dc45p-15, 0x1.7d59db6b08b6bp-15, 0x1.6df26e6a95666p-15, 0x1.5f068ad3af111p-15, 0x1.5092124a963a8p-15, 0x1.42910c4d314a3p-15, 0x1.34ffa4e6c7cb9p-15, 0x1.27da2b6dd54f1p-15, 0x1.1b1d114bb19fep-15, 0x1.0ec4e8cdc97ddp-15, 0x1.02ce64002e92fp-15, 0x1.ee6ca7226de26p-16, 0x1.d7f34b7befb6fp-16, 0x1.c22aca8eaec97p-16, 0x1.ad0d70df02c03p-16, 0x1.9895bfff029b4p-16, 0x1.84be6ca99447bp-16, 0x1.71825ceceb1d4p-16, 0x1.5edca6640ccb9p-16, 0x1.4cc88c7eeb953p-16, 0x1.3b417ed8b3d8cp-16, 0x1.2a43179bec59cp-16, 0x1.19c919f3fc7a7p-16, 0x1.09cf708bc4d03p-16, 0x1.f4a45831c4a02p-17, 0x1.d69b03e686e0bp-17, 0x1.b97b957178c69p-17, 0x1.9d3f01f870d3ap-17, 0x1.81de80006f15fp-17, 0x1.675384f8989bcp-17, 0x1.4d97c2da70f29p-17, 0x1.34a525ded4e3p-17, 0x1.1c75d24705dfbp-17, 0x1.0504223936091p-17, 0x1.dc9547600420fp-18, 0x1.b0882cf88dfc7p-18, 0x1.85d6d4b19470bp-18, 0x1.5c777a1e5171p-18, 0x1.3460b15b13702p-18, 0x1.0d89639924cc4p-18, 0x1.cfd197946f523p-19, 0x1.86ece6d4c14dep-19, 0x1.40545ecf5cb17p-19, 0x1.f7f07499d0079p-20, 0x1.73927e859316dp-20, 0x1.e6e2e524e52bbp-21, 0x1.ddc3a22c57fcfp-22, -0x1.1522e410006a1p-29, -0x1.d26e035c5402bp-22, -0x1.c9b7105945af8p-21, -0x1.5163703bad261p-20, -0x1.ba4b30ded866fp-20, -0x1.0fd4fcbee953fp-19, -0x1.40cb1c9ace105p-19, -0x1.7012d35838084p-19, -0x1.9db6a3d7fc431p-19, -0x1.c9c0bc26308f1p-19, -0x1.f43af8f55df43p-19, -0x1.0e97747b4ea8ap-18, -0x1.2252e807e25aap-18, -0x1.3554553869798p-18, -0x1.47a017c4d710ap-18, -0x1.593a6a70a930cp-18, -0x1.6a276867bf116p-18, -0x1.7a6b0e8cede88p-18, -0x1.8a093cbad6782p-18, -0x1.9905b6f7753c3p-18, -0x1.a764269ae7b92p-18, -0x1.b5281b69d62c8p-18, -0x1.c2550ca3f7828p-18, -0x1.ceee5a071a7fep-18, -0x1.daf74cc71feb9p-18, -0x1.e673187b49737p-18, -0x1.f164dc0145589p-18, -0x1.fbcfa256564abp-18, -0x1.02db31b379d75p-17, -0x1.078e026a9f46p-17, -0x1.0c01ad5b52873p-17, -0x1.103794248385ap-17, -0x1.1431104fd7b51p-17, -0x1.17ef73a43a703p-17, -0x1.1b740874a5bf4p-17, -0x1.1ec011eb4a4c5p-17, -0x1.21d4cc513c223p-17, -0x1.24b36d52c3ea8p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.7d8a12a9d9628p-7, -0x1.9959099ca3672p-7, -0x1.b3f2518176313p-7, -0x1.ccff703f079bp-7, -0x1.e42b548becacp-7, -0x1.f922ff68fcebdp-7, -0x1.05cb0ce447f08p-6, -0x1.0d9bbb4eca57ap-6, -0x1.13dec0f6dc6b4p-6, -0x1.18714ee4b5a8dp-6, -0x1.1b32b71f6fa28p-6, -0x1.1c048abec8b6ep-6, -0x1.1acab0b8a1ddap-6, -0x1.176b7610c82dp-6, -0x1.11cf980fdc9a5p-6, -0x1.09e249217b45ap-6, -0x1.ff2261e4d98e1p-7, -0x1.e598d0be2cb06p-7, -0x1.c70ce37170ec6p-7, -0x1.a3685bbc3ff97p-7, -0x1.7a999d34e278ap-7, -0x1.4c938d65ce67ap-7, -0x1.194d700625a4dp-7, -0x1.c1857ff89e745p-8, -0x1.45e60b8e8f815p-8, -0x1.7f86af6de208dp-9, -0x1.795d1718e0078p-11, 0x1.af2f1e3e1a7aep-10, 0x1.1106ed64ee5cap-8, 0x1.c063844eb5bebp-8, 0x1.3cdca86d121d7p-7, 0x1.9e6d427b36a63p-7, 0x1.02650766defd8p-6, 0x1.37eb8fca889a5p-6, 0x1.6fbb240b59e66p-6, 0x1.a9c3a48ca5147p-6, 0x1.e5f3fe1e83f11p-6, 0x1.121d1f89cca48p-5, 0x1.3241d5db20e86p-5, 0x1.535e690aae77ap-5, 0x1.7568ce9173221p-5, 0x1.9856b3902ef7fp-5, 0x1.bc1d85ab49219p-5, 0x1.e0b27b8bd961ep-5, 0x1.03054e82f7184p-4, 0x1.160d6572470aap-4, 0x1.296be32e3e6ddp-4, 0x1.3d1b1c1383a13p-4, 0x1.51155ba33a568p-4, 0x1.6554e7baf63b8p-4, 0x1.79d403a364141p-4, 0x1.8e8cf2f6b6f45p-4, 0x1.a379fc5ff18p-4, 0x1.b8956c342886bp-4, 0x1.cdd996e6de9f2p-4, 0x1.e340db5aa3a5bp-4, 0x1.f8c5a50efc4e3p-4, 0x1.073137166cda3p-3, 0x1.1208e0b94382fp-3, 0x1.1ce71e001b4ap-3, 0x1.27c9478319566p-3, 0x1.32acc0aad8a6ep-3, 0x1.3d8ef86a9ddc1p-3, 0x1.486d69ecd800fp-3, 0x1.53459d3250d7ap-3, 0x1.5e1527a49885p-3, 0x1.68d9ac9bff4aap-3, 0x1.7390ddd99f7d5p-3, 0x1.7e387bf5d170cp-3, 0x1.88ce56c374a83p-3, 0x1.93504da876179p-3, 0x1.9dbc4febed2d6p-3, 0x1.a8105cfa368ebp-3, 0x1.b24a849f68e29p-3, 0x1.bc68e7387ac02p-3, 0x1.c669b5db818cp-3, 0x1.d04b3277586e4p-3, 0x1.da0bafeb0e607p-3, 0x1.e3a9921570a7p-3, 0x1.ed234ddd0fd32p-3, 0x1.f67769310a123p-3, 0x1.ffa47b02faab1p-3, 0x1.0454959d30ac3p-2, 0x1.08c21950e6927p-2, 0x1.0d1a2d6715c64p-2, 0x1.115c3f003d2a3p-2, 0x1.1587c38122641p-2, 0x1.199c387e8e5ddp-2, 0x1.1d9923a6c0658p-2, 0x1.217e12a8ab45ap-2, 0x1.254a9b19318dbp-2, 0x1.28fe5a567b6e5p-2, 0x1.2c98f56990d1cp-2, 0x1.301a18e650c3p-2, 0x1.338178c9f7655p-2, 0x1.36ced05842c1cp-2, 0x1.3a01e1f761149p-2, 0x1.3d1a770ac6819p-2, 0x1.40185fcd03b3p-2, 0x1.42fb7328bded5p-2, 0x1.45c38e90e1aa6p-2, 0x1.487095d830b8p-2, 0x1.4b0273083acd8p-2, 0x1.4d791637e2e73p-2, 0x1.4fd4756185319p-2, 0x1.52148c38d1bfbp-2, 0x1.54395c00727abp-2, 0x1.5642eb5f955cp-2, 0x1.58314637634e3p-2, 0x1.5a047d7880b9fp-2, 0x1.5bbca6f8a16d8p-2, 0x1.5d59dd4841e67p-2, 0x1.5edc3f8895d24p-2, 0x1.6043f141b6c58p-2, 0x1.61911a3925a1fp-2, 0x1.62c3e648a06d6p-2, 0x1.63dc853565ac3p-2, 0x1.64db2a87e067ap-2, 0x1.65c00d63d4304p-2, 0x1.668b686105264p-2, 0x1.673d79646e112p-2, 0x1.67d6817a03a3dp-2, 0x1.6856c4af11affp-2, 0x1.68be89ed31d6cp-2, 0x1.690e1ad5e7279p-2, 0x1.6945c39edb96bp-2, 0x1.6965d2eeca4dp-2, 0x1.696e99bb165e5p-2, 0x1.69606b260ec85p-2, 0x1.693b9c5de8151p-2, 0x1.6900847c67ac4p-2, 0x1.68af7c6743051p-2, 0x1.6848deb13952fp-2, 0x1.67cd077bdf50fp-2, 0x1.673c545a25167p-2, 0x1.6697243392007p-2, 0x1.65ddd72839c35p-2, 0x1.6510ce75639b1p-2, 0x1.64306c5aeb152p-2, 0x1.633d1401544a4p-2, 0x1.6237296091c75p-2, 0x1.611f11277f386p-2, 0x1.5ff530a40b1e8p-2, 0x1.5eb9edac0e3e8p-2, 0x1.5d6dae86d28bcp-2, 0x1.5c10d9d744465p-2, 0x1.5aa3d686c8e85p-2, 0x1.59270bb0c27a6p-2, 0x1.579ae08eb2fe7p-2, 0x1.55ffbc6503769p-2, 0x1.545606706c542p-2, 0x1.529e25d3fa78bp-2, 0x1.50d88187ac63ap-2, 0x1.4f058047afe68p-2, 0x1.4d2588842c261p-2, 0x1.4b390051a6db5p-2, 0x1.49404d59f7a33p-2, 0x1.473bd4cdcb1f3p-2, 0x1.452bfb56af4dfp-2, 0x1.43112509aed3fp-2, 0x1.40ebb55a6e01ap-2, 0x1.3ebc0f0ece6ecp-2, 0x1.3c82943317675p-2, 0x1.3a3fa60e990d9p-2, 0x1.37f3a518cf774p-2, 0x1.359ef0ef00801p-2, 0x1.3341e84a51ac8p-2, 0x1.30dce8f652997p-2, 0x1.2e704fc7fb16fp-2, 0x1.2bfc78951d5e8p-2, 0x1.2981be2c4399ap-2, 0x1.27007a4cf9993p-2, 0x1.247905a08480cp-2, 0x1.21ebb7b2fd65ep-2, 0x1.1f58e6ecd65f2p-2, 0x1.1cc0e88cbf026p-2, 0x1.1a2410a1ebd86p-2, 0x1.1782b206bdb06p-2, 0x1.14dd1e5bc3fe8p-2, 0x1.1233a6031b25p-2, 0x1.0f86981c2476p-2, 0x1.0cd6427f9154dp-2, 0x1.0a22f1bbc79edp-2, 0x1.076cf11193ed2p-2, 0x1.04b48a7130b7bp-2, 0x1.01fa0677991e2p-2, 0x1.fe7b58d8515p-3, 0x1.f8ff847d0e352p-3, 0x1.f3811909b7febp-3, 0x1.ee009cf48f4eep-3, 0x1.e87e93fb4a623p-3, 0x1.e2fb7f2117c4p-3, 0x1.dd77dcad2251p-3, 0x1.d7f428299f527p-3, 0x1.d270da6349ac5p-3, 0x1.ccee69695e584p-3, 0x1.c76d488e09782p-3, 0x1.c1ede86746a2ep-3, 0x1.bc70b6d0273a3p-3, 0x1.b6f61eea8e9e7p-3, 0x1.b17e892149dd6p-3, 0x1.ac0a5b2a8f2bdp-3, 0x1.a699f80adc5f2p-3, 0x1.a12dc0183465cp-3, 0x1.9bc610fdb1315p-3, 0x1.966345bf711b6p-3, 0x1.9105b6becfef7p-3, 0x1.8badb9bef8ccap-3, 0x1.865ba1e9bf467p-3, 0x1.810fbfd4c0a65p-3, 0x1.7bca6186d295ap-3, 0x1.768bd27dabd4bp-3, 0x1.71545bb3d897dp-3, 0x1.6c2443a6e48c5p-3, 0x1.66fbce5dc26fcp-3, 0x1.61db3d6f6f77ep-3, 0x1.5cc2d009c477ap-3, 0x1.57b2c2f882d47p-3, 0x1.52ab50ac8910ap-3, 0x1.4dacb1433c1cbp-3, 0x1.48b71a8e191edp-3, 0x1.43cac01a69886p-3, 0x1.3ee7d339294e8p-3, 0x1.3a0e830704e32p-3, 0x1.353efc747de13p-3, 0x1.30796a4e2e82bp-3, 0x1.2bbdf5452779dp-3, 0x1.270cc3f7674c8p-3, 0x1.2265faf86eb6ep-3, 0x1.1dc9bcd9e07ccp-3, 0x1.19382a344389ep-3, 0x1.14b161afc5114p-3, 0x1.1035800d18953p-3, 0x1.0bc4a02e5ef8cp-3, 0x1.075edb2019006p-3, 0x1.03044822237f4p-3, 0x1.fd69f9617a64bp-4, 0x1.f4e2191b22018p-4, 0x1.ec71139189445p-4, 0x1.e417099413d16p-4, 0x1.dbd418b35c917p-4, 0x1.d3a85b5362d39p-4, 0x1.cb93e8bd9d0bep-4, 0x1.c396d53319a57p-4, 0x1.bbb131fe7ae1ap-4, 0x1.b3e30d860997ap-4, 0x1.ac2c735d91695p-4, 0x1.a48d6c5842405p-4, 0x1.9d05fe9a7aebap-4, 0x1.95962dab6cafdp-4, 0x1.8e3dfa86b9e9ep-4, 0x1.86fd63ade58c8p-4, 0x1.7fd46539af166p-4, 0x1.78c2f8eb49f11p-4, 0x1.71c9163d7281bp-4, 0x1.6ae6b2755f83ap-4, 0x1.641bc0b38abf7p-4, 0x1.5d68320454498p-4, 0x1.56cbf57079987p-4, 0x1.5046f80d6236p-4, 0x1.49d9250d3f669p-4, 0x1.438265cefd8c2p-4, 0x1.3d42a1ee0474dp-4, 0x1.3719bf51c909dp-4, 0x1.3107a23d29de7p-4, 0x1.2b0c2d5d9be5p-4, 0x1.252741da1ed7ep-4, 0x1.1f58bf620007p-4, 0x1.19a0843b64524p-4, 0x1.13fe6d519b9bp-4, 0x1.0e7256433dac4p-4, 0x1.08fc19700d423p-4, 0x1.039b9006a1b7ap-4, 0x1.fca12423b0d0ep-5, 0x1.f235ed0c14e0ap-5, 0x1.e7f5269c1003ep-5, 0x1.ddde7aafb305bp-5, 0x1.d3f1914287ecbp-5, 0x1.ca2e10882497dp-5, 0x1.c0939d0446154p-5, 0x1.b721d9a272f09p-5, 0x1.add867cd24777p-5, 0x1.a4b6e78478b91p-5, 0x1.9bbcf7746a138p-5, 0x1.92ea350a90897p-5, 0x1.8a3e3c8b67985p-5, 0x1.81b8a9271e30bp-5, 0x1.7959150decf19p-5, 0x1.711f1983f576fp-5, 0x1.690a4ef4aa62ep-5, 0x1.611a4d05bf6b2p-5, 0x1.594eaaa9a5ff8p-5, 0x1.51a6fe3191f5fp-5, 0x1.4a22dd5f090c2p-5, 0x1.42c1dd75011e3p-5, 0x1.3b83934888d99p-5, 0x1.34679350fe6fep-5, 0x1.2d6d71b7d667ap-5, 0x1.2694c267f0135p-5, 0x1.1fdd191c7c418p-5, 0x1.1946096f74bf3p-5, 0x1.12cf26e7a8892p-5, 0x1.0c78050659838p-5, 0x1.0640375470fd5p-5, 0x1.0027516f4bb4cp-5, 0x1.f459ce2a39506p-6, 0x1.e8a11861cf82ep-6, 0x1.dd23a9cc3616fp-6, 0x1.d1e0ab377e1cap-6, 0x1.c6d7460e93286p-6, 0x1.bc06a46e12ae9p-6, 0x1.b16df1387156ap-6, 0x1.a70c582956593p-6, 0x1.9ce105e849c29p-6, 0x1.92eb281aa1319p-6, 0x1.8929ed74c197ap-6, 0x1.7f9c85caab6b5p-6, 0x1.7642221fdc90ap-6, 0x1.6d19f4b68308dp-6, 0x1.6423311e109a1p-6, 0x1.5b5d0c412377fp-6, 0x1.52c6bc72d14bep-6, 0x1.4a5f797b5334cp-6, 0x1.42267ca4185f9p-6, 0x1.3a1b00c341546p-6, 0x1.323c424684ad8p-6, 0x1.2a897f3d865ccp-6, 0x1.2301f7639eafbp-6, 0x1.1ba4ec2915ff6p-6, 0x1.1471a0bbdc14ep-6, 0x1.0d675a0fb5a1bp-6, 0x1.06855ee5eddeap-6, 0x1.ff95efa90bf89p-7, 0x1.f26ede99d7152p-7, 0x1.e594234467769p-7, 0x1.d9045a1dcab26p-7, 0x1.ccbe23749bdedp-7, 0x1.c0c0237acf84p-7, 0x1.b509024ea5687p-7, 0x1.a9976c02d284cp-7, 0x1.9e6a10a5cb314p-7, 0x1.937fa44854f67p-7, 0x1.88d6df0356251p-7, 0x1.7e6e7cfcdd95dp-7, 0x1.74453e6c81865p-7, 0x1.6a59e79f03476p-7, 0x1.60ab40f95113p-7, 0x1.573816fad7f5ap-7, 0x1.4dff3a3f3ae8p-7, 0x1.44ff7f7f681p-7, 0x1.3c37bf922318dp-7, 0x1.33a6d76bee425p-7, 0x1.2b4ba81e71f6p-7, 0x1.232516d757c2dp-7, 0x1.1b320cdea396ap-7, 0x1.137177948d52p-7, 0x1.0be2486ee2727p-7, 0x1.048374f5f01d5p-7, 0x1.faa7ed81fcce5p-8, 0x1.eca596e4bbf25p-8, 0x1.defde9661bb22p-8, 0x1.d1aef05bfb61bp-8, 0x1.c4b6bf15dfa58p-8, 0x1.b81370d1ff84ep-8, 0x1.abc328b1a2208p-8, 0x1.9fc411acd386cp-8, 0x1.94145e857be74p-8, 0x1.88b249b9da8edp-8, 0x1.7d9c157673063p-8, 0x1.72d00b876e942p-8, 0x1.684c7d497854ap-8, 0x1.5e0fc39a208f1p-8, 0x1.54183ec7c823bp-8, 0x1.4a6456811b628p-8, 0x1.40f279c42744ep-8, 0x1.37c11ecd07a2ap-8, 0x1.2ecec3043c2c6p-8, 0x1.2619eaeca39b8p-8, 0x1.1da12211273a8p-8, 0x1.1562faf2194c9p-8, 0x1.0d5e0ef24ec7dp-8, 0x1.0590fe43f5c97p-8, 0x1.fbf4dfaa641ccp-9, 0x1.ed322279011f5p-9, 0x1.ded72d49d44adp-9, 0x1.d0e175740f6ffp-9, 0x1.c34e7d27bc61fp-9, 0x1.b61bd3452848dp-9, 0x1.a94713341467bp-9, 0x1.9ccde4baa625fp-9, 0x1.90adfbd42dffep-9, 0x1.84e51887c16e3p-9, 0x1.797106beb4b6dp-9, 0x1.6e4f9e1afa488p-9, 0x1.637ec1cd70129p-9, 0x1.58fc606c207a4p-9, 0x1.4ec673c87c8e6p-9, 0x1.44db00c5963b8p-9, 0x1.3b38172e6411cp-9, 0x1.31dbd18c0e9c5p-9, 0x1.28c454fc50dd9p-9, 0x1.1fefd107f06f4p-9, 0x1.175c7f7951c92p-9, 0x1.0f08a4332e4e1p-9, 0x1.06f28d0770a0fp-9, 0x1.fe31231c78a5dp-10, 0x1.eef225fa4bf5dp-10, 0x1.e024f7fd388f9p-10, 0x1.d1c6811312baep-10, 0x1.c3d3bb72655e5p-10, 0x1.b649b34aa6cb8p-10, 0x1.a9258674fb681p-10, 0x1.9c64642579d1fp-10, 0x1.90038c9d0ee37p-10, 0x1.840050dbe8d3cp-10, 0x1.7858125490daap-10, 0x1.6d08429f9bb34p-10, 0x1.620e633006621p-10, 0x1.5768050843bf1p-10, 0x1.4d12c86ff2e28p-10, 0x1.430c5caa54f8cp-10, 0x1.39527fad7199cp-10, 0x1.2fe2fdda05ca6p-10, 0x1.26bbb1b423c16p-10, 0x1.1dda839ca7785p-10, 0x1.153d698b61a17p-10, 0x1.0ce266ca1889fp-10, 0x1.04c78bb05060ep-10, 0x1.f9d5eabfc098ap-11, 0x1.ea959b04b32a3p-11, 0x1.dbca940e836a9p-11, 0x1.cd7159c63d349p-11, 0x1.bf86879eb3007p-11, 0x1.b206d015f0587p-11, 0x1.a4eefc385ad8dp-11, 0x1.983beb258601ep-11, 0x1.8bea9196b9a3bp-11, 0x1.7ff7f9672bc8ep-11, 0x1.7461411df148p-11, 0x1.69239b79a1d48p-11, 0x1.5e3c4efdb4836p-11, 0x1.53a8b581919c9p-11, 0x1.49663bc159b8ep-11, 0x1.3f7260f062ap-11, 0x1.35cab64d69e68p-11, 0x1.2c6cdeb87ad1cp-11, 0x1.23568e4a8540cp-11, 0x1.1a8589eea96f5p-11, 0x1.11f7a6fd2f1c7p-11, 0x1.09aacad82e63dp-11, 0x1.019cea89e22dep-11, 0x1.f39814c947fb7p-12, 0x1.e46c7b4923925p-12, 0x1.d5b34c25aa98fp-12, 0x1.c768e7552002dp-12, 0x1.b989c87eca62p-12, 0x1.ac12864b411a4p-12, 0x1.9effd1b7ee959p-12, 0x1.924e756db9f7bp-12, 0x1.85fb551adb045p-12, 0x1.7a036ccfc9ce2p-12, 0x1.6e63d05f46952p-12, 0x1.6319aac171b87p-12, 0x1.58223d79ecfa6p-12, 0x1.4d7ae000fc2e2p-12, 0x1.4320ff2f9fe84p-12, 0x1.39121caea1a29p-12, 0x1.2f4bce68876b3p-12, 0x1.25cbbdfe6a9ecp-12, 0x1.1c8fa83fa2cf8p-12, 0x1.13955ca443f42p-12, 0x1.0adabcca63419p-12, 0x1.025dbbf617e09p-12, 0x1.f438bd2867ca8p-13, 0x1.e429737f52be3p-13, 0x1.d489e5932165ep-13, 0x1.c5567d879a2f6p-13, 0x1.b68bc41c85329p-13, 0x1.a8265fcd203ffp-13, 0x1.9a2313f49f766p-13, 0x1.8c7ebff78f267p-13, 0x1.7f365e7217e7dp-13, 0x1.7247046b04756p-13, 0x1.65ade08b81339p-13, 0x1.59683a5b80aa3p-13, 0x1.4d737182a9059p-13, 0x1.41ccfd0dc8d12p-13, 0x1.36726ab8b3662p-13, 0x1.2b615e3c778bp-13, 0x1.209790a1dc724p-13, 0x1.1612cf9819647p-13, 0x1.0bd0fccfac278p-13, 0x1.01d00d593dee5p-13, 0x1.f01c1211266b6p-14, 0x1.dd1213b6b4d76p-14, 0x1.ca7e76c7bf604p-14, 0x1.b85db46f171d5p-14, 0x1.a6ac66c2235bp-14, 0x1.956747aca6155p-14, 0x1.848b2fe3908d5p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5b0d317ae8b79p-3, -0x1.69fbed7b3675ep-3, -0x1.785f5ee5897a9p-3, -0x1.8637fff8b19efp-3, -0x1.9387fd9e56da7p-3, -0x1.a052fc4362024p-3, -0x1.ac9ddd7ff174p-3, -0x1.b86e87d5aa97cp-3, -0x1.c3cbb1739cdc2p-3, -0x1.cebcaea63f14ep-3, -0x1.d949445e4b548p-3, -0x1.e3797f0913dfcp-3, -0x1.ed558dce87167p-3, -0x1.f6e5a22b1af4bp-3, -0x1.0018e9e28c039p-2, -0x1.04a10425f099ap-2, -0x1.090eef91fca57p-2, -0x1.0d66504d630c4p-2, -0x1.11aa982c44315p-2, -0x1.15df016293921p-2, -0x1.1a068a8a4c1aep-2, -0x1.1e23f3d8b51aap-2, -0x1.2239bd5f72a3ap-2, -0x1.264a2637f5d67p-2, -0x1.2a572c7a03cc3p-2, -0x1.2e628de05eaa5p-2, -0x1.326dc900f9935p-2, -0x1.367a1f00822afp-2, -0x1.3a8895ab6b85p-2, -0x1.3e99f9e0de20cp-2, -0x1.42aee23e1dcdap-2, -0x1.46c7b1fafdbdcp-2, -0x1.4ae49be9cf014p-2, -0x1.4f05a58f01ab2p-2, -0x1.532aaa463850ap-2, -0x1.57535e6c04481p-2, -0x1.5b7f5284c8b62p-2, -0x1.5fadf65a6d871p-2, -0x1.63de9c0b990e2p-2, -0x1.68107b0808a0ep-2, -0x1.6c42b2f675642p-2, -0x1.70744e812f2c9p-2, -0x1.74a4460729c86p-2, -0x1.78d1822fcc5f9p-2, -0x1.7cfade604b16dp-2, -0x1.811f2b11b5a84p-2, -0x1.853d3007418eap-2, -0x1.8953ae64a1243p-2, -0x1.8d6162a47d42cp-2, -0x1.9165066f4f676p-2, -0x1.955d52531ef9ep-2, -0x1.9948ff5cac40cp-2, -0x1.9d26c892cf5d1p-2, -0x1.a0f56c54d0554p-2, -0x1.a4b3ad9ca7e14p-2, -0x1.a860552612f1bp-2, -0x1.abfa327b7cde5p-2, -0x1.af801ce9cc139p-2, -0x1.b2f0f45c11a74p-2, -0x1.b64ba2203a948p-2, -0x1.b98f1995c76d2p-2, -0x1.bcba58c7a3fa4p-2, -0x1.bfcc68f2263dp-2, -0x1.c2c45ef6449cdp-2, -0x1.c5a15bbb080ffp-2, -0x1.c8628c7e3b889p-2, -0x1.cb072b1557bbfp-2, -0x1.cd8e7e1f9bd66p-2, -0x1.cff7d92a4571cp-2, -0x1.d2429cc7d0e6p-2, -0x1.d46e369b1d6b8p-2, -0x1.d67a215750144p-2, -0x1.d865e4b54a78fp-2, -0x1.da31155f74dcep-2, -0x1.dbdb54d4a686cp-2, -0x1.dd645142de6e9p-2, -0x1.decbc55a83a61p-2, -0x1.e011781acf552p-2, -0x1.e1353c980b5f5p-2, -0x1.e236f1bc3513bp-2, -0x1.e3168202a2aa4p-2, -0x1.e3d3e32f2a3afp-2, -0x1.e46f16015b4fap-2, -0x1.e4e825e43a561p-2, -0x1.e53f289affb1bp-2, -0x1.e5743deb4549dp-2, -0x1.e5878f450910dp-2, -0x1.e5794f68ed2dep-2, -0x1.e549ba0d0c6fcp-2, -0x1.e4f91380bf62cp-2, -0x1.e487a84f9f735p-2, -0x1.e3f5cce413c12p-2, -0x1.e343dd29b2685p-2, -0x1.e2723c2fb12f3p-2, -0x1.e18153cba8018p-2, -0x1.e071943cda00ap-2, -0x1.df4373d03acffp-2, -0x1.ddf76e855b37ap-2, -0x1.dc8e05b46e5ffp-2, -0x1.db07bfb589f2fp-2, -0x1.d965278948491p-2, -0x1.d7a6cc82ec4bp-2, -0x1.d5cd41f420fc4p-2, -0x1.d3d91eda7225p-2, -0x1.d1cafd8e95dbcp-2, -0x1.cfa37b7596c3dp-2, -0x1.cd6338b3f33bep-2, -0x1.cb0ad7e2c232ep-2, -0x1.c89afdc6e5fecp-2, -0x1.c614510a5c285p-2, -0x1.c37779f7af749p-2, -0x1.c0c522379799bp-2, -0x1.bdfdf490c0e8bp-2, -0x1.bb229ca9cf453p-2, -0x1.b833c6cd8e593p-2, -0x1.b5321fb159213p-2, -0x1.b21e543db3fbfp-2, -0x1.aef9115916277p-2, -0x1.abc303b4e38ebp-2, -0x1.a87cd79c8cc8ep-2, -0x1.a52738c6d4698p-2, -0x1.a1c2d2292ff4cp-2, -0x1.9e504dcd3fa11p-2, -0x1.9ad054a8556cp-2, -0x1.97438e7501653p-2, -0x1.93aaa18e99f2ap-2, -0x1.900632ceb9e6p-2, -0x1.8c56e56ca6507p-2, -0x1.889d5ade950b5p-2, -0x1.84da32bcc5e28p-2, -0x1.810e0aa668392p-2, -0x1.7d397e283c70bp-2, -0x1.795d26a4ea7b8p-2, -0x1.75799b3eff157p-2, -0x1.718f70c484a59p-2, -0x1.6d9f399c2b061p-2, -0x1.69a985b3f87c9p-2, -0x1.65aee2716a5ecp-2, -0x1.61afdaa30c6e8p-2, -0x1.5dacf67366d11p-2, -0x1.59a6bb5d47e91p-2, -0x1.559dac2155d82p-2, -0x1.519248bcd8b3fp-2, -0x1.4d850e61be5p-2, -0x1.4976776fbc575p-2, -0x1.4566fb6e958dp-2, -0x1.41570f0966ee5p-2, -0x1.3d47240b003c2p-2, -0x1.3937a95b341fep-2, -0x1.35290afd16403p-2, -0x1.311bb20e234f2p-2, -0x1.2d1004c63ca45p-2, -0x1.290666787d1a7p-2, -0x1.24ff3794cdaep-2, -0x1.20fad5aa3cf1bp-2, -0x1.1cf99b6a058d3p-2, -0x1.18fbe0ab466a7p-2, -0x1.1501fa6f537fdp-2, -0x1.110c3ae6aaa65p-2, -0x1.0d1af1766f74ap-2, -0x1.092e6abe760a3p-2, -0x1.0546f09fcc13ap-2, -0x1.0164ca43b8fedp-2, -0x1.fb10784667396p-3, -0x1.f363101d79d58p-3, -0x1.ebc1da6d40e94p-3, -0x1.e42d50671f8p-3, -0x1.dca5e61f2534ep-3, -0x1.d52c0a9e8d225p-3, -0x1.cdc027f6cd137p-3, -0x1.c662a35528a6bp-3, -0x1.bf13dd16c3fafp-3, -0x1.b7d430dd18e16p-3, -0x1.b0a3f5a2dca5fp-3, -0x1.a9837dd135023p-3, -0x1.a273175540a08p-3, -0x1.9b730bb5e5fd2p-3, -0x1.9483a029d9b1dp-3, -0x1.8da515adddee9p-3, -0x1.86d7a91b2b492p-3, -0x1.801b933df7752p-3, -0x1.797108ec20ed7p-3, -0x1.72d83b1be60d4p-3, -0x1.6c5156faa95a7p-3, -0x1.65dc8603c301ep-3, -0x1.5f79ee174a692p-3, -0x1.5929b190d997cp-3, -0x1.52ebef5e49975p-3, -0x1.4cc0c31657f48p-3, -0x1.46a8450f339f8p-3, -0x1.40a28a74f6723p-3, -0x1.3aafa55ff1da3p-3, -0x1.34cfa4eadd9afp-3, -0x1.2f029548dd37fp-3, -0x1.29487fdb541d9p-3, -0x1.23a16b4789683p-3, -0x1.1e0d5b8c1a69dp-3, -0x1.188c52162f9d1p-3, -0x1.131e4dd67befcp-3, -0x1.0dc34b55faf69p-3, -0x1.087b44ca6eea9p-3, -0x1.0346322a9bcccp-3, -0x1.fc4812847d9e4p-4, -0x1.f2297b8b7976cp-4, -0x1.e83082cb0eb02p-4, -0x1.de5d07c270128p-4, -0x1.d4aee634bd97ap-4, -0x1.cb25f64e024a3p-4, -0x1.c1c20cc799187p-4, -0x1.b882fb0bec48cp-4, -0x1.af688f5991528p-4, -0x1.a67294e5c9e78p-4, -0x1.9da0d3fe4fca5p-4, -0x1.94f3122a88a59p-4, -0x1.8c69124c03a1ap-4, -0x1.840294be5ac2ap-4, -0x1.7bbf577662983p-4, -0x1.739f1620b1915p-4, -0x1.6ba18a3f7fa98p-4, -0x1.63c66b47d872bp-4, -0x1.5c0d6ebe2659dp-4, -0x1.5476485211b08p-4, -0x1.4d00a9f9b8c3dp-4, -0x1.45ac440c3da87p-4, -0x1.3e78c55bad9a4p-4, -0x1.3765db4e405b2p-4, -0x1.307331f6f3c8bp-4, -0x1.29a0742d7ff81p-4, -0x1.22ed4ba5ab0dfp-4, -0x1.1c596105f8f3ep-4, -0x1.15e45bfdbaf6cp-4, -0x1.0f8de35a81983p-4, -0x1.09559d1cf065ap-4, -0x1.033b2e8cf53cfp-4, -0x1.fa7c789acf7f6p-5, -0x1.eebcd4de1f70bp-5, -0x1.e336b9062bef1p-5, -0x1.d7e96b59c1c6fp-5, -0x1.ccd43166c023ep-5, -0x1.c1f650238e8d6p-5, -0x1.b74f0c0f76f38p-5, -0x1.acdda951ed4b7p-5, -0x1.a2a16bd8bdb23p-5, -0x1.98999775346fep-5, -0x1.8ec56ff836b59p-5, -0x1.8524394d58c03p-5, -0x1.7bb53794f53eep-5, -0x1.7277af3d47c06p-5, -0x1.696ae51a90d53p-5, -0x1.608e1e7e487bp-5, -0x1.57e0a14d64172p-5, -0x1.4f61b415b2777p-5, -0x1.47109e2256ff5p-5, -0x1.3eeca78f634c2p-5, -0x1.36f5195c9877dp-5, -0x1.2f293d7f53239p-5, -0x1.27885ef3a6ddfp-5, -0x1.2011c9ccae2b7p-5, -0x1.18c4cb441369fp-5, -0x1.11a0b1c8d6c9p-5, -0x1.0aa4cd0d585eep-5, -0x1.03d06e14a8782p-5, -0x1.fa45ce7e4783ep-6, -0x1.ed3718acbda9ap-6, -0x1.e0736530d1b85p-6, -0x1.d3f96184cab76p-6, -0x1.c7c7be350a536p-6, -0x1.bbdd2ef2c1762p-6, -0x1.b0386aa572c3bp-6, -0x1.a4d82b7b4c22ep-6, -0x1.99bb2ef85c3ddp-6, -0x1.8ee03604af3d6p-6, -0x1.844604f95c989p-6, -0x1.79eb63ac88cap-6, -0x1.6fcf1d7c67942p-6, -0x1.65f0015945df2p-6, -0x1.5c4ce1cea2eddp-6, -0x1.52e4950b5d215p-6, -0x1.49b5f4e901148p-6, -0x1.40bfdef23a58fp-6, -0x1.3801346873359p-6, -0x1.2f78da48a853cp-6, -0x1.2725b94f78cbcp-6, -0x1.1f06bdfc71ddap-6, -0x1.171ad894aef6ap-6, -0x1.0f60fd24bbb7ep-6, -0x1.07d82381d6403p-6, -0x1.007f474a8ab01p-6, -0x1.f2aacfcd5c795p-7, -0x1.e4b3110d8b907p-7, -0x1.d7156045bcabap-7, -0x1.c9cfd2f1a204ap-7, -0x1.bce0861419195p-7, -0x1.b0459e31a9e32p-7, -0x1.a3fd474a1f3fcp-7, -0x1.9805b4d12a778p-7, -0x1.8c5d21a62c9f2p-7, -0x1.8101d00b2cde3p-7, -0x1.75f2099af4915p-7, -0x1.6b2c1f3e8121p-7, -0x1.60ae69219fed3p-7, -0x1.567746a6f509ep-7, -0x1.4c851e5b4dd73p-7, -0x1.42d65de8513p-7, -0x1.39697a06a9c13p-7, -0x1.303cee6f94956p-7, -0x1.274f3dcdf23a7p-7, -0x1.1e9ef1aed7b1p-7, -0x1.162a9a71aa686p-7, -0x1.0df0cf37cd2f3p-7, -0x1.05f02dd3e6af8p-7, -0x1.fc4eb5718d555p-8, -0x1.ed2a01cfe3ae7p-8, -0x1.de6fa3bfb44afp-8, -0x1.d01d0b1396093p-8, -0x1.c22fb44f1bc22p-8, -0x1.b4a528819c13dp-8, -0x1.a77afd20833b4p-8, -0x1.9aaed3e139692p-8, -0x1.8e3e5a92a769cp-8, -0x1.82274af6664c1p-8, -0x1.76676a99a1e8dp-8, -0x1.6afc8aadb86bbp-8, -0x1.5fe487e0a0712p-8, -0x1.551d4a351f023p-8, -0x1.4aa4c4dad3e77p-8, -0x1.4078f606286edp-8, -0x1.3697e6c8244acp-8, -0x1.2cffaae632f7bp-8, -0x1.23ae60b1e13e9p-8, -0x1.1aa230e096c7bp-8, -0x1.11d94e635625fp-8, -0x1.0951f63e886d1p-8, -0x1.010a6f61d9ab3p-8, -0x1.f2021500585d4p-9, -0x1.e26843cf5855fp-9, -0x1.d34432b402f7dp-9, -0x1.c492bbc95aa23p-9, -0x1.b650cb732665dp-9, -0x1.a87b600f63324p-9, -0x1.9b0f89a8298a3p-9, -0x1.8e0a69a5fe2eap-9, -0x1.81693282a6849p-9, -0x1.7529277c7e74ep-9, -0x1.69479c4a59e95p-9, -0x1.5dc1f4cff666dp-9, -0x1.5295a4d30b683p-9, -0x1.47c02fb0f3d7fp-9, -0x1.3d3f2814febcep-9, -0x1.33102faf6b095p-9, -0x1.2930f6ed0d6dp-9, -0x1.1f9f3cafb34e3p-9, -0x1.1658ce0733b5bp-9, -0x1.0d5b85eb42734p-9, -0x1.04a54cf60459p-9, -0x1.f868323ec37c6p-10, -0x1.e80bdaf24cf73p-10, -0x1.d831b3d7c84p-10, -0x1.c8d5f5e95420ap-10, -0x1.b9f4f2c7043fbp-10, -0x1.ab8b14358e0a5p-10, -0x1.9d94db9e91b26p-10, -0x1.900ee1929144ap-10, -0x1.82f5d54c93964p-10, -0x1.76467c37730ap-10, -0x1.69fdb174e48fcp-10, -0x1.5e1865662cbb9p-10, -0x1.52939d3689b63p-10, -0x1.476c726756887p-10, -0x1.3ca0125de57fcp-10, -0x1.322bbdf3078adp-10, -0x1.280cc9045b936p-10, -0x1.1e409a07452fp-10, -0x1.14c4a99da24adp-10, -0x1.0b96822c36d13p-10, -0x1.02b3bf72c610ep-10, -0x1.f4341c4bd2a4ap-11, -0x1.e38e57151e753p-11, -0x1.d371ca266288cp-11, -0x1.c3da2ffd688e1p-11, -0x1.b4c361f1ee2aep-11, -0x1.a629577a10e7ap-11, -0x1.980825720bee3p-11, -0x1.8a5bfd673c95cp-11, -0x1.7d212ce668c49p-11, -0x1.70541ccd443dp-11, -0x1.63f1509f2a04dp-11, -0x1.57f565dd05a08p-11, -0x1.4c5d136065d42p-11, -0x1.412528b9ae548p-11, -0x1.364a8d9165b4ep-11, -0x1.2bca410c9281cp-11, -0x1.21a159342581ep-11, -0x1.17cd025f639a6p-11, -0x1.0e4a7ea149b6p-11, -0x1.05172538e3793p-11, -0x1.f860c40911a9ep-12, -0x1.e72769eff9ae2p-12, -0x1.d67d632ac72a5p-12, -0x1.c65dfcd20a956p-12, -0x1.b6c4a90fafd1p-12, -0x1.a7acfe21888c9p-12, -0x1.9912b5613be9ep-12, -0x1.8af1aa5189d23p-12, -0x1.7d45d9b0ce2b2p-12, -0x1.700b6090b1743p-12, -0x1.633e7b72f696dp-12, -0x1.56db856b4c3cdp-12, -0x1.4adef74616dedp-12, -0x1.3f4566b419dep-12, -0x1.340b857af1416p-12, -0x1.292e20aa451ccp-12, -0x1.1eaa1fd5a6ep-12, -0x1.147c8453052ffp-12, -0x1.0aa2687d9eddfp-12, -0x1.0118fefd677b8p-12, -0x1.efbb242594584p-13, -0x1.dddb05cd65af5p-13, -0x1.cc8c91bd9f8b7p-13, -0x1.bbcae1ebf33fcp-13, -0x1.ab913a315142cp-13, -0x1.9bdb070adbe61p-13, -0x1.8ca3dc62ab743p-13, -0x1.7de774604e16ep-13, -0x1.6fa1ae40d595bp-13, -0x1.61ce8d364dff3p-13, -0x1.546a374e8a52ap-13, -0x1.4770f461081cap-13, -0x1.3adf2d03e01f1p-13, -0x1.2eb1698791935p-13, -0x1.22e450f9909abp-13, -0x1.1774a82d6ca35p-13, -0x1.0c5f50cc6e514p-13, -0x1.01a1486b949d6p-13, -0x1.ee6f4f4f8a092p-14, -0x1.da3f429025ba1p-14, -0x1.c6ad02cc002eep-14, -0x1.b3b359371f95bp-14, -0x1.a14d3e6e2bd43p-14, -0x1.8f75d8e938a81p-14, -0x1.7e287b7981604p-14, -0x1.6d60a3d1de293p-14, -0x1.5d19f919b469ep-14, -0x1.4d504a8a24c37p-14, -0x1.3dff8e1541329p-14, -0x1.2f23df170e41ap-14, -0x1.20b97d1019cap-14, -0x1.12bcca696d43bp-14, -0x1.052a4b41a597cp-14, -0x1.effd4885f984cp-15, -0x1.d66d330417992p-15, -0x1.bd9e1aca2a67p-15, -0x1.a589ff2743631p-15, -0x1.8e2b17dc7b61bp-15, -0x1.777bd31c4c74ap-15, -0x1.6176d3996581bp-15, -0x1.4c16eea49bb4ep-15, -0x1.37572a5998e15p-15, -0x1.2332bbd9ea39dp-15, -0x1.0fa5059613ddap-15, -0x1.f9532b48a4117p-16, -0x1.d478484957574p-16, -0x1.b0b123640ab4fp-16, -0x1.8df5cbbfb5b9dp-16, -0x1.6c3e9b88a0efap-16, -0x1.4b84351c8c624p-16, -0x1.2bbf804e42106p-16, -0x1.0ce9a7bff3965p-16, -0x1.ddf82ca7932c9p-17, -0x1.a3e0e96416c4dp-17, -0x1.6b814dc8a1eb5p-17, -0x1.34cd940a5627cp-17, -0x1.ff74c80ecf9cbp-18, -0x1.98799de9ea9f6p-18, -0x1.3494966522699p-18, -0x1.a762c109a4474p-19, -0x1.d6f197284997dp-20, -0x1.aa2c2af7ae0d9p-22, 0x1.ed6e04b6acaa1p-21, 0x1.268d6e33a631p-19, 0x1.cc722bdd3f8bbp-19, 0x1.36953aaff8f35p-18, 0x1.846af1c3c1e52p-18, 0x1.cfc97c66689edp-18, 0x1.0c5fcb3eed522p-17, 0x1.2fadbe1adaabp-17, 0x1.51d577b3279e8p-17, 0x1.72dd9e641ba65p-17, 0x1.92cca07ad5985p-17, 0x1.b1a8b69dd3256p-17, 0x1.cf77e61de5cedp-17, 0x1.ec4003307a782p-17, 0x1.04035989d7f96p-16, 0x1.1168b70e93b6cp-16, 0x1.1e52c0da055b6p-16, 0x1.2ac4091b8570ap-16, 0x1.36bf0e677a2fdp-16, 0x1.42463c9737f55p-16, 0x1.4d5bed9fd0b95p-16, 0x1.58026a600a0bcp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d835ccb3b93b9p-1, 0x1.d537c3bc9a72ep-1, 0x1.d225e4d8daa6p-1, 0x1.cf00f7986eb3ap-1, 0x1.cbc9ff06af14fp-1, 0x1.c88233614f2f9p-1, 0x1.c52afabb7348ep-1, 0x1.c1c5e10b06e68p-1, 0x1.be54900420be4p-1, 0x1.bad8c70f8729cp-1, 0x1.b75453961e632p-1, 0x1.b3c909cade5ecp-1, 0x1.b038be0fa26f2p-1, 0x1.aca53f0643d23p-1, 0x1.a9105056d2352p-1, 0x1.a57ba62ce0e28p-1, 0x1.a1e8e168b5764p-1, 0x1.9e598c7d36b02p-1, 0x1.9acf18f0b37a2p-1, 0x1.974add74bd40ep-1, 0x1.93ce148821eeep-1, 0x1.9059db9586df6p-1, 0x1.8cef328109505p-1, 0x1.898efb977e11bp-1, 0x1.8639fbd272bfcp-1, 0x1.82f0db64b94cfp-1, 0x1.7fb4268416a76p-1, 0x1.7c844e658ee53p-1, 0x1.7961aa62b2ea5p-1, 0x1.764c793f3fe22p-1, 0x1.7344e2874b87ap-1, 0x1.704af7ff15712p-1, 0x1.6d5eb71e6d15ap-1, 0x1.6a800a926261ep-1, 0x1.67aecbc0b0f7fp-1, 0x1.64eac449010edp-1, 0x1.6233af80aee1dp-1, 0x1.5f893be65b33bp-1, 0x1.5ceb0c8b00c97p-1, 0x1.5a58ba6ebc048p-1, 0x1.57d1d5cfd1d98p-1, 0x1.5555e76adc021p-1, 0x1.52e471ab4b7b6p-1, 0x1.507cf1cbb45ccp-1, 0x1.4e1ee0e58915bp-1, 0x1.4bc9b4f026824p-1, 0x1.497ce1af2f12cp-1, 0x1.4737d9905cd5fp-1, 0x1.44fa0e790dadap-1, 0x1.42c2f283e2bf3p-1, 0x1.4091f8aee2d4ap-1, 0x1.3e66957a98305p-1, 0x1.3c403f7ab81a6p-1, 0x1.3a1e6fd8e1c4fp-1, 0x1.3800a2ca0e773p-1, 0x1.35e657f74f8fbp-1, 0x1.33cf12da7ae63p-1, 0x1.31ba5b0f6419bp-1, 0x1.2fa7bc9a44db9p-1, 0x1.2d96c823f0216p-1, 0x1.2b87132c73305p-1, 0x1.29783834b532dp-1, 0x1.2769d6dfb3065p-1, 0x1.255b940be6d75p-1, 0x1.234d19e564fdbp-1, 0x1.213e17f13e92cp-1, 0x1.1f2e4312a66fdp-1, 0x1.1d1d558a59e36p-1, 0x1.1b0b0ef0c6efap-1, 0x1.18f7342b63be7p-1, 0x1.16e18f5da342cp-1, 0x1.14c9efd5f4c2ep-1, 0x1.12b029f72e2cap-1, 0x1.1094171ec2d5ap-1, 0x1.0e7595881e2e1p-1, 0x1.0c54882d79093p-1, 0x1.0a30d6a676e44p-1, 0x1.080a6d04d9ac2p-1, 0x1.05e13baf8e341p-1, 0x1.03b5373c56681p-1, 0x1.018658484d0d5p-1, 0x1.fea9369eff809p-2, 0x1.fa4001079cf1fp-2, 0x1.f5d1174691507p-2, 0x1.f15c879c660fep-2, 0x1.ece266b9bd28ap-2, 0x1.e862cf6afaa49p-2, 0x1.e3dde24422116p-2, 0x1.df53c54d3935cp-2, 0x1.dac4a3af60dadp-2, 0x1.d630ad62dd471p-2, 0x1.d19816de408ep-2, 0x1.ccfb18c6e3207p-2, 0x1.c859efa2ce3cdp-2, 0x1.c3b4db8c42785p-2, 0x1.bf0c1fe6ee2b6p-2, 0x1.ba600316fd192p-2, 0x1.b5b0ce3a0d316p-2, 0x1.b0fecce21f4c5p-2, 0x1.ac4a4cd29c0fbp-2, 0x1.a7939dbf6cfe9p-2, 0x1.a2db110e43346p-2, 0x1.9e20f99a0c3d5p-2, 0x1.9965ab7899e17p-2, 0x1.94a97bc289a48p-2, 0x1.8fecc05d640f2p-2, 0x1.8b2fcfc7f9ea2p-2, 0x1.867300e8fe19cp-2, 0x1.81b6aadfd2dd3p-2, 0x1.7cfb24d79028dp-2, 0x1.7840c5dc32662p-2, 0x1.7387e4b1f35adp-2, 0x1.6ed0d7aebf949p-2, 0x1.6a1bf495c3844p-2, 0x1.6569907502a4dp-2, 0x1.60b9ff84f2865p-2, 0x1.5c0d950a09776p-2, 0x1.5764a3383b85dp-2, 0x1.52bf7b1852eccp-2, 0x1.4e1e6c6f1c76cp-2, 0x1.4981c5a659c0cp-2, 0x1.44e9d3b76918p-2, 0x1.4056e2179b78dp-2, 0x1.3bc93aa624e48p-2, 0x1.3741259b9e41p-2, 0x1.32bee97b080d5p-2, 0x1.2e42cb04435cp-2, 0x1.29cd0d27ee2a6p-2, 0x1.255df0fc9ab8fp-2, 0x1.20f5b5b553622p-2, 0x1.1c94989959c8p-2, 0x1.183ad4fd196e7p-2, 0x1.13e8a43c3ad81p-2, 0x1.0f9e3db4d08d9p-2, 0x1.0b5bd6c38ce87p-2, 0x1.0721a2c0f44fdp-2, 0x1.02efd2ff815a4p-2, 0x1.fd8d2d95616c9p-3, 0x1.f54c36cdc3e0dp-3, 0x1.ed1d182415c7fp-3, 0x1.e500240a5417bp-3, 0x1.dcf5a8ecea1f6p-3, 0x1.d4fdf138622a4p-3, 0x1.cd1943605ffb9p-3, 0x1.c547e1e7ce475p-3, 0x1.bd8a0b6a2aeb3p-3, 0x1.b5dffaa5db095p-3, 0x1.ae49e6877ffc5p-3, 0x1.a6c8023630fd5p-3, 0x1.9f5a7d208a892p-3, 0x1.9801830a88f61p-3, 0x1.90bd3c1c19feep-3, 0x1.898dccf051086p-3, 0x1.827356a53c5e9p-3, 0x1.7b6df6ec42c9p-3, 0x1.747dc81afc446p-3, 0x1.6da2e13c817b1p-3, 0x1.66dd56231ce0cp-3, 0x1.602d377a52e36p-3, 0x1.599292d93cca4p-3, 0x1.530d72d524acep-3, 0x1.4c9ddf14538d3p-3, 0x1.4643dc611a607p-3, 0x1.3fff6cbcf2d83p-3, 0x1.39d08f73c8a1ap-3, 0x1.33b7412f4fd67p-3, 0x1.2db37c0a66dd1p-3, 0x1.27c537a48114fp-3, 0x1.21ec69350a78ep-3, 0x1.1c29039ec7bd3p-3, 0x1.167af7831b28cp-3, 0x1.10e2335542656p-3, 0x1.0b5ea36d6cba1p-3, 0x1.05f0321bb35e2p-3, 0x1.0096c7baf3023p-3, 0x1.f6a49586dbdf3p-4, 0x1.ec453fba9b36fp-4, 0x1.e20f53e5c9cacp-4, 0x1.d80294858226fp-4, 0x1.ce1ec0e30a4ep-4, 0x1.c463953701292p-4, 0x1.bad0cacc0f116p-4, 0x1.b166182117aecp-4, 0x1.a823310adb95fp-4, 0x1.9f07c6d50d294p-4, 0x1.96138862ccc5ep-4, 0x1.8d46224e96cdp-4, 0x1.849f3f09940b7p-4, 0x1.7c1e86fa4b74p-4, 0x1.73c3a09ab8281p-4, 0x1.6b8e3095bc996p-4, 0x1.637dd9e3f34b7p-4, 0x1.5b923de7daeb1p-4, 0x1.53cafc895d35ap-4, 0x1.4c27b450afa06p-4, 0x1.44a802808c86cp-4, 0x1.3d4b832fc4b02p-4, 0x1.3611d1622af16p-4, 0x1.2efa8720d637bp-4, 0x1.28053d91be082p-4, 0x1.21318d0eb0397p-4, 0x1.1a7f0d3ba09bcp-4, 0x1.13ed551c536f5p-4, 0x1.0d7bfb29646d3p-4, 0x1.072a9564ab9c6p-4, 0x1.00f8b96cfeb88p-4, 0x1.f5cbf922ab598p-5, 0x1.e9e3e7c69defap-5, 0x1.de3868922ea13p-5, 0x1.d2c8a51d713p-5, 0x1.c793c6ed9b418p-5, 0x1.bc98f795429fep-5, 0x1.b1d760d36fb56p-5, 0x1.a74e2cb18d68cp-5, 0x1.9cfc85a0370ep-5, 0x1.92e19692eac0fp-5, 0x1.88fc8b1aa78ddp-5, 0x1.7f4c8f7f76b2cp-5, 0x1.75d0d0d8e9208p-5, 0x1.6c887d258c655p-5, 0x1.6372c3615f734p-5, 0x1.5a8ed39b457f6p-5, 0x1.51dbdf0983ff9p-5, 0x1.4959181d4ab77p-5, 0x1.4105b29551715p-5, 0x1.38e0e38f8784ep-5, 0x1.30e9e199e6c27p-5, 0x1.291fe4c2625f4p-5, 0x1.218226a600aacp-5, 0x1.1a0fe27f1fe6p-5, 0x1.12c85532ed46dp-5, 0x1.0baabd5e14226p-5, 0x1.04b65b60a75afp-5, 0x1.fbd4e2d29c6fp-6, 0x1.ee8c86ff6e35fp-6, 0x1.e1922f1cab78cp-6, 0x1.d4e46ad6e93c3p-6, 0x1.c881cdc3316a5p-6, 0x1.bc68ef6e888bcp-6, 0x1.b0986b6c2cfddp-6, 0x1.a50ee162a1f1cp-6, 0x1.99caf51791773p-6, 0x1.8ecb4e7a82c17p-6, 0x1.840e99ae8180dp-6, 0x1.79938712a9a68p-6, 0x1.6f58cb49b5d49p-6, 0x1.655d1f408807ap-6, 0x1.5b9f4033bf7cp-6, 0x1.521defb462d5ep-6, 0x1.48d7f3aba15ddp-6, 0x1.3fcc165dbf061p-6, 0x1.36f9266c2596ap-6, 0x1.2e5df6d6ad4cbp-6, 0x1.25f95efc228dcp-6, 0x1.1dca3a9a0d9c6p-6, 0x1.15cf69cbc5736p-6, 0x1.0e07d108d41dfp-6, 0x1.06725922bb526p-6, 0x1.fe1bde8421bdcp-7, 0x1.efb309c614416p-7, 0x1.e1a81fa2e7696p-7, 0x1.d3f914483ba7ap-7, 0x1.c6a3e46f88c82p-7, 0x1.b9a69552f7c96p-7, 0x1.acff34a143994p-7, 0x1.a0abd870be44fp-7, 0x1.94aa9f317c04cp-7, 0x1.88f9af9eac945p-7, 0x1.7d9738af368cbp-7, 0x1.728171859d305p-7, 0x1.67b6995f37b47p-7, 0x1.5d34f782c2779p-7, 0x1.52fadb2e5dda9p-7, 0x1.49069b84f3b21p-7, 0x1.3f56977b241b5p-7, 0x1.35e935c3ab595p-7, 0x1.2cbce4bb52524p-7, 0x1.23d01a54796fcp-7, 0x1.1b2154023a398p-7, 0x1.12af16a32f025p-7, 0x1.0a77ee6be5268p-7, 0x1.027a6ed101e36p-7, 0x1.f56a64e242bfdp-8, 0x1.e64db5fcec79ap-8, 0x1.d79c225060917p-8, 0x1.c9530907615bcp-8, 0x1.bb6fd6eb24b6dp-8, 0x1.adf0063517bc4p-8, 0x1.a0d11e60604dfp-8, 0x1.9410b3fb29ffbp-8, 0x1.87ac6877c51fap-8, 0x1.7ba1e9fda7107p-8, 0x1.6feef33a4f0ddp-8, 0x1.64914b321ed69p-8, 0x1.5986c5112c951p-8, 0x1.4ecd3ffc18b8dp-8, 0x1.4462a6e0ebb19p-8, 0x1.3a44f0480b071p-8, 0x1.30721e25441d6p-8, 0x1.26e83da8fcb0cp-8, 0x1.1da5671186c91p-8, 0x1.14a7bd7ca877ap-8, 0x1.0bed6eb953269p-8, 0x1.0374b3199b15dp-8, 0x1.f6779a89d2c7p-9, 0x1.e6821414f1e8ap-9, 0x1.d705806831c2dp-9, 0x1.c7fea0b2859p-9, 0x1.b96a496502a24p-9, 0x1.ab4561da60778p-9, 0x1.9d8ce3ff2f332p-9, 0x1.903ddbface9fp-9, 0x1.835567d92ac4dp-9, 0x1.76d0b73542a0dp-9, 0x1.6aad0ae48670dp-9, 0x1.5ee7b4a30ace5p-9, 0x1.537e16c098769p-9, 0x1.486da3cea2e0cp-9, 0x1.3db3de4f2243cp-9, 0x1.334e58645a9bep-9, 0x1.293ab3818e00dp-9, 0x1.1f76a01ca85e8p-9, 0x1.15ffdd60d79ecp-9, 0x1.0cd438e22517p-9, 0x1.03f18e5202287p-9, 0x1.f6ab8e69aa078p-10, 0x1.e5fdb5310b246p-10, 0x1.d5d599980f634p-10, 0x1.c62f5e2fd66dap-10, 0x1.b7073eefd045cp-10, 0x1.a85990aaed9f6p-10, 0x1.9a22c086d081cp-10, 0x1.8c5f537502d31p-10, 0x1.7f0be5ae42915p-10, 0x1.72252a2fcd33ep-10, 0x1.65a7ea3abe798p-10, 0x1.599104d5709fep-10, 0x1.4ddd6e4eeca67p-10, 0x1.428a2fc4589a8p-10, 0x1.379466a8770eep-10, 0x1.2cf9444d1cbacp-10, 0x1.22b60d6eb503dp-10, 0x1.18c819c1b70eep-10, 0x1.0f2cd382253a6p-10, 0x1.05e1b704f79aep-10, 0x1.f9c8a49711c76p-11, 0x1.e8648931d3d97p-11, 0x1.d7927c12588b9p-11, 0x1.c74dfe5526cdbp-11, 0x1.b792b1315ac87p-11, 0x1.a85c55329b445p-11, 0x1.99a6c976ccc15p-11, 0x1.8b6e0aef75a38p-11, 0x1.7dae33a6cd5fcp-11, 0x1.70637a086af28p-11, 0x1.638a302d8a131p-11, 0x1.571ec32cdc53cp-11, 0x1.4b1dba6ddcb98p-11, 0x1.3f83b6ff9afd1p-11, 0x1.344d72f2f2f82p-11, 0x1.2977c0b827b1bp-11, 0x1.1eff8a7fd4beep-11, 0x1.14e1d19f2d314p-11, 0x1.0b1badf77b3c5p-11, 0x1.01aa4d60d5fc7p-11, 0x1.f115e6300521bp-12, 0x1.df75ee5ee932dp-12, 0x1.ce6f8c06c777cp-12, 0x1.bdfdbf61cf8f7p-12, 0x1.ae1baf2029e1cp-12, 0x1.9ec4a7620fd57p-12, 0x1.8ff418b7b0dbbp-12, 0x1.81a59726cf9b8p-12, 0x1.73d4d935f981bp-12, 0x1.667db6fd49669p-12, 0x1.599c293c98ea8p-12, 0x1.4d2c48770b5dp-12, 0x1.412a4c13db37ap-12, 0x1.3592898453a86p-12, 0x1.2a61736ee018ap-12, 0x1.1f9398df18edbp-12, 0x1.1525a47ab93cfp-12, 0x1.0b145bbb6609ap-12, 0x1.015c9e2d31e1p-12, 0x1.eff6c963881f5p-13, 0x1.dddb81902841cp-13, 0x1.cc61b7b1318ccp-13, 0x1.bb83ed0bc503bp-13, 0x1.ab3cd002ffaa7p-13, 0x1.9b873aca40558p-13, 0x1.8c5e321facc49p-13, 0x1.7dbce40ee883p-13, 0x1.6f9ea6bbb0199p-13, 0x1.61fef73454f62p-13, 0x1.54d9784bd849p-13, 0x1.4829f17b829dap-13, 0x1.3bec4dcbde0fdp-13, 0x1.301c9ac4da5eap-13, 0x1.24b70764fe0ap-13, 0x1.19b7e31f815abp-13, 0x1.0f1b9ce12564ap-13, 0x1.04dec21ba77dp-13, 0x1.f5fbfbaf6508ep-14, 0x1.e2ec2f9a31c1cp-14, 0x1.d087e70296e26p-14, 0x1.bec91ed7aedfap-14, 0x1.adaa08419b163p-14, 0x1.9d250701fc0cp-14, 0x1.8d34afdfa1028p-14, 0x1.7dd3c71d5cd6p-14, 0x1.6efd3efba0252p-14, 0x1.60ac3644a87a8p-14, 0x1.52dbf6e3008ccp-14, 0x1.4587f4821766dp-14, 0x1.38abcb38b0ad5p-14, 0x1.2c433e3cf260dp-14, 0x1.204a36a1d7e84p-14, 0x1.14bcc21dcf7bfp-14, 0x1.099711da4a45cp-14, 0x1.fdaaf298136f3p-15, 0x1.e8e8da27e19a2p-15, 0x1.d4e103d04cd9cp-15, 0x1.c18cd70aabdc6p-15, 0x1.aee5f74fac8c2p-15, 0x1.9ce642191492dp-15, 0x1.8b87ccf28c43bp-15, 0x1.7ac4e39915e21p-15, 0x1.6a980628ce306p-15, 0x1.5afbe758a19c8p-15, 0x1.4beb6ac3923d7p-15, 0x1.3d61a33f3c7c2p-15, 0x1.2f59d13f3cbb3p-15, 0x1.21cf61452601ap-15, 0x1.14bdea5cb444dp-15, 0x1.08212ca3e5a77p-15, 0x1.f7ea1fbd59b3dp-16, 0x1.e06b442bdc252p-16, 0x1.c9be2c82f1947p-16, 0x1.b3db85f965284p-16, 0x1.9ebc428b56bedp-16, 0x1.8a59968c9d7f6p-16, 0x1.76acf64ee660cp-16, 0x1.63b013daf0d72p-16, 0x1.515cdcbc793f4p-16, 0x1.3fad77e0378c8p-16, 0x1.2e9c438384b2p-16, 0x1.1e23d33516a97p-16, 0x1.0e3eede66b54ep-16, 0x1.fdd1181ab2a3ap-17, 0x1.e037abaab831cp-17, 0x1.c3a842c046286p-17, 0x1.a819e229edbaep-17, 0x1.8d83e3fd111b5p-17, 0x1.73ddf46d756bep-17, 0x1.5b200ec006e4fp-17, 0x1.43427a57fa784p-17, 0x1.2c3dc7dd87384p-17, 0x1.160ace7d7d50ap-17, 0x1.00a2a940f6226p-17, 0x1.d7fd68f8d42e7p-18, 0x1.b03116aaf212dp-18, 0x1.89d40abd67666p-18, 0x1.64da6891808bap-18, 0x1.4138c3505fe99p-18, 0x1.1ee4199ecc6b7p-18, 0x1.fba3a2efd310ap-19, 0x1.bbef685b40c3p-19, 0x1.7e97d51b29abcp-19, 0x1.4389f25303666p-19, 0x1.0ab37983b9e21p-19, 0x1.a8059b46dc29bp-20, 0x1.3ecde8eb09f59p-20, 0x1.b33e40841713p-21, 0x1.e166c819f8274p-22, 0x1.adf2f79a74449p-24, -0x1.f76e088c0a4fp-23, -0x1.2a52de7be1392p-21, -0x1.cfde5684c9722p-21, -0x1.37595020f235dp-20, -0x1.83814d7b9dff7p-20, -0x1.cc7fb1094f867p-20, -0x1.093617d71fbf8p-19, -0x1.2aaed71d7e8cfp-19, -0x1.4ab524ea88df3p-19, -0x1.6953b0060c75dp-19, -0x1.8694cb4f20dc8p-19, -0x1.a282717766b7ap-19, -0x1.bd264898b43d3p-19, -0x1.d689a5a663439p-19, -0x1.eeb58fbb95017p-19, -0x1.02d961a3cc34cp-18, -0x1.0dc4da8cd3c47p-18, -0x1.18214aa69187ep-18, -0x1.21f2a90bb1385p-18, -0x1.2b3ccd3c1c1f8p-18, -0x1.340370671686dp-18, -0x1.3c4a2ea7bdd9dp-18, -0x1.44148834636cfp-18, -0x1.4b65e28140b52p-18, -0x1.52418956f885ep-18, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      39, 0x1.5c28f5c28f5c3p+2, 0x1.68972a10b3c04p+0, 0x1.0857dc87c1766p+2, -0x1.779e719c7057bp+0, 
      {{
        {0x1.999999999999ap+0, 0x1.b333333333333p+0, 0x1.4420480f9fd45p+2, -0x1.2668f84fa5e4bp+3, 0x1.9eb1757ae6498p+2, 0x1.8931c04e49289p-1}, 
        {0x1.b333333333333p+0, 0x1.ccccccccccccdp+0, 0x1.0d70af2e80631p+2, -0x1.f8682e7c2ebc4p+2, 0x1.ad701fe43c3bp+2, -0x1.eb7e3061dc76dp+1}, 
        {0x1.ccccccccccccdp+0, 0x1.e666666666666p+0, 0x1.be18a1f197e61p+1, -0x1.a9e44a1ccdad1p+2, 0x1.63b6cbd58e5c5p+2, -0x1.1d9d0eefea0d8p+1}, 
        {0x1.e666666666666p+0, 0x1p+1, 0x1.6fbf1d122afa2p+1, -0x1.67087c732183dp+2, 0x1.38df3ccb2b40cp+2, -0x1.2866cc6478da7p+1}, 
        {0x1p+1, 0x1.0cccccccccccdp+1, 0x1.2de6a46cac2fap+1, -0x1.2ce79ee07bf5p+2, 0x1.0c696aef4c532p+2, -0x1.f8f0737d9430cp+0}, 
        {0x1.0cccccccccccdp+1, 0x1.199999999999ap+1, 0x1.edabe8989d265p+0, -0x1.f604d745b15ddp+1, 0x1.cd152af228d21p+1, -0x1.c4cea430ec315p+0}, 
        {0x1.199999999999ap+1, 0x1.2666666666666p+1, 0x1.92095d77eae57p+0, -0x1.a0982fddacbecp+1, 0x1.89295f1e05644p+1, -0x1.8d3e6fe10d41cp+0}, 
        {0x1.2666666666666p+1, 0x1.3333333333333p+1, 0x1.462f054d3cec4p+0, -0x1.57ebbaae3f111p+1, 0x1.4d9334bc43675p+1, -0x1.5c7a8c2aeef5fp+0}, 
        {0x1.3333333333333p+1, 0x1.4p+1, 0x1.07b8f7eb8d11p+0, -0x1.1a6ed8a2d6734p+1, 0x1.194d9fb5d2c27p+1, -0x1.2f819d65fd693p+0}, 
        {0x1.4p+1, 0x1.4cccccccccccdp+1, 0x1.a91df2b725e04p-1, -0x1.cd732bdeb9cc4p+0, 0x1.d78df699d97efp+0, -0x1.06de1c609c834p+0}, 
        {0x1.4cccccccccccdp+1, 0x1.599999999999ap+1, 0x1.55bb7c20f14cp-1, -0x1.770666ebd06f2p+0, 0x1.88b1bae344243p+0, -0x1.c44e82a53a443p-1}, 
        {0x1.599999999999ap+1, 0x1.6666666666666p+1, 0x1.122102310a31cp-1, -0x1.2f45504da3aep+0, 0x1.44d9274a7b66bp+0, -0x1.826ae4af03448p-1}, 
        {0x1.6666666666666p+1, 0x1.7333333333333p+1, 0x1.b72bb126eee34p-2, -0x1.e831da4f894cbp-1, 0x1.0ae2b8303ae94p+0, -0x1.479f3d24c0e19p-1}, 
        {0x1.7333333333333p+1, 0x1.8p+1, 0x1.5f8d49a9c70ffp-2, -0x1.8744e6f31b5c5p-1, 0x1.b37c113bd58fp-1, -0x1.1382c648e561dp-1}, 
        {0x1.8p+1, 0x1.8cccccccccccdp+1, 0x1.1974ed57641f5p-2, -0x1.3870030d2abaep-1, 0x1.60d4d5bf90be6p-1, -0x1.cb5470bab4da9p-2}, 
        {0x1.8cccccccccccdp+1, 0x1.999999999999ap+1, 0x1.c32210e401303p-3, -0x1.f185be39b577cp-2, 0x1.1bee91a38f372p-1, -0x1.7b55ef544afa2p-2}, 
        {0x1.999999999999ap+1, 0x1.a666666666666p+1, 0x1.6a3a290642baap-3, -0x1.8b5469dea7642p-2, 0x1.c61028476e564p-2, -0x1.363474be98c2bp-2}, 
        {0x1.a666666666666p+1, 0x1.b333333333333p+1, 0x1.239f417a8575p-3, -0x1.39d2c179ecf28p-2, 0x1.69006ba7da1c5p-2, -0x1.f6350c1aade2p-3}, 
        {0x1.b333333333333p+1, 0x1.cp+1, 0x1.d72689356ddbp-4, -0x1.f24fe50dabb5p-3, 0x1.1daba9d70cd3ep-2, -0x1.9265436b7d9d4p-3}, 
        {0x1.cp+1, 0x1.ccccccccccccdp+1, 0x1.7e1c3270d78d4p-4, -0x1.8c1da09479b3fp-3, 0x1.c29f590dda5efp-3, -0x1.3f4e8fe66fb4ap-3}, 
        {0x1.ccccccccccccdp+1, 0x1.d99999999999ap+1, 0x1.3742c5fe7baccp-4, -0x1.3b9208d89e2e3p-3, 0x1.62d49448b8dbep-3, -0x1.f68be21bae8fcp-4}, 
        {0x1.d99999999999ap+1, 0x1.e666666666666p+1, 0x1.fd7b4adb593cp-5, -0x1.f848fe71232c9p-4, 0x1.1772cbf7c512ep-3, -0x1.8940cd53aefa5p-4}, 
        {0x1.e666666666666p+1, 0x1.f333333333333p+1, 0x1.a30419928f7e7p-5, -0x1.944da8c64ccb8p-4, 0x1.b8ebc0bcd5a81p-4, -0x1.3365e0bf227d6p-4}, 
        {0x1.f333333333333p+1, 0x1p+2, 0x1.5a5be534f3716p-5, -0x1.45575335a089ap-4, 0x1.5cb396e9e4e8cp-4, -0x1.e34a386a16de4p-5}, 
        {0x1p+2, 0x1.0666666666666p+2, 0x1.1fc80f55b5962p-5, -0x1.06d9a3f3f5a8ap-4, 0x1.143541a6c7e0fp-4, -0x1.8150fb3e78227p-5}, 
        {0x1.0666666666666p+2, 0x1.0cccccccccccdp+2, 0x1.e0b35a178c91dp-6, -0x1.aac6cec85c695p-5, 0x1.b4d237ee05519p-5, -0x1.3a34141f5c712p-5}, 
        {0x1.0cccccccccccdp+2, 0x1.1333333333333p+2, 0x1.93740ae6dcd2cp-6, -0x1.5cd6a57afa477p-5, 0x1.568f6517cffbep-5, -0x1.074757c9a99c1p-5}, 
        {0x1.1333333333333p+2, 0x1.199999999999ap+2, 0x1.54029f5d301ffp-6, -0x1.20398c372521bp-5, 0x1.0793978e83809p-5, -0x1.c3bec48c79efdp-6}, 
        {0x1.199999999999ap+2, 0x1.2p+2, 0x1.1f2f60c78e889p-6, -0x1.e49242fc0f141p-6, 0x1.87a1275948d1fp-6, -0x1.869bcfaa55088p-6}, 
        {0x1.2p+2, 0x1.2666666666666p+2, 0x1.e481daef0af47p-7, -0x1.a1f6b48b78d37p-6, 0x1.1272690c95b66p-6, -0x1.49dee91b4312ap-6}, 
        {0x1.2666666666666p+2, 0x1.2cccccccccccdp+2, 0x1.95be6377b2943p-7, -0x1.74f86e354af9fp-6, 0x1.5ef8aca269956p-7, -0x1.ffe073ccfc3c8p-7}, 
        {0x1.2cccccccccccdp+2, 0x1.3333333333333p+2, 0x1.4e25bfad2d9ap-7, -0x1.598d2b7b538fbp-6, 0x1.8ad113c9d56b3p-8, -0x1.38cbf00332f2ep-7}, 
        {0x1.3333333333333p+2, 0x1.399999999999ap+2, 0x1.0ab2cde109f04p-7, -0x1.4a80a7b1485fdp-6, 0x1.9e47078fd41adp-9, -0x1.cde299f89755dp-11}, 
        {0x1.399999999999ap+2, 0x1.4p+2, 0x1.9335a427da451p-8, -0x1.409421ba51ef1p-6, 0x1.7ba2d59d2f276p-9, 0x1.54acf1e0d2de4p-7}, 
        {0x1.4p+2, 0x1.4666666666666p+2, 0x1.158ebfa3efa8ep-8, -0x1.31fa44477f833p-6, 0x1.8a392f22494b6p-8, 0x1.cba18b5bc0509p-6}, 
        {0x1.4666666666666p+2, 0x1.4cccccccccccdp+2, 0x1.41e50827a547p-9, -0x1.107a3dbde9474p-6, 0x1.d8e3eb2e98083p-7, 0x1.57225f3e5d66ap-5}, 
        {0x1.4cccccccccccdp+2, 0x1.5333333333333p+2, 0x1.00a306f819b36p-10, -0x1.993369fa61422p-7, 0x1.ba5361efea762p-6, 0x1.8053b572f49f3p-4}, 
        {0x1.5333333333333p+2, 0x1.599999999999ap+2, 0x1.8a52bad69834ep-14, -0x1.18106bf36894cp-8, 0x1.c3c25109bb334p-5, -0x1.bebcde7a7581ap-3}, 
        {0x1.599999999999ap+2, 0x1.5c28f5c28f5c3p+2, 0x0p+0, 0x1.bc39efb481a07p-13, -0x1.514e1af1adad1p-7, -0x1.6d80683554bbfp-6}, 
      }}, 
      0x1.cb573acaf6338p+2, -0x1.5d90949d75234p+6
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_s_zn() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5349cb5450041p+0, -0x1.42f85bd152b4dp+0, -0x1.3286c081494f6p+0, -0x1.2222c20cc3842p+0, -0x1.11f34e438c975p+0, -0x1.0218c99b2b0bep+0, -0x1.e55b0d2c9da68p-1, -0x1.c78cd213633f5p-1, -0x1.aae6a4cd19f2cp-1, -0x1.8f7fcb3b71a6bp-1, -0x1.75685a52417bfp-1, -0x1.5ca8c59f2d87p-1, -0x1.4546964e05d9p-1, -0x1.2f411a8931abbp-1, -0x1.1a947e4a25a5ep-1, -0x1.0739eb4fa4cf9p-1, -0x1.ea50e55826fa4p-2, -0x1.c8aad4db4b2cfp-2, -0x1.a96974bb53e84p-2, -0x1.8c730b1111cfap-2, -0x1.71ad04548898ep-2, -0x1.58fbe1fd96113p-2, -0x1.4243b340b1f0fp-2, -0x1.2d69013e0d842p-2, -0x1.1a5114822e76bp-2, -0x1.08e19649829acp-2, -0x1.f20116e1dc2f8p-3, -0x1.d529b66c05eap-3, -0x1.bb0d675b17135p-3, -0x1.a37ec7ab95493p-3, -0x1.8e5203bee6cecp-3, -0x1.7b5c9f22673b6p-3, -0x1.6a75cf4ad3eebp-3, -0x1.5b75868900517p-3, -0x1.4e3b489798e65p-3, -0x1.42a2922eaf673p-3, -0x1.3889b4592f1d6p-3, -0x1.2fd0f4214b7f1p-3, -0x1.285ac0480a863p-3, -0x1.220b81ebc729p-3, -0x1.1cc93300ca427p-3, -0x1.187afc03ac2eep-3, -0x1.15090d17025d6p-3, -0x1.125cb5f031075p-3, -0x1.10609e71e9d34p-3, -0x1.0f00f239616fap-3, -0x1.0e2b682ea6845p-3, -0x1.0dcf2106edb73p-3, -0x1.0ddc712a816a9p-3, -0x1.0e44ab1a125bbp-3, -0x1.0ef9fb4927c2bp-3, -0x1.0fef61093e8p-3, -0x1.1118bb93e2be7p-3, -0x1.126ae12d968cp-3, -0x1.13dbac3e808b9p-3, -0x1.1561fc6fb4287p-3, -0x1.16f5a421ebe1bp-3, -0x1.188f4f0af730ep-3, -0x1.1a286524bef5p-3, -0x1.1bbaf373cafp-3, -0x1.1d41994015e89p-3, -0x1.1eb77f24e23ffp-3, -0x1.201852656b758p-3, -0x1.2160446e62f06p-3, -0x1.228c0a517a2d8p-3, -0x1.2398dfabd2f8p-3, -0x1.2484827a0d676p-3, -0x1.254d2ca2217bdp-3, -0x1.25f186bd1f63p-3, -0x1.26709a3aae153p-3, -0x1.26c9c08d5ee8ep-3, -0x1.26fc9561cba2ep-3, -0x1.2708ea3dbbbecp-3, -0x1.26eec56926cc5p-3, -0x1.26ae5ac8d73f6p-3, -0x1.26480ead51553p-3, -0x1.25bc7565394d7p-3, -0x1.251eb0f4dda03p-3, -0x1.244cf285eac9dp-3, -0x1.2358720dfd1acp-3, -0x1.22424abc0afefp-3, -0x1.210bb0c69ba6ep-3, -0x1.1fb5ecbd056b6p-3, -0x1.1e42577459871p-3, -0x1.1cb253f86fe2ap-3, -0x1.1b074db2a8bb3p-3, -0x1.1942b4f000f25p-3, -0x1.1765fd95d2707p-3, -0x1.15729b65c237bp-3, -0x1.136a02a71ef89p-3, -0x1.114da5a661fbp-3, -0x1.0f1ef3c915a4ep-3, -0x1.0cdf583d0b0dbp-3, -0x1.0a9038a45218ep-3, -0x1.0832f4173777p-3, -0x1.05c8e245df0ddp-3, -0x1.035350fc21fbep-3, -0x1.00d384f7ffe49p-3, -0x1.fc956ee4eb7dp-4, -0x1.f7742cf6af168p-4, -0x1.f245877bdf482p-4, -0x1.ed0baa5b17a72p-4, -0x1.e7c8a7c1c1da6p-4, -0x1.e27e7993b13e8p-4, -0x1.dd2f013c62eeep-4, -0x1.d7dc08bb71a5bp-4, -0x1.d28743f34879cp-4, -0x1.cd324f96cb585p-4, -0x1.c7deb526ce8cdp-4, -0x1.c28de6ad76839p-4, -0x1.bd4144c6a0563p-4, -0x1.b7fa1c5da7dd3p-4, -0x1.b2b9a688ca923p-4, -0x1.ad810ce8404fbp-4, -0x1.a851633f8f916p-4, -0x1.a32bae501caa1p-4, -0x1.9e10e092bcc84p-4, -0x1.9901db496bfdp-4, -0x1.93ff6ecfbdf1fp-4, -0x1.8f0a5aceaae66p-4, -0x1.8a234f01e45ap-4, -0x1.854aea60669a1p-4, -0x1.8081bf73af546p-4, -0x1.7bc84ec63ab12p-4, -0x1.771f0d9df74a6p-4, -0x1.728662e79c919p-4, -0x1.6dfeaa7efe387p-4, -0x1.6988314453fbbp-4, -0x1.65233b88a8d83p-4, -0x1.60d0007a24d5dp-4, -0x1.5c8eacdddf857p-4, -0x1.585f62c45b122p-4, -0x1.54423a03fefbcp-4, -0x1.503740ab08767p-4, -0x1.4c3e7b1f0186ap-4, -0x1.4857e4f327918p-4, -0x1.4483717ff4c64p-4, -0x1.40c10c909fcfbp-4, -0x1.3d109953dd5c3p-4, -0x1.3971f6d04e2f6p-4, -0x1.35e4fc5a47a1cp-4, -0x1.32697d0c85a61p-4, -0x1.2eff46b31b7dcp-4, -0x1.2ba6230ca403bp-4, -0x1.285dd7ee4fc45p-4, -0x1.2526275bb69e4p-4, -0x1.21fed03f5146fp-4, -0x1.1ee78df9dc196p-4, -0x1.1be0194cd5138p-4, -0x1.18e827f7543ffp-4, -0x1.15ff6d6d38e9bp-4, -0x1.13259a7d37057p-4, -0x1.105a5d20293e3p-4, -0x1.0d9d62e2a15b9p-4, -0x1.0aee55a34db7dp-4, -0x1.084cdf2972aabp-4, -0x1.05b8a9974638ap-4, -0x1.03315abc31987p-4, -0x1.00b69a4e8dc53p-4, -0x1.fc901dac9bae4p-5, -0x1.f7cabe390e403p-5, -0x1.f31c63b406f8fp-5, -0x1.ee845c4dfd7e6p-5, -0x1.ea01f7493e741p-5, -0x1.e59484a273719p-5, -0x1.e1399e5005b54p-5, -0x1.dcf4880848d94p-5, -0x1.d8c263fddbf4ep-5, -0x1.d4a282fbbeec1p-5, -0x1.d0943884222b9p-5, -0x1.cc96db3d2ebd8p-5, -0x1.c8a9c51efb966p-5, -0x1.c4cc535794823p-5, -0x1.c0fde86a6e6cfp-5, -0x1.bd3de80bce835p-5, -0x1.b98bbe1523c21p-5, -0x1.b5e6d5e65f91cp-5, -0x1.b24ea1ca9c7d4p-5, -0x1.aec29666c0683p-5, -0x1.ab422dd11c8f8p-5, -0x1.a7cce4845afddp-5, -0x1.a4623b6cca453p-5, -0x1.a101b6cb57cb2p-5, -0x1.9daaddaf3330ap-5, -0x1.9a5d3bd828566p-5, -0x1.97185f5968a0ep-5, -0x1.93dbd9c5369f8p-5, -0x1.90a740323538bp-5, -0x1.8d7a2a2f5cfd8p-5, -0x1.8a5433a6a6665p-5, -0x1.8734fa8ab935bp-5, -0x1.841c20d1ab029p-5, -0x1.81094b2d1d9f1p-5, -0x1.7dfc224a6eb89p-5, -0x1.7af451946e1d2p-5, -0x1.77f187d3e0277p-5, -0x1.74f3788295aedp-5, -0x1.71f9d85ba0323p-5, -0x1.6f04600762348p-5, -0x1.6c12cf4a809eap-5, -0x1.6924e384bbdd2p-5, -0x1.663a60d82945ep-5, -0x1.63530eed0d329p-5, -0x1.606eb6b105231p-5, -0x1.5d8d2720f1c89p-5, -0x1.5aae30c646395p-5, -0x1.57d1a67eab5a2p-5, -0x1.54f7602f2b9c6p-5, -0x1.521f37772c74fp-5, -0x1.4f4909d68af98p-5, -0x1.4c74b654f1bfp-5, -0x1.49a21f7914138p-5, -0x1.46d12a54cb533p-5, -0x1.4401be1f40b21p-5, -0x1.4133c54227326p-5, -0x1.3e672bb4303f8p-5, -0x1.3b9bdf9eaba99p-5, -0x1.38d1d19df4522p-5, -0x1.3608f56873debp-5, -0x1.33413d40bfcdep-5, -0x1.307aa1daa18bfp-5, -0x1.2db51ad90864bp-5, -0x1.2af0a1dce7eb6p-5, -0x1.282d32e43602ap-5, -0x1.256acb4884dd4p-5, -0x1.22a969c751e3bp-5, -0x1.1fe90efb433ecp-5, -0x1.1d29bbf4eaee1p-5, -0x1.1a6b748ade1cbp-5, -0x1.17ae3ca2b4cc2p-5, -0x1.14f21aa14c0fap-5, -0x1.123713eb35838p-5, -0x1.0f7d3274d94d1p-5, -0x1.0cc47d8e77035p-5, -0x1.0a0d0077e263fp-5, -0x1.0756c545df634p-5, -0x1.04a1d8987ad8bp-5, -0x1.01ee47dcbbeefp-5, -0x1.fe783f5e7534ep-6, -0x1.f916de5e13938p-6, -0x1.f3b889c82cd01p-6, -0x1.ee5d6362fc651p-6, -0x1.e905888c54f5p-6, -0x1.e3b11d9eb24b4p-6, -0x1.de6044fdca231p-6, -0x1.d913222c7c71ep-6, -0x1.d3c9d91e8a19dp-6, -0x1.ce84917521e68p-6, -0x1.c9436ec695affp-6, -0x1.c406982b9ae1p-6, -0x1.bece34859967bp-6, -0x1.b99a6cc91646ap-6, -0x1.b46b6402eb39p-6, -0x1.af414664400e7p-6, -0x1.aa1c3a62897e7p-6, -0x1.a4fc67eb856efp-6, -0x1.9fe1f754d43b6p-6, -0x1.9acd0ff5f8746p-6, -0x1.95bddac2ee988p-6, -0x1.90b47e440109ep-6, -0x1.8bb122b1946cap-6, -0x1.86b3edf5b1092p-6, -0x1.81bd094da2b61p-6, -0x1.7ccc99c0f07bp-6, -0x1.77e2c4342b2c4p-6, -0x1.72ffb1ae449d8p-6, -0x1.6e238243d28e1p-6, -0x1.694e5d98fde17p-6, -0x1.648067e51c55dp-6, -0x1.5fb9c38095625p-6, -0x1.5afa9295e3fc6p-6, -0x1.5642f80842a2fp-6, -0x1.519318166cb3bp-6, -0x1.4ceb0c8661e37p-6, -0x1.484af91bf8667p-6, -0x1.43b2fbeddf429p-6, -0x1.3f23336e0248fp-6, -0x1.3a9bbc69fa557p-6, -0x1.361cb40eb6f5dp-6, -0x1.31a635547a9d8p-6, -0x1.2d385b1957b7ep-6, -0x1.28d33f1c8b9bep-6, -0x1.2476fa345c013p-6, -0x1.2023a3fe08cedp-6, -0x1.1bd9546d90e3bp-6, -0x1.17982102f6b01p-6, -0x1.13601eb3c2464p-6, -0x1.0f3161ac765bp-6, -0x1.0b0bfc678004fp-6, -0x1.06f00464ae55bp-6, -0x1.02dd8756f2681p-6, -0x1.fda92e1a2015cp-7, -0x1.f5aa851efecd3p-7, -0x1.edbf31548340fp-7, -0x1.e5e74c83ad932p-7, -0x1.de22f32e8dff1p-7, -0x1.d67233ab92234p-7, -0x1.ced52b549fc49p-7, -0x1.c74becc5b1e38p-7, -0x1.bfd6835e0f20dp-7, -0x1.b875054860f3bp-7, -0x1.b1277e846ce42p-7, -0x1.a9edf6c5ea2b6p-7, -0x1.a2c87f45868ebp-7, -0x1.9bb71e56282e3p-7, -0x1.94b9d3e99bca3p-7, -0x1.8dd0a87237ed1p-7, -0x1.86fba165e7dfep-7, -0x1.803aba009bbep-7, -0x1.798dfb418e46p-7, -0x1.72f55b8c009e7p-7, -0x1.6c70daf9abe2ap-7, -0x1.660071e61a506p-7, -0x1.5fa41ab24715bp-7, -0x1.595bccdc2831dp-7, -0x1.53277fda35633p-7, -0x1.4d0726180ff89p-7, -0x1.46fab27686be8p-7, -0x1.4102193d63f98p-7, -0x1.3b1d4a263027fp-7, -0x1.354c350acc368p-7, -0x1.2f8ec6618c2a3p-7, -0x1.29e4ec06ba92bp-7, -0x1.244e9171d7d4fp-7, -0x1.1ecb9fcf32e7cp-7, -0x1.195bffce1484fp-7, -0x1.13ff9c129e2d9p-7, -0x1.0eb65a1a696fep-7, -0x1.09801e6a2aecfp-7, -0x1.045ccfdd8fb88p-7, -0x1.fe98a4c7c872dp-8, -0x1.f49d0f7823d0fp-8, -0x1.eac6a5808e696p-8, -0x1.e1152435607f4p-8, -0x1.d78855a465f3ap-8, -0x1.ce1ff4f85511ap-8, -0x1.c4dbb94d26015p-8, -0x1.bbbb67c9b96d7p-8, -0x1.b2beb7a20fb0ep-8, -0x1.a9e564aaae5d9p-8, -0x1.a12f2778d2fdap-8, -0x1.98904aead6c09p-8, -0x1.901ed8f35ac65p-8, -0x1.87cfa457273c8p-8, -0x1.7fa25b28e033cp-8, -0x1.7796b31d6a4b3p-8, -0x1.6fac5f4ade30bp-8, -0x1.67e311778433ap-8, -0x1.603a7680d6222p-8, -0x1.58b247ab54a2dp-8, -0x1.514a29221996ep-8, -0x1.4a01cc907edb1p-8, -0x1.42d8e6aa339dap-8, -0x1.3bcf21043efcbp-8, -0x1.34e42929a29p-8, -0x1.2e17ac48287cbp-8, -0x1.27695a3740b96p-8, -0x1.20d8d40bdcd9cp-8, -0x1.1a65d44ee5956p-8, -0x1.140ff89d21844p-8, -0x1.0dd6f5561dedbp-8, -0x1.07ba7a1e11251p-8, -0x1.01ba2bb546f2cp-8, -0x1.f7ab5b53498aep-9, -0x1.ec196e1149dc2p-9, -0x1.e0bddb0cd222fp-9, -0x1.d597f8ac4c7a2p-9, -0x1.caa72a48929bcp-9, -0x1.bfeaa969d37b9p-9, -0x1.b561e22a3c3f8p-9, -0x1.ab0c31d565b15p-9, -0x1.a0e8da389384ap-9, -0x1.96f73445406c2p-9, -0x1.8d36a3dac546ep-9, -0x1.83a67a6a42a8cp-9, -0x1.7a461eb3c61e9p-9, -0x1.7114e01deae1bp-9, -0x1.68120cf15e9a4p-9, -0x1.5f3d0a320ab45p-9, -0x1.5695311543249p-9, -0x1.4e19de421689fp-9, -0x1.45ca6cf76b91ep-9, -0x1.3da63af763b74p-9, -0x1.35aca9c56f278p-9, -0x1.2ddd1060b4ce2p-9, -0x1.2636d9396d48fp-9, -0x1.1eb954bacba3ap-9, -0x1.1763f6ef64405p-9, -0x1.1036197d0cb9p-9, -0x1.092f1fd56a9a8p-9, -0x1.024e6ffc2935ep-9, -0x1.f726dd38e71d6p-10, -0x1.e9fb053f84b6ap-10, -0x1.dd182ba4694b8p-10, -0x1.d07d20988026bp-10, -0x1.c428b25c06724p-10, -0x1.b819c9965c9d8p-10, -0x1.ac4f297c2ba1cp-10, -0x1.a0c7a9647e824p-10, -0x1.958241740bacbp-10, -0x1.8a7dc54e8aaep-10, -0x1.7fb918dd8897dp-10, -0x1.7533225f10e8dp-10, -0x1.6aeac6535ce6fp-10, -0x1.60def5b92bcfap-10, -0x1.570ea4ef971c4p-10, -0x1.4d78b745d5c9fp-10, -0x1.441c299d8bf54p-10, -0x1.3af7e96de939dp-10, -0x1.320b08b2dd986p-10, -0x1.295456b5bef91p-10, -0x1.20d2fc921a1abp-10, -0x1.1885ef5043f75p-10, -0x1.106c3607d6c6ap-10, -0x1.0884ceeede2c4p-10, -0x1.00cecf9800848p-10, -0x1.f292822e22d6p-11, -0x1.e3e6902d61734p-11, -0x1.d597c041810cep-11, -0x1.c7a45c68c48bbp-11, -0x1.ba0a8af8b4f87p-11, -0x1.acc8997442802p-11, -0x1.9fdcbe60a2f43p-11, -0x1.934560bbd45f5p-11, -0x1.8700744bd1cafp-11, -0x1.7b0cd3cd84576p-11, -0x1.6f685e3b4862fp-11, -0x1.6411cabda1c3ap-11, -0x1.590740c4e9603p-11, -0x1.4e4751fca290ap-11, -0x1.43d081526fceep-11, -0x1.39a104d1ec3d9p-11, -0x1.2fb798581399bp-11, -0x1.26129e85af752p-11, -0x1.1cb0ad72daed3p-11, -0x1.139054cf9d565p-11, -0x1.0ab00b8f18767p-11, -0x1.020e9a5f72caep-11, -0x1.f354fec44cb4fp-12, -0x1.e304dc699ca08p-12, -0x1.d32a0c982c6bcp-12, -0x1.c3c20da9c9823p-12, -0x1.b4ca2827f6b8cp-12, -0x1.a63fe6aec0501p-12, -0x1.982088213351fp-12, -0x1.8a6a325b04e66p-12, -0x1.7d19cf224b56ep-12, -0x1.702d52a8a4f31p-12, -0x1.63a25245de69fp-12, -0x1.577681ef447p-12, -0x1.4ba79afe0f60bp-12, -0x1.403396b930eabp-12, -0x1.3517d57dc6c2p-12, -0x1.2a528c5f42af2p-12, -0x1.1fe1955bb8caep-12, -0x1.15c2da7696873p-12, -0x1.0bf4404910f1bp-12, -0x1.0273fb4895241p-12, -0x1.f27fc47b97948p-13, -0x1.e0ac55cae1a0dp-13, -0x1.cf69c56f95bcap-13, -0x1.beb473d3790acp-13, -0x1.ae88ed9a88939p-13, -0x1.9ee39ad222388p-13, -0x1.8fc113f6770aep-13, -0x1.811df58fc69a2p-13, -0x1.72f5f82792577p-13, -0x1.654735036e856p-13, -0x1.580ddf8009882p-13, -0x1.4b47297bc1fecp-13, -0x1.3eefcbdbffb6ep-13, -0x1.3304a05ff4a9bp-13, -0x1.2782ec61f4c61p-13, -0x1.1c67d67eb8708p-13, -0x1.11b06fe6fb3efp-13, -0x1.0759c50a1fca7p-13, -0x1.fac380ea34d1bp-14, -0x1.e78b1176ca9b5p-14, -0x1.d502038216e2dp-14, -0x1.c329b401b4dd1p-14, -0x1.b1f7b89d49a7ep-14, -0x1.a1692b659edd7p-14, -0x1.9179207248854p-14, -0x1.8222ef54204dfp-14, -0x1.73622ddd98178p-14, -0x1.65321f76569aep-14, -0x1.578e9b2b281d6p-14, -0x1.4a7401b9c9fa7p-14, -0x1.3ddcb076164fp-14, -0x1.31c5dd87de577p-14, -0x1.262b76b10b60fp-14, -0x1.1b08e585c6869p-14, -0x1.105b236aa1851p-14, -0x1.061ddf33edc69p-14, -0x1.f89bcaddf01ep-15, -0x1.e5cf626a89535p-15, -0x1.d3cf3d81b80f8p-15, -0x1.c2946de270f64p-15, -0x1.b2199e98dbafcp-15, -0x1.a256c2994babdp-15, -0x1.93473e89c908p-15, -0x1.84e508955b228p-15, -0x1.7725afd5c7c79p-15, -0x1.6a0b34f030d4p-15, -0x1.5d88eff556b29p-15, -0x1.519d68c2b5883p-15, -0x1.4642621b3d10dp-15, -0x1.3b721e644058cp-15, -0x1.3127d20357c14p-15, -0x1.275e5afccb26dp-15, -0x1.1e119e71e42e3p-15, -0x1.153c5b0eb9abfp-15, -0x1.0cd9ce7cac071p-15, -0x1.04e606ce89b06p-15, -0x1.fab8f09628ae3p-16, -0x1.ec71d3d32635bp-16, -0x1.deef6c45be972p-16, -0x1.d2275eb505363p-16, -0x1.c61b07738d298p-16, -0x1.bab1b21ad7adap-16, -0x1.aff2555c1fedbp-16, -0x1.a5d31528d574bp-16, -0x1.9c49f20060293p-16, -0x1.935332b50fb63p-16, -0x1.8ae6f8b3e061ap-16, -0x1.82ff7174c9242p-16, -0x1.7b977af0b148ep-16, -0x1.74a74020e2bf2p-16, -0x1.6e2ab44341f6cp-16, -0x1.681c066a23652p-16, -0x1.6275945bce2fbp-16, -0x1.5d32576ffc9cep-16, -0x1.584ca3cbacfc7p-16, -0x1.53c56fd896383p-16, -0x1.4f8a78471c52p-16, -0x1.4ba657b82d74p-16, -0x1.480b46bce9a38p-16, -0x1.44b8d0a6b67fdp-16, -0x1.41aa441c15184p-16, -0x1.3edb6aee6441bp-16, -0x1.3c4898d51fc35p-16, -0x1.39ee323acb3f7p-16, -0x1.37c8cb73a62e1p-16, -0x1.35d4949ba5f67p-16, -0x1.340ed587143a3p-16, -0x1.32742a343af21p-16, -0x1.31014333b29d9p-16, -0x1.2fb439f6e61b7p-16, -0x1.2e8847cf538dep-16, -0x1.2d7dbbcf9a2efp-16, -0x1.2c8a5d1047e7fp-16, -0x1.2bc0dcb6629a3p-16, -0x1.2aff76893da1p-16, -0x1.2a5a3bfc7c30ep-16, -0x1.29c85052d542p-16, -0x1.2947dcef4c22dp-16, -0x1.28d7a0c5a6975p-16, -0x1.28740c30b6954p-16, -0x1.281d845d4590ap-16, -0x1.27d0ae5a80cc2p-16, -0x1.278b9fabe2478p-16, -0x1.274dbf842fb6fp-16, -0x1.2714f548d4864p-16, -0x1.26e0a58e528bcp-16, -0x1.26adfa987e782p-16, -0x1.267d88c30fd6ep-16, -0x1.2648cbb964901p-16, -0x1.261917ccc1fc1p-16, -0x1.25e3fbdf1bcd3p-16, -0x1.25a310d0f10dcp-16, -0x1.25707787a8499p-16, -0x1.252a18e9689fdp-16, -0x1.24de299aeece5p-16, -0x1.248f6789fc034p-16, -0x1.2437afedb1e97p-16, -0x1.23d5b30109468p-16, -0x1.236d2e494fe37p-16, -0x1.22f7c80ecdc97p-16, -0x1.227bd55009fefp-16, -0x1.21f297c1a9a2bp-16, -0x1.2160af0a79e0ap-16, -0x1.20bff869f9f1p-16, -0x1.2016ae5ff009fp-16, -0x1.1f61069c3d06fp-16, -0x1.1e9e60e952ac3p-16, -0x1.1dcf41f1dae3dp-16, -0x1.1cf2bfb0ac289p-16, -0x1.1c094196bb9a5p-16, -0x1.1b1277d551823p-16, -0x1.1a09d34da5707p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5f9c29abed3fp+0, -0x1.50113f3f5a251p+0, -0x1.4009237e9e8f5p+0, -0x1.2faaab234784dp+0, -0x1.1f19186c07f9ap+0, -0x1.0e740762bbd56p+0, -0x1.fbaeeebc8f0ep-1, -0x1.dab7d531b2098p-1, -0x1.ba2d1dfef1c9ep-1, -0x1.9a3304794172fp-1, -0x1.7ae7f3b19ed56p-1, -0x1.5c653959b7685p-1, -0x1.3ebf46a08e15bp-1, -0x1.220673106014dp-1, -0x1.064745edfea89p-1, -0x1.d715e4fcd9e02p-2, -0x1.a3afa44d4a486p-2, -0x1.7263592728b7bp-2, -0x1.43342f32735a8p-2, -0x1.1621bd71c42a9p-2, -0x1.d650e18f63557p-3, -0x1.8483e53648766p-3, -0x1.36cb8f95988cep-3, -0x1.da2711ad47237p-4, -0x1.4e88fb7e7cc5ep-4, -0x1.951268ae817c5p-5, -0x1.37c22fd0f4709p-6, 0x1.3bd4234a0ad4ep-7, 0x1.2be6bc9751795p-5, 0x1.fb6dd70a3ef3bp-5, 0x1.5f0305f06e78fp-4, 0x1.ba15bf37393acp-4, 0x1.079675ec97aebp-3, 0x1.2f42ed6d2fa26p-3, 0x1.542e9c74c4cbep-3, 0x1.7677bdf42a776p-3, 0x1.963bd1676d4a1p-3, 0x1.b397a8a81140fp-3, 0x1.cea768d99d831p-3, 0x1.e78691440e913p-3, 0x1.fe4ffa7bf7f07p-3, 0x1.098ee5b3dd34ep-2, 0x1.1304b335cc695p-2, 0x1.1b95af5319d9p-2, 0x1.234db6cdf838dp-2, 0x1.2a383c34776ddp-2, 0x1.30604be071e28p-2, 0x1.35d08f5e5f589p-2, 0x1.3a935120ce7e7p-2, 0x1.3eb27a3772edcp-2, 0x1.423793b88dfe4p-2, 0x1.452bc4fc6f81ap-2, 0x1.4797d3de044d2p-2, 0x1.498425c983a62p-2, 0x1.4af8c1aa45fb9p-2, 0x1.4bfd54d70a98ep-2, 0x1.4c9934fccbd5dp-2, 0x1.4cd3641f3b5b7p-2, 0x1.4cb2931404443p-2, 0x1.4c3d234d1d506p-2, 0x1.4b792815b4fbap-2, 0x1.4a6c696dbf1acp-2, 0x1.491c61f752d5bp-2, 0x1.478e46fdba4c8p-2, 0x1.45c70644f533cp-2, 0x1.43cb4abd6c334p-2, 0x1.419f7f08cc36ap-2, 0x1.3f47d01735601p-2, 0x1.3cc82fc93579ep-2, 0x1.3a2457880b4f9p-2, 0x1.375fca1b3c3e2p-2, 0x1.347dd62b4f0aap-2, 0x1.3181982f5bcccp-2, 0x1.2e6dfc2d5af51p-2, 0x1.2b45bfe7b7056p-2, 0x1.280b74957fb61p-2, 0x1.24c180e688f4p-2, 0x1.216accb8ee98cp-2, 0x1.1e08191666cfcp-2, 0x1.1a9c03f0ba36fp-2, 0x1.17285d5fd0b6fp-2, 0x1.13aed45262de3p-2, 0x1.1030f90be4624p-2, 0x1.0cb03eb4d2202p-2, 0x1.092dfd1c9b78fp-2, 0x1.05ab720383d96p-2, 0x1.0229c2a74e1a3p-2, 0x1.fd53fa1fed91fp-3, 0x1.f65a32a99d2efp-3, 0x1.ef67f55645009p-3, 0x1.e87ee2757eafbp-3, 0x1.e1a0716c89791p-3, 0x1.dacdfc80b2522p-3, 0x1.d408b86bd153ep-3, 0x1.cd51bc43cb7bap-3, 0x1.c6aa0248098afp-3, 0x1.c01269befc9d4p-3, 0x1.b98bb87da05b4p-3, 0x1.b3169ceac6de3p-3, 0x1.acb3afa5bb45p-3, 0x1.a663757990c4ap-3, 0x1.a026601740749p-3, 0x1.99fccfbbb65afp-3, 0x1.93e71736273a7p-3, 0x1.8de5747f96daep-3, 0x1.87f81f25e94adp-3, 0x1.821f3d2bef44cp-3, 0x1.7c5aeb1983284p-3, 0x1.76ab39dcb68a2p-3, 0x1.711030dff41c5p-3, 0x1.6b89ce3b3f1e5p-3, 0x1.6618079a80efep-3, 0x1.60bacb3d368dcp-3, 0x1.5b71ff6796d01p-3, 0x1.563d857307604p-3, 0x1.511d37ad71ef7p-3, 0x1.4c10eb8c92007p-3, 0x1.471871bf15c1bp-3, 0x1.423396d3672aep-3, 0x1.3d622355bacf8p-3, 0x1.38a3dca92e618p-3, 0x1.33f885cd52501p-3, 0x1.2f5fde13b1d5dp-3, 0x1.2ad9a3d7d6ca5p-3, 0x1.266592efc0a9ep-3, 0x1.2203661832eb2p-3, 0x1.1db2d6623d031p-3, 0x1.19739cab33e21p-3, 0x1.1545700a91c21p-3, 0x1.112807dc52834p-3, 0x1.0d1b1a7036719p-3, 0x1.091e5ea9fb7fdp-3, 0x1.05318ac728875p-3, 0x1.01545579e1709p-3, 0x1.fb0cecf4d54fdp-4, 0x1.f38f48ad9344p-4, 0x1.ec2f2db44dc53p-4, 0x1.e4ec0d6f901bfp-4, 0x1.ddc55ae4580ap-4, 0x1.d6ba89b2b2536p-4, 0x1.cfcb0fe6adb7p-4, 0x1.c8f6655ffbc76p-4, 0x1.c23c03e776c9bp-4, 0x1.bb9b67c9e512ep-4, 0x1.b5140e8b4d417p-4, 0x1.aea57a8fccffp-4, 0x1.a84f2e0f7c67p-4, 0x1.a210ac9fdccf9p-4, 0x1.9be980a71b417p-4, 0x1.95d93426abe72p-4, 0x1.8fdf5496a120bp-4, 0x1.89fb6fbf1eaa3p-4, 0x1.842d1a60bf94ap-4, 0x1.7e73e875ebbc1p-4, 0x1.78cf7138953bbp-4, 0x1.733f4f880091cp-4, 0x1.6dc31eab9352ap-4, 0x1.685a7efedd1f6p-4, 0x1.630511eaa5732p-4, 0x1.5dc27b8e421edp-4, 0x1.589261f57bf6ap-4, 0x1.53747016ca555p-4, 0x1.4e685085288d7p-4, 0x1.496dae9ab2d26p-4, 0x1.44843e05edc8p-4, 0x1.3fabb2d4a51cp-4, 0x1.3ae3bc4c82413p-4, 0x1.362c12bf71978p-4, 0x1.31846ee61b1c4p-4, 0x1.2cec8b9d4fcc1p-4, 0x1.2864261687634p-4, 0x1.23eafcf45767cp-4, 0x1.1f80d0d5f61d4p-4, 0x1.1b2565977fc87p-4, 0x1.16d87e1291e9ap-4, 0x1.1299e28da379p-4, 0x1.0e6959515e37bp-4, 0x1.0a46acbc6744ep-4, 0x1.0631a8146e7p-4, 0x1.022a17ff5cfcap-4, 0x1.fc5f95bf2a10bp-5, 0x1.f48520bb80137p-5, 0x1.ecc472e7e66bep-5, 0x1.e51d32368ef3bp-5, 0x1.dd8f04f6c3a71p-5, 0x1.d61994c476668p-5, 0x1.cebc908d3e257p-5, 0x1.c777a44513a48p-5, 0x1.c04a804903d57p-5, 0x1.b934dc759602dp-5, 0x1.b23668fd0897ep-5, 0x1.ab4ee03430184p-5, 0x1.a47df682a95b5p-5, 0x1.9dc36b370d6e9p-5, 0x1.971ef9d68a83bp-5, 0x1.9090601b17b2fp-5, 0x1.8a175dd312224p-5, 0x1.83b3b5976a42p-5, 0x1.7d6528e54dccfp-5, 0x1.772b7d08da003p-5, 0x1.7106767998c7fp-5, 0x1.6af5dd9f1d60fp-5, 0x1.64f9797ba72e7p-5, 0x1.5f11141b89748p-5, 0x1.593c7742834d8p-5, 0x1.537b6e19deea9p-5, 0x1.4dcdc74035ea7p-5, 0x1.48334db285ddap-5, 0x1.42abd08f69b43p-5, 0x1.3d371fac4faccp-5, 0x1.37d508cc9ee63p-5, 0x1.32855ed377e7ap-5, 0x1.2d47f28ac33fcp-5, 0x1.281c94871a86fp-5, 0x1.23031b978beb8p-5, 0x1.1dfb573efc669p-5, 0x1.19051da6eeed2p-5, 0x1.14204000778ep-5, 0x1.0f4c96d9cd867p-5, 0x1.0a89f545f71e6p-5, 0x1.05d833d8a3357p-5, 0x1.013726df6b1f6p-5, 0x1.f94d4bc2f629ep-6, 0x1.f04d0e031892ap-6, 0x1.e76d45d7b25f9p-6, 0x1.deada237c2e3p-6, 0x1.d60dd3816e6bap-6, 0x1.cd8d8b08d861ep-6, 0x1.c52c799ff422bp-6, 0x1.bcea5279bc24cp-6, 0x1.b4c6c5e5a0b0bp-6, 0x1.acc18bbe091ddp-6, 0x1.a4da5277a724fp-6, 0x1.9d10d13a31815p-6, 0x1.9564bb475d052p-6, 0x1.8dd5c72e9a3f7p-6, 0x1.8663a669b3b4ep-6, 0x1.7f0e11ae1e4b2p-6, 0x1.77d4bef61e274p-6, 0x1.70b763464183ap-6, 0x1.69b5b453f6136p-6, 0x1.62cf6e2f939ep-6, 0x1.5c044257c22efp-6, 0x1.5553ea429a7ecp-6, 0x1.4ebe1e394eb83p-6, 0x1.48429593f8993p-6, 0x1.41e108f85c617p-6, 0x1.3b9931793c39fp-6, 0x1.356ac75505f59p-6, 0x1.2f5583ce5bdd1p-6, 0x1.2959204ef323dp-6, 0x1.237556234816bp-6, 0x1.1da9e0331880bp-6, 0x1.17f6776c1fdf3p-6, 0x1.125ad6bf0990ep-6, 0x1.0cd6b9457c3b1p-6, 0x1.0769d8361b422p-6, 0x1.0213f151633ddp-6, 0x1.f9a979c97329cp-7, 0x1.ef57f26b9c50cp-7, 0x1.e532c1ae6ba4dp-7, 0x1.db3961cc940aap-7, 0x1.d16b4ac825fd1p-7, 0x1.c7c7f34b5decbp-7, 0x1.be4edd9402d4ap-7, 0x1.b4ff7d79976c1p-7, 0x1.abd94e0f35172p-7, 0x1.a2dbcef8b1ddfp-7, 0x1.9a0678cc7f47cp-7, 0x1.9158cdd966ba9p-7, 0x1.88d24952ba3a7p-7, 0x1.807267015a051p-7, 0x1.7838abfcfbe0ap-7, 0x1.702493a168188p-7, 0x1.6835a140e5934p-7, 0x1.606b51517162bp-7, 0x1.58c52b8fc07b1p-7, 0x1.5142b0430d7b4p-7, 0x1.49e36328cd786p-7, 0x1.42a6c85283de3p-7, 0x1.3b8c65ce82c0cp-7, 0x1.3493c09f81b29p-7, 0x1.2dbc5fa669429p-7, 0x1.2705cb42877a2p-7, 0x1.206f8b3e0c779p-7, 0x1.19f9260edc8c4p-7, 0x1.13a229ca85702p-7, 0x1.0d6a21caa8807p-7, 0x1.075092da89f71p-7, 0x1.01551392bbec4p-7, 0x1.f6ee581b4bd89p-8, 0x1.eb6cdce8d01e3p-8, 0x1.e024bed9f038fp-8, 0x1.d5153500b5949p-8, 0x1.ca3d5fb0cf056p-8, 0x1.bf9c5c800e12fp-8, 0x1.b5315415d04e4p-8, 0x1.aafb719429c76p-8, 0x1.a0f9dd9d7f3aep-8, 0x1.972bc27a7874p-8, 0x1.8d9050369cadfp-8, 0x1.8426b60b67016p-8, 0x1.7aee29c5c4a44p-8, 0x1.71e5db66571efp-8, 0x1.690d0181767d6p-8, 0x1.6062d9076503cp-8, 0x1.57e699ae0addap-8, 0x1.4f977f57aef96p-8, 0x1.4774c6c7ba861p-8, 0x1.3f7db8c48a417p-8, 0x1.37b1918864632p-8, 0x1.300f92931a5dfp-8, 0x1.28970a5841016p-8, 0x1.21473e7e4d76ep-8, 0x1.1a1f7a5f7657fp-8, 0x1.131f0d2b6f22p-8, 0x1.0c4546049d799p-8, 0x1.059171777bb2ep-8, 0x1.fe05c443de08ap-9, 0x1.f131ec790c081p-9, 0x1.e4a60b3756b18p-9, 0x1.d860d06b25a5bp-9, 0x1.cc60e10e60365p-9, 0x1.c0a50f0bd2888p-9, 0x1.b52c159356bc3p-9, 0x1.a9f4bd104c34dp-9, 0x1.9efdbeb610772p-9, 0x1.9445f77cd2076p-9, 0x1.89cc38413bb4ep-9, 0x1.7f8f4e63e7c7p-9, 0x1.758e1272d771dp-9, 0x1.6bc76bd8807c3p-9, 0x1.623a35b1ecd1cp-9, 0x1.58e551aaec7edp-9, 0x1.4fc7b2d5e96a2p-9, 0x1.46e03c44ee6cap-9, 0x1.3e2df361fe176p-9, 0x1.35afba7604fc5p-9, 0x1.2d648ec525bf6p-9, 0x1.254b6e86902fcp-9, 0x1.1d635a21db67ap-9, 0x1.15a826a709e59p-9, 0x1.0e1f3632a55bbp-9, 0x1.06c47dbfcd37ap-9, 0x1.ff2df8aea0f9fp-10, 0x1.f12b98dcd2f65p-10, 0x1.e380115657c0fp-10, 0x1.d6296d06252d9p-10, 0x1.c9265c02bdaa9p-10, 0x1.bc74cc0525839p-10, 0x1.b012fe85a9f17p-10, 0x1.a3ff58bbba832p-10, 0x1.983859ada1c43p-10, 0x1.8cbc44e43b942p-10, 0x1.81898ed19a1a1p-10, 0x1.769ea4247a79bp-10, 0x1.6bf9ea97f5325p-10, 0x1.619a1806b91e6p-10, 0x1.577d89750fe86p-10, 0x1.4da2c184eada1p-10, 0x1.44084ef8a1d25p-10, 0x1.3aacd3d0fb55fp-10, 0x1.318ef5b48239bp-10, 0x1.28ad6911cdb85p-10, 0x1.2006b9cf887a7p-10, 0x1.1799a9abd0b64p-10, 0x1.0f64d79331c7bp-10, 0x1.076736674ad9dp-10, 0x1.ff3ead10f10b2p-11, 0x1.f0180c08ed5edp-11, 0x1.e1583d598cac9p-11, 0x1.d2fcf0d9d864p-11, 0x1.c503d3a0e25d8p-11, 0x1.b76a9d1b9e8dep-11, 0x1.aa2ede02762d8p-11, 0x1.9d4f1040cde51p-11, 0x1.90c87157173c6p-11, 0x1.84990bff477ap-11, 0x1.78bf099d9b8dep-11, 0x1.6d3837df38ad7p-11, 0x1.6202a84c5c04fp-11, 0x1.571c6aa790f1dp-11, 0x1.4c839a6e40a68p-11, 0x1.4236849bc9e61p-11, 0x1.3832f501b8a8bp-11, 0x1.2e7792de010cep-11, 0x1.250227dac790fp-11, 0x1.1bd176d53f4f4p-11, 0x1.12e3921ee307ap-11, 0x1.0a36d7078a007p-11, 0x1.01c9ad2ebafeap-11, 0x1.f33513673b741p-12, 0x1.e34f9b784a00fp-12, 0x1.d3e01c7c70359p-12, 0x1.c4e380d936bb8p-12, 0x1.b656d515f35f2p-12, 0x1.a837c1686a31dp-12, 0x1.9a826bb2612f7p-12, 0x1.8d34e68647f58p-12, 0x1.804c754b76596p-12, 0x1.73c66fc6d2c3p-12, 0x1.67a03f2278ff3p-12, 0x1.5bd764cc38a9bp-12, 0x1.50698f55031f4p-12, 0x1.455448d85c6d7p-12, 0x1.3a94ced87791ap-12, 0x1.302978eeab989p-12, 0x1.261001f5912b9p-12, 0x1.1c45e8e53c258p-12, 0x1.12c8898425476p-12, 0x1.099740cc505cbp-12, 0x1.00af004901596p-12, 0x1.f01bfd95e3f82p-13, 0x1.df636f351bc61p-13, 0x1.cf33c2b39c89cp-13, 0x1.bf85adf42c0ep-13, 0x1.b05794ac6ed7bp-13, 0x1.a1a4fa2320f68p-13, 0x1.936b2d918f81ap-13, 0x1.85a651f78a8efp-13, 0x1.7853451fa772bp-13, 0x1.6b6eedca0f67dp-13, 0x1.5ef4bf18a659ap-13, 0x1.52e4d83b205e3p-13, 0x1.4738edf3725p-13, 0x1.3bf04bc226703p-13, 0x1.3106ec3a65bd7p-13, 0x1.267a3a6a356edp-13, 0x1.1c47abd8fbfbep-13, 0x1.126c8df879c55p-13, 0x1.08e63389bbb45p-13, 0x1.ff64b1a3f8fep-14, 0x1.ed9c6962ece91p-14, 0x1.dc6f1bea1052dp-14, 0x1.cbd8c980434e6p-14, 0x1.bbd352d14172ep-14, 0x1.ac5b9c3736f32p-14, 0x1.9d6d1c0ccaed7p-14, 0x1.8f0359cd0c50ep-14, 0x1.811a55e1ca13bp-14, 0x1.73adfdc14583p-14, 0x1.66babadcd7bd8p-14, 0x1.5a3c63a14ccb5p-14, 0x1.4e2fd8d507b05p-14, 0x1.428db50c88669p-14, 0x1.375cd58ab6f25p-14, 0x1.2c8e1ce021a5bp-14, 0x1.22243562afa4cp-14, 0x1.181a18cd37692p-14, 0x1.0e6e4528ddbb2p-14, 0x1.051c251066ec8p-14, 0x1.f843c352f1513p-15, 0x1.e6f65c699ad67p-15, 0x1.d64cc81a54826p-15, 0x1.c643e438434bp-15, 0x1.b6ce9d93186fbp-15, 0x1.a7ed43b28614bp-15, 0x1.999ee19a432a9p-15, 0x1.8bd68151a0dd3p-15, 0x1.7e93d4886beep-15, 0x1.71d21004b33dap-15, 0x1.658d0af7a1fd5p-15, 0x1.59bdbaeae7505p-15, 0x1.4e60e830226bep-15, 0x1.4375a19224f9dp-15, 0x1.38f6506f678a6p-15, 0x1.2edaa8292fdebp-15, 0x1.252513bc2c043p-15, 0x1.1bd10b0603156p-15, 0x1.12d7d53d986dcp-15, 0x1.0a38a120829d9p-15, 0x1.01ed0be959534p-15, 0x1.f3f0683bbff73p-16, 0x1.e4a605f733ecep-16, 0x1.d5f116d7e403bp-16, 0x1.c7d36d3c66649p-16, 0x1.ba410c4d2b8e7p-16, 0x1.ad3c1adf5515dp-16, 0x1.a0ac1f73bd993p-16, 0x1.94acd522ef3adp-16, 0x1.89203c9bdd595p-16, 0x1.7e0817cd1115dp-16, 0x1.735fedfe8542cp-16, 0x1.692355ea3062p-16, 0x1.5f4df9251d364p-16, 0x1.55de9676de4f2p-16, 0x1.4cc950c9f606ap-16, 0x1.4412127341a45p-16, 0x1.3bb2176c76eb8p-16, 0x1.33a5ec3c1faffp-16, 0x1.2beb67f072234p-16, 0x1.247b817844c48p-16, 0x1.1d57412efd4e9p-16, 0x1.1678dafbc3c48p-16, 0x1.0fda06590b03fp-16, 0x1.0981ba20e0bb2p-16, 0x1.0364c2527e5f7p-16, 0x1.fb03fcb1b65d7p-17, 0x1.efb2587ccb464p-17, 0x1.e4cb221c47944p-17, 0x1.da48e8890da1cp-17, 0x1.d02e574fbbdf1p-17, 0x1.c66b15c687279p-17, 0x1.bd036182976b4p-17, 0x1.b3ea048d8a40ap-17, 0x1.ab2b5cb673a04p-17, 0x1.a2b835d49e854p-17, 0x1.9a89793f6fa52p-17, 0x1.92abe5bfd079p-17, 0x1.8af70a9e818bcp-17, 0x1.839d4d5af31d8p-17, 0x1.7c75ebf9d589cp-17, 0x1.7584e6b92448dp-17, 0x1.6ecd0e52cd56ap-17, 0x1.68451c886f70cp-17, 0x1.61e8cc12e5f7p-17, 0x1.5bcd5920ae07p-17, 0x1.55c9269bc1b26p-17, 0x1.4ffff23ad7f84p-17, 0x1.4a4cd04df123ap-17, 0x1.44ca95d0660fp-17, 0x1.3f5ee07a28f9fp-17, 0x1.3a1d93b97ed5cp-17, 0x1.35039ca386232p-17, 0x1.2ff57371687d8p-17, 0x1.2b0d1f029be5fp-17, 0x1.2636dfe72512bp-17, 0x1.218498bf6b91ap-17, 0x1.1cea0b7fb7013p-17, 0x1.18573f9080f73p-17, 0x1.13dfb30b7f58ep-17, 0x1.0f7ca1e0be2cep-17, 0x1.0b29c4024c3b3p-17, 0x1.06eebe7ebad44p-17, 0x1.02b9452db4a0cp-17, 0x1.fd35330ed1e28p-18, 0x1.f509c7324112dp-18, 0x1.ecfe2f37d035cp-18, 0x1.e508e7403b202p-18, 0x1.dd2bad2c35cf1p-18, 0x1.d55f3b2099a88p-18, 0x1.cdbf67aa8a98fp-18, 0x1.c6143c2a25b8dp-18, 0x1.be858b593789ep-18, 0x1.b702708156de6p-18, 0x1.af93a3564fd28p-18, 0x1.a836a30e98f4ap-18, 0x1.a0ddd7e9c5a43p-18, 0x1.99a3a494addeep-18, 0x1.925e517bdcfdfp-18, 0x1.8b2b9844f0b34p-18, 0x1.8422435e1478cp-18, 0x1.7cf7f7cdeb276p-18, 0x1.75e5d5f2cdf7bp-18, 0x1.6ee2d3e82bed5p-18, 0x1.67e642bfa9761p-18, 0x1.60f128c353341p-18, 0x1.5a03cf26dc50dp-18, 0x1.531cee6e98f5bp-18, 0x1.4c3e04f2212a3p-18, 0x1.457bd11635eacp-18, 0x1.3e8f6c365f79p-18, 0x1.37d998f6b52e5p-18, 0x1.310b29fdc5e4fp-18, 0x1.2a519b044aa6dp-18, 0x1.239d5cc82a1bcp-18, 0x1.1ce33ff598153p-18, 0x1.165f007d44f7p-18, 0x1.0f95eaae155a2p-18, 0x1.09038d699611ep-18, 0x1.027ef2b851422p-18, 0x1.f7d3ada4c4385p-19, 0x1.eac9af7edf7b5p-19, 0x1.ddc928dc9742cp-19, 0x1.d0d7436581b56p-19, 0x1.c3f686f254d4p-19, 0x1.b720ad3241647p-19, 0x1.aa5870333463dp-19, 0x1.9da5f1461b127p-19, 0x1.90ff32a585f79p-19, 0x1.846d8a2dae2d9p-19, 0x1.77e2c10366d67p-19, 0x1.6b75be9f9e725p-19, 0x1.5ef035ef13c94p-19, 0x1.52d54b528f253p-19, 0x1.467b89a2c1f0ep-19, 0x1.3a4c4ddf90012p-19, 0x1.2e335de9fe3a9p-19, 0x1.223d22a5ee18p-19, 0x1.161d3dfb7fa67p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9954744e9b36ap+0, -0x1.93602a9168fa2p+0, -0x1.8d18abc367a61p+0, -0x1.86890d25de748p+0, -0x1.7fbbdf07976adp+0, -0x1.78bb1b3e5ccd8p+0, -0x1.719019e15b3e7p+0, -0x1.6a438b2a53e5p+0, -0x1.62dd75e81ca17p+0, -0x1.5b6538bf3398dp+0, -0x1.53e18db86d0e5p+0, -0x1.4c58916ff0947p+0, -0x1.44cfc81707b31p+0, -0x1.3d4c2795db2cap+0, -0x1.35d21e6357307p+0, -0x1.2e659d237ff79p+0, -0x1.270a202416e9bp+0, -0x1.1fc2b669f46e4p+0, -0x1.18920ba879343p+0, -0x1.117a70fa07256p+0, -0x1.0a7de353e8f6fp+0, -0x1.039e130eaf179p+0, -0x1.f9b8d9bff1282p-1, -0x1.ec743e4d9d3efp-1, -0x1.df703e9083f43p-1, -0x1.d2ae602dda321p-1, -0x1.c62fcf683652ep-1, -0x1.b9f5678655f2cp-1, -0x1.adffba6298896p-1, -0x1.a24f1a092f861p-1, -0x1.96e39f0df350fp-1, -0x1.8bbd2f74a6d3cp-1, -0x1.80db84bb2771p-1, -0x1.763e323b13a85p-1, -0x1.6be4a5a997ef2p-1, -0x1.61ce3138e5983p-1, -0x1.57fa0c9d8c53bp-1, -0x1.4e67587cf9d57p-1, -0x1.4515224ec1ed2p-1, -0x1.3c0266521a9a5p-1, -0x1.332e12a92e1d2p-1, -0x1.2a9709a555374p-1, -0x1.223c247b12c48p-1, -0x1.1a1c3429ac091p-1, -0x1.123603b5c9cf1p-1, -0x1.0a885939775f4p-1, -0x1.0311f77b40c56p-1, -0x1.f7a33d9f5d77ep-2, -0x1.e98c1c60415efp-2, -0x1.dbdc092b836c8p-2, -0x1.ce908319fe646p-2, -0x1.c1a70c643c6e2p-2, -0x1.b51d2b22c0a82p-2, -0x1.a8f06b7acf017p-2, -0x1.9d1e5f224a23bp-2, -0x1.91a49ec3fb04cp-2, -0x1.8680cb4ce4adap-2, -0x1.7bb08e558cc74p-2, -0x1.71319ac0cc061p-2, -0x1.6701add83924fp-2, -0x1.5d1e8e95e04d3p-2, -0x1.53860e5a53d3bp-2, -0x1.4a360a8c10261p-2, -0x1.412c6abe0fb3ep-2, -0x1.38672287b5502p-2, -0x1.2fe4310f11b2cp-2, -0x1.27a1a1104be89p-2, -0x1.1f9d89531f912p-2, -0x1.17d60ba5d3a14p-2, -0x1.104955e636bcdp-2, -0x1.08f5a1c0ba78cp-2, -0x1.01d9346e6b76fp-2, -0x1.f5e4bda55165fp-3, -0x1.e87efad99c70bp-3, -0x1.db7df03ce4ebep-3, -0x1.cede843b2b8c5p-3, -0x1.c29db347d62e8p-3, -0x1.b6b88d66cfa7ap-3, -0x1.ab2c3c85cc2a8p-3, -0x1.9ff5fc2ab51bcp-3, -0x1.95131ea521a8dp-3, -0x1.8a810a0744e98p-3, -0x1.803d38078b7d8p-3, -0x1.764535f0cffbdp-3, -0x1.6c96a418b9519p-3, -0x1.632f358d5be28p-3, -0x1.5a0caf536eb05p-3, -0x1.512ce973ce26bp-3, -0x1.488dcb3d2f4f9p-3, -0x1.402d4e7baf9edp-3, -0x1.38097c16e5cf7p-3, -0x1.30206f81e5a9ap-3, -0x1.2870505a26fd2p-3, -0x1.20f757c559f93p-3, -0x1.19b3ccdb13c16p-3, -0x1.12a404fb79b17p-3, -0x1.0bc6635d63fep-3, -0x1.0519591302efap-3, -0x1.fd36c6e45b731p-4, -0x1.f0961a4508f5p-4, -0x1.e44dd859a20e4p-4, -0x1.d85b47e992021p-4, -0x1.ccbbc55d090fep-4, -0x1.c16cc0de299dep-4, -0x1.b66bc679704dap-4, -0x1.abb67065816dep-4, -0x1.a14a710364bdbp-4, -0x1.97258d17cdc5ep-4, -0x1.8d459c792847cp-4, -0x1.83a889b85ce51p-4, -0x1.7a4c50af8beep-4, -0x1.712efea03c0b1p-4, -0x1.684eafd333436p-4, -0x1.5fa996a287531p-4, -0x1.573deb5865573p-4, -0x1.4f09fc38b6c7ep-4, -0x1.470c23c25a9eap-4, -0x1.3f42ca84df241p-4, -0x1.37ac6690d67b6p-4, -0x1.30477b18a1e45p-4, -0x1.291297cd992cdp-4, -0x1.220c5865ab3b7p-4, -0x1.1b3364d0af21ap-4, -0x1.14867045fb526p-4, -0x1.0e0437599e1c2p-4, -0x1.07ab82cdddb76p-4, -0x1.017b2735df93cp-4, -0x1.f6e3fa253414p-5, -0x1.eb1ddb77e0ab3p-5, -0x1.dfa1cd97d55cap-5, -0x1.d46dc1da1972ep-5, -0x1.c97fb7952d533p-5, -0x1.bed5c0d22b07ap-5, -0x1.b46dfe8d0cf2p-5, -0x1.aa46a04c2f77dp-5, -0x1.a05de6d557643p-5, -0x1.96b21f2581d2ap-5, -0x1.8d41a5285ef54p-5, -0x1.840adfea9b5c4p-5, -0x1.7b0c466d69f75p-5, -0x1.72445a1e76ec9p-5, -0x1.69b1a85b7a789p-5, -0x1.6152cb1886b93p-5, -0x1.592665aef70cdp-5, -0x1.512b29432a1d8p-5, -0x1.495fcb8abfde9p-5, -0x1.41c31256fe924p-5, -0x1.3a53ccba16e3fp-5, -0x1.3310cdd9a2907p-5, -0x1.2bf8f5ca1e47dp-5, -0x1.250b2d9a7bde9p-5, -0x1.1e4665c014d2ep-5, -0x1.17a9947243498p-5, -0x1.1133bdc73648fp-5, -0x1.0ae3e3d14fa73p-5, -0x1.04b91843cc68fp-5, -0x1.fd64ee160941dp-6, -0x1.f19e2b00a844dp-6, -0x1.e61c32e73c0c1p-6, -0x1.dadd59b7bd3ep-6, -0x1.cfe00167c8547p-6, -0x1.c5228daf4b61ap-6, -0x1.baa379ae99de6p-6, -0x1.b0614f74cec22p-6, -0x1.a65a8f51f8da4p-6, -0x1.9c8dd89c8ddabp-6, -0x1.92f9c6b639d42p-6, -0x1.899d05ffe0066p-6, -0x1.80764a7819e6p-6, -0x1.778450d4e412cp-6, -0x1.6ec5de232ee0ap-6, -0x1.6639c0e3e681bp-6, -0x1.5ddecd77d4aacp-6, -0x1.55b3e4e18e0b7p-6, -0x1.4db7e70b1977ap-6, -0x1.45e9ca9650647p-6, -0x1.3e487a8e6e4f4p-6, -0x1.36d2f5b83a643p-6, -0x1.2f883bc77f8b2p-6, -0x1.2867572cfc725p-6, -0x1.216f53dee6707p-6, -0x1.1a9f48d6ff708p-6, -0x1.13f650c0aa82fp-6, -0x1.0d738737e312ep-6, -0x1.0716172721078p-6, -0x1.00dd2bb8d5e73p-6, -0x1.f58fdd2d9807p-7, -0x1.e9ab388811e5cp-7, -0x1.de0add92c6182p-7, -0x1.d2ad3bcb47578p-7, -0x1.c790e9c76f4d8p-7, -0x1.bcb46e703e44bp-7, -0x1.b2166e7e80dc8p-7, -0x1.a7b580a97ac4dp-7, -0x1.9d90509b00788p-7, -0x1.93a58f3d0691fp-7, -0x1.89f3fda867e65p-7, -0x1.807a53abb007cp-7, -0x1.77375483bd255p-7, -0x1.6e29ea061f6b8p-7, -0x1.6550d0bbbfb4fp-7, -0x1.5caaec85c332fp-7, -0x1.5437281f361eap-7, -0x1.4bf45e656ffb2p-7, -0x1.43e18dd8f1e83p-7, -0x1.3bfdb0086c1c4p-7, -0x1.3447a91c45551p-7, -0x1.2cbe94205fb9bp-7, -0x1.25616f54fe1cap-7, -0x1.1e2f447c62ec5p-7, -0x1.172731838c4a9p-7, -0x1.10484272e2cfap-7, -0x1.099197468384cp-7, -0x1.03025665bf288p-7, -0x1.f93330c08cc25p-8, -0x1.ecad2e916411cp-8, -0x1.e070ee38ec3b5p-8, -0x1.d47ceeb5446ebp-8, -0x1.c8cf9b33021c5p-8, -0x1.bd6752c312f7dp-8, -0x1.b242b0dabe311p-8, -0x1.a7603c2ae03ddp-8, -0x1.9cbe7db8fa493p-8, -0x1.925c14a2e8665p-8, -0x1.8837a0b791321p-8, -0x1.7e4fc852873bfp-8, -0x1.74a341d630f36p-8, -0x1.6b30b2f6cfbb8p-8, -0x1.61f6e8874f467p-8, -0x1.58f4a0332792ap-8, -0x1.5028b16bad246p-8, -0x1.4791c8b02fed4p-8, -0x1.3f2ee2006ba06p-8, -0x1.36fecd787354bp-8, -0x1.2f006ea8854dap-8, -0x1.2732a90e6f78cp-8, -0x1.1f947dac14e27p-8, -0x1.1824cffbcb6a9p-8, -0x1.10e2a14824bc9p-8, -0x1.09cce85a4878ap-8, -0x1.02e2b9c0d07d4p-8, -0x1.f84624e12e3bp-9, -0x1.eb19fa54fea2bp-9, -0x1.de3f3a6bee608p-9, -0x1.d1b4088203828p-9, -0x1.c576a0e80d049p-9, -0x1.b985391065442p-9, -0x1.adde4c0e3d39fp-9, -0x1.a28004d2017d1p-9, -0x1.9768cf5155714p-9, -0x1.8c9712491b153p-9, -0x1.82096c50e9e2ep-9, -0x1.77bddb5080302p-9, -0x1.6db357e9e14dep-9, -0x1.63e8427e8b8dep-9, -0x1.5a5b2b3f4a7a3p-9, -0x1.510aaf2f67d2ep-9, -0x1.47f5598ab61b8p-9, -0x1.3f19fcaf5832ap-9, -0x1.367720c83c021p-9, -0x1.2e0b86f82a172p-9, -0x1.25d5e32a9d79p-9, -0x1.1dd5103c1b1f9p-9, -0x1.1607cbb18bb5bp-9, -0x1.0e6ccd9f1c0cap-9, -0x1.0703219efeab9p-9, -0x1.ff92b1e13bf88p-10, -0x1.f17d2aff2ae52p-10, -0x1.e3c36645c1cc8p-10, -0x1.d663220ce14cp-10, -0x1.c95a5613b8a3p-10, -0x1.bca6b24eb39ep-10, -0x1.b0471ee8cb781p-10, -0x1.a438b66f10c0fp-10, -0x1.9879d4968f6aap-10, -0x1.8d08afcbf2fa8p-10, -0x1.81e35893389c8p-10, -0x1.770806666d349p-10, -0x1.6c7513bc895f7p-10, -0x1.6228ab226002dp-10, -0x1.582122e0ba419p-10, -0x1.4e5cd8b135803p-10, -0x1.44da2ee7ff0ap-10, -0x1.3b9781401bc9dp-10, -0x1.329352d2695edp-10, -0x1.29cc6075a4005p-10, -0x1.2140d145e01d8p-10, -0x1.18ef51152f9d1p-10, -0x1.10d656ea2b0d6p-10, -0x1.08f4fee89a66ep-10, -0x1.01496a76057cbp-10, -0x1.f3a4a6af7b6e7p-11, -0x1.e51dab28976c3p-11, -0x1.d6fa9034fcdc5p-11, -0x1.c93930b1fa782p-11, -0x1.bbd75d7031affp-11, -0x1.aed19cb643219p-11, -0x1.a226e77bdad1cp-11, -0x1.95d473779a24bp-11, -0x1.89d846c594a5ep-11, -0x1.7e30008bdae14p-11, -0x1.72d9965ad032cp-11, -0x1.67d2b969fd575p-11, -0x1.5d1a3971dea2p-11, -0x1.52ad457364b2fp-11, -0x1.488a3e190e555p-11, -0x1.3eaf3e9dcd01ep-11, -0x1.351a72b13923cp-11, -0x1.2bc9cd6ff330cp-11, -0x1.22bc5dc620b64p-11, -0x1.19ef5f0c02392p-11, -0x1.116231dbef51cp-11, -0x1.091265192885ep-11, -0x1.00feac4b6445cp-11, -0x1.f24ae6ebb2526p-12, -0x1.e30ae7f9f058ap-12, -0x1.d4397d58cbbc3p-12, -0x1.c5d39c218d584p-12, -0x1.b7d7e8087e217p-12, -0x1.aa429aa886a7cp-12, -0x1.9d10b8f8abebp-12, -0x1.904047ca0a917p-12, -0x1.83ce9212fc9f1p-12, -0x1.77b9254a3f571p-12, -0x1.6bfd0fe3882bap-12, -0x1.60986d504f43ep-12, -0x1.5588d256deaf5p-12, -0x1.4acbfa538915ap-12, -0x1.405f8dfc3900fp-12, -0x1.3641777e3cb4dp-12, -0x1.2c6fa3d7b88cfp-12, -0x1.22e80bf2deca6p-12, -0x1.19a8aa16dcf02p-12, -0x1.10af3c148c01p-12, -0x1.07f9fabc9fbd7p-12, -0x1.ff0e70fbdcc8fp-13, -0x1.eeaa28da302fbp-13, -0x1.dec3d17e69a65p-13, -0x1.cf576410bf812p-13, -0x1.c061bf6a26e72p-13, -0x1.b1df83ac2eb83p-13, -0x1.a3cbef289c5a2p-13, -0x1.9626ff1ec737ap-13, -0x1.88ed73185e388p-13, -0x1.7c1ab6674f5bfp-13, -0x1.6fac33da9f8ebp-13, -0x1.639e72d2556f4p-13, -0x1.57f02f8d02323p-13, -0x1.4c9d8500d701cp-13, -0x1.41a644475aa94p-13, -0x1.370448a01781p-13, -0x1.2cb52cdcbad09p-13, -0x1.22b98fe243ec1p-13, -0x1.190dc8fb94b56p-13, -0x1.0faf62e3db726p-13, -0x1.069c297d42e1bp-13, -0x1.fba408488d92bp-14, -0x1.ea9d327c90b79p-14, -0x1.da22fa891f3acp-14, -0x1.ca2ad293d2ddap-14, -0x1.bab393f4d8888p-14, -0x1.abbc4830f8c74p-14, -0x1.9d3f2d61fe72ap-14, -0x1.8f38ac99fc111p-14, -0x1.81a572f051beap-14, -0x1.7481df6e25ed4p-14, -0x1.67cb72c192dfcp-14, -0x1.5b7f83cd60f75p-14, -0x1.4f97697ef916ap-14, -0x1.4410e1d12576dp-14, -0x1.38ec74f7e49cap-14, -0x1.2e25266c9eb6bp-14, -0x1.23b8433ca90f5p-14, -0x1.19a2ee9ecb99cp-14, -0x1.0fe379fe67b15p-14, -0x1.06741495bc1ap-14, -0x1.faae13982d61p-15, -0x1.e90aa4635e3adp-15, -0x1.d80179d714824p-15, -0x1.c788485554c02p-15, -0x1.b79a7f43d28b2p-15, -0x1.a837fd3d9e0bdp-15, -0x1.99581d9ca26b2p-15, -0x1.8af90b5863224p-15, -0x1.7d16c313513c8p-15, -0x1.6faedd1ffb4fdp-15, -0x1.62b5afc814861p-15, -0x1.56327147d7cb4p-15, -0x1.4a19fef345f92p-15, -0x1.3e6cc613cc2fbp-15, -0x1.3325592f180f1p-15, -0x1.28415d179c85fp-15, -0x1.1dbd9d8ab3d07p-15, -0x1.1396b079c838bp-15, -0x1.09c93b5e7680ep-15, -0x1.0053a84cc7a46p-15, -0x1.ee71e7e21b00dp-16, -0x1.dcd274fc282cp-16, -0x1.cbc1cb8163266p-16, -0x1.bb588eb043629p-16, -0x1.ab82677d16512p-16, -0x1.9c3af0be46d74p-16, -0x1.8d7d67f52b86dp-16, -0x1.7f4536b1b4cbfp-16, -0x1.718d6b6e41252p-16, -0x1.64539336d3206p-16, -0x1.579118545a1a1p-16, -0x1.4b4d1e5086797p-16, -0x1.3f70005e70d8fp-16, -0x1.33f6d59ce0ebfp-16, -0x1.28ef5c8c7d47fp-16, -0x1.1e4f2a61efdfdp-16, -0x1.14117f8fa052p-16, -0x1.0a2f925178eb6p-16, -0x1.00a5ea4537759p-16, -0x1.eef553bbb752ep-17, -0x1.dd4619d41fb5ap-17, -0x1.cc30e209c8e3cp-17, -0x1.bbcc6560af2f3p-17, -0x1.abf8e344a44e7p-17, -0x1.9cb90d9727ca7p-17, -0x1.8e0cec5b1d1ecp-17, -0x1.7fd040d89fd8cp-17, -0x1.723af4412cab9p-17, -0x1.6520d875f3f43p-17, -0x1.58788b315ad6cp-17, -0x1.4c48102820d1cp-17, -0x1.408ad042e3893p-17, -0x1.353d13355efd7p-17, -0x1.2a59f9dd5c5f8p-17, -0x1.1fde2483bb21cp-17, -0x1.15c2ed5704dddp-17, -0x1.0c0babbb7ea71p-17, -0x1.02ad94fc3c572p-17, -0x1.f36ddd23d263ap-18, -0x1.e1c49ab265037p-18, -0x1.d13928c324e2p-18, -0x1.c11ef17413bfep-18, -0x1.b19c4d9a159c7p-18, -0x1.a2ac71c752119p-18, -0x1.944f111d627efp-18, -0x1.866ec493bbbadp-18, -0x1.7918454ba3004p-18, -0x1.6c41e74512a8fp-18, -0x1.5fd86a6cd9b32p-18, -0x1.53efe6643e01fp-18, -0x1.4877cc00789e1p-18, -0x1.3d6c1b5abee85p-18, -0x1.32b365bed7e18p-18, -0x1.2880e8de75d86p-18, -0x1.1e9b5b35a8582p-18, -0x1.15091519238c6p-18, -0x1.0be4124ab8c4bp-18, -0x1.030dbaf639a9bp-18, -0x1.f503f6ae838aep-19, -0x1.e49d0d3409964p-19, -0x1.d49c855f75503p-19, -0x1.c587dfa512a0ep-19, -0x1.b6b8ff544cca9p-19, -0x1.a87bc747ee1f9p-19, -0x1.9ae280f041eep-19, -0x1.8d921d0fab2a6p-19, -0x1.80d1458037ab6p-19, -0x1.74868edc404ep-19, -0x1.68960f7385366p-19, -0x1.5d06e2477dc66p-19, -0x1.521770f218b04p-19, -0x1.476431904bb66p-19, -0x1.3d0358f559779p-19, -0x1.3306040ef6c04p-19, -0x1.2965daa2adc16p-19, -0x1.1fdc0031a44bep-19, -0x1.16fc0bec320afp-19, -0x1.0e5083a1fa23dp-19, -0x1.05d50335deb8p-19, -0x1.fb517642b054ap-20, -0x1.eb8378d96cc4bp-20, -0x1.dc0e31dc9690bp-20, -0x1.cd9ca2f369c44p-20, -0x1.bef670f11bd6ap-20, -0x1.b106cfc55b3afp-20, -0x1.a382e5e19b6e6p-20, -0x1.9669db9ad4013p-20, -0x1.89b18fa4df79ep-20, -0x1.7d529f10374eep-20, -0x1.7181cb1861fe2p-20, -0x1.65d7d66469f47p-20, -0x1.5a43fe9dd0155p-20, -0x1.4f7bf1497c7a9p-20, -0x1.44d676c939bc7p-20, -0x1.3a718db71821ep-20, -0x1.3061a90e1a88bp-20, -0x1.268a2b5be8718p-20, -0x1.1d1a5ac6b292dp-20, -0x1.13942a987e983p-20, -0x1.0aa8e88301525p-20, -0x1.01d4d01e1d87bp-20, -0x1.f27eddd6c750dp-21, -0x1.e1b06d423d22dp-21, -0x1.d1603cb57ac3dp-21, -0x1.c1506dc501413p-21, -0x1.b1695365f1d0fp-21, -0x1.a30a831d9b6cep-21, -0x1.931f07c888deep-21, -0x1.8575f6a9e7873p-21, -0x1.771c03b212e6p-21, -0x1.695bb6f81b2d8p-21, -0x1.5ba833d6bf6f3p-21, -0x1.4eecf9cb5b2adp-21, -0x1.40f8ff0c7174dp-21, -0x1.34ed6f6637879p-21, -0x1.287cce7288b85p-21, -0x1.1c6709698005ap-21, -0x1.10a212bcfa3a8p-21, -0x1.04ed981db0e15p-21, -0x1.f347231e4b46fp-22, -0x1.dcb06d0a051cdp-22, -0x1.c745b266fe104p-22, -0x1.b0b312570155p-22, -0x1.9c95c0428914fp-22, -0x1.88ac89beb7892p-22, -0x1.731c67d007db8p-22, -0x1.5fe02edc79536p-22, -0x1.4d881a657e0c5p-22, -0x1.39c1efc705f39p-22, -0x1.2713b9f76d668p-22, -0x1.14e894c8e7c22p-22, -0x1.032f1768c0f37p-22, -0x1.e4e7c4deb51a6p-23, -0x1.c08994b1e54dep-23, -0x1.9e937ea88b308p-23, -0x1.7d91dd04f5fa1p-23, -0x1.5d544405e8165p-23, -0x1.3b9e6b0805cf9p-23, -0x1.1e4d9093752d8p-23, -0x1.fe2e15c940f9cp-24, -0x1.c217fb8f02f7ap-24, -0x1.877ae5f28834p-24, -0x1.4d57f4b588dfbp-24, -0x1.14a5857db39c4p-24, -0x1.b838f3316fd58p-25, -0x1.53594c8e9bf76p-25, -0x1.c6efc934969e6p-26, -0x1.eeb8dfa790a54p-27, -0x1.3211414014d94p-29, 0x1.45b384c4754d9p-27, 0x1.63a047f5be107p-26, 0x1.15955999a0c37p-25, 0x1.6e38c081c8c3cp-25, 0x1.cffccd23d089bp-25, 0x1.0ff462b1002e2p-24, 0x1.45104ebbb1497p-24, 0x1.6b6fdb80eaf03p-24, 0x1.964b00f14d174p-24, 0x1.bf3098f1cb153p-24, 0x1.e784bf5d8dc14p-24, 0x1.0795d22fd97a9p-23, 0x1.1ac5d232fd99p-23, 0x1.2da0041553418p-23, 0x1.40178e504282ap-23, 0x1.504e1cde0c2afp-23, 0x1.6423bf833d034p-23, 0x1.7336db3a3e013p-23, 0x1.8531cf4844b9bp-23, 0x1.951e640addfc4p-23, 0x1.a4c4b48f90a61p-23, 0x1.b39e71e62132dp-23, 0x1.c1fb3d5f1d641p-23, 0x1.d2b5cc063a738p-23, 0x1.dd2acf1571b7dp-23, 0x1.eea51bc526c81p-23, 0x1.fa053ce7107afp-23, 0x1.0371b7a773d21p-22, 0x1.09a4ee173b4a4p-22, 0x1.100c24a71602bp-22, 0x1.151a6ae76bb19p-22, 0x1.1b14d1ce9017cp-22, 0x1.209475c14c458p-22, 0x1.25b58424a384ap-22, 0x1.2acb76cac1debp-22, 0x1.2f8c09c0ae3f2p-22, 0x1.344f01f5ce898p-22, 0x1.38b035ce4286ap-22, 0x1.3da7c3d66629dp-22, 0x1.4097c7709b21ap-22, 0x1.4512295bd399fp-22, 0x1.48da5bf78b796p-22, 0x1.4c65d7ab79a13p-22, 0x1.4f928c335ec5bp-22, 0x1.52a68e6de18ap-22, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9afbc7439d9d3p+0, -0x1.87b9150d33c92p+0, -0x1.6d513790253b6p+0, -0x1.4d36591d07dcfp+0, -0x1.28c6ba77e5a22p+0, -0x1.014457a741e6cp+0, -0x1.af9fdbf60059ap-1, -0x1.5acdbf6318d9dp-1, -0x1.05c5e75a9b043p-1, -0x1.63edd2219e14ap-2, -0x1.8239dbc4228d8p-3, -0x1.28374011feaa1p-5, 0x1.bbd9e9fb36003p-4, 0x1.f3741b00e69cep-3, 0x1.7a8021d8459a5p-2, 0x1.f0cc2d54c4385p-2, 0x1.2e2f8ba96a0f1p-1, 0x1.5e96763c83d5bp-1, 0x1.89a997c8e4dc6p-1, 0x1.af88a7c885cdcp-1, 0x1.d060ba10e637ap-1, 0x1.ec68c4641a743p-1, 0x1.01ef849634117p+0, 0x1.0b838c9177f51p+0, 0x1.1313e401adb17p+0, 0x1.18c4a9ce87fa2p+0, 0x1.1cba1369aeb84p+0, 0x1.1f17ff083bec4p+0, 0x1.2001862f8b15dp+0, 0x1.1f9898fb60c28p+0, 0x1.1dfdbfced76b6p+0, 0x1.1b5003d9f8499p+0, 0x1.17acdfe3242f1p+0, 0x1.133023a619e3ap+0, 0x1.0df3e6822c905p+0, 0x1.08106c744cf9fp+0, 0x1.019c4057b6359p+0, 0x1.f5589dd549628p-1, 0x1.e6a7fdcd6a616p-1, 0x1.d74a78f56c4bbp-1, 0x1.c760fb2a92896p-1, 0x1.b7099139772f7p-1, 0x1.a65f8887d6013p-1, 0x1.957ba0b61b74dp-1, 0x1.847445c9ee7c4p-1, 0x1.735dc62a8b044p-1, 0x1.624a7c26affc7p-1, 0x1.514ae9cf3a45fp-1, 0x1.406dcd8fe0546p-1, 0x1.2fc036a251d2cp-1, 0x1.1f4d9ebace102p-1, 0x1.0f2009057d648p-1, 0x1.fe8048229229bp-2, 0x1.df6ad7072587dp-2, 0x1.c10c8c2eead32p-2, 0x1.a3703e998d8bdp-2, 0x1.869ef7a60c123p-2, 0x1.6aa01356ae82p-2, 0x1.4f795c3a8b5a6p-2, 0x1.352f26e6be1ebp-2, 0x1.1bc46fbea1cd3p-2, 0x1.033afca4c74dep-2, 0x1.d72700df6da73p-3, 0x1.a99b7b848e73fp-3, 0x1.7dd14c92ce55cp-3, 0x1.53c4e9ecdf4b7p-3, 0x1.2b7186a77aba4p-3, 0x1.04d136689656dp-3, 0x1.bfba16ca2f0f2p-4, 0x1.791a6873a5eeap-4, 0x1.35b23146774aep-4, 0x1.eaddd89966db5p-5, 0x1.7079f13b3cb11p-5, 0x1.f81f3243535adp-6, 0x1.1ae89a751edap-6, 0x1.23e37bad73547p-8, -0x1.f8235bdd15618p-8, -0x1.3adab914c2eb8p-6, -0x1.ed1807c6ef844p-6, -0x1.4abb7034405ecp-5, -0x1.9a28c03749bb1p-5, -0x1.e500948038d5bp-5, -0x1.15b7766ed5f3bp-4, -0x1.36cf897c196e1p-4, -0x1.55ddc74fbbc54p-4, -0x1.72f7100019352p-4, -0x1.8e2fde48f5abap-4, -0x1.a79c449df1e2ep-4, -0x1.bf4fec12b47a7p-4, -0x1.d55e0dccfef7bp-4, -0x1.e9d96eb4298ecp-4, -0x1.fcd45734f3f05p-4, -0x1.073046d972ce8p-3, -0x1.0f47a713592c6p-3, -0x1.16b8a24768f8ap-3, -0x1.1d8b43e190ef6p-3, -0x1.23c74b24293bap-3, -0x1.29742a4cdcefcp-3, -0x1.2e99071d1fb47p-3, -0x1.333cbb7462a69p-3, -0x1.3765d786b7594p-3, -0x1.3b1aa387d5adcp-3, -0x1.3e612309f6d5ap-3, -0x1.413f17cbb617ap-3, -0x1.43ba044866e72p-3, -0x1.45d72f24edaa3p-3, -0x1.479ba597caa32p-3, -0x1.490c3de9e9f3ep-3, -0x1.4a2d99a891902p-3, -0x1.4b0427b9f832bp-3, -0x1.4b9425cfccac9p-3, -0x1.4be1a23098d8bp-3, -0x1.4bf07d09e3f57p-3, -0x1.4bc468daaa38p-3, -0x1.4b60ed980b237p-3, -0x1.4ac967c439a2cp-3, -0x1.4a010ace8b9cep-3, -0x1.490ae20b9a0fep-3, -0x1.47e9d20d90137p-3, -0x1.46a09a1075a9ep-3, -0x1.4531d57ac58a5p-3, -0x1.439ffd6fa18dfp-3, -0x1.41ed6a3b4516p-3, -0x1.401c5565988e6p-3, -0x1.3e2edad932ec5p-3, -0x1.3c26fa8dce63cp-3, -0x1.3a0699d1c224p-3, -0x1.37cf859428a6cp-3, -0x1.3583721543242p-3, -0x1.3323fd85d1cbep-3, -0x1.30b2b0482f7c6p-3, -0x1.2e30fe46ee3e9p-3, -0x1.2ba047a7f8d2cp-3, -0x1.2901d9c64142ap-3, -0x1.2656effee7b61p-3, -0x1.23a0b470f82b4p-3, -0x1.20e040dff31a6p-3, -0x1.1e169f4bcafa6p-3, -0x1.1b44cb17f4b3ep-3, -0x1.186bb1152a996p-3, -0x1.158c3102829dcp-3, -0x1.12a71d9775075p-3, -0x1.0fbd3d8e5cb1bp-3, -0x1.0ccf4c2e7a521p-3, -0x1.09ddf9ba82c64p-3, -0x1.06e9ec5835a0ap-3, -0x1.03f3c0298cb15p-3, -0x1.00fc081d11603p-3, -0x1.fc069cd45d658p-4, -0x1.f61429bf32348p-4, -0x1.f021aab825eb5p-4, -0x1.ea3004ce0646cp-4, -0x1.e4400f233d31cp-4, -0x1.de5292fd9b745p-4, -0x1.d8684e0ec7353p-4, -0x1.d281f196258c6p-4, -0x1.cca022e1a4074p-4, -0x1.c6c37ec49f2bap-4, -0x1.c0ec96bd149b7p-4, -0x1.bb1bf39393798p-4, -0x1.b55215057ea4bp-4, -0x1.af8f72cbde085p-4, -0x1.a9d47c813381ap-4, -0x1.a4219a38cea08p-4, -0x1.9e772d7f1bfd3p-4, -0x1.98d490d875146p-4, -0x1.933c4e3336f84p-4, -0x1.8dad82a3ba7d8p-4, -0x1.882873eba74a5p-4, -0x1.82ad62ad1d0c1p-4, -0x1.7d3c8ad0fb7fcp-4, -0x1.77d623dd786ccp-4, -0x1.727a6179eb58p-4, -0x1.6d29731219a8bp-4, -0x1.67e3855ed3909p-4, -0x1.62a8c0c42a3d7p-4, -0x1.5d794b901ff59p-4, -0x1.58554874e7e5ap-4, -0x1.533cd7d69b5ep-4, -0x1.4e3016bacaa82p-4, -0x1.492f1fdea2fb8p-4, -0x1.443a0bb427c4p-4, -0x1.3f50efc5b7fe9p-4, -0x1.3a73dfb407f39p-4, -0x1.35a2ec6445ab4p-4, -0x1.30de24b6b775cp-4, -0x1.2c2595951f047p-4, -0x1.2779496cb9b4fp-4, -0x1.22d9491872bcep-4, -0x1.1e459b597042ap-4, -0x1.19be45465e9d1p-4, -0x1.15434a3ffb018p-4, -0x1.10d4ac135a523p-4, -0x1.0c726b02b3285p-4, -0x1.081c860595605p-4, -0x1.03d2facbbdaa9p-4, -0x1.ff2b8af1d8103p-5, -0x1.f6c9c35cf8038p-5, -0x1.ee8093a390534p-5, -0x1.e64fed19169c7p-5, -0x1.de37c1713314dp-5, -0x1.d638003187c42p-5, -0x1.ce50967c9f202p-5, -0x1.c6817121c79cdp-5, -0x1.beca7afc245c7p-5, -0x1.b72b9cfd5a4eep-5, -0x1.afa4c071daf24p-5, -0x1.a835cbab77ab3p-5, -0x1.a0dea55f79dacp-5, -0x1.999f335120636p-5, -0x1.9277590ab2984p-5, -0x1.8b66f9f62144cp-5, -0x1.846df82d9805fp-5, -0x1.7d8c3536ef257p-5, -0x1.76c191127ec44p-5, -0x1.700deb7c88acep-5, -0x1.6971232ab70cep-5, -0x1.62eb1610e3c59p-5, -0x1.5c7ba05a7ad3bp-5, -0x1.56229f8ed2468p-5, -0x1.4fdfedb0afa22p-5, -0x1.49b365f463d9ap-5, -0x1.439ce25ab1b1fp-5, -0x1.3d9c3be19e30cp-5, -0x1.37b14b1bdf1aap-5, -0x1.31dbe7e319be4p-5, -0x1.2c1be98981918p-5, -0x1.267126c57ecb8p-5, -0x1.20db760b5bd82p-5, -0x1.1b5aabfc5df02p-5, -0x1.15ee9ef8e9811p-5, -0x1.1097228e33bb1p-5, -0x1.0b540c8c2fad8p-5, -0x1.06252ee2b8d4ap-5, -0x1.010a5e6b9d267p-5, -0x1.f806da9c78fe8p-6, -0x1.ee205e759dda3p-6, -0x1.e460ed93c8c66p-6, -0x1.dac82a8587d68p-6, -0x1.d155bc0e68e4fp-6, -0x1.c80943cd13b2dp-6, -0x1.bee264008563dp-6, -0x1.b5e0c1febdd6p-6, -0x1.ad03fe86b8563p-6, -0x1.a44bbbda59202p-6, -0x1.9bb79c119c045p-6, -0x1.934740da0702dp-6, -0x1.8afa4a54d2accp-6, -0x1.82d05acd887bp-6, -0x1.7ac912db42a19p-6, -0x1.72e41365530a3p-6, -0x1.6b20fbd6bcf1bp-6, -0x1.637f6f54d731dp-6, -0x1.5bff0c189cb0fp-6, -0x1.549f73453fc54p-6, -0x1.4d6044ff6fa55p-6, -0x1.4641225e74df4p-6, -0x1.3f41ab3916c0ep-6, -0x1.38618076d9de6p-6, -0x1.31a04231d61f6p-6, -0x1.2afd919e26fp-6, -0x1.24790f1774924p-6, -0x1.1e125b84756c4p-6, -0x1.17c9194bedb13p-6, -0x1.119ce751d30bap-6, -0x1.0b8d68f3edd9fp-6, -0x1.059a40fb17fd3p-6, -0x1.ff861e567f279p-7, -0x1.f40eefc8629eep-7, -0x1.e8ce3843fba94p-7, -0x1.ddc33f86df56bp-7, -0x1.d2ed50a77520fp-7, -0x1.c84baabee92ecp-7, -0x1.bddd9bb1d505fp-7, -0x1.b3a26aeef7f5p-7, -0x1.a999677f5fa1p-7, -0x1.9fc1d72f35d26p-7, -0x1.961b07eaf09acp-7, -0x1.8ca446cdbf819p-7, -0x1.835ce1f3eb598p-7, -0x1.7a442a5e9c6d2p-7, -0x1.71596e9f44202p-7, -0x1.689c00fd61eb6p-7, -0x1.600b34f9b5803p-7, -0x1.57a65c3a6f25dp-7, -0x1.4f6cce9b021b7p-7, -0x1.475de1873c50ap-7, -0x1.3f78ec8282dp-7, -0x1.37bd4b2757a59p-7, -0x1.302a5248b8cc6p-7, -0x1.28bf623f9d637p-7, -0x1.217bd57d49ccep-7, -0x1.1a5f0fb7ffe76p-7, -0x1.13686b9154a7dp-7, -0x1.0c974acf2b085p-7, -0x1.05eb118ae19f6p-7, -0x1.fec64a3024566p-8, -0x1.f1fdd108472b6p-8, -0x1.e57b86f6dc722p-8, -0x1.d93e42407f969p-8, -0x1.cd44d2db94699p-8, -0x1.c18e11dea36ebp-8, -0x1.b618d6e7e2212p-8, -0x1.aae403222edabp-8, -0x1.9fee7810bd609p-8, -0x1.953711c0bf19fp-8, -0x1.8abcbf8c8fd7ap-8, -0x1.807e679baf736p-8, -0x1.767af899b78bdp-8, -0x1.6cb15dd551366p-8, -0x1.63208fbeeaefp-8, -0x1.59c78641ae74cp-8, -0x1.50a537e518dffp-8, -0x1.47b8a279a403cp-8, -0x1.3f00c674ea184p-8, -0x1.367ca5ceade0ep-8, -0x1.2e2b49ac1b779p-8, -0x1.260bbc2315b73p-8, -0x1.1e1d0728bca67p-8, -0x1.165e3dd0fc303p-8, -0x1.0ece6d4b4105fp-8, -0x1.076cb3670222ep-8, -0x1.003827fb095ffp-8, -0x1.f25fcc83397c1p-9, -0x1.e4a61f7fc3c46p-9, -0x1.d7418f08e2558p-9, -0x1.ca30686f6f29bp-9, -0x1.bd70f7394b91bp-9, -0x1.b101a33845d5ep-9, -0x1.a4e0c05c96167p-9, -0x1.990cb8376a45bp-9, -0x1.8d83f42c353a8p-9, -0x1.8244e83196c9ap-9, -0x1.774e107cb9512p-9, -0x1.6c9de199c2fe1p-9, -0x1.6232e2cf4cf1cp-9, -0x1.580ba4f822af5p-9, -0x1.4e26b140c3e45p-9, -0x1.4482a09eab26cp-9, -0x1.3b1e0f95c0c65p-9, -0x1.31f7a06b6bd27p-9, -0x1.29059da142f82p-9, -0x1.2057276f00fe2p-9, -0x1.17e2d449a32b6p-9, -0x1.0fa76be012f35p-9, -0x1.07a3a4a8c0ef5p-9, -0x1.ffac7dc7ffecfp-10, -0x1.f07c1bd3dbdb8p-10, -0x1.e1b3af432e23cp-10, -0x1.d350dc5bada08p-10, -0x1.c5517a6592248p-10, -0x1.b7b326ffb27b8p-10, -0x1.aa73a28add9a3p-10, -0x1.9d90d126d2209p-10, -0x1.910888e4bcdc5p-10, -0x1.84d8affa49cd9p-10, -0x1.78ff3a88b91dbp-10, -0x1.6d7a1a8816c49p-10, -0x1.62474ca55a2f8p-10, -0x1.5764ec197080cp-10, -0x1.4cd114471247ep-10, -0x1.4289dacae664fp-10, -0x1.388d68a82794cp-10, -0x1.2ed9ea2e11462p-10, -0x1.256da46bbeb25p-10, -0x1.1c46d878ce69fp-10, -0x1.1363b8c3fef87p-10, -0x1.0ac2e008a4813p-10, -0x1.026267f4296f7p-10, -0x1.f481a346afdfcp-11, -0x1.e4b90e59f0a3p-11, -0x1.d567f98e9b036p-11, -0x1.c68b63319420fp-11, -0x1.b82056e74e2e8p-11, -0x1.aa23dfb93a279p-11, -0x1.9c9371388633cp-11, -0x1.8f6bf17570e8ap-11, -0x1.82aad5e764fefp-11, -0x1.764d5205ab347p-11, -0x1.6a50e816dd3a3p-11, -0x1.5eb2fce482269p-11, -0x1.5371292b1500ep-11, -0x1.4888dd80c1d14p-11, -0x1.3df7dc4a908p-11, -0x1.33bba36be32a5p-11, -0x1.29d1fa2c683f7p-11, -0x1.2038d36d4af0fp-11, -0x1.16edaf1bb19efp-11, -0x1.0dee7ddfc493bp-11, -0x1.05394db3df34fp-11, -0x1.f997f8db8aab3p-12, -0x1.e94917aa0c453p-12, -0x1.d98206cb71368p-12, -0x1.ca3f1352c196p-12, -0x1.bb7c01d1a8212p-12, -0x1.ad363693837dcp-12, -0x1.9f6916bd37104p-12, -0x1.9211ad0b54396p-12, -0x1.852c84e23367p-12, -0x1.78b621cb66bep-12, -0x1.6cab5d0c08c91p-12, -0x1.61090a3eb3875p-12, -0x1.55cc1560e85c7p-12, -0x1.4af1683730cd8p-12, -0x1.40763b48b13f6p-12, -0x1.365786d45e5acp-12, -0x1.2c928b18d97b7p-12, -0x1.23248d63f64e6p-12, -0x1.1a0ad9be384a1p-12, -0x1.1142dc45ff935p-12, -0x1.08ca05bc3f995p-12, -0x1.009dde309df8ap-12, -0x1.f177fa52d837p-13, -0x1.e24406da13866p-13, -0x1.d39c2adcfdaf7p-13, -0x1.c57a3d38c5b0ap-13, -0x1.b7db2ad9b362bp-13, -0x1.aaba1bf98228cp-13, -0x1.9e13983227e26p-13, -0x1.91e3218a8c47dp-13, -0x1.8624c2286740dp-13, -0x1.7ad4d66debdcep-13, -0x1.6ff007c676516p-13, -0x1.6571a766a3cc9p-13, -0x1.5b574b9c8106cp-13, -0x1.519d7a50bbd14p-13, -0x1.48405f05ff48fp-13, -0x1.3f3cde216aaafp-13, -0x1.369024e7ccf0ep-13, -0x1.2e36e556c3ca6p-13, -0x1.262e1ac2a317fp-13, -0x1.1e731d09834fbp-13, -0x1.1703406a23f4cp-13, -0x1.0fdb75b286ce3p-13, -0x1.08f92916a752fp-13, -0x1.025a73c83fe9p-13, -0x1.f7f75ff3578b4p-14, -0x1.ebb66208e9287p-14, -0x1.dfed4aaa9ac17p-14, -0x1.d497278acc1c3p-14, -0x1.c9aed356cfe7bp-14, -0x1.bf33013b9fe9ap-14, -0x1.b51bff9bca32ep-14, -0x1.ab678acbe6047p-14, -0x1.a211b4af97066p-14, -0x1.9916128246125p-14, -0x1.9071855d771f5p-14, -0x1.882074abf8466p-14, -0x1.801f3ac269ee1p-14, -0x1.786af6c2d54e8p-14, -0x1.70ffffd0d363bp-14, -0x1.69dc9eec909b6p-14, -0x1.62fa9021f9cc5p-14, -0x1.5c59bff7c040ep-14, -0x1.55f6ac07fe8fap-14, -0x1.4fcea8d4805a3p-14, -0x1.49df420622f4p-14, -0x1.442513a73fd2cp-14, -0x1.3e9ebda3c346cp-14, -0x1.3949227023a5cp-14, -0x1.342319b60316cp-14, -0x1.2f28b4d74acfep-14, -0x1.2a592d0986332p-14, -0x1.25b20d281578ep-14, -0x1.2131d7a70e57p-14, -0x1.1cd679a45e43ap-14, -0x1.189c96ed78db2p-14, -0x1.14845454b9dfp-14, -0x1.108ba221fee07p-14, -0x1.0cb0bf8f5912bp-14, -0x1.08f1ad000f28fp-14, -0x1.054e0a772669fp-14, -0x1.01c3756d2a0f8p-14, -0x1.fca0c51694deep-15, -0x1.f5e89a3e58943p-15, -0x1.ef5b48367e08bp-15, -0x1.e8f6fc5623795p-15, -0x1.e2b727cb124a1p-15, -0x1.dc995ae9b5ea3p-15, -0x1.d6a07344b1036p-15, -0x1.d0c62745e06f9p-15, -0x1.cb09498397418p-15, -0x1.c56839922f1d5p-15, -0x1.bfe1136f8b446p-15, -0x1.ba71efef806b2p-15, -0x1.b519b9a2a4e78p-15, -0x1.afd72e80a9266p-15, -0x1.aaa8d2d6e375dp-15, -0x1.a589ea4e4be2p-15, -0x1.a07d897578a22p-15, -0x1.9b8031be02f02p-15, -0x1.96924517c7adep-15, -0x1.91b12212cf603p-15, -0x1.8cdc57b3ab9ddp-15, -0x1.881346a1a464ep-15, -0x1.8353d46b8a98dp-15, -0x1.7e9dca1b1d7a8p-15, -0x1.79ef13359aa84p-15, -0x1.754a45c57686fp-15, -0x1.70aa890fea90ap-15, -0x1.6c123a81e1d93p-15, -0x1.67813a6c6b8e4p-15, -0x1.62ef80fe8b99bp-15, -0x1.5e674e532a269p-15, -0x1.59e12eefc1597p-15, -0x1.555e1441e04fp-15, -0x1.50de1939b70d8p-15, -0x1.4c60c703c29cp-15, -0x1.47e54d0fb061bp-15, -0x1.436c366ee5fe8p-15, -0x1.3ef314de12d65p-15, -0x1.3a7be3b7cfd0ap-15, -0x1.3605da5945d56p-15, -0x1.318f8022457b9p-15, -0x1.2d1a089bdb5b5p-15, -0x1.28a4c884cc65bp-15, -0x1.242f8afd7e5fep-15, -0x1.1fb9cd43b71dbp-15, -0x1.1b460a66bef17p-15, -0x1.16cef8ab88735p-15, -0x1.1259d6351e76cp-15, -0x1.0de2c6ebeba9cp-15, -0x1.096b8d49f26f9p-15, -0x1.04f3cff38aeabp-15, -0x1.007c704b689cep-15, -0x1.f808abe7e8f6ep-16, -0x1.ef173861f1787p-16, -0x1.e625b1ac1b17fp-16, -0x1.dd33735f04995p-16, -0x1.d4410e8f872a8p-16, -0x1.cb4e77196fee4p-16, -0x1.c25bc3e4895a5p-16, -0x1.b968d81853bb8p-16, -0x1.b07ad4623f9c1p-16, -0x1.a785f93e619fep-16, -0x1.9e970b7f3b19dp-16, -0x1.95a79845d711cp-16, -0x1.8cbb570855d72p-16, -0x1.83cfce9cb5444p-16, -0x1.7ae71db26867cp-16, -0x1.72012df201b1fp-16, -0x1.691d83c5f9dcp-16, -0x1.603dd78fe8cb7p-16, -0x1.5762a9c3c78a3p-16, -0x1.4e8a4e6c274e6p-16, -0x1.45b7cccbaabadp-16, -0x1.3ce7be5985236p-16, -0x1.341eed321939ap-16, -0x1.2b5b6e83ade04p-16, -0x1.229f74e108a16p-16, -0x1.19e3d4022fd15p-16, -0x1.113b8c833d2e1p-16, -0x1.088f3582d7ap-16, -0x1.ffddf1a49e819p-17, -0x1.eeac49c89f6f4p-17, -0x1.dd8b4561aa482p-17, -0x1.cc7d75e35eeefp-17, -0x1.bb81182b41a65p-17, -0x1.aa9af32b7ef14p-17, -0x1.99c82c2f0db1ap-17, -0x1.89085ac3c6dfbp-17, -0x1.7860f13b4febap-17, -0x1.67cfe999938d9p-17, -0x1.57568311ad473p-17, -0x1.46f1d7dfcd82ep-17, -0x1.36ad88c4e61dp-17, -0x1.267bd0423f06ap-17, -0x1.16673ccc4186cp-17, -0x1.067326d40da79p-17, -0x1.ed1a5570b421ep-18, -0x1.cdac31529365bp-18, -0x1.ae666b835c6eap-18, -0x1.8f53a13434badp-18, -0x1.708e741ade545p-18, -0x1.52088af4b3b1bp-18, -0x1.33b0e37978cbp-18, -0x1.15aef1840aa47p-18, -0x1.efc219d0f0baep-19, -0x1.b4c633f0e942dp-19, -0x1.7a488c4edb70dp-19, -0x1.4056fa5fff7b6p-19, -0x1.06ebb14c1ee14p-19, -0x1.9c3f75adf88c4p-20, -0x1.2bd1670b2eb91p-20, -0x1.78eb488651128p-21, -0x1.395fd9a6c0923p-22, 0x1.e9c47da6c1767p-24, 0x1.14a9325aa720bp-21, 0x1.e9c1f914a951ap-21, 0x1.5e0d25e4ead7cp-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.042dd1fdd24f9p+1, -0x1.0c29dbff0da74p+1, -0x1.1128d78796e4ap+1, -0x1.136df7b0f0805p+1, -0x1.133f921ab5c7ep+1, -0x1.10e4a7dde9a58p+1, -0x1.0ca30209b345bp+1, -0x1.06bdc9c616ac1p+1, -0x1.fee914824b617p+0, -0x1.ee051aa63d9cep+0, -0x1.db3ce7ef38efap+0, -0x1.c6f3f0b12454ap+0, -0x1.b18466d43d72ap+0, -0x1.9b3e8f71f65b2p+0, -0x1.8469b07ab6197p+0, -0x1.6d446c17f1e72p+0, -0x1.56054ac602c19p+0, -0x1.3edb5ffc78a82p+0, -0x1.27eee3fa98f13p+0, -0x1.1161c80d7ea57p+0, -0x1.f6a0b72254673p-1, -0x1.cba3cb077b0b7p-1, -0x1.a1f251d69a07fp-1, -0x1.79a9cff2e3fccp-1, -0x1.52e0cdb224779p-1, -0x1.2da7bbc55e494p-1, -0x1.0a09b7148b3b6p-1, -0x1.d01a83bc72833p-2, -0x1.8f69e34942abbp-2, -0x1.5200158365348p-2, -0x1.17d6073e99b98p-2, -0x1.c1bfe4709b0e1p-3, -0x1.5a1c58c5a225fp-3, -0x1.f13785773331bp-4, -0x1.3a26d9d33651bp-4, -0x1.1d534cf6a3af8p-5, 0x1.1a3601f740425p-8, 0x1.4e501bf8274f2p-5, 0x1.324f42d554e79p-4, 0x1.b385a5655e902p-4, 0x1.159c4aa74a916p-3, 0x1.4ceaaaaf174f7p-3, 0x1.7fe4324d5544ep-3, 0x1.aebe7b1c577a1p-3, 0x1.d9ae392f8a3e9p-3, 0x1.0073834df60e9p-2, 0x1.124d99eb81abfp-2, 0x1.227dd1c6cb25ep-2, 0x1.311bd8055532ep-2, 0x1.3e3e8bc97bf6p-2, 0x1.49fbf9e540cfdp-2, 0x1.546959f0dab0dp-2, 0x1.5d9b0d2bcdd7bp-2, 0x1.65a49dab7ec08p-2, 0x1.6c98bed322397p-2, 0x1.72894eab61c08p-2, 0x1.778757a31ce2fp-2, 0x1.7ba31463718fap-2, 0x1.7eebf3f66a893p-2, 0x1.81709f7370c32p-2, 0x1.833eff6e34b4fp-2, 0x1.846442f6ca5f5p-2, 0x1.84ece4bd692afp-2, 0x1.84e4b35c7e21bp-2, 0x1.8456d66a4705dp-2, 0x1.834dd51c7ab27p-2, 0x1.81d39cd523133p-2, 0x1.7ff186a42895dp-2, 0x1.7db05e274d66bp-2, 0x1.7b1867884f13ep-2, 0x1.783165ac03751p-2, 0x1.7502a09696196p-2, 0x1.7192eb6909627p-2, 0x1.6de8aa31b058dp-2, 0x1.6a09d7b68ec0fp-2, 0x1.65fc0ab12b13bp-2, 0x1.61c47b182823ep-2, 0x1.5d68627ed71edp-2, 0x1.58eb919a226a7p-2, 0x1.54529b74a671cp-2, 0x1.4fa16d326bab6p-2, 0x1.4adbac807667bp-2, 0x1.4604bbb32267ep-2, 0x1.411fbd909bad4p-2, 0x1.3c2f9913fb294p-2, 0x1.3736fcd0af3ap-2, 0x1.323862bd0eddap-2, 0x1.2d361309d72c4p-2, 0x1.2832278fc0cbbp-2, 0x1.232e8e8f0461ap-2, 0x1.1e2d0dc26ceb1p-2, 0x1.192f4441ae694p-2, 0x1.1436ae3ccf5cep-2, 0x1.0f44a60af8806p-2, 0x1.0a5a670f54562p-2, 0x1.05790f985d233p-2, 0x1.00a1a2d0307fep-2, 0x1.f7aa153707337p-3, 0x1.ee2832788cb85p-3, 0x1.e4bf16277ddffp-3, 0x1.db7010638a97ep-3, 0x1.d23c4afd3846fp-3, 0x1.c924ccb1f1e23p-3, 0x1.c02a7c118fedap-3, 0x1.b74e20519b432p-3, 0x1.ae9065de3acbdp-3, 0x1.a5f1de9d10b29p-3, 0x1.9d7304d39660ap-3, 0x1.95143cab76555p-3, 0x1.8cd5d63c4b0f7p-3, 0x1.84b80ec7e9ba9p-3, 0x1.7cbb1276d8ec6p-3, 0x1.74defdcdb2e83p-3, 0x1.6d23de31c3057p-3, 0x1.6589b4bd1dabfp-3, 0x1.5e1075a0a687cp-3, 0x1.56b80a31d8fd5p-3, 0x1.4f8051a40061ep-3, 0x1.486921ef1b167p-3, 0x1.417248b74fa7p-3, 0x1.3a9b8beff9c54p-3, 0x1.33e4aaed369e7p-3, 0x1.2d4d5eac81a42p-3, 0x1.26d55a9c63ebbp-3, 0x1.207c4d4b54c6ep-3, 0x1.1a41e0fc45089p-3, 0x1.1425bbc996cdcp-3, 0x1.0e2780e66fe97p-3, 0x1.0846cff26a5e2p-3, 0x1.0283466cce3bep-3, 0x1.f9b8fed4f5399p-4, 0x1.eea428a8bd915p-4, 0x1.e3c739e0f3dp-4, 0x1.d9215f9de8bc9p-4, 0x1.ceb1c4ea5e1bbp-4, 0x1.c47793a9ae2a2p-4, 0x1.ba71f4681014bp-4, 0x1.b0a00f4e53ef5p-4, 0x1.a7010c2303381p-4, 0x1.9d9412f72fe95p-4, 0x1.94584c33cb4b2p-4, 0x1.8b4ce109bd45p-4, 0x1.8270fb9036be4p-4, 0x1.79c3c7382e571p-4, 0x1.7144709acfde9p-4, 0x1.68f2266fe148p-4, 0x1.60cc18985fc97p-4, 0x1.58d1791d4141dp-4, 0x1.51017c4227fp-4, 0x1.495b5856a1133p-4, 0x1.41de45fe395d2p-4, 0x1.3a898047da1c6p-4, 0x1.335c44680bce9p-4, 0x1.2c55d265adf9bp-4, 0x1.25756d14b3c92p-4, 0x1.1eba5990434f2p-4, 0x1.1823df758272dp-4, 0x1.11b149c6691d7p-4, 0x1.0b61e5c12ea14p-4, 0x1.053503884d36cp-4, 0x1.fe53ebccddcaep-5, 0x1.f280259c6176cp-5, 0x1.e6ed64ed3138fp-5, 0x1.db9a60ae7a4afp-5, 0x1.d085d49a5307ep-5, 0x1.c5ae88dcae38dp-5, 0x1.bb13395bf14fdp-5, 0x1.b0b2b7146f203p-5, 0x1.a68bd4124a454p-5, 0x1.9c9d67d7a23aep-5, 0x1.92e64f06bcf76p-5, 0x1.89656be2bf8c1p-5, 0x1.8019a5682df0cp-5, 0x1.7701e89dbd012p-5, 0x1.6e1d26c371759p-5, 0x1.656a567c78fecp-5, 0x1.5ce8739a92f94p-5, 0x1.54967e8148349p-5, 0x1.4c737c5f97b88p-5, 0x1.447e777c87a1ep-5, 0x1.3cb67ea70f98fp-5, 0x1.351aa4ff1b331p-5, 0x1.2daa027643475p-5, 0x1.2663b38ff7d8ep-5, 0x1.1f46d8c85158ep-5, 0x1.1852972191129p-5, 0x1.1186182bf21acp-5, 0x1.0ae08901db96dp-5, 0x1.04611b51fa418p-5, 0x1.fc0e08ebbc5fep-6, 0x1.efa2fc500b263p-6, 0x1.e37f8a7cdace9p-6, 0x1.d7a237fd35266p-6, 0x1.cc098ccfecdcfp-6, 0x1.c0b41a5e2b42cp-6, 0x1.b5a07949cede3p-6, 0x1.aacd49de0545fp-6, 0x1.a03930dba3fa7p-6, 0x1.95e2dcd3555d5p-6, 0x1.8bc900d846df7p-6, 0x1.81ea58cc81e67p-6, 0x1.7845a41f58217p-6, 0x1.6ed9aa6af2e12p-6, 0x1.65a539913b6e4p-6, 0x1.5ca72458ef9efp-6, 0x1.53de4467641aap-6, 0x1.4b4979b9625fcp-6, 0x1.42e7a860a3e44p-6, 0x1.3ab7bb250dea4p-6, 0x1.32b8a21e66a88p-6, 0x1.2ae952a79ebc2p-6, 0x1.2348c77d3faedp-6, 0x1.1bd600ad2f487p-6, 0x1.1490035482487p-6, 0x1.0d75d845171d1p-6, 0x1.06868ff41d3b1p-6, 0x1.ff8277e692bd4p-7, 0x1.f249eea2f7b76p-7, 0x1.e561bab757d4ap-7, 0x1.d8c81ec8f3f25p-7, 0x1.cc7b65068cebap-7, 0x1.c079e5624a64dp-7, 0x1.b4c1f992c9c6cp-7, 0x1.a9520b70234e4p-7, 0x1.9e28842bd1e8fp-7, 0x1.9343db2db123dp-7, 0x1.88a28c29647cp-7, 0x1.7e431eb64f92fp-7, 0x1.74241cace0542p-7, 0x1.6a441dfb3aab8p-7, 0x1.60a1ba416d931p-7, 0x1.573b97f4592fbp-7, 0x1.4e105d0f88e29p-7, 0x1.451ebd100c02ep-7, 0x1.3c656e0c807a8p-7, 0x1.33e32e4a7f4d8p-7, 0x1.2b96c251b9901p-7, 0x1.237ef4b51a606p-7, 0x1.1b9a982e7a94fp-7, 0x1.13e88112acdfep-7, 0x1.0c6790450cc14p-7, 0x1.0516a67e582cfp-7, 0x1.fbe95ab9f034ep-8, 0x1.ee0129025fa87p-8, 0x1.e0729fe9220eep-8, 0x1.d33bb3e1db557p-8, 0x1.c65a6246f6ff1p-8, 0x1.b9ccb56025874p-8, 0x1.ad90bfda09de6p-8, 0x1.a1a49fcfb527bp-8, 0x1.96067ce0fbd78p-8, 0x1.8ab4883928ba6p-8, 0x1.7facff8f1b604p-8, 0x1.74ee20a2351eap-8, 0x1.6a763fce8e706p-8, 0x1.6043b43dc9d25p-8, 0x1.5654d5b589fcap-8, 0x1.4ca816735ad3cp-8, 0x1.433be1091fa8ep-8, 0x1.3a0eb222bbf4cp-8, 0x1.311f0a157a0eep-8, 0x1.286b729881e3dp-8, 0x1.1ff280c3deedbp-8, 0x1.17b2c9b1a2907p-8, 0x1.0faaf0ce41f2fp-8, 0x1.07d9a0437c717p-8, 0x1.003d822b23f5ap-8, 0x1.f1aaa8e08c61cp-9, 0x1.e33fa890202abp-9, 0x1.d53787be32a8p-9, 0x1.c78fe36a72949p-9, 0x1.ba465f6e7b9cbp-9, 0x1.ad58b50e4261fp-9, 0x1.a0c49c6384c12p-9, 0x1.9487dd3737f9dp-9, 0x1.88a06681613dap-9, 0x1.7d0c0642eb395p-9, 0x1.71c8b51bfb841p-9, 0x1.66d46f4ba38e7p-9, 0x1.5c2d36cb7a6bbp-9, 0x1.51d12fcdd8f46p-9, 0x1.47be689a4541ep-9, 0x1.3df30dcb0b0fp-9, 0x1.346d55147a684p-9, 0x1.2b2b7961cd8efp-9, 0x1.222bc327750d5p-9, 0x1.196c8636081aep-9, 0x1.10ec216c24affp-9, 0x1.08a8e83b38eb7p-9, 0x1.00a164c5f46a8p-9, 0x1.f1a7fa60262b6p-10, 0x1.e27e66d496865p-10, 0x1.d3c329c3613bcp-10, 0x1.c573624cbd9dfp-10, 0x1.b78c4de897e34p-10, 0x1.aa0b2a1a1a0ecp-10, 0x1.9ced4ddbc838dp-10, 0x1.903024ad9dea3p-10, 0x1.83d115b57bf52p-10, 0x1.77cdc8a6ad056p-10, 0x1.6c23ae8fb2355p-10, 0x1.60d074ed1165fp-10, 0x1.55d1d5fa04b13p-10, 0x1.4b257c8ac584ep-10, 0x1.40c9441da38bcp-10, 0x1.36bb013458d7dp-10, 0x1.2cf8abb5d0099p-10, 0x1.2380247896824p-10, 0x1.1a4f6a8af53c1p-10, 0x1.1164a4f779f02p-10, 0x1.08bdd26492989p-10, 0x1.005922784ae99p-10, 0x1.f069912967affp-11, 0x1.e09dfb4b48ca6p-11, 0x1.d14c10baa6248p-11, 0x1.c2707edc02a6ep-11, 0x1.b407ff7ba809dp-11, 0x1.a60f50a2eb76bp-11, 0x1.988354b148734p-11, 0x1.8b61200a8a136p-11, 0x1.7ea59b547ff1p-11, 0x1.724e0c85699c1p-11, 0x1.665772cdc78d4p-11, 0x1.5abf3618f0918p-11, 0x1.4f829df5d4783p-11, 0x1.449f0beaf0018p-11, 0x1.3a11efdbe7c78p-11, 0x1.2fd8d9f9697c7p-11, 0x1.25f17dd5a4537p-11, 0x1.1c59586b8a9a5p-11, 0x1.130e2d209a5ffp-11, 0x1.0a0dc85fedbb5p-11, 0x1.0155f731e52b1p-11, 0x1.f1c94053c4046p-12, 0x1.e16f6d9c4c406p-12, 0x1.d19a527727b31p-12, 0x1.c2466d7b463b8p-12, 0x1.b36f8fc3958ddp-12, 0x1.a5121c81365aap-12, 0x1.972a7e4f9c261p-12, 0x1.89b529a36b473p-12, 0x1.7caa2633e9b51p-12, 0x1.700f3863f3f7ep-12, 0x1.63dd1c2119f31p-12, 0x1.581017e86b6a9p-12, 0x1.4ca5464bbab3fp-12, 0x1.4199a70984625p-12, 0x1.36ea4137b2fe5p-12, 0x1.2c94b179d0151p-12, 0x1.2295f9e671aap-12, 0x1.18eb397338123p-12, 0x1.0f91ce5cc6993p-12, 0x1.06879f981c24dp-12, 0x1.fb9407c7efa53p-13, 0x1.eaad4b8af54f4p-13, 0x1.da565e3efd4fap-13, 0x1.ca8aaae52502cp-13, 0x1.bb4635a5515eap-13, 0x1.ac846a6d183c1p-13, 0x1.9e410255ac73p-13, 0x1.90783be3ec1fbp-13, 0x1.83262d53f7ed1p-13, 0x1.764711b51c2a6p-13, 0x1.69d7481892142p-13, 0x1.5dd323fa87cfp-13, 0x1.52374d30f837cp-13, 0x1.46ffcc95b47fap-13, 0x1.3c2ad39f013a9p-13, 0x1.31b3eb59c2391p-13, 0x1.27984f9c74b47p-13, 0x1.1dd513e3343fp-13, 0x1.14675a0476d8bp-13, 0x1.0b4c558b074ap-13, 0x1.0281348942689p-13, 0x1.f4060f5c23dabp-14, 0x1.e3a0d9217ef4dp-14, 0x1.d3cb5305de156p-14, 0x1.c480a9eb1357ap-14, 0x1.b5be3f3e61523p-14, 0x1.a77dc1f80ccc2p-14, 0x1.99bb40f215bffp-14, 0x1.8c727ee0bb0f7p-14, 0x1.7f9f49b61485cp-14, 0x1.733e22bd5e17ap-14, 0x1.674a0f97f4ee1p-14, 0x1.5bc099b8e6874p-14, 0x1.509c8e552f3a9p-14, 0x1.45dc0250e46fdp-14, 0x1.3b7a885a24cp-14, 0x1.31752440fb82dp-14, 0x1.27c888dea7537p-14, 0x1.1e71ae70c0d0dp-14, 0x1.156d5992b8bf1p-14, 0x1.0cb91721f4c13p-14, 0x1.04514aea2ecdfp-14, 0x1.f8689e30da556p-15, 0x1.e8bdd104274a7p-15, 0x1.d99c23cc9df4bp-15, 0x1.caffc11231386p-15, 0x1.bce3cc44f9914p-15, 0x1.af438c3d7eae4p-15, 0x1.a21a8b02aaf97p-15, 0x1.95645a2f8f721p-15, 0x1.891cc2ddb95acp-15, 0x1.7d40526888846p-15, 0x1.71ca0431cd137p-15, 0x1.66b6d15c08d9bp-15, 0x1.5c02fd9ad3cc8p-15, 0x1.51ab096c5e433p-15, 0x1.47ab5c481fab7p-15, 0x1.3e00ef8f1e313p-15, 0x1.34a8e353aaa77p-15, 0x1.2b9fcfcd29fc5p-15, 0x1.22e04b4667171p-15, 0x1.1a6d15f7209c3p-15, 0x1.123e2b9057149p-15, 0x1.0a538a58d157p-15, 0x1.02aa29a1fcce5p-15, 0x1.f67e5f9047c67p-16, 0x1.e8216fc6cd55bp-16, 0x1.da37d1aa3608fp-16, 0x1.ccbea83b55773p-16, 0x1.bfad2e1f5d856p-16, 0x1.b308d527b9cdap-16, 0x1.a6c32620bb24ep-16, 0x1.9adfcc7b29f1ap-16, 0x1.8f56c9876c56cp-16, 0x1.8426347b14456p-16, 0x1.794a445ab51cp-16, 0x1.6ebff9cfd5c56p-16, 0x1.64842f1e3c41cp-16, 0x1.5a93cb9e44c78p-16, 0x1.50ebc4dcdd53dp-16, 0x1.47894e42afe1ap-16, 0x1.3e69fe4af5813p-16, 0x1.358b937f24cb2p-16, 0x1.2cea24d67d391p-16, 0x1.2484f04568562p-16, 0x1.1c58b00551e3ap-16, 0x1.1463b8d421de8p-16, 0x1.0ca31429a32b7p-16, 0x1.0516bd32c4991p-16, 0x1.fb74c374f00edp-17, 0x1.ed1cb8c998022p-17, 0x1.df145d20a7399p-17, 0x1.d1751c660088cp-17, 0x1.c4203716112a5p-17, 0x1.b71d63dfaa8e2p-17, 0x1.aa68ddd7861a8p-17, 0x1.9dfe5f66ba0fdp-17, 0x1.91dc95f247dbbp-17, 0x1.8602f14c98d53p-17, 0x1.7a67cbe76255dp-17, 0x1.6f0ef03649e59p-17, 0x1.63f54cade5748p-17, 0x1.591717def113cp-17, 0x1.4e7082be5444ep-17, 0x1.44085ab57f886p-17, 0x1.39d170224e8eep-17, 0x1.2fd09a8ca65b1p-17, 0x1.2600a24021469p-17, 0x1.1c62fb9b1f6edp-17, 0x1.12f412f881b07p-17, 0x1.09b368ddc7cbfp-17, 0x1.009fe4e05b4f2p-17, 0x1.ef6f5dd1b8bacp-18, 0x1.dde7d8ba76a0ep-18, 0x1.ccb751e98a885p-18, 0x1.bbd66dd00466ep-18, 0x1.ab4136e2c6448p-18, 0x1.9af6d0ff02d01p-18, 0x1.8af151436413cp-18, 0x1.7b2bc117d21e5p-18, 0x1.6bbe96c17f652p-18, 0x1.5c832e3203d9dp-18, 0x1.4d8b281f04625p-18, 0x1.3ed46df5ae38dp-18, 0x1.305d02d7d5c4p-18, 0x1.2214e1ac97647p-18, 0x1.1418d1ba048bap-18, 0x1.064e4892836d9p-18, 0x1.f178ac14a464bp-19, 0x1.d6c350c57924p-19, 0x1.bc79199404457p-19, 0x1.a29b2af66971bp-19, 0x1.89282256f4b6ep-19, 0x1.70068bf16b6c2p-19, 0x1.576a0422ae47fp-19, 0x1.3f19afb9ffd1bp-19, 0x1.273098f048855p-19, 0x1.0faa380440684p-19, 0x1.f0fa343ef0195p-20, 0x1.c35fe48ea06d3p-20, 0x1.96886d7444af7p-20, 0x1.6a2ff569d18bp-20, 0x1.3ecb349d68e16p-20, 0x1.13feb42bcdf9dp-20, 0x1.d3c1443e8800ap-21, 0x1.80e1d777adf3cp-21, 0x1.2f54681c5e5cep-21, 0x1.be3f9cbb74cf2p-22, 0x1.20880a416a186p-22, 0x1.0a2d68c715009p-23, -0x1.38decf3d8cfacp-26, -0x1.535ba840639ebp-23, -0x1.3d484e3584ed4p-22, -0x1.ce32a64ec16c3p-22, -0x1.2e8159adee7a9p-21, -0x1.74710a29f9e3ep-21, -0x1.b993d47891784p-21, -0x1.fcfe69fd96e41p-21, -0x1.1fb3126fe459bp-20, -0x1.4050cc499995fp-20, -0x1.6046cb3a225cdp-20, -0x1.7fb83a06ba342p-20, -0x1.9e85a3c29e7d2p-20, -0x1.bccd28fffd9a9p-20, -0x1.da71eb77808f1p-20, -0x1.f771e78b8db02p-20, -0x1.09fed326e2906p-19, -0x1.17f9c7714190cp-19, -0x1.259e416394a7p-19, -0x1.3307aba69c4b8p-19, -0x1.4012d6c841bd4p-19, -0x1.4cf4617087cfcp-19, -0x1.59834f7a1fed3p-19, -0x1.65c09d726fb91p-19, -0x1.71c237a63c4edp-19, -0x1.7d78ca6f3482bp-19, -0x1.88ec2abd1cd67p-19, -0x1.941982f0a3bd1p-19, -0x1.9eff572e70752p-19, -0x1.a9a283ec7a8c5p-19, -0x1.b3fd7872d1c3ep-19, -0x1.be1befff1772ep-19, -0x1.c7ee3939425cdp-19, -0x1.d180e8ad62192p-19, -0x1.dad29ab3b118cp-19, -0x1.e3de8b8c636b2p-19, -0x1.eca9f73869b57p-19, -0x1.f535fdd1c9657p-19, -0x1.fd7621d264976p-19, -0x1.02bc6d871d126p-18, -0x1.06a591803fd19p-18, -0x1.0a6954e18e04ep-18, -0x1.0e0e398fb15b5p-18, -0x1.119191e2f1368p-18, -0x1.14f60ca116ea5p-18, -0x1.183d049603049p-18, -0x1.1b661ed21dbf7p-18, -0x1.1e6eafdc13c85p-18, -0x1.21582c8f2143bp-18, -0x1.2425d90ab2829p-18, -0x1.26d6036212198p-18, -0x1.296695d5e0a7ap-18, -0x1.2bd9b37e0293ep-18, -0x1.2e30c516f273bp-18, -0x1.306bb6e67e218p-18, -0x1.328a9e0c0922ep-18, -0x1.348ca4c8b3288p-18, -0x1.366d95453586cp-18, -0x1.383ec01a524f8p-18, -0x1.39ec173130f31p-18, -0x1.3b7f5819c1231p-18, -0x1.3cf66e079b9c2p-18, -0x1.3e5773cb934efp-18, -0x1.3f982b508c7e3p-18, -0x1.40bee35924e3bp-18, -0x1.41dfae0aba2a2p-18, -0x1.42cead496dd12p-18, -0x1.43a9cd9443256p-18, -0x1.44725d8b7a18cp-18, -0x1.451e879a0d632p-18, -0x1.45b432525d958p-18, -0x1.46324f68795dep-18, -0x1.4696f154905e1p-18, -0x1.46e684f4b139bp-18, -0x1.471e084e0b448p-18, -0x1.473f68ac0548dp-18, -0x1.474b3e67e80a5p-18, -0x1.47410073a3678p-18, -0x1.471f60e94b40ap-18, -0x1.46eba10a82208p-18, -0x1.46a055b024ce3p-18, -0x1.463f79126bd94p-18, -0x1.45cbee2d58924p-18, -0x1.45455010002bbp-18, -0x1.44aa5db2d0d25p-18, -0x1.43f9c0fbdc008p-18, -0x1.433bd059e2d2p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9f8349084cdacp-1, -0x1.ac3295fc66c8ap-1, -0x1.adb3abef23e12p-1, -0x1.a56ac748fc831p-1, -0x1.94e7933cf2edap-1, -0x1.7dc5e73c9b5e1p-1, -0x1.619733b115d4bp-1, -0x1.41d2ce39e37e7p-1, -0x1.1fcbff567821dp-1, -0x1.f95957a84695p-2, -0x1.b2e6447695464p-2, -0x1.6de657431c03p-2, -0x1.2bac9be518f36p-2, -0x1.da840dc116b58p-3, -0x1.66d6c18e8bac5p-3, -0x1.fac4e9d6d57b1p-4, -0x1.3da3a3c5f0a88p-4, -0x1.2de2866d40f9cp-5, -0x1.b071c7a130e09p-10, 0x1.cd2ebfacf3fbfp-6, 0x1.afe45c10dc46dp-5, 0x1.28357383defc4p-4, 0x1.6550280e654f2p-4, 0x1.909fff1c8d1e6p-4, 0x1.ab97633f566bbp-4, 0x1.b7b5892af0a56p-4, 0x1.b67e9717071a1p-4, 0x1.a972146290e3cp-4, 0x1.92036031083cfp-4, 0x1.719668e1031d9p-4, 0x1.497e686310391p-4, 0x1.1afbd67fab423p-4, 0x1.ce731efac73dap-5, 0x1.5e9c896efc9b7p-5, 0x1.d0b9e3f66a2f8p-6, 0x1.b61f5bdbb6b11p-7, -0x1.03b1c82b48b11p-9, -0x1.1edd7f851c2cfp-6, -0x1.0ec24f169c98bp-5, -0x1.8d0fc535a2166p-5, -0x1.04ab77795c4fap-4, -0x1.415bc42137555p-4, -0x1.7c366c21ecc44p-4, -0x1.b4e5e15fdf502p-4, -0x1.eb216e338550bp-4, -0x1.0f56b52fcd099p-3, -0x1.27ad77bdc359p-3, -0x1.3e835d65b63f7p-3, -0x1.53cbb30e5332ep-3, -0x1.677dc09f378bap-3, -0x1.7993fafcb31b4p-3, -0x1.8a0b8666d62bap-3, -0x1.98e4034556502p-3, -0x1.a61f8a6d25523p-3, -0x1.b1c2b151354a7p-3, -0x1.bbd473a56e548p-3, -0x1.c45df6904539bp-3, -0x1.cb6a256cf3e1ap-3, -0x1.d1053c98ad70cp-3, -0x1.d53c598d8ce56p-3, -0x1.d81d22f316abap-3, -0x1.d9b5908c13842p-3, -0x1.da13d6c9d6436p-3, -0x1.d946607ed2142p-3, -0x1.d75bd93d7244dp-3, -0x1.d4632fb3c5b7ap-3, -0x1.d06b8da9e1dcbp-3, -0x1.cb8441c32d972p-3, -0x1.c5bc9d8aff846p-3, -0x1.bf23cdca1f462p-3, -0x1.b7c8b4950cd61p-3, -0x1.afb9c9fa40d88p-3, -0x1.a705077022ae4p-3, -0x1.9db7df251e9d5p-3, -0x1.93df3b685837dp-3, -0x1.89878528b0c8p-3, -0x1.7ebcac6f57769p-3, -0x1.73888386d02b2p-3, -0x1.67fb0d3237a22p-3, -0x1.5c1b4eabb332cp-3, -0x1.4ff33f8c824b3p-3, -0x1.438c80237ac1ap-3, -0x1.36f05926b5415p-3, -0x1.2a27b6b2b40ep-3, -0x1.1d3b1fd9762b7p-3, -0x1.1032ac9682608p-3, -0x1.0315fc9581908p-3, -0x1.ebd85ff5d4236p-4, -0x1.d177c6cd7f1ecp-4, -0x1.b7165fa64015ap-4, -0x1.9cbf5b2406b0bp-4, -0x1.827cf87f2ca7dp-4, -0x1.68589272ca35ep-4, -0x1.4e5ab99fb6d91p-4, -0x1.348b4791262fbp-4, -0x1.1af174d045e54p-4, -0x1.0193ec45913c5p-4, -0x1.d0f1b6d1644d4p-5, -0x1.9f4bfd8374dep-5, -0x1.6e4155273a4adp-5, -0x1.3ddb9fd797c83p-5, -0x1.0e23ff45107e4p-5, -0x1.be45a969c6608p-6, -0x1.61bf7a7899682p-6, -0x1.06c32cc799b1dp-6, -0x1.5ab9c7ba84fbbp-7, -0x1.565cf64ffa04bp-8, 0x1.0963bae9c4354p-15, 0x1.53bd4d833ea6ep-8, 0x1.4f44f571a10dbp-7, 0x1.f132a8cdffe98p-7, 0x1.47d0483d2926cp-6, 0x1.9544def6d5b11p-6, 0x1.e0f59f08651d5p-6, 0x1.1570f9fd93227p-5, 0x1.3985046818f04p-5, 0x1.5cb757f2c776cp-5, 0x1.7f08a44b8a621p-5, 0x1.a079d4f3d5807p-5, 0x1.c10c08690b6dbp-5, 0x1.e0c0899acb165p-5, 0x1.ff98caf2a6d14p-5, 0x1.0ecb320030cfcp-4, 0x1.1d5d86abbd3bfp-4, 0x1.2b84519bb433ep-4, 0x1.39409151387fbp-4, 0x1.469354d99631fp-4, 0x1.537dbc6cf287dp-4, 0x1.6000f7f9b9c34p-4, 0x1.6c1e47aa663a9p-4, 0x1.77d6fa43a768dp-4, 0x1.832c6c8ae18f5p-4, 0x1.8e200759a3798p-4, 0x1.98b33e4a5c96bp-4, 0x1.a2e78db18e4dfp-4, 0x1.acbe78e9d5c22p-4, 0x1.b639888ab2083p-4, 0x1.bf5a488d50f52p-4, 0x1.c822464fa93c9p-4, 0x1.d093100c87d22p-4, 0x1.d8ae325b42f53p-4, 0x1.e075384a63f59p-4, 0x1.e7e9a97fe198bp-4, 0x1.ef0d0a2553ca1p-4, 0x1.f5e0d9fe1ceaep-4, 0x1.fc6694a708aa4p-4, 0x1.014fd8455f4d5p-3, 0x1.0446cfa6e812dp-3, 0x1.0718e705b41aap-3, 0x1.09c6d26dcc997p-3, 0x1.0c5143952754dp-3, 0x1.0eb8ea30ddd41p-3, 0x1.10fe73580f7afp-3, 0x1.13228a47ee495p-3, 0x1.1525d8690dda2p-3, 0x1.170904bb73cf3p-3, 0x1.18ccb4aaa406cp-3, 0x1.1a718b80e672bp-3, 0x1.1bf82abf24779p-3, 0x1.1d6131be3c2aap-3, 0x1.1ead3e03e4d47p-3, 0x1.1fdceb2a92b84p-3, 0x1.20f0d2935cae4p-3, 0x1.21e98ba65d60dp-3, 0x1.22c7abaad6123p-3, 0x1.2389f4e058ac7p-3, 0x1.2434f19d1a1c8p-3, 0x1.24c713252db72p-3, 0x1.2540e14acdac2p-3, 0x1.25a2e1d4f077cp-3, 0x1.25ed98b4afc63p-3, 0x1.2621884d8fe9dp-3, 0x1.263f319cc78c6p-3, 0x1.2647144058f4fp-3, 0x1.2639af0cb260dp-3, 0x1.26177f26cbc09p-3, 0x1.25e101808fc89p-3, 0x1.2596b17205f1cp-3, 0x1.25390944b04ecp-3, 0x1.24c8827e792fap-3, 0x1.24459555135d2p-3, 0x1.23b0b864a1f47p-3, 0x1.230a614c9d1f9p-3, 0x1.2253040bdc022p-3, 0x1.218b130c622e1p-3, 0x1.20b2ff1e75ccbp-3, 0x1.1fcb37735342fp-3, 0x1.1ed4295fa6e8cp-3, 0x1.1dce408224ce9p-3, 0x1.1cb9e6ad0d74ap-3, 0x1.1b9783fc54a27p-3, 0x1.1a677eb032f01p-3, 0x1.192a3ba416542p-3, 0x1.17e01da820464p-3, 0x1.168986309151ap-3, 0x1.1526d537275d8p-3, 0x1.13b869583d3ebp-3, 0x1.123e9f7859a44p-3, 0x1.10b9d3ca48915p-3, 0x1.0f2a60c0d0051p-3, 0x1.0d90a078e15acp-3, 0x1.0beceafeb8edp-3, 0x1.0a3f980d17276p-3, 0x1.0888fe54950acp-3, 0x1.06c97349bd9ccp-3, 0x1.05014bf6e4861p-3, 0x1.0330dc51bdd98p-3, 0x1.015877639b2edp-3, 0x1.fef0dea30f065p-4, 0x1.fb222a8a759c2p-4, 0x1.f7457392f2d7dp-4, 0x1.f35b58a058eabp-4, 0x1.ef6476cc74585p-4, 0x1.eb61693edf921p-4, 0x1.e752c8d1d05fdp-4, 0x1.e3392cc836b03p-4, 0x1.df1529b0c38ebp-4, 0x1.dae752dc98c6cp-4, 0x1.d6b038355d506p-4, 0x1.d2706835f4e1ep-4, 0x1.ce286e0bf1b6dp-4, 0x1.c9d8d403e22fdp-4, 0x1.c582209a801e5p-4, 0x1.c124d99cec039p-4, 0x1.bcc1806b7f061p-4, 0x1.b858957b4a2c2p-4, 0x1.b3ea95f4e8e7dp-4, 0x1.af77fdbfe637ap-4, 0x1.ab0144db7e343p-4, 0x1.a686e33608cd9p-4, 0x1.a2094b962692fp-4, 0x1.9d88f174afa6ep-4, 0x1.990642df4b33ep-4, 0x1.9481aefec38a6p-4, 0x1.8ffba01696196p-4, 0x1.8b747fe963cbbp-4, 0x1.86ecb4fd8d434p-4, 0x1.8264a401c3123p-4, 0x1.7ddcb03f09fb8p-4, 0x1.795539aedbfe7p-4, 0x1.74ce9f6ab6409p-4, 0x1.70493d6f83f7fp-4, 0x1.6bc56e5abc49p-4, 0x1.67438a630b424p-4, 0x1.62c3e7d46eeedp-4, 0x1.5e46daec0777dp-4, 0x1.59ccb5bee38fp-4, 0x1.5555c87194fe9p-4, 0x1.50e26112649bp-4, 0x1.4c72cbad11337p-4, 0x1.4807523bd22f9p-4, 0x1.43a03cb0a1ac2p-4, 0x1.3f3dd130ca0b7p-4, 0x1.3ae052e3b5a72p-4, 0x1.368804651dcdap-4, 0x1.323525ac1819fp-4, 0x1.2de7f364da6d3p-4, 0x1.29a0aabd98ea9p-4, 0x1.255f849762eaep-4, 0x1.2124b96f22822p-4, 0x1.1cf07ebec3feap-4, 0x1.18c308de78902p-4, 0x1.149c8966ab99dp-4, 0x1.107d307503014p-4, 0x1.0c652cca32309p-4, 0x1.0854aa1f1a986p-4, 0x1.044bd328aa1d9p-4, 0x1.004ad0ca36218p-4, 0x1.f8a393498ff0ep-5, 0x1.f0c1c5a1baf14p-5, 0x1.e8f07f9e187cfp-5, 0x1.e13003e5de982p-5, 0x1.d9809323e5e9fp-5, 0x1.d1e269bfe0bdbp-5, 0x1.ca55c022720d1p-5, 0x1.c2dace25af3ccp-5, 0x1.bb71c4f54e41ap-5, 0x1.b41ad4ee39f46p-5, 0x1.acd62aa728946p-5, 0x1.a5a3ef55149cbp-5, 0x1.9e844b5e75e6fp-5, 0x1.977760fc0d4e6p-5, 0x1.907d51a846f45p-5, 0x1.89963c2bf5bdep-5, 0x1.82c23aa7fb0a8p-5, 0x1.7c0166fa6f6f6p-5, 0x1.7553d74817aedp-5, 0x1.6eb99facb0f11p-5, 0x1.6832cf4595fc9p-5, 0x1.61bf76ed981fep-5, 0x1.5b5fa220c5976p-5, 0x1.55135a96a272ep-5, 0x1.4edaa7949f093p-5, 0x1.48b58ee3466d6p-5, 0x1.42a4142085bcep-5, 0x1.3ca6373a12478p-5, 0x1.36bbf80aab53fp-5, 0x1.30e5530a197dfp-5, 0x1.2b22427be6c15p-5, 0x1.2572c13eb5f64p-5, 0x1.1fd6c46819e28p-5, 0x1.1a4e41c8987cap-5, 0x1.14d92d7e9fa69p-5, 0x1.0f77785873768p-5, 0x1.0a2912aeb6c2ap-5, 0x1.04edeb7c2a1e1p-5, 0x1.ff8bdfe202a42p-6, 0x1.f562150b14d82p-6, 0x1.eb5e4b1f39fc2p-6, 0x1.e18053730f0a8p-6, 0x1.d7c7fbb906ca1p-6, 0x1.ce350fb7d0366p-6, 0x1.c4c759558cd6fp-6, 0x1.bb7e9e9c0890bp-6, 0x1.b25aa407874d9p-6, 0x1.a95b2bf424e38p-6, 0x1.a07ff6d8ad9f6p-6, 0x1.97c8c1999e78fp-6, 0x1.8f3547a646648p-6, 0x1.86c5453993641p-6, 0x1.7e787110870dap-6, 0x1.764e83ba545abp-6, 0x1.6e472f1dd8216p-6, 0x1.6662290f3715cp-6, 0x1.5e9f2340dd1bp-6, 0x1.56fdced83b5b6p-6, 0x1.4f7dd9533593bp-6, 0x1.481ef23a26141p-6, 0x1.40e0c82836b05p-6, 0x1.39c304de42667p-6, 0x1.32c553d143f5p-6, 0x1.2be760192dcdbp-6, 0x1.2528d2764b8f5p-6, 0x1.1e8953e31f8a2p-6, 0x1.18088bb785a4dp-6, 0x1.11a620c95fe9ep-6, 0x1.0b61bcbcb949dp-6, 0x1.053b02b91f166p-6, 0x1.fe6332b64f619p-7, 0x1.f28a4c1cee311p-7, 0x1.e6ea9b913a004p-7, 0x1.db72ca0378ec3p-7, 0x1.d042e2d975f0cp-7, 0x1.c54a1722d9284p-7, 0x1.ba87adb818791p-7, 0x1.affaf005c41abp-7, 0x1.a5a326e99b7bbp-7, 0x1.9b7f9919aff8ep-7, 0x1.918f98b17ac91p-7, 0x1.87d266c134817p-7, 0x1.7e474ee9323cap-7, 0x1.74ed9a985bbcap-7, 0x1.6bc496ecd44bbp-7, 0x1.62cb8d7e0c3f1p-7, 0x1.5a01cb06beb9dp-7, 0x1.51669b9979ddap-7, 0x1.48f94b341ea93p-7, 0x1.40b92c933ee9ap-7, 0x1.38a589f447d32p-7, 0x1.30bdb4a162a45p-7, 0x1.2900fd51d4f5bp-7, 0x1.216eb56c4846dp-7, 0x1.1a06310c8dd3dp-7, 0x1.12c6c56b010d8p-7, 0x1.0bafc5b2c0a7dp-7, 0x1.04c089cbcc374p-7, 0x1.fbf0cc1c1335ep-8, 0x1.eead7665ef84dp-8, 0x1.e1b5ba8ca7cf1p-8, 0x1.d50852d75b86p-8, 0x1.c8a3f9a5cb252p-8, 0x1.bc876d9ef76abp-8, 0x1.b0b16e654daf2p-8, 0x1.a520be4f8659fp-8, 0x1.99d41f27ced9p-8, 0x1.8eca69143c34ap-8, 0x1.8402587874efep-8, 0x1.797ac0cda72b8p-8, 0x1.6f3277e202a08p-8, 0x1.652850758723bp-8, 0x1.5b5b238bd85afp-8, 0x1.51c9cd5726bf5p-8, 0x1.48732cd4d7399p-8, 0x1.3f5627d4ed3cdp-8, 0x1.36719cb469402p-8, 0x1.2dc47bc4d920bp-8, 0x1.254dac8fda3d7p-8, 0x1.1d0c225fe9fe8p-8, 0x1.14fecdd6e0aefp-8, 0x1.0d24a653e7904p-8, 0x1.057ca5330b3c7p-8, 0x1.fc0b905e13c86p-9, 0x1.ed7e1c3b91204p-9, 0x1.df4efb80d51dcp-9, 0x1.d17c345dd47a7p-9, 0x1.c403e5b1115fp-9, 0x1.b6e4259c137cp-9, 0x1.aa1b12cd8f921p-9, 0x1.9da6e121a51fbp-9, 0x1.9185b8a217064p-9, 0x1.85b5d368209f1p-9, 0x1.7a356ecde700dp-9, 0x1.6f02cf391bbacp-9, 0x1.641c40a697252p-9, 0x1.59801670904ebp-9, 0x1.4f2ca2a6b4243p-9, 0x1.45204c1195d89p-9, 0x1.3b5976506942ep-9, 0x1.31d68f0b50ce7p-9, 0x1.2896064dfcf8ep-9, 0x1.1f965caeef81ap-9, 0x1.16d60eb6cbcb2p-9, 0x1.0e53a439b41cap-9, 0x1.060da2dd09a8fp-9, 0x1.fc056be72014dp-10, 0x1.ec62bbf8caeedp-10, 0x1.dd3095c3e3b02p-10, 0x1.ce6c431284137p-10, 0x1.c0131c5225589p-10, 0x1.b2228df41acap-10, 0x1.a49806d91d40dp-10, 0x1.97710ec76b147p-10, 0x1.8aab27899554dp-10, 0x1.7e4402ef506eap-10, 0x1.72391f3c00e44p-10, 0x1.6688595c715d2p-10, 0x1.5b2f4a36a9ee1p-10, 0x1.502bccdcdd62ap-10, 0x1.457ba8a18fee6p-10, 0x1.3b1cc4989e07ep-10, 0x1.310d0c96c8445p-10, 0x1.274a65caf45f2p-10, 0x1.1dd2dfa5254c3p-10, 0x1.14a4762c17f56p-10, 0x1.0bbd44152ef2cp-10, 0x1.031b6da16ab95p-10, 0x1.f57a06f132e54p-11, 0x1.e540a50b99eb5p-11, 0x1.d5870ab760f4ap-11, 0x1.c649d2540d31ap-11, 0x1.b7858d67c417ep-11, 0x1.a936fe60405bfp-11, 0x1.9b5ad2b0c9389p-11, 0x1.8dedf0650526p-11, 0x1.80ed08f167097p-11, 0x1.74558f6448e57p-11, 0x1.68240d98f9fc1p-11, 0x1.5c55d8850811bp-11, 0x1.50e813e87f338p-11, 0x1.45d7f7b2f16f8p-11, 0x1.3b22d5258f5d7p-11, 0x1.30c615813b997p-11, 0x1.26bf01bf09394p-11, 0x1.1d0b3629db798p-11, 0x1.13a83e6e121a1p-11, 0x1.0a93a5dd1c659p-11, 0x1.01cb1daa83a78p-11, 0x1.f298ec22cd24ep-12, 0x1.e22aadc80c4fep-12, 0x1.d24755cd0074fp-12, 0x1.c2ea9848fc3b2p-12, 0x1.b41070457efe4p-12, 0x1.a5b4d4a8b3cbep-12, 0x1.97d3e8efb068cp-12, 0x1.8a69e8c71b967p-12, 0x1.7d73224f97fc9p-12, 0x1.70ebbb52c1e53p-12, 0x1.64d096496c458p-12, 0x1.591e26f9b2caep-12, 0x1.4dd12ecb7d50dp-12, 0x1.42e66d2b35a85p-12, 0x1.385aae515e392p-12, 0x1.2e2ae90054cc4p-12, 0x1.24546f27104e3p-12, 0x1.1ad3fdbb51eb9p-12, 0x1.11a6e13743428p-12, 0x1.08ca9cc7f9402p-12, 0x1.003c6339048c4p-12, 0x1.eff2926165139p-13, 0x1.dfff4e9bbd108p-13, 0x1.d09891da98f1ap-13, 0x1.c1ba4a33bdc67p-13, 0x1.b35fd1b5e939p-13, 0x1.a5849a89b9p-13, 0x1.98248dedd29fcp-13, 0x1.8b3b2af76e996p-13, 0x1.7ec47f5bcdf1cp-13, 0x1.72bcd0ef63394p-13, 0x1.671fcfc42dac7p-13, 0x1.5bea1ef9282f9p-13, 0x1.511851a8264b1p-13, 0x1.46a6240b27988p-13, 0x1.3c90e68b71fbp-13, 0x1.32d4ee3407cc3p-13, 0x1.296eeb7d696a5p-13, 0x1.205c4cb467713p-13, 0x1.1799ad80bae5ap-13, 0x1.0f24745340d02p-13, 0x1.06f91ba6e1c04p-13, 0x1.fe2bab616f127p-14, 0x1.eeee0a4113624p-14, 0x1.e0362641bd857p-14, 0x1.d1fd99ebfdc69p-14, 0x1.c43fdb937cfe9p-14, 0x1.b6f8da1e2987cp-14, 0x1.aa2415449beadp-14, 0x1.9dbcc3939b5afp-14, 0x1.91beac119cac8p-14, 0x1.86265aa32dfefp-14, 0x1.7aeecf6d4b907p-14, 0x1.7015d0bc1e00dp-14, 0x1.659698cc2764fp-14, 0x1.5b6dd7e657fe5p-14, 0x1.5198814c709acp-14, 0x1.4812d527632c2p-14, 0x1.3eda425571b9cp-14, 0x1.35eab02ca810cp-14, 0x1.2d42956e37a49p-14, 0x1.24deb50f832f4p-14, 0x1.1cbb61c34537p-14, 0x1.14d6e005d1662p-14, 0x1.0d2ee4ad754cfp-14, 0x1.05c0453759ea6p-14, 0x1.fd132fa6d6084p-15, 0x1.ef0e9b5178d57p-15, 0x1.e17030563709ep-15, 0x1.d435a8e36ad5bp-15, 0x1.c756abf5147a3p-15, 0x1.bad2cc8b520ccp-15, 0x1.aea51c8b02e74p-15, 0x1.a2ca5d0fd04b6p-15, 0x1.973f4656093f2p-15, 0x1.8c00529ff8d6p-15, 0x1.810b06d4d55b1p-15, 0x1.765ad5f4b1b9dp-15, 0x1.6befb4322666cp-15, 0x1.61c3f79e458p-15, 0x1.57d6b97c4cf0cp-15, 0x1.4e251a88807b2p-15, 0x1.44ac948ccf77cp-15, 0x1.3b6adae45741ep-15, 0x1.325e71c06e95dp-15, 0x1.29847270454cfp-15, 0x1.20d9d133f4e41p-15, 0x1.185f8c819af01p-15, 0x1.1011983e70ad8p-15, 0x1.07ef2e3ecfd8fp-15, 0x1.ffec91a2df806p-16, 0x1.f04be08f7d73p-16, 0x1.e0f3f8ebc6385p-16, 0x1.d1eae02c13decp-16, 0x1.c3285e9df77e4p-16, 0x1.b4aa1bb146b51p-16, 0x1.a66e04339ccc9p-16, 0x1.98735c8988a0cp-16, 0x1.8ab74d42d5061p-16, 0x1.7d36a2026fd0bp-16, 0x1.6ff000fa6c8a3p-16, 0x1.62e01e85a00f6p-16, 0x1.5607e17b12ac7p-16, 0x1.4966d219b128bp-16, 0x1.3cf4e04419beep-16, 0x1.30b6d9f364a19p-16, 0x1.24a8f07804e6cp-16, 0x1.18cb1df3dcb88p-16, 0x1.0d1859b713406p-16, 0x1.0197e6c036133p-16, 0x1.ec7aca3b1fdcbp-17, 0x1.d615e3f5c3d17p-17, 0x1.c014ad11b67a4p-17, 0x1.aa5b7a4abb1cp-17, 0x1.94ee65fb9cd65p-17, 0x1.7fd8af2435baep-17, 0x1.6b05c64aa4851p-17, 0x1.5681ca35d9b86p-17, 0x1.4244303d30077p-17, 0x1.2e4f7793388fdp-17, 0x1.1aa542b64ad99p-17, 0x1.073a17ebf44f7p-17, 0x1.e82ea3df7a0c5p-18, 0x1.c266d0c53ec26p-18, 0x1.9d343c321192dp-18, 0x1.7873b6a054f51p-18, 0x1.543eafc55c2dep-18, 0x1.3088180781983p-18, 0x1.0d50c353fb28bp-18, 0x1.d52f9d5e263f9p-19, 0x1.90b8c20d56538p-19, 0x1.4d4186bf26d81p-19, 0x1.0ab6551d6b6b5p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.456e6f26d940cp-2, -0x1.74bb3bdcc44b8p-2, -0x1.9d4f5ce927257p-2, -0x1.bf1a1987b6a64p-2, -0x1.da45efd2d659dp-2, -0x1.ef2874b62be7p-2, -0x1.fe34e48ba0d6ap-2, -0x1.03f8989b2d04dp-1, -0x1.0676a8c1c7381p-1, -0x1.06de3ce02d459p-1, -0x1.057805a7716c9p-1, -0x1.0289eec42e26ep-1, -0x1.fcaba81db5f89p-2, -0x1.f23163a183e8ep-2, -0x1.e61449ec50195p-2, -0x1.d8b862ed44a9fp-2, -0x1.ca76a0b2dc596p-2, -0x1.bb9d1b080aecp-2, -0x1.ac6f845283fc1p-2, -0x1.9d27ef431913ep-2, -0x1.8df786a6cad55p-2, -0x1.7f0735c5f40a2p-2, -0x1.707889f727cc8p-2, -0x1.62668a320a75ep-2, -0x1.54e668ee28fcp-2, -0x1.480828619c803p-2, -0x1.3bd7518eb4153p-2, -0x1.305b9d03fea3p-2, -0x1.25997cc405251p-2, -0x1.1b9292bb80a6bp-2, -0x1.1246222dbf3b3p-2, -0x1.09b17e476cc39p-2, -0x1.01d069999f70bp-2, -0x1.f53abe2d42117p-3, -0x1.e823d552f1a1bp-3, -0x1.dc4d59a5e38a3p-3, -0x1.d1a78bb22c4bp-3, -0x1.c821f518971bbp-3, -0x1.bfabb1757cafdp-3, -0x1.b8339d91565aep-3, -0x1.b1a8864e6ebb5p-3, -0x1.abf94e21ff3bep-3, -0x1.a715201498a88p-3, -0x1.a2eb90dc909c8p-3, -0x1.9f6cc0e3dce38p-3, -0x1.9c896d5ee61a1p-3, -0x1.9a32f79a5881bp-3, -0x1.985b68749b951p-3, -0x1.96f5728ba93dap-3, -0x1.95f4765301747p-3, -0x1.954c84f5e08e3p-3, -0x1.94f2652e80ccep-3, -0x1.94db93dfa1134p-3, -0x1.94fe475454a1bp-3, -0x1.955166b461eaap-3, -0x1.95cc84e99efd3p-3, -0x1.9667d827863efp-3, -0x1.971c30baa7208p-3, -0x1.97e2ef5ae6415p-3, -0x1.98b603f0ed345p-3, -0x1.998fe0e9ab2fap-3, -0x1.9a6b7aa6c6176p-3, -0x1.9b4442b9d8bdfp-3, -0x1.9c161e8fc4433p-3, -0x1.9cdd636834857p-3, -0x1.9d96cd60fd38ep-3, -0x1.9e3f7ac3ce4b9p-3, -0x1.9ed4e23f1ceaep-3, -0x1.9f54cc28e7c42p-3, -0x1.9fbd4e47b8308p-3, -0x1.a00cc4af16552p-3, -0x1.a041cc5434cf1p-3, -0x1.a05b3e8d768b7p-3, -0x1.a0582c88be64ep-3, -0x1.a037dbdad411ep-3, -0x1.9ff9c1cd95706p-3, -0x1.9f9d7fdeb5bf5p-3, -0x1.9f23062031a85p-3, -0x1.9e89f2172dd8bp-3, -0x1.9dd274e5c6a45p-3, -0x1.9cfcbc0066badp-3, -0x1.9c090ed6b9374p-3, -0x1.9af7cbf7e579p-3, -0x1.99c96612ddcadp-3, -0x1.987e61cb9a8c7p-3, -0x1.971751bd0d21fp-3, -0x1.9594d6b167f3dp-3, -0x1.93f79d600c15bp-3, -0x1.924059b4351bp-3, -0x1.906fca1f5413dp-3, -0x1.8e86b3328c9a7p-3, -0x1.8c85e101cc0cdp-3, -0x1.8a6e22e1e1142p-3, -0x1.88404d63dc086p-3, -0x1.85fd37c57515cp-3, -0x1.83a5bb50f73d5p-3, -0x1.813ab24e442fap-3, -0x1.7ebcf8148ff65p-3, -0x1.7c2d65d198e62p-3, -0x1.798cd4c9c1f3bp-3, -0x1.76dc1b67c5203p-3, -0x1.741c0e9641c7bp-3, -0x1.714d7f8559f7dp-3, -0x1.6e713b6d74479p-3, -0x1.6b880d01d2fb7p-3, -0x1.6892b99b03908p-3, -0x1.659203047d5d4p-3, -0x1.6286a6aa93892p-3, -0x1.5f715d2891849p-3, -0x1.5c52db9e5f77cp-3, -0x1.592bd1adf37d8p-3, -0x1.55fcead8cc754p-3, -0x1.52c6cd65dcba6p-3, -0x1.4f8a1cfb862c5p-3, -0x1.4c47755b4ab21p-3, -0x1.48ff6fe3f8332p-3, -0x1.45b2a08e1c52bp-3, -0x1.426196b3e5f29p-3, -0x1.3f0cdcfbe30edp-3, -0x1.3bb4f98a0eec3p-3, -0x1.385a6d848fdeep-3, -0x1.34fdb616efa78p-3, -0x1.319f4b674c077p-3, -0x1.2e3fa14c3f078p-3, -0x1.2adf263957fa1p-3, -0x1.277e457aedd23p-3, -0x1.241d6646a09c9p-3, -0x1.20bce9c9feee3p-3, -0x1.1d5d2f727edf5p-3, -0x1.19fe914d7e863p-3, -0x1.16a16623e0d91p-3, -0x1.134600c187245p-3, -0x1.0fecb093152e9p-3, -0x1.0c95c15df2c49p-3, -0x1.09417b6b7e2bap-3, -0x1.05f0244155fa5p-3, -0x1.02a1fd6d10c9ep-3, -0x1.feae8c2b01409p-4, -0x1.f8207363295c4p-4, -0x1.f19a233b0ef4p-4, -0x1.eb1c07e463c7dp-4, -0x1.e4a6884830854p-4, -0x1.de3a066adbf76p-4, -0x1.d7d6dedd5af19p-4, -0x1.d17d69ea925cbp-4, -0x1.cb2dfa44a8205p-4, -0x1.c4e8dedd853f5p-4, -0x1.beae622877f81p-4, -0x1.b87ec9a356909p-4, -0x1.b25a575fefe0fp-4, -0x1.ac414a15eb0dep-4, -0x1.a633dad26ae3fp-4, -0x1.a0323fe333201p-4, -0x1.9a3cad9773503p-4, -0x1.9453513f6f114p-4, -0x1.8e765877ce00ap-4, -0x1.88a5eda211196p-4, -0x1.82e2351d119b5p-4, -0x1.7d2b52b013946p-4, -0x1.7781671c941cdp-4, -0x1.71e49027a6cddp-4, -0x1.6c54e8dbac48ap-4, -0x1.66d28a188aef5p-4, -0x1.615d8b7590ef9p-4, -0x1.5bf5ffeaa4c5ap-4, -0x1.569c0685239bcp-4, -0x1.514f972acdccep-4, -0x1.4c10cb1dcb09bp-4, -0x1.46dfae953dd22p-4, -0x1.41bc4bf4d7c8dp-4, -0x1.3ca6abb432adep-4, -0x1.379ed4e6ff557p-4, -0x1.32a4cbf30f035p-4, -0x1.2db896a8a464ep-4, -0x1.28da347b88617p-4, -0x1.2409a9bc22294p-4, -0x1.1f46f2d867b7ap-4, -0x1.1a920f172729cp-4, -0x1.15eafb0393f48p-4, -0x1.1151b277ee6p-4, -0x1.0cc62f8e088adp-4, -0x1.08486bde8b5bep-4, -0x1.03d85f86bf12cp-4, -0x1.feec02a8710b2p-5, -0x1.f6428f930ce5p-5, -0x1.edb4500be163dp-5, -0x1.e5412bd23276ep-5, -0x1.dce90a676bc9fp-5, -0x1.d4abd08b5ffcbp-5, -0x1.cc8961bbb4f0ap-5, -0x1.c4819ffb7ffd9p-5, -0x1.bc946b2eb3d31p-5, -0x1.b4c1a327814e9p-5, -0x1.ad0925378384cp-5, -0x1.a56acda7335e2p-5, -0x1.9de67750440b2p-5, -0x1.967bfde2f498ap-5, -0x1.8f2b38fe88b71p-5, -0x1.87f3ff2814f1dp-5, -0x1.80d62bf69fa69p-5, -0x1.79d1908de8b5fp-5, -0x1.72e603d75564p-5, -0x1.6c135a5ee6d58p-5, -0x1.655965f95e85p-5, -0x1.5eb7faa6a5cefp-5, -0x1.582eea07a6a26p-5, -0x1.51be03cdd77dfp-5, -0x1.4b6519c248b9bp-5, -0x1.4523fb1c191bcp-5, -0x1.3efa76f165e34p-5, -0x1.38e85bd56f28ap-5, -0x1.32ed779566eddp-5, -0x1.2d0997dea9732p-5, -0x1.273c892a082bp-5, -0x1.218618632912fp-5, -0x1.1be611fc4a0bp-5, -0x1.165c404d7785bp-5, -0x1.10e86f080da3ap-5, -0x1.0b8a6afe421bcp-5, -0x1.0641fa7376b99p-5, -0x1.010eec5c569e4p-5, -0x1.f7e2112759f05p-6, -0x1.edd0326dcd5e3p-6, -0x1.e3e7ce16ca12cp-6, -0x1.da28793a43ab5p-6, -0x1.d091c51424d68p-6, -0x1.c723451a60da1p-6, -0x1.bddc88e269dbp-6, -0x1.b4bd24784cadap-6, -0x1.abc4a77e75928p-6, -0x1.a2f2a53c30d3ep-6, -0x1.9a46aca28df7ep-6, -0x1.91c0515bd0d8bp-6, -0x1.895f2324c2c7fp-6, -0x1.8122b43eb93dap-6, -0x1.790a95778c72cp-6, -0x1.7116583406eadp-6, -0x1.69458e8ce9945p-6, -0x1.6197cb6872396p-6, -0x1.5a0c9cebc606bp-6, -0x1.52a398725d467p-6, -0x1.4b5c52b79980ep-6, -0x1.443658142a636p-6, -0x1.3d31408a1c04dp-6, -0x1.364c9e58cf8aep-6, -0x1.2f8804d244p-6, -0x1.28e307a1a2a55p-6, -0x1.225d3e3132dfdp-6, -0x1.1bf63ab22f3ffp-6, -0x1.15ad936d63072p-6, -0x1.0f82de396a49bp-6, -0x1.0975b3c0b17e4p-6, -0x1.0385a5da17984p-6, -0x1.fb64a3e3bf55p-7, -0x1.eff69a81f3247p-7, -0x1.e4c060c8dad12p-7, -0x1.d9c12df6f6a01p-7, -0x1.cef830a23051dp-7, -0x1.c464a281a2cc2p-7, -0x1.ba05b70410fd1p-7, -0x1.afdaa86103799p-7, -0x1.a5e2ac5b8982bp-7, -0x1.9c1d07006fbf7p-7, -0x1.9288eb8aab6c8p-7, -0x1.89259bb0b85c1p-7, -0x1.7ff25a66e9c17p-7, -0x1.76ee5bd2cdc1ep-7, -0x1.6e18ef2e44e7cp-7, -0x1.6571539f329bfp-7, -0x1.5cf6d1c7a93f2p-7, -0x1.54a8aebaec5c8p-7, -0x1.4c862f20c118ap-7, -0x1.448eab8a962f2p-7, -0x1.3cc1630e255a3p-7, -0x1.351daaad6ec35p-7, -0x1.2da2ca2c2f751p-7, -0x1.26501b4f63ed1p-7, -0x1.1f24eeafd7475p-7, -0x1.18209a5e1bbe3p-7, -0x1.1142758031081p-7, -0x1.0a89d465d6714p-7, -0x1.03f616d64181cp-7, -0x1.fb0d2e140d7cdp-8, -0x1.ee755f818419cp-8, -0x1.e223970556bfep-8, -0x1.d616837b2d891p-8, -0x1.ca4cf2295ffd5p-8, -0x1.bec5ac1fb7dc5p-8, -0x1.b37f7deeb8517p-8, -0x1.a8794d5a9bae9p-8, -0x1.9db1d8577e275p-8, -0x1.932804da18c9cp-8, -0x1.88daa62ddceaep-8, -0x1.7ec8a71a355bfp-8, -0x1.74f0e8fab8e6ep-8, -0x1.6b5258b4ceaaep-8, -0x1.61ebd2f5bc485p-8, -0x1.58bc586860ddap-8, -0x1.4fc2dae9beb27p-8, -0x1.46fe43635ff81p-8, -0x1.3e6d9ab5bda9cp-8, -0x1.360fdafe3dc15p-8, -0x1.2de4073bf2a2fp-8, -0x1.25e9219b41473p-8, -0x1.1e1e355fb1819p-8, -0x1.1682524c68f0bp-8, -0x1.0f148083eeea6p-8, -0x1.07d3db17ce322p-8, -0x1.00bf713c5eb65p-8, -0x1.f3ace12d08bd5p-9, -0x1.e62fcc37d1b6p-9, -0x1.d905ec1fda406p-9, -0x1.cc2d8fa30c396p-9, -0x1.bfa50a36adc91p-9, -0x1.b36ab18a03f8fp-9, -0x1.a77ceafa57d66p-9, -0x1.9bda0eaaf85c5p-9, -0x1.90808bf5f49fdp-9, -0x1.856ee4d432d3fp-9, -0x1.7aa380829fda6p-9, -0x1.701cf3e9316e7p-9, -0x1.65d9ac4b1733ap-9, -0x1.5bd847f3709e8p-9, -0x1.5217571a95d4bp-9, -0x1.48956c94c5857p-9, -0x1.3f5121cf8d989p-9, -0x1.36492db22109cp-9, -0x1.2d7c3cbf3d262p-9, -0x1.24e8e7aedacdcp-9, -0x1.1c8dfcc17ea95p-9, -0x1.146a358241b11p-9, -0x1.0c7c51e070d81p-9, -0x1.04c31b094d1d7p-9, -0x1.fa7aacad1885p-10, -0x1.ebd3dcc08cd2ep-10, -0x1.dd8f693ca4c32p-10, -0x1.cfaaed5701b77p-10, -0x1.c2245badb5401p-10, -0x1.b4f977efd63bp-10, -0x1.a82821917440ap-10, -0x1.9bae3e6bacc0dp-10, -0x1.8f841c79b11f8p-10, -0x1.83b2fa15562e8p-10, -0x1.78337f0c727f3p-10, -0x1.6d0368dc1daadp-10, -0x1.6220f78cf8cf1p-10, -0x1.578a5966d6fa1p-10, -0x1.4d3dae7c59c07p-10, -0x1.43391d2e8fccdp-10, -0x1.397b25be57e8fp-10, -0x1.3001b1434350cp-10, -0x1.26cb430e23568p-10, -0x1.1dd6579c563e1p-10, -0x1.152131337be3bp-10, -0x1.0caa40e825c78p-10, -0x1.046ffd88a436fp-10, -0x1.f8e1ce0d837b1p-11, -0x1.e956e72a57c05p-11, -0x1.da3cb02b80463p-11, -0x1.cb8ffe2c80e7dp-11, -0x1.bd4e1d298e2a3p-11, -0x1.af747d0bfd57ep-11, -0x1.a200601cecb56p-11, -0x1.94ef2c0ef6a36p-11, -0x1.883e5c0551dcfp-11, -0x1.7beb6c9e49cdfp-11, -0x1.6ff4378e1fe0fp-11, -0x1.6455af07a12b7p-11, -0x1.590e21534324ep-11, -0x1.4e1b0c9a621c2p-11, -0x1.437a480fe22d1p-11, -0x1.3929a2ac7b458p-11, -0x1.2f2701bfbf706p-11, -0x1.25704ffdc50bcp-11, -0x1.1c03a83182cd2p-11, -0x1.12dea1662f0e4p-11, -0x1.09ffc90f31a59p-11, -0x1.0164da807736p-11, -0x1.f218fafec5a88p-12, -0x1.e1e8f1410e395p-12, -0x1.d2366b250f77ep-12, -0x1.c2fdb94fa5dd5p-12, -0x1.b43bd279f91cdp-12, -0x1.a5ed07d6e23d1p-12, -0x1.980eada7d4f52p-12, -0x1.8a9d8377da0d4p-12, -0x1.7d95afb2e5072p-12, -0x1.70f57f41d6038p-12, -0x1.64b9955c9e0efp-12, -0x1.58dece1ed1a6ap-12, -0x1.4d62a0a1cd8e4p-12, -0x1.4242561f1805p-12, -0x1.377b5fdfce56ap-12, -0x1.2d0b072b4448bp-12, -0x1.22ef6623349cap-12, -0x1.1924d49f0133fp-12, -0x1.0faa43ca500f4p-12, -0x1.067ca7f86177cp-12, -0x1.fb3360eed2d4fp-13, -0x1.e9ff59962d576p-13, -0x1.d958724f9afb7p-13, -0x1.c93a903e62d87p-13, -0x1.b9a1959bbcaabp-13, -0x1.aa89ac50139d7p-13, -0x1.9beebae653ab9p-13, -0x1.8dcd6b721df89p-13, -0x1.8021c0e5e35c1p-13, -0x1.72e8509369948p-13, -0x1.661db341c2d24p-13, -0x1.59bea9c203c77p-13, -0x1.4dc7a07bb3021p-13, -0x1.4235d63d29b5ep-13, -0x1.3706022c65711p-13, -0x1.2c34bc9e79f74p-13, -0x1.21becaf501ad3p-13, -0x1.17a303f85a7e2p-13, -0x1.0ddd3099ba613p-13, -0x1.046b5cfbc3302p-13, -0x1.f6942020b7cebp-14, -0x1.e4eedc4cb65afp-14, -0x1.d3e1f4b7ce8fdp-14, -0x1.c3688038d54afp-14, -0x1.b37bc843d3bd7p-14, -0x1.a41c4712459acp-14, -0x1.9541224213a8ep-14, -0x1.86e664a6c72dp-14, -0x1.7909caba8387bp-14, -0x1.6ba6551aa88a1p-14, -0x1.5eb8100cc9732p-14, -0x1.523b4833bad7cp-14, -0x1.462c42449f93p-14, -0x1.3a87fbcd9bd55p-14, -0x1.2f4950616caa7p-14, -0x1.246ec84ff0429p-14, -0x1.19f48a5a3811bp-14, -0x1.0fd5954590e04p-14, -0x1.06128c987ee7ap-14, -0x1.f94b1598dadf9p-15, -0x1.e718cde73289ap-15, -0x1.d588e1183b385p-15, -0x1.c497c1384a628p-15, -0x1.b439858d48aabp-15, -0x1.a470e64870675p-15, -0x1.953581a366453p-15, -0x1.86807fd3815c8p-15, -0x1.7852a402971aap-15, -0x1.6aa3329eca6bfp-15, -0x1.5d6e989076fd4p-15, -0x1.50b1578fca1d6p-15, -0x1.44660536fd552p-15, -0x1.388a0c21b346p-15, -0x1.2d167b3c7a9p-15, -0x1.220e70752c0f9p-15, -0x1.17687d8c2dfffp-15, -0x1.0d225b5a3a44p-15, -0x1.0339344b8e22fp-15, -0x1.f350662659b77p-16, -0x1.e0e0e07f8a13ap-16, -0x1.cf13c0bb7ad2dp-16, -0x1.bde9aa4fb4961p-16, -0x1.ad566471d95a2p-16, -0x1.9d5db42d5a769p-16, -0x1.8df33a7001d48p-16, -0x1.7f142dc0ae5bbp-16, -0x1.70b9801bfa69ep-16, -0x1.62df05e01b0f6p-16, -0x1.55869db882c3p-16, -0x1.48a4267b4477fp-16, -0x1.3c35cdd905c7p-16, -0x1.3035d2c486a0dp-16, -0x1.24a36d1303562p-16, -0x1.19759c2fba647p-16, -0x1.0eab46b46c3d7p-16, -0x1.044809ad1ff69p-16, -0x1.f47787244b79fp-17, -0x1.e115ee06a4a83p-17, -0x1.ce59d0f55d104p-17, -0x1.bc4bed992fc66p-17, -0x1.aae5b95501e66p-17, -0x1.9a09cc8c4f1c6p-17, -0x1.89c9129682174p-17, -0x1.7a1715be94011p-17, -0x1.6aeead0b2aedp-17, -0x1.5c4c1e97f9b82p-17, -0x1.4e2930d5762d2p-17, -0x1.408435cdbd74p-17, -0x1.334af6eeb44d7p-17, -0x1.268c7dfd93ab8p-17, -0x1.1a42baac2343fp-17, -0x1.0e5d1fd09bae9p-17, -0x1.02dcc48f1292ep-17, -0x1.ef80a77a1067fp-18, -0x1.da041b42ddce6p-18, -0x1.c5462ad2a7d13p-18, -0x1.b124401632feep-18, -0x1.9dc31320a617bp-18, -0x1.8afd1b309fb68p-18, -0x1.78d66d8e33425p-18, -0x1.6745e1fa2a64cp-18, -0x1.56471019c8505p-18, -0x1.45ddab58699e1p-18, -0x1.35e0e4099f593p-18, -0x1.269628b6b4cdp-18, -0x1.17aa1b061b5aep-18, -0x1.094105ad2b738p-18, -0x1.f697ad43105a7p-19, -0x1.db9bf27bec2b1p-19, -0x1.c16ab330147ecp-19, -0x1.a81dfffc5cc84p-19, -0x1.8f7b57a4328e9p-19, -0x1.77d29a0186a23p-19, -0x1.60cf018f7038dp-19, -0x1.4a7e71068fc39p-19, -0x1.34f4861f24e46p-19, -0x1.200602fb94cd4p-19, -0x1.0bbe6cde26c8cp-19, -0x1.f04379f4e0d9p-20, -0x1.ca3ba1ca73e52p-20, -0x1.a5280a6cef1bcp-20, -0x1.81918f3920fc4p-20, -0x1.5ec57a421d2a5p-20, -0x1.3d5302fa8d61fp-20, -0x1.1cc8457ba5bd1p-20, -0x1.fad4f0a368103p-21, -0x1.bd6527691edb6p-21, -0x1.822f6c5f3f84cp-21, -0x1.48a6a0ca6bdcbp-21, -0x1.11178ac702093p-21, -0x1.b65403e1e5e65p-22, -0x1.4db49697f3db6p-22, -0x1.d0abba87f74abp-23, -0x1.0c6b2220fdfep-23, -0x1.399e7d461fcbep-25, 0x1.af2dfcaf4d85bp-25, 0x1.1c4168b0b61dcp-23, 0x1.ca30f38d1ac23p-23, 0x1.38728a23753c2p-22, 0x1.89d8a57d3bc84p-22, 0x1.d83132b0b1c5cp-22, 0x1.1218159e22413p-21, 0x1.36e97bd4e0d81p-21, 0x1.5a4aef851dca2p-21, 0x1.7c9cc35222417p-21, 0x1.9e03688d2478p-21, 0x1.be3b6f7210c1cp-21, 0x1.dd6a6d2f8618p-21, 0x1.fb35274eb4a72p-21, 0x1.0c19571b70ee8p-20, 0x1.1a2a9cb06c52fp-20, 0x1.2798906d91172p-20, 0x1.3463df42e8a0bp-20, 0x1.415f34583fc9p-20, 0x1.4d3a6fcc3d808p-20, 0x1.58def76559486p-20, 0x1.640b17f591d3ap-20, 0x1.6ec9f3f7c6937p-20, 0x1.792245fee0a96p-20, 0x1.830aa2c4ab0b7p-20, 0x1.8c8b005b7028p-20, 0x1.95aa86b92ca51p-20, 0x1.9e54253496c3cp-20, 0x1.a6c42b01c7c06p-20, 0x1.aeb53722672c6p-20, 0x1.b64bbba9a91efp-20, 0x1.bd719e7739d31p-20, 0x1.c4681de2cea57p-20, 0x1.cafb62cc33da7p-20, 0x1.d0f235aaf9c05p-20, 0x1.d728c167a3907p-20, 0x1.dc6d529de1d7cp-20, 0x1.e1c9b877b3531p-20, 0x1.e6a31dc624184p-20, 0x1.eb37e75cd5095p-20, 0x1.ef8060bd9fa84p-20, 0x1.f39f865aa1784p-20, 0x1.f710a55e4e0d1p-20, 0x1.fa98364e46dc6p-20, 0x1.fdb6d65d0d4d9p-20, 0x1.0047a4af7b67cp-19, 0x1.01975abd6233cp-19, 0x1.02b4475a89bc5p-19, 0x1.03bf7b79b8d8dp-19, 0x1.04a2759f005afp-19, 0x1.056fd6c760efcp-19, 0x1.060b2f1b3ae2ep-19, 0x1.0694165d56421p-19, 0x1.06fd2168d0612p-19, 0x1.07484e51e8a5fp-19, 0x1.076d3b65adfbdp-19, 0x1.078dd16975b41p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.57187ddde9054p-1, -0x1.42f55f437a3e9p-1, -0x1.223df7f11b348p-1, -0x1.ed9e864e32b9dp-2, -0x1.85552fc24b77fp-2, -0x1.0faa0bd0c802bp-2, -0x1.20feaccec284p-3, -0x1.6def879301011p-7, 0x1.f1199f871c911p-4, 0x1.03c8ec2b59bcbp-2, 0x1.88a79025fdf76p-2, 0x1.046bc312bcedcp-1, 0x1.415cc1053e4bp-1, 0x1.7a8122943f332p-1, 0x1.af5de53b93792p-1, 0x1.df9d08d1504aap-1, 0x1.05845a05caefp+0, 0x1.18c37b6e9b2dcp+0, 0x1.298ac668d0299p+0, 0x1.37e2bb4dff769p+0, 0x1.43dbb10d71ad6p+0, 0x1.4d8c5a601e368p+0, 0x1.5510431200eedp+0, 0x1.5a86675ea2dfap+0, 0x1.5e1024c85216cp+0, 0x1.5fd06b18c2b1dp+0, 0x1.5feaf5d3cb901p+0, 0x1.5e838cfbcfdd8p+0, 0x1.5bbd71f582a4fp+0, 0x1.57bb04ab2ef12p+0, 0x1.529d876008233p+0, 0x1.4c84e5cabd73fp+0, 0x1.458f7c3482c02p+0, 0x1.3dda11bebcaacp+0, 0x1.357f0b648a6f4p+0, 0x1.2c97b0d4d1fdbp+0, 0x1.233b5b678bba5p+0, 0x1.197f98ab9240dp+0, 0x1.0f7830aabfb0cp+0, 0x1.053739d825d05p+0, 0x1.f59a68bd61fefp-1, 0x1.e092493fa3e92p-1, 0x1.cb7150c79f45cp-1, 0x1.b6500d4c1c772p-1, 0x1.a1447ba4003d2p-1, 0x1.8c62282af8b4dp-1, 0x1.77ba56c6ddb96p-1, 0x1.635c30ec93d9ap-1, 0x1.4f54f57e9af12p-1, 0x1.3bb025dbc549bp-1, 0x1.2877ad01f6b6fp-1, 0x1.15b3ffba1a7e2p-1, 0x1.036c371ece57ep-1, 0x1.e34c510dc9ad8p-2, 0x1.c0ccfa8d0f1a3p-2, 0x1.9f61987e3512fp-2, 0x1.7f0f6974748e2p-2, 0x1.5fd9f2a8ef17cp-2, 0x1.41c332970375bp-2, 0x1.24cbcec75bb06p-2, 0x1.08f33b0fe5b34p-2, 0x1.dc6fb8641f2e8p-3, 0x1.a92e4b4f4259ep-3, 0x1.781b6868602c5p-3, 0x1.492ecc1c86111p-3, 0x1.1c5ee30ef43c9p-3, 0x1.e341ec8e99f3ep-4, 0x1.91d2ac5427fa5p-4, 0x1.44570a1b1cfdcp-4, 0x1.f569814da536fp-5, 0x1.69a1177d1e1fap-5, 0x1.ca39a8c1f2af7p-6, 0x1.9e8ea723af1a5p-7, -0x1.e0852f101fb95p-10, -0x1.fc5347f20cbadp-7, -0x1.d19158f147d56p-6, -0x1.4c5a100e90d0fp-5, -0x1.aa265618bd06ep-5, -0x1.0113157417ec3p-4, -0x1.2a57feba20bb7p-4, -0x1.50fde89635871p-4, -0x1.75205c6367efp-4, -0x1.96da5a0e6f00ap-4, -0x1.b6464998fcc6bp-4, -0x1.d37def2ef0a84p-4, -0x1.ee9a621bc3ab3p-4, -0x1.03da02b9d2e78p-3, -0x1.0f7141bba4d03p-3, -0x1.1a1e65ab9bdeap-3, -0x1.23ec875f42f43p-3, -0x1.2ce6610cb439bp-3, -0x1.35164e6b9802fp-3, -0x1.3c864d62b6455p-3, -0x1.433ffecace99p-3, -0x1.494ca77a140c7p-3, -0x1.4eb53172fd1b9p-3, -0x1.53822d4867318p-3, -0x1.57bbd378a398p-3, -0x1.5b6a065a207d2p-3, -0x1.5e94538ca2e2bp-3, -0x1.6141f622fba84p-3, -0x1.6379d88affe5bp-3, -0x1.654296f17c374p-3, -0x1.66a2819317f69p-3, -0x1.679f9f3d9b1cdp-3, -0x1.683faff9b5dbp-3, -0x1.68882fb674918p-3, -0x1.687e59021ea73p-3, -0x1.682727bc6060cp-3, -0x1.67875ba57dd1bp-3, -0x1.66a37b01aa11p-3, -0x1.657fd4f7a1d97p-3, -0x1.642083f89eb2ap-3, -0x1.62896fc5dbefap-3, -0x1.60be50024e6p-3, -0x1.5ec2adc62c449p-3, -0x1.5c99e5cc4c032p-3, -0x1.5a472a39ee154p-3, -0x1.57cd84640da5ep-3, -0x1.552fd67cf2338p-3, -0x1.5270dd4480019p-3, -0x1.4f93318bad3cfp-3, -0x1.4c9949cf717f7p-3, -0x1.49857bd33405dp-3, -0x1.4659fe0c32af2p-3, -0x1.4318e8fc7e368p-3, -0x1.3fc438a7d41f9p-3, -0x1.3c5dce12e47dfp-3, -0x1.38e7702eb1d53p-3, -0x1.3562cd5995b82p-3, -0x1.31d17c5d8925fp-3, -0x1.2e34fd9296cbbp-3, -0x1.2a8ebbe5b43f8p-3, -0x1.26e00ddedc5bdp-3, -0x1.232a369e0dc2cp-3, -0x1.1f6e66b98014bp-3, -0x1.1badbd4b2ce3bp-3, -0x1.17e948b027629p-3, -0x1.142207900cebp-3, -0x1.1058e973391ccp-3, -0x1.0c8ecfc5ddaeep-3, -0x1.08c48e6e94ad6p-3, -0x1.04faec91752b5p-3, -0x1.0132a5330ce41p-3, -0x1.fad8cfa3df76p-4, -0x1.f351b1fd0476ap-4, -0x1.ebd125c62b1d9p-4, -0x1.e4584b8f3412ap-4, -0x1.dce8311cff5cp-4, -0x1.d581d24fbad28p-4, -0x1.ce2619fa5df29p-4, -0x1.c6d5e2efd2ef6p-4, -0x1.bf91f8aea7046p-4, -0x1.b85b17f5b726bp-4, -0x1.b131f003dd1c8p-4, -0x1.aa1722c629c06p-4, -0x1.a30b45afa56edp-4, -0x1.9c0ee2c665bf4p-4, -0x1.952278b40c2adp-4, -0x1.8e467baca7ecdp-4, -0x1.877b55ee338f5p-4, -0x1.80c1683eb9aa2p-4, -0x1.7a190a87feb48p-4, -0x1.73828c24f3f0fp-4, -0x1.6cfe34a0e15efp-4, -0x1.668bd1f076b4p-4, -0x1.602ca10d83272p-4, -0x1.59e04317763c8p-4, -0x1.53a6e222dfaacp-4, -0x1.4d80a265ebe13p-4, -0x1.476da2a274b0dp-4, -0x1.416dfc753964ap-4, -0x1.3b81c4cc51b47p-4, -0x1.35a90bcfa9e6p-4, -0x1.2fe3dddcea7a2p-4, -0x1.2a3242d14a95fp-4, -0x1.24943f4094229p-4, -0x1.1f09d3de02b66p-4, -0x1.1992fe1a80c23p-4, -0x1.142fb809feda9p-4, -0x1.0edff8bbc93dcp-4, -0x1.09a3b4522372dp-4, -0x1.047adc128254p-4, -0x1.fecabd4032429p-5, -0x1.f4c65013f3d9cp-5, -0x1.eae843f1e651fp-5, -0x1.e130679216613p-5, -0x1.d79e855b9c764p-5, -0x1.ce3263b2c1da3p-5, -0x1.c4ebc50114d37p-5, -0x1.bbca6857297cbp-5, -0x1.b2ce0961e48e1p-5, -0x1.a9f660ab03213p-5, -0x1.a14323fba47afp-5, -0x1.98b4068867ep-5, -0x1.9048b926400c8p-5, -0x1.8800ea4a4c7fap-5, -0x1.7fdc46d84a857p-5, -0x1.77da79c5a6993p-5, -0x1.6ffb2c14170e6p-5, -0x1.683e05eb062dep-5, -0x1.60a2adf188ac6p-5, -0x1.5928c9974b32ep-5, -0x1.51cffd738c876p-5, -0x1.4a97ed2af9d5dp-5, -0x1.43803b933ea4ap-5, -0x1.3c888ae5b696cp-5, -0x1.35b07cc6a6013p-5, -0x1.2ef7b264363cap-5, -0x1.285dcc8654626p-5, -0x1.21e26b9c257f5p-5, -0x1.1b852fb8c7dfdp-5, -0x1.1545b8c375552p-5, -0x1.0f23a6959c3bep-5, -0x1.091e98af86b55p-5, -0x1.03362eba88966p-5, -0x1.fad410ca2ef9ap-6, -0x1.ef738a980767fp-6, -0x1.e44a09ec4d6d8p-6, -0x1.d956cf5374413p-6, -0x1.ce991a1dfdf86p-6, -0x1.c4102b25e8cfcp-6, -0x1.b9bb43905e0d5p-6, -0x1.af99a4fe76d34p-6, -0x1.a5aa91de74ae1p-6, -0x1.9bed4d6203025p-6, -0x1.92611ba1ee0f9p-6, -0x1.890541965c34ap-6, -0x1.7fd905600a485p-6, -0x1.76dbadd0a84e1p-6, -0x1.6e0c8386d9bedp-6, -0x1.656acf783469bp-6, -0x1.5cf5dce98fe0fp-6, -0x1.54acf7639ef12p-6, -0x1.4c8f6c8ef567fp-6, -0x1.449c8b0315b2bp-6, -0x1.3cd3a35cefaa8p-6, -0x1.353407345d277p-6, -0x1.2dbd09992b56ap-6, -0x1.266dfffbb4c2p-6, -0x1.1f46407106ca9p-6, -0x1.184522bca661fp-6, -0x1.116a015f30e22p-6, -0x1.0ab437452c4d7p-6, -0x1.0423219865977p-6, -0x1.fb6c3e6b074bap-7, -0x1.eed9214c42669p-7, -0x1.e28bafe4882cbp-7, -0x1.d682b29912d78p-7, -0x1.cabcf4bf8d366p-7, -0x1.bf39455d45c5ep-7, -0x1.b3f676a7508ep-7, -0x1.a8f35f0affb75p-7, -0x1.9e2ed7d3f3126p-7, -0x1.93a7be2f35e48p-7, -0x1.895cf2b95d227p-7, -0x1.7f4d59d01fb29p-7, -0x1.7577db03bdef5p-7, -0x1.6bdb61fe71527p-7, -0x1.6276dd5e19d3ap-7, -0x1.59493fb237d04p-7, -0x1.50517f1a0854p-7, -0x1.478e9490e3671p-7, -0x1.3eff7e2658112p-7, -0x1.36a33b6e41a53p-7, -0x1.2e78d10c69b12p-7, -0x1.267f477ba4cc2p-7, -0x1.1eb5a8c1d3d27p-7, -0x1.171b0441d4779p-7, -0x1.0fae6b8b49df5p-7, -0x1.086ef49d03cbep-7, -0x1.015bb90876e59p-7, -0x1.f4e7a857034bfp-8, -0x1.e76ccdb2449c3p-8, -0x1.da4527da7587bp-8, -0x1.cd6f06090681dp-8, -0x1.c0e8ba75a2d6p-8, -0x1.b4b0a08adde16p-8, -0x1.a8c519c492fc2p-8, -0x1.9d248e0470a61p-8, -0x1.91cd6c523704cp-8, -0x1.86be290a0258ep-8, -0x1.7bf53fdf5baa5p-8, -0x1.717132fdb68c2p-8, -0x1.673088beeaae1p-8, -0x1.5d31d1f9dd2efp-8, -0x1.5373a1a738e1ep-8, -0x1.49f492add3e13p-8, -0x1.40b346bff000cp-8, -0x1.37ae622606f43p-8, -0x1.2ee493c70a74dp-8, -0x1.26548cb6c41bfp-8, -0x1.1dfd082376765p-8, -0x1.15dcc1690c503p-8, -0x1.0df27d0ccf03ap-8, -0x1.063d04cb7a5b9p-8, -0x1.fd7650379d26p-9, -0x1.eed775bf3f78bp-9, -0x1.e09b2de380ca2p-9, -0x1.d2bf3ab41469cp-9, -0x1.c541628982f4ap-9, -0x1.b81f7a5ceb4abp-9, -0x1.ab575f5b49261p-9, -0x1.9ee6fd1570b5dp-9, -0x1.92cc4424056a9p-9, -0x1.87053077fb994p-9, -0x1.7b8fcae7d843ap-9, -0x1.706a223aea88bp-9, -0x1.659251b6b1ed2p-9, -0x1.5b0679acd119fp-9, -0x1.50c4c904e03e2p-9, -0x1.46cb77ad87c9dp-9, -0x1.3d18c1c8d427ap-9, -0x1.33aaf02105509p-9, -0x1.2a8053b6ebf54p-9, -0x1.219745b004c46p-9, -0x1.18ee28c9c5f46p-9, -0x1.108367889cbd2p-9, -0x1.08557494d7ab6p-9, -0x1.0062cb75fd75bp-9, -0x1.f153d8ee8c47ap-10, -0x1.e252cd077a718p-10, -0x1.d3bf966e8151dp-10, -0x1.c5976958fff1ep-10, -0x1.b7d78af942162p-10, -0x1.aa7d50b96eeb5p-10, -0x1.9d8619ff39858p-10, -0x1.90ef559d934bfp-10, -0x1.84b6882bd1b7fp-10, -0x1.78d9397f7840dp-10, -0x1.6d55054d81d6dp-10, -0x1.6227938b8f189p-10, -0x1.574e99e1a5dabp-10, -0x1.4cc7dca856688p-10, -0x1.429125270ad35p-10, -0x1.38a8524079f62p-10, -0x1.2f0b4f5c262bbp-10, -0x1.25b80d17ed969p-10, -0x1.1cac8cfcfdd9ap-10, -0x1.13e6db4b47cdbp-10, -0x1.0b650fe3c952p-10, -0x1.031f51693b7fcp-10, -0x1.f63f418b02db5p-11, -0x1.e6bcbbde37763p-11, -0x1.d7b3aa108b60bp-11, -0x1.c920a07cb8bfbp-11, -0x1.bb004c23b3098p-11, -0x1.ad4f7d34d43ffp-11, -0x1.a00b074b3b03cp-11, -0x1.932fd3d196f12p-11, -0x1.86baf231d2eep-11, -0x1.7aa967cc36972p-11, -0x1.6ef85854b0cbep-11, -0x1.63a50266dafddp-11, -0x1.58acac6e2cac1p-11, -0x1.4e0cb0bbc0abap-11, -0x1.43c27af66a04ap-11, -0x1.39cb880611394p-11, -0x1.30255f382548cp-11, -0x1.26cda0f1861afp-11, -0x1.1dc1f9c05bd1p-11, -0x1.1500226bd1373p-11, -0x1.0c85e538d49e6p-11, -0x1.04511aeb9872ap-11, -0x1.f8bf54fed27b3p-12, -0x1.e95f128c50c81p-12, -0x1.da7d639b8dd41p-12, -0x1.cc1695ebebed6p-12, -0x1.be26b3e491abep-12, -0x1.b0aa21e9c0f1ep-12, -0x1.a39d4ff8b4d3ep-12, -0x1.96fcc2aabe1e2p-12, -0x1.8ac5179808f7p-12, -0x1.7ef301a33d388p-12, -0x1.73834a156efcap-12, -0x1.6872e1e76d4c8p-12, -0x1.5dbeb2357d324p-12, -0x1.5363d4a291564p-12, -0x1.495f5a4c4e735p-12, -0x1.3fae8944fa1bap-12, -0x1.364ea30e4638dp-12, -0x1.2d3d14f9fbbc8p-12, -0x1.24773ef4b26e6p-12, -0x1.1bfab591332d7p-12, -0x1.13c5001ddf7dep-12, -0x1.0bd3c9cdbd1fdp-12, -0x1.0424dff528f7fp-12, -0x1.f96bd955b4341p-13, -0x1.eb09a1ab4690dp-13, -0x1.dd1f11e50dcd4p-13, -0x1.cfa807c761cedp-13, -0x1.c2a09a2fac40ap-13, -0x1.b604f6cf5d619p-13, -0x1.a9d174786cef6p-13, -0x1.9e024fd6f2634p-13, -0x1.9294738718547p-13, -0x1.878425b468d88p-13, -0x1.7cce3f81f2a91p-13, -0x1.726f928094843p-13, -0x1.68650f9e30b6ep-13, -0x1.5eabbc5eeed4dp-13, -0x1.5540b65b6514cp-13, -0x1.4c213493b499bp-13, -0x1.434a7e8ae11c3p-13, -0x1.3aba01a7cd2c2p-13, -0x1.326d279356d2dp-13, -0x1.2a6184f4741dp-13, -0x1.2294c4770eb2ap-13, -0x1.1b0482832a32bp-13, -0x1.13ae81ed695bap-13, -0x1.0c90c05d13bf3p-13, -0x1.05a91249b8213p-13, -0x1.fdeaf68f61625p-14, -0x1.f0e81a9590fa4p-14, -0x1.e4460902e0fe9p-14, -0x1.d800aa31099bfp-14, -0x1.cc14e0cf2b0a6p-14, -0x1.c07f02ac4ba57p-14, -0x1.b53c3f52529a1p-14, -0x1.aa491ac236a1ap-14, -0x1.9fa29a805a09fp-14, -0x1.9545de118f044p-14, -0x1.8b302cf8c3d94p-14, -0x1.815e78b98d961p-14, -0x1.77ce9c782932p-14, -0x1.6e7ddaea380c1p-14, -0x1.6569ba9e17234p-14, -0x1.5c8fe3a126p-14, -0x1.53ee3957071fcp-14, -0x1.4b8275ee56fd9p-14, -0x1.434a7dd10e20bp-14, -0x1.3b44617f88bfep-14, -0x1.336e4d5048871p-14, -0x1.2bc63585a443ap-14, -0x1.244a6e8366e37p-14, -0x1.1cf93c9f96a6p-14, -0x1.15d101f407a8ep-14, -0x1.0ed01a26ae7fcp-14, -0x1.07f519870e19ap-14, -0x1.013e7b98a021bp-14, -0x1.f5557d0b60a3cp-15, -0x1.e8720da8df13bp-15, -0x1.dbcef6007910cp-15, -0x1.cf6a503fcbe74p-15, -0x1.c341df2e4e09ep-15, -0x1.b752e8bcb2e9bp-15, -0x1.ab9bbae93c2bbp-15, -0x1.a01a28c117d42p-15, -0x1.94cc0f843643ap-15, -0x1.89affd5319be8p-15, -0x1.7ec3bc5710cecp-15, -0x1.7406151d91948p-15, -0x1.697486f2a14afp-15, -0x1.5f0e46d85918ap-15, -0x1.54d1a56445462p-15, -0x1.4abd43064747cp-15, -0x1.40cfd3bdfe44dp-15, -0x1.3707d90626a65p-15, -0x1.2d646372f8096p-15, -0x1.23e4116120cafp-15, -0x1.1a86540c78881p-15, -0x1.11494581678e9p-15, -0x1.082c91f6144ep-15, -0x1.fe5e34ed91889p-16, -0x1.eca03c65678c1p-16, -0x1.db1d7e5095721p-16, -0x1.c9d3ea31c42a3p-16, -0x1.b8c287f48127ep-16, -0x1.a7e7f2e84ad1ap-16, -0x1.9742db639d8e2p-16, -0x1.86d1b533b984ap-16, -0x1.7693f56e7fffep-16, -0x1.668871a1a9b29p-16, -0x1.56ad473ada8e4p-16, -0x1.470288dcfc745p-16, -0x1.3787057820813p-16, -0x1.283a14ca68807p-16, -0x1.191a09c8cfe63p-16, -0x1.0a26e473ad2aap-16, -0x1.f6c0965f0727cp-17, -0x1.d98a8a5a3f9f1p-17, -0x1.bcaa5e33578d9p-17, -0x1.a01f351f86d04p-17, -0x1.83e7f569d12d5p-17, -0x1.68039ea7b2df4p-17, -0x1.4c71d15de3273p-17, -0x1.31322d1c2da7fp-17, -0x1.1642b91a5932ap-17, -0x1.f74531aa919b1p-18, -0x1.c2a5c417b890ep-18, -0x1.8ea3c838027edp-18, -0x1.5b405dbdd4193p-18, -0x1.2878af90a34e7p-18, -0x1.ec99f78763849p-19, -0x1.897a170cdcb68p-19, -0x1.278d532977428p-19, -0x1.8da9e8da634c1p-20, -0x1.9d3593b2123b7p-21, -0x1.1f94b6a35ec7dp-24, 0x1.5096bfcebf19p-21, 0x1.602b0a3c146e8p-20, 0x1.0acfa4cd76331p-19, 0x1.6464762118024p-19, 0x1.bcc15c8bf488ep-19, 0x1.09f701800a717p-18, 0x1.34f6aa66947dfp-18, 0x1.5f5e2b0b19898p-18, 0x1.892d58f7f7f3bp-18, 0x1.b2648e066bbcap-18, 0x1.db039a6f9ec1ep-18, 0x1.0185f8aee9c91p-17, 0x1.153da6c8353a4p-17, 0x1.28a8f294bd4cfp-17, 0x1.3bc8cdf8365adp-17, 0x1.4e9c25056c16p-17, 0x1.6123404f3371bp-17, 0x1.735e2f515401ap-17, 0x1.854ce8d646e43p-17, 0x1.96eeb51d334f5p-17, 0x1.a844f8ef27014p-17, 0x1.b94d90d63089dp-17, 0x1.ca0b86bb9901fp-17, 0x1.da7c142f3f6c9p-17, 0x1.eaa068edeea4dp-17, 0x1.fa77cdfaca23cp-17, 0x1.0501718dd7d89p-16, 0x1.0ca0d731f57d2p-16, 0x1.1419de52ce693p-16, 0x1.1b6ca5615dbbdp-16, 0x1.22995fe186c76p-16, 0x1.299fd1317aab5p-16, 0x1.30801cbf34dc6p-16, 0x1.373a51f3df795p-16, 0x1.3dcdfd1b2ca04p-16, 0x1.443c62cad158cp-16, 0x1.4a844b95cd7eap-16, 0x1.50a67ebc81adp-16, 0x1.56a285dd0a0bep-16, 0x1.5c7900e29a1b3p-16, 0x1.6229a289f9ed9p-16, 0x1.67b49b6541e04p-16, 0x1.6d1a0ef086c53p-16, 0x1.725a14ecac5f8p-16, 0x1.77747d50608bep-16, 0x1.7c69e54b036f7p-16, 0x1.8139ec41ce1bdp-16, 0x1.85e550516aabdp-16, 0x1.8a6b96353e67ap-16, 0x1.8eccf147933d1p-16, 0x1.9309c0c055184p-16, 0x1.97229ec02c85dp-16, 0x1.9b160b4ec0716p-16, 0x1.9ee64ccda5518p-16, 0x1.a29234aaee537p-16, 0x1.a61a648cf447ap-16, 0x1.a97efded1bcebp-16, 0x1.acc0169f80b87p-16, 0x1.afde013f5b8p-16, 0x1.b2d8bdd5fc883p-16, 0x1.b5b0b4e3b4107p-16, 0x1.b8662733ee0ddp-16, 0x1.baf92298c5176p-16, 0x1.bd69d61e2bf32p-16, 0x1.bfb8c79e60d24p-16, 0x1.c1e6342b0e453p-16, 0x1.c3f19c4232d94p-16, 0x1.c5dc3c8b92a11p-16, 0x1.c7a5f14ebfa4ap-16, 0x1.c94e74a52a649p-16, 0x1.cad730dd0a187p-16, 0x1.cc3f548b6d619p-16, 0x1.cd8780bb1fe03p-16, 0x1.ceb0859fe23c2p-16, 0x1.cfb9c21737064p-16, 0x1.d0a3e63aeed35p-16, 0x1.d16fde686167ap-16, 0x1.d21cbb40b962fp-16, 0x1.d2abdd0ab10a5p-16, 0x1.d31ccb5769e79p-16, 0x1.d3704c7c2b331p-16, 0x1.d3a6a7a18c135p-16, 0x1.d3c01f625da09p-16, 0x1.d3bcc9e62afa8p-16, 0x1.d39d2cd0d7fffp-16, 0x1.d361ab1a336b8p-16, 0x1.d30a7fda32f8p-16, 0x1.d2980b4087fc7p-16, 0x1.d20a8ea563272p-16, 0x1.d1629295273bfp-16, 0x1.d09fc42c02a78p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.a42fac8a968fp-1, 0x1.7d4ef63142334p-1, 0x1.5b2ba34e0a94ep-1, 0x1.3ee15d51a81b1p-1, 0x1.28d37b7e79a78p-1, 0x1.18e1ae08044a2p-1, 0x1.0e931e294ac7fp-1, 0x1.09387c5a3a0b1p-1, 0x1.08061718de631p-1, 0x1.0a274c19923a5p-1, 0x1.0ecc5d0514283p-1, 0x1.15334d565852cp-1, 0x1.1cae3b7e7d261p-1, 0x1.24a5d56ce090bp-1, 0x1.2c9ac2cbfac37p-1, 0x1.3424f90605bc8p-1, 0x1.3af2cd06ec84bp-1, 0x1.40c703646b45cp-1, 0x1.457645d7391ddp-1, 0x1.48e51f11313c1p-1, 0x1.4b05ca5e6046ap-1, 0x1.4bd58c8562e4dp-1, 0x1.4b5a8d9299b2cp-1, 0x1.49a2524b91405p-1, 0x1.46c016f350e3bp-1, 0x1.42cb0178b2fd7p-1, 0x1.3ddcc13a80e5ap-1, 0x1.3810b9ffe0a2p-1, 0x1.31834d9daf6e6p-1, 0x1.2a5105a2223fcp-1, 0x1.2295cdf6c48f5p-1, 0x1.1a6c7bd9556cap-1, 0x1.11ee98b1ff31p-1, 0x1.0933e3418276ep-1, 0x1.0053bcd3cf11ep-1, 0x1.eec4c2258994ep-2, 0x1.dce49cabca3a4p-2, 0x1.cb28631f9d5bfp-2, 0x1.b9ae24bd46809p-2, 0x1.a890be7bb1284p-2, 0x1.97e7bc38272c9p-2, 0x1.87c735a5670f9p-2, 0x1.783fd80b44025p-2, 0x1.695f2c6d873p-2, 0x1.5b300553fc0b4p-2, 0x1.4dbaef35a9996p-2, 0x1.41068342d5adp-2, 0x1.351791c824e11p-2, 0x1.29f12e38bc6a1p-2, 0x1.1f94b29c17bfcp-2, 0x1.1601cf85624ap-2, 0x1.0d36b27bf18c1p-2, 0x1.05304104bb8a6p-2, 0x1.fbd4ba592f9a5p-3, 0x1.eec04bdf4f2c9p-3, 0x1.e3185159d8c3ap-3, 0x1.d8d0fe7bf9368p-3, 0x1.cfddbafc91f23p-3, 0x1.c8312a68afffbp-3, 0x1.c1bd31c7de6d2p-3, 0x1.bc730777ddb82p-3, 0x1.b843539314a96p-3, 0x1.b51e5e64b14c5p-3, 0x1.b2f447946997ap-3, 0x1.b1b53b6adf6bp-3, 0x1.b1519fa0161dfp-3, 0x1.b1ba3250d1002p-3, 0x1.b2e019b4f6b11p-3, 0x1.b4b4e7badf195p-3, 0x1.b72a95a6302d5p-3, 0x1.ba337d8235406p-3, 0x1.bdc2561332676p-3, 0x1.c1ca33e50a6abp-3, 0x1.c63e901f46ba9p-3, 0x1.cb1353ba3ab5cp-3, 0x1.d03ce4866586p-3, 0x1.d5b0316d1ca8ep-3, 0x1.db64c7b717909p-3, 0x1.e14e56be1dbe7p-3, 0x1.e763a3911f4ddp-3, 0x1.ed9bb9ba4ff78p-3, 0x1.f3ee436d0c14p-3, 0x1.fa53855488a6ap-3, 0x1.00622b0a68f0ep-2, 0x1.039d09778e356p-2, 0x1.06d7499788a1fp-2, 0x1.0a0e0dfd6800cp-2, 0x1.0d3eaab19b212p-2, 0x1.1066a0ecbc44bp-2, 0x1.13839bfe29383p-2, 0x1.16936f737b7edp-2, 0x1.199416263c08bp-2, 0x1.1c83b232a8207p-2, 0x1.1f608d16c49b4p-2, 0x1.22291812dd3bfp-2, 0x1.24dbec3feb4fep-2, 0x1.2777ca3cececp-2, 0x1.29fb99599495p-2, 0x1.2c666619e656bp-2, 0x1.2eb7602eded23p-2, 0x1.30edd7ec45693p-2, 0x1.33093b5ea93b5p-2, 0x1.3509134a28d02p-2, 0x1.36ed002ca4172p-2, 0x1.38b4b7693fb44p-2, 0x1.3a6000e27a915p-2, 0x1.3beeb4e3eaf9dp-2, 0x1.3d60ba76b3f1p-2, 0x1.3eb6061dd3669p-2, 0x1.3fee98d192cdp-2, 0x1.410a7f5010f92p-2, 0x1.4209d18f17db4p-2, 0x1.42ecb25e733a7p-2, 0x1.43b34f0f99825p-2, 0x1.445ddf4799858p-2, 0x1.44eca49d18132p-2, 0x1.455fea4adb5f3p-2, 0x1.45b804b8389bp-2, 0x1.45f550e79010cp-2, 0x1.461833ccbbfa7p-2, 0x1.462119876576ep-2, 0x1.461074964ac7p-2, 0x1.45e6bd098bbbbp-2, 0x1.45a46f9b71b9p-2, 0x1.454a0d0767c53p-2, 0x1.44d8193bf8adfp-2, 0x1.444f1ab636ab4p-2, 0x1.43af99f30932bp-2, 0x1.42fa20d9f70d5p-2, 0x1.422f3a5449fcep-2, 0x1.414f71de7ffbbp-2, 0x1.405b533445b64p-2, 0x1.3f536a06032b5p-2, 0x1.3e3841be3ca83p-2, 0x1.3d0a654fa1393p-2, 0x1.3bca5f210d89p-2, 0x1.3a78b8e8dfcedp-2, 0x1.3915fba1ed9f1p-2, 0x1.37a2af7ac3625p-2, 0x1.361f5bda79f1cp-2, 0x1.348c8745928e1p-2, 0x1.32eab75ffa536p-2, 0x1.313a70d2c2176p-2, 0x1.2f7c373f1ae4p-2, 0x1.2db08d23ac32fp-2, 0x1.2bd7f3c57c83bp-2, 0x1.29f2eb10ef529p-2, 0x1.2801f184599cbp-2, 0x1.2605840b4ec4ep-2, 0x1.23fe1dec7300cp-2, 0x1.21ec38ac0fb13p-2, 0x1.1fd04bffb1459p-2, 0x1.1daacda08df07p-2, 0x1.1b7c315722bbdp-2, 0x1.1944e8e38a1afp-2, 0x1.170563e254cdfp-2, 0x1.14be0fd90f9ep-2, 0x1.126f582100579p-2, 0x1.1019a5eb5a6edp-2, 0x1.0dbd603b4bf4ap-2, 0x1.0b5aebed8a872p-2, 0x1.08f2abb9010b3p-2, 0x1.06850034d925ap-2, 0x1.041247e7e3d68p-2, 0x1.019adf3b3e6ecp-2, 0x1.fe3de66ae6101p-3, 0x1.f93ea9e3310a5p-3, 0x1.f4381ee16eaddp-3, 0x1.ef2aec0835654p-3, 0x1.ea17b4639a729p-3, 0x1.e4ff178b328c5p-3, 0x1.dfe1b1cb0a538p-3, 0x1.dac01c32eed45p-3, 0x1.d59aecaa2d84bp-3, 0x1.d072b60992829p-3, 0x1.cb4807f49179dp-3, 0x1.c61b6f1aefda9p-3, 0x1.c0ed74edfde95p-3, 0x1.bbbe9fb3ca00cp-3, 0x1.b68f72848957fp-3, 0x1.b1606d28b2a9fp-3, 0x1.ac320c050c13ep-3, 0x1.a704c825ab975p-3, 0x1.a1d9171e2185bp-3, 0x1.9caf6b08f570ap-3, 0x1.97883281f74ap-3, 0x1.9263d8a378aacp-3, 0x1.8d42c50ce84fep-3, 0x1.88255be6dc86p-3, 0x1.830bfde1dbc7ep-3, 0x1.7df708656e82ep-3, 0x1.78e6d5749b2d7p-3, 0x1.73dbbbf9afd27p-3, 0x1.6ed60f91ee7ecp-3, 0x1.69d620e3a6817p-3, 0x1.64dc3d9f42762p-3, 0x1.5fe8b09a6381ap-3, 0x1.5afbc1d0c604dp-3, 0x1.5615b6ae1db1ap-3, 0x1.5136d1ebde64cp-3, 0x1.4c5f53e23b2d3p-3, 0x1.478f7a5030fb4p-3, 0x1.42c780b5c9158p-3, 0x1.3e07a04063a82p-3, 0x1.39500fd4db7f6p-3, 0x1.34a10434e74c7p-3, 0x1.2ffaaff1b953dp-3, 0x1.2b5d437f6afa5p-3, 0x1.26c8ed37cd2cp-3, 0x1.223dd9612b6dfp-3, 0x1.1dbc3242190e7p-3, 0x1.1944200ed44d8p-3, 0x1.14d5c900878e6p-3, 0x1.1071515362eb9p-3, 0x1.0c16db38d3384p-3, 0x1.07c6870998114p-3, 0x1.0380730ff52e7p-3, 0x1.fe8977a106216p-4, 0x1.f626f78319e51p-4, 0x1.edd997293eeap-4, 0x1.e5a18418e656bp-4, 0x1.dd7ee87f52836p-4, 0x1.d571eab746a56p-4, 0x1.cd7aadec6d821p-4, 0x1.c599518a3c037p-4, 0x1.bdcdf1e9c66a1p-4, 0x1.b618a8030bf81p-4, 0x1.ae7989d1df4f3p-4, 0x1.a6f0aa0b51a3dp-4, 0x1.9f7e18b9b6475p-4, 0x1.9821e2aa380a7p-4, 0x1.90dc1239bb49bp-4, 0x1.89acaebb3e98p-4, 0x1.8293bd41248bbp-4, 0x1.7b91400efd6b3p-4, 0x1.74a537215ee18p-4, 0x1.6dcfa008a5078p-4, 0x1.671076090d757p-4, 0x1.6067b24fc68a6p-4, 0x1.59d54bc029429p-4, 0x1.535937614193ep-4, 0x1.4cf368062cb28p-4, 0x1.46a3cec292104p-4, 0x1.406a5ab96b4eep-4, 0x1.3a46f942fb0e2p-4, 0x1.343995fcdcebp-4, 0x1.2e421acd54bcfp-4, 0x1.28606ffe4aafap-4, 0x1.22947c42979e2p-4, 0x1.1cde24c6b2b2ep-4, 0x1.173d4d3ae3e8dp-4, 0x1.11b1d7e19c0f7p-4, 0x1.0c3ba5a36f5e8p-4, 0x1.06da95f0b6c55p-4, 0x1.018e872776d75p-4, 0x1.f8aeac9e46379p-5, 0x1.ee69be2a703dep-5, 0x1.e44df8aa80053p-5, 0x1.da5b0f11c4272p-5, 0x1.d090b2929db5ap-5, 0x1.c6ee922ae5f3ep-5, 0x1.bd745b10cb2c6p-5, 0x1.b421b8949da14p-5, 0x1.aaf65446f5ac7p-5, 0x1.a1f1d632d4468p-5, 0x1.9913e4b99cd9bp-5, 0x1.905c24c8ffbc1p-5, 0x1.87ca3a142b755p-5, 0x1.7f5dc6e6047abp-5, 0x1.77166c4a01253p-5, 0x1.6ef3ca56b9914p-5, 0x1.66f57fff95145p-5, 0x1.5f1b2b5ca3386p-5, 0x1.5764698ff1431p-5, 0x1.4fd0d6db8b947p-5, 0x1.48600f3c53a96p-5, 0x1.4111ad5db5c04p-5, 0x1.39e54bcc5bd44p-5, 0x1.32da8470971bdp-5, 0x1.2bf0f0af5322bp-5, 0x1.252829e2ec977p-5, 0x1.1e7fc894355c9p-5, 0x1.17f76558ff6bap-5, 0x1.118e98924f423p-5, 0x1.0b44fa4ac41e4p-5, 0x1.051a22b4d422ep-5, 0x1.fe1b53af45432p-6, 0x1.f23e4fa33a87bp-6, 0x1.e69c690269d33p-6, 0x1.db34d0df3e0f6p-6, 0x1.d006b7af3dc7ap-6, 0x1.c5114e87695d4p-6, 0x1.ba53c729e45a6p-6, 0x1.afcd53a9faa88p-6, 0x1.a57d26fd9212ep-6, 0x1.9b62747b45863p-6, 0x1.917c7099fd7d2p-6, 0x1.87ca5076c063ap-6, 0x1.7e4b49fb33241p-6, 0x1.74fe94c9a86cp-6, 0x1.6be36876c8e17p-6, 0x1.62f8fe6faebd9p-6, 0x1.5a3e914489e91p-6, 0x1.51b35c5d9af26p-6, 0x1.49569cd49e9e9p-6, 0x1.412790eb57e8fp-6, 0x1.3925787e361c5p-6, 0x1.314f94646579bp-6, 0x1.29a5273cd30b1p-6, 0x1.2225754e3b161p-6, 0x1.1acfc410b737fp-6, 0x1.13a35ae613acep-6, 0x1.0c9f82bcaf164p-6, 0x1.05c3861ddac36p-6, 0x1.fe1d62ab6f235p-7, 0x1.f100a4ecc55e2p-7, 0x1.e42f72b19f7d2p-7, 0x1.d7a86ef38a8c3p-7, 0x1.cb6a407328506p-7, 0x1.bf73922b19a35p-7, 0x1.b3c311e13c3fdp-7, 0x1.a857723c43f8ap-7, 0x1.9d2f685da9c2ap-7, 0x1.9249ae75c606p-7, 0x1.87a501f8e8001p-7, 0x1.7d402462f2f9cp-7, 0x1.7319dada15f13p-7, 0x1.6930eedf975eap-7, 0x1.5f842e2e4acfcp-7, 0x1.56126978b082fp-7, 0x1.4cda762e292afp-7, 0x1.43db2db3b8fa5p-7, 0x1.3b136d3cbf85fp-7, 0x1.32821635d626dp-7, 0x1.2a260dd5a0aa3p-7, 0x1.21fe3d5b029cp-7, 0x1.1a0992c830b9cp-7, 0x1.1246fedfa23f2p-7, 0x1.0ab5773430ca2p-7, 0x1.0353f53665adap-7, 0x1.f842ec805183ep-8, 0x1.ea2de1361a0e8p-8, 0x1.dc7eae1223dc3p-8, 0x1.cf27a7728dafep-8, 0x1.c226e6df063dfp-8, 0x1.b57a8f31c7757p-8, 0x1.a920caa7e2e25p-8, 0x1.9d17cb20a61e8p-8, 0x1.915dcbb1a34d4p-8, 0x1.85f10c9ea5276p-8, 0x1.7acfd6d5892f8p-8, 0x1.6ff87a87e43fp-8, 0x1.6569508af7c9fp-8, 0x1.5b20b7d0cdc23p-8, 0x1.511d1735c4bf9p-8, 0x1.475cdca3b0bebp-8, 0x1.3dde7d36dddb4p-8, 0x1.34a075cfede9p-8, 0x1.2ba1494b5b5bfp-8, 0x1.22df8225b03bep-8, 0x1.1a59b215751a3p-8, 0x1.120e7138bb615p-8, 0x1.09fc5eabc3e86p-8, 0x1.02222026c561cp-8, 0x1.f4fcc41d29f7cp-9, 0x1.e61faee605668p-9, 0x1.d7aa71c4659cp-9, 0x1.c99a909f4b5d2p-9, 0x1.bbed93de322f4p-9, 0x1.aea1157b75516p-9, 0x1.a1b2ba864f3a2p-9, 0x1.9520340205218p-9, 0x1.88e73f14362adp-9, 0x1.7d05a4b7c49eap-9, 0x1.717938a09280ap-9, 0x1.663fde2dd67bbp-9, 0x1.5b577d3f0bf09p-9, 0x1.50be0c56b4424p-9, 0x1.46718efa77feap-9, 0x1.3c700fbdfebc5p-9, 0x1.32b7a5bebfa89p-9, 0x1.29467250f4657p-9, 0x1.201aa0e244f9ep-9, 0x1.173267ce33185p-9, 0x1.0e8c05379f9ap-9, 0x1.0625c40b0bbdbp-9, 0x1.fbfbebe7d01b4p-10, 0x1.ec25f1438f008p-10, 0x1.dcc6621208951p-10, 0x1.cdda1d18b9309p-10, 0x1.bf5e11e1091cp-10, 0x1.b14f422d7b6d6p-10, 0x1.a3aac05560478p-10, 0x1.966db1bfe20b2p-10, 0x1.899548c38f089p-10, 0x1.7d1ece1107628p-10, 0x1.7107945bdaa5ep-10, 0x1.654d018a08b15p-10, 0x1.59ec8b729b8e3p-10, 0x1.4ee3b5841138dp-10, 0x1.443013745a668p-10, 0x1.39cf47777df06p-10, 0x1.2fbf0217f3f6dp-10, 0x1.25fd02028496bp-10, 0x1.1c87151e7e5f5p-10, 0x1.135b15165de21p-10, 0x1.0a76ea2eae8d4p-10, 0x1.01d88997158afp-10, 0x1.f2fbec5649d6ep-11, 0x1.e2ca7fc3f161cp-11, 0x1.d318fea3815b4p-11, 0x1.c3e3bdfa5e908p-11, 0x1.b527232b38dffp-11, 0x1.a6dfa8dbf9e5cp-11, 0x1.9909ede26303fp-11, 0x1.8ba296b31fdcp-11, 0x1.7ea6699ceeabap-11, 0x1.721240651530dp-11, 0x1.65e3048f426b6p-11, 0x1.5a15bb26d798ep-11, 0x1.4ea778133b4c8p-11, 0x1.4395683b54828p-11, 0x1.38dcc675a7ba7p-11, 0x1.2e7ae91551788p-11, 0x1.246d29571e5bbp-11, 0x1.1ab10842d845fp-11, 0x1.114402b8b4461p-11, 0x1.0823b7f751b5p-11, 0x1.fe9b9848e3ed6p-12, 0x1.ed7ff87c7cfdap-12, 0x1.dcf0269c60911p-12, 0x1.cce7c95bc51d6p-12, 0x1.bd62bff2306dfp-12, 0x1.ae5cefda2d41dp-12, 0x1.9fd2697c58eep-12, 0x1.91bf59dc6697ap-12, 0x1.841ffaa70dcd5p-12, 0x1.76f0b885a42dap-12, 0x1.6a2e04984be01p-12, 0x1.5dd47835503cbp-12, 0x1.51e0bc7f90d75p-12, 0x1.464f9cf376b44p-12, 0x1.3b1df08080302p-12, 0x1.3048b1a85f921p-12, 0x1.25ccde9a1455dp-12, 0x1.1ba7b27ebb614p-12, 0x1.11d64f367ad63p-12, 0x1.08560819548e1p-12, 0x1.fe487f9ba0252p-13, 0x1.ec7ccdf28d5a4p-13, 0x1.db4415c1e3984p-13, 0x1.ca9993564474bp-13, 0x1.ba78906a0da1ap-13, 0x1.aadc9f9724057p-13, 0x1.9bc15e55f2c57p-13, 0x1.8d22a0514ca3fp-13, 0x1.7efc3d9eb925cp-13, 0x1.714a531728bc2p-13, 0x1.6408fa31188e8p-13, 0x1.573486f9366c5p-13, 0x1.4ac957e5d1c5cp-13, 0x1.3ec3f757ef78fp-13, 0x1.33210d49a3c56p-13, 0x1.27dd56c4b6bd7p-13, 0x1.1cf5a48f957fdp-13, 0x1.1266edbf6177dp-13, 0x1.082e330d36da3p-13, 0x1.fc91588bb4ecp-14, 0x1.e96715baff622p-14, 0x1.d6d864adacc29p-14, 0x1.c4e008454810dp-14, 0x1.b378fecfcf361p-14, 0x1.a29e5bd44c4a7p-14, 0x1.924bcde86a802p-14, 0x1.827c749f0c042p-14, 0x1.732c09d24a03p-14, 0x1.64568a1255db9p-14, 0x1.55f7b56075d53p-14, 0x1.480b8f9c59c89p-14, 0x1.3a8e8eb5a4a0bp-14, 0x1.2d7cbd9214dc8p-14, 0x1.20d2b6929989cp-14, 0x1.148d073a04fc4p-14, 0x1.08a8583897aacp-14, 0x1.fa431173e4d23p-15, 0x1.e3ead13775c56p-15, 0x1.ce420d718897cp-15, 0x1.b9433f1235e3bp-15, 0x1.a4e86a0439ef2p-15, 0x1.912c7c574963ap-15, 0x1.7e0a5759fbbeep-15, 0x1.6b7c9e9ec1b9cp-15, 0x1.597ed167eb199p-15, 0x1.480c2a5cdc8f9p-15, 0x1.371ff4fecc314p-15, 0x1.26b6518658adfp-15, 0x1.16cabd3031addp-15, 0x1.07596328a08c4p-15, 0x1.f0bbf4eccadd6p-16, 0x1.d3aa7f8f2dd89p-16, 0x1.b7763b3f6190cp-16, 0x1.9c1901ed7b359p-16, 0x1.818b7c4d3c266p-16, 0x1.67c7397028c39p-16, 0x1.4ec683a066079p-16, 0x1.3682d3ee3cf57p-16, 0x1.1ef6838b4cd5bp-16, 0x1.081bc12b39f0ep-16, 0x1.e3db0678b6785p-17, 0x1.b8cc40caa8287p-17, 0x1.8f02631023852p-17, 0x1.6672ca05f9571p-17, 0x1.3f14707a6f602p-17, 0x1.18dea933dbf42p-17, 0x1.e790601e52da9p-18, 0x1.9f9383fe8fde2p-18, 0x1.59b202fba5aecp-18, 0x1.15e2fc8ba3108p-18, 0x1.a82780e165902p-19, 0x1.286b85d6ac758p-19, 0x1.58ee7eb175b05p-20, 0x1.a1a49a62bf377p-22, -0x1.01f4f490f9a7cp-21, -0x1.6360e4dcc3bf6p-20, -0x1.1f838299a087ep-19, -0x1.8a09c02a2c913p-19, -0x1.f1530615c654ap-19, -0x1.2ac118f334e65p-18, -0x1.5b50eb55f78fp-18, -0x1.8a63bda61ae55p-18, -0x1.b803d6c840deap-18, -0x1.e439efddf1c4ep-18, -0x1.0787975528aabp-17, -0x1.1c45f7f8fcadap-17, -0x1.305c972b5c8dbp-17, -0x1.43ce62980d2d8p-17, -0x1.56a07bfc0cf17p-17, -0x1.68d5eda3fb14cp-17, -0x1.7a724fc8ba06ap-17, -0x1.8b7948993664dp-17, -0x1.9bee2401f251cp-17, -0x1.abd3ed24ac981p-17, -0x1.bb2daaa5d9a5ep-17, -0x1.c9ffc8c3c7f9ep-17, -0x1.d84affe7ff0aep-17, -0x1.e6139d8d854d2p-17, -0x1.f35bcfbd22b0bp-17, -0x1.001328ac1a5afp-16, -0x1.063aedd4fe154p-16, -0x1.0c26ce950a584p-16, -0x1.11d7161c7a04ep-16, -0x1.174ddd76f561dp-16, -0x1.1c8ba9593e558p-16, -0x1.2192037921979p-16, -0x1.2661acb7723dep-16, -0x1.2afbbf79918fep-16, -0x1.2f616ad78bd1dp-16, -0x1.33939aad3d914p-16, -0x1.37936a080d6cap-16, -0x1.3b617ac17bf39p-16, -0x1.3efea1cdbaf26p-16, -0x1.426c5fe8e10fdp-16, -0x1.45ab185155ca7p-16, -0x1.48bb961d2b91ap-16, -0x1.4b9ecbe52c22ap-16, -0x1.4e55f6d7691f8p-16, -0x1.50e0a39aa629fp-16, -0x1.534178b778a4bp-16, -0x1.557862468a89cp-16, -0x1.5784cc12498c9p-16, -0x1.59695ac7cfc54p-16, -0x1.5b2624c220c73p-16, -0x1.5cbb460c423a7p-16, -0x1.5e2a77208646fp-16, -0x1.5f73b0bf40fc9p-16, -0x1.6097f71094df2p-16, -0x1.6197d29f091ep-16, -0x1.6273b948b77b2p-16, -0x1.632ce5b2252b2p-16, -0x1.63c36f5df9498p-16, -0x1.64386b46abbbap-16, -0x1.648bb26ef9de8p-16, -0x1.64bef745e672fp-16, -0x1.64d1c01c8a3f2p-16, -0x1.64c57d8535807p-16, -0x1.649a202bf178dp-16, -0x1.6450977c9c856p-16, -0x1.63e950554e694p-16, -0x1.6364c5c167d4ep-16, -0x1.62c3a1812c1c7p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.039a5a4a58edp+0, -0x1.ed9c729e1e75fp-1, -0x1.d3de557d2cf52p-1, -0x1.bbd3d87b12004p-1, -0x1.a69cce1041ae3p-1, -0x1.94c8dd272d4f7p-1, -0x1.867d2638d34b1p-1, -0x1.7b945c6a69c0fp-1, -0x1.73b8f6019ed46p-1, -0x1.6e79a187e61e6p-1, -0x1.6b589043abbe3p-1, -0x1.69d6b587c146cp-1, -0x1.697b1e5194171p-1, -0x1.69d83874490cap-1, -0x1.6a8e5eaed5116p-1, -0x1.6b4cea7db836fp-1, -0x1.6bd28e5341f11p-1, -0x1.6bec931cad13p-1, -0x1.6b7578a55b8b2p-1, -0x1.6a53c863446a7p-1, -0x1.68789380e5cb1p-1, -0x1.65dd90a3b014dp-1, -0x1.628395e6a53fbp-1, -0x1.5e716b54bf10ap-1, -0x1.59b2789a91ff1p-1, -0x1.545565b3d1dffp-1, -0x1.4e6b134445067p-1, -0x1.4805e86bf41d5p-1, -0x1.41392dbbbb755p-1, -0x1.3a185e7199f68p-1, -0x1.32b696f2b433cp-1, -0x1.2b263c628d538p-1, -0x1.2378cacf6ebbfp-1, -0x1.1bbe7c14a276cp-1, -0x1.1406f0463f0a1p-1, -0x1.0c5faa907f95dp-1, -0x1.04d4d8fc2d78cp-1, -0x1.fae2961faadfbp-2, -0x1.ec7d18cb738cdp-2, -0x1.de89d7aeb69bp-2, -0x1.d116e96a55b35p-2, -0x1.c42fd38f5db6fp-2, -0x1.b7dda08cd2d02p-2, -0x1.ac271a298a413p-2, -0x1.a1111a1a2c65p-2, -0x1.969ed5edfa9b4p-2, -0x1.8cd21891ef6d3p-2, -0x1.83ab6348f3833p-2, -0x1.7b29fe6446cf1p-2, -0x1.734c0684e93f1p-2, -0x1.6c0e8226eb026p-2, -0x1.656d82e60b90cp-2, -0x1.5f645216f5322p-2, -0x1.59eda0588edb2p-2, -0x1.5503b07e11e3ep-2, -0x1.50a077ecb7e1dp-2, -0x1.4cbdb2f2c5b1bp-2, -0x1.4954efc39a3b6p-2, -0x1.465f94cc597bbp-2, -0x1.43d6e6c588a88p-2, -0x1.41b411dc11dd3p-2, -0x1.3ff0367ed0d2p-2, -0x1.3e84790d80216p-2, -0x1.3d6a1274761a7p-2, -0x1.3c9a5f7a4af7cp-2, -0x1.3c0eed07f7476p-2, -0x1.3bc1807013fb9p-2, -0x1.3bac1ba82f619p-2, -0x1.3bc8fe2069ef2p-2, -0x1.3c12a37f9dc36p-2, -0x1.3c83c1c6fe8a7p-2, -0x1.3d1747f27e304p-2, -0x1.3dc85dd8cf46cp-2, -0x1.3e9265784c2b5p-2, -0x1.3f70fd237c063p-2, -0x1.40600207008bap-2, -0x1.415b9222e3f73p-2, -0x1.4260ff80fdd55p-2, -0x1.436b810cb8afp-2, -0x1.44785b42923dp-2, -0x1.45849ed9b8bf1p-2, -0x1.468d9bc30360ap-2, -0x1.4790dea3c51aap-2, -0x1.488c2ce80e42ep-2, -0x1.497d81674f39cp-2, -0x1.4a6306fd28033p-2, -0x1.4b3b1512e91e8p-2, -0x1.4c042ba2c15c5p-2, -0x1.4cbcf02a7bd2dp-2, -0x1.4d642b2ce7a42p-2, -0x1.4df8c66b5383ap-2, -0x1.4e79cb51ab98bp-2, -0x1.4ee6625093c23p-2, -0x1.4f3dd1a47d919p-2, -0x1.4f7f7cafb5cd4p-2, -0x1.4faae31389403p-2, -0x1.4fbf9f6b692f2p-2, -0x1.4fbd6621d5c15p-2, -0x1.4fa403cc4b9b7p-2, -0x1.4f735b5c92ce3p-2, -0x1.4f2b643170f4ep-2, -0x1.4ecc28056cbf8p-2, -0x1.4e55c0eb2efp-2, -0x1.4dc85756f5d12p-2, -0x1.4d24205a076e9p-2, -0x1.4c695c1432b18p-2, -0x1.4b98545f05169p-2, -0x1.4ab15bb77f2ap-2, -0x1.49b4cc5141e5dp-2, -0x1.48a3075c9b1e7p-2, -0x1.477c74584dcdp-2, -0x1.464180aad9b32p-2, -0x1.44f29f0aefbf7p-2, -0x1.43904728c111ap-2, -0x1.421af54d19ffap-2, -0x1.409329e8ab60cp-2, -0x1.3ef9693504f6p-2, -0x1.3d4e3ac73e0bap-2, -0x1.3b92290b71246p-2, -0x1.39c5c0c81ac94p-2, -0x1.37e990ab02956p-2, -0x1.35fe288c1ed5ap-2, -0x1.3404194daa485p-2, -0x1.31fbf4124fdd2p-2, -0x1.2fe649efc3bfbp-2, -0x1.2dc3ab8aec185p-2, -0x1.2b94a8b892e21p-2, -0x1.2959d044838bdp-2, -0x1.2713af9c66b0cp-2, -0x1.24c2d285d62e6p-2, -0x1.2267c321d51b8p-2, -0x1.20030985a0ad1p-2, -0x1.1d952bb4aab1fp-2, -0x1.1b1ead77fa64fp-2, -0x1.18a0105301b18p-2, -0x1.1619d3504847bp-2, -0x1.138c73325c531p-2, -0x1.10f86a3585674p-2, -0x1.0e5e301f535f1p-2, -0x1.0bbe3a4461069p-2, -0x1.0918fb7b4d113p-2, -0x1.066ee423947b7p-2, -0x1.03c062223c002p-2, -0x1.010de0d53e0bdp-2, -0x1.fcaf923a38e5cp-3, -0x1.f73d02a6070c9p-3, -0x1.f1c4da84b19eap-3, -0x1.ec47dc50bf296p-3, -0x1.e6c6c55d7599p-3, -0x1.e1424dd4879a9p-3, -0x1.dbbb28b2419acp-3, -0x1.d63203c17309cp-3, -0x1.d0a787b35b135p-3, -0x1.cb1c580b53f9p-3, -0x1.c591132e1b929p-3, -0x1.c00652878f2cbp-3, -0x1.ba7caa5c7a111p-3, -0x1.b4f4aa233a90fp-3, -0x1.af6edc33fd02ap-3, -0x1.a9ebc673e65f7p-3, -0x1.a46be9c894291p-3, -0x1.9eefc2929615fp-3, -0x1.9977c89c96391p-3, -0x1.94046f50d25e3p-3, -0x1.8e9625bc32ce3p-3, -0x1.892d18ce9f35bp-3, -0x1.83ca48fb5e2f1p-3, -0x1.7e6dbd483407p-3, -0x1.7917d32d0096ep-3, -0x1.73c8e45090bd5p-3, -0x1.6e8146d43a2bfp-3, -0x1.69414d5d2096ep-3, -0x1.6409473ee6da1p-3, -0x1.5ed98078a2c27p-3, -0x1.59b2420094204p-3, -0x1.5493d191fee1p-3, -0x1.4f7e71f67dec8p-3, -0x1.4a7262ec36281p-3, -0x1.456fe136fbb7p-3, -0x1.407726b9655dcp-3, -0x1.3b886a5e1ab05p-3, -0x1.36a3e0376c144p-3, -0x1.31c9b978f5b72p-3, -0x1.2cfa249867e8ep-3, -0x1.28354d20a05fbp-3, -0x1.237b5c3e21871p-3, -0x1.1ecc774fdc036p-3, -0x1.1a28c2914d5f7p-3, -0x1.15905ed7a6e8bp-3, -0x1.11036a863c359p-3, -0x1.0c82019657c73p-3, -0x1.080c3da9da845p-3, -0x1.03a2361642645p-3, -0x1.fe87fff46b2acp-4, -0x1.f5e35ca6f8efbp-4, -0x1.ed56a42a60c05p-4, -0x1.e4e1f472e5b57p-4, -0x1.dc8567b2abfcap-4, -0x1.d441148151763p-4, -0x1.cc150df1b1275p-4, -0x1.c40163bac4d17p-4, -0x1.bc0622cc4715cp-4, -0x1.b42354548e245p-4, -0x1.ac58ff04da89ep-4, -0x1.a4a726822d629p-4, -0x1.9d0dcc3647778p-4, -0x1.958cee1837ep-4, -0x1.8e248828b15e1p-4, -0x1.86d49399ff86ap-4, -0x1.7f9d076b44085p-4, -0x1.787dd852f93dbp-4, -0x1.7176f8b700b22p-4, -0x1.6a88587400b59p-4, -0x1.63b1e5bb0ae67p-4, -0x1.5cf38c5133212p-4, -0x1.564d363e9428bp-4, -0x1.4fbecb53d0b36p-4, -0x1.4948319b2c75dp-4, -0x1.42e94d3cf8645p-4, -0x1.3ca200a3e1883p-4, -0x1.36722c5b83ce3p-4, -0x1.3059afa160917p-4, -0x1.2a5867b1c8234p-4, -0x1.246e30663f144p-4, -0x1.1e9ae4434a8a1p-4, -0x1.18de5c46a5d44p-4, -0x1.13387020d338ap-4, -0x1.0da8f645838ebp-4, -0x1.082fc3ea13927p-4, -0x1.02ccad2e58e67p-4, -0x1.faff0a2a9c186p-5, -0x1.f0903b4dca2d4p-5, -0x1.e64c8fdd6d32ap-5, -0x1.dc33a87b76b45p-5, -0x1.d24523a3d3e76p-5, -0x1.c8809e785f0dp-5, -0x1.bee5b51a80958p-5, -0x1.b57401ca2caddp-5, -0x1.ac2b1d416013ep-5, -0x1.a30aa03013fd4p-5, -0x1.9a1221461e72bp-5, -0x1.91413689a6dd1p-5, -0x1.889775261a1fap-5, -0x1.801471998b118p-5, -0x1.77b7bf499f666p-5, -0x1.6f80f15918965p-5, -0x1.676f9a17d9c59p-5, -0x1.5f834b63dda3ep-5, -0x1.57bb96ab446dfp-5, -0x1.50180cf5dd5ecp-5, -0x1.48983df28a87ep-5, -0x1.413bbd19148b1p-5, -0x1.3a0217920a0a3p-5, -0x1.32eade68aaeabp-5, -0x1.2bf5a195c1a35p-5, -0x1.2521f0fcde16fp-5, -0x1.1e6f5cefc4befp-5, -0x1.17dd73ecad12p-5, -0x1.116bc76ea1ed3p-5, -0x1.0b19e7547a442p-5, -0x1.04e7635adf63cp-5, -0x1.fda799691c08p-6, -0x1.f1bd67f6c7f9fp-6, -0x1.e60f54d43749fp-6, -0x1.da9c82e00634fp-6, -0x1.cf6416631e7dap-6, -0x1.c46533f2b2a2cp-6, -0x1.b99f00f8c98b3p-6, -0x1.af10a4562015ep-6, -0x1.a4b945b7918dbp-6, -0x1.9a980f56cfb65p-6, -0x1.90ac2994b34eap-6, -0x1.86f4c1183b2bp-6, -0x1.7d7102b1c606cp-6, -0x1.74201c43fd795p-6, -0x1.6b013e08d88e4p-6, -0x1.62139a27c2e13p-6, -0x1.59566178fa849p-6, -0x1.50c8c9bdcf2dfp-6, -0x1.486a08eadaad8p-6, -0x1.403956fdfd68ap-6, -0x1.3835ed12eed19p-6, -0x1.305f06e757bc5p-6, -0x1.28b3e193a3291p-6, -0x1.2133bbeaa3c56p-6, -0x1.19ddd6f7c907fp-6, -0x1.12b1755d1367cp-6, -0x1.0baddbc85be3bp-6, -0x1.04d250d09f409p-6, -0x1.fc3c39f6f530cp-7, -0x1.ef21159e5d3bdp-7, -0x1.e251ce016875p-7, -0x1.d5ccffd03f21dp-7, -0x1.c9914c98c5dd5p-7, -0x1.bd9d59266104dp-7, -0x1.b1efce4510741p-7, -0x1.a6875b5be7941p-7, -0x1.9b62b0938e49ap-7, -0x1.9080834a6e49ep-7, -0x1.85df8eacd562ep-7, -0x1.7b7e8ff0c0d1ap-7, -0x1.715c49b944dd7p-7, -0x1.677780bd5abb3p-7, -0x1.5dcf045394b85p-7, -0x1.54619ee3f90cp-7, -0x1.4b2e2465560bbp-7, -0x1.42336ddc5d286p-7, -0x1.397054c8d1759p-7, -0x1.30e3b9ebe0852p-7, -0x1.288c7fefa4174p-7, -0x1.2069908b94cc2p-7, -0x1.1879d6bf82bbp-7, -0x1.10bc42633275cp-7, -0x1.092fc8965e0bfp-7, -0x1.01d361a4aaaa8p-7, -0x1.f54c1164b03f7p-8, -0x1.e74d84bf13ccep-8, -0x1.d9a91c93e2c9fp-8, -0x1.cc5cf1d81bc73p-8, -0x1.bf671b2e7974dp-8, -0x1.b2c5b96048cffp-8, -0x1.a676f440685e5p-8, -0x1.9a78fff7eb7d9p-8, -0x1.8eca128e6baccp-8, -0x1.83686e7a351d9p-8, -0x1.78525b2925e04p-8, -0x1.6d86284b8d3adp-8, -0x1.63022ccedc50fp-8, -0x1.58c4c938adefbp-8, -0x1.4ecc605c6bf35p-8, -0x1.4517625c2b5e5p-8, -0x1.3ba442fe2da7cp-8, -0x1.32717e45063bdp-8, -0x1.297d974658988p-8, -0x1.20c717ec31948p-8, -0x1.184c90216cf29p-8, -0x1.100c9a44561cdp-8, -0x1.0805d210360ep-8, -0x1.0036e18f5ebcp-8, -0x1.f13cd8b9784f6p-9, -0x1.e2765abb5355dp-9, -0x1.d40d0822f68efp-9, -0x1.c6137671ce702p-9, -0x1.b87ccc406233dp-9, -0x1.ab46a227734efp-9, -0x1.9e6e9cf5b8649p-9, -0x1.91f26c91830ebp-9, -0x1.85cfce95e3584p-9, -0x1.7a048b83e66c2p-9, -0x1.6e8e7578f1016p-9, -0x1.636b71c3c0e78p-9, -0x1.589965cc5959cp-9, -0x1.4e164000b8dbap-9, -0x1.43e01dea9ffc9p-9, -0x1.39f4ef4098398p-9, -0x1.3052d4501bb19p-9, -0x1.26f7ed6dacd41p-9, -0x1.1de26670cf811p-9, -0x1.15107932b326fp-9, -0x1.0c8058cd32946p-9, -0x1.04305aee26981p-9, -0x1.f83d9d2509aabp-10, -0x1.e894209b54b6fp-10, -0x1.d9610c682a88fp-10, -0x1.caa13cc738e2ap-10, -0x1.bc51a60d5ff59p-10, -0x1.ae6f4606c78a3p-10, -0x1.a0f733360dc66p-10, -0x1.93e69da7a28cap-10, -0x1.873a906cca7f3p-10, -0x1.7af0821a4f7adp-10, -0x1.6f05b2a7bdd65p-10, -0x1.63778b16b53c4p-10, -0x1.58439419141a6p-10, -0x1.4d671823fd4aap-10, -0x1.42dfe66da6631p-10, -0x1.38ab8eac05536p-10, -0x1.2ec7be21ca67p-10, -0x1.253238e30de6dp-10, -0x1.1be8c750704b2p-10, -0x1.12e947b68e985p-10, -0x1.0a31a20673e6ep-10, -0x1.01bfc9c011a1fp-10, -0x1.f32385258097ap-11, -0x1.e34b2d61afa39p-11, -0x1.d3f2cfab94bd1p-11, -0x1.c516b0dbcc4ccp-11, -0x1.b6b336bca2d14p-11, -0x1.a8c4dec0d2791p-11, -0x1.9b482e8ef8b74p-11, -0x1.8e39f8f071477p-11, -0x1.8196d30fa8ee1p-11, -0x1.755bcfa083ff7p-11, -0x1.6985424ad96f5p-11, -0x1.5e10c02f815aep-11, -0x1.52fb28844ae8bp-11, -0x1.48419d486b559p-11, -0x1.3de1551d1ee68p-11, -0x1.33d7a29c976b1p-11, -0x1.2a21d91745102p-11, -0x1.20bd6be47d072p-11, -0x1.17a7da7d90dcdp-11, -0x1.0edeb49a42ff4p-11, -0x1.065f9dcc796b2p-11, -0x1.fc508e7b1ac64p-12, -0x1.ec6cea46a6216p-12, -0x1.dd0ff15d7c006p-12, -0x1.ce3567848dd66p-12, -0x1.bfd925b2f85d5p-12, -0x1.b1f72812fc2p-12, -0x1.a48b9c4b987a3p-12, -0x1.9792a4d9e49cp-12, -0x1.8b089e0c3704ap-12, -0x1.7ee9e882e03ffp-12, -0x1.733316ed72189p-12, -0x1.67e0bea6783edp-12, -0x1.5cefa1140f303p-12, -0x1.525c85e10f779p-12, -0x1.48245aad75a63p-12, -0x1.3e43be1b4be29p-12, -0x1.34b8e17bc0438p-12, -0x1.2b7fc8de45feap-12, -0x1.229635fbaabebp-12, -0x1.19f957f8cad0ap-12, -0x1.11a6ac3e60ff7p-12, -0x1.099bb8dffe717p-12, -0x1.01d5f260a7d6fp-12, -0x1.f4a62ef52317dp-13, -0x1.e621a4f0fd14cp-13, -0x1.d819dba320c4ep-13, -0x1.ca8a751d2fc73p-13, -0x1.bd6eef6feed22p-13, -0x1.b0c4af879d836p-13, -0x1.a4862abf634c3p-13, -0x1.98b035dbba054p-13, -0x1.8d3f15994db31p-13, -0x1.822f4c1195cf2p-13, -0x1.777d568708e7bp-13, -0x1.6d25e06bcba5ap-13, -0x1.6325b7f4d306ap-13, -0x1.5979257403bcbp-13, -0x1.501ebc1009db3p-13, -0x1.4711f891f0899p-13, -0x1.3e504b183f482p-13, -0x1.35d7c8f816011p-13, -0x1.2da4e3597dep-13, -0x1.25b5687a532a3p-13, -0x1.1e06cb76e28ffp-13, -0x1.1696b01ffb9a5p-13, -0x1.0f62bfed435d8p-13, -0x1.0868c92a89797p-13, -0x1.01a6873b23b87p-13, -0x1.f633fb745255cp-14, -0x1.e98100f8efed1p-14, -0x1.dd33dbaeb092fp-14, -0x1.d144ef3a3a475p-14, -0x1.c5b2419281c3cp-14, -0x1.ba7804ba43098p-14, -0x1.af92f381bea25p-14, -0x1.a4ff91ff8218cp-14, -0x1.9abb5a0a56bdbp-14, -0x1.90c29df6bfcaep-14, -0x1.8712b709da17dp-14, -0x1.7da89fb75f579p-14, -0x1.74822e04da84ap-14, -0x1.6b9c341f06feep-14, -0x1.62f47d7852d11p-14, -0x1.5a89ee833c267p-14, -0x1.5255ede86187ap-14, -0x1.4a5a95a17d2f2p-14, -0x1.4294e5e2531d6p-14, -0x1.3b00ffd4bde2ep-14, -0x1.339ec14b764ddp-14, -0x1.2c6b8707f95d1p-14, -0x1.25659c25963fcp-14, -0x1.1e8b2fe9e85bdp-14, -0x1.17dace113b9c8p-14, -0x1.11521b727095dp-14, -0x1.0af0478044213p-14, -0x1.04b395ce0d7f5p-14, -0x1.fd3518e601d6fp-15, -0x1.f147af4f205f1p-15, -0x1.e59ab2e5d0922p-15, -0x1.da2fb87369fd9p-15, -0x1.cf0149a85f36cp-15, -0x1.c40c2fa04ae5ep-15, -0x1.b95012a71515bp-15, -0x1.aeca23ba64226p-15, -0x1.a47873fbbc79fp-15, -0x1.9a58daad1d19cp-15, -0x1.9069f581c2c75p-15, -0x1.86a9328bf4d78p-15, -0x1.7d157793a0c31p-15, -0x1.73ac9cbd17cc1p-15, -0x1.6a6e00bf405f8p-15, -0x1.6156fe75aadb9p-15, -0x1.58670ff7a76c8p-15, -0x1.4f9def14c42dp-15, -0x1.46f573b8d96dep-15, -0x1.3e71a56abdd51p-15, -0x1.360efacd1bd08p-15, -0x1.2dcd0f3bf4792p-15, -0x1.25aa7e99007cfp-15, -0x1.1da62b629e186p-15, -0x1.15bf755d40983p-15, -0x1.0df461ce1016fp-15, -0x1.064655f079d89p-15, -0x1.fd62d437dca52p-16, -0x1.ee70a5a1cf2c5p-16, -0x1.dfae47117b5fcp-16, -0x1.d11e50f1674d5p-16, -0x1.c2bd5d6cade57p-16, -0x1.b48ab2521272bp-16, -0x1.a68537c9fa692p-16, -0x1.98abcbc8ffb47p-16, -0x1.8afd4b89cde32p-16, -0x1.7d78ef366a761p-16, -0x1.701d03388efa5p-16, -0x1.62e98c358af2cp-16, -0x1.55dbfed72f1e8p-16, -0x1.48f731abe29dfp-16, -0x1.3c36fcb698ccap-16, -0x1.2f9b4d2bd6d83p-16, -0x1.2324571d39128p-16, -0x1.16d090d0946e7p-16, -0x1.0aa01d58af8e3p-16, -0x1.fd2418e8fd14fp-17, -0x1.e54fa5764de2dp-17, -0x1.cdb700b639d13p-17, -0x1.b663f702d9a4bp-17, -0x1.9f5205d293b5dp-17, -0x1.8880bf9512813p-17, -0x1.71f3aae514565p-17, -0x1.5b9c2261632d6p-17, -0x1.4588fd2ac6212p-17, -0x1.2fb2dcb80078cp-17, -0x1.1a17ddd2830fbp-17, -0x1.04bef9936dffep-17, -0x1.df3ccd146c698p-18, -0x1.b575759981cfbp-18, -0x1.8c252b2d38e9cp-18, -0x1.634b445bc5444p-18, -0x1.3ae6322a0d651p-18, -0x1.12f7eb6604aa7p-18, -0x1.d6fb0bfe9f44bp-19, -0x1.88ee4fc40c63ap-19, -0x1.3bc81799c9079p-19, -0x1.df051e8ea7fb8p-20, -0x1.484188ec23ebcp-20, -0x1.66de1885ad1d2p-21, -0x1.026f6c4d5765fp-23, 0x1.c426816e7bd21p-22, 0x1.009f625f1e9d5p-20, 0x1.8e83bd49fd6fdp-20, 0x1.0d3daa5db61dap-19, 0x1.52615c00b4a5ap-19, 0x1.96b7e90514021p-19, 0x1.da08156343764p-19, 0x1.0e43f53aac63ep-18, 0x1.2f1527bf1e6ccp-18, 0x1.4f74bbb705826p-18, 0x1.6f65be87f8cf1p-18, 0x1.8ee6f12f18e4dp-18, 0x1.adf58579347f1p-18, 0x1.cc9a86910fdc1p-18, 0x1.ead084b0cd3ecp-18, 0x1.0448216432116p-17, 0x1.12f727b0d5d47p-17, 0x1.21640fbc1a163p-17, 0x1.2fa0d7b61b9dcp-17, 0x1.3da48be505d57p-17, 0x1.4b7396d49b47bp-17, 0x1.590782551c4d4p-17, 0x1.6667397e124b5p-17, 0x1.738de4397d402p-17, 0x1.807ef2da91922p-17, 0x1.8d38c0367ba72p-17, 0x1.99ba1d22161f2p-17, 0x1.a6090f0545c3bp-17, 0x1.b21fadd97f2d2p-17, 0x1.bdff8803f973fp-17, 0x1.c9a94a5907e48p-17, 0x1.d51d0bbb2f513p-17, 0x1.e05c0b2191339p-17, 0x1.eb602f73a5bp-17, 0x1.f63277c53c51ep-17, 0x1.0068754793848p-16, 0x1.059c3a7f8e5d5p-16, 0x1.0ab5485225bc7p-16, 0x1.0fb4941dfe239p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.1a4b3c28a8aa5p-1, 0x1.162934cfb2156p-1, 0x1.11bfcfb7acd4p-1, 0x1.0d15474a198dbp-1, 0x1.082fd13f321bfp-1, 0x1.03158f6597b8ap-1, 0x1.fb9905939e731p-2, 0x1.f0b502331bbf1p-2, 0x1.e58a582ee60bap-2, 0x1.da23d5def1c09p-2, 0x1.ce8bca74b9b8dp-2, 0x1.c2cbfefbeeddep-2, 0x1.b6edb1f304a2ap-2, 0x1.aaf9951dc8323p-2, 0x1.9ef7cd39fababp-2, 0x1.92eff344c8a8bp-2, 0x1.86e9170784276p-2, 0x1.7ae9c2aa0027ep-2, 0x1.6ef7ff10ba513p-2, 0x1.631958d4a5966p-2, 0x1.5752e5a98c583p-2, 0x1.4ba94a0e8c9f4p-2, 0x1.4020bf2a2161dp-2, 0x1.34bd18b860663p-2, 0x1.2981caf6a6323p-2, 0x1.1e71f07bea387p-2, 0x1.13904ff047966p-2, 0x1.08df619931127p-2, 0x1.fcc2a96479a76p-3, 0x1.e8302918e5d46p-3, 0x1.d40a9adfae36ap-3, 0x1.c054e2789ef03p-3, 0x1.ad1177908bdaap-3, 0x1.9a426df8d860dp-3, 0x1.87e97d59d1b1p-3, 0x1.76080861be2e9p-3, 0x1.649f2373dcf86p-3, 0x1.53af9adb6ee48p-3, 0x1.4339f887bff88p-3, 0x1.333e8956ad3bfp-3, 0x1.23bd61f3cabf6p-3, 0x1.14b663526e423p-3, 0x1.06293ec94c6b1p-3, 0x1.f02af3ac8f2ecp-4, 0x1.d4f4e3227d80bp-4, 0x1.baaebba8dc91p-4, 0x1.a156a841c792cp-4, 0x1.88ea948ab2409p-4, 0x1.7168319ad7eep-4, 0x1.5accfa7dd39e4p-4, 0x1.451638551872p-4, 0x1.3041062a3c307p-4, 0x1.1c4a547b42f18p-4, 0x1.092eec894e814p-4, 0x1.edd6e6e2873dcp-5, 0x1.caf8da2a63ac4p-5, 0x1.a9bc7db8f7a05p-5, 0x1.8a1a64a014015p-5, 0x1.6c0aef2e1e057p-5, 0x1.4f864fb08c93dp-5, 0x1.34848f05dec12p-5, 0x1.1afd91046e9fep-5, 0x1.02e918ba826d7p-5, 0x1.d87d991607f1p-6, 0x1.adec7452feac2p-6, 0x1.860db4ee95d5fp-6, 0x1.60d02a8640019p-6, 0x1.3e2289d7c69b8p-6, 0x1.1df373cde691bp-6, 0x1.00317c53e20fdp-6, 0x1.c99661defeff6p-7, 0x1.975e3e40dbd85p-7, 0x1.6997b507a2d1dp-7, 0x1.402005752d57bp-7, 0x1.1ad4922208ad1p-7, 0x1.f325d7989466fp-8, 0x1.b871b7468f42ap-8, 0x1.8548da1ba4197p-8, 0x1.5967edd1bb186p-8, 0x1.348c487a413b4p-8, 0x1.1673f8d4f078cp-8, 0x1.fdbbab22b4095p-9, 0x1.db1316f67a229p-9, 0x1.c46f5525f71c9p-9, 0x1.b953642924731p-9, 0x1.b94436e14d0acp-9, 0x1.c3c8c8786b558p-9, 0x1.d86a2e390afa7p-9, 0x1.f6b3a76b93266p-9, 0x1.0f1955a3e23dap-8, 0x1.273b7a853ee3ep-8, 0x1.43894720ac78bp-8, 0x1.63ccebaf5a35ap-8, 0x1.87d1c754e1afep-8, 0x1.af646acf78005p-8, 0x1.da529a6abfecfp-8, 0x1.0435a79ff2p-7, 0x1.1cbf5be6ddd0cp-7, 0x1.36af1bf9ea41cp-7, 0x1.51ee342d926e3p-7, 0x1.6e668aab8a0fbp-7, 0x1.8c029ea4bfdbfp-7, 0x1.aaad8749ec1d9p-7, 0x1.ca52f28fd47d2p-7, 0x1.eadf23c412befp-7, 0x1.061f78fb8d2cdp-6, 0x1.172fe32000e09p-6, 0x1.2897ccef388abp-6, 0x1.3a4e7a1f626b8p-6, 0x1.4c4b74722add6p-6, 0x1.5e868a9ecfe68p-6, 0x1.70f7cf32d2679p-6, 0x1.8397976af5aaep-6, 0x1.965e7a06002cap-6, 0x1.a9454e12aad2fp-6, 0x1.bc4529ba05cbfp-6, 0x1.cf57610783113p-6, 0x1.e27584afb57abp-6, 0x1.f59960d6c31efp-6, 0x1.045e7debb2eb8p-5, 0x1.0ded4a85a5cep-5, 0x1.177651cabcfe4p-5, 0x1.20f6ea97b24c1p-5, 0x1.2a6c867c94aa5p-5, 0x1.33d4b126bc58cp-5, 0x1.3d2d0fccc3366p-5, 0x1.4673609ca848cp-5, 0x1.4fa57a2c45878p-5, 0x1.58c14aec2a908p-5, 0x1.61c4d89cf9201p-5, 0x1.6aae3fc74a557p-5, 0x1.737bb33627526p-5, 0x1.7c2b7b741b8b1p-5, 0x1.84bbf64adbd8fp-5, 0x1.8d2b964582abp-5, 0x1.9578e23555b6ep-5, 0x1.9da274b90cb94p-5, 0x1.a5a6fbc68d4eep-5, 0x1.ad85383707d84p-5, 0x1.b53bfd556cf61p-5, 0x1.bcca306f1fd32p-5, 0x1.c42ec866d9f8dp-5, 0x1.cb68cd49a7b3bp-5, 0x1.d27757e5ebca3p-5, 0x1.d9599164518a6p-5, 0x1.e00eb2e29c4b9p-5, 0x1.e69605103f472p-5, 0x1.eceedfcca4cdfp-5, 0x1.f318a9c716129p-5, 0x1.f912d8202e12ap-5, 0x1.fedcee0cc336bp-5, 0x1.023b3e3d1bbcdp-4, 0x1.04ef90da0ebfep-4, 0x1.078b4485910ap-4, 0x1.0a0e353e94ee6p-4, 0x1.0c78452f4b4e5p-4, 0x1.0ec95c82529c8p-4, 0x1.110169386ca1cp-4, 0x1.13205efeb4811p-4, 0x1.1526370550ef2p-4, 0x1.1712efd69ddd1p-4, 0x1.18e68d2ec8a9cp-4, 0x1.1aa117d3dc095p-4, 0x1.1c429d6e381cfp-4, 0x1.1dcb306174734p-4, 0x1.1f3ae7a5aa879p-4, 0x1.2091dea123d38p-4, 0x1.21d035026e9dfp-4, 0x1.22f60e9ad54dep-4, 0x1.2403933938c87p-4, 0x1.24f8ee854c9f6p-4, 0x1.25d64fdb3839cp-4, 0x1.269bea27980a6p-4, 0x1.2749f3c3e5297p-4, 0x1.27e0a6533f9f4p-4, 0x1.28603e9f9eb76p-4, 0x1.28c8fc7768f2dp-4, 0x1.291b228b73c4bp-4, 0x1.2956f64d6c28ep-4, 0x1.297cbfceacd3cp-4, 0x1.298cc99f8066p-4, 0x1.298760aed40bp-4, 0x1.296cd42a599f3p-4, 0x1.293d755f1fb51p-4, 0x1.28f9979a9d5bfp-4, 0x1.28a1900c35b3dp-4, 0x1.2835b5a7361fdp-4, 0x1.27b661054ebcp-4, 0x1.2723ec498a052p-4, 0x1.267eb303c2fc5p-4, 0x1.25c712149eb52p-4, 0x1.24fd679207e57p-4, 0x1.242212ac30af4p-4, 0x1.233573931c3a8p-4, 0x1.2237eb5caff1fp-4, 0x1.2129dbeb5041p-4, 0x1.200ba7d508d3ap-4, 0x1.1eddb24b42471p-4, 0x1.1da05f0306596p-4, 0x1.1c54121dd2c57p-4, 0x1.1af93012ff317p-4, 0x1.19901d99b1146p-4, 0x1.18193f93657f8p-4, 0x1.1694faf70ace2p-4, 0x1.1503b4bcafb17p-4, 0x1.1365d1c9c3e67p-4, 0x1.11bbb6ddef55p-4, 0x1.1005c8807b064p-4, 0x1.0e446aee4e953p-4, 0x1.0c7802088273bp-4, 0x1.0aa0f14383ac5p-4, 0x1.08bf9b96ccffdp-4, 0x1.06d4636d3016ep-4, 0x1.04dfaa95b2a76p-4, 0x1.02e1d234fb26ep-4, 0x1.00db3ab74e72ap-4, 0x1.fd988786373a4p-5, 0x1.f96a98582dddp-5, 0x1.f52d63cdc1dbap-5, 0x1.f0e1a3fa71234p-5, 0x1.ec8811056f143p-5, 0x1.e82161142f2bbp-5, 0x1.e3ae4835fc7d1p-5, 0x1.df2f78509a1afp-5, 0x1.daa5a10debbc5p-5, 0x1.d6116fcaa0fcdp-5, 0x1.d1738f85dfb33p-5, 0x1.cccca8d1e7bc9p-5, 0x1.c81d61c5afe2ep-5, 0x1.c3665def74209p-5, 0x1.bea83e4832175p-5, 0x1.b9e3a1280f262p-5, 0x1.b519223ba3e6bp-5, 0x1.b0495a7a287e8p-5, 0x1.ab74e01c7b6fp-5, 0x1.a69c4695006dcp-5, 0x1.a1c01e88503bp-5, 0x1.9ce0f5c6b6a76p-5, 0x1.97ff574677bd3p-5, 0x1.931bcb1ed77c9p-5, 0x1.8e36d683e0fdep-5, 0x1.8950fbc2e598ap-5, 0x1.846aba3faec63p-5, 0x1.7f848e7260a54p-5, 0x1.7a9ef1e604512p-5, 0x1.75ba5b37b7975p-5, 0x1.70d73e167a4d2p-5, 0x1.6bf60b4398373p-5, 0x1.67173093a49b4p-5, 0x1.623b18f0093d6p-5, 0x1.5d622c591e3bep-5, 0x1.588ccfe8c6903p-5, 0x1.53bb65d590da6p-5, 0x1.4eee4d764f73cp-5, 0x1.4a25e3462d688p-5, 0x1.456280e92e675p-5, 0x1.40a47d3122731p-5, 0x1.3bec2c22fe8e8p-5, 0x1.3739defc9abd7p-5, 0x1.328de43acd9c3p-5, 0x1.2de8879fe5e94p-5, 0x1.294a123a77171p-5, 0x1.24b2ca6c788d3p-5, 0x1.2022f3f2b4c7dp-5, 0x1.1b9acfec7e7b6p-5, 0x1.171a9ce3accaep-5, 0x1.12a296d4d72d5p-5, 0x1.0e32f737d0a78p-5, 0x1.09cbf50859903p-5, 0x1.056dc4cf0673cp-5, 0x1.011898aa5c73cp-5, 0x1.f99940b02a1c2p-6, 0x1.f114127d24e48p-6, 0x1.e8a1fcece9d31p-6, 0x1.e04351a8b0b6p-6, 0x1.d7f85de55c9fp-6, 0x1.cfc16a776d249p-6, 0x1.c79ebbe7224c2p-6, 0x1.bf909284c9463p-6, 0x1.b7972a7d3902ep-6, 0x1.afb2bbee66002p-6, 0x1.a7e37afc1aaecp-6, 0x1.a02997e4c16fdp-6, 0x1.98853f163e0c5p-6, 0x1.90f69942dae1cp-6, 0x1.897dcb76360dfp-6, 0x1.821af72a316bep-6, 0x1.7ace3a5be77d9p-6, 0x1.7397afa093ab3p-6, 0x1.6c776e3a6f3fap-6, 0x1.656d8a2d875c4p-6, 0x1.5e7a145476c67p-6, 0x1.579d1a7511a25p-6, 0x1.50d6a754f507bp-6, 0x1.4a26c2cdf5847p-6, 0x1.438d71e274498p-6, 0x1.3d0ab6d18b879p-6, 0x1.369e912b1850dp-6, 0x1.3048fde397713p-6, 0x1.2a09f767da2acp-6, 0x1.23e175b08d349p-6, 0x1.1dcf6e5588d64p-6, 0x1.17d3d4a0f616fp-6, 0x1.11ee99a23984p-6, 0x1.0c1fac40aa99ap-6, 0x1.0666f94e0df2bp-6, 0x1.00c46b98d9fd9p-6, 0x1.f66fd7fc7a207p-7, 0x1.eb82c2f7c6e6bp-7, 0x1.e0c16283060acp-7, 0x1.d62b7d844537p-7, 0x1.cbc0d78a441bdp-7, 0x1.c18130edfa9b6p-7, 0x1.b76c46f39ee3cp-7, 0x1.ad81d3eb1bfb2p-7, 0x1.a3c18f4fffc89p-7, 0x1.9a2b2de8daf74p-7, 0x1.90be61e61b26bp-7, 0x1.877adb004bb35p-7, 0x1.7e604695cc933p-7, 0x1.756e4fc800ae4p-7, 0x1.6ca49f97da5dfp-7, 0x1.6402dd01e6721p-7, 0x1.5b88ad19c2074p-7, 0x1.5335b324f58dbp-7, 0x1.4b0990b54cecfp-7, 0x1.4303e5c293b83p-7, 0x1.3b2450c3c45d5p-7, 0x1.336a6ec7a4661p-7, 0x1.2bd5db8cd227ep-7, 0x1.24663199417e8p-7, 0x1.1d1b0a51291c8p-7, 0x1.15f3fe0d61939p-7, 0x1.0ef0a43136a2ep-7, 0x1.0810933fab5d7p-7, 0x1.015360f032fb5p-7, 0x1.f5714485bbd54p-8, 0x1.e87fd727fdd8ep-8, 0x1.dbd1a15e8b23p-8, 0x1.cf65c9c4a7b78p-8, 0x1.c33b761d9747bp-8, 0x1.b751cb77b4c0bp-8, 0x1.aba7ee4e7de29p-8, 0x1.a03d02aba1cc2p-8, 0x1.95102c470ae0fp-8, 0x1.8a208ea5ef04ap-8, 0x1.7f6d4d38e552ap-8, 0x1.74f58b790663ep-8, 0x1.6ab86d041962fp-8, 0x1.60b515b7d26ecp-8, 0x1.56eaa9cc251dap-8, 0x1.4d584decb030dp-8, 0x1.43fd275142309p-8, 0x1.3ad85bd580cb8p-8, 0x1.31e9120fb0b7cp-8, 0x1.292e7166a567ep-8, 0x1.20a7a226dad46p-8, 0x1.1853cd96beb23p-8, 0x1.10321e0a2a36cp-8, 0x1.0841bef5129b4p-8, 0x1.0081dcfd744fp-8, 0x1.f1e34c18f5144p-9, 0x1.e32092bdd0a23p-9, 0x1.d4b9ef299085p-9, 0x1.c6adc580c80dfp-9, 0x1.b8fa7ce913b96p-9, 0x1.ab9e7fa4458e6p-9, 0x1.9e983b2a3987bp-9, 0x1.91e620415b981p-9, 0x1.8586a315e96cep-9, 0x1.79783b4fed1d1p-9, 0x1.6db9642807da6p-9, 0x1.62489c7b0432ap-9, 0x1.572466dc4394fp-9, 0x1.4c4b49a707ab2p-9, 0x1.41bbcf0e9f691p-9, 0x1.3774852d83145p-9, 0x1.2d73fe1360f3bp-9, 0x1.23b8cfd2267a9p-9, 0x1.1a41948a070e8p-9, 0x1.110cea74902b9p-9, 0x1.081973eec8169p-9, 0x1.fecbaf04c6ff2p-10, 0x1.ede17fdc31ab3p-10, 0x1.dd71b85a2b9b9p-10, 0x1.cd79befb3a9b6p-10, 0x1.bdf702cdab37p-10, 0x1.aee6fb7b9d6a9p-10, 0x1.a047295382be9p-10, 0x1.9215154f26987p-10, 0x1.844e5119453f5p-10, 0x1.76f07711c1588p-10, 0x1.69f92a507fbd1p-10, 0x1.5d6616a6fa8c9p-10, 0x1.5134f0a08a5bfp-10, 0x1.4563758189884p-10, 0x1.39ef6b453a089p-10, 0x1.2ed6a09a9d08cp-10, 0x1.2416ece023879p-10, 0x1.19ae301e65019p-10, 0x1.0f9a5301c2442p-10, 0x1.05d946d322e75p-10, 0x1.f8d20adf6c425p-11, 0x1.e68f227fb138p-11, 0x1.d4e5ea5a36bfp-11, 0x1.c3d2892ef3bcfp-11, 0x1.b35136938cbdep-11, 0x1.a35e3adaadf63p-11, 0x1.93f5eef9f46bep-11, 0x1.8514bc6e796b6p-11, 0x1.76b71d200dcb5p-11, 0x1.68d99b4338226p-11, 0x1.5b78d13a02fe7p-11, 0x1.4e916973ac01fp-11, 0x1.42201e4b400e8p-11, 0x1.3621b9e536f53p-11, 0x1.2a93160c18942p-11, 0x1.1f711c0c3cf21p-11, 0x1.14b8c48eb0203p-11, 0x1.0a6717734ccc3p-11, 0x1.00792baa135dbp-11, 0x1.edd84e17a26b9p-12, 0x1.db7a7c643b658p-12, 0x1.c9d3689d7819ep-12, 0x1.b8ddb604da2cfp-12, 0x1.a894246677593p-12, 0x1.98f18fc499b89p-12, 0x1.89f0f00283602p-12, 0x1.7b8d588e63455p-12, 0x1.6dc1f80a8fafbp-12, 0x1.608a17f61da35p-12, 0x1.53e11c54e2c5fp-12, 0x1.47c28356f6032p-12, 0x1.3c29e4ffbf26dp-12, 0x1.3112f2cca6fcep-12, 0x1.2679775b77badp-12, 0x1.1c5956107e5c2p-12, 0x1.12ae8abc78348p-12, 0x1.0975294260fabp-12, 0x1.00a95d3d2b367p-12, 0x1.f08ed34ae68cap-13, 0x1.e09750ee6b18dp-13, 0x1.d16514af36406p-13, 0x1.c2f12c75c8726p-13, 0x1.b534d214fac57p-13, 0x1.a8296a969574ep-13, 0x1.9bc8858868f8ep-13, 0x1.900bdc49fd8a2p-13, 0x1.84ed515aea2ep-13, 0x1.7a66efa9ef37cp-13, 0x1.7072e9e4df0d8p-13, 0x1.670b99c95f192p-13, 0x1.5e2b7f76ab3b8p-13, 0x1.55cd40c04f245p-13, 0x1.4deba881f516fp-13, 0x1.4681a5f4531c1p-13, 0x1.3f8a4c034b597p-13, 0x1.3900d0a54074cp-13, 0x1.32e08c33b822p-13, 0x1.2d24f8c54af53p-13, 0x1.27c9b188f7fdap-13, 0x1.22ca7222e277bp-13, 0x1.1e23160a7b62cp-13, 0x1.19cf97ea34b44p-13, 0x1.15cc1100ad0b7p-13, 0x1.1214b8837538bp-13, 0x1.0ea5e30364c97p-13, 0x1.0b7c01d28eb6bp-13, 0x1.0893a26bdb9c4p-13, 0x1.05e96ddc4b473p-13, 0x1.037a282de9502p-13, 0x1.0142afd47b103p-13, 0x1.fe7ffa37bf75dp-14, 0x1.fade43306cdf6p-14, 0x1.f79a8f2f964e8p-14, 0x1.f4af632d7d929p-14, 0x1.f21773690e77fp-14, 0x1.efcda2566ca11p-14, 0x1.edccff911d83cp-14, 0x1.ec10c6d1e426dp-14, 0x1.ea945ee837376p-14, 0x1.e95358b770133p-14, 0x1.e8496e379991ap-14, 0x1.e7728179fb5c8p-14, 0x1.e6ca9bb14a6f1p-14, 0x1.e64dec3d9624bp-14, 0x1.e5f8c7bbdc3a6p-14, 0x1.e5c7a71953f9ap-14, 0x1.e5b726aa678a1p-14, 0x1.e5c405455b6a3p-14, 0x1.e5eb2360a242ap-14, 0x1.e6298234d9786p-14, 0x1.e67c42e27219dp-14, 0x1.e6e0a59af5ee9p-14, 0x1.e75408cdec457p-14, 0x1.e7d3e85967823p-14, 0x1.e85ddcbe1afdbp-14, 0x1.e8ef9a57096f6p-14, 0x1.e986f094bf438p-14, 0x1.ea21c93c1c79p-14, 0x1.eabe27a893011p-14, 0x1.eb5a2811eba3ap-14, 0x1.ebf3fed57f66cp-14, 0x1.ec89f7c2daa79p-14, 0x1.ed1a756bcbb4p-14, 0x1.eda3f077d5afap-14, 0x1.ee24f6faf5bf7p-14, 0x1.ee9c2bcfbe18cp-14, 0x1.ef0845f4bdeeep-14, 0x1.ef680fed29a5bp-14, 0x1.efba6724ba45bp-14, 0x1.effe3b56becaep-14, 0x1.f0328df8611b2p-14, 0x1.f05671a5fe376p-14, 0x1.f06909939aa98p-14, 0x1.f06989006dc6bp-14, 0x1.f05732ad6a8f3p-14, 0x1.f0315856c45cdp-14, 0x1.eff75a3074c9p-14, 0x1.efa8a66595c05p-14, 0x1.ef44b89abbp-14, 0x1.eecb197301213p-14, 0x1.ee3b5e180bd7ep-14, 0x1.ed9527c4b0bd3p-14, 0x1.ecd823526d466p-14, 0x1.ec0408c97e788p-14, 0x1.eb189af3b55ebp-14, 0x1.ea15a6f1db39ep-14, 0x1.e8fb03d3a904p-14, 0x1.e7c8923254149p-14, 0x1.e67e3bcd94e01p-14, 0x1.e51bf32b2d3a8p-14, 0x1.e3a1b338ca156p-14, 0x1.e20f7ef06126p-14, 0x1.e06560fedb9e4p-14, 0x1.dea36b6d0fc48p-14, 0x1.dcc9b74b096abp-14, 0x1.dad8645d880c9p-14, 0x1.d8cf98cdb9c94p-14, 0x1.d6af80db1bcddp-14, 0x1.d4784e8f772dap-14, 0x1.d22a3974fbf71p-14, 0x1.cfc57e4e6a4d5p-14, 0x1.cd4a5ed137839p-14, 0x1.cab92161bf704p-14, 0x1.c81210d153225p-14, 0x1.c5557c1e3c631p-14, 0x1.c283b635a4011p-14, 0x1.bf9d15b745469p-14, 0x1.bca1f4baf79ccp-14, 0x1.b992b097f3568p-14, 0x1.b66fa9adde3e9p-14, 0x1.b339432f83173p-14, 0x1.afefe2ef3b3edp-14, 0x1.ac93f12ce673cp-14, 0x1.a925d865a158ap-14, 0x1.a5a60524e0a95p-14, 0x1.a214e5d738ff4p-14, 0x1.9e72ea9e96707p-14, 0x1.9ac08527eb9a1p-14, 0x1.96fe28825844dp-14, 0x1.932c48f7b3478p-14, 0x1.8f4b5be676f01p-14, 0x1.8b5bd79d04986p-14, 0x1.875e33363ae7bp-14, 0x1.8352e67754a8ap-14, 0x1.7f3a69af08756p-14, 0x1.7b153595e4e79p-14, 0x1.76e3c32fded83p-14, 0x1.72a68baf0b343p-14, 0x1.6e5e08577e456p-14, 0x1.6a0ab26449c54p-14, 0x1.65ad02ed8fd18p-14, 0x1.614572cfa83cbp-14, 0x1.5cd47a934dc7bp-14, 0x1.585a9256cf7c5p-14, 0x1.53d831b83d26ap-14, 0x1.4f4dcfc08b80ep-14, 0x1.4abbe2cfa5cdcp-14, 0x1.4622e0896b9d6p-14, 0x1.41833dc38fc0dp-14, 0x1.3cdd6e7456422p-14, 0x1.3831e5a22802dp-14, 0x1.33811553fabe3p-14, 0x1.2ecb6e8282447p-14, 0x1.2a11610a2abfep-14, 0x1.25535b9dd0ab5p-14, 0x1.2091cbba3874cp-14, 0x1.1bcd1d9a3849bp-14, 0x1.1705bc2b9521dp-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.1dcbf986815d9p-1, 0x1.1a439314c6cfap-1, 0x1.1676bd256edccp-1, 0x1.12697276f7144p-1, 0x1.0e1fbec4c4511p-1, 0x1.099db5b18d05cp-1, 0x1.04e76aaf92f43p-1, 0x1.0000e9e268f08p-1, 0x1.f5dc63e241697p-2, 0x1.eb665d78d3169p-2, 0x1.e0a769d3afeabp-2, 0x1.d5a6fc6850dfdp-2, 0x1.ca6c4cdf2d185p-2, 0x1.befe52623117fp-2, 0x1.b363c00f185c6p-2, 0x1.a7a3026cb33c3p-2, 0x1.9bc23dc3b01b5p-2, 0x1.8fc74d3d5131bp-2, 0x1.83b7c2aca40d9p-2, 0x1.7798e6e9012adp-2, 0x1.6b6fbaa2ebb3dp-2, 0x1.5f40f79ebbaf7p-2, 0x1.53111242a381ep-2, 0x1.46e43b67cc3c8p-2, 0x1.3abe626031b15p-2, 0x1.2ea33724bc116p-2, 0x1.22962ca0b63fp-2, 0x1.169a7b114bcecp-2, 0x1.0ab32270fcf39p-2, 0x1.fdc5d9d0756cdp-3, 0x1.e658e27ac1c7cp-3, 0x1.cf242a7e6a009p-3, 0x1.b82c204bcbfafp-3, 0x1.a174d9ce84f44p-3, 0x1.8b0218f6eee1dp-3, 0x1.74d7502073e37p-3, 0x1.5ef7a65184df9p-3, 0x1.4965fb52b672ep-3, 0x1.3424eb9b65056p-3, 0x1.1f36d412d11b3p-3, 0x1.0a9dd5a52feebp-3, 0x1.ecb7b1596ebb5p-4, 0x1.c4e5205df87ebp-4, 0x1.9dc6f9deb5f08p-4, 0x1.775fe0aee2f65p-4, 0x1.51b21e6dcb668p-4, 0x1.2cbfa8b7b1c86p-4, 0x1.088a260b4be26p-4, 0x1.ca25e4ce38d46p-5, 0x1.84b6474455044p-5, 0x1.40c71b075e2eep-5, 0x1.fcb316755260bp-6, 0x1.7adc9bae9fc1bp-6, 0x1.f816aa0276a68p-7, 0x1.007e03cc0a669p-7, 0x1.dda78a2b32ec3p-12, -0x1.b93e4aa047adp-8, -0x1.c22bf4dc0548bp-7, -0x1.50dfa646ff0c4p-6, -0x1.bdb03ce53a28fp-6, -0x1.13c5fab4e5e7dp-5, -0x1.473bc75be0728p-5, -0x1.793c239b47ec2p-5, -0x1.a9c9ea7dce964p-5, -0x1.d8e82f2992094p-5, -0x1.034d1ca85d5adp-4, -0x1.1971c0e59150ap-4, -0x1.2ee3d7ab0a469p-4, -0x1.43a549bbcd2dap-4, -0x1.57b813c17f4bcp-4, -0x1.6b1e44de39644p-4, -0x1.7dd9fd4d020e5p-4, -0x1.8fed6d101d5a7p-4, -0x1.a15ad2ac79fp-4, -0x1.b22479f19a503p-4, -0x1.c24cbacd69d12p-4, -0x1.d1d5f82b8392ep-4, -0x1.e0c29edf77269p-4, -0x1.ef152499b101dp-4, -0x1.fcd006e6b1c5dp-4, -0x1.04fae51c22983p-3, -0x1.0b447c7c384afp-3, -0x1.11461152f4b29p-3, -0x1.1700ed7ce94dcp-3, -0x1.1c765c8b4c5b6p-3, -0x1.21a7ab5fd2004p-3, -0x1.269627ccec349p-3, -0x1.2b43203a4d688p-3, -0x1.2fafe34d9d29cp-3, -0x1.33ddbf974b6f8p-3, -0x1.37ce03436e528p-3, -0x1.3b81fbce8c486p-3, -0x1.3efaf5be4bd8fp-3, -0x1.423a3c5de2fb5p-3, -0x1.4541197e40d2fp-3, -0x1.4810d539ca37dp-3, -0x1.4aaab5bb9cb98p-3, -0x1.4d0fff0a3a34dp-3, -0x1.4f41f2d58c452p-3, -0x1.5141d04818de6p-3, -0x1.5310d3db5d811p-3, -0x1.54b0372f315d7p-3, -0x1.562130e40c18ap-3, -0x1.5764f47826a53p-3, -0x1.587cb227505b9p-3, -0x1.596996cd60949p-3, -0x1.5a2ccbcb2a6p-3, -0x1.5ac776edd9b8bp-3, -0x1.5b3aba589e0e1p-3, -0x1.5b87b47086e0cp-3, -0x1.5baf7fca7d543p-3, -0x1.5bb3331b35c49p-3, -0x1.5b93e129187fcp-3, -0x1.5b5298bfe4efap-3, -0x1.5af064a61f0bap-3, -0x1.5a6e4b940c212p-3, -0x1.59cd502c42793p-3, -0x1.590e70f5a6e8ap-3, -0x1.5832a856c956fp-3, -0x1.573aec9283359p-3, -0x1.56282fc5d4616p-3, -0x1.54fb5fe6d5fa1p-3, -0x1.53b566c4c08a4p-3, -0x1.52572a08ef83ap-3, -0x1.50e18b38cb2ffp-3, -0x1.4f5567b8904cp-3, -0x1.4db398cee3b3dp-3, -0x1.4bfcf3a91d046p-3, -0x1.4a32496049f55p-3, -0x1.485466fec4979p-3, -0x1.466415866a8bep-3, -0x1.446219f754a5dp-3, -0x1.424f3557127f6p-3, -0x1.402c24b84cf72p-3, -0x1.3df9a142e2f23p-3, -0x1.3bb8603c50e22p-3, -0x1.39691310839b9p-3, -0x1.370c675ae61b2p-3, -0x1.34a306efc57e9p-3, -0x1.322d97e5eaa55p-3, -0x1.2facbca071645p-3, -0x1.2d2113d8d2bdbp-3, -0x1.2a8b38a919515p-3, -0x1.27ebc29640e75p-3, -0x1.2543459ab7672p-3, -0x1.22925230f9f47p-3, -0x1.1fd9755e53792p-3, -0x1.1d1938bda941dp-3, -0x1.1a52228a603bcp-3, -0x1.1784b5ab5207ap-3, -0x1.14b171bdc915ep-3, -0x1.11d8d320901d7p-3, -0x1.0efb52ff00b07p-3, -0x1.0c19675c1d411p-3, -0x1.0933831dadc97p-3, -0x1.064a1617572cdp-3, -0x1.035d8d15bee8bp-3, -0x1.006e51e9a2764p-3, -0x1.faf996e5df185p-4, -0x1.f512bb57b37aep-4, -0x1.ef28d367cb135p-4, -0x1.e93c9bb5ec228p-4, -0x1.e34ecb588d1c3p-4, -0x1.dd6013f2cce03p-4, -0x1.d77121ca4d0afp-4, -0x1.d1829bdcfe332p-4, -0x1.cb9523f6d002p-4, -0x1.c5a956c751762p-4, -0x1.bfbfcbf73a475p-4, -0x1.b9d9163dcd971p-4, -0x1.b3f5c376391bfp-4, -0x1.ae165cb4c68f8p-4, -0x1.a83b665bff0a1p-4, -0x1.a2656031a424bp-4, -0x1.9c94c57395c26p-4, -0x1.96ca0cec9afe5p-4, -0x1.9105a9090764dp-4, -0x1.8b4807eb3d833p-4, -0x1.8591938019e5ap-4, -0x1.7fe2b19336254p-4, -0x1.7a3bc3e30e0ebp-4, -0x1.749d2835005d9p-4, -0x1.6f0738692ca33p-4, -0x1.697a4a8e2f0c6p-4, -0x1.63f6b0f4b5191p-4, -0x1.5e7cba42efabbp-4, -0x1.590cb187dd843p-4, -0x1.53a6de4e70c83p-4, -0x1.4e4b84b08c708p-4, -0x1.48fae569d9f31p-4, -0x1.43b53dea780dp-4, -0x1.3e7ac8697d912p-4, -0x1.394bbbf75636ap-4, -0x1.34284c8ff1d7dp-4, -0x1.2f10ab2cc9ff3p-4, -0x1.2a0505d6bd0e7p-4, -0x1.250587b7ba9a9p-4, -0x1.2012592c45348p-4, -0x1.1b2b9fd4c50d1p-4, -0x1.16517ea6ae6fbp-4, -0x1.118415fd77296p-4, -0x1.0cc383ab5f124p-4, -0x1.080fe30a07831p-4, -0x1.03694d0ada963p-4, -0x1.fd9fb08e84102p-5, -0x1.f48732215842bp-5, -0x1.eb894300c07ffp-5, -0x1.e2a6030e3c7f4p-5, -0x1.d9dd8df91cc48p-5, -0x1.d12ffb5cf82fdp-5, -0x1.c89d5edfbadp-5, -0x1.c025c84f4df7dp-5, -0x1.b7c943bed611dp-5, -0x1.af87d9a38903p-5, -0x1.a7618ef118e3p-5, -0x1.9f566535b5277p-5, -0x1.97665ab5a0247p-5, -0x1.8f916a865998p-5, -0x1.87d78ca95cd66p-5, -0x1.8038b626723f1p-5, -0x1.78b4d92595613p-5, -0x1.714be5086ca5ap-5, -0x1.69fdc68354f4fp-5, -0x1.62ca67b5ff96cp-5, -0x1.5bb1b043a1f0cp-5, -0x1.54b3856abaa9cp-5, -0x1.4dcfca1c64cd9p-5, -0x1.47065f1341bd2p-5, -0x1.405722e9f44a3p-5, -0x1.39c1f2312e0c4p-5, -0x1.3346a7854ffddp-5, -0x1.2ce51ba3a0d73p-5, -0x1.269d257f12d29p-5, -0x1.206e9a54a1a53p-5, -0x1.1a594dbf42575p-5, -0x1.145d11cb69352p-5, -0x1.0e79b70a24153p-5, -0x1.08af0ca3cd2e2p-5, -0x1.02fce06a507f6p-5, -0x1.fac5fdd6187fbp-6, -0x1.efc267008bf8ap-6, -0x1.e4ee90c478fbp-6, -0x1.da4a0d6f9c088p-6, -0x1.cfd46d4d7803p-6, -0x1.c58d3ec7150f3p-6, -0x1.bb740e81ee792p-6, -0x1.b188677e261dep-6, -0x1.a7c9d333e8f34p-6, -0x1.9e37d9b016f8ep-6, -0x1.94d201b029a57p-6, -0x1.8b97d0bd581ccp-6, -0x1.8288cb470523ep-6, -0x1.79a474bc6f16dp-6, -0x1.70ea4fa5a6cc3p-6, -0x1.6859ddbbd308p-6, -0x1.5ff2a000bfc9fp-6, -0x1.57b416d5bdaf7p-6, -0x1.4f9dc211d0b5ap-6, -0x1.47af2117312b9p-6, -0x1.3fe7b2e828af7p-6, -0x1.3846f63b415b8p-6, -0x1.30cc698ed3ce9p-6, -0x1.29778b3bf35b1p-6, -0x1.2247d988b58cdp-6, -0x1.1b3cd2b9e3cb7p-6, -0x1.1455f5240b249p-6, -0x1.0d92bf3bfa6b5p-6, -0x1.06f2afa6a588cp-6, -0x1.0075454879f2ep-6, -0x1.f433fea8445bbp-7, -0x1.e7c0bab173805p-7, -0x1.db8fbe9ef1451p-7, -0x1.cfa00b51af287p-7, -0x1.c3f0a2b252366p-7, -0x1.b88087c9718dap-7, -0x1.ad4ebed6bfa51p-7, -0x1.a25a4d674e2a5p-7, -0x1.97a23a6acab1ep-7, -0x1.8d258e47d1c7ap-7, -0x1.82e352ef58602p-7, -0x1.78da93ef2a40ep-7, -0x1.6f0a5e838cdc4p-7, -0x1.6571c1a80267dp-7, -0x1.5c0fce2737061p-7, -0x1.52e396aa1ad5ep-7, -0x1.49ec2fc638618p-7, -0x1.4128b00b33b94p-7, -0x1.3898300f93959p-7, -0x1.3039ca7cc961p-7, -0x1.280c9c1a7e385p-7, -0x1.200fc3d92e05ep-7, -0x1.184262dc11fd5p-7, -0x1.10a39c8262102p-7, -0x1.0932966feec45p-7, -0x1.01ee78951ae21p-7, -0x1.f5acda6c6f92dp-8, -0x1.e7d341e49301p-8, -0x1.da4e85926ed02p-8, -0x1.cd1d0842d8cbcp-8, -0x1.c03d3199da8ecp-8, -0x1.b3ad6e1bccf84p-8, -0x1.a76c2f357063ap-8, -0x1.9b77eb4306fcdp-8, -0x1.8fcf1d9678818p-8, -0x1.8470467c8b8b1p-8, -0x1.7959eb4135386p-8, -0x1.6e8a96330e6abp-8, -0x1.6400d6a5f166fp-8, -0x1.59bb40f4c7741p-8, -0x1.4fb86e8291b95p-8, -0x1.45f6fdbaae7c2p-8, -0x1.3c75921066912p-8, -0x1.3332d3fdc857bp-8, -0x1.2a2d7101d5e32p-8, -0x1.21641b9e0f515p-8, -0x1.18d58b535c217p-8, -0x1.10807c9e5daaep-8, -0x1.0863b0f3300f3p-8, -0x1.007deeb89c2ep-8, -0x1.f19c02858c4d9p-9, -0x1.e2a5719ab39f1p-9, -0x1.d415d4ea7854cp-9, -0x1.c5eae0639016ap-9, -0x1.b822519b35fe4p-9, -0x1.aab9efbdef08dp-9, -0x1.9daf8b7f819f6p-9, -0x1.9100ff0a2c075p-9, -0x1.84ac2ded27cebp-9, -0x1.78af050a7ac35p-9, -0x1.6d077a842389p-9, -0x1.61b38da8af506p-9, -0x1.56b146df35de8p-9, -0x1.4bfeb792d389ep-9, -0x1.4199fa1d98badp-9, -0x1.378131b30604ep-9, -0x1.2db28a4a14d7cp-9, -0x1.242c3886d38acp-9, -0x1.1aec79a3a1243p-9, -0x1.11f1935a0e7e5p-9, -0x1.0939d3cb63a94p-9, -0x1.00c39168e24fcp-9, -0x1.f11a55b76ab4fp-10, -0x1.e12a0dd953f0bp-10, -0x1.d1b328d74912p-10, -0x1.c2b2942dcd9b1p-10, -0x1.b4254d0446ddfp-10, -0x1.a6085ffad559dp-10, -0x1.9858e8f7dd07p-10, -0x1.8b1412f55af95p-10, -0x1.7e3717cdfad51p-10, -0x1.71bf400a095cap-10, -0x1.65a9e2ac44171p-10, -0x1.59f464fe91524p-10, -0x1.4e9c3a5ea07fap-10, -0x1.439ee40a94b33p-10, -0x1.38f9f0ed99be5p-10, -0x1.2eaafd6c97b0bp-10, -0x1.24afb332e1d7fp-10, -0x1.1b05c8ff0d283p-10, -0x1.11ab026fdae7dp-10, -0x1.089d2fd147633p-10, -0x1.ffb45bd39621cp-11, -0x1.eebfcb8f81f4cp-11, -0x1.de58991e1829dp-11, -0x1.ce7ac68de7fe5p-11, -0x1.bf226d5086521p-11, -0x1.b04bbdd75640fp-11, -0x1.a1f2ff30e5e71p-11, -0x1.94148ea6e8c5bp-11, -0x1.86acdf5cd9b05p-11, -0x1.79b879ef49371p-11, -0x1.6d33fc13e409dp-11, -0x1.611c183a35d4fp-11, -0x1.556d952d30063p-11, -0x1.4a254db57baebp-11, -0x1.3f40303c9c957p-11, -0x1.34bb3e70e9fcbp-11, -0x1.2a938cea62f39p-11, -0x1.20c642d064f69p-11, -0x1.1750998046381p-11, -0x1.0e2fdc34db388p-11, -0x1.056167aee9096p-11, -0x1.f9c553bd149c8p-12, -0x1.e962431b111f4p-12, -0x1.d994bc155af53p-12, -0x1.ca57fdac1fc0bp-12, -0x1.bba7669cbc13bp-12, -0x1.ad7e74be4f3f6p-12, -0x1.9fd8c4605580dp-12, -0x1.92b20fab44f13p-12, -0x1.86062e033de24p-12, -0x1.79d1136cbf57cp-12, -0x1.6e0ecff3736e8p-12, -0x1.62bb8f130aaf5p-12, -0x1.57d397222974bp-12, -0x1.4d5348bf6e24fp-12, -0x1.43371e40890bap-12, -0x1.397bab236d075p-12, -0x1.301d9b8194fe5p-12, -0x1.2719b3855e194p-12, -0x1.1e6ccee17a5f9p-12, -0x1.1613e04a75d93p-12, -0x1.0e0bf0f24c69ep-12, -0x1.06522006180d8p-12, -0x1.fdc7445b8f62fp-13, -0x1.ef7b821bd2104p-13, -0x1.e1bbb596fd284p-13, -0x1.d482c323b73b8p-13, -0x1.c7cbb6351525dp-13, -0x1.bb91c06e6a87ap-13, -0x1.afd038bb2191fp-13, -0x1.a4829a6a8654ap-13, -0x1.99a4844f922afp-13, -0x1.8f31b7e495f2ep-13, -0x1.85261872dc47bp-13, -0x1.7b7daa3e1883p-13, -0x1.723491b3b90a9p-13, -0x1.6947129e01e2bp-13, -0x1.60b18f5aebeep-13, -0x1.58708816c456cp-13, -0x1.50809a0a7bed9p-13, -0x1.48de7ebda594fp-13, -0x1.41870b4c0d36cp-13, -0x1.3a772faef0444p-13, -0x1.33abf609bbd54p-13, -0x1.2d2281fa5065dp-13, -0x1.26d80fecbf7d9p-13, -0x1.20c9f4727c0bbp-13, -0x1.1af59b9ce60bfp-13, -0x1.1558885b3c445p-13, -0x1.0ff053dbd57bap-13, -0x1.0abaacf09f5acp-13, -0x1.05b55776e0463p-13, -0x1.00de2bc21f5c4p-13, -0x1.f8662c1465306p-14, -0x1.ef642bb8e29a9p-14, -0x1.e6b27b1fcde46p-14, -0x1.de4d63792eb36p-14, -0x1.d631516b643e6p-14, -0x1.ce5ad40d7e5ccp-14, -0x1.c6c69be74626fp-14, -0x1.bf7179f70f5eep-14, -0x1.b8585ebd0e2d1p-14, -0x1.b178594c489ccp-14, -0x1.aace9660e864fp-14, -0x1.a4585f7beb313p-14, -0x1.9e131a0413b0bp-14, -0x1.97fc466c17ff8p-14, -0x1.92117f5dd3681p-14, -0x1.8c5078ea8afbep-14, -0x1.86b6ffc01adaap-14, -0x1.8142f862fe4a1p-14, -0x1.7bf25e6d19f01p-14, -0x1.76c343d1376dbp-14, -0x1.71b3d023183cfp-14, -0x1.6cc23fe41052cp-14, -0x1.67ece3d4111a5p-14, -0x1.633220470fb58p-14, -0x1.5e906c7eb5942p-14, -0x1.5a06520842e1ap-14, -0x1.55926c1e93d5ep-14, -0x1.513367103068bp-14, -0x1.4ce7ffa956bc7p-14, -0x1.48af02a1eacf5p-14, -0x1.44874c0f385bbp-14, -0x1.406fc6d9759afp-14, -0x1.3c676c34f2072p-14, -0x1.386d431ee02a7p-14, -0x1.34805fdda765ap-14, -0x1.309fe384abd76p-14, -0x1.2ccafb7b7abc6p-14, -0x1.2900e108485f7p-14, -0x1.2540d8ddb0d25p-14, -0x1.218a32aba5a47p-14, -0x1.1ddc48b37dc7ap-14, -0x1.1a367f5f100a7p-14, -0x1.169844dacd29ep-14, -0x1.130110b2c691p-14, -0x1.0f706372907b1p-14, -0x1.0be5c647f27fap-14, -0x1.0860caa8553d8p-14, -0x1.04e109f8dc638p-14, -0x1.016625392161dp-14, -0x1.fbdf8960f7563p-15, -0x1.f4fb2f3b948b8p-15, -0x1.ee1ea7d360e42p-15, -0x1.e7496bb66a002p-15, -0x1.e07aff9d6ebbap-15, -0x1.d9b2f3de59b3fp-15, -0x1.d2f0e3e331323p-15, -0x1.cc3475a55c68fp-15, -0x1.c57d592d2d16ep-15, -0x1.becb481589863p-15, -0x1.b81e0513a42ddp-15, -0x1.b1755b82a4207p-15, -0x1.aad11ef328ac7p-15, -0x1.a4312abe8cc9bp-15, -0x1.9d95619dd45cep-15, -0x1.96fdad442a71ep-15, -0x1.9069fdfcdc9e6p-15, -0x1.89da4a4cb885ep-15, -0x1.834e8e96b7afp-15, -0x1.7cc6ccc3e6351p-15, -0x1.76430bee67df6p-15, -0x1.6fc3580f90178p-15, -0x1.6947c1b0f0ff5p-15, -0x1.62d05da04e8fcp-15, -0x1.5c5d44a66755cp-15, -0x1.55ee9340759f6p-15, -0x1.4f84695c629c2p-15, -0x1.491eea178bbcap-15, -0x1.42be3b80114f7p-15, -0x1.3c6286589b9e6p-15, -0x1.360bf5de7cf9p-15, -0x1.2fbab7922cb46p-15, -0x1.296efb01fbc8ap-15, -0x1.2328f197019bp-15, -0x1.1ce8ce64213ffp-15, -0x1.16aec5f725c4p-15, -0x1.107b0e2bdbe8p-15, -0x1.0a4dde011f941p-15, -0x1.04276d6fcc719p-15, -0x1.fc0fea87039dep-16, -0x1.efdf5dea619b4p-16, -0x1.e3bda90ebf2e1p-16, -0x1.d7ab40c833585p-16, -0x1.cba89a7900adep-16, -0x1.bfb62bd3d274p-16, -0x1.b3d46aa109bd6p-16, -0x1.a803cc86f451ep-16, -0x1.9c44c6d4e403fp-16, -0x1.9097ce51026cap-16, -0x1.84fd5708d2a46p-16, -0x1.7975d42444decp-16, -0x1.6e01b7bb47bbap-16, -0x1.62a172adc8e52p-16, -0x1.5755747e00f1dp-16, -0x1.4c1e2b2d0639ep-16, -0x1.40fc03198a83cp-16, -0x1.35ef66e0af5b9p-16, -0x1.2af8bf40e41d4p-16, -0x1.201872feb530ep-16, -0x1.154ee6cb80f2ap-16, -0x1.0a9c7d2df90cap-16, -0x1.0001966c662d9p-16, -0x1.eafd20f136be3p-17, -0x1.d6278dbb10d34p-17, -0x1.c183255cb3f39p-17, -0x1.ad1094ee3ae37p-17, -0x1.98d0845da8716p-17, -0x1.84c39655d492p-17, -0x1.70ea682806084p-17, -0x1.5d4591b818e5p-17, -0x1.49d5a56b1e1fcp-17, -0x1.369b30184d5f1p-17, -0x1.2396b8fc439c2p-17, -0x1.10c8c1ae62d1p-17, -0x1.fc638c308ee9ep-18, -0x1.d7a478de6f56ap-18, -0x1.b3552a5eef153p-18, -0x1.8f767632d8db5p-18, -0x1.6c092660f3647p-18, -0x1.490df97706947p-18, -0x1.2685a28e05ebap-18, -0x1.0470c951350f1p-18, -0x1.c5a014104f1e1p-19, -0x1.8347eb46e43eap-19, -0x1.41da2397dfb85p-19, -0x1.0157b1e8e7158p-19, -0x1.8382e9b7281d7p-20, -0x1.063069f3a95c8p-20, -0x1.15729399af441p-21, -0x1.11ec322ad788ep-24, 0x1.9a786c8112b36p-22, 0x1.b8f8d91f9eed5p-21, 0x1.507b76c0a1158p-20, 0x1.c29aa8c4ab9f7p-20, 0x1.196ccd50efed6p-19, 0x1.509c0661ca24dp-19, 0x1.86daf3b380e62p-19, 0x1.bc299d01918bep-19, 0x1.f0881d562c36ep-19, 0x1.11fb515d085c4p-18, 0x1.2b3ab6f14edf1p-18, 0x1.440268ef1b478p-18, 0x1.5c5299df979a9p-18, 0x1.742b8522ab1p-18, 0x1.8b8d6ec323d2bp-18, 0x1.a278a34a53ce9p-18, 0x1.b8ed779332b5ap-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.2983443466724p-1, 0x1.284a071a209dfp-1, 0x1.26f6c001b2c72p-1, 0x1.258a549d1f026p-1, 0x1.2405b26c3571fp-1, 0x1.2269ccf5a47b7p-1, 0x1.20b79c2138b2ap-1, 0x1.1ef01ab4794c5p-1, 0x1.1d1444f1e3bb2p-1, 0x1.1b25175a5c076p-1, 0x1.19238d8fe2688p-1, 0x1.1710a15839f03p-1, 0x1.14ed49bdec186p-1, 0x1.12ba7a4ddd63dp-1, 0x1.1079226f8e66ep-1, 0x1.0e2a2cd610fcp-1, 0x1.0bce7f07bb9a6p-1, 0x1.0966f8fa9fb7p-1, 0x1.06f474c3e0477p-1, 0x1.0477c6580ebbep-1, 0x1.01f1bb5ad2e4cp-1, 0x1.fec635f867a1bp-2, 0x1.f9994bc3f9437p-2, 0x1.f45e2c3793d9dp-2, 0x1.ef163e40e736cp-2, 0x1.e9c2dba73448ap-2, 0x1.e46551247d13ep-2, 0x1.defede8ac9d27p-2, 0x1.d990b6f3b56cap-2, 0x1.d41c00f8a05d4p-2, 0x1.cea1d6f211161p-2, 0x1.c923473cf95d1p-2, 0x1.c3a15484b6719p-2, 0x1.be1cf610bed09p-2, 0x1.b89718151e2cep-2, 0x1.b3109c04e8fa7p-2, 0x1.ad8a58e5f9d4p-2, 0x1.a8051ba559f6fp-2, 0x1.a281a76bcd5e3p-2, 0x1.9d00b5f20a6c6p-2, 0x1.9782f7d43b812p-2, 0x1.920914e474477p-2, 0x1.8c93ac7bd30aep-2, 0x1.872355ca0f31p-2, 0x1.81b8a0234a2d4p-2, 0x1.7c54134bf4c0ap-2, 0x1.76f62fc2b2182p-2, 0x1.719f6f081a70bp-2, 0x1.6c5043e44ebd6p-2, 0x1.67091aaa5b1c2p-2, 0x1.61ca597953df8p-2, 0x1.5c94607b3de21p-2, 0x1.57678a21b5639p-2, 0x1.52442b6065e7fp-2, 0x1.4d2a93e554dbp-2, 0x1.481b0e4f10906p-2, 0x1.4315e060c7943p-2, 0x1.3e1b4b346392ap-2, 0x1.392b8b6aacabp-2, 0x1.3446d9598c0ebp-2, 0x1.2f6d69387bfdfp-2, 0x1.2a9f6b4b3aaf4p-2, 0x1.25dd0c0acdc45p-2, 0x1.2126744ce8c4ep-2, 0x1.1c7bc969cb4b5p-2, 0x1.17dd2d60a4855p-2, 0x1.134abefa8fd2dp-2, 0x1.0ec499ec35121p-2, 0x1.0a4ad6f6268bp-2, 0x1.05dd8c04006f9p-2, 0x1.017ccc4a61b09p-2, 0x1.fa5150c78a61bp-3, 0x1.f1c25cd899dcbp-3, 0x1.e94cd439135d1p-3, 0x1.e0f0c9c697e0ep-3, 0x1.d8ae4bfd0fa0ep-3, 0x1.d0856526b13ep-3, 0x1.c8761b8a57498p-3, 0x1.c08071983cc8ap-3, 0x1.b8a46615297ebp-3, 0x1.b0e1f4442781p-3, 0x1.a939140ecbc0fp-3, 0x1.a1a9ba2c2161ep-3, 0x1.9a33d8464186cp-3, 0x1.92d75d1eaf596p-3, 0x1.8b9434b174c4p-3, 0x1.846a4857179f9p-3, 0x1.7d597ee566736p-3, 0x1.7661bccf3487ep-3, 0x1.6f82e442fd602p-3, 0x1.68bcd54889fefp-3, 0x1.620f6ddd8f2adp-3, 0x1.5b7a8a11580b2p-3, 0x1.54fe041f84282p-3, 0x1.4e99b489d2a4ep-3, 0x1.484d7231189bep-3, 0x1.4219126d4ca06p-3, 0x1.3bfc6924ca948p-3, 0x1.35f748e2bb976p-3, 0x1.300982ecbaae3p-3, 0x1.2a32e757b2a21p-3, 0x1.2473451bfa5aap-3, 0x1.1eca6a28bb23ep-3, 0x1.193823769c7aap-3, 0x1.13bc3d19c4521p-3, 0x1.0e568253284f1p-3, 0x1.0906bda13620bp-3, 0x1.03ccb8cfe3ac8p-3, 0x1.fd507a10276a1p-4, 0x1.f33225bcd0f86p-4, 0x1.e93e04c30c483p-4, 0x1.df73a64f6f39bp-4, 0x1.d5d298b82489ap-4, 0x1.cc5a69961b5a4p-4, 0x1.c30aa5dd2993fp-4, 0x1.b9e2d9f332b37p-4, 0x1.b0e291c65307ap-4, 0x1.a80958e21bad4p-4, 0x1.9f56ba83e8167p-4, 0x1.96ca41ae47a87p-4, 0x1.8e63793b970efp-4, 0x1.8621ebefc04b9p-4, 0x1.7e0524892f958p-4, 0x1.760cadd101f4dp-4, 0x1.6e3812aa75856p-4, 0x1.6686de21a0204p-4, 0x1.5ef89b79750b9p-4, 0x1.578cd6391d8e7p-4, 0x1.50431a38abfa2p-4, 0x1.491af3ad3031fp-4, 0x1.4213ef342fa0ep-4, 0x1.3b2d99de8b2b7p-4, 0x1.3467813ad42cp-4, 0x1.2dc1335f19451p-4, 0x1.273a3ef22d535p-4, 0x1.20d2333470968p-4, 0x1.1a88a0081d4d8p-4, 0x1.145d15f920095p-4, 0x1.0e4f26447e004p-4, 0x1.085e62df4df59p-4, 0x1.028a5e7d4a095p-4, 0x1.f9a5592df64b6p-5, 0x1.ee6dc2df0a7f6p-5, 0x1.e36d24342dc39p-5, 0x1.d8a2a8fdfdfcbp-5, 0x1.ce0d7ec0dbed4p-5, 0x1.c3acd4bdcb6a9p-5, 0x1.b97fdbfab1b87p-5, 0x1.af85c74a02956p-5, 0x1.a5bdcb51d9da5p-5, 0x1.9c271e928ad48p-5, 0x1.92c0f96cac621p-5, 0x1.898a9626a4a27p-5, 0x1.808330f1b9dcp-5, 0x1.77aa07eeb2702p-5, 0x1.6efe5b31fef15p-5, 0x1.667f6cc77f3ecp-5, 0x1.5e2c80b5dc4fcp-5, 0x1.5604dd0180e3ap-5, 0x1.4e07c9af36b63p-5, 0x1.463490c6650fcp-5, 0x1.3e8a7e52fb3d3p-5, 0x1.3708e0670a1bep-5, 0x1.2faf071c09e86p-5, 0x1.287c4493d9aeap-5, 0x1.216fecf971525p-5, 0x1.1a89568151ccp-5, 0x1.13c7d969b06ffp-5, 0x1.0d2acffa64481p-5, 0x1.06b1968497444p-5, 0x1.005b8b623a314p-5, 0x1.f4501dea871ebp-6, 0x1.e82d074d74ac9p-6, 0x1.dc4c9bcb13ab6p-6, 0x1.d0ada84a52813p-6, 0x1.c54efdb825567p-6, 0x1.ba2f71041b667p-6, 0x1.af4ddb1c9fdf8p-6, 0x1.a4a918eaeb3e3p-6, 0x1.9a400b4ea7413p-6, 0x1.901197194629p-6, 0x1.861ca509193adp-6, 0x1.7c6021c41e142p-6, 0x1.72dafdd290e27p-6, 0x1.698c2d9942168p-6, 0x1.6072a953ac0e8p-6, 0x1.578d6d0ddb02ap-6, 0x1.4edb789e186dcp-6, 0x1.465bcf9e6c3d1p-6, 0x1.3e0d7965e5b44p-6, 0x1.35ef8101c28bp-6, 0x1.2e00f52e61f79p-6, 0x1.2640e850175abp-6, 0x1.1eae706bd1ff4p-6, 0x1.1748a71fa3c67p-6, 0x1.100ea99b24a51p-6, 0x1.08ff9897b9473p-6, 0x1.021a9850b8a0ap-6, 0x1.f6bda0f6f050ap-7, 0x1.e996d87e77dc4p-7, 0x1.dcbf345a23288p-7, 0x1.d035186f26b72p-7, 0x1.c3f6ef55251e5p-7, 0x1.b8032a456a8a4p-7, 0x1.ac584109f9cd6p-7, 0x1.a0f4b1ec82ecp-7, 0x1.95d701a52f6f4p-7, 0x1.8afdbb495c6c1p-7, 0x1.8067703a3e062p-7, 0x1.7612b8136563fp-7, 0x1.6bfe30993e324p-7, 0x1.62287da76d301p-7, 0x1.5890491f32f3fp-7, 0x1.4f3442d5afbb8p-7, 0x1.461320822f87ap-7, 0x1.3d2b9dac61892p-7, 0x1.347c7b9a90416p-7, 0x1.2c04813fd68a6p-7, 0x1.23c27b2a51f1fp-7, 0x1.1bb53b715659ap-7, 0x1.13db99a3a467p-7, 0x1.0c3472b5a4989p-7, 0x1.04bea8efa7487p-7, 0x1.faf247b85cc87p-8, 0x1.ecc5a06c7e56p-8, 0x1.def53faf7f7b5p-8, 0x1.d17f134fc1db2p-8, 0x1.c46113132c848p-8, 0x1.b79940943b85p-8, 0x1.ab25a71f2fd8bp-8, 0x1.9f045b8f65a2dp-8, 0x1.93337c2ccf8d8p-8, 0x1.87b130899caa4p-8, 0x1.7c7ba9600963bp-8, 0x1.719120705f703p-8, 0x1.66efd85f259efp-8, 0x1.5c961c93809e9p-8, 0x1.52824115ca5f7p-8, 0x1.48b2a26e5f387p-8, 0x1.3f25a584a086fp-8, 0x1.35d9b77e35838p-8, 0x1.2ccd4d9e84aa4p-8, 0x1.23fee5266b0f8p-8, 0x1.1b6d033432c1fp-8, 0x1.131634a3c9a16p-8, 0x1.0af90def38631p-8, 0x1.03142b0f5f1bep-8, 0x1.f6cc5eb9e6c0ap-9, 0x1.e7db8ae38a152p-9, 0x1.d9533e14910e5p-9, 0x1.cb30e9ced6e0ep-9, 0x1.bd720d615a90bp-9, 0x1.b01435ad0aa37p-9, 0x1.a314fcea21812p-9, 0x1.96720a6e1af3ap-9, 0x1.8a2912723c94cp-9, 0x1.7e37d5dabcfc3p-9, 0x1.729c21fe825d1p-9, 0x1.6753d06f7ad26p-9, 0x1.5c5cc6c395acep-9, 0x1.51b4f65e542fap-9, 0x1.475a5c3b00eeap-9, 0x1.3d4b00b77cec4p-9, 0x1.3384f75fb238ap-9, 0x1.2a065eb9a6717p-9, 0x1.20cd60122b721p-9, 0x1.17d82f4a31956p-9, 0x1.0f250aa4bf78bp-9, 0x1.06b23a95836e7p-9, 0x1.fcfc23201ba73p-10, 0x1.ed0dd7af532a4p-10, 0x1.dd965e9fadadcp-10, 0x1.ce92969ace56ap-10, 0x1.bfff70d077d94p-10, 0x1.b1d9f09b46ac9p-10, 0x1.a41f2b26b2dfbp-10, 0x1.96cc47164f716p-10, 0x1.89de7c2e49683p-10, 0x1.7d5312fd258c5p-10, 0x1.71276486bcc22p-10, 0x1.6558d9f074c62p-10, 0x1.59e4ec2eb6691p-10, 0x1.4ec923b393cb1p-10, 0x1.4403181eb639p-10, 0x1.39906fee7307p-10, 0x1.2f6ee032214bfp-10, 0x1.259c2c3d9699dp-10, 0x1.1c16255de3772p-10, 0x1.12daaa8f2dd31p-10, 0x1.09e7a833c7da7p-10, 0x1.013b17cc665a3p-10, 0x1.f1a5ff630aa7ap-11, 0x1.e15ae59be058cp-11, 0x1.d19120b4defddp-11, 0x1.c24507352d6c3p-11, 0x1.b373073563c19p-11, 0x1.a517a5dd9d61ep-11, 0x1.972f7ee5c0d47p-11, 0x1.89b74417f3d46p-11, 0x1.7cabbcd53b57ep-11, 0x1.7009c59c3c149p-11, 0x1.63ce4f921bb94p-11, 0x1.57f6600d78823p-11, 0x1.4c7f102376405p-11, 0x1.41658c36d6b2bp-11, 0x1.36a713891a437p-11, 0x1.2c40f7cda267bp-11, 0x1.22309cbecfc75p-11, 0x1.187377b516febp-11, 0x1.0f070f40048c3p-11, 0x1.05e8fac12af55p-11, 0x1.fa2dc411ee9e3p-12, 0x1.e91cf9eabf8f7p-12, 0x1.d89b2624ddc98p-12, 0x1.c8a3f67939a66p-12, 0x1.b9333689f0b96p-12, 0x1.aa44cf2e26b29p-12, 0x1.9bd4c5c15e796p-12, 0x1.8ddf3b764bd7p-12, 0x1.80606cad06445p-12, 0x1.7354b04c9a9c5p-12, 0x1.66b8771fed486p-12, 0x1.5a884b35dcb1p-12, 0x1.4ec0cf449e8a6p-12, 0x1.435ebe1043461p-12, 0x1.385ee9d45ec34p-12, 0x1.2dbe3bb0c112bp-12, 0x1.2379b319347e7p-12, 0x1.198e65483db0ap-12, 0x1.0ff97cb4c5314p-12, 0x1.06b8388aa789cp-12, 0x1.fb8fd84c3fc7bp-13, 0x1.ea4bfd23f728dp-13, 0x1.d99fd41125071p-13, 0x1.c98676eee5c52p-13, 0x1.b9fb240b73c2bp-13, 0x1.aaf93d3a150bep-13, 0x1.9c7c46ea2de3fp-13, 0x1.8e7fe743700dep-13, 0x1.80ffe546f7fe5p-13, 0x1.73f827f55d5d7p-13, 0x1.6764b57989cf7p-13, 0x1.5b41b25856048p-13, 0x1.4f8b60a4c005ap-13, 0x1.443e1f38c0278p-13, 0x1.395668f28dcbap-13, 0x1.2ed0d3f656a42p-13, 0x1.24aa10f440d88p-13, 0x1.1adeea72b1bcfp-13, 0x1.116c441cbe173p-13, 0x1.084f1a14b1ecbp-13, 0x1.ff09009539dfdp-14, 0x1.ee1343ad9dabcp-14, 0x1.ddb780b064ec2p-14, 0x1.cdf066ace9961p-14, 0x1.beb8cf4fc29d6p-14, 0x1.b00bbdb5cff9ep-14, 0x1.a1e45d46708a3p-14, 0x1.943e0094b0d4cp-14, 0x1.8714204767d6ep-14, 0x1.7a625a080c62fp-14, 0x1.6e246f7828065p-14, 0x1.6256452d43fb9p-14, 0x1.56f3e1b33044ep-14, 0x1.4bf96c94822b9p-14, 0x1.41632d692c69dp-14, 0x1.372d8aeb0c9ccp-14, 0x1.2d550a1054f3p-14, 0x1.23d64d2bac443p-14, 0x1.1aae1311eb59p-14, 0x1.11d9364557243p-14, 0x1.0954ac263a341p-14, 0x1.011d8428c05afp-14, 0x1.f261ce1ff3136p-15, 0x1.e3182c5bc9bf7p-15, 0x1.d458d550d5147p-15, 0x1.c61ea98651694p-15, 0x1.b864b65bee84p-15, 0x1.ab2634b01456bp-15, 0x1.9e5e878f2d8acp-15, 0x1.92093aebc6226p-15, 0x1.8622025f4e454p-15, 0x1.7aa4b7f34a181p-15, 0x1.6f8d5af2c645ap-15, 0x1.64d80ec3da18fp-15, 0x1.5a8119c90dba2p-15, 0x1.5084e44a73316p-15, 0x1.46dff766491e2p-15, 0x1.3d8efc08f3f86p-15, 0x1.348eb9ec2dcc7p-15, 0x1.2bdc169d3326bp-15, 0x1.23741489d172ap-15, 0x1.1b53d214245b1p-15, 0x1.137888acdd112p-15, 0x1.0bdf8bf3ed47ap-15, 0x1.048648df6c18bp-15, 0x1.fad489d125365p-16, 0x1.ed123a7d4a8f9p-16, 0x1.dfc10bff5ab83p-16, 0x1.d2dc92edad438p-16, 0x1.c6608ec0a8201p-16, 0x1.ba48e86548bbap-16, 0x1.ae91b0da34d3dp-16, 0x1.a3371fd70520dp-16, 0x1.9835927d90edfp-16, 0x1.8d898a14f400dp-16, 0x1.832faace1d186p-16, 0x1.7924ba9197e91p-16, 0x1.6f659fd6624ecp-16, 0x1.65ef608192565p-16, 0x1.5cbf20ce89646p-16, 0x1.53d2223f8c1cap-16, 0x1.4b25c2967926cp-16, 0x1.42b77ad575044p-16, 0x1.3a84de474cffap-16, 0x1.328b998f68daep-16, 0x1.2ac971c109aa3p-16, 0x1.233c437db626fp-16, 0x1.1be2021a9963fp-16, 0x1.14b8b6cca39c8p-16, 0x1.0dbe7fdb46ec8p-16, 0x1.06f18fd9a063cp-16, 0x1.00502ce5dde49p-16, 0x1.f3b15fdd6b257p-17, 0x1.e71307fd9e3aap-17, 0x1.dac24b1bcecfdp-17, 0x1.cebc43af209ebp-17, 0x1.c2fe2c6ec6eefp-17, 0x1.b7855f14fe1e7p-17, 0x1.ac4f532c555a5p-17, 0x1.a1599ce6f7d3cp-17, 0x1.96a1ebffba5b8p-17, 0x1.8c260aa496eafp-17, 0x1.81e3dc6a63aa7p-17, 0x1.77d95d4976318p-17, 0x1.6e04a0a2f95b4p-17, 0x1.6463d04eaf11ap-17, 0x1.5af52bb0ed0f4p-17, 0x1.51b706d88dfa5p-17, 0x1.48a7c9a49998bp-17, 0x1.3fc5eef174fd6p-17, 0x1.371003cd5f736p-17, 0x1.2e84a6b40033p-17, 0x1.262286d0d4e3dp-17, 0x1.1de863484c077p-17, 0x1.15d50a875891fp-17, 0x1.0de759994d68p-17, 0x1.061e3b83cf2d1p-17, 0x1.fcf15151632ccp-18, 0x1.edeb4c5b1b584p-18, 0x1.df288ad1d05f1p-18, 0x1.d0a746a97660ap-18, 0x1.c265d00c71771p-18, 0x1.b4628c553d27bp-18, 0x1.a69bf511e0df8p-18, 0x1.99109710ea934p-18, 0x1.8bbf11779c818p-18, 0x1.7ea614e10a0fap-18, 0x1.71c46285d63a5p-18, 0x1.6518cb6c52bebp-18, 0x1.58a22fa0b8816p-18, 0x1.4c5f7d753731bp-18, 0x1.404fb0c99cc0cp-18, 0x1.3471d25a54f85p-18, 0x1.28c4f71683ce6p-18, 0x1.1d483f7d00845p-18, 0x1.11fad6fff6337p-18, 0x1.06dbf36ef0b3fp-18, 0x1.f7d5a8ce46479p-19, 0x1.e24d85935baa9p-19, 0x1.cd1e206f6797ap-19, 0x1.b8462d2817381p-19, 0x1.a3c46f14ba8eap-19, 0x1.8f97b836ee591p-19, 0x1.7bbee85d6eef6p-19, 0x1.6838ec50a0426p-19, 0x1.5504bd0889421p-19, 0x1.42215eebe2fa8p-19, 0x1.2f8de117eab38p-19, 0x1.1d495cb0ac21p-19, 0x1.0b52f43973855p-19, 0x1.f353a5ea3193ap-20, 0x1.d09a589bc4d69p-20, 0x1.ae7876896bb99p-20, 0x1.8cec83ce9cf1fp-20, 0x1.6bf5119a7e1cfp-20, 0x1.4b90bd36e754fp-20, 0x1.2bbe2f1c0790fp-20, 0x1.0c7c1a100bdbcp-20, 0x1.db9274a4f0abp-21, 0x1.9f48a9a54f746p-21, 0x1.64186ce21ab3bp-21, 0x1.29ff66959c587p-21, 0x1.e1f6983d22a63p-22, 0x1.7213bd7c99a29p-22, 0x1.0451d4d25c0c6p-22, 0x1.315912a2b9a68p-23, 0x1.78fcb8e4fdeedp-25, -0x1.c2c9b494647d4p-25, -0x1.3b840e8e84febp-23, -0x1.011ef70dfb1adp-22, -0x1.62741814fed99p-22, -0x1.c1c574318679bp-22, -0x1.0f8b87255e673p-21, -0x1.3d3671d5d9aebp-21, -0x1.69e5769eba678p-21, -0x1.959a905517587p-21, -0x1.c057b8b542ed9p-21, -0x1.ea1ee8df04b6bp-21, -0x1.09790ce3edf92p-20, -0x1.1d69a251e0b69p-20, -0x1.30e231a26eee4p-20, -0x1.43e3b83946bb3p-20, -0x1.566f341c222e4p-20, -0x1.6885a41645f0cp-20, -0x1.7a2807d845fa1p-20, -0x1.8b5760144cc0fp-20, -0x1.9c14ae96f50e2p-20, -0x1.ac60f65d05fbbp-20, -0x1.bc3d3ba6180d9p-20, -0x1.cbaa84046d2bep-20, -0x1.daa9d66a082dep-20, -0x1.e93c3b333589p-20, -0x1.f762bc2eaea4ep-20, -0x1.028f3251b805ap-19, -0x1.093820aa33185p-19, -0x1.0facb0410c047p-19, -0x1.15ed68f533cf2p-19, -0x1.1bfad3634633ep-19, -0x1.21d578e3ad7cbp-19, -0x1.277de387fee53p-19, -0x1.2cf49e179b10ep-19, -0x1.323a340ba224ep-19, -0x1.374f318a3f8dcp-19, -0x1.3c3423616481p-19, -0x1.40e99700f260fp-19, -0x1.45701a7466e1ep-19, -0x1.49c83c5c0d661p-19, -0x1.4df28be5c802cp-19, -0x1.51ef98c56e739p-19, -0x1.55bff32cd8e44p-19, -0x1.59642bc393aebp-19, -0x1.5cdcd39e47949p-19, -0x1.602a7c35e572p-19, -0x1.634db75e9286ep-19, -0x1.6647173e5fb7ap-19, -0x1.69172e43d74c1p-19, -0x1.6bbe8f1c61c17p-19, -0x1.6e3dccaa892c5p-19, -0x1.709579fc258bep-19, -0x1.72c62a406c4acp-19, -0x1.74d070bdf967ep-19, -0x1.76b4e0c8c3df6p-19, -0x1.78740db813cddp-19, -0x1.7a0e8adc6f5a7p-19, -0x1.7b84eb758f1f6p-19, -0x1.7cd7c2a8569bep-19, -0x1.7e07a374d705ap-19, -0x1.7f1520ac5da2ap-19, -0x1.8000cce795286p-19, -0x1.80cb3a7cbb485p-19, -0x1.8174fb75eafcfp-19, -0x1.81fea18780c7fp-19, -0x1.8268be069c56p-19, -0x1.82b3e1dfbf89dp-19, -0x1.82e09d8d8e61cp-19, -0x1.82ef810fb32fbp-19, -0x1.82e11be1e1f12p-19, -0x1.82b5fcf30c13ap-19, -0x1.826eb29cb1ap-19, -0x1.820bca9a61aap-19, -0x1.818dd20167b6fp-19, -0x1.80f555389f304p-19, -0x1.8042dff077d63p-19, -0x1.7f76fd1b2a0a2p-19, -0x1.7e9236e516e9ep-19, -0x1.7d9516ad59697p-19, -0x1.7c8024fe8a288p-19, -0x1.7b53e987b31f5p-19, -0x1.7a10eb1573b91p-19, -0x1.78b7af8b5a898p-19, -0x1.7748bbdd7096bp-19, -0x1.75c49409f3e78p-19, -0x1.742bbb134cdeap-19, -0x1.727eb2fa2ed1bp-19, -0x1.70bdfcb7f2d99p-19, -0x1.6eea18391f98fp-19, -0x1.6d0384582aa8ep-19, -0x1.6b0abed86949ep-19, -0x1.69004461358aap-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.cd817b160f097p-6, 0x1.9a81ea12edd57p-6, 0x1.5468f4c8d8b2dp-6, 0x1.f86a9d5236a8dp-7, 0x1.264d63a7229c1p-7, 0x1.aaedd91e6faa9p-10, -0x1.ae70a79f925e9p-8, -0x1.fc18e0532dec5p-7, -0x1.9ae6e91431c36p-6, -0x1.20366724358eap-5, -0x1.7671c71b7d852p-5, -0x1.cf4db0a69d626p-5, -0x1.14fd27aaeca66p-4, -0x1.42d8fb349e5c4p-4, -0x1.70dd5b0f3816fp-4, -0x1.9eb3be963fabdp-4, -0x1.cc0c6ab735527p-4, -0x1.f89ea517f3071p-4, -0x1.1214616fd4df1p-3, -0x1.27380cb9891a2p-3, -0x1.3ba06b71b2807p-3, -0x1.4f36e39b102cdp-3, -0x1.61e8058797e2cp-3, -0x1.73a361d71a7a3p-3, -0x1.845b5bce778b7p-3, -0x1.9404f9721af24p-3, -0x1.a297b2900d9cap-3, -0x1.b00d3fadb9028p-3, -0x1.bc61699bd9cc5p-3, -0x1.c791da480b66fp-3, -0x1.d19def3e4cf36p-3, -0x1.da868e2d9022p-3, -0x1.e24dfba857f63p-3, -0x1.e8f7b445049afp-3, -0x1.ee884830166f9p-3, -0x1.f3053934f5c97p-3, -0x1.f674db370e5bcp-3, -0x1.f8de370cf0751p-3, -0x1.fa48efa91d44dp-3, -0x1.fabd2977e508bp-3, -0x1.fa4373d6df897p-3, -0x1.f8e4b488d68a3p-3, -0x1.f6aa1508232c4p-3, -0x1.f39cf1995fa01p-3, -0x1.efc6ca00ac9a1p-3, -0x1.eb3133bc95323p-3, -0x1.e5e5cdaa905d7p-3, -0x1.dfee34fa70f59p-3, -0x1.d953fb574ae2bp-3, -0x1.d2209e2dc80d6p-3, -0x1.ca5d7ef947986p-3, -0x1.c213dc827aae8p-3, -0x1.b94cccfba0fecp-3, -0x1.b01138e7bbbe4p-3, -0x1.a669d6bb60accp-3, -0x1.9c5f2726ffe9dp-3, -0x1.91f971fb87feap-3, -0x1.8740c39b75c75p-3, -0x1.7c3ceaeb445bbp-3, -0x1.70f577b5310d6p-3, -0x1.6571b9752eea3p-3, -0x1.59b8be829de65p-3, -0x1.4dd1538e43ce8p-3, -0x1.41c2036ba0d11p-3, -0x1.3591171d70641p-3, -0x1.2944961de54c3p-3, -0x1.1ce246db912b1p-3, -0x1.106faf64b40fp-3, -0x1.03f2163b13007p-3, -0x1.eedd0695f7ff8p-4, -0x1.d5d3820122431p-4, -0x1.bcd0baede63f7p-4, -0x1.a3dd577a6cccfp-4, -0x1.8b018a5ae2698p-4, -0x1.724515a54b0afp-4, -0x1.59af4db4de62dp-4, -0x1.41471c1fb2dep-4, -0x1.291302b9d21c2p-4, -0x1.11191ea17156ap-4, -0x1.f2be56a0ee62fp-5, -0x1.c3d50b5fe5c21p-5, -0x1.95805e55097c2p-5, -0x1.67c9a1764169bp-5, -0x1.3ab97bebc22fp-5, -0x1.0e57f011eaa72p-5, -0x1.c558c2cfe813p-6, -0x1.6f7b34d12a27ap-6, -0x1.1b23a49455bbcp-6, -0x1.90baca9189ee3p-7, -0x1.dccae7cdc5ac2p-8, -0x1.3d6702378725ap-9, 0x1.315f260d21331p-9, 0x1.c9410a1a10d52p-8, 0x1.7973994dc77f7p-7, 0x1.0562f32544c3bp-6, 0x1.4c46f8ccdb51ap-6, 0x1.9161e9d824dcbp-6, 0x1.d4b092d89b6e6p-6, 0x1.0b183bef96c7fp-5, 0x1.2aefe5f27ef6dp-5, 0x1.49deb439e1f86p-5, 0x1.67e462c67e81p-5, 0x1.8500f8e78c9fdp-5, 0x1.a134c56bd0b2ep-5, 0x1.bc805af0a86b2p-5, 0x1.d6e48c4e895dp-5, 0x1.f062692260277p-5, 0x1.047d9d399e08bp-4, 0x1.10583fb9db40fp-4, 0x1.1bc1f52f3e48dp-4, 0x1.26bbaeb6b2f08p-4, 0x1.314673f541c28p-4, 0x1.3b6361ad491abp-4, 0x1.4513a8601d744p-4, 0x1.4e588afbc8cdap-4, 0x1.57335d94a23c8p-4, 0x1.5fa5842a7483fp-4, 0x1.67b07178f0777p-4, 0x1.6f55a5d327448p-4, 0x1.7696ae09c6ca3p-4, 0x1.7d75225bd95eap-4, 0x1.83f2a571c763ep-4, 0x1.8a10e36259c1ap-4, 0x1.8fd190c18363p-4, 0x1.953669b8af0c4p-4, 0x1.9a4131285c0c7p-4, 0x1.9ef3afd2c5303p-4, 0x1.a34fb38f6d5d2p-4, 0x1.a7570e873688dp-4, 0x1.ab0b9678f00b5p-4, 0x1.ae6f240607548p-4, 0x1.b183920742eadp-4, 0x1.b44abce9317f4p-4, 0x1.b6c6821030f19p-4, 0x1.b8f8bf43cfb12p-4, 0x1.bae352215abe1p-4, 0x1.bc88179561c05p-4, 0x1.bde8eb5bfaad4p-4, 0x1.bf07a787aa965p-4, 0x1.bfe6240e9bac6p-4, 0x1.c086365e23fbcp-4, 0x1.c0e9b0f43c1f1p-4, 0x1.c11262fedeep-4, 0x1.c1021801061fcp-4, 0x1.c0ba977d38b77p-4, 0x1.c03da4a554de8p-4, 0x1.bf8cfe0f8e4bcp-4, 0x1.beaa5d706b4ap-4, 0x1.bd97775986b2ap-4, 0x1.bc55fafd08bb2p-4, 0x1.bae791f58e749p-4, 0x1.b94de0127731ap-4, 0x1.b78a832856bbdp-4, 0x1.b59f12e578fd4p-4, 0x1.b38d20aa3d12ap-4, 0x1.b156376534693p-4, 0x1.aefbdb72dd74dp-4, 0x1.ac7f8a80c535bp-4, 0x1.a9e2bb7406c25p-4, 0x1.a726de52eec88p-4, 0x1.a44d5c31b4f16p-4, 0x1.a15797221662bp-4, 0x1.9e46ea25c1877p-4, 0x1.9b1ca9236c6c6p-4, 0x1.97da20de719f7p-4, 0x1.948096f0e039p-4, 0x1.911149c7dd1ap-4, 0x1.8d8d70a2347a6p-4, 0x1.89f63b9105c89p-4, 0x1.864cd37a6ae61p-4, 0x1.82925a1e04c1ap-4, 0x1.7ec7ea1b4d4b1p-4, 0x1.7aee96f99c487p-4, 0x1.77076d31c2053p-4, 0x1.7313723924275p-4, 0x1.6f13a48e4354fp-4, 0x1.6b08fbc693db1p-4, 0x1.66f4689d9653fp-4, 0x1.62d6d5051942dp-4, 0x1.5eb1243690a44p-4, 0x1.5a8432c570fadp-4, 0x1.5650d6b279421p-4, 0x1.5217df7fdd5c3p-4, 0x1.4dda16463bdcep-4, 0x1.49983dca5178fp-4, 0x1.4553129358564p-4, 0x1.410b4b0206914p-4, 0x1.3cc1976819253p-4, 0x1.3876a2206102cp-4, 0x1.342b0fa74307bp-4, 0x1.2fdf7eb39da4ap-4, 0x1.2b94885008961p-4, 0x1.274abff462e58p-4, 0x1.2302b39fa22fcp-4, 0x1.1ebcebf1db448p-4, 0x1.1a79ec4677a2p-4, 0x1.163a32ce8dc67p-4, 0x1.11fe38ab554c2p-4, 0x1.0dc67208abbd2p-4, 0x1.09934e37a204ap-4, 0x1.056537c90bfdap-4, 0x1.013c94a808706p-4, 0x1.fa338c68f8714p-5, 0x1.f1fa52baf1ad4p-5, 0x1.e9ce2d770f768p-5, 0x1.e1afc555ab1ffp-5, 0x1.d99fbaca6d95p-5, 0x1.d19ea638008bbp-5, 0x1.c9ad1823605c9p-5, 0x1.c1cb9966bfba9p-5, 0x1.b9faab63fda3fp-5, 0x1.b23ac8369a8d9p-5, 0x1.aa8c62e52e2f4p-5, 0x1.a2efe79253bebp-5, 0x1.9b65bbad04da3p-5, 0x1.93ee3e205e372p-5, 0x1.8c89c782cc50bp-5, 0x1.8538aa44936d7p-5, 0x1.7dfb32ddb733cp-5, 0x1.76d1a7fb35d76p-5, 0x1.6fbc4aab9b71fp-5, 0x1.68bb568ae0dd5p-5, 0x1.61cf01ed9c099p-5, 0x1.5af77e0b7a126p-5, 0x1.5434f72902044p-5, 0x1.4d8794c09e361p-5, 0x1.46ef79aaee533p-5, 0x1.406cc44658962p-5, 0x1.39ff8e9de467cp-5, 0x1.33a7ee8f51043p-5, 0x1.2d65f5f07584ep-5, 0x1.2739b2b3dbe2p-5, 0x1.21232f0ca44a1p-5, 0x1.1b227191a5343p-5, 0x1.15377d5fd205dp-5, 0x1.0f62523be2abap-5, 0x1.09a2ecb341128p-5, 0x1.03f9463c38a14p-5, 0x1.fccaaaaade2ebp-6, 0x1.f1ce1b49452e2p-6, 0x1.e6fcc0295f589p-6, 0x1.dc5675e5c710cp-6, 0x1.d1db14173215dp-6, 0x1.c78a6d8c42976p-6, 0x1.bd64507ffd5ep-6, 0x1.b36886cedd4bcp-6, 0x1.a996d62a8e0d7p-6, 0x1.9fef004c52eb1p-6, 0x1.9670c32616e58p-6, 0x1.8d1bd9123a8b1p-6, 0x1.83eff9020b18bp-6, 0x1.7aecd6ab012cap-6, 0x1.721222b2ba5d7p-6, 0x1.695f8ad9bbca3p-6, 0x1.60d4ba24f9696p-6, 0x1.5871590636805p-6, 0x1.50350d832e5e2p-6, 0x1.481f7b5ba2e93p-6, 0x1.4030442e3c96ep-6, 0x1.3867079c5b778p-6, 0x1.30c3636cc4ef1p-6, 0x1.2944f3ad46badp-6, 0x1.21eb52d34a57fp-6, 0x1.1ab619db6088p-6, 0x1.13a4e067c92bdp-6, 0x1.0cb73cddff336p-6, 0x1.05ecc4834abe9p-6, 0x1.fe8a1730bf875p-7, 0x1.f17f4ae81c52cp-7, 0x1.e4b8493a14bafp-7, 0x1.d83435c59cdp-7, 0x1.cbf232eb3941dp-7, 0x1.bff161fb54bb4p-7, 0x1.b430e362e25c1p-7, 0x1.a8afd6d6653fp-7, 0x1.9d6d5b7b5a3aep-7, 0x1.9268901018fbbp-7, 0x1.87a093122ddb5p-7, 0x1.7d1482e334ec4p-7, 0x1.72c37dec45b0fp-7, 0x1.68aca2bff7f19p-7, 0x1.5ecf103b03194p-7, 0x1.5529e5a388fcbp-7, 0x1.4bbc42c70edcap-7, 0x1.428548173561ep-7, 0x1.398416c52c576p-7, 0x1.30b7d0dbf642p-7, 0x1.281f99597b22p-7, 0x1.1fba944678288p-7, 0x1.1787e6cd5052fp-7, 0x1.0f86b74fc9bdbp-7, 0x1.07b62d7bbaa2fp-7, 0x1.0015725eb268ep-7, 0x1.f14760f144854p-8, 0x1.e2c0279b1deeep-8, 0x1.d49393eca4909p-8, 0x1.c6c00460e402ep-8, 0x1.b943dada2cdd1p-8, 0x1.ac1d7cbe45291p-8, 0x1.9f4b5310f25a2p-8, 0x1.92cbca8ce3cdap-8, 0x1.869d53bb0d0a8p-8, 0x1.7abe63087b91p-8, 0x1.6f2d70dab64dcp-8, 0x1.63e8f9a2ac999p-8, 0x1.58ef7dee4a2a3p-8, 0x1.4e3f8278b0cc3p-8, 0x1.43d790392c726p-8, 0x1.39b63470e4b2fp-8, 0x1.2fda00b75d265p-8, 0x1.26418b05c8506p-8, 0x1.1ceb6dc13ecf8p-8, 0x1.13d647c3dd121p-8, 0x1.0b00bc64d82dep-8, 0x1.0269737f8e122p-8, 0x1.f41e32f3393c7p-9, 0x1.e3e0be901650dp-9, 0x1.d417f4e711f81p-9, 0x1.c4c14a379ee54p-9, 0x1.b5da3bf45a92dp-9, 0x1.a76050c688f8ap-9, 0x1.995118900120ep-9, 0x1.8baa2c6b9fffbp-9, 0x1.7e692eac4c3f8p-9, 0x1.718bcada9be5ap-9, 0x1.650fb5b12b92fp-9, 0x1.58f2ad17b0612p-9, 0x1.4d32781cd662p-9, 0x1.41cce6eefaf25p-9, 0x1.36bfd2d3c8825p-9, 0x1.2c091e1ec6675p-9, 0x1.21a6b426e888ep-9, 0x1.1796893b287b9p-9, 0x1.0dd69a96322b7p-9, 0x1.0464ee513859fp-9, 0x1.f67f26abd9feap-10, 0x1.e4c9429f70078p-10, 0x1.d3a471385422p-10, 0x1.c30d047578be3p-10, 0x1.b2ff5f77ce1cdp-10, 0x1.a377f65f21bf3p-10, 0x1.94734e25d91b9p-10, 0x1.85edfc7b8314p-10, 0x1.77e4a79e5fb7cp-10, 0x1.6a540633eaafep-10, 0x1.5d38df20739bp-10, 0x1.5090095de07d1p-10, 0x1.44566bd19802ep-10, 0x1.3888fd21b4401p-10, 0x1.2d24c3897de75p-10, 0x1.2226d4ad47a27p-10, 0x1.178c556daaa96p-10, 0x1.0d5279ba47803p-10, 0x1.03768463f623fp-10, 0x1.f3eb8ddd2c5c3p-11, 0x1.e19b42c4db2d3p-11, 0x1.cff7043a6235bp-11, 0x1.bef9cb457594cp-11, 0x1.ae9eacdaf670fp-11, 0x1.9ee0d97d5dc9cp-11, 0x1.8fbb9cdcc2672p-11, 0x1.812a5d768c256p-11, 0x1.73289c34e91a8p-11, 0x1.65b1f40e1217cp-11, 0x1.58c219a372592p-11, 0x1.4c54dae0befdcp-11, 0x1.40661e9b11e14p-11, 0x1.34f1e43011f79p-11, 0x1.29f443253a0fcp-11, 0x1.1f696ac74bf1fp-11, 0x1.154da1c9f8a2cp-11, 0x1.0b9d45e7d161ep-11, 0x1.0254cb8284c52p-11, 0x1.f2e17a86f45acp-12, 0x1.e1db7779a76p-12, 0x1.d190fa15bfd64p-12, 0x1.c1fb98ec0d248p-12, 0x1.b315142a75072p-12, 0x1.a4d754e1efd97p-12, 0x1.973c6c4db05d2p-12, 0x1.8a3e931b87a84p-12, 0x1.7dd828b593a44p-12, 0x1.7203b28d46f96p-12, 0x1.66bbdb67d8d11p-12, 0x1.5bfb72ac273dbp-12, 0x1.51bd6bb21c7dfp-12, 0x1.47fcdd139e512p-12, 0x1.3eb4ffff14dfp-12, 0x1.35e12f8b94017p-12, 0x1.2d7ce80eadb2ap-12, 0x1.2583c673f9c73p-12, 0x1.1df1879657035p-12, 0x1.16c2079af3f33p-12, 0x1.0ff1414e1f86fp-12, 0x1.097b4d81ed281p-12, 0x1.035c626eae156p-12, 0x1.fb21a62a968ecp-13, 0x1.f02a1d4701884p-13, 0x1.e5cb3fb3f85f3p-13, 0x1.dbfe58e8d8363p-13, 0x1.d2bce926f38c5p-13, 0x1.ca00a4516ca41p-13, 0x1.c1c370c8fb52p-13, 0x1.b9ff664b9e31dp-13, 0x1.b2aeccd83adccp-13, 0x1.abcc1b96400bcp-13, 0x1.a551f7c1306c5p-13, 0x1.9f3b339833e27p-13, 0x1.9982cd5199985p-13, 0x1.9423ee12607bp-13, 0x1.8f19e8e9b5ec7p-13, 0x1.8a6039d069c59p-13, 0x1.85f284ac67dd9p-13, 0x1.81cc9458242d4p-13, 0x1.7dea59adf5f33p-13, 0x1.7a47ea9772101p-13, 0x1.76e18120ab621p-13, 0x1.73b37a8f64d5bp-13, 0x1.70ba567e24f48p-13, 0x1.6df2b5fb305a5p-13, 0x1.6b595aab65a8ep-13, 0x1.68eb25f0e7289p-13, 0x1.66a51815a1679p-13, 0x1.64844f799a1e8p-13, 0x1.628607c503c0fp-13, 0x1.60a7991e121fcp-13, 0x1.5ee6776289ce5p-13, 0x1.5d403164f760fp-13, 0x1.5bb2702d9c07bp-13, 0x1.5a3af63eeffd8p-13, 0x1.58d79eddc59d1p-13, 0x1.57865d5cfb153p-13, 0x1.56453c6cb2a37p-13, 0x1.55125d6d0938ap-13, 0x1.53ebf7c44b87ep-13, 0x1.52d058388cac8p-13, 0x1.51bde04caa1ddp-13, 0x1.50b305a0a3b73p-13, 0x1.4fae51554e22fp-13, 0x1.4eae5f733c879p-13, 0x1.4db1de54fc7c6p-13, 0x1.4cb78e1470ee4p-13, 0x1.4bbe3ffb68c7dp-13, 0x1.4ac4d5f74452dp-13, 0x1.49ca420fc0bedp-13, 0x1.48cd85e0bf777p-13, 0x1.47cdb21717b3p-13, 0x1.46c9e5f05c9c8p-13, 0x1.45c14ebd8e2fap-13, 0x1.44b32768aadedp-13, 0x1.439eb7fd19e83p-13, 0x1.42835532e556fp-13, 0x1.41605ffcad2d8p-13, 0x1.403545185d9fcp-13, 0x1.3f017ca287f1ap-13, 0x1.3dc489ac6614p-13, 0x1.3c7df9d473629p-13, 0x1.3b2d64e18ecd4p-13, 0x1.39d26c60abd47p-13, 0x1.386cbb44eb9c3p-13, 0x1.36fc058a35833p-13, 0x1.358007da28811p-13, 0x1.33f887336ab3ap-13, 0x1.3265509347cbep-13, 0x1.30c638a192a4ap-13, 0x1.2f1b1b5ecae92p-13, 0x1.2d63dbd462c4fp-13, 0x1.2ba063c74088ap-13, 0x1.29d0a36c4c86bp-13, 0x1.27f4911f18ab1p-13, 0x1.260c291a96184p-13, 0x1.24176d33c0776p-13, 0x1.2216649647fe4p-13, 0x1.20091b8322be9p-13, 0x1.1defa31105405p-13, 0x1.1bca10eeadadfp-13, 0x1.19987f2706fb4p-13, 0x1.175b0be70e682p-13, 0x1.1511d94578abep-13, 0x1.12bd0d0c085f8p-13, 0x1.105cd082985adp-13, 0x1.0df1503bbc4bp-13, 0x1.0b7abbe308ap-13, 0x1.08f9460ce416dp-13, 0x1.066d2407e2e1ep-13, 0x1.03d68dafa6065p-13, 0x1.0135bd412dd2dp-13, 0x1.fd15de6140aa8p-14, 0x1.f7acc400ee672p-14, 0x1.f230ac341097bp-14, 0x1.eca21b4edb38p-14, 0x1.e70198dd6da6cp-14, 0x1.e14faf5cce841p-14, 0x1.db8cebf65fde2p-14, 0x1.d5b9de3dd2e07p-14, 0x1.cfd717f16fcabp-14, 0x1.c9e52cbcc0969p-14, 0x1.c3e4b1fd74e01p-14, 0x1.bdd63e8a8642dp-14, 0x1.b7ba6a7d8cf75p-14, 0x1.b191cefe1edb1p-14, 0x1.ab5d060f4cb42p-14, 0x1.a51caa5f24789p-14, 0x1.9ed1571814edbp-14, 0x1.987ba7b44dd34p-14, 0x1.921c37d2f18dp-14, 0x1.8bb3a30f16aacp-14, 0x1.854284d88e242p-14, 0x1.7ec9784e5e9c1p-14, 0x1.7849181aec627p-14, 0x1.71c1fe51beb54p-14, 0x1.6b34c44edbc65p-14, 0x1.64a20297ab4e3p-14, 0x1.5e0a50bd58776p-14, 0x1.576e4540a710ap-14, 0x1.50ce75773050ep-14, 0x1.4a2b7571ff3e8p-14, 0x1.4385d7e580d7bp-14, 0x1.3cde2e12bdb62p-14, 0x1.363507b1d59dbp-14, 0x1.2f8af2ddb0e41p-14, 0x1.28e07c00dfc45p-14, 0x1.22362dc39de3dp-14, 0x1.1b8c90faf1edcp-14, 0x1.14e42c98dea3dp-14, 0x1.0e3d859d9eb9dp-14, 0x1.07991f09e21ecp-14, 0x1.00f779d2040cdp-14, 0x1.f4b229a466118p-15, 0x1.e77cd9870171fp-15, 0x1.da4ff863aae26p-15, 0x1.cd2c76e5771adp-15, 0x1.c0134139fd4d8p-15, 0x1.b3053f022ae2fp-15, 0x1.a6035344a0494p-15, 0x1.990e5c61886d1p-15, 0x1.8c273407dde38p-15, 0x1.7f4eaf2c0e47bp-15, 0x1.72859dfff2c95p-15, 0x1.65cccbec0e6e5p-15, 0x1.5924ff8a06dd2p-15, 0x1.4c8efaa04b126p-15, 0x1.400b7a1edcd74p-15, 0x1.339b361d333e2p-15, 0x1.273ee1d925933p-15, 0x1.1af72bb6dc968p-15, 0x1.0ec4bd41b6e84p-15, 0x1.02a83b2e19ce7p-15, 0x1.ed448ab851d7cp-16, 0x1.d566edb6a231ap-16, 0x1.bdb8cbdd4e28cp-16, 0x1.a63b482413b29p-16, 0x1.8eef7c0005a33p-16, 0x1.77d67770b3a66p-16, 0x1.60f1410ead898p-16, 0x1.4a40d61b4a0f8p-16, 0x1.33c62a91a50f2p-16, 0x1.1d822938c7298p-16, 0x1.0775b3b6e45e7p-16, 0x1.e343454b49091p-17, 0x1.b80d8b4ecb97ap-17, 0x1.8d4bc6fadfd9p-17, 0x1.62ff743e07a97p-17, 0x1.3929fda27978dp-17, 0x1.0fccbc7f7b03fp-17, 0x1.cdd1f25844eebp-18, 0x1.7cffd666f30a2p-18, 0x1.2d257313c8078p-18, 0x1.bc89eb0ed02ep-19, 0x1.20c0d53357c5ap-19, 0x1.0de6fd0c07bd9p-20, -0x1.0da7de0a929f6p-23, -0x1.4d4b85ad3a5f5p-20, -0x1.3a6b30332b667p-19, -0x1.cc27e1df2a91ap-19, -0x1.2dec97713fbc1p-18, -0x1.74be5437ad19bp-18, -0x1.ba880c75b7ed4p-18, -0x1.ff48c17baee3ep-18, -0x1.217fc81d22845p-17, -0x1.42d5d8626aacfp-17, -0x1.63a63ae98e4c9p-17, -0x1.83f0a6213e76ap-17, -0x1.a3b4dd4b7cbb9p-17, -0x1.c2f2b03decd94p-17, -0x1.e1a9fb2225449p-17, -0x1.ffdaa635e9cbp-17, -0x1.0ec252c5b8ddep-16, -0x1.1d53fc64e29p-16, -0x1.2ba25576914c4p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.33f204efe45c2p-5, 0x1.3a67a90e596b6p-5, 0x1.3b69c0d72b3f1p-5, 0x1.36fcb56445d7ap-5, 0x1.2d358605feed3p-5, 0x1.1e3791aa6d66fp-5, 0x1.0a326d3ecc64bp-5, 0x1.e2bfa68be18b1p-6, 0x1.a80369a003383p-6, 0x1.64c0e1c57b3e3p-6, 0x1.19926a1583a3bp-6, 0x1.8e32204aa2b32p-7, 0x1.b7e7f4bd0aee5p-8, 0x1.db8611dd33b6ep-11, -0x1.5665e0a0b4ce9p-8, -0x1.7d83e032d55c6p-7, -0x1.2bfb664c46d3ap-6, -0x1.9ca872a87fdcp-6, -0x1.0818853c563bp-5, -0x1.4301a114602e4p-5, -0x1.7ec9f0ea93d1bp-5, -0x1.bb2f690325dafp-5, -0x1.f7f3b2d4df514p-5, -0x1.1a6e2180e6a3ap-4, -0x1.38d9313d0ae1p-4, -0x1.57219662f9369p-4, -0x1.752fc2a131a82p-4, -0x1.92ee0275d53a8p-4, -0x1.b0487110fecfep-4, -0x1.cd2ce9d45888ap-4, -0x1.e98af7fb920aap-4, -0x1.02a9e273208a1p-3, -0x1.103d02b55dap-3, -0x1.1d78f344d503dp-3, -0x1.2a587ce63358dp-3, -0x1.36d710c5e677cp-3, -0x1.42f0bea935577p-3, -0x1.4ea22b41c05e4p-3, -0x1.59e886b40a89cp-3, -0x1.64c1835e36f75p-3, -0x1.6f2b4ce907a9cp-3, -0x1.79247faac631p-3, -0x1.82ac206167d7dp-3, -0x1.8bc19447a350ep-3, -0x1.946499870260bp-3, -0x1.9c954007db403p-3, -0x1.a453e29f17553p-3, -0x1.aba12098c6674p-3, -0x1.b27dd79dffb0fp-3, -0x1.b8eb1df3deb9bp-3, -0x1.beea3d1134407p-3, -0x1.c47cac881121bp-3, -0x1.c9a40d40325d7p-3, -0x1.ce6224ff24ff5p-3, -0x1.d2b8da3ae2ad5p-3, -0x1.d6aa3033a17a4p-3, -0x1.da3843517b9adp-3, -0x1.dd6545c2b88e7p-3, -0x1.e0337c576c2f9p-3, -0x1.e2a53b97434f8p-3, -0x1.e4bce50e63947p-3, -0x1.e67ce4ce596cp-3, -0x1.e7e7af2023201p-3, -0x1.e8ffbe6494181p-3, -0x1.e9c791204ed2dp-3, -0x1.ea41a830b594p-3, -0x1.ea7085276bce9p-3, -0x1.ea56a8c9e004bp-3, -0x1.e9f691b2bcc31p-3, -0x1.e952bb12f8a7bp-3, -0x1.e86d9b9087473p-3, -0x1.e749a440ab02bp-3, -0x1.e5e93fbc159c9p-3, -0x1.e44ed14b07fdfp-3, -0x1.e27cb427d828bp-3, -0x1.e0753ad63e289p-3, -0x1.de3aae8dec066p-3, -0x1.dbcf4eb71d34ap-3, -0x1.d9355077aeaadp-3, -0x1.d66ede4fa553bp-3, -0x1.d37e17c3d9d5cp-3, -0x1.d0651115ce23bp-3, -0x1.cd25d307927bap-3, -0x1.c9c25aaad35d9p-3, -0x1.c63c993a2763p-3, -0x1.c29673fbbf4c4p-3, -0x1.bed1c42cc06ddp-3, -0x1.baf056f481d26p-3, -0x1.b6f3ed5f06b21p-3, -0x1.b2de3c5e0e3f6p-3, -0x1.aeb0ecd02886fp-3, -0x1.aa6d9b8d42c5p-3, -0x1.a615d97828202p-3, -0x1.a1ab2b947c859p-3, -0x1.9d2f0b20cd609p-3, -0x1.98a2e5b43d077p-3, -0x1.94081d5f7efbap-3, -0x1.8f6008d0b9ac1p-3, -0x1.8aabf37a091e7p-3, -0x1.85ed1dba4eeeep-3, -0x1.8124bd080e8f6p-3, -0x1.7c53fc1e10489p-3, -0x1.777bfb2997179p-3, -0x1.729dcff9e5acfp-3, -0x1.6dba8630f2e3p-3, -0x1.68d31f750c93dp-3, -0x1.63e893a348437p-3, -0x1.5efbd10298466p-3, -0x1.5a0dbc7764d9cp-3, -0x1.551f31b77c4fcp-3, -0x1.5031037e4c3e1p-3, -0x1.4b43fbc13a56fp-3, -0x1.4658dbe40b555p-3, -0x1.41705ced403b4p-3, -0x1.3c8b2fba4b1b1p-3, -0x1.37a9fd3397e4dp-3, -0x1.32cd66804c31bp-3, -0x1.2df60539ae38fp-3, -0x1.29246b9e2a216p-3, -0x1.245924c3e5da6p-3, -0x1.1f94b4cad3a81p-3, -0x1.1ad7990e3efbbp-3, -0x1.16224855c3c3ap-3, -0x1.11753305ae703p-3, -0x1.0cd0c34eb5b9dp-3, -0x1.08355d5d07ff5p-3, -0x1.03a35f86afc28p-3, -0x1.fe3644f27287bp-4, -0x1.f539f2cd495cp-4, -0x1.ec5264632833cp-4, -0x1.e3802b317565fp-4, -0x1.dac3cec30be3bp-4, -0x1.d21dcd03fad12p-4, -0x1.c98e9a93a9765p-4, -0x1.c116a3157d6f9p-4, -0x1.b8b6497fc58b2p-4, -0x1.b06de8691e1b6p-4, -0x1.a83dd254361b9p-4, -0x1.a02651f9ea99cp-4, -0x1.9827aa91d75bcp-4, -0x1.904218193a9eap-4, -0x1.8875cf9845454p-4, -0x1.80c2ff65ceaabp-4, -0x1.7929cf69726d8p-4, -0x1.71aa615c16cbbp-4, -0x1.6a44d106e1b77p-4, -0x1.62f934809e0d2p-4, -0x1.5bc79c6995234p-4, -0x1.54b01425e0396p-4, -0x1.4db2a21635776p-4, -0x1.46cf47cf35f14p-4, -0x1.4006024f3f808p-4, -0x1.3956ca32c97bcp-4, -0x1.32c193e74db5cp-4, -0x1.2c464fdcc7c9cp-4, -0x1.25e4eab5ca2f5p-4, -0x1.1f9d4d7633762p-4, -0x1.196f5db0864cdp-4, -0x1.135afdb1ea4f2p-4, -0x1.0d600cacdc772p-4, -0x1.077e66e293971p-4, -0x1.01b5e5cb1f326p-4, -0x1.f80cc0788e131p-5, -0x1.ecdf551e61428p-5, -0x1.e1e32d89a124dp-5, -0x1.d717e9525f1acp-5, -0x1.cc7d23eb0b697p-5, -0x1.c21274e26b437p-5, -0x1.b7d77023563d8p-5, -0x1.adcba63248e7fp-5, -0x1.a3eea468d8dcbp-5, -0x1.9a3ff52f13c2cp-5, -0x1.90bf2032da299p-5, -0x1.876baa9d3a75fp-5, -0x1.7e451745e20a9p-5, -0x1.754ae6e4a614cp-5, -0x1.6c7c984135efp-5, -0x1.63d9a861030f5p-5, -0x1.5b6192b363c95p-5, -0x1.5313d13c04f17p-5, -0x1.4aefdcbbad8c7p-5, -0x1.42f52cd7656ddp-5, -0x1.3b23383e05759p-5, -0x1.337974cc42506p-5, -0x1.2bf757af31b99p-5, -0x1.249c5585633abp-5, -0x1.1d67e27e893e5p-5, -0x1.16597279c3b26p-5, -0x1.0f707922977dbp-5, -0x1.08ac6a0c97b4dp-5, -0x1.020cb8cdcd933p-5, -0x1.f721b22fcf54fp-6, -0x1.ea707da07713cp-6, -0x1.de04bc4d3efe7p-6, -0x1.d1dd5756501b5p-6, -0x1.c5f938c5a751p-6, -0x1.ba574bb6506d2p-6, -0x1.aef67c799d5e2p-6, -0x1.a3d5b8ba6d52dp-6, -0x1.98f3ef9e88aep-6, -0x1.8e5011e62c8acp-6, -0x1.83e91209d1c84p-6, -0x1.79bde4563adf2p-6, -0x1.6fcd7f06e122p-6, -0x1.6616da5ec439p-6, -0x1.5c98f0bfb3115p-6, -0x1.5352bec0181b1p-6, -0x1.4a43433f579c8p-6, -0x1.41697f78ccc42p-6, -0x1.38c4771570bdfp-6, -0x1.3053303c40e5fp-6, -0x1.2814b3a15e78cp-6, -0x1.20080c9408d38p-6, -0x1.182c490b718ffp-6, -0x1.108079b272edep-6, -0x1.0903b1f23f0fp-6, -0x1.01b507fc0a20fp-6, -0x1.f52729a376d92p-7, -0x1.e73ce89b5ce0ep-7, -0x1.d9a98a532ca28p-7, -0x1.cc6b5208f9305p-7, -0x1.bf8088cfea8e5p-7, -0x1.b2e77d9913592p-7, -0x1.a69e853abc5c3p-7, -0x1.9aa3fa764675bp-7, -0x1.8ef63dfcb94d6p-7, -0x1.8393b671eb2a1p-7, -0x1.787ad06e7b98ep-7, -0x1.6da9fe8099de3p-7, -0x1.631fb92ba2718p-7, -0x1.58da7ee6acd96p-7, -0x1.4ed8d41a13c26p-7, -0x1.4519431bff55ep-7, -0x1.3b9a5c2c077d4p-7, -0x1.325ab56ded819p-7, -0x1.2958eae3865cfp-7, -0x1.20939e65d9d23p-7, -0x1.1809779d80b4fp-7, -0x1.0fb923fa5129cp-7, -0x1.07a156aa5e7e6p-7, -0x1.ff819120b513bp-8, -0x1.f02c7072be1b8p-8, -0x1.e140d3a45544ap-8, -0x1.d2bc4e37ae764p-8, -0x1.c49c7ec02c75fp-8, -0x1.b6df0ec9edbeep-8, -0x1.a981b2c083253p-8, -0x1.9c8229d4dc183p-8, -0x1.8fde3de2791e4p-8, -0x1.8393c353efcd2p-8, -0x1.77a09906d1fa4p-8, -0x1.6c02a82f00dcdp-8, -0x1.60b7e4397c2c6p-8, -0x1.55be4aaeb4469p-8, -0x1.4b13e31471162p-8, -0x1.40b6becf53a63p-8, -0x1.36a4f903ff522p-8, -0x1.2cdcb677f2766p-8, -0x1.235c25721c226p-8, -0x1.1a217d9b334e7p-8, -0x1.112affdddc873p-8, -0x1.0876f646a2d7fp-8, -0x1.0003b3e3ceee1p-8, -0x1.ef9f294a44bd9p-9, -0x1.dfb1fa76ff01ep-9, -0x1.d03cb5f105474p-9, -0x1.c13c475c2ea8ap-9, -0x1.b2adab1c16c87p-9, -0x1.a48dee13515e8p-9, -0x1.96da2d62b5faap-9, -0x1.898f9628cabdep-9, -0x1.7cab65415eecfp-9, -0x1.702ae7055afe8p-9, -0x1.640b770acc54bp-9, -0x1.584a7fe53f377p-9, -0x1.4ce57ae663adap-9, -0x1.41d9efdf0d892p-9, -0x1.372574e093062p-9, -0x1.2cc5adfe926f6p-9, -0x1.22b84d1123d9p-9, -0x1.18fb11777db27p-9, -0x1.0f8bc7db14114p-9, -0x1.066849f33346p-9, -0x1.fb1cfc9241f79p-10, -0x1.e9f8aff98586ep-10, -0x1.d95fad13a0771p-10, -0x1.c94e0b1b2e0b6p-10, -0x1.b9bff91aa6b57p-10, -0x1.aab1bd7a3b9a5p-10, -0x1.9c1fb58ee9f74p-10, -0x1.8e06552ac8a6fp-10, -0x1.8062262e92074p-10, -0x1.732fc81c7d63dp-10, -0x1.666befac53a12p-10, -0x1.5a136660dc6ep-10, -0x1.4e230a1e94386p-10, -0x1.4297ccc3be094p-10, -0x1.376eb3c1bd03dp-10, -0x1.2ca4d7b7d98ecp-10, -0x1.2237640f52a1cp-10, -0x1.18239698cc1a5p-10, -0x1.0e66bf2b23199p-10, -0x1.04fe3f439972ap-10, -0x1.f7cf134eba716p-11, -0x1.e640440cee42ap-11, -0x1.d54b39402672dp-11, -0x1.c4eb3bd051522p-11, -0x1.b51bb45d02d7cp-11, -0x1.a5d82a8e3e5b4p-11, -0x1.971c4467f9e98p-11, -0x1.88e3c5a05ba87p-11, -0x1.7b2a8ef8a9a17p-11, -0x1.6dec9d98ee337p-11, -0x1.61260a6e4aa45p-11, -0x1.54d3098bf604fp-11, -0x1.48efe98ee3396p-11, -0x1.3d7913040ac5ap-11, -0x1.326b07d153a2dp-11, -0x1.27c262a1162a8p-11, -0x1.1d7bd650345b6p-11, -0x1.13942d5ec36bdp-11, -0x1.0a0849633d33dp-11, -0x1.00d522803a8e9p-11, -0x1.efef8db952d7p-12, -0x1.dedab43cfca8bp-12, -0x1.ce6629cfb2268p-12, -0x1.be8c88ad292fdp-12, -0x1.af48930c80292p-12, -0x1.a0953228e8f9dp-12, -0x1.926d754f0e9b5p-12, -0x1.84cc90ef18dabp-12, -0x1.77adddb34c0afp-12, -0x1.6b0cd79b2f0b1p-12, -0x1.5ee51d1b2ff78p-12, -0x1.53326e40b2cfep-12, -0x1.47f0abda82db5p-12, -0x1.3d1bd6a5912f1p-12, -0x1.32b00e7df66d2p-12, -0x1.28a991942aacep-12, -0x1.1f04bba65fbbep-12, -0x1.15be053df201cp-12, -0x1.0cd202f0e2f7dp-12, -0x1.043d64a74ba36p-12, -0x1.f7f9e9c96f86cp-13, -0x1.e81b302ac2459p-13, -0x1.d8d897be67482p-13, -0x1.ca2c4ced22efep-13, -0x1.bc10abed8e901p-13, -0x1.ae803f7c42f36p-13, -0x1.a175bf9b26706p-13, -0x1.94ec1057c3884p-13, -0x1.88de40988fbep-13, -0x1.7d4788f0f682cp-13, -0x1.72234a7c23b74p-13, -0x1.676d0dbe55e99p-13, -0x1.5d20818cb682p-13, -0x1.533979fb873c2p-13, -0x1.49b3ef5292e75p-13, -0x1.408bfd07c66a6p-13, -0x1.37bde0bfd0b5ap-13, -0x1.2f45f954b6b9ep-13, -0x1.2720c5e2358f8p-13, -0x1.1f4ae4d7e4641p-13, -0x1.17c11310ef73cp-13, -0x1.10802af15e8bbp-13, -0x1.09852388c059bp-13, -0x1.02cd0fba2b3a5p-13, -0x1.f8aa3ad2e62e2p-14, -0x1.ec35295b010a6p-14, -0x1.e035ae0f5507cp-14, -0x1.d4a6bd3ffe142p-14, -0x1.c9837b0cc5f03p-14, -0x1.bec739f0d59b2p-14, -0x1.b46d7957b43eep-14, -0x1.aa71e43b5d92ep-14, -0x1.a0d04fcb55f1p-14, -0x1.9784ba1c623a7p-14, -0x1.8e8b48e0ebd3ap-14, -0x1.85e04829bc0e3p-14, -0x1.7d80292ef623cp-14, -0x1.7567812120334p-14, -0x1.6d9308020e931p-14, -0x1.65ff97858aebep-14, -0x1.5eaa29f98bdfdp-14, -0x1.578fd935d3441p-14, -0x1.50addd92cd19cp-14, -0x1.4a018ce78603dp-14, -0x1.4388598e9252p-14, -0x1.3d3fd171c0837p-14, -0x1.37259d1c6f72ep-14, -0x1.31377ed4647f3p-14, -0x1.2b7351b8fc0bep-14, -0x1.25d708e891657p-14, -0x1.2060aeabf8edcp-14, -0x1.1b0e63a7ec52bp-14, -0x1.15de5e1442f86p-14, -0x1.10cee8f8d7cb6p-14, -0x1.0bde636ffa6cep-14, -0x1.070b3fee4af0cp-14, -0x1.0254038fdf636p-14, -0x1.fb6e8ad52bd2cp-15, -0x1.f2675bcae4a55p-15, -0x1.e98fec29d2739p-15, -0x1.e0e5ce37f8cfap-15, -0x1.d866b32411ea4p-15, -0x1.d01069da58fe2p-15, -0x1.c7e0dde2465bbp-15, -0x1.bfd6164509ed9p-15, -0x1.b7ee347c8a8f6p-15, -0x1.b027736ab70ep-15, -0x1.a8802658f2c6fp-15, -0x1.a0f6b7ff6c892p-15, -0x1.9989a9942a0a6p-15, -0x1.923791e19cb3ap-15, -0x1.8aff1c6487ecdp-15, -0x1.83df08711032p-15, -0x1.7cd6285ebd41fp-15, -0x1.75e360bb4b601p-15, -0x1.6f05a784159d7p-15, -0x1.683c0365f29d6p-15, -0x1.61858b0358978p-15, -0x1.5ae164409d011p-15, -0x1.544ec396283aap-15, -0x1.4dcceb68748bap-15, -0x1.475b2b65af5a4p-15, -0x1.40f8dfe8da63ep-15, -0x1.3aa571624273ep-15, -0x1.346053c528492p-15, -0x1.2e2905fa7a28ap-15, -0x1.27ff115877346p-15, -0x1.21e2091f1992ap-15, -0x1.1bd189f92a95p-15, -0x1.15cd3981d8defp-15, -0x1.0fd4c5ceb7553p-15, -0x1.09e7e4fdfe484p-15, -0x1.040654c8f430ep-15, -0x1.fc5fb434c2572p-16, -0x1.f0c88151d1a02p-16, -0x1.e546b52a6c6e5p-16, -0x1.d9da0017adc03p-16, -0x1.ce821dd5595dp-16, -0x1.c33ed4d3b8adap-16, -0x1.b80ff59034a57p-16, -0x1.acf559f4817d2p-16, -0x1.a1eee4bc29187p-16, -0x1.96fc80e038fe4p-16, -0x1.8c1e2108f430ep-16, -0x1.8153bf054f3e7p-16, -0x1.769d5b480c08ap-16, -0x1.6bfafc6a45b27p-16, -0x1.616caeb34a1efp-16, -0x1.56f283a58dd81p-16, -0x1.4c8c919094e38p-16, -0x1.423af327a774fp-16, -0x1.37fdc71d2f2dcp-16, -0x1.2dd52fc28ca2bp-16, -0x1.23c152ac4f8a2p-16, -0x1.19c2585a9cf85p-16, -0x1.0fd86be5abe29p-16, -0x1.0603baae30ff8p-16, -0x1.f888e8233330cp-17, -0x1.e5359243e2858p-17, -0x1.d20dd8c2b1261p-17, -0x1.bf122301d2fp-17, -0x1.ac42da45dbbcp-17, -0x1.99a0694091ca7p-17, -0x1.872b3ba1ea3f7p-17, -0x1.74e3bdaf0472cp-17, -0x1.62ca5bdedee61p-17, -0x1.50df827c9c178p-17, -0x1.3f239d4f216e5p-17, -0x1.2d971745d599cp-17, -0x1.1c3a5a2a5fd64p-17, -0x1.0b0dce5728ae1p-17, -0x1.f423b4e4ee0fbp-18, -0x1.d28dc65bf8ce6p-18, -0x1.b15a961543117p-18, -0x1.908ae440dceabp-18, -0x1.701f6bd4c42efp-18, -0x1.5018e22c25b0ap-18, -0x1.3077f6ade34b4p-18, -0x1.113d527a186aep-18, -0x1.e4d3303c9b078p-19, -0x1.a7fac6a0358cep-19, -0x1.6bf2915be9329p-19, -0x1.30bbab0bbc393p-19, -0x1.ecae3e870dd92p-20, -0x1.798bd464fd7a3p-20, -0x1.0811f0a22d37bp-20, -0x1.308498633d827p-21, -0x1.50f3fc575f14ep-23, 0x1.095ff70479208p-22, 0x1.5a3faac550ee9p-21, 0x1.1637d294851f6p-20, 0x1.7d9ee25638fd4p-20, 0x1.e35413971029bp-20, 0x1.23ab4ba9825f3p-19, 0x1.54d2e0510fa09p-19, 0x1.8520825d81054p-19, 0x1.b493fd74a42ap-19, 0x1.e32d2e3c2e51ap-19, 0x1.08760124d6402p-18, 0x1.1ee83c06a52b9p-18, 0x1.34ed4f5bdb4bap-18, 0x1.4a854b0db2a58p-18, 0x1.5fb04744c0236p-18, 0x1.746e64555d3cap-18, 0x1.88bfcaaa26c29p-18, 0x1.9ca4aaacad5abp-18, 0x1.b01d3cac767e6p-18, 0x1.c329c0c468ccfp-18, 0x1.d5ca7ebebe35cp-18, 0x1.e7ffc5f79a3d4p-18, 0x1.f9c9ed3e58d4p-18, 0x1.0594a95ad7d83p-17, 0x1.0e0f2dd95de93p-17, 0x1.1654ba4d86881p-17, 0x1.1e658860e5178p-17, 0x1.2641d521feb25p-17, 0x1.2de9e0f211295p-17, 0x1.355def7281844p-17, 0x1.3c9e4771fd1f6p-17, 0x1.43ab32d9560a8p-17, 0x1.4a84fe9821953p-17, 0x1.512bfa912264fp-17, 0x1.57a0798687067p-17, 0x1.5de2d105ff905p-17, 0x1.63f35954b673cp-17, 0x1.69d26d5b33aeap-17, 0x1.6f806a91259e9p-17, 0x1.74fdb0e92e266p-17, 0x1.7a4aa2bc95e31p-17, 0x1.7f67a4b714fe7p-17, 0x1.84551dc28c27ep-17, 0x1.891376f2d8eebp-17, 0x1.8da31b71aa1c2p-17, 0x1.9204786a7af73p-17, 0x1.9637fcf68ff93p-17, 0x1.9a3e1a091ebep-17, 0x1.9e17425b9156cp-17, 0x1.a1c3ea59e9503p-17, 0x1.a544880f50d81p-17, 0x1.a8999312cfe8ep-17, 0x1.abc384743104fp-17, 0x1.aec2d6a9112d8p-17, 0x1.b198057a2f432p-17, 0x1.b4438df0db1ap-17, 0x1.b6c5ee44b5439p-17, 0x1.b91fa5c992de9p-17, 0x1.bb5134dda9769p-17, 0x1.bd5b1cd7f3179p-17, 0x1.bf3ddff6d33bap-17, 0x1.c0fa014f00e5bp-17, 0x1.c29004baa60ebp-17, 0x1.c4006ec8cfc75p-17, 0x1.c54bc4ad24f71p-17, 0x1.c6728c2fcf8cap-17, 0x1.c7754b9dc4cb9p-17, 0x1.c85489b945cecp-17, 0x1.c910cdaaaddcfp-17, 0x1.c9aa9ef188cc3p-17, 0x1.ca228555f7384p-17, 0x1.ca7908da55031p-17, 0x1.caaeb1ad31fb6p-17, 0x1.cac4081b9291ap-17, 0x1.cab994837cee8p-17, 0x1.ca8fdf46cf893p-17, 0x1.ca4770be65903p-17, 0x1.c9e0d12d84d1ap-17, 0x1.c95c88b59ae73p-17, 0x1.c8bb1f4a3f8ebp-17, 0x1.c7fd1ca589281p-17, 0x1.c723083ca7d17p-17, 0x1.c62d6934cb733p-17, 0x1.c51cc658590fep-17, 0x1.c3f1a60c625f4p-17, 0x1.c2ac8e466f8e3p-17, 0x1.c14e048285864p-17, 0x1.bfd68db989e18p-17, 0x1.be46ae57d66e1p-17, 0x1.bc9eea34277b7p-17, 0x1.badfc486c6b02p-17, 0x1.b909bfe0fded6p-17, 0x1.b71d5e24d3b29p-17, 0x1.b51b207d0b3d4p-17, 0x1.b30387555fbe7p-17, 0x1.b0d7125311b64p-17, 0x1.ae96404dadf4p-17, 0x1.ac418f4815714p-17, 0x1.a9d97c69ca59p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.b9fd9977b9eabp-1, 0x1.b80bf7d352ab5p-1, 0x1.b5cc473012e96p-1, 0x1.b33ffa9cc1642p-1, 0x1.b069f012fa671p-1, 0x1.ad4e2c1dab282p-1, 0x1.a9f195a4cd6eep-1, 0x1.a659b520fdef6p-1, 0x1.a28c79574e3f8p-1, 0x1.9e9002dc7ff2fp-1, 0x1.9a6a76f4e9551p-1, 0x1.9621d9e9be865p-1, 0x1.91bbf094a44d2p-1, 0x1.8d3e28a7a8e73p-1, 0x1.88ad87137a00ap-1, 0x1.840e9bda8ca1fp-1, 0x1.7f657a9974b2cp-1, 0x1.7ab5b70f4b76cp-1, 0x1.760264f9dc161p-1, 0x1.714e1aa633fa7p-1, 0x1.6c9af5a55695dp-1, 0x1.67eaa12512499p-1, 0x1.633e5d7d42fe6p-1, 0x1.5e97089199ab3p-1, 0x1.59f526b6da272p-1, 0x1.5558ebd81e14dp-1, 0x1.50c244a4f684p-1, 0x1.4c30df9c2ab3p-1, 0x1.47a435d05439dp-1, 0x1.431b934bd86b6p-1, 0x1.3e961f00bcb78p-1, 0x1.3a12e236bde3p-1, 0x1.3590cf6efd811p-1, 0x1.310ec8b8a1fe2p-1, 0x1.2c8ba57511bedp-1, 0x1.2806378d074d7p-1, 0x1.237d5019d2eep-1, 0x1.1eefc387a6e65p-1, 0x1.1a5c6d36fe1dp-1, 0x1.15c232a3f8c14p-1, 0x1.1120061b1e3dbp-1, 0x1.0c74e90343c2p-1, 0x1.07bfedc47a509p-1, 0x1.03003953e621fp-1, 0x1.fc6a08d884d19p-2, 0x1.f2bb38f53effcp-2, 0x1.e8f2c88d3bdp-2, 0x1.df0fa8ba38c78p-2, 0x1.d510f687d6754p-2, 0x1.caf5faf9749e3p-2, 0x1.c0be2aba1d2fbp-2, 0x1.b669258152ef1p-2, 0x1.abf6b536c390dp-2, 0x1.a166ccde18493p-2, 0x1.96b9875368f2ap-2, 0x1.8bef25e001ea4p-2, 0x1.81080eae93b5bp-2, 0x1.7604cb25290a9p-2, 0x1.6ae6062a9e67fp-2, 0x1.5fac8a5ccf6ccp-2, 0x1.5459403c07674p-2, 0x1.48ed2c4fd514ep-2, 0x1.3d696d48dc49bp-2, 0x1.31cf3a22d00dcp-2, 0x1.261fe0495a27cp-2, 0x1.1a5cc1c256ee6p-2, 0x1.0e87535f712dap-2, 0x1.02a11af8e00d3p-2, 0x1.ed575b657dff1p-3, 0x1.d5515c9c6d554p-3, 0x1.bd33970ef1eadp-3, 0x1.a5017d02a6fe4p-3, 0x1.8cbe927e064bfp-3, 0x1.746e6a5958e5bp-3, 0x1.5c14a36db1957p-3, 0x1.43b4e5e240d6ep-3, 0x1.2b52e098380fbp-3, 0x1.12f246b5341c5p-3, 0x1.f52d9a9819c42p-4, 0x1.c48852475cdb5p-4, 0x1.93fc193741ab2p-4, 0x1.63904b5b60116p-4, 0x1.334c38184a123p-4, 0x1.03371eb7c885p-4, 0x1.a6b05627065efp-5, 0x1.476ce4e928e19p-5, 0x1.d163c29a1745fp-6, 0x1.151a14f06ef7ep-6, 0x1.685f1045d1f42p-8, -0x1.7e22c51c698c9p-8, -0x1.17ad599b421dep-6, -0x1.ce3cd8ba85427p-6, -0x1.418f37952c8bbp-5, -0x1.9b1d0076c4a64p-5, -0x1.f3bc0dd85b44fp-5, -0x1.25b07f187bd33p-4, -0x1.5100650e52088p-4, -0x1.7bc8634e0b6e8p-4, -0x1.a6035389439e2p-4, -0x1.cfac3f822e731p-4, -0x1.f8be61ccb78acp-4, -0x1.109a93395364ep-3, -0x1.248615be0c29dp-3, -0x1.381fa0aeb1dd3p-3, -0x1.4b6535a5daddep-3, -0x1.5e54efbcbe882p-3, -0x1.70ed039dd5925p-3, -0x1.832bbf8c79e73p-3, -0x1.950f8b6205897p-3, -0x1.a696e880f00a2p-3, -0x1.b7c071be64d86p-3, -0x1.c88adb42cbca7p-3, -0x1.d8f4f261c28ccp-3, -0x1.e8fd9d69e3503p-3, -0x1.f8a3db6cdcab4p-3, -0x1.03f362001c64fp-2, -0x1.0b62c37b9f9fp-2, -0x1.129fb60b2bbc1p-2, -0x1.19a9e96027364p-2, -0x1.208118ceec8f7p-2, -0x1.27250b1fde5efp-2, -0x1.2d95925df2391p-2, -0x1.33d28ba2eb2bdp-2, -0x1.39dbdee15f154p-2, -0x1.3fb17eacbd5d1p-2, -0x1.455367ff78ee7p-2, -0x1.4ac1a1ff7d07dp-2, -0x1.4ffc3dc11322fp-2, -0x1.55035608634dep-2, -0x1.59d70f09aaa93p-2, -0x1.5e7796285081cp-2, -0x1.62e521b4fd36p-2, -0x1.671ff0aaccd8cp-2, -0x1.6b284a6bc4457p-2, -0x1.6efe7e7ca30a1p-2, -0x1.72a2e4403240dp-2, -0x1.7615dab229dc5p-2, -0x1.7957c821cdd31p-2, -0x1.7c6919ec54c1dp-2, -0x1.7f4a44373cf66p-2, -0x1.81fbc1aa9e65bp-2, -0x1.847e132b97067p-2, -0x1.86d1bf96e7fc1p-2, -0x1.88f7537bd6edep-2, -0x1.8aef60d76b492p-2, -0x1.8cba7ed01825p-2, -0x1.8e594971ea17cp-2, -0x1.8fcc616b477fcp-2, -0x1.91146bca562afp-2, -0x1.923211bb16312p-2, -0x1.9326004642b7ep-2, -0x1.93f0e81104f02p-2, -0x1.94937d1d89942p-2, -0x1.950e768c8372cp-2, -0x1.95628e5faa6e4p-2, -0x1.9590813d3e67p-2, -0x1.95990e349b452p-2, -0x1.957cf683e67b1p-2, -0x1.953cfd5ee1017p-2, -0x1.94d9e7b6e3f2ap-2, -0x1.94547c040e606p-2, -0x1.93ad820faf614p-2, -0x1.92e5c2bfef6aap-2, -0x1.91fe07e4bcec6p-2, -0x1.90f71c06072cap-2, -0x1.8fd1ca3340cb5p-2, -0x1.8e8eddd43d478p-2, -0x1.8d2f227b5a916p-2, -0x1.8bb363b9067fbp-2, -0x1.8a1c6cf09df4ap-2, -0x1.886b092ea3efep-2, -0x1.86a0030054f46p-2, -0x1.84bc244c96c0dp-2, -0x1.82c0362e41b88p-2, -0x1.80ad00cfc62e4p-2, -0x1.7e834b482bd03p-2, -0x1.7c43db79688ffp-2, -0x1.79ef75f00c64p-2, -0x1.7786ddc444868p-2, -0x1.750ad47c2d641p-2, -0x1.727c19ef73ad1p-2, -0x1.6fdb6c2c40929p-2, -0x1.6d29875d6e1bcp-2, -0x1.6a6725b1ff9ddp-2, -0x1.6794ff45d74ddp-2, -0x1.64b3ca0baaad9p-2, -0x1.61c439b82913cp-2, -0x1.5ec6ffae59954p-2, -0x1.5bbccaed200bp-2, -0x1.58a647fdec47p-2, -0x1.558420e48b8fcp-2, -0x1.5256fd101404bp-2, -0x1.4f1f814ceb3fbp-2, -0x1.4bde4fb7d77b7p-2, -0x1.489407b222b99p-2, -0x1.454145d6bbad1p-2, -0x1.41e6a3f05b025p-2, -0x1.3e84b8f09d9f6p-2, -0x1.3b1c18e8136c9p-2, -0x1.37ad54ff35e3bp-2, -0x1.3438fb704acc9p-2, -0x1.30bf97821d98bp-2, -0x1.2d41b183990ccp-2, -0x1.29bfcec82d6bcp-2, -0x1.263a71a504769p-2, -0x1.22b2196efb54ep-2, -0x1.1f274279599c1p-2, -0x1.1b9a6615409cbp-2, -0x1.180bfa91cf02dp-2, -0x1.147c733cec061p-2, -0x1.10ec4064bb0c8p-2, -0x1.0d5bcf59ada1ap-2, -0x1.09cb8a712d286p-2, -0x1.063bd908d7e3fp-2, -0x1.02ad1f8a4abc1p-2, -0x1.fe3f7edee32dcp-3, -0x1.f7282e8eb03d5p-3, -0x1.f0150576e8b58p-3, -0x1.e906b52ad1d2ep-3, -0x1.e1fde98a6a59fp-3, -0x1.dafb48cf9a88p-3, -0x1.d3ff739c363ep-3, -0x1.cd0b0508b53f5p-3, -0x1.c61e92b3a2669p-3, -0x1.bf3aacd1b2db5p-3, -0x1.b85fde3e7e3fap-3, -0x1.b18eac8dc8e25p-3, -0x1.aac7981d5d503p-3, -0x1.a40b1c2766532p-3, -0x1.9d59aed541714p-3, -0x1.96b3c152bf61p-3, -0x1.9019bfe1d350dp-3, -0x1.898c11ee95bfbp-3, -0x1.830b1a23a7359p-3, -0x1.7c97367eddc0ep-3, -0x1.7630c066370f9p-3, -0x1.6fd80cbd0abe5p-3, -0x1.698d6bf978783p-3, -0x1.63512a39fe8c5p-3, -0x1.5d238f5b3d604p-3, -0x1.5704df0de357bp-3, -0x1.50f558ecab36p-3, -0x1.4af5389277861p-3, -0x1.4504b5b07b33fp-3, -0x1.3f2404246cb4dp-3, -0x1.3953540ec0382p-3, -0x1.3392d1e8dd733p-3, -0x1.2de2a69b50257p-3, -0x1.2842f793f436ap-3, -0x1.22b3e6dc07725p-3, -0x1.1d35932e2fd3p-3, -0x1.17c8180c6689bp-3, -0x1.126b8dd5c7c02p-3, -0x1.0d2009dc3c88cp-3, -0x1.07e59e7a0b4cp-3, -0x1.02bc5b273450bp-3, -0x1.fb48991d56289p-4, -0x1.f13af946c0489p-4, -0x1.e74fe56a2a9e3p-4, -0x1.dd87670a09f1bp-4, -0x1.d3e182b494371p-4, -0x1.ca5e382c237bp-4, -0x1.c0fd828f31057p-4, -0x1.b7bf587fb3e9ep-4, -0x1.aea3ac4a1ed59p-4, -0x1.a5aa6c0bc30e4p-4, -0x1.9cd381d8ba0e8p-4, -0x1.941ed3e138e44p-4, -0x1.8b8c44965eeb6p-4, -0x1.831bb2ce6b4d2p-4, -0x1.7accf9e86400ap-4, -0x1.729ff1ef23eb3p-4, -0x1.6a946fbbd2f0ep-4, -0x1.62aa4517c2812p-4, -0x1.5ae140ddb0081p-4, -0x1.53392f1a69652p-4, -0x1.4bb1d92cd3951p-4, -0x1.444b05e553339p-4, -0x1.3d0479a492cacp-4, -0x1.35ddf679ab54dp-4, -0x1.2ed73c3faa304p-4, -0x1.27f008ba75c29p-4, -0x1.212817b310f5cp-4, -0x1.1a7f23133e17cp-4, -0x1.13f4e3007f872p-4, -0x1.0d890df677946p-4, -0x1.073b58e0a92ep-4, -0x1.010b773397678p-4, -0x1.f5f2360a8cfdcp-5, -0x1.ea07ea4a3e83fp-5, -0x1.de576a66678abp-5, -0x1.d2e0136dd23c9p-5, -0x1.c7a1406a0cf4dp-5, -0x1.bc9a4a8a4fa4p-5, -0x1.b1ca894d37e68p-5, -0x1.a73152a94f7bp-5, -0x1.9ccdfb346da36p-5, -0x1.929fd649ecc03p-5, -0x1.88a6362fbe00dp-5, -0x1.7ee06c3a59bffp-5, -0x1.754dc8ef933bfp-5, -0x1.6bed9c28527b6p-5, -0x1.62bf353138f1p-5, -0x1.59c1e2ea3139p-5, -0x1.50f4f3e4f36f6p-5, -0x1.4857b6827e1ffp-5, -0x1.3fe9790f87aep-5, -0x1.37a989dff04c5p-5, -0x1.2f9737693538p-5, -0x1.27b1d05be9178p-5, -0x1.1ff8a3bc3aa07p-5, -0x1.186b00f98602dp-5, -0x1.11083804fecfdp-5, -0x1.09cf99676f8d3p-5, -0x1.02c076561549bp-5, -0x1.f7b4418d3c78dp-6, -0x1.ea37d7049c7f4p-6, -0x1.dd0a5470946ap-6, -0x1.d02a631e2dfc2p-6, -0x1.c396ae6a8e37ap-6, -0x1.b74de3e2c7f48p-6, -0x1.ab4eb36221964p-6, -0x1.9f97cf2edec41p-6, -0x1.9427ec15925bbp-6, -0x1.88fdc1830766cp-6, -0x1.7e18099cc3e2ap-6, -0x1.73758158309d6p-6, -0x1.6914e8906de54p-6, -0x1.5ef5021ae3d1fp-6, -0x1.551493da893a4p-6, -0x1.4b7266d1fc13fp-6, -0x1.420d47345e931p-6, -0x1.38e404751acffp-6, -0x1.2ff5715677d6bp-6, -0x1.274063f72404ap-6, -0x1.1ec3b5deab8d3p-6, -0x1.167e4408e5004p-6, -0x1.0e6eeef065699p-6, -0x1.06949a97f8851p-6, -0x1.fddc5d2653637p-7, -0x1.eef52c1bd063fp-7, -0x1.e0717fa68aa19p-7, -0x1.d24f3ca6bd6f1p-7, -0x1.c48c4f50e718cp-7, -0x1.b726ab36636edp-7, -0x1.aa1c4b4c72658p-7, -0x1.9d6b31f1d66b6p-7, -0x1.911168f2f2893p-7, -0x1.850d018c9dc59p-7, -0x1.795c146d8e3fap-7, -0x1.6dfcc1b695b33p-7, -0x1.62ed30f99070dp-7, -0x1.582b9137326afp-7, -0x1.4db618dbb527bp-7, -0x1.438b05ba68007p-7, -0x1.39a89d083f651p-7, -0x1.300d2b555ee95p-7, -0x1.26b70485b4a1cp-7, -0x1.1da483c8aa747p-7, -0x1.14d40b8ff7ebfp-7, -0x1.0c440585a30c1p-7, -0x1.03f2e28133f3ep-7, -0x1.f7be34f857434p-8, -0x1.e80e590b8348fp-8, -0x1.d8d33d6beba66p-8, -0x1.ca09fc3ffb8a9p-8, -0x1.bbafbd882c703p-8, -0x1.adc1b70184bbfp-8, -0x1.a03d2c06fffa1p-8, -0x1.931f6d71f396ep-8, -0x1.8665d9797ddcdp-8, -0x1.7a0ddb910fd3ap-8, -0x1.6e14ec461f83ap-8, -0x1.6278911d137ffp-8, -0x1.57365c6d7342ep-8, -0x1.4c4bed3d69967p-8, -0x1.41b6ef1cab55p-8, -0x1.377519fec7db5p-8, -0x1.2d843214f49f3p-8, -0x1.23e207a76005dp-8, -0x1.1a8c76ee12823p-8, -0x1.118167e96e986p-8, -0x1.08bece3a590e5p-8, -0x1.0042a8fa0eec2p-8, -0x1.f01605237b1eap-9, -0x1.e02be123b4928p-9, -0x1.d0c327129b98dp-9, -0x1.c1d82db8eac1fp-9, -0x1.b36761380bf64p-9, -0x1.a56d42b7b10a2p-9, -0x1.97e668134deb1p-9, -0x1.8acf7b8785da4p-9, -0x1.7e253b5f9c085p-9, -0x1.71e479a2ee524p-9, -0x1.660a1bc29376ap-9, -0x1.5a931a471e71bp-9, -0x1.4f7c807e9c657p-9, -0x1.44c36c2ad21f8p-9, -0x1.3a650d2fca1e3p-9, -0x1.305ea542bc193p-9, -0x1.26ad8799555d4p-9, -0x1.1d4f189973ff7p-9, -0x1.1440cd895187ap-9, -0x1.0b802c4036f69p-9, -0x1.030acad7b0969p-9, -0x1.f5bc9ebab1556p-10, -0x1.e5f0df0a6fb97p-10, -0x1.d6ade0b989f7bp-10, -0x1.c7ef4bfd17dacp-10, -0x1.b9b0e68d02e1cp-10, -0x1.abee930e13d1ep-10, -0x1.9ea4507d6e33p-10, -0x1.91ce399d8859ap-10, -0x1.85688464aea27p-10, -0x1.796f816d09fc7p-10, -0x1.6ddf9b664b898p-10, -0x1.62b55688e4904p-10, -0x1.57ed500afd68fp-10, -0x1.4d843d96fd3cdp-10, -0x1.4376ecc3dd22fp-10, -0x1.39c2428f25f5p-10, -0x1.30633ad8ad1efp-10, -0x1.2756e7e0196c3p-10, -0x1.1e9a71c4224f8p-10, -0x1.162b1603a6eb2p-10, -0x1.0e06270087756p-10, -0x1.06290b844c3b4p-10, -0x1.fd227c8d4acedp-11, -0x1.ee789aeb6da7ep-11, -0x1.e04fb48074befp-11, -0x1.d2a330c2ec244p-11, -0x1.c56e9b5e1118bp-11, -0x1.b8ada3511250ep-11, -0x1.ac5c1a11ff467p-11, -0x1.a075f2b45cae5p-11, -0x1.94f7411363428p-11, -0x1.89dc38ffe4243p-11, -0x1.7f212d71cfaf7p-11, -0x1.74c28fbd5b604p-11, -0x1.6abceecbc4878p-11, -0x1.610cf657a90f1p-11, -0x1.57af6e2cf4f34p-11, -0x1.4ea1396c5afc5p-11, -0x1.45df55d256041p-11, -0x1.3d66db01ab597p-11, -0x1.3534f9d169fafp-11, -0x1.2d46fb9e5b655p-11, -0x1.259a419fe4298p-11, -0x1.1e2c4440485aap-11, -0x1.16fa92784ea5fp-11, -0x1.1002d12e3aa69p-11, -0x1.0942ba98119f8p-11, -0x1.02b81da127946p-11, -0x1.f8c1baa5cc3d5p-12, -0x1.ec75e08190887p-12, -0x1.e088bfeefec13p-12, -0x1.d4f690de71967p-12, -0x1.c9bbaf01f6e6ap-12, -0x1.bed498be2135fp-12, -0x1.b43dee20e7bbap-12, -0x1.a9f46fde71e51p-12, -0x1.9ff4fe53c801p-12, -0x1.963c988f498c9p-12, -0x1.8cc85b5ede528p-12, -0x1.83958063c670ep-12, -0x1.7aa15d2bf65bp-12, -0x1.71e96250ecd3dp-12, -0x1.696b1a9bea1bbp-12, -0x1.61242a2f740d7p-12, -0x1.59124db61526dp-12, -0x1.513359963bea8p-12, -0x1.4985392b2ad81p-12, -0x1.4205ee02ddf49p-12, -0x1.3ab38f20d861p-12, -0x1.338c4845ba049p-12, -0x1.2c8e593b96fd4p-12, -0x1.25b81526ea1b3p-12, -0x1.1f07e1dc1d726p-12, -0x1.187c373989fp-12, -0x1.12139e85dbfp-12, -0x1.0bccb1d2cbb48p-12, -0x1.05a61b640d616p-12, -0x1.ff3d2a34d7bc1p-13, -0x1.f369cfc5ec9bp-13, -0x1.e7cfd65456c73p-13, -0x1.dc6d08a6220fep-13, -0x1.d13f4c6440d03p-13, -0x1.c644a117f3b85p-13, -0x1.bb7b1f2f86b13p-13, -0x1.b0e0f70a50d5bp-13, -0x1.a674700bb95bap-13, -0x1.9c33e7b539511p-13, -0x1.921dd0c715bap-13, -0x1.8830b267c0f06p-13, -0x1.7e6b2751bd731p-13, -0x1.74cbdd07cecbap-13, -0x1.6b51930f693b2p-13, -0x1.61fb1a312855fp-13, -0x1.58c753bf40d91p-13, -0x1.4fb530e1adc4dp-13, -0x1.46c3b1e817d76p-13, -0x1.3df1e5a134bebp-13, -0x1.353ee8b79b4f1p-13, -0x1.2ca9e513d064cp-13, -0x1.2432114387092p-13, -0x1.1bd6afe5d868cp-13, -0x1.13970f1c70006p-13, -0x1.0b72880174285p-13, -0x1.03687e2221fc3p-13, -0x1.f6f0bdfbd9c5fp-14, -0x1.e743431424cc1p-14, -0x1.d7c78b72fca22p-14, -0x1.c87ca811c65b9p-14, -0x1.b961ba1dd6609p-14, -0x1.aa75f220d282cp-14, -0x1.9bb88f30e20cp-14, -0x1.8d28de2859744p-14, -0x1.7ec638e4dc285p-14, -0x1.7090058d99967p-14, -0x1.6285b5e08a2p-14, -0x1.54a6c686707c8p-14, -0x1.46f2be6d7539p-14, -0x1.39692e2a29b56p-14, -0x1.2c09af5ec4dd1p-14, -0x1.1ed3e4286f188p-14, -0x1.11c776926c488p-14, -0x1.04e4180efc87p-14, -0x1.f05301eb8f133p-15, -0x1.d72ee00f4e792p-15, -0x1.be5b53ef58f3dp-15, -0x1.a5d7f1f26372ep-15, -0x1.8da458a5af0a6p-15, -0x1.75c02fec87ecep-15, -0x1.5e2b2838fb8ffp-15, -0x1.46e4f9cd8353bp-15, -0x1.2fed6407557f1p-15, -0x1.19442cb11bb62p-15, -0x1.02e91f5dc794bp-15, -0x1.d9b8199684d36p-16, -0x1.ae39949979407p-16, -0x1.83566278a0327p-16, -0x1.590e3ce79249p-16, -0x1.2f60e398908ddp-16, -0x1.064e1b491a7d3p-16, -0x1.bbab59b6ae011p-17, -0x1.6beec8f7ccdb2p-17, -0x1.1d6621a753ebbp-17, -0x1.a02209145b462p-18, -0x1.07de28d2c7f8cp-18, -0x1.c7ffa5c469c52p-20, 0x1.0bcb7af0ee155p-21, 0x1.651d3efd6ca0cp-19, 0x1.41406aa64339p-18, 0x1.cd8f9c726b311p-18, 0x1.2bbe852dce69p-17, 0x1.6f84cac2c09e5p-17, 0x1.b21b163739953p-17, 0x1.f381e63fb3294p-17, 0x1.19dce0df4e0a8p-16, 0x1.39619c373f17ap-16, 0x1.584f71bf0703fp-16, 0x1.76a6b30f6a49bp-16, 0x1.9467b7037b05ap-16, 0x1.b192d9f34a69bp-16, 0x1.ce287de8bc823p-16, 0x1.ea290acea6a6bp-16, 0x1.02ca774d48401p-15, 0x1.10364eb8a16fdp-15, 0x1.1d5848e335265p-15, 0x1.2a30a63bc094ep-15, 0x1.36bfaa711ea13p-15, 0x1.43059c7b5a4f5p-15, 0x1.4f02c6a2b77a5p-15, 0x1.5ab77684c9a12p-15, 0x1.6623fd17b5f7bp-15, 0x1.7148aeabb2bfap-15, 0x1.7c25e2eade358p-15, 0x1.86bbf4d7830d4p-15, 0x1.910b42c8e1303p-15, 0x1.9b142e668a96ap-15, 0x1.a4d71ca26f9fbp-15, 0x1.ae5475b1a83b3p-15, 0x1.b78ca504103c9p-15, 0x1.c080193ac59bcp-15, 0x1.c92f441da1815p-15, 0x1.d19a9a8fb0134p-15, 0x1.d9c29482c5fefp-15, 0x1.e1a7acea37b73p-15, 0x1.e94a61acc8603p-15, 0x1.f0ab3395dca9ap-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.bea917dc24939p-1, 0x1.be2662a64c081p-1, 0x1.bd8cbc5febde5p-1, 0x1.bcdb7aefaa57dp-1, 0x1.bc124cb3182ccp-1, 0x1.bb3130eef62cep-1, 0x1.ba386ecbbd491p-1, 0x1.b9288b93c9d6dp-1, 0x1.b80240bdf6cp-1, 0x1.b6c6722b6e64fp-1, 0x1.b57624e1e268dp-1, 0x1.b412767374671p-1, 0x1.b29c9532a8ef9p-1, 0x1.b115b9421a25fp-1, 0x1.af7f1e8474d99p-1, 0x1.add9ff691a64p-1, 0x1.ac27908be0cd1p-1, 0x1.aa68fd1a7ca84p-1, 0x1.a89f63ef9d207p-1, 0x1.a6cbd5527698ap-1, 0x1.a4ef5148fceb8p-1, 0x1.a30ac66b4352ep-1, 0x1.a11f1127168cp-1, 0x1.9f2cfb63e00e5p-1, 0x1.9d353c7802febp-1, 0x1.9b3879622cf27p-1, 0x1.9937453a5e718p-1, 0x1.973221cfbf983p-1, 0x1.9529806997d48p-1, 0x1.931dc2a2f3cd6p-1, 0x1.910f3b599f4fep-1, 0x1.8efe2faa2727ap-1, 0x1.8cead7f38050bp-1, 0x1.8ad560ddd195ep-1, 0x1.88bdec6096f08p-1, 0x1.86a492c507734p-1, 0x1.848963a23b6b1p-1, 0x1.826c66d112569p-1, 0x1.804d9d564f84fp-1, 0x1.7e2d0241bf6e8p-1, 0x1.7c0a8b81954fdp-1, 0x1.79e62aa96ecbp-1, 0x1.77bfcdacb0603p-1, 0x1.75975f8c186ep-1, 0x1.736cc8f695ecfp-1, 0x1.713ff0dd8dc69p-1, 0x1.6f10bcfcd8e3cp-1, 0x1.6cdf1256d8d8dp-1, 0x1.6aaad5a510e99p-1, 0x1.6873ebbdc04d9p-1, 0x1.663a39ef024edp-1, 0x1.63fda64fff3bep-1, 0x1.61be1808bce6ep-1, 0x1.5f7b77911d2eap-1, 0x1.5d35aee79de8ep-1, 0x1.5aeca9c06284p-1, 0x1.58a055ad18bb2p-1, 0x1.5650a23e3a534p-1, 0x1.53fd811e331e6p-1, 0x1.51a6e626e4379p-1, 0x1.4f4cc77202785p-1, 0x1.4cef1d64bd017p-1, 0x1.4a8de2b71d17fp-1, 0x1.482914778281dp-1, 0x1.45c0b20aa0aa2p-1, 0x1.4354bd2853d9cp-1, 0x1.40e539d5a609p-1, 0x1.3e722e5c50eb7p-1, 0x1.3bfba340094b5p-1, 0x1.3981a331d5ad3p-1, 0x1.37043b01b0e3p-1, 0x1.3483798eb2d4p-1, 0x1.31ff6fb5f7c54p-1, 0x1.2f78304072567p-1, 0x1.2cedcfcfdbe03p-1, 0x1.2a6064cae85cdp-1, 0x1.27d00748e5724p-1, 0x1.253cd0fce6e9dp-1, 0x1.22a6dd20a121ep-1, 0x1.200e485f0971ep-1, 0x1.1d7330bedd0cp-1, 0x1.1ad5b58d1d50dp-1, 0x1.1835f7479dba4p-1, 0x1.15941787af062p-1, 0x1.12f038ecfd9d3p-1, 0x1.104a7f08ae6e2p-1, 0x1.0da30e48c6544p-1, 0x1.0afa0be3eb36fp-1, 0x1.084f9dc584282p-1, 0x1.05a3ea7a449b1p-1, 0x1.02f7191d25fe3p-1, 0x1.00495144db9a2p-1, 0x1.fb3575e37ec4p-2, 0x1.f5d6fcf88256ap-2, 0x1.f0778907b2cbbp-2, 0x1.eb176bbd04604p-2, 0x1.e5b6f71173472p-2, 0x1.e0567d2c1d55bp-2, 0x1.daf6504471a5p-2, 0x1.d596c2857779fp-2, 0x1.d03825f22ff81p-2, 0x1.cadacc4b0a45bp-2, 0x1.c57f06f4743cap-2, 0x1.c02526de77d4p-2, 0x1.bacd7c6d7193p-2, 0x1.b5785763d0a7cp-2, 0x1.b02606cce5794p-2, 0x1.aad6d8e8b5e86p-2, 0x1.a58b1b18d9023p-2, 0x1.a04319ce4e439p-2, 0x1.9aff207853f35p-2, 0x1.95bf79742fd16p-2, 0x1.90846dfdee80ap-2, 0x1.8b4e462209665p-2, 0x1.861d48affae8ep-2, 0x1.80f1bb2dacd3dp-2, 0x1.7bcbe1cbcc4efp-2, 0x1.76abff5aed6cdp-2, 0x1.7192554184775p-2, 0x1.6c7f2372ac2f9p-2, 0x1.6772a865b0a52p-2, 0x1.626d210e5ce34p-2, 0x1.5d6ec8d603882p-2, 0x1.5877d9953e522p-2, 0x1.53888b8e5eea4p-2, 0x1.4ea1156888218p-2, 0x1.49c1ac2b70801p-2, 0x1.44ea833bc39adp-2, 0x1.401bcc581dc6dp-2, 0x1.3b55b7969ce5ap-2, 0x1.3698736305681p-2, 0x1.31e42c7d6d041p-2, 0x1.2d390df97065dp-2, 0x1.2897413de4e64p-2, 0x1.23feee050aaeap-2, 0x1.1f703a5d31a58p-2, 0x1.1aeb4aa9d43a6p-2, 0x1.167041a51bbe9p-2, 0x1.11ff4061d00dfp-2, 0x1.0d98664da8db1p-2, 0x1.093bd133fedb9p-2, 0x1.04e99d40d8ep-2, 0x1.00a1e5044c0b3p-2, 0x1.f8c982ec62b83p-3, 0x1.f06493f4513e7p-3, 0x1.e81528c7c0da4p-3, 0x1.dfdb69f7547d2p-3, 0x1.d7b77d0694a24p-3, 0x1.cfa9847610652p-3, 0x1.c7b19fcdf2b3cp-3, 0x1.bfcfeba8fe6b2p-3, 0x1.b80481bff5c39p-3, 0x1.b04f78f5570fbp-3, 0x1.a8b0e5617bff1p-3, 0x1.a128d85eff3fep-3, 0x1.99b760976ea6cp-3, 0x1.925c8a104496ap-3, 0x1.8b185e3818d25p-3, 0x1.83eae3f40e005p-3, 0x1.7cd41fad6ceb1p-3, 0x1.75d4135f69faep-3, 0x1.6eeabea51b0f8p-3, 0x1.68181ec780b51p-3, 0x1.615c2ecbb6ecep-3, 0x1.5ab6e78135cc4p-3, 0x1.54283f9029dacp-3, 0x1.4db02b87d6ffp-3, 0x1.474e9ded06da6p-3, 0x1.410387487c6c2p-3, 0x1.3aced635642fbp-3, 0x1.34b0776fcde7ep-3, 0x1.2ea855e30f8b8p-3, 0x1.28b65ab82c97cp-3, 0x1.22da6d642927ap-3, 0x1.1d1473b64b73ep-3, 0x1.176451e64e5e3p-3, 0x1.11c9eaa27a7b2p-3, 0x1.0c451f1da5993p-3, 0x1.06d5cf1d145fdp-3, 0x1.017bd906442efp-3, 0x1.f86e33d91205ep-4, 0x1.ee0edb3d2ab75p-4, 0x1.e3d95d6798f6p-4, 0x1.d9cd6d32fb8a6p-4, 0x1.cfeabb3fd6b4p-4, 0x1.c630f60e4ceafp-4, 0x1.bc9fca178f803p-4, 0x1.b336e1e6db22bp-4, 0x1.a9f5e63221b53p-4, 0x1.a0dc7df2519ffp-4, 0x1.97ea4e7b3b528p-4, 0x1.8f1efb92ff52p-4, 0x1.867a278929986p-4, 0x1.7dfb734d53913p-4, 0x1.75a27e855f58ep-4, 0x1.6d6ee7a34373ap-4, 0x1.65604bfa68bd9p-4, 0x1.5d7647d496e2bp-4, 0x1.55b07686706cep-4, 0x1.4e0e72837de1p-4, 0x1.468fd571c40bcp-4, 0x1.3f34383ce9b77p-4, 0x1.37fb3328e8657p-4, 0x1.30e45de44a267p-4, 0x1.29ef4f99f3de4p-4, 0x1.231b9f027b992p-4, 0x1.1c68e2750bd36p-4, 0x1.15d6aff7d2781p-4, 0x1.0f649d4fff75cp-4, 0x1.091240114da28p-4, 0x1.02df2dad1d51ep-4, 0x1.f995f702359eap-5, 0x1.edaa7dcaee242p-5, 0x1.e1fb1a755d98p-5, 0x1.d686f7edc925ep-5, 0x1.cb4d4165991edp-5, 0x1.c04d226c5740ap-5, 0x1.b585c707d76b5p-5, 0x1.aaf65bcb8b1efp-5, 0x1.a09e0def02ec7p-5, 0x1.967c0b63a15e5p-5, 0x1.8c8f82e9800d1p-5, 0x1.82d7a4238d8fp-5, 0x1.79539faae118ap-5, 0x1.7002a7214c3f4p-5, 0x1.66e3ed432c465p-5, 0x1.5df6a5f87c05ap-5, 0x1.553a06652d71cp-5, 0x1.4cad44f8c8aa1p-5, 0x1.444f997d5a674p-5, 0x1.3c203d25ae9e7p-5, 0x1.341e6a9ae0d99p-5, 0x1.2c495e093e668p-5, 0x1.24a0552c85f89p-5, 0x1.1d228f5b82a04p-5, 0x1.15cf4d9304903p-5, 0x1.0ea5d280423cbp-5, 0x1.07a5628a9c8f7p-5, 0x1.00cd43dccf54ap-5, 0x1.f4397cdb2219cp-6, 0x1.e726380f4392ep-6, 0x1.da5f50a2a253ep-6, 0x1.cde361a6f7adcp-6, 0x1.c1b10a000b7d5p-6, 0x1.b5c6ec6fa394ep-6, 0x1.aa23afa081137p-6, 0x1.9ec5fe305d983p-6, 0x1.93ac86b909641p-6, 0x1.88d5fbd899865p-6, 0x1.7e411438b9c7bp-6, 0x1.73ec8a95268dfp-6, 0x1.69d71dc152efap-6, 0x1.5fff90ad4201fp-6, 0x1.5664aa699def4p-6, 0x1.4d05362b0ab8fp-6, 0x1.43e0034cc4d4cp-6, 0x1.3af3e55288205p-6, 0x1.323fb3e9cc8a2p-6, 0x1.29c24aea5ca83p-6, 0x1.217a8a5646f0fp-6, 0x1.19675659385dbp-6, 0x1.118797473c3cdp-6, 0x1.09da399af1641p-6, 0x1.025e2df330896p-6, 0x1.f624d2205b39p-7, 0x1.e7ebc7a037be9p-7, 0x1.da0f3656a9779p-7, 0x1.cc8d206010c55p-7, 0x1.bf638ffaffddbp-7, 0x1.b290977de655cp-7, 0x1.a612514be8297p-7, 0x1.99e6dfc8f9946p-7, 0x1.8e0c6d4d3b843p-7, 0x1.82812c179e444p-7, 0x1.7743563fe959dp-7, 0x1.6c512da8120c4p-7, 0x1.61a8fbed05304p-7, 0x1.57491256d8f39p-7, 0x1.4d2fc9c876259p-7, 0x1.435b82aeca02cp-7, 0x1.39caa4ef6c87dp-7, 0x1.307b9fd6e6c97p-7, 0x1.276cea0682834p-7, 0x1.1e9d0161bacbep-7, 0x1.160a6afb4d5cfp-7, 0x1.0db3b301f6262p-7, 0x1.05976cacda172p-7, 0x1.fb68644f4f7dfp-8, 0x1.ec1148fce902p-8, 0x1.dd26d712b4a2ap-8, 0x1.cea66bafbbfb1p-8, 0x1.c08d713842c68p-8, 0x1.b2d95f2bd1ca1p-8, 0x1.a587b9faed95bp-8, 0x1.989612dc88df9p-8, 0x1.8c0207a336b15p-8, 0x1.7fc942922883ep-8, 0x1.73e97a320269cp-8, 0x1.6860712589ca1p-8, 0x1.5d2bf5fe3b9e7p-8, 0x1.5249e310cd4ccp-8, 0x1.47b81e49a6bf5p-8, 0x1.3d74990154531p-8, 0x1.337d4fd100603p-8, 0x1.29d04a66f4a35p-8, 0x1.206b9b5b2d633p-8, 0x1.174d600405eb1p-8, 0x1.0e73c04afea24p-8, 0x1.05dcee81a9b41p-8, 0x1.fb0e4e6d7e3f1p-9, 0x1.eae16216bf008p-9, 0x1.db2fb91110347p-9, 0x1.cbf607e98401cp-9, 0x1.bd31165413a4fp-9, 0x1.aeddbed7f7b18p-9, 0x1.a0f8ee7c877p-9, 0x1.937fa476a859p-9, 0x1.866ef1d6d8602p-9, 0x1.79c3f937daefep-9, 0x1.6d7bee6e0a479p-9, 0x1.6194163753fc1p-9, 0x1.5609c5ebee1e5p-9, 0x1.4ada632fc2c75p-9, 0x1.400363a494d99p-9, 0x1.35824c9cf1ad4p-9, 0x1.2b54b2cfdec1fp-9, 0x1.21783a0d5cccbp-9, 0x1.17ea94f3b29ebp-9, 0x1.0ea984a58fa82p-9, 0x1.05b2d8810466ap-9, 0x1.fa08dbaea29fep-10, 0x1.e9385f4b2b949p-10, 0x1.d8f02c9cb4429p-10, 0x1.c92c4ea7fc141p-10, 0x1.b9e8ea280e69dp-10, 0x1.ab223d06ab1c3p-10, 0x1.9cd49dd67c9bbp-10, 0x1.8efc7b4f1baefp-10, 0x1.81965bcae5509p-10, 0x1.749edcc6a2ac8p-10, 0x1.6812b26308ddap-10, 0x1.5beea6e80acabp-10, 0x1.502f9a4a00839p-10, 0x1.44d281b0ac003p-10, 0x1.39d467000c9dbp-10, 0x1.2f3268630eddcp-10, 0x1.24e9b7d80f64dp-10, 0x1.1af79abf31389p-10, 0x1.1159696a8f1fp-10, 0x1.080c8eb032baep-10, 0x1.fe1d0efbd7b41p-11, 0x1.ecb9c4ddd2732p-11, 0x1.dbea7ec64912bp-11, 0x1.cbaa9e312f8ddp-11, 0x1.bbf5a58c71575p-11, 0x1.acc7377175b62p-11, 0x1.9e1b15e22459ep-11, 0x1.8fed218969794p-11, 0x1.823958ff30793p-11, 0x1.74fbd80fcc1afp-11, 0x1.6830d706ca9d1p-11, 0x1.5bd4a9fd27d9fp-11, 0x1.4fe3c02ada3c4p-11, 0x1.445aa33bb0676p-11, 0x1.3935f6a776cbfp-11, 0x1.2e72770d5ea05p-11, 0x1.240cf9929c1b1p-11, 0x1.1a026b44339afp-11, 0x1.104fd07bec0cap-11, 0x1.06f244485d1a6p-11, 0x1.fbcdefb025ac8p-12, 0x1.ea5663cf7246cp-12, 0x1.d9789c668d856p-12, 0x1.c92f79d440429p-12, 0x1.b976044c4cdap-12, 0x1.aa476acb5125ep-12, 0x1.9b9f02105ac02p-12, 0x1.8d78439c17e9ap-12, 0x1.7fceccb594e0fp-12, 0x1.729e5d7468621p-12, 0x1.65e2d7d0464e7p-12, 0x1.59983eb5dc1c9p-12, 0x1.4dbab520e50c9p-12, 0x1.42467d3b63aa1p-12, 0x1.3737f781e7634p-12, 0x1.2c8ba1ecd0b29p-12, 0x1.223e171e79484p-12, 0x1.184c0d962cd6ap-12, 0x1.0eb256e7e4fe7p-12, 0x1.056ddef8a8614p-12, 0x1.f8f7567f0414ap-13, 0x1.e7b1b415f8f07p-13, 0x1.d70543960b65dp-13, 0x1.c6eca0be5ec0cp-13, 0x1.b76294d268a46p-13, 0x1.a8621547622bap-13, 0x1.99e64279ef50dp-13, 0x1.8bea666be9b37p-13, 0x1.7e69f38a0c13dp-13, 0x1.716083797a03ep-13, 0x1.64c9d5ecd824fp-13, 0x1.58a1cf80f5d76p-13, 0x1.4ce478a0c783ep-13, 0x1.418dfc7094aa2p-13, 0x1.369aa7c03ce34p-13, 0x1.2c06e804689b9p-13, 0x1.21cf4a5680955p-13, 0x1.17f07a7b4caedp-13, 0x1.0e6741f01b4b5p-13, 0x1.053086fe3fd51p-13, 0x1.f89297a9beab9p-14, 0x1.e75d5b5192cd5p-14, 0x1.d6bbc7b4c052bp-14, 0x1.c6a87e4299496p-14, 0x1.b71e517bf7d36p-14, 0x1.a81843615884ap-14, 0x1.999183ec091ebp-14, 0x1.8b856f91ff37cp-14, 0x1.7def8dd4351dfp-14, 0x1.70cb8fd74b636p-14, 0x1.64154f0631776p-14, 0x1.57c8cbbe9ba85p-14, 0x1.4be22c070fc8ep-14, 0x1.405dba4e4bf2cp-14, 0x1.3537e433d5525p-14, 0x1.2a6d395972a12p-14, 0x1.1ffa6a3d61ac9p-14, 0x1.15dc471d0fe21p-14, 0x1.0c0fbee023cc7p-14, 0x1.0291de0ba2e7cp-14, 0x1.f2bf9b7a087bep-15, 0x1.e0eda559f6bdcp-15, 0x1.cfa898739d576p-15, 0x1.beeb66f20d07cp-15, 0x1.aeb134a0931d3p-15, 0x1.9ef5552a6af77p-15, 0x1.8fb34a6814e48p-15, 0x1.80e6c2b9f506fp-15, 0x1.728b976fe70b9p-15, 0x1.649dcb3d70931p-15, 0x1.571988ba40e3p-15, 0x1.49fb20eeaaa2dp-15, 0x1.3d3f09ebc7aafp-15, 0x1.30e1dd6efb977p-15, 0x1.24e05790846aap-15, 0x1.1937557cd4131p-15, 0x1.0de3d4385f9a4p-15, 0x1.02e2ef6da9422p-15, 0x1.f063c08a63f6fp-16, 0x1.db9bf88e2ef62p-16, 0x1.c769688c27f89p-16, 0x1.b3c726a7487f6p-16, 0x1.a0b07b7a18dcbp-16, 0x1.8e20e02206a3cp-16, 0x1.7c13fc5b8273p-16, 0x1.6a85a4ae71159p-16, 0x1.5971d8aa76ed4p-16, 0x1.48d4c132b01e3p-16, 0x1.38aaaed85afccp-16, 0x1.28f0184410942p-16, 0x1.19a198ad1b95ep-16, 0x1.0abbee5e7eba8p-16, 0x1.f877f2929f8e7p-17, 0x1.dc3d7347f6475p-17, 0x1.c0c29d2c1a8eep-17, 0x1.a601e9e04a159p-17, 0x1.8bf60bdf6f53ep-17, 0x1.7299ec1c763bep-17, 0x1.59e8a7b6e4abdp-17, 0x1.41dd8dc4ee06ap-17, 0x1.2a741d325a0d1p-17, 0x1.13a802b3aeda7p-17, 0x1.faea2d99cf6c3p-18, 0x1.cfaeb7d64ea16p-18, 0x1.a595f92197e29p-18, 0x1.7c9893269cca3p-18, 0x1.54af70d4bea79p-18, 0x1.2dd3c31f61ac5p-18, 0x1.07fefdddd29e3p-18, 0x1.c655a994d0178p-19, 0x1.7ea2713fca3c8p-19, 0x1.38d8a8a8341abp-19, 0x1.e9da29bb3e0e8p-20, 0x1.65a9c9f0311f3p-20, 0x1.ca16b4c664fccp-21, 0x1.9fab119488e3cp-22, -0x1.1cb56e0542875p-24, -0x1.10534e1eccc1p-21, -0x1.f68469bd5e097p-21, -0x1.6b266a08aba8fp-20, -0x1.d7e718e5491dep-20, -0x1.20ca41d84089dp-19, -0x1.541f31c0739dep-19, -0x1.85f9f7787cad9p-19, -0x1.b661f03efdeacp-19, -0x1.e55e3e4f7daebp-19, -0x1.097ae5e5a2acep-18, -0x1.1f97a6c07241dp-18, -0x1.3508a2c9c6274p-18, -0x1.49d10301b6bd1p-18, -0x1.5df3d98c210b5p-18, -0x1.717422d790182p-18, -0x1.8454c6b6527b8p-18, -0x1.9698996a42388p-18, -0x1.a8425ca3c1235p-18, -0x1.b954c07466579p-18, -0x1.c9d26435d7d32p-18, -0x1.d9bdd765420dfp-18, -0x1.e9199a73e52dbp-18, -0x1.f7e81f8d222fcp-18, -0x1.0315e5a9397c7p-17, -0x1.09f37ac6db892p-17, -0x1.108df4ed1c675p-17, -0x1.16e6742263d32p-17, -0x1.1cfe12f1a67a7p-17, -0x1.22d5e6b216c53p-17, -0x1.286effcaeb6fbp-17, -0x1.2dca69f36374cp-17, -0x1.32e92c6f31cb1p-17, -0x1.37cc4a4778e0ep-17, -0x1.3c74c2807a711p-17, -0x1.40e3904c21be3p-17, -0x1.4519ab398ba62p-17, -0x1.49180761aeb6fp-17, -0x1.4cdf95914522cp-17, -0x1.50714370178e7p-17, -0x1.53cdfba5c5d8p-17, -0x1.56f6a5fc37558p-17, -0x1.59ec277fb2b26p-17, -0x1.5caf629ce8104p-17, -0x1.5f41373ccd4a4p-17, -0x1.61a282de9bc0fp-17, -0x1.63d420afee3f8p-17, -0x1.65d6e9a30d62fp-17, -0x1.67abb4839a11cp-17, -0x1.69535609a2fd6p-17, -0x1.6acea0eb280e8p-17, -0x1.6c1e65ec43f14p-17, -0x1.6d4373ede9048p-17, -0x1.6e3e97fb62acdp-17, -0x1.6f109d569dec5p-17, -0x1.6fba4d83491a1p-17, -0x1.703c7050e61a7p-17, -0x1.7097cbe3d92f7p-17, -0x1.70cd24bd7fe81p-17, -0x1.70dd3dc3645c1p-17, -0x1.70c8d84596ca9p-17, -0x1.7090b40444aa4p-17, -0x1.70358f348bbaap-17, -0x1.6fb82684a0251p-17, -0x1.6f19351f488f7p-17, -0x1.6e5974aecb824p-17, -0x1.6d799d5f440bcp-17, -0x1.6c7a65e07a728p-17, -0x1.6b5c836738521p-17, -0x1.6a20a9ae39472p-17, -0x1.68c78af6a850cp-17, -0x1.6751d8084548cp-17, -0x1.65c040312e202p-17, -0x1.64137145600cfp-17, -0x1.624c179de6929p-17, -0x1.606ade17d3c6ap-17, -0x1.5e706e12f64b1p-17, -0x1.5c5d6f70640bep-17, -0x1.5a328890ce397p-17, -0x1.57f05e52b41d7p-17, -0x1.5597941070775p-17, -0x1.5328cb9e27245p-17, -0x1.50a4a5479e9a4p-17, -0x1.4e0bbfce022eap-17, -0x1.4b5eb86596d1ap-17, -0x1.489e2ab360a76p-17, -0x1.45cab0cac395dp-17, -0x1.42e4e32b1e33ep-17, -0x1.3fed58bd6449ep-17, -0x1.3ce4a6d1ba9dep-17, -0x1.39cb611d1917bp-17, -0x1.36a219b6f385ap-17, -0x1.33696116ed7ap-17, -0x1.3021c6129afcap-17, -0x1.2ccbd5db4fef1p-17, -0x1.29681bfc00e0dp-17, -0x1.25f722573733ep-17, -0x1.2279712518b54p-17, -0x1.1eef8ef18790fp-17, -0x1.1b5a009a58086p-17, -0x1.17b9494da0d2bp-17, -0x1.140dea8825b74p-17, -0x1.10586413dcacap-17, -0x1.0c9934069082ep-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.d4aa97f9ea225p-7, -0x1.2f59fa339d954p-6, -0x1.7e390fad48a38p-6, -0x1.d673079935189p-6, -0x1.1ba8038810671p-5, -0x1.4ff5496950e1bp-5, -0x1.879d1b629d996p-5, -0x1.c20ed0ada95bbp-5, -0x1.feb1f32764c89p-5, -0x1.1e752fd9d839p-4, -0x1.3e0dee911d2aep-4, -0x1.5dd694809dcc2p-4, -0x1.7d853f70de9f8p-4, -0x1.9cd3d0e191948p-4, -0x1.bb80b8a8fe71p-4, -0x1.d94f8ae59d85dp-4, -0x1.f60966f4d0e66p-4, -0x1.08be9a9b354dep-3, -0x1.15bfe0a830b1p-3, -0x1.21f5db38724fcp-3, -0x1.2d50c15ef42d6p-3, -0x1.37c3935f8d875p-3, -0x1.4143fa8fed88ep-3, -0x1.49ca2357a9ebbp-3, -0x1.51509305d24c4p-3, -0x1.57d3faf61ce54p-3, -0x1.5d530a463228dp-3, -0x1.61ce3f25833fcp-3, -0x1.6547b8988c5edp-3, -0x1.67c3095be875bp-3, -0x1.69450c6c38c79p-3, -0x1.69d3bb95c7f8ep-3, -0x1.69760851b4155p-3, -0x1.6833b71ddf1fbp-3, -0x1.66153d68b60bap-3, -0x1.6323a2196ed2ap-3, -0x1.5f6860b075a82p-3, -0x1.5aed4ef171972p-3, -0x1.55bc8500e5aebp-3, -0x1.4fe047d9c09a5p-3, -0x1.4962f5fb792e5p-3, -0x1.424ef62f004cp-3, -0x1.3aaea83f7896p-3, -0x1.328c5783689b9p-3, -0x1.29f22f1373375p-3, -0x1.20ea2f8c68a6fp-3, -0x1.177e263be6414p-3, -0x1.0db7a5981fcb5p-3, -0x1.039ffee5237bdp-3, -0x1.f28079d7728ffp-4, -0x1.dd423f4f62fe2p-4, -0x1.c79631aad126ap-4, -0x1.b18c928fcbfe4p-4, -0x1.9b34fde5907b1p-4, -0x1.849e67298c893p-4, -0x1.6dd717e23eae2p-4, -0x1.56ecaf0f8140bp-4, -0x1.3fec217a986ep-4, -0x1.28e1bacad95f6p-4, -0x1.11d91f46253cp-4, -0x1.f5ba9c4d499cep-5, -0x1.c7f148e269c29p-5, -0x1.9a69c073b82fcp-5, -0x1.6d36488ab828ep-5, -0x1.4067f7f110183p-5, -0x1.140ebf0f185b9p-5, -0x1.d072e162a573ap-6, -0x1.79eb963ca7ea3p-6, -0x1.24a102d20e5a1p-6, -0x1.a15513b50e4e1p-7, -0x1.f876773571a0fp-8, -0x1.686ea13ad0f69p-9, 0x1.13983a82b8edbp-9, 0x1.c1537d69fc691p-8, 0x1.7912847945ba4p-7, 0x1.07034ef9216f9p-6, 0x1.4fb7a2d11463cp-6, 0x1.969c471c62173p-6, 0x1.dba89f825c7cdp-6, 0x1.0f6aac4ddffc7p-5, 0x1.300e2b828d102p-5, 0x1.4fbc5373b2383p-5, 0x1.6e7335fd9b63ep-5, 0x1.8c316904f93afp-5, 0x1.a8f5fef790fcep-5, 0x1.c4c07f8dbdaep-5, 0x1.df90e0cd126fep-5, 0x1.f967804c104c2p-5, 0x1.09228e5b4ab02p-4, 0x1.151567c937f06p-4, 0x1.208d03a19d94ep-4, 0x1.2b8a40a641126p-4, 0x1.360e22687e815p-4, 0x1.4019cea6c861fp-4, 0x1.49ae8ac75911bp-4, 0x1.52cdb96f4e9e3p-4, 0x1.5b78d8356d2a1p-4, 0x1.63b17d6fb5a91p-4, 0x1.6b79561aff136p-4, 0x1.72d223dbbd335p-4, 0x1.79bdbb171ca9fp-4, 0x1.803e0123a0026p-4, 0x1.8654ea90689b8p-4, 0x1.8c04798259b52p-4, 0x1.914ebc264637cp-4, 0x1.9635cb3760222p-4, 0x1.9abbc89921f0dp-4, 0x1.9ee2de03eb9p-4, 0x1.a2ad3bc3a9128p-4, 0x1.a61d1787b09acp-4, 0x1.a934ab4337051p-4, 0x1.abf6341db9d38p-4, 0x1.ae63f17295746p-4, 0x1.b08023df590f5p-4, 0x1.b24d0c6004bcbp-4, 0x1.b3cceb78da32ep-4, 0x1.b502006cf050bp-4, 0x1.b5ee88813c1fcp-4, 0x1.b694be4b5a195p-4, 0x1.b6f6d90bbfb94p-4, 0x1.b7170c12ac7cp-4, 0x1.b6f7862f9cb48p-4, 0x1.b69a712a9395fp-4, 0x1.b601f146fd1cp-4, 0x1.b53024cfa05bbp-4, 0x1.b42723ab4dcbep-4, 0x1.b2e8fef9dab07p-4, 0x1.b177c0b9250ccp-4, 0x1.afd56b719fafbp-4, 0x1.ae03f9ea36db9p-4, 0x1.ac055ee31cf12p-4, 0x1.a9db84d73fc97p-4, 0x1.a7884dc4124d8p-4, 0x1.a50d92f7622a7p-4, 0x1.a26d24e2edfd5p-4, 0x1.9fa8caf575972p-4, 0x1.9cc243790f93bp-4, 0x1.99bb43766e0ebp-4, 0x1.9695769ce6a8dp-4, 0x1.93527f2eefef3p-4, 0x1.8ff3f5f2efb91p-4, 0x1.8c7b6a280f5f3p-4, 0x1.88ea617ee83a8p-4, 0x1.85425815d3ff9p-4, 0x1.8184c078ace1fp-4, 0x1.7db303a3ccf3ep-4, 0x1.79ce810a1f025p-4, 0x1.75d88e9e11f76p-4, 0x1.71d278dd44b55p-4, 0x1.6dbd82debd355p-4, 0x1.699ae66386d8fp-4, 0x1.656bd3e98c7aap-4, 0x1.613172c08978bp-4, 0x1.5cece120ef99ap-4, 0x1.589f34449b433p-4, 0x1.544978813686cp-4, 0x1.4fecb16429958p-4, 0x1.4b89d9cffa013p-4, 0x1.4721e41afa2c9p-4, 0x1.42b5ba2f2b5d2p-4, 0x1.3e463dab39fb3p-4, 0x1.39d4480474551p-4, 0x1.3560aaa9a77cfp-4, 0x1.30ec2f26c72abp-4, 0x1.2c77974948e17p-4, 0x1.28039d451ea44p-4, 0x1.2390f3da39a85p-4, 0x1.1f20467a817c8p-4, 0x1.1ab239702c4cdp-4, 0x1.16476a0466d76p-4, 0x1.11e06ea638319p-4, 0x1.0d7dd711931d5p-4, 0x1.09202c7684bf9p-4, 0x1.04c7f1a06fa76p-4, 0x1.0075a31d483d1p-4, 0x1.f8536ec985e2ap-5, 0x1.efc93dfed0131p-5, 0x1.e74d895b0499ep-5, 0x1.dee11b1bb6c32p-5, 0x1.d684b2887b82cp-5, 0x1.ce39043f60fc5p-5, 0x1.c5feba80c91ddp-5, 0x1.bdd6757a966bfp-5, 0x1.b5c0cb929a74ap-5, 0x1.adbe49b038e46p-5, 0x1.a5cf73852d4c2p-5, 0x1.9df4c3d56c8e8p-5, 0x1.962eacbe13876p-5, 0x1.8e7d97fb58b99p-5, 0x1.86e1e72d75c0bp-5, 0x1.7f5bf41c83f3ap-5, 0x1.77ec10fb425e6p-5, 0x1.709288a8badecp-5, 0x1.694f9ef0c6bd9p-5, 0x1.622390cb66cf1p-5, 0x1.5b0e949af0819p-5, 0x1.5410da6905a73p-5, 0x1.4d2a8c2259707p-5, 0x1.465bcdd13be95p-5, 0x1.3fa4bdd6ea8fp-5, 0x1.39057523a81c8p-5, 0x1.327e076d920ccp-5, 0x1.2c0e83663e612p-5, 0x1.25b6f2ef18e08p-5, 0x1.1f775b4c83532p-5, 0x1.194fbd57b96fep-5, 0x1.134015af7ba5ep-5, 0x1.0d485ce77d3c9p-5, 0x1.076887b69d894p-5, 0x1.01a08723e9685p-5, 0x1.f7e09164d8092p-6, 0x1.ecaf6d1798eacp-6, 0x1.e1ad6f538638cp-6, 0x1.d6da5ffcbebe1p-6, 0x1.cc3601365851ap-6, 0x1.c1c00fae5b2aep-6, 0x1.b77842e78771dp-6, 0x1.ad5e4d80e186bp-6, 0x1.a371dd7b0f8fbp-6, 0x1.99b29c7b9712fp-6, 0x1.9020300dfc059p-6, 0x1.86ba39e2d0173p-6, 0x1.7d80580cb5bd9p-6, 0x1.7472253b67e4bp-6, 0x1.6b8f38f4c6f73p-6, 0x1.62d727cbffa75p-6, 0x1.5a498396c73f9p-6, 0x1.51e5dba0c9a08p-6, 0x1.49abbcdd3da9dp-6, 0x1.419ab216bf04ep-6, 0x1.39b2441d65932p-6, 0x1.31f1f9f331b8ep-6, 0x1.2a5958f6cd85p-6, 0x1.22e7e50cb3987p-6, 0x1.1b9d20c6c5a8p-6, 0x1.14788d8a534bfp-6, 0x1.0d79abb4a6eefp-6, 0x1.069ffabe1c5fep-6, 0x1.ffd5f2b799faep-7, 0x1.f2b44b3fa460ep-7, 0x1.e5d9fa30761ap-7, 0x1.d945f9d9524c1p-7, 0x1.ccf743f5535cp-7, 0x1.c0ecd1e1a6aedp-7, 0x1.b5259cd15ffc3p-7, 0x1.a9a09dfeeca4fp-7, 0x1.9e5ccedb52adap-7, 0x1.9359293b2d4bp-7, 0x1.8894a7818e688p-7, 0x1.7e0e44c8c7f85p-7, 0x1.73c4fd093d6cep-7, 0x1.69b7cd3e37ba3p-7, 0x1.5fe5b388df0d7p-7, 0x1.564daf515e757p-7, 0x1.4ceec166452dcp-7, 0x1.43c7ec1a31855p-7, 0x1.3ad8335fd46d5p-7, 0x1.321e9ce46286cp-7, 0x1.299a302874812p-7, 0x1.2149f6976c77fp-7, 0x1.192cfb9d6cb19p-7, 0x1.11424cbbeab8ap-7, 0x1.0988f99cec53dp-7, 0x1.02001424fa2e1p-7, 0x1.f54d6107ababcp-8, 0x1.e6f7ca87f82b7p-8, 0x1.d8fd96b202506p-8, 0x1.cb5cfc59a1d47p-8, 0x1.be143757bbc23p-8, 0x1.b12188a0953e9p-8, 0x1.a48336582a423p-8, 0x1.98378be4a3482p-8, 0x1.8c3cd9fef7bd7p-8, 0x1.809176c1d0e4dp-8, 0x1.7533bdb6c1bbp-8, 0x1.6a220fe1e42f4p-8, 0x1.5f5ad3cbeb72bp-8, 0x1.54dc758abdf33p-8, 0x1.4aa566c8a6c3dp-8, 0x1.40b41eca2d5fp-8, 0x1.37071a72a5359p-8, 0x1.2d9cdc477dc42p-8, 0x1.2473ec726b1c3p-8, 0x1.1b8ad8c26b199p-8, 0x1.12e034abbb403p-8, 0x1.0a729946c76cap-8, 0x1.0240a54e22813p-8, 0x1.f491fa3724278p-9, 0x1.e51495486f088p-9, 0x1.d6067ae7cda16p-9, 0x1.c765154f62ae8p-9, 0x1.b92dd9cf62626p-9, 0x1.ab5e48c03d714p-9, 0x1.9df3ed737305ep-9, 0x1.90ec5e2324151p-9, 0x1.84453be06a50dp-9, 0x1.77fc32809a228p-9, 0x1.6c0ef8896a0b5p-9, 0x1.607b4f1c2251cp-9, 0x1.553f01dfd97e1p-9, 0x1.4a57e6ead1e84p-9, 0x1.3fc3deab042b7p-9, 0x1.3580d3cdea31cp-9, 0x1.2b8cbb278bf97p-9, 0x1.21e59398ee29ap-9, 0x1.188965f5da04fp-9, 0x1.0f7644ea1bfffp-9, 0x1.06aa4cde38fb8p-9, 0x1.fc4747b75cceap-10, 0x1.ebc0f2e17a98ep-10, 0x1.dbbe0d27ab482p-10, 0x1.cc3b1b0d4bd76p-10, 0x1.bd34b371a92f4p-10, 0x1.aea77f54eacf4p-10, 0x1.a090399c807dp-10, 0x1.92ebaed710ba2p-10, 0x1.85b6bd001989bp-10, 0x1.78ee534337234p-10, 0x1.6c8f71bf2838ep-10, 0x1.609729489f92p-10, 0x1.55029b2cf19f6p-10, 0x1.49cef8f4a3a8ep-10, 0x1.3ef98425ed783p-10, 0x1.347f8e073682fp-10, 0x1.2a5e7761a1b77p-10, 0x1.2093b043a12b7p-10, 0x1.171cb7c3add2p-10, 0x1.0df71bc322189p-10, 0x1.052078b143cdcp-10, 0x1.f92cf29d06929p-11, 0x1.e8adacdff7166p-11, 0x1.d8bead866fde2p-11, 0x1.c95b9d2490798p-11, 0x1.ba803f1050c03p-11, 0x1.ac2870eb09ce8p-11, 0x1.9e502a2bbe2ebp-11, 0x1.90f37baa31a09p-11, 0x1.840e8f2ad826dp-11, 0x1.779da6ebaa15bp-11, 0x1.6b9d1d31e1323p-11, 0x1.600963d8ad838p-11, 0x1.54df03e0e5e49p-11, 0x1.4a1a9d01bf25bp-11, 0x1.3fb8e53a8e772p-11, 0x1.35b6a865a0937p-11, 0x1.2c10c7cc27af3p-11, 0x1.22c439bb4ac46p-11, 0x1.19ce091a5999p-11, 0x1.112b550227891p-11, 0x1.08d9505597353p-11, 0x1.00d5415b55822p-11, 0x1.f23902b196b04p-12, 0x1.e358f85c8f6b5p-12, 0x1.d5055fe8cc449p-12, 0x1.c739593562927p-12, 0x1.b9f0270f13385p-12, 0x1.ad252e7294bbbp-12, 0x1.a0d3f5d16c9f6p-12, 0x1.94f824594fe96p-12, 0x1.898d813e10aeap-12, 0x1.7e8ff3061cb1cp-12, 0x1.73fb7ed98b48p-12, 0x1.69cc47d3b99d9p-12, 0x1.5ffe8e577b349p-12, 0x1.568eaf65d9a97p-12, 0x1.4d7923f764318p-12, 0x1.44ba80580ed24p-12, 0x1.3c4f7385a06bbp-12, 0x1.3434c690aa2dfp-12, 0x1.2c675c000abacp-12, 0x1.24e42f36f9cb3p-12, 0x1.1da853dd960cap-12, 0x1.16b0f54bf7e78p-12, 0x1.0ffb55f7c02f2p-12, 0x1.0984cee42246p-12, 0x1.034acf14685e5p-12, 0x1.fa95b601cfd94p-13, 0x1.ef05181ccacf3p-13, 0x1.e3df200fc93f1p-13, 0x1.d91f5135b873ep-13, 0x1.cec155ab9c3b3p-13, 0x1.c4c0fd526db1fp-13, 0x1.bb1a3cd5b4a2ep-13, 0x1.b1c92cb6b688ap-13, 0x1.a8ca085c4b68ep-13, 0x1.a0192d27339c5p-13, 0x1.97b3198afb1ddp-13, 0x1.8f946c2b48286p-13, 0x1.87b9e2fd9b703p-13, 0x1.80205a6f6f0e1p-13, 0x1.78c4cc90a04b7p-13, 0x1.71a450422702bp-13, 0x1.6abc1869015c7p-13, 0x1.64097325504ddp-13, 0x1.5d89c90d8d6e8p-13, 0x1.573a9c6dd93dbp-13, 0x1.5119888b4c3a4p-13, 0x1.4b2440eb42b12p-13, 0x1.4558909e92258p-13, 0x1.3fb459909bb6dp-13, 0x1.3a3593da37032p-13, 0x1.34da4d18534c1p-13, 0x1.2fa0a7c65f14dp-13, 0x1.2a86da9c4a162p-13, 0x1.258b2ff02c58p-13, 0x1.20ac051b76846p-13, 0x1.1be7c9e3a7d8ep-13, 0x1.173cffe66f983p-13, 0x1.12aa3a093e7ccp-13, 0x1.0e2e1bec298cp-13, 0x1.09c7596018e36p-13, 0x1.0574b5e0397d1p-13, 0x1.0135040e9d347p-13, 0x1.fa0e4a67f5442p-14, 0x1.f1d4118514344p-14, 0x1.e9b957b7d62e6p-14, 0x1.e1bc31b401e5cp-14, 0x1.d9dacdb58fa86p-14, 0x1.d213729e0832ep-14, 0x1.ca647f179c16cp-14, 0x1.c2cc68bdcc107p-14, 0x1.bb49bb4b87491p-14, 0x1.b3db17ceabb17p-14, 0x1.ac7f33e0d4a68p-14, 0x1.a534d8e54ca2bp-14, 0x1.9dfae34c295f7p-14, 0x1.96d041da53b5bp-14, 0x1.8fb3f4f682fc8p-14, 0x1.88a50dfb035ep-14, 0x1.81a2ae8c36bd4p-14, 0x1.7aac07f3b4133p-14, 0x1.73c05a7ff286fp-14, 0x1.6cdef4e867644p-14, 0x1.660733b5ff864p-14, 0x1.5f3880afe178dp-14, 0x1.5872524c5cf09p-14, 0x1.51b42b25f78f4p-14, 0x1.4afd99747d617p-14, 0x1.444e368a00b97p-14, 0x1.3da5a653b5f3p-14, 0x1.370396de94c9dp-14, 0x1.3067bfdfaae66p-14, 0x1.29d1e2400c2e7p-14, 0x1.2341c7ac4c7bcp-14, 0x1.1cb742276e5fep-14, 0x1.16322ba135d63p-14, 0x1.0fb2658fc7a89p-14, 0x1.0937d88c87d49p-14, 0x1.02c273f41efc9p-14, 0x1.f8a45b133266fp-15, 0x1.ebce023911094p-15, 0x1.df01e064388aap-15, 0x1.d240036233182p-15, 0x1.c588832146a99p-15, 0x1.b8db811388e5dp-15, 0x1.ac3927974cd7cp-15, 0x1.9fa1a964cf6dcp-15, 0x1.93154100ffd23p-15, 0x1.86943035432f4p-15, 0x1.7a1ebf8c17c34p-15, 0x1.6db53dd274544p-15, 0x1.6157ff9dc78b2p-15, 0x1.55075ed67bd53p-15, 0x1.48c3ba46db683p-15, 0x1.3c8d752e41acfp-15, 0x1.3064f6d8743bfp-15, 0x1.244aaa390d71ap-15, 0x1.183efd8adbc78p-15, 0x1.0c4261f31a90ap-15, 0x1.00554b286a288p-15, 0x1.e8f05e3adb471p-16, 0x1.d1570b5ded2b4p-16, 0x1.b9df90ab42c8fp-16, 0x1.a28ae3b59ed0cp-16, 0x1.8b59fc21c63d1p-16, 0x1.744dd31d502b4p-16, 0x1.5d6762dba07d9p-16, 0x1.46a7a618db8c4p-16, 0x1.300f97a2b0509p-16, 0x1.19a031e6c46f5p-16, 0x1.035a6e86962ddp-16, 0x1.da7e8be1706f1p-17, 0x1.ae9f5dfe60e22p-17, 0x1.83193d35b2d6p-17, 0x1.57ee0ec739534p-17, 0x1.2d1fb2babdfabp-17, 0x1.02b003430174fp-17, 0x1.b141a85302aebp-18, 0x1.5de7e485a5913p-18, 0x1.0b5645d682a9ep-18, 0x1.73208e2dbb295p-19, 0x1.a2654925944c3p-20, 0x1.874bfc9eeeba6p-22, -0x1.b6d153e2984f1p-21, -0x1.0aa0739537a8ep-19, -0x1.a5d49e79afdedp-19, -0x1.1fa5606adb6ap-18, -0x1.6b7e77fcfb96p-18, -0x1.b672b6348186ap-18, -0x1.003fa8b42ff35p-17, -0x1.24d0cb3b4dc6dp-17, -0x1.48eb749566dc3p-17, -0x1.6c8e624d141fp-17, -0x1.8fb85dbaac90ap-17, -0x1.b2683c2864258p-17, -0x1.d49cdef1ace5p-17, -0x1.f655339e2b942p-17, -0x1.0bc819fc283f3p-16, -0x1.1c26730fe67f9p-16, -0x1.2c452e4c0713p-16, -0x1.3c23db2973d96p-16, -0x1.4bc20f5bcc995p-16, -0x1.5b1f66d327ebdp-16, -0x1.6a3b83bc25f7dp-16, -0x1.79160e7e6b565p-16, -0x1.87aeb5b993f75p-16, -0x1.96052e40ad2aep-16, -0x1.a41933144bb2dp-16, -0x1.b1ea855b4db83p-16, -0x1.bf78ec5a5aa77p-16, -0x1.ccc4356a29998p-16, -0x1.d9cc33eca5586p-16, -0x1.e690c140fbb05p-16, -0x1.f311bcb6a394bp-16, -0x1.ff4f0b7f6711dp-16, -0x1.05a44c50423fap-15, -0x1.0b7f2a717828bp-15, -0x1.11381b616018p-15, -0x1.16cf1d2eeb8c1p-15, -0x1.1c4430b0e8e99p-15, -0x1.2197597ca33dap-15, -0x1.26c89ddc3205ap-15, -0x1.2bd806c478f9dp-15, -0x1.30c59fcae6a26p-15, -0x1.3591771aeb39ep-15, -0x1.3a3b9d6b36ffp-15, -0x1.3ec425f2bd6f8p-15, -0x1.432b265d87844p-15, -0x1.4770b6c154909p-15, -0x1.4b94f192126b2p-15, -0x1.4f97f3962c84dp-15, -0x1.5379dbdab8c4fp-15, -0x1.573acba789038p-15, -0x1.5adae6731b023p-15, -0x1.5e5a51d676bdbp-15, -0x1.61b93580f32a6p-15, -0x1.64f7bb2bf07e4p-15, -0x1.68160e8e7c80bp-15, -0x1.6b145d50f454ap-15, -0x1.6df2d70098352p-15, -0x1.70b1ad031d65bp-15, -0x1.7351128a3d9bep-15, -0x1.75d13c8745b17p-15, -0x1.7832619ea67fp-15, -0x1.7a74ba1b8e00fp-15, -0x1.7c987fe38471fp-15, -0x1.7e9dee6a13d93p-15, -0x1.808542a47c907p-15, -0x1.824ebafd75adep-15, -0x1.83fa9748ff15ap-15, -0x1.858918b8413cp-15, -0x1.86fa81cd839a5p-15, -0x1.884f16503698dp-15, -0x1.89871b411148fp-15, -0x1.8aa2d6ce4b39dp-15, -0x1.8ba29047ea7aap-15, -0x1.8c8690142fdf6p-15, -0x1.8d4f1fa41d379p-15, -0x1.8dfc89681689dp-15, -0x1.8e8f18c4a4751p-15, -0x1.8f071a0753c11p-15, -0x1.8f64da5bb4468p-15, -0x1.8fa8a7c078fd5p-15, -0x1.8fd2d0fcbaa15p-15, -0x1.8fe3a5955b1f7p-15, -0x1.8fdb75c28d0b5p-15, -0x1.8fba92657f1bbp-15, -0x1.8f814cfe2c0a5p-15, -0x1.8f2ff7a14e1f6p-15, -0x1.8ec6e4ee79a5ep-15, -0x1.8e4668065d91p-15, -0x1.8daed4812a51fp-15, -0x1.8d007e651dca3p-15, -0x1.8c3bba1d39c13p-15, -0x1.8b60dc701e615p-15, -0x1.8a703a77104d3p-15, -0x1.896a299522041p-15, -0x1.884eff6e89968p-15, -0x1.871f11e01da15p-15, -0x1.85dab6f6f8d49p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.1b5b6ca245649p-3, -0x1.333cad7b3952ap-3, -0x1.4a93ae9e4a4e1p-3, -0x1.61707291bf97ap-3, -0x1.77dec1d4c8f9fp-3, -0x1.8de642c7b958cp-3, -0x1.a38ad3df491c6p-3, -0x1.b8cd0e21ff404p-3, -0x1.cdaadc12c1b44p-3, -0x1.e2201665304a6p-3, -0x1.f6271c233dd52p-3, -0x1.04dcafad4fba9p-2, -0x1.0e67f10b2c755p-2, -0x1.17b1d0b962afdp-2, -0x1.20b6f70df4b71p-2, -0x1.2974594c6f87bp-2, -0x1.31e75440a173dp-2, -0x1.3a0dbf1769098p-2, -0x1.41e5f75ebf099p-2, -0x1.496ee7229030ap-2, -0x1.50a8061a3d9c5p-2, -0x1.579156cf1d2f6p-2, -0x1.5e2b60928cabfp-2, -0x1.64772704c63c3p-2, -0x1.6a761fd6878cp-2, -0x1.702a2758603e2p-2, -0x1.75957453efa38p-2, -0x1.7aba8b9648bcep-2, -0x1.7f9c337f73f88p-2, -0x1.843d67d9d09b2p-2, -0x1.88a14e2cf1ffbp-2, -0x1.8ccb2ab28abbcp-2, -0x1.90be5608cf2e2p-2, -0x1.947e33b45f936p-2, -0x1.980e297c1d202p-2, -0x1.9b7197a2f79f9p-2, -0x1.9eabd1fec8bd2p-2, -0x1.a1c019e7667ap-2, -0x1.a4b198f607782p-2, -0x1.a7835c8af9e14p-2, -0x1.aa38520e01c23p-2, -0x1.acd343dccd3f3p-2, -0x1.af56d6da417d7p-2, -0x1.b1c588913b8b3p-2, -0x1.b421addd60ff8p-2, -0x1.b66d720cf15c1p-2, -0x1.b8aad66ee4488p-2, -0x1.badbb24146f96p-2, -0x1.bd01b2f451aeep-2, -0x1.bf1e5cb781bd7p-2, -0x1.c1330b469b718p-2, -0x1.c340f2ed5455ap-2, -0x1.c54921b9098e4p-2, -0x1.c74c80d0b4426p-2, -0x1.c94bd5ebef016p-2, -0x1.cb47c4e2a2cb8p-2, -0x1.cd40d14f7f207p-2, -0x1.cf3760400f11p-2, -0x1.d12bb9edc99d1p-2, -0x1.d31e0b7bff98ap-2, -0x1.d50e68b710c78p-2, -0x1.d6fccdd1c0449p-2, -0x1.d8e9211df230ep-2, -0x1.dad334be79e4ep-2, -0x1.dcbac84ffd8bep-2, -0x1.de9f8a8744fdap-2, -0x1.e0811ac3931ccp-2, -0x1.e25f0a93ecbc7p-2, -0x1.e438df2e66973p-2, -0x1.e60e12d8d4f9bp-2, -0x1.e7de1642545a1p-2, -0x1.e9a851cd5de38p-2, -0x1.eb6c26ca34124p-2, -0x1.ed28f0a196a7cp-2, -0x1.eede05efc8161p-2, -0x1.f08ab990063e7p-2, -0x1.f22e5b98ae5fep-2, -0x1.f3c83a484f0d2p-2, -0x1.f557a2e401742p-2, -0x1.f6dbe287641e1p-2, -0x1.f85446e6a5fdap-2, -0x1.f9c01f03109ffp-2, -0x1.fb1ebbd281a6ap-2, -0x1.fc6f70da54d8bp-2, -0x1.fdb194be374afp-2, -0x1.fee481c35c233p-2, -0x1.0003cb244cc49p-1, -0x1.008d1a99f0b8bp-1, -0x1.010de32acb8f4p-1, -0x1.0185db611c7cdp-1, -0x1.01f4bc916b30bp-1, -0x1.025a42fe628e6p-1, -0x1.02b62df88312cp-1, -0x1.03083ff9e72bdp-1, -0x1.03503ebe49ab5p-1, -0x1.038df357854e5p-1, -0x1.03c12a3ebdba8p-1, -0x1.03e9b3626289bp-1, -0x1.0407623137ef8p-1, -0x1.041a0da292b4dp-1, -0x1.0421903bf2a47p-1, -0x1.041dc81420913p-1, -0x1.040e96d3f94e7p-1, -0x1.03f3e1b50a538p-1, -0x1.03cd917e221f5p-1, -0x1.039b927df6e3cp-1, -0x1.035dd48403cb2p-1, -0x1.03144ad7bba13p-1, -0x1.02beec2e2ec85p-1, -0x1.025db29e3edd9p-1, -0x1.01f09b937d4b9p-1, -0x1.0177a7bfcddd2p-1, -0x1.00f2db0be2dd5p-1, -0x1.00623c86b0032p-1, -0x1.ff8baca7caa21p-2, -0x1.fe3b6b3311fc9p-2, -0x1.fcd3d4d98cd0ap-2, -0x1.fb550f7c06d5bp-2, -0x1.f9bf46889fd36p-2, -0x1.f812aad0840a2p-2, -0x1.f64f725c9af6cp-2, -0x1.f475d84154781p-2, -0x1.f2861c71ae483p-2, -0x1.f080839190937p-2, -0x1.ee6556c79e432p-2, -0x1.ec34e38e9835ep-2, -0x1.e9ef7b8663ab6p-2, -0x1.e7957444d8d5ap-2, -0x1.e527272666c05p-2, -0x1.e2a4f11eaae87p-2, -0x1.e00f32890a24cp-2, -0x1.dd664ef96858ap-2, -0x1.daaaad0d0acf1p-2, -0x1.d7dcb63bb97adp-2, -0x1.d4fcd6a934371p-2, -0x1.d20b7cf70707p-2, -0x1.cf091a16d190ep-2, -0x1.cbf6211d0c611p-2, -0x1.c8d307145d8dap-2, -0x1.c5a042d18829fp-2, -0x1.c25e4cc800a7p-2, -0x1.bf0d9edf35157p-2, -0x1.bbaeb44892148p-2, -0x1.b84209564daa7p-2, -0x1.b4c81b5301431p-2, -0x1.b141685a1dd27p-2, -0x1.adae6f313ef36p-2, -0x1.aa0faf2261d7p-2, -0x1.a665a7d70da86p-2, -0x1.a2b0d9346ba1bp-2, -0x1.9ef1c33859613p-2, -0x1.9b28e5d7734afp-2, -0x1.9756c0dc2428cp-2, -0x1.937bd3c6b5326p-2, -0x1.8f989dae64a5cp-2, -0x1.8bad9d2384415p-2, -0x1.87bb5012a476bp-2, -0x1.83c233a8c70f3p-2, -0x1.7fc2c438a2eddp-2, -0x1.7bbd7d20edf2p-2, -0x1.77b2d8b3b949bp-2, -0x1.73a3501ed6f78p-2, -0x1.6f8f5b55488cap-2, -0x1.6b7770f9b9bap-2, -0x1.675c064a03a4cp-2, -0x1.633d8f0bb2d53p-2, -0x1.5f1c7d7993b6dp-2, -0x1.5af942323e2d7p-2, -0x1.56d44c279f606p-2, -0x1.52ae088f8068p-2, -0x1.4e86e2d500a2ep-2, -0x1.4a5f448b0736p-2, -0x1.4637955fa0b9fp-2, -0x1.42103b104deb9p-2, -0x1.3de9995f32389p-2, -0x1.39c412092bd5fp-2, -0x1.35a004bcc589cp-2, -0x1.317dcf12053dep-2, -0x1.2d5dcc830b7a5p-2, -0x1.2940566585fafp-2, -0x1.2525c3e4e7be6p-2, -0x1.210e69fd6bd47p-2, -0x1.1cfa9b77d3888p-2, -0x1.18eaa8e5e056dp-2, -0x1.14dee09f82352p-2, -0x1.10d78ec0b7177p-2, -0x1.0cd4fd2810b55p-2, -0x1.08d77375e330ap-2, -0x1.04df370c0e1bfp-2, -0x1.00ec8b0e6131ap-2, -0x1.f9ff60c729a25p-3, -0x1.f231cb6d9bcf4p-3, -0x1.ea70cef35eebbp-3, -0x1.e2bcdfcdd11bdp-3, -0x1.db166e0a8ac04p-3, -0x1.d37de5566e0f4p-3, -0x1.cbf3ad0596fa3p-3, -0x1.c478281c2d22dp-3, -0x1.bd0bb55803a42p-3, -0x1.b5aeaf3afde3fp-3, -0x1.ae616c1631822p-3, -0x1.a7243e15bc998p-3, -0x1.9ff7734d3c17bp-3, -0x1.98db55c4eaf75p-3, -0x1.91d02b8750db1p-3, -0x1.8ad636af773c7p-3, -0x1.83edb577ac394p-3, -0x1.7d16e248b3546p-3, -0x1.7651f3c96eb7ep-3, -0x1.6f9f1ceeebdccp-3, -0x1.68fe8d0cd0137p-3, -0x1.62706fe620869p-3, -0x1.5bf4edbe53402p-3, -0x1.558c2b6aabd3ep-3, -0x1.4f364a63da024p-3, -0x1.48f368d7ca7e9p-3, -0x1.42c3a1bbb2a43p-3, -0x1.3ca70cde3e7a1p-3, -0x1.369dbef9eb92p-3, -0x1.30a7c9c778234p-3, -0x1.2ac53c1072b0ep-3, -0x1.24f621c1d6e19p-3, -0x1.1f3a83feb86aap-3, -0x1.19926932f341fp-3, -0x1.13fdd525dd91ep-3, -0x1.0e7cc90cf6295p-3, -0x1.090f439e8a1f2p-3, -0x1.03b541244aa0dp-3, -0x1.fcdd771bb0659p-4, -0x1.f27755065aca3p-4, -0x1.e83806edee1ebp-4, -0x1.de1f737199c47p-4, -0x1.d42d7d0e884c1p-4, -0x1.ca620243cae54p-4, -0x1.c0bcddb5dd02cp-4, -0x1.b73de651ea6c7p-4, -0x1.ade4ef709db03p-4, -0x1.a4b1c8f8a2edcp-4, -0x1.9ba43f80af7d5p-4, -0x1.92bc1c713064bp-4, -0x1.89f926256fc1cp-4, -0x1.815b200c599f9p-4, -0x1.78e1cac8babeep-4, -0x1.708ce45107093p-4, -0x1.685c280e9c6d7p-4, -0x1.604f4efc857d4p-4, -0x1.58660fc5b169dp-4, -0x1.50a01ee2a6d49p-4, -0x1.48fd2eb6a87aap-4, -0x1.417cefac4e5efp-4, -0x1.3a1f10518dfedp-4, -0x1.32e33d733460bp-4, -0x1.2bc92237cb227p-4, -0x1.24d06839ed726p-4, -0x1.1df8b7a206ccp-4, -0x1.1741b73f7dee3p-4, -0x1.10ab0ca14aa2fp-4, -0x1.0a345c2df5d1dp-4, -0x1.03dd493b03dc4p-4, -0x1.fb4aec479288dp-5, -0x1.ef1908bf54a5cp-5, -0x1.e324292f89b24p-5, -0x1.d76b8d780a99fp-5, -0x1.cbee742f5149bp-5, -0x1.c0ac1aca5426fp-5, -0x1.b5a3bdc33d261p-5, -0x1.aad498befd8cap-5, -0x1.a03de6b1c18abp-5, -0x1.95dee20245c7bp-5, -0x1.8bb6c4ac0ff0fp-5, -0x1.81c4c8608f911p-5, -0x1.780826a728986p-5, -0x1.6e8018fc2c28fp-5, -0x1.652bd8eebfa75p-5, -0x1.5c0aa03db9721p-5, -0x1.531ba8f37611ep-5, -0x1.4a5e2d80a63b9p-5, -0x1.41d168d61e702p-5, -0x1.3974967da83a9p-5, -0x1.3146f2b1daad4p-5, -0x1.2947ba74fdfcap-5, -0x1.21762ba6ffd93p-5, -0x1.19d1851a78e2fp-5, -0x1.125906a8ccb53p-5, -0x1.0b0bf145648c2p-5, -0x1.03e987100b322p-5, -0x1.f9e216ccdc2a3p-6, -0x1.ec4385e9902a4p-6, -0x1.def5e78b748dcp-6, -0x1.d1f7caa2b1fb6p-6, -0x1.c547c116d8d4cp-6, -0x1.b8e45fe1e50d5p-6, -0x1.accc3f29b73c9p-6, -0x1.a0fdfa5821e23p-6, -0x1.9578303181b56p-6, -0x1.8a3982e9f9a13p-6, -0x1.7f4098394b64p-6, -0x1.748c196d66dc2p-6, -0x1.6a1ab37bac7b4p-6, -0x1.5feb1710eed98p-6, -0x1.55fbf8a03f5c1p-6, -0x1.4c4c10708e637p-6, -0x1.42da1aa9211bdp-6, -0x1.39a4d75ced201p-6, -0x1.30ab0a94e260cp-6, -0x1.27eb7c5926d3cp-6, -0x1.1f64f8b94a41ep-6, -0x1.17164fd388b72p-6, -0x1.0efe55db11078p-6, -0x1.071be31d65ecbp-6, -0x1.fedba80dadd89p-7, -0x1.efe6124c480d1p-7, -0x1.e154ce5e8fe91p-7, -0x1.d325adfaf51a8p-7, -0x1.c5568b28d80c9p-7, -0x1.b7e54841873b2p-7, -0x1.aacfcfefd5a57p-7, -0x1.9e14152e44bdep-7, -0x1.91b01343f0487p-7, -0x1.85a1cdc02cadcp-7, -0x1.79e75074ea0c6p-7, -0x1.6e7eaf7003731p-7, -0x1.636606f35b4aep-7, -0x1.589b7b6bf79dfp-7, -0x1.4e1d396815c79p-7, -0x1.43e9758c48221p-7, -0x1.39fe6c87a81c8p-7, -0x1.305a630728f69p-7, -0x1.26fba5a814fcfp-7, -0x1.1de088e9c1a86p-7, -0x1.1507691e82c96p-7, -0x1.0c6eaa5bea8b5p-7, -0x1.0414b86a5cebcp-7, -0x1.f7f00d6805839p-8, -0x1.e82e20664942dp-8, -0x1.d8e0aebfeeec9p-8, -0x1.ca04cc3bc5fdbp-8, -0x1.bb979b509924ap-8, -0x1.ad964cfdd90cap-8, -0x1.9ffe20a37065ep-8, -0x1.92cc63d8cf3bep-8, -0x1.85fe72433d5ebp-8, -0x1.7991b56b83e8ap-8, -0x1.6d83a492f9b51p-8, -0x1.61d1c4880631dp-8, -0x1.5679a77a2076bp-8, -0x1.4b78eccd5e553p-8, -0x1.40cd40ed9e141p-8, -0x1.36745d2155d03p-8, -0x1.2c6c075c140d6p-8, -0x1.22b21210c061ep-8, -0x1.19445c03a3d6dp-8, -0x1.1020d01c4366ap-8, -0x1.074565371a1d9p-8, -0x1.fd603bee70f83p-9, -0x1.ecbe112faa6dap-9, -0x1.dca07d7bb0a9bp-9, -0x1.cd03ca92cffd7p-9, -0x1.bde4584efdbebp-9, -0x1.af3e9c472c715p-9, -0x1.a10f2172d5fc8p-9, -0x1.935287cdc33bfp-9, -0x1.860583fc29227p-9, -0x1.7924deef1f5fap-9, -0x1.6cad7589882bbp-9, -0x1.609c384565dacp-9, -0x1.54ee2ad9b81afp-9, -0x1.49a063e0e43fbp-9, -0x1.3eb00c7fb58bcp-9, -0x1.341a600cfb1b8p-9, -0x1.29dcabb9d212bp-9, -0x1.1ff44e3aa2ceap-9, -0x1.165eb770d62dfp-9, -0x1.0d1968154fe1p-9, -0x1.0421f163b123p-9, -0x1.f6ebe98cd2fbp-10, -0x1.e626470747517p-10, -0x1.d5ee7cd612efep-10, -0x1.c6402b08d8a9ap-10, -0x1.b7170f7ea9137p-10, -0x1.a86f0546f9f93p-10, -0x1.9a44040477d46p-10, -0x1.8c921f51c8e87p-10, -0x1.7f55862833627p-10, -0x1.728a824847212p-10, -0x1.662d77a475c39p-10, -0x1.5a3ae3cdb0a07p-10, -0x1.4eaf5d6212495p-10, -0x1.4387937d8195p-10, -0x1.38c04d2c74793p-10, -0x1.2e5668e0b20dp-10, -0x1.2446dbe82fd93p-10, -0x1.1a8eb1e5ff354p-10, -0x1.112b0c4d51715p-10, -0x1.081921de91ad8p-10, -0x1.feac7c4d28f66p-11, -0x1.edbf81ffbcd1bp-11, -0x1.dd663c2c052f9p-11, -0x1.cd9bb8d62944dp-11, -0x1.be5b2bbe6144ep-11, -0x1.af9fed742b7b9p-11, -0x1.a1657a6da3f84p-11, -0x1.93a77222fba47p-11, -0x1.8661962e08b15p-11, -0x1.798fc96deaba7p-11, -0x1.6d2e0f2ebeca2p-11, -0x1.61388a555a3ep-11, -0x1.55ab7c8f07cfdp-11, -0x1.4a8345853dc2ap-11, -0x1.3fbc621545fddp-11, -0x1.35536b8bd0e28p-11, -0x1.2b4516e468457p-11, -0x1.218e340cbae56p-11, -0x1.182bad2bb6afdp-11, -0x1.0f1a85ec697e1p-11, -0x1.0657dacc9a8f3p-11, -0x1.fbc1c0de31621p-12, -0x1.eb65c5e355417p-12, -0x1.db968a8d41065p-12, -0x1.cc4f0123e4d5dp-12, -0x1.bd8a4713cd069p-12, -0x1.af43a3b6648adp-12, -0x1.a1768721151b4p-12, -0x1.941e88fb2d452p-12, -0x1.8737675a7a56bp-12, -0x1.7abd05a675be9p-12, -0x1.6eab6b81f7p-12, -0x1.62fec3bb4b9ccp-12, -0x1.57b35b42a197p-12, -0x1.4cc5a026a4919p-12, -0x1.4232209741656p-12, -0x1.37f589ee6c988p-12, -0x1.2e0ca7bed6fe7p-12, -0x1.247462e8798aep-12, -0x1.1b29c0b2ddc41p-12, -0x1.1229e1ed0d369p-12, -0x1.09720213070adp-12, -0x1.00ff7678b15fdp-12, -0x1.f19f5af43f61bp-13, -0x1.e1c05b623969bp-13, -0x1.d25d2a5fc7cebp-13, -0x1.c3713181cd664p-13, -0x1.b4f80657205ecp-13, -0x1.a6ed68fbd7edp-13, -0x1.994d42b628544p-13, -0x1.8c13a49ca942cp-13, -0x1.7f3cc645db44cp-13, -0x1.72c50480a527fp-13, -0x1.66a8e015c131fp-13, -0x1.5ae4fc91c3b41p-13, -0x1.4f761f17b3c53p-13, -0x1.44592d3bea7acp-13, -0x1.398b2be721347p-13, -0x1.2f093e417388bp-13, -0x1.24d0a4a53c7fap-13, -0x1.1adebb998d5c1p-13, -0x1.1130fad422edbp-13, -0x1.07c4f442b0e29p-13, -0x1.fd30a63694b58p-14, -0x1.eb51b5e7a43ecp-14, -0x1.d9e8cdc078e32p-14, -0x1.c8f1d12f023d5p-14, -0x1.b868cf3e1fd24p-14, -0x1.a84a00f95de95p-14, -0x1.9891c7dd1239ep-14, -0x1.893cac52b57aap-14, -0x1.7a475c390d8f4p-14, -0x1.6baea977f782cp-14, -0x1.5d6f889f7f56ap-14, -0x1.4f870f91ff65ep-14, -0x1.41f2743904e27p-14, -0x1.34af0b44b32cp-14, -0x1.27ba46f563b43p-14, -0x1.1b11b5ef40544p-14, -0x1.0eb302179795ep-14, -0x1.029bef7baacd8p-14, -0x1.ed94b681701c9p-15, -0x1.d678753a05cbep-15, -0x1.bfdf33b33c2bcp-15, -0x1.a9c536b97b179p-15, -0x1.9426ed78a8dbbp-15, -0x1.7f00efb18fda1p-15, -0x1.6a4ffbfefcf5ap-15, -0x1.5610f62a293dbp-15, -0x1.4240e58e031f3p-15, -0x1.2edcf388f296ap-15, -0x1.1be269fca8b28p-15, -0x1.094eb1db9e865p-15, -0x1.ee3ea387bbe8ap-16, -0x1.caa3d94d5f917p-16, -0x1.a7c880f9ad0b2p-16, -0x1.85a84a0ded804p-16, -0x1.643f1533a3d4bp-16, -0x1.4388f1ebf6837p-16, -0x1.23821c5568c5dp-16, -0x1.0426fb0726f19p-16, -0x1.cae83a02b1a42p-17, -0x1.8ecc6f638e929p-17, -0x1.53f44a1871b48p-17, -0x1.1a59c36be9235p-17, -0x1.c3ee2d0f2b4d1p-18, -0x1.558d7a285a1a8p-18, -0x1.d30daff1212a8p-19, -0x1.ff408287462e8p-20, -0x1.85f989d43e809p-22, 0x1.33505bed187b9p-20, 0x1.5fa7cbcd35ad9p-19, 0x1.10a871fa477e8p-18, 0x1.6f5a04277021fp-18, 0x1.cbf095484affdp-18, 0x1.1339e95c085e5p-17, 0x1.3f75915b95511p-17, 0x1.6aaed44eaeb1ep-17, 0x1.94e9246dd4fc9p-17, 0x1.be27d667b84b4p-17, 0x1.e66e233453c56p-17, 0x1.06df94e91affep-16, 0x1.1a0ef8776cc97p-16, 0x1.2cc6b43d5fa7fp-16, 0x1.3f083594fc39ep-16, 0x1.50d4dff0f3de4p-16, 0x1.622e0d8a6b395p-16, 0x1.731510060ba96p-16, 0x1.838b3110a1901p-16, 0x1.9391b2f3a68e5p-16, 0x1.a329d121f9fd4p-16, 0x1.b254c0bd19ca7p-16, 0x1.c113b1131d49p-16, 0x1.cf67cc15c4d5fp-16, 0x1.dd5236cad683ep-16, 0x1.ead411b612bfp-16, 0x1.f7ee793d01c2fp-16, 0x1.025143026a209p-15, 0x1.0878a6a54bacp-15, 0x1.0e6df09afc324p-15, 0x1.1431a89366a27p-15, 0x1.19c454fecf83ep-15, 0x1.1f267b2fb3a72p-15, 0x1.24589f7a5b912p-15, 0x1.295b45523cdbp-15, 0x1.2e2eef654036cp-15, 0x1.32d41fb508edep-15, 0x1.374b57ae4c9d5p-15, 0x1.3b95183e59747p-15, 0x1.3fb1e1e6d9baep-15, 0x1.43a234cfed7a8p-15, 0x1.476690d8ad658p-15, 0x1.4aff75a62a10dp-15, 0x1.4e6d62b0f7013p-15, 0x1.51b0d7515b7bdp-15, 0x1.54ca52ca2ff27p-15, 0x1.57ba5452836d8p-15, 0x1.5a815b1e10283p-15, 0x1.5d1fe66494448p-15, 0x1.5f9675681d007p-15, 0x1.61e5877a50ac5p-15, 0x1.640d9c00c6e05p-15, 0x1.660f32787ecb4p-15, 0x1.67eaca7878a68p-15, 0x1.69a0e3b38a72p-15, 0x1.6b31fdf970b1p-15, 0x1.6c9e99372e9cdp-15, 0x1.6de73576c3ec2p-15, 0x1.6f0c52de469a5p-15, 0x1.700e71ae6784ep-15, 0x1.70ee12406d681p-15, 0x1.71abb503b21e4p-15, 0x1.7247da7aa3ee2p-15, 0x1.72c303375c90dp-15, 0x1.731dafd7cf03p-15, 0x1.735861019977p-15, 0x1.7373975d7d904p-15, 0x1.736fd3928b851p-15, 0x1.734d9641041cep-15, 0x1.730d5ffcf8bf5p-15, 0x1.72afb148afb55p-15, 0x1.72350a8ed3cf6p-15, 0x1.719dec1c747dp-15, 0x1.70ead61adaa8dp-15, 0x1.701c48893aa1p-15, 0x1.6f32c33645374p-15, 0x1.6e2ec5b99cc61p-15, 0x1.6d10cf6d3832ap-15, 0x1.6bd95f66ad6e9p-15, 0x1.6a88f470740c9p-15, 0x1.69200d0319c83p-15, 0x1.679f273e72022p-15, 0x1.6606c0e2c3131p-15, 0x1.64575749f289ep-15, 0x1.62916760b6d17p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c08114f8b4258p-1, 0x1.bf4372b69bd5cp-1, 0x1.bdee75702ceb7p-1, 0x1.bc861de9a164cp-1, 0x1.bb0dba774e145p-1, 0x1.b987d847f9ef9p-1, 0x1.b7f647b6ad5bdp-1, 0x1.b65a2d3b9e46fp-1, 0x1.b4b419d39bdf4p-1, 0x1.b30426ed779c9p-1, 0x1.b14a13020e953p-1, 0x1.af855ce290f67p-1, 0x1.adb55c7ffe124p-1, 0x1.abd9587a5ebb8p-1, 0x1.a9f0982c56409p-1, 0x1.a7fa722f2927bp-1, 0x1.a5f65782e97a1p-1, 0x1.a3e3dba3eb4efp-1, 0x1.a1c2b9e6c021fp-1, 0x1.9f92d87a9ae2p-1, 0x1.9d54497216db5p-1, 0x1.9b074a2e24fcbp-1, 0x1.98ac418010126p-1, 0x1.9643bccf31509p-1, 0x1.93ce6c85f026p-1, 0x1.914d2000a90e2p-1, 0x1.8ec0c1304bbe2p-1, 0x1.8c2a501a52759p-1, 0x1.898ade582ec57p-1, 0x1.86e38ab17d5adp-1, 0x1.84357ce651aep-1, 0x1.8181e1b9ab4c2p-1, 0x1.7ec9e7479b99fp-1, 0x1.7c0eb9aecb4f7p-1, 0x1.79518011d36b8p-1, 0x1.769359f22e699p-1, 0x1.73d55ce45fdb6p-1, 0x1.7118929b33082p-1, 0x1.6e5df7469f30cp-1, 0x1.6ba67841dbf7fp-1, 0x1.68f2f30b7a543p-1, 0x1.66443481e179bp-1, 0x1.639af85e42665p-1, 0x1.60f7e8e801d4cp-1, 0x1.5e5b9eda99e29p-1, 0x1.5bc6a1781a19fp-1, 0x1.593966c2a3f72p-1, 0x1.56b453d78944dp-1, 0x1.5437bd6704c6ap-1, 0x1.51c3e843dc4f9p-1, 0x1.4f590a06a089p-1, 0x1.4cf749c09472p-1, 0x1.4a9ec0bab145cp-1, 0x1.484f7b3d8cd4fp-1, 0x1.4609795f4df7p-1, 0x1.43ccafd524614p-1, 0x1.419908c61476cp-1, 0x1.3f6e649d2c3d9p-1, 0x1.3d4c9ad97b7bp-1, 0x1.3b337ada6fc97p-1, 0x1.3922cca766f0ap-1, 0x1.371a51b183a36p-1, 0x1.3519c58efe477p-1, 0x1.3320deaf55de7p-1, 0x1.312f4f07e8c74p-1, 0x1.2f44c4b8a1566p-1, 0x1.2d60eaa878423p-1, 0x1.2b836919b20f7p-1, 0x1.29abe635c37b7p-1, 0x1.27da0690eb9e5p-1, 0x1.260d6da591695p-1, 0x1.2445be478ba49p-1, 0x1.22829b0f7ebf1p-1, 0x1.20c3a6be825afp-1, 0x1.1f08849a4faeap-1, 0x1.1d50d8c232c79p-1, 0x1.1b9c487d0902ep-1, 0x1.19ea7a8090067p-1, 0x1.183b173250a65p-1, 0x1.168dc8e26bdeap-1, 0x1.14e23c0097f0ap-1, 0x1.13381f4b94e39p-1, 0x1.118f23fb5f712p-1, 0x1.0fe6fde66dc8fp-1, 0x1.0e3f63a236635p-1, 0x1.0c980e9f4a8c4p-1, 0x1.0af0bb4141213p-1, 0x1.094928f2b53bcp-1, 0x1.07a11a35937fap-1, 0x1.05f854aff32f9p-1, 0x1.044ea135b238ep-1, 0x1.02a3cbcf0b316p-1, 0x1.00f7a3bc5a0dbp-1, 0x1.fe93f6ee82846p-2, 0x1.fb355162bd2dfp-2, 0x1.f7d308a17751ep-2, 0x1.f46cd4d452c02p-2, 0x1.f102747357e9ep-2, 0x1.ed93ac323f875p-2, 0x1.ea2046ea7bb09p-2, 0x1.e6a8158241109p-2, 0x1.e32aeed0dbd76p-2, 0x1.dfa8af8087656p-2, 0x1.dc2139ee0f0ep-2, 0x1.d894760668c3bp-2, 0x1.d5025122850c4p-2, 0x1.d16abde188239p-2, 0x1.cdcdb4019aeb1p-2, 0x1.ca2b30378558bp-2, 0x1.c683340536e65p-2, 0x1.c2d5c58f73fb5p-2, 0x1.bf22ef72be4dcp-2, 0x1.bb6ac097aacf6p-2, 0x1.b7ad4c06c22cbp-2, 0x1.b3eaa8bc0b893p-2, 0x1.b022f17a64373p-2, 0x1.ac56449ebb4a1p-2, 0x1.a884c3f353501p-2, 0x1.a4ae94831ee0fp-2, 0x1.a0d3de6d4d8d1p-2, 0x1.9cf4ccb928675p-2, 0x1.99118d2a46147p-2, 0x1.952a50153599cp-2, 0x1.913f4834a8466p-2, 0x1.8d50aa7f31958p-2, 0x1.895eadfda7982p-2, 0x1.85698ba235ee3p-2, 0x1.81717e202ac9ap-2, 0x1.7d76c1c49002dp-2, 0x1.7979944f93c36p-2, 0x1.757a34cecf4bap-2, 0x1.7178e378742c5p-2, 0x1.6d75e187630a3p-2, 0x1.6971711836086p-2, 0x1.656bd50745e2dp-2, 0x1.616550cfabec1p-2, 0x1.5d5e286b42b0ep-2, 0x1.5956a033b0b08p-2, 0x1.554efcc477e2cp-2, 0x1.514782de1034ap-2, 0x1.4d40774a0b383p-2, 0x1.493a1ec04882cp-2, 0x1.4534bdcd310b5p-2, 0x1.413098b901046p-2, 0x1.3d2df3701d8cap-2, 0x1.392d116c7242p-2, 0x1.352e359fd878bp-2, 0x1.3131a25f81eebp-2, 0x1.2d3799506a7fcp-2, 0x1.29405b54c6bdp-2, 0x1.254c287a727b5p-2, 0x1.215b3fea568ep-2, 0x1.1d6ddfd8c61d3p-2, 0x1.19844576cc1e5p-2, 0x1.159eace4680dfp-2, 0x1.11bd5123b1ff7p-2, 0x1.0de06c0ce27eep-2, 0x1.0a0836433b2f8p-2, 0x1.0634e72ac67bdp-2, 0x1.0266b4def0883p-2, 0x1.fd3ba853d4099p-3, 0x1.f5b4f0f9b60cdp-3, 0x1.ee39a7d1a5fa3p-3, 0x1.e6ca2e30ffcb9p-3, 0x1.df66e2952e555p-3, 0x1.d8102099ecb39p-3, 0x1.d0c640f0dfa56p-3, 0x1.c989995a7fcb9p-3, 0x1.c25a7ca045d74p-3, 0x1.bb393a901443p-3, 0x1.b4261ff8c7b66p-3, 0x1.ad2176a7ee15ap-3, 0x1.a62b856891c34p-3, 0x1.9f4490030e866p-3, 0x1.986cd73deace2p-3, 0x1.91a498df9e738p-3, 0x1.8aec0fb14a7f3p-3, 0x1.84437382486f8p-3, 0x1.7daaf92c93a3dp-3, 0x1.7722d299f9924p-3, 0x1.70ab2eca0a9fdp-3, 0x1.6a4439d8ba039p-3, 0x1.63ee1d05b3bdap-3, 0x1.5da8febc4b9bfp-3, 0x1.5775029c046adp-3, 0x1.51524981a929ep-3, 0x1.4b40f190ea313p-3, 0x1.4541163e749b2p-3, 0x1.3f52d05a7f8c3p-3, 0x1.3976361bc76dep-3, 0x1.33ab5b2ae4a5p-3, 0x1.2df250ae03092p-3, 0x1.284b2554eeaf1p-3, 0x1.22b5e565646dap-3, 0x1.1d329ac7b0abdp-3, 0x1.17c14d1384b83p-3, 0x1.1262019d01c7cp-3, 0x1.0d14bb81ffc5dp-3, 0x1.07d97bb76be3p-3, 0x1.02b04116db0a3p-3, 0x1.fb3210d866687p-4, 0x1.f1279906d02b2p-4, 0x1.e7410c6cb0ae6p-4, 0x1.dd7e58f54cd4ap-4, 0x1.d3df68df5b025p-4, 0x1.ca6422d8cd65fp-4, 0x1.c10c6a1abdac7p-4, 0x1.b7d81e8535868p-4, 0x1.aec71cbaf56bcp-4, 0x1.a5d93e3d14a98p-4, 0x1.9d0e598688d1p-4, 0x1.9466422782387p-4, 0x1.8be0c8e0927a5p-4, 0x1.837dbbbda9702p-4, 0x1.7b3ce630cbfb7p-4, 0x1.731e112c8ed25p-4, 0x1.6b21033e47efp-4, 0x1.634580a7f6fe3p-4, 0x1.5b8b4b79dbff5p-4, 0x1.53f223abb9faep-4, 0x1.4c79c735c0872p-4, 0x1.4521f2291ae0dp-4, 0x1.3dea5ec81de76p-4, 0x1.36d2c59e13efep-4, 0x1.2fdadd96a28e2p-4, 0x1.29025c14c9cebp-4, 0x1.2248f50976b81p-4, 0x1.1bae5b09aad61p-4, 0x1.15323f64343cdp-4, 0x1.0ed45236f65c5p-4, 0x1.08944283bfc7p-4, 0x1.0271be44af07p-4, 0x1.f8d8e500432a5p-5, 0x1.ed0816b85e776p-5, 0x1.e17068635f8eep-5, 0x1.d6112f3d96c4fp-5, 0x1.cae9bf32258d4p-5, 0x1.bff96afe475dfp-5, 0x1.b53f8453a933dp-5, 0x1.aabb5bf9d7d21p-5, 0x1.a06c41eebe0bfp-5, 0x1.965185863cf3ep-5, 0x1.8c6a7588d3bb5p-5, 0x1.82b660516447cp-5, 0x1.793493ea0b581p-5, 0x1.6fe45e2815b8ap-5, 0x1.66c50cc7106bp-5, 0x1.5dd5ed82f6eb7p-5, 0x1.55164e31820a5p-5, 0x1.4c857cda980e9p-5, 0x1.4422c7cfe3c12p-5, 0x1.3bed7dc392623p-5, 0x1.33e4edde3c0cep-5, 0x1.2c0867d3fa0dbp-5, 0x1.24573bf8ae57p-5, 0x1.1cd0bb537c6cbp-5, 0x1.157437b17c3ap-5, 0x1.0e4103b7a4599p-5, 0x1.073672f3f49cfp-5, 0x1.0053d9eddf69fp-5, 0x1.f3311c6befd4bp-6, 0x1.e607cce9d3f37p-6, 0x1.d92a74f377a4ap-6, 0x1.cc97c68ebee74p-6, 0x1.c04e764330ac7p-6, 0x1.b44d3b326da88p-6, 0x1.a892cf2f58301p-6, 0x1.9d1deed4023cbp-6, 0x1.91ed599653868p-6, 0x1.86ffd1db83248p-6, 0x1.7c541d0a612e3p-6, 0x1.71e9039c79856p-6, 0x1.67bd512e1b09cp-6, 0x1.5dcfd48d43ea8p-6, 0x1.541f5fc782916p-6, 0x1.4aaac836cc8f1p-6, 0x1.4170e68d5617cp-6, 0x1.387096e06c2b6p-6, 0x1.2fa8b8b2624dcp-6, 0x1.27182efb9049ap-6, 0x1.1ebde0326ec56p-6, 0x1.1698b652d57aap-6, 0x1.0ea79ee46436p-6, 0x1.06e98b001b8cp-6, 0x1.febadeaa5cd3ap-7, 0x1.f004885a1ea2ap-7, 0x1.e1ae0add8d3fbp-7, 0x1.d3b5654320eecp-7, 0x1.c6189ddd9847cp-7, 0x1.b8d5c2468c457p-7, 0x1.abeae75fbdd21p-7, 0x1.9f562953297aep-7, 0x1.9315ab91f0c78p-7, 0x1.872798d224762p-7, 0x1.7b8a230b780e8p-7, 0x1.703b8372f118p-7, 0x1.6539fa758db9bp-7, 0x1.5a83cfb201b9cp-7, 0x1.501751f18876p-7, 0x1.45f2d71fcfe83p-7, 0x1.3c14bc421d5e2p-7, 0x1.327b656d99998p-7, 0x1.29253dbce46dep-7, 0x1.2010b744ed9c8p-7, 0x1.173c4b091f2c6p-7, 0x1.0ea678eee3a8cp-7, 0x1.064dc7b08d57p-7, 0x1.fc61899f573e3p-8, 0x1.ec9c090da4e47p-8, 0x1.dd484375bcc6ap-8, 0x1.ce637bd77aa3fp-8, 0x1.bfeb0249836a7p-8, 0x1.b1dc33d911a8bp-8, 0x1.a4347a68f7e58p-8, 0x1.96f14c8fe3006p-8, 0x1.8a102d75ed368p-8, 0x1.7d8eacb18e2ep-8, 0x1.716a6623f542cp-8, 0x1.65a101d4d6ce2p-8, 0x1.5a3033cdbe25ep-8, 0x1.4f15bbf4ec7afp-8, 0x1.444f65e7cde33p-8, 0x1.39db08d515288p-8, 0x1.2fb6875681764p-8, 0x1.25dfcf4a5ec8fp-8, 0x1.1c54d9acc5a01p-8, 0x1.1313aa70a655bp-8, 0x1.0a1a5058a88d1p-8, 0x1.0166e4cfe4a11p-8, 0x1.f1ef17850a4cp-9, 0x1.e194e6eca21dcp-9, 0x1.d1bba8c65b50cp-9, 0x1.c25fe21735e6ap-9, 0x1.b37e2baa5ffd6p-9, 0x1.a51331c24cea3p-9, 0x1.971bb3c9e007cp-9, 0x1.89948405cc6fep-9, 0x1.7c7a8746275f7p-9, 0x1.6fcab4984338bp-9, 0x1.638214f8d2953p-9, 0x1.579dc3066959fp-9, 0x1.4c1aeab45c5fcp-9, 0x1.40f6c8fe0ee1ap-9, 0x1.362eab9ab2327p-9, 0x1.2bbff0b1841d1p-9, 0x1.21a8068e921eep-9, 0x1.17e46b58044efp-9, 0x1.0e72acc403a42p-9, 0x1.055067cf2fc92p-9, 0x1.f8f690e781477p-10, 0x1.e7e212c28555fp-10, 0x1.d75ee76a0b65bp-10, 0x1.c768bd6676b64p-10, 0x1.b7fb5f019226dp-10, 0x1.a912b1bbab2acp-10, 0x1.9aaab5c225eaep-10, 0x1.8cbf85679817ap-10, 0x1.7f4d549d6caa9p-10, 0x1.7250706f1bdb6p-10, 0x1.65c53e7ef3e69p-10, 0x1.59a83c8484a9dp-10, 0x1.4df5ffccaab56p-10, 0x1.42ab34bb3af2fp-10, 0x1.37c49e4e5fc4dp-10, 0x1.2d3f15a39d7cp-10, 0x1.2317897e83c6p-10, 0x1.194afdd11994ep-10, 0x1.0fd68b45f5ffcp-10, 0x1.06b75ecc103c6p-10, 0x1.fbd572488ab22p-11, 0x1.eadbdce1311c7p-11, 0x1.da7ccb8a52d81p-11, 0x1.cab33175c5329p-11, 0x1.bb7a2607c1248p-11, 0x1.accce40320d0bp-11, 0x1.9ea6c8b909693p-11, 0x1.9103533c01b54p-11, 0x1.83de239671295p-11, 0x1.7732fa04846aap-11, 0x1.6afdb631736a9p-11, 0x1.5f3a567826655p-11, 0x1.53e4f727345d4p-11, 0x1.48f9d1c834174p-11, 0x1.3e753c6a5eeb6p-11, 0x1.3453a8f079edfp-11, 0x1.2a91a46204fd7p-11, 0x1.212bd63fa4ad5p-11, 0x1.181effdac2fecp-11, 0x1.0f67fbb05e941p-11, 0x1.0703bcc703697p-11, 0x1.fdde9c1fc160dp-12, 0x1.ee4fa395f31d7p-12, 0x1.df5501dcc99fep-12, 0x1.d0e955212cb9dp-12, 0x1.c30766ab4ad2cp-12, 0x1.b5aa29bf1b87ap-12, 0x1.a8ccba82b6c97p-12, 0x1.9c6a5cea7dc5ap-12, 0x1.907e7baaf7e04p-12, 0x1.8504a73059d61p-12, 0x1.79f8949b9ce98p-12, 0x1.6f561cc51d899p-12, 0x1.65193b44a0219p-12, 0x1.5b3e0d7eb95bdp-12, 0x1.51c0d1b779dedp-12, 0x1.489de62a50756p-12, 0x1.3fd1c8270c8f2p-12, 0x1.37591333f3259p-12, 0x1.2f308034c6f01p-12, 0x1.2754e496c135p-12, 0x1.1fc3318154eeep-12, 0x1.1878730bb91fap-12, 0x1.1171cf771c974p-12, 0x1.0aac866d72f8bp-12, 0x1.0425f044c8f8bp-12, 0x1.fbb6fa8e10d65p-13, 0x1.ef9569fc3d39ep-13, 0x1.e3e26b08d69b2p-13, 0x1.d89965b2d58e1p-13, 0x1.cdb5ec750668ep-13, 0x1.c333baffcae96p-13, 0x1.b90eb4fadde3dp-13, 0x1.af42e4ceedc06p-13, 0x1.a5cc7a76e9be1p-13, 0x1.9ca7ca58e8c4ap-13, 0x1.93d14c266b9d9p-13, 0x1.8b4599c3f7e1bp-13, 0x1.83016e37c9d98p-13, 0x1.7b01a49f8980bp-13, 0x1.7343372cdea43p-13, 0x1.6bc33e28b8dfcp-13, 0x1.647eeefd34f5cp-13, 0x1.5d739b45f0ab6p-13, 0x1.569eafe6b871p-13, 0x1.4ffdb4285d4dbp-13, 0x1.498e48dba83dbp-13, 0x1.434e27822f922p-13, 0x1.3d3b217d08ea5p-13, 0x1.37531f4121bafp-13, 0x1.31941f912ffacp-13, 0x1.2bfc36bd109ebp-13, 0x1.26898de67aad3p-13, 0x1.213a624ae7625p-13, 0x1.1c0d04929712bp-13, 0x1.16ffd82488783p-13, 0x1.1211527f54e57p-13, 0x1.0d3ffa96cc71bp-13, 0x1.088a683636322p-13, 0x1.03ef43672194ap-13, 0x1.feda87b937a98p-14, 0x1.f60660c58bdd7p-14, 0x1.ed5fbca545135p-14, 0x1.e4e46213ffd79p-14, 0x1.dc9232cee487bp-14, 0x1.d4672a946b7dcp-14, 0x1.cc615e2bded1ap-14, 0x1.c47efa744fd3bp-14, 0x1.bcbe437adc39bp-14, 0x1.b51d93981d295p-14, 0x1.ad9b5a947f464p-14, 0x1.a6361cd36ff31p-14, 0x1.9eec728513912p-14, 0x1.97bd06de834f4p-14, 0x1.90a6975841a3dp-14, 0x1.89a7f2f2d4b22p-14, 0x1.82bff98154586p-14, 0x1.7bed9af9c8965p-14, 0x1.752fd6cb2cb66p-14, 0x1.6e85bb38f6f7dp-14, 0x1.67ee64bbfba97p-14, 0x1.6168fd6888087p-14, 0x1.5af4bc5991f11p-14, 0x1.5490e520d9cb1p-14, 0x1.4e3cc73bd9f0ep-14, 0x1.47f7bd8d66c1p-14, 0x1.41c12ddbd8f7dp-14, 0x1.3b988853a696dp-14, 0x1.357d470e4a45ep-14, 0x1.2f6eed9d57aeep-14, 0x1.296d0899a30f4p-14, 0x1.23772d365b65dp-14, 0x1.1d8cf8d7fbda2p-14, 0x1.17ae10aef986p-14, 0x1.11da21560f8c7p-14, 0x1.0c10de741072dp-14, 0x1.06520261243dp-14, 0x1.009d4dcf5536ap-14, 0x1.f5e50eecafea3p-15, 0x1.eaa2f784e2c63p-15, 0x1.df73f90ccf1f2p-15, 0x1.d457c160c24adp-15, 0x1.c94e0803453a5p-15, 0x1.be568d921ad59p-15, 0x1.b3711b40a0cd2p-15, 0x1.a89d82576185cp-15, 0x1.9ddb9bb8b42bfp-15, 0x1.932b476a3e9dfp-15, 0x1.888c6c2333587p-15, 0x1.7dfef6df2816p-15, 0x1.7382da755cc7dp-15, 0x1.69180f344f994p-15, 0x1.5ebe92817d33ap-15, 0x1.5476667d27cb1p-15, 0x1.4a3f91aa04e3p-15, 0x1.401a1e98b43ffp-15, 0x1.36061b96dba16p-15, 0x1.2c039a61c9baap-15, 0x1.2212afdc87e8fp-15, 0x1.183373c933069p-15, 0x1.0e6600858bdbap-15, 0x1.04aa72ca9676fp-15, 0x1.f601d2de74c3ep-16, 0x1.e2d30a5b78d35p-16, 0x1.cfc8d0d80e5b6p-16, 0x1.bce36e0d35a89p-16, 0x1.aa232c3c32272p-16, 0x1.978857ce998e5p-16, 0x1.85133efb38469p-16, 0x1.72c4316f99514p-16, 0x1.609b7ffe09598p-16, 0x1.4e997c4febd9dp-16, 0x1.3cbe789c34f25p-16, 0x1.2b0ac761ed453p-16, 0x1.197ebb26885e6p-16, 0x1.081aa637f6972p-16, 0x1.edbdb4e498882p-17, 0x1.cb975211aa389p-17, 0x1.a9c2c4a4f0ed8p-17, 0x1.8840ab329900bp-17, 0x1.6711a1da6d19ep-17, 0x1.463641f2fcb52p-17, 0x1.25af21ba5abc7p-17, 0x1.057cd40c55cb3p-17, 0x1.cb3fd03bb4891p-18, 0x1.8c31d27aa7732p-18, 0x1.4dd0bd2fae49ep-18, 0x1.101d9605c55ccp-18, 0x1.a632b32a061d9p-19, 0x1.2d89f60e995aap-19, 0x1.6c858f145abc8p-20, 0x1.017b994ed97afp-21, -0x1.a1001c010002bp-22, -0x1.4e70c1f26295dp-20, -0x1.18e8b2a8a598bp-19, -0x1.892f8f08e15fbp-19, -0x1.f80ba2d12b3dap-19, -0x1.32bdd89ed182bp-18, -0x1.68bf4a2609662p-18, -0x1.9e099e7710b01p-18, -0x1.d29c5998b3ee1p-18, -0x1.033b85977b96ep-17, -0x1.1ccca742e0eb3p-17, -0x1.3601654b9a8d7p-17, -0x1.4ed99906f20a6p-17, -0x1.675521a193df1p-17, -0x1.7f73e41cdc4b9p-17, -0x1.9735cb4a70333p-17, -0x1.ae9ac7c61e00cp-17, -0x1.c5a2cfee3e794p-17, -0x1.dc4ddfda9782dp-17, -0x1.f29bf951d6a0fp-17, -0x1.044691dee6797p-16, -0x1.0f10b60f3206bp-16, -0x1.19ac727db94cep-16, -0x1.2419d32abe208p-16, -0x1.2e58e6cabe4c6p-16, -0x1.3869bebdd69afp-16, -0x1.424c6f06c0465p-16, -0x1.4c010e41630ap-16, -0x1.5587b59908d04p-16, -0x1.5ee080be35daep-16, -0x1.680b8ddc348bdp-16, -0x1.7108fd8e54128p-16, -0x1.79d8f2d4e587bp-16, -0x1.827b9309f54c9p-16, -0x1.8af105d5d704ep-16, -0x1.933975237398bp-16, -0x1.9b550d14749fap-16, -0x1.a343fbf54548fp-16, -0x1.ab067230eba14p-16, -0x1.b29ca244cdab9p-16, -0x1.ba06c0b456c5ep-16, -0x1.c14503fc8827ep-16, -0x1.c857a4877dda3p-16, -0x1.cf3edc9fe262dp-16, -0x1.d5fae8645b3c6p-16, -0x1.dc8c05baef89fp-16, -0x1.e2f274446e124p-16, -0x1.e92e754fd0594p-16, -0x1.ef404bcda9f93p-16, }}, 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
    }}, 
    {
      50, 0x1.228f5c28f5c29p+2, 0x1.c0a82f44cf881p+0, 0x1.758874c94ca2p+2, -0x1.6ff2ff8c81f88p+1, 
      {{
        {0x1.e3d70a3d70a3dp+0, 0x1.f16872b020c4ap+0, 0x1.335cf411b5343p+3, -0x1.5df1abc3af201p+4, 0x1.32a669e64ca7p+4, 0x1.4870d73d4d058p+1}, 
        {0x1.f16872b020c4ap+0, 0x1.fef9db22d0e56p+0, 0x1.1001073c09709p+3, -0x1.3d17d8b0f17b6p+4, 0x1.392d8537ad82ep+4, -0x1.9a8d0d0c9c2ddp+3}, 
        {0x1.fef9db22d0e56p+0, 0x1.0645a1cac0831p+1, 0x1.e02e4fff46c79p+2, -0x1.1da04bebdee25p+4, 0x1.1889fca0c98bp+4, -0x1.ff95b69b3947ap+2}, 
        {0x1.0645a1cac0831p+1, 0x1.0d0e560418937p+1, 0x1.a6b4423c658bfp+2, -0x1.00f78081cc09ep+4, 0x1.043419878b8dep+4, -0x1.1365a929fbf45p+3}, 
        {0x1.0d0e560418937p+1, 0x1.13d70a3d70a3dp+1, 0x1.73119e2295564p+2, -0x1.cd175b37763ddp+3, 0x1.dc9e6f7536fc2p+3, -0x1.f249090ec535bp+2}, 
        {0x1.13d70a3d70a3dp+1, 0x1.1a9fbe76c8b44p+1, 0x1.44cbeea0b211bp+2, -0x1.9cab4df96b5acp+3, 0x1.b50155440a60ep+3, -0x1.d80e7cb849746p+2}, 
        {0x1.1a9fbe76c8b44p+1, 0x1.216872b020c4ap+1, 0x1.1b7041461b6d4p+2, -0x1.7055eaff21786p+3, 0x1.8f7a098efd5e9p+3, -0x1.b8715320aa4ddp+2}, 
        {0x1.216872b020c4ap+1, 0x1.283126e978d5p+1, 0x1.ed25b012d7c9p+1, -0x1.47d8cddb8d3dap+3, 0x1.6c7625e4d7412p+3, -0x1.9be799d11b583p+2}, 
        {0x1.283126e978d5p+1, 0x1.2ef9db22d0e56p+1, 0x1.ab9dba0fb0cd1p+1, -0x1.22f31474ca17dp+3, 0x1.4bb710524bfep+3, -0x1.802270f2a58d2p+2}, 
        {0x1.2ef9db22d0e56p+1, 0x1.35c28f5c28f5cp+1, 0x1.718c2f0d5eb84p+1, -0x1.016802177e005p+3, 0x1.2d2d285db9f7cp+3, -0x1.65b911b45bf01p+2}, 
        {0x1.35c28f5c28f5cp+1, 0x1.3c8b439581062p+1, 0x1.3e41456fa0cccp+1, -0x1.c5fa4a76d1976p+2, 0x1.10bcc7dac7a6ap+3, -0x1.4c79261e4e86ep+2}, 
        {0x1.3c8b439581062p+1, 0x1.4353f7ced9168p+1, 0x1.11194bc0f3a5bp+1, -0x1.8ef588ac24e82p+2, 0x1.ec9c9218ad4ffp+2, -0x1.3467adf8819a2p+2}, 
        {0x1.4353f7ced9168p+1, 0x1.4a1cac083126fp+1, 0x1.d2f838e14804p+0, -0x1.5d5759e76b792p+2, 0x1.bb9340ee5937cp+2, -0x1.1d7a481d2cdf7p+2}, 
        {0x1.4a1cac083126fp+1, 0x1.50e5604189375p+1, 0x1.8db92956e66bbp+0, -0x1.30ba5bd317bb1p+2, 0x1.8e2f2bbca7546p+2, -0x1.07acc15ddd459p+2}, 
        {0x1.50e5604189375p+1, 0x1.57ae147ae147bp+1, 0x1.51701c9d9a852p+0, -0x1.08be0f37ccb44p+2, 0x1.64428cfddb719p+2, -0x1.e5ebed0ea469p+1}, 
        {0x1.57ae147ae147bp+1, 0x1.5e76c8b439581p+1, 0x1.1d2bb94154b41p+0, -0x1.ca0d766cf617cp+1, 0x1.3da1131b07761p+2, -0x1.be9e016475679p+1}, 
        {0x1.5e76c8b439581p+1, 0x1.653f7ced91687p+1, 0x1.e01b32a53298dp-1, -0x1.8a7a955c76d8dp+1, 0x1.1a1f856d485e2p+2, -0x1.9966b3a7f7555p+1}, 
        {0x1.653f7ced91687p+1, 0x1.6c083126e978dp+1, 0x1.9292a2c931fc7p-1, -0x1.521e672c93508p+1, 0x1.f326c6dd4c7b5p+1, -0x1.76338e69d3a4fp+1}, 
        {0x1.6c083126e978dp+1, 0x1.72d0e56041893p+1, 0x1.5046f9860abdfp-1, -0x1.205cb2a5493fbp+1, 0x1.b7a7488a6c9f7p+1, -0x1.54f90718e2122p+1}, 
        {0x1.72d0e56041893p+1, 0x1.799999999999ap+1, 0x1.17e1a1b4dfdffp-1, -0x1.e943b15fe6edfp+0, 0x1.817053f4cdcc2p+1, -0x1.35a929ecf0d34p+1}, 
        {0x1.799999999999ap+1, 0x1.80624dd2f1aap+1, 0x1.d054da77db2dep-2, -0x1.9cc53aafd5b0ap+0, 0x1.5033e5191d43dp+1, -0x1.183618f53c9c4p+1}, 
        {0x1.80624dd2f1aap+1, 0x1.872b020c49ba6p+1, 0x1.800ba87724712p-2, -0x1.5a37d78d7eaa3p+0, 0x1.23a62c64cf46bp+1, -0x1.f9248aab8e704p+0}, 
        {0x1.872b020c49ba6p+1, 0x1.8df3b645a1cacp+1, 0x1.3ce681c37ddd7p-2, -0x1.20a5363453508p+0, 0x1.f6fb044667e7cp+0, -0x1.c55f5ed4e9a38p+0}, 
        {0x1.8df3b645a1cacp+1, 0x1.94bc6a7ef9db2p+1, 0x1.0516cf82e82fep-2, -0x1.de4ccbc524d0ep-1, 0x1.aee4f0d843c7cp+0, -0x1.9502b5d3360c7p+0}, 
        {0x1.94bc6a7ef9db2p+1, 0x1.9b851eb851eb8p+1, 0x1.adfab2fddd7fcp-3, -0x1.89c6c4d854effp-1, 0x1.6e7f63ce7d7dep+0, -0x1.67f0e358b8a28p+0}, 
        {0x1.9b851eb851eb8p+1, 0x1.a24dd2f1a9fbep+1, 0x1.624e513e2d849p-3, -0x1.422538602769bp-1, 0x1.35445a4851cc9p+0, -0x1.3e1116d89e7b6p+0}, 
        {0x1.a24dd2f1a9fbep+1, 0x1.a916872b020c5p+1, 0x1.249506731ce95p-3, -0x1.05f1051890e84p-1, 0x1.02b1c37330689p+0, -0x1.174636796d6ccp+0}, 
        {0x1.a916872b020c5p+1, 0x1.afdf3b645a1cbp+1, 0x1.e51005edbbebep-4, -0x1.a79c3e36c05e6p-2, 0x1.ac945e066b95dp-1, -0x1.e6e9d8fbdfap-1}, 
        {0x1.afdf3b645a1cbp+1, 0x1.b6a7ef9db22d1p+1, 0x1.944eee0ca8fefp-4, -0x1.54f538c0a8fap-2, 0x1.5f290aa0eeaf7p-1, -0x1.a505f769055bp-1}, 
        {0x1.b6a7ef9db22d1p+1, 0x1.bd70a3d70a3d7p+1, 0x1.536a4257d81dp-4, -0x1.119b9b2cac30cp-2, 0x1.1c37b57766ec1p-1, -0x1.68a7938ea2647p-1}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.c4395810624ddp+1, 0x1.1f5e1b71d40b6p-4, -0x1.b6dd4610b0d36p-3, 0x1.c5bf3f97f96fap-2, -0x1.31993fa7c7b87p-1}, 
        {0x1.c4395810624ddp+1, 0x1.cb020c49ba5e3p+1, 0x1.eb2a251949651p-5, -0x1.60f8997098537p-3, 0x1.649113498842fp-2, -0x1.ff476dab2d03dp-2}, 
        {0x1.cb020c49ba5e3p+1, 0x1.d1cac083126e9p+1, 0x1.a7bd13c052f63p-5, -0x1.1dfefcf572354p-3, 0x1.1345f966e42d2p-2, -0x1.a520c3ec46b69p-2}, 
        {0x1.d1cac083126e9p+1, 0x1.d89374bc6a7fp+1, 0x1.70cab2ef959f7p-5, -0x1.d578b99b91828p-4, 0x1.a0a0c2d61a50bp-3, -0x1.5450a2912076bp-2}, 
        {0x1.d89374bc6a7fp+1, 0x1.df5c28f5c28f6p+1, 0x1.434dc05c8ee7bp-5, -0x1.889e276f9a6ffp-4, 0x1.3468662e18b14p-3, -0x1.0c69b2338127p-2}, 
        {0x1.df5c28f5c28f6p+1, 0x1.e624dd2f1a9fcp+1, 0x1.1cd4f1f3f38e5p-5, -0x1.5048725aba5fcp-4, 0x1.be1ae337570d6p-4, -0x1.99fd29b427738p-3}, 
        {0x1.e624dd2f1a9fcp+1, 0x1.eced916872b02p+1, 0x1.f6e5514a6cd81p-6, -0x1.27e7e37dd5383p-4, 0x1.3bba827f96489p-4, -0x1.2b42492a82274p-3}, 
        {0x1.eced916872b02p+1, 0x1.f3b645a1cac08p+1, 0x1.bb5ad6f9111c9p-6, -0x1.0b7b77e686451p-4, 0x1.b920e0b402cp-5, -0x1.97927c748130fp-4}, 
        {0x1.f3b645a1cac08p+1, 0x1.fa7ef9db22d0ep+1, 0x1.84e2572985d6p-6, -0x1.ef12ff1c64ee6p-5, 0x1.37853d38f23e8p-5, -0x1.ead3ce79a7f57p-5}, 
        {0x1.fa7ef9db22d0ep+1, 0x1.00a3d70a3d70ap+2, 0x1.52029fef287f4p-6, -0x1.d23071e84c503p-5, 0x1.d2f5342d8288cp-6, -0x1.b966242dac48ap-6}, 
        {0x1.00a3d70a3d70ap+2, 0x1.04083126e978dp+2, 0x1.21d714fda7b0fp-6, -0x1.bb4ce0fa246b4p-5, 0x1.8cc67fd55a15dp-6, -0x1.4c0c09f34bb34p-13}, 
        {0x1.04083126e978dp+2, 0x1.076c8b439581p+2, 0x1.e7edd146878d8p-7, -0x1.a6483a7fbd5dbp-5, 0x1.8c5ce88c8e40ep-6, 0x1.5586dbabe3316p-6}, 
        {0x1.076c8b439581p+2, 0x1.0ad0e56041893p+2, 0x1.90bbce6699abdp-7, -0x1.8fd5fc87bc61ep-5, 0x1.c2aa6a3261bcap-6, 0x1.2afb31594a4bp-5}, 
        {0x1.0ad0e56041893p+2, 0x1.0e353f7ced917p+2, 0x1.3eada4d14bb0bp-7, -0x1.756e5bd2a03a6p-5, 0x1.10def0669eba9p-5, 0x1.8285c4d5f9bb4p-5}, 
        {0x1.0e353f7ced917p+2, 0x1.119999999999ap+2, 0x1.e59d36e9c26d2p-8, -0x1.553fe2ac2532cp-5, 0x1.4e53f3cb33c08p-5, 0x1.b5c540e46a8d5p-5}, 
        {0x1.119999999999ap+2, 0x1.14fdf3b645a1dp+2, 0x1.5cf56e8b89c59p-8, -0x1.2e1f27a7265e7p-5, 0x1.93eef6b008471p-5, 0x1.c491a4104a26bp-5}, 
        {0x1.14fdf3b645a1dp+2, 0x1.18624dd2f1aap+2, 0x1.ccf35e1221433p-9, -0x1.fefb5e6b0e2f9p-6, 0x1.dbe4541a0be01p-5, 0x1.bfb1c9f905aa9p-5}, 
        {0x1.18624dd2f1aap+2, 0x1.1bc6a7ef9db23p+2, 0x1.0abfcdbd0d134p-9, -0x1.928c2139ff3e5p-6, 0x1.1189a479c7cbcp-4, 0x1.78be5bc2ae05bp-5}, 
        {0x1.1bc6a7ef9db23p+2, 0x1.1f2b020c49ba6p+2, 0x1.e6379d97758b4p-11, -0x1.1837c01db34cfp-6, 0x1.2f7d20c33dd29p-4, 0x1.ad17b20a91cdcp-5}, 
        {0x1.1f2b020c49ba6p+2, 0x1.228f5c28f5c29p+2, 0x1.f0b494c3b8003p-13, -0x1.209cfb7575912p-7, 0x1.519a050f9a0dcp-4, -0x1.c2d249aa0f6a4p+0}, 
      }}, 
      0x1.03f40e1096598p+6, -0x1.2d806db976d83p+9
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_o_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5483708ef4cd6p+0, -0x1.3dde73182d1fdp+0, -0x1.278ea2ed4ddafp+0, -0x1.11a4ba114ed6p+0, -0x1.f85e7eb3f925bp-1, -0x1.ce74f977e007cp-1, -0x1.a5a186c316d4p-1, -0x1.7df5984eed27cp-1, -0x1.577fadd7e0005p-1, -0x1.324b27ba63e8bp-1, -0x1.0e604c280af6bp-1, -0x1.d789759197062p-2, -0x1.94f81634a70a1p-2, -0x1.55107a5efd2b9p-2, -0x1.17d3b26b8f1ddp-2, -0x1.ba7f65c1f7a38p-3, -0x1.4a9e638905619p-3, -0x1.bfe7861c27b29p-4, -0x1.e9a86ec1f94dcp-5, -0x1.9e8c1c16a5f0dp-7, 0x1.06abba6049193p-5, 0x1.30da978a57272p-4, 0x1.d4eceeda4dcp-4, 0x1.37eaa5b9f2e6ep-3, 0x1.80eb80af1ded6p-3, 0x1.c59bdc7283779p-3, 0x1.030fa98f5cb42p-2, 0x1.214cf2f2ccba4p-2, 0x1.3d97ddb23e06cp-2, 0x1.58028094f4fbp-2, 0x1.709ef1c2247dfp-2, 0x1.877f44198bea3p-2, 0x1.9cb57f445a49fp-2, 0x1.b05390d60e857p-2, 0x1.c26b38538f71bp-2, 0x1.d30df0fdb54cp-2, 0x1.e24cdbf705ccdp-2, 0x1.f038ad17b65a6p-2, 0x1.fce19cb9f2a4ep-2, 0x1.042bb02ecebbap-1, 0x1.0954955c15d5ep-1, 0x1.0df2d8ec64e77p-1, 0x1.120d9c260b097p-1, 0x1.15abcab63dac2p-1, 0x1.18d41cd00e6dap-1, 0x1.1b8d1673645c9p-1, 0x1.1ddd040f75976p-1, 0x1.1fc9f58abf234p-1, 0x1.2159b9260f297p-1, 0x1.2291d7a135d9ep-1, 0x1.23779298d57d4p-1, 0x1.240fe5768af87p-1, 0x1.245f88b216c7cp-1, 0x1.246af6b0f792ep-1, 0x1.2436715c7cd86p-1, 0x1.23c6078c8c8a9p-1, 0x1.231d9998d412ap-1, 0x1.2240dcadace56p-1, 0x1.21335cd02da6ap-1, 0x1.1ff87dbd3f3cp-1, 0x1.1e937af905d95p-1, 0x1.1d0767749fa51p-1, 0x1.1b572d2b7eeaap-1, 0x1.19864b67a57cfp-1, 0x1.179663fa04fb7p-1, 0x1.1589fe36d0422p-1, 0x1.13635b51035c2p-1, 0x1.11249cac5f8a9p-1, 0x1.0ecfc5deaea53p-1, 0x1.0c66be61c2fe4p-1, 0x1.09eb52f961a6p-1, 0x1.075f36d8b61b7p-1, 0x1.04c40497fa2fep-1, 0x1.021b3f0c86b77p-1, 0x1.fecca4286b2e8p-2, 0x1.f94d26c38d4c8p-2, 0x1.f3ba86a786343p-2, 0x1.ee171bb643ec8p-2, 0x1.e86516e603cc5p-2, 0x1.e2a6844f66234p-2, 0x1.dcdd4d51f29dap-2, 0x1.d70b3ac40332fp-2, 0x1.d131f721cad2cp-2, 0x1.cb5310af63fb8p-2, 0x1.c56ffb833a48ep-2, 0x1.bf8a13704c3p-2, 0x1.b9a29dca84e1cp-2, 0x1.b3bacb0202018p-2, 0x1.add3b814b089ep-2, 0x1.a7ee6fd793848p-2, 0x1.a20bec1a9a88fp-2, 0x1.9c2d16aadcc63p-2, 0x1.9652ca37b55bep-2, 0x1.907dd31f66aefp-2, 0x1.8aaef027fff2dp-2, 0x1.84e6d328fd464p-2, 0x1.7f2621a9b134fp-2, 0x1.796d757800bdp-2, 0x1.73bd5d3a39e29p-2, 0x1.6e165cfe1c807p-2, 0x1.6878eec648c2ep-2, 0x1.62e58316a38ccp-2, 0x1.5d5c817f9acabp-2, 0x1.57de4927b73fp-2, 0x1.526b3152ac309p-2, 0x1.4d0389e4ecef8p-2, 0x1.47a79be2cdef6p-2, 0x1.4257a9ea5bbap-2, 0x1.3d13f0a725c46p-2, 0x1.37dca73f77e49p-2, 0x1.32b1ffba9788ep-2, 0x1.2d94275fce971p-2, 0x1.2883470e2217p-2, 0x1.237f838cbf367p-2, 0x1.1e88fdd43a5b6p-2, 0x1.199fd350e3ffap-2, 0x1.14c41e1e820efp-2, 0x1.0ff5f53de79c3p-2, 0x1.0b356cc4e8b4fp-2, 0x1.068296093d395p-2, 0x1.01dd7fc6fab9cp-2, 0x1.fa8c6c86642cap-3, 0x1.f17986d6b70bfp-3, 0x1.e8825de424a3fp-3, 0x1.dfa6fcd344e9bp-3, 0x1.d6e76ab9aa5dcp-3, 0x1.ce43aacc9cbc1p-3, 0x1.c5bbbc8d92a57p-3, 0x1.bd4f9bf4c4dccp-3, 0x1.b4ff419a3bd98p-3, 0x1.accaa2dd848b9p-3, 0x1.a4b1b20c4ac44p-3, 0x1.9cb45e87dcc96p-3, 0x1.94d294e9cbf7fp-3, 0x1.8d0c3f279c635p-3, 0x1.856144b597ac7p-3, 0x1.7dd18aa8bce85p-3, 0x1.765cf3d7c68d1p-3, 0x1.6f0360fb35ae5p-3, 0x1.67c4b0cc61a82p-3, 0x1.60a0c02359344p-3, 0x1.59976a13aa05ap-3, 0x1.52a88807cc10ap-3, 0x1.4bd3f1db467d9p-3, 0x1.45197df3624a4p-3, 0x1.3e7901566a9b1p-3, 0x1.37f24fc17817bp-3, 0x1.31859e908542ep-3, 0x1.2b31de89a8aa1p-3, 0x1.24f75d6c86754p-3, 0x1.1ed5eb380b0cap-3, 0x1.18cd56ebbe5d5p-3, 0x1.12dd6e9285073p-3, 0x1.0d05ff4d1f913p-3, 0x1.0746d55c74d7fp-3, 0x1.019fbc2bc75fp-3, 0x1.f820fcb5cab79p-4, 0x1.ed31cb90a52f8p-4, 0x1.e2717736f9c25p-4, 0x1.d7df909df450dp-4, 0x1.cd7ba7757ba3cp-4, 0x1.c3454a3cbd7c2p-4, 0x1.b93c06567b4e5p-4, 0x1.af5f681d4ff41p-4, 0x1.a5aefaf7a472p-4, 0x1.9c2a496b53d02p-4, 0x1.92d0dd30fb08ap-4, 0x1.89a23f46b90edp-4, 0x1.809df8027c231p-4, 0x1.77c38f23b483cp-4, 0x1.6f128be46e3dfp-4, 0x1.668a7509c9ac4p-4, 0x1.5e2ad0f3cfd31p-4, 0x1.55f325aca3211p-4, 0x1.4de2f8f70b595p-4, 0x1.45f9d05c678ecp-4, 0x1.3e37313a04c8cp-4, 0x1.369aa0cde628ep-4, 0x1.2f23a44305c78p-4, 0x1.27d1c0bd15d8ap-4, 0x1.20a47b63cf773p-4, 0x1.199b596dd5125p-4, 0x1.12b5e02b3715fp-4, 0x1.0bf3950f9f08fp-4, 0x1.0553fdbc30401p-4, 0x1.fdad401241961p-5, 0x1.f0f6041e304c4p-5, 0x1.e4815460a9249p-5, 0x1.d84e3e43466e2p-5, 0x1.cc5bcfe6550dcp-5, 0x1.c0a918321ceddp-5, 0x1.b53526e7dfe4p-5, 0x1.a9ff0cb295643p-5, 0x1.9f05db3762a4ep-5, 0x1.9448a525d206ep-5, 0x1.89c67e47c8b0fp-5, 0x1.7f7e7b913abadp-5, 0x1.756fb32f96285p-5, 0x1.6b993c98e83b3p-5, 0x1.61fa309ab17d9p-5, 0x1.5891a9686b569p-5, 0x1.4f5ec2a9b4f52p-5, 0x1.4660998828442p-5, 0x1.3d964cbcca3edp-5, 0x1.34fefc9d1dad3p-5, 0x1.2c99cb27c7c06p-5, 0x1.2465dc10cce3fp-5, 0x1.1c6254cd5e057p-5, 0x1.148e5c9f321bcp-5, 0x1.0ce91c9f6c454p-5, 0x1.0571bfc90cbd3p-5, 0x1.fc4ee605cf72ep-6, 0x1.ee12ca524c20ap-6, 0x1.e02d8e2c94be4p-6, 0x1.d29d97577c6bdp-6, 0x1.c5614fb3c9a52p-6, 0x1.b877254f6e928p-6, 0x1.abdd8a73cbc43p-6, 0x1.9f92f5b30ab58p-6, 0x1.9395e1f49019p-6, 0x1.87e4ce807d7bp-6, 0x1.7c7e3f0a5f155p-6, 0x1.7160bbbaed31dp-6, 0x1.668ad138f8563p-6, 0x1.5bfb10b18308p-6, 0x1.51b00fdf02d4cp-6, 0x1.47a8690fdc51ap-6, 0x1.3de2bb2c10ecfp-6, 0x1.345da9ba2f74bp-6, 0x1.2b17dce38265cp-6, 0x1.2210017787f9ap-6, 0x1.1944c8eeb7776p-6, 0x1.10b4e96c92602p-6, 0x1.085f1dc1103d5p-6, 0x1.0042256962f4fp-6, 0x1.f0b9892031211p-7, 0x1.e15b881944688p-7, 0x1.d267e2c484c62p-7, 0x1.c3dc3d7cd060dp-7, 0x1.b5b645ecf2f96p-7, 0x1.a7f3b30a22513p-7, 0x1.9a92450d79052p-7, 0x1.8d8fc56c57ee3p-7, 0x1.80ea06cfd4088p-7, 0x1.749ee50b3519ap-7, 0x1.68ac451179d35p-7, 0x1.5d1014e9f7f78p-7, 0x1.51c84ba427f96p-7, 0x1.46d2e94a8d2f4p-7, 0x1.3c2df6d4d2ef6p-7, 0x1.31d786192af95p-7, 0x1.27cdb1bcdf85fp-7, 0x1.1e0e9d2431566p-7, 0x1.149874618ae7cp-7, 0x1.0b696c23fcd61p-7, 0x1.027fc1a52b417p-7, 0x1.f3b3752d1cbfbp-8, 0x1.e2eb4a1c57e7bp-8, 0x1.d2a3aee578906p-8, 0x1.c2d960ceaa95ep-8, 0x1.b3892d6d1a912p-8, 0x1.a4aff27a5a681p-8, 0x1.964a9da8e618p-8, 0x1.88562c77ccaafp-8, 0x1.7acfac05ad7ap-8, 0x1.6db438e2e71d4p-8, 0x1.6100fee326334p-8, 0x1.54b338ee5f41dp-8, 0x1.48c830d12ee74p-8, 0x1.3d3d3f0cbba9ep-8, 0x1.320fcaa62778bp-8, 0x1.273d48f589d37p-8, 0x1.1cc33d7494192p-8, 0x1.129f398cdffdp-8, 0x1.08cedc65f7551p-8, 0x1.fe9fa56638072p-9, 0x1.ec3fad01b1fa4p-9, 0x1.da795e04edc2cp-9, 0x1.c94860be7c616p-9, 0x1.b8a876ff71e5p-9, 0x1.a8957bb5b0fabp-9, 0x1.990b628640a0ap-9, 0x1.8a0637679d57ap-9, 0x1.7b821e3c33fd9p-9, 0x1.6d7b526d0da16p-9, 0x1.5fee26849e3eap-9, 0x1.52d703c9f4dcbp-9, 0x1.463269dc3c2edp-9, 0x1.39fcee4e8a03ap-9, 0x1.2e333c446009cp-9, 0x1.22d2140e6c30bp-9, 0x1.17d64ac7f54d8p-9, 0x1.0d3cc9f4d47bfp-9, 0x1.03028f2023c4dp-9, 0x1.f24956f715e9cp-10, 0x1.df4086fe662adp-10, 0x1.cce51d1566907p-10, 0x1.bb31ad0d1a617p-10, 0x1.aa20ef0d2efc1p-10, 0x1.99adbeda97c6cp-10, 0x1.89d31b1fc3f4fp-10, 0x1.7a8c24b6c0508p-10, 0x1.6bd41df5528adp-10, 0x1.5da669fae10bfp-10, 0x1.4ffe8c0056895p-10, 0x1.42d826aa31cf2p-10, 0x1.362efb5c69e89p-10, 0x1.29fee990b6c61p-10, 0x1.1e43ee2eb744fp-10, 0x1.12fa22e672b28p-10, 0x1.081dbd8cfa1ecp-10, 0x1.fb561ef64bc6ap-11, 0x1.e73d09ddbece6p-11, 0x1.d3e948dcbca91p-11, 0x1.c1541c5bbcae2p-11, 0x1.af1ae204421ep-11, 0x1.9df0848cdadefp-11, 0x1.8d71ba5a5d029p-11, 0x1.7d98847f8bf6cp-11, 0x1.6e5f11a04644bp-11, 0x1.5fbfbcd9da0afp-11, 0x1.51b50cb00edap-11, 0x1.4439b1ff13cbap-11, 0x1.374886f1bba18p-11, 0x1.2adc8dfcaf21dp-11, 0x1.1ef0f0ddf4e95p-11, 0x1.1380ffa17d386p-11, 0x1.08882fa9e0c15p-11, 0x1.fc04357ba8cf9p-12, 0x1.e7d4fc343da4p-12, 0x1.d47a73101f266p-12, 0x1.c1ec9cf0f1372p-12, 0x1.b023be45a51f5p-12, 0x1.9f185b52343a8p-12, 0x1.8ec3367f803e8p-12, 0x1.7f1d4eb3e0b08p-12, 0x1.701fddb47d804p-12, 0x1.61c4568e99a9dp-12, 0x1.540464097d811p-12, 0x1.46d9e72099861p-12, 0x1.3a3ef585b2771p-12, 0x1.2e2dd82b05f81p-12, 0x1.22a109d57d6cbp-12, 0x1.179335b6a18ecp-12, 0x1.0cff360e3da41p-12, 0x1.02e012d3f006cp-12, 0x1.f26200cfc495ap-13, 0x1.dfdabc9624c68p-13, 0x1.ce216bbe0a499p-13, 0x1.bd2d725985404p-13, 0x1.acf68364e0944p-13, 0x1.9d749e715ef51p-13, 0x1.8ea00d5d17855p-13, 0x1.807162181ba63p-13, 0x1.72e17477b50bbp-13, 0x1.65e960165e9eep-13, 0x1.59828240f2ad7p-13, 0x1.4da677f0c0f0cp-13, 0x1.424f1bd263e3bp-13, 0x1.37768458a8771p-13, 0x1.2d1701db7aa24p-13, 0x1.232b1cc3bd655p-13, 0x1.19ad93c217a29p-13, 0x1.10995a11815f9p-13, 0x1.07e995c5cf949p-13, 0x1.ff333c494d049p-14, 0x1.ef49f413e5957p-14, 0x1.e00ebcadd4c84p-14, 0x1.d17958d7b5843p-14, 0x1.c381e1593af29p-14, 0x1.b620c21c87bfp-14, 0x1.a94eb760880c5p-14, 0x1.9d04cafcb8dc4p-14, 0x1.913c51b8ad678p-14, 0x1.85eee8b74f561p-14, 0x1.7b1672f2ec725p-14, 0x1.70ad16cdda4a5p-14, 0x1.66ad3bb247863p-14, 0x1.5d1187c4f9509p-14, 0x1.53d4dda8eac2ep-14, 0x1.4af25a52daf5bp-14, 0x1.426552ed9e18p-14, 0x1.3a2952ce3af0fp-14, 0x1.323a1977b658dp-14, 0x1.2a9398ad0a41bp-14, 0x1.2331f2942c56fp-14, 0x1.1c1177e4b0a1p-14, 0x1.152ea62713448p-14, 0x1.0e8626001ce9bp-14, 0x1.0814c98ab869ep-14, 0x1.01d78abd90d24p-14, 0x1.f79713c077b7dp-15, 0x1.ebdc1810dd708p-15, 0x1.e078f351e2621p-15, 0x1.d568ba4db8588p-15, 0x1.caa6c2fdd2d46p-15, 0x1.c02ea1e537043p-15, 0x1.b5fc27855dfaep-15, 0x1.ac0b5de640f06p-15, 0x1.a2588632f833p-15, 0x1.98e0166b5659cp-15, 0x1.8f9eb7298498bp-15, 0x1.86914179af04dp-15, 0x1.7db4bcc4036f3p-15, 0x1.75065ccbd6a7ap-15, 0x1.6c837fbb79bf2p-15, 0x1.6429ac44f92aep-15, 0x1.5bf68fd32f3edp-15, 0x1.53e7fcc7d41d1p-15, 0x1.4bfbe8cdfbf27p-15, 0x1.44306b37f67cfp-15, 0x1.3c83bb6e12bf4p-15, 0x1.34f42f6a5a096p-15, 0x1.2d803a44bc9c4p-15, 0x1.26266ac995b29p-15, 0x1.1ee56a1fee14ap-15, 0x1.17bbfa7b950d6p-15, 0x1.10a8f5dbe8a67p-15, 0x1.09ab4cd63538fp-15, 0x1.02c2056c479c1p-15, 0x1.f7d873dcd8492p-16, 0x1.ea522fced98a4p-16, 0x1.dcefbe2afde4bp-16, 0x1.cfafc0d671f0dp-16, 0x1.c290fa3601e11p-16, 0x1.b5924b5c302c6p-16, 0x1.a8b2b2457f879p-16, 0x1.9bf148296f435p-16, 0x1.8f4d3fdd01933p-16, 0x1.82c5e4451206ap-16, 0x1.765a96daec385p-16, 0x1.6a0ace41351d2p-16, 0x1.5dd614e727552p-16, 0x1.51bc07b6fc2ccp-16, 0x1.45bc54de1a35bp-16, 0x1.39d6ba9730bf7p-16, 0x1.2e0b060a4cd95p-16, 0x1.2259122fc2823p-16, 0x1.16c0c6cf2f5aep-16, 0x1.0b42177e35491p-16, 0x1.ffba055afa9e6p-17, 0x1.e9232189b5867p-17, 0x1.d2bfa68febbd1p-17, 0x1.bc8fc805eaeaep-17, 0x1.a693c88ed122cp-17, 0x1.90cbf85bd98b4p-17, 0x1.7b38b3c591ff6p-17, 0x1.65da61fab5e9p-17, 0x1.50b173b7e299ap-17, 0x1.3bbe621d55558p-17, 0x1.2701ad8995cd8p-17, 0x1.127bdc8730ap-17, 0x1.fc5af595750dbp-18, 0x1.d42e30815b9c7p-18, 0x1.ac729044300a3p-18, 0x1.8529403edc5b9p-18, 0x1.5e536f2f3ee01p-18, 0x1.37f24da20ba58p-18, 0x1.12070c944a073p-18, 0x1.d925b83c1645dp-19, 0x1.8f2dd471ed04dp-19, 0x1.4628c333d1a25p-19, 0x1.fc31a27cc2948p-20, 0x1.6e0081192131bp-20, 0x1.c3851aa97f99ap-21, 0x1.5df0569393596p-22, -0x1.8675b986b0b4dp-23, -0x1.6e3399ea33629p-21, -0x1.3b6144b807ac6p-20, -0x1.bda15f577b5f7p-20, -0x1.1eeb43bddda1p-19, -0x1.5dfea9f5fee0bp-19, -0x1.9c094498ac375p-19, -0x1.d9098da1f8215p-19, -0x1.0a7f0bc1afb82p-18, -0x1.27f2c6dbde3fp-18, -0x1.44df5ab013283p-18, -0x1.614436ea201eap-18, -0x1.7d20d86e743d9p-18, -0x1.9874c98e21764p-18, -0x1.b33fa230bafc3p-18, -0x1.cd8107e6a2747p-18, -0x1.e738ae02b5a12p-18, -0x1.00332acbbab91p-17, -0x1.0c84e6c9d7c03p-17, -0x1.18917956412d8p-17, -0x1.2458d7acf2064p-17, -0x1.2fdafde72aa2cp-17, -0x1.3b17eeeee30e6p-17, -0x1.460fb4772130ap-17, -0x1.50c25ee8f4283p-17, -0x1.5b3005567d2d6p-17, -0x1.6558c56607feep-17, -0x1.6f3cc33ec9916p-17, -0x1.78dc29709bd46p-17, -0x1.823728e2e7cd3p-17, -0x1.8b4df8b0a9bf2p-17, -0x1.9420d6160fcefp-17, -0x1.9cb0044efe0a2p-17, -0x1.a4fbcc7c84d04p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.10a1b3ca099a1p+1, -0x1.0b779d66260d1p+1, -0x1.06430018db37ap+1, -0x1.01074a2bca746p+1, -0x1.f78f53f2fc5f1p+0, -0x1.ed0e172e172f1p+0, -0x1.e29041e4fb762p+0, -0x1.d81ac7b806d89p+0, -0x1.cdb2291adf071p+0, -0x1.c35a7afe6da73p+0, -0x1.b9177005780f8p+0, -0x1.aeec5e75fd639p+0, -0x1.a4dc4638dc8fdp+0, -0x1.9ae9d605aac1cp+0, -0x1.91176ecd352adp+0, -0x1.87672797c932dp+0, -0x1.7ddad361f2b9p+0, -0x1.747408004fd0cp+0, -0x1.6b3424223eff7p+0, -0x1.621c539183294p+0, -0x1.592d924a0ba2cp+0, -0x1.5068b6d8618fdp+0, -0x1.47ce5929e5733p+0, -0x1.3f5efa935245dp+0, -0x1.371af607afdccp+0, -0x1.2f0287068dab1p+0, -0x1.2715cbef820b4p+0, -0x1.1f54c7fee3004p+0, -0x1.17bf659e629fep+0, -0x1.10557919242d9p+0, -0x1.0916c3325a8ecp+0, -0x1.0202f32743f3p+0, -0x1.f633503d1a90cp-1, -0x1.e8b4e4d3f0376p-1, -0x1.db89a9fd9e3d3p-1, -0x1.ceb08e7a7bb2ep-1, -0x1.c2286d9d806eap-1, -0x1.b5f0128fc1166p-1, -0x1.aa063ab0520fdp-1, -0x1.9e69971b3eb9ep-1, -0x1.9318cdbfe92bep-1, -0x1.88127a86c63fbp-1, -0x1.7d5530d9fa90fp-1, -0x1.72df7d97f8179p-1, -0x1.68afe93631736p-1, -0x1.5ec4f9bfb595p-1, -0x1.551d346aecd8dp-1, -0x1.4bb71eab0cbb4p-1, -0x1.42913ece7e7f6p-1, -0x1.39aa1c59b2c62p-1, -0x1.31004055f403ap-1, -0x1.289235bfd523ap-1, -0x1.205e8a28f1ce1p-1, -0x1.1863ce86dca72p-1, -0x1.10a09815a23bdp-1, -0x1.0913812c06796p-1, -0x1.01bb29e34f4c2p-1, -0x1.f52c7101e3c65p-2, -0x1.e746b341aa013p-2, -0x1.d9c2805b0653fp-2, -0x1.cc9d4a79c99dp-2, -0x1.bfd48fd4217b2p-2, -0x1.b365da80c5b26p-2, -0x1.a74ecc2140d94p-2, -0x1.9b8ce2364a30dp-2, -0x1.901de3d732657p-2, -0x1.84ff8fde991d5p-2, -0x1.7a2fb2be33508p-2, -0x1.6fac267cc3e07p-2, -0x1.6572d2a34917bp-2, -0x1.5b81ac1afd5efp-2, -0x1.51d6b4ffe3c3fp-2, -0x1.486ffc6c858eap-2, -0x1.3f4b9e4350e85p-2, -0x1.3667c2f8e25d1p-2, -0x1.2dc29f60d7f5ap-2, -0x1.255a747d27bf8p-2, -0x1.1d2d8f4eb612bp-2, -0x1.153a48a543d59p-2, -0x1.0d7f04ecc0b0fp-2, -0x1.05fa33f6981efp-2, -0x1.fd54a17cb0bcbp-3, -0x1.ef1bc253d9cb5p-3, -0x1.e146eb8cd194bp-3, -0x1.d3d353059b688p-3, -0x1.c6be42d4c00e3p-3, -0x1.ba0518bfe2acep-3, -0x1.ada545b62995ap-3, -0x1.a19c4d4f91c66p-3, -0x1.95e7c5510ad74p-3, -0x1.8a855534a61f8p-3, -0x1.7f72b5b483c82p-3, -0x1.74adb0572b256p-3, -0x1.6a341efc288e1p-3, -0x1.6003eb6847cd4p-3, -0x1.561b0ed135868p-3, -0x1.4c779168f9055p-3, -0x1.431789e9f9e8p-3, -0x1.39f91d24a4f75p-3, -0x1.311a7d8fa919cp-3, -0x1.2879eadbcb76bp-3, -0x1.2015b18bf4a4fp-3, -0x1.17ec2a91d7a49p-3, -0x1.0ffbbaef3d33p-3, -0x1.0842d35bbc0f2p-3, -0x1.00bfefee55d63p-3, -0x1.f2e32f94ec95cp-4, -0x1.e4acb99f3194ep-4, -0x1.d6d9b6961e3a4p-4, -0x1.c9677356a9f5dp-4, -0x1.bc53506935e3ep-4, -0x1.af9ac16c9475dp-4, -0x1.a33b4c82f15f1p-4, -0x1.973289c0ab8afp-4, -0x1.8b7e229d86165p-4, -0x1.801bd168b2211p-4, -0x1.750960c0342d8p-4, -0x1.6a44ab0c3af0bp-4, -0x1.5fcb99fedc626p-4, -0x1.559c26189a849p-4, -0x1.4bb45631e993fp-4, -0x1.42123f09c8e1p-4, -0x1.38b402d964499p-4, -0x1.2f97d0ec85adp-4, -0x1.26bbe53e92ce4p-4, -0x1.1e1e881bb1c73p-4, -0x1.15be0dc5badb9p-4, -0x1.0d98d61c7ea45p-4, -0x1.05ad4c490a309p-4, -0x1.fbf3ccd7116d6p-5, -0x1.ecfa4a96f565p-5, -0x1.de6b2814090c2p-5, -0x1.d0438fac58fe4p-5, -0x1.c280bf45d9fb6p-5, -0x1.b52007be1c215p-5, -0x1.a81ecc5d87706p-5, -0x1.9b7a824e33e6cp-5, -0x1.8f30b01670e76p-5, -0x1.833eed1719795p-5, -0x1.77a2e10dcf1p-5, -0x1.6c5a439b3213ep-5, -0x1.6162dbcd1edc4p-5, -0x1.56ba7facfd2bdp-5, -0x1.4c5f13d21369ep-5, -0x1.424e8af7ca3dbp-5, -0x1.3886e597cc23dp-5, -0x1.2f063187d6118p-5, -0x1.25ca8d2bdca1ep-5, -0x1.1cd217ce060ap-5, -0x1.141b097929903p-5, -0x1.0ba3a1f22997ap-5, -0x1.036a2ca33a273p-5, -0x1.f6da0096058fdp-6, -0x1.e754fd5c9c38bp-6, -0x1.d842289847523p-6, -0x1.c99e7028854f4p-6, -0x1.bb66d63faa26fp-6, -0x1.ad9870d8a4ffep-6, -0x1.a0306930ed211p-6, -0x1.932bfb466b3bfp-6, -0x1.8688755940cc7p-6, -0x1.7a43377146282p-6, -0x1.6e59b2e718876p-6, -0x1.62c969f0a01cdp-6, -0x1.578fef30e7864p-6, -0x1.4caae54b3468p-6, -0x1.4217fe7936fa3p-6, -0x1.37d4fc2442755p-6, -0x1.2ddfae8171831p-6, -0x1.2435f4309d5ffp-6, -0x1.1ad5b9de14ac1p-6, -0x1.11bcf9e6f512cp-6, -0x1.08e9bc001dedbp-6, -0x1.005a14df9313cp-6, -0x1.f0184bd0a3e14p-7, -0x1.dffc39b0e18f1p-7, -0x1.d05c66f3039a4p-7, -0x1.c1355ea6401d5p-7, -0x1.b283c2bf291d4p-7, -0x1.a4444b850c714p-7, -0x1.9673c70338162p-7, -0x1.890f187e0dd14p-7, -0x1.7c1337ebc0236p-7, -0x1.6f7d3170a91p-7, -0x1.634a24def45b1p-7, -0x1.57774539c4a4cp-7, -0x1.4c01d83b77e92p-7, -0x1.40e735df19e1ep-7, -0x1.3624c7ecdaa2bp-7, -0x1.2bb8098979cfcp-7, -0x1.219e86c88a91dp-7, -0x1.17d5dc418475p-7, -0x1.0e5bb6a77a11ep-7, -0x1.052dd2637ab69p-7, -0x1.f893f662e1cc7p-8, -0x1.e75c177ef91cfp-8, -0x1.d6afda9f6524ap-8, -0x1.c68b2eb859f4bp-8, -0x1.b6ea1e7ab194dp-8, -0x1.a7c8cfa4f7b6ap-8, -0x1.99238258a6651p-8, -0x1.8af690738d7dbp-8, -0x1.7d3e6ced3bdc4p-8, -0x1.6ff7a3384d39bp-8, -0x1.631ed6a785aadp-8, -0x1.56b0c1d69f705p-8, -0x1.4aaa3616ac6a6p-8, -0x1.3f081addf26a6p-8, -0x1.33c76d3b3d09dp-8, -0x1.28e53f4c69124p-8, -0x1.1e5eb7b849d4bp-8, -0x1.1431112b97a8p-8, -0x1.0a5999d8ee4ffp-8, -0x1.00d5b2fbf0b09p-8, -0x1.ef45a0be333bfp-9, -0x1.dd7cefc9446cp-9, -0x1.cc4c822405835p-9, -0x1.bbafa93c89752p-9, -0x1.aba1d805c1fb3p-9, -0x1.9c1ea21e9fc5bp-9, -0x1.8d21bafe17cbap-9, -0x1.7ea6f524186d3p-9, -0x1.70aa414f53642p-9, -0x1.6327adb7c56b9p-9, -0x1.561b654dc8666p-9, -0x1.4981aefd9d6f3p-9, -0x1.3d56ecf763005p-9, -0x1.31979bfb556cp-9, -0x1.264052aa347e7p-9, -0x1.1b4dc0d9c5d6ap-9, -0x1.10bcaeed58612p-9, -0x1.0689fd322def4p-9, -0x1.f965467f776e4p-10, -0x1.e6675eb7422cdp-10, -0x1.d4148bc2adaf5p-10, -0x1.c267415a6e8e6p-10, -0x1.b15a1d16ebec3p-10, -0x1.a0e7e5542c744p-10, -0x1.910b881cc0695p-10, -0x1.81c01a1b74f65p-10, -0x1.7300d5930bbb6p-10, -0x1.64c9195c7ed1p-10, -0x1.571467eb34c29p-10, -0x1.49de66575068dp-10, -0x1.3d22db6df0bb9p-10, -0x1.30ddaec70c28bp-10, -0x1.250ae7e0ebf23p-10, -0x1.19a6ad414f744p-10, -0x1.0ead439babb7p-10, -0x1.041b0cfd1d7e4p-10, -0x1.f3d90ffa1021ap-11, -0x1.e03c9de627eccp-11, -0x1.cd5a2e640698dp-11, -0x1.bb2b608e90e18p-11, -0x1.a9aa067f2393bp-11, -0x1.98d023df4c219p-11, -0x1.8897ec840c6abp-11, -0x1.78fbc311b9738p-11, -0x1.69f637a8c8241p-11, -0x1.5b82069aa7c63p-11, -0x1.4d9a17275037ep-11, -0x1.40397a42c1f1ap-11, -0x1.335b696266158p-11, -0x1.26fb455277f6ep-11, -0x1.1b149512ade3fp-11, -0x1.0fa304ba3eb0dp-11, -0x1.04a264640e744p-11, -0x1.f41d4e40c0179p-12, -0x1.dfc7c3dea13fp-12, -0x1.cc3c95811fbcep-12, -0x1.b9746ef55b03ep-12, -0x1.a7683a10ddbfep-12, -0x1.96111cd92a84p-12, -0x1.856877b8761e3p-12, -0x1.7567e3bd2a9f7p-12, -0x1.660930e662e51p-12, -0x1.5746647b1b797p-12, -0x1.4919b76dc022dp-12, -0x1.3b7d94c9f1225p-12, -0x1.2e6c982d3ea53p-12, -0x1.21e18c4aa8695p-12, -0x1.15d76978663p-12, -0x1.0a4954479082dp-12, -0x1.fe65384be74c8p-13, -0x1.e91d7412305ecp-13, -0x1.d4b29e45fdc37p-13, -0x1.c11c473fc0651p-13, -0x1.ae524ad9ca2a7p-13, -0x1.9c4cce0f787ccp-13, -0x1.8b043cac9c869p-13, -0x1.7a71470e5b85fp-13, -0x1.6a8cdff420b55p-13, -0x1.5b503a5fe3a3ep-13, -0x1.4cb4c786514ep-13, -0x1.3eb434cdeb12ap-13, -0x1.314869dd15363p-13, -0x1.246b86b58422ep-13, -0x1.1817e1df333c5p-13, -0x1.0c48069f3c883p-13, -0x1.00f6b33dcc07ep-13, -0x1.ec3daeacd4932p-14, -0x1.d7772470c6bc5p-14, -0x1.c390629ff6d3ep-14, -0x1.b0805d3c9ad04p-14, -0x1.9e3e5e7778a64p-14, -0x1.8cc203c8be065p-14, -0x1.7c033b254ebe7p-14, -0x1.6bfa4043b8407p-14, -0x1.5c9f99f8590b4p-14, -0x1.4dec17a701b6cp-14, -0x1.3fd8cec7a27eap-14, -0x1.325f187e2024dp-14, -0x1.25788f4568a9ap-14, -0x1.191f0caa1f78p-14, -0x1.0d4ca71d5b64ap-14, -0x1.01e9026088ca3p-14, -0x1.ee28f66204337p-15, -0x1.d96d5d9bea7b2p-15, -0x1.c595248eb35a3p-15, -0x1.b2969b2e3483bp-15, -0x1.a06873a7fde72p-15, -0x1.8f01bedcab81ep-15, -0x1.7e59e900609p-15, -0x1.6e68b64ee2f49p-15, -0x1.5f263fde96fd4p-15, -0x1.508af08cf0659p-15, -0x1.428f820345b46p-15, -0x1.352cf9d5e3534p-15, -0x1.285ca6bb4baep-15, -0x1.1c181dd84fe6fp-15, -0x1.10593825c176cp-15, -0x1.051a0feabcf8fp-15, -0x1.f4a9fc9a337afp-16, -0x1.e00931e92e9dfp-16, -0x1.cc475f893bfbep-16, -0x1.b95a9550c753ep-16, -0x1.a7394ee2b721cp-16, -0x1.95da6f95eb328p-16, -0x1.85353e77d5a5cp-16, -0x1.754162758366p-16, -0x1.65f6dea9e121p-16, -0x1.574e0ec9ea876p-16, -0x1.493fa3ab33955p-16, -0x1.3bc49ff30b712p-16, -0x1.2ed654dae3f5ap-16, -0x1.226e5f14ea76fp-16, -0x1.1686a3cce31cap-16, -0x1.0b194dc3dd157p-16, -0x1.0020ca84dab3fp-16, -0x1.eb2f8f6a931a7p-17, -0x1.d6f260ecbd89dp-17, -0x1.c38055d2f8b6fp-17, -0x1.b0d02b9859d38p-17, -0x1.9ed90c2c072cbp-17, -0x1.8d92898fe2915p-17, -0x1.7cf49973d7597p-17, -0x1.6cf7911ab5149p-17, -0x1.5d942151a5392p-17, -0x1.4ec352918650bp-17, -0x1.407e81517d667p-17, -0x1.32bf5a5442d4dp-17, -0x1.257fd767d775ep-17, -0x1.18ba3be960a6ep-17, -0x1.0c6911b2ab1d5p-17, -0x1.008725ef2838dp-17, -0x1.ea1f0c709c944p-18, -0x1.d3fafb75bc9bbp-18, -0x1.be9924f6d4b52p-18, -0x1.a9f10576b4c4fp-18, -0x1.95fa84dd66893p-18, -0x1.82adf1964f546p-18, -0x1.7003fc04503e1p-18, -0x1.5df5b1f3c702ep-18, -0x1.4c7c7a58dad35p-18, -0x1.3b921124df95cp-18, -0x1.2b30836fd441fp-18, -0x1.1b522b8226e71p-18, -0x1.0bf1ad4ce4064p-18, -0x1.fa13e5cf860fep-19, -0x1.dd2c5260526c3p-19, -0x1.c1237931f7941p-19, -0x1.a5f0ac2a22f19p-19, -0x1.8b8bb048f3b16p-19, -0x1.71ecb7fb4fe94p-19, -0x1.590c5dc694db9p-19, -0x1.40e39ef55f649p-19, -0x1.296bd6d504e33p-19, -0x1.129eb9b54f4f8p-19, -0x1.f8eca14b7f6b6p-20, -0x1.cdd9e9dba62e5p-20, -0x1.a3fa978e7d6b8p-20, -0x1.7b4485a3ab1fcp-20, -0x1.53ae178942ca2p-20, -0x1.2d2e32840c40ep-20, -0x1.07bc362c58e4ap-20, -0x1.c69fec4500fb6p-21, -0x1.7fc366e0bfe47p-21, -0x1.3ad42d9b61847p-21, -0x1.ef88abd9bf5fap-22, -0x1.6d0d5b46417aap-22, -0x1.dc3ac41ad5176p-23, -0x1.ca8404dfd04e5p-24, 0x1.5f93be51d911cp-28, 0x1.e957d23bb93b9p-24, 0x1.d7f481f8b492ap-23, 0x1.5a7e849574fcp-22, 0x1.c5f51b9cb316fp-22, 0x1.1737bf53ea932p-21, 0x1.49ff27ea5e912p-21, 0x1.7b58b42ff36f9p-21, 0x1.ab4bf289f723ep-21, 0x1.d9e0192c8992fp-21, 0x1.038e05cdaf966p-20, 0x1.1983304ddf5fdp-20, 0x1.2ed2b2cc33c0bp-20, 0x1.437f9312819dap-20, 0x1.578cb71d54e8cp-20, 0x1.6afce7c12271p-20, 0x1.7dd2d2998f459p-20, 0x1.90110bf46d5e1p-20, 0x1.a1ba10a2db079p-20, 0x1.b2d047a8f67d8p-20, 0x1.c35603c83854dp-20, 0x1.d34d8530aa765p-20, 0x1.e2b8faa839cb8p-20, 0x1.f19a831f7a37ap-20, 0x1.fff42ecbc50e1p-20, 0x1.06e4002e152aap-19, 0x1.0d8bf7149f472p-19, 0x1.13f2f1711347cp-19, 0x1.1a19df8092e68p-19, 0x1.2001acae18b68p-19, 0x1.25ab3ffe06ca9p-19, 0x1.2b177ca319476p-19, 0x1.30474208f160ep-19, 0x1.353b6c611daa8p-19, 0x1.39f4d4cdd347ep-19, 0x1.3e745207e8451p-19, 0x1.42bab80f3adabp-19, 0x1.46c8d8d8377ebp-19, 0x1.4a9f8450d0904p-19, 0x1.4e3f88b22e08fp-19, 0x1.51a9b2a5b843bp-19, 0x1.54decd5776c1ap-19, 0x1.57dfa2c85809ep-19, 0x1.5aacfbd6d33ccp-19, 0x1.5d47a05c4a504p-19, 0x1.5fb0574b769f9p-19, 0x1.61e7e6ef8a92cp-19, 0x1.63ef14c8bf8cap-19, 0x1.65c6a59f161bbp-19, 0x1.676f5dcf724c1p-19, 0x1.68ea01292988dp-19, 0x1.6a375304330e1p-19, 0x1.6b581653033dep-19, 0x1.6c4d0d985cdf5p-19, 0x1.6d16fb00754d5p-19, 0x1.6db6a05909a0dp-19, 0x1.6e2cbf21f4e67p-19, 0x1.6e7a186481c78p-19, 0x1.6e9f6ced53615p-19, 0x1.6e9d7d2782d7fp-19, 0x1.6e75091951abp-19, 0x1.6e26d079611fap-19, 0x1.6db39285f8f58p-19, 0x1.6d1c0e168f261p-19, 0x1.6c61018d4cac6p-19, 0x1.6b832ad3b170dp-19, 0x1.6a834750ba452p-19, 0x1.696213e9375c6p-19, 0x1.68204cc7e8896p-19, 0x1.66beada0d44e2p-19, 0x1.653df171781cap-19, 0x1.639ed2843ae71p-19, 0x1.61e20a659bce3p-19, 0x1.600851e804f62p-19, 0x1.5e1260d27e689p-19, 0x1.5c00ee5f886c2p-19, 0x1.59d4b0a741c86p-19, 0x1.578e5cdc53576p-19, 0x1.552ea72f5de3cp-19, 0x1.52b642becbb5dp-19, 0x1.5025e1a7f80e7p-19, 0x1.4d7e34b94474ap-19, 0x1.4abfebc6a63c4p-19, 0x1.47ebb551a66fep-19, 0x1.45023e9370dd8p-19, 0x1.4204337c09c02p-19, 0x1.3ef23ea6b7488p-19, 0x1.3bcd094077f85p-19, 0x1.38953b1cb7c4fp-19, 0x1.354b7a771daacp-19, 0x1.31f06c27c17f2p-19, 0x1.2e84b372b39fp-19, 0x1.2b08f1ff31da8p-19, 0x1.277dc7f58071dp-19, 0x1.23e3d3bd4add1p-19, 0x1.203bb217940c8p-19, 0x1.1c85fe2169026p-19, 0x1.18c35116713e7p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.fc1199401f5d4p-4, -0x1.488991ce07ffp-4, -0x1.207be21c8b58dp-5, 0x1.59da748eacb33p-7, 0x1.d0e35e91e61b3p-5, 0x1.a616e2e4d4c6cp-4, 0x1.317ef292cb34ep-3, 0x1.8f0d954dd73c8p-3, 0x1.eb41c7fe6e706p-3, 0x1.22da71afd81cbp-2, 0x1.4f06c19030c94p-2, 0x1.79ff1a84e4898p-2, 0x1.a3a26d7e6be61p-2, 0x1.cbd5322308c52p-2, 0x1.f28128572497ap-2, 0x1.0bca700a9df2fp-1, 0x1.1d818b535ac98p-1, 0x1.2e610727b9a12p-1, 0x1.3e65814974a15p-1, 0x1.4d8ce5764111dp-1, 0x1.5bd655a184ea4p-1, 0x1.6940e975e0f0cp-1, 0x1.75d0c23463872p-1, 0x1.818755df10d91p-1, 0x1.8c67de6e0c5f1p-1, 0x1.96763d7f44d4ep-1, 0x1.9fb6e23750112p-1, 0x1.a82eb27248dbp-1, 0x1.afe2f8be1e11ep-1, 0x1.b6d9565a9e244p-1, 0x1.bd17b6769b77dp-1, 0x1.c2a4402abb5a9p-1, 0x1.c78546d42d5ccp-1, 0x1.cbc13a7076dddp-1, 0x1.cf5e9a0d4acd1p-1, 0x1.d263e95bca854p-1, 0x1.d4d7a91075fbbp-1, 0x1.d6c050f063773p-1, 0x1.d8244a88d956ep-1, 0x1.d909ec2d7d015p-1, 0x1.d977746642e5cp-1, 0x1.d97306186f7ffp-1, 0x1.d902a57460aecp-1, 0x1.d82c3552bbfa2p-1, 0x1.d6f5747b0e35ep-1, 0x1.d563fa6f520aep-1, 0x1.d37d33b8d641cp-1, 0x1.d1465e1e72acfp-1, 0x1.cec4856c9b2p-1, 0x1.cbfc8173d4269p-1, 0x1.c8f2f5a178ea3p-1, 0x1.c5ac5237eb65dp-1, 0x1.c22cd6d0c3283p-1, 0x1.be789596e2c12p-1, 0x1.ba937692cb786p-1, 0x1.b6813a772ef14p-1, 0x1.b2457c8bf7794p-1, 0x1.ade3b393bb3d4p-1, 0x1.a95f31c3b69fp-1, 0x1.a4bb2414b8d08p-1, 0x1.9ffa914cc4fb4p-1, 0x1.9b205923c21c5p-1, 0x1.962f33d4c7c31p-1, 0x1.912ae55a103b9p-1, 0x1.8c1389baa19adp-1, 0x1.86ec620728f44p-1, 0x1.81b793855bd09p-1, 0x1.7c7725bcbb138p-1, 0x1.772d03e78e78p-1, 0x1.71dafe39947ebp-1, 0x1.6c82cb0089a4ap-1, 0x1.672607a6f7db7p-1, 0x1.61c639a346e4fp-1, 0x1.5c64cf5c4d08cp-1, 0x1.5703210a67d34p-1, 0x1.51a2719954247p-1, 0x1.4c43ef8c67d13p-1, 0x1.46e8b5e4e1d97p-1, 0x1.4191cd08ea8a6p-1, 0x1.3c402ba972acbp-1, 0x1.36f4b7a53d05dp-1, 0x1.31b046e7a8defp-1, 0x1.2c73a04230d8dp-1, 0x1.273f7c3fd2a4fp-1, 0x1.221485f1b48cfp-1, 0x1.1cf35bb4652dfp-1, 0x1.17dc8fed01152p-1, 0x1.12d0a9bd7ba17p-1, 0x1.0dd025af429bfp-1, 0x1.08db7653886fp-1, 0x1.03f304d8a2861p-1, 0x1.fe2e632876617p-2, 0x1.f490a904cb176p-2, 0x1.eb0d7b7416916p-2, 0x1.e1a56baf1185p-2, 0x1.d858fcbd3657ep-2, 0x1.cf28a429f4a45p-2, 0x1.c614caae06916p-2, 0x1.bd1dcccfb15ccp-2, 0x1.b443fb7c4342fp-2, 0x1.ab879c9cc6594p-2, 0x1.a2e8eba7369a2p-2, 0x1.9a681a2d017dfp-2, 0x1.920550670d236p-2, 0x1.89c0adbf16a6ap-2, 0x1.819a4955ec112p-2, 0x1.79923285ce015p-2, 0x1.71a8716040c28p-2, 0x1.69dd07268a706p-2, 0x1.622feebc4589ep-2, 0x1.5aa11d1385c35p-2, 0x1.533081924c405p-2, 0x1.4bde06712cda6p-2, 0x1.44a991133ae4ap-2, 0x1.3d93025786dcep-2, 0x1.369a36e489d8ap-2, 0x1.2fbf076e0540fp-2, 0x1.290148f5ed48p-2, 0x1.2260cd08e66e6p-2, 0x1.1bdd61f6fbe79p-2, 0x1.1576d30908b02p-2, 0x1.0f2ce8b350adcp-2, 0x1.08ff68c5a8694p-2, 0x1.02ee169977061p-2, 0x1.f9f1667b9041ep-3, 0x1.ee3dfb4320a6ap-3, 0x1.e2c16578704d4p-3, 0x1.d77b1b68f38f6p-3, 0x1.cc6a900b2213p-3, 0x1.c18f334587c03p-3, 0x1.b6e8723282408p-3, 0x1.ac75b760c1057p-3, 0x1.a2366b108a7ap-3, 0x1.9829f36de6ea8p-3, 0x1.8e4fb4c7d9994p-3, 0x1.84a711c4b8b67p-3, 0x1.7b2f6b93e7f5fp-3, 0x1.71e8221d0ca1ep-3, 0x1.68d0942cee2e8p-3, 0x1.5fe81fa02921bp-3, 0x1.572e218bde872p-3, 0x1.4ea1f6647a547p-3, 0x1.4642fa22ac01cp-3, 0x1.3e108866bd51cp-3, 0x1.3609fc9a38556p-3, 0x1.2e2eb2101bffbp-3, 0x1.267e042382435p-3, 0x1.1ef7939275c3dp-3, 0x1.179a28790b143p-3, 0x1.10656c4feb8cap-3, 0x1.0958bbfa0faf9p-3, 0x1.027374e732125p-3, 0x1.f769ea5021532p-4, 0x1.ea3937037a231p-4, 0x1.dd538f00077ccp-4, 0x1.d0b7b30dfada5p-4, 0x1.c46465c7be236p-4, 0x1.b8586bba05f29p-4, 0x1.ac928b8277b38p-4, 0x1.a1118deceaa09p-4, 0x1.95d43e0f3c6c4p-4, 0x1.8ad96963c55d7p-4, 0x1.801fdfe270fa2p-4, 0x1.75a6741871ed3p-4, 0x1.6b6bfb3e99986p-4, 0x1.616f4d4e51912p-4, 0x1.57af45153a5f6p-4, 0x1.4e2ac047733p-4, 0x1.44e09f908e5ap-4, 0x1.3bcfc6a33a73dp-4, 0x1.32f71c47a5c6ep-4, 0x1.2a558a68a628fp-4, 0x1.21e9fe1fae607p-4, 0x1.19b367bf99dfcp-4, 0x1.11b0bade5cbe2p-4, 0x1.09e0ee5da1996p-4, 0x1.0242fc72601e1p-4, 0x1.f5abc556f64fp-5, 0x1.e73143eeddd7ap-5, 0x1.d9147d523bf22p-5, 0x1.cb5380f78bfb3p-5, 0x1.bdec652c5482p-5, 0x1.b0dd4719f76fdp-5, 0x1.a4244ac91af5p-5, 0x1.97bf9b23b4bap-5, 0x1.8bad69f5d80d6p-5, 0x1.7febefed4ba24p-5, 0x1.74796c98046cap-5, 0x1.695426618e0d8p-5, 0x1.5e7a6a8f73ceep-5, 0x1.53ea8d3cba5eep-5, 0x1.49a2e95470f91p-5, 0x1.3fa1e08b70dcfp-5, 0x1.35e5db594cd3ep-5, 0x1.2c6d48f081501p-5, 0x1.23369f35ebd33p-5, 0x1.1a405ab799735p-5, 0x1.1188fea2e7355p-5, 0x1.090f14ba0d396p-5, 0x1.00d12d490f718p-5, 0x1.f19bbe343ac55p-6, 0x1.e2078ed2da815p-6, 0x1.d2e313b11fdc9p-6, 0x1.c42ba0c295cd2p-6, 0x1.b5de968ff2eefp-6, 0x1.a7f9621af745bp-6, 0x1.9a797cc1757bfp-6, 0x1.8d5c6c1f879e5p-6, 0x1.809fc1f1095cfp-6, 0x1.74411bf24f607p-6, 0x1.683e23c0388d7p-6, 0x1.5c948eb79935ep-6, 0x1.51421dd407f5ep-6, 0x1.46449d8e24296p-6, 0x1.3b99e5b952753p-6, 0x1.313fd96101afcp-6, 0x1.273466a57dcaap-6, 0x1.1d7586985ecf8p-6, 0x1.14013d189fe72p-6, 0x1.0ad598ae5db6p-6, 0x1.01f0b26650779p-6, 0x1.f2a15b5a15f94p-7, 0x1.e1e77053fbb47p-7, 0x1.d1b01334a65fap-7, 0x1.c1f7c75748dc4p-7, 0x1.b2bb23ad2d917p-7, 0x1.a3f6d272c7e6ap-7, 0x1.95a790e4a3f7dp-7, 0x1.87ca2ef468957p-7, 0x1.7a5b8efdbfeebp-7, 0x1.6d58a57b690cfp-7, 0x1.60be78bc6573fp-7, 0x1.548a209950fbbp-7, 0x1.48b8c629ef244p-7, 0x1.3d47a37b0812ep-7, 0x1.3234034485df4p-7, 0x1.277b409ff5861p-7, 0x1.1d1ac6bf62358p-7, 0x1.131010a49cf7fp-7, 0x1.0958a8d8f9e3p-7, 0x1.ffe4524b0b7ep-8, 0x1.edb474977bba1p-8, 0x1.dc1d277da09a2p-8, 0x1.cb19f6bae4c5bp-8, 0x1.baa68a5887166p-8, 0x1.aabea621a2d5ap-8, 0x1.9b5e291a7ec3fp-8, 0x1.8c810cf9237c5p-8, 0x1.7e23659f442bfp-8, 0x1.704160958d9c1p-8, 0x1.62d744885b8c4p-8, 0x1.55e170c5da902p-8, 0x1.495c5cbda439fp-8, 0x1.3d449781d30a4p-8, 0x1.3196c7499cc77p-8, 0x1.264fa8f5760d9p-8, 0x1.1b6c0f94c19f8p-8, 0x1.10e8e3ed1089dp-8, 0x1.06c32402fa212p-8, 0x1.f9efc5491ba9p-9, 0x1.e7088deabfe79p-9, 0x1.d4cb17f86fc68p-9, 0x1.c3320064bca96p-9, 0x1.b2380a2923fd3p-9, 0x1.a1d81d6b3b823p-9, 0x1.920d46a52cd25p-9, 0x1.82d2b5d18a48p-9, 0x1.7423bd9a56fbbp-9, 0x1.65fbd28b925a1p-9, 0x1.58568a48d239fp-9, 0x1.4b2f9ac6623aep-9, 0x1.3e82d98586782p-9, 0x1.324c3ad431803p-9, 0x1.2687d10feb235p-9, 0x1.1b31cbebf3ec5p-9, 0x1.104677bac3a83p-9, 0x1.05c23cbaaf339p-9, 0x1.f7433ccbbc2aep-10, 0x1.e3c2758ad45f5p-10, 0x1.d0fb938f44674p-10, 0x1.bee839331963p-10, 0x1.ad823a0709d32p-10, 0x1.9cc39991e3e0fp-10, 0x1.8ca68a1652126p-10, 0x1.7d256b5e8152p-10, 0x1.6e3ac98e18e24p-10, 0x1.5fe15bfa14c51p-10, 0x1.521404069fdd1p-10, 0x1.44cdcc0adf26cp-10, 0x1.3809e63a7c7e4p-10, 0x1.2bc3ab950d186p-10, 0x1.1ff69adb27c52p-10, 0x1.149e5789231acp-10, 0x1.09b6a8d755412p-10, 0x1.fe76f17fd9cbp-11, 0x1.ea51a61466873p-11, 0x1.d6f5c8b64109dp-11, 0x1.c45bf296aa898p-11, 0x1.b27cfb04598aap-11, 0x1.a151f5ac1420dp-11, 0x1.90d430e367fbdp-11, 0x1.80fd33fd66216p-11, 0x1.71c6bda92cf4ep-11, 0x1.632ac25a37ff4p-11, 0x1.55236aba4ef59p-11, 0x1.47ab122482861p-11, 0x1.3abc4529cd91fp-11, 0x1.2e51c01eab2f5p-11, 0x1.22666db1978b1p-11, 0x1.16f5658a4cd44p-11, 0x1.0bf9eaf1d15bbp-11, 0x1.016f6b830acbcp-11, 0x1.eea2fbc658e97p-12, 0x1.db37c106112fep-12, 0x1.c894f0cfda21ep-12, 0x1.b66a153e27b19p-12, 0x1.a541a39b7966dp-12, 0x1.94cac2d1e57d4p-12, 0x1.84fe597ac46aap-12, 0x1.75d590140dab4p-12, 0x1.6749ceee5bdd1p-12, 0x1.5954bc284b16fp-12, 0x1.4bf039b753b51p-12, 0x1.3f16637ec42f4p-12, 0x1.32c18d73825a2p-12, 0x1.26ec41cccdb76p-12, 0x1.1b913f4183d51p-12, 0x1.10ab7751da93dp-12, 0x1.06360c9d475d4p-12, 0x1.f858a28793f95p-13, 0x1.e5138aa677befp-13, 0x1.d2942a7f3077p-13, 0x1.c0d230cd38415p-13, 0x1.afc59f3b3f2b2p-13, 0x1.9f66c79507f0fp-13, 0x1.8fae490d6b2cfp-13, 0x1.80950d9841e5p-13, 0x1.72144757e018fp-13, 0x1.64256e1e9e521p-13, 0x1.56c23d01d32adp-13, 0x1.49e4afff738d4p-13, 0x1.3d8701b635a21p-13, 0x1.31a3a92e2dd16p-13, 0x1.263557b27a74ap-13, 0x1.1b36f6bc74379p-13, 0x1.10a3a5ed8b605p-13, 0x1.0676b919c97f3p-13, 0x1.f9576cc335e42p-14, 0x1.e67ca8b454934p-14, 0x1.d454f0897a80ap-14, 0x1.c2d868a833874p-14, 0x1.b1ff8bfdea1dcp-14, 0x1.a1c328c4753fbp-14, 0x1.921c5d5a7e94cp-14, 0x1.8304953a953ffp-14, 0x1.747586089a6a4p-14, 0x1.66692cb909bcp-14, 0x1.58d9cacdeea19p-14, 0x1.4bc1e3acca962p-14, 0x1.3f1c3a0a01508p-14, 0x1.32e3cd68e666ap-14, 0x1.2713d7b4bdf1ap-14, 0x1.1ba7cae97a4cp-14, 0x1.109b4ed386cap-14, 0x1.05ea3ee2d01eap-14, 0x1.f7215020206c4p-15, 0x1.e3158da9a311ap-15, 0x1.cfaa0a6ad80d2p-15, 0x1.bcd7f1b99faabp-15, 0x1.aa98c28f2e556p-15, 0x1.98e64c0440a39p-15, 0x1.87baa9e83421bp-15, 0x1.77104179e705dp-15, 0x1.66e1be3ea85bfp-15, 0x1.572a0ef49b413p-15, 0x1.47e462a2fcd5dp-15, 0x1.390c25c506824p-15, 0x1.2a9cff90244ecp-15, 0x1.1c92cf53c08b7p-15, 0x1.0ee9a9f0a5e5ep-15, 0x1.019dd76b05622p-15, 0x1.e957a12503828p-16, 0x1.d0207981f0283p-16, 0x1.b78fdf60cfab9p-16, 0x1.9f9fcecbfe8adp-16, 0x1.884a945de5047p-16, 0x1.718ac96aad388p-16, 0x1.5b5b504cc000ap-16, 0x1.45b750da52fc7p-16, 0x1.309a34f661068p-16, 0x1.1bffa54dd5dd6p-16, 0x1.07e38633f608ap-16, 0x1.e883e9374147ep-17, 0x1.c22e866e9fcb8p-17, 0x1.9cbfef5eded41p-17, 0x1.78318fff06778p-17, 0x1.547d2fcae7663p-17, 0x1.319cece96c3a1p-17, 0x1.0f8b378308278p-17, 0x1.dc859a871ed14p-18, 0x1.9b7d6a4241281p-18, 0x1.5bf47668d7cdcp-18, 0x1.1de1d9cb20059p-18, 0x1.c27a54730ca4p-19, 0x1.4bfce30583b9bp-19, 0x1.b0789a264063ep-20, 0x1.9ca936ef8facep-21, -0x1.d1a7bfdb232a9p-25, -0x1.cc8d20355e41p-21, -0x1.b8efa52129099p-20, -0x1.434fc496cf7ecp-19, -0x1.a7b60f502645dp-19, -0x1.04da8c60c9fcbp-18, -0x1.34ab62886cbcfp-18, -0x1.63523f9375b66p-18, -0x1.90d3a097c3c2ep-18, -0x1.bd33ce397b9eep-18, -0x1.e876e06c142c1p-18, -0x1.095060fffb52ep-17, -0x1.1dda9a0102c34p-17, -0x1.31dbe876947c1p-17, -0x1.455607d5e2781p-17, -0x1.584aa33863ef8p-17, -0x1.6abb56b8fdc3p-17, -0x1.7ca9b0af2878bp-17, -0x1.8e1732ec30a32p-17, -0x1.9f0553d471c8cp-17, -0x1.af757f701a85ep-17, -0x1.bf6918695b702p-17, -0x1.cee178fe2daddp-17, -0x1.dddff3d9ac652p-17, -0x1.ec65d4e8fd18cp-17, -0x1.fa746221fe3b4p-17, -0x1.04066e1c6e7d1p-16, -0x1.0a983fa28942dp-16, -0x1.10f041b1f5c7cp-16, -0x1.170f0ea409645p-16, -0x1.1cf53f66810b8p-16, -0x1.22a36bb0785e3p-16, -0x1.281a2a43f2d71p-16, -0x1.2d5a111e47234p-16, -0x1.3263b5ae5e12ep-16, -0x1.3737acfd4ce8p-16, -0x1.3bd68bd7d359p-16, -0x1.4040e6f305c9ap-16, -0x1.4477530e36cabp-16, -0x1.487a650f1ab2ep-16, -0x1.4c4ab21f8f508p-16, -0x1.4fe8cfc02d8d2p-16, -0x1.535553e33cf14p-16, -0x1.5690d4f87edb2p-16, -0x1.599bea01735c7p-16, -0x1.5c772a9b86d4cp-16, -0x1.5f232f0b57d9cp-16, -0x1.61a0904766856p-16, -0x1.63efe7fadaf2ep-16, -0x1.6611d08c0455bp-16, -0x1.6806e52155d5bp-16, -0x1.69cfc1a1dcbbbp-16, -0x1.6b6d02afc129p-16, -0x1.6cdf45afba2c9p-16, -0x1.6e2728c02ae7dp-16, -0x1.6f454ab73e544p-16, -0x1.703a4b1b141p-16, -0x1.7106ca1da1719p-16, -0x1.71ab689661475p-16, -0x1.7228c7f772184p-16, -0x1.727f8a4693e84p-16, -0x1.72b05212ad83bp-16, -0x1.72bbc269d9431p-16, -0x1.72a27ecc59e4dp-16, -0x1.72652b24c0dddp-16, -0x1.72046bb941fc5p-16, -0x1.7180e51ff2482p-16, -0x1.70db3c3271015p-16, -0x1.70141600c623ap-16, -0x1.6f2c17be443f8p-16, -0x1.6e23e6c13aa7ap-16, -0x1.6cfc2867ffc3fp-16, -0x1.6bb5821082f18p-16, -0x1.6a50990a64dd5p-16, -0x1.68ce1287a3fb4p-16, -0x1.672e938fbe0ccp-16, -0x1.6572c0ec3f1c5p-16, -0x1.639b3f24fbeb3p-16, -0x1.61a8b267b6cc5p-16, -0x1.5f9bbe7eaed5p-16, -0x1.5d7506c1e17bep-16, -0x1.5b352e0abb857p-16, -0x1.58dcd6a133c98p-16, -0x1.566ca23525ec1p-16, -0x1.53e531ccbda55p-16, -0x1.514725b80740bp-16, -0x1.4e931d842f675p-16, -0x1.4bc9b7eee1e67p-16, -0x1.48eb92d91a826p-16, -0x1.45f94b3c2158cp-16, -0x1.42f37d1bc7438p-16, -0x1.3fdac37ec3a46p-16, -0x1.3cafb85a9a0b1p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9e7b85295e026p+0, -0x1.8f68e64a85d91p+0, -0x1.820aea23403d3p+0, -0x1.763e176685aacp+0, -0x1.6bdf8c0ca3a2ep+0, -0x1.62cd510e413c6p+0, -0x1.5ae6b774c4046p+0, -0x1.540cab49ce002p+0, -0x1.4e21dbe183c31p+0, -0x1.490ac53ec15aap+0, -0x1.44adb0610c3e2p+0, -0x1.40f2b880ee7fep+0, -0x1.3dc3d5506ce0cp+0, -0x1.3b0cdd496cfb2p+0, -0x1.38bb762825631p+0, -0x1.36bef71704229p+0, -0x1.350847d0b3298p+0, -0x1.3389c5980b2b8p+0, -0x1.32372fca68f7ep+0, -0x1.3105987be9a8fp+0, -0x1.2feb54759afe7p+0, -0x1.2edfcf28eccccp+0, -0x1.2ddbfb6bb2c67p+0, -0x1.2cd93038b7968p+0, -0x1.2bd1d742cf3ecp+0, -0x1.2ac127577f058p+0, -0x1.29a312176e102p+0, -0x1.28743313d0fffp+0, -0x1.2731c056693aap+0, -0x1.25d97bf108bc5p+0, -0x1.2469a5e17fb6ap+0, -0x1.22e0edeea45f2p+0, -0x1.213e65e6674dep+0, -0x1.1f817523e0c4ep+0, -0x1.1da9ce161cf5fp+0, -0x1.1bb765d1870f3p+0, -0x1.19aa6d06b58a8p+0, -0x1.17834974ebb93p+0, -0x1.15428f2c6897p+0, -0x1.12e8f97bf7267p+0, -0x1.107763e182a91p+0, -0x1.0deec38965cf6p+0, -0x1.0b5021ca021ffp+0, -0x1.089c97ba6d479p+0, -0x1.05d54ab5345ep+0, -0x1.02fb696f25d57p+0, -0x1.0010294eb52bcp+0, -0x1.fa2987a8ed52ep-1, -0x1.f414e82161952p-1, -0x1.ede4e883282f5p-1, -0x1.e79bf780df908p-1, -0x1.e13c7ab7be317p-1, -0x1.dac8cc50db26p-1, -0x1.d4433973fb0efp-1, -0x1.cdae014c4650bp-1, -0x1.c70b544fb639p-1, -0x1.c05d53819af0fp-1, -0x1.b9a60f82c142cp-1, -0x1.b2e78764a8f1ap-1, -0x1.ac23a755cf124p-1, -0x1.a55c47527ed67p-1, -0x1.9e932a0bd4334p-1, -0x1.97c9fc2e7aa5p-1, -0x1.9102a3ba75f3cp-1, -0x1.8a3dfcbe35f75p-1, -0x1.837dc037cf438p-1, -0x1.7cc346ab330f3p-1, -0x1.760fd563047fbp-1, -0x1.6f649f0ec2d5ep-1, -0x1.68c2c45c5f15ep-1, -0x1.622b548897ef5p-1, -0x1.5b9f4de5772f2p-1, -0x1.551f9e590f3d7p-1, -0x1.4ead23d7f76cep-1, -0x1.4848acdf111d3p-1, -0x1.41f2f8ef47851p-1, -0x1.3bacb90cc96dep-1, -0x1.3576904215b88p-1, -0x1.2f5114265caap-1, -0x1.293ccd664ce7ep-1, -0x1.233a384e5b1ffp-1, -0x1.1d49c555bc07ap-1, -0x1.176bd9a98f2cfp-1, -0x1.11a0cfb7f15e7p-1, -0x1.0be8f7babc642p-1, -0x1.06449841a15b2p-1, -0x1.00b3eebb0d38ep-1, -0x1.f66e5ff5eec62p-2, -0x1.eb9d117ce0c4fp-2, -0x1.e0f43c5525abp-2, -0x1.d6741c8af2681p-2, -0x1.cc1ce0cff85acp-2, -0x1.c1eeab4eb7ecap-2, -0x1.b7e9926ccaf5bp-2, -0x1.ae0da17c5270bp-2, -0x1.a45ad95db1b0ep-2, -0x1.9ad13113825c1p-2, -0x1.9170964b3fc17p-2, -0x1.8838eddd4fbb7p-2, -0x1.7f2a144703da4p-2, -0x1.7643de20cd451p-2, -0x1.6d861892595d4p-2, -0x1.64f089c5b02c7p-2, -0x1.5c82f159cb5ccp-2, -0x1.543d08d49a4c3p-2, -0x1.4c1e8413e8b14p-2, -0x1.442711bc5a6c9p-2, -0x1.3c565ba58a33dp-2, -0x1.34ac07424dc04p-2, -0x1.2d27b60441693p-2, -0x1.25c905b9e979bp-2, -0x1.1e8f90e6ee1e2p-2, -0x1.177aef163d927p-2, -0x1.108ab5261886ap-2, -0x1.09be758e3c2e8p-2, -0x1.0315c0a0938a7p-2, -0x1.f9204989da827p-3, -0x1.ec5a5d6082ebp-3, -0x1.dfd8d330395fdp-3, -0x1.d39abec57229dp-3, -0x1.c79f31a87b0edp-3, -0x1.bbe53b731a4d6p-3, -0x1.b06bea21e215fp-3, -0x1.a5324a61b5685p-3, -0x1.9a3767d9bf6d1p-3, -0x1.8f7a4d72031dbp-3, -0x1.84fa059696955p-3, -0x1.7ab59a7788479p-3, -0x1.70ac1645565ep-3, -0x1.66dc8369fca1ap-3, -0x1.5d45ecbe92c87p-3, -0x1.53e75dbd74fedp-3, -0x1.4abfe2b10d8b9p-3, -0x1.41ce88df61dbdp-3, -0x1.39125eb280e02p-3, -0x1.308a73de01584p-3, -0x1.2835d981ce822p-3, -0x1.2013a24a76302p-3, -0x1.1822e28f26e4dp-3, -0x1.1062b06da6f73p-3, -0x1.08d223e46468ap-3, -0x1.017056eaca496p-3, -0x1.f478cb100d8bep-4, -0x1.e66adbd0afb26p-4, -0x1.d8b520e1deb79p-4, -0x1.cb55dfa511a4ap-4, -0x1.be4b623563b9ep-4, -0x1.b194519d67eadp-4, -0x1.a52e41cc03421p-4, -0x1.9917f035d1ddcp-4, -0x1.8d4fbb73bdf53p-4, -0x1.81d4075fa7caap-4, -0x1.76a33d2490686p-4, -0x1.6bbbcb4cc76c5p-4, -0x1.611c25ce4b081p-4, -0x1.56c2c61570066p-4, -0x1.4cae2b0df1528p-4, -0x1.42dcd92a75f68p-4, -0x1.394d5a6aaa69bp-4, -0x1.2ffe3e5ff628p-4, -0x1.26ee1a30e4f92p-4, -0x1.1e1b889b4bfdbp-4, -0x1.158529f53dafep-4, -0x1.0d29a42cd6df9p-4, -0x1.0507a2c6eedcp-4, -0x1.fa3badb9797e4p-5, -0x1.ead5ee30ed89ep-5, -0x1.dbdb7f61f6598p-5, -0x1.cd49e4c91a065p-5, -0x1.bf1eace55bf85p-5, -0x1.b157712a4abd8p-5, -0x1.a3f1d5f06da65p-5, -0x1.96eb8a643a432p-5, -0x1.8a42487397097p-5, -0x1.7df3d4ba0b264p-5, -0x1.71fdfe6ba9e9fp-5, -0x1.665e9f3ecd274p-5, -0x1.5b139b54bd22dp-5, -0x1.501ae121466c4p-5, -0x1.4572695167259p-5, -0x1.3b1836b11142ap-5, -0x1.310a561026583p-5, -0x1.2746de26b132ap-5, -0x1.1dcbef7874c89p-5, -0x1.1497b437e16b5p-5, -0x1.0ba860287efd3p-5, -0x1.02fc3080d8d81p-5, -0x1.f522d79805ed4p-6, -0x1.e4ccc39571763p-6, -0x1.d4f2d6a860d41p-6, -0x1.c591d46d4a38fp-6, -0x1.b6a6922f51811p-6, -0x1.a82df6a88de87p-6, -0x1.9a24f9c20475bp-6, -0x1.8c88a4536693cp-6, -0x1.7f560fe2b1021p-6, -0x1.728a6663abcdap-6, -0x1.6622e1f761d8ep-6, -0x1.5a1cccab9b33dp-6, -0x1.4e75803a69bffp-6, -0x1.432a65c9caf0cp-6, -0x1.3838f5ab70f3fp-6, -0x1.2d9eb71cbbb37p-6, -0x1.23594006e1b1dp-6, -0x1.196634bf60ac5p-6, -0x1.0fc347c8b28p-6, -0x1.066e39934ca52p-6, -0x1.fac9b07dfebep-7, -0x1.e949feb955898p-7, -0x1.d8592f60b23e4p-7, -0x1.c7f32de7968b4p-7, -0x1.b813ff32cc2eap-7, -0x1.a8b7c11f4715ap-7, -0x1.99daaa0a01ff6p-7, -0x1.8b790858bdb67p-7, -0x1.7d8f4203f751bp-7, -0x1.7019d421d1ef2p-7, -0x1.631552723e7fcp-7, -0x1.567e66ec2d92p-7, -0x1.4a51d14c0d3ffp-7, -0x1.3e8c66a370a25p-7, -0x1.332b10e9fb864p-7, -0x1.282ace8f957dbp-7, -0x1.1d88b20fe402bp-7, -0x1.1341e18727679p-7, -0x1.0953964854939p-7, -0x1.ff7638e94e29fp-8, -0x1.eceba528fe1d1p-8, -0x1.db0252636c242p-8, -0x1.c9b544e686b71p-8, -0x1.b8ffa374caa7ap-8, -0x1.a8dcb68246eb8p-8, -0x1.9947e774a08c1p-8, -0x1.8a3cbfe5d5b5ep-8, -0x1.7bb6e8e9ff84ep-8, -0x1.6db22a57e02b4p-8, -0x1.602a6a148d637p-8, -0x1.531bab61af80ep-8, -0x1.46820e2eec8f8p-8, -0x1.3a59ce6e16833p-8, -0x1.2e9f436a5ca5cp-8, -0x1.234edf2228281p-8, -0x1.18652da4107dep-8, -0x1.0dded46e97da7p-8, -0x1.03b891d2ab972p-8, -0x1.f3de78b24a9c2p-9, -0x1.e0ff8455d0edbp-9, -0x1.cece50f7f74cdp-9, -0x1.bd4515f28752bp-9, -0x1.ac5e367231874p-9, -0x1.9c14405d0495ep-9, -0x1.8c61eb3e61a1bp-9, -0x1.7d42173858e5p-9, -0x1.6eafcbfa3c823p-9, -0x1.60a637bc995ecp-9, -0x1.5320ae421fd18p-9, -0x1.461aa7ddfb5cfp-9, -0x1.398fc07f245eap-9, -0x1.2d7bb6c0bc067p-9, -0x1.21da6aff3e3b2p-9, -0x1.16a7de72d7ac3p-9, -0x1.0be0324e7abc3p-9, -0x1.017fa6e3a2f0dp-9, -0x1.ef0535963fb2fp-10, -0x1.dbcb14243bcap-10, -0x1.c94a1ad830902p-10, -0x1.b77bb2d299dfbp-10, -0x1.a6597b6308aeap-10, -0x1.95dd4886ef1d5p-10, -0x1.8601217095101p-10, -0x1.76bf3f1710e17p-10, -0x1.68120acea44bep-10, -0x1.59f41ce8f9cffp-10, -0x1.4c603b5e3feb3p-10, -0x1.3f51587d938dap-10, -0x1.32c291a5cec6ep-10, -0x1.26af2e063d913p-10, -0x1.1b129d664227bp-10, -0x1.0fe876f567b61p-10, -0x1.052c78221b64fp-10, -0x1.f5b506f0657d6p-11, -0x1.e1dd3f0c41512p-11, -0x1.cec9eb935d7f2p-11, -0x1.bc73a3462176ap-11, -0x1.aad33e9e08242p-11, -0x1.99e1d5cf0d52ep-11, -0x1.8998bed604eb9p-11, -0x1.79f18b93c8072p-11, -0x1.6ae607f51ccf5p-11, -0x1.5c703825da988p-11, -0x1.4e8a56d14b2afp-11, -0x1.412ed36e0056cp-11, -0x1.3458509484b41p-11, -0x1.2801a261fbdacp-11, -0x1.1c25cce5e35a4p-11, -0x1.10c0029a1b263p-11, -0x1.05cba2e5bc921p-11, -0x1.f6887155dab23p-12, -0x1.e24af1bb19462p-12, -0x1.ced6824a634ccp-12, -0x1.bc232d0f4431ep-12, -0x1.aa29483bb8636p-12, -0x1.98e173a2ffda9p-12, -0x1.88449647b73dap-12, -0x1.784bdbfbc0e63p-12, -0x1.68f0b30fb4c89p-12, -0x1.5a2cca15fda16p-12, -0x1.4bfa0db40b451p-12, -0x1.3e52a6851961ep-12, -0x1.3130f70c69514p-12, -0x1.248f99b63fc89p-12, -0x1.18695ee931d34p-12, -0x1.0cb94b24b5107p-12, -0x1.017a952eaac12p-12, -0x1.ed51489df7d57p-13, -0x1.d83f106e482e1p-13, -0x1.c435331065b6fp-13, -0x1.b0eb7d8b4eea4p-13, -0x1.9e5a203aa1e22p-13, -0x1.8c799c58e95a3p-13, -0x1.7b42c10e525a2p-13, -0x1.6aaea89c9b412p-13, -0x1.5ab6b59d2a889p-13, -0x1.4b549057f81a9p-13, -0x1.3c82242f5cefcp-13, -0x1.2e399d206dfa4p-13, -0x1.2075655826d36p-13, -0x1.133022dc85b0bp-13, -0x1.0664b549109ecp-13, -0x1.f41c673d8d6aep-14, -0x1.dc4fd449a50cep-14, -0x1.c55ab0b70ec72p-14, -0x1.af345e058fd5ap-14, -0x1.99d49c5c5563p-14, -0x1.853386d784d17p-14, -0x1.71498ff34cbbp-14, -0x1.5e0f7e16ba5dbp-14, -0x1.4b7e683d685c6p-14, -0x1.398fb2bbb9f87p-14, -0x1.283d0c236148cp-14, -0x1.17806a3d1d51fp-14, -0x1.07540727dacf5p-14, -0x1.ef64bd06f2ee3p-15, -0x1.d12c5583b566bp-15, -0x1.b3f4c5127442bp-15, -0x1.97b46c5e31c06p-15, -0x1.7c621a9867503p-15, -0x1.61f508c9dddabp-15, -0x1.4864d5509da7fp-15, -0x1.2fa97f8697908p-15, -0x1.17bb638f9e1c1p-15, -0x1.0093365674c6fp-15, -0x1.d4540350571f4p-16, -0x1.a8f240e0bd9c1p-16, -0x1.7ef4764efc669p-16, -0x1.564e88b142695p-16, -0x1.2ef4ea9b572a2p-16, -0x1.08dc95b45832cp-16, -0x1.c7f60918e3c5ap-17, -0x1.808c595f5f465p-17, -0x1.3b68f1ec4c1f1p-17, -0x1.f0f310401a9f4p-18, -0x1.6f594cd10efc1p-18, -0x1.e3c6896d11377p-19, -0x1.e1c496b78de32p-20, -0x1.7246d42a5b13p-25, 0x1.bb7e1c58bab59p-20, 0x1.b9ed9e34a3ea3p-19, 0x1.477bc404fc97fp-18, 0x1.ae87b27110a8dp-18, 0x1.0919646748171p-17, 0x1.394a12fab2f0cp-17, 0x1.67e0f36bde2ecp-17, 0x1.94e899e2208ecp-17, 0x1.c06b2671cc8d3p-17, 0x1.ea724b39b3c3dp-17, 0x1.0983a91439ee5p-16, 0x1.1d19913c7a55fp-16, 0x1.2fff22f86c3bfp-16, 0x1.423876f947fdep-16, 0x1.53c97c219700ap-16, 0x1.64b5f9d04e23bp-16, 0x1.750192116237ep-16, 0x1.84afc3a5db5f7p-16, 0x1.93c3ec1071ff7p-16, 0x1.a241496e24917p-16, 0x1.b02afc3eb75d5p-16, 0x1.bd840924d30bdp-16, 0x1.ca4f5a6e40e86p-16, 0x1.d68fc1b87c743p-16, 0x1.e247f95c0ffd4p-16, 0x1.ed7aa5c868592p-16, 0x1.f82a56ddb5fcep-16, 0x1.012cc493aefbcp-15, 0x1.060553857329fp-15, 0x1.0aa004f3f4261p-15, 0x1.0efdfd91a132bp-15, 0x1.13205a958af03p-15, 0x1.1708322cdc4d2p-15, 0x1.1ab693f71639p-15, 0x1.1e2c896af1ce1p-15, 0x1.216b163d71497p-15, 0x1.247338ba9b7a8p-15, 0x1.2745ea28ec44dp-15, 0x1.29e41f17f927fp-15, 0x1.2c4ec7abbadaap-15, 0x1.2e86cfec2daap-15, 0x1.308d200712d9bp-15, 0x1.32629c907f688p-15, 0x1.340826bf4061cp-15, 0x1.357e9ca4a2e0dp-15, 0x1.36c6d9606c6bcp-15, 0x1.37e1b551aad14p-15, 0x1.38d006456b329p-15, 0x1.39929f9703055p-15, 0x1.3a2a52624b791p-15, 0x1.3a97eda26785fp-15, 0x1.3adc3e4fd9cd3p-15, 0x1.3af80f8005484p-15, 0x1.3aec2a7ffd21fp-15, 0x1.3ab956ece59e5p-15, 0x1.3a605acd5af1dp-15, 0x1.39e1fa9bc849ap-15, 0x1.393ef96638d43p-15, 0x1.387818d4fadebp-15, 0x1.378e193c7acedp-15, 0x1.3681b9a8e9f57p-15, 0x1.3553b7e981951p-15, 0x1.3404d09acf1b9p-15, 0x1.3295bf2b057fcp-15, 0x1.31073de96a02ap-15, 0x1.2f5a05fecd5d6p-15, 0x1.2d8ecf7e47387p-15, 0x1.2ba651632544p-15, 0x1.29a1419220b4fp-15, 0x1.278054dc3c895p-15, 0x1.25443effa9f44p-15, 0x1.22edb2a78da3ep-15, 0x1.207d616829f8bp-15, 0x1.1df3fbc3dd52ap-15, 0x1.1b52311c5f016p-15, 0x1.1898afbe5528ep-15, 0x1.15c824d657fc1p-15, 0x1.12e13c6c6ea8p-15, 0x1.0fe4a16290574p-15, 0x1.0cd2fd6e7517p-15, 0x1.09acf915843f2p-15, 0x1.06733ba656707p-15, 0x1.03266b34e647cp-15, 0x1.ff8e592a5c87ap-16, 0x1.f8ac469ce54d4p-16, 0x1.f1a7e341161eap-16, 0x1.ea8270eb733d7p-16, 0x1.e33d2ec00129ap-16, 0x1.dbd9591b5a6bap-16, 0x1.d45829942647dp-16, 0x1.ccbad6e72df2ap-16, 0x1.c50294e89e303p-16, 0x1.bd30947d930c8p-16, 0x1.b54603824df0cp-16, 0x1.ad440cd08dd0ep-16, 0x1.a52bd82658f8bp-16, 0x1.9cfe8a1f071p-16, 0x1.94bd441f9a0acp-16, 0x1.8c69245878984p-16, 0x1.840345ae10a2ep-16, 0x1.7b8cbfb4e2e72p-16, 0x1.7306a6a2634c7p-16, 0x1.6a720b44a6269p-16, 0x1.61cffafab1c23p-16, 0x1.59217fa1f05b8p-16, 0x1.50679f98bfd78p-16, 0x1.47a35dae122dp-16, 0x1.3ed5b91abe065p-16, 0x1.35ffad78f4874p-16, 0x1.2d2232c438a73p-16, 0x1.243e3d3668eb6p-16, 0x1.1b54bd6cc74c5p-16, 0x1.1266a0402b8bap-16, 0x1.0974cecab7177p-16, 0x1.00802e60c464dp-16, 0x1.ef134118741e7p-17, 0x1.dd24061a3e928p-17, 0x1.cb345f89eb6e5p-17, 0x1.b945f99430df8p-17, 0x1.a75a78ab80746p-17, 0x1.9573798994dd6p-17, 0x1.8392912a1e991p-17, 0x1.71b94cce020e8p-17, 0x1.5fe931f018214p-17, 0x1.4e23be481d08ap-17, 0x1.3c6a67c4ab499p-17, 0x1.2abe9c9470929p-17, 0x1.1921c32055acbp-17, 0x1.07953a0f9cf8fp-17, 0x1.ec34b08fe572fp-18, 0x1.c964d9e95e4a1p-18, 0x1.a6bd7f0c0c505p-18, 0x1.84411f8ecf5ecp-18, 0x1.61f22b7226249p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.875d89f17e143p-1, 0x1.7cd5993e9cf0ep-1, 0x1.720e1b3735785p-1, 0x1.670db548a0d54p-1, 0x1.5bdae9c7a1ad4p-1, 0x1.507c13f10469ep-1, 0x1.44f7647d4e90ap-1, 0x1.3952debaf3e91p-1, 0x1.2d9456236101ap-1, 0x1.21c16c5ffae5fp-1, 0x1.15df8fb5087b1p-1, 0x1.09f3f9c92e4b4p-1, 0x1.fc075d81cb75ap-2, 0x1.e426f94bede8ep-2, 0x1.cc4ff6273a55p-2, 0x1.b48b164109d32p-2, 0x1.9ce0af00b75cp-2, 0x1.8558a9ae356ffp-2, 0x1.6dfa8471574dap-2, 0x1.56cd539fc9359p-2, 0x1.3fd7c35079957p-2, 0x1.2920192be7f4dp-2, 0x1.12ac367166389p-2, 0x1.f9033454060efp-3, 0x1.cd4ac704b2b79p-3, 0x1.a238a88a223fap-3, 0x1.77d5a6e0aecfep-3, 0x1.4e29dfc22a8f4p-3, 0x1.253cc61e3b72p-3, 0x1.fa2a4f57c619dp-4, 0x1.ab72651896a6fp-4, 0x1.5e5cf5ef687e5p-4, 0x1.12f401dc14d9dp-4, 0x1.9280d79568ae8p-5, 0x1.029409c405b25p-5, 0x1.d8bcbdd07500cp-7, -0x1.2a21919a42664p-9, -0x1.2fac25673e72fp-6, -0x1.1964cbb0901c3p-5, -0x1.974808cd05df1p-5, -0x1.08bd983aec22cp-4, -0x1.43fd9b4382f7bp-4, -0x1.7d6344428338bp-4, -0x1.b4ee7d2ab5af3p-4, -0x1.ea9fd9bd4d22cp-4, -0x1.0f3c473558033p-3, -0x1.283d33bb90e2fp-3, -0x1.4053e031f0715p-3, -0x1.5781bdce77255p-3, -0x1.6dc87d35af91ap-3, -0x1.832a0a95fb16p-3, -0x1.97a889e4a6e2p-3, -0x1.ab46533c777bep-3, -0x1.be05ef5d25f92p-3, -0x1.cfea144b4853cp-3, -0x1.e0f5a2100cb14p-3, -0x1.f12b9f9825c09p-3, -0x1.00479bd896db5p-2, -0x1.0791db126c63dp-2, -0x1.0e7642789c1f6p-2, -0x1.14f694cea4243p-2, -0x1.1b14a1548b61cp-2, -0x1.20d2428c58df9p-2, -0x1.26315d0c989e5p-2, -0x1.2b33de5f86515p-2, -0x1.2fdbbbee8273fp-2, -0x1.342af1f97a37p-2, -0x1.38238299dcacfp-2, -0x1.3bc774d0ceec1p-2, -0x1.3f18d3a04179bp-2, -0x1.4219ad2e91aa5p-2, -0x1.44cc11f46a721p-2, -0x1.473213f48aeb9p-2, -0x1.494dc5fd2d186p-2, -0x1.4b213af2ba2cbp-2, -0x1.4cae852388aa9p-2, -0x1.4df7b5a454423p-2, -0x1.4efedbb53568p-2, -0x1.4fc6042ec826bp-2, -0x1.504f38f74e452p-2, -0x1.509c807f80ac3p-2, -0x1.50afdd46dad3cp-2, -0x1.508b4d6721531p-2, -0x1.5030ca26e9162p-2, -0x1.4fa24792e59a3p-2, -0x1.4ee1b41dc8faap-2, -0x1.4df0f84680261p-2, -0x1.4cd1f644920eep-2, -0x1.4b8689ba74194p-2, -0x1.4a10876da1348p-2, -0x1.4871bd043b524p-2, -0x1.46abf0c8140d7p-2, -0x1.44c0e16edf5fp-2, -0x1.42b245e76fd3fp-2, -0x1.4081cd2bc46afp-2, -0x1.3e311e17c1d51p-2, -0x1.3bc1d7446c007p-2, -0x1.39358ee773812p-2, -0x1.368dd2b6eb4dcp-2, -0x1.33cc27d103301p-2, -0x1.30f20aa79d218p-2, -0x1.2e00eeef8fd67p-2, -0x1.2afa3f937cf58p-2, -0x1.27df5eaa04e2fp-2, -0x1.24b1a56f4292cp-2, -0x1.217264415f71ap-2, -0x1.1e22e2a0210b2p-2, -0x1.1ac45f2f4d3f5p-2, -0x1.17580fbbbf33fp-2, -0x1.13df214311bcbp-2, -0x1.105ab7fdb4922p-2, -0x1.0ccbef6b581b4p-2, -0x1.0933da618601ep-2, -0x1.0593831c4c2f1p-2, -0x1.01ebeb50dcb6fp-2, -0x1.fc7c188407d71p-3, -0x1.f515adacb0e11p-3, -0x1.eda6676012549p-3, -0x1.e630068c5801ap-3, -0x1.deb43bfef197p-3, -0x1.d734a89c9fb38p-3, -0x1.cfb2dd9bec354p-3, -0x1.c8305cc1e2aebp-3, -0x1.c0ae98a0cc4eap-3, -0x1.b92ef4d8d1537p-3, -0x1.b1b2c65a46dd8p-3, -0x1.aa3b53a98b37ap-3, -0x1.a2c9d52435a73p-3, -0x1.9b5f754789ee8p-3, -0x1.93fd50f7f10d9p-3, -0x1.8ca477c965a9dp-3, -0x1.8555ec48a1181p-3, -0x1.7e12a444f7716p-3, -0x1.76db891aafae8p-3, -0x1.6fb177fdca979p-3, -0x1.689542450e503p-3, -0x1.6187adb53c1c3p-3, -0x1.5a8974cc5d02ap-3, -0x1.539b470cfb174p-3, -0x1.4cbdc94945a7ap-3, -0x1.45f195edf36f8p-3, -0x1.3f373d4cd6847p-3, -0x1.388f45e70dbcdp-3, -0x1.31fa2cb6c11adp-3, -0x1.2b78657847cc7p-3, -0x1.250a5af2c08e9p-3, -0x1.1eb06f3ff4dc5p-3, -0x1.186afc137d3eap-3, -0x1.123a53012255ep-3, -0x1.0c1ebdc2611b3p-3, -0x1.06187e7b098dcp-3, -0x1.0027cffcf529p-3, -0x1.f499cc15676b8p-4, -0x1.e90fdb328e31ap-4, -0x1.ddb21a217efe4p-4, -0x1.d280c9179d8e1p-4, -0x1.c77c1c2c7a518p-4, -0x1.bca43bd4675dfp-4, -0x1.b1f94558d5245p-4, -0x1.a77b4b4e35d63p-4, -0x1.9d2a56079fc51p-4, -0x1.93066407df371p-4, -0x1.890f6a7034bccp-4, -0x1.7f45556c8b9b7p-4, -0x1.75a8089d3b793p-4, -0x1.6c375f7e4c238p-4, -0x1.62f32dcc3982fp-4, -0x1.59db3fe637e73p-4, -0x1.50ef5b2df7cbcp-4, -0x1.482f3e64eb5d2p-4, -0x1.3f9aa2070ea19p-4, -0x1.373138a334061p-4, -0x1.2ef2af30db78cp-4, -0x1.26dead63951f1p-4, -0x1.1ef4d5fbf493ap-4, -0x1.1734c7161cc4fp-4, -0x1.0f9e1a75e7172p-4, -0x1.083065d0aca64p-4, -0x1.00eb3b14bb281p-4, -0x1.f39c515cf1e5ap-5, -0x1.e5b1739685137p-5, -0x1.d814ed3411719p-5, -0x1.cac5c9136fbdp-5, -0x1.bdc30d0ae36d6p-5, -0x1.b10bba5d42131p-5, -0x1.a49ece29e6c55p-5, -0x1.987b41d87ea52p-5, -0x1.8ca00b80c6bb3p-5, -0x1.810c1e4e4b06ep-5, -0x1.75be6ae040c7p-5, -0x1.6ab5dfa587f36p-5, -0x1.5ff16934f2dcfp-5, -0x1.556ff2a1dedd1p-5, -0x1.4b3065cd3ba2p-5, -0x1.4131abb30dc2ep-5, -0x1.3772acb48cap-5, -0x1.2df250dee45b9p-5, -0x1.24af802ebc484p-5, -0x1.1ba922d08f2ep-5, -0x1.12de215def134p-5, -0x1.0a4d6517c78a3p-5, -0x1.01f5d81db5082p-5, -0x1.f3accb4507d5dp-6, -0x1.e3dbf43bdb655p-6, -0x1.d47706f750451p-6, -0x1.c57be28fb99c2p-6, -0x1.b6e869b22e4b4p-6, -0x1.a8ba82ef8b03p-6, -0x1.9af01906b461ep-6, -0x1.8d871b2a40813p-6, -0x1.807d7d41b9e77p-6, -0x1.73d1382693195p-6, -0x1.678049dcf5b52p-6, -0x1.5b88b5c8996efp-6, -0x1.4fe884ddb483dp-6, -0x1.449dc5ce3c886p-6, -0x1.39a68d338bfa4p-6, -0x1.2f00f5b496195p-6, -0x1.24ab2028c52ep-6, -0x1.1aa333b7ab596p-6, -0x1.10e75df59a56dp-6, -0x1.0775d2fd4bb41p-6, -0x1.fc999b0d68797p-7, -0x1.ead51df63aae8p-7, -0x1.d99abf0d4c338p-7, -0x1.c8e71c4e8da8dp-7, -0x1.b8b6e172db2c7p-7, -0x1.a906c804b8f7dp-7, -0x1.99d397709ed5bp-7, -0x1.8b1a25112c816p-7, -0x1.7cd75437674e4p-7, -0x1.6f08162f200e5p-7, -0x1.61a96a3fdf827p-7, -0x1.54b85daa4e129p-7, -0x1.48320ba273b05p-7, -0x1.3c139d46d2fd4p-7, -0x1.305a4994ae609p-7, -0x1.250355597df11p-7, -0x1.1a0c1321d4b1ap-7, -0x1.0f71e325cf4c1p-7, -0x1.0532333334674p-7, -0x1.f694fd2ad3d8p-8, -0x1.e3709bf6c0dd6p-8, -0x1.d0f26eb72ba29p-8, -0x1.bf15bbac9f87bp-8, -0x1.add5e32c57f38p-8, -0x1.9d2e5f5e481bfp-8, -0x1.8d1ac3f842bfdp-8, -0x1.7d96bdf678256p-8, -0x1.6e9e135180f7fp-8, -0x1.602ca2b22627bp-8, -0x1.523e632319053p-8, -0x1.44cf63c0c8a1fp-8, -0x1.37dbcb6781c7dp-8, -0x1.2b5fd86005b8p-8, -0x1.1f57e00abed0fp-8, -0x1.13c04e89bcc52p-8, -0x1.0895a6699d88fp-8, -0x1.fba900930a0f3p-9, -0x1.e6f31504969cep-9, -0x1.d3031199f5995p-9, -0x1.bfd2a7d1894cap-9, -0x1.ad5bb2810d628p-9, -0x1.9b98351ffcd18p-9, -0x1.8a825b11896bcp-9, -0x1.7a1476ee5d64ep-9, -0x1.6a4901ce4c847p-9, -0x1.5b1a9a923381ep-9, -0x1.4c84052e208f3p-9, -0x1.3e8029f3fa8dep-9, -0x1.310a14dec9d4dp-9, -0x1.241cf4dec71e8p-9, -0x1.17b41b2654176p-9, -0x1.0bcafa780072dp-9, -0x1.005d2675b71d1p-9, -0x1.eacca5e2619eap-10, -0x1.d5c4a67b971a9p-10, -0x1.c19a3307b0fdep-10, -0x1.ae456c2b019b9p-10, -0x1.9bbead8aa050cp-10, -0x1.89fe8c7cf4a1p-10, -0x1.78fdd6bde7d1ap-10, -0x1.68b59126d3892p-10, -0x1.591ef66a5059ap-10, -0x1.4a3375d405fccp-10, -0x1.3becb20c8f456p-10, -0x1.2e447fe196eedp-10, -0x1.2134e512352a2p-10, -0x1.14b8171fa22ecp-10, -0x1.08c87a2265363p-10, -0x1.fac13f47cd8dep-11, -0x1.e4f68af93e551p-11, -0x1.d026a96d94675p-11, -0x1.bc47c0eb79da8p-11, -0x1.a95049c3bdc65p-11, -0x1.97370c3298d6ep-11, -0x1.85f31e4a51d7ap-11, -0x1.757be1e744b02p-11, -0x1.65c902ad5220bp-11, -0x1.56d2740eb6723p-11, -0x1.48906f5c48729p-11, -0x1.3afb71df19c32p-11, -0x1.2e0c3afb7430ep-11, -0x1.21bbca5d2b165p-11, -0x1.16035e2d374ffp-11, -0x1.0adc715090084p-11, -0x1.0040b9b033118p-11, -0x1.ec544d149b6f1p-12, -0x1.d925bd98ec177p-12, -0x1.c6ea7eedbcc2dp-12, -0x1.b597b410e586ep-12, -0x1.a522e5e79589ap-12, -0x1.95820039af298p-12, -0x1.86ab4ebe6ebc3p-12, -0x1.78957a3a335adp-12, -0x1.6b3785ad28701p-12, -0x1.5e88cb92ab8c2p-12, -0x1.5280fb312bd72p-12, -0x1.471815fa57743p-12, -0x1.3c466cfb5585dp-12, -0x1.32049e5cd97e1p-12, -0x1.284b92f2d2061p-12, -0x1.1f147bdb78f1fp-12, -0x1.1658d02d8d4eap-12, -0x1.0e124ab570629p-12, -0x1.063ae7c0f488dp-12, -0x1.fd99c5f32c99cp-13, -0x1.ef856a99d375cp-13, -0x1.e22e25c5ed134p-13, -0x1.d589d244968d1p-13, -0x1.c98eb98307032p-13, -0x1.be338fcc0bf6p-13, -0x1.b36f709f7308ep-13, -0x1.a939db22e9609p-13, -0x1.9f8aaeabd0b73p-13, -0x1.965a27618a3d6p-13, -0x1.8da0daf7c14c1p-13, -0x1.8557b5803c4cp-13, -0x1.7d77f653acb8bp-13, -0x1.75fb2d11130e8p-13, -0x1.6edb36b334f0ap-13, -0x1.68123abbaf874p-13, -0x1.619aa8732f319p-13, -0x1.5b6f343e568dp-13, -0x1.558ad506dfb98p-13, -0x1.4fe8c1b88576cp-13, -0x1.4a846ed13e1bdp-13, -0x1.45598c045c52ep-13, -0x1.406401f0224fp-13, -0x1.3b9fefe55a7ep-13, -0x1.3709a9c086edap-13, -0x1.329db5d43fce7p-13, -0x1.2e58cae4524a7p-13, -0x1.2a37ce314035dp-13, -0x1.2637d193a619dp-13, -0x1.225611a73f8bbp-13, -0x1.1e8ff405081adp-13, -0x1.1ae3058c2fe1bp-13, -0x1.174cf8b96db9dp-13, -0x1.13cba40c60b7p-13, -0x1.105d007a9b217p-13, -0x1.0cff27effea95p-13, -0x1.09b053dc0d0d9p-13, -0x1.066edbcbd324p-13, -0x1.0339341022992p-13, -0x1.000dec6fb3b93p-13, -0x1.f9d75dc9db03cp-14, -0x1.f3a27ccdead2cp-14, -0x1.ed7aeb7b70fb9p-14, -0x1.e75e8cc1549e4p-14, -0x1.e14b6ebfb7ee7p-14, -0x1.db3fc8ae54cacp-14, -0x1.d539f8d675f0ep-14, -0x1.cf38829fe7136p-14, -0x1.c93a0cb06fba4p-14, -0x1.c33d5f1d2a32p-14, -0x1.bd4161ad46d79p-14, -0x1.b7451a2dbbdb6p-14, -0x1.b147aad53bbe9p-14, -0x1.ab4850b82e17cp-14, -0x1.a546624bf2de5p-14, -0x1.9f414df923238p-14, -0x1.993898bc49ea4p-14, -0x1.932bdcd49847p-14, -0x1.8d1ac88038012p-14, -0x1.87051cc5c2c1p-14, -0x1.80eaac4a757dp-14, -0x1.7acb5a34b8905p-14, -0x1.74a7191a98808p-14, -0x1.6e7de9fbc91fap-14, -0x1.684fdb46d58c5p-14, -0x1.621d07e91d675p-14, -0x1.5be5966944187p-14, -0x1.55a9b80bb9dcp-14, -0x1.4f69a80105caap-14, -0x1.4925aa9d7e595p-14, -0x1.42de0c9a1d179p-14, -0x1.3c93225e1dbp-14, -0x1.3645475119fcfp-14, -0x1.2ff4dd35583f6p-14, -0x1.29a24b8a016fcp-14, -0x1.234dfef4f8513p-14, -0x1.1cf868b40994ap-14, -0x1.16a1fe15368a4p-14, -0x1.104b37f5d16b1p-14, -0x1.09f4924832a9dp-14, -0x1.039e8b9fc41acp-14, -0x1.fa9349865039fp-15, -0x1.edecc0888476dp-15, -0x1.e14a843bcee04p-15, -0x1.d4ad9eae0114ep-15, -0x1.c8171b55cfe7p-15, -0x1.bb88066da1d7ep-15, -0x1.af016c5805813p-15, -0x1.a284590d77aap-15, -0x1.9611d79311fa7p-15, -0x1.89aaf179cc8f7p-15, -0x1.7d50ae65f9709p-15, -0x1.7104139e9e64bp-15, -0x1.64c623a46401ap-15, -0x1.5897ddcfbf88bp-15, -0x1.4c7a3df61206cp-15, -0x1.406e3c1569217p-15, -0x1.3474cc06a284bp-15, -0x1.288edd35a0e06p-15, -0x1.1cbd5a5f5873dp-15, -0x1.1101295567dacp-15, -0x1.055b2ac704e74p-15, -0x1.f398741dfacd8p-16, -0x1.dcaa5a0d18d25p-16, -0x1.c5eda7b9a3ebap-16, -0x1.af63f1e56206p-16, -0x1.990ec175ba913p-16, -0x1.82ef933bd2becp-16, -0x1.6d07d7c43fb47p-16, -0x1.5758f32df1bdbp-16, -0x1.41e43d07fb888p-16, -0x1.2cab0035d9ea3p-16, -0x1.17ae7ad9e895ap-16, -0x1.02efde45b19d8p-16, -0x1.dce09ddf85785p-17, -0x1.b461c8dd80a2dp-17, -0x1.8c6552f2d92edp-17, -0x1.64ed37d6aa767p-17, -0x1.3dfb599bd3eb6p-17, -0x1.179180cb72f7dp-17, -0x1.e362b90e35c93p-18, -0x1.98b90564cca0cp-18, -0x1.4f28e046c1518p-18, -0x1.06b511b2b111fp-18, -0x1.7ec060e6cb2ebp-19, -0x1.e4b28a929792ep-20, -0x1.a0e4f21379b51p-21, 0x1.f9bac7c4fe854p-23, 0x1.4a438d34732ap-20, 0x1.2855bf2ad0a9cp-19, 0x1.a9349e96981ep-19, 0x1.13dde373a3c3ep-18, 0x1.51f47924d35c2p-18, 0x1.8edd18c1e7315p-18, 0x1.ca96f5306f75dp-18, 0x1.0290b584cecb2p-17, 0x1.1f3dffe392c8ep-17, 0x1.3b5330762d2a2p-17, 0x1.56d03195fc528p-17, 0x1.71b500c58b6cep-17, 0x1.8c01ae40c9082p-17, 0x1.a5b65c8c3cbfdp-17, 0x1.bed3400359c44p-17, 0x1.d7589e662bf0dp-17, 0x1.ef46ce66832e8p-17, 0x1.034f1b9a60948p-16, 0x1.0eafa8063c737p-16, 0x1.19c54fe08395fp-16, 0x1.24905e2519c1p-16, 0x1.2f1125288befdp-16, 0x1.3947fe5ea775cp-16, 0x1.43354a2151fabp-16, 0x1.4cd96f77a198ap-16, 0x1.5634dbdd4fc47p-16, 0x1.5f48030a88723p-16, 0x1.68135ebc24978p-16, 0x1.70976e7c620ecp-16, 0x1.78d4b76c126p-16, 0x1.80cbc40c5bdp-16, 0x1.887d240906f34p-16, 0x1.8fe96c036cf0dp-16, 0x1.9711355e0169fp-16, 0x1.9df51e088e5d7p-16, 0x1.a495c84d1455cp-16, 0x1.aaf3da9d6afb5p-16, 0x1.b10fff619684ep-16, 0x1.b6eae4c6dc1b3p-16, 0x1.bc853c8fa2293p-16, 0x1.c1dfbbe40d76bp-16, 0x1.c6fb1b2372d4ep-16, 0x1.cbd815b6956fap-16, 0x1.d07769e2b6cebp-16, 0x1.d4d9d89d793fcp-16, 0x1.d90025619e068p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d431dcd503b1bp-1, 0x1.d0495a2db1eecp-1, 0x1.cc3fc8eceb993p-1, 0x1.c816daa2891bdp-1, 0x1.c3d03ec8f2a83p-1, 0x1.bf6da1b3723b6p-1, 0x1.baf0ab973244p-1, 0x1.b65affad3070ap-1, 0x1.b1ae3b6b83b9fp-1, 0x1.acebf5d45d4a1p-1, 0x1.a815bed9413c1p-1, 0x1.a32d1ed10d753p-1, 0x1.9e3395ff6ec01p-1, 0x1.992a9c2c7f96dp-1, 0x1.9413a04b5d9fap-1, 0x1.8ef0082e93cf5p-1, 0x1.89c13049492c8p-1, 0x1.84886b7c394b7p-1, 0x1.7f4702ed82319p-1, 0x1.79fe35ea6c2bep-1, 0x1.74af39d258b41p-1, 0x1.6f5b3a0a12431p-1, 0x1.6a0357f6c61bdp-1, 0x1.64a8aafffb35cp-1, 0x1.5f4c4097e46e7p-1, 0x1.59ef1c49760e8p-1, 0x1.549237cbb1032p-1, 0x1.4f368319a0858p-1, 0x1.49dce48e8db74p-1, 0x1.44863905f4e2p-1, 0x1.3f3353fed1404p-1, 0x1.39e4ffc1dccd4p-1, 0x1.349bfd8a6401bp-1, 0x1.2f5905b1590c9p-1, 0x1.2a1cc7da559b7p-1, 0x1.24e7eb22414f3p-1, 0x1.1fbb0e4f58e97p-1, 0x1.1a96c802551c9p-1, 0x1.157ba6e87992dp-1, 0x1.106a31ee55dbcp-1, 0x1.0b62e87306ff1p-1, 0x1.0666427bcdb82p-1, 0x1.0174b0e7d1ff2p-1, 0x1.f91d3b47da548p-2, 0x1.ef68d7bcb6dccp-2, 0x1.e5ccf0746b096p-2, 0x1.dc4a32052fb34p-2, 0x1.d2e13cbac21ecp-2, 0x1.c992a4fadd85p-2, 0x1.c05ef3a893a91p-2, 0x1.b746a6865dc5ep-2, 0x1.ae4a3096c85dp-2, 0x1.a569fa7ba84eap-2, 0x1.9ca662d3b52bp-2, 0x1.93ffbe96892c7p-2, 0x1.8b76596ee25bp-2, 0x1.830a76132a8fbp-2, 0x1.7abc4e9c313bap-2, 0x1.728c14da0f798p-2, 0x1.6a79f2a733c51p-2, 0x1.62860a399244cp-2, 0x1.5ab07671ec744p-2, 0x1.52f94b293e41fp-2, 0x1.4b60957c42fdep-2, 0x1.43e65c151b561p-2, 0x1.3c8a9f73114c1p-2, 0x1.354d5a3084b25p-2, 0x1.2e2e8146f6f46p-2, 0x1.272e04514bb77p-2, 0x1.204bcdcc3120fp-2, 0x1.1987c354c6a28p-2, 0x1.12e1c5e5789dap-2, 0x1.0c59b2112439ap-2, 0x1.05ef603c828a4p-2, 0x1.ff4549abc25edp-3, 0x1.f2e6a1166de33p-3, 0x1.e6c260fd2611bp-3, 0x1.dad81cf1e881p-3, 0x1.cf2762371a7c8p-3, 0x1.c3afb81efacdbp-3, 0x1.b870a0680bb57p-3, 0x1.ad6997968a2fcp-3, 0x1.a29a154af4468p-3, 0x1.98018c95befd1p-3, 0x1.8d9f6c483f5abp-3, 0x1.83731f42d2e37p-3, 0x1.797c0cc0672a9p-3, 0x1.6fb9989f5a55dp-3, 0x1.662b23a7d199p-3, 0x1.5cd00bcf8e751p-3, 0x1.53a7ac7b56154p-3, 0x1.4ab15ebdef2f3p-3, 0x1.41ec7994cfea1p-3, 0x1.3958522281f29p-3, 0x1.30f43be6cc935p-3, 0x1.28bf88f4b5866p-3, 0x1.20b98a265ea95p-3, 0x1.18e18f4ed4cdfp-3, 0x1.1136e769dcda4p-3, 0x1.09b8e0c9c0f9fp-3, 0x1.0266c9433924dp-3, 0x1.f67fdcaeedcd6p-4, 0x1.e8873ab8a70bbp-4, 0x1.dae247458af54p-4, 0x1.cd8f9d372715bp-4, 0x1.c08dd7f4b0039p-4, 0x1.b3db93adcebd8p-4, 0x1.a7776d9a316ffp-4, 0x1.9b6004360b9e2p-4, 0x1.8f93f77b8fe2ep-4, 0x1.8411e9197adbbp-4, 0x1.78d87ca6cb368p-4, 0x1.6de657d3b333dp-4, 0x1.633a2297de867p-4, 0x1.58d2875e1da1bp-4, 0x1.4eae332d8ca16p-4, 0x1.44cbd5d04842fp-4, 0x1.3b2a21f7c60dap-4, 0x1.31c7cd5edf7d7p-4, 0x1.28a390e9a7f1ep-4, 0x1.1fbc28c31aeb8p-4, 0x1.17105478b83c6p-4, 0x1.0e9ed7141d1fp-4, 0x1.06667732afd6cp-4, 0x1.fccbfe36d2ef8p-5, 0x1.ed3879a5a7a36p-5, 0x1.de10045a90534p-5, 0x1.cf5049bf04ec9p-5, 0x1.c0f6fd1b291c3p-5, 0x1.b301d9b09bb8cp-5, 0x1.a56ea2d243fd6p-5, 0x1.983b23f94348ep-5, 0x1.8b6530d71f154p-5, 0x1.7eeaa5654818ep-5, 0x1.72c965f2167edp-5, 0x1.66ff5f2b5322ap-5, 0x1.5b8a862670ff6p-5, 0x1.5068d86686a64p-5, 0x1.45985be02876ap-5, 0x1.3b171efb38b3p-5, 0x1.30e33892c55fep-5, 0x1.26fac7f30d422p-5, 0x1.1d5bf4d5c0649p-5, 0x1.1404ef5c946c3p-5, 0x1.0af3f00a3eac1p-5, 0x1.022737b9eeb74p-5, 0x1.f33a1f2aaf053p-6, 0x1.e2a79212be086p-6, 0x1.d2937b73084aap-6, 0x1.c2fa9ee425336p-6, 0x1.b3d9d0325e545p-6, 0x1.a52df33dacf9p-6, 0x1.96f3fbd7ae475p-6, 0x1.8928ed9fb8de1p-6, 0x1.7bc9dbdd3234p-6, 0x1.6ed3e9583aeffp-6, 0x1.62444830dddabp-6, 0x1.561839b4c9286p-6, 0x1.4a4d0e33c62c7p-6, 0x1.3ee024d2f680bp-6, 0x1.33ceeb5ef42eap-6, 0x1.2916de1cf9715p-6, 0x1.1eb5879b122dap-6, 0x1.14a8807f86f9p-6, 0x1.0aed6f577e2bbp-6, 0x1.01820864fe9dep-6, 0x1.f0c81ad8aaf2dp-7, 0x1.df229b01fefb4p-7, 0x1.ce0f49a444c03p-7, 0x1.bd89f8ed4fc53p-7, 0x1.ad8e947219d26p-7, 0x1.9e1920c5e9804p-7, 0x1.8f25bb111d48bp-7, 0x1.80b098a7b8abap-7, 0x1.72b6069fdaceap-7, 0x1.653269681a5fap-7, 0x1.58223c5e0baf8p-7, 0x1.4b821164e5c3bp-7, 0x1.3f4e907c68009p-7, 0x1.338477581f1bdp-7, 0x1.282098f7103aep-7, 0x1.1d1fdd3be6ad3p-7, 0x1.127f4085b132ep-7, 0x1.083bd34943817p-7, 0x1.fca5735692c9cp-8, 0x1.e98256363ab97p-8, 0x1.d708e3dcdba66p-8, 0x1.c533d5fb81f4p-8, 0x1.b3fe0a83c3b64p-8, 0x1.a36282e485b69p-8, 0x1.935c6348bfea9p-8, 0x1.83e6f1d857df4p-8, 0x1.74fd95fb1d7c2p-8, 0x1.669bd79e020b9p-8, 0x1.58bd5e7a9360fp-8, 0x1.4b5df160cb719p-8, 0x1.3e79758342724p-8, 0x1.320bedc5c962fp-8, 0x1.26117a0e7f9c8p-8, 0x1.1a86569965109p-8, 0x1.0f66db4e74c61p-8, 0x1.04af7b1a4dc3bp-8, 0x1.f4b98692e4043p-9, 0x1.e0d6b5cc36c9bp-9, 0x1.cdb00431636bfp-9, 0x1.bb3f2315bfe42p-9, 0x1.a97df39a96ddcp-9, 0x1.9866857fe4691p-9, 0x1.87f315fa5811fp-9, 0x1.781e0e8ea70cbp-9, 0x1.68e203f22577dp-9, 0x1.5a39b4f0a7d1fp-9, 0x1.4c200957a824p-9, 0x1.3e9010e6ac9e5p-9, 0x1.31850244e6a75p-9, 0x1.24fa39fc0159dp-9, 0x1.18eb397821236p-9, 0x1.0d53a60d015e9p-9, 0x1.022f48002a48p-9, 0x1.eef41330735b5p-10, 0x1.da5fec625786ap-10, 0x1.c69a72ab33f74p-10, 0x1.b39c3bb9da27cp-10, 0x1.a15e1a1cc47a2p-10, 0x1.8fd91b91dd46ap-10, 0x1.7f06875fb4fap-10, 0x1.6edfdcb82ce24p-10, 0x1.5f5ed12474e42p-10, 0x1.507d4efa23cd7p-10, 0x1.423573d971059p-10, 0x1.34818f3452cfep-10, 0x1.275c20de703c8p-10, 0x1.1abfd7a5b9bep-10, 0x1.0ea78ff398a19p-10, 0x1.030e527682a13p-10, 0x1.efdea5a7b4bf7p-11, 0x1.da8bdcc3e850cp-11, 0x1.c61b55d444ed4p-11, 0x1.b2846ae549558p-11, 0x1.9fbec220a8e81p-11, 0x1.8dc24b7fe37bp-11, 0x1.7c873e8dd1b77p-11, 0x1.6c061836dfb66p-11, 0x1.5c3798a7b53e2p-11, 0x1.4d14c139ffbd5p-11, 0x1.3e96d26f1ebd9p-11, 0x1.30b749f86af82p-11, 0x1.236fe0ccd4451p-11, 0x1.16ba894b929e6p-11, 0x1.0a916d6ba7549p-11, 0x1.fdddd9efcff67p-12, 0x1.e79b37aeacf2cp-12, 0x1.d25080c2fa1fp-12, 0x1.bdf3a37d254d9p-12, 0x1.aa7aeca645031p-12, 0x1.97dd046df5753p-12, 0x1.8610eb6e3c0b3p-12, 0x1.750df7c4fb60ep-12, 0x1.64cbd2427619dp-12, 0x1.554273ac6929dp-12, 0x1.466a2215422f5p-12, 0x1.383b6e46ff05bp-12, 0x1.2aaf314139d18p-12, 0x1.1dbe89c9f3a23p-12, 0x1.1162da10a7ab4p-12, 0x1.0595c563384afp-12, 0x1.f4a25be88e283p-13, 0x1.df1e6565113e9p-13, 0x1.ca945a61557dep-13, 0x1.b6f95f3ac3d1ap-13, 0x1.a443059676654p-13, 0x1.9267488f8496bp-13, 0x1.815c890348245p-13, 0x1.711989fabe032p-13, 0x1.61956d305e07cp-13, 0x1.52c7afb1891afp-13, 0x1.44a8269af95b3p-13, 0x1.372efbef5b18dp-13, 0x1.2a54ab877bdaap-13, 0x1.1e12001b420efp-13, 0x1.12601062df17ap-13, 0x1.07383c4f783d6p-13, 0x1.f92854b575d8dp-14, 0x1.e4db89d9455f3p-14, 0x1.d17e6fadd9026p-14, 0x1.bf05dbcb0f9acp-14, 0x1.ad671d06f4e22p-14, 0x1.9c97f6e73de2bp-14, 0x1.8c8e9d3964c7bp-14, 0x1.7d41afd0370bcp-14, 0x1.6ea83665d71b5p-14, 0x1.60b99ca1166bdp-14, 0x1.536dae3d2751bp-14, 0x1.46bc9352a3b7ep-14, 0x1.3a9eccc0ee7fep-14, 0x1.2f0d30b6fbcf6p-14, 0x1.2400e75a90b2ep-14, 0x1.1973678d1128bp-14, 0x1.0f5e73ccfb0a5p-14, 0x1.05bc17332db9fp-14, 0x1.f90d451652f24p-15, 0x1.e771530ae3aa6p-15, 0x1.d69a00068e20ep-15, 0x1.c67d6ef5de93bp-15, 0x1.b71238e795588p-15, 0x1.a84f6832edddap-15, 0x1.9a2c73ca924abp-15, 0x1.8ca13abad42e2p-15, 0x1.7fa5ffd1c8c7ep-15, 0x1.7333656ffb4f8p-15, 0x1.6742698063ap-15, 0x1.5bcc619662c96p-15, 0x1.50caf7308766dp-15, 0x1.4638241ef0d7cp-15, 0x1.3c0e2f0c1f1e7p-15, 0x1.3247a82715479p-15, 0x1.28df65edb7233p-15, 0x1.1fd082164c296p-15, 0x1.171656972538p-15, 0x1.0eac7acb5f96fp-15, 0x1.068ec0b3d044fp-15, 0x1.fd7264a63de57p-16, 0x1.ee501e485aab4p-16, 0x1.dfaf9353ba0ecp-16, 0x1.d18a0a2ec032ap-16, 0x1.c3d926206aad3p-16, 0x1.b696e2fe043f7p-16, 0x1.a9bd9105031aap-16, 0x1.9d47d0df81108p-16, 0x1.91308fd1d58a3p-16, 0x1.8573040fe057p-16, 0x1.7a0aa938996d9p-16, 0x1.6ef33cf69184ap-16, 0x1.6428bbc4101ep-16, 0x1.59a75dd1821bbp-16, 0x1.4f6b940d0e8efp-16, 0x1.4572054a0871bp-16, 0x1.3bb78b872b7adp-16, 0x1.3239315271145p-16, 0x1.28f42f497a0c2p-16, 0x1.1fe5e9b56d7d3p-16, 0x1.170bee4159619p-16, 0x1.0e63f1ca0e853p-16, 0x1.05ebce4685023p-16, 0x1.fb43018fc3f3dp-17, 0x1.eb064f206a241p-17, 0x1.db1e007e2c868p-17, 0x1.cb86cc2691d49p-17, 0x1.bc3da0813341bp-17, 0x1.ad3fa0b25ba69p-17, 0x1.9e8a219312034p-17, 0x1.901aa6cd05e7cp-17, 0x1.81eee0190836p-17, 0x1.7404a69eb4ec6p-17, 0x1.6659fa73ee53ap-17, 0x1.58ed003af80a9p-17, 0x1.4bbbfedde3bc2p-17, 0x1.3ec55d663ef8cp-17, 0x1.3207a0efbc37ap-17, 0x1.25816ab4d80dcp-17, 0x1.193176345d1e4p-17, 0x1.0d16976ec5cd8p-17, 0x1.012fb93a7cec5p-17, 0x1.eaf7b75c17a2ap-18, 0x1.d3f4253e8e71ep-18, 0x1.bd53086d38876p-18, 0x1.a712cf2b41935p-18, 0x1.913207202a136p-18, 0x1.7baf5aed18bb6p-18, 0x1.66898fe3f0c29p-18, 0x1.51bf83deb9d8p-18, 0x1.3d502b35e8ceep-18, 0x1.293a8ed430dcep-18, 0x1.157dca668d578p-18, 0x1.02190aa73d14cp-18, 0x1.de171784faae5p-19, 0x1.b8a92fa7a9832p-19, 0x1.93e70af5a5ff2p-19, 0x1.6fcf6d0c55e8dp-19, 0x1.4c612d68452e7p-19, 0x1.299b350eaf593p-19, 0x1.077c7c5dbca1cp-19, 0x1.cc0812035b1a6p-20, 0x1.8a61d81a3c34dp-20, 0x1.4a0480656aafbp-20, 0x1.0aee503d3df82p-20, 0x1.9a3b33b8eb651p-21, 0x1.2121731207d6bp-21, 0x1.55184bcd842e2p-22, 0x1.b3c0ec9a218dp-24, -0x1.d8ee784568173p-24, -0x1.54718f4861cefp-22, -0x1.16dbf64f90d22p-21, -0x1.810a8ae2f5cc5p-21, -0x1.e8c7be1e0c033p-21, -0x1.270b6a3e6fe6ap-20, -0x1.587d906309053p-20, -0x1.88bc032b2013ap-20, -0x1.b7c87d9649355p-20, -0x1.e5a4c4dde29fcp-20, -0x1.092954a0d8114p-19, -0x1.1eea035d1032dp-19, -0x1.341562c8e8d9bp-19, -0x1.48ac6d73ec44p-19, -0x1.5cb0248e1c6afp-19, -0x1.70219013f6836p-19, -0x1.8301bef0e3f54p-19, -0x1.9551c718be3c6p-19, -0x1.a712c598f4141p-19, -0x1.b845dea1e81ecp-19, -0x1.c8ec3d89151c8p-19, -0x1.d90714c46f994p-19, -0x1.e8979ddf94076p-19, -0x1.f79f196b23dbep-19, -0x1.030f67736c474p-18, -0x1.0a0c06535258fp-18, -0x1.10c613d9abca9p-18, -0x1.173e3dd38dd0bp-18, -0x1.1d75354319978p-18, -0x1.236bae4a21f8ap-18, -0x1.292260134496p-18, -0x1.2e9a04b99af5bp-18, -0x1.33d3592f2dfb1p-18, -0x1.38cf1d22476bap-18, -0x1.3d8e12e1c98dap-18, -0x1.4210ff40a7663p-18, -0x1.4658a9789f05ap-18, -0x1.4a65db0c4e189p-18, -0x1.4e395fa8bf00bp-18, -0x1.51d4050683369p-18, -0x1.55369aca7578dp-18, -0x1.5861f26637f55p-18, -0x1.5b56def8832d1p-18, -0x1.5e16352d5a0adp-18, -0x1.60a0cb1e31939p-18, -0x1.62f7783223d5ep-18, -0x1.651b14fe33d9fp-18, -0x1.670c7b25bcce1p-18, -0x1.68cc853b0fe45p-18, -0x1.6a5c0ea0530a8p-18, -0x1.6bbbf368aadc8p-18, -0x1.6ced1039bba23p-18, -0x1.6df0422d87b05p-18, -0x1.6ec666b4babd2p-18, -0x1.6f705b796271cp-18, -0x1.6feefe4224a74p-18, -0x1.70432cd5f2273p-18, -0x1.706dc4e042e91p-18, -0x1.706fa3d5dcf2bp-18, -0x1.7049a6da2e388p-18, -0x1.6ffcaaa53aa41p-18, -0x1.6f898b6a26096p-18, -0x1.6ef124be5b7bcp-18, -0x1.6e34518155781p-18, -0x1.6d53ebc5080b6p-18, -0x1.6c50ccb6f34c9p-18, -0x1.6b2bcc89dcb93p-18, -0x1.69e5c2602e4dbp-18, -0x1.687f843705b99p-18, -0x1.66f9e6d1e8274p-18, -0x1.6555bda727483p-18, -0x1.6393daccebd17p-18, -0x1.61b50ee6f0a83p-18, -0x1.5fba2914e73fcp-18, -0x1.5da3f6e183b66p-18, -0x1.5b73443237546p-18, -0x1.5928db37907c5p-18, -0x1.56c5845e42115p-18, -0x1.544a0640d2548p-18, -0x1.51b72599ece47p-18, -0x1.4f0da537574ep-18, -0x1.4c4e45ed87982p-18, -0x1.4979c68bd752dp-18, -0x1.4690e3d1569dbp-18, -0x1.4394586235ecdp-18, -0x1.4084dcbdc96e5p-18, -0x1.3d63273523c22p-18, -0x1.3a2febe23ff1bp-18, -0x1.36ebdc9fc06bep-18, -0x1.3397a9013732cp-18, -0x1.3033fe4bfcb71p-18, -0x1.2cc187708e2a6p-18, -0x1.2940ed0470683p-18, -0x1.25b2d53c96972p-18, -0x1.2217e3e8483p-18, -0x1.1e70ba6c8466dp-18, -0x1.1abdf7bfdf34ep-18, -0x1.17003866d5b79p-18, -0x1.1338167096b71p-18, -0x1.0f6629743c72cp-18, -0x1.0b8b068e73abep-18, -0x1.07a7405f90805p-18, -0x1.03bb670a07dd3p-18, -0x1.ff901062a572fp-19, -0x1.f79b5df260486p-19, -0x1.ef99c80a8fc34p-19, -0x1.e78c5af2584bdp-19, -0x1.df741df16268ap-19, -0x1.d75213513cb0ep-19, -0x1.cf27385f67cd5p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9c078c93ebf18p-3, -0x1.b3665acad273cp-3, -0x1.cacda625f5dfbp-3, -0x1.e231a036e1f86p-3, -0x1.f9868169bb643p-3, -0x1.0860501937086p-2, -0x1.13ea42a4a2806p-2, -0x1.1f5b7e96c1d0dp-2, -0x1.2aae93928c97fp-2, -0x1.35de40f7d0208p-2, -0x1.40e57b308ae0ep-2, -0x1.4bbf700b153b7p-2, -0x1.56678a38b26a4p-2, -0x1.60d974068ccdap-2, -0x1.6b1119659b9b3p-2, -0x1.750aa9546103ap-2, -0x1.7ec296bbebfc8p-2, -0x1.883598d017de3p-2, -0x1.9160ab01a3bb3p-2, -0x1.9a410c8f78163p-2, -0x1.a2d43fc33643dp-2, -0x1.ab1808e423932p-2, -0x1.b30a6cea6a2dbp-2, -0x1.baa9affbcaa6cp-2, -0x1.c1f453b9f169fp-2, -0x1.c8e91569e7dd5p-2, -0x1.cf86ebfb56a76p-2, -0x1.d5cd05f5ab5d9p-2, -0x1.dbbac750974ebp-2, -0x1.e14fc73cdbcebp-2, -0x1.e68bcde1c7b6cp-2, -0x1.eb6ed2135e7dfp-2, -0x1.eff8f704b74efp-2, -0x1.f42a89f9b9d44p-2, -0x1.f803fffb06ee3p-2, -0x1.fb85f38e87856p-2, -0x1.feb12276d3fc2p-2, -0x1.00c335bdad8e3p-1, -0x1.0203661d77945p-1, -0x1.0319af8518c49p-1, -0x1.0406ac6f84f49p-1, -0x1.04cb03a51e0a7p-1, -0x1.0567673ff883p-1, -0x1.05dc93b7f57a3p-1, -0x1.062b4ef6f7429p-1, -0x1.0654677567151p-1, -0x1.0658b35f35d9p-1, -0x1.06390fc16aedep-1, -0x1.05f65fc054fa9p-1, -0x1.05918bd6593b6p-1, -0x1.050b811b5ceb3p-1, -0x1.04653094b6f65p-1, -0x1.039f8e8d9004ap-1, -0x1.02bb91f797211p-1, -0x1.01ba33d3df3aap-1, -0x1.009c6ea3c2c1ap-1, -0x1.fec67bc334b68p-2, -0x1.fc1f3b02301d3p-2, -0x1.f94512ee24b6p-2, -0x1.f639fa910c185p-2, -0x1.f2ffe74135cbep-2, -0x1.ef98cbdad7353p-2, -0x1.ec069806b8897p-2, -0x1.e84b378d79f7cp-2, -0x1.e46891b70a1d8p-2, -0x1.e06088b5c56edp-2, -0x1.dc34f91cd6c82p-2, -0x1.d7e7b961592d8p-2, -0x1.d37a9965cc525p-2, -0x1.ceef620f684p-2, -0x1.ca47d4e4dea2p-2, -0x1.c585abb61df74p-2, -0x1.c0aa984ca996cp-2, -0x1.bbb8442420eecp-2, -0x1.b6b0502a8c008p-2, -0x1.b19454880e18ep-2, -0x1.ac65e06d9d945p-2, -0x1.a72679ea62ff1p-2, -0x1.a1d79dc7695f1p-2, -0x1.9c7abf69450e2p-2, -0x1.971148b75e746p-2, -0x1.919c9a08956f2p-2, -0x1.8c1e0a14e7a0cp-2, -0x1.8696e5ebd5eeap-2, -0x1.810870ef3f4a1p-2, -0x1.7b73e4d26b472p-2, -0x1.75da719d059ccp-2, -0x1.703d3db1c8258p-2, -0x1.6a9d65d897904p-2, -0x1.64fbfd4bdd18bp-2, -0x1.5f5a0dc8ddf3bp-2, -0x1.59b897a2e5c52p-2, -0x1.541891d9053b4p-2, -0x1.4e7aea2e40bf8p-2, -0x1.48e08543f6f0fp-2, -0x1.434a3eb65bb92p-2, -0x1.3db8e93ad2c3fp-2, -0x1.382d4ec00fd87p-2, -0x1.32a8308fc619p-2, -0x1.2d2a4771d10dcp-2, -0x1.27b443d0aa2dap-2, -0x1.2246cddf0dde2p-2, -0x1.1ce285beb0b06p-2, -0x1.178803a7e682bp-2, -0x1.1237d8121cbdap-2, -0x1.0cf28bdd105c1p-2, -0x1.07b8a07aa2b99p-2, -0x1.028a90193797cp-2, -0x1.fad19b9d03f17p-3, -0x1.f0a78b8559ca2p-3, -0x1.e697bab7927bfp-3, -0x1.dca2e6d2da84cp-3, -0x1.d2c9c0a0e77d1p-3, -0x1.c90cec6d96216p-3, -0x1.bf6d025e78869p-3, -0x1.b5ea8eca4bad1p-3, -0x1.ac8612901fac4p-3, -0x1.a340036e2b6cdp-3, -0x1.9a18cc581c718p-3, -0x1.9110cdcce1ce7p-3, -0x1.88285e2bc814fp-3, -0x1.7f5fca08d7412p-3, -0x1.76b7548067389p-3, -0x1.6e2f3789c5e9fp-3, -0x1.65c7a448f1afep-3, -0x1.5d80c35f4af0bp-3, -0x1.555ab53b2fc9bp-3, -0x1.4d5592667d5f1p-3, -0x1.45716bd3d9cacp-3, -0x1.3dae4b2ace937p-3, -0x1.360c33129bed5p-3, -0x1.2e8b1f7bba354p-3, -0x1.272b05e810b09p-3, -0x1.1febd5b1c8effp-3, -0x1.18cd7850bed5ap-3, -0x1.11cfd19e8b7cbp-3, -0x1.0af2c0191f91cp-3, -0x1.04361d23ed1d3p-3, -0x1.fb337a8f3a757p-4, -0x1.ee3ae0e091e27p-4, -0x1.e1820454786bap-4, -0x1.d50873ba7f28ep-4, -0x1.c8cdb60cb698cp-4, -0x1.bcd14ae053bd2p-4, -0x1.b112aad3465dbp-4, -0x1.a59147f6ee2d2p-4, -0x1.9a4c8e37bd902p-4, -0x1.8f43e3c20e198p-4, -0x1.8476a963e1132p-4, -0x1.79e43aebd75dp-4, -0x1.6f8bef8534225p-4, -0x1.656d1a1108d22p-4, -0x1.5b87097c8b98p-4, -0x1.51d909149f036p-4, -0x1.486260d695c63p-4, -0x1.3f2255be390cdp-4, -0x1.36182a111bfdfp-4, -0x1.2d431da74668bp-4, -0x1.24a26e313f40cp-4, -0x1.1c35577b84735p-4, -0x1.13fb13af774bdp-4, -0x1.0bf2db91cbd58p-4, -0x1.041be6be845f5p-4, -0x1.f8ead7c50f78cp-5, -0x1.e9fd41e5b5bfcp-5, -0x1.db6d76c318279p-5, -0x1.cd39e0a0b7ddap-5, -0x1.bf60e982610cp-5, -0x1.b1e0fb88be573p-5, -0x1.a4b88149aff94p-5, -0x1.97e5e62488421p-5, -0x1.8b6796923c444p-5, -0x1.7f3c0071abdc9p-5, -0x1.736193501414ep-5, -0x1.67d6c0adc8bcp-5, -0x1.5c99fc3f4e2dep-5, -0x1.51a9bc2aec46fp-5, -0x1.47047942d3d7bp-5, -0x1.3ca8af3bf156cp-5, -0x1.3294dce181ec6p-5, -0x1.28c78445880d1p-5, -0x1.1f3f2aee36da7p-5, -0x1.15fa5a006967bp-5, -0x1.0cf79e6742bb3p-5, -0x1.043588f90c03ep-5, -0x1.f7655d32ccf07p-6, -0x1.e6db50b1d739cp-6, -0x1.d6ca2724a2d26p-6, -0x1.c72f240a4caf4p-6, -0x1.b80793dc7ed6ap-6, -0x1.a950cc3bd2d16p-6, -0x1.9b082c17ee93ep-6, -0x1.8d2b1bd37fc2cp-6, -0x1.7fb70d643936ep-6, -0x1.72a97c6f09a2dp-6, -0x1.65ffee60a4b08p-6, -0x1.59b7f2828a365p-6, -0x1.4dcf220cb2ed2p-6, -0x1.42432034046d4p-6, -0x1.37119a35aeee2p-6, -0x1.2c38475fa284cp-6, -0x1.21b4e916288dbp-6, -0x1.17854ad6dc5c3p-6, -0x1.0da742390fdb1p-6, -0x1.0418aeebc4ee6p-6, -0x1.f5aef562aca89p-7, -0x1.e3c332b1e4fecp-7, -0x1.d26a116bff477p-7, -0x1.c19fa12b19b3cp-7, -0x1.b1600563bcd53p-7, -0x1.a1a7754881c89p-7, -0x1.92723baa60b2p-7, -0x1.83bcb6d5db9c1p-7, -0x1.7583586d45101p-7, -0x1.67c2a5403ff44p-7, -0x1.5a773520ae2c2p-7, -0x1.4d9db2b538327p-7, -0x1.4132db4997564p-7, -0x1.35337e9cca026p-7, -0x1.299c7ead5ed1p-7, -0x1.1e6acf83f224cp-7, -0x1.139b76fc0b50ap-7, -0x1.092b8c8b7845p-7, -0x1.fe3072109509cp-8, -0x1.eabd6cdb29437p-8, -0x1.d7f89f3e11815p-8, -0x1.c5dcc05727352p-8, -0x1.b464a81e281b3p-8, -0x1.a38b4ee68ca9ap-8, -0x1.934bcce000e89p-8, -0x1.83a15995ae23ap-8, -0x1.74874b6c86b84p-8, -0x1.65f91720c150bp-8, -0x1.57f24f42ae0d5p-8, -0x1.4a6ea3b311ccfp-8, -0x1.3d69e11f2c73cp-8, -0x1.30dff07c90c0fp-8, -0x1.24ccd684f2018p-8, -0x1.192cb33208d91p-8, -0x1.0dfbc139afc4ap-8, -0x1.0336558a55c05p-8, -0x1.f1b1bd8fc4264p-9, -0x1.ddbfc99252226p-9, -0x1.ca90102c0cbeap-9, -0x1.b81c02cc6cac3p-9, -0x1.a65d424213127p-9, -0x1.954d9dbbffed1p-9, -0x1.84e711cccd33bp-9, -0x1.7523c7700e516p-9, -0x1.65fe1311f7644p-9, -0x1.577073996a19ep-9, -0x1.4975917490222p-9, -0x1.3c083da80e798p-9, -0x1.2f2370e0fd74ep-9, -0x1.22c24a89afb03p-9, -0x1.16e00fe163759p-9, -0x1.0b782b16f131ap-9, -0x1.00862a668b38p-9, -0x1.ec0b7e7531f58p-10, -0x1.d7e57a9f88721p-10, -0x1.c49233b87b8d1p-10, -0x1.b209d574935cep-10, -0x1.a044cb2c3ac8ep-10, -0x1.8f3bbe3e2367ep-10, -0x1.7ee7947874e2ap-10, -0x1.6f416e88bed86p-10, -0x1.6042a672c3c9fp-10, -0x1.51e4ce0e1d0bdp-10, -0x1.4421ad8ac4211p-10, -0x1.36f341fc7e1f6p-10, -0x1.2a53bbed249ap-10, -0x1.1e3d7df5e058fp-10, -0x1.12ab1b5f36558p-10, -0x1.079756c7fd804p-10, -0x1.f9fa41a642caep-11, -0x1.e5af2db8706d1p-11, -0x1.d2440365c17acp-11, -0x1.bfafa8b9b0b26p-11, -0x1.ade955bd86c6fp-11, -0x1.9ce892173482ep-11, -0x1.8ca532b55681fp-11, -0x1.7d17578849be4p-11, -0x1.6e3769483216cp-11, -0x1.5ffe1747ccc06p-11, -0x1.52645553f209ap-11, -0x1.4563599f9f7b6p-11, -0x1.38f49abc6568cp-11, -0x1.2d11cd9f10f9fp-11, -0x1.21b4e3b06c2f9p-11, -0x1.16d808e9ea70dp-11, -0x1.0c75a1fe16a13p-11, -0x1.02884a8c9aa8ap-11, -0x1.f215a6c368259p-12, -0x1.dff08181d01c6p-12, -0x1.ce9791759b2ddp-12, -0x1.be01a31b7baaap-12, -0x1.ae25e0227f5efp-12, -0x1.9efbcc57fa773p-12, -0x1.907b42a8334b8p-12, -0x1.829c72336a2e8p-12, -0x1.7557db76e6553p-12, -0x1.68a64d89a369p-12, -0x1.5c80e36c4c73cp-12, -0x1.50e1016c1e5c9p-12, -0x1.45c0529857e41p-12, -0x1.3b18c649d972fp-12, -0x1.30e48dbc9d5bfp-12, -0x1.271e19baa16f6p-12, -0x1.1dc01857f0dp-12, -0x1.14c572bf6c4e9p-12, -0x1.0c294b0ff81fdp-12, -0x1.03e6fa49b8e91p-12, -0x1.f7f41c95fa1c6p-13, -0x1.e8bc8fb90b63cp-13, -0x1.da1f31999b5b1p-13, -0x1.cc144433fcadbp-13, -0x1.be94645470015p-13, -0x1.b1988623b3ff2p-13, -0x1.a519f1cef3299p-13, -0x1.9912404a5ef4p-13, -0x1.8d7b582ddb636p-13, -0x1.824f6aab14951p-13, -0x1.7788f09c68a6cp-13, -0x1.6d22a7abf829cp-13, -0x1.63178f92551ep-13, -0x1.5962e76c2552dp-13, -0x1.50002b2634abcp-13, -0x1.46eb10ff50a71p-13, -0x1.3e1f871f6c597p-13, -0x1.3599b14373bdap-13, -0x1.2d55e67d448bp-13, -0x1.2550af07448edp-13, -0x1.1d86c22b0bb9bp-13, -0x1.15f5043a99df2p-13, -0x1.0e98849ba3f58p-13, -0x1.076e7be4609d7p-13, -0x1.00744a096d42cp-13, -0x1.f34ee93887a7dp-14, -0x1.e60b4a339b8bdp-14, -0x1.d9194e9133c91p-14, -0x1.cc74cf4c8e183p-14, -0x1.c019e3c759cebp-14, -0x1.b404dedeb29e9p-14, -0x1.a8324c1bd6cf3p-14, -0x1.9c9eecffe8efcp-14, -0x1.9147b669c8eaap-14, -0x1.8629ce154b491p-14, -0x1.7b4288330aa96p-14, -0x1.708f651808bc8p-14, -0x1.660e0f0468da4p-14, -0x1.5bbc580087eb9p-14, -0x1.519837cfbe3ep-14, -0x1.479fc9f81c282p-14, -0x1.3dd14bde75451p-14, -0x1.342b1af61292dp-14, -0x1.2aabb303697e8p-14, -0x1.2151ac71378abp-14, -0x1.181bbab76943bp-14, -0x1.0f08aad331fp-14, -0x1.061761cfc665bp-14, -0x1.fa8db6be4ccdp-15, -0x1.e92c5104d8a47p-15, -0x1.d808dc8235445p-15, -0x1.c721c8ddc3646p-15, -0x1.b675a8fec1467p-15, -0x1.a60330cebfa2fp-15, -0x1.95c9331620a22p-15, -0x1.85c69f71ac3e4p-15, -0x1.75fa80605885ap-15, -0x1.6663f96866b71p-15, -0x1.57024552fb3f7p-15, -0x1.47d4b47d5e8c4p-15, -0x1.38daab3f1ac72p-15, -0x1.2a13a0642d6fp-15, -0x1.1b7f1bba928b8p-15, -0x1.0d1cb4b26747p-15, -0x1.fdd8221fe55b2p-16, -0x1.e1d9c75dc97cbp-16, -0x1.c63dd6ac4381ap-16, -0x1.ab03e336e4aaep-16, -0x1.902b93acf2bdfp-16, -0x1.75b4a044b0e2dp-16, -0x1.5b9ed0dacaab2p-16, -0x1.41e9fb2cca639p-16, -0x1.2896012d7be6cp-16, -0x1.0fa2cf722f2bp-16, -0x1.ee20b76f9735dp-17, -0x1.bdbd46fd7a218p-17, -0x1.8e1b557982455p-17, -0x1.5f3af54740f33p-17, -0x1.311c40f7f0b2cp-17, -0x1.03bf592658cd1p-17, -0x1.ae48c4eeb6b4ap-18, -0x1.5697077b152efp-18, -0x1.0069c87c6c0ccp-18, -0x1.5782a859a8f23p-19, -0x1.6277c5f367b53p-20, -0x1.bff7d5271317ep-24, 0x1.2462b7ce87ee4p-20, 0x1.2f571dcc398f8p-19, 0x1.c971561fcf2cap-19, 0x1.303ffaf1713f3p-18, 0x1.7a4189c186627p-18, 0x1.c2bd77051c248p-18, 0x1.04d9fbff05256p-17, 0x1.2792ac796994fp-17, 0x1.4988ff28bd3a4p-17, 0x1.6abd32d7af101p-17, 0x1.8b2f9353f475fp-17, 0x1.aae079cdff13dp-17, 0x1.c9d04d29d4ccap-17, 0x1.e7ff824204848p-17, 0x1.02b74e0eab325p-16, 0x1.110f160c0ef49p-16, 0x1.1f076900ed54bp-16, 0x1.2ca09e17ec8edp-16, 0x1.39db13c2c5ec9p-16, 0x1.46b72fb9998dcp-16, 0x1.53355ef5c1fc9p-16, 0x1.5f5615a869dabp-16, 0x1.6b19cf2d30becp-16, 0x1.76810df9297c5p-16, 0x1.818c5b866ac23p-16, 0x1.8c3c483c773c7p-16, 0x1.96916b55be13ap-16, 0x1.a08c62c261e83p-16, 0x1.aa2dd30887db4p-16, 0x1.b376672264b1p-16, 0x1.bc66d05a2ef52p-16, 0x1.c4ffc62431383p-16, 0x1.cd4205f72859dp-16, 0x1.d52e5323112f7p-16, 0x1.dcc576a69b92p-16, 0x1.e4083f03605ddp-16, 0x1.eaf7801104304p-16, 0x1.f19412cf6808p-16, 0x1.f7ded5380d40ap-16, 0x1.fdd8aa0ec6da7p-16, 0x1.01c13c58ef1f9p-15, 0x1.046e9674dfd81p-15, 0x1.06f4db5c27c24p-15, 0x1.09548513ff46ap-15, 0x1.0b8e0f8d5ab2ep-15, 0x1.0da1f88c5a7b7p-15, 0x1.0f90bf8fb785dp-15, 0x1.115ae5b842e79p-15, 0x1.1300edb07523fp-15, 0x1.14835b941eea8p-15, 0x1.15e2b4d83faaap-15, 0x1.171f80330aa15p-15, 0x1.183a45841fc86p-15, 0x1.19338dbd059fdp-15, 0x1.1a0be2c9df223p-15, 0x1.1ac3cf7a6ed32p-15, 0x1.1b5bdf6b6405cp-15, 0x1.1bd49eeffef7ap-15, 0x1.1c2e9afc0543dp-15, 0x1.1c6a610e18554p-15, 0x1.1c887f1a66485p-15, 0x1.1c898375bde01p-15, 0x1.1c6dfcc10a3f3p-15, 0x1.1c3679d53325fp-15, 0x1.1be389af69a2bp-15, 0x1.1b75bb5de3ba2p-15, 0x1.1aed9ded01fc5p-15, 0x1.1a4bc054eaea8p-15, 0x1.1990b1679387p-15, 0x1.18bcffbf3e12ap-15, 0x1.17d139ad6c141p-15, 0x1.16cded2a43aacp-15, 0x1.15b3a7c46d375p-15, 0x1.1482f69163f2dp-15, 0x1.133c661e3d0efp-15, 0x1.11e08260e72bep-15, 0x1.106fd6a9dba8bp-15, 0x1.0eeaed9649016p-15, 0x1.0d525102b18d6p-15, 0x1.0ba689fdfccfap-15, 0x1.09e820bcffabfp-15, 0x1.08179c8e75be5p-15, 0x1.063583cf6f6cep-15, 0x1.04425be02d25fp-15, 0x1.023ea91970111p-15, 0x1.002aeec235663p-15, 0x1.fc0f5e0bc73c1p-16, 0x1.f7aad5d5becc8p-16, 0x1.f329449321fc3p-16, 0x1.ee8ba787a13c7p-16, 0x1.e9d2f97971ad2p-16, 0x1.e50032a1cb757p-16, 0x1.e014489e26582p-16, 0x1.db102e6240c36p-16, 0x1.d5f4d42af15b7p-16, 0x1.d0c32771ab39bp-16, 0x1.cb7c12e0cbeeap-16, 0x1.c6207e4897e45p-16, 0x1.c0b14e94f444bp-16, 0x1.bb2f65c3cd16bp-16, 0x1.b59ba2dc2d57ap-16, 0x1.aff6e1e5faa63p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c7592509b90dap-1, 0x1.c3fb03e454df7p-1, 0x1.c0a3e3694c1ecp-1, 0x1.bd548666f3adcp-1, 0x1.ba0d5e9a393d7p-1, 0x1.b6ce975007616p-1, 0x1.b3981f54a0054p-1, 0x1.b069b2284c5a2p-1, 0x1.ad42e0764e19p-1, 0x1.aa2317cf31bdcp-1, 0x1.a709a9aac043p-1, 0x1.a3f5d1b825b41p-1, 0x1.a0e6bb84725b6p-1, 0x1.9ddb8780be27dp-1, 0x1.9ad34f71dd04p-1, 0x1.97cd2a53e8659p-1, 0x1.94c82fbc007a5p-1, 0x1.91c37ac28463p-1, 0x1.8ebe2c7fc98p-1, 0x1.8bb76e24fd414p-1, 0x1.88ae72ba6a588p-1, 0x1.85a2788be9954p-1, 0x1.8292ca4bb9f67p-1, 0x1.7f7ebff37d0b3p-1, 0x1.7c65bf6a84b27p-1, 0x1.79473cf8229bdp-1, 0x1.7622bb881bdbp-1, 0x1.72f7ccc6ebb14p-1, 0x1.6fc6111b02e61p-1, 0x1.6c8d377fbc7e2p-1, 0x1.694cfd4656d6p-1, 0x1.66052dc0d1feap-1, 0x1.62b5a1da3e02cp-1, 0x1.5f5e3f9f9d7c3p-1, 0x1.5bfef9bc37df2p-1, 0x1.5897ceebe69bep-1, 0x1.5528c9659beaap-1, 0x1.51b1fe4029586p-1, 0x1.4e338cd30cd72p-1, 0x1.4aad9e14cfeafp-1, 0x1.472063f85c8b1p-1, 0x1.438c18ca73df6p-1, 0x1.3ff0fe90535bep-1, 0x1.3c4f5e6868bf3p-1, 0x1.38a787edd8014p-1, 0x1.34f9d09f77063p-1, 0x1.3146934ac9675p-1, 0x1.2d8e2f7b6a7d4p-1, 0x1.29d108ef46a65p-1, 0x1.260f870fe6a1bp-1, 0x1.224a14710b037p-1, 0x1.1e811e54bab82p-1, 0x1.1ab51434e523p-1, 0x1.16e66752a623p-1, 0x1.13158a4b32262p-1, 0x1.0f42f0b2696a4p-1, 0x1.0b6f0eb3041fap-1, 0x1.079a58b44df9ep-1, 0x1.03c5430553b5fp-1, 0x1.ffe0831ad6fefp-2, 0x1.f8378f03f3495p-2, 0x1.f0908e429b7ep-2, 0x1.e8ec62e4e885p-2, 0x1.e14bec13adaebp-2, 0x1.d9b005a4fe272p-2, 0x1.d21987b7ae96p-2, 0x1.ca894657745e8p-2, 0x1.c30011294e7c6p-2, 0x1.bb7eb31fe31d9p-2, 0x1.b405f2377991bp-2, 0x1.ac968f3935f58p-2, 0x1.a531458547e0bp-2, 0x1.9dd6cae3afba8p-2, 0x1.9687cf5b4cdcap-2, 0x1.8f44fd0edc1d4p-2, 0x1.880ef81f9c6dap-2, 0x1.80e65e95466c8p-2, 0x1.79cbc84b0d7aap-2, 0x1.72bfc6e15b26ep-2, 0x1.6bc2e5b403dacp-2, 0x1.64d5a9d4a6eebp-2, 0x1.5df89208fb42p-2, 0x1.572c16ccc73f2p-2, 0x1.5070aa573ece7p-2, 0x1.49c6b8a394a5p-2, 0x1.432ea77c7ac21p-2, 0x1.3ca8d68a60dafp-2, 0x1.36359f643635dp-2, 0x1.2fd555a27f73dp-2, 0x1.298846f48a323p-2, 0x1.234ebb37952acp-2, 0x1.1d28f48fbab07p-2, 0x1.17172f8275f31p-2, 0x1.1119a312970f2p-2, 0x1.0b3080dd840c3p-2, 0x1.055bf5399d017p-2, 0x1.ff384eab44cb3p-3, 0x1.f3e272b1f9f86p-3, 0x1.e8b691098dadfp-3, 0x1.ddb4daaaf0c54p-3, 0x1.d2dd774a3ab46p-3, 0x1.c830859bf1ff4p-3, 0x1.bdae1b9af681dp-3, 0x1.b35646cef08c9p-3, 0x1.a9290c93065f5p-3, 0x1.9f266a5cbcbdep-3, 0x1.954e5602d9472p-3, 0x1.8ba0be0419b22p-3, 0x1.821d89cdae59ep-3, 0x1.78c49a014c1cdp-3, 0x1.6f95c8babdcfdp-3, 0x1.6690e9d4d91f2p-3, 0x1.5db5cb2dc8cabp-3, 0x1.550434ea7d9edp-3, 0x1.4c7be9b94e13cp-3, 0x1.441ca7139de11p-3, 0x1.3be6257e83d6ep-3, 0x1.33d818ca5fea9p-3, 0x1.2bf230514b797p-3, 0x1.243417346664dp-3, 0x1.1c9d7497e15cep-3, 0x1.152debddd0ca2p-3, 0x1.0de51cdfaed29p-3, 0x1.06c2a42691c26p-3, 0x1.ff8c364408bd4p-4, 0x1.f1de30bb101a5p-4, 0x1.e47a5f6963badp-4, 0x1.d75fe50bcdb01p-4, 0x1.ca8ddfc75bd07p-4, 0x1.be036989394c8p-4, 0x1.b1bf9863b8be4p-4, 0x1.a5c17ee880a0cp-4, 0x1.9a082c7ffb9c3p-4, 0x1.8e92adbde26e3p-4, 0x1.83600cb30ec0bp-4, 0x1.786f513c7f303p-4, 0x1.6dbf814f9cafcp-4, 0x1.634fa143c746bp-4, 0x1.591eb4192f41ap-4, 0x1.4f2bbbbd06199p-4, 0x1.4575b94b0cdeep-4, 0x1.3bfbad4c8ca59p-4, 0x1.32bc97f4c0de1p-4, 0x1.29b7795abedc5p-4, 0x1.20eb51b0e70bp-4, 0x1.18572179e94a8p-4, 0x1.0ff9e9bb69daep-4, 0x1.07d2ac2e52c69p-4, 0x1.ffc0d6d9bc3eep-5, 0x1.f044563ccc22dp-5, 0x1.e12de0420eed2p-5, 0x1.d27b81624a578p-5, 0x1.c42b491daf2b4p-5, 0x1.b63b4a42af47dp-5, 0x1.a8a99b30e346bp-5, 0x1.9b7456181c3d6p-5, 0x1.8e999933ba3d6p-5, 0x1.8217870264c7p-5, 0x1.75ec467a41ae8p-5, 0x1.6a160339c09dfp-5, 0x1.5e92edb519761p-5, 0x1.53613b6096e3fp-5, 0x1.487f26d7c841dp-5, 0x1.3deaf001b4192p-5, 0x1.33a2dc32249afp-5, 0x1.29a5364828cbap-5, 0x1.1ff04ec9e1f56p-5, 0x1.16827bfdb76a3p-5, 0x1.0d5a1a0107ce8p-5, 0x1.04758adc735e5p-5, 0x1.f7a66d2b9d4dcp-6, 0x1.e6e3167fbd92bp-6, 0x1.d69dfa0fe1b92p-6, 0x1.c6d40c82bedcfp-6, 0x1.b7824ede481bp-6, 0x1.a8a5ce970a116p-6, 0x1.9a3ba59be2b11p-6, 0x1.8c40fa5e507d9p-6, 0x1.7eb2ffd76e55bp-6, 0x1.718ef589cf25p-6, 0x1.64d2278056573p-6, 0x1.5879ee4a39632p-6, 0x1.4c83aef44ce7ap-6, 0x1.40ecdaffb8ccep-6, 0x1.35b2f0564342dp-6, 0x1.2ad3793c42cd5p-6, 0x1.204c0c40689ecp-6, 0x1.161a4c2974d9fp-6, 0x1.0c3be7e1fb6e3p-6, 0x1.02ae9a624eaa9p-6, 0x1.f2e0553170b11p-7, 0x1.e0fcd6a017d7dp-7, 0x1.cfae76297ad23p-7, 0x1.bef1083117923p-7, 0x1.aec07829ad8fp-7, 0x1.9f18c85786944p-7, 0x1.8ff611906806bp-7, 0x1.815482f985482p-7, 0x1.733061c36c318p-7, 0x1.658608e43a734p-7, 0x1.5851e8d03c3ap-7, 0x1.4b9087310393ep-7, 0x1.3f3e7e9b42c03p-7, 0x1.33587e4364a21p-7, 0x1.27db49b12609ep-7, 0x1.1cc3b8723bf22p-7, 0x1.120eb5cc2da98p-7, 0x1.07b9406d7e394p-7, 0x1.fb80d43c83c32p-8, 0x1.e842aee074d1p-8, 0x1.d5b27edd276bcp-8, 0x1.c3cad69ab4b1p-8, 0x1.b2866c3182fb8p-8, 0x1.a1e018c8a08f7p-8, 0x1.91d2d7f415d5ep-8, 0x1.8259c713571e2p-8, 0x1.737024affb9d2p-8, 0x1.65114fdcdff39p-8, 0x1.5738c795d29f5p-8, 0x1.49e22a1feef12p-8, 0x1.3d09346ac143bp-8, 0x1.30a9c17252913p-8, 0x1.24bfc9a2366edp-8, 0x1.19476239b629ap-8, 0x1.0e3cbcb12cba8p-8, 0x1.039c2620ae95bp-8, 0x1.f2c40d501be37p-9, 0x1.df15c1b0a4a44p-9, 0x1.cc26a23d67e38p-9, 0x1.b9f01a62508e3p-9, 0x1.a86bc6f92d6ecp-9, 0x1.9793752977533p-9, 0x1.8761214b99ab6p-9, 0x1.77cef5cfca91cp-9, 0x1.68d74a2895b57p-9, 0x1.5a74a1b91ea79p-9, 0x1.4ca1aac737d0bp-9, 0x1.3f593d7157a16p-9, 0x1.32965aa87bc05p-9, 0x1.26542b2e05786p-9, 0x1.1a8dfe959bc9dp-9, 0x1.0f3f4a4b18bf2p-9, 0x1.0463a89c8f884p-9, 0x1.f3edaf90ced7fp-10, 0x1.dfe9721f3a04ap-10, 0x1.ccb29f983bcc4p-10, 0x1.ba418116a6435p-10, 0x1.a88ea05991c55p-10, 0x1.9792c609fc504p-10, 0x1.8746f808bb144p-10, 0x1.77a477c4a451cp-10, 0x1.68a4c098fa879p-10, 0x1.5a4186341351p-10, 0x1.4c74b306248e5p-10, 0x1.3f3866b832372p-10, 0x1.3286f4ab1a96p-10, 0x1.265ae27e9744fp-10, 0x1.1aaee6a0496f1p-10, 0x1.0f7de6e2990c2p-10, 0x1.04c2f71b74257p-10, 0x1.f4f2af959d757p-11, 0x1.e138e9919741fp-11, 0x1.ce4fc7f7042f3p-11, 0x1.bc2ec8288affp-11, 0x1.aacdb6a8b56fap-11, 0x1.9a24acb20682p-11, 0x1.8a2c0ddd8f0abp-11, 0x1.7adc85d7ccfbcp-11, 0x1.6c2f0623a7ec2p-11, 0x1.5e1cc3eb5376ap-11, 0x1.509f35dee9813p-11, 0x1.43b0122083e74p-11, 0x1.37494c3da3165p-11, 0x1.2b651335ac3ebp-11, 0x1.1ffdcf8d47ed6p-11, 0x1.150e216e6d0a3p-11, 0x1.0a90ded4df425p-11, 0x1.008111c6ec2e3p-11, 0x1.edb3ed345dcc1p-12, 0x1.db2df4884a37ep-12, 0x1.c967716cb5e8fp-12, 0x1.b857f68bf2c14p-12, 0x1.a7f76e3d024eep-12, 0x1.983e177eeba5ep-12, 0x1.8924830994adep-12, 0x1.7aa39073a0c9dp-12, 0x1.6cb46b6cf55edp-12, 0x1.5f50890d6f247p-12, 0x1.5271a53763cd7p-12, 0x1.4611c00d829b2p-12, 0x1.3a2b1b7ba510dp-12, 0x1.2eb838d23373ep-12, 0x1.23b3d673a634p-12, 0x1.1918ed93cb101p-12, 0x1.0ee2b0085c787p-12, 0x1.050c862a8fc4cp-12, 0x1.f72419925b62dp-13, 0x1.e4de2655baa95p-13, 0x1.d33f32406ae7fp-13, 0x1.c23f9a4a75363p-13, 0x1.b1d81523d40f1p-13, 0x1.a201afb2e5a9dp-13, 0x1.92b5c9af85c98p-13, 0x1.83ee125a148fbp-13, 0x1.75a4854dbb95fp-13, 0x1.67d3676d40c29p-13, 0x1.5a7543e9bacfdp-13, 0x1.4d84e96273602p-13, 0x1.40fd671d5e66fp-13, 0x1.34da0a577574ep-13, 0x1.29165bac5bfbp-13, 0x1.1dae1c94a97d1p-13, 0x1.129d44fa40937p-13, 0x1.07e000e214367p-13, 0x1.fae55c559a03cp-14, 0x1.e6a3b4bf68d7p-14, 0x1.d2f4813ea9d08p-14, 0x1.bfd18f2a8c2e6p-14, 0x1.ad34ff0d27dc9p-14, 0x1.9b1940e08204p-14, 0x1.8979106ea4e0ap-14, 0x1.784f71d3dd706p-14, 0x1.6797ae220faf1p-14, 0x1.574d50242f13ep-14, 0x1.476c2140e1fecp-14, 0x1.37f0267b64ffap-14, 0x1.28d59d91be8d5p-14, 0x1.1a18fa37656afp-14, 0x1.0bb6e36b72f86p-14, 0x1.fb5861d31844p-15, 0x1.dfebd1695639dp-15, 0x1.c5227975ee52cp-15, 0x1.aaf71123c2a3fp-15, 0x1.91649e9382826p-15, 0x1.786672b059d7dp-15, 0x1.5ff82530a3642p-15, 0x1.481590c12b8c4p-15, 0x1.30bacf599fbd9p-15, 0x1.19e436b8c6713p-15, 0x1.038e550733fa4p-15, 0x1.db6bdb3e55116p-16, 0x1.b0afebf0c9722p-16, 0x1.86e3256d1edfep-16, 0x1.5e0029b2851fep-16, 0x1.3601ee18981efp-16, 0x1.0ee3b62e5e00bp-16, 0x1.d1421daae9128p-17, 0x1.866b932e919b6p-17, 0x1.3d3bf0649e396p-17, 0x1.eb57a17492636p-18, 0x1.5f687ef6c9526p-18, 0x1.ad3ac093070cfp-19, 0x1.43a7b8b846c63p-20, -0x1.8debd5996cf7p-21, -0x1.62c7adf17e9e9p-19, -0x1.2e13890a1693ep-18, -0x1.a7d664f44c58cp-18, -0x1.0f5addd3f305cp-17, -0x1.495d32ceeffe2p-17, -0x1.81f66674fadc5p-17, -0x1.b92a7b6003a27p-17, -0x1.eefd46390e533p-17, -0x1.11b938fb30da3p-16, -0x1.2b46c1edaba16p-16, -0x1.4428ef9e45856p-16, -0x1.5c616485657fp-16, -0x1.73f1b593974a2p-16, -0x1.8adb6bc15c2aap-16, -0x1.a1200585d5585p-16, -0x1.b6c0f83567953p-16, -0x1.cbbfb1495e372p-16, -0x1.e01d9791978b2p-16, -0x1.f3dc0c512b3cp-16, -0x1.037e362386b77p-15, -0x1.0cc00851c418p-15, -0x1.15b427f5bab15p-15, -0x1.1e5b3f650becbp-15, -0x1.26b5f8692c84fp-15, -0x1.2ec4fc9821c33p-15, -0x1.3688f5a5bc3c4p-15, -0x1.3e028dadad03bp-15, -0x1.45326f76d4154p-15, -0x1.4c1946b01b2ecp-15, -0x1.52b7c02735603p-15, -0x1.590e89f99294fp-15, -0x1.5f1e53bfd5452p-15, -0x1.64e7ceb4159b9p-15, -0x1.6a6badd33c494p-15, -0x1.6faaa5f9b7ac7p-15, -0x1.74a56dfbd01d6p-15, -0x1.795cbeb9dac83p-15, -0x1.7dd153308a229p-15, -0x1.8203e885948c7p-15, -0x1.85f53e10eda3ep-15, -0x1.89a61562c574fp-15, -0x1.8d17324681c39p-15, -0x1.90495ac2e9a3dp-15, -0x1.933d5717a9351p-15, -0x1.95f3f1b8638b8p-15, -0x1.986df7457d4abp-15, -0x1.9aac3682c67f5p-15, -0x1.9caf804c2ef35p-15, -0x1.9e78a788ac421p-15, -0x1.a008811b738adp-15, -0x1.a15fe3d3abdd6p-15, -0x1.a27fa85ab9156p-15, -0x1.a368a92142cf6p-15, -0x1.a41bc24b0ff81p-15, -0x1.a499d199da43cp-15, -0x1.a4e3b6572ed0dp-15, -0x1.a4fa513d7c60cp-15, -0x1.a4de846063b38p-15, -0x1.a4913314616d2p-15, -0x1.a41341d5eceacp-15, -0x1.a36596301a6dap-15, -0x1.a28916a2daeacp-15, -0x1.a17eaa88e8448p-15, -0x1.a04739fd71623p-15, -0x1.9ee3adc198865p-15, -0x1.9d54ef21d193dp-15, -0x1.9b9be7db32464p-15, -0x1.99b98200bd028p-15, -0x1.97aea7e0bcf2cp-15, -0x1.957c43ea35f3p-15, -0x1.932340927aaf2p-15, -0x1.90a4883af1f24p-15, -0x1.8e0105171540fp-15, -0x1.8b39a112b219p-15, -0x1.884f45b876db9p-15, -0x1.8542dc18d6e71p-15, -0x1.82154cb14586p-15, -0x1.7ec77f53d958fp-15, -0x1.7b5a5b0f54feap-15, -0x1.77cec617a24e7p-15, -0x1.7425a5aec1396p-15, -0x1.705fde0e312b1p-15, -0x1.6c7e5250d7cc1p-15, -0x1.6881e45d6d11ep-15, -0x1.646b74d16ad1ap-15, -0x1.603be2ec87637p-15, -0x1.5bf40c7cbcca5p-15, -0x1.5794cdcadd72dp-15, -0x1.531f0187bc4e2p-15, -0x1.4e9380b9e61ebp-15, -0x1.49f322abedc4ap-15, -0x1.453ebcdb531a4p-15, -0x1.407722e7faa67p-15, -0x1.3b9d26843fdfap-15, -0x1.36b197659dabcp-15, -0x1.31b54335f05c3p-15, -0x1.2ca8f5854d2e8p-15, -0x1.278d77bc711f5p-15, -0x1.2263910fc9f17p-15, -0x1.1d2c0673111f4p-15, -0x1.17e79a8d7f8fbp-15, -0x1.12970dae93edep-15, -0x1.0d3b1dc36cb8ep-15, -0x1.07d4864cb3e1ep-15, -0x1.026400551c54bp-15, -0x1.f9d484d0da316p-16, -0x1.eed0011631303p-16, -0x1.e3bbd864c5283p-16, -0x1.d899687a1b21cp-16, -0x1.cd6a09d91c90dp-16, -0x1.c22f0fbd90c4ep-16, -0x1.b6e9c81096df7p-16, -0x1.ab9b7b5e23eacp-16, -0x1.a0456ccb7e95bp-16, -0x1.94e8da0eb4f93p-16, -0x1.8986fb6705341p-16, -0x1.7e21039634889p-16, -0x1.72b81fdad162fp-16, -0x1.674d77eb5cae1p-16, -0x1.5be22df25288bp-16, -0x1.50775e8b078cbp-16, -0x1.450e20bf6911ap-16, -0x1.39a7860680b5fp-16, -0x1.2e449a43ca508p-16, -0x1.22e663c7500b3p-16, -0x1.178de34e8570ap-16, -0x1.0c3c1405dc62fp-16, -0x1.00f1eb8b13fb4p-16, -0x1.eb60b3e06d05p-17, -0x1.d4f0937e8a25ap-17, -0x1.be953ffd04f12p-17, -0x1.a850786ad8e87p-17, -0x1.9223f0e4847p-17, -0x1.7c1152a05cefp-17, -0x1.661a3bfbf7a27p-17, -0x1.5040408aafc8ep-17, -0x1.3a84e9253c76fp-17, -0x1.24e9b3fa4fbc4p-17, -0x1.0f7014a02c139p-17, -0x1.f432e84e5c32ep-18, -0x1.c9ce625a7fbe1p-18, -0x1.9fb53fe45459fp-18, -0x1.75ea14d977488p-18, -0x1.4c6f60c17874p-18, -0x1.23478eeb4ad5ap-18, -0x1.f4e9ed384cbebp-19, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      61, 0x1.f0a3d70a3d70ap+1, 0x1.04efdd2c1af74p+1, 0x1.d9d8277a9a14bp+1, -0x1.256fe0ce3f354p-1, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.77ecbb7f9d6f1p+1, -0x1.c9f2cd8ae92c7p+2, 0x1.d2c7ae147aeap+2, 0x1.351f408d14822p+0}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.54cadddf43c7dp+1, -0x1.a43c2faab0b94p+2, 0x1.dc0dbcd108545p+2, -0x1.826710b0599c7p+2}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.34a5c5f7c675ap+1, -0x1.80016b305175dp+2, 0x1.adaf732245418p+2, -0x1.e1571ac3c49ebp+1}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.174573a797892p+1, -0x1.5ec932bbc49bfp+2, 0x1.90ce103f7c04cp+2, -0x1.03eab9c81b363p+2}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.f8ea5b530ced5p+0, -0x1.3ff81956fbf1dp+2, 0x1.719d6a981c97dp+2, -0x1.d55316fb6b341p+1}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.c8069e7fb267cp+0, -0x1.2386bd1aad1d7p+2, 0x1.5574974b96295p+2, -0x1.bcde308207ffap+1}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.9b829068986fdp+0, -0x1.09470eea57cd8p+2, 0x1.3ac36b6cbea43p+2, -0x1.a13426fc827e6p+1}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.7306d50657321p+0, -0x1.e23211bec3b35p+1, 0x1.21bb2ba5462bfp+2, -0x1.8451338beb177p+1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.4e41700cd8559p+0, -0x1.b5b3d8a0e56d9p+1, 0x1.0a6e9e501439ep+2, -0x1.6d870ad3d187fp+1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.2ce5d5b24e9c4p+0, -0x1.8cd3f28ce885bp+1, 0x1.e9003b538a302p+1, -0x1.5192a124ce3bp+1}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.0eac53b0813cbp+0, -0x1.675404b23a9dfp+1, 0x1.c07dff077170bp+1, -0x1.3e2e7098fc8a8p+1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.e6a4873365882p-1, -0x1.44f9e14501317p+1, 0x1.9a4f76a32a2d2p+1, -0x1.25b39c7734339p+1}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.b532830a0b1bcp-1, -0x1.258f9f985ebc2p+1, 0x1.7710f338b345bp+1, -0x1.11031d8a37a7ep+1}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.888ede54b48d4p-1, -0x1.08ddbea8fa3c1p+1, 0x1.564e04281d3bap+1, -0x1.fc7fdabfdae6cp+0}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.604e1e71044f2p-1, -0x1.dd6787f1ef9d3p+0, 0x1.37cb77081f757p+1, -0x1.d3fa59ec25d67p+0}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.3c0c62e4d1a65p-1, -0x1.adc377ca09e43p+0, 0x1.1bb752ea9811ap+1, -0x1.b396bd8f8c88dp+0}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.1b6d655e28aa4p-1, -0x1.8275b52915761p+0, 0x1.0194adf15751p+1, -0x1.8daaafd5ace6dp+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.fc3760bf5d788p-2, -0x1.5b27da123d91cp+0, 0x1.d371095866af8p+0, -0x1.71be8319b63d7p+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.c791819d2391dp-2, -0x1.3788fd968e4aep+0, 0x1.a7127ebbb7379p+0, -0x1.535b43c37eca5p+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.9857f3061c79bp-2, -0x1.175178e50beafp+0, 0x1.7e59769a04296p+0, -0x1.34d46dd84f429p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.6e054690de093p-2, -0x1.f46ce3f6b393cp-1, 0x1.594a3638610dp+0, -0x1.1d5304db43165p+0}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.481f969e3c969p-2, -0x1.bfeb0792659d6p-1, 0x1.370d0cad6d7abp+0, -0x1.01df7ebaa67p+0}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.2636f3b213e3ep-2, -0x1.90a02162526b4p-1, 0x1.181b30ab8277ap+0, -0x1.de5e0074418adp-1}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.07e56473471f8p-2, -0x1.661acc2f45a42p-1, 0x1.f6cef0a53a824p-1, -0x1.aac900b9b0b25p-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.d99aa60913a5p-3, -0x1.3fedb74c508ddp-1, 0x1.c3981984b4aa4p-1, -0x1.867dfca4fa446p-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.a934acaff6d33p-3, -0x1.1dace79f0f486p-1, 0x1.94bc2e66ab1cep-1, -0x1.633f0cb265a84p-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.7dff3f0fe047dp-3, -0x1.fe00e9efeac48p-2, 0x1.6a1b03eadc5a9p-1, -0x1.3c85d091759a7p-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.576ee73e681aap-3, -0x1.c71af5249e744p-2, 0x1.441f70025d9a6p-1, -0x1.22a9b107b71dcp-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.3506573215fccp-3, -0x1.9609387abd78cp-2, 0x1.213e46491eab4p-1, -0x1.00d36b4fb474dp-1}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.1653c9abb01c9p-3, -0x1.6a38fdee5f5dap-2, 0x1.026c959179a77p-1, -0x1.d4114372edd93p-2}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.f5e310dbf0564p-4, -0x1.431f198623438p-2, 0x1.ccae230aeb3fp-2, -0x1.9e141b94e053fp-2}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.c507a6bd6e8bp-4, -0x1.2041303f87136p-2, 0x1.9afda4da55725p-2, -0x1.739e4e399213p-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.9971c10d7be98p-4, -0x1.0128bddac7647p-2, 0x1.6e6586fc62a33p-2, -0x1.5372ab84d477cp-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.728e92d55a3a1p-4, -0x1.caf41b29b08e5p-3, 0x1.45a9afd7f7389p-2, -0x1.1e9703b31efaep-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.4fd9fd36f7e3dp-4, -0x1.9999479005d0fp-3, 0x1.2345a528df06p-2, -0x1.123145aeada08p-2}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.30e0a84be4042p-4, -0x1.6da0a1b909127p-3, 0x1.025e73d67844bp-2, -0x1.d147cb24559bcp-3}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.1538ac18f81e9p-4, -0x1.46859370cd47cp-3, 0x1.cce77d60e6435p-3, -0x1.967e481150c3ep-3}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.f90b84988094ep-5, -0x1.2399c1763d7fep-3, 0x1.9c20041724402p-3, -0x1.94bf149663b0dp-3}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.ccec41dd1a21fp-5, -0x1.0492c96ceb34bp-3, 0x1.6b8e34d1e516ap-3, -0x1.3685659529f02p-3}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.a57a786c22681p-5, -0x1.d1f57a2bf6f99p-4, 0x1.464affab83e5ap-3, -0x1.312b5514e592bp-3}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.82363b256ffc1p-5, -0x1.a0ae805dba4bcp-4, 0x1.21ac32e67296ap-3, -0x1.24cd461746c9p-3}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.62a80064a9cdcp-5, -0x1.752519754a6fp-4, 0x1.fd12a6e607634p-4, -0x1.b73f251bfddecp-4}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.4660a2014727ep-5, -0x1.4e870899170acp-4, 0x1.c85cfe9afd671p-4, -0x1.d968df617d90fp-4}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.2d03d9a95421cp-5, -0x1.2c4a70976616p-4, 0x1.8f8dd98f4a7e9p-4, -0x1.a31d5d5e0a3a8p-4}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.163779e9d0e99p-5, -0x1.0e56947922bc4p-4, 0x1.5d42a56549446p-4, -0x1.5a21ab2658c89p-4}, 
        {0x1.8p+1, 0x1.851eb851eb852p+1, 0x1.01a9b8cb8e087p-5, -0x1.e81e1c0127595p-5, 0x1.33b97c60af40cp-4, -0x1.745bf6089458p-4}, 
        {0x1.851eb851eb852p+1, 0x1.8a3d70a3d70a4p+1, 0x1.de26916440f24p-6, -0x1.ba74d259ce103p-5, 0x1.070a9c4b2ccfcp-4, -0x1.546e7cb7558fbp-4}, 
        {0x1.8a3d70a3d70a4p+1, 0x1.8f5c28f5c28f6p+1, 0x1.bc59b8023a6cep-6, -0x1.93a349e6ade9p-5, 0x1.bc611aa7ca354p-5, -0x1.f3d42e3428e7cp-5}, 
        {0x1.8f5c28f5c28f6p+1, 0x1.947ae147ae148p+1, 0x1.9d6adf71eafeep-6, -0x1.727c970b116fdp-5, 0x1.80665cca7d9e8p-5, -0x1.43e926e0580f3p-4}, 
        {0x1.947ae147ae148p+1, 0x1.999999999999ap+1, 0x1.80ecfa69be09cp-6, -0x1.56d81fc344da8p-5, 0x1.32a949387cf7p-5, -0x1.ece29ac91ab05p-5}, 
        {0x1.999999999999ap+1, 0x1.9eb851eb851ecp+1, 0x1.666a98244e93ep-6, -0x1.40ad5bc644d09p-5, 0x1.ef07b4f90800ep-6, -0x1.c4a3471ae10f1p-5}, 
        {0x1.9eb851eb851ecp+1, 0x1.a3d70a3d70a3dp+1, 0x1.4d7f0ed3d859dp-6, -0x1.2f0c7398cd27p-5, 0x1.8265a3e8571bfp-6, -0x1.00482465b7052p-4}, 
        {0x1.a3d70a3d70a3dp+1, 0x1.a8f5c28f5c28fp+1, 0x1.35ce18266772dp-6, -0x1.220d9587e1f42p-5, 0x1.0761bb6598dd5p-6, -0x1.391b95b75057ap-5}, 
        {0x1.a8f5c28f5c28fp+1, 0x1.ae147ae147ae1p+1, 0x1.1efb6dca07f67p-6, -0x1.19054d37b1a06p-5, 0x1.7878c887af014p-7, -0x1.9b0160575d07ap-5}, 
        {0x1.ae147ae147ae1p+1, 0x1.b333333333333p+1, 0x1.08bfc2224edf6p-6, -0x1.1376cf32f121fp-5, 0x1.6660e2a704b2fp-8, -0x1.b5bdd1d673276p-6}, 
        {0x1.b333333333333p+1, 0x1.b851eb851eb85p+1, 0x1.e5a78f25a251p-7, -0x1.10ee4f131100fp-5, 0x1.28866c802a359p-9, -0x1.f305f7f77cbbp-6}, 
        {0x1.b851eb851eb85p+1, 0x1.bd70a3d70a3d7p+1, 0x1.ba0a5269595ffp-7, -0x1.10a55b500cca8p-5, -0x1.6d1317932a6d9p-10, 0x1.03ab6368cef97p-7}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.c28f5c28f5c29p+1, 0x1.8e5c4eb56fb8fp-7, -0x1.113f3be470769p-5, -0x1.cf2ae0913d013p-12, -0x1.c51433b687c8fp-4}, 
        {0x1.c28f5c28f5c29p+1, 0x1.c7ae147ae147bp+1, 0x1.6262cba732df5p-7, -0x1.15e2d3d683455p-5, -0x1.c16e038aced24p-7, 0x1.acf6d89b411d3p-2}, 
        {0x1.c7ae147ae147bp+1, 0x1.ccccccccccccdp+1, 0x1.361565c2d278p-7, -0x1.0e67048686f45p-5, 0x1.2b72bfb2579b1p-5, -0x1.7ca5955fd8921p+0}, 
        {0x1.ccccccccccccdp+1, 0x1.f0a3d70a3d70ap+1, 0x1.099e0e736049fp-7, -0x1.30e9f59b0d588p-5, -0x1.228f12acddd8fp-3, 0x1.5a1f9a6d7dd1cp-1}, 
      }}, 
      0x1.93af3f823ac3ap-1, -0x1.d0a59ebbc09ffp+1
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_h_o() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.e904249e315d3p-2, 0x1.f3f2563ed4c84p-2, 0x1.fdea79672367cp-2, 0x1.037c10bc0f5cfp-1, 0x1.07922202bf321p-1, 0x1.0b3b4678650bdp-1, 0x1.0e7c04be314fcp-1, 0x1.1159f63b99ba6p-1, 0x1.13db0c9ccf95p-1, 0x1.16049ae59b4acp-1, 0x1.17daeef8c91f1p-1, 0x1.1961a01079b29p-1, 0x1.1a9c2f290adf9p-1, 0x1.1b8e82b412addp-1, 0x1.1c3d02121891fp-1, 0x1.1cac5a9beb5f8p-1, 0x1.1ce11fdb80772p-1, 0x1.1cdf781343302p-1, 0x1.1caaf2c34e3edp-1, 0x1.1c468f49348a5p-1, 0x1.1bb2eb6bbc19p-1, 0x1.1af4e74867932p-1, 0x1.1a0f4905c389bp-1, 0x1.1904aa8f57b16p-1, 0x1.17d78dda16655p-1, 0x1.168a66f66d5e3p-1, 0x1.151f9c79a3226p-1, 0x1.13998099c6cfbp-1, 0x1.11fa47a79d51p-1, 0x1.104400517894cp-1, 0x1.0e788fa29299ep-1, 0x1.0c99b106a549bp-1, 0x1.0aa8f970bad3ep-1, 0x1.08a7dcf5c9ep-1, 0x1.0697b5da8e40ap-1, 0x1.0479cbcd7f657p-1, 0x1.024f59b9ca198p-1, 0x1.001991359c0b3p-1, 0x1.fbb33606e6783p-2, 0x1.f7212a8cf792dp-2, 0x1.f27f20f0a93p-2, 0x1.edcf17616029ep-2, 0x1.e912eb2a8717ap-2, 0x1.e44c49fb3e1c8p-2, 0x1.df7cbf10a6ea1p-2, 0x1.daa5af2730389p-2, 0x1.d5c85d171676dp-2, 0x1.d0e5ed9cb90afp-2, 0x1.cbff6b116d047p-2, 0x1.c715c93533f78p-2, 0x1.c229e81b5a2f3p-2, 0x1.bd3c97fe27eb1p-2, 0x1.b84e9b623dc5cp-2, 0x1.b360aa5c6ad6ap-2, 0x1.ae73748306d25p-2, 0x1.a987a2a7969fap-2, 0x1.a49dd7d3001acp-2, 0x1.9fb6b18560c8ap-2, 0x1.9ad2c74490c8ep-2, 0x1.95f2a9e84b348p-2, 0x1.9116e13c4992p-2, 0x1.8c3fecc5ec3d6p-2, 0x1.8770d0d857d0cp-2, 0x1.82a5943e5ddafp-2, 0x1.7de034d27a4e5p-2, 0x1.7920fca9b20d7p-2, 0x1.74682eddb973ep-2, 0x1.6fb6087607c0ap-2, 0x1.6b0ac1546ad3fp-2, 0x1.66668d0ba3945p-2, 0x1.61c99b9817221p-2, 0x1.5d3419f15c68bp-2, 0x1.58a63282705f7p-2, 0x1.54200d570dcd1p-2, 0x1.4fa1d03d31de5p-2, 0x1.4b2b9ebc65051p-2, 0x1.46bd99ffd0d28p-2, 0x1.4257e0b66de7p-2, 0x1.3dfa8edaf4ae8p-2, 0x1.39a5bdb572e01p-2, 0x1.355983bfd7daep-2, 0x1.3115f4bc43125p-2, 0x1.2cdb21bba8572p-2, 0x1.28a9196583165p-2, 0x1.247fe82a06cdap-2, 0x1.205f988f65e59p-2, 0x1.1c48337b45fb2p-2, 0x1.1839c08c26de5p-2, 0x1.14344659fe4dfp-2, 0x1.1037ca95ffe9ep-2, 0x1.0c44529d8636fp-2, 0x1.0859e33ea5566p-2, 0x1.0478811395783p-2, 0x1.00a0307a96f9fp-2, 0x1.f9a1eb5a2a811p-3, 0x1.f215a962ae4abp-3, 0x1.ea9ba2c161cbbp-3, 0x1.e333dea0b8e78p-3, 0x1.dbde63822fd69p-3, 0x1.d49b3723ed07ap-3, 0x1.cd6a5e38e5da6p-3, 0x1.c64bdc7ce9628p-3, 0x1.bf3fb4470cc8cp-3, 0x1.b845e6b6bd211p-3, 0x1.b15e736f27c63p-3, 0x1.aa8958b4d8955p-3, 0x1.a3c6933554e73p-3, 0x1.9d161e4ca5f97p-3, 0x1.9677f3cfca768p-3, 0x1.8fec0c47646d1p-3, 0x1.89725ef5f2496p-3, 0x1.830ae1ef7edbap-3, 0x1.7cb58a35d60edp-3, 0x1.76724bcd396edp-3, 0x1.704119f5f1226p-3, 0x1.6a21e6c496ab6p-3, 0x1.6414a46af91a9p-3, 0x1.5e19448850bb6p-3, 0x1.582fb574c1bcep-3, 0x1.5257e9f6b487dp-3, 0x1.4c91d1238560ep-3, 0x1.46dd5aa2c1497p-3, 0x1.413a75ef7c7a8p-3, 0x1.3ba911f9575a1p-3, 0x1.36291e006ba2cp-3, 0x1.30ba88b918dep-3, 0x1.2b5d40b368b6cp-3, 0x1.26113476457b5p-3, 0x1.20d651fa8a07ap-3, 0x1.1bac872ea39a4p-3, 0x1.1693c1a3481ap-3, 0x1.118bee8c5d6bcp-3, 0x1.0c94fab2b630ep-3, 0x1.07aed29af0cbep-3, 0x1.02d961cb06e5ep-3, 0x1.fc2927e7252d6p-4, 0x1.f2c0a7c1733cfp-4, 0x1.e97916e6c856p-4, 0x1.e052492665dc6p-4, 0x1.d74c0bd50e1b7p-4, 0x1.ce663cbc8d97ap-4, 0x1.c5a09d7d69b4fp-4, 0x1.bcfb00df1fc0bp-4, 0x1.b475334341098p-4, 0x1.ac0effd04c73fp-4, 0x1.a3c8306d17524p-4, 0x1.9bb24f1373666p-4, 0x1.93a95c0715398p-4, 0x1.8bbef4b73e177p-4, 0x1.83f2ded01dd1ep-4, 0x1.7c44def279d1cp-4, 0x1.74b4b96ff99dep-4, 0x1.6d4231aac3bf7p-4, 0x1.65ed0a7265ddap-4, 0x1.5eb505896843p-4, 0x1.5799e4b33f505p-4, 0x1.509b6898ae3fap-4, 0x1.49b952338daa2p-4, 0x1.42f35eb430902p-4, 0x1.3c494f4ceef55p-4, 0x1.35bae1ddae7adp-4, 0x1.2f47d49822247p-4, 0x1.28efe3dc89be5p-4, 0x1.22b2cd68b5b72p-4, 0x1.1c904de398df3p-4, 0x1.1688208933d74p-4, 0x1.109a01995b7b3p-4, 0x1.0ac5ac2bb97f3p-4, 0x1.050adb28a8f47p-4, 0x1.fed291cff254ep-5, 0x1.f3c160164f90fp-5, 0x1.e8e194dc41252p-5, 0x1.de32a39b46443p-5, 0x1.d3b3ff57a1db9p-5, 0x1.c9651ae147acfp-5, 0x1.bf456845fefebp-5, 0x1.b55459c0df60ep-5, 0x1.ab916101f9a32p-5, 0x1.a1fbefa254463p-5, 0x1.989376e543fc1p-5, 0x1.8f57681835c17p-5, 0x1.86473494334d5p-5, 0x1.7d624dac0843cp-5, 0x1.74a824518d946p-5, 0x1.6c18295501f4ep-5, 0x1.63b1ceff38eebp-5, 0x1.5b74868797ca8p-5, 0x1.535fc1acc7ecap-5, 0x1.4b72f2bd17ab8p-5, 0x1.43ad8c5447c27p-5, 0x1.3c0efe638cffep-5, 0x1.3496bf33b5a0ep-5, 0x1.2d44411912f2dp-5, 0x1.2616f828fd1fcp-5, 0x1.1f0e590e4b109p-5, 0x1.1829d6e09cd33p-5, 0x1.1168e9a583bbdp-5, 0x1.0acb0723dc42fp-5, 0x1.044fa5c95fdf4p-5, 0x1.fbec79ed31398p-6, 0x1.ef7c8d1a15e15p-6, 0x1.e34e75a305829p-6, 0x1.d7612c9350fe4p-6, 0x1.cbb39da1e36eep-6, 0x1.c044cbd23e20ep-6, 0x1.b513ae022908cp-6, 0x1.aa1f41f660f2bp-6, 0x1.9f668235f25acp-6, 0x1.94e8742190b64p-6, 0x1.8aa418a8f75aap-6, 0x1.809877abee414p-6, 0x1.76c496ac20327p-6, 0x1.6d277f6c3e5f1p-6, 0x1.63c046aacd2fdp-6, 0x1.5a8df41aa4bc2p-6, 0x1.518f9cfd74af7p-6, 0x1.48c4569156653p-6, 0x1.402b38e74b63cp-6, 0x1.37c35209f943dp-6, 0x1.2f8be4ce1f42ap-6, 0x1.2783ec2e1d111p-6, 0x1.1faa97e8c758bp-6, 0x1.17ff0dd9b5d96p-6, 0x1.108076c4bd1bp-6, 0x1.092dfe488ac47p-6, 0x1.0206d30ce7f6bp-6, 0x1.f6144516a4fffp-7, 0x1.e86e55ed778eap-7, 0x1.db1a32b3c84c9p-7, 0x1.ce16558a232c7p-7, 0x1.c1613724cca77p-7, 0x1.b4f955cabc1b3p-7, 0x1.a8dd36d756d74p-7, 0x1.9d0b615c9bf1ap-7, 0x1.9182623ad6bedp-7, 0x1.8640d178aea6dp-7, 0x1.7b454682f1aeep-7, 0x1.708e601110855p-7, 0x1.661ac15126b71p-7, 0x1.5be91204fd674p-7, 0x1.51f80105ef472p-7, 0x1.4846409800602p-7, 0x1.3ed2888cc85fdp-7, 0x1.359b93e9a8298p-7, 0x1.2ca026053e352p-7, 0x1.23df02074189cp-7, 0x1.1b56f55216409p-7, 0x1.1306ce7b0dc42p-7, 0x1.0aed6415b3933p-7, 0x1.03098954cb723p-7, 0x1.f6b4357245807p-8, 0x1.e7bbff9f22425p-8, 0x1.d9283adfec647p-8, 0x1.caf6b88e2430cp-8, 0x1.bd25578bc7dc7p-8, 0x1.afb1fe9814b58p-8, 0x1.a29a9cc73056cp-8, 0x1.95dd29aa115a5p-8, 0x1.8977a47993708p-8, 0x1.7d68180cec92ap-8, 0x1.71ac907a8b132p-8, 0x1.66432b8fe6fc9p-8, 0x1.5b2a073b385cep-8, 0x1.505f4e54c531fp-8, 0x1.45e13190b6301p-8, 0x1.3badea30163c5p-8, 0x1.31c3b82571dfdp-8, 0x1.2820e66cf82e9p-8, 0x1.1ec3c43e55476p-8, 0x1.15aaa954f6abcp-8, 0x1.0cd3f8d435bb1p-8, 0x1.043e1478b696fp-8, 0x1.f7ced8748e86bp-9, 0x1.e79cf417c901p-9, 0x1.d7e373608b52bp-9, 0x1.c89f60eb139c1p-9, 0x1.b9cdce7875d27p-9, 0x1.ab6bea532ef76p-9, 0x1.9d76e612a9bfp-9, 0x1.8febf5f678b8ep-9, 0x1.82c860bc458f6p-9, 0x1.7609cfcb0d54bp-9, 0x1.69ad5abeda44p-9, 0x1.5db11ccded83ap-9, 0x1.5211013b3b634p-9, 0x1.46cc33b4df31ep-9, 0x1.3bdfca70f2ad7p-9, 0x1.31496e1c860cfp-9, 0x1.2706e30996636p-9, 0x1.1d15d5bb2c14ep-9, 0x1.137453803b0e6p-9, 0x1.0a1fb571ccca4p-9, 0x1.011660bab2124p-9, 0x1.f0aa37b86f655p-10, 0x1.dfb9e0e5f47c5p-10, 0x1.cf51b0a377001p-10, 0x1.bf6fd676292f2p-10, 0x1.b010cc2f07543p-10, 0x1.a130abd3eb8c4p-10, 0x1.92cbf3e9d59e2p-10, 0x1.84def08ea3035p-10, 0x1.7766cdbe54db1p-10, 0x1.6a5fb7847409ap-10, 0x1.5dc682182b778p-10, 0x1.519808c650a77p-10, 0x1.45d132b69cd85p-10, 0x1.3a6ef94c5a97p-10, 0x1.2f6e68ca19fdap-10, 0x1.24cca40c4164cp-10, 0x1.1a86b7292c7bp-10, 0x1.109a37f77fcap-10, 0x1.0704305be6f23p-10, 0x1.fb843b20b868p-11, 0x1.e9a2f9ac8b89p-11, 0x1.d86700208f133p-11, 0x1.c7bbf0bbb402p-11, 0x1.b7a45b9dbc80ap-11, 0x1.a81e52971f7c4p-11, 0x1.99229e4625285p-11, 0x1.8aadeaecc6cdcp-11, 0x1.7cbbf782506b7p-11, 0x1.6f489d08421b8p-11, 0x1.624fda69362dfp-11, 0x1.55cdc3da00ac1p-11, 0x1.49be8c2b0f40fp-11, 0x1.3e1e7cfe4d335p-11, 0x1.32ea0b056e2bbp-11, 0x1.281d7c298f55p-11, 0x1.1db58591f10f5p-11, 0x1.13aed43eccd12p-11, 0x1.0a065539e7288p-11, 0x1.00b6de3d01945p-11, 0x1.ef83c7ab3baf5p-12, 0x1.de40a2c72c9a1p-12, 0x1.cda0fbdbf7d9ap-12, 0x1.bd9f221dd39bap-12, 0x1.ae3585d0fff93p-12, 0x1.9f5ec2a2d299bp-12, 0x1.9115a2759bbafp-12, 0x1.8353a41e5e2a5p-12, 0x1.7617f7f66187p-12, 0x1.6959c5fbc4474p-12, 0x1.5d15cb06e8d52p-12, 0x1.51478b278786cp-12, 0x1.45ea8417ad072p-12, 0x1.3afb0aa4d77ffp-12, 0x1.3074d28a471b1p-12, 0x1.2653d4df08037p-12, 0x1.1c945cc6484ddp-12, 0x1.1332f04931b11p-12, 0x1.0a2c26c88bcddp-12, 0x1.017fecf85b8bdp-12, 0x1.f23fe956ba023p-13, 0x1.e22918739e7d8p-13, 0x1.d2ad2f9e9e6d2p-13, 0x1.c3c7a9fb456dp-13, 0x1.b5715d4143929p-13, 0x1.a7a5158d6209p-13, 0x1.9a5eb6409dc4dp-13, 0x1.8d97e3f431fd6p-13, 0x1.814c127b2f451p-13, 0x1.75764506b5386p-13, 0x1.6a1251fc014e8p-13, 0x1.5f1b5b1a71308p-13, 0x1.548d3c1ac7bb4p-13, 0x1.4a63aca6a0295p-13, 0x1.409c935c560cbp-13, 0x1.372dee57f7cep-13, 0x1.2e1a9c3eeff95p-13, 0x1.255c51fc04a98p-13, 0x1.1cefae0b8d41bp-13, 0x1.14d11288bf7b3p-13, 0x1.0cfdb341b4e45p-13, 0x1.0576248feb0e9p-13, 0x1.fc566fc7ef42cp-14, 0x1.ee4cb80f1cb72p-14, 0x1.e0c0a089a0d34p-14, 0x1.d3b0c7645085dp-14, 0x1.c70ca0a67dc9dp-14, 0x1.badb29b9b846ap-14, 0x1.af112d6b9bd49p-14, 0x1.a3ade5825449ap-14, 0x1.98a9c40582a41p-14, 0x1.8e0092f6f44fdp-14, 0x1.83afd0806c335p-14, 0x1.79b2c189a6518p-14, 0x1.7005961a92128p-14, 0x1.66a4a002e6d0dp-14, 0x1.5d8c6036281dbp-14, 0x1.54b97a3f09aa8p-14, 0x1.4c28a93a16505p-14, 0x1.43d5dd2a486acp-14, 0x1.3bcdc1bc98f6bp-14, 0x1.33e51f8613bd9p-14, 0x1.2c3fc33ee18acp-14, 0x1.24ce442558acdp-14, 0x1.1d8e6ca4b0af3p-14, 0x1.167e23699067ap-14, 0x1.0f9e833906085p-14, 0x1.08e33af32f66ap-14, 0x1.025232b80cfcp-14, 0x1.f7d29a277bac1p-15, 0x1.eb4bae7b1b8bbp-15, 0x1.df0b46b9a8016p-15, 0x1.d30e80e86485ap-15, 0x1.c751f83ad1e4fp-15, 0x1.bbcfdf3e33ccap-15, 0x1.b08e75929f538p-15, 0x1.a5821c88dea56p-15, 0x1.9aaaab4d235c6p-15, 0x1.9005dedce06fbp-15, 0x1.859744b72adfap-15, 0x1.7b4d6f899a57bp-15, 0x1.7135560a11b4ap-15, 0x1.6744e3f9031eap-15, 0x1.5d81d32a8f7c8p-15, 0x1.53e390189d27cp-15, 0x1.4a6acd910696bp-15, 0x1.41160819e002ap-15, 0x1.37e3d86d47e49p-15, 0x1.2ed2ee7a8c201p-15, 0x1.25e211c5ac988p-15, 0x1.1d104350a7c1dp-15, 0x1.146aebf24c414p-15, 0x1.0bc4d4f8728e3p-15, 0x1.03491eb2d46d2p-15, 0x1.f5d0a0e0cb241p-16, 0x1.e58373c79b5e3p-16, 0x1.d4ee4adcdbf7p-16, 0x1.c4c636cddf5cbp-16, 0x1.b4aef3149fc27p-16, 0x1.a50558e3de1e6p-16, 0x1.956a56af860b6p-16, 0x1.861d31561e1d7p-16, 0x1.76bbae89263eap-16, 0x1.67a9441844a0fp-16, 0x1.58c02e915dfc6p-16, 0x1.4a00f68e00a82p-16, 0x1.3b6cfce96cd25p-16, 0x1.2d0a6f0859e03p-16, 0x1.1ec2b39633efbp-16, 0x1.109e0c4fe139dp-16, 0x1.02aa6f5317201p-16, 0x1.e9bf9f2c2c9c9p-17, 0x1.ce779a0975e7p-17, 0x1.b3836e790c5p-17, 0x1.98d6d4511ad04p-17, 0x1.7e7535a8d528fp-17, 0x1.6465c2a93d54cp-17, 0x1.4aa427016cca7p-17, 0x1.314509552945ap-17, 0x1.17f29c5700bc6p-17, 0x1.fe63414d01e87p-18, 0x1.cd52466700c4ep-18, 0x1.9cdb02087cc93p-18, 0x1.6d001f37713b8p-18, 0x1.3dc121f6b3838p-18, 0x1.0f11d3061e4ffp-18, 0x1.c23bbe0ee71c7p-19, 0x1.6774fb2603ddbp-19, 0x1.0dcb3878c81f2p-19, 0x1.6ffd00be072d8p-20, 0x1.7a368b20123bfp-21, 0x1.20b7820294d0bp-24, -0x1.2d41958995e0ep-21, -0x1.3ddd3e50d967p-20, -0x1.e1c24e7b80634p-20, -0x1.418af271ea657p-19, -0x1.91003d6d6b0f7p-19, -0x1.df16fbb2ee3efp-19, -0x1.15f42ef5dceffp-18, -0x1.3bb1b28d6bc65p-18, -0x1.5ffbd7e24d6edp-18, -0x1.8540b645b1226p-18, -0x1.a916c44804bb5p-18, -0x1.cc3cbe26f7ec5p-18, -0x1.eeb9e7c898ec1p-18, -0x1.08500c51ad89fp-17, -0x1.18db6dd3e236cp-17, -0x1.291ace457757p-17, -0x1.39056faf6447ep-17, -0x1.489adaf480692p-17, -0x1.57dae9ce07339p-17, -0x1.66c57ff53e929p-17, -0x1.755a8f5a59a14p-17, -0x1.839c5b65bac3cp-17, -0x1.91797da64227p-17, -0x1.9eefd74469e54p-17, -0x1.ac529cc01f9c7p-17, -0x1.b943937533d41p-17, -0x1.c5d4ee836414fp-17, -0x1.d21356ce7fea3p-17, -0x1.de174e0e7003bp-17, -0x1.e99371a6d1559p-17, -0x1.f4d1c42799066p-17, -0x1.ffbd667686637p-17, -0x1.052a38bf559a4p-16, -0x1.0a4be24e42223p-16, -0x1.0f45eb8905c9ep-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.12ff3c5351d6ep+0, -0x1.139ead049fb6p+0, -0x1.140aac7569decp+0, -0x1.1444270f631d5p+0, -0x1.144c8d2980f37p+0, -0x1.1425b29cc1e28p+0, -0x1.13d16ed028f1bp+0, -0x1.1351699eb79ccp+0, -0x1.12a73370db83ap+0, -0x1.11d47b0e0317fp+0, -0x1.10db2b4b6af86p+0, -0x1.0fbd5d70a86f8p+0, -0x1.0e7d3163017ecp+0, -0x1.0d1ca9072a4bfp+0, -0x1.0b9d98566ec59p+0, -0x1.0a01ab0d55a2p+0, -0x1.084a7796b113ap+0, -0x1.067993234a4efp+0, -0x1.04909d7c09a4bp+0, -0x1.029141f4b168p+0, -0x1.007d72a614aabp+0, -0x1.fcad7996817e3p-1, -0x1.f83cc6862e7c4p-1, -0x1.f3aba7e61e8d5p-1, -0x1.eefcd8dc33472p-1, -0x1.ea32ef0ed5064p-1, -0x1.e55058f53448bp-1, -0x1.e0575fa238e4dp-1, -0x1.db4a2b7a69acep-1, -0x1.d62aca4d46ff1p-1, -0x1.d0fb34aa7b8ebp-1, -0x1.cbbd50cd6e4e9p-1, -0x1.c672f2ba96911p-1, -0x1.c11dda70c4ce7p-1, -0x1.bbbfb18d3c458p-1, -0x1.b65a098033127p-1, -0x1.b0ee5ac9c87bp-1, -0x1.ab7e0528ac7c8p-1, -0x1.a60a5063cc3e9p-1, -0x1.a0946d6f0e26p-1, -0x1.9b1d77dd8f78dp-1, -0x1.95a677b35e218p-1, -0x1.903063b20f4c1p-1, -0x1.8abc23bcb4e4dp-1, -0x1.854a935fe3781p-1, -0x1.7fdc83aa4d60dp-1, -0x1.7a72bc441a5bfp-1, -0x1.750dfb9a4c1e7p-1, -0x1.6faef64db8e23p-1, -0x1.6a56564eac9b2p-1, -0x1.6504b9f58964dp-1, -0x1.5fbab387870bbp-1, -0x1.5a78c948ba24p-1, -0x1.553f75fd40f3p-1, -0x1.500f29dbcae09p-1, -0x1.4ae84ba4110f7p-1, -0x1.45cb39b14eep-1, -0x1.40b84ae4a7587p-1, -0x1.3bafcf5739c15p-1, -0x1.36b210d211f2ap-1, -0x1.31bf5327b39b4p-1, -0x1.2cd7d45008607p-1, -0x1.27fb81fb540d5p-1, -0x1.232afc408729dp-1, -0x1.1e6653075a7bcp-1, -0x1.19adb2297643cp-1, -0x1.1501412b3d792p-1, -0x1.1061236949654p-1, -0x1.0bcd784bc98efp-1, -0x1.07465b7e905abp-1, -0x1.02cbe52e451a8p-1, -0x1.fcbc5493bd89ep-2, -0x1.f3fa796cc54ep-2, -0x1.eb52571a0b6a8p-2, -0x1.e2c4068a8c5bp-2, -0x1.da4f9bb64e71ep-2, -0x1.d1f525db3986cp-2, -0x1.c9b4afa9a0753p-2, -0x1.c18e3f741a1cep-2, -0x1.b981d75283b82p-2, -0x1.b18f7552beff5p-2, -0x1.a9b7139919c11p-2, -0x1.a1f8a8bbc9ec2p-2, -0x1.9a5427dcef527p-2, -0x1.92c980ffd5d8bp-2, -0x1.8b58a149d086ep-2, -0x1.8401734365f6ap-2, -0x1.7cc3df168aed5p-2, -0x1.759fcac0ec52ap-2, -0x1.6e951a52bb5e5p-2, -0x1.67a3afef83c7ap-2, -0x1.60cb6c0fdbb38p-2, -0x1.5a0c2d775a5ep-2, -0x1.5365d15fc1507p-2, -0x1.4cd8333601b79p-2, -0x1.46632d3b71e5ep-2, -0x1.400697e4369eep-2, -0x1.39c24a394b391p-2, -0x1.339619cea19eep-2, -0x1.2d81dad0acd8ap-2, -0x1.27856011f695ep-2, -0x1.21a07b1ce2c1ep-2, -0x1.1bd2fc4ce99afp-2, -0x1.161cb2dd4e9fap-2, -0x1.107d6d098583dp-2, -0x1.0af4f8136a486p-2, -0x1.0583207acddfbp-2, -0x1.0027b1d9647b5p-2, -0x1.f5c4ee7dbc4e4p-3, -0x1.eb66760dc0927p-3, -0x1.e1338e0e61014p-3, -0x1.d72bc92492772p-3, -0x1.cd4eb90ca1b5ap-3, -0x1.c39beeaa75b2fp-3, -0x1.ba12fa24eb0d2p-3, -0x1.b0b36ae1b0fd7p-3, -0x1.a77ccfdacb4d1p-3, -0x1.9e6eb6bfb35bp-3, -0x1.9588ae9812bf8p-3, -0x1.8cca43918ea44p-3, -0x1.8433030546f23p-3, -0x1.7bc2799f98d0cp-3, -0x1.7378338f61acbp-3, -0x1.6b53bdfb67a36p-3, -0x1.6354a44c10237p-3, -0x1.5b7a72df23aa4p-3, -0x1.53c4b5f3166dep-3, -0x1.4c32fa3cfee9ep-3, -0x1.44c4cbcdaad73p-3, -0x1.3d79b786ac1d6p-3, -0x1.36514a634c83fp-3, -0x1.2f4b119fdb8cap-3, -0x1.28669ac8e0f6p-3, -0x1.21a373ce1dda4p-3, -0x1.1b012af611f14p-3, -0x1.147f4ee2b6c9bp-3, -0x1.0e1d6eb55fc8ep-3, -0x1.07db19bab97bp-3, -0x1.01b7dff9dd624p-3, -0x1.f766a1dd77e52p-4, -0x1.eb99ffb7d5fa6p-4, -0x1.e008f6fb450aep-4, -0x1.d4b2acbc28419p-4, -0x1.c996458f13149p-4, -0x1.beb2e6538238p-4, -0x1.b407b6046c126p-4, -0x1.a99d19238bda6p-4, -0x1.9f5f85466b456p-4, -0x1.955781768ce19p-4, -0x1.8b84398e648bep-4, -0x1.81e4da6a51a69p-4, -0x1.7878931e4062dp-4, -0x1.6f3e93fae20fep-4, -0x1.66360ef82074cp-4, -0x1.5d5e37df4da84p-4, -0x1.54b644080bc27p-4, -0x1.4c3d6a929eff6p-4, -0x1.43f2e3f35c4c5p-4, -0x1.3bd5ec01e8188p-4, -0x1.33e5bdd785f5fp-4, -0x1.2c219832e44d5p-4, -0x1.2488bb26dff39p-4, -0x1.1d1a68675b0abp-4, -0x1.15d5e3da6718p-4, -0x1.0eba733b24156p-4, -0x1.07c75df007b37p-4, -0x1.00fbed7b4d549p-4, -0x1.f4aedab6084c4p-5, -0x1.e7b25602c0493p-5, -0x1.db00eac74984bp-5, -0x1.ce993c60ba9e8p-5, -0x1.c279f12ea8f84p-5, -0x1.b6a1b3b98da1dp-5, -0x1.ab0f3297c99a4p-5, -0x1.9fc12090f9f44p-5, -0x1.94b6341083607p-5, -0x1.89ed280b1273p-5, -0x1.7f64bb4430f7p-5, -0x1.751bb08b9445ap-5, -0x1.6b10ceb5b09d4p-5, -0x1.6142e0e395fbcp-5, -0x1.57b0b633d0d4p-5, -0x1.4e5921eb8d709p-5, -0x1.453afaf3e3f79p-5, -0x1.3c551c71d6d01p-5, -0x1.33a66633183ffp-5, -0x1.2b2dbb6243b2dp-5, -0x1.22ea037589dap-5, -0x1.1ada29bf2b5f2p-5, -0x1.12fd1dd598ec1p-5, -0x1.0b51d29659095p-5, -0x1.03d74019ffb6ep-5, -0x1.f918c31aa4ceep-6, -0x1.eae06c26eff51p-6, -0x1.dd038206f37cp-6, -0x1.cf80131c1768fp-6, -0x1.c2543575b8c0bp-6, -0x1.b57e0749f5c76p-6, -0x1.a8fbace18d42ep-6, -0x1.9ccb551b7f3c1p-6, -0x1.90eb33c94dd58p-6, -0x1.8559860d21291p-6, -0x1.7a148e28b897cp-6, -0x1.6f1a9bcbaed68p-6, -0x1.6469fdd588c28p-6, -0x1.5a011015a3682p-6, -0x1.4fde336423e82p-6, -0x1.45ffd333ae709p-6, -0x1.3c645d88bc41bp-6, -0x1.330a4a27c206fp-6, -0x1.29f018e20ed24p-6, -0x1.21144df70209bp-6, -0x1.1875760338d06p-6, -0x1.10122783f3838p-6, -0x1.07e8f99a734edp-6, -0x1.fff11ddd89d2p-7, -0x1.f07f1eec44879p-7, -0x1.e17953d494b9ap-7, -0x1.d2dd223f1c081p-7, -0x1.c4a80e8f85fa1p-7, -0x1.b6d7939aa67d5p-7, -0x1.a969427376b39p-7, -0x1.9c5aba5b4c6ap-7, -0x1.8fa9a5399a43cp-7, -0x1.8353b92942ee2p-7, -0x1.7756b84306428p-7, -0x1.6bb071ad3a2f6p-7, -0x1.605ebb3f785abp-7, -0x1.555f7dbc70222p-7, -0x1.4ab0a823fba97p-7, -0x1.405035ddcec03p-7, -0x1.363c2d389b2ep-7, -0x1.2c729f4ce476dp-7, -0x1.22f1a676e5847p-7, -0x1.19b76c147f481p-7, -0x1.10c21d0bbbe01p-7, -0x1.080ff493a3486p-7, -0x1.ff3e6dead1476p-8, -0x1.eedc6546fa2b1p-8, -0x1.def6792398034p-8, -0x1.cf896dd50e004p-8, -0x1.c09216acf1a8ap-8, -0x1.b20d36da86125p-8, -0x1.a3f82cbd45a1ep-8, -0x1.964f9998240c7p-8, -0x1.8910b86b2f7e3p-8, -0x1.7c38b54a4b914p-8, -0x1.6fc4c9fb3729cp-8, -0x1.63b242cc7f3fdp-8, -0x1.57fe76bac3822p-8, -0x1.4ca6d18236bbap-8, -0x1.41a8ce9c3ee69p-8, -0x1.3701f6061a938p-8, -0x1.2cafddf3ebd53p-8, -0x1.22b02c4154754p-8, -0x1.190094b500325p-8, -0x1.0f9ed930ece18p-8, -0x1.0688c8cd80bf5p-8, -0x1.fb787cd9fa501p-9, -0x1.ea6e4b8399949p-9, -0x1.d9eeeadfc822ap-9, -0x1.c9f65ee74e864p-9, -0x1.ba80c8464dccp-9, -0x1.ab8a5d450bf69p-9, -0x1.9d0f6d3eb7405p-9, -0x1.8f0c5ee65031fp-9, -0x1.817dad530d468p-9, -0x1.745ff0f4cc1cdp-9, -0x1.67afcec5c6171p-9, -0x1.5b6a08058043ap-9, -0x1.4f8b68e7780cep-9, -0x1.4410ea290a9c4p-9, -0x1.38f78833b8d91p-9, -0x1.2e3c45a338fa8p-9, -0x1.23dc4e58d6888p-9, -0x1.19d4dace5e438p-9, -0x1.1023315e589d3p-9, -0x1.06c4b3e22d99dp-9, -0x1.fb6d9a875f70fp-10, -0x1.e9edf2f862e09p-10, -0x1.d904a6ae2aa2dp-10, -0x1.c8afeab1a1525p-10, -0x1.b8e82a51c1a8p-10, -0x1.a9aa5013b6e67p-10, -0x1.9af0bf1970323p-10, -0x1.8cb87bd775517p-10, -0x1.7efcfb4604e6ep-10, -0x1.71ba338c87719p-10, -0x1.64ec65e584365p-10, -0x1.588f7d7ce18d2p-10, -0x1.4ca023d405c79p-10, -0x1.411a70842be56p-10, -0x1.35fb2440844e4p-10, -0x1.2b3f3aa64f6e8p-10, -0x1.20e2231bd8236p-10, -0x1.16e20668a3f2p-10, -0x1.0d3b497e7e39p-10, -0x1.03eafd7f372a6p-10, -0x1.f5dc652d08667p-11, -0x1.e4842d1173502p-11, -0x1.d3c7e50385d89p-11, -0x1.c3a1ff5b91377p-11, -0x1.b40dce971853cp-11, -0x1.a505f075b334ap-11, -0x1.9685ab4fe528p-11, -0x1.88884d19fe3bbp-11, -0x1.7b0949d0d781fp-11, -0x1.6e0438955c152p-11, -0x1.6174bd4bfacb7p-11, -0x1.55576a2b8fc2dp-11, -0x1.49a6b2721e593p-11, -0x1.3e6013682c28bp-11, -0x1.337f5be0b0288p-11, -0x1.2900f62b469e7p-11, -0x1.1ee3e96f93ea8p-11, -0x1.151f452d0d1d2p-11, -0x1.0bb45e0dfdd53p-11, -0x1.029b08922c33dp-11, -0x1.f3aa7f4f5ae06p-12, -0x1.e2bc7ce00949fp-12, -0x1.d2665d69b1c0ep-12, -0x1.c2a293803b2dfp-12, -0x1.b36bc1efa7aaep-12, -0x1.a4bcb67aef1efp-12, -0x1.96906849b4bb8p-12, -0x1.88e1fc8f2ff63p-12, -0x1.7bacdcfc81457p-12, -0x1.6eec38fc15fb9p-12, -0x1.629be200e0a8bp-12, -0x1.56b7a026e33d9p-12, -0x1.4b3b48041a5acp-12, -0x1.401cf3f4cc3b2p-12, -0x1.356ae75db7a3ap-12, -0x1.2b0f475f4fee7p-12, -0x1.210cc8a9a6c34p-12, -0x1.175fb8033d909p-12, -0x1.0e04e77448cc3p-12, -0x1.04f9271dea35ap-12, -0x1.f872d1b1a5173p-13, -0x1.e784650a61ab7p-13, -0x1.d724650e04ccbp-13, -0x1.c74a5a130c0b9p-13, -0x1.b7f2047d65831p-13, -0x1.a91652cc3bc4ep-13, -0x1.9ab20bc419d28p-13, -0x1.8cc190491ad6bp-13, -0x1.7f3fdaaea64fap-13, -0x1.722861f9a1f3cp-13, -0x1.65770ec0b1e6ep-13, -0x1.59286e342a35ap-13, -0x1.4d381fc43ce6ap-13, -0x1.419a029d87088p-13, -0x1.366577173278dp-13, -0x1.2b7c4baa9b5e4p-13, -0x1.20e3d73481c81p-13, -0x1.1699c9a5ac5d9p-13, -0x1.0c9a919fa01a9p-13, -0x1.02e36aa8bbed3p-13, -0x1.f2e4d4c13f2f7p-14, -0x1.e08861ea2f297p-14, -0x1.cead02056d208p-14, -0x1.bd4e217c00af8p-14, -0x1.ac66f9c4f4748p-14, -0x1.9bf36e747ca12p-14, -0x1.8bef85c08085p-14, -0x1.7c56c5efebcf3p-14, -0x1.6d271ce7c80fcp-14, -0x1.5e57a0453c0cfp-14, -0x1.4feaed961884cp-14, -0x1.41db09e686f5dp-14, -0x1.3424e84b13027p-14, -0x1.26c54ac080e72p-14, -0x1.19ba6e8815923p-14, -0x1.0d037dce2c79bp-14, -0x1.0094d612f0413p-14, -0x1.e8ea45166b05fp-15, -0x1.d13d66d4511b8p-15, -0x1.ba2127adce5e3p-15, -0x1.a38a10cb76f76p-15, -0x1.8d7a98e750887p-15, -0x1.77edc323a6815p-15, -0x1.62ddfc0019e52p-15, -0x1.4e495d6a4dab7p-15, -0x1.3a28766b7cbbap-15, -0x1.267c543b460aap-15, -0x1.134044d8d975ap-15, -0x1.00716b0f58debp-15, -0x1.dc1955e3e09bap-16, -0x1.b81ec132df0bcp-16, -0x1.94ede29f0af69p-16, -0x1.72819757e0ae1p-16, -0x1.50d1c2f2ae1bbp-16, -0x1.300f31a3bdc7bp-16, -0x1.0fac1dceff776p-16, -0x1.e04e6346f2432p-17, -0x1.a2a27a3db1ab1p-17, -0x1.664e372df550ep-17, -0x1.2b4b187d4c888p-17, -0x1.e32011a72bd4fp-18, -0x1.723b81b6313fdp-18, -0x1.03c83babcde9ap-18, -0x1.2f8f3ffe1d973p-19, -0x1.717d81321cfd6p-21, 0x1.c88496f628255p-21, 0x1.3bfdf62cd4f72p-19, 0x1.00ad05f09f9d3p-18, 0x1.619f25c6425b1p-18, 0x1.bf4600d15ecap-18, 0x1.0d9f9db15a3fcp-17, 0x1.3a8de2d92c4adp-17, 0x1.666d9ace59fc3p-17, 0x1.9136aae0dcc6bp-17, 0x1.bb09c69e8542ap-17, 0x1.e3cfc16dbbd5fp-17, 0x1.05c6d32df8444p-16, 0x1.192c2102cac2ep-16, 0x1.2c10abb3d9f2p-16, 0x1.3e78baace593fp-16, 0x1.5065a7ac57bfbp-16, 0x1.61d8c6ad111c5p-16, 0x1.72d36133cececp-16, 0x1.8356b4cba3be6p-16, 0x1.9363cb857cb17p-16, 0x1.a2eb3148d9c76p-16, 0x1.b220e30217d67p-16, 0x1.c0d3549a0186bp-16, 0x1.cf14429be697ep-16, 0x1.dcd44b8e1f173p-16, 0x1.ea66660d0a29cp-16, 0x1.f73ba7257037cp-16, 0x1.01c5dbd7a85ffp-15, 0x1.07ebe02e0066fp-15, 0x1.0dc2e831a86b6p-15, 0x1.13566709ffc75p-15, 0x1.18d2f887fcfd2p-15, 0x1.1e0b4018879dap-15, 0x1.23109d70e870bp-15, 0x1.27e31d1b63d9fp-15, 0x1.2c8300cdf8156p-15, 0x1.30f0f37573f63p-15, 0x1.35266118ab717p-15, 0x1.3937dc47f893fp-15, 0x1.3d11d6adbb3c3p-15, 0x1.40bbcbacb4e6dp-15, 0x1.44360d7e106f6p-15, 0x1.4780e9b3ba25ap-15, 0x1.4a9d4692bac81p-15, 0x1.4d8b78caf6699p-15, 0x1.504bcd420ffa7p-15, 0x1.52dee9315bc0cp-15, 0x1.553cfe95ae4e4p-15, 0x1.577e5c6f75f28p-15, 0x1.598da19bb1cc2p-15, 0x1.5b70d21ce48e9p-15, 0x1.5d29439f0c0f7p-15, 0x1.5eb781b84b365p-15, 0x1.601c09a62151ep-15, 0x1.6155b334272f6p-15, 0x1.626a71dd9a728p-15, 0x1.63550fe9ae3b1p-15, 0x1.64194854e1678p-15, 0x1.64a3df5650f4ap-15, 0x1.652a827b569e5p-15, 0x1.657602b959eccp-15, 0x1.659c616caf335p-15, 0x1.65a990d20b9c1p-15, 0x1.658a429094747p-15, 0x1.6547ced22b6d9p-15, 0x1.64e18408de0b2p-15, 0x1.6459257509adp-15, 0x1.63ae82e3422cp-15, 0x1.62e29749b1d45p-15, 0x1.61fd1a6aafa93p-15, 0x1.60e83024fb957p-15, 0x1.5fba92eca51c9p-15, 0x1.5e6e1af86047p-15, 0x1.5d04285d25bafp-15, 0x1.5b952915ef402p-15, 0x1.59d38ebaaf3c2p-15, 0x1.580ebb6c6b295p-15, 0x1.562e634051017p-15, 0x1.54324fb14ac6dp-15, 0x1.521b02a91897ep-15, 0x1.4fe90c0946657p-15, 0x1.4d9cfb9019de7p-15, 0x1.4b37911b078bap-15, 0x1.48b8dec8478e4p-15, 0x1.46214c3d8b5fep-15, 0x1.437337e344065p-15, 0x1.40bd410fcf639p-15, 0x1.3dd171ac74558p-15, 0x1.3adeeaeb0f5dep-15, 0x1.37d3a2db6fcd6p-15, 0x1.34b9c39879036p-15, 0x1.3188b79de43d6p-15, 0x1.2e43a13031b7ep-15, 0x1.2aeb5ebee26e8p-15, 0x1.278083bd65d5fp-15, 0x1.24042a04525c8p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0fd3dfc0017a5p-2, -0x1.1a7315195223ep-2, -0x1.24cb0e0d73532p-2, -0x1.2eda9a0627b01p-2, -0x1.38a0af303d3c5p-2, -0x1.421c6900798cbp-2, -0x1.4b4d06b7fc59ap-2, -0x1.5431e9e9ed3c7p-2, -0x1.5cca9503f2585p-2, -0x1.6516a9dac68c1p-2, -0x1.6d15e83bfe872p-2, -0x1.74c82c85e87f1p-2, -0x1.7c2d6e464ea25p-2, -0x1.8345bee0b553cp-2, -0x1.8a11483ca5026p-2, -0x1.90904b7c5d48fp-2, -0x1.96c31fbc4e229p-2, -0x1.9caa30db92243p-2, -0x1.a245fe4d97769p-2, -0x1.a79719f5173d1p-2, -0x1.ac9e270866d76p-2, -0x1.b15bd8ff29975p-2, -0x1.b5d0f2895cc2fp-2, -0x1.b9fe448faa884p-2, -0x1.bde4ad3cea60bp-2, -0x1.c1851710b6436p-2, -0x1.c4e077fae3d4bp-2, -0x1.c7f7d07fc2c96p-2, -0x1.cacc2ae4eb46cp-2, -0x1.cd5e9a6669aaep-2, -0x1.cfb03a741a007p-2, -0x1.d1c22df6f3589p-2, -0x1.d3959e9e146b6p-2, -0x1.d52bbc33537cfp-2, -0x1.d685bbf716971p-2, -0x1.d7a4d80341139p-2, -0x1.d88a4eb4f8e49p-2, -0x1.d937621d09fd7p-2, -0x1.d9ad5776b3f6cp-2, -0x1.d9ed76a4a76e9p-2, -0x1.d9f909b40092p-2, -0x1.d9d15c6505a21p-2, -0x1.d977bbb97d097p-2, -0x1.d8ed758861656p-2, -0x1.d833d816c8d82p-2, -0x1.d74c31b5d1071p-2, -0x1.d637d0655b6ddp-2, -0x1.d4f8017b7a5c4p-2, -0x1.d38e115057347p-2, -0x1.d1fb4aee74014p-2, -0x1.d040f7c71aa7ap-2, -0x1.ce605f6ad7647p-2, -0x1.cc5ac745d691fp-2, -0x1.ca317260091ddp-2, -0x1.c7e5a120e3b4fp-2, -0x1.c5789116a62c4p-2, -0x1.c2eb7cc0fb368p-2, -0x1.c03f9b5ee2c3fp-2, -0x1.bd7620bfbb829p-2, -0x1.ba903d1759e68p-2, -0x1.b78f1cd50d81p-2, -0x1.b473e87d772e4p-2, -0x1.b13fc4871ef37p-2, -0x1.adf3d139a6cdfp-2, -0x1.aa912a8f8c615p-2, -0x1.a718e81a5c0bdp-2, -0x1.a38c1ce942086p-2, -0x1.9febd771e0fc4p-2, -0x1.9c39217b5e1bap-2, -0x1.9875000b8810ap-2, -0x1.94a073560be45p-2, -0x1.90bc76ad9a00dp-2, -0x1.8cca0076f8398p-2, -0x1.88ca021ddb758p-2, -0x1.84bd680b88fep-2, -0x1.80a5199f20a6ap-2, -0x1.7c81f92786221p-2, -0x1.7854e3ded69b3p-2, -0x1.741eb1e75969ep-2, -0x1.6fe03649e0053p-2, -0x1.6b9a3ef57de27p-2, -0x1.674d94c0936b6p-2, -0x1.62fafb6b136a2p-2, -0x1.5ea331a1fcc2dp-2, -0x1.5a46f103f43f8p-2, -0x1.55e6ee26f5321p-2, -0x1.5183d89f07c5ap-2, -0x1.4d1e5b05f2707p-2, -0x1.48b71b03d8e43p-2, -0x1.444eb958bed09p-2, -0x1.3fe5d1e6daac2p-2, -0x1.3b7cfbbdb6522p-2, -0x1.3714c9260c4c8p-2, -0x1.32adc7ae565c8p-2, -0x1.2e48803806372p-2, -0x1.29e5770559f26p-2, -0x1.25852bc7c276dp-2, -0x1.212819aed55bdp-2, -0x1.1cceb777bc8cap-2, -0x1.1879777d1c3bfp-2, -0x1.1428c7c763b77p-2, -0x1.0fdd121d8524ap-2, -0x1.0b96bc1605a4dp-2, -0x1.0756272861ea3p-2, -0x1.031bb0bebe01ap-2, -0x1.fdcf648faaa5cp-3, -0x1.f5750292577p-3, -0x1.ed28dee2d9857p-3, -0x1.e4eb9555f8879p-3, -0x1.dcbdba5d5ccf2p-3, -0x1.d49fdb2d370fap-3, -0x1.cc927de2258d2p-3, -0x1.c49621a73abf3p-3, -0x1.bcab3edc2641ep-3, -0x1.b4d2473b6af82p-3, -0x1.ad0ba6009d191p-3, -0x1.a557c00ea03d3p-3, -0x1.9db6f415d4b52p-3, -0x1.96299aba32678p-3, -0x1.8eb006b94404bp-3, -0x1.874a850ffb864p-3, -0x1.7ff95d20572efp-3, -0x1.78bcd0d6d0e25p-3, -0x1.71951ccf90cbap-3, -0x1.6a82787b5c49p-3, -0x1.6385164435ad4p-3, -0x1.5c9d23b1b2ff2p-3, -0x1.55cac98cf93e3p-3, -0x1.4f0e2c045c2cbp-3, -0x1.48676ace9ffbap-3, -0x1.41d6a14dd4ed8p-3, -0x1.3b5be6b1c88a5p-3, -0x1.34f74e1a09c1ap-3, -0x1.2ea8e6b77d567p-3, -0x1.2870bbed78e84p-3, -0x1.224ed5726c84p-3, -0x1.1c4337700ca9fp-3, -0x1.164de2a2ff6bcp-3, -0x1.106ed47a0ae0fp-3, -0x1.0aa60734c08b6p-3, -0x1.04f37201a5abfp-3, -0x1.feae1237a8432p-4, -0x1.f3a17bd02b29ap-4, -0x1.e8c0fe22ead6ep-4, -0x1.de0c714a9307ap-4, -0x1.d383a85d5e29ap-4, -0x1.c92671a2fe6dap-4, -0x1.bef496c96493cp-4, -0x1.b4eddd187b515p-4, -0x1.ab1205a4c233bp-4, -0x1.a160cd80cf096p-4, -0x1.97d9ededbb45bp-4, -0x1.8e7d1c8a710eap-4, -0x1.854a0b81ec027p-4, -0x1.7c4069b8597a8p-4, -0x1.735fe2f728204p-4, -0x1.6aa82018018d6p-4, -0x1.6218c72eb1d5dp-4, -0x1.59b17bb1ff9f1p-4, -0x1.5171dea374113p-4, -0x1.49598eb6167fap-4, -0x1.416828741f4edp-4, -0x1.399d4663a1bcdp-4, -0x1.31f8812a31a69p-4, -0x1.2a796faf870c2p-4, -0x1.231fa73f22d93p-4, -0x1.1beabba8f6869p-4, -0x1.14da3f611408fp-4, -0x1.0dedc39e67484p-4, -0x1.0724d8787db29p-4, -0x1.007f0d045f156p-4, -0x1.f3f7dee0f519ep-5, -0x1.e7361a3f58968p-5, -0x1.dab7e586be64fp-5, -0x1.ce7c58e99b91dp-5, -0x1.c2828b9acdd78p-5, -0x1.b6c993fcb222bp-5, -0x1.ab5087ce942c5p-5, -0x1.a0167c5878377p-5, -0x1.951a86954bf6ep-5, -0x1.8a5bbb5b870ddp-5, -0x1.7fd92f843c37ep-5, -0x1.7591f810adbf8p-5, -0x1.6b852a4e60bp-5, -0x1.61b1dbf9c2761p-5, -0x1.5817235f603bep-5, -0x1.4eb4177bbdb8dp-5, -0x1.4587d019cd917p-5, -0x1.3c9165f01900fp-5, -0x1.33cff2bc9c6c4p-5, -0x1.2b42915f5c64cp-5, -0x1.22e85df3c3fccp-5, -0x1.1ac075e8caacdp-5, -0x1.12c9f817ee18fp-5, -0x1.0b0404db0a44fp-5, -0x1.036dbe210f294p-5, -0x1.f80c8f0346468p-6, -0x1.e9998c9f6da96p-6, -0x1.db80c3561ebc3p-6, -0x1.cdc08521a523cp-6, -0x1.c05727d631475p-6, -0x1.b343053f178cap-6, -0x1.a6827b3a39841p-6, -0x1.9a13ebd1a933p-6, -0x1.8df5bd53894fp-6, -0x1.82265a68495e5p-6, -0x1.76a432273985bp-6, -0x1.6b6db8298ea47p-6, -0x1.6081649bdc601p-6, -0x1.55ddb44e154e6p-6, -0x1.4b8128c21f50ep-6, -0x1.416a4839010f8p-6, -0x1.37979dbebcf94p-6, -0x1.2e07b934dd50ep-6, -0x1.24b92f5bc3906p-6, -0x1.1baa99dac2e1cp-6, -0x1.12da9747130aap-6, -0x1.0a47cb299de88p-6, -0x1.01f0de03c23ap-6, -0x1.f3a8faa60d913p-7, -0x1.e3e2b7279c44fp-7, -0x1.d48c60862c4b5p-7, -0x1.c5a36fbe979f7p-7, -0x1.b72567d078ed2p-7, -0x1.a90fd5bc52b02p-7, -0x1.9b6050802268fp-7, -0x1.8e1479125d15dp-7, -0x1.8129fa5b6e469p-7, -0x1.749e892dc9448p-7, -0x1.686fe43ca2d51p-7, -0x1.5c9bd41157ce6p-7, -0x1.51202aff97034p-7, -0x1.45fac5185ffa3p-7, -0x1.3b29881be2f52p-7, -0x1.30aa636a4954bp-7, -0x1.267b4ff381132p-7, -0x1.1c9a50261020dp-7, -0x1.13056fdcfed4ep-7, -0x1.09bac44ce85d4p-7, -0x1.00b86bf03a546p-7, -0x1.eff91ce56364ep-8, -0x1.df0ab93842232p-8, -0x1.cea220751485bp-8, -0x1.bebbd8172ca3fp-8, -0x1.af54774af21d6p-8, -0x1.a068a6be8c522p-8, -0x1.91f520718ddf4p-8, -0x1.83f6af83ab394p-8, -0x1.766a300297698p-8, -0x1.694c8eb71159bp-8, -0x1.5c9ac8f13bda1p-8, -0x1.5051ec5447b3bp-8, -0x1.446f16a1891dp-8, -0x1.38ef758302696p-8, -0x1.2dd046557447fp-8, -0x1.230ed5f205dcep-8, -0x1.18a880778d6f5p-8, -0x1.0e9ab1138ad76p-8, -0x1.04e2e1cae056ap-8, -0x1.f6fd3684a9aap-9, -0x1.e4d6e90ddbbccp-9, -0x1.d34e25ac57022p-9, -0x1.c25e52cc60619p-9, -0x1.b202f25bc8e12p-9, -0x1.a237a15a2fe86p-9, -0x1.92f8176965999p-9, -0x1.8440265df5b3bp-9, -0x1.760bb9cfee202p-9, -0x1.6856d6abf600fp-9, -0x1.5b1d9ac4c3e3p-9, -0x1.4e5c3c64fdc55p-9, -0x1.420f09e19e8bcp-9, -0x1.3632692cdbcc5p-9, -0x1.2ac2d769affdap-9, -0x1.1fbce8800125dp-9, -0x1.151d46b17f0e8p-9, -0x1.0ae0b22f3aaf6p-9, -0x1.010400b007b16p-9, -0x1.ef083a0f60fb1p-10, -0x1.dcbc0d7e0bb05p-10, -0x1.cb1da359a3d69p-10, -0x1.ba274b1f7643p-10, -0x1.a9d37b5235865p-10, -0x1.9a1cd0b1a40e9p-10, -0x1.8afe0d7444336p-10, -0x1.7c7218831ccf4p-10, -0x1.6e73fcb7a2285p-10, -0x1.60fee81bc56acp-10, -0x1.540e2b2c4258p-10, -0x1.479d381d234a1p-10, -0x1.3ba7a220956ffp-10, -0x1.30291cb008c26p-10, -0x1.251d7ad7aa54p-10, -0x1.1a80ae843b3ccp-10, -0x1.104ec7d34662p-10, -0x1.0683f465c5fdep-10, -0x1.fa38fd6a63633p-11, -0x1.e8299ad5f3487p-11, -0x1.d6d2c574f61dfp-11, -0x1.c62db77acb1a4p-11, -0x1.b633dfa5350e7p-11, -0x1.a6dedfff0724dp-11, -0x1.98288ca7c8fd4p-11, -0x1.8a0aeaa04cc09p-11, -0x1.7c802e9c392fdp-11, -0x1.6f82bbd88777ep-11, -0x1.630d22f6f24ep-11, -0x1.571a20de532e6p-11, -0x1.4ba49d9fe88fcp-11, -0x1.40a7ab6186649p-11, -0x1.361e854ca3a1ap-11, -0x1.2c048e8246d0ep-11, -0x1.22555113c6a72p-11, -0x1.190c7d0059e2cp-11, -0x1.1025e7376c8abp-11, -0x1.079d889fb6f33p-11, -0x1.fedefa460fcbfp-12, -0x1.ef30057d7e721p-12, -0x1.e026f131d37e3p-12, -0x1.d1bcbc33f0f7cp-12, -0x1.c3eaa4160e5c1p-12, -0x1.b6aa23714e4b2p-12, -0x1.a9f4f03447a2ep-12, -0x1.9dc4f9fa6c6bp-12, -0x1.9214686c34721p-12, -0x1.86dd99a7f4a47p-12, -0x1.7c1b20b34bb17p-12, -0x1.71c7c3f50a534p-12, -0x1.67de7bb77ada8p-12, -0x1.5e5a70b2f1eb4p-12, -0x1.5536faa08ec0fp-12, -0x1.4c6f9ed50a183p-12, -0x1.44000ee37fed9p-12, -0x1.3be4274814183p-12, -0x1.3417ee1a58fa7p-12, -0x1.2c9791c75a1c9p-12, -0x1.255f67d332d2bp-12, -0x1.1e6beba20ce6ap-12, -0x1.17b9bd4878dc6p-12, -0x1.1145a062f1e17p-12, -0x1.0b0c7af480cadp-12, -0x1.050b544c59a6dp-12, -0x1.fe7ea7e4ac53p-13, -0x1.f34b81347246ap-13, -0x1.e877fe3b27a58p-13, -0x1.ddff22f86c335p-13, -0x1.d3dc2bc62455ap-13, -0x1.ca0a8b72d735fp-13, -0x1.c085e9687fa2bp-13, -0x1.b74a1fdf90a2cp-13, -0x1.ae533a1df248ap-13, -0x1.a59d72c1c708ap-13, -0x1.9d253217b8b7cp-13, -0x1.94e70c7ca1f74p-13, -0x1.8cdfc0ca507edp-13, -0x1.850c36cf333dp-13, -0x1.7d697dd0bd5b4p-13, -0x1.75f4cb1847347p-13, -0x1.6eab788a30e47p-13, -0x1.678b0347251dfp-13, -0x1.60910a5734363p-13, -0x1.59bb4d5e9d12fp-13, -0x1.5307ab5c143c9p-13, -0x1.4c7421704aee4p-13, -0x1.45fec9ae95b75p-13, -0x1.3fa5d9f66f1fbp-13, -0x1.3967a2d5af94ep-13, -0x1.33428e734bc86p-13, -0x1.2d351f825fda8p-13, -0x1.273df03d69984p-13, -0x1.215bb1696c719p-13, -0x1.1b8d2960e5087p-13, -0x1.15d133265567ap-13, -0x1.1026bd7e423efp-13, -0x1.0a8cca106c016p-13, -0x1.05026c9027117p-13, -0x1.ff0d93d72f131p-14, -0x1.f4322f03679cp-14, -0x1.e97134bdc8f2dp-14, -0x1.dec94d000a945p-14, -0x1.d4393c377deccp-14, -0x1.c9bfe1e3e9158p-14, -0x1.bf5c37425d6cdp-14, -0x1.b50d4e03b55cfp-14, -0x1.aad24f0e64a75p-14, -0x1.a0aa794b62a3cp-14, -0x1.9695207dd518dp-14, -0x1.8c91ac253d878p-14, -0x1.829f9669e1666p-14, -0x1.78be6b132650ep-14, -0x1.6eedc687a00f2p-14, -0x1.652d54d68d72p-14, -0x1.5b7cd0ca83e2p-14, -0x1.51dc030507e0ep-14, -0x1.484ac122d56b4p-14, -0x1.3ec8ece899e6dp-14, -0x1.35567377e3ap-14, -0x1.2bf34c8c0bee2p-14, -0x1.229f79bee0304p-14, -0x1.195b05d4d592cp-14, -0x1.1026041089767p-14, -0x1.07008f8d5e05p-14, -0x1.fbd59541f4c28p-15, -0x1.e9c9bc86f4c77p-15, -0x1.d7ddf2fc390ecp-15, -0x1.c612a1c073ee8p-15, -0x1.b4683bf4b53c3p-15, -0x1.a2df3dbe630bp-15, -0x1.91782b54ad483p-15, -0x1.803390191cbbcp-15, -0x1.6f11fdbae4144p-15, -0x1.5e140b649e51ap-15, -0x1.4d3a54f4207ddp-15, -0x1.3c857a3c12acbp-15, -0x1.2bf61e4ef7a2ap-15, -0x1.1b8ce6d356c06p-15, -0x1.0b4a7b60bdfa9p-15, -0x1.f65f09ca9202dp-16, -0x1.d6795a26d46d3p-16, -0x1.b6e53baf572e3p-16, -0x1.97a401ac3da2p-16, -0x1.78b6fdde78c74p-16, -0x1.5a1f7f97d42fdp-16, -0x1.3bded2e0dce59p-16, -0x1.1df63fac144f5p-16, -0x1.00670915ff65bp-16, -0x1.c664d96323e89p-17, -0x1.8cb343c11513ep-17, -0x1.53bbb26e81fbdp-17, -0x1.1b8077d6ff68ep-17, -0x1.c807ad37fdc2cp-18, -0x1.5a9001384834p-18, -0x1.dd3c5838f645cp-19, -0x1.086c92bc4c7f9p-19, -0x1.b5c4e0294e166p-22, 0x1.2fafe30ae4e92p-20, 0x1.633dcd9892eecp-19, 0x1.15b9021f013f3p-18, 0x1.7836fbe7ef4a2p-18, 0x1.d915b15cd8257p-18, 0x1.1c2916406398p-17, 0x1.4af4d266f056fp-17, 0x1.78ecbfe2d1a67p-17, 0x1.a60fa8b4616bcp-17, 0x1.d25c6e4bde042p-17, 0x1.fdd209ae9b3dp-17, 0x1.1437c5c8d291dp-16, 0x1.291a0e3524575p-16, 0x1.3d8f7e3a8c6ep-16, 0x1.5197c1d9e9d98p-16, 0x1.653290f15751dp-16, 0x1.785faf32b849dp-16, 0x1.8b1eec16689c6p-16, 0x1.9d7022ca42c15p-16, 0x1.af533a1d2efacp-16, 0x1.c0c8246770cd8p-16, 0x1.d1cedf6fe3c53p-16, 0x1.e267744e4cfaap-16, 0x1.f291f74b000eap-16, 0x1.012743ddf754p-15, 0x1.08cea7efaf7d7p-15, 0x1.103f425a31a5fp-15, 0x1.177932e8a2131p-15, 0x1.1e7c9e9bfed8ap-15, 0x1.2549af9479031p-15, 0x1.2be094f9fe3b3p-15, 0x1.324182e3ff7f3p-15, 0x1.386cb240846f9p-15, 0x1.3e6260baa129cp-15, 0x1.4422d0a055893p-15, 0x1.49ae48c7e82e6p-15, 0x1.4f051474ce97cp-15, 0x1.5427833c24d11p-15, 0x1.5915e8e8cf63fp-15, 0x1.5dd09d5f4787ep-15, 0x1.6257fc8124abfp-15, 0x1.66ac661069d49p-15, 0x1.6ace3d92a81a4p-15, 0x1.6ebdea33f4d71p-15, 0x1.727bd6a9cc5fap-15, 0x1.76087115dc3c6p-15, 0x1.79642ae8c8578p-15, 0x1.7c8f78c4ebd79p-15, 0x1.7f8ad26125266p-15, 0x1.8256b26bac69ap-15, 0x1.84f3966d0501ep-15, 0x1.8761feab0617bp-15, 0x1.89a26e0c0e65ap-15, 0x1.8bb569fa58cafp-15, 0x1.8d9b7a478a27bp-15, 0x1.8f5529106b2d2p-15, 0x1.90e302a0e41d6p-15, 0x1.9245955834594p-15, 0x1.937d718d6d4e2p-15, 0x1.948b297438b0dp-15, 0x1.956f5101e8379p-15, 0x1.962a7dd2d8eb2p-15, 0x1.96bd471026cf1p-15, 0x1.97284555bbb1ap-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.cb29a90f566fp-1, 0x1.c9869f0a1045ap-1, 0x1.c7cc8b11ef265p-1, 0x1.c5fb7e0067a6ep-1, 0x1.c41394f41bd3cp-1, 0x1.c214f8bdb7754p-1, 0x1.bfffdd46cef3dp-1, 0x1.bdd480f4eacaap-1, 0x1.bb932c0a9148fp-1, 0x1.b93c3007d28aap-1, 0x1.b6cfe70b9c54cp-1, 0x1.b44eb336de299p-1, 0x1.b1b8fe12585fbp-1, 0x1.af0f37f7c93eap-1, 0x1.ac51d77f038a1p-1, 0x1.a98158ef5edbdp-1, 0x1.a69e3db5d86f9p-1, 0x1.a3a90be02031dp-1, 0x1.a0a24d9cc38b7p-1, 0x1.9d8a90c08e8b8p-1, 0x1.9a6266513701p-1, 0x1.972a621550dcap-1, 0x1.93e31a298d2b2p-1, 0x1.908d269b2fde6p-1, 0x1.8d292107af33cp-1, 0x1.89b7a4416058fp-1, 0x1.86394bf91805fp-1, 0x1.82aeb46c9a8bp-1, 0x1.7f187a19be4b4p-1, 0x1.7b773976174dbp-1, 0x1.77cb8eab0b1efp-1, 0x1.741615562028fp-1, 0x1.7057684d67134p-1, 0x1.6c902167d3824p-1, 0x1.68c0d9495c691p-1, 0x1.64ea2732c04dp-1, 0x1.610ca0d4c1101p-1, 0x1.5d28da26b7972p-1, 0x1.593f654054dbfp-1, 0x1.5550d2366f6d6p-1, 0x1.515daefab71bap-1, 0x1.4d66873e2e449p-1, 0x1.496be4564752dp-1, 0x1.456e4d2483792p-1, 0x1.416e460076846p-1, 0x1.3d6c50a40fa8ep-1, 0x1.3968ec1a08819p-1, 0x1.356494ae62bap-1, 0x1.315fc3e0d3d7p-1, 0x1.2d5af0590877dp-1, 0x1.29568ddca58dbp-1, 0x1.25530d46ed5e5p-1, 0x1.2150dc81f44ecp-1, 0x1.1d5066814d0dcp-1, 0x1.1952133e1701bp-1, 0x1.155647b45bd7ap-1, 0x1.115d65e1a7f91p-1, 0x1.0d67ccc4cb36dp-1, 0x1.0975d85eaec06p-1, 0x1.0587e1b4321b7p-1, 0x1.019e3ed0fc335p-1, 0x1.fb72859662364p-2, 0x1.f3b27b8fff122p-2, 0x1.ebfcfa01ebfbbp-2, 0x1.e45295942228fp-2, 0x1.dcb3dd30f29a6p-2, 0x1.d5215a13c24fdp-2, 0x1.cd9b8fd8f03bap-2, 0x1.c622fc8ecf698p-2, 0x1.beb818c7a03a9p-2, 0x1.b75b57ac72baep-2, 0x1.b00d2710de447p-2, 0x1.a8cdef87805ep-2, 0x1.a19e147726af2p-2, 0x1.9a7df430a1662p-2, 0x1.936de80520282p-2, 0x1.8c6e445d14b45p-2, 0x1.857f58cf845bbp-2, 0x1.7ea17039c3e81p-2, 0x1.77d4d0d784dfdp-2, 0x1.7119bc5b33b61p-2, 0x1.6a70700691cbfp-2, 0x1.63d924c3874b8p-2, 0x1.5d540f3d19f56p-2, 0x1.56e15ff8886eap-2, 0x1.5081436e78785p-2, 0x1.4a33e2243258cp-2, 0x1.43f960c4e34e2p-2, 0x1.3dd1e03ad887p-2, 0x1.37bd7dc8b3f2bp-2, 0x1.31bc532288002p-2, 0x1.2bce7686e1c4cp-2, 0x1.25f3fad7af83fp-2, 0x1.202cefb301d44p-2, 0x1.1a79618ba36dp-2, 0x1.14d959c18022ap-2, 0x1.0f4cdeb9d8de6p-2, 0x1.09d3f3f739225p-2, 0x1.046e9a3136045p-2, 0x1.fe399ed7ca0ffp-3, 0x1.f3bd1e1e22009p-3, 0x1.e967a3fa4e823p-3, 0x1.df391d53a98a3p-3, 0x1.d5317260b5851p-3, 0x1.cb5086d317751p-3, 0x1.c1963a02f6411p-3, 0x1.b8026719a22ccp-3, 0x1.ae94e53b96f34p-3, 0x1.a54d87b1c7cd5p-3, 0x1.9c2c1e1231de5p-3, 0x1.93307467bb311p-3, 0x1.8a5a535952d3ep-3, 0x1.81a98050567b6p-3, 0x1.791dbd9e34de4p-3, 0x1.70b6caa1575a4p-3, 0x1.687463e93f86ep-3, 0x1.60564359ecf14p-3, 0x1.585c204e77a81p-3, 0x1.5085afbae9438p-3, 0x1.48d2a44d58cf6p-3, 0x1.4142ae8e363dfp-3, 0x1.39d57cffdee4fp-3, 0x1.328abc3d696e1p-3, 0x1.2b621718b0433p-3, 0x1.245b36b797d4p-3, 0x1.1d75c2b09b427p-3, 0x1.16b1612694e82p-3, 0x1.100db6e3c9bdbp-3, 0x1.098a677438863p-3, 0x1.0327153f30426p-3, 0x1.f9c6c34054ceep-4, 0x1.ed7dd9fddfc55p-4, 0x1.e172adce0e4fcp-4, 0x1.d5a47c3ce4a75p-4, 0x1.ca1281776cb08p-4, 0x1.bebbf87676144p-4, 0x1.b3a01b27e86ebp-4, 0x1.a8be2296dc595p-4, 0x1.9e1547124305dp-4, 0x1.93a4c05260d87p-4, 0x1.896bc59cf2b8p-4, 0x1.7f698de814125p-4, 0x1.759d4ffbec7p-4, 0x1.6c06429325a73p-4, 0x1.62a39c7a312e2p-4, 0x1.597494ad625d5p-4, 0x1.50786275e232fp-4, 0x1.47ae3d858428cp-4, 0x1.3f155e117eecdp-4, 0x1.36acfcec10e79p-4, 0x1.2e74539d1522bp-4, 0x1.266a9c798e03fp-4, 0x1.1e8f12ba2c326p-4, 0x1.16e0f290d6925p-4, 0x1.0f5f793d39d9fp-4, 0x1.0809e520647fcp-4, 0x1.00df75cf7476p-4, 0x1.f3bed84abc876p-5, 0x1.e61214a79ed67p-5, 0x1.d8b727e66b95dp-5, 0x1.cbac9c23dd36bp-5, 0x1.bef0fe8545591p-5, 0x1.b282df53aee55p-5, 0x1.a660d2156e571p-5, 0x1.9a896da6311d8p-5, 0x1.8efb4c4d9049fp-5, 0x1.83b50bd437158p-5, 0x1.78b54d97a393cp-5, 0x1.6dfab69c8bc6ap-5, 0x1.6383ef9ff254cp-5, 0x1.594fa526f89c5p-5, 0x1.4f5c878d6d6dbp-5, 0x1.45a94b132cd5cp-5, 0x1.3c34a7e856f3fp-5, 0x1.32fd5a38637c5p-5, 0x1.2a0222341ff91p-5, 0x1.2141c41aa0e2cp-5, 0x1.18bb08412ad6fp-5, 0x1.106cbb1a2475dp-5, 0x1.0855ad3b0f24ep-5, 0x1.0074b36197f4ap-5, 0x1.f1914cef8c92dp-6, 0x1.e2a0c72e9b1e8p-6, 0x1.d41598181a76p-6, 0x1.c5ed8aab8f13ep-6, 0x1.b826725226729p-6, 0x1.aabe2adf236a9p-6, 0x1.9db2988ee733fp-6, 0x1.9101a80499276p-6, 0x1.84a94e4687fcdp-6, 0x1.78a788b94f14dp-6, 0x1.6cfa5d19c082p-6, 0x1.619fd975ba85bp-6, 0x1.56961423dbd54p-6, 0x1.4bdb2bba2ffdbp-6, 0x1.416d4703e57c8p-6, 0x1.374a94f60468bp-6, 0x1.2d714ca34e7b9p-6, 0x1.23dfad2f39b2bp-6, 0x1.1a93fdc01e2bep-6, 0x1.118c8d70a3e5fp-6, 0x1.08c7b3406d95ap-6, 0x1.0043ce041a97dp-6, 0x1.effe88a9443b7p-7, 0x1.dff108fc162f6p-7, 0x1.d05c08db34675p-7, 0x1.c13c833eddcc6p-7, 0x1.b28f821746632p-7, 0x1.a4521e25e1f82p-7, 0x1.96817ed5c7fd2p-7, 0x1.891ada1357fefp-7, 0x1.7c1b7423082fep-7, 0x1.6f809f7790b07p-7, 0x1.6347bc876df5bp-7, 0x1.576e39a1cb305p-7, 0x1.4bf192c2eca1cp-7, 0x1.40cf5168143dap-7, 0x1.36050c6305bfbp-7, 0x1.2b9067ad1ecfbp-7, 0x1.216f143a1df07p-7, 0x1.179ecfca9ed7bp-7, 0x1.0e1d64be57b92p-7, 0x1.04e8a9e6213a7p-7, 0x1.f7fd04abaa0e2p-8, 0x1.e6b9ba6c1659cp-8, 0x1.d6036b2b8278ep-8, 0x1.c5d62477e4fcbp-8, 0x1.b62e0af25796bp-8, 0x1.a70759f24302bp-8, 0x1.985e6328a36cep-8, 0x1.8a2f8e436fbfdp-8, 0x1.7c7758913744ep-8, 0x1.6f3254a5004acp-8, 0x1.625d29fa75e37p-8, 0x1.55f4949a72cd6p-8, 0x1.49f564bff4cacp-8, 0x1.3e5c7e7d82cf1p-8, 0x1.3326d963133fdp-8, 0x1.285180247bd91p-8, 0x1.1dd9904073a8p-8, 0x1.13bc39a832ed4p-8, 0x1.09f6be67b8ca3p-8, 0x1.0086724ebe089p-8, 0x1.eed17534bdb07p-9, 0x1.dd361b3f01b66p-9, 0x1.cc35e4ec0065p-9, 0x1.bbcc014947a74p-9, 0x1.abf3bf9bcc332p-9, 0x1.9ca88ebb27a3ap-9, 0x1.8de5fc6e8bfb8p-9, 0x1.7fa7b4cb7d761p-9, 0x1.71e981965604ap-9, 0x1.64a749a49c9c4p-9, 0x1.57dd10413b056p-9, 0x1.4b86f492946d6p-9, 0x1.3fa13102852cep-9, 0x1.34281aa853a32p-9, 0x1.291820b494f85p-9, 0x1.1e6dcbdf0b668p-9, 0x1.1425bdd67e9b1p-9, 0x1.0a3cb0b29d621p-9, 0x1.00af7667d8492p-9, 0x1.eef5f07a941cap-10, 0x1.dd386c8950715p-10, 0x1.cc208da87336dp-10, 0x1.bba8ac05b7895p-10, 0x1.abcb4a4c2a2f2p-10, 0x1.9c8314a45ac0dp-10, 0x1.8dcadfb8b70bep-10, 0x1.7f9da7bdeee8bp-10, 0x1.71f68f7f74c79p-10, 0x1.64d0df7010d37p-10, 0x1.582804be8b2a7p-10, 0x1.4bf7906e53481p-10, 0x1.403b367446664p-10, 0x1.34eeccd766adfp-10, 0x1.2a0e4ad5a19b5p-10, 0x1.1f95c80c82b05p-10, 0x1.15817ba5e597ep-10, 0x1.0bcdbb888cb5cp-10, 0x1.0276fb8ca085ap-10, 0x1.f2f3996820b8dp-11, 0x1.e1a5b8cd862eep-11, 0x1.d0fde76536e19p-11, 0x1.c0f5ed1e8118bp-11, 0x1.b187c64b450ap-11, 0x1.a2ada23666a56p-11, 0x1.9461e1c1943fdp-11, 0x1.869f160a4cf4fp-11, 0x1.795fff161566p-11, 0x1.6c9f8a85c3e06p-11, 0x1.6058d24fd1e69p-11, 0x1.54871b819beaap-11, 0x1.4925d50779d61p-11, 0x1.3e30967b9c1a1p-11, 0x1.33a31efb96176p-11, 0x1.297954047ee5ep-11, 0x1.1faf405593fd4p-11, 0x1.164112d944142p-11, 0x1.0d2b1d948ed78p-11, 0x1.0469d49c9e3bap-11, 0x1.f7f39a250ec3bp-12, 0x1.e7af784a28ea5p-12, 0x1.d800ec311297fp-12, 0x1.c8e1daa885acfp-12, 0x1.ba4c62ec3c6aap-12, 0x1.ac3adcd721e84p-12, 0x1.9ea7d720ae50dp-12, 0x1.918e15a5433b2p-12, 0x1.84e88fb95f1fap-12, 0x1.78b26e876b93fp-12, 0x1.6ce70b7806c45p-12, 0x1.6181eea48ef9fp-12, 0x1.567ecd53c3983p-12, 0x1.4bd98880513a8p-12, 0x1.418e2b691a1d1p-12, 0x1.3798ea2b04525p-12, 0x1.2df6206431d87p-12, 0x1.24a24fe0605b2p-12, 0x1.1b9a1f4e56f63p-12, 0x1.12da58fe27e05p-12, 0x1.0a5fe9a820291p-12, 0x1.0227df3c38f45p-12, 0x1.f45ecf73bb3bcp-13, 0x1.e4e7a01fbaaap-13, 0x1.d5e50608b56a4p-13, 0x1.c752104928d8p-13, 0x1.b92a0578aac9p-13, 0x1.ab6861a9dac4ap-13, 0x1.9e08d476fc87cp-13, 0x1.91073f1cfbe23p-13, 0x1.845fb2a483758p-13, 0x1.780e6e18d8de3p-13, 0x1.6c0fdccc2d37cp-13, 0x1.606094a91905bp-13, 0x1.54fd5490fc594p-13, 0x1.49e302c6e7546p-13, 0x1.3f0eab66db4d8p-13, 0x1.347d7ee900981p-13, 0x1.2a2cd0b0a04f5p-13, 0x1.201a15a68ac49p-13, 0x1.1642e2deb1d14p-13, 0x1.0ca4ec48a8b13p-13, 0x1.033e036acc244p-13, 0x1.f4182c4f9cc74p-14, 0x1.e21a5b1cd356p-14, 0x1.d07ed965d7bd8p-14, 0x1.bf421f24eaf6fp-14, 0x1.ae60d3ff18a87p-14, 0x1.9dd7cd2fce34cp-14, 0x1.8da40b863d17dp-14, 0x1.7dc2b9741efffp-14, 0x1.6e31292d7498cp-14, 0x1.5eecd2d8bdaffp-14, 0x1.4ff352cf448f9p-14, 0x1.414267ed0b3e4p-14, 0x1.32d7f1eff1cd9p-14, 0x1.24b1efe5ab117p-14, 0x1.16ce7ea8196dap-14, 0x1.092bd767adf21p-14, 0x1.f7909c86d09ffp-15, 0x1.dd44a1dc28709p-15, 0x1.c370cac0ce5cp-15, 0x1.aa12512f3f028p-15, 0x1.91269ac097a39p-15, 0x1.78ab3659be70ep-15, 0x1.609dd9ef77f9ap-15, 0x1.48fc6060be2cfp-15, 0x1.31c4c766b0b41p-15, 0x1.1af52d997c81ap-15, 0x1.048bd08996a89p-15, 0x1.dd0e15d9636eep-16, 0x1.b1caa5bba8387p-16, 0x1.874a705fed9bdp-16, 0x1.5d8ac5a5355a9p-16, 0x1.3489228f953ecp-16, 0x1.0c432e55ec9bp-16, 0x1.c96d6f20951f2p-17, 0x1.7bc3630bdddfdp-17, 0x1.2f846333d4bf3p-17, 0x1.c959b35564608p-18, 0x1.3672d6391a0cap-18, 0x1.4c9bc952255a8p-19, 0x1.8e4f7ef35c94ep-22, -0x1.c735ec6784e8bp-20, -0x1.f39d578b7756ep-19, -0x1.7f2384f43c6fep-18, -0x1.00e856093d80dp-17, -0x1.40ed43e0c3497p-17, -0x1.7fa2a3131c7ffp-17, -0x1.bd0a71729066dp-17, -0x1.f9269666cbb1cp-17, -0x1.19fc72cdb16abp-16, -0x1.36c190c466aa7p-16, -0x1.52e37eec913eep-16, -0x1.6e6310d50307dp-16, -0x1.894114d67c9a8p-16, -0x1.a37e5513b872bp-16, -0x1.bd1b9869e783cp-16, -0x1.d619a35242bc7p-16, -0x1.ee7938b5447c8p-16, -0x1.031d8d580b9cp-15, -0x1.0eb005a662896p-15, -0x1.19f46696dca5p-15, -0x1.24eb121684cc5p-15, -0x1.2f946af80d4b3p-15, -0x1.39f0d53802b13p-15, -0x1.4400b63ba47abp-15, -0x1.4dc4750a9cd5bp-15, -0x1.573c7a83caacbp-15, -0x1.6069318d5b92ap-15, -0x1.694b074068014p-15, -0x1.71e26b1043fdfp-15, -0x1.7a2fceedbbfddp-15, -0x1.8233a76664f1bp-15, -0x1.89ee6bc038c36p-15, -0x1.91609611a519p-15, -0x1.988aa3563b345p-15, -0x1.9f6d13802c86ep-15, -0x1.a6086986b8ba3p-15, -0x1.ac5d2b71ba35cp-15, -0x1.b26be26273005p-15, -0x1.b8351a99c1fb3p-15, -0x1.bdb9637be2544p-15, -0x1.c2f94f91d7c67p-15, -0x1.c7f57488aaf6cp-15, -0x1.ccae6b2e92c1p-15, -0x1.d124cf6e2ae0bp-15, -0x1.d5594047d863ep-15, -0x1.d94c5fc973529p-15, -0x1.dcfed30456b06p-15, -0x1.e0714201eb059p-15, -0x1.e3a457b6cda9cp-15, -0x1.e698c1f4a5068p-15, -0x1.e94f315abe488p-15, -0x1.ebc859458a1d6p-15, -0x1.ee04efbd0f8cfp-15, -0x1.f005ad6265247p-15, -0x1.f1cb4d5c4da31p-15, -0x1.f3568d430128ap-15, -0x1.f4a82d0b3cd89p-15, -0x1.f5c0eef0a8121p-15, -0x1.f6a1975f9f743p-15, -0x1.f74aecde769cbp-15, -0x1.f7bdb7f644172p-15, -0x1.f7fac31b3ce24p-15, -0x1.f802da94b80cdp-15, -0x1.f7d6cc64e36bp-15, -0x1.f777683032c31p-15, -0x1.f6e57f249eb24p-15, -0x1.f621e3e0b6889p-15, -0x1.f52d6a5a93e16p-15, -0x1.f408e7c6bb7f2p-15, -0x1.f2b5327ef4c99p-15, -0x1.f13321e91fdabp-15, -0x1.ef838e5e1431ap-15, -0x1.eda751109336p-15, -0x1.eb9f43f45397cp-15, -0x1.e96c41a52c06ep-15, -0x1.e70f254e69e04p-15, -0x1.e488ca9256544p-15, -0x1.e1da0d71f0838p-15, -0x1.df03ca34e47fcp-15, -0x1.dc06dd51c5abdp-15, -0x1.d8e423568e49p-15, -0x1.d59c78d16b093p-15, -0x1.d230ba39d922fp-15, -0x1.cea1c3da196c9p-15, -0x1.caf071b8f9933p-15, -0x1.c71d9f83fe989p-15, -0x1.c32a2879ec45cp-15, -0x1.bf16e755b17eap-15, -0x1.bae4b639bb448p-15, -0x1.b6946e9baf1f7p-15, -0x1.b226e930919e2p-15, -0x1.ad9cfdd95b14bp-15, -0x1.a8f7838ffb541p-15, -0x1.a4375054cd6d8p-15, -0x1.9f5d391c7ec1ap-15, -0x1.9a6a11be6aca3p-15, -0x1.955eace36a8bdp-15, -0x1.903bdbf51a33dp-15, -0x1.8b026f0d96b03p-15, -0x1.85b334e7b05f3p-15, -0x1.804efacf97e28p-15, -0x1.7ad68c93ffaddp-15, -0x1.754ab477b929fp-15, -0x1.6fac3b23c8045p-15, -0x1.69fbe799ee30dp-15, -0x1.643a7f27ae185p-15, -0x1.5e68c559c68e4p-15, -0x1.58877bf023257p-15, -0x1.529762d24593fp-15, -0x1.4c99380422614p-15, -0x1.468db79b7308bp-15, -0x1.40759bb57c1f6p-15, -0x1.3a519c6d4721p-15, -0x1.34226fd24d5ep-15, -0x1.2de8c9df940b3p-15, }}, 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
      std::vector<double>(518, 0.0), 
    }}, 
    {
      25, 0x1.bc28f5c28f5c3p+1, 0x1.6fa818a9b5d71p+1, 0x1.5d995a6bd5b3ep+1, -0x1.17d48ff427c94p-4, 
      {{
        {0x1.52fd86a8fc0d3p+0, 0x1.5fca5375c8dap+0, 0x1.188094e5d5b25p-2, -0x1.f750e311f17bcp-1, 0x1.696bb98c7e14cp+0, 0x1.95178397c8b39p-2}, 
        {0x1.5fca5375c8dap+0, 0x1.6c97204295a6cp+0, 0x1.d3abc947064edp-3, -0x1.ad8340fca2b6ep-1, 0x1.789c9b48959b9p+0, -0x1.fa5d647db9403p+0}, 
        {0x1.6c97204295a6cp+0, 0x1.7963ed0f62739p+0, 0x1.84cb5bb384fd3p-3, -0x1.69c92c65c3bb8p-1, 0x1.2ca8329c20389p+0, -0x1.0b2c77e4cce06p+0}, 
        {0x1.7963ed0f62739p+0, 0x1.8630b9dc2f406p+0, 0x1.422ee41919ac8p-3, -0x1.31a97b1d2be1ap-1, 0x1.0494ba39ce4a1p+0, -0x1.080b5bad8bbdfp+0}, 
        {0x1.8630b9dc2f406p+0, 0x1.92fd86a8fc0d3p+0, 0x1.09ff92f2b66b6p-3, -0x1.0181aa71a7478p-1, 0x1.b9f2d8f2bf74bp-1, -0x1.b9ae809cf9443p-1}, 
        {0x1.92fd86a8fc0d3p+0, 0x1.9fca5375c8dap+0, 0x1.b564302b40f67p-4, -0x1.b13f9ea0a1c44p-2, 0x1.77b245a800773p-1, -0x1.5b1acb4fbc5ap-1}, 
        {0x1.9fca5375c8dap+0, 0x1.ac97204295a6cp+0, 0x1.65e892253111fp-4, -0x1.6b50d8ddaae5fp-2, 0x1.43a173f5a4367p-1, -0x1.5cf8c0bba3604p-1}, 
        {0x1.ac97204295a6cp+0, 0x1.b963ed0f62739p+0, 0x1.235e74299d884p-4, -0x1.2fd30201461b8p-2, 0x1.0f48f0a64bb5p-1, -0x1.f78569a844fadp-2}, 
        {0x1.b963ed0f62739p+0, 0x1.c630b9dc2f406p+0, 0x1.d78e5c4eb56fcp-5, -0x1.faaff5f997ed1p-3, 0x1.d30aab0cf3779p-2, -0x1.daa8f8ac43b05p-2}, 
        {0x1.c630b9dc2f406p+0, 0x1.d2fd976ff3adep+0, 0x1.7b15b573eab36p-5, -0x1.a4661f2cc9873p-3, 0x1.8bd7b8f31c836p-2, -0x1.85ec201608c76p-2}, 
        {0x1.d2fd976ff3adep+0, 0x1.dfca643cc07abp+0, 0x1.2e87d2c7b890dp-5, -0x1.5b13ef07f33afp-3, 0x1.515a6779922f6p-2, -0x1.608bad4d7de4bp-2}, 
        {0x1.dfca643cc07abp+0, 0x1.ec9731098d478p+0, 0x1.df04ddb5525ccp-6, -0x1.1ce53a6028859p-3, 0x1.1c78a71458e6ap-2, -0x1.1f2c706affb79p-2}, 
        {0x1.ec9731098d478p+0, 0x1.f963fdd65a145p+0, 0x1.77dd872f33ca3p-6, -0x1.d09e16926d799p-4, 0x1.e2ca5fa231e2bp-3, -0x1.e74fe29018cc2p-3}, 
        {0x1.f963fdd65a145p+0, 0x1.0318655193709p+1, 0x1.241c3efae7925p-6, -0x1.775e7de23ae8bp-4, 0x1.99b1973fc7c4p-3, -0x1.a9864d3b8914p-3}, 
        {0x1.0318655193709p+1, 0x1.097ecbb7f9d6fp+1, 0x1.c19c17225b74ap-7, -0x1.2bd0302701cfcp-4, 0x1.59dd721073344p-3, -0x1.5e1c073a156cfp-3}, 
        {0x1.097ecbb7f9d6fp+1, 0x1.0fe5321e603d5p+1, 0x1.56d19dece5711p-7, -0x1.d7c8a3892d39fp-5, 0x1.25593dc7bcca7p-3, -0x1.50b9b6a0bbb23p-3}, 
        {0x1.0fe5321e603d5p+1, 0x1.164b9884c6a3cp+1, 0x1.0385c67dfe32ap-7, -0x1.6c8bcb2ebe61ep-5, 0x1.e5adf7f8dadfap-4, -0x1.1d73e6f73403p-3}, 
        {0x1.164b9884c6a3cp+1, 0x1.1cb1feeb2d0a2p+1, 0x1.878316a055758p-8, -0x1.13f946eac9ed1p-5, 0x1.900b32aeb1ab3p-4, -0x1.e391320f2b1fep-4}, 
        {0x1.1cb1feeb2d0a2p+1, 0x1.2318655193709p+1, 0x1.28283d35eb745p-8, -0x1.966fdee731eb9p-6, 0x1.478237f938005p-4, -0x1.7a68eadb0c57ep-4}, 
        {0x1.2318655193709p+1, 0x1.297ecbb7f9d6fp+1, 0x1.c66d373affb05p-9, -0x1.1ec92bb828b01p-6, 0x1.0ebf47f1f626p-4, -0x1.49524d86b2b19p-4}, 
        {0x1.297ecbb7f9d6fp+1, 0x1.2fe5321e603d5p+1, 0x1.680e065300581p-9, -0x1.78bbb1e4e919ap-7, 0x1.bab2abd51d171p-5, -0x1.2f26f5915249ap-4}, 
        {0x1.2fe5321e603d5p+1, 0x1.364b9884c6a3cp+1, 0x1.2d3415b1422cdp-9, -0x1.b3afb01c49ed4p-8, 0x1.5fc0955cb79bp-5, -0x1.044f4cd7db372p-4}, 
        {0x1.364b9884c6a3cp+1, 0x1.3cb1feeb2d0a2p+1, 0x1.0ea9e6eeb7026p-9, -0x1.730b130b3c499p-9, 0x1.11a8cb1bf5d6dp-5, -0x1.c8f20c53c23a9p-5}, 
        {0x1.3cb1feeb2d0a2p+1, 0x1.4318655193709p+1, 0x1.0624dd2f1a9fcp-9, 0x1.7f4dbc87ff78p-14, 0x1.9a3c2c1ecb03p-6, -0x1.5ac9a1381ee77p-3}, 
        {0x1.4318655193709p+1, 0x1.bc28f5c28f5c3p+1, 0x1.0c2c5e2cdc012p-9, 0x1.5b6a9c15d014p-10, -0x1.7a3eef89b87e4p-12, -0x1.058a11d640a14p-5}, 
      }}, 
      0x1.96e7fdc94f133p-5, -0x1.5424b1e91b0fep-6
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_zn_s() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5349cb5450041p+0, -0x1.42f85bd152b4dp+0, -0x1.3286c081494f6p+0, -0x1.2222c20cc3842p+0, -0x1.11f34e438c975p+0, -0x1.0218c99b2b0bep+0, -0x1.e55b0d2c9da68p-1, -0x1.c78cd213633f5p-1, -0x1.aae6a4cd19f2cp-1, -0x1.8f7fcb3b71a6bp-1, -0x1.75685a52417bfp-1, -0x1.5ca8c59f2d87p-1, -0x1.4546964e05d9p-1, -0x1.2f411a8931abbp-1, -0x1.1a947e4a25a5ep-1, -0x1.0739eb4fa4cf9p-1, -0x1.ea50e55826fa4p-2, -0x1.c8aad4db4b2cfp-2, -0x1.a96974bb53e84p-2, -0x1.8c730b1111cfap-2, -0x1.71ad04548898ep-2, -0x1.58fbe1fd96113p-2, -0x1.4243b340b1f0fp-2, -0x1.2d69013e0d842p-2, -0x1.1a5114822e76bp-2, -0x1.08e19649829acp-2, -0x1.f20116e1dc2f8p-3, -0x1.d529b66c05eap-3, -0x1.bb0d675b17135p-3, -0x1.a37ec7ab95493p-3, -0x1.8e5203bee6cecp-3, -0x1.7b5c9f22673b6p-3, -0x1.6a75cf4ad3eebp-3, -0x1.5b75868900517p-3, -0x1.4e3b489798e65p-3, -0x1.42a2922eaf673p-3, -0x1.3889b4592f1d6p-3, -0x1.2fd0f4214b7f1p-3, -0x1.285ac0480a863p-3, -0x1.220b81ebc729p-3, -0x1.1cc93300ca427p-3, -0x1.187afc03ac2eep-3, -0x1.15090d17025d6p-3, -0x1.125cb5f031075p-3, -0x1.10609e71e9d34p-3, -0x1.0f00f239616fap-3, -0x1.0e2b682ea6845p-3, -0x1.0dcf2106edb73p-3, -0x1.0ddc712a816a9p-3, -0x1.0e44ab1a125bbp-3, -0x1.0ef9fb4927c2bp-3, -0x1.0fef61093e8p-3, -0x1.1118bb93e2be7p-3, -0x1.126ae12d968cp-3, -0x1.13dbac3e808b9p-3, -0x1.1561fc6fb4287p-3, -0x1.16f5a421ebe1bp-3, -0x1.188f4f0af730ep-3, -0x1.1a286524bef5p-3, -0x1.1bbaf373cafp-3, -0x1.1d41994015e89p-3, -0x1.1eb77f24e23ffp-3, -0x1.201852656b758p-3, -0x1.2160446e62f06p-3, -0x1.228c0a517a2d8p-3, -0x1.2398dfabd2f8p-3, -0x1.2484827a0d676p-3, -0x1.254d2ca2217bdp-3, -0x1.25f186bd1f63p-3, -0x1.26709a3aae153p-3, -0x1.26c9c08d5ee8ep-3, -0x1.26fc9561cba2ep-3, -0x1.2708ea3dbbbecp-3, -0x1.26eec56926cc5p-3, -0x1.26ae5ac8d73f6p-3, -0x1.26480ead51553p-3, -0x1.25bc7565394d7p-3, -0x1.251eb0f4dda03p-3, -0x1.244cf285eac9dp-3, -0x1.2358720dfd1acp-3, -0x1.22424abc0afefp-3, -0x1.210bb0c69ba6ep-3, -0x1.1fb5ecbd056b6p-3, -0x1.1e42577459871p-3, -0x1.1cb253f86fe2ap-3, -0x1.1b074db2a8bb3p-3, -0x1.1942b4f000f25p-3, -0x1.1765fd95d2707p-3, -0x1.15729b65c237bp-3, -0x1.136a02a71ef89p-3, -0x1.114da5a661fbp-3, -0x1.0f1ef3c915a4ep-3, -0x1.0cdf583d0b0dbp-3, -0x1.0a9038a45218ep-3, -0x1.0832f4173777p-3, -0x1.05c8e245df0ddp-3, -0x1.035350fc21fbep-3, -0x1.00d384f7ffe49p-3, -0x1.fc956ee4eb7dp-4, -0x1.f7742cf6af168p-4, -0x1.f245877bdf482p-4, -0x1.ed0baa5b17a72p-4, -0x1.e7c8a7c1c1da6p-4, -0x1.e27e7993b13e8p-4, -0x1.dd2f013c62eeep-4, -0x1.d7dc08bb71a5bp-4, -0x1.d28743f34879cp-4, -0x1.cd324f96cb585p-4, -0x1.c7deb526ce8cdp-4, -0x1.c28de6ad76839p-4, -0x1.bd4144c6a0563p-4, -0x1.b7fa1c5da7dd3p-4, -0x1.b2b9a688ca923p-4, -0x1.ad810ce8404fbp-4, -0x1.a851633f8f916p-4, -0x1.a32bae501caa1p-4, -0x1.9e10e092bcc84p-4, -0x1.9901db496bfdp-4, -0x1.93ff6ecfbdf1fp-4, -0x1.8f0a5aceaae66p-4, -0x1.8a234f01e45ap-4, -0x1.854aea60669a1p-4, -0x1.8081bf73af546p-4, -0x1.7bc84ec63ab12p-4, -0x1.771f0d9df74a6p-4, -0x1.728662e79c919p-4, -0x1.6dfeaa7efe387p-4, -0x1.6988314453fbbp-4, -0x1.65233b88a8d83p-4, -0x1.60d0007a24d5dp-4, -0x1.5c8eacdddf857p-4, -0x1.585f62c45b122p-4, -0x1.54423a03fefbcp-4, -0x1.503740ab08767p-4, -0x1.4c3e7b1f0186ap-4, -0x1.4857e4f327918p-4, -0x1.4483717ff4c64p-4, -0x1.40c10c909fcfbp-4, -0x1.3d109953dd5c3p-4, -0x1.3971f6d04e2f6p-4, -0x1.35e4fc5a47a1cp-4, -0x1.32697d0c85a61p-4, -0x1.2eff46b31b7dcp-4, -0x1.2ba6230ca403bp-4, -0x1.285dd7ee4fc45p-4, -0x1.2526275bb69e4p-4, -0x1.21fed03f5146fp-4, -0x1.1ee78df9dc196p-4, -0x1.1be0194cd5138p-4, -0x1.18e827f7543ffp-4, -0x1.15ff6d6d38e9bp-4, -0x1.13259a7d37057p-4, -0x1.105a5d20293e3p-4, -0x1.0d9d62e2a15b9p-4, -0x1.0aee55a34db7dp-4, -0x1.084cdf2972aabp-4, -0x1.05b8a9974638ap-4, -0x1.03315abc31987p-4, -0x1.00b69a4e8dc53p-4, -0x1.fc901dac9bae4p-5, -0x1.f7cabe390e403p-5, -0x1.f31c63b406f8fp-5, -0x1.ee845c4dfd7e6p-5, -0x1.ea01f7493e741p-5, -0x1.e59484a273719p-5, -0x1.e1399e5005b54p-5, -0x1.dcf4880848d94p-5, -0x1.d8c263fddbf4ep-5, -0x1.d4a282fbbeec1p-5, -0x1.d0943884222b9p-5, -0x1.cc96db3d2ebd8p-5, -0x1.c8a9c51efb966p-5, -0x1.c4cc535794823p-5, -0x1.c0fde86a6e6cfp-5, -0x1.bd3de80bce835p-5, -0x1.b98bbe1523c21p-5, -0x1.b5e6d5e65f91cp-5, -0x1.b24ea1ca9c7d4p-5, -0x1.aec29666c0683p-5, -0x1.ab422dd11c8f8p-5, -0x1.a7cce4845afddp-5, -0x1.a4623b6cca453p-5, -0x1.a101b6cb57cb2p-5, -0x1.9daaddaf3330ap-5, -0x1.9a5d3bd828566p-5, -0x1.97185f5968a0ep-5, -0x1.93dbd9c5369f8p-5, -0x1.90a740323538bp-5, -0x1.8d7a2a2f5cfd8p-5, -0x1.8a5433a6a6665p-5, -0x1.8734fa8ab935bp-5, -0x1.841c20d1ab029p-5, -0x1.81094b2d1d9f1p-5, -0x1.7dfc224a6eb89p-5, -0x1.7af451946e1d2p-5, -0x1.77f187d3e0277p-5, -0x1.74f3788295aedp-5, -0x1.71f9d85ba0323p-5, -0x1.6f04600762348p-5, -0x1.6c12cf4a809eap-5, -0x1.6924e384bbdd2p-5, -0x1.663a60d82945ep-5, -0x1.63530eed0d329p-5, -0x1.606eb6b105231p-5, -0x1.5d8d2720f1c89p-5, -0x1.5aae30c646395p-5, -0x1.57d1a67eab5a2p-5, -0x1.54f7602f2b9c6p-5, -0x1.521f37772c74fp-5, -0x1.4f4909d68af98p-5, -0x1.4c74b654f1bfp-5, -0x1.49a21f7914138p-5, -0x1.46d12a54cb533p-5, -0x1.4401be1f40b21p-5, -0x1.4133c54227326p-5, -0x1.3e672bb4303f8p-5, -0x1.3b9bdf9eaba99p-5, -0x1.38d1d19df4522p-5, -0x1.3608f56873debp-5, -0x1.33413d40bfcdep-5, -0x1.307aa1daa18bfp-5, -0x1.2db51ad90864bp-5, -0x1.2af0a1dce7eb6p-5, -0x1.282d32e43602ap-5, -0x1.256acb4884dd4p-5, -0x1.22a969c751e3bp-5, -0x1.1fe90efb433ecp-5, -0x1.1d29bbf4eaee1p-5, -0x1.1a6b748ade1cbp-5, -0x1.17ae3ca2b4cc2p-5, -0x1.14f21aa14c0fap-5, -0x1.123713eb35838p-5, -0x1.0f7d3274d94d1p-5, -0x1.0cc47d8e77035p-5, -0x1.0a0d0077e263fp-5, -0x1.0756c545df634p-5, -0x1.04a1d8987ad8bp-5, -0x1.01ee47dcbbeefp-5, -0x1.fe783f5e7534ep-6, -0x1.f916de5e13938p-6, -0x1.f3b889c82cd01p-6, -0x1.ee5d6362fc651p-6, -0x1.e905888c54f5p-6, -0x1.e3b11d9eb24b4p-6, -0x1.de6044fdca231p-6, -0x1.d913222c7c71ep-6, -0x1.d3c9d91e8a19dp-6, -0x1.ce84917521e68p-6, -0x1.c9436ec695affp-6, -0x1.c406982b9ae1p-6, -0x1.bece34859967bp-6, -0x1.b99a6cc91646ap-6, -0x1.b46b6402eb39p-6, -0x1.af414664400e7p-6, -0x1.aa1c3a62897e7p-6, -0x1.a4fc67eb856efp-6, -0x1.9fe1f754d43b6p-6, -0x1.9acd0ff5f8746p-6, -0x1.95bddac2ee988p-6, -0x1.90b47e440109ep-6, -0x1.8bb122b1946cap-6, -0x1.86b3edf5b1092p-6, -0x1.81bd094da2b61p-6, -0x1.7ccc99c0f07bp-6, -0x1.77e2c4342b2c4p-6, -0x1.72ffb1ae449d8p-6, -0x1.6e238243d28e1p-6, -0x1.694e5d98fde17p-6, -0x1.648067e51c55dp-6, -0x1.5fb9c38095625p-6, -0x1.5afa9295e3fc6p-6, -0x1.5642f80842a2fp-6, -0x1.519318166cb3bp-6, -0x1.4ceb0c8661e37p-6, -0x1.484af91bf8667p-6, -0x1.43b2fbeddf429p-6, -0x1.3f23336e0248fp-6, -0x1.3a9bbc69fa557p-6, -0x1.361cb40eb6f5dp-6, -0x1.31a635547a9d8p-6, -0x1.2d385b1957b7ep-6, -0x1.28d33f1c8b9bep-6, -0x1.2476fa345c013p-6, -0x1.2023a3fe08cedp-6, -0x1.1bd9546d90e3bp-6, -0x1.17982102f6b01p-6, -0x1.13601eb3c2464p-6, -0x1.0f3161ac765bp-6, -0x1.0b0bfc678004fp-6, -0x1.06f00464ae55bp-6, -0x1.02dd8756f2681p-6, -0x1.fda92e1a2015cp-7, -0x1.f5aa851efecd3p-7, -0x1.edbf31548340fp-7, -0x1.e5e74c83ad932p-7, -0x1.de22f32e8dff1p-7, -0x1.d67233ab92234p-7, -0x1.ced52b549fc49p-7, -0x1.c74becc5b1e38p-7, -0x1.bfd6835e0f20dp-7, -0x1.b875054860f3bp-7, -0x1.b1277e846ce42p-7, -0x1.a9edf6c5ea2b6p-7, -0x1.a2c87f45868ebp-7, -0x1.9bb71e56282e3p-7, -0x1.94b9d3e99bca3p-7, -0x1.8dd0a87237ed1p-7, -0x1.86fba165e7dfep-7, -0x1.803aba009bbep-7, -0x1.798dfb418e46p-7, -0x1.72f55b8c009e7p-7, -0x1.6c70daf9abe2ap-7, -0x1.660071e61a506p-7, -0x1.5fa41ab24715bp-7, -0x1.595bccdc2831dp-7, -0x1.53277fda35633p-7, -0x1.4d0726180ff89p-7, -0x1.46fab27686be8p-7, -0x1.4102193d63f98p-7, -0x1.3b1d4a263027fp-7, -0x1.354c350acc368p-7, -0x1.2f8ec6618c2a3p-7, -0x1.29e4ec06ba92bp-7, -0x1.244e9171d7d4fp-7, -0x1.1ecb9fcf32e7cp-7, -0x1.195bffce1484fp-7, -0x1.13ff9c129e2d9p-7, -0x1.0eb65a1a696fep-7, -0x1.09801e6a2aecfp-7, -0x1.045ccfdd8fb88p-7, -0x1.fe98a4c7c872dp-8, -0x1.f49d0f7823d0fp-8, -0x1.eac6a5808e696p-8, -0x1.e1152435607f4p-8, -0x1.d78855a465f3ap-8, -0x1.ce1ff4f85511ap-8, -0x1.c4dbb94d26015p-8, -0x1.bbbb67c9b96d7p-8, -0x1.b2beb7a20fb0ep-8, -0x1.a9e564aaae5d9p-8, -0x1.a12f2778d2fdap-8, -0x1.98904aead6c09p-8, -0x1.901ed8f35ac65p-8, -0x1.87cfa457273c8p-8, -0x1.7fa25b28e033cp-8, -0x1.7796b31d6a4b3p-8, -0x1.6fac5f4ade30bp-8, -0x1.67e311778433ap-8, -0x1.603a7680d6222p-8, -0x1.58b247ab54a2dp-8, -0x1.514a29221996ep-8, -0x1.4a01cc907edb1p-8, -0x1.42d8e6aa339dap-8, -0x1.3bcf21043efcbp-8, -0x1.34e42929a29p-8, -0x1.2e17ac48287cbp-8, -0x1.27695a3740b96p-8, -0x1.20d8d40bdcd9cp-8, -0x1.1a65d44ee5956p-8, -0x1.140ff89d21844p-8, -0x1.0dd6f5561dedbp-8, -0x1.07ba7a1e11251p-8, -0x1.01ba2bb546f2cp-8, -0x1.f7ab5b53498aep-9, -0x1.ec196e1149dc2p-9, -0x1.e0bddb0cd222fp-9, -0x1.d597f8ac4c7a2p-9, -0x1.caa72a48929bcp-9, -0x1.bfeaa969d37b9p-9, -0x1.b561e22a3c3f8p-9, -0x1.ab0c31d565b15p-9, -0x1.a0e8da389384ap-9, -0x1.96f73445406c2p-9, -0x1.8d36a3dac546ep-9, -0x1.83a67a6a42a8cp-9, -0x1.7a461eb3c61e9p-9, -0x1.7114e01deae1bp-9, -0x1.68120cf15e9a4p-9, -0x1.5f3d0a320ab45p-9, -0x1.5695311543249p-9, -0x1.4e19de421689fp-9, -0x1.45ca6cf76b91ep-9, -0x1.3da63af763b74p-9, -0x1.35aca9c56f278p-9, -0x1.2ddd1060b4ce2p-9, -0x1.2636d9396d48fp-9, -0x1.1eb954bacba3ap-9, -0x1.1763f6ef64405p-9, -0x1.1036197d0cb9p-9, -0x1.092f1fd56a9a8p-9, -0x1.024e6ffc2935ep-9, -0x1.f726dd38e71d6p-10, -0x1.e9fb053f84b6ap-10, -0x1.dd182ba4694b8p-10, -0x1.d07d20988026bp-10, -0x1.c428b25c06724p-10, -0x1.b819c9965c9d8p-10, -0x1.ac4f297c2ba1cp-10, -0x1.a0c7a9647e824p-10, -0x1.958241740bacbp-10, -0x1.8a7dc54e8aaep-10, -0x1.7fb918dd8897dp-10, -0x1.7533225f10e8dp-10, -0x1.6aeac6535ce6fp-10, -0x1.60def5b92bcfap-10, -0x1.570ea4ef971c4p-10, -0x1.4d78b745d5c9fp-10, -0x1.441c299d8bf54p-10, -0x1.3af7e96de939dp-10, -0x1.320b08b2dd986p-10, -0x1.295456b5bef91p-10, -0x1.20d2fc921a1abp-10, -0x1.1885ef5043f75p-10, -0x1.106c3607d6c6ap-10, -0x1.0884ceeede2c4p-10, -0x1.00cecf9800848p-10, -0x1.f292822e22d6p-11, -0x1.e3e6902d61734p-11, -0x1.d597c041810cep-11, -0x1.c7a45c68c48bbp-11, -0x1.ba0a8af8b4f87p-11, -0x1.acc8997442802p-11, -0x1.9fdcbe60a2f43p-11, -0x1.934560bbd45f5p-11, -0x1.8700744bd1cafp-11, -0x1.7b0cd3cd84576p-11, -0x1.6f685e3b4862fp-11, -0x1.6411cabda1c3ap-11, -0x1.590740c4e9603p-11, -0x1.4e4751fca290ap-11, -0x1.43d081526fceep-11, -0x1.39a104d1ec3d9p-11, -0x1.2fb798581399bp-11, -0x1.26129e85af752p-11, -0x1.1cb0ad72daed3p-11, -0x1.139054cf9d565p-11, -0x1.0ab00b8f18767p-11, -0x1.020e9a5f72caep-11, -0x1.f354fec44cb4fp-12, -0x1.e304dc699ca08p-12, -0x1.d32a0c982c6bcp-12, -0x1.c3c20da9c9823p-12, -0x1.b4ca2827f6b8cp-12, -0x1.a63fe6aec0501p-12, -0x1.982088213351fp-12, -0x1.8a6a325b04e66p-12, -0x1.7d19cf224b56ep-12, -0x1.702d52a8a4f31p-12, -0x1.63a25245de69fp-12, -0x1.577681ef447p-12, -0x1.4ba79afe0f60bp-12, -0x1.403396b930eabp-12, -0x1.3517d57dc6c2p-12, -0x1.2a528c5f42af2p-12, -0x1.1fe1955bb8caep-12, -0x1.15c2da7696873p-12, -0x1.0bf4404910f1bp-12, -0x1.0273fb4895241p-12, -0x1.f27fc47b97948p-13, -0x1.e0ac55cae1a0dp-13, -0x1.cf69c56f95bcap-13, -0x1.beb473d3790acp-13, -0x1.ae88ed9a88939p-13, -0x1.9ee39ad222388p-13, -0x1.8fc113f6770aep-13, -0x1.811df58fc69a2p-13, -0x1.72f5f82792577p-13, -0x1.654735036e856p-13, -0x1.580ddf8009882p-13, -0x1.4b47297bc1fecp-13, -0x1.3eefcbdbffb6ep-13, -0x1.3304a05ff4a9bp-13, -0x1.2782ec61f4c61p-13, -0x1.1c67d67eb8708p-13, -0x1.11b06fe6fb3efp-13, -0x1.0759c50a1fca7p-13, -0x1.fac380ea34d1bp-14, -0x1.e78b1176ca9b5p-14, -0x1.d502038216e2dp-14, -0x1.c329b401b4dd1p-14, -0x1.b1f7b89d49a7ep-14, -0x1.a1692b659edd7p-14, -0x1.9179207248854p-14, -0x1.8222ef54204dfp-14, -0x1.73622ddd98178p-14, -0x1.65321f76569aep-14, -0x1.578e9b2b281d6p-14, -0x1.4a7401b9c9fa7p-14, -0x1.3ddcb076164fp-14, -0x1.31c5dd87de577p-14, -0x1.262b76b10b60fp-14, -0x1.1b08e585c6869p-14, -0x1.105b236aa1851p-14, -0x1.061ddf33edc69p-14, -0x1.f89bcaddf01ep-15, -0x1.e5cf626a89535p-15, -0x1.d3cf3d81b80f8p-15, -0x1.c2946de270f64p-15, -0x1.b2199e98dbafcp-15, -0x1.a256c2994babdp-15, -0x1.93473e89c908p-15, -0x1.84e508955b228p-15, -0x1.7725afd5c7c79p-15, -0x1.6a0b34f030d4p-15, -0x1.5d88eff556b29p-15, -0x1.519d68c2b5883p-15, -0x1.4642621b3d10dp-15, -0x1.3b721e644058cp-15, -0x1.3127d20357c14p-15, -0x1.275e5afccb26dp-15, -0x1.1e119e71e42e3p-15, -0x1.153c5b0eb9abfp-15, -0x1.0cd9ce7cac071p-15, -0x1.04e606ce89b06p-15, -0x1.fab8f09628ae3p-16, -0x1.ec71d3d32635bp-16, -0x1.deef6c45be972p-16, -0x1.d2275eb505363p-16, -0x1.c61b07738d298p-16, -0x1.bab1b21ad7adap-16, -0x1.aff2555c1fedbp-16, -0x1.a5d31528d574bp-16, -0x1.9c49f20060293p-16, -0x1.935332b50fb63p-16, -0x1.8ae6f8b3e061ap-16, -0x1.82ff7174c9242p-16, -0x1.7b977af0b148ep-16, -0x1.74a74020e2bf2p-16, -0x1.6e2ab44341f6cp-16, -0x1.681c066a23652p-16, -0x1.6275945bce2fbp-16, -0x1.5d32576ffc9cep-16, -0x1.584ca3cbacfc7p-16, -0x1.53c56fd896383p-16, -0x1.4f8a78471c52p-16, -0x1.4ba657b82d74p-16, -0x1.480b46bce9a38p-16, -0x1.44b8d0a6b67fdp-16, -0x1.41aa441c15184p-16, -0x1.3edb6aee6441bp-16, -0x1.3c4898d51fc35p-16, -0x1.39ee323acb3f7p-16, -0x1.37c8cb73a62e1p-16, -0x1.35d4949ba5f67p-16, -0x1.340ed587143a3p-16, -0x1.32742a343af21p-16, -0x1.31014333b29d9p-16, -0x1.2fb439f6e61b7p-16, -0x1.2e8847cf538dep-16, -0x1.2d7dbbcf9a2efp-16, -0x1.2c8a5d1047e7fp-16, -0x1.2bc0dcb6629a3p-16, -0x1.2aff76893da1p-16, -0x1.2a5a3bfc7c30ep-16, -0x1.29c85052d542p-16, -0x1.2947dcef4c22dp-16, -0x1.28d7a0c5a6975p-16, -0x1.28740c30b6954p-16, -0x1.281d845d4590ap-16, -0x1.27d0ae5a80cc2p-16, -0x1.278b9fabe2478p-16, -0x1.274dbf842fb6fp-16, -0x1.2714f548d4864p-16, -0x1.26e0a58e528bcp-16, -0x1.26adfa987e782p-16, -0x1.267d88c30fd6ep-16, -0x1.2648cbb964901p-16, -0x1.261917ccc1fc1p-16, -0x1.25e3fbdf1bcd3p-16, -0x1.25a310d0f10dcp-16, -0x1.25707787a8499p-16, -0x1.252a18e9689fdp-16, -0x1.24de299aeece5p-16, -0x1.248f6789fc034p-16, -0x1.2437afedb1e97p-16, -0x1.23d5b30109468p-16, -0x1.236d2e494fe37p-16, -0x1.22f7c80ecdc97p-16, -0x1.227bd55009fefp-16, -0x1.21f297c1a9a2bp-16, -0x1.2160af0a79e0ap-16, -0x1.20bff869f9f1p-16, -0x1.2016ae5ff009fp-16, -0x1.1f61069c3d06fp-16, -0x1.1e9e60e952ac3p-16, -0x1.1dcf41f1dae3dp-16, -0x1.1cf2bfb0ac289p-16, -0x1.1c094196bb9a5p-16, -0x1.1b1277d551823p-16, -0x1.1a09d34da5707p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.5f9c29abed3fp+0, -0x1.50113f3f5a251p+0, -0x1.4009237e9e8f5p+0, -0x1.2faaab234784dp+0, -0x1.1f19186c07f9ap+0, -0x1.0e740762bbd56p+0, -0x1.fbaeeebc8f0ep-1, -0x1.dab7d531b2098p-1, -0x1.ba2d1dfef1c9ep-1, -0x1.9a3304794172fp-1, -0x1.7ae7f3b19ed56p-1, -0x1.5c653959b7685p-1, -0x1.3ebf46a08e15bp-1, -0x1.220673106014dp-1, -0x1.064745edfea89p-1, -0x1.d715e4fcd9e02p-2, -0x1.a3afa44d4a486p-2, -0x1.7263592728b7bp-2, -0x1.43342f32735a8p-2, -0x1.1621bd71c42a9p-2, -0x1.d650e18f63557p-3, -0x1.8483e53648766p-3, -0x1.36cb8f95988cep-3, -0x1.da2711ad47237p-4, -0x1.4e88fb7e7cc5ep-4, -0x1.951268ae817c5p-5, -0x1.37c22fd0f4709p-6, 0x1.3bd4234a0ad4ep-7, 0x1.2be6bc9751795p-5, 0x1.fb6dd70a3ef3bp-5, 0x1.5f0305f06e78fp-4, 0x1.ba15bf37393acp-4, 0x1.079675ec97aebp-3, 0x1.2f42ed6d2fa26p-3, 0x1.542e9c74c4cbep-3, 0x1.7677bdf42a776p-3, 0x1.963bd1676d4a1p-3, 0x1.b397a8a81140fp-3, 0x1.cea768d99d831p-3, 0x1.e78691440e913p-3, 0x1.fe4ffa7bf7f07p-3, 0x1.098ee5b3dd34ep-2, 0x1.1304b335cc695p-2, 0x1.1b95af5319d9p-2, 0x1.234db6cdf838dp-2, 0x1.2a383c34776ddp-2, 0x1.30604be071e28p-2, 0x1.35d08f5e5f589p-2, 0x1.3a935120ce7e7p-2, 0x1.3eb27a3772edcp-2, 0x1.423793b88dfe4p-2, 0x1.452bc4fc6f81ap-2, 0x1.4797d3de044d2p-2, 0x1.498425c983a62p-2, 0x1.4af8c1aa45fb9p-2, 0x1.4bfd54d70a98ep-2, 0x1.4c9934fccbd5dp-2, 0x1.4cd3641f3b5b7p-2, 0x1.4cb2931404443p-2, 0x1.4c3d234d1d506p-2, 0x1.4b792815b4fbap-2, 0x1.4a6c696dbf1acp-2, 0x1.491c61f752d5bp-2, 0x1.478e46fdba4c8p-2, 0x1.45c70644f533cp-2, 0x1.43cb4abd6c334p-2, 0x1.419f7f08cc36ap-2, 0x1.3f47d01735601p-2, 0x1.3cc82fc93579ep-2, 0x1.3a2457880b4f9p-2, 0x1.375fca1b3c3e2p-2, 0x1.347dd62b4f0aap-2, 0x1.3181982f5bcccp-2, 0x1.2e6dfc2d5af51p-2, 0x1.2b45bfe7b7056p-2, 0x1.280b74957fb61p-2, 0x1.24c180e688f4p-2, 0x1.216accb8ee98cp-2, 0x1.1e08191666cfcp-2, 0x1.1a9c03f0ba36fp-2, 0x1.17285d5fd0b6fp-2, 0x1.13aed45262de3p-2, 0x1.1030f90be4624p-2, 0x1.0cb03eb4d2202p-2, 0x1.092dfd1c9b78fp-2, 0x1.05ab720383d96p-2, 0x1.0229c2a74e1a3p-2, 0x1.fd53fa1fed91fp-3, 0x1.f65a32a99d2efp-3, 0x1.ef67f55645009p-3, 0x1.e87ee2757eafbp-3, 0x1.e1a0716c89791p-3, 0x1.dacdfc80b2522p-3, 0x1.d408b86bd153ep-3, 0x1.cd51bc43cb7bap-3, 0x1.c6aa0248098afp-3, 0x1.c01269befc9d4p-3, 0x1.b98bb87da05b4p-3, 0x1.b3169ceac6de3p-3, 0x1.acb3afa5bb45p-3, 0x1.a663757990c4ap-3, 0x1.a026601740749p-3, 0x1.99fccfbbb65afp-3, 0x1.93e71736273a7p-3, 0x1.8de5747f96daep-3, 0x1.87f81f25e94adp-3, 0x1.821f3d2bef44cp-3, 0x1.7c5aeb1983284p-3, 0x1.76ab39dcb68a2p-3, 0x1.711030dff41c5p-3, 0x1.6b89ce3b3f1e5p-3, 0x1.6618079a80efep-3, 0x1.60bacb3d368dcp-3, 0x1.5b71ff6796d01p-3, 0x1.563d857307604p-3, 0x1.511d37ad71ef7p-3, 0x1.4c10eb8c92007p-3, 0x1.471871bf15c1bp-3, 0x1.423396d3672aep-3, 0x1.3d622355bacf8p-3, 0x1.38a3dca92e618p-3, 0x1.33f885cd52501p-3, 0x1.2f5fde13b1d5dp-3, 0x1.2ad9a3d7d6ca5p-3, 0x1.266592efc0a9ep-3, 0x1.2203661832eb2p-3, 0x1.1db2d6623d031p-3, 0x1.19739cab33e21p-3, 0x1.1545700a91c21p-3, 0x1.112807dc52834p-3, 0x1.0d1b1a7036719p-3, 0x1.091e5ea9fb7fdp-3, 0x1.05318ac728875p-3, 0x1.01545579e1709p-3, 0x1.fb0cecf4d54fdp-4, 0x1.f38f48ad9344p-4, 0x1.ec2f2db44dc53p-4, 0x1.e4ec0d6f901bfp-4, 0x1.ddc55ae4580ap-4, 0x1.d6ba89b2b2536p-4, 0x1.cfcb0fe6adb7p-4, 0x1.c8f6655ffbc76p-4, 0x1.c23c03e776c9bp-4, 0x1.bb9b67c9e512ep-4, 0x1.b5140e8b4d417p-4, 0x1.aea57a8fccffp-4, 0x1.a84f2e0f7c67p-4, 0x1.a210ac9fdccf9p-4, 0x1.9be980a71b417p-4, 0x1.95d93426abe72p-4, 0x1.8fdf5496a120bp-4, 0x1.89fb6fbf1eaa3p-4, 0x1.842d1a60bf94ap-4, 0x1.7e73e875ebbc1p-4, 0x1.78cf7138953bbp-4, 0x1.733f4f880091cp-4, 0x1.6dc31eab9352ap-4, 0x1.685a7efedd1f6p-4, 0x1.630511eaa5732p-4, 0x1.5dc27b8e421edp-4, 0x1.589261f57bf6ap-4, 0x1.53747016ca555p-4, 0x1.4e685085288d7p-4, 0x1.496dae9ab2d26p-4, 0x1.44843e05edc8p-4, 0x1.3fabb2d4a51cp-4, 0x1.3ae3bc4c82413p-4, 0x1.362c12bf71978p-4, 0x1.31846ee61b1c4p-4, 0x1.2cec8b9d4fcc1p-4, 0x1.2864261687634p-4, 0x1.23eafcf45767cp-4, 0x1.1f80d0d5f61d4p-4, 0x1.1b2565977fc87p-4, 0x1.16d87e1291e9ap-4, 0x1.1299e28da379p-4, 0x1.0e6959515e37bp-4, 0x1.0a46acbc6744ep-4, 0x1.0631a8146e7p-4, 0x1.022a17ff5cfcap-4, 0x1.fc5f95bf2a10bp-5, 0x1.f48520bb80137p-5, 0x1.ecc472e7e66bep-5, 0x1.e51d32368ef3bp-5, 0x1.dd8f04f6c3a71p-5, 0x1.d61994c476668p-5, 0x1.cebc908d3e257p-5, 0x1.c777a44513a48p-5, 0x1.c04a804903d57p-5, 0x1.b934dc759602dp-5, 0x1.b23668fd0897ep-5, 0x1.ab4ee03430184p-5, 0x1.a47df682a95b5p-5, 0x1.9dc36b370d6e9p-5, 0x1.971ef9d68a83bp-5, 0x1.9090601b17b2fp-5, 0x1.8a175dd312224p-5, 0x1.83b3b5976a42p-5, 0x1.7d6528e54dccfp-5, 0x1.772b7d08da003p-5, 0x1.7106767998c7fp-5, 0x1.6af5dd9f1d60fp-5, 0x1.64f9797ba72e7p-5, 0x1.5f11141b89748p-5, 0x1.593c7742834d8p-5, 0x1.537b6e19deea9p-5, 0x1.4dcdc74035ea7p-5, 0x1.48334db285ddap-5, 0x1.42abd08f69b43p-5, 0x1.3d371fac4faccp-5, 0x1.37d508cc9ee63p-5, 0x1.32855ed377e7ap-5, 0x1.2d47f28ac33fcp-5, 0x1.281c94871a86fp-5, 0x1.23031b978beb8p-5, 0x1.1dfb573efc669p-5, 0x1.19051da6eeed2p-5, 0x1.14204000778ep-5, 0x1.0f4c96d9cd867p-5, 0x1.0a89f545f71e6p-5, 0x1.05d833d8a3357p-5, 0x1.013726df6b1f6p-5, 0x1.f94d4bc2f629ep-6, 0x1.f04d0e031892ap-6, 0x1.e76d45d7b25f9p-6, 0x1.deada237c2e3p-6, 0x1.d60dd3816e6bap-6, 0x1.cd8d8b08d861ep-6, 0x1.c52c799ff422bp-6, 0x1.bcea5279bc24cp-6, 0x1.b4c6c5e5a0b0bp-6, 0x1.acc18bbe091ddp-6, 0x1.a4da5277a724fp-6, 0x1.9d10d13a31815p-6, 0x1.9564bb475d052p-6, 0x1.8dd5c72e9a3f7p-6, 0x1.8663a669b3b4ep-6, 0x1.7f0e11ae1e4b2p-6, 0x1.77d4bef61e274p-6, 0x1.70b763464183ap-6, 0x1.69b5b453f6136p-6, 0x1.62cf6e2f939ep-6, 0x1.5c044257c22efp-6, 0x1.5553ea429a7ecp-6, 0x1.4ebe1e394eb83p-6, 0x1.48429593f8993p-6, 0x1.41e108f85c617p-6, 0x1.3b9931793c39fp-6, 0x1.356ac75505f59p-6, 0x1.2f5583ce5bdd1p-6, 0x1.2959204ef323dp-6, 0x1.237556234816bp-6, 0x1.1da9e0331880bp-6, 0x1.17f6776c1fdf3p-6, 0x1.125ad6bf0990ep-6, 0x1.0cd6b9457c3b1p-6, 0x1.0769d8361b422p-6, 0x1.0213f151633ddp-6, 0x1.f9a979c97329cp-7, 0x1.ef57f26b9c50cp-7, 0x1.e532c1ae6ba4dp-7, 0x1.db3961cc940aap-7, 0x1.d16b4ac825fd1p-7, 0x1.c7c7f34b5decbp-7, 0x1.be4edd9402d4ap-7, 0x1.b4ff7d79976c1p-7, 0x1.abd94e0f35172p-7, 0x1.a2dbcef8b1ddfp-7, 0x1.9a0678cc7f47cp-7, 0x1.9158cdd966ba9p-7, 0x1.88d24952ba3a7p-7, 0x1.807267015a051p-7, 0x1.7838abfcfbe0ap-7, 0x1.702493a168188p-7, 0x1.6835a140e5934p-7, 0x1.606b51517162bp-7, 0x1.58c52b8fc07b1p-7, 0x1.5142b0430d7b4p-7, 0x1.49e36328cd786p-7, 0x1.42a6c85283de3p-7, 0x1.3b8c65ce82c0cp-7, 0x1.3493c09f81b29p-7, 0x1.2dbc5fa669429p-7, 0x1.2705cb42877a2p-7, 0x1.206f8b3e0c779p-7, 0x1.19f9260edc8c4p-7, 0x1.13a229ca85702p-7, 0x1.0d6a21caa8807p-7, 0x1.075092da89f71p-7, 0x1.01551392bbec4p-7, 0x1.f6ee581b4bd89p-8, 0x1.eb6cdce8d01e3p-8, 0x1.e024bed9f038fp-8, 0x1.d5153500b5949p-8, 0x1.ca3d5fb0cf056p-8, 0x1.bf9c5c800e12fp-8, 0x1.b5315415d04e4p-8, 0x1.aafb719429c76p-8, 0x1.a0f9dd9d7f3aep-8, 0x1.972bc27a7874p-8, 0x1.8d9050369cadfp-8, 0x1.8426b60b67016p-8, 0x1.7aee29c5c4a44p-8, 0x1.71e5db66571efp-8, 0x1.690d0181767d6p-8, 0x1.6062d9076503cp-8, 0x1.57e699ae0addap-8, 0x1.4f977f57aef96p-8, 0x1.4774c6c7ba861p-8, 0x1.3f7db8c48a417p-8, 0x1.37b1918864632p-8, 0x1.300f92931a5dfp-8, 0x1.28970a5841016p-8, 0x1.21473e7e4d76ep-8, 0x1.1a1f7a5f7657fp-8, 0x1.131f0d2b6f22p-8, 0x1.0c4546049d799p-8, 0x1.059171777bb2ep-8, 0x1.fe05c443de08ap-9, 0x1.f131ec790c081p-9, 0x1.e4a60b3756b18p-9, 0x1.d860d06b25a5bp-9, 0x1.cc60e10e60365p-9, 0x1.c0a50f0bd2888p-9, 0x1.b52c159356bc3p-9, 0x1.a9f4bd104c34dp-9, 0x1.9efdbeb610772p-9, 0x1.9445f77cd2076p-9, 0x1.89cc38413bb4ep-9, 0x1.7f8f4e63e7c7p-9, 0x1.758e1272d771dp-9, 0x1.6bc76bd8807c3p-9, 0x1.623a35b1ecd1cp-9, 0x1.58e551aaec7edp-9, 0x1.4fc7b2d5e96a2p-9, 0x1.46e03c44ee6cap-9, 0x1.3e2df361fe176p-9, 0x1.35afba7604fc5p-9, 0x1.2d648ec525bf6p-9, 0x1.254b6e86902fcp-9, 0x1.1d635a21db67ap-9, 0x1.15a826a709e59p-9, 0x1.0e1f3632a55bbp-9, 0x1.06c47dbfcd37ap-9, 0x1.ff2df8aea0f9fp-10, 0x1.f12b98dcd2f65p-10, 0x1.e380115657c0fp-10, 0x1.d6296d06252d9p-10, 0x1.c9265c02bdaa9p-10, 0x1.bc74cc0525839p-10, 0x1.b012fe85a9f17p-10, 0x1.a3ff58bbba832p-10, 0x1.983859ada1c43p-10, 0x1.8cbc44e43b942p-10, 0x1.81898ed19a1a1p-10, 0x1.769ea4247a79bp-10, 0x1.6bf9ea97f5325p-10, 0x1.619a1806b91e6p-10, 0x1.577d89750fe86p-10, 0x1.4da2c184eada1p-10, 0x1.44084ef8a1d25p-10, 0x1.3aacd3d0fb55fp-10, 0x1.318ef5b48239bp-10, 0x1.28ad6911cdb85p-10, 0x1.2006b9cf887a7p-10, 0x1.1799a9abd0b64p-10, 0x1.0f64d79331c7bp-10, 0x1.076736674ad9dp-10, 0x1.ff3ead10f10b2p-11, 0x1.f0180c08ed5edp-11, 0x1.e1583d598cac9p-11, 0x1.d2fcf0d9d864p-11, 0x1.c503d3a0e25d8p-11, 0x1.b76a9d1b9e8dep-11, 0x1.aa2ede02762d8p-11, 0x1.9d4f1040cde51p-11, 0x1.90c87157173c6p-11, 0x1.84990bff477ap-11, 0x1.78bf099d9b8dep-11, 0x1.6d3837df38ad7p-11, 0x1.6202a84c5c04fp-11, 0x1.571c6aa790f1dp-11, 0x1.4c839a6e40a68p-11, 0x1.4236849bc9e61p-11, 0x1.3832f501b8a8bp-11, 0x1.2e7792de010cep-11, 0x1.250227dac790fp-11, 0x1.1bd176d53f4f4p-11, 0x1.12e3921ee307ap-11, 0x1.0a36d7078a007p-11, 0x1.01c9ad2ebafeap-11, 0x1.f33513673b741p-12, 0x1.e34f9b784a00fp-12, 0x1.d3e01c7c70359p-12, 0x1.c4e380d936bb8p-12, 0x1.b656d515f35f2p-12, 0x1.a837c1686a31dp-12, 0x1.9a826bb2612f7p-12, 0x1.8d34e68647f58p-12, 0x1.804c754b76596p-12, 0x1.73c66fc6d2c3p-12, 0x1.67a03f2278ff3p-12, 0x1.5bd764cc38a9bp-12, 0x1.50698f55031f4p-12, 0x1.455448d85c6d7p-12, 0x1.3a94ced87791ap-12, 0x1.302978eeab989p-12, 0x1.261001f5912b9p-12, 0x1.1c45e8e53c258p-12, 0x1.12c8898425476p-12, 0x1.099740cc505cbp-12, 0x1.00af004901596p-12, 0x1.f01bfd95e3f82p-13, 0x1.df636f351bc61p-13, 0x1.cf33c2b39c89cp-13, 0x1.bf85adf42c0ep-13, 0x1.b05794ac6ed7bp-13, 0x1.a1a4fa2320f68p-13, 0x1.936b2d918f81ap-13, 0x1.85a651f78a8efp-13, 0x1.7853451fa772bp-13, 0x1.6b6eedca0f67dp-13, 0x1.5ef4bf18a659ap-13, 0x1.52e4d83b205e3p-13, 0x1.4738edf3725p-13, 0x1.3bf04bc226703p-13, 0x1.3106ec3a65bd7p-13, 0x1.267a3a6a356edp-13, 0x1.1c47abd8fbfbep-13, 0x1.126c8df879c55p-13, 0x1.08e63389bbb45p-13, 0x1.ff64b1a3f8fep-14, 0x1.ed9c6962ece91p-14, 0x1.dc6f1bea1052dp-14, 0x1.cbd8c980434e6p-14, 0x1.bbd352d14172ep-14, 0x1.ac5b9c3736f32p-14, 0x1.9d6d1c0ccaed7p-14, 0x1.8f0359cd0c50ep-14, 0x1.811a55e1ca13bp-14, 0x1.73adfdc14583p-14, 0x1.66babadcd7bd8p-14, 0x1.5a3c63a14ccb5p-14, 0x1.4e2fd8d507b05p-14, 0x1.428db50c88669p-14, 0x1.375cd58ab6f25p-14, 0x1.2c8e1ce021a5bp-14, 0x1.22243562afa4cp-14, 0x1.181a18cd37692p-14, 0x1.0e6e4528ddbb2p-14, 0x1.051c251066ec8p-14, 0x1.f843c352f1513p-15, 0x1.e6f65c699ad67p-15, 0x1.d64cc81a54826p-15, 0x1.c643e438434bp-15, 0x1.b6ce9d93186fbp-15, 0x1.a7ed43b28614bp-15, 0x1.999ee19a432a9p-15, 0x1.8bd68151a0dd3p-15, 0x1.7e93d4886beep-15, 0x1.71d21004b33dap-15, 0x1.658d0af7a1fd5p-15, 0x1.59bdbaeae7505p-15, 0x1.4e60e830226bep-15, 0x1.4375a19224f9dp-15, 0x1.38f6506f678a6p-15, 0x1.2edaa8292fdebp-15, 0x1.252513bc2c043p-15, 0x1.1bd10b0603156p-15, 0x1.12d7d53d986dcp-15, 0x1.0a38a120829d9p-15, 0x1.01ed0be959534p-15, 0x1.f3f0683bbff73p-16, 0x1.e4a605f733ecep-16, 0x1.d5f116d7e403bp-16, 0x1.c7d36d3c66649p-16, 0x1.ba410c4d2b8e7p-16, 0x1.ad3c1adf5515dp-16, 0x1.a0ac1f73bd993p-16, 0x1.94acd522ef3adp-16, 0x1.89203c9bdd595p-16, 0x1.7e0817cd1115dp-16, 0x1.735fedfe8542cp-16, 0x1.692355ea3062p-16, 0x1.5f4df9251d364p-16, 0x1.55de9676de4f2p-16, 0x1.4cc950c9f606ap-16, 0x1.4412127341a45p-16, 0x1.3bb2176c76eb8p-16, 0x1.33a5ec3c1faffp-16, 0x1.2beb67f072234p-16, 0x1.247b817844c48p-16, 0x1.1d57412efd4e9p-16, 0x1.1678dafbc3c48p-16, 0x1.0fda06590b03fp-16, 0x1.0981ba20e0bb2p-16, 0x1.0364c2527e5f7p-16, 0x1.fb03fcb1b65d7p-17, 0x1.efb2587ccb464p-17, 0x1.e4cb221c47944p-17, 0x1.da48e8890da1cp-17, 0x1.d02e574fbbdf1p-17, 0x1.c66b15c687279p-17, 0x1.bd036182976b4p-17, 0x1.b3ea048d8a40ap-17, 0x1.ab2b5cb673a04p-17, 0x1.a2b835d49e854p-17, 0x1.9a89793f6fa52p-17, 0x1.92abe5bfd079p-17, 0x1.8af70a9e818bcp-17, 0x1.839d4d5af31d8p-17, 0x1.7c75ebf9d589cp-17, 0x1.7584e6b92448dp-17, 0x1.6ecd0e52cd56ap-17, 0x1.68451c886f70cp-17, 0x1.61e8cc12e5f7p-17, 0x1.5bcd5920ae07p-17, 0x1.55c9269bc1b26p-17, 0x1.4ffff23ad7f84p-17, 0x1.4a4cd04df123ap-17, 0x1.44ca95d0660fp-17, 0x1.3f5ee07a28f9fp-17, 0x1.3a1d93b97ed5cp-17, 0x1.35039ca386232p-17, 0x1.2ff57371687d8p-17, 0x1.2b0d1f029be5fp-17, 0x1.2636dfe72512bp-17, 0x1.218498bf6b91ap-17, 0x1.1cea0b7fb7013p-17, 0x1.18573f9080f73p-17, 0x1.13dfb30b7f58ep-17, 0x1.0f7ca1e0be2cep-17, 0x1.0b29c4024c3b3p-17, 0x1.06eebe7ebad44p-17, 0x1.02b9452db4a0cp-17, 0x1.fd35330ed1e28p-18, 0x1.f509c7324112dp-18, 0x1.ecfe2f37d035cp-18, 0x1.e508e7403b202p-18, 0x1.dd2bad2c35cf1p-18, 0x1.d55f3b2099a88p-18, 0x1.cdbf67aa8a98fp-18, 0x1.c6143c2a25b8dp-18, 0x1.be858b593789ep-18, 0x1.b702708156de6p-18, 0x1.af93a3564fd28p-18, 0x1.a836a30e98f4ap-18, 0x1.a0ddd7e9c5a43p-18, 0x1.99a3a494addeep-18, 0x1.925e517bdcfdfp-18, 0x1.8b2b9844f0b34p-18, 0x1.8422435e1478cp-18, 0x1.7cf7f7cdeb276p-18, 0x1.75e5d5f2cdf7bp-18, 0x1.6ee2d3e82bed5p-18, 0x1.67e642bfa9761p-18, 0x1.60f128c353341p-18, 0x1.5a03cf26dc50dp-18, 0x1.531cee6e98f5bp-18, 0x1.4c3e04f2212a3p-18, 0x1.457bd11635eacp-18, 0x1.3e8f6c365f79p-18, 0x1.37d998f6b52e5p-18, 0x1.310b29fdc5e4fp-18, 0x1.2a519b044aa6dp-18, 0x1.239d5cc82a1bcp-18, 0x1.1ce33ff598153p-18, 0x1.165f007d44f7p-18, 0x1.0f95eaae155a2p-18, 0x1.09038d699611ep-18, 0x1.027ef2b851422p-18, 0x1.f7d3ada4c4385p-19, 0x1.eac9af7edf7b5p-19, 0x1.ddc928dc9742cp-19, 0x1.d0d7436581b56p-19, 0x1.c3f686f254d4p-19, 0x1.b720ad3241647p-19, 0x1.aa5870333463dp-19, 0x1.9da5f1461b127p-19, 0x1.90ff32a585f79p-19, 0x1.846d8a2dae2d9p-19, 0x1.77e2c10366d67p-19, 0x1.6b75be9f9e725p-19, 0x1.5ef035ef13c94p-19, 0x1.52d54b528f253p-19, 0x1.467b89a2c1f0ep-19, 0x1.3a4c4ddf90012p-19, 0x1.2e335de9fe3a9p-19, 0x1.223d22a5ee18p-19, 0x1.161d3dfb7fa67p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9954744e9b36ap+0, -0x1.93602a9168fa2p+0, -0x1.8d18abc367a61p+0, -0x1.86890d25de748p+0, -0x1.7fbbdf07976adp+0, -0x1.78bb1b3e5ccd8p+0, -0x1.719019e15b3e7p+0, -0x1.6a438b2a53e5p+0, -0x1.62dd75e81ca17p+0, -0x1.5b6538bf3398dp+0, -0x1.53e18db86d0e5p+0, -0x1.4c58916ff0947p+0, -0x1.44cfc81707b31p+0, -0x1.3d4c2795db2cap+0, -0x1.35d21e6357307p+0, -0x1.2e659d237ff79p+0, -0x1.270a202416e9bp+0, -0x1.1fc2b669f46e4p+0, -0x1.18920ba879343p+0, -0x1.117a70fa07256p+0, -0x1.0a7de353e8f6fp+0, -0x1.039e130eaf179p+0, -0x1.f9b8d9bff1282p-1, -0x1.ec743e4d9d3efp-1, -0x1.df703e9083f43p-1, -0x1.d2ae602dda321p-1, -0x1.c62fcf683652ep-1, -0x1.b9f5678655f2cp-1, -0x1.adffba6298896p-1, -0x1.a24f1a092f861p-1, -0x1.96e39f0df350fp-1, -0x1.8bbd2f74a6d3cp-1, -0x1.80db84bb2771p-1, -0x1.763e323b13a85p-1, -0x1.6be4a5a997ef2p-1, -0x1.61ce3138e5983p-1, -0x1.57fa0c9d8c53bp-1, -0x1.4e67587cf9d57p-1, -0x1.4515224ec1ed2p-1, -0x1.3c0266521a9a5p-1, -0x1.332e12a92e1d2p-1, -0x1.2a9709a555374p-1, -0x1.223c247b12c48p-1, -0x1.1a1c3429ac091p-1, -0x1.123603b5c9cf1p-1, -0x1.0a885939775f4p-1, -0x1.0311f77b40c56p-1, -0x1.f7a33d9f5d77ep-2, -0x1.e98c1c60415efp-2, -0x1.dbdc092b836c8p-2, -0x1.ce908319fe646p-2, -0x1.c1a70c643c6e2p-2, -0x1.b51d2b22c0a82p-2, -0x1.a8f06b7acf017p-2, -0x1.9d1e5f224a23bp-2, -0x1.91a49ec3fb04cp-2, -0x1.8680cb4ce4adap-2, -0x1.7bb08e558cc74p-2, -0x1.71319ac0cc061p-2, -0x1.6701add83924fp-2, -0x1.5d1e8e95e04d3p-2, -0x1.53860e5a53d3bp-2, -0x1.4a360a8c10261p-2, -0x1.412c6abe0fb3ep-2, -0x1.38672287b5502p-2, -0x1.2fe4310f11b2cp-2, -0x1.27a1a1104be89p-2, -0x1.1f9d89531f912p-2, -0x1.17d60ba5d3a14p-2, -0x1.104955e636bcdp-2, -0x1.08f5a1c0ba78cp-2, -0x1.01d9346e6b76fp-2, -0x1.f5e4bda55165fp-3, -0x1.e87efad99c70bp-3, -0x1.db7df03ce4ebep-3, -0x1.cede843b2b8c5p-3, -0x1.c29db347d62e8p-3, -0x1.b6b88d66cfa7ap-3, -0x1.ab2c3c85cc2a8p-3, -0x1.9ff5fc2ab51bcp-3, -0x1.95131ea521a8dp-3, -0x1.8a810a0744e98p-3, -0x1.803d38078b7d8p-3, -0x1.764535f0cffbdp-3, -0x1.6c96a418b9519p-3, -0x1.632f358d5be28p-3, -0x1.5a0caf536eb05p-3, -0x1.512ce973ce26bp-3, -0x1.488dcb3d2f4f9p-3, -0x1.402d4e7baf9edp-3, -0x1.38097c16e5cf7p-3, -0x1.30206f81e5a9ap-3, -0x1.2870505a26fd2p-3, -0x1.20f757c559f93p-3, -0x1.19b3ccdb13c16p-3, -0x1.12a404fb79b17p-3, -0x1.0bc6635d63fep-3, -0x1.0519591302efap-3, -0x1.fd36c6e45b731p-4, -0x1.f0961a4508f5p-4, -0x1.e44dd859a20e4p-4, -0x1.d85b47e992021p-4, -0x1.ccbbc55d090fep-4, -0x1.c16cc0de299dep-4, -0x1.b66bc679704dap-4, -0x1.abb67065816dep-4, -0x1.a14a710364bdbp-4, -0x1.97258d17cdc5ep-4, -0x1.8d459c792847cp-4, -0x1.83a889b85ce51p-4, -0x1.7a4c50af8beep-4, -0x1.712efea03c0b1p-4, -0x1.684eafd333436p-4, -0x1.5fa996a287531p-4, -0x1.573deb5865573p-4, -0x1.4f09fc38b6c7ep-4, -0x1.470c23c25a9eap-4, -0x1.3f42ca84df241p-4, -0x1.37ac6690d67b6p-4, -0x1.30477b18a1e45p-4, -0x1.291297cd992cdp-4, -0x1.220c5865ab3b7p-4, -0x1.1b3364d0af21ap-4, -0x1.14867045fb526p-4, -0x1.0e0437599e1c2p-4, -0x1.07ab82cdddb76p-4, -0x1.017b2735df93cp-4, -0x1.f6e3fa253414p-5, -0x1.eb1ddb77e0ab3p-5, -0x1.dfa1cd97d55cap-5, -0x1.d46dc1da1972ep-5, -0x1.c97fb7952d533p-5, -0x1.bed5c0d22b07ap-5, -0x1.b46dfe8d0cf2p-5, -0x1.aa46a04c2f77dp-5, -0x1.a05de6d557643p-5, -0x1.96b21f2581d2ap-5, -0x1.8d41a5285ef54p-5, -0x1.840adfea9b5c4p-5, -0x1.7b0c466d69f75p-5, -0x1.72445a1e76ec9p-5, -0x1.69b1a85b7a789p-5, -0x1.6152cb1886b93p-5, -0x1.592665aef70cdp-5, -0x1.512b29432a1d8p-5, -0x1.495fcb8abfde9p-5, -0x1.41c31256fe924p-5, -0x1.3a53ccba16e3fp-5, -0x1.3310cdd9a2907p-5, -0x1.2bf8f5ca1e47dp-5, -0x1.250b2d9a7bde9p-5, -0x1.1e4665c014d2ep-5, -0x1.17a9947243498p-5, -0x1.1133bdc73648fp-5, -0x1.0ae3e3d14fa73p-5, -0x1.04b91843cc68fp-5, -0x1.fd64ee160941dp-6, -0x1.f19e2b00a844dp-6, -0x1.e61c32e73c0c1p-6, -0x1.dadd59b7bd3ep-6, -0x1.cfe00167c8547p-6, -0x1.c5228daf4b61ap-6, -0x1.baa379ae99de6p-6, -0x1.b0614f74cec22p-6, -0x1.a65a8f51f8da4p-6, -0x1.9c8dd89c8ddabp-6, -0x1.92f9c6b639d42p-6, -0x1.899d05ffe0066p-6, -0x1.80764a7819e6p-6, -0x1.778450d4e412cp-6, -0x1.6ec5de232ee0ap-6, -0x1.6639c0e3e681bp-6, -0x1.5ddecd77d4aacp-6, -0x1.55b3e4e18e0b7p-6, -0x1.4db7e70b1977ap-6, -0x1.45e9ca9650647p-6, -0x1.3e487a8e6e4f4p-6, -0x1.36d2f5b83a643p-6, -0x1.2f883bc77f8b2p-6, -0x1.2867572cfc725p-6, -0x1.216f53dee6707p-6, -0x1.1a9f48d6ff708p-6, -0x1.13f650c0aa82fp-6, -0x1.0d738737e312ep-6, -0x1.0716172721078p-6, -0x1.00dd2bb8d5e73p-6, -0x1.f58fdd2d9807p-7, -0x1.e9ab388811e5cp-7, -0x1.de0add92c6182p-7, -0x1.d2ad3bcb47578p-7, -0x1.c790e9c76f4d8p-7, -0x1.bcb46e703e44bp-7, -0x1.b2166e7e80dc8p-7, -0x1.a7b580a97ac4dp-7, -0x1.9d90509b00788p-7, -0x1.93a58f3d0691fp-7, -0x1.89f3fda867e65p-7, -0x1.807a53abb007cp-7, -0x1.77375483bd255p-7, -0x1.6e29ea061f6b8p-7, -0x1.6550d0bbbfb4fp-7, -0x1.5caaec85c332fp-7, -0x1.5437281f361eap-7, -0x1.4bf45e656ffb2p-7, -0x1.43e18dd8f1e83p-7, -0x1.3bfdb0086c1c4p-7, -0x1.3447a91c45551p-7, -0x1.2cbe94205fb9bp-7, -0x1.25616f54fe1cap-7, -0x1.1e2f447c62ec5p-7, -0x1.172731838c4a9p-7, -0x1.10484272e2cfap-7, -0x1.099197468384cp-7, -0x1.03025665bf288p-7, -0x1.f93330c08cc25p-8, -0x1.ecad2e916411cp-8, -0x1.e070ee38ec3b5p-8, -0x1.d47ceeb5446ebp-8, -0x1.c8cf9b33021c5p-8, -0x1.bd6752c312f7dp-8, -0x1.b242b0dabe311p-8, -0x1.a7603c2ae03ddp-8, -0x1.9cbe7db8fa493p-8, -0x1.925c14a2e8665p-8, -0x1.8837a0b791321p-8, -0x1.7e4fc852873bfp-8, -0x1.74a341d630f36p-8, -0x1.6b30b2f6cfbb8p-8, -0x1.61f6e8874f467p-8, -0x1.58f4a0332792ap-8, -0x1.5028b16bad246p-8, -0x1.4791c8b02fed4p-8, -0x1.3f2ee2006ba06p-8, -0x1.36fecd787354bp-8, -0x1.2f006ea8854dap-8, -0x1.2732a90e6f78cp-8, -0x1.1f947dac14e27p-8, -0x1.1824cffbcb6a9p-8, -0x1.10e2a14824bc9p-8, -0x1.09cce85a4878ap-8, -0x1.02e2b9c0d07d4p-8, -0x1.f84624e12e3bp-9, -0x1.eb19fa54fea2bp-9, -0x1.de3f3a6bee608p-9, -0x1.d1b4088203828p-9, -0x1.c576a0e80d049p-9, -0x1.b985391065442p-9, -0x1.adde4c0e3d39fp-9, -0x1.a28004d2017d1p-9, -0x1.9768cf5155714p-9, -0x1.8c9712491b153p-9, -0x1.82096c50e9e2ep-9, -0x1.77bddb5080302p-9, -0x1.6db357e9e14dep-9, -0x1.63e8427e8b8dep-9, -0x1.5a5b2b3f4a7a3p-9, -0x1.510aaf2f67d2ep-9, -0x1.47f5598ab61b8p-9, -0x1.3f19fcaf5832ap-9, -0x1.367720c83c021p-9, -0x1.2e0b86f82a172p-9, -0x1.25d5e32a9d79p-9, -0x1.1dd5103c1b1f9p-9, -0x1.1607cbb18bb5bp-9, -0x1.0e6ccd9f1c0cap-9, -0x1.0703219efeab9p-9, -0x1.ff92b1e13bf88p-10, -0x1.f17d2aff2ae52p-10, -0x1.e3c36645c1cc8p-10, -0x1.d663220ce14cp-10, -0x1.c95a5613b8a3p-10, -0x1.bca6b24eb39ep-10, -0x1.b0471ee8cb781p-10, -0x1.a438b66f10c0fp-10, -0x1.9879d4968f6aap-10, -0x1.8d08afcbf2fa8p-10, -0x1.81e35893389c8p-10, -0x1.770806666d349p-10, -0x1.6c7513bc895f7p-10, -0x1.6228ab226002dp-10, -0x1.582122e0ba419p-10, -0x1.4e5cd8b135803p-10, -0x1.44da2ee7ff0ap-10, -0x1.3b9781401bc9dp-10, -0x1.329352d2695edp-10, -0x1.29cc6075a4005p-10, -0x1.2140d145e01d8p-10, -0x1.18ef51152f9d1p-10, -0x1.10d656ea2b0d6p-10, -0x1.08f4fee89a66ep-10, -0x1.01496a76057cbp-10, -0x1.f3a4a6af7b6e7p-11, -0x1.e51dab28976c3p-11, -0x1.d6fa9034fcdc5p-11, -0x1.c93930b1fa782p-11, -0x1.bbd75d7031affp-11, -0x1.aed19cb643219p-11, -0x1.a226e77bdad1cp-11, -0x1.95d473779a24bp-11, -0x1.89d846c594a5ep-11, -0x1.7e30008bdae14p-11, -0x1.72d9965ad032cp-11, -0x1.67d2b969fd575p-11, -0x1.5d1a3971dea2p-11, -0x1.52ad457364b2fp-11, -0x1.488a3e190e555p-11, -0x1.3eaf3e9dcd01ep-11, -0x1.351a72b13923cp-11, -0x1.2bc9cd6ff330cp-11, -0x1.22bc5dc620b64p-11, -0x1.19ef5f0c02392p-11, -0x1.116231dbef51cp-11, -0x1.091265192885ep-11, -0x1.00feac4b6445cp-11, -0x1.f24ae6ebb2526p-12, -0x1.e30ae7f9f058ap-12, -0x1.d4397d58cbbc3p-12, -0x1.c5d39c218d584p-12, -0x1.b7d7e8087e217p-12, -0x1.aa429aa886a7cp-12, -0x1.9d10b8f8abebp-12, -0x1.904047ca0a917p-12, -0x1.83ce9212fc9f1p-12, -0x1.77b9254a3f571p-12, -0x1.6bfd0fe3882bap-12, -0x1.60986d504f43ep-12, -0x1.5588d256deaf5p-12, -0x1.4acbfa538915ap-12, -0x1.405f8dfc3900fp-12, -0x1.3641777e3cb4dp-12, -0x1.2c6fa3d7b88cfp-12, -0x1.22e80bf2deca6p-12, -0x1.19a8aa16dcf02p-12, -0x1.10af3c148c01p-12, -0x1.07f9fabc9fbd7p-12, -0x1.ff0e70fbdcc8fp-13, -0x1.eeaa28da302fbp-13, -0x1.dec3d17e69a65p-13, -0x1.cf576410bf812p-13, -0x1.c061bf6a26e72p-13, -0x1.b1df83ac2eb83p-13, -0x1.a3cbef289c5a2p-13, -0x1.9626ff1ec737ap-13, -0x1.88ed73185e388p-13, -0x1.7c1ab6674f5bfp-13, -0x1.6fac33da9f8ebp-13, -0x1.639e72d2556f4p-13, -0x1.57f02f8d02323p-13, -0x1.4c9d8500d701cp-13, -0x1.41a644475aa94p-13, -0x1.370448a01781p-13, -0x1.2cb52cdcbad09p-13, -0x1.22b98fe243ec1p-13, -0x1.190dc8fb94b56p-13, -0x1.0faf62e3db726p-13, -0x1.069c297d42e1bp-13, -0x1.fba408488d92bp-14, -0x1.ea9d327c90b79p-14, -0x1.da22fa891f3acp-14, -0x1.ca2ad293d2ddap-14, -0x1.bab393f4d8888p-14, -0x1.abbc4830f8c74p-14, -0x1.9d3f2d61fe72ap-14, -0x1.8f38ac99fc111p-14, -0x1.81a572f051beap-14, -0x1.7481df6e25ed4p-14, -0x1.67cb72c192dfcp-14, -0x1.5b7f83cd60f75p-14, -0x1.4f97697ef916ap-14, -0x1.4410e1d12576dp-14, -0x1.38ec74f7e49cap-14, -0x1.2e25266c9eb6bp-14, -0x1.23b8433ca90f5p-14, -0x1.19a2ee9ecb99cp-14, -0x1.0fe379fe67b15p-14, -0x1.06741495bc1ap-14, -0x1.faae13982d61p-15, -0x1.e90aa4635e3adp-15, -0x1.d80179d714824p-15, -0x1.c788485554c02p-15, -0x1.b79a7f43d28b2p-15, -0x1.a837fd3d9e0bdp-15, -0x1.99581d9ca26b2p-15, -0x1.8af90b5863224p-15, -0x1.7d16c313513c8p-15, -0x1.6faedd1ffb4fdp-15, -0x1.62b5afc814861p-15, -0x1.56327147d7cb4p-15, -0x1.4a19fef345f92p-15, -0x1.3e6cc613cc2fbp-15, -0x1.3325592f180f1p-15, -0x1.28415d179c85fp-15, -0x1.1dbd9d8ab3d07p-15, -0x1.1396b079c838bp-15, -0x1.09c93b5e7680ep-15, -0x1.0053a84cc7a46p-15, -0x1.ee71e7e21b00dp-16, -0x1.dcd274fc282cp-16, -0x1.cbc1cb8163266p-16, -0x1.bb588eb043629p-16, -0x1.ab82677d16512p-16, -0x1.9c3af0be46d74p-16, -0x1.8d7d67f52b86dp-16, -0x1.7f4536b1b4cbfp-16, -0x1.718d6b6e41252p-16, -0x1.64539336d3206p-16, -0x1.579118545a1a1p-16, -0x1.4b4d1e5086797p-16, -0x1.3f70005e70d8fp-16, -0x1.33f6d59ce0ebfp-16, -0x1.28ef5c8c7d47fp-16, -0x1.1e4f2a61efdfdp-16, -0x1.14117f8fa052p-16, -0x1.0a2f925178eb6p-16, -0x1.00a5ea4537759p-16, -0x1.eef553bbb752ep-17, -0x1.dd4619d41fb5ap-17, -0x1.cc30e209c8e3cp-17, -0x1.bbcc6560af2f3p-17, -0x1.abf8e344a44e7p-17, -0x1.9cb90d9727ca7p-17, -0x1.8e0cec5b1d1ecp-17, -0x1.7fd040d89fd8cp-17, -0x1.723af4412cab9p-17, -0x1.6520d875f3f43p-17, -0x1.58788b315ad6cp-17, -0x1.4c48102820d1cp-17, -0x1.408ad042e3893p-17, -0x1.353d13355efd7p-17, -0x1.2a59f9dd5c5f8p-17, -0x1.1fde2483bb21cp-17, -0x1.15c2ed5704dddp-17, -0x1.0c0babbb7ea71p-17, -0x1.02ad94fc3c572p-17, -0x1.f36ddd23d263ap-18, -0x1.e1c49ab265037p-18, -0x1.d13928c324e2p-18, -0x1.c11ef17413bfep-18, -0x1.b19c4d9a159c7p-18, -0x1.a2ac71c752119p-18, -0x1.944f111d627efp-18, -0x1.866ec493bbbadp-18, -0x1.7918454ba3004p-18, -0x1.6c41e74512a8fp-18, -0x1.5fd86a6cd9b32p-18, -0x1.53efe6643e01fp-18, -0x1.4877cc00789e1p-18, -0x1.3d6c1b5abee85p-18, -0x1.32b365bed7e18p-18, -0x1.2880e8de75d86p-18, -0x1.1e9b5b35a8582p-18, -0x1.15091519238c6p-18, -0x1.0be4124ab8c4bp-18, -0x1.030dbaf639a9bp-18, -0x1.f503f6ae838aep-19, -0x1.e49d0d3409964p-19, -0x1.d49c855f75503p-19, -0x1.c587dfa512a0ep-19, -0x1.b6b8ff544cca9p-19, -0x1.a87bc747ee1f9p-19, -0x1.9ae280f041eep-19, -0x1.8d921d0fab2a6p-19, -0x1.80d1458037ab6p-19, -0x1.74868edc404ep-19, -0x1.68960f7385366p-19, -0x1.5d06e2477dc66p-19, -0x1.521770f218b04p-19, -0x1.476431904bb66p-19, -0x1.3d0358f559779p-19, -0x1.3306040ef6c04p-19, -0x1.2965daa2adc16p-19, -0x1.1fdc0031a44bep-19, -0x1.16fc0bec320afp-19, -0x1.0e5083a1fa23dp-19, -0x1.05d50335deb8p-19, -0x1.fb517642b054ap-20, -0x1.eb8378d96cc4bp-20, -0x1.dc0e31dc9690bp-20, -0x1.cd9ca2f369c44p-20, -0x1.bef670f11bd6ap-20, -0x1.b106cfc55b3afp-20, -0x1.a382e5e19b6e6p-20, -0x1.9669db9ad4013p-20, -0x1.89b18fa4df79ep-20, -0x1.7d529f10374eep-20, -0x1.7181cb1861fe2p-20, -0x1.65d7d66469f47p-20, -0x1.5a43fe9dd0155p-20, -0x1.4f7bf1497c7a9p-20, -0x1.44d676c939bc7p-20, -0x1.3a718db71821ep-20, -0x1.3061a90e1a88bp-20, -0x1.268a2b5be8718p-20, -0x1.1d1a5ac6b292dp-20, -0x1.13942a987e983p-20, -0x1.0aa8e88301525p-20, -0x1.01d4d01e1d87bp-20, -0x1.f27eddd6c750dp-21, -0x1.e1b06d423d22dp-21, -0x1.d1603cb57ac3dp-21, -0x1.c1506dc501413p-21, -0x1.b1695365f1d0fp-21, -0x1.a30a831d9b6cep-21, -0x1.931f07c888deep-21, -0x1.8575f6a9e7873p-21, -0x1.771c03b212e6p-21, -0x1.695bb6f81b2d8p-21, -0x1.5ba833d6bf6f3p-21, -0x1.4eecf9cb5b2adp-21, -0x1.40f8ff0c7174dp-21, -0x1.34ed6f6637879p-21, -0x1.287cce7288b85p-21, -0x1.1c6709698005ap-21, -0x1.10a212bcfa3a8p-21, -0x1.04ed981db0e15p-21, -0x1.f347231e4b46fp-22, -0x1.dcb06d0a051cdp-22, -0x1.c745b266fe104p-22, -0x1.b0b312570155p-22, -0x1.9c95c0428914fp-22, -0x1.88ac89beb7892p-22, -0x1.731c67d007db8p-22, -0x1.5fe02edc79536p-22, -0x1.4d881a657e0c5p-22, -0x1.39c1efc705f39p-22, -0x1.2713b9f76d668p-22, -0x1.14e894c8e7c22p-22, -0x1.032f1768c0f37p-22, -0x1.e4e7c4deb51a6p-23, -0x1.c08994b1e54dep-23, -0x1.9e937ea88b308p-23, -0x1.7d91dd04f5fa1p-23, -0x1.5d544405e8165p-23, -0x1.3b9e6b0805cf9p-23, -0x1.1e4d9093752d8p-23, -0x1.fe2e15c940f9cp-24, -0x1.c217fb8f02f7ap-24, -0x1.877ae5f28834p-24, -0x1.4d57f4b588dfbp-24, -0x1.14a5857db39c4p-24, -0x1.b838f3316fd58p-25, -0x1.53594c8e9bf76p-25, -0x1.c6efc934969e6p-26, -0x1.eeb8dfa790a54p-27, -0x1.3211414014d94p-29, 0x1.45b384c4754d9p-27, 0x1.63a047f5be107p-26, 0x1.15955999a0c37p-25, 0x1.6e38c081c8c3cp-25, 0x1.cffccd23d089bp-25, 0x1.0ff462b1002e2p-24, 0x1.45104ebbb1497p-24, 0x1.6b6fdb80eaf03p-24, 0x1.964b00f14d174p-24, 0x1.bf3098f1cb153p-24, 0x1.e784bf5d8dc14p-24, 0x1.0795d22fd97a9p-23, 0x1.1ac5d232fd99p-23, 0x1.2da0041553418p-23, 0x1.40178e504282ap-23, 0x1.504e1cde0c2afp-23, 0x1.6423bf833d034p-23, 0x1.7336db3a3e013p-23, 0x1.8531cf4844b9bp-23, 0x1.951e640addfc4p-23, 0x1.a4c4b48f90a61p-23, 0x1.b39e71e62132dp-23, 0x1.c1fb3d5f1d641p-23, 0x1.d2b5cc063a738p-23, 0x1.dd2acf1571b7dp-23, 0x1.eea51bc526c81p-23, 0x1.fa053ce7107afp-23, 0x1.0371b7a773d21p-22, 0x1.09a4ee173b4a4p-22, 0x1.100c24a71602bp-22, 0x1.151a6ae76bb19p-22, 0x1.1b14d1ce9017cp-22, 0x1.209475c14c458p-22, 0x1.25b58424a384ap-22, 0x1.2acb76cac1debp-22, 0x1.2f8c09c0ae3f2p-22, 0x1.344f01f5ce898p-22, 0x1.38b035ce4286ap-22, 0x1.3da7c3d66629dp-22, 0x1.4097c7709b21ap-22, 0x1.4512295bd399fp-22, 0x1.48da5bf78b796p-22, 0x1.4c65d7ab79a13p-22, 0x1.4f928c335ec5bp-22, 0x1.52a68e6de18ap-22, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.13db7a583a715p-3, -0x1.3743bfa2ca323p-3, -0x1.5919028a2074ep-3, -0x1.78aedbc2fb8a4p-3, -0x1.9577884bc571dp-3, -0x1.af04bfcbd314dp-3, -0x1.c506a044cb9acp-3, -0x1.d749c3e86a6dfp-3, -0x1.e5b42b973c402p-3, -0x1.f0426e9ebb092p-3, -0x1.f7044c087519ap-3, -0x1.fa1807e8f8931p-3, -0x1.f9a955e462c91p-3, -0x1.f5ecf612855a5p-3, -0x1.ef1ef51be7eaep-3, -0x1.e57f6c09f0145p-3, -0x1.d951a10014cffp-3, -0x1.cada57f1b46c8p-3, -0x1.ba5d2efc8ac3cp-3, -0x1.a81c8b2119f7p-3, -0x1.9459aab6e80cep-3, -0x1.7f52970e8ada1p-3, -0x1.694111b567d3ap-3, -0x1.525bb4bb6c1b5p-3, -0x1.3ad65c179712ep-3, -0x1.22e0cb824568ap-3, -0x1.0aa5ddd456bf3p-3, -0x1.e498f2fa4cf83p-4, -0x1.b3f157a16da17p-4, -0x1.839700cb5482bp-4, -0x1.53c456d026e28p-4, -0x1.24abcce086a96p-4, -0x1.ecf2c393df3e7p-5, -0x1.92a0ff2fc1ab9p-5, -0x1.3aba522033c4ap-5, -0x1.cae705b0b6487p-6, -0x1.25f27cedb4a67p-6, -0x1.0dbf5fda445f6p-7, 0x1.21145d1cd7b06p-10, 0x1.494ce3532bbddp-7, 0x1.30af51c74d781p-6, 0x1.b60a207cba483p-6, 0x1.1a535edb238cdp-5, 0x1.56429b07e7d24p-5, 0x1.8ed86700f0ef1p-5, 0x1.c41d1ea1ced47p-5, 0x1.f619ea6a5517ep-5, 0x1.126c33192291bp-4, 0x1.2831cc62a7f63p-4, 0x1.3c64bbf43ade3p-4, 0x1.4f0dface0a292p-4, 0x1.603897a3e031ep-4, 0x1.6ff14dfc73c3dp-4, 0x1.7e45cfbad266ep-4, 0x1.8b440a039f7c1p-4, 0x1.96f99d297175dp-4, 0x1.a173aa83d7b59p-4, 0x1.aabef7242deb1p-4, 0x1.b2e83bfbe38ffp-4, 0x1.b9fc7e4516f92p-4, 0x1.c0094a790c1cdp-4, 0x1.c51cbda569b29p-4, 0x1.c94562a514475p-4, 0x1.cc91e284eb0bdp-4, 0x1.cf10b25058284p-4, 0x1.d0cfcb06f0576p-4, 0x1.d1dc77f354f71p-4, 0x1.d2434a12542a3p-4, 0x1.d210293cab009p-4, 0x1.d14e7768f41a3p-4, 0x1.d009391d0e11fp-4, 0x1.ce4b372ee6b8cp-4, 0x1.cc1f0b57525bap-4, 0x1.c98f293d8ffd4p-4, 0x1.c6a5c2c1cecdcp-4, 0x1.c36cb38ba6383p-4, 0x1.bfed62d876b9dp-4, 0x1.bc298aaef51c4p-4, 0x1.b832b44c96f2bp-4, 0x1.b40ef6f8c83b9p-4, 0x1.afc5fe56180e7p-4, 0x1.ab5ebb4c3fcc1p-4, 0x1.a6df65253143ep-4, 0x1.a24d885507ccap-4, 0x1.9dae17eb91757p-4, 0x1.99058bde3d6b7p-4, 0x1.9457f9f154e9dp-4, 0x1.8fa92d318120cp-4, 0x1.8afcb89644516p-4, 0x1.86560270a8f46p-4, 0x1.81b849aa723ddp-4, 0x1.7d26a51c6b068p-4, 0x1.78a3fbcc30079p-4, 0x1.7432ff88e8188p-4, 0x1.6fd6219f35631p-4, 0x1.6b8f8aa492deep-4, 0x1.676110cba32bp-4, 0x1.634c37ab9f32p-4, 0x1.5f522d85115afp-4, 0x1.5b73cec5c6b1ep-4, 0x1.57b1ac29bf293p-4, 0x1.540c121007b09p-4, 0x1.50831317be5dcp-4, 0x1.4d1691256f44fp-4, 0x1.49c64a717b8dp-4, 0x1.4691dc40fb715p-4, 0x1.4378d25349003p-4, 0x1.407aa5163d2b4p-4, 0x1.3d96c3dfe8fcap-4, 0x1.3acc8ff41b25ap-4, 0x1.381b63bee2d39p-4, 0x1.35828e9cafda2p-4, 0x1.330154003b157p-4, 0x1.3096e9928a45dp-4, 0x1.2e4277d507fb6p-4, 0x1.2c03166c6faap-4, 0x1.29d7cd04f2a9dp-4, 0x1.27bf92e2a55ddp-4, 0x1.25b94f5da26e7p-4, 0x1.23c3db234fd71p-4, 0x1.21de01e2fd0edp-4, 0x1.20068249b1078p-4, 0x1.1e3c1655b9e24p-4, 0x1.1c7d6c502fbdbp-4, 0x1.1ac9336119884p-4, 0x1.191e1715edaefp-4, 0x1.177ac524806f6p-4, 0x1.15ddef51b7727p-4, 0x1.14464c28f762dp-4, 0x1.12b29a37d17eap-4, 0x1.1121a078a9c85p-4, 0x1.0f922fad202e9p-4, 0x1.0e0322f312635p-4, 0x1.0c73604bbda94p-4, 0x1.0ae1d79b267bfp-4, 0x1.094d855a62f33p-4, 0x1.07b570b2a0b98p-4, 0x1.0618aaf6c001fp-4, 0x1.04764ec8c477p-4, 0x1.02cd831f3d03ap-4, 0x1.011d76e940f6bp-4, 0x1.fecac78eab6dbp-5, 0x1.fb4917a8db43ap-5, 0x1.f7b475f029e8fp-5, 0x1.f40b8baa6e2bap-5, 0x1.f04d14f5d0d89p-5, 0x1.ec77dff4c6dbbp-5, 0x1.e88aced5fa739p-5, 0x1.e484d5cea958ep-5, 0x1.e064fdb17ca37p-5, 0x1.dc2a63381e54dp-5, 0x1.d7d43b295d56fp-5, 0x1.d361c95897784p-5, 0x1.ced26bb8cb5f3p-5, 0x1.ca259691f5987p-5, 0x1.c55ad02613dabp-5, 0x1.c071b7ceab785p-5, 0x1.bb6a008b8d863p-5, 0x1.b64372d151eaep-5, 0x1.b0fdeae20bb9dp-5, 0x1.ab9959a6036fdp-5, 0x1.a615c3089239bp-5, 0x1.a0733d04486f3p-5, 0x1.9ab1f1126b4e9p-5, 0x1.94d216ea6cb81p-5, 0x1.8ed4fe4905ea6p-5, 0x1.88b7a1eb16828p-5, 0x1.827cc8db9c283p-5, 0x1.7c24f5eba1f4fp-5, 0x1.75b0b7d19f57dp-5, 0x1.6f20a79adf12ap-5, 0x1.6875684512c69p-5, 0x1.61afa568c20cep-5, 0x1.5ad0114ebec0bp-5, 0x1.53d7687362b75p-5, 0x1.4cc669e8b38b4p-5, 0x1.459de0551530ep-5, 0x1.3e5e993f96167p-5, 0x1.370969451923p-5, 0x1.2f9f2c0c65f3bp-5, 0x1.2820c2fcb40bfp-5, 0x1.208f1554b19fcp-5, 0x1.18eb1108296a1p-5, 0x1.1135aa27d95a2p-5, 0x1.096fdaa33393p-5, 0x1.019aa26148fedp-5, 0x1.f36e0e7cd7918p-6, 0x1.e38c283f70997p-6, 0x1.d391b20f61458p-6, 0x1.c380d3e44037cp-6, 0x1.b35bc0235aa5bp-6, 0x1.a324ad4b5943bp-6, 0x1.92dddc3c6b335p-6, 0x1.82898c2aa8b61p-6, 0x1.722a02cc92b66p-6, 0x1.61c1879b0e02ep-6, 0x1.515262e11c942p-6, 0x1.40ded8d32db9ep-6, 0x1.306930084f4cep-6, 0x1.1ff3a83958bcp-6, 0x1.0f808032b54e4p-6, 0x1.fe23d8e9efb1dp-7, 0x1.dd543e8234ad9p-7, 0x1.bc9684d4a92p-7, 0x1.9beeefb0c98d5p-7, 0x1.7b61af5c0c243p-7, 0x1.5af2e76123188p-7, 0x1.3aa6a1b12c7ffp-7, 0x1.1a80d9acfd2fp-7, 0x1.f50aeedd663d5p-8, 0x1.b57092862f1dfp-8, 0x1.763a187bfa27dp-8, 0x1.376ecf711f436p-8, 0x1.f22bb8d5aad08p-9, 0x1.766c64f8d4da7p-9, 0x1.f75a94d3ce9f7p-10, 0x1.03f74017c58a8p-10, 0x1.2c8d3211fe48ap-14, -0x1.b82f53e9dfcabp-11, -0x1.c891b33d65197p-10, -0x1.5946caca82667p-9, -0x1.ccfa0e88711d3p-9, -0x1.1fabbf4c95d98p-8, -0x1.582a1c51d13b5p-8, -0x1.8ff2e90309aedp-8, -0x1.c70115cac24bcp-8, -0x1.fd4fc5cdd3657p-8, -0x1.196d251107881p-7, -0x1.33ce121477254p-7, -0x1.4dc88659129e3p-7, -0x1.675a70dac27p-7, -0x1.8081e1cc17259p-7, -0x1.993cf6c683a46p-7, -0x1.b189f739b66bep-7, -0x1.c96733fe9f5bbp-7, -0x1.e0d323d09c359p-7, -0x1.f7cc4d83cd76bp-7, -0x1.0728a9d0f4444p-6, -0x1.12307ccea4aep-6, -0x1.1cfd08dc4947bp-6, -0x1.278dc7ae2e29dp-6, -0x1.31e23e2110e5ap-6, -0x1.3bf9fd28c3d95p-6, -0x1.45d4a1baf66c9p-6, -0x1.4f71d5bd05fdbp-6, -0x1.58d14e66b5112p-6, -0x1.61f2cd26d226cp-6, -0x1.6ad61e6068c89p-6, -0x1.737b1a4b4553p-6, -0x1.7be1a3e7968bbp-6, -0x1.8409a924bdb22p-6, -0x1.8bf322ab6cd1ap-6, -0x1.939e13261abaap-6, -0x1.9b0a87c04a8dep-6, -0x1.a2389777581b4p-6, -0x1.a9286352a95cep-6, -0x1.afda13a3d2da4p-6, -0x1.b64ddd7152ef8p-6, -0x1.bc83fafd4fe5ap-6, -0x1.c27cb2648dcf7p-6, -0x1.c8384f1d8b04p-6, -0x1.cdb728537bcacp-6, -0x1.d2f998258417dp-6, -0x1.d80003f5408fap-6, -0x1.dccadad2bd9edp-6, -0x1.e15a8b567a37ap-6, -0x1.e5af931fb43e6p-6, -0x1.e9ca724f143dep-6, -0x1.edabae28a031cp-6, -0x1.f153d68d9c1e9p-6, -0x1.f4c37ec1a4b9ap-6, -0x1.f7fb3d09ef049p-6, -0x1.fafbb299099a6p-6, -0x1.fdc5853a42fa1p-6, -0x1.002cadfad6958p-5, -0x1.015bf203fe03cp-5, -0x1.0270e8bc0fb69p-5, -0x1.036bed594fed6p-5, -0x1.044d5d4b80844p-5, -0x1.05159809e628p-5, -0x1.05c4ff0aedd4bp-5, -0x1.065bf52e50d9bp-5, -0x1.06dadf2d32807p-5, -0x1.07422388b1f7ap-5, -0x1.079228cda206cp-5, -0x1.07cb58b5fd179p-5, -0x1.07ee1d151376fp-5, -0x1.07fae1720283cp-5, -0x1.07f210ac1832bp-5, -0x1.07d4184dcc5f6p-5, -0x1.07a1668be8c75p-5, -0x1.075a69799c399p-5, -0x1.06ff8eda70e16p-5, -0x1.069147424d1d8p-5, -0x1.061002e1ca976p-5, -0x1.057c302404f7ap-5, -0x1.04d64147f8fe8p-5, -0x1.041ea56f001afp-5, -0x1.0355cc9c6623p-5, -0x1.027c28d1980e7p-5, -0x1.0192285a58abep-5, -0x1.00983b99d415ap-5, -0x1.ff1da6d9e4819p-6, -0x1.fcecbb7261e1fp-6, -0x1.fa9e9200ac205p-6, -0x1.f8340c3f6d4b3p-6, -0x1.f5ae0354a540cp-6, -0x1.f30d504101e8p-6, -0x1.f052cee816ac9p-6, -0x1.ed7f537512c7dp-6, -0x1.ea93b63cb8b38p-6, -0x1.e790ca41f0016p-6, -0x1.e4776352760ffp-6, -0x1.e14851356a7c9p-6, -0x1.de0462a7f3649p-6, -0x1.daac640650de1p-6, -0x1.d74120ad78baep-6, -0x1.d3c35fcbda35p-6, -0x1.d033e61190d2p-6, -0x1.cc93791ab0d7ep-6, -0x1.c8e2d91412a1dp-6, -0x1.c522c5945c5bap-6, -0x1.c153f75319145p-6, -0x1.bd772a1342a6fp-6, -0x1.b98d1475bb4c5p-6, -0x1.b5966bb47f95dp-6, -0x1.b193dcf683caap-6, -0x1.ad86197a26e2fp-6, -0x1.a96dcdcd46af1p-6, -0x1.a54ba0859b1c8p-6, -0x1.a120377001a7bp-6, -0x1.9cec3776c9e2p-6, -0x1.98b03f88f43c8p-6, -0x1.946cee06cf55ap-6, -0x1.9022daf744db6p-6, -0x1.8bd29e1e02fdfp-6, -0x1.877ccfe3d88b3p-6, -0x1.8321fce3d5317p-6, -0x1.7ec2b51e61bcbp-6, -0x1.7a5f837ad6f3fp-6, -0x1.75f8f07428c4ep-6, -0x1.7177f924c9dc1p-6, -0x1.6d0b46c91c906p-6, -0x1.689cc27802568p-6, -0x1.642ceace77de6p-6, -0x1.5fbc39fe0d0e5p-6, -0x1.5b4b27da2ac17p-6, -0x1.56da26bccbedep-6, -0x1.5269b0b0be7bcp-6, -0x1.4dfa2bf560576p-6, -0x1.498c0905e8687p-6, -0x1.451fb11b218bcp-6, -0x1.40b58a0f273d8p-6, -0x1.3c4df7be06244p-6, -0x1.37e95bc5eb422p-6, -0x1.338814298e655p-6, -0x1.2f2a7a7e89198p-6, -0x1.2ad0ee3478469p-6, -0x1.267bbe837f17fp-6, -0x1.222b4355bff62p-6, -0x1.1ddfca7d5289ap-6, -0x1.1999a1489513p-6, -0x1.155915eaea3f5p-6, -0x1.111e748103734p-6, -0x1.0ce9fe7f7ecf5p-6, -0x1.08bbfa734ffeap-6, -0x1.0494a87d2853cp-6, -0x1.007448fa88ceap-6, -0x1.f8b633cf59691p-7, -0x1.f092a61ef0f8ep-7, -0x1.e87e57966a6cdp-7, -0x1.e079b9e23bc1cp-7, -0x1.d88532bce4c04p-7, -0x1.d0a120b9bdba1p-7, -0x1.c8cddf8ed17dcp-7, -0x1.c10bcf1e170d1p-7, -0x1.b95b3c09d2c9ap-7, -0x1.b1bc7daf97592p-7, -0x1.aa2fdcf262dd2p-7, -0x1.a2b5a241570a2p-7, -0x1.9b4e10eb47583p-7, -0x1.93f968763fa52p-7, -0x1.8cb7e47c7127bp-7, -0x1.8589be3607f49p-7, -0x1.7e6f24ec73b07p-7, -0x1.77684bad611cp-7, -0x1.70755f6a8af66p-7, -0x1.699685919eb5fp-7, -0x1.62cbe45929e33p-7, -0x1.5c159c4b756ecp-7, -0x1.5573cb112ecc3p-7, -0x1.4ee68b5e69775p-7, -0x1.486df2bd77684p-7, -0x1.420a15c56c4ddp-7, -0x1.3bbb03f4ea021p-7, -0x1.3580cac497166p-7, -0x1.2f5b738ada0b7p-7, -0x1.294b044fd10c7p-7, -0x1.234f88ced5051p-7, -0x1.1d68f9005af11p-7, -0x1.179757b2d8464p-7, -0x1.11daa07e48cd9p-7, -0x1.0c32cce7f901bp-7, -0x1.069fd5ab51a23p-7, -0x1.0121ae0467d8cp-7, -0x1.f77087a33bb55p-8, -0x1.ecc71d998fee1p-8, -0x1.e246f37cd090ap-8, -0x1.d7efe49daf92bp-8, -0x1.cdc1b5b2fed12p-8, -0x1.c3bc5705cb4cp-8, -0x1.b9df7a382781fp-8, -0x1.b02af0fc9ed58p-8, -0x1.a69e7b6fc7ae3p-8, -0x1.9d39f605398f1p-8, -0x1.93fd009433427p-8, -0x1.8ae76c86c98fp-8, -0x1.81f8e8ce5426dp-8, -0x1.7931373b66ff2p-8, -0x1.709009bf61f89p-8, -0x1.681516755a8b4p-8, -0x1.5fc00be3abc4fp-8, -0x1.57909997af43cp-8, -0x1.4f866e9049e76p-8, -0x1.47a137863578ep-8, -0x1.3fe09c4398a1cp-8, -0x1.38444a3f819cep-8, -0x1.30cbde663db64p-8, -0x1.297707894e3c5p-8, -0x1.2245642be3f4ap-8, -0x1.1b3693a8daf5cp-8, -0x1.144a42378c6fdp-8, -0x1.0d8003bdbad95p-8, -0x1.06d77dd4465b5p-8, -0x1.00504aab03de6p-8, -0x1.f3d4240593582p-9, -0x1.e748b51efe43cp-9, -0x1.dafd9cdcc60a7p-9, -0x1.cef209aa71008p-9, -0x1.c3252a45719d8p-9, -0x1.b79630be7575dp-9, -0x1.ac444dd6e1b31p-9, -0x1.a12eae49d10edp-9, -0x1.965480d26ec95p-9, -0x1.8bb4e3888279ap-9, -0x1.814f344d31734p-9, -0x1.77225e0f8ec48p-9, -0x1.6d2db0ae39357p-9, -0x1.63704fc146763p-9, -0x1.59e966229c09fp-9, -0x1.50981fec07b92p-9, -0x1.477ba8633ec62p-9, -0x1.3e93298324429p-9, -0x1.35ddd2f23a563p-9, -0x1.2d5adec7e7328p-9, -0x1.250954f9da807p-9, -0x1.1ce88db0abc7dp-9, -0x1.14f7a6da84cbdp-9, -0x1.0d35d9b68f2f6p-9, -0x1.05a25680cb90dp-9, -0x1.fc78a73600c61p-10, -0x1.ee06264e7cc74p-10, -0x1.dfeb6a00805e5p-10, -0x1.d226f79941438p-10, -0x1.c4b768a89f547p-10, -0x1.b79b27c10545fp-10, -0x1.aad09fd16a1cap-10, -0x1.9e56715aaff06p-10, -0x1.922b2d915bc01p-10, -0x1.864d31e790d03p-10, -0x1.7abb2c5fdb763p-10, -0x1.6f73b77f92496p-10, -0x1.6475637b65cfep-10, -0x1.59bec4f75d1ebp-10, -0x1.4f4e83d21dc8bp-10, -0x1.4523537299d68p-10, -0x1.3b3bae6b30152p-10, -0x1.3196712d260dfp-10, -0x1.28320f8aaaf11p-10, -0x1.1f0d8ab6959efp-10, -0x1.162766ed85a97p-10, -0x1.0d7e63ac6ced9p-10, -0x1.051142369cb42p-10, -0x1.f9bd8c9396bc3p-11, -0x1.e9cb678f94f9p-11, -0x1.da49b04e36a45p-11, -0x1.cb35f64524928p-11, -0x1.bc8ddf35fd877p-11, -0x1.ae4f175c6e4a2p-11, -0x1.a0774b4ea42cep-11, -0x1.93043cd08d279p-11, -0x1.85f39c1e9ff13p-11, -0x1.79434740bcdddp-11, -0x1.6cf0f2dfe4e6fp-11, -0x1.60fa964e53d4p-11, -0x1.555df7338bffcp-11, -0x1.4a190d0249981p-11, -0x1.3f29bf0062006p-11, -0x1.348e0c8a15b3cp-11, -0x1.2a43f4f3d9683p-11, -0x1.20496d848566dp-11, -0x1.169ca585136efp-11, -0x1.0d3b92ddf81b2p-11, -0x1.0424905948d67p-11, -0x1.f6aa7594a7282p-12, -0x1.e598f4c56ae2ap-12, -0x1.d51020a6dc382p-12, -0x1.c50cc291ba9ddp-12, -0x1.b58b5a7cb1917p-12, -0x1.a688974c44549p-12, -0x1.98010b03a092p-12, -0x1.89f19dc93a148p-12, -0x1.7c56ed99ab9c2p-12, -0x1.6f2dff049f0f8p-12, -0x1.6273bc413425fp-12, -0x1.5624d58479ca6p-12, -0x1.4a3f6445f66aep-12, -0x1.3ebef6bc34391p-12, -0x1.33a1f59e6d284p-12, -0x1.28e4da91f1538p-12, -0x1.1e855fc23c1c3p-12, -0x1.1480ab0445544p-12, -0x1.0ad43aa3e2183p-12, -0x1.017d6ad6c2eaap-12, -0x1.f0f3aa5f227f9p-13, -0x1.df8e33a4c3945p-13, -0x1.cec4ab04c9796p-13, -0x1.be94211685ad7p-13, -0x1.aef6b8193e2a3p-13, -0x1.9fe865178413p-13, -0x1.9164ce423d737p-13, -0x1.8367af4f0f836p-13, -0x1.75ecd40eb6d36p-13, -0x1.68f08f3c217d8p-13, -0x1.5c6e35f9d2358p-13, -0x1.50628b13fe0b3p-13, -0x1.44c980df8e199p-13, -0x1.399f8bc64d59p-13, -0x1.2ee106577919cp-13, -0x1.248a7b57d6896p-13, -0x1.1a988077ba3f5p-13, -0x1.1107c2800886p-13, -0x1.07d501b039c47p-13, -0x1.fdfa60e52d076p-14, -0x1.ecfa4317bfcfap-14, -0x1.dca3c932059a1p-14, -0x1.ccf12a74793c1p-14, -0x1.bddc92c5b4f4bp-14, -0x1.af60fd607864fp-14, -0x1.a17839e99bb4cp-14, -0x1.941d9dfb9d0b1p-14, -0x1.874d86ed9d487p-14, -0x1.7aff8ad889504p-14, -0x1.6f31b387c2596p-14, -0x1.63debe79d7e2p-14, -0x1.59020fd669814p-14, -0x1.4e9721fcdfa6ep-14, -0x1.4499f9bdf6da4p-14, -0x1.3b0601607e166p-14, -0x1.31d7bd2721347p-14, -0x1.290b683c1733ap-14, -0x1.209ca301a70edp-14, -0x1.1888418217cd1p-14, -0x1.10ca733108f88p-14, -0x1.09601f562a448p-14, -0x1.02457beb22d84p-14, -0x1.f6eef550f72d1p-15, -0x1.e9e906f198128p-15, -0x1.dd6c471b44f4cp-15, -0x1.d178b10639bf3p-15, -0x1.c606b431d8a32p-15, -0x1.bb0e5087b06b6p-15, -0x1.b08efe57d45bbp-15, -0x1.a67dbac507e03p-15, -0x1.9cd9486645f5p-15, -0x1.9399db0b42388p-15, -0x1.8abc4683b8cbap-15, -0x1.823c1bbbe41abp-15, -0x1.7a118f76be6c8p-15, -0x1.723b9fb8d7aafp-15, -0x1.6ab3690d11b25p-15, -0x1.63775d0e8fd88p-15, -0x1.5c8128a9e30e4p-15, -0x1.55cdcc6e8eae3p-15, -0x1.4f5bcf9027758p-15, -0x1.49261c1f2fb14p-15, -0x1.432b2c1868d29p-15, -0x1.3d67abd1e620ap-15, -0x1.37d9584d8699p-15, -0x1.327ba82712c1ep-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.945954a5e4ad3p-4, -0x1.cc14c1f072142p-4, -0x1.0244e1c73d53fp-3, -0x1.1e853ec819451p-3, -0x1.3a79eaddbaafp-3, -0x1.55d889d0de4ffp-3, -0x1.705f0e8e69a55p-3, -0x1.89d44ef7dea37p-3, -0x1.a208204a49aabp-3, -0x1.b8d335a4dd74fp-3, -0x1.ce1695d67ab36p-3, -0x1.e1bb244394b4cp-3, -0x1.f3b0ed76fb516p-3, -0x1.01f7326c8da2p-2, -0x1.0937d923b8782p-2, -0x1.0f9ae8f94c7a8p-2, -0x1.15230fecc0183p-2, -0x1.19d4c2e456f22p-2, -0x1.1db5de0d59e25p-2, -0x1.20cd831ef79cep-2, -0x1.2323d13697bb7p-2, -0x1.24c18c17fb876p-2, -0x1.25aff8ebca0bp-2, -0x1.25f8d065d4f76p-2, -0x1.25a6049577466p-2, -0x1.24c18bb736a7p-2, -0x1.235550ca80548p-2, -0x1.216b30d611289p-2, -0x1.1f0ce600f04cdp-2, -0x1.1c43e77edbe95p-2, -0x1.1919599616459p-2, -0x1.15960cb0432c9p-2, -0x1.11c2800a8515p-2, -0x1.0da6d9dab968bp-2, -0x1.094afb6b8c242p-2, -0x1.04b62164ce23dp-2, -0x1.ffde7d06fc9b4p-3, -0x1.f5f9e0e60fc9fp-3, -0x1.ebcaf719041f6p-3, -0x1.e15d863c5f296p-3, -0x1.d6bc856435e8ep-3, -0x1.cbf21f5c94ba8p-3, -0x1.c107bff470f4ep-3, -0x1.b6062e1ccbf7bp-3, -0x1.aaf5979326113p-3, -0x1.9fdd9b968d74p-3, -0x1.94c54967f4291p-3, -0x1.89b31b7531473p-3, -0x1.7eacf8a1c901p-3, -0x1.73b833e847ce5p-3, -0x1.68d99b252a9efp-3, -0x1.5e15833d2ec98p-3, -0x1.536fd5fc86cdbp-3, -0x1.48ec1a87d45eap-3, -0x1.3e8d7bca3e54ep-3, -0x1.3456cd64954b2p-3, -0x1.2a4a8a0a4211bp-3, -0x1.206ad71acc042p-3, -0x1.16b987941878fp-3, -0x1.0d38204d82f5dp-3, -0x1.03e7dea26fc63p-3, -0x1.f59384629dffbp-4, -0x1.e3bd1902b096dp-4, -0x1.d24da5b371602p-4, -0x1.c145f4e551be4p-4, -0x1.b0a67f003db99p-4, -0x1.a06f6db61a2c7p-4, -0x1.90a09e6aa8443p-4, -0x1.8139a7971b8bcp-4, -0x1.7239dc1689defp-4, -0x1.63a04fc8895ddp-4, -0x1.556be0b8f7435p-4, -0x1.479b3dd8ac7e6p-4, -0x1.3a2cedb5aaa83p-4, -0x1.2d1f55318f3d3p-4, -0x1.2070bc3a989e2p-4, -0x1.141f51dbd25d2p-4, -0x1.0829d42d1134p-4, -0x1.f919fdd3d8905p-5, -0x1.e28ebc05ddeb4p-5, -0x1.ccadc11aba8dap-5, -0x1.b772d8f27044cp-5, -0x1.a2d9c27dd407dp-5, -0x1.8ede2f6a9c0e6p-5, -0x1.7b7bc6a0e881dp-5, -0x1.68ae2697e2d8ep-5, -0x1.5670e9ec58276p-5, -0x1.44bfa885fb6b6p-5, -0x1.339602a2fa4e2p-5, -0x1.22ef9d82e547cp-5, -0x1.12c832d1328d5p-5, -0x1.031b7a05b8627p-5, -0x1.e7cab586b112p-6, -0x1.ca437d6015fbcp-6, -0x1.ad995ccc046d7p-6, -0x1.91c49a13fe983p-6, -0x1.76bdb14529c4ap-6, -0x1.5c7d51d0f1a88p-6, -0x1.42fc62fade529p-6, -0x1.2a33fe9a3aa06p-6, -0x1.121d796c5c619p-6, -0x1.f5649fd7e188dp-7, -0x1.c7d8676982428p-7, -0x1.9b8a403fb116p-7, -0x1.706e156213e73p-7, -0x1.4678b5d11efaap-7, -0x1.1d9f04930c389p-7, -0x1.ebacd299f6ee7p-8, -0x1.9e294f5d9a10fp-8, -0x1.529fda7798fd4p-8, -0x1.08fd9a5bdf1fp-8, -0x1.82610202aa6fap-9, -0x1.ec9d925fa3569p-10, -0x1.b68c2d2f5e958p-11, 0x1.7c0fa08d965f7p-13, 0x1.33f6d66f8d542p-10, 0x1.1928a76063809p-9, 0x1.9563a531ad309p-9, 0x1.0762fa5027b1bp-8, 0x1.42b3f226904bcp-8, 0x1.7cb03889742b1p-8, 0x1.b562a5362e0c4p-8, 0x1.ecd5971e7f745p-8, 0x1.118962f1fe71fp-7, 0x1.2c11b00d17f46p-7, 0x1.4608098755354p-7, 0x1.5f70980ff6f76p-7, 0x1.784f199ade373p-7, 0x1.90a74c2d8342ap-7, 0x1.a87c8cdba9d79p-7, 0x1.bfd21a34218dep-7, 0x1.d6aaeb58509cbp-7, 0x1.ed09d58c9bb3cp-7, 0x1.0178bb835dabap-6, 0x1.0c321b2f04f44p-6, 0x1.16b23406225a1p-6, 0x1.20fa14733ce87p-6, 0x1.2b0ab70e27d67p-6, 0x1.34e50133b110bp-6, 0x1.3e89cd2c621c1p-6, 0x1.47f9e0ea1196dp-6, 0x1.5135f32102b8ep-6, 0x1.5a3eae712aa6dp-6, 0x1.6314ac298a7c6p-6, 0x1.6bb8821169331p-6, 0x1.742aa84dc5cb7p-6, 0x1.7c6b9fa730276p-6, 0x1.847be1f480615p-6, 0x1.8c5bc9c3dabbdp-6, 0x1.940bb9ada7009p-6, 0x1.9b8c0a298a209p-6, 0x1.a2dd131b0b8e2p-6, 0x1.a9ff15daa677ep-6, 0x1.b0f260ff563f9p-6, 0x1.b7b72e2e98a07p-6, 0x1.be4dbc5bd7f7ap-6, 0x1.c4b653da66c5p-6, 0x1.caf11aed61b6ep-6, 0x1.d0fe4ac3eb28cp-6, 0x1.d6de161891c19p-6, 0x1.dc90b136b4578p-6, 0x1.e2163ddf9c75fp-6, 0x1.e76ef131ae549p-6, 0x1.ec9b06bbf66a5p-6, 0x1.f19a9650f03abp-6, 0x1.f66e09f46106cp-6, 0x1.fb153b4f965a4p-6, 0x1.ff9074adbc9d9p-6, 0x1.01eff2acb580dp-5, 0x1.0401deb8d8788p-5, 0x1.05fe16b8b355p-5, 0x1.07e4b51229e28p-5, 0x1.09b5d449a98afp-5, 0x1.0b718f357f0c9p-5, 0x1.0d18035f336dep-5, 0x1.0ea94f3e350a7p-5, 0x1.1025913922d78p-5, 0x1.118cea16641ebp-5, 0x1.12df7aa32a455p-5, 0x1.141d66ffbe443p-5, 0x1.1546d22600489p-5, 0x1.165be2f188a8p-5, 0x1.175cc0b7dcd4fp-5, 0x1.184990bb58829p-5, 0x1.192280393e026p-5, 0x1.19e7baab7b726p-5, 0x1.1a99674024b4ep-5, 0x1.1b37b9aae8566p-5, 0x1.1bc2e197958c6p-5, 0x1.1c3b0855c98d1p-5, 0x1.1ca067c0012bap-5, 0x1.1cf32ea23e168p-5, 0x1.1d339817ddbacp-5, 0x1.1d61d47b3579dp-5, 0x1.1d7e1cbe1e9edp-5, 0x1.1d88aa0d19633p-5, 0x1.1d81b8248f8c2p-5, 0x1.1d697fc502da3p-5, 0x1.1d403d5ea7282p-5, 0x1.1d06340122babp-5, 0x1.1cbb9d95fcf8ep-5, 0x1.1c60baae307dp-5, 0x1.1bf5cede9cd03p-5, 0x1.1b7b17e1ac7a6p-5, 0x1.1af0dcc357d82p-5, 0x1.1a5762ad82ec2p-5, 0x1.19aee634ca424p-5, 0x1.18f7b5864ab6cp-5, 0x1.183213c91490fp-5, 0x1.175e4690bf123p-5, 0x1.167c9a66a0de5p-5, 0x1.158d52adde61ap-5, 0x1.1490b997d680cp-5, 0x1.13871aee2065bp-5, 0x1.1270b998ea6fcp-5, 0x1.114de6871d31dp-5, 0x1.101ee7bb3bd38p-5, 0x1.0ee40d22dd51p-5, 0x1.0d9d9e1058c71p-5, 0x1.0c4be4caef28bp-5, 0x1.0aef2d4bb26acp-5, 0x1.0987c45fefdd4p-5, 0x1.0815f3ca26cf4p-5, 0x1.069a08736badap-5, 0x1.05144ccc5199ep-5, 0x1.03850c2f0c373p-5, 0x1.01ec92c23afc9p-5, 0x1.004b2924e88a2p-5, 0x1.fd42390705659p-6, 0x1.f9dd6c6ba95c6p-6, 0x1.f6688655bf6b8p-6, 0x1.f2e40ca99916ep-6, 0x1.ef50a0d2d63adp-6, 0x1.ebaecf2dd098cp-6, 0x1.e7ff29ea3487cp-6, 0x1.e4423e9b00e96p-6, 0x1.e078a4d520cc5p-6, 0x1.dca2e364447c2p-6, 0x1.d8c1896065a99p-6, 0x1.d4d521ebb65a4p-6, 0x1.d0de3c223aaa9p-6, 0x1.ccdd59791bb94p-6, 0x1.c8d30614d85a2p-6, 0x1.c4bfca4a867b4p-6, 0x1.c0a428e8f3b4dp-6, 0x1.bc80a60a706fep-6, 0x1.b855c12c6a24ep-6, 0x1.b424002a592c7p-6, 0x1.afebdc0bdcbe4p-6, 0x1.abadd316b1cc2p-6, 0x1.a76a60010f7cdp-6, 0x1.a32202e00146ep-6, 0x1.9ed520342a823p-6, 0x1.9a843fe473e9cp-6, 0x1.962fcf18fa5b7p-6, 0x1.91d83f076d7e9p-6, 0x1.8d7e012a37fadp-6, 0x1.89217e3cd5ad1p-6, 0x1.84c32ac8e4ca3p-6, 0x1.806368ca5fa9fp-6, 0x1.7c02a28b3d9e6p-6, 0x1.77a13c1c5f795p-6, 0x1.733f9c0849436p-6, 0x1.6ede23ebe668fp-6, 0x1.6a7d2c148e1b2p-6, 0x1.661d1c015374dp-6, 0x1.61be44d52e2cp-6, 0x1.5d6106868b824p-6, 0x1.5905b7eae3bbfp-6, 0x1.54aca97a5d4f3p-6, 0x1.5056303b2a6d8p-6, 0x1.4c0298bd2d359p-6, 0x1.47b24051cf82p-6, 0x1.43656394d4dd7p-6, 0x1.3f1c50f252eaap-6, 0x1.3ad754323339bp-6, 0x1.3696af80c1b83p-6, 0x1.325aa81061dbfp-6, 0x1.2e238224c7d01p-6, 0x1.29f17b89348c4p-6, 0x1.25c4d2462cd18p-6, 0x1.219dc2dd39948p-6, 0x1.1d7c871f9d61p-6, 0x1.19615593b53abp-6, 0x1.154c64ad341b7p-6, 0x1.113defa84ebebp-6, 0x1.0d361ede492eap-6, 0x1.093524e22f44ap-6, 0x1.053b30408a8a7p-6, 0x1.014872cc9621dp-6, 0x1.faba1f3ebaa93p-7, 0x1.f2f25cf08a51ep-7, 0x1.eb3a060d67a61p-7, 0x1.e3914b4469e0dp-7, 0x1.dbf87b66c8024p-7, 0x1.d46fe0a00a4d6p-7, 0x1.ccf7a40d114ebp-7, 0x1.c5901ac66908ep-7, 0x1.be3973b289906p-7, 0x1.b6f3eb1514cf7p-7, 0x1.afbfadba83bd6p-7, 0x1.a89ced450d549p-7, 0x1.a18bcf803f60bp-7, 0x1.9a8c9237c6839p-7, 0x1.939f48a7ba207p-7, 0x1.8cc41bc190b9bp-7, 0x1.85fb2ce7fdf82p-7, 0x1.7f449a7fea6b4p-7, 0x1.78a07b7c5e21ep-7, 0x1.720ef55c87a73p-7, 0x1.6b900af618b03p-7, 0x1.6523e83564b74p-7, 0x1.5eca88a4b7282p-7, 0x1.588402bde3acbp-7, 0x1.5250621ca735p-7, 0x1.4c2fb517073a4p-7, 0x1.4621f9999c349p-7, 0x1.402735202682ap-7, 0x1.3a3f7b2711ed3p-7, 0x1.346abebd8374p-7, 0x1.2ea8fb380b647p-7, 0x1.28fa365dc5004p-7, 0x1.235e6c9bd84a8p-7, 0x1.1dd594156d8c4p-7, 0x1.185f9fb7534eap-7, 0x1.12fc8ae23a662p-7, 0x1.0dac4a0ace563p-7, 0x1.086ecd2dc2137p-7, 0x1.0344042230cd4p-7, 0x1.fc57c0095014ep-8, 0x1.f24c9e2dd7a42p-8, 0x1.e86679045c9e8p-8, 0x1.dea52827d7e5bp-8, 0x1.d5087a40bd2eap-8, 0x1.cb903cfaf3a16p-8, 0x1.c23c484aa55fbp-8, 0x1.b90c5fc855e15p-8, 0x1.b00055e5dcf57p-8, 0x1.a717ea44be649p-8, 0x1.9e52e478c7ee9p-8, 0x1.95b1070be18c6p-8, 0x1.8d2a3805e8557p-8, 0x1.84cdd5f8e4e9ap-8, 0x1.7c93e685f57f5p-8, 0x1.747c1bfd22259p-8, 0x1.6c8630c68d16fp-8, 0x1.64b1d4d4d5323p-8, 0x1.5cfed97f2867fp-8, 0x1.556cd3748a5ccp-8, 0x1.4dfba17136fc4p-8, 0x1.46aad0fd8215p-8, 0x1.3f7a11790ef26p-8, 0x1.386930f032ef9p-8, 0x1.3177d652f56c9p-8, 0x1.2aa5ad1290577p-8, 0x1.23f26472f067fp-8, 0x1.1d5dadb6a419ap-8, 0x1.16e72a16e90d6p-8, 0x1.108e9f96d5bcdp-8, 0x1.0a5393ac31cdap-8, 0x1.0435c252308bcp-8, 0x1.fc69caa4d923cp-9, 0x1.f0a13248a3a37p-9, 0x1.e51109e069c0fp-9, 0x1.d9b8af5861932p-9, 0x1.ce976c83c924p-9, 0x1.c3aca546d1808p-9, 0x1.b8f79e9f7d4a9p-9, 0x1.ae778d56285f2p-9, 0x1.a42bca1384ec9p-9, 0x1.9a13cd843774ap-9, 0x1.902ecbe1297a9p-9, 0x1.867c174d9ba4ap-9, 0x1.7cfaff675b377p-9, 0x1.73aaea750686ep-9, 0x1.6a8ae1febeb47p-9, 0x1.619a91e7a28c2p-9, 0x1.58d90ada27411p-9, 0x1.5045c7828f949p-9, 0x1.47e000f39fc3ep-9, 0x1.3fa705d424495p-9, 0x1.379a46c9ece3ap-9, 0x1.2fb8f971b5747p-9, 0x1.28027bd28ff1bp-9, 0x1.20763352bd76dp-9, 0x1.19136cbd1aabcp-9, 0x1.11d962a1d1d8p-9, 0x1.0ac79c425d58fp-9, 0x1.03dd4dbe50628p-9, 0x1.fa33d74c2e938p-10, 0x1.ecf984939ff25p-10, 0x1.e00a669b23b93p-10, 0x1.d3653e928a802p-10, 0x1.c708bf61acee4p-10, 0x1.baf3a867242adp-10, 0x1.af24d2d1163e7p-10, 0x1.a39b3d81358bep-10, 0x1.98552baac24e7p-10, 0x1.8d513ca58b74dp-10, 0x1.828f0aa189a6cp-10, 0x1.780d01ea10307p-10, 0x1.6dc9fba8c9cfdp-10, 0x1.63c4cf1540b5fp-10, 0x1.59fc51f072107p-10, 0x1.506f60b1911f6p-10, 0x1.471cfacf7ecbfp-10, 0x1.3e03da52b2f5ap-10, 0x1.3523379a0398ap-10, 0x1.2c797d2f20808p-10, 0x1.2405b3ab69143p-10, 0x1.1bc70f4a10decp-10, 0x1.13bc7abe373a4p-10, 0x1.0be4dd4d38664p-10, 0x1.043f34aed0f7cp-10, 0x1.f9946a2c587b3p-11, 0x1.eb0ae2226c375p-11, 0x1.dcdf17a071224p-11, 0x1.cf0f0a809c232p-11, 0x1.c19988bdcdd2ap-11, 0x1.b47c01ec76afbp-11, 0x1.a7b4d1b6f9b76p-11, 0x1.9b42450fe43eep-11, 0x1.8f21ec7ac8083p-11, 0x1.83532a52e3ec3p-11, 0x1.77d3babb2e848p-11, 0x1.6ca15c0f5eaadp-11, 0x1.61badd79dda01p-11, 0x1.571e893b165p-11, 0x1.4ccab872c121dp-11, 0x1.42bdc9ae29b6dp-11, 0x1.38f62de796ee4p-11, 0x1.2f72358d276aep-11, 0x1.26309a1d5fd88p-11, 0x1.1d2f9a38bf3e2p-11, 0x1.146e3279b4466p-11, 0x1.0be919cdee46dp-11, 0x1.03a214039cee4p-11, 0x1.f72a9138cb073p-12, 0x1.e78403a8fe8a4p-12, 0x1.d84dc953709b6p-12, 0x1.c98563ce9580ep-12, 0x1.bb27a79a12bep-12, 0x1.ad329eda05838p-12, 0x1.9fa384d05a97dp-12, 0x1.92781052ba4e2p-12, 0x1.85acddb2b8d31p-12, 0x1.794114e9b271bp-12, 0x1.6d316bdb6849p-12, 0x1.617b362a0b6dp-12, 0x1.561da791aafe6p-12, 0x1.4b1521edb72a3p-12, 0x1.405f9a517a6d1p-12, 0x1.35fc1e27d6d97p-12, 0x1.2be78cb14cdfcp-12, 0x1.221fabdf7b2afp-12, 0x1.18a39ada32657p-12, 0x1.0f6ff1fcea7b5p-12, 0x1.068496b050caep-12, 0x1.fbbbb34894eb7p-13, 0x1.eaf5939358b0bp-13, 0x1.dab40a02f2a1fp-13, 0x1.caf0cb49ae7ecp-13, 0x1.bbab3a06b1ab5p-13, 0x1.acdf2aeaeaf21p-13, 0x1.9e881bced9d27p-13, 0x1.90a37561abd87p-13, 0x1.8330ebdcb8c1cp-13, 0x1.76295fb8b9f3ep-13, 0x1.698ad2ce718d8p-13, 0x1.5d537c445598p-13, 0x1.5180076294bfdp-13, 0x1.460bea5528a59p-13, 0x1.3af85e5996131p-13, 0x1.303f8f4736a87p-13, 0x1.25df367233851p-13, 0x1.1bd5419153324p-13, 0x1.121f759c7b4f2p-13, 0x1.08ba12ac30294p-13, 0x1.ff4e483ecc2efp-14, 0x1.edb9697170217p-14, 0x1.dcbcdc4e8b825p-14, 0x1.cc50df92de894p-14, 0x1.bc713ebf4bf02p-14, 0x1.ad1994b53c194p-14, 0x1.9e45b00699d56p-14, 0x1.8ff306996e17dp-14, 0x1.821b9e0f4f0bbp-14, 0x1.74b9dc5557462p-14, 0x1.67d0f98eb354p-14, 0x1.5b579d2a40cf4p-14, 0x1.4f4b37e72ea1bp-14, 0x1.43a9b7227021ap-14, 0x1.386e430d04eddp-14, 0x1.2d97b67bd10d6p-14, 0x1.231f39ad9e076p-14, 0x1.1906560ac8739p-14, 0x1.0f46ef9abcea9p-14, 0x1.05df45453b052p-14, 0x1.f9977e7e001e8p-15, 0x1.e815106d5357fp-15, 0x1.d730016779e13p-15, 0x1.c6e15079b7762p-15, 0x1.b7323a9baaf4ep-15, 0x1.a800f186d0131p-15, 0x1.996c57874bad1p-15, 0x1.8b53089d2a10bp-15, 0x1.7dbdd816bf55cp-15, 0x1.70a409e6b1a97p-15, 0x1.640782c951b0bp-15, 0x1.57d5a8f1e5c7dp-15, 0x1.4c1f171656c59p-15, 0x1.40d0b71b47121p-15, 0x1.35ec8506befaap-15, 0x1.2b6dcfc4170afp-15, 0x1.214fbe166bc19p-15, 0x1.179265e5e3122p-15, 0x1.0e2b2aeb9c2a4p-15, 0x1.05220b9bb0498p-15, 0x1.f8c74957253b3p-16, 0x1.e8058c2a34858p-16, 0x1.d7dbde65955f1p-16, 0x1.c83a41c19e91dp-16, 0x1.b93a2eff6739bp-16, 0x1.aac972a96bb1ap-16, 0x1.9cd4795648367p-16, 0x1.8f661d496cf36p-16, 0x1.82795e465a71fp-16, 0x1.760379531c04p-16, 0x1.6a082886b3f9bp-16, 0x1.5e702486c5855p-16, 0x1.534a8432c018bp-16, 0x1.488df529af59ep-16, 0x1.3e3674ab158c1p-16, 0x1.34333e0eb806p-16, 0x1.2aa185c068689p-16, 0x1.215a7e394cd32p-16, 0x1.186d1495406bp-16, 0x1.0fd1c4f08bfbap-16, 0x1.07840f1360675p-16, 0x1.ff058e88e69d2p-17, 0x1.ef914d43f2b03p-17, 0x1.e0babc41d5799p-17, 0x1.d252b1c98e00cp-17, 0x1.c47707fe13eb7p-17, 0x1.b7119ccf2dd7bp-17, 0x1.aa2670ffc0d67p-17, 0x1.9db1a424e72cp-17, 0x1.919f8390c6355p-17, 0x1.86081d3982f5p-17, 0x1.7ac036322c0b1p-17, 0x1.6ffe5bee25756p-17, 0x1.654ab6928a958p-17, 0x1.5b3ff36bd95a2p-17, 0x1.516b3fcc6ad5p-17, 0x1.47ec1ee4696efp-17, 0x1.3eb9d34e1b632p-17, 0x1.35d189e541129p-17, 0x1.2d3304aae151ep-17, 0x1.24d895d415ad8p-17, 0x1.1cbf5fbbe63a3p-17, 0x1.14f2753671834p-17, 0x1.0d452344a5c8bp-17, 0x1.05f1e10185df5p-17, 0x1.fd78d013c9c63p-18, 0x1.ef922d53758d5p-18, 0x1.e20f56128ff35p-18, 0x1.d4fd011218ep-18, 0x1.c8315c5c5075ep-18, 0x1.bbabd9b9709d1p-18, 0x1.afde682b4ef62p-18, 0x1.a3c62e63ef028p-18, 0x1.987e71e23aeaep-18, 0x1.8d56c5b035746p-18, 0x1.827aa0beca298p-18, 0x1.77d39949106f5p-18, 0x1.6d9e531b8999dp-18, 0x1.637c514ae4d35p-18, 0x1.59a3dc1cb9a4p-18, 0x1.500d08eb3dacfp-18, 0x1.46a9bb9a85e25p-18, 0x1.3d81cc0b21596p-18, 0x1.3488dab47ea0bp-18, 0x1.2bc7703b1613bp-18, 0x1.232031b0793bp-18, 0x1.1ae0c6145835ap-18, 0x1.12990febdc2f7p-18, 0x1.0a8ccd0c2b3e5p-18, 0x1.02ac5a8152d51p-18, 0x1.f5f26b85dc48ap-19, 0x1.e6f1d75889c42p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.9f8349084cdacp-1, -0x1.ac3295fc66c8ap-1, -0x1.adb3abef23e12p-1, -0x1.a56ac748fc831p-1, -0x1.94e7933cf2edap-1, -0x1.7dc5e73c9b5e1p-1, -0x1.619733b115d4bp-1, -0x1.41d2ce39e37e7p-1, -0x1.1fcbff567821dp-1, -0x1.f95957a84695p-2, -0x1.b2e6447695464p-2, -0x1.6de657431c03p-2, -0x1.2bac9be518f36p-2, -0x1.da840dc116b58p-3, -0x1.66d6c18e8bac5p-3, -0x1.fac4e9d6d57b1p-4, -0x1.3da3a3c5f0a88p-4, -0x1.2de2866d40f9cp-5, -0x1.b071c7a130e09p-10, 0x1.cd2ebfacf3fbfp-6, 0x1.afe45c10dc46dp-5, 0x1.28357383defc4p-4, 0x1.6550280e654f2p-4, 0x1.909fff1c8d1e6p-4, 0x1.ab97633f566bbp-4, 0x1.b7b5892af0a56p-4, 0x1.b67e9717071a1p-4, 0x1.a972146290e3cp-4, 0x1.92036031083cfp-4, 0x1.719668e1031d9p-4, 0x1.497e686310391p-4, 0x1.1afbd67fab423p-4, 0x1.ce731efac73dap-5, 0x1.5e9c896efc9b7p-5, 0x1.d0b9e3f66a2f8p-6, 0x1.b61f5bdbb6b11p-7, -0x1.03b1c82b48b11p-9, -0x1.1edd7f851c2cfp-6, -0x1.0ec24f169c98bp-5, -0x1.8d0fc535a2166p-5, -0x1.04ab77795c4fap-4, -0x1.415bc42137555p-4, -0x1.7c366c21ecc44p-4, -0x1.b4e5e15fdf502p-4, -0x1.eb216e338550bp-4, -0x1.0f56b52fcd099p-3, -0x1.27ad77bdc359p-3, -0x1.3e835d65b63f7p-3, -0x1.53cbb30e5332ep-3, -0x1.677dc09f378bap-3, -0x1.7993fafcb31b4p-3, -0x1.8a0b8666d62bap-3, -0x1.98e4034556502p-3, -0x1.a61f8a6d25523p-3, -0x1.b1c2b151354a7p-3, -0x1.bbd473a56e548p-3, -0x1.c45df6904539bp-3, -0x1.cb6a256cf3e1ap-3, -0x1.d1053c98ad70cp-3, -0x1.d53c598d8ce56p-3, -0x1.d81d22f316abap-3, -0x1.d9b5908c13842p-3, -0x1.da13d6c9d6436p-3, -0x1.d946607ed2142p-3, -0x1.d75bd93d7244dp-3, -0x1.d4632fb3c5b7ap-3, -0x1.d06b8da9e1dcbp-3, -0x1.cb8441c32d972p-3, -0x1.c5bc9d8aff846p-3, -0x1.bf23cdca1f462p-3, -0x1.b7c8b4950cd61p-3, -0x1.afb9c9fa40d88p-3, -0x1.a705077022ae4p-3, -0x1.9db7df251e9d5p-3, -0x1.93df3b685837dp-3, -0x1.89878528b0c8p-3, -0x1.7ebcac6f57769p-3, -0x1.73888386d02b2p-3, -0x1.67fb0d3237a22p-3, -0x1.5c1b4eabb332cp-3, -0x1.4ff33f8c824b3p-3, -0x1.438c80237ac1ap-3, -0x1.36f05926b5415p-3, -0x1.2a27b6b2b40ep-3, -0x1.1d3b1fd9762b7p-3, -0x1.1032ac9682608p-3, -0x1.0315fc9581908p-3, -0x1.ebd85ff5d4236p-4, -0x1.d177c6cd7f1ecp-4, -0x1.b7165fa64015ap-4, -0x1.9cbf5b2406b0bp-4, -0x1.827cf87f2ca7dp-4, -0x1.68589272ca35ep-4, -0x1.4e5ab99fb6d91p-4, -0x1.348b4791262fbp-4, -0x1.1af174d045e54p-4, -0x1.0193ec45913c5p-4, -0x1.d0f1b6d1644d4p-5, -0x1.9f4bfd8374dep-5, -0x1.6e4155273a4adp-5, -0x1.3ddb9fd797c83p-5, -0x1.0e23ff45107e4p-5, -0x1.be45a969c6608p-6, -0x1.61bf7a7899682p-6, -0x1.06c32cc799b1dp-6, -0x1.5ab9c7ba84fbbp-7, -0x1.565cf64ffa04bp-8, 0x1.0963bae9c4354p-15, 0x1.53bd4d833ea6ep-8, 0x1.4f44f571a10dbp-7, 0x1.f132a8cdffe98p-7, 0x1.47d0483d2926cp-6, 0x1.9544def6d5b11p-6, 0x1.e0f59f08651d5p-6, 0x1.1570f9fd93227p-5, 0x1.3985046818f04p-5, 0x1.5cb757f2c776cp-5, 0x1.7f08a44b8a621p-5, 0x1.a079d4f3d5807p-5, 0x1.c10c08690b6dbp-5, 0x1.e0c0899acb165p-5, 0x1.ff98caf2a6d14p-5, 0x1.0ecb320030cfcp-4, 0x1.1d5d86abbd3bfp-4, 0x1.2b84519bb433ep-4, 0x1.39409151387fbp-4, 0x1.469354d99631fp-4, 0x1.537dbc6cf287dp-4, 0x1.6000f7f9b9c34p-4, 0x1.6c1e47aa663a9p-4, 0x1.77d6fa43a768dp-4, 0x1.832c6c8ae18f5p-4, 0x1.8e200759a3798p-4, 0x1.98b33e4a5c96bp-4, 0x1.a2e78db18e4dfp-4, 0x1.acbe78e9d5c22p-4, 0x1.b639888ab2083p-4, 0x1.bf5a488d50f52p-4, 0x1.c822464fa93c9p-4, 0x1.d093100c87d22p-4, 0x1.d8ae325b42f53p-4, 0x1.e075384a63f59p-4, 0x1.e7e9a97fe198bp-4, 0x1.ef0d0a2553ca1p-4, 0x1.f5e0d9fe1ceaep-4, 0x1.fc6694a708aa4p-4, 0x1.014fd8455f4d5p-3, 0x1.0446cfa6e812dp-3, 0x1.0718e705b41aap-3, 0x1.09c6d26dcc997p-3, 0x1.0c5143952754dp-3, 0x1.0eb8ea30ddd41p-3, 0x1.10fe73580f7afp-3, 0x1.13228a47ee495p-3, 0x1.1525d8690dda2p-3, 0x1.170904bb73cf3p-3, 0x1.18ccb4aaa406cp-3, 0x1.1a718b80e672bp-3, 0x1.1bf82abf24779p-3, 0x1.1d6131be3c2aap-3, 0x1.1ead3e03e4d47p-3, 0x1.1fdceb2a92b84p-3, 0x1.20f0d2935cae4p-3, 0x1.21e98ba65d60dp-3, 0x1.22c7abaad6123p-3, 0x1.2389f4e058ac7p-3, 0x1.2434f19d1a1c8p-3, 0x1.24c713252db72p-3, 0x1.2540e14acdac2p-3, 0x1.25a2e1d4f077cp-3, 0x1.25ed98b4afc63p-3, 0x1.2621884d8fe9dp-3, 0x1.263f319cc78c6p-3, 0x1.2647144058f4fp-3, 0x1.2639af0cb260dp-3, 0x1.26177f26cbc09p-3, 0x1.25e101808fc89p-3, 0x1.2596b17205f1cp-3, 0x1.25390944b04ecp-3, 0x1.24c8827e792fap-3, 0x1.24459555135d2p-3, 0x1.23b0b864a1f47p-3, 0x1.230a614c9d1f9p-3, 0x1.2253040bdc022p-3, 0x1.218b130c622e1p-3, 0x1.20b2ff1e75ccbp-3, 0x1.1fcb37735342fp-3, 0x1.1ed4295fa6e8cp-3, 0x1.1dce408224ce9p-3, 0x1.1cb9e6ad0d74ap-3, 0x1.1b9783fc54a27p-3, 0x1.1a677eb032f01p-3, 0x1.192a3ba416542p-3, 0x1.17e01da820464p-3, 0x1.168986309151ap-3, 0x1.1526d537275d8p-3, 0x1.13b869583d3ebp-3, 0x1.123e9f7859a44p-3, 0x1.10b9d3ca48915p-3, 0x1.0f2a60c0d0051p-3, 0x1.0d90a078e15acp-3, 0x1.0beceafeb8edp-3, 0x1.0a3f980d17276p-3, 0x1.0888fe54950acp-3, 0x1.06c97349bd9ccp-3, 0x1.05014bf6e4861p-3, 0x1.0330dc51bdd98p-3, 0x1.015877639b2edp-3, 0x1.fef0dea30f065p-4, 0x1.fb222a8a759c2p-4, 0x1.f7457392f2d7dp-4, 0x1.f35b58a058eabp-4, 0x1.ef6476cc74585p-4, 0x1.eb61693edf921p-4, 0x1.e752c8d1d05fdp-4, 0x1.e3392cc836b03p-4, 0x1.df1529b0c38ebp-4, 0x1.dae752dc98c6cp-4, 0x1.d6b038355d506p-4, 0x1.d2706835f4e1ep-4, 0x1.ce286e0bf1b6dp-4, 0x1.c9d8d403e22fdp-4, 0x1.c582209a801e5p-4, 0x1.c124d99cec039p-4, 0x1.bcc1806b7f061p-4, 0x1.b858957b4a2c2p-4, 0x1.b3ea95f4e8e7dp-4, 0x1.af77fdbfe637ap-4, 0x1.ab0144db7e343p-4, 0x1.a686e33608cd9p-4, 0x1.a2094b962692fp-4, 0x1.9d88f174afa6ep-4, 0x1.990642df4b33ep-4, 0x1.9481aefec38a6p-4, 0x1.8ffba01696196p-4, 0x1.8b747fe963cbbp-4, 0x1.86ecb4fd8d434p-4, 0x1.8264a401c3123p-4, 0x1.7ddcb03f09fb8p-4, 0x1.795539aedbfe7p-4, 0x1.74ce9f6ab6409p-4, 0x1.70493d6f83f7fp-4, 0x1.6bc56e5abc49p-4, 0x1.67438a630b424p-4, 0x1.62c3e7d46eeedp-4, 0x1.5e46daec0777dp-4, 0x1.59ccb5bee38fp-4, 0x1.5555c87194fe9p-4, 0x1.50e26112649bp-4, 0x1.4c72cbad11337p-4, 0x1.4807523bd22f9p-4, 0x1.43a03cb0a1ac2p-4, 0x1.3f3dd130ca0b7p-4, 0x1.3ae052e3b5a72p-4, 0x1.368804651dcdap-4, 0x1.323525ac1819fp-4, 0x1.2de7f364da6d3p-4, 0x1.29a0aabd98ea9p-4, 0x1.255f849762eaep-4, 0x1.2124b96f22822p-4, 0x1.1cf07ebec3feap-4, 0x1.18c308de78902p-4, 0x1.149c8966ab99dp-4, 0x1.107d307503014p-4, 0x1.0c652cca32309p-4, 0x1.0854aa1f1a986p-4, 0x1.044bd328aa1d9p-4, 0x1.004ad0ca36218p-4, 0x1.f8a393498ff0ep-5, 0x1.f0c1c5a1baf14p-5, 0x1.e8f07f9e187cfp-5, 0x1.e13003e5de982p-5, 0x1.d9809323e5e9fp-5, 0x1.d1e269bfe0bdbp-5, 0x1.ca55c022720d1p-5, 0x1.c2dace25af3ccp-5, 0x1.bb71c4f54e41ap-5, 0x1.b41ad4ee39f46p-5, 0x1.acd62aa728946p-5, 0x1.a5a3ef55149cbp-5, 0x1.9e844b5e75e6fp-5, 0x1.977760fc0d4e6p-5, 0x1.907d51a846f45p-5, 0x1.89963c2bf5bdep-5, 0x1.82c23aa7fb0a8p-5, 0x1.7c0166fa6f6f6p-5, 0x1.7553d74817aedp-5, 0x1.6eb99facb0f11p-5, 0x1.6832cf4595fc9p-5, 0x1.61bf76ed981fep-5, 0x1.5b5fa220c5976p-5, 0x1.55135a96a272ep-5, 0x1.4edaa7949f093p-5, 0x1.48b58ee3466d6p-5, 0x1.42a4142085bcep-5, 0x1.3ca6373a12478p-5, 0x1.36bbf80aab53fp-5, 0x1.30e5530a197dfp-5, 0x1.2b22427be6c15p-5, 0x1.2572c13eb5f64p-5, 0x1.1fd6c46819e28p-5, 0x1.1a4e41c8987cap-5, 0x1.14d92d7e9fa69p-5, 0x1.0f77785873768p-5, 0x1.0a2912aeb6c2ap-5, 0x1.04edeb7c2a1e1p-5, 0x1.ff8bdfe202a42p-6, 0x1.f562150b14d82p-6, 0x1.eb5e4b1f39fc2p-6, 0x1.e18053730f0a8p-6, 0x1.d7c7fbb906ca1p-6, 0x1.ce350fb7d0366p-6, 0x1.c4c759558cd6fp-6, 0x1.bb7e9e9c0890bp-6, 0x1.b25aa407874d9p-6, 0x1.a95b2bf424e38p-6, 0x1.a07ff6d8ad9f6p-6, 0x1.97c8c1999e78fp-6, 0x1.8f3547a646648p-6, 0x1.86c5453993641p-6, 0x1.7e787110870dap-6, 0x1.764e83ba545abp-6, 0x1.6e472f1dd8216p-6, 0x1.6662290f3715cp-6, 0x1.5e9f2340dd1bp-6, 0x1.56fdced83b5b6p-6, 0x1.4f7dd9533593bp-6, 0x1.481ef23a26141p-6, 0x1.40e0c82836b05p-6, 0x1.39c304de42667p-6, 0x1.32c553d143f5p-6, 0x1.2be760192dcdbp-6, 0x1.2528d2764b8f5p-6, 0x1.1e8953e31f8a2p-6, 0x1.18088bb785a4dp-6, 0x1.11a620c95fe9ep-6, 0x1.0b61bcbcb949dp-6, 0x1.053b02b91f166p-6, 0x1.fe6332b64f619p-7, 0x1.f28a4c1cee311p-7, 0x1.e6ea9b913a004p-7, 0x1.db72ca0378ec3p-7, 0x1.d042e2d975f0cp-7, 0x1.c54a1722d9284p-7, 0x1.ba87adb818791p-7, 0x1.affaf005c41abp-7, 0x1.a5a326e99b7bbp-7, 0x1.9b7f9919aff8ep-7, 0x1.918f98b17ac91p-7, 0x1.87d266c134817p-7, 0x1.7e474ee9323cap-7, 0x1.74ed9a985bbcap-7, 0x1.6bc496ecd44bbp-7, 0x1.62cb8d7e0c3f1p-7, 0x1.5a01cb06beb9dp-7, 0x1.51669b9979ddap-7, 0x1.48f94b341ea93p-7, 0x1.40b92c933ee9ap-7, 0x1.38a589f447d32p-7, 0x1.30bdb4a162a45p-7, 0x1.2900fd51d4f5bp-7, 0x1.216eb56c4846dp-7, 0x1.1a06310c8dd3dp-7, 0x1.12c6c56b010d8p-7, 0x1.0bafc5b2c0a7dp-7, 0x1.04c089cbcc374p-7, 0x1.fbf0cc1c1335ep-8, 0x1.eead7665ef84dp-8, 0x1.e1b5ba8ca7cf1p-8, 0x1.d50852d75b86p-8, 0x1.c8a3f9a5cb252p-8, 0x1.bc876d9ef76abp-8, 0x1.b0b16e654daf2p-8, 0x1.a520be4f8659fp-8, 0x1.99d41f27ced9p-8, 0x1.8eca69143c34ap-8, 0x1.8402587874efep-8, 0x1.797ac0cda72b8p-8, 0x1.6f3277e202a08p-8, 0x1.652850758723bp-8, 0x1.5b5b238bd85afp-8, 0x1.51c9cd5726bf5p-8, 0x1.48732cd4d7399p-8, 0x1.3f5627d4ed3cdp-8, 0x1.36719cb469402p-8, 0x1.2dc47bc4d920bp-8, 0x1.254dac8fda3d7p-8, 0x1.1d0c225fe9fe8p-8, 0x1.14fecdd6e0aefp-8, 0x1.0d24a653e7904p-8, 0x1.057ca5330b3c7p-8, 0x1.fc0b905e13c86p-9, 0x1.ed7e1c3b91204p-9, 0x1.df4efb80d51dcp-9, 0x1.d17c345dd47a7p-9, 0x1.c403e5b1115fp-9, 0x1.b6e4259c137cp-9, 0x1.aa1b12cd8f921p-9, 0x1.9da6e121a51fbp-9, 0x1.9185b8a217064p-9, 0x1.85b5d368209f1p-9, 0x1.7a356ecde700dp-9, 0x1.6f02cf391bbacp-9, 0x1.641c40a697252p-9, 0x1.59801670904ebp-9, 0x1.4f2ca2a6b4243p-9, 0x1.45204c1195d89p-9, 0x1.3b5976506942ep-9, 0x1.31d68f0b50ce7p-9, 0x1.2896064dfcf8ep-9, 0x1.1f965caeef81ap-9, 0x1.16d60eb6cbcb2p-9, 0x1.0e53a439b41cap-9, 0x1.060da2dd09a8fp-9, 0x1.fc056be72014dp-10, 0x1.ec62bbf8caeedp-10, 0x1.dd3095c3e3b02p-10, 0x1.ce6c431284137p-10, 0x1.c0131c5225589p-10, 0x1.b2228df41acap-10, 0x1.a49806d91d40dp-10, 0x1.97710ec76b147p-10, 0x1.8aab27899554dp-10, 0x1.7e4402ef506eap-10, 0x1.72391f3c00e44p-10, 0x1.6688595c715d2p-10, 0x1.5b2f4a36a9ee1p-10, 0x1.502bccdcdd62ap-10, 0x1.457ba8a18fee6p-10, 0x1.3b1cc4989e07ep-10, 0x1.310d0c96c8445p-10, 0x1.274a65caf45f2p-10, 0x1.1dd2dfa5254c3p-10, 0x1.14a4762c17f56p-10, 0x1.0bbd44152ef2cp-10, 0x1.031b6da16ab95p-10, 0x1.f57a06f132e54p-11, 0x1.e540a50b99eb5p-11, 0x1.d5870ab760f4ap-11, 0x1.c649d2540d31ap-11, 0x1.b7858d67c417ep-11, 0x1.a936fe60405bfp-11, 0x1.9b5ad2b0c9389p-11, 0x1.8dedf0650526p-11, 0x1.80ed08f167097p-11, 0x1.74558f6448e57p-11, 0x1.68240d98f9fc1p-11, 0x1.5c55d8850811bp-11, 0x1.50e813e87f338p-11, 0x1.45d7f7b2f16f8p-11, 0x1.3b22d5258f5d7p-11, 0x1.30c615813b997p-11, 0x1.26bf01bf09394p-11, 0x1.1d0b3629db798p-11, 0x1.13a83e6e121a1p-11, 0x1.0a93a5dd1c659p-11, 0x1.01cb1daa83a78p-11, 0x1.f298ec22cd24ep-12, 0x1.e22aadc80c4fep-12, 0x1.d24755cd0074fp-12, 0x1.c2ea9848fc3b2p-12, 0x1.b41070457efe4p-12, 0x1.a5b4d4a8b3cbep-12, 0x1.97d3e8efb068cp-12, 0x1.8a69e8c71b967p-12, 0x1.7d73224f97fc9p-12, 0x1.70ebbb52c1e53p-12, 0x1.64d096496c458p-12, 0x1.591e26f9b2caep-12, 0x1.4dd12ecb7d50dp-12, 0x1.42e66d2b35a85p-12, 0x1.385aae515e392p-12, 0x1.2e2ae90054cc4p-12, 0x1.24546f27104e3p-12, 0x1.1ad3fdbb51eb9p-12, 0x1.11a6e13743428p-12, 0x1.08ca9cc7f9402p-12, 0x1.003c6339048c4p-12, 0x1.eff2926165139p-13, 0x1.dfff4e9bbd108p-13, 0x1.d09891da98f1ap-13, 0x1.c1ba4a33bdc67p-13, 0x1.b35fd1b5e939p-13, 0x1.a5849a89b9p-13, 0x1.98248dedd29fcp-13, 0x1.8b3b2af76e996p-13, 0x1.7ec47f5bcdf1cp-13, 0x1.72bcd0ef63394p-13, 0x1.671fcfc42dac7p-13, 0x1.5bea1ef9282f9p-13, 0x1.511851a8264b1p-13, 0x1.46a6240b27988p-13, 0x1.3c90e68b71fbp-13, 0x1.32d4ee3407cc3p-13, 0x1.296eeb7d696a5p-13, 0x1.205c4cb467713p-13, 0x1.1799ad80bae5ap-13, 0x1.0f24745340d02p-13, 0x1.06f91ba6e1c04p-13, 0x1.fe2bab616f127p-14, 0x1.eeee0a4113624p-14, 0x1.e0362641bd857p-14, 0x1.d1fd99ebfdc69p-14, 0x1.c43fdb937cfe9p-14, 0x1.b6f8da1e2987cp-14, 0x1.aa2415449beadp-14, 0x1.9dbcc3939b5afp-14, 0x1.91beac119cac8p-14, 0x1.86265aa32dfefp-14, 0x1.7aeecf6d4b907p-14, 0x1.7015d0bc1e00dp-14, 0x1.659698cc2764fp-14, 0x1.5b6dd7e657fe5p-14, 0x1.5198814c709acp-14, 0x1.4812d527632c2p-14, 0x1.3eda425571b9cp-14, 0x1.35eab02ca810cp-14, 0x1.2d42956e37a49p-14, 0x1.24deb50f832f4p-14, 0x1.1cbb61c34537p-14, 0x1.14d6e005d1662p-14, 0x1.0d2ee4ad754cfp-14, 0x1.05c0453759ea6p-14, 0x1.fd132fa6d6084p-15, 0x1.ef0e9b5178d57p-15, 0x1.e17030563709ep-15, 0x1.d435a8e36ad5bp-15, 0x1.c756abf5147a3p-15, 0x1.bad2cc8b520ccp-15, 0x1.aea51c8b02e74p-15, 0x1.a2ca5d0fd04b6p-15, 0x1.973f4656093f2p-15, 0x1.8c00529ff8d6p-15, 0x1.810b06d4d55b1p-15, 0x1.765ad5f4b1b9dp-15, 0x1.6befb4322666cp-15, 0x1.61c3f79e458p-15, 0x1.57d6b97c4cf0cp-15, 0x1.4e251a88807b2p-15, 0x1.44ac948ccf77cp-15, 0x1.3b6adae45741ep-15, 0x1.325e71c06e95dp-15, 0x1.29847270454cfp-15, 0x1.20d9d133f4e41p-15, 0x1.185f8c819af01p-15, 0x1.1011983e70ad8p-15, 0x1.07ef2e3ecfd8fp-15, 0x1.ffec91a2df806p-16, 0x1.f04be08f7d73p-16, 0x1.e0f3f8ebc6385p-16, 0x1.d1eae02c13decp-16, 0x1.c3285e9df77e4p-16, 0x1.b4aa1bb146b51p-16, 0x1.a66e04339ccc9p-16, 0x1.98735c8988a0cp-16, 0x1.8ab74d42d5061p-16, 0x1.7d36a2026fd0bp-16, 0x1.6ff000fa6c8a3p-16, 0x1.62e01e85a00f6p-16, 0x1.5607e17b12ac7p-16, 0x1.4966d219b128bp-16, 0x1.3cf4e04419beep-16, 0x1.30b6d9f364a19p-16, 0x1.24a8f07804e6cp-16, 0x1.18cb1df3dcb88p-16, 0x1.0d1859b713406p-16, 0x1.0197e6c036133p-16, 0x1.ec7aca3b1fdcbp-17, 0x1.d615e3f5c3d17p-17, 0x1.c014ad11b67a4p-17, 0x1.aa5b7a4abb1cp-17, 0x1.94ee65fb9cd65p-17, 0x1.7fd8af2435baep-17, 0x1.6b05c64aa4851p-17, 0x1.5681ca35d9b86p-17, 0x1.4244303d30077p-17, 0x1.2e4f7793388fdp-17, 0x1.1aa542b64ad99p-17, 0x1.073a17ebf44f7p-17, 0x1.e82ea3df7a0c5p-18, 0x1.c266d0c53ec26p-18, 0x1.9d343c321192dp-18, 0x1.7873b6a054f51p-18, 0x1.543eafc55c2dep-18, 0x1.3088180781983p-18, 0x1.0d50c353fb28bp-18, 0x1.d52f9d5e263f9p-19, 0x1.90b8c20d56538p-19, 0x1.4d4186bf26d81p-19, 0x1.0ab6551d6b6b5p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.456e6f26d940cp-2, -0x1.74bb3bdcc44b8p-2, -0x1.9d4f5ce927257p-2, -0x1.bf1a1987b6a64p-2, -0x1.da45efd2d659dp-2, -0x1.ef2874b62be7p-2, -0x1.fe34e48ba0d6ap-2, -0x1.03f8989b2d04dp-1, -0x1.0676a8c1c7381p-1, -0x1.06de3ce02d459p-1, -0x1.057805a7716c9p-1, -0x1.0289eec42e26ep-1, -0x1.fcaba81db5f89p-2, -0x1.f23163a183e8ep-2, -0x1.e61449ec50195p-2, -0x1.d8b862ed44a9fp-2, -0x1.ca76a0b2dc596p-2, -0x1.bb9d1b080aecp-2, -0x1.ac6f845283fc1p-2, -0x1.9d27ef431913ep-2, -0x1.8df786a6cad55p-2, -0x1.7f0735c5f40a2p-2, -0x1.707889f727cc8p-2, -0x1.62668a320a75ep-2, -0x1.54e668ee28fcp-2, -0x1.480828619c803p-2, -0x1.3bd7518eb4153p-2, -0x1.305b9d03fea3p-2, -0x1.25997cc405251p-2, -0x1.1b9292bb80a6bp-2, -0x1.1246222dbf3b3p-2, -0x1.09b17e476cc39p-2, -0x1.01d069999f70bp-2, -0x1.f53abe2d42117p-3, -0x1.e823d552f1a1bp-3, -0x1.dc4d59a5e38a3p-3, -0x1.d1a78bb22c4bp-3, -0x1.c821f518971bbp-3, -0x1.bfabb1757cafdp-3, -0x1.b8339d91565aep-3, -0x1.b1a8864e6ebb5p-3, -0x1.abf94e21ff3bep-3, -0x1.a715201498a88p-3, -0x1.a2eb90dc909c8p-3, -0x1.9f6cc0e3dce38p-3, -0x1.9c896d5ee61a1p-3, -0x1.9a32f79a5881bp-3, -0x1.985b68749b951p-3, -0x1.96f5728ba93dap-3, -0x1.95f4765301747p-3, -0x1.954c84f5e08e3p-3, -0x1.94f2652e80ccep-3, -0x1.94db93dfa1134p-3, -0x1.94fe475454a1bp-3, -0x1.955166b461eaap-3, -0x1.95cc84e99efd3p-3, -0x1.9667d827863efp-3, -0x1.971c30baa7208p-3, -0x1.97e2ef5ae6415p-3, -0x1.98b603f0ed345p-3, -0x1.998fe0e9ab2fap-3, -0x1.9a6b7aa6c6176p-3, -0x1.9b4442b9d8bdfp-3, -0x1.9c161e8fc4433p-3, -0x1.9cdd636834857p-3, -0x1.9d96cd60fd38ep-3, -0x1.9e3f7ac3ce4b9p-3, -0x1.9ed4e23f1ceaep-3, -0x1.9f54cc28e7c42p-3, -0x1.9fbd4e47b8308p-3, -0x1.a00cc4af16552p-3, -0x1.a041cc5434cf1p-3, -0x1.a05b3e8d768b7p-3, -0x1.a0582c88be64ep-3, -0x1.a037dbdad411ep-3, -0x1.9ff9c1cd95706p-3, -0x1.9f9d7fdeb5bf5p-3, -0x1.9f23062031a85p-3, -0x1.9e89f2172dd8bp-3, -0x1.9dd274e5c6a45p-3, -0x1.9cfcbc0066badp-3, -0x1.9c090ed6b9374p-3, -0x1.9af7cbf7e579p-3, -0x1.99c96612ddcadp-3, -0x1.987e61cb9a8c7p-3, -0x1.971751bd0d21fp-3, -0x1.9594d6b167f3dp-3, -0x1.93f79d600c15bp-3, -0x1.924059b4351bp-3, -0x1.906fca1f5413dp-3, -0x1.8e86b3328c9a7p-3, -0x1.8c85e101cc0cdp-3, -0x1.8a6e22e1e1142p-3, -0x1.88404d63dc086p-3, -0x1.85fd37c57515cp-3, -0x1.83a5bb50f73d5p-3, -0x1.813ab24e442fap-3, -0x1.7ebcf8148ff65p-3, -0x1.7c2d65d198e62p-3, -0x1.798cd4c9c1f3bp-3, -0x1.76dc1b67c5203p-3, -0x1.741c0e9641c7bp-3, -0x1.714d7f8559f7dp-3, -0x1.6e713b6d74479p-3, -0x1.6b880d01d2fb7p-3, -0x1.6892b99b03908p-3, -0x1.659203047d5d4p-3, -0x1.6286a6aa93892p-3, -0x1.5f715d2891849p-3, -0x1.5c52db9e5f77cp-3, -0x1.592bd1adf37d8p-3, -0x1.55fcead8cc754p-3, -0x1.52c6cd65dcba6p-3, -0x1.4f8a1cfb862c5p-3, -0x1.4c47755b4ab21p-3, -0x1.48ff6fe3f8332p-3, -0x1.45b2a08e1c52bp-3, -0x1.426196b3e5f29p-3, -0x1.3f0cdcfbe30edp-3, -0x1.3bb4f98a0eec3p-3, -0x1.385a6d848fdeep-3, -0x1.34fdb616efa78p-3, -0x1.319f4b674c077p-3, -0x1.2e3fa14c3f078p-3, -0x1.2adf263957fa1p-3, -0x1.277e457aedd23p-3, -0x1.241d6646a09c9p-3, -0x1.20bce9c9feee3p-3, -0x1.1d5d2f727edf5p-3, -0x1.19fe914d7e863p-3, -0x1.16a16623e0d91p-3, -0x1.134600c187245p-3, -0x1.0fecb093152e9p-3, -0x1.0c95c15df2c49p-3, -0x1.09417b6b7e2bap-3, -0x1.05f0244155fa5p-3, -0x1.02a1fd6d10c9ep-3, -0x1.feae8c2b01409p-4, -0x1.f8207363295c4p-4, -0x1.f19a233b0ef4p-4, -0x1.eb1c07e463c7dp-4, -0x1.e4a6884830854p-4, -0x1.de3a066adbf76p-4, -0x1.d7d6dedd5af19p-4, -0x1.d17d69ea925cbp-4, -0x1.cb2dfa44a8205p-4, -0x1.c4e8dedd853f5p-4, -0x1.beae622877f81p-4, -0x1.b87ec9a356909p-4, -0x1.b25a575fefe0fp-4, -0x1.ac414a15eb0dep-4, -0x1.a633dad26ae3fp-4, -0x1.a0323fe333201p-4, -0x1.9a3cad9773503p-4, -0x1.9453513f6f114p-4, -0x1.8e765877ce00ap-4, -0x1.88a5eda211196p-4, -0x1.82e2351d119b5p-4, -0x1.7d2b52b013946p-4, -0x1.7781671c941cdp-4, -0x1.71e49027a6cddp-4, -0x1.6c54e8dbac48ap-4, -0x1.66d28a188aef5p-4, -0x1.615d8b7590ef9p-4, -0x1.5bf5ffeaa4c5ap-4, -0x1.569c0685239bcp-4, -0x1.514f972acdccep-4, -0x1.4c10cb1dcb09bp-4, -0x1.46dfae953dd22p-4, -0x1.41bc4bf4d7c8dp-4, -0x1.3ca6abb432adep-4, -0x1.379ed4e6ff557p-4, -0x1.32a4cbf30f035p-4, -0x1.2db896a8a464ep-4, -0x1.28da347b88617p-4, -0x1.2409a9bc22294p-4, -0x1.1f46f2d867b7ap-4, -0x1.1a920f172729cp-4, -0x1.15eafb0393f48p-4, -0x1.1151b277ee6p-4, -0x1.0cc62f8e088adp-4, -0x1.08486bde8b5bep-4, -0x1.03d85f86bf12cp-4, -0x1.feec02a8710b2p-5, -0x1.f6428f930ce5p-5, -0x1.edb4500be163dp-5, -0x1.e5412bd23276ep-5, -0x1.dce90a676bc9fp-5, -0x1.d4abd08b5ffcbp-5, -0x1.cc8961bbb4f0ap-5, -0x1.c4819ffb7ffd9p-5, -0x1.bc946b2eb3d31p-5, -0x1.b4c1a327814e9p-5, -0x1.ad0925378384cp-5, -0x1.a56acda7335e2p-5, -0x1.9de67750440b2p-5, -0x1.967bfde2f498ap-5, -0x1.8f2b38fe88b71p-5, -0x1.87f3ff2814f1dp-5, -0x1.80d62bf69fa69p-5, -0x1.79d1908de8b5fp-5, -0x1.72e603d75564p-5, -0x1.6c135a5ee6d58p-5, -0x1.655965f95e85p-5, -0x1.5eb7faa6a5cefp-5, -0x1.582eea07a6a26p-5, -0x1.51be03cdd77dfp-5, -0x1.4b6519c248b9bp-5, -0x1.4523fb1c191bcp-5, -0x1.3efa76f165e34p-5, -0x1.38e85bd56f28ap-5, -0x1.32ed779566eddp-5, -0x1.2d0997dea9732p-5, -0x1.273c892a082bp-5, -0x1.218618632912fp-5, -0x1.1be611fc4a0bp-5, -0x1.165c404d7785bp-5, -0x1.10e86f080da3ap-5, -0x1.0b8a6afe421bcp-5, -0x1.0641fa7376b99p-5, -0x1.010eec5c569e4p-5, -0x1.f7e2112759f05p-6, -0x1.edd0326dcd5e3p-6, -0x1.e3e7ce16ca12cp-6, -0x1.da28793a43ab5p-6, -0x1.d091c51424d68p-6, -0x1.c723451a60da1p-6, -0x1.bddc88e269dbp-6, -0x1.b4bd24784cadap-6, -0x1.abc4a77e75928p-6, -0x1.a2f2a53c30d3ep-6, -0x1.9a46aca28df7ep-6, -0x1.91c0515bd0d8bp-6, -0x1.895f2324c2c7fp-6, -0x1.8122b43eb93dap-6, -0x1.790a95778c72cp-6, -0x1.7116583406eadp-6, -0x1.69458e8ce9945p-6, -0x1.6197cb6872396p-6, -0x1.5a0c9cebc606bp-6, -0x1.52a398725d467p-6, -0x1.4b5c52b79980ep-6, -0x1.443658142a636p-6, -0x1.3d31408a1c04dp-6, -0x1.364c9e58cf8aep-6, -0x1.2f8804d244p-6, -0x1.28e307a1a2a55p-6, -0x1.225d3e3132dfdp-6, -0x1.1bf63ab22f3ffp-6, -0x1.15ad936d63072p-6, -0x1.0f82de396a49bp-6, -0x1.0975b3c0b17e4p-6, -0x1.0385a5da17984p-6, -0x1.fb64a3e3bf55p-7, -0x1.eff69a81f3247p-7, -0x1.e4c060c8dad12p-7, -0x1.d9c12df6f6a01p-7, -0x1.cef830a23051dp-7, -0x1.c464a281a2cc2p-7, -0x1.ba05b70410fd1p-7, -0x1.afdaa86103799p-7, -0x1.a5e2ac5b8982bp-7, -0x1.9c1d07006fbf7p-7, -0x1.9288eb8aab6c8p-7, -0x1.89259bb0b85c1p-7, -0x1.7ff25a66e9c17p-7, -0x1.76ee5bd2cdc1ep-7, -0x1.6e18ef2e44e7cp-7, -0x1.6571539f329bfp-7, -0x1.5cf6d1c7a93f2p-7, -0x1.54a8aebaec5c8p-7, -0x1.4c862f20c118ap-7, -0x1.448eab8a962f2p-7, -0x1.3cc1630e255a3p-7, -0x1.351daaad6ec35p-7, -0x1.2da2ca2c2f751p-7, -0x1.26501b4f63ed1p-7, -0x1.1f24eeafd7475p-7, -0x1.18209a5e1bbe3p-7, -0x1.1142758031081p-7, -0x1.0a89d465d6714p-7, -0x1.03f616d64181cp-7, -0x1.fb0d2e140d7cdp-8, -0x1.ee755f818419cp-8, -0x1.e223970556bfep-8, -0x1.d616837b2d891p-8, -0x1.ca4cf2295ffd5p-8, -0x1.bec5ac1fb7dc5p-8, -0x1.b37f7deeb8517p-8, -0x1.a8794d5a9bae9p-8, -0x1.9db1d8577e275p-8, -0x1.932804da18c9cp-8, -0x1.88daa62ddceaep-8, -0x1.7ec8a71a355bfp-8, -0x1.74f0e8fab8e6ep-8, -0x1.6b5258b4ceaaep-8, -0x1.61ebd2f5bc485p-8, -0x1.58bc586860ddap-8, -0x1.4fc2dae9beb27p-8, -0x1.46fe43635ff81p-8, -0x1.3e6d9ab5bda9cp-8, -0x1.360fdafe3dc15p-8, -0x1.2de4073bf2a2fp-8, -0x1.25e9219b41473p-8, -0x1.1e1e355fb1819p-8, -0x1.1682524c68f0bp-8, -0x1.0f148083eeea6p-8, -0x1.07d3db17ce322p-8, -0x1.00bf713c5eb65p-8, -0x1.f3ace12d08bd5p-9, -0x1.e62fcc37d1b6p-9, -0x1.d905ec1fda406p-9, -0x1.cc2d8fa30c396p-9, -0x1.bfa50a36adc91p-9, -0x1.b36ab18a03f8fp-9, -0x1.a77ceafa57d66p-9, -0x1.9bda0eaaf85c5p-9, -0x1.90808bf5f49fdp-9, -0x1.856ee4d432d3fp-9, -0x1.7aa380829fda6p-9, -0x1.701cf3e9316e7p-9, -0x1.65d9ac4b1733ap-9, -0x1.5bd847f3709e8p-9, -0x1.5217571a95d4bp-9, -0x1.48956c94c5857p-9, -0x1.3f5121cf8d989p-9, -0x1.36492db22109cp-9, -0x1.2d7c3cbf3d262p-9, -0x1.24e8e7aedacdcp-9, -0x1.1c8dfcc17ea95p-9, -0x1.146a358241b11p-9, -0x1.0c7c51e070d81p-9, -0x1.04c31b094d1d7p-9, -0x1.fa7aacad1885p-10, -0x1.ebd3dcc08cd2ep-10, -0x1.dd8f693ca4c32p-10, -0x1.cfaaed5701b77p-10, -0x1.c2245badb5401p-10, -0x1.b4f977efd63bp-10, -0x1.a82821917440ap-10, -0x1.9bae3e6bacc0dp-10, -0x1.8f841c79b11f8p-10, -0x1.83b2fa15562e8p-10, -0x1.78337f0c727f3p-10, -0x1.6d0368dc1daadp-10, -0x1.6220f78cf8cf1p-10, -0x1.578a5966d6fa1p-10, -0x1.4d3dae7c59c07p-10, -0x1.43391d2e8fccdp-10, -0x1.397b25be57e8fp-10, -0x1.3001b1434350cp-10, -0x1.26cb430e23568p-10, -0x1.1dd6579c563e1p-10, -0x1.152131337be3bp-10, -0x1.0caa40e825c78p-10, -0x1.046ffd88a436fp-10, -0x1.f8e1ce0d837b1p-11, -0x1.e956e72a57c05p-11, -0x1.da3cb02b80463p-11, -0x1.cb8ffe2c80e7dp-11, -0x1.bd4e1d298e2a3p-11, -0x1.af747d0bfd57ep-11, -0x1.a200601cecb56p-11, -0x1.94ef2c0ef6a36p-11, -0x1.883e5c0551dcfp-11, -0x1.7beb6c9e49cdfp-11, -0x1.6ff4378e1fe0fp-11, -0x1.6455af07a12b7p-11, -0x1.590e21534324ep-11, -0x1.4e1b0c9a621c2p-11, -0x1.437a480fe22d1p-11, -0x1.3929a2ac7b458p-11, -0x1.2f2701bfbf706p-11, -0x1.25704ffdc50bcp-11, -0x1.1c03a83182cd2p-11, -0x1.12dea1662f0e4p-11, -0x1.09ffc90f31a59p-11, -0x1.0164da807736p-11, -0x1.f218fafec5a88p-12, -0x1.e1e8f1410e395p-12, -0x1.d2366b250f77ep-12, -0x1.c2fdb94fa5dd5p-12, -0x1.b43bd279f91cdp-12, -0x1.a5ed07d6e23d1p-12, -0x1.980eada7d4f52p-12, -0x1.8a9d8377da0d4p-12, -0x1.7d95afb2e5072p-12, -0x1.70f57f41d6038p-12, -0x1.64b9955c9e0efp-12, -0x1.58dece1ed1a6ap-12, -0x1.4d62a0a1cd8e4p-12, -0x1.4242561f1805p-12, -0x1.377b5fdfce56ap-12, -0x1.2d0b072b4448bp-12, -0x1.22ef6623349cap-12, -0x1.1924d49f0133fp-12, -0x1.0faa43ca500f4p-12, -0x1.067ca7f86177cp-12, -0x1.fb3360eed2d4fp-13, -0x1.e9ff59962d576p-13, -0x1.d958724f9afb7p-13, -0x1.c93a903e62d87p-13, -0x1.b9a1959bbcaabp-13, -0x1.aa89ac50139d7p-13, -0x1.9beebae653ab9p-13, -0x1.8dcd6b721df89p-13, -0x1.8021c0e5e35c1p-13, -0x1.72e8509369948p-13, -0x1.661db341c2d24p-13, -0x1.59bea9c203c77p-13, -0x1.4dc7a07bb3021p-13, -0x1.4235d63d29b5ep-13, -0x1.3706022c65711p-13, -0x1.2c34bc9e79f74p-13, -0x1.21becaf501ad3p-13, -0x1.17a303f85a7e2p-13, -0x1.0ddd3099ba613p-13, -0x1.046b5cfbc3302p-13, -0x1.f6942020b7cebp-14, -0x1.e4eedc4cb65afp-14, -0x1.d3e1f4b7ce8fdp-14, -0x1.c3688038d54afp-14, -0x1.b37bc843d3bd7p-14, -0x1.a41c4712459acp-14, -0x1.9541224213a8ep-14, -0x1.86e664a6c72dp-14, -0x1.7909caba8387bp-14, -0x1.6ba6551aa88a1p-14, -0x1.5eb8100cc9732p-14, -0x1.523b4833bad7cp-14, -0x1.462c42449f93p-14, -0x1.3a87fbcd9bd55p-14, -0x1.2f4950616caa7p-14, -0x1.246ec84ff0429p-14, -0x1.19f48a5a3811bp-14, -0x1.0fd5954590e04p-14, -0x1.06128c987ee7ap-14, -0x1.f94b1598dadf9p-15, -0x1.e718cde73289ap-15, -0x1.d588e1183b385p-15, -0x1.c497c1384a628p-15, -0x1.b439858d48aabp-15, -0x1.a470e64870675p-15, -0x1.953581a366453p-15, -0x1.86807fd3815c8p-15, -0x1.7852a402971aap-15, -0x1.6aa3329eca6bfp-15, -0x1.5d6e989076fd4p-15, -0x1.50b1578fca1d6p-15, -0x1.44660536fd552p-15, -0x1.388a0c21b346p-15, -0x1.2d167b3c7a9p-15, -0x1.220e70752c0f9p-15, -0x1.17687d8c2dfffp-15, -0x1.0d225b5a3a44p-15, -0x1.0339344b8e22fp-15, -0x1.f350662659b77p-16, -0x1.e0e0e07f8a13ap-16, -0x1.cf13c0bb7ad2dp-16, -0x1.bde9aa4fb4961p-16, -0x1.ad566471d95a2p-16, -0x1.9d5db42d5a769p-16, -0x1.8df33a7001d48p-16, -0x1.7f142dc0ae5bbp-16, -0x1.70b9801bfa69ep-16, -0x1.62df05e01b0f6p-16, -0x1.55869db882c3p-16, -0x1.48a4267b4477fp-16, -0x1.3c35cdd905c7p-16, -0x1.3035d2c486a0dp-16, -0x1.24a36d1303562p-16, -0x1.19759c2fba647p-16, -0x1.0eab46b46c3d7p-16, -0x1.044809ad1ff69p-16, -0x1.f47787244b79fp-17, -0x1.e115ee06a4a83p-17, -0x1.ce59d0f55d104p-17, -0x1.bc4bed992fc66p-17, -0x1.aae5b95501e66p-17, -0x1.9a09cc8c4f1c6p-17, -0x1.89c9129682174p-17, -0x1.7a1715be94011p-17, -0x1.6aeead0b2aedp-17, -0x1.5c4c1e97f9b82p-17, -0x1.4e2930d5762d2p-17, -0x1.408435cdbd74p-17, -0x1.334af6eeb44d7p-17, -0x1.268c7dfd93ab8p-17, -0x1.1a42baac2343fp-17, -0x1.0e5d1fd09bae9p-17, -0x1.02dcc48f1292ep-17, -0x1.ef80a77a1067fp-18, -0x1.da041b42ddce6p-18, -0x1.c5462ad2a7d13p-18, -0x1.b124401632feep-18, -0x1.9dc31320a617bp-18, -0x1.8afd1b309fb68p-18, -0x1.78d66d8e33425p-18, -0x1.6745e1fa2a64cp-18, -0x1.56471019c8505p-18, -0x1.45ddab58699e1p-18, -0x1.35e0e4099f593p-18, -0x1.269628b6b4cdp-18, -0x1.17aa1b061b5aep-18, -0x1.094105ad2b738p-18, -0x1.f697ad43105a7p-19, -0x1.db9bf27bec2b1p-19, -0x1.c16ab330147ecp-19, -0x1.a81dfffc5cc84p-19, -0x1.8f7b57a4328e9p-19, -0x1.77d29a0186a23p-19, -0x1.60cf018f7038dp-19, -0x1.4a7e71068fc39p-19, -0x1.34f4861f24e46p-19, -0x1.200602fb94cd4p-19, -0x1.0bbe6cde26c8cp-19, -0x1.f04379f4e0d9p-20, -0x1.ca3ba1ca73e52p-20, -0x1.a5280a6cef1bcp-20, -0x1.81918f3920fc4p-20, -0x1.5ec57a421d2a5p-20, -0x1.3d5302fa8d61fp-20, -0x1.1cc8457ba5bd1p-20, -0x1.fad4f0a368103p-21, -0x1.bd6527691edb6p-21, -0x1.822f6c5f3f84cp-21, -0x1.48a6a0ca6bdcbp-21, -0x1.11178ac702093p-21, -0x1.b65403e1e5e65p-22, -0x1.4db49697f3db6p-22, -0x1.d0abba87f74abp-23, -0x1.0c6b2220fdfep-23, -0x1.399e7d461fcbep-25, 0x1.af2dfcaf4d85bp-25, 0x1.1c4168b0b61dcp-23, 0x1.ca30f38d1ac23p-23, 0x1.38728a23753c2p-22, 0x1.89d8a57d3bc84p-22, 0x1.d83132b0b1c5cp-22, 0x1.1218159e22413p-21, 0x1.36e97bd4e0d81p-21, 0x1.5a4aef851dca2p-21, 0x1.7c9cc35222417p-21, 0x1.9e03688d2478p-21, 0x1.be3b6f7210c1cp-21, 0x1.dd6a6d2f8618p-21, 0x1.fb35274eb4a72p-21, 0x1.0c19571b70ee8p-20, 0x1.1a2a9cb06c52fp-20, 0x1.2798906d91172p-20, 0x1.3463df42e8a0bp-20, 0x1.415f34583fc9p-20, 0x1.4d3a6fcc3d808p-20, 0x1.58def76559486p-20, 0x1.640b17f591d3ap-20, 0x1.6ec9f3f7c6937p-20, 0x1.792245fee0a96p-20, 0x1.830aa2c4ab0b7p-20, 0x1.8c8b005b7028p-20, 0x1.95aa86b92ca51p-20, 0x1.9e54253496c3cp-20, 0x1.a6c42b01c7c06p-20, 0x1.aeb53722672c6p-20, 0x1.b64bbba9a91efp-20, 0x1.bd719e7739d31p-20, 0x1.c4681de2cea57p-20, 0x1.cafb62cc33da7p-20, 0x1.d0f235aaf9c05p-20, 0x1.d728c167a3907p-20, 0x1.dc6d529de1d7cp-20, 0x1.e1c9b877b3531p-20, 0x1.e6a31dc624184p-20, 0x1.eb37e75cd5095p-20, 0x1.ef8060bd9fa84p-20, 0x1.f39f865aa1784p-20, 0x1.f710a55e4e0d1p-20, 0x1.fa98364e46dc6p-20, 0x1.fdb6d65d0d4d9p-20, 0x1.0047a4af7b67cp-19, 0x1.01975abd6233cp-19, 0x1.02b4475a89bc5p-19, 0x1.03bf7b79b8d8dp-19, 0x1.04a2759f005afp-19, 0x1.056fd6c760efcp-19, 0x1.060b2f1b3ae2ep-19, 0x1.0694165d56421p-19, 0x1.06fd2168d0612p-19, 0x1.07484e51e8a5fp-19, 0x1.076d3b65adfbdp-19, 0x1.078dd16975b41p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.ac8512dae7132p-6, -0x1.f5c2e07c306dbp-6, -0x1.1aa354d3223ebp-5, -0x1.33ad33eaca1aep-5, -0x1.447fda9a1836cp-5, -0x1.4bfc688f4742cp-5, -0x1.49630296a9062p-5, -0x1.3c4c60ca4fd38p-5, -0x1.24a129cd7e33ap-5, -0x1.028e6aab996cbp-5, -0x1.acf3f9d7d8dccp-6, -0x1.41f62dc688304p-6, -0x1.8b28c37ace36bp-7, -0x1.cba9cddfca272p-9, 0x1.8271713cf32f5p-8, 0x1.06c4fc8e3a014p-6, 0x1.b71f2d610c877p-6, 0x1.37e3863e0c9d4p-5, 0x1.9774f75ed2481p-5, 0x1.f9635326c9c05p-5, 0x1.2e6b915c8f1dp-4, 0x1.6084008f45d98p-4, 0x1.929f714ac414fp-4, 0x1.c4695e590136p-4, 0x1.f593ecf137b3ap-4, 0x1.12ecd18d1860ap-3, 0x1.2a7ef9bb05fcdp-3, 0x1.4165de06c4c5cp-3, 0x1.5789fb7fe8fe9p-3, 0x1.6cd6f9d3070c5p-3, 0x1.813bf88beec1fp-3, 0x1.94ab5b6405e88p-3, 0x1.a71a2fe6097bp-3, 0x1.b880ab9d2c204p-3, 0x1.c8d5cc0c83441p-3, 0x1.d8161dd032868p-3, 0x1.e63fec8c7aee7p-3, 0x1.f3531f8648b2ap-3, 0x1.ff508cea84c72p-3, 0x1.051ce4f09f15bp-2, 0x1.0a08b3206eb9dp-2, 0x1.0e6da2b5c30a2p-2, 0x1.124e5f94662f3p-2, 0x1.15ae35e74e255p-2, 0x1.1890d82bb7d9bp-2, 0x1.1afa262a3ce5fp-2, 0x1.1cee07ba6cc13p-2, 0x1.1e706740cf65cp-2, 0x1.1f8543292d8ddp-2, 0x1.2030c7af3c649p-2, 0x1.20775cad36b11p-2, 0x1.205da51aa1d9fp-2, 0x1.1fe86a55ae53ap-2, 0x1.1f1c7eefe8bfep-2, 0x1.1dfea2f739498p-2, 0x1.1c9371da6503dp-2, 0x1.1adf5d5ef92b4p-2, 0x1.18e6b458e4559p-2, 0x1.16adadcb8b70ep-2, 0x1.143874225ca64p-2, 0x1.118b2b62e9143p-2, 0x1.0ea9f07481036p-2, 0x1.0b98d306bc178p-2, 0x1.085bcb56f1a8cp-2, 0x1.04f6af7d57ea7p-2, 0x1.016d2b29c65bbp-2, 0x1.fb857439274dep-3, 0x1.f3f54f7445ec9p-3, 0x1.ec3024510aacp-3, 0x1.e43bdf1cd2f68p-3, 0x1.dc1e27a86b90ep-3, 0x1.d3dc6abf60d02p-3, 0x1.cb7bdede0657fp-3, 0x1.c30184b0a5d7fp-3, 0x1.ba7223d496a55p-3, 0x1.b1d24498bca56p-3, 0x1.a9262a9bbea64p-3, 0x1.a06e2cb54f9d2p-3, 0x1.97b3d350475f8p-3, 0x1.8ef88a4cb21cbp-3, 0x1.863fa15a0c6b7p-3, 0x1.7d8c1ba68aed9p-3, 0x1.74e0b1b16536p-3, 0x1.6c3fda19bf76cp-3, 0x1.63abc6dbda12ap-3, 0x1.5b267c690b0e5p-3, 0x1.52b1cd5d4f48dp-3, 0x1.4a4f66423c1d1p-3, 0x1.4200d2b6c7793p-3, 0x1.39c780c23863dp-3, 0x1.31a4c2f926f59p-3, 0x1.2999d1308382dp-3, 0x1.21a7c7bad032p-3, 0x1.19cfa6b29a582p-3, 0x1.121250cf9c4b9p-3, 0x1.0a7088b7a88eep-3, 0x1.02eaf41298f0bp-3, 0x1.f70430a100bbdp-4, 0x1.e86cbb9e29292p-4, 0x1.da102152f106p-4, 0x1.cbeec74a623cfp-4, 0x1.be08e57ede867p-4, 0x1.b05e8ca9ccd08p-4, 0x1.a2efac02d764ep-4, 0x1.95bc1741eb756p-4, 0x1.88c38ab37fd6ap-4, 0x1.7c05b0701faebp-4, 0x1.6f82223dbaa82p-4, 0x1.63386d7added3p-4, 0x1.57280f0ef21cap-4, 0x1.4b508785a5c31p-4, 0x1.3fb131f54c90cp-4, 0x1.3449765cccca1p-4, 0x1.2918a5e34fbb7p-4, 0x1.1e1e090db5342p-4, 0x1.1358dcd38e6f5p-4, 0x1.08c8539b613bfp-4, 0x1.fcd72bcda7f4cp-5, 0x1.e883860049b9ap-5, 0x1.d493e4ffd978dp-5, 0x1.c106668bf1fa9p-5, 0x1.add92c290a2bfp-5, 0x1.9b0a3ea464afap-5, 0x1.8897a73e46cadp-5, 0x1.767f6b2e20214p-5, 0x1.64bfa43699a6ap-5, 0x1.53564cd550b88p-5, 0x1.42417c7dee531p-5, 0x1.317f4a0ae1726p-5, 0x1.210dd4c5f8557p-5, 0x1.10eb4606ffa7p-5, 0x1.0115d112fb042p-5, 0x1.e31768729786cp-6, 0x1.c496733ea16dp-6, 0x1.a6a5693a61786p-6, 0x1.89411b5434aecp-6, 0x1.6c665b2d0a6fap-6, 0x1.501212cca9bd8p-6, 0x1.34416aebcb661p-6, 0x1.18f169d131dd5p-6, 0x1.fc3e9a87635dap-7, 0x1.c790cd6c3bcdep-7, 0x1.93d447622012p-7, 0x1.6103d73ff557p-7, 0x1.2f1aa4367cfe6p-7, 0x1.fc27e3d46c05dp-8, 0x1.9bd6597bdf9cfp-8, 0x1.3d37d727a0356p-8, 0x1.c087b874a16d6p-9, 0x1.09e475e4e39aap-9, 0x1.59d808b8d7571p-11, -0x1.6747bc2b413cap-11, -0x1.0701ff5f3e5fbp-9, -0x1.b128883097357p-9, -0x1.2c29138cb7718p-8, -0x1.7e453000a4d52p-8, -0x1.ceeeff9adfcffp-8, -0x1.0f15f0aa9b8dfp-7, -0x1.360093150f56bp-7, -0x1.5c39cf7e5c63cp-7, -0x1.81c411ecedcc9p-7, -0x1.a6a18bc355e9fp-7, -0x1.cad453e58714fp-7, -0x1.ee5e6311a21fep-7, -0x1.08a0caa96aa08p-6, -0x1.19be3c6a379fep-6, -0x1.2a8ce076a532p-6, -0x1.3b0a8cc25314bp-6, -0x1.4b37ee73f63a1p-6, -0x1.5b15a9f55e386p-6, -0x1.6aa45bf51665p-6, -0x1.79e49a2b1a683p-6, -0x1.88d6f5f0b6b7bp-6, -0x1.977bf6dfaf11ap-6, -0x1.a5d429e18cb7p-6, -0x1.b3e00893858b3p-6, -0x1.c1a01bb603aa7p-6, -0x1.cf14d66806d71p-6, -0x1.dc3eb8cc8fdadp-6, -0x1.e91e2dca7c824p-6, -0x1.f5b3aea369b6ep-6, -0x1.00ffd31aefd87p-5, -0x1.07013fd6542d7p-5, -0x1.0cde4d686a012p-5, -0x1.129730dc1b911p-5, -0x1.182c14fc2bcbdp-5, -0x1.1d9d30d7846fap-5, -0x1.22eaad6f2b922p-5, -0x1.2814b0933057p-5, -0x1.2d1b68454c6afp-5, -0x1.31fefce1594f5p-5, -0x1.36bf9697cddf1p-5, -0x1.3b5d5cd220733p-5, -0x1.3fd877050c28bp-5, -0x1.44310c401981fp-5, -0x1.486743bb3935cp-5, -0x1.4c7b45e0bcfb9p-5, -0x1.506d3a9c3c16ap-5, -0x1.543d4b557298ap-5, -0x1.57eba34078638p-5, -0x1.5b7873e396a09p-5, -0x1.5ee3d759aa501p-5, -0x1.622e0fc937deep-5, -0x1.655747d08d7eep-5, -0x1.685fb536d51c7p-5, -0x1.6b478076bff29p-5, -0x1.6e0eeb85eea56p-5, -0x1.70b62997afcadp-5, -0x1.733d77fcb6732p-5, -0x1.75a510fe0a95fp-5, -0x1.77ed30587e77bp-5, -0x1.7a161562df55bp-5, -0x1.7c2005c41053ep-5, -0x1.7e0b4294df015p-5, -0x1.7fd811cc8cebfp-5, -0x1.8186b95ed4ccfp-5, -0x1.831782f03ad4fp-5, -0x1.848ab7392ce5ep-5, -0x1.85e0a351065acp-5, -0x1.871993b4a8bb1p-5, -0x1.8835db7a99c8p-5, -0x1.8935bece83ed8p-5, -0x1.8a199b045a2d2p-5, -0x1.8ae1bf16a33efp-5, -0x1.8b8e7f86fb516p-5, -0x1.8c2031f27dbacp-5, -0x1.8c972d3903df1p-5, -0x1.8cf3c95433c37p-5, -0x1.8d366094f2ce8p-5, -0x1.8d5f4d0178f91p-5, -0x1.8d6eeae0ced26p-5, -0x1.8d65976ef25f2p-5, -0x1.8d43b15793181p-5, -0x1.8d0996f0cb273p-5, -0x1.8cb7aa248d67dp-5, -0x1.8c4e4d27c78abp-5, -0x1.8bcde08cbd528p-5, -0x1.8b36ca94b39f3p-5, -0x1.8a896de1ab27p-5, -0x1.89c6317e23488p-5, -0x1.88ed7bd0f82abp-5, -0x1.87ffb42bdee61p-5, -0x1.86fd3ff978ebap-5, -0x1.85e68f71f8e28p-5, -0x1.84bc04b69b442p-5, -0x1.837e0c5e8ce64p-5, -0x1.822d10a49379p-5, -0x1.80c97cc7a7603p-5, -0x1.7f53bc0930772p-5, -0x1.7dcc39fa2133bp-5, -0x1.7c33647e3719dp-5, -0x1.7a89a1ca95aap-5, -0x1.78cf63dbc8763p-5, -0x1.7705152bf6ce9p-5, -0x1.752b21c66c49cp-5, -0x1.7341f5d7ee59ep-5, -0x1.7149fcc1fe29cp-5, -0x1.6f43a4864756fp-5, -0x1.6d2f567392f28p-5, -0x1.6b0d7d98c3c56p-5, -0x1.68de87ea584d3p-5, -0x1.66a2dce2125c5p-5, -0x1.645ae796b5809p-5, -0x1.62071179f615ep-5, -0x1.5fa7c3e8c9bd9p-5, -0x1.5d3d66b96d807p-5, -0x1.5ac861c2c4d36p-5, -0x1.58491c950a2dep-5, -0x1.55bffce7a3f01p-5, -0x1.532d6aad43b53p-5, -0x1.5091c50cecf46p-5, -0x1.4ded740293a7fp-5, -0x1.4b40dabc423b8p-5, -0x1.488c5a686a8ebp-5, -0x1.45d052e922f3ap-5, -0x1.430d2cccb0531p-5, -0x1.404337487465fp-5, -0x1.3d72da94cd254p-5, -0x1.3a9c737fa7e23p-5, -0x1.37c05ce5837bbp-5, -0x1.34def1114dfdfp-5, -0x1.31f88a0f0e45fp-5, -0x1.2f0d7fcf59fp-5, -0x1.2c1e297b6fe2ep-5, -0x1.292adcfe67c5ep-5, -0x1.2633eee8e2bap-5, -0x1.2339b2add674ap-5, -0x1.203c7a340a8c7p-5, -0x1.1d3c961e83d34p-5, -0x1.1a3a560d96ba4p-5, -0x1.173607ba23a32p-5, -0x1.142ff7b433067p-5, -0x1.112871439cf3cp-5, -0x1.0e1fbe212cb5ep-5, -0x1.0b1626d8144d5p-5, -0x1.080bf3ac8f557p-5, -0x1.05016597fe1b2p-5, -0x1.01f6c5ba37ed1p-5, -0x1.fdd8a842f6a32p-6, -0x1.f7c4a6d67b3b9p-6, -0x1.f1b203d011c69p-6, -0x1.eba13ce2f3431p-6, -0x1.e592cb4e158bap-6, -0x1.df8725d419a6ap-6, -0x1.d97ebfb348012p-6, -0x1.d37a063d841d3p-6, -0x1.cd79728f0f135p-6, -0x1.c77d62821c574p-6, -0x1.c186461fb7dc7p-6, -0x1.bb947ef7734p-6, -0x1.b5a86c0e43a3p-6, -0x1.afc27662ab996p-6, -0x1.a9e2ee15e2c7ap-6, -0x1.a40a351a7b80cp-6, -0x1.9e38a06bfad6ep-6, -0x1.986e85a2f0ee6p-6, -0x1.92ac310a35618p-6, -0x1.8cf1f3b9d209ap-6, -0x1.87401a29ab3ccp-6, -0x1.8196e91e83462p-6, -0x1.7bf6ac019ad35p-6, -0x1.765fa317c47b6p-6, -0x1.70d21057723b3p-6, -0x1.6b4e329fca264p-6, -0x1.65d444fc6e1bcp-6, -0x1.606480df975d5p-6, -0x1.5aff1c8facd42p-6, -0x1.55a44e50436dcp-6, -0x1.50544630f9f7ep-6, -0x1.4b0f3159b3f29p-6, -0x1.45d541913762fp-6, -0x1.40a69fb9e7c6p-6, -0x1.3b83749c3b6a6p-6, -0x1.366be60dfec09p-6, -0x1.31601960d2d1bp-6, -0x1.2c602d0009e11p-6, -0x1.276c498ca9078p-6, -0x1.2284849d84045p-6, -0x1.1da8fc281a3f1p-6, -0x1.18d9c89f1c3f2p-6, -0x1.14170a2f9d9ebp-6, -0x1.0f567ec3b4a2ep-6, -0x1.0aac760b2b222p-6, -0x1.060f1d3130674p-6, -0x1.017e840c44cbp-6, -0x1.f9f5774e64058p-7, -0x1.f1079e3e6a987p-7, -0x1.e83398a61faa7p-7, -0x1.df797b8e34b59p-7, -0x1.d6d95acf8faacp-7, -0x1.ce5339ad0de59p-7, -0x1.c5e72f279a7c1p-7, -0x1.bd9535dbbd4bbp-7, -0x1.b55d72ee32be1p-7, -0x1.ad3fc9e25643cp-7, -0x1.a53c4523570bdp-7, -0x1.9d52e327d8997p-7, -0x1.95839fd456548p-7, -0x1.8dce69a49a8b9p-7, -0x1.863351d883dc6p-7, -0x1.7eb23150d431cp-7, -0x1.774b03646d326p-7, -0x1.6ffdb77db9b06p-7, -0x1.68ca3b9124c75p-7, -0x1.61b080b5cc613p-7, -0x1.5ab05d1923d53p-7, -0x1.53c9cb2fdd2a1p-7, -0x1.4cfcaace30357p-7, -0x1.4648dd5293bc1p-7, -0x1.3fae418413f81p-7, -0x1.392ccbd95a994p-7, -0x1.32c4435c167c6p-7, -0x1.2c748dd3e8319p-7, -0x1.263d7577cec01p-7, -0x1.201f05f1084f4p-7, -0x1.1a18e744cd5adp-7, -0x1.142b0813f7deap-7, -0x1.0e552602ff7aap-7, -0x1.08973902bd13ep-7, -0x1.02f0ecb45b0b9p-7, -0x1.fac4639bab07ep-8, -0x1.efd5a3662a364p-8, -0x1.e5152617dd109p-8, -0x1.da82b01656b42p-8, -0x1.d01dbb8b96facp-8, -0x1.c5e5f1c79ffb5p-8, -0x1.bbdad16cf42efp-8, -0x1.b1fc100c91342p-8, -0x1.a8493145e23a6p-8, -0x1.9ec1e2ac5fa4dp-8, -0x1.956586e72f794p-8, -0x1.8c33ccb68603ap-8, -0x1.832c66708a039p-8, -0x1.7a4e7c3574aafp-8, -0x1.7199fdcc8de46p-8, -0x1.690e465db1362p-8, -0x1.60aaf1861ee6p-8, -0x1.586f8494d591fp-8, -0x1.505b8638b0e74p-8, -0x1.486e82a303352p-8, -0x1.40a7ffe2a292bp-8, -0x1.390785a56ce2dp-8, -0x1.318c984206526p-8, -0x1.2a36c149975fep-8, -0x1.2305857f705cbp-8, -0x1.1bf86a3b98c8p-8, -0x1.150ef6250f7b5p-8, -0x1.0e48adfb2ca7fp-8, -0x1.07a5189715822p-8, -0x1.0123b1ad4d5d2p-8, -0x1.f58831bc4b4bbp-9, -0x1.e90b744f05214p-9, -0x1.dcd049e9e107ap-9, -0x1.d0d5bccd153aap-9, -0x1.c51ae0fb4a4e9p-9, -0x1.b99ec19a17ce9p-9, -0x1.ae606ae73386dp-9, -0x1.a35eed25a8d18p-9, -0x1.989958e430f52p-9, -0x1.8e0ec3a78e265p-9, -0x1.83be4a66e3bccp-9, -0x1.79a6fe84bc063p-9, -0x1.6fc7dff904138p-9, -0x1.661ffa183e898p-9, -0x1.5caeda25b5ae6p-9, -0x1.537317dea2e3ep-9, -0x1.4a6c04ee94e27p-9, -0x1.4198b97251acep-9, -0x1.38f8751a986d9p-9, -0x1.308a026d1d7eap-9, -0x1.284ce09169511p-9, -0x1.203fe1ebfec17p-9, -0x1.18628cd0ea782p-9, -0x1.10b40ca6ff2e6p-9, -0x1.09333272880efp-9, -0x1.01df7a74bf97fp-9, -0x1.f56f5eeb53c9ap-10, -0x1.e776c3d15c11fp-10, -0x1.d9d35a3bc4f83p-10, -0x1.cc83845a79dc8p-10, -0x1.bf85edce00423p-10, -0x1.b2d84631c8c0ep-10, -0x1.a679d3631daa4p-10, -0x1.9a684b6ce78ecp-10, -0x1.8ea371f15218p-10, -0x1.8328c002d59d8p-10, -0x1.77f6d980f3f89p-10, -0x1.6d0c8d731ed5ep-10, -0x1.62683b302dc75p-10, -0x1.580899b46327dp-10, -0x1.4dec0fa490097p-10, -0x1.4411a289e35e2p-10, -0x1.3a7783d2befcbp-10, -0x1.311cb45096f87p-10, -0x1.27ffb53f60db9p-10, -0x1.1f1f2d1ae27c2p-10, -0x1.1679dd182cc55p-10, -0x1.0e0e9f26eef94p-10, -0x1.05dc192b29969p-10, -0x1.fbc24eac477d4p-11, -0x1.ec38c414b54e5p-11, -0x1.dd19a2ab11a26p-11, -0x1.ce62614d8953dp-11, -0x1.c010da335d2e8p-11, -0x1.b2227f89debc8p-11, -0x1.a494e25e9d158p-11, -0x1.97673a1b2ca07p-11, -0x1.8a967afc69781p-11, -0x1.7e1f40dcccd6dp-11, -0x1.72014026dcbdep-11, -0x1.6639df8d7cab6p-11, -0x1.5ac71fd525427p-11, -0x1.4fa709cec88dap-11, -0x1.44d7af645b315p-11, -0x1.3a57347d7f761p-11, -0x1.3023791b2314p-11, -0x1.263b44ca4183bp-11, -0x1.1c9c3e69eb242p-11, -0x1.1344ca96a8a55p-11, -0x1.0a334aa819324p-11, -0x1.0165f453557ap-11, -0x1.f1b6485a8f871p-12, -0x1.e122c8a104ffbp-12, -0x1.d10e81a62f7b9p-12, -0x1.c172b9552e366p-12, -0x1.b251a9ec36e8p-12, -0x1.a3a5654831dbcp-12, -0x1.956b7e06eae18p-12, -0x1.87a0f47f269b5p-12, -0x1.7a4304318bd8ap-12, -0x1.6d4e12664cb91p-12, -0x1.60c18212b0405p-12, -0x1.54988e3e82662p-12, -0x1.48d16de278b11p-12, -0x1.3d68c51a07e17p-12, -0x1.325db2ea16c9ap-12, -0x1.27abbc84c79f5p-12, -0x1.1d54e0aae9162p-12, -0x1.134cd723e0bfdp-12, -0x1.099a6e341d7dp-12, -0x1.00398d4f70a3p-12, -0x1.ee4d5b8cbb32fp-13, -0x1.dcbf932094208p-13, -0x1.cbc699ab8d541p-13, -0x1.bb5cbc3cf65e3p-13, -0x1.ab7f344cf767ap-13, -0x1.9c2945cca1236p-13, -0x1.8d56d4afdf7cfp-13, -0x1.7f05c5deb4ee9p-13, -0x1.7130be0569a43p-13, -0x1.63d380b773caap-13, -0x1.56e68a13b6599p-13, -0x1.4a7652e715cccp-13, -0x1.3e6eba0809ea9p-13, -0x1.32d23609f5e28p-13, -0x1.279d80414e07dp-13, -0x1.1ccd336e686d7p-13, -0x1.125ec03522425p-13, -0x1.084ed4f4baa99p-13, -0x1.fd34430089b68p-14, -0x1.ea7d89b3ed362p-14, -0x1.d8723c2ae6148p-14, -0x1.c70db84910af3p-14, -0x1.b64a59692bf6dp-14, -0x1.a623e769a3a8bp-14, -0x1.9692a16f36345p-14, -0x1.879582eb9ea09p-14, -0x1.79273320fe153p-14, -0x1.6b3e433177e16p-14, -0x1.5ddb98c66a367p-14, -0x1.50f8ef2135741p-14, -0x1.4492a42fa9cacp-14, -0x1.38ae5faff3f8dp-14, -0x1.2d28118d3c133p-14, -0x1.221bb2669ea9p-14, -0x1.177c035bb924dp-14, -0x1.0d43bcb60d50cp-14, -0x1.036fdce25d892p-14, -0x1.f3ffb19de4c9ep-15, -0x1.e1d7c3add0fb8p-15, -0x1.d064ecd0e79d6p-15, -0x1.bfa0ad32f51dfp-15, -0x1.af853a530de36p-15, -0x1.a00b6d0f6f43dp-15, -0x1.912e7ee3b6707p-15, -0x1.82e881ca7257dp-15, -0x1.753404818c8bp-15, -0x1.680f90fe8d1b2p-15, -0x1.5b699a15cf258p-15, -0x1.4f4a51df226d2p-15, -0x1.439413a3f0699p-15, -0x1.387e59d55409dp-15, -0x1.2dc6cf0cc9fc8p-15, -0x1.237b6851bada7p-15, -0x1.19a3ccddc2f8ap-15, -0x1.102f47235e444p-15, -0x1.071ad7e36c795p-15, -0x1.fcd71b1b1a5b2p-16, -0x1.ec273a4662e8fp-16, -0x1.dc285f465d0bfp-16, -0x1.ccd2a26c5cd3cp-16, -0x1.be1e61c6dbf9fp-16, -0x1.b005f5c275107p-16, -0x1.a27fa222cbd4cp-16, -0x1.958de1670105dp-16, -0x1.8921238b19e1p-16, -0x1.7d3a04f9401cbp-16, -0x1.71d0a4fd89dc6p-16, -0x1.66cc9c4407b16p-16, -0x1.5c5fd92ae32cdp-16, -0x1.5250a15e2a0d5p-16, -0x1.48aa916b42e99p-16, -0x1.3f68462695068p-16, -0x1.36861ae3c359dp-16, -0x1.2e019f52b34c9p-16, -0x1.25d32fdc02ff3p-16, -0x1.1df8de0b6d15fp-16, -0x1.1660cd321e57bp-16, -0x1.0f2ecaa8cadf1p-16, -0x1.083c158f70789p-16, -0x1.018652991af7cp-16, -0x1.f62c30e6ef782p-17, -0x1.e9c809e359b43p-17, -0x1.ddd5f3e83af6ep-17, -0x1.d23766646045ep-17, -0x1.c75f07bf7336fp-17, -0x1.bcae194256c48p-17, -0x1.b2671a2a8698bp-17, -0x1.a88068e682ae1p-17, -0x1.9eef7e8ac4948p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.65f65ff88d96p-1, -0x1.74d1189fabbbcp-1, -0x1.7aba10b7feec3p-1, -0x1.788bf6c00e877p-1, -0x1.6f5db6a3241cap-1, -0x1.606361da83edep-1, -0x1.4cd6cbe130dcfp-1, -0x1.35e67ea6ae0c8p-1, -0x1.1caa20f73a76fp-1, -0x1.021b9c798742fp-1, -0x1.ce274f826d1ep-2, -0x1.9890cb906b6b8p-2, -0x1.649de4508333ap-2, -0x1.333846d2df1fep-2, -0x1.0510b8d1c1777p-2, -0x1.b54930950ce39p-3, -0x1.688a546af8031p-3, -0x1.243c04fb861e2p-3, -0x1.d0eade11999ep-4, -0x1.6a3595df4767bp-4, -0x1.13d119b56b155p-4, -0x1.99ed1e01c9cc2p-5, -0x1.295eadb159d8bp-5, -0x1.a797914628613p-6, -0x1.2dc7a40d83c9ep-6, -0x1.c0fe40c676798p-7, -0x1.75be5c19b527bp-7, -0x1.703290d73bb97p-7, -0x1.a710fe242eaaep-7, -0x1.08bd5dc3513d9p-6, -0x1.53830dd9d9a36p-6, -0x1.afe5f0fefe1dfp-6, -0x1.0d1e2eec2a9c2p-5, -0x1.47915ca23dfbdp-5, -0x1.85d3dc53b7ba1p-5, -0x1.c6809042be2ebp-5, -0x1.042c7cea18db6p-4, -0x1.25217c904fcb6p-4, -0x1.45a4858c2633cp-4, -0x1.654c275c80841p-4, -0x1.83be416d066a4p-4, -0x1.a0ade8f62e778p-4, -0x1.bbd9cec239786p-4, -0x1.d50b7a701f773p-4, -0x1.ec16e397c18d2p-4, -0x1.006d2a270fbc7p-3, -0x1.099ee39414b3p-3, -0x1.1198ee35bab7ep-3, -0x1.18573d9160861p-3, -0x1.1dd8bb5b06f82p-3, -0x1.221eb0db1a50bp-3, -0x1.252c7249ed64ep-3, -0x1.270727f9b2535p-3, -0x1.27b5b60c569bfp-3, -0x1.2740a61b02cafp-3, -0x1.25b2032a3708ep-3, -0x1.2315220bfd94p-3, -0x1.1f765883fbddap-3, -0x1.1ae2ac4bff63bp-3, -0x1.156789d654149p-3, -0x1.0f128a7cdc021p-3, -0x1.07f14fa0e852ep-3, -0x1.0011712f50869p-3, -0x1.ef00eff89d56dp-4, -0x1.dc97bac128981p-4, -0x1.c902109db12fp-4, -0x1.b45a85716196fp-4, -0x1.9ebb521c0f5fdp-4, -0x1.883e27e35db41p-4, -0x1.70fc0245912fap-4, -0x1.590cfd650965bp-4, -0x1.408836e54fc38p-4, -0x1.2783bc941143p-4, -0x1.0e1485b85dc33p-4, -0x1.e89ceef041f83p-5, -0x1.b488da963f9edp-5, -0x1.80108a7715152p-5, -0x1.4b4e5c5d4e315p-5, -0x1.16736f0e32b96p-5, -0x1.c3271a447b89p-6, -0x1.59958daaa6622p-6, -0x1.e0ce775a42307p-7, -0x1.0f9c1caebcfe4p-7, -0x1.ff8fb1e2615cp-10, 0x1.1bb1d93fc56e6p-8, 0x1.59736b64384acp-7, 0x1.11499dc68e415p-6, 0x1.747a50f93e694p-6, 0x1.d62d36b9eab3dp-6, 0x1.1b23718cc8cbcp-5, 0x1.4a577b12ba53cp-5, 0x1.78a7efe5af0bep-5, 0x1.a60b603a6a9aep-5, 0x1.d2798b3c76b85p-5, 0x1.fdeb473168aa2p-5, 0x1.142d347832f42p-4, 0x1.28e0cf31c4516p-4, 0x1.3d0e3293fea07p-4, 0x1.50b379149c32dp-4, 0x1.63cf1256707b4p-4, 0x1.765fbdbf6b795p-4, 0x1.8864863b25c27p-4, 0x1.99dcbf99a722ep-4, 0x1.aac8042c29c05p-4, 0x1.bb26325a6253dp-4, 0x1.caf76b354e01fp-4, 0x1.da3c0f404c533p-4, 0x1.e8f4bc8aa65c2p-4, 0x1.f7224a4c0203ep-4, 0x1.0262e390ea4ddp-3, 0x1.08f0377ea4922p-3, 0x1.0f39d8d824017p-3, 0x1.154090ae9e927p-3, 0x1.1b053abf2fc2ap-3, 0x1.2088c1ec470ecp-3, 0x1.25cc1da1578a7p-3, 0x1.2ad04feea1d09p-3, 0x1.2f9663c2540ep-3, 0x1.341f6acb7f357p-3, 0x1.386c7c1a98b93p-3, 0x1.3c7eb40fd23bap-3, 0x1.40572f79b5251p-3, 0x1.43f711b739633p-3, 0x1.475f7e7e86f9dp-3, 0x1.4a919b8bb63b1p-3, 0x1.4d8e8f79d0ec4p-3, 0x1.5057836a15d2fp-3, 0x1.52eda0ee0ff9ep-3, 0x1.555212970ec79p-3, 0x1.578602c79c644p-3, 0x1.598a9d24373dep-3, 0x1.5b610c3d8f853p-3, 0x1.5d0a7a23038ffp-3, 0x1.5e880f6bc5326p-3, 0x1.5fdaf38aabd0ep-3, 0x1.610449c05866p-3, 0x1.62053523c54c6p-3, 0x1.62ded47ef5d1dp-3, 0x1.639241d704cfdp-3, 0x1.64209548f5fc3p-3, 0x1.648ae182d6f92p-3, 0x1.64d235074677p-3, 0x1.64f799d4da999p-3, 0x1.64fc1528972a5p-3, 0x1.64e0a76087a89p-3, 0x1.64a64c2158da4p-3, 0x1.644dfa0afb71cp-3, 0x1.63d8a2f8d084dp-3, 0x1.634733f2a2233p-3, 0x1.629a95422bd98p-3, 0x1.61d3aaaf12838p-3, 0x1.60f35214ab014p-3, 0x1.5ffa667588959p-3, 0x1.5ee9be248da59p-3, 0x1.5dc229fa55f54p-3, 0x1.5c8476e2cb2p-3, 0x1.5b316de746909p-3, 0x1.59c9d3c7e889ap-3, 0x1.584e67e313f6cp-3, 0x1.56bfe787c5036p-3, 0x1.551f0a620b72ap-3, 0x1.536c849e17db7p-3, 0x1.51a9063530191p-3, 0x1.4fd53b52173c6p-3, 0x1.4df1cc2636942p-3, 0x1.4bfe8308beabcp-3, 0x1.49fde15e3e7cfp-3, 0x1.47ef81526e5cbp-3, 0x1.45d3f9aa32a31p-3, 0x1.43abdd102271cp-3, 0x1.4177bb3124617p-3, 0x1.3f38205340c99p-3, 0x1.3ced95dadf3d7p-3, 0x1.3a98a17c88p-3, 0x1.3839c74626e73p-3, 0x1.35d18702927d5p-3, 0x1.33605f18e4b5ep-3, 0x1.30e6ca417b5a4p-3, 0x1.2e654100d8cc7p-3, 0x1.2bdc38ed63ec7p-3, 0x1.294c25163faedp-3, 0x1.26b575bb218e3p-3, 0x1.2418986a2ab62p-3, 0x1.2175f84c90188p-3, 0x1.1ecdfd55086a9p-3, 0x1.1c210e8748c24p-3, 0x1.196f8aba24442p-3, 0x1.16b9d57a126e1p-3, 0x1.14004bd6a147ep-3, 0x1.114348879aa5fp-3, 0x1.0e8323c68b2c8p-3, 0x1.0bc0338a65b0fp-3, 0x1.08facb4f9cdc9p-3, 0x1.06333c2f07219p-3, 0x1.0369d4ec4288fp-3, 0x1.009ee218144efp-3, 0x1.fba55c48b4472p-4, 0x1.f60b02a02908ap-4, 0x1.f06f43eb05c8fp-4, 0x1.ead2a8ace064p-4, 0x1.e535b60ff3142p-4, 0x1.df98ed0c73cd1p-4, 0x1.d9fccb81fc3c8p-4, 0x1.d461cba0f78cbp-4, 0x1.cec863dd548cp-4, 0x1.c9310945cf9c2p-4, 0x1.c39c2ada20342p-4, 0x1.be0a368a49cefp-4, 0x1.b87b95cc7bcb3p-4, 0x1.b2f0aff9a7b68p-4, 0x1.ad69e9c65e44fp-4, 0x1.a7e7a4d670701p-4, 0x1.a26a3d93f162cp-4, 0x1.9cf21095305edp-4, 0x1.977f753b52d52p-4, 0x1.9212c21f28c4bp-4, 0x1.8cac493020727p-4, 0x1.874c5a17c91e2p-4, 0x1.81f3423b51fd6p-4, 0x1.7ca14bd73c6b5p-4, 0x1.7756beb0ddee2p-4, 0x1.7213de7177b9bp-4, 0x1.6cd8eea941d27p-4, 0x1.67a62e3310469p-4, 0x1.627bda53876ccp-4, 0x1.5d5a2d70a1f1ep-4, 0x1.58415f7d6cff9p-4, 0x1.5331a62d1030fp-4, 0x1.4e2b3498f88a6p-4, 0x1.492e3bc2ea9cbp-4, 0x1.443aea20cc05ap-4, 0x1.3f516c3cda096p-4, 0x1.3a71ec01d6dddp-4, 0x1.359c924e71c7cp-4, 0x1.30d18476e607bp-4, 0x1.2c10e6554cfcp-4, 0x1.275adb17b5453p-4, 0x1.22af82e0541c2p-4, 0x1.1e0ef923b5016p-4, 0x1.19795dadc81fdp-4, 0x1.14eec9afe8ec6p-4, 0x1.106f56155046p-4, 0x1.0bfb1927fc9f2p-4, 0x1.07922b5b13d62p-4, 0x1.03349d514e8c1p-4, 0x1.fdc50532c6cdep-5, 0x1.f537d718f1524p-5, 0x1.ecc1ce9963072p-5, 0x1.e46306eb92428p-5, 0x1.dc1b983353cf2p-5, 0x1.d3eb92dbfbc56p-5, 0x1.cbd317d9c2d9p-5, 0x1.c3d2286152744p-5, 0x1.bbe8d5f309ef8p-5, 0x1.b4172b09e2cf1p-5, 0x1.ac5d2f5629f74p-5, 0x1.a4baeb36044edp-5, 0x1.9d3056e1b16eep-5, 0x1.95bd7d17da1bp-5, 0x1.8e6259590c94dp-5, 0x1.871ee3b2d6c92p-5, 0x1.7ff318f1f1f9p-5, 0x1.78deeed29921fp-5, 0x1.71e25a8a8016dp-5, 0x1.6afd4e92bcb3p-5, 0x1.642fbd20828e3p-5, 0x1.5d79943b84c7bp-5, 0x1.56dac109186dbp-5, 0x1.50532e39ac257p-5, 0x1.49e2c6a329b5ap-5, 0x1.4389727098c47p-5, 0x1.3d47149d627d6p-5, 0x1.371b950cecc89p-5, 0x1.3106d63fde232p-5, 0x1.2b08b7fe7795fp-5, 0x1.25211f1d86ffcp-5, 0x1.1f4fe6d8b864dp-5, 0x1.1994eaa79b60ap-5, 0x1.13f00a779d4d6p-5, 0x1.0e612070e9b44p-5, 0x1.08e8070f33c5dp-5, 0x1.0384955660ac2p-5, 0x1.fc6d4941932aap-6, 0x1.f1fc16bcc5b7fp-6, 0x1.e7b53dec97793p-6, 0x1.dd98696d06cb1p-6, 0x1.d3a540c328a52p-6, 0x1.c9db6a5df887ap-6, 0x1.c03a8b35f4468p-6, 0x1.b6c2464b5be0cp-6, 0x1.ad723d3571782p-6, 0x1.a44a11e73bc94p-6, 0x1.9b4961ff13ca9p-6, 0x1.926fcd37804ap-6, 0x1.89bcef2cb1817p-6, 0x1.813063d7f5c89p-6, 0x1.78c9c75607e2bp-6, 0x1.7088b4e0a7956p-6, 0x1.686cc1ff6cc1ep-6, 0x1.60758c886f26bp-6, 0x1.58a2a868f51c1p-6, 0x1.50f3aefb78de9p-6, 0x1.496830fa0dbb9p-6, 0x1.41ffd364a8be2p-6, 0x1.3aba1e7e026e4p-6, 0x1.3396a96169f48p-6, 0x1.2c95125d9b32bp-6, 0x1.25b4e462cb8fcp-6, 0x1.1ef5ba4c8c6p-6, 0x1.185723f08e5dap-6, 0x1.11d8bb282c936p-6, 0x1.0b7a1339ed8edp-6, 0x1.053abc854d3p-6, 0x1.fe34a05195137p-7, 0x1.f230c3ed2ba2bp-7, 0x1.e669051b44aebp-7, 0x1.dadca73d9b95ap-7, 0x1.cf8ab18b275a1p-7, 0x1.c4727291f66e4p-7, 0x1.b992ffbdac2afp-7, 0x1.aeeb8d576b3d2p-7, 0x1.a47b40de3516cp-7, 0x1.9a4153c1a884dp-7, 0x1.903cee69b67e1p-7, 0x1.866d4596723dbp-7, 0x1.7cd188ea68e4p-7, 0x1.7368eadac5252p-7, 0x1.6a32a1b8dfef6p-7, 0x1.612de098b86eap-7, 0x1.5859d877bb7cfp-7, 0x1.4fb5caaa4d227p-7, 0x1.4740ec26085a4p-7, 0x1.3efa78e54306ep-7, 0x1.36e1abb09c312p-7, 0x1.2ef5c46b96fe9p-7, 0x1.2735fc6f47dbbp-7, 0x1.1fa1a196d5bb6p-7, 0x1.1837ea03545f9p-7, 0x1.10f825f18aac4p-7, 0x1.09e1872b18dfep-7, 0x1.02f36efd88206p-7, 0x1.f84b892420544p-8, 0x1.eb0c91448ded5p-8, 0x1.de1a5f1a4b1b3p-8, 0x1.d17389f3aec74p-8, 0x1.c516c2a196015p-8, 0x1.b9029d0afb0fbp-8, 0x1.ad35d3f6c037ep-8, 0x1.a1af12a3d104ep-8, 0x1.966d0c1c01a9ap-8, 0x1.8b6e712ba8f12p-8, 0x1.80b203239ead6p-8, 0x1.763657aaaf5e3p-8, 0x1.6bfaa4429235dp-8, 0x1.61fd3d6877cccp-8, 0x1.583d14326bd4cp-8, 0x1.4eb8f68bdac5p-8, 0x1.456fb8724058ap-8, 0x1.3c6033bb926e5p-8, 0x1.338938aa20f7fp-8, 0x1.2ae9b0d309c22p-8, 0x1.22807be79d6e2p-8, 0x1.1a4c81051e46fp-8, 0x1.124cabe845df3p-8, 0x1.0a7fed4daccb4p-8, 0x1.02e53052aa00fp-8, 0x1.f6f6e7496695ep-9, 0x1.e88364be7d8e6p-9, 0x1.da6e056113001p-9, 0x1.ccb4262c6ef56p-9, 0x1.bf54a28f96202p-9, 0x1.b24d27770e2a2p-9, 0x1.a59be506f5b6ap-9, 0x1.993f277a6a2bbp-9, 0x1.8d34a05440eb6p-9, 0x1.817b0333e5ac9p-9, 0x1.76106a7a01b14p-9, 0x1.6af2f53a6c5bdp-9, 0x1.602120cc29e91p-9, 0x1.55990a277b53p-9, 0x1.4b5931bfcb5afp-9, 0x1.415fef1de66e9p-9, 0x1.37ab9f971049cp-9, 0x1.2e3ac39fa01e8p-9, 0x1.250bbbbc9cf39p-9, 0x1.1c1d1173c5396p-9, 0x1.136d3ebc6481cp-9, 0x1.0afad59ddec16p-9, 0x1.02c461ccaa7b2p-9, 0x1.f590fac623bddp-10, 0x1.e60b9572e91bfp-10, 0x1.d6f5c7d7382d6p-10, 0x1.c84dc149ecb55p-10, 0x1.ba0e761a1a453p-10, 0x1.ac37c862120dfp-10, 0x1.9ec659d5e7521p-10, 0x1.91b7b3474ee34p-10, 0x1.8509675e1f728p-10, 0x1.78b923b829f09p-10, 0x1.6cc4807673c28p-10, 0x1.61293eecbe92dp-10, 0x1.55e520c0e1d7dp-10, 0x1.4af5ec0435cdbp-10, 0x1.405982f8471bep-10, 0x1.360dc398fc42fp-10, 0x1.2c10a5f3ed0d6p-10, 0x1.226021d467b54p-10, 0x1.18fa391ed8e94p-10, 0x1.0fdcf6fcd86ddp-10, 0x1.0706669d7b272p-10, 0x1.fce9c8e05d473p-11, 0x1.ec4ccb6b8b2ebp-11, 0x1.dc32776367fe7p-11, 0x1.cc973589e4572p-11, 0x1.bd77c0056153ap-11, 0x1.aed0b55800795p-11, 0x1.a09ebd652669ep-11, 0x1.92debc570c1bcp-11, 0x1.858d90c447142p-11, 0x1.78a7053050d31p-11, 0x1.6c2bab71736e4p-11, 0x1.6015066635df8p-11, 0x1.5461785936a3dp-11, 0x1.490dffe93654cp-11, 0x1.3e1879e86e0ap-11, 0x1.337dcd04bdf3fp-11, 0x1.293b52b948bf7p-11, 0x1.1f4ec8789f4b3p-11, 0x1.15b5ac43d58e2p-11, 0x1.0c6d54e7f0a4ep-11, 0x1.0373a6a3c7128p-11, 0x1.f58a98dbcb5f2p-12, 0x1.e4c61c558188fp-12, 0x1.d48f9bdf372dcp-12, 0x1.c4e4770b698bcp-12, 0x1.b5c0e30c00d6bp-12, 0x1.a7205a1163109p-12, 0x1.98ff578e003bdp-12, 0x1.8b59dfb5b58e3p-12, 0x1.7e2c3d7d1953ep-12, 0x1.71718ae763b16p-12, 0x1.6529afe924415p-12, 0x1.594dbfbdc3ab7p-12, 0x1.4dda1dbd7a136p-12, 0x1.42cfaf5b72587p-12, 0x1.3826f8b160965p-12, 0x1.2dde54153ca8fp-12, 0x1.23f2a81828c57p-12, 0x1.1a6103fc734a3p-12, 0x1.11267e072b5e1p-12, 0x1.084059a9aefd2p-12, 0x1.ff5766ba743dep-13, 0x1.eecc0d927b599p-13, 0x1.ded5e186599a1p-13, 0x1.cf7a9a8402c7ep-13, 0x1.c0a984a0b1745p-13, 0x1.b2631f4a181d9p-13, 0x1.a4a1e20047859p-13, 0x1.97619425e7b03p-13, 0x1.8a9d90d35f232p-13, 0x1.7e523b8d984dap-13, 0x1.727ac97eed15dp-13, 0x1.671385da517dep-13, 0x1.5c1846ca8906p-13, 0x1.518610065cc13p-13, 0x1.4757d6ed79c81p-13, 0x1.3d8c289c8a0aep-13, 0x1.34232538c5dc6p-13, 0x1.2b09d5a34d922p-13, 0x1.224d44e0c8292p-13, 0x1.19e72838cda0ap-13, 0x1.11cdbef9e3e6ep-13, 0x1.0a04e96c69698p-13, 0x1.0287429abb5dap-13, 0x1.f6a4be98370aap-14, 0x1.e8c66ad483aa4p-14, 0x1.db71112f3b05ap-14, 0x1.ce99b00d502dbp-14, 0x1.c240c4a63028fp-14, 0x1.b6603efc94475p-14, 0x1.aaf315a0a2547p-14, 0x1.9ff546e196186p-14, 0x1.955e5d0f00911p-14, 0x1.8b35d841a3656p-14, 0x1.816bd990ed419p-14, 0x1.7800c51844668p-14, 0x1.6ef122ec367cbp-14, 0x1.6638e4fbeb14bp-14, 0x1.5dd4a491b362cp-14, 0x1.55c0af41da3bp-14, 0x1.4dfaa43d6ccb7p-14, 0x1.467e63ab6c771p-14, 0x1.3f496d5021428p-14, 0x1.385820a83f6d6p-14, 0x1.31a853ae089dep-14, 0x1.2b37f6f04606fp-14, 0x1.250388dd307d3p-14, 0x1.1f10bc2c936fcp-14, 0x1.194362502d668p-14, 0x1.13b3c487c57bfp-14, 0x1.0e557f1f8bce7p-14, 0x1.092803349bd53p-14, 0x1.042831239fbeep-14, 0x1.fea859957c3cbp-15, 0x1.f554e6c75f2f1p-15, 0x1.ec4e038a2cfadp-15, 0x1.e399d11e22d19p-15, 0x1.db2420bdf3e25p-15, 0x1.d303e5990057p-15, 0x1.cb1bbf46900cp-15, 0x1.c374fa173c523p-15, 0x1.bc04e1510444dp-15, 0x1.b4d86fe60c914p-15, 0x1.addd32f0b9718p-15, 0x1.a71614faa13p-15, 0x1.a080a0c9c1fbfp-15, 0x1.9a1a77fa535d4p-15, 0x1.93df62baaaf04p-15, 0x1.8dd04b5373ccdp-15, 0x1.87e4e93bcabd1p-15, 0x1.8228134afbb0fp-15, 0x1.7c8c4a2cc48cfp-15, 0x1.771142a0a74f6p-15, 0x1.71b8b5f28a0c9p-15, 0x1.6c7e30f7d16ecp-15, 0x1.6760936a240acp-15, 0x1.625fa5d80c70ep-15, 0x1.5d8110ef70a9fp-15, 0x1.58ab7cad4340ep-15, 0x1.53f59c7d87724p-15, 0x1.4f55c95d6bcedp-15, 0x1.4acbe4a1c0c96p-15, 0x1.4662e73ca67ffp-15, 0x1.41f1297ca1c08p-15, 0x1.3da081432ce82p-15, 0x1.39601cfad73a7p-15, 0x1.352b8d61aecfep-15, 0x1.310f1553b8fa4p-15, 0x1.2cfb16f5513cep-15, 0x1.28f58a66de8d7p-15, 0x1.24fcc6775fedep-15, 0x1.2110071b24ed5p-15, 0x1.1d2e5429ee776p-15, 0x1.1958429d8b3d3p-15, 0x1.158c1cae5dc71p-15, 0x1.11c9a39717faap-15, 0x1.0e101f847c739p-15, 0x1.0a5dc5f9c6d4ap-15, 0x1.06b1891afad94p-15, 0x1.0315b070e0257p-15, 0x1.feef1549a9624p-16, 0x1.f7d71c58fd19dp-16, 0x1.f0bf714fc2bfap-16, 0x1.e9a8a9ca5d7c4p-16, 0x1.e2b7ddd58c389p-16, 0x1.dbc6c943fc234p-16, 0x1.d4ccd4a343edap-16, 0x1.ce040c870baf2p-16, 0x1.c733b0956b4c7p-16, 0x1.c06bd0947db35p-16, 0x1.b9b00b7ff4834p-16, 0x1.b2fc084d2217ap-16, 0x1.ac513a734a5e6p-16, 0x1.a5b49c61c2472p-16, 0x1.9f1703028036ap-16, 0x1.988145d37c1a4p-16, 0x1.91ffeaca70489p-16, 0x1.8b729746d5988p-16, 0x1.8508e79b086fep-16, 0x1.7e995068905bcp-16, 0x1.78341b425c05dp-16, 0x1.71ce6764d6313p-16, 0x1.6b7c5583371f6p-16, 0x1.65296bf5c48fp-16, 0x1.5ee5c40787e69p-16, 0x1.58a55cd36f83fp-16, 0x1.526e9678bd293p-16, 0x1.4c3e00735ba2bp-16, 0x1.4616c29fe50bdp-16, 0x1.3ff874292603ep-16, 0x1.39df74fc71c15p-16, 0x1.33d063c5223a4p-16, 0x1.2dc91dd01ad1dp-16, 0x1.27c558144c851p-16, 0x1.21d8437948058p-16, 0x1.1bf18ca2442acp-16, 0x1.1604926bffcd6p-16, 0x1.10275189847ccp-16, 0x1.0a53ea622de07p-16, 0x1.0484173f19017p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.039a5a4a58edp+0, -0x1.ed9c729e1e75fp-1, -0x1.d3de557d2cf52p-1, -0x1.bbd3d87b12004p-1, -0x1.a69cce1041ae3p-1, -0x1.94c8dd272d4f7p-1, -0x1.867d2638d34b1p-1, -0x1.7b945c6a69c0fp-1, -0x1.73b8f6019ed46p-1, -0x1.6e79a187e61e6p-1, -0x1.6b589043abbe3p-1, -0x1.69d6b587c146cp-1, -0x1.697b1e5194171p-1, -0x1.69d83874490cap-1, -0x1.6a8e5eaed5116p-1, -0x1.6b4cea7db836fp-1, -0x1.6bd28e5341f11p-1, -0x1.6bec931cad13p-1, -0x1.6b7578a55b8b2p-1, -0x1.6a53c863446a7p-1, -0x1.68789380e5cb1p-1, -0x1.65dd90a3b014dp-1, -0x1.628395e6a53fbp-1, -0x1.5e716b54bf10ap-1, -0x1.59b2789a91ff1p-1, -0x1.545565b3d1dffp-1, -0x1.4e6b134445067p-1, -0x1.4805e86bf41d5p-1, -0x1.41392dbbbb755p-1, -0x1.3a185e7199f68p-1, -0x1.32b696f2b433cp-1, -0x1.2b263c628d538p-1, -0x1.2378cacf6ebbfp-1, -0x1.1bbe7c14a276cp-1, -0x1.1406f0463f0a1p-1, -0x1.0c5faa907f95dp-1, -0x1.04d4d8fc2d78cp-1, -0x1.fae2961faadfbp-2, -0x1.ec7d18cb738cdp-2, -0x1.de89d7aeb69bp-2, -0x1.d116e96a55b35p-2, -0x1.c42fd38f5db6fp-2, -0x1.b7dda08cd2d02p-2, -0x1.ac271a298a413p-2, -0x1.a1111a1a2c65p-2, -0x1.969ed5edfa9b4p-2, -0x1.8cd21891ef6d3p-2, -0x1.83ab6348f3833p-2, -0x1.7b29fe6446cf1p-2, -0x1.734c0684e93f1p-2, -0x1.6c0e8226eb026p-2, -0x1.656d82e60b90cp-2, -0x1.5f645216f5322p-2, -0x1.59eda0588edb2p-2, -0x1.5503b07e11e3ep-2, -0x1.50a077ecb7e1dp-2, -0x1.4cbdb2f2c5b1bp-2, -0x1.4954efc39a3b6p-2, -0x1.465f94cc597bbp-2, -0x1.43d6e6c588a88p-2, -0x1.41b411dc11dd3p-2, -0x1.3ff0367ed0d2p-2, -0x1.3e84790d80216p-2, -0x1.3d6a1274761a7p-2, -0x1.3c9a5f7a4af7cp-2, -0x1.3c0eed07f7476p-2, -0x1.3bc1807013fb9p-2, -0x1.3bac1ba82f619p-2, -0x1.3bc8fe2069ef2p-2, -0x1.3c12a37f9dc36p-2, -0x1.3c83c1c6fe8a7p-2, -0x1.3d1747f27e304p-2, -0x1.3dc85dd8cf46cp-2, -0x1.3e9265784c2b5p-2, -0x1.3f70fd237c063p-2, -0x1.40600207008bap-2, -0x1.415b9222e3f73p-2, -0x1.4260ff80fdd55p-2, -0x1.436b810cb8afp-2, -0x1.44785b42923dp-2, -0x1.45849ed9b8bf1p-2, -0x1.468d9bc30360ap-2, -0x1.4790dea3c51aap-2, -0x1.488c2ce80e42ep-2, -0x1.497d81674f39cp-2, -0x1.4a6306fd28033p-2, -0x1.4b3b1512e91e8p-2, -0x1.4c042ba2c15c5p-2, -0x1.4cbcf02a7bd2dp-2, -0x1.4d642b2ce7a42p-2, -0x1.4df8c66b5383ap-2, -0x1.4e79cb51ab98bp-2, -0x1.4ee6625093c23p-2, -0x1.4f3dd1a47d919p-2, -0x1.4f7f7cafb5cd4p-2, -0x1.4faae31389403p-2, -0x1.4fbf9f6b692f2p-2, -0x1.4fbd6621d5c15p-2, -0x1.4fa403cc4b9b7p-2, -0x1.4f735b5c92ce3p-2, -0x1.4f2b643170f4ep-2, -0x1.4ecc28056cbf8p-2, -0x1.4e55c0eb2efp-2, -0x1.4dc85756f5d12p-2, -0x1.4d24205a076e9p-2, -0x1.4c695c1432b18p-2, -0x1.4b98545f05169p-2, -0x1.4ab15bb77f2ap-2, -0x1.49b4cc5141e5dp-2, -0x1.48a3075c9b1e7p-2, -0x1.477c74584dcdp-2, -0x1.464180aad9b32p-2, -0x1.44f29f0aefbf7p-2, -0x1.43904728c111ap-2, -0x1.421af54d19ffap-2, -0x1.409329e8ab60cp-2, -0x1.3ef9693504f6p-2, -0x1.3d4e3ac73e0bap-2, -0x1.3b92290b71246p-2, -0x1.39c5c0c81ac94p-2, -0x1.37e990ab02956p-2, -0x1.35fe288c1ed5ap-2, -0x1.3404194daa485p-2, -0x1.31fbf4124fdd2p-2, -0x1.2fe649efc3bfbp-2, -0x1.2dc3ab8aec185p-2, -0x1.2b94a8b892e21p-2, -0x1.2959d044838bdp-2, -0x1.2713af9c66b0cp-2, -0x1.24c2d285d62e6p-2, -0x1.2267c321d51b8p-2, -0x1.20030985a0ad1p-2, -0x1.1d952bb4aab1fp-2, -0x1.1b1ead77fa64fp-2, -0x1.18a0105301b18p-2, -0x1.1619d3504847bp-2, -0x1.138c73325c531p-2, -0x1.10f86a3585674p-2, -0x1.0e5e301f535f1p-2, -0x1.0bbe3a4461069p-2, -0x1.0918fb7b4d113p-2, -0x1.066ee423947b7p-2, -0x1.03c062223c002p-2, -0x1.010de0d53e0bdp-2, -0x1.fcaf923a38e5cp-3, -0x1.f73d02a6070c9p-3, -0x1.f1c4da84b19eap-3, -0x1.ec47dc50bf296p-3, -0x1.e6c6c55d7599p-3, -0x1.e1424dd4879a9p-3, -0x1.dbbb28b2419acp-3, -0x1.d63203c17309cp-3, -0x1.d0a787b35b135p-3, -0x1.cb1c580b53f9p-3, -0x1.c591132e1b929p-3, -0x1.c00652878f2cbp-3, -0x1.ba7caa5c7a111p-3, -0x1.b4f4aa233a90fp-3, -0x1.af6edc33fd02ap-3, -0x1.a9ebc673e65f7p-3, -0x1.a46be9c894291p-3, -0x1.9eefc2929615fp-3, -0x1.9977c89c96391p-3, -0x1.94046f50d25e3p-3, -0x1.8e9625bc32ce3p-3, -0x1.892d18ce9f35bp-3, -0x1.83ca48fb5e2f1p-3, -0x1.7e6dbd483407p-3, -0x1.7917d32d0096ep-3, -0x1.73c8e45090bd5p-3, -0x1.6e8146d43a2bfp-3, -0x1.69414d5d2096ep-3, -0x1.6409473ee6da1p-3, -0x1.5ed98078a2c27p-3, -0x1.59b2420094204p-3, -0x1.5493d191fee1p-3, -0x1.4f7e71f67dec8p-3, -0x1.4a7262ec36281p-3, -0x1.456fe136fbb7p-3, -0x1.407726b9655dcp-3, -0x1.3b886a5e1ab05p-3, -0x1.36a3e0376c144p-3, -0x1.31c9b978f5b72p-3, -0x1.2cfa249867e8ep-3, -0x1.28354d20a05fbp-3, -0x1.237b5c3e21871p-3, -0x1.1ecc774fdc036p-3, -0x1.1a28c2914d5f7p-3, -0x1.15905ed7a6e8bp-3, -0x1.11036a863c359p-3, -0x1.0c82019657c73p-3, -0x1.080c3da9da845p-3, -0x1.03a2361642645p-3, -0x1.fe87fff46b2acp-4, -0x1.f5e35ca6f8efbp-4, -0x1.ed56a42a60c05p-4, -0x1.e4e1f472e5b57p-4, -0x1.dc8567b2abfcap-4, -0x1.d441148151763p-4, -0x1.cc150df1b1275p-4, -0x1.c40163bac4d17p-4, -0x1.bc0622cc4715cp-4, -0x1.b42354548e245p-4, -0x1.ac58ff04da89ep-4, -0x1.a4a726822d629p-4, -0x1.9d0dcc3647778p-4, -0x1.958cee1837ep-4, -0x1.8e248828b15e1p-4, -0x1.86d49399ff86ap-4, -0x1.7f9d076b44085p-4, -0x1.787dd852f93dbp-4, -0x1.7176f8b700b22p-4, -0x1.6a88587400b59p-4, -0x1.63b1e5bb0ae67p-4, -0x1.5cf38c5133212p-4, -0x1.564d363e9428bp-4, -0x1.4fbecb53d0b36p-4, -0x1.4948319b2c75dp-4, -0x1.42e94d3cf8645p-4, -0x1.3ca200a3e1883p-4, -0x1.36722c5b83ce3p-4, -0x1.3059afa160917p-4, -0x1.2a5867b1c8234p-4, -0x1.246e30663f144p-4, -0x1.1e9ae4434a8a1p-4, -0x1.18de5c46a5d44p-4, -0x1.13387020d338ap-4, -0x1.0da8f645838ebp-4, -0x1.082fc3ea13927p-4, -0x1.02ccad2e58e67p-4, -0x1.faff0a2a9c186p-5, -0x1.f0903b4dca2d4p-5, -0x1.e64c8fdd6d32ap-5, -0x1.dc33a87b76b45p-5, -0x1.d24523a3d3e76p-5, -0x1.c8809e785f0dp-5, -0x1.bee5b51a80958p-5, -0x1.b57401ca2caddp-5, -0x1.ac2b1d416013ep-5, -0x1.a30aa03013fd4p-5, -0x1.9a1221461e72bp-5, -0x1.91413689a6dd1p-5, -0x1.889775261a1fap-5, -0x1.801471998b118p-5, -0x1.77b7bf499f666p-5, -0x1.6f80f15918965p-5, -0x1.676f9a17d9c59p-5, -0x1.5f834b63dda3ep-5, -0x1.57bb96ab446dfp-5, -0x1.50180cf5dd5ecp-5, -0x1.48983df28a87ep-5, -0x1.413bbd19148b1p-5, -0x1.3a0217920a0a3p-5, -0x1.32eade68aaeabp-5, -0x1.2bf5a195c1a35p-5, -0x1.2521f0fcde16fp-5, -0x1.1e6f5cefc4befp-5, -0x1.17dd73ecad12p-5, -0x1.116bc76ea1ed3p-5, -0x1.0b19e7547a442p-5, -0x1.04e7635adf63cp-5, -0x1.fda799691c08p-6, -0x1.f1bd67f6c7f9fp-6, -0x1.e60f54d43749fp-6, -0x1.da9c82e00634fp-6, -0x1.cf6416631e7dap-6, -0x1.c46533f2b2a2cp-6, -0x1.b99f00f8c98b3p-6, -0x1.af10a4562015ep-6, -0x1.a4b945b7918dbp-6, -0x1.9a980f56cfb65p-6, -0x1.90ac2994b34eap-6, -0x1.86f4c1183b2bp-6, -0x1.7d7102b1c606cp-6, -0x1.74201c43fd795p-6, -0x1.6b013e08d88e4p-6, -0x1.62139a27c2e13p-6, -0x1.59566178fa849p-6, -0x1.50c8c9bdcf2dfp-6, -0x1.486a08eadaad8p-6, -0x1.403956fdfd68ap-6, -0x1.3835ed12eed19p-6, -0x1.305f06e757bc5p-6, -0x1.28b3e193a3291p-6, -0x1.2133bbeaa3c56p-6, -0x1.19ddd6f7c907fp-6, -0x1.12b1755d1367cp-6, -0x1.0baddbc85be3bp-6, -0x1.04d250d09f409p-6, -0x1.fc3c39f6f530cp-7, -0x1.ef21159e5d3bdp-7, -0x1.e251ce016875p-7, -0x1.d5ccffd03f21dp-7, -0x1.c9914c98c5dd5p-7, -0x1.bd9d59266104dp-7, -0x1.b1efce4510741p-7, -0x1.a6875b5be7941p-7, -0x1.9b62b0938e49ap-7, -0x1.9080834a6e49ep-7, -0x1.85df8eacd562ep-7, -0x1.7b7e8ff0c0d1ap-7, -0x1.715c49b944dd7p-7, -0x1.677780bd5abb3p-7, -0x1.5dcf045394b85p-7, -0x1.54619ee3f90cp-7, -0x1.4b2e2465560bbp-7, -0x1.42336ddc5d286p-7, -0x1.397054c8d1759p-7, -0x1.30e3b9ebe0852p-7, -0x1.288c7fefa4174p-7, -0x1.2069908b94cc2p-7, -0x1.1879d6bf82bbp-7, -0x1.10bc42633275cp-7, -0x1.092fc8965e0bfp-7, -0x1.01d361a4aaaa8p-7, -0x1.f54c1164b03f7p-8, -0x1.e74d84bf13ccep-8, -0x1.d9a91c93e2c9fp-8, -0x1.cc5cf1d81bc73p-8, -0x1.bf671b2e7974dp-8, -0x1.b2c5b96048cffp-8, -0x1.a676f440685e5p-8, -0x1.9a78fff7eb7d9p-8, -0x1.8eca128e6baccp-8, -0x1.83686e7a351d9p-8, -0x1.78525b2925e04p-8, -0x1.6d86284b8d3adp-8, -0x1.63022ccedc50fp-8, -0x1.58c4c938adefbp-8, -0x1.4ecc605c6bf35p-8, -0x1.4517625c2b5e5p-8, -0x1.3ba442fe2da7cp-8, -0x1.32717e45063bdp-8, -0x1.297d974658988p-8, -0x1.20c717ec31948p-8, -0x1.184c90216cf29p-8, -0x1.100c9a44561cdp-8, -0x1.0805d210360ep-8, -0x1.0036e18f5ebcp-8, -0x1.f13cd8b9784f6p-9, -0x1.e2765abb5355dp-9, -0x1.d40d0822f68efp-9, -0x1.c6137671ce702p-9, -0x1.b87ccc406233dp-9, -0x1.ab46a227734efp-9, -0x1.9e6e9cf5b8649p-9, -0x1.91f26c91830ebp-9, -0x1.85cfce95e3584p-9, -0x1.7a048b83e66c2p-9, -0x1.6e8e7578f1016p-9, -0x1.636b71c3c0e78p-9, -0x1.589965cc5959cp-9, -0x1.4e164000b8dbap-9, -0x1.43e01dea9ffc9p-9, -0x1.39f4ef4098398p-9, -0x1.3052d4501bb19p-9, -0x1.26f7ed6dacd41p-9, -0x1.1de26670cf811p-9, -0x1.15107932b326fp-9, -0x1.0c8058cd32946p-9, -0x1.04305aee26981p-9, -0x1.f83d9d2509aabp-10, -0x1.e894209b54b6fp-10, -0x1.d9610c682a88fp-10, -0x1.caa13cc738e2ap-10, -0x1.bc51a60d5ff59p-10, -0x1.ae6f4606c78a3p-10, -0x1.a0f733360dc66p-10, -0x1.93e69da7a28cap-10, -0x1.873a906cca7f3p-10, -0x1.7af0821a4f7adp-10, -0x1.6f05b2a7bdd65p-10, -0x1.63778b16b53c4p-10, -0x1.58439419141a6p-10, -0x1.4d671823fd4aap-10, -0x1.42dfe66da6631p-10, -0x1.38ab8eac05536p-10, -0x1.2ec7be21ca67p-10, -0x1.253238e30de6dp-10, -0x1.1be8c750704b2p-10, -0x1.12e947b68e985p-10, -0x1.0a31a20673e6ep-10, -0x1.01bfc9c011a1fp-10, -0x1.f32385258097ap-11, -0x1.e34b2d61afa39p-11, -0x1.d3f2cfab94bd1p-11, -0x1.c516b0dbcc4ccp-11, -0x1.b6b336bca2d14p-11, -0x1.a8c4dec0d2791p-11, -0x1.9b482e8ef8b74p-11, -0x1.8e39f8f071477p-11, -0x1.8196d30fa8ee1p-11, -0x1.755bcfa083ff7p-11, -0x1.6985424ad96f5p-11, -0x1.5e10c02f815aep-11, -0x1.52fb28844ae8bp-11, -0x1.48419d486b559p-11, -0x1.3de1551d1ee68p-11, -0x1.33d7a29c976b1p-11, -0x1.2a21d91745102p-11, -0x1.20bd6be47d072p-11, -0x1.17a7da7d90dcdp-11, -0x1.0edeb49a42ff4p-11, -0x1.065f9dcc796b2p-11, -0x1.fc508e7b1ac64p-12, -0x1.ec6cea46a6216p-12, -0x1.dd0ff15d7c006p-12, -0x1.ce3567848dd66p-12, -0x1.bfd925b2f85d5p-12, -0x1.b1f72812fc2p-12, -0x1.a48b9c4b987a3p-12, -0x1.9792a4d9e49cp-12, -0x1.8b089e0c3704ap-12, -0x1.7ee9e882e03ffp-12, -0x1.733316ed72189p-12, -0x1.67e0bea6783edp-12, -0x1.5cefa1140f303p-12, -0x1.525c85e10f779p-12, -0x1.48245aad75a63p-12, -0x1.3e43be1b4be29p-12, -0x1.34b8e17bc0438p-12, -0x1.2b7fc8de45feap-12, -0x1.229635fbaabebp-12, -0x1.19f957f8cad0ap-12, -0x1.11a6ac3e60ff7p-12, -0x1.099bb8dffe717p-12, -0x1.01d5f260a7d6fp-12, -0x1.f4a62ef52317dp-13, -0x1.e621a4f0fd14cp-13, -0x1.d819dba320c4ep-13, -0x1.ca8a751d2fc73p-13, -0x1.bd6eef6feed22p-13, -0x1.b0c4af879d836p-13, -0x1.a4862abf634c3p-13, -0x1.98b035dbba054p-13, -0x1.8d3f15994db31p-13, -0x1.822f4c1195cf2p-13, -0x1.777d568708e7bp-13, -0x1.6d25e06bcba5ap-13, -0x1.6325b7f4d306ap-13, -0x1.5979257403bcbp-13, -0x1.501ebc1009db3p-13, -0x1.4711f891f0899p-13, -0x1.3e504b183f482p-13, -0x1.35d7c8f816011p-13, -0x1.2da4e3597dep-13, -0x1.25b5687a532a3p-13, -0x1.1e06cb76e28ffp-13, -0x1.1696b01ffb9a5p-13, -0x1.0f62bfed435d8p-13, -0x1.0868c92a89797p-13, -0x1.01a6873b23b87p-13, -0x1.f633fb745255cp-14, -0x1.e98100f8efed1p-14, -0x1.dd33dbaeb092fp-14, -0x1.d144ef3a3a475p-14, -0x1.c5b2419281c3cp-14, -0x1.ba7804ba43098p-14, -0x1.af92f381bea25p-14, -0x1.a4ff91ff8218cp-14, -0x1.9abb5a0a56bdbp-14, -0x1.90c29df6bfcaep-14, -0x1.8712b709da17dp-14, -0x1.7da89fb75f579p-14, -0x1.74822e04da84ap-14, -0x1.6b9c341f06feep-14, -0x1.62f47d7852d11p-14, -0x1.5a89ee833c267p-14, -0x1.5255ede86187ap-14, -0x1.4a5a95a17d2f2p-14, -0x1.4294e5e2531d6p-14, -0x1.3b00ffd4bde2ep-14, -0x1.339ec14b764ddp-14, -0x1.2c6b8707f95d1p-14, -0x1.25659c25963fcp-14, -0x1.1e8b2fe9e85bdp-14, -0x1.17dace113b9c8p-14, -0x1.11521b727095dp-14, -0x1.0af0478044213p-14, -0x1.04b395ce0d7f5p-14, -0x1.fd3518e601d6fp-15, -0x1.f147af4f205f1p-15, -0x1.e59ab2e5d0922p-15, -0x1.da2fb87369fd9p-15, -0x1.cf0149a85f36cp-15, -0x1.c40c2fa04ae5ep-15, -0x1.b95012a71515bp-15, -0x1.aeca23ba64226p-15, -0x1.a47873fbbc79fp-15, -0x1.9a58daad1d19cp-15, -0x1.9069f581c2c75p-15, -0x1.86a9328bf4d78p-15, -0x1.7d157793a0c31p-15, -0x1.73ac9cbd17cc1p-15, -0x1.6a6e00bf405f8p-15, -0x1.6156fe75aadb9p-15, -0x1.58670ff7a76c8p-15, -0x1.4f9def14c42dp-15, -0x1.46f573b8d96dep-15, -0x1.3e71a56abdd51p-15, -0x1.360efacd1bd08p-15, -0x1.2dcd0f3bf4792p-15, -0x1.25aa7e99007cfp-15, -0x1.1da62b629e186p-15, -0x1.15bf755d40983p-15, -0x1.0df461ce1016fp-15, -0x1.064655f079d89p-15, -0x1.fd62d437dca52p-16, -0x1.ee70a5a1cf2c5p-16, -0x1.dfae47117b5fcp-16, -0x1.d11e50f1674d5p-16, -0x1.c2bd5d6cade57p-16, -0x1.b48ab2521272bp-16, -0x1.a68537c9fa692p-16, -0x1.98abcbc8ffb47p-16, -0x1.8afd4b89cde32p-16, -0x1.7d78ef366a761p-16, -0x1.701d03388efa5p-16, -0x1.62e98c358af2cp-16, -0x1.55dbfed72f1e8p-16, -0x1.48f731abe29dfp-16, -0x1.3c36fcb698ccap-16, -0x1.2f9b4d2bd6d83p-16, -0x1.2324571d39128p-16, -0x1.16d090d0946e7p-16, -0x1.0aa01d58af8e3p-16, -0x1.fd2418e8fd14fp-17, -0x1.e54fa5764de2dp-17, -0x1.cdb700b639d13p-17, -0x1.b663f702d9a4bp-17, -0x1.9f5205d293b5dp-17, -0x1.8880bf9512813p-17, -0x1.71f3aae514565p-17, -0x1.5b9c2261632d6p-17, -0x1.4588fd2ac6212p-17, -0x1.2fb2dcb80078cp-17, -0x1.1a17ddd2830fbp-17, -0x1.04bef9936dffep-17, -0x1.df3ccd146c698p-18, -0x1.b575759981cfbp-18, -0x1.8c252b2d38e9cp-18, -0x1.634b445bc5444p-18, -0x1.3ae6322a0d651p-18, -0x1.12f7eb6604aa7p-18, -0x1.d6fb0bfe9f44bp-19, -0x1.88ee4fc40c63ap-19, -0x1.3bc81799c9079p-19, -0x1.df051e8ea7fb8p-20, -0x1.484188ec23ebcp-20, -0x1.66de1885ad1d2p-21, -0x1.026f6c4d5765fp-23, 0x1.c426816e7bd21p-22, 0x1.009f625f1e9d5p-20, 0x1.8e83bd49fd6fdp-20, 0x1.0d3daa5db61dap-19, 0x1.52615c00b4a5ap-19, 0x1.96b7e90514021p-19, 0x1.da08156343764p-19, 0x1.0e43f53aac63ep-18, 0x1.2f1527bf1e6ccp-18, 0x1.4f74bbb705826p-18, 0x1.6f65be87f8cf1p-18, 0x1.8ee6f12f18e4dp-18, 0x1.adf58579347f1p-18, 0x1.cc9a86910fdc1p-18, 0x1.ead084b0cd3ecp-18, 0x1.0448216432116p-17, 0x1.12f727b0d5d47p-17, 0x1.21640fbc1a163p-17, 0x1.2fa0d7b61b9dcp-17, 0x1.3da48be505d57p-17, 0x1.4b7396d49b47bp-17, 0x1.590782551c4d4p-17, 0x1.6667397e124b5p-17, 0x1.738de4397d402p-17, 0x1.807ef2da91922p-17, 0x1.8d38c0367ba72p-17, 0x1.99ba1d22161f2p-17, 0x1.a6090f0545c3bp-17, 0x1.b21fadd97f2d2p-17, 0x1.bdff8803f973fp-17, 0x1.c9a94a5907e48p-17, 0x1.d51d0bbb2f513p-17, 0x1.e05c0b2191339p-17, 0x1.eb602f73a5bp-17, 0x1.f63277c53c51ep-17, 0x1.0068754793848p-16, 0x1.059c3a7f8e5d5p-16, 0x1.0ab5485225bc7p-16, 0x1.0fb4941dfe239p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.1a4b3c28a8aa5p-1, 0x1.162934cfb2156p-1, 0x1.11bfcfb7acd4p-1, 0x1.0d15474a198dbp-1, 0x1.082fd13f321bfp-1, 0x1.03158f6597b8ap-1, 0x1.fb9905939e731p-2, 0x1.f0b502331bbf1p-2, 0x1.e58a582ee60bap-2, 0x1.da23d5def1c09p-2, 0x1.ce8bca74b9b8dp-2, 0x1.c2cbfefbeeddep-2, 0x1.b6edb1f304a2ap-2, 0x1.aaf9951dc8323p-2, 0x1.9ef7cd39fababp-2, 0x1.92eff344c8a8bp-2, 0x1.86e9170784276p-2, 0x1.7ae9c2aa0027ep-2, 0x1.6ef7ff10ba513p-2, 0x1.631958d4a5966p-2, 0x1.5752e5a98c583p-2, 0x1.4ba94a0e8c9f4p-2, 0x1.4020bf2a2161dp-2, 0x1.34bd18b860663p-2, 0x1.2981caf6a6323p-2, 0x1.1e71f07bea387p-2, 0x1.13904ff047966p-2, 0x1.08df619931127p-2, 0x1.fcc2a96479a76p-3, 0x1.e8302918e5d46p-3, 0x1.d40a9adfae36ap-3, 0x1.c054e2789ef03p-3, 0x1.ad1177908bdaap-3, 0x1.9a426df8d860dp-3, 0x1.87e97d59d1b1p-3, 0x1.76080861be2e9p-3, 0x1.649f2373dcf86p-3, 0x1.53af9adb6ee48p-3, 0x1.4339f887bff88p-3, 0x1.333e8956ad3bfp-3, 0x1.23bd61f3cabf6p-3, 0x1.14b663526e423p-3, 0x1.06293ec94c6b1p-3, 0x1.f02af3ac8f2ecp-4, 0x1.d4f4e3227d80bp-4, 0x1.baaebba8dc91p-4, 0x1.a156a841c792cp-4, 0x1.88ea948ab2409p-4, 0x1.7168319ad7eep-4, 0x1.5accfa7dd39e4p-4, 0x1.451638551872p-4, 0x1.3041062a3c307p-4, 0x1.1c4a547b42f18p-4, 0x1.092eec894e814p-4, 0x1.edd6e6e2873dcp-5, 0x1.caf8da2a63ac4p-5, 0x1.a9bc7db8f7a05p-5, 0x1.8a1a64a014015p-5, 0x1.6c0aef2e1e057p-5, 0x1.4f864fb08c93dp-5, 0x1.34848f05dec12p-5, 0x1.1afd91046e9fep-5, 0x1.02e918ba826d7p-5, 0x1.d87d991607f1p-6, 0x1.adec7452feac2p-6, 0x1.860db4ee95d5fp-6, 0x1.60d02a8640019p-6, 0x1.3e2289d7c69b8p-6, 0x1.1df373cde691bp-6, 0x1.00317c53e20fdp-6, 0x1.c99661defeff6p-7, 0x1.975e3e40dbd85p-7, 0x1.6997b507a2d1dp-7, 0x1.402005752d57bp-7, 0x1.1ad4922208ad1p-7, 0x1.f325d7989466fp-8, 0x1.b871b7468f42ap-8, 0x1.8548da1ba4197p-8, 0x1.5967edd1bb186p-8, 0x1.348c487a413b4p-8, 0x1.1673f8d4f078cp-8, 0x1.fdbbab22b4095p-9, 0x1.db1316f67a229p-9, 0x1.c46f5525f71c9p-9, 0x1.b953642924731p-9, 0x1.b94436e14d0acp-9, 0x1.c3c8c8786b558p-9, 0x1.d86a2e390afa7p-9, 0x1.f6b3a76b93266p-9, 0x1.0f1955a3e23dap-8, 0x1.273b7a853ee3ep-8, 0x1.43894720ac78bp-8, 0x1.63ccebaf5a35ap-8, 0x1.87d1c754e1afep-8, 0x1.af646acf78005p-8, 0x1.da529a6abfecfp-8, 0x1.0435a79ff2p-7, 0x1.1cbf5be6ddd0cp-7, 0x1.36af1bf9ea41cp-7, 0x1.51ee342d926e3p-7, 0x1.6e668aab8a0fbp-7, 0x1.8c029ea4bfdbfp-7, 0x1.aaad8749ec1d9p-7, 0x1.ca52f28fd47d2p-7, 0x1.eadf23c412befp-7, 0x1.061f78fb8d2cdp-6, 0x1.172fe32000e09p-6, 0x1.2897ccef388abp-6, 0x1.3a4e7a1f626b8p-6, 0x1.4c4b74722add6p-6, 0x1.5e868a9ecfe68p-6, 0x1.70f7cf32d2679p-6, 0x1.8397976af5aaep-6, 0x1.965e7a06002cap-6, 0x1.a9454e12aad2fp-6, 0x1.bc4529ba05cbfp-6, 0x1.cf57610783113p-6, 0x1.e27584afb57abp-6, 0x1.f59960d6c31efp-6, 0x1.045e7debb2eb8p-5, 0x1.0ded4a85a5cep-5, 0x1.177651cabcfe4p-5, 0x1.20f6ea97b24c1p-5, 0x1.2a6c867c94aa5p-5, 0x1.33d4b126bc58cp-5, 0x1.3d2d0fccc3366p-5, 0x1.4673609ca848cp-5, 0x1.4fa57a2c45878p-5, 0x1.58c14aec2a908p-5, 0x1.61c4d89cf9201p-5, 0x1.6aae3fc74a557p-5, 0x1.737bb33627526p-5, 0x1.7c2b7b741b8b1p-5, 0x1.84bbf64adbd8fp-5, 0x1.8d2b964582abp-5, 0x1.9578e23555b6ep-5, 0x1.9da274b90cb94p-5, 0x1.a5a6fbc68d4eep-5, 0x1.ad85383707d84p-5, 0x1.b53bfd556cf61p-5, 0x1.bcca306f1fd32p-5, 0x1.c42ec866d9f8dp-5, 0x1.cb68cd49a7b3bp-5, 0x1.d27757e5ebca3p-5, 0x1.d9599164518a6p-5, 0x1.e00eb2e29c4b9p-5, 0x1.e69605103f472p-5, 0x1.eceedfcca4cdfp-5, 0x1.f318a9c716129p-5, 0x1.f912d8202e12ap-5, 0x1.fedcee0cc336bp-5, 0x1.023b3e3d1bbcdp-4, 0x1.04ef90da0ebfep-4, 0x1.078b4485910ap-4, 0x1.0a0e353e94ee6p-4, 0x1.0c78452f4b4e5p-4, 0x1.0ec95c82529c8p-4, 0x1.110169386ca1cp-4, 0x1.13205efeb4811p-4, 0x1.1526370550ef2p-4, 0x1.1712efd69ddd1p-4, 0x1.18e68d2ec8a9cp-4, 0x1.1aa117d3dc095p-4, 0x1.1c429d6e381cfp-4, 0x1.1dcb306174734p-4, 0x1.1f3ae7a5aa879p-4, 0x1.2091dea123d38p-4, 0x1.21d035026e9dfp-4, 0x1.22f60e9ad54dep-4, 0x1.2403933938c87p-4, 0x1.24f8ee854c9f6p-4, 0x1.25d64fdb3839cp-4, 0x1.269bea27980a6p-4, 0x1.2749f3c3e5297p-4, 0x1.27e0a6533f9f4p-4, 0x1.28603e9f9eb76p-4, 0x1.28c8fc7768f2dp-4, 0x1.291b228b73c4bp-4, 0x1.2956f64d6c28ep-4, 0x1.297cbfceacd3cp-4, 0x1.298cc99f8066p-4, 0x1.298760aed40bp-4, 0x1.296cd42a599f3p-4, 0x1.293d755f1fb51p-4, 0x1.28f9979a9d5bfp-4, 0x1.28a1900c35b3dp-4, 0x1.2835b5a7361fdp-4, 0x1.27b661054ebcp-4, 0x1.2723ec498a052p-4, 0x1.267eb303c2fc5p-4, 0x1.25c712149eb52p-4, 0x1.24fd679207e57p-4, 0x1.242212ac30af4p-4, 0x1.233573931c3a8p-4, 0x1.2237eb5caff1fp-4, 0x1.2129dbeb5041p-4, 0x1.200ba7d508d3ap-4, 0x1.1eddb24b42471p-4, 0x1.1da05f0306596p-4, 0x1.1c54121dd2c57p-4, 0x1.1af93012ff317p-4, 0x1.19901d99b1146p-4, 0x1.18193f93657f8p-4, 0x1.1694faf70ace2p-4, 0x1.1503b4bcafb17p-4, 0x1.1365d1c9c3e67p-4, 0x1.11bbb6ddef55p-4, 0x1.1005c8807b064p-4, 0x1.0e446aee4e953p-4, 0x1.0c7802088273bp-4, 0x1.0aa0f14383ac5p-4, 0x1.08bf9b96ccffdp-4, 0x1.06d4636d3016ep-4, 0x1.04dfaa95b2a76p-4, 0x1.02e1d234fb26ep-4, 0x1.00db3ab74e72ap-4, 0x1.fd988786373a4p-5, 0x1.f96a98582dddp-5, 0x1.f52d63cdc1dbap-5, 0x1.f0e1a3fa71234p-5, 0x1.ec8811056f143p-5, 0x1.e82161142f2bbp-5, 0x1.e3ae4835fc7d1p-5, 0x1.df2f78509a1afp-5, 0x1.daa5a10debbc5p-5, 0x1.d6116fcaa0fcdp-5, 0x1.d1738f85dfb33p-5, 0x1.cccca8d1e7bc9p-5, 0x1.c81d61c5afe2ep-5, 0x1.c3665def74209p-5, 0x1.bea83e4832175p-5, 0x1.b9e3a1280f262p-5, 0x1.b519223ba3e6bp-5, 0x1.b0495a7a287e8p-5, 0x1.ab74e01c7b6fp-5, 0x1.a69c4695006dcp-5, 0x1.a1c01e88503bp-5, 0x1.9ce0f5c6b6a76p-5, 0x1.97ff574677bd3p-5, 0x1.931bcb1ed77c9p-5, 0x1.8e36d683e0fdep-5, 0x1.8950fbc2e598ap-5, 0x1.846aba3faec63p-5, 0x1.7f848e7260a54p-5, 0x1.7a9ef1e604512p-5, 0x1.75ba5b37b7975p-5, 0x1.70d73e167a4d2p-5, 0x1.6bf60b4398373p-5, 0x1.67173093a49b4p-5, 0x1.623b18f0093d6p-5, 0x1.5d622c591e3bep-5, 0x1.588ccfe8c6903p-5, 0x1.53bb65d590da6p-5, 0x1.4eee4d764f73cp-5, 0x1.4a25e3462d688p-5, 0x1.456280e92e675p-5, 0x1.40a47d3122731p-5, 0x1.3bec2c22fe8e8p-5, 0x1.3739defc9abd7p-5, 0x1.328de43acd9c3p-5, 0x1.2de8879fe5e94p-5, 0x1.294a123a77171p-5, 0x1.24b2ca6c788d3p-5, 0x1.2022f3f2b4c7dp-5, 0x1.1b9acfec7e7b6p-5, 0x1.171a9ce3accaep-5, 0x1.12a296d4d72d5p-5, 0x1.0e32f737d0a78p-5, 0x1.09cbf50859903p-5, 0x1.056dc4cf0673cp-5, 0x1.011898aa5c73cp-5, 0x1.f99940b02a1c2p-6, 0x1.f114127d24e48p-6, 0x1.e8a1fcece9d31p-6, 0x1.e04351a8b0b6p-6, 0x1.d7f85de55c9fp-6, 0x1.cfc16a776d249p-6, 0x1.c79ebbe7224c2p-6, 0x1.bf909284c9463p-6, 0x1.b7972a7d3902ep-6, 0x1.afb2bbee66002p-6, 0x1.a7e37afc1aaecp-6, 0x1.a02997e4c16fdp-6, 0x1.98853f163e0c5p-6, 0x1.90f69942dae1cp-6, 0x1.897dcb76360dfp-6, 0x1.821af72a316bep-6, 0x1.7ace3a5be77d9p-6, 0x1.7397afa093ab3p-6, 0x1.6c776e3a6f3fap-6, 0x1.656d8a2d875c4p-6, 0x1.5e7a145476c67p-6, 0x1.579d1a7511a25p-6, 0x1.50d6a754f507bp-6, 0x1.4a26c2cdf5847p-6, 0x1.438d71e274498p-6, 0x1.3d0ab6d18b879p-6, 0x1.369e912b1850dp-6, 0x1.3048fde397713p-6, 0x1.2a09f767da2acp-6, 0x1.23e175b08d349p-6, 0x1.1dcf6e5588d64p-6, 0x1.17d3d4a0f616fp-6, 0x1.11ee99a23984p-6, 0x1.0c1fac40aa99ap-6, 0x1.0666f94e0df2bp-6, 0x1.00c46b98d9fd9p-6, 0x1.f66fd7fc7a207p-7, 0x1.eb82c2f7c6e6bp-7, 0x1.e0c16283060acp-7, 0x1.d62b7d844537p-7, 0x1.cbc0d78a441bdp-7, 0x1.c18130edfa9b6p-7, 0x1.b76c46f39ee3cp-7, 0x1.ad81d3eb1bfb2p-7, 0x1.a3c18f4fffc89p-7, 0x1.9a2b2de8daf74p-7, 0x1.90be61e61b26bp-7, 0x1.877adb004bb35p-7, 0x1.7e604695cc933p-7, 0x1.756e4fc800ae4p-7, 0x1.6ca49f97da5dfp-7, 0x1.6402dd01e6721p-7, 0x1.5b88ad19c2074p-7, 0x1.5335b324f58dbp-7, 0x1.4b0990b54cecfp-7, 0x1.4303e5c293b83p-7, 0x1.3b2450c3c45d5p-7, 0x1.336a6ec7a4661p-7, 0x1.2bd5db8cd227ep-7, 0x1.24663199417e8p-7, 0x1.1d1b0a51291c8p-7, 0x1.15f3fe0d61939p-7, 0x1.0ef0a43136a2ep-7, 0x1.0810933fab5d7p-7, 0x1.015360f032fb5p-7, 0x1.f5714485bbd54p-8, 0x1.e87fd727fdd8ep-8, 0x1.dbd1a15e8b23p-8, 0x1.cf65c9c4a7b78p-8, 0x1.c33b761d9747bp-8, 0x1.b751cb77b4c0bp-8, 0x1.aba7ee4e7de29p-8, 0x1.a03d02aba1cc2p-8, 0x1.95102c470ae0fp-8, 0x1.8a208ea5ef04ap-8, 0x1.7f6d4d38e552ap-8, 0x1.74f58b790663ep-8, 0x1.6ab86d041962fp-8, 0x1.60b515b7d26ecp-8, 0x1.56eaa9cc251dap-8, 0x1.4d584decb030dp-8, 0x1.43fd275142309p-8, 0x1.3ad85bd580cb8p-8, 0x1.31e9120fb0b7cp-8, 0x1.292e7166a567ep-8, 0x1.20a7a226dad46p-8, 0x1.1853cd96beb23p-8, 0x1.10321e0a2a36cp-8, 0x1.0841bef5129b4p-8, 0x1.0081dcfd744fp-8, 0x1.f1e34c18f5144p-9, 0x1.e32092bdd0a23p-9, 0x1.d4b9ef299085p-9, 0x1.c6adc580c80dfp-9, 0x1.b8fa7ce913b96p-9, 0x1.ab9e7fa4458e6p-9, 0x1.9e983b2a3987bp-9, 0x1.91e620415b981p-9, 0x1.8586a315e96cep-9, 0x1.79783b4fed1d1p-9, 0x1.6db9642807da6p-9, 0x1.62489c7b0432ap-9, 0x1.572466dc4394fp-9, 0x1.4c4b49a707ab2p-9, 0x1.41bbcf0e9f691p-9, 0x1.3774852d83145p-9, 0x1.2d73fe1360f3bp-9, 0x1.23b8cfd2267a9p-9, 0x1.1a41948a070e8p-9, 0x1.110cea74902b9p-9, 0x1.081973eec8169p-9, 0x1.fecbaf04c6ff2p-10, 0x1.ede17fdc31ab3p-10, 0x1.dd71b85a2b9b9p-10, 0x1.cd79befb3a9b6p-10, 0x1.bdf702cdab37p-10, 0x1.aee6fb7b9d6a9p-10, 0x1.a047295382be9p-10, 0x1.9215154f26987p-10, 0x1.844e5119453f5p-10, 0x1.76f07711c1588p-10, 0x1.69f92a507fbd1p-10, 0x1.5d6616a6fa8c9p-10, 0x1.5134f0a08a5bfp-10, 0x1.4563758189884p-10, 0x1.39ef6b453a089p-10, 0x1.2ed6a09a9d08cp-10, 0x1.2416ece023879p-10, 0x1.19ae301e65019p-10, 0x1.0f9a5301c2442p-10, 0x1.05d946d322e75p-10, 0x1.f8d20adf6c425p-11, 0x1.e68f227fb138p-11, 0x1.d4e5ea5a36bfp-11, 0x1.c3d2892ef3bcfp-11, 0x1.b35136938cbdep-11, 0x1.a35e3adaadf63p-11, 0x1.93f5eef9f46bep-11, 0x1.8514bc6e796b6p-11, 0x1.76b71d200dcb5p-11, 0x1.68d99b4338226p-11, 0x1.5b78d13a02fe7p-11, 0x1.4e916973ac01fp-11, 0x1.42201e4b400e8p-11, 0x1.3621b9e536f53p-11, 0x1.2a93160c18942p-11, 0x1.1f711c0c3cf21p-11, 0x1.14b8c48eb0203p-11, 0x1.0a6717734ccc3p-11, 0x1.00792baa135dbp-11, 0x1.edd84e17a26b9p-12, 0x1.db7a7c643b658p-12, 0x1.c9d3689d7819ep-12, 0x1.b8ddb604da2cfp-12, 0x1.a894246677593p-12, 0x1.98f18fc499b89p-12, 0x1.89f0f00283602p-12, 0x1.7b8d588e63455p-12, 0x1.6dc1f80a8fafbp-12, 0x1.608a17f61da35p-12, 0x1.53e11c54e2c5fp-12, 0x1.47c28356f6032p-12, 0x1.3c29e4ffbf26dp-12, 0x1.3112f2cca6fcep-12, 0x1.2679775b77badp-12, 0x1.1c5956107e5c2p-12, 0x1.12ae8abc78348p-12, 0x1.0975294260fabp-12, 0x1.00a95d3d2b367p-12, 0x1.f08ed34ae68cap-13, 0x1.e09750ee6b18dp-13, 0x1.d16514af36406p-13, 0x1.c2f12c75c8726p-13, 0x1.b534d214fac57p-13, 0x1.a8296a969574ep-13, 0x1.9bc8858868f8ep-13, 0x1.900bdc49fd8a2p-13, 0x1.84ed515aea2ep-13, 0x1.7a66efa9ef37cp-13, 0x1.7072e9e4df0d8p-13, 0x1.670b99c95f192p-13, 0x1.5e2b7f76ab3b8p-13, 0x1.55cd40c04f245p-13, 0x1.4deba881f516fp-13, 0x1.4681a5f4531c1p-13, 0x1.3f8a4c034b597p-13, 0x1.3900d0a54074cp-13, 0x1.32e08c33b822p-13, 0x1.2d24f8c54af53p-13, 0x1.27c9b188f7fdap-13, 0x1.22ca7222e277bp-13, 0x1.1e23160a7b62cp-13, 0x1.19cf97ea34b44p-13, 0x1.15cc1100ad0b7p-13, 0x1.1214b8837538bp-13, 0x1.0ea5e30364c97p-13, 0x1.0b7c01d28eb6bp-13, 0x1.0893a26bdb9c4p-13, 0x1.05e96ddc4b473p-13, 0x1.037a282de9502p-13, 0x1.0142afd47b103p-13, 0x1.fe7ffa37bf75dp-14, 0x1.fade43306cdf6p-14, 0x1.f79a8f2f964e8p-14, 0x1.f4af632d7d929p-14, 0x1.f21773690e77fp-14, 0x1.efcda2566ca11p-14, 0x1.edccff911d83cp-14, 0x1.ec10c6d1e426dp-14, 0x1.ea945ee837376p-14, 0x1.e95358b770133p-14, 0x1.e8496e379991ap-14, 0x1.e7728179fb5c8p-14, 0x1.e6ca9bb14a6f1p-14, 0x1.e64dec3d9624bp-14, 0x1.e5f8c7bbdc3a6p-14, 0x1.e5c7a71953f9ap-14, 0x1.e5b726aa678a1p-14, 0x1.e5c405455b6a3p-14, 0x1.e5eb2360a242ap-14, 0x1.e6298234d9786p-14, 0x1.e67c42e27219dp-14, 0x1.e6e0a59af5ee9p-14, 0x1.e75408cdec457p-14, 0x1.e7d3e85967823p-14, 0x1.e85ddcbe1afdbp-14, 0x1.e8ef9a57096f6p-14, 0x1.e986f094bf438p-14, 0x1.ea21c93c1c79p-14, 0x1.eabe27a893011p-14, 0x1.eb5a2811eba3ap-14, 0x1.ebf3fed57f66cp-14, 0x1.ec89f7c2daa79p-14, 0x1.ed1a756bcbb4p-14, 0x1.eda3f077d5afap-14, 0x1.ee24f6faf5bf7p-14, 0x1.ee9c2bcfbe18cp-14, 0x1.ef0845f4bdeeep-14, 0x1.ef680fed29a5bp-14, 0x1.efba6724ba45bp-14, 0x1.effe3b56becaep-14, 0x1.f0328df8611b2p-14, 0x1.f05671a5fe376p-14, 0x1.f06909939aa98p-14, 0x1.f06989006dc6bp-14, 0x1.f05732ad6a8f3p-14, 0x1.f0315856c45cdp-14, 0x1.eff75a3074c9p-14, 0x1.efa8a66595c05p-14, 0x1.ef44b89abbp-14, 0x1.eecb197301213p-14, 0x1.ee3b5e180bd7ep-14, 0x1.ed9527c4b0bd3p-14, 0x1.ecd823526d466p-14, 0x1.ec0408c97e788p-14, 0x1.eb189af3b55ebp-14, 0x1.ea15a6f1db39ep-14, 0x1.e8fb03d3a904p-14, 0x1.e7c8923254149p-14, 0x1.e67e3bcd94e01p-14, 0x1.e51bf32b2d3a8p-14, 0x1.e3a1b338ca156p-14, 0x1.e20f7ef06126p-14, 0x1.e06560fedb9e4p-14, 0x1.dea36b6d0fc48p-14, 0x1.dcc9b74b096abp-14, 0x1.dad8645d880c9p-14, 0x1.d8cf98cdb9c94p-14, 0x1.d6af80db1bcddp-14, 0x1.d4784e8f772dap-14, 0x1.d22a3974fbf71p-14, 0x1.cfc57e4e6a4d5p-14, 0x1.cd4a5ed137839p-14, 0x1.cab92161bf704p-14, 0x1.c81210d153225p-14, 0x1.c5557c1e3c631p-14, 0x1.c283b635a4011p-14, 0x1.bf9d15b745469p-14, 0x1.bca1f4baf79ccp-14, 0x1.b992b097f3568p-14, 0x1.b66fa9adde3e9p-14, 0x1.b339432f83173p-14, 0x1.afefe2ef3b3edp-14, 0x1.ac93f12ce673cp-14, 0x1.a925d865a158ap-14, 0x1.a5a60524e0a95p-14, 0x1.a214e5d738ff4p-14, 0x1.9e72ea9e96707p-14, 0x1.9ac08527eb9a1p-14, 0x1.96fe28825844dp-14, 0x1.932c48f7b3478p-14, 0x1.8f4b5be676f01p-14, 0x1.8b5bd79d04986p-14, 0x1.875e33363ae7bp-14, 0x1.8352e67754a8ap-14, 0x1.7f3a69af08756p-14, 0x1.7b153595e4e79p-14, 0x1.76e3c32fded83p-14, 0x1.72a68baf0b343p-14, 0x1.6e5e08577e456p-14, 0x1.6a0ab26449c54p-14, 0x1.65ad02ed8fd18p-14, 0x1.614572cfa83cbp-14, 0x1.5cd47a934dc7bp-14, 0x1.585a9256cf7c5p-14, 0x1.53d831b83d26ap-14, 0x1.4f4dcfc08b80ep-14, 0x1.4abbe2cfa5cdcp-14, 0x1.4622e0896b9d6p-14, 0x1.41833dc38fc0dp-14, 0x1.3cdd6e7456422p-14, 0x1.3831e5a22802dp-14, 0x1.33811553fabe3p-14, 0x1.2ecb6e8282447p-14, 0x1.2a11610a2abfep-14, 0x1.25535b9dd0ab5p-14, 0x1.2091cbba3874cp-14, 0x1.1bcd1d9a3849bp-14, 0x1.1705bc2b9521dp-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.1dcbf986815d9p-1, 0x1.1a439314c6cfap-1, 0x1.1676bd256edccp-1, 0x1.12697276f7144p-1, 0x1.0e1fbec4c4511p-1, 0x1.099db5b18d05cp-1, 0x1.04e76aaf92f43p-1, 0x1.0000e9e268f08p-1, 0x1.f5dc63e241697p-2, 0x1.eb665d78d3169p-2, 0x1.e0a769d3afeabp-2, 0x1.d5a6fc6850dfdp-2, 0x1.ca6c4cdf2d185p-2, 0x1.befe52623117fp-2, 0x1.b363c00f185c6p-2, 0x1.a7a3026cb33c3p-2, 0x1.9bc23dc3b01b5p-2, 0x1.8fc74d3d5131bp-2, 0x1.83b7c2aca40d9p-2, 0x1.7798e6e9012adp-2, 0x1.6b6fbaa2ebb3dp-2, 0x1.5f40f79ebbaf7p-2, 0x1.53111242a381ep-2, 0x1.46e43b67cc3c8p-2, 0x1.3abe626031b15p-2, 0x1.2ea33724bc116p-2, 0x1.22962ca0b63fp-2, 0x1.169a7b114bcecp-2, 0x1.0ab32270fcf39p-2, 0x1.fdc5d9d0756cdp-3, 0x1.e658e27ac1c7cp-3, 0x1.cf242a7e6a009p-3, 0x1.b82c204bcbfafp-3, 0x1.a174d9ce84f44p-3, 0x1.8b0218f6eee1dp-3, 0x1.74d7502073e37p-3, 0x1.5ef7a65184df9p-3, 0x1.4965fb52b672ep-3, 0x1.3424eb9b65056p-3, 0x1.1f36d412d11b3p-3, 0x1.0a9dd5a52feebp-3, 0x1.ecb7b1596ebb5p-4, 0x1.c4e5205df87ebp-4, 0x1.9dc6f9deb5f08p-4, 0x1.775fe0aee2f65p-4, 0x1.51b21e6dcb668p-4, 0x1.2cbfa8b7b1c86p-4, 0x1.088a260b4be26p-4, 0x1.ca25e4ce38d46p-5, 0x1.84b6474455044p-5, 0x1.40c71b075e2eep-5, 0x1.fcb316755260bp-6, 0x1.7adc9bae9fc1bp-6, 0x1.f816aa0276a68p-7, 0x1.007e03cc0a669p-7, 0x1.dda78a2b32ec3p-12, -0x1.b93e4aa047adp-8, -0x1.c22bf4dc0548bp-7, -0x1.50dfa646ff0c4p-6, -0x1.bdb03ce53a28fp-6, -0x1.13c5fab4e5e7dp-5, -0x1.473bc75be0728p-5, -0x1.793c239b47ec2p-5, -0x1.a9c9ea7dce964p-5, -0x1.d8e82f2992094p-5, -0x1.034d1ca85d5adp-4, -0x1.1971c0e59150ap-4, -0x1.2ee3d7ab0a469p-4, -0x1.43a549bbcd2dap-4, -0x1.57b813c17f4bcp-4, -0x1.6b1e44de39644p-4, -0x1.7dd9fd4d020e5p-4, -0x1.8fed6d101d5a7p-4, -0x1.a15ad2ac79fp-4, -0x1.b22479f19a503p-4, -0x1.c24cbacd69d12p-4, -0x1.d1d5f82b8392ep-4, -0x1.e0c29edf77269p-4, -0x1.ef152499b101dp-4, -0x1.fcd006e6b1c5dp-4, -0x1.04fae51c22983p-3, -0x1.0b447c7c384afp-3, -0x1.11461152f4b29p-3, -0x1.1700ed7ce94dcp-3, -0x1.1c765c8b4c5b6p-3, -0x1.21a7ab5fd2004p-3, -0x1.269627ccec349p-3, -0x1.2b43203a4d688p-3, -0x1.2fafe34d9d29cp-3, -0x1.33ddbf974b6f8p-3, -0x1.37ce03436e528p-3, -0x1.3b81fbce8c486p-3, -0x1.3efaf5be4bd8fp-3, -0x1.423a3c5de2fb5p-3, -0x1.4541197e40d2fp-3, -0x1.4810d539ca37dp-3, -0x1.4aaab5bb9cb98p-3, -0x1.4d0fff0a3a34dp-3, -0x1.4f41f2d58c452p-3, -0x1.5141d04818de6p-3, -0x1.5310d3db5d811p-3, -0x1.54b0372f315d7p-3, -0x1.562130e40c18ap-3, -0x1.5764f47826a53p-3, -0x1.587cb227505b9p-3, -0x1.596996cd60949p-3, -0x1.5a2ccbcb2a6p-3, -0x1.5ac776edd9b8bp-3, -0x1.5b3aba589e0e1p-3, -0x1.5b87b47086e0cp-3, -0x1.5baf7fca7d543p-3, -0x1.5bb3331b35c49p-3, -0x1.5b93e129187fcp-3, -0x1.5b5298bfe4efap-3, -0x1.5af064a61f0bap-3, -0x1.5a6e4b940c212p-3, -0x1.59cd502c42793p-3, -0x1.590e70f5a6e8ap-3, -0x1.5832a856c956fp-3, -0x1.573aec9283359p-3, -0x1.56282fc5d4616p-3, -0x1.54fb5fe6d5fa1p-3, -0x1.53b566c4c08a4p-3, -0x1.52572a08ef83ap-3, -0x1.50e18b38cb2ffp-3, -0x1.4f5567b8904cp-3, -0x1.4db398cee3b3dp-3, -0x1.4bfcf3a91d046p-3, -0x1.4a32496049f55p-3, -0x1.485466fec4979p-3, -0x1.466415866a8bep-3, -0x1.446219f754a5dp-3, -0x1.424f3557127f6p-3, -0x1.402c24b84cf72p-3, -0x1.3df9a142e2f23p-3, -0x1.3bb8603c50e22p-3, -0x1.39691310839b9p-3, -0x1.370c675ae61b2p-3, -0x1.34a306efc57e9p-3, -0x1.322d97e5eaa55p-3, -0x1.2facbca071645p-3, -0x1.2d2113d8d2bdbp-3, -0x1.2a8b38a919515p-3, -0x1.27ebc29640e75p-3, -0x1.2543459ab7672p-3, -0x1.22925230f9f47p-3, -0x1.1fd9755e53792p-3, -0x1.1d1938bda941dp-3, -0x1.1a52228a603bcp-3, -0x1.1784b5ab5207ap-3, -0x1.14b171bdc915ep-3, -0x1.11d8d320901d7p-3, -0x1.0efb52ff00b07p-3, -0x1.0c19675c1d411p-3, -0x1.0933831dadc97p-3, -0x1.064a1617572cdp-3, -0x1.035d8d15bee8bp-3, -0x1.006e51e9a2764p-3, -0x1.faf996e5df185p-4, -0x1.f512bb57b37aep-4, -0x1.ef28d367cb135p-4, -0x1.e93c9bb5ec228p-4, -0x1.e34ecb588d1c3p-4, -0x1.dd6013f2cce03p-4, -0x1.d77121ca4d0afp-4, -0x1.d1829bdcfe332p-4, -0x1.cb9523f6d002p-4, -0x1.c5a956c751762p-4, -0x1.bfbfcbf73a475p-4, -0x1.b9d9163dcd971p-4, -0x1.b3f5c376391bfp-4, -0x1.ae165cb4c68f8p-4, -0x1.a83b665bff0a1p-4, -0x1.a2656031a424bp-4, -0x1.9c94c57395c26p-4, -0x1.96ca0cec9afe5p-4, -0x1.9105a9090764dp-4, -0x1.8b4807eb3d833p-4, -0x1.8591938019e5ap-4, -0x1.7fe2b19336254p-4, -0x1.7a3bc3e30e0ebp-4, -0x1.749d2835005d9p-4, -0x1.6f0738692ca33p-4, -0x1.697a4a8e2f0c6p-4, -0x1.63f6b0f4b5191p-4, -0x1.5e7cba42efabbp-4, -0x1.590cb187dd843p-4, -0x1.53a6de4e70c83p-4, -0x1.4e4b84b08c708p-4, -0x1.48fae569d9f31p-4, -0x1.43b53dea780dp-4, -0x1.3e7ac8697d912p-4, -0x1.394bbbf75636ap-4, -0x1.34284c8ff1d7dp-4, -0x1.2f10ab2cc9ff3p-4, -0x1.2a0505d6bd0e7p-4, -0x1.250587b7ba9a9p-4, -0x1.2012592c45348p-4, -0x1.1b2b9fd4c50d1p-4, -0x1.16517ea6ae6fbp-4, -0x1.118415fd77296p-4, -0x1.0cc383ab5f124p-4, -0x1.080fe30a07831p-4, -0x1.03694d0ada963p-4, -0x1.fd9fb08e84102p-5, -0x1.f48732215842bp-5, -0x1.eb894300c07ffp-5, -0x1.e2a6030e3c7f4p-5, -0x1.d9dd8df91cc48p-5, -0x1.d12ffb5cf82fdp-5, -0x1.c89d5edfbadp-5, -0x1.c025c84f4df7dp-5, -0x1.b7c943bed611dp-5, -0x1.af87d9a38903p-5, -0x1.a7618ef118e3p-5, -0x1.9f566535b5277p-5, -0x1.97665ab5a0247p-5, -0x1.8f916a865998p-5, -0x1.87d78ca95cd66p-5, -0x1.8038b626723f1p-5, -0x1.78b4d92595613p-5, -0x1.714be5086ca5ap-5, -0x1.69fdc68354f4fp-5, -0x1.62ca67b5ff96cp-5, -0x1.5bb1b043a1f0cp-5, -0x1.54b3856abaa9cp-5, -0x1.4dcfca1c64cd9p-5, -0x1.47065f1341bd2p-5, -0x1.405722e9f44a3p-5, -0x1.39c1f2312e0c4p-5, -0x1.3346a7854ffddp-5, -0x1.2ce51ba3a0d73p-5, -0x1.269d257f12d29p-5, -0x1.206e9a54a1a53p-5, -0x1.1a594dbf42575p-5, -0x1.145d11cb69352p-5, -0x1.0e79b70a24153p-5, -0x1.08af0ca3cd2e2p-5, -0x1.02fce06a507f6p-5, -0x1.fac5fdd6187fbp-6, -0x1.efc267008bf8ap-6, -0x1.e4ee90c478fbp-6, -0x1.da4a0d6f9c088p-6, -0x1.cfd46d4d7803p-6, -0x1.c58d3ec7150f3p-6, -0x1.bb740e81ee792p-6, -0x1.b188677e261dep-6, -0x1.a7c9d333e8f34p-6, -0x1.9e37d9b016f8ep-6, -0x1.94d201b029a57p-6, -0x1.8b97d0bd581ccp-6, -0x1.8288cb470523ep-6, -0x1.79a474bc6f16dp-6, -0x1.70ea4fa5a6cc3p-6, -0x1.6859ddbbd308p-6, -0x1.5ff2a000bfc9fp-6, -0x1.57b416d5bdaf7p-6, -0x1.4f9dc211d0b5ap-6, -0x1.47af2117312b9p-6, -0x1.3fe7b2e828af7p-6, -0x1.3846f63b415b8p-6, -0x1.30cc698ed3ce9p-6, -0x1.29778b3bf35b1p-6, -0x1.2247d988b58cdp-6, -0x1.1b3cd2b9e3cb7p-6, -0x1.1455f5240b249p-6, -0x1.0d92bf3bfa6b5p-6, -0x1.06f2afa6a588cp-6, -0x1.0075454879f2ep-6, -0x1.f433fea8445bbp-7, -0x1.e7c0bab173805p-7, -0x1.db8fbe9ef1451p-7, -0x1.cfa00b51af287p-7, -0x1.c3f0a2b252366p-7, -0x1.b88087c9718dap-7, -0x1.ad4ebed6bfa51p-7, -0x1.a25a4d674e2a5p-7, -0x1.97a23a6acab1ep-7, -0x1.8d258e47d1c7ap-7, -0x1.82e352ef58602p-7, -0x1.78da93ef2a40ep-7, -0x1.6f0a5e838cdc4p-7, -0x1.6571c1a80267dp-7, -0x1.5c0fce2737061p-7, -0x1.52e396aa1ad5ep-7, -0x1.49ec2fc638618p-7, -0x1.4128b00b33b94p-7, -0x1.3898300f93959p-7, -0x1.3039ca7cc961p-7, -0x1.280c9c1a7e385p-7, -0x1.200fc3d92e05ep-7, -0x1.184262dc11fd5p-7, -0x1.10a39c8262102p-7, -0x1.0932966feec45p-7, -0x1.01ee78951ae21p-7, -0x1.f5acda6c6f92dp-8, -0x1.e7d341e49301p-8, -0x1.da4e85926ed02p-8, -0x1.cd1d0842d8cbcp-8, -0x1.c03d3199da8ecp-8, -0x1.b3ad6e1bccf84p-8, -0x1.a76c2f357063ap-8, -0x1.9b77eb4306fcdp-8, -0x1.8fcf1d9678818p-8, -0x1.8470467c8b8b1p-8, -0x1.7959eb4135386p-8, -0x1.6e8a96330e6abp-8, -0x1.6400d6a5f166fp-8, -0x1.59bb40f4c7741p-8, -0x1.4fb86e8291b95p-8, -0x1.45f6fdbaae7c2p-8, -0x1.3c75921066912p-8, -0x1.3332d3fdc857bp-8, -0x1.2a2d7101d5e32p-8, -0x1.21641b9e0f515p-8, -0x1.18d58b535c217p-8, -0x1.10807c9e5daaep-8, -0x1.0863b0f3300f3p-8, -0x1.007deeb89c2ep-8, -0x1.f19c02858c4d9p-9, -0x1.e2a5719ab39f1p-9, -0x1.d415d4ea7854cp-9, -0x1.c5eae0639016ap-9, -0x1.b822519b35fe4p-9, -0x1.aab9efbdef08dp-9, -0x1.9daf8b7f819f6p-9, -0x1.9100ff0a2c075p-9, -0x1.84ac2ded27cebp-9, -0x1.78af050a7ac35p-9, -0x1.6d077a842389p-9, -0x1.61b38da8af506p-9, -0x1.56b146df35de8p-9, -0x1.4bfeb792d389ep-9, -0x1.4199fa1d98badp-9, -0x1.378131b30604ep-9, -0x1.2db28a4a14d7cp-9, -0x1.242c3886d38acp-9, -0x1.1aec79a3a1243p-9, -0x1.11f1935a0e7e5p-9, -0x1.0939d3cb63a94p-9, -0x1.00c39168e24fcp-9, -0x1.f11a55b76ab4fp-10, -0x1.e12a0dd953f0bp-10, -0x1.d1b328d74912p-10, -0x1.c2b2942dcd9b1p-10, -0x1.b4254d0446ddfp-10, -0x1.a6085ffad559dp-10, -0x1.9858e8f7dd07p-10, -0x1.8b1412f55af95p-10, -0x1.7e3717cdfad51p-10, -0x1.71bf400a095cap-10, -0x1.65a9e2ac44171p-10, -0x1.59f464fe91524p-10, -0x1.4e9c3a5ea07fap-10, -0x1.439ee40a94b33p-10, -0x1.38f9f0ed99be5p-10, -0x1.2eaafd6c97b0bp-10, -0x1.24afb332e1d7fp-10, -0x1.1b05c8ff0d283p-10, -0x1.11ab026fdae7dp-10, -0x1.089d2fd147633p-10, -0x1.ffb45bd39621cp-11, -0x1.eebfcb8f81f4cp-11, -0x1.de58991e1829dp-11, -0x1.ce7ac68de7fe5p-11, -0x1.bf226d5086521p-11, -0x1.b04bbdd75640fp-11, -0x1.a1f2ff30e5e71p-11, -0x1.94148ea6e8c5bp-11, -0x1.86acdf5cd9b05p-11, -0x1.79b879ef49371p-11, -0x1.6d33fc13e409dp-11, -0x1.611c183a35d4fp-11, -0x1.556d952d30063p-11, -0x1.4a254db57baebp-11, -0x1.3f40303c9c957p-11, -0x1.34bb3e70e9fcbp-11, -0x1.2a938cea62f39p-11, -0x1.20c642d064f69p-11, -0x1.1750998046381p-11, -0x1.0e2fdc34db388p-11, -0x1.056167aee9096p-11, -0x1.f9c553bd149c8p-12, -0x1.e962431b111f4p-12, -0x1.d994bc155af53p-12, -0x1.ca57fdac1fc0bp-12, -0x1.bba7669cbc13bp-12, -0x1.ad7e74be4f3f6p-12, -0x1.9fd8c4605580dp-12, -0x1.92b20fab44f13p-12, -0x1.86062e033de24p-12, -0x1.79d1136cbf57cp-12, -0x1.6e0ecff3736e8p-12, -0x1.62bb8f130aaf5p-12, -0x1.57d397222974bp-12, -0x1.4d5348bf6e24fp-12, -0x1.43371e40890bap-12, -0x1.397bab236d075p-12, -0x1.301d9b8194fe5p-12, -0x1.2719b3855e194p-12, -0x1.1e6ccee17a5f9p-12, -0x1.1613e04a75d93p-12, -0x1.0e0bf0f24c69ep-12, -0x1.06522006180d8p-12, -0x1.fdc7445b8f62fp-13, -0x1.ef7b821bd2104p-13, -0x1.e1bbb596fd284p-13, -0x1.d482c323b73b8p-13, -0x1.c7cbb6351525dp-13, -0x1.bb91c06e6a87ap-13, -0x1.afd038bb2191fp-13, -0x1.a4829a6a8654ap-13, -0x1.99a4844f922afp-13, -0x1.8f31b7e495f2ep-13, -0x1.85261872dc47bp-13, -0x1.7b7daa3e1883p-13, -0x1.723491b3b90a9p-13, -0x1.6947129e01e2bp-13, -0x1.60b18f5aebeep-13, -0x1.58708816c456cp-13, -0x1.50809a0a7bed9p-13, -0x1.48de7ebda594fp-13, -0x1.41870b4c0d36cp-13, -0x1.3a772faef0444p-13, -0x1.33abf609bbd54p-13, -0x1.2d2281fa5065dp-13, -0x1.26d80fecbf7d9p-13, -0x1.20c9f4727c0bbp-13, -0x1.1af59b9ce60bfp-13, -0x1.1558885b3c445p-13, -0x1.0ff053dbd57bap-13, -0x1.0abaacf09f5acp-13, -0x1.05b55776e0463p-13, -0x1.00de2bc21f5c4p-13, -0x1.f8662c1465306p-14, -0x1.ef642bb8e29a9p-14, -0x1.e6b27b1fcde46p-14, -0x1.de4d63792eb36p-14, -0x1.d631516b643e6p-14, -0x1.ce5ad40d7e5ccp-14, -0x1.c6c69be74626fp-14, -0x1.bf7179f70f5eep-14, -0x1.b8585ebd0e2d1p-14, -0x1.b178594c489ccp-14, -0x1.aace9660e864fp-14, -0x1.a4585f7beb313p-14, -0x1.9e131a0413b0bp-14, -0x1.97fc466c17ff8p-14, -0x1.92117f5dd3681p-14, -0x1.8c5078ea8afbep-14, -0x1.86b6ffc01adaap-14, -0x1.8142f862fe4a1p-14, -0x1.7bf25e6d19f01p-14, -0x1.76c343d1376dbp-14, -0x1.71b3d023183cfp-14, -0x1.6cc23fe41052cp-14, -0x1.67ece3d4111a5p-14, -0x1.633220470fb58p-14, -0x1.5e906c7eb5942p-14, -0x1.5a06520842e1ap-14, -0x1.55926c1e93d5ep-14, -0x1.513367103068bp-14, -0x1.4ce7ffa956bc7p-14, -0x1.48af02a1eacf5p-14, -0x1.44874c0f385bbp-14, -0x1.406fc6d9759afp-14, -0x1.3c676c34f2072p-14, -0x1.386d431ee02a7p-14, -0x1.34805fdda765ap-14, -0x1.309fe384abd76p-14, -0x1.2ccafb7b7abc6p-14, -0x1.2900e108485f7p-14, -0x1.2540d8ddb0d25p-14, -0x1.218a32aba5a47p-14, -0x1.1ddc48b37dc7ap-14, -0x1.1a367f5f100a7p-14, -0x1.169844dacd29ep-14, -0x1.130110b2c691p-14, -0x1.0f706372907b1p-14, -0x1.0be5c647f27fap-14, -0x1.0860caa8553d8p-14, -0x1.04e109f8dc638p-14, -0x1.016625392161dp-14, -0x1.fbdf8960f7563p-15, -0x1.f4fb2f3b948b8p-15, -0x1.ee1ea7d360e42p-15, -0x1.e7496bb66a002p-15, -0x1.e07aff9d6ebbap-15, -0x1.d9b2f3de59b3fp-15, -0x1.d2f0e3e331323p-15, -0x1.cc3475a55c68fp-15, -0x1.c57d592d2d16ep-15, -0x1.becb481589863p-15, -0x1.b81e0513a42ddp-15, -0x1.b1755b82a4207p-15, -0x1.aad11ef328ac7p-15, -0x1.a4312abe8cc9bp-15, -0x1.9d95619dd45cep-15, -0x1.96fdad442a71ep-15, -0x1.9069fdfcdc9e6p-15, -0x1.89da4a4cb885ep-15, -0x1.834e8e96b7afp-15, -0x1.7cc6ccc3e6351p-15, -0x1.76430bee67df6p-15, -0x1.6fc3580f90178p-15, -0x1.6947c1b0f0ff5p-15, -0x1.62d05da04e8fcp-15, -0x1.5c5d44a66755cp-15, -0x1.55ee9340759f6p-15, -0x1.4f84695c629c2p-15, -0x1.491eea178bbcap-15, -0x1.42be3b80114f7p-15, -0x1.3c6286589b9e6p-15, -0x1.360bf5de7cf9p-15, -0x1.2fbab7922cb46p-15, -0x1.296efb01fbc8ap-15, -0x1.2328f197019bp-15, -0x1.1ce8ce64213ffp-15, -0x1.16aec5f725c4p-15, -0x1.107b0e2bdbe8p-15, -0x1.0a4dde011f941p-15, -0x1.04276d6fcc719p-15, -0x1.fc0fea87039dep-16, -0x1.efdf5dea619b4p-16, -0x1.e3bda90ebf2e1p-16, -0x1.d7ab40c833585p-16, -0x1.cba89a7900adep-16, -0x1.bfb62bd3d274p-16, -0x1.b3d46aa109bd6p-16, -0x1.a803cc86f451ep-16, -0x1.9c44c6d4e403fp-16, -0x1.9097ce51026cap-16, -0x1.84fd5708d2a46p-16, -0x1.7975d42444decp-16, -0x1.6e01b7bb47bbap-16, -0x1.62a172adc8e52p-16, -0x1.5755747e00f1dp-16, -0x1.4c1e2b2d0639ep-16, -0x1.40fc03198a83cp-16, -0x1.35ef66e0af5b9p-16, -0x1.2af8bf40e41d4p-16, -0x1.201872feb530ep-16, -0x1.154ee6cb80f2ap-16, -0x1.0a9c7d2df90cap-16, -0x1.0001966c662d9p-16, -0x1.eafd20f136be3p-17, -0x1.d6278dbb10d34p-17, -0x1.c183255cb3f39p-17, -0x1.ad1094ee3ae37p-17, -0x1.98d0845da8716p-17, -0x1.84c39655d492p-17, -0x1.70ea682806084p-17, -0x1.5d4591b818e5p-17, -0x1.49d5a56b1e1fcp-17, -0x1.369b30184d5f1p-17, -0x1.2396b8fc439c2p-17, -0x1.10c8c1ae62d1p-17, -0x1.fc638c308ee9ep-18, -0x1.d7a478de6f56ap-18, -0x1.b3552a5eef153p-18, -0x1.8f767632d8db5p-18, -0x1.6c092660f3647p-18, -0x1.490df97706947p-18, -0x1.2685a28e05ebap-18, -0x1.0470c951350f1p-18, -0x1.c5a014104f1e1p-19, -0x1.8347eb46e43eap-19, -0x1.41da2397dfb85p-19, -0x1.0157b1e8e7158p-19, -0x1.8382e9b7281d7p-20, -0x1.063069f3a95c8p-20, -0x1.15729399af441p-21, -0x1.11ec322ad788ep-24, 0x1.9a786c8112b36p-22, 0x1.b8f8d91f9eed5p-21, 0x1.507b76c0a1158p-20, 0x1.c29aa8c4ab9f7p-20, 0x1.196ccd50efed6p-19, 0x1.509c0661ca24dp-19, 0x1.86daf3b380e62p-19, 0x1.bc299d01918bep-19, 0x1.f0881d562c36ep-19, 0x1.11fb515d085c4p-18, 0x1.2b3ab6f14edf1p-18, 0x1.440268ef1b478p-18, 0x1.5c5299df979a9p-18, 0x1.742b8522ab1p-18, 0x1.8b8d6ec323d2bp-18, 0x1.a278a34a53ce9p-18, 0x1.b8ed779332b5ap-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.2983443466724p-1, 0x1.284a071a209dfp-1, 0x1.26f6c001b2c72p-1, 0x1.258a549d1f026p-1, 0x1.2405b26c3571fp-1, 0x1.2269ccf5a47b7p-1, 0x1.20b79c2138b2ap-1, 0x1.1ef01ab4794c5p-1, 0x1.1d1444f1e3bb2p-1, 0x1.1b25175a5c076p-1, 0x1.19238d8fe2688p-1, 0x1.1710a15839f03p-1, 0x1.14ed49bdec186p-1, 0x1.12ba7a4ddd63dp-1, 0x1.1079226f8e66ep-1, 0x1.0e2a2cd610fcp-1, 0x1.0bce7f07bb9a6p-1, 0x1.0966f8fa9fb7p-1, 0x1.06f474c3e0477p-1, 0x1.0477c6580ebbep-1, 0x1.01f1bb5ad2e4cp-1, 0x1.fec635f867a1bp-2, 0x1.f9994bc3f9437p-2, 0x1.f45e2c3793d9dp-2, 0x1.ef163e40e736cp-2, 0x1.e9c2dba73448ap-2, 0x1.e46551247d13ep-2, 0x1.defede8ac9d27p-2, 0x1.d990b6f3b56cap-2, 0x1.d41c00f8a05d4p-2, 0x1.cea1d6f211161p-2, 0x1.c923473cf95d1p-2, 0x1.c3a15484b6719p-2, 0x1.be1cf610bed09p-2, 0x1.b89718151e2cep-2, 0x1.b3109c04e8fa7p-2, 0x1.ad8a58e5f9d4p-2, 0x1.a8051ba559f6fp-2, 0x1.a281a76bcd5e3p-2, 0x1.9d00b5f20a6c6p-2, 0x1.9782f7d43b812p-2, 0x1.920914e474477p-2, 0x1.8c93ac7bd30aep-2, 0x1.872355ca0f31p-2, 0x1.81b8a0234a2d4p-2, 0x1.7c54134bf4c0ap-2, 0x1.76f62fc2b2182p-2, 0x1.719f6f081a70bp-2, 0x1.6c5043e44ebd6p-2, 0x1.67091aaa5b1c2p-2, 0x1.61ca597953df8p-2, 0x1.5c94607b3de21p-2, 0x1.57678a21b5639p-2, 0x1.52442b6065e7fp-2, 0x1.4d2a93e554dbp-2, 0x1.481b0e4f10906p-2, 0x1.4315e060c7943p-2, 0x1.3e1b4b346392ap-2, 0x1.392b8b6aacabp-2, 0x1.3446d9598c0ebp-2, 0x1.2f6d69387bfdfp-2, 0x1.2a9f6b4b3aaf4p-2, 0x1.25dd0c0acdc45p-2, 0x1.2126744ce8c4ep-2, 0x1.1c7bc969cb4b5p-2, 0x1.17dd2d60a4855p-2, 0x1.134abefa8fd2dp-2, 0x1.0ec499ec35121p-2, 0x1.0a4ad6f6268bp-2, 0x1.05dd8c04006f9p-2, 0x1.017ccc4a61b09p-2, 0x1.fa5150c78a61bp-3, 0x1.f1c25cd899dcbp-3, 0x1.e94cd439135d1p-3, 0x1.e0f0c9c697e0ep-3, 0x1.d8ae4bfd0fa0ep-3, 0x1.d0856526b13ep-3, 0x1.c8761b8a57498p-3, 0x1.c08071983cc8ap-3, 0x1.b8a46615297ebp-3, 0x1.b0e1f4442781p-3, 0x1.a939140ecbc0fp-3, 0x1.a1a9ba2c2161ep-3, 0x1.9a33d8464186cp-3, 0x1.92d75d1eaf596p-3, 0x1.8b9434b174c4p-3, 0x1.846a4857179f9p-3, 0x1.7d597ee566736p-3, 0x1.7661bccf3487ep-3, 0x1.6f82e442fd602p-3, 0x1.68bcd54889fefp-3, 0x1.620f6ddd8f2adp-3, 0x1.5b7a8a11580b2p-3, 0x1.54fe041f84282p-3, 0x1.4e99b489d2a4ep-3, 0x1.484d7231189bep-3, 0x1.4219126d4ca06p-3, 0x1.3bfc6924ca948p-3, 0x1.35f748e2bb976p-3, 0x1.300982ecbaae3p-3, 0x1.2a32e757b2a21p-3, 0x1.2473451bfa5aap-3, 0x1.1eca6a28bb23ep-3, 0x1.193823769c7aap-3, 0x1.13bc3d19c4521p-3, 0x1.0e568253284f1p-3, 0x1.0906bda13620bp-3, 0x1.03ccb8cfe3ac8p-3, 0x1.fd507a10276a1p-4, 0x1.f33225bcd0f86p-4, 0x1.e93e04c30c483p-4, 0x1.df73a64f6f39bp-4, 0x1.d5d298b82489ap-4, 0x1.cc5a69961b5a4p-4, 0x1.c30aa5dd2993fp-4, 0x1.b9e2d9f332b37p-4, 0x1.b0e291c65307ap-4, 0x1.a80958e21bad4p-4, 0x1.9f56ba83e8167p-4, 0x1.96ca41ae47a87p-4, 0x1.8e63793b970efp-4, 0x1.8621ebefc04b9p-4, 0x1.7e0524892f958p-4, 0x1.760cadd101f4dp-4, 0x1.6e3812aa75856p-4, 0x1.6686de21a0204p-4, 0x1.5ef89b79750b9p-4, 0x1.578cd6391d8e7p-4, 0x1.50431a38abfa2p-4, 0x1.491af3ad3031fp-4, 0x1.4213ef342fa0ep-4, 0x1.3b2d99de8b2b7p-4, 0x1.3467813ad42cp-4, 0x1.2dc1335f19451p-4, 0x1.273a3ef22d535p-4, 0x1.20d2333470968p-4, 0x1.1a88a0081d4d8p-4, 0x1.145d15f920095p-4, 0x1.0e4f26447e004p-4, 0x1.085e62df4df59p-4, 0x1.028a5e7d4a095p-4, 0x1.f9a5592df64b6p-5, 0x1.ee6dc2df0a7f6p-5, 0x1.e36d24342dc39p-5, 0x1.d8a2a8fdfdfcbp-5, 0x1.ce0d7ec0dbed4p-5, 0x1.c3acd4bdcb6a9p-5, 0x1.b97fdbfab1b87p-5, 0x1.af85c74a02956p-5, 0x1.a5bdcb51d9da5p-5, 0x1.9c271e928ad48p-5, 0x1.92c0f96cac621p-5, 0x1.898a9626a4a27p-5, 0x1.808330f1b9dcp-5, 0x1.77aa07eeb2702p-5, 0x1.6efe5b31fef15p-5, 0x1.667f6cc77f3ecp-5, 0x1.5e2c80b5dc4fcp-5, 0x1.5604dd0180e3ap-5, 0x1.4e07c9af36b63p-5, 0x1.463490c6650fcp-5, 0x1.3e8a7e52fb3d3p-5, 0x1.3708e0670a1bep-5, 0x1.2faf071c09e86p-5, 0x1.287c4493d9aeap-5, 0x1.216fecf971525p-5, 0x1.1a89568151ccp-5, 0x1.13c7d969b06ffp-5, 0x1.0d2acffa64481p-5, 0x1.06b1968497444p-5, 0x1.005b8b623a314p-5, 0x1.f4501dea871ebp-6, 0x1.e82d074d74ac9p-6, 0x1.dc4c9bcb13ab6p-6, 0x1.d0ada84a52813p-6, 0x1.c54efdb825567p-6, 0x1.ba2f71041b667p-6, 0x1.af4ddb1c9fdf8p-6, 0x1.a4a918eaeb3e3p-6, 0x1.9a400b4ea7413p-6, 0x1.901197194629p-6, 0x1.861ca509193adp-6, 0x1.7c6021c41e142p-6, 0x1.72dafdd290e27p-6, 0x1.698c2d9942168p-6, 0x1.6072a953ac0e8p-6, 0x1.578d6d0ddb02ap-6, 0x1.4edb789e186dcp-6, 0x1.465bcf9e6c3d1p-6, 0x1.3e0d7965e5b44p-6, 0x1.35ef8101c28bp-6, 0x1.2e00f52e61f79p-6, 0x1.2640e850175abp-6, 0x1.1eae706bd1ff4p-6, 0x1.1748a71fa3c67p-6, 0x1.100ea99b24a51p-6, 0x1.08ff9897b9473p-6, 0x1.021a9850b8a0ap-6, 0x1.f6bda0f6f050ap-7, 0x1.e996d87e77dc4p-7, 0x1.dcbf345a23288p-7, 0x1.d035186f26b72p-7, 0x1.c3f6ef55251e5p-7, 0x1.b8032a456a8a4p-7, 0x1.ac584109f9cd6p-7, 0x1.a0f4b1ec82ecp-7, 0x1.95d701a52f6f4p-7, 0x1.8afdbb495c6c1p-7, 0x1.8067703a3e062p-7, 0x1.7612b8136563fp-7, 0x1.6bfe30993e324p-7, 0x1.62287da76d301p-7, 0x1.5890491f32f3fp-7, 0x1.4f3442d5afbb8p-7, 0x1.461320822f87ap-7, 0x1.3d2b9dac61892p-7, 0x1.347c7b9a90416p-7, 0x1.2c04813fd68a6p-7, 0x1.23c27b2a51f1fp-7, 0x1.1bb53b715659ap-7, 0x1.13db99a3a467p-7, 0x1.0c3472b5a4989p-7, 0x1.04bea8efa7487p-7, 0x1.faf247b85cc87p-8, 0x1.ecc5a06c7e56p-8, 0x1.def53faf7f7b5p-8, 0x1.d17f134fc1db2p-8, 0x1.c46113132c848p-8, 0x1.b79940943b85p-8, 0x1.ab25a71f2fd8bp-8, 0x1.9f045b8f65a2dp-8, 0x1.93337c2ccf8d8p-8, 0x1.87b130899caa4p-8, 0x1.7c7ba9600963bp-8, 0x1.719120705f703p-8, 0x1.66efd85f259efp-8, 0x1.5c961c93809e9p-8, 0x1.52824115ca5f7p-8, 0x1.48b2a26e5f387p-8, 0x1.3f25a584a086fp-8, 0x1.35d9b77e35838p-8, 0x1.2ccd4d9e84aa4p-8, 0x1.23fee5266b0f8p-8, 0x1.1b6d033432c1fp-8, 0x1.131634a3c9a16p-8, 0x1.0af90def38631p-8, 0x1.03142b0f5f1bep-8, 0x1.f6cc5eb9e6c0ap-9, 0x1.e7db8ae38a152p-9, 0x1.d9533e14910e5p-9, 0x1.cb30e9ced6e0ep-9, 0x1.bd720d615a90bp-9, 0x1.b01435ad0aa37p-9, 0x1.a314fcea21812p-9, 0x1.96720a6e1af3ap-9, 0x1.8a2912723c94cp-9, 0x1.7e37d5dabcfc3p-9, 0x1.729c21fe825d1p-9, 0x1.6753d06f7ad26p-9, 0x1.5c5cc6c395acep-9, 0x1.51b4f65e542fap-9, 0x1.475a5c3b00eeap-9, 0x1.3d4b00b77cec4p-9, 0x1.3384f75fb238ap-9, 0x1.2a065eb9a6717p-9, 0x1.20cd60122b721p-9, 0x1.17d82f4a31956p-9, 0x1.0f250aa4bf78bp-9, 0x1.06b23a95836e7p-9, 0x1.fcfc23201ba73p-10, 0x1.ed0dd7af532a4p-10, 0x1.dd965e9fadadcp-10, 0x1.ce92969ace56ap-10, 0x1.bfff70d077d94p-10, 0x1.b1d9f09b46ac9p-10, 0x1.a41f2b26b2dfbp-10, 0x1.96cc47164f716p-10, 0x1.89de7c2e49683p-10, 0x1.7d5312fd258c5p-10, 0x1.71276486bcc22p-10, 0x1.6558d9f074c62p-10, 0x1.59e4ec2eb6691p-10, 0x1.4ec923b393cb1p-10, 0x1.4403181eb639p-10, 0x1.39906fee7307p-10, 0x1.2f6ee032214bfp-10, 0x1.259c2c3d9699dp-10, 0x1.1c16255de3772p-10, 0x1.12daaa8f2dd31p-10, 0x1.09e7a833c7da7p-10, 0x1.013b17cc665a3p-10, 0x1.f1a5ff630aa7ap-11, 0x1.e15ae59be058cp-11, 0x1.d19120b4defddp-11, 0x1.c24507352d6c3p-11, 0x1.b373073563c19p-11, 0x1.a517a5dd9d61ep-11, 0x1.972f7ee5c0d47p-11, 0x1.89b74417f3d46p-11, 0x1.7cabbcd53b57ep-11, 0x1.7009c59c3c149p-11, 0x1.63ce4f921bb94p-11, 0x1.57f6600d78823p-11, 0x1.4c7f102376405p-11, 0x1.41658c36d6b2bp-11, 0x1.36a713891a437p-11, 0x1.2c40f7cda267bp-11, 0x1.22309cbecfc75p-11, 0x1.187377b516febp-11, 0x1.0f070f40048c3p-11, 0x1.05e8fac12af55p-11, 0x1.fa2dc411ee9e3p-12, 0x1.e91cf9eabf8f7p-12, 0x1.d89b2624ddc98p-12, 0x1.c8a3f67939a66p-12, 0x1.b9333689f0b96p-12, 0x1.aa44cf2e26b29p-12, 0x1.9bd4c5c15e796p-12, 0x1.8ddf3b764bd7p-12, 0x1.80606cad06445p-12, 0x1.7354b04c9a9c5p-12, 0x1.66b8771fed486p-12, 0x1.5a884b35dcb1p-12, 0x1.4ec0cf449e8a6p-12, 0x1.435ebe1043461p-12, 0x1.385ee9d45ec34p-12, 0x1.2dbe3bb0c112bp-12, 0x1.2379b319347e7p-12, 0x1.198e65483db0ap-12, 0x1.0ff97cb4c5314p-12, 0x1.06b8388aa789cp-12, 0x1.fb8fd84c3fc7bp-13, 0x1.ea4bfd23f728dp-13, 0x1.d99fd41125071p-13, 0x1.c98676eee5c52p-13, 0x1.b9fb240b73c2bp-13, 0x1.aaf93d3a150bep-13, 0x1.9c7c46ea2de3fp-13, 0x1.8e7fe743700dep-13, 0x1.80ffe546f7fe5p-13, 0x1.73f827f55d5d7p-13, 0x1.6764b57989cf7p-13, 0x1.5b41b25856048p-13, 0x1.4f8b60a4c005ap-13, 0x1.443e1f38c0278p-13, 0x1.395668f28dcbap-13, 0x1.2ed0d3f656a42p-13, 0x1.24aa10f440d88p-13, 0x1.1adeea72b1bcfp-13, 0x1.116c441cbe173p-13, 0x1.084f1a14b1ecbp-13, 0x1.ff09009539dfdp-14, 0x1.ee1343ad9dabcp-14, 0x1.ddb780b064ec2p-14, 0x1.cdf066ace9961p-14, 0x1.beb8cf4fc29d6p-14, 0x1.b00bbdb5cff9ep-14, 0x1.a1e45d46708a3p-14, 0x1.943e0094b0d4cp-14, 0x1.8714204767d6ep-14, 0x1.7a625a080c62fp-14, 0x1.6e246f7828065p-14, 0x1.6256452d43fb9p-14, 0x1.56f3e1b33044ep-14, 0x1.4bf96c94822b9p-14, 0x1.41632d692c69dp-14, 0x1.372d8aeb0c9ccp-14, 0x1.2d550a1054f3p-14, 0x1.23d64d2bac443p-14, 0x1.1aae1311eb59p-14, 0x1.11d9364557243p-14, 0x1.0954ac263a341p-14, 0x1.011d8428c05afp-14, 0x1.f261ce1ff3136p-15, 0x1.e3182c5bc9bf7p-15, 0x1.d458d550d5147p-15, 0x1.c61ea98651694p-15, 0x1.b864b65bee84p-15, 0x1.ab2634b01456bp-15, 0x1.9e5e878f2d8acp-15, 0x1.92093aebc6226p-15, 0x1.8622025f4e454p-15, 0x1.7aa4b7f34a181p-15, 0x1.6f8d5af2c645ap-15, 0x1.64d80ec3da18fp-15, 0x1.5a8119c90dba2p-15, 0x1.5084e44a73316p-15, 0x1.46dff766491e2p-15, 0x1.3d8efc08f3f86p-15, 0x1.348eb9ec2dcc7p-15, 0x1.2bdc169d3326bp-15, 0x1.23741489d172ap-15, 0x1.1b53d214245b1p-15, 0x1.137888acdd112p-15, 0x1.0bdf8bf3ed47ap-15, 0x1.048648df6c18bp-15, 0x1.fad489d125365p-16, 0x1.ed123a7d4a8f9p-16, 0x1.dfc10bff5ab83p-16, 0x1.d2dc92edad438p-16, 0x1.c6608ec0a8201p-16, 0x1.ba48e86548bbap-16, 0x1.ae91b0da34d3dp-16, 0x1.a3371fd70520dp-16, 0x1.9835927d90edfp-16, 0x1.8d898a14f400dp-16, 0x1.832faace1d186p-16, 0x1.7924ba9197e91p-16, 0x1.6f659fd6624ecp-16, 0x1.65ef608192565p-16, 0x1.5cbf20ce89646p-16, 0x1.53d2223f8c1cap-16, 0x1.4b25c2967926cp-16, 0x1.42b77ad575044p-16, 0x1.3a84de474cffap-16, 0x1.328b998f68daep-16, 0x1.2ac971c109aa3p-16, 0x1.233c437db626fp-16, 0x1.1be2021a9963fp-16, 0x1.14b8b6cca39c8p-16, 0x1.0dbe7fdb46ec8p-16, 0x1.06f18fd9a063cp-16, 0x1.00502ce5dde49p-16, 0x1.f3b15fdd6b257p-17, 0x1.e71307fd9e3aap-17, 0x1.dac24b1bcecfdp-17, 0x1.cebc43af209ebp-17, 0x1.c2fe2c6ec6eefp-17, 0x1.b7855f14fe1e7p-17, 0x1.ac4f532c555a5p-17, 0x1.a1599ce6f7d3cp-17, 0x1.96a1ebffba5b8p-17, 0x1.8c260aa496eafp-17, 0x1.81e3dc6a63aa7p-17, 0x1.77d95d4976318p-17, 0x1.6e04a0a2f95b4p-17, 0x1.6463d04eaf11ap-17, 0x1.5af52bb0ed0f4p-17, 0x1.51b706d88dfa5p-17, 0x1.48a7c9a49998bp-17, 0x1.3fc5eef174fd6p-17, 0x1.371003cd5f736p-17, 0x1.2e84a6b40033p-17, 0x1.262286d0d4e3dp-17, 0x1.1de863484c077p-17, 0x1.15d50a875891fp-17, 0x1.0de759994d68p-17, 0x1.061e3b83cf2d1p-17, 0x1.fcf15151632ccp-18, 0x1.edeb4c5b1b584p-18, 0x1.df288ad1d05f1p-18, 0x1.d0a746a97660ap-18, 0x1.c265d00c71771p-18, 0x1.b4628c553d27bp-18, 0x1.a69bf511e0df8p-18, 0x1.99109710ea934p-18, 0x1.8bbf11779c818p-18, 0x1.7ea614e10a0fap-18, 0x1.71c46285d63a5p-18, 0x1.6518cb6c52bebp-18, 0x1.58a22fa0b8816p-18, 0x1.4c5f7d753731bp-18, 0x1.404fb0c99cc0cp-18, 0x1.3471d25a54f85p-18, 0x1.28c4f71683ce6p-18, 0x1.1d483f7d00845p-18, 0x1.11fad6fff6337p-18, 0x1.06dbf36ef0b3fp-18, 0x1.f7d5a8ce46479p-19, 0x1.e24d85935baa9p-19, 0x1.cd1e206f6797ap-19, 0x1.b8462d2817381p-19, 0x1.a3c46f14ba8eap-19, 0x1.8f97b836ee591p-19, 0x1.7bbee85d6eef6p-19, 0x1.6838ec50a0426p-19, 0x1.5504bd0889421p-19, 0x1.42215eebe2fa8p-19, 0x1.2f8de117eab38p-19, 0x1.1d495cb0ac21p-19, 0x1.0b52f43973855p-19, 0x1.f353a5ea3193ap-20, 0x1.d09a589bc4d69p-20, 0x1.ae7876896bb99p-20, 0x1.8cec83ce9cf1fp-20, 0x1.6bf5119a7e1cfp-20, 0x1.4b90bd36e754fp-20, 0x1.2bbe2f1c0790fp-20, 0x1.0c7c1a100bdbcp-20, 0x1.db9274a4f0abp-21, 0x1.9f48a9a54f746p-21, 0x1.64186ce21ab3bp-21, 0x1.29ff66959c587p-21, 0x1.e1f6983d22a63p-22, 0x1.7213bd7c99a29p-22, 0x1.0451d4d25c0c6p-22, 0x1.315912a2b9a68p-23, 0x1.78fcb8e4fdeedp-25, -0x1.c2c9b494647d4p-25, -0x1.3b840e8e84febp-23, -0x1.011ef70dfb1adp-22, -0x1.62741814fed99p-22, -0x1.c1c574318679bp-22, -0x1.0f8b87255e673p-21, -0x1.3d3671d5d9aebp-21, -0x1.69e5769eba678p-21, -0x1.959a905517587p-21, -0x1.c057b8b542ed9p-21, -0x1.ea1ee8df04b6bp-21, -0x1.09790ce3edf92p-20, -0x1.1d69a251e0b69p-20, -0x1.30e231a26eee4p-20, -0x1.43e3b83946bb3p-20, -0x1.566f341c222e4p-20, -0x1.6885a41645f0cp-20, -0x1.7a2807d845fa1p-20, -0x1.8b5760144cc0fp-20, -0x1.9c14ae96f50e2p-20, -0x1.ac60f65d05fbbp-20, -0x1.bc3d3ba6180d9p-20, -0x1.cbaa84046d2bep-20, -0x1.daa9d66a082dep-20, -0x1.e93c3b333589p-20, -0x1.f762bc2eaea4ep-20, -0x1.028f3251b805ap-19, -0x1.093820aa33185p-19, -0x1.0facb0410c047p-19, -0x1.15ed68f533cf2p-19, -0x1.1bfad3634633ep-19, -0x1.21d578e3ad7cbp-19, -0x1.277de387fee53p-19, -0x1.2cf49e179b10ep-19, -0x1.323a340ba224ep-19, -0x1.374f318a3f8dcp-19, -0x1.3c3423616481p-19, -0x1.40e99700f260fp-19, -0x1.45701a7466e1ep-19, -0x1.49c83c5c0d661p-19, -0x1.4df28be5c802cp-19, -0x1.51ef98c56e739p-19, -0x1.55bff32cd8e44p-19, -0x1.59642bc393aebp-19, -0x1.5cdcd39e47949p-19, -0x1.602a7c35e572p-19, -0x1.634db75e9286ep-19, -0x1.6647173e5fb7ap-19, -0x1.69172e43d74c1p-19, -0x1.6bbe8f1c61c17p-19, -0x1.6e3dccaa892c5p-19, -0x1.709579fc258bep-19, -0x1.72c62a406c4acp-19, -0x1.74d070bdf967ep-19, -0x1.76b4e0c8c3df6p-19, -0x1.78740db813cddp-19, -0x1.7a0e8adc6f5a7p-19, -0x1.7b84eb758f1f6p-19, -0x1.7cd7c2a8569bep-19, -0x1.7e07a374d705ap-19, -0x1.7f1520ac5da2ap-19, -0x1.8000cce795286p-19, -0x1.80cb3a7cbb485p-19, -0x1.8174fb75eafcfp-19, -0x1.81fea18780c7fp-19, -0x1.8268be069c56p-19, -0x1.82b3e1dfbf89dp-19, -0x1.82e09d8d8e61cp-19, -0x1.82ef810fb32fbp-19, -0x1.82e11be1e1f12p-19, -0x1.82b5fcf30c13ap-19, -0x1.826eb29cb1ap-19, -0x1.820bca9a61aap-19, -0x1.818dd20167b6fp-19, -0x1.80f555389f304p-19, -0x1.8042dff077d63p-19, -0x1.7f76fd1b2a0a2p-19, -0x1.7e9236e516e9ep-19, -0x1.7d9516ad59697p-19, -0x1.7c8024fe8a288p-19, -0x1.7b53e987b31f5p-19, -0x1.7a10eb1573b91p-19, -0x1.78b7af8b5a898p-19, -0x1.7748bbdd7096bp-19, -0x1.75c49409f3e78p-19, -0x1.742bbb134cdeap-19, -0x1.727eb2fa2ed1bp-19, -0x1.70bdfcb7f2d99p-19, -0x1.6eea18391f98fp-19, -0x1.6d0384582aa8ep-19, -0x1.6b0abed86949ep-19, -0x1.69004461358aap-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.06392586a3e8cp-4, -0x1.2142c56728214p-4, -0x1.3c93d2a99429p-4, -0x1.58344b87ad904p-4, -0x1.742b4f6ab7cd5p-4, -0x1.907eedbc6be02p-4, -0x1.ad33ff87dc67ep-4, -0x1.ca4e0b92f55d9p-4, -0x1.e7cf3444508a3p-4, -0x1.02dc17395aae4p-3, -0x1.1204200da5b79p-3, -0x1.215ea2f67d0dp-3, -0x1.30e9df4a99ea4p-3, -0x1.40a36d615p-3, -0x1.50884870ae361p-3, -0x1.6094d9d45854fp-3, -0x1.70c50554f663ap-3, -0x1.81143614816fp-3, -0x1.917d6bd097fa3p-3, -0x1.a1fb483841803p-3, -0x1.b2881c1e64daep-3, -0x1.c31df45cad8cep-3, -0x1.d3b6a644634b9p-3, -0x1.e44bdb82f2bp-3, -0x1.f4d71d672c195p-3, -0x1.02a8efbd25642p-2, -0x1.0adac4b271305p-2, -0x1.12fdc00df28b3p-2, -0x1.1b0e972aa3408p-2, -0x1.230a0623264cep-2, -0x1.2aecd357da4bp-2, -0x1.32b3d29e98232p-2, -0x1.3a5be81f884fcp-2, -0x1.41e20ae2c4b46p-2, -0x1.49434712d8e9fp-2, -0x1.507cbff850cffp-2, -0x1.578bb1b29abccp-2, -0x1.5e6d72b295201p-2, -0x1.651f74fb0a4f6p-2, -0x1.6b9f472b5a1f5p-2, -0x1.71ea955868e6ap-2, -0x1.77ff29b7dec82p-2, -0x1.7ddaed218b95dp-2, -0x1.837be76aa70ap-2, -0x1.88e03f9e77c73p-2, -0x1.8e063c17b341ep-2, -0x1.92ec427dc82e9p-2, -0x1.9790d7a902a2p-2, -0x1.9bf29f7054238p-2, -0x1.a0105c634eff2p-2, -0x1.a3e8ef72b0b28p-2, -0x1.a77b5789b3ae5p-2, -0x1.aac6b11a141fdp-2, -0x1.adca359ca4f35p-2, -0x1.b0853b080e83ap-2, -0x1.b2f7333f2b7bep-2, -0x1.b51fab7851b9bp-2, -0x1.b6fe4b9eb161p-2, -0x1.b892d5aec7e5dp-2, -0x1.b9dd250ecc9fp-2, -0x1.badd2de3deffcp-2, -0x1.bb92fc6499312p-2, -0x1.bbfeb429a1dbbp-2, -0x1.bc208f7cb5325p-2, -0x1.bbf8dea68fad3p-2, -0x1.bb88073c142c8p-2, -0x1.bace836afd8f4p-2, -0x1.b9cce1465398bp-2, -0x1.b883c212e278bp-2, -0x1.b6f3d993d9eap-2, -0x1.b51ded57c1a28p-2, -0x1.b302d405e331p-2, -0x1.b0a374ac4730ep-2, -0x1.ae00c60e61886p-2, -0x1.ab1bcdf485c34p-2, -0x1.a7f5a07c3fb01p-2, -0x1.a48f5f69a084ep-2, -0x1.a0ea3979a26a1p-2, -0x1.9d0769b5b23f3p-2, -0x1.98e836c87b506p-2, -0x1.948df2541353bp-2, -0x1.8ff9f84996144p-2, -0x1.8b2dae4258cfep-2, -0x1.862a82dac9127p-2, -0x1.80f1ed0f15d7dp-2, -0x1.7b856b99c0ddp-2, -0x1.75e68454391cp-2, -0x1.7016c39997143p-2, -0x1.6a17bbab9cbc2p-2, -0x1.63eb041a1775cp-2, -0x1.5d92392cc25d9p-2, -0x1.570efb4fc58b6p-2, -0x1.5062ee82ec36ap-2, -0x1.498fb9cbb6b17p-2, -0x1.429706aa587e6p-2, -0x1.3b7a8091c3eefp-2, -0x1.343bd462d8671p-2, -0x1.2cdcafeaca94p-2, -0x1.255ec164dde7p-2, -0x1.1dc3b6ff7eb7cp-2, -0x1.160d3e64d5afdp-2, -0x1.0e3d0446dbf8dp-2, -0x1.0654b3ef07eddp-2, -0x1.fcabeda32ac7p-3, -0x1.ec84e848fc663p-3, -0x1.dc37a0f43f069p-3, -0x1.cbc75abf3829bp-3, -0x1.bb3751fdfd4fp-3, -0x1.aa8abb8a35682p-3, -0x1.99c4c416642a5p-3, -0x1.88e88f88b20b2p-3, -0x1.77f9385d3fdc2p-3, -0x1.66f9cf0fe65bap-3, -0x1.55ed598d653ebp-3, -0x1.44d6d2abf807bp-3, -0x1.33b929ab2e5b7p-3, -0x1.229741bb044fep-3, -0x1.1173f18a23d61p-3, -0x1.005202db26c8ep-3, -0x1.de686441b8882p-4, -0x1.bc3a5c42aae69p-4, -0x1.9a1f2f3f63ddbp-4, -0x1.781c021912557p-4, -0x1.5635dc79850dp-4, -0x1.3471a84d9527bp-4, -0x1.12d4314bed61dp-4, -0x1.e2c4490fdf501p-5, -0x1.a0402020d0a0fp-5, -0x1.5e24c5338c9cdp-5, -0x1.1c7ad66710503p-5, -0x1.b695642240657p-6, -0x1.3538eca83bf9p-6, -0x1.69e00325acfdp-7, -0x1.ae4ee3fb7cc2dp-9, 0x1.20ab2b9b201a5p-8, 0x1.89bf7e3ca1bd9p-7, 0x1.40474ce2cd1e5p-6, 0x1.ba54431dad37fp-6, 0x1.197cf95aa856bp-5, 0x1.5516171df0402p-5, 0x1.8fefa4bf8e64dp-5, 0x1.ca040c7d2c5b5p-5, 0x1.01a6fc4af6fcdp-4, 0x1.1de42973b5ac3p-4, 0x1.39b7223ec8e19p-4, 0x1.551d9a8afcde9p-4, 0x1.7015654ba4b14p-4, 0x1.8a9c743e9a0f3p-4, 0x1.a4b0d79cd156dp-4, 0x1.be50bdc5ca337p-4, 0x1.d77a72e61f07fp-4, 0x1.f02c60997384ap-4, 0x1.043286c409c06p-3, 0x1.10118e8034d6ep-3, 0x1.1bb2a7464f714p-3, 0x1.27153ec250aaep-3, 0x1.3238d04e63646p-3, 0x1.3d1ce4b8a0f8bp-3, 0x1.47c1120756fd7p-3, 0x1.5224fb3bf7b94p-3, 0x1.5c485014c2826p-3, 0x1.662acccd49d79p-3, 0x1.6fcc39ddf359ap-3, 0x1.792c6bba7ed6cp-3, 0x1.824b428fb7976p-3, 0x1.8b28aa0064271p-3, 0x1.93c498e18713p-3, 0x1.9c1f10f61048p-3, 0x1.a4381eaa0d22ep-3, 0x1.ac0fd8cd6b6ebp-3, 0x1.b3a6604e6e19ep-3, 0x1.bafbdff3d8e9bp-3, 0x1.c2108c16f1137p-3, 0x1.c8e4a25d5b87dp-3, 0x1.cf786972f89afp-3, 0x1.d5cc30c3c08d6p-3, 0x1.dbe05035b28ddp-3, 0x1.e1b527e2f41bep-3, 0x1.e74b1fd41b84cp-3, 0x1.eca2a7bac3618p-3, 0x1.f1bc36ac7286dp-3, 0x1.f6984addd9478p-3, 0x1.fb37695e8c7f1p-3, 0x1.ff9a1dd52320fp-3, 0x1.01e07d1df6db3p-2, 0x1.03d64b4f16b35p-2, 0x1.05aec86af89fap-2, 0x1.076a462547256p-2, 0x1.090918d7e66ep-2, 0x1.0a8b9762e6d73p-2, 0x1.0bf21b0cd4506p-2, 0x1.0d3cff636d828p-2, 0x1.0e6ca21cc2537p-2, 0x1.0f8162f8be291p-2, 0x1.107ba3a31f3f5p-2, 0x1.115bc795e52dap-2, 0x1.122233fc31559p-2, 0x1.12cf4f95a0b43p-2, 0x1.1363829a2067dp-2, 0x1.13df369e40dfep-2, 0x1.1442d67808276p-2, 0x1.148ece2443ba5p-2, 0x1.14c38aac61603p-2, 0x1.14e17a0cc9541p-2, 0x1.14e90b1bc3d7ap-2, 0x1.14daad70e0844p-2, 0x1.14b6d14ced6d2p-2, 0x1.147de78272a2cp-2, 0x1.1430615ebc35dp-2, 0x1.13ceb0936e533p-2, 0x1.13594720a5ac1p-2, 0x1.12d0973fa5ecfp-2, 0x1.1235134e10fbdp-2, 0x1.11872db9b18c3p-2, 0x1.10c758ecccb7fp-2, 0x1.0ff6073b03699p-2, 0x1.0f13aacebf312p-2, 0x1.0e20b5972d985p-2, 0x1.0d1d9936c4aedp-2, 0x1.0c0ac6f253019p-2, 0x1.0ae8afa09d301p-2, 0x1.09b7c39a7fe2fp-2, 0x1.087872aba123bp-2, 0x1.072b2c03a4c32p-2, 0x1.05d05e27e8a7p-2, 0x1.046876e5c9de9p-2, 0x1.02f3e3456942cp-2, 0x1.01730f7cf8dd5p-2, 0x1.ffcccdc90d512p-3, 0x1.fc9ca7d498419p-3, 0x1.f956800ef1159p-3, 0x1.f5fb276af74cdp-3, 0x1.f28b6cc798cfp-3, 0x1.ef081cdc51425p-3, 0x1.eb7202269c276p-3, 0x1.e7c9e4d85392dp-3, 0x1.e4108ac6fc659p-3, 0x1.e046b75bf2d1ap-3, 0x1.dc6d2b857e359p-3, 0x1.d884a5a8c4636p-3, 0x1.d48de194954a1p-3, 0x1.d08998750e1ffp-3, 0x1.cc7880c80ec7p-3, 0x1.c85b4e52832ep-3, 0x1.c432b2166e347p-3, 0x1.bfff5a49c5e85p-3, 0x1.bbc1f24e0bff6p-3, 0x1.b77b22a8a36fp-3, 0x1.b32b90fbe4026p-3, 0x1.aed3e000e4e64p-3, 0x1.aa74af81f0f87p-3, 0x1.a60e9c55b5917p-3, 0x1.a1a2405b08996p-3, 0x1.9d3032756753ep-3, 0x1.98b9068a048d5p-3, 0x1.943d4d7d7de78p-3, 0x1.8fbd953224edp-3, 0x1.8b3a6886da281p-3, 0x1.86b44f567cp-3, 0x1.822bce77dded8p-3, 0x1.7da167be46433p-3, 0x1.791599fa70c89p-3, 0x1.7488e0fc0ffefp-3, 0x1.6ffbb593c3632p-3, 0x1.6b6e8d958e1b7p-3, 0x1.66e1dbdbb6526p-3, 0x1.6256104a198dcp-3, 0x1.5dcb97d1e54ccp-3, 0x1.5942dc75bcb82p-3, 0x1.54bc454e3d51fp-3, 0x1.5038368edd5d9p-3, 0x1.4bb7118b30509p-3, 0x1.473934bc798c9p-3, 0x1.42befbc791c85p-3, 0x1.3e48bf83246e4p-3, 0x1.39d6d5fe2d31ep-3, 0x1.35699286ca157p-3, 0x1.310145b14a223p-3, 0x1.2c9e3d5f7fdaap-3, 0x1.2840c4c853021p-3, 0x1.23e9247f88ed3p-3, 0x1.1f97a27dcecb6p-3, 0x1.1b4c8228e8e16p-3, 0x1.1708045c1f568p-3, 0x1.12ca6770d53acp-3, 0x1.0e93e747455f5p-3, 0x1.0a64bd4f7315p-3, 0x1.063d20923007p-3, 0x1.021d45ba56dc1p-3, 0x1.fc0abe3c2450ep-4, 0x1.f3eb3990a3fd5p-4, 0x1.ebdc590499de5p-4, 0x1.e3de73ba44e9cp-4, 0x1.dbf1dc7721783p-4, 0x1.d416e1b76f352p-4, 0x1.cc4dcdc1e148ap-4, 0x1.c496e6bb6e2acp-4, 0x1.bcf26ebb2d8a8p-4, 0x1.b560a3de498e5p-4, 0x1.ade1c05c0530fp-4, 0x1.a675fa99cd2cbp-4, 0x1.9f1d853f4723fp-4, 0x1.97d88f4a6bb25p-4, 0x1.90a744239c44bp-4, 0x1.8989cbb1b48b6p-4, 0x1.82804a6e137a9p-4, 0x1.7b8ae1789a16dp-4, 0x1.74a9aeab995dfp-4, 0x1.6ddcccafb087bp-4, 0x1.6724530f93e0bp-4, 0x1.6080564bbe02p-4, 0x1.59f0e7ee045bbp-4, 0x1.5376169d0fc6ep-4, 0x1.4d0fee2fb431cp-4, 0x1.46be77c02684fp-4, 0x1.4081b9bf0ce33p-4, 0x1.3a59b8066861dp-4, 0x1.344673ec55f13p-4, 0x1.2e47ec55a295fp-4, 0x1.285e1dc833a71p-4, 0x1.2289027d3fe6ap-4, 0x1.1cc8927356d0fp-4, 0x1.171cc3803622dp-4, 0x1.118589626bd45p-4, 0x1.0c02d5d2c0d5dp-4, 0x1.069498956ed9dp-4, 0x1.013abf8b1cc46p-4, 0x1.f7ea6d834382ap-5, 0x1.ed87d1091be4ap-5, 0x1.e34d7adaefa79p-5, 0x1.d93b38e818d28p-5, 0x1.cf50d5fbc624fp-5, 0x1.c58e19dc22aeep-5, 0x1.bbf2c96904058p-5, 0x1.b27ea6ba1487ep-5, 0x1.a931713c81c92p-5, 0x1.a00ae5d023dfdp-5, 0x1.970abee428dbep-5, 0x1.8e30b4933703dp-5, 0x1.857c7cbf0fb4ep-5, 0x1.7cedcb2baa726p-5, 0x1.74845199cc5f1p-5, 0x1.6c3fbfe11cd3p-5, 0x1.641fc409b0059p-5, 0x1.5c240a65103cap-5, 0x1.544c3da6bed28p-5, 0x1.4c9806fc32588p-5, 0x1.45070e244df81p-5, 0x1.3d98f986537aep-5, 0x1.364d6e4852c9ep-5, 0x1.2f241065135f3p-5, 0x1.281c82c17d4b8p-5, 0x1.213667417a6bdp-5, 0x1.1a715edc5b11cp-5, 0x1.13cd09b0b5ac7p-5, 0x1.0d490717c7c7dp-5, 0x1.06e4f5b855eaep-5, 0x1.00a073990ee97p-5, 0x1.f4f63c64e061cp-6, 0x1.e8e925005b1p-6, 0x1.dd18da243cbb8p-6, 0x1.d184943962b5ep-6, 0x1.c62b8b11c99d7p-6, 0x1.bb0cf607954aep-6, 0x1.b0280c1b28154p-6, 0x1.a57c041050768p-6, 0x1.9b08148a91fdp-6, 0x1.90cb74288a3eap-6, 0x1.86c5599e71ccep-6, 0x1.7cf4fbcfc0e84p-6, 0x1.735991e7fb772p-6, 0x1.69f25372a223dp-6, 0x1.60be78724fab4p-6, 0x1.57bd3977052d6p-6, 0x1.4eedcfb3a9029p-6, 0x1.464f7512bae89p-6, 0x1.3de1644a3cd11p-6, 0x1.35a2d8eeddb1ep-6, 0x1.2d930f8661693p-6, 0x1.25b14599471dbp-6, 0x1.1dfcb9c3bce2ep-6, 0x1.1674abc5d6c66p-6, 0x1.0f185c9316a54p-6, 0x1.07e70e614361bp-6, 0x1.00e004b695191p-6, 0x1.f40508ee6716p-7, 0x1.e69ba7e431f89p-7, 0x1.d98275da9435bp-7, 0x1.ccb80562ea5d4p-7, 0x1.c03aec29e8bc4p-7, 0x1.b409c30c72b8bp-7, 0x1.a823262b4aa0ap-7, 0x1.9c85b4fd9e26p-7, 0x1.913012627d993p-7, 0x1.8620e4b138425p-7, 0x1.7b56d5c8b45cep-7, 0x1.70d0931dba448p-7, 0x1.668ccdc843b5ep-7, 0x1.5c8a3a8fd08d1p-7, 0x1.52c791f6cdaa6p-7, 0x1.49439045058d9p-7, 0x1.3ffcf59134af6p-7, 0x1.36f285c9bda97p-7, 0x1.2e2308bc7f911p-7, 0x1.258d4a1ddcdf2p-7, 0x1.1d30198ef526p-7, 0x1.150a4aa317134p-7, 0x1.0d1ab4e472c13p-7, 0x1.056033d810daep-7, 0x1.fbb34e0226fccp-8, 0x1.ed0be3c6932fbp-8, 0x1.dec7f80a2e7a7p-8, 0x1.d0e561e173e1ap-8, 0x1.c3620069dd1e2p-8, 0x1.b63bbac9fc3aap-8, 0x1.a97080306a436p-8, 0x1.9cfe47d19d0d3p-8, 0x1.90e310e4a4a23p-8, 0x1.851ce29ee2a1fp-8, 0x1.79a9cc2ec1c44p-8, 0x1.6e87e4b575aa2p-8, 0x1.63b54b3fd19e5p-8, 0x1.593026be39ef9p-8, 0x1.4ef6a5fbbc8ep-8, 0x1.4506ff94595e5p-8, 0x1.3b5f71ea82b39p-8, 0x1.31fe431bdef29p-8, 0x1.28e1c0f55146ep-8, 0x1.200840e657c52p-8, 0x1.17701ff3bf427p-8, 0x1.0f17c2a9bc5c6p-8, 0x1.06fd950d6b194p-8, 0x1.fe40151b8276dp-9, 0x1.eefb3be7ee71dp-9, 0x1.e029a2a6e5a1cp-9, 0x1.d1c85bf26e601p-9, 0x1.c3d488b5c2cabp-9, 0x1.b64b580a7692cp-9, 0x1.a92a0714cec0cp-9, 0x1.9c6de0df5ce1fp-9, 0x1.90143e35e7c1dp-9, 0x1.841a857fb291dp-9, 0x1.787e2a9923a0ep-9, 0x1.6d3caeace2468p-9, 0x1.6253a00c7083p-9, 0x1.57c09a084a767p-9, 0x1.4d8144c799322p-9, 0x1.4393551f8304cp-9, 0x1.39f48c6a2095p-9, 0x1.30a2b85d1f3a9p-9, 0x1.279bb2e0220ap-9, 0x1.1edd61e2dfe2cp-9, 0x1.1665b7330e42fp-9, 0x1.0e32b0521e81cp-9, 0x1.0642564ad671fp-9, 0x1.fd257b0d99be9p-10, 0x1.ee440b479ded5p-10, 0x1.dfdcb2927177bp-10, 0x1.d1ebdbfa8c5b5p-10, 0x1.c46e07f4cc356p-10, 0x1.b75fcc091c2b9p-10, 0x1.aabdd27d48bfp-10, 0x1.9e84d9ffe1219p-10, 0x1.92b1b55362da3p-10, 0x1.87414af98cd19p-10, 0x1.7c3094df0b50ep-10, 0x1.717ca007666e1p-10, 0x1.67228c39580d9p-10, 0x1.5d1f8bab7f56fp-10, 0x1.5370e2b184c06p-10, 0x1.4a13e769b9f42p-10, 0x1.4106016b2fed5p-10, 0x1.3844a97458b22p-10, 0x1.2fcd691a380aap-10, 0x1.279dda782b16dp-10, 0x1.1fb3a7e047e3ap-10, 0x1.180c8b8c6281fp-10, 0x1.10a64f4fb9dfap-10, 0x1.097ecc4959e5fp-10, 0x1.0293ea972456dp-10, 0x1.f7c742133e4b9p-11, 0x1.ead7e9b0f63fcp-11, 0x1.de55f2afbcbe9p-11, 0x1.d23d9f5cea082p-11, 0x1.c68b4d18992ccp-11, 0x1.bb3b73c4fc798p-11, 0x1.b04aa53753d37p-11, 0x1.a5b58caa8c70bp-11, 0x1.9b78ee3392439p-11, 0x1.9191a6375231cp-11, 0x1.87fca8e278595p-11, 0x1.7eb701a2ea9d5p-11, 0x1.75bdd2a3051bbp-11, 0x1.6d0e54469bb29p-11, 0x1.64a5d4a9c1efcp-11, 0x1.5c81b7215ff1ap-11, 0x1.549f73bd91bfp-11, 0x1.4cfc96cdd60b7p-11, 0x1.4596c0670d86cp-11, 0x1.3e6ba3eb4b2bep-11, 0x1.37790793751bap-11, 0x1.30bcc3faba10ep-11, 0x1.2a34c3abd8ba7p-11, 0x1.23df02b038144p-11, 0x1.1db98e20d4939p-11, 0x1.17c283b8fc4b7p-11, 0x1.11f8116adc104p-11, 0x1.0c5874f5dceep-11, 0x1.06e1fb7ecde26p-11, 0x1.01930129d9a25p-11, 0x1.f8d3e16c8f7adp-12, 0x1.eeca863807e2fp-12, 0x1.e506fe55d8429p-12, 0x1.db867257c14fep-12, 0x1.d24625072ae8dp-12, 0x1.c94372ae3f4d5p-12, 0x1.c07bd0647d8f4p-12, 0x1.b7eccb5eb627ap-12, 0x1.af940842730dp-12, 0x1.a76f427cbb12p-12, 0x1.9f7c4b9c32cebp-12, 0x1.97b90aae8b501p-12, 0x1.90237ba13a80dp-12, 0x1.88b9aea57856ep-12, 0x1.8179c7976e4ebp-12, 0x1.7a61fd689ccedp-12, 0x1.7370998d6723ap-12, 0x1.6ca3f76dbc9e4p-12, 0x1.65fa83d8d96efp-12, 0x1.5f72bc7c13125p-12, 0x1.590b2f5ca8361p-12, 0x1.52c27a548bf9cp-12, 0x1.4c974a922062ep-12, 0x1.46885c1ad7e92p-12, 0x1.40947950b4322p-12, 0x1.3aba7a7a97a14p-12, 0x1.34f9454f6286ap-12, 0x1.2f4fcc83cc9dp-12, 0x1.29bd0f5af4fdp-12, 0x1.24401939a0689p-12, 0x1.1ed8013c14604p-12, 0x1.1983e9ce8c4cbp-12, 0x1.144300483bae6p-12, 0x1.0f147c88d2109p-12, 0x1.09f7a09877bd4p-12, 0x1.04ebb84a3b8b4p-12, 0x1.ffe031c1c2377p-13, 0x1.f608416c1d411p-13, 0x1.ec4e6dc78835dp-13, 0x1.e2b195e0403e5p-13, 0x1.d930a8f6b47fp-13, 0x1.cfcaa5dfeabc7p-13, 0x1.c67e9a6a28926p-13, 0x1.bd4ba2c5df709p-13, 0x1.b430e8f2c5bf1p-13, 0x1.ab2da430f66eap-13, 0x1.a241187623927p-13, 0x1.996a95e6a5103p-13, 0x1.90a9785272b77p-13, 0x1.87fd26b5d8355p-13, 0x1.7f6512bde6801p-13, 0x1.76e0b85081653p-13, 0x1.6e6f9d17fd864p-13, 0x1.661150123e8ccp-13, 0x1.5dc5692337dbdp-13, 0x1.558b88aacdf37p-13, 0x1.4d63571df47cap-13, 0x1.454c84a30bb39p-13, 0x1.3d46c8b151f22p-13, 0x1.3551e1b376df5p-13, 0x1.2d6d94ad1eb84p-13, 0x1.2599ace363356p-13, 0x1.1dd5fb882503fp-13, 0x1.162257683506fp-13, 0x1.0e7e9c9c37a71p-13, 0x1.06eaac3c31fb2p-13, 0x1.feccd82b6dc0ap-14, 0x1.efe38cc947972p-14, 0x1.e119531cb13a6p-14, 0x1.d26e0fbeb2b26p-14, 0x1.c3e1ae96b5562p-14, 0x1.b574225f2a5acp-14, 0x1.a725642ebeebep-14, 0x1.98f57305f28e9p-14, 0x1.8ae45360faec3p-14, 0x1.7cf20ecdd8ba3p-14, 0x1.6f1eb3867afc7p-14, 0x1.616a540edde42p-14, 0x1.53d506d707096p-14, 0x1.465ee5e0c4547p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.c39b87f812dadp-5, -0x1.f161b33a236eap-5, -0x1.0faf867320589p-4, -0x1.26cd7b3f00843p-4, -0x1.3e0e4ac2ce1f3p-4, -0x1.5575571564b3ep-4, -0x1.6d05c1399d78ap-4, -0x1.84c25b210f12dp-4, -0x1.9cad9c2394ccp-4, -0x1.b4c997de9b8d4p-4, -0x1.cd17f75f40dccp-4, -0x1.e599f46f38327p-4, -0x1.fe5056d561e18p-4, -0x1.0b9db9ab5d16dp-3, -0x1.182d962160d2bp-3, -0x1.24d779ab3c26p-3, -0x1.319ae6615a0ep-3, -0x1.3e77299299547p-3, -0x1.4b6b5e2389089p-3, -0x1.58766f3b9ed23p-3, -0x1.65971b2db52bfp-3, -0x1.72cbf68b25a54p-3, -0x1.80136f52ee844p-3, -0x1.8d6bd030327fbp-3, -0x1.9ad343bd49787p-3, -0x1.a847d7c233e31p-3, -0x1.b5c78066e1bc6p-3, -0x1.c3501b53124dep-3, -0x1.d0df72b6ba74dp-3, -0x1.de73403717609p-3, -0x1.ec092fbd5460dp-3, -0x1.f99ee22491b03p-3, -0x1.0398f7e2e3b9bp-2, -0x1.0a5ff5703c51dp-2, -0x1.112330efeb025p-2, -0x1.17e170be0f80ep-2, -0x1.1e997b5c4a72fp-2, -0x1.254a185f406b6p-2, -0x1.2bf2114b054b7p-2, -0x1.3290325ee6539p-2, -0x1.39234b511f321p-2, -0x1.3faa2ffb0d641p-2, -0x1.4623b8f684a3ep-2, -0x1.4c8ec42ceaa2fp-2, -0x1.52ea3558caddap-2, -0x1.5934f67a8f5f7p-2, -0x1.5f6df84110274p-2, -0x1.65943266a6734p-2, -0x1.6ba6a40375a3p-2, -0x1.71a453d58e9d2p-2, -0x1.778c507f962adp-2, -0x1.7d5db0be8d7d9p-2, -0x1.83179397549c7p-2, -0x1.88b9207c83ba1p-2, -0x1.8e41876d1b6f9p-2, -0x1.93b0010c9ec17p-2, -0x1.9903ceb50efffp-2, -0x1.9e3c3a83474a8p-2, -0x1.a358975e22263p-2, -0x1.a85840f8da2e7p-2, -0x1.ad3a9bd10711fp-2, -0x1.b1ff15288fb3dp-2, -0x1.b6a522fbee3c3p-2, -0x1.bb2c43f511bfbp-2, -0x1.bf93ff5b267d6p-2, -0x1.c3dbe4ff8bf4dp-2, -0x1.c8038d2839091p-2, -0x1.cc0a9877c216bp-2, -0x1.cff0afd33e1efp-2, -0x1.d3b58446345f4p-2, -0x1.d758cee4c78ccp-2, -0x1.dada50ac4090ep-2, -0x1.de39d26224519p-2, -0x1.e1772471f3bf9p-2, -0x1.e4921ec9bb8bep-2, -0x1.e78aa0b588a15p-2, -0x1.ea6090b9e5732p-2, -0x1.ed13dc6d75abfp-2, -0x1.efa47851c78e4p-2, -0x1.f2125fab70213p-2, -0x1.f45d94598acb9p-2, -0x1.f6861eacaa6fcp-2, -0x1.f88c0d3d50b3ep-2, -0x1.fa6f74c1fb4c5p-2, -0x1.fc306fe4daa16p-2, -0x1.fdcf1f193a9dp-2, -0x1.ff4ba870b1daep-2, -0x1.00531bb811c61p-1, -0x1.00ef7e724ff6fp-1, -0x1.017b175c17997p-1, -0x1.01f603e34cac9p-1, -0x1.026063d91656ep-1, -0x1.02ba595c4c462p-1, -0x1.030408c3ef0d4p-1, -0x1.033d9889b52e7p-1, -0x1.03673134ad417p-1, -0x1.0380fd43fee33p-1, -0x1.038b2919cb88p-1, -0x1.0385e2e634e8ap-1, -0x1.03715a928e181p-1, -0x1.034dc1acbb383p-1, -0x1.031b4b52c2e11p-1, -0x1.02da2c1e95a0bp-1, -0x1.028a9a12114b1p-1, -0x1.022ccc833e906p-1, -0x1.01c0fc08d367ap-1, -0x1.01476266f5af4p-1, -0x1.00c03a7c47e96p-1, -0x1.002bc02f3e186p-1, -0x1.ff1460b77f26dp-2, -0x1.fdb791823008ap-2, -0x1.fc418fe074d88p-2, -0x1.fab2da74aa997p-2, -0x1.f90bf13f7f505p-2, -0x1.f74d557e7475fp-2, -0x1.f577898b162dp-2, -0x1.f38b10bae5e76p-2, -0x1.f1886f3ffe34dp-2, -0x1.ef702a0a6c34dp-2, -0x1.ed42c6aa48c9bp-2, -0x1.eb00cb328c462p-2, -0x1.e8aabe1ca0198p-2, -0x1.e641262cb3512p-2, -0x1.e3c48a56cae63p-2, -0x1.e13571a497135p-2, -0x1.de94631c078abp-2, -0x1.dbe1e5a6a2109p-2, -0x1.d91e7ff997859p-2, -0x1.d64ab87e9eda3p-2, -0x1.d367153d899b7p-2, -0x1.d0741bc69d176p-2, -0x1.cd72511da58acp-2, -0x1.ca6239a5c9106p-2, -0x1.c744590e1499bp-2, -0x1.c419323ec21p-2, -0x1.c0e1474739602p-2, -0x1.bd9d194cc486ap-2, -0x1.ba4d2879fa90fp-2, -0x1.b6f1f3eedafbap-2, -0x1.b38bf9b198fc5p-2, -0x1.b01bb6a018092p-2, -0x1.aca1a6620c6d2p-2, -0x1.a91e435bcb57p-2, -0x1.a59206a1bd323p-2, -0x1.a1fd67ec740bfp-2, -0x1.9e60dd8d612dep-2, -0x1.9abcdc642acf4p-2, -0x1.9711d7d49ad3bp-2, -0x1.936041bd24d4dp-2, -0x1.8fa88a6e00d33p-2, -0x1.8beb20a0da1e1p-2, -0x1.8828717109362p-2, -0x1.8460e8545bbdcp-2, -0x1.8094ef146450ap-2, -0x1.7cc4edc84cf9fp-2, -0x1.78f14acf31209p-2, -0x1.751a6acaf227bp-2, -0x1.7140b09b87a58p-2, -0x1.6d647d5acc81p-2, -0x1.69863058bbc61p-2, -0x1.65a627182519ep-2, -0x1.61c4bd4bcd608p-2, -0x1.5de24cd3fc03dp-2, -0x1.59ff2dbc72398p-2, -0x1.561bb63ac61dep-2, -0x1.52383aad23d89p-2, -0x1.4e550d996bfdap-2, -0x1.4a727facaf2cp-2, -0x1.4690dfbb04b61p-2, -0x1.42b07abfb7ee6p-2, -0x1.3ed19bddc6d1cp-2, -0x1.3af48c60b673ep-2, -0x1.371993bdb1c05p-2, -0x1.3340f794f5326p-2, -0x1.2f6afbb383ff6p-2, -0x1.2b97e215208b9p-2, -0x1.27c7eae68b3d2p-2, -0x1.23fb548800a45p-2, -0x1.20325b8ff3e45p-2, -0x1.1c6d3ace078ffp-2, -0x1.18ac2b4e3c9fp-2, -0x1.14ef645c5a1f5p-2, -0x1.11371b878709dp-2, -0x1.0d8384a61558fp-2, -0x1.09d4d1d97ed1fp-2, -0x1.062b33928c77dp-2, -0x1.0286d895a8363p-2, -0x1.fdcfdbfeb34dp-3, -0x1.f69d3e91cb27ap-3, -0x1.ef762c9a2783p-3, -0x1.e85af69a2ee27p-3, -0x1.e14be9eb29de3p-3, -0x1.da4950c790358p-3, -0x1.d35372558b882p-3, -0x1.cc6a92b1ac32ep-3, -0x1.c58ef2f9d2f39p-3, -0x1.bec0d15846875p-3, -0x1.b800690eeffd7p-3, -0x1.b14df282c0613p-3, -0x1.aaa9a34736ef7p-3, -0x1.a413ae2a06f7p-3, -0x1.9d8c433edf256p-3, -0x1.97138feb418a4p-3, -0x1.90a9bef2751d2p-3, -0x1.8a4ef88192878p-3, -0x1.8403623b9392ap-3, -0x1.7dc71f457a54fp-3, -0x1.779a5052820cfp-3, -0x1.717d13b05704fp-3, -0x1.6b6f8553549f7p-3, -0x1.6571bee2c525dp-3, -0x1.5f83d7c52c24fp-3, -0x1.59a5e52c82b75p-3, -0x1.53d7fa227ad85p-3, -0x1.4e1a2794bacccp-3, -0x1.486c7c610fc04p-3, -0x1.42cf056199584p-3, -0x1.3d41cd78eb9adp-3, -0x1.37c4dd9e1d7b3p-3, -0x1.32583ce8d3e16p-3, -0x1.2cfbf09d33303p-3, -0x1.27affc37c479dp-3, -0x1.2274617945991p-3, -0x1.1d492072634c6p-3, -0x1.182e378f61b99p-3, -0x1.1323a3a3a9adp-3, -0x1.0e295ff53d377p-3, -0x1.093f6648164eep-3, -0x1.0465aee96867fp-3, -0x1.ff38617581457p-4, -0x1.f5c5c27a2a829p-4, -0x1.ec736937578cap-4, -0x1.e3413b6dc79f6p-4, -0x1.da2f1c5dc9d34p-4, -0x1.d13cecdc4ee17p-4, -0x1.c86a8b67c29bap-4, -0x1.bfb7d43c90f34p-4, -0x1.b724a16977fb9p-4, -0x1.aeb0cae38c845p-4, -0x1.a65c2699e880bp-4, -0x1.9e2688892d737p-4, -0x1.960fc2ce9fc35p-4, -0x1.8e17a5bb0be12p-4, -0x1.863dffe555c0ep-4, -0x1.7e829e3cbeca1p-4, -0x1.76e54c1adee6dp-4, -0x1.6f65d35550dffp-4, -0x1.6803fc4f0e803p-4, -0x1.60bf8e0981991p-4, -0x1.59984e3543676p-4, -0x1.528e01428ee98p-4, -0x1.4ba06a7163579p-4, -0x1.44cf4be157178p-4, -0x1.3e1a66a11c3abp-4, -0x1.37817abdb40f4p-4, -0x1.3104475154efap-4, -0x1.2aa28a91ff7f1p-4, -0x1.245c01dfc543ep-4, -0x1.1e3069d2c09dcp-4, -0x1.181f7e48bd0b4p-4, -0x1.1228fa7291da7p-4, -0x1.0c4c98e12ddc2p-4, -0x1.068a13925690ap-4, -0x1.00e123fd18573p-4, -0x1.f6a3063bd7588p-5, -0x1.ebb5d30516d55p-5, -0x1.e0fa1eab04c8ep-5, -0x1.d66f58d2d3fe6p-5, -0x1.cc14f087c42ecp-5, -0x1.c1ea54507535ep-5, -0x1.b7eef243afa76p-5, -0x1.ae22381c94afcp-5, -0x1.a483934e42fb9p-5, -0x1.9b127116e99a8p-5, -0x1.91ce3e9251507p-5, -0x1.88b668cbd658ep-5, -0x1.7fca5ccfdc1d3p-5, -0x1.770987bcb5962p-5, -0x1.6e7356d30962bp-5, -0x1.66073785af77p-5, -0x1.5dc497890e05p-5, -0x1.55aae4e1f1c05p-5, -0x1.4db98df3ea481p-5, -0x1.45f0018f25712p-5, -0x1.3e4daefdd3495p-5, -0x1.36d206110b70ep-5, -0x1.2f7c772d3e587p-5, -0x1.284c73562dcfdp-5, -0x1.21416c3a74a42p-5, -0x1.1a5ad43e98058p-5, -0x1.13981e87ac8eap-5, -0x1.0cf8bf058b698p-5, -0x1.067c2a7c9b7p-5, -0x1.0021d68f300aap-5, -0x1.f3d2738d00889p-6, -0x1.e7a397366fa9bp-6, -0x1.dbb608fb45ae9p-6, -0x1.d008bbbaf17b9p-6, -0x1.c49aa4628c545p-6, -0x1.b96ab9faf25dbp-6, -0x1.ae77f5b620a68p-6, -0x1.a3c152fbdfbe9p-6, -0x1.9945cf75c1e72p-6, -0x1.8f046b1a69998p-6, -0x1.84fc283835f2p-6, -0x1.7b2c0b7f3e7bp-6, -0x1.71931c0ab2c01p-6, -0x1.683063699da8ap-6, -0x1.5f02eda70d4f7p-6, -0x1.5609c951a65f8p-6, -0x1.4d440782a67afp-6, -0x1.44b0bbe45714ep-6, -0x1.3c4efcb7f5abp-6, -0x1.341de2db17b3dp-6, -0x1.2c1c89cc8a41fp-6, -0x1.244a0fb0b0e0ep-6, -0x1.1ca59555694d3p-6, -0x1.152e3e3578f3ap-6, -0x1.0de3307b821c1p-6, -0x1.06c395048932p-6, -0x1.ff9d2ec419f34p-7, -0x1.f206cbb761ff4p-7, -0x1.e4c262e10566bp-7, -0x1.d7ce5bafb52ap-7, -0x1.cb292303b4571p-7, -0x1.bed12b2f1e675p-7, -0x1.b2c4ebf56ccedp-7, -0x1.a702e28a5c1a5p-7, -0x1.9b8991901e50fp-7, -0x1.90578114e4731p-7, -0x1.856b3e8fd86bfp-7, -0x1.7ac35cdd752a4p-7, -0x1.705e743b4821ap-7, -0x1.663b2243385b9p-7, -0x1.5c5809e62baebp-7, -0x1.52b3d3664268ep-7, -0x1.494d2c5084d3dp-7, -0x1.4022c77620473p-7, -0x1.37335ce5340f3p-7, -0x1.2e7da9e127d38p-7, -0x1.260070da9f315p-7, -0x1.1dba796708016p-7, -0x1.15aa9037c6cd8p-7, -0x1.0dcf87110a2fdp-7, -0x1.062834c045888p-7, -0x1.fd66ea24b4fcp-8, -0x1.eee05192e63b8p-8, -0x1.e0ba6b2525e32p-8, -0x1.d2f30bf5bfc4bp-8, -0x1.c58812c956b3ap-8, -0x1.b87767f875dddp-8, -0x1.abbefd58af054p-8, -0x1.9f5cce25498a5p-8, -0x1.934edee78a29ap-8, -0x1.87933d5e9c6e3p-8, -0x1.7c2800672060dp-8, -0x1.710b47e267ffp-8, -0x1.663b3c9d65523p-8, -0x1.5bb6103754b02p-8, -0x1.5179fd0825f6dp-8, -0x1.47854606abcc5p-8, -0x1.3dd636ae948bp-8, -0x1.346b22e636b5bp-8, -0x1.2b4266e431817p-8, -0x1.225a6714e9e9ap-8, -0x1.19b18fffe7ac1p-8, -0x1.1146562d17407p-8, -0x1.09173609f6fb6p-8, -0x1.0122b3ceb1555p-8, -0x1.f2ceb6c656be4p-9, -0x1.e3c780881229ep-9, -0x1.d52cfacf5dbffp-9, -0x1.c6fc6a4681b03p-9, -0x1.b933221f4b5c6p-9, -0x1.abce83dd20af7p-9, -0x1.9ecbff1f28498p-9, -0x1.9229116a8f81p-9, -0x1.85e345f4ec8adp-9, -0x1.79f8356ed07b1p-9, -0x1.6e6585ce82ef2p-9, -0x1.6328ea1af3324p-9, -0x1.58402236e50edp-9, -0x1.4da8faac5c1b9p-9, -0x1.43614c7848573p-9, -0x1.3966fcd682b37p-9, -0x1.2fb7fd0e11afap-9, -0x1.26524a3dc1d3ap-9, -0x1.1d33ed2918ce3p-9, -0x1.145afa059e23fp-9, -0x1.0bc5904884b31p-9, -0x1.0371da74b86aap-9, -0x1.f6bc1bd299acap-10, -0x1.e710d560b4012p-10, -0x1.d7de769c8654bp-10, -0x1.c921a922d6929p-10, -0x1.bad72ac4b8bb2p-10, -0x1.acfbcd28c7befp-10, -0x1.9f8c756d49aa9p-10, -0x1.92861bcb4703cp-10, -0x1.85e5cb3a9678ap-10, -0x1.79a8a116e3a2ap-10, -0x1.6dcbccc5b31cbp-10, -0x1.624c8f5d686eep-10, -0x1.57283b4d500e6p-10, -0x1.4c5c3406ad73cp-10, -0x1.41e5eda6d2e68p-10, -0x1.37c2eca24780dp-10, -0x1.2df0c570fa49ap-10, -0x1.246d1c3b8025ep-10, -0x1.1b35a48967e26p-10, -0x1.124820f09d953p-10, -0x1.09a262c5df972p-10, -0x1.014249ce4cbdp-10, -0x1.f24b87e4088bbp-11, -0x1.e29599dfb309ap-11, -0x1.d35edc2440e88p-11, -0x1.c4a37bc91d635p-11, -0x1.b65fbfd66524cp-11, -0x1.a89008b500a26p-11, -0x1.9b30cfa0e7493p-11, -0x1.8e3ea61d8ffbdp-11, -0x1.81b6356c85a7ap-11, -0x1.75943e0627983p-11, -0x1.69d597148ba0ap-11, -0x1.5e772df08509p-11, -0x1.537605a0cc6aap-11, -0x1.48cf365b451b8p-11, -0x1.3e7fed085f7b8p-11, -0x1.34856ac89248cp-11, -0x1.2add047beb347p-11, -0x1.2184224bb06afp-11, -0x1.18783f3610cd1p-11, -0x1.0fb6e89bdf087p-11, -0x1.073dbdd053b9cp-11, -0x1.fe14df55a5fcfp-12, -0x1.ee3580355ddfp-12, -0x1.ded90379cb52dp-12, -0x1.cffb2ee7aaf74p-12, -0x1.c197e801c3aep-12, -0x1.b3ab334005cdep-12, -0x1.a631334a825fp-12, -0x1.992628381ca67p-12, -0x1.8c866ed101b7cp-12, -0x1.804e7fd4c7ep-12, -0x1.747aef443c374p-12, -0x1.69086baec7d52p-12, -0x1.5df3bd8367407p-12, -0x1.5339c6652a31p-12, -0x1.48d780832daecp-12, -0x1.3ec9fdf40630ep-12, -0x1.350e681490bccp-12, -0x1.2ba1feea1eda8p-12, -0x1.22821887efdd1p-12, -0x1.19ac2077ed222p-12, -0x1.111d9726a2fbp-12, -0x1.08d41152626f4p-12, -0x1.00cd377d85889p-12, -0x1.f20d8ac794ea1p-13, -0x1.e2fd12e56f0e9p-13, -0x1.d464c88a00dc9p-13, -0x1.c6409041bb8e6p-13, -0x1.b88c70f294dadp-13, -0x1.ab4492e443298p-13, -0x1.9e653ece149fbp-13, -0x1.91eadcea53832p-13, -0x1.85d1f40f2087dp-13, -0x1.7a1728cca71cap-13, -0x1.6eb73c9099b2ep-13, -0x1.63af0ccee1491p-13, -0x1.58fb922f6280cp-13, -0x1.4e99dfc0c8079p-13, -0x1.4487223038356p-13, -0x1.3ac09f05e4c1fp-13, -0x1.3143b3e65b5a9p-13, -0x1.280dd5d87c109p-13, -0x1.1f1c90900d878p-13, -0x1.166d85bccbc08p-13, -0x1.0dfe6c5de400cp-13, -0x1.05cd1019c667ep-13, -0x1.fbaea1346b968p-14, -0x1.ec3641d9160d1p-14, -0x1.dd2d0dcc0bdb2p-14, -0x1.ce8f351854246p-14, -0x1.c0590b020c14cp-14, -0x1.b28704e6b3023p-14, -0x1.a515b924fa7e5p-14, -0x1.9801de0c0f2d2p-14, -0x1.8b4848d2158fbp-14, -0x1.7ee5ec91c8354p-14, -0x1.72d7d94f0cfc8p-14, -0x1.671b3b0259685p-14, -0x1.5bad58aac56b8p-14, -0x1.508b9366a50a9p-14, -0x1.45b3659286f57p-14, -0x1.3b2261ee7582dp-14, -0x1.30d632c954f0cp-14, -0x1.26cc99323fc01p-14, -0x1.1d036c2fbbb38p-14, -0x1.137897fcaa13dp-14, -0x1.0a2a1d4acf04ep-14, -0x1.0116108ad28d9p-14, -0x1.f075327331d58p-15, -0x1.df2be265a8306p-15, -0x1.ce4cc81160952p-15, -0x1.bdd49cc0f74e2p-15, -0x1.adc03aa857b6dp-15, -0x1.9e0c9bb14af6ep-15, -0x1.8eb6d8514b992p-15, -0x1.7fbc2668684fp-15, -0x1.7119d828ff1c8p-15, -0x1.62cd5b0814c2ap-15, -0x1.54d436b61c163p-15, -0x1.472c0c1fe9e53p-15, -0x1.39d29477b1611p-15, -0x1.2cc5a045c94a8p-15, -0x1.200316810efd9p-15, -0x1.1388f3aeb09bep-15, -0x1.0755490934e49p-15, -0x1.f6cc775d14a77p-16, -0x1.df7407a9e49aap-16, -0x1.c89dd80d374b4p-16, -0x1.b246a0c779f32p-16, -0x1.9c6b3bd607ec8p-16, -0x1.8708a39060429p-16, -0x1.721bf15159a18p-16, -0x1.5da25c2c05637p-16, -0x1.499937abe917ap-16, -0x1.35fdf2a04c39ep-16, -0x1.22ce15f24230bp-16, -0x1.100743852430ap-16, -0x1.fb4e6a427002cp-17, -0x1.d75776d067525p-17, -0x1.b42579a6ba46ep-17, -0x1.91b46975eadecp-17, -0x1.700064cd71d59p-17, -0x1.4f05b04e4ad88p-17, -0x1.2ec0b4eea149ap-17, -0x1.0f2dfe4e025d1p-17, -0x1.e09472336115dp-18, -0x1.a424630124e89p-18, -0x1.6905a36c8a5e5p-18, -0x1.2f324109c602p-18, -0x1.ed48ffb4216ep-19, -0x1.7eadaf4ea80d3p-19, -0x1.1287e2f53c8bcp-19, -0x1.519a94b22f8a9p-20, -0x1.05cfb876ae5cap-21, 0x1.1c6ea51c4b188p-22, 0x1.0c82a14fef4c9p-20, 0x1.cd5f19469c87fp-20, 0x1.44e147329422fp-19, 0x1.a0defaa4736dp-19, 0x1.fab0e09826044p-19, 0x1.292f7aba27fbfp-18, 0x1.53f87ddb93757p-18, 0x1.7db73f9094553p-18, 0x1.a66f6bddd3e78p-18, 0x1.ce24965e2ecfcp-18, 0x1.f4da3ba3a092ep-18, 0x1.0d49e143eec2dp-17, 0x1.1faa3eb699131p-17, 0x1.318fd5b818f8fp-17, 0x1.42fc3cc55e4e1p-17, 0x1.53f101d471463p-17, 0x1.646faad81372dp-17, 0x1.7479b63ccf187p-17, 0x1.84109b5fb2f2bp-17, 0x1.9335cafef3e83p-17, 0x1.a1eaafa4ad9adp-17, 0x1.b030ae0c01d0bp-17, 0x1.be092580bf11p-17, 0x1.cb757039d5119p-17, 0x1.d876e3aeb81b3p-17, 0x1.e50ed0e7f43e7p-17, 0x1.f13e84cb1a24ap-17, 0x1.fd07486232294p-17, 0x1.0435308f75876p-16, 0x1.09b4888cd42b3p-16, 0x1.0f024ba6509cfp-16, 0x1.141f17e59d09dp-16, 0x1.190b89fad9caep-16, 0x1.1dc83d54bb374p-16, 0x1.2255cc36f7307p-16, 0x1.26b4cfcf2b697p-16, 0x1.2ae5e0483532cp-16, 0x1.2ee994dc1404ap-16, 0x1.32c083e472e13p-16, 0x1.366b42e9d0a19p-16, 0x1.39ea66b17322bp-16, 0x1.3d3e834a19116p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.b9fd9977b9eabp-1, 0x1.b80bf7d352ab5p-1, 0x1.b5cc473012e96p-1, 0x1.b33ffa9cc1642p-1, 0x1.b069f012fa671p-1, 0x1.ad4e2c1dab282p-1, 0x1.a9f195a4cd6eep-1, 0x1.a659b520fdef6p-1, 0x1.a28c79574e3f8p-1, 0x1.9e9002dc7ff2fp-1, 0x1.9a6a76f4e9551p-1, 0x1.9621d9e9be865p-1, 0x1.91bbf094a44d2p-1, 0x1.8d3e28a7a8e73p-1, 0x1.88ad87137a00ap-1, 0x1.840e9bda8ca1fp-1, 0x1.7f657a9974b2cp-1, 0x1.7ab5b70f4b76cp-1, 0x1.760264f9dc161p-1, 0x1.714e1aa633fa7p-1, 0x1.6c9af5a55695dp-1, 0x1.67eaa12512499p-1, 0x1.633e5d7d42fe6p-1, 0x1.5e97089199ab3p-1, 0x1.59f526b6da272p-1, 0x1.5558ebd81e14dp-1, 0x1.50c244a4f684p-1, 0x1.4c30df9c2ab3p-1, 0x1.47a435d05439dp-1, 0x1.431b934bd86b6p-1, 0x1.3e961f00bcb78p-1, 0x1.3a12e236bde3p-1, 0x1.3590cf6efd811p-1, 0x1.310ec8b8a1fe2p-1, 0x1.2c8ba57511bedp-1, 0x1.2806378d074d7p-1, 0x1.237d5019d2eep-1, 0x1.1eefc387a6e65p-1, 0x1.1a5c6d36fe1dp-1, 0x1.15c232a3f8c14p-1, 0x1.1120061b1e3dbp-1, 0x1.0c74e90343c2p-1, 0x1.07bfedc47a509p-1, 0x1.03003953e621fp-1, 0x1.fc6a08d884d19p-2, 0x1.f2bb38f53effcp-2, 0x1.e8f2c88d3bdp-2, 0x1.df0fa8ba38c78p-2, 0x1.d510f687d6754p-2, 0x1.caf5faf9749e3p-2, 0x1.c0be2aba1d2fbp-2, 0x1.b669258152ef1p-2, 0x1.abf6b536c390dp-2, 0x1.a166ccde18493p-2, 0x1.96b9875368f2ap-2, 0x1.8bef25e001ea4p-2, 0x1.81080eae93b5bp-2, 0x1.7604cb25290a9p-2, 0x1.6ae6062a9e67fp-2, 0x1.5fac8a5ccf6ccp-2, 0x1.5459403c07674p-2, 0x1.48ed2c4fd514ep-2, 0x1.3d696d48dc49bp-2, 0x1.31cf3a22d00dcp-2, 0x1.261fe0495a27cp-2, 0x1.1a5cc1c256ee6p-2, 0x1.0e87535f712dap-2, 0x1.02a11af8e00d3p-2, 0x1.ed575b657dff1p-3, 0x1.d5515c9c6d554p-3, 0x1.bd33970ef1eadp-3, 0x1.a5017d02a6fe4p-3, 0x1.8cbe927e064bfp-3, 0x1.746e6a5958e5bp-3, 0x1.5c14a36db1957p-3, 0x1.43b4e5e240d6ep-3, 0x1.2b52e098380fbp-3, 0x1.12f246b5341c5p-3, 0x1.f52d9a9819c42p-4, 0x1.c48852475cdb5p-4, 0x1.93fc193741ab2p-4, 0x1.63904b5b60116p-4, 0x1.334c38184a123p-4, 0x1.03371eb7c885p-4, 0x1.a6b05627065efp-5, 0x1.476ce4e928e19p-5, 0x1.d163c29a1745fp-6, 0x1.151a14f06ef7ep-6, 0x1.685f1045d1f42p-8, -0x1.7e22c51c698c9p-8, -0x1.17ad599b421dep-6, -0x1.ce3cd8ba85427p-6, -0x1.418f37952c8bbp-5, -0x1.9b1d0076c4a64p-5, -0x1.f3bc0dd85b44fp-5, -0x1.25b07f187bd33p-4, -0x1.5100650e52088p-4, -0x1.7bc8634e0b6e8p-4, -0x1.a6035389439e2p-4, -0x1.cfac3f822e731p-4, -0x1.f8be61ccb78acp-4, -0x1.109a93395364ep-3, -0x1.248615be0c29dp-3, -0x1.381fa0aeb1dd3p-3, -0x1.4b6535a5daddep-3, -0x1.5e54efbcbe882p-3, -0x1.70ed039dd5925p-3, -0x1.832bbf8c79e73p-3, -0x1.950f8b6205897p-3, -0x1.a696e880f00a2p-3, -0x1.b7c071be64d86p-3, -0x1.c88adb42cbca7p-3, -0x1.d8f4f261c28ccp-3, -0x1.e8fd9d69e3503p-3, -0x1.f8a3db6cdcab4p-3, -0x1.03f362001c64fp-2, -0x1.0b62c37b9f9fp-2, -0x1.129fb60b2bbc1p-2, -0x1.19a9e96027364p-2, -0x1.208118ceec8f7p-2, -0x1.27250b1fde5efp-2, -0x1.2d95925df2391p-2, -0x1.33d28ba2eb2bdp-2, -0x1.39dbdee15f154p-2, -0x1.3fb17eacbd5d1p-2, -0x1.455367ff78ee7p-2, -0x1.4ac1a1ff7d07dp-2, -0x1.4ffc3dc11322fp-2, -0x1.55035608634dep-2, -0x1.59d70f09aaa93p-2, -0x1.5e7796285081cp-2, -0x1.62e521b4fd36p-2, -0x1.671ff0aaccd8cp-2, -0x1.6b284a6bc4457p-2, -0x1.6efe7e7ca30a1p-2, -0x1.72a2e4403240dp-2, -0x1.7615dab229dc5p-2, -0x1.7957c821cdd31p-2, -0x1.7c6919ec54c1dp-2, -0x1.7f4a44373cf66p-2, -0x1.81fbc1aa9e65bp-2, -0x1.847e132b97067p-2, -0x1.86d1bf96e7fc1p-2, -0x1.88f7537bd6edep-2, -0x1.8aef60d76b492p-2, -0x1.8cba7ed01825p-2, -0x1.8e594971ea17cp-2, -0x1.8fcc616b477fcp-2, -0x1.91146bca562afp-2, -0x1.923211bb16312p-2, -0x1.9326004642b7ep-2, -0x1.93f0e81104f02p-2, -0x1.94937d1d89942p-2, -0x1.950e768c8372cp-2, -0x1.95628e5faa6e4p-2, -0x1.9590813d3e67p-2, -0x1.95990e349b452p-2, -0x1.957cf683e67b1p-2, -0x1.953cfd5ee1017p-2, -0x1.94d9e7b6e3f2ap-2, -0x1.94547c040e606p-2, -0x1.93ad820faf614p-2, -0x1.92e5c2bfef6aap-2, -0x1.91fe07e4bcec6p-2, -0x1.90f71c06072cap-2, -0x1.8fd1ca3340cb5p-2, -0x1.8e8eddd43d478p-2, -0x1.8d2f227b5a916p-2, -0x1.8bb363b9067fbp-2, -0x1.8a1c6cf09df4ap-2, -0x1.886b092ea3efep-2, -0x1.86a0030054f46p-2, -0x1.84bc244c96c0dp-2, -0x1.82c0362e41b88p-2, -0x1.80ad00cfc62e4p-2, -0x1.7e834b482bd03p-2, -0x1.7c43db79688ffp-2, -0x1.79ef75f00c64p-2, -0x1.7786ddc444868p-2, -0x1.750ad47c2d641p-2, -0x1.727c19ef73ad1p-2, -0x1.6fdb6c2c40929p-2, -0x1.6d29875d6e1bcp-2, -0x1.6a6725b1ff9ddp-2, -0x1.6794ff45d74ddp-2, -0x1.64b3ca0baaad9p-2, -0x1.61c439b82913cp-2, -0x1.5ec6ffae59954p-2, -0x1.5bbccaed200bp-2, -0x1.58a647fdec47p-2, -0x1.558420e48b8fcp-2, -0x1.5256fd101404bp-2, -0x1.4f1f814ceb3fbp-2, -0x1.4bde4fb7d77b7p-2, -0x1.489407b222b99p-2, -0x1.454145d6bbad1p-2, -0x1.41e6a3f05b025p-2, -0x1.3e84b8f09d9f6p-2, -0x1.3b1c18e8136c9p-2, -0x1.37ad54ff35e3bp-2, -0x1.3438fb704acc9p-2, -0x1.30bf97821d98bp-2, -0x1.2d41b183990ccp-2, -0x1.29bfcec82d6bcp-2, -0x1.263a71a504769p-2, -0x1.22b2196efb54ep-2, -0x1.1f274279599c1p-2, -0x1.1b9a6615409cbp-2, -0x1.180bfa91cf02dp-2, -0x1.147c733cec061p-2, -0x1.10ec4064bb0c8p-2, -0x1.0d5bcf59ada1ap-2, -0x1.09cb8a712d286p-2, -0x1.063bd908d7e3fp-2, -0x1.02ad1f8a4abc1p-2, -0x1.fe3f7edee32dcp-3, -0x1.f7282e8eb03d5p-3, -0x1.f0150576e8b58p-3, -0x1.e906b52ad1d2ep-3, -0x1.e1fde98a6a59fp-3, -0x1.dafb48cf9a88p-3, -0x1.d3ff739c363ep-3, -0x1.cd0b0508b53f5p-3, -0x1.c61e92b3a2669p-3, -0x1.bf3aacd1b2db5p-3, -0x1.b85fde3e7e3fap-3, -0x1.b18eac8dc8e25p-3, -0x1.aac7981d5d503p-3, -0x1.a40b1c2766532p-3, -0x1.9d59aed541714p-3, -0x1.96b3c152bf61p-3, -0x1.9019bfe1d350dp-3, -0x1.898c11ee95bfbp-3, -0x1.830b1a23a7359p-3, -0x1.7c97367eddc0ep-3, -0x1.7630c066370f9p-3, -0x1.6fd80cbd0abe5p-3, -0x1.698d6bf978783p-3, -0x1.63512a39fe8c5p-3, -0x1.5d238f5b3d604p-3, -0x1.5704df0de357bp-3, -0x1.50f558ecab36p-3, -0x1.4af5389277861p-3, -0x1.4504b5b07b33fp-3, -0x1.3f2404246cb4dp-3, -0x1.3953540ec0382p-3, -0x1.3392d1e8dd733p-3, -0x1.2de2a69b50257p-3, -0x1.2842f793f436ap-3, -0x1.22b3e6dc07725p-3, -0x1.1d35932e2fd3p-3, -0x1.17c8180c6689bp-3, -0x1.126b8dd5c7c02p-3, -0x1.0d2009dc3c88cp-3, -0x1.07e59e7a0b4cp-3, -0x1.02bc5b273450bp-3, -0x1.fb48991d56289p-4, -0x1.f13af946c0489p-4, -0x1.e74fe56a2a9e3p-4, -0x1.dd87670a09f1bp-4, -0x1.d3e182b494371p-4, -0x1.ca5e382c237bp-4, -0x1.c0fd828f31057p-4, -0x1.b7bf587fb3e9ep-4, -0x1.aea3ac4a1ed59p-4, -0x1.a5aa6c0bc30e4p-4, -0x1.9cd381d8ba0e8p-4, -0x1.941ed3e138e44p-4, -0x1.8b8c44965eeb6p-4, -0x1.831bb2ce6b4d2p-4, -0x1.7accf9e86400ap-4, -0x1.729ff1ef23eb3p-4, -0x1.6a946fbbd2f0ep-4, -0x1.62aa4517c2812p-4, -0x1.5ae140ddb0081p-4, -0x1.53392f1a69652p-4, -0x1.4bb1d92cd3951p-4, -0x1.444b05e553339p-4, -0x1.3d0479a492cacp-4, -0x1.35ddf679ab54dp-4, -0x1.2ed73c3faa304p-4, -0x1.27f008ba75c29p-4, -0x1.212817b310f5cp-4, -0x1.1a7f23133e17cp-4, -0x1.13f4e3007f872p-4, -0x1.0d890df677946p-4, -0x1.073b58e0a92ep-4, -0x1.010b773397678p-4, -0x1.f5f2360a8cfdcp-5, -0x1.ea07ea4a3e83fp-5, -0x1.de576a66678abp-5, -0x1.d2e0136dd23c9p-5, -0x1.c7a1406a0cf4dp-5, -0x1.bc9a4a8a4fa4p-5, -0x1.b1ca894d37e68p-5, -0x1.a73152a94f7bp-5, -0x1.9ccdfb346da36p-5, -0x1.929fd649ecc03p-5, -0x1.88a6362fbe00dp-5, -0x1.7ee06c3a59bffp-5, -0x1.754dc8ef933bfp-5, -0x1.6bed9c28527b6p-5, -0x1.62bf353138f1p-5, -0x1.59c1e2ea3139p-5, -0x1.50f4f3e4f36f6p-5, -0x1.4857b6827e1ffp-5, -0x1.3fe9790f87aep-5, -0x1.37a989dff04c5p-5, -0x1.2f9737693538p-5, -0x1.27b1d05be9178p-5, -0x1.1ff8a3bc3aa07p-5, -0x1.186b00f98602dp-5, -0x1.11083804fecfdp-5, -0x1.09cf99676f8d3p-5, -0x1.02c076561549bp-5, -0x1.f7b4418d3c78dp-6, -0x1.ea37d7049c7f4p-6, -0x1.dd0a5470946ap-6, -0x1.d02a631e2dfc2p-6, -0x1.c396ae6a8e37ap-6, -0x1.b74de3e2c7f48p-6, -0x1.ab4eb36221964p-6, -0x1.9f97cf2edec41p-6, -0x1.9427ec15925bbp-6, -0x1.88fdc1830766cp-6, -0x1.7e18099cc3e2ap-6, -0x1.73758158309d6p-6, -0x1.6914e8906de54p-6, -0x1.5ef5021ae3d1fp-6, -0x1.551493da893a4p-6, -0x1.4b7266d1fc13fp-6, -0x1.420d47345e931p-6, -0x1.38e404751acffp-6, -0x1.2ff5715677d6bp-6, -0x1.274063f72404ap-6, -0x1.1ec3b5deab8d3p-6, -0x1.167e4408e5004p-6, -0x1.0e6eeef065699p-6, -0x1.06949a97f8851p-6, -0x1.fddc5d2653637p-7, -0x1.eef52c1bd063fp-7, -0x1.e0717fa68aa19p-7, -0x1.d24f3ca6bd6f1p-7, -0x1.c48c4f50e718cp-7, -0x1.b726ab36636edp-7, -0x1.aa1c4b4c72658p-7, -0x1.9d6b31f1d66b6p-7, -0x1.911168f2f2893p-7, -0x1.850d018c9dc59p-7, -0x1.795c146d8e3fap-7, -0x1.6dfcc1b695b33p-7, -0x1.62ed30f99070dp-7, -0x1.582b9137326afp-7, -0x1.4db618dbb527bp-7, -0x1.438b05ba68007p-7, -0x1.39a89d083f651p-7, -0x1.300d2b555ee95p-7, -0x1.26b70485b4a1cp-7, -0x1.1da483c8aa747p-7, -0x1.14d40b8ff7ebfp-7, -0x1.0c440585a30c1p-7, -0x1.03f2e28133f3ep-7, -0x1.f7be34f857434p-8, -0x1.e80e590b8348fp-8, -0x1.d8d33d6beba66p-8, -0x1.ca09fc3ffb8a9p-8, -0x1.bbafbd882c703p-8, -0x1.adc1b70184bbfp-8, -0x1.a03d2c06fffa1p-8, -0x1.931f6d71f396ep-8, -0x1.8665d9797ddcdp-8, -0x1.7a0ddb910fd3ap-8, -0x1.6e14ec461f83ap-8, -0x1.6278911d137ffp-8, -0x1.57365c6d7342ep-8, -0x1.4c4bed3d69967p-8, -0x1.41b6ef1cab55p-8, -0x1.377519fec7db5p-8, -0x1.2d843214f49f3p-8, -0x1.23e207a76005dp-8, -0x1.1a8c76ee12823p-8, -0x1.118167e96e986p-8, -0x1.08bece3a590e5p-8, -0x1.0042a8fa0eec2p-8, -0x1.f01605237b1eap-9, -0x1.e02be123b4928p-9, -0x1.d0c327129b98dp-9, -0x1.c1d82db8eac1fp-9, -0x1.b36761380bf64p-9, -0x1.a56d42b7b10a2p-9, -0x1.97e668134deb1p-9, -0x1.8acf7b8785da4p-9, -0x1.7e253b5f9c085p-9, -0x1.71e479a2ee524p-9, -0x1.660a1bc29376ap-9, -0x1.5a931a471e71bp-9, -0x1.4f7c807e9c657p-9, -0x1.44c36c2ad21f8p-9, -0x1.3a650d2fca1e3p-9, -0x1.305ea542bc193p-9, -0x1.26ad8799555d4p-9, -0x1.1d4f189973ff7p-9, -0x1.1440cd895187ap-9, -0x1.0b802c4036f69p-9, -0x1.030acad7b0969p-9, -0x1.f5bc9ebab1556p-10, -0x1.e5f0df0a6fb97p-10, -0x1.d6ade0b989f7bp-10, -0x1.c7ef4bfd17dacp-10, -0x1.b9b0e68d02e1cp-10, -0x1.abee930e13d1ep-10, -0x1.9ea4507d6e33p-10, -0x1.91ce399d8859ap-10, -0x1.85688464aea27p-10, -0x1.796f816d09fc7p-10, -0x1.6ddf9b664b898p-10, -0x1.62b55688e4904p-10, -0x1.57ed500afd68fp-10, -0x1.4d843d96fd3cdp-10, -0x1.4376ecc3dd22fp-10, -0x1.39c2428f25f5p-10, -0x1.30633ad8ad1efp-10, -0x1.2756e7e0196c3p-10, -0x1.1e9a71c4224f8p-10, -0x1.162b1603a6eb2p-10, -0x1.0e06270087756p-10, -0x1.06290b844c3b4p-10, -0x1.fd227c8d4acedp-11, -0x1.ee789aeb6da7ep-11, -0x1.e04fb48074befp-11, -0x1.d2a330c2ec244p-11, -0x1.c56e9b5e1118bp-11, -0x1.b8ada3511250ep-11, -0x1.ac5c1a11ff467p-11, -0x1.a075f2b45cae5p-11, -0x1.94f7411363428p-11, -0x1.89dc38ffe4243p-11, -0x1.7f212d71cfaf7p-11, -0x1.74c28fbd5b604p-11, -0x1.6abceecbc4878p-11, -0x1.610cf657a90f1p-11, -0x1.57af6e2cf4f34p-11, -0x1.4ea1396c5afc5p-11, -0x1.45df55d256041p-11, -0x1.3d66db01ab597p-11, -0x1.3534f9d169fafp-11, -0x1.2d46fb9e5b655p-11, -0x1.259a419fe4298p-11, -0x1.1e2c4440485aap-11, -0x1.16fa92784ea5fp-11, -0x1.1002d12e3aa69p-11, -0x1.0942ba98119f8p-11, -0x1.02b81da127946p-11, -0x1.f8c1baa5cc3d5p-12, -0x1.ec75e08190887p-12, -0x1.e088bfeefec13p-12, -0x1.d4f690de71967p-12, -0x1.c9bbaf01f6e6ap-12, -0x1.bed498be2135fp-12, -0x1.b43dee20e7bbap-12, -0x1.a9f46fde71e51p-12, -0x1.9ff4fe53c801p-12, -0x1.963c988f498c9p-12, -0x1.8cc85b5ede528p-12, -0x1.83958063c670ep-12, -0x1.7aa15d2bf65bp-12, -0x1.71e96250ecd3dp-12, -0x1.696b1a9bea1bbp-12, -0x1.61242a2f740d7p-12, -0x1.59124db61526dp-12, -0x1.513359963bea8p-12, -0x1.4985392b2ad81p-12, -0x1.4205ee02ddf49p-12, -0x1.3ab38f20d861p-12, -0x1.338c4845ba049p-12, -0x1.2c8e593b96fd4p-12, -0x1.25b81526ea1b3p-12, -0x1.1f07e1dc1d726p-12, -0x1.187c373989fp-12, -0x1.12139e85dbfp-12, -0x1.0bccb1d2cbb48p-12, -0x1.05a61b640d616p-12, -0x1.ff3d2a34d7bc1p-13, -0x1.f369cfc5ec9bp-13, -0x1.e7cfd65456c73p-13, -0x1.dc6d08a6220fep-13, -0x1.d13f4c6440d03p-13, -0x1.c644a117f3b85p-13, -0x1.bb7b1f2f86b13p-13, -0x1.b0e0f70a50d5bp-13, -0x1.a674700bb95bap-13, -0x1.9c33e7b539511p-13, -0x1.921dd0c715bap-13, -0x1.8830b267c0f06p-13, -0x1.7e6b2751bd731p-13, -0x1.74cbdd07cecbap-13, -0x1.6b51930f693b2p-13, -0x1.61fb1a312855fp-13, -0x1.58c753bf40d91p-13, -0x1.4fb530e1adc4dp-13, -0x1.46c3b1e817d76p-13, -0x1.3df1e5a134bebp-13, -0x1.353ee8b79b4f1p-13, -0x1.2ca9e513d064cp-13, -0x1.2432114387092p-13, -0x1.1bd6afe5d868cp-13, -0x1.13970f1c70006p-13, -0x1.0b72880174285p-13, -0x1.03687e2221fc3p-13, -0x1.f6f0bdfbd9c5fp-14, -0x1.e743431424cc1p-14, -0x1.d7c78b72fca22p-14, -0x1.c87ca811c65b9p-14, -0x1.b961ba1dd6609p-14, -0x1.aa75f220d282cp-14, -0x1.9bb88f30e20cp-14, -0x1.8d28de2859744p-14, -0x1.7ec638e4dc285p-14, -0x1.7090058d99967p-14, -0x1.6285b5e08a2p-14, -0x1.54a6c686707c8p-14, -0x1.46f2be6d7539p-14, -0x1.39692e2a29b56p-14, -0x1.2c09af5ec4dd1p-14, -0x1.1ed3e4286f188p-14, -0x1.11c776926c488p-14, -0x1.04e4180efc87p-14, -0x1.f05301eb8f133p-15, -0x1.d72ee00f4e792p-15, -0x1.be5b53ef58f3dp-15, -0x1.a5d7f1f26372ep-15, -0x1.8da458a5af0a6p-15, -0x1.75c02fec87ecep-15, -0x1.5e2b2838fb8ffp-15, -0x1.46e4f9cd8353bp-15, -0x1.2fed6407557f1p-15, -0x1.19442cb11bb62p-15, -0x1.02e91f5dc794bp-15, -0x1.d9b8199684d36p-16, -0x1.ae39949979407p-16, -0x1.83566278a0327p-16, -0x1.590e3ce79249p-16, -0x1.2f60e398908ddp-16, -0x1.064e1b491a7d3p-16, -0x1.bbab59b6ae011p-17, -0x1.6beec8f7ccdb2p-17, -0x1.1d6621a753ebbp-17, -0x1.a02209145b462p-18, -0x1.07de28d2c7f8cp-18, -0x1.c7ffa5c469c52p-20, 0x1.0bcb7af0ee155p-21, 0x1.651d3efd6ca0cp-19, 0x1.41406aa64339p-18, 0x1.cd8f9c726b311p-18, 0x1.2bbe852dce69p-17, 0x1.6f84cac2c09e5p-17, 0x1.b21b163739953p-17, 0x1.f381e63fb3294p-17, 0x1.19dce0df4e0a8p-16, 0x1.39619c373f17ap-16, 0x1.584f71bf0703fp-16, 0x1.76a6b30f6a49bp-16, 0x1.9467b7037b05ap-16, 0x1.b192d9f34a69bp-16, 0x1.ce287de8bc823p-16, 0x1.ea290acea6a6bp-16, 0x1.02ca774d48401p-15, 0x1.10364eb8a16fdp-15, 0x1.1d5848e335265p-15, 0x1.2a30a63bc094ep-15, 0x1.36bfaa711ea13p-15, 0x1.43059c7b5a4f5p-15, 0x1.4f02c6a2b77a5p-15, 0x1.5ab77684c9a12p-15, 0x1.6623fd17b5f7bp-15, 0x1.7148aeabb2bfap-15, 0x1.7c25e2eade358p-15, 0x1.86bbf4d7830d4p-15, 0x1.910b42c8e1303p-15, 0x1.9b142e668a96ap-15, 0x1.a4d71ca26f9fbp-15, 0x1.ae5475b1a83b3p-15, 0x1.b78ca504103c9p-15, 0x1.c080193ac59bcp-15, 0x1.c92f441da1815p-15, 0x1.d19a9a8fb0134p-15, 0x1.d9c29482c5fefp-15, 0x1.e1a7acea37b73p-15, 0x1.e94a61acc8603p-15, 0x1.f0ab3395dca9ap-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.bea917dc24939p-1, 0x1.be2662a64c081p-1, 0x1.bd8cbc5febde5p-1, 0x1.bcdb7aefaa57dp-1, 0x1.bc124cb3182ccp-1, 0x1.bb3130eef62cep-1, 0x1.ba386ecbbd491p-1, 0x1.b9288b93c9d6dp-1, 0x1.b80240bdf6cp-1, 0x1.b6c6722b6e64fp-1, 0x1.b57624e1e268dp-1, 0x1.b412767374671p-1, 0x1.b29c9532a8ef9p-1, 0x1.b115b9421a25fp-1, 0x1.af7f1e8474d99p-1, 0x1.add9ff691a64p-1, 0x1.ac27908be0cd1p-1, 0x1.aa68fd1a7ca84p-1, 0x1.a89f63ef9d207p-1, 0x1.a6cbd5527698ap-1, 0x1.a4ef5148fceb8p-1, 0x1.a30ac66b4352ep-1, 0x1.a11f1127168cp-1, 0x1.9f2cfb63e00e5p-1, 0x1.9d353c7802febp-1, 0x1.9b3879622cf27p-1, 0x1.9937453a5e718p-1, 0x1.973221cfbf983p-1, 0x1.9529806997d48p-1, 0x1.931dc2a2f3cd6p-1, 0x1.910f3b599f4fep-1, 0x1.8efe2faa2727ap-1, 0x1.8cead7f38050bp-1, 0x1.8ad560ddd195ep-1, 0x1.88bdec6096f08p-1, 0x1.86a492c507734p-1, 0x1.848963a23b6b1p-1, 0x1.826c66d112569p-1, 0x1.804d9d564f84fp-1, 0x1.7e2d0241bf6e8p-1, 0x1.7c0a8b81954fdp-1, 0x1.79e62aa96ecbp-1, 0x1.77bfcdacb0603p-1, 0x1.75975f8c186ep-1, 0x1.736cc8f695ecfp-1, 0x1.713ff0dd8dc69p-1, 0x1.6f10bcfcd8e3cp-1, 0x1.6cdf1256d8d8dp-1, 0x1.6aaad5a510e99p-1, 0x1.6873ebbdc04d9p-1, 0x1.663a39ef024edp-1, 0x1.63fda64fff3bep-1, 0x1.61be1808bce6ep-1, 0x1.5f7b77911d2eap-1, 0x1.5d35aee79de8ep-1, 0x1.5aeca9c06284p-1, 0x1.58a055ad18bb2p-1, 0x1.5650a23e3a534p-1, 0x1.53fd811e331e6p-1, 0x1.51a6e626e4379p-1, 0x1.4f4cc77202785p-1, 0x1.4cef1d64bd017p-1, 0x1.4a8de2b71d17fp-1, 0x1.482914778281dp-1, 0x1.45c0b20aa0aa2p-1, 0x1.4354bd2853d9cp-1, 0x1.40e539d5a609p-1, 0x1.3e722e5c50eb7p-1, 0x1.3bfba340094b5p-1, 0x1.3981a331d5ad3p-1, 0x1.37043b01b0e3p-1, 0x1.3483798eb2d4p-1, 0x1.31ff6fb5f7c54p-1, 0x1.2f78304072567p-1, 0x1.2cedcfcfdbe03p-1, 0x1.2a6064cae85cdp-1, 0x1.27d00748e5724p-1, 0x1.253cd0fce6e9dp-1, 0x1.22a6dd20a121ep-1, 0x1.200e485f0971ep-1, 0x1.1d7330bedd0cp-1, 0x1.1ad5b58d1d50dp-1, 0x1.1835f7479dba4p-1, 0x1.15941787af062p-1, 0x1.12f038ecfd9d3p-1, 0x1.104a7f08ae6e2p-1, 0x1.0da30e48c6544p-1, 0x1.0afa0be3eb36fp-1, 0x1.084f9dc584282p-1, 0x1.05a3ea7a449b1p-1, 0x1.02f7191d25fe3p-1, 0x1.00495144db9a2p-1, 0x1.fb3575e37ec4p-2, 0x1.f5d6fcf88256ap-2, 0x1.f0778907b2cbbp-2, 0x1.eb176bbd04604p-2, 0x1.e5b6f71173472p-2, 0x1.e0567d2c1d55bp-2, 0x1.daf6504471a5p-2, 0x1.d596c2857779fp-2, 0x1.d03825f22ff81p-2, 0x1.cadacc4b0a45bp-2, 0x1.c57f06f4743cap-2, 0x1.c02526de77d4p-2, 0x1.bacd7c6d7193p-2, 0x1.b5785763d0a7cp-2, 0x1.b02606cce5794p-2, 0x1.aad6d8e8b5e86p-2, 0x1.a58b1b18d9023p-2, 0x1.a04319ce4e439p-2, 0x1.9aff207853f35p-2, 0x1.95bf79742fd16p-2, 0x1.90846dfdee80ap-2, 0x1.8b4e462209665p-2, 0x1.861d48affae8ep-2, 0x1.80f1bb2dacd3dp-2, 0x1.7bcbe1cbcc4efp-2, 0x1.76abff5aed6cdp-2, 0x1.7192554184775p-2, 0x1.6c7f2372ac2f9p-2, 0x1.6772a865b0a52p-2, 0x1.626d210e5ce34p-2, 0x1.5d6ec8d603882p-2, 0x1.5877d9953e522p-2, 0x1.53888b8e5eea4p-2, 0x1.4ea1156888218p-2, 0x1.49c1ac2b70801p-2, 0x1.44ea833bc39adp-2, 0x1.401bcc581dc6dp-2, 0x1.3b55b7969ce5ap-2, 0x1.3698736305681p-2, 0x1.31e42c7d6d041p-2, 0x1.2d390df97065dp-2, 0x1.2897413de4e64p-2, 0x1.23feee050aaeap-2, 0x1.1f703a5d31a58p-2, 0x1.1aeb4aa9d43a6p-2, 0x1.167041a51bbe9p-2, 0x1.11ff4061d00dfp-2, 0x1.0d98664da8db1p-2, 0x1.093bd133fedb9p-2, 0x1.04e99d40d8ep-2, 0x1.00a1e5044c0b3p-2, 0x1.f8c982ec62b83p-3, 0x1.f06493f4513e7p-3, 0x1.e81528c7c0da4p-3, 0x1.dfdb69f7547d2p-3, 0x1.d7b77d0694a24p-3, 0x1.cfa9847610652p-3, 0x1.c7b19fcdf2b3cp-3, 0x1.bfcfeba8fe6b2p-3, 0x1.b80481bff5c39p-3, 0x1.b04f78f5570fbp-3, 0x1.a8b0e5617bff1p-3, 0x1.a128d85eff3fep-3, 0x1.99b760976ea6cp-3, 0x1.925c8a104496ap-3, 0x1.8b185e3818d25p-3, 0x1.83eae3f40e005p-3, 0x1.7cd41fad6ceb1p-3, 0x1.75d4135f69faep-3, 0x1.6eeabea51b0f8p-3, 0x1.68181ec780b51p-3, 0x1.615c2ecbb6ecep-3, 0x1.5ab6e78135cc4p-3, 0x1.54283f9029dacp-3, 0x1.4db02b87d6ffp-3, 0x1.474e9ded06da6p-3, 0x1.410387487c6c2p-3, 0x1.3aced635642fbp-3, 0x1.34b0776fcde7ep-3, 0x1.2ea855e30f8b8p-3, 0x1.28b65ab82c97cp-3, 0x1.22da6d642927ap-3, 0x1.1d1473b64b73ep-3, 0x1.176451e64e5e3p-3, 0x1.11c9eaa27a7b2p-3, 0x1.0c451f1da5993p-3, 0x1.06d5cf1d145fdp-3, 0x1.017bd906442efp-3, 0x1.f86e33d91205ep-4, 0x1.ee0edb3d2ab75p-4, 0x1.e3d95d6798f6p-4, 0x1.d9cd6d32fb8a6p-4, 0x1.cfeabb3fd6b4p-4, 0x1.c630f60e4ceafp-4, 0x1.bc9fca178f803p-4, 0x1.b336e1e6db22bp-4, 0x1.a9f5e63221b53p-4, 0x1.a0dc7df2519ffp-4, 0x1.97ea4e7b3b528p-4, 0x1.8f1efb92ff52p-4, 0x1.867a278929986p-4, 0x1.7dfb734d53913p-4, 0x1.75a27e855f58ep-4, 0x1.6d6ee7a34373ap-4, 0x1.65604bfa68bd9p-4, 0x1.5d7647d496e2bp-4, 0x1.55b07686706cep-4, 0x1.4e0e72837de1p-4, 0x1.468fd571c40bcp-4, 0x1.3f34383ce9b77p-4, 0x1.37fb3328e8657p-4, 0x1.30e45de44a267p-4, 0x1.29ef4f99f3de4p-4, 0x1.231b9f027b992p-4, 0x1.1c68e2750bd36p-4, 0x1.15d6aff7d2781p-4, 0x1.0f649d4fff75cp-4, 0x1.091240114da28p-4, 0x1.02df2dad1d51ep-4, 0x1.f995f702359eap-5, 0x1.edaa7dcaee242p-5, 0x1.e1fb1a755d98p-5, 0x1.d686f7edc925ep-5, 0x1.cb4d4165991edp-5, 0x1.c04d226c5740ap-5, 0x1.b585c707d76b5p-5, 0x1.aaf65bcb8b1efp-5, 0x1.a09e0def02ec7p-5, 0x1.967c0b63a15e5p-5, 0x1.8c8f82e9800d1p-5, 0x1.82d7a4238d8fp-5, 0x1.79539faae118ap-5, 0x1.7002a7214c3f4p-5, 0x1.66e3ed432c465p-5, 0x1.5df6a5f87c05ap-5, 0x1.553a06652d71cp-5, 0x1.4cad44f8c8aa1p-5, 0x1.444f997d5a674p-5, 0x1.3c203d25ae9e7p-5, 0x1.341e6a9ae0d99p-5, 0x1.2c495e093e668p-5, 0x1.24a0552c85f89p-5, 0x1.1d228f5b82a04p-5, 0x1.15cf4d9304903p-5, 0x1.0ea5d280423cbp-5, 0x1.07a5628a9c8f7p-5, 0x1.00cd43dccf54ap-5, 0x1.f4397cdb2219cp-6, 0x1.e726380f4392ep-6, 0x1.da5f50a2a253ep-6, 0x1.cde361a6f7adcp-6, 0x1.c1b10a000b7d5p-6, 0x1.b5c6ec6fa394ep-6, 0x1.aa23afa081137p-6, 0x1.9ec5fe305d983p-6, 0x1.93ac86b909641p-6, 0x1.88d5fbd899865p-6, 0x1.7e411438b9c7bp-6, 0x1.73ec8a95268dfp-6, 0x1.69d71dc152efap-6, 0x1.5fff90ad4201fp-6, 0x1.5664aa699def4p-6, 0x1.4d05362b0ab8fp-6, 0x1.43e0034cc4d4cp-6, 0x1.3af3e55288205p-6, 0x1.323fb3e9cc8a2p-6, 0x1.29c24aea5ca83p-6, 0x1.217a8a5646f0fp-6, 0x1.19675659385dbp-6, 0x1.118797473c3cdp-6, 0x1.09da399af1641p-6, 0x1.025e2df330896p-6, 0x1.f624d2205b39p-7, 0x1.e7ebc7a037be9p-7, 0x1.da0f3656a9779p-7, 0x1.cc8d206010c55p-7, 0x1.bf638ffaffddbp-7, 0x1.b290977de655cp-7, 0x1.a612514be8297p-7, 0x1.99e6dfc8f9946p-7, 0x1.8e0c6d4d3b843p-7, 0x1.82812c179e444p-7, 0x1.7743563fe959dp-7, 0x1.6c512da8120c4p-7, 0x1.61a8fbed05304p-7, 0x1.57491256d8f39p-7, 0x1.4d2fc9c876259p-7, 0x1.435b82aeca02cp-7, 0x1.39caa4ef6c87dp-7, 0x1.307b9fd6e6c97p-7, 0x1.276cea0682834p-7, 0x1.1e9d0161bacbep-7, 0x1.160a6afb4d5cfp-7, 0x1.0db3b301f6262p-7, 0x1.05976cacda172p-7, 0x1.fb68644f4f7dfp-8, 0x1.ec1148fce902p-8, 0x1.dd26d712b4a2ap-8, 0x1.cea66bafbbfb1p-8, 0x1.c08d713842c68p-8, 0x1.b2d95f2bd1ca1p-8, 0x1.a587b9faed95bp-8, 0x1.989612dc88df9p-8, 0x1.8c0207a336b15p-8, 0x1.7fc942922883ep-8, 0x1.73e97a320269cp-8, 0x1.6860712589ca1p-8, 0x1.5d2bf5fe3b9e7p-8, 0x1.5249e310cd4ccp-8, 0x1.47b81e49a6bf5p-8, 0x1.3d74990154531p-8, 0x1.337d4fd100603p-8, 0x1.29d04a66f4a35p-8, 0x1.206b9b5b2d633p-8, 0x1.174d600405eb1p-8, 0x1.0e73c04afea24p-8, 0x1.05dcee81a9b41p-8, 0x1.fb0e4e6d7e3f1p-9, 0x1.eae16216bf008p-9, 0x1.db2fb91110347p-9, 0x1.cbf607e98401cp-9, 0x1.bd31165413a4fp-9, 0x1.aeddbed7f7b18p-9, 0x1.a0f8ee7c877p-9, 0x1.937fa476a859p-9, 0x1.866ef1d6d8602p-9, 0x1.79c3f937daefep-9, 0x1.6d7bee6e0a479p-9, 0x1.6194163753fc1p-9, 0x1.5609c5ebee1e5p-9, 0x1.4ada632fc2c75p-9, 0x1.400363a494d99p-9, 0x1.35824c9cf1ad4p-9, 0x1.2b54b2cfdec1fp-9, 0x1.21783a0d5cccbp-9, 0x1.17ea94f3b29ebp-9, 0x1.0ea984a58fa82p-9, 0x1.05b2d8810466ap-9, 0x1.fa08dbaea29fep-10, 0x1.e9385f4b2b949p-10, 0x1.d8f02c9cb4429p-10, 0x1.c92c4ea7fc141p-10, 0x1.b9e8ea280e69dp-10, 0x1.ab223d06ab1c3p-10, 0x1.9cd49dd67c9bbp-10, 0x1.8efc7b4f1baefp-10, 0x1.81965bcae5509p-10, 0x1.749edcc6a2ac8p-10, 0x1.6812b26308ddap-10, 0x1.5beea6e80acabp-10, 0x1.502f9a4a00839p-10, 0x1.44d281b0ac003p-10, 0x1.39d467000c9dbp-10, 0x1.2f3268630eddcp-10, 0x1.24e9b7d80f64dp-10, 0x1.1af79abf31389p-10, 0x1.1159696a8f1fp-10, 0x1.080c8eb032baep-10, 0x1.fe1d0efbd7b41p-11, 0x1.ecb9c4ddd2732p-11, 0x1.dbea7ec64912bp-11, 0x1.cbaa9e312f8ddp-11, 0x1.bbf5a58c71575p-11, 0x1.acc7377175b62p-11, 0x1.9e1b15e22459ep-11, 0x1.8fed218969794p-11, 0x1.823958ff30793p-11, 0x1.74fbd80fcc1afp-11, 0x1.6830d706ca9d1p-11, 0x1.5bd4a9fd27d9fp-11, 0x1.4fe3c02ada3c4p-11, 0x1.445aa33bb0676p-11, 0x1.3935f6a776cbfp-11, 0x1.2e72770d5ea05p-11, 0x1.240cf9929c1b1p-11, 0x1.1a026b44339afp-11, 0x1.104fd07bec0cap-11, 0x1.06f244485d1a6p-11, 0x1.fbcdefb025ac8p-12, 0x1.ea5663cf7246cp-12, 0x1.d9789c668d856p-12, 0x1.c92f79d440429p-12, 0x1.b976044c4cdap-12, 0x1.aa476acb5125ep-12, 0x1.9b9f02105ac02p-12, 0x1.8d78439c17e9ap-12, 0x1.7fceccb594e0fp-12, 0x1.729e5d7468621p-12, 0x1.65e2d7d0464e7p-12, 0x1.59983eb5dc1c9p-12, 0x1.4dbab520e50c9p-12, 0x1.42467d3b63aa1p-12, 0x1.3737f781e7634p-12, 0x1.2c8ba1ecd0b29p-12, 0x1.223e171e79484p-12, 0x1.184c0d962cd6ap-12, 0x1.0eb256e7e4fe7p-12, 0x1.056ddef8a8614p-12, 0x1.f8f7567f0414ap-13, 0x1.e7b1b415f8f07p-13, 0x1.d70543960b65dp-13, 0x1.c6eca0be5ec0cp-13, 0x1.b76294d268a46p-13, 0x1.a8621547622bap-13, 0x1.99e64279ef50dp-13, 0x1.8bea666be9b37p-13, 0x1.7e69f38a0c13dp-13, 0x1.716083797a03ep-13, 0x1.64c9d5ecd824fp-13, 0x1.58a1cf80f5d76p-13, 0x1.4ce478a0c783ep-13, 0x1.418dfc7094aa2p-13, 0x1.369aa7c03ce34p-13, 0x1.2c06e804689b9p-13, 0x1.21cf4a5680955p-13, 0x1.17f07a7b4caedp-13, 0x1.0e6741f01b4b5p-13, 0x1.053086fe3fd51p-13, 0x1.f89297a9beab9p-14, 0x1.e75d5b5192cd5p-14, 0x1.d6bbc7b4c052bp-14, 0x1.c6a87e4299496p-14, 0x1.b71e517bf7d36p-14, 0x1.a81843615884ap-14, 0x1.999183ec091ebp-14, 0x1.8b856f91ff37cp-14, 0x1.7def8dd4351dfp-14, 0x1.70cb8fd74b636p-14, 0x1.64154f0631776p-14, 0x1.57c8cbbe9ba85p-14, 0x1.4be22c070fc8ep-14, 0x1.405dba4e4bf2cp-14, 0x1.3537e433d5525p-14, 0x1.2a6d395972a12p-14, 0x1.1ffa6a3d61ac9p-14, 0x1.15dc471d0fe21p-14, 0x1.0c0fbee023cc7p-14, 0x1.0291de0ba2e7cp-14, 0x1.f2bf9b7a087bep-15, 0x1.e0eda559f6bdcp-15, 0x1.cfa898739d576p-15, 0x1.beeb66f20d07cp-15, 0x1.aeb134a0931d3p-15, 0x1.9ef5552a6af77p-15, 0x1.8fb34a6814e48p-15, 0x1.80e6c2b9f506fp-15, 0x1.728b976fe70b9p-15, 0x1.649dcb3d70931p-15, 0x1.571988ba40e3p-15, 0x1.49fb20eeaaa2dp-15, 0x1.3d3f09ebc7aafp-15, 0x1.30e1dd6efb977p-15, 0x1.24e05790846aap-15, 0x1.1937557cd4131p-15, 0x1.0de3d4385f9a4p-15, 0x1.02e2ef6da9422p-15, 0x1.f063c08a63f6fp-16, 0x1.db9bf88e2ef62p-16, 0x1.c769688c27f89p-16, 0x1.b3c726a7487f6p-16, 0x1.a0b07b7a18dcbp-16, 0x1.8e20e02206a3cp-16, 0x1.7c13fc5b8273p-16, 0x1.6a85a4ae71159p-16, 0x1.5971d8aa76ed4p-16, 0x1.48d4c132b01e3p-16, 0x1.38aaaed85afccp-16, 0x1.28f0184410942p-16, 0x1.19a198ad1b95ep-16, 0x1.0abbee5e7eba8p-16, 0x1.f877f2929f8e7p-17, 0x1.dc3d7347f6475p-17, 0x1.c0c29d2c1a8eep-17, 0x1.a601e9e04a159p-17, 0x1.8bf60bdf6f53ep-17, 0x1.7299ec1c763bep-17, 0x1.59e8a7b6e4abdp-17, 0x1.41dd8dc4ee06ap-17, 0x1.2a741d325a0d1p-17, 0x1.13a802b3aeda7p-17, 0x1.faea2d99cf6c3p-18, 0x1.cfaeb7d64ea16p-18, 0x1.a595f92197e29p-18, 0x1.7c9893269cca3p-18, 0x1.54af70d4bea79p-18, 0x1.2dd3c31f61ac5p-18, 0x1.07fefdddd29e3p-18, 0x1.c655a994d0178p-19, 0x1.7ea2713fca3c8p-19, 0x1.38d8a8a8341abp-19, 0x1.e9da29bb3e0e8p-20, 0x1.65a9c9f0311f3p-20, 0x1.ca16b4c664fccp-21, 0x1.9fab119488e3cp-22, -0x1.1cb56e0542875p-24, -0x1.10534e1eccc1p-21, -0x1.f68469bd5e097p-21, -0x1.6b266a08aba8fp-20, -0x1.d7e718e5491dep-20, -0x1.20ca41d84089dp-19, -0x1.541f31c0739dep-19, -0x1.85f9f7787cad9p-19, -0x1.b661f03efdeacp-19, -0x1.e55e3e4f7daebp-19, -0x1.097ae5e5a2acep-18, -0x1.1f97a6c07241dp-18, -0x1.3508a2c9c6274p-18, -0x1.49d10301b6bd1p-18, -0x1.5df3d98c210b5p-18, -0x1.717422d790182p-18, -0x1.8454c6b6527b8p-18, -0x1.9698996a42388p-18, -0x1.a8425ca3c1235p-18, -0x1.b954c07466579p-18, -0x1.c9d26435d7d32p-18, -0x1.d9bdd765420dfp-18, -0x1.e9199a73e52dbp-18, -0x1.f7e81f8d222fcp-18, -0x1.0315e5a9397c7p-17, -0x1.09f37ac6db892p-17, -0x1.108df4ed1c675p-17, -0x1.16e6742263d32p-17, -0x1.1cfe12f1a67a7p-17, -0x1.22d5e6b216c53p-17, -0x1.286effcaeb6fbp-17, -0x1.2dca69f36374cp-17, -0x1.32e92c6f31cb1p-17, -0x1.37cc4a4778e0ep-17, -0x1.3c74c2807a711p-17, -0x1.40e3904c21be3p-17, -0x1.4519ab398ba62p-17, -0x1.49180761aeb6fp-17, -0x1.4cdf95914522cp-17, -0x1.50714370178e7p-17, -0x1.53cdfba5c5d8p-17, -0x1.56f6a5fc37558p-17, -0x1.59ec277fb2b26p-17, -0x1.5caf629ce8104p-17, -0x1.5f41373ccd4a4p-17, -0x1.61a282de9bc0fp-17, -0x1.63d420afee3f8p-17, -0x1.65d6e9a30d62fp-17, -0x1.67abb4839a11cp-17, -0x1.69535609a2fd6p-17, -0x1.6acea0eb280e8p-17, -0x1.6c1e65ec43f14p-17, -0x1.6d4373ede9048p-17, -0x1.6e3e97fb62acdp-17, -0x1.6f109d569dec5p-17, -0x1.6fba4d83491a1p-17, -0x1.703c7050e61a7p-17, -0x1.7097cbe3d92f7p-17, -0x1.70cd24bd7fe81p-17, -0x1.70dd3dc3645c1p-17, -0x1.70c8d84596ca9p-17, -0x1.7090b40444aa4p-17, -0x1.70358f348bbaap-17, -0x1.6fb82684a0251p-17, -0x1.6f19351f488f7p-17, -0x1.6e5974aecb824p-17, -0x1.6d799d5f440bcp-17, -0x1.6c7a65e07a728p-17, -0x1.6b5c836738521p-17, -0x1.6a20a9ae39472p-17, -0x1.68c78af6a850cp-17, -0x1.6751d8084548cp-17, -0x1.65c040312e202p-17, -0x1.64137145600cfp-17, -0x1.624c179de6929p-17, -0x1.606ade17d3c6ap-17, -0x1.5e706e12f64b1p-17, -0x1.5c5d6f70640bep-17, -0x1.5a328890ce397p-17, -0x1.57f05e52b41d7p-17, -0x1.5597941070775p-17, -0x1.5328cb9e27245p-17, -0x1.50a4a5479e9a4p-17, -0x1.4e0bbfce022eap-17, -0x1.4b5eb86596d1ap-17, -0x1.489e2ab360a76p-17, -0x1.45cab0cac395dp-17, -0x1.42e4e32b1e33ep-17, -0x1.3fed58bd6449ep-17, -0x1.3ce4a6d1ba9dep-17, -0x1.39cb611d1917bp-17, -0x1.36a219b6f385ap-17, -0x1.33696116ed7ap-17, -0x1.3021c6129afcap-17, -0x1.2ccbd5db4fef1p-17, -0x1.29681bfc00e0dp-17, -0x1.25f722573733ep-17, -0x1.2279712518b54p-17, -0x1.1eef8ef18790fp-17, -0x1.1b5a009a58086p-17, -0x1.17b9494da0d2bp-17, -0x1.140dea8825b74p-17, -0x1.10586413dcacap-17, -0x1.0c9934069082ep-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0b50b073aa602p-8, -0x1.45bacb8a85845p-8, -0x1.86901c8a318dfp-8, -0x1.cdf2dad00c90cp-8, -0x1.0dfd52fc52285p-7, -0x1.38593e7a82634p-7, -0x1.660b9f75543b3p-7, -0x1.970b585d39cbp-7, -0x1.cb477e6df4288p-7, -0x1.0153a8112f98ep-6, -0x1.1e852d6bb2badp-6, -0x1.3d24640df442dp-6, -0x1.5d19e5ad0abbfp-6, -0x1.7e4b14775b3a1p-6, -0x1.a09a6827b582dp-6, -0x1.c3e7c1c07bc21p-6, -0x1.e810c36496e6ep-6, -0x1.0678950cf8ff1p-5, -0x1.193193cab3b5dp-5, -0x1.2c1fdd401fe47p-5, -0x1.3f2f81f908ae9p-5, -0x1.524c4c8f099d8p-5, -0x1.6561e8381f86ep-5, -0x1.785c04c63fdd1p-5, -0x1.8b2677e87818cp-5, -0x1.9dad5b91f858ap-5, -0x1.afdd297c193c6p-5, -0x1.c1a2d3c612d2dp-5, -0x1.d2ebdac025267p-5, -0x1.e3a65ff8a07f6p-5, -0x1.f3c136a7d6684p-5, -0x1.0195f8ce7a632p-4, -0x1.08eb7768974a3p-4, -0x1.0fd9b0646ca55p-4, -0x1.1659aaf5ae291p-4, -0x1.1c64defd9c047p-4, -0x1.21f536eb94e7bp-4, -0x1.270510d6539f2p-4, -0x1.2b8f3ee163a68p-4, -0x1.2f8f07018eabcp-4, -0x1.330022322dcfdp-4, -0x1.35debb2c4f2p-4, -0x1.38276caf9dd9bp-4, -0x1.39d73f6bea7c2p-4, -0x1.3aeba79920932p-4, -0x1.3b62824a60423p-4, -0x1.3b3a1287e1f68p-4, -0x1.3a70fe3a41039p-4, -0x1.39064af0c0479p-4, -0x1.36f95a8b28513p-4, -0x1.3449e7ceeb5d1p-4, -0x1.30f802ee5b096p-4, -0x1.2d040e07e639bp-4, -0x1.286eb9a2928a4p-4, -0x1.2339012c26b53p-4, -0x1.1d64277cdb06fp-4, -0x1.16f1b363c48fp-4, -0x1.0fe36c3ea7eap-4, -0x1.083b569f62e68p-4, -0x1.fff762015e688p-5, -0x1.ee4de11734dfap-5, -0x1.db7f7bdd81105p-5, -0x1.c791e4900d526p-5, -0x1.b28b2842b42a3p-5, -0x1.9c71a9017ff6p-5, -0x1.854c1817afc79p-5, -0x1.6d21707da2d44p-5, -0x1.53f8f16d6bd99p-5, -0x1.39da191da8e48p-5, -0x1.1ecc9fa220d1p-5, -0x1.02d871f1839b4p-5, -0x1.cc0b5a1f58b9p-6, -0x1.90b932b76fb35p-6, -0x1.53cb4c027158cp-6, -0x1.1552c917cf124p-6, -0x1.aac212748a17bp-7, -0x1.280f3f0a9399p-7, -0x1.45612b6f19cf9p-8, -0x1.ac9dc2e24c1bdp-11, 0x1.be03bc55e42b2p-9, 0x1.f81746e82f622p-8, 0x1.8ab1fc567681p-7, 0x1.0da7d36f147cep-6, 0x1.56e0278ec4e19p-6, 0x1.a0efd66be5677p-6, 0x1.ebc4c7e508e8ap-6, 0x1.1ba67adf9cf9ep-5, 0x1.41bb38aa6a138p-5, 0x1.6817b48506684p-5, 0x1.8eb316c3c7065p-5, 0x1.b5849b5dbdd1dp-5, 0x1.dc8394509f9efp-5, 0x1.01d3b5f4218c2p-4, 0x1.1573d374f39e8p-4, 0x1.291df351bfdecp-4, 0x1.3ccdf56fa0a26p-4, 0x1.507fc9dddb9b2p-4, 0x1.642f71b452b0ep-4, 0x1.77d8ffe487856p-4, 0x1.8b7899fd599p-4, 0x1.9f0a78e1b204dp-4, 0x1.b28ae9724b42bp-4, 0x1.c5f64d2ad0208p-4, 0x1.d9491ab28ebccp-4, 0x1.ec7fde60e6376p-4, 0x1.ff973ab5dbb41p-4, 0x1.0945f4637407ap-3, 0x1.12ad5c503227fp-3, 0x1.1c0048cdf11ddp-3, 0x1.253d3955c93e9p-3, 0x1.2e62b94da28bp-3, 0x1.376f602389199p-3, 0x1.4061d1641a4b8p-3, 0x1.4938bccc1f0a5p-3, 0x1.51f2de558a763p-3, 0x1.5a8efe3ffaeeap-3, 0x1.630bf114f863bp-3, 0x1.6b6897a807afcp-3, 0x1.73a3df12cecabp-3, 0x1.7bbcc0ad651a2p-3, 0x1.83b2420306686p-3, 0x1.8b8374c350178p-3, 0x1.932f76b0291b2p-3, 0x1.9ab571888de74p-3, 0x1.a2149af059d49p-3, 0x1.a94c345542c25p-3, 0x1.b05b8ad123fc6p-3, 0x1.b741f709cc4abp-3, 0x1.bdfedd0e60c2p-3, 0x1.c491ac32948c6p-3, 0x1.caf9dee7c2daap-3, 0x1.d136fa9416f9bp-3, 0x1.d7488f67ef689p-3, 0x1.dd2e383184ba9p-3, 0x1.e2e79a2f163d6p-3, 0x1.e87464df963c7p-3, 0x1.edd451d21a7c3p-3, 0x1.f30724740e4ap-3, 0x1.f80ca9de5ae86p-3, 0x1.fce4b8a19002fp-3, 0x1.00c798489ac1bp-2, 0x1.0305fd47298b2p-2, 0x1.052d8428a8b8cp-2, 0x1.073e2a19a2981p-2, 0x1.0937f07b5ed47p-2, 0x1.0b1adcc816dd7p-2, 0x1.0ce6f876fec31p-2, 0x1.0e9c50e0325cap-2, 0x1.103af7208a3f4p-2, 0x1.11c2fffd62a19p-2, 0x1.133483c863209p-2, 0x1.148f9e4344c2p-2, 0x1.15d46e83a75b7p-2, 0x1.170316d6f9722p-2, 0x1.181bbca67aef2p-2, 0x1.191e885b5feddp-2, 0x1.1a0ba5431a3f3p-2, 0x1.1ae34173d2dccp-2, 0x1.1ba58db1142d2p-2, 0x1.1c52bd50ac24p-2, 0x1.1ceb061fccd51p-2, 0x1.1d6ea0486e8fap-2, 0x1.1dddc636f7e76p-2, 0x1.1e38b48030f2bp-2, 0x1.1e7fa9c7837fbp-2, 0x1.1eb2e6a58e68cp-2, 0x1.1ed2ad8f0d5bp-2, 0x1.1edf42bc19e3bp-2, 0x1.1ed8ec0fc6367p-2, 0x1.1ebff10016f2dp-2, 0x1.1e949a7e5e8dp-2, 0x1.1e5732dff6d46p-2, 0x1.1e0805c76478ap-2, 0x1.1da7600dddf42p-2, 0x1.1d358fad3ab21p-2, 0x1.1cb2e3aa4df5p-2, 0x1.1c1fabffa9f9bp-2, 0x1.1b7c3988d25ebp-2, 0x1.1ac8ddedd8faep-2, 0x1.1a05eb8f6a6a1p-2, 0x1.1933b5734b307p-2, 0x1.18528f31410f1p-2, 0x1.1762cce06eb1fp-2, 0x1.1664c3051ea37p-2, 0x1.1558c67f025b2p-2, 0x1.143f2c77dbbb9p-2, 0x1.13184a529f82ap-2, 0x1.11e4759b0146fp-2, 0x1.10a403f57634dp-2, 0x1.0f574b0fa3fc8p-2, 0x1.0dfea091428a3p-2, 0x1.0c9a5a0d6d036p-2, 0x1.0b2accf462096p-2, 0x1.09b04e85b17f1p-2, 0x1.082b33c2dae53p-2, 0x1.069bd1625777bp-2, 0x1.05027bc310ec8p-2, 0x1.035f86e044635p-2, 0x1.01b34645d1f79p-2, 0x1.fffc1a09e2f34p-3, 0x1.fc805b52adbcap-3, 0x1.f8f3f45d6edf3p-3, 0x1.f55787ed7ac43p-3, 0x1.f1abb77eb06ccp-3, 0x1.edf12332f61cep-3, 0x1.ea2869c06ddb9p-3, 0x1.e652286072817p-3, 0x1.e26efabf59ce6p-3, 0x1.de7f7aecf1db8p-3, 0x1.da84414db7444p-3, 0x1.d67de48ccb114p-3, 0x1.d26cf98e988e8p-3, 0x1.ce52136432f92p-3, 0x1.ca2dc33f6236fp-3, 0x1.c60098675a33ap-3, 0x1.c1cb202e20671p-3, 0x1.bd8de5e696ba4p-3, 0x1.b94972db2a069p-3, 0x1.b4fe4e4520acep-3, 0x1.b0acfd448be65p-3, 0x1.ac5602d8ccdb7p-3, 0x1.a7f9dfd9b48bp-3, 0x1.a39912f13afc2p-3, 0x1.9f341895c088fp-3, 0x1.9acb6b04e04cap-3, 0x1.965f823ecf4ddp-3, 0x1.91f0d4023f9a5p-3, 0x1.8d7fd3c8c6725p-3, 0x1.890cf2c3c9089p-3, 0x1.84989fd9db9b5p-3, 0x1.802347a4a803ap-3, 0x1.7bad546f4156ap-3, 0x1.77372e34ef277p-3, 0x1.72c13aa0679d8p-3, 0x1.6e4bdd0b777ebp-3, 0x1.69d7767f15895p-3, 0x1.656465b3d8521p-3, 0x1.60f30712d5affp-3, 0x1.5c83b4b6de83cp-3, 0x1.5816c66e15fa5p-3, 0x1.53ac91bbea722p-3, 0x1.4f4569db5e6bbp-3, 0x1.4ae19fc1a7ae1p-3, 0x1.468182212119fp-3, 0x1.42255d6c8ac61p-3, 0x1.3dcd7bda9079cp-3, 0x1.397a25699f51fp-3, 0x1.352b9fe3fb9bfp-3, 0x1.30e22ee41b4cap-3, 0x1.2c9e13d9418edp-3, 0x1.285f8e0c529d1p-3, 0x1.2426daa4e8b2fp-3, 0x1.1ff434ae979c8p-3, 0x1.1bc7d51e6eba4p-3, 0x1.17a1f2d8a61e1p-3, 0x1.1382c2b67ead2p-3, 0x1.0f6a778c4e3cdp-3, 0x1.0b59422fb7aa3p-3, 0x1.074f517e09a5dp-3, 0x1.034cd262c0aedp-3, 0x1.fea3dfbc6f58p-4, 0x1.f6bda618cef31p-4, 0x1.eee74657af70cp-4, 0x1.e7210b49442dbp-4, 0x1.df6b3c1f1e35dp-4, 0x1.d7c61c7aa36c6p-4, 0x1.d031ec7bac67ap-4, 0x1.c8aee8cf43b92p-4, 0x1.c13d4abe99fd1p-4, 0x1.b9dd483e0b815p-4, 0x1.b28f13fc491b2p-4, 0x1.ab52dd719b613p-4, 0x1.a428d0ef3b00cp-4, 0x1.9d1117aebaabap-4, 0x1.960bd7e184b92p-4, 0x1.8f1934c057329p-4, 0x1.88394e9ad9614p-4, 0x1.816c42e72c9d3p-4, 0x1.7ab22c518180ep-4, 0x1.740b22cbae595p-4, 0x1.6d773b9cc04e1p-4, 0x1.66f6897087f6dp-4, 0x1.60891c671c9e1p-4, 0x1.5a2f0224554f9p-4, 0x1.53e845df32f2bp-4, 0x1.4db4f0713b9dep-4, 0x1.47950865c3446p-4, 0x1.4188920920285p-4, 0x1.3b8f8f77c8c9p-4, 0x1.35aa00ad592f7p-4, 0x1.2fd7e3937dd7ep-4, 0x1.2a193410c21b4p-4, 0x1.246dec1741ecp-4, 0x1.1ed603b3399edp-4, 0x1.1951711975aecp-4, 0x1.13e028b5a033ap-4, 0x1.0e821d3868b23p-4, 0x1.09373fa586a15p-4, 0x1.03ff7f6195c1ep-4, 0x1.fdb5947f918a9p-5, 0x1.f392191ee8638p-5, 0x1.e9946252daf1ep-5, 0x1.dfbc42fa7d34bp-5, 0x1.d6098b3c5ca3bp-5, 0x1.cc7c08a034044p-5, 0x1.c3138628430e4p-5, 0x1.b9cfcc6a4820dp-5, 0x1.b0b0a1a81af6ap-5, 0x1.a7b5c9e7e6f38p-5, 0x1.9edf070c0184dp-5, 0x1.962c18ea61288p-5, 0x1.8d9cbd63ad032p-5, 0x1.8530b079e93dcp-5, 0x1.7ce7ac66bf1cbp-5, 0x1.74c169b15c3d9p-5, 0x1.6cbd9f43ed34p-5, 0x1.64dc0280b0b62p-5, 0x1.5d1c4756a1945p-5, 0x1.557e2055bc119p-5, 0x1.4e013ec2d8453p-5, 0x1.46a552ab1dbf9p-5, 0x1.3f6a0af70e55fp-5, 0x1.384f157d2b3eep-5, 0x1.31541f142e2aep-5, 0x1.2a78d3a4deca6p-5, 0x1.23bcde3b7db86p-5, 0x1.1d1fe918cac41p-5, 0x1.16a19dc2a2611p-5, 0x1.1041a514372b8p-5, 0x1.09ffa74de3a08p-5, 0x1.03db4c2496dc3p-5, 0x1.fba875a1bfc36p-6, 0x1.efd4343b22e44p-6, 0x1.e43920ec07726p-6, 0x1.d8d687e7ebd8dp-6, 0x1.cdabb4da18afep-6, 0x1.c2b7f2ffdc06cp-6, 0x1.b7fa8d42097fbp-6, 0x1.ad72ce4db6179p-6, 0x1.a32000ac41e4ap-6, 0x1.99016eda9f9e4p-6, 0x1.8f16635feb844p-6, 0x1.855e28e34a9c5p-6, 0x1.7bd80a41189b8p-6, 0x1.7283529f63135p-6, 0x1.695f4d81b8eafp-6, 0x1.606b46dc4eda7p-6, 0x1.57a68b26799a4p-6, 0x1.4f10676c7fe4cp-6, 0x1.46a82960cb531p-6, 0x1.3e6d1f6c76ab9p-6, 0x1.365e98bf3bc12p-6, 0x1.2e7be55ec7353p-6, 0x1.26c456356f4f3p-6, 0x1.1f373d205874dp-6, 0x1.17d3ecfd00fp-6, 0x1.1099b9b63b0a5p-6, 0x1.0987f8509b206p-6, 0x1.029dfef659ac1p-6, 0x1.f7b64a05474a6p-7, 0x1.ea7d8618df7a6p-7, 0x1.dd9065e18c52ap-7, 0x1.d0ed9fb914ef1p-7, 0x1.c493ecab90431p-7, 0x1.b8820888fcb33p-7, 0x1.acb6b1f5eca67p-7, 0x1.a130aa7b43d6cp-7, 0x1.95eeb6950f3a7p-7, 0x1.8aef9dc06c44ap-7, 0x1.80322a88ab1d1p-7, 0x1.75b52a937d5e7p-7, 0x1.6b776eac6b0e4p-7, 0x1.6177cacf67cf6p-7, 0x1.57b51632a5dc9p-7, 0x1.4e2e2b4fa99cp-7, 0x1.44e1e7eb979a1p-7, 0x1.3bcf2d1ecfa41p-7, 0x1.32f4df5bcf3c9p-7, 0x1.2a51e67567a8ep-7, 0x1.21e52da447df3p-7, 0x1.19ada38be2132p-7, 0x1.11aa3a3eb0891p-7, 0x1.09d9e741ddea4p-7, 0x1.023ba3905628cp-7, 0x1.f59cd73a8c95fp-8, 0x1.e7227eac17e92p-8, 0x1.d90644473a88cp-8, 0x1.cb4635d6d495p-8, 0x1.bde0681f7c902p-8, 0x1.b0d2f6df48c3ap-8, 0x1.a41c04cca7b39p-8, 0x1.97b9bb945132bp-8, 0x1.8baa4bd65769p-8, 0x1.7febed225e455p-8, 0x1.747cddf3064d8p-8, 0x1.695b63a88b144p-8, 0x1.5e85ca82a518fp-8, 0x1.53fa6599b030cp-8, 0x1.49b78ed720e38p-8, 0x1.3fbba6ed4f7dep-8, 0x1.3605154ea02a3p-8, 0x1.2c9248240c90bp-8, 0x1.2361b4431b621p-8, 0x1.1a71d52345ccp-8, 0x1.11c12cd2d61ap-8, 0x1.094e43eb42e3cp-8, 0x1.0117a985105a1p-8, 0x1.f237e65675075p-9, 0x1.e2b3799c5dc5fp-9, 0x1.d39f516cbe2dap-9, 0x1.c4f8beecd6ab6p-9, 0x1.b6bd1fb9e2dcdp-9, 0x1.a8e9ddcc012c5p-9, 0x1.9b7c6f5874eacp-9, 0x1.8e7256b34648cp-9, 0x1.81c9223054728p-9, 0x1.757e6c03d81ep-9, 0x1.698fda2269b06p-9, 0x1.5dfb1e208dca1p-9, 0x1.52bdf511d40c5p-9, 0x1.47d6276791aa8p-9, 0x1.3d4188cf3b279p-9, 0x1.32fdf8106d92fp-9, 0x1.29095eeaa9854p-9, 0x1.1f61b1f2c84f4p-9, 0x1.1604f070345bdp-9, 0x1.0cf12439e9469p-9, 0x1.042461934a4a3p-9, 0x1.f7398e11962a5p-10, 0x1.e6b0fa98ec8eep-10, 0x1.d6ab6e24c2b94p-10, 0x1.c72561d9ffde3p-10, 0x1.b81b6252de33cp-10, 0x1.a98a0f576fb0ap-10, 0x1.9b6e1b961429p-10, 0x1.8dc44c5bf86d3p-10, 0x1.8089794da1ca8p-10, 0x1.73ba8c1f8dd0cp-10, 0x1.6754804efbbfdp-10, 0x1.5b5462dad7bc2p-10, 0x1.4fb751fce08fcp-10, 0x1.447a7ce30495fp-10, 0x1.399b23690475ap-10, 0x1.2f1695d264ab6p-10, 0x1.24ea3484acc41p-10, 0x1.1b136fc209ab3p-10, 0x1.118fc76447cb2p-10, 0x1.085cca983ca4ep-10, 0x1.fef02f333b3abp-11, 0x1.edbeb6de913e4p-11, 0x1.dd20a35011d82p-11, 0x1.cd11882fb3d7dp-11, 0x1.bd8d152b60258p-11, 0x1.ae8f15739394ap-11, 0x1.a0136f391d562p-11, 0x1.9216232c01b3bp-11, 0x1.84934bfb8a4f3p-11, 0x1.77871dd788a07p-11, 0x1.6aede5f2d5475p-11, 0x1.5ec40a0710ec6p-11, 0x1.530607d9ade49p-11, 0x1.47b074c2466c7p-11, 0x1.3cbffd32487c5p-11, 0x1.3231643df8c91p-11, 0x1.28018326d3b31p-11, 0x1.1e2d48e74e299p-11, 0x1.14b1b9bffdf1cp-11, 0x1.0b8beec628dd5p-11, 0x1.02b91573c01e9p-11, 0x1.f46cde719636ap-12, 0x1.e402a21c84d5dp-12, 0x1.d42e4614bd33dp-12, 0x1.c4eabfecb6c0fp-12, 0x1.b63329cb64711p-12, 0x1.a802c19d998f7p-12, 0x1.9a54e84a5eab4p-12, 0x1.8d2520ea3a396p-12, 0x1.806f100170f78p-12, 0x1.742e7abd349c2p-12, 0x1.685f4633cabbap-12, 0x1.5cfd76a7a9a23p-12, 0x1.52052ecd81adp-12, 0x1.4772af154032bp-12, 0x1.3d4254f5fbc45p-12, 0x1.33709a3cd2552p-12, 0x1.29fa145eb0481p-12, 0x1.20db73cd022edp-12, 0x1.1811834d4753fp-12, 0x1.0f9927538b5bep-12, 0x1.076f5d5fb97c3p-12, 0x1.ff2276bb945bep-13, 0x1.eff7de118db76p-13, 0x1.e1597aa139911p-13, 0x1.d342038578fa3p-13, 0x1.c5ac5beafa58p-13, 0x1.b89391ec864d7p-13, 0x1.abf2dd74c0c2bp-13, 0x1.9fc59f2552551p-13, 0x1.94075f4375adep-13, 0x1.88b3cca9ccd3fp-13, 0x1.7dc6bbbf84c72p-13, 0x1.733c2574ac5e5p-13, 0x1.69102643b481dp-13, 0x1.5f3efd380fd74p-13, 0x1.55c50af9de107p-13, 0x1.4c9ed0de98f3p-13, 0x1.43c8effeb115fp-13, 0x1.3b40285011535p-13, 0x1.330157c5734fep-13, 0x1.2b097972787bcp-13, 0x1.2355a4b47da58p-13, 0x1.1be30c600e18p-13, 0x1.14aefdf2f4777p-13, 0x1.0db6e0cacf3dep-13, 0x1.06f835601d21dp-13, 0x1.00709485b4caap-13, 0x1.f43b5d592636dp-14, 0x1.e7fa9657d8876p-14, 0x1.dc1a8f1b04924p-14, 0x1.d0972dbc2b9d2p-14, 0x1.c56c8203f6024p-14, 0x1.ba96c41b5b792p-14, 0x1.b0125344d1048p-14, 0x1.a5dbb49d2d404p-14, 0x1.9bef91e45de7dp-14, 0x1.924ab84d95f3cp-14, 0x1.88ea1756f78b1p-14, 0x1.7fcabfa8905bbp-14, 0x1.76e9e1fa87609p-14, 0x1.6e44ce025d76dp-14, 0x1.65d8f16723085p-14, 0x1.5da3d6bc8178p-14, 0x1.55a324847ac49p-14, 0x1.4dd49c37c11eap-14, 0x1.4636195486044p-14, 0x1.3ec59073a329bp-14, 0x1.37810e6401425p-14, 0x1.3066b74c1a41dp-14, 0x1.2974c5d17e67dp-14, 0x1.22a98a463a658p-14, 0x1.1c0369dc0422fp-14, 0x1.1580dddd103bdp-14, 0x1.0f2072ea738f5p-14, 0x1.08e0c83ff3b49p-14, 0x1.02c08efd2c90ap-14, 0x1.f97d12e7d9942p-15, 0x1.edb314f75d9b8p-15, 0x1.e220e994254d1p-15, 0x1.d6c474a07e821p-15, 0x1.cb9bb73a1a0d2p-15, 0x1.c0a4ce87c8bdfp-15, 0x1.b5ddf29064c02p-15, 0x1.ab45751ab5f9dp-15, 0x1.a0d9c09621222p-15, 0x1.9699570becf56p-15, 0x1.8c82d118edf89p-15, 0x1.8294dcef66b79p-15, 0x1.78ce3d60ee039p-15, 0x1.6f2dc8f02a8e4p-15, 0x1.65b268ea3791ap-15, 0x1.5c5b188781277p-15, 0x1.5326e413ef3e4p-15, 0x1.4a14e81e2e2c9p-15, 0x1.412450adedf7bp-15, 0x1.38545880e9793p-15, 0x1.2fa4484e8a265p-15, 0x1.27137612052a6p-15, 0x1.1ea1445abf076p-15, 0x1.164d21a2d779p-15, 0x1.0e1687ababe24p-15, 0x1.05fcfae033725p-15, 0x1.fc00137a0a2bfp-16, 0x1.ec3e987bce49cp-16, 0x1.dcb4c6a18af6cp-16, 0x1.cd61f09bc07f9p-16, 0x1.be4578ea39f78p-16, 0x1.af5ed0e0943f5p-16, 0x1.a0ad77b478264p-16, 0x1.9230f99539d39p-16, 0x1.83e8eecc9be5ep-16, 0x1.75d4fae87b31bp-16, 0x1.67f4cbed1f63cp-16, 0x1.5a48198fed838p-16, 0x1.4ccea47a48736p-16, 0x1.3f8835945e961p-16, 0x1.32749d57a757dp-16, 0x1.2593b328dcbb4p-16, 0x1.18e554b930c6cp-16, 0x1.0c69656e9397fp-16, 0x1.001fcdd2c65fcp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.21950c13e8e7ap-12, -0x1.b868aec04cab2p-10, -0x1.c2501bd02f7b9p-9, -0x1.6ae3646da8ccdp-8, -0x1.052ec7af73bc1p-7, -0x1.5f196f8057a3p-7, -0x1.c252b5fc5f7dbp-7, -0x1.16edc51d33acdp-6, -0x1.50505ec325939p-6, -0x1.8cc2d633e5da7p-6, -0x1.cbb6b313174bep-6, -0x1.065091ecf1c18p-5, -0x1.277f05415dc62p-5, -0x1.49292a8ce30e8p-5, -0x1.6b16d990a0972p-5, -0x1.8d15dd6c6cf14p-5, -0x1.aefa490b507e9p-5, -0x1.d09e96fdd9f0dp-5, -0x1.f1e39de10b936p-5, -0x1.095830dbff216p-4, -0x1.1978e4e5a02b9p-4, -0x1.294d20e1fbdaap-4, -0x1.38d0a5eea595dp-4, -0x1.48018499d45bbp-4, -0x1.56dfde39fa9e3p-4, -0x1.656da53b822c4p-4, -0x1.73ae5dd892f68p-4, -0x1.81a6e0654ccffp-4, -0x1.8f5d1e19eaa24p-4, -0x1.9cd7e90b98626p-4, -0x1.aa1ebfd3cfb4ap-4, -0x1.b7399d3c47a78p-4, -0x1.c430cc224a5a7p-4, -0x1.d10cbfa7131c2p-4, -0x1.ddd5efaaac60cp-4, -0x1.ea94b97bb862ap-4, -0x1.f75144976b2a2p-4, -0x1.0209b5a49f1b9p-3, -0x1.08715378e6d5fp-3, -0x1.0ee2ffdb2b0abp-3, -0x1.1561ffab59cedp-3, -0x1.1bf1537316897p-3, -0x1.2293b3918a0c7p-3, -0x1.294b8d951b4dfp-3, -0x1.301b02a299562p-3, -0x1.3703e6cab199p-3, -0x1.3e07c1302456cp-3, -0x1.4527cce3136e5p-3, -0x1.4c64fa578d0e7p-3, -0x1.53bff15f95ee1p-3, -0x1.5b391392e1862p-3, -0x1.62d07f1067998p-3, -0x1.6a861187f911bp-3, -0x1.72596b7bc7895p-3, -0x1.7a49f3ab9ee5fp-3, -0x1.8256da9d29666p-3, -0x1.8a7f1e3642ebdp-3, -0x1.92c18d5f9dcb5p-3, -0x1.9b1ccba783c4dp-3, -0x1.a38f54dd821abp-3, -0x1.ac1780a1001b8p-3, -0x1.b4b385ddbda64p-3, -0x1.bd617e32017fdp-3, -0x1.c61f693b2240dp-3, -0x1.ceeb2fc5b3d93p-3, -0x1.d7c2a6df43bd5p-3, -0x1.e0a392c81d303p-3, -0x1.e98ba9c3ffb6ap-3, -0x1.f27896c90c576p-3, -0x1.fb67fc0ca5edcp-3, -0x1.022bbab71191p-2, -0x1.06a24d5fc599ap-2, -0x1.0b1680f6600c6p-2, -0x1.0f872080d079bp-2, -0x1.13f2f807efa53p-2, -0x1.1858d57aa36ap-2, -0x1.1cb78981aeaf6p-2, -0x1.210de844aebadp-2, -0x1.255aca20b4b46p-2, -0x1.299d0c5110752p-2, -0x1.2dd3918ac20dep-2, -0x1.31fd428b263bbp-2, -0x1.36190e9a572e9p-2, -0x1.3a25ec01d415bp-2, -0x1.3e22d877e6a15p-2, -0x1.420ed9804fb32p-2, -0x1.45e8fcc2ba561p-2, -0x1.49b058576addap-2, -0x1.4d640b0aa6a1dp-2, -0x1.51033c974793bp-2, -0x1.548d1dd8eee41p-2, -0x1.5800e8f63fda5p-2, -0x1.5b5de1839300dp-2, -0x1.5ea3549e7f558p-2, -0x1.61d09902a3ec9p-2, -0x1.64e50f180d101p-2, -0x1.67e020fb9056dp-2, -0x1.6ac1428178fa8p-2, -0x1.6d87f132d63a7p-2, -0x1.7033b445c4a29p-2, -0x1.72c41c90f5103p-2, -0x1.7538c47acc0dbp-2, -0x1.77914fe4507fcp-2, -0x1.79cd6c10427a6p-2, -0x1.7beccf868bf0dp-2, -0x1.7def39f45b4bdp-2, -0x1.7fd474091a096p-2, -0x1.819c4f50815ebp-2, -0x1.8346a60a08abbp-2, -0x1.84d35afddb7edp-2, -0x1.8642594f9920cp-2, -0x1.8793944f053d3p-2, -0x1.88c70746e346p-2, -0x1.89dcb54a25078p-2, -0x1.8ad4a8ff9cce3p-2, -0x1.8baef46c622dp-2, -0x1.8c6bb0bd089eep-2, -0x1.8d0afe0ddb06ep-2, -0x1.8d8d033239871p-2, -0x1.8df1ed7b44c82p-2, -0x1.8e39f07df2664p-2, -0x1.8e6545d8b36adp-2, -0x1.8e742cf8c4219p-2, -0x1.8e66eadf4a3b8p-2, -0x1.8e3dc9e65ac0dp-2, -0x1.8df9198602a6ep-2, -0x1.8d992e196e2f2p-2, -0x1.8d1e60a440a7p-2, -0x1.8c890e98417aap-2, -0x1.8bd9999b60cc4p-2, -0x1.8b10674e3dca5p-2, -0x1.8a2de1132c1fdp-2, -0x1.893273d5df331p-2, -0x1.881e8fd3b9e12p-2, -0x1.86f2a864e10eap-2, -0x1.85af33c616c5cp-2, -0x1.8454aae36cd5p-2, -0x1.82e38923e086dp-2, -0x1.815c4c35e2865p-2, -0x1.7fbf73dcdebaep-2, -0x1.7e0d81bfc72fap-2, -0x1.7c46f938ab428p-2, -0x1.7a6c5f2567dcdp-2, -0x1.787e39b971957p-2, -0x1.767d1050c3bc1p-2, -0x1.74696b43f6104p-2, -0x1.7243d3bd7f4b4p-2, -0x1.700cd3902c68bp-2, -0x1.6dc4f50ec532dp-2, -0x1.6b6cc2e4f01bap-2, -0x1.6904c7f145fd3p-2, -0x1.668d8f20a8ab6p-2, -0x1.6407a34acc816p-2, -0x1.61738f10044f3p-2, -0x1.5ed1dcb84276cp-2, -0x1.5c2316135802cp-2, -0x1.5967c45a6aaf2p-2, -0x1.56a07012a4f6bp-2, -0x1.53cda0f116085p-2, -0x1.50efddbfcbc15p-2, -0x1.4e07ac4415f72p-2, -0x1.4b159125fc4bap-2, -0x1.481a0fd8d8097p-2, -0x1.4515aa8517bfep-2, -0x1.4208e1f322f1p-2, -0x1.3ef4357759dd1p-2, -0x1.3bd822df2e568p-2, -0x1.38b5265f536cep-2, -0x1.358bba82f6bb2p-2, -0x1.325c581c08318p-2, -0x1.2f27763483988p-2, -0x1.2bed8a00b92acp-2, -0x1.28af06d292a12p-2, -0x1.256c5e0dc62ddp-2, -0x1.2225ff1cfep-2, -0x1.1edc5767e3284p-2, -0x1.1b8fd24a0b6d2p-2, -0x1.1840d90ac4c9ap-2, -0x1.14efd2d5b6399p-2, -0x1.119d24b44fabap-2, -0x1.0e4931880361dp-2, -0x1.0af45a0545ac4p-2, -0x1.079efcaf478e2p-2, -0x1.044975d46939dp-2, -0x1.00f41f8b5f1c5p-2, -0x1.fb3ea36204dd2p-3, -0x1.f496c3cd8740cp-3, -0x1.edf14723819dfp-3, -0x1.e74ecfb4e469dp-3, -0x1.e0affb59d4c07p-3, -0x1.da1563734d545p-3, -0x1.d37f9cedc65e5p-3, -0x1.ccef3844e8135p-3, -0x1.c664c18834459p-3, -0x1.bfe0c0609f46dp-3, -0x1.b963b81707553p-3, -0x1.b2ee279b89b0dp-3, -0x1.ac80898da4a58p-3, -0x1.a61b544516b0dp-3, -0x1.9fbef9db82b18p-3, -0x1.996be836b5efap-3, -0x1.932289139fd2dp-3, -0x1.8ce34211df218p-3, -0x1.86ae74bfe062ep-3, -0x1.80847ea78d632p-3, -0x1.7a65b95b78be5p-3, -0x1.74527a847e687p-3, -0x1.6e4b13efdcb6bp-3, -0x1.684fd39dafed1p-3, -0x1.626103cfcb092p-3, -0x1.5c7eeb18edc9dp-3, -0x1.56a9cc6c4ac29p-3, -0x1.50e1e72d51293p-3, -0x1.4b27773fbec4fp-3, -0x1.457ab517eccc2p-3, -0x1.3fdbd5cb4c41ap-3, -0x1.3a4b0b2117faap-3, -0x1.34c883a32810dp-3, -0x1.2f546aaeece9fp-3, -0x1.29eee88682e03p-3, -0x1.24982261df6d3p-3, -0x1.1f503a8010cd2p-3, -0x1.1a175038858d3p-3, -0x1.14ed800c5f88fp-3, -0x1.0fd2e3b7ca6c7p-3, -0x1.0ac792434f92fp-3, -0x1.05cba01521fafp-3, -0x1.00df1f02624f9p-3, -0x1.f8043cc0af053p-4, -0x1.ee69562b1f4d6p-4, -0x1.e4ed9f55e0268p-4, -0x1.db9128b959ce2p-4, -0x1.d253fe564383cp-4, -0x1.c93627d71cafdp-4, -0x1.c037a8b15dea9p-4, -0x1.b75880466566bp-4, -0x1.ae98aa04126f2p-4, -0x1.a5f81d850c73fp-4, -0x1.9d76ceb0b7684p-4, -0x1.9514addabfcd8p-4, -0x1.8cd1a7e25ba09p-4, -0x1.84ada65112116p-4, -0x1.7ca88f7929276p-4, -0x1.74c24693a383ep-4, -0x1.6cfaabddd2d3cp-4, -0x1.65519cb679aacp-4, -0x1.5dc6f3ba796f7p-4, -0x1.565a88e10d676p-4, -0x1.4f0c31978d9adp-4, -0x1.47dbc0dcb8b08p-4, -0x1.40c9075b83dedp-4, -0x1.39d3d3856f045p-4, -0x1.32fbf1ac5b23cp-4, -0x1.2c412c1be2eadp-4, -0x1.25a34b323408p-4, -0x1.1f221578686ddp-4, -0x1.18bd4fba5f29dp-4, -0x1.1274bd1e14fcdp-4, -0x1.0c481f3a7a3cep-4, -0x1.0637362dc8ff4p-4, -0x1.0041c0b35940ep-4, -0x1.f4cef871e61a8p-5, -0x1.e95049e7439cbp-5, -0x1.de06ebe80864ap-5, -0x1.d2f252743da05p-5, -0x1.c811ef91593a8p-5, -0x1.bd65336fe4f71p-5, -0x1.b2eb8c9027876p-5, -0x1.a8a467e5d3cf9p-5, -0x1.9e8f30fabe026p-5, -0x1.94ab52109d439p-5, -0x1.8af83441d64b7p-5, -0x1.81753fa155075p-5, -0x1.7821db5975eaap-5, -0x1.6efd6dca05a05p-5, -0x1.66075ca551213p-5, -0x1.5d3f0d0c538e1p-5, -0x1.54a3e3a9fc864p-5, -0x1.4c3544cd976cfp-5, -0x1.43f294845125cp-5, -0x1.3bdb36b1e6d7ep-5, -0x1.33ee8f287923ep-5, -0x1.2c2c01bf8e012p-5, -0x1.2492f26a3f257p-5, -0x1.1d22c54c9b4dp-5, -0x1.15daded03ef59p-5, -0x1.0ebaa3b823d79p-5, -0x1.07c17933aedcep-5, -0x1.00eec4f0ff638p-5, -0x1.f483da5cfee7p-6, -0x1.e774b1977eecdp-6, -0x1.daaedeb335f11p-6, -0x1.ce31325359954p-6, -0x1.c1fa7eba2cc3ep-6, -0x1.b60997e539dafp-6, -0x1.aa5d53a844379p-6, -0x1.9ef489c6ef056p-6, -0x1.93ce140d2e6fp-6, -0x1.88e8ce667d8ddp-6, -0x1.7e4396f3e5c3cp-6, -0x1.73dd4e20e20dbp-6, -0x1.69b4d6b721d24p-6, -0x1.5fc915f12d4a9p-6, -0x1.5618f38bffec2p-6, -0x1.4ca359d78faeep-6, -0x1.436735c65a839p-6, -0x1.3a6376fbeb347p-6, -0x1.31970fda733d9p-6, -0x1.2900f58f6e5b1p-6, -0x1.20a0201f5d2b7p-6, -0x1.18738a70a5ad1p-6, -0x1.107a32558e556p-6, -0x1.08b318956dc9dp-6, -0x1.011d40f503453p-6, -0x1.f36f647c1c59ep-7, -0x1.e502ec8c3e6d9p-7, -0x1.d6f333e963c79p-7, -0x1.c93e5a91159b8p-7, -0x1.bbe286b8d8bb7p-7, -0x1.aedde4d6372cbp-7, -0x1.a22ea7a58fe5p-7, -0x1.95d3082f962a3p-7, -0x1.89c945cdb4a81p-7, -0x1.7e0fa62d36aep-7, -0x1.72a47551649d9p-7, -0x1.67860594813e4p-7, -0x1.5cb2afa7c9bd9p-7, -0x1.5228d2926fe97p-7, -0x1.47e6d3afac332p-7, -0x1.3deb1eabd86bap-7, -0x1.34342580b56c3p-7, -0x1.2ac06070d189bp-7, -0x1.218e4e02269e5p-7, -0x1.189c72f7ef86fp-7, -0x1.0fe95a4bc3d9ep-7, -0x1.07739525fca87p-7, -0x1.fe7375aae0bc7p-8, -0x1.ee74d18d111b8p-8, -0x1.dee884f37b448p-8, -0x1.cfcbe2f2fac5p-8, -0x1.c11c4a9f09b61p-8, -0x1.b2d726f36bfabp-8, -0x1.a4f9eebcda118p-8, -0x1.97822480bf76p-8, -0x1.8a6d566418ac7p-8, -0x1.7db91e1179f8fp-8, -0x1.7163209e4f5e9p-8, -0x1.65690e6f63f81p-8, -0x1.59c8a31cb5bc5p-8, -0x1.4e7fa554a889cp-8, -0x1.438be6be9f3a1p-8, -0x1.38eb43dd08d18p-8, -0x1.2e9ba3eee8431p-8, -0x1.249af8d0e643ep-8, -0x1.1ae73eddf1f84p-8, -0x1.117e7ccf7ff44p-8, -0x1.085ec39d68688p-8, -0x1.ff0c5cbaf05eap-9, -0x1.ede5c4456853dp-9, -0x1.dd461bb8b850bp-9, -0x1.cd29d469695bfp-9, -0x1.bd8d72df3b866p-9, -0x1.ae6d8e92054edp-9, -0x1.9fc6d1a64435ap-9, -0x1.9195f8a980d76p-9, -0x1.83d7d24e7e1c7p-9, -0x1.76893f295394bp-9, -0x1.69a7316b72fe4p-9, -0x1.5d2eac9faa6c7p-9, -0x1.511cc5662c9f4p-9, -0x1.456ea130ad9f8p-9, -0x1.3a2175fe978f7p-9, -0x1.2f328a196ad4ap-9, -0x1.249f33d14abaep-9, -0x1.1a64d939c8037p-9, -0x1.1080efe6e7211p-9, -0x1.06f0fcaa78a45p-9, -0x1.fb6526a380f0ep-10, -0x1.e986acc6ef849p-10, -0x1.d841edbc64c83p-10, -0x1.c79267ee582c9p-10, -0x1.b773b5b307ad8p-10, -0x1.a7e18ccbdd616p-10, -0x1.98d7bde5ccbb6p-10, -0x1.8a52341aac016p-10, -0x1.7c4cf4739f59dp-10, -0x1.6ec41d6c95718p-10, -0x1.61b3e678ec3ep-10, -0x1.55189f8934daap-10, -0x1.48eeb09227644p-10, -0x1.3d329914d8d62p-10, -0x1.31e0efa828c6fp-10, -0x1.26f661836dc77p-10, -0x1.1c6fb20a7fe8p-10, -0x1.1249ba5afe7f2p-10, -0x1.088168dafe39bp-10, -0x1.fe278192104c4p-11, -0x1.ebfbb39af16a4p-11, -0x1.da79bf1a8a6c5p-11, -0x1.c99c227c498d8p-11, -0x1.b95d827846b14p-11, -0x1.a9b8a94141aabp-11, -0x1.9aa885b57c93dp-11, -0x1.8c282a9277616p-11, -0x1.7e32cdab8dd4fp-11, -0x1.70c3c7237c12dp-11, -0x1.63d690a8cd04ap-11, -0x1.5766c4b52fd38p-11, -0x1.4b701dcfb8fb5p-11, -0x1.3fee75d20ebd1p-11, -0x1.34ddc5307e77p-11, -0x1.2a3a2244fd94fp-11, -0x1.1fffc09d0fcc4p-11, -0x1.162af04a9809dp-11, -0x1.0cb81d378b83ap-11, -0x1.03a3ce7c867b6p-11, -0x1.f5d54b7485d62p-12, -0x1.e512bcebcfc06p-12, -0x1.d4f99af066327p-12, -0x1.c583c05eebd4cp-12, -0x1.b6ab3828c652p-12, -0x1.a86a3c234c784p-12, -0x1.9abb33dc8630dp-12, -0x1.8d98b3756924ep-12, -0x1.80fd7a8192f42p-12, -0x1.74e472ec69207p-12, -0x1.6948afe39d538p-12, -0x1.5e256cc7022e7p-12, -0x1.53760c1dabae6p-12, -0x1.49361690442eap-12, -0x1.3f6139e891148p-12, -0x1.35f3481615203p-12, -0x1.2ce83637c5946p-12, -0x1.243c1baabdf06p-12, -0x1.1beb311dea216p-12, -0x1.13f1cfaa94b3bp-12, -0x1.0c4c6ff1cbf51p-12, -0x1.04f7a93e8b1dp-12, -0x1.fbe061593a405p-13, -0x1.ee65b0a84d6e8p-13, -0x1.e1791cf38c12fp-13, -0x1.d514b9867b3cbp-13, -0x1.c932cee1273fp-13, -0x1.bdcdd9333a9d7p-13, -0x1.b2e086dfbaf0ap-13, -0x1.a865b7095f26bp-13, -0x1.9e58782749fb3p-13, -0x1.94b406a21dd8p-13, -0x1.8b73cb79332ccp-13, -0x1.82935aefe3ba9p-13, -0x1.7a0e7342c24b8p-13, -0x1.71e0fb64964dbp-13, -0x1.6a0701c30b1b8p-13, -0x1.627cbb12e89b3p-13, -0x1.5b3e8123b3e29p-13, -0x1.5448d1ba993e9p-13, -0x1.4d984d7486671p-13, -0x1.4729b6af4a883p-13, -0x1.40f9f0799e697p-13, -0x1.3b05fd89fd45cp-13, -0x1.354aff3c2881ap-13, -0x1.2fc634952db59p-13, -0x1.2a74f94deb73bp-13, -0x1.2554c4e3d22p-13, -0x1.206329afe2aa1p-13, -0x1.1b9dd403b7cf7p-13, -0x1.1702894c83627p-13, -0x1.128f273be5777p-13, -0x1.0e41a2f676bc2p-13, -0x1.0a180847f141dp-13, -0x1.061078dcd834fp-13, -0x1.02292b8180c77p-13, -0x1.fcc0d6ccbb5e2p-14, -0x1.f5692ed2f0feep-14, -0x1.ee4842c9ef19cp-14, -0x1.e75b1b052e3e2p-14, -0x1.e09ee327f4102p-14, -0x1.da10e8df6b656p-14, -0x1.d3ae9aa60bb13p-14, -0x1.cd7586900b49p-14, -0x1.c7635920af7a3p-14, -0x1.c175dc2852ce7p-14, -0x1.bbaaf5aad96fbp-14, -0x1.b600a6ce7e0eap-14, -0x1.b0750ad2aba18p-14, -0x1.ab06560ecac3fp-14, -0x1.a5b2d4f8be42ap-14, -0x1.a078eb33003b7p-14, -0x1.9b5712a20e09cp-14, -0x1.964bda890d31bp-14, -0x1.9155e6ad79039p-14, -0x1.8c73ee81aad9dp-14, -0x1.87a4bc5613b01p-14, -0x1.82e72c90fda51p-14, -0x1.7e3a2cecac263p-14, -0x1.799cbbbbb26aep-14, -0x1.750de733572cbp-14, -0x1.708cccbbe2d8p-14, -0x1.6c189846ab5a4p-14, -0x1.67b083a9be62ep-14, -0x1.6353d60101bdcp-14, -0x1.5f01e314a5906p-14, -0x1.5aba0ac4c69d4p-14, -0x1.567bb87a1c84fp-14, -0x1.5246629b9255cp-14, -0x1.4e198a08a700cp-14, -0x1.49f4b998768b6p-14, -0x1.45d7859d4ad67p-14, -0x1.41c18b6c9360fp-14, -0x1.3db270eb27328p-14, -0x1.39a9e41db1c4bp-14, -0x1.35a79abd2c784p-14, -0x1.31ab51cf4820bp-14, -0x1.2db4cd42abfbfp-14, -0x1.29c3d78eea34ap-14, -0x1.25d8415813c5ap-14, -0x1.21f1e115cc38bp-14, -0x1.1e1092bdc6e9cp-14, -0x1.1a34377192c9ep-14, -0x1.165cb52f9b39cp-14, -0x1.1289f687474b5p-14, -0x1.0ebbea501d49ap-14, -0x1.0af28363d5feap-14, -0x1.072db85b47084p-14, -0x1.036d834e0db95p-14, -0x1.ff63c329ced85p-15, -0x1.f7f5a71d3f5e8p-15, -0x1.f090b8cefecacp-15, -0x1.e93503c656c05p-15, -0x1.e1e29851b7e17p-15, -0x1.da998b23b6d48p-15, -0x1.d359f4f473826p-15, -0x1.cc23f22740c34p-15, -0x1.c4f7a2747002bp-15, -0x1.bdd5289715fb6p-15, -0x1.b6bca9feafaf2p-15, -0x1.afae4e847dceap-15, -0x1.a8aa40247b8dp-15, -0x1.a1b0aab9d2f67p-15, -0x1.9ac1bbbeaa673p-15, -0x1.93dda20f318d7p-15, -0x1.8d048dafd239bp-15, -0x1.8636af9663d5bp-15, -0x1.7f7439764be67p-15, -0x1.78bd5d8f6c3f2p-15, -0x1.72124e7fc71e5p-15, -0x1.6b733f17c0b5ap-15, -0x1.64e06230e25d6p-15, -0x1.5e59ea870d70dp-15, -0x1.57e00a93fe1ebp-15, -0x1.5172f46d0fc41p-15, -0x1.4b12d9a32999bp-15, -0x1.44bfeb24bc484p-15, -0x1.3e7a5921c02d7p-15, -0x1.384252f19c2ep-15, -0x1.321806fae3c8dp-15, -0x1.2bfba29cda0cfp-15, -0x1.25ed521aa4e7p-15, -0x1.1fed408821497p-15, -0x1.19fb97b8445edp-15, -0x1.1418802cfafefp-15, -0x1.0e442108795cp-15, -0x1.087e9fffe31eap-15, -0x1.02c8214f46e5ep-15, -0x1.fa418f5dae634p-16, -0x1.ef116892ac87dp-16, -0x1.e4000d6745ebp-16, -0x1.d90db9cabe92ep-16, -0x1.ce3aa6653b4e4p-16, -0x1.c387088d16b88p-16, -0x1.b8f3123e1b30fp-16, -0x1.ae7ef212809eep-16, -0x1.a42ad33da0519p-16, -0x1.99f6dd88467d3p-16, -0x1.8fe3354e8a449p-16, -0x1.85effb7f1b055p-16, -0x1.7c1d4d9be8f55p-16, -0x1.726b45bc1fb2fp-16, -0x1.68d9fa8f58202p-16, -0x1.5f697f61f264bp-16, -0x1.5619e4228a685p-16, -0x1.4ceb35686b62p-16, -0x1.43dd7c7b07881p-16, -0x1.3af0bf5a467bap-16, -0x1.322500c7bde3ep-16, -0x1.297a4050a5631p-16, -0x1.20f07a589224dp-16, -0x1.1887a824df5c8p-16, -0x1.103fbfe8b3da1p-16, -0x1.0818b4d1aa779p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.c08114f8b4258p-1, 0x1.bf4372b69bd5cp-1, 0x1.bdee75702ceb7p-1, 0x1.bc861de9a164cp-1, 0x1.bb0dba774e145p-1, 0x1.b987d847f9ef9p-1, 0x1.b7f647b6ad5bdp-1, 0x1.b65a2d3b9e46fp-1, 0x1.b4b419d39bdf4p-1, 0x1.b30426ed779c9p-1, 0x1.b14a13020e953p-1, 0x1.af855ce290f67p-1, 0x1.adb55c7ffe124p-1, 0x1.abd9587a5ebb8p-1, 0x1.a9f0982c56409p-1, 0x1.a7fa722f2927bp-1, 0x1.a5f65782e97a1p-1, 0x1.a3e3dba3eb4efp-1, 0x1.a1c2b9e6c021fp-1, 0x1.9f92d87a9ae2p-1, 0x1.9d54497216db5p-1, 0x1.9b074a2e24fcbp-1, 0x1.98ac418010126p-1, 0x1.9643bccf31509p-1, 0x1.93ce6c85f026p-1, 0x1.914d2000a90e2p-1, 0x1.8ec0c1304bbe2p-1, 0x1.8c2a501a52759p-1, 0x1.898ade582ec57p-1, 0x1.86e38ab17d5adp-1, 0x1.84357ce651aep-1, 0x1.8181e1b9ab4c2p-1, 0x1.7ec9e7479b99fp-1, 0x1.7c0eb9aecb4f7p-1, 0x1.79518011d36b8p-1, 0x1.769359f22e699p-1, 0x1.73d55ce45fdb6p-1, 0x1.7118929b33082p-1, 0x1.6e5df7469f30cp-1, 0x1.6ba67841dbf7fp-1, 0x1.68f2f30b7a543p-1, 0x1.66443481e179bp-1, 0x1.639af85e42665p-1, 0x1.60f7e8e801d4cp-1, 0x1.5e5b9eda99e29p-1, 0x1.5bc6a1781a19fp-1, 0x1.593966c2a3f72p-1, 0x1.56b453d78944dp-1, 0x1.5437bd6704c6ap-1, 0x1.51c3e843dc4f9p-1, 0x1.4f590a06a089p-1, 0x1.4cf749c09472p-1, 0x1.4a9ec0bab145cp-1, 0x1.484f7b3d8cd4fp-1, 0x1.4609795f4df7p-1, 0x1.43ccafd524614p-1, 0x1.419908c61476cp-1, 0x1.3f6e649d2c3d9p-1, 0x1.3d4c9ad97b7bp-1, 0x1.3b337ada6fc97p-1, 0x1.3922cca766f0ap-1, 0x1.371a51b183a36p-1, 0x1.3519c58efe477p-1, 0x1.3320deaf55de7p-1, 0x1.312f4f07e8c74p-1, 0x1.2f44c4b8a1566p-1, 0x1.2d60eaa878423p-1, 0x1.2b836919b20f7p-1, 0x1.29abe635c37b7p-1, 0x1.27da0690eb9e5p-1, 0x1.260d6da591695p-1, 0x1.2445be478ba49p-1, 0x1.22829b0f7ebf1p-1, 0x1.20c3a6be825afp-1, 0x1.1f08849a4faeap-1, 0x1.1d50d8c232c79p-1, 0x1.1b9c487d0902ep-1, 0x1.19ea7a8090067p-1, 0x1.183b173250a65p-1, 0x1.168dc8e26bdeap-1, 0x1.14e23c0097f0ap-1, 0x1.13381f4b94e39p-1, 0x1.118f23fb5f712p-1, 0x1.0fe6fde66dc8fp-1, 0x1.0e3f63a236635p-1, 0x1.0c980e9f4a8c4p-1, 0x1.0af0bb4141213p-1, 0x1.094928f2b53bcp-1, 0x1.07a11a35937fap-1, 0x1.05f854aff32f9p-1, 0x1.044ea135b238ep-1, 0x1.02a3cbcf0b316p-1, 0x1.00f7a3bc5a0dbp-1, 0x1.fe93f6ee82846p-2, 0x1.fb355162bd2dfp-2, 0x1.f7d308a17751ep-2, 0x1.f46cd4d452c02p-2, 0x1.f102747357e9ep-2, 0x1.ed93ac323f875p-2, 0x1.ea2046ea7bb09p-2, 0x1.e6a8158241109p-2, 0x1.e32aeed0dbd76p-2, 0x1.dfa8af8087656p-2, 0x1.dc2139ee0f0ep-2, 0x1.d894760668c3bp-2, 0x1.d5025122850c4p-2, 0x1.d16abde188239p-2, 0x1.cdcdb4019aeb1p-2, 0x1.ca2b30378558bp-2, 0x1.c683340536e65p-2, 0x1.c2d5c58f73fb5p-2, 0x1.bf22ef72be4dcp-2, 0x1.bb6ac097aacf6p-2, 0x1.b7ad4c06c22cbp-2, 0x1.b3eaa8bc0b893p-2, 0x1.b022f17a64373p-2, 0x1.ac56449ebb4a1p-2, 0x1.a884c3f353501p-2, 0x1.a4ae94831ee0fp-2, 0x1.a0d3de6d4d8d1p-2, 0x1.9cf4ccb928675p-2, 0x1.99118d2a46147p-2, 0x1.952a50153599cp-2, 0x1.913f4834a8466p-2, 0x1.8d50aa7f31958p-2, 0x1.895eadfda7982p-2, 0x1.85698ba235ee3p-2, 0x1.81717e202ac9ap-2, 0x1.7d76c1c49002dp-2, 0x1.7979944f93c36p-2, 0x1.757a34cecf4bap-2, 0x1.7178e378742c5p-2, 0x1.6d75e187630a3p-2, 0x1.6971711836086p-2, 0x1.656bd50745e2dp-2, 0x1.616550cfabec1p-2, 0x1.5d5e286b42b0ep-2, 0x1.5956a033b0b08p-2, 0x1.554efcc477e2cp-2, 0x1.514782de1034ap-2, 0x1.4d40774a0b383p-2, 0x1.493a1ec04882cp-2, 0x1.4534bdcd310b5p-2, 0x1.413098b901046p-2, 0x1.3d2df3701d8cap-2, 0x1.392d116c7242p-2, 0x1.352e359fd878bp-2, 0x1.3131a25f81eebp-2, 0x1.2d3799506a7fcp-2, 0x1.29405b54c6bdp-2, 0x1.254c287a727b5p-2, 0x1.215b3fea568ep-2, 0x1.1d6ddfd8c61d3p-2, 0x1.19844576cc1e5p-2, 0x1.159eace4680dfp-2, 0x1.11bd5123b1ff7p-2, 0x1.0de06c0ce27eep-2, 0x1.0a0836433b2f8p-2, 0x1.0634e72ac67bdp-2, 0x1.0266b4def0883p-2, 0x1.fd3ba853d4099p-3, 0x1.f5b4f0f9b60cdp-3, 0x1.ee39a7d1a5fa3p-3, 0x1.e6ca2e30ffcb9p-3, 0x1.df66e2952e555p-3, 0x1.d8102099ecb39p-3, 0x1.d0c640f0dfa56p-3, 0x1.c989995a7fcb9p-3, 0x1.c25a7ca045d74p-3, 0x1.bb393a901443p-3, 0x1.b4261ff8c7b66p-3, 0x1.ad2176a7ee15ap-3, 0x1.a62b856891c34p-3, 0x1.9f4490030e866p-3, 0x1.986cd73deace2p-3, 0x1.91a498df9e738p-3, 0x1.8aec0fb14a7f3p-3, 0x1.84437382486f8p-3, 0x1.7daaf92c93a3dp-3, 0x1.7722d299f9924p-3, 0x1.70ab2eca0a9fdp-3, 0x1.6a4439d8ba039p-3, 0x1.63ee1d05b3bdap-3, 0x1.5da8febc4b9bfp-3, 0x1.5775029c046adp-3, 0x1.51524981a929ep-3, 0x1.4b40f190ea313p-3, 0x1.4541163e749b2p-3, 0x1.3f52d05a7f8c3p-3, 0x1.3976361bc76dep-3, 0x1.33ab5b2ae4a5p-3, 0x1.2df250ae03092p-3, 0x1.284b2554eeaf1p-3, 0x1.22b5e565646dap-3, 0x1.1d329ac7b0abdp-3, 0x1.17c14d1384b83p-3, 0x1.1262019d01c7cp-3, 0x1.0d14bb81ffc5dp-3, 0x1.07d97bb76be3p-3, 0x1.02b04116db0a3p-3, 0x1.fb3210d866687p-4, 0x1.f1279906d02b2p-4, 0x1.e7410c6cb0ae6p-4, 0x1.dd7e58f54cd4ap-4, 0x1.d3df68df5b025p-4, 0x1.ca6422d8cd65fp-4, 0x1.c10c6a1abdac7p-4, 0x1.b7d81e8535868p-4, 0x1.aec71cbaf56bcp-4, 0x1.a5d93e3d14a98p-4, 0x1.9d0e598688d1p-4, 0x1.9466422782387p-4, 0x1.8be0c8e0927a5p-4, 0x1.837dbbbda9702p-4, 0x1.7b3ce630cbfb7p-4, 0x1.731e112c8ed25p-4, 0x1.6b21033e47efp-4, 0x1.634580a7f6fe3p-4, 0x1.5b8b4b79dbff5p-4, 0x1.53f223abb9faep-4, 0x1.4c79c735c0872p-4, 0x1.4521f2291ae0dp-4, 0x1.3dea5ec81de76p-4, 0x1.36d2c59e13efep-4, 0x1.2fdadd96a28e2p-4, 0x1.29025c14c9cebp-4, 0x1.2248f50976b81p-4, 0x1.1bae5b09aad61p-4, 0x1.15323f64343cdp-4, 0x1.0ed45236f65c5p-4, 0x1.08944283bfc7p-4, 0x1.0271be44af07p-4, 0x1.f8d8e500432a5p-5, 0x1.ed0816b85e776p-5, 0x1.e17068635f8eep-5, 0x1.d6112f3d96c4fp-5, 0x1.cae9bf32258d4p-5, 0x1.bff96afe475dfp-5, 0x1.b53f8453a933dp-5, 0x1.aabb5bf9d7d21p-5, 0x1.a06c41eebe0bfp-5, 0x1.965185863cf3ep-5, 0x1.8c6a7588d3bb5p-5, 0x1.82b660516447cp-5, 0x1.793493ea0b581p-5, 0x1.6fe45e2815b8ap-5, 0x1.66c50cc7106bp-5, 0x1.5dd5ed82f6eb7p-5, 0x1.55164e31820a5p-5, 0x1.4c857cda980e9p-5, 0x1.4422c7cfe3c12p-5, 0x1.3bed7dc392623p-5, 0x1.33e4edde3c0cep-5, 0x1.2c0867d3fa0dbp-5, 0x1.24573bf8ae57p-5, 0x1.1cd0bb537c6cbp-5, 0x1.157437b17c3ap-5, 0x1.0e4103b7a4599p-5, 0x1.073672f3f49cfp-5, 0x1.0053d9eddf69fp-5, 0x1.f3311c6befd4bp-6, 0x1.e607cce9d3f37p-6, 0x1.d92a74f377a4ap-6, 0x1.cc97c68ebee74p-6, 0x1.c04e764330ac7p-6, 0x1.b44d3b326da88p-6, 0x1.a892cf2f58301p-6, 0x1.9d1deed4023cbp-6, 0x1.91ed599653868p-6, 0x1.86ffd1db83248p-6, 0x1.7c541d0a612e3p-6, 0x1.71e9039c79856p-6, 0x1.67bd512e1b09cp-6, 0x1.5dcfd48d43ea8p-6, 0x1.541f5fc782916p-6, 0x1.4aaac836cc8f1p-6, 0x1.4170e68d5617cp-6, 0x1.387096e06c2b6p-6, 0x1.2fa8b8b2624dcp-6, 0x1.27182efb9049ap-6, 0x1.1ebde0326ec56p-6, 0x1.1698b652d57aap-6, 0x1.0ea79ee46436p-6, 0x1.06e98b001b8cp-6, 0x1.febadeaa5cd3ap-7, 0x1.f004885a1ea2ap-7, 0x1.e1ae0add8d3fbp-7, 0x1.d3b5654320eecp-7, 0x1.c6189ddd9847cp-7, 0x1.b8d5c2468c457p-7, 0x1.abeae75fbdd21p-7, 0x1.9f562953297aep-7, 0x1.9315ab91f0c78p-7, 0x1.872798d224762p-7, 0x1.7b8a230b780e8p-7, 0x1.703b8372f118p-7, 0x1.6539fa758db9bp-7, 0x1.5a83cfb201b9cp-7, 0x1.501751f18876p-7, 0x1.45f2d71fcfe83p-7, 0x1.3c14bc421d5e2p-7, 0x1.327b656d99998p-7, 0x1.29253dbce46dep-7, 0x1.2010b744ed9c8p-7, 0x1.173c4b091f2c6p-7, 0x1.0ea678eee3a8cp-7, 0x1.064dc7b08d57p-7, 0x1.fc61899f573e3p-8, 0x1.ec9c090da4e47p-8, 0x1.dd484375bcc6ap-8, 0x1.ce637bd77aa3fp-8, 0x1.bfeb0249836a7p-8, 0x1.b1dc33d911a8bp-8, 0x1.a4347a68f7e58p-8, 0x1.96f14c8fe3006p-8, 0x1.8a102d75ed368p-8, 0x1.7d8eacb18e2ep-8, 0x1.716a6623f542cp-8, 0x1.65a101d4d6ce2p-8, 0x1.5a3033cdbe25ep-8, 0x1.4f15bbf4ec7afp-8, 0x1.444f65e7cde33p-8, 0x1.39db08d515288p-8, 0x1.2fb6875681764p-8, 0x1.25dfcf4a5ec8fp-8, 0x1.1c54d9acc5a01p-8, 0x1.1313aa70a655bp-8, 0x1.0a1a5058a88d1p-8, 0x1.0166e4cfe4a11p-8, 0x1.f1ef17850a4cp-9, 0x1.e194e6eca21dcp-9, 0x1.d1bba8c65b50cp-9, 0x1.c25fe21735e6ap-9, 0x1.b37e2baa5ffd6p-9, 0x1.a51331c24cea3p-9, 0x1.971bb3c9e007cp-9, 0x1.89948405cc6fep-9, 0x1.7c7a8746275f7p-9, 0x1.6fcab4984338bp-9, 0x1.638214f8d2953p-9, 0x1.579dc3066959fp-9, 0x1.4c1aeab45c5fcp-9, 0x1.40f6c8fe0ee1ap-9, 0x1.362eab9ab2327p-9, 0x1.2bbff0b1841d1p-9, 0x1.21a8068e921eep-9, 0x1.17e46b58044efp-9, 0x1.0e72acc403a42p-9, 0x1.055067cf2fc92p-9, 0x1.f8f690e781477p-10, 0x1.e7e212c28555fp-10, 0x1.d75ee76a0b65bp-10, 0x1.c768bd6676b64p-10, 0x1.b7fb5f019226dp-10, 0x1.a912b1bbab2acp-10, 0x1.9aaab5c225eaep-10, 0x1.8cbf85679817ap-10, 0x1.7f4d549d6caa9p-10, 0x1.7250706f1bdb6p-10, 0x1.65c53e7ef3e69p-10, 0x1.59a83c8484a9dp-10, 0x1.4df5ffccaab56p-10, 0x1.42ab34bb3af2fp-10, 0x1.37c49e4e5fc4dp-10, 0x1.2d3f15a39d7cp-10, 0x1.2317897e83c6p-10, 0x1.194afdd11994ep-10, 0x1.0fd68b45f5ffcp-10, 0x1.06b75ecc103c6p-10, 0x1.fbd572488ab22p-11, 0x1.eadbdce1311c7p-11, 0x1.da7ccb8a52d81p-11, 0x1.cab33175c5329p-11, 0x1.bb7a2607c1248p-11, 0x1.accce40320d0bp-11, 0x1.9ea6c8b909693p-11, 0x1.9103533c01b54p-11, 0x1.83de239671295p-11, 0x1.7732fa04846aap-11, 0x1.6afdb631736a9p-11, 0x1.5f3a567826655p-11, 0x1.53e4f727345d4p-11, 0x1.48f9d1c834174p-11, 0x1.3e753c6a5eeb6p-11, 0x1.3453a8f079edfp-11, 0x1.2a91a46204fd7p-11, 0x1.212bd63fa4ad5p-11, 0x1.181effdac2fecp-11, 0x1.0f67fbb05e941p-11, 0x1.0703bcc703697p-11, 0x1.fdde9c1fc160dp-12, 0x1.ee4fa395f31d7p-12, 0x1.df5501dcc99fep-12, 0x1.d0e955212cb9dp-12, 0x1.c30766ab4ad2cp-12, 0x1.b5aa29bf1b87ap-12, 0x1.a8ccba82b6c97p-12, 0x1.9c6a5cea7dc5ap-12, 0x1.907e7baaf7e04p-12, 0x1.8504a73059d61p-12, 0x1.79f8949b9ce98p-12, 0x1.6f561cc51d899p-12, 0x1.65193b44a0219p-12, 0x1.5b3e0d7eb95bdp-12, 0x1.51c0d1b779dedp-12, 0x1.489de62a50756p-12, 0x1.3fd1c8270c8f2p-12, 0x1.37591333f3259p-12, 0x1.2f308034c6f01p-12, 0x1.2754e496c135p-12, 0x1.1fc3318154eeep-12, 0x1.1878730bb91fap-12, 0x1.1171cf771c974p-12, 0x1.0aac866d72f8bp-12, 0x1.0425f044c8f8bp-12, 0x1.fbb6fa8e10d65p-13, 0x1.ef9569fc3d39ep-13, 0x1.e3e26b08d69b2p-13, 0x1.d89965b2d58e1p-13, 0x1.cdb5ec750668ep-13, 0x1.c333baffcae96p-13, 0x1.b90eb4fadde3dp-13, 0x1.af42e4ceedc06p-13, 0x1.a5cc7a76e9be1p-13, 0x1.9ca7ca58e8c4ap-13, 0x1.93d14c266b9d9p-13, 0x1.8b4599c3f7e1bp-13, 0x1.83016e37c9d98p-13, 0x1.7b01a49f8980bp-13, 0x1.7343372cdea43p-13, 0x1.6bc33e28b8dfcp-13, 0x1.647eeefd34f5cp-13, 0x1.5d739b45f0ab6p-13, 0x1.569eafe6b871p-13, 0x1.4ffdb4285d4dbp-13, 0x1.498e48dba83dbp-13, 0x1.434e27822f922p-13, 0x1.3d3b217d08ea5p-13, 0x1.37531f4121bafp-13, 0x1.31941f912ffacp-13, 0x1.2bfc36bd109ebp-13, 0x1.26898de67aad3p-13, 0x1.213a624ae7625p-13, 0x1.1c0d04929712bp-13, 0x1.16ffd82488783p-13, 0x1.1211527f54e57p-13, 0x1.0d3ffa96cc71bp-13, 0x1.088a683636322p-13, 0x1.03ef43672194ap-13, 0x1.feda87b937a98p-14, 0x1.f60660c58bdd7p-14, 0x1.ed5fbca545135p-14, 0x1.e4e46213ffd79p-14, 0x1.dc9232cee487bp-14, 0x1.d4672a946b7dcp-14, 0x1.cc615e2bded1ap-14, 0x1.c47efa744fd3bp-14, 0x1.bcbe437adc39bp-14, 0x1.b51d93981d295p-14, 0x1.ad9b5a947f464p-14, 0x1.a6361cd36ff31p-14, 0x1.9eec728513912p-14, 0x1.97bd06de834f4p-14, 0x1.90a6975841a3dp-14, 0x1.89a7f2f2d4b22p-14, 0x1.82bff98154586p-14, 0x1.7bed9af9c8965p-14, 0x1.752fd6cb2cb66p-14, 0x1.6e85bb38f6f7dp-14, 0x1.67ee64bbfba97p-14, 0x1.6168fd6888087p-14, 0x1.5af4bc5991f11p-14, 0x1.5490e520d9cb1p-14, 0x1.4e3cc73bd9f0ep-14, 0x1.47f7bd8d66c1p-14, 0x1.41c12ddbd8f7dp-14, 0x1.3b988853a696dp-14, 0x1.357d470e4a45ep-14, 0x1.2f6eed9d57aeep-14, 0x1.296d0899a30f4p-14, 0x1.23772d365b65dp-14, 0x1.1d8cf8d7fbda2p-14, 0x1.17ae10aef986p-14, 0x1.11da21560f8c7p-14, 0x1.0c10de741072dp-14, 0x1.06520261243dp-14, 0x1.009d4dcf5536ap-14, 0x1.f5e50eecafea3p-15, 0x1.eaa2f784e2c63p-15, 0x1.df73f90ccf1f2p-15, 0x1.d457c160c24adp-15, 0x1.c94e0803453a5p-15, 0x1.be568d921ad59p-15, 0x1.b3711b40a0cd2p-15, 0x1.a89d82576185cp-15, 0x1.9ddb9bb8b42bfp-15, 0x1.932b476a3e9dfp-15, 0x1.888c6c2333587p-15, 0x1.7dfef6df2816p-15, 0x1.7382da755cc7dp-15, 0x1.69180f344f994p-15, 0x1.5ebe92817d33ap-15, 0x1.5476667d27cb1p-15, 0x1.4a3f91aa04e3p-15, 0x1.401a1e98b43ffp-15, 0x1.36061b96dba16p-15, 0x1.2c039a61c9baap-15, 0x1.2212afdc87e8fp-15, 0x1.183373c933069p-15, 0x1.0e6600858bdbap-15, 0x1.04aa72ca9676fp-15, 0x1.f601d2de74c3ep-16, 0x1.e2d30a5b78d35p-16, 0x1.cfc8d0d80e5b6p-16, 0x1.bce36e0d35a89p-16, 0x1.aa232c3c32272p-16, 0x1.978857ce998e5p-16, 0x1.85133efb38469p-16, 0x1.72c4316f99514p-16, 0x1.609b7ffe09598p-16, 0x1.4e997c4febd9dp-16, 0x1.3cbe789c34f25p-16, 0x1.2b0ac761ed453p-16, 0x1.197ebb26885e6p-16, 0x1.081aa637f6972p-16, 0x1.edbdb4e498882p-17, 0x1.cb975211aa389p-17, 0x1.a9c2c4a4f0ed8p-17, 0x1.8840ab329900bp-17, 0x1.6711a1da6d19ep-17, 0x1.463641f2fcb52p-17, 0x1.25af21ba5abc7p-17, 0x1.057cd40c55cb3p-17, 0x1.cb3fd03bb4891p-18, 0x1.8c31d27aa7732p-18, 0x1.4dd0bd2fae49ep-18, 0x1.101d9605c55ccp-18, 0x1.a632b32a061d9p-19, 0x1.2d89f60e995aap-19, 0x1.6c858f145abc8p-20, 0x1.017b994ed97afp-21, -0x1.a1001c010002bp-22, -0x1.4e70c1f26295dp-20, -0x1.18e8b2a8a598bp-19, -0x1.892f8f08e15fbp-19, -0x1.f80ba2d12b3dap-19, -0x1.32bdd89ed182bp-18, -0x1.68bf4a2609662p-18, -0x1.9e099e7710b01p-18, -0x1.d29c5998b3ee1p-18, -0x1.033b85977b96ep-17, -0x1.1ccca742e0eb3p-17, -0x1.3601654b9a8d7p-17, -0x1.4ed99906f20a6p-17, -0x1.675521a193df1p-17, -0x1.7f73e41cdc4b9p-17, -0x1.9735cb4a70333p-17, -0x1.ae9ac7c61e00cp-17, -0x1.c5a2cfee3e794p-17, -0x1.dc4ddfda9782dp-17, -0x1.f29bf951d6a0fp-17, -0x1.044691dee6797p-16, -0x1.0f10b60f3206bp-16, -0x1.19ac727db94cep-16, -0x1.2419d32abe208p-16, -0x1.2e58e6cabe4c6p-16, -0x1.3869bebdd69afp-16, -0x1.424c6f06c0465p-16, -0x1.4c010e41630ap-16, -0x1.5587b59908d04p-16, -0x1.5ee080be35daep-16, -0x1.680b8ddc348bdp-16, -0x1.7108fd8e54128p-16, -0x1.79d8f2d4e587bp-16, -0x1.827b9309f54c9p-16, -0x1.8af105d5d704ep-16, -0x1.933975237398bp-16, -0x1.9b550d14749fap-16, -0x1.a343fbf54548fp-16, -0x1.ab067230eba14p-16, -0x1.b29ca244cdab9p-16, -0x1.ba06c0b456c5ep-16, -0x1.c14503fc8827ep-16, -0x1.c857a4877dda3p-16, -0x1.cf3edc9fe262dp-16, -0x1.d5fae8645b3c6p-16, -0x1.dc8c05baef89fp-16, -0x1.e2f274446e124p-16, -0x1.e92e754fd0594p-16, -0x1.ef404bcda9f93p-16, }}, 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
    }}, 
    {
      50, 0x1.228f5c28f5c29p+2, 0x1.c0a82f44cf881p+0, 0x1.758874c94ca2p+2, -0x1.6ff2ff8c81f88p+1, 
      {{
        {0x1.e3d70a3d70a3dp+0, 0x1.f16872b020c4ap+0, 0x1.335cf411b5343p+3, -0x1.5df1abc3af201p+4, 0x1.32a669e64ca7p+4, 0x1.4870d73d4d058p+1}, 
        {0x1.f16872b020c4ap+0, 0x1.fef9db22d0e56p+0, 0x1.1001073c09709p+3, -0x1.3d17d8b0f17b6p+4, 0x1.392d8537ad82ep+4, -0x1.9a8d0d0c9c2ddp+3}, 
        {0x1.fef9db22d0e56p+0, 0x1.0645a1cac0831p+1, 0x1.e02e4fff46c79p+2, -0x1.1da04bebdee25p+4, 0x1.1889fca0c98bp+4, -0x1.ff95b69b3947ap+2}, 
        {0x1.0645a1cac0831p+1, 0x1.0d0e560418937p+1, 0x1.a6b4423c658bfp+2, -0x1.00f78081cc09ep+4, 0x1.043419878b8dep+4, -0x1.1365a929fbf45p+3}, 
        {0x1.0d0e560418937p+1, 0x1.13d70a3d70a3dp+1, 0x1.73119e2295564p+2, -0x1.cd175b37763ddp+3, 0x1.dc9e6f7536fc2p+3, -0x1.f249090ec535bp+2}, 
        {0x1.13d70a3d70a3dp+1, 0x1.1a9fbe76c8b44p+1, 0x1.44cbeea0b211bp+2, -0x1.9cab4df96b5acp+3, 0x1.b50155440a60ep+3, -0x1.d80e7cb849746p+2}, 
        {0x1.1a9fbe76c8b44p+1, 0x1.216872b020c4ap+1, 0x1.1b7041461b6d4p+2, -0x1.7055eaff21786p+3, 0x1.8f7a098efd5e9p+3, -0x1.b8715320aa4ddp+2}, 
        {0x1.216872b020c4ap+1, 0x1.283126e978d5p+1, 0x1.ed25b012d7c9p+1, -0x1.47d8cddb8d3dap+3, 0x1.6c7625e4d7412p+3, -0x1.9be799d11b583p+2}, 
        {0x1.283126e978d5p+1, 0x1.2ef9db22d0e56p+1, 0x1.ab9dba0fb0cd1p+1, -0x1.22f31474ca17dp+3, 0x1.4bb710524bfep+3, -0x1.802270f2a58d2p+2}, 
        {0x1.2ef9db22d0e56p+1, 0x1.35c28f5c28f5cp+1, 0x1.718c2f0d5eb84p+1, -0x1.016802177e005p+3, 0x1.2d2d285db9f7cp+3, -0x1.65b911b45bf01p+2}, 
        {0x1.35c28f5c28f5cp+1, 0x1.3c8b439581062p+1, 0x1.3e41456fa0cccp+1, -0x1.c5fa4a76d1976p+2, 0x1.10bcc7dac7a6ap+3, -0x1.4c79261e4e86ep+2}, 
        {0x1.3c8b439581062p+1, 0x1.4353f7ced9168p+1, 0x1.11194bc0f3a5bp+1, -0x1.8ef588ac24e82p+2, 0x1.ec9c9218ad4ffp+2, -0x1.3467adf8819a2p+2}, 
        {0x1.4353f7ced9168p+1, 0x1.4a1cac083126fp+1, 0x1.d2f838e14804p+0, -0x1.5d5759e76b792p+2, 0x1.bb9340ee5937cp+2, -0x1.1d7a481d2cdf7p+2}, 
        {0x1.4a1cac083126fp+1, 0x1.50e5604189375p+1, 0x1.8db92956e66bbp+0, -0x1.30ba5bd317bb1p+2, 0x1.8e2f2bbca7546p+2, -0x1.07acc15ddd459p+2}, 
        {0x1.50e5604189375p+1, 0x1.57ae147ae147bp+1, 0x1.51701c9d9a852p+0, -0x1.08be0f37ccb44p+2, 0x1.64428cfddb719p+2, -0x1.e5ebed0ea469p+1}, 
        {0x1.57ae147ae147bp+1, 0x1.5e76c8b439581p+1, 0x1.1d2bb94154b41p+0, -0x1.ca0d766cf617cp+1, 0x1.3da1131b07761p+2, -0x1.be9e016475679p+1}, 
        {0x1.5e76c8b439581p+1, 0x1.653f7ced91687p+1, 0x1.e01b32a53298dp-1, -0x1.8a7a955c76d8dp+1, 0x1.1a1f856d485e2p+2, -0x1.9966b3a7f7555p+1}, 
        {0x1.653f7ced91687p+1, 0x1.6c083126e978dp+1, 0x1.9292a2c931fc7p-1, -0x1.521e672c93508p+1, 0x1.f326c6dd4c7b5p+1, -0x1.76338e69d3a4fp+1}, 
        {0x1.6c083126e978dp+1, 0x1.72d0e56041893p+1, 0x1.5046f9860abdfp-1, -0x1.205cb2a5493fbp+1, 0x1.b7a7488a6c9f7p+1, -0x1.54f90718e2122p+1}, 
        {0x1.72d0e56041893p+1, 0x1.799999999999ap+1, 0x1.17e1a1b4dfdffp-1, -0x1.e943b15fe6edfp+0, 0x1.817053f4cdcc2p+1, -0x1.35a929ecf0d34p+1}, 
        {0x1.799999999999ap+1, 0x1.80624dd2f1aap+1, 0x1.d054da77db2dep-2, -0x1.9cc53aafd5b0ap+0, 0x1.5033e5191d43dp+1, -0x1.183618f53c9c4p+1}, 
        {0x1.80624dd2f1aap+1, 0x1.872b020c49ba6p+1, 0x1.800ba87724712p-2, -0x1.5a37d78d7eaa3p+0, 0x1.23a62c64cf46bp+1, -0x1.f9248aab8e704p+0}, 
        {0x1.872b020c49ba6p+1, 0x1.8df3b645a1cacp+1, 0x1.3ce681c37ddd7p-2, -0x1.20a5363453508p+0, 0x1.f6fb044667e7cp+0, -0x1.c55f5ed4e9a38p+0}, 
        {0x1.8df3b645a1cacp+1, 0x1.94bc6a7ef9db2p+1, 0x1.0516cf82e82fep-2, -0x1.de4ccbc524d0ep-1, 0x1.aee4f0d843c7cp+0, -0x1.9502b5d3360c7p+0}, 
        {0x1.94bc6a7ef9db2p+1, 0x1.9b851eb851eb8p+1, 0x1.adfab2fddd7fcp-3, -0x1.89c6c4d854effp-1, 0x1.6e7f63ce7d7dep+0, -0x1.67f0e358b8a28p+0}, 
        {0x1.9b851eb851eb8p+1, 0x1.a24dd2f1a9fbep+1, 0x1.624e513e2d849p-3, -0x1.422538602769bp-1, 0x1.35445a4851cc9p+0, -0x1.3e1116d89e7b6p+0}, 
        {0x1.a24dd2f1a9fbep+1, 0x1.a916872b020c5p+1, 0x1.249506731ce95p-3, -0x1.05f1051890e84p-1, 0x1.02b1c37330689p+0, -0x1.174636796d6ccp+0}, 
        {0x1.a916872b020c5p+1, 0x1.afdf3b645a1cbp+1, 0x1.e51005edbbebep-4, -0x1.a79c3e36c05e6p-2, 0x1.ac945e066b95dp-1, -0x1.e6e9d8fbdfap-1}, 
        {0x1.afdf3b645a1cbp+1, 0x1.b6a7ef9db22d1p+1, 0x1.944eee0ca8fefp-4, -0x1.54f538c0a8fap-2, 0x1.5f290aa0eeaf7p-1, -0x1.a505f769055bp-1}, 
        {0x1.b6a7ef9db22d1p+1, 0x1.bd70a3d70a3d7p+1, 0x1.536a4257d81dp-4, -0x1.119b9b2cac30cp-2, 0x1.1c37b57766ec1p-1, -0x1.68a7938ea2647p-1}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.c4395810624ddp+1, 0x1.1f5e1b71d40b6p-4, -0x1.b6dd4610b0d36p-3, 0x1.c5bf3f97f96fap-2, -0x1.31993fa7c7b87p-1}, 
        {0x1.c4395810624ddp+1, 0x1.cb020c49ba5e3p+1, 0x1.eb2a251949651p-5, -0x1.60f8997098537p-3, 0x1.649113498842fp-2, -0x1.ff476dab2d03dp-2}, 
        {0x1.cb020c49ba5e3p+1, 0x1.d1cac083126e9p+1, 0x1.a7bd13c052f63p-5, -0x1.1dfefcf572354p-3, 0x1.1345f966e42d2p-2, -0x1.a520c3ec46b69p-2}, 
        {0x1.d1cac083126e9p+1, 0x1.d89374bc6a7fp+1, 0x1.70cab2ef959f7p-5, -0x1.d578b99b91828p-4, 0x1.a0a0c2d61a50bp-3, -0x1.5450a2912076bp-2}, 
        {0x1.d89374bc6a7fp+1, 0x1.df5c28f5c28f6p+1, 0x1.434dc05c8ee7bp-5, -0x1.889e276f9a6ffp-4, 0x1.3468662e18b14p-3, -0x1.0c69b2338127p-2}, 
        {0x1.df5c28f5c28f6p+1, 0x1.e624dd2f1a9fcp+1, 0x1.1cd4f1f3f38e5p-5, -0x1.5048725aba5fcp-4, 0x1.be1ae337570d6p-4, -0x1.99fd29b427738p-3}, 
        {0x1.e624dd2f1a9fcp+1, 0x1.eced916872b02p+1, 0x1.f6e5514a6cd81p-6, -0x1.27e7e37dd5383p-4, 0x1.3bba827f96489p-4, -0x1.2b42492a82274p-3}, 
        {0x1.eced916872b02p+1, 0x1.f3b645a1cac08p+1, 0x1.bb5ad6f9111c9p-6, -0x1.0b7b77e686451p-4, 0x1.b920e0b402cp-5, -0x1.97927c748130fp-4}, 
        {0x1.f3b645a1cac08p+1, 0x1.fa7ef9db22d0ep+1, 0x1.84e2572985d6p-6, -0x1.ef12ff1c64ee6p-5, 0x1.37853d38f23e8p-5, -0x1.ead3ce79a7f57p-5}, 
        {0x1.fa7ef9db22d0ep+1, 0x1.00a3d70a3d70ap+2, 0x1.52029fef287f4p-6, -0x1.d23071e84c503p-5, 0x1.d2f5342d8288cp-6, -0x1.b966242dac48ap-6}, 
        {0x1.00a3d70a3d70ap+2, 0x1.04083126e978dp+2, 0x1.21d714fda7b0fp-6, -0x1.bb4ce0fa246b4p-5, 0x1.8cc67fd55a15dp-6, -0x1.4c0c09f34bb34p-13}, 
        {0x1.04083126e978dp+2, 0x1.076c8b439581p+2, 0x1.e7edd146878d8p-7, -0x1.a6483a7fbd5dbp-5, 0x1.8c5ce88c8e40ep-6, 0x1.5586dbabe3316p-6}, 
        {0x1.076c8b439581p+2, 0x1.0ad0e56041893p+2, 0x1.90bbce6699abdp-7, -0x1.8fd5fc87bc61ep-5, 0x1.c2aa6a3261bcap-6, 0x1.2afb31594a4bp-5}, 
        {0x1.0ad0e56041893p+2, 0x1.0e353f7ced917p+2, 0x1.3eada4d14bb0bp-7, -0x1.756e5bd2a03a6p-5, 0x1.10def0669eba9p-5, 0x1.8285c4d5f9bb4p-5}, 
        {0x1.0e353f7ced917p+2, 0x1.119999999999ap+2, 0x1.e59d36e9c26d2p-8, -0x1.553fe2ac2532cp-5, 0x1.4e53f3cb33c08p-5, 0x1.b5c540e46a8d5p-5}, 
        {0x1.119999999999ap+2, 0x1.14fdf3b645a1dp+2, 0x1.5cf56e8b89c59p-8, -0x1.2e1f27a7265e7p-5, 0x1.93eef6b008471p-5, 0x1.c491a4104a26bp-5}, 
        {0x1.14fdf3b645a1dp+2, 0x1.18624dd2f1aap+2, 0x1.ccf35e1221433p-9, -0x1.fefb5e6b0e2f9p-6, 0x1.dbe4541a0be01p-5, 0x1.bfb1c9f905aa9p-5}, 
        {0x1.18624dd2f1aap+2, 0x1.1bc6a7ef9db23p+2, 0x1.0abfcdbd0d134p-9, -0x1.928c2139ff3e5p-6, 0x1.1189a479c7cbcp-4, 0x1.78be5bc2ae05bp-5}, 
        {0x1.1bc6a7ef9db23p+2, 0x1.1f2b020c49ba6p+2, 0x1.e6379d97758b4p-11, -0x1.1837c01db34cfp-6, 0x1.2f7d20c33dd29p-4, 0x1.ad17b20a91cdcp-5}, 
        {0x1.1f2b020c49ba6p+2, 0x1.228f5c28f5c29p+2, 0x1.f0b494c3b8003p-13, -0x1.209cfb7575912p-7, 0x1.519a050f9a0dcp-4, -0x1.c2d249aa0f6a4p+0}, 
      }}, 
      0x1.03f40e1096598p+6, -0x1.2d806db976d83p+9
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_o_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2db92ca2a114fp+0, -0x1.1d03423a9c37fp+0, -0x1.0c70a3f655482p+0, -0x1.f81c0d5fa357p-1, -0x1.d7cd3c4678e5dp-1, -0x1.b8080d5221a69p-1, -0x1.98dd7080482efp-1, -0x1.7a5ca2c3cda1bp-1, -0x1.5c92e16a57e89p-1, -0x1.3f8af6a78e8b3p-1, -0x1.234d56c3724e8p-1, -0x1.07e0c04f5baep-1, -0x1.da95a89796585p-2, -0x1.a7208016a3296p-2, -0x1.75690ed26b816p-2, -0x1.45738a06882c9p-2, -0x1.1741492eace89p-2, -0x1.d5a27fb7a86c9p-3, -0x1.80416d40513fdp-3, -0x1.2e57da6ff6bbp-3, -0x1.bfb9c23be2a82p-4, -0x1.299569c8292f5p-4, -0x1.343fb9ab7a279p-5, -0x1.13ba5179ef0d4p-8, 0x1.c4e2c7e280992p-6, 0x1.dac215b894fadp-5, 0x1.63630fbfb9b1cp-4, 0x1.d365ab513d843p-4, 0x1.1ec85fdc69023p-3, 0x1.51068e12277d4p-3, 0x1.808247e26048ep-3, 0x1.ad50f70c6b809p-3, 0x1.d788747155cf4p-3, 0x1.ff3ee007544fcp-3, 0x1.12453704424d9p-2, 0x1.23c09b0921a0ap-2, 0x1.341c86cd23264p-2, 0x1.4363b8edd5de1p-2, 0x1.51a0c0647b13fp-2, 0x1.5eddfebec110dp-2, 0x1.6b25ad772f622p-2, 0x1.7681e375aad9ep-2, 0x1.80fc97ea3a9fcp-2, 0x1.8a9fa0726df4fp-2, 0x1.9374a9cc95e5fp-2, 0x1.9b852c041d3dcp-2, 0x1.a2da5c7e7e37dp-2, 0x1.a97d211440c21p-2, 0x1.af760721f38adp-2, 0x1.b4cd4059dfa28p-2, 0x1.b98aa58c9ce5ap-2, 0x1.bdb5be27abf28p-2, 0x1.c155ca35ccbffp-2, 0x1.c471cc68acdc8p-2, 0x1.c71092128215ap-2, 0x1.c938b7c501654p-2, 0x1.caf0aa44774d4p-2, 0x1.cc3ea45c0ee99p-2, 0x1.cd28aab10bf2p-2, 0x1.cdb486e17777cp-2, 0x1.cde7c3134400fp-2, 0x1.cdc7a6bcec5c5p-2, 0x1.cd593507400bep-2, 0x1.cca9d559a00f3p-2, 0x1.cbad46ac9cc57p-2, 0x1.ca6f3033957aap-2, 0x1.c8f38db1f5462p-2, 0x1.c73e3011027abp-2, 0x1.c552c0189cf28p-2, 0x1.c334c0366d2ep-2, 0x1.c0e78d6a52af3p-2, 0x1.be6e5f8649a1p-2, 0x1.bbcc48fe066c9p-2, 0x1.b90436867b2c8p-2, 0x1.b618eec03055ap-2, 0x1.b30d121b7fb68p-2, 0x1.afe31b1627f1dp-2, 0x1.ac9d5ee1b4698p-2, 0x1.a93e0e73f4f15p-2, 0x1.a5c737f7b9f62p-2, 0x1.a23ac88cb6711p-2, 0x1.9e9a8e418be2bp-2, 0x1.9ae83a31f3df9p-2, 0x1.972562b410414p-2, 0x1.9353858222d36p-2, 0x1.8f7409d0f4483p-2, 0x1.8b88424636891p-2, 0x1.87916ec545ae9p-2, 0x1.8390be0b8963ep-2, 0x1.7f874f1874351p-2, 0x1.7b76325fc94b1p-2, 0x1.775e6ac759cf1p-2, 0x1.7340ee73c6274p-2, 0x1.6f1ea769c3bfp-2, 0x1.6af8740ae47a6p-2, 0x1.66cf2775ab3a6p-2, 0x1.62a389d0d56b8p-2, 0x1.5e76588963ee5p-2, 0x1.5a484689fc314p-2, 0x1.5619fc7135fap-2, 0x1.51ec18cb2c5eep-2, 0x1.4dbf30519dec9p-2, 0x1.4993ce34dacc3p-2, 0x1.456a746ee5264p-2, 0x1.41439c215d41bp-2, 0x1.3d1fb5fe11583p-2, 0x1.38ff2ab9618a7p-2, 0x1.34e25b84fe991p-2, 0x1.30c9a2910bcf3p-2, 0x1.2cb5539134eacp-2, 0x1.28a5bc431082dp-2, 0x1.249b24f31cddep-2, 0x1.2095d0fdb33e7p-2, 0x1.1c95ff49a842ep-2, 0x1.189beabaa69d6p-2, 0x1.14a7ca99d0f08p-2, 0x1.10b9d2f3a9179p-2, 0x1.0cd234eac2965p-2, 0x1.08f11eff14a62p-2, 0x1.0516bd4a2f29dp-2, 0x1.014339b0d4479p-2, 0x1.faed78155ddddp-3, 0x1.f362d48225d27p-3, 0x1.ebe6d0cba0306p-3, 0x1.e479b18687e8p-3, 0x1.dd1bb7cdb2619p-3, 0x1.d5cd214e7d094p-3, 0x1.ce8e284f0d519p-3, 0x1.c75f03b0ce6abp-3, 0x1.c03fe6f1453fp-3, 0x1.b931022b2668p-3, 0x1.b23282192937fp-3, 0x1.ab44901bcf3bp-3, 0x1.a4675242cd76dp-3, 0x1.9d9aeb5a9fc0ep-3, 0x1.96df7afe3736bp-3, 0x1.90351daca9747p-3, 0x1.899bece26c6f1p-3, 0x1.8313ff359699dp-3, 0x1.7c9d68747edb8p-3, 0x1.763839c616f55p-3, 0x1.6fe481cb4f8dap-3, 0x1.69a24cc0fbc68p-3, 0x1.6371a4a198addp-3, 0x1.5d529146870fbp-3, 0x1.5745188852836p-3, 0x1.51493e5da9566p-3, 0x1.4b611a42a193p-3, 0x1.45882df9c74abp-3, 0x1.3fc0ddb964f97p-3, 0x1.3a0b295d97fb6p-3, 0x1.34670f39d8529p-3, 0x1.2ed48c21180bfp-3, 0x1.29539b6e50989p-3, 0x1.23e4370d92554p-3, 0x1.1e8657859d4a2p-3, 0x1.1939f401e9a04p-3, 0x1.13ff025d2a5b5p-3, 0x1.0ed5772c1914bp-3, 0x1.09bd45c88c7bep-3, 0x1.04b6605ca310dp-3, 0x1.ff816fdbe9d18p-4, 0x1.f5b878d159a28p-4, 0x1.ec11b954d5d54p-4, 0x1.e28d0d19b8fb3p-4, 0x1.d92a4ddfe45cap-4, 0x1.cfe953875b05bp-4, 0x1.c6c9f422d4f16p-4, 0x1.bdcc04095f6eap-4, 0x1.b4ef55e6f21f3p-4, 0x1.ac33bacbf6ccep-4, 0x1.a399023bd066cp-4, 0x1.9b1efa3a7b88dp-4, 0x1.92c56f594482cp-4, 0x1.8a8c2cc2b012p-4, 0x1.8272fc45b7b41p-4, 0x1.7a79a66068b2ep-4, 0x1.729ff24a03a64p-4, 0x1.6ae5a5fcb7817p-4, 0x1.634a863f10fb4p-4, 0x1.5bce56ad36f22p-4, 0x1.5470d9c2096ecp-4, 0x1.4d31d0e0388f1p-4, 0x1.4610fc5b63896p-4, 0x1.3f0e1b814dac4p-4, 0x1.3828eca335da2p-4, 0x1.31612d1f5789p-4, 0x1.2ab6996a9b14fp-4, 0x1.2428ed1a7754ep-4, 0x1.1db7e2ef0335cp-4, 0x1.176334dd37b6ep-4, 0x1.112a9c1959d5ap-4, 0x1.0b0dd12189103p-4, 0x1.050c8bc86b76bp-4, 0x1.fe4d067fd8c4p-5, 0x1.f2b6dc48127b1p-5, 0x1.e756050b3fcc5p-5, 0x1.dc29ebea71fbp-5, 0x1.d131fb1b86ec3p-5, 0x1.c66d9bfe78d73p-5, 0x1.bbdc373270bd1p-5, 0x1.b17d34aa949eep-5, 0x1.a74ffbc284c6ap-5, 0x1.9d53f3527d95ep-5, 0x1.938881c312975p-5, 0x1.89ed0d2083876p-5, 0x1.8080fb2d9f5dbp-5, 0x1.7743b17633ee7p-5, 0x1.6e34956108087p-5, 0x1.65530c415bd5cp-5, 0x1.5c9e7b67f57a8p-5, 0x1.54164833adfc2p-5, 0x1.4bb9d8218d914p-5, 0x1.438890dc6f9ccp-5, 0x1.3b81d84c3071p-5, 0x1.33a514a46c984p-5, 0x1.2bf1ac72cfe07p-5, 0x1.246706acf645ap-5, 0x1.1d048abde56c6p-5, 0x1.15c9a0931ce7ap-5, 0x1.0eb5b0a943a11p-5, 0x1.07c8241871ae7p-5, 0x1.010064a01c368p-5, 0x1.f4bbb965455f6p-6, 0x1.e7bfef0101498p-6, 0x1.db0c42064ce97p-6, 0x1.ce9f8c0ef2d25p-6, 0x1.c278a86ff8602p-6, 0x1.b696744d489a3p-6, 0x1.aaf7ceaca8d3fp-6, 0x1.9f9b988813325p-6, 0x1.9480b4df61453p-6, 0x1.89a608c951f74p-6, 0x1.7f0a7b83e802fp-6, 0x1.74acf684296p-6, 0x1.6a8c658533b0cp-6, 0x1.60a7b696b0f3bp-6, 0x1.56fdda2aa1e9ep-6, 0x1.4d8dc322934e7p-6, 0x1.445666dc226ecp-6, 0x1.3b56bd3ce9c2bp-6, 0x1.328dc0bdc4a2bp-6, 0x1.29fa6e757f37ep-6, 0x1.219bc622db6c9p-6, 0x1.1970ca36037f4p-6, 0x1.11787fd956839p-6, 0x1.09b1eef9a8da5p-6, 0x1.021c224ddbc78p-6, 0x1.f56c4ebbdd407p-7, 0x1.e6fe1d12e4b16p-7, 0x1.d8ebd61ae0aaep-7, 0x1.cb33a6137f251p-7, 0x1.bdd3bf0ba125fp-7, 0x1.b0ca58e9d7bd9p-7, 0x1.a415b173df768p-7, 0x1.97b40c5500e37p-7, 0x1.8ba3b3238e972p-7, 0x1.7fe2f56544014p-7, 0x1.74702892d13p-7, 0x1.6949a81a65058p-7, 0x1.5e6dd561509d3p-7, 0x1.53db17c4dbcf8p-7, 0x1.498fdc9a290c4p-7, 0x1.3f8a972d581d2p-7, 0x1.35c9c0bfd5f15p-7, 0x1.2c4bd885e3dc2p-7, 0x1.230f63a3674dfp-7, 0x1.1a12ed27fdaa9p-7, 0x1.1155060a5eefdp-7, 0x1.08d445231267ep-7, 0x1.008f472686042p-7, 0x1.f1095d3cfbea1p-8, 0x1.e16647c5e6096p-8, 0x1.d232aa24b6655p-8, 0x1.c36bec12c4648p-8, 0x1.b50f80b44a268p-8, 0x1.a71ae685c1cbfp-8, 0x1.998ba7485de74p-8, 0x1.8c5f57ed8d53dp-8, 0x1.7f9398819494cp-8, 0x1.732614156784ep-8, 0x1.671480a7a028p-8, 0x1.5b5c9f0cbbfe5p-8, 0x1.4ffc3ad6a069ep-8, 0x1.44f12a3b603d3p-8, 0x1.3a394dfb7e1efp-8, 0x1.2fd291476dd5ep-8, 0x1.25bae9a4938adp-8, 0x1.1bf056d1b52c9p-8, 0x1.1270e2aae230ep-8, 0x1.093aa10cf7bp-8, 0x1.004bafb8980c2p-8, 0x1.ef446c6996ad8p-9, 0x1.de78cb625e3dap-9, 0x1.ce30f1cfcd449p-9, 0x1.be6967fe3680cp-9, 0x1.af1ec8d48670fp-9, 0x1.a04dc1965587cp-9, 0x1.91f311a567721p-9, 0x1.840b8a42c2c79p-9, 0x1.76940e4f94612p-9, 0x1.6989920d82912p-9, 0x1.5ce91adf04dd3p-9, 0x1.50afbf075151ep-9, 0x1.44daa56a3e942p-9, 0x1.3967054bf8e98p-9, 0x1.2e522610b860ep-9, 0x1.23995efc5f55bp-9, 0x1.193a16f22826fp-9, 0x1.0f31c4345e305p-9, 0x1.057dec243a3a3p-9, 0x1.f8384603b8608p-10, 0x1.e6141758c8bc3p-10, 0x1.d48aaec4d67ebp-10, 0x1.c3978b051fa8ap-10, 0x1.b3049d67091ep-10, 0x1.a32df5b858a2p-10, 0x1.93e0e626ff024p-10, 0x1.85195978571b6p-10, 0x1.76d35419d678ep-10, 0x1.690af3a866857p-10, 0x1.5bbc6e78b56d8p-10, 0x1.4ee41320f84dbp-10, 0x1.427e480351c2dp-10, 0x1.36878ad9b627fp-10, 0x1.2afc7042c0c58p-10, 0x1.1fd9a34fd0a43p-10, 0x1.151be51451fc8p-10, 0x1.0ac00c364527ap-10, 0x1.00c3047ff2db1p-10, 0x1.ee439ce5f61bbp-11, 0x1.dbb2fdb91c763p-11, 0x1.c9ce7cd60a7f1p-11, 0x1.b89092893236dp-11, 0x1.a7f3dd3f78d3ep-11, 0x1.97f320b8b7501p-11, 0x1.8889453d8a898p-11, 0x1.79b156d78974bp-11, 0x1.6b66848bd1628p-11, 0x1.5da41f990b0f6p-11, 0x1.50659ab745df1p-11, 0x1.43a6895b2d41ep-11, 0x1.37629efb84317p-11, 0x1.2b95ae5998e19p-11, 0x1.203ba8cc16a16p-11, 0x1.15509d8d19ccfp-11, 0x1.0ad0b90a929e8p-11, 0x1.00b844393f60ap-11, 0x1.ee0747d5c1a08p-12, 0x1.db5eb04d73873p-12, 0x1.c96ff70956bffp-12, 0x1.b8348517168b8p-12, 0x1.a7a5f6233f3fep-12, 0x1.97be174020f6cp-12, 0x1.8876e5b1dfa5p-12, 0x1.79ca8dc00b20bp-12, 0x1.6bb3698bba531p-12, 0x1.5e2bffec9549bp-12, 0x1.512f035124f1fp-12, 0x1.44b750a5fde2ep-12, 0x1.38bfee41118d3p-12, 0x1.2d440ad2acba2p-12, 0x1.223efc5b32dd5p-12, 0x1.17ac3f26b7593p-12, 0x1.0d8774ccb08d6p-12, 0x1.03cc63354cf31p-12, 0x1.f4ede747251afp-13, 0x1.e30663885e069p-13, 0x1.d1da9583e1f49p-13, 0x1.c16318bc0b56dp-13, 0x1.b198c81c13368p-13, 0x1.a274bc3ba9f8cp-13, 0x1.93f049ae21b44p-13, 0x1.8604ff58a4ac1p-13, 0x1.78aca4d394deap-13, 0x1.6be138d3564dap-13, 0x1.5f9cef9b1bd14p-13, 0x1.53da31784b7b1p-13, 0x1.48939945b3783p-13, 0x1.3dc3f2f8a92e2p-13, 0x1.33663a3541fe9p-13, 0x1.297598ec71c54p-13, 0x1.1fed66008155p-13, 0x1.16c923f2b2ef1p-13, 0x1.0e047f989b4e8p-13, 0x1.059b4ed86a04cp-13, 0x1.fb131edd0416fp-14, 0x1.eb96cb712b862p-14, 0x1.dcba371394632p-14, 0x1.ce763e079ebbcp-14, 0x1.c0c402f46d554p-14, 0x1.b39cecb3ee7d5p-14, 0x1.a6faa42fc7196p-14, 0x1.9ad7124ff7e56p-14, 0x1.8f2c5df187fbp-14, 0x1.83f4e9ebe9661p-14, 0x1.792b53234f4aap-14, 0x1.6eca6ea640395p-14, 0x1.64cd47d799469p-14, 0x1.5b2f1ea49ca98p-14, 0x1.51eb65c4860f1p-14, 0x1.48fdc107487d9p-14, 0x1.406203abe312dp-14, 0x1.38142ec1ad1edp-14, 0x1.30106f97d44a7p-14, 0x1.28531e333542fp-14, 0x1.20d8bbd0b503dp-14, 0x1.199df171a7a9fp-14, 0x1.129f8e705d584p-14, 0x1.0bda87223cdd2p-14, 0x1.054bf37f9c232p-14, 0x1.fde21bae95f8ap-15, 0x1.f18e6315eed6ap-15, 0x1.e597b3a94beb3p-15, 0x1.d9f9412bb687cp-15, 0x1.ceae7a5b6b3c6p-15, 0x1.c3b306b4b573p-15, 0x1.b902c4445ce85p-15, 0x1.ae99c58974bb2p-15, 0x1.a4744f6897352p-15, 0x1.9a8ed72fd1833p-15, 0x1.90e600ab222dbp-15, 0x1.87769c437ba33p-15, 0x1.7e3da5374e635p-15, 0x1.75383fd9f49b5p-15, 0x1.6c63b7e1c4009p-15, 0x1.63bd7ec968549p-15, 0x1.5b432a3ab0866p-15, 0x1.52f27289023b1p-15, 0x1.4ac93138ee761p-15, 0x1.42c55f939ca41p-15, 0x1.3ae5154783cecp-15, 0x1.332687167089fp-15, 0x1.2b88058dd4384p-15, 0x1.2407fbc6e4fe1p-15, 0x1.1ca4ee3d04b41p-15, 0x1.155d79a26dc6dp-15, 0x1.0e3051c6de025p-15, 0x1.071c40848da75p-15, 0x1.002024ba16fdcp-15, 0x1.f275e2978fcc5p-16, 0x1.e4d7585dcb259p-16, 0x1.d762dafabeeb3p-16, 0x1.ca16bd2543224p-16, 0x1.bcf17260a7229p-16, 0x1.aff18d5818cf5p-16, 0x1.a315be44a12c6p-16, 0x1.965cd16b0c68dp-16, 0x1.89c5ad9fcc699p-16, 0x1.7d4f52de24b74p-16, 0x1.70f8d8ea8ea37p-16, 0x1.64c16e053666ep-16, 0x1.58a855a1b53dap-16, 0x1.4cace739f9654p-16, 0x1.40ce8d1f4645dp-16, 0x1.350cc35934c0ap-16, 0x1.2967169949c99p-16, 0x1.1ddd2330c35f9p-16, 0x1.126e940c6db75p-16, 0x1.071b21cdd79b6p-16, 0x1.f7c523afdc712p-17, 0x1.e1896aecc827cp-17, 0x1.cb82d20890f3dp-17, 0x1.b5b1263f6855ap-17, 0x1.a01447ccb6171p-17, 0x1.8aac2874e85e8p-17, 0x1.7578ca1c20cafp-17, 0x1.607a3d6b6d7eep-17, 0x1.4bb0a093ace5ap-17, 0x1.371c1e126620bp-17, 0x1.22bceb842a462p-17, 0x1.0e93488b2931bp-17, 0x1.f53efb7f9041fp-18, 0x1.cdc3b7627df5ep-18, 0x1.a6b573e0dadb2p-18, 0x1.8014ec4fec8f4p-18, 0x1.59e2e67b3be63p-18, 0x1.34203106414a8p-18, 0x1.0ecda1e4ad5aep-18, 0x1.d3d829bab2b0bp-19, 0x1.8af8d46820348p-19, 0x1.42ff0a622b334p-19, 0x1.f7d92c9786d19p-20, 0x1.6b868865b2feep-20, 0x1.c2137ddeb652ap-21, 0x1.619985e195b7dp-22, -0x1.730040444ab29p-23, -0x1.668c0506898b9p-21, -0x1.36482324a2acep-20, -0x1.b76312a27b2f6p-20, -0x1.1b49c7f0fe469p-19, -0x1.59eb396b70357p-19, -0x1.97945780e57dep-19, -0x1.d443aad8517ddp-19, -0x1.07fbe60cbdbd7p-18, -0x1.2557b27011db5p-18, -0x1.4234984fb0e9ep-18, -0x1.5e91febd916fbp-18, -0x1.7a6f56790ed91p-18, -0x1.95cc1a40499b1p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.bf711c58cf92ep+0, -0x1.b812688500608p+0, -0x1.b09d993d62cf8p+0, -0x1.a9176c65e288dp+0, -0x1.a1844ccbacc32p+0, -0x1.99e85e24eb484p+0, -0x1.92477bc53574dp+0, -0x1.8aa5391085cp+0, -0x1.8304e2dcd0203p+0, -0x1.7b69808d8934p+0, -0x1.73d5daa25547dp+0, -0x1.6c4c81b3de876p+0, -0x1.64cfcfea7eb08p+0, -0x1.5d61e81e2c742p+0, -0x1.5604b74600acp+0, -0x1.4eb9f84b10c04p+0, -0x1.478338c2d81ecp+0, -0x1.4061ddac169e5p+0, -0x1.3957271aa4ba7p+0, -0x1.326432340a3ebp+0, -0x1.2b89fa26629a7p+0, -0x1.24c95f4e70954p+0, -0x1.1e230fd290cfep+0, -0x1.1797b031d5b94p+0, -0x1.1127c6bcbf065p+0, -0x1.0ad3c2947338p+0, -0x1.049bfd4194a55p+0, -0x1.fd0177c318724p-1, -0x1.f10460d1b30d6p-1, -0x1.e540f670e4a5ap-1, -0x1.d9b759a1c747ap-1, -0x1.ce678e90e04a9p-1, -0x1.c3517ec9dcb64p-1, -0x1.b874fb0cf2ee2p-1, -0x1.add1bd45cf531p-1, -0x1.a3676ad033f19p-1, -0x1.993596ccea8c3p-1, -0x1.8f3bc42656d4bp-1, -0x1.857967142ca78p-1, -0x1.7bede63be6c45p-1, -0x1.72989bb975168p-1, -0x1.6978d6511bf79p-1, -0x1.608ddadbaa1c9p-1, -0x1.57d6e5ce5df68p-1, -0x1.4f532cab0b7p-1, -0x1.4701df301d1dfp-1, -0x1.3ee2283da794fp-1, -0x1.36f32e821e885p-1, -0x1.2f3415106581ap-1, -0x1.27a3fbfdee65bp-1, -0x1.204201175b9ep-1, -0x1.190d40a66e35ap-1, -0x1.1204d6361e78ap-1, -0x1.0b27dd3ea7f82p-1, -0x1.047571aa62c1ap-1, -0x1.fbd96061f4b6fp-2, -0x1.ef196d258c52cp-2, -0x1.e2a9478a8e16ep-2, -0x1.d687304465847p-2, -0x1.cab16b4a4f082p-2, -0x1.bf2640779f1dp-2, -0x1.b3e3fc48218f6p-2, -0x1.a8e8f09c4c0eap-2, -0x1.9e337718c0237p-2, -0x1.93c1e2507ff25p-2, -0x1.8992a2ce4a725p-2, -0x1.7fa42524b9963p-2, -0x1.75f4dd020891ap-2, -0x1.6c834553896aap-2, -0x1.634de0560dfd1p-2, -0x1.5a533797e150ap-2, -0x1.5191dbf2b15e6p-2, -0x1.49086583f39c9p-2, -0x1.40b573a8b0ca7p-2, -0x1.3897acff1ca39p-2, -0x1.30adbf6d7e542p-2, -0x1.28f6602bb882p-2, -0x1.21704bcb8b71p-2, -0x1.1a1a463bb1efep-2, -0x1.12f31ac31173dp-2, -0x1.0bf99bf2eee75p-2, -0x1.052ca390e074p-2, -0x1.fd1624f55689ap-3, -0x1.f027a10dbdf25p-3, -0x1.e38b98ca0d528p-3, -0x1.d73ff6fee5de6p-3, -0x1.cb42b3bf0f9fp-3, -0x1.bf91d4289d78bp-3, -0x1.b42b6a343a76dp-3, -0x1.a90d948336eabp-3, -0x1.9e367e29289ap-3, -0x1.93a45e6e993d4p-3, -0x1.8955788bef507p-3, -0x1.7f481b5cff2a7p-3, -0x1.757aa10f46ecfp-3, -0x1.6beb6ecd8365cp-3, -0x1.6298f46b96bd1p-3, -0x1.5981ac158183bp-3, -0x1.50a41a036e0dfp-3, -0x1.47fecc33fa0f5p-3, -0x1.3f905a2cefb7bp-3, -0x1.375764c1e6dd8p-3, -0x1.2f5295df918adp-3, -0x1.2780a05a4a69bp-3, -0x1.1fe03fbe45008p-3, -0x1.1870381ff7fcap-3, -0x1.112f55eb9d82dp-3, -0x1.0a1c6db316f66p-3, -0x1.03365bf9cd4d1p-3, -0x1.f8f809fd57aep-4, -0x1.ebd8a90925724p-4, -0x1.df0c7b33c09ccp-4, -0x1.d29174bfacf16p-4, -0x1.c66597a5303c6p-4, -0x1.ba86f3250b3a1p-4, -0x1.aef3a35f0823cp-4, -0x1.a3a9d0ed48dbp-4, -0x1.98a7b084c9b0fp-4, -0x1.8deb829b332c6p-4, -0x1.83739311aba4fp-4, -0x1.793e38e445a7bp-4, -0x1.6f49d5dd453bfp-4, -0x1.6594d64b845ebp-4, -0x1.5c1db0bb3d488p-4, -0x1.52e2e5b085a4cp-4, -0x1.49e2ff6305914p-4, -0x1.411c917a8c736p-4, -0x1.388e38cc5803p-4, -0x1.30369b191abd2p-4, -0x1.281466cbdbf2ep-4, -0x1.202652b9f8b6ep-4, -0x1.186b1de4879f3p-4, -0x1.10e18f3b72edap-4, -0x1.098875628547ep-4, -0x1.025ea678a14bp-4, -0x1.f6c5ffc28203p-5, -0x1.e928cc209cf33p-5, -0x1.dbe388b08a97ep-5, -0x1.cef4197514da4p-5, -0x1.c2586f73a9a3ap-5, -0x1.b60e885ce549cp-5, -0x1.aa146e3887aadp-5, -0x1.9e6837145e19ep-5, -0x1.930804b5d2982p-5, -0x1.87f2044dce5fdp-5, -0x1.7d246e2ea7fa6p-5, -0x1.729d8583e81adp-5, -0x1.685b84c2efe37p-5, -0x1.5e5ce4c43c4abp-5, -0x1.549ffb17414f6p-5, -0x1.4b2333abe89f6p-5, -0x1.41e503efbe6c7p-5, -0x1.38e3ea900de68p-5, -0x1.301e6f3df2bcp-5, -0x1.279322743e8eap-5, -0x1.1f409d3f330fap-5, -0x1.17258105ec866p-5, -0x1.0f40775583cb9p-5, -0x1.079031adbdd8cp-5, -0x1.0013694f450f8p-5, -0x1.f191be16aee7fp-6, -0x1.e35eb629bd341p-6, -0x1.d58b59a5a49cp-6, -0x1.c8155567dcd4fp-6, -0x1.bafa64072e88ep-6, -0x1.ae384d7feba5ep-6, -0x1.a1cce6e266976p-6, -0x1.95b61203a2137p-6, -0x1.89f1bd3027e51p-6, -0x1.7e7de2e0fa089p-6, -0x1.7358897288498p-6, -0x1.687fc2ddab169p-6, -0x1.5df1ac7286b17p-6, -0x1.53ac6e95598bp-6, -0x1.49ae3c7d1a5a6p-6, -0x1.3ff553f3e5ef6p-6, -0x1.367ffd1916bf4p-6, -0x1.2d4c8a2520367p-6, -0x1.2459572efbd88p-6, -0x1.1ba4c9f31acf7p-6, -0x1.132d519bef9e2p-6, -0x1.0af1668bd0a22p-6, -0x1.02ef8a285692bp-6, -0x1.f64c8d4dfd63fp-7, -0x1.e7285db64fd2cp-7, -0x1.d86fbc0a86d2p-7, -0x1.ca1fef4675cc2p-7, -0x1.bc364e840f17fp-7, -0x1.aeb040a0ace0bp-7, -0x1.a18b3be4ad602p-7, -0x1.94c4c5ad014e6p-7, -0x1.885a7216d9914p-7, -0x1.7c49e3ad41801p-7, -0x1.7090cb189eb2cp-7, -0x1.652ce6d0138cp-7, -0x1.5a1c02cca2b74p-7, -0x1.4f5bf83e166adp-7, -0x1.44eaad419d37dp-7, -0x1.3ac6149a0456dp-7, -0x1.30ec2d69888b2p-7, -0x1.275b02ed42afp-7, -0x1.1e10ac3a1cc3cp-7, -0x1.150b4bfb18c7p-7, -0x1.0c4910313c9e2p-7, -0x1.03c831f4ba3ecp-7, -0x1.f70dea6ee9bbcp-8, -0x1.e7075111ed6e8p-8, -0x1.d77949b716d84p-8, -0x1.c8609a9544e2ap-8, -0x1.b9ba1dc4f3a8ap-8, -0x1.ab82c0d1c2b41p-8, -0x1.9db7844e4ed41p-8, -0x1.90557b6a6a88ap-8, -0x1.8359cb8b5fb84p-8, -0x1.76c1abe65c773p-8, -0x1.6a8a651d05874p-8, -0x1.5eb150dbfb0dep-8, -0x1.5333d97b66dc5p-8, -0x1.480f79a16bc29p-8, -0x1.3d41bbe68efap-8, -0x1.32c83a7be86cfp-8, -0x1.28a09ed32715dp-8, -0x1.1ec8a14864ad3p-8, -0x1.153e08cdaad11p-8, -0x1.0bfeaa982e6cdp-8, -0x1.030869cf280e8p-8, -0x1.f4b26e78ddcp-9, -0x1.e3de21fcef61fp-9, -0x1.d3900478445f2p-9, -0x1.c3c445b389847p-9, -0x1.b4772e5febe93p-9, -0x1.a5a51f8756a4fp-9, -0x1.974a91ffa5201p-9, -0x1.896415e072bcfp-9, -0x1.7bee51fc13774p-9, -0x1.6ee6035ae0acdp-9, -0x1.6247fcb959dabp-9, -0x1.56112608a8b77p-9, -0x1.4a3e7bf215672p-9, -0x1.3ecd0f5c917cfp-9, -0x1.33ba04f4f3798p-9, -0x1.290294b86c8ep-9, -0x1.1ea4098198e7ap-9, -0x1.149bc097a6c88p-9, -0x1.0ae7293fd40b1p-9, -0x1.0183c4513f3f2p-9, -0x1.f0de47958c055p-10, -0x1.df4dd4d648c1p-10, -0x1.ce5196965cbaap-10, -0x1.bde512f4259dfp-10, -0x1.ae03ef37549edp-10, -0x1.9ea9ef11b9f99p-10, -0x1.8fd2f3e3d0d81p-10, -0x1.817afc052e81fp-10, -0x1.739e221106635p-10, -0x1.66389c35bb72bp-10, -0x1.5946bb893a922p-10, -0x1.4cc4eb5fa408ep-10, -0x1.40afb0a6b856cp-10, -0x1.3503a943f3d4p-10, -0x1.29bd8b7612e3bp-10, -0x1.1eda253ab3fdcp-10, -0x1.14565bb655347p-10, -0x1.0a2f2aa04949bp-10, -0x1.0061a3b17e3e8p-10, -0x1.edd5dc2c57149p-11, -0x1.db908bc6e735ep-11, -0x1.c9edf71dfd7f5p-11, -0x1.b8e8e6d46b2fp-11, -0x1.a87c4a408b8b5p-11, -0x1.98a3366d13cbfp-11, -0x1.8958e52168f97p-11, -0x1.7a98b3ed93bdcp-11, -0x1.6c5e233ca27f1p-11, -0x1.5ea4d56c486d2p-11, -0x1.51688de8ec238p-11, -0x1.44a530503e08bp-11, -0x1.3856bf9786bc7p-11, -0x1.2c795d377f41fp-11, -0x1.2109485d1712ap-11, -0x1.1602dd1e66722p-11, -0x1.0b6293b52141ep-11, -0x1.0124ffbcdc03dp-11, -0x1.ee8d9eec95dd2p-12, -0x1.db89961d56767p-12, -0x1.c937a7d71156fp-12, -0x1.b791c7f5a8ef8p-12, -0x1.a6921a0e4a3bep-12, -0x1.9632f01f1c18ap-12, -0x1.866ec948df211p-12, -0x1.7740508f31369p-12, -0x1.68a25b9f7f0bbp-12, -0x1.5a8fe9a192e6fp-12, -0x1.4d04220e75fdbp-12, -0x1.3ffa538e731e3p-12, -0x1.336df2dd63d61p-12, -0x1.275a99b89c9dap-12, -0x1.1bbc05d0a38a3p-12, -0x1.108e17c35e951p-12, -0x1.05ccd21baabdep-12, -0x1.f6e8b0b1be4b9p-13, -0x1.e301dbf3908d5p-13, -0x1.cfddeb23b69c8p-13, -0x1.bd75dfc101011p-13, -0x1.abc2f5e070047p-13, -0x1.9abea276d1983p-13, -0x1.8a6291abacbcep-13, -0x1.7aa8a53a22f86p-13, -0x1.6b8af2d81a7afp-13, -0x1.5d03c2ae5beffp-13, -0x1.4f0d8dd4cc58fp-13, -0x1.41a2fcdbbae26p-13, -0x1.34bee65f691d2p-13, -0x1.285c4da321105p-13, -0x1.1c76613802b15p-13, -0x1.10f7a5575da1p-13, -0x1.05fcf60d338cp-13, -0x1.f6e306511b7cbp-14, -0x1.e2a2364e69824p-14, -0x1.cf2f63206e414p-14, -0x1.bc82bba01467p-14, -0x1.aa94b436e189ap-14, -0x1.995e04b2c3fddp-14, -0x1.88d7a62baf657p-14, -0x1.78fad0f71c344p-14, -0x1.69c0faa97abdfp-14, -0x1.5b23d42702163p-14, -0x1.4d1d47c276cccp-14, -0x1.3fa77764ccf46p-14, -0x1.32bcbacc65175p-14, -0x1.26579dce117abp-14, -0x1.1a72dea8c0d59p-14, -0x1.0f096c63a6708p-14, -0x1.04166539cba26p-14, -0x1.f32a2a1ef8cbap-15, -0x1.df01e7e20be0bp-15, -0x1.cbab49473f68fp-15, -0x1.b91de676c3497p-15, -0x1.a751a77595996p-15, -0x1.963ec185d1cbdp-15, -0x1.85ddb48675db5p-15, -0x1.762748810a4a7p-15, -0x1.67148b335cef9p-15, -0x1.589ecdb645efbp-15, -0x1.4abfa2364135fp-15, -0x1.3d70d9b9b1984p-15, -0x1.30ac81feacb88p-15, -0x1.246ce35a56d06p-15, -0x1.18ac7ec0d7b83p-15, -0x1.0d660bc9cd5e5p-15, -0x1.029476c90bc24p-15, -0x1.f065bded2d113p-16, -0x1.dc792950b89ep-16, -0x1.c95a2f2898a02p-16, -0x1.b7002a4a0f824p-16, -0x1.a562cdb288971p-16, -0x1.947a216564ad5p-16, -0x1.843e7f604ed98p-16, -0x1.74a89095c565dp-16, -0x1.65b14a3081bfap-16, -0x1.5751eab9a254fp-16, -0x1.4983f772a63f1p-16, -0x1.3c4139bacf42bp-16, -0x1.2f83bc8deb02ap-16, -0x1.2345ca17a91f3p-16, -0x1.1781e959c5fcfp-16, -0x1.0c32dbe7562fap-16, -0x1.01539bb189caap-16, -0x1.edbeb1cd6141p-17, -0x1.d9a2efd184668p-17, -0x1.c64b1e94b269p-17, -0x1.b3aecbd6485abp-17, -0x1.a1c5e2233f07bp-17, -0x1.9088a554e0524p-17, -0x1.7fefaf0ebe53ap-17, -0x1.6ff3eb762ebcfp-17, -0x1.608e95d94bf6ep-17, -0x1.51b935afc6658p-17, -0x1.436d9b75deadap-17, -0x1.35a5ddeffd313p-17, -0x1.285c57206ed92p-17, -0x1.1b8ba1caabbe4p-17, -0x1.0f2e96b5c103dp-17, -0x1.03404a2dcae8dp-17, -0x1.ef7813260bdeap-18, -0x1.d93ab2105e3fep-18, -0x1.c3bfe246404d8p-18, -0x1.aeff79928d2c9p-18, -0x1.9af1ae2e6e8f4p-18, -0x1.878f1270a0c66p-18, -0x1.74d091530dd01p-18, -0x1.62af6a670c225p-18, -0x1.51252e4127738p-18, -0x1.402bbb065839ap-18, -0x1.2fbd3908a06cep-18, -0x1.1fd4178eb7a8dp-18, -0x1.106b09b4a26b2p-18, -0x1.017d036ef482bp-18, -0x1.e60a6d52109dep-19, -0x1.c9fe20fa5086bp-19, -0x1.aecc6d2685ab4p-19, -0x1.946d09071258ap-19, -0x1.7ad81313a24ap-19, -0x1.62060b82b6663p-19, -0x1.49efd0c064081p-19, -0x1.328e9a7818a3p-19, -0x1.1bdbf5879bc96p-19, -0x1.05d1bff63675cp-19, -0x1.e0d44a4f46bacp-20, -0x1.b73f341da5bdfp-20, -0x1.8ed9b37812c33p-20, -0x1.6799c3c2d6547p-20, -0x1.4175df31e2738p-20, -0x1.1c64f88429c0ap-20, -0x1.f0bcea1ac3498p-21, -0x1.aab44dcddba84p-21, -0x1.66a08efc101d6p-21, -0x1.2472e45816351p-21, -0x1.c83a7e254e0c1p-22, -0x1.4b24812168a9ap-22, -0x1.a314c66944914p-23, -0x1.6d4fcc235e293p-24, 0x1.795d7b9e26fbdp-26, 0x1.0e91cb5bcd8bap-23, 0x1.e7b4295c1c34cp-23, 0x1.5d5d43f370d09p-22, 0x1.c3e5631bb8d2fp-22, 0x1.13c23faefd523p-21, 0x1.4425e7f4decd4p-21, 0x1.7325e117e9b5ap-21, 0x1.a0ca02c5d5298p-21, 0x1.cd19cad6b53b3p-21, 0x1.f81c630b717f5p-21, 0x1.10ec527a71c42p-20, 0x1.252a90b0a4c11p-20, 0x1.38cc1094644bbp-20, 0x1.4bd3d5ed21965p-20, 0x1.5e44c5a5e9f52p-20, 0x1.7021a78143c39p-20, 0x1.816d287d85abcp-20, 0x1.9229dbb7e8f3ep-20, 0x1.a25a3cd7b1241p-20, 0x1.b200b1383bd42p-20, 0x1.c11f898304f36p-20, 0x1.cfb902e5fe9aap-20, 0x1.ddcf48b429becp-20, 0x1.eb64754804c77p-20, 0x1.f87a9381c89e1p-20, 0x1.0289cfd966ca5p-19, 0x1.0898c45a25bcbp-19, 0x1.0e6b1871bb113p-19, 0x1.1401b768bc7e9p-19, 0x1.195d87820c3e4p-19, 0x1.1e7f69bb6213dp-19, 0x1.23683aa2a788dp-19, 0x1.2818d281cf9d9p-19, 0x1.2c9205d1db3f9p-19, 0x1.30d4a55f69dafp-19, 0x1.34e17f06f7beep-19, 0x1.38b95d2ae6f05p-19, 0x1.3c5d07c01b70cp-19, 0x1.3fcd441ae5138p-19, 0x1.430ad54679433p-19, 0x1.46167c32ffa11p-19, 0x1.48f0f7e62f3b2p-19, 0x1.4b9b05a8bb7d7p-19, 0x1.4e156109daeedp-19, 0x1.5060c46ac4a12p-19, 0x1.527de8b2e2378p-19, 0x1.546d85899ff43p-19, 0x1.56305189412b5p-19, 0x1.57c7024dc86e5p-19, 0x1.59324c82c5d43p-19, 0x1.5a72e40318cc9p-19, 0x1.5b897be09c206p-19, 0x1.5c76c68aa9babp-19, 0x1.5d3b759ae9668p-19, 0x1.5dd83a3360262p-19, 0x1.5e4dc4d986db6p-19, 0x1.5e9cc5867de9cp-19, 0x1.5ec5eb8bf8b23p-19, 0x1.5ec9e61d71542p-19, 0x1.5ea96397e7331p-19, 0x1.5e6511ea3fa63p-19, 0x1.5dfd9e9e5ad6p-19, 0x1.5d73b6bea78b9p-19, 0x1.5cc806dc47c64p-19, 0x1.5bfb3b0d6ff3cp-19, 0x1.5b0dfeed0d02cp-19, 0x1.5a00fd8d61e7p-19, 0x1.58d4e181d0e5ep-19, 0x1.578a54d3e5f42p-19, 0x1.562200fd13926p-19, 0x1.549c8ee29a388p-19, 0x1.52faa6ce4d513p-19, 0x1.513cf0688e593p-19, 0x1.4f6412b3e9597p-19, 0x1.4d70b3fa244acp-19, 0x1.4b6379e5ada1bp-19, 0x1.493d0928c8a95p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.50b2221291939p-5, 0x1.305b6843fc3b2p-4, 0x1.bb879eab6dc8bp-4, 0x1.246de64523606p-3, 0x1.6bb5644971a8ep-3, 0x1.b32ceb4349879p-3, 0x1.fa712ec44a2f9p-3, 0x1.2094ef809c7d5p-2, 0x1.43845f0a86cap-2, 0x1.65e3df9ea916ep-2, 0x1.879405b19767cp-2, 0x1.a8791dadb1101p-2, 0x1.c87b6847cc285p-2, 0x1.e7870ad571e55p-2, 0x1.02c5d0b7fdbbp-1, 0x1.113dd0492b5cap-1, 0x1.1f25e3f4a9d0dp-1, 0x1.2c796984e61e3p-1, 0x1.3934b4e28538ep-1, 0x1.4555195420c24p-1, 0x1.50d8f19367cc8p-1, 0x1.5bbf1b4f51d6fp-1, 0x1.6609a6822c718p-1, 0x1.6fb82d3ec3b26p-1, 0x1.78cbea849e195p-1, 0x1.814696914bf03p-1, 0x1.892a58ea7f64ep-1, 0x1.9079ba8e740fep-1, 0x1.9737990bfc334p-1, 0x1.9d671b3b8bcc5p-1, 0x1.a30ba7031891p-1, 0x1.a828d6f19d98ap-1, 0x1.acc26f56eaeeap-1, 0x1.b0dc53d2b0b0ap-1, 0x1.b47a7ed690ab4p-1, 0x1.b7a0fbe0c5cc9p-1, 0x1.ba53e3f5a2a9ap-1, 0x1.bc975b0b16d0ep-1, 0x1.be6f8d279ef06p-1, 0x1.bfe0aaa79f81cp-1, 0x1.c0eee3d97de81p-1, 0x1.c19e64750dec1p-1, 0x1.c1f34f4f3903bp-1, 0x1.c1f1ba5457fffp-1, 0x1.c19daa9f840e1p-1, 0x1.c0fb109aea802p-1, 0x1.c00dc45e0cadbp-1, 0x1.bed982c1883b7p-1, 0x1.bd61ebac79c3dp-1, 0x1.bbaa81eacc19cp-1, 0x1.b9b6ac7e1aad5p-1, 0x1.b789b8fb8cdbp-1, 0x1.b526de494de5ep-1, 0x1.b2913efeebee5p-1, 0x1.afcbeacd10a94p-1, 0x1.acd9de9648757p-1, 0x1.a9be0337999b9p-1, 0x1.a67b2b4de7cebp-1, 0x1.a31410793d0d2p-1, 0x1.9f8b50af2c2a4p-1, 0x1.9be36c1acb634p-1, 0x1.981ec3de014f3p-1, 0x1.943f99d44f83p-1, 0x1.904b2efd8fed1p-1, 0x1.8c3d1450854e3p-1, 0x1.881a57b9d90e2p-1, 0x1.83e4d45d966bfp-1, 0x1.7f9e51a2704c2p-1, 0x1.7b48840e78aeep-1, 0x1.76e50ddfcc26p-1, 0x1.72757f6bf6a51p-1, 0x1.6dfb5756a639ep-1, 0x1.697802b24f1dcp-1, 0x1.64ecdd1c41a32p-1, 0x1.605b30e238563p-1, 0x1.5bc4373ab89e8p-1, 0x1.57291894f3aeap-1, 0x1.528aed00f6401p-1, 0x1.4deabcae3dd2p-1, 0x1.4949807d677p-1, 0x1.44a822a12ee34p-1, 0x1.40077f4b1a24dp-1, 0x1.3b6865608c565p-1, 0x1.36cb97353a6ap-1, 0x1.3231cb481e647p-1, 0x1.2d9bacffe013cp-1, 0x1.2909dd637786bp-1, 0x1.247cf3cba97d1p-1, 0x1.1ff57e8a01c72p-1, 0x1.1b7403824e8a5p-1, 0x1.16f900b443a4dp-1, 0x1.1284ecb3e7aa3p-1, 0x1.0e18371075265p-1, 0x1.09b348aa84237p-1, 0x1.055683fb39e8bp-1, 0x1.0102454ef2fcap-1, 0x1.f96dc5ec9180fp-2, 0x1.f0e95ae0d148fp-2, 0x1.e877df231b29ep-2, 0x1.e019dd502d665p-2, 0x1.d7cfd5448272ap-2, 0x1.cf9a3c6c11211p-2, 0x1.c7797e18633ep-2, 0x1.bf6dfbde07db7p-2, 0x1.b7780df995a14p-2, 0x1.af9803bb9b4a3p-2, 0x1.a7ce23fa4ed4ep-2, 0x1.a01aad8745cf6p-2, 0x1.987dd7a7350b5p-2, 0x1.90f7d289a4014p-2, 0x1.8988c7be7b545p-2, 0x1.8230daa799a02p-2, 0x1.7af028e4dfaa4p-2, 0x1.73c6cab994562p-2, 0x1.6cb4d36a66c1p-2, 0x1.65ba5193b0d97p-2, 0x1.5ed74f780a474p-2, 0x1.580bd34768c58p-2, 0x1.5157df5f48a41p-2, 0x1.4abb72846e217p-2, 0x1.44368816e177ap-2, 0x1.3dc91840bc755p-2, 0x1.377318206e906p-2, 0x1.313479eef85p-2, 0x1.2b0d2d22b4e75p-2, 0x1.24fd1e8f23087p-2, 0x1.1f0438822f905p-2, 0x1.192262df69d4fp-2, 0x1.13578339930f6p-2, 0x1.0da37ceae309bp-2, 0x1.0806312c5b59bp-2, 0x1.027f7f2c6dc3p-2, 0x1.fa1e884a694c4p-3, 0x1.ef6ab6e4d20ccp-3, 0x1.e4e33d4e5e703p-3, 0x1.da87cb47aa177p-3, 0x1.d0580d5701281p-3, 0x1.c653acf3a2944p-3, 0x1.bc7a50b0de522p-3, 0x1.b2cb9c68e8cfbp-3, 0x1.a94731675e5ap-3, 0x1.9fecae934ee51p-3, 0x1.96bbb098afe4cp-3, 0x1.8db3d2112c4c4p-3, 0x1.84d4abac2a3fp-3, 0x1.7c1dd455f2364p-3, 0x1.738ee15de7c72p-3, 0x1.6b28938e3e6a6p-3, 0x1.62e7fffd457afp-3, 0x1.5ace04f647097p-3, 0x1.52da33e58557ap-3, 0x1.4b0c1d3f994b8p-3, 0x1.43635098ff46dp-3, 0x1.3bdf5cbd3529cp-3, 0x1.347fcfc56ec8ap-3, 0x1.2d44372ee7dcdp-3, 0x1.262c1ff0cf0bep-3, 0x1.1f371691c0579p-3, 0x1.1864a73cd0b98p-3, 0x1.11b45dd60c202p-3, 0x1.0b25c60e6bf6ep-3, 0x1.04b86b77284f9p-3, 0x1.fcd7b328d0296p-4, 0x1.f07f37de6678ap-4, 0x1.e4667c4d64d7p-4, 0x1.d88c980154e5bp-4, 0x1.ccf0a2f25e7b5p-4, 0x1.c191b5a331852p-4, 0x1.b66ee93d5d0b4p-4, 0x1.ab8757ac2a37ap-4, 0x1.a0da1bb605ecep-4, 0x1.966651147bbebp-4, 0x1.8c2b148add357p-4, 0x1.822783fba234bp-4, 0x1.785abe7c90c53p-4, 0x1.6ec3e469c5c3dp-4, 0x1.65621777a930fp-4, 0x1.5c347ac3e748dp-4, 0x1.533a32e5791efp-4, 0x1.4a7265fbcf642p-4, 0x1.41dc3bbd2f846p-4, 0x1.3976dd844bea6p-4, 0x1.3141765d28777p-4, 0x1.293b3311520dfp-4, 0x1.21634233746eap-4, 0x1.19b8d42a54663p-4, 0x1.123b1b3b3714ap-4, 0x1.0ae94b93ba2f8p-4, 0x1.03c29b5321cfcp-4, 0x1.f98c852641ce6p-5, 0x1.ebe6f6e03dff4p-5, 0x1.de930421f5d4dp-5, 0x1.d18f295ca5497p-5, 0x1.c4d9e7329708p-5, 0x1.b871c283c1a47p-5, 0x1.ac554479742b3p-5, 0x1.a082fa910c667p-5, 0x1.94f976a5cae6cp-5, 0x1.89b74ef9b3386p-5, 0x1.7ebb1e3d8e143p-5, 0x1.7403839806defp-5, 0x1.698f22abec8c9p-5, 0x1.5f5ca39d95e87p-5, 0x1.556ab31775edbp-5, 0x1.4bb8024ddb9b4p-5, 0x1.42434701e8e13p-5, 0x1.390b3b83c31d9p-5, 0x1.300e9eb402c97p-5, 0x1.274c340469064p-5, 0x1.1ec2c377df438p-5, 0x1.167119a1c96f8p-5, 0x1.0e5607a4ac744p-5, 0x1.0670633033ea3p-5, 0x1.fd7e0cfd3508ep-6, 0x1.ee81a0a2f4471p-6, 0x1.dfe947dc1cef9p-6, 0x1.d1b2d231d464bp-6, 0x1.c3dc182254c3ep-6, 0x1.b662fb1654e28p-6, 0x1.a9456555810a1p-6, 0x1.9c8149fa0e4d7p-6, 0x1.9014a4e37521cp-6, 0x1.83fd7aa85af85p-6, 0x1.7839d887c0aaap-6, 0x1.6cc7d4596b296p-6, 0x1.61a58c7da6ce2p-6, 0x1.56d127cc63e6dp-6, 0x1.4c48d583b384p-6, 0x1.420acd35b4ba9p-6, 0x1.38154eb5f3bfcp-6, 0x1.2e66a2064e945p-6, 0x1.24fd17435564ap-6, 0x1.1bd70690420f5p-6, 0x1.12f2d0027b904p-6, 0x1.0a4edb8cbdf09p-6, 0x1.01e998e9e2832p-6, 0x1.f382ff0e9d867p-7, 0x1.e3aa1cde2b953p-7, 0x1.d4459863a56b5p-7, 0x1.c5528da07518bp-7, 0x1.b6ce2748ea577p-7, 0x1.a8b59e9670852p-7, 0x1.9b063b19702b4p-7, 0x1.8dbd528ac5917p-7, 0x1.80d8489cef88fp-7, 0x1.74548eccfd7b7p-7, 0x1.682fa43331796p-7, 0x1.5c6715537db1ep-7, 0x1.50f87bedda819p-7, 0x1.45e17ece6c844p-7, 0x1.3b1fd19d9e8bfp-7, 0x1.30b134b030c1bp-7, 0x1.269374d731d1bp-7, 0x1.1cc46b300702cp-7, 0x1.1341fcf475b5ep-7, 0x1.0a0a1b4abd396p-7, 0x1.011ac315cb353p-7, 0x1.f0e3f98b13f8bp-8, 0x1.e01bb84ead1ebp-8, 0x1.cfd9006d3e93bp-8, 0x1.c01825db5f347p-8, 0x1.b0d5922d7c953p-8, 0x1.a20dc43a54766p-8, 0x1.93bd4fbe0098p-8, 0x1.85e0dcfd8ac7fp-8, 0x1.7875286b0daep-8, 0x1.6b77024a89bc3p-8, 0x1.5ee34e574ebd9p-8, 0x1.52b7036a1749ap-8, 0x1.46ef2b1fe7d79p-8, 0x1.3b88e1818db26p-8, 0x1.308154ac08f4dp-8, 0x1.25d5c479a4c14p-8, 0x1.1b83822be75dbp-8, 0x1.1187f01661cd4p-8, 0x1.07e0814a3d691p-8, 0x1.fd1572859deb9p-9, 0x1.eb085725e686dp-9, 0x1.d994f726ada8cp-9, 0x1.c8b6b8237130bp-9, 0x1.b8691e01f6829p-9, 0x1.a8a7ca549cc38p-9, 0x1.996e7bbe62cf6p-9, 0x1.8ab90d58ece76p-9, 0x1.7c83761c8bc95p-9, 0x1.6ec9c84a1af7bp-9, 0x1.618830d6f65efp-9, 0x1.54baf6dae2c12p-9, 0x1.485e7afff1e91p-9, 0x1.3c6f36f486ad3p-9, 0x1.30e9bcdf35c3ap-9, 0x1.25cab6d4c154bp-9, 0x1.1b0ee65029aa9p-9, 0x1.10b323acc069cp-9, 0x1.06b45da230d0dp-9, 0x1.fa1f31853488p-10, 0x1.e783ddf5c7fb1p-10, 0x1.d5911e2999d1cp-10, 0x1.c44178767486ep-10, 0x1.b38f9b01040aap-10, 0x1.a3765acd5a421p-10, 0x1.93f0b2d38a9d1p-10, 0x1.84f9c3186c854p-10, 0x1.768ccfca3937dp-10, 0x1.68a540611b8d1p-10, 0x1.5b3e9ec3e69ap-10, 0x1.4e5496707cf34p-10, 0x1.41e2f3a85ec8fp-10, 0x1.35e5a2a0d6a0cp-10, 0x1.2a58aeb7582b4p-10, 0x1.1f3841a96f148p-10, 0x1.1480a2d07f1bcp-10, 0x1.0a2e366185ddcp-10, 0x1.003d7cb030068p-10, 0x1.ed5622ec0b32ap-11, 0x1.dac32d55da06bp-11, 0x1.c901ab678cd2dp-11, 0x1.b7e9d25a34484p-11, 0x1.a775a6a3670cp-11, 0x1.979f5c984f09fp-11, 0x1.886157284873bp-11, 0x1.79b6269e68a3fp-11, 0x1.6b98876968b5bp-11, 0x1.5e0360ead2f8dp-11, 0x1.50f1c44c7e436p-11, 0x1.445eeb5cb1e04p-11, 0x1.38463770c7c46p-11, 0x1.2ca3304e11d36p-11, 0x1.21718318c819p-11, 0x1.16ad0149f1971p-11, 0x1.0c519faa3f7cdp-11, 0x1.025b7553a0847p-11, 0x1.f18d7570be596p-12, 0x1.df1f91607ee69p-12, 0x1.cd662f15da30ep-12, 0x1.bc5a7c506723cp-12, 0x1.abf5e22b8380bp-12, 0x1.9c3203643d504p-12, 0x1.8d08baaa3f20fp-12, 0x1.7e7418fa6a9a8p-12, 0x1.706e6403c795p-12, 0x1.62f2149793434p-12, 0x1.55f9d5218e33dp-12, 0x1.4980802aa9a4p-12, 0x1.3d811ee58c973p-12, 0x1.31f6e7c335164p-12, 0x1.26dd3d12143aep-12, 0x1.1c2faba481213p-12, 0x1.11e9e98205ac1p-12, 0x1.0807d49f0bd6cp-12, 0x1.fd0ae33d6b50bp-13, 0x1.eabdd536d773bp-13, 0x1.d9211bf1e311ap-13, 0x1.c82d9a7a87746p-13, 0x1.b7dc77e3cc951p-13, 0x1.a8271d18df0bfp-13, 0x1.990732bdeea1cp-13, 0x1.8a769f1e6e50fp-13, 0x1.7c6f84291e32dp-13, 0x1.6eec3d7d7ffd2p-13, 0x1.61e75e829acd8p-13, 0x1.555bb08e468a4p-13, 0x1.4944311791082p-13, 0x1.3d9c0ff6d4caap-13, 0x1.325eadb2a116ep-13, 0x1.278799d85069fp-13, 0x1.1d129160ae9aep-13, 0x1.12fb7d2104388p-13, 0x1.093e7046143d8p-13, 0x1.ffaf4db8d996p-14, 0x1.ed8708c27caa6p-14, 0x1.dbfd24c080f6cp-14, 0x1.cb0afe32c5be2p-14, 0x1.baaa3867cd3f5p-14, 0x1.aad4baf084741p-14, 0x1.9b84af2c9722cp-14, 0x1.8cb47de4cf11fp-14, 0x1.7e5eccfc7d549p-14, 0x1.707e7d31cfe6p-14, 0x1.630ea7f24c138p-14, 0x1.560a9d3bce04cp-14, 0x1.496de194cfcabp-14, 0x1.3d342c0fa14eap-14, 0x1.3159645fa47c3p-14, 0x1.25d9a0fd4fe6p-14, 0x1.1ab1255b17c1ep-14, 0x1.0fdc6025160cfp-14, 0x1.0557e993093d9p-14, 0x1.f641038d38e6ep-15, 0x1.e2661e67a76c5p-15, 0x1.cf193a3d90155p-15, 0x1.bc54b43a89562p-15, 0x1.aa132d56efe53p-15, 0x1.984f878dff0e2p-15, 0x1.8704e33519b0bp-15, 0x1.762e9c652610ep-15, 0x1.65c8487ad4952p-15, 0x1.55cdb3acb5e6ap-15, 0x1.463adeb62eb26p-15, 0x1.370bfc9613eb2p-15, 0x1.283d7064f7c59p-15, 0x1.19cbcb35c7413p-15, 0x1.0bb3ca17a0a6dp-15, 0x1.fbe4a829983cbp-16, 0x1.e108f0b9346a9p-16, 0x1.c6ced8d5585e6p-16, 0x1.ad31148f35c6ap-16, 0x1.942a9daf72faap-16, 0x1.7bb6b0790bf7bp-16, 0x1.63d0c880a4e99p-16, 0x1.4c749da9cec82p-16, 0x1.359e2140dd156p-16, 0x1.1f497b2d3cf0ep-16, 0x1.0973074248b9dp-16, 0x1.e82ea5509fda7p-17, 0x1.be6632cc1c6b9p-17, 0x1.958687f01e58fp-17, 0x1.6d89ca0ef8e4cp-17, 0x1.466a6e7909a42p-17, 0x1.2023363d859bbp-17, 0x1.f55e544b221bfp-18, 0x1.ac132d9f93e2ep-18, 0x1.645c11eede95fp-18, 0x1.1e3093f53ab7fp-18, 0x1.b311717d3cd96p-19, 0x1.2cb9e290f6d4ep-19, 0x1.529850ac7da55p-20, 0x1.45d57be12998ep-22, -0x1.541d9ccb17e64p-21, -0x1.a00ca34166877p-20, -0x1.484da6c91e735p-19, -0x1.bde86887accdfp-19, -0x1.1870868cb4ae1p-18, -0x1.50a0c3e85fabfp-18, -0x1.8789a9155eb0dp-18, -0x1.bd2fb99d0853dp-18, -0x1.f19743e8acb04p-18, -0x1.126232725d464p-17, -0x1.2b5d85b7ccad2p-17, -0x1.43bf7de1188bbp-17, -0x1.5b89e93d818cp-17, -0x1.72be83db5f304p-17, -0x1.895ef8e97eccap-17, -0x1.9f6ce41127a43p-17, -0x1.b4e9d2bc02f08p-17, -0x1.c9d745496d693p-17, -0x1.de36b0287f892p-17, -0x1.f2097cf96a33ep-17, -0x1.02a885c37f9abp-16, -0x1.0c07595f52657p-16, -0x1.1521e0caf105cp-16, -0x1.1df8bfef14f64p-16, -0x1.268c9793abd6ap-16, -0x1.2ede05aea3f1cp-16, -0x1.36eda5ca3d2dp-16, -0x1.3ebc11515667cp-16, -0x1.4649dfe573b96p-16, -0x1.4d97a7a1e0e5fp-16, -0x1.54a5fd688a886p-16, -0x1.5b7575107a626p-16, -0x1.6206a1b53e166p-16, -0x1.685a15e0c5p-16, -0x1.6e7063c1d5e8bp-16, -0x1.744a1d593a1c1p-16, -0x1.79e7d4a5c5609p-16, -0x1.7f4a1bcb586d7p-16, -0x1.8471853125458p-16, -0x1.895ea3af3e748p-16, -0x1.8e120a9c48a9ep-16, -0x1.928c4df052026p-16, -0x1.96ce025a4b4e4p-16, -0x1.9ad7bd548e81bp-16, -0x1.9eaa153719e0ep-16, -0x1.a245a1473d9afp-16, -0x1.a5aaf9c3a4f97p-16, -0x1.a8dab7f45a73ap-16, -0x1.abd57628fed64p-16, -0x1.ae9bcfcc5ab53p-16, -0x1.b12e616398fb7p-16, -0x1.b38dc89206b9ap-16, -0x1.b5baa418732e6p-16, -0x1.b7b593e1f395ep-16, -0x1.b97f38f03efc8p-16, -0x1.bb18356586d19p-16, -0x1.bc812c7d4febcp-16, -0x1.bdbac288dd3dfp-16, -0x1.bec59ce81fea7p-16, -0x1.bfa2620321d5ap-16, -0x1.c051b9439ce5dp-16, -0x1.c0d44b052c419p-16, -0x1.c12ac096a1257p-16, -0x1.c155c42833cep-16, -0x1.c15600c2a37e4p-16, -0x1.c12c223a4c7edp-16, -0x1.c0d8d524c196fp-16, -0x1.c05cc6cad8dfbp-16, -0x1.bfb8a51c4659ap-16, -0x1.beed1e9fa9dc4p-16, -0x1.bdfae26a82f62p-16, -0x1.bce2a0079690ap-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.565fd04bee35dp+0, -0x1.4964399d604d8p+0, -0x1.3dc46813b438ep+0, -0x1.33687233ffc85p+0, -0x1.2a384b05c066fp+0, -0x1.221c0db4bc675p+0, -0x1.1afc5b5ad4015p+0, -0x1.14c2aba79d1f1p+0, -0x1.0f596dfe372a9p+0, -0x1.0aac0abb4e959p+0, -0x1.06a6ed45b4de5p+0, -0x1.0337a0dc7ac4ap+0, -0x1.004ceb41b86d8p+0, -0x1.fbada6544e0b5p-1, -0x1.f78d25578a9c1p-1, -0x1.f41d02af4dc64p-1, -0x1.f1440434ec268p-1, -0x1.eeeaf470c9e3dp-1, -0x1.ecfc9cd8d4095p-1, -0x1.eb65bf05e27adp-1, -0x1.ea1503571dc86p-1, -0x1.e8fabcd28f82bp-1, -0x1.e8098601070b6p-1, -0x1.e73481123d98ep-1, -0x1.e6708b226c8f4p-1, -0x1.e5b3c93ea7b08p-1, -0x1.e4f5914a15788p-1, -0x1.e42e532e74fcbp-1, -0x1.e357823cdff95p-1, -0x1.e26b7f03ef9fp-1, -0x1.e16581b30be75p-1, -0x1.e041852c1c67ap-1, -0x1.defc335c9d9cbp-1, -0x1.dd92d3d0b6235p-1, -0x1.dc033d1f4ea64p-1, -0x1.da4bc8e22ce53p-1, -0x1.d86b490d20603p-1, -0x1.d660fd4209baep-1, -0x1.d42c875204b84p-1, -0x1.d1cddf0c256bfp-1, -0x1.cf4546326d509p-1, -0x1.cc933d93d709fp-1, -0x1.c9b87be8521d8p-1, -0x1.c6b5e671db296p-1, -0x1.c38c8aeca87dp-1, -0x1.c03d9a30b3e74p-1, -0x1.bcca630ccc0a9p-1, -0x1.b9344d300de37p-1, -0x1.b57cd43cb9f2cp-1, -0x1.b1a58341b340ep-1, -0x1.adaff0d14c359p-1, -0x1.a99dbbca25a15p-1, -0x1.a57088bee76f3p-1, -0x1.a129ffcd5e7d6p-1, -0x1.9ccbcaadcb272p-1, -0x1.985792cec5281p-1, -0x1.93ceff6928c7dp-1, -0x1.8f33b38fbaef2p-1, -0x1.8a874c4f479efp-1, -0x1.85cb5ef9da01p-1, -0x1.810177b2e0787p-1, -0x1.7c2b1846ba5cp-1, -0x1.7749b74b7677ap-1, -0x1.725fedcaa4fe5p-1, -0x1.6d6cd0be81a5fp-1, -0x1.6872b98c2a553p-1, -0x1.6372eb38ddecp-1, -0x1.5e6e9d55bd373p-1, -0x1.5966fc1864809p-1, -0x1.545d286471d5bp-1, -0x1.4f5237c6c28d9p-1, -0x1.4a4734675f4dap-1, -0x1.453d1cf907973p-1, -0x1.4034e4ad22594p-1, -0x1.3b2f73312a3bfp-1, -0x1.362da4b846986p-1, -0x1.31304a118457fp-1, -0x1.2c3828c9a8d46p-1, -0x1.2745fb570509fp-1, -0x1.225a714e04892p-1, -0x1.1d762f9e0a33cp-1, -0x1.1899d0d70767fp-1, -0x1.13c5e578c4fc2p-1, -0x1.0efaf44cc7959p-1, -0x1.0a397acafbc58p-1, -0x1.0581ed8831365p-1, -0x1.00d4b8ac031f9p-1, -0x1.f86480d54791bp-2, -0x1.ef35c2fc7583cp-2, -0x1.e61de336d9ab4p-2, -0x1.dd1d7fba675bp-2, -0x1.d4352a4a6ec39p-2, -0x1.cb6568de82368p-2, -0x1.c2aeb62f9a4cfp-2, -0x1.ba11822dfbf09p-2, -0x1.b18e32643657p-2, -0x1.a925224c869ecp-2, -0x1.a0d6a39e0fb4ep-2, -0x1.98a2fe96ce2a2p-2, -0x1.908a724630f4dp-2, -0x1.888d34db10374p-2, -0x1.80ab73f6776f3p-2, -0x1.78e55503a12d5p-2, -0x1.713af594a68afp-2, -0x1.69ac6bc2c9c6ap-2, -0x1.6239c690e6316p-2, -0x1.5ae30e4e8265ap-2, -0x1.53a844fa0c4efp-2, -0x1.4c8966a10881bp-2, -0x1.458669bd3aa3ap-2, -0x1.3e9f3f8e2c146p-2, -0x1.37d3d46eb249p-2, -0x1.3124102654bd1p-2, -0x1.2a8fd636acdf2p-2, -0x1.24170624de4fap-2, -0x1.1db97bbf63b36p-2, -0x1.17770f6060ebcp-2, -0x1.114f962c9bb04p-2, -0x1.0b42e24f35cdfp-2, -0x1.0550c332274afp-2, -0x1.fef20b66eab2cp-3, -0x1.f376e8ae184e1p-3, -0x1.e82faeea72ae2p-3, -0x1.dd1beacb5fac6p-3, -0x1.d23b254e52891p-3, -0x1.c78ce4076dfbp-3, -0x1.bd10a963e71ddp-3, -0x1.b2c5f4e6b6dd5p-3, -0x1.a8ac436032eaap-3, -0x1.9ec30f215a4d7p-3, -0x1.9509d02b99b81p-3, -0x1.8b7ffc5dcd87ep-3, -0x1.8225079f323fep-3, -0x1.78f86408ed3ffp-3, -0x1.6ff9820ea1d5ap-3, -0x1.6727d0a66e213p-3, -0x1.5e82bd708d602p-3, -0x1.5609b4deb217fp-3, -0x1.4dbc225b20eb2p-3, -0x1.4599706f5f3dbp-3, -0x1.3da108ea68769p-3, -0x1.35d255062eeedp-3, -0x1.2e2cbd8c31253p-3, -0x1.26afaaf9062ep-3, -0x1.1f5a859ea12a1p-3, -0x1.182cb5c53db14p-3, -0x1.1125a3cabea78p-3, -0x1.0a455b728d4f1p-3, -0x1.0389eeb09cff3p-3, -0x1.f9e6f1277a16bp-4, -0x1.ed02c7073724p-4, -0x1.e06634f8d2555p-4, -0x1.d4101242694d5p-4, -0x1.c7ff379ad95a3p-4, -0x1.bc327f4b46b02p-4, -0x1.b0a8c54f393d2p-4, -0x1.a560e77339fbp-4, -0x1.9a59c57238dedp-4, -0x1.8f924111796f2p-4, -0x1.85093e3b30ebdp-4, -0x1.7abda317c49e9p-4, -0x1.70ae5825a0efcp-4, -0x1.66da484fa533bp-4, -0x1.5d406102294afp-4, -0x1.53df923e90f19p-4, -0x1.4ab6cead7697ep-4, -0x1.41c50baf6e4b7p-4, -0x1.3909416c689aep-4, -0x1.30826ae1bc245p-4, -0x1.282f85eee5d04p-4, -0x1.200f93610749ap-4, -0x1.182196fd34968p-4, -0x1.10649789a0a68p-4, -0x1.08d79ed5b22a7p-4, -0x1.0179b9c119af3p-4, -0x1.f493f083da118p-5, -0x1.e68edad3bcc8cp-5, -0x1.d8e25ed537593p-5, -0x1.cb8caf32c35d1p-5, -0x1.be8c04e39dedap-5, -0x1.b1de9f300fa12p-5, -0x1.a582c3b45c14fp-5, -0x1.9976be62833b5p-5, -0x1.8db8e182cf267p-5, -0x1.824785b35889p-5, -0x1.772109e67e683p-5, -0x1.6c43d3606c6ffp-5, -0x1.61ae4db3bb2c1p-5, -0x1.575eeabd31301p-5, -0x1.4d54229ebafd5p-5, -0x1.438c73b99b6bp-5, -0x1.3a0662a7e02bp-5, -0x1.30c07a352933dp-5, -0x1.27b94b56c747ap-5, -0x1.1eef6d2333018p-5, -0x1.16617cc8f0cfbp-5, -0x1.0e0e1d84e2913p-5, -0x1.05f3f8980511bp-5, -0x1.fc237a795e6dap-6, -0x1.eccc41369b2b2p-6, -0x1.dddfbb7d4512p-6, -0x1.cf5b6b0f2c17bp-6, -0x1.c13cdd4122385p-6, -0x1.b381aae0e35bdp-6, -0x1.a627781a36168p-6, -0x1.992bf45b4b99ep-6, -0x1.8c8cda386ce8fp-6, -0x1.8047ef4f04cb5p-6, -0x1.745b0427fd59p-6, -0x1.68c3f419a0442p-6, -0x1.5d80a528d5fe7p-6, -0x1.528f07e9fd6cfp-6, -0x1.47ed176139afap-6, -0x1.3d98d8e2673f6p-6, -0x1.33905bf0a999dp-6, -0x1.29d1ba1da2606p-6, -0x1.205b16e85ffc4p-6, -0x1.172a9f9c052f4p-6, -0x1.0e3e8b2e4017ap-6, -0x1.05951a1d8346ap-6, -0x1.fa592c9e4129dp-7, -0x1.ea06a5da910b4p-7, -0x1.da2f5889c0498p-7, -0x1.cad00f46b63cap-7, -0x1.bbe5a6690713fp-7, -0x1.ad6d0bc076c28p-7, -0x1.9f633e5096a91p-7, -0x1.91c54e0c68e12p-7, -0x1.84905b923bd37p-7, -0x1.77c197e78e40ap-7, -0x1.6b56443544e9cp-7, -0x1.5f4bb184117c2p-7, -0x1.539f4079338e1p-7, -0x1.484e61136adf4p-7, -0x1.3d56926869aap-7, -0x1.32b5626286927p-7, -0x1.28686d7eea6e8p-7, -0x1.1e6d5e8c2da94p-7, -0x1.14c1ee6957758p-7, -0x1.0b63e3c56df6dp-7, -0x1.025112df8003p-7, -0x1.f30eba8e5c83bp-8, -0x1.e209633b92ae2p-8, -0x1.d18e16aff3f18p-8, -0x1.c198e50000119p-8, -0x1.b225f6f10b784p-8, -0x1.a3318d8031f12p-8, -0x1.94b8016a65f69p-8, -0x1.86b5c2b5ed122p-8, -0x1.7927583cfeff9p-8, -0x1.6c095f39e7901p-8, -0x1.5f588ad4475f4p-8, -0x1.5311a3afd0ce8p-8, -0x1.4731877c6a312p-8, -0x1.3bb52887943b3p-8, -0x1.30998d4f4f865p-8, -0x1.25dbd016678fep-8, -0x1.1b791e7a13b51p-8, -0x1.116eb9093d8d7p-8, -0x1.07b9f2dced694p-8, -0x1.fcb06264c78fap-9, -0x1.ea8dd60d18e8ep-9, -0x1.d9075165d631cp-9, -0x1.c8180718175dbp-9, -0x1.b7bb4b029d215p-9, -0x1.a7ec917c6981bp-9, -0x1.98a76e9a998d2p-9, -0x1.89e79578a5d25p-9, -0x1.7ba8d783df80dp-9, -0x1.6de723c9f3983p-9, -0x1.609e8649f0fa5p-9, -0x1.53cb2748c4031p-9, -0x1.47694aa8226fdp-9, -0x1.3b754f408145ep-9, -0x1.2febae3e1e4a9p-9, -0x1.24c8fa807f6b8p-9, -0x1.1a09dffd2f614p-9, -0x1.0fab2324fc14bp-9, -0x1.05a9a04c4ad67p-9, -0x1.f804962bf8d89p-10, -0x1.e5645bc25c28dp-10, -0x1.d36cd2735f0ddp-10, -0x1.c21866966bac6p-10, -0x1.b161aeaea2c0ap-10, -0x1.a1436a5bcc27ap-10, -0x1.91b881509bffdp-10, -0x1.82bc024e72a8dp-10, -0x1.74492226204ap-10, -0x1.665b3abd943a3p-10, -0x1.58edca1ad5bd1p-10, -0x1.4bfc7173f745p-10, -0x1.3f82f443bc2abp-10, -0x1.337d376348ad4p-10, -0x1.27e74028b832bp-10, -0x1.1cbd338a13cdbp-10, -0x1.11fb5545542b8p-10, -0x1.079e070cca88cp-10, -0x1.fb438f701c583p-11, -0x1.e80664f354271p-11, -0x1.d57dfc31a8a44p-11, -0x1.c3a3f85f7e3dp-11, -0x1.b27230dbe10f2p-11, -0x1.a1e2afbf1637dp-11, -0x1.91efb06f4acffp-11, -0x1.82939e3f1a387p-11, -0x1.73c91313e5937p-11, -0x1.658ad6138b995p-11, -0x1.57d3da5a46456p-11, -0x1.4a9f3db824fe3p-11, -0x1.3de84776c9db1p-11, -0x1.31aa67251fa94p-11, -0x1.25e1336be32c1p-11, -0x1.1a8868e89e7bp-11, -0x1.0f9be90f73453p-11, -0x1.0517b914c1bcfp-11, -0x1.f5cac02748c9dp-12, -0x1.e24ab5d4ad91dp-12, -0x1.cf852db084554p-12, -0x1.bd733acba786dp-12, -0x1.ac0e2d8014bbap-12, -0x1.9b4f91921d4c5p-12, -0x1.8b312c61a8ff5p-12, -0x1.7bacfb238bdaap-12, -0x1.6cbd312988dc8p-12, -0x1.5e5c3634b47a1p-12, -0x1.5084a4d2f3238p-12, -0x1.433148c8150f8p-12, -0x1.365d1d819e5c1p-12, -0x1.2a034c9498efdp-12, -0x1.1e1f2c4673856p-12, -0x1.12ac3e20b7614p-12, -0x1.07a62d8bddfccp-12, -0x1.fa119cedd41cp-13, -0x1.e5a0380f5d45ep-13, -0x1.d1f06ea63ef62p-13, -0x1.befacc3e84662p-13, -0x1.acb8235ecf966p-13, -0x1.9b218b2ecfec1p-13, -0x1.8a305d2f3816fp-13, -0x1.79de3302d3c46p-13, -0x1.6a24e4493d078p-13, -0x1.5afe8484bad6fp-13, -0x1.4c656114a489cp-13, -0x1.3e53ff3be7036p-13, -0x1.30c51a37b1fa5p-13, -0x1.23b3a162b21dcp-13, -0x1.171ab668679fbp-13, -0x1.0af5ab82a6eep-13, -0x1.fe800394994adp-14, -0x1.e7eacf1f57p-14, -0x1.d2236d810877fp-14, -0x1.bd21e6b6f2229p-14, -0x1.a8de93e261e8cp-14, -0x1.95521c58b38c4p-14, -0x1.827572d3a4281p-14, -0x1.7041d2b2bd645p-14, -0x1.5eb0bd567ff3bp-14, -0x1.4dbbf78af7378p-14, -0x1.3d5d870acbb4bp-14, -0x1.2d8fb01806d46p-14, -0x1.1e4cf3228d1c2p-14, -0x1.0f900a8d2249ap-14, -0x1.0153e87240654p-14, -0x1.e727691930b12p-15, -0x1.cc959451f27d4p-15, -0x1.b2e96c55bea3ep-15, -0x1.9a1a6a44d4593p-15, -0x1.822062df96b3p-15, -0x1.6af382f30453bp-15, -0x1.548c4be3d7f51p-15, -0x1.3ee3904f91e92p-15, -0x1.29f270d55d531p-15, -0x1.15b258f568af7p-15, -0x1.021cfc069fa9fp-15, -0x1.de58a49d912aep-16, -0x1.b9b52c80058f4p-16, -0x1.96448350eb9f5p-16, -0x1.73fc164e6c639p-16, -0x1.52d1c734d011dp-16, -0x1.32bbe7753e3a5p-16, -0x1.13b13360dbd08p-16, -0x1.eb519b8114c81p-17, -0x1.b13476ca891e1p-17, -0x1.78fabded5faf1p-17, -0x1.4294e9c723722p-17, -0x1.0df41efe47a1p-17, -0x1.b6144cc9b1a01p-18, -0x1.5392cbca99a98p-18, -0x1.e8936555af26cp-19, -0x1.30402facd8de9p-19, -0x1.f7f11b3af7547p-21, 0x1.732fd406d218fp-22, 0x1.aa248cb220c51p-20, 0x1.76327351a6124p-19, 0x1.08f749094e4e6p-18, 0x1.54368153f4dc2p-18, 0x1.9ce94465e4d93p-18, 0x1.e3212fbb28bc2p-18, 0x1.137792e6ab824p-17, 0x1.3431ab8a85516p-17, 0x1.53c6a555caac6p-17, 0x1.723df3410bcb1p-17, 0x1.8f9ebba47b0adp-17, 0x1.abefdc2a07adcp-17, 0x1.c737ed445fa73p-17, 0x1.e17d45c15195ap-17, 0x1.fac5fe1cdf8b5p-17, 0x1.098bf9d9b808cp-16, 0x1.153c65eca7561p-16, 0x1.2076fb4f31215p-16, 0x1.2b3e58e6e340ap-16, 0x1.359505c1ac681p-16, 0x1.3f7d72562c437p-16, 0x1.48f9f9bf39246p-16, 0x1.520ce2e372f81p-16, 0x1.5ab8618dca099p-16, 0x1.62fe977e2650fp-16, 0x1.6ae19567eef8dp-16, 0x1.72635be299ab3p-16, 0x1.7985dc533caedp-16, 0x1.804af9cb7325dp-16, 0x1.86b489cb698f6p-16, 0x1.8cc45527e33efp-16, 0x1.927c18a0c0998p-16, 0x1.97dd85ace6539p-16, 0x1.9cea4317fb3cep-16, 0x1.a1a3ed9710bfdp-16, 0x1.a60c187b34381p-16, 0x1.aa244e29124e8p-16, 0x1.adee10a7594ebp-16, 0x1.b16ada1b8835cp-16, 0x1.b49c1d3da7bc5p-16, 0x1.b78345cea3ac4p-16, 0x1.ba21b8faf763cp-16, 0x1.bc78d5ca0f056p-16, 0x1.be89f56940bb4p-16, 0x1.c0566b8f4a313p-16, 0x1.c1df86ca2afd4p-16, 0x1.c32690cc4fefap-16, 0x1.c42cceaeb21efp-16, 0x1.c4f38133637bfp-16, 0x1.c57be51097367p-16, 0x1.c5c7331a24ca9p-16, 0x1.c5d6a080839cbp-16, 0x1.c5ab5ef170ef1p-16, 0x1.c5469cdd917d6p-16, 0x1.c4a9859130121p-16, 0x1.c3d541604bfabp-16, 0x1.c2caf5c8713c7p-16, 0x1.c18bc59280ee5p-16, 0x1.c018d0ed3a17bp-16, 0x1.be73358cc6ap-16, 0x1.bc9c0ebdbe13cp-16, 0x1.ba94757d3185ap-16, 0x1.b85d808c8cfc6p-16, 0x1.b5f84481593b9p-16, 0x1.b365d3d681efdp-16, 0x1.b0a73ef4c487cp-16, 0x1.adbd9450e6dd4p-16, 0x1.aaa9e05788addp-16, 0x1.a76d2d80c4e6ep-16, 0x1.a408846ad303ep-16, 0x1.a07cebc8e7127p-16, 0x1.9ccb68727bddap-16, 0x1.98f4fd5f96013p-16, 0x1.94faabaf48c3fp-16, 0x1.90dd72a54278ep-16, 0x1.8c9e4fb50ca35p-16, 0x1.883e3e704b4aep-16, 0x1.83be38903952dp-16, 0x1.7f1f35f145d1ap-16, 0x1.7a622c90a353bp-16, 0x1.7588108621664p-16, 0x1.7091d402f6059p-16, 0x1.6b8067531a5f5p-16, 0x1.6654b8c64de13p-16, 0x1.610fb4ba786cep-16, 0x1.5bb24596d23c1p-16, 0x1.563d53bd70701p-16, 0x1.50b1c5898c145p-16, 0x1.4b107f45927bep-16, 0x1.455a632fd392fp-16, 0x1.3f905168ca90ep-16, 0x1.39b327e108fd2p-16, 0x1.33c3c274436b9p-16, 0x1.2dc2fac5ae461p-16, 0x1.27b1a843ab979p-16, 0x1.2190a01ee1b3fp-16, 0x1.1b60b54b3c775p-16, 0x1.1522b861870d2p-16, 0x1.0ed777b8a2dbep-16, 0x1.087fbf4ac2d7bp-16, 0x1.021c58b2d26abp-16, 0x1.f75c1655e222ap-17, 0x1.ea6b36fe0a68dp-17, 0x1.dd6798172ae44p-17, 0x1.d052b96e1b708p-17, 0x1.c32e15d445a8bp-17, 0x1.b5fb232749fccp-17, 0x1.a8bb52146e573p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.8c8382c2c38b7p-1, 0x1.837c0c8b326a9p-1, 0x1.7a3628fd959f7p-1, 0x1.70b6fc45221d6p-1, 0x1.670398daf5548p-1, 0x1.5d20fc4f0e9e7p-1, 0x1.53140c74866c9p-1, 0x1.48e194e9409e8p-1, 0x1.3e8e44f1c4b28p-1, 0x1.341eada256701p-1, 0x1.2997404edc75ap-1, 0x1.1efc4d3b90e8dp-1, 0x1.14520288ec6a3p-1, 0x1.099c6b559ca15p-1, 0x1.fdbede238215fp-2, 0x1.e83da1fdff1d7p-2, 0x1.d2bc5fb2b5934p-2, 0x1.bd420b4a0b1f1p-2, 0x1.a7d54f3b646e9p-2, 0x1.927c8c884be1bp-2, 0x1.7d3ddb0e294a2p-2, 0x1.681f0a090535ep-2, 0x1.5325a0c23ede5p-2, 0x1.3e56df667d786p-2, 0x1.29b7bffe803b9p-2, 0x1.154cf786c5585p-2, 0x1.011af72251e27p-2, 0x1.da4bdaca4b9aap-3, 0x1.b2e38f666658dp-3, 0x1.8c046761dbdd5p-3, 0x1.65b54185840d9p-3, 0x1.3ffc8331f0013p-3, 0x1.1ae01b8b86f1ep-3, 0x1.eccb0d6dab4b1p-4, 0x1.a523a2427aa2bp-4, 0x1.5ed335a51d51p-4, 0x1.19e23588e4fa6p-4, 0x1.acb088f2edfeap-5, 0x1.287880a0478a6p-5, 0x1.4e51239524282p-6, 0x1.465c6b98e8f2cp-8, -0x1.4a5473660064p-7, -0x1.95e2a3ce42d53p-6, -0x1.40423de230d6ap-5, -0x1.b28247894feeap-5, -0x1.10d681c69642dp-4, -0x1.46df94113dd4bp-4, -0x1.7b5b4064c335cp-4, -0x1.ae48f12723bfep-4, -0x1.dfa88f81cae89p-4, -0x1.07bd3eced79cfp-3, -0x1.1edfc87f74c91p-3, -0x1.353c86802efacp-3, -0x1.4ad44eb808609p-3, -0x1.5fa828a63f938p-3, -0x1.73b94ad1a893ap-3, -0x1.87091848c2589p-3, -0x1.99991e3294647p-3, -0x1.ab6b11704c6ffp-3, -0x1.bc80cc4f998a9p-3, -0x1.ccdc4c4da6c84p-3, -0x1.dc7fafea9a36ap-3, -0x1.eb6d348d7b13ep-3, -0x1.f9a7347850a82p-3, -0x1.0398126625919p-2, -0x1.0a0549cee3ef9p-2, -0x1.101c930bff02cp-2, -0x1.15df4b58085d6p-2, -0x1.1b4ed9b3aac7bp-2, -0x1.206cae0e48d22p-2, -0x1.253a4075f1cf2p-2, -0x1.29b9104e96565p-2, -0x1.2deaa39053da6p-2, -0x1.31d0860cb6c64p-2, -0x1.356c48badaf12p-2, -0x1.38bf810a3c3b3p-2, -0x1.3bcbc83c1f231p-2, -0x1.3e92bac36cd1fp-2, -0x1.4115f7aae0522p-2, -0x1.4357200165b43p-2, -0x1.4557d64c85c1ep-2, -0x1.4719be00c6ef5p-2, -0x1.489e7affd328dp-2, -0x1.49e7b11c52388p-2, -0x1.4af703a34cc85p-2, -0x1.4bce14eafd9cbp-2, -0x1.4c6e85e6ed689p-2, -0x1.4cd9f5c13fb86p-2, -0x1.4d120179079c7p-2, -0x1.4d1843858f673p-2, -0x1.4cee537e6efe3p-2, -0x1.4c95c5c84f511p-2, -0x1.4c102b4646bb3p-2, -0x1.4b5f110fa3a73p-2, -0x1.4a84002a10c82p-2, -0x1.49807d47f33ep-2, -0x1.4856088ae0c83p-2, -0x1.47061d4a17982p-2, -0x1.459231dcd818fp-2, -0x1.43fbb76880915p-2, -0x1.424419b256d5cp-2, -0x1.406cbef4daa7bp-2, -0x1.3e7707b88c878p-2, -0x1.3c644eb0086d5p-2, -0x1.3a35e8975dfa6p-2, -0x1.37ed24168678dp-2, -0x1.358b49a6e23b7p-2, -0x1.33119b7b9f75dp-2, -0x1.3081556cf650ap-2, -0x1.2ddbace6193f9p-2, -0x1.2b21d0d5c78eep-2, -0x1.2854e9a1627f9p-2, -0x1.2576191a743a6p-2, -0x1.22867a76879efp-2, -0x1.1f872249426ap-2, -0x1.1c791e80a198ep-2, -0x1.195d766347536p-2, -0x1.16352a90bf875p-2, -0x1.13013503aa107p-2, -0x1.0fc28915ac82ap-2, -0x1.0c7a13851f479p-2, -0x1.0928ba7c5bab2p-2, -0x1.05cf5d9a94695p-2, -0x1.026ed5fe2b8bap-2, -0x1.fe0feca0d6658p-3, -0x1.f73715a5220c3p-3, -0x1.f054b2d831ep-3, -0x1.e96a43746bfe9p-3, -0x1.e2793a40c6e1p-3, -0x1.db82fdb4031cep-3, -0x1.d488e819d53efp-3, -0x1.cd8c47b9dace1p-3, -0x1.c68e5f004477dp-3, -0x1.bf9064a80b2fdp-3, -0x1.b89383e698804p-3, -0x1.b198dc98c1814p-3, -0x1.aaa18370fe788p-3, -0x1.a3ae8226afa2cp-3, -0x1.9cc0d7a6754d9p-3, -0x1.95d978435e921p-3, -0x1.8ef94de8ec0b3p-3, -0x1.8821384dc8a0ep-3, -0x1.81520d271e03ap-3, -0x1.7a8c985c72607p-3, -0x1.73d19c3bf407dp-3, -0x1.6d21d1af25d78p-3, -0x1.667de86fd4a4cp-3, -0x1.5fe6873d43314p-3, -0x1.595c4c117244ap-3, -0x1.52dfcc568b14ap-3, -0x1.4c71951c38f6ap-3, -0x1.46122b4d014fp-3, -0x1.3fc20be37af45p-3, -0x1.3981ac1f58b72p-3, -0x1.335179ba38fap-3, -0x1.2d31db1c2fcccp-3, -0x1.27232f900480cp-3, -0x1.2125cf7704cecp-3, -0x1.1b3a0c7c76596p-3, -0x1.156031c896b7dp-3, -0x1.0f98843315cccp-3, -0x1.09e342751254cp-3, -0x1.0440a55a7e489p-3, -0x1.fd61bfe5f24c1p-4, -0x1.f2683f83fd661p-4, -0x1.e79519dceed7dp-4, -0x1.dce894e33e5c7p-4, -0x1.d262ec8a72a8p-4, -0x1.c80453221124bp-4, -0x1.bdccf1af2f9aep-4, -0x1.b3bce84474be9p-4, -0x1.a9d44e5892313p-4, -0x1.a013331b3d3eap-4, -0x1.96799dc889215p-4, -0x1.8d078dfaaf782p-4, -0x1.83bcfbfa3285ep-4, -0x1.7a99d90c67a7ap-4, -0x1.719e0fc057011p-4, -0x1.68c98439f6b58p-4, -0x1.601c147bbc0b6p-4, -0x1.579598ae83b5dp-4, -0x1.4f35e367cd388p-4, -0x1.46fcc1ee4e52fp-4, -0x1.3ee9fc7cd8a44p-4, -0x1.36fd56839783fp-4, -0x1.2f368ee7a5879p-4, -0x1.27956040faf07p-4, -0x1.20198116b779p-4, -0x1.18c2a419cb8c4p-4, -0x1.1190785e01c9dp-4, -0x1.0a82a9916dc22p-4, -0x1.0398e03242bdp-4, -0x1.f9a583862e921p-5, -0x1.ec5fe1fb3124fp-5, -0x1.df601c0766448p-5, -0x1.d2a56d1e6cf2bp-5, -0x1.c62f0c3feba43p-5, -0x1.b9fc2c50dcf1fp-5, -0x1.ae0bfc71edcf3p-5, -0x1.a25da852fb571p-5, -0x1.96f05883b848cp-5, -0x1.8bc332c18a084p-5, -0x1.80d55a42a7b14p-5, -0x1.7625effe83ae3p-5, -0x1.6bb412f39495ep-5, -0x1.617ee06a812dbp-5, -0x1.57857436c1dd5p-5, -0x1.4dc6e8f4c4f1dp-5, -0x1.444258459c5f8p-5, -0x1.3af6db084c95ep-5, -0x1.31e38990bd19ap-5, -0x1.29077bdc64938p-5, -0x1.2061c9c4b5419p-5, -0x1.17f18b2f58ebep-5, -0x1.0fb5d83c4b7d5p-5, -0x1.07adc971e146p-5, -0x1.ffb0efcd8633fp-6, -0x1.f069fad3e2631p-6, -0x1.e184e951b2342p-6, -0x1.d2fff2a70d9f5p-6, -0x1.c4d9507e128dbp-6, -0x1.b70f3f0c1092fp-6, -0x1.a99ffd4f4b601p-6, -0x1.9c89cd495c61fp-6, -0x1.8fcaf43656053p-6, -0x1.8361bac0b6b38p-6, -0x1.774c6d3252f1bp-6, -0x1.6b895ba23fc53p-6, -0x1.6016da1fdba1cp-6, -0x1.54f340db12bb3p-6, -0x1.4a1cec49e7df2p-6, -0x1.3f923d4b666fcp-6, -0x1.355199480b914p-6, -0x1.2b596a4fc0948p-6, -0x1.21a81f3573481p-6, -0x1.183c2ba875019p-6, -0x1.0f14084b9a08dp-6, -0x1.062e32ca493edp-6, -0x1.fb125bd6e9ef6p-7, -0x1.ea47034559c1ep-7, -0x1.d9f7763e7f9bcp-7, -0x1.ca20d9b32f47p-7, -0x1.bac05d3da468p-7, -0x1.abd33b355ded7p-7, -0x1.9d56b8bfcedadp-7, -0x1.8f4825dde8a59p-7, -0x1.81a4dd76c8546p-7, -0x1.746a455f87c89p-7, -0x1.6795ce60630bdp-7, -0x1.5b24f437411ccp-7, -0x1.4f153d97d71e5p-7, -0x1.43643c2967e18p-7, -0x1.380f8c824e3c2p-7, -0x1.2d14d62166038p-7, -0x1.2271cb6571398p-7, -0x1.182429829279bp-7, -0x1.0e29b875f5d6ep-7, -0x1.04804af7c1ea8p-7, -0x1.f64b7cd6cdce2p-8, -0x1.e42ff59cc8e2ap-8, -0x1.d2a9e54b398cep-8, -0x1.c1b545d2905b1p-8, -0x1.b14e25df44a5dp-8, -0x1.a170a8acc0a6ap-8, -0x1.921905d610318p-8, -0x1.8343892471df9p-8, -0x1.74ec925bef8a3p-8, -0x1.6710950625c7ap-8, -0x1.59ac183b571dbp-8, -0x1.4cbbb669ef82cp-8, -0x1.403c1d1c9693ep-8, -0x1.342a0cbeedc44p-8, -0x1.288258611bbedp-8, -0x1.1d41e57a3b7d5p-8, -0x1.1265aba9cfbbbp-8, -0x1.07eab47851ddp-8, -0x1.fb9c362debbdbp-9, -0x1.e81a183d768fcp-9, -0x1.d5498a9dc68dcp-9, -0x1.c3252a95c1ac7p-9, -0x1.b1a7b6afadc09p-9, -0x1.a0cc0e337a52cp-9, -0x1.908d30a073045p-9, -0x1.80e63d26878edp-9, -0x1.71d2721f4c447p-9, -0x1.634d2c86cc671p-9, -0x1.5551e7745b5fap-9, -0x1.47dc3b9379187p-9, -0x1.3ae7de9ce902cp-9, -0x1.2e70a2d01abc8p-9, -0x1.2272766cfa4b8p-9, -0x1.16e9632e43837p-9, -0x1.0bd18dc46bba6p-9, -0x1.012735513f125p-9, -0x1.edcd65c882358p-10, -0x1.da18f1efc59b1p-10, -0x1.c72a25df4c393p-10, -0x1.b4fa492e7b66cp-10, -0x1.a382d345715d8p-10, -0x1.92bd6a5f8f9dcp-10, -0x1.82a3e29061ed7p-10, -0x1.73303ccaed354p-10, -0x1.645ca5eb8c83ap-10, -0x1.562375c462f6ep-10, -0x1.487f2e2c8f983p-10, -0x1.3b6a7a1219046p-10, -0x1.2ee02c8ebdec7p-10, -0x1.22db3fffadceep-10, -0x1.1756d52031ca2p-10, -0x1.0c4e32276990cp-10, -0x1.01bcc1e90e4f2p-10, -0x1.ef3c25f2b4f1cp-11, -0x1.dbdbada82a0f6p-11, -0x1.c94fc20d9ae88p-11, -0x1.b7904cbc9abbap-11, -0x1.a695782e8d7d5p-11, -0x1.9657ae2489bc6p-11, -0x1.86cf9615c2b66p-11, -0x1.77f613a4868b1p-11, -0x1.69c44519d308cp-11, -0x1.5c3381e780d83p-11, -0x1.4f3d59310a6f9p-11, -0x1.42db905aecff1p-11, -0x1.370821a09defdp-11, -0x1.2bbd3ab1181c4p-11, -0x1.20f53b51f4d27p-11, -0x1.16aab4090f808p-11, -0x1.0cd864ccabb56p-11, -0x1.03793bba131bdp-11, -0x1.f510a7a54ab28p-12, -0x1.e401e77e982afp-12, -0x1.d3bd193492f7dp-12, -0x1.c439717eac5b9p-12, -0x1.b56e7543fb836p-12, -0x1.a753f75460441p-12, -0x1.99e2162ded59dp-12, -0x1.8d1139ce7c723p-12, -0x1.80da11914dd34p-12, -0x1.75359218924c8p-12, -0x1.6a1cf342b8432p-12, -0x1.5f89ae2b64e1bp-12, -0x1.55757b37e614p-12, -0x1.4bda502f06ca2p-12, -0x1.42b25e5c163ap-12, -0x1.39f810bd01b0cp-12, -0x1.31a60a3b54601p-12, -0x1.29b723f00052bp-12, -0x1.22266b71ba0b6p-12, -0x1.1aef212dcd956p-12, -0x1.140cb6cb3a21cp-12, -0x1.0d7acd97ef44dp-12, -0x1.0735350001f08p-12, -0x1.0137e90eb2e4bp-12, -0x1.f6fe21f23148cp-13, -0x1.ec0dfb6489b94p-13, -0x1.e19851117de7p-13, -0x1.d796639a48068p-13, -0x1.ce01bf03940e8p-13, -0x1.c4d438266de16p-13, -0x1.bc07ea3285501p-13, -0x1.b3973441829a1p-13, -0x1.ab7cb6fb02fp-13, -0x1.a3b35248ffb8dp-13, -0x1.9c36231c44b8dp-13, -0x1.95008140a6bf8p-13, -0x1.8e0dfd40a8e3ap-13, -0x1.875a5e583e572p-13, -0x1.80e1a07667f87p-13, -0x1.7a9ff24d443edp-13, -0x1.7491b37063923p-13, -0x1.6eb37280f6c56p-13, -0x1.6901eb679e0d3p-13, -0x1.637a059b89314p-13, -0x1.5e18d27696ff3p-13, -0x1.58db8b9635d9dp-13, -0x1.53bf9148ad1f3p-13, -0x1.4ec269069b27cp-13, -0x1.49e1bbf84bfebp-13, -0x1.451b5586b0fb3p-13, -0x1.406d21f7b12cbp-13, -0x1.3bd52d1585227p-13, -0x1.3751a0e0eab88p-13, -0x1.32e0c44ddd251p-13, -0x1.2e80fa0aa0a28p-13, -0x1.2a30bf50d4404p-13, -0x1.25eeaac04d815p-13, -0x1.21b96b43898ap-13, -0x1.1d8fc6fd61e6dp-13, -0x1.19709a3fe47ep-13, -0x1.155ad68bf5815p-13, -0x1.114d819997578p-13, -0x1.0d47b468988afp-13, -0x1.09489a5966e29p-13, -0x1.054f704de39e5p-13, -0x1.015b83d1e8acdp-13, -0x1.fad86496d278bp-14, -0x1.f301d063ae5d7p-14, -0x1.eb324099733fdp-14, -0x1.e368c5f255454p-14, -0x1.dba48aec35c04p-14, -0x1.d3e4d26e46845p-14, -0x1.cc28f67b663b2p-14, -0x1.c47066f0ef78dp-14, -0x1.bcbaa85183aa9p-14, -0x1.b507529b966c9p-14, -0x1.ad56102b45fcdp-14, -0x1.a5a69ca73a892p-14, -0x1.9df8c3f84bda7p-14, -0x1.964c614b6b1f3p-14, -0x1.8ea15e1db8266p-14, -0x1.86f7b1524eeedp-14, -0x1.7f4f5e5192d08p-14, -0x1.77a87431a7444p-14, -0x1.70030ce7d0ee8p-14, -0x1.685f4c8276825p-14, -0x1.60bd606b7cda6p-14, -0x1.591d7eb2bb43ap-14, -0x1.517fe56046685p-14, -0x1.49e4d9ce50d1ep-14, -0x1.424ca80a641f9p-14, -0x1.3ab7a23db3e3ap-14, -0x1.3326201c50deap-14, -0x1.2b987e5b003f9p-14, -0x1.240f1e2b80258p-14, -0x1.1c8a64bf0328bp-14, -0x1.150abacea9193p-14, -0x1.0d908c29c61adp-14, -0x1.061c4749c1003p-14, -0x1.fd5cb9d6b4d36p-15, -0x1.ee8e7f5a51324p-15, -0x1.dfcec7663d726p-15, -0x1.d11e7c9dd5fcep-15, -0x1.c27e8b5a0c536p-15, -0x1.b3efe10c85673p-15, -0x1.a5736bab6f337p-15, -0x1.970a1925b1bb6p-15, -0x1.88b4d6df34163p-15, -0x1.7a749134e0813p-15, -0x1.6c4a330825e5ap-15, -0x1.5e36a551a3f53p-15, -0x1.503acebac2cf1p-15, -0x1.4257933def348p-15, -0x1.348dd3cd350aep-15, -0x1.26de6dfefe29ep-15, -0x1.194a3bc0b100ep-15, -0x1.0bd2130ef5cb1p-15, -0x1.fced8b66c5d1p-16, -0x1.e272420ebe01ap-16, -0x1.c833db77ef70ep-16, -0x1.ae33df4cffdf7p-16, -0x1.9473cb2371508p-16, -0x1.7af51226ba95ep-16, -0x1.61b91ccbad8f2p-16, -0x1.48c1488bdbd81p-16, -0x1.300ee7a89ac94p-16, -0x1.17a340f5491d6p-16, -0x1.feff1f510f621p-17, -0x1.cf4a06681ae69p-17, -0x1.a0297e45944bep-17, -0x1.719fb5fa0a1efp-17, -0x1.43aec46468597p-17, -0x1.1658a81073c3ap-17, -0x1.d33e8e3f3b30ap-18, -0x1.7b08de7726b1fp-18, -0x1.2413ab242bdebp-18, -0x1.9cc45b66506f2p-19, -0x1.e7ddbaf08dc5p-20, -0x1.36b2315e5a6f8p-21, 0x1.57f524222c861p-21, 0x1.ee13681d2ffc3p-20, 0x1.957425d3fffa2p-19, 0x1.189c3732e2491p-18, 0x1.65295df6f1507p-18, 0x1.b05fcce385aa1p-18, 0x1.fa3df7be088a5p-18, 0x1.21613fed1739fp-17, 0x1.44f619c3af611p-17, 0x1.67dd06baf495ep-17, 0x1.8a159a0a4fd9dp-17, 0x1.ab9f7c73b5bd6p-17, 0x1.cc7a6bebb0cf7p-17, 0x1.eca63b3e7ae71p-17, 0x1.061168d928e8p-16, 0x1.15781553b0dafp-16, 0x1.24872a9ab563bp-16, 0x1.333eb9e3ad221p-16, 0x1.419eddda931d5p-16, 0x1.4fa7ba6e0181cp-16, 0x1.5d597c9a9c8c8p-16, 0x1.6ab45a35de382p-16, 0x1.77b891b860ed4p-16, 0x1.84666a07b7a0fp-16, 0x1.90be323feec2ap-16, 0x1.9cc0417cc2398p-16, 0x1.a86cf6a2a5fc3p-16, 0x1.b3c4b827a64e6p-16, 0x1.bec7f3dc3b062p-16, 0x1.c9771eb418a7bp-16, 0x1.d3d2b48f13851p-16, 0x1.dddb380219ec3p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.cd4eb93936334p-1, 0x1.ca0214570dc24p-1, 0x1.c697b76418861p-1, 0x1.c310e88feb8c6p-1, 0x1.bf6eee28a4506p-1, 0x1.bbb30dcecae12p-1, 0x1.b7de8bba96a28p-1, 0x1.b3f2aa119af7bp-1, 0x1.aff0a84be4e55p-1, 0x1.abd9c2a795ca6p-1, 0x1.a7af31aa152cfp-1, 0x1.a37229adf19abp-1, 0x1.9f23da7ca1068p-1, 0x1.9ac56ef34bc61p-1, 0x1.96580cb1e7eep-1, 0x1.91dcd3d3e70c3p-1, 0x1.8d54deb1ce40cp-1, 0x1.88c141ab12e5cp-1, 0x1.84230af7a55cap-1, 0x1.7f7b428097c56p-1, 0x1.7acae9bf5bcc3p-1, 0x1.7612fba319c63p-1, 0x1.71546c7ba82a3p-1, 0x1.6c9029e9b68bbp-1, 0x1.67c71ad3c36b4p-1, 0x1.62fa1f5f7b72dp-1, 0x1.5e2a10ef26694p-1, 0x1.5957c222ccfc9p-1, 0x1.5483fedcc6adfp-1, 0x1.4faf8c4966a5ap-1, 0x1.4adb28e97dc39p-1, 0x1.46078c9f74927p-1, 0x1.413568bebd202p-1, 0x1.3c65681d63551p-1, 0x1.37982f27888f5p-1, 0x1.32ce5bf495812p-1, 0x1.2e08865df5e7fp-1, 0x1.294740173221p-1, 0x1.248b14c73db41p-1, 0x1.1fd48a22d61b6p-1, 0x1.1b242007cd482p-1, 0x1.167a509921fadp-1, 0x1.11d7905bc52bep-1, 0x1.0d3c4e53f1e87p-1, 0x1.08a8f422fe5a7p-1, 0x1.041de6258d592p-1, 0x1.ff370724165eep-2, 0x1.f6444d2ebf327p-2, 0x1.ed6448f78d59ap-2, 0x1.e4979b7772529p-2, 0x1.dbdedc51b6bafp-2, 0x1.d33a9a11bcd9cp-2, 0x1.caab5a68980edp-2, 0x1.c2319a6a582c9p-2, 0x1.b9cdcecafaa8fp-2, 0x1.b180641ae822ap-2, 0x1.a949bf02f0998p-2, 0x1.a12a3c7fb451p-2, 0x1.9922321c6d7ccp-2, 0x1.9131ee2d07cf1p-2, 0x1.8959b80782d32p-2, 0x1.8199d03c8ecf9p-2, 0x1.79f270cf5cb52p-2, 0x1.7263cd6c9a117p-2, 0x1.6aee13a0926c6p-2, 0x1.63916b0c6d44ap-2, 0x1.5c4df59a883a5p-2, 0x1.5523cfb1e3bb2p-2, 0x1.4e131068a4631p-2, 0x1.471bc9b59fd4fp-2, 0x1.403e08a0f7ae2p-2, 0x1.3979d573c144ap-2, 0x1.32cf33e6b0f2p-2, 0x1.2c3e234fd45b4p-2, 0x1.25c69ecf50b65p-2, 0x1.1f689d7b2ac5bp-2, 0x1.1924128a17376p-2, 0x1.12f8ed7d53d8ap-2, 0x1.0ce71a498bd0cp-2, 0x1.06ee817ec5211p-2, 0x1.010f086f5d925p-2, 0x1.f69122ac27f61p-3, 0x1.eb35f6f648ef8p-3, 0x1.e00c46b0e2daap-3, 0x1.d513c5799172ap-3, 0x1.ca4c21dc73434p-3, 0x1.bfb505970a602p-3, 0x1.b54e15d95ba0cp-3, 0x1.ab16f3854396p-3, 0x1.a10f3b6c0d895p-3, 0x1.9736868a59b75p-3, 0x1.8d8c6a4249fap-3, 0x1.84107894083ccp-3, 0x1.7ac24054a253ap-3, 0x1.71a14d634868dp-3, 0x1.68ad28dcf426ep-3, 0x1.5fe5594e75fdcp-3, 0x1.574962e4fafa4p-3, 0x1.4ed8c79d0f96fp-3, 0x1.4693077014f6ep-3, 0x1.3e77a0804e5e7p-3, 0x1.36860f436f293p-3, 0x1.2ebdceabc0fd8p-3, 0x1.271e584fe5c22p-3, 0x1.1fa7249137f92p-3, 0x1.1857aac0d5d1ap-3, 0x1.112f6143544bap-3, 0x1.0a2dbdb3314d4p-3, 0x1.03523501fa1b7p-3, 0x1.f938773068908p-4, 0x1.ec168ae82203ep-4, 0x1.df3d8c8de398dp-4, 0x1.d2ac632380cd5p-4, 0x1.c661f580438f4p-4, 0x1.ba5d2a8522c77p-4, 0x1.ae9ce94ec0aa1p-4, 0x1.a32019654cf33p-4, 0x1.97e5a2ea56aacp-4, 0x1.8cec6ec4941fep-4, 0x1.823366c9ad3eep-4, 0x1.77b975e61de58p-4, 0x1.6d7d88433332ep-4, 0x1.637e8b6b353dbp-4, 0x1.59bb6e6bc575ap-4, 0x1.503321f682ed1p-4, 0x1.46e4987ffae0dp-4, 0x1.3dcec65cf4f8bp-4, 0x1.34f0a1de25485p-4, 0x1.2c49236a508d7p-4, 0x1.23d74596ecep-4, 0x1.1b9a053f4a9d1p-4, 0x1.1390619a51dep-4, 0x1.0bb95c4edb56ep-4, 0x1.0413f986b5db3p-4, 0x1.f93e8000b926ap-5, 0x1.eab4723ed7edbp-5, 0x1.dc87e1f7c0e5bp-5, 0x1.ceb6ece04a24fp-5, 0x1.c13fb64c012bap-5, 0x1.b4206744cef47p-5, 0x1.a7572ea07cc5cp-5, 0x1.9ae241142aa6ep-5, 0x1.8ebfd945cad43p-5, 0x1.82ee37dbb3c86p-5, 0x1.776ba38a5cea2p-5, 0x1.6c366920544abp-5, 0x1.614cdb907f0cep-5, 0x1.56ad53fab7743p-5, 0x1.4c5631b2d8181p-5, 0x1.4245da46424d5p-5, 0x1.387ab97ff2118p-5, 0x1.2ef3416b2cd77p-5, 0x1.25adea54dcccbp-5, 0x1.1ca932cba48dp-5, 0x1.13e39f9eba0cdp-5, 0x1.0b5bbbdb97da2p-5, 0x1.031018ca9321bp-5, 0x1.f5fe9bd4bf3c8p-6, 0x1.e64ff1d52611fp-6, 0x1.d7117b4a647f8p-6, 0x1.c8408c2ea8e31p-6, 0x1.b9da84b1cfda4p-6, 0x1.abdcd1274eb31p-6, 0x1.9e44e9f287d5ep-6, 0x1.91105371b08f8p-6, 0x1.843c9de74bc21p-6, 0x1.77c765625bf5cp-6, 0x1.6bae51a5580d1p-6, 0x1.5fef160bfd599p-6, 0x1.54877170061a7p-6, 0x1.49752e0ce577ep-6, 0x1.3eb621629004dp-6, 0x1.34482c1763c68p-6, 0x1.2a2939d9420ddp-6, 0x1.2057413dec063p-6, 0x1.16d043a2abd3cp-6, 0x1.0d924d0b60108p-6, 0x1.049b7400f21c6p-6, 0x1.f7d3b2de8c089p-7, 0x1.e6f7510570d5bp-7, 0x1.d69e2d0a4f41cp-7, 0x1.c6c4c57552018p-7, 0x1.b767ac7bbffcep-7, 0x1.a88387b82d2dap-7, 0x1.9a150fe21ec0fp-7, 0x1.8c1910855f01p-7, 0x1.7e8c67b8e918ap-7, 0x1.716c05d5aa9fp-7, 0x1.64b4ed2d05cep-7, 0x1.586431bf4b46ap-7, 0x1.4c76f8f21918ap-7, 0x1.40ea7946caacep-7, 0x1.35bbfa10f512ap-7, 0x1.2ae8d32d0eedbp-7, 0x1.206e6cb741e92p-7, 0x1.164a3ec27c7afp-7, 0x1.0c79d10fceab2p-7, 0x1.02fabac61b284p-7, 0x1.f395445454e7bp-8, 0x1.e1ce78ae50a12p-8, 0x1.d09c99ef2e89p-8, 0x1.bffb4bfd858b4p-8, 0x1.afe64ec57072fp-8, 0x1.a0597dad9f04fp-8, 0x1.9150cf0d9838dp-8, 0x1.82c853a534e1bp-8, 0x1.74bc36156afbbp-8, 0x1.6728ba5a6a773p-8, 0x1.5a0a3d4720548p-8, 0x1.4d5d340225fabp-8, 0x1.411e2b84292b3p-8, 0x1.3549c817d2c3dp-8, 0x1.29dcc4db38b1bp-8, 0x1.1ed3f342df95dp-8, 0x1.142c3a9e53fd2p-8, 0x1.09e2979e61ed6p-8, 0x1.ffe837b9dfaf6p-9, 0x1.ecbbdacd01c3fp-9, 0x1.da3a8c8acdf0cp-9, 0x1.c85ee81d40dcep-9, 0x1.b723aee0ddf53p-9, 0x1.a683c7853f33fp-9, 0x1.967a3d31200f5p-9, 0x1.87023ea9d33acp-9, 0x1.78171d7e35cf1p-9, 0x1.69b44d351a382p-9, 0x1.5bd5627f25471p-9, 0x1.4e76126c2edcep-9, 0x1.419231a40e87dp-9, 0x1.3525b3a2ea08ap-9, 0x1.292ca9f8ed8adp-9, 0x1.1da3438d7a81ep-9, 0x1.1285cbe5c4badp-9, 0x1.07d0aa6ed1ce5p-9, 0x1.fb00c395cc6dcp-10, 0x1.e7231e4490cb5p-10, 0x1.d401d2eecb508p-10, 0x1.c19681fc86f74p-10, 0x1.afdafcee8398cp-10, 0x1.9ec9451a3f03bp-10, 0x1.8e5b8a6c82a84p-10, 0x1.7e8c2a3252f1bp-10, 0x1.6f55ade84a71p-10, 0x1.60b2ca102bec6p-10, 0x1.529e5d0cc53a3p-10, 0x1.45136e03ea9abp-10, 0x1.380d2bc69152cp-10, 0x1.2b86ebbee6a01p-10, 0x1.1f7c28e45fa62p-10, 0x1.13e882b59aecp-10, 0x1.08c7bc3817ebfp-10, 0x1.fc2b75fb36181p-11, 0x1.e79d0c5e5f2d6p-11, 0x1.d3dc8b3b7ef63p-11, 0x1.c0e281b0322d3p-11, 0x1.aea7bc8cb7a59p-11, 0x1.9d2544955f1e9p-11, 0x1.8c545cce69dffp-11, 0x1.7c2e80d230179p-11, 0x1.6cad63315f0d8p-11, 0x1.5dcaebdd27a7bp-11, 0x1.4f81369b33207p-11, 0x1.41ca91832d4cap-11, 0x1.34a17b85c357cp-11, 0x1.2800a2fce1978p-11, 0x1.1be2e4450f22dp-11, 0x1.1043485fb5a37p-11, 0x1.051d039e30ac3p-11, 0x1.f4d6e8aaecd82p-12, 0x1.e054433463c28p-12, 0x1.cca9740a49c9cp-12, 0x1.b9ce24ff513f6p-12, 0x1.a7ba4a304665bp-12, 0x1.96661fbc94195p-12, 0x1.85ca278e13e8p-12, 0x1.75df272fd1c3dp-12, 0x1.669e25b3811e6p-12, 0x1.580069a549598p-12, 0x1.49ff770da2659p-12, 0x1.3c950d80f2bcep-12, 0x1.2fbb263ca553dp-12, 0x1.236bf25169216p-12, 0x1.17a1d8da57243p-12, 0x1.0c577540a9c73p-12, 0x1.0187958bcf9a6p-12, 0x1.ee5a717afe9a2p-13, 0x1.da871a732cd68p-13, 0x1.c78bde72e7368p-13, 0x1.b55fce9521d0ap-13, 0x1.a3fa51b026b04p-13, 0x1.9353217e26e43p-13, 0x1.836247dab56ep-13, 0x1.74201c14b6fa9p-13, 0x1.658540543392bp-13, 0x1.578a9f13af4a5p-13, 0x1.4a2968ac6d34fp-13, 0x1.3d5b10f54373dp-13, 0x1.31194cf373d9dp-13, 0x1.255e109d2ffap-13, 0x1.1a238cad34e86p-13, 0x1.0f642c873a398p-13, 0x1.051a942c9dd39p-13, 0x1.f6833c82056e4p-14, 0x1.e3a8b43cd417p-14, 0x1.d19c13f0b680dp-14, 0x1.c054421b99ce6p-14, 0x1.afc883d2a0552p-14, 0x1.9ff0795e689ffp-14, 0x1.90c41af26b166p-14, 0x1.823bb57ec88cep-14, 0x1.744fe79bc7bacp-14, 0x1.66f99e8e5643p-14, 0x1.5a321364de66fp-14, 0x1.4df2c82bc5b34p-14, 0x1.42358538f22b2p-14, 0x1.36f4568dafd91p-14, 0x1.2c29894e58c9fp-14, 0x1.21cfa94f25f55p-14, 0x1.17e17eb58df99p-14, 0x1.0e5a0bada0a6fp-14, 0x1.05348a32cabc4p-14, 0x1.f8d8d3d6efab8p-15, 0x1.e7fa9c2e09f18p-15, 0x1.d7c6171afea41p-15, 0x1.c8334da151e66p-15, 0x1.b93aa45b88bfcp-15, 0x1.aad4d7df525b9p-15, 0x1.9cfaf9414ad45p-15, 0x1.8fa66ab76f845p-15, 0x1.82d0dc5952624p-15, 0x1.767448fd2fea8p-15, 0x1.6a8af33107d81p-15, 0x1.5f0f624edfc9p-15, 0x1.53fc5fab5b3b5p-15, 0x1.494cf3dde091fp-15, 0x1.3efc64217e7b2p-15, 0x1.35062fcdd0f92p-15, 0x1.2b660de726032p-15, 0x1.2217eac52b71p-15, 0x1.1917e5cf720ccp-15, 0x1.10624f4f1315ap-15, 0x1.07f3a654d279bp-15, 0x1.ff912d66248c4p-16, 0x1.efbbee15f753dp-16, 0x1.e0618dd876d22p-16, 0x1.d17c5a0d78781p-16, 0x1.c306eadb8ed8cp-16, 0x1.b4fc1fd7fce6dp-16, 0x1.a7571ccf3989bp-16, 0x1.9a1346acfeb0dp-16, 0x1.8d2c4082c96f2p-16, 0x1.809de8abdb29ap-16, 0x1.7464560db13cfp-16, 0x1.687bd57408e99p-16, 0x1.5ce0e707804c4p-16, 0x1.51903bddeff51p-16, 0x1.4686b3a397f9ep-16, 0x1.3bc15a5c4d62bp-16, 0x1.313d663bd9215p-16, 0x1.26f83594b1216p-16, 0x1.1cef4cdc4d34ap-16, 0x1.132054c458e81p-16, 0x1.0989186801dcap-16, 0x1.0027838cb2d26p-16, 0x1.edf341eb0ff07p-17, 0x1.dbfb3191a9398p-17, 0x1.ca635e0e2ecb6p-17, 0x1.b92884256ea5bp-17, 0x1.a847928fe5e52p-17, 0x1.97bda748daaf3p-17, 0x1.87880cfb801a5p-17, 0x1.77a4388d1dc9p-17, 0x1.680fc6c310e4dp-17, 0x1.58c87a03c1565p-17, 0x1.49cc38315fc08p-17, 0x1.3b19089d9e736p-17, 0x1.2cad121556d5bp-17, 0x1.1e86990342167p-17, 0x1.10a3fda8e026bp-17, 0x1.0303ba6cb5197p-17, 0x1.eb48c47a0eaa1p-18, 0x1.d1093e0caffe5p-18, 0x1.b7466079989e9p-18, 0x1.9dfdd2ef9a024p-18, 0x1.852d623e4321p-18, 0x1.6cd2fe51af21cp-18, 0x1.54ecb7ce92ab1p-18, 0x1.3d78bdcd3b80cp-18, 0x1.26755bb2427dep-18, 0x1.0fe0f723bd898p-18, 0x1.f3741c337e421p-19, 0x1.c7fe6a1214511p-19, 0x1.9d5e2a4dc0cf7p-19, 0x1.7390d589baad7p-19, 0x1.4a940787b9fc3p-19, 0x1.22657c39e1f89p-19, 0x1.f60619fdcf846p-20, 0x1.a8d55c0d56eb9p-20, 0x1.5d34d7badcdc2p-20, 0x1.1320d2381be8bp-20, 0x1.952b70ee39287p-21, 0x1.07203629b9938p-21, 0x1.f0655423b9056p-23, -0x1.7df32206c5408p-26, -0x1.220191f1d40f2p-22, -0x1.1320440c48eb9p-21, -0x1.9253ee07173cbp-21, -0x1.0750c53fc82c1p-20, -0x1.440760fe084d6p-20, -0x1.7f509356a0ba4p-20, -0x1.b92f1c681abe2p-20, -0x1.f1a5b55e64019p-20, -0x1.145b892915597p-19, -0x1.2f32f201338cep-19, -0x1.495a6cb4f9d9fp-19, -0x1.62d3509981a96p-19, -0x1.7b9ef58526f7cp-19, -0x1.93beb469bfd2ep-19, -0x1.ab33e7e054965p-19, -0x1.c1ffeca713ad4p-19, -0x1.d82422124725fp-19, -0x1.eda1ea70fbe9ep-19, -0x1.013d55b3093f3p-18, -0x1.0b57e71b2ba06p-18, -0x1.1521600624ef3p-18, -0x1.1e9a791914f4ep-18, -0x1.27c3ed217013ep-18, -0x1.309e792926e4ep-18, -0x1.392adc86c43b1p-18, -0x1.4169d8e9c4b92p-18, -0x1.495c326361e58p-18, -0x1.5102af6c0eb63p-18, -0x1.585e18e5dc0e4p-18, -0x1.5f6f3a1bfb5c8p-18, -0x1.6636e0bf95417p-18, -0x1.6cb5dce21f2f6p-18, -0x1.72ed00ed66342p-18, -0x1.78dd2199741abp-18, -0x1.7e8715e080c2ap-18, -0x1.83ebb6f1103edp-18, -0x1.890be01e6ab1dp-18, -0x1.8de86ecf8ec48p-18, -0x1.9282426cc3513p-18, -0x1.96da3c4be71afp-18, -0x1.9af13f9b9fffbp-18, -0x1.9ec8314d87561p-18, -0x1.a25ff7ff6e449p-18, -0x1.a5b97be3d496ap-18, -0x1.a8d5a6a9ae04dp-18, -0x1.abb563638b8e4p-18, -0x1.ae599e6e3f154p-18, -0x1.b0c3455710e0dp-18, -0x1.b2f346c1992c8p-18, -0x1.b4ea924d51f2fp-18, -0x1.b6aa187af1f53p-18, -0x1.b832ca91a3ba8p-18, -0x1.b9859a8423c6ap-18, -0x1.baa37ad5dc818p-18, -0x1.bb8d5e8005948p-18, -0x1.bc4438d6d92fdp-18, -0x1.bcc8fd6ee9e14p-18, -0x1.bd1ca002a2cap-18, -0x1.bd4014580008fp-18, -0x1.bd344e2686d7ap-18, -0x1.bcfa40fd85b63p-18, -0x1.bc92e02aa75p-18, -0x1.bbff1ea0e0752p-18, -0x1.bb3feedfbbc0ap-18, -0x1.ba5642db0f99bp-18, -0x1.b9430be31fb84p-18, -0x1.b8073a8d32d0fp-18, -0x1.b6a3be9ca028cp-18, -0x1.b51986ec57f1fp-18, -0x1.b3698158ef17fp-18, -0x1.b1949aab2c2b6p-18, -0x1.af9bbe831e5eap-18, -0x1.ad7fd743bcd71p-18, -0x1.ab41cdff13845p-18, -0x1.a8e28a62fe0fdp-18, -0x1.a662f2a6737ep-18, -0x1.a3c3eb776484dp-18, -0x1.a10657e92b26cp-18, -0x1.9e2b196390792p-18, -0x1.9b330f9263f8bp-18, -0x1.981f1855aa7a4p-18, -0x1.94f00fb260643p-18, -0x1.91a6cfc3d135fp-18, -0x1.8e4430ad82ec3p-18, -0x1.8ac9088db58b2p-18, -0x1.87362b7076cfep-18, -0x1.838c6b4346489p-18, -0x1.7fcc97c94cb62p-18, -0x1.7bf77e9020f2ep-18, -0x1.780deae51efbbp-18, -0x1.7410a5cb47e1bp-18, -0x1.700075f1b18f8p-18, -0x1.6bde1faa7dbcep-18, -0x1.67aa64e25a5edp-18, -0x1.63660518878a4p-18, -0x1.5f11bd5761a44p-18, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.cfbb958c36b3ap-3, -0x1.e8033e34a104p-3, -0x1.001bb2d67dc47p-2, -0x1.0c279e98de93p-2, -0x1.1820fc20033a7p-2, -0x1.24036e56742a6p-2, -0x1.2fcaa86cb1661p-2, -0x1.3b72740ff8f3fp-2, -0x1.46f6b6cd2bc1p-2, -0x1.525376af85395p-2, -0x1.5d84de2ae9abep-2, -0x1.68873f612dedp-2, -0x1.735716d13253fp-2, -0x1.7df10d7e040fep-2, -0x1.8851fa9b5a274p-2, -0x1.9276e4cbf4bf1p-2, -0x1.9c5d02fd82578p-2, -0x1.a601bcecc672dp-2, -0x1.af62ab5be83ffp-2, -0x1.b87d9803f469p-2, -0x1.c1507d49da536p-2, -0x1.c9d985be5fb94p-2, -0x1.d2170b6fe5df9p-2, -0x1.da07971428ab6p-2, -0x1.e1a9df0f881cap-2, -0x1.e8fcc65ee935fp-2, -0x1.efff5b68b21f4p-2, -0x1.f6b0d6b8f135ep-2, -0x1.fd1099ac5fbe7p-2, -0x1.018f1686bdf6cp-1, -0x1.046c9fd35bfd9p-1, -0x1.0720d2662a4ccp-1, -0x1.09aba97023f8p-1, -0x1.0c0d30e924646p-1, -0x1.0e4584ceef532p-1, -0x1.1054d06410aeap-1, -0x1.123b4d6f5217ep-1, -0x1.13f9437c6d8d8p-1, -0x1.158f071e94e81p-1, -0x1.16fcf9354db5cp-1, -0x1.18438634186e2p-1, -0x1.1963256d442fep-1, -0x1.1a5c58604a4abp-1, -0x1.1b2faa0bfb089p-1, -0x1.1bddae44bbebbp-1, -0x1.1c67010f11376p-1, -0x1.1ccc45fe9e15ap-1, -0x1.1d0e2799c0bbdp-1, -0x1.1d2d56c1eb52p-1, -0x1.1d2a8a20ce491p-1, -0x1.1d067d9a665fdp-1, -0x1.1cc1f1c3faa83p-1, -0x1.1c5dab600e482p-1, -0x1.1bda72df4be83p-1, -0x1.1b3913e663fdp-1, -0x1.1a7a5cd8dad7dp-1, -0x1.199f1e68bad7bp-1, -0x1.18a82b2b209bbp-1, -0x1.179657318e871p-1, -0x1.166a77a7f9125p-1, -0x1.1525627775442p-1, -0x1.13c7eded754e1p-1, -0x1.1252f0677c6f4p-1, -0x1.10c740032f108p-1, -0x1.0f25b252a678ap-1, -0x1.0d6f1c14eecf3p-1, -0x1.0ba450f28fc38p-1, -0x1.09c6233e06c55p-1, -0x1.07d563b816021p-1, -0x1.05d2e157c728dp-1, -0x1.03bf691608e44p-1, -0x1.019bc5bcc7601p-1, -0x1.fed17f72c2912p-2, -0x1.fa4e39e4bc005p-2, -0x1.f5af41408abf9p-2, -0x1.f0f61652fc5e2p-2, -0x1.ec24340226e11p-2, -0x1.e73b0f1090a43p-2, -0x1.e23c15e5b0769p-2, -0x1.dd28b05b9faeep-2, -0x1.d8023f91b6f88p-2, -0x1.d2ca1dc3ed62cp-2, -0x1.cd819e26be52ep-2, -0x1.c82a0cc765f7ep-2, -0x1.c2c4ae70444f3p-2, -0x1.bd52c09132d5fp-2, -0x1.b7d5792ba0094p-2, -0x1.b24e06c24136bp-2, -0x1.acbd904c30d49p-2, -0x1.a725352b4c152p-2, -0x1.a1860d25a349ap-2, -0x1.9be12861da55ap-2, -0x1.96378f664e1a5p-2, -0x1.908a431ad50fcp-2, -0x1.8ada3ccd00aacp-2, -0x1.85286e36af9d3p-2, -0x1.7f75c186d68efp-2, -0x1.79c3196c5d003p-2, -0x1.74115122eb26bp-2, -0x1.6e613c818bbeep-2, -0x1.68b3a80b061b1p-2, -0x1.630958ffce23dp-2, -0x1.5d630d71760d5p-2, -0x1.57c17c5781a76p-2, -0x1.522555a58154ap-2, -0x1.4c8f426262a18p-2, -0x1.46ffe4c0d6cfdp-2, -0x1.4177d838bea0bp-2, -0x1.3bf7b1a180fa1p-2, -0x1.367fff4d3de2ep-2, -0x1.31114924c222dp-2, -0x1.2bac10c42ec27p-2, -0x1.2650d1983e6f5p-2, -0x1.210000fc187eap-2, -0x1.1bba0e57a2289p-2, -0x1.167f633e3aa3p-2, -0x1.1150638dd78e3p-2, -0x1.0c2d6d8e6ad2ep-2, -0x1.0716da1191f3dp-2, -0x1.020cfc926f97ap-2, -0x1.fa2046ab6a057p-3, -0x1.f0412f13807a9p-3, -0x1.e67d3acd9a456p-3, -0x1.dcd4e89e54cb7p-3, -0x1.d348added29cdp-3, -0x1.c9d8f6bcf9818p-3, -0x1.c086267b87309p-3, -0x1.b75097b1d89edp-3, -0x1.ae389c8b684b8p-3, -0x1.a53e7f06e6849p-3, -0x1.9c628134daeb3p-3, -0x1.93a4dd75d0fbcp-3, -0x1.8b05c6b7f1b03p-3, -0x1.828568b404f6ep-3, -0x1.7a23e829d697p-3, -0x1.71e1631be41fbp-3, -0x1.69bdf10a57668p-3, -0x1.61b9a32d42259p-3, -0x1.59d484ae0ca72p-3, -0x1.520e9ae014da5p-3, -0x1.4a67e5787505ep-3, -0x1.42e05ec4e94ccp-3, -0x1.3b77fbe1d6a81p-3, -0x1.342eacef60ddep-3, -0x1.2d045d4593da6p-3, -0x1.25f8f3a79c05ep-3, -0x1.1f0c527604cbfp-3, -0x1.183e57dffb906p-3, -0x1.118ede1399b6fp-3, -0x1.0afdbb6d2c0ffp-3, -0x1.048ac2a575e74p-3, -0x1.fc6b85fded7fep-4, -0x1.effd10e44cd6bp-4, -0x1.e3c9b7b15d0a5p-4, -0x1.d7d1062f381b4p-4, -0x1.cc12829115c84p-4, -0x1.c08dadc39b8b2p-4, -0x1.b54203bb2218ap-4, -0x1.aa2efbbfe4135p-4, -0x1.9f5408b833d88p-4, -0x1.94b09970aa555p-4, -0x1.8a4418e24f97fp-4, -0x1.800dee76c425cp-4, -0x1.760d7e4a762c7p-4, -0x1.6c42296cdb846p-4, -0x1.62ab4e1ebd2edp-4, -0x1.5948480e95038p-4, -0x1.5018709306b52p-4, -0x1.471b1ee37565fp-4, -0x1.3e4fa84ec1103p-4, -0x1.35b560702c76p-4, -0x1.2d4b996278707p-4, -0x1.2511a3f1349dbp-4, -0x1.1d06cfc852733p-4, -0x1.152a6ba1fe65p-4, -0x1.0d7bc572c62c9p-4, -0x1.05fa2a941770dp-4, -0x1.fd49cfda33994p-5, -0x1.eef69433dde06p-5, -0x1.e0f93b22bf16ap-5, -0x1.d3505d91fca8ep-5, -0x1.c5fa94af8d99fp-5, -0x1.b8f67a2e84a32p-5, -0x1.ac42a88675b2fp-5, -0x1.9fddbb30031acp-5, -0x1.93c64edeab67p-5, -0x1.87fb01b7e0ac9p-5, -0x1.7c7a73877ca68p-5, -0x1.714345f1a178dp-5, -0x1.66541ca21b804p-5, -0x1.5bab9d794cfb7p-5, -0x1.514870b6ba117p-5, -0x1.4729412143fd4p-5, -0x1.3d4cbc2d227edp-5, -0x1.33b1921fab0d3p-5, -0x1.2a567630f97dbp-5, -0x1.213a1eab839fdp-5, -0x1.185b4509aead2p-5, -0x1.0fb8a6116ea3dp-5, -0x1.075101ee06c5cp-5, -0x1.fe46388fe1b99p-6, -0x1.ee5b78b609e5fp-6, -0x1.dedf5a15cb711p-6, -0x1.cfcf79eb8e1adp-6, -0x1.c1297d0b39822p-6, -0x1.b2eb0fff7125bp-6, -0x1.a511e725e18dfp-6, -0x1.979bbec89f566p-6, -0x1.8a865b34cd8fbp-6, -0x1.7dcf88ce8b7c1p-6, -0x1.71751c225db6ap-6, -0x1.6574f1f4115fep-6, -0x1.59ccef4b48728p-6, -0x1.4e7b017dbbecfp-6, -0x1.437d1e37499f4p-6, -0x1.38d1437fef646p-6, -0x1.2e7577bfbcecdp-6, -0x1.2467c9c0e0b1fp-6, -0x1.1aa650afd667bp-6, -0x1.112f2c19da1b2p-6, -0x1.080083e9a7bc4p-6, -0x1.fe3110c5531b1p-7, -0x1.eceae4353364cp-7, -0x1.dc2b03e368d46p-7, -0x1.cbee0213137f7p-7, -0x1.bc3081750086cp-7, -0x1.acef35103d439p-7, -0x1.9e26e028463f5p-7, -0x1.8fd456210e7a8p-7, -0x1.81f47a60e33b3p-7, -0x1.7484403063476p-7, -0x1.6780aa989a6d4p-7, -0x1.5ae6cc3f5947ep-7, -0x1.4eb3c741fd512p-7, -0x1.42e4cd0ea1193p-7, -0x1.37771e3bf8778p-7, -0x1.2c680a5fc9ccp-7, -0x1.21b4efe43b0ep-7, -0x1.175b3bdbfc609p-7, -0x1.0d5869d5697ffp-7, -0x1.03aa03acb9f5ep-7, -0x1.f49b42baa8697p-8, -0x1.e281d1a4b1b36p-8, -0x1.d1031b6cf2bc2p-8, -0x1.c01aa28659de6p-8, -0x1.afc4041eaff3cp-8, -0x1.9ffaf7baea171p-8, -0x1.90bb4ed2a382fp-8, -0x1.8200f46ae07abp-8, -0x1.73c7ecb0358b5p-8, -0x1.660c5490757c3p-8, -0x1.58ca6153ffd37p-8, -0x1.4bfe6036caf4ep-8, -0x1.3fa4b60145284p-8, -0x1.33b9dea12504ap-8, -0x1.283a6cc240541p-8, -0x1.1d2309677f665p-8, -0x1.1270738404751p-8, -0x1.081f7f9499f7cp-8, -0x1.fc5a2e72f4f15p-9, -0x1.e92c71a10cf2ep-9, -0x1.d6afee1fec60ap-9, -0x1.c4def1433c676p-9, -0x1.b3b3ef7d9849ap-9, -0x1.a3298399ab9d9p-9, -0x1.933a6df4be76ap-9, -0x1.83e193bad1d02p-9, -0x1.7519fe2463df5p-9, -0x1.66ded9b5f1b03p-9, -0x1.592b75814a51bp-9, -0x1.4bfb4268ca158p-9, -0x1.3f49d26490783p-9, -0x1.3312d7c9ba422p-9, -0x1.27522493bc085p-9, -0x1.1c03a9afe0fd5p-9, -0x1.1123764aff861p-9, -0x1.06adb7217114bp-9, -0x1.f93d6ba2a5d78p-10, -0x1.e5e5b05e46f96p-10, -0x1.d34d3f397202bp-10, -0x1.c16d50c543483p-10, -0x1.b03f5217e90f3p-10, -0x1.9fbce38921bbap-10, -0x1.8fdfd773bb44cp-10, -0x1.80a230fc042c6p-10, -0x1.71fe22db46bep-10, -0x1.63ee0e3044747p-10, -0x1.566c8154c4a89p-10, -0x1.497436b830e9ap-10, -0x1.3d0013bf45beap-10, -0x1.310b27a8cc907p-10, -0x1.2590aa776c3ep-10, -0x1.1a8bfbe088792p-10, -0x1.0ff8a2402c8c9p-10, -0x1.05d24991f3596p-10, -0x1.f82984de06d17p-11, -0x1.e5780221ec2b4p-11, -0x1.d38838b37acb3p-11, -0x1.c25299c0e8d2ep-11, -0x1.b1cfd806297d1p-11, -0x1.a1f8e5fa0fe98p-11, -0x1.92c6f4051775dp-11, -0x1.84336ec1b951p-11, -0x1.7637fd463d458p-11, -0x1.68ce7f77ea08bp-11, -0x1.5bf10c6782975p-11, -0x1.4f99f0b6f18c7p-11, -0x1.43c3ad080cd51p-11, -0x1.3868f474547a2p-11, -0x1.2d84ab0d92d5p-11, -0x1.2311e4674002bp-11, -0x1.190be2288dc8ap-11, -0x1.0f6e12a6fbb93p-11, -0x1.06340f895a97dp-11, -0x1.fab338e635062p-12, -0x1.e9b54b6f938a5p-12, -0x1.d9667e2d47487p-12, -0x1.c9bf44fc1ee59p-12, -0x1.bab85dade3664p-12, -0x1.ac4acdaf58ce2p-12, -0x1.9e6fdfbd677f7p-12, -0x1.912121a92071ep-12, -0x1.8458622a68755p-12, -0x1.780faec102e5ep-12, -0x1.6c4151a3bbdd3p-12, -0x1.60e7cfbd73ba7p-12, -0x1.55fde6b7c71a5p-12, -0x1.4b7e8b1319253p-12, -0x1.4164e64bb8256p-12, -0x1.37ac550be3a6cp-12, -0x1.2e50656a6faadp-12, -0x1.254cd535c6579p-12, -0x1.1c9d904b09fc4p-12, -0x1.143eaef918cfdp-12, -0x1.0c2c746f32052p-12, -0x1.04634d370300ap-12, -0x1.f9bf9b73b078p-13, -0x1.eb3d61a1779abp-13, -0x1.dd39acbe88a0dp-13, -0x1.cfae83f1a5ccdp-13, -0x1.c29633201c9b9p-13, -0x1.b5eb4860b2a34p-13, -0x1.a9a891821a582p-13, -0x1.9dc919a4873a3p-13, -0x1.924826e5ddec2p-13, -0x1.87213820261f4p-13, -0x1.7c5002b9bf56p-13, -0x1.71d07086f81a7p-13, -0x1.679e9dbc97138p-13, -0x1.5db6d6f2ef499p-13, -0x1.5415973918047p-13, -0x1.4ab78637e3636p-13, -0x1.419976642a4a3p-13, -0x1.38b8634011c62p-13, -0x1.30116faae9884p-13, -0x1.27a1e43f3760dp-13, -0x1.1f672dbea15cfp-13, -0x1.175edb8b57f54p-13, -0x1.0f869e2e951c1p-13, -0x1.07dc45ebf2ed1p-13, -0x1.005dc1612798ep-13, -0x1.f2123863cf00dp-14, -0x1.e3b8fb7f04a0fp-14, -0x1.d5ac4fd80856fp-14, -0x1.c7e8ebd0df64bp-14, -0x1.ba6bb61ba7588p-14, -0x1.ad31c381c4768p-14, -0x1.a03854bf9bcc2p-14, -0x1.937cd4741717p-14, -0x1.86fcd52388f0ap-14, -0x1.7ab60f4d4d4ecp-14, -0x1.6ea65f939f99ep-14, -0x1.62cbc4f51d9f3p-14, -0x1.57245f17726b7p-14, -0x1.4bae6ca2a4d55p-14, -0x1.406849ac8b128p-14, -0x1.35506e33e5f6dp-14, -0x1.2a656caaa95dep-14, -0x1.1fa5f08efa7d3p-14, -0x1.1510bd127217cp-14, -0x1.0aa4abcf2c094p-14, -0x1.0060ab8a3a999p-14, -0x1.ec877e06188f5p-15, -0x1.d899f79ebe56cp-15, -0x1.c4f71286ac0cbp-15, -0x1.b19d3eca9e594p-15, -0x1.9e8b0bda2d2fdp-15, -0x1.8bbf269c316bp-15, -0x1.7938579867281p-15, -0x1.66f581359f944p-15, -0x1.54f59e0bcdabdp-15, -0x1.4337bf4941b27p-15, -0x1.31bb0b2a6e627p-15, -0x1.207ebb839216cp-15, -0x1.0f821c5ba5c58p-15, -0x1.fd89152ff09f7p-16, -0x1.dc8ae56fbfcf7p-16, -0x1.bc089f3fde921p-16, -0x1.9c0152e83a633p-16, -0x1.7c742900b98b4p-16, -0x1.5d60605e2c0f3p-16, -0x1.3ec54c1a093aap-16, -0x1.20a251b3f20a4p-16, -0x1.02f6e74c09398p-16, -0x1.cb8523ea52288p-17, -0x1.9209c83c3add5p-17, -0x1.597af821e7f1bp-17, -0x1.21d8050f11328p-17, -0x1.d640a5522814ep-18, -0x1.6aa6a8804a221p-18, -0x1.00e114dc7d021p-18, -0x1.31de0368ea11ep-19, -0x1.967cc1da4a3a1p-21, 0x1.8bef83425f2c5p-21, 0x1.27f4ad9b9b39ep-19, 0x1.e94ca57f54274p-19, 0x1.5382987542aebp-18, 0x1.b08fdb94d136ep-18, 0x1.05e768ffc6043p-17, 0x1.32a01b3532f34p-17, 0x1.5e726562d164cp-17, 0x1.895ead3abbdecp-17, 0x1.b3655e2ee17c5p-17, 0x1.dc86ea617f9d4p-17, 0x1.0261e5c09381ap-16, 0x1.160e41c8a0d35p-16, 0x1.2948ced00a4bfp-16, 0x1.3c11d7358549bp-16, 0x1.4e69aa7914c4bp-16, 0x1.60509d7dc9f69p-16, 0x1.71c70ac3e2ce2p-16, 0x1.82cd529bb97a2p-16, 0x1.9363db51d16cbp-16, 0x1.a38b11546ea62p-16, 0x1.b3436752fe9cfp-16, 0x1.c28d5657b85d8p-16, 0x1.d1695ddbb1d93p-16, 0x1.dfd803d5cdd5dp-16, 0x1.edd9d4c4bb69bp-16, 0x1.fb6f63b4592abp-16, 0x1.044ca51f62c75p-15, 0x1.0aac1444a82fep-15, 0x1.10d6529ecf58dp-15, 0x1.16cbb6bf99875p-15, 0x1.1c8c9a6ecf859p-15, 0x1.22195aa1c4612p-15, 0x1.277257716680fp-15, 0x1.2c97f40ef2891p-15, 0x1.318a96b7619edp-15, 0x1.364aa8a5afe2p-15, 0x1.3ad896040c64ap-15, 0x1.3f34cddc0c37p-15, 0x1.435fc205f2e7fp-15, 0x1.4759e717289bap-15, 0x1.4b23b44feab34p-15, 0x1.4ebda388503c7p-15, 0x1.5228311cafda4p-15, 0x1.5563dbd97533cp-15, 0x1.587124e67e69ap-15, 0x1.5b508fb206406p-15, 0x1.5e02a1db309dep-15, 0x1.6087e31c459a8p-15, 0x1.62e0dd34a5f3cp-15, 0x1.650e1bd287a75p-15, 0x1.67102c7c84139p-15, 0x1.68e79e7b0663ap-15, 0x1.6a9502c1a17b9p-15, 0x1.6c18ebd8571fp-15, 0x1.6d73edc4de02ep-15, 0x1.6ea69df3e9507p-15, 0x1.6fb1932280bacp-15, 0x1.709565476bac8p-15, 0x1.7152ad7cb948dp-15, 0x1.71ea05e96ccfap-15, 0x1.725c09ab53ccdp-15, 0x1.72a954c10b1dep-15, 0x1.72d283f43d415p-15, 0x1.72d834c418211p-15, 0x1.72bb05500584ep-15, 0x1.727b9442a8b14p-15, 0x1.721a80bd23b91p-15, 0x1.71986a42a9e91p-15, 0x1.70f5f0a466de4p-15, 0x1.7033b3edb25a5p-15, 0x1.6f525450a3eep-15, 0x1.6e527212fa398p-15, 0x1.6d34ad7b614b6p-15, 0x1.6bf9a6bf181bfp-15, 0x1.6aa1fdeff6988p-15, 0x1.692e52ead551p-15, 0x1.679f45465b78bp-15, 0x1.65f57442310f5p-15, 0x1.64317eb698157p-15, 0x1.625403046e3c7p-15, 0x1.605d9f0598271p-15, 0x1.5e4eeffdd3583p-15, 0x1.5c28928bf494dp-15, 0x1.59eb229b908dfp-15, 0x1.57973b570c4e7p-15, 0x1.552d771a1b8c5p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.b63c18808d74ap-1, 0x1.b36101dd39165p-1, 0x1.b08b69ca68eaap-1, 0x1.adbc37b876405p-1, 0x1.aaf40d16032e8p-1, 0x1.a8334d20b101p-1, 0x1.a57a24532dc2ep-1, 0x1.a2c88f65283e9p-1, 0x1.a01e61d63eeb2p-1, 0x1.9d7b4c0090d0fp-1, 0x1.9adee0b25839cp-1, 0x1.98489a5010a93p-1, 0x1.95b7df82465cbp-1, 0x1.932c07734d331p-1, 0x1.90a45da1fc10cp-1, 0x1.8e20254f0ce39p-1, 0x1.8b9e9c8b1ea7bp-1, 0x1.891efeeb82916p-1, 0x1.86a087ec0255bp-1, 0x1.84227503c28d7p-1, 0x1.81a407733e22ep-1, 0x1.7f2485d122bbep-1, 0x1.7ca33d5b9f4fap-1, 0x1.7a1f8313683ffp-1, 0x1.7798b4a574175p-1, 0x1.750e39282439cp-1, 0x1.727f81b03f36ep-1, 0x1.6fec09c1db638p-1, 0x1.6d5357a107756p-1, 0x1.6ab4fc85bb208p-1, 0x1.681094b655c1fp-1, 0x1.6565c78ba34cp-1, 0x1.62b44761333c5p-1, 0x1.5ffbd1747c76ep-1, 0x1.5d3c2db521f66p-1, 0x1.5a752e886cb2bp-1, 0x1.57a6b081e396fp-1, 0x1.54d09a12b91b3p-1, 0x1.51f2db319c185p-1, 0x1.4f0d6cfc56744p-1, 0x1.4c20515477d88p-1, 0x1.492b927830ed1p-1, 0x1.462f42985e2c3p-1, 0x1.432b7b6cac823p-1, 0x1.40205dc6a0463p-1, 0x1.3d0e112434d7ep-1, 0x1.39f4c342b36fbp-1, 0x1.36d4a7b24c8bbp-1, 0x1.33adf76aeeae8p-1, 0x1.3080f062bfcf9p-1, 0x1.2d4dd5269b587p-1, 0x1.2a14ec74d8a29p-1, 0x1.26d680daa4f1p-1, 0x1.2392e0541fbe9p-1, 0x1.204a5bef6ad8dp-1, 0x1.1cfd4772d1e9dp-1, 0x1.19abf90622809p-1, 0x1.1656c8df4f347p-1, 0x1.12fe10f268aa6p-1, 0x1.0fa22ca4f7eadp-1, 0x1.0c437884c0304p-1, 0x1.08e25201e4e37p-1, 0x1.057f172c74338p-1, 0x1.021a26754d486p-1, 0x1.fd67bce4b3d58p-2, 0x1.f6993b4c195ccp-2, 0x1.efc9849432919p-2, 0x1.e8f9543aa6933p-2, 0x1.e2296469479ffp-2, 0x1.db5a6d9e01d13p-2, 0x1.d48d2658a917ep-2, 0x1.cdc242ce76187p-2, 0x1.c6fa74a3107a4p-2, 0x1.c0366aa6e9f7ap-2, 0x1.b976d09ace0a5p-2, 0x1.b2bc4ef869f25p-2, 0x1.ac078abfa5f33p-2, 0x1.a55925489ef62p-2, 0x1.9eb1bc1a11f28p-2, 0x1.9811e8c4092c8p-2, 0x1.917a40bea2623p-2, 0x1.8aeb554cb9222p-2, 0x1.8465b3624e94fp-2, 0x1.7de9e38e7deb2p-2, 0x1.777869e8d729ap-2, 0x1.7111c601ef145p-2, 0x1.6ab672d701e79p-2, 0x1.6466e6c879624p-2, 0x1.5e23939334416p-2, 0x1.57ece64c62c2ep-2, 0x1.51c3475fdb284p-2, 0x1.4ba71a90b6488p-2, 0x1.4598befc19ce6p-2, 0x1.3f988f1e0d63cp-2, 0x1.39a6e0d83254ep-2, 0x1.33c4057a473c1p-2, 0x1.2df049cc4fb15p-2, 0x1.282bf61a4c328p-2, 0x1.22774e415a3efp-2, 0x1.1cd291be2befdp-2, 0x1.173dfbbcb28c2p-2, 0x1.11b9c328ed24bp-2, 0x1.0c461ac0b7275p-2, 0x1.06e3312689475p-2, 0x1.019130f512c7cp-2, 0x1.f8a081a7242e6p-3, 0x1.ee410715bff41p-3, 0x1.e404303624013p-3, 0x1.d9ea33a34d4abp-3, 0x1.cff340c04f745p-3, 0x1.c61f7fe664db2p-3, 0x1.bc6f1293aa26dp-3, 0x1.b2e2139a63f38p-3, 0x1.a9789750b8982p-3, 0x1.a032abc0be5d2p-3, 0x1.971058d8c11e8p-3, 0x1.8e11a09baf821p-3, 0x1.85367f5192bcap-3, 0x1.7c7eebb7fca99p-3, 0x1.73ead73257fa9p-3, 0x1.6b7a2dfa0b8b4p-3, 0x1.632cd74e56754p-3, 0x1.5b02b5a3e07e6p-3, 0x1.52fba6d3e0f9bp-3, 0x1.4b17844adc1afp-3, 0x1.43562336dfdd3p-3, 0x1.3bb754b539747p-3, 0x1.343ae5ff91b18p-3, 0x1.2ce0a0986e964p-3, 0x1.25a84a770ce88p-3, 0x1.1e91a63283b1p-3, 0x1.179c732c2fe2fp-3, 0x1.10c86db9682dep-3, 0x1.0a154f4c594dcp-3, 0x1.0382ce9c2a84ep-3, 0x1.fa213f987e49ep-4, 0x1.ed7ce92559cfep-4, 0x1.e117f8bbacc39p-4, 0x1.d4f1c8f2569adp-4, 0x1.c909b06203073p-4, 0x1.bd5f01eb30659p-4, 0x1.b1f10cfa623acp-4, 0x1.a6bf1dca8f915p-4, 0x1.9bc87da5c2aa4p-4, 0x1.910c7323fe3dp-4, 0x1.868a426840ddp-4, 0x1.7c412d5bd57f2p-4, 0x1.723073e7ce1b1p-4, 0x1.6857542cbe0ddp-4, 0x1.5eb50ab8afa8dp-4, 0x1.5548d2bb5abd4p-4, 0x1.4c11e6389e98dp-4, 0x1.430f7e3943adfp-4, 0x1.3a40d2fa0a5a7p-4, 0x1.31a51c190b069p-4, 0x1.293b90c16e1dep-4, 0x1.210367d57ee06p-4, 0x1.18fbd81723c62p-4, 0x1.1124184ebe0bap-4, 0x1.097b5f70798c2p-4, 0x1.0200e4c0144e3p-4, 0x1.f567bfe64399cp-5, 0x1.e72712a3aaddbp-5, 0x1.d93e33acace62p-5, 0x1.cbab969555c05p-5, 0x1.be6db0ca76159p-5, 0x1.b182f9c7f3aebp-5, 0x1.a4e9eb4c6f092p-5, 0x1.98a1018a4e2dfp-5, 0x1.8ca6bb563daddp-5, 0x1.80f99a53373cfp-5, 0x1.7598231c1c028p-5, 0x1.6a80dd6af6a91p-5, 0x1.5fb2543df2e8cp-5, 0x1.552b15fa16dc4p-5, 0x1.4ae9b48bd60d2p-5, 0x1.40ecc58587035p-5, 0x1.3732e23bcdfdbp-5, 0x1.2dbaa7e00d02dp-5, 0x1.2482b798e5407p-5, 0x1.1b89b698e03fp-5, 0x1.12ce4e33457a5p-5, 0x1.0a4f2bef36c53p-5, 0x1.020b019918bdp-5, 0x1.f4010aa4ba3d7p-6, 0x1.e45ce33f6f92dp-6, 0x1.d5270aeba2262p-6, 0x1.c65d0888fe953p-6, 0x1.b7fc6c0134cd7p-6, 0x1.aa02ce58e06d3p-6, 0x1.9c6dd1bddd166p-6, 0x1.8f3b219311f49p-6, 0x1.82687279d6f0ep-6, 0x1.75f382590c35ap-6, 0x1.69da1861f4e46p-6, 0x1.5e1a0512f6c62p-6, 0x1.52b12238535d3p-6, 0x1.479d52eae7036p-6, 0x1.3cdc838d184dap-6, 0x1.326ca9c5fb392p-6, 0x1.284bc47ac7cd1p-6, 0x1.1e77dbc6b2f78p-6, 0x1.14ef00f142fabp-6, 0x1.0baf4e63304efp-6, 0x1.02b6e799e48f3p-6, 0x1.f407f23360255p-7, 0x1.e32970bd7d4a6p-7, 0x1.d2cec799d06e2p-7, 0x1.c2f4853cc64dcp-7, 0x1.b39749a2e5c3cp-7, 0x1.a4b3c62a396aap-7, 0x1.9646bd69e6005p-7, 0x1.884d030810b8bp-7, 0x1.7ac37b8e2ed51p-7, 0x1.6da71c3bdaa65p-7, 0x1.60f4ead845e66p-7, 0x1.54a9fd8273a18p-7, 0x1.48c37a8039b05p-7, 0x1.3d3e980c34d1ep-7, 0x1.32189c22c94ccp-7, 0x1.274edc4e31e9ep-7, 0x1.1cdebd71cb741p-7, 0x1.12c5b394a2803p-7, 0x1.090141ab5dac4p-7, 0x1.ff1df2c32d89bp-8, 0x1.ecd8f5c5695fdp-8, 0x1.db2ee944b35cap-8, 0x1.ca1b4648ebb45p-8, 0x1.b999a18a1cb39p-8, 0x1.a9a5aaff9575ep-8, 0x1.9a3b2d6eaad1ap-8, 0x1.8b560df93db7fp-8, 0x1.7cf24bac232ebp-8, 0x1.6f0bff0d8618dp-8, 0x1.619f59ab5dd34p-8, 0x1.54a8a5aa114aap-8, 0x1.482445535a3eap-8, 0x1.3c0eb2a583ff5p-8, 0x1.30647ee314d8dp-8, 0x1.25225222f8698p-8, 0x1.1a44eae13bc57p-8, 0x1.0fc91d906db4p-8, 0x1.05abd42bb431fp-8, 0x1.f7d41b9347c7fp-9, 0x1.e501bc5fd5d7bp-9, 0x1.d2dadacfb7071p-9, 0x1.c159eea7c4f1ap-9, 0x1.b079968beea73p-9, 0x1.a034972e20034p-9, 0x1.9085da7f44528p-9, 0x1.81686ee279ab4p-9, 0x1.72d7866285dbcp-9, 0x1.64ce75e99dd27p-9, 0x1.5748b47b8d026p-9, 0x1.4a41da724e37ep-9, 0x1.3db5a0bd1e4e8p-9, 0x1.319fe02216dc2p-9, 0x1.25fc90825d329p-9, 0x1.1ac7c820e6d9p-9, 0x1.0ffdbaebe7c0cp-9, 0x1.059ab9c8e6d48p-9, 0x1.f73663c7072abp-10, 0x1.e3f757fdeb8b5p-10, 0x1.d171979481e4ap-10, 0x1.bf9e9e6e59794p-10, 0x1.ae781ba7f1c69p-10, 0x1.9df7f04fb3fb1p-10, 0x1.8e182e246aabep-10, 0x1.7ed316594aeep-10, 0x1.7023185f80304p-10, 0x1.6202d0b54bb98p-10, 0x1.546d07ba9cc56p-10, 0x1.475cb08b3a045p-10, 0x1.3acce7de57586p-10, 0x1.2eb8f2ebb6338p-10, 0x1.231c3e562b714p-10, 0x1.17f25d1b8bca9p-10, 0x1.0d37078a09079p-10, 0x1.02e61a3ad597ap-10, 0x1.f1f72a2440f24p-11, 0x1.dee73488a1ffbp-11, 0x1.cc94dac0f32dap-11, 0x1.baf8e4bfee42p-11, 0x1.aa0c59765d1f3p-11, 0x1.99c87d06b85d8p-11, 0x1.8a26cf02cd9ecp-11, 0x1.7b2108b351affp-11, 0x1.6cb11b6942199p-11, 0x1.5ed12ed8f4916p-11, 0x1.517b9f7ebb4fp-11, 0x1.44aafd0cf954dp-11, 0x1.385a08e38a887p-11, 0x1.2c83b4905e463p-11, 0x1.2123205921fbfp-11, 0x1.163399cddc459p-11, 0x1.0bb09a6455dc5p-11, 0x1.0195c61c2fed6p-11, 0x1.efbdd45702a98p-12, 0x1.dd0ff767bb631p-12, 0x1.cb1a2cff40fbfp-12, 0x1.b9d4f78eaf622p-12, 0x1.a93921fe60611p-12, 0x1.993fbd5874d4bp-12, 0x1.89e21e82d56dp-12, 0x1.7b19dc0857b1dp-12, 0x1.6ce0cbf0cc45dp-12, 0x1.5f3101a7aa4e4p-12, 0x1.5204cbf113168p-12, 0x1.4556b2ece97b8p-12, 0x1.39217627b750cp-12, 0x1.2d600ab91bd6fp-12, 0x1.220d996f7ed01p-12, 0x1.17257d08c42fep-12, 0x1.0ca34077bb81p-12, 0x1.02829d360a97ap-12, 0x1.f17ef3449d54dp-13, 0x1.deabced465084p-13, 0x1.cc844400701b2p-13, 0x1.bb011a39e8aa3p-13, 0x1.aa1b669701aap-13, 0x1.99cc8901bbecep-13, 0x1.8a0e297c14f1fp-13, 0x1.7ada357926c9p-13, 0x1.6c2add4ab6723p-13, 0x1.5dfa91a2bf3a9p-13, 0x1.5044012882641p-13, 0x1.43021620a34cdp-13, 0x1.362ff427d9308p-13, 0x1.29c8f5ffcfd5cp-13, 0x1.1dc8ab6db74p-13, 0x1.122ad72a1c9e2p-13, 0x1.06eb6ce1a1463p-13, 0x1.f80d1e8c31b1fp-14, 0x1.e2f11c5f638fap-14, 0x1.ce7bc99b6f49bp-14, 0x1.baa66fcd1853ap-14, 0x1.a76aa84ce08dfp-14, 0x1.94c258f97927ep-14, 0x1.82a7b10e5157p-14, 0x1.7115261577817p-14, 0x1.600570f424c8fp-14, 0x1.4f738b112c715p-14, 0x1.3f5aab949f7e5p-14, 0x1.2fb644bff628p-14, 0x1.2082015e0d588p-14, 0x1.11b9c24a521afp-14, 0x1.03599c0e71777p-14, 0x1.eabba92bd81a6p-15, 0x1.cf85c1edd632ap-15, 0x1.b50ac69f7b3e1p-15, 0x1.9b445170c2486p-15, 0x1.822c4e8f06072p-15, 0x1.69bcf854cb6c7p-15, 0x1.51f0d39e37e33p-15, 0x1.3ac2ac4118be9p-15, 0x1.242d91a76ceb9p-15, 0x1.0e2cd38b61f61p-15, 0x1.f177fda7794bbp-16, 0x1.c7adb51f6aa53p-16, 0x1.9ef2ca228e196p-16, 0x1.773fa249faa7bp-16, 0x1.508d06ccb4453p-16, 0x1.2ad41f5fc5d41p-16, 0x1.060e6d4bee8bap-16, 0x1.c46b8d6e4f563p-17, 0x1.7e88a4409b943p-17, 0x1.3a690416a17e7p-17, 0x1.f00443713406p-18, 0x1.6e93f37ff4543p-18, 0x1.e0dc24001703ap-19, 0x1.d6022a18a5c4bp-20, -0x1.22e9a651e43eep-25, -0x1.dbd5843acaff4p-20, -0x1.d13b5c71d4e64p-19, -0x1.574d8c3eab94ep-18, -0x1.c3131a17a02a6p-18, -0x1.15fde7a03dd49p-17, -0x1.490a431bc690fp-17, -0x1.7ab4c33cf3317p-17, -0x1.ab034702de835p-17, -0x1.d9fb6d3331e14p-17, -0x1.03d14c53a083fp-16, -0x1.19fefa31163f3p-16, -0x1.2f893bb9298cep-16, -0x1.4472744ff358bp-16, -0x1.58bcf0f557949p-16, -0x1.6c6ae9ec60e2cp-16, -0x1.7f7e844c14c31p-16, -0x1.91f9d37a8ce6dp-16, -0x1.a3deda933c428p-16, -0x1.b52f8db93978dp-16, -0x1.c5edd3564f054p-16, -0x1.d61b8547a66f4p-16, -0x1.e5ba71f8c9e11p-16, -0x1.f4cc5d6db8326p-16, -0x1.01a9811e607f4p-15, -0x1.08a8093c6c4b6p-15, -0x1.0f629c4689d1cp-15, -0x1.15da0c04f19b8p-15, -0x1.1c0f27325c3f9p-15, -0x1.2202b9d556951p-15, -0x1.27b58d935dc97p-15, -0x1.2d2869fe0f5edp-15, -0x1.325c14daaea55p-15, -0x1.37515264492f4p-15, -0x1.3c08e588b15fep-15, -0x1.4083902097db9p-15, -0x1.44c21322f988ep-15, -0x1.48c52ed41b6aap-15, -0x1.4c8da2f0552ecp-15, -0x1.501c2ed2d2cap-15, -0x1.5371919890822p-15, -0x1.568e8a3fb624cp-15, -0x1.5973d7c38b6e4p-15, -0x1.5c2239352ce47p-15, -0x1.5e9a6dd135079p-15, -0x1.60dd351280674p-15, -0x1.62eb4ec23383p-15, -0x1.64c57b05348c1p-15, -0x1.666c7a6731e4cp-15, -0x1.67e10de365473p-15, -0x1.6923f6eb31d88p-15, -0x1.6a35f76abd948p-15, -0x1.6b17d1cbab8aap-15, -0x1.6bca48f613068p-15, -0x1.6c4e204fcfbd8p-15, -0x1.6ca41bba4bcbep-15, -0x1.6cccff8ede29bp-15, -0x1.6cc99099d3923p-15, -0x1.6c9a941441923p-15, -0x1.6c40cf9cb4acbp-15, -0x1.6bbd092ed949cp-15, -0x1.6b10071a2c0cp-15, -0x1.6a3a8ff7cbda8p-15, -0x1.693d6a9f833bep-15, -0x1.68195e1c1657fp-15, -0x1.66cf319eec53p-15, -0x1.655fac7324948p-15, -0x1.63cb95f026073p-15, -0x1.6213b56bbbc69p-15, -0x1.6038d22bca096p-15, -0x1.5e3bb357ae611p-15, -0x1.5c1d1fe95111bp-15, -0x1.59ddde9dffa7p-15, -0x1.577eb5e70de39p-15, -0x1.55006bda58c8bp-15, -0x1.5263c622a81cap-15, -0x1.4fa989f000cedp-15, -0x1.4cd27be7f1f4ep-15, -0x1.49df6015dee59p-15, -0x1.46d0f9db56a85p-15, -0x1.43a80be07b3f3p-15, -0x1.40655804833dfp-15, -0x1.3d099f4e5ab92p-15, -0x1.3995a1dd6b7b2p-15, -0x1.360a1eda91e5cp-15, -0x1.3267d46944449p-15, -0x1.2eaf7f98f30cep-15, -0x1.2ae1dc56a2095p-15, -0x1.26ffa55ec8249p-15, -0x1.2309942f6f54fp-15, -0x1.1f0060faa08d3p-15, -0x1.1ae4c2991cc81p-15, -0x1.16b76e7d6103ap-15, -0x1.127918a703f35p-15, -0x1.0e2a739663516p-15, -0x1.09cc3040aa2e5p-15, -0x1.055efe04320aep-15, -0x1.00e38a9d3e60fp-15, -0x1.f8b5043628d0cp-16, -0x1.ef891daae4aaap-16, -0x1.e644b2c4cab0dp-16, -0x1.dce91118ffa2ap-16, -0x1.d3778292e52afp-16, -0x1.c9f14d62070e6p-16, -0x1.c057b3e8d8998p-16, -0x1.b6abf4ac2914bp-16, -0x1.acef4a436b59cp-16, -0x1.a322eb49b3b7bp-16, -0x1.99480a4f8614fp-16, -0x1.8f5fd5cd61955p-16, -0x1.856b78170d5d1p-16, -0x1.7b6c174fada53p-16, -0x1.7162d55e9148ap-16, -0x1.6750cfe4c1de7p-16, -0x1.5d3720335157bp-16, -0x1.5316db426014fp-16, -0x1.48f111a8df0d4p-16, -0x1.3ec6cf9502805p-16, -0x1.34991cc56f493p-16, -0x1.2a68fc8318037p-16, -0x1.20376d9bc667bp-16, -0x1.16056a5d53c21p-16, -0x1.0bd3e891894d3p-16, -0x1.01a3d97aa92afp-16, -0x1.eeec53a12bc7bp-17, -0x1.da97837d45076p-17, -0x1.c64b09c3e9fbp-17, -0x1.b208a49118426p-17, -0x1.9dd208e1ae3f5p-17, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      47, 0x1.0cccccccccccdp+2, 0x1.1227631ebbe29p+1, 0x1.f490048589b7bp+1, -0x1.467508fc1adbp-1, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.9771d1d4738a4p+1, -0x1.05deb11239a3fp+3, 0x1.1870a3d70a3c8p+3, 0x1.85726bf5cf542p+0}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.6f5a4acf312b2p+1, -0x1.de66ec40b995fp+2, 0x1.1e481dc786f24p+3, -0x1.e6cf06f343274p+2}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.4ad9b5e95b78dp+1, -0x1.b2ef03c8aceb2p+2, 0x1.0112bc151765ap+3, -0x1.2e207f3067ee5p+2}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.29a98eda22f6ap+1, -0x1.8b408d02276bcp+2, 0x1.dde42138daa46p+2, -0x1.45aefc4b1b594p+2}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.0b879c4113c68p+1, -0x1.66958a5536025p+2, 0x1.b6cf21aab8a3ep+2, -0x1.25238fa32f5bcp+2}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.e06b59146e4c1p+0, -0x1.44e2f05e0b9dp+2, 0x1.93a1e7786b472p+2, -0x1.15c2c5281ef15p+2}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.aef31b152f3c3p+0, -0x1.25eddbedcb795p+2, 0x1.724d177dd8346p+2, -0x1.02d15bbc590d8p+2}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.82398201cd5fap+0, -0x1.098c20880fcd4p+2, 0x1.533e35717b992p+2, -0x1.e1ef97ccfc27p+1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.59d8b60f1b25fp+0, -0x1.df211047dbe2cp+1, 0x1.3653ac55d2de7p+2, -0x1.c29ee9535860fp+1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.3571d1d4738a4p+0, -0x1.afa3cc7519993p+1, 0x1.1b4a2374a9b9ep+2, -0x1.a194c2e5a7282p+1}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.14ac4b4d056c5p+0, -0x1.84516151ec672p+1, 0x1.023c17c30b377p+2, -0x1.850e0b160d537p+1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.ee6bc621b7e0bp-1, -0x1.5cde27e9e9da7p+1, 0x1.d5c86ba22950ap+1, -0x1.663310c21a6c8p+1}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.b9845dc832335p-1, -0x1.390128650a4f6p+1, 0x1.aacc8857ab439p+1, -0x1.4e25b1e18c421p+1}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.8a1511dffc548p-1, -0x1.1876ea52696aap+1, 0x1.82b3877a0b12bp+1, -0x1.313627b7b73dap+1}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.5f9acffa7eb6cp-1, -0x1.f5fca2446ac83p+0, 0x1.5e136e3b09905p+1, -0x1.1d01af3f95216p+1}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.399d0203e63e9p-1, -0x1.c0b5f506be3ddp+0, 0x1.3be00747e3302p+1, -0x1.02c31b49f4dbap+1}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.17abfb9bed30fp-1, -0x1.90a7a57aed57cp+0, 0x1.1cd2db0bd00b7p+1, -0x1.dbe3c73133d19p+0}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.f2c343b70ef56p-2, -0x1.655e0af76e19p+0, 0x1.0045305fe6895p+1, -0x1.b6eaaca73b0f7p+0}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.bcc07aaef2c73p-2, -0x1.3e788dae50de2p+0, 0x1.cbdedb640daa6p+0, -0x1.8c718631e6463p+0}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.8ca36199780bbp-2, -0x1.1b958dfa1c0a8p+0, 0x1.9c4c1d351afe1p+0, -0x1.6b4f3a912d1a7p+0}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.61cf7878b7a1cp-2, -0x1.f8b047c427e87p-1, 0x1.70b33f23af2e1p+0, -0x1.4a518f89638d2p+0}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.3bb5e0f7fcfc4p-2, -0x1.c0de1ca2af095p-1, 0x1.490fdbfeb7b69p+0, -0x1.276a874945114p+0}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.19d4d834091c1p-2, -0x1.8f0dbfc0ac85p-1, 0x1.259cad0a67bebp+0, -0x1.100453518927ap+0}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, 0x1.f76ee73e681aap-3, -0x1.62afe8dc0de08p-1, 0x1.04f8511f57494p+0, -0x1.e10856e12a744p-1}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, 0x1.c1e68a0d349bfp-3, -0x1.3b3dabf6d727ap-1, 0x1.d0375023a97a5p-1, -0x1.b3d5fdd844b04p-1}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, 0x1.925247cb70ac4p-3, -0x1.183214f434d4ep-1, 0x1.9bea6f1e30986p-1, -0x1.879fb1bdc2accp-1}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, 0x1.6806af46aa088p-3, -0x1.f23e8c85f79f5p-2, 0x1.6cebc03060eap-1, -0x1.55ab3b30b6b6dp-1}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, 0x1.426a22b3892efp-3, -0x1.bb23130020c23p-2, 0x1.43ebaed89ce9p-1, -0x1.39b3617f55cfcp-1}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, 0x1.20f4d7add15fp-3, -0x1.8a523c5d423bp-2, 0x1.1e46cc1b40b15p-1, -0x1.0b873ed1f7e25p-1}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, 0x1.032ca57a786c2p-3, -0x1.5f15d366cad91p-2, 0x1.fc58a7db272c4p-2, -0x1.f05f4671960a1p-2}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, 0x1.d14d2f5dbb9dp-4, -0x1.38ccd5e040098p-2, 0x1.c0c81a4867168p-2, -0x1.97746895ba034p-2}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, 0x1.a20578e5c4eb5p-4, -0x1.16da77b4ac998p-2, 0x1.8fe317f8fed8bp-2, -0x1.81cf17377f53ap-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.428f5c28f5c29p+1, 0x1.77dd872f33ca3p-4, -0x1.f16db96b007ebp-3, 0x1.61970af255f77p-2, -0x1.414f3a8c49f8p-2}, 
        {0x1.428f5c28f5c29p+1, 0x1.47ae147ae147bp+1, 0x1.5240746455eafp-4, -0x1.bbf053e0675dap-3, 0x1.3b086a5224215p-2, -0x1.18f3fe9758777p-2}, 
        {0x1.47ae147ae147bp+1, 0x1.4cccccccccccdp+1, 0x1.30ae536501e26p-4, -0x1.8c3b0d31b17cdp-3, 0x1.19518935bd5abp-2, -0x1.f5c1962ca9947p-3}, 
        {0x1.4cccccccccccdp+1, 0x1.51eb851eb851fp+1, 0x1.12b7fe08aefb3p-4, -0x1.61a0cdc5c6cb7p-3, 0x1.f66d1f1e70995p-3, -0x1.b711aa1ea922fp-3}, 
        {0x1.51eb851eb851fp+1, 0x1.570a3d70a3d71p+1, 0x1.eff5c6c11a111p-5, -0x1.3b8aa45e513c5p-3, 0x1.c1bcebfc0a61dp-3, -0x1.6df7c158ade08p-3}, 
        {0x1.570a3d70a3d71p+1, 0x1.5c28f5c28f5c3p+1, 0x1.c0420f6f08cc5p-5, -0x1.1951b5a4b116p-3, 0x1.95d26424995b7p-3, -0x1.510f507ea263ap-3}, 
        {0x1.5c28f5c28f5c3p+1, 0x1.6147ae147ae14p+1, 0x1.95c209246bf01p-5, -0x1.f4f1509156a9bp-4, 0x1.6d5fe9d7f6827p-3, -0x1.2dcafcaccf208p-3}, 
        {0x1.6147ae147ae14p+1, 0x1.6666666666666p+1, 0x1.6ff1950331e3ap-5, -0x1.bd61413d3e516p-4, 0x1.4928d5c339d0ep-3, -0x1.ef89799c2491ep-4}, 
        {0x1.6666666666666p+1, 0x1.6b851eb851eb8p+1, 0x1.4e5b4245f5ad9p-5, -0x1.8b17cc1002dcep-4, 0x1.2b6d62f22d61ap-3, -0x1.e6442035de16ep-4}, 
        {0x1.6b851eb851eb8p+1, 0x1.70a3d70a3d70ap+1, 0x1.309a671ef30a5p-5, -0x1.5d84c771eb0ep-4, 0x1.0e4056c5fc376p-3, -0x1.7766058c65ae6p-4}, 
        {0x1.70a3d70a3d70ap+1, 0x1.75c28f5c28f5cp+1, 0x1.1652bd3c36113p-5, -0x1.34149315e2514p-4, 0x1.ef746f70e1fd7p-4, -0x1.fc23c9988876cp-4}, 
        {0x1.75c28f5c28f5cp+1, 0x1.7ae147ae147aep+1, 0x1.fe64f54d1e96cp-6, -0x1.0ee20fd928235p-4, 0x1.b27a617d4c7e8p-4, -0x1.80ad411795894p-8}, 
        {0x1.7ae147ae147aep+1, 0x1.8p+1, 0x1.d5d3dc8b86b16p-6, -0x1.d87afd3e964d5p-5, 0x1.af97cd29482c4p-4, -0x1.98ec3988648ep-2}, 
        {0x1.8p+1, 0x1.bd70a3d70a3d7p+1, 0x1.b25f633ce63a6p-6, -0x1.a320d0b398094p-5, 0x1.d69ebf40444bp-5, -0x1.365ce36e8cc4ep-5}, 
        {0x1.bd70a3d70a3d7p+1, 0x1.0cccccccccccdp+2, 0x1.6872b020c49bap-7, -0x1.6bb61be9619f6p-6, 0x1.7b296781d6cf5p-9, -0x1.9831ecfeec8c3p-5}, 
      }}, 
      0x1.3d43f1b13d43dp-3, -0x1.9dd69493310f7p-4
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_zn_n() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.566f45fe8cf22p-1, 0x1.4a97dea294473p-1, 0x1.3e5963b568f52p-1, 0x1.31d2a0fea42ffp-1, 0x1.251fea95ac346p-1, 0x1.185afaa183558p-1, 0x1.0b9ae3cf47fb9p-1, 0x1.fde84431f675bp-2, 0x1.e4f100f3ab9fcp-2, 0x1.cc6f80d65d6dfp-2, 0x1.b47d5e118a298p-2, 0x1.9d317927ac521p-2, 0x1.869e2ce8a8b71p-2, 0x1.70d23edcdba2bp-2, 0x1.5bd99950a940fp-2, 0x1.47bd20ed338efp-2, 0x1.348333235a38dp-2, 0x1.22309bff25dfap-2, 0x1.10c81279437ebp-2, 0x1.0049b0773f037p-2, 0x1.e167d1443b11p-3, 0x1.c4092c96c5c52p-3, 0x1.a871673a033dep-3, 0x1.8e973211cc832p-3, 0x1.766e27286a619p-3, 0x1.5fe88816c3a4ap-3, 0x1.4af88bcfe70b3p-3, 0x1.379016f20a55ap-3, 0x1.259fa82761939p-3, 0x1.1515cf160cb19p-3, 0x1.05dfca250a354p-3, 0x1.efd57fad7de4dp-4, 0x1.d6495cc5b2decp-4, 0x1.befcb9f30d1b4p-4, 0x1.a9ca3fdd3dfe2p-4, 0x1.968e09e1afdd2p-4, 0x1.8525a8d2d783fp-4, 0x1.756fb405d2264p-4, 0x1.674bd9e3dd4f5p-4, 0x1.5a9ad650ce1dcp-4, 0x1.4f3e67d72dbebp-4, 0x1.45198ba84bf04p-4, 0x1.3c10acc987211p-4, 0x1.3409dc95f59c3p-4, 0x1.2cecbfc60d675p-4, 0x1.26a277b20425cp-4, 0x1.21157b2685a14p-4, 0x1.1c31874d67f0cp-4, 0x1.17e3aac3c32p-4, 0x1.141a5356a082ap-4, 0x1.10c567da392b6p-4, 0x1.0dd6454e02cc7p-4, 0x1.0b3fc0a4c578fp-4, 0x1.08f5f768b1d07p-4, 0x1.06ee2b09a24adp-4, 0x1.051e903888a61p-4, 0x1.037e2ab61a11p-4, 0x1.0204c3c845e56p-4, 0x1.00aaee868f9c1p-4, 0x1.fed430fd4c3a1p-5, 0x1.fc792a5febeaep-5, 0x1.fa3b31aaf86fp-5, 0x1.f81250a11256dp-5, 0x1.f5f7ece93b7a9p-5, 0x1.f3e67abe6ab8p-5, 0x1.f1d93d5e97d95p-5, 0x1.efcc1bbb7d60dp-5, 0x1.edbb8a0a2b7b8p-5, 0x1.eba46d0fefbf9p-5, 0x1.e9843e8c24ba5p-5, 0x1.e758e9985b39dp-5, 0x1.e520e4f9a0711p-5, 0x1.e2db2a65cc9dap-5, 0x1.e0872f8d85041p-5, 0x1.de24ef4bf035fp-5, 0x1.dbb4d7cde20fap-5, 0x1.d937b4d6fbd0ep-5, 0x1.d6c6255b5ca5p-5, 0x1.d42f0032f35afp-5, 0x1.d18eb01eed801p-5, 0x1.cee695ce9fb1bp-5, 0x1.cc38268c514eap-5, 0x1.c984cf70c8b17p-5, 0x1.c6cdff3064409p-5, 0x1.c4152073cfdd1p-5, 0x1.c15b9a57948e6p-5, 0x1.bea2d78a439e9p-5, 0x1.bbec3b8849894p-5, 0x1.b93931ffc5c4cp-5, 0x1.b68b229c2bd0bp-5, 0x1.b3e385aaff187p-5, 0x1.b143bec029ce2p-5, 0x1.aead3bb84c615p-5, 0x1.ac215ef16af14p-5, 0x1.a9a17f5555d01p-5, 0x1.a72ee2b48d51fp-5, 0x1.a4cab5c0bc7c7p-5, 0x1.a27614ce3043ep-5, 0x1.a031f80245484p-5, 0x1.9dff3ac060f5p-5, 0x1.9bde9e90c767bp-5, 0x1.99d0c80fd6c8dp-5, 0x1.97d6415348abp-5, 0x1.95ef7ba19134p-5, 0x1.941cd3e752997p-5, 0x1.925e93e371fbap-5, 0x1.90b4f8e4a81d4p-5, 0x1.8f20286a8120ap-5, 0x1.8da040246e99fp-5, 0x1.8c3553d09f569p-5, 0x1.8adf6091ba36dp-5, 0x1.899e5c2f032c3p-5, 0x1.88722b8fc0dcep-5, 0x1.875aa4b571417p-5, 0x1.86578e68863f6p-5, 0x1.85689f8b14c2ap-5, 0x1.848d7f834ae7fp-5, 0x1.83c5c4f55e1f5p-5, 0x1.8310f744c89dp-5, 0x1.826e91e65b81ap-5, 0x1.81de01d13bc3cp-5, 0x1.815ea5273c0ebp-5, 0x1.80efd2864aef8p-5, 0x1.8090d556d0fb4p-5, 0x1.8040f1c32ee05p-5, 0x1.7fff64f813341p-5, 0x1.7fcb67a94be99p-5, 0x1.7fa42ba914a22p-5, 0x1.7f88e1e54febep-5, 0x1.7f78b52fefbb8p-5, 0x1.7f72d361ee91p-5, 0x1.7f7661086e4cap-5, 0x1.7f8284d848ba5p-5, 0x1.7f96644a180eap-5, 0x1.7fb120fd70cd1p-5, 0x1.7fd1dc8921a79p-5, 0x1.7ff7b86d41b06p-5, 0x1.8021d3f11dcd5p-5, 0x1.804f52a668e04p-5, 0x1.807f53105d6e9p-5, 0x1.80b0f8b8b8792p-5, 0x1.80e3683332431p-5, 0x1.8115c895af93cp-5, 0x1.8147440086aa7p-5, 0x1.8177083ad739ep-5, 0x1.81a4462f7a3d2p-5, 0x1.81ce346dae9eep-5, 0x1.81f40db9d5e5dp-5, 0x1.821510ff0b1fbp-5, 0x1.8230817747e22p-5, 0x1.8245ace4e7dd4p-5, 0x1.8253dd3b5798ep-5, 0x1.825a6ced86e27p-5, 0x1.8258b51906fp-5, 0x1.824e1851cdf83p-5, 0x1.8239fdc3a8cffp-5, 0x1.821bd52619df6p-5, 0x1.81f312862e4a3p-5, 0x1.81bf328cacd07p-5, 0x1.817fb815c4e1p-5, 0x1.81342d15b4ba8p-5, 0x1.80dc22111025fp-5, 0x1.80772de74bdaap-5, 0x1.8004f12695e13p-5, 0x1.7f850c5746545p-5, 0x1.7ef7537366c8ep-5, 0x1.7e5b69d08412p-5, 0x1.7db0ebec90433p-5, 0x1.7cf79608007c2p-5, 0x1.7c2f2b00d2826p-5, 0x1.7b5779e9928c5p-5, 0x1.7a704e3f1921bp-5, 0x1.797981edde0e6p-5, 0x1.7872f28bb4848p-5, 0x1.775c856e47f4ep-5, 0x1.763624458f389p-5, 0x1.74ffc27c97a9ap-5, 0x1.73b9565529473p-5, 0x1.7262de1ea7466p-5, 0x1.70fc5d0111df7p-5, 0x1.6f85dc2870299p-5, 0x1.6dff69003077cp-5, 0x1.6c691a41bb183p-5, 0x1.6ac307d519dfbp-5, 0x1.690d4c386329dp-5, 0x1.67480eb5d9672p-5, 0x1.657374a919119p-5, 0x1.638fac5318de5p-5, 0x1.619ce4036167bp-5, 0x1.5f9b50ff64891p-5, 0x1.5d8b2c366a4f2p-5, 0x1.5b6cb23b19e55p-5, 0x1.594022be13a1dp-5, 0x1.5705c21ee9ab9p-5, 0x1.54bdd78c70892p-5, 0x1.5268acb1ea365p-5, 0x1.500693179fa01p-5, 0x1.4d97d45c1638ep-5, 0x1.4b1cc79fe936fp-5, 0x1.4895c590fe931p-5, 0x1.4603204467a2bp-5, 0x1.43653630c3892p-5, 0x1.40bc62d9df6f3p-5, 0x1.3e0904914e859p-5, 0x1.3b4b7b7e7dfc9p-5, 0x1.38842984fa263p-5, 0x1.35b370edcd94dp-5, 0x1.32d9b6e5eed91p-5, 0x1.2ff7607ccf434p-5, 0x1.2d0cd3dc2c7cbp-5, 0x1.2a1a78214f3e2p-5, 0x1.2720b484f0755p-5, 0x1.241ff2b4193c2p-5, 0x1.211898105f87ap-5, 0x1.1e0b0ff5cb77dp-5, 0x1.1af7c1392e758p-5, 0x1.17df166cc5e07p-5, 0x1.14c174dae4b95p-5, 0x1.119f44c635b08p-5, 0x1.0e78f1005224cp-5, 0x1.0b4edb08e3cffp-5, 0x1.08216cfe43334p-5, 0x1.04f10b3d78c9ap-5, 0x1.01be1946008cep-5, 0x1.fd11f32d58b4ep-6, 0x1.f6a41f4567ef2p-6, 0x1.f03378131797bp-6, 0x1.e9c0bc24ca0b9p-6, 0x1.e34ca7d576d75p-6, 0x1.dcd7f473ba4b4p-6, 0x1.d6635a6f6841dp-6, 0x1.cfef8ab6e5ea3p-6, 0x1.c97d3780efea9p-6, 0x1.c30d088b532d9p-6, 0x1.bc9fab9f0263dp-6, 0x1.b635c304e0079p-6, 0x1.afcff30ec6582p-6, 0x1.a96ed5b36d3a7p-6, 0x1.a31305288f342p-6, 0x1.9cbd18ff39f16p-6, 0x1.966da090034f7p-6, 0x1.90252c7c6d1cep-6, 0x1.89e443f2f9358p-6, 0x1.83ab6af5c4becp-6, 0x1.7d7b23115412dp-6, 0x1.7753e71836c56p-6, 0x1.713631d665acfp-6, 0x1.6b22761011871p-6, 0x1.651923beffe32p-6, 0x1.5f1aa53530f42p-6, 0x1.592762a911e53p-6, 0x1.533fbd23926b5p-6, 0x1.4d6414aab00f3p-6, 0x1.4794c2532c6bap-6, 0x1.41d21cd4243ecp-6, 0x1.3c1c74e5383fep-6, 0x1.367418d277684p-6, 0x1.30d951cbf3f2ep-6, 0x1.2b4c66e7c753p-6, 0x1.25cd95db0fb4ep-6, 0x1.205d1e45e24a5p-6, 0x1.1afb3b36430b3p-6, 0x1.15a81e734d224p-6, 0x1.1063fbba87038p-6, 0x1.0b2f048c08c9fp-6, 0x1.06095dfb97b67p-6, 0x1.00f3328d45fccp-6, 0x1.f7d94815819f2p-7, 0x1.edeba2d8d75f4p-7, 0x1.e41db6c1a532p-7, 0x1.da6fae444f759p-7, 0x1.d0e1b85605c99p-7, 0x1.c773fea6fe6p-7, 0x1.be26945f7964dp-7, 0x1.b4f9a1ed04ccfp-7, 0x1.abed34bcc009ep-7, 0x1.a3015cdae66efp-7, 0x1.9a36246363a31p-7, 0x1.918b897237c5dp-7, 0x1.890195c98f19p-7, 0x1.809837d0514d4p-7, 0x1.784f6b6142f59p-7, 0x1.70271ecf623f8p-7, 0x1.681f3e1710843p-7, 0x1.6037b310bb3e7p-7, 0x1.58705dc383f6cp-7, 0x1.50c92089ae2b7p-7, 0x1.4941d6156dc44p-7, 0x1.41da57340251fp-7, 0x1.3a927a6471188p-7, 0x1.336a0e9547ccfp-7, 0x1.2c60e200365a1p-7, 0x1.2576c5745f828p-7, 0x1.1eab7d7b7296ep-7, 0x1.17fecf33cad3ap-7, 0x1.11707d692aff3p-7, 0x1.0b00494325f65p-7, 0x1.04adf7b458e5ep-7, 0x1.fcf27da51fe23p-8, 0x1.f0c3ac4a625eep-8, 0x1.e4cefa322bcdbp-8, 0x1.d913cde1e032ap-8, 0x1.cd919353a35d9p-8, 0x1.c247aa123096bp-8, 0x1.b7357ece0f079p-8, 0x1.ac5a717e46693p-8, 0x1.a1b5e39f01843p-8, 0x1.97472ba5156ecp-8, 0x1.8d0da3f7d452p-8, 0x1.8308a99f708d1p-8, 0x1.7937957997758p-8, 0x1.6f99b646def43p-8, 0x1.662e68415d3c2p-8, 0x1.5cf4f8532b195p-8, 0x1.53ecc00aa0b76p-8, 0x1.4b1509210ab95p-8, 0x1.426d2545b3bb2p-8, 0x1.39f46a6af9d92p-8, 0x1.31aa220ad4c0ep-8, 0x1.298da32b9c36bp-8, 0x1.219e3e817f4d2p-8, 0x1.19db346dc48dap-8, 0x1.1243ea0507decp-8, 0x1.0ad7986583de5p-8, 0x1.0395a6d69faafp-8, 0x1.f8fab5028cec8p-9, 0x1.eb1c00d54a6d5p-9, 0x1.dd8de67d8daap-9, 0x1.d04f0092c37d4p-9, 0x1.c35dfbcc72d13p-9, 0x1.b6b97e04f0835p-9, 0x1.aa60360ade9b5p-9, 0x1.9e50d2b4e9462p-9, 0x1.9289fa5fda62bp-9, 0x1.870a66c5053efp-9, 0x1.7bd0c9d191a65p-9, 0x1.70dbd6d0b7f53p-9, 0x1.662a53696288fp-9, 0x1.5bbaf324c23c1p-9, 0x1.518c6aae49ed3p-9, 0x1.479d9091d2ec1p-9, 0x1.3e8f8517bd307p-9, 0x1.3516e46eb6c0fp-9, 0x1.2bda04d6eefaap-9, 0x1.22d7ba22c5868p-9, 0x1.1a0ee303986eep-9, 0x1.117e5a0f3e554p-9, 0x1.0925081ebd61dp-9, 0x1.0101cbc76e831p-9, 0x1.f22722ee35ccdp-10, 0x1.e2b2914dd463bp-10, 0x1.d3a3bd7012dfcp-10, 0x1.c4f8a010108d4p-10, 0x1.b6af200254ed4p-10, 0x1.a8c54610202a8p-10, 0x1.9b38fa31824d3p-10, 0x1.8e08594f7d60ap-10, 0x1.81317720bb342p-10, 0x1.74b266e2f2376p-10, 0x1.688940c051838p-10, 0x1.5cb42edf27444p-10, 0x1.5131620957882p-10, 0x1.45ff2435ae576p-10, 0x1.3b1b7fb7ceaf3p-10, 0x1.308500b352901p-10, 0x1.2639b7327c7d9p-10, 0x1.1c380b55443e4p-10, 0x1.127e5eadc6c81p-10, 0x1.090afc6d1a123p-10, 0x1.ffb8bce968fa5p-11, 0x1.ede1f7a44e48fp-11, 0x1.dc8e64939e3f6p-11, 0x1.cbbb2c42aad6p-11, 0x1.bb6524f813753p-11, 0x1.ab896e4e16e11p-11, 0x1.9c254a87c4c72p-11, 0x1.8d35f2e7a043p-11, 0x1.7eb8604820e8ep-11, 0x1.70a9ea9963183p-11, 0x1.63080b1dc09aep-11, 0x1.55d01662fd189p-11, 0x1.48ff8009b8351p-11, 0x1.3c93ba56e2763p-11, 0x1.308a3c16c5e74p-11, 0x1.24e0b2906fb8p-11, 0x1.1994b3acb23dbp-11, 0x1.0ea3ecdf3cf7p-11, 0x1.040c0bddfff0fp-11, 0x1.f395d3e6c71bbp-12, 0x1.dfbc71d730d12p-12, 0x1.cc879ebb17738p-12, 0x1.b9f3638f5111cp-12, 0x1.a7fb80c6d3a6ep-12, 0x1.969bde327c857p-12, 0x1.85d0a94869559p-12, 0x1.7595e6ff001b3p-12, 0x1.65e7b30aa2de4p-12, 0x1.56c27a3024908p-12, 0x1.4822798e64dacp-12, 0x1.3a0427dbf9af2p-12, 0x1.2c642362bfcfdp-12, 0x1.1f3eed444094ep-12, 0x1.1290fb93cceeap-12, 0x1.06572939eb132p-12, 0x1.f51c52cb2a8ep-13, 0x1.de6623418fba8p-13, 0x1.c88470bd2269dp-13, 0x1.b3723bc52c9b4p-13, 0x1.9f286ed84cap-13, 0x1.8ba3585d23989p-13, 0x1.78da603b4a965p-13, 0x1.66c9e8461035cp-13, 0x1.556b83e90259ap-13, 0x1.44ba89f84b3dcp-13, 0x1.34b1458a9998p-13, 0x1.254a9bdf0c56cp-13, 0x1.168170bac6f77p-13, 0x1.08510c68e09f7p-13, 0x1.f5695504f21f9p-14, 0x1.db4e7d68c9015p-14, 0x1.c2485bd2f2b82p-14, 0x1.aa4f51fc15fedp-14, 0x1.935a3ea52fb31p-14, 0x1.7d604746ea7bep-14, 0x1.6859a0c16d08dp-14, 0x1.543dfae664aep-14, 0x1.41063e69c3015p-14, 0x1.2eaa15dc02e43p-14, 0x1.1d225dc49e01fp-14, 0x1.0c68e4f4a403ep-14, 0x1.f8ec742dc609p-15, 0x1.da8389b8e60f7p-15, 0x1.bd90ed98cd3c5p-15, 0x1.a2041674c1c11p-15, 0x1.87d1450551783p-15, 0x1.6eecbd8070518p-15, 0x1.574a43ddb5a63p-15, 0x1.40e02e433421p-15, 0x1.2ba1ff3f55077p-15, 0x1.1785a02ac4452p-15, 0x1.04816386277c7p-15, 0x1.e50f16792283p-16, 0x1.c3283b8f586e1p-16, 0x1.a3354ebe648b6p-16, 0x1.852305f0ca823p-16, 0x1.68dfdfbfe5b3bp-16, 0x1.4e59edb7b5d4cp-16, 0x1.3580ecdc0fd9dp-16, 0x1.1e42f2cca6dd4p-16, 0x1.0891fc7181627p-16, 0x1.e8b5f3abbe564p-17, 0x1.c320ac055447ep-17, 0x1.a04873a2f99d6p-17, 0x1.800e41006ae0cp-17, 0x1.6255cb9bdfd0bp-17, 0x1.4700856131a05p-17, 0x1.2df60d6a6323p-17, 0x1.17225e8d4c2dbp-17, 0x1.026378031a4f8p-17, 0x1.df47dee0d072ep-18, 0x1.bd9c38b52866fp-18, 0x1.9f913bca2ca4p-18, 0x1.850024dd43e1fp-18, 0x1.6da9c2ed05733p-18, 0x1.5988cce69c13ap-18, 0x1.484927cf314a6p-18, 0x1.39f762d2e6fc9p-18, 0x1.2e330c79b73c6p-18, 0x1.25060dc86ee13p-18, 0x1.1e33be9dfe672p-18, 0x1.19a7be98423cap-18, 0x1.1737a81f1c9bfp-18, 0x1.16c6e86aac9cdp-18, 0x1.1831dd902c145p-18, 0x1.1b6214d4c98c4p-18, 0x1.2031adf91ff25p-18, 0x1.268c13f7ea0b1p-18, 0x1.2e66a326d8291p-18, 0x1.3778b5beccd1ap-18, 0x1.41d366bdaf66ap-18, 0x1.4d56e9da611acp-18, 0x1.59dfa3c18d09bp-18, 0x1.6761763d259d2p-18, 0x1.75ceb8bb1a84bp-18, 0x1.8500f8e97109cp-18, 0x1.94ef41d14dd51p-18, 0x1.a5868cb8a010fp-18, 0x1.b6b315424c2aap-18, 0x1.c8653b611f24cp-18, 0x1.da80d935a2594p-18, 0x1.ed196cc2eb1c9p-18, 0x1.fffcbd765502ep-18, 0x1.0989db593ccb8p-17, 0x1.133fc636c6ba3p-17, 0x1.1d060d22c52cfp-17, 0x1.26dcad61acd7bp-17, 0x1.30baf4d05f8b8p-17, 0x1.3a9fac4ccfc5fp-17, 0x1.448312c402c1fp-17, 0x1.4e5d5a5aaaa8p-17, 0x1.582c5c2b682abp-17, 0x1.61ed27cffbea9p-17, 0x1.6b989fe68b828p-17, 0x1.7524afc5a67a8p-17, 0x1.7ea4982b706c7p-17, 0x1.87f475fc5865ep-17, 0x1.9128d3769ba37p-17, 0x1.9a2c5391ef9dcp-17, 0x1.a30e5db977addp-17, 0x1.abc0ffd79a82cp-17, 0x1.b43e684b15a9cp-17, 0x1.bc94867badcdp-17, 0x1.c4ab73271acfdp-17, 0x1.cc8efc5e5c581p-17, 0x1.d43a5540e5486p-17, 0x1.dba6c5153df23p-17, 0x1.e2d9df26c5f52p-17, 0x1.e9cb011122b08p-17, 0x1.f084fcbc17b38p-17, 0x1.f6f4ef4d9975cp-17, 0x1.fd270183738afp-17, 0x1.018b81ee51bcdp-16, 0x1.0462b03b891b5p-16, 0x1.0711c38bb3ddp-16, 0x1.09a434475e0aap-16, 0x1.0c12e5a2e4a79p-16, 0x1.0e5b9ee02cc4bp-16, 0x1.10827fea4fbd9p-16, 0x1.128775d60d9bep-16, 0x1.146835bef1ecfp-16, 0x1.1624332dfd7efp-16, 0x1.17bda71a3eaadp-16, 0x1.19333e5bc5781p-16, 0x1.1a8605d53d27dp-16, 0x1.1bb41b177ea23p-16, 0x1.1cc367885ea09p-16, 0x1.1da7c202b3d95p-16, 0x1.1e6f7edff3342p-16, 0x1.1f16224480d8ep-16, 0x1.1f93e3b54160ap-16, 0x1.1ff6e881b0c4ep-16, 0x1.2033a281e4612p-16, 0x1.2052e16fcd467p-16, 0x1.204f1fa0d6a7p-16, 0x1.202b0ac6872f2p-16, 0x1.1fe8919f5301fp-16, 0x1.1f8472ecef87cp-16, 0x1.1f034491df496p-16, 0x1.1e638e50adc9ep-16, 0x1.1da5ec16f17fap-16, 0x1.1cc71536e939fp-16, 0x1.1bd3a3ae935a1p-16, 0x1.1abb71089be6ap-16, 0x1.198c132354434p-16, 0x1.183fe78b91595p-16, 0x1.16d904e739d9fp-16, 0x1.155824a8acf1fp-16, 0x1.13bcb80725f0cp-16, 0x1.1209eaa0280a8p-16, 0x1.103d7ceda4a15p-16, 0x1.0e59ce6cb6dc3p-16, 0x1.0c5c96a68646p-16, 0x1.0a4cc5a31147fp-16, 0x1.0822f6b395e6p-16, 0x1.05ea555c5cdcfp-16, 0x1.0392409ddd764p-16, 0x1.012fad4105442p-16, 0x1.fd6b5aa6eb058p-17, 0x1.f8554dfbb642cp-17, 0x1.f317051680776p-17, 0x1.edb4e7956f46ep-17, 0x1.e8393bd43816fp-17, 0x1.e29427a86e5e8p-17, 0x1.dcd2679cee72cp-17, 0x1.d6f21d3bc015bp-17, 0x1.d0f4fd22f78bdp-17, 0x1.cad8835e0fe9cp-17, 0x1.c4a93231dff23p-17, 0x1.be56783adb0d1p-17, 0x1.b7f206677eef1p-17, 0x1.b1724ffd27019p-17, 0x1.aadc3331c19e1p-17, 0x1.a4392cdfbea37p-17, 0x1.9d72d47a02d4bp-17, 0x1.96b0a385a17b7p-17, 0x1.8fc9fbd04305cp-17, 0x1.88d915a4d54e2p-17, 0x1.81d715124770fp-17, 0x1.7aca7e900184ap-17, 0x1.73ab75f8f18c9p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.600bb8c049378p-1, 0x1.555483fd42c67p-1, 0x1.4a0f79dea0228p-1, 0x1.3e5331ad79f46p-1, 0x1.3235543495052p-1, 0x1.25ca6ae3fc872p-1, 0x1.1925c28f4744fp-1, 0x1.0c594e3cef26ap-1, 0x1.feeb59c4fa61ep-2, 0x1.e514257e63a6bp-2, 0x1.cb48ab647edc5p-2, 0x1.b1a227b09a14ap-2, 0x1.9836f9acbf522p-2, 0x1.7f1b4ee803dc3p-2, 0x1.6660fdf01abccp-2, 0x1.4e17ac519f67fp-2, 0x1.364d041cd22c1p-2, 0x1.1f0cd8534b771p-2, 0x1.0861389ed77ddp-2, 0x1.e4a5408aba783p-3, 0x1.b9d045e102376p-3, 0x1.904ef3ed569f3p-3, 0x1.682a1af913fd6p-3, 0x1.4168318a369eep-3, 0x1.1c0daf12c4273p-3, 0x1.f03a8ac018f9p-4, 0x1.ab2fe6436afeap-4, 0x1.68fa188353ebep-4, 0x1.2994c821e8bap-4, 0x1.d9f217700e0b5p-5, 0x1.663b7fe57515ep-5, 0x1.efe00b317d651p-6, 0x1.1ded69bef60d9p-6, 0x1.59a15d1ce0526p-8, -0x1.9bc78bf2465f4p-8, -0x1.1a624ebbc6ce2p-6, -0x1.c42f5541ff11ep-6, -0x1.32512fd4119c4p-5, -0x1.7e0399659bb87p-5, -0x1.c555abc4bf8ffp-5, -0x1.043764c0224e7p-4, -0x1.23bb56c651c0ep-4, -0x1.414a99898c593p-4, -0x1.5cf91021b5d92p-4, -0x1.76da807058806p-4, -0x1.8f0281764c38bp-4, -0x1.a58469302b4bdp-4, -0x1.ba733a1296438p-4, -0x1.cde192358fca4p-4, -0x1.dfe19cfb47f9ap-4, -0x1.f0850eb0567eep-4, -0x1.ffdd1f66d6442p-4, -0x1.06fd40de0b589p-3, -0x1.0d76b02185d8ep-3, -0x1.1362abccfd82ep-3, -0x1.18c8b9e3c90eap-3, -0x1.1db01547d0ffep-3, -0x1.221fb4c1827fep-3, -0x1.261e41e0c3705p-3, -0x1.29b21e51431ffp-3, -0x1.2ce1623c1f916p-3, -0x1.2fb1dd8dd375bp-3, -0x1.32291ac61a651p-3, -0x1.344c5f1e13a7fp-3, -0x1.3620b2c3b937bp-3, -0x1.37aadbb7499ffp-3, -0x1.38ef64b568b74p-3, -0x1.39f29c54d027bp-3, -0x1.3ab896a06f5cp-3, -0x1.3b452e08903cap-3, -0x1.3b9c06a9e361cp-3, -0x1.3bc08f3bc8fa9p-3, -0x1.3bb6073ebe3a7p-3, -0x1.3b7f7cf69c8a3p-3, -0x1.3b1fd2bc657bcp-3, -0x1.3a99c10738464p-3, -0x1.39efd7ae5965p-3, -0x1.3924716dd3ee6p-3, -0x1.3839e0ca4906fp-3, -0x1.37324cd94664bp-3, -0x1.360fb4fd9f7cp-3, -0x1.34d3f89968b2p-3, -0x1.3380d9e4bd715p-3, -0x1.3217fea9f9294p-3, -0x1.309af07cbd5e3p-3, -0x1.2f0b22d6811e4p-3, -0x1.2d69eee77beaep-3, -0x1.2bb899793aa65p-3, -0x1.29f85161cadc6p-3, -0x1.282a323722241p-3, -0x1.264f442ba5097p-3, -0x1.24687f0a5570ap-3, -0x1.2276c8f111773p-3, -0x1.207af90fa6de7p-3, -0x1.1e75d8f71c33p-3, -0x1.1c68229050018p-3, -0x1.1a5284a76d57ep-3, -0x1.1835a11f03386p-3, -0x1.16120f72f3554p-3, -0x1.13e85c9a84ab3p-3, -0x1.11b90c13109f5p-3, -0x1.0f84985a1783bp-3, -0x1.0d4b748f522c7p-3, -0x1.0b0e084c547bfp-3, -0x1.08ccb9e18ecbap-3, -0x1.0687e4401f37dp-3, -0x1.043fde3c039c5p-3, -0x1.01f4f83ca7cb1p-3, -0x1.ff4efc31dc46bp-4, -0x1.faaf6abf17996p-4, -0x1.f60bc221ac333p-4, -0x1.f1647c4ea5985p-4, -0x1.ecba0d6e163cp-4, -0x1.e80ce21676cf4p-4, -0x1.e35d60ffb49f5p-4, -0x1.deabea9cb114ep-4, -0x1.d9f8d93a58686p-4, -0x1.d54483076969p-4, -0x1.d08f3a609d257p-4, -0x1.cbd94b93bea0ap-4, -0x1.c723009bfcf4ep-4, -0x1.c26c9fa55f147p-4, -0x1.bdb66c554031dp-4, -0x1.b900a6eab80ep-4, -0x1.b44b8d4310df8p-4, -0x1.af975afaea466p-4, -0x1.aae44a3237f85p-4, -0x1.a63291cc821b5p-4, -0x1.a1826902525dfp-4, -0x1.9cd403fb64a1cp-4, -0x1.98279622cda85p-4, -0x1.937d519a205f1p-4, -0x1.8ed567e3c264ap-4, -0x1.8a30082547f05p-4, -0x1.858d626ddad2fp-4, -0x1.80eda5be930bbp-4, -0x1.7c50ff48acd11p-4, -0x1.77b79cd53c388p-4, -0x1.7321aac0c2926p-4, -0x1.6e8f55e78a07cp-4, -0x1.6a00c9e0f91f7p-4, -0x1.6576326c9457bp-4, -0x1.60efba5a90732p-4, -0x1.5c6d8c4d96fcp-4, -0x1.57efd25beab6cp-4, -0x1.5376b6bf44adcp-4, -0x1.4f0262a67acb3p-4, -0x1.4a92ff1e771e7p-4, -0x1.4628b4988852p-4, -0x1.41c3abda94b17p-4, -0x1.3d640c7546662p-4, -0x1.3909fe16be12bp-4, -0x1.34b5a755297acp-4, -0x1.30672f4192ec7p-4, -0x1.2c1ebba99a9b2p-4, -0x1.27dc727f3bdf6p-4, -0x1.23a078beaf4fbp-4, -0x1.1f6af28975197p-4, -0x1.1b3c05854ba2dp-4, -0x1.1713d4372e9d1p-4, -0x1.12f280d16397dp-4, -0x1.0ed82ef90b2eap-4, -0x1.0ac4ff8cc4aeep-4, -0x1.06b9140c7fa5ap-4, -0x1.02b48c77f90e4p-4, -0x1.fd6f136ea80cfp-5, -0x1.f58450b7fe8f2p-5, -0x1.eda90f78d6adap-5, -0x1.e5dd89fc28d37p-5, -0x1.de21fa816628p-5, -0x1.d6769708da082p-5, -0x1.cedb96a4fa4dfp-5, -0x1.c7512cafcdb3bp-5, -0x1.bfd78c417c7d3p-5, -0x1.b86ee535cc2a5p-5, -0x1.b117685b75ff2p-5, -0x1.a9d140c28885ep-5, -0x1.a29c9b22bb2aep-5, -0x1.9b799e3ca9d04p-5, -0x1.9468741d225e3p-5, -0x1.8d694112ee6f6p-5, -0x1.867c2943d2d7fp-5, -0x1.7fa14dc7afd32p-5, -0x1.78d8cf4105ce1p-5, -0x1.7222c9b29723bp-5, -0x1.6b7f59e886534p-5, -0x1.64ee993b5e964p-5, -0x1.5e709fb8e7083p-5, -0x1.5805822ce1cb4p-5, -0x1.51ad551ee7516p-5, -0x1.4b6829d6c2994p-5, -0x1.45360fd867e5dp-5, -0x1.3f1715f3013fbp-5, -0x1.390b4685a7b8fp-5, -0x1.3312ac17d1afcp-5, -0x1.2d2d4e627f346p-5, -0x1.275b32a035ee9p-5, -0x1.219c5d9f1c4b6p-5, -0x1.1bf0d12d285bp-5, -0x1.16588d30a2104p-5, -0x1.10d3905a92c54p-5, -0x1.0b61d6e7788c1p-5, -0x1.06035b91e9065p-5, -0x1.00b81738a3348p-5, -0x1.f70001f72ab0ap-6, -0x1.ecb61d1e064c1p-6, -0x1.e29265734cf41p-6, -0x1.d894c1fc7314ep-6, -0x1.cebd0f5ba2e96p-6, -0x1.c50b2ebd40476p-6, -0x1.bb7ef965aabbbp-6, -0x1.b21847b931727p-6, -0x1.a8d6eaf693909p-6, -0x1.9fbab88733cefp-6, -0x1.96c37b99c2c39p-6, -0x1.8df10303e50a6p-6, -0x1.8543154d5e6bp-6, -0x1.7cb97c158bfdfp-6, -0x1.7453fa136dba3p-6, -0x1.6c124f8a2ff87p-6, -0x1.63f43e76441fap-6, -0x1.5bf982294e3dep-6, -0x1.5421d5566934fp-6, -0x1.4c6cf248d25e1p-6, -0x1.44da8d38e3b71p-6, -0x1.3d6a5f75e2629p-6, -0x1.361c184985c3dp-6, -0x1.2eef6911ca93p-6, -0x1.27e40423af972p-6, -0x1.20f9946546d91p-6, -0x1.1a2fca0c62437p-6, -0x1.13864b67fc4e3p-6, -0x1.0cfcc41d4719bp-6, -0x1.0692e05a90b43p-6, -0x1.00484346abf54p-6, -0x1.f439292004f2fp-7, -0x1.e81eef37aa7dp-7, -0x1.dc41272f149dfp-7, -0x1.d09f1578ff883p-7, -0x1.c537fdd51399fp-7, -0x1.ba0b24b27331p-7, -0x1.af17d095921b5p-7, -0x1.a45d3c0142ed8p-7, -0x1.99daaca68ca29p-7, -0x1.8f8f611205fd6p-7, -0x1.857a93fb4155ap-7, -0x1.7b9b8ec49f054p-7, -0x1.71f18463f28b8p-7, -0x1.687bb3480279bp-7, -0x1.5f396196b7fd6p-7, -0x1.5629c6dd26f76p-7, -0x1.4d4c1a01c7615p-7, -0x1.449fa0b25c173p-7, -0x1.3c2398655d0b7p-7, -0x1.33d73d23fbd6fp-7, -0x1.2bb9c9079b274p-7, -0x1.23ca863d37ff8p-7, -0x1.1c08ac254185ep-7, -0x1.14737caf2eb59p-7, -0x1.0d0a3bd46f6f2p-7, -0x1.05cc2657d963bp-7, -0x1.fd7109676dd02p-8, -0x1.ef9d34143597cp-8, -0x1.e21b57154917cp-8, -0x1.d4ea0094cd4abp-8, -0x1.c807c32aea8c5p-8, -0x1.bb73297399b3p-8, -0x1.af2ad19664434p-8, -0x1.a32d50e7d7487p-8, -0x1.977948cf68f89p-8, -0x1.8c0d52fa3a657p-8, -0x1.80e812cefdc83p-8, -0x1.760832b44446ep-8, -0x1.6b6c530a826e9p-8, -0x1.611324d3d402dp-8, -0x1.56fb5c4b5a16ap-8, -0x1.4d23af0969e91p-8, -0x1.438ad1066ca69p-8, -0x1.3a2f7d32a86ccp-8, -0x1.311078583429dp-8, -0x1.282c85ce19ffdp-8, -0x1.1f826a194db77p-8, -0x1.1710f438bc1eep-8, -0x1.0ed6f4c486475p-8, -0x1.06d341218fe6p-8, -0x1.fe09569adf107p-9, -0x1.eed42434e35a7p-9, -0x1.e004c9d30c6ccp-9, -0x1.d198efba68166p-9, -0x1.c38e6de9976cep-9, -0x1.b5e31c11d7ap-9, -0x1.a89503d2e9ce8p-9, -0x1.9ba1eefffae2ap-9, -0x1.8f07cd2238f18p-9, -0x1.82c4a9c2d05e6p-9, -0x1.76d6930b13b49p-9, -0x1.6b3b7c90b9207p-9, -0x1.5ff18f9a3940dp-9, -0x1.54f6e7f0fb981p-9, -0x1.4a49b5298e994p-9, -0x1.3fe81f0d0719ap-9, -0x1.35d061b2b771fp-9, -0x1.2c00a1872ca36p-9, -0x1.227752c84c484p-9, -0x1.1932a9b758809p-9, -0x1.103105b10ac27p-9, -0x1.0770d04cabcp-9, -0x1.fde0d37c04204p-10, -0x1.ed5c7f0532ee9p-10, -0x1.dd519d311460fp-10, -0x1.cdbd0e825185fp-10, -0x1.be9c1b2d1028p-10, -0x1.afeba5f54e374p-10, -0x1.a1a901d9dda6dp-10, -0x1.93d1719af15f5p-10, -0x1.86620b570749cp-10, -0x1.795837473e6a2p-10, -0x1.6cb17b2b0e719p-10, -0x1.606b36ac48645p-10, -0x1.5482f8c78183bp-10, -0x1.48f62f8fec3b1p-10, -0x1.3dc2792013861p-10, -0x1.32e5cfc896a97p-10, -0x1.285d94cc7aa42p-10, -0x1.1e27a2eb23d02p-10, -0x1.1441b6a37943cp-10, -0x1.0aa9c9d38531dp-10, -0x1.015dba6e7e00bp-10, -0x1.f0b7117c87f52p-11, -0x1.df424a79773e2p-11, -0x1.ce592cf5fedddp-11, -0x1.bdf808f076414p-11, -0x1.ae1ad52bd20e6p-11, -0x1.9ebec211b22c4p-11, -0x1.8fdf666d2a2b2p-11, -0x1.8179936b26ef9p-11, -0x1.738a0a797ef2p-11, -0x1.660d3f53d9292p-11, -0x1.5900077e4f1cap-11, -0x1.4c5f091295fb3p-11, -0x1.40279b5a42d79p-11, -0x1.3483278695226p-11, -0x1.2912d154c5383p-11, -0x1.1e030a00589p-11, -0x1.1351164d24272p-11, -0x1.08fa3fee7fdd2p-11, -0x1.fdf73865618cfp-12, -0x1.eaa6e5d8bf131p-12, -0x1.d7fcbb98e7eb6p-12, -0x1.c5f467bda1174p-12, -0x1.b4893e5734fb2p-12, -0x1.a3b71e92859b6p-12, -0x1.93783e2f5fd75p-12, -0x1.83c87794df281p-12, -0x1.74a4b16085248p-12, -0x1.66079752439d5p-12, -0x1.57ee07a2fdebep-12, -0x1.4a52f3c1f8f95p-12, -0x1.3d32ea01dbb9ap-12, -0x1.308a65fc682e2p-12, -0x1.2455e9702c8fbp-12, -0x1.189149b08e66fp-12, -0x1.0d38ef412afa7p-12, -0x1.024983fbd4266p-12, -0x1.ef8289f517ca1p-13, -0x1.db3690b141ea8p-13, -0x1.c7a9bf6d37bb5p-13, -0x1.b4d608171f006p-13, -0x1.a2b5ee347bc6ap-13, -0x1.9143822e7855ep-13, -0x1.8078aef31a0c9p-13, -0x1.70501f4ea26b5p-13, -0x1.60c564da1eb1p-13, -0x1.51d2b83a97c16p-13, -0x1.4373588b83e0dp-13, -0x1.35a22605ec89fp-13, -0x1.285a723475851p-13, -0x1.1b97eaf5f7876p-13, -0x1.0f55eebca2cep-13, -0x1.03904bd10a4bap-13, -0x1.f0850746731b2p-14, -0x1.dad1b06d99548p-14, -0x1.c5fe5b9f9f4aep-14, -0x1.b20351a29f8ap-14, -0x1.9ed9327f70471p-14, -0x1.8c78a6632bf83p-14, -0x1.7adc6477d4991p-14, -0x1.69fa481c5f8c8p-14, -0x1.59cbd063f40cdp-14, -0x1.4a4d82d9507fcp-14, -0x1.3b76a68ba8a87p-14, -0x1.2d430fe5065a2p-14, -0x1.1fabe51abbc4ep-14, -0x1.12ad28077b7dbp-14, -0x1.063e8ba84437p-14, -0x1.f4b423b8e672cp-15, -0x1.ddfadf482a3fcp-15, -0x1.c84606a263acfp-15, -0x1.b38a136530742p-15, -0x1.9fc22a20da50ap-15, -0x1.8cddfd1ffb0efp-15, -0x1.7ad6d3b837c64p-15, -0x1.69a71518bafbep-15, -0x1.5944cc9fd6d04p-15, -0x1.49a7f44bced7fp-15, -0x1.3ac72a65cd44ap-15, -0x1.2c9f8f4b16685p-15, -0x1.1f2635d6eececp-15, -0x1.124e871a098f6p-15, -0x1.06206e7efed7p-15, -0x1.f513dd56a6442p-16, -0x1.df0ccccca2f18p-16, -0x1.ca2106b9aacbep-16, -0x1.b6481510d58e1p-16, -0x1.a36fc91e5e58p-16, -0x1.919204afe98d7p-16, -0x1.80a293fcc4f03p-16, -0x1.709abcdd3bccfp-16, -0x1.616d67171fdc1p-16, -0x1.5307f9beb93c5p-16, -0x1.456c4fe9c84c7p-16, -0x1.3890873fad63dp-16, -0x1.2c6c392f9bd5ep-16, -0x1.20f3c2be764f2p-16, -0x1.161f8cb8498a3p-16, -0x1.0be9d0bb0d40dp-16, -0x1.024fc3499367p-16, -0x1.f27d5f1c89591p-17, -0x1.e160234b66321p-17, -0x1.d15606044baa3p-17, -0x1.c2413ec4b0c7ep-17, -0x1.b405c323d6b3dp-17, -0x1.a6b592e15c004p-17, -0x1.9a35647eba34p-17, -0x1.8e7e297aafd7ap-17, -0x1.837bf728027ccp-17, -0x1.7930b73ec2d2p-17, -0x1.6f9834ed2b229p-17, -0x1.6696b70d3fdebp-17, -0x1.5e2cfdb4d14a9p-17, -0x1.565649a882a4dp-17, -0x1.4ef043badcb37p-17, -0x1.481f1e782acbbp-17, -0x1.41c6daed869adp-17, -0x1.3bd0c08a2a223p-17, -0x1.36476c4b2ad06p-17, -0x1.311e9b5bd2971p-17, -0x1.2c53b13cc32b2p-17, -0x1.27dd2a9ddaf6dp-17, -0x1.23ae9cb36e45ap-17, -0x1.1fd370bdaaceep-17, -0x1.1c3994c8d6e3cp-17, -0x1.18de5f20006dfp-17, -0x1.15bfd3ba4091fp-17, -0x1.12d2b82236a38p-17, -0x1.101d8eb0a8824p-17, -0x1.0d8f3bab1271ep-17, -0x1.0b30c6c767113p-17, -0x1.08f35605c9fb6p-17, -0x1.06d9894f35eaap-17, -0x1.04de7b481ecf6p-17, -0x1.02feeacbb400dp-17, -0x1.01400261104b6p-17, -0x1.ff03eb3ce0262p-18, -0x1.fbd246012cf32p-18, -0x1.f8a3aa26e2a14p-18, -0x1.f5c244f038055p-18, -0x1.f2be853f9fbf4p-18, -0x1.eff68b8dfb3cbp-18, -0x1.ed2679f1bf93bp-18, -0x1.ea6eac4d68b35p-18, -0x1.e7b9b0fb21e0dp-18, -0x1.e50d028255736p-18, -0x1.e25d7c3761af1p-18, -0x1.dfa44a06465c3p-18, -0x1.dcedffbd175d8p-18, -0x1.da2a0f0f22993p-18, -0x1.d77070bb11b4dp-18, -0x1.d49aa712b1266p-18, -0x1.d1a8bbe163fe9p-18, -0x1.cecc99b9aa40ep-18, -0x1.cbc35dab10da9p-18, -0x1.c8b4c2d92825ep-18, -0x1.c5945942c973dp-18, -0x1.c255936ab4a2dp-18, -0x1.bf053c9f99858p-18, -0x1.bb9e13c245618p-18, -0x1.b81f2d93b911fp-18, -0x1.b488e49fd1342p-18, -0x1.b0d78650acd53p-18, -0x1.ad1071782aa8dp-18, -0x1.a929cd95005bcp-18, -0x1.a529f676772cep-18, -0x1.a11a4ddf1552dp-18, -0x1.9cea6040eb1ffp-18, -0x1.98a2d5dcecf0dp-18, -0x1.9431818443c39p-18, -0x1.8fb6fdd2ddb36p-18, -0x1.8b225eba372ddp-18, -0x1.8675dfe9ecbc6p-18, -0x1.819b495485627p-18, -0x1.7cb3320cb524bp-18, -0x1.77afe459d319p-18, -0x1.7297d9b57a15dp-18, -0x1.6d7151e9ac1a4p-18, -0x1.68223caa29c5dp-18, -0x1.62ccf4cb43e4ep-18, -0x1.5d4420ec5ea29p-18, -0x1.57c46b5adfa22p-18, -0x1.52205f94720cap-18, -0x1.4c6e849b1f7fbp-18, -0x1.46a142c94c232p-18, -0x1.40c73245b0a71p-18, -0x1.3adbc78a5f552p-18, -0x1.34db445463b7p-18, -0x1.2ec88923f89bcp-18, -0x1.28a84f1a5af99p-18, -0x1.2277061f492ep-18, -0x1.1c3d7a16eeb77p-18, -0x1.15e9a410c357fp-18, -0x1.0f99470bb16fbp-18, -0x1.0932e2d62d807p-18, -0x1.02c8c78414a69p-18, -0x1.f8903604a3277p-19, -0x1.eb91f06861e86p-19, -0x1.de7acc8645153p-19, -0x1.d151766881dfcp-19, -0x1.c42b2ff025795p-19, -0x1.b6d69d57973a6p-19, -0x1.a9953ec8d069cp-19, -0x1.9c43a295cb5cfp-19, -0x1.8eea428ab611cp-19, -0x1.818cb0eb982c9p-19, -0x1.742616fbc4169p-19, -0x1.66c9a454a6ef6p-19, -0x1.5969d922edcacp-19, -0x1.4bea1bd6b840cp-19, -0x1.3e9c4ade1b32p-19, -0x1.314477895a148p-19, -0x1.23e0574ed143fp-19, -0x1.1698647fe131dp-19, -0x1.0954a256ae57dp-19, -0x1.f8191ad4634fep-20, -0x1.ddbd39ecbd32ep-20, -0x1.c37523757113dp-20, -0x1.a9402c85651f1p-20, -0x1.8f2a753ef030fp-20, -0x1.75448ee7fe193p-20, -0x1.5b79997b17a5ep-20, -0x1.41cc7ce80ff85p-20, -0x1.2867357e1a704p-20, -0x1.0ef603413abd8p-20, -0x1.eb91e6c590c35p-21, -0x1.ba23c32e766b1p-21, -0x1.885418f19595dp-21, -0x1.572833cbc68c1p-21, -0x1.26a52acbdf844p-21, -0x1.ec76a36710f94p-22, -0x1.8d354aed5d191p-22, -0x1.2e059fa40d324p-22, -0x1.a071c08ecc29bp-23, -0x1.cf41b29a60752p-24, -0x1.7f35961dbca45p-26, 0x1.0ae1e7a6eededp-24, 0x1.3937e70e2a49ep-23, 0x1.ea4973cdfa0b3p-23, 0x1.4c8ea28b87c4ep-22, 0x1.a2fe65e37500fp-22, 0x1.f8531f793b54p-22, 0x1.2625c95af4955p-21, 0x1.4f45aa11129acp-21, 0x1.78c5272c7c52fp-21, 0x1.a0d4d17c0f665p-21, 0x1.c875b162e9f8fp-21, 0x1.ef1673fa1412p-21, 0x1.0accef76fc57ep-20, 0x1.1dd75b96f0532p-20, 0x1.30500889923eap-20, 0x1.429cc9b961122p-20, 0x1.54930ae2eda0fp-20, 0x1.661704b10ec56p-20, 0x1.775231bac1f65p-20, 0x1.886efd675daacp-20, 0x1.98f8fd16a5f6dp-20, 0x1.a933fb0a4b785p-20, 0x1.b92b438ee0e9p-20, 0x1.c8ce73ed20f45p-20, 0x1.d809a4e1f6f25p-20, 0x1.e6fcca8401bp-20, 0x1.f5931528bd937p-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.85a63faaa5241p-1, 0x1.81bdf99ace665p-1, 0x1.7d9181d9a1176p-1, 0x1.792689c87a011p-1, 0x1.7482b74e7f341p-1, 0x1.6fab96552d121p-1, 0x1.6aa68f2bce29dp-1, 0x1.6578dc272ab88p-1, 0x1.602783dae4efcp-1, 0x1.5ab753a581f38p-1, 0x1.552cddd952943p-1, 0x1.4f8c7617932ecp-1, 0x1.49da30a27313ap-1, 0x1.4419e32eecaf6p-1, 0x1.3e4f247f5822bp-1, 0x1.387d4f6b78b1ep-1, 0x1.32a781d085b6ep-1, 0x1.2cd0a0c4b45a4p-1, 0x1.26fb590e66cd8p-1, 0x1.212a230e11c9fp-1, 0x1.1b5f43d9a2151p-1, 0x1.159cd12c27f5dp-1, 0x1.0fe4b05d92b25p-1, 0x1.0a389ca33753ep-1, 0x1.049a281680fbcp-1, 0x1.fe1578e136566p-2, 0x1.f3173e790c2e5p-2, 0x1.e83be4815d2f3p-2, 0x1.dd856e5af1ad6p-2, 0x1.d2f5a083758c4p-2, 0x1.c88e073318e71p-2, 0x1.be4ff89bcfd12p-2, 0x1.b43c964ab2319p-2, 0x1.aa54d29676b16p-2, 0x1.a09976f1f39e2p-2, 0x1.970b21b07f96dp-2, 0x1.8daa4c44820f3p-2, 0x1.84774c680cf1bp-2, 0x1.7b72590c76a97p-2, 0x1.729b8a7bd57c6p-2, 0x1.69f2de7bfa361p-2, 0x1.61783a60841e6p-2, 0x1.592b6b2154c8ap-2, 0x1.510c2cf1d9967p-2, 0x1.491a2625e4314p-2, 0x1.4154ee1bbb6dfp-2, 0x1.39bc0d3fd45b5p-2, 0x1.324efe8c5ed89p-2, 0x1.2b0d323403079p-2, 0x1.23f60d156a6eap-2, 0x1.1d08eb57145aap-2, 0x1.164521fdce54cp-2, 0x1.0fa9ff8a45426p-2, 0x1.0936ccd2261abp-2, 0x1.02eace4a0c2fcp-2, 0x1.f98a89b238b84p-3, 0x1.ed8add3ee86a2p-3, 0x1.e1d50e085323ep-3, 0x1.d66792de958eep-3, 0x1.cb40e0579aed1p-3, 0x1.c05f6b3c8b3cp-3, 0x1.b5c1a71f55392p-3, 0x1.ab660a1499ac3p-3, 0x1.a14b0e6751f22p-3, 0x1.976f2ebd6481fp-3, 0x1.8dd0ec289205fp-3, 0x1.846ecb11cbc17p-3, 0x1.7b4757ac8a184p-3, 0x1.72591ced94c99p-3, 0x1.69a2b4415d7cp-3, 0x1.6122b5cfb459ap-3, 0x1.58d7c33d0a838p-3, 0x1.50c0840a1a97p-3, 0x1.48dba72ba708fp-3, 0x1.4127e1b7ccd14p-3, 0x1.39a3f2f9bc2d8p-3, 0x1.324e9d44834b6p-3, 0x1.2b26ad227bd88p-3, 0x1.242af2fb2d5a4p-3, 0x1.1d5a4a18a467ep-3, 0x1.16b390559ac47p-3, 0x1.1035b051f1971p-3, 0x1.09df9756187b5p-3, 0x1.03b03b952dbb3p-3, 0x1.fb4d3523d1f16p-4, 0x1.ef836e9e9b14dp-4, 0x1.e40138ff527b2p-4, 0x1.d8c4b6fa8dfdbp-4, 0x1.cdcc16cdff82p-4, 0x1.c315916653dbfp-4, 0x1.b89f78ef5e149p-4, 0x1.ae6818f47a6dcp-4, 0x1.a46dd644145d7p-4, 0x1.9aaf1cd5cb0f4p-4, 0x1.912a6431735b3p-4, 0x1.87de30c51e8b1p-4, 0x1.7ec90f430e6afp-4, 0x1.75e99b07d09a4p-4, 0x1.6d3e76b04b7acp-4, 0x1.64c64d6b7eba6p-4, 0x1.5c7fd73e17488p-4, 0x1.5469d53eb7662p-4, 0x1.4c8310774bc9fp-4, 0x1.44ca5f1ec048fp-4, 0x1.3d3e9937fa045p-4, 0x1.35dea438c72cp-4, 0x1.2ea96f4507c6ep-4, 0x1.279de9efb1faap-4, 0x1.20bb107de0ca5p-4, 0x1.19ffec724e3e6p-4, 0x1.136b824680cdep-4, 0x1.0cfce71f4e69fp-4, 0x1.06b332fecb0c1p-4, 0x1.008d854000141p-4, 0x1.f51606e5b2e3bp-5, 0x1.e955b32bf5c1ep-5, 0x1.ddd874c5bf4dap-5, 0x1.d29cb7ec41296p-5, 0x1.c7a0f657ad31cp-5, 0x1.bce3b95facbb2p-5, 0x1.b263914b8e4dp-5, 0x1.a81f14b4b8bafp-5, 0x1.9e14e8f22fd5fp-5, 0x1.9443baa20bdffp-5, 0x1.8aaa4093c9428p-5, 0x1.814739d88b3b9p-5, 0x1.78196f8cc33f9p-5, 0x1.6f1fb08919727p-5, 0x1.6658d5cb141fap-5, 0x1.5dc3bc70ef14bp-5, 0x1.555f52bcafddep-5, 0x1.4d2a812e34ad5p-5, 0x1.45243dd793697p-5, 0x1.3d4b891462dfcp-5, 0x1.359f62fde7a5ap-5, 0x1.2e1ed32d5bcebp-5, 0x1.26c8ec225f67ep-5, 0x1.1f9cc0676c4c6p-5, 0x1.189970d0d7ff7p-5, 0x1.11be1877f1ad4p-5, 0x1.0b09dedf92e08p-5, 0x1.047befa72b77cp-5, 0x1.fc26f63e57afcp-6, 0x1.ef9f6c797f528p-6, 0x1.e35fb7090c217p-6, 0x1.d766502688b09p-6, 0x1.cbb1c06f8ec82p-6, 0x1.c040962f0a4b9p-6, 0x1.b51167b63a42fp-6, 0x1.aa22ce47fb79bp-6, 0x1.9f737ed76a806p-6, 0x1.950211d94a5a8p-6, 0x1.8acd50ea05021p-6, 0x1.80d3ef2f4ca5ep-6, 0x1.7714b3dcf886dp-6, 0x1.6d8e685d398cp-6, 0x1.643fdd5737d5ap-6, 0x1.5b27ed95780cdp-6, 0x1.52456fdf4843ap-6, 0x1.49974c52fc52dp-6, 0x1.411c6feb2b3b4p-6, 0x1.38d3c52712615p-6, 0x1.30bc40f9dcc68p-6, 0x1.28d4e4d61bdd9p-6, 0x1.211ca0b74d9fap-6, 0x1.199283b4836dbp-6, 0x1.12359f38da3e9p-6, 0x1.0b04f75a7ea23p-6, 0x1.03ff9e6955773p-6, 0x1.fa49556ab59fp-7, 0x1.ece696fdddc9fp-7, 0x1.dfd51af025f7p-7, 0x1.d3133ae072bc5p-7, 0x1.c69f47df64aeap-7, 0x1.ba77a43ee8eb8p-7, 0x1.ae9aa21f8d039p-7, 0x1.a306be6ba09d8p-7, 0x1.97ba6265f2b29p-7, 0x1.8cb4147db9f9dp-7, 0x1.81f24b255ab69p-7, 0x1.7773958e4bc45p-7, 0x1.6d36792d42007p-7, 0x1.6339a52410204p-7, 0x1.597bac18239e9p-7, 0x1.4ffb1bf5e414p-7, 0x1.46b6bf1e3ef01p-7, 0x1.3dad36da7f948p-7, 0x1.34dd4cff97081p-7, 0x1.2c45aeb1b3907p-7, 0x1.23e52535b6824p-7, 0x1.1bba7d474eba4p-7, 0x1.13c485094d1d4p-7, 0x1.0c021072c5aadp-7, 0x1.0472028178c0dp-7, 0x1.fa266c4b6e98cp-8, 0x1.ebc926fd72d98p-8, 0x1.ddca141ce138ap-8, 0x1.d026fdb553ebfp-8, 0x1.c2ddeb9cebef2p-8, 0x1.b5ecdd534594ap-8, 0x1.a9519efb71aacp-8, 0x1.9d0a6e8dcf804p-8, 0x1.911550b554367p-8, 0x1.8570623b2d6d7p-8, 0x1.7a19cae92a088p-8, 0x1.6f0fbe738c5ep-8, 0x1.64506a11e3867p-8, 0x1.59da1d707ccdcp-8, 0x1.4fab20d4a5111p-8, 0x1.45c1c57852624p-8, 0x1.3c1c65a318f37p-8, 0x1.32b967b6125bap-8, 0x1.29974472373d7p-8, 0x1.20b44eca37d0ap-8, 0x1.180f29ce61b11p-8, 0x1.0fa64597ce3abp-8, 0x1.07783761d4403p-8, 0x1.ff070b5ca9954p-9, 0x1.ef8db3af69612p-9, 0x1.e0819bcfec1a4p-9, 0x1.d1e02ed9bdac5p-9, 0x1.c3a69b931579dp-9, 0x1.b5d284650786ep-9, 0x1.a861609b96adbp-9, 0x1.9b5099a880099p-9, 0x1.8e9ddb512bb1bp-9, 0x1.8246d847975p-9, 0x1.76493330a2a4ap-9, 0x1.6aa2a3837547ep-9, 0x1.5f50fb62f1a07p-9, 0x1.545226972f5c6p-9, 0x1.49a3e73c3640cp-9, 0x1.3f44531f61f51p-9, 0x1.35312b0bf816ap-9, 0x1.2b68adf73669ep-9, 0x1.21e8ccebdb486p-9, 0x1.18afb73922b62p-9, 0x1.0fbb7c6e4d7b7p-9, 0x1.070a5d5d72cecp-9, 0x1.fd3528bb4bc24p-10, 0x1.ecd4ab40f4da5p-10, 0x1.dcf054982045p-10, 0x1.cd8463ee34d45p-10, 0x1.be8dcc00a8fcdp-10, 0x1.b0096787abf6ep-10, 0x1.a1f418188401ep-10, 0x1.944ae0867d049p-10, 0x1.870adecec624bp-10, 0x1.7a3135fd7edebp-10, 0x1.6dbb121d6d176p-10, 0x1.61a5db1353efap-10, 0x1.55ee8e840be5p-10, 0x1.4a92f0f5f802fp-10, 0x1.3f905d5dba547p-10, 0x1.34e4633a7af28p-10, 0x1.2a8c68be1e431p-10, 0x1.20863dcc3e76bp-10, 0x1.16cf9632c55f9p-10, 0x1.0d663ecae5484p-10, 0x1.0447df52e2e1dp-10, 0x1.f6e4f7dce48e5p-11, 0x1.e5c7e89865121p-11, 0x1.d5348ec0f2116p-11, 0x1.c526f0d7413ecp-11, 0x1.b59b40915dd73p-11, 0x1.a68d9cf45aca6p-11, 0x1.97fa9a6f56cfdp-11, 0x1.89de8458e94e3p-11, 0x1.7c3591db8cb0ep-11, 0x1.6efd64d34822dp-11, 0x1.6231c4bf3cf4fp-11, 0x1.55cfbce1875bp-11, 0x1.49d484687ab25p-11, 0x1.3e3c3b136dcddp-11, 0x1.3304ba9ae34a2p-11, 0x1.282aed0f54afcp-11, 0x1.1dabf5616ebd6p-11, 0x1.13851a9667eep-11, 0x1.09b38e1cf8552p-11, 0x1.00356b1bc1905p-11, 0x1.ee0ee300bdf3p-12, 0x1.dc4ee16da3de2p-12, 0x1.cb260dbe7c09fp-12, 0x1.ba8fc7d147d7fp-12, 0x1.aa87802ec8677p-12, 0x1.9b09686f8d26bp-12, 0x1.8c10674130e77p-12, 0x1.7d98cf3c28f6p-12, 0x1.6f9ea77eed0c7p-12, 0x1.621de86ef4a63p-12, 0x1.551321242a078p-12, 0x1.4879544e2a333p-12, 0x1.3c4f154bf1b5ap-12, 0x1.308fa3c0015b6p-12, 0x1.25379bc945a6dp-12, 0x1.1a43bc4ac3bf5p-12, 0x1.0fb035ba4cfcp-12, 0x1.057ca39f013b8p-12, 0x1.f7464de7a6e91p-13, 0x1.e44374ad0d0f9p-13, 0x1.d1eafc59ca71fp-13, 0x1.c037c1f4e9f7dp-13, 0x1.af24a924ee5a5p-13, 0x1.9eac557b2591dp-13, 0x1.8ec86fbb303c5p-13, 0x1.7f75f4467862fp-13, 0x1.70af49c8ffafap-13, 0x1.626fd090994bap-13, 0x1.54b3963354734p-13, 0x1.4775be312fceap-13, 0x1.3ab2b61c7bf5p-13, 0x1.2e65cb4ae49e5p-13, 0x1.228b151d49f5bp-13, 0x1.171f1a54203fep-13, 0x1.0c1daee51ef89p-13, 0x1.0183fb123fe99p-13, 0x1.ee9ce40677e2ap-14, 0x1.daf1e1a0fa8e9p-14, 0x1.c800566cba3aap-14, 0x1.b5c555fb7a678p-14, 0x1.a436afcf7a126p-14, 0x1.9350fe01718c7p-14, 0x1.830bcb55cf0efp-14, 0x1.7363e8240e0a3p-14, 0x1.645504a7f67fep-14, 0x1.55d561cfdff88p-14, 0x1.47e398e35051ep-14, 0x1.3a7a390fee897p-14, 0x1.2d93620b3719dp-14, 0x1.212b8da15f7c9p-14, 0x1.153ef5988b21cp-14, 0x1.09c7544ba8addp-14, 0x1.fd84f8826d2bap-15, 0x1.e8536200b6b09p-15, 0x1.d3f6ddab0ed09p-15, 0x1.c0668116cd711p-15, 0x1.ad9a7088ca0dfp-15, 0x1.9b8aa0b7121c4p-15, 0x1.8a31f3a202e03p-15, 0x1.798e03d20f7c5p-15, 0x1.69906a80477cdp-15, 0x1.5a40e7bf74205p-15, 0x1.4b832532b112fp-15, 0x1.3d5df45e0fc8ap-15, 0x1.2fca69ddae63ep-15, 0x1.22c3e7ce8c161p-15, 0x1.1645a6b879bd6p-15, 0x1.0a4728b26f026p-15, 0x1.fd929fe683372p-16, 0x1.e7890111c2139p-16, 0x1.d266b9ea40e25p-16, 0x1.be22d300a0a69p-16, 0x1.aab8e70d5f1bcp-16, 0x1.981a7c727b73dp-16, 0x1.864ac1e24c21ap-16, 0x1.753ae5dae45b5p-16, 0x1.64db8b16bd54bp-16, 0x1.5531b0165796dp-16, 0x1.463279b1235c5p-16, 0x1.37d69cf4844bcp-16, 0x1.2a1b62203c56p-16, 0x1.1cf37569d673ep-16, 0x1.105abdc108d43p-16, 0x1.04580902c789ep-16, 0x1.f19a3b139e781p-17, 0x1.db9203624b5e4p-17, 0x1.c68137e1dd5edp-17, 0x1.b25da8c86b394p-17, 0x1.9f1bf85a2cf62p-17, 0x1.8cbc1436508cp-17, 0x1.7b29eb4ee7586p-17, 0x1.6a56ad0890c8p-17, 0x1.5a49ce6cc3059p-17, 0x1.4af93e726d1ffp-17, 0x1.3c543a988454ap-17, 0x1.2e5a6bfd42426p-17, 0x1.2103203fd31bfp-17, 0x1.1447d5081ff68p-17, 0x1.0820339bbe0e1p-17, 0x1.f912724106994p-18, 0x1.e2fd3399c959ep-18, 0x1.cdd3e07fbf3fep-18, 0x1.b9b1cdd37b2fap-18, 0x1.a67e692c24b9fp-18, 0x1.9431aa8a9e562p-18, 0x1.82be4e0d6de2bp-18, 0x1.72100d4bccd04p-18, 0x1.62339ac5c0e07p-18, 0x1.530f50968c68ep-18, 0x1.44a79b4faeac8p-18, 0x1.36fc1cc0cfc66p-18, 0x1.29e7b125155a2p-18, 0x1.1d715a812346dp-18, 0x1.118e4f467d637p-18, 0x1.06483f1671777p-18, 0x1.f70bdf1b0e73ap-19, 0x1.e270b99a100dp-19, 0x1.cee7120f36eb3p-19, 0x1.bc5285006e137p-19, 0x1.aa8963265e481p-19, 0x1.9995cecf6f4b3p-19, 0x1.8981006328758p-19, 0x1.7a38e99506c3bp-19, 0x1.6b9bb73face66p-19, 0x1.5da9daea42cf7p-19, 0x1.50710c666f28dp-19, 0x1.43cac6049e983p-19, 0x1.37b2afced8691p-19, 0x1.2c53afd15a545p-19, 0x1.213290af492c1p-19, 0x1.16d463d0e9628p-19, 0x1.0cd923e817cccp-19, 0x1.033fe4af198fcp-19, 0x1.f486aef5516edp-20, 0x1.e32018e5e0095p-20, 0x1.d28edf157ff2bp-20, 0x1.c2b11bafb48cfp-20, 0x1.b36d85c287d47p-20, 0x1.a4d2cfec2384fp-20, 0x1.96eb6f2a4c96ap-20, 0x1.89d329b60cabfp-20, 0x1.7d0d4ff1f00a7p-20, 0x1.70efdb021d889p-20, 0x1.652753dd5bbc2p-20, 0x1.59cf69fc5fdcap-20, 0x1.4efd860f7efddp-20, 0x1.447bbaed73074p-20, 0x1.3a6f1667bcd98p-20, 0x1.30e2c38c2d03fp-20, 0x1.277bd2217262ap-20, 0x1.1e402793f604p-20, 0x1.160be6ac286dap-20, 0x1.0d7a89c3e0979p-20, 0x1.0555a7e6a9283p-20, 0x1.faddd99a77073p-21, 0x1.ebe2ccc9ea7ap-21, 0x1.dc4b41ff8e80ap-21, 0x1.ce81e8143d6a2p-21, 0x1.c069c3a51245p-21, 0x1.b2d4baf89d6d1p-21, 0x1.a570e6e738654p-21, 0x1.99054aea7b04ep-21, 0x1.8c5fa68076758p-21, 0x1.7fa1b7952d386p-21, 0x1.73a8e6744fba2p-21, 0x1.67b52bcd5af24p-21, 0x1.5c118f8c67912p-21, 0x1.50f11cee6c64cp-21, 0x1.45b972eccda09p-21, 0x1.3a9c99fbd0f83p-21, 0x1.2fd6098d92516p-21, 0x1.257c6d55586c3p-21, 0x1.1af7508662f9cp-21, 0x1.10a500d79c354p-21, 0x1.0666f52adc329p-21, 0x1.f93d7f5b1fc2fp-22, 0x1.e5e5100ec07acp-22, 0x1.d20bf87b124cap-22, 0x1.bed86b5ea912ep-22, 0x1.abe27194f2d3cp-22, 0x1.98fac2905546bp-22, 0x1.8673e71c0f33bp-22, 0x1.73fb8a9179cb3p-22, 0x1.62968952a9008p-22, 0x1.4fe92eb380e4cp-22, 0x1.3e6981cff357ep-22, 0x1.2cc4b8901706dp-22, 0x1.1ba87ed83fc22p-22, 0x1.0a61d7e4df272p-22, 0x1.f2e34f5822f2ap-23, 0x1.d0825284a793bp-23, 0x1.af85987af3132p-23, 0x1.8d662696211c7p-23, 0x1.6cc8bc81d0174p-23, 0x1.4c5f49155d6dap-23, 0x1.2c179da13339bp-23, 0x1.0cb89a44dd301p-23, 0x1.d5da41e7bbfb7p-24, 0x1.9a3fbb414493fp-24, 0x1.5d75bb9d12793p-24, 0x1.1e7b949126074p-24, 0x1.c512af02bb575p-25, 0x1.4d6e1b5018fa4p-25, 0x1.a99826e9f7c4dp-26, 0x1.82d4909782819p-27, -0x1.3bb2f6cdc87abp-29, -0x1.0dc2008a147bcp-26, -0x1.f068687953c5fp-26, -0x1.68386536b130fp-25, -0x1.ce1235c3eb22bp-25, -0x1.237ea4730768ap-24, -0x1.5aafe0321b9f5p-24, -0x1.8b18bc91111edp-24, -0x1.c22f836a21e74p-24, -0x1.f58528d9c9f66p-24, -0x1.1478f363e4a26p-23, -0x1.2d8783188fa56p-23, -0x1.4696db429e82ep-23, -0x1.5ec12ff0d4e71p-23, -0x1.7520f39bc4ce2p-23, -0x1.8e9256a70715ep-23, -0x1.a59c33bba2569p-23, -0x1.bcfb367ae5cfcp-23, -0x1.d10cdd396c53cp-23, -0x1.ea5bddc2c0602p-23, -0x1.fe5546ed74d0bp-23, -0x1.0a213b9f9ba1fp-22, -0x1.13db9cb456eb4p-22, -0x1.1e5fbc59a7f5cp-22, -0x1.284f998521388p-22, -0x1.3127c7aef3606p-22, -0x1.3c5109e7da6fep-22, -0x1.44e0d06d25d11p-22, -0x1.4de24b9b6dceep-22, -0x1.56c696d12f55fp-22, -0x1.5fa16c49ca004p-22, -0x1.680d626b31411p-22, -0x1.703380e417f69p-22, -0x1.785e5b3740a92p-22, -0x1.7fb7d8c00772p-22, -0x1.87cbff5258465p-22, -0x1.8eee0d64be945p-22, -0x1.96cff137cc0eep-22, -0x1.9c218f0600e95p-22, -0x1.a3bc82392a94p-22, -0x1.aa0ca3b465e58p-22, -0x1.b07038c11fd56p-22, -0x1.b5c43fddf494p-22, -0x1.bcd71f8d62d93p-22, -0x1.c1d3a9624877fp-22, -0x1.c73d489dd7104p-22, -0x1.cc69189e1d54dp-22, -0x1.d145f6facbad5p-22, -0x1.d6096cbda19d3p-22, -0x1.da7c9d2fa7b97p-22, -0x1.dfb6ab5ed7c89p-22, -0x1.e284506962f1cp-22, -0x1.e65bbadeee546p-22, -0x1.eb0c470266e08p-22, -0x1.ed58dba5efe94p-22, -0x1.f15ed78e2d29ep-22, -0x1.f3b90802b3e01p-22, -0x1.f7768a2f50b78p-22, -0x1.f9b0bb447730ap-22, -0x1.fc2607732ff89p-22, -0x1.fe63e9bd9fc8cp-22, -0x1.002534e105a16p-21, -0x1.0125b6bd8667p-21, -0x1.01f8941680c24p-21, -0x1.02c5e4cc2aeedp-21, -0x1.02f1ececbbb59p-21, -0x1.043fd85157319p-21, -0x1.04471c11af3f1p-21, -0x1.04a8202edd746p-21, -0x1.0511dfb2fde34p-21, -0x1.052d95fd2be3ep-21, -0x1.056c8e7ffd738p-21, -0x1.054dad2c7ab4dp-21, -0x1.05682307fac7fp-21, -0x1.0515737ef9c97p-21, -0x1.04dbef666f68ep-21, -0x1.048dc1e91e0e6p-21, -0x1.041c9a28cf164p-21, -0x1.039fb0c940871p-21, -0x1.03a715039e4afp-21, -0x1.01d45a65a31b1p-21, -0x1.01dfe380f8897p-21, -0x1.0102612fd4f37p-21, -0x1.002945f1a7198p-21, -0x1.fea220088bdp-22, -0x1.fb857f73cca84p-22, -0x1.fb56a38e71a25p-22, -0x1.f83f925e0aad9p-22, -0x1.f5efe5a3db87ap-22, -0x1.f30f9dc0925e4p-22, -0x1.f0b1ecd19074ep-22, -0x1.edf9929df77b6p-22, -0x1.eb7d2574ab12cp-22, -0x1.e8372dddb9fd1p-22, -0x1.e51e84dbd60dfp-22, -0x1.e1fb82a481479p-22, -0x1.de19fb7363a65p-22, -0x1.dbab4a75eb1c3p-22, -0x1.d732d899d7819p-22, -0x1.d4ae3dec8b0e2p-22, -0x1.d06547dd1660dp-22, -0x1.ccf1bfd0c4ec2p-22, -0x1.c879dac1fe1eep-22, -0x1.c4ce24c2ec29cp-22, -0x1.c0baf5db170e1p-22, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.6973595cc04abp-4, 0x1.8cf257ef7c7b6p-4, 0x1.af28644f7ee2bp-4, 0x1.cfc2001713c23p-4, 0x1.ee74c7392462ep-4, 0x1.0580a33075ae7p-3, 0x1.1299fd4b6b531p-3, 0x1.1e72eedc2c48fp-3, 0x1.28fde1e45a84dp-3, 0x1.323358ca21f49p-3, 0x1.3a10262df866bp-3, 0x1.40964ccaca202p-3, 0x1.45cbdf183c76fp-3, 0x1.49b9e63ea1739p-3, 0x1.4c6c89426a187p-3, 0x1.4df1f8465684cp-3, 0x1.4e59e024f62f9p-3, 0x1.4db568b3ef31ap-3, 0x1.4c16a1a05b624p-3, 0x1.498fdaba17177p-3, 0x1.4633a9ba1972fp-3, 0x1.4215049fce872p-3, 0x1.3d46c122ddd13p-3, 0x1.37db00dd4dffep-3, 0x1.31e315662ad28p-3, 0x1.2b6fd07ecb496p-3, 0x1.2491b2c16303cp-3, 0x1.1d58b6327654p-3, 0x1.15d3e56387d14p-3, 0x1.0e11164430744p-3, 0x1.061d00ca3e3acp-3, 0x1.fc06fde9600ccp-4, 0x1.eb9f9b6e5269p-4, 0x1.db1a87184c4cfp-4, 0x1.ca89b75a296f9p-4, 0x1.b9fe2d20ae4e1p-4, 0x1.a9874ef0e2a06p-4, 0x1.9932dc6142fedp-4, 0x1.890cfb020939ap-4, 0x1.792030f67c315p-4, 0x1.697584d83fd04p-4, 0x1.5a14803929c5dp-4, 0x1.4b0359769d3e3p-4, 0x1.3c470f308553ap-4, 0x1.2de37a964baeep-4, 0x1.1fdb5ceaecfddp-4, 0x1.1230673c9c83dp-4, 0x1.04e34a9f454c7p-4, 0x1.efe7a2558473ap-5, 0x1.d6c1fa2e07948p-5, 0x1.be52432416717p-5, 0x1.a6941165f1999p-5, 0x1.8f81e7b2bf78p-5, 0x1.79157611118d3p-5, 0x1.63479c510f30bp-5, 0x1.4e10839d3083ap-5, 0x1.3967b123013c9p-5, 0x1.254428726cf7cp-5, 0x1.119c91d56effp-5, 0x1.fccec67f2623cp-6, 0x1.d7360f09ab90bp-6, 0x1.b25bf8ae860c6p-6, 0x1.8e2dc70ff08c6p-6, 0x1.6a9922cf39956p-6, 0x1.478c1f6c17857p-6, 0x1.24f5422f78b21p-6, 0x1.02c3889bde3f7p-6, 0x1.c1ccf5d637f21p-7, 0x1.7e9c778217ae7p-7, 0x1.3bd73adb1915cp-7, 0x1.f2c0bb53d34dcp-8, 0x1.6e394ad1999f9p-8, 0x1.d3cae1f13fd88p-9, 0x1.9659aba5ce67dp-10, -0x1.edecfd28ac00ap-12, -0x1.47418bce93223p-9, -0x1.28d1d901d743ep-8, -0x1.ae4524a926c3fp-8, -0x1.1a592deac7ecp-7, -0x1.5def7e41e4d17p-7, -0x1.a1ef507349f8ap-7, -0x1.e660839499f98p-7, -0x1.15a48b3008328p-6, -0x1.385691ce790e6p-6, -0x1.5b477f91b9c3fp-6, -0x1.7e7798b3d5083p-6, -0x1.a1e65f3a9b76ep-6, -0x1.c5927262eef44p-6, -0x1.e979c65d2026fp-6, -0x1.06ccc8b323e61p-5, -0x1.18f72b1df8639p-5, -0x1.2b39fbd5c72dbp-5, -0x1.3d92d81c1f6e2p-5, -0x1.4fff1105b3d2bp-5, -0x1.627bab697fe4bp-5, -0x1.750567bf9b8a3p-5, -0x1.8798bfae537e1p-5, -0x1.9a31f72d280b1p-5, -0x1.accd11eef0c37p-5, -0x1.bf65e50bb840bp-5, -0x1.d1f817d13b2e9p-5, -0x1.e47f29f54e5f4p-5, -0x1.f6f678e330439p-5, -0x1.04aca38341f22p-4, -0x1.0dd15e6c25678p-4, -0x1.16e6f9791d364p-4, -0x1.1feaf88c3abc9p-4, -0x1.28dadabc05999p-4, -0x1.31b41b35a98a9p-4, -0x1.3a7431e176984p-4, -0x1.431898a8e1573p-4, -0x1.4b9ec8ecc19f3p-4, -0x1.54043f8276ddp-4, -0x1.5c467d67cfb5fp-4, -0x1.64630970719eep-4, -0x1.6c5771e081d43p-4, -0x1.74214e56c2eeap-4, -0x1.7bbe41e862ad1p-4, -0x1.832bfa9ade73ep-4, -0x1.8a68356cc31ddp-4, -0x1.9170beb229f49p-4, -0x1.984373d043854p-4, -0x1.9ede445cdca11p-4, -0x1.a53f33fd353ecp-4, -0x1.ab645ad4efb84p-4, -0x1.b14be72511695p-4, -0x1.b6f41d96793ap-4, -0x1.bc5b5add89573p-4, -0x1.c180138d396dp-4, -0x1.c660d58911393p-4, -0x1.cafc47dcf51d1p-4, -0x1.cf512bcdffe3cp-4, -0x1.d35e5ce3fe7b4p-4, -0x1.d722d11ed899ep-4, -0x1.da9d996a2dd65p-4, -0x1.ddcde233839e1p-4, -0x1.e0b2f275e21e7p-4, -0x1.e34c2ca52a77ap-4, -0x1.e5990e88bd622p-4, -0x1.e7993094bd811p-4, -0x1.e94c468b79aafp-4, -0x1.eab21e4b4ec3p-4, -0x1.ebcaa081d04fbp-4, -0x1.ec95cfd51fc46p-4, -0x1.ed13c87dc93d8p-4, -0x1.ed44bfbc4d01ap-4, -0x1.ed2903fdb91a6p-4, -0x1.ecc0fbfbdb197p-4, -0x1.ec0d25f35dc57p-4, -0x1.eb0e1757eed89p-4, -0x1.e9c47c9e526a5p-4, -0x1.e8311873b9c01p-4, -0x1.e654c2b7699d5p-4, -0x1.e430684d8eeb3p-4, -0x1.e1c50a79f5fefp-4, -0x1.df13bd74afeabp-4, -0x1.dc1da998e437bp-4, -0x1.d8e407bbd6f62p-4, -0x1.d568236f3ed11p-4, -0x1.d1ab58493cd78p-4, -0x1.cdaf12231be8fp-4, -0x1.c974cb655a1f4p-4, -0x1.c4fe0d37a026fp-4, -0x1.c04c6e1fb5644p-4, -0x1.bb619109f39e3p-4, -0x1.b63daf03eab3ap-4, -0x1.b0e55f69a75d1p-4, -0x1.ab5905d2c307ap-4, -0x1.a59a6fb7e20e7p-4, -0x1.9fab725ef4e44p-4, -0x1.998deb6c668edp-4, -0x1.9343be2828f1fp-4, -0x1.8cced4a262489p-4, -0x1.86311d0aa5291p-4, -0x1.7f6c8a3cd4e6bp-4, -0x1.78831273cb1acp-4, -0x1.7176aed7c31a8p-4, -0x1.6a4959cabacf5p-4, -0x1.62fd0f680c969p-4, -0x1.5b93cbed396acp-4, -0x1.540f8b49ee989p-4, -0x1.4c7248210f0a9p-4, -0x1.44bdfc2ce4b1ap-4, -0x1.3cf49dc50ba8ap-4, -0x1.351820adaa63p-4, -0x1.2d2a75644a7e7p-4, -0x1.252d87cd6c58dp-4, -0x1.1d233f07601dcp-4, -0x1.150d7d50bbd15p-4, -0x1.0cee1e738d055p-4, -0x1.04c6f854c5da8p-4, -0x1.f933b453c1e05p-5, -0x1.e8d1162d2cd4bp-5, -0x1.d86996a94b467p-5, -0x1.c800a63b6e422p-5, -0x1.b799a2c0263ddp-5, -0x1.a737de1b4c2b3p-5, -0x1.96de8c615f5aap-5, -0x1.8690d91c316b2p-5, -0x1.7651db8588b58p-5, -0x1.6624904df8e91p-5, -0x1.560be55cf3904p-5, -0x1.460ab1804519fp-5, -0x1.3623b66c60d69p-5, -0x1.2659a017d3126p-5, -0x1.16af041d22deep-5, -0x1.072662b0495d1p-5, -0x1.ef84473500349p-6, -0x1.d10934eb87c12p-6, -0x1.b2e001b93712p-6, -0x1.950cf74de4bb8p-6, -0x1.77942cf657be2p-6, -0x1.5a79930c19a63p-6, -0x1.3dc0df7b884d5p-6, -0x1.216da58afe2ccp-6, -0x1.058341097c732p-6, -0x1.d409d23498e0ap-7, -0x1.9deb3408bcd44p-7, -0x1.68b053fc08019p-7, -0x1.345e953aa31e9p-7, -0x1.00fad2950500dp-7, -0x1.9d1382cf49a8bp-8, -0x1.3a1f3f73a1269p-8, -0x1.b2415e4c48c2dp-9, -0x1.e87c23893fc4ap-10, -0x1.d20d1425f006ap-12, 0x1.eea07f9bc7b5fp-11, 0x1.2d74ba32446d3p-9, 0x1.db1afe5a238efp-9, 0x1.42496f358948cp-8, 0x1.94eaca8ffef5ap-8, 0x1.e56eb90c0b505p-8, 0x1.19e980b43182fp-7, 0x1.400b06b7be70ap-7, 0x1.651b5199f31efp-7, 0x1.891a1bad75c35p-7, 0x1.ac0753bb87d9ep-7, 0x1.cde33b3b0720cp-7, 0x1.eeae464d4fa39p-7, 0x1.0734906795797p-6, 0x1.168a5dde4a1dbp-6, 0x1.25591e0778d06p-6, 0x1.33a17c63b31f9p-6, 0x1.41644513628efp-6, 0x1.4ea2583bc3803p-6, 0x1.5b5caf696169cp-6, 0x1.67945daf0d2dp-6, 0x1.734a8745fa65fp-6, 0x1.7e806894ff2fp-6, 0x1.8937574a28762p-6, 0x1.9370b40f2031dp-6, 0x1.9d2df3cd1458cp-6, 0x1.a670a1068a80ap-6, 0x1.af3a54e035618p-6, 0x1.b78cb58d2b42ap-6, 0x1.bf697826e9c73p-6, 0x1.c6d264c1b21fep-6, 0x1.cdc9491fa1846p-6, 0x1.d45000b172accp-6, 0x1.da687750c2d57p-6, 0x1.e0149a67c66a8p-6, 0x1.e5566543db088p-6, 0x1.ea2fdec7b945cp-6, 0x1.eea30fa2498dbp-6, 0x1.f2b2068598ee9p-6, 0x1.f65ee11831844p-6, 0x1.f9abb766fb1eep-6, 0x1.fc9aaeb50f36fp-6, 0x1.ff2decd87bce8p-6, 0x1.00b3cc0728cbdp-5, 0x1.01a4ef7d23dd3p-5, 0x1.026b76e5b2bfdp-5, 0x1.0308793d54045p-5, 0x1.037d108e62bc6p-5, 0x1.03ca51749afaep-5, 0x1.03f155ad1caa2p-5, 0x1.03f3341e1c272p-5, 0x1.03d102683ba92p-5, 0x1.038bd749ab9f1p-5, 0x1.0324c51fd1314p-5, 0x1.029ce0f5c70c2p-5, 0x1.01f539eb61582p-5, 0x1.012ee01082abep-5, 0x1.004ae08e41eb8p-5, 0x1.fe948b74c0c77p-6, 0x1.fc5c3135ab404p-6, 0x1.f9eebbca211e9p-6, 0x1.f74e35db9bf4bp-6, 0x1.f47c9b4f79e13p-6, 0x1.f17be5f09b3bep-6, 0x1.ee4e0a948fcbep-6, 0x1.eaf4f98a46298p-6, 0x1.e772928e2eb14p-6, 0x1.e3c8b6b29321fp-6, 0x1.dff93ed8aff7fp-6, 0x1.dc05fc3db7974p-6, 0x1.d7f0b43a042e8p-6, 0x1.d3bb26248ad54p-6, 0x1.cf670d1d1e187p-6, 0x1.caf61c172a9a3p-6, 0x1.c669f67f12d5fp-6, 0x1.c1c43e933e2d3p-6, 0x1.bd0687df59441p-6, 0x1.b83268010f6c7p-6, 0x1.b3495f7bbc8f7p-6, 0x1.ae4ced3e16c21p-6, 0x1.a93e8657aa0cbp-6, 0x1.a41f9749b604ap-6, 0x1.9ef183715d6cbp-6, 0x1.99b5a45f7b505p-6, 0x1.946d497e0979bp-6, 0x1.8f19c0b17e5fdp-6, 0x1.89bc44361064fp-6, 0x1.84560f659614ep-6, 0x1.7ee84e8ef264ep-6, 0x1.797426ce75b59p-6, 0x1.73fab58c5ae2ep-6, 0x1.6e7d0ecc144ebp-6, 0x1.68fc3edf6fb5fp-6, 0x1.637946c18e0b8p-6, 0x1.5df51f126464ep-6, 0x1.5870bda5ac3a9p-6, 0x1.52ed0a8a2cc32p-6, 0x1.4d6ae83854854p-6, 0x1.47eb2a68068fp-6, 0x1.426ea445c9ae4p-6, 0x1.3cf620bb992ap-6, 0x1.37825da0ede62p-6, 0x1.321415bb72d51p-6, 0x1.2cabf8a3898aap-6, 0x1.274aafffccddep-6, 0x1.21f0ddcd6b079p-6, 0x1.1c9f1a204aa1ep-6, 0x1.1755fff79d8f9p-6, 0x1.121613cca596fp-6, 0x1.0cdfdd6b733cep-6, 0x1.07b3dce7b8752p-6, 0x1.0292863d15c6ep-6, 0x1.faf8994c0b6f7p-7, 0x1.f0e336a13a6dep-7, 0x1.e6e5ad27697e8p-7, 0x1.de6a3e0e2eb7ep-7, 0x1.d49439e580b59p-7, 0x1.cad7737c99f25p-7, 0x1.c13493b9d3f67p-7, 0x1.b7ac37106c08ep-7, 0x1.ae3eedc91758dp-7, 0x1.a4ed4cdd1dd51p-7, 0x1.9bb7c92993c26p-7, 0x1.929edd50c8e0fp-7, 0x1.89a2f7376bb82p-7, 0x1.80c4817dd2de4p-7, 0x1.7803cc61fcdf4p-7, 0x1.6f6130b980991p-7, 0x1.66dcff2a499b7p-7, 0x1.5e7778c75a15ap-7, 0x1.5630dd2a150acp-7, 0x1.4e095819fcc4ap-7, 0x1.46011abf6d367p-7, 0x1.3e184e1f1289p-7, 0x1.364f119690247p-7, 0x1.2ea57990cba17p-7, 0x1.271b93bd66dd6p-7, 0x1.1fb172573fb59p-7, 0x1.18671caf621afp-7, 0x1.113c8d51a7611p-7, 0x1.0a31be22ad37ap-7, 0x1.0346a21e3bp-7, 0x1.f8f6593f41873p-8, 0x1.eb9e86548b61cp-8, 0x1.de8591679fc32p-8, 0x1.d1ab4246150dcp-8, 0x1.c50f4c63eb066p-8, 0x1.b8b161082ae3p-8, 0x1.ac91265c2ee49p-8, 0x1.a0ae341e0e026p-8, 0x1.95081fb480b7cp-8, 0x1.899e833f4c23dp-8, 0x1.7e70e49346478p-8, 0x1.737ec177f94dep-8, 0x1.68c797f46e481p-8, 0x1.5e4ae089d9349p-8, 0x1.54080c136bfeap-8, 0x1.49fe8a3e0995fp-8, 0x1.402dc04a33349p-8, 0x1.369513d36c0bbp-8, 0x1.2d33ed11856b4p-8, 0x1.24099a9086bb3p-8, 0x1.1b1573ca1a409p-8, 0x1.1256dfb7788acp-8, 0x1.09cd284cd5fa5p-8, 0x1.0177a15bdf179p-8, 0x1.f2ab2fdefcdbbp-9, 0x1.e2ccc15253533p-9, 0x1.d3526b032b396p-9, 0x1.c43ac2c964b0bp-9, 0x1.b58472ee14d6ap-9, 0x1.a72df39ba8cp-9, 0x1.9935cc2f8fca8p-9, 0x1.8b9a93b8f54a7p-9, 0x1.7e5aa8ab5c2dfp-9, 0x1.717494413bfe4p-9, 0x1.64e6e699809d5p-9, 0x1.58b00e57e782p-9, 0x1.4cce86248189bp-9, 0x1.4140b14ab6c5ep-9, 0x1.36052f50c204fp-9, 0x1.2b1a4fddf024dp-9, 0x1.207e7d24396e4p-9, 0x1.163045e167e1bp-9, 0x1.0c2e1625ee5f4p-9, 0x1.02764538d64fdp-9, 0x1.f20eb222c5cedp-10, 0x1.dfbf60f9b564p-10, 0x1.cdfb8bde5cc52p-10, 0x1.bcc01c229a53fp-10, 0x1.ac09fe0c7c4c7p-10, 0x1.9bd62c99e3debp-10, 0x1.8c218db51b55fp-10, 0x1.7ce907c350e29p-10, 0x1.6e29d4db55f77p-10, 0x1.5fe0f26f8a3e2p-10, 0x1.520b815184f5cp-10, 0x1.44a6aea6e3c2cp-10, 0x1.37afa9a69a39p-10, 0x1.2b23bf0346ea2p-10, 0x1.1f0050e4e1cdcp-10, 0x1.134295a45bd79p-10, 0x1.07e7f844df865p-10, 0x1.f9dc517b69a56p-11, 0x1.e4a52b5f57976p-11, 0x1.d0258b3d49d24p-11, 0x1.bc58f2076b819p-11, 0x1.a93aaaf51d872p-11, 0x1.96c641ff24ba8p-11, 0x1.84f71534fb32ep-11, 0x1.73c94eb836c79p-11, 0x1.633833bf534e7p-11, 0x1.533fdec0dcb9ep-11, 0x1.43dc3043db022p-11, 0x1.35093c011e105p-11, 0x1.26c2d511cc24fp-11, 0x1.19059c184955ep-11, 0x1.0bcd9e4944ffdp-11, 0x1.fe2db6fcb9683p-12, 0x1.e5bc1148270f2p-12, 0x1.ce3ef3332b34p-12, 0x1.b7af528f24558p-12, 0x1.a206789cbeef4p-12, 0x1.8d3d365798478p-12, 0x1.794d974fa9eecp-12, 0x1.66308f4dc0d2dp-12, 0x1.53dfd2adab342p-12, 0x1.42553967bdf4p-12, 0x1.318a65ac4c1c4p-12, 0x1.2179af368b07p-12, 0x1.121cb8bc02ffap-12, 0x1.036e0942d2fbcp-12, 0x1.eacf85c232791p-13, 0x1.d008ed84a8c22p-13, 0x1.b67d37847ae28p-13, 0x1.9e21ce0421903p-13, 0x1.86ecbd537309cp-13, 0x1.70d2467790f8cp-13, 0x1.5bca651d7297cp-13, 0x1.47ca685ae1f87p-13, 0x1.34c904d9438f6p-13, 0x1.22bc475bd36b2p-13, 0x1.119c8600e533cp-13, 0x1.015f9ca06735cp-13, 0x1.e3fba448891b3p-14, 0x1.c6dc863174ca7p-14, 0x1.ab528e255343cp-14, 0x1.914cf3be87a6ap-14, 0x1.78bbd17cf39aap-14, 0x1.6191e63a4db6cp-14, 0x1.4bbf027991333p-14, 0x1.37367fde70874p-14, 0x1.23e9c0403399p-14, 0x1.11ca1799379fep-14, 0x1.00cef3e34c1cbp-14, 0x1.e1cea3b5426d1p-15, 0x1.c413fea538598p-15, 0x1.a8542aa143986p-15, 0x1.8e78f000a47b5p-15, 0x1.766dd68eeb344p-15, 0x1.601d1554fd459p-15, 0x1.4b7281cf0cacdp-15, 0x1.385a73ac7fac5p-15, 0x1.26c1e85e577b8p-15, 0x1.1696a66778ef9p-15, 0x1.07c62d9868d34p-15, 0x1.f481162cedd37p-16, 0x1.dbe7cfd7be237p-16, 0x1.c59fe8d580231p-16, 0x1.b18b7221bfd8fp-16, 0x1.9f87420bdf56cp-16, 0x1.8f7d720c4402dp-16, 0x1.814b9e46cc7afp-16, 0x1.74d9185d97cbap-16, 0x1.6a0cc6573d157p-16, 0x1.60c994a6b2d4p-16, 0x1.58faf463e1458p-16, 0x1.528a9cadf0bacp-16, 0x1.4d61a9ae12484p-16, 0x1.4968829cccc82p-16, 0x1.4690779a52146p-16, 0x1.44bca9ce3587fp-16, 0x1.43e7397991717p-16, 0x1.43f2a10b4f1ap-16, 0x1.44d3e48cf67a1p-16, 0x1.467603ef28fdp-16, 0x1.48ca8cb1cf2e8p-16, 0x1.4bc0aaf7ac8c3p-16, 0x1.4f48a2aef412bp-16, 0x1.53573b28a2c26p-16, 0x1.57da121317a7bp-16, 0x1.5cc774be06e9cp-16, 0x1.620ff63fe17dap-16, 0x1.67a93e3224c11p-16, 0x1.6d8ddf3653bebp-16, 0x1.73a97fb16821ep-16, 0x1.79faaff841763p-16, 0x1.80705826462d2p-16, 0x1.8709af07bb2cdp-16, 0x1.8db7b9c9d2d6fp-16, 0x1.9479327fa450fp-16, 0x1.9b40a4675fd64p-16, 0x1.a2098be7dfa02p-16, 0x1.a8cb7e2f3a8f3p-16, 0x1.af841e8b5b3afp-16, 0x1.b629dc8730291p-16, 0x1.bcb88366f2f1ap-16, 0x1.c329f537397d7p-16, 0x1.c97c9db6adc15p-16, 0x1.cfa9bc0fa01cap-16, 0x1.d5a4d1375a1e4p-16, 0x1.db7a40f3174cap-16, 0x1.e11caf482a44fp-16, 0x1.e68765a8a4bb4p-16, 0x1.ebbbeb41875e8p-16, 0x1.f0b4e7d4aa922p-16, 0x1.f56fdc710d29ep-16, 0x1.f9eaa8495d4bap-16, 0x1.fe246a1facb3ep-16, 0x1.010bdd4ef42dbp-15, 0x1.02e37a3f1aad3p-15, 0x1.0497bbd732bb1p-15, 0x1.06271b28c117p-15, 0x1.0791b139b882p-15, 0x1.08d86ef254efdp-15, 0x1.09f7d3b4c43eap-15, 0x1.0af277cc2c39dp-15, 0x1.0bc95baa7486p-15, 0x1.0c7872f939a8p-15, 0x1.0d019b77228e7p-15, 0x1.0d66f230eecf2p-15, 0x1.0da46fcc022d1p-15, 0x1.0dbe25bcd67bap-15, 0x1.0dafa77de36b9p-15, 0x1.0d7d5904b12e4p-15, 0x1.0d2852b3e2143p-15, 0x1.0cab375241872p-15, 0x1.0c0cb6084cabfp-15, 0x1.0b48e1679af08p-15, 0x1.0a60fca6f8996p-15, 0x1.0958980409afap-15, 0x1.082c24ddd4008p-15, 0x1.06dd159b5bee4p-15, 0x1.056e884d0147p-15, 0x1.03dddb4681d31p-15, 0x1.022d6e70d4d59p-15, 0x1.005dbd868ff73p-15, 0x1.fce03ab04b24p-16, 0x1.f8c9d812cb829p-16, 0x1.f4796534ce8f1p-16, 0x1.efef4a98fb557p-16, 0x1.eb2ffb39e2bd6p-16, 0x1.e63a29389792ap-16, 0x1.e10eaf94a69p-16, 0x1.dbb5cb36b10d9p-16, 0x1.d628507a4be13p-16, 0x1.d06a9cb362e0ep-16, 0x1.ca83858baf17cp-16, 0x1.c46ce183b489p-16, 0x1.be2d837eebe17p-16, 0x1.b7c625551b0d5p-16, 0x1.b135b7f341bep-16, 0x1.aa81098ec2e2dp-16, 0x1.a3aa512d7a4cp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.3502a83f5c1e9p-4, 0x1.54a54e4606c8bp-4, 0x1.740b539cef2eep-4, 0x1.931143f128ce4p-4, 0x1.b19400ea12026p-4, 0x1.cf71d45076bd8p-4, 0x1.ec8b381f225d9p-4, 0x1.0461bd16ff167p-3, 0x1.1200906cc2389p-3, 0x1.1f1709c02f5cdp-3, 0x1.2b9bdb5e48282p-3, 0x1.3787888ff18d8p-3, 0x1.42d42c1360184p-3, 0x1.4d7d82221cf1cp-3, 0x1.5780bf2b1d63ep-3, 0x1.60dc72db4d01p-3, 0x1.6990658cd1555p-3, 0x1.719d7b883242fp-3, 0x1.7905892cb1e81p-3, 0x1.7fcb35baba14cp-3, 0x1.85f1e99280046p-3, 0x1.8b7da491fd8c7p-3, 0x1.9072ed89c8d7ap-3, 0x1.94d6ae0802d8cp-3, 0x1.98ae279710708p-3, 0x1.9bfee4f9237fbp-3, 0x1.9ecea209ff859p-3, 0x1.a1233a239426dp-3, 0x1.a302983041f8p-3, 0x1.a472aa9cb3177p-3, 0x1.a579677e60474p-3, 0x1.a61cb81e6498bp-3, 0x1.a662714003cc4p-3, 0x1.a6505d8dd292bp-3, 0x1.a5ebf7d69c3c4p-3, 0x1.a53abb44c75c9p-3, 0x1.a441ee0b2e1e2p-3, 0x1.a306a85afd7cap-3, 0x1.a18dd00da9688p-3, 0x1.9fdc180d627dbp-3, 0x1.9df5fe42b11f6p-3, 0x1.9bdfca31b9b9cp-3, 0x1.999d8d73b91a6p-3, 0x1.973320416df01p-3, 0x1.94a4257a3562fp-3, 0x1.91f4083f377b9p-3, 0x1.8f25fdf0d669p-3, 0x1.8c3d06dee2a08p-3, 0x1.893beebe23a94p-3, 0x1.86254db598ef5p-3, 0x1.82fb8ca75af57p-3, 0x1.7fc0e5578407ap-3, 0x1.7c77636e18958p-3, 0x1.7920e6d45553fp-3, 0x1.75bf24eff74f4p-3, 0x1.7253a9e8d5747p-3, 0x1.6edfdaab1e6ap-3, 0x1.6b64fe23bb78cp-3, 0x1.67e4355be3ce5p-3, 0x1.645e83b51228p-3, 0x1.60d4ce33666f3p-3, 0x1.5d47ddac9f349p-3, 0x1.59b8618c959b6p-3, 0x1.5626ee3d3de6dp-3, 0x1.52940774aa131p-3, 0x1.4f0018f1739a6p-3, 0x1.4b6b7e40bde57p-3, 0x1.47d68145e69bp-3, 0x1.44415dcfe1df7p-3, 0x1.40ac3d831e3ddp-3, 0x1.3d1740f449782p-3, 0x1.39827b4472007p-3, 0x1.35edf87672341p-3, 0x1.3259ba69463ffp-3, 0x1.2ec5bd47a3e1ap-3, 0x1.2b31f642b0084p-3, 0x1.279e568a1ca32p-3, 0x1.240adc6c9949dp-3, 0x1.207749c00ebebp-3, 0x1.1ce391ccd3d77p-3, 0x1.194f97def1c7fp-3, 0x1.15bb3b24dc86cp-3, 0x1.12265ce8d0e73p-3, 0x1.0e90dcedae7a6p-3, 0x1.0afa99d01da1ep-3, 0x1.0763762ab3444p-3, 0x1.03cb534ed1cb2p-3, 0x1.0032159d4c38ep-3, 0x1.f92f45d07b24fp-4, 0x1.f1f7c98f5b04bp-4, 0x1.eabd8609ee0eap-4, 0x1.e3805d767aba4p-4, 0x1.dc402e6d41c04p-4, 0x1.d4fce2051516p-4, 0x1.cdb6696a4a68fp-4, 0x1.c66cb8bc225c3p-4, 0x1.bf1fcefc01e33p-4, 0x1.b7cfb020db064p-4, 0x1.b07c68ff8818cp-4, 0x1.a9260f748cbc7p-4, 0x1.a1ccbf9ff3ae1p-4, 0x1.9a709d36e6251p-4, 0x1.9311d5f0497f7p-4, 0x1.8bb095e34bb43p-4, 0x1.844d1f2947c1fp-4, 0x1.7ce7b01c01204p-4, 0x1.7580912c25dddp-4, 0x1.6e18140d312d5p-4, 0x1.66ae90cbb67e5p-4, 0x1.5f445ee9e5ee6p-4, 0x1.57d9e83896fffp-4, 0x1.506f928e68348p-4, 0x1.4905cde4ec16dp-4, 0x1.419d0e9e3de12p-4, 0x1.3a35cee2a62dap-4, 0x1.32d08d2321388p-4, 0x1.2b6dcb418eca2p-4, 0x1.240e11ba47682p-4, 0x1.1cb1ec6f6c99p-4, 0x1.1559e7ced6087p-4, 0x1.0e0695c37ccadp-4, 0x1.06b88bd55edaap-4, 0x1.fee0c21ec85e6p-5, 0x1.f05d5e2892e31p-5, 0x1.e1e8218b27b7bp-5, 0x1.d382460d82bc1p-5, 0x1.c52d079647773p-5, 0x1.b6e9a30d51b1dp-5, 0x1.a8b9588428363p-5, 0x1.9a9d67c2e6aaep-5, 0x1.8c970b8d46e28p-5, 0x1.7ea785b764737p-5, 0x1.70d0135124018p-5, 0x1.6311ea2dd797fp-5, 0x1.556e457dfd3ecp-5, 0x1.47e65c1678a11p-5, 0x1.3a7b5b639b417p-5, 0x1.2d2e72f5c53eap-5, 0x1.2000c6af64e78p-5, 0x1.12f37df57e142p-5, 0x1.0607b4fc4a0acp-5, 0x1.f27d06c4b893fp-6, 0x1.d931f3a53921bp-6, 0x1.c030455f92e4ep-6, 0x1.a77a00986196fp-6, 0x1.8f111f3e8891ep-6, 0x1.76f785d363a3bp-6, 0x1.5f2f0b681836fp-6, 0x1.47b9750aee363p-6, 0x1.30987d4222597p-6, 0x1.19cdbbcc46054p-6, 0x1.035ad267d2fdep-6, 0x1.da825d268aeb6p-7, 0x1.af0489787675bp-7, 0x1.843ed23819e94p-7, 0x1.5a33c4141f138p-7, 0x1.30e5c10048aep-7, 0x1.0856fa4471823p-7, 0x1.c113304366f17p-8, 0x1.72feeb7fb109bp-8, 0x1.2674979094837p-8, 0x1.b6ef0b749fa84p-9, 0x1.241516c5a0c02p-9, 0x1.28c0b2cb876d1p-10, 0x1.f567ec732c67fp-15, -0x1.030fa596dc217p-10, -0x1.07b3fea46f34fp-9, -0x1.8aac8c84da7c9p-9, -0x1.0537b98afc103p-8, -0x1.437d95a845aebp-8, -0x1.8027b7a093b93p-8, -0x1.bb35b9af78af1p-8, -0x1.f4a7e592fd93cp-8, -0x1.163f550cb761cp-7, -0x1.315d6bb5674b7p-7, -0x1.4baea1f06abe1p-7, -0x1.6533b39f1eb45p-7, -0x1.7ded5869cf7d1p-7, -0x1.95dc8c053c541p-7, -0x1.ad02416069724p-7, -0x1.c35fa893e6cep-7, -0x1.d8f5fd42c25e4p-7, -0x1.edc6b3b0f0db1p-7, -0x1.00e9a0885ba3dp-6, -0x1.0a8e9a0eb79e8p-6, -0x1.13d32b0aaaee5p-6, -0x1.1cb83550c241bp-6, -0x1.253eb42508f0ep-6, -0x1.2d67a1941bf2ap-6, -0x1.35340a0a7a866p-6, -0x1.3ca505d7698c4p-6, -0x1.43bbb524bc385p-6, -0x1.4a79405071b0ap-6, -0x1.50dee1d5a2998p-6, -0x1.56edd244ee877p-6, -0x1.5ca758cdd9fd5p-6, -0x1.620cc4e506437p-6, -0x1.671f671bd7225p-6, -0x1.6be0a0523521cp-6, -0x1.7051d5ec1264ap-6, -0x1.7474653e21bddp-6, -0x1.7849c78cca651p-6, -0x1.7bd36cf4cd1a4p-6, -0x1.7f12cd3e78971p-6, -0x1.820964afe0c8p-6, -0x1.84b8b39cfa7fp-6, -0x1.87223b621866p-6, -0x1.894783245680bp-6, -0x1.8b2a1590d207fp-6, -0x1.8ccb7a0a4be46p-6, -0x1.8e2d3c83ebc96p-6, -0x1.8f50ea620b152p-6, -0x1.9038160039f5fp-6, -0x1.90e443da528a4p-6, -0x1.91570d4947ef1p-6, -0x1.9191f9ab1e99p-6, -0x1.91969a5c578dfp-6, -0x1.916676b83e9c1p-6, -0x1.91031e6dc6d88p-6, -0x1.906e19b28e716p-6, -0x1.8fa8f12e393d7p-6, -0x1.8eb525998c7f8p-6, -0x1.8d943fe62a9e5p-6, -0x1.8c47be3987186p-6, -0x1.8ad11c1e9383fp-6, -0x1.8931d1b0fcbd9p-6, -0x1.876b59fdc165fp-6, -0x1.857f25c75b8dcp-6, -0x1.836ea079f2dfep-6, -0x1.813b380278886p-6, -0x1.7ee651625be9fp-6, -0x1.7c714e3c42fd4p-6, -0x1.79dd8ec547db2p-6, -0x1.772c61206875ep-6, -0x1.745f2202aa6c5p-6, -0x1.71771a49bf3a8p-6, -0x1.6e7595eecda7ep-6, -0x1.6b5bd308dd499p-6, -0x1.682b122d73a21p-6, -0x1.64e48b1c60a7fp-6, -0x1.61896dd75d614p-6, -0x1.5e1aec08b2df2p-6, -0x1.5a9a279b4b61ap-6, -0x1.570841ef9dd49p-6, -0x1.536655ce68ca6p-6, -0x1.4fb5786aa31bcp-6, -0x1.4bf6b456e1fb9p-6, -0x1.482b169ac6ab4p-6, -0x1.4453a0c704904p-6, -0x1.40714b499f743p-6, -0x1.3c850fb6e76c8p-6, -0x1.388fdac77c833p-6, -0x1.34929859ba751p-6, -0x1.308e2a1d49c02p-6, -0x1.2c836e481d8e5p-6, -0x1.28733a60820b2p-6, -0x1.245e5d8d232f4p-6, -0x1.2045a5bc3b9d3p-6, -0x1.1c29d79a6cb04p-6, -0x1.180bae0d7346cp-6, -0x1.13ebe61e2b99ep-6, -0x1.0fcb2fbc49fbap-6, -0x1.0baa38a34df82p-6, -0x1.0789a78b4e655p-6, -0x1.036a1e06d3d19p-6, -0x1.fe986c21c12d3p-7, -0x1.f66111fccfc78p-7, -0x1.ee2f493dca7dcp-7, -0x1.e60423b8f3dacp-7, -0x1.dde0ba52ef1eep-7, -0x1.d5c6013ca24fdp-7, -0x1.cdb4f189360d9p-7, -0x1.c5ae7ac82b614p-7, -0x1.bdb3742aead31p-7, -0x1.b5c4c0ceaf164p-7, -0x1.ade329eb96d37p-7, -0x1.a60f7223e086cp-7, -0x1.9e4a559fd68e2p-7, -0x1.9694839cc02d5p-7, -0x1.8eeeafecc6758p-7, -0x1.87596c3f06fbbp-7, -0x1.7fd5559128811p-7, -0x1.7862f95221438p-7, -0x1.7102dd8675c5cp-7, -0x1.69b57f1626b5ep-7, -0x1.627b5cc8e8116p-7, -0x1.5b54dafe9d74cp-7, -0x1.544260ffdee55p-7, -0x1.4d44547b73a57p-7, -0x1.465b0c1437d29p-7, -0x1.3f86ddbc99a46p-7, -0x1.38c800aa09cd4p-7, -0x1.321ed33614bfap-7, -0x1.2b8b8a023c7dbp-7, -0x1.250e5944f7567p-7, -0x1.1ea771c5f90e1p-7, -0x1.1856fe7a8ac29p-7, -0x1.121d3c0e54db2p-7, -0x1.0bfa30d4678c9p-7, -0x1.05edffe380702p-7, -0x1.fff180e3e24a6p-8, -0x1.f4350b880b218p-8, -0x1.e8a6c4fcd7bd9p-8, -0x1.dd46ad6e0188fp-8, -0x1.d214c8b8d9c99p-8, -0x1.c71127544f47dp-8, -0x1.bc3bb48ece5ccp-8, -0x1.b19461df00475p-8, -0x1.a71b1e66fef57p-8, -0x1.9ccfc2a74b282p-8, -0x1.92b23400a095ap-8, -0x1.88c23577e8f24p-8, -0x1.7eff9d260de95p-8, -0x1.756a2ffd460efp-8, -0x1.6c01a6e427925p-8, -0x1.62c5cfe09e3ebp-8, -0x1.59b65cd603761p-8, -0x1.50d2f0511c527p-8, -0x1.481b3af7b884cp-8, -0x1.3f8ef2a5650dp-8, -0x1.372dac51093d8p-8, -0x1.2ef7157590236p-8, -0x1.26eaabd615018p-8, -0x1.1f0824cbc3d29p-8, -0x1.174f15d8ecf74p-8, -0x1.0fbefcf600141p-8, -0x1.0857770a4bb77p-8, -0x1.01180f2ad69cfp-8, -0x1.f4008d18a4c48p-9, -0x1.e61f5ba3d7425p-9, -0x1.d88b9e9808416p-9, -0x1.cb443e9a49a84p-9, -0x1.be48634618702p-9, -0x1.b196ca7670407p-9, -0x1.a52eb0628840dp-9, -0x1.990efb556ee97p-9, -0x1.8d369a16d02f7p-9, -0x1.81a485e78e45dp-9, -0x1.7657bbe4d337p-9, -0x1.6b4f52e7aed95p-9, -0x1.6089f76aefea5p-9, -0x1.5640f9bbdff0cp-9, -0x1.4bfb5e70cd77bp-9, -0x1.41f5c1cc33564p-9, -0x1.382f0d3ae0c1cp-9, -0x1.2ea638f416f32p-9, -0x1.255a477c0270fp-9, -0x1.1c49f265cdaa2p-9, -0x1.137478c8b830cp-9, -0x1.0ad8b1806447cp-9, -0x1.02758b03e656bp-9, -0x1.f493e3ab67abdp-10, -0x1.e4aa09ad299aap-10, -0x1.d52b4e03c0612p-10, -0x1.c615ae89fd5p-10, -0x1.b76735b964c4bp-10, -0x1.a91d7dd23d8cdp-10, -0x1.9b370519068cap-10, -0x1.8db1a46d3d4c4p-10, -0x1.808b56788d291p-10, -0x1.73c2367083b48p-10, -0x1.675445350c4f8p-10, -0x1.5b3fa776f3b27p-10, -0x1.4f82c8ca554c4p-10, -0x1.441ae355ca4a7p-10, -0x1.3906ef096f574p-10, -0x1.2e44dac352542p-10, -0x1.23d2d594e06f6p-10, -0x1.19af074f33024p-10, -0x1.0fd7c97369fb9p-10, -0x1.064b46f36a8f6p-10, -0x1.fa0f64c4c8fc3p-11, -0x1.e816e59d32ccbp-11, -0x1.d6a9caf01e83fp-11, -0x1.c5c47df13320dp-11, -0x1.b563f74c4e2e7p-11, -0x1.a584f4089b303p-11, -0x1.96244252ae134p-11, -0x1.873ec0f48b165p-11, -0x1.78d16ca64e731p-11, -0x1.6ad9616ea596bp-11, -0x1.5d53246f083c5p-11, -0x1.503c53a9e0e98p-11, -0x1.4391e4b313696p-11, -0x1.37510b4326132p-11, -0x1.2b76fb2d4da07p-11, -0x1.2000b512814edp-11, -0x1.14ec1b2478888p-11, -0x1.0a364fb8f2325p-11, -0x1.ffb96fb607a5fp-12, -0x1.ebba38b6e01c1p-12, -0x1.d868e57be1198p-12, -0x1.c5c130d88843p-12, -0x1.b3bdfd84eb7bdp-12, -0x1.a25b7fc5d619dp-12, -0x1.9194cf70fd94ap-12, -0x1.8164c84e8d7b4p-12, -0x1.71c7c73582761p-12, -0x1.62b97a0daef6bp-12, -0x1.5434e6c8461d8p-12, -0x1.4636cd4fbd92bp-12, -0x1.38bb49ed93e0fp-12, -0x1.2bbe1a8917533p-12, -0x1.1f3b32f07442cp-12, -0x1.132ef8d0e32e4p-12, -0x1.07962d3427d45p-12, -0x1.f8d8ff786220bp-13, -0x1.e35d86d12f544p-13, -0x1.ceb578fd1511fp-13, -0x1.bad47a5381431p-13, -0x1.a7b9fda077fbp-13, -0x1.955cc52d2ea42p-13, -0x1.83b6c36daf016p-13, -0x1.72c358f32b381p-13, -0x1.627b36dd618aep-13, -0x1.52d941353fa31p-13, -0x1.43d7bbef383cbp-13, -0x1.3570bcd550bfcp-13, -0x1.279f96688ec4cp-13, -0x1.1a602b85c835ep-13, -0x1.0dad301a49122p-13, -0x1.01802030e3f8p-13, -0x1.ebab474a62a11p-14, -0x1.d550a9d239a5bp-14, -0x1.bfe87806524ddp-14, -0x1.ab6a83adbd8c1p-14, -0x1.97cc57a8f257ap-14, -0x1.8508e13b1f956p-14, -0x1.7318a4cbb3fe7p-14, -0x1.61ef4b2c0445ep-14, -0x1.51871117d6bfcp-14, -0x1.41e0c4b7ab2c1p-14, -0x1.32e86114fdd14p-14, -0x1.249e9e68e5fp-14, -0x1.16fb5464e55b6p-14, -0x1.09fa3fae337e8p-14, -0x1.fb1e16ef8ce57p-15, -0x1.e37868cffd6ffp-15, -0x1.ccebaa10f0987p-15, -0x1.b7712d9f299e6p-15, -0x1.a2fb2f676c61ep-15, -0x1.8f898ee19c075p-15, -0x1.7d01e87c02e5cp-15, -0x1.6b5ea8536afa2p-15, -0x1.5a9fb50c21872p-15, -0x1.4ab335c91ad5bp-15, -0x1.3b939d6b7982ap-15, -0x1.2d394881011fp-15, -0x1.1f97daab8857ap-15, -0x1.12a9e20152281p-15, -0x1.0666cce9d361cp-15, -0x1.f593dd07e7998p-16, -0x1.df8dba2a94052p-16, -0x1.cab2761de20f2p-16, -0x1.b6f4bcc44def1p-16, -0x1.a44a7f7387ed1p-16, -0x1.92a570699fdcfp-16, -0x1.81efb174bdd2ep-16, -0x1.722a82daf5a88p-16, -0x1.6345685199271p-16, -0x1.55349c654bf74p-16, -0x1.47f0628e52732p-16, -0x1.3b6991c1e9ab2p-16, -0x1.2fa7f48dbeb4dp-16, -0x1.24829b1b107e4p-16, -0x1.1a0fda6fefde1p-16, -0x1.102e80365b51bp-16, -0x1.06ee2693e303bp-16, -0x1.fc623c58e3e33p-17, -0x1.ebfc16a611e86p-17, -0x1.dc864d6341d7cp-17, -0x1.ce08870b92b04p-17, -0x1.c05d401277495p-17, -0x1.b390ae34ae5bap-17, -0x1.a78c97c5fd2fap-17, -0x1.9c402f3a9435fp-17, -0x1.91ab23126d89ap-17, -0x1.879e243db427cp-17, -0x1.7e511a36367a6p-17, -0x1.75926664c3a0cp-17, -0x1.6d44be533a08cp-17, -0x1.65892f1a6ae47p-17, -0x1.5e3e97da2dc53p-17, -0x1.575d59d3adabap-17, -0x1.50ed426adfb9cp-17, -0x1.4ad84a8e9af74p-17, -0x1.451c47c2c4d28p-17, -0x1.3fb3cfcd6ab38p-17, -0x1.3a97271f51005p-17, -0x1.35d4cea9a881bp-17, -0x1.3125270873b1ep-17, -0x1.2cc69a54b0344p-17, -0x1.28b8f56efe561p-17, -0x1.24b91f994418ap-17, -0x1.20f58cf35a8ccp-17, -0x1.1d566082aec2bp-17, -0x1.19e33953c6331p-17, -0x1.1688c40336d22p-17, -0x1.135049b3f4021p-17, -0x1.103e24c56e587p-17, -0x1.0d2ad006d2914p-17, -0x1.0a39f1c2ad199p-17, -0x1.0754c476dbbedp-17, -0x1.0497f1c4b21acp-17, -0x1.01b1acba4680cp-17, -0x1.fe0f301f8f432p-18, -0x1.f89759db2a8f5p-18, -0x1.f3633d15cf221p-18, -0x1.ee0271424e34ap-18, -0x1.e8be77d94a463p-18, -0x1.e39a9a08279efp-18, -0x1.de1f1e4bdd51fp-18, -0x1.d8f5d8a9b3df6p-18, -0x1.d3b01f6c42574p-18, -0x1.ce62ecaf39b6cp-18, -0x1.c908552c3308p-18, -0x1.c3aafbe4281f4p-18, -0x1.be461035802ffp-18, -0x1.b8c8df8f9fbccp-18, -0x1.b35c6578bcf6cp-18, -0x1.adb51ca2c457dp-18, -0x1.a8207498c9275p-18, -0x1.a253b9549f145p-18, -0x1.9cd637eca932fp-18, -0x1.96e4500bd5bf3p-18, -0x1.910c4eb139e52p-18, -0x1.8b195eb32aa1ep-18, -0x1.8530ea5086574p-18, -0x1.7ef7096ce0e22p-18, -0x1.78eb074705d4p-18, -0x1.72b87fac0b306p-18, -0x1.6c7710bb90483p-18, -0x1.66292b3182a7bp-18, -0x1.5fc9029eef532p-18, -0x1.595a82812b18dp-18, -0x1.52b7f5704119ap-18, -0x1.4c6718cad887bp-18, -0x1.45cb04d4e348dp-18, -0x1.3efe00175ae29p-18, -0x1.387ea84631228p-18, -0x1.31a3e86f42996p-18, -0x1.2af8f6bcf06dep-18, -0x1.240afc2484373p-18, -0x1.1d434f303849fp-18, -0x1.166414eefb58ap-18, -0x1.0f80276dcb143p-18, -0x1.089ba0f3eb8b1p-18, -0x1.01a51d2129c7cp-18, -0x1.f563f142f63ebp-19, -0x1.e76e311287958p-19, -0x1.d9bff5fc01c52p-19, -0x1.cb5d571337dd6p-19, -0x1.bdaec4fa848b8p-19, -0x1.afa802f2bb412p-19, -0x1.a1ab723cc50a3p-19, -0x1.93ce726fdc53ep-19, -0x1.85cbb26529f5dp-19, -0x1.780a4d053e541p-19, -0x1.6a15fc61ccc5cp-19, -0x1.5c73ceee0e841p-19, -0x1.4ebb0bea0b7efp-19, -0x1.410aa7a977d9dp-19, -0x1.337d798c93d3cp-19, -0x1.25fab3ccae14fp-19, -0x1.1830ce50e1cc5p-19, -0x1.0b9862626ab04p-19, -0x1.fbba18a36578p-20, -0x1.e189ba2bd4f3ep-20, -0x1.c7740ba13ee44p-20, -0x1.ad76f69191b6p-20, -0x1.947720810f0cbp-20, -0x1.79fe78cc19eep-20, -0x1.615718365cf16p-20, -0x1.4869a29e6f627p-20, -0x1.2ff59e947f2d6p-20, -0x1.177ccfcee9f22p-20, -0x1.ff07d90c895a9p-21, -0x1.cef8e065bef59p-21, -0x1.a093478397997p-21, -0x1.726a956598619p-21, -0x1.44ae6843201d1p-21, -0x1.1880c2c8c1858p-21, -0x1.d661b7e8b391p-22, -0x1.81b0881c2426dp-22, -0x1.291d9bc8946ebp-22, -0x1.acf2908a7bc87p-23, -0x1.05c053123efaap-23, -0x1.988802f96bcb6p-25, 0x1.d78f0e6551a44p-26, 0x1.aece87c3436efp-24, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.df7b52dfcdd63p-2, 0x1.d019207e914b2p-2, 0x1.b9ef3d9539cbdp-2, 0x1.9d7f40de52045p-2, 0x1.7b6e46d5609b7p-2, 0x1.547786c92d156p-2, 0x1.2961ab9ad6249p-2, 0x1.f5ed265718dfp-3, 0x1.93f90a0b0eca9p-3, 0x1.2e631d77354a6p-3, 0x1.8d1aa150e9d6ap-4, 0x1.76fb8bfcd82bdp-5, -0x1.5c233dca2b41p-8, -0x1.c9325b96bf51cp-5, -0x1.af396e9c7673dp-4, -0x1.3a0b1de06ad14p-3, -0x1.98f1876536c0dp-3, -0x1.f3c6d10061454p-3, -0x1.250dff4be028cp-2, -0x1.4dccd4ff84c24p-2, -0x1.73fecd60fe6e8p-2, -0x1.978c90006366p-2, -0x1.b867defcc9fbp-2, -0x1.d68a9204b66dp-2, -0x1.f1f538ac91ea6p-2, -0x1.0556eae8139dp-1, -0x1.105f814eec47fp-1, -0x1.1a1bb265ec728p-1, -0x1.22949cbdafe48p-1, -0x1.29d4e569164cp-1, -0x1.2fe86225934f8p-1, -0x1.34dbbf69ca07p-1, -0x1.38bc39b7f6d45p-1, -0x1.3b97319388309p-1, -0x1.3d7b09c47fe08p-1, -0x1.3e75e7396b17p-1, -0x1.3e96065e5dfb5p-1, -0x1.3de98c806c769p-1, -0x1.3c7e6fceed19fp-1, -0x1.3a626376d279bp-1, -0x1.37a2c6c2aeac7p-1, -0x1.344c967f89b48p-1, -0x1.306c60d0ce76cp-1, -0x1.2c0e3c1700963p-1, -0x1.273dc1385cd4ep-1, -0x1.220608902a803p-1, -0x1.1c71a81e1142p-1, -0x1.168ab2098485fp-1, -0x1.105ab36b21132p-1, -0x1.09eab3d2537bp-1, -0x1.034335d2ae632p-1, -0x1.f8d8717586a41p-2, -0x1.eada765f24432p-2, -0x1.dc9a7d71c804ap-2, -0x1.ce2597ae0fd3bp-2, -0x1.bf87ece98b7abp-2, -0x1.b0ccc4b7668c2p-2, -0x1.a1fe8ee995c88p-2, -0x1.9326ebe177322p-2, -0x1.844eb4d2b9d9dp-2, -0x1.757e04a23ab19p-2, -0x1.66bc4185d1a32p-2, -0x1.5810275368cb8p-2, -0x1.497fd222afb8bp-2, -0x1.3b10c8b927feep-2, -0x1.2cc80679d0d2bp-2, -0x1.1eaa04a2c7ed1p-2, -0x1.10bac3000b436p-2, -0x1.02fdd015ff1edp-2, -0x1.eaeca1fa99401p-3, -0x1.d04e11ce44723p-3, -0x1.b624c0a29cc73p-3, -0x1.9c74d7bd79c03p-3, -0x1.8341e57f7dfedp-3, -0x1.6a8ee8cf31b0fp-3, -0x1.525e5c7cecd76p-3, -0x1.3ab24108a384dp-3, -0x1.2387e7929ac05p-3, -0x1.0ceb5d40d4696p-3, -0x1.edad1967ced4cp-4, -0x1.c293a9a1f7836p-4, -0x1.988a8a5b6069dp-4, -0x1.6f9149935cabfp-4, -0x1.47a6f0dea1d8p-4, -0x1.20ca113066041p-4, -0x1.f5f19cb7097bap-5, -0x1.ac61d197f90d8p-5, -0x1.64df914be2d7ap-5, -0x1.1f650a8b0e7dfp-5, -0x1.b7d7bb50c2752p-6, -0x1.34da57734fd1dp-6, -0x1.6b8696aba82b3p-7, -0x1.d419af3230333p-9, 0x1.e7af881229c2dp-9, 0x1.617179f85cf99p-7, 0x1.20d63356be551p-6, 0x1.8d5fb028a378ap-6, 0x1.f666d23024734p-6, 0x1.2dfeaff0116ecp-5, 0x1.5f1a9b93b7c2fp-5, 0x1.8e901d3893fa7p-5, 0x1.bc6820ea8bf6dp-5, 0x1.e8ab873186c35p-5, 0x1.09b19033defd2p-4, 0x1.1e4bd3d887559p-4, 0x1.3228e0a97bbadp-4, 0x1.454cfbb3e1fa8p-4, 0x1.57bc5caa4d467p-4, 0x1.697b2cf998e95p-4, 0x1.7a8d8782a0bf6p-4, 0x1.8af7790420ca3p-4, 0x1.9abcff693573dp-4, 0x1.a9e209e7bf871p-4, 0x1.b86a78cf8fe17p-4, 0x1.c65a1d3054ab2p-4, 0x1.d3b4b87f8f2d9p-4, 0x1.e07dfc2dfc95ep-4, 0x1.ecb9893d3fcf2p-4, 0x1.f86aeeb879b1bp-4, 0x1.01cad4fab8f63p-3, 0x1.071e92c20d3ddp-3, 0x1.0c325c2cfa7a1p-3, 0x1.1107d2aa8bcdap-3, 0x1.15a08d706141cp-3, 0x1.19fe1947dd798p-3, 0x1.1e21f8814e97ep-3, 0x1.220da2ded573p-3, 0x1.25c285db4ef47p-3, 0x1.294204931ad19p-3, 0x1.2c8d783c1239bp-3, 0x1.2fa630470aaa5p-3, 0x1.328d72cc71813p-3, 0x1.35447ce59e4eep-3, 0x1.37cc830ac1999p-3, 0x1.3a26b179dddf6p-3, 0x1.3c542c98dc096p-3, 0x1.3e56119013d8fp-3, 0x1.402d76784433p-3, 0x1.41db6ad7c2cf2p-3, 0x1.4360f7fe1f661p-3, 0x1.44bf21722543ap-3, 0x1.45f6e51432f8cp-3, 0x1.47093b95089bep-3, 0x1.47f718a7f75b9p-3, 0x1.48c16b1ca5af1p-3, 0x1.49691d693cd3ap-3, 0x1.49ef15488216fp-3, 0x1.4a543447ed534p-3, 0x1.4a9957cb67b52p-3, 0x1.4abf58fd5a58ap-3, 0x1.4ac70cfb36e71p-3, 0x1.4ab144dd517f1p-3, 0x1.4a7ecdd6fe6ap-3, 0x1.4a3071111d7dp-3, 0x1.49c6f3bc3e6f2p-3, 0x1.4943176ac5667p-3, 0x1.48a599871570cp-3, 0x1.47ef341493b01p-3, 0x1.47209d19de8bbp-3, 0x1.463a8721b1979p-3, 0x1.453da13afd543p-3, 0x1.442a96d1ded21p-3, 0x1.43021029f7f14p-3, 0x1.41c4b2272bbe7p-3, 0x1.40731e9cbef91p-3, 0x1.3f112b9a1ce8dp-3, 0x1.3d98f3a9afbf3p-3, 0x1.3c0e4c65672ap-3, 0x1.3a71cd39f41adp-3, 0x1.38c40b83fa842p-3, 0x1.370599c1fde6fp-3, 0x1.353708cd1e7b2p-3, 0x1.3358e71219bcp-3, 0x1.316bc12170a7dp-3, 0x1.2f7021752d02cp-3, 0x1.2d6690a119c6dp-3, 0x1.2b4f954f1c1d6p-3, 0x1.292bb45ec457bp-3, 0x1.26fb70e4758ccp-3, 0x1.24bf4c1f626abp-3, 0x1.2277c5a05c66dp-3, 0x1.20255b2b87584p-3, 0x1.1dc888ed193b5p-3, 0x1.1b61c92060b5bp-3, 0x1.18f19490d95f1p-3, 0x1.1678622e3bb4cp-3, 0x1.13f6a72d278c4p-3, 0x1.116cd72dd7fe3p-3, 0x1.0edb63d2b112p-3, 0x1.0c42bd56d6613p-3, 0x1.09a35200092bcp-3, 0x1.06fd8e5b6452p-3, 0x1.0451dd510d5ecp-3, 0x1.01a0a7e1396cdp-3, 0x1.fdd4aa92afc5cp-4, 0x1.f85e962540f42p-4, 0x1.f2dfd97b3b20ep-4, 0x1.ed5938df77bbap-4, 0x1.e7cb743b766ddp-4, 0x1.e237480680274p-4, 0x1.dc9d6d35c7529p-4, 0x1.d6fe9929e9c6ap-4, 0x1.d15b7d820300fp-4, 0x1.cbb4c858351acp-4, 0x1.c60b240e6f91bp-4, 0x1.c05f379bbe7d9p-4, 0x1.bab1a5dfd6f8ep-4, 0x1.b5030ef0da9ep-4, 0x1.af540e58e2bfap-4, 0x1.a9a53cf43bf32p-4, 0x1.a3f72f73a26f7p-4, 0x1.9e4a775281e3cp-4, 0x1.989fa20788dc7p-4, 0x1.92f73a2a8b812p-4, 0x1.8d51c63ece96fp-4, 0x1.87afc9a0a15d3p-4, 0x1.8211c3ce3167bp-4, 0x1.7c783140152e9p-4, 0x1.76e38ad9e3cd1p-4, 0x1.71544580104afp-4, 0x1.6bcad387dd361p-4, 0x1.6647a32a943bap-4, 0x1.60cb1f5e1198bp-4, 0x1.5b55b014f989fp-4, 0x1.55e7b96d1fc65p-4, 0x1.50819ca1c5026p-4, 0x1.4b23b714edb88p-4, 0x1.45ce631fffd0ap-4, 0x1.4081f7fe52372p-4, 0x1.3b3ec951ce23cp-4, 0x1.360527baac94cp-4, 0x1.30d5606d43851p-4, 0x1.2bafbda6f550cp-4, 0x1.269486ae4f511p-4, 0x1.2183ff08c8e43p-4, 0x1.1c7e67b7661p-4, 0x1.1783fe53099bp-4, 0x1.1294fdc2a681bp-4, 0x1.0db19db72a601p-4, 0x1.08da12ea982bbp-4, 0x1.040e8f5273c45p-4, 0x1.fe9e840a17bc9p-5, 0x1.f538ae0c39d05p-5, 0x1.ebebefef5a581p-5, 0x1.e2b896f3c3fefp-5, 0x1.d99eeaf6cdf2ep-5, 0x1.d09f2f3a659e2p-5, 0x1.c7b9a0b270dfep-5, 0x1.beee77e49f9dbp-5, 0x1.b63de8c6ee092p-5, 0x1.ada8218ecf723p-5, 0x1.a52d4bc9bbc92p-5, 0x1.9ccd8cde262bbp-5, 0x1.94890573ea29ap-5, 0x1.8c5fd1547d665p-5, 0x1.84520819d4104p-5, 0x1.7c5fbda44ed43p-5, 0x1.748900d4edf52p-5, 0x1.6ccddce3cfb2ep-5, 0x1.652e594730405p-5, 0x1.5daa7927b209p-5, 0x1.56423c606b3b5p-5, 0x1.4ef59f2e43d1p-5, 0x1.47c499f2c0e7p-5, 0x1.40af21d207dc8p-5, 0x1.39b528d2ed14p-5, 0x1.32d69d60bc621p-5, 0x1.2c136b383abdfp-5, 0x1.256b7b03693cep-5, 0x1.1edeb24ffa387p-5, 0x1.186cf41b2041cp-5, 0x1.1216209435964p-5, 0x1.0bda157429f52p-5, 0x1.05b8add38463ep-5, 0x1.ff6384dbf669bp-6, 0x1.f38a53c68508p-6, 0x1.e7e570fd545abp-6, 0x1.dc7480b0763f6p-6, 0x1.d1372380f626ap-6, 0x1.c62cf5ba08c64p-6, 0x1.bb5590871e26ep-6, 0x1.b0b0891399abfp-6, 0x1.a63d71a035fddp-6, 0x1.9bfbd92f72d42p-6, 0x1.91eb4bde81f3fp-6, 0x1.880b52644506p-6, 0x1.7e5b73b4421c6p-6, 0x1.74db3451bc594p-6, 0x1.6b8a15679b61ap-6, 0x1.626796a270db2p-6, 0x1.5973356fd0609p-6, 0x1.50ac6e7fc4e49p-6, 0x1.4812ba9eb2801p-6, 0x1.3fa5928202786p-6, 0x1.37646d10f011p-6, 0x1.2f4ec00fc2a51p-6, 0x1.2763ff6b90dep-6, 0x1.1fa39e550ee14p-6, 0x1.180d0f6e16319p-6, 0x1.109fc42a41a99p-6, 0x1.095b2d22979e3p-6, 0x1.023eba40d7c37p-6, 0x1.f693b5bf0eed1p-7, 0x1.e8f7fd8528c4cp-7, 0x1.dba928b2aa321p-7, 0x1.cea61493e670ep-7, 0x1.c1ed9e7ebd595p-7, 0x1.b57ea33fc2fbbp-7, 0x1.a957ff8e52f0ap-7, 0x1.9d78911e032dp-7, 0x1.91df353c5149bp-7, 0x1.868acb2322a08p-7, 0x1.7b7a311c31f71p-7, 0x1.70ac47bee9537p-7, 0x1.661ff05833371p-7, 0x1.5bd40c3db674fp-7, 0x1.51c77f399a9ap-7, 0x1.47f92ee72bc82p-7, 0x1.3e6801726d957p-7, 0x1.3512df175acffp-7, 0x1.2bf8b152e91eep-7, 0x1.231863eaa797bp-7, 0x1.1a70e5efb3baap-7, 0x1.120125a9bcd09p-7, 0x1.09c815674d1c4p-7, 0x1.01c4a9528cc9dp-7, 0x1.f3ebafc96dd58p-8, 0x1.e4b533ca313acp-8, 0x1.d5e3d5c5295b9p-8, 0x1.c7759062c5347p-8, 0x1.b96863f67026bp-8, 0x1.abba57cb1439bp-8, 0x1.9e6975d94c425p-8, 0x1.9173d1c24e341p-8, 0x1.84d77f55befaep-8, 0x1.78929bbe53537p-8, 0x1.6ca349669f147p-8, 0x1.6107b01876c24p-8, 0x1.55bdfd60041d2p-8, 0x1.4ac4640888b66p-8, 0x1.4019209d040a1p-8, 0x1.362d1f27577fep-8, 0x1.2c15a7dcf73edp-8, 0x1.2247287daaf52p-8, 0x1.18bff99e153ep-8, 0x1.0f7e79a44c806p-8, 0x1.06810ce6625dfp-8, 0x1.fb8c42fbd600fp-9, 0x1.ea984cb1dff56p-9, 0x1.da232a22d70c9p-9, 0x1.ca29d99068cbp-9, 0x1.baa9666ee1261p-9, 0x1.ab9ee4f9f88ecp-9, 0x1.9d077a22fe185p-9, 0x1.8ee058b97d949p-9, 0x1.8126bb2181036p-9, 0x1.73d7ee404972cp-9, 0x1.66f144c598887p-9, 0x1.5a702236463e9p-9, 0x1.4e51f565c7272p-9, 0x1.4294394a8b50ap-9, 0x1.373473c9b0b05p-9, 0x1.2c3037c10ca39p-9, 0x1.21852158cded4p-9, 0x1.1730e18c3a526p-9, 0x1.0d3127b3514dfp-9, 0x1.0383b69cdd68ep-9, 0x1.f44cb7117b4p-10, 0x1.e22ddc1f9b6bep-10, 0x1.d0a6a2b010df9p-10, 0x1.bfb2e7014ee5ep-10, 0x1.af4e9b277ea7p-10, 0x1.9f75c882c65dbp-10, 0x1.902488f715361p-10, 0x1.815710c95b00cp-10, 0x1.7309a7ae8cb97p-10, 0x1.6538aa9b0e596p-10, 0x1.57e0869953d81p-10, 0x1.4afdc05b8fe5cp-10, 0x1.3e8cf2b4cccfap-10, 0x1.328ac8e3be44ap-10, 0x1.26f4040d51923p-10, 0x1.1bc5748ef6cecp-10, 0x1.10fbff59a2c0fp-10, 0x1.06949efd3a17ap-10, 0x1.f918b9d5c58d2p-11, 0x1.e5c0aefeebb34p-11, 0x1.d31b748da2f59p-11, 0x1.c1238dc8f1eb1p-11, 0x1.afd39d9b3a978p-11, 0x1.9f266533f0528p-11, 0x1.8f16d0ffc869ep-11, 0x1.7f9fe47d8cbe6p-11, 0x1.70bcc8021e344p-11, 0x1.6268bfaee1c88p-11, 0x1.549f30e263a57p-11, 0x1.475ba10a69a7dp-11, 0x1.3a99b19efb9a8p-11, 0x1.2e551f6654dbep-11, 0x1.2289c88b336b4p-11, 0x1.1733a1179f94fp-11, 0x1.0c4ebc9234e2ap-11, 0x1.01d745c03e514p-11, 0x1.ef930a0833f05p-12, 0x1.dc43b34cd7486p-12, 0x1.c9b97ff980b9fp-12, 0x1.b7ed838a8d91p-12, 0x1.a6d9205f87fp-12, 0x1.9675c563a253ep-12, 0x1.86bd4726ac231p-12, 0x1.77a94d727837fp-12, 0x1.69340645fa1d3p-12, 0x1.5b579243313c8p-12, 0x1.4e0e5cde33c3cp-12, 0x1.4152e8be66d9ap-12, 0x1.351fe31c47cep-12, 0x1.2970252e5069cp-12, 0x1.1e3eb257d181ap-12, 0x1.1386b6a811a91p-12, 0x1.09437b6f3bb11p-12, 0x1.fee0dfe2d3e33p-13, 0x1.ec1281d1a230fp-13, 0x1.da134b5443e71p-13, 0x1.c8daf74210edp-13, 0x1.b861b4b7a9643p-13, 0x1.a89fa13bd0e1cp-13, 0x1.998d9461af2b2p-13, 0x1.8b24264d2aa01p-13, 0x1.7d5c8286d633cp-13, 0x1.70302dbe1f401p-13, 0x1.6398929ddd76dp-13, 0x1.578f63d26b69ep-13, 0x1.4c0eddf08a153p-13, 0x1.41112756eb809p-13, 0x1.3690b64a5d38dp-13, 0x1.2c883625e45b5p-13, 0x1.22f26dbd60593p-13, 0x1.19ca7e7507019p-13, 0x1.110b8d8d9133dp-13, 0x1.08b106a24f4p-13, 0x1.00b67bcc0b07fp-13, 0x1.f22f1fb9f458p-14, 0x1.e3a089f0a7a06p-14, 0x1.d5b91164555acp-14, 0x1.c8714665a4b54p-14, 0x1.bbc19ace6019dp-14, 0x1.afa3094163f83p-14, 0x1.a40ec7d21d7d8p-14, 0x1.98fe32d2cf882p-14, 0x1.8e6b49ecd7ce5p-14, 0x1.844f70fe0e272p-14, 0x1.7aa53dd63f305p-14, 0x1.7166ff3998302p-14, 0x1.688f4e0209b4ep-14, 0x1.601917b6730c8p-14, 0x1.57ff14e15361fp-14, 0x1.503ce03725cc9p-14, 0x1.48cdcba74167ep-14, 0x1.41ad7e7bc5b5ep-14, 0x1.3ad77b557182dp-14, 0x1.344836f794f97p-14, 0x1.2dfba1062bebep-14, 0x1.27eddbb00d706p-14, 0x1.221bc7edf8b9fp-14, 0x1.1c81ab9403649p-14, 0x1.171c7e36cc43dp-14, 0x1.11e961cfa2f91p-14, 0x1.0ce4de252835ep-14, 0x1.080cca6b09effp-14, 0x1.035ddc29ab8f4p-14, 0x1.fdac39189dc69p-15, 0x1.f4e57d5755afcp-15, 0x1.ec63462d0d51bp-15, 0x1.e4216ded22ed9p-15, 0x1.dc1b87ff0d3c5p-15, 0x1.d44ddc71baf9bp-15, 0x1.ccb4353507898p-15, 0x1.c54bb2625d65cp-15, 0x1.be10c634ea34bp-15, 0x1.b6ffc79f9c02p-15, 0x1.b016a77cff627p-15, 0x1.a952424d0cfa3p-15, 0x1.a2af32df2036bp-15, 0x1.9c2c44765deabp-15, 0x1.95c6476d8a9e4p-15, 0x1.8f7b5d8e33501p-15, 0x1.894962a6dd783p-15, 0x1.832e710e0ba26p-15, 0x1.7d28aeb23990ap-15, 0x1.773692786e2f1p-15, 0x1.715666c5530bp-15, 0x1.6b86cdddee267p-15, 0x1.65c61fd69815bp-15, 0x1.6013a204c1272p-15, 0x1.5a6db1cd14657p-15, 0x1.54d3a572c8097p-15, 0x1.4f4395471bd23p-15, 0x1.49bdc097732d4p-15, 0x1.44409b83a4509p-15, 0x1.3ecb9bdee4444p-15, 0x1.395e1430e019p-15, 0x1.33f6d8e194154p-15, 0x1.2e9658e4d6d68p-15, 0x1.293ae0666225bp-15, 0x1.23e58534f6a9ep-15, 0x1.1e946508bab21p-15, 0x1.194810704a6f6p-15, 0x1.13ffb6d870b21p-15, 0x1.0ebb944096b97p-15, 0x1.097b0d84e9a9dp-15, 0x1.043e4b035e79fp-15, 0x1.fe09839f4535ep-16, 0x1.f39df9288fe89p-16, 0x1.e9374396bcdcp-16, 0x1.ded8401f67b1p-16, 0x1.d47fc3b343c62p-16, 0x1.ca2d311d8521fp-16, 0x1.bfe1bd3774c2dp-16, 0x1.b59bd906a4641p-16, 0x1.ab5d647eb77adp-16, 0x1.a1265481cdf56p-16, 0x1.96f60c6123848p-16, 0x1.8ccda7fb1b60ap-16, 0x1.82acff1c6f635p-16, 0x1.7894f656b731ep-16, 0x1.6e850a65edc9ap-16, 0x1.647ebc805fc8ap-16, 0x1.5a81d694a9bedp-16, 0x1.508e47f695c5cp-16, 0x1.46a526dd7e333p-16, 0x1.3cc767ef33a2cp-16, 0x1.32f4e2e79f357p-16, 0x1.292da470b13a7p-16, 0x1.1f72e053f591p-16, 0x1.15c5aac6165d6p-16, 0x1.0c247877b6102p-16, 0x1.02925967bd5a2p-16, 0x1.f21b560309adcp-17, 0x1.df30b2a66de58p-17, 0x1.cc63e51a7a97cp-17, 0x1.b9b73449f8b4bp-17, 0x1.a72be42633b4p-17, 0x1.94c1a129ffb6cp-17, 0x1.827a6e703bf99p-17, 0x1.70576dbe15a3p-17, 0x1.5e585a24d7843p-17, 0x1.4c7fc57fa7d99p-17, 0x1.3ace041630dd7p-17, 0x1.2943208e7a3cap-17, 0x1.17e1ac36cfdc7p-17, 0x1.06a9d052a9996p-17, 0x1.eb34e2085765ep-18, 0x1.c96fa830991acp-18, 0x1.a801d565651bcp-18, 0x1.86eccb632a192p-18, 0x1.66322a9b76fe6p-18, 0x1.45d5fecd138b1p-18, 0x1.25d5bf4cfb314p-18, 0x1.0636e8c8e7cb8p-18, 0x1.cdeb168424a66p-19, 0x1.902eaed7b6757p-19, 0x1.5343bb93ef7e1p-19, 0x1.1712cd098290cp-19, 0x1.b76b96dd1604ap-20, 0x1.4243c07a0f1a7p-20, 0x1.9d71550ebc622p-21, 0x1.7370e7491ef1bp-22, -0x1.361cbfbcc01adp-24, -0x1.03e15788d9fcfp-21, -0x1.ddadef06751e6p-21, -0x1.5a001c2d671ecp-20, -0x1.c38865651239fp-20, -0x1.15a8a825c5571p-19, -0x1.48b00fda302f1p-19, -0x1.7adb26636bdb9p-19, -0x1.ac2a3903bb012p-19, -0x1.dc98240dbc395p-19, -0x1.061513967636ap-18, -0x1.1d6c03a8f20b9p-18, -0x1.345548e5e4cb2p-18, -0x1.4ac9d1bc811d5p-18, -0x1.60d0e1a570786p-18, -0x1.76690ea342bb7p-18, -0x1.8b8b3817cde03p-18, -0x1.a040df45d018ap-18, -0x1.b482977babff3p-18, -0x1.c8542bfe503c7p-18, -0x1.dbb6169658a0cp-18, -0x1.eea6da22d483dp-18, -0x1.00932ca98722ep-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.bd50c695701dap-2, 0x1.bfc99a679979fp-2, 0x1.c047d5511dd82p-2, 0x1.bebf890c9ac49p-2, 0x1.bb32ce72c4539p-2, 0x1.b5af007ab0b7cp-2, 0x1.ae4a445e36cf7p-2, 0x1.a5215b3de6736p-2, 0x1.9a55cb9b84dfcp-2, 0x1.8e0c3e9fff874p-2, 0x1.806b3b5ea988bp-2, 0x1.719a1d8588572p-2, 0x1.61c021a0310f4p-2, 0x1.5103c2117b26ap-2, 0x1.3f8a2a6d46fa7p-2, 0x1.2d76d9d5138d1p-2, 0x1.1aeb63ad1120fp-2, 0x1.0807371cb263p-2, 0x1.e9cef326a4933p-3, 0x1.c34dfac6c4bb4p-3, 0x1.9cbc92cb76a0fp-3, 0x1.7647458afeea5p-3, 0x1.501634c677e1p-3, 0x1.2a4d431515edcp-3, 0x1.050c49b8ebe48p-3, 0x1.c0dea5fc9c25ap-4, 0x1.791daad0a51adp-4, 0x1.32ffda5ace569p-4, 0x1.dd5259a769b2ep-5, 0x1.586fc4d11b9f3p-5, 0x1.af140b6ca8bd6p-6, 0x1.6b26316fc803p-7, -0x1.db20f7ef4b495p-9, -0x1.23a221f01b23ap-6, -0x1.018356be0d0a3p-5, -0x1.6cbedea2eea92p-5, -0x1.d37f955102682p-5, -0x1.1ae34bd75dcb8p-4, -0x1.49cccff7bfb98p-4, -0x1.76813c75763f7p-4, -0x1.a1073e9ae2cb1p-4, -0x1.c9670fb49072cp-4, -0x1.efaa3ebc831a8p-4, -0x1.09edc0a721817p-3, -0x1.1b0341c6403fep-3, -0x1.2b1bdfe034a06p-3, -0x1.3a3e2c26bdc3ep-3, -0x1.4870fb6c043c3p-3, -0x1.55bb577bd8377p-3, -0x1.622470e0a3069p-3, -0x1.6db3928c5667cp-3, -0x1.787016c24e5ccp-3, -0x1.82615dbfbb44fp-3, -0x1.8b8ec5cae115fp-3, -0x1.93ffa40a90ee1p-3, -0x1.9bbb3da067386p-3, -0x1.a2c8c163287d3p-3, -0x1.a92f42996d883p-3, -0x1.aef5b4d722917p-3, -0x1.b422e8b78d7cp-3, -0x1.b8bd896ad0e9bp-3, -0x1.bccc1a4254f3bp-3, -0x1.c054f4e4f2d06p-3, -0x1.c35e473d7bab6p-3, -0x1.c5ee11d2a11c2p-3, -0x1.c80a26d4ed782p-3, -0x1.c9b8298fdb1cfp-3, -0x1.cafd8eb3fa685p-3, -0x1.cbdf9bbef6d72p-3, -0x1.cc6368a311fd3p-3, -0x1.cc8ddeee2127ap-3, -0x1.cc63bad12112bp-3, -0x1.cbe98b5e76ac8p-3, -0x1.cb23b2fc3b493p-3, -0x1.ca1668264b36p-3, -0x1.c8c5b6acc8a01p-3, -0x1.c735803ffab78p-3, -0x1.c56947f3f3aa4p-3, -0x1.c36509d4255edp-3, -0x1.c12c0138cf3fp-3, -0x1.bec1746a25ed9p-3, -0x1.bc2885d9fcc5cp-3, -0x1.b964349397dc8p-3, -0x1.b6775dc5ec22p-3, -0x1.b364bdb73acd3p-3, -0x1.b02ef106e0af8p-3, -0x1.acd875aa01281p-3, -0x1.a963ac31a8041p-3, -0x1.a5d2d8a48b9d2p-3, -0x1.a22823b066d91p-3, -0x1.9e659c06ae12cp-3, -0x1.9a8d36856a894p-3, -0x1.96a0d00b19e4ap-3, -0x1.92a22dfff61f1p-3, -0x1.8e92ff6b247aep-3, -0x1.8a74ddc794d38p-3, -0x1.86494df15196cp-3, -0x1.8211c12a7537bp-3, -0x1.7dcf95b6bb5f4p-3, -0x1.798417c492949p-3, -0x1.75308259d5cd6p-3, -0x1.70d5fff401177p-3, -0x1.6c75ab4ff7d75p-3, -0x1.68108ff8ceb49p-3, -0x1.63a7ab513424ap-3, -0x1.5f3becd5477d1p-3, -0x1.5ace372340dc3p-3, -0x1.565f601102776p-3, -0x1.51f031dc29a1ep-3, -0x1.4d816b755c51p-3, -0x1.4913c0dedb7ap-3, -0x1.44a7dbf4bc8b4p-3, -0x1.403e5cc45fe08p-3, -0x1.3bd7da0a2b6cep-3, -0x1.3774e1a9dea5cp-3, -0x1.3315f911e9c68p-3, -0x1.2ebb9d9f725c5p-3, -0x1.2a6644ff2e95p-3, -0x1.26165da455cdp-3, -0x1.21cc4f0e6cf19p-3, -0x1.1d887a27175b3p-3, -0x1.194b3981085d4p-3, -0x1.1514e1d7696ddp-3, -0x1.10e5c2328f032p-3, -0x1.0cbe243ac100fp-3, -0x1.089e4c8604321p-3, -0x1.04867ae123424p-3, -0x1.0076ea669637ap-3, -0x1.f8dfa3f7f101fp-4, -0x1.f0e2c8820a43fp-4, -0x1.e8f7a0300ab21p-4, -0x1.e11e80ff82613p-4, -0x1.d957ba0cd9563p-4, -0x1.d1a393bea8ac9p-4, -0x1.ca02502cad713p-4, -0x1.c2742b6e807b7p-4, -0x1.baf95bdd4c137p-4, -0x1.b39212706ff89p-4, -0x1.ac3e7b25b9b09p-4, -0x1.a4febceb43d8bp-4, -0x1.9dd2fa2e0deecp-4, -0x1.96bb51137afecp-4, -0x1.8fb7db8296d2cp-4, -0x1.88c8af7985c8ep-4, -0x1.81eddf4b533cep-4, -0x1.7b2779a2b9aap-4, -0x1.747589ecf17f9p-4, -0x1.6dd818563e006p-4, -0x1.674f29ea804fp-4, -0x1.60dac0efce26fp-4, -0x1.5a7add069bb55p-4, -0x1.542f7ae246e3fp-4, -0x1.4df89506a4948p-4, -0x1.47d6238557265p-4, -0x1.41c81c468de78p-4, -0x1.3bce72fa38403p-4, -0x1.35e91972ab33p-4, -0x1.3017ff79174e6p-4, -0x1.2a5b134e046edp-4, -0x1.24b24136df5dap-4, -0x1.1f1d73dbe6fe5p-4, -0x1.199c94b2b73b7p-4, -0x1.142f8b55e27e3p-4, -0x1.0ed63e69a7d1ep-4, -0x1.099092d34b4a9p-4, -0x1.045e6e9c3d818p-4, -0x1.fe7f5be68d6b5p-5, -0x1.f4686e247dd1ap-5, -0x1.ea77d537e344ep-5, -0x1.e0ad5010e1a89p-5, -0x1.d7089cd25eff6p-5, -0x1.cd897695eb1p-5, -0x1.c42f97841033fp-5, -0x1.bafab7f1c8973p-5, -0x1.b1ea8eb6fbbe7p-5, -0x1.a8fed19080272p-5, -0x1.a0373469f080ep-5, -0x1.97936a70a2f0fp-5, -0x1.8f1324dd19687p-5, -0x1.86b614d74e387p-5, -0x1.7e7be9ba3f712p-5, -0x1.766452367f37bp-5, -0x1.6e6efc0585b5bp-5, -0x1.669b94653767cp-5, -0x1.5ee9c694d4c62p-5, -0x1.57593e7e6c5e4p-5, -0x1.4fe9a6bee0317p-5, -0x1.489aa94138f8fp-5, -0x1.416befc73e7d2p-5, -0x1.3a5d22f9e5b45p-5, -0x1.336deb6e68dd8p-5, -0x1.2c9df13ce479fp-5, -0x1.25ecdc08a2536p-5, -0x1.1f5a53049d4abp-5, -0x1.18e5fd7284fb4p-5, -0x1.128f81fa326ep-5, -0x1.0c56876663a1cp-5, -0x1.063ab3b08fb12p-5, -0x1.003bad7934edcp-5, -0x1.f4b2357b05c68p-6, -0x1.e9254387abf41p-6, -0x1.ddcfd0edd47a2p-6, -0x1.d2b12a0208167p-6, -0x1.c7c89ad19648p-6, -0x1.bd156ffd63886p-6, -0x1.b296f5a969f1ep-6, -0x1.a84c79d15ab7dp-6, -0x1.9e354856d9dddp-6, -0x1.9450affa7a341p-6, -0x1.8a9dfddc031ecp-6, -0x1.811c811a325acp-6, -0x1.77cb885f6d5eep-6, -0x1.6eaa6405cc72ap-6, -0x1.65b863bd62affp-6, -0x1.5cf4d8d32f1dfp-6, -0x1.545f152be817p-6, -0x1.4bf66b7d3c63ap-6, -0x1.43ba2f58c3e78p-6, -0x1.3ba9b4308128p-6, -0x1.33c4504e311a1p-6, -0x1.2c09599f8450cp-6, -0x1.247826ebdf6afp-6, -0x1.1d10119a4cd56p-6, -0x1.15d0721bdeec9p-6, -0x1.0eb8a33371345p-6, -0x1.07c80025ed751p-6, -0x1.00fde64e07effp-6, -0x1.f4b367218a164p-7, -0x1.e7b58dd3369c6p-7, -0x1.db0101dd48d51p-7, -0x1.ce94884ee6d7cp-7, -0x1.c26ee66d2c1eap-7, -0x1.b68ee54ded65dp-7, -0x1.aaf34ff5893a3p-7, -0x1.9f9af6ec3bf46p-7, -0x1.9484aa3a8158fp-7, -0x1.89af3eccdb8b9p-7, -0x1.7f198bcb64449p-7, -0x1.74c26b5ff004p-7, -0x1.6aa8bb2db2c47p-7, -0x1.60cb5af8ce50dp-7, -0x1.57292e6c6e3fp-7, -0x1.4dc11c8a092a1p-7, -0x1.44920deea0a25p-7, -0x1.3b9aefea8be46p-7, -0x1.32dab2a173316p-7, -0x1.2a5047e1eff25p-7, -0x1.21faa77ecfd24p-7, -0x1.19d8cacb343bfp-7, -0x1.11e9ad636a1e3p-7, -0x1.0a2c5083c84b1p-7, -0x1.029fb70900b22p-7, -0x1.f685d01849c7cp-8, -0x1.e829d87811f66p-8, -0x1.da29a438b270ap-8, -0x1.cc8352d8a9637p-8, -0x1.bf350b407fb1ep-8, -0x1.b23cfc65b82c1p-8, -0x1.a5995b2df7fdp-8, -0x1.9948628e16558p-8, -0x1.8d4854e99fb12p-8, -0x1.81977a8303f6ep-8, -0x1.7634206046d11p-8, -0x1.6b1c9e861f302p-8, -0x1.604f5018b710cp-8, -0x1.55ca97a7b080cp-8, -0x1.4b8cdeb7e22cp-8, -0x1.419494f218b41p-8, -0x1.37e02d60c401dp-8, -0x1.2e6e28eb81f57p-8, -0x1.253d070b020abp-8, -0x1.1c4b51da0d30fp-8, -0x1.1397989ec5267p-8, -0x1.0b2070bc8506p-8, -0x1.02e476182272fp-8, -0x1.f5c494a731b8dp-9, -0x1.e6312add298edp-9, -0x1.d70c0cf2bd14fp-9, -0x1.c8529e68068cep-9, -0x1.ba0257db8f055p-9, -0x1.ac18b7d1ccb0fp-9, -0x1.9e934a64f7acbp-9, -0x1.916fa6a360881p-9, -0x1.84ab6f1c598a5p-9, -0x1.78444fddd0518p-9, -0x1.6c380a43d9dc5p-9, -0x1.60845ccb729p-9, -0x1.55271629fa761p-9, -0x1.4a1e13f46d702p-9, -0x1.3f673ae7ef42ep-9, -0x1.35007e3e3326ep-9, -0x1.2ae7ce5fb241cp-9, -0x1.211b3f19916c5p-9, -0x1.1798d37802aa1p-9, -0x1.0e5eac1359cacp-9, -0x1.056ae9d0930dbp-9, -0x1.f97775f573536p-10, -0x1.e89eb471e5e39p-10, -0x1.d84806f5694d5p-10, -0x1.c87005558bdc9p-10, -0x1.b91353332968bp-10, -0x1.aa2eb95598e62p-10, -0x1.9bbef80e7544fp-10, -0x1.8dc0ed7982628p-10, -0x1.80318d9c9b656p-10, -0x1.730dd7e22d19fp-10, -0x1.6652de77ab526p-10, -0x1.59fdc2a59f447p-10, -0x1.4e0bbfea17045p-10, -0x1.427a13dd0d778p-10, -0x1.37461416c1392p-10, -0x1.2c6d23f5ae29dp-10, -0x1.21ecbb03707e9p-10, -0x1.17c2570c132ep-10, -0x1.0deb8804894b6p-10, -0x1.0465f70fde551p-10, -0x1.f65ea2c4d9a8bp-11, -0x1.e48a9b0e6905p-11, -0x1.d34b735353f44p-11, -0x1.c29cda21fcfd3p-11, -0x1.b27aadebfc24ep-11, -0x1.a2e0cb02d74a1p-11, -0x1.93cb1fac978fbp-11, -0x1.8535dd453d6c9p-11, -0x1.771d3219247f4p-11, -0x1.697d6650fb915p-11, -0x1.5c52e0a943cap-11, -0x1.4f9a1c2e34c7ap-11, -0x1.434f9d9d76df8p-11, -0x1.377023352b358p-11, -0x1.2bf87717bb956p-11, -0x1.20e54aa74dccp-11, -0x1.16339a8900a9fp-11, -0x1.0be05def0abacp-11, -0x1.01e8af8aca2f1p-11, -0x1.f09367a5238c9p-12, -0x1.de0149e727822p-12, -0x1.cc1590eda0a98p-12, -0x1.bacb13f8c8d3bp-12, -0x1.aa1ce326e10fep-12, -0x1.9a05b5d492beep-12, -0x1.8aab2aac749c7p-12, -0x1.7bb172a34f382p-12, -0x1.6d40dd04e0a17p-12, -0x1.5f54dd8f0bfcp-12, -0x1.51e9359ccbe2bp-12, -0x1.44f9bc4583805p-12, -0x1.388237a259f9bp-12, -0x1.2c7f01a7a753dp-12, -0x1.20ec1fb909453p-12, -0x1.15c5ca3de7b27p-12, -0x1.0b086cd597195p-12, -0x1.00b08ea858555p-12, -0x1.ed757f71fe441p-13, -0x1.da475ff973b11p-13, -0x1.c7d08e85ec9d6p-13, -0x1.b60a5b97e4f1cp-13, -0x1.a4ef162c7c496p-13, -0x1.9478cd0a67995p-13, -0x1.84a1d0bf27e95p-13, -0x1.756496d1f294bp-13, -0x1.66bbcb4e01adp-13, -0x1.58a23a83ced77p-13, -0x1.4b1328d3ddfb7p-13, -0x1.3e090333d9d29p-13, -0x1.317fb23bdf00ep-13, -0x1.25726db3d2d2dp-13, -0x1.19dcd8bbd6408p-13, -0x1.0eba95555b993p-13, -0x1.04078ee29e1fep-13, -0x1.f37f78e5b25efp-14, -0x1.dfbe51f4cfef5p-14, -0x1.ccc42258a0b94p-14, -0x1.ba89f8bb68b8p-14, -0x1.a9081d2cc3ecbp-14, -0x1.98384473ca6cep-14, -0x1.8813ad3bf6e6ap-14, -0x1.7893f5a8e5bb7p-14, -0x1.69b2f18404d8cp-14, -0x1.5b6a7fcfabeap-14, -0x1.4db56960ea809p-14, -0x1.408d3d1aa5ba7p-14, -0x1.33ed2ea20d059p-14, -0x1.27cfe76d16445p-14, -0x1.1c305fb0fc56bp-14, -0x1.1109b75c4338dp-14, -0x1.06572f454434ap-14, -0x1.f828b5dc7d4dcp-15, -0x1.e4795f08103ebp-15, -0x1.d19857d15cb88p-15, -0x1.bf7dd74752dfbp-15, -0x1.ae20fc1f6a5dfp-15, -0x1.9d7ab3ab6c3f8p-15, -0x1.8d83c8d628b9dp-15, -0x1.7e34ddd5c2d2p-15, -0x1.6f875efb4f486p-15, -0x1.6174ba5669f34p-15, -0x1.53f6dbc083006p-15, -0x1.47076a956aee4p-15, -0x1.3aa06f9ede161p-15, -0x1.2ebc378192bdbp-15, -0x1.2355dbf9f89fdp-15, -0x1.18683c01947f2p-15, -0x1.0ded8730015dcp-15, -0x1.03e14d9f916d2p-15, -0x1.f47dcd3b48584p-16, -0x1.e203cc352325cp-16, -0x1.d04b940a1957fp-16, -0x1.bf4de70138f1p-16, -0x1.af002a76a88a1p-16, -0x1.9f5edc869ea0cp-16, -0x1.905f6c1be2a99p-16, -0x1.81fbc70980137p-16, -0x1.742d5a182d89ep-16, -0x1.66ed7c6af7694p-16, -0x1.5a3580299cf2ep-16, -0x1.4dffde10d89a7p-16, -0x1.4246ead853bc9p-16, -0x1.3704e6baf3c0bp-16, -0x1.2c34766bb6db3p-16, -0x1.21d1ed9a62726p-16, -0x1.17d6228ea9f9cp-16, -0x1.0e3dedd2c822fp-16, -0x1.0504233ce2562p-16, -0x1.f84a13e1e6114p-17, -0x1.e738b9354151ep-17, -0x1.d6ccc64568afdp-17, -0x1.c6fd664787e62p-17, -0x1.b7c59b474274ap-17, -0x1.a91c5a653bc46p-17, -0x1.9afb282ef4fbap-17, -0x1.8d61a198e088ap-17, -0x1.804052f6a02fep-17, -0x1.73977e55274a4p-17, -0x1.67609d93f8603p-17, -0x1.5b96acdb57cbp-17, -0x1.5032f92eb880ap-17, -0x1.4533fbebc2418p-17, -0x1.3a91e29493ab1p-17, -0x1.304ab9f0ab7abp-17, -0x1.2659a71dad851p-17, -0x1.1cbb606b185cp-17, -0x1.136ab19578071p-17, -0x1.0a63ee67b6015p-17, -0x1.01a57c8cb4ebdp-17, -0x1.f2558ff99bb45p-18, -0x1.e1e2914697264p-18, -0x1.d1ed831311248p-18, -0x1.c26d7d462f003p-18, -0x1.b3604aea8ce65p-18, -0x1.a4c0dca5d4e04p-18, -0x1.968a53a11c3f9p-18, -0x1.88b488297d205p-18, -0x1.7b3edebd218f5p-18, -0x1.6e226d08f5c27p-18, -0x1.61628e81f6882p-18, -0x1.54f35aaae917cp-18, -0x1.48d319a9d5584p-18, -0x1.3d00d144dfaa3p-18, -0x1.31790185b0d68p-18, -0x1.2635c24b7750bp-18, -0x1.1b3797ce88a85p-18, -0x1.107e120002ef6p-18, -0x1.0602759b28c1ep-18, -0x1.f78125350f601p-19, -0x1.e37c04de42debp-19, -0x1.cfdce2fb23344p-19, -0x1.bcaf08c36274cp-19, -0x1.a9edc5df7898dp-19, -0x1.978d1a238872bp-19, -0x1.858f145f6fe27p-19, -0x1.73f44ff883ba8p-19, -0x1.62af465a38b47p-19, -0x1.51c83d39cd4c9p-19, -0x1.41360490af95ap-19, -0x1.30f8f9331af23p-19, -0x1.210f21bb602c9p-19, -0x1.116ff99bc6b16p-19, -0x1.0223548ce7a08p-19, -0x1.e6447eee246b4p-20, -0x1.c8d88099ed0acp-20, -0x1.abf7c94adc0d3p-20, -0x1.8faadd753f82dp-20, -0x1.73e25e276c445p-20, -0x1.58a4dd10152d2p-20, -0x1.3deb999adbp-20, -0x1.23b4f1f6143e7p-20, -0x1.09ff67400ed42p-20, -0x1.e1902630fa80cp-21, -0x1.b032b25bca797p-21, -0x1.7f8f57894e7d5p-21, -0x1.4fe20f6042bcp-21, -0x1.2167a9e25b723p-21, -0x1.e742e117ba6f3p-22, -0x1.8d92e8a6cfdebp-22, -0x1.35ab03ce88b47p-22, -0x1.bf340120255bbp-23, -0x1.166809249fddep-23, -0x1.c39e3ba64048cp-25, 0x1.8511f0b1ea554p-26, 0x1.9edf535328996p-24, 0x1.6a9a907fb197fp-23, 0x1.01654b83147b6p-22, 0x1.4b722a4ab39a1p-22, 0x1.946b9dfcf5becp-22, 0x1.db67fba210f55p-22, 0x1.10776112dc61fp-21, 0x1.326c469f06e47p-21, 0x1.539a6dd483d07p-21, 0x1.7403cc55cd454p-21, 0x1.938c1be76a9aap-21, 0x1.b299d5ba3432fp-21, 0x1.d09702b619dcfp-21, 0x1.ee06c1c20f9f8p-21, 0x1.054e3f301f031p-20, 0x1.133ed703fe5d5p-20, 0x1.20d0be878c7fbp-20, 0x1.2e06c0ec6c962p-20, 0x1.3add509b7b70bp-20, 0x1.475868dbcdd42p-20, 0x1.537ad8ea0b1cep-20, 0x1.5f40e3e132e26p-20, 0x1.6ab3cf24a9048p-20, 0x1.75b9ed1a59f5fp-20, 0x1.807f8d372bfp-20, 0x1.8ae21c8bbfec5p-20, 0x1.94f1c0428491ap-20, 0x1.9e971d86e59dbp-20, 0x1.a81abb28f1136p-20, 0x1.b118c488446c4p-20, 0x1.b9d4b3fb54fb7p-20, 0x1.c23e038b26a65p-20, 0x1.ca54b93529f98p-20, 0x1.d219c819340e6p-20, 0x1.d98d0f1d7d5dfp-20, 0x1.e0afdb08d58e3p-20, 0x1.e7904466f491fp-20, 0x1.ee07e0a1ff099p-20, 0x1.f450a28b8d7cp-20, 0x1.fa3641a14b8dcp-20, 0x1.ffdff7e486357p-20, 0x1.0298e8567e5dp-19, 0x1.0527a9c7d5241p-19, 0x1.078825f8447b7p-19, 0x1.09c83d2e52391p-19, 0x1.0be4878ae26efp-19, 0x1.0ddd90c1b972fp-19, 0x1.0fb53d1d4b1acp-19, 0x1.11697f0843de7p-19, 0x1.12febda76b963p-19, 0x1.146acaa0b9bp-19, 0x1.15c4e1b62e9c4p-19, 0x1.16fa3deb5a765p-19, 0x1.18001e179563p-19, 0x1.18f942be015c9p-19, 0x1.19cc02f8c8db6p-19, 0x1.1a82c508545efp-19, 0x1.1b1aeb5a7982dp-19, 0x1.1b96a25b311fep-19, 0x1.1bf46fee7fe9ep-19, 0x1.1c35f951ac22ap-19, 0x1.1c5e5c4af62a3p-19, 0x1.1c68089d6a505p-19, 0x1.1c588a46b30bp-19, 0x1.1c33ae244d74bp-19, 0x1.1be5bfb190ca2p-19, 0x1.1b8f655107baap-19, 0x1.1b189fd486984p-19, 0x1.1a8c02e9ab40cp-19, 0x1.19e586c67b4d3p-19, 0x1.191e35839a454p-19, 0x1.185e15f270889p-19, 0x1.176aab67e10ccp-19, 0x1.166b99e53852bp-19, 0x1.1557b991d465ap-19, 0x1.142d3eaf62875p-19, 0x1.12ef48fbdf17cp-19, 0x1.119bc15498161p-19, 0x1.1037a5427708p-19, 0x1.0ebee30f6ed87p-19, 0x1.0d357d5615d88p-19, 0x1.0b944a80ccd5ap-19, 0x1.09ec6e717eeadp-19, 0x1.0829ee169d66p-19, 0x1.065bae95957fap-19, 0x1.047bc280046edp-19, 0x1.028ed660ff595p-19, 0x1.008c892eed522p-19, 0x1.fd026a0e2b202p-20, 0x1.f8cb88ca1370bp-20, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.13b4af5349cfbp-8, 0x1.300acf873a0c1p-8, 0x1.4170ec31a04dcp-8, 0x1.44b69773332bdp-8, 0x1.3707b03b483a2p-8, 0x1.1607786bfdb8cp-8, 0x1.bfc15abdedafp-9, 0x1.269106eb47572p-9, 0x1.7bf99584e993p-11, -0x1.2f0a789b3b0fcp-10, -0x1.bc7af5f4a77a4p-9, -0x1.875493735e413p-8, -0x1.2308a1b72da35p-7, -0x1.8c96cb4f9a3bdp-7, -0x1.ff95f1bf5ef53p-7, -0x1.3d974f30e55a1p-6, -0x1.7f3bf58ec717p-6, -0x1.c440be99a3c9bp-6, -0x1.061562395815cp-5, -0x1.2b3e19b2185afp-5, -0x1.515bf7abf6649p-5, -0x1.7832b7aeeeef1p-5, -0x1.9f8896fa299bdp-5, -0x1.c72585dbca8dbp-5, -0x1.eed35e3d5be41p-5, -0x1.0b2f8ec414134p-4, -0x1.1eccecc98d0cap-4, -0x1.322c4fc2abc0ap-4, -0x1.4539cf80f181p-4, -0x1.57e2e6b418c8bp-4, -0x1.6a1653b54b13bp-4, -0x1.7bc4d8d94265fp-4, -0x1.8ce10e4b5e7bdp-4, -0x1.9d603c57ed53bp-4, -0x1.ad386fe3b2f8cp-4, -0x1.bc60cc958df26p-4, -0x1.cad24cc760119p-4, -0x1.d8875a3d69673p-4, -0x1.e57bb585f1993p-4, -0x1.f1ac5dbbabea3p-4, -0x1.fd1775a22242ap-4, -0x1.03de1ad8472f3p-3, -0x1.08cd6e43e0c01p-3, -0x1.0d5a4e5e8a19dp-3, -0x1.1185c542bd2a2p-3, -0x1.1551465b13cebp-3, -0x1.18be95d0e458ap-3, -0x1.1bcfc8281ff9cp-3, -0x1.1e8732092f8d3p-3, -0x1.20e763d9645d1p-3, -0x1.22f324ac04fb1p-3, -0x1.24ad6b4dc18ep-3, -0x1.261957e4e0405p-3, -0x1.273a270f97424p-3, -0x1.28132800eb51bp-3, -0x1.28a7b40f9a6b4p-3, -0x1.28fb2979bd14fp-3, -0x1.2910e3cda7134p-3, -0x1.28ec3cc29fe3bp-3, -0x1.289085b32d79bp-3, -0x1.28010430105e7p-3, -0x1.2740f0722dea9p-3, -0x1.265372749c145p-3, -0x1.253ba189ac146p-3, -0x1.23fc79f7abd03p-3, -0x1.2298e8d4fd584p-3, -0x1.2113ba0b88b8ap-3, -0x1.1f6f9b3c5a083p-3, -0x1.1daf19f1fbbdfp-3, -0x1.1bd4a15879a7bp-3, -0x1.19e27d4ed87bp-3, -0x1.17dadbc1b06c1p-3, -0x1.15bfd0b36b29bp-3, -0x1.13934eb1a81c7p-3, -0x1.11573baeb1025p-3, -0x1.0f0d5ab10e70dp-3, -0x1.0cb756997308ep-3, -0x1.0a553df79cffp-3, -0x1.07ec081bcb42bp-3, -0x1.057af6c34a172p-3, -0x1.03033d617fa9bp-3, -0x1.0085f5fe4d8d9p-3, -0x1.fc084451ab0dfp-4, -0x1.f6fd557fb1571p-4, -0x1.f1ecc30b45781p-4, -0x1.ecd801e6120a3p-4, -0x1.e7c060ee4c187p-4, -0x1.e2a70451ed62dp-4, -0x1.dd8ce3a08229ep-4, -0x1.d872dd8f2956dp-4, -0x1.d359a6c769e3fp-4, -0x1.ce41d7a0c3807p-4, -0x1.c92be80736379p-4, -0x1.c4183276d0bcbp-4, -0x1.bf0701df44ecp-4, -0x1.b9f8771b1312p-4, -0x1.b4eca7f17d8cep-4, -0x1.afe3917d8919p-4, -0x1.aadd1f7d7ae43p-4, -0x1.a5d92a3f29cf8p-4, -0x1.a0d77b46e5426p-4, -0x1.9bd7ccd25fdebp-4, -0x1.96d9d22510a5cp-4, -0x1.91dd2c1cc9e9ep-4, -0x1.8ce17c30c999bp-4, -0x1.87e65202aed5fp-4, -0x1.82eb408efbfb3p-4, -0x1.7defd7ebc1989p-4, -0x1.78f39ca05fe1ep-4, -0x1.73f617146d676p-4, -0x1.6ef6ce7a2bc92p-4, -0x1.69f54983f55f4p-4, -0x1.64f10be9b3073p-4, -0x1.5fe9a490f926bp-4, -0x1.5ade9cd11a94dp-4, -0x1.55cf7e52baa3dp-4, -0x1.50bbdd1a101e9p-4, -0x1.4ba34deb2f31ep-4, -0x1.46856ad006d34p-4, -0x1.4161d296a0f1cp-4, -0x1.3c3829e6f4815p-4, -0x1.37081fcbb806dp-4, -0x1.31d162a8e892p-4, -0x1.2c93b21d2bf94p-4, -0x1.274ecf6f82767p-4, -0x1.22028755174b4p-4, -0x1.1caeada13c9c6p-4, -0x1.17532266ccff7p-4, -0x1.11efcbbaf572ap-4, -0x1.0c849b35142bep-4, -0x1.07118a6f8411fp-4, -0x1.01969f17643b8p-4, -0x1.f827cbc8bed06p-5, -0x1.ed12ead4df937p-5, -0x1.e1eedda857eb3p-5, -0x1.d6bbf7ad41eaep-5, -0x1.cb7a9d7e2aedfp-5, -0x1.c02b496bd7774p-5, -0x1.b4ce79db0e826p-5, -0x1.a964d55494eaap-5, -0x1.9deef8faa6d15p-5, -0x1.926da4fe0b31ap-5, -0x1.86e19cd6fb143p-5, -0x1.7b4bb38db6028p-5, -0x1.6faccd6d3545bp-5, -0x1.6405d66cafb29p-5, -0x1.5857d30e27a2p-5, -0x1.4ca3c127ef7dbp-5, -0x1.40eab5e508f15p-5, -0x1.352dcead06aa7p-5, -0x1.296e2e049ffb6p-5, -0x1.1dad082dd9d8cp-5, -0x1.11eb9207329f5p-5, -0x1.062b0d348dcfdp-5, -0x1.f4d976620376fp-6, -0x1.dd63dd9fa40d7p-6, -0x1.c5f7ecb5b20afp-6, -0x1.ae98573d88ed9p-6, -0x1.9747d27bf17c8p-6, -0x1.80091bb6878f7p-6, -0x1.68def5f54fc9ep-6, -0x1.51cc27a0dcb1ep-6, -0x1.3ad37a691a93ep-6, -0x1.23f7b64a83cb3p-6, -0x1.0d3ba73da7ec8p-6, -0x1.ed3eeb23bbfbep-7, -0x1.c056301dcfbfep-7, -0x1.93bd8c04c2bddp-7, -0x1.677a7358bf804p-7, -0x1.3b924b965950ep-7, -0x1.100a5fd2d492cp-7, -0x1.c9d022c1666abp-8, -0x1.7460e48c3d844p-8, -0x1.1fd142d0918a6p-8, -0x1.98568738ffc83p-9, -0x1.e5e29ed9dc2c7p-10, -0x1.3e17e975b8492p-11, 0x1.476356e2f8896p-11, 0x1.e23209dfe8d03p-10, 0x1.8e28ee2201ae9p-9, 0x1.147bcb055b9e2p-8, 0x1.60ba3d976667ap-8, 0x1.abc7e7acc6472p-8, 0x1.f59d1a5976383p-8, 0x1.1f1945603a533p-7, 0x1.42c09eb45c265p-7, 0x1.65c143231101p-7, 0x1.88180dc4264c4p-7, 0x1.a9c1efcac1f5fp-7, 0x1.cabc2381f3715p-7, 0x1.eb04055d8bf11p-7, 0x1.054b8a1bcdf2p-6, 0x1.14b9835d36ab8p-6, 0x1.23cadf16b4458p-6, 0x1.327ea4eabd917p-6, 0x1.40d3f1af2defcp-6, 0x1.4ec9ff574d661p-6, 0x1.5c600cbffed56p-6, 0x1.699588af668ebp-6, 0x1.7669e8c5292ep-6, 0x1.82dcb667eb8aep-6, 0x1.8eed9c40b4308p-6, 0x1.9a9c53043681p-6, 0x1.a5e8aade5abcdp-6, 0x1.b0d2896196bafp-6, 0x1.bb59e91e8890cp-6, 0x1.c57ed9618b5ecp-6, 0x1.cf417ed3ede12p-6, 0x1.d8a20d092d0e1p-6, 0x1.e1a0d2e25c2c8p-6, 0x1.ea3e2c4471fcdp-6, 0x1.f27a8a92f85c2p-6, 0x1.fa567093780dp-6, 0x1.00e939930e0d7p-5, 0x1.04779a1524711p-5, 0x1.07d6b4386fad4p-5, 0x1.0b06f073f6a3p-5, 0x1.0e08b4b312afcp-5, 0x1.10dc737142d92p-5, 0x1.1382a8d691702p-5, 0x1.15fbd524ef3ecp-5, 0x1.18487d27bc00dp-5, 0x1.1a69300f59178p-5, 0x1.1c5e80dd0c6d1p-5, 0x1.1e2909509c988p-5, 0x1.1fc96864d2c02p-5, 0x1.2140424decaa2p-5, 0x1.228e3f5743fdep-5, 0x1.23b40e0f0cbc7p-5, 0x1.24b26027851bcp-5, 0x1.2589eb5fe72a7p-5, 0x1.263b6981aca4ap-5, 0x1.26c798038ebe7p-5, 0x1.272f377cb4ef9p-5, 0x1.27730ab5d2a48p-5, 0x1.2793d7de5060ap-5, 0x1.279267107bbb3p-5, 0x1.276f835736c48p-5, 0x1.272bf8fd304ebp-5, 0x1.26c896bc853dep-5, 0x1.2646295f253fdp-5, 0x1.25a582998be0cp-5, 0x1.24e7740a93b5fp-5, 0x1.240cceb8446b9p-5, 0x1.231664e25ab64p-5, 0x1.220508849adc2p-5, 0x1.20d98eca257b5p-5, 0x1.1f94c654a5937p-5, 0x1.1e3781a3ab787p-5, 0x1.1cc2932618d08p-5, 0x1.1b36c88d30746p-5, 0x1.1994f44b85cbbp-5, 0x1.17dde2a6c3c7dp-5, 0x1.16125f36e6283p-5, 0x1.143336f044bdep-5, 0x1.124131834f4e9p-5, 0x1.103d18d9b8d4ep-5, 0x1.0e27b0c13d027p-5, 0x1.0c01bd3a434f4p-5, 0x1.09cc017808ac4p-5, 0x1.07873a19a1abfp-5, 0x1.053425fb6ebeap-5, 0x1.02d37d67c6273p-5, 0x1.0065f9282d127p-5, 0x1.fbd89a403db55p-6, 0x1.f6ce570e5c23cp-6, 0x1.f1ae87bed569cp-6, 0x1.ec7a83a2f2c18p-6, 0x1.e733a0b954fddp-6, 0x1.e1db249b7ba9cp-6, 0x1.dc72579089e2ep-6, 0x1.d6fa7c4e6dfcbp-6, 0x1.d174bff238684p-6, 0x1.cbe2606e0ea6ep-6, 0x1.c64484afd2c05p-6, 0x1.c09c4e73f66a5p-6, 0x1.baeae6dc7b568p-6, 0x1.b53155e600b52p-6, 0x1.af70ba3f713aap-6, 0x1.a9aa07e017bf2p-6, 0x1.a3de56226fa87p-6, 0x1.9e0e98830afa8p-6, 0x1.983bc4c0d9309p-6, 0x1.9266c77f7cf94p-6, 0x1.8c9087e11592bp-6, 0x1.86b9e641ee3a7p-6, 0x1.80e3bb5712e1fp-6, 0x1.7b0edb795e86cp-6, 0x1.753c0d098beffp-6, 0x1.6f6c1a40b4cf1p-6, 0x1.699fbf630c0cp-6, 0x1.63d7b46c09b66p-6, 0x1.5e14aacd0a2d6p-6, 0x1.58574bcfa37fap-6, 0x1.52a04378ea985p-6, 0x1.4cf020cfd7715p-6, 0x1.474786124a405p-6, 0x1.41a7072d073efp-6, 0x1.3c0f26e155e0fp-6, 0x1.368072aba5de1p-6, 0x1.30fb66eded472p-6, 0x1.2b807dd9ddc94p-6, 0x1.26102bd4197c1p-6, 0x1.20aade438de7ap-6, 0x1.1b5103c6d15d4p-6, 0x1.1602fa193f3d1p-6, 0x1.10c120322083fp-6, 0x1.0b8bd4d7f0ea8p-6, 0x1.066366cf29d99p-6, 0x1.014827f05952dp-6, 0x1.f874bdc988c9cp-7, 0x1.ee74a27ebe1f5p-7, 0x1.e49093d5196ecp-7, 0x1.dac8f6337deb3p-7, 0x1.d11e4f05ef82fp-7, 0x1.c790d1ba922bfp-7, 0x1.be21106471558p-7, 0x1.b4cf52da30f0ap-7, 0x1.ab9be3de2dfcep-7, 0x1.a28707516e444p-7, 0x1.9991057662ee7p-7, 0x1.90ba0998f5ab2p-7, 0x1.88024315e4d23p-7, 0x1.7f69f2dcd0b5ap-7, 0x1.76f11de2166c4p-7, 0x1.6e97e5cefd7fdp-7, 0x1.665e692e78204p-7, 0x1.5e44b0d7b181ap-7, 0x1.564ac3f08d685p-7, 0x1.4e70a705a4b79p-7, 0x1.46b656fd1145dp-7, 0x1.3f1bcbc8a1b26p-7, 0x1.37a0f7ae79b41p-7, 0x1.3045c7fe0252fp-7, 0x1.290a25f4b771ap-7, 0x1.21edf57ad09ffp-7, 0x1.1af12d624c79p-7, 0x1.1413635245f0ep-7, 0x1.0d54b3bb6f151p-7, 0x1.06b4dc1c85d58p-7, 0x1.0033aba1f6a4p-7, 0x1.f4c88f8d71c06p-8, 0x1.e8365cf739e7dp-8, 0x1.dbdfd36a72efep-8, 0x1.cfc43140ead75p-8, 0x1.c3e342070d19cp-8, 0x1.b83c6f46ec8d5p-8, 0x1.accf47f871bf2p-8, 0x1.a19b4675bbd9bp-8, 0x1.969fe4321f068p-8, 0x1.8bdc93ecb0a39p-8, 0x1.8150cead00a53p-8, 0x1.76fbffd3a6e05p-8, 0x1.6cdd92b0552c7p-8, 0x1.62f4f2c277155p-8, 0x1.59414e6a467f4p-8, 0x1.4fc2a82542536p-8, 0x1.4677c152f7662p-8, 0x1.3d602e3852f71p-8, 0x1.347b56b0e76e2p-8, 0x1.2bc875ea48b86p-8, 0x1.2346fcc92431bp-8, 0x1.1af63eb1437e5p-8, 0x1.12d58fb8ee588p-8, 0x1.0ae445d9b9e65p-8, 0x1.03218fa5e608ap-8, 0x1.f71a4c1102415p-9, 0x1.e84be6653a387p-9, 0x1.d9d6ac95000aap-9, 0x1.cbb96faa29851p-9, 0x1.bdf33131ffa9fp-9, 0x1.b081d8e5847a8p-9, 0x1.a364324da05a3p-9, 0x1.96993afa9a115p-9, 0x1.8a1f3184117c7p-9, 0x1.7df4d2d2e0f81p-9, 0x1.7218c57b401a9p-9, 0x1.66898d6a9991p-9, 0x1.5b4609c5d4398p-9, 0x1.504c9bcc7da57p-9, 0x1.459c0c261ef78p-9, 0x1.3b32e969c1524p-9, 0x1.31100debc3c2p-9, 0x1.2731eddaf8db3p-9, 0x1.1d974e2519067p-9, 0x1.143ed586e3954p-9, 0x1.0b2762f40924p-9, 0x1.024f5dab334f6p-9, 0x1.f36ba1d3bc2c2p-10, 0x1.e2b24ce563944p-10, 0x1.d270cc7b03a8fp-10, 0x1.c2a436943cc29p-10, 0x1.b34a563475ab2p-10, 0x1.a460ae90c9a1p-10, 0x1.95e4c8b2be416p-10, 0x1.87d451dc4c523p-10, 0x1.7a2cf16a4bcedp-10, 0x1.6cec56ae8c9e3p-10, 0x1.60102efce60e3p-10, 0x1.539597aec3422p-10, 0x1.477c2e222492p-10, 0x1.3bbfdf1a58f27p-10, 0x1.305f1dfc4df87p-10, 0x1.2557bdec34d0fp-10, 0x1.1aa79c73ecc78p-10, 0x1.104cc0d64f451p-10, 0x1.0644a1e36e279p-10, 0x1.f91b4b4dc5b52p-11, 0x1.e64a7590a77fdp-11, 0x1.d414f04b94982p-11, 0x1.c27456f04f6cap-11, 0x1.b1662fc01d444p-11, 0x1.a0e5effddd06bp-11, 0x1.90f002b3420d9p-11, 0x1.81809dc3c03a4p-11, 0x1.72941edca7562p-11, 0x1.6426bdda1c8d8p-11, 0x1.5635776e49e29p-11, 0x1.48bc0efd85b76p-11, 0x1.3bb777cca1df9p-11, 0x1.2f247e00e97acp-11, 0x1.23001c60a48bep-11, 0x1.1745a5ee05ed4p-11, 0x1.0bf38950b4cc4p-11, 0x1.010635b53468ap-11, 0x1.ecf5619032c42p-12, 0x1.d89c5302ec2a4p-12, 0x1.c4fb3fde5733bp-12, 0x1.b20cc38b895d8p-12, 0x1.9fcbc324b1d42p-12, 0x1.8e32ce72d014p-12, 0x1.7d3db246547fdp-12, 0x1.6ce561b48696bp-12, 0x1.5d2734e2a3d0ap-12, 0x1.4dfdacbee241ap-12, 0x1.3f63a09d1f8c8p-12, 0x1.31566f209052dp-12, 0x1.23d044a31436cp-12, 0x1.16cd7537d3415p-12, 0x1.0a49e5e1a3e69p-12, 0x1.fc834cf45e767p-13, 0x1.e5617785ee616p-13, 0x1.cf2644c939a7bp-13, 0x1.b9cc9f28a7fb5p-13, 0x1.a5497d44a23ep-13, 0x1.919b548575e58p-13, 0x1.7eb68a140427ap-13, 0x1.6c97db2b12b6ap-13, 0x1.5b33a7a0ede0cp-13, 0x1.4a8886e85f9fep-13, 0x1.3a8ef4db8e749p-13, 0x1.2b40c9ad36c07p-13, 0x1.1c9813669219ap-13, 0x1.0e8f46b99538ep-13, 0x1.011e9450a723ep-13, 0x1.e88a47ba4c225p-14, 0x1.cff8be4260f4ep-14, 0x1.b87412a8a4337p-14, 0x1.a2037d99581d7p-14, 0x1.8c936f8eb51d1p-14, 0x1.7813fe93a7367p-14, 0x1.64852fb1a518ap-14, 0x1.51dc33baa89cep-14, 0x1.40109be71c59p-14, 0x1.2f1891a742c3p-14, 0x1.1eec90b031fe7p-14, 0x1.0f8503593ff47p-14, 0x1.00da8917feae2p-14, 0x1.e5c5de2d837e1p-15, 0x1.cb32e79f82d0bp-15, 0x1.b1f034d4577cep-15, 0x1.99e35eaf2f1f3p-15, 0x1.8317edef74265p-15, 0x1.6d636e436a0bap-15, 0x1.58cce7c63c4c9p-15, 0x1.45437775104d2p-15, 0x1.32bb0eecc019fp-15, 0x1.2126afd85a61bp-15, 0x1.1086c0646aa5ap-15, 0x1.00bca2cb430cep-15, 0x1.e39bcd17674f2p-16, 0x1.c758cabd44ad4p-16, 0x1.aca068069d4bep-16, 0x1.935cf61fedd67p-16, 0x1.7b7c44d3e1a73p-16, 0x1.64f0c4d0972d9p-16, 0x1.4fa84e4bbef46p-16, 0x1.3b9c143b95b8cp-16, 0x1.28b9159f48a5fp-16, 0x1.16e0f40b13283p-16, 0x1.061bc4abfd2b1p-16, 0x1.eca86098deaa8p-17, 0x1.cefac9ed11dc5p-17, 0x1.b3185851bc588p-17, 0x1.98e7b09240569p-17, 0x1.805446c270f34p-17, 0x1.69422147435fbp-17, 0x1.539b42f8d356dp-17, 0x1.3f6490cf63e33p-17, 0x1.2c69b7314323fp-17, 0x1.1aa5a1be4cfbfp-17, 0x1.0a0817c5b4badp-17, 0x1.f5009ad81f0fdp-18, 0x1.d7629d1ab3265p-18, 0x1.bce7bd53665e5p-18, 0x1.a392b762d8db7p-18, 0x1.8bf5860a906d6p-18, 0x1.75f93809154fdp-18, 0x1.61730eec29d75p-18, 0x1.4e5f3eae2d4dep-18, 0x1.3c40c418669cep-18, 0x1.2c01ea917f122p-18, 0x1.1c90d41e40e75p-18, 0x1.0e3f60c1c45f9p-18, 0x1.00c0f053819dfp-18, 0x1.e87ef822aa899p-19, 0x1.d104f27613cb5p-19, 0x1.bb526e06225c8p-19, 0x1.a6edcac132feap-19, 0x1.93d67ada055d6p-19, 0x1.8391b6cf70983p-19, 0x1.7126e0294e141p-19, 0x1.6151b41d53e27p-19, 0x1.526a7b640036dp-19, 0x1.4455952fc5a2dp-19, 0x1.36ffd4a20f9edp-19, 0x1.2a667727ea966p-19, 0x1.1e06b9e74bc7ep-19, 0x1.12bb4aef258e6p-19, 0x1.07b1a904d6044p-19, 0x1.f9fcc58fb67f3p-20, 0x1.e569d2d93c5bfp-20, 0x1.d162624e6cb93p-20, 0x1.be0327f8565bap-20, 0x1.ab0481cab9659p-20, 0x1.986f81aa55fa8p-20, 0x1.86044bb635811p-20, 0x1.73e8d55654d98p-20, 0x1.620263ea634a7p-20, 0x1.509667c901a72p-20, 0x1.3e27895016326p-20, 0x1.2c635073781c4p-20, 0x1.1a608ca73954fp-20, 0x1.086aa01533872p-20, 0x1.ecf9a601e6edfp-21, 0x1.c867635c21855p-21, 0x1.aa51000107b44p-21, 0x1.7e64547e49ae3p-21, 0x1.58b593e25a4a3p-21, 0x1.329d8baf7307ep-21, 0x1.0c25a1fc4bf48p-21, 0x1.caebdab30018p-22, 0x1.7b81ad940b14ap-22, 0x1.2bd62949b3616p-22, 0x1.a80d339e84c84p-23, 0x1.1376eb79d5fa8p-23, 0x1.b484c08756894p-25, -0x1.d1749fd6ba603p-26, -0x1.c6e1db8dd777dp-24, -0x1.8ffd81f9e7f1dp-23, -0x1.1d85132350c6bp-22, -0x1.7393bcb4a86ccp-22, -0x1.cc424608878cap-22, -0x1.129d371e2de4dp-21, -0x1.3ec22c6f18031p-21, -0x1.6c06ff351e1d2p-21, -0x1.9ac1763556699p-21, -0x1.c5aef1b6a06eep-21, -0x1.f352fb6994389p-21, -0x1.106e85a5bd46ap-20, -0x1.27266d0d95acap-20, -0x1.3e17bbfce24fp-20, -0x1.54f7b4f222febp-20, -0x1.6bcbcade09bf5p-20, -0x1.840c4e8fbe37ap-20, -0x1.99070abec73ep-20, -0x1.aff3f2d1b0177p-20, -0x1.c68712e00239cp-20, -0x1.dd06c271f3437p-20, -0x1.f338091fa8fap-20, -0x1.04a25202b1844p-19, -0x1.0f977d31ed43ep-19, -0x1.1a6cb553e332p-19, -0x1.25293516479d3p-19, -0x1.2fbad4e200ca1p-19, -0x1.3a182a3c9abbcp-19, -0x1.4478bc94f3f1ep-19, -0x1.4ec5d46378805p-19, -0x1.58a041cc9d123p-19, -0x1.62aa6f5b6a315p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.824c20a6da3e1p-5, 0x1.310ab54a2b1abp-5, 0x1.724d1f6983b3ap-6, 0x1.d378f8c2762dcp-9, -0x1.3e2416b52f416p-6, -0x1.774d252988fe3p-5, -0x1.3353de908c7edp-4, -0x1.b4146ef496cbap-4, -0x1.1db8e78c55654p-3, -0x1.6387b11c7ce1bp-3, -0x1.aa59eca68a4cfp-3, -0x1.f12b6c23ed0f3p-3, -0x1.1b89a81be4cb8p-2, -0x1.3da1fad74e3c7p-2, -0x1.5e85da47a38dap-2, -0x1.7de9f9d961adep-2, -0x1.9b906d9d4d4e1p-2, -0x1.b7481649f1c22p-2, -0x1.d0eb115bfe62dp-2, -0x1.e85d42e144522p-2, -0x1.fd8ba42db21c4p-2, -0x1.0835d8ab189a4p-1, -0x1.107d2bf47edep-1, -0x1.179d54e940bf1p-1, -0x1.1d9a6df8f26fdp-1, -0x1.227ace5f6dfedp-1, -0x1.2646bc6115262p-1, -0x1.29080dc7e0fb6p-1, -0x1.2ac9c67224cf6p-1, -0x1.2b97ce3d43962p-1, -0x1.2b7ebd0b64a22p-1, -0x1.2a8bb14bdb8f7p-1, -0x1.28cc25b49170dp-1, -0x1.264dea02aee04p-1, -0x1.231e98e8bf537p-1, -0x1.1f4bb6cfdbecbp-1, -0x1.1ae29e152a2c8p-1, -0x1.15f0609eea7b5p-1, -0x1.1081b4fb9b74cp-1, -0x1.0aa2e6ac5f8dep-1, -0x1.045fcab680b01p-1, -0x1.fb876eeea38bcp-2, -0x1.edb2fe4fffd5fp-2, -0x1.df56d8125d3dap-2, -0x1.d0867c0c9302ap-2, -0x1.c15453c363e65p-2, -0x1.b1d1b1235e7dep-2, -0x1.a20ed112d90f8p-2, -0x1.921adf557d541p-2, -0x1.8203fdba72c5ap-2, -0x1.71d74cbdcc08cp-2, -0x1.61a0f3f4bb2fp-2, -0x1.516c29f4339bap-2, -0x1.41433bb36772cp-2, -0x1.312f950b92131p-2, -0x1.2139ca9823c5dp-2, -0x1.1169a4d639532p-2, -0x1.01c62aa3200cep-2, -0x1.e4ab5b580c785p-3, -0x1.c63ba6e5d6b18p-3, -0x1.a847408ddac6dp-3, -0x1.8ad7030284c8ep-3, -0x1.6df2afb26a323p-3, -0x1.51a10348d8616p-3, -0x1.35e7c6a3c47c3p-3, -0x1.1acbe3bc5ace5p-3, -0x1.00517200d7fbp-3, -0x1.ccf78e51a0717p-4, -0x1.9a9b0ba326bbp-4, -0x1.6991593ae2d2fp-4, -0x1.39dd4a705087dp-4, -0x1.0b80a632eea1fp-4, -0x1.bcf883eb7dff2p-5, -0x1.65a032c4d113ep-5, -0x1.10f6c715b2769p-5, -0x1.7df28e5392568p-6, -0x1.be8dbff59e569p-7, -0x1.17084794303d6p-8, 0x1.3975d81fe5ccep-8, 0x1.baacc75902f5ep-7, 0x1.6739da0948594p-6, 0x1.ec1a7259d8b7ap-6, 0x1.360608734a0b5p-5, 0x1.7391de38dfe7fp-5, 0x1.aebbbc828e9e7p-5, 0x1.e78f12f0f5be4p-5, 0x1.0f0bd711912f5p-4, 0x1.2930d4e07ce88p-4, 0x1.423cb111f0504p-4, 0x1.5a35b3cc17825p-4, 0x1.7122391d85decp-4, 0x1.8708ab97e1547p-4, 0x1.9bef7e36ed751p-4, 0x1.afdd28d43e8ffp-4, 0x1.c2d820b8d35b9p-4, 0x1.d4e6d7b7ea2f8p-4, 0x1.e60fb4d5179cfp-4, 0x1.f659120fe8d88p-4, 0x1.02e49c4ce8b24p-3, 0x1.0a332ef1dafccp-3, 0x1.111b5086e7cdcp-3, 0x1.17a0047fb58fcp-3, 0x1.1dc440d84b7f9p-3, 0x1.238aee739191cp-3, 0x1.28f6e78f1d93ap-3, 0x1.2e0af8137ec2dp-3, 0x1.32c9dd27200c3p-3, 0x1.373645572b65bp-3, 0x1.3b52d0468119ep-3, 0x1.3f220f14f100ap-3, 0x1.42a684657d256p-3, 0x1.45e2a487399bep-3, 0x1.48d8d585fbe25p-3, 0x1.4b8b6fa01955p-3, 0x1.4dfcbd1345b7p-3, 0x1.502efa353d07dp-3, 0x1.522455c72179dp-3, 0x1.53def0cc1f962p-3, 0x1.5560de6c5939dp-3, 0x1.56ac24387b7fep-3, 0x1.57c2b9f738199p-3, 0x1.58a689a6a8ab6p-3, 0x1.59596f7d256c9p-3, 0x1.59dd3a565697ap-3, 0x1.5a33ab2f8aaa6p-3, 0x1.5a5e75d424b66p-3, 0x1.5a5f40d4a8fedp-3, 0x1.5a37a5d9fd066p-3, 0x1.59e931efe820ep-3, 0x1.597565c9edf0dp-3, 0x1.58ddb5ffe48dfp-3, 0x1.58238c359fc7ep-3, 0x1.574845ed9c4b1p-3, 0x1.564d36672d184p-3, 0x1.5533a66b72ae2p-3, 0x1.53fcd4a6420c7p-3, 0x1.52a9f6294ee87p-3, 0x1.513c36cc5fdb4p-3, 0x1.4fb4b94d80522p-3, 0x1.4e14984886bb5p-3, 0x1.4c5ce5998b512p-3, 0x1.4a8eabb18668cp-3, 0x1.48aaed0f39ba7p-3, 0x1.46b2a4c049f0bp-3, 0x1.44a6c6ee24cbfp-3, 0x1.428840b38a0afp-3, 0x1.4057f87361c8cp-3, 0x1.3e16ce02f19b5p-3, 0x1.3bc59ad7a55eep-3, 0x1.3965322af0176p-3, 0x1.36f66103ab834p-3, 0x1.3479eea109f2ap-3, 0x1.31f09c431f9fcp-3, 0x1.2f5b2597cac81p-3, 0x1.2cba40488f0ccp-3, 0x1.2a0e9d4801db6p-3, 0x1.2758e724175e6p-3, 0x1.2499c48fc394ap-3, 0x1.21d1d5d257b3ep-3, 0x1.1f01b6ec2788ep-3, 0x1.1c29fee48cd2bp-3, 0x1.194b4005a2641p-3, 0x1.166608115e7fap-3, 0x1.137ae04ed5418p-3, 0x1.108a4dc32de81p-3, 0x1.0d964f9164c3ap-3, 0x1.0a9c5cfcf64ccp-3, 0x1.079e6fe222565p-3, 0x1.049cfdda87f2p-3, 0x1.019878f2f203dp-3, 0x1.fd229f277c339p-4, 0x1.f70fda8f7befbp-4, 0x1.f0f9734168c79p-4, 0x1.eae032e3e1a02p-4, 0x1.e4c4dcf81b286p-4, 0x1.dea82e9fd0366p-4, 0x1.d88adf53c861ep-4, 0x1.d26da0dfd9e98p-4, 0x1.cc511f9b3fc57p-4, 0x1.c6360201168b9p-4, 0x1.c01ce9e0fe987p-4, 0x1.ba067378cd9b7p-4, 0x1.b3f33610218a3p-4, 0x1.ade3c4051025p-4, 0x1.a7d8aace44cd7p-4, 0x1.a1d27327fc5f2p-4, 0x1.9bd1a11d1adf4p-4, 0x1.95d6b40d6583cp-4, 0x1.8fe22766a872dp-4, 0x1.89f4715e0f5c3p-4, 0x1.840e042c46744p-4, 0x1.7e2f4dfc86d06p-4, 0x1.7858b89ca45b2p-4, 0x1.728aa9a4755d5p-4, 0x1.6cc5835f5057ap-4, 0x1.6709a27950158p-4, 0x1.615761e836595p-4, 0x1.5baf16b9ccbdp-4, 0x1.561114099d69bp-4, 0x1.507da86025091p-4, 0x1.4af51e71f390cp-4, 0x1.4577be31df049p-4, 0x1.4005cb9c462b1p-4, 0x1.3a9f877123716p-4, 0x1.35452f1ef71bcp-4, 0x1.2ff6fce0143a7p-4, 0x1.2ab527aea002ep-4, 0x1.257fe34b331bp-4, 0x1.2057615bca79dp-4, 0x1.1b3bcefc8b4b2p-4, 0x1.162d57bff9a1dp-4, 0x1.112c239c5688cp-4, 0x1.0c3858276c327p-4, 0x1.075217df498c5p-4, 0x1.02798384428cdp-4, 0x1.fb5d6f0014401p-5, 0x1.f1e3a0596faafp-5, 0x1.e885ca6b00c08p-5, 0x1.df4419d6f420bp-5, 0x1.d61eb68249f77p-5, 0x1.cd15c38d62fecp-5, 0x1.c4295f32ca30ep-5, 0x1.bb59a3a4c365fp-5, 0x1.b2a6a73a483a2p-5, 0x1.aa107b86b0dfep-5, 0x1.a1972e9074b1p-5, 0x1.993aca140bc8bp-5, 0x1.90fb545f1f67p-5, 0x1.88d8cfb939b48p-5, 0x1.80d33afa4992dp-5, 0x1.78ea9111afa8ep-5, 0x1.711eca508befp-5, 0x1.696fdb02f80b7p-5, 0x1.61ddb4806978ap-5, 0x1.5a68452e93bp-5, 0x1.530f7803c4b8dp-5, 0x1.4bd33500566bcp-5, 0x1.44b3628448264p-5, 0x1.3dafe2e7f0d1fp-5, 0x1.36c895fa6a5a6p-5, 0x1.2ffd595ab750dp-5, 0x1.294e0860d8479p-5, 0x1.22ba7b2a6d182p-5, 0x1.1c4288d5bc908p-5, 0x1.15e605624733cp-5, 0x1.0fa4c2f7cd45ep-5, 0x1.097e9243d5c2ep-5, 0x1.037340f2392fdp-5, 0x1.fb0536b8917a5p-6, 0x1.ef58da0987878p-6, 0x1.e3e0fc0ebe0c4p-6, 0x1.d89d2cb0cae89p-6, 0x1.cd8cf78829d9cp-6, 0x1.c2afe562c9a83p-6, 0x1.b8057cb61d11bp-6, 0x1.ad8d41442ab2ap-6, 0x1.a346b454dd9bbp-6, 0x1.993155988b7fdp-6, 0x1.8f4ca15c0ca58p-6, 0x1.8598134dbe39ep-6, 0x1.7c132417a3512p-6, 0x1.72bd4bd21c3aap-6, 0x1.6996002311fadp-6, 0x1.609cb5d3ddb49p-6, 0x1.57d0e01658fd8p-6, 0x1.4f31f1060336bp-6, 0x1.46bf59eb28a24p-6, 0x1.3e788ab1da297p-6, 0x1.365cf36aa2a43p-6, 0x1.2e6c018c4143p-6, 0x1.26a523a5e0974p-6, 0x1.1f07c90570833p-6, 0x1.1793591189bb6p-6, 0x1.1047465e723f7p-6, 0x1.0922fb89d114cp-6, 0x1.0225e45118a01p-6, 0x1.f69edf93ff14fp-7, 0x1.e93e0f0d86a4p-7, 0x1.dc2835f72750fp-7, 0x1.cf5c2414ec778p-7, 0x1.c2d8bdfbddff7p-7, 0x1.b69cdb72689e9p-7, 0x1.aaa75835471d5p-7, 0x1.9ef711b9a9bbfp-7, 0x1.938ae6592d28p-7, 0x1.8861b4f56f1b2p-7, 0x1.7d7a5f547d982p-7, 0x1.72d3c83573878p-7, 0x1.686cd28cc4fc4p-7, 0x1.5e4465b10f65bp-7, 0x1.545968a5796f7p-7, 0x1.4aaac591d3022p-7, 0x1.4137682c31049p-7, 0x1.37fe3e7834dbp-7, 0x1.2efe39ae22d7ap-7, 0x1.2636494b1d48dp-7, 0x1.1da5660fb5202p-7, 0x1.154a852ccdaffp-7, 0x1.0d24a05f3b8fcp-7, 0x1.0532b518cd03ap-7, 0x1.fae7830b31db3p-8, 0x1.ebcd8fd5baefbp-8, 0x1.dd1599809ffebp-8, 0x1.cebdacf72f296p-8, 0x1.c0c3e2dfbd6fdp-8, 0x1.b32650e351fa7p-8, 0x1.a5e3163f8f98ep-8, 0x1.98f85d0a71afdp-8, 0x1.8c644cee90577p-8, 0x1.802517df478c3p-8, 0x1.7438f7544979fp-8, 0x1.689e254b911ecp-8, 0x1.5d52e946b79c7p-8, 0x1.52558d93ddb1bp-8, 0x1.47a4615499c87p-8, 0x1.3d3db305ae60bp-8, 0x1.331fe8288a054p-8, 0x1.294960b3d8543p-8, 0x1.1fb884cd06e1fp-8, 0x1.166bc2da8d63fp-8, 0x1.0d619100952b7p-8, 0x1.049868f68d714p-8, 0x1.f81d9974d8a31p-9, 0x1.e7868b7c11643p-9, 0x1.d768bd9a2769ep-9, 0x1.c7c1592effce8p-9, 0x1.b88d937816b64p-9, 0x1.a9caa9b33d83ap-9, 0x1.9b75eab1af3f3p-9, 0x1.8d8cab7fd246ep-9, 0x1.800c510d0f847p-9, 0x1.72f24b0669dddp-9, 0x1.663c16d6edb11p-9, 0x1.59e739fa9da1cp-9, 0x1.4df14732c0959p-9, 0x1.4257dd54963bfp-9, 0x1.3718b1a7b28dap-9, 0x1.2c3157bc3412fp-9, 0x1.219fad0b58804p-9, 0x1.17617ee4aee83p-9, 0x1.0d74982a7e5dbp-9, 0x1.0434382d7b642p-9, 0x1.f5c0c207032dcp-10, 0x1.e3af06974d798p-10, 0x1.d22f28e47aba7p-10, 0x1.c13d563f02718p-10, 0x1.b0d5c40f869eap-10, 0x1.a0f4c0566f17ap-10, 0x1.9196a8544a2b6p-10, 0x1.82b7f0a82bc63p-10, 0x1.74551fae1177fp-10, 0x1.666ad33f9e6c4p-10, 0x1.58f5b49f6f9bep-10, 0x1.4bf289f034e7p-10, 0x1.3f5e2579aad69p-10, 0x1.333552a6fbc7dp-10, 0x1.2775559a28c81p-10, 0x1.1c1aec42b2d14p-10, 0x1.11234af2c310ep-10, 0x1.068bbbb58f141p-10, 0x1.f8a2428f79c17p-11, 0x1.e4e244b9579dap-11, 0x1.d1d1fb37c3edbp-11, 0x1.bf6c45b4518b1p-11, 0x1.adac1fb35838ep-11, 0x1.9c8c8b9d1cda9p-11, 0x1.8c08fa07f99e2p-11, 0x1.7c1c88b0f3718p-11, 0x1.6cc28a30b416cp-11, 0x1.5df7102af356p-11, 0x1.4fb566f3f92fdp-11, 0x1.41f95179c56f9p-11, 0x1.34bebecc806d3p-11, 0x1.2801b872991f1p-11, 0x1.1bbe4788a2129p-11, 0x1.0ff0a0978e3c4p-11, 0x1.049510a5bb1bcp-11, 0x1.f34fddb280645p-12, 0x1.de4b780f88ae3p-12, 0x1.ca160cdc329acp-12, 0x1.b6a8f4602c4d4p-12, 0x1.a3fdab3b9a7e9p-12, 0x1.920de2015c6cdp-12, 0x1.80d365a82d736p-12, 0x1.70483ec07eafep-12, 0x1.60667bb5d67bep-12, 0x1.5128bb8be1818p-12, 0x1.42893b26dcp-12, 0x1.3482a28e5a436p-12, 0x1.270fc08933d2cp-12, 0x1.1a2b9f40455f1p-12, 0x1.0dd13cfade59dp-12, 0x1.01fbd533b18a4p-12, 0x1.ed4d82c3804fbp-13, 0x1.d79b0749b7d48p-13, 0x1.c2d77629595b3p-13, 0x1.aefa4ae78ef22p-13, 0x1.9bfb4a1db3d5ap-13, 0x1.89d26acc9ae6dp-13, 0x1.7877953260588p-13, 0x1.67e41916b8f7ap-13, 0x1.580fd940de6e7p-13, 0x1.48f3ef10613afp-13, 0x1.3a8984397e62bp-13, 0x1.2cc9e180076e8p-13, 0x1.1fae97dee6be6p-13, 0x1.13313366db8e6p-13, 0x1.074bbe62bc5adp-13, 0x1.f7efdd640e091p-14, 0x1.e262498587cacp-14, 0x1.cde1371856671p-14, 0x1.ba62b822c6a75p-14, 0x1.a7dc82c7619d2p-14, 0x1.9644566728d39p-14, 0x1.85907b9a8d19cp-14, 0x1.75b77e130f406p-14, 0x1.66b031c88ccc1p-14, 0x1.5871d0500fdd8p-14, 0x1.4af3c2a82351ep-14, 0x1.3e2d9bcb6ffe1p-14, 0x1.3217906acc685p-14, 0x1.26ab00e566c8bp-14, 0x1.1bdd45941df8p-14, 0x1.11aa6e67017a2p-14, 0x1.080a7ae95da25p-14, 0x1.fded97eaadadp-15, 0x1.ecd1f86696b2p-15, 0x1.dcb5be9910277p-15, 0x1.cd8cf3d3807f6p-15, 0x1.bf4c6b12436dcp-15, 0x1.b1e909cb758c7p-15, 0x1.a55ae7aa72e1p-15, 0x1.998f7f1dc1408p-15, 0x1.8e857f30029b8p-15, 0x1.8430c13c5b5a9p-15, 0x1.7a87bbfc72486p-15, 0x1.7183bb801776ap-15, 0x1.691a30ffa0c87p-15, 0x1.6143d9a10b2d5p-15, 0x1.59f90285f500cp-15, 0x1.533255233a629p-15, 0x1.4ce8cb24cbf4dp-15, 0x1.4714c7f6e0878p-15, 0x1.41b18641ca39dp-15, 0x1.3cb5b31e42735p-15, 0x1.3820779067781p-15, 0x1.33e734ae9182ap-15, 0x1.3005c78e65be9p-15, 0x1.2c779cec5d3fep-15, 0x1.2936e47ac94cep-15, 0x1.263eee577a07ap-15, 0x1.238b0a14a6f7ep-15, 0x1.2116d32bc9411p-15, 0x1.1ede045cedb18p-15, 0x1.1cd91e944ecb7p-15, 0x1.1b0dbd4361069p-15, 0x1.196f787f115a1p-15, 0x1.17fb6ab59cad5p-15, 0x1.16b30db23c663p-15, 0x1.158e91923d9bdp-15, 0x1.148bc2d01c4c4p-15, 0x1.13a893b41646p-15, 0x1.12e286e47780cp-15, 0x1.12356fcf03a7p-15, 0x1.11a01dcb07509p-15, 0x1.111f780eccdap-15, 0x1.10b188bfc8a09p-15, 0x1.1053ae3adab17p-15, 0x1.1004c185d6111p-15, 0x1.0fc22615bf496p-15, 0x1.0f8981b34711bp-15, 0x1.0f59e802ee587p-15, 0x1.0f34eca55ee2p-15, 0x1.0f0e8cc390e08p-15, 0x1.0eefdb871264p-15, 0x1.0ed3f707b2ef8p-15, 0x1.0eb941b00a1cep-15, 0x1.0e9f9941c2098p-15, 0x1.0e8473c765594p-15, 0x1.0e6759aa6ae3ep-15, 0x1.0e47828e79abfp-15, 0x1.0e23db7bab5d9p-15, 0x1.0dfb538f3c7ep-15, 0x1.0dcde25ab46f8p-15, 0x1.0d99f33821f78p-15, 0x1.0d5efc77b9741p-15, 0x1.0d1c741fe9542p-15, 0x1.0cd2c4ad3ed55p-15, 0x1.0c7faef215006p-15, 0x1.0c23d73c5d39p-15, 0x1.0bbedb938e29p-15, 0x1.0b4fea48a1273p-15, 0x1.0ad6b1491f9f7p-15, 0x1.0a5324a4ee0b2p-15, 0x1.09c4d47abcf84p-15, 0x1.092ba3d49a657p-15, 0x1.0887517703f37p-15, 0x1.07d70b6e09d54p-15, 0x1.071c842453b45p-15, 0x1.0655c509cd772p-15, 0x1.058368b9e4aa7p-15, 0x1.04a568ef754f3p-15, 0x1.03bb7b1fe672cp-15, 0x1.02c35cabae633p-15, 0x1.01c55f77f9557p-15, 0x1.00b846973a47bp-15, 0x1.ff402bcf2c816p-16, 0x1.fcf7c3a6d904dp-16, 0x1.fa986149af4cfp-16, 0x1.f823951bdec26p-16, 0x1.f58ef4d6fdd27p-16, 0x1.f2f58fed10eadp-16, 0x1.f03d1b6964fccp-16, 0x1.ed6f2a841a064p-16, 0x1.ea8c2f136e92bp-16, 0x1.e793cfff2151ap-16, 0x1.e4888c57df5aep-16, 0x1.e166f5c85ac63p-16, 0x1.de325f9aea9edp-16, 0x1.daeab4341512p-16, 0x1.d793b8c391872p-16, 0x1.d422a8f8da56ep-16, 0x1.d0a353cd1b236p-16, 0x1.cd12d723bb964p-16, 0x1.c970ebd529626p-16, 0x1.c5bed44707853p-16, 0x1.c1fce2960443bp-16, 0x1.be2853e8bd7f6p-16, 0x1.ba493d5992711p-16, 0x1.b659e54aed841p-16, 0x1.b25b494a91d6dp-16, 0x1.ae50883e43e17p-16, 0x1.aa37e9cea932dp-16, 0x1.a6136f432d8abp-16, 0x1.a1e2af3ee1333p-16, 0x1.9da65d0c92151p-16, 0x1.995f52de1aabcp-16, 0x1.950d09c0b321cp-16, 0x1.90b198269b96bp-16, 0x1.8c52e143d6712p-16, 0x1.87de3282ad2bfp-16, 0x1.8367bbb089ad2p-16, 0x1.7ee8c0a941b28p-16, 0x1.7a62a98891999p-16, 0x1.75d6555738528p-16, 0x1.71423eafdb4bp-16, 0x1.6cae6b70033e7p-16, 0x1.68097c8cc15eep-16, 0x1.636515a71d35bp-16, 0x1.5ebcf5151beaep-16, 0x1.5a0f019207dd4p-16, 0x1.555ec9d6885f6p-16, 0x1.50aa54565a04ep-16, 0x1.4bf3166d4683bp-16, 0x1.47381d825829fp-16, 0x1.427e69366e821p-16, 0x1.3dc0f3e7d7783p-16, 0x1.390296d8f8e33p-16, 0x1.34433ff89eef8p-16, 0x1.2f82759a53d91p-16, 0x1.2ac3e13ec0078p-16, 0x1.2604d1cfc18e8p-16, 0x1.2145a33a17818p-16, 0x1.1c877357d19d8p-16, 0x1.17cb91172632cp-16, 0x1.130f7b7b3d4c1p-16, 0x1.0e57cb95fc0bep-16, 0x1.09a1ffa605513p-16, 0x1.04ee7df8b90d2p-16, 0x1.003ddd7e8b82bp-16, 0x1.f720f5111ff59p-17, 0x1.edce85ec5c84ep-17, 0x1.e482aeac26449p-17, 0x1.db3f6b4d415f3p-17, 0x1.d1fe0382a70edp-17, 0x1.c8d5fda0a6717p-17, 0x1.bfad4c87e631cp-17, 0x1.b68fbf73724dfp-17, 0x1.ad7d3f775f3a4p-17, 0x1.a4771b0366c1cp-17, 0x1.9b7c87fbcb995p-17, 0x1.928da9f44e9e1p-17, 0x1.89abbed7df5efp-17, 0x1.80d6960d54d99p-17, 0x1.7814140055761p-17, 0x1.6f564331f5acbp-17, 0x1.66aa1892e523ep-17, 0x1.5e0229eda0b15p-17, 0x1.557ded86ecdc8p-17, 0x1.4cfc27da4c6c6p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.187d60a2d306p-2, 0x1.8cf219d5c9ae9p-3, 0x1.cba06151c8be3p-4, 0x1.06c85741137f5p-5, -0x1.6b1192268e3a7p-5, -0x1.d87c6047138b7p-4, -0x1.708439282c2b7p-3, -0x1.e64beab200dbbp-3, -0x1.26847343cf87cp-2, -0x1.526191049fc8ap-2, -0x1.76f9ac1db621ap-2, -0x1.94b1369f82744p-2, -0x1.ac0914d2277aep-2, -0x1.bd938359485e9p-2, -0x1.c9eb7a00f6c9p-2, -0x1.d1ae91d4de789p-2, -0x1.d578695ab53e8p-2, -0x1.d5ded3b8f7a72p-2, -0x1.d36f225541e65p-2, -0x1.ceac71f6ac055p-2, -0x1.c80ea45dc67f4p-2, -0x1.c001f2a7cf59cp-2, -0x1.b6e6fea45aa1p-2, -0x1.ad13256514bcdp-2, -0x1.a2d0e6abded43p-2, -0x1.9860657b22a4ep-2, -0x1.8df81291ca5dbp-2, -0x1.83c582bb45dbep-2, -0x1.79ee5266f240cp-2, -0x1.7090f42e35117p-2, -0x1.67c566fd49696p-2, -0x1.5f9de2440d65ap-2, -0x1.582780d358cd7p-2, -0x1.516ac40f4c3d5p-2, -0x1.4b6ca1fcb8d94p-2, -0x1.462ecd4e251d7p-2, -0x1.41b02b2d5c3e9p-2, -0x1.3ded514008cbbp-2, -0x1.3ae0edd6aedb2p-2, -0x1.3884254c04cc7p-2, -0x1.36cee35084482p-2, -0x1.35b822439a119p-2, -0x1.3536290ed49a1p-2, -0x1.353ec1716332ep-2, -0x1.35c766f2a8a49p-2, -0x1.36c56f106dc2dp-2, -0x1.382e2c095f865p-2, -0x1.39f709ea2526cp-2, -0x1.3c15a664f2526p-2, -0x1.3e7fe374ba6a5p-2, -0x1.412bf5f7ed772p-2, -0x1.441071c01645dp-2, -0x1.472453cd1741bp-2, -0x1.4a5f0a893379bp-2, -0x1.4db87ba0a6909p-2, -0x1.512907301ae2fp-2, -0x1.54a988b3b0deep-2, -0x1.5833569e58c0bp-2, -0x1.5bc040a91ebcdp-2, -0x1.5f4a8e4cba5aap-2, -0x1.62ccfbe475e51p-2, -0x1.6642b761ab342p-2, -0x1.69a75c2b3ada1p-2, -0x1.6cf6ee8792b5ap-2, -0x1.702dd6914063dp-2, -0x1.7348dbb7b18e6p-2, -0x1.76451fc338a6bp-2, -0x1.79201a3efbb7cp-2, -0x1.7bd793a8e3dacp-2, -0x1.7e69a0804a7e4p-2, -0x1.80d49c0b31f2dp-2, -0x1.83172333c69b9p-2, -0x1.85300f847f32p-2, -0x1.871e722318927p-2, -0x1.88e19085f64e6p-2, -0x1.8a78dfb1e2998p-2, -0x1.8be4015caa84dp-2, -0x1.8d23f9c60f9bdp-2, -0x1.8e35d1144f835p-2, -0x1.8f1b5540e46b2p-2, -0x1.8fd4bdfc4f91p-2, -0x1.90625fb595656p-2, -0x1.90c4a8cff69a8p-2, -0x1.90fc1f29dec46p-2, -0x1.91095dc988af5p-2, -0x1.90ed1283e714dp-2, -0x1.90a7fc4d153dfp-2, -0x1.903ae8ee2d2efp-2, -0x1.8fa6b33b829fep-2, -0x1.8eec41ef60c64p-2, -0x1.8e0c8595b719cp-2, -0x1.8d087744e17f2p-2, -0x1.8be1174e0a3eap-2, -0x1.8a976bb6dcfeep-2, -0x1.892c7fdb39e46p-2, -0x1.87a161c3ee651p-2, -0x1.85f72299f3d19p-2, -0x1.842ed4fbcff68p-2, -0x1.82498c3d4dbc3p-2, -0x1.80485b78a3fd8p-2, -0x1.7e2c54f151eafp-2, -0x1.7bf6893c539ecp-2, -0x1.79a8072351b59p-2, -0x1.7741da3844e55p-2, -0x1.74c50b64f3cbap-2, -0x1.72329f954460ep-2, -0x1.6f8b985af013bp-2, -0x1.6cd0f3453e3cfp-2, -0x1.6a03a93a676ddp-2, -0x1.6724af1a68cd8p-2, -0x1.6434f51f826f6p-2, -0x1.613566fcbc03bp-2, -0x1.5e26eb77dfec2p-2, -0x1.5b0a650ff8b3bp-2, -0x1.57e0b103a20c9p-2, -0x1.54aaa77d2309cp-2, -0x1.51691c18e21cep-2, -0x1.4e1cdd299d8eep-2, -0x1.4ac6b3fb9cb37p-2, -0x1.476764a2ccdcap-2, -0x1.43ffadfa591f1p-2, -0x1.409049f5c18a4p-2, -0x1.3d19eca623d38p-2, -0x1.399d457a8d5a4p-2, -0x1.361afe4edec63p-2, -0x1.3293bbda5741ap-2, -0x1.2f081d7abb34cp-2, -0x1.2b78bdac9afeap-2, -0x1.27e63176143f6p-2, -0x1.245109090b479p-2, -0x1.20b9cfb1baa3p-2, -0x1.1d210b4cd5368p-2, -0x1.19873dd10e8bp-2, -0x1.15ece3e2dfd13p-2, -0x1.125275d248596p-2, -0x1.0eb8677309db3p-2, -0x1.0b1f2844e12aap-2, -0x1.078723b96745ep-2, -0x1.03f0c09b80ebep-2, -0x1.005c62c975fbp-2, -0x1.f994d23742eb1p-3, -0x1.f2765f47b36f8p-3, -0x1.eb5e1c7518b94p-3, -0x1.e44cb266ac222p-3, -0x1.dd42c35ce8cb3p-3, -0x1.d640ea2e31d27p-3, -0x1.cf47bcda268dcp-3, -0x1.c857c863c8151p-3, -0x1.c1719551954bcp-3, -0x1.ba95a5a6ec68bp-3, -0x1.b3c47515cbb44p-3, -0x1.acfe7a398f80fp-3, -0x1.a644255c09fa2p-3, -0x1.9f95e1c29411cp-3, -0x1.98f414271c6ecp-3, -0x1.925f1dded06cbp-3, -0x1.8bd759b5df3c2p-3, -0x1.855d1c7ee92d2p-3, -0x1.7ef0b92b1e586p-3, -0x1.78927b8241f4p-3, -0x1.7242ab6c2ef58p-3, -0x1.6c018c1f3c625p-3, -0x1.65cf5c9f93a1ep-3, -0x1.5fac5782a4e51p-3, -0x1.5998b36a31143p-3, -0x1.5395513c4ddeap-3, -0x1.4da104c4e7b98p-3, -0x1.47bca255247eap-3, -0x1.41e8515aad68ep-3, -0x1.3c2435d22b7ap-3, -0x1.36706ffd1a792p-3, -0x1.30cd1e602afe6p-3, -0x1.2b3a5a114c553p-3, -0x1.25b83aa9c5639p-3, -0x1.2046d4ba21762p-3, -0x1.1ae639877c64fp-3, -0x1.159677f853e3cp-3, -0x1.10579c2dca4fp-3, -0x1.0b29b0007bc2p-3, -0x1.060cba5110c19p-3, -0x1.0100c032a84dap-3, -0x1.f80b884b2238ep-4, -0x1.ee378cf49392bp-4, -0x1.e4858b576364bp-4, -0x1.daf57b535c9e8p-4, -0x1.d18751a2ad78bp-4, -0x1.c83afec0c4103p-4, -0x1.bf106f5457249p-4, -0x1.b6078e4d01262p-4, -0x1.ad20400cf40e1p-4, -0x1.a45a682fd4bb4p-4, -0x1.9bb5e5f49e0ffp-4, -0x1.9332961db5b76p-4, -0x1.8ad0520a244eep-4, -0x1.828ef1c5157b4p-4, -0x1.7a6e4756cc963p-4, -0x1.726e25e6eef7ep-4, -0x1.6a8e5c415ba06p-4, -0x1.62ceb700334b2p-4, -0x1.5b2f00ee56148p-4, -0x1.53af019198303p-4, -0x1.4c4e7ffa458d7p-4, -0x1.450d403627a8p-4, -0x1.3deb04ae94d4ep-4, -0x1.36e78e0e59359p-4, -0x1.30029b6793229p-4, -0x1.293be9f9ccdf2p-4, -0x1.22933532c8512p-4, -0x1.1c083963bd816p-4, -0x1.159aadb3d47eep-4, -0x1.0f4a4b307b869p-4, -0x1.0916c81c9d06p-4, -0x1.02ffda6230445p-4, -0x1.fa0a6db10f8fp-5, -0x1.ee4d20d6efe9p-5, -0x1.e2c73408ce41ap-5, -0x1.d7780e74c3b62p-5, -0x1.cc5f0ffa40e1dp-5, -0x1.c17b9aa2f285cp-5, -0x1.b6cd0ec11b51ap-5, -0x1.ac52cb9430eafp-5, -0x1.a20c2edf82c02p-5, -0x1.97f89576d9fb2p-5, -0x1.8e175d4aa18d5p-5, -0x1.8467e0c96c29bp-5, -0x1.7ae97ca67b301p-5, -0x1.719b8ad29403bp-5, -0x1.687d66fb7ba39p-5, -0x1.5f8e6b087a51cp-5, -0x1.56cdf19489c53p-5, -0x1.4e3b5450b408bp-5, -0x1.45d5eea84b2a7p-5, -0x1.3d9d1a752285cp-5, -0x1.3590325b75d67p-5, -0x1.2dae9223fe1d3p-5, -0x1.25f794627c207p-5, -0x1.1e6a942b54852p-5, -0x1.1706f054d39e1p-5, -0x1.0fcc04962127bp-5, -0x1.08b92db6a42f6p-5, -0x1.01cdca410bff3p-5, -0x1.f61274915f0a1p-6, -0x1.e8d5b667071afp-6, -0x1.dbe4202086e8p-6, -0x1.cf3c736278befp-6, -0x1.c2dd7505ff42p-6, -0x1.b6c5ed987a058p-6, -0x1.aaf4a563ad6c9p-6, -0x1.9f6867311bf4fp-6, -0x1.94200423b4165p-6, -0x1.891a49a8eaad8p-6, -0x1.7e560b50677cbp-6, -0x1.73d21ed4e7821p-6, -0x1.698d5c2586ba6p-6, -0x1.5f869dac0fcp-6, -0x1.55bcc1772a663p-6, -0x1.4c2ea647f61c6p-6, -0x1.42db32f487314p-6, -0x1.39c1495debf9ep-6, -0x1.30dfd48907d77p-6, -0x1.2835bfecf1911p-6, -0x1.1fc1faf7fd417p-6, -0x1.17837797c57dbp-6, -0x1.0f792b06384dep-6, -0x1.07a20d4d46352p-6, -0x1.fffa36a69e683p-7, -0x1.f112a5a14840bp-7, -0x1.e28b6bd3bc4c3p-7, -0x1.d46295affe9a9p-7, -0x1.c6963208de853p-7, -0x1.b92459b677b39p-7, -0x1.ac0b31bd9f6fdp-7, -0x1.9f48ca2a9525ap-7, -0x1.92db637bd6a88p-7, -0x1.86c12955e8311p-7, -0x1.7af851dad58fbp-7, -0x1.6f7f248624c02p-7, -0x1.6453dfd4e49f7p-7, -0x1.5974d72ca8276p-7, -0x1.4ee051375787ap-7, -0x1.4494b5ca47b91p-7, -0x1.3a90606b5ee41p-7, -0x1.30d1ba0e4607cp-7, -0x1.27572f67ecd09p-7, -0x1.1e1f35fa965b4p-7, -0x1.152846f6bccb5p-7, -0x1.0c70e5e3b9c35p-7, -0x1.03f79aaa7bc7dp-7, -0x1.f775e5c413d26p-8, -0x1.e7730952659acp-8, -0x1.d7e3d2668c6aap-8, -0x1.c8c587703b607p-8, -0x1.ba15771889b62p-8, -0x1.abd0fe2ee75d8p-8, -0x1.9df58431b8bd5p-8, -0x1.90807a022147bp-8, -0x1.836f69936affp-8, -0x1.76bfd6dec0577p-8, -0x1.6a6f5d522e4dfp-8, -0x1.5e7ba156138cbp-8, -0x1.52e252062f02ap-8, -0x1.47a12a4d73464p-8, -0x1.3cb5f2193799p-8, -0x1.321e79b093ff1p-8, -0x1.27d8a2b245ffcp-8, -0x1.1de2513dc93d8p-8, -0x1.143975de8aacbp-8, -0x1.0adc150381503p-8, -0x1.01c83255756dbp-8, -0x1.f1f7d08781912p-9, -0x1.e0ea817995eedp-9, -0x1.d064ea103e77dp-9, -0x1.c0635e58f0278p-9, -0x1.b0e266f0bcb2p-9, -0x1.a1de79c539b5ap-9, -0x1.935435ae9f153p-9, -0x1.854050f1b03f9p-9, -0x1.779f8cf427847p-9, -0x1.6a6ebfb1012f2p-9, -0x1.5daacfbb24db1p-9, -0x1.5150b1c66897fp-9, -0x1.455d75ed4772ep-9, -0x1.39ce38fd04f1bp-9, -0x1.2ea0223e2e44fp-9, -0x1.23d074a04d84ep-9, -0x1.195c7c943f5ebp-9, -0x1.0f419742d29dap-9, -0x1.057d30af65ecap-9, -0x1.f8199b3ad1762p-10, -0x1.e5dbe35a921ap-10, -0x1.d43c7990cf442p-10, -0x1.c336b8a604866p-10, -0x1.b2c60eee1a196p-10, -0x1.a2e60838ab152p-10, -0x1.9392543660f8bp-10, -0x1.84c6b7a14931ap-10, -0x1.767f224d28f7fp-10, -0x1.68b76651c3bb7p-10, -0x1.5b6babe541126p-10, -0x1.4e985461d2916p-10, -0x1.42396abeda068p-10, -0x1.36a26f0068211p-10, -0x1.2b1ea1ee774f2p-10, -0x1.2004a9e71ea32p-10, -0x1.155146ef1731dp-10, -0x1.0b0106c8f0138p-10, -0x1.0110dd8727247p-10, -0x1.eefb6df42afcp-11, -0x1.dc89258f2d18ap-11, -0x1.cac5170ceb9ffp-11, -0x1.b9a99e172b3aep-11, -0x1.a93131926cb06p-11, -0x1.99567947805bp-11, -0x1.8a144c03a364cp-11, -0x1.7b659a075e4b5p-11, -0x1.6d4557271b808p-11, -0x1.5faf1247ea0bbp-11, -0x1.529dd7b053269p-11, -0x1.460d3e9c8ac74p-11, -0x1.39f95bbf51f4dp-11, -0x1.2e5c8ba0d9b48p-11, -0x1.23340c18c772dp-11, -0x1.187b677248d3dp-11, -0x1.0e2ebbeadbaa6p-11, -0x1.044a3f4bda13fp-11, -0x1.f594990c59603p-12, -0x1.e3567841adad2p-12, -0x1.d1d366d37c50dp-12, -0x1.c1040ff9a18p-12, -0x1.b0e3af07694b9p-12, -0x1.a16a1a7a08d81p-12, -0x1.9291f1dd5e53ep-12, -0x1.84555ca38e7p-12, -0x1.76ae482821501p-12, -0x1.69976e6772121p-12, -0x1.5d0b5e786ec2ep-12, -0x1.5104cc58fabap-12, -0x1.457ed97c9bb53p-12, -0x1.3a743a28f8214p-12, -0x1.2fe08cd610c92p-12, -0x1.25bf172f23735p-12, -0x1.1c0b83791f7ecp-12, -0x1.12c15b893ed37p-12, -0x1.09dc9c0d80177p-12, -0x1.015934f32d6eap-12, -0x1.f2662da7d6688p-13, -0x1.e2cdaaa2398e8p-13, -0x1.d3e161565a251p-13, -0x1.c599bfa4adb9bp-13, -0x1.b7f091b8b939ap-13, -0x1.aadf47f636936p-13, -0x1.9e5f890ebba3ep-13, -0x1.926b093de42e7p-13, -0x1.86fbf67f5a04dp-13, -0x1.7c0cb922587eep-13, -0x1.7197b89b83edcp-13, -0x1.6797bba16f774p-13, -0x1.5e07a5ef3cf31p-13, -0x1.54e28dbbcaea2p-13, -0x1.4c23f156bc231p-13, -0x1.43c6530434022p-13, -0x1.3bc66346effdep-13, -0x1.341f59975ea03p-13, -0x1.2ccd4ac4f48f7p-13, -0x1.25cc3601f177fp-13, -0x1.1f18386c9345ep-13, -0x1.18adf3901740ep-13, -0x1.1289b2353093dp-13, -0x1.0ca7fdaa46ec1p-13, -0x1.07061ab456434p-13, -0x1.01a0657f0a4d6p-13, -0x1.f8e73ea6c5f31p-14, -0x1.eefb0fde66d28p-14, -0x1.e5762aeae48f8p-14, -0x1.dc53574496c26p-14, -0x1.d38d7fa6555f7p-14, -0x1.cb1fd5634a066p-14, -0x1.c30552004cbep-14, -0x1.bb3981e4e6d4fp-14, -0x1.b3b91ccf70d2ap-14, -0x1.ac7e7eb394becp-14, -0x1.a587f53e08cc3p-14, -0x1.9ecdc7620bb84p-14, -0x1.985026a7e73afp-14, -0x1.920a5a9960c77p-14, -0x1.8bf92fadf44e9p-14, -0x1.8619617e7c5bap-14, -0x1.806851827f47ep-14, -0x1.7ae2ee9a84bd8p-14, -0x1.75869eeb4e1ddp-14, -0x1.7050e6324a2c2p-14, -0x1.6b41a8591fa76p-14, -0x1.664eeb3dadff7p-14, -0x1.617e248bbe12p-14, -0x1.5ccaff85b0fb4p-14, -0x1.58337764e5072p-14, -0x1.53b61d37f7a8fp-14, -0x1.4f5062017a32dp-14, -0x1.4b00c61b9c4abp-14, -0x1.46c5c4662202ep-14, -0x1.429de52a1d5aep-14, -0x1.3e87f6c512a5ap-14, -0x1.3a81f906b94b4p-14, -0x1.368b639096676p-14, -0x1.32a1ee7ff626cp-14, -0x1.2ec72017d1797p-14, -0x1.2af728cb262a2p-14, -0x1.273108d6ab7d2p-14, -0x1.2376d28f977b9p-14, -0x1.1fc485837894ep-14, -0x1.1c1a78ec6bdd5p-14, -0x1.1877d5d84d82dp-14, -0x1.14dc02bdf797ep-14, -0x1.1146502e6a94ep-14, -0x1.0db36a8d1d5a8p-14, -0x1.0a2b15599796dp-14, -0x1.06a3f60baf247p-14, -0x1.0320a19bb21cap-14, -0x1.ff43d70f1925dp-15, -0x1.f849cf96872f7p-15, -0x1.f156fe344b07fp-15, -0x1.ea6885f3b524p-15, -0x1.e37fb9f03a739p-15, -0x1.dc97e08b926a8p-15, -0x1.d5b54c1a6ad45p-15, -0x1.ced4ad7605231p-15, -0x1.c7f6963a9cc79p-15, -0x1.c1197a0b28b2ap-15, -0x1.ba40698059e39p-15, -0x1.b3688b8db8636p-15, -0x1.ac8ff7a7b6009p-15, -0x1.a5bb6087273d5p-15, -0x1.9eec37d320c55p-15, -0x1.981166efeee59p-15, -0x1.913e9168e1627p-15, -0x1.8a6cc42ec00a6p-15, -0x1.839b4eb542fb7p-15, -0x1.7ccd340c1a55ap-15, -0x1.75fce9ba1b9ep-15, -0x1.6f30053fd4b2dp-15, -0x1.6863f28812ca1p-15, -0x1.6199a396d1a92p-15, -0x1.5acfd9372846fp-15, -0x1.54092bca96e2dp-15, -0x1.4d4435e40d39dp-15, -0x1.4680f181e9981p-15, -0x1.3fc0400739359p-15, -0x1.390336fb86df9p-15, -0x1.324706d613f7bp-15, -0x1.2b8ffa950feb4p-15, -0x1.24dc3126dcc11p-15, -0x1.1e2bc4989c28ap-15, -0x1.177f10520eb74p-15, -0x1.10d6cacf91f0dp-15, -0x1.0a3301f087bd4p-15, -0x1.03942082bb564p-15, -0x1.f9f540aa5c415p-16, -0x1.eccab720519a6p-16, -0x1.dfaf3ce332773p-16, -0x1.d29e884071ac8p-16, -0x1.c59984cc32c8ep-16, -0x1.b8a2cc8d83766p-16, -0x1.abb83adbab6adp-16, -0x1.9edbd9e5540bbp-16, -0x1.921458e77c9b8p-16, -0x1.855796c15125ep-16, -0x1.78ad96a578e95p-16, -0x1.6c11ac6e98a73p-16, -0x1.5f876258fb1fap-16, -0x1.5311fd3b38fbdp-16, -0x1.469fab7127b4fp-16, -0x1.3a5d1c06e464dp-16, -0x1.2e1efdb5b2d32p-16, -0x1.21f46dcbf412cp-16, -0x1.15e182aa89c86p-16, -0x1.09e15afb2e7b7p-16, -0x1.fbf9146b9b1f1p-17, -0x1.e44d729f41b98p-17, -0x1.ccd4e131f04cap-17, -0x1.b58cdda35ae38p-17, -0x1.9e68f9ee7369dp-17, -0x1.87878d1263f54p-17, -0x1.70ce743f0b539p-17, -0x1.5a49b98e2e543p-17, -0x1.43f5587354de9p-17, -0x1.2dd6d4ae76a54p-17, -0x1.17ecaf7b2bbf3p-17, -0x1.0230595b693c3p-17, -0x1.d96941320d1p-18, -0x1.aed912f9f0dfdp-18, -0x1.84acb641c4fedp-18, -0x1.5afcc8d33c773p-18, -0x1.31b698e37d64bp-18, -0x1.08e8495f9506ap-18, -0x1.c116bb46eb57bp-19, -0x1.7141785252c46p-19, -0x1.2263032b79ef7p-19, -0x1.a8be218f0c2c2p-20, -0x1.0ea0679cc395fp-20, -0x1.dd1539ad16b06p-22, 0x1.fde37f663ed6p-24, 0x1.68916bd2c8296p-21, 0x1.46d78a104bdcfp-20, 0x1.d7705a906c136p-20, 0x1.330072761b4ccp-19, 0x1.79681f20dc6f3p-19, 0x1.bed369a33b6eep-19, 0x1.0199af6799dc6p-18, 0x1.2351880bc4b8fp-18, 0x1.44822fe806c3cp-18, 0x1.654690835c776p-18, 0x1.857f0211603b1p-18, 0x1.a53f22b2c51c5p-18, 0x1.c48259407cf83p-18, 0x1.e331210fb5416p-18, 0x1.00c29c31dbf87p-17, 0x1.0fa4e7ad6c8aep-17, 0x1.1e4722b3fd031p-17, 0x1.2caae59d7fc04p-17, 0x1.3ad39eee611bap-17, 0x1.48b28de98baa6p-17, 0x1.56590a148b10cp-17, 0x1.63bed0864817dp-17, 0x1.70e83eaa56291p-17, 0x1.7dcf900625efep-17, 0x1.8a7f856e47edcp-17, 0x1.96de127d557d5p-17, 0x1.a31347263213cp-17, 0x1.af013178d0bf7p-17, 0x1.bab302e6b92b9p-17, 0x1.c6272dfa54519p-17, 0x1.d15b85cc01949p-17, 0x1.dc5502cb7b73p-17, 0x1.e71166f320b04p-17, 0x1.f193f000a78e8p-17, 0x1.fbd12085dd5aep-17, 0x1.02ed569ec9c57p-16, 0x1.07d3bfe374892p-16, 0x1.0c9e2ce228eaap-16, 0x1.1146f05d8ecd9p-16, 0x1.15d46f72d1c1p-16, 0x1.1a450e2589bcep-16, 0x1.1e9893ae31bp-16, 0x1.22cf6292f3143p-16, 0x1.26e2eb91f005cp-16, 0x1.2ae6e2bf6e69cp-16, 0x1.2ec95fbf7151cp-16, 0x1.329a6447625a7p-16, 0x1.363a6732d8adap-16, 0x1.39cb9c114c7b3p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.1d380dc8554f7p-1, -0x1.19f7396242dbbp-1, -0x1.16742ddd409c4p-1, -0x1.12b2066b2190cp-1, -0x1.0eb3f5e7518b4p-1, -0x1.0a7d4041cdf8bp-1, -0x1.061134dfca489p-1, -0x1.017329ea06624p-1, -0x1.f94cf0e5da04bp-2, -0x1.ef5cf2abd0a8bp-2, -0x1.e51d055af1e62p-2, -0x1.da93cb7aa2456p-2, -0x1.cfc7da6068145p-2, -0x1.c4bfb71b0c23dp-2, -0x1.b981d39f53247p-2, -0x1.ae148c13707abp-2, -0x1.a27e24211f1e4p-2, -0x1.96c4c43ffaf4dp-2, -0x1.8aee76f24432bp-2, -0x1.7f0125f514339p-2, -0x1.7302976a6459p-2, -0x1.66f86b0716182p-2, -0x1.5ae8175174c14p-2, -0x1.4ed6e6fdc7dccp-2, -0x1.42c9f676865e3p-2, -0x1.36c6319cdf096p-2, -0x1.2ad051ccc9908p-2, -0x1.1eecdc2dc974p-2, -0x1.132020575a0d2p-2, -0x1.076e374d7c93ep-2, -0x1.f7b605af0ccbfp-3, -0x1.e0d45a620c718p-3, -0x1.ca3e5224ca79bp-3, -0x1.b3fa641a4b18fp-3, -0x1.9e0e9a6bfbbbep-3, -0x1.8880942ba0266p-3, -0x1.735587b31581p-3, -0x1.5e924570b2babp-3, -0x1.4a3b3b0e68479p-3, -0x1.365476e17d888p-3, -0x1.22e1ab9123018p-3, -0x1.0fe633e2b33cfp-3, -0x1.faca2d37164adp-4, -0x1.d6c214d33405ap-4, -0x1.b3b8f38a96d7cp-4, -0x1.91b30d8208a0bp-4, -0x1.70b41d7837632p-4, -0x1.50bf5be1c4d3bp-4, -0x1.31d785ae110f3p-4, -0x1.13fee2aa8dcap-4, -0x1.ee6e96fafc206p-5, -0x1.b7045e67d5e78p-5, -0x1.81c130c24d8a9p-5, -0x1.4ea663a12d033p-5, -0x1.1db49598f8129p-5, -0x1.ddd76bf8f907dp-6, -0x1.849617b86ce46p-6, -0x1.2fa278a56a436p-6, -0x1.bdf140b7dc5e6p-7, -0x1.2526e41bc0ca1p-7, -0x1.29b2aec9d43fp-8, -0x1.9f3b96a879ae1p-12, 0x1.ca21d1854db6ap-9, 0x1.d381418a2f1c2p-8, 0x1.58c3bc9b7efa2p-7, 0x1.bfa8dead78f77p-7, 0x1.0f448a159ccc7p-6, 0x1.3abfaa4b6016cp-6, 0x1.62543ad0e6911p-6, 0x1.86118f68cf66p-6, 0x1.a607de603c6ep-6, 0x1.c24839eda3becp-6, 0x1.dae4893f9524cp-6, 0x1.efef8130654dep-6, 0x1.00be4e4b3210cp-5, 0x1.07d00a157b659p-5, 0x1.0d376b02b3a64p-5, 0x1.10ff3e544d006p-5, 0x1.1332a2d27d10bp-5, 0x1.13dd03e8ea4f6p-5, 0x1.130a14919a25bp-5, 0x1.10c5ca1159cf7p-5, 0x1.0d1c568996a26p-5, 0x1.081a236424f83p-5, 0x1.01cbcb9de5321p-5, 0x1.f47c2beb3fbb4p-6, 0x1.e2fbde096f553p-6, 0x1.cf30c68eeddf3p-6, 0x1.b9353235e0e63p-6, 0x1.a123956cc4c26p-6, 0x1.8716804c29154p-6, 0x1.6b28929b1a455p-6, 0x1.4d746fedb55f6p-6, 0x1.2e14b3e8f27e2p-6, 0x1.0d23e6b65ecbfp-6, 0x1.d578e363bd895p-7, 0x1.8df128b6039dep-7, 0x1.43e4b325c8e3p-7, 0x1.ef0e34bb5deb2p-8, 0x1.5216c79d938b9p-8, 0x1.628fbd545db4fp-9, 0x1.a0992baa83808p-13, -0x1.34a178bec8f42p-9, -0x1.4458abbdf8516p-8, -0x1.f0b4d2b7924aap-8, -0x1.4f8478e6dbde4p-7, -0x1.a77d6beb6b165p-7, -0x1.000c9ef3aaa78p-6, -0x1.2c96852964fe7p-6, -0x1.59478bc309dafp-6, -0x1.860b704ec661dp-6, -0x1.b2ce8f2e4d65cp-6, -0x1.df7de788ed50bp-6, -0x1.06038f5fd98c3p-5, -0x1.1c2c41b2c747fp-5, -0x1.323087deec08fp-5, -0x1.480835e1f382ep-5, -0x1.5dab775f6655cp-5, -0x1.7312d032494ddp-5, -0x1.88371cc84b0d8p-5, -0x1.9d11924871498p-5, -0x1.b19bbe8749be1p-5, -0x1.c5cf87cac1fcp-5, -0x1.d9a72c5fca394p-5, -0x1.ed1d42040e04cp-5, -0x1.00165a92ff4edp-4, -0x1.096863fec2008p-4, -0x1.128288bfd3d2ep-4, -0x1.1b62be17c72b3p-4, -0x1.240722678900ep-4, -0x1.2c6dfc78a8798p-4, -0x1.3495bab8bc5e8p-4, -0x1.3c7cf26809bffp-4, -0x1.44225ebc864cdp-4, -0x1.4b84dffa4f7fdp-4, -0x1.52a37a82a613cp-4, -0x1.597d55da7681cp-4, -0x1.6011bba972babp-4, -0x1.666016b2b419bp-4, -0x1.6c67f1c7d8553p-4, -0x1.7228f6b78179cp-4, -0x1.77a2ed3817ffdp-4, -0x1.7cd5b9cfa460cp-4, -0x1.81c15cb98c97fp-4, -0x1.8665f0caf712ap-4, -0x1.8ac3aa568e973p-4, -0x1.8edad61050e7bp-4, -0x1.92abd7f2134bep-4, -0x1.96372a2153c5cp-4, -0x1.997d5bd6eb992p-4, -0x1.9c7f104929e6cp-4, -0x1.9f3cfd98d9c61p-4, -0x1.a1b7ebc19f591p-4, -0x1.a3f0b38e28f06p-4, -0x1.a5e83d908ce8bp-4, -0x1.a79f811f339b7p-4, -0x1.a91783569d13fp-4, -0x1.aa51562061889p-4, -0x1.ab4e173f91895p-4, -0x1.ac0eef62cc179p-4, -0x1.ac95113c413p-4, -0x1.ace1b89fb5e37p-4, -0x1.acf629a6d05c3p-4, -0x1.acd3afdbc2afap-4, -0x1.ac7b9d6a6ede6p-4, -0x1.abef4a581e678p-4, -0x1.ab3013c1d9bdfp-4, -0x1.aa3f5b2174be1p-4, -0x1.a91e85995c72dp-4, -0x1.a7cefb4714929p-4, -0x1.a652269c764ccp-4, -0x1.a4a973bfaea43p-4, -0x1.a2d64ff1e0318p-4, -0x1.a0da28fc76602p-4, -0x1.9eb66ca501af8p-4, -0x1.9c6c8827a4025p-4, -0x1.99fde7b7eb8e4p-4, -0x1.976bf607f66d1p-4, -0x1.94b81bd5f472ap-4, -0x1.91e3bf7fb2216p-4, -0x1.8ef0449c3c0cbp-4, -0x1.8bdf0b9b6776ep-4, -0x1.88b1716b2431ep-4, -0x1.8568cf2278738p-4, -0x1.820679b200c89p-4, -0x1.7e8bc199d2e93p-4, -0x1.7af9f2a49f5bfp-4, -0x1.775253a7ea544p-4, -0x1.739626493760fp-4, -0x1.6fc6a6c803da3p-4, -0x1.6be50bcc64c9p-4, -0x1.67f2863a26539p-4, -0x1.63f0410842489p-4, -0x1.5fdf611c898cep-4, -0x1.5bc1052b56b9ap-4, -0x1.5796459b2525dp-4, -0x1.5360346be6b6bp-4, -0x1.4f1fdd21ed88bp-4, -0x1.4ad644b44aa96p-4, -0x1.4684697e74aaap-4, -0x1.422b433517fa8p-4, -0x1.3dcbc2dde7a91p-4, -0x1.3966d2ca4c4c2p-4, -0x1.34fd5694cf0fdp-4, -0x1.30902b211b1e2p-4, -0x1.2c20269e76c41p-4, -0x1.27ae188c909bbp-4, -0x1.233ac9c281999p-4, -0x1.1ec6fc77e28f5p-4, -0x1.1a536c4fd8fecp-4, -0x1.15e0ce65f9fc8p-4, -0x1.116fd15ce6d0bp-4, -0x1.0d011d6e87e3p-4, -0x1.0895547dc918ap-4, -0x1.042d1229bc5fcp-4, -0x1.ff91d7c4138dfp-5, -0x1.f6d2e1f923b93p-5, -0x1.ee1e559859644p-5, -0x1.e5753970d74f5p-5, -0x1.dcd888ac8fa98p-5, -0x1.d4493303503eap-5, -0x1.cbc81cef5314fp-5, -0x1.c3561fe32a4f6p-5, -0x1.baf40a80dfed2p-5, -0x1.b2a2a0d22690fp-5, -0x1.aa629c81776dp-5, -0x1.a234ad13f861ap-5, -0x1.9a1978240d1b9p-5, -0x1.9211999c721d5p-5, -0x1.8a1da3f3c4dc1p-5, -0x1.823e20685ee4cp-5, -0x1.7a738f3c6243bp-5, -0x1.72be67f1ea293p-5, -0x1.6b1f19873917fp-5, -0x1.63960ab2dac3p-5, -0x1.5c239a1f9c67p-5, -0x1.54c81ea848f92p-5, -0x1.4d83e7931abedp-5, -0x1.46573cccc7eb2p-5, -0x1.3f425f23211aep-5, -0x1.3845887f3181cp-5, -0x1.3160ec1ecaf68p-5, -0x1.2a94b6cd7a5a4p-5, -0x1.23e10f1cd1b52p-5, -0x1.1d46159bfc119p-5, -0x1.16c3e50e9466bp-5, -0x1.105a92a2b39bfp-5, -0x1.0a0a2e262c7f9p-5, -0x1.03d2c23aec8a1p-5, -0x1.fb68a914fb20fp-6, -0x1.ef5dcbf13f313p-6, -0x1.e384e5a9e5719p-6, -0x1.d7dde61764d48p-6, -0x1.cc68b4aaee19bp-6, -0x1.c12530cbf6fdep-6, -0x1.b6133233d0643p-6, -0x1.ab32894733112p-6, -0x1.a082ff6dc9ffcp-6, -0x1.96045767b3fcfp-6, -0x1.8bb64da0f6324p-6, -0x1.81989882e3da3p-6, -0x1.77aae8c377988p-6, -0x1.6dece9b2a0936p-6, -0x1.645e41857fc8cp-6, -0x1.5afe919f9ec51p-6, -0x1.51cd76da18b2fp-6, -0x1.48ca89c8c6a6bp-6, -0x1.3ff55efd61124p-6, -0x1.374d8748a9631p-6, -0x1.2ed28ff99b13cp-6, -0x1.2684031aa703cp-6, -0x1.1e6167ad0185ap-6, -0x1.166a41e20a2e3p-6, -0x1.0e9e1352d3b94p-6, -0x1.06fc5b35cc041p-6, -0x1.ff092d252a02dp-7, -0x1.f06c80e822ee5p-7, -0x1.e221a4315beefp-7, -0x1.d4278641cd939p-7, -0x1.c67d13784560fp-7, -0x1.b92135a7b9d33p-7, -0x1.ac12d46a4c527p-7, -0x1.9f50d5712bc2cp-7, -0x1.92da1cd134825p-7, -0x1.86ad8d4c986b9p-7, -0x1.7aca089968dbdp-7, -0x1.6f2e6fa547b57p-7, -0x1.63d9a2d626072p-7, -0x1.58ca82483bf9ep-7, -0x1.4dffee094ae8fp-7, -0x1.4378c65125d75p-7, -0x1.3933ebb7ac2b3p-7, -0x1.2f303f683c50ap-7, -0x1.256ca352abeb2p-7, -0x1.1be7fa59df0d8p-7, -0x1.12a128800998cp-7, -0x1.09971310b143dp-7, -0x1.00c8a0c87c213p-7, -0x1.f06973f5bfc95p-8, -0x1.dfb4916b811a7p-8, -0x1.cf7071c61f847p-8, -0x1.bf9af0d0f9deap-8, -0x1.b031ee8a8a13bp-8, -0x1.a1334f5c65377p-8, -0x1.929cfc4fbb1ccp-8, -0x1.846ce33e71d9ap-8, -0x1.76a0f700fba04p-8, -0x1.69372f99059adp-8, -0x1.5c2d8a59191f8p-8, -0x1.4f820a094f0a8p-8, -0x1.4332b7092c9c6p-8, -0x1.373d9f6ec9a93p-8, -0x1.2ba0d723533e2p-8, -0x1.205a77fd0d5bep-8, -0x1.1568a1d6e418fp-8, -0x1.0ac97aa5aa4a8p-8, -0x1.007b2e8b1c803p-8, -0x1.ecf7dfcd792efp-9, -0x1.d993eec94265ep-9, -0x1.c6c708149635dp-9, -0x1.b48db68330e5cp-9, -0x1.a2e491c3d4a15p-9, -0x1.91c83e6f1e91bp-9, -0x1.81356e1311ca4p-9, -0x1.7128df3b7dc0ap-9, -0x1.619f5d775fd67p-9, -0x1.5295c15b6f3eep-9, -0x1.4408f081e933fp-9, -0x1.35f5dd87c965p-9, -0x1.285988078be3fp-9, -0x1.1b30fc9196f8p-9, -0x1.0e7954a26cec1p-9, -0x1.022fb696c70f9p-9, -0x1.eca2ab3b5e9d1p-10, -0x1.d5b6e351768e9p-10, -0x1.bf96aeb4ffe72p-10, -0x1.aa3cbfe6af927p-10, -0x1.95a3e2793252fp-10, -0x1.81c6fae49662p-10, -0x1.6ea10656f9e19p-10, -0x1.5c2d1a8296e34p-10, -0x1.4a66656960d0cp-10, -0x1.39482d265dfcbp-10, -0x1.28cdcfb4dce41p-10, -0x1.18f2c2b5ba0a2p-10, -0x1.09b29332cab2bp-10, -0x1.f611cac13d9f1p-11, -0x1.d9e2e8bd5fefcp-11, -0x1.bed023ec5186ep-11, -0x1.a4d14caeb7e6ap-11, -0x1.8bde5fac197b3p-11, -0x1.73ef85494ac7p-11, -0x1.5cfd111cedbe3p-11, -0x1.46ff81623753ep-11, -0x1.31ef7e6a2e917p-11, -0x1.1dc5da0b976e4p-11, -0x1.0a7b8f11b22aap-11, -0x1.f01381540254cp-12, -0x1.ccd373a274eefp-12, -0x1.ab29d97f2050ep-12, -0x1.8b09e4a8e7639p-12, -0x1.6c671303f0545p-12, -0x1.4f352d6ff151p-12, -0x1.3368469e3f1e4p-12, -0x1.18f4b9e7e1885p-12, -0x1.ff9e5447cdc1fp-13, -0x1.cfd900fc5a10bp-13, -0x1.a283d69dacff9p-13, -0x1.7789b9e53cd44p-13, -0x1.4ed615486c847p-13, -0x1.2854d6adc2252p-13, -0x1.03f26d24dcd05p-13, -0x1.c3378d43185cdp-14, -0x1.827c9b7472fp-14, -0x1.458fced413c1bp-14, -0x1.0c4de1adb6c8p-14, -0x1.ad28f46dc2ca1p-15, -0x1.48844c57eaa13p-15, -0x1.d4d959d9c30edp-16, -0x1.25456b72f6de3p-16, -0x1.03a2eddf877fdp-17, 0x1.5fa80d0d88986p-20, 0x1.45266095c113ep-17, 0x1.246a13ef919bdp-16, 0x1.9bed809319c75p-16, 0x1.04c459d66a82p-15, 0x1.36d1f1b4956c4p-15, 0x1.64522746215ccp-15, 0x1.8d76261268ef2p-15, 0x1.b26dad87312cep-15, 0x1.d36718a139649p-15, 0x1.f08f657bfc353p-15, 0x1.05091e6430a8p-14, 0x1.100cfc951b40ep-14, 0x1.1967d73e1d589p-14, 0x1.212d987d50fa9p-14, 0x1.27718e29f78d3p-14, 0x1.2c466d5007901p-14, 0x1.2fbe559ed30e6p-14, 0x1.31ead4cac0a3dp-14, 0x1.32dce9e216e6ap-14, 0x1.32a50894d6f8fp-14, 0x1.31531c6faac1ap-14, 0x1.2ef68c09ec349p-14, 0x1.2b9e3c26cb12p-14, 0x1.275892c999c2p-14, 0x1.22337a3d4fe45p-14, 0x1.1c3c640f4aaf1p-14, 0x1.15804bfd5c3a2p-14, 0x1.0e0bbad73b017p-14, 0x1.05eac95360934p-14, 0x1.fa5245aed7e4cp-15, 0x1.e7a410683af2fp-15, 0x1.d3e0a4a9ff0a9p-15, 0x1.bf1ce9c7a984dp-15, 0x1.a96d01bfc7cb4p-15, 0x1.92e44e52712cfp-15, 0x1.7b9575ffeaf05p-15, 0x1.639268efa226ep-15, 0x1.4aec65bfb3d38p-15, 0x1.31b3fe3d3bf44p-15, 0x1.17f91c05a4b8fp-15, 0x1.fb960a2269e52p-16, 0x1.c670c04e2d535p-16, 0x1.909e72762eda8p-16, 0x1.5a3a0b6aba2a1p-16, 0x1.235d5148aa6fep-16, 0x1.d841db6459dc5p-17, 0x1.6938ebba044d6p-17, 0x1.f399c9daa1016p-18, 0x1.14519d7c1ac5ep-18, 0x1.a75b67431c037p-21, -0x1.549509370a9b4p-19, -0x1.8905ae109188bp-18, -0x1.337f922b25c01p-17, -0x1.a1f9bf2f823p-17, -0x1.07e8ae7f597b9p-16, -0x1.3e7408524eac1p-16, -0x1.74908c2657b4bp-16, -0x1.aa309f4425305p-16, -0x1.df4766eecf061p-16, -0x1.09e4612775339p-15, -0x1.23d4a240632d1p-15, -0x1.3d6f17629ea2bp-15, -0x1.56aeb56a50d89p-15, -0x1.6f8ec2a99777bp-15, -0x1.880ad43340dd1p-15, -0x1.a01ecb35c7ee5p-15, -0x1.b7c6d2664b00ep-15, -0x1.ceff5b7b3db13p-15, -0x1.e5c51cb6924a8p-15, -0x1.fc150e7f1818p-15, -0x1.08f634846853bp-14, -0x1.13a45105fb677p-14, -0x1.1e13b5453d78dp-14, -0x1.28435651d8ec3p-14, -0x1.323244bafc70bp-14, -0x1.3bdfab8706f97p-14, -0x1.454acf31f03cp-14, -0x1.4e730cb24dd04p-14, -0x1.5757d884d4b3ep-14, -0x1.5ff8bdbe3d3fbp-14, -0x1.68555d236640ep-14, -0x1.706d6c479d163p-14, -0x1.7840b4b0ecbcp-14, -0x1.7fcf130254f9ep-14, -0x1.8718762bcf06ep-14, -0x1.8e1cdea00134dp-14, -0x1.94dc5d8f87ddap-14, -0x1.9b571429b40e3p-14, -0x1.a18d32e2a8262p-14, -0x1.a77ef8beb4b3ap-14, -0x1.ad2cb2a2dcdd8p-14, -0x1.b296baaa61bfap-14, -0x1.b7bd7781450eap-14, -0x1.bca15bc3a2387p-14, -0x1.c142e561bcaf3p-14, -0x1.c5a29d08bfc31p-14, -0x1.c9c1159001359p-14, -0x1.cd9eeb6ab481ep-14, -0x1.d13cc41e05d95p-14, -0x1.d49b4dbb64fa4p-14, -0x1.d7bb3e5f0ab22p-14, -0x1.da9d53b28dcd7p-14, -0x1.dd4252736aa35p-14, -0x1.dfab05fd82a42p-14, -0x1.e1d83fd95de05p-14, -0x1.e3cad74e2aecbp-14, -0x1.e583a8f76052p-14, -0x1.e703965df4b83p-14, -0x1.e84b859507f95p-14, -0x1.e95c60d9f7b45p-14, -0x1.ea371637bd259p-14, -0x1.eadc972d90aacp-14, -0x1.eb4dd858b0b81p-14, -0x1.eb8bd121433c9p-14, -0x1.eb977b6a34a36p-14, -0x1.eb71d344026dep-14, -0x1.eb1bd6a2789b5p-14, -0x1.ea9685151b9cap-14, -0x1.e9e2df8266762p-14, -0x1.e901e7e5a19c2p-14, -0x1.e7f4a10f54588p-14, -0x1.e6bc0e683eb4p-14, -0x1.e55933b6c2ad1p-14, -0x1.e3cd14e6b91f9p-14, -0x1.e218b5d39cc16p-14, -0x1.e03d1a14e8f81p-14, -0x1.de3b44ccc78e4p-14, -0x1.dc143878ce3b6p-14, -0x1.d9c8f6c4e8d06p-14, -0x1.d75a80603496fp-14, -0x1.d4c9d4d3ed507p-14, -0x1.d217f25c33fc4p-14, -0x1.cf45d5c2bf9bap-14, -0x1.cc547a3b5ebb4p-14, -0x1.c944d9423424bp-14, -0x1.c617ea7bb41dep-14, -0x1.c2cea39641cb6p-14, -0x1.bf69f82d7b1dcp-14, -0x1.bbead9aefd3ecp-14, -0x1.b8523740c754p-14, -0x1.b4a0fda903bd9p-14, -0x1.b0d817374d6f4p-14, -0x1.acf86baf4b909p-14, -0x1.a902e034b1cafp-14, -0x1.a4f857388141p-14, -0x1.a0d9b0679415bp-14, -0x1.9ca7c89a61524p-14, -0x1.986379c5e80d9p-14, -0x1.940d9aedc489p-14, -0x1.8fa700175f681p-14, -0x1.8b307a3e2af16p-14, -0x1.86aad748eaecbp-14, -0x1.8216e1fff96c7p-14, -0x1.7d75620483a6fp-14, -0x1.78c71bc8b12d4p-14, -0x1.740cd088b3568p-14, -0x1.6f473e44aea4fp-14, -0x1.6a771fbb7ab82p-14, -0x1.659d2c662e2b2p-14, -0x1.60ba1874706d9p-14, -0x1.5bce94c9880a7p-14, -0x1.56db4efa2138ep-14, -0x1.51e0f14ac32a2p-14, -0x1.4ce022aeecb1fp-14, -0x1.47d986c8d4dd9p-14, -0x1.42cdbde9c4d7fp-14, -0x1.3dbd65130867dp-14, -0x1.38a915f76a94bp-14, -0x1.339166fd3e445p-14, -0x1.2e76eb40e5abp-14, -0x1.295a3297d9a26p-14, -0x1.243bc9942674ap-14, -0x1.1f1c39885bc45p-14, -0x1.19fc088be7759p-14, -0x1.14dbb97fd99dap-14, -0x1.0fbbcc14095cdp-14, -0x1.0a9cbccc987a9p-14, -0x1.057f0507ce8dap-14, -0x1.00631b0449884p-14, -0x1.f692e3cefa564p-15, -0x1.ec64f388fad21p-15, -0x1.e23d3f4622c79p-15, -0x1.d81c9b0e12205p-15, -0x1.ce03d4efa0334p-15, -0x1.c3f3b5107dd93p-15, -0x1.b9ecfdbd444f4p-15, -0x1.aff06b79e8fb4p-15, -0x1.a5feb512983a9p-15, -0x1.9c188bace423bp-15, -0x1.923e9ad94d5a6p-15, -0x1.887188a511c87p-15, -0x1.7eb1f5ac49865p-15, -0x1.75007d2c41023p-15, -0x1.6b5db516100b9p-15, -0x1.61ca2e21651c6p-15, -0x1.584673df84dfdp-15, -0x1.4ed30cce726fcp-15, -0x1.45707a6c3d0aap-15, -0x1.3c1f394a73413p-15, -0x1.32dfc121b12a5p-15, -0x1.29b284e545a55p-15, -0x1.2097f2d6ee4f4p-15, -0x1.1790749aa4672p-15, -0x1.0e9c6f4a7142fp-15, -0x1.05bc438a512e5p-15, -0x1.f9e09b382c91dp-16, -0x1.e871cae6a0dfep-16, -0x1.d72cbd925b2ecp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.2002490458b68p-1, -0x1.1d4855eca0609p-1, -0x1.1a5380485e335p-1, -0x1.1725a7881f7e2p-1, -0x1.13c0c0273306bp-1, -0x1.1026cffc7f94cp-1, -0x1.0c59eadca16dcp-1, -0x1.085c2f95df66p-1, -0x1.042fc547e4fdbp-1, -0x1.ffadb2280f9aap-2, -0x1.f6a7383e6401ap-2, -0x1.ed5083b8475aap-2, -0x1.e3adfd273c1aap-2, -0x1.d9c40c3f81d53p-2, -0x1.cf9715a0afd54p-2, -0x1.c52b78dd9da24p-2, -0x1.ba858eb36d8f5p-2, -0x1.afa9a76278addp-2, -0x1.a49c091e9b2bfp-2, -0x1.9960ee8f48bedp-2, -0x1.8dfc855a347ccp-2, -0x1.8272ecb5b1a38p-2, -0x1.76c83401b603bp-2, -0x1.6b005967faf92p-2, -0x1.5f1f4884d11ecp-2, -0x1.5328d91b076dcp-2, -0x1.4720cdd5c4b23p-2, -0x1.3b0ad31b6a8afp-2, -0x1.2eea7df494534p-2, -0x1.22c34b0a0ffeep-2, -0x1.16989dbc61fap-2, -0x1.0a6dbf56ec9d7p-2, -0x1.fc8bbcc0b05fcp-3, -0x1.e4481c12a1129p-3, -0x1.cc168b7439722p-3, -0x1.b3fcc17e2948ap-3, -0x1.9c003c26ef6aep-3, -0x1.8426409362cbep-3, -0x1.6c73db1f692dp-3, -0x1.54eddf9b89b79p-3, -0x1.3d98e9bb76e5ep-3, -0x1.26795db13ef25p-3, -0x1.0f9368f08ac28p-3, -0x1.f1d6062a5923p-4, -0x1.c507ddd04526ep-4, -0x1.98c376fc77269p-4, -0x1.6d0f8ad76eabep-4, -0x1.41f27010a6df7p-4, -0x1.17721d7f148b5p-4, -0x1.db2859a4241e5p-5, -0x1.88bbba96dfef6p-5, -0x1.37a82cf834592p-5, -0x1.cfedabf5dd82ep-6, -0x1.33606c89ba21dp-6, -0x1.3370bcddbf122p-7, -0x1.820817b569cbp-13, 0x1.215e33c094484p-7, 0x1.2154dbf4a9ed2p-6, 0x1.aee2097a74902p-6, 0x1.1ca64213944f8p-5, 0x1.604599b63da37p-5, 0x1.a24afe27a13d7p-5, 0x1.e2b2dcd0437a4p-5, 0x1.10bd0d25891f3p-4, 0x1.2f4f076fc5b9p-4, 0x1.4d0e4193ab564p-4, 0x1.69f9d66e3fdd7p-4, 0x1.861115e6a0845p-4, 0x1.a153837905c2bp-4, 0x1.bbc0d4d1307dfp-4, 0x1.d558f0727c4fbp-4, 0x1.ee1bec6bdbc17p-4, 0x1.0305068b03b19p-3, 0x1.0e91e1ed151c7p-3, 0x1.19b4d6ffc21f8p-3, 0x1.246e49bf38143p-3, 0x1.2ebeb2ebb8e31p-3, 0x1.38a69f767f6c1p-3, 0x1.4226afef65727p-3, 0x1.4b3f97f2d36bap-3, 0x1.53f21d9779c53p-3, 0x1.5c3f18db6cb76p-3, 0x1.642773105fcafp-3, 0x1.6bac2646a5972p-3, 0x1.72ce3cb6d8739p-3, 0x1.798ed029ef6cbp-3, 0x1.7fef095fbdb81p-3, 0x1.85f01f73c3267p-3, 0x1.8b93574059031p-3, 0x1.90da02c049731p-3, 0x1.95c5806ee6711p-3, 0x1.9a573aa6c556cp-3, 0x1.9e90a6ff4cb1cp-3, 0x1.a27345a93b17ap-3, 0x1.a600a0ca6ffb1p-3, 0x1.a93a4bd927c42p-3, 0x1.ac21e2f6eb622p-3, 0x1.aeb90a4b8361ep-3, 0x1.b1016d603243bp-3, 0x1.b2fcbe7b72c28p-3, 0x1.b4acb5fd9e526p-3, 0x1.b61311beaa74dp-3, 0x1.b731946d593f8p-3, 0x1.b80a04f025358p-3, 0x1.b89e2dc824437p-3, 0x1.b8efdc76348d6p-3, 0x1.b900e0e2adfdfp-3, 0x1.b8d30cc7dd325p-3, 0x1.b868331f84745p-3, 0x1.b7c2279395c7bp-3, 0x1.b6e2bdf26aa62p-3, 0x1.b5cbc9a699f5cp-3, 0x1.b47f1d32a566dp-3, 0x1.b2fe89b0acd73p-3, 0x1.b14bde563b15ap-3, 0x1.af68e7fc60cb9p-3, 0x1.ad5770ac370f7p-3, 0x1.ab193f2fd893fp-3, 0x1.a8b016a7f11ecp-3, 0x1.a61db625f8628p-3, 0x1.a363d84b14b7cp-3, 0x1.a08432ebc2bcp-3, 0x1.9d8076b83c8f2p-3, 0x1.9a5a4ee9a7b8fp-3, 0x1.971360f4038f2p-3, 0x1.93ad4c3cd9dd2p-3, 0x1.9029a9d6ad683p-3, 0x1.8c8a0c411052cp-3, 0x1.88cfff2d5fbaep-3, 0x1.84fd074815ap-3, 0x1.8112a206978ddp-3, 0x1.7d124579777ep-3, 0x1.78fd60230c8d8p-3, 0x1.74d558d2467dfp-3, 0x1.709b8e81b6bd8p-3, 0x1.6c51583a9241dp-3, 0x1.67f804fbbb2b5p-3, 0x1.6390dba48a107p-3, 0x1.5f1d1ae35a743p-3, 0x1.5a9df927a764bp-3, 0x1.5614a497a4e78p-3, 0x1.5182430925d28p-3, 0x1.4ce7f1fdc6271p-3, 0x1.4846c6a21d3dep-3, 0x1.439fcdcfed358p-3, 0x1.3ef40c131c9efp-3, 0x1.3a447db16c558p-3, 0x1.359216b4adb1cp-3, 0x1.30ddc2f778364p-3, 0x1.2c2866341f612p-3, 0x1.2772dc15def5cp-3, 0x1.22bdf84c0e3e5p-3, 0x1.1e0a869f460acp-3, 0x1.19594b0852b89p-3, 0x1.14ab01c8d37aap-3, 0x1.10005f8575492p-3, 0x1.0b5a116195944p-3, 0x1.06b8bd1c49347p-3, 0x1.021d012e99dbbp-3, 0x1.fb0ee9d5cf1c2p-4, 0x1.f1f1513aa0749p-4, 0x1.e8e24b5a10aaep-4, 0x1.dfe2dd7d0619fp-4, 0x1.d6f3ffacc44a1p-4, 0x1.ce169cfa0bda1p-4, 0x1.c54b93c55cae9p-4, 0x1.bc93b60833b27p-4, 0x1.b3efc99f1d74dp-4, 0x1.ab60889465591p-4, 0x1.a2e6a16b53462p-4, 0x1.9a82b76bbdc73p-4, 0x1.923562edeafcp-4, 0x1.89ff31a67784dp-4, 0x1.81e0a6f2547a2p-4, 0x1.79da3c2298b52p-4, 0x1.71ec60c81e5f2p-4, 0x1.6a177afecbb6bp-4, 0x1.625be7b871ebep-4, 0x1.5ab9fb0728c0bp-4, 0x1.5332006712b0bp-4, 0x1.4bc43b0775c03p-4, 0x1.4470e613145ccp-4, 0x1.3d3834f7b896cp-4, 0x1.361a53acdd4bep-4, 0x1.2f1766f9694b8p-4, 0x1.282f8cb86ebcep-4, 0x1.2162dc1cdf78cp-4, 0x1.1ab165f42e986p-4, 0x1.141b34e7d235fp-4, 0x1.0da04dbd9d195p-4, 0x1.0740af96e839bp-4, 0x1.00fc542e83a2p-4, 0x1.f5a6602ad1207p-5, 0x1.e98a65dc5295ep-5, 0x1.dda48f4e2ab3ap-5, 0x1.d1f4a96625aa9p-5, 0x1.c67a78824d4b3p-5, 0x1.bb35b8e553dc8p-5, 0x1.b0261f2055c7ap-5, 0x1.a54b5879efa1ep-5, 0x1.9aa50b52a6d2p-5, 0x1.9032d786a3c37p-5, 0x1.85f456ccc1dffp-5, 0x1.7be91d12f38cdp-5, 0x1.7210b8d7febfcp-5, 0x1.686ab3829554fp-5, 0x1.5ef691b5d0e45p-5, 0x1.55b3d3a30ff9dp-5, 0x1.4ca1f55943d17p-5, 0x1.43c06f11b0b39p-5, 0x1.3b0eb57a25848p-5, 0x1.328c39fcba5ccp-5, 0x1.2a386b0516296p-5, 0x1.2212b4434bde7p-5, 0x1.1a1a7eec51b2p-5, 0x1.124f31f821262p-5, 0x1.0ab0325d89bccp-5, 0x1.033ce34bbb9b7p-5, 0x1.f7e94cc33d10ep-6, 0x1.e9adb7c5e6fb6p-6, 0x1.dbc5c5d6b502fp-6, 0x1.ce30333e749c4p-6, 0x1.c0ebbab53fe6bp-6, 0x1.b3f715bc38d8ap-6, 0x1.a750fcf35a5e8p-6, 0x1.9af8286b7cfb5p-6, 0x1.8eeb4ff495f31p-6, 0x1.83292b686512ap-6, 0x1.77b072f18a0b5p-6, 0x1.6c7fdf4f2db6dp-6, 0x1.61962a155460ap-6, 0x1.56f20de9e7275p-6, 0x1.4c9246be96f07p-6, 0x1.42759207a86b2p-6, 0x1.389aaeefc97f3p-6, 0x1.2f005e88fc1f4p-6, 0x1.25a563fab6291p-6, 0x1.1c8884ad47eadp-6, 0x1.13a88872a2a3p-6, 0x1.0b0439ac94cb3p-6, 0x1.029a65708ba92p-6, 0x1.f4d3b751faa9bp-7, 0x1.e4e2de68faa1ap-7, 0x1.d55fec0549083p-7, 0x1.c648925d9d65fp-7, 0x1.b79a8a31a14adp-7, 0x1.a95392f75d718p-7, 0x1.9b717304d8fbep-7, 0x1.8df1f7b615007p-7, 0x1.80d2f58f7f26ap-7, 0x1.7412485cffe9ep-7, 0x1.67add34dd45c3p-7, 0x1.5ba3810d42e46p-7, 0x1.4ff143d85ad17p-7, 0x1.44951590d95bdp-7, 0x1.398cf7cd527c6p-7, 0x1.2ed6f3e6c56b9p-7, 0x1.24711b03ad1ccp-7, 0x1.1a598620b53eap-7, 0x1.108e56172b1c8p-7, 0x1.070db3a147eefp-7, 0x1.fbab9eb8dac22p-8, 0x1.e9c9c392e367ep-8, 0x1.d872569621ca4p-8, 0x1.c7a1e8453c4acp-8, 0x1.b75518d619212p-8, 0x1.a7889824ca7e6p-8, 0x1.983925a3841c5p-8, 0x1.89639047c4bafp-8, 0x1.7b04b674db3b6p-8, 0x1.6d1985e3f268ep-8, 0x1.5f9efb89c7782p-8, 0x1.5292237a30f3ap-8, 0x1.45f018c99ca5cp-8, 0x1.39b6056ca3763p-8, 0x1.2de12215d6b2fp-8, 0x1.226eb611e6922p-8, 0x1.175c1722412c4p-8, 0x1.0ca6a95644ab7p-8, 0x1.024bdee327df8p-8, 0x1.f0926ff556743p-9, 0x1.dd3885416a348p-9, 0x1.ca8534ffdbe75p-9, 0x1.b873d17ae5abap-9, 0x1.a6ffc79777c3bp-9, 0x1.96249e7989824p-9, 0x1.85ddf7272565cp-9, 0x1.76278c2a4fe71p-9, 0x1.66fd3131f3c54p-9, 0x1.585ad2b1f6255p-9, 0x1.4a3c758299ed4p-9, 0x1.3c9e367f49702p-9, 0x1.2f7c4a24f4039p-9, 0x1.22d2fc3010635p-9, 0x1.169eaf3a6998ep-9, 0x1.0adbdc58c8fcep-9, 0x1.ff0e257144f0fp-10, 0x1.e939ee7b9a52ap-10, 0x1.d4348840d69eap-10, 0x1.bff79116228e3p-10, 0x1.ac7cd0727b2aap-10, 0x1.99be362c7d709p-10, 0x1.87b5d9b91681dp-10, 0x1.765df96b54129p-10, 0x1.65b0f9b562941p-10, 0x1.55a9646ae0852p-10, 0x1.4641e8049fadcp-10, 0x1.377556e5ee2abp-10, 0x1.293ea6a3794cbp-10, 0x1.1b98ef4bf1b43p-10, 0x1.0e7f6ab271c8ap-10, 0x1.01ed73bac054dp-10, 0x1.ebbd0b4f13ecfp-11, 0x1.d49c76d5277eep-11, 0x1.be709dedfb179p-11, 0x1.a931312b3eda1p-11, 0x1.94d61c771c6cp-11, 0x1.815785c5a3ecdp-11, 0x1.6eadcbcab09dbp-11, 0x1.5cd184b456903p-11, 0x1.4bbb7ce9e6a5bp-11, 0x1.3b64b5cf98681p-11, 0x1.2bc6648ee332p-11, 0x1.1cd9f0e3908e5p-11, 0x1.0e98f3ed8ecap-11, 0x1.00fd37078bd38p-11, 0x1.e8016544b22abp-12, 0x1.cf3b1a4a3da54p-12, 0x1.b79c33a4bef29p-12, 0x1.a119af6395d44p-12, 0x1.8ba8e0fdbeec6p-12, 0x1.773f6f38b3d5bp-12, 0x1.63d35218de185p-12, 0x1.515ad0db9311cp-12, 0x1.3fcc7ffa95a91p-12, 0x1.2f1f3f3906d81p-12, 0x1.1f4a37b9c421cp-12, 0x1.1044da1f187e9p-12, 0x1.0206dcb3b72e8p-12, 0x1.e9107339d4c29p-13, 0x1.cf825a2bc844ep-13, 0x1.b7546768318bbp-13, 0x1.a07811692aa26p-13, 0x1.8adf48a460364p-13, 0x1.767c74490ef07p-13, 0x1.63426f0f55c0fp-13, 0x1.51248418be7d1p-13, 0x1.40166be1ba283p-13, 0x1.300c4943df5e4p-13, 0x1.20faa688bdd59p-13, 0x1.12d6728cfee9ap-13, 0x1.0594fdf3a9c0ep-13, 0x1.f257f0d29295fp-14, 0x1.db22dbed74e7dp-14, 0x1.c57788c6e202p-14, 0x1.b143714dd6118p-14, 0x1.9e74b8d243b18p-14, 0x1.8cfa27237133dp-14, 0x1.7cc323cb57453p-14, 0x1.6dbfb16690272p-14, 0x1.5fe0691859653p-14, 0x1.5316761a314fap-14, 0x1.475391669812dp-14, 0x1.3c89fd7e7c158p-14, 0x1.32ac8248da8aep-14, 0x1.29ae690c1b29bp-14, 0x1.21837880b193fp-14, 0x1.1a1ff0fc8d00ap-14, 0x1.137888b6e10e6p-14, 0x1.0d826823d2d66p-14, 0x1.0833266795de8p-14, 0x1.0380c5e0845fp-14, 0x1.fec3618f87c47p-15, 0x1.f7996bd000dc4p-15, 0x1.f1720ad3a4fdcp-15, 0x1.ec3c5b6aba213p-15, 0x1.e7e830d16e8d7p-15, 0x1.e4660ec56ad94p-15, 0x1.e1a723c349ba7p-15, 0x1.df9d436b1f9f6p-15, 0x1.de3ae10b45cbap-15, 0x1.dd730a5091268p-15, 0x1.dd39621b30606p-15, 0x1.dd821b77618d1p-15, 0x1.de41f4b93beacp-15, 0x1.df6e32bac63d7p-15, 0x1.e0fc9c3b9c976p-15, 0x1.e2e3756160d7ap-15, 0x1.e5197b58415cap-15, 0x1.e795e012d52afp-15, 0x1.ea504628a14f2p-15, 0x1.ed40bcd288e49p-15, 0x1.f05fbc0482bccp-15, 0x1.f3a620a3df128p-15, 0x1.f70d28d977e8dp-15, 0x1.fa8e707f23d4dp-15, 0x1.fe23eda7c4066p-15, 0x1.00e3f6a0a86aap-14, 0x1.02ba87e81fe7fp-14, 0x1.04932321d7ca9p-14, 0x1.066b6770db7c6p-14, 0x1.08411925a5798p-14, 0x1.0a12204b8fabep-14, 0x1.0bdc87417bfdcp-14, 0x1.0d9e795d6c8acp-14, 0x1.0f56419ac784fp-14, 0x1.11024952ff492p-14, 0x1.12a11700604f1p-14, 0x1.14314d0abff5bp-14, 0x1.15b1a89dcda93p-14, 0x1.17210088c5898p-14, 0x1.187e44274b18ep-14, 0x1.19c87a5329d65p-14, 0x1.1afec05ec55c7p-14, 0x1.1c204917fcd98p-14, 0x1.1d2c5bd3497edp-14, 0x1.1e22537ee150cp-14, 0x1.1f019dbda6ae8p-14, 0x1.1fc9ba09aff72p-14, 0x1.207a38de34503p-14, 0x1.2112bae8a8f4cp-14, 0x1.2192f040dec4fp-14, 0x1.21fa97a7ee5dap-14, 0x1.22497dcdc3b4ap-14, 0x1.227f7c9d1b764p-14, 0x1.229c7a8dc1b05p-14, 0x1.22a069fcea27fp-14, 0x1.228b488b729d7p-14, 0x1.225d1e81e619dp-14, 0x1.2215fe3a18615p-14, 0x1.21b6038e3102bp-14, 0x1.213d534cfc37fp-14, 0x1.20ac1ab35ed4ap-14, 0x1.20028eeac3a3ap-14, 0x1.1f40ec8c5fcd2p-14, 0x1.1e67772929845p-14, 0x1.1d7678d65d51fp-14, 0x1.1c6e41be718eap-14, 0x1.1b4f27b6534d2p-14, 0x1.1a1985d6d03dep-14, 0x1.18cdbc1a0984bp-14, 0x1.176c2efcd394ap-14, 0x1.15f54723e32edp-14, 0x1.14697104aa83fp-14, 0x1.12c91c91c8befp-14, 0x1.1114bceaf1d9bp-14, 0x1.0f4cc8103078ap-14, 0x1.0d71b69869a91p-14, 0x1.0b84036b0720dp-14, 0x1.09842b7caef4bp-14, 0x1.0772ad8eef5fap-14, 0x1.055009f2c8718p-14, 0x1.031cc24df8cf3p-14, 0x1.00d95962faf4bp-14, 0x1.fd0ca5b73046p-15, 0x1.f848662bfdea4p-15, 0x1.f366fde88d1b9p-15, 0x1.ee69775c94bdep-15, 0x1.e950dd4b92edfp-15, 0x1.e41e3a79723afp-15, 0x1.ded2995b64db1p-15, 0x1.d96f03ccda79cp-15, 0x1.d3f482c869b6ap-15, 0x1.ce641e2486c6cp-15, 0x1.c8bedc53eb7c4p-15, 0x1.c305c22988b45p-15, 0x1.bd39d29fe966p-15, 0x1.b75c0ea3de99cp-15, 0x1.b16d74e25d3c1p-15, 0x1.ab6f01996e71ep-15, 0x1.a561ae6c114a1p-15, 0x1.9f467238f99e5p-15, 0x1.991e40f40a45ep-15, 0x1.92ea0b8273e6fp-15, 0x1.8caabf995e764p-15, 0x1.8661479f00ee8p-15, 0x1.800e8a8e1708bp-15, 0x1.79b36bdb93cffp-15, 0x1.7350cb5e83045p-15, 0x1.6ce78539fbc06p-15, 0x1.667871c916b1bp-15, 0x1.6004658ccab46p-15, 0x1.598c311ba3369p-15, 0x1.5310a1133953bp-15, 0x1.4c927e0b5b7b8p-15, 0x1.46128c8ad36d8p-15, 0x1.3f918cfdb99a9p-15, 0x1.39103bad41bedp-15, 0x1.328f50b8f136ap-15, 0x1.2c0f801132155p-15, 0x1.259179732b376p-15, 0x1.1f15e865d89fdp-15, 0x1.189d74384d129p-15, 0x1.1228c00113318p-15, 0x1.0bb86a9e9d2cdp-15, 0x1.054d0eb8ba055p-15, 0x1.fdce8585fcb8dp-16, 0x1.f10f320032828p-16, 0x1.e45d3f0c0a41fp-16, 0x1.d7b9c086163e1p-16, 0x1.cb25c2071b562p-16, 0x1.bea246f11e513p-16, 0x1.b2304a7dd2428p-16, 0x1.a5d0bfce55fffp-16, 0x1.998491fc3186dp-16, 0x1.8d4ca42b72e46p-16, 0x1.8129d19deaa02p-16, 0x1.751cedc765cacp-16, 0x1.6926c462ddc4ap-16, 0x1.5d481988917bcp-16, 0x1.5181a9c4e6432p-16, 0x1.45d42a3018e8fp-16, 0x1.3a404886a0c8ep-16, 0x1.2ec6ab4237e0bp-16, 0x1.2367f1b3816c4p-16, 0x1.1824b41c3e755p-16, 0x1.0cfd83ca0135bp-16, 0x1.01f2eb315987dp-16, 0x1.ee0adc12cb013p-17, 0x1.d86b12cf8f45ap-17, 0x1.c30767b9d73b4p-17, 0x1.ade0bb21332c6p-17, 0x1.98f7e0bd91b4p-17, 0x1.844d9fe94b75dp-17, 0x1.6fe2b3db997abp-17, 0x1.5bb7cbe34dd89p-17, 0x1.47cd8ba1c4b37p-17, 0x1.34248b460bb84p-17, 0x1.20bd57c81d0c7p-17, 0x1.0d9873242c8aap-17, 0x1.f56ca92bea936p-18, 0x1.d02ed1a7f6a3dp-18, 0x1.ab7824956a39p-18, 0x1.874952af21838p-18, 0x1.63a2f90794eb4p-18, 0x1.4085a17e139bep-18, 0x1.1df1c333744a3p-18, 0x1.f7cf85fc5b958p-19, 0x1.b4cfe7bb8602bp-19, 0x1.72e52edae1bf4p-19, 0x1.320fbcac1c9aep-19, 0x1.e49fa2fc4af8bp-20, 0x1.674b1afab18dep-20, 0x1.d843c64720f1cp-21, 0x1.cc8f01db7cd56p-22, -0x1.d7e193b3326d8p-27, -0x1.e1655cfe0b66ep-22, -0x1.d5b3c635a164ap-21, -0x1.5b32841d5d0ebp-20, -0x1.c9648c2461cb2p-20, -0x1.1ab8bff4e2ef6p-19, -0x1.4fad8ab661cd8p-19, -0x1.8391992fe154ep-19, -0x1.b665f54dc9d4fp-19, -0x1.e82bbf4c0c896p-19, -0x1.0c72167a9d649p-18, -0x1.2448447233b8bp-18, -0x1.3b9918e4ef0a5p-18, -0x1.52654cd95bff7p-18, -0x1.68ada2a9a8f8dp-18, -0x1.7e72e5aa559e9p-18, -0x1.93b5e9d259fd1p-18, -0x1.a8778b64c5c5ep-18, -0x1.bcb8ae9bda96ap-18, -0x1.d07a3f55a18f8p-18, -0x1.e3bd30c1fff8cp-18, -0x1.f6827d12465a3p-18, -0x1.046592951fbfap-17, -0x1.0d4c18295eb15p-17, -0x1.15f555f6d08ffp-17, -0x1.1e61d595b1d75p-17, -0x1.269223610b60dp-17, -0x1.2e86ce52f1334p-17, -0x1.364067e17e674p-17, -0x1.3dbf83dc8bd1p-17, -0x1.4504b84c22e17p-17, -0x1.4c109d4fa9929p-17, -0x1.52e3ccfdc7cd7p-17, -0x1.597ee34503fc2p-17, -0x1.5fe27dcd17a43p-17, -0x1.660f3bd8f3afp-17, -0x1.6c05be29809e7p-17, -0x1.71c6a6e109d2bp-17, -0x1.775299675cf4ap-17, -0x1.7caa3a4e936ebp-17, -0x1.81ce2f388e997p-17, -0x1.86bf1ebd1c85cp-17, -0x1.8b7db050c6d54p-17, -0x1.900a8c2c418a7p-17, -0x1.94665b3492508p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.28de786618a87p-1, -0x1.27f0ffe92f1b1p-1, -0x1.26ee7a8f245f5p-1, -0x1.25d74ea3be4c5p-1, -0x1.24abe83da6f78p-1, -0x1.236cb89762f05p-1, -0x1.221a356e74cd6p-1, -0x1.20b4d86b3060dp-1, -0x1.1f3d1e92f1dc2p-1, -0x1.1db387c5a70ccp-1, -0x1.1c189646faf37p-1, -0x1.1a6cce52ec851p-1, -0x1.18b0b5bd3e207p-1, -0x1.16e4d39ae557p-1, -0x1.1509aff47b1p-1, -0x1.131fd3809997fp-1, -0x1.1127c765142f1p-1, -0x1.0f2214fe026a2p-1, -0x1.0d0f45a9a8e0fp-1, -0x1.0aefe2986b2fbp-1, -0x1.08c474a00b7e4p-1, -0x1.068d84119f619p-1, -0x1.044b9891bcbefp-1, -0x1.01ff38f2821d9p-1, -0x1.ff51d61e680dcp-2, -0x1.fa9267528aec7p-2, -0x1.f5c12c8d5adefp-2, -0x1.f0df2a2306b7ap-2, -0x1.ebed6171c68d3p-2, -0x1.e6ecd0a649809p-2, -0x1.e1de7282f3e99p-2, -0x1.dcc33e2a11f9fp-2, -0x1.d79c26eb34f04p-2, -0x1.d26a1c13e34fep-2, -0x1.cd2e08c3c96bcp-2, -0x1.c7e8d3c49086dp-2, -0x1.c29b5f657368bp-2, -0x1.bd46895aac8cbp-2, -0x1.b7eb2aa0bf3cap-2, -0x1.b28a1763a3829p-2, -0x1.ad241ee9cb436p-2, -0x1.a7ba0b82ea15bp-2, -0x1.a24ca27a6e3c1p-2, -0x1.9cdca40d81dc9p-2, -0x1.976acb646f839p-2, -0x1.91f7ce8f417bcp-2, -0x1.8c845e85602b6p-2, -0x1.87112728068f2p-2, -0x1.819ecf4749894p-2, -0x1.7c2df8a98527ep-2, -0x1.76bf4014e9143p-2, -0x1.71533d5afad3p-2, -0x1.6bea8365c5b54p-2, -0x1.6685a04690032p-2, -0x1.61251d45d3d91p-2, -0x1.5bc97ef457364p-2, -0x1.5673453d28bdbp-2, -0x1.5122eb785a768p-2, -0x1.4bd8e87e53d6cp-2, -0x1.4695aebb90e0ep-2, -0x1.4159ac44b1bd2p-2, -0x1.3c254aeab79f5p-2, -0x1.36f8f04f5a4e6p-2, -0x1.31d4fdf959b6p-2, -0x1.2cb9d168b90a2p-2, -0x1.27a7c42ad5dacp-2, -0x1.229f2bee45fa3p-2, -0x1.1da05a9679232p-2, -0x1.18ab9e4f0be4cp-2, -0x1.13c1419ed1fdap-2, -0x1.0ee18b7a82984p-2, -0x1.0a0cbf57155dap-2, -0x1.05431d3bc24a5p-2, -0x1.0084e1d3a91d9p-2, -0x1.f7a48cfe498e2p-3, -0x1.ee5702c98e9f2p-3, -0x1.e5218b040c4ep-3, -0x1.dc04857733d71p-3, -0x1.d3004bdb289b2p-3, -0x1.ca1531f667f6fp-3, -0x1.c14385bcf2703p-3, -0x1.b88b8f6f06ef9p-3, -0x1.afed91b76d633p-3, -0x1.a769c9c973185p-3, -0x1.9f006f7e8ab96p-3, -0x1.96b1b573a5ed2p-3, -0x1.8e7dc92655c99p-3, -0x1.8664d311adb3dp-3, -0x1.7e66f6caff8c8p-3, -0x1.7684531e6e844p-3, -0x1.6ebd022b61652p-3, -0x1.67111980e1815p-3, -0x1.5f80aa39dad93p-3, -0x1.580bc11954568p-3, -0x1.50b266a69750ep-3, -0x1.49749f494c84ep-3, -0x1.42526b658e7c1p-3, -0x1.3b4bc777f952p-3, -0x1.3460ac31a9c2fp-3, -0x1.2d910e943dfc4p-3, -0x1.26dce00dc3f5p-3, -0x1.20440e949fdb1p-3, -0x1.19c684c36b772p-3, -0x1.136429f4b7a8cp-3, -0x1.0d1ce25ec89b3p-3, -0x1.06f08f2f33309p-3, -0x1.00df0ea660ebbp-3, -0x1.f5d07865ea1fp-4, -0x1.ea17e11a20a56p-4, -0x1.de9403a2cf6cap-4, -0x1.d34487386cd7p-4, -0x1.c8290e47e7d0cp-4, -0x1.bd4136a7b339p-4, -0x1.b28c99cc5b6c2p-4, -0x1.a80accfc90d38p-4, -0x1.9dbb6184a93dep-4, -0x1.939de4e9933ecp-4, -0x1.89b1e11b1e62cp-4, -0x1.7ff6dca5a4b47p-4, -0x1.766c5ae2fd79cp-4, -0x1.6d11dc2ab4c27p-4, -0x1.63e6de0182817p-4, -0x1.5aeadb47f3ff2p-4, -0x1.521d4c6843f28p-4, -0x1.497da78357ef2p-4, -0x1.410b609cdc779p-4, -0x1.38c5e9c67ac79p-4, -0x1.30acb34a214d3p-4, -0x1.28bf2bd359e2fp-4, -0x1.20fcc097a965bp-4, -0x1.1964dd7df413p-4, -0x1.11f6ed44e2774p-4, -0x1.0ab259a844752p-4, -0x1.03968b856fefcp-4, -0x1.f945d5fd2dbcap-5, -0x1.ebadbf3a2bb14p-5, -0x1.de63a0e56d69ep-5, -0x1.d1664873d4121p-5, -0x1.c4b482e9e5f64p-5, -0x1.b84d1d1811ce1p-5, -0x1.ac2ee3d4da85ap-5, -0x1.a058a434f017dp-5, -0x1.94c92bc133b8p-5, -0x1.897f48aaaeadbp-5, -0x1.7e79c9fc80764p-5, -0x1.73b77fcbc100dp-5, -0x1.69373b656680bp-5, -0x1.5ef7cf7a2ed59p-5, -0x1.54f8104890682p-5, -0x1.4b36d3c4c2517p-5, -0x1.41b2f1bed7387p-5, -0x1.386b4406fe416p-5, -0x1.2f5ea68fe8a56p-5, -0x1.268bf78f6314p-5, -0x1.1df2179d28d9fp-5, -0x1.158fe9cff7d65p-5, -0x1.0d6453d8f5134p-5, -0x1.056e3e1d652d6p-5, -0x1.fb59279d89b4p-6, -0x1.ec3c860297802p-6, -0x1.dd847981cbea2p-6, -0x1.cf2eea4950acp-6, -0x1.c139c6c1a4c53p-6, -0x1.b3a303aebeba6p-6, -0x1.a6689c4e72a99p-6, -0x1.9988927426c17p-6, -0x1.8d00eea1ee088p-6, -0x1.80cfc01f1ddbap-6, -0x1.74f31d0c7d1cp-6, -0x1.696922760a398p-6, -0x1.5e2ff4628ce29p-6, -0x1.5345bde0ea326p-6, -0x1.48a8b11362c5ap-6, -0x1.3e570738cdb6p-6, -0x1.344f00b3d4b56p-6, -0x1.2a8ee5105d9d2p-6, -0x1.211503071d394p-6, -0x1.17dfb07f7ab78p-6, -0x1.0eed4a8fc5224p-6, -0x1.063c357bda91cp-6, -0x1.fb95b9649b7e2p-7, -0x1.eb2f659039ee3p-7, -0x1.db4262e6126d4p-7, -0x1.cbcbb305467bdp-7, -0x1.bcc865b03d997p-7, -0x1.ae3598b9e786fp-7, -0x1.a01077f0db105p-7, -0x1.92563d084e8fp-7, -0x1.85042f7f2105cp-7, -0x1.7817a484fdb1fp-7, -0x1.6b8dfeddcf8bep-7, -0x1.5f64aec3834ecp-7, -0x1.539931c646797p-7, -0x1.482912ab60d5fp-7, -0x1.3d11e94aab103p-7, -0x1.32515a6ad39edp-7, -0x1.27e5179c7df2cp-7, -0x1.1dcadf1451307p-7, -0x1.14007b84136e2p-7, -0x1.0a83c3f2e03fdp-7, -0x1.01529b9494bddp-7, -0x1.f0d5e34100299p-8, -0x1.df95824eded86p-8, -0x1.cee021d2481c1p-8, -0x1.beb1e65291909p-8, -0x1.af070b07ea0ep-8, -0x1.9fdbe1839b1c3p-8, -0x1.912cd157aacep-8, -0x1.82f657bdf2001p-8, -0x1.7535073ece1a8p-8, -0x1.67e587577dd2p-8, -0x1.5b0494204e0e1p-8, -0x1.4e8efdf2a672p-8, -0x1.4281a90f108b5p-8, -0x1.36d98d4351dd4p-8, -0x1.2b93b590a9aadp-8, -0x1.20ad3fd247e4fp-8, -0x1.16235c6412586p-8, -0x1.0bf34dc9c62e9p-8, -0x1.021a68568a05dp-8, -0x1.f12c23a9fcd5cp-9, -0x1.dec7825fb4feep-9, -0x1.cd01fc364fe2bp-9, -0x1.bbd6c17c4976ep-9, -0x1.ab4122bbb457cp-9, -0x1.9b3c9010ef13fp-9, -0x1.8bc49882e89acp-9, -0x1.7cd4e95d15024p-9, -0x1.6e694d8b19f7fp-9, -0x1.607dacf64b0fbp-9, -0x1.530e0be506454p-9, -0x1.46168a5bf5315p-9, -0x1.399363814bb6p-9, -0x1.2d80ed0209355p-9, -0x1.21db96794702ep-9, -0x1.169fe8d9a343fp-9, -0x1.0bca85d8c71e4p-9, -0x1.0158275d18884p-9, -0x1.ee8b3ddb35176p-10, -0x1.db1faa4800f6bp-10, -0x1.c8679241f49a7p-10, -0x1.b65d200580954p-10, -0x1.a4faa8bbb4499p-10, -0x1.943aab7053c13p-10, -0x1.8417d00c7e33p-10, -0x1.748ce655cd93ap-10, -0x1.6594e4f20d965p-10, -0x1.572ae86f7399ap-10, -0x1.494a325160823p-10, -0x1.3bee2821ac831p-10, -0x1.2f125286652edp-10, -0x1.22b25c5c1696cp-10, -0x1.16ca11d481123p-10, -0x1.0b555f99bded4p-10, -0x1.005051f5d300ap-10, -0x1.eb6e27fd2f629p-11, -0x1.d70bdd8bfec7ap-11, -0x1.c372911d4d305p-11, -0x1.b09b48094c1dcp-11, -0x1.9e7f3ef539502p-11, -0x1.8d17e855cdba1p-11, -0x1.7c5eeaf9ebbd8p-11, -0x1.6c4e209d76daap-11, -0x1.5cdf94843d2cp-11, -0x1.4e0d821cd5699p-11, -0x1.3fd253ab595acp-11, -0x1.3228a0fbe091bp-11, -0x1.250b2e1ca151p-11, -0x1.1874ea1f99a88p-11, -0x1.0c60ede3a5173p-11, -0x1.00ca7ae4e338cp-11, -0x1.eb59f4289db25p-12, -0x1.d607f56cdc03cp-12, -0x1.c1966291eb407p-12, -0x1.adfcecde94f32p-12, -0x1.9b338bcb7a673p-12, -0x1.89327af6c93a9p-12, -0x1.77f23824f0194p-12, -0x1.676b814e19fcp-12, -0x1.579752b82ff77p-12, -0x1.486ee51d2a361p-12, -0x1.39ebabdd71f76p-12, -0x1.2c07533e1753fp-12, -0x1.1ebbbeb2a4bbcp-12, -0x1.12030732527b4p-12, -0x1.05d779985c94cp-12, -0x1.f4672a1e93adcp-13, -0x1.de24130dbdaa4p-13, -0x1.c8db6c692059bp-13, -0x1.b483503c61f7ap-13, -0x1.a112315d57166p-13, -0x1.8e7ed8a917c68p-13, -0x1.7cc062544711fp-13, -0x1.6bce3b4e23696p-13, -0x1.5ba01eb5f86d1p-13, -0x1.4c2e1362817c1p-13, -0x1.3d70697ad48c1p-13, -0x1.2f5fb8207d063p-13, -0x1.21f4db2a488e1p-13, -0x1.1528f0ef7bd77p-13, -0x1.08f55822f6d83p-13, -0x1.faa75b7bf2266p-14, -0x1.e47b95f437661p-14, -0x1.cf5b86b44b2a8p-14, -0x1.bb3bc582c033ep-14, -0x1.a8115732254a9p-14, -0x1.95d1aa078a84fp-14, -0x1.8472923bf0e05p-14, -0x1.73ea4697f852ep-14, -0x1.642f5d291d3b8p-14, -0x1.5538c80fe4dd1p-14, -0x1.46fdd266540f4p-14, -0x1.39761d3e0ffecp-14, -0x1.2c999cb590697p-14, -0x1.20609523c529bp-14, -0x1.14c398599db2ap-14, -0x1.09bb82f8dc6c6p-14, -0x1.fe82f3bf4c042p-15, -0x1.ea9dcf50865b5p-15, -0x1.d7baf4790b3a2p-15, -0x1.c5ce40f89b072p-15, -0x1.b4cc0fed53a1dp-15, -0x1.a4a9356a22578p-15, -0x1.955afa306e0ccp-15, -0x1.86d7178c00a66p-15, -0x1.7913b3503e4d1p-15, -0x1.6c075bf5bdd66p-15, -0x1.5fa904d75fb3dp-15, -0x1.53f0028dfb056p-15, -0x1.48d40769ccf6p-15, -0x1.3e4d2008ccce9p-15, -0x1.3453b00919e74p-15, -0x1.2ae06ed6add15p-15, -0x1.21ec649395ee5p-15, -0x1.1970e719e6bb6p-15, -0x1.11679716b61d4p-15, -0x1.09ca5d3d573bbp-15, -0x1.029367922ddf9p-15, -0x1.f77a4d98c496fp-16, -0x1.ea84979b9b559p-16, -0x1.de3b8a60e958fp-16, -0x1.d29579d1dfeabp-16, -0x1.c7892bfa4373dp-16, -0x1.bd0dd49d39b51p-16, -0x1.b31b10f056768p-16, -0x1.a9a8e37bb3b71p-16, -0x1.a0afb01e038abp-16, -0x1.9828383379fa2p-16, -0x1.900b96de8da7ap-16, -0x1.88533d7177a06p-16, -0x1.80f8eff77f87cp-16, -0x1.79f6c1dd0ff9fp-16, -0x1.734712b5a6cd6p-16, -0x1.6ce48b1eb591ap-16, -0x1.66ca19be80e7fp-16, -0x1.60f2f05e2f2e1p-16, -0x1.5b5a811e24f1p-16, -0x1.55fc7bc3d58bap-16, -0x1.50d4cb204c95dp-16, -0x1.4bdf928e8e9bcp-16, -0x1.47192b892d89cp-16, -0x1.427e235635bf5p-16, -0x1.3e0b38c8d5422p-16, -0x1.39bd5a17f9cb1p-16, -0x1.3591a2c944438p-16, -0x1.318559afa128fp-16, -0x1.2d95eefceaeabp-16, -0x1.29c0fa65ef14cp-16, -0x1.260439584400ep-16, -0x1.225d8d4154da5p-16, -0x1.1ecaf9e6148f1p-16, -0x1.1b4aa3cacc9bdp-16, -0x1.17daceaa7d59ap-16, -0x1.1479dbfd49c62p-16, -0x1.1126498d7164dp-16, -0x1.0ddeb01a5b903p-16, -0x1.0aa1c20934b14p-16, -0x1.076e4a22b36f1p-16, -0x1.04432a5d8a9f8p-16, -0x1.011f5ab51848ap-16, -0x1.fc03d017e97b7p-17, -0x1.f5d3e633cbd11p-17, -0x1.efad5ec9c4de7p-17, -0x1.e98ec4897595ap-17, -0x1.e376c3e21de81p-17, -0x1.dd6429325789ap-17, -0x1.d755df0b0a3d2p-17, -0x1.d14aec84d5a96p-17, -0x1.cb4273a753a26p-17, -0x1.c53bafe1900c8p-17, -0x1.bf35f4932359dp-17, -0x1.b930aba53e5f5p-17, -0x1.b32b54333889ap-17, -0x1.ad258141edbd9p-17, -0x1.a71ed88582afep-17, -0x1.a1171134efbcep-17, -0x1.9b0df2eaea7cp-17, -0x1.95035493954d3p-17, -0x1.8ef71b669450ap-17, -0x1.88e939ed0a676p-17, -0x1.82d9af1303be8p-17, -0x1.7cc88543f4899p-17, -0x1.76b5d191cba9fp-17, -0x1.70a1b2e642ca9p-17, -0x1.6a8c513e042d3p-17, -0x1.6475dced470abp-17, -0x1.5e5e8ded7f17p-17, -0x1.5846a333cfe42p-17, -0x1.522e620fe95a2p-17, -0x1.4c161592fc8fbp-17, -0x1.45fe0dfe682ap-17, -0x1.3fe6a039ea8cdp-17, -0x1.39d02550f5678p-17, -0x1.33baf9f6e5a89p-17, -0x1.2da77e11d7117p-17, -0x1.2796144bcdce3p-17, -0x1.218721a9f760ep-17, -0x1.1b7b0d29bfb83p-17, -0x1.15723f63805cdp-17, -0x1.0f6d22328d541p-17, -0x1.096c20626558cp-17, -0x1.036fa560d0f68p-17, -0x1.faf039e9725d5p-18, -0x1.ef0be5f305dc1p-18, -0x1.e333263d7ea95p-18, -0x1.d766d157fb4e2p-18, -0x1.cba7bc9129f1bp-18, -0x1.bff6bb8e6ce06p-18, -0x1.b4549fea3bd22p-18, -0x1.a8c238d9705d1p-18, -0x1.9d4052d72e088p-18, -0x1.91cfb7571953fp-18, -0x1.86712c7d91513p-18, -0x1.7b2574ddaaad9p-18, -0x1.6fed4f3ca011dp-18, -0x1.64c9765a7da15p-18, -0x1.59baa0bfc18c5p-18, -0x1.4ec1808fb85b2p-18, -0x1.43dec35f5b4c7p-18, -0x1.391312107284bp-18, -0x1.2e5f10b0caeb7p-18, -0x1.23c35e5d48ab4p-18, -0x1.19409528a3973p-18, -0x1.0ed74a059d9f5p-18, -0x1.04880cb4857efp-18, -0x1.f4a6cf67af0dfp-19, -0x1.e073c067a72d8p-19, -0x1.cc77ec19bb357p-19, -0x1.b8b44770ff46cp-19, -0x1.a529bc99da984p-19, -0x1.91d92af5b6f6fp-19, -0x1.7ec3671b22352p-19, -0x1.6be93ada1604bp-19, -0x1.594b654429b4bp-19, -0x1.46ea9ab86c1afp-19, -0x1.34c784f2b0a11p-19, -0x1.22e2c31e100bep-19, -0x1.113ce9ea6e4adp-19, -0x1.ffad074993e18p-20, -0x1.dd6020a44e6d7p-20, -0x1.bb940b99d5743p-20, -0x1.9a499fc8db8b7p-20, -0x1.7981a0fd51f7fp-20, -0x1.593cbf7791fdcp-20, -0x1.397b983706023p-20, -0x1.1a3eb5480d52cp-20, -0x1.f70d1c29a87a7p-21, -0x1.baa70f719cff5p-21, -0x1.7f4beaad4c207p-21, -0x1.44fc30e09d992p-21, -0x1.0bb8428218adfp-21, -0x1.a700bc64be3c9p-22, -0x1.38a942ed538e2p-22, -0x1.98d425d786ef5p-23, -0x1.890b9dbfabd36p-24, 0x1.73308c79a0e41p-28, 0x1.af16a36de9119p-24, 0x1.9f518c39a7e4ep-23, 0x1.31774caa89575p-22, 0x1.9132a6d2e27fap-22, 0x1.eedc74f2533b3p-22, 0x1.253b45f3e667ep-21, 0x1.520179c4b71b6p-21, 0x1.7dc1f28cffdd4p-21, 0x1.a87de4dfd7c68p-21, 0x1.d2369c7e3b177p-21, 0x1.faed7b9442ab9p-21, 0x1.1151fcfbc834cp-20, 0x1.24add2338ac95p-20, 0x1.378b0de63611bp-20, 0x1.49ea8a3f6320bp-20, 0x1.5bcd2ac3e749cp-20, 0x1.6d33dbf52ac4dp-20, 0x1.7e1f92f598a1fp-20, 0x1.8e914d2e159b5p-20, 0x1.9e8a0ff4a05b1p-20, 0x1.ae0ae83425954p-20, 0x1.bd14ea157fe5p-20, 0x1.cba930a9cbc59p-20, 0x1.d9c8dd95f899dp-20, 0x1.e77518bfbccc7p-20, 0x1.f4af0ffbd970ep-20, 0x1.00bbfb5ee6d61p-19, 0x1.06e882e475746p-19, 0x1.0cddbd716a1b5p-19, 0x1.129c4c43becb9p-19, 0x1.1824d2cf4aa68p-19, 0x1.1d77f69935f93p-19, 0x1.22965f142c828p-19, 0x1.2780b57d4e88p-19, 0x1.2c37a4b9e39c4p-19, 0x1.30bbd935cc33ap-19, 0x1.350e00c2b57dap-19, 0x1.392eca780ca0fp-19, 0x1.3d1ee693b68ap-19, 0x1.40df065b83133p-19, 0x1.446fdbff67a1cp-19, 0x1.47d21a7c6febbp-19, 0x1.4b06758076c63p-19, 0x1.4e0da14e96d8p-19, 0x1.50e852a458f3dp-19, 0x1.53973e9f9e5f5p-19, 0x1.561b1aa54426p-19, 0x1.58749c4881317p-19, 0x1.5aa47932f5eefp-19, 0x1.5cab670d746c4p-19, 0x1.5e8a1b697ce33p-19, 0x1.60414bab660eap-19, 0x1.61d1acf53a80dp-19, 0x1.633bf4123d273p-19, 0x1.6480d5631d9fap-19, 0x1.65a104cad16bdp-19, 0x1.669d359c132a5p-19, 0x1.67761a878ab65p-19, 0x1.682c658a8e9e8p-19, 0x1.68c0c7de8ba11p-19, 0x1.6933f1e903c35p-19, 0x1.6986932c2a363p-19, 0x1.69b95a3815ae8p-19, 0x1.69ccf49c85bdbp-19, 0x1.69c20edb3e0aep-19, 0x1.6999545aed0d6p-19, 0x1.69536f5aa129bp-19, 0x1.68f108e5c9e31p-19, 0x1.6872c8c8bda32p-19, 0x1.67d95585c4aadp-19, 0x1.6725544aa9c11p-19, 0x1.665768e6c482dp-19, 0x1.657035c185fb8p-19, 0x1.64705bd17c909p-19, 0x1.63587a93ceae1p-19, 0x1.622930042ded7p-19, 0x1.60e3189538575p-19, 0x1.5f86cf294bc94p-19, 0x1.5e14ed0bc4935p-19, 0x1.5c8e09eaa90a2p-19, 0x1.5af2bbd0b9663p-19, 0x1.5943971fe9216p-19, 0x1.57812e8c36deap-19, 0x1.55ac1316e7787p-19, 0x1.53c4d40a1cb73p-19, 0x1.51cbfef4c9fe9p-19, 0x1.4fc21fa6fedf5p-19, 0x1.4da7c02e8947fp-19, 0x1.4b7d68d3ed9a4p-19, 0x1.4943a017adbabp-19, 0x1.46faeaafdf18ap-19, 0x1.44a3cb861292ep-19, 0x1.423ec3b58188fp-19, 0x1.3fcc5289882a8p-19, 0x1.3d4cf57c60ebcp-19, 0x1.3ac128362a562p-19, 0x1.3829648c2baeep-19, 0x1.3586228059066p-19, 0x1.32d7d8411744cp-19, 0x1.301efa293b963p-19, 0x1.2d5bfac042c2p-19, 0x1.2a8f4abac5091p-19, 0x1.27b958fb1d523p-19, 0x1.24da929241566p-19, 0x1.21f362c0d499ap-19, 0x1.1f0432f8632a5p-19, 0x1.1c0d6adcd0d5bp-19, 0x1.190f7045f398cp-19, 0x1.160aa74158259p-19, 0x1.12ff721432389p-19, 0x1.0fee313d7547ep-19, 0x1.0cd743780fc92p-19, 0x1.09bb05bd4f64fp-19, 0x1.0699d34766063p-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.f18bab741d237p-5, 0x1.1217da98486afp-4, 0x1.2b899945c62afp-4, 0x1.451d9fc7c3325p-4, 0x1.5ed63114529d8p-4, 0x1.78b52a2973ec1p-4, 0x1.92bbe9c67cf65p-4, 0x1.aceb3c1a19fb1p-4, 0x1.c7434b246c5bbp-4, 0x1.e1c3940f719bbp-4, 0x1.fc6ae15d1aa9fp-4, 0x1.0b9ba4c1c669ap-3, 0x1.191318b12c8bbp-3, 0x1.269a28f20b666p-3, 0x1.342ee00cc4f3fp-3, 0x1.41cefb916aeb8p-3, 0x1.4f77f1a597a3cp-3, 0x1.5d26f6e892589p-3, 0x1.6ad90476eca96p-3, 0x1.788adde2d14bfp-3, 0x1.8639170208847p-3, 0x1.93e0197cbf676p-3, 0x1.a17c2a1125a81p-3, 0x1.af096d86f4965p-3, 0x1.bc83ed536f8dbp-3, 0x1.c9e79bf25c5dcp-3, 0x1.d73058fafedd9p-3, 0x1.e459f4f9711ebp-3, 0x1.f16035152cd78p-3, 0x1.fe3ed68d38198p-3, 0x1.0578c908cbe8fp-2, 0x1.0bba0f8039276p-2, 0x1.11e11b45ed4a5p-2, 0x1.17ebcb65f7175p-2, 0x1.1dd802dfa719bp-2, 0x1.23a3aa1d6ddacp-2, 0x1.294cb06430b6dp-2, 0x1.2ed10d3978bc7p-2, 0x1.342ec1bf77387p-2, 0x1.3963da059fc1dp-2, 0x1.3e6e6e4c73f76p-2, 0x1.434ca43af35abp-2, 0x1.47fcb0044b7a6p-2, 0x1.4c7cd57c4d4f6p-2, 0x1.50cb69197b6a3p-2, 0x1.54e6d0e38b96dp-2, 0x1.58cd854d8e93ap-2, 0x1.5c7e11fb10927p-2, 0x1.5ff7166fd385p-2, 0x1.633746a9f6585p-2, 0x1.663d6ba6a2305p-2, 0x1.690863d17c88ap-2, 0x1.6b97235f64cedp-2, 0x1.6de8b4951cab5p-2, 0x1.6ffc37faac529p-2, 0x1.71d0e47c73707p-2, 0x1.7366077ae5541p-2, 0x1.74bb04ca1625ep-2, 0x1.75cf56a22f8d2p-2, 0x1.76a28d8209df1p-2, 0x1.7734500509084p-2, 0x1.77845aad709c6p-2, 0x1.77927fa44f906p-2, 0x1.775ea6701bc62p-2, 0x1.76e8cba3069d4p-2, 0x1.76310082068bep-2, 0x1.75376aa57fb83p-2, 0x1.73fc43945c7c3p-2, 0x1.727fd85a5c9d8p-2, 0x1.70c2891a47a07p-2, 0x1.6ec4c89c9ec91p-2, 0x1.6c871bdb52bafp-2, 0x1.6a0a198af619ap-2, 0x1.674e69a1ceceap-2, 0x1.6454c4dd1982cp-2, 0x1.611df444c68c5p-2, 0x1.5daad0ade5184p-2, 0x1.59fc423be9dap-2, 0x1.56133fe0f2b14p-2, 0x1.51f0cedd1c5f3p-2, 0x1.4d96023d019cbp-2, 0x1.4903fa5767f63p-2, 0x1.443be44a22583p-2, 0x1.3f3ef9762e934p-2, 0x1.3a0e7efb0dd84p-2, 0x1.34abc5315273ep-2, 0x1.2f1827246ab55p-2, 0x1.29550a0ba0a44p-2, 0x1.2363dcc2543dcp-2, 0x1.1d46173f750f2p-2, 0x1.16fd3a0c396b7p-2, 0x1.108acdba24d46p-2, 0x1.09f06258649f5p-2, 0x1.032f8ee8923adp-2, 0x1.f893e1a5dbfep-3, 0x1.ea8256b459d6ep-3, 0x1.dc2dce1ddb1afp-3, 0x1.cd99a285e9373p-3, 0x1.bec936f8a8e83p-3, 0x1.afbff5d13c91ep-3, 0x1.a0814fa092c82p-3, 0x1.9110ba14ed8f3p-3, 0x1.8171aee27f911p-3, 0x1.71a7aaad757b7p-3, 0x1.61b62bf5d3514p-3, 0x1.51a0b20580499p-3, 0x1.416abbe0ebaacp-3, 0x1.3117c73ab18b2p-3, 0x1.20ab4f6a99311p-3, 0x1.1028cc686ad97p-3, 0x1.ff276395dba48p-4, 0x1.dddedb96f4724p-4, 0x1.bc7ed09d1c25fp-4, 0x1.9b0e03e352f0fp-4, 0x1.7993263de729dp-4, 0x1.5814d64dc158fp-4, 0x1.36999ec09057ep-4, 0x1.1527f49e5e609p-4, 0x1.e78c6b4a67c8dp-5, 0x1.a4f54d66adac2p-5, 0x1.6296e4815dd6p-5, 0x1.207d4dcf8df71p-5, 0x1.bd68d7fb84cd1p-6, 0x1.3a8fc905fa96dp-6, 0x1.710c7455bc293p-7, 0x1.bb13941606162p-9, -0x1.23173ee91c917p-8, -0x1.8fbab6f5e9e2ep-7, -0x1.45cf90d4258ecp-6, -0x1.c28864b8a8a5cp-6, -0x1.1efa3234a0287p-5, -0x1.5c005c4e58043p-5, -0x1.984d942fefd37p-5, -0x1.d3d90dd7239c2p-5, -0x1.074d2770bff0ep-4, -0x1.244497c8be482p-4, -0x1.40ceedd8415eep-4, -0x1.5ce869a71d6c9p-4, -0x1.788d75aed3f5dp-4, -0x1.93baa71844d4fp-4, -0x1.ae6cbde8d3698p-4, -0x1.c8a0a51f50552p-4, -0x1.e25372c0feac8p-4, -0x1.fb8267d71dfd3p-4, -0x1.0a15782ea3486p-3, -0x1.1625519096775p-3, -0x1.21efa0ca036afp-3, -0x1.2d735bc71641p-3, -0x1.38af8d82b1a4ap-3, -0x1.43a355db22d98p-3, -0x1.4e4de960a052cp-3, -0x1.58ae911de11e5p-3, -0x1.62c4aa5afae31p-3, -0x1.6c8fa65ad83e3p-3, -0x1.760f0a1383514p-3, -0x1.7f426de17f6eep-3, -0x1.88297d3686584p-3, -0x1.90c3f643e156dp-3, -0x1.9911a9a09ae2bp-3, -0x1.a11279ebdfec1p-3, -0x1.a8c65b6bbbe01p-3, -0x1.b02d53a882fa2p-3, -0x1.b747790524ef2p-3, -0x1.be14f254a5855p-3, -0x1.c495f66d041aap-3, -0x1.cacacbb7c6e09p-3, -0x1.d0b3c7c06d882p-3, -0x1.d6514ec1080f7p-3, -0x1.dba3d32d25968p-3, -0x1.e0abd53b5fd77p-3, -0x1.e569e26db3a2ep-3, -0x1.e9de9518e06e2p-3, -0x1.ee0a93eb03babp-3, -0x1.f1ee9171a7c09p-3, -0x1.f58b4b9f6dd25p-3, -0x1.f8e18b51920ccp-3, -0x1.fbf223d56fe8cp-3, -0x1.febdf26e33a8p-3, -0x1.00a2eeed74f08p-2, -0x1.01c56aee889ccp-2, -0x1.02c6e95fefc86p-2, -0x1.03a7ea7026fb2p-2, -0x1.0468f21b16403p-2, -0x1.050a87ef23d9fp-2, -0x1.058d36d2e3f77p-2, -0x1.05f18ccb7c4c4p-2, -0x1.06381ac3bcda4p-2, -0x1.066174540a859p-2, -0x1.066e2f8b1be28p-2, -0x1.065ee4b79eab3p-2, -0x1.06342e32cab43p-2, -0x1.05eea82bef913p-2, -0x1.058ef07507e8dp-2, -0x1.0515a6505ad2cp-2, -0x1.04836a3f30168p-2, -0x1.03d8ddd1a63f1p-2, -0x1.0316a377acb62p-2, -0x1.023d5e53256c1p-2, -0x1.014db20b3bae9p-2, -0x1.004842a0eca93p-2, -0x1.fe5b688999fecp-3, -0x1.fbfd565c10d78p-3, -0x1.f97796e5469edp-3, -0x1.f6cb71c1fc616p-3, -0x1.f3fa2db54001bp-3, -0x1.f105106082dfcp-3, -0x1.eded5dfe46da4p-3, -0x1.eab4591f52b32p-3, -0x1.e75b426a7786ep-3, -0x1.e3e3585ede883p-3, -0x1.e04dd718e1a5dp-3, -0x1.dc9bf81969d1cp-3, -0x1.d8cef20fce856p-3, -0x1.d4e7f8a6359ffp-3, -0x1.d0e83c50674ffp-3, -0x1.ccd0ea1d1525ep-3, -0x1.c8a32b898b841p-3, -0x1.c4602657c906dp-3, -0x1.c008fc66edd08p-3, -0x1.bb9ecb8dfe555p-3, -0x1.b722ad78f1bacp-3, -0x1.b295b787fdb84p-3, -0x1.adf8fab11b94p-3, -0x1.a94d8363b4a3p-3, -0x1.a494596e772e4p-3, -0x1.9fce7fe736b62p-3, -0x1.9afcf514df7eap-3, -0x1.9620b25b67665p-3, -0x1.913aac29adf63p-3, -0x1.8c4bd1e943befp-3, -0x1.87550df012db9p-3, -0x1.82574573cc74p-3, -0x1.7d53587f1c204p-3, -0x1.784a21e88dd2fp-3, -0x1.733c774b1f408p-3, -0x1.6e2b29006889bp-3, -0x1.6917021c527adp-3, -0x1.6400c86a4d2eap-3, -0x1.5ee93c6c00ecep-3, -0x1.59d119595a7adp-3, -0x1.54b91521fba9bp-3, -0x1.4fa1e06ff4de4p-3, -0x1.4a8c26abbd03fp-3, -0x1.45788e015b9a1p-3, -0x1.4067b766c4dc2p-3, -0x1.3b5a3ea33ead3p-3, -0x1.3650ba57e0bf2p-3, -0x1.314bbc09112c5p-3, -0x1.2c4bd028f83d9p-3, -0x1.27517e22d8e21p-3, -0x1.225d48674cf95p-3, -0x1.1d6fac795133dp-3, -0x1.188922fc15fb8p-3, -0x1.13aa1fc18f3c8p-3, -0x1.0ed311d9afb43p-3, -0x1.0a0463a24ee4bp-3, -0x1.053e7ad7a653ep-3, -0x1.0081b8a562902p-3, -0x1.f79cf3706cc87p-4, -0x1.ee4a2c9fe2349p-4, -0x1.e50bc4a3fad82p-4, -0x1.dbe25ab8b1e89p-4, -0x1.d2ce85b1b756dp-4, -0x1.c9d0d421c7566p-4, -0x1.c0e9cc828b1c2p-4, -0x1.b819ed5d1b761p-4, -0x1.af61ad72eb2efp-4, -0x1.a6c17be72ad3ep-4, -0x1.9e39c06880ecp-4, -0x1.95cadb5b1b60ep-4, -0x1.8d752602f364ap-4, -0x1.8538f2ae4ca0ap-4, -0x1.7d168ce054c39p-4, -0x1.750e397bdace9p-4, -0x1.6d2036ee1394cp-4, -0x1.654cbd595a019p-4, -0x1.5d93febfe6ed4p-4, -0x1.55f6272e6e611p-4, -0x1.4e735ce69d8b3p-4, -0x1.470bc0896b4f4p-4, -0x1.3fbf6d413497p-4, -0x1.388e78eb9a2f7p-4, -0x1.3178f44315a3ep-4, -0x1.2a7eeb0841bf9p-4, -0x1.23a0642ac8cf5p-4, -0x1.1cdd61f1f65b1p-4, -0x1.1635e224e2219p-4, -0x1.0fa9de322e5c7p-4, -0x1.09394b575512bp-4, -0x1.02e41ac77bdb8p-4, -0x1.f95473a392a33p-5, -0x1.ed17240e737e9p-5, -0x1.e11012bfd30aap-5, -0x1.d53f04bfab295p-5, -0x1.c9a3b876158c5p-5, -0x1.be3de5f282d7p-5, -0x1.b30d3f31c4397p-5, -0x1.a8117062e01fcp-5, -0x1.9d4a202aabfafp-5, -0x1.92b6efe627f93p-5, -0x1.88577beb9494dp-5, -0x1.7e2b5bca45256p-5, -0x1.74322289226e4p-5, -0x1.6a6b5ee3e217p-5, -0x1.60d69b86ed6d5p-5, -0x1.57735f49f6617p-5, -0x1.4e412d69362aep-5, -0x1.453f85bd5bea2p-5, -0x1.3c6de4f2216dbp-5, -0x1.33cbc4bb8d7dfp-5, -0x1.2b589c09de689p-5, -0x1.2313df3c21b89p-5, -0x1.1afd005175967p-5, -0x1.13136f18fb33cp-5, -0x1.0b56996071d03p-5, -0x1.03c5eb218979fp-5, -0x1.f8c19d5bc3d82p-6, -0x1.ea4d59b385204p-6, -0x1.dc2dda4b10f1p-6, -0x1.ce61ebcb9e7ffp-6, -0x1.c0e858d4ad22p-6, -0x1.b3bfea4755551p-6, -0x1.a6e7678f1c3ebp-6, -0x1.9a5d96e86024bp-6, -0x1.8e213da4529e3p-6, -0x1.8231206a99d16p-6, -0x1.768c03789a266p-6, -0x1.6b30aade6b409p-6, -0x1.601ddab98f762p-6, -0x1.5552576d63ec4p-6, -0x1.4acce5d96902cp-6, -0x1.408c4b8d5717fp-6, -0x1.368f4efb17926p-6, -0x1.2cd4b7a6a8857p-6, -0x1.235b4e53f091cp-6, -0x1.1a21dd32927cep-6, -0x1.11273007cb0e7p-6, -0x1.086a14565ed39p-6, -0x1.ffd2b30944ae3p-7, -0x1.ef47a20163d57p-7, -0x1.df309cc5a3ef7p-7, -0x1.cf8b4f1c20f03p-7, -0x1.c055699e617cdp-7, -0x1.b18ca1f3bede9p-7, -0x1.a32eb3089876cp-7, -0x1.95395d4246076p-7, -0x1.87aa66affa142p-7, -0x1.7a7f9b388be8ap-7, -0x1.6db6ccc557b66p-7, -0x1.614dd36a42dcfp-7, -0x1.55428d8ae72cfp-7, -0x1.4992dffd13972p-7, -0x1.3e3cb628aa05fp-7, -0x1.333e0224e9277p-7, -0x1.2894bcd33ffe8p-7, -0x1.1e3ee5f7ba266p-7, -0x1.143a844f187bdp-7, -0x1.0a85a5a2a9e0dp-7, -0x1.011e5ed9f68a2p-7, -0x1.f0059814a2cdap-8, -0x1.de622108c079fp-8, -0x1.cd4eadbf5d801p-8, -0x1.bcc7a208bb07fp-8, -0x1.acc97065fa41ep-8, -0x1.9d509a155396p-8, -0x1.8e59af1ae932ep-8, -0x1.7fe14e465cf1ap-8, -0x1.71e42535468f2p-8, -0x1.645ef052aae01p-8, -0x1.574e7ad393864p-8, -0x1.4aaf9eb0e7866p-8, -0x1.3e7f449ea00b8p-8, -0x1.32ba640079267p-8, -0x1.275e02dc3af77p-8, -0x1.1c6735c9b767cp-8, -0x1.11d31fe095c7cp-8, -0x1.079ef2a40cb15p-8, -0x1.fb8fdbd93b325p-9, -0x1.e896bf9fe5fdfp-9, -0x1.d64d490de5ee3p-9, -0x1.c4ae4ca44738fp-9, -0x1.b3b4bab8f0feap-9, -0x1.a35b9f3938f88p-9, -0x1.939e2169a603ep-9, -0x1.847783a30981ap-9, -0x1.75e3230d1782cp-9, -0x1.67dc7756ac7b1p-9, -0x1.5a5f126be090fp-9, -0x1.4d66a02a1a14p-9, -0x1.40eee6123990ap-9, -0x1.34f3c2f90bf8ap-9, -0x1.29712eb624187p-9, -0x1.1e6339d1380ebp-9, -0x1.13c60d2e2eaebp-9, -0x1.0995e9b7f2c32p-9, -0x1.ff9e50145bee2p-10, -0x1.ecdc70341b78ep-10, -0x1.dadf41bc4e09bp-10, -0x1.c99fffeb3646ap-10, -0x1.b918129d2d371p-10, -0x1.a9410d987d686p-10, -0x1.9a14afd86163cp-10, -0x1.8b8ce2d73adc9p-10, -0x1.7da3b9d84984p-10, -0x1.70537130ffe83p-10, -0x1.63966d921a678p-10, -0x1.57673b50ae41ap-10, -0x1.4bc08daf55eefp-10, -0x1.409d3e278cc16p-10, -0x1.35f84bb379fc2p-10, -0x1.2bccda183223bp-10, -0x1.221631309eefdp-10, -0x1.18cfbc392a057p-10, -0x1.0ff5091c40fdp-10, -0x1.0781c7bfcffb5p-10, -0x1.fee392a7a5p-11, -0x1.ef81ff44253d7p-11, -0x1.e0d6f8be460b5p-11, -0x1.d2dae0f96f03fp-11, -0x1.c58656fad37dcp-11, -0x1.b8d23593fe60dp-11, -0x1.acb79210845a9p-11, -0x1.a12fbae701d19p-11, -0x1.9634366d81327p-11, -0x1.8bbec1916b95cp-11, -0x1.81c94e931ab7cp-11, -0x1.784e03c52ce78p-11, -0x1.6f473a4fab98cp-11, -0x1.66af7cf722c34p-11, -0x1.5e8186e7b453ap-11, -0x1.56b8428443d2p-11, -0x1.4f4ec839c341bp-11, -0x1.48405d56b422cp-11, -0x1.418872e6eb736p-11, -0x1.3b22a493a0cb6p-11, -0x1.350ab787d6c2p-11, -0x1.2f3c9959247fap-11, -0x1.29b45ef4e7e9ap-11, -0x1.246e4391e8833p-11, -0x1.1f66a7a66e64fp-11, -0x1.1a9a0fe2d35e6p-11, -0x1.160524308f28fp-11, -0x1.11a4aeb5c32cbp-11, -0x1.0d759add440a5p-11, -0x1.0974f4632209cp-11, -0x1.059fe665b11b3p-11, -0x1.01f3ba7b08884p-11, -0x1.fcdbaf960060ep-12, -0x1.f617845b3ddd4p-12, -0x1.ef96329bf61a2p-12, -0x1.e9532fa30cf69p-12, -0x1.e34a25077dc67p-12, -0x1.dd76ef0c7a39ep-12, -0x1.d7d59b0a37cbep-12, -0x1.d26265df5a9a3p-12, -0x1.cd19ba6af0247p-12, -0x1.c7f8300ee3e08p-12, -0x1.c2fa893adcfafp-12, -0x1.be1db1ff72cbdp-12, -0x1.b95ebea99d6eep-12, -0x1.b4baea66556dbp-12, -0x1.b02f95ee42f77p-12, -0x1.abba46396d54ep-12, -0x1.a758a33accdfap-12, -0x1.a30876a3abacap-12, -0x1.9ec7aaaeb8fc2p-12, -0x1.9a9448f2b4deep-12, -0x1.966c793ca0b13p-12, -0x1.924e8071514c7p-12, -0x1.8e38bf764e365p-12, -0x1.8a29b221e16fep-12, -0x1.861fee323a9d2p-12, -0x1.821a224b8bdap-12, -0x1.7e1714fd04c43p-12, -0x1.7a15a3cc8d8c8p-12, -0x1.7614c249270b2p-12, -0x1.72137923d45d6p-12, -0x1.6e10e54eef6cfp-12, -0x1.6a0c3723ce426p-12, -0x1.6604b18e9bdcp-12, -0x1.61f9a940465dap-12, -0x1.5dea83e666abap-12, -0x1.59d6b769083a9p-12, -0x1.55bdc92e31185p-12, -0x1.519f4d630b1c9p-12, -0x1.4d7ae64a9ae2p-12, -0x1.49504391e0f55p-12, -0x1.451f21a948d9dp-12, -0x1.40e749234fd25p-12, -0x1.3ca88e18428efp-12, -0x1.3862cf8efa52dp-12, -0x1.3415f6ea78405p-12, -0x1.2fc1f75c4af8ep-12, -0x1.2b66cd5b9e986p-12, -0x1.27047e20df9f7p-12, -0x1.229b1725d3147p-12, -0x1.1e2aadaa0bfc6p-12, -0x1.19b35e3ba64cap-12, -0x1.15354c44299d8p-12, -0x1.10b0a1997ca41p-12, -0x1.0c258e12cfc97p-12, -0x1.07944721693fap-12, -0x1.02fd076d33f5bp-12, -0x1.fcc01cea0180fp-13, -0x1.f37b4064bc7e5p-13, -0x1.ea2c0981d8ecep-13, -0x1.e0d310123f0c2p-13, -0x1.d770f2dc9f633p-13, -0x1.ce0657000d0bep-13, -0x1.c493e75ce8c92p-13, -0x1.bb1a5403e4291p-13, -0x1.b19a51ab0547dp-13, -0x1.a81499286a593p-13, -0x1.9e89e6f2bbdc3p-13, -0x1.94fafaa7159fcp-13, -0x1.8b6896943fdd9p-13, -0x1.81d37f4b1b98fp-13, -0x1.783c7b340b4f7p-13, -0x1.6ea452294a789p-13, -0x1.650bcd15f12d5p-13, -0x1.5b73b5999842dp-13, -0x1.51dcd5b07380bp-13, -0x1.4847f75fb7a01p-13, -0x1.3eb5e46631f2p-13, -0x1.352765f0f05b9p-13, -0x1.2b9d4453d2eb4p-13, -0x1.221846c5ef9d1p-13, -0x1.18993321a1921p-13, -0x1.0f20cda828b59p-13, -0x1.05afd8c8ba4a6p-13, -0x1.f88e29d5d419dp-14, -0x1.e5ce80788dfb2p-14, -0x1.d3222d0228cf2p-14, -0x1.c08aa1d0130c2p-14, -0x1.ae094bc1dae5p-14, -0x1.9b9f91ec1417p-14, -0x1.894ed5508f9abp-14, -0x1.7718709bd55ecp-14, -0x1.64fdb7e798b4dp-14, -0x1.52fff88204db9p-14, -0x1.412078b9adf16p-14, -0x1.2f6077adfb13bp-14, -0x1.1dc12d23de417p-14, -0x1.0c43c95eaf7c8p-14, -0x1.f5d2e9f9ff239p-15, -0x1.d366a1b2790cp-15, -0x1.b144ebdc011d6p-15, -0x1.8f6fea7bc4af9p-15, -0x1.6de9af7d48597p-15, -0x1.4cb43c8f39767p-15, -0x1.2bd183066c9d5p-15, -0x1.0b4363c6c5a97p-15, -0x1.d6175e6383fdcp-16, -0x1.96584a34db1d5p-16, -0x1.574ce97cf3a63p-16, -0x1.18f87988822bep-16, -0x1.b6bc2cf5dbcb3p-17, -0x1.3d0176b93b918p-17, -0x1.898d08c6f7b03p-18, -0x1.384320c8b9575p-19, 0x1.38d468d74a273p-20, 0x1.356d17ccb498fp-18, 0x1.0cbe854bce19bp-17, 0x1.7d2e0aa9cd8abp-17, 0x1.ec00ed1f42f7dp-17, 0x1.2c999e7eb0777p-16, 0x1.6260a497516e8p-16, 0x1.9753cf49c642p-16, 0x1.cb7183aae07fep-16, 0x1.feb84519104ccp-16, 0x1.18935a6e9888dp-15, 0x1.315dc8e3b92a7p-15, 0x1.49badbe446252p-15, 0x1.61aa0fc3cc038p-15, 0x1.792aeefa5d161p-15, 0x1.903d11ec76ee7p-15, 0x1.a6e01eb192a8fp-15, 0x1.bd13c8d97a51dp-15, 0x1.d2d7d1308711bp-15, 0x1.e82c0582dbf15p-15, 0x1.fd10405eba646p-15, 0x1.08c2346b048d4p-14, 0x1.12c4391f9212fp-14, 0x1.1c8e2dfa88345p-14, 0x1.2620188b9110cp-14, 0x1.2f7a04241a135p-14, 0x1.389c01b6bdd68p-14, 0x1.418627b68a01dp-14, 0x1.4a3891f6262a7p-14, 0x1.52b36186e8828p-14, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.ad300c6b8e0ap-5, 0x1.d87f5f884d5cfp-5, 0x1.01f542f73bc5fp-4, 0x1.17b9f03ef799cp-4, 0x1.2d8edd9e471a7p-4, 0x1.43751fe7dbe19p-4, 0x1.596db3bb273bbp-4, 0x1.6f7976b30f3fbp-4, 0x1.8599211ec7032p-4, 0x1.9bcd40838a379p-4, 0x1.b216330e1e07cp-4, 0x1.c874240668674p-4, 0x1.dee70946a1345p-4, 0x1.f56ea1aacca06p-4, 0x1.06053a3232c07p-3, 0x1.115ce88c07722p-3, 0x1.1cbde85439dccp-3, 0x1.2827ab485ce88p-3, 0x1.33998958db07bp-3, 0x1.3f12c1bba7758p-3, 0x1.4a927c1f25cb2p-3, 0x1.5617c9f30020bp-3, 0x1.61a1a7be53d3p-3, 0x1.6d2efe7c53121p-3, 0x1.78bea4f9e201ap-3, 0x1.844f61302f8d5p-3, 0x1.8fdfe99970bedp-3, 0x1.9b6ee67dcd9acp-3, 0x1.a6faf3377f8dbp-3, 0x1.b2829f6d94abdp-3, 0x1.be0470455c297p-3, 0x1.c97ee18ab458p-3, 0x1.d4f066cfbd36fp-3, 0x1.e0576c8472a8bp-3, 0x1.ebb25906b8651p-3, 0x1.f6ff8dab68cb2p-3, 0x1.011eb3e0641b3p-2, 0x1.06b520c55debp-2, 0x1.0c42399c78e21p-2, 0x1.11c529eb9088p-2, 0x1.173d1d1ba9d51p-2, 0x1.1ca93eeb1056cp-2, 0x1.2208bbdc597bfp-2, 0x1.275ac1a2235edp-2, 0x1.2c9e7f8773573p-2, 0x1.31d326d47eaep-2, 0x1.36f7eb2fbb231p-2, 0x1.3c0c02fb07552p-2, 0x1.410ea7acbdc01p-2, 0x1.45ff1624969adp-2, 0x1.4adc8efc2916ap-2, 0x1.4fa656d3001e9p-2, 0x1.545bb6961d35ep-2, 0x1.58fbfbc2eba84p-2, 0x1.5d8678a58a181p-2, 0x1.61fa84927c03cp-2, 0x1.66577c1bbae5fp-2, 0x1.6a9cc14139da4p-2, 0x1.6ec9bb9cee3f2p-2, 0x1.72ddd88a6fce6p-2, 0x1.76d88b4a52e9ap-2, 0x1.7ab94d215a22fp-2, 0x1.7e7f9d73a14edp-2, 0x1.822b01dbec58fp-2, 0x1.85bb063f401dcp-2, 0x1.892f3cdcf307ap-2, 0x1.8c873e5b5d043p-2, 0x1.8fc2a9d155e03p-2, 0x1.92e124ccac43ep-2, 0x1.95e25b55c30c7p-2, 0x1.98c5fff07eca6p-2, 0x1.9b8bcb9aaa89ep-2, 0x1.9e337dc802f44p-2, 0x1.a0bcdc5c06934p-2, 0x1.a327b3a1b6508p-2, 0x1.a573d6416489bp-2, 0x1.a7a11d34b7ab2p-2, 0x1.a9af67b8fdc7ep-2, 0x1.ab9e9b3feb22ap-2, 0x1.ad6ea35ee4a3ap-2, 0x1.af1f71bce9248p-2, 0x1.b0b0fdff33f5ep-2, 0x1.b22345b4abf8bp-2, 0x1.b3764c4034676p-2, 0x1.b4aa1ac1f0051p-2, 0x1.b5bebfff85373p-2, 0x1.b6b4504b76625p-2, 0x1.b78ae56b9675cp-2, 0x1.b8429e7eacff2p-2, 0x1.b8db9fe14cdaap-2, 0x1.b9561311f0697p-2, 0x1.b9b226946104ep-2, 0x1.b9f00dd4735ccp-2, 0x1.ba100108226dp-2, 0x1.ba123d110f32cp-2, 0x1.b9f7035d74864p-2, 0x1.b9be99c88a424p-2, 0x1.b9694a7a6e985p-2, 0x1.b8f763c790bbp-2, 0x1.b869380fac42dp-2, 0x1.b7bf1d9c5862p-2, 0x1.b6f96e7f36c73p-2, 0x1.b618886fc8575p-2, 0x1.b51ccca8ebb32p-2, 0x1.b4069fc61802fp-2, 0x1.b2d669a05081cp-2, 0x1.b18c952ae10f8p-2, 0x1.b029904feb42fp-2, 0x1.aeadcbccc9b3bp-2, 0x1.ad19bb0e55cd1p-2, 0x1.ab6dd40d19653p-2, 0x1.a9aa8f2970effp-2, 0x1.a7d06707af74p-2, 0x1.a5dfd86c43d1dp-2, 0x1.a3d96217f2b62p-2, 0x1.a1bd84a4299e4p-2, 0x1.9f8cc25f70a5dp-2, 0x1.9d479f2a111abp-2, 0x1.9aeea052e95e9p-2, 0x1.98824c7488076p-2, 0x1.96032b528b2b8p-2, 0x1.9371c5b753aecp-2, 0x1.90cea55212475p-2, 0x1.8e1a549539aadp-2, 0x1.8b555e955b29ep-2, 0x1.88804ee87b5dp-2, 0x1.859bb185de011p-2, 0x1.82a812a65bed5p-2, 0x1.7fa5fea5400e4p-2, 0x1.7c9601e1bc1c4p-2, 0x1.7978a8a0f34b5p-2, 0x1.764e7ef0a7b51p-2, 0x1.7318108a8d20ap-2, 0x1.6fd5e8b848a29p-2, 0x1.6c889238217ap-2, 0x1.6930972269c51p-2, 0x1.65ce80cfa13e7p-2, 0x1.6262d7bf582dp-2, 0x1.5eee237fd5287p-2, 0x1.5b70ea968219dp-2, 0x1.57ebb269254dp-2, 0x1.545eff27e1be4p-2, 0x1.50cb53b80bd4p-2, 0x1.4d31319fcdafep-2, 0x1.499118f29952ep-2, 0x1.45eb883e7557ep-2, 0x1.4240fc7a1943cp-2, 0x1.3e91f0f3de42cp-2, 0x1.3adedf4189298p-2, 0x1.37283f30e39bap-2, 0x1.336e86b92cb3ap-2, 0x1.2fb229ed5da72p-2, 0x1.2bf39aef3c3efp-2, 0x1.283349e3414c3p-2, 0x1.2471a4e54eb32p-2, 0x1.20af17fe2e741p-2, 0x1.1cec0d19e0699p-2, 0x1.1928ebfeac2d6p-2, 0x1.15661a44fd4d6p-2, 0x1.11a3fb4ffc2d2p-2, 0x1.0de2f046eb0edp-2, 0x1.0a23580f3c446p-2, 0x1.06658f4761895p-2, 0x1.02a9f04250fffp-2, 0x1.fde1a6077354p-3, 0x1.f6751a79ca53cp-3, 0x1.ef0ee4948af51p-3, 0x1.e7afa66342d89p-3, 0x1.e057fd41cfa27p-3, 0x1.d90881db33082p-3, 0x1.d1c1c829a0e32p-3, 0x1.ca845f77a79edp-3, 0x1.c350d2627cadap-3, 0x1.bc27a6dd5c4ffp-3, 0x1.b5095e35f3e07p-3, 0x1.adf67519c6d06p-3, 0x1.a6ef639c939bdp-3, 0x1.9ff49d3fa013ep-3, 0x1.990690f9f083dp-3, 0x1.9225a941502f9p-3, 0x1.8b524c1433f65p-3, 0x1.848cdb0463bfep-3, 0x1.7dd5b3425aep-3, 0x1.772d2da969fc7p-3, 0x1.70939ecc790aap-3, 0x1.6a09570374d2cp-3, 0x1.638ea27953be2p-3, 0x1.5d23c93aa843ap-3, 0x1.56c90f44c1d3p-3, 0x1.507eb49548e5bp-3, 0x1.4a44f53a51ce8p-3, 0x1.441c0962e3a5bp-3, 0x1.3e04256fdc717p-3, 0x1.37fd7a053dfb3p-3, 0x1.3208341bc80ccp-3, 0x1.2c247d12e9c2p-3, 0x1.26527ac2f22fdp-3, 0x1.20924f8f884a7p-3, 0x1.1ae41a7a532cdp-3, 0x1.1547f735de302p-3, 0x1.0fbdfe389f515p-3, 0x1.0a4644d0252bap-3, 0x1.04e0dd34649e2p-3, 0x1.ff1bad3637193p-4, 0x1.f49a7a968a723p-4, 0x1.ea3e35613b219p-4, 0x1.e006eade4e397p-4, 0x1.d5f4a2ed672bep-4, 0x1.cc07602ccca2fp-4, 0x1.c23f2020648cap-4, 0x1.b89bdb5887b0dp-4, 0x1.af1d8598b3da2p-4, 0x1.a5c40dfe15888p-4, 0x1.9c8f5f25d08ccp-4, 0x1.937f5f530a5dp-4, 0x1.8a93f094be0d4p-4, 0x1.81ccf0eb2a12p-4, 0x1.792a3a6cf90c8p-4, 0x1.70aba36c094e9p-4, 0x1.6850fe99d36f4p-4, 0x1.601a1b2b6805ep-4, 0x1.5806c4fd00da8p-4, 0x1.5016c4b51f35p-4, 0x1.4849dfe731d86p-4, 0x1.409fd935bfab5p-4, 0x1.3918707411c79p-4, 0x1.31b362c7585d2p-4, 0x1.2a706ac748a6bp-4, 0x1.234f409e2ed58p-4, 0x1.1c4f9a2872326p-4, 0x1.15712b13862c6p-4, 0x1.0eb3a4fc4b26p-4, 0x1.0816b78cd527p-4, 0x1.019a10999e13bp-4, 0x1.f67ab87c37b29p-5, 0x1.ea0089f17a0bep-5, 0x1.ddc4e78c8f272p-5, 0x1.d1c7207935324p-5, 0x1.c6068149a4043p-5, 0x1.ba8254299679fp-5, 0x1.af39e11012988p-5, 0x1.a42c6deff55f9p-5, 0x1.99593ee73d60bp-5, 0x1.8ebf966d179fcp-5, 0x1.845eb57ea9ceep-5, 0x1.7a35dbcaa5ddp-5, 0x1.704447db991e3p-5, 0x1.6689374106e2ep-5, 0x1.5d03e6b74557ap-5, 0x1.53b3924e262e4p-5, 0x1.4a97758e69a7ap-5, 0x1.41aecb9dfe1a2p-5, 0x1.38f8cf6310e2dp-5, 0x1.3074bba5f3eaap-5, 0x1.2821cb31d81afp-5, 0x1.1fff38f46261dp-5, 0x1.180c401c1fd95p-5, 0x1.10481c35d85d4p-5, 0x1.08b20948c96a3p-5, 0x1.014943f1c7284p-5, 0x1.f41a12fa9e7e1p-6, 0x1.e5f93001110a3p-6, 0x1.d82e5ce27702fp-6, 0x1.cab819798b03ap-6, 0x1.bd94e7bc12dfcp-6, 0x1.b0c34be4cc469p-6, 0x1.a441cc9b67e59p-6, 0x1.980ef31aa067cp-6, 0x1.8c294b54750f5p-6, 0x1.808f641493e03p-6, 0x1.753fcf20fa654p-6, 0x1.6a392158db22ep-6, 0x1.5f79f2d1c9d2dp-6, 0x1.5500def3443a8p-6, 0x1.4acc849096e79p-6, 0x1.40db86012be5p-6, 0x1.372c893752e48p-6, 0x1.2dbe37d58227bp-6, 0x1.248f3f42210cep-6, 0x1.1b9e50b9e8e9fp-6, 0x1.12ea2160dd9cep-6, 0x1.0a716a51ef6afp-6, 0x1.0232e8ad4c82ap-6, 0x1.f45abb4ad95ep-7, 0x1.e4bf1d15bdf3cp-7, 0x1.d59089add5a97p-7, 0x1.c6cc9c69fe4dap-7, 0x1.b870f91613fc5p-7, 0x1.aa7b4c016955p-7, 0x1.9ce94a0b2e846p-7, 0x1.8fb8b0acc9f23p-7, 0x1.82e746023be8bp-7, 0x1.7672d8d0a2521p-7, 0x1.6a59408ae6652p-7, 0x1.5e985d54af001p-7, 0x1.532e180396479p-7, 0x1.4818621eccc3ep-7, 0x1.3d5535dd2a436p-7, 0x1.32e29621b6394p-7, 0x1.28be8e76ceb74p-7, 0x1.1ee73307e56ddp-7, 0x1.155aa099f0642p-7, 0x1.0c16fc829769ep-7, 0x1.031a749e2eba8p-7, 0x1.f4c67e8919384p-8, 0x1.e3df36798e6b2p-8, 0x1.d37b9f5fd4745p-8, 0x1.c39858355dab5p-8, 0x1.b432107c8b7efp-8, 0x1.a54588207b2eap-8, 0x1.96cf8f5328a48p-8, 0x1.88cd0669f9744p-8, 0x1.7b3addb8cfccep-8, 0x1.6e16156bb24fep-8, 0x1.615bbd5f27351p-8, 0x1.5508f4f754753p-8, 0x1.491aeaf5faf1p-8, 0x1.3d8edd4f5e981p-8, 0x1.326218fe34543p-8, 0x1.2791f9d6a3849p-8, 0x1.1d1bea5872655p-8, 0x1.12fd63806935ep-8, 0x1.0933ec9905bb5p-8, 0x1.ff7a36150fb1bp-9, 0x1.ed2d2454daf44p-9, 0x1.db7c0614d5869p-9, 0x1.ca62588dd9c1p-9, 0x1.b9dbb3aa72628p-9, 0x1.a9e3c9a268233p-9, 0x1.9a766695bd78ep-9, 0x1.8b8f70272f12bp-9, 0x1.7d2ae5165770fp-9, 0x1.6f44dcd9867e8p-9, 0x1.61d987376d405p-9, 0x1.54e52be0accf7p-9, 0x1.48642a095e919p-9, 0x1.3c52f802b1461p-9, 0x1.30ae22d4a478cp-9, 0x1.25724dd7fc40dp-9, 0x1.1a9c32507d9dep-9, 0x1.10289f077fd72p-9, 0x1.061477e6ecc0dp-9, 0x1.f8b96b2969f26p-10, 0x1.e5fcca1d9d454p-10, 0x1.d3ed4e8f8cf56p-10, 0x1.c2856187ece79p-10, 0x1.b1bf926ed243cp-10, 0x1.a1969648f49bdp-10, 0x1.920546f679238p-10, 0x1.8306a2735c3c3p-10, 0x1.7495ca19945c3p-10, 0x1.66ae01e4ff32cp-10, 0x1.594aafb91c6b1p-10, 0x1.4c675aa8bfb62p-10, 0x1.3fffaa3fb47a7p-10, 0x1.340f65ce640dp-10, 0x1.289273b797386p-10, 0x1.1d84d8c05312dp-10, 0x1.12e2b761e2055p-10, 0x1.08a84f1e0c65cp-10, 0x1.fda3f7ab2e5p-11, 0x1.eab86a41fe61bp-11, 0x1.d8871b5713e6dp-11, 0x1.c70965214967bp-11, 0x1.b638d5773f728p-11, 0x1.a60f2c938f5cep-11, 0x1.96865bddc4f9ap-11, 0x1.879884b824701p-11, 0x1.793ff75244fd8p-11, 0x1.6b77318082e07p-11, 0x1.5e38dd984cb65p-11, 0x1.517fd1514ec3fp-11, 0x1.45470cab7cd7bp-11, 0x1.3989b8d9fafcfp-11, 0x1.2e432732e3e2ap-11, 0x1.236ed023eb5f7p-11, 0x1.1908522bd8946p-11, 0x1.0f0b70d8d7392p-11, 0x1.057413cb962adp-11, 0x1.f87c8b7e692c7p-12, 0x1.e6cc672bdf1c9p-12, 0x1.d5d056d5225dcp-12, 0x1.c581374d23f7ap-12, 0x1.b5d82439d72c2p-12, 0x1.a6ce76531993p-12, 0x1.985dc1aad63fbp-12, 0x1.8a7fd3fe495e9p-12, 0x1.7d2eb3105246ap-12, 0x1.70649b0cba532p-12, 0x1.641bfcf45f686p-12, 0x1.584f7d1224de5p-12, 0x1.4cf9f178968b8p-12, 0x1.421660881edeap-12, 0x1.379fff7dc0b5cp-12, 0x1.2d92310a2b84ap-12, 0x1.23e883f11fe1dp-12, 0x1.1a9eb1b0f7716p-12, 0x1.11b09d3244eacp-12, 0x1.091a517f62574p-12, 0x1.00d80083d778dp-12, 0x1.f1cc03a6fb8bap-13, 0x1.e281a2f275989p-13, 0x1.d3ca1d9a7ed6bp-13, 0x1.c59ef6a5479d2p-13, 0x1.b7f9f338934cfp-13, 0x1.aad51871c5ad8p-13, 0x1.9e2aa94bfa297p-13, 0x1.91f52493f1927p-13, 0x1.862f42e991f9dp-13, 0x1.7ad3f4cebe0fap-13, 0x1.6fde60c3497eap-13, 0x1.6549e16dc968fp-13, 0x1.5b1203d10a151p-13, 0x1.5132858de723ap-13, 0x1.47a7533151298p-13, 0x1.3e6c868e3e06ap-13, 0x1.357e65234def2p-13, 0x1.2cd95e8be6ffcp-13, 0x1.247a0afc8cd28p-13, 0x1.1c5d29ca3a6cfp-13, 0x1.147f9ffc84e3dp-13, 0x1.0cde76ea4c275p-13, 0x1.0576dae0c0531p-13, 0x1.fc8c33a90aecep-14, 0x1.ee934439785f8p-14, 0x1.e0fe026f721fep-14, 0x1.d3c7c532593ecp-14, 0x1.c6ec1d0331c7fp-14, 0x1.ba66d1bd81473p-14, 0x1.ae33e06a00594p-14, 0x1.a24f79226bdcap-14, 0x1.96b5fd064e7cbp-14, 0x1.8b63fc402fc54p-14, 0x1.8056341ade2b6p-14, 0x1.75898d26642bbp-14, 0x1.6afb196c4e6c8p-14, 0x1.60a812b2dc06dp-14, 0x1.568dd8cebf6ddp-14, 0x1.4ca9f003107b9p-14, 0x1.42f9ff6f141fp-14, 0x1.397bcf897f3cbp-14, 0x1.302d48a8dc4f1p-14, 0x1.270c7198bc0b6p-14, 0x1.1e176e3b5ba72p-14, 0x1.154c7e376cfb6p-14, 0x1.0ca9fbb1ab7c5p-14, 0x1.042e5a11efab2p-14, 0x1.f7b049a6dcfb4p-15, 0x1.e74bfcbfb33f8p-15, 0x1.d72d3dea1e9bep-15, 0x1.c751a72a26b45p-15, 0x1.b7b6fa0006589p-15, 0x1.a85b1d6f7fda2p-15, 0x1.993c1c1a0a5c9p-15, 0x1.8a58226b504bcp-15, 0x1.7bad7cd774f9fp-15, 0x1.6d3a962a9fb2cp-15, 0x1.5efdf5e943b52p-15, 0x1.50f63ec0ad1bcp-15, 0x1.43222d074dc07p-15, 0x1.3580954c57891p-15, 0x1.281062f628e5ep-15, 0x1.1ad096ef149bdp-15, 0x1.0dc0466019212p-15, 0x1.00de997913e57p-15, 0x1.e855948c048a8p-16, 0x1.cf484721d6909p-16, 0x1.b693ffa00d97fp-16, 0x1.9e37903f74aedp-16, 0x1.8631e69023c5bp-16, 0x1.6e82099a9320bp-16, 0x1.5727181623049p-16, 0x1.402046b45db5dp-16, 0x1.296cde80386fep-16, 0x1.130c3b50b922p-16, 0x1.f9fb949c7b521p-17, 0x1.ce821113abb75p-17, 0x1.a3ab034c085fp-17, 0x1.79759d2094181p-17, 0x1.4fe12895cc9d9p-17, 0x1.26ed058c789b8p-17, 0x1.fd314f24f8746p-18, 0x1.adc727a1969a4p-18, 0x1.5f9abe2a897a4p-18, 0x1.12ab57ef020e6p-18, 0x1.8df0a45e2689ap-19, 0x1.f2047bac1ca9dp-20, 0x1.9a2a0e156ac98p-21, -0x1.4bbb2fd2f4211p-22, -0x1.6e088483f4656p-20, -0x1.421cc253f4504p-19, -0x1.cac18981bcc4cp-19, -0x1.287999013d67dp-18, -0x1.6a59289f369bfp-18, -0x1.aaffbde8fa28ap-18, -0x1.ea6da4a5a722cp-18, -0x1.145195e97792p-17, -0x1.32d053a175679p-17, -0x1.50b3388dbb43p-17, -0x1.6dfa759c37294p-17, -0x1.8aa640390049p-17, -0x1.a6b6d2e43937dp-17, -0x1.c22c6dbb29533p-17, -0x1.dd0756f540696p-17, -0x1.f747db5577866p-17, -0x1.0877274855fcbp-16, -0x1.14fd85d4b6193p-16, -0x1.21373aa0e349cp-16, -0x1.2d247af1c5503p-16, -0x1.38c5801fb679dp-16, -0x1.441a87b1d07d6p-16, -0x1.4f23d3751bddp-16, -0x1.59e1a98fdf0d2p-16, -0x1.6454549140889p-16, -0x1.6e7c237d6fb3cp-16, -0x1.785969d682ad8p-16, -0x1.81ec7fa2372ap-16, -0x1.8b35c16cc5301p-16, -0x1.94359048eef32p-16, -0x1.9cec51cd756cdp-16, -0x1.a55a70101ac85p-16, -0x1.ad80599e59883p-16, -0x1.b55e8173f7518p-16, -0x1.bcf55eef8ebbdp-16, -0x1.c4456dc53d8ddp-16, -0x1.cb4f2def92c62p-16, -0x1.d213239ed4f24p-16, -0x1.d891d726d119p-16, -0x1.decbd4eb396f1p-16, -0x1.e4c1ad4abe578p-16, -0x1.ea73f488fa311p-16, -0x1.efe342b743651p-16, -0x1.f510339c7f608p-16, -0x1.f9fb669c16e48p-16, -0x1.fea57e9c0e90cp-16, -0x1.018790f537cdcp-15, -0x1.039c7d10ffa33p-15, -0x1.0591da0735fd5p-15, -0x1.0767ffc7f8bd2p-15, -0x1.091f47bf49375p-15, -0x1.0ab80cc6790f8p-15, -0x1.0c32ab156f16p-15, -0x1.0d8f8033cb5c5p-15, -0x1.0eceeae9f43a2p-15, -0x1.0ff14b32114fbp-15, -0x1.10f70228f7c15p-15, -0x1.11e071ff1617ep-15, -0x1.12adfde95bcd6p-15, -0x1.13600a122a94fp-15, -0x1.13f6fb8a4dc1cp-15, -0x1.1473383a07a8ep-15, -0x1.14d526d22d6c5p-15, -0x1.151d2ebd5f98bp-15, -0x1.154bb8115dc86p-15, -0x1.15612b807b103p-15, -0x1.155df24b3616bp-15, -0x1.15427631f8ce1p-15, -0x1.150f216704216p-15, -0x1.14c45e8085ca5p-15, -0x1.1462986ae2079p-15, -0x1.13ea3a5b2b15cp-15, -0x1.135bafc1d305cp-15, -0x1.12b7643d8eeefp-15, -0x1.11fdc38e77054p-15, -0x1.112f39895f3fep-15, -0x1.104c320b6bce8p-15, -0x1.0f5518ede3e34p-15, -0x1.0e4a59fa432d5p-15, -0x1.0d2c60de8b74dp-15, -0x1.0bfb9921d7114p-15, -0x1.0ab86e192b24ep-15, -0x1.09634adc918afp-15, -0x1.07fc9a3c6fa9p-15, -0x1.0684c6b726c08p-15, -0x1.04fc3a6ef4bd9p-15, -0x1.03635f201a33p-15, -0x1.01ba9e174750ap-15, -0x1.000260284ac79p-15, -0x1.fc761b4a100b1p-16, -0x1.f8ca1ca9619f5p-16, -0x1.f50192d68813ep-16, -0x1.f11d4b02a5813p-16, -0x1.ed1e11180e3fdp-16, -0x1.e904afaae1326p-16, -0x1.e4d1efea2a68fp-16, -0x1.e08699918830dp-16, -0x1.dc2372db579dp-16, -0x1.d7a940736432bp-16, -0x1.d318c56a1fc6cp-16, -0x1.ce72c328564bcp-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.d2a6e51f24bf5p-2, 0x1.d4d12673d373p-2, 0x1.d72f4867cb47cp-2, 0x1.d9bcf328c72b7p-2, 0x1.dc74d0ff5558dp-2, 0x1.df50ad774384ap-2, 0x1.e24997f01bd78p-2, 0x1.e55807aeec748p-2, 0x1.e873fff103f8p-2, 0x1.eb9532daf803ep-2, 0x1.eeb3226ee312p-2, 0x1.f1c53ef7e03cbp-2, 0x1.f4c3029003dc1p-2, 0x1.f7a4099233c1ep-2, 0x1.fa6027ebb3f01p-2, 0x1.fcef7b5b38422p-2, 0x1.ff4a7abe15a64p-2, 0x1.00b5014c96518p-1, 0x1.01a3af89a476ap-1, 0x1.026e29cda40e2p-1, 0x1.0311903aec4c8p-1, 0x1.038b43371bbcdp-1, 0x1.03d8e4719ecdp-1, 0x1.03f85733846d5p-1, 0x1.03e7c011e3355p-1, 0x1.03a5841a1008p-1, 0x1.0330478cc6ef8p-1, 0x1.0286ec3b51dbdp-1, 0x1.01a88f97b3f5p-1, 0x1.00948886f55c6p-1, 0x1.fe94ca05c64cap-2, 0x1.fb93cf2de551dp-2, 0x1.f8260984f8af3p-2, 0x1.f44bc09241231p-2, 0x1.f00594f1f4d5ap-2, 0x1.eb547ada566dfp-2, 0x1.e639b4a4a3febp-2, 0x1.e0b6cd63535b4p-2, 0x1.dacd938d87554p-2, 0x1.d48013c660d8dp-2, 0x1.cdd093c595bbap-2, 0x1.c6c18d65b4e6dp-2, 0x1.bf55a9db99f13p-2, 0x1.b78fbd19c5bacp-2, 0x1.af72c161a2932p-2, 0x1.a701d3041c8d2p-2, 0x1.9e402c5275563p-2, 0x1.953121bfc73d4p-2, 0x1.8bd81e334115ap-2, 0x1.82389f8ad81c7p-2, 0x1.7856334dde4d2p-2, 0x1.6e34738eb0323p-2, 0x1.63d703fa7807ep-2, 0x1.59418f15ddc3p-2, 0x1.4e77c3a5570ddp-2, 0x1.437d523fb0c91p-2, 0x1.3855eb0951aeap-2, 0x1.2d053b96b29d6p-2, 0x1.218eecf47389bp-2, 0x1.15f6a1d3739d3p-2, 0x1.0a3ff4d753112p-2, 0x1.fcdcee0b88d76p-3, 0x1.e50b5caa31e66p-3, 0x1.cd1228b0eaf49p-3, 0x1.b4f82a106c558p-3, 0x1.9cc41b49eaf86p-3, 0x1.847c9767b2444p-3, 0x1.6c28182572733p-3, 0x1.53ccf44597f6cp-3, 0x1.3b715e11399f7p-3, 0x1.231b62000f172p-3, 0x1.0ad0e5863938p-3, 0x1.e52f4c0b34b1p-4, 0x1.b4ea6fc15d8eep-4, 0x1.84de0b59d387ap-4, 0x1.55149f057a59dp-4, 0x1.259854d30972cp-4, 0x1.ece5ff76c20eap-5, 0x1.8f5c35be7acf4p-5, 0x1.32a591e6b313p-5, 0x1.ada74f60fbf7cp-6, 0x1.efdd62d97b7c7p-7, 0x1.1106a1db5d6a7p-8, -0x1.b50345e67245fp-8, -0x1.1c7b2623e21fcp-6, -0x1.c95121d40feccp-6, -0x1.39d3f8d825213p-5, -0x1.8db310c9f54c2p-5, -0x1.e039ccbfab23bp-5, -0x1.18ae66a8bbc37p-4, -0x1.4088af02c8c63p-4, -0x1.67a6b9bcd72cdp-4, -0x1.8e03d4b14faaap-4, -0x1.b39ba0325bb79p-4, -0x1.d86a0de3b1b8bp-4, -0x1.fc6b5f8330a5cp-4, -0x1.0fce12d0b523ap-3, -0x1.20fc9f2597f2fp-3, -0x1.31bfe9d29a5d9p-3, -0x1.4216ad3d5e20fp-3, -0x1.51ffc86031a9p-3, -0x1.617a3e05ec72p-3, -0x1.70853400c2c9ep-3, -0x1.7f1ff25c80a6cp-3, -0x1.8d49e28c90bap-3, -0x1.9b028e964ae63p-3, -0x1.a849a037dcc4dp-3, -0x1.b51ee00c4925ep-3, -0x1.c18234acc86a2p-3, -0x1.cd73a1cffa50bp-3, -0x1.d8f3476743d09p-3, -0x1.e40160baa7477p-3, -0x1.ee9e4383808b7p-3, -0x1.f8ca5f066de1ep-3, -0x1.01431d965bd41p-2, -0x1.05e93bcec985ap-2, -0x1.0a57e56bc1c46p-2, -0x1.0e8f80a512fe8p-2, -0x1.12907e385953bp-2, -0x1.165b58f6c0031p-2, -0x1.19f095535e1a1p-2, -0x1.1d50c0f256d8fp-2, -0x1.207c7238d8325p-2, -0x1.237447de18d05p-2, -0x1.2638e87d6b9f4p-2, -0x1.28cb02298eae1p-2, -0x1.2b2b4a01468ddp-2, -0x1.2d5a7bc560923p-2, -0x1.2f59597037a86p-2, -0x1.3128aacece3ddp-2, -0x1.32c93d1b909p-2, -0x1.343be29ad6b4dp-2, -0x1.358172393630ep-2, -0x1.369ac72bb361dp-2, -0x1.3788c091e5343p-2, -0x1.384c411a14d3fp-2, -0x1.38e62ea76b5d7p-2, -0x1.395771fa365cbp-2, -0x1.39a0f65a4cc6ap-2, -0x1.39c3a943a27fep-2, -0x1.39c07a150ca34p-2, -0x1.399859c143bb1p-2, -0x1.394c3a8223ebap-2, -0x1.38dd0f8e352d6p-2, -0x1.384bccd07e3a9p-2, -0x1.379966a2a14e2p-2, -0x1.36c6d1894a2ecp-2, -0x1.35d501f2ed159p-2, -0x1.34c4ebf8d1991p-2, -0x1.339783226fc56p-2, -0x1.324dba2b1b6c7p-2, -0x1.30e882c9f866cp-2, -0x1.2f68cd7c37543p-2, -0x1.2dcf895198392p-2, -0x1.2c1da3bb28db4p-2, -0x1.2a54085c42616p-2, -0x1.2873a0ddb7433p-2, -0x1.267d54c32f55cp-2, -0x1.24720942ad8ebp-2, -0x1.2252a11e2fa91p-2, -0x1.201ffc7f6c117p-2, -0x1.1ddaf8d5973b1p-2, -0x1.1b8470b53290ap-2, -0x1.191d3bb9d920cp-2, -0x1.16a62e69f94fdp-2, -0x1.14201a1c7d51ep-2, -0x1.118bcce04ff33p-2, -0x1.0eea1165b2b1p-2, -0x1.0c3baee95f6aep-2, -0x1.098169216aae1p-2, -0x1.06bc002bd17e1p-2, -0x1.03ec307eb61f7p-2, -0x1.0112b2da35061p-2, -0x1.fc607877969c9p-3, -0x1.f68afba6823c9p-3, -0x1.f0a649f21f293p-3, -0x1.eab3b64c60771p-3, -0x1.e4b48bdaa337dp-3, -0x1.deaa0deac232cp-3, -0x1.d89577eab6496p-3, -0x1.d277fd62bc7dap-3, -0x1.cc52c9f1df4ccp-3, -0x1.c627014cc9dbap-3, -0x1.bff5bf3ed35d8p-3, -0x1.b9c017ad303cp-3, -0x1.b387169c240f9p-3, -0x1.ad4bc0362f204p-3, -0x1.a70f10d510bbcp-3, -0x1.a0d1fd0c9756bp-3, -0x1.9a9571b71dedcp-3, -0x1.945a5403aa56ap-3, -0x1.8e2181858cd4fp-3, -0x1.87ebd04579eb5p-3, -0x1.81ba0ed3fcfa7p-3, -0x1.7b8d045d3ae36p-3, -0x1.756570bde886ap-3, -0x1.6f440c996a91cp-3, -0x1.6929897106dc9p-3, -0x1.631691bc11575p-3, -0x1.5d0bc9011105dp-3, -0x1.5709cbefb8f6fp-3, -0x1.5111307bb8bd3p-3, -0x1.4b2285f83e95ap-3, -0x1.453e553431657p-3, -0x1.3f65209700401p-3, -0x1.3997643e03f12p-3, -0x1.33d5961a60f2ep-3, -0x1.2e20260f5d805p-3, -0x1.28777e1115c53p-3, -0x1.22dc024391b18p-3, -0x1.1d4e111a1da69p-3, -0x1.17ce0376e5fd7p-3, -0x1.125c2ccac3cfdp-3, -0x1.0cf8db35369cep-3, -0x1.07a457a472294p-3, -0x1.025ee5f589663p-3, -0x1.fa518a2932b09p-4, -0x1.f0045e39f6108p-4, -0x1.e5d6b2f2c5f49p-4, -0x1.dbc8ea07e8aa6p-4, -0x1.d1db5c4c750fp-4, -0x1.c80e59f1ede28p-4, -0x1.be622ac79dc6ap-4, -0x1.b4d70e7980e4bp-4, -0x1.ab6d3ccec5051p-4, -0x1.a224e5e7c93afp-4, -0x1.98fe327b961a2p-4, -0x1.8ff94414c0be9p-4, -0x1.8716354da9299p-4, -0x1.7e551a0c15049p-4, -0x1.75b5ffbc12e63p-4, -0x1.6d38ed8a23a54p-4, -0x1.64dde49c9d678p-4, -0x1.5ca4e04c448e6p-4, -0x1.548dd65c0f992p-4, -0x1.4c98b73013b2bp-4, -0x1.44c56e038fe4bp-4, -0x1.3d13e11e14a5cp-4, -0x1.3583f207c140bp-4, -0x1.2e157dbc9390ap-4, -0x1.26c85cdec57dfp-4, -0x1.1f9c63e8348b2p-4, -0x1.1891635ad2094p-4, -0x1.11a727f016ac8p-4, -0x1.0add7ac77ae93p-4, -0x1.04342193ed975p-4, -0x1.fb55bd909a2a4p-5, -0x1.ee82e385b872fp-5, -0x1.e1ef2def6cdb1p-5, -0x1.d59a103481fd7p-5, -0x1.c982f88b329cap-5, -0x1.bda9504801db7p-5, -0x1.b20c7c2a8ef2dp-5, -0x1.a6abdca86683p-5, -0x1.9b86ce35d341dp-5, -0x1.909ca98cb34cfp-5, -0x1.85ecc3f14de79p-5, -0x1.7b766f75386a6p-5, -0x1.7138fb38424e7p-5, -0x1.6733b3a775b12p-5, -0x1.5d65e2ba2b43ap-5, -0x1.53ced02d3b7f6p-5, -0x1.4a6dc1bc4d2p-5, -0x1.4141fb594c249p-5, -0x1.384abf6208a45p-5, -0x1.2f874ed40b2fap-5, -0x1.26f6e97e9ebcep-5, -0x1.1e98ce331ab06p-5, -0x1.166c3af371eabp-5, -0x1.0e706d1f0d8e7p-5, -0x1.06a4a19dfe64ep-5, -0x1.fe102a1509c26p-6, -0x1.ef3407b202b5p-6, -0x1.e0b354fc8f1f6p-6, -0x1.d28c8b28d73dbp-6, -0x1.c4be23fc03838p-6, -0x1.b7469a0fc79dcp-6, -0x1.aa246912fc82bp-6, -0x1.9d560e0760145p-6, -0x1.90da077c837b4p-6, -0x1.84aed5c7febeep-6, -0x1.78d2fb3afa7d6p-6, -0x1.6d44fc551349ap-6, -0x1.62035ff4bbf97p-6, -0x1.570caf8519f81p-6, -0x1.4c5f77297a924p-6, -0x1.41fa45e667924p-6, -0x1.37dbadc873182p-6, -0x1.2e024408c32p-6, -0x1.246ca12f7286bp-6, -0x1.1b196133d1675p-6, -0x1.1207239a9b55cp-6, -0x1.09348b922b33dp-6, -0x1.00a0400cc1bdcp-6, -0x1.f091d7b1d6f0bp-7, -0x1.e05a7b7023ed6p-7, -0x1.d097d0e69f62fp-7, -0x1.c14745dd13e6fp-7, -0x1.b2665073cd58p-7, -0x1.a3f26f4355a4ap-7, -0x1.95e9297919375p-7, -0x1.88480ef11908ap-7, -0x1.7b0cb84cb1604p-7, -0x1.6e34c706aabfep-7, -0x1.61bde58496611p-7, -0x1.55a5c7259f14cp-7, -0x1.49ea284ede01bp-7, -0x1.3e88ce75591b9p-7, -0x1.337f8825ab0c5p-7, -0x1.28cc2d098b299p-7, -0x1.1e6c9deb3216ap-7, -0x1.145ec4b6c05dbp-7, -0x1.0aa09479b7787p-7, -0x1.013009609d33fp-7, -0x1.f0165165b6e9fp-8, -0x1.de600199e9f86p-8, -0x1.cd3952323d4d5p-8, -0x1.bc9e840caa755p-8, -0x1.ac8be9fbfc395p-8, -0x1.9cfde8b054d86p-8, -0x1.8df0f69d1340bp-8, -0x1.7f619bdc42e72p-8, -0x1.714c720fb21c2p-8, -0x1.63ae243fd405p-8, -0x1.56836eb88b7f8p-8, -0x1.49c91ee402f7dp-8, -0x1.3d7c1323a76c6p-8, -0x1.31993aa76e08ap-8, -0x1.261d9543780ap-8, -0x1.1b063344366eap-8, -0x1.1050354125a21p-8, -0x1.05f8cbee3b9ep-8, -0x1.f7fa6fd841f6dp-9, -0x1.e4b5932e9db48p-9, -0x1.d21dc1ac4bc5ep-9, -0x1.c02dd9cc33efcp-9, -0x1.aee0d85003038p-9, -0x1.9e31d7d748f9ap-9, -0x1.8e1c10753462bp-9, -0x1.7e9ad74514d95p-9, -0x1.6fa99dfdd05c5p-9, -0x1.6143f28464576p-9, -0x1.53657e7d9c91ep-9, -0x1.460a06df225bcp-9, -0x1.392d6b7ffcbd3p-9, -0x1.2ccba6a8a5affp-9, -0x1.20e0cca2d1192p-9, -0x1.15690b48ff68p-9, -0x1.0a60a995f8904p-9, -0x1.ff880e688e075p-10, -0x1.eb1f381b9b643p-10, -0x1.d77fefb71984ep-10, -0x1.c4a3836b5cb4ep-10, -0x1.b2836f47daf25p-10, -0x1.a1195c5ce071cp-10, -0x1.905f1fde40559p-10, -0x1.804eba4733232p-10, -0x1.70e2567f84bcfp-10, -0x1.6214490222c44p-10, -0x1.53df0f053e0ddp-10, -0x1.463d4da4136cap-10, -0x1.3929d10a6956bp-10, -0x1.2c9f8ba1f86dep-10, -0x1.20999541b82bbp-10, -0x1.15132a5f3efap-10, -0x1.0a07ab423258p-10, -0x1.fee53673e1da2p-11, -0x1.ea9f3faafb433p-11, -0x1.d735003b6946cp-11, -0x1.c49e47a3d25c7p-11, -0x1.b2d3254ddd604p-11, -0x1.a1cbe7113ccc9p-11, -0x1.918117bbc595ap-11, -0x1.81eb7d9eac397p-11, -0x1.73041920f298cp-11, -0x1.64c423571f5f5p-11, -0x1.57250ca046db6p-11, -0x1.4a207b48769d1p-11, -0x1.3db04a308b107p-11, -0x1.31ce877b7ac99p-11, -0x1.267573411d5bep-11, -0x1.1b9f7e4675d95p-11, -0x1.114748bb7f9e9p-11, -0x1.0767a0fe88754p-11, -0x1.fbf704ca24633p-12, -0x1.e9fc28147fb1cp-12, -0x1.d8d54f4596c64p-12, -0x1.c87970ad06d76p-12, -0x1.b8dfd33e965d9p-12, -0x1.aa000c5b32e83p-12, -0x1.9bd1fda4e356ap-12, -0x1.8e4dd2dd9aa45p-12, -0x1.816bffd0e4fb2p-12, -0x1.75253e485811cp-12, -0x1.69728c0ab37b5p-12, -0x1.5e4d28e5a5a33p-12, -0x1.53ae94c2133d1p-12, -0x1.49908dc2d5727p-12, -0x1.3fed0e6dd0a1p-12, -0x1.36be4bdf4c3f3p-12, -0x1.2dfeb407723b2p-12, -0x1.25a8ebf1d64d4p-12, -0x1.1db7ce16f0873p-12, -0x1.162668b766319p-12, -0x1.0eeffc4106658p-12, -0x1.080ff9bd5d1cbp-12, -0x1.01820149b8b01p-12, -0x1.f683c1310d7fcp-13, -0x1.ea9722f7c72eep-13, -0x1.df3670f27ad78p-13, -0x1.d45a46cbd277fp-13, -0x1.c9fb90190f17fp-13, -0x1.c01385b62816ep-13, -0x1.b69bab3303f97p-13, -0x1.ad8dcc5180db8p-13, -0x1.a4e3fa9401c2ep-13, -0x1.9c988adc3e2c4p-13, -0x1.94a6131a15abfp-13, -0x1.8d07680a09f5cp-13, -0x1.85b79b0334f5ep-13, -0x1.7eb1f7d45a9b1p-13, -0x1.77f202afe0472p-13, -0x1.717376265c6e5p-13, -0x1.6b32412f748aep-13, -0x1.652a8540c88aap-13, -0x1.5f589472a827ep-13, -0x1.59b8efb23e69ep-13, -0x1.54484500ff0fbp-13, -0x1.4f036dc106a02p-13, -0x1.49e76d0e26df3p-13, -0x1.44f16e2364359p-13, -0x1.401ec2cc9b142p-13, -0x1.3b6ce1e408e0fp-13, -0x1.36d965db77917p-13, -0x1.32620b50cf9a7p-13, -0x1.2e04afadc572ap-13, -0x1.29bf4fd2664e6p-13, -0x1.259006ca4fd75p-13, -0x1.21750c8c38cdp-13, -0x1.1d6cb4c3acd5cp-13, -0x1.19756da4a3398p-13, -0x1.158dbec8c8e61p-13, -0x1.11b44816312cbp-13, -0x1.0de7c0af39e14p-13, -0x1.0a26f5eb6f842p-13, -0x1.0670ca592b359p-13, -0x1.02c434c7b71ap-13, -0x1.fe407eb392e88p-14, -0x1.f7080d402cffcp-14, -0x1.efdd7177826aep-14, -0x1.e8bf291106abdp-14, -0x1.e1abd19c99937p-14, -0x1.daa226f456fb5p-14, -0x1.d3a101bc9298ap-14, -0x1.cca755f1a5d6ap-14, -0x1.c5b4318318d26p-14, -0x1.bec6bafbe939bp-14, -0x1.b7de303769bd2p-14, -0x1.b0f9e52287a56p-14, -0x1.aa1942890341p-14, -0x1.a33bc4ee40032p-14, -0x1.9c60fb717561cp-14, -0x1.958886bcc4552p-14, -0x1.8eb217fefd965p-14, -0x1.87dd6fefb97f6p-14, -0x1.810a5ddd76f92p-14, -0x1.7a38bec572607p-14, -0x1.73687c74eab6p-14, -0x1.6c998cb38b3c3p-14, -0x1.65cbf076aec08p-14, -0x1.5effb31d39bc1p-14, -0x1.5834e9b3c3972p-14, -0x1.516bb240cc69dp-14, -0x1.4aa43318bf45dp-14, -0x1.43de9a397d1f4p-14, -0x1.3d1b1cad3653p-14, -0x1.3659f5f451663p-14, -0x1.2f9b677625b51p-14, -0x1.28dfb7f850c98p-14, -0x1.2227331c6a2c4p-14, -0x1.1b7228e3e25b7p-14, -0x1.14c0ed39d454p-14, -0x1.0e13d78296e28p-14, -0x1.076b4230d8f22p-14, -0x1.00c78a60191d2p-14, -0x1.f4521ee88d316p-15, -0x1.e720657cb7da4p-15, -0x1.d9faae4b90d86p-15, -0x1.cce1c1acef28bp-15, -0x1.bfd669e69d7dcp-15, -0x1.b2d97299e8d88p-15, -0x1.a5eba839742dep-15, -0x1.990dd786fccb4p-15, -0x1.8c40cd18c6563p-15, -0x1.7f8554e661a97p-15, -0x1.72dc39dc84b3ap-15, -0x1.66464577ac5d4p-15, -0x1.59c43f65473fdp-15, -0x1.4d56ed2b1ef63p-15, -0x1.40ff11d4c82dbp-15, -0x1.34bd6da6d3ee8p-15, -0x1.2892bdd7881adp-15, -0x1.1c7fbc4ce3b0fp-15, -0x1.10851f5fb4cf2p-15, -0x1.04a399a38c988p-15, -0x1.f1b7b366a6016p-16, -0x1.da5d1404a44d4p-16, -0x1.c338a162fada6p-16, -0x1.ac4b9ed18c6bdp-16, -0x1.95974668a6b88p-16, -0x1.7f1cc8cad0935p-16, -0x1.68dd4ceda3abdp-16, -0x1.52d9efe95e541p-16, -0x1.3d13c4ced9b3p-16, -0x1.278bd48395da1p-16, -0x1.12431da38b08ap-16, -0x1.fa7528d0f4716p-17, -0x1.d0e6452cf3e1bp-17, -0x1.a7db4edad78adp-17, -0x1.7f55ef3e4d4e6p-17, -0x1.5757ba9424881p-17, -0x1.2fe22fefda6dep-17, -0x1.08f6b9412121fp-17, -0x1.c52d56c1a8b9ap-18, -0x1.79868c49ff362p-18, -0x1.2efb68f7034a1p-18, -0x1.cb1c322bb1cf8p-19, -0x1.3a813f64ea379p-19, -0x1.58535bc00089cp-20, -0x1.00c706b7268a9p-22, 0x1.a6b852c2060e6p-21, 0x1.e250ddf45bd07p-20, 0x1.7653b8994c8c4p-19, 0x1.f92dc96630187p-19, 0x1.3cda62b30b7e3p-18, 0x1.7bf38dd2ef3fap-18, 0x1.b9e1c284567cfp-18, 0x1.f6a48185d0e94p-18, 0x1.191db79fdd50dp-17, 0x1.3653298e41ae9p-17, 0x1.52f28b6e6b7cbp-17, 0x1.6efbe2f40ec8cp-17, 0x1.8a6f464cd661dp-17, 0x1.a54cdbc58e923p-17, 0x1.bf94d96e096d6p-17, 0x1.d94784bbf3c02p-17, 0x1.f265322cbc35cp-17, 0x1.057722735915cp-16, 0x1.1171972ccba46p-16, 0x1.1d2236ef5869bp-16, 0x1.2889482c44e0ap-16, 0x1.33a717e93e4a6p-16, 0x1.3e7bf9901de48p-16, 0x1.490846bea75b2p-16, 0x1.534c5f1664c61p-16, 0x1.5d48a80c9c973p-16, 0x1.66fd8cba7b6a6p-16, 0x1.706b7dad73e03p-16, 0x1.7992f0b7e17c5p-16, 0x1.827460c1fe61dp-16, 0x1.8b104d9b303fap-16, 0x1.93673bcbb8ae1p-16, 0x1.9b79b466cd4edp-16, 0x1.a34844dd261acp-16, 0x1.aad37ed0034c2p-16, 0x1.b21bf7e4b7272p-16, 0x1.b9224998b73a4p-16, 0x1.bfe71116373f7p-16, 0x1.c66aef095d792p-16, 0x1.ccae87760a0eep-16, 0x1.d2b2818e3f1ap-16, 0x1.d877878928a98p-16, 0x1.ddfe467ac8594p-16, 0x1.e3476e2c49855p-16, 0x1.e853b0f50497dp-16, 0x1.ed23c3942dd56p-16, 0x1.f1b85d0b31d2bp-16, 0x1.f6123678cd436p-16, 0x1.fa320af4cf8fcp-16, 0x1.fe18976c9d16bp-16, 0x1.00e34d403044cp-15, 0x1.029e6a307d415p-15, 0x1.043e03575411ep-15, 0x1.05c27a2c32e2bp-15, 0x1.072c30be0342p-15, 0x1.087b89a386753p-15, 0x1.09b0e7ec1be07p-15, 0x1.0accaf10e6e82p-15, 0x1.0bcf42e64f416p-15, 0x1.0cb9078de05f9p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.cc080a7f9ac49p-2, 0x1.ccbae7b8b87dbp-2, 0x1.cd8055a811a49p-2, 0x1.ce57e0109cd65p-2, 0x1.cf40db43bbbb5p-2, 0x1.d03a66b2c41ap-2, 0x1.d143709a91008p-2, 0x1.d25aba79697c6p-2, 0x1.d37ede0ada027p-2, 0x1.d4ae52901b885p-2, 0x1.d5e772360823ep-2, 0x1.d7287f7302bccp-2, 0x1.d86faa3f8726fp-2, 0x1.d9bb151366061p-2, 0x1.db08d997baa64p-2, 0x1.dc570d02ecf74p-2, 0x1.dda3c4182ac5bp-2, 0x1.deed16c745d2ep-2, 0x1.e031236c7741p-2, 0x1.e16e11b1b20ep-2, 0x1.e2a21514a7b31p-2, 0x1.e3cb6f15c594cp-2, 0x1.e4e8711535a72p-2, 0x1.e5f77de36368p-2, 0x1.e6f70b0ac3e49p-2, 0x1.e7e5a1d8b57c3p-2, 0x1.e8c1e02b3a7bbp-2, 0x1.e98a79092a174p-2, 0x1.ea3e350a3463p-2, 0x1.eadbf293d2323p-2, 0x1.eb62a5efec5acp-2, 0x1.ebd15941ab42cp-2, 0x1.ec272c5c970b2p-2, 0x1.ec635481ce98bp-2, 0x1.ec851c06db13ep-2, 0x1.ec8be1e943d67p-2, 0x1.ec771951d429bp-2, 0x1.ec46490a20d2p-2, 0x1.ebf90ae6bb4afp-2, 0x1.eb8f0b2824a99p-2, 0x1.eb0807d46f5eap-2, 0x1.ea63d00b43b03p-2, 0x1.e9a24355c5fd5p-2, 0x1.e8c350f3bd518p-2, 0x1.e7c6f727271c3p-2, 0x1.e6ad427f44c3ap-2, 0x1.e5764d2412c5fp-2, 0x1.e4223e22eee07p-2, 0x1.e2b148bd25848p-2, 0x1.e123abb8fe561p-2, 0x1.df79b0b5c9009p-2, 0x1.ddb3ab835c4b7p-2, 0x1.dbd1f97d63598p-2, 0x1.d9d500eac2151p-2, 0x1.d7bd306158089p-2, 0x1.d58afe2e47053p-2, 0x1.d33ee7c2efbbfp-2, 0x1.d0d97126b33c3p-2, 0x1.ce5b246d973fdp-2, 0x1.cbc49133cdb68p-2, 0x1.c9164c1e2bdfap-2, 0x1.c650ee5f83c1dp-2, 0x1.c3751542e07p-2, 0x1.c08361ba970a2p-2, 0x1.bd7c77f41528ep-2, 0x1.ba60fef05f847p-2, 0x1.b731a02129148p-2, 0x1.b3ef070a64528p-2, 0x1.b099e0e83ad28p-2, 0x1.ad32dc5948e5p-2, 0x1.a9baa90d018ccp-2, 0x1.a631f7761ea27p-2, 0x1.a2997880f9868p-2, 0x1.9ef1dd4db03b9p-2, 0x1.9b3bd6edf7af5p-2, 0x1.977816267a361p-2, 0x1.93a74b33a2fe4p-2, 0x1.8fca2591b975dp-2, 0x1.8be153c82d66cp-2, 0x1.87ed8337f3409p-2, 0x1.83ef5fecda1e2p-2, 0x1.7fe79471b77a9p-2, 0x1.7bd6c9a75294fp-2, 0x1.77bda69deef8dp-2, 0x1.739cd0716493ap-2, 0x1.6f74ea27a0d57p-2, 0x1.6b46949181791p-2, 0x1.67126e2dedaeap-2, 0x1.62d9130f14973p-2, 0x1.5e9b1cc1c05a8p-2, 0x1.5a592236a1414p-2, 0x1.5613b7ad8330dp-2, 0x1.51cb6ea2563a2p-2, 0x1.4d80d5bbf51dfp-2, 0x1.493478bc9c25fp-2, 0x1.44e6e073fac46p-2, 0x1.409892b2d0962p-2, 0x1.3c4a1240026d7p-2, 0x1.37fbdecf1db8p-2, 0x1.33ae74f832809p-2, 0x1.2f624e30fd02bp-2, 0x1.2b17e0c74a95cp-2, 0x1.26cf9fdc8ef03p-2, 0x1.2289fb629e533p-2, 0x1.1e47601978d58p-2, 0x1.1a08378e22663p-2, 0x1.15cce81a78941p-2, 0x1.1195d4e5f562fp-2, 0x1.0d635de75c1b1p-2, 0x1.0935dfe73fcc4p-2, 0x1.050db4835b2a2p-2, 0x1.00eb3232abadfp-2, 0x1.f99d58949ab6fp-3, 0x1.f170e6060b1ffp-3, 0x1.e951a6fef00cp-3, 0x1.e1402fa5fa831p-3, 0x1.d93d0e1216e14p-3, 0x1.d148ca5a69a9p-3, 0x1.c963e6a74b6c4p-3, 0x1.c18edf444830ap-3, 0x1.b9ca2ab309af9p-3, 0x1.b21639bf1bbacp-3, 0x1.aa73779283bb9p-3, 0x1.a2e249cb11cbep-3, 0x1.9b63109069a51p-3, 0x1.93f626aaa9e3ep-3, 0x1.8c9be199ae1b7p-3, 0x1.855491acd93fcp-3, 0x1.7e20821b5dd86p-3, 0x1.76fff91cf96e2p-3, 0x1.6ff33803127c8p-3, 0x1.68fa7b5233a0ap-3, 0x1.6215fadbd6d35p-3, 0x1.5b45e9d876208p-3, 0x1.548a7701d74d5p-3, 0x1.4de3ccad861d7p-3, 0x1.475210e779b1ap-3, 0x1.40d5658cd8afbp-3, 0x1.3a6de866d52abp-3, 0x1.341bb3458eb2cp-3, 0x1.2ddedc1b01975p-3, 0x1.27b77515f3852p-3, 0x1.21a58cbccf6e8p-3, 0x1.1ba92e087a696p-3, 0x1.15c2607f08e3bp-3, 0x1.0ff1284e5973cp-3, 0x1.0a3586668b98ap-3, 0x1.048f78944a7f2p-3, 0x1.fdfdf335d08fp-4, 0x1.f308029c8acaap-4, 0x1.e83d0958f4d91p-4, 0x1.dd9cebee93271p-4, 0x1.d327899a875c2p-4, 0x1.c8dcbc8558221p-4, 0x1.bebc59f41e1dp-4, 0x1.b4c6327909c31p-4, 0x1.aafa122353ab4p-4, 0x1.a157c0ae70a08p-4, 0x1.97df01b09a5abp-4, 0x1.8e8f94c8a1f74p-4, 0x1.856935cafea4p-4, 0x1.7c6b9cee21a39p-4, 0x1.73967ef5fef33p-4, 0x1.6ae98d5ecfaep-4, 0x1.62647687047f2p-4, 0x1.5a06e5d8687d4p-4, 0x1.51d083f071f9bp-4, 0x1.49c0f6c7bbcdfp-4, 0x1.41d7e1d8a917cp-4, 0x1.3a14e6452def4p-4, 0x1.3277a2fbbfbaep-4, 0x1.2affb4db67d9ep-4, 0x1.23acb6d6fba34p-4, 0x1.1c7e421776e82p-4, 0x1.1573ee1d79db2p-4, 0x1.0e8d50e1ea028p-4, 0x1.07c9fef5b6352p-4, 0x1.01298ba0bf919p-4, 0x1.f55711ffce2a9p-5, 0x1.e89f104480b62p-5, 0x1.dc2a324ad73a5p-5, 0x1.cff796a2333d4p-5, 0x1.c4065a636ebe9p-5, 0x1.b85599648ed18p-5, 0x1.ace46e6ad10ebp-5, 0x1.a1b1f35b15a03p-5, 0x1.96bd4168b3a0ap-5, 0x1.8c057142afb54p-5, 0x1.81899b3f65131p-5, 0x1.7748d786a03a8p-5, 0x1.6d423e3a30b03p-5, 0x1.6374e79cfb8dbp-5, 0x1.59dfec3890524p-5, 0x1.508265014756bp-5, 0x1.475b6b78f1a22p-5, 0x1.3e6a19d01e593p-5, 0x1.35ad8b05fd29cp-5, 0x1.2d24db06e3affp-5, 0x1.24cf26c97d36dp-5, 0x1.1cab8c6aabdefp-5, 0x1.14b92b481eaedp-5, 0x1.0cf72419a8de3p-5, 0x1.056499095c791p-5, 0x1.fc015b94e51a5p-6, 0x1.ed950f5e0a387p-6, 0x1.df829b79473bep-6, 0x1.d1c8517f939f4p-6, 0x1.c46486bc77f78p-6, 0x1.b7559450ac319p-6, 0x1.aa99d7529d9a1p-6, 0x1.9e2fb0ecec2a1p-6, 0x1.9215867af9232p-6, 0x1.8649c1a382c14p-6, 0x1.7acad0716928p-6, 0x1.6f97256aa178cp-6, 0x1.64ad37a56b79dp-6, 0x1.5a0b82dbcebb2p-6, 0x1.4fb0877d7726p-6, 0x1.459acabff313cp-6, 0x1.3bc8d6ad6a24bp-6, 0x1.32393a31cd8aap-6, 0x1.28ea8926a172cp-6, 0x1.1fdb5c5d522e6p-6, 0x1.170a51a83c846p-6, 0x1.0e760be25f504p-6, 0x1.061d32f5cf0fbp-6, 0x1.fbfce7c1ea73bp-7, 0x1.ec31017543688p-7, 0x1.dcd42169fe934p-7, 0x1.cde3c03ee9f8bp-7, 0x1.bf5d60cefc1d3p-7, 0x1.b13e903100fc2p-7, 0x1.a384e5b570ee4p-7, 0x1.962e02e2609d3p-7, 0x1.8937936dc0e61p-7, 0x1.7c9f4d35f17c9p-7, 0x1.7062f038b7316p-7, 0x1.64804688b63b2p-7, 0x1.58f524416f195p-7, 0x1.4dbf6779eb19cp-7, 0x1.42dcf836079eep-7, 0x1.384bc85697501p-7, 0x1.2e09d3884809cp-7, 0x1.24151f3174898p-7, 0x1.1a6bba5ee5115p-7, 0x1.110bbdaf95f48p-7, 0x1.07f34b3f8d32fp-7, 0x1.fe411d23a48e4p-8, 0x1.ed2378f32491p-8, 0x1.dc8a2605031d4p-8, 0x1.cc71b2b10b0c2p-8, 0x1.bcd6bf5d68be3p-8, 0x1.adb5fe4b6f0f5p-8, 0x1.9f0c33633867ep-8, 0x1.90d633fe3cf6ap-8, 0x1.8310e6b0f1806p-8, 0x1.75b943138861fp-8, 0x1.68cc5189e710dp-8, 0x1.5c472b0ae4ee2p-8, 0x1.5026f8e6e840bp-8, 0x1.4468f48df1195p-8, 0x1.390a675528a52p-8, 0x1.2e08aa3c02727p-8, 0x1.236125b101f1ep-8, 0x1.1911515634d0cp-8, 0x1.0f16b3c571eedp-8, 0x1.056ee254690afp-8, 0x1.f82f01b128117p-9, 0x1.e61c82d62fc7ap-9, 0x1.d4a1c85941225p-9, 0x1.c3ba6e1285045p-9, 0x1.b3622af8e8289p-9, 0x1.a394d0aa464d5p-9, 0x1.944e4af3ea60bp-9, 0x1.858a9f5b7a32ep-9, 0x1.7745eca85a117p-9, 0x1.697c6a6da3e01p-9, 0x1.5c2a6894b7e1ap-9, 0x1.4f4c4ee887468p-9, 0x1.42de9ca19640dp-9, 0x1.36dde7f2d644ep-9, 0x1.2b46dd975755bp-9, 0x1.20164060e9222p-9, 0x1.1548e8c7b074dp-9, 0x1.0adbc47ac1488p-9, 0x1.00cbd5f1c7a4ap-9, 0x1.ee2c67ff89c3bp-10, 0x1.db7012cde7d6bp-10, 0x1.c95d28dba8f86p-10, 0x1.b7ee4cead2572p-10, 0x1.a71e472161735p-10, 0x1.96e8043abbfb1p-10, 0x1.874694bbb6cep-10, 0x1.78352c292e873p-10, 0x1.69af204146f27p-10, 0x1.5bafe8375a6dfp-10, 0x1.4e331bf29a596p-10, 0x1.4134734f72951p-10, 0x1.34afc563acb19p-10, 0x1.28a107c55990cp-10, 0x1.1d044dd4937b5p-10, 0x1.11d5c80802278p-10, 0x1.0711c33c40361p-10, 0x1.f969500c207f7p-11, 0x1.e575f40ed8bc8p-11, 0x1.d242ae8edde8dp-11, 0x1.bfc8ef1a26ef7p-11, 0x1.ae025779a0b85p-11, 0x1.9ce8ba72118ffp-11, 0x1.8c761a8aa8be9p-11, 0x1.7ca4a8d9343a7p-11, 0x1.6d6ec3d3fa34ep-11, 0x1.5ecef6292db9ap-11, 0x1.50bff59bf8124p-11, 0x1.433ca1e70e602p-11, 0x1.364003a4cb502p-11, 0x1.29c54b3cc1e0bp-11, 0x1.1dc7cfd6c0716p-11, 0x1.12430e5336999p-11, 0x1.0732a848f416cp-11, 0x1.f924c6106955fp-12, 0x1.e4bc4d45d24c7p-12, 0x1.d123f9f46768dp-12, 0x1.be5421a20bbbbp-12, 0x1.ac4559c7aca5cp-12, 0x1.9af0760ab4ef3p-12, 0x1.8a4e8680714eap-12, 0x1.7a58d5fb42cb1p-12, 0x1.6b08e86182263p-12, 0x1.5c58790df0482p-12, 0x1.4e41793997bfap-12, 0x1.40be0e6ef742dp-12, 0x1.33c891065b83ap-12, 0x1.275b8aab3fd1p-12, 0x1.1b71b4ea96e37p-12, 0x1.1005f7c9d75bbp-12, 0x1.05136866a85e9p-12, 0x1.f52a8f3e1bc25p-13, 0x1.e10e0183e13c2p-13, 0x1.cdc8508fb50a8p-13, 0x1.bb50f5279774cp-13, 0x1.a99fb577fab18p-13, 0x1.98aca2b4e3205p-13, 0x1.887016ca63277p-13, 0x1.78e2b21c1d24dp-13, 0x1.69fd59538e322p-13, 0x1.5bb9333cdd47bp-13, 0x1.4e0fa6b1e22eap-13, 0x1.40fa589323682p-13, 0x1.347329ce82fabp-13, 0x1.287435735ce6ap-13, 0x1.1cf7ced3c1af2p-13, 0x1.11f87fb2a2a31p-13, 0x1.0771067e931f9p-13, 0x1.fab8a931dc503p-14, 0x1.e76b195225bd3p-14, 0x1.d4f001f7056cap-14, 0x1.c33e63d9243dbp-14, 0x1.b24d98bced048p-14, 0x1.a2155074dc117p-14, 0x1.928d8df983fb6p-14, 0x1.83aea496d295p-14, 0x1.7571352e13a0ap-14, 0x1.67ce2b8c3d9b9p-14, 0x1.5abebbd411e97p-14, 0x1.4e3c5ffb97ae6p-14, 0x1.4240d55c8177fp-14, 0x1.36c61a5708fa9p-14, 0x1.2bc66c06d16p-14, 0x1.213c440962165p-14, 0x1.17225655ccf38p-14, 0x1.0d738f25136adp-14, 0x1.042b10eae36bap-14, 0x1.f68864bc8457ep-15, 0x1.e574f9237ff9p-15, 0x1.d5135235a3c98p-15, 0x1.c55b408fd7349p-15, 0x1.b644eec9fa786p-15, 0x1.a7c8de1be48fcp-15, 0x1.99dfe31dac2d1p-15, 0x1.8c8322a28743ep-15, 0x1.7fac0ead89633p-15, 0x1.7354637f927fp-15, 0x1.677624bdc361ap-15, 0x1.5c0b9aafcd5b7p-15, 0x1.510f4f95765fdp-15, 0x1.467c0d12b1f43p-15, 0x1.3c4cd9b1acd02p-15, 0x1.327cf67a31563p-15, 0x1.2907dc9dcdf04p-15, 0x1.1fe93b38248bap-15, 0x1.171cf522d4e51p-15, 0x1.0e9f1edc6f5d8p-15, 0x1.066bfc81e883ap-15, 0x1.fcffffb406a8bp-16, 0x1.edaf8ce454057p-16, 0x1.dee02f987081ep-16, 0x1.d08bc73968859p-16, 0x1.c2ac8031f2e73p-16, 0x1.b53cd0a9bbf61p-16, 0x1.a837755eb62d7p-16, 0x1.9b976e9b87d25p-16, 0x1.8f57fd4a36d4p-16, 0x1.8374a0223445dp-16, 0x1.77e910f0ee8ecp-16, 0x1.6cb141fc1cf08p-16, 0x1.61c95b7cf650fp-16, 0x1.572db93388123p-16, 0x1.4cdae81173104p-16, 0x1.42cda3fb45019p-16, 0x1.3902d59fc4e54p-16, 0x1.2f77906471604p-16, 0x1.2629106689deap-16, 0x1.1d14b88ff6f8ap-16, 0x1.143810bf68c62p-16, 0x1.0b90c4030d52p-16, 0x1.031c9ee5415fp-16, 0x1.f5b31b9545761p-17, 0x1.e58b36c1ddf06p-17, 0x1.d5bdde3c39fa4p-17, 0x1.c647979e4f968p-17, 0x1.b7251c6c00425p-17, 0x1.a853576c42381p-17, 0x1.99cf621e85119p-17, 0x1.8b96824b6f891p-17, 0x1.7da627afdec1ap-17, 0x1.6ffbe9c15791bp-17, 0x1.6295858b01c8ap-17, 0x1.5570dba238709p-17, 0x1.488bee31f772p-17, 0x1.3be4df1c33555p-17, 0x1.2f79ee306ea04p-17, 0x1.23497776b075bp-17, 0x1.1751f18e289c4p-17, 0x1.0b91ec1ec4b51p-17, 0x1.00080e5d010cdp-17, 0x1.e9662b3e94367p-18, 0x1.d323a808853dap-18, 0x1.bd465e5298f8dp-18, 0x1.a7cc3de16a48cp-18, 0x1.92b358add929p-18, 0x1.7df9e0ac63e6cp-18, 0x1.699e25b04b988p-18, 0x1.559e93696e908p-18, 0x1.41f9af7bcb4ap-18, 0x1.2eae17afa4612p-18, 0x1.1bba80394f6e5p-18, 0x1.091db217b4e0ep-18, 0x1.edad13112f548p-19, 0x1.c9c7e92388655p-19, 0x1.a689e33c87804p-19, 0x1.83f11c5d8d086p-19, 0x1.61fbcb38e4642p-19, 0x1.40a83fdaa1a6ap-19, 0x1.1ff4e1733f38bp-19, 0x1.ffc058851e594p-20, 0x1.c0d15f431fc46p-20, 0x1.831a1853ad919p-20, 0x1.4697e3f2837fap-20, 0x1.0b483e215c377p-20, 0x1.a2517731f07d8p-21, 0x1.306e0dd704683p-21, 0x1.81c37757e603fp-22, 0x1.4ea075f44f323p-23, -0x1.743134492addfp-25, -0x1.ff90137d39cfap-23, -0x1.cc7da2bdf1c0fp-22, -0x1.4a57825917613p-21, -0x1.ac32146a7907cp-21, -0x1.05e93d38df4dp-20, -0x1.349e50450de81p-20, -0x1.623a3764c163ep-20, -0x1.8ebee5e29c87dp-20, -0x1.ba2e4f6fecae5p-20, -0x1.e48a6931c4dd6p-20, -0x1.06ea955ac38ddp-19, -0x1.1b08476719801p-19, -0x1.2e9f4a2ddbd96p-19, -0x1.41b09f7eb719ap-19, -0x1.543d4bd87ac05p-19, -0x1.664656af3bbefp-19, -0x1.77cccaa9b7f21p-19, -0x1.88d1b5d67e1p-19, -0x1.995629d949e29p-19, -0x1.a95b3c111a88ep-19, -0x1.b8e205b76babdp-19, -0x1.c7eba3f8fe04fp-19, -0x1.d679380898b5dp-19, -0x1.e48be72c2978dp-19, -0x1.f224dac49c71p-19, -0x1.ff454050ca24p-19, -0x1.05f724b5e9547p-18, -0x1.0c1095e39a394p-18, -0x1.11ef90907a4cfp-18, -0x1.1794b39b0bbefp-18, -0x1.1d009fd8e0abcp-18, -0x1.2233f80c9a2fcp-18, -0x1.272f60da7a49ap-18, -0x1.2bf380bba7ae1p-18, -0x1.3080fff03e109p-18, -0x1.34d888704a4c1p-18, -0x1.38fac5dbc8e7ap-18, -0x1.3ce86569c4a61p-18, -0x1.40a215d6a904dp-18, -0x1.44288751df24bp-18, -0x1.477c6b6acfa15p-18, -0x1.4a9e74fd564fdp-18, -0x1.4d8f581dc0643p-18, -0x1.504fca0464445p-18, -0x1.52e080f8e57bp-18, -0x1.5542343d33348p-18, -0x1.57759bf852d91p-18, -0x1.597b7121032aep-18, -0x1.5b546d68436ebp-18, -0x1.5d014b23d15b5p-18, -0x1.5e82c538a18ecp-18, -0x1.5fd9970564b2bp-18, -0x1.61067c4d1deb5p-18, -0x1.620a3121d7d47p-18, -0x1.62e571cf801d6p-18, -0x1.6398fac6f18cfp-18, -0x1.64258889330e1p-18, -0x1.648bd792f5483p-18, -0x1.64cca44855ae8p-18, -0x1.64e8aae0e7993p-18, -0x1.64e0a75411889p-18, -0x1.64b55545bbf9ep-18, -0x1.64676ff35b51p-18, -0x1.63f7b22156912p-18, -0x1.6366d608cf382p-18, -0x1.62b59545cfb5ep-18, -0x1.61e4a8c5e035bp-18, -0x1.60f4c8b705302p-18, -0x1.5fe6ac772e654p-18, -0x1.5ebb0a8410c62p-18, -0x1.5d72986b74dp-18, -0x1.5c0e0abbf4735p-18, -0x1.5a8e14f62e93ep-18, -0x1.58f3697e6e66bp-18, -0x1.573eb98ec742ep-18, -0x1.5570b529a80fp-18, -0x1.538a0b0ce3214p-18, -0x1.518b68a52cdf5p-18, -0x1.4f757a0211b27p-18, -0x1.4d48e9ca606cdp-18, -0x1.4b0661310a92dp-18, -0x1.48ae87ea79f29p-18, -0x1.464204225aadfp-18, -0x1.43c17a71d7fbbp-18, -0x1.412d8dd64bap-18, -0x1.3e86dfa85fd1fp-18, -0x1.3bce0f939f85cp-18, -0x1.3903bb8e76d66p-18, -0x1.36287fd2a1d2ep-18, -0x1.333cf6d60480ap-18, -0x1.3041b943f141ap-18, -0x1.2d375df6d5438p-18, -0x1.2a1e79f24d8f3p-18, -0x1.26f7a05da2211p-18, -0x1.23c3627ea300ep-18, -0x1.20824fb4ea3aep-18, -0x1.1d34f5757aa8bp-18, -0x1.19dbdf46c1032p-18, -0x1.167796bcec939p-18, -0x1.1308a376a74cap-18, -0x1.0f8f8b1a21c2fp-18, -0x1.0c0cd15278c9dp-18, -0x1.0880f7cd6eef7p-18, -0x1.04ec7e39761aap-18, -0x1.014fe2440cbddp-18, -0x1.fb573f30ced93p-19, -0x1.f4005fbccd10ap-19, -0x1.ec9c1573b0096p-19, -0x1.e52b4b93ff948p-19, -0x1.ddaee952cc46p-19, -0x1.d627d1dbd6a7cp-19, -0x1.ce96e4523a6efp-19, -0x1.c6fcfbd199179p-19, -0x1.bf5aef6fc197p-19, -0x1.b7b1923ecda86p-19, -0x1.b001b34fba74cp-19, -0x1.a84c1db568ffcp-19, -0x1.a09198881271ap-19, -0x1.98d2e6e921d6fp-19, -0x1.9110c807747cp-19, -0x1.894bf723f9fa2p-19, -0x1.81852b96b51c6p-19, -0x1.79bd18d414f83p-19, -0x1.71f46e72a47d8p-19, -0x1.6a2bd8310f57cp-19, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.b02abe454c9p-8, 0x1.04fc4d02dc68cp-7, 0x1.35eade75320afp-7, 0x1.6acc7be3b04d9p-7, 0x1.a38a00d39536cp-7, 0x1.e0097c268d226p-7, 0x1.1016f99dca61ap-6, 0x1.31eb97f5c644ap-6, 0x1.5570cf67520a5p-6, 0x1.7a932057d2caap-6, 0x1.a13d57eeb87f3p-6, 0x1.c9589c28a80f4p-6, 0x1.f2cc8035d492ep-6, 0x1.0ebf8fd430b0ap-5, 0x1.24aa9f685c153p-5, 0x1.3b1937544d735p-5, 0x1.51fc996712b1fp-5, 0x1.69459421bd206p-5, 0x1.80e495f2736ep-5, 0x1.98c9bfe38dfabp-5, 0x1.b0e4f775ff1d4p-5, 0x1.c925f779a1fafp-5, 0x1.e17c5fcd34dbcp-5, 0x1.f9d7c40252dd7p-5, 0x1.0913dc77cf249p-4, 0x1.152df0a2798f1p-4, 0x1.2131fc9d99ef6p-4, 0x1.2d17f0bde725p-4, 0x1.38d7d4ae0d7a6p-4, 0x1.4469cc435bcc6p-4, 0x1.4fc61c14dea0ap-4, 0x1.5ae52dde42934p-4, 0x1.65bf94b598725p-4, 0x1.704e1118cbe17p-4, 0x1.7a8994d573c2bp-4, 0x1.846b46cbb494cp-4, 0x1.8dec868b411ffp-4, 0x1.9706efc833abep-4, 0x1.9fb45da4767bdp-4, 0x1.a7eeedc9c9998p-4, 0x1.afb10350149e2p-4, 0x1.b6f5496bab3cfp-4, 0x1.bdb6b5df2f5ffp-4, 0x1.c3f08b2d6212dp-4, 0x1.c99e5a8763ca3p-4, 0x1.cebc0574c94a1p-4, 0x1.d345bf339c19cp-4, 0x1.d7380dcf02d4bp-4, 0x1.da8fcaec3b236p-4, 0x1.dd4a244e47e0dp-4, 0x1.df649c116b241p-4, 0x1.e0dd08a04e344p-4, 0x1.e1b194652a04cp-4, 0x1.e1e0bd39ff13ap-4, 0x1.e169539b33a54p-4, 0x1.e04a79a0815cbp-4, 0x1.de83a1c020753p-4, 0x1.dc148d608f7b1p-4, 0x1.d8fd4b3d5f2c8p-4, 0x1.d53e35a36320fp-4, 0x1.d0d7f088c5befp-4, 0x1.cbcb67855591dp-4, 0x1.c619cbaf3b5b9p-4, 0x1.bfc4916034e76p-4, 0x1.b8cd6de72a40ap-4, 0x1.b1365529ac951p-4, 0x1.a9017738d5686p-4, 0x1.a0313ddc851cap-4, 0x1.96c84a17ebc8p-4, 0x1.8cc971a9d412ap-4, 0x1.8237bc8b0f662p-4, 0x1.7716626cf738fp-4, 0x1.6b68c839d3043p-4, 0x1.5f327d98a9425p-4, 0x1.52773a75cd964p-4, 0x1.453adc91480a9p-4, 0x1.3781651402069p-4, 0x1.294ef62c7f3cdp-4, 0x1.1aa7d0b3bbfa1p-4, 0x1.0b9051dab1f59p-4, 0x1.f819e1c1bffcp-5, 0x1.d84479a844e66p-5, 0x1.b7a9b4b41c4dcp-5, 0x1.96530305ee55fp-5, 0x1.7449f74d7859dp-5, 0x1.51984296d209bp-5, 0x1.2e47b02b7937p-5, 0x1.0a62218731ad3p-5, 0x1.cbe314c19c65cp-6, 0x1.81ffd98dd9d1cp-6, 0x1.372eaaa179abep-6, 0x1.d7075d8baa232p-7, 0x1.3e262623383a6p-7, 0x1.47c40f1071b3fp-8, 0x1.0c695274b0ff3p-12, -0x1.285bca54d3a1bp-8, -0x1.31a986b93f1a9p-7, -0x1.cfe7d0aff765cp-7, -0x1.37609eeb3d888p-6, -0x1.87074cb6b084bp-6, -0x1.d6d4858d96195p-6, -0x1.135a889f42ff3p-5, -0x1.3b4af8965756cp-5, -0x1.633232dc872bp-5, -0x1.8b06f9bd56ff8p-5, -0x1.b2c034227fe25p-5, -0x1.da54effdb43fdp-5, -0x1.00de324c4ab85p-4, -0x1.1476fa6531031p-4, -0x1.27f0988982f83p-4, -0x1.3b46eccd930b6p-4, -0x1.4e75f00c6c1e8p-4, -0x1.6179b4cc5e4d3p-4, -0x1.744e68159ce7dp-4, -0x1.86f0523ad41bap-4, -0x1.995bd793a2c04p-4, -0x1.ab8d7928eb743p-4, -0x1.bd81d552f0e3bp-4, -0x1.cf35a849522a2p-4, -0x1.e0a5cca4c9923p-4, -0x1.f1cf3bd2def71p-4, -0x1.0157873dcb769p-3, -0x1.09a13e6c97599p-3, -0x1.11c36f810dbb7p-3, -0x1.19bcd692b569bp-3, -0x1.218c3fdcd7617p-3, -0x1.293087cf6054ap-3, -0x1.30a89b193e72p-3, -0x1.37f376ac684c4p-3, -0x1.3f1027bba742fp-3, -0x1.45fdcbb2524a9p-3, -0x1.4cbb90261e046p-3, -0x1.5348b2c331a5ep-3, -0x1.59a48132a4c0bp-3, -0x1.5fce58fba29c4p-3, -0x1.65c5a75f51e99p-3, -0x1.6b89e92fc8128p-3, -0x1.711aaaa22b51dp-3, -0x1.7677871c3be11p-3, -0x1.7ba028fd800b8p-3, -0x1.8094496444689p-3, -0x1.8553afeea7a85p-3, -0x1.89de3277ece0ep-3, -0x1.8e33b4d24760cp-3, -0x1.9254287d5cb86p-3, -0x1.963f8c59b464bp-3, -0x1.99f5ec5949e13p-3, -0x1.9d77612d7b309p-3, -0x1.a0c40ff28de7ep-3, -0x1.a3dc29d8fc00bp-3, -0x1.a6bfebccc27ddp-3, -0x1.a96f9e1ae3264p-3, -0x1.abeb941556074p-3, -0x1.ae342bb594f5bp-3, -0x1.b049cd3df5d6dp-3, -0x1.b22ceada0cdb1p-3, -0x1.b3de003e381a5p-3, -0x1.b55d924694c51p-3, -0x1.b6ac2e9578504p-3, -0x1.b7ca6b31aeb17p-3, -0x1.b8b8e62491062p-3, -0x1.b97845183860ap-3, -0x1.ba0934f5d82a6p-3, -0x1.ba6c69847e8edp-3, -0x1.baa29d08500b7p-3, -0x1.baac8fe2669bbp-3, -0x1.ba8b083176ce2p-3, -0x1.ba3ed1735a6d5p-3, -0x1.b9c8bc279b208p-3, -0x1.b9299d731aeb9p-3, -0x1.b8624ec4fdbdcp-3, -0x1.b773ad7cde9d4p-3, -0x1.b65e9a92747fep-3, -0x1.b523fa3eb868ap-3, -0x1.b3c4b3a6a1059p-3, -0x1.b241b0878645cp-3, -0x1.b09bdce5482d5p-3, -0x1.aed426ba34802p-3, -0x1.aceb7da8d1176p-3, -0x1.aae2d2af8bc22p-3, -0x1.a8bb17de587d1p-3, -0x1.a675400e5a26fp-3, -0x1.a4123e9b8339dp-3, -0x1.a1930720561cbp-3, -0x1.9ef88d33b2964p-3, -0x1.9c43c428c3b99p-3, -0x1.99759ed111d24p-3, -0x1.968f0f40b3088p-3, -0x1.93910694a8cfep-3, -0x1.907c74bb677ep-3, -0x1.8d52483f7d7a2p-3, -0x1.8a136e147469p-3, -0x1.86c0d165c764ap-3, -0x1.835b5b680c269p-3, -0x1.7fe3f32c3a095p-3, -0x1.7c5b7d750c3cep-3, -0x1.78c2dc8e85575p-3, -0x1.751af02781c79p-3, -0x1.7164952d5bcfp-3, -0x1.6da0a5a997545p-3, -0x1.69cff8a192ecp-3, -0x1.65f361f82d606p-3, -0x1.620bb251609a8p-3, -0x1.5e19b6f7c4b95p-3, -0x1.5a1e39c3f7d3bp-3, -0x1.561a0105d70a1p-3, -0x1.520dcf6f87263p-3, -0x1.4dfa640248634p-3, -0x1.49e079fcf5b26p-3, -0x1.45c0c8cc40345p-3, -0x1.419c03fc873b9p-3, -0x1.3d72db2d4cd86p-3, -0x1.3945fa0636378p-3, -0x1.3516082d928d3p-3, -0x1.30e3a94056131p-3, -0x1.2caf7ccb820f9p-3, -0x1.287a1e46ee783p-3, -0x1.24442511671a9p-3, -0x1.200e246e14633p-3, -0x1.1bd8ab831c664p-3, -0x1.17a445597fb09p-3, -0x1.137178de11548p-3, -0x1.0f40c8e3921cep-3, -0x1.0b12b425d7278p-3, -0x1.06e7b54df860dp-3, -0x1.02c042f772a71p-3, -0x1.fd399f6c75e09p-4, -0x1.f4fb943b6a84bp-4, -0x1.ecc739910494ep-4, -0x1.e49d5cc22941ep-4, -0x1.dc7ec35625ff5p-4, -0x1.d46c2b1ad1449p-4, -0x1.cc664a3a17751p-4, -0x1.c46dcf50b9e44p-4, -0x1.bc8361865c193p-4, -0x1.b4a7a0a693ad6p-4, -0x1.acdb253b24ffp-4, -0x1.a51e80a71f4f6p-4, -0x1.9d723d42ed687p-4, -0x1.95d6de7942b17p-4, -0x1.8e4ce0e4c2bd1p-4, -0x1.86d4ba6e64331p-4, -0x1.7f6eda6c7863fp-4, -0x1.781ba9c246481p-4, -0x1.70db8b002c41p-4, -0x1.69aeda84378bdp-4, -0x1.6295ee9b25c7dp-4, -0x1.5b9117a1bf279p-4, -0x1.54a0a0267ebe1p-4, -0x1.4dc4cd0b7a4d9p-4, -0x1.46fddda87e56ap-4, -0x1.404c0bed4fccp-4, -0x1.39af8c840b82cp-4, -0x1.33288ef395a38p-4, -0x1.2cb73dc20e096p-4, -0x1.265bbe97422aap-4, -0x1.2016325f0efdfp-4, -0x1.19e6b56bad3dbp-4, -0x1.13cd5f97dbb63p-4, -0x1.0dca4468e1a54p-4, -0x1.07dd73305f235p-4, -0x1.0206f72de67cap-4, -0x1.f88daf60a77d1p-5, -0x1.ed3a306dbbcd8p-5, -0x1.e2137123b6bd4p-5, -0x1.d7196a0664bedp-5, -0x1.cc4c0cbcdf3c5p-5, -0x1.c1ab4450fe0c9p-5, -0x1.b736f56e005b4p-5, -0x1.aceefe9e64ecbp-5, -0x1.a2d33888e83c7p-5, -0x1.98e3762ca16e6p-5, -0x1.8f1f851c35454p-5, -0x1.85872db81870fp-5, -0x1.7c1a3367dc9f6p-5, -0x1.72d854d27fe09p-5, -0x1.69c14c15bad75p-5, -0x1.60d4cefc4a331p-5, -0x1.58128f332c0e8p-5, -0x1.4f7a3a7dd0256p-5, -0x1.470b7ae938106p-5, -0x1.3ec5f6fe01e6cp-5, -0x1.36a951f15eac9p-5, -0x1.2eb52bd4f0566p-5, -0x1.26e921c58f613p-5, -0x1.1f44ce18f52e5p-5, -0x1.17c7c88a4c31dp-5, -0x1.1071a665a5f2fp-5, -0x1.0941fab255d0ep-5, -0x1.0238565c2fd7p-5, -0x1.f6a890b76069p-6, -0x1.e92abbba10576p-6, -0x1.dbf644cc27fcfp-6, -0x1.cf0a3ff6789cap-6, -0x1.c265be8681a5dp-6, -0x1.b607cf53e84b6p-6, -0x1.a9ef7f03c985ep-6, -0x1.9e1bd849f6b0ep-6, -0x1.928be42819f24p-6, -0x1.873eaa2accfa5p-6, -0x1.7c3330a4a5a0cp-6, -0x1.71687ce740d0bp-6, -0x1.66dd937a4ffc7p-6, -0x1.5c917850b0225p-6, -0x1.52832efb9929dp-6, -0x1.48b1badbdff8p-6, -0x1.3f1c1f515b69cp-6, -0x1.35c15fe876c36p-6, -0x1.2ca08085f02b7p-6, -0x1.23b88590d4ca7p-6, -0x1.1b08741aba8dbp-6, -0x1.128f520647bd7p-6, -0x1.0a4c262c0d539p-6, -0x1.023df87dbd37dp-6, -0x1.f4c7a44f81368p-7, -0x1.e5797b6282e4cp-7, -0x1.d68f8e3550ecap-7, -0x1.c807f7f5303ddp-7, -0x1.b9e0d732dfaf9p-7, -0x1.ac184e16c99fp-7, -0x1.9eac82925f583p-7, -0x1.919b9e8eb9087p-7, -0x1.84e3d0189a987p-7, -0x1.78834989d0c27p-7, -0x1.6c7841b017a85p-7, -0x1.60c0f3f186af2p-7, -0x1.555ba06e96bd9p-7, -0x1.4a468c21e773fp-7, -0x1.3f8000fdacfdfp-7, -0x1.35064e070b073p-7, -0x1.2ad7c76f3c516p-7, -0x1.20f2c6aab82c3p-7, -0x1.1755aa865ae2p-7, -0x1.0dfed73a9f96bp-7, -0x1.04ecb67d00fep-7, -0x1.f83b6f1f1a4f4p-8, -0x1.e7209e9d79b01p-8, -0x1.d685f07b3d84p-8, -0x1.c6686520ca3edp-8, -0x1.b6c5086ac8088p-8, -0x1.a798f1b91fce8p-8, -0x1.98e143fb1605fp-8, -0x1.8a9b2db89eb3ep-8, -0x1.7cc3e9190381dp-8, -0x1.6f58bbe6fc846p-8, -0x1.6256f79253a0ep-8, -0x1.55bbf92f2be7ap-8, -0x1.49852973068p-8, -0x1.3daffcafa1937p-8, -0x1.3239f2cbc4145p-8, -0x1.2720973a13a5dp-8, -0x1.1c6180ee07811p-8, -0x1.11fa524f135cfp-8, -0x1.07e8b92a1bcc2p-8, -0x1.fc54dd429d0dfp-9, -0x1.e97a6e34e1493p-9, -0x1.d73dc4576f2f3p-9, -0x1.c59a950e8415bp-9, -0x1.b48cabca8663fp-9, -0x1.a40fe9d9e883p-9, -0x1.94204638ba75p-9, -0x1.84b9cd5e10eadp-9, -0x1.75d8a107603e4p-9, -0x1.6778f801f1996p-9, -0x1.59971df28f8fbp-9, -0x1.4c2f731b8bf19p-9, -0x1.3f3e6c21394dfp-9, -0x1.32c091ccfd4aep-9, -0x1.26b280cf0f88dp-9, -0x1.1b10e97f0887p-9, -0x1.0fd88f9b528e1p-9, -0x1.05064a07a2579p-9, -0x1.f52e05150c2abp-10, -0x1.e10f6b14461dep-10, -0x1.cdaae39084f38p-10, -0x1.bafab03b73e0dp-10, -0x1.a8f9366a91ba8p-10, -0x1.97a0fe8bfbf8fp-10, -0x1.86ecb39a7934bp-10, -0x1.76d72290e0622p-10, -0x1.675b39dd04334p-10, -0x1.587408d24106ap-10, -0x1.4a1cbf1be24dep-10, -0x1.3c50ac2f5d2bcp-10, -0x1.2f0b3ebea075fp-10, -0x1.2248042a81fdap-10, -0x1.1602a7f573e64p-10, -0x1.0a36f33688cc8p-10, -0x1.fdc19819f25cfp-11, -0x1.e7f86a2853eebp-11, -0x1.d30a99b0bf83fp-11, -0x1.bef09a9848e62p-11, -0x1.aba3167cf9553p-11, -0x1.991aeba3fdad9p-11, -0x1.87512be9b877p-11, -0x1.763f1bb3de5efp-11, -0x1.65de30e5be373p-11, -0x1.562811d6ced23p-11, -0x1.4716944ba68aep-11, -0x1.38a3bc716eb48p-11, -0x1.2ac9bbdbf613ep-11, -0x1.1d82f086701eep-11, -0x1.10c9e3d6ff66fp-11, -0x1.049949a51879ap-11, -0x1.f1d7fe85ab0dfp-12, -0x1.db7a15129031cp-12, -0x1.c60f31cfb4607p-12, -0x1.b18dfced9bbf4p-12, -0x1.9ded6a19cbf07p-12, -0x1.8b24b6b08f183p-12, -0x1.792b67f5335bap-12, -0x1.67f94950e4937p-12, -0x1.57866a9825992p-12, -0x1.47cb1e56ffb42p-12, -0x1.38bff823f281fp-12, -0x1.2a5dcaf9a8daap-12, -0x1.1c9da79782018p-12, -0x1.0f78dae8f2bcp-12, -0x1.02e8ec73c01c8p-12, -0x1.edcf399a32cffp-13, -0x1.d6ddc82b2a49ap-13, -0x1.c0f1e0f810a03p-13, -0x1.ac00498e7faaep-13, -0x1.97fe2dcd21266p-13, -0x1.84e11d128057ep-13, -0x1.729f07797891cp-13, -0x1.612e3b233232ep-13, -0x1.5085618ea435cp-13, -0x1.409b7cfd8766bp-13, -0x1.3167e5e697397p-13, -0x1.22e2487525a4ep-13, -0x1.1502a215c9479p-13, -0x1.07c13f102d081p-13, -0x1.f62d705b86184p-14, -0x1.ddf7e0dabd405p-14, -0x1.c6d42586f8a15p-14, -0x1.b0b51fce53989p-14, -0x1.9b8e3856bd9d4p-14, -0x1.87535ac96a501p-14, -0x1.73f8f1b690cafp-14, -0x1.6173e29154e86p-14, -0x1.4fb989c37bbfdp-14, -0x1.3ebfb6d8a5a02p-14, -0x1.2e7ca8c0c06e9p-14, -0x1.1ee70a29612abp-14, -0x1.0ff5ededb60d5p-14, -0x1.01a0cb9cbf4a8p-14, -0x1.e7bef82af8ffp-15, -0x1.cd546c7175b5ep-15, -0x1.b3f317606240cp-15, -0x1.9b8ccb952acf7p-15, -0x1.841404d8a95d3p-15, -0x1.6d7be22936575p-15, -0x1.57b81feca8cbep-15, -0x1.42bd1249998c5p-15, -0x1.2e7f9fa742d04p-15, -0x1.1af53b534a00fp-15, -0x1.0813e04cc942p-15, -0x1.eba41867dbe46p-16, -0x1.c84d74baf676dp-16, -0x1.a612be13198b3p-16, -0x1.84e3c579ca142p-16, -0x1.64b13b784d2f6p-16, -0x1.456ca7508b274p-16, -0x1.27085e772246p-16, -0x1.09777c4d4bffdp-16, -0x1.d95bb4329ef08p-17, -0x1.a1400e78702ddp-17, -0x1.6a868346fddd7p-17, -0x1.351adcead907ep-17, -0x1.00ea25edd11a6p-17, -0x1.9bc536a5edb79p-18, -0x1.37e73e811499ep-18, -0x1.ac36b05581143p-19, -0x1.d9123f3aa4359p-20, -0x1.847f0d0c7a6fp-22, 0x1.0fce467f7434cp-20, 0x1.3d0a6664f3634p-19, 0x1.ef04e8bcf8e3dp-19, 0x1.4eff2f92c40a8p-18, 0x1.a50dadae976d1p-18, 0x1.f9beb9c8c4355p-18, 0x1.2690da24a406bp-17, 0x1.4fa252ace5231p-17, 0x1.781a2758964fp-17, 0x1.9ffe1e5f2af17p-17, 0x1.c7536b9b2917ep-17, 0x1.ee1eb884f2686p-17, 0x1.0a3215f19d223p-16, 0x1.1d13b8998e3c9p-16, 0x1.2fb5dfe4e166dp-16, 0x1.4219f0d8c5509p-16, 0x1.54411d22361edp-16, 0x1.662c6642c40c2p-16, 0x1.77dca09dd395dp-16, 0x1.895276672ea93p-16, 0x1.9a8e6a73ccae9p-16, 0x1.ab90daeda774bp-16, 0x1.bc5a03eb6df3dp-16, 0x1.ccea01ece8c24p-16, 0x1.dd40d43cdb6e9p-16, 0x1.ed5e5f392604bp-16, 0x1.fd426e81f7b77p-16, 0x1.06765b885e013p-15, 0x1.0e2e6c9bcb6bfp-15, 0x1.15c931450b82ap-15, 0x1.1d4667d7e9d6fp-15, 0x1.24a5c710d92e1p-15, 0x1.2be6fee9356a2p-15, 0x1.3309b9618429ep-15, 0x1.3a0d9b41ff0f9p-15, 0x1.40f244d1b74e6p-15, 0x1.47b75284a8f6fp-15, 0x1.4e5c5da0fedcbp-15, 0x1.54e0fcdbdd2fcp-15, 0x1.5b44c4edf45e7p-15, 0x1.6187492025bdep-15, 0x1.67a81bd08096ap-15, 0x1.6da6ceefdb533p-15, 0x1.7382f478477eep-15, 0x1.793c1edca67c1p-15, 0x1.7ed1e1719a639p-15, 0x1.8443d0d00f947p-15, 0x1.899183319e018p-15, 0x1.8eba90c6f9b81p-15, 0x1.93be9408ab8d8p-15, 0x1.989d2a0249cabp-15, 0x1.9d55f2986685cp-15, 0x1.a1e890c966759p-15, 0x1.a654aae975364p-15, 0x1.aa99ead9c6313p-15, 0x1.aeb7fe3b52cbap-15, 0x1.b2ae969d467ffp-15, 0x1.b67d69a743091p-15, 0x1.ba24313fa8ef9p-15, 0x1.bda2abae14095p-15, 0x1.c0f89bba2dc7ap-15, 0x1.c425c8c704e3fp-15, 0x1.c729feeb0b909p-15, 0x1.ca050f04e70c7p-15, 0x1.ccb6cecd31642p-15, 0x1.cf3f18e553ec6p-15, 0x1.d19dcce39bf8ap-15, 0x1.d3d2cf5caa95bp-15, 0x1.d5de09ea5fb73p-15, 0x1.d7bf6b3064812p-15, 0x1.d976e6de6aa98p-15, 0x1.db0475b04668cp-15, 0x1.dc68156bfd479p-15, 0x1.dda1c8dddfc31p-15, 0x1.deb197d2d3f8ep-15, 0x1.df978f10dd9adp-15, 0x1.e053c04e06d52p-15, 0x1.e0e64225bce41p-15, 0x1.e14f300cb9902p-15, 0x1.e18eaa438caabp-15, 0x1.e1a4d5c7e0eb3p-15, 0x1.e191dc448af45p-15, 0x1.e155ec007c13bp-15, 0x1.e0f137cca7dffp-15, 0x1.e063f6f0efcbfp-15, 0x1.dfae65182b06cp-15, 0x1.ded0c23b55d29p-15, 0x1.ddcb528bfe4e1p-15, 0x1.dc9e5e5dfa36bp-15, 0x1.db4a321077a7fp-15, 0x1.d9cf1df6796a2p-15, 0x1.d82d763ec6629p-15, 0x1.d66592db62d5cp-15, 0x1.d477cf6897d13p-15, 0x1.d2648b139c8b2p-15, 0x1.d02c2880e835bp-15, 0x1.cdcf0db23b0b8p-15, 0x1.cb4da3ec67f22p-15, 0x1.c8a8579cebacap-15, 0x1.c5df983f57bcdp-15, 0x1.c2f3d8429ea52p-15, 0x1.bfe58cee46395p-15, 0x1.bcb52e478f2p-15, 0x1.b96336f6923e7p-15, 0x1.b5f0242b632e6p-15, 0x1.b25c7583398dbp-15, 0x1.aea8acedabf42p-15, 0x1.aad54e9202b1ap-15, 0x1.a6e2e0b4a5edcp-15, 0x1.a2d1eb9cb30cap-15, 0x1.9ea2f979ba6e8p-15, 0x1.9a569649aa37cp-15, 0x1.95ed4fbef1aa8p-15, 0x1.9167b526d975ep-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.a00ef5edbfdp-5, 0x1.c9db9e55f06f1p-5, 0x1.f38c900ee05bfp-5, 0x1.0e83a94153235p-4, 0x1.231635035f213p-4, 0x1.376c08f07815fp-4, 0x1.4b7186ec31aeap-4, 0x1.5f11c2ffcbcd5p-4, 0x1.7236f11afabadp-4, 0x1.84cacebaebe14p-4, 0x1.96b705a24a84dp-4, 0x1.a7e585be6ac61p-4, 0x1.b840d51944ef9p-4, 0x1.c7b455519bfa9p-4, 0x1.d62c7e87d4b96p-4, 0x1.e39710049c0bfp-4, 0x1.efe3371bc8af8p-4, 0x1.fb01acf6f433p-4, 0x1.0272660662a71p-3, 0x1.06c04f0b4aaf6p-3, 0x1.0a6571ad27b8bp-3, 0x1.0d5d8a0d7bd0fp-3, 0x1.0fa52e7d6df2cp-3, 0x1.1139cb87683fp-3, 0x1.12199e2a6a4bep-3, 0x1.1243ac98d9c31p-3, 0x1.11b7bdc51d18bp-3, 0x1.10764ffebde3fp-3, 0x1.0e808edb5d61fp-3, 0x1.0bd8489fcf979p-3, 0x1.087fe356ff27fp-3, 0x1.047a51be005bcp-3, 0x1.ff96104e33ceap-4, 0x1.f4ebe2e0976f5p-4, 0x1.e8fec84a56c1p-4, 0x1.dbd82fbf77905p-4, 0x1.cd8235f05310bp-4, 0x1.be07911ff9805p-4, 0x1.ad737e04f343dp-4, 0x1.9bd1ad82a018fp-4, 0x1.892e33455468p-4, 0x1.759575475458dp-4, 0x1.61141c41d88afp-4, 0x1.4bb7050a7d343p-4, 0x1.358b32db523f2p-4, 0x1.1e9dc281ead7bp-4, 0x1.06fbde7051a67p-4, 0x1.dd6567532ead4p-5, 0x1.ab9ecf0597951p-5, 0x1.78be1c60fd839p-5, 0x1.44dd4430cd28fp-5, 0x1.1015f7bcf2463p-5, 0x1.b5032c9251f1ep-6, 0x1.48723fcef4a4ap-6, 0x1.b554a6300dbaap-7, 0x1.af6e928302ef6p-8, -0x1.e5462aa67706ep-13, -0x1.d068427049e11p-8, -0x1.c9cbb081cd79cp-7, -0x1.5601ffda11f18p-6, -0x1.c743dc1861f94p-6, -0x1.1c4101dcf59fp-5, -0x1.54ca2bfcd7563p-5, -0x1.8d2a05cb51a3ap-5, -0x1.c54dd4459831fp-5, -0x1.fd238a4671d4bp-5, -0x1.1a4ce51ab684cp-4, -0x1.35cff39803b2fp-4, -0x1.5112f2db6264cp-4, -0x1.6c0e3df3cf2d9p-4, -0x1.86ba88a74d04cp-4, -0x1.a110df2a6d6ebp-4, -0x1.bb0aa5aaf2f7bp-4, -0x1.d4a197b13aa96p-4, -0x1.edcfc75bd186ep-4, -0x1.0347ce3c2fd43p-3, -0x1.0f6de9be7dee1p-3, -0x1.1b57be324c006p-3, -0x1.2702fcb8a1231p-3, -0x1.326d7eeb45355p-3, -0x1.3d9546273cddfp-3, -0x1.48787acd8ee33p-3, -0x1.53156b7b670dfp-3, -0x1.5d6a8c3a6e17dp-3, -0x1.677675aa5156ap-3, -0x1.7137e424365f1p-3, -0x1.7aadb6d8ee9d8p-3, -0x1.83d6eeea974a6p-3, -0x1.8cb2ae8261f79p-3, -0x1.954037e315f84p-3, -0x1.9d7eec78f0e1cp-3, -0x1.a56e4be771207p-3, -0x1.ad0df3158b0c5p-3, -0x1.b45d9b38d1b61p-3, -0x1.bb5d18e0007e5p-3, -0x1.c20c5afd544bfp-3, -0x1.c86b69f1287d9p-3, -0x1.ce7a669529635p-3, -0x1.d439894889536p-3, -0x1.d9a920fd7cf62p-3, -0x1.dec99248614cdp-3, -0x1.e39b5670ce4d1p-3, -0x1.e81efa84daad8p-3, -0x1.ec551e6edf2bfp-3, -0x1.f03e740deb71p-3, -0x1.f3dbbe512cc68p-3, -0x1.f72dd0567eed2p-3, -0x1.fa358c8c56903p-3, -0x1.fcf3e3d72f90ap-3, -0x1.ff69d4bab5b07p-3, -0x1.00cc354362529p-2, -0x1.01c05e443555ap-2, -0x1.0291f69f8550fp-2, -0x1.034194cadf8dbp-2, -0x1.03cfd4108cd34p-2, -0x1.043d5430a9b73p-2, -0x1.048ab90483e84p-2, -0x1.04b8aa2444d02p-2, -0x1.04c7d28ef56b9p-2, -0x1.04b8e054dcabp-2, -0x1.048c84444045ep-2, -0x1.0443719890ccep-2, -0x1.03de5dabfde67p-2, -0x1.035dffab786dep-2, -0x1.02c3104d2669cp-2, -0x1.020e498942b1cp-2, -0x1.014066556e6cp-2, -0x1.005a22626f8b8p-2, -0x1.feb873b8b0b48p-3, -0x1.fc8ed25a3565ap-3, -0x1.fa38d982f8b5bp-3, -0x1.f7b801a0dac01p-3, -0x1.f50dc2496f575p-3, -0x1.f23b91d200a4ap-3, -0x1.ef42e4ec37036p-3, -0x1.ec252e4744aabp-3, -0x1.e8e3de3592821p-3, -0x1.e5806256d57fep-3, -0x1.e1fc254684a77p-3, -0x1.de588e4e8f1a7p-3, -0x1.da97011e4eb93p-3, -0x1.d6b8dd859422ep-3, -0x1.d2bf7f33c42aep-3, -0x1.ceac3d7ae7f9ap-3, -0x1.ca806b169c7fbp-3, -0x1.c63d55f6d3276p-3, -0x1.c1e4470e38abcp-3, -0x1.bd7682244133cp-3, -0x1.b8f545aab681ap-3, -0x1.b461ca96acf3p-3, -0x1.afbd443cd13dep-3, -0x1.ab08e030f022p-3, -0x1.a645c6289a25cp-3, -0x1.a17517e0de182p-3, -0x1.9c97f106e9154p-3, -0x1.97af67238341fp-3, -0x1.92bc89894fbbep-3, -0x1.8dc06145af32ep-3, -0x1.88bbf11432b27p-3, -0x1.83b035548b41ap-3, -0x1.7e9e2402cc205p-3, -0x1.7986acb201653p-3, -0x1.746ab888eb7b2p-3, -0x1.6f4b2a40db19cp-3, -0x1.6a28de2685418p-3, -0x1.6504aa1cc9143p-3, -0x1.5fdf5da1461c3p-3, -0x1.5ab9c1d2afa8ap-3, -0x1.55949978c9e51p-3, -0x1.5070a10df9cd1p-3, -0x1.4b4e8eca4e7adp-3, -0x1.462f12affcc56p-3, -0x1.4112d699259bcp-3, -0x1.3bfa7e46e7fbfp-3, -0x1.36e6a7719995cp-3, -0x1.31d7e9da21b31p-3, -0x1.2cced75c587cep-3, -0x1.27cbfc0260f11p-3, -0x1.22cfde18eb0fbp-3, -0x1.1ddafe4448421p-3, -0x1.18edd79649303p-3, -0x1.1408dfa4cc634p-3, -0x1.0f2c86a0f94fap-3, -0x1.0a59376f0f24ep-3, -0x1.058f57bebb138p-3, -0x1.00cf4823f365p-3, -0x1.f832c86061648p-4, -0x1.eedc051831235p-4, -0x1.e59aea22e28f8p-4, -0x1.dc7011cac7815p-4, -0x1.d35c0d25ed6c1p-4, -0x1.ca5f644b827f5p-4, -0x1.c17a96897bdf2p-4, -0x1.b8ae1a9a823a6p-4, -0x1.affa5edbfe0c4p-4, -0x1.a75fc98438f96p-4, -0x1.9edeb8d88636ep-4, -0x1.9677836353044p-4, -0x1.8e2a782a27231p-4, -0x1.85f7dee367e92p-4, -0x1.7ddff82be8d55p-4, -0x1.75e2fdbc2f437p-4, -0x1.6e01229d5eb1cp-4, -0x1.663a935dc1198p-4, -0x1.5e8f7644e1db4p-4, -0x1.56ffeb872d59p-4, -0x1.4f8c0d790d808p-4, -0x1.4833f0c176f56p-4, -0x1.40f7a48be21a8p-4, -0x1.39d732b9a350dp-4, -0x1.32d2a0129cf73p-4, -0x1.2be9ec7544d5dp-4, -0x1.251d1305f3a24p-4, -0x1.1e6c0a5d7b9eep-4, -0x1.17d6c4b6fe981p-4, -0x1.115d301cff5f7p-4, -0x1.0aff3695aa33fp-4, -0x1.04bcbe4e4fdc4p-4, -0x1.fd2b538c1f2abp-5, -0x1.f113afef5abefp-5, -0x1.e532490522faap-5, -0x1.d986cfa5dcac2p-5, -0x1.ce10ee9219ce1p-5, -0x1.c2d04abf74a11p-5, -0x1.b7c483a3b3abbp-5, -0x1.aced337e2e2ecp-5, -0x1.a249ef9f721c9p-5, -0x1.97da48af2c469p-5, -0x1.8d9dcaf04f978p-5, -0x1.8393fe8380fa8p-5, -0x1.79bc67a7c3029p-5, -0x1.701686f968021p-5, -0x1.66a1d9af49dd2p-5, -0x1.5d5dd9d64b76ap-5, -0x1.5449fe8b262e4p-5, -0x1.4b65bc32858b4p-5, -0x1.42b084af77c44p-5, -0x1.3a29c79834317p-5, -0x1.31d0f2693da56p-5, -0x1.29a570b6e64c8p-5, -0x1.21a6ac5d3513ep-5, -0x1.19d40dae3b047p-5, -0x1.122cfb9ed296dp-5, -0x1.0ab0dbf1d92f8p-5, -0x1.035f1361e1b5p-5, -0x1.f86e0b92d217dp-6, -0x1.ea702c932433ap-6, -0x1.dcc34edee219bp-6, -0x1.cf6636afd38d1p-6, -0x1.c257a7a453033p-6, -0x1.b596650188496p-6, -0x1.a92131f2f240cp-6, -0x1.9cf6d1c74e789p-6, -0x1.9116082af0f26p-6, -0x1.857d995f969e1p-6, -0x1.7a2c4a71bfec9p-6, -0x1.6f20e16ba510ep-6, -0x1.645a2585cdc9ap-6, -0x1.59d6df5560667p-6, -0x1.4f95d8f82e5fap-6, -0x1.4595de3e98885p-6, -0x1.3bd5bcd34a27cp-6, -0x1.32544460e66aep-6, -0x1.291046b5ae838p-6, -0x1.200897e533757p-6, -0x1.173c0e68187e3p-6, -0x1.0ea9833a00d46p-6, -0x1.064fd1f5ac449p-6, -0x1.fc5bb1dea9ec6p-7, -0x1.ec84f29aaefe3p-7, -0x1.dd192e3e71f38p-7, -0x1.ce1632e6271e6p-7, -0x1.bf79d4d2e96ffp-7, -0x1.b141ee8f86078p-7, -0x1.a36c61124cf5ep-7, -0x1.95f713dc33345p-7, -0x1.88dff515256ffp-7, -0x1.7c24f9a5d4d94p-7, -0x1.6fc41d4eee7c5p-7, -0x1.63bb62bdf4049p-7, -0x1.5808d39fb7552p-7, -0x1.4caa80b090e21p-7, -0x1.419e81ca7d439p-7, -0x1.36e2f5f10fdcp-7, -0x1.2c76035b78109p-7, -0x1.2255d77c91e8p-7, -0x1.1880a70922b54p-7, -0x1.0ef4adfc50dd4p-7, -0x1.05b02f9a6d193p-7, -0x1.f962ece439a6ap-8, -0x1.e7eda8b7f2a69p-8, -0x1.d6fd44f16dba9p-8, -0x1.c68e825bc43ebp-8, -0x1.b69e30428e69p-8, -0x1.a7292c6624da6p-8, -0x1.982c62ed74683p-8, -0x1.89a4ce5583a4ep-8, -0x1.7b8f775ec9aeep-8, -0x1.6de974f8726a4p-8, -0x1.60afec29ae8c7p-8, -0x1.53e00ff92886ap-8, -0x1.47772152bc6cfp-8, -0x1.3b726eeb8ac7ep-8, -0x1.2fcf5524807c7p-8, -0x1.248b3deb6c90dp-8, -0x1.19a3a09abb724p-8, -0x1.0f1601d7ed681p-8, -0x1.04dff370e262p-8, -0x1.f5fe287014a8ep-9, -0x1.e2e21fbf2a4fcp-9, -0x1.d0673da7663f6p-9, -0x1.be890c27f0077p-9, -0x1.ad432e17ed711p-9, -0x1.9c915ed648f54p-9, -0x1.8c6f71f8311efp-9, -0x1.7cd952f6648f9p-9, -0x1.6dcb04d97d4dfp-9, -0x1.5f40a1e549742p-9, -0x1.51365b4356635p-9, -0x1.43a878acce038p-9, -0x1.36935813b6f3cp-9, -0x1.29f36d4bbcd1ap-9, -0x1.1dc541b2932b9p-9, -0x1.120573d807f37p-9, -0x1.06b0b725e6a6cp-9, -0x1.f787a70f7120cp-10, -0x1.e2774a24f4aeep-10, -0x1.ce2a3758b1c05p-10, -0x1.ba9a756915c4dp-10, -0x1.a7c23156b273ep-10, -0x1.959bbdb4c6e53p-10, -0x1.842191fa652ap-10, -0x1.734e49d4574d2p-10, -0x1.631ca477d91e6p-10, -0x1.538783f64770cp-10, -0x1.4489ec91dd8f4p-10, -0x1.361f0413964dfp-10, -0x1.284211224dfc7p-10, -0x1.1aee7a9b319c5p-10, -0x1.0e1fc6eb98a24p-10, -0x1.01d19b6c568a1p-10, -0x1.ebff777d33f1bp-11, -0x1.d54c1254c6ac6p-11, -0x1.bf8103fd52f97p-11, -0x1.aa9681e66d10cp-11, -0x1.9684f91895362p-11, -0x1.83450d0021477p-11, -0x1.70cf963be1bb3p-11, -0x1.5f1da16f94139p-11, -0x1.4e286e1a35e88p-11, -0x1.3de96d704a1a9p-11, -0x1.2e5a413a1cca6p-11, -0x1.1f74bab615645p-11, -0x1.1132d97f20a8ep-11, -0x1.038eca773dbacp-11, -0x1.ed05cd6c6d81cp-12, -0x1.d41364f917bcp-12, -0x1.bc3bb8552c3d5p-12, -0x1.a5747677d23e4p-12, -0x1.8fb39e8de65fep-12, -0x1.7aef7e01c6cd5p-12, -0x1.671eae8ba0682p-12, -0x1.5438144a4c4eap-12, -0x1.4232dbe4ae6c8p-12, -0x1.310678b39cbddp-12, -0x1.20aaa2f4414dbp-12, -0x1.11175602f67e7p-12, -0x1.0244ce9e90fe2p-12, -0x1.e857126820664p-13, -0x1.cd8880654d6eap-13, -0x1.b40fd4d024a71p-13, -0x1.9bdf72ca5ca0dp-13, -0x1.84ea2fd579eabp-13, -0x1.6f2350bc8f921p-13, -0x1.5a7e868e28a56p-13, -0x1.46efeba62593ep-13, -0x1.346c00c763fbcp-13, -0x1.22e7aa451c2f1p-13, -0x1.12582d3bb0e2p-13, -0x1.02b32cd8d8bp-13, -0x1.e7dd4f65e1aa6p-14, -0x1.cc01ea5e89ba5p-14, -0x1.b1c185ee474c8p-14, -0x1.990a24f71f76dp-14, -0x1.81ca6d0ead5fbp-14, -0x1.6bf1a1bec9f1bp-14, -0x1.576f9fe23a55dp-14, -0x1.4434d91d05b9bp-14, -0x1.32324f700b579p-14, -0x1.215990e76d341p-14, -0x1.119cb3636aaffp-14, -0x1.02ee507b3caf6p-14, -0x1.ea8302f31c8afp-15, -0x1.d113b6e442fa2p-15, -0x1.b976d6e0731d5p-15, -0x1.a395657abb0eep-15, -0x1.8f5946800d26p-15, -0x1.7cad37e3a55c5p-15, -0x1.6b7ccad9948bep-15, -0x1.5bb45d1ea98ebp-15, -0x1.4d41126cd5451p-15, -0x1.4010ce1b401c2p-15, -0x1.34122ce93380ep-15, -0x1.29347ef30baeep-15, -0x1.1f67c1d05d4a3p-15, -0x1.169c9ada7c5a7p-15, -0x1.0ec4519a9ae59p-15, -0x1.07d0ca5eababdp-15, -0x1.01b480f444aadp-15, -0x1.f8c507115eb3fp-16, -0x1.ef9cdb5acd332p-16, -0x1.e7d8c7006b5b6p-16, -0x1.e16219ec7587bp-16, -0x1.dc23229207ef6p-16, -0x1.d807250a1d77bp-16, -0x1.d4fa5271ccc0fp-16, -0x1.d2e9c08856188p-16, -0x1.d1c3618b8692dp-16, -0x1.d175fc5114434p-16, -0x1.d1f1249b79fc6p-16, -0x1.d32533a8fb9a7p-16, -0x1.d50340fb710b1p-16, -0x1.d77d1b5784acfp-16, -0x1.da8541fa0a6fep-16, -0x1.de0ede0223848p-16, -0x1.e20dbc0ef18eep-16, -0x1.e676460f7f7b7p-16, -0x1.eb3d7d43bcd8dp-16, -0x1.f058f46d390cp-16, -0x1.f5beca2e7f938p-16, -0x1.fb65a397dbe7p-16, -0x1.00a253703032fp-15, -0x1.03a9bb250586ap-15, -0x1.06c51597f6bffp-15, -0x1.09f0a89e9cca3p-15, -0x1.0d28f0e614fbap-15, -0x1.106a9fb5d4672p-15, -0x1.13b298c55d868p-15, -0x1.16fdf02452edap-15, -0x1.1a49e83466685p-15, -0x1.1d93efb4ac2c1p-15, -0x1.20d99fddd236dp-15, -0x1.2418ba8ecb72p-15, -0x1.274f288972a9bp-15, -0x1.2a7af7beb6badp-15, -0x1.2d9a59a9e04a6p-15, -0x1.30aba1ba7fe1ap-15, -0x1.33ad43cc9d09ep-15, -0x1.369dd2aebbc2ap-15, -0x1.397bfeb55145cp-15, -0x1.3c46945b44ab7p-15, -0x1.3efc7aef1a811p-15, -0x1.419cb34c67e39p-15, -0x1.442656a136a4dp-15, -0x1.4698953ef7681p-15, -0x1.48f2b576ad0a1p-15, -0x1.4b34127ffb395p-15, -0x1.4d5c1b6abff94p-15, -0x1.4f6a521ae7b7cp-15, -0x1.515e4a4e2b419p-15, -0x1.5337a8ab67988p-15, -0x1.54f621db43a75p-15, -0x1.569979a9d99a3p-15, -0x1.58218231188f8p-15, -0x1.598e1b0b9ae4ep-15, -0x1.5adf308faade9p-15, -0x1.5c14bb122df75p-15, -0x1.5d2ebe313cd65p-15, -0x1.5e2d48262262fp-15, -0x1.5f10711e8344cp-15, -0x1.5fd85a9c787dfp-15, -0x1.60852edd556d3p-15, -0x1.61172046ef6c3p-15, -0x1.618e68db1fb43p-15, -0x1.61eb49b1572ebp-15, -0x1.622e0a7603b45p-15, -0x1.6256f8ef9ceecp-15, -0x1.626668891f949p-15, -0x1.625cb1e1cd342p-15, -0x1.623a3261faddfp-15, -0x1.61ff4bd4c5f95p-15, -0x1.61ac640681803p-15, -0x1.6141e467af52bp-15, -0x1.60c039b45c8ecp-15, -0x1.6027d39fba036p-15, -0x1.5f792483c5df1p-15, -0x1.5eb4a114e34b1p-15, -0x1.5ddac01939097p-15, -0x1.5cebfa23b5393p-15, -0x1.5be8c9529123p-15, -0x1.5ad1a91133eap-15, -0x1.59a715dd546bdp-15, -0x1.58698d0f38719p-15, -0x1.57198ca4f5d0dp-15, -0x1.55b79310939d4p-15, -0x1.54441f08f11fap-15, -0x1.52bfaf5d5619fp-15, -0x1.512ac2cb90f89p-15, -0x1.4f85d7d889b65p-15, -0x1.4dd16cab2db73p-15, -0x1.4c0dfee99efa9p-15, -0x1.4a3c0b988dc9p-15, -0x1.485c0efca3a57p-15, -0x1.466e847deeef5p-15, -0x1.4473e68d32be5p-15, -0x1.426cae8b0c8f2p-15, -0x1.405954b0d5d01p-15, -0x1.3e3a4ffb350ep-15, -0x1.3c10161643bb3p-15, -0x1.39db1b4b3e7a8p-15, -0x1.379bd26fa826ep-15, -0x1.3552acd5d3b3dp-15, -0x1.33001a3ec171dp-15, -0x1.30a488cd3f809p-15, -0x1.2e4064fa42fbep-15, -0x1.2bd4198a67277p-15, -0x1.29600f848377cp-15, -0x1.26e4ae29508ap-15, -0x1.24625aec08f46p-15, -0x1.21d9796bfdffbp-15, -0x1.1f4a6b6f10cdbp-15, -0x1.1cb590dd068d7p-15, -0x1.1a1b47bbaa68dp-15, -0x1.177bec2bb70bfp-15, -0x1.14d7d86674514p-15, -0x1.122f64bc0b3bap-15, -0x1.0f82e7927bb5fp-15, -0x1.0cd2b565307ccp-15, -0x1.0a1f20c529a2p-15, -0x1.07687a59ae2c3p-15, -0x1.04af10e185e5dp-15, -0x1.01f33134ac3bdp-15, -0x1.fe6a4c8cf1d76p-16, -0x1.f8ea7250653e2p-16, -0x1.f367621819c8cp-16, -0x1.ede1a690ff03bp-16, -0x1.e859c6b7f85b1p-16, -0x1.e2d045e1e8826p-16, -0x1.dd45a3c457c96p-16, -0x1.d7ba5c7eab464p-16, -0x1.d22ee8a3e095ep-16, -0x1.cca3bd44c2ab2p-16, -0x1.c7194bfa90774p-16, -0x1.c19002f20a9dfp-16, -0x1.bc084cf6dcabep-16, -0x1.b682917f63fbp-16, -0x1.b0ff34b8b9996p-16, -0x1.ab7e97930c2c5p-16, -0x1.a60117ce3431dp-16, -0x1.a08710067cdbp-16, -0x1.9b10d7c1a68d4p-16, -0x1.959ec37c0b405p-16, -0x1.903124b5ed609p-16, -0x1.8ac84a00e3839p-16, -0x1.85647f0d5e0dcp-16, -0x1.80060cb8404ccp-16, -0x1.7aad39188dbe8p-16, -0x1.755a478d18c99p-16, -0x1.700d78ca44eap-16, -0x1.6ac70ae7be0f1p-16, -0x1.6587396e39575p-16, -0x1.604e3d652a45p-16, -0x1.5b1c4d6072e71p-16, -0x1.55f19d8e02b75p-16, -0x1.50ce5fc3706cfp-16, -0x1.4bb2c38b74d32p-16, -0x1.469ef6335fdbfp-16, -0x1.419322d869abbp-16, -0x1.3c8f7274ef778p-16, -0x1.37940bed9ac57p-16, -0x1.32a1141e5d70dp-16, -0x1.2db6ade75c638p-16, -0x1.28d4fa39ae5a5p-16, -0x1.23fc1823ff47ep-16, -0x1.1f2c24df0933cp-16, -0x1.1a653bd9eb3bfp-16, -0x1.15a776c6583bcp-16, -0x1.10f2eda49c603p-16, -0x1.0c47b6cf7bd38p-16, -0x1.07a5e707e4028p-16, -0x1.030d91807540fp-16, -0x1.fcfd8fd1b9bcbp-17, -0x1.f3f334f209704p-17, -0x1.eafc2ff8308e3p-17, -0x1.e2189bb6a8b68p-17, -0x1.d948905167104p-17, -0x1.d08c2352c1d81p-17, -0x1.c7e367c00c6e9p-17, -0x1.bf4e6e2dc46f4p-17, -0x1.b6cd44d370f45p-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.1c4f3160b43d4p-1, 0x1.1d403c9275406p-1, 0x1.1e3511110e146p-1, 0x1.1f284efa6ccbp-1, 0x1.20150299f3fdfp-1, 0x1.20f6c378d785cp-1, 0x1.21c9c6c844e08p-1, 0x1.228ae78dd2c9ep-1, 0x1.2337a6d6f956ap-1, 0x1.23ce25f742f5ap-1, 0x1.244d1c88468d3p-1, 0x1.24b3cb9511534p-1, 0x1.2501ef12ca2efp-1, 0x1.2537ae88d5f83p-1, 0x1.25558d94c4a2bp-1, 0x1.255c5cc97a03ap-1, 0x1.254d2b44b17p-1, 0x1.25293938f40edp-1, 0x1.24f1eb934dbf5p-1, 0x1.24a8c0d267de6p-1, 0x1.244f47173f4efp-1, 0x1.23e7136d8e773p-1, 0x1.2371ba42a9f85p-1, 0x1.22f0c8fc46b94p-1, 0x1.2265c09d16f51p-1, 0x1.21d21162dfc33p-1, 0x1.2137174876aa9p-1, 0x1.209617559b75ep-1, 0x1.1ff03da6ceb03p-1, 0x1.1f469c17d6c6p-1, 0x1.1e9a297c91f2dp-1, 0x1.1debc154db596p-1, 0x1.1d3c23e98c03dp-1, 0x1.1c8bf6c2099fbp-1, 0x1.1bdbc5633ef4bp-1, 0x1.1b2c024a43646p-1, 0x1.1a7d081662778p-1, 0x1.19cf1ad789c7ap-1, 0x1.19226977712b6p-1, 0x1.18770f3505219p-1, 0x1.17cd152abbf9p-1, 0x1.172473d98e717p-1, 0x1.167d14b33c42cp-1, 0x1.15d6d39f65ee2p-1, 0x1.15318077cab4ap-1, 0x1.148ce078b47a3p-1, 0x1.13e8afa32eb21p-1, 0x1.1344a20f3b6ap-1, 0x1.12a0652cb048bp-1, 0x1.11fba0f1cdc9dp-1, 0x1.1155f8f70155cp-1, 0x1.10af0d7f8e0b6p-1, 0x1.10067c6f195ep-1, 0x1.0f5be22c5088ap-1, 0x1.0eaeda7104f3p-1, 0x1.0dff0108453d3p-1, 0x1.0d4bf27b11455p-1, 0x1.0c954cac5c982p-1, 0x1.0bdaaf6526881p-1, 0x1.0b1bbcd174352p-1, 0x1.0a5819ef043d9p-1, 0x1.098f6eee9015ap-1, 0x1.08c1678879571p-1, 0x1.07edb345b3109p-1, 0x1.071405bdbaap-1, 0x1.063416ca6cd2fp-1, 0x1.054da2b27898p-1, 0x1.04606a4b2e59cp-1, 0x1.036c33125d799p-1, 0x1.0270c740eac6fp-1, 0x1.016df5d6c3c76p-1, 0x1.006392a0c33e3p-1, 0x1.fea2ec722e6a6p-2, 0x1.fc6efc055ff98p-2, 0x1.fa2b18406299cp-2, 0x1.f7d70ecdbb322p-2, 0x1.f572b69bc8865p-2, 0x1.f2fdefb4f32dfp-2, 0x1.f078a31224ffap-2, 0x1.ede2c2683aef8p-2, 0x1.eb3c47f10759ep-2, 0x1.e88536307a43bp-2, 0x1.e5bd97b678c7dp-2, 0x1.e2e57eddd8af4p-2, 0x1.dffd0588f36d7p-2, 0x1.dd044cdc3fc71p-2, 0x1.d9fb7cf7430f9p-2, 0x1.d6e2c4ac3f24ap-2, 0x1.d3ba5936e3168p-2, 0x1.d08275f250497p-2, 0x1.cd3b5c0eaccdcp-2, 0x1.c9e552468789bp-2, 0x1.c680a494459f7p-2, 0x1.c30da3e7c50b4p-2, 0x1.bf8ca5dc69af8p-2, 0x1.bbfe046fbdb6fp-2, 0x1.b8621db8c729dp-2, 0x1.b4b953a0396a2p-2, 0x1.b1040b99a1d06p-2, 0x1.ad42ae5da87bap-2, 0x1.a975a7a5848cep-2, 0x1.a59d65e7b2c41p-2, 0x1.a1ba5a160d45bp-2, 0x1.9dccf75d4c056p-2, 0x1.99d5b2e606038p-2, 0x1.95d503974091ep-2, 0x1.91cb61da93a7p-2, 0x1.8db94761f5b9cp-2, 0x1.899f2eef34dd1p-2, 0x1.857d941d209ffp-2, 0x1.8154f32a779b9p-2, 0x1.7d25c8c68e20ep-2, 0x1.78f091dfbc89ap-2, 0x1.74b5cb739992cp-2, 0x1.7075f260f5c08p-2, 0x1.6c31833baa465p-2, 0x1.67e8fa2229da2p-2, 0x1.639cd294e1f67p-2, 0x1.5f4d874f5e78ep-2, 0x1.5afb922334e3cp-2, 0x1.56a76bd4af584p-2, 0x1.52518bf937499p-2, 0x1.4dfa68d774e94p-2, 0x1.49a2774928249p-2, 0x1.454a2a9eaa7b7p-2, 0x1.40f1f4841a21fp-2, 0x1.3c9a44e826818p-2, 0x1.384389e476303p-2, 0x1.33ee2fa79e00dp-2, 0x1.2f9aa060a3e74p-2, 0x1.2b49442c01ceep-2, 0x1.26fa810222ad1p-2, 0x1.22aebaa751737p-2, 0x1.1e66529d0c405p-2, 0x1.1a21a814ba0a4p-2, 0x1.15e117e3aefd3p-2, 0x1.11a4fc78829c4p-2, 0x1.0d6dadd1a2fcfp-2, 0x1.093b81751f647p-2, 0x1.050eca69a3ad2p-2, 0x1.00e7d930934ebp-2, 0x1.f98df78283a9p-3, 0x1.f158fb0a6e576p-3, 0x1.e9314eaafa49cp-3, 0x1.e1177ef1c923dp-3, 0x1.d90c1346807b9p-3, 0x1.d10f8deb05a9p-3, 0x1.c9226bfd7e969p-3, 0x1.c145257bf37ffp-3, 0x1.b9782d4987f3ep-3, 0x1.b1bbf13536dcep-3, 0x1.aa10da01fb93dp-3, 0x1.a2774b7056642p-3, 0x1.9aefa4491d8ebp-3, 0x1.937a3e6983ebcp-3, 0x1.8c176ed047192p-3, 0x1.84c785abf0fa2p-3, 0x1.7d8ace6a21fa7p-3, 0x1.76618fc7c54aep-3, 0x1.6f4c0be2337e1p-3, 0x1.684a80491f741p-3, 0x1.615d26114bd3fp-3, 0x1.5a8431e7f6987p-3, 0x1.53bfd426e3d33p-3, 0x1.4d1038e908863p-3, 0x1.4675881fbc11cp-3, 0x1.3fefe5a8668a9p-3, 0x1.397f71629ec4fp-3, 0x1.33244746ad881p-3, 0x1.2cde7f7c66f4fp-3, 0x1.26ae2e724eb1bp-3, 0x1.209364f4fe0dp-3, 0x1.1a8e3046c26d7p-3, 0x1.149e9a375eefcp-3, 0x1.0ec4a93bfae19p-3, 0x1.090060871bab4p-3, 0x1.0351c020b75acp-3, 0x1.fb7189fc95672p-4, 0x1.f06ad235cea6bp-4, 0x1.e58f471e7e678p-4, 0x1.daded1532f15cp-4, 0x1.d059540b55ea4p-4, 0x1.c5fead48c10b4p-4, 0x1.bbceb606cf23ap-4, 0x1.b1c942693baa3p-4, 0x1.a7ee21ea94f55p-4, 0x1.9e3d1f8a3aae8p-4, 0x1.94b601f9e6942p-4, 0x1.8b588bcaad11fp-4, 0x1.82247b997a426p-4, 0x1.79198c3af4205p-4, 0x1.703774e6c45f9p-4, 0x1.677de9623d417p-4, 0x1.5eec9a2a56ef9p-4, 0x1.5683349cfbaebp-4, 0x1.4e416321a0cebp-4, 0x1.4626cd5124118p-4, 0x1.3e33181cec4e9p-4, 0x1.3665e5f545ef9p-4, 0x1.2ebed6eefb9f8p-4, 0x1.273d88e823158p-4, 0x1.1fe197ac21ac6p-4, 0x1.18aa9d16dec05p-4, 0x1.1198313729cdep-4, 0x1.0aa9ea704c943p-4, 0x1.03df5d9acad0bp-4, 0x1.fa703c489f26bp-5, 0x1.ed677c5d88f4bp-5, 0x1.e0a39d5d2ba49p-5, 0x1.d423bf1044669p-5, 0x1.c7e6ff58aa808p-5, 0x1.bbec7a68dfa42p-5, 0x1.b0334af9f9b57p-5, 0x1.a4ba8a7fea39p-5, 0x1.9981515c24d3p-5, 0x1.8e86b70ea8b62p-5, 0x1.83c9d2656f1dcp-5, 0x1.7949b9aa430dap-5, 0x1.6f0582cf09051p-5, 0x1.64fc43987700bp-5, 0x1.5b2d11c742115p-5, 0x1.5197033fcbbcap-5, 0x1.48392e304cbp-5, 0x1.3f12a93587af2p-5, 0x1.36228b7e08f61p-5, 0x1.2d67ecebf757p-5, 0x1.24e1e6357dc1bp-5, 0x1.1c8f9103d43f6p-5, 0x1.14700810eb32cp-5, 0x1.0c826743c587p-5, 0x1.04c5cbcb83909p-5, 0x1.fa72a87248804p-6, 0x1.ebb841301576p-6, 0x1.dd5aa50a8d2d9p-6, 0x1.cf581a8b582d4p-6, 0x1.c1aeebb57c59cp-6, 0x1.b45d662cee8a9p-6, 0x1.a761db5be3ccep-6, 0x1.9abaa095f98dp-6, 0x1.8e660f393bb05p-6, 0x1.826284cd1f242p-6, 0x1.76ae631f74659p-6, 0x1.6b48105f69f0dp-6, 0x1.602df736a707cp-6, 0x1.555e86e08d98ap-6, 0x1.4ad8333fb20a1p-6, 0x1.409974f1964d3p-6, 0x1.36a0c960b375ep-6, 0x1.2cecb2d4e6f7ap-6, 0x1.237bb8824656p-6, 0x1.1a4c66966a2dp-6, 0x1.115d4e4445ad7p-6, 0x1.08ad05ce8b412p-6, 0x1.003a2890afef3p-6, 0x1.f006ae0d3cc6cp-7, 0x1.e00e6da63e732p-7, 0x1.d088e58a09416p-7, 0x1.c17375b64d66ep-7, 0x1.b2cb888e7bcbcp-7, 0x1.a48e92df3cafdp-7, 0x1.96ba13dfdac55p-7, 0x1.894b95319a4e1p-7, 0x1.7c40aadd27dd2p-7, 0x1.6f96f34e2f9ffp-7, 0x1.634c174d22cfbp-7, 0x1.575dc9f75c8e3p-7, 0x1.4bc9c8b595498p-7, 0x1.408ddb30df7b2p-7, 0x1.35a7d3461bbebp-7, 0x1.2b158cf8141a5p-7, 0x1.20d4ee603cc7dp-7, 0x1.16e3e79e37355p-7, 0x1.0d4072c621ee6p-7, 0x1.03e893cdca8b1p-7, 0x1.f5b4b0f19bc66p-8, 0x1.e427b08773e18p-8, 0x1.d326689c7ab37p-8, 0x1.c2ad2e88eabdep-8, 0x1.b2b86a8ed0882p-8, 0x1.a34497a97365fp-8, 0x1.944e435b4e132p-8, 0x1.85d20d7ab0785p-8, 0x1.77cca7fd2437bp-8, 0x1.6a3ad6c1ae2ddp-8, 0x1.5d196f5a012adp-8, 0x1.506558d2bca1ep-8, 0x1.441b8b7aca2aep-8, 0x1.383910a9f1322p-8, 0x1.2cbb0286b563bp-8, 0x1.219e8bcb91d4cp-8, 0x1.16e0e78ba6986p-8, 0x1.0c7f60f6e9eaap-8, 0x1.0277531dec256p-8, 0x1.f18c516a8c477p-9, 0x1.ded2b7b1747abp-9, 0x1.ccbceb9c3b0d5p-9, 0x1.bb461d902c902p-9, 0x1.aa699b517aeefp-9, 0x1.9a22cf88628cep-9, 0x1.8a6d41464e412p-9, 0x1.7b44938b1147dp-9, 0x1.6ca484ca4dabep-9, 0x1.5e88ee71219fbp-9, 0x1.50edc46c2ee85p-9, 0x1.43cf14ae136f1p-9, 0x1.372906b6619e6p-9, 0x1.2af7db1932fd5p-9, 0x1.1f37eb075f2dp-9, 0x1.13e5a7d7700dp-9, 0x1.08fd9a8f56f7p-9, 0x1.fcf8c6de04103p-10, 0x1.e8bd72f7a1d0bp-10, 0x1.d542d419f9873p-10, 0x1.c282b0b208afap-10, 0x1.b076fa0839515p-10, 0x1.9f19cb5f79b9dp-10, 0x1.8e6569168ccc9p-10, 0x1.7e543fcbb14c9p-10, 0x1.6ee0e382ac838p-10, 0x1.60060ecd4c8a1p-10, 0x1.51bea1f666b24p-10, 0x1.4405a22f74fb2p-10, 0x1.36d638c0bf6ap-10, 0x1.2a2bb23c3f723p-10, 0x1.1e017db32fe96p-10, 0x1.12532bee570a2p-10, 0x1.071c6ea91da9ap-10, 0x1.f8b22f9ed2155p-11, 0x1.e40a317ca1f36p-11, 0x1.d039030f4d31ep-11, 0x1.bd370070b7eddp-11, 0x1.aafcc04393aedp-11, 0x1.9983124bb2dbfp-11, 0x1.88c2fe0c26ff9p-11, 0x1.78b5c16b2ba7ep-11, 0x1.6954cf5bdfeacp-11, 0x1.5a99ce8dcf73ep-11, 0x1.4c7e98224988cp-11, 0x1.3efd366782a3p-11, 0x1.320fe3997f465p-11, 0x1.25b108a8c150fp-11, 0x1.19db3c06b30cp-11, 0x1.0e894077ca5adp-11, 0x1.03b603eb5bed8p-11, 0x1.f2b93cb22a048p-12, 0x1.def0a14827a6p-12, 0x1.cc0907072a02dp-12, 0x1.b9f98ce254965p-12, 0x1.a8b99d38dfe25p-12, 0x1.9840ebc869524p-12, 0x1.888773aa0d2c8p-12, 0x1.7985755a35686p-12, 0x1.6b3374caf9d39p-12, 0x1.5d8a3780ff83fp-12, 0x1.5082c2bab0dafp-12, 0x1.441659a1b4e0ep-12, 0x1.383e7b86899a8p-12, 0x1.2cf4e22619427p-12, 0x1.22337ff934c9p-12, 0x1.17f47e8dcb121p-12, 0x1.0e323ce9c01eap-12, 0x1.04e74df73f334p-12, 0x1.f81cedf4d0052p-13, 0x1.e7455c206dc2fp-13, 0x1.d73e316cf8abfp-13, 0x1.c7fe14b99bde7p-13, 0x1.b97c05fc7ea07p-13, 0x1.abaf5b8799cfdp-13, 0x1.9e8fbf5e94cf6p-13, 0x1.92152c9d6bc8ep-13, 0x1.8637ecef9f51ep-13, 0x1.7af096178edfp-13, 0x1.70380785d3b0ep-13, 0x1.660768003bd9cp-13, 0x1.5c5823582bb6dp-13, 0x1.5323e8301b1a4p-13, 0x1.4a64a5cfe617dp-13, 0x1.42148a07ac186p-13, 0x1.3a2dff20f43fap-13, 0x1.32aba9ddd6499p-13, 0x1.2b886785dc36ap-13, 0x1.24bf4c005b063p-13, 0x1.1e4b9ffbffd7ap-13, 0x1.1828df2344e3p-13, 0x1.1252b65d93bc9p-13, 0x1.0cc5021cd409ap-13, 0x1.077bccb713c9p-13, 0x1.02734ccc188afp-13, 0x1.fb4fc76d2de3ep-14, 0x1.f22c3811843ebp-14, 0x1.e97550280a37ap-14, 0x1.e124c0f73a8cfp-14, 0x1.d93485a3a9e17p-14, 0x1.d19ee07f5b063p-14, 0x1.ca5e586d6405ap-14, 0x1.c36db65967a44p-14, 0x1.bcc802c28943cp-14, 0x1.b6688359493e4p-14, 0x1.b04ab8afec0cap-14, 0x1.aa6a5bfce8b72p-14, 0x1.a4c35cef09e4cp-14, 0x1.9f51df92b085ap-14, 0x1.9a123a47f319dp-14, 0x1.9500f3c910d92p-14, 0x1.901ac140e0a62p-14, 0x1.8b5c8470d1255p-14, 0x1.86c349e61518cp-14, 0x1.824c473d9a2ddp-14, 0x1.7df4d9766757p-14, 0x1.79ba835205614p-14, 0x1.759aebc2924b2p-14, 0x1.7193dc6625795p-14, 0x1.6da3400f27a5dp-14, 0x1.69c7215948cabp-14, 0x1.65fda94abbf0fp-14, 0x1.62451e0164c2cp-14, 0x1.5e9be16ba1221p-14, 0x1.5b00700c6065ep-14, 0x1.57715fca35bd8p-14, 0x1.53ed5ec91814dp-14, 0x1.5073324e83746p-14, 0x1.4d01b5afae95cp-14, 0x1.4997d9498e0d5p-14, 0x1.4634a1825ad22p-14, 0x1.42d725d456f6ep-14, 0x1.3f7e8fe18a7ffp-14, 0x1.3c2a1a9036c51p-14, 0x1.38d9112fbcfd7p-14, 0x1.358acea5b918ep-14, 0x1.323ebca31067bp-14, 0x1.2ef452e0b89ep-14, 0x1.2bab1663f93b9p-14, 0x1.286298c9ee987p-14, 0x1.251a779a14c31p-14, 0x1.21d25b9fa2e22p-14, 0x1.1e89f8497dff5p-14, 0x1.1b410b109463ap-14, 0x1.17f75ae465e62p-14, 0x1.14acb79d8d08ep-14, 0x1.1160f97614a77p-14, 0x1.0e1400876aa73p-14, 0x1.0ac5b44dc2168p-14, 0x1.07760330b4a15p-14, 0x1.0424e210fad2ep-14, 0x1.00d24bdb0b958p-14, 0x1.fafc823cfb4d5p-15, 0x1.f4518f53f9c2fp-15, 0x1.eda3d457607bcp-15, 0x1.e6f36fabce2e4p-15, 0x1.e040880fcf0edp-15, 0x1.d98b4bf578afcp-15, 0x1.d2d3f0e3b6217p-15, 0x1.cc1ab2df048ebp-15, 0x1.c55fd3d957e8dp-15, 0x1.bea39b28ed46ep-15, 0x1.b7e65505c28c8p-15, 0x1.b128520d7cf07p-15, 0x1.aa69e6cd7e42ep-15, 0x1.a3ab6b52ef4bep-15, 0x1.9ced3ac087c87p-15, 0x1.962fb2e9dce4p-15, 0x1.8f7333f3fe581p-15, 0x1.88b81ffb3245dp-15, 0x1.81fedabd9b8c2p-15, 0x1.7b47c94a98294p-15, 0x1.749351b6af4dep-15, 0x1.6de1dad3d5d8fp-15, 0x1.6733cbedea9b3p-15, 0x1.60898c8b328bdp-15, 0x1.59e38430b6a8fp-15, 0x1.53421a2a51145p-15, 0x1.4ca5b5564a7p-15, 0x1.460ebbf45e67bp-15, 0x1.3f7d93780136fp-15, 0x1.38f2a05dc5be3p-15, 0x1.326e4603c2499p-15, 0x1.2bf0e684ce345p-15, 0x1.257ae2967f30cp-15, 0x1.1f0c9969c1187p-15, 0x1.18a6688df07d7p-15, 0x1.1248abd654adep-15, 0x1.0bf3bd41e21ap-15, 0x1.05a7f4e5284b2p-15, 0x1.fecb51aca51dcp-16, 0x1.f25a5a364159cp-16, 0x1.e5fda7317e504p-16, 0x1.d9b5d80ad9567p-16, 0x1.cd8387b79a8edp-16, 0x1.c1674c9fbffe7p-16, 0x1.b561b88aeff87p-16, 0x1.a97358905b199p-16, 0x1.9d9cb5095b62ap-16, 0x1.91de5186b22dbp-16, 0x1.8638acc83d5d4p-16, 0x1.7aac40b703573p-16, 0x1.6f3982616f9c6p-16, 0x1.63e0e1f9ab155p-16, 0x1.58a2cad5e2b02p-16, 0x1.4d7fa3726b03ep-16, 0x1.4277cd759e62cp-16, 0x1.378ba5b55c232p-16, 0x1.2cbb843e0c4c1p-16, 0x1.2207bc5b12c1p-16, 0x1.17709ca09741ep-16, 0x1.0cf66ef68ca28p-16, 0x1.029978a4de00fp-16, 0x1.f0b3f4c15d0b1p-17, 0x1.dc7060b539171p-17, 0x1.c868a49bd82f3p-17, 0x1.b49d27211013ap-17, 0x1.a10e4647a1593p-17, 0x1.8dbc578c359cdp-17, 0x1.7aa7a809b0627p-17, 0x1.67d07c9ea5f28p-17, 0x1.55371213e85c2p-17, 0x1.42db9d440086ep-17, 0x1.30be4b438a891p-17, 0x1.1edf418a43fap-17, 0x1.0d3e9e1cc982bp-17, 0x1.f7b8ef6dc22c4p-18, 0x1.d571bbec7be29p-18, 0x1.b3a7b30b5468cp-18, 0x1.925ad891005d4p-18, 0x1.718b230cc5dbep-18, 0x1.51387c2e461acp-18, 0x1.3162c11d7ef09p-18, 0x1.1209c2d2e4dc2p-18, 0x1.e65a8cdee7a35p-19, 0x1.a99a0b2944b17p-19, 0x1.6dd15d78270b8p-19, 0x1.32ffcb1deb4f4p-19, 0x1.f2490cf3c7f3bp-20, 0x1.807d5b4a66387p-20, 0x1.109a963ce511ap-20, 0x1.453d59d00d5d1p-21, 0x1.b43b4ece6c3a2p-23, -0x1.9d6c5d00c9c66p-23, -0x1.38055c5ab53abp-21, -0x1.027a9923b8422p-20, -0x1.67180743acaccp-20, -0x1.c9ddd1792b3b3p-20, -0x1.156776d04f597p-19, -0x1.44f736a833acep-19, -0x1.739fbe53747bfp-19, -0x1.a162b08ea7b0dp-19, -0x1.ce41bc2f9a632p-19, -0x1.fa3e9b939d86cp-19, -0x1.12ad8a082d46p-18, -0x1.27cc7ab39bb7ap-18, -0x1.3c7d0c9daee8ep-18, -0x1.50c031452ff5bp-18, -0x1.6496de93c854cp-18, -0x1.78020e9d03747p-18, -0x1.8b02bf5eaed4dp-18, -0x1.9d99f28296069p-18, -0x1.afc8ad219e4ddp-18, -0x1.c18ff78841e96p-18, -0x1.d2f0dcfc6b479p-18, -0x1.e3ec6b84b1e3dp-18, -0x1.f483b3b0f50ddp-18, -0x1.025be4322c763p-17, -0x1.0a44df504f443p-17, -0x1.11fd56a96d74p-17, -0x1.1985d690c498ap-17, -0x1.20deec1df9c0ep-17, -0x1.280925157a896p-17, -0x1.2f050fd187848p-17, -0x1.35d33b2be789cp-17, -0x1.3c743668412edp-17, -0x1.42e8911f1b23cp-17, -0x1.4930db297f68ap-17, -0x1.4f4da48d3f7cfp-17, -0x1.553f7d69da423p-17, -0x1.5b06f5e5fdf15p-17, -0x1.60a49e1da975p-17, -0x1.66190610dd038p-17, -0x1.6b64bd92f75f6p-17, -0x1.7088543a8ada9p-17, -0x1.75845951e22b3p-17, -0x1.7a595bc802a24p-17, -0x1.7f07ea2242d25p-17, -0x1.8390926e6fe26p-17, -0x1.87f3e2357606dp-17, -0x1.8c32666e94c3fp-17, -0x1.904cab7316562p-17, -0x1.94433cf2847b8p-17, -0x1.9816a5e764b4fp-17, -0x1.9bc7708c6c254p-17, -0x1.9f562652299c7p-17, -0x1.a2c34fd53157ap-17, }}, 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
      std::vector<double>(599, 0.0), 
    }}, 
    {
      50, 0x1.fc28f5c28f5c3p+1, 0x1.30746b978761p+1, 0x1.774f1fd285dfcp+2, -0x1.8dbd9b6be49ep-1, 
      {{
        {0x1.e3d70a3d70a3dp+0, 0x1.ee7d566cf41f2p+0, 0x1.93a7b8404dcdfp+1, -0x1.2b281f6d77a7ap+3, 0x1.63c7b13b13b21p+3, 0x1.0e796ce0c6ebap+1}, 
        {0x1.ee7d566cf41f2p+0, 0x1.f923a29c779a7p+0, 0x1.645b94fc2600cp+1, -0x1.0d346c2b256b6p+3, 0x1.6c380657cc7cdp+3, -0x1.5217c818f897fp+3}, 
        {0x1.f923a29c779a7p+0, 0x1.01e4f765fd8aep+1, 0x1.39fc652b52eap+1, -0x1.e150673b76e9ep+2, 0x1.42065cc83088ep+3, -0x1.9fc53a94ec757p+2}, 
        {0x1.01e4f765fd8aep+1, 0x1.07381d7dbf488p+1, 0x1.141c1f9b50d3ep+1, -0x1.ade33f6e2edcap+2, 0x1.2814ade9e79dbp+3, -0x1.bc824ffe892b5p+2}, 
        {0x1.07381d7dbf488p+1, 0x1.0c8b439581062p+1, 0x1.e4a850ec819ep+0, -0x1.7eed76c7df68cp+2, 0x1.0c57ea0c670b5p+3, -0x1.8db2a57c15fa8p+2}, 
        {0x1.0c8b439581062p+1, 0x1.11de69ad42c3dp+1, 0x1.a889f4600eb37p+0, -0x1.5457083b28075p+2, 0x1.e70ddc1dcc933p+2, -0x1.74fda1ee9834p+2}, 
        {0x1.11de69ad42c3dp+1, 0x1.17318fc504817p+1, 0x1.732ba016e143p+0, -0x1.2dc0e6433f2ddp+2, 0x1.b88140bd41f9bp+2, -0x1.58358e6389458p+2}, 
        {0x1.17318fc504817p+1, 0x1.1c84b5dcc63f1p+1, 0x1.43e8a6472706p+0, -0x1.0ae3f9cc8e93ap+2, 0x1.8d8c2e8f3f971p+2, -0x1.3e47bc9311aadp+2}, 
        {0x1.1c84b5dcc63f1p+1, 0x1.21d7dbf487fccp+1, 0x1.1a28916ea7d37p+0, -0x1.d6ef180bc19d9p+1, 0x1.65d382c0118fp+2, -0x1.2557b91bbb9a9p+2}, 
        {0x1.21d7dbf487fccp+1, 0x1.272b020c49ba6p+1, 0x1.eabd0e57a069bp-1, -0x1.9e700402e0a1fp+1, 0x1.4137908343767p+2, -0x1.0dd21a5c4f896p+2}, 
        {0x1.272b020c49ba6p+1, 0x1.2c7e28240b78p+1, 0x1.aa1159b369684p-1, -0x1.6bc9e794bf2dfp+1, 0x1.1f8b1dcfcea1bp+2, -0x1.ef24032475605p+1}, 
        {0x1.2c7e28240b78p+1, 0x1.31d14e3bcd35bp+1, 0x1.715f23fcdf643p-1, -0x1.3e83176bdd18cp+1, 0x1.00a58a91bb051p+2, -0x1.c52872275cd99p+1}, 
        {0x1.31d14e3bcd35bp+1, 0x1.372474538ef35p+1, 0x1.3fcb3ba821c7ap-1, -0x1.1628a23d50653p+1, 0x1.c8bd3a807169cp+1, -0x1.9d9c4e1c5ad34p+1}, 
        {0x1.372474538ef35p+1, 0x1.3c779a6b50b0fp+1, 0x1.148d02876ec9bp-1, -0x1.e49c5825e8ad3p+0, 0x1.951ede03a9a9bp+1, -0x1.786ef113c1bf4p+1}, 
        {0x1.3c779a6b50b0fp+1, 0x1.41cac083126e9p+1, 0x1.dddab36a502aep-2, -0x1.a51b77fa8f646p+0, 0x1.662445ddf8b4p+1, -0x1.558bd214cb908p+1}, 
        {0x1.41cac083126e9p+1, 0x1.471de69ad42c4p+1, 0x1.9c8b2af47df45p-2, -0x1.6d0f1550420a2p+0, 0x1.3b8448522906fp+1, -0x1.34e307449103fp+1}, 
        {0x1.471de69ad42c4p+1, 0x1.4c710cb295e9ep+1, 0x1.63fcf35294efbp-2, -0x1.3bc3a3d2b7ff2p+0, 0x1.14f7b80dcd334p+1, -0x1.165f9c5334bb2p+1}, 
        {0x1.4c710cb295e9ep+1, 0x1.51c432ca57a78p+1, 0x1.331e7b73c755ap-2, -0x1.10913781ba608p+0, 0x1.e4740a6b98b55p+0, -0x1.f3e35f43b9ca7p+0}, 
        {0x1.51c432ca57a78p+1, 0x1.571758e219653p+1, 0x1.08f932d3b43fp-2, -0x1.d5b6458e1dec3p-1, 0x1.a61136a57fe23p+0, -0x1.bf092e8f2cd3fp+0}, 
        {0x1.571758e219653p+1, 0x1.5c6a7ef9db22dp+1, 0x1.c95f647aba16ap-3, -0x1.941f2aa4510b7p-1, 0x1.6e46f4370fcabp+0, -0x1.8e1051b301e81p+0}, 
        {0x1.5c6a7ef9db22dp+1, 0x1.61bda5119ce07p+1, 0x1.8af7eaeedcfe3p-3, -0x1.5b4e7464abf5dp-1, 0x1.3c994b80fa416p+0, -0x1.60cf545819765p+0}, 
        {0x1.61bda5119ce07p+1, 0x1.6710cb295e9e2p+1, 0x1.555b4926e5721p-3, -0x1.2a49ab8b71772p-1, 0x1.1091714f7af83p+0, -0x1.37260c4a622b4p+0}, 
        {0x1.6710cb295e9e2p+1, 0x1.6c63f141205bcp+1, 0x1.2750dc6f09d6ap-3, -0x1.0029c7c1c81e2p-1, 0x1.d3793c1f70e3bp-1, -0x1.10eb643ce849fp+0}, 
        {0x1.6c63f141205bcp+1, 0x1.71b71758e2196p+1, 0x1.ff89c5e6ff7ep-4, -0x1.b834d9d334113p-2, 0x1.8f5a557bf69a9p-1, -0x1.dbfeba8ff2e2dp-1}, 
        {0x1.71b71758e2196p+1, 0x1.770a3d70a3d71p+1, 0x1.bb8ae24f489b3p-4, -0x1.7ab251b918f86p-2, 0x1.53f2dd20453fp-1, -0x1.9c6fabc650b59p-1}, 
        {0x1.770a3d70a3d71p+1, 0x1.7c5d63886594bp+1, 0x1.80ff0ca13453dp-4, -0x1.46695cc3ef7aep-2, 0x1.207a0589c606cp-1, -0x1.62e97828ea24cp-1}, 
        {0x1.7c5d63886594bp+1, 0x1.81b089a027525p+1, 0x1.4e7886b5a274fp-4, -0x1.1a181fe45a1bep-2, 0x1.e85e04d75d14ap-2, -0x1.2f1ceb9aab453p-1}, 
        {0x1.81b089a027525p+1, 0x1.8703afb7e91p+1, 0x1.22bc814cb20f8p-4, -0x1.e93804cb46e0ap-3, 0x1.9cb5d3dd6794ap-2, -0x1.00c2b9bab3ed9p-1}, 
        {0x1.8703afb7e91p+1, 0x1.8c56d5cfaacdap+1, 0x1.f97c14a8a283dp-5, -0x1.a9e03bbf38babp-3, 0x1.5c9f704242737p-2, -0x1.af21bb524d7e4p-2}, 
        {0x1.8c56d5cfaacdap+1, 0x1.91a9fbe76c8b4p+1, 0x1.b73277a4e6cf9p-5, -0x1.745777e0ee4d7p-3, 0x1.26d14bc61e91p-2, -0x1.667bddb61d3e7p-2}, 
        {0x1.91a9fbe76c8b4p+1, 0x1.96fd21ff2e48fp+1, 0x1.7d1d5798870ecp-5, -0x1.47019cb59aa78p-3, 0x1.f428558f1dab2p-3, -0x1.27002302c9564p-2}, 
        {0x1.96fd21ff2e48fp+1, 0x1.9c504816f0069p+1, 0x1.49fe3a8b9fb97p-5, -0x1.2074cf219c5ep-3, 0x1.aa8682117e0c9p-3, -0x1.e039afb1dbc6p-3}, 
        {0x1.9c504816f0069p+1, 0x1.a1a36e2eb1c43p+1, 0x1.1ccee4c21b74dp-5, -0x1.feecd2eca3446p-4, 0x1.6e97e2841a1f6p-3, -0x1.827a3f9909f1bp-3}, 
        {0x1.a1a36e2eb1c43p+1, 0x1.a6f694467381dp+1, 0x1.e9737d427960ep-6, -0x1.c5efd8eb37109p-4, 0x1.3e5c643461ca9p-3, -0x1.339fa68264b7p-3}, 
        {0x1.a6f694467381dp+1, 0x1.ac49ba5e353f8p+1, 0x1.a2257a8396dd6p-6, -0x1.9427e391c5fdcp-4, 0x1.17f82f79b71dep-3, -0x1.e5008cd11e5ddp-4}, 
        {0x1.ac49ba5e353f8p+1, 0x1.b19ce075f6fd2p+1, 0x1.62a1990113318p-6, -0x1.68163d378827dp-4, 0x1.f369225e73ddp-4, -0x1.7bf20f62ead55p-4}, 
        {0x1.b19ce075f6fd2p+1, 0x1.b6f0068db8bacp+1, 0x1.2a0f775b1a1bdp-6, -0x1.40822a58cee1ap-4, 0x1.c3fe5477ca797p-4, -0x1.29c247772037fp-4}, 
        {0x1.b6f0068db8bacp+1, 0x1.bc432ca57a787p+1, 0x1.ef8aaf8c6e39ap-7, -0x1.1c72cef44112fp-4, 0x1.9ed54a51fc855p-4, -0x1.d85474371c565p-5}, 
        {0x1.bc432ca57a787p+1, 0x1.c19652bd3c361p+1, 0x1.967c0348c445fp-7, -0x1.f65225b29bd87p-5, 0x1.815c1a849d5ccp-4, -0x1.81b3b47bcdcb1p-5}, 
        {0x1.c19652bd3c361p+1, 0x1.c6e978d4fdf3bp+1, 0x1.481f4cda1fdcfp-7, -0x1.b8330fea7a99cp-5, 0x1.694abef968616p-4, -0x1.4b0a3a5fd88dp-5}, 
        {0x1.c6e978d4fdf3bp+1, 0x1.cc3c9eecbfb16p+1, 0x1.03c796fbaf365p-7, -0x1.7dcc93cc41cdfp-5, 0x1.54a294d44c1f5p-4, -0x1.2fc6fb0342c5ap-5}, 
        {0x1.cc3c9eecbfb16p+1, 0x1.d18fc504816fp+1, 0x1.91c0e0370f444p-8, -0x1.46b1cf1f76b1bp-5, 0x1.41adebf9c6ee6p-4, -0x1.2b4302f0c1938p-5}, 
        {0x1.d18fc504816fp+1, 0x1.d6e2eb1c432cap+1, 0x1.2dc39af27bb25p-8, -0x1.12b8859e3cc19p-5, 0x1.2f016508a799ep-4, -0x1.390ad51a72567p-5}, 
        {0x1.d6e2eb1c432cap+1, 0x1.dc36113404ea5p+1, 0x1.b517de88d6e7ap-9, -0x1.c3da0f482739p-6, 0x1.1b78bb44daa14p-4, -0x1.54047de1e9ap-5}, 
        {0x1.dc36113404ea5p+1, 0x1.e189374bc6a7fp+1, 0x1.2e05fc073bcd5p-9, -0x1.690b00091711ep-6, 0x1.064127bd83f62p-4, -0x1.797af8a3be45bp-5}, 
        {0x1.e189374bc6a7fp+1, 0x1.e6dc5d6388659p+1, 0x1.87e9c5075bebfp-10, -0x1.15af268bd8a23p-6, 0x1.dd66441c754c3p-5, -0x1.9dc70027f7ef1p-5}, 
        {0x1.e6dc5d6388659p+1, 0x1.ec2f837b4a234p+1, 0x1.d124372d1fc9p-11, -0x1.95152656b1e45p-7, 0x1.a9c2938dd8332p-5, -0x1.d6aa653c5169bp-5}, 
        {0x1.ec2f837b4a234p+1, 0x1.f182a9930be0ep+1, 0x1.e102ba1ba698fp-12, -0x1.1129f1ee79914p-7, 0x1.6f056002041abp-5, -0x1.bd30a7d7bed84p-5}, 
        {0x1.f182a9930be0ep+1, 0x1.f6d5cfaacd9e8p+1, 0x1.8524dd2bdfca9p-13, -0x1.40875f208ce48p-8, 0x1.3776163902d0ep-5, -0x1.5dec7fad7378ep-4}, 
        {0x1.f6d5cfaacd9e8p+1, 0x1.fc28f5c28f5c3p+1, 0x1.5e2bae1ea40cbp-15, -0x1.1c9312681ea69p-9, 0x1.c03d96b1594d7p-6, -0x1.f37b9772567ccp-3}, 
      }}, 
      0x1.e7a40eecf3d39p+3, -0x1.af06df4f6dab5p+7
    }
  };
  // clang-format on
}
SkfData params_znorg_0_1_h_c() {
  // clang-format off
  return {
    0x1.47ae147ae147bp-6, 
    boost::none, 
    {{
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.4f5472d4a944dp-2, 0x1.599b76121c73ep-2, 0x1.6345854e0c789p-2, 0x1.6c557822f57dap-2, 0x1.74d2622fea3f5p-2, 0x1.7cc1e484f7ec1p-2, 0x1.8425332bd1712p-2, 0x1.8afcc516bcd8cp-2, 0x1.914cbd4b5e6fap-2, 0x1.971cbe6b420a7p-2, 0x1.9c74407b4137cp-2, 0x1.a1579c0f1c46fp-2, 0x1.a5c832c5586d7p-2, 0x1.a9c6e8092129ap-2, 0x1.ad56911ada833p-2, 0x1.b07cb917e41b5p-2, 0x1.b340a2d647041p-2, 0x1.b5a97a53f2ce9p-2, 0x1.b7bcd2b5ca6bcp-2, 0x1.b97e24413f771p-2, 0x1.baef498b786f3p-2, 0x1.bc066c80c1967p-2, 0x1.bcd66b9a6affbp-2, 0x1.bd6115323ac91p-2, 0x1.bdaa51e506bdbp-2, 0x1.bdb53a630b7f5p-2, 0x1.bd844a09f3639p-2, 0x1.bd19b70c27019p-2, 0x1.bc77c9c1de279p-2, 0x1.bba11fd3e2976p-2, 0x1.ba98b6708b8c7p-2, 0x1.b961df0bf48c6p-2, 0x1.b80006166b27cp-2, 0x1.b676778ae99c6p-2, 0x1.b4c82dd0f4a75p-2, 0x1.b2f7b65f47ccfp-2, 0x1.b10731e8bb33bp-2, 0x1.aef85d0cc618dp-2, 0x1.acccb3085630dp-2, 0x1.aa858a8802225p-2, 0x1.a82434c821f79p-2, 0x1.a5aa145207e14p-2, 0x1.a318a8e575626p-2, 0x1.a071901f9a15ep-2, 0x1.9db68173c563dp-2, 0x1.9ae93ca17f9p-2, 0x1.980b82522c65ap-2, 0x1.951f03a8bd88bp-2, 0x1.9225565c594ccp-2, 0x1.8f1fea10782bcp-2, 0x1.8c1000bb4e5cap-2, 0x1.88f6ab7ef82afp-2, 0x1.85d4cca7ae455p-2, 0x1.82ab1dbf791f9p-2, 0x1.7f7a3b607a79fp-2, 0x1.7c42af5187316p-2, 0x1.7904fbd4186cfp-2, 0x1.75c1a34e4b0a6p-2, 0x1.72792c7fbc35bp-2, 0x1.6f2c235c5c358p-2, 0x1.6bdb176d0ee3ep-2, 0x1.6886990facf82p-2, 0x1.652f372616b06p-2, 0x1.61cd6804b7301p-2, 0x1.5e72b3d6855fap-2, 0x1.5b1723c526e09p-2, 0x1.57bb288b6fc75p-2, 0x1.545f26cc576cp-2, 0x1.510377749e78ep-2, 0x1.4da868bc5ede5p-2, 0x1.4a4e4002632c8p-2, 0x1.46f53b6a1c251p-2, 0x1.439d945d8a387p-2, 0x1.4047812689e73p-2, 0x1.3cf336648139dp-2, 0x1.39a0e7ef9299fp-2, 0x1.3650c93d0a0a2p-2, 0x1.33030d5ae3757p-2, 0x1.2fb7e6356cadp-2, 0x1.2c6f84b3303b7p-2, 0x1.292a1764e33f8p-2, 0x1.25e7ca505f4a7p-2, 0x1.22a8c69023de3p-2, 0x1.1f6d31d7efb3p-2, 0x1.1c352ea551fe1p-2, 0x1.1900dc336399ep-2, 0x1.15d056acfd31bp-2, 0x1.12a3b768bd26ap-2, 0x1.0f7b152963f68p-2, 0x1.0c568470b2a6cp-2, 0x1.093617aed55ffp-2, 0x1.0619dfb135e85p-2, 0x1.0301ebe604cd4p-2, 0x1.ffdc94ff849c7p-3, 0x1.f9be11f6cac73p-3, 0x1.f3a86881d5d83p-3, 0x1.ed9bb1c29bbcdp-3, 0x1.e79805423ef37p-3, 0x1.e19d80413d6c7p-3, 0x1.dbac375ea5ec8p-3, 0x1.d5c4452286618p-3, 0x1.cfe5c2be3a403p-3, 0x1.ca10c940074cbp-3, 0x1.c4457159e496dp-3, 0x1.be83d33ccbc4bp-3, 0x1.b8cc063609d0ap-3, 0x1.b31e20f9b268bp-3, 0x1.ad7a37ee2729ep-3, 0x1.a7e05f2eb7fd2p-3, 0x1.a250a90a01e6p-3, 0x1.9ccb2625478dap-3, 0x1.974fe59ea2408p-3, 0x1.91def5383d2dp-3, 0x1.8c78615da0ddcp-3, 0x1.871c355be6feap-3, 0x1.81ca7b8a147e6p-3, 0x1.7c833dbbe2aa5p-3, 0x1.774684dd3bf85p-3, 0x1.72145a281d59dp-3, 0x1.6cecc674353fcp-3, 0x1.67cfd2ca3cc5p-3, 0x1.62bd88653a7f5p-3, 0x1.5db5f0c49a852p-3, 0x1.58b91603e1939p-3, 0x1.53c7012dd5e5dp-3, 0x1.4edfbe317e80cp-3, 0x1.4a03546202409p-3, 0x1.4531d082d7c4dp-3, 0x1.406b3b62c58bfp-3, 0x1.3baf9e812fc1ep-3, 0x1.36ff02c200403p-3, 0x1.32597052c9c57p-3, 0x1.2dbeeea24df5cp-3, 0x1.292f8435deae9p-3, 0x1.24ab36ed0acf8p-3, 0x1.20320a8f2c07cp-3, 0x1.1bc403319965cp-3, 0x1.17612456e10f3p-3, 0x1.13096e8d6d0ffp-3, 0x1.0ebce3016b97dp-3, 0x1.0a7b81a8081fap-3, 0x1.064549b6ab214p-3, 0x1.021a3972ac8bbp-3, 0x1.fbf49dcacae4ap-4, 0x1.f3cb0e2f43fffp-4, 0x1.ebb7beb432f36p-4, 0x1.e3baa6ffd8beap-4, 0x1.dbd914532c6b3p-4, 0x1.d4089bd25066cp-4, 0x1.cc4e5442be26bp-4, 0x1.c4aa355c4abf7p-4, 0x1.bd1c367dc1138p-4, 0x1.b5a44d2f41611p-4, 0x1.ae426e7f0deaep-4, 0x1.a6f68ef4fea2cp-4, 0x1.9fc0a14ec9a6cp-4, 0x1.98a09805c20afp-4, 0x1.91966475be431p-4, 0x1.8aa1f6d52c75ap-4, 0x1.83c33e70a5daep-4, 0x1.7cfa2a22400cap-4, 0x1.7646a14bb4ab6p-4, 0x1.6fa8a21850eap-4, 0x1.6920065208e79p-4, 0x1.62acc4f95c3b3p-4, 0x1.5c4eb4af1fddfp-4, 0x1.5605d1118f40fp-4, 0x1.4fd1f96dfad46p-4, 0x1.49b31946ddb14p-4, 0x1.43a91222a8a76p-4, 0x1.3db3ca5972ebfp-4, 0x1.37d3256961ebbp-4, 0x1.320706e2606a1p-4, 0x1.2c4f50e2d558p-4, 0x1.26abe4c4ce061p-4, 0x1.211ca2d5cfaap-4, 0x1.1ba16c35829e9p-4, 0x1.163a1ed41cbc7p-4, 0x1.10e69989768b9p-4, 0x1.0ba6ba2fbbe72p-4, 0x1.067a5df5d7e1bp-4, 0x1.0161616d988a3p-4, 0x1.f8b741cc95d7ap-5, 0x1.eed1ee7554322p-5, 0x1.e5127fc2867f1p-5, 0x1.db78aaa0ec55bp-5, 0x1.d204230aeb4aap-5, 0x1.c8b49c4c09685p-5, 0x1.bf89ba0e760b4p-5, 0x1.b6835a04e1775p-5, 0x1.ada1010469907p-5, 0x1.a4e26dfed5fa2p-5, 0x1.9c475095962a5p-5, 0x1.93cf5822e4371p-5, 0x1.8b7a30ffec8a3p-5, 0x1.83478b1586fe2p-5, 0x1.7b371318e7176p-5, 0x1.7348758bda73fp-5, 0x1.6b7b5dd883c6ap-5, 0x1.63cf7971f9a84p-5, 0x1.5c44720bb7a66p-5, 0x1.54d9f7765cb69p-5, 0x1.4d8fa859e2a54p-5, 0x1.46653aa0c9f1dp-5, 0x1.3f5a5457a619dp-5, 0x1.386e9edc88488p-5, 0x1.31a1c3b774fc8p-5, 0x1.2af36c8565f85p-5, 0x1.246340a4ceedfp-5, 0x1.1df0e9ad8614cp-5, 0x1.179c104828c72p-5, 0x1.11645c9bd38c1p-5, 0x1.0b4976bede6c1p-5, 0x1.054b072301101p-5, 0x1.fed16b10221a5p-6, 0x1.f34454a8e0c8fp-6, 0x1.e7ee1b25a0609p-6, 0x1.dcce0a7ed9047p-6, 0x1.d1e377e2bc30fp-6, 0x1.c72db18c809ccp-6, 0x1.bcac080931686p-6, 0x1.b25dcb74d0ab5p-6, 0x1.a8424cb93c583p-6, 0x1.9e58ba3ee2454p-6, 0x1.94a0ccfa9c7cep-6, 0x1.8b196eaf8b89ep-6, 0x1.81c214904102bp-6, 0x1.789a111459048p-6, 0x1.6fa0b75964192p-6, 0x1.66d55b66425fep-6, 0x1.5e374fa912d4bp-6, 0x1.55c5ec063379bp-6, 0x1.4d808535cb583p-6, 0x1.45666fce8b7c9p-6, 0x1.3d7704a404caap-6, 0x1.35b1abf48a0f1p-6, 0x1.2e158c56faabbp-6, 0x1.26a231d3bc4c1p-6, 0x1.1f56e6748a988p-6, 0x1.18330c4a24345p-6, 0x1.1135ec091ed5ep-6, 0x1.0a5ef661776d3p-6, 0x1.03ad72ff462e4p-6, 0x1.fa41f954a0f0cp-7, 0x1.ed716be64236p-7, 0x1.e0e82fb747963p-7, 0x1.d4a50b8af4cd5p-7, 0x1.c8a6c9a21ee5bp-7, 0x1.bcec36c6ae093p-7, 0x1.b1742372d1504p-7, 0x1.a63d61f66144fp-7, 0x1.9b46c666d9638p-7, 0x1.908f2f5267aafp-7, 0x1.8615c2ba7e55ep-7, 0x1.7bd8707da810cp-7, 0x1.71d70c0addd61p-7, 0x1.68102af252b59p-7, 0x1.5e82b5aff803cp-7, 0x1.552d9865c3da3p-7, 0x1.4c0fc2a2e147fp-7, 0x1.432827668d475p-7, 0x1.3a75bd2cc3de2p-7, 0x1.31f77e3ce2146p-7, 0x1.29ac7379c24ap-7, 0x1.21937b8e3bb37p-7, 0x1.19abbc9d55ea6p-7, 0x1.11f43161aa83p-7, 0x1.0a6bea325165dp-7, 0x1.0311f44f00e58p-7, 0x1.f7cac5105d365p-8, 0x1.e9ca969739509p-8, 0x1.dc2191a1bbdddp-8, 0x1.cecdf9231d673p-8, 0x1.c1cdf6ba6d442p-8, 0x1.b51fe83877bfap-8, 0x1.a8c21c68ddd4dp-8, 0x1.9cb2e40d40668p-8, 0x1.90f0a15a9b963p-8, 0x1.8579bd45fcbcp-8, 0x1.7a4c8aad5b627p-8, 0x1.6f67a009e9f62p-8, 0x1.64c95f00148c3p-8, 0x1.5a70493d9846ap-8, 0x1.505ae81c674fbp-8, 0x1.4687c6ae75e1cp-8, 0x1.3cf5774fa98c2p-8, 0x1.33a293ee57b02p-8, 0x1.2a8db81dcdba4p-8, 0x1.21b57ed54d99p-8, 0x1.1918bac6c3f7fp-8, 0x1.10b5f4138b1b2p-8, 0x1.088bf0017f03fp-8, 0x1.0099704051cdp-8, 0x1.f1ba5aacea42ap-9, 0x1.e2abd48455c09p-9, 0x1.d405203d4d38fp-9, 0x1.c5c35d428a6d2p-9, 0x1.b7e55e77aabb7p-9, 0x1.aa67aa787921fp-9, 0x1.9d48bea866884p-9, 0x1.90860f902cdp-9, 0x1.841db2c3f78cfp-9, 0x1.780d71018434ep-9, 0x1.6c534266fbd61p-9, 0x1.60ed26b218b0ap-9, 0x1.55d91fa8d839p-9, 0x1.4b1509e2a51e8p-9, 0x1.409f89556da13p-9, 0x1.3676354fb242bp-9, 0x1.2c976550a118dp-9, 0x1.23012b0c77f09p-9, 0x1.19b221b70f664p-9, 0x1.10a82e30a11c6p-9, 0x1.07e1c4e9dc917p-9, 0x1.feba2929ed502p-10, 0x1.ee28f00399f93p-10, 0x1.de1e18894f3d6p-10, 0x1.ce8c86ed6af26p-10, 0x1.bf739ecfbdc76p-10, 0x1.b0cda5458c17ap-10, 0x1.a298a0429e9cep-10, 0x1.94d19a00c663bp-10, 0x1.8775c27481e86p-10, 0x1.7a8248808501bp-10, 0x1.6df4708eb9339p-10, 0x1.61c98f6f061b1p-10, 0x1.55ff052eac34ep-10, 0x1.4a924558b1d96p-10, 0x1.3f80be4e45e8ep-10, 0x1.34c7ffd5f898dp-10, 0x1.2a65a68994eb2p-10, 0x1.20576f278f371p-10, 0x1.169b1ba484f12p-10, 0x1.0d2d7b0cbeb32p-10, 0x1.040d83b240292p-10, 0x1.f67130866ebb2p-11, 0x1.e559487d58305p-11, 0x1.d4cf214efbfecp-11, 0x1.c4ceb02956d61p-11, 0x1.b5540569d4671p-11, 0x1.a65b4936d8618p-11, 0x1.97e087dda1738p-11, 0x1.89e047fa3e9c5p-11, 0x1.7c56dc97fc6e3p-11, 0x1.6f40c11273e56p-11, 0x1.629a7e478ffe3p-11, 0x1.5660d882b730bp-11, 0x1.4a906a96c52d2p-11, 0x1.3f261391bea2cp-11, 0x1.341eb53ea0a8p-11, 0x1.29774996baaf4p-11, 0x1.1f2c49ec8ff5ap-11, 0x1.154074847c296p-11, 0x1.0ba3836fab70ep-11, 0x1.025f0591abdd8p-11, 0x1.f2d91585208bep-12, 0x1.e1929c76911a4p-12, 0x1.d0e581495a9abp-12, 0x1.c0cd304be067bp-12, 0x1.b144f755730cfp-12, 0x1.a247e2500ba06p-12, 0x1.93d18b1a780d8p-12, 0x1.85dd8b78d06f2p-12, 0x1.78676751a1551p-12, 0x1.6b6b3bdd94a07p-12, 0x1.5ee4f0d032c9dp-12, 0x1.52d052a295a1ap-12, 0x1.472ab1305874ep-12, 0x1.3bee01aea39a7p-12, 0x1.3118d92e6eeb2p-12, 0x1.26a6eaba25bbcp-12, 0x1.1c94d5af8de96p-12, 0x1.12df500db1a83p-12, 0x1.098301f8a3c2bp-12, 0x1.007e7f876a46fp-12, 0x1.ef94e9d46aa63p-13, 0x1.ded0643efe886p-13, 0x1.cea6c1afe0ddep-13, 0x1.bf141c6d47821p-13, 0x1.b00ea5f34c5f5p-13, 0x1.a19585089cf39p-13, 0x1.93a3336f4a788p-13, 0x1.86313df6e402p-13, 0x1.793b8e608ec81p-13, 0x1.6cbe1bc7e8ae8p-13, 0x1.60b43616e2872p-13, 0x1.5519937f86e72p-13, 0x1.49ea11dcd57p-13, 0x1.3f21b7c6c02efp-13, 0x1.34bca7a26aad7p-13, 0x1.2ab7257cac5c2p-13, 0x1.210d925396cf7p-13, 0x1.17bc39881d263p-13, 0x1.0ec44a4b9bf67p-13, 0x1.06163961d83f8p-13, 0x1.fb7583ce412d1p-14, 0x1.eb55c2573c7cp-14, 0x1.dbc76b7d32cd9p-14, 0x1.ccc50d482732ep-14, 0x1.be531b351223cp-14, 0x1.b04e392a60814p-14, 0x1.a2cd85d9224c2p-14, 0x1.95c4df63bed8p-14, 0x1.892e8857c548ep-14, 0x1.7d059e1ba6f09p-14, 0x1.7146208b4277dp-14, 0x1.65ebd490b7b31p-14, 0x1.5af905a604c27p-14, 0x1.5055b1c161cc4p-14, 0x1.4611efbda0f8cp-14, 0x1.3c23ec5645397p-14, 0x1.3287e5a66004ap-14, 0x1.293c58489c68bp-14, 0x1.2038fe2cfbf75p-14, 0x1.177fbed6c912p-14, 0x1.0f0b82545af4cp-14, 0x1.06d98af3694fep-14, 0x1.fdceb34c665dcp-15, 0x1.ee644ee7c4939p-15, 0x1.df6eca83dabf1p-15, 0x1.d0e9419eb2333p-15, 0x1.c2cf0369710bcp-15, 0x1.b51b92105d5eap-15, 0x1.a7cabe0aed846p-15, 0x1.9add99ebc6897p-15, 0x1.8e3fe467863b1p-15, 0x1.81fe1b7ee32c4p-15, 0x1.760f2084321c8p-15, 0x1.6a8915b3847aep-15, 0x1.5f275fd7d778fp-15, 0x1.5415d015419bcp-15, 0x1.4933a87423574p-15, 0x1.3ecf992766fc9p-15, 0x1.348eae546877cp-15, 0x1.2a90a5d5b749bp-15, 0x1.20c40ef931588p-15, 0x1.17366df39a551p-15, 0x1.0dde4a890a053p-15, 0x1.04bac9c6d5c16p-15, 0x1.f794ea251e0e9p-16, 0x1.e624471bf7446p-16, 0x1.d4ee8bcf55316p-16, 0x1.c42129ceaada8p-16, 0x1.b3aa9d6d6aa44p-16, 0x1.a38948edc55f1p-16, 0x1.93b70b30a63bap-16, 0x1.84259277cfcddp-16, 0x1.74f7525b2d5fcp-16, 0x1.6602d8b6d1ee5p-16, 0x1.57549c13f65e7p-16, 0x1.48e95a813fefdp-16, 0x1.3ac0b86e94985p-16, 0x1.2cca5872bc2fdp-16, 0x1.1f23cd568ff44p-16, 0x1.11b0bf67f58d9p-16, 0x1.04762e919a063p-16, 0x1.eee6965eb8333p-17, 0x1.d54c7f48cb513p-17, 0x1.bc134d8a137ffp-17, 0x1.a35255a6e5fa7p-17, 0x1.8aeef75420392p-17, 0x1.72e97f3896f67p-17, 0x1.5bb5173ad579cp-17, 0x1.4401ef6d80234p-17, 0x1.2d1c536d0568ep-17, 0x1.16932b44b33fcp-17, 0x1.0054303cb32d2p-17, 0x1.d4e9568ab4125p-18, 0x1.a9d9cba24756ap-18, 0x1.7f69a4844a652p-18, 0x1.559f83022d80ap-18, 0x1.2c7adea1bbce9p-18, 0x1.03ff0cf3f5971p-18, 0x1.b9bff0ae55c41p-19, 0x1.69af1dd558eedp-19, 0x1.1c48bfc6a1747p-19, 0x1.a05178eb08c35p-20, 0x1.0a8df20cc5121p-20, 0x1.e0946452d710bp-22, -0x1.a15765687290ep-24, -0x1.51e52dcd08d0cp-21, -0x1.356d5173963f7p-20, -0x1.bf97d23d446fdp-20, -0x1.23bac640fa8cdp-19, -0x1.66815519e688fp-19, -0x1.a846386bc512cp-19, -0x1.e8b340d4bf525p-19, -0x1.13ef260860b23p-18, -0x1.32f2694e6f2d2p-18, -0x1.51c6c285207c6p-18, -0x1.6fb8e8dcc1a7cp-18, -0x1.8d42359cd402cp-18, -0x1.aa2cbc70e9aep-18, -0x1.c6c9fb0fc2141p-18, -0x1.e2557c4480cf3p-18, -0x1.fd962b9d1123ep-18, -0x1.0c25b610e3323p-17, -0x1.1939ca43f81f5p-17, -0x1.2608063148416p-17, -0x1.329379b3d42fep-17, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.0b98f6b3d46dp-1, -0x1.0f80780572decp-1, -0x1.1330efb643a4cp-1, -0x1.16a95db420b8p-1, -0x1.19e8117bc5706p-1, -0x1.1cebeba70b83dp-1, -0x1.1fb54374b19b7p-1, -0x1.22451ac260f41p-1, -0x1.249be8f463e35p-1, -0x1.26b97367b081cp-1, -0x1.289d9e6d2aa19p-1, -0x1.2a4935a5fab2ap-1, -0x1.2bbdf874428d4p-1, -0x1.2cfe054d6c914p-1, -0x1.2e0b30cd6e7bp-1, -0x1.2ee6bb8d6fa28p-1, -0x1.2f917a7b2c18cp-1, -0x1.300c3d53b9ca5p-1, -0x1.30582b98aa553p-1, -0x1.3076ed5448641p-1, -0x1.306a97af55d18p-1, -0x1.3037adc3b1494p-1, -0x1.2fdd46c1fbf0ep-1, -0x1.2f5cf292fdb3ap-1, -0x1.2eb82a23bdeffp-1, -0x1.2df08d9e11dc9p-1, -0x1.2d07dcfaeea67p-1, -0x1.2bffe1cf714c9p-1, -0x1.2ada55454b0cp-1, -0x1.2998cffa33347p-1, -0x1.283cbfd80d0fap-1, -0x1.26c770a53c5a9p-1, -0x1.253a1442b1f6bp-1, -0x1.2395cfc6f4b2bp-1, -0x1.21dbc774e7d45p-1, -0x1.200d26e841f1fp-1, -0x1.1e2b24f88169ep-1, -0x1.1c36fecfe460dp-1, -0x1.1a31f3c61042fp-1, -0x1.181d3ccbe4912p-1, -0x1.15fa060c8f16cp-1, -0x1.13c969f4bba44p-1, -0x1.118c6dfc648c2p-1, -0x1.0f4401491843bp-1, -0x1.0cf0fe6509619p-1, -0x1.0a942ca9e78efp-1, -0x1.082e465ff9ad3p-1, -0x1.05bffca346924p-1, -0x1.0349fb51c98f1p-1, -0x1.00cceb240f335p-1, -0x1.fc92e451eb0eep-2, -0x1.f78066ad1eee5p-2, -0x1.f2639bbb0ee3cp-2, -0x1.ed3db96256501p-2, -0x1.e80fee2e756c8p-2, -0x1.e2db612c9e929p-2, -0x1.dda1328387c5cp-2, -0x1.d8627a75613ap-2, -0x1.d3204719c5501p-2, -0x1.cddb992acc42fp-2, -0x1.c89560580ae08p-2, -0x1.c34e783c52968p-2, -0x1.be07a6c133797p-2, -0x1.b8c5ac9d4bd6cp-2, -0x1.b38051d4435fep-2, -0x1.ae3ca750b7178p-2, -0x1.a8fb45e4b2617p-2, -0x1.a3bcbe35d0287p-2, -0x1.9e819967a54a5p-2, -0x1.994a59a3a443p-2, -0x1.94177adbe1d3ep-2, -0x1.8ee9735c78cd7p-2, -0x1.89c0b4705d5b9p-2, -0x1.849daa898eb12p-2, -0x1.7f80bd35c3d67p-2, -0x1.7a6a4ec82ad48p-2, -0x1.755abbf44ff64p-2, -0x1.70525b6703c97p-2, -0x1.6b517d1754431p-2, -0x1.66586afa56be6p-2, -0x1.6167686089d6ep-2, -0x1.5c7eb2c835af6p-2, -0x1.579e826b3f946p-2, -0x1.52c70aec1ee0ap-2, -0x1.4df87c2e8926bp-2, -0x1.493303068aa46p-2, -0x1.4476c9d0e5dabp-2, -0x1.3fc3f8e54d492p-2, -0x1.3b1ab6c86f60ap-2, -0x1.367b28597f18ep-2, -0x1.31e5708fa1117p-2, -0x1.2d59b0947a827p-2, -0x1.28d80773cb423p-2, -0x1.246091d33d9e6p-2, -0x1.1ff36a0c61867p-2, -0x1.1b90a7ff649d5p-2, -0x1.17386125edf5ap-2, -0x1.12eaa8ced3eb8p-2, -0x1.0ea78fb24a714p-2, -0x1.0a6f254a2d3b6p-2, -0x1.064176ec345c7p-2, -0x1.021e9080e8d3cp-2, -0x1.fc0cf92d85652p-3, -0x1.f3f288fed6d8dp-3, -0x1.ebede0b6ac299p-3, -0x1.e3ff0df1ba246p-3, -0x1.dc261e04fbbe4p-3, -0x1.d46316e178a7p-3, -0x1.ccb6014367b6bp-3, -0x1.c51ee06613fa5p-3, -0x1.bd9db51149d88p-3, -0x1.b6327d2ba1251p-3, -0x1.aedd33bc93ee8p-3, -0x1.a79dd0f75e743p-3, -0x1.a0744a646671bp-3, -0x1.996093210c1a2p-3, -0x1.92629bf1d4972p-3, -0x1.8b7a5440d3d2fp-3, -0x1.84a7a93d8b8e9p-3, -0x1.7dea874af7addp-3, -0x1.7742d9bc26eb9p-3, -0x1.70b08b2e53f75p-3, -0x1.6a3385c6fbff4p-3, -0x1.63cbb41d88852p-3, -0x1.5d78fd40d5fap-3, -0x1.573b4e3cdd338p-3, -0x1.51128b091f6b4p-3, -0x1.4afea0a6a3e8ap-3, -0x1.44ff759fd14b3p-3, -0x1.3f14f1a38d93ep-3, -0x1.393efb90230bap-3, -0x1.337d7965ed23p-3, -0x1.2dd05023d0685p-3, -0x1.283763aae8cap-3, -0x1.22b29649fc5cap-3, -0x1.1d41ca69195f2p-3, -0x1.17e4e06e8ee19p-3, -0x1.129bb328dd14cp-3, -0x1.0d66242afa9b8p-3, -0x1.08440e1d9cd41p-3, -0x1.03354be419018p-3, -0x1.fc736e98c85dp-4, -0x1.f2a251458f4dbp-4, -0x1.e8f6f04630869p-4, -0x1.df70f8d5a74fap-4, -0x1.d6101911f2ba5p-4, -0x1.ccd3fb164df48p-4, -0x1.c3c17a6290c65p-4, -0x1.bacdcbfbf79ep-4, -0x1.b1fde55517e44p-4, -0x1.a951727c4e1a2p-4, -0x1.a0c820bf69c9ep-4, -0x1.986199cbabc5cp-4, -0x1.901d883ecb469p-4, -0x1.87fb979684d0cp-4, -0x1.7ffb6ff9b2989p-4, -0x1.781cbb21fa307p-4, -0x1.705f21f093a1cp-4, -0x1.68c24c8f154c3p-4, -0x1.6145e3013708ap-4, -0x1.59e98d8b0de19p-4, -0x1.52aced16d27ebp-4, -0x1.4b8fbc73ed197p-4, -0x1.44918f715acf9p-4, -0x1.3db218c4ec367p-4, -0x1.36f0ef53e625p-4, -0x1.304dca353861bp-4, -0x1.29c8495568bf3p-4, -0x1.23601623f67dcp-4, -0x1.1d14d4c6c58cbp-4, -0x1.16e62f110952dp-4, -0x1.10d3c3ede3665p-4, -0x1.0add4196846dp-4, -0x1.05024c3b26babp-4, -0x1.fe8514b4c30c9p-5, -0x1.f33b44630f57bp-5, -0x1.e8267ab3846c1p-5, -0x1.dd4600df76795p-5, -0x1.d299276d25d04p-5, -0x1.c81f3ded9747cp-5, -0x1.bdd7945df7003p-5, -0x1.b3c17b6af222fp-5, -0x1.a9dc4527f0944p-5, -0x1.a02741f5f461ep-5, -0x1.96a1c6598cb88p-5, -0x1.8d4b2617a3541p-5, -0x1.8422b5f1640a2p-5, -0x1.7b27cbdc80eb6p-5, -0x1.7259b0472cb52p-5, -0x1.69b7e652d72fep-5, -0x1.61419c3050d68p-5, -0x1.58f63a8e2c97bp-5, -0x1.50d51d173398p-5, -0x1.48dda06846252p-5, -0x1.410f218c813b2p-5, -0x1.396901149068ep-5, -0x1.31ea9f3413117p-5, -0x1.2a935d52d0e16p-5, -0x1.23629e56d376bp-5, -0x1.1c57c78c8bf2cp-5, -0x1.15723dd1268c4p-5, -0x1.0eb16a182f1eep-5, -0x1.0814b09a125f9p-5, -0x1.019b7f4a88a54p-5, -0x1.f68a8030315c3p-6, -0x1.ea22be6967b1fp-6, -0x1.ddfe95e72f405p-6, -0x1.d21ce71a96183p-6, -0x1.c67c8ebc60d02p-6, -0x1.bb1c743389309p-6, -0x1.affb7f6728953p-6, -0x1.a51899c1782bep-6, -0x1.9a72b01c4fee4p-6, -0x1.9008b2681728cp-6, -0x1.85d993676007dp-6, -0x1.7be4495ec6389p-6, -0x1.7227ccf6e3c93p-6, -0x1.68a315f0dee4p-6, -0x1.5f5527c89315ap-6, -0x1.563d0240d95ebp-6, -0x1.4d59a91dc059cp-6, -0x1.44aa24614d21ap-6, -0x1.3c2d7e28f1252p-6, -0x1.33e2aeba96a8fp-6, -0x1.2bc9052cf992bp-6, -0x1.23df561fdf2e5p-6, -0x1.1c24cb995e383p-6, -0x1.14987fe4e135ap-6, -0x1.0d398ec7138dp-6, -0x1.06071756872bcp-6, -0x1.fe00764b4df41p-7, -0x1.f0483cc5b8f4dp-7, -0x1.e2e3da632d3b4p-7, -0x1.d5d198324414cp-7, -0x1.c90fd97015e55p-7, -0x1.bc9cfe0ec06c6p-7, -0x1.b0776bc74fc6p-7, -0x1.a49d912b45fdfp-7, -0x1.990ddfe64034ap-7, -0x1.8dc6cbce1ada7p-7, -0x1.82c6e1057b0dfp-7, -0x1.780c9821d4f21p-7, -0x1.6d964a77f31b9p-7, -0x1.63631a312dd03p-7, -0x1.59710b45a642p-7, -0x1.4fbeea5c112fp-7, -0x1.464b56d4a836bp-7, -0x1.3d14f6a80f364p-7, -0x1.341a74589ea6bp-7, -0x1.2b5a825b83086p-7, -0x1.22d3d6b022c92p-7, -0x1.1a852c3f983efp-7, -0x1.126d48d6017cp-7, -0x1.0a8b1f78a4a2cp-7, -0x1.02dcecf544a06p-7, -0x1.f6c428fc9242p-8, -0x1.e8327a60b8b52p-8, -0x1.da0285c442ad2p-8, -0x1.cc32102939e29p-8, -0x1.bebee73e84622p-8, -0x1.b1a6e37c94b66p-8, -0x1.a4e7e7b0b506ap-8, -0x1.987fe0f9deb19p-8, -0x1.8c6cca38bd957p-8, -0x1.80ac9d3471f4ep-8, -0x1.753d6a8698787p-8, -0x1.6a1d398addad7p-8, -0x1.5f4a3b691963cp-8, -0x1.54c2907c6383ap-8, -0x1.4a8469f164b93p-8, -0x1.408e026374254p-8, -0x1.36dd9d63a6cep-8, -0x1.2d7183430456fp-8, -0x1.24481c1aef0dap-8, -0x1.1b5fad96a8aebp-8, -0x1.12b6acf34f152p-8, -0x1.0a4b872a36a7cp-8, -0x1.021cb4dc79c3ep-8, -0x1.f451751679e12p-9, -0x1.e4dc783c25db4p-9, -0x1.d5d6b7b2eaabfp-9, -0x1.c73e58305744ap-9, -0x1.b9103c3318d6bp-9, -0x1.ab49bc1457899p-9, -0x1.9de83179ee78p-9, -0x1.90e90ef81ffc6p-9, -0x1.8449cc4a39d6ap-9, -0x1.7807f87134ee1p-9, -0x1.6c210e9b03dcdp-9, -0x1.6092f71be226fp-9, -0x1.555b241d873ap-9, -0x1.4a776bf228024p-9, -0x1.3fe59d5e0334p-9, -0x1.35a38df1b30e3p-9, -0x1.2baf1e5a8f437p-9, -0x1.220658a3249c8p-9, -0x1.18a6bddc1fc02p-9, -0x1.0f8f962d2008dp-9, -0x1.06bdc62f81b1p-9, -0x1.fc5f778f901d9p-10, -0x1.ebc78163e183ep-10, -0x1.dbb0180a6dac4p-10, -0x1.cc15a94c9f213p-10, -0x1.bcf4caa11de03p-10, -0x1.ae4a3f2b06fafp-10, -0x1.a012b194b586p-10, -0x1.924b698271fbdp-10, -0x1.84f024c11c385p-10, -0x1.77ff01f0339fap-10, -0x1.6b74aebd94a2cp-10, -0x1.5f4de2df7cfa5p-10, -0x1.538903eec5c3cp-10, -0x1.482222a3f45a6p-10, -0x1.3d1700a5b2bf8p-10, -0x1.3264e09a3028fp-10, -0x1.2807556bfddedp-10, -0x1.1dffc0a246f24p-10, -0x1.144a618d9625fp-10, -0x1.0ae4493ff40e2p-10, -0x1.01cb22a77ceaep-10, -0x1.f1f9676c390e5p-11, -0x1.e0ed9192806e3p-11, -0x1.d06e85f34ec82p-11, -0x1.c07816342c8c7p-11, -0x1.b1063453779a8p-11, -0x1.a214ecedbc2ddp-11, -0x1.93a0658b3408fp-11, -0x1.85a4ee1119089p-11, -0x1.781eb399ad493p-11, -0x1.6b0a3ae1afd6dp-11, -0x1.5e641bbbf18dep-11, -0x1.52291488126cap-11, -0x1.46536a5efb0d2p-11, -0x1.3ae622bf824a9p-11, -0x1.2fd844d62d164p-11, -0x1.2528b149aba7fp-11, -0x1.1ad4692a9b1bcp-11, -0x1.10d891d5d5231p-11, -0x1.07325f1bac8d3p-11, -0x1.fbbe3b167328p-12, -0x1.e9b85a9c90f05p-12, -0x1.d84da0092d38ap-12, -0x1.c7797753a40cdp-12, -0x1.b736df3c77f7dp-12, -0x1.a7811c91faff4p-12, -0x1.9853629e0a78bp-12, -0x1.89a9f9dad1a08p-12, -0x1.7b7fbf048d298p-12, -0x1.6dd0dc3f2c5fdp-12, -0x1.60994299c27f7p-12, -0x1.53d4dd15f8bbfp-12, -0x1.477eefbec1eddp-12, -0x1.3b97c1ffdb1cap-12, -0x1.30152bebe8b82p-12, -0x1.24f88b0c3dc89p-12, -0x1.1a3d4c2b8c8b3p-12, -0x1.0fdfba7851febp-12, -0x1.05dc8fff23d69p-12, -0x1.f8625af5ace7ap-13, -0x1.e5b56a788a5cdp-13, -0x1.d3ab9e1cc1c18p-13, -0x1.c23fa305fb3bdp-13, -0x1.b16c0b662cdf4p-13, -0x1.a12b703ee102bp-13, -0x1.9178e7dbf6949p-13, -0x1.824f8d286fcd5p-13, -0x1.73a9d124e3dc8p-13, -0x1.65861cc0e9573p-13, -0x1.57da4cec110e8p-13, -0x1.4aa70d22e8ed4p-13, -0x1.3de65721e4663p-13, -0x1.31944016b1676p-13, -0x1.25ac9d0e96203p-13, -0x1.1a2cf9070c33bp-13, -0x1.0f121bb2b9f9p-13, -0x1.045275ee7747fp-13, -0x1.f3e3adbcb7e57p-14, -0x1.dfd471f564501p-14, -0x1.cc7399f15c5c2p-14, -0x1.b9b3b1961a9ebp-14, -0x1.a795f216c8299p-14, -0x1.96133061a1a16p-14, -0x1.8524b0245c25cp-14, -0x1.74c515eb5f2ecp-14, -0x1.64ef58f7f1796p-14, -0x1.559f772f169c3p-14, -0x1.46d0282a7ff22p-14, -0x1.387cd88582adfp-14, -0x1.2aa10d33c57edp-14, -0x1.1d38880a7bc1ep-14, -0x1.103f2c9279fep-14, -0x1.03b0f8f299b2ep-14, -0x1.ef12575016adap-15, -0x1.d7af3b32b6eb1p-15, -0x1.c0c8aeda40d18p-15, -0x1.aabd223974435p-15, -0x1.95644a924abe7p-15, -0x1.80b840a0ad1fep-15, -0x1.6cb3636efc8bfp-15, -0x1.595a4f0b51126p-15, -0x1.4687b0d266774p-15, -0x1.34522516ca954p-15, -0x1.22aff83a727d4p-15, -0x1.1199865d0e8c9p-15, -0x1.0108833db410dp-15, -0x1.e1f5cfb731257p-16, -0x1.c2d56777ca64p-16, -0x1.a48c75f6a6379p-16, -0x1.8768ce0f6fe7bp-16, -0x1.6b0cca1cdd7a3p-16, -0x1.4f8b25fb4ea04p-16, -0x1.34dddabd41299p-16, -0x1.1b0687c12ace5p-16, -0x1.01e7c690faad6p-16, -0x1.d322a897a5a34p-17, -0x1.a3e9d9bacfe1ep-17, -0x1.761a47d525423p-17, -0x1.49a919e51ace4p-17, -0x1.1e8b595622c5ap-17, -0x1.e96d510070c2cp-18, -0x1.98423235d6a0bp-18, -0x1.49824d5e56a3ap-18, -0x1.fa36e67a28896p-19, -0x1.65fafd4a1e3e7p-19, -0x1.ad3ded33ca2e3p-20, -0x1.2a923efd6019ap-21, 0x1.e5a85a25d7a9dp-22, 0x1.7ffe5af0ff942p-20, 0x1.3e199d19893a4p-19, 0x1.bb44180dc1efp-19, 0x1.193d107a9932cp-18, 0x1.53557eaffd8c4p-18, 0x1.8b8907a3de004p-18, 0x1.c2120eb39afcap-18, 0x1.f68fa0768cddap-18, 0x1.150ecc5372847p-17, 0x1.2dda699765459p-17, 0x1.45d3c5efd325dp-17, 0x1.5d10467eb5865p-17, 0x1.7389b2d388304p-17, 0x1.8930a32aad5ap-17, 0x1.9e4a40c98a76p-17, 0x1.b2abf3185935p-17, 0x1.c6525f16b2768p-17, 0x1.d94abab03dcep-17, 0x1.eb9b49d5182efp-17, 0x1.fd586d626eb1dp-17, 0x1.0727b2f9b5612p-16, 0x1.0f5de81c74321p-16, 0x1.17458f9be30c5p-16, 0x1.1ee0d2eb1a481p-16, 0x1.26256f450b96ap-16, 0x1.2d3b5d6940d38p-16, 0x1.33f6335e9de74p-16, 0x1.3a6d2962ddf69p-16, 0x1.409ed3db4998p-16, 0x1.468bd18841ca9p-16, 0x1.4c3572b9c8f11p-16, 0x1.519dc3e9a4551p-16, 0x1.56c40f6c53585p-16, 0x1.5ba8c52092755p-16, 0x1.60501ac8e584cp-16, 0x1.647f9cdba381fp-16, 0x1.68e5b4af40f46p-16, 0x1.6cd12361ba5ep-16, 0x1.706ee62662b45p-16, 0x1.7402bf85e8a1ep-16, 0x1.77426c77f913cp-16, 0x1.7a4a2d310423p-16, 0x1.7d1bbf00c8485p-16, 0x1.7fb4a2ae0b15ap-16, 0x1.8218a401e218cp-16, 0x1.844656d04ed25p-16, 0x1.8625b21578f4p-16, 0x1.8807480833f54p-16, 0x1.899c950a5c819p-16, 0x1.8afedbf97fbbp-16, 0x1.8c30c6b4e81p-16, 0x1.8d3e89c769de4p-16, 0x1.8e01ab4f79f5p-16, 0x1.8ea26197b1bfdp-16, 0x1.8f15aa01d3e0bp-16, 0x1.8f5b77f7e93d5p-16, 0x1.8f745ce88135ep-16, 0x1.8f6079b222546p-16, 0x1.8f2686a27cb4bp-16, 0x1.8eb8d1be0836p-16, 0x1.8e21b3a9d870fp-16, 0x1.8d608f084ee8dp-16, 0x1.8c8509cbe9e9p-16, 0x1.8b7b93c838bcap-16, 0x1.8a431305b2961p-16, 0x1.88ec821ab9635p-16, 0x1.876ec8631163cp-16, 0x1.85c1fb1825a7dp-16, 0x1.83f7725f01fbbp-16, 0x1.820924d6aed62p-16, 0x1.7ff79507b1805p-16, 0x1.7dc3a539e789p-16, 0x1.7b6fbf91ba9e5p-16, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, 0x0p+0, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, -0x1.10910f830fab7p-2, -0x1.1c7a3f99c471fp-2, -0x1.28294fe4203bp-2, -0x1.339cb252de49p-2, -0x1.3ed2f51ea7fd6p-2, -0x1.49cac2442bc41p-2, -0x1.5482def818ff6p-2, -0x1.5efa2b1456ae9p-2, -0x1.692fa07f98d6ep-2, -0x1.732252905192dp-2, -0x1.7cd16d6be127fp-2, -0x1.863c3562c00e5p-2, -0x1.8f62064a5427cp-2, -0x1.984252d4fa5ddp-2, -0x1.a0dca3e8d5caap-2, -0x1.a93097f5cc36bp-2, -0x1.b13de24b21646p-2, -0x1.b9044a6d07cd8p-2, -0x1.c083ab6a7f38dp-2, -0x1.c7bbf333c4025p-2, -0x1.cead21f1a0019p-2, -0x1.d557495dcc1e2p-2, -0x1.dbba8c1ca5dc1p-2, -0x1.e1d71d1863898p-2, -0x1.e7ad3eddfc456p-2, -0x1.ed3d42fbe7ee9p-2, -0x1.f2878962df72dp-2, -0x1.f78c7fc8bfcbp-2, -0x1.fc4ca10db1822p-2, -0x1.00643a51d59a6p-1, -0x1.028046fc37222p-1, -0x1.047ac5f1088adp-1, -0x1.06540c07151bdp-1, -0x1.080c7339d9369p-1, -0x1.09a45a63d4855p-1, -0x1.0b1c24fa4495ap-1, -0x1.0c743aca4d252p-1, -0x1.0dad07b7959b4p-1, -0x1.0ec6fb7c5a95cp-1, -0x1.0fc2896afb3afp-1, -0x1.10a0283102c1dp-1, -0x1.1160519bafba5p-1, -0x1.1203825df9867p-1, -0x1.128a39d815fe9p-1, -0x1.12f4f9e07db6fp-1, -0x1.1344468e6e3dep-1, -0x1.1378a605e938dp-1, -0x1.1392a0452f0e2p-1, -0x1.1392bef3b15fep-1, -0x1.13798d327e6f6p-1, -0x1.1347976e1c9efp-1, -0x1.12fd6b31d95e3p-1, -0x1.129b96fc8324ap-1, -0x1.1222aa168dd33p-1, -0x1.119334699a399p-1, -0x1.10edc65961693p-1, -0x1.1032f09df8d6dp-1, -0x1.0f63441f7296bp-1, -0x1.0e7f51d2ccbadp-1, -0x1.0d87aa9831948p-1, -0x1.0c7cdf1a807f8p-1, -0x1.0b5f7fb01a5e9p-1, -0x1.0a301c3ced64ap-1, -0x1.08ef4415ba72fp-1, -0x1.079d85e48e53bp-1, -0x1.063b6f8e6b4d7p-1, -0x1.04c98e1a18b85p-1, -0x1.03486d981a205p-1, -0x1.01b8990bc1db8p-1, -0x1.001a9a555d522p-1, -0x1.fcddf43ae76e4p-2, -0x1.f96c7f8224b39p-2, -0x1.f5e1e27e3f813p-2, -0x1.f23f264d647f4p-2, -0x1.ee85510cc04cp-2, -0x1.eab565b911b2ap-2, -0x1.e6d064111a63dp-2, -0x1.e2d74879e726bp-2, -0x1.decb0be4e16fcp-2, -0x1.daaca3b7a4349p-2, -0x1.d67d01b57e709p-2, -0x1.d23d13eaa5fd3p-2, -0x1.cdedc49902fe8p-2, -0x1.c98ffa268fee4p-2, -0x1.c524970d41f5dp-2, -0x1.c0ac79cc6cd4ap-2, -0x1.bc287cdb9917bp-2, -0x1.b799769ec0c2p-2, -0x1.b300395be999fp-2, -0x1.ae5d93320f08bp-2, -0x1.a9b24e115412p-2, -0x1.a4ff2fb471842p-2, -0x1.a044f99b56b2ap-2, -0x1.9b846906f22fp-2, -0x1.96be36f6169dap-2, -0x1.91f3182376612p-2, -0x1.8d23bd04a5659p-2, -0x1.8850d1ca1df6cp-2, -0x1.837afe603b70ap-2, -0x1.7ea2e671203b2p-2, -0x1.79c9296780e9ap-2, -0x1.74ee6272497edp-2, -0x1.7013288913284p-2, -0x1.6b380e7162168p-2, -0x1.665da2c4a5ba1p-2, -0x1.61846ff6e9cd5p-2, -0x1.5cacfc5e3d729p-2, -0x1.57d7ca3ab8a71p-2, -0x1.530557bf24e07p-2, -0x1.4e361f1a3a518p-2, -0x1.496a968067b95p-2, -0x1.44a3303626eeap-2, -0x1.3fe05a9ac90cp-2, -0x1.3b228033bf839p-2, -0x1.366a07b85244dp-2, -0x1.31b7541dbf706p-2, -0x1.2d0ac4a3bfc26p-2, -0x1.2864b4e16282fp-2, -0x1.23c57cd241dc6p-2, -0x1.1f2d70e40429ap-2, -0x1.1a9ce2042726dp-2, -0x1.16141dae0d8bap-2, -0x1.11936df946b35p-2, -0x1.0d1b19a811a44p-2, -0x1.08ab64360e45ap-2, -0x1.04448de71c524p-2, -0x1.ffcda7acc2e07p-3, -0x1.f724e00adfa7fp-3, -0x1.ee8f32d7191b9p-3, -0x1.e60d080a17aa2p-3, -0x1.dd9ec1c585c07p-3, -0x1.d544bc731242dp-3, -0x1.ccff4ee38903bp-3, -0x1.c4ceca6dfcd27p-3, -0x1.bcb37b0ef1895p-3, -0x1.b4ada7878ee83p-3, -0x1.acbd917cc63cap-3, -0x1.a4e3759669f7cp-3, -0x1.9d1f8b9e3027cp-3, -0x1.9572069e9a8d7p-3, -0x1.8ddb1501bd459p-3, -0x1.865ae0afdb394p-3, -0x1.7ef18f2ddaf95p-3, -0x1.779f41bb842f7p-3, -0x1.706415718848p-3, -0x1.6940235f51fp-3, -0x1.623380a88e341p-3, -0x1.5b3e3ea278edfp-3, -0x1.54606af0d764cp-3, -0x1.4d9a0fa2b2b6bp-3, -0x1.46eb334eb4248p-3, -0x1.4053d92f3cc13p-3, -0x1.39d4013e1a9d3p-3, -0x1.336ba84fed056p-3, -0x1.2d1ac82f29c25p-3, -0x1.26e157b6c3584p-3, -0x1.20bf4aec72ebp-3, -0x1.1ab4931a96d25p-3, -0x1.14c11ee9b7755p-3, -0x1.0ee4da799b8f6p-3, -0x1.091faf79fbb2fp-3, -0x1.03718542ca7c6p-3, -0x1.fbb481d8185c1p-4, -0x1.f0b38aca9cd69p-4, -0x1.e5dfe719499dbp-4, -0x1.db39548a87bb6p-4, -0x1.d0bf8d1b4fbd1p-4, -0x1.c672472a9634p-4, -0x1.bc5135a3e3587p-4, -0x1.b25c082905f9fp-4, -0x1.a8926b3adffa5p-4, -0x1.9ef4086161702p-4, -0x1.958086529beb3p-4, -0x1.8c378918eca1p-4, -0x1.8318b2385a2cep-4, -0x1.7a23a0d30558bp-4, -0x1.7157f1ccc1ddcp-4, -0x1.68b53fedd0f4bp-4, -0x1.603b2404c058bp-4, -0x1.57e935076e722p-4, -0x1.4fbf0833361eap-4, -0x1.47bc312c42f8p-4, -0x1.3fe0421c0fafcp-4, -0x1.382acbcf109afp-4, -0x1.309b5dd18cb84p-4, -0x1.2931868ba6c5ap-4, -0x1.21ecd35c98276p-4, -0x1.1accd0b521539p-4, -0x1.13d10a3130a12p-4, -0x1.0cf90ab0c35b8p-4, -0x1.06445c7001462p-4, -0x1.ff65123d31188p-5, -0x1.f28633ecb3de6p-5, -0x1.e5eb2fa231162p-5, -0x1.d993167ba33p-5, -0x1.cd7cf92a38a98p-5, -0x1.c1a7e819cf772p-5, -0x1.b612f3970dc62p-5, -0x1.aabd2bf41f1f3p-5, -0x1.9fa5a1ac1cf2bp-5, -0x1.94cb65852723p-5, -0x1.8a2d88b134fd7p-5, -0x1.7fcb1ced9fb06p-5, -0x1.75a334a174ab7p-5, -0x1.6bb4e2fa8c658p-5, -0x1.61ff3c0972e63p-5, -0x1.588154dc264d2p-5, -0x1.4f3a4397af8e8p-5, -0x1.46291f909f9ap-5, -0x1.3d4d0162719f8p-5, -0x1.34a50305ddb4ap-5, -0x1.2c303fe620c71p-5, -0x1.23edd4f53d07fp-5, -0x1.1bdce0bf3c4e3p-5, -0x1.13fc837c7a6ccp-5, -0x1.0c4bdf22fb00bp-5, -0x1.04ca1776d2cfp-5, -0x1.faeca433533cdp-6, -0x1.ec9f6d32b7e4ap-6, -0x1.deaadcfb82703p-6, -0x1.d10d4aab375d7p-6, -0x1.c3c5118570bbdp-6, -0x1.b6d0910a8fd14p-6, -0x1.aa2e2d0cdda46p-6, -0x1.9ddc4dc4352b1p-6, -0x1.91d95fe035b32p-6, -0x1.8623d4991087p-6, -0x1.7aba21bef76dcp-6, -0x1.6f9ac1c83b82cp-6, -0x1.64c433de209d9p-6, -0x1.5a34fbe874c54p-6, -0x1.4feba297f2b81p-6, -0x1.45e6b56f7ce75p-6, -0x1.3c24c6cc351efp-6, -0x1.32a46dec81094p-6, -0x1.296446f5fe5ebp-6, -0x1.2062f2fa763d6p-6, -0x1.179f17fbd3e09p-6, -0x1.0f1760ef2b631p-6, -0x1.06ca7dbed62e2p-6, -0x1.fd6e46975ddbbp-7, -0x1.edb816daf204cp-7, -0x1.de6fe9e4e40acp-7, -0x1.cf93473c44fffp-7, -0x1.c11fc04ed8d19p-7, -0x1.b312f06bbce84p-7, -0x1.a56a7cbcbd021p-7, -0x1.9824143e499e1p-7, -0x1.8b3d6fb62d852p-7, -0x1.7eb451a9178e7p-7, -0x1.7286864ef1944p-7, -0x1.66b1e38624f94p-7, -0x1.5b3448c5d0f62p-7, -0x1.500b9f0eff5afp-7, -0x1.4535d8dceb2f1p-7, -0x1.3ab0f2145c49cp-7, -0x1.307aeff228e9bp-7, -0x1.2691e0f8e9ae8p-7, -0x1.1cf3dcdde7d6p-7, -0x1.139f047552f79p-7, -0x1.0a91819dc95bcp-7, -0x1.01c9872b3b1acp-7, -0x1.f28aa1a2663d3p-8, -0x1.e20646192401fp-8, -0x1.d20296197fa89p-8, -0x1.c27c3d38c397cp-8, -0x1.b36ff81337d8bp-8, -0x1.a4da941bcac28p-8, -0x1.96b8ef6af5be6p-8, -0x1.8907f88ce9ad5p-8, -0x1.7bc4ae4f14f47p-8, -0x1.6eec1f8d12f19p-8, -0x1.627b6afd1064ap-8, -0x1.566fbefbb75f3p-8, -0x1.4ac65957acde1p-8, -0x1.3f7c871caf3f9p-8, -0x1.348fa45e61b03p-8, -0x1.29fd1c02d1818p-8, -0x1.1fc2678cc13cfp-8, -0x1.15dd0ee5c1e43p-8, -0x1.0c4aa8282cf39p-8, -0x1.0308d768ff258p-8, -0x1.f42a9d0353499p-9, -0x1.e2db99b3b0879p-9, -0x1.d2203e6280dcp-9, -0x1.c1f43ed2f3569p-9, -0x1.b253689fd9dfdp-9, -0x1.a339a2cfc3853p-9, -0x1.94a2ed696354fp-9, -0x1.868b61084e7bcp-9, -0x1.78ef2e722708cp-9, -0x1.6bca9e2c3ce9cp-9, -0x1.5f1a1011b0f1bp-9, -0x1.52d9faea2a3d7p-9, -0x1.4706ec012938ep-9, -0x1.3b9d86bdff055p-9, -0x1.309a843c7bd57p-9, -0x1.25fab2e6567f5p-9, -0x1.1bbaf60d5ac72p-9, -0x1.11d845866b549p-9, -0x1.084fad4556343p-9, -0x1.fe3c99f3162d1p-10, -0x1.ec82af577bfeep-10, -0x1.db6c26b8e2aa2p-10, -0x1.caf3b146f6041p-10, -0x1.bb1424a105f5cp-10, -0x1.abc87a19097p-10, -0x1.9d0bcdf8a86aap-10, -0x1.8ed95ec86a331p-10, -0x1.812c8c98f8485p-10, -0x1.7400d84e90c94p-10, -0x1.6751e2eea6353p-10, -0x1.5b1b6cefbd618p-10, -0x1.4f59558b82e3fp-10, -0x1.44079a1328d4p-10, -0x1.3922554608632p-10, -0x1.2ea5beaa982f3p-10, -0x1.248e29e9ac0c7p-10, -0x1.1ad8062c0cea8p-10, -0x1.117fdd7a66939p-10, -0x1.0882541f92074p-10, -0x1.ffb8501a63b82p-11, -0x1.ef1460856962dp-11, -0x1.df12b86d599e5p-11, -0x1.cfad66850f831p-11, -0x1.c0dea8214594fp-11, -0x1.b2a0e819735c4p-11, -0x1.a4eebdad64e32p-11, -0x1.97c2eb6f82dbdp-11, -0x1.8b185e33ccca1p-11, -0x1.7eea2c037dcp-11, -0x1.7333931559e39p-11, -0x1.67eff8ca9c9ebp-11, -0x1.5d1ae8b082fbap-11, -0x1.52b013866c50ap-11, -0x1.48ab4e4888747p-11, -0x1.3f08913f0d2c6p-11, -0x1.35c3f711ea0c6p-11, -0x1.2cd9bbe0f3cdbp-11, -0x1.24463c607c13ep-11, -0x1.1c05f4fa4cd77p-11, -0x1.141580f3007bbp-11, -0x1.0c719993a7b28p-11, -0x1.05171557b800dp-11, -0x1.fc05ce3e64e5bp-12, -0x1.ee643ac9fc74p-12, -0x1.e143c2f2cc2bep-12, -0x1.d49eed815ff65p-12, -0x1.c87073eb83cf3p-12, -0x1.bcb340e196acbp-12, -0x1.b1626ee3c1b6fp-12, -0x1.a67946df05db1p-12, -0x1.9bf33ed2060c4p-12, -0x1.91cbf8796ce0ap-12, -0x1.87ff4003dc6c2p-12, -0x1.7e890acd4c6d2p-12, -0x1.75657621b82bfp-12, -0x1.6c90c6070994ap-12, -0x1.6407640e1f52ap-12, -0x1.5bc5de2adccfbp-12, -0x1.53c8e5931ce8ap-12, -0x1.4c0d4da47a47dp-12, -0x1.44900ad0c9d1fp-12, -0x1.3d4e31912d78dp-12, -0x1.3644f55fa8efap-12, -0x1.2f71a7b718bbp-12, -0x1.28d1b71974a3cp-12, -0x1.2262ae1c3eed8p-12, -0x1.1c22327b0b25ep-12, -0x1.160e042ffac58p-12, -0x1.1023fc921d2bap-12, -0x1.0a620d799214dp-12, -0x1.04c6406957206p-12, -0x1.fe9d6b7d4f403p-13, -0x1.f3f347cba2d96p-13, -0x1.e98aad28cea58p-13, -0x1.df605c116edaep-13, -0x1.d5713c9cd4d1ep-13, -0x1.cbba5d1066b6p-13, -0x1.c238f07cefbfap-13, -0x1.b8ea4d65af6cap-13, -0x1.afcbec70ec443p-13, -0x1.a6db6721f1d59p-13, -0x1.9e16769c2545ap-13, -0x1.957af26f26836p-13, -0x1.8d06cf6bb6148p-13, -0x1.84b81e813270ep-13, -0x1.7c8d0ba38d666p-13, -0x1.7483dcb97b5eep-13, -0x1.6c9af092b6b3ap-13, -0x1.64d0bde62f6ccp-13, -0x1.5d23d257e85f8p-13, -0x1.5592d1866fa7cp-13, -0x1.4e1c741fb623bp-13, -0x1.46bf86fd1ab5ap-13, -0x1.3f7aea468aabcp-13, -0x1.384d909c86aaep-13, -0x1.31367e48e0df9p-13, -0x1.2a34c8761408ap-13, -0x1.2347946d02b86p-13, -0x1.1c6e16d902decp-13, -0x1.15a793120079ap-13, -0x1.0ef35a6ca1cc6p-13, -0x1.0850cb9037fa1p-13, -0x1.01bf51d26ae5dp-13, -0x1.f67cc930c464ep-14, -0x1.e99b0d7ac1257p-14, -0x1.dcd88bfd4a8f3p-14, -0x1.d03474d8c9eb4p-14, -0x1.c3ae0bbfac6f8p-14, -0x1.b744a6ec175b2p-14, -0x1.aaf7ae1f370aap-14, -0x1.9ec699a9c2bp-14, -0x1.92b0f17d80a06p-14, -0x1.86b64c4792499p-14, -0x1.7ad64e934556bp-14, -0x1.6f10a9f531a0dp-14, -0x1.63651c3e68a7ep-14, -0x1.57d36eb77f73bp-14, -0x1.4c5b756337989p-14, -0x1.40fd0e4895793p-14, -0x1.35b820c428afep-14, -0x1.2a8c9ce056b35p-14, -0x1.1f7a7ab471ac8p-14, -0x1.1481b9ca69c5p-14, -0x1.09a2608ae707fp-14, -0x1.fdb8f75f39a04p-15, -0x1.e8603b774c41bp-15, -0x1.d33abcf37938ep-15, -0x1.be48b5003d028p-15, -0x1.a98a6573e9ab1p-15, -0x1.950017ec21bd4p-15, -0x1.80aa1cf5a8c89p-15, -0x1.6c88cb3e3af4cp-15, -0x1.589c7ed017b07p-15, -0x1.44e59856f0371p-15, -0x1.31647c6defb61p-15, -0x1.1e1992f68f3e8p-15, -0x1.0b054677ea933p-15, -0x1.f050070ca7102p-16, -0x1.cb047065ac3f4p-16, -0x1.a628a704dedeep-16, -0x1.81bd89d962cadp-16, -0x1.5dc3f7c3218dfp-16, -0x1.3a3cceac48424p-16, -0x1.1728eab01cf85p-16, -0x1.e9124a9d6dd53p-17, -0x1.a4bca95a5c3f2p-17, -0x1.615295c38019ep-17, -0x1.1ed5aa970be2ap-17, -0x1.ba8eefd51b6fcp-18, -0x1.3953040c19a8cp-18, -0x1.73f5014ee2dfdp-19, -0x1.e441c63764137p-21, 0x1.f808efe82f663p-21, 0x1.713dda82d9eadp-19, 0x1.304ebf63aabe9p-18, 0x1.a60e40ea887bcp-18, 0x1.0ceda0e76cd25p-17, 0x1.45d9db52798ebp-17, 0x1.7dcadcd428f52p-17, 0x1.b4bfc5d552b05p-17, 0x1.eab7ca73c0fa5p-17, 0x1.0fd9196f731c7p-16, 0x1.29d72dd40d70cp-16, 0x1.4355db036b656p-16, 0x1.5c54e408be7a9p-16, 0x1.74d41675a2c99p-16, 0x1.8cd34a73daa5cp-16, 0x1.a45262d21bca7p-16, 0x1.bb514d0c1da4dp-16, 0x1.d1d0014e300fbp-16, 0x1.e7ce82748dab4p-16, 0x1.fd4cde069acfp-16, 0x1.092596172c372p-15, 0x1.1364c7d61550cp-15, 0x1.1d641ae398c3cp-15, 0x1.2723ab1d32056p-15, 0x1.30a3998f48a6cp-15, 0x1.39e40c68c3b58p-15, 0x1.42e52eed3c074p-15, 0x1.4ba73165ea9f5p-15, 0x1.542a491162ac5p-15, 0x1.5c6eb0122b4a7p-15, 0x1.6474a55c4fbdep-15, 0x1.6c3c6ca1f2c1p-15, 0x1.73c64e3efb3cep-15, 0x1.7b129723e98e4p-15, 0x1.822198bfe4785p-15, 0x1.88f3a8ea1081ep-15, 0x1.8f8921ca3e58dp-15, 0x1.95e261c0ff5dep-15, 0x1.9bffcb4f2f7a2p-15, 0x1.a1e1c4fd00db2p-15, 0x1.a788b9409578cp-15, 0x1.acf5166435866p-15, 0x1.b2274e6c2b763p-15, 0x1.b71fd6fc550b3p-15, 0x1.bbdf293d6e864p-15, 0x1.c065c1c228dc8p-15, }}, 
      {{0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1p+0, 0x1.be0c537120675p-1, 0x1.bd3bf80e72539p-1, 0x1.bc5c4b7d2d965p-1, 0x1.bb6cfed840468p-1, 0x1.ba6dcbd605a6ep-1, 0x1.b95e74c495737p-1, 0x1.b83ec47a05825p-1, 0x1.b70e8e3a5a5e5p-1, 0x1.b5cdad94b6dbp-1, 0x1.b47c063924527p-1, 0x1.b31983c82221ep-1, 0x1.b1a6199d0bc24p-1, 0x1.b021c2943e23dp-1, 0x1.ae8c80cdc9789p-1, 0x1.ace65d6d677cap-1, 0x1.ab2f685850627p-1, 0x1.a967b7f17d8bdp-1, 0x1.a78f68d4cdbaap-1, 0x1.a5a69d917b4ffp-1, 0x1.a3ad7e643a5d2p-1, 0x1.a1a438f15410ep-1, 0x1.9f8affff02939p-1, 0x1.9d620b304a732p-1, 0x1.9b2996c086d77p-1, 0x1.98e1e33fd3d03p-1, 0x1.968b35507fdc2p-1, 0x1.9425d565a2919p-1, 0x1.91b20f82f6884p-1, 0x1.8f3032fe0eb58p-1, 0x1.8ca09240f5f66p-1, 0x1.8a03828e4fa62p-1, 0x1.87595bc70164p-1, 0x1.84a2783171e8fp-1, 0x1.81df34426465fp-1, 0x1.7f0fee6777059p-1, 0x1.7c3506d347a2fp-1, 0x1.794edf4b423c9p-1, 0x1.765ddaf7167e4p-1, 0x1.73625e31da8b4p-1, 0x1.705cce5cd1228p-1, 0x1.6d4d91b3d74b9p-1, 0x1.6a350f23740bdp-1, 0x1.6713ae208353ap-1, 0x1.63e9d6817beafp-1, 0x1.60b7f0594758bp-1, 0x1.5d7e63d3a727ap-1, 0x1.5a3d991321d0bp-1, 0x1.56f5f8106f5f7p-1, 0x1.53a7e87b60c35p-1, 0x1.5053d19d365d1p-1, 0x1.4cfa1a3c65583p-1, 0x1.499b2881bb527p-1, 0x1.463761dee132bp-1, 0x1.42cf2af62e728p-1, 0x1.3f62e783c8e67p-1, 0x1.3bf2fa48071e8p-1, 0x1.387fc4f30de5ep-1, 0x1.3509a8119f6c4p-1, 0x1.319102fb1743p-1, 0x1.2e1633c086a4dp-1, 0x1.2a99971ceb50dp-1, 0x1.271b88667a272p-1, 0x1.239c6180f0fefp-1, 0x1.201c7ad0edbabp-1, 0x1.1c9c2b303c884p-1, 0x1.191bc7e31b194p-1, 0x1.159ba48e63dbp-1, 0x1.121c132e9d705p-1, 0x1.0e9d640fe569dp-1, 0x1.0b1fe5c6ad705p-1, 0x1.07a3e529460abp-1, 0x1.0429ad4a2dfc5p-1, 0x1.00b187731e884p-1, 0x1.fa7776419f867p-2, 0x1.f3911bfed8c36p-2, 0x1.ecb087cf5b7e2p-2, 0x1.e5d63db9353e5p-2, 0x1.df02be13c5e56p-2, 0x1.d83685859c1fdp-2, 0x1.d1720d03764fp-2, 0x1.cab5c9d0509cp-2, 0x1.c4022d7e78b9bp-2, 0x1.bd57a5f19f6aep-2, 0x1.b6b69d61d2b11p-2, 0x1.b01f7a5f5dfefp-2, 0x1.a9929fd7833efp-2, 0x1.a3106d19fbf4fp-2, 0x1.9c993ddf435ecp-2, 0x1.962d6a4f94045p-2, 0x1.8fcd470a94539p-2, 0x1.8979252fab3d1p-2, 0x1.83315266e9e91p-2, 0x1.7cf618ea8d27bp-2, 0x1.76c7bf910494fp-2, 0x1.70a689d77b7a5p-2, 0x1.6a92b7ecd78efp-2, 0x1.648c86bd29a03p-2, 0x1.5e942ffd86765p-2, 0x1.58a9ea383ba45p-2, 0x1.52cde8d962058p-2, 0x1.4d005c3bbf652p-2, 0x1.474171b5f0472p-2, 0x1.419153a7db939p-2, 0x1.3bf029885c5afp-2, 0x1.365e17f327db2p-2, 0x1.30db40b6e141bp-2, 0x1.2b67c2e35a4abp-2, 0x1.2603bad7f8d0ap-2, 0x1.20af42523b25dp-2, 0x1.1b6a707c59e58p-2, 0x1.163559fbfc3d7p-2, 0x1.1110110101541p-2, 0x1.0bfaa55450b7fp-2, 0x1.06f52466b800dp-2, 0x1.01ff995fca337p-2, 0x1.fa341a597902cp-3, 0x1.f0890d1e87d45p-3, 0x1.e6fe1458cd185p-3, 0x1.dd93353688529p-3, 0x1.d44870e79ccc2p-3, 0x1.cb1dc4bae0a4bp-3, 0x1.c2132a3b452f8p-3, 0x1.b928974cc3811p-3, 0x1.b05dfe49286ffp-3, 0x1.a7b34e1c8faa1p-3, 0x1.9f287261b2ce6p-3, 0x1.96bd537de95c7p-3, 0x1.8e71d6bce94f7p-3, 0x1.8645de6c30a3ep-3, 0x1.7e3949f62ce4cp-3, 0x1.764bf5fd057c8p-3, 0x1.6e7dbc751436cp-3, 0x1.66ce74bf032a2p-3, 0x1.5f3df3c18e44ep-3, 0x1.57cc0c02e4f99p-3, 0x1.50788dc1adcd7p-3, 0x1.4943470da21b5p-3, 0x1.422c03dfc914cp-3, 0x1.3b328e3246926p-3, 0x1.3456ae17c4bc2p-3, 0x1.2d9829d271806p-3, 0x1.26f6c5ea8e181p-3, 0x1.207245449b24ap-3, 0x1.1a0a693707062p-3, 0x1.13bef19f7fd4dp-3, 0x1.0d8f9cf7c5cfcp-3, 0x1.077c286a1a667p-3, 0x1.01844fe537a15p-3, 0x1.f74f9c5fb16cap-4, 0x1.ebccb9f7ae999p-4, 0x1.e07f69f19cfbep-4, 0x1.d5671bccaa512p-4, 0x1.ca833d4b8d993p-4, 0x1.bfd33a972ed39p-4, 0x1.b5567e607f263p-4, 0x1.ab0c720165481p-4, 0x1.a0f47d9cd50e3p-4, 0x1.970e083e075fdp-4, 0x1.8d5877f6d8065p-4, 0x1.83d331fd4d90dp-4, 0x1.7a7d9ac8479aap-4, 0x1.7157162b596f2p-4, 0x1.685f0771d165ep-4, 0x1.5f94d178ef999p-4, 0x1.56f7d6c94d629p-4, 0x1.4e8779af79a15p-4, 0x1.46431c53cb132p-4, 0x1.3e2a20d169bfap-4, 0x1.363be94c96e31p-4, 0x1.2e77d8082fd03p-4, 0x1.26dd4f7a73871p-4, 0x1.1f6bb2610b2eap-4, 0x1.182263d459d62p-4, 0x1.1100c75a14604p-4, 0x1.0a0640f727385p-4, 0x1.03323540ea59cp-4, 0x1.f90812db51df8p-5, 0x1.ebf646c8fb921p-5, 0x1.df2dd39912658p-5, 0x1.d2ad8837039edp-5, 0x1.c674354749fap-5, 0x1.ba80ad42149e1p-5, 0x1.aed1c48cb4ed2p-5, 0x1.a3665191e1f75p-5, 0x1.983d2cd8d0286p-5, 0x1.8d55311b29809p-5, 0x1.82ad3b59e875p-5, 0x1.78442af11ef79p-5, 0x1.6e18e1aaae397p-5, 0x1.642a43cff68bap-5, 0x1.5a77383a83f06p-5, 0x1.50fea863c0833p-5, 0x1.47bf8073b1ff3p-5, 0x1.3eb8af4ec4d9ap-5, 0x1.35e926a2b24f5p-5, 0x1.2d4fdaf280576p-5, 0x1.24ebc3a1a8255p-5, 0x1.1cbbdafe61783p-5, 0x1.14bf1e4b22e65p-5, 0x1.0cf48dc7512a1p-5, 0x1.055b2cb72e53dp-5, 0x1.fbe402d60eef3p-6, 0x1.ed702a8b5292cp-6, 0x1.df58e98441ddp-6, 0x1.d19c5ef19b2e4p-6, 0x1.c438b04797575p-6, 0x1.b72c094573d08p-6, 0x1.aa749bfbc480bp-6, 0x1.9e10a0d1914d5p-6, 0x1.91fe56884e3a1p-6, 0x1.863c023eb5d68p-6, 0x1.7ac7ef7290874p-6, 0x1.6fa07001711cap-6, 0x1.64c3dc2874151p-6, 0x1.5a309283072dap-6, 0x1.4fe4f808c4816p-6, 0x1.45df780a6b12ep-6, 0x1.3c1e842df843dp-6, 0x1.32a09469f53afp-6, 0x1.296426fff4b38p-6, 0x1.2067c07656528p-6, 0x1.17a9eb914a95p-6, 0x1.0f29394b2b0afp-6, 0x1.06e440cc2576bp-6, 0x1.fdb33ec292998p-7, 0x1.ee0ff0e5f4c5bp-7, 0x1.dedbeaf59fb38p-7, 0x1.d0148bf1d234bp-7, 0x1.c1b73ed17d0f8p-7, 0x1.b3c17a6aeb47ep-7, 0x1.a630c15b7586dp-7, 0x1.9902a1ee63ce5p-7, 0x1.8c34b602e9c72p-7, 0x1.7fc4a2f169479p-7, 0x1.73b0196ff13b6p-7, 0x1.67f4d57613a7ep-7, 0x1.5c909e200bc53p-7, 0x1.518145915b929p-7, 0x1.46c4a8d6c7b69p-7, 0x1.3c58afc7dcba3p-7, 0x1.323b4ce7f4563p-7, 0x1.286a7d46ca4d7p-7, 0x1.1ee44860ab1a2p-7, 0x1.15a6bffe432fap-7, 0x1.0cb000141b0f7p-7, 0x1.03fe2ea1c4d59p-7, 0x1.f71ef7218e201p-8, 0x1.e6c4412695026p-8, 0x1.d6e8c20528778p-8, 0x1.c789137aa44b3p-8, 0x1.b8a1e20b85359p-8, 0x1.aa2fecbf7884ap-8, 0x1.9c3004dd3f4c2p-8, 0x1.8e9f0da66cfe8p-8, 0x1.8179fc130e188p-8, 0x1.74bdd68d489bbp-8, 0x1.6867b4acf9b8bp-8, 0x1.5c74bef363cbep-8, 0x1.50e22e86efc74p-8, 0x1.45ad4cef12a2ap-8, 0x1.3ad373d05d955p-8, 0x1.30520ca8c189bp-8, 0x1.2626908c119e2p-8, 0x1.1c4e87e0cc045p-8, 0x1.12c78a1d2fffcp-8, 0x1.098f3d84aadefp-8, 0x1.00a356e5a2af2p-8, 0x1.f00332af4d19ep-9, 0x1.df4fabf411959p-9, 0x1.cf27d765d98ep-9, 0x1.bf878ddd97141p-9, 0x1.b06ac2c0f05e1p-9, 0x1.a1cd83834afdap-9, 0x1.93abf727e9cd6p-9, 0x1.86025dc526998p-9, 0x1.78cd1008ce43p-9, 0x1.6c087ebdaa111p-9, 0x1.5fb132523b40bp-9, 0x1.53c3ca60b6562p-9, 0x1.483cfd383d9f8p-9, 0x1.3d19976766badp-9, 0x1.32567b480fa14p-9, 0x1.27f0a08c86975p-9, 0x1.1de513ce0fb4ap-9, 0x1.1430f61cc3829p-9, 0x1.0ad17c90d7045p-9, 0x1.01c3efdd44b7ep-9, 0x1.f20b57c7c702bp-10, 0x1.e1283e95cce06p-10, 0x1.d0d99627a141bp-10, 0x1.c11a8467b172dp-10, 0x1.b1e6525b8345p-10, 0x1.a3386b5a4c78ep-10, 0x1.950c5c467fe36p-10, 0x1.875dd2ca41aa7p-10, 0x1.7a289c96d91fp-10, 0x1.6d68a6a7052dbp-10, 0x1.6119fc8450acbp-10, 0x1.5538c78f54833p-10, 0x1.49c14e4ae689dp-10, 0x1.3eaff3aa42a73p-10, 0x1.3401366219e45p-10, 0x1.29b1b03c961bap-10, 0x1.1fbe1570415f9p-10, 0x1.162333f9d7d9bp-10, 0x1.0cddf2f8ffa1ep-10, 0x1.03eb520fdf1edp-10, 0x1.f690d18b22f9ap-11, 0x1.e5e4cbd6e0ab2p-11, 0x1.d5cd1e0a6b612p-11, 0x1.c6447f67d464ep-11, 0x1.b745d2473b23dp-11, 0x1.a8cc22f7c79b4p-11, 0x1.9ad2a6a620504p-11, 0x1.8d54ba48537e6p-11, 0x1.804de18f2347p-11, 0x1.73b9c5dcac196p-11, 0x1.6794354054a89p-11, 0x1.5bd92177fca1ep-11, 0x1.50849ef65a5e7p-11, 0x1.4592e3ee7abc5p-11, 0x1.3b00476454076p-11, 0x1.30c940425d4f4p-11, 0x1.26ea64741b4e2p-11, 0x1.1d60680593c9cp-11, 0x1.14281c4796fe7p-11, 0x1.0b3e6ef8d2783p-11, 0x1.02a06973982eep-11, 0x1.f4965fc0a06e1p-12, 0x1.e47800d901855p-12, 0x1.d4e0650cb95ecp-12, 0x1.c5ca6c3995ca1p-12, 0x1.b73125c7a5db9p-12, 0x1.a90fcf3ac13p-12, 0x1.9b61d2cc98c8fp-12, 0x1.8e22c60f36efbp-12, 0x1.814e6897c0a2cp-12, 0x1.74e0a2b166fc5p-12, 0x1.68d584185a2fcp-12, 0x1.5d2942bca471cp-12, 0x1.51d8398cc9ab1p-12, 0x1.46dee7480779ep-12, 0x1.3c39ed581cbecp-12, 0x1.31e60eb26de9fp-12, 0x1.27e02ec06cd3p-12, 0x1.1e25504f1f2b7p-12, 0x1.14b29485a4ec5p-12, 0x1.0b8539e29ec66p-12, 0x1.029a9b405172cp-12, 0x1.f3e05dbed4d7p-13, 0x1.e3070af083243p-13, 0x1.d2a492a4f97afp-13, 0x1.c2b47ac5e5ec1p-13, 0x1.b33278df5fb1bp-13, 0x1.a41a7073f66b9p-13, 0x1.9568715c89dedp-13, 0x1.8718b633a95e3p-13, 0x1.7927a2cc45b67p-13, 0x1.6b91c2b37a2c7p-13, 0x1.5e53c7bd29e64p-13, 0x1.516a889b411a7p-13, 0x1.44d2ff7f5be04p-13, 0x1.388a48c698fb7p-13, 0x1.2c8da1af637e2p-13, 0x1.20da6718fa82fp-13, 0x1.156e144c800dap-13, 0x1.0a4641cf581ffp-13, 0x1.fec1487d4ebf7p-14, 0x1.e97616676483p-14, 0x1.d4a6c061f32bdp-14, 0x1.c04f4b2f93712p-14, 0x1.ac6beb4c4bb5ep-14, 0x1.98f902f98b1f3p-14, 0x1.85f32059ff7e5p-14, 0x1.7356fb9ce43bap-14, 0x1.612175386394ap-14, 0x1.4f4f9432b18bap-14, 0x1.3dde847983f07p-14, 0x1.2ccb95478b46ap-14, 0x1.1c14379795e38p-14, 0x1.0bb5fca50249bp-14, 0x1.f75d28f25b135p-15, 0x1.d7f7990b1085ap-15, 0x1.b9371c93f90bdp-15, 0x1.9b17bc0eae454p-15, 0x1.7d95b2fabf0dep-15, 0x1.60ad6d68a6dc8p-15, 0x1.445b85a2eb56cp-15, 0x1.289cc1ecca971p-15, 0x1.0d6e1255e723ap-15, 0x1.e5991d44b5fd8p-16, 0x1.b16ae88d4c075p-16, 0x1.7e4c48edce2fdp-16, 0x1.4c384491b67c4p-16, 0x1.1b2a21d02e378p-16, 0x1.d63ac76fdae2p-17, 0x1.781b8d7b12927p-17, 0x1.1bee7b16588bap-17, 0x1.8357b7c30e26p-18, 0x1.a5316f9d64b48p-19, 0x1.2c901f9e5d48p-21, -0x1.079356d64c87bp-19, -0x1.2986fd8aaa70ap-18, -0x1.cbb2033417a45p-18, -0x1.352b201f9bbp-17, -0x1.82bf5a558b9cbp-17, -0x1.ce9af2a8ab002p-17, -0x1.0c61790dbf6f6p-16, -0x1.309e161f9204p-16, -0x1.5405a17effce2p-16, -0x1.769a551cf283fp-16, -0x1.985e559f82dbfp-16, -0x1.b953b406965fdp-16, -0x1.d97c6f3c48f43p-16, -0x1.f8da7591d91bep-16, -0x1.0bb7d314db773p-15, -0x1.1a9ee927afe7fp-15, -0x1.29235f5ed25c6p-15, -0x1.37461269fc11fp-15, -0x1.4507d9ddad1dap-15, -0x1.526988bdbd4b5p-15, -0x1.5f6bee004c3aep-15, -0x1.6c0fd5095ee84p-15, -0x1.7856061f64fe3p-15, -0x1.843f46d8f253cp-15, -0x1.8fcc5a83e4ca4p-15, -0x1.9afe02863de0bp-15, -0x1.a5d4feb8e6c12p-15, -0x1.b0520dbc9ee95p-15, -0x1.ba75ed494e5b6p-15, -0x1.c4415a77f1be1p-15, -0x1.cdb512075a116p-15, -0x1.d6d1d09bf718dp-15, -0x1.df9852fad7b5p-15, -0x1.e80956401ff47p-15, -0x1.f0259811176fep-15, -0x1.f7edd6ca0b0a2p-15, -0x1.ff62d1a8289f4p-15, -0x1.0342a477c38a1p-14, -0x1.06aaff06bf395p-14, -0x1.09ead9dbc255p-14, -0x1.0d02970355e4ap-14, -0x1.0ff29947fa10ep-14, -0x1.12bb443cc81d7p-14, -0x1.155cfc46a2e91p-14, -0x1.17d826a4048b7p-14, -0x1.1a2d29737f0bp-14, -0x1.1c5c6bb8fb564p-14, -0x1.1e665561cc1e4p-14, -0x1.204b4f479febcp-14, -0x1.220bc33265595p-14, -0x1.23a81bd92cf9cp-14, -0x1.2520c4e218979p-14, -0x1.26762ae16663ep-14, -0x1.27a8bb57a25a4p-14, -0x1.28b8e4af0e6c6p-14, -0x1.29a716384b00ep-14, -0x1.2a73c0264bd7fp-14, -0x1.2b1f5389a67b9p-14, -0x1.2baa424b439acp-14, -0x1.2c14ff267e791p-14, -0x1.2c5ffda2bc8a7p-14, -0x1.2c8bb20c87ae3p-14, -0x1.2c98916e33511p-14, -0x1.2c87118817192p-14, -0x1.2c57a8c865961p-14, -0x1.2c0ace42aa7efp-14, -0x1.2ba0f9a6f52abp-14, -0x1.2b1aa338b9899p-14, -0x1.2a7843c56decdp-14, -0x1.29ba549aeca34p-14, -0x1.28e14f7da09fcp-14, -0x1.27edae9e8376cp-14, -0x1.26dfec90f2d4bp-14, -0x1.25b8844063e71p-14, -0x1.2477f0e5f9692p-14, -0x1.231eadfe02a1ep-14, -0x1.21ad373d68e7dp-14, -0x1.202408870e32p-14, -0x1.1e839de124cfep-14, -0x1.1ccc736a82cecp-14, -0x1.1aff054ff3c02p-14, -0x1.191bcfc19210ep-14, -0x1.17234ee824571p-14, -0x1.1515feda8a79cp-14, -0x1.12f45b933604ap-14, -0x1.10bee0e5b8477p-14, -0x1.0e760a746278cp-14, -0x1.0c1a53a601f3dp-14, -0x1.09ac379bb3846p-14, -0x1.072c3126d7209p-14, -0x1.049ababf229ddp-14, -0x1.01f84e78d5ba5p-14, -0x1.fe8acbf628516p-15, -0x1.f904f4ecc912ep-15, -0x1.f3600936aec5bp-15, -0x1.ed9cf922b24cdp-15, -0x1.e7bcb3db5a923p-15, -0x1.e1c0275531d49p-15, -0x1.dba8403d71ca4p-15, }}, 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
      std::vector<double>(519, 0.0), 
    }}, 
    {
      34, 0x1.cp+1, 0x1.19690dfbb2669p+1, 0x1.12deb65210b92p+1, -0x1.3f80ab33d3762p-3, 
      {{
        {0x1.3333333333333p+0, 0x1.3d70a3d70a3d7p+0, 0x1.d3137b07075b4p-2, -0x1.5885dd8f235e4p+0, 0x1.7ab851eb851f9p+0, 0x1.f68f53aac9c2ap-3}, 
        {0x1.3d70a3d70a3d7p+0, 0x1.47ae147ae147bp+0, 0x1.9e646f1561911p-2, -0x1.39ec7c965b76ep+0, 0x1.8242266000782p+0, -0x1.3a19944abe0b9p+0}, 
        {0x1.47ae147ae147bp+0, 0x1.51eb851eb851fp+0, 0x1.6e8e60807357ep-2, -0x1.1c87e172c6042p+0, 0x1.5c91001997be8p+0, -0x1.8cd73294c0c1p-1}, 
        {0x1.51eb851eb851fp+0, 0x1.5c28f5c28f5c3p+0, 0x1.43361565c2d28p-2, -0x1.01990f3b6cec9p+0, 0x1.44c1874e1b8ap+0, -0x1.b0700d1785a4ep-1}, 
        {0x1.5c28f5c28f5c3p+0, 0x1.6666666666666p+0, 0x1.1c04c8bc9cd3ep-2, -0x1.d14f7e6ef8e63p-1, 0x1.2acf49146051cp+0, -0x1.8168990d2b64ap-1}, 
        {0x1.6666666666666p+0, 0x1.70a3d70a3d70ap+0, 0x1.f15054ac29bf1p-3, -0x1.a359d6993daa5p-1, 0x1.13af68db441dfp+0, -0x1.79ed8eb3c01d3p-1}, 
        {0x1.70a3d70a3d70ap+0, 0x1.7ae147ae147aep+0, 0x1.b1a6506141637p-3, -0x1.790e2bad7f77p-1, 0x1.fa04df4f0ac79p-1, -0x1.56e12c23db2f6p-1}, 
        {0x1.7ae147ae147aep+0, 0x1.851eb851eb852p+0, 0x1.7878b7a1c25dp-3, -0x1.52383b33d6e63p-1, 0x1.d0df9c926b5b7p-1, -0x1.4a8dc0bcd2771p-1}, 
        {0x1.851eb851eb852p+0, 0x1.8f5c28f5c28f6p+0, 0x1.453f39d1b2e5ap-3, -0x1.2e9dce86d4a54p-1, 0x1.a9350052ccfb3p-1, -0x1.36e7d0e8dcd3ap-1}, 
        {0x1.8f5c28f5c28f6p+0, 0x1.999999999999ap+0, 0x1.17785729b280fp-3, -0x1.0e179b7bffe13p-1, 0x1.83e5fbbbfa297p-1, -0x1.19d2fb9fb8a6dp-1}, 
        {0x1.999999999999ap+0, 0x1.a3d70a3d70a3dp+0, 0x1.dd54da4ce8102p-4, -0x1.e0d382280d1d9p-2, 0x1.6214586b5ee23p-1, -0x1.11cc409843e53p-1}, 
        {0x1.a3d70a3d70a3dp+0, 0x1.ae147ae147ae1p+0, 0x1.94ca925fe974ap-4, -0x1.aacd4c7d18644p-2, 0x1.4139466d942d4p-1, -0x1.edf803fe637d1p-2}, 
        {0x1.ae147ae147ae1p+0, 0x1.b851eb851eb85p+0, 0x1.547cfa26a22b4p-4, -0x1.79c6f6b12fdaep-2, 0x1.2395ea074687p-1, -0x1.d4876ed5f0184p-2}, 
        {0x1.b851eb851eb85p+0, 0x1.c28f5c28f5c29p+0, 0x1.1ba7fc32ebe5ap-4, -0x1.4d5f5889ba686p-2, 0x1.07794ee5f58fcp-1, -0x1.afea40a9dd149p-2}, 
        {0x1.c28f5c28f5c29p+0, 0x1.ccccccccccccdp+0, 0x1.d32830a0b1bbdp-5, -0x1.254a3199c4ebep-2, 0x1.db1e2fa30e089p-2, -0x1.8bcf8e829a554p-2}, 
        {0x1.ccccccccccccdp+0, 0x1.d70a3d70a3d71p+0, 0x1.7b2edfe75bc45p-5, -0x1.012e26b0fca78p-2, 0x1.ab9ee11880a21p-2, -0x1.70d7854bba325p-2}, 
        {0x1.d70a3d70a3d71p+0, 0x1.e147ae147ae14p+0, 0x1.2e2b8c75c4a84p-5, -0x1.c17b6d696e17cp-3, 0x1.7f5c0e8a4b91cp-2, -0x1.50d25c4e7fb92p-2}, 
        {0x1.e147ae147ae14p+0, 0x1.eb851eb851eb8p+0, 0x1.d5f99c38b04abp-6, -0x1.8760ca96d23b1p-3, 0x1.56f0e4be50b92p-2, -0x1.3bdf097a40dfep-2}, 
        {0x1.eb851eb851eb8p+0, 0x1.f5c28f5c28f5cp+0, 0x1.61309c7ffde72p-6, -0x1.538a36ab83fdfp-3, 0x1.3109543f01423p-2, -0x1.0fb17dc87f9b8p-2}, 
        {0x1.f5c28f5c28f5cp+0, 0x1p+1, 0x1.f822bbecaab8ap-7, -0x1.2557a2693246ap-3, 0x1.106ee8fdfc2f6p-2, -0x1.055aff63c130dp-2}, 
        {0x1p+1, 0x1.051eb851eb852p+1, 0x1.49cf56eac8605p-7, -0x1.f88626e627f1fp-4, 0x1.e224240cfd345p-3, -0x1.d5c50950f64d6p-3}, 
        {0x1.051eb851eb852p+1, 0x1.0a3d70a3d70a4p+1, 0x1.6872b020c49bcp-8, -0x1.afe427c62290cp-4, 0x1.a9c4d103460c3p-3, -0x1.9e35dbf4a531ap-3}, 
        {0x1.0a3d70a3d70a4p+1, 0x1.0f5c28f5c28f6p+1, 0x1.a3f4666ec9e28p-10, -0x1.6fbea0d08fba3p-4, 0x1.781045fa656cap-3, -0x1.716386dc748ecp-3}, 
        {0x1.0f5c28f5c28f6p+1, 0x1.147ae147ae148p+1, -0x1.bf7ad4b2745bbp-10, -0x1.371edfd2587a3p-4, 0x1.4bbca66f4d32ap-3, -0x1.5c3c0899887fbp-3}, 
        {0x1.147ae147ae148p+1, 0x1.199999999999ap+1, -0x1.26b723ee1bd1ep-8, -0x1.0562c05c0558ap-4, 0x1.21f2e2d7c1effp-3, -0x1.1dac56bd6986cp-3}, 
        {0x1.199999999999ap+1, 0x1.1eb851eb851ecp+1, -0x1.bfbdf090f733bp-8, -0x1.b3790a47f1109p-5, 0x1.ff5602c9bc78p-4, -0x1.0d129c70d132ap-3}, 
        {0x1.1eb851eb851ecp+1, 0x1.23d70a3d70a3dp+1, -0x1.1f46ed245b291p-7, -0x1.66d343b9997c7p-5, 0x1.bec22f298a42ep-4, -0x1.dc126efea8805p-4}, 
        {0x1.23d70a3d70a3dp+1, 0x1.28f5c28f5c28fp+1, -0x1.5336deb95e5bp-7, -0x1.23ea079644ad7p-5, 0x1.85a1409019e21p-4, -0x1.75910b23b0c36p-4}, 
        {0x1.28f5c28f5c28fp+1, 0x1.2e147ae147ae1p+1, -0x1.7d1fe64f54d1fp-7, -0x1.d251bba639eb1p-6, 0x1.58cd497756976p-4, -0x1.8da964729af1cp-4}, 
        {0x1.2e147ae147ae1p+1, 0x1.3333333333333p+1, -0x1.9e3864cb5bb38p-7, -0x1.6b9e25dd2b6c7p-6, 0x1.29151eb143ff7p-4, -0x1.a792c623c57p-5}, 
        {0x1.3333333333333p+1, 0x1.3851eb851eb85p+1, -0x1.b79d909f1f14ap-7, -0x1.109e1f953925ap-6, 0x1.0fab0890663b4p-4, -0x1.319887a2ed3e2p-3}, 
        {0x1.3851eb851eb85p+1, 0x1.3d70a3d70a3d7p+1, -0x1.ca42aed139431p-7, -0x1.8ad66753c9067p-7, 0x1.8ca673dcd5774p-5, 0x1.2823680a5341p-2}, 
        {0x1.3d70a3d70a3d7p+1, 0x1.6b851eb851eb8p+1, -0x1.d6e8af81626b3p-7, -0x1.bcd85fa047eacp-8, 0x1.5478b38cf9187p-4, -0x1.5b7d5254d4ac6p-4}, 
        {0x1.6b851eb851eb8p+1, 0x1.cp+1, -0x1.47ae147ae147bp-7, 0x1.48ee4ccc9d502p-6, -0x1.1689a5d1503ffp-7, 0x1.c24b22de66ab8p-4}, 
      }}, 
      -0x1.2961fe7ac9b95p-2, 0x1.87b1054145cdbp-3
    }
  };
  // clang-format on
}

} // namespace dftb
} // namespace Sparrow
} // namespace Scine
